Aide de zenon 7.60

Aide de zenon 7.60

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

© 2017 Ing. Punzenberger COPA-DATA GmbH


Manuel

Manuel

Ici, vous trouverez le manuel de zenon.

Autres sujets abordés dans ce chapitre

Famille de produits zenon

Licence

Le fil d'Ariane de l'aide - aperçu

Editor

Développez efficacement vos projets avec zenon

Runtime

Aide du Runtime

Assistants

Applications mobiles - Mobile applications for zenon

Attributions

Batch Control

Changement de langue

Claviers

Coloration Automatique des Lignes (CAL) - Topologie

Command Sequencer

Commande temporisée

Contrôles

Conversion de projets

Conversion d'unités de mesure

Création de rapports

Développement distribué

Élément WPF

Energy Edition (Produit Energie)

Extended Trend

Fichier de configuration

Fonctions et scripts

Gestion d'équipe

Gestion de charge (Load Management)

Gestion des alarmes

Gestion des moniteurs

Gestion des utilisateurs

Gestion des états

Projet et espace de travail

Historique des modifications

Importation - Exportation

Industrial Maintenance Manager (IMM)

Industrial Performance Analyzer

Installation et mises à jour

Interface SAP

Interfaces de programmation

Liste de références croisées

Liste d’événements (CEL)

Menus

Message control

Microsoft Azure

Modèles d'équipements

MultiTouch

Planning

PLC Diagnosis

Process Gateway

Process Recorder

Production and Facility Scheduler (PFS)

Recettes standard

Recipe Group Manager

Remote Transport

Réseau

Sauvegarde de projet

Serveur d'archives

Serveur OPC

Simulation de driver

Simulation de projet

Styles

Synoptiques

Tools (Outils)

Variables

Verrouillages

Vue globale

zenon Logic

zenon Operator

zenon Remote Desktop

zenon Science Package for LEGO MINDSTORMS

zenon Security Guide

zenon Web Server


Famille de produits zenon

Manuel -> Famille de produits zenon

En tant que logiciel d'automation pour HMI, SCADA et de création de rapports, zenon propose de très nombreuses fonctions intégrées de développement, ainsi qu'un Runtime indépendant des plates-formes.

Avec zenon, vous pouvez :

  • Créer, distribuer, modifier et exécuter des projets d'automation
  • Utiliser l'automate logiciel intégré zenon Logic
  • Collecter et évaluer des données concernant vos équipements depuis de très nombreuses sources

attention Attention

Les liens renvoyant au manuel de zenon désignent en général zenon Supervisor et zenon Operator.

zenon est également disponible dans deux éditions spéciales :

  • Energy Edition : dédié aux entreprises d'infrastructure et de production d'énergie
  • Pharma Edition : dédiée à l'industrie pharmaceutique

Ces éditions sont optimisées pour l'application correspondante et contiennent des éléments spéciaux tels que les symboles, les assistants, etc.

Autres sujets abordés dans ce chapitre

zenon Supervisor

zenon Operator

zenon Logic

zenon Analyzer


zenon Supervisor

Manuel -> Famille de produits zenon -> zenon Supervisor

zenon Supervisor est un outil complet permettant de créer et exécuter des projets d’automation. Il est constitué d’Editor et du Runtime et autorise la création rapide de réseaux d’automation – également par le biais d’une connexion Web –, et peut être utilisé sur tous les systèmes d’exploitation Windows actuels.

Une version dotée de fonctionnalités limitées, appelée zenon Operator, est également disponible pour les systèmes d’exploitation de machines.


zenon Operator

Manuel -> Famille de produits zenon -> zenon Operator

zenon Operator est un produit économique, adapté à l'utilisation de machines. Sa fonction principale est conforme à celle de zenon Supervisor. Comparé à zenon Supervisor, Operator dispose de fonctions limitées.

zenon Operator inclut l'Éditeur et le Runtime et peut être utilisé avec les systèmes d'exploitation PC et CE.


zenon Logic

Manuel -> Famille de produits zenon -> zenon Logic

zenon Logic est un environnement de programmation intégré à zenon, conformément à la norme IEC 61131. Il est disponible dans l’Editor et le Runtime (automate logiciel) pour zenon Supervisor et zenon Operator.


zenon Analyzer

Manuel -> Famille de produits zenon -> zenon Analyzer

Le module zenon Analyzer propose, via des systèmes d'analyse à l'échelle du système, des fonctionnalités de gestion et de contrôle sur toutes les données disponibles en ligne et hors ligne. Il rassemble les tâches qui étaient jusqu'à présent séparées, et élimine les pertes dues à la « friction » apparaissant en raison de configurations et procédures de maintenance parallèles et de la coordination de différents systèmes informatiques. Le module zenon Analyzer :

  • rassemble et ordonne les données provenant de différentes sources, dans différents formats
  • compare les données
  • affiche les résultats sous forme graphique dans un rapport

L'utilisation du module zenon Analyzer ne nécessite pas d'interrompre le procédé de production. Le module zenon Analyzer peut être mis en œuvre dans un système de production existant, sans qu'il soit nécessaire de reconfigurer le système. Lors de la collecte de données et de la création du rapport, le système de production continue à fonctionner normalement. L'infrastructure existante est intégrée à la fonctionnalité de création de rapports du module zenon Analyzer, indépendamment des fabricants.

Pour accéder à l'évaluation, un simple navigateur Microsoft standard est suffisant. Il n'est pas nécessaire d'installer, d'adapter ou d'effectuer la maintenance d'autres logiciels. Vous pouvez incorporer des évaluations sans installer de composants ou de plug-ins supplémentaires sur le réseau Intranet d'une entreprise. Des rapports par défaut sont fournis avec le module zenon Analyzer. Vous pouvez à tout instant créer, enregistrer et distribuer vos propres évaluations.

D'autres informations concernant le module zenon Analyzer sont disponibles dans la documentation complémentaire du module zenon Analyzer, ou auprès de votre partenaire commercial COPA-DATA : sales@copadata.com.


Licence

Manuel -> Licence

Pour pouvoir utiliser les composants Editor et Runtime de zenon, vous devez disposer d’une licence pour le produit. zenon s’exécute en mode démo jusqu’à ce qu’il dispose d’une licence.

Autres sujets abordés dans ce chapitre

Licence zenon

Mode démo

Version et informations concernant la licence

Définir la taille appropriée pour la licence

Types de licence

Paramètres de la ligne de commande de l’outil de gestion des licences

Gestion à distance des licences

Caractéristiques du fonctionnement serveur-client


Licence zenon

Manuel -> Licence -> Licence zenon

Il existe plusieurs possibilités pour démarrer le Runtime de zenon :

  1. Vers la licence
    • Dans Windows, ouvrez Démarrer -> Tous les programmes -> COPA-DATA -> Licensing, ou
    • Dans zenon Editor, sélectionnez Fichier -> Configuration générale -> Licence du produit... ou :
    • Dans l’éditeur zenon, ouvrez Aide -> À propos -> Modification/demande de licence, ou
    • Dans Startup Tool, cliquez sur le bouton Tools, sélectionnez Licensing, puis cliquez sur Start.
  2. La boîte de dialogue de saisie des informations de la licence s’ouvre.
  3. Sélectionnez zenon Editor/Runtime.
  4. Saisissez le numéro de série et le numéro d’activation.

    Vous trouverez les informations à ce sujet :

    • Sur votre certificat de licence
    • Sur l’autocollant de la licence

    Remarque : Tenez compte de l’utilisation des minuscules et majuscules lors de la saisie des données?!

  5. Après le redémarrage d’Editor/du Runtime, utilisez zenon avec la licence saisie.

Boîte de dialogue de gestion des licences

Paramètre | Description
Editor/Runtime | Active : La licence est valide pour zenon Editor ou le Runtime de zenon.
Web Server | Active : La licence est valide pour zenon Web Server.
Numéro de série | Numéro de série de la licence. Si une licence est déjà disponible, le numéro de série correspondant est affiché ici. Saisissez le numéro de série actuel ici.
Numéro d’activation | Numéro d’activation de la licence. Si une licence est déjà disponible, le numéro d’activation correspondant est affiché ici.
OK | Importer les données et exécuter zenon avec cette licence lors du prochain démarrage du programme.
Annuler | Annuler la saisie et utiliser zenon avec la licence précédente ou sans licence.
Demander une licence logicielle | Ouvre la boîte de dialogue permettant de demander une licence logicielle.


Mode démo

Manuel -> Licence -> Mode démo

Si vous n’avez pas défini de licence dans Editor, il s’exécute en mode démo. Le Runtime s’exécute en mode démo s’il ne comporte pas de licence.

Mode démo

Conditions

Editor :

Editor démarre :

  • Les 40 premières fois, il fonctionne pendant 30 minutes.
  • Du 41ème au 50ème démarrage : 20 minutes
  • À partir du 51ème démarrage : 10 minutes

Runtime :

Un Runtime ne disposant pas d’une licence fonctionnera pendant 30 jours ou 40 démarrages, selon la première des échéances.

À partir du 41ème démarrage ou du 31ème jour, le Runtime fonctionnera pendant 10 minutes seulement.

L’utilisateur est informé que le Runtime fonctionne en mode démo au démarrage de celui-ci.

Remarque : Le comportement de la version sans licence concerne également le Workbench et le Runtime, zenon Logic.


Version et informations concernant la licence

Manuel -> Licence -> Version et informations concernant la licence

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Vous pouvez voir la version et la licence en cours d’utilisation et les modules inclus dans :

  • Dans Editor : Si, dans l’éditeur zenon, vous cliquez sur Aide -> À propos....
  • Dans le Runtime : Si vous exécutez la Montrer les informations de licence fonction.

    Remarque : Le bouton Modification/demande de licence n’est pas présent dans le Runtime.

Paramètres/boutons | Description
Version | Numéro de version de l’Éditeur ou du Runtime.
Edition | Édition utilisée.
Serial Number (Numéro de série) | Numéro de série de la licence.
Numéro d’activation | Numéro d’activation de la licence.
Heure d’expiration (facultative) | Informations concernant la date d’expiration de la licence pour les licences limitées.
Modules avec licence | Informations concernant le module comportant une licence.
Changer/demander une licence | Ouvre la boîte de dialogue de licence.
Quitter | Ferme la boîte de dialogue.


Définir la taille appropriée pour la licence

Manuel -> Licence -> Définir la taille appropriée pour la licence

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Les licences pour Editor et le Runtime sont calculées en ajoutant les identifiants ou les E/S requis.

Calcul via les identifiants

1 identifiant égale 1 variable. Pour déterminer la taille de la licence, tenez compte du nombre total d’identifiants (= variables) des drivers suivants :

  • Drivers d'automates et drivers de bus

Les variables des drivers suivants ne comptent pas :

  • Driver interne
  • Driver système
  • Driver mathématique
  • Driver de simulation

Vous pouvez obtenir des licences pour les identifiants pour Editor et le Runtime sur la base des volumes suivants :

  • 64 identifiants
  • 128 identifiants
  • 256 identifiants
  • 512 identifiants
  • 1 024 identifiants
  • 2 048 identifiants
  • 4 096 identifiants
  • 8 192 identifiants
  • 16 384 identifiants
  • 65536 identifiants
  • illimités

Une mise à jour de la licence vers un nombre d’identifiants supérieur est toujours possible ultérieurement.

Calcul via les E/S

Le calcul de la licence peut également être effectué en fonction des E/S. Pour déterminer la taille de la licence, tenez compte du nombre total d’E/S des drivers suivants :

  • Drivers d'automates et drivers de bus

Les variables des drivers suivants ne comptent pas :

  • Driver interne
  • Driver système
  • Driver mathématique
  • Driver de simulation

Calcul

Type de données | Équivalence
1 bit | 1 E/S
1 octet | 8 E/S
1 variable WORD | 16 E/S
1 variable DWORD | 16 E/S
1 flottant | 16 E/S
1 string (max. 64 caractères) | 16 E/S

Selon le driver sélectionné, vous pouvez ne pas trouver le type souhaité dans la liste. Certains drivers comportent une dénomination spécifique des types de données. Vous trouverez plus d’information dans la documentation du driver que vous utilisez. Vous trouverez celles-ci dans l’aide en ligne, dans la section Drivers, ou sous forme de fichier PDF sur le support d’installation ou sur notre site Web www.copadata.com.

Example Exemple

96 valeurs binaires et 20 valeurs numériques sont visualisées dans zenon :

Multipliez les 20 valeurs numériques par 16 pour obtenir 320 E/S. Ajoutez celles-ci aux 96 valeurs binaires. Le résultat donne 416 E/S, qui sera la base pour la taille de la licence.

Affichage dans zenon

Dans la ligne d’état de l’affichage détaillé des variables, les informations suivantes peuvent être affichées :

  • Combien d’E/S sont actuellement utilisées.
  • Combien d’E/S sont disponibles dans la licence.

Exemple :

  • 3799/550/1 : 3799 entrées existent, 550 seulement sont montrées à cause d’un filtre, et une seule entrée est sélectionnée.
  • Pour un projet avec 22730 points, un nombre illimité d’E/S est défini dans la licence.

Remarque concernant la licence du client

Vous êtes autorisé à utiliser des licences client dans les cas de figure suivants :

  • Le projet de démarrage est un projet autonome ou un projet de client
  • Le projet de démarrage peut comporter jusqu’à 64 tags si une licence est requise, à condition qu’il ne s’agisse pas d’un projet de client
  • Tous les sous-projets sont des projets de client


Types de licence

Manuel -> Licence -> Types de licence

Vous pouvez obtenir une licence pour zenon de différentes manières :

  • Licence logicielle : demande un numéro d’identification unique pour le PC lors du démarrage d’Editor ou du Runtime.
    Caractéristiques :
    • La licence ne peut pas être volée.
    • La licence est attribuée à un PC.
    • Pratique pour les PC portables.
  • Licence par dongle : Recherche un dongle matériel sur un port parallèle ou un port USB au démarrage d’Editor ou du Runtime.

    Les dongles sont disponibles sous les formes suivantes :

    • Dongle pour poste de travail :
    • Dongle réseau : un certain nombre de licences est défini sur un dongle central connecté au réseau?; ces dongles peuvent être utilisés simultanément, sous la forme de licences concomitantes.

    Remarques concernant les dongles :

    • Gestion simple.
    • Une licence peut être transférée d’un PC à l’autre en déplaçant simplement le dongle.
    • Pas de problèmes liés aux défaillances de disques durs.

info Informations

Si aucune licence n’est attribuée (ou si toutes les licences sont attribuées) sur le réseau, Editor ou le Runtime démarre en mode démo.

Autres sujets abordés dans ce chapitre

Licence logicielle

Licence par dongle


Licence logicielle

Manuel -> Licence -> Types de licence -> Licence logicielle

La licence logicielle attribue une identification unique à un ordinateur. Dans ce cas, certains composants de l’ordinateur sont examinés. Cette licence fonctionne toujours uniquement sur un ordinateur particulier. Si elle doit être transférée vers un autre ordinateur ou un nombre trop élevé de composants sont remplacés sur l’ordinateur comportant la licence, il est nécessaire d’obtenir une nouvelle licence.

Pour obtenir une licence logicielle :

  1. Dans le menu Fichier, sélectionnez : Configuration générale -> Licence du produit.
  2. La boîte de dialogue de gestion des licences s’ouvre.
  3. Saisissez le numéro de série du produit :
  4. Cliquez sur Demander une licence logicielle.
  5. La boîte de dialogue de gestion des licences s’ouvre.
    Si vous ne l’avez pas encore fait, saisissez le numéro de série.
  6. Cliquez sur Demander une licence (licence logicielle).
  7. Saisissez vos coordonnées.
  8. Cliquez sur Suivant.
  9. Il existe deux possibilités pour transmettre vos coordonnées :
    1. Automatique
    • Cliquez sur le bouton Envoyer à.
    • Sélectionnez l’organisation souhaitée de COPA-DATA.
    • Lorsque vous cliquez sur OK, la demande de licence vous est transmise par votre programme de messagerie.
    • Le bouton Imprimer permet d’imprimer votre exemplaire ou de l’envoyer à un fax connecté
    1. manuellement
    • Cliquez sur le bouton Terminer.
    • La demande de licence est enregistrée sous forme de fichier texte.
    • Une fenêtre fournit des informations concernant le nom et l’emplacement d’enregistrement.
    • Le fichier est automatiquement ouvert dans l’éditeur de texte.
    • Transmettez le fichier par e-mail ou par fax à votre partenaire commercial.

Dès que vous avez reçu les informations concernant votre licence, ouvrez à nouveau la boîte de dialogue de gestion des licences et saisissez votre numéro d’activation.


Licence par dongle

Manuel -> Licence -> Types de licence -> Licence par dongle

La gestion des licences de dongle permet de connecter un dongle directement à l’ordinateur, pour une licence d’espace de travail individuelle, ou à un ordinateur connecté en réseau, pour une licence en réseau. zenon utilise deux systèmes de dongle :

  • CodeMeter
    (inclus avec le programme d’installation)
  • WibuKey
    (logiciel inclus sur le support d’installation)

Le logiciel nécessaire à l’installation de la gestion des licences CodeMeter est également installé automatiquement durant l’installation de zenon.

Configuration

En règle générale, il n’est pas nécessaire de définir d’autres paramètres pour les dongles utilisés localement. L’utilisation de dongles en réseau peut nécessiter une configuration spécifique. Vous trouverez ces configurations dans le logiciel du dongle correspondant.

Pour plus de détails, reportez-vous aux chapitres WibuKey et CodeMeter .

WibuKey

Le logiciel complémentaire de gestion WibuKey n’est plus installé automatiquement à partir de la version 7.50 de zenon. Ce logiciel est toutefois fourni avec zenon. Si nécessaire, installez la version actuelle du logiciel WibuKey depuis le support d’installation de zenon :

  • ...\AdditionalSoftware\WIBU-SYSTEMS WibuKey

Remarque : Les utilisateurs travaillant déjà avec WibuKey continuent à recevoir de nouvelles licences pour leurs dongles WibuKey.

Autres sujets abordés dans ce chapitre

CodeMeter

WibuKey


CodeMeter

Manuel -> Licence -> Types de licence -> Licence par dongle -> CodeMeter

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Le dongle CodeMeter peut être utilisé sur un poste de travail unique ou sur un réseau.

Afin d’utiliser le CodeMeter il faut que :

  • Le dongle USB CodeMeter doit être active dans un port USB de l’ordinateur local, ou en tant que serveur sur un ordinateur connecté au réseau.
  • Le dongle doit disposer de la version 1.16 du firmware ou d’une version ultérieure.

Remarque : les descriptions du CodeMeter WebAdmin renvoient à la version 6.10.

attention Attention

Si le dongle est retiré durant l’opération en cours, zenon se ferme et s’ouvre en mode démo jusqu’à ce qu’une licence valide soit détectée à nouveau.

Configuration

Pour configurer la licence de CodeMeter, démarrez l’application Control Center via : Bureau Windows -> Démarrer -> Tous les programmes -> CodeMeter -> CodeMeter Control Center.

Le CodeMeter Control Centre s’ouvre et affiche 2 onglets :

  • Licence : contient des informations concernant les dongles détectés.
  • Événements : affiche le nombre de dongles connectés, les entrées de licence, les éléments de firmware détectés et tous les accès disponibles au serveur de Runtime CodeMeter. Pour procéder à la journalisation des entrées sur une base permanente, activez l’entrée Journalisation du menu Fichier.

Remarque : Dans les versions antérieures à 6.10, l’onglet Attribution est également disponible pour configurer les processus d’attribution pour les licences. À partir de la version 6.10 CodeMeter, il n’est plus disponible que si les entrées correspondantes sont présentes sur le client.

info Informations

Ce manuel couvre les applications les plus importantes pour les utilisateurs zenon.
Vous trouverez des informations détaillées sur l’utilisation de CodeMeter dans l’aide incluse dans CodeMeter. Pour les appeler dans le :

  • Control center : Dans le menu Aide, cliquez sur l’entrée Aide.
  • WebAdmin: Cliquez sur le point d’interrogation dans la seconde ligne du menu.

L’aide du CodeMeter est appelée en fonction du contexte.

Autres sujets abordés dans ce chapitre

Onglet licence

Mettre à jour l’heure certifiée

Demander une licence

Adaptation des licences

Administration réseau via WebAdmin

Dépannage

Possibilités de configuration pour le dongle CodeMeter


Onglet licence

Manuel -> Licence -> Types de licence -> Licence par dongle -> CodeMeter -> Onglet licence

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Les dongles et licences sont affichées et configurées dans cet onglet.

Option

Description

Licence

Affiche la liste de tous les dongles CodeMeter actifs.

Nom :

Nom individuel du dongle sélectionné ; peut être modifié en utilisant le bouton avec le stylo (à droite).

Numéro de série :

Numéro de série du dongle sélectionné.

Version :

Version du firmware du dongle sélectionné.

Capacité :

affiche la mémoire disponible en pourcentage et en octets.

État

Sélection de l’état du dongle CodeMeter sélectionné en utilisation les boutons d’option.

  • Désactivé :
    Le dongle connecté est désactivé et ne peut être utilisé par aucune application.
  • Activé lors de la connexion :
    Le dongle est activé tant qu’il est connecté. Il est automatiquement désactivé après son retrait de l’ordinateur.
  • Active :
    Le dongle est entièrement activé et reste actif après avoir été déconnecté.
    État recommandé : Veille à ce que les personnes non autorisées n’aient pas accès aux licences et données personnelles (p.ex. CmPasswordManager)

Les modifications doivent être confirmées à l’aide du mot de passe du dongle.

License updating (Mise à jour de la licence)

Démarre l’assistant permettant d’ajouter, modifier et supprimer des licences.

Eject (Éjecter)

Permet d’éjecter le dongle.

Modifier le mot de passe

Permet de modifier le mot de passe.

CodeMeter has been started/stopped (CodeMeter a été démarré/arrêté)

Informations concernant l’exécution du service CodeMeter . Peuvent être modifiées dans le menu Action.

WebAdmin

Démarre le navigateur Web et affiche l’interface d’administration utilisateur pour les dongles réseau. Le port 22350 doit être ouvert à cette fin. Pour plus de détails, reportez-vous au chapitre Administration réseau.


Mettre à jour l’heure certifiée

Manuel -> Licence -> Types de licence -> Licence par dongle -> CodeMeter -> Mettre à jour l’heure certifiée

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Vous pouvez effectuer une mise à jour de l’heure certifiée enregistrée sur le dongle via le serveur d’horloge CodeMeter. Pour ce faire, vous devez disposer d’un accès internet.

Pour mettre l’heure à jour :

  1. Ouvrez CodeMeter WebAdmin
  2. Contrôlez les paramètres réseau :
    1. Les paramètres du proxy sont-ils corrects dans l’interface WebAdmin de CodeMeter??
    2. Vos informations d’accès sont-elles à jour??
  3. Allez dans le menu Container.
  4. Sélectionnez le dongle de votre choix.
  5. Cliquez sur info CMContainer

  6. Allez sur l’entrée Heure certifiée (CM Container).
  7. Cliquez sur le symbole de mise à jour :
  8. Vous êtes informé que ceci mettra à jour tous les dongles.
  9. Cliquez sur OK.
  10. Vous recevez ensuite des informations concernant la mise à jour effectuée.
    Conseil : En cas de message d’erreur, vous devez d’abord contrôler vos données d’accès.


Demander une licence

Manuel -> Licence -> Types de licence -> Licence par dongle -> CodeMeter -> Demander une licence

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Pour effectuer une demande ou une mise à jour de licence pour CodeMeter, cliquez sur le bouton Update license (Mettre la licence à jour) dans l’onglet Licences de l’application Control Center de CodeMeter. L’assistant de mise à jour de la licence démarre :

Décidez si vous souhaitez :

  • Demander une licence
  • Saisir une mise à jour de licence
  • Créer une demande pour COPA-DATA

Demande de licence

Avec les demandes de licences, vous pouvez :

  • Étendre une licence COPA-DATA existante
  • Créer une nouvelle licence COPA-DATA

Améliorer licence

Pour ajouter une autre licence COPA-DATA :

  1. Dans l’étape Option, sélectionnez Améliorer licence existante.
  2. Cliquez sur Suivant.
  3. Sélectionnez dans COPA-DATA.
  4. Cliquez sur Suivant.
  5. Sélectionnez l'emplacement d'enregistrement.
  6. Cliquez sur Appliquer.
  7. envoyez le fichier vers votre partenaire commercial COPA-DATA.

Demander une nouvelle licence

Pour demander une nouvelle licence COPA-DATA :

  1. Dans l’étape Option, sélectionnez Améliorer licence existante.
  2. Cliquez sur Suivant.
  3. Saisissez le FirmCode que vous avez reçu de COPA-DATA.
  4. Cliquez sur Suivant.
  5. Sélectionnez l'emplacement d'enregistrement.
  6. Cliquez sur Appliquer.
  7. envoyez le fichier vers votre partenaire commercial COPA-DATA.


Adaptation des licences

Manuel -> Licence -> Types de licence -> Licence par dongle -> CodeMeter -> Adaptation des licences

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Vous pouvez à tout moment adapter la portée de vos licences à vos projets et votre utilisation du Runtime. Pour cela :

  1. Commandez la modification souhaitée auprès de COPA-DATA.
  2. Vous recevrez un fichier *.WibuCmRaU pour votre dongle.
  3. Installez le fichier
    1. Soit en double-cliquant sur le fichier
    2. Soit en faisant glisser l’icône du fichier vers le centre de contrôle CodeMeter

Vous recevrez un message vous informant de la réussite de la mise à jour de votre licence. Si vous recevez un message d’erreur 229, la licence sur le dongle est déjà à jour

Pour demander une licence, vous devez créer un fichier .WibuCmRaC ou installer le fichier .WibuCmRaU manuellement avec la mise à jour?; suivez les instructions fournies au chapitre Mise à jour manuelle de la licence.

Autres sujets abordés dans ce chapitre

Demander une licence ou mettre une licence à jour


Demander une licence ou mettre une licence à jour

Manuel -> Licence -> Types de licence -> Licence par dongle -> CodeMeter -> Adaptation des licences -> Demander une licence ou mettre une licence à jour

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Demander une licence ou mettre une licence à jour

Pour mettre votre licence à jour manuellement :

  1. Créez un fichier .WibuCmRaC
  2. Envoyez le fichier à COPA-DATA
  3. Vous recevrez un fichier .WibuCmRaU mis à jour
  4. Copiez celui-ci vers le dongle

Créez un fichier WibuCmRaC

  1. Assurez-vous que le dongle CodeMeter soit connecté à votre PC.
  2. Ouvrez le CodeMeter Control Center.
    Chemin : Démarrer -> Programmes -> CodeMeter -> CodeMeter Control Center
  3. Dans l'onglet Licence, cliquez sur le bouton Mettre à jour la licence
  4. L’assistant de mise à jour de la licence démarre.
  5. Cliquez sur Suivant.

  6. Sélectionnez Create license (Créer une licence), puis cliquez sur Suivant.

  7. Sélectionnez Enhance existing license (Améliorer une licence existante).
  8. Cliquez sur Suivant.

  9. Sélectionnez le fabricant, puis cliquez sur Suivant.
  10. Sélectionnez l’emplacement du fichier .WibuCmRaC souhaité.
  11. Cliquez sur Appliquer.
  12. Le fichier .WibuCmRaC est créé.
  13. Envoyez le fichier vsers sales@copadata.com ou à l’adresse que vous avez indiquée.

Installez le fichier WibuCmRaU

Vous recevrez un fichier *.WibuCmRaU mis à jour de COPA-DATA.

Installez le fichier en double-cliquant sur le fichier sur le dongle.

Alternative :

  1. Ouvrez le centre de contrôle CodeMeter.
  2. Dans la boîte de dialogue de mise à jour des licences, sélectionnez Lizenzaktualisierung einspielen.
  3. Suivez les instructions fournies par l'assistant d'installation.


Administration réseau via WebAdmin

Manuel -> Licence -> Types de licence -> Licence par dongle -> CodeMeter -> Administration réseau via WebAdmin

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Pour l’administration réseau, démarrez l’interface utilisateur WebAdmin en cliquant sur le bouton WebAdmin dans l’application CodeMeter Control Center. Des informations détaillées concernant les paramètres individuels sont disponibles dans les pages d’aide de l’interface WebAdmin de CodeMeter. Vous pouvez y accéder en utilisant le point d’interrogation (?) dans WebAdmin. Les options et instructions essentielles figurent également dans ce document :

  • Administration des dongles CodeMeter
  • Administration des licences
  • Enregistrement des données de licence
  • Paramétrages réseau
  • Paramètres du proxy

attention Attention

CodeMeter WebAdmin utilise le port 22350 par défaut.
Remarque :

  • Si un pare-feu autre que le pare-feu intégré au système d’exploitation Windows est utilisé, ce port doit être ouvert.
  • Si le port est modifié, il est impossible de démarrer l'interface WebAdmin, car le port forme partie de l'adresse,.
    Par exemple : http://localhost:22350/configuration/extra.html
    Dans ce cas, utilisez des outils logiciels gratuits ou les outils Windows standard pour déterminer le port actuellement utilisé, et saisissez cette adresse dans la ligne d’adresse des navigateurs, à la place de la valeur 22350.
    Puis modifiez le port dans WebAdmin via Paramètres-> Avancés-> Extras .

Autres sujets abordés dans ce chapitre

Réseau

CodeMeter sticks

Administration des licences


Réseau

Réseau

Des paramètres réseau corrects sont essentiels au démarrage de l’interface WebAdmin et à l’établissement de communications sans incident avec un dongle réseau.

Liste de recherche de serveurs

Option

Description

Liste de recherche de serveurs

Affichage des serveurs CodeMeter disponibles. Les entrées peuvent être supprimées et triées. L’ordre défini ici conditionne l’ordre des tentatives de connexion effectuées par les clients.

Seuls les serveurs définis dans la liste sont parcourus. De cette manière, les demandes provenant de clients sont dirigées vers un serveur de réseau CodeMeter défini.

Remarque : Si un serveur CodeMeter se trouve sur un sous-réseau différent, utilisez l’adresse IP dans la liste de recherche.

Cette liste de recherche doit uniquement être utilisée si le CM Stick est introuvable sur le réseau.

Add new server (Ajouter nouveau serveur)

Ouvre la boîte de dialogue de sélection de serveurs.
Vous définissez le serveur réseau CodeMeter ici en utilisant le nom d’ordinateur ou l’adresse IP.

Appliquer

Applique les modifications.

Restaurer par défaut

Restaure les paramètres par défaut.

Proxy

Pour accéder aux services CodeMeter sur Internet (tels que le serveur d’horloge), saisissez ici l’adresse d’accès applicable à votre entreprise.

attention Attention

CodeMeter note ces identifiants. Si vous modifiez régulièrement votre mot de passe d’accès, vous devez également modifier cette information dans les paramètres de proxy de l’interface WebAdmin de CodeMeter WebAdmin !

Activez en tant que serveur

Pour activer un dongle en tant que serveur dans le réseau :

  1. Cliquez sur Paramètres-> Serveur -> Accès serveur.

  2. Dans la zone Serveur réseau, cliquez sur Activer.

    Si vous avez besoin d’un autre port de communication, changez-le en utilisant Paramètres -> Avancés -> Extras.

    L’ordinateur devient un serveur de réseau CodeMeter et met toutes ses licences à disposition sur le réseau.

Modification de port

Vous pouvez modifier plusieurs paramètres de communication via Paramètres -> Avancés -> Extras.
CodeMeter WebAdmin communique par défaut via le port 22350. Vous pouvez le modifier ici si nécessaire.

Option | Description
Port réseau | Port des communications CodeMeter sur le réseau. Par défaut : 22350 La valeur peut être ajustée individuellement. Dans ce cas, vous devez veiller à ce que tous les serveurs de Runtime CodeMeter utilisent le même port. Le service CodeMeter doit être redémarré une fois la modification effectuée. Recommandation : ne pas modifier le port.
Délai d'attente réseau | Délai d'attente de la réponse du serveur. Par défaut : 100 secondes
UDP response time (Délai de réponse UDP) | Le délai de réponse maximal à une demande UDP. Par défaut : 1000 millisecondes.


CodeMeter sticks

CodeMeter sticks

Le WebAdmin démarre dans l’aperçu Container/All containers.

Vous sélectionnez ici le dongle souhaité et les informations et actions souhaitées :

  • Licences : Affichage des licences disponibles.
  • Infos CmContainer : Informations relatives au dongle.
  • Données utilisateur : Données relatives aux utilisateurs, nombre de licences et validité.
  • Sauvegarde et restauration : Sauvegarde des données à partir d’un dongle vers un fichier et leur restauration.

Informations CmContainer

Vous montre les détails du dongle sélectionné avec le bouton Informations CmContainer.

Option | Description
CmStick | Affichage des dongles détectés et leur état. Toutes les autres informations concernant le dongle sélectionné.
Nom | Affiche le nom défini dans l’application Control Center.
Serial Number (Numéro de série) | Numéro de série du dongle.
Type CmContainer | Version matérielle du dongle.
Lecteur | Informations concernant le lecteur du dongle?; les tailles des lecteurs sont uniquement fournies pour les dongles pourvus d’une mémoire flash.
État | État d’activation défini dans l’application Control Center.
Heure du système (PC) | Heure locale sur le serveur de Runtime CodeMeter.
Heure du système (CMContainer) | Heure interne enregistrée sur le dongle.
Certified time (Heure certifiée) | Heure certifiée enregistrée sur le dongle. Modifiable avec le symbole de mise à jour (à droite). Remarque : pour mettre à jour le serveur d’horloge CodeMeter, vous devez disposer d’une connexion Internet active. Assurez-vous que les paramètres réseau sont corrects, plus particulièrement au regard des données d’accès actuelles.
Mémoire disponible | Mémoire libre disponible sur le dongle. Pour défragmenter la mémoire, cliquez sur le bouton Defragment (Défragmenter) (à droite).


Administration des licences

Administration des licences

La gestion des licences s’effectue dans l’onglet Licences du menu Container.

  1. Sélectionnez le dongle de votre choix.
  2. Vous trouverez des informations concernant les licences de ces dongles sous l'en-tête <COPA-DATA>.
  3. Pour plus de détails, cliquez sur le chiffre dans la colonne Product Code.

Présentation

Option | Description
Product Code | Valeur numérique du produit. Cliquez sur le numéro pour afficher les détails correspondants.
Nom | Nom du dongle
Usage units (Unités d’utilisation) | Le cas échéant, affiche les unités d’utilisation restantes.
Expiration date (Date d’expiration) | Le cas échéant, affiche la date d’expiration. Ensuite, zenon bascule en mode démo.
Number of licenses (Nombre de licences) | Nombre total de licences.
Feature Map | Licenses fournies avec des fonctionnalités ou modules différents.

Détails

Option | Description
Dongle Number | Numéro de série du dongle. Doit correspondre au numéro du dongle actif.

Limites horaires

Un dongle peut également comporter une limite de temps :

  • Expiration date (Date d’expiration)
  • Time period for use (Délai d'utilisation)

Expiration date (Date d’expiration)

Le dongle peut comporter une date d’expiration fixe. La date d’expiration désigne le dernier jour où la licence est valide. zenon bascule ensuite en mode démo. La date d’expiration est indiquée dans CodeMeter WebAdmin.
Pour trouver la date d’expiration :

  1. Accédez au dongle.
  2. La date de fin est indiquée dans la colonne Date d’expiration dans la vue Licences.

  3. La date de fin est également indiquée dans la colonne Valeur dans la vue détaillée.

Time period for use (Délai d'utilisation)

Le dongle peut comporter un délai d’utilisation spécifique. Celui-ci démarre à la première utilisation d’Editor ou du Runtime zenon. Une fois la période expirée, zenon bascule en mode démo. Pour contrôler la limite de temps :

  1. Accédez au dongle.
  2. Indiquer les licences.
  3. Cliquez, dans l’entrée sous COPA-DATA, sur le chiffre dans la colonne Product Code.

    La fenêtre Détails Product Items’ouvre.

    Dans la ligne Période d’utilisation, vous pouvez voir la période de licence et la date de début dans la colonne Valeur.


Dépannage

Manuel -> Licence -> Types de licence -> Licence par dongle -> CodeMeter -> Dépannage

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Erreur

Solution

zenon s’exécute uniquement en mode de démonstration.

Vérifiez les éléments suivants :

  • Vos licences
  • La connexion au dongle réseau
  • si les informations concernant la licence (SERIAL7= et ACTIVATIONKEY7=) ont été correctement saisies dans zenon6.ini.
    Faites attention à ne pas insérer d’espaces après le numéro de série (SERIAL7=) ou la clé d’activation (ACTIVATIONKEY7=).
    Répertoire pour zenon6.ini:Vista : %ProgramData%\COPA-DATA\System

Le dongle est introuvable.
  • Contrôlez les paramètres réseau.
  • Si le dongle se trouve sur un autre domaine, ajoutez-le à la liste des serveurs.
  • Augmentez le délai de réponse UDP.
  • S’il s’agit d’une machine virtuelle, configurez le dongle comme un média amovible.
    Attention : La configuration en tant que média amovible peut, selon la configuration de l’ordinateur, également bloquer le démarrage de celui-ci.
  • Configurez le dongle comme un périphérique HID.

Erreur 410
(avec les cartes SD)

La connexion à la carte SD est instable.

Utilisez un lecteur de cartes externe.

L’heure certifiée ne peut pas être mise à jour.

Veuillez contrôler les éléments suivants :

  • Les paramètres de proxy, particulièrement les données d’accès et le mot de passe.
  • Liste des serveurs d’heure sous Paramètres -> Serveur de temps
    , par exemple : cmtime.CodeMeter.com, cmtime.CodeMeter.de, cmtime.CodeMeter.fr, cmtime.CodeMeter.us.

Messages d’erreur lors de la mise à jour de la licence :

Erreur lors de la mise à jour de CmSticks x-xxxxxxx :
This update can no longer be read in. The content of the CmStick has a newer version, error229 (Cette mise à jour ne peut plus être lue. Le contenu de CmStick présente une version plus récente, erreur 229).

La mise à jour de cette licence a déjà été écrite sur le dongle. Le dongle est à jour.

Le système d’exploitation Windows affiche le message :

Mémoire faible?!

Le dongle est identifié comme un lecteur local. Dans certains cas, le système d’exploitation peut indiquer que la quantité de mémoire disponible sur le dongle est insuffisante.

Ce message peut être ignoré.

Le dongle peut également être configuré en tant que média amovible. Pour plus de détails concernant la configuration, reportez-vous au chapitre Configuration du dongle en tant que média amovible ou HID.

Attention : La configuration en tant que média amovible peut, selon la configuration de l’ordinateur, également bloquer le démarrage de celui-ci.

Le système d’exploitation Windows n’affiche plus le symbole de la Corbeille.

Cela peut se produire si le dongle est identifié comme un réseau local fixe.

Le dongle peut également être configuré en tant que média amovible. Pour plus de détails concernant la configuration, reportez-vous au chapitre Configuration du dongle en tant que média amovible ou HID.

Attention : La configuration en tant que média amovible peut, selon la configuration de l’ordinateur, également bloquer le démarrage de celui-ci.


Possibilités de configuration pour le dongle CodeMeter

Manuel -> Licence -> Types de licence -> Licence par dongle -> CodeMeter -> Possibilités de configuration pour le dongle CodeMeter

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Par défaut, le dongle est intégré au système sous forme de périphérique HID (Human Interface Device). Cette configuration est recommandée. Le dongle peut également être configuré en tant que périphérique de stockage de masse ou média amovible.

Configurations :

Configuré comme :

Description

Limitations

HID

Le dongle :

  • N’est pas affiché dans la liste des lecteurs disponibles
  • Ne reçoit pas une lettre de lecteur

Est uniquement disponible pour les dongles CodeMeter sans mémoire

Périphérique de stockage de masse local

Le dongle est affiché et géré sous forme de lecteur local.

Pour la configuration, reportez-vous au chapitre Configurer le dongle en tant que périphérique HID ou périphérique de stockage de masse.

Ceci peut entraîner les phénomènes suivants :

  • Le système d’exploitation indique que la quantité de mémoire disponible pour le dongle est insuffisante
  • L’icône de la Corbeille de Windows n’est plus affichée
  • Le dongle n’est pas détecté sur les machines virtuelles

Média amovible

Le dongle est affiché et géré comme un média amovible.

Pour plus de détails concernant la configuration, reportez-vous au chapitre Configuration du dongle en tant que média amovible.

La configuration du dongle en tant que média amovible offre les avantages suivants :

  • Le démarrage de l’ordinateur peut être évité, si l’ordinateur concerné peut être lancé depuis un lecteur USB
  • Le dongle apparaît en tant que lecteur dans la barre des tâches et peut être retiré (éjecté) à tout instant.

Autres sujets abordés dans ce chapitre

Configurer le dongle en tant que périphérique HID ou périphérique de stockage de masse


Configurer le dongle en tant que périphérique HID ou périphérique de stockage de masse

Manuel -> Licence -> Types de licence -> Licence par dongle -> CodeMeter -> Possibilités de configuration pour le dongle CodeMeter -> Configurer le dongle en tant que périphérique HID ou périphérique de stockage de masse

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Configurer le dongle en tant que périphérique HID ou périphérique de stockage de masse

CodeMeter prend en charge, à partir de la version 5.0, la classe de normes USB Human Interface Device (HID). Les dongles CodeMeter peuvent donc se connecter au système en tant que périphérique HID, plutôt qu’en tant que Mass Storage Device (périphérique de stockage de masse). Le dongle n’est donc pas affiché dans la liste des lecteurs disponibles et ne reçoit pas de lettre de lecteur. La prise en charge HID est disponible pour tous les dongles CodeMeter ne comportant pas de mémoire. Il n’est pas nécessaire d’installer des drivers d’hôte USB spéciaux pour la configuration, car les fonctionnalités sont fournies par le système d’exploitation.

Conditions requises :

  • CodeMeter container avec l’identification "2-xxxxxxx" ou 3-xxxxxxx".
  • CodeMeter firmware 2.02 ou supérieur.
  • CodeMeter Runtime 5.0 ou supérieur. Si la version de CodeMeter que vous avez installée est inférieure, vous pouvez télécharger la version actuelle de CodeMeter Runtime sur le site Web de Wibu Systems (www.wibu.com).

HID vers périphérique de stockage de masse

Pour basculer la communication USB de Human Interface Device (HID) à Mass Storage Device :

  1. Vérifiez, dans CodeMeter WebAdmin, l’état dans l’onglet Info Container -> CmContainer.
  2. Aucun lecteur n’est attribué.

  3. Invoquez l’interface de ligne de commande CodeMeter cmu : Démarrer -> Fichiers programme -> CodeMeter -> Tools -> CodeMeter Command Prompt.
  4. Saisissez les commandes suivantes dans la ligne d’entrée de commande qui apparaît :
    cmu32 /s [box mask-serial number] --set-config-disk MsdCommunication
    Remarque : Pour [box mask - serial number], saisissez le numéro de série du dongle.

    Une fois la commande exécutée avec succès, le message suivant s’affiche :
    Communication mode changed successfully.
    Please replug your CmDongle to apply the changes.

  5. Déconnectez le dongle de l’ordinateur.
  6. Reconnectez le dongle à l’ordinateur.
  7. Dans CodeMeter Control Center, l’activation du mode MSD est visible sur l’onglet Events.

  8. Dans CodeMeter WebAdmin, vérifiez le lecteur dans l’onglet Info Container -> CmContainer.
    Un lecteur apparaît ici, mais aucune mémoire flash n’est présente.

Périphérique de stockage de masse conforme à la norme HID

Pour basculer la communication USB de Mass Storage Device à Human Interface Device (HID) :

  1. Vérifiez, dans CodeMeter WebAdmin, l’état dans l’onglet Info Container -> CmContainer.
  2. Un lecteur est attribué, mais aucune mémoire flash n’est présente.

  3. Invoquez l’interface de ligne de commande CodeMeter cmu : Démarrer -> Fichiers programme -> CodeMeter -> Tools -> CodeMeter Command Prompt.

    Saisissez les commandes suivantes dans la ligne d’entrée de commande qui apparaît :
    cmu32 /s [box mask-serial number] --set-config-disk HidCommunication
    Remarque : Pour [box mask - serial number], saisissez le numéro de série du dongle.

    Une fois la commande exécutée avec succès, le message suivant s’affiche :
    Communication mode changed successfully.
    Please replug your CmDongle to apply the changes.

  4. Déconnectez le dongle de l’ordinateur.
  5. Reconnectez le dongle à l’ordinateur.
  6. Dans CodeMeter Control Center, l’activation du mode HID est visible sur l’onglet Events.

  7. Dans CodeMeter WebAdmin, vérifiez l’état du lecteur sur l’onglet Content (CmContainer). Aucune indication ne doit apparaître.


WibuKey

Manuel -> Licence -> Types de licence -> Licence par dongle -> WibuKey

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

WibuKey peut être utilisé sur un poste de travail unique ou sur un réseau. La clé USB doit être active dans un port USB ou un port parallèle de l’ordinateur local, ou en tant que serveur sur un ordinateur connecté au réseau.

Pour contrôler les paramètres du dongle :

  1. Installez le logiciel de gestion WibuKey depuis le support d’installation.
    Emplacement de sauvegarde :
    \AdditionalSoftware\WIBU-SYSTEMS WibuKey
    Utilisez ce logiciel pour la gestion des licences avec le dongle réseau.
  2. Ouvrez le Panneau de configuration.
  3. Ouvrez l’élément de contrôle du système WibuKey.
  4. Sélectionnez le dongle à tester sur l’ordinateur local ou sur le réseau.

    Pour afficher la liste des clés WibuKey sur le réseau, cliquez sur le bouton Read in (Acquisition).

  5. Assurez-vous que le numéro affiché dans la deuxième colonne de la deuxième ligne est identique au premier numéro d’identification du dongle.

Vous pouvez en apprendre davantage sur le fonctionnement du dongle au chapitre dongle réseau.

Autres sujets abordés dans ce chapitre

Dongle connecté en réseau


Dongle connecté en réseau

Manuel -> Licence -> Types de licence -> Licence par dongle -> WibuKey -> Dongle connecté en réseau

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Pour utiliser une clé WibuKey en tant que dongle en réseau, vous devez correctement configurer le serveur et le client :

  • Configuration du serveur
  • Configuration du client

attention Attention

WibuKey utilise le port 22347. Ce port est fixe et ne peut pas être modifié. Remarque :

  • si vous utilisez un pare-feu autre que celui intégré au système d’exploitation Windows, ce port doit être ouvert si vous souhaitez utiliser la clé WibuKey en tant que dongle en réseau.

Autres sujets abordés dans ce chapitre

Configurer le serveur

Configurer un client


Configurer le serveur

Configurer le serveur

Le serveur WibuKey doit s’exécuter sur le serveur auquel est connecté le dongle. Le serveur WibuKey peut être configuré soit comme une application, soit comme un service.

Lors de l’installation du logiciel WibuKey, les options

Serveur de réseau 32 Bit WkNet/WkLAN

Installer comme Service NT avec démarrage automatique

doivent être activées, afin que le serveur WibuKey soit installé comme un service (recommandé).

Pour démarrer le serveur WibuKey comme une application, un raccourci vers le fichier WkSvW32.exe doit être créé dans le démarrage Windows.

Après installation, le fichier se trouve dans le dossier C:\Programs\WibuKey\Server\.


Configurer un client

Configurer un client

Certains paramètres réseau doivent être définis avec le panneau de configuration sur le poste client. Avec l’outil WibuKey, vous pouvez sélectionner le type d’accès réseau que vous voulez utiliser dans la section Sous-systèmes WibuKey. La fonction de gestion des licences de zenon utilise le sous-système WkLan.

Sous "Nom/adresse IP du serveur", donnez le nom du serveur ou son adresse IP ou un masque d’adresse IP. Avec le bouton "Rechercher", la liste est mise à jour avec les serveurs de dongle trouvés.

Les entrées sont utilisées dans l’ordre de la liste et peuvent être combinées.

Si la première entrée est un serveur, le système vérifie si le service de gestion de dongle tourne sur ce PC et si le dongle est bien connecté. Si aucun dongle n’est trouvé et si l’entrée suivante est un masque, le système essaie de trouver un dongle sur tous les PC du réseau répondant à ce masque.

Dans l’onglet Contenu, les serveurs sur lesquels les dongles ont été trouvés sont montrés.


Paramètres de la ligne de commande de l’outil de gestion des licences

Manuel -> Licence -> Paramètres de la ligne de commande de l’outil de gestion des licences

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

L’outil de gestion des licences peut être contrôlé par l’utilisation des paramètres suivants :

Passer un paramètre se fait en utilisant '/' ou '-' avant le paramètre.

Par exemple : /silent ou -silent

Paramètres | Description
request | Force le programme à ne pas prendre en compte la première boîte de dialogue et à montrer directement la boîte de dialogue pour demander la clé d’activation (peu importe si le mode /silent ou -silent est aussi utilisé).
sernum:<num> | Force le programme à utiliser le numéro de série fourni dans <num> pour définir la licence, plutôt que de lire le numéro à partir du fichier zenon6.ini.
actkey:<key> | Force le programme à utiliser la clé d’activation qui est fournie avec la <clé> pour la licence, plutôt que de lire le numéro à partir du fichier zenon6.ini.
silent | Force le programme à ne montrer aucune boîte de dialogue. Le fichier License.txt est créé malgré tout.
mailto:<addr> | Travaille seulement en relation avec l’option silent et force le programme à envoyer par e-mail la demande de licence à l’adresse spécifiée par <addr>.


Gestion à distance des licences

Manuel -> Licence -> Gestion à distance des licences

Pour associer une licence à un ordinateur via une connexion à distance :

  1. Dans le menu contextuel du projet, sélectionnez Remote Transport -> Modifier le mot de passe distant et afficher la licence
  2. Démarrez le module Remote Transport
  3. Dès que la connexion est établie, la licence de l’ordinateur distant est affichée

  4. Saisissez le numéro de série et le numéro d’activation de votre formulaire de licence
  5. Confirmez la saisie en cliquant sur OK


Caractéristiques du fonctionnement serveur-client

Manuel -> Licence -> Caractéristiques du fonctionnement serveur-client

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

La gestion des modules dans le fonctionnement serveur-client possède les caractéristiques suivantes :

Archives

On distingue les cas suivants :

  • Serveur et client pourvus d’une licence : les archives peuvent être ouvertes et modifiées par le client
  • Serveur pourvu d’une licence et client non pourvu d’une licence : les archives peuvent être ouvertes par le client, mais ne peuvent pas être modifiées
  • Client non pourvu d’une licence et démarré en mode autonome : Une fenêtre d’archive peut être ouverte. Les archives individuelles ne peuvent pas être ouvertes.

Coloration Automatique de Lignes

On distingue les cas suivants :

  • Serveur pourvu d’une licence et client non pourvu d’une licence : la fonction CAL est disponible sans limitation
  • Client non pourvu d’une licence et démarré en mode autonome : la fonction CAL n’est pas disponible

info Informations

Si le serveur est pourvu d’une licence pour le module Energy Edition, la fonction CAL dispose également d’une licence.

Batch Control

Le client reçoit la licence du serveur, et ne nécessite pas de licence propre. Si le serveur ne comporte pas de licence propre, le client ne peut pas utiliser le module.

Gestion de charge

On distingue les cas suivants :

  • Serveur pourvu d’une licence et client non pourvu d’une licence : Gestion de chargeLa fonctionnalité EMS est disponible sans limitation
  • Client non pourvu d’une licence et démarré en mode autonome : Gestion de chargeLa fonctionnalité EMS n’est pas disponible

Message Control

Le client reçoit la licence du serveur, et ne nécessite pas de licence propre. Si le serveur ne comporte pas de licence propre, le client ne peut pas utiliser le module.

Everywhere Server by zenon

Everywhere Server obtient la licence du Runtime. La licence d’Everywhere Server est émise par le Runtime. Everywhere Server n’est pas utilisable si le Runtime ne comporte pas une licence correspondante.

Pour cette raison, il peut arriver que le Runtime soit en cours d’exécution, mais qu’Everywhere Server ne puisse pas démarrer, en raison de droits de licence manquants. Dans ce cas, veuillez utiliser l’outil de gestion de licences pour recevoir une licence correspondante.


Le fil d'Ariane de l'aide - aperçu

Manuel -> Le fil d'Ariane de l'aide - aperçu

Plus le système de contrôle est puissant, plus l'aide est volumineuse.

À la différence de tous les autres chapitres, où les fonctionnalités sont expliquées, ce chapitre doit vous permettre de vous guider à travers l'aide.

Autres sujets abordés dans ce chapitre

Quels chapitres pour démarrer

Mise à jour en ligne de l'aide de zenon :

Guide à travers l'aide

L'aide en ligne : je trouve ce dont j'ai besoin


Quels chapitres pour démarrer

Manuel -> Le fil d'Ariane de l'aide - aperçu -> Quels chapitres pour démarrer

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

info Informations

Ce chapitre a été pensé pour tous ceux qui utilisent zenon pour la première fois et se demandent quelles rubriques d'aide sont utiles pour commencer. Ici vous pouvez apprendre les étapes nécessaires pour un projet de base simple. Des liens renvoyant vers les informations correspondantes dans les guides et les manuels sont fournis à chaque étape.

Autres sujets abordés dans ce chapitre

Editor

Créer un projet

Cadres et synoptiques

Drivers et variables

Fonctions

Démarrage du Runtime

Possibilités avancées


Editor

Manuel -> Le fil d'Ariane de l'aide - aperçu -> Quels chapitres pour démarrer -> Editor

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

zenon :

zenon est constitué de deux éléments :

1. Editor
(système d'exploitation) : Ici les projets sont créés.

2. Runtime
: Ici vous pouvez faire le suivi et les opérations sur les équipements créés.

Structure d'Editor :

L’interface utilisateur d’Editor est constituée de différents éléments :

Élément

Sommaire

01 - Barres d’outils :

Un ensemble de barres d'outils destinées à l'éditeur et ses modules. Elles sont disponibles pour :

  • Fenêtre ancrables
  • Alignement
  • Synoptiques / Symboles
  • Profils Editor
  • Éléments
  • Barre de menu
  • Production & Facility Scheduler
  • Remote Transport
  • Report Generator
  • Fichiers du Runtime
  • Niveaux de visibilité
  • Macros VBA

02 - Gestionnaire de projet :

Vue en arborescence du gestionnaire de projet.

03 - Vue de détail du gestionnaire de projet :

Détails du module sélectionné dans le gestionnaire de projet.

04 - Fenêtre principale :

Espace de travail principal?; ici, les documents tels que les synoptiques ou les rapports sont affichés.

05 - Barre d’outils Éléments :

Barre d’outils des éléments de synoptique (éléments vectoriels et dynamiques).

06 - Propriétés

Affiche les propriétés d’un objet sélectionné. Trois modes sont disponibles et peuvent être sélectionnés dans la barre d’outils Propriétés.

07 - Aide des propriétés :

Affiche des messages d’aide courts relatifs aux propriétés des synoptiques, des variables, des fonctions et autres éléments pouvant être configurés.

08 - Fenêtre de sortie

Les messages sont affichés ici si des projets ont été compilés et transmis au Runtime.

09 - Barre d’état :

Affiche des informations d’état concernant la disponibilité d’Editor et les synoptiques.

10 - Barre d’outils Propriétés :

Définit les options d’affichage et de tri des propriétés, et affiche l’aide des propriétés.

11 - Liste de références croisées :

Vous choisissez les fenêtres devant être affichées :

  • Dans la liste déroulante sous Options?;

La disposition des fenêtres peut être configurée individuellement. Seule la fenêtre principale ne peut pas être masquée.

L'étape suivante :

Vous trouverez des informations concernant la création d'un projet au chapitre Création d'un projet.


Créer un projet

Manuel -> Le fil d'Ariane de l'aide - aperçu -> Quels chapitres pour démarrer -> Créer un projet

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Créer un espace de travail :

L'espace de travail peut contenir un ou plusieurs projets.
Comment créer un nouvel espace de travail est décrit dans le Guide de base.

Créer un projet :

Ensuite, un nouveau projet est créé dans l'espace de travail. Un projet est une entité autonome et exécutable, et qui contient les éléments développés (par exemple, les synoptiques, les variables, les fonctions, etc.).
Vous trouverez plus d'informations sur la création de projets dans le Guide de base.

info Informations

Maintenant, vous être capable de créer un projet.

L'étape suivante :

Pour ajouter des synoptiques à vos projets, reportez-vous à la section Synoptiques et modèles au chapitre suivant.


Cadres et synoptiques

Manuel -> Le fil d'Ariane de l'aide - aperçu -> Quels chapitres pour démarrer -> Cadres et synoptiques

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Créer un cadre :

Les cadres définissent des zones dans l'écran qui contiendront les synoptiques. Chaque synoptique est basé sur un cadre.
Vous trouverez plus d'informations sur comment créer un cadre dans le Guide de base et au chapitreCadres.

Créer un synoptique :

zenon propose différents types de synoptique prédéfinis, dont le plus simple, le "standard", où les écrans peuvent être définis librement. Pour le design graphique des synoptiques, il n'y a pratiquement aucune limitation.
Sélectionnez simplement les éléments prédéfinis pour représenter schématiquement vos équipements dans les synoptiques.

Améliorer les synoptiques avec les éléments graphiques :

zenon propose des éléments de synoptique vectoriels et dynamiques prédéfinis, qui peuvent être liés à des fonctions ou des variables.
D'autres informations concernant les éléments image sont disponibles dans le Guide de base ; les différentes formes des éléments de synoptique prédéfinis sont décrits de manière détaillée au chapitre Éléments de synoptique.
Une autre possibilité pour gagner du temps dans la phase de développement consiste à utiliser les symboles prédéfinis de la bibliothèque de symboles. Vous trouverez plus d'informations sur les symboles au chapitre Symboles.

info Informations

Vous pouvez créer maintenant un nouveau projet avec des synoptiques et des éléments graphiques.

L'étape suivante :

Des drivers et des variables sont nécessaires pour que vous éléments de synoptique affichent des valeurs "réelles" et pour que votre équipement puisse être observé depuis zenon. Vous trouverez d'autres informations à ce sujet au chapitre Drivers et variables.


Drivers et variables

Manuel -> Le fil d'Ariane de l'aide - aperçu -> Quels chapitres pour démarrer -> Drivers et variables

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Sélection d'un driver

Les variables sont fondées sur les drivers ; un driver doit donc d'abord être sélectionné. Habituellement, lors de la phase de développement, un des drivers de simulation est utilisé. Ensuite il est remplacé par le driver correspondant à l'automate. En tant que système ouvert et indépendant, zenon est déjà compatible avec plus de 250 protocoles de communication et drivers. Vous trouverez des informations détaillées concernant les différents drivers dans les documentations des drivers correspondants. Vous trouverez celles-ci dans l'aide, dans la section Drivers.

Création d'une variable

Les variables sont l'interface vers les données du procédé et représentent des valeurs de mesure ou des états. Pour avertir les opérateurs en cas d'événements critiques affectant le procédé, des valeurs limites peuvent être définies pour les variables.
Vous trouverez plus d'informations sur comment créer une variable dans le Guide de base. Vous trouverez une descriptions complète des types de données et des matrices de réaction dans le chapitre Modèle des données du procédé et définition des variables.

Affichage de valeurs dans les éléments de synoptique

Les éléments de synoptique peuvent être liés à des variables pour afficher les valeurs entrantes.
Vous trouverez plus d'informations concernant la liaison de variables aux éléments dynamiques dans le Guide de base. Au chapitre Éléments de synoptique, vous trouverez un lien vers les éléments dynamiques et les éléments vectoriels des synoptiques de zenon.

info Informations

Vous avez maintenant un bon aperçu de comment utiliser les variables et les drivers.

Étape suivante

Vous n'avez pas seulement besoin de faire un suivi du procédé mais vous voulez aussi le contrôler. Des fonctions doivent être créées et liées pour pouvoir contrôler zenon.

Vous trouverez des informations à ce sujet au chapitre Fonctions.


Fonctions

Manuel -> Le fil d'Ariane de l'aide - aperçu -> Quels chapitres pour démarrer -> Fonctions

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Créer une fonction :

Les fonctions constituent la base de l'utilisation de l'équipement dans le Runtime. Ils vous permettent par exemple de basculer entre les différents synoptiques de procédés ou de modifier des valeurs.
Plusieurs fonctions peuvent être combinées et enchaînées dans un script. Vous trouverez plus d'informations sur les scripts dans le chapitre Scripts.

Lier une fonction à un élément dynamique dans un synoptique :

Vous trouverez plus d'informations dans le Guide de base. zenon propose un grand nombre de fonctions différentes ; celles-ci sont recensées et expliquées au chapitre Présentation des fonctions. De plus, vous trouverez une description rapide dans la boîte de dialogue Nouvelle fonction.

info Informations

Maintenant, vous être capable de créer un projet simple. Vous pouvez créer un synoptique, lier des variables et des fonctions à des éléments de synoptique, mais également afficher les dépassements de valeurs limites.

L'étape suivante :

Pour afficher le résultat dans le Runtime, reportez-vous au chapitre Démarrage du Runtime.


Démarrage du Runtime

Manuel -> Le fil d'Ariane de l'aide - aperçu -> Quels chapitres pour démarrer -> Démarrage du Runtime

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

D'Editor au Runtime

Ce qui a été développé dans Editor peut être activé dans le Runtime . Donc quittons l'environnement de développement (Editor) et démarrons le Runtime.
Vous trouverez plus d'informations sur comment démarrer le Runtime dans le Guide de base et au chapitreRuntime.

info Informations

Maintenant, vous pouvez développer vos projets et faire le suivi et/ou le contrôle de vos équipements.

Plus ?

Ceci est bien sûr seulement un court aperçu des possibilités de zenon. Pour plus d'informations, reportez-vous à la section Possibilités avancées.


Possibilités avancées

Manuel -> Le fil d'Ariane de l'aide - aperçu -> Quels chapitres pour démarrer -> Possibilités avancées

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Ici, vous trouverez de nombreuses possibilités que vous pouvez mettre en œuvre avec zenon :

Vous voulez ... | Pas de problème !
...attirer l'attention lors d'événements critiques sur le procédé (dépassements de valeurs limites) ? | Configuration des alarmes
...analyser les alarmes ? | Industrial Performance Analyzer
...journaliser les événements du procédé et les événements système ? | Liste d'événements
...journaliser les modifications dans le projet ? | Historique des modifications
...enregistrer et concentrer les données du procédé ? | Serveur d'archives
...colorer de façon dynamique des lignes ? | Coloration Automatique de Lignes
...créer une gestion d'utilisateurs (système de mots de passe) conforme à la norme FDA ? | Gestion des utilisateurs
...analyser des fichiers journaux ? | Diagnosis Viewer
...afficher des valeurs du procédé sous forme de courbe ? | Extended Trend
...gérer les données de maintenance des machines ? | Industrial Maintenance Manager
...envoyer des messages ? | Message Control
...créer un réseau client / serveur ? | Réseau
Development Environment | Editor
importer ou exporter des parties du projet ? | Importer/Exporter
...exécuter des actions à des heures définies ? | Production & Facility Scheduler
...créer des rapports ? | Report Generator
...créer des listes de paramètres pour les valeurs prescrites et les commandes ? | Recettes
...définir une séquence de fonctions ? | Gestion des scripts
...exécuter des fonctions à des heures définies ? | Commande temporisée
...changer la langue des textes affichés dans le Runtime ? | Changement de langue
...contrôler l'accès à certains objets zenon dans le Runtime à l'aide de variables ? | Verrouillages
...programmer des tâches cycliques ? | Process Control Engine (PCE)
...se familiariser avec l'intégration de zenon Logic ? | zenon Logic Workbench
Échange de données au niveau ERP ? | Interface SAP


Mise à jour en ligne de l'aide de zenon :

Manuel -> Le fil d'Ariane de l'aide - aperçu -> Mise à jour en ligne de l'aide de zenon :

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

L'outil Documentation Download Tool gère la mise à jour de l'aide en ligne (aide embarquée, aide des boîtes de dialogue, infos-bulles et documentation des produits au format PDF) dans zenon et zenon Logic.

La mise à jour est effectuée en ligne. Une connexion Internet est requise à cette fin.

Contenu de la mise à jour de la documentation :

Documentation Download Tool effectue la mise à jour des éléments suivants :

  • Documentation de produit de zenon et de zenon Logic
  • Documentation des drivers
  • Guides
  • Glossaire

Formats de fichier de la mise à jour de la documentation :

Documentation Download Tool effectue la mise à jour des éléments suivants :

  • Aide en ligne de zenon et de zenon Logic (.chm)
  • Documentation de produit de zenon (.pdf)

Remarque : L'outil est disponible en anglais uniquement.

tutorial Informations concernant la licence

Composante de la licence standard d’Editor et du Runtime.


Guide à travers l'aide

Manuel -> Le fil d'Ariane de l'aide - aperçu -> Guide à travers l'aide

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Ici, vous trouverez un aperçu des chapitres de l'aide en ligne et une courte introduction à la terminologie de zenon. Vous trouverez des notes concernant la configuration efficace de projets dans le manuel Configuration efficace de projets avec zenon.

Paramètre

Description

Configuration des alarmes

Événements critiques du procédé
L'utilisation d'alarmes dans tout le système permet d'attirer l'attention de l'utilisateur sur les événements critiques des procédés, et de lui offrir une assistance pour leur localisation et leur élimination.

Historique des modifications

Documentation du développement, protocole d'audit
L'historique des modifications fournit une documentation complète de la phase de développement. Les modifications effectuées (par ex. modification, suppression, création) peuvent être enregistrées par le système.

Modèles d'équipement

Représente la structure et les équipements et permet d'attribuer correctement des détails au niveau inférieur (par ex. machines, recettes et procédés) et de visualiser la relation. Conforme aux standards ISA S88 et S95.

Serveur d'archives

Enregistrer les données du procédé
L'objectif de l'archivage consiste à assurer l'enregistrement et la synthèse libre à plusieurs niveaux (moyenne, total, maximum ou minimum) des données du procédé par l'intermédiaire d'une interface de définition souple et conviviale, intégrée au système.

Coloration Automatique de Lignes

Comportement dynamique des lignes
Le module de Coloration Automatique des Lignes permet de définir un effet dynamique automatique sur les tubes ou lignes utilisés dans différentes technologies, comme dans la distribution d'énergie (pour l'électricité).

Module Batch Control

Le module Batch Control offre la possibilité d'automatiser les processus de fabrication orientés batch pour la fabrication de produits par lots.

Gestion des utilisateurs

Le système de gestion des mots de passe de zenon prend en charge la gestion des utilisateurs pour Editor (chapitre Projet) et les opérations en ligne (Runtime). Avec son système de mots de passe, il supporte les exigences la FDA (Food and Drug Administration, 21 CFR Part 11).

Synoptiques

Les synoptiques représentent l'élément principal d'un projet ; leur but consiste à fournir à l'opérateur un ensemble d'informations le plus complet possible sur les installations en cours d'exploitation.

Liste d'événements

Journal des opérations, protocole d'audit
La totalité des événements système et du procédé, ainsi que les saisies effectuées par l'utilisateur peuvent être consignées dans la liste d'événements.

Contrôles

Intégration de vos commandes d'utilisateur .NET et d'éléments ActiveX et WPF. Permet d'accéder à l'API de zenon.

Diagnosis Viewer

Outil de création de rapports
Permet de lire les fichiers journaux existants de zenon, d'activer la journalisation en ligne, d'enregistrer la vue actuelle et de configurer les services Diagnosis Client et Diagnosis Server.

Éléments dynamiques de synoptique et Éléments vectoriels de synoptique

Éléments vectoriels (statiques) et les éléments dynamiques
zenon; propose deux types d'éléments de synoptique : les éléments vectoriels (statiques) et les éléments dynamiques. Tous les éléments peuvent être 'dynamisés'.

Editor

Environnement de projet
Le système de contrôle est composé d'Editor et du Runtime. l'environnement de développement, Editor et l'affichage en ligne, le Runtime. Les projets sont créés dans Editor, les opérations et le suivi interviennent dans le Runtime.
Description détaillée du système de développement zenon, Editor.

Energy Edition (Produit Energie)

Suite contenant des fonctions spéciales pour les technologies de l'énergie et des procédés (par ex., la coloration automatique des lignes).

Extended Trend

Représentation des valeurs sous forme de courbes
La fonction Extended Trend permet de représenter des valeurs en ligne (gestion HD) et historiques (archives) des variables de procédé et variables dérivées.

Fonctions

Macros prédéfinies pouvant être facilement utilisées et configurées par des ingénieurs, puis utilisées pour apporter des modifications dans zenon
Les modifications apportées par l'utilisateur dans zenon sont mises en œuvre par le biais de fonctions de projet définies par l'utilisateur. Toutes les fonctions utilisées dans un projet sont basées sur les fonctions système existantes.

HTML

Affichage de pages HTML
L'utilisation d'un synoptique pour l'affichage de pages HTML offre toutes les possibilités du logiciel Microsoft Internet Explorer.

Importer/Exporter

Des sections d'un projet peuvent être importées dans zenon ou exportées depuis zenon. Le fichiers d'exportation sont au format *.XML.

Industrial Maintenance Manager

Gestion des tâches de maintenance
Le module Industrial Maintenance Manager (IMM) aide à gérer les machines et les données de maintenance. Des périodes de maintenance peuvent être planifiées et gérées facilement. D'un coup d'œil, on peut voir sur quel matériel, équipement, machine, etc. doit être effectuée une maintenance aujourd'hui, cette semaine, le mois prochain etc. De plus, les travaux de maintenance effectués sont enregistrés et donc, tout le travail déjà réalisé peut être visualisé.

Industrial Performance Analyzer

Évaluation des alarmes
Le module Industrial Performance Analyzer (IPA) localise et minimise les points faibles (temps de panne) des équipements.

Installation et mises à jour

Informations concernant l'installation de zenon sur différents systèmes d'exploitation (tels que Windows CE, Embedded, etc.)

Keyblock Runtime Start

Ce programme démarre le Runtime de zenon et bloque toutes les touches système de Windows.
Les utilisateurs travaillent dans le Runtime de zenon et n'ont pas accès au niveau système d'exploitation.

Claviers

Clavier virtuel
L'utilisation d'un synoptique de type Clavier permet de créer et définir librement un clavier virtuel qui permet à l'opérateur de saisir les valeurs sur l'écran, sans avoir besoin de clavier réel.

Fichier de configuration

Informations pour les administrateurs système qui voudraient éditer directement les fichiers .INI.

Load Management (Gestion de charge)

Utilisé pour la gestion de l'alimentation en électricité des petites et moyennes entreprises de fourniture d'énergie, mais également des firmes industrielles dont l'alimentation en électricité est régie par des contrats spéciaux.
Utilisable avec les fonctionnalités de prévision et d'optimisation.

Licence

Pour pouvoir utiliser les composants Editor et Runtime de zenon, vous devez disposer d’une licence pour le produit.
zenon s’exécute en mode démo jusqu’à ce qu’il dispose d’une licence.

Conversion d'unités de mesure

Autorise la conversion et le basculement d'unités de base en unités de conversion, par exemple de mètres en yards ou de mètre en décimètres, centimètres et millimètres.
Pour les unités de conversion, un facteur, un décalage et un déplacement du point décimal peuvent être définis pour les unités de conversion en fonction de l'unité de base correspondante.

Gestion des menus

L'éditeur de menus permet de créer des menus de type Windows.

Message Control

Envoi de messages SMS, messages vocaux ou e-mails
Ce module se charge d'envoyer les messages à différents destinataires.

Applications mobiles pour zenon

Les applications mobiles vous permettent de visualiser vos projets zenon sur des terminaux mobiles, des tablettes et des ordinateurs de bureau.

Gestion de moniteur

Système multi-moniteurs
A travers la gestion de moniteurs de zenon, vous pouvez définir pour chaque poste si le système cible du projet est équipé d'un ou plusieurs moniteurs.

MultiTouch

Dans zenon, les gestes MultiTouch permettent également d'actionner les écrans tactiles. Les fonctions MultiTouch de zoom et de défilement sont adaptées à la navigation dans la vue globale sur les écrans tactiles.

Réseau

Modèle client serveur
Le système de contrôle fonctionne de manière analogue à un système client/serveur ou à un système à niveaux hiérarchiques multiples comportant des sous-stations, des stations principales et des stations centrales dans un environnement en réseau.

Bloc-notes

Affichage de fichiers journaux et texte.

Serveur OPC

Le serveur OPC rend les variables d'un projet accessible pour des clients OPC standard.

Diagnostic automate (PLC Diagnosis)

Avec le programme PLC Diagnosis, les détails concernant un automate peuvent être visualisés directement dans un synoptique du système de contrôle. Selon l’automate, différentes fonctionnalités sont disponibles. Pour le moment, la fonction Simatic S7 Graph Step Chain Analysis (Analyse des séquences d'étapes Simatic S7 Graph) permet l'affichage des informations concernant les automates S7, tandis que la fonction zenon Logic Monitoring Viewer permet l'affichage de tous les programmes exécutés par le Runtime de zenon Logic.

Process Gateway

Le module Process Gateway constitue une interface avec des systèmes de plus haut niveau. Des parties du synoptique de procédé zenon provenant d'autres applications peuvent être mises à disposition et mises à jour.

Production & Facility Scheduler

Plannings, Changement d'heure.
Le module Production & Facility Scheduler (PFS) permet l'exécution d'actions (e.g. changement de valeurs de variables, exécution de fonctions) à des heures définis ou dans un calendrier.

Interfaces de programmation

zenon fournit des interfaces différentes, telles que VBA, VSTA ou .NET pour inclure vos propres programmes ou automatiser la configuration de projets.

Conversion de projets

Informations concernant la compatibilité, et notamment des instructions pour la conversion correcte depuis les versions plus anciennes de zenon.

Sauvegarde de projet

Sauvegarde et restauration de projets existants.
Les sauvegardes de projets peuvent ensuite être restaurées sur le même ordinateur ou sur un autre. Il est également possible d’effectuer le suivi de la version des sauvegardes de projets.

Project Simulation

Autorise la commutation entre les modes Simulation et Matériel. Dans le mode Simulation, les actions de commutation sont exécutées, les recettes sont transmises, les valeurs prescrites sont définies et ainsi de suite, sans que ces opérations ne soient réellement transmises au procédé (à un contrôleur, par exemple).

Gestionnaire de projet

Informations sur la création de projet, gestion de projet.
Sauvegarder et restaurer des projets, projets globaux, configuration, module Remote Transport

Modèle des données du procédé et définition des variables

Les variables sont l'interface entre les données source (automates, but de terrain, etc.) et zenon.
Variables, types de données, drivers, matrices de réaction.

Liste de références croisées

Vue d'ensemble du projet.
La liste des références croisées permet de générer un aperçu du projet sous forme de tables. Par exemple, il est possible de voir quelles variables sont utilisées dans les différents synoptiques dans la liste de références croisées.

Remote Transport

Le module Remote Transport est utilisé pour transférer les fichiers du Runtime sur un système cible. Ceci garantit le transfert de tous les fichiers nécessaires vers le système cible.
D'autres fonctions (telles que la copie incrémentée ou le transfert d'état) sont disponibles.

Création de rapports avec le module Report Generator et

documentation, évaluation et présentation de données de procédés sur la base des données en ligne et archivées provenant de zenon. La fonction de création de rapports comporte les éléments suivants :

  • Report Generator
  • Report Viewer

Recettes

Listes de paramètres pour les valeurs prescrites et les commandes
Les recettes permettent la création de listes de saisie de valeurs prescrites et de commandes, qui sont exécutées via un appel de fonction dans le mode de fonctionnement en ligne.

Recipe Group Manager

Le module Recipe Group Manager offre plus de fonctionnalités que les recettes standard, comme par exemple le formatage libre ou le groupement libre.

Runtime

Opérations en ligne, Runtime.
Le système de contrôle est composé d'Editor et du Runtime. l'environnement de développement, Editor et l'affichage en ligne, le Runtime. Les projets sont créés dans Editor, les opérations et le suivi interviennent dans le Runtime.
Ici sont décrites les opérations en ligne dans le Runtime.

Aide du Runtime

zenon offre la possibilité de créer une aide contextuelle pour les projets exécutés dans le Runtime.

Interface SAP

zenon et SAP communiquent à l'aide d'une interface bidirectionnelle.
Le système de contrôle transmet les messages destinés aux procédés (par exemple, la gestion de stocks en temps réel) à l'application SAP.

Command Sequencer

Les commandes provenant du module Command Sequencer (synoptique Gestion de commande) peuvent être compilées sous forme de procédés dans le Runtime et être visualisées. Les interactions avec l'utilisateur peuvent également être exécutées.

Planning

Appels de fonction temporisés
Le module Planning est chargé si le module PFS ne comporte pas une licence. Sa fonctionnalité est similaire à celle du PFS mais est plus limitée. Le module Planning permet l'exécution automatique d'actions à des heures définies.

Polices

Les polices de caractères définies dans le système d'exploitation peuvent être utilisées dans zenon.

Gestion des scripts

Séquence de fonctions
Pour appeler plusieurs fonctions définies par l'utilisateur en séquence, vous devrez les associer dans un script.

Changement de langue

Permet de changer la langue des textes affichés parmi différentes langues dans le Runtime.

Gestion des états

Attributs des variables
Permet de définir un état pour chaque variable grâce au traitement d'états. Au total, 64 bits d'état sont définis. Les états les plus répandus sont spontané, non valide, valeur manuelle et valeur de remplacement.

Styles

Les styles permettent d'extraire des propriétés d'éléments graphiques d'éléments de synoptique dans Editor, de les gérer et de les appliquer à d'autres éléments.

La gestion des styles se déroule toujours dans le projet global.

Runtime de zenon Logic

Le Runtime de zenon Logic interprète le code compilé (code automate) produit par le module Workbench de zenon Logic. Le Runtime s'exécute sur les plate-formes Windows 7, 8 et 7 Embedded, ainsi que sur les plates-formes Windows CE.

Module Workbench de zenon Logic

zenon Logic est un environnement de programmation IEC 61131-3. Avec l'environnement de développement zenon Logic, appelé Workbench, les automates programmables peuvent être configurés et programmés dans les cinq langages définis par la norme IEC 61131-3.

Simulation de driver

Si le procédé sous-jacent n'est pas disponible lors de la configuration, celui-ci peut être simulé et testé à l'avance.

Outils

Différents outils facilitent les tâches de gestion, d'analyse et de configuration de zenon :

  • Diagnosis Viewer: permet de lire et configurer les fichiers journaux de zenon.
  • Keyblock Runtime Start: démarre le Runtime de zenon et bloque toutes les touches système de Windows.
  • Mise à jour en ligne de l'aide de zenon : autorise la mise à jour en ligne de l'aide de zenon.
  • Project Translation Interface: outil de traduction des fichiers linguistiques de zenon. Ouvre ou enregistre les données de l'Language Translation Wizard (assistant Language Translation Wizard)de zenon. Il autorise ainsi l'importation ou l'exportation de projets dans ou depuis zenon.
  • Startup Tool: Permet de démarrer Editor et le Runtime avec certains paramètres, de gérer les différentes versions de zenon installées sur un ordinateur, de gérer les instances de SQL et de définir les langues d'Editor et du Runtime.
  • System Information Collector: Lit les informations concernant le système et zenon, les affiche dans une fenêtre de sortie et les enregistre sous forme de fichier ZIP.

Les éléments suivants sont disponibles dans zenon Logic :

  • zenon Logic Runtime Manager : Autorise la gestion des projets de Runtime indépendants ou à démarrage manuel de zenon Logic sur votre ordinateur.
    La documentation de cet outil est intégrée à la documentation de zenon Logic.

Variables

Les variables, également appelées variables de procédé ou points de données, sont l'interface entre les données source (automates, but de terrain, etc.) et zenon. Elles représentent certaines valeurs mesurées ou des états du matériel, et notamment des propriétés telles que les changements d'échelle, les valeurs limite, etc.

Verrouillages

Contrôle des accès
Les verrouillages contrôlent l'accès à certains objets zenon durant le Runtime, par l'intermédiaire de variables.

Développement distribué

Gestion multi-utilisateurs, développement distribué
La fonctionnalité de développement distribué de zenon permet à plusieurs utilisateurs de travailler simultanément sur un même projet.

Vidéo

Fichiers .avi dans zenon
En utilisant un synoptique spécifique pour l'affichage de vidéos, il est possible d'afficher des enregistrements vidéo (*.avi) en ligne ou enregistrés.

Vue globale

Défilement de grands synoptiques.
L'utilisation d'un synoptique de type Vue globale permet à l'utilisateur de faire défiler des synoptiques standard dont la taille est supérieure à la résolution d'écran. Dans ce cas, il est aussi possible d'agrandir ou réduire l'affichage et, selon les pas du zoom, d'afficher ou de masquer certains détails du synoptique. (Zoom, défilement, désencombrement)

Assistants (Wizards)

Assistants d'aide au développement
Pour exécuter facilement et rapidement les tâches récurrentes durant la phase de développement de projets, zenon propose des assistants permettant d'accomplir différentes tâches. Les utilisateurs peuvent créer des assistants pour des tâches indépendantes.

Commande temporisée

Les commandes temporisées permettent de définir tous les appels de fonctions devant être exécutés à un moment défini (ou de manière cyclique.

zenon Remote Desktop

L'outil zenon Remote Desktop permet d'établir une connexion distante à un ordinateur cible distant, afin de gérer facilement un ordinateur distant.
Le bureau de l'ordinateur apparaît exactement tel qu'il est sur le système cible.

Le module zenon Remote Desktop offre deux types de connexions : un pour visualiser seulement et un pour utiliser le système distant.

zenon Science Package

zenon Science Package permet de programmer les systèmes LEGO Mindstorms NXT 2.0 / EV 3.0. Les programmes sont créés dans zenon Logic et sont exécutés sur le contrôleur LEGO avec zenon Logic, un environnement de programmation IEC 61131-3 intégré à zenon.

zenon Web Server et zenon Web Server Pro

zenon Web Server permet de transférer des projets sur Internet ou sur un intranet en préservant précisément leur format. Aucune adaptation n'est nécessaire sur le projet pour ce transfert. Contrairement à zenon Web Server Pro, zenon Web Server dispose uniquement de fonctionnalités de visualisation.
zenon Web Server Pro offre des fonctionnalités de visualisation et de contrôle complètes. Il est possible d'accéder directement aux procédés à travers le Web.

zenon pour Windows CE

Le Runtime CE de zenon peut s'exécuter sur différentes plates-formes matérielles CE. De façon générale, la version CE de zenon offre les mêmes possibilités que la version PC de zenon ; cependant, elle comporte des limitations dues aux capacités matérielles plus restreintes.

Attributions

Transfert de valeurs
La transmission de la valeur actuelle depuis une variable de procédé vers une autre variable, pour un même driver ou entre différents drivers, s'effectue au moyen d'attributions.


L'aide en ligne : je trouve ce dont j'ai besoin

Manuel -> Le fil d'Ariane de l'aide - aperçu -> L'aide en ligne : je trouve ce dont j'ai besoin

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Il est possible que l'infomation se trouve dans l'aide en ligne mais vous n'arrivez pas à la trouver avec l'onglet de recherche.
Voici ici quelques indications pour vous aider à réussir vos recherches pour trouver l'information dans notre aide en ligne.

Stratégies de recherche

  • Par défaut, l'aide s'ouvre sur l'onglet Contenu. Vous trouverez ici la documentation complète (aide en ligne, guides et documentation des drivers) sous forme de structure d'arborescence.
  • L'onglet Rechercher permet la recherche de certains termes en les saisissant dans le champ de recherche.
  • Vous pouvez enregistrer vos chapitres d'aide favoris dans l'onglet Favoris. Affichez le chapitre désiré dans l'onglet Sommaire ou recherchez-le dans l'onglet Rechercher ; double-cliquez dessus, puis basculez vers l'onglet Favoris. Le chapitre est proposé dans Rubrique en cours ; cliquez sur "Ajouter" pour l'enregistrer en tant que favori.

Chercher des mots et des phrases :

Paramètre | Description
Mot simple | par exemple : alarme. Les chapitres contenant le mot « alarme » sont affichés. Les différentes formes grammaticales du mot sont aussi recherchées.
Phrase | par exemple : « Gestion des alarmes ». Les chapitres qui contiennent la phrase « gestion des alarmes » sont affichés. Sans les guillemets, tous les chapitres contenants les mots "gestion" ou "des" ou "alarmes" sont affichés.
Extensions | par exemple : alarm*. Tous les chapitres qui contiennent des mots commençant par « alarm » sont affichés. Le caractère * peut également se trouver devant le mot à rechercher (par exemple : *alarme).
Remplacer | AND Les deux mots doivent apparaître dans le même chapitre. par exemple : Alarme AND CEL Les chapitres contenant ces deux mots sont affichés.
 | OR Au moins un des deux mots doit se trouver dans le chapitre pour qu'il soit affiché. Par exemple, Alarme OR CEL Les chapitres qui contiennent le mot "alarme" ou le mot "CEL" ou les deux seront affichés.
 | NOT Le mot précédé de NOT ne doit pas se trouver dans le chapitre pour qu'il soit affiché. Par exemple, Alarme NOT CEL Les chapitres contenant le mot "alarme" mais ne contenant pas le mot "CEL" sont affichés.
 | NEAR Les deux mots doivent se trouver dans le même chapitre, proches l'un de l'autre. Exemple : alarme NEAR CEL Les chapitres contenant les termes « alarme » et « CEL », séparés par 8 mots maximum, sont affichés.


Editor

Manuel -> Editor

zenon est constitué de deux composants principaux : Editor et le Runtime. Les projets sont créés dans Editor, les opérations et le suivi interviennent dans le Runtime. Editor est disponible sous forme de version 32 bits et 64 bits, à partir de zenon 7.10. Les projets peuvent être édités dans les deux versions. D’autres informations concernant la compatibilité avec les différentes versions de zenon 7.10 sont disponibles dans le manuel Conversion de projets, au chapitre Version 64 bits.

Dans ce manuel consacré à Editor, vous découvrirez les composants essentiels d’Editor et obtiendrez des informations concernant l’utilisation du Gestionnaire de projet, des barres d’outils, des menus et des profils Editor. Vous trouverez plus d’information sur le menu contextuel des éléments dans le chapitre Synoptiques.

tutorial Informations concernant la licence

zenon Editor doit disposer d’une licence. La licence est calculée en fonction du nombre d'identifiants ou d'IO utilisés. Pour plus de détails concernant la gestion des licences, reportez-vous au chapitre Gestion des licences.

Editor est disponible dans les versions zenon Supervisor et zenon Operator. Ces versions possèdent des fonctionnalités différentes. Pour plus de détails, reportez-vous à la section Restrictions concernant zenon Operator.

Modification du paramètre de taille du système d’exploitation

Si la propriété Modifier la taille de tous les éléments est exécutée depuis le Panneau de configuration du système d’exploitation, ou si un niveau de redimensionnement est sélectionné manuellement :

  • Le facteur d’agrandissement sélectionné dans zenon est pris en compte
  • La taille et la position des objets sont modifiées

Serveur SQL

zenon Editor utilise une base de données SQL. Ce logiciel est également installé lors de l’installation de zenon Editor. Pour établir une connexion, Editor se connecte au serveur SQL de zenon (zenDBSrv.exe). Ceci permet d’établir la connexion au serveur SQL.

Utilisation avec plusieurs moniteurs

Si plusieurs moniteurs sont utilisés sur un même PC, les boîtes de dialogue, barres d’outils et autres peuvent être déplacées vers d’autres moniteurs. Leur position est enregistrée et conservée jusqu’au prochain démarrage d’Editor.

info Informations

Si seul le moniteur principal est disponible lors du redémarrage du moniteur, les éléments qui ont été déplacés ne seront peut-être pas affichés dans une zone visible. Pour réorganiser tous les éléments sur le moniteur principal, activez le profil standard. Cette fonction peut être utilisée pour rétablir les positions conformément aux valeurs par défaut.

Autres sujets abordés dans ce chapitre

Démarrer Editor

Compatibilité

Interface utilisateur

Barres d'outils

Barre de menu

Profils Editor

Gestionnaire de projet

Fenêtre principale

Fenêtre des propriétés

Aide des propriétés

Fenêtre de sortie

Ligne d'état

Fermeture d’Editor


Démarrer Editor

Manuel -> Editor -> Démarrer Editor

Vous disposez de plusieurs méthodes pour démarrer Editor :

  • Cliquez sur le symbole zenon sur votre bureau.
  • Utilisez le menu Windows Démarrer -> COPA-DATA -> zenon Editor.
  • Démarrez Editor à l’aide de l’outil Startup Tool. Cet outil permet de gérer les différentes versions de zenon, ainsi que la configuration d’Editor et du Runtime au démarrage du programme.
  • À l’aide de la fonction Exécution automatique de Windows
  • En double-cliquant sur un fichier Workspace (.wsp6). Ceci ouvre toujours la version 32 bits de zenon Editor.

Service zenAdminSrv

Le service zenAdminSrv doit être démarré pour démarrer Editor. Si le service est indisponible, vous en serez informé par le biais d’un message d’erreur correspondant. Activez le service et redémarrez Editor.

Lors du démarrage à l’aide de la fonction Exécution automatique de Windows, zenon tente de démarrer Editor cinq fois, puis annule cette tentative en affichant ce message d’erreur, qui indique que le service ne peut pas être atteint.


Compatibilité

Manuel -> Editor -> Compatibilité

zenon Editor est entièrement rétrocompatible. Vous pouvez à tout instant ouvrir et modifier des projets créés avec une version antérieure du programme.

Lors de l’ouverture d’un projet avec un numéro de version inférieur :

  • le projet est automatiquement converti
  • une sauvegarde du projet est automatiquement créée

Attention : Les projets convertis ne peuvent plus être ouverts dans un éditeur possédant un numéro de version inférieur. La sauvegarde de projet créée durant la conversion peut encore être ouverte et modifiée.

Compatibilité d’Editor et du Runtime :

Avec zenon Editor, des fichiers de Runtime peuvent être créés pour différentes versions du Runtime. Il n’est donc pas nécessaire que la version du Runtime corresponde à la version d’Editor. Cette rétrocompatibilité est particulièrement adaptée à l’utilisation de systèmes mixtes. Par exemple : Un projet planifié avec l’Editor pour la version 7.60 peut également être démarré dans le Runtime 6.20 SP4.

attention Attention

Si, dans un projet planifié avec une version ultérieure d’Editor, des propriétés affichées ne sont pas disponibles dans la version antérieure, ces propriétés ne sont pas disponibles. Ceci peut produire des résultats indésirables dans le Runtime.

Création de fichiers de Runtime

Pour créer des fichiers de Runtime dans Editor pour les versions antérieures du Runtime :

  1. Sélectionnez le projet dans l'arborescence du projet.
  2. Accédez à la section Général des propriétés du projet.
  3. Ouvrez la liste déroulante de la propriété Créer fichiers RT pour.
  4. Sélectionnez la version souhaitée dans la liste déroulante.

Attention : Pour garantir la cohérence des fichiers de Runtime, tous les fichiers de Runtime doivent être recréés à chaque modification de cette propriété. Les configurations de tous les drivers sont converties. Les paramètres qui n’existent pas dans la version correspondante sont définis sur le paramètre par défaut.

XML

Les données exportées au format XML sont alors disponibles et peuvent être importées dans des versions ultérieures d’Editor.

Exception : Si des données provenant du module Recipe Group Manager sont directement enregistrées dans le Runtime sous forme de fichier XML à l’aide de la fonction d’exportation, ces données ne peuvent pas être réimportées.


Interface utilisateur

Manuel -> Editor -> Interface utilisateur

L’interface utilisateur d’Editor est constituée de différents éléments :

Élément

Sommaire

01 - Barres d’outils :

Un ensemble de barres d'outils destinées à l'éditeur et ses modules. Elles sont disponibles pour :

  • Fenêtre ancrables
  • Alignement
  • Synoptiques / Symboles
  • Profils Editor
  • Éléments
  • Barre de menu
  • Production & Facility Scheduler
  • Remote Transport
  • Report Generator
  • Fichiers du Runtime
  • Niveaux de visibilité
  • Macros VBA

02 - Gestionnaire de projet :

Vue en arborescence du gestionnaire de projet.

03 - Vue de détail du gestionnaire de projet :

Détails du module sélectionné dans le gestionnaire de projet.

04 - Fenêtre principale :

Espace de travail principal?; ici, les documents tels que les synoptiques ou les rapports sont affichés.

05 - Barre d’outils Éléments :

Barre d’outils des éléments de synoptique (éléments vectoriels et dynamiques).

06 - Propriétés

Affiche les propriétés d’un objet sélectionné. Trois modes sont disponibles et peuvent être sélectionnés dans la barre d’outils Propriétés.

07 - Aide des propriétés :

Affiche des messages d’aide courts relatifs aux propriétés des synoptiques, des variables, des fonctions et autres éléments pouvant être configurés.

08 - Fenêtre de sortie

Les messages sont affichés ici si des projets ont été compilés et transmis au Runtime.

09 - Barre d’état :

Affiche des informations d’état concernant la disponibilité d’Editor et les synoptiques.

10 - Barre d’outils Propriétés :

Définit les options d’affichage et de tri des propriétés, et affiche l’aide des propriétés.

11 - Liste de références croisées :

Vous choisissez les fenêtres devant être affichées :

  • Dans la liste déroulante sous Options?;

La disposition des fenêtres peut être configurée individuellement. Seule la fenêtre principale ne peut pas être masquée.

Autres sujets abordés dans ce chapitre

Ajuster la vue

Positionner la fenêtre

Mode plein écran

Raccourcis-clavier


Ajuster la vue

Manuel -> Editor -> Interface utilisateur -> Ajuster la vue

Toutes les fenêtres d’Editor peuvent être groupées individuellement. Vous pouvez accéder aux propriétés de groupement des fenêtres en cliquant avec le bouton droit sur la bordure de la fenêtre. Vous pouvez enregistrer vos propres paramètres sous forme de profils Editor.

Menu contextuel Fenêtre

Option

État

Fonction

Non ancrée

Actif

La fenêtre sélectionnée peut être positionnée librement sur le bureau. Elle est affichée dans la fenêtre principale. Vous pouvez afficher plusieurs fenêtres dans la fenêtre principale et basculer de l’une à l’autre.

Double-cliquez sur la barre de titre pour basculer entre les options Non ancrée et Ancrée.

Inactif

(Par défaut)

La fenêtre sélectionnée est ancrée. La propriété Dock (Ancrer) est active.

Dock (Ancrer)

Actif

(Par défaut)

Vous pouvez déplacer les fenêtres à votre convenance aussi longtemps que vous maintenez le bouton gauche de la souris enfoncé. Lors du déplacement, une aide au positionnement indique la position dans laquelle doit être insérée la fenêtre. Lorsque vous relâchez le bouton de la souris, la fenêtre est ancrée sur les fenêtres environnantes.

Lors du basculement de l’option Non ancrée vers l’option Ancrée, la fenêtre est insérée dans sa dernière position ancrée.

Double-cliquez sur la barre de titre pour basculer entre les options Non ancrée et Ancrée.

Conseil : Si vous souhaitez déplacer une fenêtre sans l’arrimer, maintenez la touche Ctrl pendant le déplacement. Dans ce cas, aucune aide au positionnement n’est affichée.

Inactif

Vous pouvez déplacer les fenêtres à votre convenance aussi longtemps que vous maintenez le bouton gauche de la souris enfoncé. Lorsque vous relâchez le bouton, les fenêtres apparaissent à l’emplacement choisi, au premier plan.

La propriété Non ancrée est active.

Afficher dans la fenêtre principale

Actif

La fenêtre est affichée sous forme d’onglet dans la fenêtre principale.

Tous les onglets sont affichés dans la fenêtre principale. Vous pouvez passer d’un onglet à l’autre en cliquant sur les intitulés des fenêtres.

Pour ouvrir un onglet sous forme de fenêtre, ouvrez le menu contextuel en cliquant avec le bouton droit sur l’intitulé de la fenêtre et définissez la propriété Basculer vers la fenêtre principale sur Inactif.

Inactif

(Par défaut)

La fenêtre est affichée normalement.

Estomper automatiquement

Actif

Dès que la souris est déplacée hors de la fenêtre actuelle, celle-ci est déplacée vers l’arrière-plan. La barre de titre de la fenêtre est affichée dans la bordure gauche de la fenêtre d’Editor.

Pour ramener la fenêtre au premier plan, passez le pointeur de la souris sur la barre de titre de la fenêtre.

Inactif

(Par défaut)

La fenêtre est toujours affichée au premier plan.

Fermer

La fenêtre sélectionnée est fermée.

Pour l’afficher à nouveau, sélectionnez Barre de menus -> Options > Nom de la fenêtre


Positionner la fenêtre

Manuel -> Editor -> Interface utilisateur -> Positionner la fenêtre

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Positionnement

Vous pouvez repositionner toutes les fenêtres de zenon Editor sur le bureau à votre convenance en utilisant :

  • Glisser-déplacer : faites glisser les fenêtres dans la position souhaitée et placez-les librement (fenêtre non ancrées) ou ancrez-les.
  • Double-cliquez sur la barre de titre pour basculer entre les options Non ancrée et Ancrée.

Aides au positionnement

Lors du déplacement de fenêtres depuis l’interface d’Editor, les aides au positionnement sont affichées. Celles-ci représentent les fenêtres ou leurs bordures.

Cet élément représente la zone d’une fenêtre dans Editor.

Cet élément représente la bordure d’une fenêtre dans Editor.

Positionner la fenêtre

Pour positionner un élément en tant qu’élément ancré :

  1. A l’aide de la souris, déplacez l’élément vers la zone souhaitée...
  2. L’aide au positionnement est affichée.
  3. Ceci représente une fenêtre et ses zones :
    1. Centre : fenêtre entière
    2. Haut : moitié supérieure
    3. Bas : moitié inférieure
    4. Droite : moitié droite
    5. Gauche : moitié gauche

    ...Ou vers le bord de la fenêtre d’Editor.

  4. Déplacez la souris vers l’aide au positionnement centrale ou vers une aide au positionnement située sur la bordure d’Editor, puis déplacez-la vers la zone souhaitée.
  5. La zone d’Editor dans laquelle l’élément a été placé lorsque le bouton de la souris a été relâché est colorée en bleu.
  6. Déplacez la souris dans l’aide au positionnement jusqu’à atteindre la zone souhaitée, affichée en bleu
  7. Relâchez le bouton de la souris pour placer l’élément.
  8. Si une fenêtre est placée sur une fenêtre existante, les deux fenêtres sont affichées au même emplacement, à l’aide d’onglets.

Exemples

  1. La fenêtre des propriétés est configurée en position ancrée.
  2. Les aides au positionnement sont alors affichées.

  3. Le pointeur de la souris est positionné au-dessus de la flèche supérieure de l’aide au positionnement.
  4. La zone d’insertion est repérée en bleu dans Editor.

  5. La fenêtre est insérée au point affiché en surbrillance lorsque le bouton de la souris est relâché :

  6. Maintenant, le pointeur de la souris est placé au-dessus de l’aide au positionnement de la bordure supérieure.
  7. La zone d’insertion est à nouveau repérée en bleu dans Editor.

  8. La fenêtre est insérée au point affiché en surbrillance lorsque le bouton de la souris est relâché :


Mode plein écran

Manuel -> Editor -> Interface utilisateur -> Mode plein écran

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Dans zenon Editor, vous pouvez basculer la fenêtre principale en mode plein écran. Pour cela,

  • Utilisez le raccourci-clavier Maj+F9
    ou
  • Sélectionnez l’entrée Mode plein écran dans la liste déroulante Fenêtre

Le mode plein écran masque toutes les autres fenêtres et affiche uniquement la fenêtre principale contenant tous les documents ouverts (synoptiques, rapports, etc.) en mode plein écran.

Remarque : The Control elements menu can still be called up in full-screen mode.

Vous pouvez fermer le mode plein écran en :

  • Cliquant sur le bouton de fermeture du mode plein écran
  • En appuyant sur Maj+F9

Activation du mode plein écran

Dans le mode plein écran, un menu permettant de quitter le mode plein écran et d’afficher certaines fenêtres et barres d’outils est affiché.

Paramètres

Description

Close full-screen (Quitter le mode plein écran)

Quitte le mode plein écran. Vous pouvez également appuyer sur les touches Maj+F9 ou Échap.

Fenêtres ancrables

Liste déroulante d’ouverture de fenêtres.

  • Propriétés
  • Aide des propriétés

Lors de la première utilisation, les fenêtres sont affichées dans une position définie fixe. Elles peuvent être positionnées librement et affichées dans la position de votre choix lors du prochain affichage en mode plein écran.

Barres d'outils

Liste déroulante d’ouverture de barres d’outils :

  • Synoptiques
  • Alignement
  • Niveau de visibilité
  • Éléments

Lors de la première utilisation, les barres d’outils sont affichées dans une position définie fixe. Elles peuvent être positionnées librement et affichées dans la position de votre choix lors du prochain affichage en mode plein écran.


Raccourcis-clavier

Manuel -> Editor -> Interface utilisateur -> Raccourcis-clavier

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Général

Commande | Raccourci-clavier
Ouvrir l'aide | F1
Ouvrir/fermer le mode plein écran | Maj+F9
Transport distant : Fermer le mode plein écran | Ctrl+Alt+Maj+F
Démarrer l'éditeur VSTA | Alt+F10
Démarrer VBA Editor | Alt+F11
Assistants Ouvrir la sélection | Alt+F12
Ouvre l'explorateur de fichier pour le projet actuel, en affichant le dossier SQL. Correspond à : %ProgramData%\COPA-DATA\[Dossier SQL]\[UID]\FILES | Ctrl+Alt+E
Ouvre l'explorateur de fichiers en affichant les fichiers du projet actuel. Par exemple : C:\Users\Public\Documents\zenon_Projects\[Project]\INI\[Rechner]\INI | Ctrl+Alt+D
Ouvre l'explorateur de fichiers en affichant les fichiers de Runtime du projet actuel. Par exemple : C:\Users\Public\Documents\zenon_Projects\[Projet]\INI | Ctrl+Alt+R
Démarrer le Runtime ; créer préalablement les fichiers Runtime modifiés. | F5
Créer les fichiers Runtime modifiés | F7

Profils Editor

Commande | Raccourci-clavier
Charger le profil 1 de l'Éditeur | Maj+F1
Charger le profil 2 de l'Éditeur | Maj+F2
Charger le profil 3 de l'Éditeur | Maj+F3
Charger le profil 4 de l'Éditeur | Maj+F4
Charger le profil 5 de l'Éditeur | Maj+F5
Charger le profil 6 de l'Éditeur | Maj+F6
Charger le profil 7 de l'Éditeur | Maj+F7
Charger le profil 8 de l'Éditeur | Maj+F8
Enregistrer la vue actuelle de l'Éditeur sous : |
Profil 1 | Ctrl+Maj+F1
Profil 2 | Ctrl+Maj+F2
Profil 3 | Ctrl+Maj+F3
Profil 4 | Ctrl+Maj+F4
Profil 5 | Ctrl+Maj+F5
Profil 6 | Ctrl+Maj+F6
Profil 7 | Ctrl+Maj+F7
Profil 8 | Ctrl+Maj+F8

Éditeur graphique :

Note concernant les raccourcis : le signe plus (+) signifie que les touches sont enfoncées simultanément.
Par exemple :

Ctrl+A signifie : maintenez la touche Ctrl enfoncée, puis appuyez sur la touche A.

Ctrl++ signifie : maintenez la touche Ctrl enfoncée, puis appuyez sur la touche +.

Général

Commande | Raccourci-clavier
Fenêtre principale : faire défiler le contenu avec le pointeur Main | Maintenez la touche Espace enfoncée
Fermer le synoptique actuel | Ctrl+F4
Ouvrir les propriétés | Alt+Entrée

Sélectionner

Commande

Raccourci-clavier

Sélectionner plusieurs objets

Appuyez sur Maj ou Ctrl

Désélectionner un objet dans une sélection multiple

Ctrl + clic de souris

Sélection : modifier l'ordre de tri. Définir l'élément sur lequel tous les autres seront réalignés

Appuyez sur Maj durant la sélection

Sélectionner les objets masqués
  1. Appuyez sur Alt
  2. Cliquez sur l'objet et déplacez-le

Sélectionner tous les éléments d'un synoptique

Ctrl+A

Sélectionner l'élément suivant dans l'ordre de création des éléments

Onglet

Sélectionner l'élément précédent dans l'ordre de création des éléments

Maj + Tabulation

Positionnement

Commande | Raccourci-clavier
Déplacer l'objet sélectionné | Touches fléchées du clavier
Déplacer l'objet de 10 pixels à chaque pression sur une touche fléchée | Maj + touches fléchées
Déplacer l'objet horizontalement ou verticalement | Appuyez sur Maj durant le déplacement
Centrer l'objet sélectionné dans la zone de travail | H

Actions

Commande | Raccourci-clavier
Enregistrer les modifications | Ctrl+S
Coller l'élément depuis le presse-papiers | Ctrl+V Maj + Insér.
Insérer un élément du presse-papiers dans sa position originale ; l'original et la copie se superposent | Ctrl+Maj+V
Copie l'élément sélectionné. | Ctrl+C Ctrl+Insér.
Copier, plutôt que déplacer | Appuyez sur Ctrl durant le déplacement
Duplique l'élément sélectionné. You can find more detailed information in the Duplicating elements section. | Ctrl+D
Supprime l'élément sélectionné. | Suppr
Couper l'élément sélectionné | Maj + Suppr. Ctrl+X
Annuler les modifications | Ctrl+Z Alt+Retour arrière
Ajouter ou supprimer un nœud dans l'élément sélectionné. Ajouter : le pointeur de la souris devient un symbole moins (+). Supprimer : le pointeur de la souris devient un symbole moins (-). Fonctionne avec les polylignes, les polygones et les barres verticales. | Ctrl+Maj
Annuler le tracé des polylignes et polygones | s
Annuler le tracé des polylignes et polygones et supprimer la dernière section tracée | Échap
Déplacer les éléments sélectionnés d'un niveau vers le haut | +
Déplacer les éléments sélectionnés d'un niveau vers le bas | -
Déplacer les éléments sélectionnés au premier plan | Ctrl++
Déplacer les éléments sélectionnés vers l'arrière-plan | Ctrl+-

Graduations

Commande

Raccourci-clavier

Modifier la taille

Déplacez le pointeur de la souris sur le coin ; le pointeur devient une flèche. Vous pouvez ensuite positionner le coin au pixel près en vous servant des touches fléchées, ou le déplacer par incréments de 10 pixels en appuyant sur les touches fléchées+Maj.

Remarque : si un angle différent de 0 a été défini pour un élément via la propriété Angle de rotation [°], il ne peut pas être redimensionné à l'aide des touches fléchées.

Redimensionner l'objet autour du centre

Appuyez sur Alt durant le redimensionnement.

Redimensionnement proportionnel

Appuyez sur Maj durant le redimensionnement

Vue de détail

Commande | Raccourci-clavier
Crée un nouvel élément pour le module concerné | Insér.
Modifie la colonne sélectionnée | F2
Copie un élément sélectionné de la liste | Ctrl+C
Insère un élément préalablement copié de la liste | Ctrl+V
Supprime un élément sélectionné de la liste | Suppr
Fait défiler la liste de plusieurs éléments vers le haut | Page préc.
Fait défiler la liste de plusieurs éléments vers le bas | Page suiv.
Permet de parcourir la liste | Touche fléchée

Runtime

Commande | Raccourci-clavier
Afficher les différentes fenêtres Windows ouvertes. | Alt+Tabulation
Arrêter le Runtime | Alt+F4


Barres d'outils

Manuel -> Editor -> Barres d'outils

Par défaut, les barres d’outils principales sont positionnées sous la barre de menus. - A l’exception de la barre d’outils Éléments, qui est affichée à droite de la fenêtre principale. Lorsque vous placez le pointeur de la souris sur un symbole, des informations concernant la fonction du symbole sont affichées dans la ligne d’état.

Les barres d’outils principales suivantes sont disponibles :

  • Fenêtre ancrables
  • Alignement
  • Synoptiques / Symboles
  • Profils Editor
  • Éléments
  • Barre de menu
  • Production & Facility Scheduler
  • Remote Transport
  • Report Generator
  • Fichiers du Runtime
  • Niveaux de visibilité
  • Macros VBA

Les synoptiques suivants comportent des barres d’outils uniques qui sont affichées dans la partie supérieure de l’écran :

  • Détails de l’espace de travail
  • Propriétés

info Informations

Les titres des barres d’outils correspondent toujours à la langue activée dans Editor lorsque la barre d’outils a été affichée pour la première fois. Par exemple : Si vous avez utilisé la barre d’outils Synoptiques pour la première fois en allemand, son nom sera conservé, même si vous basculez Editor en anglais par la suite.

Si vous souhaitez basculer les noms vers une autre langue, vous devez d’abord supprimer tous les profils Editor, puis démarrer Editor dans la langue souhaitée et activer les barres d’outils.

Les profils Editor ne sont pas supprimés dans zenon, mais au niveau du système de fichiers. Pour plus de détails, reportez-vous au chapitre Suppression de profils Editor.

Actions avec les symboles et barres d’outils

Les options des barres d’outils peuvent être modifiées dans : Outils -> Paramètres -> onglet Barre d’outils

Actions des barres d’outils :

  • Positionner à n’importe quel endroit à l’écran
  • Fermer
  • Ouvrir

Actions des symboles :

  • Supprimer
  • Ajouter

Positionner la barre d’outils

  1. Cliquez avec le bouton gauche sur une zone libre de la barre d’outils.
  2. Déplacez la barre d’outils vers l’emplacement de votre choix à l’écran.

    Un rectangle indique l’emplacement et la position de la barre d’outils.

  3. Relâchez le bouton de la souris pour positionner la barre d’outils.

Remarque : Les barres d’outils comportant des listes déroulantes peuvent uniquement être positionnées horizontalement.

Fermer la barre d’outils

Vous pouvez fermer les barres d’outils en utilisant la liste déroulante Vue ou le menu Paramètres sous Extras.

Liste déroulante : Manière la plus rapide de fermer une barre d'outils

  1. Cliquez dans la liste déroulante Options.
  2. Accédez à la section Barre d’outils
  3. Cliquez sur l’entrée correspondant à la barre d’outils que vous souhaitez fermer

Paramètres : permet de fermer plusieurs barres d'outils à la fois

  1. Ouvrez le menu Extras -> Paramètres -> onglet : Barre d’outils.
  2. Décochez la case adjacente à la barre d’outils souhaitée.
  3. Confirmez avec OK.

Ouvrir la barre d’outils

Vous pouvez ouvrir les barres d’outils par le biais de la liste déroulante Options ou des paramètres disponibles dans la section Options.

Liste déroulante : Manière la plus rapide d'ouvrir une barre d'outils

  1. Cliquez dans la liste déroulante Vue :
  2. Accédez à la section Barre d’outils
  3. Cliquez sur l’entrée correspondant à la barre d’outils que vous souhaitez ouvrir

Paramètres : permet d'ouvrir barres d'outils à la fois

  1. Ouvrez le menu Extras -> Paramètres -> onglet : Barre d’outils.
  2. Cochez la case adjacente à la barre d’outils souhaitée.
  3. Confirmez avec OK.

Ajouter des symboles

  1. Ouvrez le menu Extras -> Paramètres -> onglet : Commandes.
  2. Choisissez une catégorie dans la fenêtre gauche.
  3. Cliquez avec le bouton gauche de la souris sur le symbole de votre choix dans la fenêtre droite.
  4. Maintenez le bouton gauche de la souris enfoncé et faites glisser le symbole vers la position de votre choix dans la barre d’outils.

Supprimer des symboles

  1. Ouvrez, dans le menu Extras -> Paramètres -> onglet : Barre d’outils.

    Tous les symboles de toutes les barres d’outils d’Editor sont activés.

  2. Cliquez avec le bouton gauche de la souris sur le symbole.
  3. Éloignez le symbole de la barre d’outils et relâchez le bouton de la souris.

Autres sujets abordés dans ce chapitre

Barre d’outils Fenêtres ancrables

Alignement des barres d’outils

Barre d’outils Synoptique

Barre d’outils Symboles

Barre d’outils Profils Editor

Barre de boutons Éléments

Barre d'outils Production and Facility Scheduler (PFS)

Barre de boutons Remote Transport

Barre d’outils Report Generator

Barre de boutons Fichiers du Runtime

Barre d’outils Niveaux de visibilité

Barre d’outils Liste de macros

Barres d’outils de la vue de détail

Propriétés de la barre d’outils


Barre d’outils Fenêtres ancrables

Manuel -> Editor -> Barres d'outils -> Barre d’outils Fenêtres ancrables

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Les fenêtres masquées ou fermées suivantes peuvent être réactivées grâce à la barre Fenêtres ancrables.

Symbole

(de gauche à droite)

Fonction

Gestionnaire de projet

Affiche le gestionnaire de projet.

Fenêtre de sortie

Affiche la fenêtre de sortie.

Liste de références croisées

Affiche la liste des références croisées.

Fenêtre des propriétés

Affiche la fenêtre des propriétés.

Aide des propriétés

Affiche la fenêtre d’aide des propriétés.

Options pour la barre de symboles

Cliquez sur la flèche pour ouvrir le sous-menu :

Active : la barre d'outils est affichée.

Si la barre d’outils n’est pas affichée, elle peut être activée en sélectionnant le menu Options -> Barre d’outils.

Remarque : Si la barre d’outils est positionnée librement (c’est-à-dire dissociée d’Editor), les options ne sont pas affichées. Pour fermer la barre d’outils, cliquez sur le bouton X.


Alignement des barres d’outils

Manuel -> Editor -> Barres d'outils -> Alignement des barres d’outils

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

No.

Symbole

Fonction

01

Aligner à gauche

Aligne tous les éléments sur la marge gauche du premier élément marqué.

02

Aligner à droite

Aligne tous les éléments sur la marge droite du premier élément marqué.

03

Aligner en haut

Aligne tous les éléments sur la marge supérieure du premier élément marqué.

04

Aligner en bas

Aligne tous les éléments sur la marge inférieure du premier élément marqué.

05

Centre horizontal

Aligne l’élément marqué sur le centre horizontal du synoptique.

Si plusieurs éléments ont été sélectionnés, tous les éléments sont alignés sur le premier élément sélectionné.

06

Centre vertical

Aligne l’élément marqué sur le centre vertical du synoptique.

Si plusieurs éléments ont été sélectionnés, tous les éléments sont alignés sur le premier élément sélectionné.

07

Même distance x

Aligne les éléments sélectionnés sur l’axe X, dans l’ordre de leur sélection. Les deux premiers éléments déterminent la distance.

08

Même distance y

Aligne les éléments sélectionnés sur l’axe Y, dans l’ordre de leur sélection. Les deux premiers éléments déterminent la distance.

09

Répartition selon X :

Répartit tous les éléments marqués le long de l’axe X entre les deux premiers éléments sélectionnés. Pour cette option, au moins trois éléments doivent être sélectionnés.

10

Répartition selon Y :

Répartit tous les éléments marqués le long de l’axe Y entre les deux premiers éléments sélectionnés. Pour cette option, au moins trois éléments doivent être sélectionnés.

11

- Même largeur

Les éléments marqués sont ajustés à la largeur du premier élément sélectionné.

Remarque : L’ajustement s’effectue en fonction des coordonnées optiques. Pour plus de détails, reportez-vous aux explications fournies sous ce tableau.

12

- Même hauteur

Les éléments marqués sont ajustés à la hauteur du premier élément sélectionné.

Remarque : L’ajustement s’effectue en fonction des coordonnées optiques. Pour plus de détails, reportez-vous aux explications fournies sous ce tableau.

13

- Même taille

Les éléments marqués sont ajustés à la largeur et la hauteur du premier élément sélectionné.

Remarque : L’ajustement s’effectue en fonction des coordonnées optiques. Pour plus de détails, reportez-vous aux explications fournies sous ce tableau.

14

Fenêtre en avant-plan

Passe les éléments sélectionnés en premier plan.

15

Déplacer d’un niveau vers l’avant

Déplace les éléments sélectionnés d’un niveau vers l’avant.

16

Déplacer d’un niveau vers l’arrière

Déplace les éléments sélectionnés d’un niveau vers l’arrière.

17

Fenêtre en arrière-plan

Déplace les éléments sélectionnés vers l’arrière-plan.

18

Retourner horizontalement

Retourne l’élément sélectionné sur l’axe horizontal.

19

Retourner verticalement

Retourne l’élément sélectionné sur l’axe vertical.

20

Rotation 90°

Fait pivoter l’élément sélectionné de 90° dans le sens antihoraire.

21

Créer un groupe d’éléments

Crée un nouveau groupe d’éléments à partir de tous les éléments sélectionnés.

22

Dissocier groupe d’éléments

Le groupe d’éléments est dissocié sous forme de ses éléments originaux?; le groupe d’éléments n’existe plus.

23

Édition groupe d’éléments/éléments individuels

Vous permet de modifier les éléments individuels d’un groupe d’éléments. Ce bouton bascule entre le mode d’édition individuel et le mode d’édition de symboles.

24

Insérer dans un groupe d’éléments existant

Ouvre la liste des groupes d’éléments pour ajouter l’élément à un groupe d’éléments de la liste.

25

Supprimer du groupe d’éléments

Supprime l’élément sélectionné du groupe d’éléments actif.

26

Remplacer les liens

Ouvre la boîte de dialogue de remplacement des variables ou fonctions liées à des éléments dynamiques. Détails : reportez-vous au chapitre Remplacement de variables dans les éléments dynamiques.

27

Transférer les propriétés

Transfère les propriétés d’un élément sélectionné vers un ou plusieurs éléments.

  • Transférer vers un élément :

    cliquez sur l’élément possédant les propriétés originales -> cliquez sur le symbole Transférer les propriétés -> Cliquez sur l’élément cible : les propriétés sont transférées.

  • Transférer vers plusieurs éléments :

    Choisissez l’élément source -> Choisissez les éléments cibles en maintenant la touche Ctrl enfoncée (les éléments source et cible sont sélectionnés et l’élément source est mis en évidence par des points de manipulation noirs) -> Cliquez sur le symbole Transférer les propriétés. Les propriétés de l’élément source sont transférées vers les éléments cibles.

Les objets source et cible déterminent les propriétés transférées. En règle générale, les couleurs, les polices, l’alignement du texte et les bordures sont transférés.

Si plusieurs éléments ont été choisis comme source, les propriétés du premier élément sont transférées.

28

Options pour la barre de symboles

Cliquez sur la flèche pour ouvrir le sous-menu :

Active : la barre d'outils est affichée.

Si la barre d’outils n’est pas affichée, elle peut être activée en sélectionnant le menu Options -> Barre d’outils.

Remarque : Si la barre d’outils est positionnée librement (c’est-à-dire dissociée d’Editor), les options ne sont pas affichées. Pour fermer la barre d’outils, cliquez sur le bouton X.

Adaptation de largeur/hauteur/taille identique

La fonction d’adaptation de la taille d’éléments pivotés et non pivotés s’oriente par rapport aux coordonnées visuelles, et non aux coordonnées logiques. L’étirement d’éléments pivotés est interprété comme une surface du rectangle dans lequel se trouvent les lignes de l’élément pivoté (rectangle de liaison).

Par exemple :

Deux éléments avant adaptation :

Après adaptation, avec l’option Même hauteur :


Barre d’outils Synoptique

Manuel -> Editor -> Barres d'outils -> Barre d’outils Synoptique

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Une barre d’outils vous permet d’éditer les synoptiques. Par défaut, elle est affichée sous la barre de menus.

Symbole

(de gauche à droite)

Fonction

Enregistrer le synoptique

Enregistre le synoptique courant.

Enregistrer tout

Enregistre tous les synoptiques modifiés.

Couper

Coupe l’élément sélectionné et le stocke dans le presse-papiers?; cette fonction est également utilisable d’un projet à l’autre. Disponible uniquement si un élément a été sélectionné.

Copier

Transfère une copie du synoptique actuel vers le presse-papiers. Disponible uniquement si un élément a été sélectionné.

Coller

Insère (c’est-à-dire colle) un synoptique depuis le presse-papier. Uniquement disponible si le presse-papiers contient des données.

Transférer le format

Transfère la mise en forme de l’élément sélectionné vers le prochain élément sélectionné.

Redessiner le synoptique

Rafraîchit l'affichage.

Annuler

Permet d’annuler jusqu’à 100 actions. Par défaut, 10 actions peuvent être annulées.

Définissez le nombre d’actions : Options -> Paramètres -> Paramètres -> Nombre d’actions pouvant être annulées. Saisissez un nombre compris entre 1 et 100.

Mode édition

Bascule du mode Zoom au mode Édition.

Zoom

Fournit deux modes de zoom :

  • Zoom variable :
    Une valeur prédéfinie peut être sélectionnée dans la liste déroulante, ou vous pouvez directement saisir n’importe quelle valeur comprise entre 15 % et 400 %.
  • Outil zoom :
    Vous pouvez directement effectuer un zoom sur le synoptique en sélectionnant les deux symboles d’agrandissement (+ et -). La touche Ctrl permet de basculer entre les différents modes. Le zoom défini est enregistré pour chaque synoptique.

Fermer le mode Zoom : Cliquez sur le symbole du mode Édition dans la barre d’outils Éléments.

Aide

Ouvre l’aide en ligne.

Options pour la barre de symboles

Cliquez sur la flèche pour ouvrir le sous-menu :

Active : la barre d'outils est affichée.

Si la barre d’outils n’est pas affichée, elle peut être activée en sélectionnant le menu Options -> Barre d’outils.

Remarque : Si la barre d’outils est positionnée librement (c’est-à-dire dissociée d’Editor), les options ne sont pas affichées. Pour fermer la barre d’outils, cliquez sur le bouton X.


Barre d’outils Symboles

Manuel -> Editor -> Barres d'outils -> Barre d’outils Symboles

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

La bibliothèque de symboles peut être actionnée depuis le menu contextuel ou la barre d’outils :

Commandes du menu contextuel et de la barre d’outils

Menu contextuel | Fonction
Nouveau symbole | Crée un nouveau symbole.
Ouvrir symbole | Ouvre le symbole dans l’éditeur de symboles, vous permettant de le modifier.
Nouveau groupe de symboles | Un nouveau groupe est créé et vous pouvez y ajouter des symboles sélectionnés dans la bibliothèque ou des symboles que vous avez définis dans des synoptiques. (Copier et coller). Disponible uniquement dans la bibliothèque de symboles globale.
Insérer symbole en tant que groupe d’éléments dans le synoptique | Crée un groupe d’éléments à partir du symbole et l’ajoute à un synoptique (pour plus de détails, reportez-vous au chapitre Groupes d’éléments).
Insérer symbole dans le synoptique | Lie le symbole au synoptique (pour plus de détails, reportez-vous au chapitre Symboles).
Eléments liés | Ouvre le sous-menu contenant les éléments liés et offre la possibilité de revenir à l’élément de départ.
Retour à l'élément de départ | Revient à l’élément de départ (barre d’outils uniquement).
Copier | Copie le symbole sélectionné vers le presse-papiers (vue hiérarchique uniquement).
Coller | Insère le symbole copié dans le groupe actif (vue hiérarchique uniquement).
Supprimer | Supprime le symbole ou groupe de symboles sélectionné (vue hiérarchique uniquement). Attention : La suppression ne peut pas être annulée.
Développer/Réduire les nœuds | Autorise le développement/la réduction du nœud sélectionné ou de tous les nœuds dans la vue hiérarchique.
Vue aplatie | Réorganise tous les symboles sous forme de vue plane. Facilite la recherche de certains symboles. Remarque : Dans cette vue, vous ne pouvez ni créer, ni supprimer des symboles?; il est également impossible de copier ou insérer des symboles depuis le presse-papiers.
Vue hiérarchique | Trie tous les symboles de manière hiérarchique dans des sous-groupes et affiche les dépendances.
Exporter la sélection en XML... | Ouvre la boîte de dialogue permettant d’exporter les symboles sélectionnés au format XML. (Pour plus de détails, reportez-vous au chapitre Importation/exportation de symboles.)
Exporter synoptique/symbole en fichier graphique... | Exporte le synoptique/symbole sous forme de fichier graphique. La boîte de dialogue de sélection de fichiers propose les formats graphiques pris en charge par le système. En principe, tous les codecs Windows Imaging Component (WIC) compatibles avec la fonction d’enregistrement sont disponibles en sélection. La taille des éléments graphiques dépend du synoptique ou du symbole à exporter.
Importer XML | Importe des symboles depuis un fichier XML (reportez-vous au chapitre Importation/exportation de symboles).
Supprimer tous les filtres | Supprime tous les paramètres de filtre
Éditer la cellule sélectionnée | Ouvre la cellule sélectionnée pour la modification. Le symbole représentant des jumelles dans l'en-tête indique la cellule sélectionnée dans une ligne affichée en surbrillance. Seules les cellules pouvant être modifiées peuvent être sélectionnées.
Remplacer le texte dans la cellule sélectionnée | Ouvre la boîte de dialogue de recherche et de remplacement de texte.
Propriétés | Ouvre la fenêtre de Propriétés.
Aide | Ouvre l'aide en ligne.


Barre d’outils Profils Editor

Manuel -> Editor -> Barres d'outils -> Barre d’outils Profils Editor

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Les profils Editor sont administrés en utilisant la barre d’outils correspondante.

Symbole

(de gauche à droite)

Fonction

Charger le profil standard

Réinitialise tous les paramètres d’affichage et de position des fenêtres, ainsi que le contenu et l’affichage des barres d’outils conformément aux conditions de livraison, et charge le profil standard de zenon.

Sélectionner le profil

Sélection d’un profil Editor dans une liste déroulante contenant 10 profils.

Charger le profil sélectionné

Charge le profil sélectionné dans le champ Sélectionner le profil.

Enregistrer le profil sélectionné

Enregistre les paramètres de la fenêtre actuelle dans le profil affiché dans le champ Sélectionner le profil.

Charger les profils prédéfinis

Charge les profils prédéfinis par >CD_COMPANYNAME< dans les trois premiers emplacements de stockage et les lie aux modules. Les profils existants sont écrasés.

Remove profile allocations (Supprimer les attributions de profils)

Supprime les liens entre les modules et les profils prédéfinis.

Enregistrement automatique des profils Editor

Active : Toute modification apportée au profil actuel est enregistrée automatiquement si un autre profil est appelé.

Inactive : les modifications ne sont pas enregistrées si un autre profil est appelé?; les positions d’origine sont rétablies.

Attribuer des noms aux profils.

Ouvre une boîte de dialogue dans laquelle vous pouvez spécifier des noms de profils individuels.

Options pour la barre de symboles

Cliquez sur la flèche pour ouvrir le sous-menu :

Active : la barre d'outils est affichée.

Si la barre d’outils n’est pas affichée, elle peut être activée en sélectionnant le menu Options -> Barre d’outils.

Remarque : Si la barre d’outils est positionnée librement (c’est-à-dire dissociée d’Editor), les options ne sont pas affichées. Pour fermer la barre d’outils, cliquez sur le bouton X.

Remarque : D’autres options d’importation et d’exportation peuvent être ajoutées via la modification définie par l’utilisateur des commandes de la barre d’outils.


Barre de boutons Éléments

Manuel -> Editor -> Barres d'outils -> Barre de boutons Éléments

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Symbole

Fonction

Mode édition

Bascule du mode Zoom au mode Édition.

Ellipse/Circle

Avec couleur de cadre et de remplissage, type de cadre et motif de remplissage (cercle).

Arc de cercle

Avec épaisseur, couleur de ligne et type de ligne définissables.

Quartier de cercle

Trace un quartier de cercle avec un angle d’ouverture de 180º (modifiable)?; épaisseur, couleur de ligne et type de ligne définissables.

Ligne

Avec épaisseur, couleur de ligne et type de ligne définissables.

Polygone

Avec couleur de cadre et de remplissage, type de cadre et motif de remplissage

Polyligne

Avec type de ligne et couleur de ligne.

Rectangle

Avec couleur de cadre et de remplissage, type de cadre et motif de remplissage

Tube

Avec couleur de cadre et de remplissage, type de cadre et motif de remplissage

Texte statique

Avec couleur de la police et sélection du type de police.

Bouton

Zone sensible à la souris affichée sous forme de bouton.

Élément combiné

Affiche une ou plusieurs variables sur un point du synoptique, en couleurs ou sous forme de symboles (caractères chaînés).

Réglette universelle

Commande à réglette ou commande rotative.

Commutation

Déclenchement de commande simple ou élément de saisie de valeur prescrite.

Zone de liste/Liste modifiable

Permet de lier les valeurs de variable à des textes.

Élément Gestion de commande

Uniquement disponible avec une licence pour <CD_SIEMENS_PRODUCTNAME.>

Bouton Synoptique d’alarmes

Uniquement disponible avec une licence pour <CD_SIEMENS_PRODUCTNAME.>

Valeur numérique

Affichage numérique de valeurs.

Graphique à barres

Affichage de valeurs sous forme de bargraphe.

Instrument à aiguille

Affichage de la valeur sur un cadran d’instrument à aiguille.

Texte dynamique

Affichage des textes des limites d’une variable ou directement de la valeur d’une variable de type STRING (chaîne de caractères)

Élément Tendance

Tracé de courbes

Élément WPF

Affiche des fichiers XAML WPF valides.

Élément ActiveX

Insère un contrôle ActiveX.

Horloge

Affichage de la date et de l’heure.

Options pour la barre de symboles

Cliquez sur la flèche pour ouvrir le sous-menu :

Active : la barre d'outils est affichée.

Si la barre d’outils n’est pas affichée, elle peut être activée en sélectionnant le menu Options -> Barre d’outils.

Remarque : Si la barre d’outils est positionnée librement (c’est-à-dire dissociée d’Editor), les options ne sont pas affichées. Pour fermer la barre d’outils, cliquez sur le bouton X.


Barre d'outils Production and Facility Scheduler (PFS)

Manuel -> Editor -> Barres d'outils -> Barre d'outils Production and Facility Scheduler (PFS)

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Le module Production and Facility Scheduler peut également être édité via une barre d’outils.

Symbole

(de gauche à droite)

Fonction

Renommer

Permet de renommer les équipements.

Propriétés

Ouvre une fenêtre contenant les propriétés de l’équipement.

Supprimer

Supprime l’équipement sélectionné après une demande de confirmation.

Tri croissant

Trie la table ou la colonne sélectionnée par ordre croissant.

Tri décroissant

Trie la table ou la colonne sélectionnée par ordre décroissant.

Modifier la date

Ouvre une boîte de dialogue permettant de saisir la date et bascule automatiquement vers cette date.

Visualiser ce jour

Bascule de la date affichée à la date actuelle.

Affichage par jour

Affiche un jour dans le calendrier.

Affichage par semaine

Affiche une semaine dans le calendrier.

Affichage par mois

Affiche un mois dans le calendrier.

Visualiser élément précédent

Recule d’un élément dans le calendrier en fonction de la date saisie (un jour, une semaine ou un mois).

Visualiser élément suivant

Avance d’un élément dans le calendrier en fonction de la date saisie (un jour, une semaine ou un mois).

Aperçu des événements

Ouvre l’aperçu des événements.

Options pour la barre de symboles

Cliquez sur la flèche pour ouvrir le sous-menu :

Active : la barre d'outils est affichée.

Si la barre d’outils n’est pas affichée, elle peut être activée en sélectionnant le menu Options -> Barre d’outils.

Remarque : Si la barre d’outils est positionnée librement (c’est-à-dire dissociée d’Editor), les options ne sont pas affichées. Pour fermer la barre d’outils, cliquez sur le bouton X.


Barre de boutons Remote Transport

Manuel -> Editor -> Barres d'outils -> Barre de boutons Remote Transport

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Un ordinateur de développement peut établir des connexions à distance vers d’autres postes. La barre d’outils Remote Transport fournit des fonctions pour les transferts et les requêtes de données.

Symbole

(de gauche à droite)

Fonction

Remote Transport : Paramètres de connexion

Ouvre la boîte de dialogue de configuration du module Remote Transport permettant de configurer le système cible et le dossier cible.

Remote Transport : Établir une connexion

Établit une connexion Remote Transport avec le système distant.

Transport distant : Transférer les fichiers du Runtime modifiés

Transfère tous les fichiers de Runtime modifiés sur l’ordinateur de développement vers l’ordinateur cible depuis la dernière modification.

Transport distant : Relire tous les fichiers du Runtime

Récupérer les fichiers du Runtime des dossiers configurés sur le système distant vers le dossier Runtime local.

Transport distant : Définir le projet de démarrage

Définit le projet actif comme projet de démarrage sur le système distant.

Transport distant : Démarrer le Runtime

Démarre le Runtime sur le système distant.

Transport distant : Arrêter le Runtime

Arrête Runtime sur le système distant.

Transport distant : Recharger le projet

Exécute la fonction Actualiser sur le système distant.

Remote Desktop: Démarrer la connexion

Démarre une connexion permettant d’actionner l’ordinateur cible par le biais de zenon Remote Desktop. Cette fonction autorise une utilisation visuelle.

Options pour la barre de symboles

Cliquez sur la flèche pour ouvrir le sous-menu :

Active : la barre d'outils est affichée.

Si la barre d’outils n’est pas affichée, elle peut être activée en sélectionnant le menu Options -> Barre d’outils.

Remarque : Si la barre d’outils est positionnée librement (c’est-à-dire dissociée d’Editor), les options ne sont pas affichées. Pour fermer la barre d’outils, cliquez sur le bouton X.

D’autres symboles peuvent être ajoutés à l’aide des options des barres d’outils :

Transférer tous les fichiers du Runtime

Transfère tous les fichiers du Runtime vers le système cible.

Redémarrer le système d’exploitation

Après affichage d’une demande de confirmation, redémarre le système d’exploitation de l’ordinateur cible. Sur Windows CE, cette option n’est pas supportée.

Obtenir l’état du système

Détermine l’état du système de l’ordinateur cible et écrit les données dans la fenêtre de sortie. Les informations suivantes sont définies :

  • Nom de l'ordinateur
  • Système d'exploitation
  • Runtime actif/inactif
  • Projet de démarrage
  • Mémoire réelle
  • Lecteurs
  • Numéro de série de l’ordinateur distant
  • Numéro d’activation de l’ordinateur distant
  • Version de zenon de l’ordinateur distant

Modification du mot de passe et affichage de la licence

Ouvre la boîte de dialogue d’établissement de la connexion.

Autorise :

  • La modification du mot de passe d’établissement de la connexion
  • L’affichage et la modification des informations de la licence pour l’ordinateur cible
  • La configuration du chiffrement sur l’ordinateur cible

Remarque : Toutes les commandes de Remote Transport sont disponibles dans le menu contextuel du projet.


Barre d’outils Report Generator

Manuel -> Editor -> Barres d'outils -> Barre d’outils Report Generator

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Une barre d’outils est disponible pour le module Report Generator dans Editor.
Pour l’appeler, s’il n’est pas visible :

  1. Ouvrez le menu Extras -> Paramètres -> onglet : Barre d’outils
  2. Cochez la case adjacente à l’option Report Generator.
  3. Confirmez avec OK.

Symbole

(de gauche à droite)

Fonction

Imprimer le rapport

Imprime le rapport sur l’imprimante par défaut.

Rapport - Aperçu

Ouvre le rapport dans une fenêtre d’aperçu. Le rapport peut être agrandi ou réduit dans l’aperçu (zoom)?; vous pouvez également le parcourir et l’imprimer.

Actualiser rapport

Rafraîchit l'affichage.

Recalculer fonctions

Recalcule les formules dans le rapport.

Assistant sur fonction

Ouvre une boîte de dialogue pour vous aider à configurer les fonctions.

Police

Ouvre la boîte de dialogue de mise en forme des cellules?; l’onglet Police est affiché à l’écran.

Alignement texte

Ouvre la boîte de dialogue de mise en forme des cellules?; l’onglet Alignement est affiché à l’écran.

Bordure

Ouvre la boîte de dialogue de mise en forme des cellules?; l’onglet Bordure est affiché à l’écran.

Motif

Ouvre la boîte de dialogue de mise en forme des cellules?; l’onglet Motif est affiché à l’écran.

Options pour la barre de symboles

Cliquez sur la flèche pour ouvrir le sous-menu :

Active : la barre d'outils est affichée.

Si la barre d’outils n’est pas affichée, elle peut être activée en sélectionnant le menu Options -> Barre d’outils.

Remarque : Si la barre d’outils est positionnée librement (c’est-à-dire dissociée d’Editor), les options ne sont pas affichées. Pour fermer la barre d’outils, cliquez sur le bouton X.


Barre de boutons Fichiers du Runtime

Manuel -> Editor -> Barres d'outils -> Barre de boutons Fichiers du Runtime

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Une barre d’outils est disponible, vous permettant de transférer les fichiers d’Editor vers le Runtime, ou inversement :

Symbole

(de gauche à droite)

Fonction

Créer les fichiers du Runtime modifiés

Créer des fichiers du Runtime à partir de tous les fichiers modifiés dans Editor. Le menu déroulant permet de choisir si les fichiers du Runtime du projet actif ou de tous les projets chargés doivent être générés.

Créer tous les fichiers du Runtime

Crée les fichiers de Runtime à partir de tous les fichiers disponibles dans Editor. Le menu déroulant permet de choisir si les fichiers du Runtime du projet actif ou de tous les projets chargés doivent être générés.

Importer les fichiers du Runtime

Les fichiers pouvant être modifiés dans le Runtime (tels que les recettes ou les fichiers de gestion des utilisateurs) sont importés depuis le Runtime dans Editor.

Fichiers modifiables dans le Runtime

Ouvre la boîte de dialogue de gestion des fichiers pouvant être modifiés dans le Runtime.

Démarrer le Runtime

Démarre le Runtime.

Options pour la barre de symboles

Cliquez sur la flèche pour ouvrir le sous-menu :

Active : la barre d'outils est affichée.

Si la barre d’outils n’est pas affichée, elle peut être activée en sélectionnant le menu Options -> Barre d’outils.

Remarque : Si la barre d’outils est positionnée librement (c’est-à-dire dissociée d’Editor), les options ne sont pas affichées. Pour fermer la barre d’outils, cliquez sur le bouton X.


Barre d’outils Niveaux de visibilité

Manuel -> Editor -> Barres d'outils -> Barre d’outils Niveaux de visibilité

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Comme dans les programmes de CAO, vous pouvez définir des niveaux de visibilité dans Editor et les associer à des éléments uniques. De cette manière, vous pouvez facilement masquer les éléments inutilisés dans des images complexes et les afficher à nouveau à votre convenance. 15 niveaux de visibilité sont disponibles. Les niveaux sont associés par l’intermédiaire des propriétés Niveau de visibilité du nœud Général. Les différents niveaux peuvent être activés et désactivés à l’aide des boutons de la barre d’outils Niveaux de visibilité :

Symbole

(de gauche à droite)

Fonction

Rendre visibles tous les niveaux de visibilité

Affiche tous les niveaux.

Rendre invisibles tous les niveaux de visibilité

Masque tous les niveaux.

Niveau de visibilité <no.>

Affiche ou masque le niveau de visibilité concerné.

Options pour la barre de symboles

Cliquez sur la flèche pour ouvrir le sous-menu :

Active : la barre d'outils est affichée.

Si la barre d’outils n’est pas affichée, elle peut être activée en sélectionnant le menu Options -> Barre d’outils.

Remarque : Si la barre d’outils est positionnée librement (c’est-à-dire dissociée d’Editor), les options ne sont pas affichées. Pour fermer la barre d’outils, cliquez sur le bouton X.

info Informations

Les niveaux de visibilité concernent uniquement Editor, et sont sans effet dans le Runtime.

Remarque concernant les éléments de contrôle : Les éléments de contrôle sont toujours affichés dans la position la plus haute. Cela reste également vrai s’ils sont recouverts par d’autres éléments dans Editor. Ceci permet à l’utilisateur d’y accéder à tout moment.


Barre d’outils Liste de macros

Manuel -> Editor -> Barres d'outils -> Barre d’outils Liste de macros

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Les macros créées en langage VBA peuvent être gérées via l’élément de barre d’outils Liste de macros.

Symbole

(de gauche à droite)

Fonction

Recharger la liste des macros VBA/VSTA

Charge toutes les macros Public Sub Name () incluses dans myWorkspace et les modules dans la liste déroulante de la barre d’outils.

Rechercher une macro

Vous pouvez rechercher des macros par l’intermédiaire d’un champ de saisie ou d’une liste déroulante. La largeur de la liste déroulante est déterminée en fonction de l’élément le plus large.

Liste déroulante Macros

Contient toutes les macros chargées et vous permet de les sélectionner.

Exécuter la macro sélectionnée

Exécute la macro sélectionnée dans la liste déroulante.

Exécuter la macro associée no. <x>

Exécute la macro associée au symbole.

Attribuer des macros

Ouvre la boîte de dialogue d’association de macros. Jusqu’à 5 macros peuvent être associées aux symboles 1 à 5.

VBA

Filtres pour macros VBA. Seules les macros VBA sont affichées.

VSTA

Filtres pour macros VSTA. Seules les macros VSA sont affichées.

TOUT

Annule le filtre actuel et affiche toutes les macros.

AZ

Trie les macros par ordre croissant, de 0 à 9 et de A à Z.

ZA

Trie les macros par ordre décroissant, de Z à A et de 9 à 0.

Options pour la barre de symboles

Cliquez sur la flèche pour ouvrir le sous-menu :

Active : la barre d'outils est affichée.

Si la barre d’outils n’est pas affichée, elle peut être activée en sélectionnant le menu Options -> Barre d’outils.

Remarque : Si la barre d’outils est positionnée librement (c’est-à-dire dissociée d’Editor), les options ne sont pas affichées. Pour fermer la barre d’outils, cliquez sur le bouton X.

info Informations

Si la boîte de dialogue d’association de macros ne contient pas toutes les macros de myWorkspace, exécutez la fonction Recharger la liste des macros VBA dans la barre d’outils.


Barres d’outils de la vue de détail

Manuel -> Editor -> Barres d'outils -> Barres d’outils de la vue de détail

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

La vue de détail du gestionnaire de projet affiche différentes barres d’outils, en fonction du nœud actif. Ces barres d’outils correspondent au contenu du menu contextuel concerné. Vous trouverez de l’aide concernant les différentes barres d’outils aux chapitres concernés, par exemple : Barres d’outils de la vue de détail des variables


Propriétés de la barre d’outils

Manuel -> Editor -> Barres d'outils -> Propriétés de la barre d’outils

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Les propriétés d’un objet sont affichées et peuvent être modifiées dans la fenêtre des propriétés. Une barre d’outils est disponible et permet d’assurer la gestion de l’écran des propriétés.

Symbole

(de gauche à droite)

Fonction

Vue groupée

(Par défaut)

Toutes les propriétés de l’objet sélectionné sont groupées de manière logique?; les groupes peuvent être triés par ordre alphabétique ou logique. Avec le menu contextuel, les propriétés peuvent être ajoutées ou supprimées des favoris.

Par défaut, dans le manuel : Les conseils relatifs aux propriétés fournis dans le manuel se réfèrent toujours à la vue groupée. Le contenu des groupes est identique à celui dans la vue par boîte de dialogue.

Toutes les propriétés

Toutes les propriétés de l’objet sélectionné sont affichées dans une liste. Avec le menu contextuel, les propriétés peuvent être ajoutées ou supprimées des favoris.

Vue de boîte de dialogue

Toutes les propriétés sont groupées dans l’ordre logique, comme dans la vue groupée?; les groupes sont triés par priorité d’application, sous forme de boîte de dialogue. Dans cette vue, aucun favori ne peut être défini.

Montrer / cacher les favoris

Affiche ou masque le nœud Favoris au début des vues Vue groupée ou Tous les paramètres. Les propriétés les plus fréquemment utilisées sont regroupées ici.

Par défaut, les favoris sont proposés.

Ajouter/supprimer des entrées des favoris : Vous pouvez effectuer cela à l’aide du menu contextuel Ajouter aux favoris ou en déplaçant la propriété souhaitée vers la barre d’outils favoris à l’aide d’une manipulation Glisser & Déposer.

L’ordre des propriétés dans les Favoris est défini par l’option de tri (croissant, décroissant, logique).

Dans la vue par Boîte de dialogue, les favoris ne peuvent pas être créés.

Montrer / cacher toutes les propriétés

Affiche ou masque tous les nœuds dans les vues Groupé et Toutes les propriétés.

Tri logique

(Par défaut)

Trie les propriétés dans l’ordre logique, par fréquence d’application, plutôt que par ordre alphabétique, dans les vues Groupé et Toutes les propriétés.

Tri croissant / décroissant

Affiche les propriétés par ordre alphabétique croissant ou décroissant dans les vues Groupé et Toutes les propriétés.

Étendre / réduire toutes les sections

Affiche ou masque tous les nœuds dans les vues Groupé et Toutes les propriétés.

Exception : Le nœud de la propriété actuelle n’est pas réduit si l’option Tout réduire est sélectionnée.

Afficher l’aide des propriétés

Affiche l’aide intégrée pour les propriétés (aide des propriétés).

Libérer la propriété

Symboles : Libère la propriété sélectionnée.

Options pour la barre de symboles

Cliquez sur la flèche pour ouvrir le sous-menu :

Active : la barre d'outils est affichée.

Si la barre d’outils n’est pas affichée, elle peut être activée en sélectionnant le menu Options -> Barre d’outils.

Remarque : Si la barre d’outils est positionnée librement (c’est-à-dire dissociée d’Editor), les options ne sont pas affichées. Pour fermer la barre d’outils, cliquez sur le bouton X.


Barre de menu

Manuel -> Editor -> Barre de menu

La barre de menus contient, selon le module et l’élément sélectionnés, des listes déroulantes pour les éléments suivants.

Base

  • Fichier
  • Édition
  • Vue
  • Synoptiques
  • Extras
  • Fenêtre
  • Aide

Synoptiques et symboles

Si un synoptique est ouvert, de nouveaux éléments de menu sont ajoutés à la barre :

  • Éléments
  • Éléments de contrôle

Si la bibliothèque générale de symboles est activée, l’élément de menu Synoptiques est remplacé par l’élément de menu Symboles.

Rapport

Lorsqu’un rapport est ouvert :

  • Le menu Synoptiques est remplacé par le menu Rapport
  • Le menu Format est ajouté
  • Les commandes du menu Édition sont remplacées

Autres sujets abordés dans ce chapitre

Fichier

Édition

Vue

Synoptiques

Symbole

Fenêtre

Aide

Outils


Fichier

Manuel -> Editor -> Barre de menu -> Fichier

Les actions suivantes sont possibles :

Élément de menu | Action
Nouveau projet | Ouvre la boîte de dialogue de création d’un nouveau projet.
Insérer projet dans espace de travail | Ouvre la boîte de dialogue permettant d’insérer un projet existant dans Editor.
Insérer projet 5.50 | Ouvre une boîte de dialogue permettant d’insérer un projet créé avec Editor 5.50.
Charger une sauvegarde de projet | Ouvre la boîte de dialogue permettant de charger la dernière version d’un projet enregistré dans une sauvegarde de projet.

Espace de travail

Actions pour l’espace de travail.

Élément de menu | Action
Nouveau | Ouvre la boîte de dialogue de création d’un nouvel espace de travail.
Ouvrir | Ouvre la boîte de dialogue d’ouverture d’un espace de travail existant.
Enregistrer | Enregistre l’espace de travail courant.
Enregistrer sous | Enregistre l’espace de travail courant. Le nom et l’emplacement de stockage peuvent être choisis.
Fermer | Ferme l’espace de travail courant
Créer une sauvegarde | Ouvre la boîte de dialogue contenant la sauvegarde de tous les projets actuels de l’espace de travail. La sauvegarde est conservée dans un fichier compressé au format *.wsb.
Charger sauvegarde | Ouvre la boîte de dialogue permettant de charger les projets enregistrés lors d’une sauvegarde de l’espace de travail.

Configuration générale

Paramètres généraux.

Élément de menu

Action

Activer la licence du produit

Ouvre la boîte de dialogue Licence produit, dans laquelle vous pouvez saisir le numéro de série et d’activation ou demander une licence logicielle.

Standard

Ouvre la boîte de dialogue de configuration des paramètres standard pour l’emplacement de sauvegarde et l’imprimante des éléments suivants :

  • Liste d’alarmes
  • Liste d'événements
  • Valeurs
  • Fichiers journaux
  • Captures d’écran
  • Bloc-notes

Panneau de configuration

Ouvre le panneau de configuration du système d’exploitation.

Espaces de travail récents

Affiche la liste des espaces de travail existants. Les cinq derniers paramètres sélectionnés sont affichés. La liste mise à jour est écrite dans le fichier zenon6.ini lorsque l’espace de travail est modifié.

Quitter

Ferme zenon Editor.


Édition

Manuel -> Editor -> Barre de menu -> Édition

Synoptiques et symboles

Lors de la sélection d’un synoptique ou d’un symbole, le menu Édition propose des fonctions spéciales.

Les actions suivantes sont possibles :

Paramètre | Description
Annuler | Annule la dernière action. Le nombre d’actions pouvant être annulées est défini dans Options -> Paramètres Attention : Il est impossible d’annuler les actions effectuées dans l’éditeur de cadres.
Couper | Coupe l’élément sélectionné et le stocke dans le presse-papiers.
Copier | Copie l’élément sélectionné et le stocke dans le presse-papiers.
Coller | Colle les objets qui ont été coupés ou copiés depuis le presse-papiers. Les éléments sont toujours collés centrés dans la zone d’édition. Si plusieurs objets ont été copiés ou coupés simultanément, leurs positions respectives sont conservées.
Coller à la même position | La copie de l’objet est collée au même emplacement que l’objet original.
Supprimer | Supprime les objets marqués
Sélectionner tout | Sélectionne tous les objets dans la fenêtre principale.
Propriétés | Ouvre la fenêtre de propriétés.
Remplacer les liens | Ouvre la boîte de dialogue de remplacement des variables ou fonctions liées à des éléments dynamiques. Détails : reportez-vous au chapitre Remplacement de variables dans les éléments dynamiques.
Position de l’élément | Change la position des éléments marqués. Alt + clic gauche permet de sélectionner les éléments de niveaux plus éloignés.
Premier plan | Passe les éléments sélectionnés en premier plan.
Arrière-plan | Déplace les éléments sélectionnés vers l’arrière-plan.
Avancer | Déplace les éléments sélectionnés d’un niveau vers l’avant.
Reculer | Déplace les éléments sélectionnés d’un niveau vers l’arrière.
Calque | Repositionne les éléments sélectionnés.
Gauche | Déplace les éléments sélectionnés vers la gauche.
Droite | Déplace les éléments sélectionnés vers la droite.
Haut | Déplace les éléments sélectionnés vers le haut.
Bas | Déplace les éléments sélectionnés vers le bas.
Cascade | Réorganise les éléments. Le point de départ est le premier élément marqué.
Même largeur | Les éléments marqués sont ajustés à la largeur du premier élément sélectionné. Remarque : Sur les éléments ayant subi une rotation, la largeur correspond aux coordonnées optiques, et non aux coordonnées logiques. Pour plus de détails, reportez-vous au chapitre Orientation des barres d’outils :
Même hauteur | Les éléments marqués sont ajustés à la hauteur du premier élément sélectionné. Remarque : Sur les éléments ayant subi une rotation, la hauteur correspond aux coordonnées optiques, et non aux coordonnées logiques. Pour plus de détails, reportez-vous au chapitre Orientation des barres d’outils :
Même taille | Les éléments marqués sont ajustés à la largeur et la hauteur du premier élément sélectionné. Remarque : Sur les éléments ayant subi une rotation, la taille correspond aux coordonnées optiques, et non aux coordonnées logiques. Pour plus de détails, reportez-vous au chapitre Orientation des barres d’outils :
Centrer horizontalement | Déplace les éléments marqués vers le centre horizontal du premier élément sélectionné.
Centrer verticalement | Déplace les éléments marqués au centre vertical du premier élément sélectionné.
Distance égale sur plan x | Les éléments marqués sont groupés de manière à ce que la distance séparant chaque élément sur l’axe X soit identique. Les deux premiers éléments déterminent la distance.
Distance égale sur plan y | Les éléments marqués sont groupés de manière à ce que la distance séparant chaque élément sur l’axe Y soit identique. Les deux premiers éléments déterminent la distance.
Même attribution sur plan x | Répartit tous les éléments marqués le long de l’axe X entre les deux premiers éléments sélectionnés. Pour cette option, au moins trois éléments doivent être sélectionnés.
Même attribution sur plan y | Répartit tous les éléments marqués le long de l’axe Y entre les deux premiers éléments marqués. Pour cette option, au moins trois éléments doivent être sélectionnés.
Retourner horizontalement | Retourne l’élément sélectionné sur l’axe horizontal.
Retourner verticalement | Retourne l’élément sélectionné sur l’axe vertical.
Rotation 90° | Fait pivoter l’élément sélectionné de 90° vers la gauche.
Ordre TAB gauche / droite | Affiche un cadre définissant l’ordre horizontal dans lequel les éléments du synoptique sont sélectionnés avec la fonction Donner le focus.
Ordre TAB haut / bas | Affiche un cadre définissant l’ordre vertical dans lequel les éléments du synoptique sont sélectionnés avec la fonction Donner le focus.
Symbole |
Créer | Crée un nouveau symbole à partir de tous les éléments choisis.
Dissocier | Le symbole est scindé en éléments source?; il n’existe plus.
Mode d’édition simple de symboles / d’éléments | Vous permet de modifier les éléments individuels d’un symbole. Bascule entre le mode d’édition individuel et le mode d’édition de symboles.
Insérer dans un symbole existant | Ouvre la barre d’outils vous permettant d’insérer le symbole actif dans un symbole de la liste.
Retirer du symbole | Supprime l’élément sélectionné du symbole actif. Après cette action, l’élément n’appartient plus au symbole.
Convertir symbole en un groupe d’éléments | Convertit un symbole en un groupe d’éléments. Le symbole est dissocié du symbole original dans la bibliothèque et ne peut plus être modifié que localement. Cette action ne peut pas être annulée?!
Barre d'outils | Affiche une liste de tous les symboles utilisés dans le synoptique actuel. Pour chaque symbole, la liste des composants graphiques est fournie.
Ordre du focus | Ouvre la liste déroulante permettant de définir l’ordre horizontal ou vertical lors de l’utilisation du clavier.
Ordre de gauche à droite | Détermine l’ordre horizontal.
Ordre vers le haut/le bas | Détermine l’ordre vertical.

Reporting

Pour les rapports, le menu Édition fournit les entrées suivantes :

Commande

Description

Couper

Coupe la zone sélectionnée et la copie vers le presse-papiers.

Copier

Copie la zone sélectionnée vers le presse-papiers.

Coller

Insère le contenu du presse-papier.

Collage spécial

Propose des options de collage avancé pour les opérations sur les cellules :
  • Tout

Colle tout depuis le presse-papiers.
  • Formules

Insérer uniquement les formules
  • Valeur

Insère uniquement les valeurs. La relation avec les formules est perdue.
  • Format

Accepte uniquement le format.

Remplir

Copie le contenu de la première cellule marquée et le transfère vers toutes les autres cellules marquées.

  • Vers le bas

Le remplissage est effectué vers le bas.
  • Droite

Le remplissage est effectué de gauche à droite.

Supprimer

Supprimer les données des cellules sélectionnées :
  • Tout

Tout.
  • Sommaire

Uniquement le contenu.
  • Format

Uniquement les formats.

Supprimer colonne ou ligne

Supprime les colonnes ou les lignes sélectionnées.

Insérer colonne ou ligne

Insère de nouvelles colonnes ou lignes. L’insertion est effectuée au-dessus de la ligne, ou à gauche de la colonne. Le nombre de lignes ou colonnes insérées correspond au nombre de lignes ou colonnes sélectionnées dans la feuille de calcul.

Rechercher/Remplacer

Ouvre la boîte de dialogue de recherche et de remplacement de données dans une feuille de calcul.


Vue

Manuel -> Editor -> Barre de menu -> Vue

Les actions suivantes sont possibles :

Élément de menu | Action
Ligne d'état | Affiche ou masque la ligne d’état d’Editor. Celle-ci n’est pas identique à la ligne d’état du Gestionnaire de projet, dans la vue de détail.
Gestionnaire de projet | Affiche la fenêtre du gestionnaire de projet.
Fenêtre de sortie | Affiche la fenêtre de sortie.
Liste de références croisées | Affiche la liste des références croisées.
Fenêtre des propriétés | Affiche la fenêtre Propriétés.
Aide des propriétés | Affiche la fenêtre Aide des propriétés.
Barres d'outils | Liste déroulante permettant d’afficher et masquer les barres d’outils.


Synoptiques

Manuel -> Editor -> Barre de menu -> Synoptiques

Les actions suivantes sont possibles :

Élément de menu

Action

Enregistrer le synoptique

Enregistre le synoptique actuel.

Enregistrer tous les synoptiques

Enregistre tous les synoptiques.

Redessiner le synoptique

Rafraîchit l'affichage.

Afficher la grille

Active ou désactive la grille.

Positionner sur la grille

Active ou désactive l’utilisation de la grille.

Active : Tous les objets sont automatiquement alignés sur la grille.

Utiliser les points magnétiques

Active ou désactive les points magnétiques.

Utilisation : Si vous déplacez un objet à proximité du point de manipulation d’un autre objet, il s’enclenche automatiquement sur ce point de manipulation.

Zoom

Modifie la résolution par incréments fixes compris entre 15 % et 400 %.

Exporter synoptique/symbole en fichier graphique

Enregistre le synoptique ou le symbole sélectionné dans un fichier graphique.
Les informations suivantes sont enregistrées :

  • Dans les synoptiques : le synoptique sélectionné, avec tous les éléments et symboles
  • Dans l’éditeur de symboles : le symbole sélectionné

L’explorateur de fichiers est ouvert lors de l’enregistrement. Sélectionnez l’emplacement d’enregistrement et saisissez le nom du fichier.

Insérer graphiques vectoriels

Ouvre la boîte de dialogue permettant d’insérer des éléments graphiques vectoriels externes.
Supports some versions of the file types DXF and PLT.

Remarque : L'importation d'éléments graphiques vectoriels n'est pas disponible pour la version 64 bits d'Editor.

info Informations

Dès qu’un élément est actif, le menu Éléments est affiché. Il montre tous les éléments vectoriels et les éléments dynamiques identiques aux éléments de la barre de boutons et permet de les sélectionner et de les insérer dans les synoptiques. Lorsque vous sélectionnez des types de synoptiques spéciaux, le menu Éléments de contrôle est aussi disponible. Il contient des éléments de contrôle prédéfinis et liés au type du synoptique courant.


Symbole

Manuel -> Editor -> Barre de menu -> Symbole

Les actions suivantes sont possibles :

Élément de menu

Action

Enregistrer symbole

Enregistre le symbole actuel.

Enregistrer tous les symboles

Enregistre tous les symboles.

Changer symbole...

Ouvre la boîte de dialogue de configuration de la taille et de la couleur d’arrière-plan des symboles.

Remarque : Les modifications apportées à la couleur d’arrière-plan affectent toujours tous les symboles dans la bibliothèque de symboles globale.

Barre d’outils

Affiche une liste de tous les symboles utilisés dans le synoptique actuel. Pour chaque symbole, la liste des composants graphiques est fournie.

Mode plein écran

Le mode plein écran masque toutes les autres fenêtres et affiche uniquement la fenêtre principale contenant tous les documents ouverts (synoptiques, rapports, etc.) en mode plein écran.

Remarque : The Control elements menu can still be called up in full-screen mode.

Vous pouvez fermer le mode plein écran en :

  • Cliquant sur le bouton de fermeture du mode plein écran
  • En appuyant sur Maj+F9

Redessiner symbole

Rafraîchit l'affichage.

Afficher la grille

Active ou désactive la grille.

Utiliser la grille

Active ou désactive l’utilisation de la grille.

Active : Tous les objets sont automatiquement alignés sur la grille.

Utiliser les points magnétiques

Active ou désactive les points magnétiques.

Utilisation : Si vous déplacez un objet à proximité du point de manipulation d’un autre objet, il s’enclenche automatiquement sur ce point de manipulation.

Ordre du focus

Ouvre la liste déroulante permettant de définir l’ordre horizontal ou vertical lors de l’utilisation du clavier.

Ordre vers la gauche/la droite : Détermine l’ordre horizontal.

Ordre vers le haut/le bas : Détermine l’ordre vertical.

Zoom

Modifie la résolution par incréments fixes compris entre 15 % et 400 %.

Exporter synoptique/symbole en fichier graphique

Enregistre le synoptique ou le symbole sélectionné dans un fichier graphique.
Les informations suivantes sont enregistrées :

  • Dans les synoptiques : le synoptique sélectionné, avec tous les éléments et symboles
  • Dans l’éditeur de symboles : le symbole sélectionné

L’explorateur de fichiers est ouvert lors de l’enregistrement. Sélectionnez l’emplacement d’enregistrement et saisissez le nom du fichier.

Insérer graphiques vectoriels

Ouvre la boîte de dialogue permettant d’insérer des éléments graphiques vectoriels externes.


Fenêtre

Manuel -> Editor -> Barre de menu -> Fenêtre

Les actions suivantes sont possibles :

Élément de menu

Action

Mode plein écran

Le mode plein écran masque toutes les autres fenêtres et affiche uniquement la fenêtre principale contenant tous les documents ouverts (synoptiques, rapports, etc.) en mode plein écran.

Remarque : The Control elements menu can still be called up in full-screen mode.

Vous pouvez fermer le mode plein écran en :

  • Cliquant sur le bouton de fermeture du mode plein écran
  • En appuyant sur Maj+F9

Fermer

Ferme la fenêtre active.

Mosaïque

Divise la fenêtre principale en parties égales pour afficher chacune des fenêtres.

Liste des fenêtres

Affiche les fenêtres ouvertes. Au maximum, 9 fenêtres sont mentionnées.

Fenêtre

Ouvre la boîte de dialogue d’administration des fenêtres ouvertes dans la fenêtre principale :

  • Activer
  • Enregistrer (sélection multiple autorisée)
  • Fermer (sélection multiple autorisée)

La fenêtre active est présélectionnée.


Aide

Manuel -> Editor -> Barre de menu -> Aide

Les actions suivantes sont possibles :

Élément de menu | Action
A propos... | Appelle la boîte de dialogue pour afficher la version et les informations de licence.
Premières étapes | Invoque la section Guides de l’aide en ligne.
Aide | Ouvre l’aide en ligne.
Tuto vidéo de zenon | Appelle dans un navigateur la chaîne YouTube COPA-DATA avec des exemples de configuration de projet. Veuillez noter que cet appel s’effectue via HTTPS. Pour ce faire, l’ordinateur doit disposer d’un accès internet et le port correspondant doit être activé.
Mettre à jour la documentation... | Appelle l’Outil de téléchargement de documentation pour mettre à jour l’aide.


Outils

Manuel -> Editor -> Barre de menu -> Outils

Les actions suivantes sont possibles :

Élément de menu

Action

Gestion des modules de l'Editeur

Ouvre la boîte de dialogue pour gérer les modules Add-Ins.

Mise à jour des modules de l'Editeur

Ouvre la boîte de dialogue de mise à jour des add-ins et des assistants.

Pour plus de détails, veuillez lire la section Assistants de mise à jour dans le chapitre Assistants.

Remarque : Cet élément de menu est uniquement disponible si vous avez activé VBA VSTA dans le fichier zenon6.ini. Pour activer le VBA, assurez-vous que l’entrée EIN=1 soit disponible dans la zone [VBA].

Assistants de l’Éditeur

Ouvre la boîte de dialogue de sélection de l’assistant.

Remarque : Cet élément de menu est uniquement disponible si vous avez activé VBA VSTA dans le fichier zenon6.ini. Pour activer le VBA, assurez-vous que l’entrée EIN=1 soit disponible dans la zone [VBA].

Gestion des services de l'éditeur

Ouvre la boîte de dialogue pour gérer les services de l’Éditeur.

Ouvrir Add-In

Ouvre l’éditeur pour programmer Add-In.

Ouvrir VSTA Editor avec WorkspaceAddin

Ouvre l'éditeur VSTA.

Remarque : Cet élément de menu est uniquement disponible si vous avez activé VBA VSTA dans le fichier zenon6.ini. Pour activer le VBA, assurez-vous que l’entrée ON=1 soit disponible dans la zone [VSTA].

Ouvrir l'éditeur VBA

Ouvre Visual Basic Editor

Remarque : Cet élément de menu est uniquement disponible si vous avez activé VBA dans le fichier zenon6.ini. Pour activer le VBA, assurez-vous que l’entrée EIN=1 soit disponible dans la zone [VBA].

Mise à jour du Runtime Windows CE

Ouvre l’application de mise à jour du Runtime Windows CE.

Compiler le projet pour le Web

Compile un projet pour une utilisation avec le HTML Web Engine.

Définir une nouvelle entrée de menu

Ouvre la boîte de dialogue permettant de mettre en œuvre des programmes externes avec une entrée de menu propre.

Conseil : Si vous avez déjà créé une autre entrée de menu, elle est représentée à cet endroit. Pour créer des entrées de menu nouvelles et supplémentaires, sélectionnez Outils -> Paramètres -> Menu Outils.

Gestion des profils Editor dans Editor

Ouvre le sous-menu de gestion des profils Editor.

Paramètres

Ouvre la boîte de dialogue de configuration des paramètres généraux, menus, jeu de couleurs, commandes et barres d’outils.

Autres sujets abordés dans ce chapitre

Paramètres

Menu Outils

Jeu de couleurs

Commandes

Barres d'outils


Paramètres

Manuel -> Editor -> Barre de menu -> Outils -> Paramètres

Définissez les paramètres de base de zenon dans la boîte de dialogue Paramètres.

Editor et Runtime

Paramètres | Description
Langue sélectionnée | Choisissez la langue de l’interface utilisateur d’Editor. Vous devez fermer et redémarrer Editor en cas de changement de langue. La langue par défaut d’Editor est l’anglais.
Ne pas envoyer le rapport d’erreur à Microsoft | Active : Empêche la transmission d’un rapport en cas de fermeture inopinée d’un programme.

Options d'Editor

Paramètres | Description
Charger le dernier espace de travail actif | Active : Si l’option est cochée, le dernier espace de travail actif est chargé dans le gestionnaire de projet lors du démarrage d’Editor (par défaut). Inactive : Aucun espace de travail n’est chargé lors du démarrage d’Editor. Les projets et espaces de travail existants peuvent être ouverts, et de nouveaux projets et espaces de travail peuvent être créés à l’aide du menu contextuel.
Montre le cadre des éléments dynamiques dans Editor | Active : Affiche les éléments dynamiques dans Editor avec un cadre de position.
Les filtres dans la vue de détail dépendent des majuscules / minuscules. | Active : Les filtres dans la vue de détail dépendent de la casse (majuscules / minuscules). Inactive : Le filtre dans la vue de liste ne distingue pas les lettres majuscules des lettres minuscules (par défaut).
Tri logique des textes dans la vue de détail | Active : Les noms de fichiers contenant des nombres sont triés par ordre logique dans la vue de liste, par ex. 1, 2, 10, 11. Inactive : Les noms de fichiers contenant des nombres sont triés par ordre alphabétique dans la vue de liste, par ex. 1, 10, 11, 2.
Utiliser l’assistant | Active : Si vous souhaitez créer des Archives, des Éléments combinés ou des Réglettes universelles, l’aide d’un assistant vous est automatiquement proposée. Inactive : Les archives, éléments combinés et réglettes universelles sont configurés manuellement.
Couleur des colonnes filtrées dans les listes configurables | Configuration de la couleur d’arrière-plan pour le surlignement des colonnes filtrées dans les listes configurables. Cliquez sur le champ de couleur pour ouvrir une boîte de dialogue de sélection de couleur.

Modification des synoptiques

Paramètres | Description
Utiliser l’accélération matérielle si disponible | Active : L’accélération matérielle est utilisée. Inactive : L’accélération matérielle n’est pas utilisée.
Définir les propriétés lors de la création | Active : Si vous créez un élément dynamique, les boîtes de dialogue de configuration détaillée des paramètres (par exemple, sélection de variables) s’ouvrent automatiquement. Inactive : l’élément dynamique est tracé?; les propriétés associées doivent être définies séparément.
Boîte de dialogue "Définir les liens" lors de l’insertion de symboles | Active : Lors de l’insertion d’un symbole dans un synoptique, la boîte de dialogue Définir les liens est ouverte. Inactive : La boîte de dialogue n’est pas ouverte. Les liens peuvent être remplacés à tout moment grâce à la commande Remplacer les liens du menu contextuel.
Espace pour changement position | Évite les déplacements involontaires d’éléments. Avant qu’un élément ne soit vraiment déplacé, il doit au moins être déplacé du nombre de pixels indiqué.
Taille des coins de sélection |
Nombre d'actions "annulables" | Permet d’annuler jusqu’à 100 actions. Par défaut, 10 actions peuvent être annulées. Saisissez un nombre compris entre 1 et 100.

Grille

Paramètres

Description

Afficher la grille

Active : Affiche la grille pouvant être définie dans la fenêtre principale sous Type de grille.
Inactive : La grille n’est pas affichée.

Utiliser la grille

Active : Les éléments de l’écran sont automatiquement alignés sur la grille. Cette fonction est indépendante de l’option Afficher la grille.

Couleur

Définit la couleur de la grille. La palette de couleurs de la fenêtre est utilisée pour la sélection.

Affichage

Liste déroulante de sélection du type d’affichage de la grille :

  • plein
  • Intersections

Taille verticale

Définit la distance verticale entre des points de marqueur uniques. Cette option détermine donc également la finesse avec laquelle les éléments redimensionnés peuvent être affichés.

Pas de grille recommandé : 10 pixels

Taille horizontale

Définit la distance horizontale entre des points de marqueur uniques. Cette option détermine donc également la finesse avec laquelle les éléments redimensionnés peuvent être affichés.

Pas de grille recommandé : 10 pixels

Points magnétiques

Paramètres | Description
Utiliser les points magnétiques | Les éléments comportent des points magnétiques. Lors du déplacement d’un élément, si un des points de sélection de l’élément se retrouve à proximité d’un point de sélection d’un autre élément, le point de sélection concerné se cale sur cette position et s’aligne dessus.
Taille dans les synoptiques ou éditeur de symboles | Définit la taille de la zone magnétique en pixels (marqueurs de sélection carrés). Saisissez un nombre compris entre 1 et 20.
Taille dans l’éditeur de cadres | Définit la taille de la zone de connexion en pixels (marqueurs de sélection carrés) autorisant le positionnement de cadres par rapport à d’autres cadres ou bordures. Saisissez un nombre compris entre 1 et 40.


Menu Outils

Manuel -> Editor -> Barre de menu -> Outils -> Menu Outils

Dans la boîte de dialogue Menu Outils, vous mettez en œuvre des programmes externes dans la structure de menus d’Editor. Les programmes mis en œuvre individuellement sont présentés à la fin de l’élément de menu Outils.

Contenu du menu

Options | Action
Contenu du menu | Dresse la liste de tous les programmes externes précédemment intégrés.
Nouveau | Ajouter un nouvel élément de menu.
Supprimer | Supprime une entrée existante du menu.
Déplacer vers le haut | Déplace l’élément de menu sélectionné vers le début de la liste et du menu.
Vers le bas | Déplace l’élément de menu sélectionné vers la fin de la liste et du menu.
Texte du menu | Le nom sous lequel le nouveau menu sera affiché dans les options.
Fichier | Nom et chemin du programme externe (fichier *.exe) devant être invoqué.
Paramètres | Commutateurs supplémentaires utilisés pour l’invocation de programmes, par exemple des noms de fichiers.

Example Exemple

Texte du menu : Éditeur de texte

Fichier : C:\Windows\notepad.exe

Paramètres : C:\test.txt

Invoque le bloc-notes de Windows et ouvre le fichier test.txt. Si ce fichier n’est pas disponible, vous pouvez le créer.


Jeu de couleurs

Manuel -> Editor -> Barre de menu -> Outils -> Jeu de couleurs

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Cet onglet permet de définir le jeu de couleurs employé par Editor.

Jeu de couleurs d’Editor

Paramètres | Description
Jeu de couleurs d’Editor | Cliquez sur la liste déroulante pour ouvrir la liste dans laquelle vous pouvez le sélectionner.
Aperçu | Change le jeu de couleurs d’Editor. La boîte de dialogue reste ouverte.
OK | Appliquer toutes les modifications et ferme la boîte de dialogue.
Annuler | Annule toutes les modifications et ferme la boîte de dialogue.


Commandes

Manuel -> Editor -> Barre de menu -> Outils -> Commandes

Dans la boîte de dialogue Commandes, vous définissez les commandes disponibles dans les barres d’outils.

Catégorie

Option | Action
Catégorie | Sélectionnez la catégorie comportant la commande souhaitée.

Commandes

Option | Action
Commandes | Liste de commandes disponibles.
Description | Texte de l’info-bulle : si vous placez le pointeur de la souris sur le bouton, la description est affichée sous forme d’info-bulle.

Ajouter des symboles

  1. Ouvrez le menu Extras -> Paramètres -> onglet : Commandes.
  2. Choisissez une catégorie dans la fenêtre gauche.
  3. Cliquez avec le bouton gauche de la souris sur le symbole de votre choix dans la fenêtre droite.
  4. Maintenez le bouton gauche de la souris enfoncé et faites glisser le symbole vers la position de votre choix dans la barre d’outils.

Supprimer des symboles

  1. Ouvrez, dans le menu Extras -> Paramètres -> onglet : Barre d’outils.

    Tous les symboles de toutes les barres d’outils d’Editor sont activés.

  2. Cliquez avec le bouton gauche de la souris sur le symbole.
  3. Éloignez le symbole de la barre d’outils et relâchez le bouton de la souris.

info Informations

Pour annuler les modifications apportées à une barre d’outils et rétablir la configuration par défaut, sélectionnez l’outil Barre d’outils. Sélectionnez la barre d’outils adéquate, puis cliquez sur le bouton Réinitialiser ou sur Réinitialiser tout pour rétablir la configuration d’origine des barres d’outils.


Barres d'outils

Manuel -> Editor -> Barre de menu -> Outils -> Barres d'outils

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Vous définissez l’apparence et la visibilité des barres d’outils de la boîte de dialogue Barres d’outils.

Barres d'outils

Option | Action
Barres d'outils | Case à cocher active : La barre d’outils est affichée dans Editor.
Réinitialiser | Restaure l’état initial de la barre d’outils sélectionnée.
Réinitialiser tout | Restaure l’état initial de toutes les barres d’outils.


Profils Editor

Manuel -> Editor -> Profils Editor

Au démarrage d’Editor, des paramètres et des fenêtres prédéfinis sont utilisés. Vous pouvez grouper des fenêtres et les activer à votre convenance. Vous trouvez plus de détails au chapitre Ajuster la vue.

Remarque :

  • Un fonctionnement optimal n’est garanti qu’avec le mode plein écran.
  • Les profils Editor sont spécifiques aux versions. L’exportation et l’importation depuis et vers différentes versions ne sont pas prises en charge.

Paramètres personnels

Vos paramètres personnels sont administrés dans des profils. Vous pouvez accéder à ces paramètres via les éléments suivants :

  • La barre des tâches Profils Editor

    (Voir Gérer les profils Editor à l’aide de la barre des tâches)

  • L’entrée Gérer les profils Editor dans la barre de menu Outils

    (Voir Gérer les profils Editor via le menu).

  • Les raccourcis-clavier

    (Voir Gérer les profils Editor avec des raccourcis-clavier).

Vous pouvez également associer les profils Editor à des modules uniques à l’aide du menu contextuel (voir Choisir l’option Profils Editor dans le menu contextuel), ou vous pouvez choisir des profils prédéfinis.

info Informations

Pour les fenêtres divisées - comme dans le Gestionnaire de projet, avec la vue principale et la vue de détail -, la définition de la largeur correspond toujours à la fenêtre dans son ensemble. La relation des éléments de la fenêtre est définie lors du démarrage et de la fermeture d’Editor.

Si le rapport des différents éléments de la fenêtre est modifié, l’appel d’un profil entraîne uniquement la configuration de la fenêtre entière conformément aux valeurs définies. Le rapport de la vue principale et de la vue de détail, par exemple, n’est pas modifié.

Autres sujets abordés dans ce chapitre

Profils prédéfinis

Gérer les profils Editor à l’aide de la barre des tâches

Gérer les profils Editor via le menu

Gérer les profils Editor à l’aide de la barre des tâches

Sélection du profil Editor dans le menu contextuel.

Supprimer des profils Editor

Définition du nom des profils Editor individuels


Profils prédéfinis

Manuel -> Editor -> Profils Editor -> Profils prédéfinis

Dans zenon trois profils prédéfinis sont disponibles. Vous améliorez la représentation de l’Editor pour :

  • Vue de liste (variables, fonctions, recettes, etc.) :
    Profil 1 stocké sur P1 :
  • Synoptiques :
    Profil 2 stocké sur P2 :
  • Par défaut, pour les tâches générales :
    Profil 3 stocké sur P3 :

Les profils prédéfinis doivent être explicitement activés. Ils remplacement les emplacements d’enregistrement P1, P2 et P3. S’ils sont activés, le profil attribué correspondant est appliqué lorsqu’un nœud est sélectionné dans l’arborescence du projet. Si l’attribution automatique des profils est désactivée, aucune attribution automatique n’est effectuée en cas de modification d’un nœud. Les emplacements d’enregistrement P1, P2 et P3 continuent à contenir les profils correspondants. Ces profils peuvent être attribués manuellement ou être remplacés par des profils définis par l’utilisateur.

Sélectionner un profil prédéfini

Vous pouvez activer ou désactiver ces profils. Pour cela, vous pouvez utiliser les Symboles dans la barre d’outils pour les profiles d’Editor ou :

  1. Ouvrez le menu Outils
  2. cliquez sur Gestion des profils Editor
    • Charger les profils éditeur : charge les profils prédéfinis sur les trois premières entrées et les lie avec les modules. Les profils existants sont écrasés.
    • Supprime les attributions de profils : Supprime les liens entre les modules et les profils prédéfinis.

Pour utiliser les profils sélectionner Profil Editor -> [numéro de profil] sur le module désiré.

attention Attention

Lors de l’activation d’un profil prédéfini, les paramètres correspondants sont attribués aux emplacements d’enregistrement P1, P2 et P3, ceux-ci sont renommés P1, P2 et P3. Les paramètres individuels et les noms de tous les autres emplacements d’enregistrement (P4 à P10) ne sont pas conservés. Le profil standard est conservé.

Message d’erreur lors de l’affichage des profils prédéfinis

Si vous recevez un message d’erreur mentionnant le service zenAdminSrv lors de la sélection d’un profil prédéfini, ce message peut avoir deux causes :

  1. Le numéro de version du service zenAdminSrv est inférieur au numéro de version d’Editor.
    Solution : Mettez le service à jour.
  2. Les profils ne se trouvent plus dans le dossier par défaut :
    Solution : Copiez le fichier Predefined Editor Profiles.epf vers le dossier C:\ProgramData\COPA-DATA\zenonxxx\EdProfiles (où xxx représente le numéro de version actuel de zenon).

Profils

Profil 1 : Vue de liste

Affichage optimisé pour l’édition de variables et de listes.

Profil 2 : Synoptiques

Affichage optimisé pour l’édition de synoptiques.

Profil 3 : Standard

Affichage par défaut, optimisé pour les modules ne reposant pas sur des listes.


Gérer les profils Editor à l’aide de la barre des tâches

Manuel -> Editor -> Profils Editor -> Gérer les profils Editor à l’aide de la barre des tâches

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Par défaut, la barre des tâches de gestion des profils Editor est représentée au milieu de la deuxième ligne de symboles. Si elle a été désactivée, cliquez avec le bouton droit à proximité des barres des tâches et choisissez Profils Editor. La barre des tâches suivantes s’affiche à l’écran :

Symbole

(de gauche à droite)

Fonction

Charger le profil standard

Réinitialise tous les paramètres d’affichage et de position des fenêtres, ainsi que le contenu et l’affichage des barres d’outils conformément aux conditions de livraison, et charge le profil standard de zenon.

Sélectionner le profil

Sélection d’un profil Editor dans une liste déroulante contenant 10 profils.

Charger le profil sélectionné

Charge le profil sélectionné dans le champ Sélectionner le profil.

Enregistrer le profil sélectionné

Enregistre les paramètres de la fenêtre actuelle dans le profil affiché dans le champ Sélectionner le profil.

Charger les profils prédéfinis

Charge les profils prédéfinis par >CD_COMPANYNAME< dans les trois premiers emplacements de stockage et les lie aux modules. Les profils existants sont écrasés.

Remove profile allocations (Supprimer les attributions de profils)

Supprime les liens entre les modules et les profils prédéfinis.

Enregistrement automatique des profils Editor

Active : Toute modification apportée au profil actuel est enregistrée automatiquement si un autre profil est appelé.

Inactive : les modifications ne sont pas enregistrées si un autre profil est appelé?; les positions d’origine sont rétablies.

Attribuer des noms aux profils.

Ouvre une boîte de dialogue dans laquelle vous pouvez spécifier des noms de profils individuels.

Options pour la barre de symboles

Cliquez sur la flèche pour ouvrir le sous-menu :

Active : la barre d'outils est affichée.

Si la barre d’outils n’est pas affichée, elle peut être activée en sélectionnant le menu Options -> Barre d’outils.

Remarque : Si la barre d’outils est positionnée librement (c’est-à-dire dissociée d’Editor), les options ne sont pas affichées. Pour fermer la barre d’outils, cliquez sur le bouton X.

Remarque : D’autres options d’importation et d’exportation peuvent être ajoutées via la modification définie par l’utilisateur des commandes de la barre d’outils. Pour exporter ou importer des profils Editor, sélectionnez l’option correspondante dans le menu principal, sous Options -> Editor -> Gestion des profils Editor.


Gérer les profils Editor via le menu

Manuel -> Editor -> Profils Editor -> Gérer les profils Editor via le menu

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Dans le menu, choisissez Options -> Editor -> Gérer les profils Editor pour gérer vos profils Editor.

Vous disposez des possibilités suivantes :

Option | Fonction
Nom | Ouvre une boîte de dialogue dans laquelle vous pouvez spécifier des noms de profils individuels.
Charger le profil standard | Réinitialise tous les paramètres des fenêtres aux paramètres d’usine par défaut et charge le profil standard de zenon.
Charger les profils prédéfinis | Charge les profils prédéfinis par >CD_COMPANYNAME< dans les trois premiers emplacements de stockage et les lie aux modules. Les profils existants sont écrasés.
Supprimer les attributions de profils | Supprime les liens entre les modules et les profils prédéfinis.
Exporter | Ouvre le gestionnaire de données et enregistre les paramètres sous forme de fichier .zip, à n’importe quel emplacement.
Importer | Ouvre le gestionnaire de fichiers pour importer les paramètres enregistrés sous forme de fichier .zip depuis n’importe quel emplacement.

Pour sélectionner ou enregistrer des profils Editor individuels, utilisez les fonctions correspondantes de la barre d’outils ou les raccourcis-clavier.


Gérer les profils Editor à l’aide de la barre des tâches

Manuel -> Editor -> Profils Editor -> Gérer les profils Editor à l’aide de la barre des tâches

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Les actions suivantes sont possibles :

Commande | Raccourci-clavier
Charger le profil 1 de l'Éditeur | Maj+F1
Charger le profil 2 de l'Éditeur | Maj+F2
Charger le profil 3 de l'Éditeur | Maj+F3
Charger le profil 4 de l'Éditeur | Maj+F4
Charger le profil 5 de l'Éditeur | Maj+F5
Charger le profil 6 de l'Éditeur | Maj+F6
Charger le profil 7 de l'Éditeur | Maj+F7
Charger le profil 8 de l'Éditeur | Maj+F8
Enregistrer la vue actuelle de l'Éditeur sous : |
Profil 1 | Ctrl+Maj+F1
Profil 2 | Ctrl+Maj+F2
Profil 3 | Ctrl+Maj+F3
Profil 4 | Ctrl+Maj+F4
Profil 5 | Ctrl+Maj+F5
Profil 6 | Ctrl+Maj+F6
Profil 7 | Ctrl+Maj+F7
Profil 8 | Ctrl+Maj+F8


Sélection du profil Editor dans le menu contextuel.

Manuel -> Editor -> Profils Editor -> Sélection du profil Editor dans le menu contextuel.

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Dans le gestionnaire de projet, les profils Editor affichés dans le menu contextuel peuvent être sélectionnés pour chaque projet et chaque sous-section d’un projet, puis être attribués sur une base permanente : Cliquez avec le bouton droit sur la branche -> Profils Editor -> effectuez votre sélection.

Une attribution peut être supprimée en cliquant sur Aucun dans le menu contextuel.


Supprimer des profils Editor

Manuel -> Editor -> Profils Editor -> Supprimer des profils Editor

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Pour réinitialiser vos données de profil :

  1. Supprimez l’ensemble du dossier Editor dans le chemin C:\Users\USERNAME\AppData\Local\COPA-DATA\zenon\Editor.

    Remarque : Remplacez USERNAME (NOM DE L’UTILISATEUR) par le nom d’utilisateur de l’utilisateur Windows connecté.

  2. Supprimez l’entrée correspondant au profil dans la base de registres de Windows, sous : HKEY_CURRENT_USER\Software\COPA-DATA\Editor\Profiles


Définition du nom des profils Editor individuels

Manuel -> Editor -> Profils Editor -> Définition du nom des profils Editor individuels

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Les profils Editor peuvent être désignés et nommés individuellement. Les noms peuvent être spécifiés directement dans la barre d’outils, à l’aide d’un raccourci-clavier ou depuis une boîte de dialogue.

Pour configurer des profils individuels :

  1. Ouvrez Editor.
  2. Ouvrez la boîte de dialogue d’attribution d’un nom individuel :
    • Barre d’outils, symbole Attribuer des noms individuels pour les profils Editor ou
    • Menu -> Options -> Editor -> Gestion des profils Editor - Nom

  3. Saisissez le nom de votre choix dans le champ après la description courte du profil Editor.

attention Attention

Lors de l’activation d’un profil prédéfini, les paramètres correspondants sont attribués aux emplacements d’enregistrement P1, P2 et P3, ceux-ci sont renommés P1, P2 et P3. Les paramètres individuels et les noms de tous les autres emplacements d’enregistrement (P4 à P10) ne sont pas conservés. Le profil standard est conservé.

Vous pouvez à tout moment invoquer les 8 premiers profils Editor dans Editor avec les raccourcis-clavier Maj +F1 à Maj+F8. Vous pouvez également sélectionner le profil Editor de votre choix en cliquant sur le symbole correspondant de la barre d’outils.


Gestionnaire de projet

Manuel -> Editor -> Gestionnaire de projet

Par défaut, le gestionnaire de projet se trouve sur le côté fauche de l’écran, directement sous les barres d’outils. Elle peut être liée de deux manières :

  • Arborescence du projet
  • Topologie réseau

Arborescence du projet

L’arborescence du projet contient :

  • L’espace de travail, situé sur le côté gauche, contient les projets et la bibliothèque générale de symboles.
    • Tous les projets chargés ainsi que leurs variables, fonctions, synoptiques, etc. sont disponibles dans l’espace de travail.
    • La bibliothèque générale de symboles contient des éléments graphiques prédéfinis, et offre la possibilité de créer de nouveaux éléments graphiques.
  • Une vue détaillée du côté droit :

    Cette vue dresse la liste de tous les éléments et paramètres correspondant à la section sélectionnée dans l’arborescence.

Topologie réseau

La vue Topologie du réseau affiche tous les projets dans l’espace de travail sous forme topologique et permet de tester tous les composants réseau impliqués, ainsi que de tester le transfert à distance des fichiers du Runtime vers l’ordinateur concerné.

Pour plus de détails à ce sujet, reportez-vous à la section relative au réseau du chapitre Tester la validité de la topologie du réseau.

Autres sujets abordés dans ce chapitre

Espace de travail

Vue de détail du gestionnaire de projet

Fichiers

Bibliothèque générale de symboles

Boîtes de dialogue de sélection


Espace de travail

Manuel -> Editor -> Gestionnaire de projet -> Espace de travail

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Dans l’espace de travail, les composants suivants d’un projet sont gérés :

  • Variables
    • Drivers
    • Types de données
    • Matrice de réaction
    • Attributions
    • Alarme
    • Unité de mesure
  • Synoptiques
    • Cadres
    • Polices
    • Palette de couleurs
    • Bibliothèque de symboles
  • Fonctions
    • Scripts
  • Fichier de langue
  • Archives
  • Recettes
    • Recettes standard
    • Recipe Group Manager (Gestionnaire de groupes de recettes)
  • Batch Control
  • Commande temporisée
  • Interface de programmation
    • Process Control Engine (PCE)
    • Liste de macros
    • VSTA
  • zenon Logic est un environnement de programmation IEC 61131-3.
  • Production & Facility Scheduler
  • Verrouillages
  • Gestion de commandes
  • Gestion de charge
  • Message Control
  • Menus
  • Report Generator
  • Gestion des utilisateurs
    • Utilisateurs
    • Groupes d'utilisateurs
  • Interface SAP
  • Fichiers : insère des fichiers externes. Les drivers ne sont pas directement intégrés à zenon?; ils sont mis en œuvre via un programme externe.
    • Graphiques
    • Aide
    • Multimédia
    • Textes et formats
    • Drivers
    • Report Viewer
    • Autres
  • Historique des modifications
  • Modèles d'équipements
  • Sauvegarde de projet

La disponibilité des composants uniques dépend de la licence choisie. Vous pouvez afficher les modules inclus à votre licence en cliquant sur Aide -> À propos...

Si vous souhaitez acheter des licences supplémentaires, contactez votre distributeur ou sales@copadata.com.

info Informations

Les éléments uniques du gestionnaire de projets, tels que les variables ou les fonctions, peuvent être affichés dans une fenêtre supplémentaire. Pour cela, cliquez sur Ouvrir dans nouvelle fenêtre dans le menu contextuel. Ainsi, vous pouvez simultanément modifier les variables et les fonctions.

Autres sujets abordés dans ce chapitre

Vue de détail de l’espace de travail


Vue de détail de l’espace de travail

Manuel -> Editor -> Gestionnaire de projet -> Espace de travail -> Vue de détail de l’espace de travail

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

La gestion des projets s’effectue dans la vue de détail de l’espace de travail. Seuls les projets actuellement chargés (c’est-à-dire les projets actifs et les projets dont l’option Garder le projet en mémoire est active) sont affichés.

Barre d'outils

Symbole

Description

Nouveau projet

Ouvre la boîte de dialogue de création d’un nouveau projet.

Insérer projet dans espace de travail

Ouvre la boîte de dialogue permettant d’ajouter un projet existant.

Insérer projet 5.50

Ouvre le navigateur de fichiers et autorise la sélection d’un projet (versions 5.50 et ultérieures).

Charger une sauvegarde de projet

Ouvre la boîte de dialogue de chargement d’une sauvegarde de projet.

Supprimer le projet sélectionné

Supprime le projet sélectionné après affichage d’une demande de confirmation. Si plusieurs projets sont sélectionnés, seul le dernier projet sélectionné est supprimé.

Espace de travail

Actions pour l’espace de travail :

  • Nouveau : Ouvre la boîte de dialogue de création d’un nouvel espace de travail.
  • Ouvrir : Ouvre la boîte de dialogue d’ouverture d’un espace de travail existant.
  • Enregistrer : Enregistre l’espace de travail.
  • Enregistrer sous : Enregistrer l’espace de travail sous un nom différent.
  • Fermer : Ferme l’espace de travail actif.
  • Créer sauvegarde : Ouvre la boîte de dialogue de création d’une sauvegarde.
  • Charger sauvegarde : Ouvre la boîte de dialogue de restauration d’une sauvegarde.

Ouvrir VSTA Editor avec WorkspaceAddin

Ouvre VSTA Editor avec le module zenon Workspace.

Ouvrir l'éditeur VBA

Ouvre l’éditeur VBA.

Assistants

Ouvre la boîte de dialogue contenant les assistants.

Mettre à jour les assistants

Ouvre la boîte de dialogue de mise à jour des assistants.

Supprimer tous les filtres

Supprime tous les filtres définis.

Propriétés

Ouvre la fenêtre des propriétés.

Aide

Ouvre l'aide en ligne.

Ces actions sont également disponibles sous forme de commandes dans le menu contextuel du nœud Workspace.


Vue de détail du gestionnaire de projet

Manuel -> Editor -> Gestionnaire de projet -> Vue de détail du gestionnaire de projet

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Si un élément est sélectionné dans l’arborescence du gestionnaire de projet, la vue de détail affiche tous les objets inclus et leurs propriétés.

Dans une vue sous forme de table, vous pouvez :

Action

Suite des actions

Choisir des colonnes librement :

Cliquez avec le bouton droit sur l’intitulé d’une colonne -> Menu contextuel -> Choix de la colonne

Modifier la largeur des colonnes :

  • Positionnez le pointeur de la souris sur le séparateur de la ligne d’intitulé des colonnes?; le pointeur devient une croix.
  • Maintenez le bouton gauche de la souris enfoncé.
  • Agrandissez les colonnes à la largeur souhaitée.

Trier les colonnes :

Cliquez sur la ligne d’intitulé de la colonne modifie l’ordre de tri (croissant/décroissant)/.

Formater les colonnes

Cliquez avec le bouton droit sur l’intitulé d’une colonne -> Menu contextuel -> Formater les colonnes

Propriétés du groupe

Cliquez avec le bouton droit sur l’intitulé d’une colonne -> Menu contextuel -> Grouper selon cette colonne ou :

Cliquez avec le bouton droit sur l’intitulé d’une colonne -> Menu contextuel -> Annuler le groupement

Ajuster l’affichage à la largeur de la fenêtre

Cliquez avec le bouton droit sur l’intitulé d’une colonne -> Menu contextuel -> Ajuster la taille à la largeur de la fenêtre

Supprimer une colonne

Cliquez avec le bouton droit sur l’intitulé d’une colonne -> Menu contextuel -> Supprimer la colonne

Menu contextuel

Commande | Action
Croissant | Trie la colonne par ordre croissant
Décroissant | Trie la colonne par ordre décroissant
Grouper suivant cette colonne | Grouper les éléments selon cette colonne
Annuler le regroupement | Annule le groupement existant
Sélection des colonnes... | Ouvre une boîte de dialogue permettant de sélectionner les colonnes devant être affichée.
Format des colonnes... | Ouvre une boîte de dialogue de mise en forme de la colonne.
Ajuster la taille à la largeur de la fenêtre | Toutes les colonnes sont redimensionnées de manière uniforme dans l’ensemble de la fenêtre.
Supprimer cette colonne | Supprime la colonne de la vue

Ligne d'état

Dans les listes, la ligne d’état de la vue de détail fournit des informations concernant les éléments disponibles, filtrés et sélectionnés.

Example Exemple

Afficher la vue de détail de la ligne d’état :
39 total/30 filtrés/2 sélectionnés
signifie :

  • 39 éléments sont disponibles
  • 30 sont affichés sur la base des paramètres de filtre
  • 2 ont été choisis

Pour les variables, le nombre de tags et d’E/S utilisés et comportant une licence est affiché.

Par exemple : 32 tags utilisés / nombre illimité de tags disponible.

info Informations

Des informations détaillées concernant l’édition et la gestion des éléments sont disponibles au chapitre Éditer les entrées et dans la description des éléments correspondants.

Autres sujets abordés dans ce chapitre

Éditer les entrées

Barres d’outils de la vue de détail

Navigation dans la liste

Filtrer les entrées de liste

Remplacer un texte dans la colonne sélectionnée

Remplacer le texte des valeurs limites

Afficher/masquer les colonnes

Paramètres des colonnes


Éditer les entrées

Manuel -> Editor -> Gestionnaire de projet -> Vue de détail du gestionnaire de projet -> Éditer les entrées

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Vous disposez de plusieurs méthodes pour éditer les entrées :

Marche à suivre

Suite des actions

Barres d’outils de la vue de détail

  • Sélectionnez la cellule que vous voulez modifier en cliquant avec le bouton gauche de la souris.
  • Cliquez sur le bouton Éditer la cellule sélectionnée dans la barre d’outils.

Menu contextuel
  • Cliquez sur la cellule de votre choix avec le bouton droit de la souris.
  • Dans le menu contextuel, sélectionnez l’entrée Éditer la cellule sélectionnée.

Le double-clic lent

  • Marquez la cellule de votre choix en cliquant dessus deux fois (lentement).

Fenêtre des propriétés

  • Marquez l’élément de votre choix.
  • Éditez l’entrée de votre choix dans la fenêtre Propriétés.

La touche F2

  • Sélectionnez la cellule que vous voulez modifier en cliquant avec le bouton gauche de la souris.
  • Appuyez sur F2.

info Informations

La cellule entière est marquée si vous cliquez sur une cellule. Vous pouvez voir les cellules sélectionnées en cliquant sur le symbole représentant des jumelles dans la colonne de titre.

attention Attention

Exceptions

  • Dans la vue de détail, vous pouvez uniquement modifier les propriétés pouvant être modifiées dans la fenêtre des propriétés. Il est par exemple impossible d’éditer le nom d’une variable système.
  • Dans l’historique des modifications, il n’est pas possible d’effectuer des modifications en raison des règles de la FDA.
  • Dans les sauvegardes de projets, vous pouvez uniquement éditer le nom de la sauvegarde.


Barres d’outils de la vue de détail

Manuel -> Editor -> Gestionnaire de projet -> Vue de détail du gestionnaire de projet -> Barres d’outils de la vue de détail

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Sur la bordure supérieure de la vue de détail, une barre d’outils vous propose toutes les fonctions que vous pouvez trouver aussi dans le menu contextuel. Selon ce qui est sélectionné dans l’arborescence du projet (comme les synoptiques, les variables, les symboles, etc.), la barre d’outils montre différents boutons.

Les boutons qui ne peuvent être utilisés selon le contexte sont grisés.

Barre d'outils

Symbole | Action
Nouvelle variable | Ouvre la boîte de dialogue de création d’une nouvelle variable.
Créer une fonction standard | Ouvre l’assistant de sélection des variables et des valeurs prescrites et crée une fonction correspondante. Cette action est consignée dans la fenêtre de sortie.
Utilisation des variables | Crée une analyse de projet pour les variables sélectionnées dans le projet actuel, et l’affiche sous forme de liste de résultats dans une fenêtre spécifique.
Affichage des variables inutilisées | Crée une analyse de projet pour les variables inutilisées dans le projet actuel, et l’affiche sous forme de liste de résultats dans une fenêtre spécifique.
Retour à l'élément de départ | Jumps back to the initial position in the zenon Editor. Remarque : This context menu entry is only available if a jump to the current position has been made from another position with the Linked elements context menu entry.
Copier | Copie les entrées sélectionnées et vers le presse-papiers.
Coller | Insère le contenu du presse-papier. Si une entrée portant le même nom existe déjà, le contenu est collé sous le nom Copie de....
Supprimer | Après une demande de confirmation, supprime les entrées sélectionnées de la liste.
Développer/Réduire | Liste déroulante permettant de développer ou réduire tous les nœuds ou les nœuds sélectionnés.
Activer tout | Active tous les éléments inactifs d’une variable de structure.
Activer | Active les éléments sélectionnés d’une variable de structure.
Désactiver | Désactive les éléments sélectionnés d’une variable de structure.
Exporter la sélection en XML... | Exporte les éléments sélectionnés sous forme de fichier XML.
Importer XML | Importe des variables à partir d’un fichier XML.
Importer/Exporter | Ouvre le menu d'importation et d'exportation de projets aux formats Step 7, dBase et CSV. Remarque : Pour plus d'informations, veuillez lire le chapitre Importation de projets Step 7 du manuel Importation et exportation.
Filtre étendu | Activer/Désactiver le filtre étendu L’activation ouvre la boîte de dialogue de sélection des critères de filtre.
Supprimer tous les filtres | Supprime tous les paramètres de filtre
Éditer cellule sélectionnée | Ouvre la cellule sélectionnée pour la modification. Le symbole représentant des jumelles dans l'en-tête indique la cellule sélectionnée dans une ligne affichée en surbrillance. Seules les cellules pouvant être modifiées peuvent être sélectionnées.
Remplacer un texte dans la colonne sélectionnée | Ouvre la boîte de dialogue de recherche et de remplacement de texte.
Remplacer le texte des valeurs limites | Ouvre la boîte de dialogue de sélection des propriétés dynamiques. Après avoir sélectionné une propriété, ouvrez la boîte de dialogue Rechercher/Remplacer en cliquant sur OK.
Propriétés | Ouvre la fenêtre de Propriétés.
Aide | Ouvre l'aide en ligne.

Menu contextuel

Élément de menu

Action

Nouvelle variable

Ouvre la boîte de dialogue de création d’une nouvelle variable.

Créer une fonction standard

Ouvre l’assistant de sélection des variables et des valeurs prescrites et crée une fonction correspondante. Cette action est consignée dans la fenêtre de sortie.

Éléments liés

Ouvre le sous-menu avec les éléments liés.

Utilisation des variables

Crée une analyse de projet pour les variables sélectionnées dans le projet actuel, et l’affiche sous forme de liste de résultats dans une fenêtre spécifique.

Affichage des variables inutilisées

Crée une analyse de projet pour les variables inutilisées dans le projet actuel, et l’affiche sous forme de liste de résultats dans une fenêtre spécifique.

Copier

Copie les entrées sélectionnées et vers le presse-papiers.

Coller

Insère le contenu du presse-papier. Si une entrée portant le même nom existe déjà, le contenu est collé sous le nom Copie de....

Supprimer

Après une demande de confirmation, supprime les entrées sélectionnées de la liste.

Développer/Réduire les nœuds

Permet de développer ou de réduire l’ensemble des nœuds ou les nœuds sélectionnés. Sélection :

  • Développer tout
  • Réduire tout
  • Étendre les objets sélectionnés
  • Réduire les éléments sélectionnés

Activer tout

Active tous les éléments inactifs d’une variable de structure.

Activer

Active les éléments sélectionnés d’une variable de structure.

Désactiver

Désactive les éléments sélectionnés d’une variable de structure.

Exporter la sélection en XML...

Exporte touts les entrées sélectionnées sous forme de fichier XML.

Importer XML

Importe des entrées à partir d'un fichier XML.

Importer/Exporter étendu

Ouvre le menu d'importation et d'exportation de projets aux formats Step 7, dBase et CSV.

Remarque : Pour plus d'informations, veuillez lire le chapitre Importation de projets Step 7 du manuel Importation et exportation.

Filtre étendu

Activer/Désactiver le filtre étendu

L’activation ouvre la boîte de dialogue de sélection des critères de filtre.

Supprimer tous les filtres

Supprime tous les paramètres de filtre

Éditer cellule sélectionnée

Ouvre la cellule sélectionnée pour la modification. Le symbole représentant des jumelles dans l'en-tête indique la cellule sélectionnée dans une ligne affichée en surbrillance. Seules les cellules pouvant être modifiées peuvent être sélectionnées.

Remplacer un texte dans la colonne sélectionnée

Ouvre la boîte de dialogue de recherche et de remplacement de texte.

Remplacer le texte des valeurs limites

Ouvre la boîte de dialogue de sélection des propriétés dynamiques. Après avoir sélectionné une propriété, ouvrez la boîte de dialogue Rechercher/Remplacer en cliquant sur OK.

Propriétés

Ouvre la fenêtre de Propriétés.

Aide

Ouvre l'aide en ligne.


Navigation dans la liste

Manuel -> Editor -> Gestionnaire de projet -> Vue de détail du gestionnaire de projet -> Navigation dans la liste

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Pour parcourir une liste :

  1. Cliquez sur la colonne dans laquelle vous souhaitez effectuer une recherche.
  2. Saisissez le premier caractère pour lancer la recherche. Si aucune entrée commençant par cette lettre n’existe, le système arrête immédiatement sa recherche.
  3. La première entrée trouvée est affichée. Un champ de saisie est affiché. Le premier caractère de texte de la colonne est sélectionné.
    Remarque : Vous pouvez uniquement saisir des critères de recherche dans ce champ. Il est impossible de modifier le nom de l’élément.
  4. Saisissez d’autres caractères pour limiter la recherche. Si aucune entrée correspondante n’est trouvée, le caractère saisi est rejeté et la sélection reste dans la position courante.
  5. Si plusieurs entrées existent pour le critère de recherche, l’utilisateur peut atteindre les entrées suivantes en appuyant sur la combinaison de touches Ctrl+touche fléchée vers le haut ou Ctrl+touche fléchée vers le bas.
  6. La touche Retour arrière permet d’effacer le dernier caractère des critères de recherche et de lancer une nouvelle recherche avec les caractères restants. Vous pouvez arrêter la recherche en supprimant le dernier caractère.

Tri

Vous pouvez sélectionner plusieurs colonnes simultanément pour trier la liste.

  1. Cliquez sur l’en-tête de la colonne contenant le premier critère de filtre.
  2. Maintenez la touche Maj enfoncée et cliquez sur l’intitulé de la colonne contenant le deuxième critère de tri.
  3. Vous pouvez ajouter autant de colonnes que vous le souhaitez.

    Par exemple : Le tri selon les blocs de données et l’offset affiche alors d’abord tous les blocs de données, puis toutes les adresses associées, correctement triées.

Conseil : Un deuxième clic souris sur la colonne trie la colonne dans l’ordre inverse.


Filtrer les entrées de liste

Manuel -> Editor -> Gestionnaire de projet -> Vue de détail du gestionnaire de projet -> Filtrer les entrées de liste

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Les éléments de la vue de détail peuvent être filtrés et triés en fonction de différents critères :

Méthode

Suite des actions

Tri alphabétique

Clic sur l’intitulé d’une colonne : La liste est triée en fonction de la colonne correspondante. Un deuxième clic sur l’intitulé de la colonne inverse l’ordre du tri.

Définir des critères de filtre

Juste sous l’intitulé de la colonne se trouve le champ de saisie des critères de filtre. Ici, vous pouvez saisir les critères de votre choix.

Si vous renseignez ce champ, seuls les éléments correspondant aux critères saisis seront affichés.

Pour afficher tous les objets à nouveau, vous devez supprimer les critères de filtre que vous avez spécifiés.

Si vous cliquez sur le champ de filtre d’une colonne, une liste déroulante s’affiche avec les derniers critères de filtres qui ont été définis sur cette colonne.

Filtre sur cases à cocher

Les listes comportant des cases à cocher (par exemple, les cadres) peuvent être triées et filtrées en fonction des cases à cocher actives et inactives.

Cela marche de la même façon que le tri alphabétique.

Vous trouverez une liste déroulante correspondant aux critères de filtre vous permettant de sélectionner les cases à cocher actives, inactives ou toutes les cases à cocher sous la cellule située sous l’intitulé de la colonne.

caractère générique

Plusieurs caractères génériques peuvent être utilisés pour la saisie de critères de filtre :

  • * remplace une série de caractères.
    Exemple : *1 filtre tous les éléments qui se terminent par le caractère 1, par exemple Variable1.
    Les opérateurs peuvent uniquement être utilisés comme préfixe ou suffixe.
  • ? remplace un caractère unique.
    Exemple : Variable? filtre tous les éléments qui commencent par la série de caractères variable et comportent un caractère supplémentaire, par ex. variable1, variable2, variable3...

Lien logique

Les expressions de filtre peuvent être associées aux expressions logiques AND et OR. Elles peuvent également être associées aux opérateurs (*), mais pas aux caractères de substitution (?).

Utiliser le contenu d’une cellule comme critère de filtre

Les mots ou les séries de caractères provenant d’une cellule dans la vue de détail peuvent être définis comme filtres :

  • Sélectionnez l’entrée de votre choix.
  • Maintenez la touche Alt enfoncée et cliquez sur la cellule.
  • L’entrée est alors proposée dans un champ d’édition.
  • Sélectionnez une chaîne de caractères à l’aide de la souris.
  • En maintenant le bouton gauche de la souris enfoncé (glisser-déplacer), déplacez la partie sélectionnée vers la ligne de filtre de l’intitulé de la colonne.
  • La chaîne de caractères sélectionnée devient le nouveau texte de filtre.

Filtrer les éléments liés.

Les éléments liés à l’élément actuel peuvent être affichés en sélectionnant l’option éléments liés. Si vous sélectionnez un élément dans la vue de détail via cette option, par exemple une variable, cet élément est affiché indépendamment des paramètres de filtre actuels. S’il n’est pas disponible dans le filtre actuel, il est affiché en fin de liste et sélectionné automatiquement.

Modifier les propriétés

Dès qu’un objet a été sélectionné dans la vue de détail ou été créé avec un menu contextuel, ses paramètres peuvent être définis et modifiés dans la fenêtre des propriétés.

Cette fenêtre autorise les sélections multiples. Si plusieurs objets ont été sélectionnés simultanément, vous pouvez modifier leurs propriétés ensemble.

Les entrées et les modifications apportées à la fenêtre des propriétés sont valides pour tous les objets sélectionnés. Les entrées existantes sont écrasées. La fenêtre des propriétés fournit désormais uniquement les propriétés valides pour tous les objets sélectionnés.

Filtres étendus pour variables

Il existe, pour les variables, une boîte de dialogue permettant d’affiner les filtres. Vous pouvez l’afficher en sélectionnant :

  • le symbole Activer filtre étendu dans la barre d’outils de la vue de détail ou
  • la commande Filtre étendu du menu contextuel

Ainsi, les filtres standard intègrent également les éléments Types de données, Options de filtre et Textes de filtre (nom de variable, identification, matrice de réaction).
  • Exécuter le filtrage : Appuyez sur la touche Entrée lorsque le curseur se trouve dans le champ de filtre pour exécuter le filtrage.
  • Supprimer le filtre : Pour supprimer le filtre, cliquez sur le bouton Supprimer tous les filtres de la barre d’outils, ou sélectionnez la commande Supprimer tous les filtres du menu contextuel.


Remplacer un texte dans la colonne sélectionnée

Manuel -> Editor -> Gestionnaire de projet -> Vue de détail du gestionnaire de projet -> Remplacer un texte dans la colonne sélectionnée

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

zenon propose une fonction Rechercher/Remplacer destinée aux chaînes de caractères (par ex. noms de synoptiques, noms de variables, identification des variables). Vous pouvez remplacer des textes dans les colonnes actives et les valeurs limites.

attention Attention

Les seuls textes pris en compte sont ceux qui se trouvent dans des structures ouvertes (variables ou types de données). Les structures fermées n’existent pas en tant que cible pour Editor, et doivent être développées avant la recherche.

Remplacer un texte dans la colonne sélectionnée :

  1. Ouvrez la boîte de dialogue en cliquant sur le symbole Remplacer le texte dans la colonne sélectionnée ou en sélectionnant l’option correspondante dans le menu contextuel.
  2. Définissez les paramètres de la fonction Chercher et remplacer dans la boîte de dialogue.
  3. Le remplacement a lieu dans la colonne active. Vous pouvez identifier la colonne active grâce au symbole représentant des jumelles situé sous l’intitulé de la colonne.

attention Attention

Si la fonction de changement de langue est utilisée pour l’identification de variables (l’utilisation est identifiable par la présence d’un caractère @), la propriété Montrer les mots-clé non-traduits doit être activée pour garantir la localisation et le remplacement corrects des entrées. Pour l’activer :

  • Accédez au nœud Apparence graphique dans les propriétés.
  • Cochez la case de la propriété Montrer les mots-clé non-traduits


Remplacer le texte des valeurs limites

Manuel -> Editor -> Gestionnaire de projet -> Vue de détail du gestionnaire de projet -> Remplacer le texte des valeurs limites

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Pour remplacer le texte des valeurs limites :

  • Ouvrez la boîte de dialogue en cliquant sur le symbole Remplacer le texte dans les valeurs limites ou en sélectionnant l’option correspondante dans le menu contextuel.
  • Choisissez la propriété dynamique souhaitée dans la fenêtre de sélection.

  • Vous voyez maintenant s’afficher la boîte de dialogue Remplacer le texte des valeurs limites.

attention Attention

Les seuls textes pris en compte sont ceux qui se trouvent dans des structures ouvertes (variables ou types de données). Les structures fermées n’existent pas en tant que cible pour Editor, et doivent être développées avant la recherche.


Afficher/masquer les colonnes

Manuel -> Editor -> Gestionnaire de projet -> Vue de détail du gestionnaire de projet -> Afficher/masquer les colonnes

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Vous pouvez afficher et masquer à votre convenance les colonnes disponibles dans la vue de détail?; vous pouvez les trier dans l’ordre de votre choix. Les paramètres suivants sont également accessibles par le biais des boîtes de dialogue d’appel de synoptique, pour certains synoptiques.

Afficher/masquer les colonnes

  1. Cliquez avec le bouton droit sur l’intitulé d’une colonne.
  2. Cliquez sur Sélectionner la colonne dans le menu contextuel.
  3. Dans la boîte de dialogue suivante, vous pouvez sélectionner ou désélectionner les colonnes :

    Vous pouvez sélectionner plusieurs colonnes en maintenant les touches Maj ou Ctrl enfoncées, comme vous le faites habituellement dans votre système d'exploitation.

  4. Colonnes disponibles dresse la liste de toutes les colonnes encore disponibles. Colonnes sélectionnées affiche la liste de toutes les colonnes actives.

Options | Fonction
Colonnes disponibles | Liste de colonnes pouvant être affichées dans la table.
Colonnes sélectionnées | Colonnes affichées dans la table.
Ajouter -> | Déplace la colonne sélectionnée des colonnes disponibles vers les éléments sélectionnés. Lorsque vous confirmez la boîte de dialogue en cliquant sur OK, ces colonnes sont affichées dans la vue de détail.
Ajouter toutes -> | Déplace toutes les colonnes disponibles vers les colonnes sélectionnées.
<- Supprimer | Supprime les colonnes marquées des éléments sélectionnés et les affiche dans la liste des colonnes disponibles. Lorsque vous confirmez la boîte de dialogue en cliquant sur OK, ces colonnes sont supprimées de la vue de détail.
<- Supprimer tout | Toutes les colonnes sont supprimées de la liste des colonnes sélectionnées.
Haut | Déplace l’entrée sélectionnée vers le haut. Cette fonction est uniquement disponible pour les entrées uniques?; les sélections multiples ne sont pas autorisées dans ce cas.
Bas | Déplace l’entrée sélectionnée vers le bas. Cette fonction est uniquement disponible pour les entrées uniques?; les sélections multiples ne sont pas autorisées dans ce cas.

Fermer boîte de dialogue

Options | Description :
OK | Applique les paramètres et ferme la boîte de dialogue.
Annuler | Annule toutes les modifications et ferme la boîte de dialogue.
Aide | Ouvre l'aide en ligne.

Organiser les colonnes

Vous pouvez réorganiser les colonnes selon vos besoins. Il existe deux possibilités pour cela.

  1. Dans la boîte de dialogue Paramétrage des colonnes, via les boutons Haut et Bas.
  2. Dans la vue de détail du Gestionnaire de projet, en effectuant un glisser-déplacer à l’aide de la souris :
    • Avec la souris, cliquez sur l’intitulé de la colonne de votre choix.
    • Maintenez le bouton gauche de la souris enfoncé.
    • Déplacez ensuite l’intitulé de colonne vers l’emplacement de votre choix. Deux flèches rouges indiquent l’emplacement auquel sera insérée la colonne.
    • Positionnez la colonne en relâchant le bouton de la souris.


Paramètres des colonnes

Manuel -> Editor -> Gestionnaire de projet -> Vue de détail du gestionnaire de projet -> Paramètres des colonnes

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Configuration des propriétés des colonnes pour les listes configurables. Les paramètres ont un effet sur la liste correspondante dans Editor ou, lors de la configuration d’un appel de synoptique, dans le Runtime.

Colonnes disponibles

Options | Description :
Colonnes disponibles | Liste de colonnes disponibles avec la fonction de sélection de colonnes. La configuration de la colonne sélectionnée se déroule via les options de la section Paramètres.

Paramètres

Option

Description :

Paramètres

Paramètres de la colonne sélectionnée.

Intitulé

Nom de l’intitulé de colonne.

Cet intitulé de colonne est compatible avec la fonction de changement de langue en ligne. Pour cela, le caractère @ doit être saisi devant le nom.

Largeur

Largeur de la colonne en caractères.
Calcul : nombre de caractères multiplié par la largeur moyenne des caractères de la police sélectionnée.

Alignement

Alignement. La sélection de l'attribution s'effectue au moyen des cases d'option.

Paramètres possibles :

  • Gauche : Le texte est justifié contre le bord gauche de la colonne.
  • Centré : Le texte est centré dans la colonne.
  • Droite : Le texte est justifié contre le bord droit de la colonne.

Couleurs définies par l'utilisateur

Propriétés permettant de sélectionner des couleurs définies par l’utilisateur pour le texte et l’arrière-plan. Les paramètres ont une incidence dans Editor et dans le Runtime.

Remarque :

  • Ces paramètres sont uniquement disponibles pour les listes configurables.
  • En outre, le focus correspondant dans la liste peut être indiqué par différentes couleurs de texte et d’arrière-plan dans le Runtime. Celles-ci sont configurées dans les propriétés du projet.

Couleurs définies par l’utilisateur

Active : Les couleurs définies par l’utilisateur sont appliquées.

Couleur du texte

Couleur d’affichage du texte. Cliquez sur la couleur pour la palette de sélection de couleurs.

Couleur d'arrière-plan

Couleur d’affichage de l’arrière-plan de la cellule. Cliquez sur la couleur pour la palette de sélection de couleurs.

Désactiver le filtre de colonnes dans le Runtime
  • Active : Le filtre de cette colonne ne peut pas être modifié dans le Runtime.

Remarque : Uniquement disponible pour :

  • Batch Control
  • Extended Trend
  • Synoptiques de filtre
  • Message Control
  • Gestionnaire de groupe de recettes (Recipe Group Manager)
  • Gestion d'équipes
  • Liste contextuelle

Fermer boîte de dialogue

Options | Description :
OK | Applique toutes les modifications effectuées sur tous les onglets, puis ferme la boîte de dialogue.
Annuler | Annule toutes les modifications effectuées sur tous les onglets, puis ferme la boîte de dialogue.
Aide | Ouvre l'aide en ligne.


Fichiers

Manuel -> Editor -> Gestionnaire de projet -> Fichiers

Les fichiers externes peuvent être intégrés à un projet dans le gestionnaire de projet via le nœud Fichiers. Un programme externe doit être utilisé pour l’édition des fichiers externes. Ceci signifie : Vous pouvez par exemple intégrer un clip vidéo. Toutefois, vous devez disposer du logiciel adéquat pour l’éditer. zenon ne fait que gérer ces fichiers.

Les fichiers externes suivants sont disponibles :

  • Graphiques
  • Aide
  • Multimédia
  • Textes et formats
  • Drivers
  • Report Viewer
  • Autres

Sous-dossiers

Vous pouvez créer des sous-dossiers dans les nœuds Aide, Listes, Multimédia et Autres. Sélectionnez l’entrée Nouveau dossier dans le menu contextuel. L’utilisation des sous-dossiers vous permet également de changer la langue du Runtime utilisée pour les documents.

attention Attention

Les sous-dossiers sont uniquement adaptés à l’organisation de la fonction de changement de langue. Tous les autres éléments tels que les éléments graphiques, les fichiers multimédia, etc. doivent toujours être conservés au niveau hiérarchique supérieur du dossier, car ils ne sont pas accessibles par zenon s’ils se trouvent dans des sous-dossiers.

Menu contextuel

Élément de menu | Action
Importer un fichier graphique | Ouvre le gestionnaire de fichiers et vous permet de sélectionner un fichier.
Importer une table de langues | Ouvre le gestionnaire de fichiers et vous permet de sélectionner un fichier.
Importer un fichier d’aide | Ouvre le gestionnaire de fichiers et vous permet de sélectionner un fichier.
Importer un fichier multimédia | Ouvre le gestionnaire de fichiers et vous permet de sélectionner un fichier.
Importer un fichier de liste | Ouvre le gestionnaire de fichiers et vous permet de sélectionner un fichier.
Importer des données de driver | Ouvre le gestionnaire de fichiers et vous permet de sélectionner un fichier.
Importer un modèle de rapport | Ouvre le gestionnaire de fichiers et vous permet de sélectionner un fichier.
Importer un autre fichier | Ouvre le gestionnaire de fichiers et vous permet de sélectionner un fichier.
Aide | Ouvre l'aide en ligne.

Autres sujets abordés dans ce chapitre

Graphiques

Aide

Multimédia

Textes et formats

Drivers

Report Viewer

Autres


Graphiques

Manuel -> Editor -> Gestionnaire de projet -> Fichiers -> Graphiques

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Fichiers graphiques pour les graphiques d’arrière-plan dans les synoptiques, générateur de rapport ou pour éléments dynamiques (bouton, commutation, élément combiné).

Les formats suivants sont disponibles :

Éléments graphiques pixellisés

  • *.bmp
  • *.gif
  • *.jpg
  • *.png
  • *.tif
    Remarque : Indisponible pour l’élément combiné et le générateur de rapport.

Graphiques vectoriels

  • *.wmf
  • *.Xaml Remarque : Disponible uniquement pour l’élément WPF?! Les fichiers XAML ne peuvent être prévisualisés dans la vue de détail?!

Menu contextuel

Élément de menu | Action
Ajouter un fichier | Ouvre le gestionnaire de fichiers et vous permet de sélectionner un fichier.
Nouveau dossier | Insère un nouveau sous-dossier.
Renommer le dossier | Permet de renommer les sous-dossiers que vous avez créés.
Supprimer le dossier | Supprime le dossier que vous avez créé après affichage d’un message confirmation.
Profil Editor | Ouvre la liste déroulante contenant les profils Editor prédéfinis.
Aide | Ouvre l'aide en ligne.

Autres sujets abordés dans ce chapitre

Barre d’outils et menu contextuel Éléments graphiques


Barre d’outils et menu contextuel Éléments graphiques

Manuel -> Editor -> Gestionnaire de projet -> Fichiers -> Graphiques -> Barre d’outils et menu contextuel Éléments graphiques

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Menu contextuel Graphiques

Élément de menu | Action
Ajouter un fichier | Ouvre le gestionnaire de fichiers et vous permet de sélectionner un fichier.
Ouvrir le fichier dans un programme externe | Ouvre le programme par défaut de votre système d’exploitation pour vous permettre d’éditer le fichier sélectionné.
Ouvrir le fichier dans un programme externe... | Ouvre une liste de programmes adaptés à l’édition du fichier sélectionné.
Copier | Copie les entrées sélectionnées et vers le presse-papiers.
Coller | Insère le contenu du presse-papier. Si une entrée portant le même nom existe déjà, le contenu est collé sous le nom Copie de....
Supprimer | Après une demande de confirmation, supprime les entrées sélectionnées de la liste.
Éditer cellule sélectionnée | Ouvre la cellule sélectionnée pour la modification. Le symbole représentant des jumelles dans l'en-tête indique la cellule sélectionnée dans une ligne affichée en surbrillance. Seules les cellules pouvant être modifiées peuvent être sélectionnées.
Remplacer un texte dans la colonne sélectionnée | Ouvre la boîte de dialogue de recherche et de remplacement de texte.
Propriétés | Ouvre la fenêtre de Propriétés.
Supprimer tous les filtres | Supprime tous les paramètres de filtre
Aide | Ouvre l'aide en ligne.


Aide

Manuel -> Editor -> Gestionnaire de projet -> Fichiers -> Aide

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Le dossier dans lequel se trouvent les fichiers de l’aide du Runtime pour ce projet. Ces fichiers sont enregistrés au format *.chm.

Menu contextuel

Élément de menu | Action
Ajouter un fichier | Ouvre le gestionnaire de fichiers et vous permet de sélectionner un fichier.
Nouveau dossier | Insère un nouveau sous-dossier.
Renommer le dossier | Permet de renommer les sous-dossiers que vous avez créés.
Supprimer le dossier | Supprime le dossier que vous avez créé après affichage d’un message confirmation.
Profil Editor | Ouvre la liste déroulante contenant les profils Editor prédéfinis.
Aide | Ouvre l'aide en ligne.

Autres sujets abordés dans ce chapitre

Barre d’outils et menu contextuel Aide


Barre d’outils et menu contextuel Aide

Manuel -> Editor -> Gestionnaire de projet -> Fichiers -> Aide -> Barre d’outils et menu contextuel Aide

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Menu contextuel Aide

Élément de menu | Action
Ajouter un fichier | Ouvre le gestionnaire de fichiers et vous permet de sélectionner un fichier.
Ouvrir le fichier dans un programme externe | Ouvre le programme par défaut de votre système d’exploitation pour vous permettre d’éditer le fichier sélectionné.
Ouvrir le fichier dans un programme externe... | Ouvre une liste de programmes adaptés à l’édition du fichier sélectionné.
Copier | Copie les entrées sélectionnées et vers le presse-papiers.
Coller | Insère le contenu du presse-papier. Si une entrée portant le même nom existe déjà, le contenu est collé sous le nom Copie de....
Supprimer | Après une demande de confirmation, supprime les entrées sélectionnées de la liste.
Éditer cellule sélectionnée | Ouvre la cellule sélectionnée pour la modification. Le symbole représentant des jumelles dans l'en-tête indique la cellule sélectionnée dans une ligne affichée en surbrillance. Seules les cellules pouvant être modifiées peuvent être sélectionnées.
Remplacer un texte dans la colonne sélectionnée | Ouvre la boîte de dialogue de recherche et de remplacement de texte.
Propriétés | Ouvre la fenêtre de Propriétés.
Supprimer tous les filtres | Supprime tous les paramètres de filtre
Aide | Ouvre l'aide en ligne.


Multimédia

Manuel -> Editor -> Gestionnaire de projet -> Fichiers -> Multimédia

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Les formats audio et vidéo suivants peuvent être mis en œuvre :

  • *.avi
  • *.mp3
  • *.mpeg
  • *.wav

Gardez à l’esprit que les codecs appropriés doivent être installés sur le périphérique Runtime pour que vous puissiez lire les fichiers audio et vidéo.

Menu contextuel

Élément de menu | Action
Ajouter un fichier | Ouvre le gestionnaire de fichiers et vous permet de sélectionner un fichier.
Nouveau dossier | Insère un nouveau sous-dossier.
Renommer le dossier | Permet de renommer les sous-dossiers que vous avez créés.
Supprimer le dossier | Supprime le dossier que vous avez créé après affichage d’un message confirmation.
Profil Editor | Ouvre la liste déroulante contenant les profils Editor prédéfinis.
Aide | Ouvre l'aide en ligne.

Autres sujets abordés dans ce chapitre

Barre d’outils et menu contextuel Multimédia


Barre d’outils et menu contextuel Multimédia

Manuel -> Editor -> Gestionnaire de projet -> Fichiers -> Multimédia -> Barre d’outils et menu contextuel Multimédia

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Menu contextuel Multimédia

Élément de menu | Action
Ajouter un fichier | Ouvre le gestionnaire de fichiers et vous permet de sélectionner un fichier.
Ouvrir le fichier dans un programme externe | Ouvre le programme par défaut de votre système d’exploitation pour vous permettre d’éditer le fichier sélectionné.
Ouvrir le fichier dans un programme externe... | Ouvre une liste de programmes adaptés à l’édition du fichier sélectionné.
Copier | Copie les entrées sélectionnées et vers le presse-papiers.
Coller | Insère le contenu du presse-papier. Si une entrée portant le même nom existe déjà, le contenu est collé sous le nom Copie de....
Supprimer | Après une demande de confirmation, supprime les entrées sélectionnées de la liste.
Éditer cellule sélectionnée | Ouvre la cellule sélectionnée pour la modification. Le symbole représentant des jumelles dans l'en-tête indique la cellule sélectionnée dans une ligne affichée en surbrillance. Seules les cellules pouvant être modifiées peuvent être sélectionnées.
Remplacer un texte dans la colonne sélectionnée | Ouvre la boîte de dialogue de recherche et de remplacement de texte.
Propriétés | Ouvre la fenêtre de Propriétés.
Supprimer tous les filtres | Supprime tous les paramètres de filtre
Aide | Ouvre l'aide en ligne.


Textes et formats

Manuel -> Editor -> Gestionnaire de projet -> Fichiers -> Textes et formats

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Les textes et formats sont :

  • Fichiers texte destinés à être affichés dans le projet
    Extension de fichier : .txt
  • Fichiers de format utilisés pour la mise en forme d’impressions
    Extension de fichier : .frm
  • Fichiers HTML affichés dans les synoptiques au format HTML
    Extension de fichier : .htm ou .html

Menu contextuel

Élément de menu | Action
Ajouter un fichier | Ouvre le gestionnaire de fichiers et vous permet de sélectionner un fichier.
Nouveau dossier | Insère un nouveau sous-dossier.
Renommer le dossier | Permet de renommer les sous-dossiers que vous avez créés.
Supprimer le dossier | Supprime le dossier que vous avez créé après affichage d’un message confirmation.
Profil Editor | Ouvre la liste déroulante contenant les profils Editor prédéfinis.
Aide | Ouvre l'aide en ligne.

Autres sujets abordés dans ce chapitre

Barres d’outils et menu contextuel Texte


Barres d’outils et menu contextuel Texte

Manuel -> Editor -> Gestionnaire de projet -> Fichiers -> Textes et formats -> Barres d’outils et menu contextuel Texte

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Les textes et formats des menus contextuels

Élément de menu | Action
Ajouter un fichier | Ouvre le gestionnaire de fichiers et vous permet de sélectionner un fichier.
Ouvrir le fichier dans un programme externe | Ouvre le programme par défaut de votre système d’exploitation pour vous permettre d’éditer le fichier sélectionné.
Ouvrir le fichier dans un programme externe... | Ouvre le fichier sélectionné avec l’éditeur correspondant au format du fichier ou offre une sélection d’éditeurs pouvant être utilisés.
Copier | Copie les entrées sélectionnées et vers le presse-papiers.
Coller | Insère le contenu du presse-papier. Si une entrée portant le même nom existe déjà, le contenu est collé sous le nom Copie de....
Supprimer | Après une demande de confirmation, supprime les entrées sélectionnées de la liste.
Éditer cellule sélectionnée | Ouvre la cellule sélectionnée pour la modification. Le symbole représentant des jumelles dans l'en-tête indique la cellule sélectionnée dans une ligne affichée en surbrillance. Seules les cellules pouvant être modifiées peuvent être sélectionnées.
Remplacer un texte dans la colonne sélectionnée | Ouvre la boîte de dialogue de recherche et de remplacement de texte.
Propriétés | Ouvre la fenêtre de Propriétés.
Supprimer tous les filtres | Supprime tous les paramètres de filtre
Aide | Ouvre l'aide en ligne.


Drivers

Manuel -> Editor -> Gestionnaire de projet -> Fichiers -> Drivers

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Les fichiers de drivers peuvent être mis en œuvre aux formats suivants :

  • *.cfg
  • *.iso
  • *.tcp
  • *.bur
  • *.fms
  • *.bec
  • *.ovd
  • *.nmp
  • *.ini
  • *.h11
  • *.lst
  • *.dde
  • *.lon
  • *.opc
  • *.ecs

Il n’est généralement pas nécessaire de les saisir ici. Les fichiers sont créés automatiquement lors de la création d’un driver et sont enregistrés ici.

Menu contextuel

Élément de menu | Action
Ajouter un fichier | Ouvre le gestionnaire de fichiers et vous permet de sélectionner un fichier.
Nouveau dossier | Insère un nouveau sous-dossier.
Renommer le dossier | Permet de renommer les sous-dossiers que vous avez créés.
Supprimer le dossier | Supprime le dossier que vous avez créé après affichage d’un message confirmation.
Profil Editor | Ouvre la liste déroulante contenant les profils Editor prédéfinis.
Aide | Ouvre l'aide en ligne.

Autres sujets abordés dans ce chapitre

Barre d’outils et menu contextuel Driver


Barre d’outils et menu contextuel Driver

Manuel -> Editor -> Gestionnaire de projet -> Fichiers -> Drivers -> Barre d’outils et menu contextuel Driver

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Menu contextuel Drivers

Élément de menu | Action
Ajouter un fichier | Ouvre le gestionnaire de fichiers et vous permet de sélectionner un fichier.
Ouvrir le fichier dans un programme externe | Ouvre le programme par défaut de votre système d’exploitation pour vous permettre d’éditer le fichier sélectionné.
Ouvrir le fichier dans un programme externe... | Ouvre une liste de programmes adaptés à l’édition du fichier sélectionné.
Copier | Copie les entrées sélectionnées et vers le presse-papiers.
Coller | Insère le contenu du presse-papier. Si une entrée portant le même nom existe déjà, le contenu est collé sous le nom Copie de....
Supprimer | Après une demande de confirmation, supprime les entrées sélectionnées de la liste.
Éditer cellule sélectionnée | Ouvre la cellule sélectionnée pour la modification. Le symbole représentant des jumelles dans l'en-tête indique la cellule sélectionnée dans une ligne affichée en surbrillance. Seules les cellules pouvant être modifiées peuvent être sélectionnées.
Remplacer un texte dans la colonne sélectionnée | Ouvre la boîte de dialogue de recherche et de remplacement de texte.
Propriétés | Ouvre la fenêtre de Propriétés.
Supprimer tous les filtres | Supprime tous les paramètres de filtre
Aide | Ouvre l'aide en ligne.


Report Viewer

Manuel -> Editor -> Gestionnaire de projet -> Fichiers -> Report Viewer

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Les modèles de rapports sont des fichiers au format RDL 2.0 et peuvent être ouverts, affichés et édités dans zenon, via le module Report Viewer.

Menu contextuel

Élément de menu | Action
Ajouter un fichier | Ouvre le gestionnaire de fichiers afin d’autoriser la sélection d’un fichier de définition de rapports.
Nouveau dossier | Insère un nouveau sous-dossier.
Renommer le dossier | Permet de renommer les sous-dossiers que vous avez créés.
Supprimer le dossier | Supprime le dossier que vous avez créé après affichage d’un message confirmation.
Profil Editor | Ouvre la liste déroulante contenant les profils Editor prédéfinis.
Aide | Ouvre l'aide en ligne.

Remarque : présent uniquement si les modules Report Generator et Report Viewer comportent une licence.
Indisponible si l’option Projet Windows CE (propriétés du projet Général) est active.

Autres sujets abordés dans ce chapitre

Barre d’outils et menu contextuel Report Viewer


Barre d’outils et menu contextuel Report Viewer

Manuel -> Editor -> Gestionnaire de projet -> Fichiers -> Report Viewer -> Barre d’outils et menu contextuel Report Viewer

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Menu contextuel de modèle de rapport

Élément de menu | Action
Nouveau fichier de définition de rapport | Ouvre la boîte de dialogue de création d’un nouveau fichier RDL sur la base des jeux de données précédemment définis.
Ouvrir un fichier de définition de rapport | Ouvre le programme associé aux fichiers RFL, autorisant l’édition d’un fichier de définition existant. Par défaut, zenon recherche d’abord MS Report Builder, puis MS Report Designer.
Créer une fonction standard | Disponible uniquement dans la barre d’outils. Crée un appel de synoptique autorisant la sélection d’un synoptique de type Report Viewer, puis insère le fichier RDL sélectionné dans le Fichier de définition de rapport.
Retour à l'élément de départ | Avec les éléments liés, revient à l’élément depuis lequel le modèle de rapport a été ouvert. Uniquement présent dans le menu contextuel si des éléments liés sont présents.
Copier | Copie les entrées sélectionnées et vers le presse-papiers.
Coller | Insère le contenu du presse-papier. Si une entrée portant le même nom existe déjà, le contenu est collé sous le nom Copie de....
Supprimer | Après une demande de confirmation, supprime les entrées sélectionnées de la liste.
Importer un fichier de définition de rapport | Ouvre une boîte de dialogue permettant d’importer des fichiers de définition de rapport existants. Ces fichiers doivent être au format RDL 2.0.
Supprimer tous les filtres | Supprime tous les paramètres de filtre
Éditer cellule sélectionnée | Ouvre la cellule sélectionnée pour la modification. Le symbole représentant des jumelles dans l'en-tête indique la cellule sélectionnée dans une ligne affichée en surbrillance. Seules les cellules pouvant être modifiées peuvent être sélectionnées.
Remplacer un texte dans la colonne sélectionnée | Ouvre la boîte de dialogue de recherche et de remplacement de texte.
Propriétés | Ouvre la fenêtre de Propriétés.
Aide | Ouvre l'aide en ligne.


Autres

Manuel -> Editor -> Gestionnaire de projet -> Fichiers -> Autres

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Dossier de stockage de tout autre type de fichier.

Menu contextuel

Élément de menu | Action
Ajouter un fichier | Ouvre le gestionnaire de fichiers et vous permet de sélectionner un fichier.
Nouveau dossier | Insère un nouveau sous-dossier.
Renommer le dossier | Permet de renommer les sous-dossiers que vous avez créés.
Supprimer le dossier | Supprime le dossier que vous avez créé après affichage d’un message confirmation.
Profil Editor | Ouvre la liste déroulante contenant les profils Editor prédéfinis.
Aide | Ouvre l'aide en ligne.

Autres sujets abordés dans ce chapitre

Barre d’outils et menu contextuel Autres


Barre d’outils et menu contextuel Autres

Manuel -> Editor -> Gestionnaire de projet -> Fichiers -> Autres -> Barre d’outils et menu contextuel Autres

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Menu contextuel Autres

Élément de menu | Action
Importer le fichier | Ouvre le gestionnaire de fichiers et vous permet de sélectionner un fichier.
Ouvrir le fichier dans un programme externe | Ouvre le programme par défaut de votre système d’exploitation pour vous permettre d’éditer le fichier sélectionné.
Ouvrir le fichier dans un programme externe... | Ouvre une liste de programmes adaptés à l’édition du fichier sélectionné.
Retour à l'élément de départ | Jumps back to the initial position in the zenon Editor. Remarque : This context menu entry is only available if a jump to the current position has been made from another position with the Linked elements context menu entry.
Copier | Copie les entrées sélectionnées et vers le presse-papiers.
Coller | Insère le contenu du presse-papier. Si une entrée portant le même nom existe déjà, le contenu est collé sous le nom Copie de....
Supprimer | Après une demande de confirmation, supprime les entrées sélectionnées de la liste.
Supprimer tous les filtres | Supprime tous les paramètres de filtre
Éditer cellule sélectionnée | Ouvre la cellule sélectionnée pour la modification. Le symbole représentant des jumelles dans l'en-tête indique la cellule sélectionnée dans une ligne affichée en surbrillance. Seules les cellules pouvant être modifiées peuvent être sélectionnées.
Remplacer un texte dans la colonne sélectionnée | Ouvre la boîte de dialogue de recherche et de remplacement de texte.
Propriétés | Ouvre la fenêtre de Propriétés.
Aide | Ouvre l'aide en ligne.


Bibliothèque générale de symboles

Manuel -> Editor -> Gestionnaire de projet -> Bibliothèque générale de symboles

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

zenon comporte des éléments graphiques prédéfinis. Ils sont enregistrés dans le module Bibliothèque générale de symboles. Les symboles du dossier Synoptiques peuvent uniquement être utilisés pour le synoptique actuel?; les symboles de la bibliothèque générale de symboles peuvent être utilisés dans tous les projets.

Vous pouvez également créer vos propres symboles ou groupes de symboles ou les lier. Vous trouvez plus de détails au chapitre Synoptiques/Symboles.


Boîtes de dialogue de sélection

Manuel -> Editor -> Gestionnaire de projet -> Boîtes de dialogue de sélection

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Dans zenon, les boîtes de dialogue de sélection et les listes filtrées permettent de sélectionner des éléments spécifiques. Ces modes de sélection sont valides pour l’ensemble du système, et recensent les projets et sous-projets actuels. Elles sont disponibles pour :

  • Variables d'archives
  • Utilisateur
  • Groupes d'utilisateurs
  • Synoptiques
  • Fichiers
  • Types de données
  • Synoptiques de filtre
  • Fonctions
  • Cadres
  • Drivers
  • Variables

Des informations détaillées concernant les vues sont disponibles au chapitre Vue de détail du gestionnaire de projet, et des informations détaillées concernant le filtrage de listes sont disponibles au chapitre Filtrer les entrées de liste.

Des informations détaillées concernant les boîtes de dialogue de sélection des fonctions et variables et le remplacement des fonctions ou variables choisies sont disponibles aux sous-chapitres suivants :

  • Fonctions
  • Variables

Autres sujets abordés dans ce chapitre

Variables d'archives

User selection: individual user

Groupes d'utilisateurs

Synoptiques

Fichiers

Types de données

Synoptiques de filtre

Fonctions

Gabarits

Drivers

Variables


Variables d'archives

Manuel -> Editor -> Gestionnaire de projet -> Boîtes de dialogue de sélection -> Variables d'archives

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Pour sélectionner les variables d’une archive, une boîte de dialogue permettant de sélectionner l’ensemble des archives préalablement créées et configurées est disponible.

Remarque : Les variables peuvent également être utilisées dans l’ensemble des projets. Lors de la sélection dans l’ensemble d’un projet, assurez-vous que les projets correspondants sont disponibles dans le Runtime.

Liaison de variables

Pour sélectionner des variables :

  1. Sélectionnez l'archive souhaitée
  2. Ouvrez l’arborescence des archives.
  3. Ouvrez la liste de variables.
  4. Sélectionnez les variables de votre choix.

Paramètre

Description

Arborescence du projet

Sélection du projet à partir duquel la variable doit être sélectionnée.

Volet de sélection

Sélection des variables devant être liées. Elle peut être liée de deux manières :

  • En double-cliquant sur la variable souhaitée
  • En sélectionnant les variables souhaitées, puis en cliquant sur Coller ou Remplacer

Coller

Ajoute la variable sélectionnée dans la fenêtre de sélection à la liste de variables.

Remplacement

Ajoute les variables sélectionnées dans la fenêtre de sélection à la liste de variables et remplace également les variables dans cette liste. Si plusieurs variables ont été sélectionnées dans la fenêtre de sélection, la dernière variable sélectionnée est ajoutée.

Supprimer

Supprime la variable sélectionnée de la liste de variables.

Liste de variables

Liste des variables sélectionnées pour la liaison.

OK

Applique les paramètres et ferme la boîte de dialogue.

Annuler

Discards all changes and closes the dialog.

Aide

Ouvre l'aide en ligne.

Remarque : Vous pouvez ajuster la taille de cette boîte de dialogue. La position et la taille de la fenêtre de la boîte de dialogue sont enregistrées dans Editor, dans le Runtime et dans zenon Web Client, indépendamment du projet.


User selection: individual user

Manuel -> Editor -> Gestionnaire de projet -> Boîtes de dialogue de sélection -> User selection: individual user

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

In the user selection dialog, you select a user in Runtime for use in another module.

Pour sélectionner un utilisateur :

  1. Sélectionnez le driver souhaité dans la liste de projets actuels.
  2. Confirmez les paramètres en cliquant sur OK.

    L'utilisateur est ajoutée

Boîte de dialogue de sélection des utilisateurs

Option | Description
Liste des espaces de travail | Affichage et sélection des projets depuis lesquels des utilisateurs peuvent être sélectionnés.
Liste des utilisateurs | Affichage des utilisateurs des projets sélectionnés. La liste peut être filtrée.
Aucun utilisateur sélectionné | Tout utilisateur déjà sélectionné est désélectionné.

Fermer boîte de dialogue

Options | Description :
OK | Applique les paramètres et ferme la boîte de dialogue.
Annuler | Annule toutes les modifications et ferme la boîte de dialogue.
Aide | Ouvre l'aide en ligne.


Groupes d'utilisateurs

Manuel -> Editor -> Gestionnaire de projet -> Boîtes de dialogue de sélection -> Groupes d'utilisateurs

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Sélection des groupes d'utilisateurs.

Option | Description :
Liste des espaces de travail | Affichage et sélection des projets depuis lesquels des groupes d’utilisateurs peuvent être sélectionnés.
Liste des groupes d'utilisateurs | Affichage des groupes d’utilisateurs des projets sélectionnés. La liste peut être filtrée.
Aucune sélection | Tout groupe d’utilisateurs déjà sélectionné est désélectionné.

Fermer boîte de dialogue

Options | Description :
OK | Applique les paramètres et ferme la boîte de dialogue.
Annuler | Annule toutes les modifications et ferme la boîte de dialogue.
Aide | Ouvre l'aide en ligne.


Synoptiques

Manuel -> Editor -> Gestionnaire de projet -> Boîtes de dialogue de sélection -> Synoptiques

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Dans la boîte de dialogue de sélection de synoptique, des synoptiques peuvent être sélectionnés pour l’exécution de fonctions parmi les éléments suivants :

  • Projet actuel
  • Sous-projets
  • Tous les projets de l’espace de travail dans lesquels l’option Garder projet en mémoire est active

Paramètres | Description
Fenêtre d’arborescence des projets | Affiche tous les projets dans l’espace de travail. Les synoptiques peuvent être sélectionnés dans le projet actuel et dans tous les projets dans lesquels l’option Garder projet en mémoire est active.
Fenêtre d’affichage des synoptiques | Sélection du synoptique. Si plusieurs synoptiques sont sélectionnés, le premier synoptique affiché dans la liste est utilisé pour l’exécution de la fonction.
Pas de sélection | Supprime la sélection et ferme la boîte de dialogue.
OK | Applique les paramètres et ferme la boîte de dialogue.
Annuler | Discards all changes and closes the dialog.
Aide | Ouvre l'aide en ligne.


Fichiers

Manuel -> Editor -> Gestionnaire de projet -> Boîtes de dialogue de sélection -> Fichiers

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Dans le dialogue de sélection des Fichiers, on peut sélectionner les fichiers du projet ou des sous-projets actuels à travers une vue pouvant être filtrée.

  • Si les fichiers souhaités dans les nœuds Fichiers/Graphiques ne sont pas encore présents dans le gestionnaire de projet, vous pouvez les ajouter depuis la boîte de dialogue de sélection.
  • Pour pouvoir sélectionner directement un fichier dans un dossier de l’ordinateur, la propriété Sélection directe du fichier doit être activée.


Types de données

Manuel -> Editor -> Gestionnaire de projet -> Boîtes de dialogue de sélection -> Types de données

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Dans la boîte de dialogue Types de données, on peut sélectionner les types de données du projet ou des sous-projets actuels à travers une vue pouvant être filtrée.


Synoptiques de filtre

Manuel -> Editor -> Gestionnaire de projet -> Boîtes de dialogue de sélection -> Synoptiques de filtre

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Lors de l’appel d’un synoptique (par ex. filtre de liste AML ou filtre de liste CEL, filtre de temps) depuis un synoptique comportant un filtre, une boîte de dialogue de sélection de synoptique s’affiche, permettant d’effectuer les opérations suivantes :

  • Synoptique exécutant l’appel
  • Synoptiques devant être mis à jour

Sélection du synoptique à appeler

Paramètre | Description
Fenêtre d’arborescence des projets | Affiche le projet actuel. Seuls les synoptiques de ce projet peuvent être sélectionnés.
Fenêtre d’affichage des synoptiques | Sélection du synoptique. Si plusieurs synoptiques sont sélectionnés, le synoptique appelé est le premier synoptique sélectionné.
Aucune sélection | Aucune fonction pour cette sélection de synoptique.
OK | Applique les paramètres et ferme la boîte de dialogue.
Annuler | Annule toutes les modifications et ferme la boîte de dialogue.
Aide | Ouvre l'aide en ligne.

Sélection du synoptique à mettre à jour

Paramètre

Description

Fenêtre d’arborescence des projets

Affiche le projet actuel.

Seuls les synoptiques de ce projet peuvent être sélectionnés.

Fenêtre d’affichage des synoptiques

Sélectionnez les synoptiques que vous souhaitez mettre à jour.

Les sous-synoptiques de cadrans peuvent être sélectionnés pour les appels de synoptiques de type Filtre de liste AML, Filtre de liste CEL, Filtre de temps et Modèle d’équipement. Pour ces synoptiques, le nom du synoptique du cadran est affiché devant le sous-synoptique, afin de le distinguer clairement des autres synoptiques.

Une sélection multiple est possible. Pour ajouter un synoptique, double-cliquez dessus ou cliquez sur le bouton Ajouter.

Fenêtre de sélection

Dresse la liste de tous les synoptiques sélectionnés

Ajouter

Ajoute les éléments sélectionnés dans la fenêtre des synoptiques à la fenêtre de sélection.

Supprimer

Supprime les éléments sélectionnés de la fenêtre de sélection.

Aucune sélection

Supprime tous les synoptiques actuellement liés.

OK

Applique les paramètres et ferme la boîte de dialogue.

Annuler

Annule toutes les modifications et ferme la boîte de dialogue.

Aide

Ouvre l'aide en ligne.


Fonctions

Manuel -> Editor -> Gestionnaire de projet -> Boîtes de dialogue de sélection -> Fonctions

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Une boîte de dialogue filtrée s’affiche pour vous permettre de sélectionner les fonctions :

Élément

Description

Arbre du projet

Définition du projet à partir duquel la fonction doit être sélectionnée.

Volet de sélection

Sélection de la fonction.

Pas de sélection

Selon l’élément :

  • le dialogue est annulé
  • Les fonctions déjà liées sont supprimées.

Conseil : Vous pouvez ajuster la taille de cette boîte de dialogue. La taille et la position de la boîte de dialogue sont enregistrées.

Modifier une fonction liée

  1. manuellement
    • Dans la vue de détail du gestionnaire de projet, ouvrez les fonctions concernées.
    • Faites glisser la fonction de votre choix sur l’élément tout en maintenant le bouton gauche de la souris enfoncé.
    • La nouvelle fonction se substitue à la fonction précédente.
  2. Automatique
    • Sélectionnez l’entrée Remplacer les liens du menu contextuel. Pour plus de détails, reportez-vous au chapitre Substitution de variables dans les éléments dynamiques.


Gabarits

Manuel -> Editor -> Gestionnaire de projet -> Boîtes de dialogue de sélection -> Gabarits

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Dans la boîte de dialogue de sélection de cadre, des cadres peuvent être sélectionnés pour l’exécution de fonctions parmi les éléments suivants :

  • Projet actuel
  • Sous-projets
  • Tous les projets de l’espace de travail dans lesquels l’option Garder projet en mémoire est active

Paramètres | Description
Fenêtre d’arborescence des projets | Affiche tous les projets dans l’espace de travail. Les cadres peuvent être sélectionnés dans le projet actuel et dans tous les projets dans lesquels l’option Garder projet en mémoire est active.
Fenêtre de cadres | Sélection d’un cadre. Si plusieurs cadres sont sélectionnés, le cadre affiché au début de la liste est utilisé pour exécuter la fonction.
Aucune sélection | Supprime la sélection et ferme la boîte de dialogue.
OK | Applique les paramètres et ferme la boîte de dialogue.
Annuler | Discards all changes and closes the dialog.
Aide | Ouvre l'aide en ligne.


Drivers

Manuel -> Editor -> Gestionnaire de projet -> Boîtes de dialogue de sélection -> Drivers

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Dans la boîte de dialogue de sélection des Drivers, on peut sélectionner les drivers du projet ou des sous-projets actuels à travers une vue dans laquelle peuvent être filtrés les éléments suivants :


Variables

Manuel -> Editor -> Gestionnaire de projet -> Boîtes de dialogue de sélection -> Variables

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Une boîte de dialogue filtrée s’affiche pour vous permettre de sélectionner les variables :
Les variables peuvent également être utilisées dans l’ensemble des projets. Lors de la sélection dans l’ensemble d’un projet, assurez-vous que les projets correspondants sont disponibles dans le Runtime.

Lier une variable

Les éléments qui ne peuvent être liés qu’à une seule variable unique ouvrent la boîte de dialogue suivante :

Élément

Description

Arbre du projet

Sélection du projet à partir duquel la variable doit être sélectionnée.

Volet de sélection

Sélection de la variable devant être liée. Elle peut être liée de deux manières :

  • Par un double-clic sur la variable souhaitée : La boîte de dialogue est automatiquement fermée.
  • En sélectionnant la variable souhaitée et en cliquant ensuite sur OK.

Pas de sélection

Selon l’élément :

  • le dialogue est annulé
  • Les variables déjà liées sont supprimées (telles que les variables de lot liées dans le Serveur d’archives)

Remarque : Vous pouvez ajuster la taille de cette boîte de dialogue. La position et la taille de la fenêtre de la boîte de dialogue sont enregistrées dans Editor, dans le Runtime et dans zenon Web Client, indépendamment du projet.

Gestion des erreurs

si la variable souhaitée n’est pas affichée, il peut y avoir plusieurs raisons à cela :

  • Vous avez sélectionné un filtre et la variable souhaitée ne correspond pas au filtre : Vérifier qu’aucun filtre n’est actif dans la ligne de filtres. Les informations concernant les éléments filtrés qui sont affichées au bas de la fenêtre de sélection sont également utiles lors de la recherche de filtres actifs.
  • La boîte de dialogue est filtrée par Editor, et la variable ne correspond pas au filtre. La commutation après filtrage a alors uniquement lieu lorsqu’un certain type de données est autorisé. Par exemple, avec un élément de données valeur numérique, aucune variable de chaîne ne peut être liée.
  • Vous avez sélectionné un projet incorrect dans l’arborescence des projets.

attention Attention

La boîte de dialogue permet généralement de sélectionner plusieurs variables en utilisant les raccourcis-clavier Windows habituels. Dans les boîtes de dialogue de sélection d’une seule variable, toutefois, seule une variable peut être liée. En cas de sélection multiple, la première variable sélectionnée est attribuée à l’élément.

Liaison de variables multiples :

Les éléments qui peuvent être liés à plusieurs variables ouvrent la boîte de dialogue suivante :

Élément

Description

Arbre du projet

Définition du projet à partir duquel la variable doit être sélectionnée.

Volet de sélection

Sélection des variables :

  • Double-cliquez sur la variable sélectionnée pour l’ajouter à la liste de variables.
  • Vous pouvez déplacer la variable sélectionnée vers la liste de variables en effectuant un glisser-déplacer.
  • Sélectionnez la variable de votre choix. Vous pouvez sélectionner plusieurs variables en appuyant sur les touches Ctrl et/ou Maj. En cliquant sur Ajouter, vous ajoutez les variables sélectionnées à la liste de variables.

Liste de variables

Liste toutes les variables sélectionnées

Ajouter

Ajoute la variable actuellement sélectionnée dans la fenêtre de sélection à la liste de variables.

Supprimer

Supprime (de la liste) les variables qui sont sélectionnées dans la liste de variables.

Pas de sélection

Selon l’élément :

  • le dialogue est annulé
  • certains liens comme les variables batch dans les archives peuvent être libérés

Remarque : Vous pouvez ajuster la taille de cette boîte de dialogue. La position et la taille de la fenêtre de la boîte de dialogue sont enregistrées dans Editor, dans le Runtime et dans zenon Web Client, indépendamment du projet.

Gestion des erreurs

si la variable souhaitée n’est pas affichée, il peut y avoir plusieurs raisons à cela :

  • Vous avez sélectionné un filtre et la variable souhaitée ne correspond pas au filtre : Vérifier qu’aucun filtre n’est actif dans la ligne de filtres. Les informations concernant les éléments filtrés qui sont affichées au bas de la fenêtre de sélection sont également utiles lors de la recherche de filtres actifs.
  • La boîte de dialogue est filtrée par Editor, et la variable ne correspond pas au filtre. La commutation après filtrage a alors uniquement lieu lorsqu’un certain type de données est autorisé. Par exemple, avec un élément de données valeur numérique, aucune variable de chaîne ne peut être liée.
  • Vous avez sélectionné un projet incorrect dans l’arborescence des projets.

Modifier une variable liée

Sélectionnez l’entrée Remplacer les liens dans le menu contextuel de l’élément. Pour plus de détails, reportez-vous au chapitre Substitution de variables dans les éléments dynamiques.


Fenêtre principale

Manuel -> Editor -> Fenêtre principale

Dans la fenêtre principale, les documents tels que les synoptiques, les rapports et autres sont affichés et édités. La fenêtre principale est la seule fenêtre qui ne peut pas être masquée.

Ouvrez plusieurs documents simultanément.

Vous pouvez afficher plusieurs synoptiques à la fois dans la fenêtre principale. Les synoptiques peuvent être sélectionnés à l’aide des onglets situés dans la partie supérieure de la fenêtre principale, et peuvent être positionnés via les options accessibles par l’élément de menu Fenêtres. Lors d’un changement d’onglet dans la fenêtre principale, les éléments affichés dans la fenêtre des propriétés sont modifiés en fonction de l’onglet actif.

Pour fermer les synoptiques ouverts, utilisez le raccourci-clavier Ctrl+F4, le menu contextuel ou la commande Fenêtre -> Fermer.

Menu contextuel Documents

Cliquez avec le bouton droit de la souris sur l’onglet d’un document pour ouvrir le menu contextuel.

Paramètres | Description
Enregistrer | Enregistre le document.
Fermer | Ferme le document.
Fermer tous les autres | Ferme tous les autres documents.

Positionner les éléments sur le synoptique

Activez les éléments en cliquant sur le symbole dans la barre d’outils éléments et ouvrez-les dans la fenêtre principale à l’aide de la souris.

Il existe plusieurs manières de déplacer les éléments :

  • Déplacement rapide : Cliquez sur l’élément et positionnez-le à l’aide de la souris.
  • Positionnement précis : Cliquez sur l’élément et positionnez-le à l’aide des touches fléchées.
  • Rotation : Faites pivoter l’élément à votre convenance à l’aide de la poignée située sur le Point de référence.


Fenêtre des propriétés

Manuel -> Editor -> Fenêtre des propriétés

La fenêtre des propriétés affiche les paramètres et propriétés des objets sélectionnés dans la vue de détail du gestionnaire de projet ou des éléments sélectionnés dans un synoptique. Vous pouvez saisir les valeurs et les paramètres dans la fenêtre des propriétés ou les modifier pour les objets et les éléments sélectionnés. Lors du changement d’onglet dans la fenêtre principale, les propriétés affichées dans la fenêtre des propriétés sont modifiées en fonction de l’onglet actif.

Ce paramétrage pour la visualisation, le tri et le choix des favoris est sauvegardé et sera utilisé lors du prochain démarrage d’Editor. Lors de l’édition d’une propriété dans la fenêtre des propriétés, la dernière propriété sélectionnée est montrée automatiquement lorsqu’un nouvel élément est sélectionné.

Remarque : Les propriétés entraînant des changements fondamentaux sont affichées entre accolades.
Par exemple : {Nouvelle limite}.

Sélection multiple

Si vous sélectionnez plusieurs objets simultanément (sélection multiple), toutes les propriétés qui diffèrent dans les éléments sélectionnés sont affichées sur fond orange ou en caractères rouges dans la fenêtre des propriétés. Les propriétés du dernier élément sélectionné sont affichées. Dans la vue de groupe et la fenêtre Toutes les propriétés, une propriété sélectionnée peut ensuite être transférée vers tous les autres objets sélectionnés en appuyant sur la touche Entrée. (Cela n’est pas possible dans la vue de boîte de dialogue.)

Example Exemple

Plusieurs objets comportant différentes couleurs de remplissage sont affichés en surbrillance. Le dernier élément sélectionné comporte une couleur de remplissage verte. La propriété Couleur de remplissage est ensuite affichée en vert, et la valeur #32CD32 est affichée en rouge. Cliquez sur le champ de saisie et appuyez sur la touche Entrée pour transférer la propriété Vert à tous les éléments sélectionnés.

Utilisation au clavier

Vous pouvez également parcourir les propriétés à l’aide du clavier :

Touche | Fonction
Tabulation ou touche fléchée Haut | Passe à la propriété suivante.
Maj+Tabulation ou touche fléchée Bas | Passe à la propriété précédente.
Entrée ou touche fléchée Droite | Ouvre un nœud.
Gauche | Ferme un nœud.
Inser | Passe directement au premier nœud.
Fin | Passe directement au dernier nœud.

Barre d'outils

Les propriétés d’un objet sont affichées et peuvent être modifiées dans la fenêtre des propriétés. Une barre d’outils est disponible et permet d’assurer la gestion de l’écran des propriétés.

Symbole

(de gauche à droite)

Fonction

Vue groupée

(Par défaut)

Toutes les propriétés de l’objet sélectionné sont groupées de manière logique?; les groupes peuvent être triés par ordre alphabétique ou logique. Avec le menu contextuel, les propriétés peuvent être ajoutées ou supprimées des favoris.

Par défaut, dans le manuel : Les conseils relatifs aux propriétés fournis dans le manuel se réfèrent toujours à la vue groupée. Le contenu des groupes est identique à celui dans la vue par boîte de dialogue.

Toutes les propriétés

Toutes les propriétés de l’objet sélectionné sont affichées dans une liste. Avec le menu contextuel, les propriétés peuvent être ajoutées ou supprimées des favoris.

Vue de boîte de dialogue

Toutes les propriétés sont groupées dans l’ordre logique, comme dans la vue groupée?; les groupes sont triés par priorité d’application, sous forme de boîte de dialogue. Dans cette vue, aucun favori ne peut être défini.

Montrer / cacher les favoris

Affiche ou masque le nœud Favoris au début des vues Vue groupée ou Tous les paramètres. Les propriétés les plus fréquemment utilisées sont regroupées ici.

Par défaut, les favoris sont proposés.

Ajouter/supprimer des entrées des favoris : Vous pouvez effectuer cela à l’aide du menu contextuel Ajouter aux favoris ou en déplaçant la propriété souhaitée vers la barre d’outils favoris à l’aide d’une manipulation Glisser & Déposer.

L’ordre des propriétés dans les Favoris est défini par l’option de tri (croissant, décroissant, logique).

Dans la vue par Boîte de dialogue, les favoris ne peuvent pas être créés.

Montrer / cacher toutes les propriétés

Affiche ou masque tous les nœuds dans les vues Groupé et Toutes les propriétés.

Tri logique

(Par défaut)

Trie les propriétés dans l’ordre logique, par fréquence d’application, plutôt que par ordre alphabétique, dans les vues Groupé et Toutes les propriétés.

Tri croissant / décroissant

Affiche les propriétés par ordre alphabétique croissant ou décroissant dans les vues Groupé et Toutes les propriétés.

Étendre / réduire toutes les sections

Affiche ou masque tous les nœuds dans les vues Groupé et Toutes les propriétés.

Exception : Le nœud de la propriété actuelle n’est pas réduit si l’option Tout réduire est sélectionnée.

Afficher l’aide des propriétés

Affiche l’aide intégrée pour les propriétés (aide des propriétés).

Libérer la propriété

Symboles : Libère la propriété sélectionnée.

Options pour la barre de symboles

Cliquez sur la flèche pour ouvrir le sous-menu :

Active : la barre d'outils est affichée.

Si la barre d’outils n’est pas affichée, elle peut être activée en sélectionnant le menu Options -> Barre d’outils.

Remarque : Si la barre d’outils est positionnée librement (c’est-à-dire dissociée d’Editor), les options ne sont pas affichées. Pour fermer la barre d’outils, cliquez sur le bouton X.

Autres sujets abordés dans ce chapitre

Vue groupée

Vue de boîte de dialogue

Toutes les propriétés

Favoris

Trier les propriétés

Propriétés liées


Vue groupée

Manuel -> Editor -> Fenêtre des propriétés -> Vue groupée

La vue groupée est active par défaut. Elle regroupe les propriétés logiquement associées.

Toutes les propriétés peuvent être affichées ou masquées à l’aide de la barre d’outils.

info Informations

Les conseils relatifs aux propriétés fournis dans le manuel se réfèrent toujours à la vue groupée. Le contenu des groupes est identique à celui dans la vue par boîte de dialogue.


Vue de boîte de dialogue

Manuel -> Editor -> Fenêtre des propriétés -> Vue de boîte de dialogue

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

La vue par boîte de dialogue rassemble les propriétés sous forme de groupes et les présente dans des boîtes de dialogue.

Dans la vus par boîte de dialogue, vous ne pouvez pas créer des favoris ou masquer des propriétés.

Autres sujets abordés dans ce chapitre

Deactivate the automatic scrolling of comboboxes under Windows 10


Deactivate the automatic scrolling of comboboxes under Windows 10

Manuel -> Editor -> Fenêtre des propriétés -> Vue de boîte de dialogue -> Deactivate the automatic scrolling of comboboxes under Windows 10

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Under Windows 10, the mouse and touchpad property Scroll inactive windows when I hover over them is activated by default. In the dialog view, this leads to the setting being amended in the combobox as soon as you move over a combobox with the mouse pointer (with Créer fichiers RT pour for example) and scroll.

To deactivate this property and thus automatic scrolling:

  1. Open the Settings under Windows 10
  2. Go to Devices
  3. Go to Mouse and touchpad
  4. Deactivate the Scroll inactive windows when I hover over them property.


Toutes les propriétés

Manuel -> Editor -> Fenêtre des propriétés -> Toutes les propriétés

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Toutes les propriétés sont affichées dans une liste alphabétique.

Toutes les propriétés peuvent être affichées ou masquées à l’aide de la barre d’outils.


Favoris

Manuel -> Editor -> Fenêtre des propriétés -> Favoris

Les vues Groupé et Toutes les propriétés comportent un nœud Favoris situé à la première place de la fenêtre. Ce nœud rassemble les propriétés les plus fréquemment utilisées.

Par défaut, les favoris sont proposés. Pour ajouter vos propres entrées :

  • Cliquez avec le bouton droit sur la propriété souhaitée.
  • Dans le menu contextuel, choisissez <Propriété > Ajouter aux favoris.
  • L’ordre des propriétés dans les Favoris est défini par l’option de tri (croissant, décroissant, logique).

Pour supprimer une entrée :

  • Cliquez avec le bouton droit sur la propriété souhaitée.
  • Dans le menu contextuel, choisissez <Propriété > Enlever des favoris.

Vous pouvez afficher ou masquer les favoris en cliquant sur le bouton correspondant de la barre d’outils.
Attention : Dans la vue par boîte de dialogue, les favoris ne peuvent pas être créés.


Trier les propriétés

Manuel -> Editor -> Fenêtre des propriétés -> Trier les propriétés

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Les critères de tri sont définis par les boutons Tri logique, Tri croissant ou Tri décroissant dans la barre d’outils. Par défaut, les propriétés sont triées de façon logique. Elles peuvent également être triées par ordre alphabétique.

Tri logique

Les propriétés sont triées par ordre logique, selon leur utilisation probable. Cela est uniquement possible dans les vues Groupé et Toutes les propriétés.

Tri croissant / décroissant

Ici les propriétés peuvent être triées selon l’ordre alphabétique croissant ou décroissant. Ces options sont possibles dans les vues Groupé, Toutes les propriétés et Favoris.

Réduire et développer les nœuds

Il est possible de réduire tous les nœuds, puis de les développer à nouveau dans les vues Groupé et Toutes les propriétés. Le nœud de la propriété actuelle n’est pas fermé si l’option Tout réduire est sélectionnée.


Propriétés liées

Manuel -> Editor -> Fenêtre des propriétés -> Propriétés liées

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Des valeurs peuvent être liées pour certaines propriétés telles que les variables ou les paramètres. Dans ce cas, la valeur change toujours si la valeur de la propriété source a été modifiée.

Si un élément accepte des valeurs provenant d’une autre propriété, cet élément est identifié par une flèche adjacente à la valeur de la propriété.

Lien séparé

Pour supprimer la liaison d’une valeur :

  1. Cliquez avec le bouton droit sur la propriété
  2. Dans le menu contextuel, sélectionnez l’entrée séparant la référence de la propriété source (la formulation dépend de la propriété)
    Remarque : Vous pouvez également séparer en une fois toutes les valeurs qui ont été transférées depuis la propriété source.

La liaison est également supprimée si vous remplacez la valeur par une autre valeur.

Les modifications apportées à la valeur source n’ont donc plus d’effet sur cette valeur. Le symbole de liaison (flèche) n’est plus affiché.

Restaurer les liens

Pour rétablir le lien entre une valeur séparée et la valeur source d’origine :

  1. Cliquez avec le bouton droit sur la propriété
  2. Dans le menu contextuel, sélectionnez l’entrée qui rétablit la référence à la valeur source (la formulation dépend de la propriété)
    Remarque : Vous pouvez également rétablir en une fois toutes les valeurs provenant de la propriété source.

Cette propriété accepte donc toujours la valeur actuelle respective de la propriété source. Le symbole de liaison (flèche) est à nouveau affiché.


Aide des propriétés

Manuel -> Editor -> Aide des propriétés

Une fenêtre distincte contenant des informations d’aide concernant les propriétés individuelles peut être affichée.

Pour afficher l’aide des propriétés :

  • Sélectionnez le symbole Afficher l’aide des propriétés tout à droite de la barre d’outils des propriétés.
  • Ou : Vous pouvez également choisir la commande Aide des propriétés dans le menu Vue.
  • Ou cliquez avec le bouton droit sur n’importe quelle barre de titre et sélectionnez la commande Aide des propriétés dans le menu contextuel.

Fermer l’aide des propriétés :

  • Cliquez sur le symbole X affiché dans la bordure droite de la barre de titre

Contrairement à l’aide en ligne, que vous pouvez afficher en appuyant sur la touche F1, l’aide intégrée des propriétés décrit uniquement la propriété individuellement sélectionnée.

S’affichent alors :

  • une brève description de la propriété actuellement sélectionnée,
  • un lien vers l’aide en ligne plus complète,
  • un lien vers la chaîne YouTube COPA-DATA avec des exemples de configuration de projet.
    Remarque : ce lien n’est pas visible par les clients OEM.
  • Les informations concernant le nom de propriété pour l’API.

L’aide des propriétés peut être déplacée à l’image des autres fenêtres?; vous pouvez la positionner à l’emplacement de votre choix.

Propriétés liées

Vous trouverez des informations concernant les propriétés liées au chapitre Propriétés liées.


Fenêtre de sortie

Manuel -> Editor -> Fenêtre de sortie

La fenêtre de sortie affiche les informations d’état et les messages d’erreur au démarrage d’Editor et lors de la compilation et du transfert d’un projet. Les informations sont réparties selon différents types :

  • Erreur
  • Avertissements
  • Messages

Ces messages d’informations peuvent être affichés ou masqués individuellement. Les paramètres d’affichage des informations sont conservés après la fermeture d’Editor?; ils s’appliquent également à l’affichage de nouvelles informations. Toutefois, aucune information n’est perdue, car les paramètres affectent uniquement l’affichage des informations, et non leur collecte.

Exemple : Si les avertissements sont masqués, ils ne s’affichent plus tant que l’affichage des avertissements n’est pas réactivé. Dès lors, tous les avertissements seront affichés. Les avertissements accumulés entre-temps sont également affichés.

Les messages d’information bleus ne peuvent pas être masqués, car il s’agit de messages relatifs au projet qui doivent toujours rester visibles.

Barre d'outils et menu contextuel

Les symboles et le menu contextuel offrent les mêmes options. Signification des symboles, de gauche à droite :

Symbole / entrée de menu contextuel | Description
Afficher les erreurs | Active : Les erreurs sont affichées en rouge. Inactive : Les erreurs sont masquées. La condition choisie peut être associée à des avertissements et des messages?; elle est conservée lorsqu’Editor est fermé.
Afficher les avertissements | Active : Les avertissements sont affichés en orange. Inactive : Les avertissements sont masqués. La condition choisie peut être associée à des erreurs et des messages?; elle est conservée lorsqu’Editor est fermé.
Afficher les messages | Active : Les messages sont affichés en noir. Inactive : Les messages sont masqués. La condition choisie peut être associée à des erreurs et des messages?; elle est conservée lorsqu’Editor est fermé.
Enregistrer | Enregistre tout le contenu de la fenêtre de sortie dans un fichier journal. Vous êtes libre de choisir l’emplacement et le nom du fichier de stockage.
Copier | Copie l’entrée sélectionnée dans le presse-papier Windows.
Supprimer | Supprime tout le contenu de la fenêtre de sortie. Après avoir exécuté cette action, il n’est plus possible d’accéder au contenu supprimé de la fenêtre de sortie.
Rechercher | Ouvre la boîte de dialogue de recherche de texte dans la fenêtre de sortie.
Aide | Ouvre cette page d’aide.

Example Exemple

Supprimez le contenu de la fenêtre de sortie en sélectionnant le symbole ou le menu contextuel concerné, puis générez les fichiers de Runtime. Les informations concernées sont fournies dans la fenêtre de sortie. Ces informations sont délimitées par des messages bleus.

  1. Cliquez sur le symbole Messages : les messages standard (noirs) sont masqués.
  2. Une fois de plus, générez les fichiers du Runtime?; les messages restent masqués.
  3. Maintenant, désactivez également l’affichage des erreurs (rouge) et des avertissements (orange).
  4. Les messages bleus relatifs au projet restent visibles.
  5. Générez à nouveau les fichiers du Runtime, puis affichez à nouveau les messages. Tous les messages générés depuis la suppression du contenu de la fenêtre de sortie sont à nouveau visibles.


Ligne d'état

Manuel -> Editor -> Ligne d'état

La barre d’état d’Editor fournit des informations variables selon l’objet sélectionné :

  • Disposition d’Editor :
  • Fonction du symbole sur lequel se trouve le pointeur de la souris.
  • Position du pointeur de la souris sur les synoptiques.
  • Type et nom de l’élément actif sur un synoptique.
  • Point de départ (axe x/y), largeur et hauteur de l’élément actif sur un synoptique.
    Le point 0/0 de l’axe se trouve dans le coin supérieur gauche.

Dans les rapports, la ligne d’état ne possède aucune fonction.


Fermeture d’Editor

Manuel -> Editor -> Fermeture d’Editor

Lors de la fermeture d’Editor ou de la fermeture ou du changement d’espace de travail, tous les projets sont vérifiés. S’il y a des projets dont les fichiers du Runtime n’ont pas été créés, ils sont montrés dans une boîte de dialogue et peuvent tous être créés.

Paramètres | Description
Oui | Les fichiers du Runtime correspondant à tous les projets de la liste sont créés. Editor est alors fermé.
Non | Les fichiers du Runtime ne sont pas créés. Editor est alors fermé.
Annuler | Les fichiers du Runtime ne sont pas créés. Editor n’est pas fermé.


Développez efficacement vos projets avec zenon

Manuel -> Développez efficacement vos projets avec zenon

Utilisez-vous zenon pour la première fois ?
Vous trouverez ici des informations qui vous aideront à utiliser zenon efficacement. Même si vous maîtrisez déjà d’autres systèmes de contrôle de procédé, nous vous recommandons de lire ce chapitre. Vous découvrirez les concepts fondamentaux sur lesquels repose zenon, ainsi que son fonctionnement, mais aussi pourquoi et comment zenon vous aide à travailler plus facilement et plus rapidement.

Un aperçu de zenon

zenon est constitué d’Editor et du Runtime.
Les projets sont créés dans Editor. La gestion et l’observation se déroulent dans le Runtime Editor et le Runtime sont compatibles à compter des versions 6.20 et ultérieures. Par exemple, un projet créé avec la version 6.50 est également compatible avec la version 6.22 du Runtime, et inversement.

zenon diffère principalement des autres systèmes par les caractéristiques suivantes :

  • Utilisation simple : de nombreuses actions peuvent être réalisées en quelques clics, tandis que les assistants rendent votre travail plus rapide et plus simple. Vous pouvez également travailler en effectuant des manipulations de glisser-déplacer avec la souris, ou en utilisant le clavier – à votre convenance.
  • Orientation objet concrète : Vous travaillez continuellement avec des objets dont vous pouvez rapidement définir les paramètres, au lieu d’écrire des programmes fastidieux. Vous utilisez également les objets définis une fois dans tous les projets ; vous bénéficiez de fonction de transmission de propriétés et de la capacité de modifier ces dernières avec une rapidité inégalée.
  • Excellente capacité de réutilisation des objets et éléments préalablement configurés : de nombreux éléments, des variables individuelles jusqu’aux projets entiers, peuvent être réutilisés très facilement et efficacement dans zenon.
  • Réseau intégré : le développement distribué sur le réseau et la redondance totale ne demandent plus un effort démesuré. Vous pouvez créer des réseaux en cochant la case concernée. De cette manière, vous pouvez connecter des projets autonomes individuels sous forme de systèmes redondants efficaces.

Conseils et astuces

Vous trouverez des conseils utiles sur le forum de www.copadata.com. La meilleure manière d’apprendre à profiter pleinement des capacités de zenon consiste à assister aux séminaires de formation et aux ateliers de COPA-DATA, adaptés à vos priorités et vos projets. Votre distributeur peut vous fournir d’autres informations ; vous pouvez également nous écrire à l’adresse sales@copadata.com.

Autres sujets abordés dans ce chapitre

Simplicité d’utilisation

Orientation objet

Réutilisation d’éléments

Réseau intégré :

Conseils et astuces


Simplicité d’utilisation

Manuel -> Développez efficacement vos projets avec zenon -> Simplicité d’utilisation

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

zenon facilite la configuration grâce à de nombreux petits agréments, et augmente ainsi votre productivité. En utilisant zenon, vous découvrirez que vous pourrez résoudre de nombreux problèmes à votre convenance. Par exemple :

Favoris

Vous pouvez définir vos propres favoris dans les propriétés des objets et les boîtes de dialogue des fonctions. Ils vous sont toujours proposés au début de la liste des propriétés, et vous permettent d’accéder rapidement aux propriétés que vous utilisez fréquemment.

Utilisation générale du clavier dans Editor

Editor peut être facilement contrôlé grâce aux symboles et aux menus actionnables avec la souris ; vous pouvez également l’utiliser uniquement à l’aide du clavier. Les raccourcis-clavier de Windows fonctionnent également dans zenon. Par exemple :

  • Ctrl+C et Ctrl+V pour copier et coller.
  • Insér. crée de nouveaux objets.
  • Suppr. supprime les objets sélectionnés.
  • Le pointeur de la souris permet de se déplacer parmi les vues.
  • Échap annule une action
  • Retour arrière remonte d’un niveau dans l’arborescence des répertoires.
  • Ctrl+Z annule la dernière action, à l’exception des opérations sur bases de données.

Pour plus d’informations concernant l’utilisation au clavier, reportez-vous au chapitre Raccourcis clavier.

Glisser et déposer

Dans Editor, vous pouvez travailler plus efficacement en utilisant des manipulations de type glisser-déplacer. Par exemple :

  • Ordre de modification des entrées de menus
  • Lier des polices à des éléments dynamiques tels que des réglettes universelles, des horloges, des éléments combinés, etc.
  • Modifier une séquence d’éléments structurels pour les données de type structure.
  • Modifier une séquence dans un script
  • Copier ou déplacer des fonctions à l’aide de différents scripts
  • Copier des scripts en les déplaçant vers le nœud principal.

Assistants intelligents pour l’exécution de tâches complexes

Les assistants intégrés à zenon vous aident à créer un projet de base en un clin d’œil, ou à réaliser des ajustements complexes. Nous vous recommandons d’utiliser les assistants pour la configuration de réglettes universelles, d’éléments combinés et d’archives, plus particulièrement si vous n’êtes pas encore familiarisé avec le logiciel.

Infos-bulles pour les éléments et les propriétés

Si vous positionnez le pointeur de la souris sur un élément d’affichage (par exemple, un bouton de texte) ou une propriété comportant un lien (par exemple, une fonction liée à un bouton de texte), une info-bulle s’affiche à l’écran. Elle contient des informations relatives aux éléments liés, telles que la fonction liée et ses paramètres.

Possibilités de dessin étendues

L’éditeur graphique propose une vaste gamme de fonctions qui facilitent la représentation visuelle des équipements, tout en proposant de nombreuses options de conception. Ces options s’étendent du zooms fluide à la capacité de redimensionner les éléments en faisant glisser les coins, ainsi qu’à la distribution automatique d’éléments conformément à des règles. Vous trouvez plus de détails au chapitre Synoptiques.

Accéder à des éléments liés

Pour tous les éléments graphiques, fonctions, variables et autres éléments, vous pouvez accéder directement aux éléments liés. Par exemple, d’un clic de souris, vous pouvez directement accéder à un élément lié depuis un élément d’affichage ou, depuis une variable, accéder au type de de données et même aux unités utilisées. Si nécessaire, vous pouvez également effectuer facilement toutes ces étapes à rebours jusqu’à l’élément initial, d’un clic de souris.


Orientation objet

Manuel -> Développez efficacement vos projets avec zenon -> Orientation objet

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

COPA-DATA envisage l’automation d’un point de vue pragmatique, selon une orientation objet. C’est ainsi que fonctionne zenon ; de plus, ce programme peut lui-même être largement automatisé. zenon ne nécessite aucun langage de programmation ; vous n’aurez pas à programmer la moindre ligne de code. Au lieu de cela, vous attribuez des propriétés à des objets à l’aide de la souris. Cela fonctionne non seulement avec les objets individuels, mais également de manière centrale, pour un projet entier, et d’un objet à l’autre également.

Si la perspective de ne pas pouvoir personnaliser zenon et de vous retrouver entièrement dépendant des propriétés des objets vous inquiète, voici une bonne nouvelle : vous pouvez bien évidemment adapter la configuration de zenon individuellement. Pour cela, utilisez préférablement VBA ou l’environnement de développement VSTA (.NET). En outre, zenon propose de nombreuses interfaces permettant de communiquer avec des équipements et des logiciels, et fournit zenon Logic avec une logique SCADA intégrée.

Trois principes de base importants pour vous aider à utiliser zenon

Trois principes centraux simplifient et facilitent le développement et la maintenance de projets dans zenon :

  1. Paramétrer au lieu de programmer :

    Définissez facilement les paramètres requis, au lieu de programmer ou d’adapter des scripts.

  2. Global et central plutôt que local :

    Définissez des objets une fois et réutilisez-les aussi souvent que vous le souhaitez, même dans différents projets, au lieu de rédiger ou copier des scripts indéfiniment.

  3. Paramétrage orienté objet :

    profitez de tous les avantages de la réflexion orientée objet.

Autres sujets abordés dans ce chapitre

Paramétrer au lieu de programmer

Global et central plutôt que local

Paramétrage orienté objet


Paramétrer au lieu de programmer

Manuel -> Développez efficacement vos projets avec zenon -> Orientation objet -> Paramétrer au lieu de programmer

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Quel avantage vous offre le paramétrage de projets plutôt que leur programmation ?

Vous évitez de créer du code susceptible de contenir des erreurs et gagnez en flexibilité ; votre projet dispose de structures claires, est plus rapide et offre une plus grande capacité de réutilisation. Quatre éléments font particulièrement pencher la balance en faveur du paramétrage :

  1. Les modules prédéfinis offrent un gain de temps ;
    zenon comporte de nombreux modules prédéfinis. Au lieu de programmer des scripts vous-même, vous choisissez le module adéquat et le configurez en sélectionnant les propriétés et les paramètres de votre choix. Cela vous permet de créer des projets exécutables en un clin d’œil.
  2. Le produit fourni par le fabricant est déjà arrivé à maturité ;
    le concepteur se concentre sur ses projets. Le logiciel est développé et testé par le fabricant ; les concepteurs n’ont pas besoin de rédiger leur propre code. Il est donc très simple d’utiliser zenon – même pour les employés ne possédant aucune expérience du développement de logiciels.
  3. Maintenance et adaptation simples du projet :
    zenon opère selon une logique strictement orientée objet. Associée à la philosophie consistant à paramétrer plutôt qu’à programmer, cela signifie une maintenance et une adaptation simples. Pour les modifications et le contrôle, il vous suffit de contrôler ou modifier les propriétés des objets individuels au lieu de devoir lire et adapter de longues lignes de code. Tout au long de la durée de vie du projet, cela garantit :
    • Aperçu : les projets peuvent être recréés plusieurs années plus tard, même par des employés inexpérimentés.
    • Sécurité : les scripts et la programmation, susceptibles de dissimuler des erreurs, sont évités.
    • Un gain de temps : la configuration, l’adaptation et la maintenance peuvent être réalisées beaucoup plus rapidement.
  4. Adaptation facile sur différentes machines :
    zenon peut être adapté facilement et rapidement sur des machines nouvelles ou modifiées. Les adaptations de projets peuvent être effectuées en quelques clics seulement.

Adaptez zenon

Le paramétrage évite que les erreurs contenues dans des scripts ne soient reproduites à l’infini. Il évite les laborieuses opérations de modification de scripts individuels lorsque vous souhaitez simplement adapter quelques détails. Toutefois, cela ne signifie pas que vous devez être inflexible ! zenon vous offre également de nombreuses possibilités d’étendre et d’adapter votre système.

  • VBA/VSTA :
    Grâce au langage de scripts intégré Visual Basic for Applications et à C# et VB.NET, vous pouvez exécuter n’importe quel code dans le Runtime. Ceci autorise l’exécution de tâches d’automation, de tâches logiques et de tâches de gestion d’interfaces, à l’image des accès aux bases de données.
  • zenon Logic:
    Cet environnement de contrôle entièrement intégré vous permet, grâce à sa logique SCADA, d’utiliser les cinq langages de programmation IEC 61131-3. Grâce à lui, vous pouvez exécuter vos calculs et résoudre tous vos problèmes logiques.
  • PCE :
    Le moteur de contrôle de procédés intégré vous permet d’utiliser VB-Script et Java Script dans le cadre de vos tâches d’automation.
  • Contrôles Active X :
    Vous pouvez intégrer des contrôles standard, tels que Flash Player, Acrobat Reader, etc. à zenon. L’interface est évidemment visible, ce qui vous permet d’y inclure vos propres contrôles ActiveX.
  • Éléments WPF
    L'intégration directe du format Windows Presentation Foundation vous permet d’intégrer directement dans les images de zenon des éléments graphiques, tels que des boutons, des pointeurs et de nombreux autres éléments utilisant ce nouveau format graphique. Ces éléments peuvent être librement liés à des variables et des fonctions, qui vous permettent de mettre en œuvre les effets graphiques de votre choix.
  • Interface COM :
    Vous disposez d’un accès externe à zenon via l’interface COM entièrement visible. Différents langages de programmation, tels que C++, .NET, Delphi, etc. sont fournis aux fins des communications.


Global et central plutôt que local

Manuel -> Développez efficacement vos projets avec zenon -> Orientation objet -> Global et central plutôt que local

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Les propriétés peuvent être définies de nombreuses manières dans zenon, en fonction de la tâche :

  • Directement sur l’objet
  • De manière centrale
  • De manière globale

Bien entendu, dans zenon, vous pouvez ajuster tous les paramètres directement au niveau de l’objet. Toutefois, cela n’est pas toujours la solution la plus intelligente.

Définir les propriétés de manière centrale

Il est souvent logique de définir les paramètres une fois seulement, de manière centrale. De cette manière, les nouveaux objets proposent les propriétés souhaitées dès le départ. Les modifications sont très faciles à mettre en œuvre : la propriété souhaitée est modifiée de manière centrale, à un endroit seulement ; tous les objets concernés l’adoptent automatiquement. Cela signifie un clic seulement, au lieu d’innombrables lignes de code ou de nombreux clics de souris.

Ces paramètres centraux peuvent être localisés avec facilité depuis n’importe quelle position dans Editor. Tout objet recevant directement ses paramètres d’un emplacement central offre la possibilité de les afficher directement. Il vous suffit simplement de suivre une liaison pour voir immédiatement de quelle manière ces éléments sont liés.

Toutefois, si vous pouvez définir les propriétés de manière centrale pour un projet, vous pouvez également les définir globalement.

Gestion de projet globale

zenon vous permet de gérer plusieurs projets simultanément – et ainsi d’économiser votre ressource la plus précieuse : les heures de travail. Par exemple, il est très facile d’utiliser les mêmes polices de caractères dans tous vos projets. Une fois définies, les propriétés telles que les polices ou les tailles de polices sont instantanément disponibles pour tous les projets d’un domaine de travail. Si vous avez besoin d’une autre police de caractères pour tous vos projets, il ne vous faudra que quelques secondes pour la modifier dans le projet global. Et si vous souhaitez fournir un projet avec une police de caractères différente ? Dans ce cas, il vous suffit de modifier la police concernée de manière centrale dans le projet.

info Informations

Dans le projet global, utilisez un système de numérotation différent du système employé dans les projets individuels. zenon privilégie toujours les paramètres locaux si les nombres sont identiques.

Et : Veillez à utiliser des noms uniques pour les listes de polices, et veillez à ce que l’utilisation de ces noms soit cohérente dans le projet global et les projets individuels. De cette manière, vous veillez à ce que toutes les polices soient bien retrouvées en cas de changement de langue.

Aperçu des relations entre objets

Vous disposez en outre d’un aperçu de vos projets et des relations entre les objets grâce à ces éléments :

  • Liste des références croisées :
    cette liste présente les références croisées dans un projet et vous permet de rechercher facilement l’utilisation des variables et des fonctions.
  • Assistant documentation
    Crée automatiquement une documentation complète pour votre projet. Vous pouvez configurer exactement ce que vous souhaitez inclure, jusqu’à la moindre propriété.


Paramétrage orienté objet

Manuel -> Développez efficacement vos projets avec zenon -> Orientation objet -> Paramétrage orienté objet

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Le paramétrage orienté objet constitue la philosophie fondamentale de zenon. Cette philosophie permet d’organiser le travail de manière claire, et de consacrer davantage de temps à la création et la gestion de variables.

Chaque variable dans zenon repose sur deux éléments :

  • Driver
  • Type de données

Autres sujets abordés dans ce chapitre

Drivers

Type de données

Conseils relatifs à l’adressage et à l’importation/exportation


Drivers

Manuel -> Développez efficacement vos projets avec zenon -> Orientation objet -> Paramétrage orienté objet -> Drivers

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Les drivers ne sont pas directement intégrés à zenon ; ils sont mis en œuvre via un type d’objet de driver. Ceci détermine la zone du contrôleur concernée par l’adressage.

Type d’objet driver

Il existe de nombreux types d’objets de drivers, par exemple, les marqueurs d’automates standard, les blocs de données, les entrées, les sorties, les compteurs, etc. – mais également d’autres types spéciaux, tels que les alarmes ou les variables de drivers.

Le type d’objet de driver détermine :

  • La zone du contrôleur
  • La granularité du driver dans cette zone
  • Les types de données pouvant être créés dans cette zone

Conseil : tous les types de données ne peuvent pas être créés dans un domaine. Ici, lors de la création d’une variable, vous devez toujours :

  • D’abord choisir le driver,
  • Puis le type d’objet de driver et
  • Enfin, le type de données.

Informations supplémentaires : Granularité

La granularité est particulièrement importante pour les contrôleurs à adressage numérique, tel que le modèle Siemens S7, par exemple. Tous les contrôleurs ne possèdent pas la même résolution, et toutes les zones d’un contrôleur ne possèdent pas non plus la même résolution.

Par exemple, la zone de blocs de données d’un automate Siemens S5 est orientée mot, tandis que sa zone de marqueurs est orientée octet. Cela signifie que la plus petite unité pouvant être adressée est soit un octet, soit un mot. Si vous voulez écrire un bit dans l’une de ces zones, vous devez lire au moins un octet ou un mot entier, marquer le bit souhaité, le modifier, puis écrire à nouveau l’octet ou le mot entier dans le contrôleur.

Les mêmes informations sont requises lors de l’adressage des zones, appelées "offset". Vous commencez par zéro et continuez à compter en incréments par octets ou mots. Si vous utilisez l’adressage automatique dans zenon, la granularité est automatiquement prise en compte. La granularité ne dépend pas du driver, mais du type d’objet de driver.

Variables du driver

Les variables de drivers sont proposées par tous les drivers, et offrent de nombreux avantages en termes de configuration de projets. Elles ne communiquent pas avec le contrôleur, mais lisent une zone d’enregistrement interne du driver contenant principalement des informations statistiques. Toutefois, des fonctions spéciales peuvent être contrôlées avec des variables ; par exemple, les numéros de téléphone pour les connexions par modem ou les commandes de numérotation ou de fin d’appel.

Vous trouverez des informations plus détaillées à ce sujet au chapitre Variables de driver de l’aide.

Un fichier dBase contenant les plus importantes variables de drivers est inclus sur le support d’installation de zenon. Vous pouvez ainsi importer des variables pour chaque driver, au lieu de les créer manuellement.


Type de données

Manuel -> Développez efficacement vos projets avec zenon -> Orientation objet -> Paramétrage orienté objet -> Type de données

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Les types de donnés sont au cœur même du paramétrage orienté objet. Puisque vous ne pouvez rien modifier dans les ‑types d’objet de drivers, ces derniers ne peuvent pas être utilisés dans le cadre de l’orientation objet. Les types de données, en revanche, offrent de nombreuses possibilités.

On distingue trois types :

  • Types de données simples
  • Types de données de structure
  • Éléments de structure

Autres sujets abordés dans ce chapitre

Types de données simples

Types de données de structure - Éléments de structure - Structure


Types de données simples

Manuel -> Développez efficacement vos projets avec zenon -> Orientation objet -> Paramétrage orienté objet -> Type de données -> Types de données simples

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Les types de données simples sont toujours des types de données IEC, ce qui signifie les types de données définies par IEC dans le standard 61131-3 (par ex. BOOL, INT, USINT, UDINT, STRING, WSTRING, etc.). Ces données aident à définir la taille d’une zone ; par exemple, grâce à
BOOL : 1 bit signés
INT : 16 bits non signés
UINT : 16 bits non signés

Les types de données dans zenon autorisent non seulement l’utilisation des types de données IEC ; de nombreuses autres propriétés sont disponibles. Ils comportent la même identification que les propriétés des variables :

  • Identification
  • Unité
  • Plage de valeurs
  • Valeurs limite

Quel est l’intérêt de cette "double conservation des données" ?

La raison est aussi simple qu’elle est pratique :
À l’image des éléments dynamiques, qui reprennent le type et la taille de la police de caractères liée, la variable reprend le calcul de la valeur, l’unité et les valeurs limites provenant du type de données sur lequel elle est fondée.

Orientation objet

Contrairement à la liaison d’éléments dynamiques et de polices de caractères, ceci implique une orientation objet : les objets de type données transmettent leurs propriétés à la variable. La différence ?

Les propriétés liées/dérivées peuvent être séparées ou remplacées pour les variables. Cela fonctionne individuellement, pour chaque propriété, mais également pour toutes les propriétés à la fois. Cela signifie que vous pouvez reprendre l’unité issue du type de données de manière centrale, mais remplacer directement l’identification ou l’adresse pour la variable. Cela se déroule comme suit :

  • Modifiez la valeur concernée de la variable lorsque la liaison est interrompue.
    Vous pouvez vérifier cela en consultant les propriétés : la coche n’est plus présente.

Vous pouvez utiliser les fonctions suivantes depuis le menu contextuel :

  • Dériver une propriété du type de données :

    Si vous avez dissocié un lien, vous pouvez le rétablir.

  • Dissocier la propriété :

    Vous pouvez dissocier une propriété individuelle sans devoir modifier la valeur. Si vous remplacez ultérieurement le type de données, vous pouvez être certain que la variable ne sera pas influencée par cette action. Vous pouvez définir si le concept d’héritage doit agir ou non.

Pour vous faciliter la tâche, vous pouvez également accepter ou séparer toutes les propriétés du type de données d’un clic de souris. Vous pouvez ainsi restaurer très rapidement l’état d’origine (l’ensemble des éléments dérivés) ou annuler cette modification. En quoi est-ce utile, concrètement ?

Flexibilité particulièrement élevée : si vous utilisez de nombreuses variables possédant la même valeur limite, par exemple, une alarme pour la valeur 1, définissez cela au niveau du type de données. Vous définissez le texte de valeur limite et les autres paramètres facultatifs séparément, pour chaque variable. Vous enregistrez ainsi la création et la maintenance de la valeur limite pour chaque variable individuelle, et votre rapidité de développement s’accroît considérablement. Le type de données BOOL, créé par défaut, comporte également une valeur limite à 0 et 1 !

Si vous n’avez même pas défini une valeur limite pour chaque variable bool, vous n’avez pas besoin de vous préoccuper de chaque variable et de désactiver la valeur limite. Au lieu de cela, vous pouvez utiliser une fonction extrêmement pratique de zenon et créer votre propre type de données BOOL. Suivez ces instructions :

  • Laissez simplement le type de données par défaut tel quel.
  • Cliquez sur Nouveau type de données.
  • Une liste des types de données existants s’affiche à l’écran.
  • Choisissez Bool standard :
  • Spécifiez un nom, par exemple MyBool
  • Toutes les propriétés du nouveau type de données sont automatiquement reprises de l’ancien type.
  • Supprimez les valeurs limites pour MyBool

Vous créez ensuite toutes les variables bool qui ne doivent pas comporter de valeurs limites pour ce nouveau type de données bool MyBool ; les valeurs limites indésirables ont d’ores et déjà disparu. En revanche, celles que vous souhaitez utiliser sont conservées.

Vous ne pouvez bien entendu pas créer un seul type de données bool ; vous pouvez en créer autant que vous le souhaitez. Toutes les variables qui nécessitent des propriétés identiques sur des plages étendues reçoivent leur propre type de données. Si une propriété est modifiée, effectuez la modification de manière centrale ; toutes les variables dérivées seront automatiquement modifiées, à l’exception de celles pour lesquelles le lien a été modifié.


Types de données de structure - Éléments de structure - Structure

Manuel -> Développez efficacement vos projets avec zenon -> Orientation objet -> Paramétrage orienté objet -> Type de données -> Types de données de structure - Éléments de structure - Structure

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Types de données de structure

Un type de données de structure signifie un groupe de types de données précisément défini par rapport à leur ordre et leur organisation. Par exemple, une structure Moteur peut inclure les éléments Régime actuel (tr/min) et Consommation d’électricité.

Une structure peut également être imbriquée ; vous pouvez définir autant de niveaux hiérarchiques que vous le souhaitez.

Avec les types de données de structure, l’ensemble de variables peut être structuré précisément de la même manière qu’il existe dans le contrôleur ou de manière logique.

Élément de structure

Un type de données de structure est en réalité une simple "coque" qui porte le nom de la structure, mais ne comporte aucune propriété propre.

Il est initialement inclus avec les éléments structurels ajoutés au type de données de structure. Dans ce cas, la distinction suivante est faite :

  • Type de données de structure liées :

    Référence à un type de données déjà existant. Toutes les propriétés sont reprises, à l’exception du nom.

    Avantage : si l’élément structure comporte de nombreuses propriétés d’un type de données existant, celles-ci peuvent facilement être réutilisées. Vous pouvez évidemment toujours modifier chacune des propriétés des variables, ou les dissocier du type de données.

  • Dissocier le type de données de structure embarqué :

    Permet la configuration de paramètres d’adressage individuels. Ce nouveau type de données est uniquement valide dans cette structure.

info Informations

Orientation objet avantageuse : Si la structure est modifiée à un moment donné, il suffit de modifier le type de données de structure pour modifier automatiquement toutes les variables faisant partie de cette structure.

Toutes les formes peuvent être modifiées :

  • Les propriétés simples, telles que l’unité du type de données
  • Les propriétés complexes, telles que l’ajout ou la suppression de valeurs limites
  • La modification de l’ensemble de la structure (par exemple, la modification de la séquence des éléments ou l’ajout ou la suppression d’éléments de structure individuels dans un type de données de structure)

Tableau de structure

Si plusieurs machines sont concernées, l’utilisation d’un tableau de structure est recommandée.

Par exemple : 100 pompes au lieu d’une pompe.
Il vous suffit de changer les variables de structure en structure. 100 variables deviennent ainsi 100 variables de structure, d’un clic de souris.

Par exemple, si nous devons créer 12 variables individuelles pour chaque pompe, nous aurons besoin de 1200 variables au total. La méthode de configuration orientée objet des paramètres permet de réaliser cela en quelques clics. En outre, elle offre l’avantage que toutes les variables sont déjà prédéfinies. Chaque variable individuelle fournit déjà toutes les propriétés dont elle a besoin, telles que l’unité, le calcul des valeurs, les alarmes, les entrées de liste d’événements, etc.

info Informations

Les types de données de structure sont également adaptés à la réutilisation de variables.

Autres sujets abordés dans ce chapitre

Exemple d’une pompe :


Exemple d’une pompe :

Manuel -> Développez efficacement vos projets avec zenon -> Orientation objet -> Paramétrage orienté objet -> Type de données -> Types de données de structure - Éléments de structure - Structure -> Exemple d’une pompe :

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Exemple d’une pompe :

Situation initiale

Une pompe est constituée de deux moteurs. Chacun de ces moteurs possède des variables telles que :

  • Régime actuel (tr/min)
  • Consommation électrique
  • Sortie
  • etc.

Chaque moteur comporte une réglette avec les variables suivantes :

  • Régime nominal (tr/min)
  • P-share
  • I-share

Construisez cette constellation comme indiqué ici :

  1. Créez une structure réglette à partir d’un type de données pour :
    • Régime nominal (tr/min)
    • P-share
    • I-share
  2. Créez une structure moteur comportant ces types de données :
    • Régime actuel (tr/min)
    • Consommation électrique
    • Sortie
    • etc.
  3. Intégrez la réglette à la structure moteur.
  4. Enfin, créez la structure de la pompe et intégrez le moteur à celle-ci.

    Puisque la pompe comporte deux moteurs, il vous suffit d’ajouter deux fois le type de données moteur à votre structure pompe.

  5. Créez une variable reposant sur ce type de données de structure :
    • Créer une nouvelle variable
    • Choisissez le type de données de structure Pompe

    Les éléments individuels de cette variable de structure sont appelés éléments de structure. Vous pouvez utiliser chacun de ces éléments à tout endroit dans zenon – sur les synoptiques, comme alarmes, dans les archives, dans les recettes, etc.


Conseils relatifs à l’adressage et à l’importation/exportation

Manuel -> Développez efficacement vos projets avec zenon -> Orientation objet -> Paramétrage orienté objet -> Conseils relatifs à l’adressage et à l’importation/exportation

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Exemples pratiques :

  • Adressage
  • Import / Export

Adressage :

Grâce aux commandes numériques, vous pouvez décider si l’adressage doit être automatique ou semi-automatique. Toutes les propriétés décrites ici peuvent également être atteintes par l’intermédiaire de VBA/VSTA et être ainsi utilisées aux fins de la configuration automatique.

Adressage automatique :

L’offset et, le cas échéant, les adresses d’octet et de bit, sont calculés automatiquement pour les éléments de structure, sur la base de la position des éléments de structure, pour une structure comme pour un ensemble de structures. Si vous avez créé la même structure dans l’automate et dans zenon, tout fonctionnera parfaitement et vous n’aurez pas à vous préoccuper de l’adressage.

Adressage semi-automatique :

Ici, les adresses de départ uniques attribuées comportent déjà un type de données. Les autres adresses sont ensuite déterminées en fonction de ces adresses. Vous pouvez évidemment les modifier ultérieurement. Vous trouverez plus de détails au chapitre Adressage automatique.

Pour les automates comportant un adressage à base de symboles, vous devez utiliser le même nom dans zenon et dans l’automate.

Importation et exportation au format XML :

Les informations telles que les types de données, les structures, les propriétés héritées, etc. sont également incluses lors de l’importation ou de l’exportation. Cela signifie qu’une fois définies, les types de données de structure et les variables de structure peuvent être facilement exportées, puis importées dans d’autres projets pour être réutilisées ou adaptées, selon le besoin.


Réutilisation d’éléments

Manuel -> Développez efficacement vos projets avec zenon -> Réutilisation d’éléments

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

La première fois qu’un projet est créé, vous devez prévoir du temps pour créer les variables, fonctions, synoptiques et liens associés. Ce temps peut toutefois être considérablement réduit lors des projets ultérieurs. zenon vous offre en effet la possibilité de transférer facilement les éléments créés vers d’autres projets.

Par exemple, dans de nombreux projets, vous devez créer les composants standard de tous les projets, tels que les synoptiques d’état du système ou les synoptiques détaillés des composants matériels utilisés de manière récurrente (pompes, vannes, moteurs, etc.).

Il existe différentes manières de réutiliser les composants :

Thème | Réutilisation de :
Remplacement de variables et de fonctions | Éléments
Symboles | Synoptiques
Types de données de structure | Variables
Matrices de réaction | Variables
Projet global | Éléments centraux d’un projet
XML | Importation et exportation de composants de projets
Assistants | Importation ou personnalisation de synoptiques et d’éléments
Réutiliser des projets | Projets

info Informations

Pour réutiliser efficacement des éléments, lors de la création de variables, de fonctions et de synoptiques, assurez-vous de les nommer de manière claire.

Autres sujets abordés dans ce chapitre

Remplacement de variables et de fonctions

Symboles

Type de données de structure

Matrices de réaction

Projet global

XML

Assistants

Réutiliser des projets


Remplacement de variables et de fonctions

Manuel -> Développez efficacement vos projets avec zenon -> Réutilisation d’éléments -> Remplacement de variables et de fonctions

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Les variables et fonctions conservées sous forme d’éléments dynamiques peuvent être remplacés de manière automatique. Cette opération peut être effectuée de différentes manières :

  • Remplacement des liens d’un synoptique
  • Remplacement des liens lors des appels de synoptique
  • Remplacement d’indices
  • D’autres informations concernant le remplacement de variables et de fonctions sont également disponibles dans le manuel consacré aux synoptiques de la section Remplacement des liens de variables et de fonctions.

Autres sujets abordés dans ce chapitre

Conventions d'affectation de noms

Possibilités de remplacement


Conventions d'affectation de noms

Manuel -> Développez efficacement vos projets avec zenon -> Réutilisation d’éléments -> Remplacement de variables et de fonctions -> Conventions d'affectation de noms

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Pour autoriser le remplacement sûr des variables et autres éléments, l'affectation de noms doit être systématique et standardisée, dans la mesure du possible. Ceci facilite la réutilisation des variables et autres éléments, mais également les opérations de maintenance et de développement inverse.

Différents systèmes sont disponibles pour faciliter l'affectation de noms systématique.

Par exemple : Industrie électrique

Allemagne

  • KKS (Kraftwerk-Kennzeichen-System – Système de classification des centrales électriques) ; pour plus de détails (en allemand), consultez la page http://de.wikipedia.org/wiki/Kraftwerk-Kennzeichensystem.
  • La norme DIN 6779 (Kennzeichnungssystematik für technische Produkte und technische Produktdokumentation – Système de classification des produits techniques et documentations de produits techniques) ; pour plus de détails (en allemand), consultez la page http://de.wikipedia.org/wiki/DIN_6779.
  • AKZ (Anlagenkennzeichnungssystem – Système de classification d'équipements) ; pour plus de détails (en allemand), consultez la page http://de.wikipedia.org/wiki/Anlagenkennzeichnungssystem.

International

  • KKS (Système de classification des centrales électriques) ; pour plus de détails, consultez la page (en allemand) http://de.wikipedia.org/wiki/Kraftwerk-Kennzeichensystem.

Ces standards existent dans tous les secteurs de l'industrie. Nous vous recommandons d'utiliser les conventions d'affectation de noms correspondantes.

Exemple dans KKS :

Dans un projet de centrale électrique, les variables doivent être nommées conformément au système KKS.
Une variable correspondante avec l'intitulé C01_MDY10-QA001_QA07 indique :

  • Équipement éolien C01 (rang C, no. 1)
  • Wind turbine control MDY10
  • Power part QA001
  • Dispositif de protection de puissance QA07.


Possibilités de remplacement

Manuel -> Développez efficacement vos projets avec zenon -> Réutilisation d’éléments -> Remplacement de variables et de fonctions -> Possibilités de remplacement

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

La fonction de remplacement peut être utilisée à différents points dans un projet :

  • Remplacement des liens d’un synoptique : les synoptiques sont copiés, et les liens sont remplacés dans le synoptique copié.
  • Remplacement des liens lors des appels de synoptique : un seul synoptique est utilisé pour différents automates ; les liens sont adaptés lors de l’appel de synoptique.
  • Remplacement d’indices : remplacement des variables dans un synoptique de procédé sur la base de la valeur des variables d’indices.

Autres sujets abordés dans ce chapitre

Remplacement des liens d’un synoptique :

Remplacement des liens lors des appels de synoptique

Remplacer les indices


Remplacement des liens d’un synoptique :

Manuel -> Développez efficacement vos projets avec zenon -> Réutilisation d’éléments -> Remplacement de variables et de fonctions -> Possibilités de remplacement -> Remplacement des liens d’un synoptique :

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Si des variables sont associées à un synoptique, elles peuvent facilement être remplacées par le biais d’une boîte de dialogue de remplacement. Éléments requis :

  • Une convention d’affectation de noms claire pour les variables.

Celle-ci permet de copier et coller, puis continuer à utiliser les synoptiques créés. Le remplacement est exécuté par le biais du menu contextuel :

  • Cliquez avec le bouton droit sur l’élément de synoptique.
  • Cliquez sur Remplacer les liens.

La boîte de dialogue de remplacement est alors ouverte.

Exemple

Dans notre exemple, le projet comporte plusieurs variables issues de différentes composantes de l’équipement. Les éléments suivants sont présents dans le synoptique de procédé :

  • 10 variables issues du contrôleur de turbine éolienne MDY10, et comportent des éléments dynamiques liés
  • Des boutons d’appel de synoptique présents à différents emplacements dans le contrôleur MDY10

En effectuant une manipulation copier-coller, la personne configurant le projet compte réutiliser le synoptique dans sa forme exacte pour le contrôleur de turbine éolienne MDY11 ou remplacer les variables et/ou les fonctions par les variables et fonctions correspondantes provenant du nouvel automate. Pour cela :

  1. Les éléments dynamiques auxquels sont liées les variables et fonctions sont affichés en surbrillance
  2. La boîte de dialogue de remplacement s’affiche

  3. Dans le champ Source, l’identifiant d’équipement *MDY10* est saisi
    (Les premier et dernier caractères * sont des opérateurs)
  4. L’expression MDY11 est saisie dans le champ Cible
  5. Déclencher la procédure de remplacement en cliquant sur Accepter, puis fermer la boîte de dialogue de remplacement en cliquant sur OK

Le synoptique peut maintenant être utilisé pour le nouvel automate.


Remplacement des liens lors des appels de synoptique

Manuel -> Développez efficacement vos projets avec zenon -> Réutilisation d’éléments -> Remplacement de variables et de fonctions -> Possibilités de remplacement -> Remplacement des liens lors des appels de synoptique

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Avec cette méthode, le synoptique d’origine est toujours utilisé et appelé dans le Runtime avec différentes variables et fonctions. Le synoptique contient différentes variables, comme dans l’exemple Remplacement des liens de synoptiques. Le remplacement est effectué durant l’appel de synoptique. Pour cela :

  1. Plusieurs fonctions d’appel de synoptique sont configurées sur ce synoptique.
  2. Cette fonction est disponible lors de la création d’une boîte de dialogue de remplacement.
  3. Chaque fonction contient un procédé de remplacement propre.

Une variante de ce procédé permet de n’utiliser qu’un appel de synoptique : le remplacement d’indices dans les tableaux.


Remplacer les indices

Manuel -> Développez efficacement vos projets avec zenon -> Réutilisation d’éléments -> Remplacement de variables et de fonctions -> Possibilités de remplacement -> Remplacer les indices

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Dans les tableaux, le remplacement de variables peut être effectué par le biais des variables d’indices.

Comme avec le remplacement des liens lors des appels de synoptiques, le synoptique est utilisé une fois seulement. Les variables liées sont remplacées durant la commutation. Les appels de synoptique ne sont configurés qu’une fois (contrairement au remplacement des liens de synoptiques), et peuvent être réutilisés plusieurs fois par le biais d’une variable d’indice.

Exemple

Un appel de synoptique est exécuté sur un synoptique de procédé contenant 10 variables pour le contrôleur de turbine éolienne MDY10. L’objectif de l’opérateur configurant le projet consiste à réutiliser le synoptique à l’échelle 1:1, car les contrôleurs de turbine éolienne MDY11, MDY12 et MDY13 comportent le même nombre de variables.

Règle de gestion des indices :

  • Source : C01 MDY10 QA001*
  • Cible : C01 MDY{X01} QA001

Ceci a l’effet suivant :

  • Lors de l’appel de synoptique, la fonction est informée qu’elle doit utiliser la valeur de variable du contrôleur de turbine éolienne X01 dans le nom de la variable utilisée pour l’appel de synoptique.

    Exemple : Si cette variable possède une valeur de 12, le synoptique de procédé contenant toutes les variables du contrôleur de turbine éolienne MDY12 sont affichées lors de l’exécution de l’appel de synoptique.


Symboles

Manuel -> Développez efficacement vos projets avec zenon -> Réutilisation d’éléments -> Symboles

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Les symboles offrent une grande capacité de réutilisation. Ils peuvent être créés sous des formes très complexes, et autorisent l’héritage. Les symboles peuvent être incorporés ou liés. En cas de liaison, la modification à un emplacement suffit pour mettre à jour tous les synoptiques utilisant ce symbole. Les symboles peuvent également être liés à d’autres symboles.

Exemple d’une barre d’outils

Un symbole (angle droit vide) est lié en tant que base de tous les boutons.

Les propriétés librement accessibles permettent de créer chaque bouton avec différents éléments graphiques. Si la forme ou la couleur des boutons doit être modifiée, le symbole de bouton vide doit être modifié. Tous les boutons adoptent automatiquement la forme et/ou la couleur nouvelles.

Autres sujets abordés dans ce chapitre

Propriétés d’accès libre

Remplacement par des symboles

Bibliothèque générale de symboles


Propriétés d’accès libre

Manuel -> Développez efficacement vos projets avec zenon -> Réutilisation d’éléments -> Symboles -> Propriétés d’accès libre

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Les symboles transmettent leurs propriétés aux objets auxquels ils sont liés. Toutefois, la transmission de propriétés individuelles peut être annulée. Prenons l’exemple de l’élément graphique affiché dans notre bouton. Si la transmission est annulée, cette propriété peut être définie individuellement pour chaque objet. Les modifications apportées à ce détail dans l’élément initial n’ont plus d’incidence sur les autres objets.

Réutilisation de synoptiques

L’association de symboles et de propriétés libérées peut être une solution efficace à la réutilisation de synoptiques de procédé.

Exemple

Une boîte de dialogue centrale de configuration des paramètres d’un projet est utilisée pour la configuration de différents paramètres. Cette fonctionnalité étant utilisée dans différents domaines, il est également important que certaines adaptations (telles que les couleurs d’arrière-plan, les synoptiques...) soient possibles.

Copier et coller :

  1. Créez un synoptique de procédé contenant cette boîte de dialogue de configuration des paramètres.
  2. Créez une copie du synoptique en effectuant un copier-coller.
  3. Les synoptiques de procédé qui ont été dupliqués peuvent être adaptés graphiquement aux besoins du projet.

Toutefois : L’héritage des propriétés n’est pas possible ici. Si l’opérateur configurant le projet souhaite ultérieurement effectuer des modifications de manière centralisée (par rapport à la structure de base de la boîte de dialogue de configuration de paramètres), ils doivent d’abord faire glisser ces éléments individuellement vers chaque synoptique de procédé.

Approche de l’utilisation des symboles avec des propriétés non héritées :

  1. La boîte de dialogue de configuration des paramètres est créée avec un symbole.
  2. Les éléments devant être adaptés à différents points de paramètres sont dissociés du concept d’héritage par le biais des propriétés non héritées.
  3. Le symbole est lié, positionné et adapté aux synoptiques correspondants.

  4. Si la personne configurant le projet décide de modifier l’apparence générale de la boîte de dialogue, elle doit effectuer cette modification de manière centrale dans le symbole. Cette modification affecte alors tous les éléments auxquels le symbole est lié.

  5. Les symboles globale peuvent être adaptés individuellement, à l’aide des propriétés non transmises et de la fonction de remplacement correspondante.

  6. Dans ce cas, l’opérateur configurant le projet a décidé de modifier l’interface utilisateur graphique générale de la boîte de dialogue de configuration des paramètres. Cette modification est mise en œuvre de manière centrale, via le symbole de configuration des paramètres. Les propriétés individuelles des boîtes de dialogue de configuration des paramètres individuels restent inchangées ; seules les propriétés contenues dans l’héritage sont présentes.


Remplacement par des symboles

Manuel -> Développez efficacement vos projets avec zenon -> Réutilisation d’éléments -> Symboles -> Remplacement par des symboles

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Le procédé décrit dans la section Remplacement de variables et de fonctions peut également être effectué pour les symboles. Ici aussi, il est impératif de réfléchir à l’d’affectation de noms des objets.

Lors du remplacement de symboles, il est important de distinguer deux approches différentes : un symbole issu d’une bibliothèque (de projet ou globale) peut être :

  • Inséré dans un synoptique sous forme de groupe d’éléments
  • Lié dans un synoptique

Selon l’approche choisie, différentes boîtes de dialogue sont affichées pour le remplacement des variables et fonctions.

Groupes d’éléments

Dans ce cas, les variables sont directement remplacées par le biais de la boîte de dialogue de remplacement. La boîte de dialogue offre la possibilité de sélectionner des variables, par le biais d’une boîte de dialogue de sélection de variables. L’utilisation de symboles de cette manière n’est idéalement pas adaptée à la réutilisation.

Symboles

Ce procédé permet d’effectuer les opérations avec des chaînes de remplacement. Ces chaînes sont remplacées par les variables correspondantes durant la compilation. Si cela n’est pas possible par le biais de la boîte de dialogue affichée, les remplacements peuvent être effectués par le biais d’une boîte de dialogue de sélection de variables. L’opérateur configurant le projet utilise ici des chaînes de remplacement individuelles, séparées par un point-virgule (;).

Le symbole associé à cette boîte de dialogue de remplacement peut maintenant être réutilisé dans différents éléments de l’équipement. Cet exemple suppose que des variables et fonctions similaires sont utilisées dans chaque élément de l’équipement (différenciées uniquement par l’abréviation de l’équipement dans le nom), et que celles-ci peuvent être remplacées rapidement, et avec une vue d’ensemble claire.

Vous trouverez d’autres informations concernant le remplacement de symboles dans le manuel consacré aux synoptiques, dans la section Symboles.


Bibliothèque générale de symboles

Manuel -> Développez efficacement vos projets avec zenon -> Réutilisation d’éléments -> Symboles -> Bibliothèque générale de symboles

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

La gestion des symboles s’effectue soit dans la bibliothèque de symboles du projet, soit dans le projet global ou dans la bibliothèque générale de symboles. La principale différence est la suivante :

Bibliothèques de symboles

Propriété

Bibliothèque générale de symboles

Les symboles sont disponibles dans tous les projets. Le nœud Bibliothèque de symboles globale se trouve dans le gestionnaire de projets, sous les projets actuellement chargés.

Intitulé lors de la création d’un lien sur le synoptique : [groupe de symboles]/[nom du symbole]

Règles :

  • La boîte de dialogue sélection de variables affiche tous les projets de l'espace de travail pour la création de liens.
  • Ces symboles sont enregistrés dans le dossier de programme de zenon, et sont uniquement mis à jour lors du démarrage d'Editor. Ces symboles ne sont pas enregistrés durant la sauvegarde du projet.
  • Les verrouillages et les alias de la fonction CAL ne peuvent pas être configurés.
    Avertissement : Si les symboles contenant des verrouillages ou des alias sont ajoutés, ces paramètres sont supprimés.

Bibliothèque de symboles du projet global

Les symboles sont disponibles dans tous les projets de l’espace de travail.

Intitulé lors de la création d’un lien sur le synoptique : Projet global [Nom du symbole]

Règles :

  • Les symboles copiés dans la bibliothèque de symboles du projet global conservent leurs liens de variables sans modification.
  • La boîte de dialogue sélection de variables affiche tous les projets de l'espace de travail pour la création de liens. Les variables liées sont placées devant le nom du projet correspondant.
  • Le nom de la Variable peut être modifié dans la fenêtre des propriétés. Ainsi, par exemple, le préfixe peut être supprimé avec l'origine du projet.
  • Les symboles sont également sauvegardés lors de la sauvegarde d'un projet.
  • Les verrouillages et les alias de la fonction CAL ne peuvent pas être configurés.
    Avertissement : Si les symboles contenant des verrouillages ou des alias sont ajoutés, ces paramètres sont supprimés.

Bibliothèque de symboles du projet

Les symboles sont uniquement disponibles dans le projet actuel.

Intitulé lors de la création d’un lien sur le synoptique : [Nom du symbole]

Règles :

  • Les symboles sont enregistrés dans le dossier du projet. La bibliothèque de symboles du projet se trouve dans le projet actuel, dans le nœud Synoptiques, et est sauvegardée lors de la sauvegarde du projet.
  • Les verrouillages et les alias de la fonction CAL peuvent être configurés. Ces propriétés sont également conservées lors de l'ajout de symboles.

Copying of symbols between libraries

Symbols can be copied with Drag&Drop .
Dans ce cas, les considérations suivantes s'appliquent :

  • Only symbols of the first level of the tree can be copied.
  • Groups and folders cannot be copied.
  • If there are already names of symbols in the target library, the names of the added symbols are automatically renamed.
    Renaming is carried out by adding an underscore and an ordinal number, for example: Calibrator_1.
  • Copying between libraries is only possible to a limited extent.

Overview of copying between symbol libraries using Drag&Drop:

Copying using Drag&Drop possible | Bibliothèque générale de symboles | Bibliothèque de symboles du projet global | Bibliothèque de symboles du projet
Bibliothèque générale de symboles | -- | + | --
Bibliothèque de symboles du projet global | -- | -- | +
Bibliothèque de symboles du projet | -- | + | --

Légende :

  • +: copying possible
  • --: copying not possible

Exemple

un point de configuration central compile une collection de symboles devant être utilisés par les points de configuration distribués dans différents projets individuels dans le monde entier. Par exemple, les symboles complexes affichant les parties importantes de synoptiques de procédés sont affichés. Cette collection de symboles est un dossier ou un fichier, par exemple Global_Used_Symbols.SYM. Si des modifications graphiques centrales sont apportées à cette collection globale de symboles, Global_Used_Symbols.SYM est simplement transmis à tous les points de configuration, où le remplacement est effectué. L’adaptation individuelle est effectuée par le biais des propriétés non héritées et de la fonction de remplacement.

Il n’est pas toujours nécessaire de distribuer la collection entière de symboles. Une procédure d’exportation/importation de données XML peut également être utilisée pour distribuer des symboles individuels sélectionnés.

attention Attention

L’utilisation de la bibliothèque de symboles globale doit être régie par des règles claires : les points de configuration locaux ne doivent pas modifier les symboles de la collection de symboles. Toute modification serait remplacée lors de la prochaine mise à jour.


Type de données de structure

Manuel -> Développez efficacement vos projets avec zenon -> Réutilisation d’éléments -> Type de données de structure

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Les variables peuvent être réutilisées avec des types de données de structure. Des structures complexes peuvent ainsi être créées en utilisant les avantages de la fonction d’héritage.

Exemple

Le type de données de structure Moteur comprend trois éléments :

  • États
  • Vitesse
  • Température

Le type d’héritage des éléments diffère :

  • les données État et Vitesse proviennent du type de données INT, mais leur héritage a été interrompu par le procédé d’incorporation.
    Ceci signifie : Que les mises à jour ultérieures du type de données INT n’ont aucune incidence sur ces deux éléments.
  • Les données "Température" proviennent également du type de données INT ; l’héritage est préservé.
    Ceci signifie : Que les modifications ultérieures apportées au type de données INT ont également une incidence sur cet élément de structure.

Si, par exemple, 20 moteurs possédant une structure toujours identique sont configurés, des variables reposant sur le type de données "Moteur" créé par l’utilisateur peuvent être créées. Ceci peut, par exemple, se produire lors de la création d’un tableau avec ce type de données. Dans cet exemple, l’affichage graphique est déclenché au moyen d’un symbole.

Lorsque ce symbole est lié dans un synoptique de procédé, les variables par défaut du symbole sont remplacées par les variables du type de données de structure créé par l’utilisateur. Il est important que la convention d’affectation de noms utilisée soit bien réfléchie dès le début.

Si un synoptique de procédé est créé pour fournir une vue d’ensemble de tous les moteurs, le symbole inséré peut être facilement dupliqué par une manipulation copier-coller. Seule la variable cible doit être remplacée par le numéro de séquence correspondant à chaque symbole :

Si les valeurs limites des variables Vitesse doivent être ajoutées ultérieurement, vous bénéficiez de la représentation existante de l’héritage entre le type de données automatiquement créé et les variables créées résultantes. Pour la modification planifiée, une nouvelle valeur limite est créée pour l’élément de structure Vitesse, du type de données Moteur distinct. Cette modification effectuée à la position possède un effet sur les 20 moteurs créés.

Cependant, configurant le projet est libre de révoquer cette relation d’héritage. La valeur limite de l’élément de structure Vitesse peut être modifiée pour l’une des 20 variables de moteur créées.

Remarque : les propriétés individuelles ou toutes les propriétés d’une variable sont déconnectées du type de données.

info Informations

Vous pouvez lire des conseils relatifs à l’utilisation des types de données de structure dans la section Types de données de structure – Éléments de structure – Tableau de structure et dans le manuel Variables, dans la section Types de données de structure.


Matrices de réaction

Manuel -> Développez efficacement vos projets avec zenon -> Réutilisation d’éléments -> Matrices de réaction

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Les matrices de réaction permettent de veiller à ce qu’une variable reste inchangée tout au long du projet. Contrairement aux valeurs limites, elles adoptent une approche centralisée : Une matrice de réaction est configurée une fois, puis attribuée à un nombre donné de variables. Toutes les variables liées à la matrice de réaction réagissent de la même manière. Cela vous offre l’avantage d’une maintenance centralisée et simple.


Projet global

Manuel -> Développez efficacement vos projets avec zenon -> Réutilisation d’éléments -> Projet global

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Dans un projet global, des paramètres standard peuvent être définis à l’échelle du projet. Ceci permet de définir certains modules ou éléments pour tous les sites, tandis que les projets locaux définissent des paramètres individuels.

Les éléments suivants peuvent être configurés dans un projet global :

  • Gestion d’alarmes :

    Déclaration des groupes d’alarmes, des classes d’alarmes et des zones d’alarmes à utiliser à l’échelle globale.

  • Modèles d’équipement :

    Cet élément est compatible avec la configuration centrale du projet, une division peut être configurée sous la forme de deux "usines". Dans ce cas, les éléments de configuration du projet provenant du point de configuration central du projet et ceux provenant du point de configuration du projet local doivent être configurés.

  • Utilisateur :

    Si une norme impose l’existence de certains utilisateurs globalement valides, ceux-ci peuvent être déterminés par l’intermédiaire du projet global.

  • Fichiers :

    Une norme peut, par exemple, imposer l’utilisation d’éléments graphiques devant être utilisés dans des projets créés individuellement. Ces éléments peuvent être fournis à l’échelle globale.

  • Cadres :

    Ces éléments définissent la disposition du synoptique de procédé et la taille des projets à développer. Par exemple, il est possible de clairement définir, dans un projet, une directive selon laquelle les nouveaux synoptiques peuvent uniquement être créés à l’aide de modèles d’un projet global. Ceci permet de garantir l’uniformité des éléments graphiques à l’échelle du projet.

  • Polices et palettes de couleurs :

    Pour promouvoir l’uniformité des textes et couleurs affichés, un ensemble prédéfini de listes de polices et/ou de palettes de couleurs peut être défini pour une utilisation globale.

  • Tables de langues :

    Si un ensemble déterminé de conditions et de déclarations doit être utilisé dans la configuration d’un projet, il est possible de définir ces éléments à l’aide des tables de langues définies et de réaliser, dans le même temps, les traductions correspondantes.

Exemple

Un point de configuration central du projet définit les standards concernant les couleurs, les polices, les modèles, etc. par le biais d’un projet global, pour toutes les personnes procédant à la configuration du projet. Le projet global est distribué à toutes les équipes sous forme de sauvegarde de projet. Les équipes peuvent alors l’importer dans leur espace de travail. Une directive doit être utilisée pour stipuler clairement que les points de configuration du projet local ne doivent pas apporter de modifications à un projet global, car ils sont régulièrement remplacés par la saisie des mises à jour provenant du point de configuration central du projet.

Exemple d’un modèle d’équipement

Un modèle d’équipement simple, qui fait uniquement une distinction entre un groupe de configuration central et local. Dans un projet individuel, cette distinction peut désormais être utilisée pour faciliter la visualisation du projet dans Editor. Dans le détail, cela donnerait l’impression que chaque élément configuré dans Editor a été attribué à un groupe d’équipements correspondant.

Les synoptiques de procédé existants sont affichés après chaque attribution d’équipements.

Le point de configuration du projet local peut ainsi clairement détecter quels synoptiques sont mis à jour par un point de configuration de projet central via l’importation au format XML. Pour la personne assurant la configuration du projet local, les synoptiques ne devant pas être modifiés peuvent ainsi être clairement identifiés. En effet, chaque modification apportée à un synoptique global est remplacée lors de la mise à jour suivante.

Conseil : pour mettre un projet global à jour, il n’est pas toujours nécessaire de créer et d’importer une sauvegarde de projet. Les modifications individuelles peuvent également être mises à jour localement, grâce à l’exportation et l’importation au format XML.


XML

Manuel -> Développez efficacement vos projets avec zenon -> Réutilisation d’éléments -> XML

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

L’importation et l’exportation via l’interface XML offrent de nombreuses possibilités de réutilisation de composants de projets.

attention Attention

Les éléments existants portant le même nom sont remplacés durant l’importation.

Dépendances durant l’importation

Si plusieurs éléments d’un projet doivent être importés, plusieurs fichiers XML avec différents contenus doivent être utilisés. Pour accepter correctement le contenu de différents fichiers XML, les dépendances existantes doivent être prises en compte :

Si, par exemple, un synoptique est importé et les variables associées n’existent pas dans le projet, les liens ne pourront pas être recréés. Pour créer correctement tous les liens, il peut être nécessaire d’importer deux fois un synoptique ou une variable.

Exemple pour un synoptique au format XML :

La méthode la plus exhaustive consiste à exporter un synoptique, car le fichier XML ainsi créé contient non seulement le synoptique et les éléments contenus, mais également le modèle, les variables et les fonctions associés, c’est-à-dire tous les éléments visibles sur le synoptique et directement liés à celui-ci.

Sur le synoptique A, une fonction B est exécutée d’une pression sur un bouton, pour ensuite ouvrir le synoptique A :

  • La fonction B nécessite le synoptique A pour que celui-ci puisse effectivement être lié à la fonction B.
  • Le synoptique A nécessite la fonction B pour que celle-ci puisse effectivement être liée au bouton.

Les conditions suivantes doivent donc être réunies :

  1. D’abord, importer la fonction,
  2. puis le synoptique, et ensuite
  3. importer une nouvelle fois la même fonction ; dans le cas contraire, la référence au synoptique ne pourra pas être établie dans la fonction.

Harmoniser les projets au sein d’une usine

L’exportation/l’importation au format XML est également utile pour garantir l’harmonisation de projets à l’échelle d’une usine. Si une entreprise détermine que certaines composantes d’un projet doivent être conçues de manière uniforme à l’échelle mondiale, les éléments uniformes sont les suivants :

  1. Configuration centrale
  2. Exportation sous forme de fichier XML
  3. Distribution sous forme de fichier XML
  4. Acceptation par chaque équipe locale sous forme d’importation au format XML

Une autre méthode consiste à effectuer l’exportation et l’importation à l’aide d’un assistant spécifique.

Parce que les éléments existants sont remplacés durant l’importation au format XML, ces éléments uniformes doivent être nommés de manière claire, conformément à une convention obligatoire. Toute modification locale de ces éléments sera remplacée lors de la prochaine importation.

Assistants

zenon propose un assistant pour aider l’utilisateur à accomplir les tâches d’importation. L’assistant permet à l’utilisateur de sélectionner ce qu’il souhaite importer en le guidant dans ses décisions. Une des méthodes d’utilisation de l’assistant consiste à créer une bibliothèque au format XML contenant différentes variantes des synoptiques et fonctions.

Configuration avec l’assistant

Un assistant peut également être utilisé pour personnaliser des fonctions standard, présentes au format XML. Une fonction est importée au format XML, puis adaptée aux exigences spécifiques du projet en modifiant certaines propriétés variables selon les objets. Par exemple, une fonction d’appel de synoptique au format XML peut être réutilisée plusieurs fois, grâce à la personnalisation des propriétés.


Assistants

Manuel -> Développez efficacement vos projets avec zenon -> Réutilisation d’éléments -> Assistants

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Les assistants simplifient la réutilisation d’éléments et de composants du projet. Les assistants sont principalement adaptés aux tâches suivantes :

  • Création de projets de modèles :

    Un assistant permet de créer certaines composantes d’un nouveau projet en quelques clics. Contrairement à l’importation simple d’une sauvegarde de projet complète du projet de modèle, l’opérateur configurant le projet dispose ici d’une plus grande capacité d’individualisation.

    Par exemple, un assistant peut créer différents types de projet, quelle que soit la machine concernée.

  • Création de composantes prédéfinies d’un projet :

    Les assistants peuvent également faciliter la création de certains éléments d’un projet.

    Par exemple : Création d’un élément de projet "Moteur".
    ?L’assistant crée des éléments prédéfinis dans cet élément. Il est ainsi possible de créer des synoptiques, des fonctions, des variables, etc. en quelques clics. Outre les délais de configuration réduits, vous pouvez également obtenir une apparence uniforme, car les assistants sont programmés depuis un point de configuration central et sont utilisés par les points de configuration locaux.

  • Configuration à l’aide de bases de données ou fichiers prédéfinis :

    Les bases de données ou fichiers prédéfinis peuvent également faciliter la création ou l’extension de projets. Dans ce cas, les éléments à configurer sont décrits dans une base de données ou un fichier Excel (nom de fonction, type de fonction, paramètre de fonction, nom de variable, offset, etc. Ces éléments sont lus à l’aide de l’assistant, et les configurations correspondantes sont réalisées dans zenon.

D’autres informations concernant les assistants et leur création sont disponibles dans le manuel Assistants.


Réutiliser des projets

Manuel -> Développez efficacement vos projets avec zenon -> Réutilisation d’éléments -> Réutiliser des projets

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Les projets peuvent également être utilisés de différentes manières. Dans ce cas, les mécanismes présentés dans le chapitre consacré à la capacité de réutilisation jouent parfois un rôle significatif.

Sauvegarde de projet

Enregistrer sous

Gestion multi-projets

Autres sujets abordés dans ce chapitre

Sauvegarde de projet

Enregistrer sous

Gestion multi-projets


Sauvegarde de projet

Manuel -> Développez efficacement vos projets avec zenon -> Réutilisation d’éléments -> Réutiliser des projets -> Sauvegarde de projet

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Les sauvegardes de projets permettent d’accepter des projets complets.

Par exemple, un projet peut être distribué à toutes les équipes sous forme de modèle. Ces modèles créent une sauvegarde de projet et personnalisent le projet.

attention Attention

Cette méthode n’est pas adaptée au transfert des modifications de projet, car toutes les configurations locales sont remplacées lors de leur acceptation.

Pour assurer la maintenance de projets créés de cette manière au niveau de toutes les équipes, nous vous recommandons d’utiliser la fonction d’exportation/importation de données XML.

Veuillez noter que les éléments existants portant le même nom sont remplacés lors de l’importation. Lors de la configuration d’un projet, les éléments configurés pouvant être remplacés doivent être clairement identifiés. Par exemple, pour l’identification nécessaire, un ajout correspondant au nom de l’élément ou à la procédure par l’intermédiaire des groupes d’équipements, reportez-vous à la section projet global.


Enregistrer sous

Manuel -> Développez efficacement vos projets avec zenon -> Réutilisation d’éléments -> Réutiliser des projets -> Enregistrer sous

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

La fonction Enregistrer sous créer une copie d’un projet, sous un nouveau nom et avec un nouveau GUID, dans la zone de travail active.

Exemple

Les projets individuels associés à différents types de machines doivent être créés sur la base d’un projet de modèle. Pour cela :

  1. Une sauvegarde de projet du projet de modèle doit être chargée
  2. Plusieurs projets portant des noms différents sont créés dans l’espace de travail actif, à l’aide de la fonction Enregistrer sous (par exemple, Machine 1, Machine 2, etc.).

Chaque projet de machine comporte une situation de projet initiale identique. En revanche, les projets ne sont plus liés à un projet de modèle. Les modifications apportées à un projet de modèle ne sont plus automatiquement acceptées dans les projets copiés. Toutefois, les modifications apportées au modèle peuvent être introduites dans les projets individuels par le biais de la fonction d’exportation/importation au format XML.

Veuillez noter que les éléments existants portant le même nom sont remplacés lors de l’importation. Lors de la configuration d’un projet, les éléments configurés pouvant être remplacés doivent être clairement identifiés. Par exemple, pour l’identification nécessaire, un ajout correspondant au nom de l’élément ou à la procédure par l’intermédiaire des groupes d’équipements, reportez-vous à la section projet global.


Gestion multi-projets

Manuel -> Développez efficacement vos projets avec zenon -> Réutilisation d’éléments -> Réutiliser des projets -> Gestion multi-projets

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Les projets peuvent être compilés dans un espace de travail de la gestion multi-projets de zenon, dans le cadre d’un projet d’intégration. Il est ainsi possible de modifier un projet de manière centrale, tandis que les configurations de projets locaux sont effectuées dans un autre projet.

Exemple

Un point de configuration de projet central est utilisé pour mettre en œuvre la réutilisation d’éléments graphiques dans les projets locaux, afin de garantir une interface utilisateur uniforme. Pour cela, la configuration centrale crée un projet modèle qui constitue la base graphique utilisée par toutes les autres équipes de configuration de projet. Toutefois, si une modification est apportée à la conception de l’interface utilisateur dans la configuration centrale, celle-ci doit être mise en œuvre à tous les niveaux de configuration du projet. Cette opération peut être effectuée à l’aide de la fonction de gestion multi-projets : un projet contient les éléments devant être gérés de manière centralisée, tandis qu’un autre projet contient la configuration locale.

Procédure :

  1. Un projet de modèle est initialement transmis à toutes les équipes de configuration.
  2. Il est ensuite transféré vers l’espace de travail actif.
  3. Localement, un deuxième projet vide, contenant les modifications spécifiques, est créé localement.
  4. Deux projets sont maintenant présents dans l’espace de travail ; le projet de modèle et le projet personnalisé.
  5. L’organisation multihiérarchique des projets est effectuée à l’étape suivante.
  6. Le projet de modèle devient le projet d’intégration ; le projet individuel devient le sous-projet.

info Informations

Cette méthode n’est pas adaptée aux projets devant être exécutés sous Windows CE, car un seul projet peut être démarré à la fois sous CE.


Réseau intégré :

Manuel -> Développez efficacement vos projets avec zenon -> Réseau intégré :

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Grâce à zenon, le développement distribué sur le réseau et la redondance totale ne demandent plus un effort démesuré ; vous pouvez créer des réseaux en cochant la case concernée dans les propriétés du projet. Et voilà exactement la facilité avec laquelle vous pouvez créer des systèmes redondants, connectés en réseau de manière efficace, à partir de projets autonomes.

Si vous possédez un réseau TCP/IP Windows, zenon propose automatiquement des fonctions réseau accessibles d’un clic, ainsi qu’un modèle client/serveur ou un système à hiérarchies multiples comportant des sous-stations, des centres d’espace de travail et des centres. Celui-ci :

  • crée également des projets avec d’autres utilisateurs sur le réseau, au même moment
  • garantit la protection de vos équipements grâce à la redondance circulaire totale de zenon.
  • Créez des systèmes distribués sans la moindre difficulté.
  • Accédez à distance aux postes de travail
  • Suivez et contrôlez vos équipements via zenon Web Server.
  • Pouvez consulter les données de procédé sur tous les postes en temps réel.
  • Rendez les fonctionnalités d’un espace de travail (par exemple, l’acquittement d’alarmes) visibles dans tous les autres espaces de travail
  • Assurez la journalisation et l’archivage centralisés des actions
  • Utilisez instantanément les données de procédé pour les systèmes ERP, tels que SAP

zenon assurera automatiquement la synchronisation horaire requise sur tous les ordinateurs participants.


Conseils et astuces

Manuel -> Développez efficacement vos projets avec zenon -> Conseils et astuces

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Dans zenon, vous disposez de nombreux raccourcis clavier et méthodes rapides pour configurer votre projet. Nous vous présentons ici une sélection de raccourcis et méthodes.

Conseils et astuces pour :

  • Editor
  • Runtime
  • La phase de test
  • Raccourcis-clavier

Autres sujets abordés dans ce chapitre

zenon Editor

zenon Runtime

Raccourcis-clavier

Test de projets


zenon Editor

Manuel -> Développez efficacement vos projets avec zenon -> Conseils et astuces -> zenon Editor

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Conseils relatifs à zenon Editor :

Général

  • Enregistrer les vues d’Editor : Les profils Editor vous permettent d’enregistrer vos divisions de fenêtres et vos attributions de modules personnelles.
  • Accédez directement au dossier des fichiers d’Editor : Sélectionnez le projet, puis appuyez sur les touches Ctrl+Alt+E.
  • Accédez directement au dossier des fichiers du Runtime : Sélectionnez le projet, puis appuyez sur les touches Ctrl+Alt+R.

Synoptique/éditeur de symboles

  • Lier des éléments :
    Vous pouvez lier des fonctions, des variables, des polices, etc. à des éléments dynamiques en effectuant un glisser-déplacer.
  • Ajouter une copie au même emplacement :
    Le raccourci-clavier Ctrl+Maj+V vous permet d’ajouter des éléments copiés au même emplacement que l’élément source.
  • Tracer un cercle :
    Pour tracer un cercle, faites glisser le pointeur de l’élément Ellipse/cercle avec la souris, tout en maintenant la touche Maj enfoncée.
  • Modifier une ligne de façon symétrique :
    Si vous maintenez la touche Alt enfoncée pendant que vous déplacez les coins extérieurs, la modification est apportée de manière symétrique.
  • Redimensionnement :
    Vous pouvez redimensionner plusieurs éléments de synoptique simultanément : Pour cela :
    • Sélectionnez tous les éléments.
    • Convertissez-les en groupe d’éléments
    • Redimensionnez le groupe d’éléments à votre convenance.
    • Les éléments individuels sont redimensionnés dans la même proportion.
    • Scindez à nouveau le groupe d’éléments en éléments individuels.
  • Modèles des synoptiques :
    Vous pouvez convertir tout synoptique de votre choix en modèle de synoptique.
  • Manipuler les coordonnées X/Y d’un élément :

    Vous pouvez directement saisir les coordonnées X/Y d’un élément ou d’un coin d’un polygone dans une boîte de dialogue ou le déplacer à l’aide des touches fléchées.

    • Saisie directe : Double-cliquez sur la poignée de redimensionnement d’un élément ou d’un coin d’un polygone pour ouvrir une boîte de dialogue. Vous pouvez directement saisir les coordonnées X/Y de ce point.
    • Déplacement avec les touches fléchées : Placez le pointeur de la souris sur la poignée de redimensionnement d’un élément ou un coin d’un polygone. Vous pouvez maintenant déplacer directement les coordonnées X/Y de ce point, à l’aide des touches fléchées.
  • Accéder à l’élément lié :
    Cliquez avec le bouton droit sur une propriété dans la fenêtre des propriétés ouvre un menu contextuel permettant d’accéder directement à l’élément lié.

Changement de langue

  • Intitulé des unités :
    Définissez le nom d’unité exact en tant qu’info-bulle. Dans l’environnement habituel, les utilisateurs réfléchissent normalement en unités nationales. Pour le dépannage, l’optimisation de l’internationalisation et les projets dotés d’une portée internationale, l’utilisation de cette info-bulle peut simplifier significativement leur travail.
    Rendez ces info-bulles traduisibles, et utilisez également des dénominations internationales pour le pays. Vous pouvez également traduire l’unité de mesure dans la langue correspondante.
  • Unités de valeur en tant que caractère et non en tant que mot :
    Utilisation de l’affichage des unités pour l’affichage de valeurs. Une traduction n’est alors pas nécessaire.
    Exemple d’affichage de la température : Le terme degré(s) doit être traduit. Toutefois, le symbole ° est identique dans toutes les langues et peut également être utilisé pour les degrés Celsius, Fahrenheit et Kelvin.
    Définissez le symbole correspondant dans les propriétés de l’unité de base.
  • Conversion des valeurs :
    Ajoutez la conversion de valeur correspondante à chaque fonction de changement de langue. Dans le cas contraire, des erreurs d’interprétation peuvent se produire.

Éditeur de symboles

  • Déverrouillage de la propriété :
    Vous pouvez déverrouiller une propriété d’un élément en effectuant un glisser-déplacer pour déplacer la propriété dans la fenêtre inférieure de l’éditeur de symboles. Dans ce cas, vous devez toujours cliquer sur le nom des propriétés, et non sur la valeur.
  • Mode d’édition individuel de symboles :
    Le raccourci Alt+clic sur un élément permet d’activer l’élément situé dessous.

Variables et drivers

  • Substitution :
    Pour pouvoir appliquer de manière optimale la possibilité de substitution :
    • Utilisez des types de données de structure.
    • Assurez-vous de donner à vos variables un nom court et concis.
    • Tenez compte de la possibilité d’une substitution lorsque vous attribuez un nom aux variables. Ce nom doit être unique et facilement substituable.
    • Configurez d’abord un synoptique sous forme de modèle, que vous pourrez réutiliser autant de fois que nécessaire après l’avoir complété à l’aide d’une fonction.
  • Créez automatiquement des variables en important :
    De nombreux drivers facilitent la création automatique de variables avec un adressage correct en autorisant l’importation depuis l’automate ou depuis un fichier. Pour cela, cliquez avec le bouton droit sur le driver, puis sélectionnez Importer les variables à partir du driver.


zenon Runtime

Manuel -> Développez efficacement vos projets avec zenon -> Conseils et astuces -> zenon Runtime

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Conseils pour le Runtime de zenon :

Général

  • Affichage du nom du synoptique :
    Cliquez avec le bouton droit sur une zone vide de l’écran et maintenez le bouton droit enfoncé. Le nom du synoptique s’affiche.
  • Liens de l’affichage :
    Cliquez avec le bouton droit sur un élément dynamique et maintenez le bouton droit enfoncé. Les fonctions ou les variables lié(e)s sont affichés.
  • Erreur de communication :
    Affichage au moyen de symboles sur l’élément numérique :
    • Coin supérieur gauche rouge : pas de communication avec l’automate.
    • Coin supérieur gauche bleu : pas de communication avec le serveur.
  • Écrire une valeur prescrite :
    Outre la valeur, vous pouvez modifier une commande.

    Seule la valeur d’une variable peut être modifiée dans le Runtime. Si la boîte de dialogue standard est utilisée, la fonction devant être exécutée peut également être modifiée à l’aide de la liste déroulante Commande, en Désactiver valeur spontanée, par exemple. Pour que la boîte de dialogue standard soit affichée, la propriété Synoptique clavier doit être désactivée dans la propriété Éléments dynamiques.

  • Écrire une valeur prescrite directement, sans boîte de dialogue d’exécution :
    Pour écrire une valeur prescrite directement, dans les propriétés de l’élément dynamique, dans le groupe Écrire valeur prescrite, activez la propriété Sans dialogue.

    Ce paramètre peut également être défini avec la fonction Ecriture valeur prescrite, en activant l’option Directement sur matériel.

Serveur d’archives

  • Afficher le nom du fichier ARX dans le synoptique :
    Le nom du fichier ARX peut être affiché dans la liste d’archives, dans une colonne du synoptique révision d’archive. Pour cela, dans le fichier zenon6.ini, dans la section [ARCHEDIT], définissez l’entrée KURZBEZEICHNUNG= sur 1. La description courte est alors affichée dans la liste. Elle correspond aux noms de fichiers ARX et fait également partie de toutes les archives d’agrégation.

Utilisation au clavier

  • Utilisation au clavier :
    Le Runtime peut également être intégralement utilisé à l’aide du clavier. Pour plus de détails, reportez-vous au chapitre Utilisation au clavier du manuel Runtime.
  • Désactivation des raccourcis-clavier :
    Les raccourcis-clavier de Windows peuvent être désactivés. Pour plus de détails, reportez-vous au chapitre Désactivation des raccourcis-clavier du manuel Runtime.


Raccourcis-clavier

Manuel -> Développez efficacement vos projets avec zenon -> Conseils et astuces -> Raccourcis-clavier

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

zenon permet d’accomplir de nombreuses actions à l’aide de raccourcis-clavier.

Général

Commande | Raccourci-clavier
Ouvrir l'aide | F1
Ouvrir/fermer le mode plein écran | Maj+F9
Transport distant : Fermer le mode plein écran | Ctrl+Alt+Maj+F
Démarrer l'éditeur VSTA | Alt+F10
Démarrer VBA Editor | Alt+F11
Assistants Ouvrir la sélection | Alt+F12
Ouvre l'explorateur de fichier pour le projet actuel, en affichant le dossier SQL. Correspond à : %ProgramData%\COPA-DATA\[Dossier SQL]\[UID]\FILES | Ctrl+Alt+E
Ouvre l'explorateur de fichiers en affichant les fichiers du projet actuel. Par exemple : C:\Users\Public\Documents\zenon_Projects\[Project]\INI\[Rechner]\INI | Ctrl+Alt+D
Ouvre l'explorateur de fichiers en affichant les fichiers de Runtime du projet actuel. Par exemple : C:\Users\Public\Documents\zenon_Projects\[Projet]\INI | Ctrl+Alt+R
Démarrer le Runtime ; créer préalablement les fichiers Runtime modifiés. | F5
Créer les fichiers Runtime modifiés | F7

Profils Editor

Commande | Raccourci-clavier
Charger le profil 1 de l'Éditeur | Maj+F1
Charger le profil 2 de l'Éditeur | Maj+F2
Charger le profil 3 de l'Éditeur | Maj+F3
Charger le profil 4 de l'Éditeur | Maj+F4
Charger le profil 5 de l'Éditeur | Maj+F5
Charger le profil 6 de l'Éditeur | Maj+F6
Charger le profil 7 de l'Éditeur | Maj+F7
Charger le profil 8 de l'Éditeur | Maj+F8
Enregistrer la vue actuelle de l'Éditeur sous : |
Profil 1 | Ctrl+Maj+F1
Profil 2 | Ctrl+Maj+F2
Profil 3 | Ctrl+Maj+F3
Profil 4 | Ctrl+Maj+F4
Profil 5 | Ctrl+Maj+F5
Profil 6 | Ctrl+Maj+F6
Profil 7 | Ctrl+Maj+F7
Profil 8 | Ctrl+Maj+F8

Éditeur graphique :

Note concernant les raccourcis : le signe plus (+) signifie que les touches sont enfoncées simultanément.
Par exemple :

Ctrl+A signifie : maintenez la touche Ctrl enfoncée, puis appuyez sur la touche A.

Ctrl++ signifie : maintenez la touche Ctrl enfoncée, puis appuyez sur la touche +.

Général

Commande | Raccourci-clavier
Fenêtre principale : faire défiler le contenu avec le pointeur Main | Maintenez la touche Espace enfoncée
Fermer le synoptique actuel | Ctrl+F4
Ouvrir les propriétés | Alt+Entrée

Sélectionner

Commande

Raccourci-clavier

Sélectionner plusieurs objets

Appuyez sur Maj ou Ctrl

Désélectionner un objet dans une sélection multiple

Ctrl + clic de souris

Sélection : modifier l'ordre de tri. Définir l'élément sur lequel tous les autres seront réalignés

Appuyez sur Maj durant la sélection

Sélectionner les objets masqués
  1. Appuyez sur Alt
  2. Cliquez sur l'objet et déplacez-le

Sélectionner tous les éléments d'un synoptique

Ctrl+A

Sélectionner l'élément suivant dans l'ordre de création des éléments

Onglet

Sélectionner l'élément précédent dans l'ordre de création des éléments

Maj + Tabulation

Positionnement

Commande | Raccourci-clavier
Déplacer l'objet sélectionné | Touches fléchées du clavier
Déplacer l'objet de 10 pixels à chaque pression sur une touche fléchée | Maj + touches fléchées
Déplacer l'objet horizontalement ou verticalement | Appuyez sur Maj durant le déplacement
Centrer l'objet sélectionné dans la zone de travail | H

Actions

Commande | Raccourci-clavier
Enregistrer les modifications | Ctrl+S
Coller l'élément depuis le presse-papiers | Ctrl+V Maj + Insér.
Insérer un élément du presse-papiers dans sa position originale ; l'original et la copie se superposent | Ctrl+Maj+V
Copie l'élément sélectionné. | Ctrl+C Ctrl+Insér.
Copier, plutôt que déplacer | Appuyez sur Ctrl durant le déplacement
Duplique l'élément sélectionné. You can find more detailed information in the Duplicating elements section. | Ctrl+D
Supprime l'élément sélectionné. | Suppr
Couper l'élément sélectionné | Maj + Suppr. Ctrl+X
Annuler les modifications | Ctrl+Z Alt+Retour arrière
Ajouter ou supprimer un nœud dans l'élément sélectionné. Ajouter : le pointeur de la souris devient un symbole moins (+). Supprimer : le pointeur de la souris devient un symbole moins (-). Fonctionne avec les polylignes, les polygones et les barres verticales. | Ctrl+Maj
Annuler le tracé des polylignes et polygones | s
Annuler le tracé des polylignes et polygones et supprimer la dernière section tracée | Échap
Déplacer les éléments sélectionnés d'un niveau vers le haut | +
Déplacer les éléments sélectionnés d'un niveau vers le bas | -
Déplacer les éléments sélectionnés au premier plan | Ctrl++
Déplacer les éléments sélectionnés vers l'arrière-plan | Ctrl+-

Graduations

Commande

Raccourci-clavier

Modifier la taille

Déplacez le pointeur de la souris sur le coin ; le pointeur devient une flèche. Vous pouvez ensuite positionner le coin au pixel près en vous servant des touches fléchées, ou le déplacer par incréments de 10 pixels en appuyant sur les touches fléchées+Maj.

Remarque : si un angle différent de 0 a été défini pour un élément via la propriété Angle de rotation [°], il ne peut pas être redimensionné à l'aide des touches fléchées.

Redimensionner l'objet autour du centre

Appuyez sur Alt durant le redimensionnement.

Redimensionnement proportionnel

Appuyez sur Maj durant le redimensionnement

Vue de détail

Commande | Raccourci-clavier
Crée un nouvel élément pour le module concerné | Insér.
Modifie la colonne sélectionnée | F2
Copie un élément sélectionné de la liste | Ctrl+C
Insère un élément préalablement copié de la liste | Ctrl+V
Supprime un élément sélectionné de la liste | Suppr
Fait défiler la liste de plusieurs éléments vers le haut | Page préc.
Fait défiler la liste de plusieurs éléments vers le bas | Page suiv.
Permet de parcourir la liste | Touche fléchée

Runtime

Commande | Raccourci-clavier
Afficher les différentes fenêtres Windows ouvertes. | Alt+Tabulation
Arrêter le Runtime | Alt+F4


Test de projets

Manuel -> Développez efficacement vos projets avec zenon -> Conseils et astuces -> Test de projets

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Conseils relatifs aux tests de projets :

  • Nom de la variable dans le synoptique :
    Pour afficher un nom de variable dans le synoptique, configurez un élément combiné sans état, avec le texte par défaut : %n.


Runtime

Manuel -> Runtime

Le Runtime est un logiciel offrant des fonctionnalités d'affichage graphique pour les projets HMI/SCADA.

tutorial Informations concernant la licence

Le Runtime zenon doit disposer d'une licence. La licence est calculée en fonction du nombre d'identifiants ou d'IO utilisés. Pour plus de détails concernant la gestion des licences, reportez-vous au chapitre Gestion des licences.

Il offre les fonctions suivantes :

  • Affichage du processus
  • Archivage de données telles que les messages et les valeurs de processus
  • Liste d'alarmes intégrée
  • Recettes
  • Fonctionnalités MultiTouch et bien davantage.

attention Attention

Remarque lors de la configuration du projet :

  • Pour garantir l’affichage optimal de zenon dans le Runtime, il est recommandé d’utiliser le réglage par défaut (100 %) du paramètre Affichage de Windows. L'utilisation de valeurs supérieures peut entraîner l'affichage incorrect d'éléments graphiques, de symboles, de textes, etc.
  • Les thèmes de Windows peuvent recouvrir les éléments du Runtime. Lors de la configuration d'un projet, veillez à laisser une distance suffisante entre les éléments et le bord de l'écran.

Le Runtime est disponible sous forme de version 32 bits et 64 bits, à partir de zenon 7.10. Les projets peuvent être exécutés dans les deux versions. D'autres informations concernant la compatibilité avec les différentes versions de zenon 7.10 sont disponibles dans le manuel Conversion de projets, au chapitre Version 64 bits. Le Runtime est disponible dans les versions zenon Supervisor et zenon Operator pour systèmes d'exploitation incorporés. Ces versions possèdent des fonctionnalités différentes. Pour plus de détails, reportez-vous à la section Restrictions concernant zenon Operator.

Several instances of Runtime

Only one instance of zenon Runtime can be started on a computer at any time. This applies regardless of whether Runtime is started as an EXE file, a zenon Web Client or as Runtime Control (OCX).

Exception: On the terminal server or terminal client, one instance of Runtime per user can be started as an EXE file, as a zenon Web Client or as Runtime Control (OCX). Only 1 instance can run at any time within a user context.

Autres sujets abordés dans ce chapitre

Versions 32 et 64 bits

Activation du Runtime

Désinstallation du Runtime

Runtime pour Windows CE

Protocoles pris en charge

Démarrer le Runtime

Démarrage du Runtime en tant que service

Runtime en tant que contrôle ActiveX

Utilisation dans le Runtime

Fichiers du Runtime

Profils du Runtime

Profils de filtre

Gestion de la date et de l'heure


Versions 32 et 64 bits

Manuel -> Runtime -> Versions 32 et 64 bits

Des versions 32 bits et 64 bits d'Editor et du Runtime de zenon sont maintenant disponibles. Des versions 32 bits et 64 bits de zenon Editor et des versions 32 bits et 64 bits du Runtime de zenon peuvent être installées sur les systèmes d'exploitation 64 bits. Les noms de fichier des fichiers exécutables sont identiques pour les versions 32 et 64 bits.

Sur les versions 64 bits, tous les services présents dans une version 64 bits sont enregistrés et utilisés dans la version 64 bits. Editor et le Runtime peuvent être démarrés au choix. Les projets peuvent être exécutés dans les deux versions d'Editor et du Runtime.

Les composants tels que le Runtime de zenon Logic, le module Workbench de zenon Logic, les drivers, le module Process Gateway et les autres outils sont uniquement utilisés dans leurs versions 32 bits.

Limitations générales

La restriction fondamentale selon laquelle seuls les fichiers DLL 64 bits peuvent être chargés dans des procédés 64 bits implique également certaines limitations concernant l'utilisation de zenon. Ceci affecte principalement les composants externes chargés dans Editor ou dans le Runtime. Les fichiers DLL chargés avec du code VBA/VSTA et des contrôles ActiveX sont directement affectés. Ces fichiers DLL doivent être disponibles dans une version 64 bits pour être utilisés dans la version 64 bits d'Editor ou du Runtime. Les contrôles ActiveX fournis par COPA-DATA sont toujours disponibles dans les versions 32 bits et 64 bits.

Conversion des projets de zenon versions 5.50 et antérieures

Aucun projet de zenon version 5.50 ne peut être converti avec Editor 64 bits. Ces projets doivent être préalablement convertis avec Editor 32 bits.

Limitation spécifique au module Recipe Group Manager (RGM)

Les bases de données Access ne sont plus prises en charge dans le module Recipe Group Manager. Pour pouvoir utiliser des données de MS Access provenant de versions antérieures dans la version 64 bits, le projet doit tout d'abord être converti dans la version 32 bits d'Editor. La propriété DataSource n'est plus disponible à partir de la version 7.10. Pour plus de détails, reportez-vous au chapitre Conversion de bases de données dans le module Recipegroup Manager.

VBA

La version de VBA utilisée est la version 7.1. zenon est également disponible dans une version 64 bits. Si, dans le code VBA, des fonctions de Windows API ou d'autres fichiers DLL importés sont utilisées, ces exécutions doivent être adaptées à la version 64 bits. En règle générale, les dispositions suivantes s'appliquent : Un fichier VBA créé pour une version 32 bits ne peut pas être utilisé sans modification dans une‑version 64 bits.

Certaines définitions/fonctions sont disponibles dans VBA, permettant ainsi de créer du code compatible 32 bits et 64 bits. Par exemple :

#if Win64 then

Declare PtrSafe Function MyMathFunc Lib "User32" (ByVal N As LongLong) As LongLong

#else

Declare Function MyMathFunc Lib "User32" (ByVal N As Long) As Long

#end if

#if VBA7 then

Declare PtrSafe Sub MessageBeep Lib "User32" (ByVal N AS Long)

#else

Declare Sub MessageBeep Lib "User32" (ByVal N AS Long)

#end if

Vous pouvez également consulter des notes utiles concernant le portage de code VBA 32 bits en code VBA 64 bits de Microsoft :

  • Microsoft Office 2010, notes concernant le portage : http://msdn.microsoft.com/en-us/library/ee691831.aspx
  • Déclarations 32 bits et 64 bits pour appels API : http://www.jkp-ads.com/articles/apideclarations.asp

Composants disponibles en version 32 bits uniquement

Les composants suivants sont donc uniquement disponibles en version 32 bits, même sur les ordinateurs 64 bits :

  • Certains programmes, tels que SIC.exe et DiagViewer.exe
  • Licence
  • Process Gateway
  • Startup Tool
  • Windows CE
  • Drivers
  • Runtime et module Workbench de zenon Logic


Activation du Runtime

Manuel -> Runtime -> Activation du Runtime

La procédure de première activation du Runtime varie selon que l'équipement utilisé est un équipement clé-en-main, sur lequel est installé le Runtime, ou un équipement sur lequel le Runtime doit être installé. Si le Runtime est déjà installé sur l'équipement, seul le projet souhaité doit être copié vers l'équipement sur lequel s'exécute le Runtime.

Pour cela :

  • Enregistrez les fichiers du projet sur un lecteur de données externe.
  • Avec un glisser-déplacer ou un copier-coller, transférez ces fichiers vers votre équipement de Runtime.

ou

  • Depuis le serveur, téléchargez le projet sur l'équipement sur lequel s'exécute le Runtime.
  • Créez un client à l'aide de la fonction de gestion de la topologie de réseau.

Remarque : Ceci est également possible à l'aide du module Remote Transport.

Si le Runtime n'est pas encore installé sur l'équipement, il doit d'abord être installé. Pour plus d'informations à ce propos, reportez-vous au chapitre Installation standard de zenon.

Une licence est requise pour activer le Runtime après son installation. Les informations concernant la licence sont fournies sur une fiche de licence, fournie avec l'équipement ou le support d'installation.

Remarque : Le disque dur de l'équipement utilisé peut présenter une défaillance critique après plusieurs années d'utilisation dans un environnement industriel difficile. Pour éviter une perte de données, il peut être judicieux de configurer un environnement redondant, par ex. en travaillant avec un serveur et un serveur redondant.

Autres sujets abordés dans ce chapitre

Installation

Configuration système requise et systèmes d'exploitation

Configuration matérielle requise


Installation

Manuel -> Runtime -> Activation du Runtime -> Installation

Pour l'installation du Runtime de zenon, démarrez le processus d'installation depuis le support d'installation de zenon.

Ce processus démarre automatiquement lorsque le support d'installation de zenon est connecté et vous guide tout au long de l'installation. Vous pouvez également démarrer l'installation en exécutant le fichier START.exe situé dans le répertoire racine du support d'installation de zenon.

info Informations

Vous trouverez d'autres informations dans le manuel Installation et mises à jour, au chapitre Installation standard de zenon.


Configuration système requise et systèmes d'exploitation

Manuel -> Runtime -> Activation du Runtime -> Configuration système requise et systèmes d'exploitation

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Le manuel Installation et mises à jour fournit une vue d'ensemble détaillée des systèmes d'exploitation pris en charge, ainsi que des logiciels et composants matériels requis.

Autres sujets abordés dans ce chapitre

Configuration système requise lors de l'utilisation de DirectX

Structure des fichiers

Ports libres

Exceptions concernant les logiciels antivirus

configuration du pare-feu


Configuration système requise lors de l'utilisation de DirectX

Manuel -> Runtime -> Activation du Runtime -> Configuration système requise et systèmes d'exploitation -> Configuration système requise lors de l'utilisation de DirectX

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

La configuration minimale requise doit être satisfaite lors de l'utilisation de périphériques DirectX ou de logiciels DirectX :

Remarque : Pour des gros projets ou plusieurs projets chargés en même temps vous aurez besoin d'une configuration avec plus de capacité La configuration minimale requise peut augmenter en conséquence.

Paramètre

Conditions requises

Recommandée

CPU :

Processeur simple cœur avec prise en charge de SSE2.

Processeur quadrimoteur cœurs ou plus

Carte graphique :

(périphérique DirectX uniquement)

Carte graphique grand public compatible DirectX 11.

Remarque : Si un circuit graphique intégré à la carte-mère est utilisé, selon le driver utilisé, il est possible que la qualité d'affichage soit altérée.

Carte graphique DirectX 11 haut de gamme dédiée, processeur AMD ou nVidia

Mémoire graphique :

(périphérique DirectX uniquement)

1 Go de VRAM

Remarque : La capacité effectivement requise dépend du nombre de synoptiques appelés et des éléments affichés.

2 Go de VRAM

Driver de carte graphique :

(périphérique DirectX uniquement)

Les derniers drivers publiés par le fabricant de la carte graphique.

Système d'exploitation :

Les options DirectX Hardware et DirectX Software sont uniquement compatibles avec les systèmes d’exploitation prenant en charge DirectX11.1.

Si le système n’est pas compatible avec DirectX 11.1, le mode Windows Enhanced (Windows optimisé) est sélectionné automatiquement.

Le programme DirectX-Runtime le plus récent doit être installé. Pour zenon, il est installé lors de l’installation du programme. Pour zenon Web Client, il doit être installé manuellement.

Vous pouvez vérifier la compatibilité matérielle DirectX de la carte graphique et du driver à l'aide de l'outil dxdiag.exe du système d'exploitation Windows.
Jusqu'à Windows 7: Contrôlez la valeur Version DDI sous l'intitulé Affichage. La valeur 11 désigne DirectX 11, par exemple.
À partir de Windows 8 : Toutes les versions prises en charge de DirectX sont présentées dans l'onglet Affichage, sous Niveaux de fonctionnalités. Par exemple, DirectX 11 est affiché comme 11.0.


Structure des fichiers

Manuel -> Runtime -> Activation du Runtime -> Configuration système requise et systèmes d'exploitation -> Structure des fichiers

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

L'arborescence des fichiers est créée (ou étendue) au cours de l'installation.

Les fichiers programme de zenon sont copiés vers un dossier que vous pouvez définir durant l'installation.

De plus, le programme d'installation demande également un dossier pour les bases de données SQL des projets. Le support de stockage utilisé pour l'archivage de projets (SQL, synoptiques, etc.) doit comporter suffisamment d'espace, car toutes les données des projets et actuels sont enregistrées sur celui-ci.

Dossier | Chemin
Liste des programmes | Système 32 bits : %Program Files%\COPA-DATA\zenon7xxx Système 64 bits : %Program Files%\COPA-DATA\zenon7xxx %Program Files (x86)%\COPA-DATA\zenon7xxx
Dossier de données du programme, par ex. symboles globale, modèles d'impression, fichiers journaux etc. | %ProgramData%\COPA-DATA\zenon7xxx
Dossier de la base de données (SQL) | %ProgramData%\COPA-DATA\SQL
Dossier système | %ProgramData%\COPA-DATA\System
Paramètres et profils d'Editor | %Users%\UserName\AppData\Local\COPA-DATA\zenon\Editor
Paramètres Diagnosis Viewer | %Users%\UserName\AppData\Local\COPA-DATA\zenon\DiagView

Dossier de définition du Runtime et dossier de données

Dossier du Runtime

Editor crée des fichiers de Runtime dans le dossier du Runtime ; ils peuvent également être transférés vers ce dossier à l'aide du module Remote Transport. Lors de la création d'un projet, vous devez définir le dossier du Runtime. Vous pourrez ultérieurement modifier ce dossier dans les propriétés du projet. Avec le module Remote Transport, le dossier du Runtime est défini dans les paramètres du module.

Dossier des données

Le Runtime enregistre tous les fichiers de données créés dans le Runtime, tels que les fichiers d'alarmes, les fichiers d'archives et autres, dans le dossier de données. Par défaut, le dossier de données est créé sous forme de sous-dossier du dossier du Runtime. Ce dossier reçoit automatiquement le nom de l'ordinateur sur lequel s'exécute le Runtime. Vous pouvez modifier cet emplacement de sauvegarde dans les propriétés du projet (Général/Dossier des données).

Conseil : ne définissez jamais le dossier de données sur un support amovible, tel qu'une clé USB ou un périphérique réseau. Il est recommandé d'enregistrer les données localement et de les sauvegarder sur un lecteur externe.

attention Attention

Si le chemin défini n'existe pas ou n'est plus disponible, aucune autre donnée n'est écrite depuis le Runtime. Cela signifie donc que la totalité des données est perdue. Le Runtime peut encore être contrôlé, mais doit être redémarré dès que le chemin redevient disponible. La disponibilité du dossier peut être contrôlée par le biais de la variable de driver du système Dossier de données du Runtime indisponible.


Ports libres

Manuel -> Runtime -> Activation du Runtime -> Configuration système requise et systèmes d'exploitation -> Ports libres

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

zenon et zenon Logic nécessitent certains ports de communication pour les communications via le réseau. Si ces ports sont occupés par d'autres programmes, par exemple un serveur SQL précédemment installé, les communications de zenon peuvent être perturbées. De nombreux ports dans zenon peuvent être modifiés à l'aide de l'outil Startup Tool ou des propriétés dans Editor.

Voici comment vérifier les attributions de ports :

  1. Saisissez netstat -a -n -o dans la ligne de commande.

    Procédez comme suit pour accéder à la ligne de commande dans Windows :

    • appuyez sur la touche Windows et R.
    • Saisissez cmd et confirmez en cliquant sur OK.
    • Une fenêtre MS-DOS s'affiche.
    • Saisissez la commande netstat.
  2. La liste de tous les ports TCP et UDP actuellement utilisés s'affiche à l'écran.
  3. Contrôlez les ports d'écoute (état : ABHÖREN LISTEN) si l'identifiant de processus (PID) des ports utilisés par zenon et zenon Logic correspond aux processus de zenon et zenon Logic.

    Les PID sont affichés dans la fenêtre Processus du Gestionnaire de tâches de Windows ; à cette fin, activez la colonne PID dans le menu Sélectionner un affichage -> Colonnes.

  4. Si d'autres logiciels utilisent ces ports, reconfigurez ce logiciel.
    Vous pouvez afficher les ports utilisés par zenon et zenon Logic dans le tableau Attribution des ports par zenon et zenon Logic. Ici, vous pouvez également voir si ces ports peuvent être modifiés dans ces programmes.

Paramètres des ports de zenon et zenon Logic

Application

Description

Ports

Fichier journal de transport

stratonrt[k].exe

Le Runtime de zenon Logic sonde les communications et le module Workbench de zenon Logic.
  • 1200-1210

TCP

stratonrt[k].exe

  • 4500-4510

TCP

stratonrt[k].exe

Redondance de zenon Logic.
  • 7000-7010

TCP

stratonrt[k].exe

Communications événementielles du Runtime de zenon Logic.
  • 9000-9010

TCP

zennetsrv.exe

Service réseau de zenon.
  • 1100-1100

TCP

zensyssrv.exe

Service de transport de de zenon.
  • 1101

TCP

zendbsrv.exe

Service de base de données de zenon.
  • 1103

TCP

zenAdminsrv.exe

Service d'administration de zenon.
  • 50777

TCP

zenLogSrv.exe

Service de journalisation de zenon.
  • 50780

TCP

zenvnc.exe

Service zenon Remote Desktop
  • 5600 (fixe)
  • 5610 (fixe)

TCP

CodeMeter.exe

Service du dongle Code Meter.
  • 22350 (peut, mais ne doit pas être modifié)

TCP

WkSvW32.exe

Service réseau WibuKey
  • 22347 (fixe)

TCP

Zenrt32.exe

Message Control avec Voice over IP.
  • 5060: SIP
  • 4000: RTP
  • 4001: RTCP (fixe)

SIP et TRP peuvent être configurés avec Editor. RTCP est automatiquement défini par le système.

UDP


Exceptions concernant les logiciels antivirus

Manuel -> Runtime -> Activation du Runtime -> Configuration système requise et systèmes d'exploitation -> Exceptions concernant les logiciels antivirus

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

zenon nécessite toutefois une sélection de services et d'opérations pouvant être identifiés comme potentiellement dangereux par les logiciels antivirus.

Voici quelques exemples :

  • Communications avec CodeMeter --> dongle USB
  • Chargement de code VBA ou VSTA
  • Incorporation de composants ActiveX aux synoptiques
  • Accès fréquent aux fichiers, par ex. pour l'archivage, les listes CEL et AML, etc.

Remarque : Ces problèmes de compatibilité ont été constatés avec le logiciel antivirus Ahnlabs V3. Si zenon refuse de démarrer et affiche un message d'erreur, activez le mode Jeu (Game-Mode) de V3 ou désinstallez-le.


configuration du pare-feu

Manuel -> Runtime -> Activation du Runtime -> Configuration système requise et systèmes d'exploitation -> configuration du pare-feu

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

zenon utilise différents ports. Tout pare-feu présent doit autoriser les communications via ces ports. Ces ports doivent être ouverts au niveau du pare-feu, le cas échéant.

Ports utilisés

Pour les communications dans zenon, seuls les ports TCP sont utilisés, et non les ports UDP. zenon nécessite les ports suivants sur un réseau :

Service | File (Fichier) | But | Port TCP
Service réseau | zenNetSrv.exe | Communications du Runtime | 1100
Service de transfert. | zenSysSrv.exe | Transfert de données grâce au module Remote Transport (dans Editor) | 1101
Serveur Web zenon | zenWebSrv.exe | Ordinateur de journalisation sur site entre le client Web de zenon et le Runtime | 1102

Les numéros de ports peuvent être modifiés individuellement depuis l'onglet Ports d'écoute dans l'outil Startup Tool. Notez que dans ce cas, tous les équipements concernés doivent être modifiés.

En outre, les services de zenon et zenon Analyzer utilisent différents ports :

Application | Port standard
zenon |
Network Service | 1100
Transport Service | 1101
WEB Service Classic | 1102
DB Service | 1103
SQL Browser Service, (pour le développement distribué dans Editor) | 1434
zenAdminSrv.exe | 50777
Logging Service | 50780
zenVNC.exe | 5600 - 5610
SNMP Trap Service | 50782
zenLicenseSr | 50783
zenLicenseStub | 50789
zenLicenseCenter | 50689
WEB Service Tunneling | 8080
zenon Logic |
Le port attribué à zenon Logic ou straton dépend du projet et du service. Par ex. : Le premier projet zenon Logic occupe les ports 1200 et 9000, le deuxième projet occupe les ports 1201 et 9001, et ainsi de suite. | 1200 - 1210 4500 - 4510 7000 - 7010 9000 - 9010
zenon Analyzer |
Administration Service | 50777
Analyzer Connector Service | 50778
Analyzer License Service | 50779
ZAMS | 50781
Drivers |
Driver Simulation | 6000 - 6020
Process Gateway OPC Server | 135
Process Gateway SNMP | 161
Process Gateway Modbus | 502
Process Gateway IEC60870-5 104 slave | 2402
Process Gateway DEC | 5555
Process Gateway DNP3 Slave | 20000

Remarque : Les drivers zenon qui communiquent via Ethernet utilisent le protocole TCP, et nécessitent donc d'être autorisés au niveau du pare-feu, quel que soit le port utilisé.


Configuration matérielle requise

Manuel -> Runtime -> Activation du Runtime -> Configuration matérielle requise

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Une des exigences relatives à l'activation du Runtime est l'exécution correcte de l'installation. Il est également essentiel de disposer d'une licence valide.

La liste des autres conditions minimales requises figure dans le tableau ci-dessous. Ces conditions reposent sur une installation complète du Runtime. Pour des gros projets ou plusieurs projets chargés en même temps vous aurez besoin d'une configuration avec plus de capacité La configuration minimale requise peut augmenter en conséquence.

Matériel

Conditions requises

Recommandée

Processeur

Processeur simple cœur avec prise en charge de SSE2.

Processeur quadrimoteur

Mémoire vive (RAM)

Windows 7/8 : plus de 512 Mo.

Remarque : l'exécution de projets utilisant de grandes quantités de données, de projets en réseau, de plusieurs projets simultanément et de projets en mode redondant nécessitent davantage de mémoire.

Windows 7 / 8 / NT4.0 4096 Mo.

Disque dur

2 Go d'espace disque pour l'installation du Runtime, ainsi que l'espace nécessaire aux projets.

Attention : Si vous consignez les données historiques (par ex. les données archivées ou les données de la liste d'alarmes ou de la liste d'événements), vous devez disposer de suffisamment d'espace disque ou devez vous assurer, durant le développement du projet, que les données historiques sont évacuées ou supprimées.

Résolution du moniteur

VGA, 640 x 480 pixels.

Carte graphique

64 Mo de mémoire dédiée. Les cartes graphiques utilisant une mémoire partagée peuvent entraîner une baisse des performances. Tenez compte des indications du chapitre Configuration système requise lors de l'utilisation de DirectX à cet égard.

Périphériques d'entrée

Clavier et/ou souris. Le système peut également être actionné via un écran tactile. De nombreux claviers logiciels personnalisables sont disponibles à cette fin.

Interface USB

(optionnel)
  • Pour l'installation.
    L'installation peut également être effectuée via le réseau ou depuis un support de stockage.
  • Pour le dongle. Dongle réseau aussi disponible.

Connexion réseau (facultative)

64 kbits/s pour les projets client/serveur standard.

100 Mbit/s full duplex pour le fonctionnement en mode redondant.

100 Mbits/s full duplex pour les projets client/serveur standard.

Connexion distante (facultative)

Configuration minimale requise : modem analogique doté d'un débit de 9600 Bit/s.

1 Mbit/s full duplex.

Connexion WAN (optionnel)

Toute connexion via un routeur, par ex. une connexion RNIS ou ADSL ; pour des raisons techniques, les transferts de données via un réseau étendu sont plus lents que les transferts via un réseau local. Assurez-vous de contrôler les taux de transferts de données possibles de votre technologie de réseau étendu lors de la création du projet.

Message Control (optionnel)

Reportez-vous au chapitre Message Control pour consulter la configuration requise pour ce module.

Interfaces (optionnel)

Les interfaces requises dépendent des exigences de la connexion à l'automate et/ou au bus ; par exemple, interfaces série RS232 ou RS422/485, emplacements ISA/PCI, etc.

Autres sujets abordés dans ce chapitre

Chemins d'installation et de fonctionnement

Mode démo

Runtime sous Windows Embedded Standard

Runtime pour Windows CE


Chemins d'installation et de fonctionnement

Manuel -> Runtime -> Activation du Runtime -> Configuration matérielle requise -> Chemins d'installation et de fonctionnement

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Chemins de zenon :

  • Installation
  • Runtime

info Info

Vous pouvez afficher de nombreux chemins par défaut à l'aide de la commande set :

  • Démarrez l'interface de ligne de commande (saisissez cmd dans le menu Démarrer de Windows)
  • Saisissez la commande set
  • Appuyez sur la touche Entrée pour afficher les dossiers standard de Windows et de zenon

Remarque : puisque les chemins absolus diffèrent selon les systèmes d'exploitation, les chemins sont présentés sous forme de variable d'environnement dans ce chapitre. Par exemple, %ProgramData% au lieu de C:\ProgramData.

Installation

Durant l'installation, les chemins sont définis pour les logiciels tierce partie requis et le dossier du Runtime de zenon.

Le programme d'installation nécessite également des droits d'administrateur. Cela s'applique également à la modification des chemins d'installation.

Configuration minimale requise

Les chemins d'installation des logiciels tierce partie requis correspondent aux chemins standard définis par le fabricant correspondant et ne peuvent pas être modifiés durant l'installation.

Les packages logiciels supplémentaires devant être installés dépendent du type d'installation :

  • zenon Editor
  • zenon Runtime
  • zenon Web Client
  • Runtime de zenon Logic
Conditions préalables | Editor | Runtime | Web Client | Runtime de zenon Logic
Microsoft .NET Framework 3.5 SP1 | + | + | - | -
Microsoft .NET Framework 4.0 | + | + | - | -
Microsoft Visual C++ 2005 Redistributables | + | + | - | +
Microsoft Visual C++ 2010 Redistributables | + | + | + | +
Microsoft Visual C++ 2012 Redistributables | + | + | + | +
Microsoft SQL-Server 2012 SP1 Express (à partir de la version 7.10) | + | - | - | -
VSTA | + | + | - | -
OPC-Core Components (jusqu'à la version 6.22 SP1) | + | + | - | -
Logiciel pour dongle Wibu-Key 6.0 x86/x64 | + | + | - | -
COPA-DATA Multiple Network Protocol Driver x86/x64 | + | + | - | +
Logiciel pour dongle CodeMeter x86/x64 | + | + | - | -
Report Viewer 10.0 (à partir de la version 7.00) | + | + | + | -
VBA 7.1 | + | + | + | -

zenon Runtime

Le Runtime de zenon utilise le chemin défini dans zenon6.ini pour les projets. Ce chemin peut être défini à l'aide de l'outil Startup Tool, ainsi qu'avec le module Remote Transport depuis une instance de zenon Editor.

Objet | Chemin
Projet | [chemin défini par l'utilisateur]\[projet]\RT
Fichiers externes | [chemin défini par l'utilisateur]\[projet]\RT\FILES\...
Archives exportées, liste d'événements et liste d'alarmes | [chemin défini par l'utilisateur]\[projet]\Export Remarque : dossier créé lors de la première exportation.
Fichiers système | Dossier système de Windows.

zenon Logic

Les chemins de zenon Logic sont créés en fonction des chemins de zenon.


Mode démo

Manuel -> Runtime -> Activation du Runtime -> Configuration matérielle requise -> Mode démo

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Si le Runtime ne comporte pas de licence, il peut être utilisé en mode démo pendant 30 jours. L'activation de la licence (logicielle ou par dongle) peut être effectuée à n'importe quel moment en saisissant un numéro de série et un numéro d'activation valides. L'activation de la licence prend uniquement effet après le redémarrage de zenon.

Remarque : À partir du 41ème démarrage ou du 31ème jour en mode démo, zenon Runtime fonctionne pendant 10 minutes seulement.
Cette limitation n’existe pas sous Windows CE. En mode démo, la durée de fonctionnement du Runtime est toujours limitée à 30 minutes.


Runtime sous Windows Embedded Standard

Manuel -> Runtime -> Activation du Runtime -> Configuration matérielle requise -> Runtime sous Windows Embedded Standard

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

La configuration minimale concerne une installation du Runtime adaptée au système d'exploitation Windows Embedded Standard 7 SP1 avec mises à jour de la plate-forme. Le matériel employé doit être plus puissant pour les projets plus importants.

Ce tableau présente uniquement les conditions requises différentes de l'installation standard. Les autres paramètres correspondent aux valeurs indiquées au chapitre Configuration matérielle requise pour le Runtime.

Matériel

Configuration minimale requise

Recommandée

Mémoire vive (RAM)
  • 512 MB.

Remarque : l'exécution de projets utilisant de grandes quantités de données, de projets en réseau, de plusieurs projets simultanément et de projets en mode redondant nécessitent davantage de mémoire.
  • 2048 Mo

Support de stockage
  • 2 Go de mémoire disponible sur le lecteur C:\ avant l'installation de .NET Framework 3.5 et 4.5
    800 Mo de mémoire disponible après l'installation de .NET Framework
  • Vous avez également besoin d'espace pour les projets, archives, etc.
  • 80 Go

Attention : Si vous consignez les données historiques (par ex. les données archivées ou les données de la liste d'alarmes ou de la liste d'événements), vous devez disposer de suffisamment d'espace disque ou devez vous assurer, durant le développement du projet, que les données historiques sont évacuées ou supprimées.


Runtime pour Windows CE

Manuel -> Runtime -> Activation du Runtime -> Configuration matérielle requise -> Runtime pour Windows CE

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

La configuration minimale requise présentée ci-dessous repose sur une installation complète du Runtime sous Windows CE. Le matériel employé doit être plus puissant pour les projets plus importants.

Matériel | Configuration minimale requise | Recommandée
Processeur | Au moins 400 MHz. | 1 GHz
Mémoire vive (RAM) | 64 MB | 1024 Mo pour Windows CE 6.0.
Support de stockage | 64 Mo d'espace disque. Support de stockage enregistrable permanent pour les données du projet. | 256 Mo d'espace disque ou plus.
Connexion réseau | Pour les projets client/serveur standard : 10 Mbit/s full duplex. |

attention Attention

Windows CE n'est plus pris en charge à partir de la version 7.50. zenon CE version 7.20 est installé. Pour l'utiliser, vous devez créer les fichiers de Runtime pour la version 7.20.


Désinstallation du Runtime

Manuel -> Runtime -> Désinstallation du Runtime

Pour désinstaller le Runtime

  1. Ouvrez le Panneau de configuration.
  2. Cliquez sur Programmes.
  3. Sélectionnez Programmes et fonctionnalités.
  4. Sélectionnez le programme zenon 7.60.
  5. Cliquez sur Désinstaller.
  6. Suivez les instructions de l'assistant de désinstallation.


Runtime pour Windows CE

Manuel -> Runtime -> Runtime pour Windows CE

L'installation du Runtime pour Windows CE comprend les fichiers suivants :

Nom de fichier | Description
zenonrCE.exe | L'application Runtime
Cd_tooCE.dll | Nécessaire au Runtime.
ZennetsrvCE.dll | le service réseau du système de contrôle pour Windows CE. Nécessaire pour les projets en réseau.
SysSrvCE.exe | Service de transfert.
LogCliLibCE.dll | Le client logserver
zenon6.ini | Fichier texte avec le paramétrage du Runtime comme par exemple, le projet de démarrage, le langage du Runtime, etc.
UpdateCE.exe | Application nécessaire pour l'outil CE Update.
RgermaCE.dll | Fichier de langue pour l'allemand
RengliCE.dll | Fichier de langue pour l'anglais.
RfrancCE.dll | Fichier de langue pour le français.
RitaliCE.dll | Fichier de langue pour l'italien.
RrussiCE.dll | Fichier de langue pour le russe.
RspaniCE.dll | Fichier de langue pour l'espagnol.

Installez le Runtime sur le terminal CE en sélectionnant Mettre à jour le Runtime CE dans le menu Options.

attention Attention

Windows CE n'est plus pris en charge à partir de la version 7.50. zenon CE version 7.20 est installé. Pour l'utiliser, vous devez créer les fichiers de Runtime pour la version 7.20.

info Info

La considération suivante s'applique à une connexion à Windows CE 6.0 avec CX1000, Profibus ou SYCONuni : assurez-vous que le fichier CDMemDrv.dll a été transféré vers le périphérique. CDMemDrv.dll est un driver de périphérique de Windows CE. La DLL est disponible pour x86 et ARMV4I.

De plus, il y aussi beaucoup d'autres drivers pour la communication matérielle. Si le type de processeur du terminal CE est reconnu par Editor, le module Remote Transport transférera automatiquement les drivers utilisés dans le projet vers le terminal CE. La façon de transférer et le nombre de fichiers transférés sont affichés dans la fenêtre de sortie d’Editor.

Ces fichiers doivent toujours être compatibles avec la version de CE et le type de processeur. Mélanger des fichiers issus de différentes versions de Windows CE ou de différents Service Packs peut générer des blocages ou des "effets secondaires" indésirables ; cette pratique n'est donc pas autorisée.

info Info

Lors du démarrage de zenonrce.exe, le fichier syssrvce.exe est également exécuté. Cela permet de garantir qu'une connexion TCP peut également être établie. Les délais excessifs sont évités, et un seul fichier est nécessaire pour la fonction de démarrage automatique.

Autres sujets abordés dans ce chapitre

Fichiers système

Mise à jour du Runtime Windows CE

Installation et mise à jour manuelles du Runtime


Fichiers système

Manuel -> Runtime -> Runtime pour Windows CE -> Fichiers système

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Le Runtime Windows CE a besoin de certains fichiers système. Si un de ces fichiers est manquant, le système affiche un message d’erreur au démarrage du Runtime, indiquant qu’un ou plusieurs composants n’ont pas été trouvés. Les fichiers système suivants sont requis :

Fichier | Description
mfc90u.dll | Nécessaire au Runtime. Au démarrage, un message d’erreur apparaît si ce fichier n’existe pas.
msvcr90.dll | Nécessaire au Runtime. Au démarrage, un message d’erreur apparaît si ce fichier n’existe pas.
atl90.dll | Non nécessaire pour démarrer le Runtime, mais requis pour utiliser les drivers avec des connexions réseau et pour utiliser zenon sur un réseau. Si ce fichier n’existe pas, la plate-forme ne fonctionnera pas en tant que client ou les connexions de driver TCP/IP ne fonctionneront pas.
IMGDECMP.dll | Pas nécessaire pour démarrer le Runtime, mais nécessaire pour afficher la transparence si la fonction Alpha Blending n’est pas intégrée au système d’exploitation. L’animation de fichiers GIF n’est pas possible sous Windows CE.
VBSCRIPT.dll + JSCRIPT.dll | Pas nécessaire au démarrage du Runtime. Ce fichier est nécessaire pour PCE (Process Control Engine)

Certains de ces fichiers système sont installés lors de l’installation de zenon pour CE et peuvent être transférés vers le périphérique CE à l’aide de l’outil UpdateCE. Tous ces fichiers système devraient être intégrés à l’image du système d’exploitation du périphérique CE par le fabricant.

attention Attention !

Pour les fournisseurs d’images du système d’exploitation Windows CE :
Les versions de CE antérieures à la version 6.0 nécessitent le fichier toolhelp.dll. Activez l’option suivante dans Platform Manager pour que le fichier soit disponible sur le périphérique CE, et que Toolhelp soit disponible dans l’application SDK.
Core OS -> Display Based Device ->Core OS Services -> Debugging Tools -> Toolhelp API. Ainsi, le fichier Toolhelp.dll fait partie de l’image.
Conseil : utilisez toujours la dernière version en date du Service Pack du module Platform Builder.

Remarque : Le fichier toolhelp.dll n’est pas nécessaire sous Windows CE 6, et ne doit pas être utilisé avec ce système d’exploitation.


Mise à jour du Runtime Windows CE

Manuel -> Runtime -> Runtime pour Windows CE -> Mise à jour du Runtime Windows CE

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Pour effectuer une mise à jour du Runtime Windows CE :

  • Assurez-vous que le service de transport de zenon (SysSrvCE.exe) s’exécute sur le périphérique CE.
  • Assurez-vous de ne pas avoir établi une connexion à distance avec le périphérique via zenon Editor.
  • Dans le menu Options de zenon, sélectionnez la commande Mise à jour du Runtime de Windows CE.

    La boîte de dialogue de transfert des fichiers de Runtime s'affiche à l'écran.

  • Configurez la connexion.
  • Définissez les données que vous souhaitez transférer.
  • Sélectionnez la version de votre choix.
  • Démarrez la mise à jour.

Remarque : Si vous transférez/installez le Runtime pour la première fois, notez les informations fournies au chapitre Installation et mise à jour manuelles du Runtime.

Configurez la connexion.

Vous pouvez configurer les connexions au périphérique Windows CE dans l’onglet Connexion.

Paramètres | Description
Serial | Paramètres de connexion série avec le périphérique Windows CE?; sélectionnez un port.
TCP/IP | Paramètres de connexion TCP/IP au périphérique Windows CE.
Adress | Adresse IP
Name | Nom de l'ordinateur
Syssrvce.exe starts with these settings | Paramètres de démarrage de syssrvce.exe.
Serial | Actif : connexion série sélectionnée?; vous devez sélectionner le port.
TCP/IP | Active : Connexion TCP/IP sélectionnée.
Connection with MS ActiveSync | Paramètres de la connexion via MS ActiveSync
Use MS ActiveSync for initial transport of syssrvce.exe | Actif : syssrvce.exe est transféré durant le premier transport via MS ActiveSync.
Destination folder | Dossier cible.
Help | Ouvre l'aide en ligne
Save | Enregistre toutes les modifications.
Exit | Ferme l’outil UpdateCE et affiche un message vous invitant à enregistrer les modifications non sauvegardées.

Définissez les fichiers que vous souhaitez transférer.

Paramètres | Description
Files to update | Fichiers à transférer.
HMI Runtime | Active : Transfère les fichiers zenon vers le périphérique cible. Par défaut : active
PLC Runtime | Active : Transfère les fichiers zenon Logic vers le périphérique cible. Par défaut : Inactive
OS system files | Active : Transfère les fichiers nécessaires au système d’exploitation. Par défaut : active
Update zenon6.ini | Transfère le fichier zenon6.ini vers le terminal cible. Ceci permet également de modifier les informations concernant la licence du périphérique cible.
Options |
Language | Langue du système cible. Par défaut : Anglais
HMI drivers | Sélectionnez les drivers HMI que vous souhaitez transférer.
Available | Liste de drivers disponibles.
Selected | Liste des drivers sélectionnés.
Add | Ajoute les drivers choisis à la liste des drivers sélectionnés.
Add all | Ajoute tous les drivers à la liste des drivers sélectionnés.
Remove | Supprime les drivers sélectionnés de la liste des drivers sélectionnés.
Remove all | Supprime tous les drivers de la liste des drivers sélectionnés.
Help | Ouvre l'aide en ligne
Save | Enregistre toutes les modifications.
Exit | Ferme l’outil UpdateCE et affiche un message vous invitant à enregistrer les modifications non sauvegardées.

Sélectionnez la version

Sélectionnez la version adéquate dans l’onglet Versions, si celle-ci n’a pas été automatiquement reconnue.

Paramètres | Description
WinCE version | Version du système d’exploitation Windows CE installé sur le périphérique cible. Cliquez sur le type de fonction pour ouvrir une liste déroulante de sélection.
Processor type | Processeur de l’équipement.
Source path | Chemin du dossier contenant les fichiers. Cliquez sur le bouton ... pour ouvrir une boîte de dialogue permettant de sélectionner un dossier.
New | Insère une nouvelle entrée vide dans la liste.
Delete | Supprime l’entrée sélectionnée de la liste.
Test | Contrôle les paramètres.
Help | Ouvre l'aide en ligne
Save | Enregistre toutes les modifications.
Exit | Ferme l’outil UpdateCE et affiche un message vous invitant à enregistrer les modifications non sauvegardées.

Démarrer la mise à jour

Pour établir une connexion :

  1. Cliquez sur le bouton Démarrer de l’onglet Mise à jour.

    Les données transférées sont contrôlées et affichées dans une fenêtre.

  2. Démarrez le transfert vers le périphérique cible en cliquant sur le bouton Suivant.

    Si le transfert ne peut pas démarrer parce que certains fichiers sont manquants, un message d’erreur contenant la liste des fichiers manquants s’affiche à l’écran :

    Si vous voyez s’afficher le message d’erreur La mise à jour actuelle n’a pas été terminée, la mise à jour a été interrompue ou n’a pas été exécutée correctement.

info Informations

Si vous souhaitez remplacer zenVNCServer.exe par le biais d’une mise à jour, le programme se ferme, puis redémarre après la mise à jour. Pour cela, le fichier zenVNCSrvCE.exe doit contenir

l’entrée suivant dans le fichier UpdateCE.ini, à la section [SOURCES_FILES_GENERAL] (existe par défaut) :

  • zenVNCSrvCE.exe
  • zenVNCCfgCE.exe


Installation et mise à jour manuelles du Runtime

Manuel -> Runtime -> Runtime pour Windows CE -> Installation et mise à jour manuelles du Runtime

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

L'installation et la mise à jour sont également possibles sans les services Remote Transport et ActiveSync. Dans ce cas, vous devez copier les fichiers requis manuellement sur une carte de stockage destinée au périphérique CE. Vous devez connaître la version de CE et le type de processeur utilisés.

Il est impératif de copier les fichiers suivants du dossier correspondant à la plate-forme utilisée vers une carte de stockage destinée au périphérique CE :

  • zenonRCE.exe (Runtime)
  • LogCliLibCE.dll (DLL de diagnostic)
  • zenon6.ini (Fichier de configuration)
  • Cd_tooCE.dll (DLL d'aide)
  • ZenNetSrvCE.dll (Réseau)
  • CDHelper.dll (DLL d'aide)
  • L'une des dll de langue suivante : RChineCE.dll, RCzechCE.dll, REngliCE.dll, RFrancCE.dll, RGermaCE.dll, RItaliCE.dll, RRussiCE.dll, RSpaniCE.dll (la langue sélectionnée est stipulée dans le fichier zenon6.ini).
  • syssrvce.exe (service de transport et Diagnosis Server)
  • atl90.dll (fichier système, peut former partie du système d'exploitation)
  • mfc90u.dll (fichier système, peut former partie du système d'exploitation)
  • msvcr90.dll (fichier système, peut former partie du système d'exploitation)

Les autres fichiers, par exemple les drivers ou le logiciel Remote Desktop (zenVNCCfgCE.exe et zenVNCSrvCE.exe), sont facultatifs.


Protocoles pris en charge

Manuel -> Runtime -> Protocoles pris en charge

Le Runtime communique avec tous les contrôleurs à l'aide de drivers. Les drivers sont compatibles avec différents protocoles.

Drivers disponibles :

  • 3964R-RK512 driver (Win, CE)
  • Allen Bradley DF1-driver (Win, CE)
  • Allen-Bradley ODVA driver (Win, CE)
  • Applicom driver (Win)
  • Applicom IO configuration (Win)
  • Archive driver (RAW format) (Win, CE)
  • ARCNET - Driver for ABB (Win)
  • AS-interface (Win)
  • Bachmann M1 driver (Win)
  • Bacnet and DDC4000 driver (Win)
  • BACnet driver Next Generation (Win, CE)
  • Beckhoff BC-BK 9000 (Win, CE)
  • Beckhoff TwinCat ADS driver (Win)
  • Beckhoff TwinCat NG driver (Win, CE)
  • Beckhoff TwinCat TC-ADS driver (Win, CE)
  • Biffi DCM (Win)
  • BR TCP-IP driver (Win)
  • BR Transponder Reader 4102/4150 (Win, CE)
  • BR-PVI based driver (Win, CE)
  • BR-PVI based driver (replaced) (Win, CE)
  • Brodersen IOTOOLS (Win)
  • Buderus32 driver (Win)
  • Codesys Arti NG SoftPLC driver (Win, CE)
  • Codesys Arti SoftPLC driver (Win, CE)
  • Codesys SoftPLC driver (Win)
  • CP001 Gateway driver (Win, CE)
  • CTI driver (Win, CE)
  • Danfoss driver (Win)
  • DataTaker driver (Win, CE)
  • DDE Client driver (Win)
  • DMX 512 driver (Win)
  • DNP3 driver (Win, CE)
  • DNP3 Slave/Outstation (Win)
  • Driver for ABB 07KT94 (Win)
  • Driver for ESA PCI CIB (Win, CE)
  • Driver for Esser BMZ 8000 (Win, CE)
  • Driver for IBH Soft PLC (Win, CE)
  • Driver for internal variables (Win, CE)
  • Driver for Mathematics variable (Win, CE)
  • Driver for Otis controller (Win, CE)
  • Driver for SE-Elektronic (Win)
  • Driver for simulator variables (Win, CE)
  • Driver for Slot PCL SPCx00 (Win)
  • Driver for system variables (Win, CE)
  • Driver for the buttons /Ketop (Win, CE)
  • Driver for VIPA CE touchpanel (Win, CE)
  • Drv for BCI hand-held scanner (Win)
  • Eldatic driver (Win)
  • Elrest CAN Network driver (Win)
  • Energy analysis device UPM 3000 (Win)
  • European Installation Bus (Win)
  • Festo EasyIP Multiprog driver (Win)
  • Festo Serial-CI driver, FST (Win)
  • File driver (Win)
  • FMS with PC card from Siemens (Win)
  • Hekatron driver (Win)
  • Hilscher CIF driver (Win)
  • Hilscher CIF Profibus (Win, CE)
  • Hilscher MPI driver (Win, CE)
  • Hilscher SYCON CifX (Win)
  • Hilscher SYCON configuration (Win, CE)
  • Hilscher SYCON configuration (Win, CE)
  • Hitachi driver (Win, CE)
  • HMI adapter driver (Win, CE)
  • HMS configuration (Win)
  • Hydrometer Driver (Win)
  • i-LON 100 driver (Win)
  • Idec driver (Win)
  • Ident System driver (Win, CE)
  • IEC 60870 - 5 - 103 Driver (Win)
  • IEC 60870-5-101_104 driver (Win, CE)
  • IEC 61400-25-4 Annex C (Win, CE)
  • IEC 61499 driver (Win)
  • IEC 61850 Client (Master) (Win, CE)
  • IEC 61850 driver (Win, CE)
  • IEC 61850 Server (Slave) (Win, CE)
  • IEC-62056-21 Driver (Win)
  • IEC60870-5-101/104 Slave (Win, CE)
  • Interbus S driver (Win)
  • Interbus-S (Win)
  • Internal driver with time stamp (Win, CE)
  • Jetter Treiber (Win)
  • K-Bus driver for CX1000 (Win, CE)
  • Kemro User ID Driver (Win, CE)
  • Kieback + Peter driver (Win)
  • KOYO Sequence driver (Win, CE)
  • LogiCAD driver (Win)
  • LON driver (Win)
  • LS Industrial Systems-XGT (Win)
  • Matsushita TCP-IP driver (Win)
  • Mininet-Master driver (Win, CE)
  • Mitsubishi - Melsec A-Q driver (Win, CE)
  • Mitsubishi - Melsec FX driver (Win, CE)
  • Modbus Energy driver (Win, CE)
  • MODBUS Master protocol (Win, CE)
  • Modbus RTU and Open Modbus TCP (Win, CE)
  • MODBUS Slave protocol (Win, CE)
  • Modicon TSX Micro driver (Win, CE)
  • Moeller Electric PSUNI driver (Win, CE)
  • OMRON driver (Win, CE)
  • Omron FINS driver (Win, CE)
  • OPC Client V2-0 driver (Win, CE)
  • OPC UA Client driver (Win, CE)
  • OSAI TCP/IP driver (Win, CE)
  • Panasonic serial driver (Win)
  • Passive Modbus RTU driver (Win)
  • PC Adapter - Vipa Green Cable (Win, CE)
  • PCS807 Profibus DP driver (Win, CE)
  • PCS812 S7 connection (Win, CE)
  • PDNet PCI - driver (Win)
  • PICnet driver (Win, CE)
  • PILZ-PSS driver (Win, CE)
  • Profibus DP Master driver (Win)
  • ProfiNet IO RT (Win, CE)
  • Reis Robotics driver (Win)
  • RTK9000 driver (Win)
  • S5 H1 driver (Win)
  • S5 TCP-IP driver (Win)
  • S7 driver for S7-200 (Win, CE)
  • S7 driver Softnet based (Win)
  • S7 MPI for Siemens CE terminals (Win, CE)
  • S7 TCP-IP driver (Win, CE)
  • S7_MPIISA driver (Win)
  • Saia Directly driver (Win, CE)
  • SAIA2ND32 driver (Win)
  • SaNORS - Asfinag SOS-telephones (Win)
  • Schiele S400 driver (Win, CE)
  • Schiele S800 driver (Win, CE)
  • Siclimat X Decos (Win)
  • Siemens S5 PD driver (Win, CE)
  • Siemens Sigmasys driver (Win)
  • SIGMATEK driver (Win)
  • Sigmatek Lasal Driver (Win, CE)
  • Simotion driver (Win)
  • SNMP Driver (Win)
  • SoftNet ProfibusDP (Win)
  • SQL Driver (Win)
  • SST Driver (Win)
  • Standard M-Bus driver (Win, CE)
  • straton driver (Win, CE)
  • straton NG driver (Win, CE)
  • straton to zenon RT connection (Win, CE)
  • Swarco Futurit (Win)
  • System 2000 driver (Win)
  • System 2000 driver with logging (Win)
  • Telco200 driver (Win)
  • Teleperm driver (Win)
  • ThinkIO/IOSystem758 (Win, CE)
  • TI 505 - 545 driver (Win)
  • Trend Driver (Win)
  • Trend NG driver (Win)
  • VDMA-XML driver (Win, CE)
  • VMEBUS driver (Win)
  • Win32 Shared memory (Win)
  • WINAC driver (Win)
  • Write variable values in SQL (Win)


Démarrer le Runtime

Manuel -> Runtime -> Démarrer le Runtime

Il existe plusieurs possibilités pour démarrer le Runtime de zenon Logic :

  • Utilisation d'Editor
    • En appuyant sur la touche F5
    • Via le symbole Démarrer le Runtime de la barre d'outils Fichiers du Runtime
  • Via Startup-Tool
  • Via le menu Démarrer de Windows
  • À l'aide de la fonction Exécution automatique de Windows
  • Via le service zenStartupMgr

Service zenAdminSrv

Le service zenAdminSrv doit être en cours d'exécution pour démarrer le Runtime. Si le service est indisponible, un message d'erreur correspondant s'affichera à l'écran.

Lors d'un démarrage via la fonction d'exécution automatique de Windows, zenon tente de démarrer le Runtime jusqu'à ce que le service soit disponible ou que vous fermiez le message d'erreur en cliquant sur le bouton Cancel.

Taille de la fenêtre principale

La taille de la fenêtre de Runtime au démarrage du Runtime est configurée pour l'ordinateur local dans zenon Editor.
Pour effectuer cette configuration, procédez comme ceci :

  1. Sélectionnez Espace de travail dans zenon Editor.
  2. Cliquez sur le groupe de propriétés Taille du runtime local.
  3. Saisissez les valeurs pour la Largeur de la fenêtre du runtime [pixel].
  4. Saisissez les valeurs pour la Hauteur de la fenêtre du runtime [pixel].

Fonction Fenêtre au premier plan

Le Runtime peut être déplacé derrière d'autres programmes en cours d'exécution à l'aide de la fonction Fenêtre en arrière-plan. Sans la fonction Fenêtre en avant-plan, il est déplacé au premier plan.

info Informations

Lors du basculement du Runtime vers l’arrière-plan avec la fonction Fenêtre en avant-plan, la fenêtre du Runtime est définie comme fenêtre supérieure.

Veuillez tenir compte des cas spéciaux suivants :

  • Le clavier DIALOGKBD ne peut pas être appelé dans cette situation.
    D’autres claviers peuvent être utilisés.
  • La ligne d’état des alarmes est couverte par la fenêtre du Runtime.

Les fonctions suivantes sont à votre disposition pour replacer la ligne d’état des alarmes en arrière-plan :

  • Activez les touches de symboles (désactivez Bloquer les touches système propriété de projet ) et replacez la ligne d’état des alarmes dans l’arrière-plan avec Alt+Tab.
  • Activez la barre des tâches de Windows et cliquer sur la fenêtre État
  • Déplacez à nouveau Runtime dans l’arrière-plan.
  • Redémarrez le Runtime.

Remarque : La fonction Fenêtre en avant-plan n’est pas identique à la fonction Mettre le gabarit au premier plan!

Définir le projet de démarrage

Si vous avez créé un projet, vous pouvez le démarrer de différentes manières.

Remarque : Il est impératif que le projet généré soit d'abord transféré vers le système cible si l'ordinateur utilisé pour la configuration n'est pas également le système cible.

Plusieurs possibilités s'offrent à vous pour démarrer un projet dans le Runtime :

Avec Editor :

  1. Démarrez zenon Editor.
  2. Sélectionnez le projet que vous souhaitez définir en tant que projet de démarrage.
  3. Cliquez sur Définir comme projet de démarrage dans le menu contextuel

Via l'outil Startup Tool :

  1. Ouvrez Startup Tool.
  2. Cliquez sur Item--> Properties...
  3. Dans le champ Projet Runtime, sélectionnez le projet que vous souhaitez définir en tant que projet de démarrage.

Via le module Remote Transport :

  1. Activez le projet dans la barre d’outils.
  2. Sélectionnez le projet souhaité comme projet de démarrage.

Via la fonction de gestion de la topologie du réseau :

  1. Ajoutez un ordinateur.
  2. Sélectionnez cet ordinateur.
  3. Sélectionnez le projet souhaité comme projet de démarrage.

Autres sujets abordés dans ce chapitre

Configuration du démarrage automatique du Runtime

Keyblock Runtime Start

Configuration du délai de démarrage


Configuration du démarrage automatique du Runtime

Manuel -> Runtime -> Démarrer le Runtime -> Configuration du démarrage automatique du Runtime

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Pour configurer le démarrage automatique du Runtime, procédez comme ceci :

  1. Sélectionnez l'application zenonrt.32.exe dans le répertoire C:\Program Files (x86)\COPA-DATA\zenon 7.60 SP0.
  2. Créez un lien local vers celle-ci.
  3. Copiez ce lien vers le dossier Exécution automatique du menu Démarrer.

Le Runtime démarrera ainsi automatiquement lors de votre prochaine authentification.


Keyblock Runtime Start

Manuel -> Runtime -> Démarrer le Runtime -> Keyblock Runtime Start

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Keyblock Runtime Start is a program with which zenon Runtime runs as a Shell. In doing so, zenon Runtime is started, but all Windows system tasks are blocked. Keyboard shortcuts such as Windows key or Ctrl+Alt+Del no longer have an effect. User can no longer access the operating system but only work on the zenon user interface.

The precondition for this is that the project properties are set Titre runtime to No title (full screen). Then zenon runs in full screen mode and the Runtime cannot be minimized.

Note also the information provided in the Protect Runtime files chapter.

Note: The blocking of the Windows key can be circumvented. You should therefore block the Windows key using the corresponding entry in the Startup Tool

tutorial Informations concernant la licence

Composante de la licence standard d’Editor et du Runtime.


Configuration du délai de démarrage

Manuel -> Runtime -> Démarrer le Runtime -> Configuration du délai de démarrage

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Si des dongles sont utilisés pour la gestion des licences, le service CodeMeter doit être prêt avant le démarrage du Runtime de zenon. Pour modifier l'heure de démarrage, vous pouvez configurer un délai de démarrage pour le Runtime de zenon.

Délai de démarrage du Runtime de zenon

Définissez un délai de démarrage d'au moins 30 secondes dans le fichier zenon6.ini pour zenon.

Pour cela :

  1. Ouvrez le fichier zenon6.ini avec un éditeur de texte.
  2. Accédez à la section [DEFAULT].
  3. Saisissez le délai souhaité à la ligne STARTDELAY= .

Exemple :

[DEFAULT]

STARTDELAY= 30000

info Informations

Le fichier zenon6.ini se trouve dans le chemin suivant : %ProgramData%\COPA-DATA\System\


Démarrage du Runtime en tant que service

Manuel -> Runtime -> Démarrage du Runtime en tant que service

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Le Runtime de zenon peut être démarré automatiquement en tant que service via le service zenStartupMgr .

Attention : Si le Runtime est démarré à l'aide de zenStartupMgr, il ne peut plus être arrêté ou redémarré par les utilisateurs.

To start Runtime as a service:

  1. Register the file zenStartupMgr.exe as a service:
  2. Configure the properties for sign-in.
  3. Start, if necessary, Remote Transport with zenStartupMgr.
  4. Define the Runtime to be started in the Startup Tool.
  5. Configure a start delay for zenon Runtime if you are using a dongle license.

Register service

To register zenStartupMgr.exe as a service:

  1. Open the command line.
  2. Go to the save location of the file zenStartupMgr.exe.
    (default with 32-bit OS: %ProgramFiles(x86)%\Common Files\COPA-DATA\zenStartupMgr
    (default 64-bit OS: %ProgramFiles\Common Files\COPA-DATA\zenStartupMgr)
  3. Register the file as a service with the zenStartupMgr.exe –service command.
    Note: The service, if it is already running, is first stopped and then registered. If zenStartupMgr is running, it is closed.

Configure service for the use of many drivers

Windows as an operating system limits the number of windows that can be created due to its fixed, reserved desktop memory, depending on the version and possible interaction with the desktop.

Version/action | Interactive Desktop | Non-Interactive Desktop
Windows 7 32-Bit | 12 MB | 512 KB
Windows 7/Windows Server 2008 R2 64-bit | 20 MB | 768 KB

zenon drivers each need several windows. The number of drivers that can be used can be influenced using the Allow data exchange between service and desktop option in the properties of the service.

  • Inactive:
    A maximum of 20 drivers can be started.
  • Active:
    As many drivers as there are in a Runtime started as a user process can be started.

To activate the Allow data exchange between service and desktop option:

  1. Open the Windows Service Manager.
  2. Open the properties of the zenStartupMgr service.
  3. Go to the Login tab.

  4. Activate the Allow data exchange between service and desktop.
    This service must be configured to automatic start type. With the service active, the user logged on to the computer is notified if the zenon Runtime as a service opens an additional window, for example in the event of a new alarm and active status line.

    Note Windows 8/Server 2012: In order for the service to be able to be started, the entry must be set correctly in the Windows registry:

    1. Go to the entry HKEY_LOCAL_MACHINE\SYSTEM\CurrentControlSet\Control\Windows.
    2. Open or create the DWORD value NoInteractiveServices.
    3. Set the decimal value of 1 to 0.
  5. To stop Runtime messages being displayed on the desktop:
    Deactivate the Detection of inactive services service.

Accès interactif

S'il est possible d'obtenir un accès interactif au processus :

  1. Activez l'option Autoriser les échanges de données entre le service et le Bureau dans le service.
  2. Activez le service Détection des services interactifs.

Remarque : Ce type d'accès n'est pas adapté à une utilisation dans le cadre de l'utilisation du Runtime. Les services sont conçus comme des instances de programmes qui s'exécutent en arrière-plan, et ne sont pas contrôlés par le biais d'une interface utilisateur. Si des opérations doivent être exécutées sur le serveur de Runtime, le Runtime doit être démarré en tant qu'application. Si Runtime doit être exécuté en tant que service sur le serveur, le fonctionnement du Runtime peut être contrôlé depuis un client zenon.

Limitations de l'accès interactif

Si le Runtime de zenon est démarré en tant que service, mais doit néanmoins comporter une interface utilisateur graphique, celle-ci peut être activée par le système d'exploitation au moyen du service système Secure Desktop (détection des services interactifs).

Pour des raisons de sécurité, l'accès à l'interface utilisateur du Runtime via le service système Windows fait l'objet de plusieurs limitations depuis Windows Vista/Server 2008. Surtout :

  • Le Bureau interactif est arrêté automatiquement après une minute d'inactivité ; la fenêtre de connexion s'affiche alors.
  • L'affichage d'effets DirectX, par ex. les effets de luminescence ou d'ombre, n'est pas possible.
  • Les configurations multi-écrans sont également impossibles.

Autres sujets abordés dans ce chapitre

Configuration du Runtime de zenon Logic

Configuration dans l'outil Startup Tool

Remote Transport

Procédure


Configuration du Runtime de zenon Logic

Manuel -> Runtime -> Démarrage du Runtime en tant que service -> Configuration du Runtime de zenon Logic

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Si zenon s'exécute en tant que service, l'interface utilisateur du Runtime intégré de zenon Logic n'est pas disponible. Pour modifier la configuration du Runtime de zenon Logic, le Runtime doit être démarré normalement.

Différentes possibilités de configuration sont disponibles :

1. Vous pouvez vous connecter au panneau tactile sur lequel doit être exécuté le Runtime via le module Remote Transport, puis saisir le numéro de licence du Runtime sur ce panneau.

2. Configuration du réseau : Le chiffrement peut également être configuré via Remote Transport.

3. Reportez-vous aux chapitres zenon6.ini, Paramètres généraux [PAR DÉFAUT].


Configuration dans l'outil Startup Tool

Manuel -> Runtime -> Démarrage du Runtime en tant que service -> Configuration dans l'outil Startup Tool

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Vous pouvez définir de quelle manière différents programmes doivent être démarrés par le service dans l'outil Startup Tool. Pour démarrer une instance existante du Runtime de zenon en tant que service :

  1. Ouvrez zenon Startup Tool.
  2. Cliquez sur Application.
  3. Sélectionnez Options.
  4. La boîte de dialogue des paramètres s'affiche à l'écran.
  5. Accédez à l'onglet Service startup.

  6. Pour définir une instance de Runtime, cliquez sur le bouton New.
  7. La boîte de dialogue de sélection de programmes s'affiche à l'écran.

  8. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection.
  9. Accédez au dossier zenon correspondant.
  10. Sélectionnez Zenrt32.exe.
  11. Fermez la boîte de dialogue de sélection et l'outil Startup Tool.


Remote Transport

Manuel -> Runtime -> Démarrage du Runtime en tant que service -> Remote Transport

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Dans sa configuration standard, le module Remote Transport de zenon s'exécute dans le contexte d'un utilisateur connecté. Dans cette configuration, il ne peut ni démarrer le Runtime en tant que service, ni l'actualiser ou l'arrêter.

Le module Remote Transport doit donc être démarré avec zenStartupMgr. Pour cela :

  1. Créez une entrée de démarrage de zenSysSrv dans Startup Tool -> Service startup.
  2. Insérez l'entrée avant l'entrée de zenrt32.exe.
  3. Désactivez zenSysSrv pour les utilisateurs connectés.

Le module Remote Transport peut :

  • Transférer des données vers le serveur
  • Actualiser des données

Si le Runtime est exécuté en tant que service, il ne peut pas être arrêté au démarré par l'intermédiaire de Remote Transport.

Désactivez le module Remote Transport pour les utilisateurs connectés.

Si zenSysSrv est démarré avec zenStartupMgr, il ne peut plus être démarré par des utilisateurs connectés. Pour éviter cela, supprimez manuellement l'entrée correspondante dans la base de registres.

zenSysSrv jusqu'à Windows 8 :

  1. Ouvrez la boîte de dialogue d'exécution de commandes de Windows (touche Windows + R).
  2. Spécifiez msconfig.
  3. La boîte de dialogue de configuration du système s'affiche.
  4. Accédez à l'onglet Démarrage.
  5. Désactivez le démarrage automatique de zenon en décochant la case adjacente à zenSysSrv.exe.
  6. Cliquez sur Accepter.
  7. Fermez la configuration en cliquant sur OK.
  8. Redémarrez l'ordinateur.

zenSysSrv à partir de Windows 8 :

  1. Ouvrez le Gestionnaire des tâches (Ctrl + Maj + Échap).
  2. Accédez à l'onglet Démarrage automatique.
  3. Désactivez le démarrage automatique de zenon en décochant la case adjacente à zenSysSrv - Transport service.
  4. Cliquez sur Désactiver.
  5. Redémarrez l'ordinateur.

Attention : Si une version de zenon est enregistrée à nouveau via l'outil Startup Tool, l'entrée est recréée et doit être supprimée à nouveau.


Procédure

Manuel -> Runtime -> Démarrage du Runtime en tant que service -> Procédure

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Si le service zenStartupMrg est démarré, il démarre consécutivement, en tant que processus enfant, tous les processus définis dans l'outil Startup Tool. Si le service est arrêté, il arrête tous les processus transmis dans l'ordre inverse.

Droits

Tous les processus démarrés par zenStartupMrg sont exécutés sous le nom de l'utilisateur sous lequel le service a été démarré par le système. Il s'agit généralement du compte associé au système local. Seules les ressources pouvant accéder au compte associé au système local sont utilisables.
Les périphériques suivants ne sont par conséquent généralement pas joignables :

  • Lecteurs en réseau
  • Imprimantes en réseau
  • Bases de données pour lesquelles l'option Utiliser la sécurité intégrée de Windows NT est activée

Si zenStartupMgr est démarré sous le nom d'un utilisateur Windows dédié, aucune interaction avec le Bureau n'est possible.
Attention : Le mot de passe d'un utilisateur dédié ne doit pas être modifié et ne doit pas expirer. Dans le cas contraire, le service ne démarrera plus.

Bureau sécurisé

Le Bureau sécurisé permet d'accéder de manière interactive à un processus comportant une interface utilisateur et exécuté dans le contexte du système. Les conditions suivantes doivent en outre être vraies dans le navigateur

  • Dans le service zenStartupMgr, l'option Autoriser l'échange de données entre le service et le Bureau doit être activée.
  • Le service système Détection des services interactifs doit être démarré.

Remarque : Ce type d'accès n'est pas adapté à une utilisation dans le cadre de l'utilisation du Runtime. Les services sont conçus comme des instances de programmes qui s'exécutent en arrière-plan, et ne sont pas contrôlés par le biais d'une interface utilisateur. Si des opérations doivent être exécutées sur le serveur de Runtime, le Runtime doit être démarré en tant qu'application. Si Runtime doit être exécuté en tant que service sur le serveur, le fonctionnement du Runtime peut être contrôlé depuis un client zenon.

Les boîtes de dialogue de message et modales sont automatiquement supprimées si :

  • Le Runtime de zenon est démarré via zenStartupMgr dans le contexte du système
    et
  • Secure Desktop n'est pas affiché

attention Attention

Les boîtes de dialogue modales ne doivent jamais être appelées via VBA ou VSTA, car il n'existe aucune possibilité de les refermer par le biais d'une interaction avec l'utilisateur.


Runtime en tant que contrôle ActiveX

Manuel -> Runtime -> Runtime en tant que contrôle ActiveX

Pour les équipements HMI KUKA, un contrôle ActiveX autorise l'exécution de l'intégralité du Runtime sous forme de contrôle. Le Runtime peut ainsi être inséré dans une autre application, en tant que sous-programme. À quelques exceptions près, le contrôle se comporte de la même manière que zenon Web Client, et peut également être exécuté dans un navigateur.

Nom du contrôle : zenRuntimeCtrl.ocx

Différences avec zenon Web Server :

  • Exécution possible uniquement dans une installation de la version 32 bits du Runtime de zenon
  • Les modes Serveur et Autonome sont possibles, mais pas le mode Client
    Remarque : Les modules Command Sequencer et Batch Control ne sont pas pris en charge dans ce contrôle ActiveX.
  • Démarre également le driver
  • Licence logicielle uniquement
  • La licence est lue depuis le fichier zenon6.ini ; le Runtime de zenon doit donc impérativement disposer d'une licence
  • Le projet de démarrage est lu depuis le fichier zenon6.ini ; le serveur de propriétés OCX, zenon Web Server et le projet ne sont pas pris en compte
  • Les communications réseau sont assurées via zenNetSrv.exe, et non via zenNetSrv.dll

attention Attention

Le contrôle ActiveX du Runtime est uniquement compatible avec les licences logicielles. La gestion de licences via Wibukey ou CodeMeter est impossible.


Utilisation dans le Runtime

Manuel -> Runtime -> Utilisation dans le Runtime

Types de fonctionnement

Le Runtime peut être utilisé à l'aide de la souris, ainsi qu'à l'aide du clavier ou d'un écran tactile. L'utilisation à l'aide d'une souris ou d'un écran tactile permet principalement d'actionner les boutons, les boutons d'état, les interrupteurs et les boutons invisibles du projet. L'utilisation possible d'un objet à l'écran avec la souris est indiquée par un changement de symbole du curseur. La flèche du pointeur de la souris devient une main.

info Informations

Le délai de commutation des synoptiques dans le Runtime dépend du nombre de variables liées. Ce n'est que lorsque toutes les variables ont été authentifiées que le synoptique peut être actionné.

Si de nombreuses variables sont actionnées, ceci peut prolonger le délai de commutation. Dans ce cas, une barre de progression représentant le chargement s'affiche à l'écran.

Autres sujets abordés dans ce chapitre

Souris

Tactile

Utilisation au clavier

Désactivation des raccourcis-clavier

Définir l'ordre de tri dans un cadre

Positionnement et utilisation des cadres

Listes configurables

Messages du Runtime


Souris

Manuel -> Runtime -> Utilisation dans le Runtime -> Souris

Un clic sur un élément dynamique ouvre (selon la configuration de l'élément dynamique) la boîte de dialogue standard de saisie d'une valeur prescrite. Selon le type de la variable, les boîtes de dialogue suivantes apparaissent :

Les opérations possibles sont les suivantes :

Paramètres | Description
Basculer vers valeur spontanée | Affiche la valeur spontanée (valeur provenant de l'automate) si la valeur de remplacement était affichée avant ou la valeur a été désactivée.
Changement de valeur événementiel (par défaut) | Écrire une nouvelle valeur spontanée sur l'automate
Commutation et modes. Valeur spontanée | Combinaison des deux commandes ci-dessus
Basculer vers valeur de remplacement | Affiche la valeur de remplacement (valeur provenant de la définition de la variable) si la valeur spontanée était affichée avant.
Modifier valeur de remplacement | Définir une nouvelle valeur de remplacement pour la variable
Commutation et modes. Valeur de remplacement | Combinaison des deux commandes ci-dessus
Désactiver valeur spontanée | Désactiver la connexion à l'automate pour cette valeur en définissant le bit d'état OFF (bit 20).
Activer valeur spontanée | Rétablir la connexion à l'automate pour cette valeur en redéfinissant le bit OFF.
Configurer l'état binaire | - BAS (0) - HAUT (1)

Les opérations possibles sont les suivantes :

Paramètres | Description
Basculer vers valeur spontanée | Affiche la valeur spontanée (valeur provenant de l'automate) si la valeur de remplacement était affichée avant ou la valeur a été désactivée.
Changement de valeur événementiel (par défaut) | Écrire une nouvelle valeur spontanée au niveau de l'automate.
Commutation et modes. Valeur spontanée | Association des deux commandes ci-dessus.
Basculer vers valeur de remplacement | Affiche la valeur de remplacement (valeur provenant de la définition de la variable) si la valeur spontanée était affichée avant.
Modifier valeur de remplacement | Définir une nouvelle valeur de remplacement pour la variable
Commutation et modes. Valeur de remplacement | Association des deux commandes ci-dessus.
Désactiver valeur spontanée | Désactiver la connexion à l'automate pour cette valeur en définissant le bit d'état OFF (bit 20).
Activer valeur spontanée | Rétablir la connexion à l'automate pour cette valeur en redéfinissant le bit OFF.
Valeur | Nouvelle valeur numérique (dans la plage de mesure définie)

Les opérations possibles sont les suivantes :

Paramètres | Description
Basculer vers valeur spontanée | Affiche la valeur spontanée (valeur provenant de l'automate) si la valeur de remplacement était affichée avant ou la valeur a été désactivée.
Changement de valeur événementiel (par défaut) | Écrire une nouvelle valeur spontanée sur l'automate
Commutation et modes. Valeur spontanée | Combinaison des deux commandes ci-dessus
Basculer vers valeur de remplacement | Affiche la valeur de remplacement (valeur provenant de la définition de la variable) si la valeur spontanée était affichée avant.
Modifier valeur de remplacement | Définir une nouvelle valeur de remplacement pour la variable
Commutation et modes. Valeur de remplacement | Combinaison des deux commandes ci-dessus
Désactiver valeur spontanée | Désactiver la connexion à l'automate pour cette valeur en définissant le bit d'état OFF (bit 20).
Activer valeur spontanée | Rétablir la connexion à l'automate pour cette valeur en redéfinissant le bit OFF.
Texte | Nouveau texte

Lasso

Les éléments dynamiques liés à une variable ou une fonction peuvent être présélectionnés à l'aide du lasso dans le Runtime, et ainsi être utilisés pour des événements VBA.

Sélection avec le lasso

Pour sélectionner des éléments avec le lasso dans le Runtime, vous devez :

  • Activer la propriété Paramètres du Runtime/Sélection multiple en runtime (lasso) dans les paramètres du projet
  • Activer la propriété Runtime/sélectionnable avec le lasso dans la propriété de l'élément dynamique

Dans le Runtime, plusieurs méthodes de sélection d'éléments sont disponibles :

  • Sélectionner les éléments : cliquez sur une zone vide, maintenez le bouton de la souris enfoncé et tracez le lasso sur les éléments affichés à l'écran
  • Sélection étendue : effectuez un Ctrl+clic sur un élément pour le sélectionner/le désélectionner, conjointement aux autres éléments sélectionnés
  • Ajouter des éléments : tout en dessinant le lasso, maintenez la touche Ctrl enfoncée pour ajouter des éléments à la sélection existante
  • Annuler la sélection : tracez un lasso ne contenant aucun élément


Tactile

Manuel -> Runtime -> Utilisation dans le Runtime -> Tactile

Dans zenon, les gestes MultiTouch permettent également d'actionner les écrans tactiles. Vous pouvez obtenir un exemple de projet auprès de votre conseiller zenon.

La configuration suivante est recommandée pour la fonctionnalité MultiTouch :

  • Carte graphique compatible DirectX 11
  • Définissez du matériel DirectX dans les paramètres de qualité graphique du projet.

Remarque : Pour les gestes dans Windows 8, de nombreux aspects de l'interaction via la fonctionnalité MultiTouch peuvent être configurés par le biais des propriétés, sans programmation supplémentaire.

Autres sujets abordés dans ce chapitre

Navigation avec la fonction MultiTouch dans la vue globale.


Navigation avec la fonction MultiTouch dans la vue globale.

Manuel -> Runtime -> Utilisation dans le Runtime -> Tactile -> Navigation avec la fonction MultiTouch dans la vue globale.

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Les fonctions MultiTouch de zoom et de défilement sont adaptées à la navigation dans la vue globale sur les écrans tactiles. Pour cela, un synoptique de type Vue d'aperçu n'est pas nécessaire. La navigation peut être mise en œuvre avec :

  • Les gestes tactiles Windows 7
  • Les gestes tactiles Windows 8

Règles

  • Déplacer : Si un conteneur de synoptique n'est pas une vue globale, il accepte les paramètres du synoptique cadran.

Déplacement d'une vue globale ou insertion d'une vue globale dans le conteneur d'un cadran

  • Le synoptique est plus grand que le cadre : Le contenu du synoptique est déplacé.
  • Le synoptique est plus petit ou de la même taille que le cadre : Pas de réaction.

Vue globale intégrée dans le cadran.

  • Le synoptique est plus grand que le cadre : Le contenu du synoptique est déplacé.
  • Le synoptique est plus petit ou de la même taille que le cadre : Pas de réaction.

Déplacement du cadre ou de la bordure avec la souris si le synoptique est une vue globale et est de la même taille ou plus petit que le cadre :

  • Avec le bouton droit de la souris : Pas de réaction.
  • Avec le bouton gauche de la souris : Le cadre est déplacé.

Modification de la taille de la vue globale

La taille de la vue globale ne peut pas être modifiée.
Exception : Si la vue globale est un cadran, la taille ne peut pas être modifiée.

Clic avec le bouton droit de la souris :

  • Le synoptique est plus grand que le cadre : Le contenu est déplacé.
  • Le synoptique est plus petit ou de la même taille que le cadre : Pas de réaction.

Conversion de projets

Valeurs pour Déplacer horizontalement et Déplacer verticalement lors de la conversion au format zenon 7.20 depuis une version antérieure :

  • Le synoptique est plus grand que le cadre : Déplacer.
  • Le synoptique est plus petit ou de la même taille que le cadre : Pas de réaction.

Autres sujets abordés dans ce chapitre

Navigation sous Windows 7

Navigation sous Windows 8


Navigation sous Windows 7

Manuel -> Runtime -> Utilisation dans le Runtime -> Tactile -> Navigation avec la fonction MultiTouch dans la vue globale. -> Navigation sous Windows 7

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Pour pouvoir parcourir un synoptique Vue globale avec des gestes MultiTouch sous Windows 7, vous devez effectuer les opérations suivantes :

  • Activer les gestes MultiTouch par le biais de la propriété 'Multi-touche' pour le zoom et le déplacement
  • Ou la mettre en œuvre par le biais de code VBA/VSTA

Zoom et défilement via la propriété 'Multi-touche' pour le zoom et le déplacement

Pour utiliser la fonction MultiTouch sans VBA/VSTA :

  1. Dans les propriétés du projet, dans le nœud Intéraction de la propriété Reconnaissance, activez Windows 7.
  2. Désactivez la propriété Dimension du gabarit dans le nœud Gabarit des propriétés du synoptique
  3. Activez la propriété 'Multi-touche' pour le zoom et le déplacement dans le nœud Intéraction des propriétés du synoptique

Ceci vous permet de faire défiler et d'agrandir/de réduire la taille d'affichage du synoptique avec des gestes MultiTouch. Dans ce cas, les fonctions de zoom et de défilement VBA/VSTA sont désactivées.

Zoom et défilement via VBA/VSTA

Pour activer des fonctions de zoom et de défilement par le biais d'événements VBA/VSTA, la propriété 'Multi-touche' pour le zoom et le déplacement ne doit pas être active.

Les éléments suivants sont disponibles dans la propriété DynPicture :

  • Propriété

    int ZoomLevel : affiche le niveau de zoom actuel dans la vue globale (valeur valide uniquement dans le Runtime, pour une vue globale).

  • Style

    SetZoomAndPos(float ZoomX, float ZoomY, int ZoomLevel, int CursorX, int CursorY, int PosX, int PosY, int PosMode) :

    ZoomX -> Direction X du nouveau facteur de zoom ; définie sur 0 si inutilisée

    ZoomY -> Direction Y du nouveau facteur de zoom ; définie sur 0 si inutilisée

    ZoomLevel -> Niveau de zoom ; défini sur -1 si inutilisé

    CursorX -> Cursorposition X

    CursorY -> Cursorposition Y

    PosX -> Nouvelle position X (voir PosMode)

    PosY -> Nouvelle position Y (voir PosMode)

    PosMode -> Coordonnées dans Pos

    -1 = PosX, PosY sont ignorés

    0 = point central, coordonnées originales

    1 = point central, coordonnées après zoom

    2 = point supérieur gauche, coordonnées originales

    3 = point supérieur gauche, coordonnées après zoom

    4 = coordonnées après zoom du curseur à partir du point supérieur gauche
    La position de la fenêtre est modifiée de telle manière qu'après le zoom, le pointeur de la souris se trouve toujours au-dessus de la position du synoptique

Attention : ZoomX, ZoomY et ZoomLevel ne peuvent pas être utilisés simultanément. Vous devez soit spécifier un paramètre ZoomLevel, soit spécifier un facteur de zoom pour les axes x et y.


Navigation sous Windows 8

Manuel -> Runtime -> Utilisation dans le Runtime -> Tactile -> Navigation avec la fonction MultiTouch dans la vue globale. -> Navigation sous Windows 8

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Pour naviguer avec des gestes MultiTouch dans un synoptique Vue globale sous Windows 8 :

  1. Dans les propriétés du projet, dans le nœud Intéraction de la propriété Reconnaissance, activez Windows 8.
  2. Pour le synoptique, dans le groupe Gabarit, désactivez la propriété Dimension du gabarit et définissez une taille de synoptique supérieure à la taille du cadre.
  3. Accédez au groupe Intéraction des propriétés du synoptique.
  4. Configurez les propriétés pour Zoomen et Verschieben.

Pour le geste de déplacement, vous pouvez définir la direction de votre choix - horizontale, verticale ou les deux. Pour cela, utilisez les propriétés Horizontal verschieben et Vertikal verschieben.


Utilisation au clavier

Manuel -> Runtime -> Utilisation dans le Runtime -> Utilisation au clavier

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Vous pouvez également utiliser le clavier pour bénéficier de fonctions complètes de navigation et d'utilisation dans le Runtime. Le focus est d'abord défini sur un cadre ; dans le cadre, vous pouvez vous déplacer avec les touches fléchées et déclencher une action en appuyant sur la touche Entrée. Les fonctions suivantes sont utilisées pour le contrôle :

  • Donner le focus au cadre
  • Enlever le focus du cadre
  • Déplacer le focus
  • Activer l'élément qui a le focus

L'ordre de sélection des éléments est défini par l'intermédiaire de l'attribution de numéros d'indice aux éléments de synoptique. Il est également possible de définir l'ordre de navigation avec les symboles.

L'utilisation au clavier peut également être effectuée à l'aide de raccourcis-clavier librement définis, tels que Ctrl+M. Les raccourcis-clavier peuvent être associés à chaque élément opérationnel via la propriété Raccourci-clavier.

Autres sujets abordés dans ce chapitre

Fonctions


Fonctions

Manuel -> Runtime -> Utilisation dans le Runtime -> Utilisation au clavier -> Fonctions

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Pour développer la fonction d'utilisation au clavier, utilisez les fonctions suivantes :

Donner le focus au cadre

Cette fonction transfère la sélection vers un cadre défini lors de l'utilisation des touches dans le Runtime.

Pour configurer la fonction :

  1. Dans la liste de fonctions, dans le nœud Synoptiques, sélectionnez la fonction Donner le focus au gabarit.

    La boîte de dialogue de sélection de cadre s'affiche à l'écran.

  2. Sélectionnez le cadre que vous voulez attribuer.
  3. Pour les projets multi-moniteurs, sélectionnez le moniteur virtuel utilisé pour l'ouverture du cadre.
  4. Fermez la boîte de dialogue de configuration en cliquant sur OK.
  5. Define the screen element that is to get the focus.
    Pour cela :
    1. Open the dialog for Move sequence for focus with Sequence for left/right.
    2. Define the element that should be triggered first.

Comportement dans le Runtime :

  • The frame with a focus is displayed with a border. La largeur et la couleur de ligne du cadre sont définis dans le nœud Apparence graphique/Synoptiques des propriétés du projet.
  • In the screen, the element gets the focus that has been defined as the first element in the sequence for left/right. The sequence for top/bottom is ignored.

Boîte de dialogue de sélection de cadre

Dans la boîte de dialogue de sélection de cadre, des cadres peuvent être sélectionnés pour l’exécution de fonctions parmi les éléments suivants :

  • Projet actuel
  • Sous-projets
  • Tous les projets de l’espace de travail dans lesquels l’option Garder projet en mémoire est active

Paramètres | Description
Fenêtre d’arborescence des projets | Affiche tous les projets dans l’espace de travail. Les cadres peuvent être sélectionnés dans le projet actuel et dans tous les projets dans lesquels l’option Garder projet en mémoire est active.
Fenêtre de cadres | Sélection d’un cadre. Si plusieurs cadres sont sélectionnés, le cadre affiché au début de la liste est utilisé pour exécuter la fonction.
Aucune sélection | Supprime la sélection et ferme la boîte de dialogue.
OK | Applique les paramètres et ferme la boîte de dialogue.
Annuler | Discards all changes and closes the dialog.
Aide | Ouvre l'aide en ligne.

Set focus on frame when calling up frames several times

Si un cadre est affiché à plusieurs reprises sur un moniteur, le focus est déplacé dans l'ordre inverse de la séquence de commutation à chaque exécutions des fonctions du focus. Si, par exemple, avec un cadre appelé à plusieurs reprises, les synoptiques Screen1, Screen2 et Screen3 sont ouverts, puis le focus est défini sur ce cadre, le focus est déplacé vers le dernier synoptique ouvert, Screen3. Lorsque la fonction Donner le focus au cadre est à nouveau exécutée, le focus est défini sur le synoptique Screen2, etc.

Déplacer le focus

Cette fonction active la sélection d'un élément particulier dans le Runtime pour l'utilisation du clavier, et peut donc être utilisée pour parcourir un cadre.

Propriété | Action
Direction | Définition de la direction dans laquelle la sélection doit être déplacée. La séquence définie ci-dessous est applicable à l'éditeur, via le menu contextuel ou le menu Édition/ Modifier l'ordre de sélection...
Sur l'élément | Définition de l'élément pour le focus. Entrez le nom d'objet de l'élément

Activer l'élément qui a le focus

Cette fonction active l'élément sélectionné dans le cadre sélectionné.

Enlever le focus du cadre

Cette fonction annule la sélection du cadre actuel dans le Runtime. Si vous souhaitez continuer à utiliser le clavier, vous devez à nouveau activer la sélection d'un cadre.


Désactivation des raccourcis-clavier

Manuel -> Runtime -> Utilisation dans le Runtime -> Désactivation des raccourcis-clavier

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Les raccourcis-clavier de Windows peuvent être désactivés dans le cadre du fonctionnement en ligne. Cette désactivation est configurée dans Editor. Il est également possible de désactiver toutes les touches système dans le Runtime.

Verrouillage des raccourcis de Windows

Pour désactiver les raccourcis-clavier de Windows, activez la propriété Bloquer les touches système dans la section Intéraction des propriétés du projet.

Verrouillés :

Raccourci-clavier | Effet
Alt + Échap | Passe à l'application suivante.
Alt + Tabulation | Bascule entre les applications ouvertes. Direction : en avant.
Alt + Maj + Tabulation | Bascule entre les applications ouvertes. Direction : en arrière.
Ctrl + Tabulation | Passe à la fenêtre suivante dans l'application. Peut être définie de manière spécifique à l'application.
Ctrl + Échap | Ouvre le menu Démarrer.
Alt + F4 | Ferme l'application.
Ctrl + F4 | Ferme la fenêtre active dans une application.
Ctrl + Maj + Échap | Démarre le Gestionnaire des tâches de Windows.
Touche Windows | Ouvre le menu Démarrer.
Touche Windows + D | Réduit ou agrandit toutes les fenêtres.
Touche Windows + E | Ouvre l'Explorateur Windows.
Touche Windows + F | Ouvre la fenêtre de recherche.
Touche Windows + M | Réduite toutes les fenêtres présentes dans la barre des tâches.
Touche Windows + P | Bascule en mode présentation.
Touche Windows + R | Ouvre la boîte de dialogue Exécuter.

Toutes les combinaisons correspondantes avec des actions de souris sont également désactivées.

Non verrouillés :

Raccourci-clavier | Effet
Ctrl + Alt + Suppr. | Redémarre l'ordinateur.
Touche Windows + L | Verrouille l'ordinateur.

Désactive toutes les touches système.

Pour verrouiller toutes les touches système dans le Runtime :

  • Activez la propriété .
  • Démarrez le Runtime à l'aide du programme Keyblock Runtime Start
  • Tenez compte des conseils fournis au chapitre Protection des fichiers du Runtime

attention Attention

La propriété Bloquer les touches système n'est pas disponible pour les projets CE.


Définir l'ordre de tri dans un cadre

Manuel -> Runtime -> Utilisation dans le Runtime -> Définir l'ordre de tri dans un cadre

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Pour définir l'ordre d'actionnement des éléments d'un synoptique, utilisez les options de configuration du projet dans zenon Editor :

  1. Ouvrez le synoptique.
  2. Cliquez avec le bouton droit sur une zone vide.
  3. Sélectionnez l'option Décaler l'ordre de sélection dans le menu contextuel.
  4. Dans la liste déroulante, sélectionnez Ordonner vers la gauche/la droite ou Ordonner vers le haut/le bas.
  5. Chaque élément du synoptique est représenté avec un numéro affiché dans le coin supérieur gauche.
  6. Cliquez sur l'élément que vous souhaitez sélectionner le premier.
  7. Le numéro de l'élément devient 1.
  8. Cliquez sur tous les autres éléments dans l'ordre dans lequel vous souhaitez les sélectionner:
    • Lorsqu'un élément a déjà été défini, la couleur de l'arrière-plan du numéro de l'élément est modifiée.
    • Les éléments qui ne peuvent pas être sélectionnés à l'aide du clavier dans le Runtime (propriété Le focus est donné à l'élément inactive) sont affichés avec un numéro rouge.
    • Si vous cliquez sur un élément tout en maintenant la touche Ctrl enfoncée, la numérotation commence par le numéro d'indice de cet élément.

info Informations

Dans les propriétés des éléments, la position est affichée à l'aide des propriétés Position du focus gauche/droite et Position focus haut / bas. Ces propriétés sont uniquement fournies à des fins d'information. Les valeurs des indices de la position ne peuvent pas être modifiées ici.

Symboles

Un indice peut également être attribué aux symboles. Durant la compilation des fichiers de Runtime, le symbole est dissocié et ses éléments sont insérés. Dans ce cas, l'ordre de sélection des éléments défini dans le symbole est pris en compte.

Example Exemple

Un synoptique comporte trois éléments : la valeur numérique Z, le bouton B et le symbole VS. Le symbole provenant dans la bibliothèque du projet reçoit trois valeurs numériques : N1, N2 et N3.

Si vous définissez l'ordre dans le synoptique comme suit : B - LS - Z,
l'ordre dans le Runtime est : B - N1 - N2 - N3 - N.


Positionnement et utilisation des cadres

Manuel -> Runtime -> Utilisation dans le Runtime -> Positionnement et utilisation des cadres

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Les positions des cadres peuvent être définies de manière fixe ou relative dans le Runtime. De cette manière, vous pouvez positionner les synoptiques de type clavier ou les boîtes de dialogue à l'emplacement exact auquel se situe le pointeur de la souris ou l'élément devant être sélectionné. Les positions des cadres peuvent être définies dans le Runtime :

  • Position absolue
  • Par rapport au pointeur de souris
  • relatif à l'élément

Les positions absolues et relatives sont définies dans les propriétés du cadre, dans zenon Editor.

Conserver la position lors de l'actualisation de l'affichage

Windows détermine toujours la position des synoptiques en fonction du modèle. Si des synoptiques contextuels sont planifiés et déplacés pendant l'exécution du programme, chaque synoptique contextuel est placé dans la position planifiée lors de la prochaine activation de la fonction de commutation. En utilisant la propriété Garder position et taille pour le prochain affichage, le modèle peut être configuré pour conserver sa position tant qu'il est ouvert, indépendamment des appels de synoptique. Si la propriété est active :

  • Si un synoptique est ouvert dans le Runtime dans un cadre déplacé manuellement, sa position et sa taille sont également conservées en cas d'appel de synoptique.
  • Si un autre synoptique est ouvert dans le même modèle, sa position et sa taille sont conservées. Cela s'applique également aux appels de remplacement.

Avec cette fonction, une position de modèle différente peut être utilisée pour chaque client, dans la mesure où la position locale est toujours sauvegardée.

Positionnement absolu

Les coordonnées du cadre sont toujours fixes et prédéfinies. Une position fixe est toujours utilisée pour tous les autres synoptiques automatiquement chargés par le système, comme, par exemple, lors d'une exécution par une commande temporisée ou du dépassement d'une valeur limite.

Positionnement relatif

Le positionnement relatif est particulièrement adapté au chargement de boîtes de dialogue, de synoptiques de type clavier ou de synoptiques Gestion de commande. Ceci est possible pour tous les appels de synoptiques, saisies de valeurs prescrites avec des synoptiques de type clavier librement définis et synoptiques Gestion de commande démarrés manuellement par l'utilisateur. Le fait que l'action soit déclenchée par une fonction Appel de synoptique, ou une définition de valeur prescrite ou directement sur un élément n'a pas d'importance. Le positionnement relatif est disponible pour :

  • les éléments dynamiques, auxquels vous pouvez associer une fonction
  • les éléments dynamiques pouvant être utilisés pour saisir une valeur prescrite (boutons, éléments combinés, etc.)
  • Menus principaux et contextuels
  • Exécutez la fonction spécifique au synoptique depuis le synoptique de la liste d'alarmes.

Le positionnement relatif fonctionne aussi pour les appels de fonctions imbriqués, par exemple, lorsqu'un appel de synoptique ou un envoi de valeur prescrite est déclenché par un script. Dans le cas où le synoptique s'afficherait hors des limites de l'écran, il est automatiquement repositionné pour qu'il soit visible. Ceci s'applique aussi dans le cadre d'une gestion multi-moniteurs, où le synoptique s'afficherait sur l'écran d'à côté.

attention Attention

Le positionnement relatif fonctionne uniquement lorsqu'il est appelé directement par l'utilisateur, et non avec des fonctions automatisées ou via une commande VBA.

Par rapport à l'élément

Positionne le point de référence du cadre par rapport à l'élément depuis lequel a été initié l'appel de synoptique (par ex. un bouton ou un élément combiné). Le point de référence du cadre sera toujours placé sur le point de référence calculé de l'élément. Si le cadre ne peut pas être désactivé dans cette position, car cela placerait le synoptique hors de l’écran, les points de référence alternatifs sont utilisés.

Définissez d'abord un point de référence pour votre cadre, puis pour la position préférée dans l'élément. Les paramètres suivants sont disponibles :

Propriété

Valeur

Point de référence d'élément vertical
  • En bas
  • Haut

Point de référence d'élément horizontal
  • Gauche
  • À droite

Mouvement vertical en pixels

Saisissez le déplacement souhaité

Mouvement horizontal en pixels

Saisissez le déplacement souhaité

Position alternative

Définissez une position alternative pour le point de référence du cadre et le point de référence de l'élément. Continuez en définissant les positions alternatives de la même manière que vous définissez les positions préférées. La position alternative est utilisée lorsque le cadre ne peut pas être placé dans la première position.

Par rapport au pointeur de souris

L'affichage du synoptique varie selon la position du pointeur de souris. Si le point de référence se trouve sur le côté supérieur gauche, le cadre sera chargé dans le coin inférieur droit du point de référence. Si le synoptique ne peut pas être affiché entièrement à la position configurée, la position sera décalée jusqu’à ce que le synoptique se trouve entièrement dans la zone affichable de l’écran.

Définissez le point de référence du cadre au-dessus des propriétés Point de référence vertical et Point de référence horizontal. Le point de référence est identifié par un point rouge sur le cadre. Les paramètres suivants sont disponibles :

Propriété

Valeur

Point de référence de cadre vertical
  • Haut
  • En bas
  • centré

Point de référence horizontale du cadre
  • Gauche
  • À droite
  • centré

Example Exemple

Vous avez défini un bouton sur la bordure droite de l'écran et essayez de positionner une fenêtre contextuelle sur son côté droit :

  • Élément point de référence : droit/centré
  • Élément point de référence : gauche/centré

Dans le Runtime, la fenêtre contextuelle s'affiche à droite du bouton, centrée par rapport au milieu du bouton. La fenêtre contextuelle ne couvre pas le bouton.

Vous pouvez également utiliser le même cadre pour un bouton sur la bordure gauche de l'écran. Il n'y aura peut-être pas assez de place sur le côté droit pour afficher entièrement la fenêtre contextuelle. La position configurée alternative sera alors utilisée. Pour cela, vous devez définir

  • Le point de référence alternatif de l'élément sur : gauche/centré
  • Le point de référence alternatif de l'élément sur : à droite/centré

Modifier la taille dans le Runtime

La taille d'affichage d'un synoptique dans le Runtime et les modifications autorisées de la taille sont configurées via les propriétés du groupe Position.

Propriété

Description

Largeur (maximum) [pixels]:

Définit la largeur maximum.

Hauteur (maximum) [pixels]:

Définit la hauteur maximum.

Limitation Minimum:

Définit les limites de la taille minimum. Valeurs possibles :

  • Sans : Pas de restriction.
    Si une valeur différente est sélectionnée, la valeur limite sélectionnée dans le Runtime est représentée par une ligne en pointillés dans la fenêtre du cadre.
  • Largeur : limite de largeur.
  • Hauteur. limite de hauteur.
  • Relatif : Limitation selon une valeur pourcentage de la taille de synoptique définie.

Agit uniquement sur les gestes MultiTouch. Les valeurs correspondantes sont définies avec la propriété Valeur (minimum).

Par défaut : Sans

Taille ouverture:

Définit la taille à laquelle un synoptique défini sur la base de ce cadre est appelé dans le Runtime :

  • Taille du cadre. Taille du cadre, définie dans Largeur (maximum) [pixels] et Hauteur (maximum) [pixels].
    Si une valeur différente est sélectionnée, la taille dans le Runtime est représentée par une ligne en pointillés dans la fenêtre du cadre.
  • Largeur [px]. Largeur définie dans Valeur (Taille ouverture) ; la hauteur est modifiée en conséquence.
  • Hauteur [px]. Hauteur définie dans Valeur (Taille ouverture) ; la largeur est modifiée en conséquence.
  • Relative [%]. La taille définie dans Largeur (maximum) [pixels] et Hauteur (maximum) [pixels] est modifiée conformément à la valeur de pourcentage définie dans Valeur (Taille ouverture).

Les valeurs correspondantes sont définies avec la propriété Valeur (Taille ouverture).

Par défaut : Taille du cadre

Déplacement et zoom

Les cadres peuvent être déplacés et agrandis, à l'aide de la fonction Zoom, dans le Runtime.

Déplacer

Le déplacement est toujours effectué par rapport aux moniteurs définis dans la fonction de gestion de moniteur. Ces paramètres ne sont pas pris en charge sous Windows CE.

Le déplacement des cadres dans le Runtime peut être limité aux éléments suivants :

  • Bordure de gabarit : Le cadre ne peut pas être déplacé au-delà de la limite du moniteur.
  • Zone de bordure de gabarit : Le cadre peut être déplacé au-delà de la limite du moniteur. Toutefois, une zone du moniteur (Marge de gabarit minimum) doit rester accessible pour d'autres actions.

La limite est uniquement valide si le cadre se trouve déjà dans la limite définie lors de son ouverture. Si le déplacement d'un cadre n'est pas limité, il peut - avec des gestes MultiTouch, par exemple - être déplacé au-delà de la zone visible.

info Informations

Le déplacement de cadres est principalement destiné à une utilisation en plein écran. L'application Runtime elle-même ne doit pas être déplacée vers un autre synoptique. Le déplacement du Runtime peut entraîner des limitations lors du déplacement.

Zoom

Les limites s'appliquent également à l'utilisation du zoom. Si une limite est atteinte pendant l'utilisation du zoom, une tentative d'agrandissement dans les directions comportant de l'espace libre est effectuée. Dans ce cas, le rapport d'aspect des côtés est conservé.

Déplacement et zoom de la vue d'ensemble

Lors du déplacement et du zoom, les cadres se comportent comme ceci, en fonction des paramètres configurés :


Listes configurables

Manuel -> Runtime -> Utilisation dans le Runtime -> Listes configurables

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Une sélection de listes peut être configurée individuellement dans le Runtime :

  • Active Directory :
    • Liste dans la fenêtre Active Directory (pas d’arborescence)
  • Liste d’alarmes
  • Filtre de liste AML/filtre de liste CEL/filtre de temps :
    • Lots : Sélection des archives
    • Lots : Sélection de lot
  • Batch :
    • Liste de recettes principales
    • Liste de recettes de contrôle
    • Liste de tags 1
    • Liste de tags 2
  • Gestion de commandes
    • Liste des verrouillages
  • Liste des utilisateurs :
    • Liste des utilisateurs
  • Liste d’événements
  • Extended Trend :
    • Liste de courbes étendues
  • Message Control :
    • Queue des messages
  • Process Recorder
  • Module RGM :
    • Liste de recettes et table de valeurs des recettes (sauf table de valeurs de recettes CE)
  • Gestion d’équipe
  • Listes de textes

Les actions suivantes sont possibles dans ces listes :

  • Déplacement de colonnes
  • Configuration of the columns
  • Coloration des colonnes
  • Mise en évidence de la position avec le focus
  • Utilisation de variables de réponse

For general information, see also the Design lists chapter.

info Informations

Touch boxes can be configured like lists:

  • Filtre de liste AML/filtre de liste CEL/filtre de temps :
  • Modifier utilisateur
  • Liste de groupes d'utilisateurs

Remarque : Not all elements can be configured with touch boxes. For example, there is no header and there is only one column.

Configuration dans Editor.

The appearance and behavior of the configurable lists in Runtime can be preconfigured in the Editor using the properties of the Affichage group.

Properties of the headers

The behavior of headers in Runtime is now defined in the Editor by means of the properties of the En-tête group:

  • Montrer l'en-tête: L’en-tête est affiché dans le Runtime.
  • Afficher la ligne de filtres: La ligne de filtre est affichée dans le Runtime.
  • Désactiver le tri: Contrôle la possibilité de trier le contenu du tableau dans le Runtime, en cliquant sur les en-têtes des colonnes.
  • Figer la sélection des colonnes: Contrôle la possibilité de déplacer ou modifier la largeur des colonnes avec la souris dans le Runtime.
  • Désactiver le menu contextuel: Activates or deactivates the context menu for the header.

Comportement dans le Runtime

Édition de cellules

Vous disposez de différentes possibilités d'édition de cellules dans les listes de type Liste configurable :

  • Double-cliquez sur l'entrée
  • Cliquez sur la cellule, puis cliquez une nouvelle fois dessus (double-clic lent)

Selon le type de synoptique, un autre bouton peut également permettre d'activer l'édition.

Couleur des colonnes

Dans les listes configurables, la couleur du texte et la couleur de l'arrière-plan de chaque colonne peuvent être configurées individuellement. Pour cela, configurez la section Couleurs définies par l'utilisateur de la fonction Appel de synoptique du synoptique correspondant, sur l'onglet Format des colonnes.

Afficher le focus

Dans les listes configurables, le focus correspondant peut être indiqué par différentes couleurs de texte et d'arrière-plan. La cellule, la colonne ou la ligne sur laquelle se trouve le focus est mise en évidence en caractères gras. Ces couleurs sont configurées dans les propriétés Sélection couleurs pour les listes d'objets du projet, dans le nœud Apparence graphique.

Priorités lors de la coloration

Si plusieurs couleurs sont appliquées sur une liste, les priorités suivantes s'appliquent :

  1. Général : Sélection couleurs pour les listes d'objets
  2. Module RGM : Validation valeur de recette
  3. Module RGM : Validation en ligne
  4. Module RGM : Verrouillage
  5. Fichier: Couleur des colonnes

Variables de réponse

Les listes configurables peuvent être liées à une variable de réponse BOOL. La sélection d'un élément dans la liste est signalée dans le Runtime.

Pour lier une variable de réponse :

  1. Cliquez sur Listes configurables.
  2. Ouvrez le groupe Variables de réponse dans les propriétés.
  3. Dans la propriété Sélection active, cliquez sur le bouton ....

    La boîte de dialogue de sélection d'une variable BOOL s'affiche à l'écran.

  4. Sélectionnez une variable.
  5. Lisez la variable à un élément d'affichage de l'état de la variable dans le Runtime.
    Signification des valeurs :
    • 0: Aucune sélection dans la liste.
      Remarque : Si un synoptique est fermé, la liste est automatiquement définie sur 0.
    • 1: Un élément a été sélectionné dans la liste.


Messages du Runtime

Manuel -> Runtime -> Utilisation dans le Runtime -> Messages du Runtime

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Dans le Runtime, les messages liés à l'exportation de données et aux actions de l'utilisateur peuvent s'afficher pour certains événements. Vous pouvez les configurer dans l'Editor.
Pour afficher les messages :

  1. Ouvrez les propriétés du projet pour Paramètres du Runtime.
  2. Configurez les propriétés du groupe Messages runtime pour.
    1. Export de données : Affiche le résultat d'une exportation de données déclenchée à l'aide de la fonction Exporter les données.
    2. Ecrasement de fichiers : Indique si une exportation de données écrasera un fichier.
    3. Entrée incorrecte : Permet d'activer ou de désactiver les messages du Runtime pour les actions d'utilisateur :

      - Utilisateur bloqué

      - Nom d'utilisateur non valide

      - Mot de passe non valide

      - Système verrouillé

      - Système déverrouillé

      - Votre compte a été verrouillé !

      - Écrire valeur prescrite

    4. Droits insuffisants : Permet d'activer ou de désactiver les messages du Runtime pour les autorisations insuffisantes.


Fichiers du Runtime

Manuel -> Runtime -> Fichiers du Runtime

Définition des fichiers du Runtime, des données du Runtime, du dossier du Runtime et du dossier de données

Fichiers du Runtime

Les fichiers du Runtime sont des fichiers créés par Editor et interprétés par le Runtime. Certains fichiers du Runtime sont modifiés par le Runtime, par exemple :

  • Des recettes standard,
  • Module Recipe Group Manager etc.

Les fichiers du Runtime sont stockés dans le dossier du Runtime. Celui-ci est défini dans Editor, sous Général, dans la fenêtre des propriétés.

Données du Runtime

Toutes les données créées et administrées par le Runtime, telles que les données provenant :

  • De la liste d'alarmes,
  • De la liste d'événements,
  • Du Serveur d'Archives, etc.

Ces données incluent également les données créées par Editor (fichiers du Runtime) et pouvant être modifiées par le Runtime, telles que les données provenant :

  • Des recettes standard,
  • Du module Recipe Group Manager
  • De la fonction de gestion des utilisateurs, etc.

Les données du Runtime sont stockées dans le dossier du Runtime. Celui-ci est défini dans Editor, sous Général, dans la fenêtre des propriétés.

Dossier du Runtime

Les fichiers du Runtime sont enregistrés dans ce dossier. Le chemin est enregistré dans le fichier zenon6.ini lors de la configuration du projet de démarrage. Le dossier de Runtime peut être modifié dans les propriétés du projet. Dans le dossier du Runtime se trouvent le sous-dossier RT et un sous-dossier avec le nom de l'ordinateur. Dans le dossier RT se trouvent tous les fichiers de Runtime créés par Editor. Dans le dossier portant le nom de l'ordinateur se trouvent tous les fichiers de données créés dans le Runtime.

Remarque : Assurez-vous de disposer d'une capacité disponible suffisante à l'endroit où sont enregistrées les données du Runtime, car de grandes quantités de données peuvent être accumulées en raison de l'archivage, des listes AML et CEL, etc.

Dossier des données

Le Runtime enregistre tous les fichiers de données créés dans le Runtime, tels que les fichiers d'alarmes, les fichiers d'archives et autres, dans le dossier de données. Par défaut, le dossier de données est créé sous forme de sous-dossier du dossier du Runtime. Ce dossier reçoit automatiquement le nom de l'ordinateur sur lequel s'exécute le Runtime. Cet emplacement d'enregistrement peut être modifié dans les propriétés du projet (Général/Dossier de données).

Conseil : ne définissez jamais le dossier de données sur un support amovible, tel qu'une clé USB ou un périphérique réseau. Il est recommandé d'enregistrer les données localement et de les sauvegarder sur un lecteur externe.

Autres sujets abordés dans ce chapitre

Fichiers de compatibilité du Runtime


Fichiers de compatibilité du Runtime

Manuel -> Runtime -> Fichiers du Runtime -> Fichiers de compatibilité du Runtime

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Le Runtime de zenon est rétrocompatible. Le Runtime peut toujours charger les projets provenant de versions antérieures et interpréter et afficher ces projets conformément à leur version.
Les projets provenant des versions 6.20 SP4 et ultérieures peuvent être démarrés directement, sans conversion préalable. Les projets comportant un numéro de version inférieur doivent être préalablement convertis. Un fonctionnement mixte est également possible. Ceci signifie : la fonction de gestion multi-projets permet de charger et exécuter les projets provenant de différentes versions.

Compatibilité en ligne

La compatibilité en ligne du Runtime autorise l'interopérabilité des systèmes du Runtime (également via zenon Web Client) sur le réseau zenon, même si la version du Runtime du client est supérieure à la version du Runtime du serveur.

Le Runtime actuel peut charger des projets des versions suivantes :

  • 6.20 SP4
  • 6.21 SP0
  • 6.21 SP1
  • 6.22 SP0
  • 6.22 SP1
  • 6.50 SP0
  • 6.51 SP0
  • 7.00 SP0
  • 7.10 SP0
  • 7.11 SP0
  • 7.20 SP0
  • 7.20 SP0 [no. de la dernière version] :
  • 7.50 SP0 :
  • 7.60 SP0

La fonction de gestion multi-projets permet de charger les projets provenant de différentes versions. Par exemple, le projet d'intégration peut comporter le numéro de version 7.60, tandis qu'un sous-projet peut comporter le numéro de version 7.50 et qu'un autre sous-projet peut comporter le numéro de version 6.51.Le fonctionnement mixte est également possible sur le réseau. Ceci permet de démarrer différentes versions par l'intermédiaire de zenon Web Client.

Remarque : À partir de la version 7.00, si une qualité graphique autre que Windows Basic est définie pour un projet (notamment via le paramètre correspondant pour l'option Créer fichiers RT pour), le Runtime (zenon versions 6.51 et antérieures) charge la qualité graphique Windows Extended. Si la qualité graphique Windows Basic est définie, ce paramètre est conservé.

Attention : le serveur et le serveur redondant doivent comporter la même version.

Remarque concernant le module Batch Control : les fichiers de Runtime du module Batch Control jusqu'à la version 7.00 SP0 incluse ne sont pas compatibles avec les versions ultérieures. Les versions à compter des versions 7.10 et ultérieures sont compatibles.

Version 7.20 - version la plus récente

Pour assurer la compatibilité avec la version 7.20, il existe une sélection supplémentaire possible - "La version la plus récente". Elle peut être sélectionnée avec 7.20 SP0 + [n° de la version la plus récente] dans la liste déroulante.

En faisant cette sélection, les fichiers Runtime sont fournis pour la version actuelle de la version 7.20. La fonctionnalité intégrée entretemps dans la version 7.20 après parution officielle de la version 7.20 est donc prise en charge. Ceci s’applique avant tout aux améliorations des drivers compatibles avec cette option. Veuillez noter qu’afin d’utiliser la version la plus récente, vous devez avoir installé zenon 7.20 sur votre ordinateur.

Remarque : La sélection 7.20 SP0 compile les fichiers Runtime, comme c’était le cas avant, selon les paramètres par défaut de 7.20 SP0.Veillez à utiliser la version la plus récente pour zenon 7.50 et 7.20.

Compatibilité d’Editor et du Runtime :

Avec zenon Editor, des fichiers de Runtime peuvent être créés pour différentes versions du Runtime. Il n’est donc pas nécessaire que la version du Runtime corresponde à la version d’Editor. Cette rétrocompatibilité est particulièrement adaptée à l’utilisation de systèmes mixtes. Par exemple : Un projet planifié avec l’Editor pour la version 7.60 peut également être démarré dans le Runtime 6.20 SP4.

attention Attention

Si, dans un projet planifié avec une version ultérieure d’Editor, des propriétés affichées ne sont pas disponibles dans la version antérieure, ces propriétés ne sont pas disponibles. Ceci peut produire des résultats indésirables dans le Runtime.

Création de fichiers de Runtime

Pour créer des fichiers de Runtime dans Editor pour les versions antérieures du Runtime :

  1. Sélectionnez le projet dans l'arborescence du projet.
  2. Accédez à la section Général des propriétés du projet.
  3. Ouvrez la liste déroulante de la propriété Créer fichiers RT pour.
  4. Sélectionnez la version souhaitée dans la liste déroulante.

Attention : Pour garantir la cohérence des fichiers de Runtime, tous les fichiers de Runtime doivent être recréés à chaque modification de cette propriété. Les configurations de tous les drivers sont converties. Les paramètres qui n’existent pas dans la version correspondante sont définis sur le paramètre par défaut.


Profils du Runtime

Manuel -> Runtime -> Profils du Runtime

Un profil de Runtime est un instantané optique reproductible du synoptique dans le Runtime ; il fournit des informations concernant :

  • L'organisation du synoptique (succession et position)
  • L'attribution du moniteur
  • Filtre

Les profils de Runtime sont liés aux projets et aux utilisateurs.

Les types de synoptiques suivants sont compatibles avec les profils de Runtime :

  • Liste des alarmes
  • Maintenance d'archive
  • Liste d'événements
  • Extended Trend
  • Industrial Maintenance Manager
  • Industrial Performance Analyzer
  • Report Generator
  • Message Control
  • Variable Diagnosis

Chaque utilisateur zenon possède un dossier particulier, dans lequel il peut gérer ses profils. Les administrateurs peuvent afficher et modifier tous les profils de tous les utilisateurs et les copier vers l'utilisateur Système. Depuis le compte utilisateur Système, tous les utilisateurs peuvent charger des profils de Runtime. Ce compte sert de compte d'échange pour les profils de Runtime.

Remarque : seuls les administrateurs peuvent copier et gérer les profils dans le compte utilisateur Système. Tous les autres utilisateurs peuvent uniquement gérer leurs propres profils et charger les profils de l'utilisateur Système.

Profils prédéfinis

Deux profils de Runtime prédéfinis existent parallèlement aux profils individuels :

  • DEFAULT : créé par l'utilisateur et sélectionné en tant que profil standard.
  • LAST (DERNIER) : automatiquement enregistré dans le dossier de l'utilisateur lorsque celui-ci se déconnecte.
    Exception : Le profile LAST n'est pas enregistré :
    • pour l'utilisateur System
    • Un identifiant de connexion temporaire, sans autorisation d'écriture

Un profil de démarrage peut être attribué à chaque utilisateur de zenon lors de la connexion.

attention Attention

Les profils ne peuvent être correctement enregistrés sur le serveur que si tous les projets sont disponibles sur le serveur :

  • Projets depuis lesquels des synoptiques sont appelés sur le client
  • Projets appelant des synoptiques par le biais d'une fonction d'appel de synoptique

L'enregistrement de profils de Runtime ne correspondant pas à ces conditions peut provoquer des erreurs dans le Runtime.

Autres sujets abordés dans ce chapitre

Charger et créer un profil dans le Runtime

Configuration des fonctions

Attribuer et gérer un profil

Répertoires de stockage des profils


Charger et créer un profil dans le Runtime

Manuel -> Runtime -> Profils du Runtime -> Charger et créer un profil dans le Runtime

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Pour créer un profil dans le Runtime, vous devez développer une fonction correspondante :

  • Enregistrer profil : enregistre le profil actuel, tel qu'il a été défini dans la fonction.
  • Gestion de profils : ouvre la boîte de dialogue de gestion de profils permettant d'enregistrer, de charger, d'attribuer et de gérer les profils.

En outre, les profils existants peuvent être activés dans le Runtime :

  • Charger profil

Lors du chargement d'un profil, l'état actif lors de l'enregistrement du profil est restauré. La structure du synoptique est restaurée telle qu'elle était lors de l'enregistrement, avec tous les filtres.

Attention : si des fonctions d'appel de synoptique étaient définies au niveau des propriétés d'un synoptique pour les fonctions Fonction à l'ouverture ou Fonction à la fermeture (à l'image des fonctions Appel de synoptique, Synoptique indexé ou Synoptique : retour au précédent ), elles ne sont pas exécutées ! Tous les autres types de fonctions sont exécutés à nouveau.

Si un script est appelé dans les deux fonctions, le script intégral et toutes les fonctions d'appel de synoptique contenues dans celui-ci sont exécutés. Il peut donc arriver que la structure d'un synoptique après le chargement du profil ne corresponde pas à la structure du synoptique lors de l'enregistrement d'un profil.

Un comportement similaire permet d'afficher la variable Variable donnant le synoptique actif : Si une valeur limite comportant une fonction d'appel de synoptique est exécutée dans la variable, la fonction est exécutée et peut affecter l'affichage de manière indésirable.


Configuration des fonctions

Manuel -> Runtime -> Profils du Runtime -> Configuration des fonctions

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Pour charger, enregistrer et gérer des profils dans le Runtime, vous développez une fonction dans Editor et l'attribuez à un bouton :

  • Sélectionnez Nouvelle fonction
  • Accédez au nœud Synoptiques.
  • Sélectionnez Profils du Runtime.

  • La boîte de dialogue de configuration des fonctions s'affiche alors à l'écran.

Propriété | Action
Ouvrir la boite de dialogue de gestion des profils dans le Runtime | Ouvre la boîte de dialogue de gestion, de création, d'enregistrement et de chargement de profils dans le Runtime.
Charger profil | Charge le profil défini dans la boîte de dialogue dans le Runtime :
Défaut | Charge le profil DEFAULT (PAR DÉFAUT). Ce profil a été sélectionné comme profil par défaut par l'utilisateur, parmi tous les profils existants.
Dernier | Charge le profil LAST (DERNIER). Il a été automatiquement écrit dans le dossier de l'utilisateur lors de la déconnexion.
Nom libre | Charge le profil portant le nom défini dans la boîte de dialogue. Si le profil n'existe pas, le profil actuel est conservé.
Nom issue d'une variable | Charge le profil dont le nom a été généré à partir de la variable définie.
Enregistrer profil | Enregistre le profil défini dans la boîte de dialogue.
Défaut | Enregistre le profil actuel sous le nom DEFAULT (PAR DÉFAUT).
Nom libre | Enregistre le profil sous le nom défini dans la boîte de dialogue.
Nom issue d'une variable | Enregistre le profil sous le nom créé à partir de la variable définie dans la boîte de dialogue.


Attribuer et gérer un profil

Manuel -> Runtime -> Profils du Runtime -> Attribuer et gérer un profil

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Les profils peuvent être attribués dans Editor et le Runtime. Dans le Runtime, vous pouvez les créer et les enregistrer.

Dans Editor

Des profils Runtime sont attribués aux utilisateurs dans Editor :

  • dans la boîte de dialogue de création de nouveaux utilisateurs, avec la propriété Profile de Runtime chargé après la connexion :

  • Via la propriété Profil runtime d'un utilisateur :

  • Dans la liste déroulante, les paramètres suivants sont disponibles :
    • Aucun : aucun profil n'est attribué (paramètre par défaut).
    • DEFAULT: le profil DEFAULT est attribué.
    • LAST: le profil LAST est attribué.

Dans le Runtime :

Dans le Runtime, vous pouvez enregistrer, charger, attribuer et gérer les profils à l'aide de la fonction de gestion de profils. Pour cela, vous devez développer la fonction Profils du Runtime avec la propriété Ouvrir la boîte de dialogue d'administration dans le Runtime.

Remarque : les administrateurs peuvent gérer les profils des autres utilisateurs.

Propriété | Action
Utilisateur connecté | Utilisateur actuellement connecté au système.
Utilisateur dont le profil est géré. | Utilisateur dont le profil est affiché et peut être géré.
Profils | Liste de profils disponibles.
Nom du profil | Nom du profil.
Dernière modification | Date et heure de la dernière modification.
Renommer | Ouvre le profil sélectionné, vous permettant de le renommer.
Supprimer | Supprime le profil sélectionné après une demande de confirmation.
Copier | Copie le profil sélectionné vers l'utilisateur Système. Le nom du profil peut alors être modifié. Conseil : les profils copiés vers l'utilisateur Système sont disponibles pour tous les utilisateurs non connectés.
Enregistrer profil | Ouvre la boîte de dialogue permettant d'attribuer un nom de profil et d'enregistrer le profil sous ce nom. Les caractères suivants sont interdits : Espace et les caractères spéciaux suivants / | \ : * ? ! " < > $
Charger profil | Charge le profil sélectionné.
Fermer | Ferme la boîte de dialogue.

Raccourcis-clavier

Légende | Action
F5 | Actualise la liste de profils. En cas d'événement inattendus affectant le réseau zenon, tels que l'interruption de la connexion ou la mise en veille du serveur, le contenu de la liste est automatiquement actualisé.
Échap | Ferme la boîte de dialogue.
Entrée | Charge le profil sélectionné.
Insér. | Enregistre l'état actuel du nouveau profil.
F2 | Permet de modifier le nom du profil sélectionné.
Suppr. | Supprime le profil sélectionné après une demande de confirmation.


Répertoires de stockage des profils

Manuel -> Runtime -> Profils du Runtime -> Répertoires de stockage des profils

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Les données des profils sont stockées dans des répertoires différents, en fonction de leur utilisation dans le Runtime :

Type de Runtime | Répertoire de stockage
Serveur ou autonome : | Les données sont stockées localement.
Client | Les données sont stockées sur le serveur et sont demandées et modifiées de manière interactive.
Standby (Serveur redondant) | Les données sont stockées sur le serveur et sont demandées et modifiées de manière interactive ; elles sont synchronisées localement.


Profils de filtre

Manuel -> Runtime -> Profils de filtre

Les profils de filtre sont des paramètres que l’utilisateur peut enregistrer et activer dans le Runtime en rapport avec un synoptique particulier.

Pour pouvoir utiliser les profils de filtre, vous devez configurer les éléments suivants :

Élément de contrôle | Description
Profils de filtre | Gestion des profils dans le Runtime.
Sélectionner un profil | Sélection, dans une liste déroulante, d’un profil enregistré.
Enregistrer | Cliquez sur le bouton dans le Runtime pour enregistrer les profils de filtre sous forme de profil. Remarque : Le nom ne peut contenir que 31 caractères maximum et uniquement des caractères valides. Les caractères suivants sont interdits : ! \ / : * ? < > | ""
Supprimer | Cliquez sur le bouton dans le Runtime pour supprimer le profil sélectionné.

Ceci vous permet d’effectuer les opérations suivantes dans le Runtime :

  • Enregistrer des filtres
  • Utiliser des filtres enregistrés
  • Supprimer des profils de filtre
  • Les profils de filtre peuvent également être exportés et importés avec d’autres éléments de contrôle.

Enregistrer un profil de filtre

Pour créer un profil de filtre :

  1. Définir les conditions de filtre
  2. Saisissez un nom dans le champ de saisie profils de filtre
  3. Cliquez sur le bouton Enregistrer.
    Le profil de filtre est enregistré et peut être sélectionné dans la liste déroulante.

Utiliser un profil de filtre

Pour utiliser un profil de filtre :

  1. Sélectionnez un filtre dans les profils de filtres de la liste déroulante.
  2. Le filtre est appliqué immédiatement

Supprimer un profil de filtre

Pour supprimer un profil de filtre :

  1. Sélectionnez un filtre dans les profils de filtres de la liste déroulante.
  2. Cliquez sur le bouton Supprimer.
    Le profil de filtre est supprimé.
  3. Le filtre supprimé reste appliqué tant qu'un nouveau filtre est défini ou sélectionné

Autres sujets abordés dans ce chapitre

Exportation et importation de profils de filtre


Exportation et importation de profils de filtre

Manuel -> Runtime -> Profils de filtre -> Exportation et importation de profils de filtre

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Vous pouvez transférer des profils de filtre vers d'autres projets et d'autres ordinateurs, grâce aux éléments de contrôle pour l'importation et l'exportation.

Pour exporter des profils :

  1. Créez les éléments de contrôle d'importation et d'exportation sur le synoptique :
    Éléments de contrôle -> Profils de filtre -> Importer ou Exporter
  2. Démarrez le Runtime
  3. Ouvrez le synoptique.
  4. Créez les profils souhaités
  5. Enregistrez les profils
  6. Exportez les profils :
    ils sont enregistrés dans un fichier XML et peuvent être importés dans un synoptique de même type, dans un autre projet

Pour importer les profils :

  1. Enregistrez le fichier XML avec les profils souhaités sur l'ordinateur du Runtime, s'il s'agit d'un ordinateur autre que l'ordinateur utilisé pour l'exportation
  2. Démarrez le Runtime
  3. Ouvrez le synoptique.
  4. Importez les profils

info Informations

Lors de l'importation, les profils existants sont supprimés. Le profil actif à cet instant n'est pas modifié.

Les fichiers XML peuvent uniquement être importés dans un synoptique de même type que celui dans lequel ils ont été créés. Si vous tentez d'importer des profils d'autres types de synoptiques, l'importation est annulée et un message d'erreur est affiché.


Gestion de la date et de l'heure

Manuel -> Runtime -> Gestion de la date et de l'heure

La date et l'heure dans zenon sont soit à l'heure locale, à l'heure UTC ou exprimées sous forme de périodes de temps. Le principe de base est que :

  • toutes les heures de début et de fin définies dans les filtres de fonctions telles que l'appel de synoptique ou les listes AML ou CEL sont enregistrées au format UTC
  • Les heures utilisées dans les modules tels que les modules PFS et Gestion de charge sont à l'Local Time
  • Les périodes de temps sont exprimées en secondes

Exceptions :

  • Le module IPA écrit les données historiques à l'heure locale, au format "datetime" dans la base de données
  • Les fonctions de zenon Lire l'heure depuis la variable et Écrire l'heure dans la variable n'enregistrent pas l'heure, mais reprennent l'heure locale sous forme de chaîne du contrôleur, ou écrivent cette heure dans le contrôleur

UTC

L'acronyme UTC signifie "temps universel coordonné". L'unité de temps est la seconde. L'heure UTC constitue la base uniforme permettant de déterminer l'heure internationale, et est mise à la disposition du public par le biais d'émetteurs et d'autres services d'heure. Selon le fuseau horaire, certaines périodes de temps doivent être ajoutées à ou retranchées de l'heure UTC. Ces périodes de temps peuvent varier d'une heure, en raison de l'heure d'été.
Exemple :

Pays | Heure locale
Alaska | UTC -9
Australie, Queensland | UTC +10
Bulgarie | UTC +2
Royaume-Uni | UTC
Corée | UTC +9
Europe centrale (CET) | UTC +1
Europe centrale (CET), heure d'été | UTC +2
Arabie Saoudite | UTC +3
Côte est des États-Unis | UTC -5
Émirats Arabes Unis | UTC +4

Conséquences pour la configuration

La date et l'heure de développement peuvent signifier une date et une heure différentes, selon l'emplacement d'exécution du Runtime.

Par exemple : Dans Editor, vous configurez l'exécution d'une fonction par le biais du module PFS, dans le fuseau horaire UTC +1, à l'heure locale 14:00. Après le transfert des fichiers vers un Runtime situé dans le fuseau horaire UTC +10, la fonction est exécutée à 23:00.

Changement de fuseau horaire

En cas de changement de fuseau horaire dans le système d'exploitation, cette modification est automatiquement appliquée dans le Runtime de zenon.

Tipp Conseil

Le fuseau horaire de l'ordinateur peut être analysé avec la variable de driver système [Info système] heure d’été / heure d’hiver.

La différence d'heure avec l'UTC de l'ordinateur peut être analysée avec la variable de driver système [Info système] décalage avec l'UTC.

Autres sujets abordés dans ce chapitre

Passage à l'heure d'été


Passage à l'heure d'été

Manuel -> Runtime -> Gestion de la date et de l'heure -> Passage à l'heure d'été

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Les dispositions suivantes s'appliquent lors du passage à l'heure d'été ou l'heure d'hiver :

  • Vous devez utiliser la fonction de changement d'heure automatique de Windows.
  • Ne changez pas d'heure manuellement !

    Les changements d'heure manuels peuvent entraîner des problèmes avec les heures affichées dans zenon, par exemple, l'heure d'enregistrement d'archives, les commandes temporisées, etc.

Vous pouvez configurer la réaction des modules Scheduler et Production & Facility Scheduler au changement d'heure dans les paramètres de ces modules :

  • Changement d'heure dans le module Scheduler
  • Changement d'heure dans le module Production & Facility Scheduler


Aide du Runtime

Manuel -> Aide du Runtime

zenon offre la possibilité de créer une aide contextuelle pour les projets exécutés dans le Runtime. Cette aide du Runtime repose sur des pages HTML compilées sous forme de fichiers CHM.

L’aide du Runtime est disponible pour :

Paramètre | Description
Menus principaux | Le texte de l’aide est accessible directement par l’intermédiaire du menu principal.
Les éléments dynamiques | Pour le menu contextuel de chaque élément dynamique, une page d’aide séparée peut être définie.
Fonction Ouvrir l’aide | Fonction Ouvrir l’aide

L’aide du Runtime permet d’utiliser les principaux formats graphiques (par exemple, JPG, BMP, GIF, PNG, etc.), formats texte et autorise la navigation en avant et en arrière.

tutorial Informations concernant la licence

Composante de la licence standard d’Editor et du Runtime.

Autres sujets abordés dans ce chapitre

Préparatifs

Configuration dans Editor

Afficher de l’aide

Aide du Runtime dans CE

Ouverture d’un document EPLAN depuis l’aide


Préparatifs

Manuel -> Aide du Runtime -> Préparatifs

Installation de HTML Help Workshop

HTML Help Workshop compile des fichiers HTML dans un fichier CHM. L’aide du Runtime est basée sur ces fichiers CHM. HTML Help Workshop est disponible sur le support d’installation de zenon, dans le dossier suivant : \AdditionalSoftware\Microsoft HTML Help Workshop.

Créer un projet d’aide :

Il existe de nombreux outils différents pour créer des fichiers HTML. Il est aussi possible d’enregistrer les textes en format HTML avec MS Word.

Tous les paramètres nécessaires sont déjà définis dans ce projet standard d’aide.

Préparatifs dans le HTML Help Workshop :

Après le lancement du HTML Help Workshop sur le projet standard d’aide il est chargé. Le bouton Add/Remove Topic Files (Ajouter/supprimer des fichiers à la rubrique) permet d’insérer des fichiers HTM(L) peuvent être dans le projet d’aide.

Cliquez sur le bouton Save and Compile (Enregistrer et compiler) ou Compile (Compiler) pour créer un fichier RT_Help.chm dans le dossier du projet d’aide. Tous les fichiers HTML pour ce projet d’aide sont inclus dans le fichier CHM.

Si des modifications ultérieures sont effectuées dans les fichiers HTM(L), le projet d’aide doit être recompilé.

Fichiers d’aide multiples :

Si l’aide du Runtime doit être scindée en plusieurs fichiers, les fichiers doivent être copiés dans un nouveau dossier pour le fichier d’aide suivant. Ensuite le projet d’aide peut être renommé et les fichiers HTML peuvent être remplacés par les nouveaux. Une nouvelle compilation du projet d’aide crée le nouveau fichier d’aide.

Préparatifs concernant l’aide multilingue :

Une fois que le projet a été créé pour une langue, tous les fichiers du dossier doivent être copiés dans le dossier de la langue suivante. Ensuite, les fichiers HTML peuvent être remplacés par ceux de la nouvelle langue. Après le lancement du HTML Help Workshop, la langue doit être changée dans la section International Settings (Paramètres internationaux). Une nouvelle compilation du projet permet de créer l’aide pour la nouvelle langue.

Les noms des projets d’aide (*hpp, *.chm) et les noms des fichiers HTML (*.htm) doivent être identiques dans toutes les langues.


Configuration dans Editor

Manuel -> Aide du Runtime -> Configuration dans Editor

Le menu contextuel de la section Fichiers/Aide du Gestionnaire de projet permet d’insérer des fichiers CHM. La langue standard est insérée directement dans ce dossier. Si aucun fichier standard n’est inséré ici, ensuite vous ne pourrez pas sélectionner de fichier d’aide dans la suite du développement du projet.

Autres sujets abordés dans ce chapitre

Changement de langue

Mise à jour des fichiers d’aide

Configurer le fichier d’aide et le chapitre d’aide


Changement de langue

Manuel -> Aide du Runtime -> Configuration dans Editor -> Changement de langue

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Pour les projets dont la langue doit être changée en ligne, un sous-dossier séparé pour chaque langue doit être créé. Les fichiers d’aide de chaque langue sont insérés dans chaque sous-dossier. Étapes nécessaires :

  • Dans le menu contextuel de la section Fichiers/Aide, créez un sous-dossier pour chaque langue, par exemple Allemand et Anglais.
  • Traduisez les entrées du fichier d’aide
  • Compilez à nouveau l’aide dans HTML Help Workshop
  • Créez un fichier RT-Help.chm dans le dossier de chaque langue
    • Sélectionnez Ajouter fichier... dans le menu contextuel
  • Tous les fichiers d’aide doivent alors être insérés dans la version locale, par le biais du menu contextuel


Mise à jour des fichiers d’aide

Manuel -> Aide du Runtime -> Configuration dans Editor -> Mise à jour des fichiers d’aide

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Si durant le développement les fichiers d’aide existants doivent être remplacés par des nouveaux, ceci doit être fait manuellement. Les nouveaux fichiers CHM doivent être copiés dans le répertoire correspondant du projet. Dans Editor, les commandes Autoriser les modifications et Accepter les modifications permettent également de mettre à jour la base de données du projet avec les nouveaux fichiers.


Configurer le fichier d’aide et le chapitre d’aide

Manuel -> Aide du Runtime -> Configuration dans Editor -> Configurer le fichier d’aide et le chapitre d’aide

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Les fichiers et chapitres accessibles pour l’aide sont établis en utilisant les propriétés dans l’Editor pour :

  • Menus
  • Alarmes
  • Les éléments dynamiques
  • Fonction Ouvrir l’aide

Configuration

Tous les appels à la fonction Ouvrir l’aide peuvent être configurés :

  • Association du nom du fichier CHM et d’un fichier HTM inclus.
  • Nom du fichier HTM seul, suivi d’un indice correspondant à un fichier HTM inclus.

Fichier CHM

Pour afficher les fichiers d’aide dans le Runtime, un fichier CHM doit être saisi. Les chapitres appelés sont définis pour ce fichier. La configuration est effectuée dans les différentes zones et suit un schéma :

  1. Sélection fichier d’aide :
    Sélection d’un fichier d'aide à partir duquel un chapitre doit être affiché. Ce fichier doit être présent dans l’arborescence du projet dans le nœud Fichier/aide.
  2. Indication Chapitre d’aide :
    Indication du chapitre à partir du fichier CHM à afficher. Le nom du chapitre est entrée manuellement et complété par l’extension de fichier htm.

Menus

Une entrée d’aide peut être configurée pour chaque entrée dans le menu principal et dans le menu contextuel. Les pages d'aide des éléments liés sont normalement affichées. Si un élément lié ne comporte pas de page d’aide, la page définie ici est affichée.
la configuration s’effectue en utilisant les propriétés du groupe Aide.

  • Fichier : Sélection du fichier d'aide à partir duquel un chapitre doit être affiché.
  • Chapitre : Nom du chapitre d’aide à afficher.
    Syntaxe : chapter name.htm
    Attention : cette entrée tient compte des minuscules et majuscules.

Remarques supplémentaires : Chapitre Aide dans le menu.

Alarmes

Les entrées d’aide pour alarmes sont configurées via les propriétés de la valeur limite respective de la variable.
Dans le groupe Valeurs limite, des entrées correspondantes sont disponibles dans le sous-groupe Aide pour chaque valeur limite définie :

  • Fichier d'aide : Sélection du fichier d'aide (*.chm) dont un chapitre relatif à cette alarme sera affiché dans la liste d'alarmes.
    Note : Une page de EPLAN peut également être appelée.
  • Chapitre d'aide : Indication du chapitre d'aide à afficher dans la liste d'alarmes pour cette alarme.
    Syntaxe : chapter name.htm
    Attention : cette entrée tient compte des minuscules et majuscules.

Remarques supplémentaires : Chapitre Aide pour les alarmes

Éléments dynamiques dans synoptiques

Chaque élément dynamique dans un synoptique peut obtenir une entrée d’aide. Vous le définissez dans le groupe Runtime dans les propriétés correspondantes dans le sous-groupe Aide :

  • Fichier d'aide : Sélection du fichier d'aide à partir duquel un chapitre doit être affiché.
  • Chapitre d'aide : Nom du chapitre d’aide à afficher.
    Syntaxe : chapter name.htm
    Attention : cette entrée tient compte des minuscules et majuscules.

SI aucune page d’aide n’est reliée pour un élément dynamique, l’aide reliée dans la zone Menus est reliée, si elle existe.

Remarques supplémentaires : Chapitre Aide sur les éléments dynamiques

Fonction Ouvrir l’aide

Un certain chapitre d’un fichier CH peut être appelé en utilisant la fonction Ouvrir l'aide.

Remarques supplémentaires : Chapitre Ouvrir fonction d’aide.

Autres sujets abordés dans ce chapitre

Aide dans le menu

Aide pour les alarmes

Aide sur les éléments dynamiques

Fonction Ouvrir l’aide


Aide dans le menu

Manuel -> Aide du Runtime -> Configuration dans Editor -> Configurer le fichier d’aide et le chapitre d’aide -> Aide dans le menu

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Après avoir sélectionné le menu principal à modifier, vous pouvez créer une nouvelle entrée pour l’aide. Si cette entrée est sélectionnée, les propriétés peuvent être définies dans la fenêtre des propriétés :

Paramètres | Description
Menu contextuel :Type action | Le type d’action doit être positionné sur Aide, sinon les paramètres suivants ne sont pas accessibles.
Élément dynamique : Fichier d'aide | Ici vous sélectionnez le fichier d’aide (*.chm) correspondant à la langue standard. Cette entrée est utilisée s’il n’y a pas de fichier spécifié sur l’élément dynamique.
Élément dynamique : Chapitre d'aide | Ici vous sélectionnez la page d’aide correspondante du fichier d’aide. Les pages d’aide ont toujours le nom du fichier HTM(L) correspondant. Cette entrée est utilisée s’il n’y a pas de chapitre spécifié sur l’élément dynamique.


Aide pour les alarmes

Manuel -> Aide du Runtime -> Configuration dans Editor -> Configurer le fichier d’aide et le chapitre d’aide -> Aide pour les alarmes

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Pour chaque alarme, une page d’aide contextuelle peut être affichée. Le paramétrage se fait directement sur l’alarme. Cette aide est appelée depuis le synoptique d’alarmes (synoptique de Liste d’alarmes). Après avoir sélectionné une entrée dans la liste d’alarmes et cliqué sur le bouton Aide, la page d’aide correspondante est affichée.

Les paramètres suivants dans les propriétés de l’élément Valeurs limite d’une variable sont nécessaires :

Paramètres | Description
Dans la liste d'alarmes | Cette propriété doit être activée sinon les propriétés suivantes ne sont pas accessibles.
Fichier d'aide | Ici vous sélectionnez le fichier d’aide (*.chm) correspondant à la langue standard.
Chapitre d'aide | Ici vous sélectionnez la page d’aide correspondante du fichier d’aide. Les pages d’aide ont toujours le nom du fichier HTM(L) correspondant.


Aide sur les éléments dynamiques

Manuel -> Aide du Runtime -> Configuration dans Editor -> Configurer le fichier d’aide et le chapitre d’aide -> Aide sur les éléments dynamiques

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Pour chaque élément dynamique, un menu contextuel peut être sélectionné. Si le menu contextuel comporte une entrée avec le type d’action Aide, une aide contextuelle est affichée pour l’élément dynamique.

Autres sujets abordés dans ce chapitre

Définir le menu contextuel

Définir les éléments dynamiques


Définir le menu contextuel

Manuel -> Aide du Runtime -> Configuration dans Editor -> Configurer le fichier d’aide et le chapitre d’aide -> Aide sur les éléments dynamiques -> Définir le menu contextuel

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Après avoir sélectionné le menu contextuel de votre choix, vous pouvez créer une nouvelle entrée pour l’aide. Les paramètres suivants sont nécessaires dans les propriétés :

Paramètres | Description
Menu contextuel : Type action | Le type d’action doit être positionné sur Aide, sinon les paramètres suivants ne sont pas accessibles.
Élément dynamique : Fichier d'aide | Ici vous sélectionnez le fichier d’aide (*.chm) correspondant à la langue standard. Cette entrée est utilisée s’il n’y a pas de fichier spécifié sur l’élément dynamique.
Élément dynamique : Chapitre d'aide | Ici vous sélectionnez la page d’aide correspondante du fichier d’aide. Les pages d’aide ont toujours le nom du fichier HTM(L) correspondant. Cette entrée est utilisée s’il n’y a pas de chapitre spécifié sur l’élément dynamique.

Le menu contextuel peut être utilisé sur différents éléments dynamiques.


Définir les éléments dynamiques

Manuel -> Aide du Runtime -> Configuration dans Editor -> Configurer le fichier d’aide et le chapitre d’aide -> Aide sur les éléments dynamiques -> Définir les éléments dynamiques

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Les paramètres suivants dans les propriétés de l’élément dynamique sont nécessaires :

Paramètres | Description
Menu contextuel | Ici vous pouvez sélectionner le menu adéquat dans la liste de menus contextuels proposés.
Fichier d'aide | Ici vous sélectionnez le fichier d’aide (*.chm) correspondant à la langue standard. Si aucun fichier d’aide n’est spécifié pour l’élément dynamique, les paramètres définis dans le menu contextuel sont utilisés.
Chapitre d'aide | Ici vous sélectionnez la page d’aide correspondante du fichier d’aide. Les pages d’aide ont toujours le nom du fichier HTM(L) correspondant. Si aucun chapitre d’aide n’est spécifié pour l’élément dynamique, les paramètres définis dans le menu contextuel sont utilisés.


Fonction Ouvrir l’aide

Manuel -> Aide du Runtime -> Configuration dans Editor -> Configurer le fichier d’aide et le chapitre d’aide -> Fonction Ouvrir l’aide

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Cette fonction permet d’ouvrir un site d’aide, par exemple pour les menus, les valeurs limite et les éléments dynamiques.

  1. Dans le menu contextuel du nœud Fonction, sélectionnez la commande Nouvelle fonction
  2. Accédez au nœud Application.
  3. Sélectionnez Ouvrir l'aide.

    La boîte de dialogue de configuration s'affiche.

Ouvre la boîte de dialogue d’aide

Paramètres | Description
Fichier d'aide | Fichier d’aide (*.CHM) à partir duquel une page doit être affichée. Cliquez sur le bouton ... pour ouvrir l’Explorateur et sélectionner un fichier CHM. Ce fichier doit être présent dans l’arborescence du projet dans le nœud Fichier/aide.
Chapitre d'aide | Page d’aide à afficher. Saisie manuelle du nom de fichier du chapitre avant la compilation du fichier avec l’extension de nom de fichier htm. Format : Nom de fichier.htm

Tous les appels à la fonction Ouvrir l’aide peuvent être configurés :

  • Association du nom du fichier CHM et d’un fichier HTM inclus.
  • Nom du fichier HTM seul, suivi d’un indice correspondant à un fichier HTM inclus.

info Informations

Dans la structure d’une présentation au format HTML, chaque site HTM doit comporter un intitulé explicite, car celui-ci sera affiché dans Windows CE.


Afficher de l’aide

Manuel -> Aide du Runtime -> Afficher de l’aide

L’affichage d’aide peut être fait de deux façons :

  1. Externe : via l’aide au format HTML du système d’exploitation.
    Tenez compte des restrictions concernant le changement de langue?!
  2. Au niveau Interne : via l’aide du synoptique HTML

Autres sujets abordés dans ce chapitre

Aide HTML du système d’exploitation

Aide dans un synoptique de type HTML


Aide HTML du système d’exploitation

Manuel -> Aide du Runtime -> Afficher de l’aide -> Aide HTML du système d’exploitation

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Ce type d’affichage est utilisé par défaut. Aucun paramétrage supplémentaire n’est nécessaire.

attention Attention

En règle générale, le changement de langue est impossible avec l’aide au format HMTL des systèmes d’exploitation de Microsoft. Les systèmes d’aide autorisant les changements de langue doivent être configurés au moyen d’un synoptique de type HTML.

Exception : Aide sous Windows CE.


Aide dans un synoptique de type HTML

Manuel -> Aide du Runtime -> Afficher de l’aide -> Aide dans un synoptique de type HTML

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Si un synoptique de type HTML existe et porte le nom HTML-Help, il est utilisé à la place de l’aide au format HTML du système d’exploitation. Le nom du synoptique est sensible à la casse (minuscules/majuscules).

L’aide est affichée dans l’élément de contrôle Naviguer.

info Informations

Changement de langue : Si la langue est modifiée sous Windows Vista après la fermeture de CHM Viewer, la nouvelle langue sera affichée la prochaine fois que l’aide sera appelée.


Aide du Runtime dans CE

Manuel -> Aide du Runtime -> Aide du Runtime dans CE

Sous Windows CE, le fichier CHM est décompressé et le fichier HTM(L) est affiché dans Internet Explorer ou sur un synoptique de type HTML.

Pour les périphériques CE, aucun caractère spécial (trémas, accents, etc.) n’est autorisé. Toutes les références aux objets de l’aide de Windows CE doivent être contenues dans la plage de caractères suivante :

  • A à Z
  • a à z
  • 0-9

info Informations

Changement de langue : Contrairement aux autres systèmes d’exploitation Microsoft Windows, le changement de langue dans le Runtime sous Windows CE est également compatible avec l’aide au format HTML du système d’exploitation.

Remarque : Chaque appel de l’aide dans Windows CE entraîne la fermeture de toutes les autres fenêtres Internet Explorer ouvertes par un utilisateur.


Ouverture d’un document EPLAN depuis l’aide

Manuel -> Aide du Runtime -> Ouverture d’un document EPLAN depuis l’aide

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Un document EPLAN peut également être ouvert en cas d’alarme (dépassement de valeur limite).

attention Attention

La connexion EPLAN doit comporter une licence dans zenon. Vous pouvez obtenir des licences auprès de votre interlocuteur chez zenon ou auprès de sales@copadata.com.

Pour ouvrir des documents EPLAN depuis zenon dans le Runtime :

  1. Saisissez le chemin d’accès au programme EPLAN dans le fichier zenon6.ini.
  2. Dans zenon Editor, dans l’aide des propriétés associée aux variables correspondantes, accédez au sous-groupe Aide dans le groupe Valeurs limite.
  3. Dans le champ de la propriété Fichier d'aide, saisissez la séquence de caractères $PRG:xxxxxx.
    (xxxxxx représente le paramètre pour appeler le document correct ; pour plus de détails, voir la section Paramètres d’appel des documents EPLAN).
  4. Saisissez le caractère souhaité dans le champ de la propriété Chapitre d'aide.
    La propriété est ignorée par EPLAN, mais ne doit pas être vide.

Le document EPLAN configuré est ouvert lorsque l’aide est ouverte dans le Runtime.

info Informations

Cette fonctionnalité peut, en principe, être utilisée pour d’autres types de documents, tels que les fichiers PDF.

Configuration du fichier zenon6.ini.

Dans zenOn6.ini, saisissez le chemin vers W3u.exe. Le fichier W3u.exe est le fichier exécutable de l’afficheur EPLAN. La version 1.7.11 (ou une version ultérieure) est requise.

Pour cela :

  1. Accédez à la section [PATH] ou créez-la.
  2. Saisissez le [Chemin] EDOC_PATH=.

    Par exemple : EDOC_PATH=C:\\Programme\EPLAN\View\1.7.11\BIN\W3u.exe

info Informations

Le fichier zenon6.ini se trouve dans le chemin suivant : %ProgramData%\COPA-DATA\System\

Paramètres d’ouverture des documents EPLAN

Une destination de lien associée à des paramètres doit être fournie pour ouvrir un document EPLAN depuis l’aide du Runtime.

Syntaxe : edit /[chemin du projet EPLAN ]/[DEVICENAME:=nom de la vue/page dans le projet)]

Paramètre

Description

PROJECTNAME

Nom du projet et chemin d’accès complet.

  • Accès depuis la ligne de commande : PROJECTNAME doit être indiqué. Vous pouvez également procéder ainsi : ProjectAction doit avoir été précédemment utilisé. Dans le cas contraire, l’erreur exceptionnelle System.Argument Exception est déclenchée.
  • Ouverture depuis l’interface utilisateur : il n’est pas nécessaire de fournir cette indication en cas d’appel via un script ou depuis la barre d’outils, par exemple. Le projet sélectionné est utilisé, même si l’indication n’est pas fournie.

PAGENAME

Nom de la page à consulter (facultatif).

Obligatoire si X et Y sont utilisés comme paramètres de positionnement du curseur.

DEVICENAME

Nom d’un composant (facultatif).

Exemples :

  • Ouvrir un projet :
    PROJECTNAME:C:\Projects\EPLAN\PLAN100.elk
  • Ouvrir une page :
    PROJECTNAME:C:\Projects\EPLAN\PLAN100.elk /PAGENAME:=AP+ST1/7
  • Ouvrir la page et placer le curseur dans la position X, Y :
    PROJECTNAME:C:\Projects\EPLAN\PLAN100.elk /PAGENAME:=AP+ST1/7/X:200/Y:100
  • Ouvrir la page avec BMK :
    PROJECTNAME:C:\Projects\EPLAN\PLAN100.elk /DEVICENAME:=AP+PT1-G1

Exemple d’ouverture depuis une page d’aide de zenon :

PROJECTNAME:"D:\##Projekte\EPLAN\EPLAN_Alarmanbindung\P8_DEMO.elk" /DEVICENAME:=UNIT+PP-B1

Vous trouverez d’autres informations concernant la configuration dans EPLAN dans la documentation d’EPLAN.


Assistants

Manuel -> Assistants

Pour gérer facilement et rapidement certaines tâches de développement répétitives, zenon propose des assistants adaptés aux différents domaines d'ingénierie.

Les utilisateurs peuvent également créer leurs propres assistants.

tutorial Informations concernant la licence

Composante de la licence standard d’Editor et du Runtime.

Démarrer un assistant

Pour démarrer un assistant :

  • Dans le menu Extras, sélectionnez l'entrée Démarrer l'éditeur de wizards.

    ou

  • Appuyez sur les touches Alt+F12.

    La boîte de dialogue de sélection des assistants de zenon.

L'assistant de création de projet est automatiquement proposé lors de la création d'un nouveau projet.

Paramètres du fichier zenon6.ini

For wizards to be displayed, the settings for VBA or VSTA must be set correctly in file zenon6.ini:

[VBA]

EIN=1

[VSTA]

ON=1

If VSTA wizards are not displayed although the settings are correct, set entry LOADED= to 1 in area [VSTA].

Autres sujets abordés dans ce chapitre

Rubriques

Création et adaptation d'assistants

Mettre à jour les assistants


Rubriques

Manuel -> Assistants -> Rubriques

Les assistants suivants sont disponibles dans zenon :

  • Analyzer
    • Export Wizard for Analyzer 2.10
    • Assistant Export Wizard for Analyzer 2.20
    • Assistant Export Wizard for Analyzer 3.00
    • Assistant Export Wizard for Analyzer 3.10
    • Meaning and Waterfall Chart Wizard
    • Assistant Sankey Wizard
  • Energy
    • Driver Simulation
    • IEC 61850 SSD Import
    • Configuration du driver IEC850
  • Export - Import
    • FactoryLink Import Wizard
    • PDiag import wizard (Assistant d'importation PDiag)
    • WinCC Import Wizard (Assistant d'importation WinCC)
    • XML export wizard (Assistant d'exportation XML)
    • XML Import Wizard (Assistant d'importation au format XML)
  • Language Table
    • Language Table Wizard
    • Language Translation Wizard (Assistant Traduction linguistique)
    • Assistant System Text Wizard
  • Metering Point Administration Wizard
  • Pharmaceutical (Pharmacie)
    • Pharmaceutical Wizard
  • Project
    • Backup Comparison Wizard
    • Documentation wizard (Assistant Documentation)
    • Project Wizard (Assistant Projet)
  • Variables
    • Everywhere Essentials QR Code Generator
    • Assistant Variable Creation Wizard
  • Wizards VSTA
    • Demo Wizard: Modèle vide pouvant être modifié individuellement.

Autres sujets abordés dans ce chapitre

Analyzer

Énergie

Importation - Exportation

Language Table (Table de langues)

Metering Point Administration

Pharmaceutical (Pharmacie)

Project

Variables


Analyzer

Manuel -> Assistants -> Rubriques -> Analyzer

Le module zenon Analyzer comporte des assistants facilitant la configuration des paramètres pour le système SCADA et l'exportation des données depuis le système SCADA. Le système SCADA zenon est actuellement pris en charge.

Assistants

  • Export Wizard for Analyzer 2.10: : Autorise l'exportation de métadonnées depuis zenon pour zenon Analyzer, version 2.10.
  • Export Wizard for Analyzer 2.20: : autorise l'exportation de métadonnées depuis zenon pour zenon Analyzer, version 2.20.
  • Export Wizard for Analyzer 3.00: : autorise l'exportation de métadonnées depuis zenon pour zenon Analyzer, version 3.00
  • Export Wizard for Analyzer 3.10: : autorise l'exportation de métadonnées depuis zenon pour zenon Analyzer, version 3.10
  • Meaning and Waterfall Chart Wizard: Cet assistant vous aide à préparer un projet zenon pour le traitement des informations de variables dans zenon Analyzer.
  • Sankey Wizard : aide à la création de diagrammes Sankey que vous pouvez consulter dans le Runtime ou utiliser dans zenon Analyzer.

Les assistants de zenon Analyzer sont automatiquement installés lors de l'installation de zenon 7.20. Analyzer Export Wizard possède son propre fichier DLL. Meaning and Waterfall Chart Wizard et Sankey Wizard possèdent un fichier DLL commun. L'installation et la maintenance diffèrent ainsi de celles des autres assistants zenon. Les assistants Analyzer sont automatiquement mis à jour lors de chaque mise à jour de zenon à partir de la version 7.20. La mise à jour peut, si nécessaire, également être effectuée manuellement via le fichier de build présent sur le support d'installation de zenon Analyzer pour zenon, versions 7.10 et supérieures. Ces assitants ne sont pas mis à jour à l'aide du mécanisme de mise à jour de l'assistant zenon. Pour plus de détails, reportez-vous au chapitre Installation et mise à jour du manuel zenon Analyzer.

Syntaxe pour la saisie dans zenon

La saisie dans zenon dépend de la version de zenon utilisée.

Jusqu'à zenon 7.11 :

Jusqu'à la zenon version 7.11 (incluse), la signification et le modèle de cascade sont saisis dans la propriété Description externe de zenon. Celle-ci peut contenir des significations pour plusieurs catégories.

Les conditions suivantes s'appliquent aux entrées dans la propriété de l'intitulé des ressources :

  • Les catégories sont séparées par un point-virgule (;).
  • Les zones dans une catégorie sont séparées par une virgule (,).
  • Les catégories sont signalées par un indice :
    • ME= : Identifie une Meaning.
      Syntaxe : ME=[signification principale sous forme de texte],[signification supplémentaire sous forme de texte],[signification supplémentaire sous forme de texte],…;
      Exemple : ME=Station_1,Station_2;
    • WF= : Identifie une variable pour le diagramme en cascade.
      Syntaxe : WF=[texte du nom de modèle],[indice de ligne INT],[indice dans la colonne INT],[code de couleur sous forme de texte #XXXXXX];
    • Toute autre entrée est interprétée comme une Meaning

Syntaxe complète pour la propriété Description externe : ME=[signification1],[signification2],…,[significationN];WF=[nom du modèle],[indice de ligne],[indice dans la ligne],[code de couleur];

Attention : La propriété Description externe est limitée à 256 caractères dans zenon Editor.

À partir de zenon 7.20

À partir de zenon 7.20, zenon comporte des propriétés distinctes pour la définition de la Meaning et des diagrammes en cascade, ainsi que la saisie d'un nom d'affichage. Ces entrées ne nécessitent pas d'identification en préfixe.

Les propriétés suivantes dans le groupe de propriétés de la variable Analyzer de zenon fournissent des informations concernant les rapports dans zenon Analyzer :

  • Nom visuel : Saisie d'un nom d'affichage de la variable dans zenon Analyzer. Celui-ci doit être unique dans le projet. La vérification n'est pas effectuée lors de l'émission dans zenon, mais lors de l'importation dans zenon Analyzer. Si cette propriété est modifiée après la première exportation vers zenon Analyzer, ces modifications ne sont appliquées dans zenon Analyzer.
  • Signification : Saisie de la Meaning d'une variable dans zenon Analyzer. La saisie peut être manuelle ou être effectuée à l'aide de l'Meaning and Waterfall Chart Wizard. Plusieurs significations doivent être séparées par une virgule.
    Syntaxe : [Meaning1],[Meaning2],…,[MeaningN]
  • Paramètre pour le waterfall diagram : Paramètres d'une variable pour un diagramme en cascade dans zenon Analyzer. La saisie peut être manuelle ou être effectuée à l'aide de l'Meaning and Waterfall Chart Wizard. Les paramètres individuels doivent être séparés par une virgule. Plusieurs cascades doivent être séparées par un point-virgule.
    Syntaxe : [nom de modèle],[indice de ligne],[indice dans la ligne],[code de couleur];

Attention : Ces champs de saisie sont limités à 256 caractères dans zenon Editor.

  • Lors de l'exportation vers zenon Analyzer, la propriété antérieure et la nouvelle propriété sont vérifiées. Si les deux propriétés sont attribuées, les entrées des nouvelles propriétés sont reprises. Les entrées créées à l'aide de l'Meaning and Waterfall Chart Wizard sont toujours entrées dans les nouvelles propriétés.

Autres sujets abordés dans ce chapitre

Assistant d'exportation d'Analyzer 2.10

Assistant Export Wizard for Analyzer 2.20

Export Wizard for Analyzer 3.00

Export Wizard for Analyzer 3.10

Meaning and Waterfall Chart Wizard

Sankey Wizard


Assistant d'exportation d'Analyzer 2.10

Manuel -> Assistants -> Rubriques -> Analyzer -> Assistant d'exportation d'Analyzer 2.10

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

L'assistant zenon Assistant d'exportation d'Analyzer prend en charge les métadonnées provenant de zenon (versions 7.10 SP0 et ultérieures) pour le module zenon Analyzer 210.

Il est possible d'exporter les éléments suivants :

  • Données du projet global
    • Modèles d'équipements
    • Classes d’alarmes/d’événements
    • Groupes d’alarmes/d’événements
    • Utilisateur
  • Données provenant de projets sélectionnés :
    • Archives
    • Variables

Remarque : L'assistant est uniquement disponible en anglais.

Compatibilité :

Der Analyzer Export Wizard funktioniert abhängig von seiner Version mit unterschiedlichen zenon Analyzer Versionen und zenon Versionen. Details lesen Sie im Kapitel Kompatibilität Analyzer Wizards.

Autres sujets abordés dans ce chapitre

Installation et appel d'un assistant

Fenêtre de démarrage

Configuration

Ferme l'assistant


Installation et appel d'un assistant

Manuel -> Assistants -> Rubriques -> Analyzer -> Assistant d'exportation d'Analyzer 2.10 -> Installation et appel d'un assistant

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

L'assistant est installé automatiquement avec zenon pour chaque version prise en charge de zenon Analyzer.

Démarrage de l'assistant

For wizards to be displayed, the settings for VBA or VSTA must be set correctly in file zenon6.ini:

[VBA]

EIN=1

[VSTA]

ON=1

If VSTA wizards are not displayed although the settings are correct, set entry LOADED= to 1 in area [VSTA].

To start the wizard:

  1. Click on Tools -> Start Editor Wizards....
    Or: Press the short cut Alt+F12

    The selection window with the available wizards opens.

  2. Accédez au nœud Analyzer.
  3. Sélectionnez l'entrée Export Wizard for Analyzer 2.10.

  4. Cliquez sur OK.

    L'assistant démarre en affichant la page d'accueil.


Fenêtre de démarrage

Manuel -> Assistants -> Rubriques -> Analyzer -> Assistant d'exportation d'Analyzer 2.10 -> Fenêtre de démarrage

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Lors du démarrage de l'assistant, vous accédez à une page d'aperçu dressant la liste de tous les objets exportables.

La configuration de l'exportation des objets individuels s'effectue sur différents onglets.

Cliquez sur le bouton fléché pour parcourir les étapes de configuration de l'exportation.


Configuration

Manuel -> Assistants -> Rubriques -> Analyzer -> Assistant d'exportation d'Analyzer 2.10 -> Configuration

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Lors de l'exportation avec l'assistant Analyzer Export Wizard, tous les modules sélectionnés dans l'onglet Settings (Paramètres) sont accessibles l'un après l'autre, pour une configuration détaillée. Pour accéder au niveau suivant, cliquez sur le bouton avec une flèche vers la droite. Vous pouvez sélectionner des onglets individuels en cliquant sur l'intitulé de l'onglet.

Les onglet suivants sont disponibles pour la configuration de l'exportation :

  • Settings:
    Options de collecte des métadonnées
  • Equipment model :
    Exportation des groupes de modèles depuis le projet global
  • Event classes:
    Classes d'alarmes/d'événements issues du projet global
  • Event Event groups:
    Groupes d'alarmes/d'événements issus du projet global.
  • Users:
    Utilisateurs issu du projet global
  • Projects:
    Projets issus de l'espace de travail
  • Historian:
    Archives des projets sélectionnés
  • Variables:
    Variables des projets sélectionnés
  • Finish:
    Début de l'exportation et affichage du résultat

Attention : Seul un projet global peut être exporté vers la base de données ! Les espaces de travail contenant des projets devant être exportés vers la base de données doivent inclure ce projet global.

Autres sujets abordés dans ce chapitre

Navigation

Paramètres

Modèle d'équipement

Classes d’alarmes/d’événements

Groupes d'événements

Utilisateur

Projets

Serveur d'archives

Variables

Terminer


Navigation

Navigation

La navigation dans les onglets est effectuée à l'aide de la barre de navigation affichée dans la section inférieure de la fenêtre de l'assistant :

Schaltfläche

Beschreibung

Pfeil nach links

Schaltet im Ablauf des Wizards eine Registerkarte zurück.

Pfeil nach rechts

Schaltet im Ablauf des Wizards eine Registerkarte weiter.

Export

Exportiert die Daten in die Analyzer Datenbank.

Ist nur aktiv, wenn die Registerkarte Finish geöffnet ist.

Cancel

Beendet den Wizard, ohne zu exportieren.

Beim Beenden fragt ein Dialog ab, ob die Konfiguration gespeichert werden soll

  • Ja: schreibt die in der Registerkarte Settings gesetzten Einstellungen in die Registry und beendet den Wizard; beim nächsten Start wird der Wizard mit dieser Konfiguration geöffnet
  • Nein: beendet den Wizard ohne die Konfiguration zu speichern

Die Speicherung der Konfiguration erfolgt benutzerabhängig.

Les onglets individuels peuvent également être sélectionnés en cliquant directement sur l'intitulé de l'onglet.


Paramètres

Paramètres

Sur cet onglet :

  1. Vous définissez la base de données à laquelle se connecte l'assistant
  2. Vous définissez les options générales pour l'exportation
  3. Vous démarrez la lecture des données

Option

Description

Settings

Informations et conseils concernant les procédés d'exportation actuels.

Database settings (Paramètres base de données)

Paramètres de connexion au serveur du module Analyzer.

DB host

Ordinateur sur lequel se trouve la base de données.

DB instance

Instance de la base de données.

DB name

Nom de la base de données.

Authentication

Type d'authentification :

  • Windows Authentication (Authentification Windows) : Les informations de connexion à Windows sont utilisées.
  • SQL Server Authentication (Authentification avec SQL Server) : Connexion avec les données d'un utilisateur SQL Server.

User name

Saisie du nom d'utilisateur.

Utilisé uniquement pour la connexion avec la fonction SQL Server Authentication (Authentification SQL Server). Affichage uniquement avec l'option Windows Authentication (Authentification Windows).

Password

Saisie du mot de passe.

Utilisé uniquement pour la connexion avec la fonction SQL Server Authentication (Authentification SQL Server). Aucune saisie possible avec l'option Windows Authentication (Authentification Windows).

Remember password

Le mot de passe est sauvegardé pour la prochaine connexion.

Utilisé uniquement pour la connexion avec la fonction SQL Server Authentication (Authentification SQL Server). Inactive pour la fonction Windows Authentication (Authentification Windows).

Options

Les options générales pour l'exportation.

Load every project of this workspace into the memory

Active : Charge tous les projets présents dans l'espace de travail, même s'ils ne sont pas actifs et ne sont pas configurés avec l'option Keep project in memory (Conserver le projet en mémoire).

Keep the exisiting data in the Analyzer database

Active : Seules les entrées de l'espace de travail sont écrites dans la base de données.

Inactive : Les entrées dans la base de données sont également mises à jour ou supprimées.
Exception : Les projets ne sont pas supprimés

Preselect existing Analyzer database content

Active : Les entrées déjà présentes dans la base de données sont présélectionnées dans les sections individuelles.

Load data (Charger les données)

Load Data

Cliquez sur ce bouton pour charger, selon l'activation du paramètre Load every project of this workspace into the memory (Charger tous les projets de cet espace de travail en mémoire), les données du projet actuellement chargé dans l'assistant.

Dans ce cas, une vérification est effectuée pour établir si les données sont présentes dans la base de données Analyzer. Les données préexistantes sont associées aux données provenant de l'espace de travail, puis chargées dans l'assistant. En cas de conflit de nom, une boîte de dialogue s'affiche, invitant l'utilisateur à remédier à l'erreur.

Si le chargement des données s'est déroulé avec succès, l'exportation peut être configurée dans les onglets suivants.

Renommer des objets

Les objets doivent toujours avoir le même nom dans la base de données Analyzer et dans zenon. Si des objets présents dans la base de données sont renommés dans zenon, ces modifications peuvent être acceptées ou refusées lors de la fusion des données. Le refus des modifications entraîne la fermeture de l'assistant, car seuls les objets avec des noms identiques peuvent être traités correctement.

Boîte de dialogue de modification du nom

En cas de conflit de nom affectant un objet, une boîte de dialogue de résolution de l'erreur s'affiche à l'écran :

Option

Description

List of amended objects (Liste des objets modifiés)

Contient tous les objets modifiés. L'ancien nom et le nouveau nom sont renommés. Les objets renommés suivants sont affichés dans la liste :

  • Nom des modèles d'équipement
  • Noms des classes d'alarmes/d'événements
  • Noms des groupes d'alarmes/d'événements
  • Nom du projet
  • Nom de la variable.

Exceptions :

  • Les utilisateurs sont toujours recréés
  • Les noms d'archives sont créés une fois seulement sous forme de nom visuel dans la base de données, et peuvent être remplacées dans zenon Analyzer

Rename

Renomme tous les objets dans la base de données, ferme la boîte de dialogue et arrête l'importation des données.

Cancel

Laisse le nom précédent dans la base de données, termine l'importation des données, puis ferme l'assistant.


Modèle d'équipement

Modèle d'équipement

Configuration du groupe de modèles devant être exporté à partir du projet global.

attention Attention

Jeder Anlagengruppe in zenon darf nur ein einziges Zeitmodell zugeordnet sein.

Sind mehrere Zeitmodellgruppen zugeordnet, verwendet der Analyzer Export Wizard die erste, die er findet, und exportiert diese in die Metadaten des Analyzers. Weitere Zeitmodellgruppen werden ignoriert.

Option

Description

Modèles d'équipements

Informations et remarques concernant l'exportation.

Sélection des équipements/supports

Liste déroulante permettant de sélectionner le contenu de la liste de modèles d'équipements/supports pour la configuration :

  • Plant (Usine) : affiche les modèles d'équipement
  • Media (Supports) : affiche les supports

Liste de modèles d'équipements/supports

Zone de liste permettant de sélectionner les modèles d'équipements et les groupes de modèles ou les supports. Pour sélectionner une entrée, cochez la case adjacente à l'entrée.

Dans le champ de liste, le nom est toujours affiché dans les nœuds individuels, tel qu'il est enregistré dans la base de données. Si le nom a été modifié, le nom d'origine du projet zenon est affiché entre parenthèses.

Les groupes d'équipements qui ont été supprimés dans le projet global ne sont plus affichés.

Wurde in der Registerkarte Settings die Option Keep the exisiting data in the Analyzer database abgewählt, werden veränderte Objekte in der Datenbank gelöscht bzw. aktualisiert.

Sélectionner tout

Cliquez sur le bouton pour sélectionner tous les groupes d'équipements.

Deselect all (Désélectionner tout)

Cliquez sur le bouton pour désélectionner tous les groupes d'équipements.


Classes d’alarmes/d’événements

Classes d’alarmes/d’événements

Configuration des classes d'alarmes/d'événements devant être exportées à partir du projet global.

Option

Description

Classes d’alarmes/d’événements

Informations et remarques concernant l'exportation.

Liste de classes d'alarmes/d'événements

Zone de liste permettant de sélectionner les classes d'alarmes/d'événements. Pour sélectionner une entrée, cochez la case adjacente à l'entrée.

Sortierung: Klick auf Spaltenbezeichner sortiert die Einträge nach dieser Spalte aufwärts bzw. abwärts.

Mehrfachauswahl: Werden mehrere Zeilen markiert, setzt ein Klick in eine Checkbox die Option für alle gewählten Zeilen.

Les classes d'alarmes/d'événements qui ont été supprimées dans le projet global ne sont plus affichées.

Wurde in der Registerkarte Settings die Option Keep the exisiting data in the Analyzer database abgewählt, werden veränderte Objekte in der Datenbank gelöscht bzw. aktualisiert.

Sélectionner tout

Sélectionne toutes les entrées dans la liste et coche les cases correspondantes.

Deselect all (Désélectionner tout)

Sélectionne toutes les entrées dans la liste et désactive les cases à cocher correspondantes.


Groupes d'événements

Groupes d'événements

Configuration des groupes d'alarmes/d'événements devant être exportés à partir du projet global.

Option

Description

Groupes d’alarmes/d’événements

Informations et remarques concernant l'exportation.

Liste des groupes d'alarmes/d'événements

Champ de liste dans lequel vous pouvez sélectionner les groupes d'alarmes/d'événements. Pour sélectionner une entrée, cochez la case adjacente à l'entrée.

Sortierung: Klick auf Spaltenbezeichner sortiert die Einträge nach dieser Spalte aufwärts bzw. abwärts.

Mehrfachauswahl: Werden mehrere Zeilen markiert, setzt ein Klick in eine Checkbox die Option für alle gewählten Zeilen.

Les classes d'alarmes/d'événements qui ont été supprimées dans le projet global ne sont plus affichées.

Wurde in der Registerkarte Settings die Option Keep the exisiting data in the Analyzer database abgewählt, werden veränderte Objekte in der Datenbank gelöscht bzw. aktualisiert.

Sélectionner tout

Sélectionne toutes les entrées dans la liste et coche les cases correspondantes.

Deselect all (Désélectionner tout)

Sélectionne toutes les entrées dans la liste et désactive les cases à cocher correspondantes.


Utilisateur

Utilisateur

Configuration de l'utilisateur devant être exporté à partir du projet global.

Option

Description

Utilisateur

Informations et remarques concernant l'exportation.

Liste des utilisateurs

Champ de liste permettant de sélectionner les utilisateurs. Pour sélectionner une entrée, cochez la case adjacente à l'entrée.

Sortierung: Klick auf Spaltenbezeichner sortiert die Einträge nach dieser Spalte aufwärts bzw. abwärts.

Mehrfachauswahl: Werden mehrere Zeilen markiert, setzt ein Klick in eine Checkbox die Option für alle gewählten Zeilen.

Wurde in der Registerkarte Settings die Option Keep the exisiting data in the Analyzer database abgewählt, werden veränderte Objekte in der Datenbank gelöscht bzw. aktualisiert.

Si un utilisateur a été renommé dans zenon, il est considéré comme nouveau et recréé dans le projet. L'utilisateur précédent est supprimé.

Sélectionner tout

Sélectionne toutes les entrées dans la liste et coche les cases correspondantes.

Deselect all (Désélectionner tout)

Sélectionne toutes les entrées dans la liste et désactive les cases à cocher correspondantes.


Projets

Projets

Configuration des projets locaux devant être exportés. Les noms du serveur et du serveur redondant peuvent être modifiés ici. Pour cela :

  1. Sélectionnez le projet dans la liste de projets
  2. Saisissez les noms souhaités pour le serveur et le serveur redondant

Si le nom du serveur ou du serveur redondant est modifié dans le projet zenon, cette information est uniquement mise à jour dans la base de données Analyzer si le paramètre Réseau actif est activé dans les propriétés du projet.

Option

Description

Projects

Informations et remarques concernant l'exportation.

Liste de projets

Champ de liste permettant de sélectionner les paramètres des projets. Pour sélectionner une entrée, cochez la case adjacente à l'entrée.

Sortierung: Klick auf Spaltenbezeichner sortiert die Einträge nach dieser Spalte aufwärts bzw. abwärts.

Mehrfachauswahl: Werden mehrere Zeilen markiert, setzt ein Klick in eine Checkbox die Option für alle gewählten Zeilen.

Wurde in der Registerkarte Settings die Option Keep the exisiting data in the Analyzer database abgewählt, werden veränderte Objekte in der Datenbank gelöscht bzw. aktualisiert.

Server

Adresse du serveur pour le projet sélectionné dans la fenêtre de liste.

Standby

Adresse du serveur pour le projet sélectionné dans la fenêtre de liste.

Select all

Sélectionne toutes les entrées dans la liste et coche les cases correspondantes.

Deselect all

Sélectionne toutes les entrées dans la liste et désactive les cases à cocher correspondantes.


Serveur d'archives

Serveur d'archives

Sélection de l'archive parmi les projets sélectionnés. Seules les archives de base sont affichées. Les archives résultantes ne sont pas affichées dans la liste, mais sont également sélectionnées avec les archives de base, puis écrites dans la base de données.

Option

Description

Serveur d'archives

Informations et remarques concernant l'exportation.

Liste d'archives

Zone de liste permettant de sélectionner des archives. Pour sélectionner une entrée, cochez la case adjacente à l'entrée.

Sortierung: Klick auf Spaltenbezeichner sortiert die Einträge nach dieser Spalte aufwärts bzw. abwärts.

Mehrfachauswahl: Werden mehrere Zeilen markiert, setzt ein Klick in eine Checkbox die Option für alle gewählten Zeilen.

Wurde in der Registerkarte Settings die Option Keep the exisiting data in the Analyzer database abgewählt, werden veränderte Objekte in der Datenbank gelöscht bzw. aktualisiert.

Sélectionner tout

Sélectionne toutes les entrées dans la liste et coche les cases correspondantes.

Deselect all (Désélectionner tout)

Sélectionne toutes les entrées dans la liste et désactive les cases à cocher correspondantes.


Variables

Variables

Configuration des variables du projet local devant être exportées. Lors de la sélection de variables, les entrées affichées peuvent être pré-filtrées.

Option

Description

Variables

Informations et remarques concernant l'exportation.

Variable Filter

Sélection du filtre de variable à l'aide des champs d'options suivants :

  • Show all (Afficher tout) : Toutes les variables sont affichées.
  • Historians only (Serveur d'archives uniquement) : Seules les variables d'archives sont affichées.
  • Equipment groups only (Groupes d'équipements uniquement) : Seules les variables formant partie du modèle d'équipement sélectionné sont affichées.
  • Show not selected only (Afficher uniquement les variables non sélectionnées) : Seules les variables non sélectionnées sont affichées.

Ligne de filtre

Saisissez les caractères alphanumériques conformément auxquels la liste de variables doit être filtrée.

Liste de variables

Zone de liste permettant de sélectionner les variables. Pour sélectionner une entrée, cochez la case adjacente à l'entrée.

Sortierung: Klick auf Spaltenbezeichner sortiert die Einträge nach dieser Spalte aufwärts bzw. abwärts.

Mehrfachauswahl: Werden mehrere Zeilen markiert, setzt ein Klick in eine Checkbox die Option für alle gewählten Zeilen.

Wurde in der Registerkarte Settings die Option Keep the exisiting data in the Analyzer database abgewählt, werden veränderte Objekte in der Datenbank gelöscht bzw. aktualisiert.

Select all

Sélectionne toutes les entrées dans la liste et coche les cases correspondantes.

Deselect all

Sélectionne toutes les entrées dans la liste et désactive les cases à cocher correspondantes.

Règles d'exportation des variables avec des matrices de réaction.

Si des variables liées sont exportées avec les matrices de réaction, le texte de valeur limite et les valeurs d'état des états de la matrice de réaction sont également exportés vers la table STATUSNAME dans la base de données de métadonnées d'Analyzer. Parce que certains états seulement peuvent être évalués dans les rapports, ils doivent être préalablement triés à l'aide de l'assistant.

Les états suivants des matrices de réaction peuvent être exportés ou exclus :

Matrices de réaction

Règles

Numérique
  • L'état par défaut est ignoré.
  • Si plusieurs états comportant la même condition d'état et de valeur limite sont définis, seul le premier état et son texte d'état sont exportés.
  • Seuls les états dont la valeur est égale à une valeur limite sont exportés (condition de valeur limite).
  • Les conditions de valeur limite greater than (Supérieur à), less than (Inférieur à), as desired (Au choix) et range (Plage) sont ignorées.

Multi-numérique
  • Correspond aux règles des valeurs numériques.
  • Les sous-états sont également ignorés.

Binaire

  • Seuls les états dont les bits de valeur sont définis de manière cohérente de droite à gauche dans le masque de bit (0 ou 1) sont définis.
    Par exemple :
    ........ ....10.. 1
    ........ .....100 .
    ........ .....100 1
    les suivantes sont ignorées, par exemple
    ....... ........ 1
    ........ ......00 1
    ........ .10..100 1

Multi-binaire
  • Correspond aux règles des valeurs binaires.
  • En outre, les sous-états et les états sont également ignorés avec les définitions de front dans le masque de bit.

Chaîne

  • Entièrement ignorées et non exportées.


Terminer

Terminer

Pour exporter les données configurées :

  1. Dans l'onglet Terminer, cliquez sur le bouton Exporter

  2. L’exportation démarre
  3. Les éléments exportés sont affichés dans la fenêtre de sortie, avec les messages de succès et d'erreur associés
    En outre, le nombre d'objets ajoutés, remplacés ou supprimés et le nombre d'erreurs sont indiqués

  4. Cliquez sur Close (Fermer) pour fermer l'assistant.

Reconfiguration de l'assistant

Pour reconfigurer l'assistant :

  1. Ouvrez l'onglet Settings (Attributs).
  2. Cliquez sur le bouton Load Data (Charger les données).
  3. Configurez les onglets.


Ferme l'assistant

Manuel -> Assistants -> Rubriques -> Analyzer -> Assistant d'exportation d'Analyzer 2.10 -> Ferme l'assistant

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Pour fermer l'assistant :

  • Cliquez sur le bouton Cancel (Annuler).
  • Une boîte de dialogue indique si la configuration doit être enregistrée
    • Cliquez sur Yes (Oui) écrit les paramètres configurés dans l'onglet Settings (Paramètres) dans la base de registres et fermer l'assistant ; l'assistant utilisera ces paramètres au prochain démarrage.
    • Cliquez sur Non pour fermer l'assistant sans enregistrer la configuration.


Assistant Export Wizard for Analyzer 2.20

Manuel -> Assistants -> Rubriques -> Analyzer -> Assistant Export Wizard for Analyzer 2.20

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

L'assistant Export Wizard for zenon Analyzer 2.20 prend en charge les métadonnées provenant de zenon (versions 7.0 SP0 et ultérieures) pour le module zenon Analyzer 2.20.

Il est possible d'exporter les éléments suivants :

  • Données du projet global
    • Modèles d'équipements
    • Classes d’alarmes/d’événements
    • Groupes d’alarmes/d’événements
    • Utilisateur
  • Données provenant de projets sélectionnés :
    • Archives
    • Variables, avec :

      - Nom visuel (voir la section noms visuels)

      - Signification (voir la section signification)

      - Paramètre pour le waterfall diagram (voir la section configuration des diagramme en cascade)

  • Diagrammes Sankey (voir la section Diagrammes Sankey)

Remarque : L'assistant est uniquement disponible en anglais.

Compatibilité :

Der Analyzer Export Wizard funktioniert abhängig von seiner Version mit unterschiedlichen zenon Analyzer Versionen und zenon Versionen. Details lesen Sie im Kapitel Kompatibilität Analyzer Wizards.

Autres sujets abordés dans ce chapitre

Diagrammes Sankey

Installation et appel d'un assistant

Fenêtre de démarrage

Configuration

Ferme l'assistant


Diagrammes Sankey

Manuel -> Assistants -> Rubriques -> Analyzer -> Assistant Export Wizard for Analyzer 2.20 -> Diagrammes Sankey

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

L'assistant lit automatiquement la définition des diagrammes Sankey à partir de tous les projets activés et du projet global. Ces définitions se trouvent dans le dossier de projet \Files\Others de zenon.
Dans ce cas, les considérations suivantes s'appliquent :

  • Seuls les fichiers XML valides créés pour zenon Analyzer sont pris en compte.
    Les diagrammes pour lesquels les attributs True et Valid sont définis sur TRUE dans le fichier XML Sankey sont valides. Tous les autres diagrammes Sankey sont ignorés et ne sont pas chargés.
  • Toutes les définitions de diagrammes Sankey sont écrites dans la base de données de métadonnées de zenon Analyzer, dans les tables SANKEY_DIAGRAMM, SANKEY_OBJECT et SANKEY_VARIABLE.
  • Les diagrammes sont ajoutés en fonction de la configuration de l'option Keep the existing data in the Analyzer database :
    • Active : Seuls les nouveaux diagrammes sont ajoutés à la base de données Analyzer.
    • Inactive : Les nouveaux diagrammes sont ajoutés et les diagrammes existants sont mis à jour.
  • Les diagrammes supprimés dans zenon (fichiers XML) ne sont pas supprimés dans Analyzer. Les diagrammes peuvent uniquement être directement supprimés dans la base de données dans zenon Analyzer.
  • Pour l'ajout ou la mise à jour de diagrammes, les conditions suivantes doivent s'appliquer à toutes les variables zenon requises :
    • Sélection depuis l'onglet Variables
      ou
    • Présence dans la base de données

    Si les variables requises pour le diagramme Sankey ne sont pas sélectionnées pour l'exportation, le diagramme Sankey n'est pas exporté.

  • Si le diagramme Sankey existe déjà, les tables de la base de données de métadonnées sont mises à jour conformément aux modifications.
  • Cliquez sur le bouton Export sur l'onglet Finish démarre l'exportation des diagrammes Sankey depuis zenon vers zenon Analyzer.
    Les diagrammes sont uniquement exportés lorsque toutes les autres données, telles que les projets ou les variables, ont été exportées. La réussite de l'exportation est affichée dans la liste de messages de l'onglet Finish.

attention Attention

L'importation de diagrammes Sankey est effectuée automatiquement, en tâche de fond. Aucune interface utilisateur ou option de configuration n'est disponible.


Installation et appel d'un assistant

Manuel -> Assistants -> Rubriques -> Analyzer -> Assistant Export Wizard for Analyzer 2.20 -> Installation et appel d'un assistant

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

L'assistant est installé automatiquement avec zenon pour chaque version prise en charge de zenon Analyzer.

Démarrage de l'assistant

For wizards to be displayed, the settings for VBA or VSTA must be set correctly in file zenon6.ini:

[VBA]

EIN=1

[VSTA]

ON=1

If VSTA wizards are not displayed although the settings are correct, set entry LOADED= to 1 in area [VSTA].

To start the wizard:

  1. Click on Tools -> Start Editor Wizards....
    Or: Press the short cut Alt+F12

    The selection window with the available wizards opens.

  2. Accédez au nœud Analyzer.
  3. Sélectionnez l'entrée Export Wizard for Analyzer 2.20.

  4. Cliquez sur OK.

    L'assistant démarre en affichant la page d'accueil.


Fenêtre de démarrage

Manuel -> Assistants -> Rubriques -> Analyzer -> Assistant Export Wizard for Analyzer 2.20 -> Fenêtre de démarrage

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Lors du démarrage de l'assistant, vous accédez à une page d'aperçu dressant la liste de tous les objets exportables.

La configuration de l'exportation des objets individuels s'effectue sur différents onglets.

Cliquez sur le bouton fléché pour parcourir les étapes de configuration de l'exportation.


Configuration

Manuel -> Assistants -> Rubriques -> Analyzer -> Assistant Export Wizard for Analyzer 2.20 -> Configuration

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Lors de l'exportation avec l'assistant Analyzer Export Wizard, tous les modules disponibles sont offerts pour une configuration détaillée. Seules les données sélectionnées sont exportées. L'exportation de diagrammes Sankey se déroule en tâche de fond, et n'offre aucune possibilité de configuration. Pour accéder au niveau suivant, cliquez sur le bouton avec une flèche vers la droite. Vous pouvez également sélectionner des onglets individuels en cliquant directement sur l'intitulé de l'onglet.

Les onglet suivants sont disponibles pour la configuration de l'exportation :

  • Settings (Paramètres) : Options pour l'exportation de métadonnées
  • Modèles d'équipements : Exportation des groupes d'équipements depuis le projet global
  • Classes d'événements : Classes d'alarmes/d'événements issues du projet global
  • Groupes d'événements : Groupes d'alarmes/d'événements issus du projet global.
  • Utilisateurs : Utilisateurs issu du projet global
  • Projets. Projets issus de l'espace de travail
  • Archives : Archives des projets sélectionnés
  • Variables : Variables des projets sélectionnés
  • Finish (Terminer) : Début de l'exportation et affichage du résultat

Autres sujets abordés dans ce chapitre

Navigation

Paramètres

Modèles d'équipements

Classes d’alarmes/d’événements

Groupes d'événements

Utilisateur

Projets

Archives

Variables

Terminer


Navigation

Navigation

La navigation dans les onglets est effectuée à l'aide de la barre de navigation affichée dans la section inférieure de la fenêtre de l'assistant :

Bouton

Description

Flèche gauche

Recule d'un onglet dans le déroulement de l'assistant.

Flèche droite

Avance d'un onglet dans le déroulement de l'assistant.

Export

Exporte les données vers la base de données d'Analyzer.

Actif uniquement si l'onglet Finish (Terminer) est affiché à l'écran.

Cancel

Ferme l'assistant sans effectuer l'exportation.

Lors de la fermeture, une boîte de dialogue demande à l'utilisateur s'il souhaite enregistrer la configuration.

  • Oui : Écrit les paramètres définis sur l'onglet Settings dans la base de registres et ferme l'assistant. L'assistant sera ouvert avec cette configuration au prochain démarrage.
  • Non : Ferme l'assistant sans enregistrer la configuration

La configuration est enregistrée pour chaque utilisateur spécifique.

Les onglets individuels peuvent également être sélectionnés en cliquant directement sur l'intitulé de l'onglet.


Paramètres

Paramètres

Sur cet onglet :

  1. Vous définissez la base de données à laquelle se connecte l'assistant
  2. Vous définissez les options générales pour l'exportation
  3. Vous démarrez la lecture des données

Paramètres

Option | Description
Settings | Informations et conseils concernant les procédés d'exportation actuels.

Database settings (Paramètres base de données)

Paramètre

Description

Database settings

Paramètres de connexion au serveur du module Analyzer.

DB host

Ordinateur sur lequel se trouve la base de données.

DB instance

Instance de la base de données.

DB name

Nom de la base de données.

Authentication

Type d'authentification :

  • Windows Authentication: Les informations de connexion à Windows sont utilisées.
  • SQL Server Authentication: Connexion avec les données d'un utilisateur SQL Server.

User name

Saisie du nom d'utilisateur.

Nécessaire uniquement pour la connexion avec l'SQL Server Authentication.
Affichage uniquement l'Windows Authentication.

Password

Saisie du mot de passe.

Nécessaire uniquement pour la connexion avec l'SQL Server Authentication.
Aucune saisie possible avec l'Windows Authentication.

Remember password

Le mot de passe est sauvegardé pour la prochaine connexion.

Nécessaire uniquement pour la connexion avec l'SQL Server Authentication.
Inactive avec l'Windows Authentication.

Projets

Paramètre

Description

Projects

Liste des projets disponibles dans l'espace de travail actuel de zenon. La case à cocher indique si les données du projet sont utilisées ou non :

  • Active : Le projet est utilisé.

Les projets actifs dans la mémoire sont présélectionnés. Les projets inactifs peuvent être ajoutés au moyen d'une sélection avec une case à cocher.

Options

Paramètre

Description

Options

Les options générales pour l'exportation.

Keep the existing data in the Analyzer database
  • Active : Seules les entrées entièrement nouvelles de l'espace de travail sont écrites dans la base de données.
    Remarque : Si des liaisons de variables, d'archives, etc. sont modifiées ou de nouvelles liaisons sont créées, celles-ci ne sont pas transférées. Si celles-ci sont également transférées, la case à cocher doit être définie sur Inactive.
  • Inactive : Les entrées dans la base de données sont également mises à jour ou supprimées. Les nouvelles entrées sont créées, les entrées modifiées sont mises à jour et les entrées supprimées sont effacées.
    Exception : Les projets et les diagrammes Sankey ne sont pas supprimés.

Preselect existing Analyzer database content
  • Active : Les entrées déjà présentes dans la base de données sont présélectionnées dans les sections individuelles.

Load data (Charger les données)

Load Data

Cliquez sur ce bouton pour charger, selon l'activation du paramètre Load every project of this workspace into the memory (Charger tous les projets de cet espace de travail en mémoire), les données du projet actuellement chargé dans l'assistant.

Dans ce cas, une vérification est effectuée pour établir si les données sont présentes dans la base de données Analyzer. Les données préexistantes sont associées aux données provenant de l'espace de travail, puis chargées dans l'assistant. En cas de conflit de nom, une boîte de dialogue s'affiche, invitant l'utilisateur à remédier à l'erreur.

Si le chargement des données s'est déroulé avec succès, l'exportation peut être configurée dans les onglets suivants.

Renommer des objets

Les objets doivent toujours avoir le même nom dans la base de données Analyzer et dans zenon. Si des objets présents dans la base de données sont renommés dans zenon, ces modifications peuvent être acceptées ou refusées lors de la fusion des données. Le refus des modifications entraîne la fermeture de l'assistant, car seuls les objets avec des noms identiques peuvent être traités correctement.

Boîte de dialogue de modification du nom

En cas de conflit de nom affectant un objet, une boîte de dialogue de résolution de l'erreur s'affiche à l'écran :

Paramètre

Description

List of amended objects (Liste des objets modifiés)

Contient tous les objets modifiés. L'ancien nom et le nouveau nom sont renommés. Les objets renommés suivants sont affichés dans la liste :

  • Nom des modèles d'équipement
  • Noms des classes d'alarmes/d'événements
  • Noms des groupes d'alarmes/d'événements
  • Nom du projet
  • Nom de la variable.

Exceptions :

  • Les utilisateurs sont toujours recréés
  • Les noms d'archives sont créés une fois seulement sous forme de Visualname dans la base de données, et peuvent être remplacées dans <CD_ZRS.>

Rename

Renomme tous les objets dans la base de données, ferme la boîte de dialogue et arrête l'importation des données.

Cancel

Laisse le nom précédent dans la base de données, termine l'importation des données, puis ferme l'assistant.


Modèles d'équipements

Modèles d'équipements

Configuration du groupe de modèles devant être exporté à partir du projet global.

attention Attention

Jeder Anlagengruppe in zenon darf nur ein einziges Zeitmodell zugeordnet sein.

Sind mehrere Zeitmodellgruppen zugeordnet, verwendet der Analyzer Export Wizard die erste, die er findet, und exportiert diese in die Metadaten des Analyzers. Weitere Zeitmodellgruppen werden ignoriert.

Option

Description

Equipment models

Informations et remarques concernant l'exportation.

Sélection des équipements/supports

Liste déroulante de sélection d'un modèle affiché dans la liste Modèles d'équipements/supports aux fins de la configuration.

Liste de modèles d'équipements/supports

Zone de liste permettant de sélectionner les modèles d'équipements et les groupes de modèles ou les supports. Pour sélectionner une entrée, cochez la case adjacente à l'entrée.

Dans le champ de liste, le nom est toujours affiché dans les nœuds individuels, tel qu'il est enregistré dans la base de données. Si le nom a été modifié, le nom d'origine du projet zenon est affiché entre parenthèses.

Les groupes d'équipements qui ont été supprimés dans le projet global ne sont plus affichés.

Sur l'onglet Settings, si l'option Don't modify existing data in the Analyzer metadata database est décochée, les objets modifiés dans la base de données sont supprimés ou mis à jour.

Select all

Cliquez sur le bouton pour sélectionner tous les groupes d'équipements.

Deselect all

Cliquez sur le bouton pour désélectionner tous les groupes d'équipements.


Classes d’alarmes/d’événements

Classes d’alarmes/d’événements

Configuration des classes d'alarmes/d'événements devant être exportées à partir du projet global.

Option

Description

Event classes

Informations et remarques concernant l'exportation.

Liste de classes d'alarmes/d'événements

Zone de liste permettant de sélectionner les classes d'alarmes/d'événements. Pour sélectionner une entrée, cochez la case adjacente à l'entrée.

Trier : Cliquez sur l'identifiant de colonne pour trier les entrées en fonction de cette colonne, par ordre croissant ou décroissant.

Sélection multiple Si plusieurs lignes sont sélectionnées, la sélection est appliquée à toutes les lignes sélectionnées.

Les classes d'alarmes/d'événements qui ont été supprimées dans le projet global ne sont plus affichées.

Sur l'onglet Settings, si l'option Don't modify existing data in the Analyzer metadata database est décochée, les objets modifiés dans la base de données sont supprimés ou mis à jour.

Select all

Sélectionne toutes les entrées dans la liste et coche les cases correspondantes.

Deselect all

Sélectionne toutes les entrées dans la liste et désactive les cases à cocher correspondantes.


Groupes d'événements

Groupes d'événements

Configuration des groupes d'alarmes/d'événements devant être exportés à partir du projet global.

Option

Description

Event groups

Informations et remarques concernant l'exportation.

Liste des groupes d'alarmes/d'événements

Champ de liste dans lequel vous pouvez sélectionner les groupes d'alarmes/d'événements. Pour sélectionner une entrée, cochez la case adjacente à l'entrée.

Trier : Cliquez sur l'identifiant de colonne pour trier les entrées en fonction de cette colonne, par ordre croissant ou décroissant.

Sélection multiple Si plusieurs lignes sont sélectionnées, la sélection est appliquée à toutes les lignes sélectionnées.

Les classes d'alarmes/d'événements qui ont été supprimées dans le projet global ne sont plus affichées.

Sur l'onglet Settings, si l'option Don't modify existing data in the Analyzer metadata database est décochée, les objets modifiés dans la base de données sont supprimés ou mis à jour.

Select all

Sélectionne toutes les entrées dans la liste et coche les cases correspondantes.

Deselect all

Sélectionne toutes les entrées dans la liste et désactive les cases à cocher correspondantes.


Utilisateur

Utilisateur

Configuration de l'utilisateur devant être exporté à partir du projet global.

Option

Description

Users

Informations et remarques concernant l'exportation.

Liste des utilisateurs

Champ de liste permettant de sélectionner les utilisateurs. Pour sélectionner une entrée, cochez la case adjacente à l'entrée.

Trier : Cliquez sur l'identifiant de colonne pour trier les entrées en fonction de cette colonne, par ordre croissant ou décroissant.

Sélection multiple Si plusieurs lignes sont sélectionnées, la sélection est appliquée à toutes les lignes sélectionnées.

Sur l'onglet Settings, si l'option Don't modify existing data in the Analyzer metadata database est décochée, les objets modifiés dans la base de données sont supprimés ou mis à jour.

Si un utilisateur a été renommé dans zenon, il est considéré comme nouveau et recréé dans le projet. L'utilisateur précédent est supprimé.

Select all

Sélectionne toutes les entrées dans la liste et coche les cases correspondantes.

Deselect all

Sélectionne toutes les entrées dans la liste et désactive les cases à cocher correspondantes.


Projets

Projets

Configuration des projets locaux devant être exportés. Les noms du Serveur 1 et du Serveur 2 peuvent être modifiés ici.

Pour modifier le nom d'un serveur ou d'un serveur redondant :

  1. Sélectionnez le projet dans la liste de projets.
  2. Saisissez le délai souhaité pour Serveur 1 et Serveur 2.

Si le nom du Serveur 1 ou du Serveur 2 est modifié dans le projet zenon, cette information est uniquement mise à jour dans la base de données Analyzer si le paramètre Réseau actif est activé dans les propriétés du projet.

Option

Description

Projects

Informations et remarques concernant l'exportation.

Liste de projets

Champ de liste permettant de sélectionner les paramètres des projets. Pour sélectionner une entrée, cochez la case adjacente à l'entrée.

Trier : Cliquez sur l'identifiant de colonne pour trier les entrées en fonction de cette colonne, par ordre croissant ou décroissant.

Sélection multiple Si plusieurs lignes sont sélectionnées, la sélection est appliquée à toutes les lignes sélectionnées.

Sur l'onglet Settings, si l'option Don't modify existing data in the Analyzer metadata database est décochée, les objets modifiés dans la base de données sont supprimés ou mis à jour.

Server 1

Adresse du Serveur 1 pour le projet sélectionné dans la fenêtre de liste.

Server 2

Adresse du Serveur 2 pour le projet sélectionné dans la fenêtre de liste.

Select all

Sélectionne toutes les entrées dans la liste et coche les cases correspondantes.

Deselect all

Sélectionne toutes les entrées dans la liste et désactive les cases à cocher correspondantes.


Archives

Archives

Sélection de l'archive parmi les projets sélectionnés. Seules les archives de base sont affichées. Les archives résultantes ne sont pas affichées dans la liste, mais sont également sélectionnées avec les archives de base, puis écrites dans la base de données.

Option

Description

Archives

Informations et remarques concernant l'exportation.

Liste d'archives

Zone de liste permettant de sélectionner des archives. Pour sélectionner une entrée, cochez la case adjacente à l'entrée.

Trier : Cliquez sur l'identifiant de colonne pour trier les entrées en fonction de cette colonne, par ordre croissant ou décroissant.

Sélection multiple Si plusieurs lignes sont sélectionnées, la sélection est appliquée à toutes les lignes sélectionnées.

Sur l'onglet Settings, si l'option Don't modify existing data in the Analyzer metadata database est décochée, les objets modifiés dans la base de données sont supprimés ou mis à jour.

Select all

Sélectionne toutes les entrées dans la liste et coche les cases correspondantes.

Deselect all

Sélectionne toutes les entrées dans la liste et désactive les cases à cocher correspondantes.


Variables

Variables

Configuration des variables devant être exportées à partir des projets locaux sélectionnés. Lors de la sélection de variables, les entrées affichées peuvent être pré-filtrées.

Option

Description

Variables

Informations et remarques concernant l'exportation.

Display

Sélection des variable affichées à l'aide des champs d'options suivants :

  • All: Toutes les variables sont affichées.
  • Selected: Seules les variables déjà sélectionnées sont affichées.
  • Unselected: Seules les variables pas encore sélectionnées sont affichées.

Variable filter

Sélection du filtre de variable à l'aide des champs d'options suivants :

  • All: Toutes les variables sont affichées.
  • Archives: Seules les variables d'archives sont affichées.
  • Equipment groups: Seules les variables formant partie du modèle d'équipement sélectionné sont affichées.

Ligne de filtre

Saisissez les caractères alphanumériques conformément auxquels la liste de variables doit être filtrée.

Liste de variables

Zone de liste permettant de sélectionner les variables. Pour sélectionner une entrée, cochez la case adjacente à l'entrée.

Les indications suivantes sont affichées :

  • Name (Analyzer): Nom dans zenon Analyzer.
  • Name (Workspace): Peut être émis dans Editor à partir de zenon 7.20, grâce à la propriété Nom visuel. Doit être unique dans le projet. Voir également le chapitre Nom visuel.
  • Meaning: Peut être émis dans Editor à partir de zenon 7.20, grâce à la propriété Signification. Voir également le chapitre Signification.
  • Ressource label : Correspond à la propriété Description externe dans zenon. Utilisé pour zenon jusqu'à la version version 7.11 incluse pour la signification et la configuration des diagrammes en cascade. À partir de la version 7.20, des propriétés distinctes sont disponibles à cette fin dans zenon.
  • Identification: Correspond à la propriété Identification dans zenon.

Trier : Cliquez sur l'identifiant de colonne pour trier les entrées en fonction de cette colonne, par ordre croissant ou décroissant.

Sélection multiple Si plusieurs lignes sont sélectionnées, la sélection est appliquée à toutes les lignes sélectionnées.

Sur l'onglet Settings, si l'option Don't modify existing data in the Analyzer metadata database est décochée, les objets modifiés dans la base de données sont supprimés ou mis à jour.

Select all

Sélectionne toutes les entrées dans la liste et coche les cases correspondantes.

Deselect all

Sélectionne toutes les entrées dans la liste et désactive les cases à cocher correspondantes.

Règles d'exportation des variables avec des matrices de réaction.

Si des variables liées sont exportées avec les matrices de réaction, le texte de valeur limite, la couleur de valeur limite et les valeurs d'état des états de la matrice de réaction sont également exportés vers la table STATUSNAME dans la base de données de métadonnées d'Analyzer. Parce que certains états seulement peuvent être évalués dans les rapports, ils doivent être préalablement triés à l'aide de l'assistant.

Les états suivants des matrices de réaction peuvent être exportés ou exclus :

Matrices de réaction

Règles

Numérique
  • L'état par défaut est ignoré.
  • Si plusieurs états comportant la même condition d'état et de valeur limite sont définis, seul le premier état et son texte d'état sont exportés.
  • Seuls les états dont la valeur est égale à une valeur limite sont exportés (condition de valeur limite).
  • Les conditions de valeur limite greater than (Supérieur à), less than (Inférieur à), as desired (Au choix) et range (Plage) sont ignorées.

Multi-numérique
  • Correspond aux règles des valeurs numériques.
  • Les sous-états sont également ignorés.

Binaire

  • Seuls les états dont les bits de valeur sont définis de manière cohérente de droite à gauche dans le masque de bit (0 ou 1) sont définis.
    Par exemple :
    ........ ....10.. 1
    ........ .....100 .
    ........ .....100 1
    les suivantes sont ignorées, par exemple
    ....... ........ 1
    ........ ......00 1
    ........ .10..100 1

Multi-binaire
  • Correspond aux règles des valeurs binaires.
  • En outre, les sous-états et les états sont également ignorés avec les définitions de front dans le masque de bit.

Chaîne

  • Entièrement ignorées et non exportées.

Importation des informations de variables depuis zenon

Les propriétés suivantes dans le groupe de propriétés de la variable Analyzer de zenon fournissent des informations concernant les rapports dans zenon Analyzer :

  • Nom visuel : Saisie d'un nom d'affichage de la variable dans zenon Analyzer. Celui-ci doit être unique dans le projet. La vérification n'est pas effectuée lors de l'émission dans zenon, mais lors de l'importation dans zenon Analyzer. Si cette propriété est modifiée après la première exportation vers zenon Analyzer, ces modifications ne sont appliquées dans zenon Analyzer.
  • Signification : Saisie de la Meaning d'une variable dans zenon Analyzer. La saisie peut être manuelle ou être effectuée à l'aide de l'Meaning and Waterfall Chart Wizard. Plusieurs significations doivent être séparées par une virgule.
    Syntaxe : [Meaning1],[Meaning2],…,[MeaningN]
  • Paramètre pour le waterfall diagram : Paramètres d'une variable pour un diagramme en cascade dans zenon Analyzer. La saisie peut être manuelle ou être effectuée à l'aide de l'Meaning and Waterfall Chart Wizard. Les paramètres individuels doivent être séparés par une virgule. Plusieurs cascades doivent être séparées par un point-virgule.
    Syntaxe : [nom de modèle],[indice de ligne],[indice dans la ligne],[code de couleur];

Autres sujets abordés dans ce chapitre

Nom visuel

Signification

Paramètres du diagramme en cascade


Nom visuel

Nom visuel

L'assistant lit la propriété Analyzer/Nom visuel lors du chargement de l'espace de travail de zenon à partir de zenon 7.20, et l'affiche pour chaque variable sur l'onglet Variables. Les conditions suivantes s'appliquent aux noms visuels :

  • Le nom doit être unique à chaque projet.
  • Dans un projet, les noms qui apparaissent plusieurs fois sont affichés en rouge.
  • Le Nom visuel est saisi lors de l'écriture des données dans la base de données de métadonnées.
  • En présence d'un nom dupliqué dans un projet, le Nom visuel est uniquement saisi pour la première variable trouvée. Pour la deuxième variable, le Nom de la variable est saisi dans zenon.
  • Le Nom visuel est uniquement défini lorsque la variable est exportée pour la première fois. Si celui-ci est modifié par la suite dans Editor, cette modification n'est pas appliquée dans la base de données de métadonnées. Les modifications sont bien entendu appliquées à toute nouvelle base de données de métadonnées lors de l'exportation vers une nouvelle base de données.
  • Si la version de zenon est antérieure à la version 7.20, le nom visuel est toujours repris depuis la propriété Identification de zenon.


Signification

Signification

À partir de zenon 7.20, l'assistant lit la propriété Analyzer/Signification et affiche celle-ci pour chaque variable sur l'onglet Variables.
Les considérations suivantes s'appliquent aux significations :

  • Si des entrées sont définies pour Signification, les entrées correspondantes dans l'Description externe sont ignorées.
  • Si aucune entrée n'est présente, les entrées correspondantes de l'Description externe sont ignorées.
  • L'identification ME= n'est plus nécessaire, mais peut toutefois encore être utilisée. Si plusieurs significations sont attribuées à une variable, une virgule est utilisée comme séparateur.
  • Si la version de zenon est antérieure à la version 7.20, la signification est toujours reprise depuis la propriété Description externe de zenon.


Paramètres du diagramme en cascade

Manuel -> Assistants -> Rubriques -> Analyzer -> Assistant Export Wizard for Analyzer 2.20 -> Configuration -> Variables -> Paramètres du diagramme en cascade

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Paramètres du diagramme en cascade

L'assistant lit la propriété Analyzer/Paramètre pour le waterfall diagram lors du chargement de l'espace de travail de zenon à partir de zenon 7.20, et l'affiche pour chaque variable sur l'onglet Variables. Les considérations suivantes s'appliquent aux diagrammes en cascade :

  • Si des entrées sont définies pour Paramètre pour le waterfall diagram, les entrées correspondantes dans l'Description externe sont ignorées.
  • Si aucune entrée n'est présente, les entrées correspondantes de l'Description externe sont ignorées.
  • L'identification WF= n'est plus nécessaire, mais peut toutefois encore être utilisée. Les éléments individuels d'un modèle doivent être séparés par une virgule. Si plusieurs modèles de diagramme en cascade sont attribués à une variable, un point-virgule est utilisé en tant que séparateur.
  • Si la version de zenon est antérieure à la version 7.20, les paramètres du diagramme en cascade sont toujours repris depuis la propriété Description externe de zenon.


Terminer

Terminer

Pour exporter les données configurées :

  1. Dans l'onglet Terminer, cliquez sur le bouton Export.

  2. L’exportation démarre
  3. Les éléments exportés sont affichés dans la fenêtre de sortie, avec les messages de succès et d'erreur associés
    En outre, le nombre d'objets ajoutés, remplacés ou supprimés et le nombre d'erreurs sont indiqués

  4. Cliquez sur Close (Fermer) pour fermer l'assistant.

Reconfiguration de l'assistant

Pour reconfigurer l'assistant :

  1. Accédez à l'onglet Settings.
  2. Cliquez sur le bouton Load data.
  3. Configurez les onglets.


Ferme l'assistant

Manuel -> Assistants -> Rubriques -> Analyzer -> Assistant Export Wizard for Analyzer 2.20 -> Ferme l'assistant

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Pour fermer l'assistant :

  • Cliquez sur le bouton Cancel.
  • Une boîte de dialogue indique si la configuration doit être enregistrée.
    • Oui : Écrit les paramètres définis sur l'onglet Settings dans la base de registres et ferme l'assistant. L'assistant sera ouvert avec cette configuration au prochain démarrage. La configuration est enregistrée pour chaque utilisateur spécifique.
    • Non : Ferme l'assistant sans enregistrer la configuration


Export Wizard for Analyzer 3.00

Manuel -> Assistants -> Rubriques -> Analyzer -> Export Wizard for Analyzer 3.00

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

The zenon Export Wizard for Analyzer 3.00 supports the export of metadata from zenon from version 7.11 SP0 for the zenon Analyzer 3.00.

The following can be exported:

  • Data from the global project
    • Equipment models
    • Alarm/event classes
    • Alarm/event groups
    • Users
  • Data from selected projects:
    • Archives
    • Variables, with:

      - Nom visuel (see visual names section)

      - Signification (see meaning section)

      - Paramètre pour le waterfall diagram (see parameter waterfall chart section)

  • Sankey diagrams (see Sankey diagrams section)
  • Efficiency classes

Note: The wizard is only available in English.

Compatibility:

Der Analyzer Export Wizard funktioniert abhängig von seiner Version mit unterschiedlichen zenon Analyzer Versionen und zenon Versionen. Details lesen Sie im Kapitel Kompatibilität Analyzer Wizards.

Autres sujets abordés dans ce chapitre

Sankey diagrams

Waterfall diagram

Install and call up wizard

Start window

Configuration

Close wizard


Sankey diagrams

Manuel -> Assistants -> Rubriques -> Analyzer -> Export Wizard for Analyzer 3.00 -> Sankey diagrams

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

The wizard automatically reads the definition for Sankey diagrams from all activated projects and the global project. These are in the zenon project folder \Files\Others.
In doing so, the following applies:

  • Only valid XML files that were created for the zenon Analyzer are taken into account.
    Diagrams that have the Trueand Valid attributes set to True in the Sankey XML file are valid. All other Sankey diagrams are ignored and not loaded.
  • All Sankey diagram definitions are written to the zenon Analyzer metadata database in the SANKEY_DIAGRAMM, SANKEY_OBJECT and SANKEY_VARIABLE tables.
  • Diagrams deleted in zenon (XML files) are not deleted in the Analyzer. Diagrams can only be deleted in the database directly in zenon Analyzer.
  • For the adding or updating of diagrams, the following must apply to all required zenon variables:
    • Be selected via the Variables tab
      or
    • already be in the database

    If variables that are required for the Sankey diagram are not selected for export, the Sankey diagram is not exported.

  • If the Sankey diagram already exists, the metadata database tables are updated according to the changes.
  • Clicking on the Export button in the Finish tab starts the export of the Sankey diagrams from zenon in to zenon Analyzer.
    The diagrams are only exported once all other data such as projects or variables have been exported. The success of the export is shown in the message list of the Finish tab.

attention Attention

The import of Sankey diagrams is carried out automatically in the background. There are no user interface or configuration options available.


Waterfall diagram

Manuel -> Assistants -> Rubriques -> Analyzer -> Export Wizard for Analyzer 3.00 -> Waterfall diagram

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

A waterfall diagram can be used for either line-based reports or for machine-based reports. The parameters for the diagram are stored in the Analyzer/Paramètre pour le waterfall diagram variable property from zenon 7.20. These can be entered manually or created with the Meaning and Waterfall Chart Wizard.

Export

The wizard reads the Paramètre pour le waterfall diagram property when loading the zenon workspace. If there are correct entries, these these are exported in the background and written to the database of the zenon Analyzer.

Structure of the entries

Depending on the structure of the entries, a decision is made on whether it is entries for machine-based or line-based diagrams.

  • Machine based: Structure with 4 digits, separated by a comma; ended with a semicolon.

    Syntax: [model name],[line index],[column index],[color code code];
    Example: MyWaterfall,4,2,#80FF00;

  • Line-based: Structure with 7 digits, separated by a comma; ended with a semicolon.

    Syntax: [model name],[line index],[column index],[color code],[loss of auxiliary machine],[add loss of auxiliary machine],[subtract loss of auxiliary machine];
    Example: MyLineAnlaysis,4,2, #80FF00,0,0,0;

Rules for reading:

The following is applicable for reading:

  • If there are entries for Paramètre pour le waterfall diagram, corresponding entries in the Description externe field are ignored.
    The structure decides whether the entry can be evaluated as machine-based or line-based.
  • The identification WF= is not necessary but can to be used. The individual elements of a model are separated by a comma. If several waterfall models are assigned to a variable, a semicolon is used as a separator.
  • If there are no entries, corresponding entries from the Description externe are accepted. The identification WF= must be prefixed here.
  • With versions of zenon before 7.20, the waterfall parameters are taken from the zenon Description externe property.


Install and call up wizard

Manuel -> Assistants -> Rubriques -> Analyzer -> Export Wizard for Analyzer 3.00 -> Install and call up wizard

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

The wizard is automatically installed with zenon for each supported version of zenon Analyzer.

Starting the wizard

For wizards to be displayed, the settings for VBA or VSTA must be set correctly in file zenon6.ini:

[VBA]

EIN=1

[VSTA]

ON=1

If VSTA wizards are not displayed although the settings are correct, set entry LOADED= to 1 in area [VSTA].

To start the wizard:

  1. Click on Tools -> Start Editor Wizards....
    Or: Press the short cut Alt+F12

    The selection window with the available wizards opens.

  2. Navigate to node Analyzer.
  3. Select the Export Wizard for Analyzer 3.00.

  4. Click on OK.

    The wizard starts with the welcome page.


Start window

Manuel -> Assistants -> Rubriques -> Analyzer -> Export Wizard for Analyzer 3.00 -> Start window

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

When the wizard is opened, you receive an overview page that lists all exportable objects.

The individual objects are configured for the export on individual tabs.

Click on the button with the arrow to navigate through the configuration of the export.


Configuration

Manuel -> Assistants -> Rubriques -> Analyzer -> Export Wizard for Analyzer 3.00 -> Configuration

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

When exporting with the Analyzer Export Wizard, all modules available for export are offered for detailed configuration. Only the selected data is exported. The export of Sankey diagrams is carried out in the background, without the possibility of configuration. You get to the next level by clicking on the button with the right arrow. You can also select individual tabs directly by clicking on the title of the tab. Entries already present in the database are preselected in the individual areas.

The following tabs are available for configuration of the export:

  • Settings: Options for the export of metadata
  • Equipment models : Export of the equipment groups from the global project
  • Event classes: Alarm/Event classes from global project
  • Event groups: Alarm/event groups from global project
  • Users: User from global project
  • Projects: Projects from workspace
  • Archives: Archives of the selected projects
  • Variables: Variables of the selected projects
  • Efficiency classes: Display of the efficiency classes to be exported.
  • Finish: Start of the export and output of the result

Autres sujets abordés dans ce chapitre

Navigation

Settings

Equipment models

Event classes

Event groups

Users

Projects

Archives

Variables

Efficiency classes

Finish


Navigation

Navigation

Navigation through the tabs is carried out by means of the navigation bar in the lower area of the wizard window:

Bouton

Description

Flèche gauche

Recule d'un onglet dans le déroulement de l'assistant.

Flèche droite

Avance d'un onglet dans le déroulement de l'assistant.

Export

Exporte les données vers la base de données d'Analyzer.

Actif uniquement si l'onglet Finish (Terminer) est affiché à l'écran.

Cancel

Ferme l'assistant sans effectuer l'exportation.

Lors de la fermeture, une boîte de dialogue demande à l'utilisateur s'il souhaite enregistrer la configuration.

  • Oui : Écrit les paramètres définis sur l'onglet Settings dans la base de registres et ferme l'assistant. L'assistant sera ouvert avec cette configuration au prochain démarrage.
  • Non : Ferme l'assistant sans enregistrer la configuration

La configuration est enregistrée pour chaque utilisateur spécifique.

Individual tabs can also be selected by clicking directly on the title of the tab.


Settings

Settings

In this tab:

  1. You define the database to which the wizard connects
  2. You define general options for exporting
  3. You start the data readout

Settings

Parameters | Description
Settings | Information and hints about current export processes.

Database settings

Parameters

Description

Database settings

Connection settings to the Analyzer server.

DB host

Computer on which the database is located.

DB name

Name of the database.

Authentication

Type of authentication:

  • Windows Authentication: Windows login information is used.
  • SQL Server Authentication: Login with data from an SQL server user.

User name

Entry of the user name.

Only for login with SQL Server Authentication.
Display only for Windows Authentication.

Password

Entry of the password.

Only for login with SQL Server Authentication.
No input possible with Windows Authentication.

Remember password

Password is saved for next connection.

Only for login with SQL Server Authentication.
Inactive with Windows Authentication.

Projects

Parameters

Description

Projects

List of the available projects in the current zenon workspace. The checkbox shows whether the data of the project is used:

  • Active: Project is used.

Projects that are active in the memory are pre-selected. Inactive projects can be added by means of selection with a checkbox.

Options

Parameters

Description

Options

General options for the export.

Don't modify existing data in the Analyzer metadata database
  • Active: Only completely new entries from the workspace are written to the database.
    Note: If linkings from variables, archives etc. are changed or new ones are created, these are not transferred. If these are also transferred, the checkbox must be set to Inactive
  • Inactive: Entries in the database are also updated or deleted. New entries are created, amended entries are updated and deleted entries are removed.
    Exception: Projects and Sankey diagrams are not deleted.

Update Visual names

Only available if the Don't modify existing data in the Analyzer metadata database option has been deactivated.

  • Active: In zenon, amended display names are overwritten when exporting to the metadata database of zenon Analyzer.
  • Inactive: Amended display names are not changed in zenon Analyzer.

Default: Inactive
The setting is not saved. The checkbox is set to deactivated each time the wizard is started.

Behavior:

If the checkbox is activated, display names amended in zenon are also amended in zenon Analyzer for:

  • Equipment models
  • Event classes
  • Event groups
  • Projects
  • Archives
  • Variables

The visual names for Users cannot be changed. These are recreated in the event of changes.

Changes to display names are displayed in the individual lists.

Example:

Initial situation:

  • Display name in the zenon project: Z
  • Display name in the zenon Analyzer: A

Action:

  • A = Z:
    nothing happens.
  • A <> Z:
    Z is applied if the name has not yet been issued in the metadata table. If Z is already present in the table, A remains unchanged and an error message is given.

Load Data

Load Data

Clicking on the button loads, depending on the Load every project of this workspace into the memory parameter - the data from the currently loaded project into the wizard.

In doing so, a check is made to see if data is present in the Analyzer database. Pre-existing data is combined with the data from the workspace and loaded into the wizard. In the event of naming conflicts, a dialog to rectify the error is called up.

If the loading of data has been successfully concluded, the export can be configured in the following tabs.

Renaming objects

Objects must always be named the same in the Analyzer database and in zenon. If objects that are already present in the database are renamed in zenon, these changes can be accepted or rejected when the data is combined. Rejection of the changes leads to the wizard being closed, because only objects with identical names can be handled correctly.

Dialog for renaming

In the event of conflicts in the naming of objects, a dialog for dealing with the error is opened:

Parameters | Description
List of amended objects | Contains all objects that were changed. Previous name and new name are displayed. Exception: Users are always recreated.
Rename | Renames all objects listed in the database, closes the dialog and stops reading in data.
Cancel | Leaves the previous name in the database, finishes reading in data and closes the wizard.


Equipment models

Equipment models

Configuration of the model group which should be exported from the global project.

attention Attention

Jeder Anlagengruppe in zenon darf nur ein einziges Zeitmodell zugeordnet sein.

Sind mehrere Zeitmodellgruppen zugeordnet, verwendet der Analyzer Export Wizard die erste, die er findet, und exportiert diese in die Metadaten des Analyzers. Weitere Zeitmodellgruppen werden ignoriert.

Parameters

Description

Equipment models

Information and notes on exporting.

Selection of equipment/medium

Drop-down list to select a model that is offered in the Equipment models/media list for configuration.

List of equipment models/media

List field with the possibility to select equipment models and model groups or media. To select an entry, activate the check box in front of the entry.

In the list field the name, as it is stored in the database, is always displayed in the individual nodes. If the name was changed, the original name from the zenon project is displayed in brackets.

Equipment groups that were deleted in the global project are no longer displayed.

Sur l'onglet Settings, si l'option Don't modify existing data in the Analyzer metadata database est décochée, les objets modifiés dans la base de données sont supprimés ou mis à jour.

Select all

Clicking on the button selects all equipment groups

Deselect all

Clicking on the button deselects all equipment groups.


Event classes

Event classes

Configuration of the alarm/event classes which should be exported from the global project.

Parameters

Description

Event classes

Information and notes on exporting.

List of the alarm/event classes

List field with the possibility to select the alarm/event classes. To select an entry, activate the check box in front of the entry.

Trier : Cliquez sur l'identifiant de colonne pour trier les entrées en fonction de cette colonne, par ordre croissant ou décroissant.

Sélection multiple Si plusieurs lignes sont sélectionnées, la sélection est appliquée à toutes les lignes sélectionnées.

Alarm/event classes that were deleted in the global project are no longer displayed here.

Sur l'onglet Settings, si l'option Don't modify existing data in the Analyzer metadata database est décochée, les objets modifiés dans la base de données sont supprimés ou mis à jour.

Select all

Selects all entries in the list and activates the checkboxes.

Deselect all

Selects all entries in the list and deactivates the check boxes.


Event groups

Event groups

Configuration of the alarm/event groups which should be exported from the global project.

Parameters

Description

Event groups

Information and notes on exporting.

List of the alarm/event groups

List field in which you can select alarm/event groups. To select an entry, activate the check box in front of the entry.

Trier : Cliquez sur l'identifiant de colonne pour trier les entrées en fonction de cette colonne, par ordre croissant ou décroissant.

Sélection multiple Si plusieurs lignes sont sélectionnées, la sélection est appliquée à toutes les lignes sélectionnées.

Alarm/event classes that were deleted in the global project are no longer displayed here.

Sur l'onglet Settings, si l'option Don't modify existing data in the Analyzer metadata database est décochée, les objets modifiés dans la base de données sont supprimés ou mis à jour.

Select all

Selects all entries in the list and activates the checkboxes.

Deselect all

Selects all entries in the list and deactivates the check boxes.


Users

Users

Configuration of the user which should be exported from the global project.

Parameters

Description

Users

Information and notes on exporting.

User List

List field with selection possibility for users. To select an entry, activate the check box in front of the entry.

Trier : Cliquez sur l'identifiant de colonne pour trier les entrées en fonction de cette colonne, par ordre croissant ou décroissant.

Sélection multiple Si plusieurs lignes sont sélectionnées, la sélection est appliquée à toutes les lignes sélectionnées.

Sur l'onglet Settings, si l'option Don't modify existing data in the Analyzer metadata database est décochée, les objets modifiés dans la base de données sont supprimés ou mis à jour.

If a user was renamed in zenon they are considered new and recreated in the project. The previous user is deleted.

Select all

Selects all entries in the list and activates the checkboxes.

Deselect all

Selects all entries in the list and deactivates the check boxes.


Projects

Projects

Configuration of the local projects which should be exported. The names for Serveur 1 and Serveur 2 can be changed here.

To change the name of a Server or Standby Server:

  1. Highlight the project in the list of projects.
  2. Enter the desired name for Serveur 1 and Serveur 2.

Note: Changes here are only possible if, in the Settings tab, the Don't modify existing data in the Analyzer metadata database option has been deactivated. The information that is displayed for the server depends on the settings in the project and the database. For details, see the Display of server settings section.

Parameters

Description

Projects

Information and notes on exporting.

Project list

List field with selection possibility for projects. To select an entry, activate the check box in front of the entry.

Trier : Cliquez sur l'identifiant de colonne pour trier les entrées en fonction de cette colonne, par ordre croissant ou décroissant.

Sélection multiple Si plusieurs lignes sont sélectionnées, la sélection est appliquée à toutes les lignes sélectionnées.

Sur l'onglet Settings, si l'option Don't modify existing data in the Analyzer metadata database est décochée, les objets modifiés dans la base de données sont supprimés ou mis à jour.

Server 1

Address of the Serveur 1 for the project selected in the list window.
Source (project or database) depending on configuration.

Server 2

Adress of the Serveur 2 for the project selected in the list window.
Source (project or database) depending on configuration.

Select all

Selects all entries in the list and activates the checkboxes.

Deselect all

Selects all entries in the list and deactivates the check boxes.

Display of server settings

The following is applicable for the display and configuration of the server in this tab:

  • In the zenon project, the Réseau actif property is activated:
    Serveur 1 and Serveur 2 from the project are displayed.
  • In the zenon project, the Réseau actif property is deactivated:
    Serveur 1 and Serveur 2 from the database are displayed.
  • In the zenon project, the Réseau actif property is deactivated and there are no entries present for the server in the database:
    Empty entries are displayed for Serveur 1 and Serveur 2.


Archives

Archives

Selection of the archive from the selected projects. Only base archives are displayed. Aggregated archives are not displayed in the list, but are also selected with the base archives and written to the database.

Parameters

Description

Archives

Information and notes on exporting.

Archive list

List field with possibility to select for archives. To select an entry, activate the check box in front of the entry.

  • Name (Analyzer): Name of the archive in zenon Analyzer.
  • Name (Project): Name of the archive in the project.
  • Archive ID (Project): ID of the archive in the project.
  • Project: Project from which the archive comes.
  • Description: Individual description of the project.

Trier : Cliquez sur l'identifiant de colonne pour trier les entrées en fonction de cette colonne, par ordre croissant ou décroissant.

Sélection multiple Si plusieurs lignes sont sélectionnées, la sélection est appliquée à toutes les lignes sélectionnées.

Sur l'onglet Settings, si l'option Don't modify existing data in the Analyzer metadata database est décochée, les objets modifiés dans la base de données sont supprimés ou mis à jour.

Select all

Selects all entries in the list and activates the checkboxes.

Deselect all

Selects all entries in the list and deactivates the check boxes.


Variables

Variables

Configuration of the variables to be exported from the selected local projects. When selecting variables, the entries offered can be prefiltered.

Parameters

Description

Variables

Information and notes on exporting.

Display

Selection of which variables are displayed, via the following option fields:

  • All: All variables are displayed.
  • Selected: Only variables that have already been selected are displayed.
  • Unselected: Only variables that have not yet been selected are displayed.

Variable filter

Selection of the variable filter using the following option fields:

  • All: All variables are displayed.
  • Archives: Only archive variables are displayed.
  • Equipment groups: Only variables are displayed which are part of the selected Equipment model.

Filter row

Input of alphanumerical characters according to which the List of variables is to be filtered.

Attention: The filter makes a distinction between upper-case and lower-case letters (it is case sensitive).

List of variables

List field with possibility to select variables. To select an entry, activate the check box in front of the entry.

The following are displayed:

  • Name (Analyzer): Name in zenon Analyzer.
  • Name (Workspace): Can be issued from zenon 7.20 in the Editor by means of the Nom visuel property. Must be unique in the project. See also chapter Visual name
  • Meanings: Can be issued from zenon 7.20 in the Editor by means of the Signification property. See also chapter Meaning
  • Project: Project from which the variable comes.
  • Identification: It corresponds to the Identification property in zenon.

Trier : Cliquez sur l'identifiant de colonne pour trier les entrées en fonction de cette colonne, par ordre croissant ou décroissant.

Sélection multiple Si plusieurs lignes sont sélectionnées, la sélection est appliquée à toutes les lignes sélectionnées.

Sur l'onglet Settings, si l'option Don't modify existing data in the Analyzer metadata database est décochée, les objets modifiés dans la base de données sont supprimés ou mis à jour.

Select all

Selects all entries in the list and activates the checkboxes.

Deselect all

Selects all entries in the list and deactivates the check boxes.

Rules for the export of variables with reaction matrices

If linked variables are exported with reaction matrices, the limit value text, the limit value color and the status value of the reaction matrix statuses are also exported to the STATUSNAME table in the metadata database of the Analyzer. Because only certain states can be evaluated in the reports, they must be pre-sorted using the wizard.

The following statuses of the reaction matrices can be exported or excluded:

Rema

Rules

Numeric
  • The default status is ignored.
  • If several statuses with the same status and limit value condition are set, then only the first status and its status text are exported.
  • Only statuses with a value that is equal to a limit value are exported (limit value condition).
  • The limit value conditions greater than, less than, as desired and range are ignored.

Multi numeric
  • Correspond to the rules for numeric.
  • Substatuses are also ignored.

Binary

  • Only statuses that have value bits set consistently from right to left in the bit mask (0 or 1) are set.
    For example:
    ........ ....10.. 1
    ........ .....100 .
    ........ .....100 1
    The following are ignored, for example
    ........ ........ 1
    ........ ......00 1
    ........ .10..100 1

Multi binary
  • Correspond to the rules for Binary.
  • In addition, substatuses and statuses are also ignored with edge definitions in the bit mask.

String

  • Are completely ignored and not exported.

Import of variable information from zenon

Les propriétés suivantes dans le groupe de propriétés de la variable Analyzer de zenon fournissent des informations concernant les rapports dans zenon Analyzer :

  • Nom visuel : Saisie d'un nom d'affichage de la variable dans zenon Analyzer. Celui-ci doit être unique dans le projet. La vérification n'est pas effectuée lors de l'émission dans zenon, mais lors de l'importation dans zenon Analyzer. Si cette propriété est modifiée après la première exportation vers zenon Analyzer, ces modifications ne sont appliquées dans zenon Analyzer.
  • Signification : Saisie de la Meaning d'une variable dans zenon Analyzer. La saisie peut être manuelle ou être effectuée à l'aide de l'Meaning and Waterfall Chart Wizard. Plusieurs significations doivent être séparées par une virgule.
    Syntaxe : [Meaning1],[Meaning2],…,[MeaningN]
  • Paramètre pour le waterfall diagram : Paramètres d'une variable pour un diagramme en cascade dans zenon Analyzer. La saisie peut être manuelle ou être effectuée à l'aide de l'Meaning and Waterfall Chart Wizard. Les paramètres individuels doivent être séparés par une virgule. Plusieurs cascades doivent être séparées par un point-virgule.
    Syntaxe : [nom de modèle],[indice de ligne],[indice dans la ligne],[code de couleur];

Autres sujets abordés dans ce chapitre

Visual name

Meaning


Visual name

Visual name

The wizard reads the Analyzer/Nom visuel property when loading the zenon workspace from zenon 7.20 and displays this for each variable in the Variables tab. The following applies for visual names:

  • The name must be unique for each project.
  • Names in a project that appear several tines are highlighted in red.
  • The Nom visuel are entered when writing the data to the metadata database.
  • In the event of duplicated name within a project, the Nom visuel is only entered for the first variable found. For the second variable, the Nom of the variables is entered in zenon.
  • The Nom visuel is only set when the variable is exported for the first time. If this is subsequently changed in the Editor, this change is no longer applied in the metadata database. Changes are of course applied to a new metadata database when exporting to a new database.
  • With a version of zenon before 7.20, the visual name is always taken from the zenon Identification property.


Meaning

Meaning

From zenon 7.20, the wizard reads the Analyzer/Signification property and displays this for each variable in the Variables tab.
The following applies for meanings:

  • If there are entries for Signification, the corresponding entries in the Description externe are ignored.
  • If there are no entries, corresponding entries from the Description externe are accepted.
  • The identification ME= is no longer necessary but can continue to be used. If a variable is assigned several meanings, a comma is used as a separator.
  • With a version of zenon before 7.20, the meaning is always taken from the zenon Description externe property.


Efficiency classes

Efficiency classes

Selection and configuration of the efficiency classes to be exported. In doing so, zenon reaction matrices (REMAs) are displayed, the status of which correspond to the rules of the efficiency class structure. Only reaction matrices that meet certain conditions are read.

zenon reaction matrix requirements

In order for a reaction matrix to be read as an efficiency class, it must meet the following conditions:

  • Numeric or multi-numeric type
  • Status configured correctly
  • Limit value text present

Status configuration

The statuses to be configured must meet the following conditions:

  • The first status is less than a defined value. The area is open downwards.

    Status n1: <x

  • The last status is greater than the last value defined beforehand. This area is open upwards.

    Status n4: >z

  • Fixed ranges are defined between the first and last value. These areas must follow one another exactly.

    Status n2: x-y

    Status n3: y-z

Configuration in the wizard

To select efficiency classes for export:

  1. Select the desired efficiency classes.
  2. Configure the normalization.
    Attention: The None value is reserved for a subsequent expansion stage and must not be selected.

    All pre-existing efficiency classes in the metadata database are deleted during export if they have been created by the wizard. However, efficiency classes that come from the Metadata Editor are retained. All selected efficiency classes are then written to the metadata database.

Parameters

Description

Efficiency Class Name

Selection of the efficiency class to be exported by means of
Activation of checkbox in front of the name.

Normalisation

Selection of the normalization from a drop-down list.

  • Minimum: 1 minute
  • Maximum: 1 year

Default: 15 minutes

Attention: None must not be selected. This value is reserved for a subsequent expansion level and leads to invalid configurations.

attention Attention

Reaction matrices are identified in zenon by means of their name. If the name of a reaction matrix is amended in zenon, the attendant efficiency class is recreated during export and the previous efficiency class is deleted.


Finish

Finish

To export the configured data:

  1. In the Finish tab, click on the Export button.

  2. the export is started
  3. The exported elements are shown in the output window with the attendant success and error messages
    In addition, the number of objects that have been added, replaced or deleted, and the number of errors that occurred are shown.

  4. Click the Close button to close the wizard

Reconfiguring the wizard

To reconfigure the wizard:

  1. Open the Settings tab.
  2. Click on the Load data button.
  3. Configure the tabs.


Close wizard

Manuel -> Assistants -> Rubriques -> Analyzer -> Export Wizard for Analyzer 3.00 -> Close wizard

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

To close the wizard:

  • Click on the Cancel button .
  • A dialog prompts whether the configuration should be saved.
    • Yes: Writes the settings set in the Settings tab to the registry and closes the wizard. The wizard is opened with this configuration the next time it is started. The configuration is saved for each specific user.
    • No: Closes the wizard without saving the configuration


Export Wizard for Analyzer 3.10

Manuel -> Assistants -> Rubriques -> Analyzer -> Export Wizard for Analyzer 3.10

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

The zenon Export Wizard for Analyzer 3.10 supports the export of metadata from zenon from version 7.20 SP0 for the zenon Analyzer 3.10.

The following can be exported:

  • Data from the global project
    • Equipment models
    • Alarm/event classes
    • Alarm/event groups
    • Users
  • Data from selected projects:
    • Archives
    • Variables, with:

      - Nom visuel (see visual names section)

      - Signification (see meaning section)

      - Paramètre pour le waterfall diagram (see Waterfall chart section)

  • Sankey diagrams (see Sankey diagrams section)
  • Efficiency classes
  • Shift calendar

Note: The wizard is only available in English.

Compatibility:

Der Analyzer Export Wizard funktioniert abhängig von seiner Version mit unterschiedlichen zenon Analyzer Versionen und zenon Versionen. Details lesen Sie im Kapitel Kompatibilität Analyzer Wizards.

Autres sujets abordés dans ce chapitre

Sankey diagrams

Waterfall diagram

Export shift calendar

Install and call up wizard

Start window

Configuration

Close wizard


Sankey diagrams

Manuel -> Assistants -> Rubriques -> Analyzer -> Export Wizard for Analyzer 3.10 -> Sankey diagrams

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

The wizard automatically reads the definition for Sankey diagrams from all activated projects and the global project. These are in the zenon project folder \Files\Others.
In doing so, the following applies:

  • Only valid XML files that were created for the zenon Analyzer are taken into account.
    Diagrams that have the Trueand Valid attributes set to True in the Sankey XML file are valid. All other Sankey diagrams are ignored and not loaded.
  • All Sankey diagram definitions are written to the zenon Analyzer metadata database in the SANKEY_DIAGRAMM, SANKEY_OBJECT and SANKEY_VARIABLE tables.
  • Diagrams deleted in zenon (XML files) are not deleted in the Analyzer. Diagrams can only be deleted in the database directly in zenon Analyzer.
  • For the adding or updating of diagrams, the following must apply to all required zenon variables:
    • Be selected via the Variables tab
      or
    • already be in the database

    If variables that are required for the Sankey diagram are not selected for export, the Sankey diagram is not exported.

  • If the Sankey diagram already exists, the metadata database tables are updated according to the changes.
  • Clicking on the Export button in the Finish tab starts the export of the Sankey diagrams from zenon in to zenon Analyzer.
    The diagrams are only exported once all other data such as projects or variables have been exported. The success of the export is shown in the message list of the Finish tab.

attention Attention

The import of Sankey diagrams is carried out automatically in the background. There are no user interface or configuration options available.


Waterfall diagram

Manuel -> Assistants -> Rubriques -> Analyzer -> Export Wizard for Analyzer 3.10 -> Waterfall diagram

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

A waterfall diagram can be used for either line-based reports or for machine-based reports. The parameters for the diagram are stored in the Analyzer/Paramètre pour le waterfall diagram variable property from zenon 7.20. These can be entered manually or created with the Meaning and Waterfall Chart Wizard.

Export

The wizard reads the Paramètre pour le waterfall diagram property when loading the zenon workspace. If there are correct entries, these these are exported in the background and written to the database of the zenon Analyzer.

Structure of the entries

Depending on the structure of the entries, a decision is made on whether it is entries for machine-based or line-based diagrams.

  • Machine based: Structure with 4 digits, separated by a comma; ended with a semicolon.

    Syntax: [model name],[line index],[column index],[color code code];
    Example: MyWaterfall,4,2,#80FF00;

  • Line-based: Structure with 7 digits, separated by a comma; ended with a semicolon.

    Syntax: [model name],[line index],[column index],[color code],[loss of auxiliary machine],[add loss of auxiliary machine],[subtract loss of auxiliary machine];
    Example: MyLineAnlaysis,4,2, #80FF00,0,0,0;

Rules for reading:

The following is applicable for reading:

  • If there are entries for Paramètre pour le waterfall diagram, corresponding entries in the Description externe field are ignored.
    The structure decides whether the entry can be evaluated as machine-based or line-based.
  • The identification WF= is not necessary but can to be used. The individual elements of a model are separated by a comma. If several waterfall models are assigned to a variable, a semicolon is used as a separator.
  • If there are no entries, corresponding entries from the Description externe are accepted. The identification WF= must be prefixed here.
  • With versions of zenon before 7.20, the waterfall parameters are taken from the zenon Description externe property.


Export shift calendar

Manuel -> Assistants -> Rubriques -> Analyzer -> Export Wizard for Analyzer 3.10 -> Export shift calendar

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

The wizard automatically searches in all activated projects for Calendrier de transfert d'exports SQL functions and reads out information to linked equipment groups.
In doing so, the following applies:

  • A search is carried out in all available zenon projects.
  • Assigned equipment groups are created in the EquipmentShift table.
  • If the function has not been assigned to an equipment group, all equipment groups are created.
  • Only data from projects and equipment groups that have been selected in the wizard settings are exported.

Reading and exporting is carried out in the background.


Install and call up wizard

Manuel -> Assistants -> Rubriques -> Analyzer -> Export Wizard for Analyzer 3.10 -> Install and call up wizard

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

The wizard is automatically installed with zenon for each supported version of zenon Analyzer.

Starting the wizard

For wizards to be displayed, the settings for VBA or VSTA must be set correctly in file zenon6.ini:

[VBA]

EIN=1

[VSTA]

ON=1

If VSTA wizards are not displayed although the settings are correct, set entry LOADED= to 1 in area [VSTA].

To start the wizard:

  1. Click on Tools -> Start Editor Wizards....
    Or: Press the short cut Alt+F12

    The selection window with the available wizards opens.

  2. Navigate to node Analyzer.
  3. Select the Export Wizard for Analyzer 3.10.

  4. Click on OK.

    The wizard starts with the welcome page.


Start window

Manuel -> Assistants -> Rubriques -> Analyzer -> Export Wizard for Analyzer 3.10 -> Start window

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

When the wizard is opened, you receive an overview page that lists all exportable objects.

The individual objects are configured for the export on individual tabs.

Click on the button with the arrow to navigate through the configuration of the export.


Configuration

Manuel -> Assistants -> Rubriques -> Analyzer -> Export Wizard for Analyzer 3.10 -> Configuration

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

When exporting with the Analyzer Export Wizard, all modules available for export are offered for detailed configuration. Only the selected data is exported. Sankey diagrams and equipment models for the shift calendar are exported without a configuration possibility in the background. You get to the next level by clicking on the button with the right arrow. You can also select individual tabs directly by clicking on the title of the tab. Entries already present in the database are preselected in the individual areas.

The following tabs are available for configuration of the export:

  • Settings: Options for the export of metadata
  • Equipment models : Export of the equipment groups from the global project
  • Event classes: Alarm/Event classes from global project
  • Event groups: Alarm/event groups from global project
  • Users: User from global project
  • Projects: Projects from workspace
  • Archives: Archives of the selected projects
  • Variables: Variables of the selected projects
  • Efficiency classes: Display of the efficiency classes to be exported.
  • Finish: Start of the export and output of the result

Autres sujets abordés dans ce chapitre

Navigation

Settings

Equipment models

Event classes

Event groups

Users

Projects

Archives

Variables

Efficiency classes

Finish


Settings

Settings

In this tab:

  • You define the database to which the wizard connects
  • You define general options for exporting
  • You start the data readout

Settings

Option | Description
Settings | Information and hints about current export processes.

Database settings

Option

Description

Database settings

Connection settings to the Analyzer server.

DB host

Computer on which the database is located.

DB name

Name of the database.

Authentication

Type of authentication:

  • Windows Authentication: Windows login information is used.
  • SQL Server Authentication: Login with data from an SQL server user.

User name

Entry of the user name.

Only for login with SQL Server Authentication.
Display only for Windows Authentication.

Password

Entry of the password.

Only for login with SQL Server Authentication.
No input possible with Windows Authentication.

Remember password

Password is saved for next connection.

Only for login with SQL Server Authentication.
Inactive with Windows Authentication.

Projects

Option

Description

Projects

List of the available projects in the current zenon workspace. The checkbox shows whether the data of the project is used:

  • Active: Project is used.

Projects that are active in the memory are pre-selected. Inactive projects can be added by means of selection with a checkbox.

Options

Option

Description

Options

General options for the export.

Don't modify existing data in the Analyzer metadata database
  • Active: Only completely new entries from the workspace are written to the database.
    Note: If linkings from variables, archives etc. are changed or new ones are created, these are not transferred. If these are also transferred, the checkbox must be set to Inactive
  • Inactive: Entries in the database are also updated or deleted. New entries are created, amended entries are updated and deleted entries are removed.
    Exception: Projects and Sankey diagrams are not deleted.

Update Visual names

Only available if the Don't modify existing data in the Analyzer metadata database option has been deactivated.

  • Active: In zenon, amended display names are overwritten when exporting to the metadata database of zenon Analyzer.
  • Inactive: Amended display names are not changed in zenon Analyzer.

Default: Inactive
The setting is not saved. The checkbox is set to deactivated each time the wizard is started.

Behavior:

If the checkbox is activated, display names amended in zenon are also amended in zenon Analyzer for:

  • Equipment models
  • Event classes
  • Event groups
  • Projects
  • Archives
  • Variables

The visual names for Users cannot be changed. These are recreated in the event of changes.

Changes to display names are displayed in the individual lists.

Example:

Initial situation:

  • Display name in the zenon project: Z
  • Display name in the zenon Analyzer: A

Action:

  • A = Z:
    nothing happens.
  • A <> Z:
    Z is applied if the name has not yet been issued in the metadata table. If Z is already present in the table, A remains unchanged and an error message is given.

Load Data

Option

Description

Load Data

Clicking on the button loads, depending on the Load every project of this workspace into the memory parameter - the data from the currently loaded project into the wizard.

In doing so, a check is made to see if data is present in the Analyzer database. Pre-existing data is combined with the data from the workspace and loaded into the wizard. In the event of naming conflicts, a dialog to rectify the error is called up.

If the loading of data has been successfully concluded, the export can be configured in the following tabs.

Renaming objects

Objects must always be named the same in the Analyzer database and in zenon. If objects that are already present in the database are renamed in zenon, these changes can be accepted or rejected when the data is combined. Rejection of the changes leads to the wizard being closed, because only objects with identical names can be handled correctly.

Dialog for renaming

In the event of conflicts in the naming of objects, a dialog for dealing with the error is opened:

Option | Description
List of amended objects | Contains all objects that were changed. Previous name and new name are displayed. Exception: Users are always recreated.
Rename | Renames all objects listed in the database, closes the dialog and stops reading in data.
Cancel | Leaves the previous name in the database, finishes reading in data and closes the wizard.


Equipment models

Equipment models

Configuration of the model group which should be exported from the global project.

attention Attention

Jeder Anlagengruppe in zenon darf nur ein einziges Zeitmodell zugeordnet sein.

Sind mehrere Zeitmodellgruppen zugeordnet, verwendet der Analyzer Export Wizard die erste, die er findet, und exportiert diese in die Metadaten des Analyzers. Weitere Zeitmodellgruppen werden ignoriert.

Option

Description

Equipment models

Information and notes on exporting.

Selection of equipment/medium

Drop-down list to select a model that is offered in the Equipment models/media list for configuration.

List of equipment models/media

List field with the possibility to select equipment models and model groups or media. To select an entry, activate the check box in front of the entry.

In the list field the name, as it is stored in the database, is always displayed in the individual nodes. If the name was changed, the original name from the zenon project is displayed in brackets.

Equipment groups that were deleted in the global project are no longer displayed.

Sur l'onglet Settings, si l'option Don't modify existing data in the Analyzer metadata database est décochée, les objets modifiés dans la base de données sont supprimés ou mis à jour.

Select all

Clicking on the button selects all equipment groups

Deselect all

Clicking on the button deselects all equipment groups.


Event classes

Event classes

Configuration of the alarm/event classes which should be exported from the global project.

Option

Description

Event classes

Information and notes on exporting.

List of the alarm/event classes

List field with the possibility to select the alarm/event classes. To select an entry, activate the check box in front of the entry.

Trier : Cliquez sur l'identifiant de colonne pour trier les entrées en fonction de cette colonne, par ordre croissant ou décroissant.

Sélection multiple Si plusieurs lignes sont sélectionnées, la sélection est appliquée à toutes les lignes sélectionnées.

Alarm/event classes that were deleted in the global project are no longer displayed here.

Sur l'onglet Settings, si l'option Don't modify existing data in the Analyzer metadata database est décochée, les objets modifiés dans la base de données sont supprimés ou mis à jour.

Select all

Selects all entries in the list and activates the checkboxes.

Deselect all

Selects all entries in the list and deactivates the check boxes.


Event groups

Event groups

Configuration of the alarm/event groups which should be exported from the global project.

Option

Description

Event groups

Information and notes on exporting.

List of the alarm/event groups

List field in which you can select alarm/event groups. To select an entry, activate the check box in front of the entry.

Trier : Cliquez sur l'identifiant de colonne pour trier les entrées en fonction de cette colonne, par ordre croissant ou décroissant.

Sélection multiple Si plusieurs lignes sont sélectionnées, la sélection est appliquée à toutes les lignes sélectionnées.

Alarm/event classes that were deleted in the global project are no longer displayed here.

Sur l'onglet Settings, si l'option Don't modify existing data in the Analyzer metadata database est décochée, les objets modifiés dans la base de données sont supprimés ou mis à jour.

Select all

Selects all entries in the list and activates the checkboxes.

Deselect all

Selects all entries in the list and deactivates the check boxes.


Users

Users

Configuration of the user which should be exported from the global project.

Option

Description

Users

Information and notes on exporting.

User List

List field with selection possibility for users. To select an entry, activate the check box in front of the entry.

Trier : Cliquez sur l'identifiant de colonne pour trier les entrées en fonction de cette colonne, par ordre croissant ou décroissant.

Sélection multiple Si plusieurs lignes sont sélectionnées, la sélection est appliquée à toutes les lignes sélectionnées.

Sur l'onglet Settings, si l'option Don't modify existing data in the Analyzer metadata database est décochée, les objets modifiés dans la base de données sont supprimés ou mis à jour.

If a user was renamed in zenon they are considered new and recreated in the project. The previous user is deleted.

Select all

Selects all entries in the list and activates the checkboxes.

Deselect all

Selects all entries in the list and deactivates the check boxes.


Projects

Projects

Configuration of the local projects which should be exported. The names for Serveur 1 and Serveur 2 can be changed here.

To change the name of a Server or Standby Server:

  1. Highlight the project in the list of projects.
  2. Enter the desired name for Serveur 1 and Serveur 2.

Note: Changes here are only possible if, in the Settings tab, the Don't modify existing data in the Analyzer metadata database option has been deactivated. The information that is displayed for the server depends on the settings in the project and the database. For details, see the Display of server settings section.

Option

Description

Projects

Information and notes on exporting.

Project list

List field with selection possibility for projects. To select an entry, activate the check box in front of the entry.

Trier : Cliquez sur l'identifiant de colonne pour trier les entrées en fonction de cette colonne, par ordre croissant ou décroissant.

Sélection multiple Si plusieurs lignes sont sélectionnées, la sélection est appliquée à toutes les lignes sélectionnées.

Sur l'onglet Settings, si l'option Don't modify existing data in the Analyzer metadata database est décochée, les objets modifiés dans la base de données sont supprimés ou mis à jour.

Server 1

Address of the Serveur 1 for the project selected in the list window.
Source (project or database) depending on configuration.

Server 2

Adress of the Serveur 2 for the project selected in the list window.
Source (project or database) depending on configuration.

Select all

Selects all entries in the list and activates the checkboxes.

Deselect all

Selects all entries in the list and deactivates the check boxes.

Display of server settings

The following is applicable for the display and configuration of the server in this tab:

  • In the zenon project, the Réseau actif property is activated:
    Serveur 1 and Serveur 2 from the project are displayed.
  • In the zenon project, the Réseau actif property is deactivated:
    Serveur 1 and Serveur 2 from the database are displayed.
  • In the zenon project, the Réseau actif property is deactivated and there are no entries present for the server in the database:
    Empty entries are displayed for Serveur 1 and Serveur 2.


Archives

Archives

Selection of the archive from the selected projects. Only base archives are displayed. Aggregated archives are not displayed in the list, but are also selected with the base archives and written to the database.

Option

Description

Archives

Information and notes on exporting.

Archive list

List field with possibility to select for archives. To select an entry, activate the check box in front of the entry.

  • Name (Analyzer): Name of the archive in zenon Analyzer.
  • Name (Project): Name of the archive in the project.
  • Archive ID (Project): ID of the archive in the project.
  • Project: Project from which the archive comes.
  • Description: Individual description of the project.

Trier : Cliquez sur l'identifiant de colonne pour trier les entrées en fonction de cette colonne, par ordre croissant ou décroissant.

Sélection multiple Si plusieurs lignes sont sélectionnées, la sélection est appliquée à toutes les lignes sélectionnées.

Sur l'onglet Settings, si l'option Don't modify existing data in the Analyzer metadata database est décochée, les objets modifiés dans la base de données sont supprimés ou mis à jour.

Select all

Selects all entries in the list and activates the checkboxes.

Deselect all

Selects all entries in the list and deactivates the check boxes.


Variables

Variables

Configuration of the variables to be exported from the selected local projects. When selecting variables, the entries offered can be prefiltered.

Option

Description

Variables

Information and notes on exporting.

Display

Selection of which variables are displayed, via the following option fields:

  • All: All variables are displayed.
  • Selected: Only variables that have already been selected are displayed.
  • Unselected: Only variables that have not yet been selected are displayed.

Variable filter

Selection of the variable filter using the following option fields:

  • All: All variables are displayed.
  • Archives: Only archive variables are displayed.
  • Equipment groups: Only variables are displayed which are part of the selected Equipment model.

Filter row

Input of alphanumerical characters according to which the List of variables is to be filtered.

Attention: The filter makes a distinction between upper-case and lower-case letters (it is case sensitive).

List of variables

List field with possibility to select variables. To select an entry, activate the check box in front of the entry.

The following are displayed:

  • Name (Analyzer): Name in zenon Analyzer.
  • Name (Workspace): Can be issued from zenon 7.20 in the Editor by means of the Nom visuel property. Must be unique in the project. See also chapter Visual name
  • Meanings: Can be issued from zenon 7.20 in the Editor by means of the Signification property. See also chapter Meaning
  • Project: Project from which the variable comes.
  • Identification: It corresponds to the Identification property in zenon.

Trier : Cliquez sur l'identifiant de colonne pour trier les entrées en fonction de cette colonne, par ordre croissant ou décroissant.

Sélection multiple Si plusieurs lignes sont sélectionnées, la sélection est appliquée à toutes les lignes sélectionnées.

Sur l'onglet Settings, si l'option Don't modify existing data in the Analyzer metadata database est décochée, les objets modifiés dans la base de données sont supprimés ou mis à jour.

Select all

Selects all entries in the list and activates the checkboxes.

Deselect all

Selects all entries in the list and deactivates the check boxes.

Rules for the export of variables with reaction matrices

If linked variables are exported with reaction matrices, the limit value text, the limit value color and the status value of the reaction matrix statuses are also exported to the STATUSNAME table in the metadata database of the Analyzer. Because only certain states can be evaluated in the reports, they must be pre-sorted using the wizard.

The following statuses of the reaction matrices can be exported or excluded:

Rema

Rules

Numeric
  • The default status is ignored.
  • If several statuses with the same status and limit value condition are set, then only the first status and its status text are exported.
  • Only statuses with a value that is equal to a limit value are exported (limit value condition).
  • The limit value conditions greater than, less than, as desired and range are ignored.

Multi numeric
  • Correspond to the rules for numeric.
  • Substatuses are also ignored.

Binary

  • Only statuses that have value bits set consistently from right to left in the bit mask (0 or 1) are set.
    For example:
    ........ ....10.. 1
    ........ .....100 .
    ........ .....100 1
    The following are ignored, for example
    ........ ........ 1
    ........ ......00 1
    ........ .10..100 1

Multi binary
  • Correspond to the rules for Binary.
  • In addition, substatuses and statuses are also ignored with edge definitions in the bit mask.

String

  • Are completely ignored and not exported.

Import of variable information from zenon

Les propriétés suivantes dans le groupe de propriétés de la variable Analyzer de zenon fournissent des informations concernant les rapports dans zenon Analyzer :

  • Nom visuel : Saisie d'un nom d'affichage de la variable dans zenon Analyzer. Celui-ci doit être unique dans le projet. La vérification n'est pas effectuée lors de l'émission dans zenon, mais lors de l'importation dans zenon Analyzer. Si cette propriété est modifiée après la première exportation vers zenon Analyzer, ces modifications ne sont appliquées dans zenon Analyzer.
  • Signification : Saisie de la Meaning d'une variable dans zenon Analyzer. La saisie peut être manuelle ou être effectuée à l'aide de l'Meaning and Waterfall Chart Wizard. Plusieurs significations doivent être séparées par une virgule.
    Syntaxe : [Meaning1],[Meaning2],…,[MeaningN]
  • Paramètre pour le waterfall diagram : Paramètres d'une variable pour un diagramme en cascade dans zenon Analyzer. La saisie peut être manuelle ou être effectuée à l'aide de l'Meaning and Waterfall Chart Wizard. Les paramètres individuels doivent être séparés par une virgule. Plusieurs cascades doivent être séparées par un point-virgule.
    Syntaxe : [nom de modèle],[indice de ligne],[indice dans la ligne],[code de couleur];

Autres sujets abordés dans ce chapitre

Visual name

Meaning


Efficiency classes

Efficiency classes

Selection and configuration of the efficiency classes to be exported. In doing so, zenon reaction matrices (REMAs) are displayed, the status of which correspond to the rules of the efficiency class structure. Only reaction matrices that meet certain conditions are read.

zenon reaction matrix requirements

In order for a reaction matrix to be read as an efficiency class, it must meet the following conditions:

  • Numeric or multi-numeric type
  • Status configured correctly
  • Limit value text present

Status configuration

The statuses to be configured must meet the following conditions:

  • The first status is less than a defined value. The area is open downwards.

    Status n1: <x

  • The last status is greater than the last value defined beforehand. This area is open upwards.

    Status n4: >z

  • Fixed ranges are defined between the first and last value. These areas must follow one another exactly.

    Status n2: x-y

    Status n3: y-z

Configuration in the wizard

To select efficiency classes for export:

  1. Select the desired efficiency classes.
  2. Configure the normalization.
    Attention: The None value is reserved for a subsequent expansion stage and must not be selected.

    All pre-existing efficiency classes in the metadata database are deleted during export if they have been created by the wizard. However, efficiency classes that come from the Metadata Editor are retained. All selected efficiency classes are then written to the metadata database.

Option

Description

Efficiency Class Name

Selection of the efficiency class to be exported by means of
Activation of checkbox in front of the name.

Normalisation

Selection of the normalization from a drop-down list.

  • Minimum: 1 minute
  • Maximum: 1 year

Default: 15 minutes

Attention: None must not be selected. This value is reserved for a subsequent expansion level and leads to invalid configurations.

attention Attention

Reaction matrices are identified in zenon by means of their name. If the name of a reaction matrix is amended in zenon, the attendant efficiency class is recreated during export and the previous efficiency class is deleted.


Close wizard

Manuel -> Assistants -> Rubriques -> Analyzer -> Export Wizard for Analyzer 3.10 -> Close wizard

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

To close the wizard:

  • Click on the Cancel button .
  • A dialog prompts whether the configuration should be saved.
    • Yes: Writes the settings set in the Settings tab to the registry and closes the wizard. The wizard is opened with this configuration the next time it is started. The configuration is saved for each specific user.
    • No: Closes the wizard without saving the configuration


Meaning and Waterfall Chart Wizard

Manuel -> Assistants -> Rubriques -> Analyzer -> Meaning and Waterfall Chart Wizard

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

The Meaning and Waterfall Chart Wizard helps you prepare a zenon project for the processing of variable information in the zenon Analyzer.

Note: The wizard is only available in English.

attention Attention

If the Multi-User is used with a project with distributed engineering (Multi-User), then Enable changes must be activated in the zenon Editor for:

  • The project (context menu of the project)
  • The variables (context menu of the variables or the Variables module)

Otherwise the changes made by the Meaning and Waterfall Chart Wizard cannot be applied. These are then discarded.

The Meaning and Waterfall Chart Wizard helps you, when engineering projects in zenon, to configure:

  • Meanings (Meaning)
  • Waterfall charts for machine-based reports and line-based reports.

The wizard writes the configuration in the corresponding properties of the variables selected in the wizard. The target properties depend on the version of zenon that is used.

attention Attention

Only equipment models from the global project are available.

From zenon 7.20

  • Meanings:

    The Meanings are written in the Analyzer/Signification property. Several entries are separated by a comma (,).

  • Waterfall:

    The parameters for waterfall diagrams are written in the Analyzer/Paramètre pour le waterfall diagram property. The parameters for a diagram are separated by a comma (,). Several diagrams are separated by a semi colon (;)

    • Syntax machine-based: [model name],[line index],[column index],[color code code];
    • Syntax line-based: [model name],[line index],[column index],[color code],[loss of auxiliary machine],[add loss of auxiliary machine],[subtract loss of auxiliary machine];

The following applies for both properties: If there are still entries in the Général/Description externe property from previous versions of zenon, these are deleted and entered in the corresponding properties for zenon 7.20.

Up to zenon 7.11:

Meanings and parameters for waterfall diagrams are written to the Description externe variable property. In doing so, the prefix WF= is added for meanings and the prefix WF= is added for waterfall parameters.

For further information, see the Analyzer Wizards chapter.

Autres sujets abordés dans ce chapitre

Install and call up wizard

Start window

Configuration


Install and call up wizard

Manuel -> Assistants -> Rubriques -> Analyzer -> Meaning and Waterfall Chart Wizard -> Install and call up wizard

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

The wizard is automatically installed together with zenon.

Starting the wizard

For wizards to be displayed, the settings for VBA or VSTA must be set correctly in file zenon6.ini:

[VBA]

EIN=1

[VSTA]

ON=1

If VSTA wizards are not displayed although the settings are correct, set entry LOADED= to 1 in area [VSTA].

To start the wizard:

  1. Click on Tools -> Start Editor Wizards....
    Or: Press the short cut Alt+F12

    The selection window with the available wizards opens.

  2. Navigate to node Analyzer.
  3. Select the Meaning and Waterfall Chart Wizard.

  4. Click on OK.

    The wizard starts with the welcome page.


Start window

Manuel -> Assistants -> Rubriques -> Analyzer -> Meaning and Waterfall Chart Wizard -> Start window

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

When opening the wizard, you receive an overview that lists and explains all objects that can be configured. Configuration starts with the Settings tab.

Meaning

zenon variables often receive technically-orientated names in the project. This naming is often not meaningful enough for display in a zenon Analyzer report. The variables can be given an unique name for display in the zenon Analyzer report. This name is saved to the corresponding variable property depending on the zenon version. Target property and entry are automatically selected by the wizard.

After import into zenon Analyzer, this name is used for reports without the existing variable name needing to be changed. For details, see the Analyzer Wizards chapter in the online help.

Waterfall

Some zenon Analyzer reports can display a waterfall diagram using zenon variables. To do this, information on the appearance of the diagram must already be present in the resource label of the selected variable. The structure and appearance of a waterfall diagram can be defined with a wizard. The waterfall information is saved to the corresponding variable property depending on the zenon version. Target property and entry are automatically selected by the wizard. For details, see the Analyzer Wizards chapter in the online help.

Navigation

Click on the button with the arrow to navigate through the configuration of the export.


Configuration

Manuel -> Assistants -> Rubriques -> Analyzer -> Meaning and Waterfall Chart Wizard -> Configuration

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

The Meaning and Waterfall Chart Wizard is configured with the following tabs:

  • Settings: Loading the data from the projects.
    Only once the data to be loaded is selected are other tabs available for meanings or waterfall diagrams.
  • Meaning filter: Filter settings for meanings.
  • Meaning: Selection and assignment of the meanings.
  • Waterfall filter: Filter settings for machine-based waterfall diagram.
  • Waterfall: Selection of variables and configuration of machine-based waterfall diagram.
  • Line Analysis filter: Filter settings for line-based waterfall diagram.
  • Line Analysis: Selection of variables and configuration of line-based waterfall diagram.
  • Finish: Acceptance of configuration and configuration by the wizard.

The tabs that can be shown depend on the configuration of the Settings tab.

Autres sujets abordés dans ce chapitre

Navigation

Settings

Meanings

Machine

Line

General rules for waterfall diagrams

Finish


Navigation

Navigation

Navigation through the tabs is carried out by means of the navigation bar in the lower area of the wizard window:

Button | Description
Arrow left | Goes back one tab in the wizard process.
Arrow right | Goes forward one tab in the wizard process.
Finish | Writes all changes to the zenon variable in the Editor and closes the wizard.
Cancel | Ends the wizard without making changes.

Individual tabs can also be selected by clicking directly on the title of the tab.


Settings

Settings

Selection and loading of the tabs to be configured.

Option

Description

Settings

Setting for which tabs are to be loaded.

Load every project of this workspace into the memory
  • Active: When loading, projects from the workspaces that are not in the memory are also taken into account. Once the wizard has been ended or once the Finish action has been executed, these are removed.

Define Meanings

  • Active: The Meaning filter and Meaning tabs are loaded.

Define Waterfall Chart

Selection of waterfall chart:

  • Active: A waterfall chart is created.

Selection of the waterfall type by means of the radio button:

  • Machine: A machine-based waterfall chart is created. The Waterfall filter und Waterfall tabs are loaded.
  • Line: A line-based waterfall chart is created. The Line Analysis filter and Line Analysis tabs are loaded.

Load data

Clicking on the button searches through the variables of all projects loaded in the workspace and loads the required information for the filter and editing the variables. The corresponding tabs are displayed in the wizard.

A progress bar is displayed during the loading process.

After loading, the tabs are available for the selected data, for configuration.


Meanings

Meanings

Configuration of the meanings using the Meaning filter and Meaning tabs.

Autres sujets abordés dans ce chapitre

Meaning filter

Meaning


Meaning filter

Meaning filter

The variables to be edited are pre-filtered with this tab. If an object is not selected in any group, all variables are available in the Meaning tab.

attention Attention

Only equipment models from the global project are available.

Option | Description
List of equipment groups | Filtering for individual models by activating the respective checkboxes. No selection: Variables of all equipment models are selected.
List of projects | Filtering for individual checkboxes by activating the respective checkboxes. No selection: Variables of all projects are selected.
List of archives | Filtering for individual archives by activating the respective checkboxes. No selection: Variables of all archives are selected.


Meaning

Meaning

The meanings of the variables are edited in this tab. Variables can be selected and given new meanings, and existing meanings can be removed.

Variable selection

Option

Description

Search meaning

Input of a search term lists all variables with their corresponding meanings.

The list is immediately updated with the entry of a character. Placeholders cannot be used.

List Variablen

List of the variables available after filtering.

Selection of variables for editing: Activation of the checkbox before the variables.

Existing meanings of the variables are shown in the Meanings column. In doing so, only meanings are displayed. Other entries or entries for the waterfall chart are hidden or ignored when editing.

The variables can be sorted by clicking on a column label.

Select all

Clicking this selects all variables for editing.

Deselect all

Clicking this deselects all variables.

Display statistics

Display how many variables:

  • Are present in the list
  • Have been selected
  • Have been changed

Reset

Resets all changes that have been made by clicking on Update meaning.

Note: Changes are only accepted finally after clicking on Finish.

Add meanings

Option | Description
Add new meanings | Allows meanings to be added to variables. New meanings are entered in the input field, added to the list and assigned to the selected variables using the Update meaning button.
Eingabefeld | Entry of a new meaning. Maximum length: 50 characters
Liste Meanings | Lists all meanings that have been created.
Add to list | Adds entry from text field to the list of meanings.
Remove from list | Deletes selected entry from the list of Meanings.
Remove all | Deletes all entries from the list of Meanings.
Update meaning | Clicking this assigns a new meaning to all entries in the list ofMeanings. The meanings to be added are displayed in the Meanings (preview) column; the row with the variables has a green background.

Remove meanings

Option | Description
Remove existing meanings | Allows meanings to be removed from variables. If a variable is selected, all assigned meanings are displayed in the list of Meanings. Meanings that are to be retained are deleted from the list by clicking on the Remove from list button. Clicking on the Update meaning button removes the meanings from the selected variables.
List Meanings | Lists all of the meanings assigned to the selected variables.
Remove from list | Deletes selected entry from the list of Meanings.
Remove all | Deletes all entries from the list of Meanings.
Update meaning | Clicking this removes all entries in the list of Meanings from the selected variables. The row with the variables has a red background.

Attention: Changes and new entries are only written to the zenon variable once the Finish action in the Finish tab has been executed.

Example of color identification

  • Red: All Meanings of the variable have been deleted.
  • Green: Variable has received a new Meaning.


Machine

Machine

Configuration of a waterfall model for machine-based reports using the Waterfall filter and Waterfall tabs.

Autres sujets abordés dans ce chapitre

Waterfall chart filter

Waterfall chart


Waterfall chart filter

Waterfall chart filter

You define the machine-based waterfall diagram in this tab. To do this, all variables must be assigned to the same equipment group. If variables from an archive are used, the archive and the variables must be assigned to the same equipment group.

attention Attention

Only equipment models from the global project are available.

Option | Description
List of equipment groups | Selection of an equipment group.
List of projects | Selection of a project.
List of archives | Select an archive.

An equipment group and a project must be selected. As a option, it is also possible to select an archive from the appropriate equipment group.

No variables can be displayed in the Waterfall tab:

  • No project was selected
  • No equipment group was selected
  • Objects were selected that are not assigned to the same equipment group


Waterfall chart

Waterfall chart

Waterfall definitions can be created and edited on this tab:

Option

Description

New

Active: A new waterfall definition is created.

Update

Active: An existing waterfall definition is edited. Select from drop-down list.

Chart

Entry of a name for a new waterfall definition.

Save

Clicking on the button saves the entries.

Note: All changes are only written to the zenon variable once the Finish action in the Finish tab has been executed.

Variablenliste

Lists all variables that correspond to the configuration on the Waterfall filter tab. Bool and String variables are not displayed.

The list can also be sorted by clicking on the column heading. Existing waterfall definitions are displayed in the Waterfalls column. New or amended waterfall definitions are displayed in the Waterfalls (preview) column.

Chart

Waterfall definitions can be created or amended here by dragging & dropping.

Note: All changes are only written to the zenon variable once the Finish action in the Finish tab has been executed.

Creating a waterfall definition

To create a new waterfall definition:

  1. Select New.
  2. Move the desired variable by drag&drop in sequence in the Chart area
  3. Arrange the bar according to the rules
  4. Enter a name in the Chart input field
  5. Click on Save.
  6. The configuration is saved in the Waterfalls (preview) column
  7. Switch to tab Finish.
  8. Click on Finish.


Line

Line

Configuration of a waterfall model for line-based reports using the Line Analysis Filter and Line Analysis tabs.

Autres sujets abordés dans ce chapitre

Line Analysis filter

Waterfall chart


Line Analysis filter

Line Analysis filter

You define the line-based waterfall diagram in this tab. To do this, all variables and archives must be assigned to the same equipment group.

attention Attention

Only equipment models from the global project are available.

Parameters | Description
Main machine | Configuration of the main machine.
List of equipment models | List of the existing equipment models. Selection of a model by activating the checkbox. The selection defines the archives that can be used. Only one model can be selected.
Project | Existing projects. The list of archives can be filtered using the selection of projects. The selection is optional.
Archive | List of existing archives. Selection of an archive by activating the checkbox. Only one archive can be selected.
Side machine | Configuration of the auxiliary machines
Equipment | List of the existing equipment models. Selection of a model by activating the checkbox. The selection defines the archives that can be used. As many models as desired can be selected.
Project | Existing projects. The list of archives can be filtered using the selection of projects. The selection is optional.
Archive | List of existing archives. Selection of an archive by activating the checkbox. As many archives as you want can be selected.

Rules

The following is applicable for the selection of the main machine:

  • Precisely one equipment group must be selected.
  • The archive selection can be prefiltered using the Project filter.
    Only one project can be selected.
  • Precisely one archive can be selected.

The following is applicable for the selection of the auxiliary machines:

  • Several equipment groups can be selected. However these must be from the same level as the main machine.
  • If an equipment group has been selected for the main machine, only equipment groups at the same level as the main machine can be selected for the auxiliary machines. The equipment group of the main machine is precluded in the process.
  • The archive selection can be prefiltered using the Project filter.
    Several projects can be selected.
  • At least one archive must be selected. If a variable is already used in the archive of the main machine, it is not available for the auxiliary machine.

attention Attention

In order for variables to be available for the diagram, they must always be linked to the same equipment group as the archive in which the variables are located. This applies to main machines and auxiliary machines.


Waterfall chart

Waterfall chart

Waterfall definitions can be created and edited on this tab:

Note the rules for filtering on the Line Analysis filter tab: Precisely the same variable filter settings must be set for main and auxiliary machines.

Option

Description

New

Active: A new waterfall definition is created.

Update

Active: An existing waterfall definition is edited. Select from drop-down list.

Chart

Entry of a name for a new waterfall definition.

Save

Clicking on the button saves the entries.

Note: All changes are only written to the zenon variable once the Finish action in the Finish tab has been executed.

Legend

Key for the assignment of the variables:

  • Sub: Losses of auxiliary machines are subtracted from the main machine.
  • Add: Losses of auxiliary machines are added to the main machine.
  • SMa: Auxiliary machines .

Variables main machine

Lists all variables available for the main machine.

The list can also be sorted by clicking on the column heading.

Variables side machine

Lists all the variables available for the auxiliary machines.

The list can also be sorted by clicking on the column heading.

Chart

Waterfall definitions can be created or amended here by dragging & dropping.

Note: All changes are only written to the zenon variable once the Finish action in the Finish tab has been executed.

Creating a waterfall definition

To create a new waterfall definition:

  1. Select New.
  2. Move the desired variable by drag&drop in sequence in the Chart area
  3. Arrange the bar according to the rules
  4. Enter a name in the Chart input field
  5. Click on Save.

    The configuration is displayed in the list in the Waterfall def. preview (preview) column.

  6. Switch to tab Finish.
  7. Click on Finish.

Editing a waterfall definition

To edit an existing waterfall definition:

  1. Select Update.
  2. Select the desired definition from the drop-down list.

    The existing definition is displayed in the diagram field.

  3. Edit the definition.
  4. Click on Save.
  5. The configuration is displayed in the list in the Waterfall def. preview (preview) column.
  6. Switch to tab Finish.
  7. Click on Finish.

Rules when drawing the diagram:

When drawing, the following rules are applicable, in contrast to a machine-based diagram:

Position | Rule | Definition | Code
Last line, first column | Entries for main machines only. | SUBTRACT_SIDE_MACHINE_LOSSES | Sub
n-column, last line and not 1st column. | Main machine entries. | Default: ADD_SIDE_MACHINE_LOSSES = 0 | (none)
 |  | Alternative: Clicking on the cell with the right mouse button opens, after the dialog, a further dialog to select colors. Confirmation with Yes changes the definition to: ADD_SIDE_MACHINE_LOSSES = 1 | Add
n-column, last line and not 1st column. | Auxiliary machine entries. | LOSS_FROM_SIDE_MACHINE = 1 | SMa

Dialog: Add auxiliary machine losses

Under the following conditions, after the color selection dialog has been closed, an additional dialog to add losses from auxiliary machines is displayed:

  • Click on the right mouse button in the diagram
  • On a variable of the main machine
  • In the last line
  • From the second column

Option | Description
Add side machine losses | Query of whether losses from auxiliary machines are to be added.
Yes | The value for DD_SIDE_MACHINE_LOSSES is set to 1. The losses of the auxiliary machine are added.
No | The value for DD_SIDE_MACHINE_LOSSES is set to 0. The losses of the auxiliary machine are subtracted.
Cancel | The status remains as it was before the dialog was called up.


General rules for waterfall diagrams

General rules for waterfall diagrams

The following rules apply when creating and editing waterfall definitions:

  1. For the first bar, the variable in the upper left corner of the character area must be dragged.
  2. The second bar can only be inserted below the first bar.
  3. All other bars can be inserted either below the existing bar or to the right of an existing bar.
    • The first row can only contain one bar.
    • If a bar is inserted to the right of an existing bar, the bar above this is extended.
  4. The selected variable is displayed in green.
  5. Each variable can only be used once.
  6. The bar contains an index:
    • First number: Row index
    • Second number: Column index
  7. The name of the selected variable is displayed in the tooltip of the bar.
  8. For line-based diagrams only: Variables of auxiliary machines can only be entered in the last line.

Note: Note the rules for filtering and diagram design for line-based diagrams.

Saving a waterfall definition

To save a waterfall definition:

  1. Enter a name in the Chart input field
  2. Click on the Save button.
  3. The definition is saved in the variable list and the new entry is displayed in the Waterfall def. preview (preview) column
  4. The new waterfall definition is only written to the zenon variable after clicking on the Finish button in the Finish tab.

Editing a waterfall definition

To edit a new waterfall definition:

  1. Select Update.
  2. Select the desired waterfall definition from the drop-down list.

    Attention: Only definitions that correspond to the configuration in the Waterfall filter tab are offered

  3. The waterfall definition is displayed in the Chart area
  4. Change the definition in accordance with the rules:
    • Adding a bar: Move the variable to the desired position: The variable is colored green.
    • Deleting a bar: Drag the bar to the deletion area. The variable is displayed again without a highlighting color.
    • Moving a bar: Move the bar to the desired location.
    • Changing the color: Assign the bar the desired color with a right-click.
  5. Click Save.
  6. All changes are displayed in the list in the Waterfall def. preview (preview) column
  7. Switch to tab Finish.
  8. Click on Finish.

Deleting a bar

Bars can be deleted if:

  • It is a short bar
  • There is no other bar below or to the right

To delete a bar, drag & drop it to a free location outside the Chart field (but not in the variable list).

The bar is deleted. All other bars are moved accordingly. Moving the bar

Bars can be moved if:

  • It is a short bar
  • The movement is within a row

To move a bar, drag & drop it to the new position. All other bars between the old and the new position are moved by one place.

Changing the color of a bar

To change the color of a bar:

  1. Right-click on the bar
  2. The dialog to select the color opened:
  3. select the desired color
  4. Click on OK.


Finish

Finish

In this tab, the changes are written to the variables in zenon and the result is displayed in the output field.

Clicking on the 'Finish' button writes the changes to the zenon variable in the Editor.

The changes made are displayed in the output field:

  • Update MEANINGS variable definition: Changes to the variables that are carried out and that concern the meanings.
  • Update WATERFALL variable definition: Changes to the variables that have been carried out and that concern the waterfall definition
  • Notes on new and deleted entries, warnings and error messages.

    When importing into zenon, the length of the entry is checked for the corresponding properties. This must not consist of more than 250 characters If the entry is longer, the sequence is cut off after the 250th character and an error message is written in the output field of the 'Finish' tab.


Sankey Wizard

Manuel -> Assistants -> Rubriques -> Analyzer -> Sankey Wizard

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

A Sankey diagram is a graphic display of quantity flows. The quantities are displayed by arrows with a thickness proportional to the quantity. Sankey diagrams are important aids for the visualization of energy and material flows, as well as inefficiencies and potential for saving when using resources.

The Sankey Wizard supports you when creating Sankey diagrams that you can see in zenon Runtime and in zenon Analyzer.

The following scenarios are possible:

  • Create a new Sankey diagram.
  • Use a pre-existing Sankey diagram as a template.
  • Edit an existing Sankey diagram.
  • Delete an existing Sankey diagram.

The Sankey diagram is saved in an XML file.

Note: The wizard is only available in English.

tutorial Informations concernant la licence

Part of the standard license of the Editor and Runtime.

Autres sujets abordés dans ce chapitre

Installing the Sankey wizard

Starting the Sankey wizard

Start window

Sort and filter lists

Navigation

Action - select action

Variables - select variables

Diagram - create diagram

Finish - complete


Installing the Sankey wizard

Manuel -> Assistants -> Rubriques -> Analyzer -> Sankey Wizard -> Installing the Sankey wizard

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

The wizard is automatically installed together with zenon.


Starting the Sankey wizard

Manuel -> Assistants -> Rubriques -> Analyzer -> Sankey Wizard -> Starting the Sankey wizard

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

For wizards to be displayed, the settings for VBA or VSTA must be set correctly in file zenon6.ini:

[VBA]

EIN=1

[VSTA]

ON=1

If VSTA wizards are not displayed although the settings are correct, set entry LOADED= to 1 in area [VSTA].

To start the wizard:

  1. Click on Tools -> Start Editor Wizards....
    Or: Press the short cut Alt+F12

    The selection window with the available wizards opens.

  2. Navigate to the node Analyzer.
  3. Select the Sankey Wizard.

  4. Click on OK.

    The wizard starts with the welcome page.


Start window

Manuel -> Assistants -> Rubriques -> Analyzer -> Sankey Wizard -> Start window

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

When opening the wizard, you receive an overview that lists and explains all objects that can be configured. Configuration starts with the Action tab.

Click on the button with the arrow or on the title of the tab to navigate through the configuration of the export.


Sort and filter lists

Manuel -> Assistants -> Rubriques -> Analyzer -> Sankey Wizard -> Sort and filter lists

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Sorting of lists

All lists in the Action and Variables tabs can be sorted.

The sorting is alphabetical by default, which can however be inverted.

To sort:

  1. Click on the corresponding header of the column according to which sorting is to take place.

    The list is displayed sorted according to this column.

  2. A further click inverts the sorting.

Filter possibilities for lists

You can filter all lists in the Action and Variables tab according to certain criteria. Several filters can also be combined with one another.

Note: To reset a filter, delete the filter text from the header.

Engineering:

  1. Click in the desired list, with the left mouse button, in the input field for the corresponding filter symbol.
  2. Enter the term according to which filtering is to take place.
  3. Click on the corresponding filter symbol in the desired list with the left mouse button.

    The context menu is opened.

  4. Make your choice by clicking on the desired filter possibility with the left mouse button.

    The choices are:

    • No filter - no filter set
    • Contains - Contains
    • Does not contain - Does not contain
    • Starts with - Starts with
    • Equals - Is equal to
    • Not equal to - Is not equal to

    The list is filtered according to your selection.

Note: The filter is set to "Contains" by default.


Navigation

Manuel -> Assistants -> Rubriques -> Analyzer -> Sankey Wizard -> Navigation

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Navigation through the tabs is carried out by means of the navigation bar in the lower area of the wizard window:

Button | Description
Arrow left | Goes back one tab in the wizard process.
Arrow right | Goes forward one tab in the wizard process.
Finish | Writes all changes to the zenon variable in the Editor and closes the wizard.
Cancel | Ends the wizard without making changes.

Individual tabs can also be selected by clicking directly on the title of the tab.


Action - select action

Manuel -> Assistants -> Rubriques -> Analyzer -> Sankey Wizard -> Action - select action

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Select, in the Action tab, the desired action by activating it.

There are the following three possibilities:

Option | Description
Create diagram | Creates a new diagram.
Use existing diagram as template | Uses an existing diagram as a template. Note: In this case, variables must be linked to node connections again. The variable linkings of existing diagrams are not shown in the template.
Edit or delete diagram | Allows the editing or deletion of an existing diagram. The diagram to be edited or deleted can be selected from the list of the created diagrams.

Sorting and filter possibilities

You can sort the list in the Action tab and filter according to certain criteria. You can find details on this in the Sort and filter lists chapter.

List of the diagrams that have been created

The window in the middle shows a list with the diagrams that have already been created. The entries are grayed out if Create_Diagram has been selected. The following information for this is visible:

Option | Description
Project | Name of the project in which the diagram is saved
Diagram | Shows the name of the diagram.
Description | Shows the description of the diagram.
Analyzer | Active: The diagram can be used in the Analyzer and in Runtime. Inactive: The diagram can only be used in Runtime.
Valid | Active: The diagram is valid. Inactive: The diagram is not valid. You cannot use the diagram in either the Analyzer or in Runtime. Note: In this case, edit the diagram and amend it until it is valid.
Delete | Deletes the selected diagram. A dialog requesting confirmation is called up before the selected diagram is deleted.

Project Settings

You can change the following settings for the project in this area:

Option

Description

Name

Enter a name for the project here.

Note: The name must be unique. Otherwise a warning dialog will make you aware of this. A newly-created program with a name that already exists would replace the existing one if the warning dialog is confirmed. However if you click on No in the warning dialog, _1 is automatically added to the name.

Save into project

Here you select the project in which your diagram is to be saved.

Description

Enter a description here.
Note: This is optional.

Create diagram for Analyzer

Active: Only variables that are in archives are shown.
Note: The variables that you want to use must first be exported with the Analyzer Export Wizard.

Inactive: Selection of the variables is possible without limitations, however the diagram cannot be used in zenon Analyzer, only in zenon Runtime.

Note: Once this tab is left, it is no longer possible to edit the settings that have been made.

Dialog: Delete diagram

A dialog requesting confirmation is called up before the selected diagram is deleted.

Option | Description
Ja | Deletes the selected diagram.
Nein | The deletion process is canceled. The dialog is closed and the selected diagram is not deleted


Variables - select variables

Manuel -> Assistants -> Rubriques -> Analyzer -> Sankey Wizard -> Variables - select variables

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

You can select variables for your project in this tab.

Sorting and filter possibilities

You can sort the lists in the Variables tab and filter according to certain criteria. You can find details on this in the Sort and filter lists chapter.

Select project

Option | Description
Select project | List of all active zenon projects. Select the project(s) from which you want to select variables for your diagram here. Note: Multiple selection is possible.

Select data source

Option

Description

Select data source

Select the data source here (archives).
Note: The Online Data option is available for all other variables that do not come from archives. This option can only be selected if you have not activated the create for Analyzer option in the Action tab. Live values, i.e. online values, are used for Runtime. Historical values are used for zenon Analyzer.

  • Short name
    Short identification of the archive
  • Long name
    Full name of the archive
  • Project
    Project name of the archive
  • Parent archive
    Version of the archive used

Variables

Option

Description

Project variables

Select the variables that you want to link to your diagram here. Multiple selection is possible.

Possibilities for this:

  • Double-click on the desired variable.
  • Highlight the desired variable and then click on Add->.
  • Hold down the Ctrl key, highlight several variables, click on Add->.
  • Click on Add all-> to select all variables.

Variable list:

  • Name
    Variable name
  • Project
    Name of the project of the variable
  • Archive:
    Short identification of the archive
  • Aggregation:
    Aggregation type of the archive
    • AVG(Average)
    • Max(Maximum value)
    • Min(Minimum value)
    • Sum(Sum)
    • RAW(Raw data format - without aggregation)

Button Add ->

Adds selected variable(s) to the list of Diagram variables.

Button Add all ->

Adds all variables to the list of Diagram variables.

Button <- Delete

Removes selected variable(s) from the list of the Diagram variables.

Button <- Delete all

Removes all variables form the list of Diagram variables.

Diagram variables

Option

Description

Diagram variables

You can see all selected variables here. These are relevant for the next tab when creating the diagram.

To delete variables again:

  • Highlight the variable that you want to delete and click on <-Delete.
  • Hold down the Ctrl key, highlight several variables that you want to delete at the same time and click on <-Delete.
  • Click on <-Delete all to delete all selected variables again.

Variable list:

  • Name
    Variable name
  • Project
    Name of the project of the variable
  • Archive:
    Short identification of the archive
  • Aggregation:
    Aggregation type of the archive
    • AVG(Average)
    • Max(Maximum value)
    • Min(Minimum value)
    • Sum(Sum)
    • RAW(Raw data format - without aggregation)

Note: Once you have left this tab, changes to the settings that have been made here are possible.


Diagram - create diagram

Manuel -> Assistants -> Rubriques -> Analyzer -> Sankey Wizard -> Diagram - create diagram

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

You are able to draw a diagram in this tab.

Note that:

  • You can create a maximum of 26 start or end nodes.
  • The start nodes cannot overlap.
  • The end nodes cannot overlap.

Drawing area

You position your nodes and connections in the drawing area.

Node

Option | Description
Name | Node name
Color | Color of the node. Displays the last selected color. Clicking on the button opens the color selection dialog.
Create | Creates nodes and positions these on the drawing area.
Delete | Deletes selected nodes from the drawing area. Only active if at least one node in th drawing area has been selected.

Diagram

Option

Description

Validate

Checks whether all nodes have been linked and/or whether the links are occupied with a variable.

The result of the validation is displayed in a dialog.

  • Node xx is not connected!
    The node is not connected to another node.
  • A connection of node xx has no variable linked!
    The linking of the node does not have an assigned variable.

Save

Saves the current project configuration. A check is also carried out before saving.

Reset

Deletes all nodes and previously-configured connections.

Diagram settings

Option

Description

Loss detection

Automatic loss detection with an additional connection that visualizes the differential flow.

  • activated: The automatic loss detection is calculated.
  • deactivated: No automatic loss detection is calculated.

Default: deactivated

Unknown Loss

If, for a node, the quantity of inflows exceeds the quantity of outflows, a differential flow in the selected color is displayed.

Only active if Loss detection is active.

Note: This differential flow is only displayed in zenon Runtime or in zenon Analyzer.

Undefined Input

If, for a node, the quantity of outflows exceeds the quantity of inflows, a differential flow is displayed in the selected color.

Only active if Loss detection is active.

Note: This differential flow is only displayed in zenon Runtime or in zenon Analyzer.

Connections (Variables)

Option | Description
Connections (Variables) | List of all the variables available for linking. If a variable is already linked to a connection, this variable is shown in green in the selection list. Note: These variables are provided in the Variables tab.
Link variable | Links the selected variable to the selected connection. Not active if no connection is selected. Note: If a second node and a variable is selected, the connection is also drawn in addition to the linking.
Delete | Deletes selected connection. Multiple selection of connections is possible. Not active if no connection is selected.

Autres sujets abordés dans ce chapitre

Create diagram

Display of Sankey diagram in zenon Analyzer

Examples of views: Wizard - zenon Analyzer


Create diagram

Create diagram

This is how you create a Sankey diagram with the Sankey wizard:

Creating nodes and connections:

Note that:

  • You can create a maximum of 26 start or end nodes.
  • The start nodes cannot overlap.
  • The end nodes cannot overlap.

Engineering:

  1. Enter, in the Node window, under the Name field, a name for the node to be created.
  2. Select a color for the node by clicking on the Color field.
  3. Then click on Create.
  4. Create the required nodes and arrange these as you wish.
  5. Connect the nodes by dragging a node output (to the right of the node) to a node input (to the left of the node).

Note: A node can have connections to several nodes or several nodes can have connections to one node. The size of the output node changes depending on how many connections there are. Nodes that are only connected on one side are displayed as round or oval. Nodes that have connections on both sides are shown as angular.

There are the following possibilities with regard to node connections:

Back-coupling: Establish a connection from the output of a node to its input

To do this:

  • Double-click on the node on which you want to create the back-coupling.

or

  • Drag the connection from the output of the node to its input.

Establish a connection between 2 nodes and link a variable to it at the same time:

To do this:

  1. Highlight both nodes that you want to connect and the variable that you want to link to it.
  2. Click on Link Variable.

Linking variables to connections:

There are several possibilities for linking variables to connections:

Drag&Drop

  • Drag the desired variable from the Connections (Variables) window to the desired node connection.

Note: Provided that you have already established the connection between the nodes.

Button Link Variable

  1. Highlight the desired node connection
  2. Highlight the variable that you want to link to the connection.
  3. Click on the Link Variable button.

Note: You can only link one variable to each connection.

Linking a variable to several node connections:

  1. Hold down the Ctrl key and highlight several node connections.
  2. Highlight the desired variable
  3. Click on Link Variable

    or

  4. Drag the variable to the highlighted node connections.

Note: In order to see the name of the variable that is linked to the connection, move the mouse to above the connection.

Diagram settings:

If you activate the Loss Detection option, loss detection is calculated automatically. An additional connection then visualizes the differential flow.

You can select the colors that are to be used for the display of the differential flows in the Unknown Loss and Undefined Input fields. To select a color, click in the field. The color palette for selecting a color is opened

Concluding the drawing of the diagram:

Once you have finished drawing your diagram,

  • Click on the button Validate:

If all your connections are correct, a dialog appears informing you that the diagram is valid. Otherwise a dialog appears informing you that there are still nodes that are not connected or that variables are not linked to the connections.
In order for a diagram to be valid:

  • All nodes must be connected
  • All connections must be occupied with a variable
  • No nodes can overlap if they are moved towards inputs (left) or outputs (right)

To save your diagram,

  • Click on the Save button.

The diagram you have created is validated. The diagram is saved and marked as valid or invalid. You are shown the project in which it is saved.

To redraw the diagram,

  • Click on the Reset button.

All the nodes you have drawn and your connections are thus deleted.

info Informations

Clicking on the Validate or Save buttons orientates the nodes to the right and left side of the drawing area.

Note: Nodes must not overlap in the process.

Editing nodes:

Once you have created some nodes, you can

Issue several nodes with the same name:

  1. Hold down the Ctrl key.
  2. Highlight the nodes that you want to name.
  3. Enter a name.

Select the same color for several nodes:

  1. Hold down the Ctrl key.
  2. Highlight the nodes that you want to color.
  3. Then select a color.

Moving several nodes at the same time:

  1. Hold down the Ctrl key.
  2. Select the node that you want to move.
  3. Move the nodes. Your connections are also moved.

Note: You can also edit a node individually by highlighting it and make the desired change.

Deleting nodes:

  1. Highlight the node that you want to delete.
  2. Click, in the Node window, on Delete or use the Delkey.

Deleting several nodes at the same time:

  1. Hold down the Ctrl key and highlight the node that you want to delete.
  2. Click, in the Node window, on Delete or use the Delkey.

Note: When the node is deleted, its connections are also deleted.

Deleting connections:

  1. Highlight the connection that you want to delete.
  2. Click, in the Connections (Variables) window, on Delete or use the Delkey.

Deleting several connections at the same time:

  1. Hold down the Ctrl key and highlight the connections that you want to delete.
  2. Click, in the Connections (Variables) window, on Delete or use the Delkey.


Display of Sankey diagram in zenon Analyzer

Display of Sankey diagram in zenon Analyzer

The nodes are always rearranged in zenon Analyzer and do not follow the exact positioning in the wizard in the process. The display of the Sankey diagram is automatically optimized in zenon Analyzer for legibility and clarity.

The width of the connection is taken into account specially for this arrangement. This width is dependent on the respective values shown (the more there are, the thicker it is).

Horizontal arrangement

Nodes are distributed horizontally over the whole width in proportion to their number.

Example: With three nodes, the display of the first connection will end in the middle of the display.

Vertical arrangement

The vertical arrangement of the nodes is always carried out in a vertical line in zenon Analyzer. This means that the first level is always arranged in a vertical line, regardless of the project configuration in the wizard.

The end nodes are automatically arranged from top to bottom at equal distances.

info Informations

Please note the following examples of views.


Examples of views: Wizard - zenon Analyzer

Examples of views: Wizard - zenon Analyzer

Example of horizontal arrangement

Sankey wizard configuration

zenon Analyzer view

Example of vertical arrangement

Sankey wizard configuration

zenon Analyzer view

Example of mixed arrangement

Sankey wizard configuration

zenon Analyzer view


Finish - complete

Manuel -> Assistants -> Rubriques -> Analyzer -> Sankey Wizard -> Finish - complete

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

In the Finish tab, you can see whether the diagram you have created is valid and the location where the diagram you have created has been saved.

  • Click on the Finish button.

To close the Sankey wizard:

  • Click on the Close button.

info Informations

The configuration of your Sankey diagram is saved in an XML file.

This is in the project manager of the selected project in the Files node in the Other folder.

With the Analyzer Export Wizard, you can accept the modeled Sankey diagram for use in zenon Analyzer.

You can read details of this export in the Analyzer Export Wizard. manual


Énergie

Manuel -> Assistants -> Rubriques -> Énergie

Assistants pour l'industrie énergétique.

tutorial Informations concernant la licence

Ce groupe d'assistants n'est visible que si zenon Energy Edition est autorisé.

Autres sujets abordés dans ce chapitre

Simulation de driver

IEC 61850 SSD Import

IEC850 Driver Configuration Wizard


Simulation de driver

Manuel -> Assistants -> Rubriques -> Énergie -> Simulation de driver

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

L'assistant créé un programme zenon Logic spécifique à chaque driver dans le projet zenon pour lequel un projet de simulation de driver est créé. Ce programme zenon Logic simule, pour chaque paire de variables du driver pour lequel s'applique une règle de substitution, l'attribution directe d'une variable de commande à une variable de réaction.

Exemple

  • Variables de zenon :
    • Test_CO : USINT
    • Test_RV : USINT
    • Switch_CO : USINT
    • Switch_RV : LREAL
  • Règles de substitution :
    • *_CO -> *_RV
  • Résultat dans zenon Logic :

attention Attention

Cet assistant ne supporte pas le développement multi-utilisateurs et n'est donc pas disponible dans ce contexte (projet multi-utilisateurs).

Autres sujets abordés dans ce chapitre

Démarrage de l'assistant

Welcome (Bienvenue)

Paramètres

Rebuild (Reconstruire)


Démarrage de l'assistant

Manuel -> Assistants -> Rubriques -> Énergie -> Simulation de driver -> Démarrage de l'assistant

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

To start the wizard:

  1. Click on Tools -> Start Editor Wizards....
    Or: Press the short cut Alt+F12

    The selection window with the available wizards opens.

  2. Sélectionnez le dossier de Energy.
  3. Ensuite, sélectionnez Driver Simulation Wizard.

  4. Cliquez sur OK.

    L'assistant démarre en affichant la page d'accueil.


Welcome (Bienvenue)

Manuel -> Assistants -> Rubriques -> Énergie -> Simulation de driver -> Welcome (Bienvenue)

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

L'onglet Welcome (Bienvenue) vous informe sur le fonctionnement et l'utilisation de l'assistant.

Pour naviguer dans l'assistant, cliquez sur les étapes individuelles ou progressez étape par étape, en cliquant sur les boutons fléchés.

Cliquez sur Close (Annuler) pour fermer l'assistant.


Paramètres

Manuel -> Assistants -> Rubriques -> Énergie -> Simulation de driver -> Paramètres

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Sur cet onglet, vous créez les règles de substitution.

Paramètre

Description

Execute wizard when compiling straton project

Active : Dès que l'action Créer des fichiers Runtime est exécutée dans zenon, l'assistant est également exécuté.

Remarque : la logique de création du projet straton s'exécute en tâche de fond. L'interface utilisateur de l'assistant n'est pas affichée.

Drivers with simulation project

Affiche la liste de tous les drivers du projet zenon actuellement actif dans zenon Editor pour lesquels un projet de simulation de driver a été créé. Si un driver est sélectionné dans cette liste, les règles de substitution définies pour ce driver sont affichées dans la section Replacement pattern (Motif de remplacement).

Replacement pattern

Règles de substitution.

COMMAND Variable

Variable de commande.

Un seul opérateur (*) est autorisé.

RESPONSE Variable

Variable de réponse.

Un seul opérateur (*) est autorisé.

Add

Ajoute les règles à la liste de règles.

Modify

Permet de modifier les règles sélectionnées.

Remove

Supprime les règles sélectionnées de la liste de règles.

Liste de règles

Dresse la liste des règles définies.

Touches fléchées du clavier

Passe à l'onglet précédent ou suivant.

Close

Ferme l'assistant.

Si les règles sont modifiées, le logiciel vous propose de recréer le projet de simulation lorsque vous fermez la boîte de dialogue. Dans ce cas, une boîte de dialogue s'affiche :

Remarque : confirmez cette boîte de dialogue en cliquant sur Yes (Oui) si toutes les règles de substitution sont supprimées pour un driver. Les projets de simulation sans règles de substitution ne sont pas pris en compte lors de la création automatique des fichiers de Runtime dans zenon.


Rebuild (Reconstruire)

Manuel -> Assistants -> Rubriques -> Énergie -> Simulation de driver -> Rebuild (Reconstruire)

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Cet onglet permet de déclencher la reconstruction de tous les projets de simulation de straton.

Cliquez sur le bouton Rebuild (Reconstruire) pour démarrer la reconstruction du projet de simulation de driver pour tous les drivers correspondants dans le projet.


IEC 61850 SSD Import

Manuel -> Assistants -> Rubriques -> Énergie -> IEC 61850 SSD Import

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

The IEC 61850 SSD Import Wizard makes it possible to read project configurations from an SSD file and to transfer these to a zenon screen including ALC-compliant project configuration. The position of the individual devices is calculated from the content of the SSD files.

The size of the symbols can be configured. Country-specific templates of symbols can be used for visualization. The use of your own symbols is also supported.

The variables must still be assigned manually for complete project configuration.

tutorial Informations concernant la licence

The user interface of the wizard is only available in English.

It is recommended that you use the SSD import wizard with a licensed zenon Energy Edition.

zenon modules and content

The wizard uses the following zenon modules and content. For further detailed information, click on the link to the respective manuals and chapters:

  • Screens
    • Screen elements
    • Combined element
    • Frames
    • Symbols and element groups
  • Automatic Line Coloring
  • Editor
    • Visibility levels
  • Worldview

Autres sujets abordés dans ce chapitre

Starting the wizard

Configuration dialog

Configuration of an ALC-compliant zenon screen


Starting the wizard

Manuel -> Assistants -> Rubriques -> Énergie -> IEC 61850 SSD Import -> Starting the wizard

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

The IEC 61850 SSD Import Wizard is automatically installed as part of the zenon standard installation.

Starting the wizard

To start the wizard:

  1. Click on Tools -> Start Editor Wizards....
    Or: Press the short cut Alt+F12

    The selection window with the available wizards opens.

  2. Select the folder Energy.
  3. Then click on IEC 61850 SSD Import. The selection window with the available wizards opens.

  4. Click on OK.

    The wizard starts with the IEC 61850 SSD Import. dialog.

info Informations

The IEC 61850 SSD import wizard is only available in English.


Configuration dialog

Manuel -> Assistants -> Rubriques -> Énergie -> IEC 61850 SSD Import -> Configuration dialog

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

In this dialog, you configure the parameters for the configuration of a zenon screen including ALC connections.

Selection

Parameter

Description

File

Input field for the selection of the SSD import file.

Clicking on ... opens the dialog to select the SSD file.

Default: empty
Default path C:\Public\Documents

Supported file formats:

  • *.SCD
  • *.ICD
  • *.CID
  • *.IID
  • *.SED

List of available symbols

List of all symbols available in the project.
The wizard checks to see whether there are the symbols for the supported types.

Available symbols are visualized with a green tick.

If a symbol for a supported type is missing, this is shown in the list with a red warning signal.

Default: No Symbols Found

Symbols

Drop-down list for selection of the symbols:

  • local
    The symbols of the project configuration of the active project are used.
  • [Dateiname]
    The symbols are imported from an XML file. All XML files from the following directory are displayed: C:\ProgramData\COPA-DATA\zenon760\Templates\IEC850Import\

Default: local

Clicking on ... imports the content of the selected XML file to the Symbolbibliothek in the Bilder node in the current project.

If there are symbols missing, this is shown by means of a red warning triangle.

Note: You can find further information in the Symbols for SSD import chapter.

Import Symbols

Imports selected symbols from the drop-down list of Symbols in the symbol library.

Grayed out if no selection has been made in the drop-down list.

Available zenon screens

List of all configurable screens of the active project in the zenon Editor. The list can be sorted and filtered.

  • Click a column heading to sort. Another click reverses the sorting sequence.
    The sorting direction is visualized with an arrow.
    Use the context menu for sorting for enhanced sorting possibilities.
  • Click the filter list to filter. The filter is set to "Contains" by default.
    Use the context menu for filters for enhanced filter possibilities.
    An active filter is visualized with a yellow filter symbol.

Import to screen

Parameter | Description
Name | Name of the configured screen in the active zenon project
Type | Screen type of the configured screen. Note: the configured screen type is listed with the prefix tp.
Frame | Name of the frame that is assigned to the screen.
Size | Configured size of the screen.

Scale and layout

Parameter

Description

Global scaling factor

Basic size of a symbol for automatic configuration in a zenon screen. Denoted in pixels. This enlargement factor applies for the complete project configuration.

Input range: 1 to 1000
Default: 40

Note: In principle, symbols with a size of 1x1 are assumed. This is multiplied by the value in the Global scaling factor input field.

Example: With a Global scaling factor of 40, the symbol is portrayed as 40 x 40 pixels.

A configuration of less than 1 is not permitted. This incorrect configuration is automatically corrected to 1.

CBR

Enlargement factor for the element, based on the value configured in the Ratio field.

  • x = horizontal enlargement
  • y = vertical enlargement

Input range: 1 to 20

Default: 1

CTR

Enlargement factor for the element, based on the value configured in the Ratio field.

  • x = horizontal enlargement
  • y = vertical enlargement

Input range: 1 to 20

Default: 1

DIS

Enlargement factor for the element, based on the value configured in the Ratio field.

  • x = horizontal enlargement
  • y = vertical enlargement

Input range: 1 to 20

Default: 1

DISG

Enlargement factor for the element, based on the value configured in the Ratio field.

  • x = horizontal enlargement
  • y = vertical enlargement

Input range: 1 to 20

Default: 1

REA

Enlargement factor for the element, based on the value configured in the Ratio field.

  • x = horizontal enlargement
  • y = vertical enlargement

Input range: 1 to 20

Default: 1

IFL

Enlargement factor for the element, based on the value configured in the Ratio field.

  • x = horizontal enlargement
  • y = vertical enlargement

Input range: 1 to 20

Default: 1

PTR

Enlargement factor for the element, based on the value configured in the Ratio field.

  • x = horizontal enlargement
  • y = vertical enlargement

Input range: 1 to 20

Default: 1

Note: it is recommended that PTR symbols are always configured in double size.

VTR

Enlargement factor for the element, based on the value configured in the Ratio field.

  • x = horizontal enlargement
  • y = vertical enlargement

Input range: 1 to 20

Default: 1

CAP

Enlargement factor for the element, based on the value configured in the Ratio field.

  • x = horizontal enlargement
  • y = vertical enlargement

Input range: 1 to 20

Default: 1

Layout

Parameter

Description

Bay name position

Position of the labeling of the bay:

  • Top
    Bay labeling in positioned in the zenon screen above a bay.
  • Bottom
    Bay labeling is positioned in the zenon screen below a bay.

Default: Top

Close dialog

Parameter | Description
Cancel | Closes the wizard and discards all configurations.
Import | Draws the project configuration, including ALC connections, on the selected screen. A warning appears if there are already elements on the screen. The configuration process is started by clicking on the OK button. Clicking on the Cancel button returns to the wizard. Note: not active if no SSD file is selected.

Autres sujets abordés dans ce chapitre

Symbols for the SSD import

Sorting context menu

Filtering context menu


Symbols for the SSD import

Symbols for the SSD import

To draw a zenon screen, the SSD Import Wizard reads the selected SSD file. In doing so, the wizard recognizes the types of the ConductingEquipments (according to the standard) and uses the corresponding configured symbols.

Supported file formats:

  • *.SCD
  • *.ICD
  • *.CID
  • *.IID
  • *.SED

In order for this process to work without problems, the corresponding symbols must be present in the project configuration in the zenon.

You can find a detailed description of the required elements in the Supported types chapter.

attention Attention

Note capitalization when naming the elements.

Missing symbols

If there is a symbol missing in the current zenon project configuration, this is visualized in the SSD Import Wizard with a red warning signal. This warning dialog always appears in the wizard next to the Symbols drop-down list. If the symbols are imported from an XML file, this warning message is only shown once the import has been carried out.

  • No Symbols Found
    No elements are present in the local symbol library.
  • Missing [Elementname]
    Not all required elements are present in the local symbol library. The missing symbols are displayed in the list.

Note: The warning messages are only available in English.

Imports symbols from an XML file.

  • Select the desired file from the drop-down list
    All XML files from the following directory are displayed: C:\ProgramData\COPA-DATA\zenon760\Templates\IEC850Import\.
  • Click on the ... button to import the elements of the XML file.
    Note: Once imported successfully, the selection of the drop-down list returns to local again.
  • Check the naming of the imported symbols.

A new file import overwrites pre-existing symbols.

Autres sujets abordés dans ce chapitre

Supported types

Requirements for a symbol

Symbol size - examples


Supported types

Supported types

The following types of the standard are supported:

Type | Description | Element name
CBR | Circuit Breaker | You can find further information on the configuration of the screen for the circuit breaker CBR_H CBR_V Combined element with different states Switch
CTR | Current Transformer | CTR_H CTR_V Transparent lines "through" the symbol connect external lines Switch ### Do not translate ###
DIS | Disconnector or earthing switch | DIS_H DIS_V Combined element with different states
DISG | Disconnector grounded | DIS_grounded_DOWN DIS_grounded_L DIS_grounded_R DIS_grounded_UP Consists of two combined elements - suspected empty part in turn contains symbols for all states - transparent line Color from ALC
REA | Reactor | REA_DOWN ### Do not translate ### ### Do not translate ### ### Do not translate ###
IFL | Infeeding line | IFL ### Do not translate ### ### Do not translate ###
PTR | Power Transformer | PTR ### Do not translate ### ### Do not translate ### ### Do not translate ### ### Do not translate ### ### Do not translate ### ### Do not translate ###Transformer ### Do not translate ### ### Do not translate ### ### Do not translate ### PTR_3_DOWN
VTR | Voltage Transformer | VTR_L VTR_R VTR_UP VTR_DOWN ### Do not translate ### ### Do not translate ### ### Do not translate ### ### Do not translate ###
CAP | Capacitor Capacitor |
 | Vertical line | LINE_V Color from ALC Size: 100 x 2 Thicknesses: 2
 | Horizontal line | LINE_H
DESC | Description Description of the element | DESC Textbox

Exceptions from the standard

  • DIS_grounded (DISG)
    DIS_grounded is not present in the standard. DIS_grounded is a ConductingEquipment with the DIS type and a terminal with ConnectivityNode "grounded"
  • PowerTransformer (PTR)
    PTR is not ConductingEquipment but nevertheless has a type and symbol and is also drawn. This is the recommended procedure in the standard.

attention Attention

Note capitalization when naming the elements.

Symbols that are not present are visualized as a red square.


Requirements for a symbol

Manuel -> Assistants -> Rubriques -> Énergie -> IEC 61850 SSD Import -> Configuration dialog -> Symbols for the SSD import -> Requirements for a symbol

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Requirements for a symbol

How to configure correctly


Symbol size - examples

Symbol size - examples

The size of the symbols with automatic configuration by the SSD Import Wizard is determined by two sizes:

  • Global scaling factor
    Basic size of all symbols on the zenon screen.
    The size is stated in pixels.
  • Enlargement factor per element
    This calculates the respective multiple of the configured ratio.
    The enlargement factor can be given for:
    • x = horizontal enlargement
    • y = vertical enlargement

Example 1

Global scaling factor: 20

Size of element: 5 (x and y)

Result: Symbol size 100 pixels

Example 2

Global scaling factor: 50

Size of element: 1 (x and y)

Result: Symbol size 50 pixels

Example 3

Global scaling factor: 25

Size of element x: 2

Size of element y: 1

Result: Symbol size 50 x 25 pixels

Example 4

Global scaling factor: 5

Size for element CBR x: 6

Size for element CBR y: 6

Size for element PTR x: 10

Size for element PTR y: 10

Size for element REA x: 2

Size for element REA y: 6

Result:

Symbol size for element CBR: 30 x 30 pixels

Symbol size for element PTR: 50 x 50 pixels

Symbol size for element REA: 10 x 30 pixels


Sorting context menu

Sorting context menu

The list of available zenon screens can be sorted, filtered and amended with the context menu. To apply these enhanced sorting possibilities, navigate to a column heading and click the right mouse button.

These settings are not remanent. The standard view is available again after the wizard has been restarted.

info Informations

The content of the context menu is only available in English.

Parameter

Description

Sort Ascending

Ascending sorting of the selected column (A - Z).

Note: The sorted column is visualized with a small arrow above the column heading.

Sort Descending

Descending sorting of the selected column (A - Z).

Note: The sorted column is visualized with a small arrow above the column heading.

Clear Sorting

Cancels active sorting.

Not active if no sorting is active.

Conditional Formatting

Opens the dialog to configure a view filter. Conditions for display can be configured in this filter.

Group by this column

Switches to grouped display.

The column heading is shown in the first line of the available zenon screen.

Cancel the grouping by clicking on the X button in group view.

Column Chooser

Opens dialog to show or hide columns.

Columns that are not displayed are offered in this dialog and can be moved using Drag&Drop into the list of the available zenon screens.

Displayed columns can be hidden using Drag&Drop (back to this dialog).

Hide Column

Hides the selected column.

To display the column again, execute Column Chooser and drag the desired column using Drag&Drop into the list of available <CD_PRODUCTRNAME> screens.

Not available if only one column is displayed.

Pinned state

Moves selected column:

  • Unpin column
    column can be freely moved to the position using Drag&Drop.
  • Pin at left
    Moves the selected column to the far left.
    The selected column thus becomes the first column
  • Pin at right
    Moves the selected column to the far right.
    The selected column thus becomes the last column

Best Fit

Determines the "optimum width" for the selected column. The width of the column is - if possible - changed so that all content can be read.

Grouped display

The columns can be displayed as grouped in the list of available zenon screens.

You get the grouped display:

  • by moving the column headings with Drag&Drop into the heading area
    (Drag a column here to group by this column.)
  • by selecting the Group by this column entry from the context menu.

In the grouped display, you can expand or reduce the view by clicking on the upward or downward arrow.

By clicking on the x button next to the name of the grouped column, you cancel the grouped display again (for this column).

info Informations

The screens can also be filtered in the grouped view.


Filtering context menu

Filtering context menu

Context menu for filtering in the list of available zenon screens. To activate, click on the filter symbol in the respective column.

Parameter | Description
No filter | No filter Cancels selected filter.
Contains | Contains Filters for entries that contain the criterion entered.
Does not contain | Does not contain Filters for entries that do not contain the criterion entered.
Starts with | Starts with Filters for entries that start with the criterion entered.
Ends with | Ends with Filters for entries that end with the criterion entered.
Equals | Equals Filters for entries that are exactly the same as the criterion entered.
Not equal to | Does not equal Filters for entries that do not correspond to the criterion entered.
Is null | Is empty Filters according to empty entries.
Is not null | Is not empty Filters for any desired entries that are present.
Custom | Opens the dialog for the configuration of a user-defined filter. Note: With certain monitor resolutions, it is possible that the dialog for the configuration of the user-defined filter is "hidden" behind the window of the wizard. The wizard then no longer reacts to entries and mouse clicks. Press the Esc key once in order to be able to use the wizard again.


Configuration of an ALC-compliant zenon screen

Manuel -> Assistants -> Rubriques -> Énergie -> IEC 61850 SSD Import -> Configuration of an ALC-compliant zenon screen

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Positioning of the type - context display

The wizard uses the coordinates of the enhanced standard. This means that for the positioning of the types, the coordinates (SCLcoordinates), as stated in the SSD file, are used:

  • X describes the horizontal orientation
  • Y describes the vertical orientation

SCL is a hierarchical data model. This does not contain the complete coordinates. The X and Y coordinates are each given hierarchically to the prior element.

Each node knows its relative position in relation to its superordinate nodes. Substations are always accepted as root nodes. The absolute position is calculated from the addition of all superordinate nodes. This calculation is carried out automatically by the SSD Import Wizard.

Naming of the lines

The ConnectivityNode of the SSD file is used for naming the connection lines.

Visibility level

The automatic screen configuration by the wizard uses visibility levels:

  • Visibility level 8
    Elements and connection lines
  • Visibility level 0
    Description (DESC)

As a result of this, complex configurations can be displayed clearly for editing in the Editor.

Autres sujets abordés dans ce chapitre

Engineering in the Editor

ALC engineering

Warning dialog when configuration has already been carried out


Engineering in the Editor

Engineering in the Editor

Before you start the wizard in the zenon Editor, you should have already carried out the following configuration:

  • Create a zenon screen
    The wizard supports all zenon screen types. An evaluation for the appropriateness of the screen type used is not made.
    Ensure that the size of the screen is sufficient with comprehensive descriptions in the selected SSD file.
  • Create corresponding symbols in the symbol library (optional).
    When creating symbols, ensure that the elements are labeled correctly.
    Symbols can also be added to the symbol library of the active project in the started wizard by means of import from an XML file.
  • Configure the ALC settings in the project properties
    Configure the behavior of automatic line coloring for your project.

Configuration in the wizard

Configure the following settings in the SSD Import Wizard:

  • Selection of an SSD file.
  • Import or selection of the symbols (optional)
  • Selection of a pre-configured zenon screen
  • Selection of the position of the labeling
  • Configuration of the basic size (Global scaling factor) of the symbols
  • Configuration of the enlargement factor of an element

Autres sujets abordés dans ce chapitre

Preparation of the zenon screen

Screen elements - ALC-compliant project configuration


Preparation of the zenon screen

Manuel -> Assistants -> Rubriques -> Énergie -> IEC 61850 SSD Import -> Configuration of an ALC-compliant zenon screen -> Engineering in the Editor -> Preparation of the zenon screen

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Preparation of the zenon screen

Screen size

The SSD Import Wizard ignores the configured screen size when drawing the screen. The symbols are arranged according to the configured Global scaling factor and element size, as well as according to the content of the SSD file.

You should nevertheless ensure that you stipulate a sufficient size when configuring the screen. This size can also be amended once the wizard has been closed.

Worldview

If screens are defined as larger than the frame, they become a world view. In this worldview screen, the screen can be moved with the mouse or touch control.

For navigation and scrolling in Worldviews, a Worldview overview screen, the Touch control and the mouse can be used.

Configuration speed

Close the screen used in the Editor while the drawing process is being carried out by the SSD Import Wizard. However if the screen is nevertheless open for editing in the Editor, the automatic drawing will require a multiple of the time!


Screen elements - ALC-compliant project configuration

Manuel -> Assistants -> Rubriques -> Énergie -> IEC 61850 SSD Import -> Configuration of an ALC-compliant zenon screen -> Engineering in the Editor -> Screen elements - ALC-compliant project configuration

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Screen elements - ALC-compliant project configuration

Autres sujets abordés dans ce chapitre

Screen element CBT


Screen element CBT

Manuel -> Assistants -> Rubriques -> Énergie -> IEC 61850 SSD Import -> Configuration of an ALC-compliant zenon screen -> Engineering in the Editor -> Screen elements - ALC-compliant project configuration -> Screen element CBT

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Screen element CBT

Configure the screen element for the circuit breaker in accordance with the following requirements:

Project configuration view in the zenon Editor

Examples of views in zenon Runtime:


ALC engineering

ALC engineering

Configure your settings for the behavior of the ALC in the project properties:

  1. To do this, select the active project in the Espace de travail.
  2. Select the Coloration Automatique de Lignes property group in the project properties.
  3. Click the ... button in the Configuration CAL property
  4. The dialog for configuration is opened.
  5. Configure the properties for
    • Sources
    • Interlockings
    • Screen marker

info Informations

You can find further information on configuration in the Automatic Line Coloring (ALC) manual in the Configuration chapter.

Autres sujets abordés dans ce chapitre

Combined elements


Combined elements

Manuel -> Assistants -> Rubriques -> Énergie -> IEC 61850 SSD Import -> Configuration of an ALC-compliant zenon screen -> ALC engineering -> Combined elements

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Combined elements

### Do not translate ###

Configuration tips for the symbols used:

Name the symbols correctly

Configure symbols with the help of the combined element for different ALC states

### Do not translate ###

### Do not translate ###


Warning dialog when configuration has already been carried out

Manuel -> Assistants -> Rubriques -> Énergie -> IEC 61850 SSD Import -> Configuration of an ALC-compliant zenon screen -> Warning dialog when configuration has already been carried out

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Warning dialog when configuration has already been carried out

Once the necessary configuration has been completed in the wizard, click on the Save button to draw the project configuration on the selected zenon screen.

If you execute this configuration on a screen that already has content, the elements contained therein are validated. If an element is already present, you are informed of this by a warning dialog.

If this configuration takes place on a screen that already has a configuration, you are notified of this by a warning dialog.

Warning dialog:

There are already [number of symbols] elements on [screen name]
Do you want to continue?

Close dialog

Option | Description
OK | Applique les paramètres et ferme la boîte de dialogue.
Cancel | Annule toutes les modifications et ferme la boîte de dialogue.

The screen is drawn again by clicking on the OK button. Existing configurations are replaced in the process. If an element is placed again during the drawing process, the following notice dialog appears:

Confirm this dialog by clicking on the OK button to continue drawing.

Tipp Conseil

If you have started the new configuration of your zenon screen in error and confirmed the warning dialog with the OK, you can suppress the individual subsequent dialogs it with the following step:

  1. Position the mouse pointer over the Cancel button.
  2. Do not confirm the notice dialog that appears with a mouse click.
    Use the Enter key to confirm.
  3. Hold down the mouse button.
  4. At the same time, click on the Cancel button with the mouse pointer.

Then delete the content in the zenon screen and restart the SSD Import Wizard.


IEC850 Driver Configuration Wizard

Manuel -> Assistants -> Rubriques -> Énergie -> IEC850 Driver Configuration Wizard

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

The IEC850 Driver Configuration Wizard makes it possible to create the IEC850 driver in the zenon Editor and to configure this on the basis of an existing SCL file.

Example: An SCD file contains the description of the substation. In the zenon Editor, all required IEC850 drivers are configured using this SCD file. If the driver is still not present in the project, this can be created in the wizard.

Step by step, content from from several SCL files (such as ICD) can also be transferred consecutively into the driver configuration.

The configuration steps are carried out in the wizard by means of drag&drop and the context menu.

info Informations

The IEC850 Driver Configuration Wizard is only available in English.

Requirements:

  • An SCL file (*.scl, *.icd, *.cid, *.scd, *.ssd) must be present.

tutorial Informations concernant la licence

zenon Energy Edition must be licensed in order to use this wizard.

Autres sujets abordés dans ce chapitre

Starting the wizard

Configuration

Context Menu

Working with the wizard


Starting the wizard

Manuel -> Assistants -> Rubriques -> Énergie -> IEC850 Driver Configuration Wizard -> Starting the wizard

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

The IEC850 Driver Configuration Wizard is automatically installed as part of the zenon Energy Edition installation.

Starting the wizard

To start the wizard:

  1. Click on Tools -> Start Editor Wizards....
    Or: Press the short cut Alt+F12

    The selection window with the available wizards opens.

  2. Select the folder Energy.
  3. Then click on IEC850 Driver Configuration.

  4. Click on OK.

    The wizard starts with the page Configuration.

info Informations

The IEC850 Driver Configuration Wizard is only available in English.


Configuration

Manuel -> Assistants -> Rubriques -> Énergie -> IEC850 Driver Configuration Wizard -> Configuration

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

The IEC850 driver is configured in this dialog.

If there is already one or more IEC850 drivers configured in the zenon project, these drivers are displayed on the right-hand side of the dialog in a tree view.

In addition, further drivers can be created directly in the wizard.

Configuration

Parameters | Description
File selection | Selection of the SCL file. Click on the ... button to open the file selection dialog
File name | Display of the selected SCL file. If a file is selected, the complete path is visualized in the display field. This field cannot be filled actively. Default: empty

Treeview

Tree view for available connections and drivers.
The view is subdivided into two areas:

  • Left column with content from the selected SCL file
  • Right column with content of the existing IEC850 driver configuration of the current zenon project.

Parameters

Description

Project name

Display of the zenon project for which the driver has been configured.

The project name is displayed next to Project name:.

List of IEDs
[file content]

In the left column, the content of the assigned SCL file is listed in a tree structure.

Clicking on [+] expands the view.

List of drivers
[project content]

In the right column, all IEC850 drivers created in the project and in the wizard are listed with their connections. Drivers can be added or deleted in the wizard directly using the context menu. Connections are allocated by dragging & dropping and can be deleted via the context menu.

Default: Configuration of the IEC850 driver in the zenon Editor. Empty if there is still no IEC850 driver created in zenon.

Note: Further connections can be added to drivers that have already been created in zenon. Connections or drivers that already exist in zenon cannot be deleted.

Settings that cannot be changed with the wizard are already grayed out.

Output window

LOG, information and status texts for the IEC850 driver configuration wizard.

Close dialog

Parameters | Description
Apply | Applies settings. The dialog remains open and other project configurations are possible. Note: Only active if there are unsaved project changes in the wizard.
OK | Applique les paramètres et ferme la boîte de dialogue.
Cancel | Discards all changes and closes the dialog. Before closing the wizard, a dialog is opened requesting confirmation.

Confirmation request when clicking on Cancel

Parameters | Description
OK | The wizard is ended. Unsaved changes are lost
Cancel | Cancels the ending of the wizard.


Context Menu

Manuel -> Assistants -> Rubriques -> Énergie -> IEC850 Driver Configuration Wizard -> Context Menu

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

There are different versions of the context menu. The content of the context menu depends on the position of the node on which it is used.

Context Menu

Parameters

Description

New driver

Creates a new IEC850 driver.
A new entry is created in the list of drivers.

Default driver name: Edit (must be changed).

You can get further information in the Manage drivers chapter.

New connection

Creates a new connection to the server and calls up the New connection dialog for the configuration of the connection.

You can get further information in the Manage drivers chapter

Delete driver

Deletes selected driver without requesting confirmation.
You can get further information in the Manage drivers chapter.

Edit connection

Calls up the dialog to configure the connection.
The following can be changed:

  • Net address
  • IP address
  • Name of connection.

You can get further information in the administer connection chapter.

Delete connection

Deletes selected connection without requesting confirmation.

You can get further information in the administer connection chapter.

New host

Creates a new host entry in the Reports node.

Default computer name: Edit (must be changed).

You can get further information in the administer hosts chapter.

Delete host

Deletes configured host without requesting confirmation.

You can get further information in the administer hosts chapter.

Edit report

Opens dialog for report configuration.

Reports are assigned with drag&drop. You can get further information in the administer reports chapter.

Delete report

Deletes selected report without requesting confirmation.

You can get further information in the administer reports chapter.

Expand all

All nodes are expanded.

Collapse all

All nodes are collapsed.

Autres sujets abordés dans ce chapitre

Nodes - Context menu entry


Nodes - Context menu entry

Nodes - Context menu entry

The entries of the context menu depend on the position from which the context menu is called up. In this chapter, you can find an overview of which context menu entries are available in which node.

List of IEDs

  • There is no context menu available for the list of IEDs.

List of drivers

  • No selection
    The following context menu entries are available if no node is selected:
    • New Driver
    • Expand all
    • Collapse all
  • Driver
    The following context menu entries are available if the node of a driver is selected:
    • Create all Connections
    • New Driver
    • Rema Supervision
    • New Connection...
    • Edit
      (only available if the node was created in the wizard directly and the wizard has not been restarted. If the wizard is restarted, this entry is not available for existing project configurations).
    • Delete
      (only available if the node was created in the wizard directly and the wizard has not been restarted. If the wizard is restarted, this entry is not available for existing project configurations).
    • Create Variables...
    • Create all Variables
    • Expand all
    • Collapse all
  • Connection
    The following context menu entries are available if the node of a connection is selected:
    • New Driver
    • Rema Supervision
    • New Conncection...
    • Edit...
      (only available if the node was created in the wizard directly and the wizard has not been restarted. If the wizard is restarted, this entry is not available for existing project configurations).
    • Delete
    • Create Variables...
    • Create all Variables
    • Expand all
    • Collapse all
  • Reports node
    The following entries are available if the Reports node is selected:
    • New Driver
    • Rema Supervision
    • New Connection...
    • Edit...
      (only available if the node was created in the wizard directly and the wizard has not been restarted. If the wizard is restarted, this entry is not available for existing project configurations).
    • Delete
    • Create Variables...
    • Create all Variables
    • Expand all
    • Collapse all
  • Host
    The following nodes are available if if the node of a host is selected:
    • New Driver
    • Edit...
    • Delete
    • Create Variables...
    • Create all Variables
    • Expand all
    • Collapse all
  • Report
    The following context menu entries are available if a report is selected:
    • New Driver
    • Edit...
    • Delete
    • Create Variables...
    • Create all Variables...
    • Expand all
    • Collapse all


Working with the wizard

Manuel -> Assistants -> Rubriques -> Énergie -> IEC850 Driver Configuration Wizard -> Working with the wizard

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

The configuration steps are carried out in the wizard by means of drag&drop and the context menu.

The buttons can also be used as an alternative to drag&drop.

Autres sujets abordés dans ce chapitre

Configuration in the wizard

Administer driver

Configuration

Manage hosts

Manage recipe assignments

Dialog - Variables in dataset


Configuration in the wizard

Configuration in the wizard

To configure drivers:

  1. Select the desired SCL file.
    To do this, click on the ... button in File selection.
    The following are possible files:
    • SCD file with description of the substation
    • ICD file with the configuration of an individual IEC61850 server.
    • Other files: *.scl, *.cid, *.ssd

    If the selected file does not contain all required elements, this is shown with a message in the output window. The list of IEDs in the wizard remains empty.

  2. In the list of drivers, create new drivers or hosts if necessary.
    This step is optional. You can also carry out this project configuration in the zenon Editor and then restart the wizard.
    Changes that are configured in the wizard are transferred to the zenon Editor project configuration.
  3. From the left-hand list of IEDs, select the desired connection to the server.
    Drag this using drag&drop to the desired driver in the right-hand list.
  4. Select, from the left List of IEDs, the desired reports.
    Highlight the reports that you want to assign to the host of a driver.
    Multiple selection is possible in the process.
  5. Drag & drop the selected reports to the desired driver in the right-hand list.
    If your selection is dragged over a host, these reports are automatically applied to the list of the respective host.
    Note: If no host has been created for a connection, no assignment is possible. Carry out step 2 and create corresponding hosts with the context menu.

  6. Close the wizard by clicking on the OK button.

Allocation rules

For the allocation of reports from a file to the drivers of a project configuration in zenon, each report of a file can only be allocated a driver once in zenon.

Each report from the list of IEDs can only be assigned to a host of the list of drivers once. With multiple selection, reports that have already been assigned are ignored if there is a reassignment by means of drag&drop. Only the reports that have not been used are taken into account in the process and the new host is added.

Delete reports

To release a report:

  1. Highlight the desired report in the node of the host that is allocated to the reports.
  2. Select the Delete command in the context menu.
  3. The allocation of the report to a host is removed.

Note: Deletion using multiple selection is not possible. Several reports are highlighted. However only the last report highlighted is deleted.

Accept driver configuration in the project

To apply the new configuration, click on the OK or Apply button.

  • The configuration is checked.
  • New drivers are created in zenon.
  • New connections are created in zenon.
  • The RCB configurations are created or updated in the driver configuration.
  • The result is displayed in the output window.

  • The wizard is closed by clicking on the OK button.


Administer driver

Administer driver

IEC850 drivers that are already present in the active zenon project when the wizard is started are displayed in the wizard and can be configured.

New drivers can also be created in the wizard directly. Drivers that have been created in the wizard and have not yet been transferred to a zenon project with Apply or OK can be removed again.

Adding a driver

To add a driver:

  1. Select the New Driver command in the context menu of the driver list.
  2. The driver is shown in the list with the default entry Edit.
    This entry remains active until it is replaced with a proper driver description.
  3. Give it a unique name.
    The driver name entered is evaluated to see that it is unique and has valid characters. If the driver already exists or an invalid character has been entered for the name, an error dialog is called up.
  4. The driver is created in zenon by clicking on the Apply button or when closing the wizard by clicking on OK.

Delete Driver

Drivers can only be deleted in the wizard directly if the driver has been created as a new driver in the wizard directly. Existing drivers from a project configuration in the zenon Editor are grayed out and Delete is not available.
To delete a driver:

  1. Highlight the desired driver in the list of drivers.
  2. Select the Delete command in the context menu.
  3. The driver is deleted without requesting confirmation.

Note: Only drivers that have not yet been created in zenon can be deleted.

Wizard and zenon Editor

If the name of a driver is changes, a new driver is created after clicking on the Apply button.

Example Exemple

A new driver is created in the IEC850 Driver Configuration wizard.

By clicking on the Apply button in the wizard, this new driver is transferred to the zenon Editor.

This driver is then deleted in the wizard with the context menu.

The configuration is transferred to the zenon Editor by clicking on the Apply button beforehand.

This means that the driver created in the wizard and then deleted there again is is listed in the list of drivers again when the wizard is restarted.

There is an error dialog if there are duplicated driver names

If the driver name is already present in the zenon project configuration, the following dialog is called up:

Error dialog with invalid characters in the driver naming

If invalid characters are entered for the driver names, the following dialog is called up:


Configuration

Configuration

The connection denotes the server to which the driver establishes a connection. A driver can have connections to several servers.

Connections can be created in the wizard with the context menu or with drag&drop of content. These connections can then only be edited if they were also created in the wizard.

You edit configurations that already exist in the zenon Editor directly, in the driver settings.

Add connection with drag&drop

To add a connection to a driver via drag&drop:

  1. Select, in the (left) list of IEDs, the desired connection with a mouse click.
  2. Drag this connection with drag&drop into the list of drivers, above the desired driver.
  3. In the list of drivers, a new subnode for the connection is created for the selected connection.
    1. The naming of the subnode is taken from the list of IEDs:
      [Net address]_[IP address]_[Name]
    2. A new Reports subnode is created in this subnode.
    3. A new Host 0 subnode is created in this subnode.

info Informations

The reports already assigned in the list of IEDs are not transferred by this process. Only the corresponding connection with an empty host is created.

Add connection using the context menu

To add a connection with the context menu:

  1. In the list of drivers, click on the desired driver for which you want to create a connection.
  2. In the context menu of the node of the selected driver, select the New Connection command.
    The dialog to configure a connection is opened.
  3. Configure the following in this dialog:
    1. Net address:
      Net address of the connection
    2. IP address:
      IP address of the connection
    3. Name:
      Freely definable name of the connection Is used for the name of the variable on variable import.
      Corresponds to the Server name property of the driver configuration.
  4. Confirm your input by clicking on the OK button.
    The dialog is closed. In the list of drivers, a new subnode for the connection is created for the selected driver.
    1. The naming of the subnode:
      [Net address]_[IP address]_[Name]
    2. A new Reports subnode is created in this subnode.
  5. The driver is transferred to the zenon Editor configuration by clicking on the Apply button or when closing the wizard by clicking on OK.

Availability and behavior for "Delete connection" and "Edit connection"

Connections can only be deleted or edited in the wizard directly if the wizard has been newly-created in the wizard. Existing drivers from a project configuration in the zenon Editor are grayed out and Delete/Edit is not available.

Connections that were already present in the Editor before the start of the wizard are not deleted!

Command to delete and edit are only possible if:

  1. The Connection is created in the wizard directly:
    1. via context menu
    2. was transferred using drag&drop.

Delete connection

To delete a connection:

  1. Highlight the desired connection entry in the list of drivers.
  2. In the context menu of the node of the selected connection, select the Delete command.
  3. The connection is deleted without requesting confirmation.
    All of the hosts and reports already assigned to this connection are deleted without a request for confirmation.
  4. The driver is transferred to the zenon Editor configuration by clicking on the Apply button or when closing the wizard by clicking on OK.

if the wizard is restarted, all connections are grayed out because they have already been created in the Editor.

Edit connection

To edit a connection with the context menu:

  1. Click on the connection that you want to edit in the list of drivers.
  2. Select the Edit... command in the context menu of the node of the selected connection.
    The dialog to configure a connection is opened.
  3. Configure the following in this dialog:
    1. Net address:
      Net address of the connection
    2. IP address:
      IP address of the connection
    3. Name:
      Freely definable name of the connection Is used for the name of the variable on variable import.
      Corresponds to the Server name property of the driver configuration.
    4. Confirm your input by clicking on the OK button.
      The dialog is closed. The changes are accepted in the wizard.
  4. The driver is transferred to the zenon Editor configuration by clicking on the Apply button or when closing the wizard by clicking on OK.

Autres sujets abordés dans ce chapitre

Configuration


Configuration

Configuration

Not all properties of the dialog are available for the configuration of the connection to the IEC61850 server. Properties that are not available are grayed out. Incorrect project configurations are visualized with a warning signal (exclamation mark in red circle) next to the input field.

Connection settings

Parameter | Description
Net address | Corresponds to the Adresse réseau property in variable configuration. Note: If the configured Net address has already been issued in the driver configuration, the next-highest available number is issued. Maximum value: 65535
IP address | IP address of the server to which a connection is to be made.
Name | Freely definable name. Is used for the names of variables when variables are imported. It is recommended that this name is kept short but unique. If this name is read from an SCL file, the name consists of IED+LDevice. This read-in name can be shortened with this property as desired.

Navigation

Parameter | Description
OK | Applies settings and closes the wizard.
Cancel | Discards all changes and closes the wizard.


Manage hosts

Manage hosts

A host is the name of a computer on which the driver in zenon Runtime is started.

Example:

  • Computer name of the Primary Server
  • Address of the Standby Server.

Hosts can be created in the wizard with the context menu or with drag&drop of content. All hosts can be newly-created, edited and deleted in the wizard. These changes in the wizard are transferred to the driver configuration in the zenon Editor.

Add host - drag&drop

If a connection from the list of IEDs is added to the list of drivers using drag&drop, a host is created.

When creating a connection with drag&drop, a neutral entry for a host is created. This host is created in the list of drivers by default with Host0 under the respective selected driver.

Add host - context menu

To add a host using the context menu:

  1. In the list of drivers, click on the desired driver for which you want to create a host.
  2. Expand the tree view of the driver until you can select the Reports level of the connection.
  3. Click on the Reports node.
  4. Select the New Connection in the context menu of the node of the selected connection.
    The dialog to configure a host is opened.
  5. Configure the host names in this dialog:
    Enter the desired host name in the input fieldHostname (RT computer Name).
  6. Confirm your input by clicking on the OK button.
    The dialog is closed. A new subnode is created for the host in the list of drivers.
  7. The host is transferred to the zenon Editor configuration by clicking on the Apply button or when closing the wizard by clicking on OK.

Delete host

To delete a host:

  1. Highlight the desired host in the tree view of the list of drivers.
  2. Expand the tree view of the list of drivers if required.
  3. Select the Delete command in the context menu of the node of the selected host.
  4. The host is deleted without requesting confirmation.
    All report assignments that are allocated to this host are also deleted without requesting confirmation.
  5. The driver is transferred to the zenon Editor configuration by clicking on the Apply button or when closing the wizard by clicking on OK.

Edit host

To edit a host using the context menu:

  1. In the list of drivers, click on the desired driver for which you want to amend a host.
  2. Expand the tree view of the list of drivers if required.
  3. Select the Edit... command in the context menu of the node of the selected host.
    The dialog to configure a host is opened.
  4. Edit the existing entries in the input fieldHostname (RT computer Name).
  5. Confirm your input by clicking on the OK button.
    The dialog is closed. The host is displayed with the new name in the list of drivers in the corresponding subnode .
  6. The host is transferred to the zenon Editor configuration by clicking on the Apply button or when closing the wizard by clicking on OK.

Autres sujets abordés dans ce chapitre

Manage hosts


Manage hosts

Manage hosts

Not all properties of the dialog are available for the configuration of the hosts. Properties that are not available are grayed out. Incorrect project configurations are visualized with a warning signal (exclamation mark in red circle) next to the input field.

Host settings

Parameter

Description

Hostname (RT computer name)

Name of the computer on which the driver is running that receives the reports:

  • For standalone projects:
    Computer name of the computer on which zenon Runtime is running
  • In the zenon network:
    Computer name of the project server or project standby server

Note: Do not use "localhost"; use the computer names from the operating system instead.

The Hostname must not be empty if at least one of the following configuration settings has been configured.

Default: empty

Client IED name

IED name of the IEC61850 clients as stated in the SCD file and given there under RCB.RptEnabled.ClientLN.

This input field is only for display and cannot be edited in the wizard. Therefore the Client IED name in this dialog is always grayed out.

You can find additional information on the client IED in the Manage recipe assignments chapter.

Close dialog

Option | Description
OK | Applique les paramètres et ferme la boîte de dialogue.
Cancel | Annule toutes les modifications et ferme la boîte de dialogue.


Manage recipe assignments

Manage recipe assignments

Reports can be assigned in the wizard using drag&drop. RCBs hosts can be assigned in the wizard. The host - an IEC850 driver that has been started on a certain computer - thus knows which RCBs it should use.

As an option, the middle group of buttons can also be used for assignment.

RCBs transferred from an SCL file can be assigned, edited and deleted. These changes in the wizard are transferred to the driver configuration in the zenon Editor. They are not written to the SCL file.

Add report - drag&drop

Reports can be assigned to a connection in the list of drivers using drag&drop from the list of IEDs!

  1. Highlight the desired RCB in the tree view of the list of IEDs.
    To do this, expand the tree view of the connections if necessary.
    Multiple selection is possible.
  2. Hold down the mouse button and drag&drop the selected reports to above the desired host of the desired driver in the list of drivers.
    A host must be present in order to be able to assign reports to a driver.

Delete report

To assign a report to a connection:

  1. Highlight the desired report in the tree view of the list of drivers.
    To do this, expand the tree view of the connections if necessary.
    Multiple selection is possible, but only the last entry highlighted is edited. Editing or deletion of several reports is not possible.
  2. In the context menu of the node of the selected connection, select the Delete command.
  3. The report is deleted without requesting confirmation.
  4. The driver configuration is transferred to the zenon Editor configuration by clicking on the Apply button or when closing the wizard by clicking on OK.

Edit report

To edit the configuration of a report with the context menu:

  1. In the list of drivers, click on the desired report for which you want to change the assignment configuration.
  2. Expand the tree view of the list of drivers if required.
  3. Select the Edit... command in the context menu of the node of the selected host.
    The dialog to configure the report settings is opened.
  4. Edit the existing entries in the Report settings. input field
  5. Confirm your input by clicking on the OK button.
    The dialog is closed.
  6. The driver configuration is transferred to the zenon Editor configuration by clicking on the Apply button or when closing the wizard by clicking on OK.

Client IED name - host naming

If an instance of the RCB has been configured for a Client IED name the host naming is supplemented accordingly in the list of drivers. This Client IED name cannot be edited in the wizard. The Client IED name is visualized between two brackets next to the host name. Configuration of this name is not possible in the wizard.

[Host name] (client IED name as configured in SCL file)

Example Example

Example configuration of the Client IED name in an SCL file:

<RptEnabled max="4">

<ClientLN iedName="SCADA_Standby_CLIENT" ldInst="LD0" lnClass="ITCI" lnInst="1"/>

</RptEnabled>

According to Edition 2 of the standard, the client with the corresponding ClientLN name is obliged to use the instance of the RCB if it is defined as such in an SCL file. RCBs of other clients are to be avoided.

As soon as a host has been assigned a report with ClientLN, the host accepts this ClientLN name as its own. From this time on, this host can only be assigned reports without ClientLN or with the same ClientLN.

Autres sujets abordés dans ce chapitre

Dialog - manage reports

RCB attributes


Dialog - manage reports

Manuel -> Assistants -> Rubriques -> Énergie -> IEC850 Driver Configuration Wizard -> Working with the wizard -> Manage recipe assignments -> Dialog - manage reports

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Dialog - manage reports

Not all properties are available for the configuration of the dialog. Properties that are not available are grayed out.

Report settings

The form of the Use preconfigured (SCL) options property depends on the content of the SCL file. Find out more information in the chapter RCB attributes.

Parameter

Description

Use preconfigured (SCL) options

Active:

The driver activates a report without overwriting the data attributes of the RCB. The content of the SCL file of the server is defined as a result of this. The following data attributes are affected by this:

  • IntgPd
  • BufTime
  • TrgOps
  • OptFields

Inactive:

The driver writes the data attributes of the RCB during activation.

Trigger options

You can activate/deactivate the following trigger options regardless of one another.

  • TrgOp: data-change
  • TrgOp: quality-change
  • TrgOp: data-update
  • TrgOp: integrity
  • TrgOp: general-interrogation

Note: Not all servers support TrgOps data-change and data-update together. TrgOp intergity can also lead to an unnecessary overload of communication if a an IntgPd (Integrity Period) that is too short was defined in the server for RCB. In case of doubt, set TrgOps: data-change + quality-change + general-interrogation.

Note: not active if Use preconfigured (SCL) options is activated.

Optional fields

The Optional Fields are written on the server when a report is activated. These correspond to the bits in the OptFlds data attribute of the RCB.

It is recommended that you activate "Sequence number", "Data set name", "Reason for inclusion" and "Entry ID".

"Data set name" must be activated, because without this option the driver cannot evaluate the reports received.

Note: not active if Use preconfigured (SCL) options is activated.

Time options

Parameter | Description
Integrity period | Time interval (IntgPd) in milliseconds in which the server sends an Integrity Report. Note: not active if TrgOp integrity is deactivated or Use preconfigured (SCL) options is activated. Because an Integrity Report does not normally contain value changes, it is expressly recommended that only one single report on the server is activated with TrgOp: integrity. With an activated integrity report, the server can detect a connection failure more quickly. However zenon does not need this report. Note: not active if Use preconfigured (SCL) options is activated.
Buffer time | Time interval (BufTime) in milliseconds in which the server collects the data for a report. Note: not active if Use preconfigured (SCL) options is activated.

info Informations

You can find a more detailed description of the Trigger options in the IEC850 driver documentation in the statically assigned RCB chapter.


RCB attributes

Manuel -> Assistants -> Rubriques -> Énergie -> IEC850 Driver Configuration Wizard -> Working with the wizard -> Manage recipe assignments -> RCB attributes

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
RCB attributes

The RCB properties of an SCL file are transferred from the SCL file to the driver configuration by means of drag&drop.
In doing so, the wizard checks the "IED.Services.ReportSettings" section of the SCL file and determines whether the following options exist:

  • optFields („Optional Fields")
  • bufTime („Buffer Time")
  • trgOps („Trigger options")
  • intgPd („Integrity period")

In addition, a check is carried out to see whether these options are defined as dynamic ("Dyn").

If the options are not defined in the SCL file, this is defined as ("Fix").

All RCB attributes are dynamic

If all these corresponding options are dynamic ("Dyn") the dialog is as follows:

In this case, the "Use preconfigured (SCL) options" property is not active.
The notice text underneath provides corresponding information.

Non-dynamic RCB attributes

If the options are not just "Dyn" but also "Fix" or "Conf", the dialog is as follows:

In this case, the "Use preconfigured (SCL) options" property is active and the RCB attributes (Trigger options, Optional fields, Time options) cannot be edited.
The notice text below provides corresponding information on which RCB attributes a client should not exceed whilst they activate the report on the server.


Dialog - Variables in dataset

Dialog - Variables in dataset

This dialog shows the content of the selected dataset. Selected datasets are those that are present in the RCBs that are currently assigned to the driver in the wizard.

This content can be filtered and preselected.

Variables for the current zenon project can be created due to the pre-selection.

Variable prefiltering

All content of the selected dataset is displayed in the preview window.

By clicking on the buttons, the variables that are applied by clicking on the add or add all buttons in the list of variables to be created are prefiltered. A combination of the checkboxes and input field is possible.

Parameter | Description
Functional Constraints (FC) | The content available in the report is prefiltered on the basis of the selected Functional Constraints and displayed in the preview window. Prefilitering is activated by clicking the respective checkbox. Multiple selection is possible.
Quality Variables | Checkbox for prefiltering according to quality variables that correspond to the */q[ST|MX] data attribute. If the checkbox is activated, only quality variables are shown in the preview window. A combination with Functional Constraints (FC) is possible.
Variable Search | Input field for filter text. Only variables that contain the text entered are displayed in the upper preview window. Prefiltering is already updated during entry in real time.

Action buttons

Parameter | Description
Create | Variables in the current zenon project configuration are created for selected entries. The dialog is then closed.
Select all | This button has no function and is not used in the current version of the wizard.
Cancel | Discards all settings and closes the dialog.

Preview window - list of the variables to be created

This area visualizes, in the lower area, a preview of the content of the selected dataset for which variables in the current zenon project are created by clicking on the Create button.

Content from prefiltering can be be applied or removed by clicking on the buttons.

Parameter | Description
add | The selected entry is added to the list of variables to be created.
add all | All (pre-filtered) entries offered are added to the list of variables to be created.
remove | The selected entry is removed from the list of variables to be created.
remove all | All entries in the list of variables to be created are removed.
Quality-REMA | Linking of variables to a reaction matrix. If activated, the quality reaction matrix is linked to the variables that correspond to a */q[ST|MX] data attribute.


Importation - Exportation

Manuel -> Assistants -> Rubriques -> Importation - Exportation

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Assistants d'exportation et d'importation de données.

Autres sujets abordés dans ce chapitre

FactoryLink import wizard

PDiag import wizard (Assistant d'importation PDiag)

WinCC Import Wizard (Assistant d'importation WinCC)

Assistant d'exportation XML de VSTA

XML Import Wizard (Assistant d'importation au format XML)


FactoryLink import wizard

Manuel -> Assistants -> Rubriques -> Importation - Exportation -> FactoryLink import wizard

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

The FactoryLink Import Wizard ports FaktoryLink projects into a zenon project configuration.

The following FactoryLink components are supported for porting:

  • Variables
  • Graphics files (*.bmp, *.png, *.gif, etc.)
  • Templates (incl. standard elements)
  • Mimics (incl. standard elements)

info Informations

The current FactoryLink Import Wizard was implemented with VSTA for FactoryLink 7.5 for zenon 7.50. This wizard replaces the previous VBA FactoryLink wizard.

Autres sujets abordés dans ce chapitre

Install and call up wizard

Multi-user project

Preparation for export of project data from FactoryLink

Project import

List of importable objects


Install and call up wizard

Manuel -> Assistants -> Rubriques -> Importation - Exportation -> FactoryLink import wizard -> Install and call up wizard

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

The FactoryLink Import Wizard is automatically installed as part of the zenon standard installation.

Wizard display in the zenon Editor

For wizards to be displayed, the settings for VBA or VSTA must be set correctly in file zenon6.ini:

[VBA]

EIN=1

[VSTA]

ON=1

If VSTA wizards are not displayed although the settings are correct, set entry LOADED= to 1 in area [VSTA].

Starting the wizard

To start the wizard:

  1. Click on Tools -> Start Editor Wizards....
    Or: Press the short cut Alt+F12

    The selection window with the available wizards opens.

    .

  2. Select the folder Export/Import.
  3. Then click on FactoryLink Import Wizard.

  4. Click on OK.

    The wizard starts with the start window.

info Informations

The FactoryLink Import Wizard is only available in English.


Multi-user project

Manuel -> Assistants -> Rubriques -> Importation - Exportation -> FactoryLink import wizard -> Multi-user project

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

The current project is checked after starting the FactoryLink Import Wizard. A warning dialog is displayed if the project is detected as being a multi-user project.

Remarque : Cette boîte de dialogue est uniquement disponible en anglais.

The buttons are displayed in the system language of the computer.

Ensure that these requirements are met before you continue with the wizard.

Parameter | Description
OK | Confirms the warning dialog and starts the wizard with the Welcome start dialog.
Cancel | Closes the wizard without requesting confirmation.

Requirements

Please note that for a multi-user projects, the Check out setting is active for the following node in the zenon Editor:

  • Variables
  • Screens
  • Frames

attention Attention

If the Check out setting is not activated, the import will be unsuccessful.


Preparation for export of project data from FactoryLink

Manuel -> Assistants -> Rubriques -> Importation - Exportation -> FactoryLink import wizard -> Preparation for export of project data from FactoryLink

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

FactoryLink project data is exported in the FactoryLink program using the Display - Library Converter menu in the ClientBuilder application. Here, the desired libraries all all project data to be converted must be selected.

In addition, access to the bitmaps used in the project must be guaranteed. All files must remain in the folder structure that has been created and prescribed by FactoryLink .

Screen and mimics export from FactoryLink

attention Attention

ASCII must be selected as a target format of the screens (Mimics).


Project import

Manuel -> Assistants -> Rubriques -> Importation - Exportation -> FactoryLink import wizard -> Project import

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Autres sujets abordés dans ce chapitre

Welcome

Import

Output window

Import


Welcome

Welcome

When opening the wizard, you get an overview page with a summary of the wizard functionality.

Navigation

Navigation through the wizard is by clicking on the individual tabs, or with the mouse clicking on the arrow keys.

Clicking on the Close button closes the wizard. The folder and files that have previously been set are not saved.


Import

Import

In the Import tab, you select the files and folders of the FactoryLink configuration.

The labels in brackets correspond to the file or folder name of a standard FactoryLink configuration. A file selection dialog opens if the respective "..." button is clicked on.

Note: It is not absolutely necessary to select all folders and files.

Parameter | Description
Language definitions (MLANG.DAT) | File with language information of the FactoryLink configuration. The stating of this file is optional for multi-language FactoryLink project content. Once the file has been selected, the available languages can be selected in the Language for Import. An initial evaluation result is shown after the file has been selected in the output window: n languages found in the language file. Default: empty FactoryLink Standard: \FactoryLinkProjektName\Config Files\MLANG.DAT (from FactoryLink Client Builder)
Variables (object.asc) | File for variable definition(s). Individual variables are selected here. The object.asc file contains the definition of the variables used. Default: empty FactoryLink Standard: \FactoryLinkProjektName\Variables\asc\object.asc (from FactoryLink Configuration Server - OPC Server Export)
Graphics (Bitmap Files) | Selection of the folder of the graphics used. Default: empty FactoryLink Standard: \FactoryLinkProjektName\Bitmap Files (from FactoryLink Client Builder)
Templates (Templates Files) | Default: empty FactoryLink Standard: \FactoryLinkProjektName\Template Files (from FactoryLink Client Builder)
Mimics (Mimic Files) | Default: empty FactoryLink Standard: \FactoryLinkProjektName\Mimic Files (from FactoryLink Client Builder)

Import

Parameter

Description

Language for import

Drop-down list with the languages available.

The drop-down list visualizes the available languages as contained in the Language definitions (MLANG.DAT) property. The drop-down list is empty if no MLANG.dat file has been selected.

The number of languages read does not necessarily need to match the number of languages available in the mimics/templates for text elements. If the selected language is not available for elements in a mimic/template, it cannot be imported successfully.

Default:

  • [empty]

    If no MLANG.DAT file is given.

  • DEFAULT

    Language(s)

    If a MLANG.DAT file is given.

Note: If no language definition file is selected, or the "DEFAULT" value is selected, multilingual text information is not taken into account for the import.

Import

Starts the import from the configured files and folders.

Not active if at least one .asc file or folder has been selected.

Output window

Evaluation results, errors and import steps are shown in the output window.


Output window

Output window

The individual actions carried out by the wizard are listed in the output window.

The list can be sorted by clicking on the respective column heading. Another click reverses the sorting order.

Parameter

Description

Action symbol

Graphic symbol of the action:

Timestamp

Time stamp of the action carried out by the wizard.
Format: DD.MM.YYYY hh:mm:ss

Source

Identifier or origin of the action carried out:

  • Import:
    Detailed description of the individual step, for example:
    • Adding file for import:
    • Starting the import of the Templates.
  • Screen creation:
    Import steps for zenon screens.
  • Element creation:

    Notes for creating an element, for example:

    • An Element with the name [element name] already exists in the screen [screen name]
  • Graphics import:
    Searches through project configurations
  • Languages:
    Evaluation of the language definition (Language definitions)

Message

Short description of the action carried out.

Graphic symbols

Parameter | Description
 | General information about the current stage in the wizard.
 | Successful result for the action carried out
 | Error notice
 | Warning notice


Import

Import

Please note the following points in zenon when executing the wizard:

  • For the import of a FactoryLink project configuration, it is recommended that a new, empty zenon project is created in the Editor. This therefore precludes names of screens and frames being present twice before import.
  • No existing project configurations are overwritten in the zenon Editor during import! If there is already a corresponding projecting, a corresponding message is shown in the output window.
  • The variables are automatically mapped to the internal driver of the zenon project on import.
    • This way, the data types can be assigned to the available data types of the real driver first by means of multiple selection.
    • You then assign the imported variables to the desired real driver.
  • If variables are renamed in the zenon Editor, these are imported with the original names when the wizard is restarted.

attention Attention

zenon symbols are not created.

Templates and mimics:

Templates in FactoryLink must not be mixed up with frames in zenon. FactoryLink Templates correspond to screen templates in zenon. The FactoryLink Import Wizard treats Templates and Mimics the same, and creates screens and frames from this for the zenon project configuration, including standard elements.

The following elements are supported in the process:

  • Text element
  • Circle/ellipse
  • Rectangle
    (including rounding)
  • Line
  • Polygon
  • Bitmap
    (becomes button with graphics)


List of importable objects

Manuel -> Assistants -> Rubriques -> Importation - Exportation -> FactoryLink import wizard -> List of importable objects

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

The import from FactoryLink projects supports the following objects:

  • Variables
    • Names
    • Identification
    • Data Type
  • Drivers
    • Always internal - Driver for internal variables
  • The import and creation of FactoryLink templates and mimics.
  • Import and creation of static picture elements:
    • Text element
    • Circle/ellipse
    • Rectangle
      (including rounding)
    • Line
    • Polygon
    • Bitmap
      (becomes button with graphics)
  • Import of MultiLang texts from text elements (for static text elements)


PDiag import wizard (Assistant d'importation PDiag)

Manuel -> Assistants -> Rubriques -> Importation - Exportation -> PDiag import wizard (Assistant d'importation PDiag)

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

L'assistant d'importation zenon PDiag Import Wizard prend en charge les messages PDiag durant l'importation. Cet assistant peut également servir de gabarit pour vos propres expansions à cet égard.

L’outil PDiag Import Wizard est uniquement disponible en anglais.

attention Attention

Cet assistant ne supporte pas le développement multi-utilisateurs et n'est donc pas disponible dans ce contexte (projet multi-utilisateurs).

Autres sujets abordés dans ce chapitre

Conditions requises

Paramètres

Importation de messages


Conditions requises

Manuel -> Assistants -> Rubriques -> Importation - Exportation -> PDiag import wizard (Assistant d'importation PDiag) -> Conditions requises

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

L'assistant importe un fichier XML exporté depuis le module de diagnostic de procédé (Prozess Diagnose (PDiag) Simatic). Cette exportation peut être effectuée via l'option de menu Process diagnosis (Diagnostic de procédé) | Export (Exporter) dans Simatic Manager.

Le fichier XML créé de cette manière est importé dans zenon avec l'assistant. De cette manière, les variables reposant sur les driver S7-TCP du type d'objet de driver Alarm-S sont créées. Chaque message et chaque valeur concomitante correspondent à une variable de zenon.

Seules les variables UINT sont importées sous forme de valeurs concomitantes. De cette manière, le texte du message est analysé à la recherche des identifiants Simatic PDiag "@1X%2d@", "@1X%3d@" et "@1X%4d@", et adapté en conséquence pour zenon. L'utilisation du tableau des langues pour le texte dynamique est également possible. Dans ce cas, les textes extérieurs à l'assistant doivent être transférés vers zenon.

Cet assistant importe également les messages S7 Graph, qui sont générés automatiquement et donc contenus dans le fichier XML.


Paramètres

Manuel -> Assistants -> Rubriques -> Importation - Exportation -> PDiag import wizard (Assistant d'importation PDiag) -> Paramètres

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

To start the wizard:

  1. Click on Tools -> Start Editor Wizards....
    Or: Press the short cut Alt+F12

    The selection window with the available wizards opens.

  2. Ouvrez le nœud Export/Import.
  3. Sélectionnez PDIAG Wizard.
  4. Cliquez sur OK.

    L'assistant démarre en affichant la page d'accueil.

L'assistant a les onglets suivants

  • Welcome
  • Settings
  • Finish

Importation d'un fichier XML

Autres sujets abordés dans ce chapitre

Welcome (Bienvenue)

Paramètres

Terminer


Welcome (Bienvenue)

Manuel -> Assistants -> Rubriques -> Importation - Exportation -> PDiag import wizard (Assistant d'importation PDiag) -> Paramètres -> Welcome (Bienvenue)

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Welcome (Bienvenue)

L'onglet Bienvenue (Welcome) contient une brève explication du fonctionnement et des exigences de l'assistant.

Pour accéder à l'onglet Paramètres ( Settings ), cliquez sur le menu Paramètres (Settings) ou sur la flèche affichée en bas à gauche de l'écran.


Paramètres

Paramètres

Vous pouvez ajuster les paramètres d'importation dans l'onglet Paramètres (Settings).

Paramètre

Description

Driver

Sélection du driver S7-TCP dans le projet actif pour lequel va être effectuée l'importation.

PDIAG XML File

Sélection du fichier XML à importer.

Identification

Entrée facultative pour l'identification des variables. Cette entrée peut être filtrée dans la liste des variables.

Net Adress

Définit l'adresse réseau pour l'adressage de variable de zenon. L'adresse réseau valide apparaît dans la configuration du driver.

Alarm Group

Définit le groupe d'alarmes/d'événements des messages à importer.

Attention : l'assistant ne crée pas de classes d'alarmes/d'événements indépendantes dans >CD_PRODUCTNAME<. Ces derniers doivent être créés manuellement, avant l'importation.

In IPA

Active : définit la propriété Enregistrer dans la base IPA pour les variables. Ceci transfère les messages au module Industrial Performance Analyzer.

use Identification also as prefix for variable

Active : Pour les noms de variable des variables d'alarme, la détection de variables fournie dans l'assistant est utilisée en tant que préfixe pour les noms de variables. Cette option autorise les noms de variables uniques pour les projets comportant plusieurs drivers.

Get Alarm Class

Active : la priorité du message définie dans Simatic Manager est interprétée comme une classe d'alarmes/d'événements de zenon.

Attention : l'assistant ne crée pas de groupes d'alarmes/d'événements indépendants dans >CD_PRODUCTNAME<. Ces derniers doivent être créés manuellement, avant l'importation.

L'importation démarre lorsque vous cliquez sur le bouton Terminer (Finish). Ce bouton est uniquement actif dans l'onglet Terminer (Finish). Cliquez sur Terminer (Finish) dans le menu ou sur la flèche affichée en bas à gauche de l'écran.


Terminer

Terminer

Pour démarrer l'importation, cliquez sur le bouton Finish.


Importation de messages

Manuel -> Assistants -> Rubriques -> Importation - Exportation -> PDiag import wizard (Assistant d'importation PDiag) -> Importation de messages

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Des messages sont affichés durant l'importation :

Une fois l'importation terminée, un message indique le nombre de variables importées.

Messages importants

Message | Description
message text too long | Le texte d'alarme est trop long et sera tronqué à la longueur valide dans zenon.
creating attribute variable for dynamic limit text | Outre la variable de message, une variable de valeur concomitante est créée pour le texte de limite dynamique.


WinCC Import Wizard (Assistant d'importation WinCC)

Manuel -> Assistants -> Rubriques -> Importation - Exportation -> WinCC Import Wizard (Assistant d'importation WinCC)

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

L'assistant WinCC Import Wizard importe des composants sélectionnés d'un projet WinCC existant dans le projet zenon actuellement chargé.

attention Attention

Cet assistant peut uniquement être sélectionné si l’entrée CSHARP= est définie sur 1, sous l’en-tête [VSTA] dans le fichier zenon6.ini.

L'importation des données du projet WinCC est effectuée à l'aide de deux programmes :

  • WinCC Graphics Converter: exporte les synoptiques, les cadres et les symboles WinCC sous forme de fichier XML
  • WinCC Import Wizard: Importer
    • directement les blocs de données (balises de structure - Structure TAG), les balises (TAG), les alarmes et les archives
    • Les synoptiques, cadres et symboles par le biais de fichiers XML précédemment créés à l'aide de l'outil WinCC Graphics Converter

Autres sujets abordés dans ce chapitre

Installation

WinCC Graphics Converter (Outil WinCC Graphics Converter)

WinCC Import Wizard (Assistant d'importation WinCC)


Installation

Manuel -> Assistants -> Rubriques -> Importation - Exportation -> WinCC Import Wizard (Assistant d'importation WinCC) -> Installation

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Pour exécuter l'assistant d'importation de WinCC, vous devez d'abord installer tous les composants.

info Informations

Notez que zenon ne doit PAS être installé sur le même ordinateur que WinCC.

Installation de l'outil WinCC Graphics Converter

Pour accéder aux informations dans WinCC, vous devez installer l'outil WinCC Graphics Converter sur l'ordinateur sur lequel s'exécute le projet. Le programme se trouve sur le support d'installation de zenon, dans le dossier \AdditionalSoftware\COPA-DATA WinCC Graphics Converter.

Après l'installation, vous trouverez l'outil de conversion des différentes versions de WinCC sous Démarrer - Tous les programmes - COPA-DATA - WinCC Graphics Converter. Démarrez toujours l'outil correspondant à la version utilisée.

info Informations

Pour pouvoir utiliser le convertisseur, vous devez installer .NET Framework 3.5. Lors de l'installation du convertisseur, le programme d'installation vérifie si .NET Framework 3.5 est disponible. Si ce n'est pas le cas, l'installation est annulée. Dans ce cas, installez d'abord .NET Framework 3.5, puis redémarrez l'installation du convertisseur.

Installation de l'assistant dans zenon 7.0 et versions ultérieures

L'assistant est automatiquement installé avec l'Éditeur de zenon. Aucun autre paramètre n'est requis. Vous pouvez démarrer l'assistant immédiatement dans l'Éditeur de zenon, en sélectionnant Fichier - Assistants..., puis Export/Import (Exporter/Importer).

Installation de l'assistant dans zenon 6.51

Puisque l'assistant ne forme pas partie de la version 6.51 SP0, vous devez effectuer les étapes suivantes pour l'installation :

  • Installez au moins la version Build 6 de zenon 6.51.
  • Installez l'assistant avec l'outil WinCC Graphics Converter. Ce programme installe l'outil WinCC Graphics Converter, ainsi que l'assistant, si zenon 6.51 SP0 est installé.
  • Après l'installation, démarrez l'Éditeur de zenon. La boîte de dialogue de mise à jour de l'assistant s'affiche.
    Si vous souhaitez exécuter cette étape ultérieurement, vous pouvez revenir à cette boîte de dialogue dans l'Éditeur de zenon, via le menu File - Update wizards... (Fichier - Mettre à jour les assistants...). Pour accéder à cette boîte de dialogue à n'importe quel instant,

  • Démarrez l'éditeur VSTA dans zenon Editor en sélectionnant Fichier - Ouvrir l'éditeur VSTA... Ensuite, dans la fenêtre Explorateur de projets (Project Explorer), sélectionnez le nœud Références (References). Sélectionnez l'option de menu Add Reference... (Ajouter une référence...) du menu contextuel pour ajouter les deux références manquantes :
    • MSDASC: dans la boîte de dialogue Add Reference (Ajouter une référence), cliquez sur l'onglet COM et ajoutez le composant Microsoft OLE DB Service Component 1.0 Type Library au projet.
    • ADODB: dans la boîte de dialogue Add Reference (Ajouter une référence), cliquez sur l'onglet Browse (Parcourir). Accédez au dossier C:\Program Files (x86)\Microsoft.NET\Primary Interop Assemblies et sélectionnez le fichier adodb.dll.

Remarque : Cette capture d’écran est uniquement disponible en anglais.

  • Dans la fenêtre Project Explorer (Explorateur de projet), vous pouvez sélectionner le nœud WorkspaceAddin et compiler le module d'extension en sélectionnant l'option Build (Compiler) dans le menu contextuel.

Une fois la compilation terminée, vous pouvez démarrer l'assistant dans zenon Editor, en sélectionnant Fichier - Assistants..., puis Exporter/Importer.


WinCC Graphics Converter (Outil WinCC Graphics Converter)

Manuel -> Assistants -> Rubriques -> Importation - Exportation -> WinCC Import Wizard (Assistant d'importation WinCC) -> WinCC Graphics Converter (Outil WinCC Graphics Converter)

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

L'outil WinCC Graphics Converter permet de sélectionner des synoptiques, des cadres et des symboles dans les projets WinCC, et de les exporter sous forme de fichiers XML.

info Informations

À l'heure actuelle, des fichiers XML peuvent être créés à partir de projets WinCC, versions 7.0 et 7.0 SP1.

Autres sujets abordés dans ce chapitre

Welcome (Bienvenue)

Select .pdl files (Sélectionner les fichiers .pdl)

Select output folder (Sélectionner le dossier de résultats)

Convert (Convertir)


Welcome (Bienvenue)

Manuel -> Assistants -> Rubriques -> Importation - Exportation -> WinCC Import Wizard (Assistant d'importation WinCC) -> WinCC Graphics Converter (Outil WinCC Graphics Converter) -> Welcome (Bienvenue)

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Welcome (Bienvenue)

L'outil WinCC Graphics Converter vous permet de convertir les fichiers graphiques de WinCC (PDL) dans un format XML, lisible par l'assistant d'importation de WinCC. Les informations graphiques existantes sont enregistrées sous forme de fichiers PNG et WMF avec les fichiers XML, et enregistrées dans un dossier sélectionné.

Pour exécuter le convertisseur :

  1. Cliquez sur Démarrer
  2. Accédez à COPA-DATA -> WinCC Graphics Converter
  3. Ouvrez WinCC Graphics Converter.
  4. Suivez les instructions de l'assistant.


Select .pdl files (Sélectionner les fichiers .pdl)

Manuel -> Assistants -> Rubriques -> Importation - Exportation -> WinCC Import Wizard (Assistant d'importation WinCC) -> WinCC Graphics Converter (Outil WinCC Graphics Converter) -> Select .pdl files (Sélectionner les fichiers .pdl)

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Select .pdl files (Sélectionner les fichiers .pdl)

Sur cet onglet, vous sélectionnez les fichiers PDL devant être exportés depuis le projet WinCC. Pour cela :

  1. Cliquez sur le bouton Select .pdl files.
  2. Accédez au dossier du projet contenant les fichiers PDL.

    Remarque : pour que les fichiers puissent être sélectionnés, le projet WinCC doit être chargé sur l'ordinateur !

  3. Sélectionnez les fichiers souhaités.

    Tous les fichiers PDL sélectionnés sont affichés dans la fenêtre d'aperçu.


Select output folder (Sélectionner le dossier de résultats)

Manuel -> Assistants -> Rubriques -> Importation - Exportation -> WinCC Import Wizard (Assistant d'importation WinCC) -> WinCC Graphics Converter (Outil WinCC Graphics Converter) -> Select output folder (Sélectionner le dossier de résultats)

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Select output folder (Sélectionner le dossier de résultats)

Sur cet onglet, vous sélectionnez le dossier dans lequel doivent être enregistrés les fichiers exportés. Pour cela :

  1. Cliquez sur le bouton Select output folder.
  2. Accédez au dossier dans lequel vous souhaitez enregistrer les fichiers exportés.
    Remarque : vous pouvez créer un nouveau dossier dans la boîte de dialogue de sélection


Convert (Convertir)

Manuel -> Assistants -> Rubriques -> Importation - Exportation -> WinCC Import Wizard (Assistant d'importation WinCC) -> WinCC Graphics Converter (Outil WinCC Graphics Converter) -> Convert (Convertir)

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Convert (Convertir)

Cet onglet vous permet d'exécuter la conversion.

Après l'exportation, copiez le dossier vers l'ordinateur sur lequel se trouve le projet zenon dans lequel doivent être importées les données, ou assurez-vous que l'ordinateur sur lequel se trouve le projet zenon a accès aux données d'exportation.


WinCC Import Wizard (Assistant d'importation WinCC)

Manuel -> Assistants -> Rubriques -> Importation - Exportation -> WinCC Import Wizard (Assistant d'importation WinCC) -> WinCC Import Wizard (Assistant d'importation WinCC)

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

L'assistant d'importation WinCC est démarré par le biais de la boîte de dialogue de l'Éditeur, et peut être utilisé pour importer les éléments suivants de WinCC :

  • Importation de synoptiques (Screens) (les fichiers XML créés avec l'outil WinCC Graphics Converter sont convertis en cadres, synoptiques et symboles dans zenon)
  • Importation des balises (TAGs) de WinCC (S7 TCP uniquement)
  • Importation des balises (Structure TAGs) de WinCC (S7 TCP uniquement)
  • Importer Alarm Limits
  • Importer Archive TAGs

Démarrage de l'assistant

For wizards to be displayed, the settings for VBA or VSTA must be set correctly in file zenon6.ini:

[VBA]

EIN=1

[VSTA]

ON=1

If VSTA wizards are not displayed although the settings are correct, set entry LOADED= to 1 in area [VSTA].

To start the wizard:

  1. Click on Tools -> Start Editor Wizards....
    Or: Press the short cut Alt+F12

    The selection window with the available wizards opens.

  2. Accédez au nœud Export/Import.
  3. Sélectionnez l'entrée WinCC Import Wizard.

  4. Démarrez l'assistant en cliquant sur OK.

L'assistant comporte différentes sections :

  • Welcome: vue d'ensemble de l'assistant.
  • Settings: paramètres de la connexion au projet WinCC. Une fois la connexion établie, les onglets d'importation directe sont affichés :
    • Data Blocks: Structure TAGs de WinCC
    • TAGs: TAGs de WinCC
    • Alarm Limits: classes d'alarmes et alarmes de WinCC
    • Archive TAGs: Fichiers d'archive de WinCC
  • Screens: importation de synoptiques depuis WinCC via l'outil WinCC Graphics Converter

Autres sujets abordés dans ce chapitre

Welcome (Bienvenue)

Paramètres

Data blocks (Blocs de données)

Paramètres

Alarm Limits (Limites des alarmes)

Archive TAGs (Balises d'archives)

Synoptiques


Welcome (Bienvenue)

Manuel -> Assistants -> Rubriques -> Importation - Exportation -> WinCC Import Wizard (Assistant d'importation WinCC) -> WinCC Import Wizard (Assistant d'importation WinCC) -> Welcome (Bienvenue)

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Welcome (Bienvenue)

La page de démarrage de l'assistant vous informe sur les autres étapes de l'importation :

L'importation directe de données est uniquement possible lorsque vous avez configuré la connexion au projet WinCC dans l'onglet Settings (Paramètres).


Paramètres

Manuel -> Assistants -> Rubriques -> Importation - Exportation -> WinCC Import Wizard (Assistant d'importation WinCC) -> WinCC Import Wizard (Assistant d'importation WinCC) -> Paramètres

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Paramètres

Sur cet onglet, vous configurez la connexion avec le projet WinCC dont les données doivent être importées.

Paramètre | Description
WinCC DB connection | Configuration de la connexion à la base de données de WinCC.
Connected with | Affichage de la connexion active.
Connect | Établit une connexion.
New Connection | Ouvre la boîte de dialogue de configuration d'une nouvelle connexion.
Driver selection (S7 TCP) | Configuration des drivers de zenon.
Driver | Sélection d'un driver de zenon dans la liste déroulante.
Create new Driver | Ouvre la boîte de dialogue de création d'un nouveau driver.

attention Attention

Pour pouvoir établir une connexion, le projet WinCC doit être actif ou ouvert dans l'Explorateur WinCC, sur l'ordinateur auquel doit être établie la connexion.

Configuration de la connexion

Pour établir une connexion :

  1. Cliquez sur le bouton New connection
  2. La boîte de dialogue des paramètres de connexion s'affiche à l'écran.

  3. Sur l'onglet Fournisseur (Provider), sélectionnez le fournisseur Microsoft OLE DB Provider for SQL Server.
  4. Dans l'onglet Connexion (Connection) :
    1. Dans server name (Nom du serveur), saisissez l'instance de SQL Server dans laquelle se trouve le projet WinCC, Par exemple : HOSTNAME\WINCC
      Important : l'instance de SQL Server (sqlsrv.exe) de WinCC doit être autorisée dans le pare-feu.
    2. Dans logon information (Informations de connexion), saisissez vos identifiants d'accès. Vous devez d'abord créer les identifiants d'accès dans SQL Server Management Studio, dans l'instance de SQL Server.
      Important : Activez l’option Allow saving password
    3. Dans database (Base de données), sélectionnez le projet de l'Éditeur de WinCC Editor. Il s'agit du nom de la base de données, sans le suffixe _R
      Note : le projet doit être chargé et en cours d'exécution dans l'Éditeur de WinCC. Dans le cas contraire, le projet ne sera pas disponible sur le serveur SQL.
    4. Test de la connexion
  5. Fermez la boîte de dialogue en cliquant sur OK.
  6. Vous pouvez ensuite établir la connexion au projet WinCC dans l'assistant, en cliquant sur le bouton Connect (Connexion).
  7. Sélectionnez un driver de zenon.

Une fois la connexion établie et la sélection du driver de zenon effectuée, les onglets d'importation directe sont affichés.


Data blocks (Blocs de données)

Manuel -> Assistants -> Rubriques -> Importation - Exportation -> WinCC Import Wizard (Assistant d'importation WinCC) -> WinCC Import Wizard (Assistant d'importation WinCC) -> Data blocks (Blocs de données)

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Data blocks (Blocs de données)

Sur cet onglet, vous sélectionnez les blocs de données affichés sous Data Blocks (Blocs de données) dans l'Explorateur de WinCC, puis importés comme types de données dans zenon.

Les blocs de données de WinCC sont regroupés en fonction des drivers, et sont triés en fonction du type et du nom du bloc.

Pour importer des blocs de données :

  1. Sélectionnez les blocs de données souhaités.
  2. Cliquez sur Import Data Blocks

Résultat

Blocs de données dans WinCC :

Types de données dans zenon


Paramètres

Manuel -> Assistants -> Rubriques -> Importation - Exportation -> WinCC Import Wizard (Assistant d'importation WinCC) -> WinCC Import Wizard (Assistant d'importation WinCC) -> Paramètres

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Paramètres

Sur cet onglet, les balises (TAGs) (S7) sont sélectionnées et importées sous forme de variables de zenon, qui sont affichées dans la section Tag Management (Gestion des balises) dans l'Explorateur de WinCC. L'exportation peut être effectuée directement vers zenon, ou sous forme de fichier CSV.

Pour importer des balises :

  1. Sélectionnez les balises de votre choix.
  2. Cliquez sur Import Tags ou Export to CSV

Résultat

Balises dans WinCC :

Variables dans zenon :


Alarm Limits (Limites des alarmes)

Manuel -> Assistants -> Rubriques -> Importation - Exportation -> WinCC Import Wizard (Assistant d'importation WinCC) -> WinCC Import Wizard (Assistant d'importation WinCC) -> Alarm Limits (Limites des alarmes)

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Alarm Limits (Limites des alarmes)

Sur cet onglet, les classes et limites des alarmes sont importées :

  • Import Alarm Classes:
    importe des classes d'alarmes dans un projet global existant.
  • Import Alarms:
    importe des classes et groupes d'alarmes dans le projet zenon local, et crée des variables pour les limites.

Importation de classes d'alarmes

Importe des classes d'alarmes depuis WinCC dans un projet global dans zenon. Le projet global doit déjà exister et être actif dans zenon.

Pour importer des classes d'alarmes :

  1. Sélectionnez les classes d'alarmes souhaitées
  2. Cliquez sur Import Alarm Classes

Résultat

Classes d'alarmes dans WinCC :

Classes d'alarmes dans zenon:

Importation d'alarmes

Cette fonction permet d'importer tous les groupes d'alarmes et classes d'alarmes dans le projet zenon. Les textes de limite de WinCC sont remplacés par des variables de limite.

Pour importer des alarmes :

  1. Sélectionnez les alarmes de votre choix.
  2. Cliquez sur Import Alarms

Résultat

Alarmes dans WinCC :

Alarmes dans zenon :


Archive TAGs (Balises d'archives)

Manuel -> Assistants -> Rubriques -> Importation - Exportation -> WinCC Import Wizard (Assistant d'importation WinCC) -> WinCC Import Wizard (Assistant d'importation WinCC) -> Archive TAGs (Balises d'archives)

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Archive TAGs (Balises d'archives)

Sur cet onglet, (TAG) les balises définies dans la section de Tag Logging (Journalisation de balises) dans l'Explorateur de WinCC peuvent être sélectionnées importées. L'import se déroule dans l'une des deux nouvelles archives, BINARY ou ANALOG, dans le projet zenon.

attention Attention

Les balises sont uniquement créées dans l'archive de zenon si elles ont préalablement été importées sous forme de balises.

Pour importer les balises d'archives :

  1. Sélectionnez les balises d'archives souhaitées (TAGs)
  2. Cliquez sur Import Archiv Tags

Résultat

Balises (TAGs) d'archives dans WinCC :

Archives dans zenon :


Synoptiques

Manuel -> Assistants -> Rubriques -> Importation - Exportation -> WinCC Import Wizard (Assistant d'importation WinCC) -> WinCC Import Wizard (Assistant d'importation WinCC) -> Synoptiques

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Synoptiques

Sur cet onglet, vous pouvez importer les fichiers XML créés avec l'outil WinCC Graphics Converter dans le projet zenon actif. Dans zenon, les cadres, les synoptiques et les éléments de synoptique standard sont créés en fonction des informations enregistrées dans les fichiers XML, sur la base des fichiers WMF et PNG stockés dans le dossier.

Paramètre | Description
Liste de fichiers | Affiche tous les fichiers existants dans le dossier sélectionné.
Select Folder | Ouvre la boîte de dialogue de sélection du dossier contenant les fichiers à importer.
Select All | Sélectionne tous les fichiers existants affichés à l'écran.
Import XML | Démarre l’importation.

Pour importer les synoptiques :

  1. Sélectionnez les fichiers XML souhaités
  2. Cliquez sur Importer XML.

Résultat

Synoptiques dans WinCC :

Synoptiques dans zenon :

Quels éléments de synoptiques de WinCC sont créés automatiquement dans l'Éditeur de zenon ?

Éléments de synoptique standard

  • Line
  • Polygon
  • Polyline
  • Ellipse
  • Circle
  • Elipse Segment
  • Pie Segment
  • Elipse Arc
  • Circular Arc
  • Rectangle
  • Rounded Rectangle
  • Static Text

Objets tubulaires

  • Polygon tube
  • T-piece
  • Double T-piece
  • Tube bend

Objets intelligents

  • I/O Field
  • Graphic Object
  • Windows Objects
  • Button

Pour tous les autres objets de WinCC, un opérateur est créé dans zenon.

Gestion des erreurs

Les erreurs lors de l'importation de synoptiques sont affichées dans la fenêtre de sortie de zenon lors de la création des fichiers de Runtime.

Message d'erreur | Gestion des erreurs
Le symbole n'a pas été trouvé dans la bibliothèque de symboles ! | Un opérateur correspondant à des éléments non interprétables a été inséré dans le synoptique. Arrière-plan : Pour chaque élément non interprétable, un symbole est créé sur le synoptique à l'aide de l'assistant. Il n'est toutefois pas présent dans la bibliothèque de symboles. Vous pouvez donc vérifier si tous les éléments (opérateurs) d'un synoptique doivent encore être modifiés.
WRN:(FDV_RECETTE_TUNNEL_TPOS_DETAILS_FOU2->(ZONE_CNS0)Variable: could not be found in the project! | Désigne les noms de variables conservés dans WinCC dans l'élément Champ d'E/S, mais non créés sous forme de variables (dans WinCC également).


Assistant d'exportation XML de VSTA

Manuel -> Assistants -> Rubriques -> Importation - Exportation -> Assistant d'exportation XML de VSTA

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

L'assistant d'exportation XML permet d'exporter tous les modules souhaités d'un projet vers le dossier de votre choix. Un fichier XML indépendant est créé pour chaque module.

attention Attention

Cet assistant peut uniquement être sélectionné si l’entrée CSHARP= est définie sur 1, sous l’en-tête [VSTA] dans le fichier zenon6.ini.

L'assistant est uniquement disponible en anglais.

Autres sujets abordés dans ce chapitre

Démarrage de l'assistant

Sélection de fichiers XML

Exporter


Démarrage de l'assistant

Manuel -> Assistants -> Rubriques -> Importation - Exportation -> Assistant d'exportation XML de VSTA -> Démarrage de l'assistant

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

To start the wizard:

  1. Click on Tools -> Start Editor Wizards....
    Or: Press the short cut Alt+F12

    The selection window with the available wizards opens.

  2. Sélectionnez le dossier de Export/Import.
  3. Ensuite, sélectionnez XML Export Wizard
  4. Cliquez sur OK.

    L'assistant démarre en affichant la page d'accueil, et affiche les indications suivantes :

    • Quelques instructions
    • La version de zenon
    • Le nom du projet depuis lequel est effectuée l'exportation
    • GUID du projet
    • Chemin du projet

    • The arrow key takes you through the wizard step by step
      Vous pouvez également cliquer sur un onglet pour ouvrir le paramètre correspondant.
    • Pour activer le bouton Export, la page Export XML progress doit être ouverte.


Sélection de fichiers XML

Manuel -> Assistants -> Rubriques -> Importation - Exportation -> Assistant d'exportation XML de VSTA -> Sélection de fichiers XML

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Sélectionnez le module du projet à importer :

  • Cliquez sur Select Directory (Sélectionner un répertoire) pour définir le dossier pour l'exportation.
  • Sélectionnez les modules et les éléments à exporter en cochant les cases correspondantes (faites défiler la liste vers le bas, si nécessaire).


Exporter

Manuel -> Assistants -> Rubriques -> Importation - Exportation -> Assistant d'exportation XML de VSTA -> Exporter

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Pour démarrer l’exportation :

  • Cliquez sur le bouton Export
  • Les modules souhaités sont exportés.
  • La fenêtre de sortie affiche les modules exportés, avec indication de la réussite de la procédure.
  • L'assistant se ferme automatiquement trois secondes après la fin de l'exportation.


XML Import Wizard (Assistant d'importation au format XML)

Manuel -> Assistants -> Rubriques -> Importation - Exportation -> XML Import Wizard (Assistant d'importation au format XML)

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Cet assistant permet d'importer des variables, des fonctions, des synoptiques et des scripts à partir de fichiers XML.

attention Attention

Cet assistant ne supporte pas le développement multi-utilisateurs et n'est donc pas disponible dans ce contexte (projet multi-utilisateurs).


Language Table (Table de langues)

Manuel -> Assistants -> Rubriques -> Language Table (Table de langues)

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Assistants de changement de langue

Autres sujets abordés dans ce chapitre

Assistant Language Table Wizard

Language Translation Wizard (Assistant Traduction linguistique)

Assistant System Text Wizard


Assistant Language Table Wizard

Manuel -> Assistants -> Rubriques -> Language Table (Table de langues) -> Assistant Language Table Wizard

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Cet assistant

  • Recherche les textes traduisibles ou les mots-clés (textes précédés d’un caractère @) dans les projets actifs et
  • Écrit les mots-clés trouvés
    • dans la table de langue sélectionnée dans le projet actif, ou
    • Facultatif dans le projet global.

À des fins de référence, une table au moins (ZENONSTR.TXT) doit être sélectionnée pour l’importation.

Si des textes sans caractère @ sont trouvés, ils peuvent être définis en tant que mot-clé dans un projet. Pour cela, un caractère @ est inséré au début du texte.

attention Attention

Cet assistant peut uniquement être sélectionné si l’entrée CSHARP= est définie sur 1, sous l’en-tête [VSTA] dans le fichier zenon6.ini.

Remarque : L’assistant est uniquement disponible en anglais.

L’assistant Language Table Wizard remplace l’ancien Language Change Wizard (VBA) (assistant Changement de langue).

Autres sujets abordés dans ce chapitre

Affichage de l’assistant

Fenêtre de démarrage

Paramètres

Terminer


Affichage de l’assistant

Manuel -> Assistants -> Rubriques -> Language Table (Table de langues) -> Assistant Language Table Wizard -> Affichage de l’assistant

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

L’assistant peut également être sélectionné directement dans la boîte de dialogue de démarrage des assistants.

To start the wizard:

  1. Click on Tools -> Start Editor Wizards....
    Or: Press the short cut Alt+F12

    The selection window with the available wizards opens.

  2. Sélectionnez le dossier Language Table.
  3. Ensuite, sélectionnez Language Table Wizard

  4. Cliquez sur OK.

    L’assistant démarre en affichant la page d’accueil.


Fenêtre de démarrage

Manuel -> Assistants -> Rubriques -> Language Table (Table de langues) -> Assistant Language Table Wizard -> Fenêtre de démarrage

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Lors de l’ouverture de l’assistant, une page de présentation de la documentation en langue française s’affiche à l’écran.

Pour naviguer dans l’assistant, cliquez sur les étapes individuelles ou progressez étape par étape, en cliquant sur les boutons fléchés.

Cliquez sur Cancel (Annuler) pour fermer l’assistant.


Paramètres

Manuel -> Assistants -> Rubriques -> Language Table (Table de langues) -> Assistant Language Table Wizard -> Paramètres

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Options d’importation

Vous pouvez définir les paramètres suivants dans le groupe Import options (Options d’importation) :

  • Si les textes existants doivent être remplacés dans la table de langue sélectionnée,
  • Si les textes traduisibles trouvés doivent être définis comme mots-clés dans le projet (les textes sont identifiés par le caractère @ dans le projet) et
  • Si les tables de langues doivent être utilisées par le projet global.

Sélectionner les tables de langues

Dans la section Select language tables (Sélectionner les tables de langues), selon la configuration de l’option Add keywords to lanaguage table global project (Ajouter des mots-clés à la table de langues du projet global), les tables de langues du projet actif ou du projet global sont affichées. Le mot-clé est inséré sous forme de texte dans les tables de langues sélectionnées. Au moins une table doit être sélectionnée.

Options du projet

Dans la section „Project options (Options du projet), vous pouvez sélectionnez les textes ou mot-clés associés au projet que vous souhaitez rechercher.

Éléments de synoptique

Dans la section „Screen elements (Éléments de synoptique), vous pouvez sélectionnez les éléments de synoptique que vous souhaitez rechercher.


Terminer

Manuel -> Assistants -> Rubriques -> Language Table (Table de langues) -> Assistant Language Table Wizard -> Terminer

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

La recherche de textes traduisibles et de mots-clés peut maintenant être démarrée depuis cet onglet.

Pour démarrer la recherche, cliquez sur le bouton Finish.

En fonction des options définies dans les paramètres, le texte traduisible est recherché et écrit dans les tables de langues sélectionnées.


Language Translation Wizard (Assistant Traduction linguistique)

Manuel -> Assistants -> Rubriques -> Language Table (Table de langues) -> Language Translation Wizard (Assistant Traduction linguistique)

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Cet assistant est utilisé pour la préparation des données pour l’outil de traduction Project Translation Interface.

Il permet de préparer et compresser sous forme de fichier ZIP toutes les données requises pour la traduction. Le fichier ZIP peut ensuite être décompressé dans Procect Translation Interface, et les tables de langues peuvent être modifiées ou complétées. Après édition, le fichier ZIP peut être chargé dans l’assistant et les tables de langues modifiées peuvent être réimportées dans le projet.

attention Attention

Cet assistant peut uniquement être sélectionné si l’entrée CSHARP= est définie sur 1, sous l’en-tête [VSTA] dans le fichier zenon6.ini.

Remarque : L’assistant est uniquement disponible en anglais.

tutorial Informations concernant la licence

Composante de la licence standard d’Editor et du Runtime.

L’assistant Language Translation Wizard est également fourni avec le module Project Translation Interfaces (payant).

Autres sujets abordés dans ce chapitre

Démarrage de l’assistant

Fenêtre de démarrage

Exporter

Importer


Démarrage de l’assistant

Manuel -> Assistants -> Rubriques -> Language Table (Table de langues) -> Language Translation Wizard (Assistant Traduction linguistique) -> Démarrage de l’assistant

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

To start the wizard:

  1. Click on Tools -> Start Editor Wizards....
    Or: Press the short cut Alt+F12

    The selection window with the available wizards opens.

  2. Sélectionnez le dossier de Language Table.
  3. Ensuite, sélectionnez Language Translation Wizard
  4. Cliquez sur OK.

    L’assistant démarre en affichant la page d’accueil.


Fenêtre de démarrage

Manuel -> Assistants -> Rubriques -> Language Table (Table de langues) -> Language Translation Wizard (Assistant Traduction linguistique) -> Fenêtre de démarrage

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Lors de l’ouverture de l’assistant, une page de présentation de la documentation en langue française s’affiche à l’écran.

Pour naviguer dans l’assistant, cliquez sur les étapes individuelles ou progressez étape par étape, en cliquant sur les boutons fléchés.

Cliquez sur Cancel (Annuler) pour fermer l’assistant.


Exporter

Manuel -> Assistants -> Rubriques -> Language Table (Table de langues) -> Language Translation Wizard (Assistant Traduction linguistique) -> Exporter

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Lors de l’exportation, l’assistant évalue tous les textes des éléments de synoptique, valeurs limite et autres objets du projet pouvant être traduits et identifiés par un caractère @.

Ces textes sont préparés sous forme de fichier XML et exportés, avec les tables de langues sélectionnées, sous forme de fichier ZIP. En outre, une capture d’écran de tous les synoptiques est créée et également fournie dans le fichier ZIP. Le fichier ZIP contient également les listes de polices de caractères du projet sélectionné, ainsi que celles du projet global.

Bouton | Description
Zip Name: | Nom du fichier d’export
C:\ | Emplacement de sauvegarde du fichier d’exportation. Cliquez sur le bouton ... Ouvre le navigateur de fichiers afin d’autoriser la sélection d’un dossier cible.
Liste Sprachdateien | Zone de liste permettant de sélectionner les fichiers de langues existants dans le projet.
Select all | Sélectionne toutes les entrées dans la liste et coche les cases correspondantes.
Deselect all | Sélectionne toutes les entrées dans la liste et désactive les cases à cocher correspondantes.
Export | Export les fichiers vers le dossier cible. Cette option est uniquement active si une ou plusieurs tables de langues sont sélectionnées.
Flèche gauche | Recule d’un onglet dans le déroulement de l’assistant.
Flèche droite | Avance d’un onglet dans le déroulement de l’assistant.
Cancel | Ferme l’assistant sans effectuer l’exportation.

attention Attention

Les noms de synoptiques ne doivent contenir aucun des caractères suivants :
: / \ * < >

Ces caractères spéciaux sont supprimés et remplacés par un numéro de série.


Importer

Manuel -> Assistants -> Rubriques -> Language Table (Table de langues) -> Language Translation Wizard (Assistant Traduction linguistique) -> Importer

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Le fichier ZIP à importer peut être sélectionné dans cet onglet.

Bouton | Description
... | Emplacement de sauvegarde du fichier d’importation. Cliquez sur le bouton ... Ouvre le navigateur de fichiers afin d’autoriser la sélection d’un dossier de fichiers.
Liste de fichiers de langue | Zone de liste permettant de sélectionner les fichiers de langues à traduire et à importer.
Select all | Sélectionne toutes les entrées dans la liste et coche les cases correspondantes.
Deselect all | Sélectionne toutes les entrées dans la liste et désactive les cases à cocher correspondantes.
Import | Importe les tables de langues sélectionnées dans le projet zenon actuel. Cette option est uniquement active si un ou plusieurs fichiers de langues sont sélectionnés.
Flèche gauche | Recule d’un onglet dans le déroulement de l’assistant.
Cancel | Ferme l’assistant sans effectuer l’importation.

attention Attention

Si un nouveau fichier de langue est ajouté dans zenon 6.51, le projet doit être rechargé dans l’espace de travail après l’exécution de l’assistant.

Les fichiers de langues sont automatiquement mis à jour dans les versions 7.00 SP0 et ultérieures.


Assistant System Text Wizard

Manuel -> Assistants -> Rubriques -> Language Table (Table de langues) -> Assistant System Text Wizard

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

L’assistant Textes système autorise l’importation de textes système dans la table de langues. Les textes système sont des textes de Runtime utilisés dans les boîtes de dialogue et les menus de zenon, et qui ne peuvent pas être modifiés par l’utilisateur. Pour que ces textes, qui sont prédéfinis par zenon, soient compatibles avec la fonction de changement de langue, ils doivent d’abord être importés dans la table de langues à l’aide de cet assistant. Le nombre de mots-clés et de textes importés peut être limité au moyen d’une option de l’assistant.

attention Attention

Cet assistant peut uniquement être sélectionné si l’entrée CSHARP= est définie sur 1, sous l’en-tête [VSTA] dans le fichier zenon6.ini.

Remarque : L’assistant est uniquement disponible en anglais.

Autres sujets abordés dans ce chapitre

Affichage de l’assistant

Fenêtre de démarrage

Paramètres

Terminer


Affichage de l’assistant

Manuel -> Assistants -> Rubriques -> Language Table (Table de langues) -> Assistant System Text Wizard -> Affichage de l’assistant

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

To start the wizard:

  1. Click on Tools -> Start Editor Wizards....
    Or: Press the short cut Alt+F12

    The selection window with the available wizards opens.

  2. Sélectionnez le dossier de Language Table.
  3. Dans ce dossier, sélectionnez System Text Wizard.
  4. Cliquez sur OK.

    L’assistant démarre en affichant la page d’accueil.


Fenêtre de démarrage

Manuel -> Assistants -> Rubriques -> Language Table (Table de langues) -> Assistant System Text Wizard -> Fenêtre de démarrage

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Lors de l’ouverture de l’assistant, une page de présentation de la documentation en langue française s’affiche à l’écran.

Pour naviguer dans l’assistant, cliquez sur les étapes individuelles ou progressez étape par étape, en cliquant sur les boutons fléchés.

Cliquez sur Cancel (Annuler) pour fermer l’assistant.


Paramètres

Manuel -> Assistants -> Rubriques -> Language Table (Table de langues) -> Assistant System Text Wizard -> Paramètres

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Les paramètres d’importation des textes système sont regroupés dans l’onglet Settings (Paramètres).

Paramétrage du projet

Option

Description

Overwrite existing language table
  • Active : Les textes contenant des mots-clés existants sont remplacés.

Add keyword to language table global project
  • Active : Les textes système sont écrits dans la table de langues dans le projet global.
  • Inactive : Les textes système sont écrits dans la table de langues dans le projet local.

Select keyword language

Sélection de la langue des mots-clés dans une liste déroulante.

Sélectionner une langue

Sélection des langues et des fichiers de langue associés. Les langues prises en charge par zenon sont disponibles.

Pour sélectionner une langue :

  1. Cochez la case adjacente à la langue souhaitée.
    Les sélections multiples sont autorisées.
  2. Sélectionnez le fichier de langue souhaité dans la liste déroulante.
    Attention : le fichier de langue correspondant doit avoir été préalablement configuré dans zenon.

Sélectionner une catégorie

Sélection des modules et fonctions pour lesquels des textes de symboles doivent être importés. Pour sélectionner un objet, cochez la case adjacente à l’entrée.


Terminer

Manuel -> Assistants -> Rubriques -> Language Table (Table de langues) -> Assistant System Text Wizard -> Terminer

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

L’importation s’effectue depuis cet onglet.

Pour démarrer l’importation, cliquez sur le bouton Finish.
Lors de la fermeture, la configuration de l’assistant peut être enregistrée afin d’être réutilisée ultérieurement.


Metering Point Administration

Manuel -> Assistants -> Rubriques -> Metering Point Administration

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Assistant pour la configuration des points de mesure (Metering Points) dans l'Editeur.

info Informations

Cette documentation contient également des informations sur le fonctionnement du module d'administration des points de mesure (metering point administration) dans zenon Runtime.

Autres sujets abordés dans ce chapitre

Metering Point Administration


Metering Point Administration

Manuel -> Assistants -> Rubriques -> Metering Point Administration -> Metering Point Administration

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

The Metering point administration is a tool to manage technical data and administer metering points.

  • In zenon Editor, the project configuration is created with the Metering Point Administration Wizard.
  • For display in Runtime, a corresponding ActiveX element is configured in the Editor in any desired zenon screen.
  • Meters can be assigned to metering points in Runtime, meters can be replaced and values can be (manually) corrected.
  • In addition, there is the possibility to transfer archive entries from existing source archives to a target archive, using a validation process in Runtime.

The Wizard is available in English, German and Romanian.

tutorial Informations concernant la licence

Part of the standard license of the Editor and Runtime.

Autres sujets abordés dans ce chapitre

General - project configuration

Install and call up metering point administration

Wizard - start dialog

Wizard - Metering Point Administration

Engineering in the zenon Editor

Metering Point Administration - administration of metering points in Runtime

zenon Logic components of metering point administration


General - project configuration

Manuel -> Assistants -> Rubriques -> Metering Point Administration -> Metering Point Administration -> General - project configuration

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

To use the metering point administration, the following project configuration steps are necessary:

  1. Configure variables in zenon Editor.
    Note: corresponding variables for relative values can also be created in the wizard directly.
  2. Configure archives in zenon Editor.
    Note: Archives can also be created directly in the wizard.
  3. In zenon Editor, start the Metering Point Administration wizard.
  4. Create metering points and meters in the wizard.
    Note: Meters can also be created in Runtime.
  5. In the wizard, assign the metering points to absolute value variables and relative value variables from archives.
    Note: Relative values can also be calculated automatically.
  6. Configure a screen in zenon Editor.
  7. Place an ActiveX element in this zenon screen.
  8. Assign meters to the corresponding metering points in Runtime.
  9. If necessary, enter current values for manual metering points in Runtime for the meters.


Install and call up metering point administration

Manuel -> Assistants -> Rubriques -> Metering Point Administration -> Metering Point Administration -> Install and call up metering point administration

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

The Metering Point Administration is automatically installed as part of the zenon standard installation.

Starting the wizard

For wizards to be displayed, the settings for VBA or VSTA must be set correctly in file zenon6.ini:

[VBA]

EIN=1

[VSTA]

ON=1

If VSTA wizards are not displayed although the settings are correct, set entry LOADED= to 1 in area [VSTA].

To start the wizard:

  1. Click on Tools -> Start Editor Wizards....
    Or: Press the short cut Alt+F12

    The selection window with the available wizards opens.

  2. Select the folder Metering Point Administration.
  3. Then click on Metering Point Administration.

  4. Click on OK.


Wizard - start dialog

Manuel -> Assistants -> Rubriques -> Metering Point Administration -> Metering Point Administration -> Wizard - start dialog

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

The Metering Point Administration wizard starts with the welcome page in English.

When starting the Metering point Administration in the zenon Editor, a check is first made to see whether zenon Logic Workbench is open. To avoid incorrect configurations, you are requested to close zenon Logic Workbench if it is open. The wizard cannot be started if Workbench is open!

  • To continue, click on the Metering Point Administration button.
    The dialog switches to the configuration dialog for metering point administration.
  • Clicking on the Exit button closes the wizard.


Wizard - Metering Point Administration

Manuel -> Assistants -> Rubriques -> Metering Point Administration -> Metering Point Administration -> Wizard - Metering Point Administration

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Once the start dialog for the wizard has been confirmed, start the configuration of the metering point administration. Configuration starts with the Database tab.

Initially, all activated zenon projects of the workspace and the attendant databases are loaded. This loading process is visualized with a progress bar.

If database settings have already been saved, an attempt to establish a connection is started automatically when the wizard is called up. If this is successful, a switch to the Measuring points tab is made. If the establishment of a connection is unsuccessful, a corresponding error message is shown.

Navigation through the tabs is carried out by clicking on the title of the tab.

It is possible to select from German, English or Romanian in the drop-down list for the display language.

Parameter

Description

Database

Tab for the settings of the necessary database connection.

Metering Points

Tab for the creation and administration of metering points in zenon Editor.

Each metering point is assigned corresponding archives and variables.

Counter

Tab for the creation and administration of meters.

Display language

Drop-down list to select the display language for the wizard.

  • Deutsch
  • English
  • Româna

Close dialog

Button | Description
Exit | Closes the wizard. Changes that have not been saved are lost.
info Informations
Settings changed in the wizard are saved in the user profile of the operating system and loaded at the next opening by the same user.

Autres sujets abordés dans ce chapitre

Database

Metering Points

Counter

Multi-user projects


Database

Manuel -> Assistants -> Rubriques -> Metering Point Administration -> Metering Point Administration -> Wizard - Metering Point Administration -> Database

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Database

You configure the communication settings for a database in this tab.

Parameters

Description

Database Host

Drop-down list for the selection of the database server.

Select, for example, your computer in this field. Note: Your computer is shown as a default when the tab is opened.

Authentication

Drop-down list for selection of the login method:

  • Windows Authentication (Default):
    The login to the database is carried out with the information of the user logged in to the local computer.
  • SQL Server Authentication:
    User name and password are entered manually. The corresponding login data must be available for database login.

User name

User name for login to a database.

Grayed out if the authentication is Windows Authentication.

Password

Password for login to a database.
For security reasons, each letter is shown with a * when the password is entered.

Grayed out if the authentication is Windows Authentication.

Connect

Establishes the connection to the configured database server.

If no connection is possible (for example due to incorrect entry of user name and/or password), an error message is called up.

Grayed out if it is already connected to a database server.

Disconnect

Disconnects an existing connection to a database server.

Grayed out if no connection is active.

Database Name

Drop-down list to select a database.

This list shows all available databases of the database server configured under Datenbank-Host.

If this list is empty, there is no connection to a database server or there is no SQL database available on the selected computer.

Start configuration

Switches to the Metering point tab.

If there is not currently a connection to a database, a connection with the login information that has already been entered is established when clicking on the Start configuration button.

If this input is incorrect or incomplete, no further settings can be changed in the Metering points or Meters tabs. A connection to a database is always necessary for this!

Close dialog

Button | Description
Exit | Closes the wizard. Changes that have not been saved are lost.
info Informations
If there is already a connection to a database, all input fields are grayed out.

Autres sujets abordés dans ce chapitre

Database - evaluation and amendment

Industrial Maintenance Manager compatibility


Database - evaluation and amendment

Manuel -> Assistants -> Rubriques -> Metering Point Administration -> Metering Point Administration -> Wizard - Metering Point Administration -> Database -> Database - evaluation and amendment

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Database - evaluation and amendment

If a connection to a database is established, the structure of this database is evaluated immediately. Tables required for metering point administration are created automatically if required. The validation is carried out in the Editor and in Runtime.

If amendments to the existing database are required, you are informed of this by means of a dialog. The dialog only appears if amendments are necessary.

Evaluation dialog

  • Confirm this dialog with Yes if the database is to be amended to the corresponding tables.
  • Cancel closes the dialog. No amendments are made in the dialog. Configuration of metering points is not possible. The wizard jumps to the Database tab.

Validation of the archives

A validation is carried out on starting - errors are visualized.

If a problem occurs when validating the archives, this is signaled by a red warning symbol next to the problematic element. You get a detailed description in the tool tip, if you move to the warning symbol with the mouse.

Example of a view - Runtime


Industrial Maintenance Manager compatibility

Manuel -> Assistants -> Rubriques -> Metering Point Administration -> Metering Point Administration -> Wizard - Metering Point Administration -> Database -> Industrial Maintenance Manager compatibility

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Industrial Maintenance Manager compatibility

The functionality of the Industrial Maintenance Manager (IMM) can be used for meters in metering point administration. The IMM is used for the administration of machine and maintenance data. Service intervals can be planned and administered with ease. You can see at a glance which devices, items of equipment, machines, etc. have to be maintained today / this week / next month etc. Furthermore, the service work that has been completed in the past is also logged.

When checking the database, the table names of an existing IMM project configuration are checked. If necessary, these names are amended after confirmation.

  • Confirm this dialog with Yes if the table names are to be amended.
  • No closes the dialog. No amendments to the table names are made in the database. Configuration of metering points is possible.

IMM table names:

  • Table pour les matériels: Devices
  • Table pour travaux de maint.: MaintenanceWorks
  • Table pour l'historique: MaintenanceHistory
  • Table pour les documents: Documents

info Informations

Project configurations from zenon version 7.20 are not affected by this. From version 7.20, the table names for the Industrial Maintenance Manager can no longer be freely configured.


Metering Points

Manuel -> Assistants -> Rubriques -> Metering Point Administration -> Metering Point Administration -> Wizard - Metering Point Administration -> Metering Points

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Metering Points

New metering points are created in this tab and existing ones are administered.

Parameter

Description

New...

Opens the dialog to create a new Metering Point.

Edit...

Opens the dialog to edit the selected metering point.

Delete

Deletes the selected Metering Point.

List of metering points

List of the metering points that have been created, as configured in the dialog to create a new metering point.

Selection by means of clicking. The selected metering point is highlighted in color. Multiple selection is not possible.

  • Name
    Name of the metering point
  • Description
    Short description of the metering point
  • Location
    Location of the metering point
  • Automatic
    Active, if Metering Point behavior is automatic.
  • Metering point Type
    Type of the metering point
  • Calculation active
    Active if Calculate relative value has been activated.
  • Meter name
  • Meter description
  • Behavior
    Metering point behavior
  • Relative value variable
    Assigned variable for the relative value.
  • Absolute value variable
    Assigned variable for the absolute value.

You can find out more information in the dialog description.

Filter variable [...]

Opens the dialog to select a filter variable that is used in Runtime for the filtering of metering points. In addition to the variable name, the name of the project from which the filter variable comes is shown here, separated by #.

Close dialog

Button | Description
Exit | Closes the wizard. Changes that have not been saved are lost.

Autres sujets abordés dans ce chapitre

Create new metering points

Edit metering points

Delete Metering Point

New archive

Link filter variable


Create new metering points

Manuel -> Assistants -> Rubriques -> Metering Point Administration -> Metering Point Administration -> Wizard - Metering Point Administration -> Metering Points -> Create new metering points

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Create new metering points

Click, in the Metering points tab, on New to create a new metering point.

The following dialog opens, in which you can configure the new metering point.

Parameter

Description

Name

Name of the metering point.

Mandatory field

Description

Description of the metering point.

Optional entry

Location

Location of the metering point.

Optional entry

MeteringType

Type assignment of the metering point.

Optional entry

Note: A list is kept with all the previously-configured metering point types. These types are displayed when the first applicable letter is typed. If the type that has been entered does not exist in the list, that type is added to the list (auto suggest).

Metering Point behavior

Option field for selection of the value entry

  • Automatic:
    When this option is activated, both cyclical and spontaneous archives can be selected for the absolute value. The values are taken from the variable.
    Relative values can be automatically calculated in due course.
    You can find further information on this behavior in the Relative value tab.
  • Manually:
    When this option is activated, only spontaneous archives can be selected for the absolute value.
    The meter values must be read and entered manually.
  • Validation:
    When activating this option, archive values can be confirmed or modified in Runtime.
    You can find further information on this behavior in the Validation tab.

The following is applicable for automatic and manual metering point behavior:

Note: The list of the archives and the list of variables for absolute and relative values is filtered according to the metering point behavior. This means that, with manual metering point administration, only spontaneous archives or variables from spontaneous archives are displayed in the list of archives and variables.

Attention: If you change the metering point behavior of an existing metering point, the absolute value variable and the relative value variable must be reselected.

Project selection

Drop-down list with projects from the current workspace in zenon Editor.
Note: Archives and variables available are tied to a project.

Select the desired project in this field.

Absolute value

Tab for the configuration of the absolute value of the metering point.

Relative value

Tab for the configuration of the relative value of the metering point.

Validation

Tab for the configuration of the validation.

Summary

Checking and conclusion of the configuration of metering point administration.

Navigation

Parameters | Description
Cancel | Annule toutes les modifications effectuées sur tous les onglets, puis ferme la boîte de dialogue.
attention Attention
Each metering point must have a respective absolute value variable and a relative value variable assigned.

Autres sujets abordés dans ce chapitre

Absolute value

Relative value

Validation

Summary


Absolute value

Manuel -> Assistants -> Rubriques -> Metering Point Administration -> Metering Point Administration -> Wizard - Metering Point Administration -> Metering Points -> Create new metering points -> Absolute value

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Absolute value

In this tab, an absolute value variable is assigned to the metering point.

Parameter | Description
Variable from archive | In the list of variables, variables from the selected archive (list of archives) are displayed. Select a corresponding archive and a corresponding variable for the absolute value. Attention: The calculation of substitute values must be activated for this archive.
Add variable to archive | Variables from the project are displayed. The selected variable is added to the selected archive. Attention: The calculation of substitute values must be activated for this archive.
New archive | Opens dialog for the creation of a new archive. Only active if Add variable to archive is active.
info Informations
The options in this tab are not available if the metering point behavior is validation.

Archives (list)

Here, you select an archive from which you want to have variables displayed or to which you want to add a selected variable.

Note: Existing project configurations of archives are displayed in the list. In addition, it is possible to create a new archive directly in the wizard by clicking on the New archive button.

Parameters

Description

Short name

Archive reference.

Archive ID

Archive name

Type

Archive type

  • Cyclic
    Archive is cyclical.
    Values are saved in configured time intervals.
  • EventTriggerd
    Archive is event-triggered.
    Note: Event-triggered archives can only be used for automatic metering points.
    Direct configuration of event-triggered archives in the metering point administration is not possible.
  • Value Change
    Archive is spontaneous.
    Each change to a value is immediately written to the variable in the archive. Hysteresis can be configured.

Archive trigger

Trigger in order to write values to an archive.

Note: Only available with event-triggered archives.

Cycle time

Time interval in which values are written to the archive with cyclical scanning.

Format:

  • n.A.
    If archive type is Value Change or EventTriggerd.
  • DD:HH:MM:SS
  • MonthWith monthly cycle

Saving cycle

Time interval between the creation of new archive files.
Format:

  • DD:HH:MM:SS
  • Month With saving cycle set to „turn of month“.
  • YearWith saving cycle set to turn of year.

Variables (list)

Parameters | Description
Name | Name of the variable.
Measuring unit | Measuring unit of the variables.
Identification | Identification of the variable.
Driver | Driver of the variable.
Equipment Groups | Equipment group that is assigned to the variable. Note: A variable can also be assigned to several equipment groups.

Navigation

Parameters | Description
Cancel | Annule toutes les modifications effectuées sur tous les onglets, puis ferme la boîte de dialogue.


Relative value

Manuel -> Assistants -> Rubriques -> Metering Point Administration -> Metering Point Administration -> Wizard - Metering Point Administration -> Metering Points -> Create new metering points -> Relative value

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Relative value

In this tab, a relative value variable is assigned to the metering point.

Parameter

Description

Create variable

A new variable is created for the relative value.

Type: LREAL, driver: INTERN.

Name

Name of the new variable to be created.

A valid name, based on the selected absolute value variable, is proposed. The name must be unique and can be given as desired. No special characters are permitted. A maximum of 256 characters can be entered.

The entry is validated. The result of the validation (success or error) is shown next to the input field by means of a symbol.

Note: Only visible if Create variable has been selected. A variable must be selected in the Absolute value tab, so that a proposed name is shown here.

Variable from archive

Shows list of archives and list of variables belonging to the selected archive:

Attention: The calculation of substitute values must be activated for this archive.

Add variable to archive

Variables from the project are displayed. The selected variable is added to the selected archive.

Attention: The calculation of substitute values must be activated for this archive.

Calculate relative value

Checkbox to activate the automatic calculation of relative values:

Selection is optional with automatic metering points.

Selection is automatically activated with manual metering points. This automatic preselection cannot be deactivated.

Note: You can get further information on the automatic calculation of relative values in the zenon Logic chapter.

New archive

Opens dialog for the creation of a new archive.

Not active if Variable from archive is active.

Archives

Archives that were previously created in zenon Editor or with the New archive button are ready for selection in list form. Only cyclical archives are displayed.

info Informations

The options in this tab are not available if the metering point behavior is validation.

Archives (list)

Here, you select an archive from which you want to have variables displayed or to which you want to add a selected variable.

Note: Existing project configurations of archives are displayed in the list. In addition, it is possible to create a new archive directly in the wizard by clicking on the New archive button.

Parameters

Description

Short name

Archive reference.

Archive ID

Archive name

Type

Archive type

  • Cyclic
    Archive is cyclical.
    Values are saved in configured time intervals.
  • EventTriggerd
    Archive is event-triggered.
    Note: Event-triggered archives can only be used for automatic metering points.
    Direct configuration of event-triggered archives in the metering point administration is not possible.
  • Value Change
    Archive is spontaneous.
    Each change to a value is immediately written to the variable in the archive. Hysteresis can be configured.

Archive trigger

Trigger in order to write values to an archive.

Note: Only available with event-triggered archives.

Cycle time

Time interval in which values are written to the archive with cyclical scanning.

Format:

  • n.A.
    If archive type is Value Change or EventTriggerd.
  • DD:HH:MM:SS
  • MonthWith monthly cycle

Saving cycle

Time interval between the creation of new archive files.
Format:

  • DD:HH:MM:SS
  • Month With saving cycle set to „turn of month“.
  • YearWith saving cycle set to turn of year.

Variables (list)

Parameters | Description
Name | Name of the variable.
Measuring unit | Measuring unit of the variables.
Identification | Identification of the variable.
Driver | Driver of the variable.
Equipment Groups | Equipment group that is assigned to the variable. Note: A variable can also be assigned to several equipment groups.
info Informations
The list of variables is hidden if Create variable is active.

Navigation

Parameters | Description
Cancel | Annule toutes les modifications effectuées sur tous les onglets, puis ferme la boîte de dialogue.


Validation

Manuel -> Assistants -> Rubriques -> Metering Point Administration -> Metering Point Administration -> Wizard - Metering Point Administration -> Metering Points -> Create new metering points -> Validation

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Validation

Variables from archives are configured for a validated metering point in the Validation tab.

The parameters of this tab are only available if, in the Metering point behavior property, the Validation option has been selected.

Parameter

Description

Variable from archive

In the list of variables, variables from the selected source archive (list of archives) are displayed.

Select a corresponding archive and a corresponding variable for the measured value.

Add variable to archive

Variables from the project are displayed. The selected variable is added to the selected archive.

Source archive

List of the configured archives.
Selection of the archive with the click of a mouse. After selection, the variables contained therein are displayed in the variable list.

New archive...

Opens the dialog for the creation of a new source archive.

Not active if Variable from archive is active.

Variables

List of variables:

  • Variable from archive:
    Variables from the selected source archive
  • Add variable to archive:
    Variable list of the loaded project.

Source archive

List of all configured EventTriggered archives.

New archive...

Opens the dialog for the creation of a new target archive.

Note: Target archives are only EventTriggered archives by default.

Standard time filter for validation

Input field for selection of the validation time range. The time range set here is used in Runtime during validation as a time filter for the archive entries to be displayed.

The time range comprises days and hours.
Click on the desired range to highlight this for the change. Change the area with an entry or by clicking on the arrow keys.

The following is applicable for entry:

  • Only whole numbers are taken into account.
  • Value entries with a comma are rounded up.
  • An hour entry >23 is corrected to 23.
  • A day entry > 1000 is corrected to 1000.
  • Negative inputs receive the value 0.
Parameter | Description
Days | Time range of validation in days. Default: 1
Hours | Time range of validation in hours. Default: 0

Archives (list)

Here, you select an archive from which you want to have variables displayed or to which you want to add a selected variable.

Note: Existing project configurations of archives are displayed in the list. In addition, it is possible to create a new archive directly in the wizard by clicking on the New archive button.

Parameters

Description

Short name

Archive reference.

Archive ID

Archive name

Type

Archive type

  • Cyclic
    Archive is cyclical.
    Values are saved in configured time intervals.
  • EventTriggerd
    Archive is event-triggered.
    Note: Event-triggered archives can only be used for automatic metering points.
    Direct configuration of event-triggered archives in the metering point administration is not possible.
  • Value Change
    Archive is spontaneous.
    Each change to a value is immediately written to the variable in the archive. Hysteresis can be configured.

Archive trigger

Trigger in order to write values to an archive.

Note: Only available with event-triggered archives.

Cycle time

Time interval in which values are written to the archive with cyclical scanning.

Format:

  • n.A.
    If archive type is Value Change or EventTriggerd.
  • DD:HH:MM:SS
  • MonthWith monthly cycle

Saving cycle

Time interval between the creation of new archive files.
Format:

  • DD:HH:MM:SS
  • Month With saving cycle set to „turn of month“.
  • YearWith saving cycle set to turn of year.

Variables (list)

Parameters | Description
Name | Name of the variable.
Measuring unit | Measuring unit of the variables.
Identification | Identification of the variable.
Driver | Driver of the variable.
Equipment Groups | Equipment group that is assigned to the variable. Note: A variable can also be assigned to several equipment groups.


Summary

Manuel -> Assistants -> Rubriques -> Metering Point Administration -> Metering Point Administration -> Wizard - Metering Point Administration -> Metering Points -> Create new metering points -> Summary

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Summary

The configurations of a metering point are evaluated and concluded in this tab.

The result is shown in the summary window in two fields.

Summary

Parameters

Description

Field for project configuration information

The upper field contains a summary of the configuration of the metering point.

The text information is distinguished by being displayed in different colors.

Black text color

Settings are correct. These are created and applied by clicking on Save & New.

Red text color

Errors in the configured settings must be checked once again and improved.

No saving is possible in this case.

Green text color

New settings are created and applied. Saving is now possible.

Blue text color

Amended project configurations are shown in blue text.

Orange text color

Warning messages.

Project configurations that are not recommended are shown in orange.

Field for additional information

General information about the steps carried out is shown in this field if available.

The color coding of the texts is the same as in the field for project configuration information. However in this text field, only successful (green text) and faulty steps (red text) are shown.

Save & New

Accepts settings and creates the new metering point. All values are reset and it is possible to continue with the configuration of other metering points.

If the project configuration in incorrect, corresponding project information is shown in the field for project configuration information.

Cancel

Annule toutes les modifications effectuées sur tous les onglets, puis ferme la boîte de dialogue.


Edit metering points

Manuel -> Assistants -> Rubriques -> Metering Point Administration -> Metering Point Administration -> Wizard - Metering Point Administration -> Metering Points -> Edit metering points

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Edit metering points

To edit an existing metering point, proceed as follows:

  1. Select a metering point that you want to edit in the Meter tab.
    The selected metering point is accented in color.
  2. Then click on the Edit button or double click on the desired metering point.

    The existing project configuration is shown in the dialog Edit Metering Point.

  3. Add additional information, administer the metering point as you wish and click in the Summary tab on Save & Close.

Summary:

Amended settings are shown in the summary in blue.

  • Clicking on Save & Close saves the amended settings.

attention Attention

Ensure that the project is loaded when editing a metering point. Editing without a project destroys the metering point.


Delete Metering Point

Manuel -> Assistants -> Rubriques -> Metering Point Administration -> Metering Point Administration -> Wizard - Metering Point Administration -> Metering Points -> Delete Metering Point

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Delete Metering Point

To delete an existing metering point, proceed as follows:

  1. Select a metering point that you want to delete in the Meter tab.
  2. Then click on the Delete button.
  3. A warning dialog appears.
  4. Confirm the deletion by clicking on the OK button.
  5. The selected metering point is deleted.

Warning dialog

Parameter | Description
OK | Selected metering point is deleted.
Cancel | Cancels deletion process. Warning dialog is closed without an action.

info Informations

If an automatic metering point with automatic relative value calculation is deleted, the attendant project configurations (variables and code lines) are removed in zenon Logic.


New archive

Manuel -> Assistants -> Rubriques -> Metering Point Administration -> Metering Point Administration -> Wizard - Metering Point Administration -> Metering Points -> New archive

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
New archive

The "New archive" button is visible:

  • If, in the Absolute value tab of the wizard, the Add variable to archive button is active.
  • If, in the Relative value tab of the wizard, the Create variable or Add variable to archive buttons are active.
  • If the Add variable to archive button is active in the Validation tab.
    The button is always active during validation of target archives. These archives have event triggered as the archive type by default.

Parameter

Description

Archiv Short name

Short name for the archive to be created.

Maximum 2 characters, 0-9 or A-Z, must be unique.

Attention: You cannot change the identification afterwards.

Archive ID

Name of the archive.

Default: empty

Archive type

Type of recording:

  • Cyclic
    The data is written to the archive in the set interval (default).
  • ValueChange
    Record on change
  • Event triggered
    Is only available for target archives of the validation.

Cycle time

Define the cycle (days, hours, minutes and seconds) in which values for cyclical archives are to be read.

Default: 15 minutes (for cyclical archives)

Monthly

If active: The values are read in each time the month changes (monthly archive).

Default: inactive.

Saving cycle

Define the cycle time (days, hours and minutes) in which new archive files are to be created.

Default: 1 day

Note: grayed out if cycle time is monthly

Monthly

If active: The archive file is saved each time the month changes

Default: inactive.

Close dialog

Parameter | Description
Save | Applique les paramètres et ferme la boîte de dialogue.
Cancel | Annule toutes les modifications et ferme la boîte de dialogue.

info Informations

You can get further information about archives in the Historian manual, in the Edit archives chapter.

Triggered or event-triggered archives are not available for metering point administration.

Autres sujets abordés dans ce chapitre

Background information

Visualization of incorrect project configurations

Checking the archives


Background information

Manuel -> Assistants -> Rubriques -> Metering Point Administration -> Metering Point Administration -> Wizard - Metering Point Administration -> Metering Points -> New archive -> Background information

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Background information

When creating new archives for absolute value and relative value variables in metering point administration, the duration of storage for archive files is set to the maximum possible value.

This is necessary because manual editing via the metering point administration is not possible for non-evacuated archive files (in *.ARX format). This does not include data that has been evacuated to SQL; subsequent manual editing of this is always possible.

attention Attention

Evacuated archive files in .ARX internal database format cannot be edited. You should therefore always select SQL database for evacuated archives.
Note: You configure the evacuation in the Edit archive dialog in the Save.tab

Recommendation

To keep the number of files to be stored within limits, it is recommended that you configure a sufficiently large save cycle.

Tipp Conseil

Always configure your save cycle >= 1 day.
You can get further information in the Historian manual, in the Edit archive, Save chapter.

Offset and waiting time

To ensure correct archiving of the relative value, the metering point administration module carries out automatic project configurations.

The following settings are set automatically:

  • Offset: 5 seconds (only for relative value archives)
    You can find further information in the Historian manual, in the Edit archive, Recording type chapter.
  • VACO waiting time: 10 seconds
    If an automatic measuring point calculation is activated for relative value, the waiting time of the VACO must be set to 10 seconds and the offset for new relative value archives to 5 seconds.
    For existing relative value archives, the offset must be checked manually and amended accordingly.
    You can find more information in the VACO function block chapter.

Information during project configuration

The corresponding information is shown during project configuration in the Summary tab for the Metering Points:

  • Archive for absolute values should have offset 0 (corresponding warning message)
  • Relative value archive must have offset 5 (information, amendment is automatic)
  • Both archives should be different (corresponding waning message)


Visualization of incorrect project configurations

Manuel -> Assistants -> Rubriques -> Metering Point Administration -> Metering Point Administration -> Wizard - Metering Point Administration -> Metering Points -> New archive -> Visualization of incorrect project configurations

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Visualization of incorrect project configurations

If a problem occurs when configuring a project, this is signaled by a red warning symbol next to the problematic element. You get a detailed description in the tool tip, if you move to the warning symbol with the mouse.


Checking the archives

Manuel -> Assistants -> Rubriques -> Metering Point Administration -> Metering Point Administration -> Wizard - Metering Point Administration -> Metering Points -> New archive -> Checking the archives

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Checking the archives

Archives used in the Metering Point Administration module are evaluated during project configuration.

The archive configuration is checked as follows:

  • After the wizard has started, in the list of metering points.
    A cause for the incorrect project configuration could be editing the archive in zenon Editor directly.
  • When creating/editing metering points (Editor).
  • When creating a new archive using metering point administration (Editor and Runtime).
    Validation is triggered by clicking on the Save button.

Configuration criteria for relative value archives

Certain configuration criteria are applicable for automatic metering points for relative value archives. These criteria result due to the logic of the relative value calculation.
Archives created with the wizard always correspond to these criteria.

  • The cycle time must not be greater than the save cycle.
  • The save cycle must be an integral multiple of the cycle time.
  • If monthly change is selected as a cycle time, the save cycle must be a monthly change or yearly change.
  • If monthly change is selected as a save cycle, the cycle time must be a maximum of 1 day.

Autres sujets abordés dans ce chapitre

Examples


Examples

Manuel -> Assistants -> Rubriques -> Metering Point Administration -> Metering Point Administration -> Wizard - Metering Point Administration -> Metering Points -> New archive -> Checking the archives -> Examples

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Examples

Cycle time greater than save cycle

Save cycle not a whole-number multiple of the cycle time

Incorrect cycle time for monthly save cycle


Link filter variable

Manuel -> Assistants -> Rubriques -> Metering Point Administration -> Metering Point Administration -> Wizard - Metering Point Administration -> Metering Points -> Link filter variable

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Link filter variable

This dialog can be used to select a variable for filtering in Runtime.

First, create a variable from the Intern driver with the String Type de données and sufficient Longueur de la chaîne (such as 500) in you project.

Parameter

Description

Project selection

Combobox to select the project. A variable from another project can also be selected as a filter variable.

List of variables

Selection of the variable by clicking. The selected metering point is highlighted in color. Multiple selection is not possible.

  • Name
    Name of the variable
  • Identification
    Identification of the variable
  • Driver
    Driver on which the variable is based

No selection

Deletes the variable selection and closes the dialog.

OK

Applies settings and closes the dialog.

Cancel

Discards all changes and closes the dialog.

This variable is used for filtering in Runtime. Vous trouverez des informations détaillées à ce sujet au chapitre Filtering of measured values by means of variable


Counter

Manuel -> Assistants -> Rubriques -> Metering Point Administration -> Metering Point Administration -> Wizard - Metering Point Administration -> Counter

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Counter

In this tab, there is the possibility to create new meters, to administer them and to display the meters that have already been created in a list.

Parameter | Description
New... | Opens the dialog to create a new meter.
Edit... | Opens a dialog to edit the selected meter.
Delete | Deletes the selected meter.

List of the configured meters

Parameter | Description
Name | Name of the meter.
Description | Description of the meter.
Manufacturer | Manufacturer of the meter.
Meter type | Type assignment of the meter.
Serial Number | Serial number of the meter.
Note | Note for the meter.
Year of construction | Year of construction of the meter.

Close dialog

Button | Description
Exit | Closes the wizard. Changes that have not been saved are lost.

Autres sujets abordés dans ce chapitre

Create new meter

Edit meter

Delete meter


Create new meter

Manuel -> Assistants -> Rubriques -> Metering Point Administration -> Metering Point Administration -> Wizard - Metering Point Administration -> Counter -> Create new meter

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Create new meter

In this dialog (both in the wizard and in Runtime), meters are configured and existing project configurations are amended.

Parameters | Description
Name | Identification of the meter. Mandatory field
Description | Description for the meter. Optional entry
Note | Note in relation to the meter. Optional entry
MeteringType | Type assignment of the meter. Drop-down list with types that have already been configured. This drop-down list also corresponds to the type list for the creation of a new metering point. Optional entry
Manufacturer | Name of the manufacturer of the meter. Optional entry
Serial Number | Serial number of the meter. Optional entry
Year of construction | Year of construction of the meter. Optional entry

Close dialog

Parameters | Description
Save & New | Saves the new meter. The dialog to create a new meter is then called up with empty content again. Other meters can be configured.
Cancel | Annule toutes les modifications et ferme la boîte de dialogue.

Note: Once the entries have been saved, a new entry is written to the database and the new entry is added to the list.

Autres sujets abordés dans ce chapitre

Configuration of a meter


Configuration of a meter

Manuel -> Assistants -> Rubriques -> Metering Point Administration -> Metering Point Administration -> Wizard - Metering Point Administration -> Counter -> Create new meter -> Configuration of a meter

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Configuration of a meter

To create a new meter, proceed as follows:

  1. Click on the Meter button in the wizard
  2. Click on New.
  3. The dialog to create a new meter or amend an existing one is opened.

  4. Enter the information about the meter.

Note: Incorrect entries are signaled by a red warning triangle next to the input field.


Edit meter

Manuel -> Assistants -> Rubriques -> Metering Point Administration -> Metering Point Administration -> Wizard - Metering Point Administration -> Counter -> Edit meter

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Edit meter

To edit a meter that already exists, proceed as follows:

  1. Switch to the Meter tab.
  2. Select the corresponding meter in the list of the configured meters.
  3. Click on Edit.
  4. The Edit meter dialog is opened.
  5. Add any other desired information and administer the meter as you wish.
  6. Click on Save & Close.


Delete meter

Manuel -> Assistants -> Rubriques -> Metering Point Administration -> Metering Point Administration -> Wizard - Metering Point Administration -> Counter -> Delete meter

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Delete meter

To delete an existing meter, proceed as follows:

  1. Select a meter that you want to delete in the Meter tab.
  2. Then click on the Delete button and confirm the warning dialog with OK.
  3. The meter you have elected is deleted.

Note: If a meter is already connected to a metering point, it cannot be deleted. The Delete button is grayed out in this case. To delete a meter that has already been assigned, it must first be deleted from the metering point or replaced in Runtime.


Multi-user projects

Manuel -> Assistants -> Rubriques -> Metering Point Administration -> Metering Point Administration -> Wizard - Metering Point Administration -> Multi-user projects

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Multi-user projects

The wizard for metering point administration in the zenon Editor does not support multi-user projects.

If there are multi-user projects in the workspace, a dialog is shown accordingly when the wizard is started:

Remarque : Cette boîte de dialogue est uniquement disponible en anglais.

If there are only multi-user projects in the workspace, the following message is given:

Remarque : Cette boîte de dialogue est uniquement disponible en anglais.

Convert multi-user project to standard project

A multi-user project can be converted to a "non-multi-user" standard zenon project:

  1. Create a project copy:
    Select, in the context menu of the respective project, the Project -> Save as ... command.
    The dialog to back up the project data is opened.
  2. Give it a new name.
  3. The backed-up project is read back as a new "non-multi-user" project in the current workspace and created.

info Informations

If the project is in an association of multi-user projects, the project references must be taken into account.

You can find further information in relation to this in the Project administration and workspace manual in the Replace project references chapter.


Engineering in the zenon Editor

Manuel -> Assistants -> Rubriques -> Metering Point Administration -> Metering Point Administration -> Engineering in the zenon Editor

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

In zenon Editor, configure an ActiveX element in a screen in order to be able to use metering point administration in Runtime.

  1. To do this, create a new screen in zenon Editor.
  2. Select the ActiveX element and draw an area in the screen with it.
  3. The Enter element dialog is opened.
  4. In this dialog, select MeteringPointControl.MeteringPointUserControl from the list of the ActiveX elements.
  5. Ensure that this ActiveX element is at least 900 pixels wide and 575 pixels high so that it is displayed correctly in Runtime.

info Informations

You can find information about the ActiveX element in the Screens manual in the Screen elements/ActiveX chapter.


Metering Point Administration - administration of metering points in Runtime

Manuel -> Assistants -> Rubriques -> Metering Point Administration -> Metering Point Administration -> Metering Point Administration - administration of metering points in Runtime

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

The following is carried out in Runtime:

  • Configured metering points and meters are linked to one another.
  • New meters are created.
  • Existing meter information is amended.
  • Manual values are entered.

Autres sujets abordés dans ce chapitre

Database

Metering Points

Counter

Metering Point Administration in the zenon network


Database

Manuel -> Assistants -> Rubriques -> Metering Point Administration -> Metering Point Administration -> Metering Point Administration - administration of metering points in Runtime -> Database

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Database

Parameters

Description

Database Host

Drop-down list for the selection of the database server.

Select, for example, your computer in this field. Note: Your computer is shown as a default when the tab is opened.

Authentication

Drop-down list for selection of the login method:

  • Windows Authentication (Default):
    The login to the database is carried out with the information of the user logged in to the local computer.
  • SQL Server Authentication:
    User name and password are entered manually. The corresponding login data must be available for database login.

User name

User name for login to a database.

Grayed out if the authentication is Windows Authentication.

Password

Password for login to a database.
For security reasons, each letter is shown with a * when the password is entered.

Grayed out if the authentication is Windows Authentication.

Connect

Establishes the connection to the configured database server.

If no connection is possible (for example due to incorrect entry of user name and/or password), an error message is called up.

Grayed out if it is already connected to a database server.

Disconnect

Disconnects an existing connection to a database server.

Grayed out if no connection is active.

Database Name

Drop-down list to select a database.

This list shows all available databases of the database server configured under Datenbank-Host.

If this list is empty, there is no connection to a database server or there is no SQL database available on the selected computer.

Start configuration

Switches to the Metering point tab.

If there is not currently a connection to a database, a connection with the login information that has already been entered is established when clicking on the Start configuration button.

If this input is incorrect or incomplete, no further settings can be changed in the Metering points or Meters tabs. A connection to a database is always necessary for this!

Close dialog

Button | Description
Exit | Closes the wizard. Changes that have not been saved are lost.
info Informations
If there is already a connection to a database, all input fields are grayed out.


Metering Points

Manuel -> Assistants -> Rubriques -> Metering Point Administration -> Metering Point Administration -> Metering Point Administration - administration of metering points in Runtime -> Metering Points

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Metering Points

Metering points in zenon Runtime can be administered in this tab.

Parameter

Description

Assign Meter...

Only active if the selected metering point has not been assigned a meter.

History...

Keeps a log of edited metering points and replaced meters.

Replace Meter...

Only active if the selected metering point has already been assigned a meter.

Manual value input...

Allows manual value input for the desired metering point.

If, in the list of metering points, an automatic metering point is selected, the Manual entry of values button is grayed out.

Manual post processing...

Allows subsequent manual editing of relative values of metering points.

Fix invalid values...

Opens the Fix invalid values dialog.

Allows the determination, display and correction of invalid values.

Only available for automatic metering points.

Note: Multiple selection of metering points for the correction of the values of several metering points is possible.

Validation...

Allows the taking and modification of values from a validation metering point.

Only active if the selected metering point is validated.

Reload

Loads zenon project configurations in Runtime and gets new settings from the database.

List of metering points

List of the created metering points.

Selection by means of clicking. The selected metering point is highlighted in color. Multiple selection is not possible.

  • Name
    Name of the metering point
  • Description
    Short description of the metering point
  • Location
    Location of the metering point
  • Metering point Type
    Type of the metering point
  • Calculation active
    Active if Calculate relative value has been activated.
  • Meter name
  • Meter description
  • Behavior
    Metering Point Administration
  • Equipment Groups

info Informations

If a variable of a project is not available, this is signalized by a red warning symbol in the list view. In this case, check to see if a project with these variables is loaded.

Autres sujets abordés dans ce chapitre

Assign, replace or remove meter

History

Manual value input

Manual post processing

Fix invalid values

Validation

Filtering of meters by means of variable


Assign, replace or remove meter

Manuel -> Assistants -> Rubriques -> Metering Point Administration -> Metering Point Administration -> Metering Point Administration - administration of metering points in Runtime -> Metering Points -> Assign, replace or remove meter

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Assign, replace or remove meter

In this dialog, individual meters can be assigned to a metering point, amended or removed.

With automatic metering points, the dialog for subsequent editing always opens when there is a change to the allocation of meters (new assignment, change, deletion).

Metering Point

Parameters | Description
Name | Name of the metering point. Cannot be changed in this dialog.
Location | Location of the metering point. Cannot be changed in this dialog.
Description | Description of the metering point. Cannot be changed in this dialog.
Measuring unit | Measuring unit of the metering point. Cannot be changed in this dialog.
Meter type | Type of meter. Cannot be changed in this dialog.

Manual

Parameters | Description
Date and time | Date and time of the meter allocation or meter replacement. Default: Query time period, rounded up to a complete hour. Clicking on the drop-down list opens a dialog to select the date and time. Note: Only the entry of dates from 1. 1. 2000 is possible. Calls before this date are not valid and are signalized by a red warning symbol.
Range | The range of the absolute value variable.
Min. | Minimum input range. Cannot be changed in this dialog.
Max. | Maximum input range. Cannot be changed in this dialog.
Old value | Value of the old meter at the time of replacement. Default: 0 Note: Only visible when a meter is replaced.
New value | Value of the new meter at the time of replacement. Default: 0 Note: If the entry is outside the input range of the variable (min./max.), the incorrect entry is automatically amended to the range.

Available meters

Parameters | Description
Available meters | List of available meters All meters of the appropriate meter type that are not yet assigned to a metering point are displayed. Only one meter per metering point can be assigned.
Select | Assigns the selected meter and transfers its values to the Assign meter range.
Delete | Deletes the assignment of a meter to a metering point. The meter itself is not deleted and remains in the list of meters.

Assign Meter

Parameters | Description
Name | Name of the assigned meter. Cannot be changed in this dialog.
Description | Description of the assigned meter Cannot be changed in this dialog.

Close dialog

Option | Description
OK | Applique les paramètres et ferme la boîte de dialogue.
Cancel | Annule toutes les modifications et ferme la boîte de dialogue.

Autres sujets abordés dans ce chapitre

Project configuration - meter assignment

Meter assignment for manual metering points

Meter assignment for automatic metering points


Project configuration - meter assignment

Manuel -> Assistants -> Rubriques -> Metering Point Administration -> Metering Point Administration -> Metering Point Administration - administration of metering points in Runtime -> Metering Points -> Assign, replace or remove meter -> Project configuration - meter assignment

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Project configuration - meter assignment

To assign a meter to a metering point or to amend an existing assignment:

  1. Select a metering point in the list of metering points.
  2. Click on:
    1. Assign Meter if the meter has not yet been assigned to a meter.
    2. Replace Meter if the meter has already been assigned to a meter.
  3. The Assign Meter/Replace Meter dialog is opened.
  4. If there is a meter replacement or allocation, enter the current value of the newly-assigned meter in the New value input field.
    A warning dialog appears if this value is already present in the archive.
    Entries that do not correspond to the input range are automatically amended to the maximum or minimum value.
    Note: For automatic metering points, the value entered here in the dialog for subsequent editing is shown in green in the Absolute value column.
  5. In the event of a meter replacement or when a meter assignment is deleted:
    Also enter the current value of the meter to be replaced or deleted in the Old value input field.
    Entries that do not correspond to the input range are automatically amended to the maximum value or minimum value.
    Note: For automatic metering points, the value entered here in the dialog for subsequent editing is shown in green in the Absolute value column.
  6. Select a meter from the list of available meters.
    Note: All meters with the same metering point type as the selected metering point are displayed here.
  7. Configure the meter assignment:
    1. Click on the Select button to assign the selected meter to the metering point.
    2. Click on the Delete button to release a meter that has already been assigned from the metering point.
  8. The selected meter is:
    1. Applied in the Assign Meter area.
    2. Removed from the Assign meter area.
  9. Click on OK to end the assignment.
  10. The dialog is closed:
    1. For manual metering points:
      Absolute values are written to the absolute value archive. Corresponding relative values are calculated automatically and written to the relative value archive.
    2. For automatic metering points:
      The dialog for subsequent editing is opened.


Meter assignment for manual metering points

Manuel -> Assistants -> Rubriques -> Metering Point Administration -> Metering Point Administration -> Metering Point Administration - administration of metering points in Runtime -> Metering Points -> Assign, replace or remove meter -> Meter assignment for manual metering points

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Meter assignment for manual metering points

Values are automatically written to the archive depending on the action:

  1. Assign meter:
    New value
  2. Remove meter:
    Old value
  3. Replace meter:
    Both values
    Note: Time stamp for replacement:
    1. Old value: Current time stamp
    2. New value: Two seconds later than the time stamp of the old value.

Relative value calculation

The relative values are automatically recalculated.

  1. During assignment:
    1. Relative values between the new value and the last absolute value found before that are recalculated.
    2. Relative values between the new value and the first absolute value found after that are recalculated.
  2. During deletion:
    1. Relative values between the old value and the last absolute value found before that are recalculated.
    2. Relative values between the old value and the first absolute value found after that are recalculated.
  3. When replacing:
    1. Relative values between the old value and the last absolute value found before that are subsequently calculated.
    2. Relative values between the new value and the first absolute value found after that are recalculated.

Warning dialog

If a meter replacement is carried out at a time at which an archive entry already exists, this must be overwritten. A dialog warns of this.

Parameters | Description
Yes | Applique les paramètres et ferme la boîte de dialogue.
No | Annule toutes les modifications et ferme la boîte de dialogue.
Cancel | Retains all changes. The changes are not carried out. The dialog remains open for corrections.


Meter assignment for automatic metering points

Manuel -> Assistants -> Rubriques -> Metering Point Administration -> Metering Point Administration -> Metering Point Administration - administration of metering points in Runtime -> Metering Points -> Assign, replace or remove meter -> Meter assignment for automatic metering points

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Meter assignment for automatic metering points

With automatic metering points, the post editing dialog always opens when amending the assignment of a meter. The values configured in the allocation dialog (Old value and New value) are shown in green in the Absolute value column. The respective time stamp is increased by two seconds.

info Informations

The new values are only applied to the relative value archive after completion of the project configuration in the post editing dialog!


History

Manuel -> Assistants -> Rubriques -> Metering Point Administration -> Metering Point Administration -> Metering Point Administration - administration of metering points in Runtime -> Metering Points -> History

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
History

The metering point history dialog shows the course of configuration of the selected metering point. Changes are not possible in this dialog.

Parameter | Description
Name | Name of the metering point. Cannot be changed in this dialog.
Location | Location of the metering point. Cannot be changed in this dialog.
Description | Description of the metering point. Cannot be changed in this dialog.
MeteringType | Type of the metering point Cannot be changed in this dialog.

History

Parameter

Description

Time

Time of the meter assignment or the meter replacement.

Old meter name

Name of the old meter.

Old meter value

Value of the old meter.

New meter name

Name of the new meter.

New meter value

Value of the new meter.

User ID

ID of the user who has entered the meter replacement.

User name

Name of the user who has entered the meter replacement.

Change type

The change that has been made is shown.

  • Added
    When a meter is assigned for the first time
    = Assign Meter
  • Changed
    When a meter replacement is carried out
    = Replace Meter
  • Deleted
    The assignment of a meter has been removed. No new meter was assigned to the metering point.

Close

Closes the dialog.

info Informations

The history only shows changes of meter assignments for a metering point.

Value changes are not displayed in the history.


Manual value input

Manuel -> Assistants -> Rubriques -> Metering Point Administration -> Metering Point Administration -> Metering Point Administration - administration of metering points in Runtime -> Metering Points -> Manual value input

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Manual value input

Manual values can only be entered for manual (i.e. not automatic) metering points. With the manual value entry, values can be entered for a certain point in time. Value entries for the future are not permitted.

Metering Point

Parameter | Description
Name | Name of the metering point. Cannot be changed in this dialog.
Location | Location of the metering point. Cannot be changed in this dialog.
Description | Description of the metering point. Cannot be changed in this dialog.
Measuring unit | Measuring unit of the metering point. Cannot be changed in this dialog.
Meter type | Type of meter. Cannot be changed in this dialog.

Settings for manual value

Parameter | Description
Date and time | Date and time of the entry of the absolute value. Clicking on the drop-down list opens a dialog to select the date and time. Note: Only the entry of dates from 1. 1. 2000 is possible. Calls before this date are not valid and are signalized by a red warning symbol. Default: Query time point, rounded up to a complete hour.
Value | Absolute value of the manual meter. Note: If the entry is outside the input range of the variable (Min./Max.), this is signalized by a red warning symbol. Default: Last-saved absolute value in the archive.
Range | Range of the absolute value.
Min. | Minimum value of the absolute value variable Cannot be changed in this dialog.
Max. | Maximum value of the absolute value variable Cannot be changed in this dialog.

Close dialog

Option | Description
OK | Applique les paramètres et ferme la boîte de dialogue.
Cancel | Annule toutes les modifications et ferme la boîte de dialogue.

Autres sujets abordés dans ce chapitre

Manual value input


Manual value input

Manuel -> Assistants -> Rubriques -> Metering Point Administration -> Metering Point Administration -> Metering Point Administration - administration of metering points in Runtime -> Metering Points -> Manual value input -> Manual value input

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Manual value input

To enter values manually:

  1. Select a manual metering point from the list of metering points.
  2. Click on the Manual value input button.
  3. The Manual value input dialog is opened.
  4. Select the date and time of the manual value:
    To do this, click on the Date and time drop-down list or enter the corresponding time in the input field directly.
    Attention: Manual value entries must not be in the future!
  5. Enter the new value in the input field
    Note: The valid input range of the selected variable is shown under Range.
  6. Click OK to apply the new value with the configured time stamp.
  7. The value input is validated.
    A warning dialog opens if there is already a value for the selected time point.
  8. The relative values are automatically recalculated.
    The following takes place after the values are entered:
    1. From the entered value until the last absolute value found is subsequently calculated.
    2. From the entered value until the next subsequent absolute value found is subsequently calculated.

Dialog in the event of duplicate value entries

If there is already an archive entry at the selected time point, this must be overwritten. A dialog warns of this.

Parameters | Description
Yes | Applique les paramètres et ferme la boîte de dialogue.
No | Annule toutes les modifications et ferme la boîte de dialogue.
Cancel | Retains all changes. The changes are not carried out. The dialog remains open for corrections.

Show manual entries

Tipp Conseil

To have manual value entries shown, use the Post-editing button.


Manual post processing

Manuel -> Assistants -> Rubriques -> Metering Point Administration -> Metering Point Administration -> Metering Point Administration - administration of metering points in Runtime -> Metering Points -> Manual post processing

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Manual post processing

Values from an archive can be subsequently edited in this dialog. Missing entries for relative values can be interpolated in order to get continuous values and thus, for example, close gaps more quickly as a result.

If, for an automatic metering point, the meter is replaced or deleted, the dialog for subsequent editing also opens.

Metering Points

Parameter | Description
Name | Name of the metering point. Cannot be changed in this dialog.
Location | Location of the metering point. Cannot be changed in this dialog.
Description | Description of the metering point. Cannot be changed in this dialog.
MeteringType | Type of the metering point Cannot be changed in this dialog.

Values

Parameter | Description
Time period | Time range from relative values and absolute values that is to be displayed.
From | Start of the time query Clicking on the drop-down list opens a dialog to select the date and time. Note: Only the entry of dates from 1. 1. 2000 is possible. Calls before this date are not valid and are signalized by a red warning symbol. Default: Query time point - 2 h (rounded up to a full minute).
To | End of the time query Clicking on the drop-down list opens a dialog to select the date and time. Note: Only the entry of dates from 1. 1. 2000 is possible. Calls before this date are not valid and are signalized by a red warning symbol. Default: Query time point (rounded up to the next whole minute).
Load | Loads the archive files for the absolute and relative values for the selected time range and lists these individually in the list of archive entries.
Interpolate | Calculates the relative values in the range between two selected absolute values. Selection of start and end by clicking and pressing the Shift key.
Apply | Writes the changes that have been made into the archive.
Range | Value range of the relative value.
Min. | Minimum value of the relative value variable Cannot be changed in this dialog.
Max. | Maximum value of the relative value variable Cannot be changed in this dialog.

List of archive entries

This list is empty when the dialog is called up. After the query time has been entered and the Load button is clicked on, the list is filled with the archive entries that are found.

Parameter | Description
Time | Time of the archive entry. Format: DD.MM.YYYY hh:mm:ss
Absolute value | Absolute value of the archive entry. Note: Values that are transferred from a meter assignment, a meter replacement or a meter deletion are shown in green.
Relative value | Relative value of the archive entry.

Close dialog

Parameter | Description
Close | Closes the dialog.

Autres sujets abordés dans ce chapitre

Subsequent editing of values


Subsequent editing of values

Manuel -> Assistants -> Rubriques -> Metering Point Administration -> Metering Point Administration -> Metering Point Administration - administration of metering points in Runtime -> Metering Points -> Manual post processing -> Subsequent editing of values

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Subsequent editing of values

To edit values subsequently:

  1. Select the desired metering point in the Metering points tab.
  2. Click on the Post-editing... button.

    The post editing dialog is opened

  3. Select a time range.
  4. Click on Load to load the archive data for the absolute and relative values for the selected time range.

    The value entries that are found are shown in the list.

Interpolate values

There must be valid absolute values in order to be able to interpolate values.

  1. Go to the list of archive entries and select the absolute values that you want to use for the calculation of relative values.
  2. To do this, hold down the Shift key and select the start and end values that are to be used for interpolation.
  3. Click on Interpolate to automatically calculate relative values between these.

    The new values are shown in the relative value column.

  4. Click on the Apply button to transfer the newly-calculated relative values to the archive.

A dialog is called up if the start or end values for interpolation are not valid:

Enter relative values

  1. Click on the list of the archive entries for the relative value that you want to change.

    The field to enter the relative value is unlocked.

  2. Enter the desired new relative value.

    The entry is validated.

Validation

If the value entered is outside the valid input range, it is not possible to complete the entering of the values in the input field. This is visualized with a red warning symbol at the start of the line. You can get other error details in the tool tip if you move the mouse over the warning symbol.

Note: empty value entries are not permitted. In this case, enter the figure 0.


Fix invalid values

Manuel -> Assistants -> Rubriques -> Metering Point Administration -> Metering Point Administration -> Metering Point Administration - administration of metering points in Runtime -> Metering Points -> Fix invalid values

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Fix invalid values

Invalid values are determined, displayed and corrected in this dialog.

Time period

The time range for the determination of invalid values is configured in this area.

Parameter

Description

From

Start of the time range to be examined.

Selection from drop-down dialog or by direct input. Invalid entries are already corrected or suppressed during input.

Format: Weekday, dd. month YYYY hh:mm

Default: 1 day before calling up the dialog

To

End of the time range to be examined.

Selection from drop-down dialog or by direct input. Invalid entries are already corrected or suppressed during input.

Format: Weekday, dd. month YYYY hh:mm

Default: Time the dialog is called up

Search invalid values

Starts the search for possible invalid values for the given time range.

The progress is shown in a bar during the search. The search can be canceled by clicking on the Cancel button.

Note: A value is invalid if the 18 [INVALID] status bit is active for this. The relative value archive of the selected metering point is examined.

List of invalid values

List of entries found in the relative value archive with invalid values.

Default: Empty with display text "No data to display".

Footer

Parameter

Description

Apply

Starts the correction for the selected entries.
Correction is visualized with a progress bar and can be canceled by clicking on the Cancel button.

Correction overwrites the incorrect relative values in the archive.

Note: Corrections are logged for each entry in the CEL.

Relative value correction for the metering point [metering point name]: Start [date], end: [Date], Relative value: [Relative value]

Not available if no value is selected for correction or correction is not possible for the selected value.

Close

Closes the dialog.

List of invalid values

All invalid values are shown in this list.

  • Consecutive incorrect values are compiled into one entry.
  • Entries that cannot be corrected are marked with a warning symbol (red circle or exclamation mark).
  • The possible reason for the prevention of automatic correction is visualized with a tool tip.
  • The view of the list can be configured:
    • Move the display width by clicking on the hyphen in the column view and moving the divider.
    • Arrange the columns by means of clicking the mouse and Drag&Drop.
  • The list can be sorted and filtered.
    • Sort by clicking on the column heading.
    • Filter by entering a filter term into the input field underneath the column heading.
      The filter criteria can be selected with the context menu
Parameter | Description
Metering Point | Name of the metering point.
Start | Time stamp of the last valid absolute value.
Start value | Last valid absolute value before an invalid value.
End | Time stamp of the first valid absolute value after an invalid value.
End value | First valid absolute value after an invalid value.
Number of values | Number of invalid relative values in the entry.
Interpolated value | Value that is written to the archive on correction.
Fix | Checkbox for the activation of automatic correction. Default: inaktiv Note: Clicking on the checkbox in the column header activates correction for all entries. Not available if correction is not possible for the entry (warning symbol).

Time selection drop-down dialog

Drop-down dialog to select the start time and end time for the determination of the invalid entries. Selection by means of mouse click.
Note: The drop-down dialog is only available in English.

Progress bar

Progress bar when determining the correction of invalid values.

Invalid values

Visualization and tool tip for values that cannot be corrected.


Validation

Manuel -> Assistants -> Rubriques -> Metering Point Administration -> Metering Point Administration -> Metering Point Administration - administration of metering points in Runtime -> Metering Points -> Validation

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Validation

In the metering point validation dialog, all archive values in the selected time range are shown for the configured metering point in a list.

The individual values can be confirmed and modified.

Time period

Time filter for the display of variables from the archive.

Parameter

Description

Time period

The time range is taken from the configuration of the metering point. Activate the checkbox to change the time range in Runtime.

  • active:
    Time range can be configured in Runtime
  • Inactive:
    Time range is not taken from the configuration of the metering point

Default: not active

Days

Time range of validation in days.

Default: 1

Note: not active if time range is absolute time filter.

Hours

Time range of validation in hours.

Default: 0

Note: not active if time range is absolute time filter.

Reload

Updates the list of values with the configured time range.

Selected validation

Clicking on the Validate Selected button sets the validation type to confirmed for all selected entries.

List of values

The list of values shows all archive entries of the archives configured for the metering point.

The list can be sorted and filtered.

  • Click on a column heading to sort the list.
  • Another click reverses the sorting order.
  • Right clicking on a column heading activates the context menu for the configuration of filtering.

Parameter

Description

Metering Point

Name of the metering point as configured.

Note: cannot be changed

Time

Time stamp of the archive value.

Note: cannot be changed

Source value

Value from source archive.

Note: cannot be changed

Target value

Target value as applied after validation:

  • The original value from the source archive is entered by default.
  • The target value is 0 if there is not yet any value in the archive.

A new target value is entered:

  • By double-clicking in the entry's target value cell
  • By entering the target value in the cell manually. Input takes valid counter values into account. There is no check of the limit values.

The validation type is amended to manipulated after the value has changed.

Validation type

Editing status of the value

  • Unedited:
    Value has not yet been confirmed or amended.
  • Unprocessed:
    The target value has been amended.
    Note: Amended entries are shown in the list in blue.
  • Confirmed:
    Value has been confirmed.
    Note: Confirmed values are shown in green in the list.

Close dialog

Parameter

Description

Close

Closes the dialog.

Before the closing process, a check is carried out to see whether all loaded values have been confirmed or processed.

If there are values in the list that have not been confirmed or corrected (validation type: unprocessed), this is shown with a dialog.

Apply

Applies settings and writes amended values to the archive.

For each value that is written to the target archive, a corresponding CEL entry is also created.

Dialog - missing validation

Clicking on the Close button instigates a check for the unprocessed validation type. If there are still entries with the unprocessed validation type present, this is shown in a notice dialog.

Parameter | Description
OK | Closes the dialog. Attention: Values that have not been applied are thus not transferred to the archive.
Cancel | Returns to the metering point validation dialog. Further configuration can be carried out.

Autres sujets abordés dans ce chapitre

Validation - Operation in the Runtime


Validation - Operation in the Runtime

Manuel -> Assistants -> Rubriques -> Metering Point Administration -> Metering Point Administration -> Metering Point Administration - administration of metering points in Runtime -> Metering Points -> Validation -> Validation - Operation in the Runtime

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Validation - Operation in the Runtime

Carry out the following steps to validate metering point entries in Runtime:

  • Go to the metering Metering points tab:
    A list of configured metering points is shown.
  • Highlight the metering point with the validation action.
  • Click on the Validation button:
    The metering point validation dialog is opened.
    Opening this dialog can take some time depending on the size of the archive entries. This loading process is shown.
  • Validate the data:
    • Modify the corresponding entries with new values.
    • Confirm the existing entries for which no changes are necessary.
      To do this, use multiple selection and the Validate selected button.
      Individual entries can be confirmed by double-clicking in the target value line.
  • Click on the Apply button to write your amendments to the target archive.
    Successful saving of the data in the target archive is visualized with a green tick next to the button.
    The status of an edited entry is set to manual value (MAN_VAL).
  • Carry out further amendments.
  • End the validation by clicking on the Close button.
    Before closing the dialog, the list is checked for entries that have not yet been confirmed.
  • The validation dialog is closed by clicking on the OK button.

info Informations

Entries that have already been amended or transferred (validation type: validated) can be amended again. These get the manipulated validation type again after a change. Ensure that each change is transferred to the archive with the Apply button.


Filtering of meters by means of variable

Manuel -> Assistants -> Rubriques -> Metering Point Administration -> Metering Point Administration -> Metering Point Administration - administration of metering points in Runtime -> Metering Points -> Filtering of meters by means of variable

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Filtering of meters by means of variable

You have the possibility to filter the list of metering points according to certain criteria. To achieve this, write a corresponding value to the filter variable.

Tipp Conseil

You can define a filter string for each user and set this to the filter variable using a recipe when the user is logged in.

You thus have each user only having the metering points that are relevant to them visible in the list.

This filtering can also be used for more simple validation, in that all metering points that are not relevant to validation are removed from the filter and the remaining ones are automatically selected.

The following is applicable for filtering:

  • A filter can be defined for each column
  • Individual filter strings are separated by #
  • The divider within a filter string is an empty space
  • The arrangement of the elements in the filter string is as desired
  • All filtered entries are automatically selected with the SelectAll string

Structure of a filter string

Operator filter value column code

Overview of column codes and operators for filtering

The following column codes and operators are available

Overview of the column codes

Code | Column
na | Name
de | Description
lo | Location
mt | MeteringType
ca | Calculation active
mn | Meter name
md | Meter description
bh | Behavior
eq | Equipment Groups

Overview for operators

The number or string can be chosen to be used as an operator.

Number | String
0 | None
1 | IsLike
2 | IsNotLike
3 | IsLessThan
4 | IsLessThanOrEqualTo
5 | IsEqualTo
6 | IsNotEqualTo
7 | IsGreaterThanOrEqualTo
8 | IsGreaterThan
9 | StartsWith
10 | EndsWith
11 | Contains
12 | NotContains
13 | IsNull
14 | IsNotNull
15 | IsContainedIn

Examples

Entry in the Name column contains the Com string:
Value of the filter variable: na Contains Com

Calculation active is set:
Value of the filter variable: ca 5 True

Entry in the Behavior column starts with Auto, automatic selection of the filtered entries:
Value of the filter variable: bh StartsWith Auto#SelectAll

Combination of all three filters:
Value of the filter variable: na Contains Com#ca 5 True#bh StartsWidth Auto#SelectAll

If a filter string contains invalid values, the other filter strings are nevertheless applied.


Counter

Manuel -> Assistants -> Rubriques -> Metering Point Administration -> Metering Point Administration -> Metering Point Administration - administration of metering points in Runtime -> Counter

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Counter

Meters are administered in Runtime in this tab.

Parameter | Description
New | Opens the dialog to create a new meter.
Edit | Opens the dialog to edit the selected meter.
Delete | Deletes the selected meter.

List of the meters

Parameter | Description
Name | Name of the meter that has been created.
Description | Description of the meter.
Manufacturer | Manufacturer of the meter.
Meter type | Meter type of the meter.
Serial Number | Serial number of the meter.
Note | Note in relation to the meter that has been created.
Year of construction | Year of construction of the meter.

Autres sujets abordés dans ce chapitre

Create new meter

Edit meter

Delete meter


Create new meter

Manuel -> Assistants -> Rubriques -> Metering Point Administration -> Metering Point Administration -> Metering Point Administration - administration of metering points in Runtime -> Counter -> Create new meter

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Create new meter

In this dialog (both in the wizard and in Runtime), meters are configured and existing project configurations are amended.

Parameters | Description
Name | Identification of the meter. Mandatory field
Description | Description for the meter. Optional entry
Note | Note in relation to the meter. Optional entry
MeteringType | Type assignment of the meter. Drop-down list with types that have already been configured. This drop-down list also corresponds to the type list for the creation of a new metering point. Optional entry
Manufacturer | Name of the manufacturer of the meter. Optional entry
Serial Number | Serial number of the meter. Optional entry
Year of construction | Year of construction of the meter. Optional entry

Close dialog

Parameters | Description
Save & New | Saves the new meter. The dialog to create a new meter is then called up with empty content again. Other meters can be configured.
Cancel | Annule toutes les modifications et ferme la boîte de dialogue.

Note: Once the entries have been saved, a new entry is written to the database and the new entry is added to the list.

Autres sujets abordés dans ce chapitre

Configuration of a meter in Runtime


Configuration of a meter in Runtime

Manuel -> Assistants -> Rubriques -> Metering Point Administration -> Metering Point Administration -> Metering Point Administration - administration of metering points in Runtime -> Counter -> Create new meter -> Configuration of a meter in Runtime

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Configuration of a meter in Runtime

To create a new meter, proceed as follows:

  1. Click on the Meter tab.
  2. Click on New.
  3. The dialog to create a new meter or amend an existing one is opened.
  4. Enter the information about the meter.

Note: Incorrect entries are signaled by a red warning triangle next to the input field.


Edit meter

Manuel -> Assistants -> Rubriques -> Metering Point Administration -> Metering Point Administration -> Metering Point Administration - administration of metering points in Runtime -> Counter -> Edit meter

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Edit meter

To edit a meter that already exists, proceed as follows:

  1. Switch to the Meter tab.
  2. Select the corresponding meter in the list of the configured meters.
  3. Click on Edit.
  4. The Edit meter dialog is opened.
  5. Add any other desired information and administer the meter as you wish.
  6. Click on Save & Close.


Delete meter

Manuel -> Assistants -> Rubriques -> Metering Point Administration -> Metering Point Administration -> Metering Point Administration - administration of metering points in Runtime -> Counter -> Delete meter

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Delete meter

To delete an existing meter, proceed as follows:

  1. Select a meter that you want to delete in the Meter tab.
  2. Then click on the Delete button and confirm the warning dialog with OK.
  3. The meter you have elected is deleted.

Note: If a meter is already connected to a metering point, it cannot be deleted. The Delete button is grayed out in this case. To delete a meter that has already been assigned, it must first be deleted from the metering point or replaced in Runtime.


Metering Point Administration in the zenon network

Manuel -> Assistants -> Rubriques -> Metering Point Administration -> Metering Point Administration -> Metering Point Administration - administration of metering points in Runtime -> Metering Point Administration in the zenon network

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Metering Point Administration in the zenon network

If the metering point administration in Runtime is executed on a client and the primary server fails, the module is deactivated. A corresponding message is shown in zenon Runtime.

Entry of dialogs that are still open at the time of the server failure are ignored. This ensures that there is no inconsistent data between zenon archives / Chronological Event List and the metering point history.

The module is active again as soon as the primary server can be reached again.


zenon Logic components of metering point administration

Manuel -> Assistants -> Rubriques -> Metering Point Administration -> Metering Point Administration -> zenon Logic components of metering point administration

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

The calculation of relative values with automatic metering points is implemented with the Calculate relative value setting active with zenon Logic.

Necessary configurations are automatically applied by the metering point administration. You can find information about these automated steps in the Summary tab of the Metering Point Administration wizard in zenon Editor. You are informed of any problems that occur in this tab.

tutorial Informations concernant la licence

Additional licensing of zenon Logic is not necessary. The standard licensing is sufficient.

Autres sujets abordés dans ce chapitre

Check for open zenon Logic Workbench

zenon Logic project configurations for metering point administration

Apply changes in zenon Logic

VACO function block

ArchivTrigger function block


Check for open zenon Logic Workbench

Manuel -> Assistants -> Rubriques -> Metering Point Administration -> Metering Point Administration -> zenon Logic components of metering point administration -> Check for open zenon Logic Workbench

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Check for open zenon Logic Workbench

When starting the Metering point Administration in the zenon Editor, a check is first made to see whether zenon Logic Workbench is open. To avoid incorrect configurations, you are requested to close zenon Logic Workbench if it is open. The wizard cannot be started if Workbench is open!

Remarque : Cette boîte de dialogue est uniquement disponible en anglais.

Parameter | Description
Wiederholen | Another check for open zenon Logic Workbench. If zenon Logic Workbench is not open, the wizard is loaded. If zenon Logic Workbench is still open, the error dialog appears again.
Abbrechen | Cancels the opening of the metering point administration.


zenon Logic project configurations for metering point administration

Manuel -> Assistants -> Rubriques -> Metering Point Administration -> Metering Point Administration -> zenon Logic components of metering point administration -> zenon Logic project configurations for metering point administration

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
zenon Logic project configurations for metering point administration

When creating automatic metering points with the Calculate relative value setting activated, the following actions are carried out in the background:

Creation of a driver

  1. Typ STRATONNG
  2. Name: MeteringPoint
  3. Amendment of the driver settings
    1. Host: localhost
    2. Port: 14731
      The port number is increasing by 1 for every loaded project if there are many projects in the workspace.

Creation of a zenon Logic project

  1. Name: MeteringPoint
  2. Host: localhost
  3. Port: 14731
    The port number is increasing by 1 for every loaded project if there are many projects in the workspace.

Creation of a program in the zenon Logic project for the calculation of relative values

Name: RelativeValueCalculation

Once configuration has been completed, the zenon Logic project and the zenon project are compiled.

The zenon Logic Workbench must be closed during the configuration of a metering point in the wizard. If there is a problem, a corresponding warning message appears in the Summary of the wizard.

attention Attention

All manual changes to the MeteringPoint driver, as well as the changes to the zenon Logic MeteringPoint project (including RelativValueCalculation program) can lead to automatic relative value calculation no longer working.


Apply changes in zenon Logic

Manuel -> Assistants -> Rubriques -> Metering Point Administration -> Metering Point Administration -> zenon Logic components of metering point administration -> Apply changes in zenon Logic

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Apply changes in zenon Logic

Changes to the configuration of metering points can lead to changes in the zenon Logic Program.

These changes are not applied in zenon Runtime by reloading. The current zenon Logic program is only loaded when Runtime is restarted.

Example Exemple

Change to the cycle time of an existing archive.

In order for correct calculations to take place for a metering point with calculated relative values (Calculate relative value property active), zenon Runtime must be restarted.


VACO function block

Manuel -> Assistants -> Rubriques -> Metering Point Administration -> Metering Point Administration -> zenon Logic components of metering point administration -> VACO function block

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
VACO function block

The VACO function block in zenon Logic carries out the calculation of relative values.

When creating automatic metering points with the "Calculate relative value" setting activated, an instance of the function block is created in the zenon Logic program RelativValueCalculation for the corresponding metering point. If an automatic metering point with activated relative value calculation is deleted or the relative value calculation for an automatic metering point is deactivated, the attendant project configurations (variables and lines of code) are removed in zenon Logic.

Programming - source code

//Instance for Metering Point MessstellenName

VACO_MessstellenID(ANY_TO_LREAL({AbsolutVariablenName}),INT#1,{FunktionsTriggerVariablenName},T#5s,FALSE,0.0);

{RelativVariablenName}:=ANY_TO_DatenTypRelativVariable(VACO_0001);

{ArchivTriggerVariablenName}:=VACO_MessstellenID.TA;


ArchivTrigger function block

Manuel -> Assistants -> Rubriques -> Metering Point Administration -> Metering Point Administration -> zenon Logic components of metering point administration -> ArchivTrigger function block

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
ArchivTrigger function block

The ArchivTrigger function block carries out the necessary calculations (in the background) in order to trigger cyclical archives with the configured cycle time.

If the project configuration of a cyclical archive for the metering point administration in zenon is changed, the zenon Logic program is automatically updated after the wizard is opened.

Programming - source code

//Instance for Trigger RE

Trigger_RE(ULINT#1420066800,ULINT#900,ULINT#28800,False,False,False);

OUT_TF_RE:=Trigger_RE.TF;


Pharmaceutical (Pharmacie)

Manuel -> Assistants -> Rubriques -> Pharmaceutical (Pharmacie)

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Assistants pour l'industrie pharmaceutique.

Autres sujets abordés dans ce chapitre

Pharmaceutical Wizard (Assistant pharmaceutique)


Pharmaceutical Wizard (Assistant pharmaceutique)

Manuel -> Assistants -> Rubriques -> Pharmaceutical (Pharmacie) -> Pharmaceutical Wizard (Assistant pharmaceutique)

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

L'assistant pour l'industrie pharmaceutique autorise la gestion des projets validés pour l'industrie pharmaceutique. Il récapitule les paramètres nécessaires dans le cadre d'un projet conforme aux Bonnes Pratiques de Fabrication (BPF). Ces paramètres peuvent être gérés et modifiés dans l'assistant. Les paramètres sont chargés dans l'assistant par le biais d'un projet existant ou de fichiers de configuration.

Les paramètres suivants sont gérés :

  • General project settings (Paramètres généraux du projet)
  • Gestion des utilisateurs
  • Groupes d'utilisateurs
  • Paramétrage de la liste chronologique des événements
  • Paramètres de la liste d'alarmes
  • Modèle XML

Les paramètres configurés dans l'assistant peuvent être :

  • Réécrits dans le projet actif
  • Enregistrés dans un nouveau projet
  • Enregistrés dans un fichier de configuration spécial
    Ces fichiers de configuration créés dans l'assistant peuvent être utilisés et réutilisés indéfiniment, et peuvent également être améliorés. Toutefois, ils peuvent uniquement être lus et modifiés dans l'assistant.

Autres sujets abordés dans ce chapitre

Démarrage de l'assistant

Welcome (Bienvenue)

Paramètres

propriétés du projet

Gestion des utilisateurs

Groupes d'utilisateurs

Liste CEL et liste d'alarmes

Templates I (Modèles I)

Templates II (Modèles II)

Terminer


Démarrage de l'assistant

Manuel -> Assistants -> Rubriques -> Pharmaceutical (Pharmacie) -> Pharmaceutical Wizard (Assistant pharmaceutique) -> Démarrage de l'assistant

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

To start the wizard:

  1. Click on Tools -> Start Editor Wizards....
    Or: Press the short cut Alt+F12

    The selection window with the available wizards opens.

  2. Sélectionnez le dossier de Pharmaceutical.
  3. Ensuite, sélectionnez Pharmaceutical Wizard
  4. Cliquez sur OK.

    L'assistant démarre en affichant la page d'accueil.


Welcome (Bienvenue)

Manuel -> Assistants -> Rubriques -> Pharmaceutical (Pharmacie) -> Pharmaceutical Wizard (Assistant pharmaceutique) -> Welcome (Bienvenue)

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

L'onglet Welcome (Bienvenue) vous informe sur le fonctionnement et l'utilisation de l'assistant.

Pour naviguer dans l'assistant, cliquez sur les étapes individuelles ou progressez étape par étape, en cliquant sur les boutons fléchés.

Cliquez sur Cancel (Annuler) pour fermer l'assistant. Toutes les modifications apportées à un fichier ou un projet depuis le dernier enregistrement sont abandonnées.


Paramètres

Manuel -> Assistants -> Rubriques -> Pharmaceutical (Pharmacie) -> Pharmaceutical Wizard (Assistant pharmaceutique) -> Paramètres

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Sur cet onglet :

  • Vous chargez les paramètres
  • Vous adaptez les descriptions de projets

Paramètre

Description

Configuration

Définition du projet en cours d'édition.

Load from active project

Charge les paramètres du projet actif dans l'espace de travail dans l'assistant.

Load from configuration file

Charge les données provenant d'un fichier de configuration enregistré (*.cof). Le fichier est sélectionné dans la liste. La liste affiche tous les fichiers de configuration disponibles dans le dossier sélectionné (Select directory [Sélectionner le répertoire]).

Information : les fichiers de configuration créés peuvent uniquement être lus, créés et édités avec l'assistant.

Select directory

Ouvre la boîte de dialogue de sélection permettant de sélectionner le dossier dans lequel se trouvent les fichiers de configuration (*.cof) souhaités. Les fichiers sont affichés dans la liste située sous le bouton.

Templates

Paramètres des modèles XML et XRS.

Project description

Informations concernant le projet, telles qu'elles sont définies dans la propriété Description du projet de la boîte de dialogue.

Celles-ci sont reprises par le projet chargé et peuvent être modifiées. Pour faciliter la vérification, toutes les modifications sont affichées sur l'onglet Terminer.

Author

Auteur du projet.

Manager

Responsable du projet.

Company

Entreprise.

Comment

Commentaire.


propriétés du projet

Manuel -> Assistants -> Rubriques -> Pharmaceutical (Pharmacie) -> Pharmaceutical Wizard (Assistant pharmaceutique) -> propriétés du projet

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Paramètres :

  • Réseau
  • Autorisation sur le réseau
  • Historique des modifications

Paramètre

Description

Network

Réseau

Propriétés d’utilisation du projet sur un réseau.

Plus de détails dans l’aide en ligne.

Active

Réseau actif

  • Active : Le projet est utilisé comme un projet en réseau. Un serveur doit être défini.
  • Inactive : Le projet est un projet autonome.

Par défaut : Inactive

Plus de détails dans l’aide en ligne.

Server name

Serveur 1

Disponible uniquement si la propriété Réseau actif est active.
L'ordinateur qui établit la connexion au matériel lors de projets en réseau et gère les données du projet. Les clients se connectent à cet ordinateur.

Cliquez sur ... pour ouvrir une boîte de dialogue contenant une liste des ordinateurs actuellement disponibles sur le réseau.

Conseil : l’adresse IP n’est pas suffisante ; vous devez saisir le nom de l’ordinateur. Le nom localhost ne doit pas être utilisé.
Si le nom est modifié, il ne peut pas être actualisé. Il ne sera mis à jour qu’après le redémarrage du Runtime.

Plus de détails dans l’aide en ligne.

Standby name

Serveur 2

Disponible uniquement si un ordinateur a été spécifié dans la propriété Serveur 1.

Cliquez sur ... pour ouvrir une liste déroulante contenant les ordinateurs disponibles sur le réseau.
Cet ordinateur assume alors le rôle de serveur dans les systèmes redondants en cas de défaillance du serveur primaire. La défaillance est identifiée si le serveur principal ne réagit pas dans le délai défini dans la propriété Network communication timeout de l’outil Startup Tool. Une mémoire spécifique au serveur redondant pallie le délai entre l’interruption de la connexion au serveur et le basculement, évitant ainsi toute perte de données.

Conseil : Le nom "localhost" ne doit pas être utilisé.
Si le nom est modifié, il ne peut pas être actualisé. Il ne sera mis à jour qu’après le redémarrage du Runtime.
Attention : Les heures système du serveur primaire et du serveur redondant doivent être identiques.
Plus de détails dans l’aide en ligne.

Redundancy type

Type de redondance

Disponible uniquement si un ordinateur a été spécifié dans la propriété Serveur 2.

zenon prend en charge deux types de redondance :

  • Redondance logicielle : Ce système se compose d’un automate et de deux ordinateurs redondants du système de contrôle. Les deux ordinateurs doivent disposer d’une connexion à l’automate. Les deux ordinateurs communiquent avec le contrôle et actualisent simultanément les données provenant du contrôle. Les communications bidirectionnelles avec le contrôle sont gérées par l’ordinateur jouant le rôle de serveur. Le serveur établit des communications bidirectionnelles, le système redondant établit des communications unidirectionnelles. En cas de défaillance du serveur, le serveur redondant prend en charge les communications bidirectionnelles avec l’automate.
  • Redondance matérielle : Le système se compose de deux automates redondants et de deux ordinateurs contrôleurs redondants. Chaque serveur établit une communication bidirectionnelle avec un automate. Les deux ordinateurs et les deux automates synchronisent leurs données. Si un composant du premier système subit une défaillance, le deuxième composant prend le relais.

Par défaut : Redondance logicielle

Plus de détails dans l’aide en ligne.

Network authorization

Autorisation d'accès

Propriétés de l’autorisation d’utilisation sur le réseau.

Plus de détails dans l’aide en ligne.

Active

Bedienberechtigung aktiv

Disponible uniquement si la propriété Réseau actif est active.
La gestion des autorisations sur le réseau garantit qu’une seule station connectée au réseau peut exécuter une opération active (par ex., modification de valeurs prescrites) à un instant donné. L’accès passif (en lecture seule) est toujours possible, indépendamment de l’option choisie.

  • Active :
    Un seul ordinateur peut intervenir sur le projet à un instant donné (par ex., acquittement d’alarme, écriture de valeurs prescrites).
  • Inactive :
    plusieurs stations peuvent actionner le projet à la fois.

Par défaut : Inactive

Plus de détails dans l’aide en ligne.

Timeout for request [s]

Timeout pour requête [s]

Uniquement disponible si les options Autorisations globales de fonctionnement ou Autorisation de fonctionnement par modèle d’équipement ont été sélectionnées dans la liste déroulante pour la propriété Autorisation sur le réseau.
Si l’autorisation de fonctionnement sur le réseau est bloquée par un poste, elle peut être demandée par un autre ordinateur. La réponse à la demande doit être reçue dans la limite de temps définie ici. En cas d’expiration du délai d’attente de la réponse, la station demandeuse reçoit automatiquement l’autorisation.

Par défaut : 60 Secondes

Plus de détails dans l’aide en ligne.

Timeout for acknowlewdgement [s]

Timeout pour autorisation [s]

Disponible uniquement si la propriété Autorisation sur le réseau a été configurée.
Dans cet intervalle, l’ordinateur (client) possédant l’autorisation doit répondre au serveur avant expiration de ce délai. Si cet événement ne se produit pas, l’autorisation est automatiquement accordée.
Attention : cette valeur doit être inférieure au délai défini dans la propriété Timeout [s].

Par défaut : 60 secondes

Plus de détails dans l’aide en ligne.

History of changes

Historique des modifications

Propriétés de l’historique des modifications.

Plus de détails dans l’aide en ligne.

Active

Historique des modifications actif

Case à cocher d’activation de l’historique des modifications.

  • Active :
    Les modifications apportées au projet sont également consignées.
  • Inactive :
    Les modifications apportées au projet ne sont pas consignées.

Par défaut : Inactive

Plus de détails dans l’aide en ligne.

Detailing level

Niveau de détails

Disponible uniquement si la propriété Historique des modifications actif a été activée.

Sélectionnez l’étape par défaut dans la liste déroulante.

  • Objet :
    Seuls les noms des objets modifiés sont enregistrés. Les détails concernant les propriétés qui ont été modifiées, ainsi que leurs valeurs, ne sont pas affichés dans l’historique des modifications.
  • Propriétés :
    Outre les noms d’objet, les propriétés modifiées ainsi et les nouvelles valeurs sont affichées dans l’historique des modifications.
  • Modifications de valeurs :
    Ce paramètre correspond au niveau de journalisation le plus détaillé. Les nouvelles valeurs des propriétés sont affichées, ainsi que les anciennes. Ceci autorise un suivi complet des modifications.

Par défaut : Objet

Remarque : Les valeurs modifiées sont tronquées à une longueur de 128 caractères.


Gestion des utilisateurs

Manuel -> Assistants -> Rubriques -> Pharmaceutical (Pharmacie) -> Pharmaceutical Wizard (Assistant pharmaceutique) -> Gestion des utilisateurs

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Paramètres de gestion des utilisateurs :

Paramètre

Description

User administration

Gestion des utilisateurs

Propriétés du projet pour la gestion des utilisateurs.

Plus de détails dans l’aide en ligne.

Delete users

Supprimer utilisateurs

  • Active : La suppression d’un utilisateur dans le Runtime est autorisée.
  • Inactive : Les utilisateurs peuvent uniquement être marqués comme supprimés. L’utilisateur reste présent dans la liste d’utilisateurs, mais n’est plus valide dans le Runtime (conformément aux directives de la FDA).

Par défaut : active

Plus de détails dans l’aide en ligne.

Minimum password length

Longueur min. mot de passe

Longueur minimale du mot de passe, en caractères.

  • Minimum : 0
  • Maximum : 20

Par défaut : 6

Plus de détails dans l’aide en ligne.

Period of password validity [days]

Mot de passe - période de validité [j]

Saisissez une période (en jours) définissant la validité d’un mot de passe. Après expiration du délai d’attente, vous devez saisir un nouveau mot de passe.

  • Minimum : 0 - le mot de passe n’expire jamais ; il n’est pas nécessaire de le renouveler. Pour ce paramètre, la valeur 2147483647 est écrite dans la variable de driver système Jours avant expiration du mot de passe.
  • Maximum : 4294967295

Par défaut : 0
Attention : Pour les productions conformes aux directives de la FDA, la valeur 0 n’est pas autorisée, car la réglementation de la FDA nécessite la modification cyclique du mot de passe.

Plus de détails dans l’aide en ligne.

Number of invalid user name inputs

Nb max d'erreurs utilisateur

Nombre de saisies autorisées d’un nom d’utilisateur inexistant.
Le système est bloqué en cas de dépassement de ce nombre. À l’exception des administrateurs, plus aucun utilisateur ne peut se connecter. Le système est automatiquement déverrouillé lorsqu’un administrateur se connecte. Une entrée correspondante est créée dans la liste d’événements (CEL). Toute modification de cette valeur ne prend effet dans le Runtime qu’après un redémarrage.

  • Minimum : 0
  • Maximum : 65535

Par défaut : 3

Plus de détails dans l’aide en ligne.

Number of invalid password inputs

Nb max d'erreurs mot de passe

Nombre de saisies incorrectes du mot de passe.
L'utilisateur correspondant est bloqué si ce nombre est dépassé. Le blocage peut uniquement être annulé par un administrateur. Une boîte de dialogue correspondante est créée dans la liste d’événements (CEL).

  • Minimum : 0
  • Maximum : 65535

Par défaut : 3

Plus de détails dans l’aide en ligne.

User administration storage

Enregistrement de la gestion des utilisateurs

Selected user storage

Sélectionnez l'emplacement auquel vous souhaitez enregistrer la gestion des utilisateurs :

  • Projet
  • Active Directory (AD)
  • Active Directory Application Mode (ADAM)

ADAM connection string

Connexion AD-LDS

Chemin de connexion à ADAM ou AD LDS.

Vous devez saisir le chemin de connexion au format suivant : [Nom du PC]:[port]/[organisation]

Exemple : w3k:50000/O=760,c=com

Pour plus d’informations sur AD LDS, reportez-vous à l’aide en ligne.

Pour plus d’informations sur ADAM, reportez-vous à l’aide en ligne.

ADAM user identification

Identification utilisateur AD-LDS

Nom d’utilisateur d’un utilisateur local de l’ordinateur ADAM/AD LDS possédant des droits d’administrateur.

Pour plus d’informations sur AD LDS, reportez-vous à l’aide en ligne.

Pour plus d’informations sur ADAM, reportez-vous à l’aide en ligne.

ADAM password

Mot de passe AD-LDS

Mot de passe de l’utilisateur local du PC ADAM/AD LDS.

Pour plus d’informations sur AD LDS, reportez-vous à l’aide en ligne.

Pour plus d’informations sur ADAM, reportez-vous à l’aide en ligne.

Log out/log in

Propriétés de connexion et de déconnexion

Activate automatical logout

Activer déconnexion automatique

  • Active : L’utilisateur est automatiquement déconnecté en cas d’inactivité pendant la période définie dans la propriété Temps [min].
  • Inactive : L’utilisateur n’est pas automatiquement déconnecté par le système.

Par défaut : Inactive

Plus de détails dans l’aide en ligne.

Activate temporary login

Connexion temporaire active

Activation d’une connexion temporaire pour les utilisateurs qui souhaitent actionner un élément, mais ne sont pas connectés :

  • Active : Tout utilisateur ayant besoin d’une autorisation d’utilisation est invité à saisir son identifiant et son mot de passe. À cette fin, le synoptique de connexion ou une boîte de dialogue modale s’affiche à l’écran, en fonction de la configuration. L’utilisateur est automatiquement déconnecté immédiatement après l’opération
  • Inactive : Tout utilisateur ayant besoin d’une autorisation d’utilisation est informé qu’il n’est pas autorisé à exécuter cette opération.

Par défaut : active

Remarque :

  • Vous pouvez définir la position et la taille de la boîte de dialogue modale dans le fichier zenon6.ini, à l’entrée [Befehlsgabe] Position =.
  • Le synoptique de connexion peut être utilisé à la place de la boîte de dialogue modale. Ce choix est défini à l’aide de la propriété Synoptique pour Connexion avec signature.

Plus de détails dans l’aide en ligne.

Locked buttons style

Boutons protégés

Disponible uniquement si la propriété Connexion temporaire active est inactive.
Détermine l’apparence des boutons verrouillés en fonction de la configuration des autorisations de l’utilisateur. Dans le Runtime, cet élément est associé à la propriété Boutons verrouillés (Apparence graphique) pour autoriser l’utilisation des touches.

Formats possibles :

  • Gris
  • Normal
  • Invisible

Par défaut : Normal

Plus de détails dans l’aide en ligne.

Set names for authorization levels

Conforme à la propriété Renommer niveaux d'autorisation.

Vous pouvez attribuer un nom à chacun des 128 niveaux d'autorisation. Cliquez dans la colonne droite pour activer la fonction de changement de nom.


Groupes d'utilisateurs

Manuel -> Assistants -> Rubriques -> Pharmaceutical (Pharmacie) -> Pharmaceutical Wizard (Assistant pharmaceutique) -> Groupes d'utilisateurs

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Sur cet onglet, vous attribuez des niveaux d'autorisation aux différents groupes d'utilisateurs.

Paramètre | Description
User groups | Liste des groupes d'utilisateurs
User group levels | Liste des niveaux d'autorisation
Delete | Supprime l'objet sélectionné sans affichage d'un message de confirmation.

Cliquez sur un groupe d'utilisateurs pour afficher le niveau d'autorisation associé. En cliquant sur le niveau, vous pouvez éditer le niveau d'autorisation. Le nom est adapté automatiquement. Cliquez sur un niveau vide pour insérer un nouveau niveau d'autorisation.

En cliquant sur Delete (Supprimer), vous pouvez supprimer à la fois les groupes et les niveaux d'autorisation attribués. Lors de la suppression, aucun message de confirmation n'est affiché.


Liste CEL et liste d'alarmes

Manuel -> Assistants -> Rubriques -> Pharmaceutical (Pharmacie) -> Pharmaceutical Wizard (Assistant pharmaceutique) -> Liste CEL et liste d'alarmes

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Configuration de la liste chronologique d'événements et de la liste d'alarmes.

Paramètre

Description

Chronlogic Event List and Alarm Message List

Liste d'événements

Propriétés d’administration de la liste d’événements (CEL).

Plus de détails dans l’aide en ligne.

CEL active

Gestion des événements active

  • Active : la liste d’événements (CEL) est active dans le Runtime. Les événements sont consignés et la liste CEL est disponible.
  • Inactive : aucun événement n’est enregistré.

Par défaut : active

Remarque : Les modifications prennent effet après le redémarrage du Runtime.

Plus de détails dans l’aide en ligne.

Update automatically

Mettre à jour automatiquement

Disponible uniquement si la propriété Gestion des événements active est active.

  • Active : lorsque la liste CEL est ouverte dans le Runtime, les événements modifiés sont immédiatement ajoutés lorsqu’ils se produisent.
  • Inactive : lorsque la liste CEL est ouverte, les entrées modifiées sont uniquement ajoutées avant l’écriture d’une valeur dans l’automate. La valeur présente dans l’automate avant l’écriture est alors insérée en tant que valeur réelle dans la liste CEL.
    Les nouvelles entrées sont ajoutées lors de la prochaine ouverture de la liste CEL.

Par défaut : active

Plus de détails dans l’aide en ligne.

Print system messages

Imprimer messages système

Active : lors de l’impression en ligne, les messages système sont également imprimés.
Inactive : lors de l’impression en ligne, les messages système ne sont pas imprimés.
Par défaut : active

Plus de détails dans l’aide en ligne.

Long dynamic limit texts CEL

Textes de limite dynamiques longs pour les événements

Détermine si le champ de commentaires des textes de valeur limite dynamiques est disponible. La valeur limite dynamique permet d’insérer les valeurs actuelles d’autres variables dans le texte de valeur limite d’une variable.

  • Active : Le contenu dynamique sera stocké dans un fichier au format D*.CEL. Il sera en outre enregistré dans le fichier C*.CEL. Le champ peut être utilisé pour la saisie de commentaires. Les textes de limite dynamique peuvent avoir une longueur maximale de 1024 caractères.
  • Inactive : Le champ de commentaires est utilisé pour les textes de valeur limite dynamiques et n’est donc pas disponible pour les commentaires. Longueur maximale : 80 caractères.

Par défaut : Inactive.

Plus de détails dans l’aide en ligne.

Signature text editable

Texte de signature éditable

Active : Une boîte de dialogue de modification du texte de signature est affichée dans le Runtime.

Inactive : Le texte de signature ne peut pas être modifié dans le Runtime.

Par défaut : Inactive

Plus de détails dans l’aide en ligne.

Data storage CEL

Stockage des événements

Propriétés de l’enregistrement des entrées de la liste d’événements (CEL) dans la mémoire principale et sur le disque dur.

Plus de détails dans l’aide en ligne.

Size of the ringpuffer

Taille du buffer circulaire

Disponible uniquement si la propriété Gestion des événements active est active.
Taille de la mémoire circulaire de la liste CEL. En cas de dépassement de capacité de la mémoire circulaire (cel.bin), les entrées sont transférées vers l’archive CEL (*.cel).
Minimum : 1
Maximum : 32767
Par défaut : 100

Remarque : dans le Runtime, il est possible que le nombre d’entrées affiché soit supérieur au nombre défini, car les anciennes entrées sont uniquement supprimées de la liste CEL lors de la mise à jour de la liste.

Plus de détails dans l’aide en ligne.

Save CEL data

Enregistrer les événements

Disponible uniquement si la propriété Gestion des événements active est active.

  • Mémoire circulaire et données historiques : toutes les entrées de la liste CEL (*.cel) sont enregistrées.
  • Mémoire circulaire uniquement : seul un nombre défini d’entrées de la liste CEL (cel.bin) sont enregistrées. Ce nombre est défini par le biais de la propriété Taille du buffer circulaire.
  • Par défaut : sur les plates-formes CE, seule la mémoire circulaire (cel.bin) est enregistrée sur le disque dur ; sur PC, les entrées historiques (*.cel) sont également enregistrées.

Par défaut : Par défaut
Les fichiers (cel.bin et *.cel) sont enregistrés dans le dossier \dossier du projet\nom de l’ordinateur\nom du projet.

Plus de détails dans l’aide en ligne.

Save ringpuffer on change

Enregistrer le buffer circulaire en cas de modification

Sélection du type d’enregistrement de données :

  • Active : chaque modification des données de la liste d’événements déclenche l’enregistrement des données (cel.bin).
  • Inactive : les données de la liste d’événements (cel.bin) sont uniquement enregistrées lors de l’arrêt du Runtime ou de l’exécution de la fonction d’enregistrement de la mémoire circulaire des listes AML et CEL. Cette option est recommandée en cas de baisse des performances. Les données historiques (*.cel) peuvent être enregistrées indépendamment à chaque modification de la valeur.

Remarque : Si la propriété est définie sur active, ceci peut exercer une charge considérable sur le système, et plus particulièrement sur les lecteurs flash. Si la propriété est défini sur inactive, ceci peut entraîner la perte de données en cas de fermeture inattendue du Runtime. Inactive Cette option est recommandée en cas de baisse des performances.

Par défaut : Inactive

Plus de détails dans l’aide en ligne.

Logging

Enregistrement (fichier journal)

Propriétés générales de la liste d’événements (CEL).

Plus de détails dans l’aide en ligne.

Alarm acknowledgement

Acquittement d'alarme

Disponible uniquement si la propriété Gestion d'alarmes active est active.
Active : si une alarme est acquittée, une entrée est créée dans la liste d’événements (CEL).
Inactive : l’acquittement d’une alarme ne déclenche pas une entrée dans la liste d’événements.
Par défaut : Inactive.

Plus de détails dans l’aide en ligne.

Function Set SW

Fonction envoi valeur prescrite

Disponible uniquement si la propriété Gestion des événements active est active.

  • Active : en cas d’écriture réussie des valeurs sur le matériel, l’entrée correspondante est insérée dans la liste CEL.
  • Inactive : l’écriture réussie des valeurs n’est pas consignée dans la liste CEL.

Par défaut : Inactive

Remarque : Ce paramètre a uniquement un effet sur le Runtime si l’écriture de la valeur prescrite est effectuée à l’aide de la fonction Ecriture valeur prescrite.

Plus de détails dans l’aide en ligne.

Send recipes

Envoi de recettes

Disponible uniquement si la propriété Gestion des événements active est active.

  • Pas de traitement : Pas de traitement : la modification de recettes standard et de recettes dans le module Recipe Group Manager (RGM) n’est pas consignée dans la liste CEL.
  • Enregistrer les recettes : Lors de l’envoi d’une recette, l’envoi est enregistré avec le nom de la recette dans la liste CEL.
  • Enregistrer les recettes et valeurs : Lors de l’écriture d’une recette, celle-ci est enregistrée dans la liste CEL avec les informations suivantes :
    • Nom de la recette
    • Nouvelle et ancienne valeurs des variables
    • Nom des variables

Par défaut : Pas de traitement

Plus de détails dans l’aide en ligne.

Change recipes

Modification de recettes

Disponible uniquement si la propriété Gestion des événements active est active.

  • Pas de traitement :
    Pas de traitement : la modification de recettes standard et de recettes dans le module Recipe Group Manager (RGM) n’est pas consignée dans la liste CEL.
  • Enregistrer les recettes :
    en cas de modification d’une recette, celle-ci est enregistrée avec le nom de la recette modifiée dans la liste CEL.
  • Enregistrer les recettes et valeurs :
    Les informations suivantes sont enregistrées dans la liste CEL en cas de modification de la recette :
    • Nom de la recette
    • Nouvelle et ancienne valeurs des variables
    • Nom des variables

Par défaut : Pas de traitement

Plus de détails dans l’aide en ligne.

Alarm groups

Groupes d’alarmes/d’événements

Add

Ajoute la chaîne de caractères saisie dans le champ de saisie en tant que nouveau groupe d'alarmes/d'événements. L'ajout peut également être effectué en appuyant sur la touche Entrée.

Remove

Supprime le groupe d'alarmes/d'événements sélectionné.

Alarm classes

Classes d’alarmes/d’événements

Add

Ajoute la chaîne de caractères saisie dans le champ de saisie en tant que nouvelle classe d'alarmes/d'événements. L'ajout peut également être effectué en appuyant sur la touche Entrée.

Remove

Supprime le groupe d'alarmes/d'événements sélectionné.


Templates I (Modèles I)

Manuel -> Assistants -> Rubriques -> Pharmaceutical (Pharmacie) -> Pharmaceutical Wizard (Assistant pharmaceutique) -> Templates I (Modèles I)

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Sur cet onglet, vous pouvez modifier les éléments suivants :

  • Synoptiques
  • Type de données
  • Palettes de couleurs
  • Matrices de réaction

La liste affichée à droite permet d'afficher et d'éditer les fichiers XML existants dans le fichier de configuration actuel de l'élément.

Boutons

Fonction

Liste affichée à droite

Export

Ouvre la boîte de dialogue d'exportation de fichiers XML créés dans l'Éditeur, via la commande Exported selected XML (Exporter les fichiers XML sélectionnés).

Import

Ouvre la boîte de dialogue d'importation de fichiers XML créés dans Editor, via la commande Exporter les fichiers XML sélectionnés.
L'importation se fait dans le dossier suivant: %ProgramData%\COPA-DATA\zenon7.60\Templates\PharmaWizard

Delete

Supprime les fichiers XML créés dans Editor, via la commande Exporter les fichiers XML sélectionnés.

Liste affichée à gauche

Add

Ajoute les modèles provenant de la liste affichée à gauche. Vous pouvez également double-cliquer sur le modèle de votre choix.

Sélectionnez l'onglet Finish (Terminer) pour enregistrer la configuration dans le projet actuel ou dans un autre projet.

Remove

Supprime les modèles de la liste.


Templates II (Modèles II)

Manuel -> Assistants -> Rubriques -> Pharmaceutical (Pharmacie) -> Pharmaceutical Wizard (Assistant pharmaceutique) -> Templates II (Modèles II)

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Sur cet onglet, vous pouvez modifier les éléments suivants :

  • Symboles
  • Rapports provenant du module Report Generator

La liste affichée à droite permet d'afficher et d'éditer les fichiers XML existants dans le fichier de configuration actuel de l'élément. Les rapports sont enregistrés sous forme de fichiers XRS.

Boutons

Fonction

Liste affichée à droite

Export

Ouvre la boîte de dialogue d'exportation de fichiers XML créés dans l'Éditeur, via la commande Exported selected XML (Exporter les fichiers XML sélectionnés).

Import

Ouvre la boîte de dialogue d'importation de fichiers XML créés dans Editor, via la commande Exporter les fichiers XML sélectionnés. C:\\ProgrammData\COPA-DATA\zenon7.60\Templates\PharmaWizard.

Delete

Supprime les fichiers XML créés dans Editor, via la commande Exporter les fichiers XML sélectionnés.

Liste affichée à gauche

Add

Ajoute les modèles provenant de la liste affichée à gauche. Vous pouvez également double-cliquer sur le modèle de votre choix.

Sélectionnez l'onglet Finish (Terminer) pour enregistrer la configuration dans le projet actuel ou dans un autre projet.

Remove

Supprime les modèles de la liste.


Terminer

Manuel -> Assistants -> Rubriques -> Pharmaceutical (Pharmacie) -> Pharmaceutical Wizard (Assistant pharmaceutique) -> Terminer

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Sur cet onglet :

  • La description du projet est saisie
  • Vous définissez de quelle manière doivent être enregistrées les modifications de la configuration

Paramètre

Description

Project description

Informations concernant le projet, telles qu'elles sont définies sur l'onglet Paramètres. Cette boîte de dialogue sert uniquement à l'affichage d'informations ; aucune modification n'est possible.

Author

Nom de l'ingénieur.

Manager

Nom du responsable.

Company

Entreprise.

Comment

Commentaires relatifs au projet.

Save configuration settings

Options d'enregistrement des modifications apportées par l'assistant.

Champ de messages

Messages de réussite/d'échec des actions d'enregistrement.

... in current project

Tous les paramètres sont chargés dans le projet actuel.. Avec cette option, les paramètres du projet sont remplacés.

... as new project

Un nouveau projet est créé avec les paramètres définis et les cadres sélectionnés. Vous devez d'abord sélectionner un nom de projet.

... as fíle

Un nouveau fichier de configuration est créé avec le nom de fichier *.cof. S'il possède le même nom qu'un fichier de configuration existant, il est remplacé.

Attention : les fichiers de configuration créés peuvent uniquement être lus, créés et édités avec l'assistant.

Name

Nom du fichier de configuration.


Project

Manuel -> Assistants -> Rubriques -> Project

Wizards for:

  • Project creation
  • the compare of project backups
  • the creation of a project documentation

Autres sujets abordés dans ce chapitre

Project comparison

Project Configuration Wizard

Documentation wizard


Project comparison

Manuel -> Assistants -> Rubriques -> Project -> Project comparison

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

The wizard makes it possible to compare project backups. At this it is analyzed which objects and elements were deleted, added or changed. The result can be saved and displayed as XML or HTML file.

Requirements

The wizard can read in and compre project backups which:

  • were saved as zip file
  • were created with activated versioning
  • were created with activated XML export

To activate versioning and XML export:

  1. Open the Général node in Project Properties.
  2. Go to the Gestion de version section.
  3. Activate the Gestion de version active property.
  4. Activate the Export XML actif property.

attention Attention

Cet assistant peut uniquement être sélectionné si l’entrée CSHARP= est définie sur 1, sous l’en-tête [VSTA] dans le fichier zenon6.ini.

Temporary files

During the compare the wizard unzips the project backup in the temporary fodler BackUpComparisonWorkingFolder. It is created in path C:\Users\Public\Documents\zenon_Projects\Worspace. This temporary folder is deleted when the wizard is closed.

Autres sujets abordés dans ce chapitre

Starting the wizard

Welcome

Settings

Compare

Documentation


Starting the wizard

Manuel -> Assistants -> Rubriques -> Project -> Project comparison -> Starting the wizard

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

To start the wizard:

  1. Click on Tools -> Start Editor Wizards....
    Or: Press the short cut Alt+F12

    The selection window with the available wizards opens.

  2. Select the folder Project.
  3. There select the Backup Comparison Wizard
  4. Click on OK..

    The wizard starts with the welcome page.


Welcome

Manuel -> Assistants -> Rubriques -> Project -> Project comparison -> Welcome

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

The tab Welcome informs you about performance and use of the wizard.

The navigation through the wizard is done by clicking on the individual tabs or step by step by clicking on the arrow keys.

Click on Cancel to close the wizard.


Settings

Manuel -> Assistants -> Rubriques -> Project -> Project comparison -> Settings

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

On this tab the two project backups which should be compared are selected and the zenon modules which should be part of the compare.

Parameter

Description

Select project backups

Selection of the backup files.

Latest version

Latest version. Click on button ... Opens the file browser to select a project backup.

Note: Per default project backups are in folder %ProgramData%\COPA-DATA\SQL2008R2\BACKUP\[Project]; via export however they can be stored in any folder.

Older version

Older version. Click on button ... Opens the file browser to select a project backup.

Select project modules

Selection of the modules which should be compared. Selection takes place via activating the checkboxes in front of the module names.

These settings are saved for each user individually and are available when the wizard is opened again.

Arrow keys

Click on the button to go to the previous or next tab.

Cancel

Closes the wizard.


Compare

Manuel -> Assistants -> Rubriques -> Project -> Project comparison -> Compare

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

On this tab the project backups are compared on basis of the selected modules.

Parameter

Description

List field

After you click on button Compare the differences of the project backups are displayed in the list field.

Content of the columns:

  • Module: Name of the module.
  • Result: Name of the object.
  • Element: Display and description of the element.
  • Parameter: Name of the changed parameter.
  • Old: Previous value of a changed parameter.
  • New: New value of a changed parameter.

Color-coded marking:

  • blue: new objects and elements
  • red: deleted objects and elements
  • green: changed objects and elements
  • black: unchanged objects and elements

Navigation

Elements for the navigation in the list.

Changed elements

Active: Click on the button with the vertical arrow in order to jump to the previous/next changed element.

Deleted elements

Active: Click on the button with the vertical arrow in order to jump to the previous/next deleted element.

New elements

Active: Click on the button with the vertical arrow in order to jump to the previous/next new element.

Show only differences

Active: After you click on button Compare only the differences are displayed color-coded; unchanged elements are not displayed.

If this option is changed, you must start the compare again by clicking Compare.

Compare

Compares the project backups in accordance with the selection and displays them in the list field.

vertical double arrow buttons

Click on the button to jump to the previous/next module.

Vertical arrow buttons

Click on the button to jump to the previous/next result of the same type depending on the setting.

  • Changed elements
  • Deleted elements
  • New elements

Horizontal arrow keys

Click on the button to go to the previous or next tab.

Cancel

Closes the wizard.

Example project compare:

All objects:

Some changes:

In module screens:

  • the screen batch was deleted
  • in screen SYSTEM_2 a text element was changed
  • in screen START a button named Button_1 was added
  • in screen ALARM nothing was changed

Only differences:

The changes are visible in the same way as in the previous screenshot. Objects and elements which have not been changed are hidden.


Documentation

Manuel -> Assistants -> Rubriques -> Project -> Project comparison -> Documentation

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

On this tab you can display and save the result of the project backup compare as XML file or HTML file.

Parameter

Description

Settings

Settings for type of documentation.

Create XML

Active: An XML file is created.

Create HTML

Active: A HTML file is created.

Save Path

Path to the folder in which the file is saved. Display only. Selection is carried out via button Compare.

Create documentation

Click on button:

  • to open the file browser: Select the saving location and give a name to the documentation file.
  • The documentation is saved in the desired type and is displayed in the list field.

List field

Display documentation.

Arrow button

Click on the button to go to the previous tab.

Cancel

Closes the wizard.

Example XML file

Display in the wizard:

Display as XML file:

Example HTML file

At the creation of an HTML file, an XML and an XSLT file are also created at the saving location. These two files are used to generate the HTML file dynamically:

Structure of the HTML file:


Project Configuration Wizard

Manuel -> Assistants -> Rubriques -> Project -> Project Configuration Wizard

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

With this wizard you can create basic objects for new projects. You can configure:

  • Information about the project:
    including Versioning and History of Changes
  • Drivers
    Including Driver statistic variables
  • Graphics settings
    Resolution, quality, Runtime behavior
  • Basic screens with symbols, WPF element, AML, CEL, system information and an overview of the simulation variables
    • Diagnosis screens
  • Navigation

Settings changed in the wizard are saved in the user profile of the operating system and loaded at the next opening by the same user.

The wizard is executed in English; the language in the project corresponds to that of the open zenon Editor. This wizard is automatically executed when a new project is created.

attention Attention

Cet assistant peut uniquement être sélectionné si l’entrée CSHARP= est définie sur 1, sous l’en-tête [VSTA] dans le fichier zenon6.ini.

Multi-user projects

The wizard does not support multi-user projects. When a new multi-user project is created, the wizard is not automatically started. With a manual start, it is ended again with a warning message.

info Informations

If the wizard is selected manually via the Wizard selection dialog, then the following must be the case:

  • An empty project must be created
  • The project must be active

Autres sujets abordés dans ce chapitre

Starting the wizard

Welcome

Navigation bar

Project Info

Drivers

Graphic Settings

Screen Selection

Finish

Examples in the Runtime


Starting the wizard

Manuel -> Assistants -> Rubriques -> Project -> Project Configuration Wizard -> Starting the wizard

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

This wizard is automatically executed when a new project is created. It can also be selected directly in the dialog for starting wizards.

attention Attention

The complete scope of wizard functions is only available for an empty zenon project. If the wizard is started in a project that already contains project configurations, only the creation of dashboards is supported by the wizard.

To start the wizard:

  1. Click on Tools -> Start Editor Wizards....
    Or: Press the short cut Alt+F12

    The selection window with the available wizards opens.

  2. Select the folder Project.
  3. There select the Project Configuration Wizard
  4. Click on OK.

    The wizard starts with the welcome page.

If you call up the wizard from an existing project, you receive a warning:

By clicking on Yes, you confirm that you accept changes to your existing configuration.


Welcome

Manuel -> Assistants -> Rubriques -> Project -> Project Configuration Wizard -> Welcome

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

The Welcome tab provides a brief overview of the wizard's scope.

The navigation through the wizard is done by clicking on the individual tabs or step by step by clicking on the arrow keys.

If, in the zenon project, configurations have already been undertaken, the following start page is shown in the Welcome tab:


Navigation bar

Manuel -> Assistants -> Rubriques -> Project -> Project Configuration Wizard -> Navigation bar

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

You can go forwards or backwards by one tab with the navigation bar.

Parameter | Description
Arrow keys | Move one tab forward or back.
Finish Overwrite | Creates project and overwrites possibly existing object. Only active if tab Finish is opened.
Close | Closes the wizard. The made changes can be saved for the current user.


Project Info

Manuel -> Assistants -> Rubriques -> Project -> Project Configuration Wizard -> Project Info

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

On this tab you configure general project settings and settings concerning versioning and the History of Change.

Parameter | Description
Author | Optional input field for the author of the project.
Manager | Optional input field for the project manager.
Company | Optional input field for the project company.
Comment | Optional input field for comments in relation to the project.

Backup settings

Settings for backup and versioning.

Parameter

Description

Versioning

Case à cocher d’activation du suivi des versions des sauvegardes de projet.

  • Active :
    La fonction de suivi de version des projets est utilisée. Chaque sauvegarde de projet comporte un numéro de version propre.
  • Inactive :
    la fonction de suivi des versions des sauvegardes de projet est désactivée.

Par défaut : Inactive

Plus de détails dans l’aide en ligne.

Main version

Input field for the number of the main version. All other versions continue to be counted from the number entered.

Default: 0

Activate XML export

Case à cocher d’activation de l’exportation au format XML lors de la sauvegarde d’un projet.

  • Active :
    lors de chaque sauvegarde du projet, un fichier zip (version.zip) est inséré. Celui-ci comprend 24 fichiers XML contenant les sauvegardes des modules individuels.

Remarque : pour les projets multi-utilisateurs, uniquement pour les sauvegardes locales.

Par défaut : Inactive

Plus de détails dans l’aide en ligne.

History of changes

Settings for history of changes.

Parameter

Description

Active

Historique des modifications actif

Case à cocher d’activation de l’historique des modifications.

  • Active :
    Les modifications apportées au projet sont également consignées.
  • Inactive :
    Les modifications apportées au projet ne sont pas consignées.

Par défaut : Inactive

Plus de détails dans l’aide en ligne.

Detailing levels

Disponible uniquement si la propriété Historique des modifications actif a été activée.

Sélectionnez l’étape par défaut dans la liste déroulante.

  • Objet :
    Seuls les noms des objets modifiés sont enregistrés. Les détails concernant les propriétés qui ont été modifiées, ainsi que leurs valeurs, ne sont pas affichés dans l’historique des modifications.
  • Propriétés :
    Outre les noms d’objet, les propriétés modifiées ainsi et les nouvelles valeurs sont affichées dans l’historique des modifications.
  • Modifications de valeurs :
    Ce paramètre correspond au niveau de journalisation le plus détaillé. Les nouvelles valeurs des propriétés sont affichées, ainsi que les anciennes. Ceci autorise un suivi complet des modifications.

Par défaut : Objet

Remarque : Les valeurs modifiées sont tronquées à une longueur de 128 caractères.


Drivers

Manuel -> Assistants -> Rubriques -> Project -> Project Configuration Wizard -> Drivers

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

In this tab, the zenon driver is selected, which is automatically configured when the wizard is executed.

Parameter

Description

Driver list

List of the zenon drivers in a tree display.

  • Clicking on [+] expands the entry.
  • Clicking on [-] reduces the entry.

Select the driver by clicking.

Driver information

Display of the additional information about the selected driver.

Driver name

Name of the driver as it is to be created in the project. Free text input.

The driver name is pre-filled with a proposal after it is selected.

Nom unique du driver.
zenon identifie le driver à l’aide de ce nom, et non à l’aide du nom de fichier. Il est ainsi possible de charger le même driver plusieurs fois. Cela s’avère par exemple nécessaire lorsque vous devez accéder à des types de contrôles identiques, connectés à différentes interfaces série.
Attention : Cette propriété n’est pas disponible aux fins de la commutation de langue.

Add

Adds the selected driver to the list of driver to be created.

Remove

Removes the selected driver from the list drivers to be created.

List of drivers to be created

List of drivers to be created with name, description and file name.

Create screen with driver statistic variables

Checkbox for the activation of automatic configuration of a zenon screen and the attendant system driver variables with static information in the zenon project.

  • Active:
    A screen with driver variables is created for the selected driver(s).
  • Inactive:
    No project configuration in the zenon project.


Graphic Settings

Manuel -> Assistants -> Rubriques -> Project -> Project Configuration Wizard -> Graphic Settings

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

On this tab you configure the resolution and the settings for the Runtime and touch screens.

General project settings

General graphical settings for the project.

Parameter

Description

Current primary monitor size (current)

Display of the current screen resolution. For multi-monitor systems the resolution of the main screen is displayed.

Note: This option cannot be changed.

Screen resolution

Selection of desired screen resolution from drop-down list.

Runtime Title

Titre runtime

Affichage de la fenêtre principale du Runtime.

  • Pas de titre :
    Affichage complet. La barre de titre n’est pas affichée.
  • Titre avec boutons agrandir et réduire :
    la fenêtre peut être déplacée et sa taille peut être modifiée. Elle ne peut toutefois pas être fermée (même par le biais du menu contextuel, de la barre des tâches ou du raccourci-clavier Alt+F4). Cliquez avec le bouton droit sur l’en-tête pour afficher le menu contextuel.
  • Titre avec menu système, boutons agrandir et réduire :
    la fenêtre peut être déplacée et sa taille peut être modifiée ; elle peut être fermée d’un clic sur le bouton X. Cliquez avec le bouton droit sur l’en-tête pour afficher le menu contextuel.
  • Titre avec menu système :
    la fenêtre peut être déplacée et fermée en cliquant sur le bouton X. Cliquez avec le bouton droit sur l’en-tête pour afficher le menu contextuel.
  • Titre sans boutons :
    la fenêtre peut être déplacée et fermée en cliquant sur le bouton X. Cliquez avec le bouton droit sur l’en-tête pour afficher le menu contextuel.

Par défaut : Pas de titre

Attention : si cette propriété est modifiée dans Editor, le Runtime doit être redémarré. Le rechargement seul ne fonctionne pas, car le Runtime doit d’abord être fermé, puis ouvert à nouveau pour que le menu principal soit appliqué.

Plus de détails dans l’aide en ligne.

Graphics quality

Paramètre de qualité de l’affichage graphique.
DirectX offre une qualité supérieure à celle des modes Windows Basic (Windows de base). En principe, si vous utilisez DirectX, il est préférable d’activer l’option Matériel DirectX ; l’option Logiciel DirectX doit uniquement être utilisée si cela est absolument nécessaire. Sélection possible :

  • Windows Basic :
    Paramètres graphiques de base. Paramètre recommandé lorsque les ressources du matériel sont limitées.
  • Logiciel DirectX :
    le calcul de l’affichage graphique est effectué par le processeur et peut entraîner une charge élevée au niveau du processeur.
  • Matériel DirectX :
    certains calculs graphiques sont effectués par la carte graphique. Si le système n’est pas compatible avec le paramètre, le paramètre Logiciel DirectX est sélectionné automatiquement.

Par défaut : Matériel DirectX

Attention : DirectX Indisponible sous Windows CE.

Remarque :

  • Un léger décalage des pixels peut apparaître en cas de changement de mode durant le développement. Par conséquent, définissez cette propriété avant de créer les synoptiques.
  • Lors de l’activation de l’option Windows basic pour tous les types de ligne utilisant un paramètre Épaisseur de ligne [pixels] > 1, tous les types de ligne sont définis sur Ligne continue.
  • DirectX n’est pas utilisé pour l’affichage d’éléments ActiveX (suffixe de fichier : *.ocx).

Plus de détails dans l’aide en ligne.

Menu position

Menu position for the display in zenon Runtime. Select from drop-down list:

  • Top:
    Menu bar is configured at the top
  • Bottom:
    Menu bar is configured at the bottom

Runtime settings

Settings for the display when zenon Runtime starts.

Parameter

Description

Alarm status active

Ligne d'état active

Disponible uniquement si la propriété Gestion d'alarmes active est active.

  • Active :
    dès qu’une alarme se produit, une ligne d’état rouge présentant des informations sur l’alarme est affichée en haut de l’écran dans le Runtime. Dans cette ligne d’état, l’alarme peut également être acquittée avec un double-clic droit si l’utilisateur connecté dispose des autorisations correspondantes.
  • Inactive :
    aucune ligne d’état n’est affichée.

Par défaut : active

Avertissement concernant la gestion multi-projet : La configuration dans le projet d’intégration définit le comportement des sous-projets, indépendamment de la configuration des sous-projets. La ligne d’état des alarmes du projet de niveau supérieur est toujours utilisée dans le Runtime.

Plus de détails dans l’aide en ligne.

Note: This wizard automatically activated property Gestion d'alarmes active.

Driver invisible

Driver invisible

Case à cocher de configuration de l’affichage du driver démarré dans la barre des tâches de Windows.

  • Active :
    les drivers démarrés ne sont pas affichés dans la barre des tâches de Windows dans le Runtime.
  • Inactive :
    les drivers démarrés ne sont pas affichés dans la barre des tâches de Windows dans le Runtime.

Par défaut : Inactive.

Plus de détails dans l’aide en ligne.

Touch operation

Settings for touch operation in zenon Runtime.

Parameter

Description

Multi-Touch

Multi-Touche actif

Case à cocher de configuration de l’application des gestes MultiTouch.

  • Active :
    Les gestes MultiTouch peuvent être utilisés. Les mouvements de raccourci (mouvements rapides) et le clic droit (appui long) sont désactivés.
    Conditions requises : Tous les drivers et périphériques correspondants sont disponibles. Le périphérique doit être connecté et mis sous tension.
  • Inactive :
    les gestes MultiTouch sont désactivés dans le Runtime de zenon.

Plus de détails dans l’aide en ligne.

Cursor visible

Curseur visible

Case à cocher de configuration du comportement du pointeur de souris dans le Runtime de zenon.

  • Active :
    Le pointeur de la souris est visible dans le Runtime.
  • Inactive :
    Le pointeur de la souris n’est pas affiché dans le Runtime. Pour les projets conçus pour un écran tactile, l’affichage du pointeur de la souris peut être gênant, et peut être désactivé à l’aide de cette propriété.

Par défaut : active
Attention : Ce paramètre concerne uniquement zenon, et non les éléments standard de Windows, tels que les barres de titre, les menus, les barres de défilement, etc. Pour les éléments Windows, le pointeur de la souris doit être désactivé directement dans le système d’exploitation.

Plus de détails dans l’aide en ligne.

Automatic keyboard

Clavier automatique

Case à cocher d’activation d’un clavier automatique dans le Runtime de zenon pour les projets comportant un écran tactile.

  • Active :
    Un synoptique de type Clavier est automatiquement appelé si une saisie est nécessaire (par exemple, pour l’écriture d’une valeur prescrite ou pour la connexion).
  • Inactive : Un
    synoptique de type Clavier n’est pas ouvert.

Par défaut : Inactive

Plus de détails dans l’aide en ligne.

Create keyboard screen

Checkbox for automatic configuration of a keyboard screen.

  • Active:
    Creates DIALOGKBD for alphanumeric input and SETVALUEKBD for numeric input. For details see chapter Create screen of type keyboard. For it to be used in the Runtime, you must activate the option Automatic Keyboard.
  • Inactive:
    No configuration of a keyboard screen.
    None

Keybooard size (%)

Définit la taille, en pourcentage de la taille d’origine, d’affichage du clavier automatique dans le Runtime.
Minimum : 50 %
Maximum : 300 %
Par défaut : 100 %

Plus de détails dans l’aide en ligne.


Screen Selection

Manuel -> Assistants -> Rubriques -> Project -> Project Configuration Wizard -> Screen Selection

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

On this tab you can select screens which should be created in the project.

Attention: The screen switch function to the selected screens are configured with the default settings. No special settings such as filter, variables, etc. are made.

Create screens from templates

Area for setting parameters of zenon screens that are created automatically in the zenon project when the wizard is executed.

Parameter | Description
Screen types | Selection of the screen types for automatic configuration when the wizard is executed. Selection of the screen type from drop-down list.
List of possible templates | Selection of the template for the screen. Size and preview are displayed.
Width | Width of the screen. This value is pre-set in the template and cannot be changed.
Height | Height of the screen. This value is pre-set in the template and cannot be changed.
Screen preview | Preview of the selected template of the selected screen type.
Eingabefeld Name | Input field for naming the screen in the zenon Editor.
Add | Adds screen with the selected name to list of screens.
Remove | Removes selected screen from list of screens.
Screens list | List of all selected screens with name, screen type and size. A maximum of 14 screens can be created. If the maximum number of screens has been reached, this is shown with a dialog.

Demo project

Settings for the automatic configuration of an example project when the wizard is executed.

Parameter

Description

Create demo screens

Checkbox for the activation of automatic project configuration when the wizard is executed for an example project that can be executed in <CD_PRODCUTNAME> Runtime.

Active: When the wizard is executed, corresponding screens are configured in the zenon Editor and the appearance of the demo project is created, as well as linked automatically for linking in Runtime.

Selection of the demo screens by means of checkbox:

  • Demo pages:
    Example pages (are always created)
  • Alarm message list:
    AML
  • Chronologic event list:
    CEL
  • System information:
    Pages with system information, number depending on the resolution

Create Dashboards

Checkbox for the activation of the automatic configuration of corresponding diagnosis screens when the wizard is executed.

  • Active:
    Checkbox for the activation of automatic configuration of corresponding diagnosis screens and variables when the wizard is executed.
    In addition, the created screens are linked for display in Runtime in the navigation of the example project.
  • Inactive:
    No configuration of diagnosis screens.

Autres sujets abordés dans ce chapitre

Dashboards - Diagnosis screens


Dashboards - Diagnosis screens

Dashboards - Diagnosis screens

All four areas are shown in one screen in the complete display of the dashboard in Runtime:

  • Clicking on the Details... button in a sub-section calls up a new screen with further information in relation to the respective topic.
  • Clicking on the photo camera symbol (top right) creates a screenshot and copies it to the clipboard.
  • Clicking on the Dashboard tab in the navigation bar switches to the dashboard overview page.

The information is divided into the following areas:

  • Local system information
    Screen with system information and information about save locations of the executing computer.
  • Network information
    Screen with network information from the executing computer.
  • Drivers information
    Screen with information in relation to the drivers. Selection of the drivers from a list.
    In addition, with the Variable diagnosis button, it is possible to link a variable diagnosis screen.
  • System events
    Switch to Chronological Event List.
    In addition, the events can be exported to a file. Click on the Export Events... button for this export

Available monitor resolutions

The Dashboard screen template is available for the following screen resolutions:

  • 1280 x 960
  • 1280 x 1024
  • 1920 x 1080


Finish

Manuel -> Assistants -> Rubriques -> Project -> Project Configuration Wizard -> Finish

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

On this tab the project is created.

Click on button Overwrite to create the project according to the settings on the tabs. Possible already existing objects are overwritten. The wizard remains open for further configuration. To close the wizard, click on button Close.


Examples in the Runtime

Manuel -> Assistants -> Rubriques -> Project -> Project Configuration Wizard -> Examples in the Runtime

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Below you will find two example how your entry in the wizard effects the display in the Runtime.

  • Example 1: With the Create demo screens options active.
  • Example 2: Without example screens.

info Informations

Les captures d'écran de cette section sont uniquement disponibles en anglais.

Autres sujets abordés dans ce chapitre

With demo screens

Without demo screens


With demo screens

With demo screens

Start page:

Navigation:

SIMUL information:

Report Viewer:

AML:

CEL:

SystemInfo_1 ( for each screen resolution 1-3 screens):

SystemInfo_2 (1280x1024):

Driver:


Without demo screens

Without demo screens

Start page:

Navigation:


Documentation wizard

Manuel -> Assistants -> Rubriques -> Project -> Documentation wizard

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

This wizard leads you through the steps needed to create a HTML document of the active project.

It can be defined, which modules should be included in the documentation and which not.

The wizard can be edited.


Variables

Manuel -> Assistants -> Rubriques -> Variables

Assistants pour les variables.

Autres sujets abordés dans ce chapitre

Everywhere Essentials QR Code Generator

Assistant Variable Creation Wizard


Everywhere Essentials QR Code Generator

Manuel -> Assistants -> Rubriques -> Variables -> Everywhere Essentials QR Code Generator

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

The Everywhere Essentials QR Code Generatorwizard is for creating QR codes that can be visualized with the Everywhere Essentials QR Data App.

info Informations

The wizard needs the Everywhere Server for visualization (payable).

You can find further information on this in the mobile applications for zenon manual in the Everywhere Server by zenon and Everywhere Essentials QR data app chapters.

Possible content of the QR code:

  • Project name
  • Variable name
    • A certain variable
    • Several variables linked to an equipment group
  • Connection data to the Everywhere Server

Tipp Conseil
  • Use the Everywhere Server in order to be able to use your project configuration for the mobile applications of zenon.
  • Use the equipment model in the zenon Editor in order to link variables (such as for key figures or alarm messages) with an equipment group.
  • Create a QR code for this equipment group with the Everywhere Essentials QR Code Generator.
  • Print out this QR code and place it on the device.
  • Scan the QR code on site with the Everywhere Essentials QR Data App to visualize real-time data.

Autres sujets abordés dans ce chapitre

Install and call up wizard

Start window

Configuration

Generate QR Code


Install and call up wizard

Manuel -> Assistants -> Rubriques -> Variables -> Everywhere Essentials QR Code Generator -> Install and call up wizard

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

The Everywhere Essentials QR Code Generator is automatically installed as part of the zenon standard installation.

Wizard display in the zenon Editor

For wizards to be displayed, the settings for VBA or VSTA must be set correctly in file zenon6.ini:

[VBA]

EIN=1

[VSTA]

ON=1

If VSTA wizards are not displayed although the settings are correct, set entry LOADED= to 1 in area [VSTA].

Starting the wizard

To start the wizard:

  1. Click on Tools -> Start Editor Wizards....
    Or: Press the short cut Alt+F12

    The selection window with the available wizards opens.

  2. Select the folder Variables.
  3. Then click on Everywhere Essentials QR Code Generator.

  4. Click on OK.

    The wizard starts with the start window.

info Informations

The Everywhere Essentials QR Code Generator is only available in English.


Start window

Manuel -> Assistants -> Rubriques -> Variables -> Everywhere Essentials QR Code Generator -> Start window

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

The Welcome tab provides a brief overview of the functionality of the wizard.

Note: The wizard is only available in English.

Navigation

Navigation through the wizard is by clicking on the individual tabs, or with the mouse clicking on the arrow keys.

Clicking on the Close button closes the wizard. A dialog is called up before the wizard is closed.

Parameter | Description
Yes | Closes the wizard. Configured settings are retained when the wizard is restarted.
No | Closes the wizard. Existing project configurations are not saved.


Configuration

Manuel -> Assistants -> Rubriques -> Variables -> Everywhere Essentials QR Code Generator -> Configuration

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

You configure the content of the QR code in the Generate QR Code tab.

Content of the QR code:

  • Either:
    A variable from the current project.
  • Or:
    An equipment group of the equipment model in the global project or the current project.
    The variables linked to the equipment group are displayed in the Everywhere Essentials QR Data App.
  • Optional: Connection parameters to the Everywhere Server.

    Behavior in the Everywhere Essentials QR Data App:

    • No connection parameters contained in the QR code:

      The app attempts to establish a connection to the Everywhere Server with the existing connection profiles.

    • QR code includes connection parameters:

      The app established a connection to the Everywhere Server with the parameters entered in the wizard. In the app, a dialog to enter the user name and password is called up when the connection is established.


Generate QR Code

Manuel -> Assistants -> Rubriques -> Variables -> Everywhere Essentials QR Code Generator -> Generate QR Code

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Variable/Equipment Group

Parameter

Description

Variable

Equipment Group

Option field to select the preview list:

  • Variable

    Shows the variable list of the active zenon project.

  • Equipment Group

    Shows the equipment model of the global project (if available) and the equipment model of the active zenon project.

Everywhere Server

The connection parameters to the Everywhere Server can be configured facultative via the setting Everywhere Server.

This information is, if configured, also encoded in the QR code.

Parameter | Description
Encode connection details | Activates the coding of the connection parameters in the QR code.
URL | Name of the Everywhere Server to which a connection is to be created.
Port | Port address for the connection to the Everywhere Server. Note: Entries outside the valid entry range are automatically corrected to the value 65536.

Preview

Shows a preview screen of the QR codes of your project configuration.

QR Code

Parameter | Description
Save to file | The currently-displayed QR code is saved as a .png file.
Copy to Clipboard | Copies the displayed QR code to the clipboard.

Autres sujets abordés dans ce chapitre

Variable

Equipment Group


Variable

Variable

If the "„Variable" option field has been selected, the variable list of the active project is displayed.

  • The information of the selected variable is encoded in the QR code.
  • The QR code is updated in the preview directly.

Parameter

Description

Equipment Group

Option field to switch to the equipment model view.

Filter

Filters the entries in the variable overview. Filtering is only carried out for the variable name.

The text entered here corresponds to the "contains" condition.

Variable

Overview of all variables of the current project.

The list can be sorted by clicking on the column heading. Another click reverses the sorting order. The sorting direction is shown with an arrow. The column width can be freely changed with a right-click.

  • Name

    Variable name. It corresponds to the Nom property in the Editor.

  • Identification

    Identification of the variable. It corresponds to the Identification property in the Editor.

  • Driver

    Driver name. It corresponds to the Identification property in the Editor.


Equipment Group

Equipment Group

If the "Equipment Group" option field has been selected, the equipment model of the current project configuration is displayed.

  • The following is displayed:
    • The equipment model of the global project (if present)
    • The equipment model of the active project.
  • The variables linked to the selected equipment group are encoded in the QR code.
  • The QR code is updated in the preview directly.

Equipment models of the global project are only offered for selection if there are no equipment models with the same name in the active project. If there are models with identical names, this is visualized with a warning symbol (yellow triangle) and a tool tip. The equipment model of the global project is grayed out.

If you move the mouse over the warning signal, you receive the following error message in a tool tip:

The following Equipment Model(s) from the Global Project will be ignored! There is at least one Equipment Model with the same name in the local Project:

- [model name in the local project]


Assistant Variable Creation Wizard

Manuel -> Assistants -> Rubriques -> Variables -> Assistant Variable Creation Wizard

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Cet assistant permet de créer plusieurs variables rapidement.

attention Attention

Cet assistant ne supporte pas le développement multi-utilisateurs et n'est donc pas disponible dans ce contexte (projet multi-utilisateurs).


Création et adaptation d'assistants

Manuel -> Assistants -> Création et adaptation d'assistants

Les assistants sont des formulaires VBA ordinaires, qui contiennent certaines fonctions dans le code. Les formules sont ainsi identifiées comme un assistant de zenon.

Les assistants fournis avec zenon peuvent former la base de vos propres assistants.

Vos propres assistants peuvent être conservés dans vos propres dossiers. Toutes les informations requises doivent être saisies dans le fichier appelé wizards.ini. Celles-ci peuvent être incluses lors de la mise à jour de l'assistant.

Assistants VBA et VSTA

Pour créer des assistants, VBA et VSTA doivent disposer des informations suivantes :

  • Nom
  • Description
  • Catégorie
  • Affichage dans la boîte de dialogue
  • Numéro de version

Ces fonctions sont lues par zenon pour identifier les formules comme des assistants et afficher les informations correspondantes dans la boîte de dialogue de l'assistant.

attention Attention

Commas (,) are not permitted in the (GetWizard...) wizard fields!
If a comma is nevertheless used in one of the wizard fields, the wizard is not displayed in the zenon Editor in the wizard dialog.

L'assistant de démonstration propose un modèle vide, pouvant être adapté individuellement. Pour plus de détails concernant la création d'assistants VSTA, reportez-vous au chapitre Détails des assistants VSTA.

Nom

Indique le nom de l'assistant, tel qu'il est affiché dans la boîte de dialogue de l'assistant.

Exemple : VSTA project wizard (Assistant de projet VSTA)

VBA | VSTA
Public Function GetWizardName() As String GetWizardName = "Assistant de projet" End Function | GetWizardName (chaîne)

Description

Contient la description de l'assistant, telle qu'elle est affichée dans la section Description de la boîte de dialogue.

Exemple : This wizard creates a simple zenon Project (V.1)

VBA | VSTA
Public Function GetWizardInfo() As String GetWizardInfo = "Assistant de création de projet" End Function | GetWizardInfo (chaîne)

Catégorie

Indique la catégorie dans laquelle est classé l'assistant.

Par exemple : Project

Remarque : vous pouvez utiliser les catégories existantes. Les assistants VBA et VSTA peuvent être classés dans la même catégorie.

VBA | VSTA
Public Function GetWizardCategory() As String GetWizardCategory = "Projet" End Function | GetWizardCategory (chaîne)

Affichage dans la boîte de dialogue

Définit si l'assistant est affiché ou non dans la boîte de dialogue. Ceci vous permet de masquer un assistant sans supprimer toutes les fonctions, ni les supprimer du module d'extension :

= true: est affiché

= false: est caché

VBA | VSTA
Public Function IsZenOnWizard() As Boolean IsZenOnWizard = True End Function | IsZenOnWizard (bool)

Numéro de version

Indique le numéro de version affiché dans la description. Le numéro de version est utilisé pour gérer la mise à jour des assistants.

Exemple : (V.1)

Remarque : une même classe d'assistants ne doit pas comporter différentes fonctions portant le même nom. Ceci est également vrai lorsque des paramètres différents sont renvoyés.

VBA | VSTA
Public Function GetWizardVersion() As Integer GetWizardVersion = 6 End Function | GetWizardVersion (entier)

Autres sujets abordés dans ce chapitre

Détails de l'assistant VSTA


Détails de l'assistant VSTA

Manuel -> Assistants -> Création et adaptation d'assistants -> Détails de l'assistant VSTA

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Assistant VSTA

#region Wizard_Identification

/// <summary>
/// Cette méthode statique renvoie le nom de l'assistant,
/// qui sera affiché dans l'arborescence des assistants.
/// </summary>
/// <returns></returns>

static public string GetWizardName()
{
string strValue = "Name of the wizard";
return strValue;
}

/// <summary>
/// Cette méthode partagée renvoie une description de l'assistant,
/// qui sera affichée au bas de la boîte de dialogue de l'assistant.
/// </summary>/// <returns></returns>
static public string GetWizardInfo()
{
string strValue = "A more detailed description of the wizard.";
return strValue;
}

/// <summary>
/// Cette méthode partagée renvoie le nom de la catégorie de l'assistant,
/// qui sera utilisé en tant que nom de nœud dans l'arborescence des assistants.
/// </summary>
/// <returns></returns>

static public string GetWizardCategory()
{
string strValue = "Wizard category";
return strValue;
}

///<summary>
/// Cette méthode partagée renvoie une valeur booléenne permettant d'activer ou désactiver
/// 'l'assistant dans la boîte de dialogue des assistants (false= l'assistant n'est pas affiché dans l'arborescence).
/// </summary>
/// <returns></returns>

static public bool IsZenOnWizard()
{
bool bValue=true;
} return bValue;

/// <summary>
/// Cette méthode statique renvoie la version de l'assistant.
/// indiquée au bas de la boîte de dialogue de l'assistant.
/// </summary>
/// <returns>wizard version</returns>

static public int GetWizardVersion()
{
int nValue = 1;
return nValue;
}

/// <summary>
/// Cette méthode est utilisée lorsque l'assistant a été sélectionné dans
/// la boîte de dialogue des assistants, puis confirmé avec "OK".
/// </summary>

public void StartWizard()
{
this.Show();
}
#endregion

VB.Net

'Cette méthode partagée renvoie le nom de l'assistant,
'qui sera affiché dans l'arborescence des assistants.

Public Shared Function GetWizardName() As String
GetWizardName = "Name of the wizard"
End Function

'Cette méthode partagée renvoie une description de l'assistant,
'qui sera affichée au bas de la boîte de dialogue des assistants.

Public Shared Function GetWizardInfo() As String
GetWizardInfo = "Une description plus détaillée de l'assistant."
End Function

'Cette méthode partagée renvoie le nom de la catégorie de l'assistant,
'qui sera utilisé en tant que nom de nœud dans l'arborescence des assistants.

Public Shared Function GetWizardCategory() As String
GetWizardCategory = "Wizard category"
End Function

'Cette méthode partagée renvoie une valeur booléenne permettant d'activer ou désactiver
'l'assistant dans la boîte de dialogue des assistants (false= l'assistant n'est pas affiché dans l'arborescence).

Public Shared Function IsZenOnWizard() As Boolean
IsZenOnWizard = True
End Function

'Cette méthode partagée renvoie la version de l'assistant,
'qui sera affichée au bas de la boîte de dialogue des assistants.

Public Shared Function GetWizardVersion() As Integer
GetWizardVersion = 1
End Function

'Cette méthode est utilisée lorsque l'assistant a été sélectionné dans
'la boîte de dialogue des assistants, puis confirmé avec "OK".

Public Sub StartWizard()
Me.Show()
End Sub

Espace de travail C#

Pour qu'Editor crée dynamiquement une instance de la classe VSTA, vous devez ajouter une fonction supplémentaire au code "Default" (Par défaut) de l'espace de travail. Ce segment de code doit exister pour que l'assistant soit affiché après avoir été sélectionné dans la boîte de dialogue. Ce segment de code ne doit pas être modifié !

#region Assistant

/// <summary>
/// Cette routine autorise la création dynamique d'assistants VSTA.
/// </summary>
/// <param name="strClassname"></param>

public void StartWizard(string strClassname)
{

//Récupérer ClassType selon Typename:

Type t = Type.GetType(strClassname);
if(t!=null)
{

//Puisque ClassType a été trouvé, nous allons le créer.
// L'assistant de ClassType %strClassname% est nécessaire
// pour utiliser un élément Constructor avec un paramètre ZenWorkspace !

object[] Params = new object[] { this.ZenWorkspace };
object Wizard = Activator.CreateInstance(t, Params);
if (Wizard != null)
{
t.InvokeMember("StartWizard", BindingFlags.Public | BindingFlags.Instance | BindingFlags.InvokeMethod, null, Wizard, null);
}
}
}
#endregion

Et pour configurer l'espace de travail VB.Net, procédez comme ceci this:
'Cette routine autorise la création dynamique d'assistants VSTA,
'et ne doit pas être modifiée ou supprimée !

Public Sub StartWizard(ByVal strClassname As String)
Dim obClassType As Type
Dim obWizard As Object
Dim obParams(0) As Object
obClassType = Type.GetType(strClassname)
If (Not obClassType Is Nothing) Then
obParams(0) = Me.ZenWorkspace
obWizard = Activator.CreateInstance(obClassType, obParams)
If (Not obWizard Is Nothing) Then
obClassType.InvokeMember("StartWizard", System.Reflection.BindingFlags.Public Or System.Reflection.BindingFlags.Instance Or ystem.Reflection.BindingFlags.InvokeMethod, obWizard, Nothing, Nothing)
End If
End If
End Sub


Mettre à jour les assistants

Manuel -> Assistants -> Mettre à jour les assistants

Lors de l'installation des Service Pack de zenon, un assistant de mise à jour est automatiquement proposé. Les assistants existants ne sont pas remplacés par le programme d'installation. Il peut donc être nécessaire de procéder à l'importation et la mise à jour manuelles des assistants.

attention Attention

Ces informations sont uniquement valables pour les assistants programmés en C#, c'est-à-dire tous les assistants affichés dans la fenêtre des assistants de mise à jour.

Ces informations ne s'appliquent pas aux assistants programmés en .Net, tels que les suivants :

  • Analyzer Wizards
  • Sankey Wizard

.Net Wizards (.NET assistants) sont intégrés au moyen d'un fichier DLL et sont automatiquement mis à jour à chaque mise à jour de zenon. La mise à jour peut, si nécessaire, également être effectuée manuellement via le fichier de build présent sur le support d'installation de zenon Analyzer pour zenon.

Demande de mise à jour

Une mise à jour peut également être déclenchée manuellement à tout instant ; sélectionnez pour cela Mise à jour des modules de l'Editeur dans le menu Extras.

Paramètre

Description

Liste d'assistants

Dresse la liste de tous les assistants VBA et VSTA présents dans le module d'extension en cours d'exécution.
  • Nom

Nom de l'assistant.
  • Object name (Nom d'objet)

Nom de l'objet VBA/VSTA.
  • Previous version (Version précédente)

Version actuellement utilisée.
  • Créer

Version vers laquelle est effectuée la mise à jour.
  • Informations

Informations d'état et informations concernant l'action en attente :

  • Nouveau : l'assistant n'existe pas dans le fichier VBA.
  • Modifié : une nouvelle version est disponible.
  • No longer supported (Plus pris en charge) : l'assistant existant est obsolète et va être supprimé
  • Type

VBA ou VSTA
  • User-specific (Défini par l'utilisateur)

L'assistant a été créé ou modifié par l'utilisateur.

Source des données

Permet de définir votre propre dossier ou vos propres assistants. L'emplacement d'enregistrement des fichiers wizards.ini individuels est saisi.

Les entrées dans ce fichier sont enregistrées dans le fichier zenon.ini, dans la section [VSTA] ou [VBA], sous WIZARDPATH=.

Dossier supplémentaire pour les assistants VSTA

Emplacement d'enregistrement individuel pour vos assistants VSTA.

Dossier supplémentaire pour les assistants VBA

Emplacement d'enregistrement individuel pour vos assistants VBA.

Me faire un rappel ultérieurement

La boîte de dialogue s'ouvre à nouveau lors du prochain démarrage d'Editor.

Démarrer la mise à jour

Les assistants sélectionnés dans la liste des assistants sont mis à jour.

Annuler

La boîte de dialogue se ferme sans que la mise à jour ne soit effectuée, et ne s'ouvrira à nouveau qu'après la prochaine installation d'un Service Pack.

Assurez-vous que tout est à jour.

Dans la mesure où les objets inexistants lors de l'ouverture de la boîte de dialogue ne sont pas vérifiés, certains objets sont toujours disponibles pour une mise à jour. Ceci vous permet de vous assurer que vous n'utilisez pas des versions obsolètes. Les versions affichées dans la boîte de dialogue de mise à jour sont uniquement des informations destinées aux services de conseil et de développement.

Distribution des assistants au sein de l'entreprise

Si vous avez créé vos propres assistants et souhaitez les mettre à la disposition d'autres utilisateurs, vous pouvez utiliser cette méthode.
Pour cela, exportez l'assistant depuis votre environnement de développement VBA/VSTA et placez de préférence les fichiers exportés sur un lecteur réseau valide. Les fichiers .ini sont utilisés pour contrôler les procédures d'importation. Ces fichiers doivent être créés, le cas échéant, et enregistrés sur le réseau.
Vous trouverez une description des fichiers ici : pour VBA et pour VSTA.

Il vous suffit désormais de montrer à vos collègues l'emplacement auquel sont enregistrés les fichiers pour que les assistants les importent facilement dans Editor. Si vous utilisez des assistants modifiés ou nouveaux, il vous suffit d'exporter le nouvel état, de l'enregistrer et d'augmenter le numéro de version. Vous pouvez ainsi distribuer facilement des assistants au sein de votre entreprise.

Erreurs possibles lors de la mise à jour des assistants VSTA

Erreur

Causes possibles

Aucun assistant VSTA n'est affiché dans la boîte de dialogue de mise à jour
  • Seuls les assistants présents dans le module d'extension à cet instant sont affichés dans la liste.
    Si les assistants VSTA ne sont pas affichés, le module d'extension VSTA doit être activé à l'aide de l'outil Start Editor. Pour cela, dans zenon6.ini, dans la section [VSTA], définissez LOADED= sur 1.
  • Si l'espace de travail ne peut pas être compilé en raison d'erreurs dans le code, aucun assistant n'apparaît dans la liste.

Pour plus d'informations concernant la restauration des assistants d'origine, reportez-vous à la section Restauration des assistants d'origine.

Un assistant spécifique n'est pas affiché.
  • L'assistant n'est pas compatible avec les méthodes requises.
  • L'espace de travail n'a pas été compilé après la mise en œuvre de l'assistant ; le module d'extension en cours d'exécution ne contient pas l'assistant.

Les assistants créés par l'utilisateur ne sont pas affichés.
  • Le chemin d'accès configuré est incorrect.
  • Le fichier wizards.ini désigné dans le chemin configuré est obsolète ou défaillant.

Restauration des assistants d'origine

Si les assistants ne sont pas affichés dans la liste des assistants, vous pouvez restaurer les assistants d'origine. Pour cela :

  1. Ferme zenon Editor.
  2. Accédez au dossier : %ProgramData%\COPA-DATA\zenonxxx\VSTAWorkspace
    (xxx correspond à la version de zenon)
  3. Renommez l'ensemble du dossier.
  4. Redémarrez Editor.

    Le dossier et les assistants sont recréés.

Autres sujets abordés dans ce chapitre

wizards.ini


wizards.ini

Manuel -> Assistants -> Mettre à jour les assistants -> wizards.ini

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Création du fichier .ini pour l'administration de l'assistant dans VSTA et VBA.

info Informations

Ce document est uniquement disponible en anglais.

Autres sujets abordés dans ce chapitre

VSTA wizards.ini

Fichier wizards.ini pour VBA

Méthodes de mise à jour requises


VSTA wizards.ini

Manuel -> Assistants -> Mettre à jour les assistants -> wizards.ini -> VSTA wizards.ini

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

[DEFAULT]: contient les paramètres généraux.

COUNT: nombre d'assistants inclus dans le fichier .ini (doit être modifié lors de l'ajout/de la suppression d'assistants dans le fichier .ini).

[MYWORKSPACE] : contient les paramètres du fichier .cs de l'espace de travail.

VERSION : la version actuelle

[WIZARD_X] : contient les paramètres d'un assistant.

NAME : nom, tel qu'il est indiqué dans la boîte de dialogue de mise à jour.

CLASSNAME : nom de la classe de formulaire représentant l'assistant.

VERSION : Numéro de version

PATH : extension du chemin d'accès pour localiser les fichiers.

DELETE : indiquez 1 si l'assistant doit être supprimé de l'espace de travail.

FILES : le nombre de fichier inclus dans cet assistant.

FILE_X : le nom d'un fichier inclus dans l'assistant.

TYPE_X : le type de fichier (requis pour les fichiers Form.cs et Resx)

DEP_X : le nom d'un fichier dont dépend ce fichier.

Exemple

[DEFAULT]

COUNT=3

[MYWORKSPACE]

VERSION=1

[WIZARD_1]

NAME=Assistant d'importation

CLASSNAME=Wizard_Exportxml

VERSION=3

PATH=\Wizard_Exportxml

DELETE=0

FILES=3

FILE_1=Wizard_Exportxml.cs

TYPE_1=Form

FILE_2=Wizard_Exportxml.Designer.cs

DEP_2=Wizard_Exportxml.cs

FILE_3=Wizard_Exportxml.resx

DEP_3=Wizard_Exportxml.cs

TYPE_3=EmbeddedResource

[WIZARD_2]

NAME=Wizard_Project

CLASSNAME=Wizard_Project

VERSION=1

PATH=\Wizard_Project

DELETE=0

FILES=3

FILE_1=Wizard_Project.cs

TYPE_1=Form

FILE_2=Wizard_Project.Designer.cs

DEP_2=Wizard_Project.cs

FILE_3=Wizard_Project.resx

DEP_3=Wizard_Project.cs

TYPE_3=EmbeddedResource

[WIZARD_3]

NAME=Assistant de démo

CLASSNAME=Wizard_Demo

VERSION=1

PATH=\Wizard_Demo

DELETE=0

FILES=3

FILE_1=Wizard_Demo.cs

TYPE_1=Form

FILE_2=Wizard_Demo.Designer.cs

DEP_2=Wizard_Demo.cs

FILE_3=Wizard_Demo.resx

DEP_3=Wizard_Demo.cs

TYPE_3=EmbeddedResource


Fichier wizards.ini pour VBA

Manuel -> Assistants -> Mettre à jour les assistants -> wizards.ini -> Fichier wizards.ini pour VBA

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

[DEFAULT]: contient les paramètres généraux.

COUNT: nombre d'assistants inclus dans le fichier .ini (doit être modifié lors de l'ajout/de la suppression d'assistants dans le fichier .ini).

[MYWORKSPACE] : contient les paramètres du fichier .cs de l'espace de travail.

VERSION : la version actuelle

[WIZARD_X] : contient les paramètres d'un assistant.

NAME : nom, tel qu'il est indiqué dans la boîte de dialogue de mise à jour.

VERSION : la version actuelle

PATH : extension du chemin d'accès pour localiser les fichiers.

VB_NAME : nom de l'objet VBA représentant l'assistant.

VB_TYPE : 0=form, 1=class

DELETE : indiquez 1 si l'assistant doit être supprimé de l'espace de travail.

Exemple

[DEFAULT

COUNT=3

[MYWORKSPACE]

VERSION=3

[WIZARD_1]

NAME=Assistant de création de variables

VERSION=8

PATH=\CreateVariables\frmCreateVariables.frm

VB_NAME=frmCreateVariables

VB_TYPE=0

DELETE=0

[WIZARD_2]

NAME=Assistant de document

VERSION=12

PATH=\DocuWizard\frmDocuWizardEx.frm

VB_NAME=frmDocuWizardEx

VB_TYPE=0

DELETE=0

[WIZARD_3]

NAME=Assistant d'importation

VERSION=3

PATH=\ImportWizard\frmImportWizard.frm

VB_NAME=frmImportWizard

VB_TYPE=0

DELETE=1


Méthodes de mise à jour requises

Manuel -> Assistants -> Mettre à jour les assistants -> wizards.ini -> Méthodes de mise à jour requises

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Exemple de méthodes requises pour que l'assistant s'affiche dans la boîte de dialogue de mise à jour :

VBA

'Les méthodes suivantes définissent le formulaire comme un assistant du système de contrôle. Si IsZenOnWizard est défini sur False (Faux),

'l'assistant n'apparaît pas dans la boîte de dialogue Assistant et n'influe pas sur la boîte de dialogue de mise à jour de l'assistant.

Public Function GetWizardName() As String

GetWizardName = "Assistant vide"

End Function

Public Function GetWizardInfo() As String

GetWizardInfo = "<TODO: Add description here>"

End Function

Public Function GetWizardCategory() As String

GetWizardCategory = "<TODO: Add category-information here>"

End Function

Public Function IsZenOnWizard() As Boolean

IsZenonWizard = False

End Function

Public Function GetWizardVersion() As Integer

GetWizardVersion = 6

End Function

VSTA

#region Wizard_Identification

/// <summary>

/// Cette méthode statique renvoie le nom de l'assistant,

/// qui sera affiché dans l'arborescence des assistants.

/// </summary>

/// <returns></returns>

static public string GetWizardName()

{

string strValue = "Demo Wizard";

return strValue;

}

/// <summary>

/// Cette méthode statique renvoie la description de l'assistant,

/// qui sera affiché au bas de la boîte de dialogue de l'assistant.

</summary>/// <returns></returns>

static public string GetWizardInfo()

{

string strValue = "Ceci est notre assistant de démonstration";

return strValue;

}

/// <summary>

/// Cette méthode statique renvoie le nom de catégorie de l'assistant,

/// qui sera utilisé comme nom de nœud dans l'arborescence des assistants.

/// </summary>

/// <returns></returns>

static public string GetWizardCategory()

{

string strValue = "Wizard VSTA";

return strValue;

}

/// <summary>

/// Cette méthode statique renvoie une valeur booléenne, qui peut être utilisée pour activer ou désactiver l'assistant

/// dans la boîte de dialogue de l'assistant (false=l'assistant n'est pas affiché dans l'arborescence).

/// </summary>

/// <returns></returns>

static public bool IsZenOnWizard()

{

bool bValue = false;

return bValue;

}

/// <summary>

/// Cette méthode statique renvoie la version de l'assistant,

/// indiquée au bas de la boîte de dialogue de l'assistant.

/// </summary>

/// <returns>wizard version</returns>

static public int GetWizardVersion()

{

int nValue = 1;

return nValue;

}

/// <summary>

/// Cette méthode est utilisée lorsque l'assistant a été sélectionné dans la

/// boîte de dialogue de l'assistant et confirmé par "OK".

/// </summary>

public void StartWizard()

{

this.Show();

}

#endregion


Applications mobiles - Mobile applications for zenon

Manuel -> Applications mobiles - Mobile applications for zenon

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

With the mobile applications, you can visualize your zenon projects on mobile end devices, tablets and desktop computers. The basis of this display is an existing zenon project. There is no additional project configuration work required.

For display on mobile end devices, tablets and desktop computers, there are zenon apps available in the respective app store.
You can also create your own mobile applications for the visualization of your zenon project configuration. You can find further information and examples of code in the Everywhere Server data model chapter.

The following Apps are available:

  • Everywhere Essentials Alarm Management
    Visualizes alarms of the productive Runtime on mobile devices. Filtering of the alarms according to equipment groups can be configured in the connection.
    This app is available for devices with the Apple iOS operating system.
  • Everywhere Essentials QR Data App
    Visualizes real-time data from the productive Runtime to mobile devices. Individual variables can be entered. Alternatively, a QR code with the connection settings contained in it and variables to be displayed can be scanned.
    This app is available for devices with the Android and Apple iOS operating systems.
  • Notifier-App by zenon:
    Allows the receipt and acknowledgment of SMS messages that are sent by the Message Control module.
    This App is available for the Android operating system.
  • Everywhere App by zenon:
    This app allows simple access to zenon via smartphones, tablets and desktop computers.
    The following apps are available:
    • Everywhere App by zenon for Windows Mobile
    • Everywhere App by zenon for iPhone, iPad product range
    • Everywhere App by zenon for Windows Desktop
    • Everywhere App by zenon for Android
  • Everywhere Server by zenon:
    Provides zenon data for mobile applications.

Once a server has been configured, the following functions are available via the app:

  • Real-time display of values of a zenon project
  • Authentication by means of the mobile application
  • Selection of the equipment model of the active project
  • Assignment of the configured user authorizations (via .INI entry)
  • Individual variables can be activated
  • Display of values in lists ...
    • ... with graphic progress bars
    • ... with dynamic pointer instruments
    • ... Alarm messages with time

Autres sujets abordés dans ce chapitre

Everywhere - Alarm Management

Everywhere Essentials QR Data App

Notifier App by zenon

Everywhere App by zenon

Everywhere Server by zenon


Everywhere - Alarm Management

Manuel -> Applications mobiles - Mobile applications for zenon -> Everywhere - Alarm Management

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Everywhere Essentials - Alarm Management visualizes the alarm message list of zenon Runtime in a simplified display.

A connection to the COPA-DATA demo server is pre-configured by default.

info Informations

The app is available for devices with the Apple iOS operating system.

Autres sujets abordés dans ce chapitre

Installation

Profile List

Alarm screen


Installation

Manuel -> Applications mobiles - Mobile applications for zenon -> Everywhere - Alarm Management -> Installation

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Carry out the following steps in order to be able to use Everywhere Essentials - Alarm Management on your device:

  • Start the app store on your device.
  • Enter Everywhere Essentials or Alarm Management as a search term.
  • Select Everywhere Essentials - Alarm Management and install the app on your device.

To use the app:

  • Open Everywhere Essentials - Alarm Management on your device.
    The app starts with the alarm screen.


Profile List

Manuel -> Applications mobiles - Mobile applications for zenon -> Everywhere - Alarm Management -> Profile List

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

The profile overview lists existing profiles and administers these.

Header

Parameter | Description
< Back | Switches to the alarm screen.
+ | Creates a new profile and opens the configuration dialog for a profile.

Profile List

List with all configured connections. Select an existing profile to connect to the respective server.

Autres sujets abordés dans ce chapitre

Edit profile


Edit profile

Manuel -> Applications mobiles - Mobile applications for zenon -> Everywhere - Alarm Management -> Profile List -> Edit profile

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

In this screen, existing profiles can be changed and new profiles can be configured.

Header

Parameter | Description
Done | Saves the configuration and switches to the alarm screen.

Connection settings

Parameter | Description
Profile Name | Freely definable name of the connection.
Server address | Name or IP address of the Everywhere Server to which a connection is to be created.
Port | HTTPS port for communication with the Everywhere Server Default: 8050
Project name | Name of the Everywhere Server project.
Select alarms from equipment group | Name of the equipment group, as configured in the zenon Editor. Note: In the alarm screen, only the alarms that are linked to selected equipment group are visualized.
User | User name for login at the Everywhere Server.
Password | Password for login at the Everywhere Server.


Alarm screen

Manuel -> Applications mobiles - Mobile applications for zenon -> Everywhere - Alarm Management -> Alarm screen

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

The alarm screen visualizes the alarm message list of zenon Runtime in a simplified display.

Header

Parameter

Description

Cog symbol

Switches to profile overview for the selection or configuration of a connection.

Connection status

Shows the status of the current connection to the Everywhere Server by zenon

  • online
    Active connection to the server
  • offline
    No connection to the server

Alarm entry

Parameter

Description

[Alarm text]

Alarm text

Time received

Timestamp of the alarm:
DD.MM.YYYY, hh:mm:ss

Status

Status of the alarm:

  • Active
    Alarm is active.
  • Acknowledged
    Alarm has been acknowledged.
  • Gone
    Alarm has gone.

Example


Everywhere Essentials QR Data App

Manuel -> Applications mobiles - Mobile applications for zenon -> Everywhere Essentials QR Data App

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

The free Everywhere Essentials QR Data App visualizes real-time data from the productive Runtime to mobile devices. The relevant information is read from a QR code directly.

The QR code can be created for the App with the Everywhere Essentials QR Code Generator of an existing configuration.

Note: The App is available for devices with the Windows 10, Windows 10 Mobile, Android and Apple iOS operating systems.

info Informations

The Everywhere Essentials QR Data App visualizes the project data provided by the Everywhere Server.

Autres sujets abordés dans ce chapitre

Installation

App Bar

Start screen

Profile List

Connection establishment

Result screen


Installation

Manuel -> Applications mobiles - Mobile applications for zenon -> Everywhere Essentials QR Data App -> Installation

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Carry out the following steps in order to be able to use Everywhere Essentials QR Data App on your device:

  • Start the app store on your device.
  • Enter QR Data App or Essentials QR as a search term.
  • Select Everywhere Essentials QR Data App and install the app on your device.

To use the app:

  • Open the Everywhere Essentials QR Data App on your device.
    The start screen is shown.


App Bar

Manuel -> Applications mobiles - Mobile applications for zenon -> Everywhere Essentials QR Data App -> App Bar

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

The app bar is for navigation on Android devices.

Note: There is no app bar available for Apple iOS devices.

App Bar

Parameters | Description
zurück (symbol: curved arrow to the right) | Switches to the previous app screen.
Home (symbol: house) | Closes the app and switches back to the Start screen of the Android device.
nn (symbol: overlaid screens) | Overview of the last apps open on the device.
info Informations
The appearance and functionality of the app bar is the same on all screens. This bar is very often already integrated into the hardware of an Android device. In this case, no app bar is displayed.


Start screen

Manuel -> Applications mobiles - Mobile applications for zenon -> Everywhere Essentials QR Data App -> Start screen

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

The Everywhere Essentials QR Data App starts either with the scan screen or with the screen for manual entry.

This depends on the view in which the app was last closed.

Autres sujets abordés dans ce chapitre

Scan screen

Screen for manual entry


Scan screen

Manuel -> Applications mobiles - Mobile applications for zenon -> Everywhere Essentials QR Data App -> Start screen -> Scan screen

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

QR codes are scanned and the profile list is called up in the scan screen.

Action Bar - Action Buttons

Parameters | Description
Profiles (symbol: screw-wrench) | Calls up the Profil list.

Footer

Parameters | Description
Manual Input | Switches to manual input.

Scan process

To scan a QR code:

  • Focus on the QR code with your device's camera.
    After successful identification of the QR code:
    • The screen is highlighted with a thick edge.
    • Prominent parts of the QR code are also accentuated in color.
    • The name of the detected project or the detected equipment group is visualized in the footer
  • The app establishes a connection to Everywhere Server by zenon.
    Note: You can find detailed information on this in the Establishing a connection chapter.
  • After successful connection to Everywhere Server by zenon, the app switches to the event screen.
    The values of the variables identified are shown according to the configuration.


Screen for manual entry

Manuel -> Applications mobiles - Mobile applications for zenon -> Everywhere Essentials QR Data App -> Start screen -> Screen for manual entry

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

You can enter the variable name or the name of the equipment group manually in the screen for manual entry.

Action Bar - Action Buttons

Parameters | Description
Profiles (symbol: screw-wrench) | Calls up the Profil list.

Manual input

Parameters

Description

Input field

Input field for variable name or name of the equipment group.

Note: Pay attention to capital letters and small letters when entering the data!

Input type

Drop-down list to select the query type:

  • Variable
    The name entered corresponds to a variable name (Nom).
  • Equipment Group
    The name entered corresponds to the name of an equipment group (Nom).

Go

Button to start the query.

The result is then visualized in the event screen.

Footer

Parameters | Description
Scan QR Code | Switches to the scan screen.


Profile List

Manuel -> Applications mobiles - Mobile applications for zenon -> Everywhere Essentials QR Data App -> Profile List

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

The profile overview lists existing profiles and administers these.

Action Bar - Action Buttons

Parameters

Description

<- Select profile

Switches back to the input screen:

  • Scan screen
  • Screen for manual entry

This depends on the view in which the profile overview was called up.

Action Overflow
(symbol: three vertical dots)

Click the button to open a drop-down list of the actions.

List of profiles

Lists all configured profiles. Selection of a profile by tapping on the profile name.

Parameters | Description
Add new profile | Creates a new profile and opens the screen to configure a profile. Note: You can find further information on the use of profiles when establishing a connection in the Establishing a Connection chapter.
Edit selected profile | Opens the screen to configure a profile.
Delete selected profile | Deletes the selected profile. Before deletion, you are requested to confirm the deletion of the profile.

Safety query

A confirmation dialog is called up before a profile is deleted.

Parameters | Description
No | The profile will not be removed from the list The dialog is closed in the process.
Yes | The profile is deleted The dialog is closed in the process.

Autres sujets abordés dans ce chapitre

Edit Profile


Edit Profile

Manuel -> Applications mobiles - Mobile applications for zenon -> Everywhere Essentials QR Data App -> Profile List -> Edit Profile

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

In this screen, existing profiles can be changed and new profiles can be configured. In addition, you configure the granularity of the results display.

Note: Pay attention to capital letters and small letters when entering the data!

Action Bar - Action Buttons

Parameters | Description
<- Add Profiles | Switches back to the profile overview.
Save profile (symbol: floppy-disk) | Saves the profile settings and switches to the profile overview. A confirmation dialog is called up before saving.

Connection settings

Parameters | Description
Profile Name | Freely definable name of the connection.
Server | Name or IP address of the Everywhere Server to which a connection is to be created.
Port | HTTPS port for communication with the Everywhere Server Default: 8050
Project Name | Name of the Everywhere Server project.
User | User name for login at the Everywhere Server.
Password | Password for login at the Everywhere Server.

Display details

The properties are each activated or deactivated with a slider.

These settings have a direct effect on the characteristics of the display in the results screen.

Parameters | Description
Read Connection Settings from QR Code | The connection settings to the Everywhere Server are taken from the QR code. Default: active. If this property is deactivated or no connection settings are coded into the QR code, the connection settings of the last profile that was selected are used.
Show Variable Name | The variable name is displayed. Activates or deactivates the display of the variable name in the event screen. Default: active. Note: This corresponds to the Nom property in the zenon configuration.
Show Variable Identification | Activates or deactivates the display of variable detection in the results screen. Default: active. Note: This corresponds to the Identification property in the zenon configuration.
Show Variable Timestamp | Activates or deactivates the display of the time stamp in the event screen. Default: active. Note: This corresponds to the property in the zenon configuration.
Show Variable Status | Activates or deactivates the display of the variable status in the event screen. Default: active. Note: This corresponds to the StatusString property in the zenon configuration.
Show Identification after Scan | The login data for the Everywhere Server is shown whilst the connection is established. Default: Inactive.

Saving profiles - confirmation dialog

A confirmation dialog is called up before a profile is saved.

Parameters | Description
No | The profile will not be saved. The dialog is closed in the process.
Yes | The profile is saved The dialog is closed in the process.


Connection establishment

Manuel -> Applications mobiles - Mobile applications for zenon -> Everywhere Essentials QR Data App -> Connection establishment

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

The following rules are applicable before connection to an Everywhere Server by zenon:

  • If the QR code contains connection settings that have already been saved in an existing profile, the app establishes the connection immediately. The result is shown if the connection is successfully established without further interim steps in the results screen.
  • With manual entry of the value query or if no connection settings are included in the QR code, the connection settings of the current profile are always used.
  • If the QR code contains connection settings that are not yet saved in a profile, a new profile with the default settings is automatically created.
    The login data is queried in a dialog before the connection is established.
  • If the login data (User or Password) are not present or have been configured incorrectly, a dialog to enter the login data is called up.
  • An error message is shown if no connection to the Everywhere Server by zenon could be established.

Error when establishing connection

If no connection to the Everywhere Server by zenon could be established, the following error message is shown.

Autres sujets abordés dans ce chapitre

Login dialog


Login dialog

Manuel -> Applications mobiles - Mobile applications for zenon -> Everywhere Essentials QR Data App -> Connection establishment -> Login dialog

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Dialog for the entry of the login data on the server.

Parameters

Description

User

Input field for user name.

Password

Input field for password.

Save Credentials in Profile

Checkbox to save the data entered.

  • If activated:
    Login data entered is saved in the profile.

If the checkbox is not activated, the login dialog is shown again the next time a connection is established.

Cancel

Annule toutes les modifications et ferme la boîte de dialogue.

No connection is established.

OK

Applique les paramètres et ferme la boîte de dialogue.


Result screen

Manuel -> Applications mobiles - Mobile applications for zenon -> Everywhere Essentials QR Data App -> Result screen

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Current variable values of the productive Runtime environment are visualized in this screen. The values are continually updated.

Note: The characteristics of the display depend on the setting in the profile settings.

Parameters

Description

< Value of [Input source]

Switches back to the input screen:

  • Scan screen
    Input source = variable name
  • Screen for manual entry
    Input source = equipment group

This depends on the view in which the profile overview was called up.

Examples


Notifier App by zenon

Manuel -> Applications mobiles - Mobile applications for zenon -> Notifier App by zenon

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

The Notifier App by zenon makes it possible to acknowledge alarms that are sent by means of Message Control as a SMS to a mobile device.

Note: The App is only available for devices with the Android operating system.

tutorial Informations concernant la licence

The Notifier App by zenon is freely available. It works together with the Message Control module. This requires a license.

Autres sujets abordés dans ce chapitre

Functionality

Configuration

Receive and acknowledge alarm SMS


Functionality

Manuel -> Applications mobiles - Mobile applications for zenon -> Notifier App by zenon -> Functionality

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

The Notifier App by zenon shows SMSs that:

  • Have been sent by the Message Control module and
  • Contain certain key words or were sent by certain telephone numbers

After receipt, an alarm is played back on the receiving device for 30 seconds. If the message is opened within this time period, the user can acknowledge the alarm by SMS, reject it or ignore the alarm with a button. If a message is not reacted to in time, the information is filed to the Notification-Bar. If this is activated, a list of the alarms that have not yet been acknowledged and ignored is shown.

The current alarm list is always shown as a the start screen.

Navigation in the app is carried out by pressing the symbols or swiping.
The following are available from left to right:

  • Show alarm list
  • Configure keywords
  • Configure telephone numbers
  • Configure codes


Configuration

Manuel -> Applications mobiles - Mobile applications for zenon -> Notifier App by zenon -> Configuration

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Key words and telephone numbers, as well as PIN and NA can be configured and alarms can be edited with the App.

To use the App:

  1. Download the Notifier App by zenon from the Store.
  2. Open the Notifier App.

  3. The configuration window is shown.

Configure app

On the configuration screen, you define:

  • Keywords: List with all keywords that have been set.
  • Phone numbers: List showing all telephone numbers to which the app is to react with an SMS.
  • PIN and NA-Code: PIN for positive acknowledgment and NA for reject.

You also edit the alarms entered in the alarm list.

Autres sujets abordés dans ce chapitre

Configure keywords

Configure telephone numbers

Configure PIN and NA code


Configure keywords

Manuel -> Applications mobiles - Mobile applications for zenon -> Notifier App by zenon -> Configuration -> Configure keywords

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

To configure keywords:

  1. Click on the symbol with the key for Keywords.
  2. A list of configured key words is shown.

  3. If a key word is selected, it can be deleted by means of a dialog.
  4. To create a new key word, click on the + button.
    Note: With Android version <3.0, adding is carried out by clicking on the Add New Item button.
  5. The dialog to add it is opened.

  6. Enter the key word and click on Add.

    Note: Only one single keyword can be entered. Spaces are not permitted:


Configure telephone numbers

Manuel -> Applications mobiles - Mobile applications for zenon -> Notifier App by zenon -> Configuration -> Configure telephone numbers

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

To configure telephone numbers whose SMS is accepted as messages:

  1. Tap on the symbol with the telephone.
  2. A list of the configured telephone numbers is displayed.

  3. If a telephone number is selected, it can be deleted by means of a dialog.
  4. To create a new telephone number, click on the + button.

    Note: With Android version <3.0, adding is carried out by clicking on the Add New Item button.

  5. The dialog to add it is opened.

  6. Enter the telephone number and click on Add.

Attention: Telephone numbers must be entered in the format +[country code][number].
Example: +4369912345678


Configure PIN and NA code

Manuel -> Applications mobiles - Mobile applications for zenon -> Notifier App by zenon -> Configuration -> Configure PIN and NA code

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

To configure PIN and NA code:

  1. Tap on the symbol with the stars for Codes.

  2. The codes for PIN and NA are shown.
  3. To enter or change a code, click in the input field.
  4. The touch keyboard to enter the PIN and NA is opened.

  5. Enter the 4-digit PIN required for acknowledgment.
  6. Enter the 4-digit NA required for rejecting the alarm.
  7. Click OK.


Receive and acknowledge alarm SMS

Manuel -> Applications mobiles - Mobile applications for zenon -> Notifier App by zenon -> Receive and acknowledge alarm SMS

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Receive alarm SMS

Procedure for receipt of SMS:

  1. The Notifier App by zenon checks all incoming SMSs for key words and sender telephone number.
  2. If the telephone number and a word in the text of the SMS correspond to the set parameters, an alarm is played back for 30 seconds and a notice window is opened.

  3. To accept the alarm SMS and to react to this, click on OK.
    • If the SMS contains an alarm, the window to acknowledge the alarm is opened by clicking on OK.
    • If the SMS does not contain an alarm, the window is closed by clicking on OK. The App continues to run in the background.
  4. If you do not react within 30 seconds, then:
    1. The window is closed
    2. The alarm ends and information is sent to the Notification-Bar of the mobile device
    3. The alarm is saved in the alarm list

Respond to alarm SMS

Process when responding to a SMS:

  1. If the alarm SMS is received, a dialog with the message and response possibilities is opened.
  2. Select the desired reaction:
    1. YES: Acknowledges the alarm.
    2. NO: Rejects acknowledgment.
    3. Ignore: Ignores the alarm and moves it to the alarm list.

    Note: The respective authorization code (PIN/NA) must be stored in the App.

  3. Close the App.
    The App continues to run in the background after it has been closed.

Alarm window

Parameters | Description
SMS Text: | Display of the text of the SMS.
YES | Acknowledges the alarm. An SMS in Alarm-ID;PIN format is sent. The PIN must be stored in the configuration to do this.
NO | Declines acknowledgment of the alarm. An SMS in Alarm-ID;NA format is sent. The NA must be stored in the configuration to do this.
Ignore | Alarm is saved in the alarm list. This can be called up at any time using the symbol in the App and the alarm can be acknowledged or deleted.

info Informations

You can also find details on acknowledging the Message Control module in the Acknowledging messages chapter in the Message Control manual.

Administering the alarm list

If the App is opened, you get to the alarm list by tapping on the symbol with the speech bubble.

  • Ignored messages are shown as deactivated (gray).
  • Messages with an unclear status are active and shown with a warning symbol.

If an alarm SMS is not reacted to quickly enough or the Notifier App by zenon is ended without an action, information is sent to the Notification-Bar of the mobile device. This is shown by alarm information. The type of messages depends on the mobile device.

Tap on the alarm symbol to react to this message. The alarm list is opened.

Processing messages

To process messages with an unclear status:

  1. Tap on the message.
  2. Acknowledge or ignore the message.

    Acknowledged alarms are removed from the list.
    Ignored alarms are shown as inactive.

Deleting messages

To remove ignored alarms from the list:

  1. Tap on the pen symbol at the top right.

    The alarm list is opened in editing mode and ignored alarms are displayed.

  2. Activate the checkbox in front of the alarm.
  3. Tap on the Delete symbol at the top right.

    All selected alarms are removed from the list.


Everywhere App by zenon

Manuel -> Applications mobiles - Mobile applications for zenon -> Everywhere App by zenon

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Apps allow the visualization of a zenon project on mobile end devices, tablets and desktop computers. The range of functions is identical. The graphical user interface varies depending on the operating system used.

The respective apps guide you through your project configuration step by step. You select the respective parameters you want and thus receive the attendant information. Navigation is intuitive and follows a chronological sequence.

The following Apps are available:

  • Everywhere App by zenon for MS Windows Phone
  • Everywhere App by zenon for iPhone and iPad
  • Everywhere App for Desktop for Desktop
  • Everywhere App by zenon for Android

tutorial Informations concernant la licence

All apps are available in the manufacturers' stores free of charge.

Autres sujets abordés dans ce chapitre

Requirements

Installation

Everywhere App by zenon for MS Windows Phone

Everywhere App by zenon for iPhone and iPad

Everywhere App for Desktop

Everywhere App by zenon for Android


Requirements

Manuel -> Applications mobiles - Mobile applications for zenon -> Everywhere App by zenon -> Requirements

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

The Everywhere App by zenon visualizes the project configuration provided by Everywhere Server on a smartphone, tablet or desktop computer.

System requirements

  • Windows Phone 7.5 or higher (Windows Phone 8 or higher recommended)
  • iOS 6 or higher for Apple iPhone and iPad
  • Windows 8 or higher for Everywhere App for Desktop
  • Android 2.2.x - Froyo or higher

info Informations

The Everywhere App by zenon user interface is only available in English.


Installation

Manuel -> Applications mobiles - Mobile applications for zenon -> Everywhere App by zenon -> Installation

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Carry out the following steps in order to be able to use Everywhere App by zenon on your device:

  • Start the app store.
  • Enter zenon or Everywhere App as a search term.
  • Select Everywhere App by zenon.

Tipp Conseil

A profile for a demo project is already installed during the installation. You can thus also test Everywhere App by zenon if you have not yet configured your own project with zenon.

Autres sujets abordés dans ce chapitre

Note for OEM user:


Note for OEM user:

Manuel -> Applications mobiles - Mobile applications for zenon -> Everywhere App by zenon -> Installation -> Note for OEM user:

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

info Informations

Always select Everywhere App by zenon!
The app is used for different products.

Everywhere App by zenon is compatible with all OEM project configurations.


Everywhere App by zenon for MS Windows Phone

Manuel -> Applications mobiles - Mobile applications for zenon -> Everywhere App by zenon -> Everywhere App by zenon for MS Windows Phone

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Autres sujets abordés dans ce chapitre

Authentication

Profile List

Edit Profile

Equipment Model

Equipment Groups

Variables selection

Values view

Alarm List

Acknowledge alarms


Authentication

Manuel -> Applications mobiles - Mobile applications for zenon -> Everywhere App by zenon -> Everywhere App by zenon for MS Windows Phone -> Authentication

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

The login screen allows you to log in to an Everywhere Server by zenon and to select user profiles.

Parameters

Description

Profile

Name of the selected profile.

  • Tapping on the profile name opens the dialog to select an existing profile.
  • Tapping on the profile name also opens the dialog to create a new profile.

User name

User name for login at the Everywhere Server.

Password

Password for login at the Everywhere Server.

Note: Pay attention to capital letters and small letters when entering the data!

App Bar

login (Symbol >) | Logs the app into Everywhere Server and switches to the next screen.
... | Extends the display of the app bar.


Profile List

Manuel -> Applications mobiles - Mobile applications for zenon -> Everywhere App by zenon -> Everywhere App by zenon for MS Windows Phone -> Profile List

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

The profile overview lists existing profiles and administers these.

Parameters | Description
Profile List | Lists existing profiles. The profile that is currently selected is highlighted in color. Tapping on the desired profile activates the profile and switches to the login screen.

App Bar

Parameters | Description
edit (pencil symbol) | Tapping on the symbol switches to the symbol display from edit (pencil symbol) to add (+ symbol).
add (+ symbol) | Tapping on the edit symbol makes the add symbol available. Another tap opens the screen to configure a profile.
... | Extends the display of the app bar.

To edit an existing profile:

  • Tap the edit symbol in the app bar.
  • Tap an existing profile from the list.


Edit Profile

Manuel -> Applications mobiles - Mobile applications for zenon -> Everywhere App by zenon -> Everywhere App by zenon for MS Windows Phone -> Edit Profile

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

In this screen, existing profiles can be changed and new profiles can be configured.

Parameter

Description

Profile name

Name of the profile:
Freely selectable

Server host name

Name of the Everywhere Server to which a connection is to be created.

Port HTTPS

Port address for the connection to the Everywhere Server.

Default: 8050

Project name

Project name for the connection to Everywhere Server.

Display variables by:

Display of the variables.
Select from drop-down list:

  • Name
    Variable display according to name
  • Identification
    Variable display according to identification
  • Res. Label
    Variable display according to resources label

Remember password:

(Slider)

Save password for input. The setting is also shown as text:

  • OFF: (slider left and bright)
    Password for login is not saved in the profile settings.
  • On: (slider left and dark)
    Password is saved in the profile settings.

Default: OFF

App Bar

Parameter | Description
Save (Symbol) | Saves the current settings and returns to the profile overview.
Delete (Recycle Bin symbol) | Deletes the selected profile.
... | Extends the display of the app bar.


Equipment Model

Manuel -> Applications mobiles - Mobile applications for zenon -> Everywhere App by zenon -> Everywhere App by zenon for MS Windows Phone -> Equipment Model

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

This screen shows the configured equipment model.

Tapping on the equipment model names switches to the next screen with the selection of the equipment groups.

App Bar

continue (Symbol >) | Logs the app into Everywhere Server and switches to the next screen.
logout (X-Symbol) | Ends connection to the server and returns to the login screen.
... | Extends the display of the app bar.


Equipment Groups

Manuel -> Applications mobiles - Mobile applications for zenon -> Everywhere App by zenon -> Everywhere App by zenon for MS Windows Phone -> Equipment Groups

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

In this screen, the configured equipment groups are listed and selected.

Tapping on the equipment model names switches to the next screen with the selection of the allocated variables.

App Bar

continue (Symbol >) | Logs the app into Everywhere Server and switches to the next screen.
logout (X-Symbol) | Ends connection to the server and returns to the login screen.
... | Extends the display of the app bar.


Variables selection

Manuel -> Applications mobiles - Mobile applications for zenon -> Everywhere App by zenon -> Everywhere App by zenon for MS Windows Phone -> Variables selection

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

In this screen, configured variables from the selected equipment group are listed and selected.

Lists all available variables. Select the variables by tapping.

Note: All variables can be selected or deselected with the Extended app bar.

App Bar

continue (Symbol >) | Logs the app into Everywhere Server and switches to the next screen.
logout (X-Symbol) | Ends connection to the server and returns to the login screen.
... | Extends the display of the app bar.

Extended app bar

(only visible if the app bar has been extended by tapping on ...)

select all variables | Activates/deactivates all variables in the list.
clear variables | Shows new screen with detail view of the selected variable(s). Inactive if no variable is selected.


Values view

Manuel -> Applications mobiles - Mobile applications for zenon -> Everywhere App by zenon -> Everywhere App by zenon for MS Windows Phone -> Values view

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

This screen visualizes the values of the selected variables. There are two views available.

Variable list

Parameters

Description

Variablenliste

List of selected variables:

Tapping on the variable switches between "normal view" and "detailed view"

  • Normal view:
    Variable name
    Variable value (numerical)
    Variable value (bar display)
  • Detail view:
    Variable name
    Date and time of last update
    Communication type
    Data type of the variable
    value with pointer instrument display


Alarm List

Manuel -> Applications mobiles - Mobile applications for zenon -> Everywhere App by zenon -> Everywhere App by zenon for MS Windows Phone -> Alarm List

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

This screen visualizes active alarms in a list. Alarms can be acknowledged by tapping on the alarm entry.

Alarms

Parameters

Description

Liste mit Alarmeinträgen

List of active alarms:

  • Variable name
    Value
    Date and time of the alarm
    Acknowledged alarm: Yes/No
    Cleared alarm: Yes/No

Tapping on an alarm entry acknowledges that entry.

App Bar

...

Extends the display of the app bar.


Acknowledge alarms

Manuel -> Applications mobiles - Mobile applications for zenon -> Everywhere App by zenon -> Everywhere App by zenon for MS Windows Phone -> Acknowledge alarms

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

An alarm can be acknowledged by tapping on the list entry.

Acknowledging an alarm with Everywhere App:

  1. Tap on the alarm entry in the alarm screen.
  2. A dialog is opened.
  3. Tap Yes if you want to acknowledge the alarm.
  4. No closes the acknowledgment dialog

After acknowledgment, the entry for the alarm (Acknowledged:) shows the date and time of acknowledgment.


Everywhere App by zenon for iPhone and iPad

Manuel -> Applications mobiles - Mobile applications for zenon -> Everywhere App by zenon -> Everywhere App by zenon for iPhone and iPad

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Autres sujets abordés dans ce chapitre

Authentication

Profile List

Edit Profile

Equipment Model

Equipment groups and variables

Variables selection

Values view

Alarm List

Acknowledge alarms


Authentication

Manuel -> Applications mobiles - Mobile applications for zenon -> Everywhere App by zenon -> Everywhere App by zenon for iPhone and iPad -> Authentication

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

The login screen allows you to log in to an Everywhere Server by zenon and to select user profiles.

Parameters | Description
Profilname | Name of the selected profile.
(arrow symbol) | Opens the profile overview screen.
Username | User name for login at the Everywhere Server.
Passwort | Password for login at the Everywhere Server.
Login (button) | Logs the app into Everywhere Server and switches to the next screen.

Note: Pay attention to capital letters and small letters when entering the data!


Profile List

Manuel -> Applications mobiles - Mobile applications for zenon -> Everywhere App by zenon -> Everywhere App by zenon for iPhone and iPad -> Profile List

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

The profile overview lists existing profiles and administers these.

Parameters | Description
< Back | Switches back to the login screen
Edit | Switches the list of existing profiles into edit mode Note: if the Edit button is clicked, it is displayed as + symbol. A white - in a red circle is placed before it in the list of configured profiles. (the screen to edit the profiles opens by clicking on the profile name.)
> (Symbol) | Opens the screen to edit the profiles.
Profile name | List of the already-configured profiles.

Creating a new profile

  • To create a new profile, click on the + button

Editing a profile

To switch to the editing mode of a profile:

  • Tap on the > symbol, on the right next to the profile name.


Edit Profile

Manuel -> Applications mobiles - Mobile applications for zenon -> Everywhere App by zenon -> Everywhere App by zenon for iPhone and iPad -> Edit Profile

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

In this screen, existing profiles can be changed and new profiles can be configured.

Parameters

Description

Cancel

Cancels input and returns to the profile overview.

Save

Saves the input and returns to the profile overview.

Profile name

Name of the profile:
Freely selectable

Server

Name of the Everywhere Server to which a connection is to be created.

HTTPS Port

Port address for the connection to the Everywhere Server.

Default: 8050

Project

Project name for the connection to Everywhere Server.

Display variables by:

(Toolbar)

Display of the variables.
Select from drop-down list:

  • Name
    Variable display according to name
  • Identification
    Variable display according to identification
  • Res. Label
    Variable display according to resources label

Remember password:

(Slider)

Save password for input:

  • OFF: (slider left and bright)
    Password for login is not saved in the profile settings
  • On: (slider right and dark)
    Password is saved in the profile settings

Default: OFF


Equipment Model

Manuel -> Applications mobiles - Mobile applications for zenon -> Everywhere App by zenon -> Everywhere App by zenon for iPhone and iPad -> Equipment Model

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

This screen shows the configured equipment model.

Parameters | Description
Logout | Ends connection to the server and returns to the login screen.
Project name | List of available projects on the Everywhere Server
> (Symbol) | Opens the screen to select an equipment model.


Equipment groups and variables

Manuel -> Applications mobiles - Mobile applications for zenon -> Everywhere App by zenon -> Everywhere App by zenon for iPhone and iPad -> Equipment groups and variables

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

This screen lists available equipment groups of the selected equipment model as well as the attendant variables.

Header

Parameters | Description
Back | Returns to previous screen. Note: Swipe to the right also returns to the previous screen.
Logout | Ends connection to the server and returns to the login screen.

EQUIPMENT GROUPS

Parameters | Description
List of equipment groups |
> (Symbol) |

Variables

Parameters | Description
Variable list | List of the available variables. Selection/deselection by simply tapping. Selected variables are indicated by a blue tick.

Footer

Parameter | Description
Select/Deselect all | Activates/deactivates all variables in the list.
Show Details | Shows new screen with detail view of the selected variable(s). Inactive if no variable is selected.


Variables selection

Manuel -> Applications mobiles - Mobile applications for zenon -> Everywhere App by zenon -> Everywhere App by zenon for iPhone and iPad -> Variables selection

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

In this screen, configured variables from the selected equipment group are listed and selected.

Header

Parameters | Description
Back | Returns to previous screen. Note: Swipe to the right also returns to the previous screen.
Logout | Ends connection to the server and returns to the login screen.

Variables

Parameters | Description
Variable list | List of the available variables. Selection/deselection by simply tapping. Selected variables are indicated by a blue tick.

Footer

Parameter | Description
Select/Deselect all | Activates/deactivates all variables in the list.
Show Details | Shows new screen with detail view of the selected variable(s). Inactive if no variable is selected.


Values view

Manuel -> Applications mobiles - Mobile applications for zenon -> Everywhere App by zenon -> Everywhere App by zenon for iPhone and iPad -> Values view

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

This screen visualizes the values of the selected variables. There are two views available.

Header

Parameters | Description
Back | Returns to previous screen. Note: Swipe to the right also returns to the previous screen.
Logout | Ends connection to the server and returns to the login screen.

Variable overview

Parameters

Description

Variable list

List of selected variables:

  • Normal view:
    Variable name
    Variable value (numerical)
    Variable value (bar display)
  • Detail view:
    Variable name
    Date and time of last update
    Communication type
    Data type of the variable
    value with pointer instrument display

Footer

Parameters | Description
Values (Symbol) | Switches to display of values of the variables. Blue background if active.
Alarms (Symbol) | Switches to display of alarms. Blue background if active.


Alarm List

Manuel -> Applications mobiles - Mobile applications for zenon -> Everywhere App by zenon -> Everywhere App by zenon for iPhone and iPad -> Alarm List

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

This screen visualizes active alarms in a list. Alarms can be acknowledged by tapping on the alarm entry.

Alarms

Parameters

Description

List with alarm entries

List of active alarms:

  • Variable name
    Value
    Date and time of the alarm
    Acknowledged alarm: Yes/No
    Cleared alarm: Yes/No

Tapping on an alarm entry acknowledges that entry.

Footer

Parameters | Description
Values (Symbol) | Switches to display of values of the variables. Blue background if active.
Alarms (Symbol) | Switches to display of alarms. Blue background if active.


Acknowledge alarms

Manuel -> Applications mobiles - Mobile applications for zenon -> Everywhere App by zenon -> Everywhere App by zenon for iPhone and iPad -> Acknowledge alarms

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

An alarm can be acknowledged by tapping on the list entry.

Acknowledge an alarm with Everywhere App:

  1. Tap on the alarm entry in the alarm screen.
  2. A dialog is opened.
  3. Tap Yes if you want to acknowledge the alarm.
  4. No closes the acknowledgment dialog

After acknowledgment, the entry for the alarm (Acknowledged:) shows the date and time of acknowledgment.


Everywhere App for Desktop

Manuel -> Applications mobiles - Mobile applications for zenon -> Everywhere App by zenon -> Everywhere App for Desktop

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Autres sujets abordés dans ce chapitre

Authentication

Profile List

Edit Profile

Equipment model and equipment groups

Variables selection

Values view

Alarm List

Acknowledge alarms


Authentication

Manuel -> Applications mobiles - Mobile applications for zenon -> Everywhere App by zenon -> Everywhere App for Desktop -> Authentication

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

The login screen allows you to log in to an Everywhere Server by zenon and to select user profiles.

Parameters

Description

Profile

Name of the selected profile.

  • Tapping or left-clicking opens the drop-down list to select an existing profile.

User name

User name for login at the Everywhere Server.

Password

Password for login at the Everywhere Server.

login

(Symbol)

Logs the app into Everywhere Server and switches to the next screen.

Note: Pay attention to capital letters and small letters when entering the data!

App Bar

Parameters | Description
edit (pencil symbol) | Tapping or left-clicking opens the screen to configure a profile.


Profile List

Manuel -> Applications mobiles - Mobile applications for zenon -> Everywhere App by zenon -> Everywhere App for Desktop -> Profile List

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

The profile overview lists existing profiles and administers these.

Navigation

<-
(Symbol)

Switches to the previous screen.

Parameters

Description

Profile List

Lists existing profiles.

  • The profile that is currently selected is accentuated graphically.
  • Tapping or left-clicking on the desired profile selects the profile.
  • Tap or click the edit symbol to edit the selected profile.

App Bar

Parameter | Description
Edit (pencil symbol) | Switches the selected profile to editing mode.
Add (+ symbol) | Creates a new profile.
Delete (Recycle Bin symbol) | Deletes the selected profile.
Save (Disk symbol) | Saves changes to the selected profile. Note: Inactive if no profile is being edited.
Reset (X-Symbol) | Discards all inputs. Note: Inactive if no profile is being edited.

To edit an existing profile:

  • Tap or click on an existing profile from the list.
  • Tap or click on the edit symbol in the app bar.


Edit Profile

Manuel -> Applications mobiles - Mobile applications for zenon -> Everywhere App by zenon -> Everywhere App for Desktop -> Edit Profile

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

In this screen, existing profiles can be changed and new profiles can be configured.

Navigation

<-
(Symbol)

Switches to the previous screen.

Parameters

Description

Profile name

Name of the profile:
Freely selectable

Server host name

Name or IP address of the Everywhere Server to which a connection is to be created.

Port HTTPS

Port address for the connection to the Everywhere Server.

Default: 8050

Project name

Project name for the connection to Everywhere Server.

Display variables by:

(Drop-down list)

Display of the variables.
Select from drop-down list:

  • Name
    Variable display according to name
  • Identification
    Variable display according to identification
  • Res. Label
    Variable display according to resources label

Remember password:

(Slider)

Save password for input. The setting is also shown as text:

  • OFF: (slider left and bright)
    Password for login is not saved in the profile settings
  • On: (slider right and dark)
    Password is saved in the profile settings

Default: OFF

App Bar

Parameters | Description
Edit (pencil symbol) | Switches the selected profile to editing mode.
Add (+ symbol) | Creates a new profile.
Delete (Recycle Bin symbol) | Deletes the selected profile.
Save (Disk symbol) | Saves changes to the selected profile.
Reset (X-Symbol) | Discards all inputs.


Equipment model and equipment groups

Manuel -> Applications mobiles - Mobile applications for zenon -> Everywhere App by zenon -> Everywhere App for Desktop -> Equipment model and equipment groups

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

This screen shows the configured equipment model. Once an equipment model has been selected, the attendant equipment groups are displayed.

The attendant hierarchy is displayed by selecting an equipment group.
If a selected group contains variables, the view switches to the variable overview screen.

App Bar

Logout
(open lock symbol)

Ends connection to the server and returns to the login screen.


Variables selection

Manuel -> Applications mobiles - Mobile applications for zenon -> Everywhere App by zenon -> Everywhere App for Desktop -> Variables selection

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

In this screen, configured variables from the selected equipment group are listed and selected.

Select the variables by tapping or left-clicking.

<- (Symbol) | Switches to the previous screen.
-> (Symbol) | Switches to the next screen.
All | Activates/deactivates all variables.
Show only selected | Only the selected variables are displayed in the screen of the variable view. Inactive if there is not at least one variables selected.

App Bar

Logout
(open lock symbol)

Ends connection to the server and returns to the login screen.


Values view

Manuel -> Applications mobiles - Mobile applications for zenon -> Everywhere App by zenon -> Everywhere App for Desktop -> Values view

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

This screen visualizes the values of the selected variables. There are two views available.

Select the variables by left-clicking or tapping.

<- (Symbol) | Switches to the previous screen.
-> (Symbol) | Switches to the next screen.

Variable list

Parameters

Description

Variable display

Tapping or left-clicking on the variable switches between "normal view and "detailed view"

  • Normal view:
    Variable name
    Variable value (numeric)
    Variable value (bar display)
    Min, max and unit
  • Detail view:
    Variable name
    Date and time of the last update
    Communication type
    Data type of the variable
    Value in numerical display
    Value with pointer instrument display

App Bar

Logout
(open lock symbol)

Ends connection to the server and returns to the login screen.


Alarm List

Manuel -> Applications mobiles - Mobile applications for zenon -> Everywhere App by zenon -> Everywhere App for Desktop -> Alarm List

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

This screen visualizes active alarms in a list. Alarms can be acknowledged by tapping on the alarm entry.

Select the alarms by tapping or left-clicking.

<-
(Symbol)

Switches to the previous screen.

Alarms

Parameters

Description

List with alarm entries

List of active alarms:

  • Variable name
    Value
    Date and time of the alarm
    Acknowledged alarm: Yes/No
    Cleared alarm: Yes/No

This alarm can be acknowledged by tapping or left-clicking.

App Bar

Logout
(open lock symbol)

Ends connection to the server and returns to the login screen.


Acknowledge alarms

Manuel -> Applications mobiles - Mobile applications for zenon -> Everywhere App by zenon -> Everywhere App for Desktop -> Acknowledge alarms

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

An alarm can be acknowledged by tapping on the list entry.

Acknowledging an alarm with Everywhere App for Desktop:

  1. Tap or click on the alarm entry in the alarm screen.
  2. A dialog is opened.
  3. Tap or click Yes if you want to acknowledge the alarm.
  4. No closes the acknowledgment dialog

After acknowledgment, the entry for the alarm (Acknowledged:) shows the date and time of acknowledgment.


Everywhere App by zenon for Android

Manuel -> Applications mobiles - Mobile applications for zenon -> Everywhere App by zenon -> Everywhere App by zenon for Android

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Autres sujets abordés dans ce chapitre

Self-signed certificates

Authentication

Profile List

Edit Profile

Equipment model and equipment groups

Variables selection

Values view

Acknowledging alarm list and alarms


Self-signed certificates

Manuel -> Applications mobiles - Mobile applications for zenon -> Everywhere App by zenon -> Everywhere App by zenon for Android -> Self-signed certificates

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Self-signed certificates can be used from Android version 4.4. Only official certificates can be used for versions before this. Version 4.03 or higher must be used for the use of certificates.

For each profile, a certificate installed on the device can be selected and linked. This certificate is used when establishing a connection. In this case, the Everywhere TrustManager replaces the Android TrustManager for precisely this profile and only this application. This does not influence the security of other apps and also does not replace the standard Android TrustManager.

Use self-signed certificate

To use a self-signed certificate:

  1. Ensure that the desired certificate has been installed on the device. You can find information on the creation and distribution of self-signed certificates in the Everywhere Server by zenon manual, Everywhere - Certificate creator chapter.
  2. Open the profile settings.
  3. Click on the Browse button.

    The file manager to select a certificate file is opened.

  4. Navigate to the desired certificate.

    Note: All data types are displayed. However, only CER-coded certificate files (*.cer or *.crt) are accepted.

  5. Select the certificate

    If a file is not accepted, the user is informed accordingly.
    If a correct certificate has been detected, it is accepted and the selection dialog is closed.

The installed certificate is shown in the profile.


Authentication

Manuel -> Applications mobiles - Mobile applications for zenon -> Everywhere App by zenon -> Everywhere App by zenon for Android -> Authentication

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

The login screen allows you to log in to an Everywhere Server by zenon and to select user profiles.

Action Bar - Action Buttons

Parameters | Description
Action Overflow (symbol: three vertical dots) | Click the button to open a drop-down list of the actions.
Edit current profile | Opens the screen to configure a profile.
Quit | Closes the app and switches back to the Start screen of the Android device.

Parameters | Description
Profile | Name of the selected profile. Tapping on the profile name opens the dialog to select an existing profile.
Username | User name for login at the Everywhere Server.
Password | Password for login at the Everywhere Server.
Login | Logs the app into Everywhere Server and switches to the next screen.

Note: Pay attention to capital letters and small letters when entering the data!

App Bar

Parameters | Description
zurück (symbol: curved arrow to the right) | Switches to the previous app screen.
Home (symbol: house) | Closes the app and switches back to the Start screen of the Android device.
nn (symbol: overlaid screens) | Overview of the last apps open on the device.
info Informations
The appearance and functionality of the app bar is the same on all screens. This bar is very often already integrated into the hardware of an Android device. In this case, app bar is displayed.


Profile List

Manuel -> Applications mobiles - Mobile applications for zenon -> Everywhere App by zenon -> Everywhere App by zenon for Android -> Profile List

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

The profile overview lists existing profiles and administers these.

Action Bar - Action Buttons

Parameters | Description
< (Symbol) | Switches back one screen.
+ (Symbol) | Creates a new profile and switches to the Edit profile screen.

Parameters

Description

Profile List

Lists existing profiles.

A long click on an entry opens a context menu:

  • Edit profile
    Switches to the profile editing screen. Allows changes to an existing profile.
  • Delete profile
    Deletes selected profile

Tapping on the desired profile activates the profile and switches to the login screen.

To edit an existing profile:

  • Tap an existing profile from the list.
    Attention: Ensure that you tap on the list entry for a long time.
  • Select the Edit profile entry in the context menu that appears.
  • You switch to the Edit profile screen.


Edit Profile

Manuel -> Applications mobiles - Mobile applications for zenon -> Everywhere App by zenon -> Everywhere App by zenon for Android -> Edit Profile

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

In this screen, existing profiles can be changed and new profiles can be configured.

Action Bar - Action Buttons

Parameter | Description
< (Symbol) | Switches back one screen.
Save (Disk symbol) | Saves the current settings and returns to editing the profiles.

Parameter

Description

Profile name

Name of the profile:
Freely selectable

Server host name

Name of the Everywhere Server to which a connection is to be created.

Port HTTPS

Port address for the connection to the Everywhere Server.

Default: 8050

Project name

Project name for the connection to Everywhere Server.

Display variables by:

Display of the variables.
Select from drop-down list:

  • Name
    Variable display according to name
  • Identification
    Variable display according to identification
  • Res. Label
    Variable display according to resources label

Remember password:

(Checkbox)

Save password for input. The setting is also shown as text:

  • inactive:
    Password for login is not saved in the profile settings
  • active:
    Password is saved in the profile settings.

Default: Not active.

Certificate

Display of certificate

Browse

Opens the file browser to select a certificate.


Equipment model and equipment groups

Manuel -> Applications mobiles - Mobile applications for zenon -> Everywhere App by zenon -> Everywhere App by zenon for Android -> Equipment model and equipment groups

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

This screen shows the configured equipment model. Tapping on an equipment model shows the equipment groups contained therein. Tapping on an equipment group name switches to the next screen with the selection of the allocated variables.

Action Bar - Action Buttons

Parameters | Description
< (Symbol) | Switches back one screen.
Logout: (symbol: curved arrow to the left) | Ends connection to the server and returns to the login screen.
Parameters |  | Description
[name of equipment group] |  | For easier orientation, either the equipment model name or the equipment group name - depending on the selection - is displayed in orange text above the list.
List of the configured equipment groups or variables. |  | Lists existing profiles: Clicking on the equipment group name switches to the overview of configured equipment groups. Clicking on an equipment group name switches to the variable overview and lists all variables configured in the equipment group in a list.


Variables selection

Manuel -> Applications mobiles - Mobile applications for zenon -> Everywhere App by zenon -> Everywhere App by zenon for Android -> Variables selection

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

In this screen, configured variables from the selected equipment group are listed and selected.

Action Bar - Action Buttons

Parameters | Description
< (Symbol) | Switches back one screen.
Favorites (star symbol) | Adds the selected variable(s) to the list of favorites.
Delete favorites (Recycle Bin symbol) | Deletes all variables from the list of favorites.
Action Overflow (symbol: three vertical dots) | Click the button to open a drop-down list of the actions.
Display favorites | Displays all variables from the list of favorites in a list.
Display variables | Displays all activated variables of the selected equipment group in a list. To activate a variable, the checkbox in the right column must be activated.
Logout | Ends connection to the server and returns to the login screen.
Display all | Selects all listed variables. This is visualized by a blue tick in the checkbox next to the variable name.


Values view

Manuel -> Applications mobiles - Mobile applications for zenon -> Everywhere App by zenon -> Everywhere App by zenon for Android -> Values view

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

This screen visualizes the values of the selected variables. There are two views available.

Action Bar - Action Buttons

Parameters | Description
< (Symbol) | Switches back one screen.
Logout: (symbol: curved arrow to the left) | Ends connection to the server and returns to the login screen.

Variable list

Parameters

Description

Variable list

List of selected variables:

Clicking on the variable switches between "normal view" and "detailed view"

  • Normal view:
    Variable name
    Variable value (numerical)
  • Detailed view:
    Variable name
    Variable value
    Minimum and Maximum value
    Value in bar graph display


Acknowledging alarm list and alarms

Manuel -> Applications mobiles - Mobile applications for zenon -> Everywhere App by zenon -> Everywhere App by zenon for Android -> Acknowledging alarm list and alarms

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

The alarms are integrated directly into the value view of the variables. If there is an alarm, a warning sign is shown next to the variable in the value view screen.

A long click on the variable entry opens the attendant alarm entry. The alarm can be confirmed in the subsequent dialog.

Action Bar - Action Buttons

Parameters | Description
< (Symbol) | Switches back one screen.
Logout: (symbol: curved arrow to the left) | Ends connection to the server and returns to the login screen.

Alarms

Parameters | Description
List with alarm entries | The word Alarms_ is placed in front of the variable name. A long tap on an alarm entry opens the dialog to acknowledge an alarm.

Confirm alarm dialog

Parameters

Description

Variablenname

Name of the variable with pending alarm.
The word "Alarm_" is placed in front of the variable name.

Wert

Value of the variable.

Aknowledged:

Alarm confirmed:

  • No:
    Alarm has not yet been confirmed
  • Yes:
    Alarm has already been confirmed

Default: No

Note: This field cannot be changed.

Clear

Alarm ended:

  • No:
    The alarm state still keeps occurring.
  • Yes:
    The alarm state no longer occurs.

Default: No

Note: This field cannot be changed.

Cancel

Closes the dialog and returns to the value view of the variables.

Acknowledge

Confirms alarm and closes the dialog.

Acknowledging an alarm with Everywhere App:

  1. Click on the alarm entry in the value view for a long time.
  2. A dialog is opened.
  3. Tap Acknowledge if you want to acknowledge the alarm.
  4. Cancel closes the acknowledgment dialog

After acknowledgment, the entry for the alarm (Acknowledged:) shows the date and time of acknowledgment.


Everywhere Server by zenon

Manuel -> Applications mobiles - Mobile applications for zenon -> Everywhere Server by zenon

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

The Everywhere Server by zenon is for visualization of real-time data of a zenon project configuration on smartphones, tablets and desktop computers.

It runs in the context of zenon Runtime and is configured in zenon6.ini. No additional program need be started for configuration.

tutorial Informations concernant la licence

The Everywhere Server by zenon must be licensed.

Any device that supports the OData protocol can be used as a client.

In addition to its programming, an app is provided for smartphones, tablets and desktop computers.

These apps are available for free in the respective app stores.

Autres sujets abordés dans ce chapitre

Licensing

Requirements

Data security

Configuration

CEL entries

Data model of the Everywhere Server


Licensing

Manuel -> Applications mobiles - Mobile applications for zenon -> Everywhere Server by zenon -> Licensing

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Everywhere Server by zenon

Everywhere Server obtient la licence du Runtime. La licence d’Everywhere Server est émise par le Runtime. Everywhere Server n’est pas utilisable si le Runtime ne comporte pas une licence correspondante.

Pour cette raison, il peut arriver que le Runtime soit en cours d’exécution, mais qu’Everywhere Server ne puisse pas démarrer, en raison de droits de licence manquants. Dans ce cas, veuillez utiliser l’outil de gestion de licences pour recevoir une licence correspondante.


Requirements

Manuel -> Applications mobiles - Mobile applications for zenon -> Everywhere Server by zenon -> Requirements

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

To use the server for use with mobile applications, the following requirements must be met:

  • zenon from version 7.11 on
  • Users have to be configured in the project.
    For details about user administration, see also the Elements in the report area chapter.
  • For communication via HTTPS, the corresponding port must be enabled on the Server and the Client. This is port 8050 by default.
  • zenon Runtime must also be running on the computer on which Everywhere Server by zenon is running.
    This computer/server must at least be contactable in the internal network.

Requirement for the use of Everywhere App by zenon

The following requirements need only be met if the zenon project is visualized with Everywhere App by zenon:

  • An equipment model must be configured in the project.
    Variables can be linked from zenon 7.11 at each level.
    You can find details on the configuration of an equipment model in the Equipment modeling chapter.
  • zenon Runtime must also be running on the computer on which Everywhere Server by zenon is running.
    If the Everywhere App is only used in an internal network, no Internet connection is required.
    Tip: If the Everywhere Server by zenon is to be contactable from outside, it is highly recommended that a VPN connection is used and the Everywhere Server by zenon and the computer with the publishing service is placed in a DMZ.
    This computer must also have a public IP address. In this case, ensure that you define strict rules on the firewall.
    Attention: 192.168.xxx.xxx is not a public address!

info Informations

You can find additional safety notices in the zenon Hardening Guide. If you are interested in this manual, please contact support@copadata.com.


Data security

Manuel -> Applications mobiles - Mobile applications for zenon -> Everywhere Server by zenon -> Data security

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Secure transfer of data via HTTPS is ensured by the use of the Transport Layer Security encryption protocol (TLS). The identity of the Server is checked by the Client. This guarantees the integrity, origin and target of the data transfer.

Overview of communication

  • Everywhere Server by zenon uses a server certificate.
    Everywhere Server is not started without a server certificate. This server certificate is created with the Everywhere - Certificate creator.exe tool.
    If several servers are in use, separate server certificates can be used for each server.
  • The server certificate is based on a root certificate.
    If several servers are in use, separate server certificates can be used for each server.
    These server certificates originate from the same root certificate.
    Advantage: different servers can be called up with a single root certificate.
  • The root certificate can be purchased or you can create one yourself.
    Root certificates are also called SLL certificates.
    Tip: If a root certificate or SLL certificate is purchased from a provider, there is no installation on the Client. These certificates are installed together with the installation of the operating system.


Configuration

Manuel -> Applications mobiles - Mobile applications for zenon -> Everywhere Server by zenon -> Configuration

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Everywhere Server by zenon is integrated into zenon Runtime. No additional program needs to be started. The necessary settings are made in zenon6.ini directly.

Tipp Conseil

All .ini entries can also be made with the Everywhere.Config.exe program. This program offers a graphical user interface. The configurations are also transferred to zenon6.ini.

zenon6.ini entries:

  • Open zenon6.ini in an text editor.
    Note: You can find zenon6.ini under the following path: %ProgramData%\COPA-DATA\System
  • Insert the server entries:

Entrée

Description

[EVERYWHERE]

Configuration des propriétés globales pour Everywhere Server.

CERTIFCATE=

Objet du certificat du serveur pour HTTPS

Objet du certificat. Le certificat doit être enregistré dans le magasin de l'ordinateur, dans le nœud MY (vos certificats).

Par exemple : CERTIFICATE=CN=MyComputerName

ENABLE=

  • 1 : Everywhere Server est exécuté depuis le Runtime de zenon.
  • 0 : Everywhere Server ne démarre pas.

Par défaut : 0

PORT=

Port HTTPS de communication avec Everywhere Server

Par défaut : 8050

WRITE_ACCESS=
  • 0 : Accès en lecture seul autorisé via Everywhere Server.
  • 1 : Autorise l'écriture de variables et l'acquittement d'alarmes.

Par défaut : 0

En raison des restrictions du système, seuls les codages ANSI et Unicode sont pris en charge lors de la lecture de fichiers INI.

attention Attention

Le format UTF-8 n'est pas pris en charge !

Vous devez donc toujours enregistrer vos fichiers INI sous forme de fichier texte, avec un encodage ANSI ou Unicode.

Tipp Conseil

You can find further information on .ini entries in the Configuration files manual.

Autres sujets abordés dans ce chapitre

Configuration with the Everywhere.Config.exe

User authorization

Everywhere - Certificate creator

Create root certificate

Certificate on the client

Offer certificate for download

Certificates


Configuration with the Everywhere.Config.exe

Manuel -> Applications mobiles - Mobile applications for zenon -> Everywhere Server by zenon -> Configuration -> Configuration with the Everywhere.Config.exe

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

The .ini entries for the Everywhere Server can also be configured using the Everywhere.Config.exe program. You can find this program in the folder C:\Program Files (x86)\Common Files\COPA-DATA\STARTUP.

Informations

The program Everywhere.Config.exe is only available in English.

Double-clicking on the program opens the configuration dialog:

Parameters | Description
Enable Everywhere server | If the checkbox is active, the Everywhere Server by zenon starts when zenon Runtime is started. Default: Inactive Note: If this checkbox is not active, all other settings are also inactive and grayed out.
Enable Everywhere write access | Activates write access to variables and alarms (acknowledgment) by the server. 0: read access only 1: Writing to variables and acknowledgment of alarms possible Default: 0
HTTPS port: | HTTPS port that is used by the Everywhere Server by zenon. Default: 8050
Server certificate | Server certificate for HTTPS communication. This can be selected in the drop-down list. This drop-down list contains all available certificates. Note: The certificate must contain a private key. If no server certificate is selected, Everywhere Server is not started! Certificates can be created with the Everywhere.CertificateCreator.exe tool.
Add | The Everywhere.CertificateCreator.exe program is opened by clicking on the button. This program is used for the creation of separate server certificates. The entry in the drop-down list is based on the Friendly name of the Everywhere.CertificateCreator.exe
OK | Applique les paramètres et ferme la boîte de dialogue.
Cancel | Discards all changes and closes the dialog.

Note: These configurations are saved in zenon6.ini.
You can find further information about these .ini entries in the Configuration files manual in the Everywhere Server [EVERYWHERE] chapter

attention Attention

The configuration is also applicable for all zenon installations on one computer.


User authorization

Manuel -> Applications mobiles - Mobile applications for zenon -> Everywhere Server by zenon -> Configuration -> User authorization

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

The assignment of configured user authorizations is possible via the zenon6.ini file or in the zenon Editor.

In the Editor:

  • Click on the Espace de travail node
  • Select the Serveur Everywhere property group
  • Select, from the Niveau d'autorisation drop-down list, the authorization level that is to have access to Everywhere Server.

info Informations

Authorization level 0 means write and read access for all users.

You can find further information in the user administration manual in the Authorization levels chapter.

INI entry:

To configure the level of user authorization for Everywhere Server, the following must be added to the zenon6.ini file:

Entrée | Description
[PASSWORD] | Configuration de l'autorisation d'accès à Everywhere Server.
EVWH_ACCESS= | Niveau d'autorisation ayant accès à Everywhere Server. Valeur : Numéro du niveau d'autorisation configuré Par défaut : 0 (= tous les utilisateurs ont accès)


Everywhere - Certificate creator

Manuel -> Applications mobiles - Mobile applications for zenon -> Everywhere Server by zenon -> Configuration -> Everywhere - Certificate creator

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

The Everywhere - Certificate creator is used to create new server certificates. Certificates are required for secure communication between the client and server. You can find this program in the following folder: %Program Files (x86)%\Common Files\COPA-DATA\STARTUP.

info Informations

Android apps before version 4.4 do not allow self-signed certificates. Only official certificates can be used for communication on these Android devices.
From version 4.4, it was also possible to use certificates signed through Everywhere Server by zenon.

To start the program, double-click on Everywhere.CertificateCreator.exe. A configuration dialog is opened:

Parameters | Description
Server certificate |
Host name resp. IP address | Name or IP address via which the Everywhere Server is accessed by the clients. This is either the IP address or the name of the computer on which the service is running, or the address/name of the firewall/router that connects the computer to the internet.
Additional subject attributes | Additional attributes for the certificate (optional). (e.g. O=Firma, L=Ort, C=AT)
Friendly name | Name for the display in the program Everywhere.Config.exe.
Issuer (Authority certificate) | Issuer certificate or certificate that is to be used to verify the server certificate. The certificates present are shown in the drop-down list. The entry in the drop-down list is based on the Friendly name from the Create root certificate dialog.
Add private CA certificate | Opens dialog to configure the root certificate. Note: The root certificate is a mandatory part of the server certificate!
OK | Applique les paramètres et ferme la boîte de dialogue.
Cancel | Discards all changes and closes the dialog.

attention Attention

Administrator rights are required to execute this program.


Create root certificate

Manuel -> Applications mobiles - Mobile applications for zenon -> Everywhere Server by zenon -> Configuration -> Create root certificate

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

A root certificate is used on the mobile device for secure communication between the server and mobile devices This ensures that the end device is also actually connected to the given server.

info Informations

Android apps before version 4.4 do not allow self-signed certificates. Only official certificates can be used for communication on these Android devices.
From version 4.4, it was also possible to use certificates signed through Everywhere Server by zenon.

To create your own root certificate:

  • Click on the Add private CA certificate button in the Everywhere - Certificate creator .
  • The configuration dialog is opened:
Parameter |  | Description
Subject |  |
Common name (CN) | General name Default: CA for Everywhere Server
Organization (O) |  | Company name Default: Company
Organizational unit (OU) |  | Name of the organizational unit (department name) Default: Department
Locality (L) |  | Locality name Default: Salzburg
State (ST) |  | State or district name Default: Salzburg
Country (C) |  | Country name Default: AT
Additional settings |  | Additional information
Friendly name |  | Short name Default: CA for Everywhere server
OK |  | Accepts the changes and opens the save dialog to save the root certificate.
Cancel |  | Discards all changes and closes the dialog.

info Informations

The Everywhere - Certificate creator creates signatures with the sha256 hash algorithm.


Certificate on the client

Manuel -> Applications mobiles - Mobile applications for zenon -> Everywhere Server by zenon -> Configuration -> Certificate on the client

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

The certificate is checked on the Client. If this certificate has not been created by a root certificate from a generally-known Authority (=purchase certificate), the certificate used must be installed on the Client.

info Informations

Android apps before version 4.4 do not allow self-signed certificates. Only official certificates can be used for communication on these Android devices.
From version 4.4, it was also possible to use certificates signed through Everywhere Server by zenon.

Installation of a certificate on the Client

Unverified certificates must be installed on the Client in order for them to be accepted.

Carry out the following steps for the installation:

  1. Make the the exported certificate (.cer file) available on a web server or FTP server.
    You can find detailed instructions for this in the Offer certificate for download chapter.
  2. Open this certificate on the client using the browser.

Alternatively, it can also be sent as an email attachment and opened on the client.


Offer certificate for download

Manuel -> Applications mobiles - Mobile applications for zenon -> Everywhere Server by zenon -> Configuration -> Offer certificate for download

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

A certificate on the client is required for encrypted connections. These instructions describe how this certificate is provided for download.

  1. Install IIS (optional)
    Install - if not already present - the Internet Information Services.
    To do this, open the Control Panel on the computer.
    1. Click on Start and then on Control Panel
    2. In the Control Panel, click on Programs and then on Turn Windows features on or off.
      The dialog to activate the Windows features is opened.
    3. Click on Internet Information Services in the Windows Features dialog.
    4. Tick the World Wide Web Services checkbox.
      Activate the corresponding services in the subnodes.
  2. Finish activation by clicking on the OK button.
    The selected components are installed.

    Note: If you install IIS using the Control Panel, you get the standard installation with a minimum number of features. If you need additional IIS features, such as application development features or web management tools, you must tick the checkbox for these features in the Windows Functions dialog field.
    You can also find further information in the zenon Web Server manual, in the Publishing service installation chapter.
  3. Copy certificate
    Copy the Everywhere certificate (example name: Certificate.cer) to the IIS root folder.
    Path: C:\inetpub\wwwroot
  4. Creation of index.html
    Create an additional page, index.html. Insert the following HTML code into the document:
    <!DOCTYPE html>
    <html>
    <head>
    <title>Certificate download</title>
    </head>
    <body>
    <a href="Certificate.cer"><font size="5">Click to download the certificate.</font></a>
    </body>
    </html>
    Note: Amend the name of the certificate. In this example, the certificate name is Certificate.cer.
  5. Configure MIME type in the IIS
    Add the new MIME type .cer in the IIS Manager:
    1. Open the Internet Information Services (IIS) Manager program.
    2. In the node of the Manager, switch to the node of your computer.
    3. In the IIS group, select the MIME types property symbol:
      The dialog to configure the MIME types is opened.
    4. Select the Add... entry in the context menu.
      The Add Mime Type dialog is opened.
    5. Enter .cer in the File name extension input field.
    6. Enter, in the MIME-type: input field, application/octet-stream.

The certificate can then be easily downloaded using the browser.

Installation script for IIS

You get the complete IIS 7.5 installation with all available feature packages with this script. If you do not require certain feature packages, you should edit the script so that only the required packages are installed.

start /w pkgmgr /iu:IIS-WebServerRole;IIS-WebServer;IIS-CommonHttpFeatures;IIS-StaticContent;IIS-DefaultDocument;IIS-DirectoryBrowsing;IIS-HttpErrors;IIS-HttpRedirect;IIS-ApplicationDevelopment;IIS-ASPNET;IIS-NetFxExtensibility;IIS-ASP;IIS-CGI;IIS-ISAPIExtensions;IIS-ISAPIFilter;IIS-ServerSideIncludes;IIS-HealthAndDiagnostics;IIS-HttpLogging;IIS-LoggingLibraries;IIS-RequestMonitor;IIS-HttpTracing;IIS-CustomLogging;IIS-ODBCLogging;IIS-Security;IIS-BasicAuthentication;IIS-WindowsAuthentication;IIS-DigestAuthentication;IIS-ClientCertificateMappingAuthentication;IIS-IISCertificateMappingAuthentication;IIS-URLAuthorization;IIS-RequestFiltering;IIS-IPSecurity;IIS-Performance;IIS-HttpCompressionStatic;IIS-HttpCompressionDynamic;IIS-WebServerManagementTools;IIS-ManagementConsole;IIS-ManagementScriptingTools;IIS-ManagementService;IIS-IIS6ManagementCompatibility;IIS-Metabase;IIS-WMICompatibility;IIS-LegacyScripts;IIS-LegacySnapIn;IIS-FTPPublishingService;IIS-FTPServer;IIS-FTPManagement;WAS-WindowsActivationService;WAS-ProcessModel;WAS-NetFxEnvironment;WAS-ConfigurationAPI


Certificates

Manuel -> Applications mobiles - Mobile applications for zenon -> Everywhere Server by zenon -> Configuration -> Certificates

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

To install Everywhere Server by zenon correctly, carry out the following steps:

  1. Start the Everywhere.Config.exe program.
  2. Activate the Enable Everywhere server checkbox
  3. Enter the correct port in the Port (HTTPS) input field.
  4. Select a server certificate from the Server certificate drop-down list.

Create a server certificate

To create a server certificate:

  1. Click, in the Everywhere.Config.exe program, on the Add button to start the Everywhere - Certificate creator program.
  2. Enter your data into the input fields.
  3. Assign a Friendly name.
  4. Select an SLL certificate from the Issuer (Authority certificate) drop-down list.

info Informations

Android apps before version 4.4 do not allow self-signed certificates. Only official certificates can be used for communication on these Android devices.
From version 4.4, it was also possible to use certificates signed through Everywhere Server by zenon.

Creation of a root certificate (SLL certificate)

Purchase a certificate from a provider of SLL certificates.
Installation on the Client becomes superfluous as a result, because common certificate providers are already installed on the end device by default.
Search for "SLL certificates" on the Internet. Some providers are, for example:

  1. GoDaddy (http://www.godaddy.com)
  2. VeriSign (http://www.verisign.com)
  3. CAcert (http://wiki.cacert.org/FAQ/AboutUs)

Alternatively, create your own root certificate:

  1. Click, in the Everywhere - Certificate creator, the Add private CA certificate button.
  2. Enter your data into the input fields.
  3. Assign a Friendly name.
  4. Click on the OK button
  5. The dialog to save the SLL certificate appears.
  6. Name your SLL certificate and save it.

info Informations

This saved root certificate is the certificate that must be installed on the Client.


CEL entries

Manuel -> Applications mobiles - Mobile applications for zenon -> Everywhere Server by zenon -> CEL entries

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

When logging into the Everywhere Server, a CEL entry is created if

  • the login data sent was checked by Runtime.

    This happens:
    • On the first request of a client.
    • Every 5 minutes
    • Always before a write request if more than a second has passed since the last check.

For variables that have not been acknowledged, alarms and CEL entries are supported by an incremental transfer of value changes.

LOG entries:

Level error

Description

Level Error

Errors that occur during the execution of the Everywhere Server.

However not an error that has something to do with the execution of client requests.

Level Warning

Errors that occur during the execution of the Everywhere Server.

However not an error that has something to do with the execution of client requests.

Level Success

Successfully-executed client requests that lead to a change of the internal status of the Everywhere Server or the zenon Runtime.

Level Failed
  • Error in the execution of client requests
  • Error in the checking of credentials

Level Msg

Everywhere Server status:

  • Start / stop
  • Successful creation of sessions
  • Ending of sessions

Level Debug

Incoming and outgoing requests with

  • Session-ID,
  • URI (Uniform Resource Identifier)
  • Method and status

Level Deep Debug

Status of the Everywhere Server as well as incoming and outgoing requests, compiled into an entry (Level Msg + Level Debug).


Data model of the Everywhere Server

Manuel -> Applications mobiles - Mobile applications for zenon -> Everywhere Server by zenon -> Data model of the Everywhere Server

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

The Open Data Protocol (= OData) is used as an interface for the inclusion of data in your own web application. This protocol is a "WCF data service".

This data service is a "RESTful services" (REpresentational State Transfer Architecture – REST). Only methods for manipulating or querying the data model are defined in this (CRUD – Create – Read – Update – Delete).

Because these methods cover the HTTP commands ((GET, PUT, POST, DELETE) data services can be implemented very well via the HTTP protocol. In doing so, the desired object is identified by means of the URL and the operation via the respective HTTP command.

Tipp Conseil

PUT, CREATE and DELETE must "point" to different instances.
You can find further information in the official ODATA online documentation.
Link: http://www.odata.org/documentation/odata-version-2-0/operations/

The data is, like a relational database, organized in tables. Filter criteria can be defined for querying data (comparable to an SQL query).

Note: In contrast to traditional data services, a session-dependent data model is used in the Everywhere service. This means that the data model can - depending on the session - contain different data.

info Informations

The Everywhere service is a WCF data service.
You can find details and comprehensive documentation for the OData services at: www.odata.org.

Autres sujets abordés dans ce chapitre

Data model - static project data

Data model - project data that changes

Querying archives

Calling up the data model using a web browser

Examples

Using the app on a mobile device (Android)


Data model - static project data

Manuel -> Applications mobiles - Mobile applications for zenon -> Everywhere Server by zenon -> Data model of the Everywhere Server -> Data model - static project data

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Equipment Models (Collection)

  • Type: Everywhere.Service.Data.ZenonEquipmentModel
    • Name (string)
    • Guid (string, key)
    • EquipmentGroups (collection, Everywhere.Service.Data.ZenonEquipmentGroup)

EquipmentGroups (Collection)

  • Type: Everywhere.Service.Data.ZenonEquipmentGroup
    • Guid (string, key)
    • Name (string)
    • ParentGroup (Everywhere.Service.Data.ZenonEquipmentGroup)
    • ChildGroups (collection, Everywhere.Service.Data.ZenonEquipmentGroup)
    • Model (Everywhere.Service.Data.ZenonEquipmentModel)

Variables (Collection)

  • Type: Everywhere.Service.Data.ZenonEquipmentModel
    • EquipmentGroupGuids (String, commaseparated GUIDs of the related groups)
    • MinimumValue (Real)
    • MaximumValue (Real)
    • Unit (String)
    • ResourcesLabel (String)
    • Identification (String)
    • Name (String)
    • Id (int, key)

AlarmClasses (Collection)

  • Type: Everywhere.Service.Data.ZenonAlarmClass
    • EquipmentGroupGuids (String, commaseparated GUIDs of the related groups)
    • Description (String)
    • Number (int, key)
    • Name (String)

AlarmGroups (Collection)

  • Type: Everywhere.Service.Data.ZenonAlarmGroup
    • EquipmentGroupGuids (String, commaseparated GUIDs of the related groups)
    • Description (String)
    • Number (int, key)
    • Name (String)

Archives (Collection)

  • Type: Everywhere.Service.Data.ZenonArchive
    • Id (String, key)
    • Name (String)
    • Values (Collection, Everywhere.Service.Data.ZenonArchiveValue)

ArchiveValues (Collection)

  • Type: Everywhere.Service.Data.ZenonArchiveValue
    • ArchiveId (String, key)
    • VariableName (String)
    • Timestamp (Int64, Unixtime [ms], key)
    • Type (int, key, None = 0, Sum = 1, Average = 2, Min = 3, Max = 4)
    • Value (string)
    • VariableId (int, key)


Data model - project data that changes

Manuel -> Applications mobiles - Mobile applications for zenon -> Everywhere Server by zenon -> Data model of the Everywhere Server -> Data model - project data that changes

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Below you can find the data model for values that update themselves.

Alarms (Collection)

  • Type: Everywhere.Service.Data.ZenonAlarm
    • Deleted (bool)
    • Acknowledged (bool, writeable)
    • VariableStatus (Int64)
    • Value (string)
    • AlarmClass (Everywhere.Service.Data.ZenonAlarmClass)
    • AlarmGroup (Everywhere.Service.Data.ZenonAlarmGroup)
    • UserId (String)
    • ReactivateNumber (int)
    • ReactivateStatus (Int64)
    • ReactivateTime (Int64, Unixtime [ms])
    • TimeAcknowledged (Int64, Unixtime [ms])
    • TimeCleared (Int64, Unixtime [ms])
    • TimeReceived (Int64, Unixtime [ms], key)
    • ComputerName (string)
    • Comment (string, writeable)
    • Text (string)
    • Variable (Everywhere.Service.Data.ZenonVariable)
    • AlarmStatus (int)
    • Cookie (int)
    • Id (int, key)

Example Exemple

The "Acknowledged" and "Comment" properties can be used to acknowledge an alarm in zenon or to save a comment.

These properties can then be transferred to the server with the "PUT" or "MERGE" command.

CEL (Collection)

  • Type: Everywhere.Service.Data.ZenonEvent
    • VariableStatus (Int64)
    • Value (string)
    • AlarmClass (Everywhere.Service.Data.ZenonAlarmClass)
    • AlarmGroup (Everywhere.Service.Data.ZenonAlarmGroup)
    • UserId (String)
    • TimeReceived (Int64, Unixtime [ms], key)
    • ComputerName (string)
    • Comment (string )
    • Text (string)
    • Variable (Everywhere.Service.Data.ZenonVariable)
    • Cookie (int)
    • Id (int, key)

OnlineVariables (Collection)

  • Type: Everywhere.Service.Data.ZenonOnlineVariable
    • Id (int, key)
    • Variable (Everywhere.Service.Data.ZenonVariable)
    • Status (Int64)
    • Timestamp TimeReceived (Int64, Unixtime [ms])
    • Value (string, writeable)

Example Exemple
  • To sign variables in again, a new instance must be created in the collection. This is carried out with the CREATE command.
    This registration is removed again with DELETE.
  • For identification of the online variable that was created on the client, its ID must be established. This ID corresponds to the ID of the zenon variable whose values are to be queried.
    PUT or MERGE writes a value to a variable.


Querying archives

Manuel -> Applications mobiles - Mobile applications for zenon -> Everywhere Server by zenon -> Data model of the Everywhere Server -> Querying archives

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Archive variables can only be queried from the respective project of the Everywhere Server. Cross-project variables are not supported.

Note on the querying of archive values:

In order to query archive data, the following properties must also be entered for the server query:

  • Archive ID
  • Start time
  • End time

attention Attention

Values without these filter criteria being stated cannot be queried.

Examples:

  • https://89.26.13.1:8050/zendata/DEMO_AUTOMOTIVE/ArchiveValues?$format=json&$filter=ArchiveId%20eq%20%27FI%27%20and%20Timestamp%20gt%201377690800000L%20and%20Timestamp%20lt%201377690862000L
  • https://89.26.13.1:8050/zendata/DEMO_AUTOMOTIVE/Archives%28%27FI%27%29/Values?$format=json&$filter=Timestamp%20gt%201379934601375L%20and%20Timestamp%20lt%201379934601377L%20and%20VariableName%20eq%20%27BodyShop1.Actual%27


Calling up the data model using a web browser

Manuel -> Applications mobiles - Mobile applications for zenon -> Everywhere Server by zenon -> Data model of the Everywhere Server -> Calling up the data model using a web browser

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

The data model of the Everywhere Server can be displayed in a web browser. This can be used to give you a quick overview and test the first programming lines.

To call up a data model, use Mozilla Firefox or Google Chrome (recommended).

Attention: Microsoft Internet Explorer does not support the full functionality!

URI address

https://server address or DNS name:port number\zendata\project name

Parameters | Description
https:// | URI schematic of the WWW communication protocol. https: stands for the secure transfer protocol Hypertext Transfer Protocol Secure
Server address or DNS name | IP address or DNS name of the Everywhere Server.
: | : (colon) Separates the server address from the port number.
Port number | Port number for communication, as configured in Everywhere Server.
zendata | Constant: is always zendata
Project name | Name of the zenon project configuration.

Example Exemple

https://89.26.13.1:8050/zendata/Demo_Automotive

Autres sujets abordés dans ce chapitre

Logging in to the data model


Logging in to the data model

Manuel -> Applications mobiles - Mobile applications for zenon -> Everywhere Server by zenon -> Data model of the Everywhere Server -> Calling up the data model using a web browser -> Logging in to the data model

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

If it is not possible to log in when in secure mode (https://), a warning sign appears in the browser.
This warning sign can be skipped by clicking on the respective button (Chrome: "Continue anyway", Firefox: "I am aware of the risk"). Communication then takes place unsecured.

The login dialog appears:

User name:

The user name is the session ID at the same time. This session ID comprises:

Time Stamp|Device ID|User Name

Parameters

Description

Timestamp

32-bit time stamp of the session:

  • UTC Unix time
    (UTF8 coded: 8-digit HEX string)
  • must be 8 digits

|

Pipe character
Alt GR key and <-key

Device ID

ID of the end device (mobile device, ...) - normally UUID. The device ID is device-dependent and must be unique.

|

Pipe character
Alt GR key and <-key

User name

User name, as configured in zenon. When entering this, note capitalization.
Note: The user name must not contain a colon.

Example Exemple

538497B4|550e8400-e29b-11d4-a716-446655440000|Manager

Password:

The password comprises:

Type of password sendingand password

Parameters

Description

Type of password sending

How the password is sent:

  • =
    (equal sign)
    unencrypted
  • +
    (plus sign)
    encrypted

Note: The password must be preceded with the type of sending (= or +). Otherwise logging in to the data model will not be successful!

Password

Password as configured in zenon.

Note: Pay attention to capital letters and small letters when entering the data!

Example Exemple

+Manager
Encrypted communication with the Everywhere Server - login with the password Manager.


Examples

Manuel -> Applications mobiles - Mobile applications for zenon -> Everywhere Server by zenon -> Data model of the Everywhere Server -> Examples

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

You can find some examples of code here. Theses examples should show how values from the server can be updated.
Note: The examples use the Java programming language.

Autres sujets abordés dans ce chapitre

Examples for browser display

Example of code - calling up OEntity objects from the server

Other examples of code


Examples for browser display

Manuel -> Applications mobiles - Mobile applications for zenon -> Everywhere Server by zenon -> Data model of the Everywhere Server -> Examples -> Examples for browser display

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

A browser can be used to display your zenon project configuration in a browser.
Note: The web addresses shown here relate to the demo project of the Everywhere Server.

Data model - overview

To display a simplified overview of your data model in your browser, enter the following URI into the browser:

https://89.26.13.1:8050/zendata/DEMO_AUTOMOTIVE

Data model - detailed overview

The following URI lists the complete data model:

https://89.26.13.1:8050/zendata/DEMO_AUTOMOTIVE/$metadata

Display of variables

You get an overview of all variables with the URl:

https://89.26.13.1:8050/zendata/DEMO_AUTOMOTIVE/Variables?$format=json

Display of variables with filtering

The display of variables can be filtered. The address below displays the variable with the ID 321

https://89.26.13.1:8050/zendata/DEMO_AUTOMOTIVE/Variables?$format=json&$filter=Id%20eq%20321

Note: You can find a precise description of all filters in the OData online documentation. You can find this documentation on the Internet at the address www.odata.org.


Example of code - calling up OEntity objects from the server

Manuel -> Applications mobiles - Mobile applications for zenon -> Everywhere Server by zenon -> Data model of the Everywhere Server -> Examples -> Example of code - calling up OEntity objects from the server

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

This example shows how information in relation to an OEntity object can be called up from the server. This data can thus be taken on for the user programming. This example also shows how properties can be called up from a data object.

/**

*

* @param position: Object at which position of the entityset should be returned

* @return the finished Item Alarm for the Listt of Alarms

*/

protected Alarm GetAlarmFromEntity(int position) {

Alarm retAlarm = new Alarm();

// We use position as listItemId. Here we could use some other unique id

// to reference the list data

ListView listViewAlarms = (ListView)findViewById(R.id.Alarmlist);

OEntity var = alarms.elementAt(position).getLink("Variable", OLink.class).getRelatedEntity();

int EntityItemCnt= alarms.count();

OProperty<String> varName = var.getProperty("Name", String.class);

OProperty<String> alarmText = alarms.elementAt(position).getProperty("Text", String.class);

String Header = varName.getValue() + " - " + alarmText.getValue();

// Body data

Bundle bodyBundle = new Bundle();

OProperty<?> alarmValue = alarms.elementAt(position).getProperty("Value");

String timeReceived = alarms.elementAt(position).getProperty("TimeReceived").getValue().toString();

String timeCleared = alarms.elementAt(position).getProperty("TimeCleared").getValue().toString();

String Acknowledged = alarms.elementAt(position).getProperty("Acknowledged").getValue().toString();

Date date = new java.util.Date(Long.parseLong(timeReceived));

String dateString = new SimpleDateFormat("dd.MM.yyyy HH:mm").format(date);

retAlarm.setAlarmName(varName.getValue());

retAlarm.setTimeReceived(dateString);

retAlarm.setValue(alarmValue.getValue().toString());

retAlarm.setAcknowledged(Acknowledged);

retAlarm.setCleared(timeCleared);

retAlarm.setAlmText(alarmText.getValue());

return retAlarm;

}


Other examples of code

Manuel -> Applications mobiles - Mobile applications for zenon -> Everywhere Server by zenon -> Data model of the Everywhere Server -> Examples -> Other examples of code

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Other examples for programming with OData are on the Internet.

The example given shows how how information relating to an OEntity objects can be called up from the server to the end device. This example also shows how properties of a data object can be received.

Link: https://github.com/vorburger/odata4j/tree/master/odata4j-core/src/test/java/org/odata4j

attention Attention

This Internet site is not shown in Internet Explorer!


Using the app on a mobile device (Android)

Manuel -> Applications mobiles - Mobile applications for zenon -> Everywhere Server by zenon -> Data model of the Everywhere Server -> Using the app on a mobile device (Android)

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

In order to use your own applications on a mobile end device (Android), compile it with the Eclipse program.
Eclipse is a programming tool for developing software and was originally used as an integrated development environment for the Java programming language.

info Informations

Eclipse is available as a free download.

Installation:

In order to be able to use Eclipse for your development environment, install the program including the Android Developer Bundle.

The following components must be installed on the development computer:

  • The Android Developer Bundle
    The Android Developer Bundle is available free on the Internet.
    Link to the installer: http://developer.android.com/sdk/index.html
    It is important that the correct driver for the mobile device is installed on the Desktop computer. Otherwise no communication between the development computer and the end device is possible.
  • The Java Development and Runtime Environment
    The Java Development Environment (JRE) and the Java Runtime Environment (JSE) must be installed on the development computer.

    JRE and JSE can be downloaded directly form the Java website. Both environments must be installed separately.
    Link to download: www.oracle.com/technetwork/java/javase/downloads/index.html
  • Required libraries:
    To be able to use OData in Eclipse, you then need to link the appropriate library for your preferred development environment in Eclipse .
    Libraries for the common programming languages can be found on the OData Internet site. Select your desired programming language in the tabs shown in order to get to the respective downloads.
    Link to the libraries: www.odata.org/libraries.

Autres sujets abordés dans ce chapitre

Recommended settings for the Eclipse programming environment


Recommended settings for the Eclipse programming environment

Manuel -> Applications mobiles - Mobile applications for zenon -> Everywhere Server by zenon -> Data model of the Everywhere Server -> Using the app on a mobile device (Android) -> Recommended settings for the Eclipse programming environment

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

To configure Eclipse for mobile end devices, carry out the following steps:

  1. Select, the Run configurations... entry in the Run menu bar.
  2. The configuration dialog for a new Run configuration appears.
  3. Click on the symbol New launch configuration.
  4. In the Android Application tree, the new entry NEW_configuration is added.
  5. Name your Android app project in the Android tab.
  6. Click on the Browse... button to select your Android project. This is then transferred to the mobile device.
  7. Now connect your mobile end device to the development computer.

  8. Configure your target device in the Target tab.
  9. Ensure that the Always prompt to pick device property is activated.
    Note: In this case, you are asked before execution which device your app is to be executed on.
  10. Start the debug process:
  11. Start the app.
    Note: For the remaining entries, it is recommended that the existing default settings are left unchanged.
  12. After clicking on the Play or Debug buttons, you are requested to select your end device or your emulator in order to start the program.
  13. The app is then started automatically on the end device.


Attributions

Manuel -> Attributions

Les attributions permettent d'affecter la valeur actuelle d'une variable à une deuxième variable, dans le driver ou hors de celui-ci.

Dans

tutorial Informations concernant la licence

Composante de la licence standard d’Editor et du Runtime.

zenon, il est possible d'écrire les valeurs provenant du contrôleur directement dans une base de données SQL, ou d'écrire les modifications de valeurs d'un driver à un autre lorsqu'elles se produisent. Vous pouvez aussi faire des attributions entre projets.

Attention : les attributions entre projets ne sont exécutées que lorsque tous les projets ont été chargés.

Transfert

Une attribution transfère la valeur, l'état et l'horodatage de la variable source à la variable cible.

Remarque : actuellement, les informations d'état et d'horodatage peuvent uniquement être traitées par les drivers suivants :

  • Driver interne
  • Driver SQL
  • Driver AK (SICAM 230)

Les états Temps réel externe (T EXTERN), Temps réel interne (T INTERN) et Annonce heure d'été/heure standard (T CHG A) ne sont pas transférés. Ils sont définis par l'horodatage.

La résolution du signal doit, en conséquence, posséder les mêmes limites pour les deux variables (comportement de dépassement).

Le transfert de la valeur intervient en cas de modification d'une valeur : chaque fois que la valeur de la variable source change, la valeur de la variable cible change aussi. S'il est nécessaire de modifier la valeur de la variable cible indépendamment de celle de la variable source, la variable cible possédera dans ce cas une valeur différente aussi longtemps que la variable source ne sera pas modifiée.

info Informations

Les attributions aux variables internes sont en outre exécutées uniquement sur le serveur.

Menu contextuel Gestionnaire de projet

Élément de menu | Action
Nouvelle attribution | Insère une nouvelle attribution dans la liste.
Exporter tout (XML) | Exporte toutes les entrées sous forme de fichier XML.
Importer XML … | Importe des fichiers XML.
Aide | Ouvre l’aide en ligne.

Autres sujets abordés dans ce chapitre

Configuration dans Editor

Barre d'outils et menu contextuel de la vue de détail Attribution

Variable de déclenchement et type de déclenchement


Configuration dans Editor

Manuel -> Attributions -> Configuration dans Editor

Pour définir les attributions :

  1. Sélectionnez le sous-nœud Attributions dans le nœud Variables du Gestionnaire de projet.
  2. Les attributions existantes sont affichées dans la vue de détail.
  3. Sélectionnez l'action souhaitée dans le menu contextuel ou la barre d'outils, par exemple Nouvelle attribution.
  4. La nouvelle attribution est affichée et peut être modifiée dans la fenêtre des propriétés.

Une attribution nécessite, de manière implicite :

  • Un nom unique
  • Une variable source
  • Une variable cible

Lors de la sélection de la propriété Variable source ou Variable de destination, la liste de variables correspondantes est affichée ; sélectionnez la variable souhaitée. Chaque variable de chaque driver peut être sélectionnée en tant que source. La variable cible doit être accessible en lecture et en écriture.

Chaque modification de valeur de la variable source est immédiatement transmise à la variable cible de l'attribution.

Le menu contextuel disponible dans l'affichage détaillé du gestionnaire de projet vous permet de faire du copier, couper, coller, supprimer sur les attributions existantes.


Barre d'outils et menu contextuel de la vue de détail Attribution

Manuel -> Attributions -> Barre d'outils et menu contextuel de la vue de détail Attribution

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Menu contextuel

Élément de menu | Action
Nouvelle attribution | Insère une nouvelle attribution dans la liste.
Couper | Copie les entrées sélectionnées vers le presse-papiers et les supprime de la liste.
Copier | Copie les entrées sélectionnées et vers le presse-papiers.
Coller | Insère le contenu du presse-papier. Si une entrée portant le même nom existe déjà, le contenu est collé sous le nom Copie de....
Supprimer | Après une demande de confirmation, supprime les entrées sélectionnées de la liste.
Éditer la cellule sélectionnée | Ouvre la cellule sélectionnée pour la modification. Le symbole représentant des jumelles dans l'en-tête indique la cellule sélectionnée dans une ligne affichée en surbrillance. Seules les cellules pouvant être modifiées peuvent être sélectionnées.
Propriétés | Ouvre la fenêtre de Propriétés.
Exporter la sélection en XML... | Exporte touts les entrées sélectionnées sous forme de fichier XML.
Importer XML | Importe des entrées à partir d'un fichier XML.
Supprimer le filtre | Supprime tous les paramètres de filtre
Aide | Ouvre l'aide en ligne.


Variable de déclenchement et type de déclenchement

Manuel -> Attributions -> Variable de déclenchement et type de déclenchement

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Une variable de déclenchement et un type de déclenchement peuvent être définis pour les attributions. Des attributions événementielles peuvent ainsi être définies. Les valeurs ne sont donc plus attribuées automatiquement, mais uniquement en cas de changement de la valeur d'une variable de déclenchement.

La variable de déclenchement doit être une variable binaire. Les configurations possibles sont les suivantes :

Variable de déclenchement | Type de déclenchement | Résultat
non défini |  | Chaque modification de la variable source entraîne l'attribution de la valeur source à la variable cible.
Définie | Front | L'attribution est uniquement exécutée si la valeur de la variable de déclenchement change de 0 en 1. Seul un bord positif de la variable de bit entraîne l'annulation de l'attribution. L'attribution n'est plus déclenchée par un changement de valeur de la variable source.
Définie | État | L'attribution est toujours effectuée, tant que la variable de déclenchement comporte la valeur 1. Chaque fois que la valeur de la variable source change, l'attribution est exécutée et la valeur est écrite dans la variable cible. L'attribution reste active jusqu'à ce que la valeur de variable de déclenchement redevienne 0.


Batch Control

Manuel -> Batch Control

The module Batch Control offers the possibility to automate batch-orientated manufacturing processes for lot products. The module complies to ANSI/ISA–88.01–1995 also known as ANSI/ISA–S88.

For Batch Control there are two different editors available in the Runtime.

  • Matrix editor: For simple, sequentially or parallel running recipes.
  • PFC editor: For complex recipes with branches.

Depending on the license, either both editors or only the matrix editor is available to you.

tutorial Informations concernant la licence

Ces fonctions ou modules doivent disposer d'une licence pour l'Éditeur et le Runtime (simple, serveur, redondant et client). Licensing distinguishes after use of:

  • Matrix editor
  • Matrix Editor and PFC Editor

Editor:

For the engineering in the zenon Editor one of the Batch editors must be licensed.

Runtime:

For execution in Runtime, a Batch Editor must be licensed in order to fill the list of recipes. Creating and editing recipes is only possible for the licensed editor.

Network:

In the network the license of the Server counts. Stand-alone licenses of the Clients are ignored in network operation.

attention Attention

Notes in the help embedded in the Editor on VBA keywords are not functional in the current version.

Note for change from 7.00 to 7.10 or higher

Before converting a project to a new zenon version all recipes must be completed. Running recipes are not executed any longer after a restart. The restart only functions within the same zenon version.

Attention: Projects with recipes that were created in zenon 7.10 or higher cannot run in zenon 7.0.

Effects outside Batch Control

When using different versions for Editor and Runtime, problems can occur if the Batch Control module is licensed but Batch Control is not used.

Background: Some files are compiled in Runtime as soon as the module is licensed. A batch project that was compiled with 7.0 cannot be executed in 7.10.

Solutions:

  • Compile the project with an Editor of version 7.10 or higher.
  • Use a Runtime of version 7.0.
  • Use a license that does not include the Batch Control module.

Batch Control and Command Sequencer module

If both the Batch Control module and the Command Sequencer module, which both require a license, are licensed at the same time, selection of the module used is carried out by means of the project setting.

To select the preferred module in Runtime:

  • Click on the node of your project in the Editor.
  • Go to the Paramètres du Runtime project properties group.
  • Select, for Définition licence du module en runtime of the Module préféré property, Command Sequencer(default) or Batch Control.

The selected model is then available in Runtime for further project configuration.

Autres sujets abordés dans ce chapitre

Introduction

Terminology

Procedure

Engineering in the Editor

Conversion

Configure and control in the Runtime

Function authorizations

Behavior in the network

Reporting

Formula editor

XML export: Units, phases and recipes

CEL

Failure handling

Error treatment


Introduction

Manuel -> Batch Control -> Introduction

The module Batch Control consists of three parts:

  1. The engineering environment in the zenon Editor:
    There all units (ISA nomenclature, chapter 4.2.5: units) with their phases (ISA - 5.1.2.4: phases) and reactions are created. The phases must have an equivalent in the control (ISA: equipment control) which is called process action according to ISA.
    Batch Control reflects the physical model in accordance with ISA 4.2 as flat hierarchical level based on units.
    The other levels of the model such as process cell, area, plant, etc. were deliberately forgone. When creating the batch recipes too, only the lowest level (phases) of the ISA structure model 5.1 and operations were implemented. Additional levels such as unit procedures and procedures are not available.
  2. PFC editor and Matrix editor:
    With the help of these editors, master recipes in zenon Runtime (ISA: master recipes) are created. The control recipes that can be executed (ISA: control recipes) are derived from these (see also ISA 5.3.1.). During the process the exact status of the Batch recipe is displayed in the respective editor and you can interfere in the recipe process.
  3. Recipe Execution Engine (REE):
    The REE is directly integrated in the zenon Runtime and executes a Batch recipe automatically in the background. Via commands such as Start, Pause, Stop etc. the user can control the REE. There are three possible modes: Automatic, Semi-automatic and Manual.

Special features of module Batch Control:

In contrast to most other zenon modules, a large part of the engineering - the recipe creation - is done in the Runtime and not in the Editor. This entails special features which are dealt with in the respective chapter. So for example changed phases are no longer transferred to an already released master recipe in order to prevent unwanted data changes.

The module is designed in a way which makes it completely independent of the control. This means that the data communication take place via all available zenon drivers with any PLCs or even RTUs. They only execute the process actions. The entire recipe processing is done at the computer in the REE. For changes on the Batch recipe or for new master recipes, no modifications are necessary in the PLC code.

The module follows the strict separation between the procedure of the batch recipe (ISA: Procedural Control Model) and execution of the technological function (ISA: Process Model) as describe in ISA–S88, chapter 5.2.1.

Principle structure of the communication

For the communication with the process standard zenon variables are used. As variable names often have a very technical and thus difficult-to-read label, an additional abstraction level was introduced. It contains the tags which are available in two types:

  • Command tags: They are used to transfer set values to the PLC when a phase is executed.
  • Return tags: They are used to return values from the PLC for evaluation.

With both tag types values can be both written (e.g. in reactions) and also read (e.g. in conditions).

Schema:

The PLC communicates with the zenon driver. The driver communicates with the zenon Runtime. The Runtime sends the values to the REE where they are processed. The REE internally works asynchronously to the zenon Runtime in a 100 ms cycle.

Network

The module Batch Control is fully capable of using a network in terms of Client/Server technology. This means that Batch recipes can be created, duplicated, edited, deleted, etc. on a Client. The whole recipe management remains always on the server. Likewise the whole process control such as start recipe, pause recipe, stop recipe, etc. can be done from the Client. Also mode changes and manual operations such as jump are possible.

attention Attention

Module Batch Control does not support redundancy. There is no synchronization between Standby Server. When the Server breaks down, the executed Batch recipes are not continued seamlessly on the Standby!


Terminology

Manuel -> Batch Control -> Terminology

In the zenon module Batch Control the following terms are used:

Term | Definition
Unit | Physikalisch verfügbarer Maschinen- oder Anlagenteil, mit dem Grundfunktionen ausgeführt werden können. (ISA 88: Unit)
Releasing the unit | Element des Moduls Batch Control, das die Belegung eines Aggregats im Aggregatsmanager aufhebt. Dadurch ist das Aggregat wieder durch andere Rezepte belegbar.
Unit allocation | Element des Moduls Batch Control, das die Belegung eines Aggregats im Aggregatsmanager bewirkt. Ein belegtes Aggregat kann nur von Grundfunktionen innerhalb des Rezepts verwendet werden. Damit ist das Aggregat für Grundfunktionen anderer, parallel ablaufender Rezepte gesperrt.
Unit manager | Internal management mechanism which manages the unit allocation for all REE's in the Runtime.
Action | Used in Batch Control: all commands which are used for editing a recipe e.g. insert phase, testing recipes etc.
Begin parallel branch | Element, das eine Aufteilung des Rezeptablaufs in zwei oder mehrere Zweige ermöglicht.
Begin branch | Element, das eine Aufteilung des Rezeptablaufs in zwei oder mehrere Zweige ermöglicht, von denen immer nur ein Zweig aktiv werden kann. Jeder nachfolgende Zweig muss mit einer Transition beginnen. Die Transition bestimmt im Rezeptablauf, welcher Zweig ausgeführt wird.
Begin element | Element des Moduls Batch Control, mit dem jedes Rezept beginnt.
Active element | Position in einem Rezept des Moduls Batch Control an dem die Abarbeitung im halbautomatischen und manuellen Modus automatisch unterbrochen wird und die aktiven Elemente in den Pause Status versetzt werden. Mit dem Kommando "nächster Schritt" wird der Ablauf an dieser Positon fortgesetzt.
Batch Control | Werkzeug zur Erstellung und Ausführung von ISA S88 konformen Master-Rezepten und Kontroll-Rezepten.
Batch operation | Automatisches, sequentielles Abarbeiten eines Stapels von Einzeloperationen.
Command TAGs | Umbrella term for initial and value parameters.
End parallel branch | Element, das die Aufteilung des Rezeptablaufs in zwei oder mehrere Zweige wieder zu einem Zweig zusammenführt.
End branch | Element, das eine durch ein Element Anfang Verzweigung begonnene Verzweigung wieder zusammenführt.
End element | Element des Moduls Batch Control, mit dem jedes Rezept endet.
Phase | Predefined process consisting of input interlocking, command and return tags, a phase done condition, event reactions, etc... (ISA 88: Phase)
Initial parameters | Parameter type for default values of the phase. Values are written before checking the input lock.
Command | Im Bereich Batch Control: Befehl, der in den Rezeptablauf eingreift, z.B.: Starten, Stoppen, Modusänderungen usw...
Matrix recipe | Rezept im Modul Batch Control, das mit dem Matrix-Editor erstellt wurde.
Parallel branch | Area of module Batch Control. A simultaneous sequence starts with a begin simultaneous sequence element and is brought together with an end imultaneous sequence element to one execution branch. Between there are at least two sequence selections which are executed at the same time.
Parameter | Variable linking for a phase.
PFC recipe | Rezept im Modul Batch Control, das mit dem PFC-Editor erstellt wurde.
REE - Recipe Execution Engine | Part of module Batch Control for process control of recipes. The engine executes a control recipe and manages the entire process of the recipe.
Recipe | In recipes related data such as machine parameters or format data are summed up. This data can be transferred from the control system to the control and vice versa in one step. We differentiate between standard recipes and RGM recipes. The procedure is defined additionally to data in Batch Control Module in a recipe. It is distinguished between Matrix recipe and PFC Recipe.
Return TAG | Parameter type for values that are read from the PLC.
Jump target | Element des Moduls Batch Control, das einen direkten Sprung auf eine definierte Stelle eines Zweiges ermöglicht.
Control recipe | Teil des Moduls Batch Control. Beinhaltet den Ablauf eines Produktionsprozesses auf Basis des Batch Verfahrens nach dem Standard ISA S88. Ein Steuerrezept ist immer von einem Vorlagenrezept abgeleitet und kann einmalig ausgeführt werden. (ISA 88: Control recipe)
Operation | Recipes can be divided into individual parts within the batch control module. Operation management takes place via a central library. Instances of operations can be added within the recipe. Tags of the applied phase can be edited, the structure can only be edited in the operation template.
Transition | Element des Moduls Batch Control, das eine Bedingung beinhaltet. Das Element wird nach Grundfunktionen eingesetzt um einen definierten Übergang von einer Grundfunktion in die nächste zu gewährleisten.
Connection line | Teil des Verbindungsstücks im Modul Batch Control: Positioniert den Verbindungspunkt am Element.
Connection point | Teil des Verbindungsstücks im Modul Batch Control. Verbindet zwei Elemente (z.b: Grundfunktion mit Grundfunktion oder Grundfunktion mit Linie) miteinader. Er ändert die Farbe wenn der Mauszeiger darüber steht.
Connection element | Möglichkeit im Modul Batch Control, Elemente miteiander zu verbinden. Es besteht aus Verbindungspunkt und Verbindungslinie.
Branch | Section du module Batch Control permettant de séparer une recette en deux branches ou plus, dont une seule peut être active dans le processus de la recette. Il s'agit d'une branche de type "ou". Une sélection de séquence commence toujours par un élément début de sélection de séquence et se termine par un élément fin de sélection de séquence.
Master recipe | Teil des Moduls Batch Control. Beinhaltet den Ablauf eines Produktionsprozesses auf Basis des Batch Verfahrens nach dem Standard ISA S88. Ein Rezept besteht aus den Komponenten: Grundfunktionen, Transitionen, Parallelzweig usw. (ISA 88: Master recipe)Vorlagenrezepte dienen als Vorlage für Steuerrezepte.
Value parameter | Parameter type for default values of the phase. Values are written after the input lock has been successfully checked.
Branch | Execution area for the Batch Control Module Basic functions, transitions and transfer targets can be placed on it.


Procedure

Manuel -> Batch Control -> Procedure

The engineering and the use of module Batch Control takes place in three main steps:

  1. Engineering in the zenon Editor
  2. Recipe creation in the Batch editor (PFC or matrix) in the Runtime
  3. Recipe execution in the Runtime

Engineering

The engineer depicts the existing physical world in the Editor. He defines and creates units and assigns phases with tags to them.

Recipe creation

In the Runtime the recipe creator defines the master recipes on base of the presets from the Editor. They define the process. At this only the units, phases and tags defined in the engineering environment can be used.
Exception: If you activate property Modifiable dans la recette principale in group Écrire valeur prescrite in the Editor, you can modify the corresponding tag. This is only possible for command tags.

Recipe execution

The operator executes the recipe in the Runtime. For this he starts a control recipe which is based on the control recipe. Each control recipe can only be started and used once. With this it can be assigned to a lot unambiguously. Recipes run either automatically, semi-automatically or manually.

The operator cannot influence the recipes.
Exception: If the recipe creator activates option Changeable in the control recipe, the operator can edit tags in the Runtime.


Engineering in the Editor

Manuel -> Batch Control -> Engineering in the Editor

To use module Batch Control in the Runtime, you must do the following in the Editor:

  • create units, phases and reactions
  • create a screen of type Batch Control
  • create a screen switch function for the screen of type Batch Control

Note: In the editor, copying and inserting of elements throughout all levels is possible.

Detail view

In module Batch Control the detail view divided in two:

  • The left part features the unit tree. The entry Unit is the starting point of the tree.
    On the next level the existing units are displayed. The phase belonging to each unit follow. Each phase has the subitem reactions.
  • In the right part a flat list of the units, phases, tags or reactions is displayed depending on what level is chosen on the left side.

Autres sujets abordés dans ce chapitre

Units

Phases

Parameters

Conditions

Reactions

Control Strategy

Replace links

Create screen of type Batch Control

Job variables

Screen switch Batch Control

Keyboards

zenon functions


Units

Manuel -> Batch Control -> Engineering in the Editor -> Units

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

To create a new unit:

  1. in the project manager go to node Batch Control
  2. in the detail view select Unit
  3. in the context menu select menu item New unit
  4. a new unit is created in the detail view

Autres sujets abordés dans ce chapitre

Toolbar unit tree

Project tree - Batch Control context menu

Context menu units

Context menu unit X

Detail view units

Detail view unit X

Information in Runtime


Toolbar unit tree

Manuel -> Batch Control -> Engineering in the Editor -> Units -> Toolbar unit tree

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

The toolbar corresponds to the complete unit tree. Depending in the selected element symbols are available or deactivated.

Parameter

Description

Rename

Opens the name filed of the selected element for renaming.

Not available for main node Units.

Copy

Copies the selected unit to the clipboard.

Not available for main node Units.

Coller

Pastes a unit that was copied to the clipboard.

Delete

Deletes selected element after confirmation message.

Not available for main node Units.

Expand all

Displays the entire tree structure.

By clicking on the arrow you receive a drop-down list in which you can select one of the following commands:

  • Expand all: expands all nodes
  • Collapse all: collapses all nodes
  • Expand selected: expands all selected nodes
  • Collapse selected: collapses all selected nodes

A click on the button always expands all elements.

Via double click on the superordinate entry elements can also be expanded or collapsed.

Export all units to XML...

Exports all units as an XML file.

Import units from XML...

Imports units from an XML file.

Help

Opens online help.


Project tree - Batch Control context menu

Manuel -> Batch Control -> Engineering in the Editor -> Units -> Project tree - Batch Control context menu

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Parameter | Description
New unit | Creates a new unit.
Exporter tout (XML) | Exports all units as an XML file.
Import XML... | Imports units from an XML file.
Editor profile | Opens the drop-down list with predefined editor profiles.
Help | Opens online help.


Context menu units

Manuel -> Batch Control -> Engineering in the Editor -> Units -> Context menu units

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Right click the main entry Unit in the unit tree to open a context menu:

Menu item | Action
New unit | Creates a new unit.
Replace linking in phases... | Opens the dialog to replace linking for linking in phases.
Replace linking in units... | Opens the dialog to replace linking for linking in units.
Coller | Pastes a unit that was copied to the clipboard.
Export all units to XML... | Exports all units as an XML file.
Import units from XML... | Imports units from an XML file.
Help | Opens online help.


Context menu unit X

Manuel -> Batch Control -> Engineering in the Editor -> Units -> Context menu unit X

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Right click on a created unit in order to open the context menu:

Menu item | Action
New phase | Creates a new phase.
Replace linking in phases... | Opens the dialog to replace linking for linking in phases.
Replace linking in unit... | Opens the dialog to replace linking for linking in the selected unit.
Rename | Allows you to rename the selected unit.
Delete | Deletes the selected unit.
Copy | Copies the selected unit to the clipboard.
Coller | Pastes a unit that was copied to the clipboard.
Exporter la sélection en XML... | Exports selected unit as an XML file.
Import phases from XML... | Imports phases from an XML file.
Help | Opens online help.


Detail view units

Manuel -> Batch Control -> Engineering in the Editor -> Units -> Detail view units

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Menu item | Action
New unit | Creates a new unit in the detail view.
Replace linking in phase | Opens the dialog to replace linking for linking in phases.
Replace linking in units | Opens the dialog to replace linking for linking in units.
Copy | Copie les entrées sélectionnées et vers le presse-papiers.
Paste | Insère le contenu du presse-papier. Si une entrée portant le même nom existe déjà, le contenu est collé sous le nom Copie de....
Delete | Après une demande de confirmation, supprime les entrées sélectionnées de la liste.
Remove all filters | Supprime tous les paramètres de filtre
Edit selected cell | Ouvre la cellule sélectionnée pour la modification. Le symbole représentant des jumelles dans l'en-tête indique la cellule sélectionnée dans une ligne affichée en surbrillance. Seules les cellules pouvant être modifiées peuvent être sélectionnées.
Replace text in selected column... | Ouvre la boîte de dialogue de recherche et de remplacement de texte.
Exporter la sélection en XML... | Exports the selected units as an XML file.
Import units from XML... | Imports units from an XML file.
Properties | Ouvre la fenêtre de Propriétés.
Help | Ouvre l'aide en ligne.


Detail view unit X

Manuel -> Batch Control -> Engineering in the Editor -> Units -> Detail view unit X

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Parameter | Description
New phase | Creates a new phase in the detail view.
Replace links | Opens the dialog to replace linking for linking in phases.
Copy | Copie les entrées sélectionnées et vers le presse-papiers.
Paste | Insère le contenu du presse-papier. Si une entrée portant le même nom existe déjà, le contenu est collé sous le nom Copie de....
Delete | Après une demande de confirmation, supprime les entrées sélectionnées de la liste.
Remove all filters | Supprime tous les paramètres de filtre
Edit selected cell | Ouvre la cellule sélectionnée pour la modification. Le symbole représentant des jumelles dans l'en-tête indique la cellule sélectionnée dans une ligne affichée en surbrillance. Seules les cellules pouvant être modifiées peuvent être sélectionnées.
Replace text in selected cell... | Ouvre la boîte de dialogue de recherche et de remplacement de texte.
Exporter la sélection en XML... | Exports the selected phases as an XML file.
Import phases from XML... | Imports phases from an XML file.
Properties | Ouvre la fenêtre de Propriétés.
Help | Ouvre l'aide en ligne.


Information in Runtime

Manuel -> Batch Control -> Engineering in the Editor -> Units -> Information in Runtime

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Information on individual units can be called up and displayed using variables. Each element to be allocated initializes the values of the linked variables with 0 or empty text. The information comes from the recipe that allocates the unit when the query takes place. Variables are always only filled in the event of a change.

The variables for the information desired in Runtime is configured in the unit properties in the Information runtime group for:

  • Recette principale: Information on ID, name and description of the master recipe, as well as version and initial version.
  • Recette de contrôle: Information on ID, name, description and job ID of the control recipe.
  • Exécution: Information on the number of active recipes and execution status and mode, numerically and as a text respectively.

    Note: The value for Nombre de recettes actives is generally 0 or 1. If a higher number is displayed, then the start of other recipes was forced manually.

  • Phases: Information on active phases. If the phase is in an operation, the name of the operation is displayed in brackets.
  • Erreur: Errors are shown visually in Runtime and saved in logs. A process error in the unit is shown visually this way and the absolute number of historical procedure errors is also displayed. The counter is increased by 1 as soon as a procedure error occurs. If the phase is restarted, the historic error goes from the display; it is no longer signalized visually. The logged information is retained however. The same applies to communication failures: Symbols only display active errors; counters also inform you of historic errors.
  • Information recette matrice: Display of the active steps in a matrix recipe. It is always the information from the main recipe that is used, even if the trigger object is in an operation. All numerical variables whose data type >= 2 byte can be selected.
    PFC recipes always receive empty values or 0.

Execution status and execution mode of values

Values for variables of the État d'exécution (numérique) and Mode d'exécution (numérique) are in the Variable allocation/General chapter.

Information in recipes and unit

When restarting after Runtime has been restarted, the respective status is stored with the information in the recipes.
For example: Paused after normal shutdown or Held after incorrect shutdown.

The execution status is also displayed in the unit information. The execution status (numerical and text) in the unit information contains a number and a text that corresponds to that of the variables in the screen. Including information on whether triggered by a restart, information on objects with a different status and objects that delay a status change.
Attention: The content of these variables is not compatible between zenon 7.10 and 7.11.


Phases

Manuel -> Batch Control -> Engineering in the Editor -> Phases

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

The phase is the execution object of a recipe - and therefore its main component. Each phase in module Batch Control must stand facing a Technological function in the control.

Example: You want to heat up a tank.

For this you need:

  1. The corresponding equipment: a heating in the tank.
  2. A temperature sensor which measures the actual temperature in the tank. Connect this sensor with a control.
  3. A program in the controller that controls the heating until the set temperature is reached.
    This control program is the process action in the PLC. It:
    • has an input tag: a set temperature - which is implemented via a command tag in Batch Control
    • needs an output tag - also a set temperature - which must be reached and which is implemented via a return tag in Batch Control

To inform the control about the progress of the recipe, you need corresponding status information which is transferred to the control. For this you use reactions and conditions for the response.

A phase therefore consists of:

Type | Description
Command TAGs | The set values which should be transferred to the control
Return TAG | The response values which inform the REE about the status of the process action in the control. They can be evaluated in conditions and transitions.
Reactions | REE events can be used on the one hand to inform the process action in the control about the state of the REE and on the other hand to inform the user about errors (e.g. time outs, invalid tag values). time outs, invalid tag values).
Conditions | Are used for the evaluation of the return tags: The state of the process action in the control is evaluated.
Times | Time critical processes can be monitored with this. If the engineered time is exceeded, an event is triggered on which you can react with a reaction.

Engineering

To create a new phase:

  1. select the unit for the phase or first create the desired unit
  2. in the context menu select menu item New phase
  3. a new phase is shown in the detail view
  4. the subitem Reactions is automatically added to the phase

info Informations

If several phases are selected in the Editor at once whose formulas are identical but whose tags are different, this is not displayed by color coding the different values.

Autres sujets abordés dans ce chapitre

Context menu phase

Detail view phase


Context menu phase

Manuel -> Batch Control -> Engineering in the Editor -> Phases -> Context menu phase

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Context menu phase X

Right click on a created phase in order to open a context menu for creating the parameters:

Parameter | Description
New initial tag | Creates a new initial tag.
New value tag | Creates a new value tag.
New return tag | Creates a new return tag.
Replace linking in phase | Opens the dialog to replace linking for linking in phases.
Rename | Makes it possible to change the name of the currently selected phase.
Delete | Deletes the currently selected phase after a confirmation message.
Copy | Copies the selected element to the clipboard.
Coller | Pastes an element script that was copied to the clipboard.
Exporter la sélection en XML... | Exports the selected phases as an XML file.
Help | Opens online help.


Detail view phase

Manuel -> Batch Control -> Engineering in the Editor -> Phases -> Detail view phase

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Parameter | Description
New initial tag | Creates a new initial tag.
New value tag | Creates a new value tag.
New return tag | Creates a new return tag in the detail view.
Replace links | Opens the dialog to replace links.
Copy | Copie les entrées sélectionnées et vers le presse-papiers.
Paste | Insère le contenu du presse-papier. Si une entrée portant le même nom existe déjà, le contenu est collé sous le nom Copie de....
Delete | Après une demande de confirmation, supprime les entrées sélectionnées de la liste.
Remove all filters | Supprime tous les paramètres de filtre
Edit selected cell | Ouvre la cellule sélectionnée pour la modification. Le symbole représentant des jumelles dans l'en-tête indique la cellule sélectionnée dans une ligne affichée en surbrillance. Seules les cellules pouvant être modifiées peuvent être sélectionnées.
Replace text in selected column... | Ouvre la boîte de dialogue de recherche et de remplacement de texte.
Properties | Ouvre la fenêtre de Propriétés.
Help | Ouvre l'aide en ligne.


Parameters

Manuel -> Batch Control -> Engineering in the Editor -> Parameters

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

TAGs are the communication interface to the control. With them all values are transferred to the control and also read back. To not have to work with complex and for the user incomprehensible variable names in module Batch Control, the abstract level is used. Each tag consists - for each phase - of a unique name and a description. In this, the engineer can give the recipe creator or user a description of what the tag is used for or which effects it has.

You can add any number of tags to a phase. We distinguish between command tags and return tags. Command parameters are further subdivided into initial parameters and value parameters. Each tag can be switched between command and return tag at any time.

Autres sujets abordés dans ce chapitre

Detail view tag

Command TAGs

Return TAG

Example for status tag

Execution period


Detail view tag

Manuel -> Batch Control -> Engineering in the Editor -> Parameters -> Detail view tag

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Toolbar and context menu provide commands to create and administer variables of parameters.

Parameter | Description
New initial tag | Creates a new initial parameter in the detail view.
New value tag | Creates a value parameter in the detail view.
New return tag | Creates a new return tag in the detail view.
Replace links | Opens the dialog to replace links.
Copy | Copie les entrées sélectionnées et vers le presse-papiers.
Paste | Insère le contenu du presse-papier. Si une entrée portant le même nom existe déjà, le contenu est collé sous le nom Copie de....
Delete | Après une demande de confirmation, supprime les entrées sélectionnées de la liste.
Remove all filters | Supprime tous les paramètres de filtre
Edit selected cell | Ouvre la cellule sélectionnée pour la modification. Le symbole représentant des jumelles dans l'en-tête indique la cellule sélectionnée dans une ligne affichée en surbrillance. Seules les cellules pouvant être modifiées peuvent être sélectionnées.
Replace text in selected column | Ouvre la boîte de dialogue de recherche et de remplacement de texte.
Properties | Ouvre la fenêtre de Propriétés.
Help | Ouvre l'aide en ligne.


Command TAGs

Manuel -> Batch Control -> Engineering in the Editor -> Parameters -> Command TAGs

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Command parameters transfer information and values to the controller. They can be subdivided into:

  • Initial parameters: Command parameters that are set before the start event. They transfer information that must be stored before setting the input lock in the controller, for example, which control strategy is executed.
  • Value parameter: Command parameters that are sent after input locking when the phase is executed.

Command tags contain the set values which should be transferred to the control. Initial parameters and value parameter are backed up and written to the controller. You can find the exact description in chapter: Process of a phase in detail.

Command tags can also be used in transitions, conditions and reactions. Initial parameters and value parameters can have the same variable linked. This is taken into account when validating for multiple use of a variable.

Command parameters have a number of properties which can be defined via the property window. For this, the following applies:

  • Each tag must be linked with a variable.
  • The data type of the variable must correspond to the data type of the parameter.
  • The set value limits of the parameter must be within the set value limits of the variable.

If this is not the case, error messages are created during the validation.

Hint to property Modifiable dans la recette principale: With this you define whether the value of the command TAG may be modified by the creator of the master recipe. If e.g. machine tags should not be changeable in the recipe but defined fixedly, you must deactivate this property.

Engineering

To create a new command tag:

  1. Select the desired phase
  2. Select, in the context menu, the command New initial parameter or New value parameter
  3. a new command tag is created in the detail view

Note on compatibility

If Runtime files are created for zenon 7.10 or older versions, then the initial parameters and value parameters are treated the same as command parameters again. Command parameters from zenon 7.10 or earlier are all converted to value parameters.


Return TAG

Manuel -> Batch Control -> Engineering in the Editor -> Parameters -> Return TAG

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

The return tags contain the return values with which the process action of the REE communicate its status. Normally the value is set by the control and evaluated by the REE. Return tags can be evaluated in transitions and conditions.

They can also be used like this in reactions. In doing so, the values configured in the return parameter are transferred. To do this, they are linked in the reaction properties groups Attribuer un tag and for Valeur prescrite du tag as a target parameter.

Engineering

To create a new return tag:

  1. select the desired phase for which you want to create a new return tag
  2. in the context menu select menu item New return tag
  3. a new command tag is created in the detail view


Example for status tag

Manuel -> Batch Control -> Engineering in the Editor -> Parameters -> Example for status tag

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

To be able to communicate with the control, you normally need two status tags:

  • one in write direction and
  • one in read direction

The variable behind these parameters should have a numeric data type such as USINT or UINT. It is recommended that both parameters are executed as a return parameter.

info Informations

This may seem illogic for commands in write direction at first glance but has the following background: When executing the phase, all command tags are always set. With this they are visible in the list of command tags and can therefore be edited accidentally. This makes no sense for a command for the control. The goal is not just to communicate a single value to the control as command but to transmit the status of the phase in the recipe.

Especially at the writing of a command tag it makes sense to not simply inform the PLC about the writing but the status when all values have been written and the PLC therefore can start to process the process action.

For this it is best to use the reaction to event Finished writing command tags. At reactions to an event you can also write values to an return tag. The use of return tags for both status tags is therefore recommended.

Here is an example about which values the tags can take on:

Status tag in write direction (to the PLC): Commands

Value | Name of the event
0 | not defined
1 | Phase started
2 | Finished writing command tags
3 | Phase finished: Phase done condition fulfilled and Durée d'exécution minimum reached (if engineered)
4 | Phase deactivated
5-9 | Reserve
10 | Status change: Pausing
11 | Status change: Resuming
12 | Status change: Holding
13 | Status change: Restarting
14 | Status change: Stopping
15 | Status change: Aborting
16-19 | Reserve
20 | Mode change: Automatic
21 | Mode change: Semi-automatic
22 | Mode change: Manual
23-29 | Reserve
30 | Exit Runtime initiated
31 | Runtime restart
32 | Unit allocation not possible
33 | Waiting period unit allocation exceeded
34 | Input interlocking blocked
35 | Waiting period input interlocking exceeded
36 | Maximum execution period exceeded
37 | Waiting period following condition exceeded
38 | Phase started multiple times

You can find the exact meaning of the events in the Event type chapter.

For each entry in the table you define a corresponding reaction for writing the status value at the phase.
Hint: Use the same tag label for all phases; e.g. StatusPhase. Then you only have to engineer the reaction at one phase and can then transfer it to all phases via copy & paste. You can of course also copy the tags. Do not forget to correct the variable. They must match the respective phase.

Tag in read direction (from the PLC): Return Values

Value | Description | Linked in property
0 - 1 | Not defined |
2 | Process action finished | Condition de phase terminée
3 - 9 | Reserve |
10 | Process action paused | En pause
11 | Reserve |
12 | Process action held | Figé
13 | Process action restarted | Redémarré
14 | Process action stopped | Arrêté
15 | Process action aborted | Annulé

Link the values with a formula in the respective property.

Hint: You can copy the formula and just change the respective value. If you set this setting at the start of setting the parameters, you can copy the entire phase and with that have these settings for all phases.


Execution period

Manuel -> Batch Control -> Engineering in the Editor -> Parameters -> Execution period

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

The execution duration is controlled via two independent properties. Their values must not complement one another.

Maximum execution duration

The Durée d'exécution maximum refers to Phase deactivated and therefore to the process. It is not connected to the Minimum execution duration.

Minimum execution duration

Property Durée d'exécution minimum defines how long zenon waits after writing the command tag independent of the check of the phase done condition. During the execution the maximum execution duration is checked. An event is triggered if this is exceeded. This can be linked to a reaction. This happens regardless of whether the phase still checks its Condition de phase terminée or only waits for the Durée d'exécution minimum.

The length of the minimum execution duration can exceed the maximum execution duration.

Example

  • There is a phase: Start mixing. The confirmation that the mixer runs must not take longer than 5 seconds before a warning of an error is displayed.
    Engineering: Property Durée d'exécution maximum gets value 5 seconds with corresponding reaction.
  • The mixer however should run 15 minutes before the next phase is executed.
    Engineering: Property Durée d'exécution minimum gets value 15 minutes.

With this the minimum execution duration is 15 minutes and the maximum execution duration 5 seconds.


Conditions

Manuel -> Batch Control -> Engineering in the Editor -> Conditions

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

The conditions are used to inform the REE of the status of the technological function in the controller. For evaluating the conditions formulas are used which were created with the formula editor.

Hint: Use a single status tag (return tag) which takes on different values in order to transmit the status of the process action in the control to the phase. You can find an example in chapter Example for status parameter.

Engineering

To create a new condition:

  1. Click on the corresponding phase.
  2. In the properties select the desired conditions from node Général or État transitoire de condition.
  3. Click in the field for the value or on button ... .

    The formula editor is started.

  4. Define the formula for the condition.

Note: The counterpart to the conditions are the reactions. With them, the execution status is transferred to the technological functions of the controller.

General

The following are available as general conditions:

  • Condition de verrouillage

    With the help of an input interlocking the phase is only executed in the Runtime when the condition for the input interlocking is fulfilled.
    The input interlocking is configured via the property Condition de verrouillage. Via the formula editor the condition is defined which the input interlocking must fulfill. The formula can consist of one or more command tags and return tags of the phase. Value and status of the variables can also be used. The formula returns TRUE or FALSE as result. The condition can be displayed in the Runtime but cannot be changed there. The waiting period for the input interlocking is configured with the help of property Période d'attente entrée de verrouillage.

    A phase is executed as soon as the following conditions are met:

    • the phase is active
    • the unit is allocated
    • the phase is not already executed
    • All necessary variables have received a value

    The input lock condition is met, if one has been defined

    Note:You can find more information about input interlockings in chapter Processing a phase in detail.

  • Condition de phase terminée

    Once all value tags have written successfully, a phase checks the phase done condition. The phase can only be concluded and the recipe continued if the Condition de phase terminée has been met. This is configured using the Condition de phase terminée property.
    The condition to be met is defined using the formula editor.
    The formula:

    • Can consist of one or more command tags and/or return tags of the phase.
    • Can use the value and status of the variables

Gives TRUE or FALSE as a result.

The condition can be displayed in the Runtime but cannot be changed there. The waiting period for the phase done condition is configured with the property Durée d'exécution maximum.

Transient states

As transitions the following properties are available

  • En pause
    Within the phase the process stops at:
    • Waiting for Finished
    • Waiting for allocation
    • Waiting for interlocking
    • Waiting for Phase finished
    • Check for parallel execution
  • Figé
    Within the phase the process stops at:
    • Waiting for Finished
    • Waiting for allocation
    • Waiting for interlocking
    • Waiting for Phase finished
    • Check for parallel execution
  • Arrêté
  • Annulé
  • Redémarré
    Phase is completely restarted.
  • Condition de sortie (échap)
    If this condition is met, the current execution step is stopped and the phase is exited. You can find details in the Exiting a phase chapter.

Variables

Transfer conditions are defined with parameters that are linked to variables. They determine when the phase switches the status.

The status changes is delayed until:

  • Each variable has a value
  • The formula is TRUE
  • There is no variable with an invalid status

If no condition is defined, the status change is always allowed.

All variables for the status change are requested at the advising of the variables in order to receive a value as soon as possible. The value for a variable which define a status change is read on the change to the transient status. A possible pulse must have value TRUE within the waiting period in order to be recognized.

Note: When closing the Runtime, it is not waited for the variable for the status change from stopping to stopped as at this time all variables are already signed off.

Autres sujets abordés dans ce chapitre

Waiting periods


Waiting periods

Manuel -> Batch Control -> Engineering in the Editor -> Conditions -> Waiting periods

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

The recipe creator can define waiting periods. The configuration of waiting periods (time outs) prevents that time-critical processes take too long because of unforeseen events. If the condition is not fulfilled within the defined waiting period, a corresponding event is triggered. With the reactions you can react on the event and influence the recipe process.

For all waiting periods the following is true:

  • If 0d 00:00:00 is defined as waiting period, the event is not triggered.
  • The waiting periods are independent of the recipe status (e.g. Recipe paused) and continue to run even when the Runtime is closed and restarted.
  • If a phase is held and restarted, the waiting periods are also restarted.
  • If a phase is passed through several times, the waiting periods are started again for every pass.
  • Waiting periods themselves do not influence the process. They are simply used to generate an event. The reaction must be defined in the event. After the event is triggered, it is still waited for the fulfillment of the condition.


Reactions

Manuel -> Batch Control -> Engineering in the Editor -> Reactions

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Reactions are the most important piece to influence the recipe process and to communicate with the control. Reactions are always based on events. These can be REE events (e.g.: Phase started), as well as general events (e.g. Exit Runtime initiated). With the help of reactions you can e.g. tell the control when a phase has been started or finished in the REE and when all command tags have been written.

Likewise you must transfer the status of the phase to the control with the help of the reactions. Otherwise the control has no information about the process of the recipe.

Example: If you stop the REE or the phase, the event Status change: Stop will be triggered. As reaction you can transfer this status change as set value input to the control. Only then can the control react and stop the process action. You can find an example in chapter Example for status parameter.

Note: The counterpart to the reactions are the conditions. With them the states of the process action in the control is transferred to the REE.

Engineering

With each phase the node Reactions is created automatically. In this node you can created any reactions. To create a new reaction:

  1. click on reactions
  2. in the context menu select menu item New reaction
  3. a new reaction is shown in the detail view
  4. in the detail view click on the entry in column Event
  5. select the desired event from the drop-down list and define the desired reaction type in the property window.

For each event several reactions are possible. They are sorted at the triggering and are executed in accordance to their priority. At this 1 is the highest priority. Reactions of the same type can only be re-sorted using the toolbar or context menu.

Some of the reactions are triggered only once in the process - e.g. time outs. If the phase is restarted, these reactions are also retriggered if necessary.

Reactions can only use tags of their own phase. If reactions are copied from other phases, they try to use tags with the same name of the name phase.

Project configuration rules

  • Reactions can appear in each object state.
  • For each event several reactions are possible. They are sorted at the triggering and are executed in accordance to their priority. At this 1 is the highest priority.
  • All variables of all parameters are signed in to the driver for reading. If a value is needed at a reaction but is not yet available or invalid, the alternate value is written. The writing of the value is done without write confirmation.
  • Some of the reactions are triggered only once in the process - e.g. time outs. If the phase is restarted, these reactions are also retriggered if necessary.

Runtime

Actions of reactions are logged in the CEL if the Créer une entrée dans la liste des événements property has been activated for the reaction. System is entered as a user.

Autres sujets abordés dans ce chapitre

Context menu reactions unit tree

Detail view reactions

Events

Reaction types


Context menu reactions unit tree

Manuel -> Batch Control -> Engineering in the Editor -> Reactions -> Context menu reactions unit tree

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Parameters | Description
New reaction | Creates a new reaction in the detail view.
Replace links | Opens the dialog to replace links.
Paste | Insère le contenu du presse-papier. Si une entrée portant le même nom existe déjà, le contenu est collé sous le nom Copie de....
Help | Ouvre l'aide en ligne.


Detail view reactions

Manuel -> Batch Control -> Engineering in the Editor -> Reactions -> Detail view reactions

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Parameter | Description
New reaction | Creates a new reaction in the detail view.
Execution order: Earlier | For reactions of the same type: Moves the reaction forward in the execution order.
Execution order: Later | For reactions of the same type: Moves the reaction backward in the execution order.
Execution order: Change places | Only active if exactly two reactions are chosen. The two selected reactions change their places in the execution order.
Replace links | Opens the dialog to replace links.
Copy | Copie les entrées sélectionnées et vers le presse-papiers.
Paste | Insère le contenu du presse-papier. Si une entrée portant le même nom existe déjà, le contenu est collé sous le nom Copie de....
Delete | Après une demande de confirmation, supprime les entrées sélectionnées de la liste.
Remove all filters | Supprime tous les paramètres de filtre
Edit selected cell | Ouvre la cellule sélectionnée pour la modification. Le symbole représentant des jumelles dans l'en-tête indique la cellule sélectionnée dans une ligne affichée en surbrillance. Seules les cellules pouvant être modifiées peuvent être sélectionnées.
Replace text in selected column | Ouvre la boîte de dialogue de recherche et de remplacement de texte.
Properties | Ouvre la fenêtre de Propriétés.
Help | Ouvre l'aide en ligne.


Events

Manuel -> Batch Control -> Engineering in the Editor -> Reactions -> Events

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Each reaction is a reaction to an event. The event is defined in property Événement. For each event several reactions can be defined. The execution order can be defined in the detail view.

When validating the recipe in Runtime, the name of the event is displayed in the event of an error.
Syntax: (event name.x) whereby event name corresponds to the Événement. x is a number that indicates the position in the execution sequence.

From the drop-down list you can select the following events:

Event

Description

Procedure

Events in the procedure.

Phase activated

Is the first event which is triggered.

With this event, you tell the PLC that the phase has been activated in the REE and that the phase is expected to be started soon.

Unit allocation not possible

Is triggered if the unit was not allocated successfully at first try.

Phase started

With this event you tell the PLC that the phase has been started in the REE and that it is likely that the command tags will be written soon.

Other events can be executed before the event if the Permettre l'exécution avant l'événement de départ has been activated for the corresponding event. For details, see the Allow execution started before phase started section.

Input interlocking blocked

Is triggered if the input lock has been successfully locked. Then the interlocking is not executed.

Makes only sense if property Condition de verrouillage was configured.

Input lock checked successfully

Is triggered if the checking of the input interlocking is applicable at the first check. The interlocking is executed.

Makes only sense if property Condition de verrouillage was configured.

Finished writing value tags

Is triggered if all command tags have been written. It cannot be guaranteed however that really all tags arrived at the control. It depends on the communication and the respective driver. It can however be assumed.

Recommendation: Use this event to tell the PLC that the phase has written all command tags and the PLC can start processing the process actions.

Phase done condition completed

Is triggered if the phase is finished. This event is the last reaction of the phase and independent of the reason of the finishing. With this the phase done condition is fulfilled.

This event is also triggered at a restart.

Phase deactivated

Is triggered if the phase was started and now is finished.

Timeout

Timeout events.

Phase started multiple times

A phase can only be active once. If it is activated several time in parallel, this event is triggered.

Waiting period unit allocation exceeded

Is triggered if the waiting duration for the unit allocation runs. Can also occur during Paused and Held.

Waiting period input interlocking exceeded

Is triggered if the waiting duration (time out) for the input interlocking expired.

Makes only sense if a Condition de verrouillage was defined.

Command parameters without value

Is triggered if the command tag should be toggled and the variable linked to the tag does not have a valid initial value.

Maximum execution period exceeded

Is triggered if the waiting duration (time out) for waiting for the phase done condition (Finished) was exceeded.

Waiting period following condition exceeded

Is triggered if the phase was not finished within the scheduled waiting duration (time out) although the phase done condition was fulfilled.

Linked variable invalid
  • If the value of a variable with status INVALID should be used, this event is created once per invalid variable and phase.
  • If the variable status changed from INVALID to not INVALID and back to INVALID, the reaction is again triggered when the variable is used.
  • If the phase is restarted, the event is triggered again when an invalid variable is used.

At the following activities it is checked for invalid variable:

  • Source variable in reaction
  • Variable for phase done condition
  • Variable for input interlocking
  • Write command tag inversely
  • Variables for status change at transient states allowed
  • Note: In the event of an INVALID, the events are not necessarily processed in the order in which they are received. If an INVALID occurs whilst another event is being processed, this event can overtake the one that is currently being executed.

Status change

Status change events.

If the phase changes its status, the corresponding reaction is activated.

Status change: In execution

The phase is executed.

Status change: Pausing

The phase is switched to Paused at the moment.

Status change: Paused

The phase is paused.

Status change: Continue

The phase is resuming after a break.

A status change in the object from Paused to Running triggers the events Resuming and Running.

Status change: Holding

The phase is held at the moment.

Status change: Held

The phase was stopped.

Status change: Restarting

The phase is restarting at the moment.

Status change: Stopping

The phase is stopping at the moment.

Status change: Stopped

The phase was stopped.

Status change: Aborting

The phase is aborted at the moment.

Status change: Aborted

The phase was aborted.

Status change: Executed

The phase is finished.

Escape condition started

Is triggered if the Condition de sortie (échap) for exiting from a phase is started.

Escape condition fulfilled

Is triggered if the Condition de sortie (échap) for exiting from a phase is met.

Mode change

Events in relation to mode change in the REE

Mode change: Automatic

The REE switched to mode Automatical.

Mode change: Semi-automatic

The REE was switched to semi-automatic mode.

Mode change: Manual

The REE switched to mode Manual.

Close and restart Runtime

Events in relation to closing and restarting Runtime.

Exit Runtime initiated

Is triggered if the Runtime is exited. This is an especially critical state for the Batch Control module as the recipe process does not stop in the control immediately. Therefor exiting the Runtime is prevented as long as module Batch Control saved all data. A process image is created which can later be used as starting point.

Likewise it is made sure that the tags of action Write set value safely arrive at the control. Internally the phase is paused only when the writing confirmation from the driver ensued.

For more details about existing the Runtime see chapter: Exit and restart Runtime.

At this event no reaction types of group Influencing the recipe are possible.

Runtime restart

The Runtime was restarted.

Interruptions and errors

Events in relation to interruptions and errors in communication and on the PLC.

Loss of communication

This event reports that communication has been interrupted.

Loss of communication fixed

This event reports that the communication failure has been rectified.

Loss of communication acknowledged

This event reports that a displayed communication failure has been acknowledged.

PLC error

Is triggered if there is a PLC error.

PLC error rectified

Is triggered if a PLC error has been rectified.

PLC error rectified by deactivating the phase

Is triggered if there was a PLC error when a phase was ended. This was changed to rectified when it ended. Does not apply for a restart of the phase.

Events on restart

The reactions phase activated, phase started and phase deactivated are always only executed once. These reactions are not triggered again after the phase has been restarted. The phase starts to run again, however it was not executed in full beforehand.

Along the same lines, the reaction phase deactivated is only triggered once the phase has been ended and not during a restart.

The phase started reaction is triggered if the unit allocation and the parallel execution detection has been executed. If the procedure has not exceeded this detection on restart, the reaction is triggered for the Restart command. If the process is already in an advanced state, the reaction is not carried out again.

Allow execution before "Phase started"

Events can be also be approved before the phase started event. To do this, the Permettre l'exécution avant l'événement de départ property must be activated for the corresponding event. This property can only be configured for events that are possible both before and after phase started. The value is automatically set according to type for all other events.

The following events are approved before and after "phase started":

  • Mode change
  • Status change
  • Exit from a phase
  • Exit Runtime initiated
  • Restart Runtime
  • Linked variable invalid
  • Phase deactivated (can occur before if the phase was exited before phase started)
  • Waiting period for subsequent conditions (can occur before if the phase was exited before phase started)
  • Communication failures (however only from the point at which the values for the Perte de communication property are waited for)

The following events are only approved before "phase started":

  • Phase activated
  • Unit allocation
  • Phase started more than once (exclusive execution)

All other events are only approved after the Phase started event.


Reaction types

Manuel -> Batch Control -> Engineering in the Editor -> Reactions -> Reaction types

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

In the properties of the reactions the reaction types more precisely defined and engineered. In group Réactions the following reaction types are available:

Reaction type

Description

Valeur prescrite du tag

Influences command and return tag directly. All tag data types can be used.
Attention: The value must be within of the set value limits of the variables which are linked at the tag. If this is not the case, an error message is created during the validation.

Entrée dans la liste d'événements

Creates an entry in the CEL: With this the reaction can be documented and the recipe process can be tracked later. For this property Créer une entrée dans la liste des événements must be activated. The text for the CEL is defined in property Texte de l'événement.

System is entered as a user.

Fonction

Makes it possible to link any zenon function.

With this you can e.g. call up a pop-up in order to inform the user about a certain status or start a data backup.

Note: In the network the function is always executed at the server.

Attribuer un tag

Makes it possible to perform a value assignment from Tag source to another Tag cible. You can use both command tags and return tags. The data type of source and target tag must be identical otherwise an error is displayed at the validation of the recipe.

Influence de recette

Make it possible to:

  • Change the execution mode
  • Execute commands for the REE
  • execute phase commands

With this you can react on serious events such as Waiting duration exceeded or Linked variable invalid.

Note: Use this reaction type carefully as this reaction type influences the entire recipe process.

For each event you can only once:

  • set the Mode and
  • write a single Commande

Because e.g. it does not make sense to pause and hold the recipe at the same time with the same event.

You can read more about commands in the commands and actions chapter.


Control Strategy

Manuel -> Batch Control -> Engineering in the Editor -> Control Strategy

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Control strategies make it possible to set parameters for different versions of a phase. Only the command parameters allocated to the control strategy are sent for each control strategy.

Configuring control strategies

To use control strategies, these must be activated in the phase. To do this:

  1. Highlight the desired phase
  2. Go to property group Stratégies de contrôle\
  3. Activate the checkbox in front of the Stratégies de contrôle actives property.
  4. Select a parameter in the Balise de stratégie de contrôle property. This parameter defines the control strategy that is active in Runtime.
  5. The phase is thus displayed in the Editor with the Control strategies node.
  6. Right click on the node and select the entry New control strategy in the context menu.
  7. A new control strategy is created.
  8. Configure the properties of the control strategy.
    In doing so, note:
    • Nom and Numéro de stratégie de contrôle of the control strategy must be unique within the phase.
    • The Nom must not be empty, contain a dot, consist of only spaces and must be within a maximum of 256 characters long.
  9. Add the desired command parameters.

    Note: Clicking on a parameter add its properties.
    Only the following properties in the Écrire valeur prescrite group can be edited:

    • Valeur
    • Valeur min.
    • Valeur max.
    • Modifiable dans la recette principale

    All other properties cannot be edited. To edit these, switch to the parameter list of the phase.

Copying control strategies

Control strategies can be copied using commands in the context menu and the toolbar and inserted into the same or other phases.

If control strategies are copied throughout phases, units or a project, only the parameter linkings that are also to be triggered in the new phase are inserted. In doing so, the conditions are the same as for inserting parameter linking.

Autres sujets abordés dans ce chapitre

Control strategies node context menu

Context menu selected control strategy

Toolbar and control strategy list context menu

Parameter


Control strategies node context menu

Manuel -> Batch Control -> Engineering in the Editor -> Control Strategy -> Control strategies node context menu

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Right-clicking on the Control strategies node opens a context menu with the following entries:

Parameters | Description
New Control strategy | Creates a new control strategy
Paste control strategy | Pastes a control strategy from the clipboard. Copied control strategies are adapted when pasted into a phase so that Nom and Numéro de stratégie de contrôle are made unique, if this is not already the case in the phase.
Help | Ouvre l'aide en ligne.


Context menu selected control strategy

Manuel -> Batch Control -> Engineering in the Editor -> Control Strategy -> Context menu selected control strategy

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Right-clicking on the control strategy opens a context menu with the following entries:

Parameter

Description

Add command parameters

Opens the dialog to select command parameters.

Insert parameter linking

Inserts parameters that have been copied from a different control strategy to the selected control strategy. Note: Copy the parameters to the control strategy list.

Rename

Highlights the name to be renamed.

Delete

Deletes the selected control strategy after a confirmation message.

Copy

Copies the selected control strategy. This can be pasted using Paste in the context menu of the Control strategies node.

Copied control strategies are adapted when pasted into a phase so that Nom and Numéro de stratégie de contrôle are made unique, if this is not already the case in the phase.

Help

Ouvre l'aide en ligne.


Toolbar and control strategy list context menu

Manuel -> Batch Control -> Engineering in the Editor -> Control Strategy -> Toolbar and control strategy list context menu

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Entries in the control strategy list can be edited using symbols or entries in the context menu.

The following are available in the context menu and the toolbar:

Parameter | Description
Add command parameters | Opens the dialog to select command parameters.
Copy | Copie les entrées sélectionnées et vers le presse-papiers.
Paste | Insère le contenu du presse-papier. Si une entrée portant le même nom existe déjà, le contenu est collé sous le nom Copie de....
Delete | Après une demande de confirmation, supprime les entrées sélectionnées de la liste.
Remove all filters | Supprime tous les paramètres de filtre
Edit selected cell | Ouvre la cellule sélectionnée pour la modification. Le symbole représentant des jumelles dans l'en-tête indique la cellule sélectionnée dans une ligne affichée en surbrillance. Seules les cellules pouvant être modifiées peuvent être sélectionnées.
Properties | Ouvre la fenêtre de Propriétés.
Help | Ouvre l'aide en ligne.


Parameter

Manuel -> Batch Control -> Engineering in the Editor -> Control Strategy -> Parameter

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Linking parameters

There are different methods available to link parameters to a control strategy:

  • To do this, select the Add command parameter command in the context menu of the control strategy.
  • Select, in the detail view of the control strategies in the toolbar or in the context menu of a parameter, the Add command parameter command.
  • Drag the parameter from the parameter list of the phase by dragging & dropping it onto the control strategy. Only command parameters are linked.

Note: If a parameter is deleted for a phase, the attendant parameter linking is also deleted for all control strategies.

Deleting or restoring linked values

Parameters of the control strategies take on the values of the parameters with which they are linked.
This linking can be deleted by:

  • Overwriting the value
  • Separating the linking via the context menu

The context menu can also be used to restore the link to the source parameter again.

You can read details on linked values in the Linked properties chapter in the Editor manual.

Copying parameters

Existing parameter linking can be copied between control strategies. Copying is possible throughout via phases, units and projects. When inserting parameter linkings, an attempt is made to link the names accordingly. No new parameters are created.

Insertion is not possible if there is no parameter with the copied name in the target phase or the corresponding parameter is already part of the control strategy.


Replace links

Manuel -> Batch Control -> Engineering in the Editor -> Replace links

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Linking of variables and functions can be replaced automatically in units, phases and reactions. This process corresponds to the process for replacing linking for screen switching and replacing linking in the Editor screen.

The following can be replaced:

  • Units: linked variables for Runtime information
  • Reactions: linked functions
  • Parameter: linked variables

To replace elements:

  1. Select the Replace linking command in the context menu or the toolbar
  2. The dialog for the replacement of links opens.

Eigenschaft

Beschreibung

Quelle

Eingabe des zu suchenden Teilstrings.

Platzhalter * und ? können verwendet werden. Platzhalter sind nur als Präfix oder Suffix zugelassen, also *xxx oder xxx*.

Beachten Sie bei der Verwendung von Platzhaltern das Verhalten, wenn ein Zeichen mehrmals vorkommt:

  • Beispiel Zeichenfolge: 01{SU(00,Test1)}
    Test1 soll durch Test 2 ersetzt werden.
  • Quelleintrag *1 und Zieleintrag 2 findet und ersetzt die 1 in 01 aber nicht im später folgenden t1.
    Ergebnis: 02{SU(00,Test1)}
  • Quelleintrag *t1 und Zieleintrag t2 findet und ersetzt t1.
    Ergebnis: 01{SU(00,Test2)}

Ziel

Eingabe des neuen Teilstrings.

Hinweis: Quelle und Ziel müssen sich im selben Projekt befinden.

Übernehmen

Tausch gesuchte Strings der Quelle gegen die in Ziel definierten.

Groß-/ Kleinschreibung beachten

Achtet beim Tausch auf exakte Übereinstimmung der Groß-/und Kleinschreibung.

Name

Tauscht Information im Variablennamen.

Kennung

Tauscht Information in der Kennung.

Variable/Funktion

Öffnet die Auswahlliste für Variablen/Funktionen bezogen auf die ausgewählte Zeile in der Liste. Klick auf Variable oder Funktion in der Liste definiert neue Zielvariable oder Zielfunktion.
Alternativ: Doppelklick auf die entsprechende Quellvariable oder Quellfunktion.

Ersetzen

Ersetzen mit manueller Auswahl

Um Elemente manuell zu ersetzen:

  • Wählen Sie aus der Liste das Element, das sie ersetzen, möchten als Quelle.
  • Wählen Sie über die Schaltfläche Variable/Funktion ein Zielelement.

    Das bisherige Element wird durch das neue ersetzt.

Automatisiert ersetzen mit Regeln

Um Elemente regelbasiert automatisch zu ersetzen:

  • Definieren Sie im Eingabefeld Quelle die Parameter für das Element, das Sie ersetzen möchten.
  • Definieren Sie über das Eingabefeld Ziel den Parameter für die neue Variable/Funktion.
  • Legen Sie über Name/Kennung fest, was getauscht werden soll.
  • Klicken Sie auf Übernehmen.

info Informations

Die Zielvariable oder Zielfunktion kann sich auch in einem anderen Projekt als die Quellvariable oder Quellfunktion befinden. Dabei müssen alle beteiligten Projekte in der Runtime am gleichen Rechner gestartet zur Verfügung stehen.

Zur Ersetzung werden interne Variablen IDs herangezogen. D.h. werden verwendete Variablen oder Funktion umbenannt bleibt die Ersetzung bestehen.

attention Attention

Achten Sie beim Ersetzen von Variablen auf den Typ und die Signalauflösung. Wenn Sie eine Variable durch eine im Typ nicht kompatible ersetzen, kann das zu Fehlern in der Ausführung führen. Sie werden beim Ersetzen gewarnt, die Ersetzung wird aber durchgeführt.


Create screen of type Batch Control

Manuel -> Batch Control -> Engineering in the Editor -> Create screen of type Batch Control

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Create screen of type Batch Control

Développement

Étapes de création du synoptique :

  1. Créez un nouveau synoptique :

    Dans la barre d’outils ou le menu contextuel du nœud Synoptiques, sélectionnez la commande Nouveau synoptique.
    Un synoptique vide Standard est créé.

  2. Modifiez les propriétés du synoptique :
    1. Nommez le synoptique dans la propriété Nom.
    2. Select Batch Control in the Type de synoptique property.
    3. Sélectionnez le cadre souhaité dans la propriété Gabarit.
  3. Configurez le contenu du synoptique :
    1. Sélectionnez l’option de menu Éléments de contrôle dans la barre de menus
    2. Sélectionnez Insérer un modèle dans la liste déroulante.
      La boîte de dialogue de sélection de mises en forme prédéfinies s’affiche à l’écran. Certains éléments de contrôle sont insérés dans le synoptique à des positions prédéfinies.
    3. Supprimez les éléments superflus du synoptique.
    4. Si nécessaire, sélectionnez des éléments supplémentaires dans la liste déroulante Éléments. Placez-les aux emplacements souhaités sur le synoptique.
  4. Créez une fonction d’appel de synoptique.

Control elements

Control element

Description

Insert template

Inserts control elements for master recipes or control recipes on predefined locations on the screen. These control elements can be supplemented, reduced and positioned newly.

Default (master recipes)

Inserts control elements for master recipes on predefined locations on the screen. These control elements can be supplemented, reduced and positioned newly.

Default (control recipes)

Inserts control elements for control recipes on predefined locations on the screen. These control elements can be supplemented, reduced and positioned newly.

Recipe Editor

Adds the licenses editor for creating master and control recipes.

Recipe control

Control elements for the recipe control.

Execution commands of the recipe

Control elements for recipe commands:

  • Start recipe
  • Recipe pausing
  • Recipe resuming
  • Recipe holding
  • Restart recipe
  • Recipe stopping
  • Recipe aborting

Execution commands of the phases

Control elements for phase commands:

  • Phase pausing
  • Resume phase
  • Hold phase
  • Restart phase
  • Escape phase

Switch execution mode

Control elements for execution modes:

  • Switch to automatic mode
  • Switch to semi-automatic mode
  • Switch to manual mode

Compatible elements

Les éléments de contrôle Standard Win32 ayant été remplacés ou supprimés par des éléments zenon (texte dynamique, basculer) et continuent à être disponibles pour des raisons de compatibilité. Ces éléments ne sont pas pris en compte lors de l’insertion automatique de modèles.

Pour la description, reportez-vous aux éléments actuels.

  • Switch to automatic mode
  • Switch to semi-automatic mode
  • Switch to manual mode

Execution navigation

Control elements for navigation in recipes:

  • Continue recipe only at selected execution position
  • Continue recipe at all execution positions
  • Skip active condition

General

General control elements:

  • Check recipe for errors
  • Edit element
  • Graphical design

Operation navigation

Control elements for navigation in operations:

  • Change to operation template
  • Switch to main recipe

Master recipes

Control elements for master recipes.

Master recipes list

In this list all master recipes can be displayed. The display can be limited by filters to an individual selection.

The filtering can be preset in the zenon Editor in the screen switch function. Filtering in Runtime is also possible. These filter settings are not saved in Runtime. This means that the filters must be entered again when called up again. A permanent pre-setting of the filter is only possible with configuration in the zenon Editor.

All commands are also possible in the context menu of the list. The commands for list management can be called from the header of the list. The commands for recipe management can be called at editing one or more recipes.

The recipes in the list cannot be edited directly in the list. Renaming, changing the description or changing the recipe status is only possible with the corresponding commands.

Column selection master recipe...

Opens a dialog in order to determine which columns should be displayed.
Attention: These changes are discarded when the screen is called up again. A permanent definition is only possible in the zenon Editor.

Format columns master recipe...

Opens a dialog to edit the column settings.
Attention: These changes are discarded when the screen is called up again. A permanent definition is only possible in the zenon Editor.

New master recipe...

Opens dialog for creating a new master recipe.

Create new version of master recipe

Creates a new version of the selected master recipe. This must be approved or marked as obsolete.

Rename master recipe

Only active if exactly one master recipe was selected.
The dialog for the input of a unique name and the description is opened.
Recipes can only be renamed if they are in status Editable.
Also use this function in order to change the description of the control recipe.

When renaming a recipe, a CEL entry is created.

Duplicate master recipe

Only active if exactly one recipe is selected.
Created a copy of the selected recipe. At the creation of the copy, the version of the recipe saved on the hard disk is used. If the recipe is just edited in another computer and the changes have not yet been saved, the changes are not applied. The dialog for the input of a unique name and the description is opened.

The copy of the recipe automatically receives status Editable and can be edited further.

When duplicating a recipe, a CEL entry is created.

Delete master recipe

Deletes the selected recipes irrevocably. If the recipe is opened on another computer for editing, it is automatically closed there.

Deleting is only possible if there are no control recipes which are based on the master recipe. First you must delete all control recipes.
Recipes which are currently executed in test mode (master recipe status: Test in execution) cannot be deleted. First they must be finished, stopped or canceled.

If recipes must not be deleted - e.g. in an FDA-regulated environment - it is recommended that this button is not configured or that it is given an appropriate Niveau d'autorisation.
A CEL entry is created when a recipe is deleted.

Open master recipe

Opens the selected master recipe in the recipe editor if screen element Recipe editor exists in the screen. Each selected master recipe is opened in a separate tab of the recipe editor.

Switch master recipe to edit mode

Changes the master recipe status of the selected recipes to Editable. In this status, recipes can again be edited completely.
Only recipes in Test mode can be set back to Editable.

Switch master recipe to test mode

Changes the master recipe status of the selected recipes to Test mode. Only faultless recipes can be switched to test mode. If error occur during the validation, you must first fix them.

Recipes in the test mode can be executed but no longer reengineered. For details about the states see chapter Recipe types and recipe states.

Release master recipe

Changes the master recipe status of the selected recipes to Released. Only recipes without errors can be released. If error occur during the validation, you must first fix them.
Only recipes in status Test mode and Editable can be released.

Released recipes can no longer be edited. Control recipes can only be created from released recipes.
For details about the states see chapter Recipe types and recipe states.

When releasing a recipe, a CEL entry is created.

Highlight master recipe as outdated

Changes the status of the recipe to outdated. The recipe can no longer be edited or approved. No control recipe can be created on the basis of this recipe.

Display associated control recipes in list

Displays all control recipes that are based on the selected master recipe and that comply with the set filter criteria.

Dynamically update control recipe list.

Deactivates the Display associated control recipes in list button. When selecting a master recipe, all attendant control recipes are displayed automatically.

Filter for displaying the control recipe

Makes it possible to filter control recipes for the following criteria:

  • Prepared control recipes:
    Display only control recipes which are prepared for execution.
  • Currently executed control recipes:
    Displays control recipes which are currently executed.
  • Completed control recipes:
    Displays control recipes which have already been executed.
  • Outdated control recipes:
    Shows control recipes with the status outdated.

Filtering only takes effect once you click on Show associated control recipes in list.

Compatible elements

Les éléments de contrôle Standard Win32 ayant été remplacés ou supprimés par des éléments zenon (texte dynamique, basculer) et continuent à être disponibles pour des raisons de compatibilité. Ces éléments ne sont pas pris en compte lors de l’insertion automatique de modèles.

Pour la description, reportez-vous aux éléments actuels.

Compatible elements

  • Dynamically update control recipe list
  • Prepared control recipes
  • Currently executed control recipes
  • Finished control recipes
  • Outdated control recipe

Control recipe

Control elements for control recipes.

List control recipes...

In this list all control recipes can be displayed. The display can be limited by filters to an individual selection.

Per default the list is empty. The following must be the case for the list to be filled:

  • Master recipes must be selected
  • Set the currently-executed control recipes,
    prepared control recipes and
    completed control recipes
    filters
  • click button display associated control recipes in list

In addition to the filters mentioned above, you can filter the list itself. The filtering can be preset in the zenon Editor in the screen switch function. Filtering in Runtime is also possible. These filter settings are not saved in Runtime. This means that the filters must be entered again when called up again. A permanent pre-setting of the filter is only possible with configuration in the zenon Editor.

All commands are also possible in the context menu of the list. The commands for list management can be called from the header of the list. The commands for recipe management can be called at editing one or more recipes.
The recipes in the list cannot be edited directly in the list. Renaming, changing the description or starting the recipes is only possible with the corresponding commands.

Column selection control recipe...

Opens a dialog in order to determine which columns should be displayed.
Attention: These changes are discarded when the screen is called up again. A permanent definition is only possible in the zenon Editor.

Format columns control recipe...

Opens a dialog to edit the column settings.
Attention: These changes are discarded when the screen is called up again. A permanent definition is only possible in the zenon Editor.

New control recipe...

Opens the dialog for entering a unique name and a description for the control recipe. The uniqueness of the name is also checked in the zenon network. The name must only be unique within the master recipes. Control recipes which are based on other master recipes may have the same name. The uniqueness within module Batch Control is achieved by always referencing the master recipe name and the control recipe name.

When creating a control recipe, a CEL entry is created.

Rename control recipe

Only active if exactly one control recipe was selected.
The dialog for the input of a unique name and the description is opened.
Recipes can only be renamed if they are in status Prepared.
Also use this function in order to change the description of the control recipe.

Duplicate control recipe

Only active if exactly one recipe is selected.
Created a copy of the selected recipe. At the creation of the copy, the version of the recipe saved on the hard disk is used. If the recipe is just edited in another computer and the changes have not yet been saved, the changes are not applied. The dialog for the input of a unique name and the description is opened.

The copy of the recipe automatically gets the status Prepared and can therefore be edited and started. The execution status of the duplicate is set to automatic.

When duplicating a recipe, a CEL entry is created.

Delete control recipe

Deletes the selected recipes irrevocably. If the recipe is opened on another computer for editing, it is automatically closed there.

Deleting is only possible if all selected recipes are not executed (control recipe status: In execution) First they must be finished, stopped or canceled.

If recipes must not be deleted - e.g. in an FDA-regulated environment - it is recommended that this button is not configured or that it is given an appropriate Niveau d'autorisation.
A CEL entry is created when a recipe is deleted.

Open control recipe

Opens the selected control recipes in the recipe editor if screen element Recipe editor exists in the screen. Each selected control recipe is opened in a separate tab of the recipe editor.

Start control recipe

Starts the selected control recipe in the set execution mode. The recipes are executed automatically at the Server. It is not necessary that the recipe is opened in the recipe editor.

Parameter lists

List box for the display of parameters.

Two list boxes can be created. These are configured in the screen switching.

XML import/export

Control element for XML import/export.

Export master recipes...

Exports the selected master recipe as an XML file.

Export control recipes...

Exports the selected control recipe as an XML file.

XML Import...

Imports the selected XML file.


Job variables

Manuel -> Batch Control -> Engineering in the Editor -> Job variables

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Job variables can be linked in the Editor. Job variables make it possible to assign job IDs to Batch productions. In order to ensure that the variable value is available immediately, the job variable is inserted into the global connection and registered when Runtime is started. The variable is requested again on reloading.

Job variables defined in the Variable de tâche individuelle property can be allocated using a function. Otherwise the global Variable de tâche is used.

Global job variables

To link a global Variable de tâche:

  1. navigate to the Général/Variable de tâche node in the module
  2. Link a variable in the Variable de tâche property
  3. Select, from the drop-down list of the Appliquer la valeur de la variable de tâche property, the type of transfer to Runtime:
    • When creating the control recipe:

      When creating the control recipe, the current value of the variables is transferred into the control recipe. The value is displayed in the control recipe configuration dialog. The value must not be empty, otherwise the recipe cannot be created.

    • When starting the control recipe:

      In Runtime, the content of the variables is written to the recipe when the control recipe is started. The value must not be empty.

    Note about value changes: The value transferred by the variables is always changed into a string, regardless of the type of variables. When changing from real to string, 10 decimal points are taken into account. Zeros at the end are cut off.

  4. You can also define a Variable de tâche individuelle if you wish

In Runtime, the allocated job ID can be displayed in the list of control recipes.

Individual job variable

To link a Variable de tâche individuelle:

  1. navigate to the Général/Variable de tâche node in the module
  2. Link one or more variables in the Variable de tâche individuelle property
  3. When configuring zenon functions, select the desired variable and the type of allocation


Screen switch Batch Control

Manuel -> Batch Control -> Engineering in the Editor -> Screen switch Batch Control

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

To use Batch Control in the Runtime, engineer a screen switch function to a screen of type Batch Control:

  1. in node Functions in the context menu select menu item New function
  2. select function Screen switch
  3. select the screen of type Batch Control
  4. the filter dialog is displayed
  5. configure the
    1. Settings for the list of the master recipes/control recipes including prefiltering
    2. Variable allocations
    3. Tag list settings
  6. link the function with a button on the screen in order to switch in the Runtime

Autres sujets abordés dans ce chapitre

Recipe list settings

Variable assignment

Tag list settings


Recipe list settings

Manuel -> Batch Control -> Engineering in the Editor -> Screen switch Batch Control -> Recipe list settings

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

The settings are configured for:

  • List of master recipes
  • Control Recipes List
  • Prefilter

List of master recipes

Configuration for master recipes.

Option

Description

Prefilter

Select from a drop-down list whether master recipes should be pre-filtered when called up. Possible settings:

  • No prefiltering:
    Recipes are not pre-filtered. All master recipes are shown in the list.
  • ID from variable:
    Recipes are filtered according to ID. Filter condition is defined in the Variable property.
  • Name from variable:
    Recipes are filtered according to recipe name. Filter condition is defined in the Variable property.

Variable

Definition of the variables that provide the values for the prefiltering. Click on button ... in order to open the dialog for selecting the variable.

Apply column settings from calling screen

Active: The column settings are transferred from the calling screen in Runtime, i.e. the screen in which the button is configured with the screen switching function. The calling screen must also be a Batch Control screen. The corresponding properties can no longer be configured in the Editor.

List field

Display of the configured columns.

Sélection colonne

Opens the dialog for selecting the columns

Column format

Opens a dialog to format the columns.

Control Recipes List

Configuration for control recipes.

Option

Description

Filling of the list of the control recipes when the screen is activated

Settings for the filling of the list when called up. Select an option.

  • No filling
  • Apply and use selection of the master recipes from calling screen
  • Use all active master recipes

Prefilter

Select from a drop-down list whether control recipes should be prefiltered when called up. Possible settings:

  • No prefiltering: Recipes are not pre-filtered.
  • ID from variable: Recipes are filtered according to ID. Filter condition is defined in the Variable property.
  • Name from variable: Recipes are filtered according to recipe name. Filter condition is defined in the Variable property.
  • Job ID from variable: Recipes are filtered according to job ID. Filter condition is defined in the Variable property.

Variable

Definition of the variables that provide the values for the prefiltering. Click on button ... in order to open the dialog for selecting the variable.

Open found recipes in recipe editor

Active: The recipes shown in the list when called up are opened in the recipe editor.

Note: The first 20 recipes found is the maximum that can be opened.

Selection of master recipes automatically fills list of control recipes

Active: The list of control recipes always shows the control recipes of the master recipes at the respective point in time. In Runtime, it is then only necessary to click on the Dynamically update control recipe list button.

Apply column settings from calling screen

Active: The column settings are accepted by the screen that is calling them up in Runtime. The corresponding properties can no longer be configured in the Editor.

List field

Display of the configured columns.

Sélection colonne

Opens the dialog for selecting the columns

Column format

Opens a dialog to format the columns.

Filter control recipe for status

Settings for the filtering of the control recipes according to their status.

Apply filter from calling screen

Active: The filter is accepted from the calling screen.

Use this filter

Selection of criteria for the status of a recipe that is to be called up.

Active: Several statuses can be selected by selecting the corresponding checkbox:

  • Prepared
  • Currently executed
  • Executed
  • Outdated

General options

Recipe names are case sensitive

Active: General options

Default: Inactive

Afficher boîte de dialogue dans le Runtime

Active: When calling up the function in Runtime, this dialog is opened and the user can adjust the configuration before execution.

The dialog is displayed on the current computer in Runtime. During network operation when activating the client the dialog is also displayed on the client

Fermer boîte de dialogue

Options | Description :
OK | Applique toutes les modifications effectuées sur tous les onglets, puis ferme la boîte de dialogue.
Annuler | Annule toutes les modifications effectuées sur tous les onglets, puis ferme la boîte de dialogue.
Aide | Ouvre l'aide en ligne.

Remarque concernant la sélection de variables en fonction du nom ou de l'identifiant : Pour la sélection de variables en fonction de leur nom ou leur identifiant, il est possible de sélectionner des variables numériques ou string, respectivement. Les types de données sont convertis au format correct correspondant.

Autres sujets abordés dans ce chapitre

Column selection

Column Format

Prefilter


Column selection

Manuel -> Batch Control -> Engineering in the Editor -> Screen switch Batch Control -> Recipe list settings -> Column selection

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Options

Options | Fonction
Colonnes disponibles | Liste de colonnes pouvant être affichées dans la table.
Colonnes sélectionnées | Colonnes affichées dans la table.
Ajouter -> | Déplace la colonne sélectionnée des colonnes disponibles vers les éléments sélectionnés. Lorsque vous confirmez la boîte de dialogue en cliquant sur OK, ces colonnes sont affichées dans la vue de détail.
Ajouter toutes -> | Déplace toutes les colonnes disponibles vers les colonnes sélectionnées.
<- Supprimer | Supprime les colonnes marquées des éléments sélectionnés et les affiche dans la liste des colonnes disponibles. Lorsque vous confirmez la boîte de dialogue en cliquant sur OK, ces colonnes sont supprimées de la vue de détail.
<- Supprimer tout | Toutes les colonnes sont supprimées de la liste des colonnes sélectionnées.
Haut | Déplace l’entrée sélectionnée vers le haut. Cette fonction est uniquement disponible pour les entrées uniques?; les sélections multiples ne sont pas autorisées dans ce cas.
Bas | Déplace l’entrée sélectionnée vers le bas. Cette fonction est uniquement disponible pour les entrées uniques?; les sélections multiples ne sont pas autorisées dans ce cas.

Fermer boîte de dialogue

Options | Description :
OK | Applique les paramètres et ferme la boîte de dialogue.
Annuler | Annule toutes les modifications et ferme la boîte de dialogue.
Aide | Ouvre l'aide en ligne.

Note: These settings are only used in Runtime for dockable windows if there is no Runtime profile available for the user who is logged in.

Examples of column selection

Column selection for list of the master recipes:

Column selection for list of the control recipes:

Column selection for list of the operations (only available in Runtime):

Column selection for Tag lists


Column Format

Manuel -> Batch Control -> Engineering in the Editor -> Screen switch Batch Control -> Recipe list settings -> Column Format

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

In this dialog you define the column format:

Configuration des propriétés des colonnes pour les listes configurables. Les paramètres ont un effet sur la liste correspondante dans Editor ou, lors de la configuration d’un appel de synoptique, dans le Runtime.

Colonnes disponibles

Options | Description :
Colonnes disponibles | Liste de colonnes disponibles avec la fonction de sélection de colonnes. La configuration de la colonne sélectionnée se déroule via les options de la section Paramètres.

Paramètres

Option

Description :

Paramètres

Paramètres de la colonne sélectionnée.

Intitulé

Nom de l’intitulé de colonne.

Cet intitulé de colonne est compatible avec la fonction de changement de langue en ligne. Pour cela, le caractère @ doit être saisi devant le nom.

Largeur

Largeur de la colonne en caractères.
Calcul : nombre de caractères multiplié par la largeur moyenne des caractères de la police sélectionnée.

Alignement

Alignement. La sélection de l'attribution s'effectue au moyen des cases d'option.

Paramètres possibles :

  • Gauche : Le texte est justifié contre le bord gauche de la colonne.
  • Centré : Le texte est centré dans la colonne.
  • Droite : Le texte est justifié contre le bord droit de la colonne.

Couleurs définies par l'utilisateur

Propriétés permettant de sélectionner des couleurs définies par l’utilisateur pour le texte et l’arrière-plan. Les paramètres ont une incidence dans Editor et dans le Runtime.

Remarque :

  • Ces paramètres sont uniquement disponibles pour les listes configurables.
  • En outre, le focus correspondant dans la liste peut être indiqué par différentes couleurs de texte et d’arrière-plan dans le Runtime. Celles-ci sont configurées dans les propriétés du projet.

Couleurs définies par l’utilisateur

Active : Les couleurs définies par l’utilisateur sont appliquées.

Couleur du texte

Couleur d’affichage du texte. Cliquez sur la couleur pour la palette de sélection de couleurs.

Couleur d'arrière-plan

Couleur d’affichage de l’arrière-plan de la cellule. Cliquez sur la couleur pour la palette de sélection de couleurs.

Désactiver le filtre de colonnes dans le Runtime
  • Active : Le filtre de cette colonne ne peut pas être modifié dans le Runtime.

Remarque : Uniquement disponible pour :

  • Batch Control
  • Extended Trend
  • Synoptiques de filtre
  • Message Control
  • Gestionnaire de groupe de recettes (Recipe Group Manager)
  • Gestion d'équipes
  • Liste contextuelle

Fermer boîte de dialogue

Options | Description :
OK | Applique toutes les modifications effectuées sur tous les onglets, puis ferme la boîte de dialogue.
Annuler | Annule toutes les modifications effectuées sur tous les onglets, puis ferme la boîte de dialogue.
Aide | Ouvre l'aide en ligne.

Note: These settings are only used in Runtime for dockable windows if there is no Runtime profile available for the user who is logged in.


Prefilter

Manuel -> Batch Control -> Engineering in the Editor -> Screen switch Batch Control -> Recipe list settings -> Prefilter

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

To eliminate the need for all recipes to always be loaded in the recipe list in Runtime, you can define filters for master recipes and control recipes in the screen switch function. Then, the only recipes that appear in the list of master recipes and the control recipes are those that correspond to the configured filter conditions. If activated, these recipes are also opened in the recipe editor.

If you want it to be impossible for users to remove the filters in the runtime environment:

  1. Deactivate the Show this dialog in Runtime option.
  2. Block the column filter: Open the Column format... dialog and activate the Lock column filter in the Runtime option. As a result of this, the user cannot modify the filter in Runtime and therefore they do not get the recipes that they cannot modify displayed.

Filtering for master recipes

Configure:

  1. Prefilter

    Stipulate if recipes are to be prefiltered. You can filter according to name or ID. The filter condition is queried in Runtime using a variable.

  2. Column settings
    1. in the screen switch function click on column filters for the List of the master recipes or the List of control recipes
    2. enter the desired filter text; wildcards (*) are allowed
    3. confirm the filter text with Return for it to be applied.
  3. Automatic recipe switching

    Stipulate if the recipes found when switching are also to be opened in the Recipe Editor straight away.

    Note: The first 20 recipes found is the maximum that can be opened automatically.

info Informations

When reloading Runtime, the filter settings of the prefiltering for master recipes are applied again. This also applies if the value of the filter variables changes or new recipes are added to the list that do not correspond to the filter. The list is always recreated exactly after reloading.

Filtering for control recipes

Configure:

  1. Recipe state

    Filter the control recipes according to their status. You can select several states using checkboxes or accept the filter from the calling screen.

  2. Filling the recipe list

    Stipulate if and how the list of control recipes is to be filled when called up.

  3. Prefilter

    Stipulate if recipes are to be prefiltered. You can filter according to ID, name or job ID. The filter condition is queried in Runtime using a variable

  4. Column settings
    1. in the screen switch function click on column filters for the List of the master recipes or the List of control recipes
    2. enter the desired filter text; wildcards (*) are allowed
    3. confirm the filter text with Return for it to be applied.
  5. Automatic recipe switching

    Stipulate if the recipes found when switching are also to be opened in the Recipe Editor straight away.

    Note: The first 20 recipes found is the maximum that can be opened automatically.

info Informations

When reloading Runtime, the filter settings of the prefiltering for control recipes are applied again. Instead, all control recipes that correspond to the current filter in Runtime are displayed (master recipes, status, column filter).


Variable assignment

Manuel -> Batch Control -> Engineering in the Editor -> Screen switch Batch Control -> Variable assignment

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

You link variables to elements in the recipe in this tab. This way you can display the statuses of a phase or an operation in another screen and react to these. The execution status of the recipe and the selected object can be displayed by means of string variables or numerical variables. Numerical variables are suitable, for instance, for linking to a combined element. For details on the status, see the Coding of the execution status section.

To display statuses:

  1. Create a new screen with the desired elements.
  2. Link the elements to variables
  3. Link these variables in the screen switching filter to the corresponding objects

Link variables

To link a variable:

  1. Click on the ... button
  2. The dialog for selecting a variable is opened
  3. Select the desired variable

Display

The following are displayed:

  • For the recipe that is in focus:
    • Name
    • Description
    • Status
    • Execution mode
    • Execution status
    • Recipe type
  • For the object in the recipe that is in focus (phase or operation):
    • Name
    • Description
    • Unit
    • Type
    • Status
    • Internal state
    • Start time
    • Time of the end
    • Execution counter
    • Duration of execution

Parameter

Description

Master recipe

Variable linkings for the master recipe.

Status is displayed if the recipe has the focus or a phase or operation is highlighted.

The following can be linked:

  • Name
  • Version
  • Initial version
  • Description
  • Status (text)
  • Status (numeric)

Control recipe

Variable linkings for the control recipe.

Status is displayed if the recipe has the focus or a phase or operation is highlighted.

The following can be linked:

  • Name
  • Description
  • Status (text)
  • Status (numeric)
  • Job ID (text)

Operation

Variable linkings for the operation.

Status is displayed if the recipe has the focus or a phase or operation is highlighted.

The following can be linked:

  • Name
  • Description

General

Variable linkings for general information.

Status is displayed if the recipe has the focus or a phase or operation is highlighted.

The following can be linked:

  • Execution mode (text)
  • Execution mode (numerical)
  • Execution status (text)
  • Execution status (numerical)
  • Recipe type (text)
  • Recipe type (numeric)

Selected Object

Variable linkings for the selected object (phase or operation).

Status is displayed if a phase or an operation in the recipe is highlighted.

The following can be linked:

  • Name
  • Description
  • Unit
  • Type (text)
  • Type (numeric)
  • Control strategy
  • Description of control strategy
  • control strategy number
  • Status (text)
  • Status (numeric)
  • Internal state (text)
  • Internal state (numeric)
  • Start time
  • Time of the end
  • Execution counter
  • Duration of execution

Fermer boîte de dialogue

Options | Description :
OK | Applique toutes les modifications effectuées sur tous les onglets, puis ferme la boîte de dialogue.
Annuler | Annule toutes les modifications effectuées sur tous les onglets, puis ferme la boîte de dialogue.
Aide | Ouvre l'aide en ligne.

Note: No information is displayed if several objects are highlighted.

Autres sujets abordés dans ce chapitre

Coding of the execution status


Coding of the execution status

Manuel -> Batch Control -> Engineering in the Editor -> Screen switch Batch Control -> Variable assignment -> Coding of the execution status

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Execution state

The execution state (both for the recipe and the selected object) is coded with different information:

  • Byte 0: Execution state
  • Byte 1: Status bits for the status
  • Byte 2: Type of object that is part of the status

If no recipe is opened then the string variables are empty and the numerical variables have the value 0.

Byte 0

Execution states.
The values that are possible are determined by the object type.

String | Decimal | Binary
Idle | 1 | 1
Running | 2 | 10
Executed | 3 | 11
Pause (starting from state: running) | 4 | 100
Paused | 5 | 101
Hold (starting from state: running) | 6 | 110
Hold (starting from state: Paused) | 7 | 111
Hold (starting from state: Restart) | 8 | 1000
Held | 9 | 1001
Restarting (starting from state: Held) | 10 | 1010
Stopping (starting from state: running) | 11 | 1011
Stopping (starting from state: Paused) | 12 | 1100
Stopping (starting from state: Held) | 13 | 1101
Stopped | 14 | 1110
Aborting (starting from state: running) | 15 | 1111
Aborting (starting from state: Paused) | 16 | 10000
Aborting (starting from state: Held) | 17 | 10001
Aborted | 18 | 10010

Byte 1

Status bits for the status.
The text is added to the string variable. The corresponding bits are set in the numerical variables

Value for string variable | Value for numeric variable
n elements in different states | 0b00000001
Waiting for n element(s) | 0b00000010

Byte 2

Type of object that is part of the status.
For numerical variables only.

Decimal | Binary | Meaning
1 | 1 | Recipe
2 | 10 | Phase
3 | 11 | Operation object in the recipe

Autres sujets abordés dans ce chapitre

Master recipe

Control recipe

Operation

General

Selected Object


Master recipe

Manuel -> Batch Control -> Engineering in the Editor -> Screen switch Batch Control -> Variable assignment -> Coding of the execution status -> Master recipe

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Master recipe

Name

Name of the currently-opened master recipe or the master recipe that belongs to the currently-opened control recipe or operation.

Description

Description of the currently-opened master recipe or the master recipe that belongs to the currently-opened control recipe or operation.

Status (text and numeric)

Status of the currently-opened master recipe or the master recipe that belongs to the currently-opened control recipe or operation.

Variable values:

String | Decimal | Binary
No recipe in active view | 0 | 0
Creation (not visible) | 1 | 1
Edit mode | 2 | 10
Released | 3 | 11
Test mode | 4 | 100
Test in execution | 5 | 101
Terminated with error | 6 | 110
Outdated | 9 | 1001


Control recipe

Manuel -> Batch Control -> Engineering in the Editor -> Screen switch Batch Control -> Variable assignment -> Coding of the execution status -> Control recipe

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Control recipe

Name

Name or selection of the control recipe. The recipe must be open and have the focus. Is filled in the control recipe and in the operation instance in the control recipe.

Description

Description of the currently-selected control recipe. The recipe must be open and have the focus. Is filled in the control recipe and in the operation instance in the control recipe.

Status (text and numeric)

Status of the currently-selected control recipe. The recipe must be open and have the focus. Is filled in the control recipe and in the operation instance in the control recipe.

Variable values:

String | Decimal | Binary
no control recipe active | 0 | 0
Creation (not visible) | 1 | 1
Prepared | 2 | 10
In execution | 3 | 11
Executed | 4 | 100
Terminated with error | 5 | 101
Outdated | 7 | 111


Operation

Manuel -> Batch Control -> Engineering in the Editor -> Screen switch Batch Control -> Variable assignment -> Coding of the execution status -> Operation

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Operation

Name

Name of the operation that is currently open. Is filled in the operation template and in the operation instance.

Description

Description of the operation currently open. Is filled in the operation template and in the operation instance.


General

Manuel -> Batch Control -> Engineering in the Editor -> Screen switch Batch Control -> Variable assignment -> Coding of the execution status -> General

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
General

Attention: The content of these variables is not compatible between zenon 7.10 and 7.11.

Execution mode (text and numeric)

Currently-set execution mode for the currently-selected recipe. Is filled for all recipe cycles.

Variable values:

String | Decimal | Binary
Automatic | 1 | 01
Semi-automatic | 2 | 10
Manual | 3 | 11

Execution status (text and numeric)

Status of the recipe

Byte 0

Variable values:

String | Decimal | Binary
Idle | 1 | 1
In execution | 2 | 10
Executed | 3 | 11
Pausing (starting from state: running) | 4 | 100
Paused | 5 | 101
Holding (starting from state: running) | 6 | 110
Held | 9 | 1001
Restarting (starting from state: Held) | 10 | 1010
Stopping (starting from state: running) | 11 | 1011
Stopped | 14 | 1110
Aborting (starting from state: running) | 15 | 1111
Aborted | 18 | 10010

Byte 1

Value for string variable | Value for numeric variable
n elements in different states | 0b00000001
Waiting for n element(s) | 0b00000010

Byte 2

Object type. For the numerical value only

Decimal | Binary | Meaning
1 | 1 | Recipe

Recipe type (text and numeric)

Recipe type of the current selected recipe. Is filled for all recipe cycles.

Variable values:

String | Decimal |  | Binary
Master recipe |  | 1 | 1
Control recipe |  | 2 | 10
Operation template |  | 4 | 100
Operation instance in the master recipe |  | 9 | 1001
Operation instance in the control recipe |  | 10 | 1010


Selected Object

Manuel -> Batch Control -> Engineering in the Editor -> Screen switch Batch Control -> Variable assignment -> Coding of the execution status -> Selected Object

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Selected Object

The variables for the selected object always contain data if a single phase or a single operation was selected in the currently-selected operation. It is filled for all recipe types. If no object or several objects are selected, then the string variables are empty and the numerical values are 0.

Name

Is filled with the name of the phase or the operation.

Description

Is filled with the description of the phase of the operation.

Unit

Is filled with the name of the unit of the selected phase.

Type (text and numeric)

Variable values:

String | Decimal | Binary
Phase | 3 | 11
Operation | 13 | 1101

Status (text and numeric)

Is filled with the current execution status of the element.

Value for a phase

Byte 0

Variable values:

String | Decimal | Binary
Idle | 1 | 1
Running | 2 | 10
Executed | 3 | 11
Pausing (Starting from state: running) | 4 | 100
Paused | 5 | 101
Holding (Starting from state: running) | 6 | 110
Holding (Starting from state: Paused) | 7 | 111
Holding (Starting from state: Restarting) | 8 | 1000
Held | 9 | 1001
Restarting (Starting from state: Held) | 10 | 1010
Stopping (Starting from state: running) | 11 | 1011
Stopping (Starting from state: Paused) | 12 | 1100
Stopping (Starting from state: Held) | 13 | 1101
Stopped | 14 | 1110
Aborting (Starting from state: running) | 15 | 1111
Aborting (Starting from state: Paused) | 16 | 10000
Aborting (Starting from state: Held) | 17 | 10001
Aborted | 18 | 10010

Byte 1:

Always empty.

Byte 2:

Object type. For the numerical value only

Variable values:

Decimal | Binary | Meaning
2 | 10 | Phase

Value for an operation instance

Byte 0

Variable values:

String |  | Decimal | Binary
Idle | 1 |  | 1
Running | 2 |  | 10
Executed | 3 |  | 11
Pausing (Starting from state: running) | 4 |  | 100
Paused | 5 |  | 101
Holding (Starting from state: running) | 6 |  | 110
Held | 9 |  | 1001
Restarting (Starting from state: Held) | 10 |  | 1010
Stopping (Starting from state: running) | 11 |  | 1011
Stopping (Starting from state: Paused) | 12 |  | 1100
Stopping (Starting from state: Held) | 13 |  | 1101
Stopped | 14 |  | 1110
Aborting (Starting from state: running) | 15 |  | 1111
Aborting (Starting from state: Paused) | 16 |  | 10000
Aborting (Starting from state: Held) | 17 |  | 10001
Aborted | 18 |  | 10010

Byte 1

Value for string variable | Value for numeric variable
n elements in different states | 0b00000001

The bit is always set if there are objects in the operation with a different status to that of the operation. Idle and finished are not included in this.

Byte 2:

Object type. For the numerical value only.

Variable values:

Decimal | Binary | Meaning
3 | 11 | Operation in the recipe.

Internal status (text and numeric)

Is filled with the internal execution status of the selected element.

Composition of the internal status:

  • Byte 0: Status
  • Byte 1: Status Bits
  • Byte 2: Object type

Value for a phase

Byte 0

Internal status. The text can be different for other objects.

Variable values:

String |  | Decimal | Binary
Idle | 1 |  | 1
Waiting for phase to be ready for starting | 2 |  | 10
Waiting for unit allocation | 3 |  | 11
Waiting for the unit allocation - timeout | 4 |  | 100
Waiting for exclusive execution | 5 |  | 101
Waiting for input interlocking | 6 |  | 110
Waiting for the input interlocking - timeout | 7 |  | 111
Waiting for phase done condition | 8 |  | 1000
Waiting for phase done condition - timeout | 9 |  | 1001
Waiting for phase done condition - error writing value | 10 |  | 1010
Waiting for minimum execution period | 11 |  | 1011
Wait until recipe has status "running" | 12 |  | 1100
Waiting for following conditions | 13 |  | 1101
Waiting for following condition - timeout | 14 |  | 1110

Byte 1

Status. For numerical variables only.

Variable values:

Decimal | Binary | Meaning
00000001 | 1 | There is an execution error.
00001000 | 8 | There is a communication error.
00010000 | 16 | Loss of communication fixed.
01000000 | 64 | Communication reestablished.

With the phase, only one of the bits can be active for the communication error. With an operation a bit is always set if it is relevant to at least one internal phase.

Byte 2

Object type. For the numerical value only.

Variable values:

Decimal | Binary | Meaning
3 | 11 | Operation in the recipe.

Possibilities for phase

Byte 0

All possibilities.

Byte 1

All possibilities.

Byte 2

Value for numeric variable |  | Meaning
Decimal | Binary
2 | 10 | Phase

Possibilities for operation instances

Byte 0

Variable values:

String | Decimal | Binary
Idle | 1 | 1
Execution of the internal objects | 8 | 1000
Waiting for following conditions | 13 | 1101

Byte 1

Always empty.

Byte 2

Variable values:

Decimal | Binary | Meaning
3 | 11 | Operation in the recipe.

Start time

Time at which the execution of the selected object has started.

Time of the end

Time at which the execution of the selected object has finished.

Duration of execution

Time period that has expired during the execution.

Execution counter

Number denoting how often the element was executed


Tag list settings

Manuel -> Batch Control -> Engineering in the Editor -> Screen switch Batch Control -> Tag list settings

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Two parameter lists with identical options are available. These can be configured and used individually.

The parameter lists are created in the screen and configured in screen switching.

Tag List 1

Parameter

Description

Tag List 1

Display of the configured lists. The columns can:

  • be filtered
  • have their width changed by dragging the column title with the mouse
  • be arranged by means of Drag&Drop with the mouse

Column selection

A dialog for choosing the columns which shall be displayed is opened

Column format

Opens a dialog to format the columns.

Display command tag

Selection of the command parameters which should be displayed. Possible selection by activating the checkboxes:

  • Modifiable dans la recette principale:
    Command tags for which the Modifiable dans la recette principale option has been set in the Editor are displayed.
  • Modifiable dans une recette de contrôle :
    Command tags for which the Modifiable dans une recette de contrôle option has been set in the master recipe are displayed.
  • Changeable in the current recipe type:
    Command tags that can be changed in the current recipe type are displayed.
  • Cannot be changed in the master recipe:
    Command tags for which the Modifiable dans la recette principale option has not been set in the Editor are displayed.
  • Not changeable in the control recipe
    Command tags for which the Modifiable dans une recette de contrôle option has not been set in the master recipe are displayed.
  • Cannot be changed in the current recipe type:
    Command tags that cannot be changed in the current recipe type are displayed.

As many connections as desired can be configured. Activating all checkboxes leads to all command parameters being displayed.

Display return tags

Active: Return parameters are displayed:

Variable for displaying the number of entries

Allows the linking of a variable that contains the number of parameters displayed in the list in Runtime.

Click on button ... opens the dialog for selecting variables.

Tag List 2

Parameter | Description
Tag List 2 | Parameter list 2 with identical configuration possibilities to Parameter Tag 1.

Fermer boîte de dialogue

Options | Description :
OK | Applique toutes les modifications effectuées sur tous les onglets, puis ferme la boîte de dialogue.
Annuler | Annule toutes les modifications effectuées sur tous les onglets, puis ferme la boîte de dialogue.
Aide | Ouvre l'aide en ligne.

The tag lists are recreated in Runtime if:

  • A different element is selected in the recipe
  • The selected phase was edited
  • The recipe was saved (even if the client has saved it)

info Informations

Backward compatibility for displaying command parameters:

The option was expanded with version 7.11 and changed from radio buttons to checkboxes. For backward compatibility, this means:

Backward compatible writing is possible if:

Only one checkbox is set for the changeable parameters

or the combination of all checkboxes lets all parameters through

If the combination of the checkboxes results in a setting that was not previously configurable with zenon 7.10 or earlier, no parameters are displayed in the list.


Keyboards

Manuel -> Batch Control -> Engineering in the Editor -> Keyboards

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Parameters can be amended in Runtime. Adapted keyboards are available for this.

Keyboards for Batch Control

You define keyboards for use in the Batch Control module in general in the properties for the module in the Modifier tag/Claviers group. Define the desired keyboards for:

  • Tags binaires
  • Tags numériques
  • Tags de chaîne
  • Tags de durée

With the Justification de la modification de valeur nécessaire property, you can also stipulate that each value change must have a reason. If this property is active, a dialog to enter the reason is opened before the change is made.

Behavior in Runtime

In Runtime, double-clicking opens the entry of a list of the respective linked keyboard. Clicking in different columns can also open different keyboards.

Keyboard for writing set value for parameter

You define keyboards for writing set values for individual parameters in the properties of the respective parameter in the Écrire valeur prescrite/Claviers group. To do this:

  1. Navigate to the Écrire valeur prescrite group in the parameter properties.
  2. Activate, in the Claviers subgroup, the Utiliser le synoptique clavier property
  3. In the Synoptique clavier property, define which keyboard screen is to be called up in Runtime

Using a keyboard

Values can be edited in the master recipe and in the control recipe if the recipe status and the parameter settings allow this. The minimum and maximum can only be changed in the master recipe and only for numerical parameters and duration parameters.

The following applies for the use of keyboards Batch Control screens:

  • Only one keyboard can be active at a time. If a new one is called up, the previous one is closed.
  • If the keyboard is active and the mouse is double-clicked with the pointer in a column in which nothing can be changed, nothing happens.
  • The following is applicable to value, minimum and maximum of a parameter:
    • If a parameter itself is linked to a keyboard, this is used.
    • If no keyboard is linked to the parameter, the keyboard that is generally linked to Batch Control in the Modifier tag group is used.
    • If a keyboard is linked to the parameter, but this is no longer available, the keyboard that is also generally linked to Batch Control in the Modifier tag group is used.
    • No keyboard is opened if this also does not exist.
  • Keyboards for binary inputs can be provided using the On, Off and Toggle keys.
  • When switching the units of measurement, the min/max values and the unit name are sent to the system variables again.
  • For the Changeable in control recipe property, the keyboard for Tags binaires defined in the Modifier tag group is searched for. If none is linked, then a search is carried out for a keyboard with the standard name SETBOOLKBD. No keyboard is opened if this also does not exist.
  • Keyboards that are directly linked to the parameter can no longer be changed after a recipe has been approved. If the keyboard linked to the parameter is deleted, only the keyboard defined in the Modifier tag group can be used.


zenon functions

Manuel -> Batch Control -> Engineering in the Editor -> zenon functions

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

With zenon functions, control commands can be sent to the batch execution and pre-defined control recipes can be created:

  • Execute recipe command or mode switch: sends control commands to batch execution
  • Create a control recipe: creates in Runtime, a recipe that has been pre-defined in the Editor
  • Export batch recipes: exports recipes as an XML file.
  • Import batch recipes: imports recipes as an XML file.

Autres sujets abordés dans ce chapitre

Export Batch recipes

Import Batch recipes

Execute recipe command change or mode change

Create control recipe function


Export Batch recipes

Manuel -> Batch Control -> Engineering in the Editor -> zenon functions -> Export Batch recipes

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Recipes can be exported to an XML file with the Exporter les recettes batch function. To create the function:

  1. In the zenon Editor, navigate to the Functions node
  2. Select New function
  3. Go to the Batch Control in the function selections
  4. select Exporter les recettes batch
  5. the dialog for configuring functions is opened

Use recipe filter for

Parameter

Description

Use recipe filter for

Selection of what the recipe filter is applied to:

  • Master recipe
  • Control recipe

The filter is processed from top to bottom For example, version is only applied to the recipes found in the master recipe filter.

Master recipe

Active: It is filtered on Master recipes.

Control recipe

Active : le filtrage est effectué sur la base des recettes de contrôle.

Remarque : les recettes principales associées doivent également être sélectionnées. Si aucune recette principale n'a été sélectionnée pour la recette de contrôle, le filtre ne pourra pas trouver la recette recherchée dans le Runtime.

Conseil : Si la recette principale n'est pas connue, il est recommandé de filtrer toutes les recettes principales avec un opérateur.

Recipe Filter

Parameter

Description

Recipe Filter

Configuration of the recipe filter

Master recipe

Paramètres de sélection de la recette principale. Sélection dans la liste déroulante :

  • Nom avec caractères génériques :
    Un nom contenant un opérateur peut être saisi dans le champ de saisie. Un filtrage est effectué en fonction du nom.
  • Nom issu de la variable :
    Le nom de la recette principale est défini par une variable dans le Runtime. Cliquez sur le bouton ... Ouvre la boîte de dialogue de sélection de variables.

Identifiant par une variable :
L'identifiant de la recette principale est défini par une variable dans le Runtime. Cliquez sur le bouton ... Ouvre la boîte de dialogue de sélection de variables.

Version

Sélectionnez la version souhaitée dans la liste déroulante.

  • Tout :
    La version indiquée n'est pas prise en compte et chaque version trouvée est utilisée.
  • Version fixe :
    Ce paramètre effectue un filtrage en fonction des versions indiquées dans ce champ.
    Version maximale possible : 4294967295
  • Version issue d'une variable :
    La version de la recette principale est défini par une variable dans le Runtime. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de variables.
  • Uniquement la version la plus ancienne :
    Seule la recette comportant le numéro de version le plus ancien est utilisée.
  • Uniquement la version la plus récente :
    Seule la recette comportant le numéro de version le plus récent est utilisée.

State master recipe

Status of the master recipe. Select from drop-down list.

When selecting master recipes for recipe filters:

  • All
  • Edit mode
  • Released
  • Test mode
  • Test running
  • Terminated with error
  • Outdated

When selecting control recipes for recipe filters:

  • Released or outdated
  • Released
  • Outdated

Apply to found recipes

Definition of which master recipes the filter is applied to. Select from drop-down list:

  • All
  • Only oldest ID
  • Only newest ID

Control recipe

Paramètres de sélection de la recette de contrôle. Sélectionnez dans la liste déroulante :

  • Nom avec caractères génériques :
    Un nom contenant un opérateur peut être saisi dans le champ de saisie. Un filtrage est effectué en fonction du nom.
  • Nom issu de la variable :
    Le nom de la recette de contrôle est défini par une variable dans le Runtime. Cliquez sur le bouton ... Ouvre la boîte de dialogue de sélection de variables.
  • Identifiant par une variable :
    L'identifiant de la recette principale est défini par une variable dans le Runtime. Cliquez sur le bouton ... Ouvre la boîte de dialogue de sélection de variables.
    Une recette peut être identifiée avec précision si la valeur de la variable à l'heure de l'exécution est un identifiant valide d'une recette de contrôle.

Identifiant de tâche issu d'une variable :
Trouve les recettes de contrôle ayant le numéro d’identifiant de tâche donné. Tout type de variable pouvant être lié. La valeur est automatiquement convertie en variable STRING.

State control recipe

Definition of which recipe status the filter is applied to. Select from drop-down list:

  • All
  • Prepared
  • In execution
  • Executed
  • Terminated with error
  • Outdated

Apply to found recipes

Definition of which control recipes the filter is applied to. Select from drop-down list:

  • All
  • Only oldest ID
  • Only newest ID

Note: Only the respective IDs are taken into account for master recipes and control recipes. The search for control recipes can find several recipes with this filter. This filter must also be activated for the master recipes for a unique result.

Operation

Parameters for the selection of the operation. Select from drop-down list:

  • Name with wildcards:
    A name with placeholder can be entered into the input field. Filtering according to this name is carried out.
  • Name from variable:
    The name of the operation is defined by a variable in Runtime. Click on button ... opens the dialog for selecting variables.
  • ID from variable:
    The ID of the operation is defined by a variable in Runtime. Click on button ... opens the dialog for selecting variables.
    Precisely one recipe can be found if the variable value at the time of execution is a valid ID of an operation.

Status operation

Definition of which recipe status the filter is applied to. Select from drop-down list:

  • All
  • Edit mode
  • Released
  • Outdated

Apply to found recipes

Definition of which operations the filter is applied to. Select from drop-down list:

  • All
  • Only oldest ID
  • Only newest ID

Output file

Selection of the file name and the save location.

Naming
  • File name: The name of the XML file can be entered manually or when selecting a file from the respective save path.
  • File name from variable: The name of the XML file is taken from the linked variable.
  • Create file name from recipe name: The name of the XML file is made up of the recipe type, recipe name and recipe version.
  • Create file name from recipe ID: The name of the XML file is made up of the recipe type and recipe ID.

Overwrite existing file

Active: If there are naming conflicts, the pre-existing XML file is overwritten with the names.

Note: Files without a path will be created in the export folder

Files without the path stated will be automatically created in the export folder.

Show this dialog in the Runtime

Active: The dialog is shown in Runtime and can be operated.

OK

Applique les paramètres et ferme la boîte de dialogue.

Cancel

Discards all changes and closes the dialog.

Help

Ouvre l'aide en ligne.


Import Batch recipes

Manuel -> Batch Control -> Engineering in the Editor -> zenon functions -> Import Batch recipes

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Recipes can be imported to an XML file with the Importer les recettes batch function. To create the function:

  1. In the zenon Editor, navigate to the Functions node
  2. Select New function
  3. Go to the Batch Control in the function selections
  4. select Importer les recettes batch
  5. the dialog for configuring functions is opened

import source

Parameter | Description
File name | Imports the XML file with the selected file name.
From variable | Imports the XML file from the linked variable.

Import options

Parameter

Description

Action for name conflicts in master recipes

Selection of a master recipe name that already exists.

Create new recipe

Creates a new recipe with the name.

Overwrite old recipe

Overwrites an existing recipe with the name.

Create new version

Creates a new version of the recipe.

Skip

Skips this step.

Action in the event of naming conflicts in control recipes/operations

Selection when issuing a control recipe or operation that already exists.

Create new recipe

Creates a new recipe with the name.

Overwrite old recipe

Overwrites an existing recipe with the name.

Create new version

Creates a new version of the recipe.

Skip

Skips this step.

Job ID for new control recipes

Job ID for newly-created control recipe

Link individual job variable

Links an individual order variable for each control recipe

Apply value from job variable in the event of

The value from the job variable is taken with

  • Starting control recipe
  • Creating control recipe

Show this dialog in the Runtime

This dialog can also be operated in Runtime.


Execute recipe command change or mode change

Manuel -> Batch Control -> Engineering in the Editor -> zenon functions -> Execute recipe command change or mode change

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

You can send control commands to the batch execution with this function. To create the function:

  1. In the zenon Editor, navigate to the Functions node
  2. Select New function
  3. Go to the Batch Control in the function selections
  4. select Exécuter commande/changement de mode de la recette
  5. the dialog for configuring functions is opened

Action

Parameter

Description

Action

Selection of the action to be executed:

  • Command
  • Mode

Command

Selection of the command to be executed from drop-down list:

  • Ignore
  • Start recipe
  • Recipe pausing
  • Recipe resuming
  • Recipe holding
  • Restart recipe
  • Recipe stopping
  • Recipe aborting

Mode

Selection of the mode to which the recipe is to be switched:

  • Ignore
  • Automatic
  • Semi-automatic
  • Manual

Use recipe filter for

Parameter

Description

Use recipe filter for

Selection of what the recipe filter is applied to:

  • Master recipe
  • Control recipe

The filter is processed from top to bottom For example, version is only applied to the recipes found in the master recipe filter.

Master recipe

Active: It is filtered on Master recipes.

Control recipe

Active : le filtrage est effectué sur la base des recettes de contrôle.

Remarque : les recettes principales associées doivent également être sélectionnées. Si aucune recette principale n'a été sélectionnée pour la recette de contrôle, le filtre ne pourra pas trouver la recette recherchée dans le Runtime.

Conseil : Si la recette principale n'est pas connue, il est recommandé de filtrer toutes les recettes principales avec un opérateur.

Recipe Filter

Parameter

Description

Recipe Filter

Configuration of the recipe filter

Master recipe

Paramètres de sélection de la recette principale. Sélection dans la liste déroulante :

  • Nom avec caractères génériques :
    Un nom contenant un opérateur peut être saisi dans le champ de saisie. Un filtrage est effectué en fonction du nom.
  • Nom issu de la variable :
    Le nom de la recette principale est défini par une variable dans le Runtime. Cliquez sur le bouton ... Ouvre la boîte de dialogue de sélection de variables.
  • Identifiant par une variable :
    L'identifiant de la recette principale est défini par une variable dans le Runtime. Cliquez sur le bouton ... Ouvre la boîte de dialogue de sélection de variables.

Version

Sélectionnez la version souhaitée dans la liste déroulante.

  • Tout :
    La version indiquée n'est pas prise en compte et chaque version trouvée est utilisée.
  • Version fixe :
    Ce paramètre effectue un filtrage en fonction des versions indiquées dans ce champ.
    Version maximale possible : 4294967295
  • Version issue d'une variable :
    La version de la recette principale est défini par une variable dans le Runtime. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de variables.
  • Uniquement la version la plus ancienne :
    Seule la recette comportant le numéro de version le plus ancien est utilisée.
  • Uniquement la version la plus récente :
    Seule la recette comportant le numéro de version le plus récent est utilisée.

State master recipe

Status of the master recipe. Select from drop-down list.

When selecting master recipes for recipe filters:

  • All
  • Test mode
  • Test running

When selecting control recipes for recipe filters:

  • Released or outdated
  • Released
  • Outdated

Apply to found recipes

Definition of which master recipes the filter is applied to. Select from drop-down list:

  • All
  • Only oldest ID
  • Only newest ID

Control recipe

Paramètres de sélection de la recette de contrôle. Sélectionnez dans la liste déroulante :

  • Nom avec caractères génériques :
    Un nom contenant un opérateur peut être saisi dans le champ de saisie. Un filtrage est effectué en fonction du nom.
  • Nom issu de la variable :
    Le nom de la recette de contrôle est défini par une variable dans le Runtime. Cliquez sur le bouton ... Ouvre la boîte de dialogue de sélection de variables.
  • Identifiant par une variable :
    L'identifiant de la recette principale est défini par une variable dans le Runtime. Cliquez sur le bouton ... Ouvre la boîte de dialogue de sélection de variables.
    Une recette peut être identifiée avec précision si la valeur de la variable à l'heure de l'exécution est un identifiant valide d'une recette de contrôle.
  • Identifiant de tâche issu d'une variable :
    Trouve les recettes de contrôle ayant le numéro d’identifiant de tâche donné. Tout type de variable pouvant être lié. La valeur est automatiquement convertie en variable STRING.

State control recipe

Definition of which recipe status the filter is applied to. Select from drop-down list:

  • All
  • Prepared
  • Running

Apply to found recipes

Definition of which control recipes the filter is applied to. Select from drop-down list:

  • All
  • Only oldest ID
  • Only newest ID

OK

Applique les paramètres et ferme la boîte de dialogue.

Cancel

Discards all changes and closes the dialog.

Help

Ouvre l'aide en ligne.


Create control recipe function

Manuel -> Batch Control -> Engineering in the Editor -> zenon functions -> Create control recipe function

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

With the help of the Create control recipe function, a pre-defined control recipe can be created in the Editor in Runtime. To create the function:

  1. In the zenon Editor, navigate to the Functions node.
  2. Select New function.
  3. Go to the Batch Control in the function selections.
  4. Select Créer une recette de contrôle.

    The dialog for configuring functions is opened.

Configuration dialog

Recipe Filter

Parameter

Description

Recipe Filter

Configuration of the recipe filter

The filter is processed from top to bottom For example, version is only applied to the recipes found in the master recipe filter.

Master recipe

Paramètres de sélection de la recette principale. Sélection dans la liste déroulante :

  • Nom avec caractères génériques :
    Un nom contenant un opérateur peut être saisi dans le champ de saisie. Un filtrage est effectué en fonction du nom.
  • Nom issu de la variable :
    Le nom de la recette principale est défini par une variable dans le Runtime. Cliquez sur le bouton ... Ouvre la boîte de dialogue de sélection de variables.
  • Identifiant par une variable :
    L'identifiant de la recette principale est défini par une variable dans le Runtime. Cliquez sur le bouton ... Ouvre la boîte de dialogue de sélection de variables.

Version

Sélectionnez la version souhaitée dans la liste déroulante.

  • Tout :
    La version indiquée n'est pas prise en compte et chaque version trouvée est utilisée.
  • Version fixe :
    Ce paramètre effectue un filtrage en fonction des versions indiquées dans ce champ.
    Version maximale possible : 4294967295
  • Version issue d'une variable :
    La version de la recette principale est défini par une variable dans le Runtime. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de variables.
  • Uniquement la version la plus ancienne :
    Seule la recette comportant le numéro de version le plus ancien est utilisée.
  • Uniquement la version la plus récente :
    Seule la recette comportant le numéro de version le plus récent est utilisée.

Apply to found recipes

Definition of which recipes the filter is applied to. Selection of ID from drop-down list:

  • All
  • Only oldest ID
  • Only newest ID

Control recipe name

Parameter

Description

Control recipe name

Configuration of the name of the control recipe.

Control recipe name

Selection of the naming from the drop-down list:

  • Automatic name: Name is automatically issued on creation
  • Name from variable: Name is taken from a variable. Click on button ... in order to open the dialog for selecting a variable.
    If there is already a recipe with the name that has been transferred from the variable, no new control recipe is created.

Job ID

Parameter

Description

Job ID

Configuration of the Job ID.

Link individual job variable

Active: A job variable can be linked. The variable must already be configured. Selection of the variable from the drop-down list:

Apply value from job variable

Definition of the time at which the job ID is transferred. During:

  • Starting control recipe
  • Creating control recipe

OK

Applique les paramètres et ferme la boîte de dialogue.

Cancel

Discards all changes and closes the dialog.

The function is nevertheless created, however without a defined target.

Help

Ouvre l'aide en ligne.

All filters always have an effect on a group of recipes with the same name. Depending on the configuration, more than one recipe can remain left over.
For example: Recipes with the *Test filter are searched for. The result is 5 versions of Test_1 and 3 versions of Test_2. If filtering for the latest version is continued, then two control recipes are created, one each for the recipe with the highest version number per group.

Remarque concernant la sélection de variables en fonction du nom ou de l'identifiant : Pour la sélection de variables en fonction de leur nom ou leur identifiant, il est possible de sélectionner des variables numériques ou string, respectivement. Les types de données sont convertis au format correct correspondant.


Conversion

Manuel -> Batch Control -> Conversion

If the version of zenon is changed, all recipes must be ended before converting the project.

Recipes that are running continue to be executed after a restart. The restart only functions within the same zenon version.


Configure and control in the Runtime

Manuel -> Batch Control -> Configure and control in the Runtime

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

The entire management, creation and processing of the recipes is done in the Runtime. Editing in the zenon Editor is not possible.

Note: Runtime files up to and including version 7.00 SP0 are not compatible with subsequent versions. Versions from version 7.10 and later are compatible.

Synchronization

When loading, opening, duplicating and approving a recipe or operation, a check is made to see if the configuration of units, phases etc. has been changed in the superordinate instance, such as the Editor. For details, see the Synchronization chapter.

Selection procedure in lists:

  • Ctrl+A: selects all elements
  • Ctrl+mouse click: adds master recipe to the existing selection
  • Key Shift+mouse click: Extends selection from the currently selected master recipe to the clicked master recipe

Saving of recipes when closing Runtime

If Runtime is closed and there are still recipes that have not been saved, you are asked if these recipes are to be saved. In order for this query to not prevent Runtime closing, Runtime is automatically closed after 15 seconds if nothing is entered. Unsaved recipes are then discarded.

Autres sujets abordés dans ce chapitre

User interface

Engineering rules for recipes

Recipe types

Master recipes

Operations

Control strategies

Control recipe

Validate recipe

Recipe execution

Manage recipes

Synchronization


User interface

Manuel -> Batch Control -> Configure and control in the Runtime -> User interface

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

The user interface of the editor in Runtime can be configured with toolbars and dockable windows.

Example: User interface with list of the master recipes, list of the control recipe, list of the operation and PFC editor:

Switching positions

The position in the recipe is adapted depending on the recipe and status of the recipe:

  • When opening a currently-running recipe:

    It is centered on the first active element. The first active element is the one that is at the top. If there are several active elements in the same line, the element that is furthest to the left is selected. Elements with execution positions before or after this are handled the same as the active ones in this case.

  • When a recipe is first opened

    Centering is on the start of the recipe. In a PFC recipe, centering is on the start element. A matrix recipe is opened in such a way that the upper left corner is visible.

Tool tip

A tool tip informs you about the current and historical events of an element.

The following is displayed:

  • Element name
  • General information about status and number of executions.
    Note: The counter becomes active if the phase is reactivated, including if the status is restarting, but the restart condition has not yet been run through.
  • Error
  • Total duration including times in status Paused.
  • Timing

Autres sujets abordés dans ce chapitre

Control elements of the recipe editor

Graphical design

Status line


Control elements of the recipe editor

Manuel -> Batch Control -> Configure and control in the Runtime -> User interface -> Control elements of the recipe editor

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

The following are available for the editor:

  • Toolbars (can be hidden)
  • Tabs
  • Dockable windows

Toolbars

There are independent toolbars available in the Recipe editor for each type of recipe and the different status. For details, see the Matrix recipe toolbars and Toolbars and PFC recipe context menu chapters. All actions of the individual symbols can also be engineered using their own buttons in the screen. If the toolbars are thus not needed, they can be displayed or hidden using the settings in the zenon Editor.

To show/hide toolbars:

  1. In the zenon Editor, highlight the Recipe editor control element in the Batch Control screen
  2. Go to the property group Affichage\Affiche les éléments de contrôle d'Editor.
  3. Activate or deactivate the Barres d'outils checkbox.

Autres sujets abordés dans ce chapitre

Tabs in the recipe editor

Dockable windows


Tabs in the recipe editor

Manuel -> Batch Control -> Configure and control in the Runtime -> User interface -> Control elements of the recipe editor -> Tabs in the recipe editor

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

If several recipes are open in the recipe editor, these are represented with tabs. Recipes can be displayed and opened in two groups next to each other or underneath each other. To open a recipe in a new group:

  1. In the context menu of the recipe, select the horizontal neighboring group or vertical neighboring group command
  2. Select the type of display:
    • Move
    • Open in parallel

The control elements are always only applicable to the active recipe of the active group.

  • The active group is emphasized in color.
  • The active tab is emphasized with bold font. Information on the active tab is shown in the title bar of the editor.
  • Tabs can be moved and arranged by dragging & dropping, including between groups.

Tab context menu

Parameter

Description

Save

Saves changes in the recipe.

Close

Closes the recipe.

Close all others

Closes all other open recipes. Only the recipe in which the context menu was activated remains open.

Group horizontally

Opens the recipe in a new group below the other recipes.

  • Move display: The recipe is moved and the upper group is removed.
  • Move display parallel. The recipe is displayed in parallel in both groups.

Group vertically

Opens the recipe in a new group to the right of the active group.

  • Move display: The recipe is moved and removed from the left group.
  • Move display parallel. The recipe is displayed in parallel in both groups.


Dockable windows

Manuel -> Batch Control -> Configure and control in the Runtime -> User interface -> Control elements of the recipe editor -> Dockable windows

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

In the recipe editor, three windows can be shown, positioned and docked as desired:

  • List of master recipes
  • List of control recipes
  • List of operations

For details on the selection and positioning, see the Selection and positioning chapter.

The settings are saved individually for each computer and user.

Show/hide list

The list of dockable windows can be displayed or hidden by means of settings in the zenon Editor.

To show/hide the list:

  1. In the zenon Editor, highlight the Recipe editor comment area in the Batch Control screen
  2. go to property group Affichage\Affiche les éléments de contrôle d'Editor
  3. Activate or deactivate the Fenêtres ancrables checkbox

Examples

Additional list of the operations shown in the Recipe Editor:

Additional list of master recipes, control recipes and operations shown in the Recipe Editor:

Lists of master recipes, control recipes and operations shown in the Recipe Editor:

Autres sujets abordés dans ce chapitre

Selection and positioning


Selection and positioning

Manuel -> Batch Control -> Configure and control in the Runtime -> User interface -> Control elements of the recipe editor -> Dockable windows -> Selection and positioning

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Selection and positioning

To show and dock the window in the Editor:

  • Select the desired window using the drop-down list of the Selection of dockable windows
  • move the window to the desired position
  • Locate this with the positioning aid

The Selection of dockable windows is located at the right edge of the status bar of the Editor. Clicking on the symbol opens the list of dockable windows. Selection is carried out by activating/deactivating the checkboxes.

Aides au positionnement

Lors du déplacement de fenêtres depuis l’interface d’Editor, les aides au positionnement sont affichées. Celles-ci représentent les fenêtres ou leurs bordures.

Cet élément représente la zone d’une fenêtre dans Editor.

Cet élément représente la bordure d’une fenêtre dans Editor.

Positionner la fenêtre

Pour positionner un élément en tant qu’élément ancré :

  1. A l’aide de la souris, déplacez l’élément vers la zone souhaitée...
  2. L’aide au positionnement est affichée.
  3. Ceci représente une fenêtre et ses zones :
    1. Centre : fenêtre entière
    2. Haut : moitié supérieure
    3. Bas : moitié inférieure
    4. Droite : moitié droite
    5. Gauche : moitié gauche

    ...Ou vers le bord de la fenêtre d’Editor.

  4. Déplacez la souris vers l’aide au positionnement centrale ou vers une aide au positionnement située sur la bordure d’Editor, puis déplacez-la vers la zone souhaitée.
  5. La zone d’Editor dans laquelle l’élément a été placé lorsque le bouton de la souris a été relâché est colorée en bleu.
  6. Déplacez la souris dans l’aide au positionnement jusqu’à atteindre la zone souhaitée, affichée en bleu
  7. Relâchez le bouton de la souris pour placer l’élément.

Si une fenêtre est placée sur une fenêtre existante, les deux fenêtres sont affichées au même emplacement, à l’aide d’onglets.

Note: You can read more about positioning in the chapter on the zenon Editor in the User interface/Positioning windows section.


Graphical design

Manuel -> Batch Control -> Configure and control in the Runtime -> User interface -> Graphical design

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Clicking on the symbol for the graphic design in the tool bar opens the dialog for configuring the colors, grid settings and display of the element ID.

Parameters

Description

Background color

Defines the background color of the diagram. Click on the color in order to open the palette for selecting a color.

Display grid
  • Active: Display the grid
  • Inactive: Grid is hidden.

Can only be configured for PFC recipes.

Grid color

Defines the line color of the grid. Click on the color in order to open the palette for selecting a color.

Display element ID

Inactive: No element ID is shown in the recipe.
Note: This setting is recommended for normal operation.

Active: The ID of the elements is displayed in the recipe. The exception is lines. The display is in the upper left-hand corner of the element.
Note: This setting is recommended for troubleshooting.

OK

Applies all settings and closes the dialog.

Cancel

Discards all changes and closes the dialog.


Status line

Manuel -> Batch Control -> Configure and control in the Runtime -> User interface -> Status line

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

The status line is automatically adapted to each recipe that contains the focus and initialized with its data. The status line the following is displayed:

  • Mode of the recipe
    • Edit mode
    • Manual mode
    • Semi-automatic mode
    • Automatic mode
  • Status of the recipe:
    • Ready for start
    • Error: Currently there is an error in the recipe. The number of errors is also displayed.
    • Historical error: During the execution at least one error occurred. Currently not error exists.
    • No error: Until now the execution runs faultless.
  • Current execution status.
  • Mouse cursor position and changes such as moving the connection line
  • Approval of a recipe
  • Finished without errors
  • Zoom level of the current view; this can also be controlled here

The global statuses of the main recipe are also displayed when executing operations.


Engineering rules for recipes

Manuel -> Batch Control -> Configure and control in the Runtime -> Engineering rules for recipes

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

At the engineering the rules defined in standard ANSI/ISA-S88 are generally true.

Important principles:

General

  • For all elements all connection points must be connected.
    Exception: Jump targets. Only two of the three input connection points need to be linked there.
  • The begin element is always present only once with PFC recipes and marks the beginning of the process. It is not visible with matrix recipes.
  • The end element is always present only once with PFC recipes and marks the end of the process. It is not visible with matrix recipes.
  • Phases can be inserted anywhere. You can also place several phases in succession.
  • At least one active phase should be present in the recipe.

Transitions

  • Transitions only exist in PFC recipes.
  • Two transitions may not lie one after the other.

Branches

  • Branches only exist in PFC recipes.
  • The first element after a Begin branch must be a transition.
  • The individual branches which start at Begin branch must all end in an End branch never in an End parallel branch. Any element can be placed between begin and end of a branch even parallel branches as long as they are closed before the End branch element. An end branch can be replaced with jump targets at any point, including within a parallel branch.
  • It is not necessary to have an End branch for each Begin branch. You can, for example, have two Begin branch elements ending in one End branch, or the other way round.
  • It is not necessary to have an End branch for a Begin branch. If for example you have a Begin branch element with two paths and one of the paths ends in a jump target, it does not make sense to have an End branch.

Parallel branches

  • Each parallel branch must contain at least one phase.
  • The first element after a Begin parallel branch must not be a transition.
  • The individual branches that start at a Begin parallel branch must all end in one End parallel branch, but must never end in an End branch. You may use any elements between Begin parallel branch and End parallel branch even branches as long as they are closed before the End parallel branch.
  • Not all branches which were started in a Begin parallel branch must end in an End parallel branch. It is enough when all branches converge over an End parallel objects. Equally branches from different Begin parallel branch objects may converge in a single End parallel branch.
  • parallel branches allows embedding of additional parallel branches.
    In doing so: each embedded parallel branch must recombine with the superordinate parallel branch

Lines in the PFC editor

  • Lines may be used as connections between any objects. It is allowed to add any number of lines after another.
  • Lines must not be used to connect two equal connection points.
    For example: The both inputs of two phases must not be connected directly with a line. In the engineering this connection is allowed. It is however displayed in red (error) and in the validation an error message is displayed.

Jump targets

  • Jump targets only exist in PFC recipes.
  • Jump targets correspond to an end branch. They are intended to
    • jump between branches,
    • jump out of branches,
    • engineer loops

    For this, the following applies: A path which ends in a jump target must have started with a Begin branch. Otherwise the end is not reached.

  • Jump targets consist of tree inputs and one output. At least two inputs and the output must always be connected. At this it makes no difference which input connection point is connected.
  • Jump targets can be switched consecutively if at least two input connection points are allocated.
  • Jumps are prohibited:
    • between parallel branches
    • to jump out of a parallel branch
    • to jump in a parallel branch.

Configuration of objects

Reactions

  • Reactions can appear in each object state.
  • For each reaction type several reactions are possible. They are sorted at the triggering and are executed in accordance to their priority. At this 1 is the highest priority.
  • All variables of all parameters are signed in to the driver for reading. If a value is needed at a reaction but is not yet available or invalid, the alternate value is written. The writing of the value is done without write confirmation.
  • Some of the reactions are triggered only once in the process - e.g. time outs. If the phase is restarted, these reactions are also retriggered if necessary.


Recipe types

Manuel -> Batch Control -> Configure and control in the Runtime -> Recipe types

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Batch Control distinguishes between the two following recipe types:

  • PFC recipes: For free, complex processes. These are created with the PFC editor.
  • Matrix recipes: For simple, sequential, parallel processes. They are created with the matrix editor.

The following type of recipes are available:

  • Master recipes:
    Form the basis for the control recipes. They are created in status Editable. If they are in status Released, they can no longer be modified.
  • Operations:
    Form a substructure that can be embedded in recipes. This can provide a better overview in complex recipes. Operation templates are created in a similar way to master recipes. Operation instances can be inserted into master recipes.
  • Control recipes:
    Are recipes which can be executed once. Each control recipe is based on a master recipe. The arrangement of the elements cannot be changed in control recipes. It is defined by the master recipe. Changeable are only command tags for which option Changeable in control recipe was activated.

Recipes are created and edited in Runtime. If a screen that contains recipes that have not been saved is closed, the user is asked if the recipes are to be saved. If there is no input from the user within 15 seconds, the unsaved changes are discarded and the screen is closed.


Master recipes

Manuel -> Batch Control -> Configure and control in the Runtime -> Master recipes

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Master recipe are the basis of control recipes. The recipe process is defined and tested with the help of master recipes. After a master recipe is released, its content and structure can no longer be changed.

For the creation of master recipes two editors are available:

  • Matrix editor
  • PFC editor

Depending on the license, either just the matrix editor or both editors are available.

Autres sujets abordés dans ce chapitre

Create master recipe

Toolbar and context menu for master recipe list view

PFC recipe

Matrix recipe

Master recipe - test mode

Release master recipe

Highlight recipe as outdated

Versioning for master recipes

Commands and actions


Create master recipe

Manuel -> Batch Control -> Configure and control in the Runtime -> Master recipes -> Create master recipe

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

A click on the Create master recipe button opens the Master recipe configuration dialog.

Parameter

Description

Matrix recipe

Activate this radio button if you want to create a matrix recipe.

Note: Only possible if the corresponding license is available.

PFC recipe

Activate this radio button if you want to create a PFC recipe.

Note: Only possible if the corresponding license is available.

Name

Unique name for the recipe. The name must not contain a dot (.), a question mark (?), a @ or an asterisk (*).

Maximum length: 256 characters.

Note: When you copy a recipe the existing name is complemented with the prefix "Copy of". If the maximum length is exceeded by this, the name is shortened to the allowed length starting from the last character.

The uniqueness is checked in the entire network. Therefore it can happen that you cannot take over the name as another user on another computer in the zenon network already has used the same name and you do not see the recipe in the list of the master recipes yet.

The recipe names can be changed later but only as long as the recipe is in status Editable.

Description

Optional description for the recipe that is to be created.

You can change the description later, but only as long as the recipe is in editable status. To change the description, select the Rename master recipe symbol.

OK

Applies all settings and created a new recipe.

Cancel

Closes the dialog without creating a recipe.


Toolbar and context menu for master recipe list view

Manuel -> Batch Control -> Configure and control in the Runtime -> Master recipes -> Toolbar and context menu for master recipe list view

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Toolbar

Symbol | Description
New master recipe | Opens the dialog for creating a new master recipe.
Open master recipe in Editor | Opens the selected recipe in the recipe editor.
Create new version | Creates a new version of the selected master recipe. This must be approved or marked as obsolete.
Rename master recipe | Opens dialog to rename the selected recipe.
Duplicate master recipe | Creates a copy of the selected recipe and opens the dialog to rename the duplicate.
Delete master recipe | Deletes selected recipes.
Exporter la sélection en XML... | Exports the selected master recipe as an XML file.
Import XML | Imports the selected XML file as master recipe(s).
Switch master recipe to test mode | Switches selected recipe to test mode after requesting confirmation.
Switch master recipe to edit mode | Switches selected recipe to edit mode after requesting confirmation.
Release master recipe | Approves selected recipe after requesting confirmation.
New control recipe | Opens the dialog for creating a new control recipe.
Include running control recipes in the display | Includes running control recipes in the display.
Include prepared control recipes in the display | Includes prepared control recipes in the display.
Include finished control recipes in the display | Includes finished control recipes in the display.
Include outdated control recipes in the display | Includes outdated control recipes in the display.
Display list of attendant control recipes in control recipe list | Shows all control recipes for the selected approved control recipes.
Column selection | Opens the dialog for selecting the columns which should be displayed.
Column format | Opens the dialog for configuring the column formats.

Context Menu

Command | Description
New master recipe | Opens the dialog for creating a new master recipe.
Open in Recipe Editor | Opens the selected recipe in the recipe editor.
Rename... | Opens dialog to rename the selected recipe.
Duplicate... | Creates a copy of the selected recipe and opens the dialog to rename the duplicate.
Delete | Deletes selected recipes.
Exporter la sélection en XML... | Exports the selected master recipe as an XML file.
Import XML... | Imports the selected XML file as master recipe(s).
Switch to edit mode | Switches selected recipe to edit mode after requesting confirmation.
Switch to test mode | Switches selected recipe to test mode after requesting confirmation.
Release | Approves selected recipe after requesting confirmation.
Highlight as outdated | Marks the selected recipe as outdated.
New control recipe | Opens the dialog for creating a new control recipe.
Display associated control recipes in list | Shows all control recipes that belong to selected approved master recipes.


PFC recipe

Manuel -> Batch Control -> Configure and control in the Runtime -> Master recipes -> PFC recipe

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

If you selected PFC recipe in the master recipe configuration dialog and exited the dialog with OK, the newly-created recipe opens on a new tab in the PFC editor.

As each recipe needs a begin and an end element, these two elements already exist in the recipe and cannot be deleted from it.

Add the desired phases, transitions, branches, parallel branches and unit allocations to your recipe. Fields which are unsuitable for adding an element turn red when you move the element above it.

Autres sujets abordés dans ce chapitre

PFC editor

Toolbar and context menu PFC recipe

Begin element

Add and configure phase

Insert operations

Lines

Transitions

Branches and parallel branches

Jump targets

Allocate and configure unit

End element


PFC editor

Manuel -> Batch Control -> Configure and control in the Runtime -> Master recipes -> PFC recipe -> PFC editor

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

In the PFC editor you can create your recipes graphically.

Technical details

  • Sheet size:
    • Default: 11 x 11 cells
    • Minimum: 5 x 5 cells
    • Maximum: 500 x 1000 cells
  • Cell size
    • Default: 155 x 111 pixels
  • Outside edge: 100 pixel
  • Grid: is displayed by default; can also be hidden
  • Scroll bar: Is displayed if the document is larger than the frame.
  • Scrolling with a mouse wheel: up and down or, if you press and hold Shift, left and right.
  • Zooming: Ctrl + mouse wheel
  • Selecting elements: left mouse click
  • Multiple selection: Ctrl + mouse click
  • Move symbol: Click element and move it over the diagram while holding the left mouse button pressed. Content can be dropped to cells with green background. If a cell turns red when you move over it, you cannot drop the content.


Toolbar and context menu PFC recipe

Manuel -> Batch Control -> Configure and control in the Runtime -> Master recipes -> PFC recipe -> Toolbar and context menu PFC recipe

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Toolbar PFC editor: Edit mode

Parameter

Description

New master recipe...

Opens the dialog for creating a new master recipe.

Save master recipe

Saves the master recipe which is open for editing.

Graphical design

Opens the dialog to configure background colors, grid, and display of element ID.

Delete

Deletes the selected elements from the diagram.

Multiple selection via Ctrl+mouse click.

Check recipe for errors

Checks recipe for errors and displays found errors in an information window. For several errors the first errors are displayed.

The error message contains the error number, the ID of the element, its location and a message in plain text.

Edit element

Opens the corresponding dialog for editing the selected element.

Replace phase/operation

Opens dialog to select a phase or an operation and replaces the existing phase with the newly-selected one or the existing operation with a newly-selected one. Several phases or operations can be selected and replaced together.

Shortcut: Shift+double click

Edit mode

Toggles between insert mode and edit mode.

Insert phase

Adds a phase.

Insert transition

Adds a transition.

Insert begin simultaneous sequence

Adds a begin simultaneous sequence.

Insert end simultaneous sequence

Adds an end simultaneous sequence.

Insert Begin branch

Adds a begin branch.

Insert End branch

Adds an end branch.

Insert unit allocation

Adds a unit allocation.

Insert jump target

Adds a jump target.

Insert operation

Adds an operation.

Switch recipe to test mode

Switches recipe to the test mode. For this the recipe must be without errors.

Release recipe

Releases the recipe. With this a control recipe can be created.

Note: Insertions remain active until you change to the edit mode using the Edit mode symbol, the Esc key or you change to another insert option via a symbol for adding a new element.

Toolbar PFC Recipe Test mode

Parameter | Description
Start recipe | Starts the recipe process.
Recipe pausing | Pauses the recipe.
Recipe resuming | Resumes paused recipe.
Recipe holding | Holds recipe.
Restart recipe | Restarts held recipe.
Recipe stopping | Stops the recipe.
Recipe aborting | Aborts the recipe process.
Phase pausing | Pauses the selected phase.
Resume phase | Resumes the process of a selected paused phase.
Hold phase | Holds the selected phase.
Restart phase | Restarts the selected held phase.
Escape phase | Starts process to exit from the phase.
Check recipe for errors | Starts recipe validation.
Edit element | Opens the corresponding dialog for editing the selected element.
Graphical design | Opens the dialog to configure background colors, grid, and display of element ID.
Switch to automatic mode | Switches process to automatic mode.
Switch to semi-automatic mode | Switches process to semi-automatic mode.
Switch to manual mode | Switches process to manual mode.
Continue recipe only at selected execution position | Continues a recipe at the selected position.
Continue recipe at all execution positions | Continues a recipe on every available position.
Skip active condition | Skips a pending condition of the selected phase. Only possible in the manual mode.
Edit mode | Switches from test mode to edit mode.
Release recipe | Releases the recipe. With this a control recipe can be created.

PFC recipe toolbar: approved

Parameter

Description

Check recipe for errors

Checks recipe for errors and displays found errors in an information window. For several errors the first errors are displayed.

The error message contains the error number, the ID of the element, its location and a message in plain text.

Edit element

Opens the corresponding dialog for editing the selected element.

The dialog is opened in write-protected mode, because it is no longer possible to edit approved recipes.

Graphical design

Opens the dialog to configure background colors, grid, and display of element ID.

Duplicate recipe

Created a copy of the recipe. The dialog for the input of a unique name and the description is opened.

Create control recipe

Creates a control recipe on the basis of the approved master recipe.

info Informations

The functions of the individual symbols can also be configured using buttons and thus be made touch-operable. Tool bars can therefore also be hidden.


Begin element

Manuel -> Batch Control -> Configure and control in the Runtime -> Master recipes -> PFC recipe -> Begin element

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

First element in the process. It is automatically created in the editor when a recipe is created and it cannot be deleted.


Add and configure phase

Manuel -> Batch Control -> Configure and control in the Runtime -> Master recipes -> PFC recipe -> Add and configure phase

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

To add a phase:

  1. in the toolbar select the symbol for Insert phase
  2. move the mouse to the desired position
  3. locate the phase
  4. the dialog for selecting a phase is opened
  5. select the desired phase

To configure a phase:

  1. double click the phase
  2. The dialog for configuration is opened
    (if an element has not yet been assigned a phase, double-clicking opens the dialog to select a phase)

Note: The shift key plus a double click always opens the dialog to select a phase.

Configuration

Parameters | Description
Phase active in this step | Active: Phase is active in this step
Name | Name of the phase. Only display.
Description | Comment about the phase. Only display.
Unit | Unit on which the phase is carried out. Only display.
Control strategy | Selection of a control strategy from a drop-down list. Only available if control strategies have been configured for this phase. Default: no Control strategy linked
Description of control strategies | Description of the selected control strategy. Display of the description entered in the Editor only.
General | Tab for configuration of general properties.
Parameters | Tab for configuration of parameters.
OK | Applies all changes on all tabs and closes the dialog.
Cancel | Discards all changes on all tabs and closes the dialog.

Configuration of the tabs see chapter:

  • General: Display and configuration of the settings for the phase
  • Parameter: Configuration of the tags

The entry of a reason can be requested in order to make changes. To do this, either the Justification de la modification de valeur nécessaire property must be activated in the Modifier tag node for the module in general, or the Justification de la modification de valeur nécessaire property in the Général group for individual functions.

Rules for editing a phase

A phase can be edited:

  • In a master recipe in edit mode: If the user has sufficient rights.
  • In a master recipe in test mode: If the user has sufficient rights and the phase is not active.
  • In a control recipe with prepared status: If the user has sufficient rights and the Changeable in the control recipe option has been activated.
  • In a control recipe with running status: If the user has sufficient rights, the Changeable in the control recipe option has been activated and the phase is not active.

The phase can no longer be edited in pre-configured control recipes and in approved master recipes.

Autres sujets abordés dans ce chapitre

Selection phase

General

Parameter

Edit tag

Column selection

Column format


Selection phase

Selection phase

If a phase is added, the dialog for selecting a phase is opened.

Option | Description
Project tree | Displays the current project from which the phases can be selected.
List of phases | In the list all phases engineered in the Editor are displayed. The list can be filtered. The filtering is case-sensitive. Placeholders * and ? can be used.
Cursor keys | Move the selection up or down.
No selection | Deletes already selected phases from the element.
OK | Applies settings and closes the dialog.
Cancel | Discards all changes and closes the dialog.

All settings of the dialog are saved user-specifically when the dialog is closed.


General

General

The properties of tab General are set in the Editor with the exception of Changeable in the control recipe. The values can changed in the master recipe. A symbol indicates whether the value in the dialog matches the value in the Editor. For different values you can again apply the value defined in the Editor.

Meaning of the symbols next to the values:

Symbol | Description
Equals sign | Value in the dialog and the value in the Editor match.
Angle brackets | Value in the dialog and the value in the Editor do not match.
Arrows in opposite direction | Only active if the values in the recipe and Editor do not match. Click on button to apply the value from the Editor. It overrides the value in the master recipe.

Edit phase

For information on configuration of the basic data on these tabs, see the Add and configure phases chapter.

Option

Description

Waiting period unit allocation

Délai d’attente d’attribution de l’unité, exprimé en jours, heures, minutes et secondes. Le délai d’attente peut être modifié dans le Runtime, tant que la recette comporte l’état Éditable.

En cas de dépassement de la période définie, l’événement Dépassement du délai d’attente d’attribution de l’unité est déclenché et l’élément est affiché en surbrillance. D’autres actions doivent être définies par l’ingénieur. Si aucune autre action n’a lieu, le délai d’attente se poursuit.

Maximum : 9999j 23:59:59
Par défaut : 0j 00:00:00

Remarque : Une unité peut uniquement être attribuée par une recette unique, avec l’état En cours d’exécution.

Value is predefined in the Editor and can be changed here as long as the recipe is not released.

Input lock

Définit le verrouillage des entrées. Cliquez sur le bouton ... pour ouvrir l’éditeur de formules et définir une condition.
Si un verrouillage d’entrée est configuré, la phase est uniquement exécutée dans le Runtime lorsque la condition du verrouillage de d’entrée est satisfaite. La formule peut comporter un ou plusieurs paramètres de commande et paramètres de retour de la phase. La valeur et l’état des variables peuvent être utilisés. Le résultat renvoyé par la formule est l’état TRUE ou FALSE. La condition peut être affichée dans le Runtime, mais ne peut pas y être modifiée.
Le délai d’attente du verrouillage d’entrée peut être configuré à l’aide de la propriété Période d'attente entrée de verrouillage.

Waiting period input interlocking

Délai en jours, heures, minutes et secondes dans lequel la condition définie dans la propriété Condition de verrouillage doit renvoyer la valeur TRUE. La période d’attente débute lors de la vérification du verrouillage de l’entrée. Si la condition n’est pas satisfaite à la fin de la période d’attente, l’événement Dépassement du délai d’attente de vérification du verrouillage est déclenché et l’attente se poursuit. Si aucune réaction n’a été définie pour l’événement déclenchant un autre comportement, l’attente se poursuit jusqu’à ce que la condition soit satisfaite.

Si le délai d’attente est défini sur 0j 00:00:00, l’événement n’est pas déclenché.

  • Valeur minimum : 0j 00:00:00
  • Valeur maximale : 9999d 23:59:59
  • Par défaut : 0j 00:00:00

Value is predefined in the Editor and can be changed here as long as the recipe is not released.

Phase done condition

Définit la condition d’échéance de la phase. Cliquez sur le bouton ... pour ouvrir l’éditeur de formules et définir une condition.
La condition peut être affichée dans le Runtime, mais ne peut pas y être modifiée. Le délai d’attente dans lequel la condition doit être satisfaite est défini par la propriété Durée d'exécution maximum.

Maximum execution duration

Délai en jours, heures, minutes et secondes dans lequel la condition définie dans la propriété Condition de phase terminée doit renvoyer la valeur TRUE. Le délai d’attente début lors de l’écriture du paramètre de commande. Si la condition n’est pas satisfaite à la fin du délai d’attente, l’événement Dépassement du délai d’attente maximum d’exécution est déclenché et l’attente se poursuit. Si aucune réaction n’a été définie pour l’événement déclenchant un autre comportement, l’attente se poursuit jusqu’à ce que la condition soit satisfaite.

Remarque : Le délai continue à s’écouler lorsque la recette/la phase est mise en pause.

Si le délai d’attente est défini sur 0j 00:00:00, l’événement n’est pas déclenché.

  • Valeur minimum : 0j 00:00:00
  • Valeur maximale : 9999d 23:59:59
  • Par défaut : 0j 00:00:00

Value is predefined in the Editor and can be changed here as long as the recipe is not released.

Makes only sense if property Condition de phase terminée was configured.

Read more about execution duration in chapter Execution duration.

Minimum execution duration

Durée minimum d’exécution de la phase.

  • >0 : Délai minimum d’attente après l’écriture de la balise de commande, indépendamment de la satisfaction de la condition de fin de phase.
  • 0 : Aucune durée d’exécution minimum définie.

Remarque : La durée d’exécution minimum peut être supérieure à la valeur de la propriété Durée d'exécution maximum. Value is predefined in the Editor and can be changed here as long as the recipe is not released.

Changeable in the control recipe if option Changeable in the control recipe was activated in the master recipe.

Read more about execution duration in chapter Execution duration.

Changeable in the control recipe

Active: Property can be changed in the control recipe.

Waiting period following condition

Délai d’attente de désactivation de la phase, exprimé en jours, heures, minutes et secondes. Le délai d’attente commence lorsque la condition de fin de phase est satisfaite. Si la condition n’est pas satisfaite à la fin de la période d’attente, l’événement Dépassement du délai d’attente après condition est déclenché et l’attente se poursuit. Si aucune réaction n’a été définie pour l’événement déclenchant un autre comportement, l’attente se poursuit jusqu’à ce que la condition soit satisfaite.

Si le délai d’attente est défini sur 0j 00:00:00, l’événement n’est pas déclenché.

  • Valeur minimum : 0j 00:00:00
  • Valeur maximale : 9999d 23:59:59
  • Par défaut : 0j 00:00:00

Remarque : L’existence de la condition suivante dépend de la structure de la recette. Par conséquent, la configuration d’un délai d’attente ne doit pas être réalisée dans Editor, mais dans le Runtime. Value is predefined in the Editor and can be changed here as long as the recipe is not released.

For more information see chapters Times and Following conditions.

OK

Applies all changes on all tabs and closes the dialog.

Cancel

Discards all changes on all tabs and closes the dialog.


Parameter

Parameter

Parameter | Description
List of tags | Displays the tag configured in the Editor. Tags can be filtered and sorted according to columns. Click on symbol Edit tag, double click the tag, menu item in the context menu or press Return to open the dialog for editing a tag.
OK | Applies all changes on all tabs and closes the dialog.
Cancel | Discards all changes on all tabs and closes the dialog.

Toolbar

Symbol | Meaning
Edit tag | Opens the dialog for editing the tag.
Display all command tags | Toggles between the display of the changeable tags and all tags.
Display return tags | In addition to the command tags also displays the return tags or hides them.
Column selection | Opens the dialog for selecting the columns which should be displayed.
Column Format | Opens dialog to format the columns.


Edit tag

Edit tag

To edit a tag in the Runtime:

  1. in dialog Edit phase select tab Tag
  2. highlight the desired tag
  3. open the dialog for editing the tags via a click on symbol Edit tag, the context menu, a double click on the tag or press Return
  4. the dialog for editing is opened

For each data type an own dialog is opened:

  • Numerical
  • Binary
  • String
  • Time period

The properties are normally configured in the Editor and only displayed in the Runtime. Exceptions are values of the data type. They can be adapted if property Modifiable dans la recette principale was activated in the Editor.

Numeric tags

Parameter

Meaning

Parameter

Name of the TAG. Display only.

Description

Free description of the tag. Display only.

Type

Type of the tag: Initial, value or return. Display only.

Data Type

Data type of the tag. Display only.

Changeable in the control recipe

Active: Value of the property can be changed in the control recipe.

Only available if:

  • The parameter is an initial or value parameter
  • it was configured in the Editor that the tag can be changed in the Batch recipe (property: ). Modifiable dans la recette principale).

Minimum

Minimum value for the tag.

Default from the Editor can be changed when property Modifiable dans la recette principale was activated in the Editor.
If the value is changed, it is marked with the symbol on the right side of the value. Changed values can be overwritten with the default from the Editor with the help of the button right next to it. For control strategies, synchronization takes place with the values that were set in the control strategy when linking parameters.

Minimum variable

Allowed minimum value of the variable.

Value

Value of the tag.

Default from the Editor can be changed when property Modifiable dans la recette principale was activated in the Editor.
If the value is changed, it is marked with the symbol on the right side of the value. Changed values can be overwritten with the default from the Editor with the help of the button right next to it. For control strategies, synchronization takes place with the values that were set in the control strategy when linking parameters.

Unit

Unit of the value.

Maximum

Maximum value for the tag. Display only.

Default from the Editor can be changed when property Modifiable dans la recette principale was activated in the Editor.
If the value is changed, it is marked with the symbol on the right side of the value. Changed values can be overwritten with the default from the Editor with the help of the button right next to it. For control strategies, synchronization takes place with the values that were set in the control strategy when linking parameters.

Maximum variable

Allowed maximum value of the variable. Display only.

Variable

Variable which is linked to the tag. Display only.

Data type variable

Data type of the variable. Display only.

Drivers

Driver of the variable. Display only.

Driver name

Description of the driver of the variable. Display only.

Cursor keys

Navigating through the tags.

They are displayed in the order of the list. At this only tags are displayed which are visible with the current filter and grouping.

If changes were done, there is a prompt before you can change to another tag whether the changes should be applied or discarded. If changes should be applied, the input is checked before advancing.

Apply

Applies all changes if the check of the changes was successful. The dialog remains open for further editing.

OK

Applies all changes and closes the dialog if the check of the changes was successful.

Cancel

Discards all changes which have not been taken over yet and closes the dialog.

Binary tag

Parameter

Meaning

Parameter

Name of the TAG. Display only.

Description

Free description of the tag. Display only.

Type

Type of the tag: Initial, value or return. Display only.

Data Type

Data type of the tag. Display only.

Changeable in the control recipe

Active: Value of the property can be changed in the control recipe.

Only available if:

  • The parameter is an initial or value parameter
  • it was configured in the Editor that the tag can be changed in the Batch recipe (property: ). Modifiable dans la recette principale).

Off

Status: Off.

Default from the Editor can be changed when property Modifiable dans la recette principale was activated in the Editor.
If the value is changed, it is marked with the symbol on the right side of the value. Changed values can be overwritten with the default from the Editor with the help of the button right next to it. For control strategies, synchronization takes place with the values that were set in the control strategy when linking parameters.

On

Status: On.

Toggle

Toggles between the states.

Variable

Variable which is linked to the tag. Display only.

Data type variable

Data type of the variable. Display only.

Drivers

Driver of the variable. Display only.

Driver name

Description of the driver of the variable. Display only.

Cursor keys

Navigating through the tags.

They are displayed in the order of the list. At this only tags are displayed which are visible with the current filter and grouping.

If changes were done, there is a prompt before you can change to another tag whether the changes should be applied or discarded. If changes should be applied, the input is checked before advancing.

Apply

Applies all changes if the check of the changes was successful. The dialog remains open for further editing.

OK

Applies all changes and closes the dialog if the check of the changes was successful.

Cancel

Discards all changes which have not been taken over yet and closes the dialog.

String tag

Parameter

Meaning

Parameter

Name of the TAG. Display only.

Description

Free description of the tag. Display only.

Type

Type of the tag: Initial, value or return. Display only.

Data Type

Data type of the tag. Display only.

Changeable in the control recipe

Active: Value of the property can be changed in the control recipe.

Only available if:

  • The parameter is an initial or value parameter
  • it was configured in the Editor that the tag can be changed in the Batch recipe (property: ). Modifiable dans la recette principale).

String

Alphanumeric character string.

Default from the Editor can be changed when property Modifiable dans la recette principale was activated in the Editor.
If the value is changed, it is marked with the symbol on the right side of the value. Changed values can be overwritten with the default from the Editor with the help of the button right next to it. For control strategies, synchronization takes place with the values that were set in the control strategy when linking parameters.

Possible length is limited by the Longueur de la chaîne engineered in the variable.

String length

Defines possible length of the string. Display only.

Variable

Variable which is linked to the tag. Display only.

Data type variable

Data type of the variable. Display only.

Drivers

Driver of the variable. Display only.

Driver name

Description of the driver of the variable. Display only.

Cursor keys

Navigating through the tags.

They are displayed in the order of the list. At this only tags are displayed which are visible with the current filter and grouping.

If changes were done, there is a prompt before you can change to another tag whether the changes should be applied or discarded. If changes should be applied, the input is checked before advancing.

Apply

Applies all changes if the check of the changes was successful. The dialog remains open for further editing.

OK

Applies all changes and closes the dialog if the check of the changes was successful.

Cancel

Discards all changes which have not been taken over yet and closes the dialog.

Time period

Parameter

Meaning

Parameter

Name of the TAG. Display only.

Description

Free description of the tag. Display only.

Type

Type of the tag: Initial, value or return. Display only.

Data Type

Data type of the tag. Display only.

Changeable in the control recipe

Active: Value of the property can be changed in the control recipe.

Only available if:

  • The parameter is an initial or value parameter
  • it was configured in the Editor that the tag can be changed in the Batch recipe (property: ). Modifiable dans la recette principale).

Minimum

Minimum value for the tag in format:
d hh:mm:ss

Default from the Editor can be changed when property Modifiable dans la recette principale was activated in the Editor.
If the value is changed, it is marked with the symbol on the right side of the value. Changed values can be overwritten with the default from the Editor with the help of the button right next to it. For control strategies, synchronization takes place with the values that were set in the control strategy when linking parameters.

Minimum variable

Allowed minimum value of the variable.

Duration

Value of the parameter in the format:
T hh:mm:ss.

Default from the Editor can be changed when property Modifiable dans la recette principale was activated in the Editor.
If the value is changed, it is marked with the symbol on the right side of the value. Changed values can be overwritten with the default from the Editor with the help of the button right next to it. For control strategies, synchronization takes place with the values that were set in the control strategy when linking parameters.

Unit

Unit of the value.

Maximum

Maximum value for the tag in format:
d hh:mm:ss.

Default from the Editor can be changed when property Modifiable dans la recette principale was activated in the Editor.
If the value is changed, it is marked with the symbol on the right side of the value. Changed values can be overwritten with the default from the Editor with the help of the button right next to it. For control strategies, synchronization takes place with the values that were set in the control strategy when linking parameters.

Maximum variable

Allowed minimum value of the variable. Display only.

Variable

Variable which is linked to the tag. Display only.

Data type variable

Data type of the variable. Display only.

Drivers

Driver of the variable. Display only.

Driver name

Description of the driver of the variable. Display only.

Cursor keys

Navigating through the tags.

They are displayed in the order of the list. At this only tags are displayed which are visible with the current filter and grouping.

If changes were done, there is a prompt before you can change to another tag whether the changes should be applied or discarded. If changes should be applied, the input is checked before advancing.

Apply

Applies all changes if the check of the changes was successful. The dialog remains open for further editing.

OK

Applies all changes and closes the dialog if the check of the changes was successful.

Cancel

Discards all changes which have not been taken over yet and closes the dialog.


Column selection

Column selection

Options | Fonction
Colonnes disponibles | Liste de colonnes pouvant être affichées dans la table.
Colonnes sélectionnées | Colonnes affichées dans la table.
Ajouter -> | Déplace la colonne sélectionnée des colonnes disponibles vers les éléments sélectionnés. Lorsque vous confirmez la boîte de dialogue en cliquant sur OK, ces colonnes sont affichées dans la vue de détail.
Ajouter toutes -> | Déplace toutes les colonnes disponibles vers les colonnes sélectionnées.
<- Supprimer | Supprime les colonnes marquées des éléments sélectionnés et les affiche dans la liste des colonnes disponibles. Lorsque vous confirmez la boîte de dialogue en cliquant sur OK, ces colonnes sont supprimées de la vue de détail.
<- Supprimer tout | Toutes les colonnes sont supprimées de la liste des colonnes sélectionnées.
Haut | Déplace l’entrée sélectionnée vers le haut. Cette fonction est uniquement disponible pour les entrées uniques?; les sélections multiples ne sont pas autorisées dans ce cas.
Bas | Déplace l’entrée sélectionnée vers le bas. Cette fonction est uniquement disponible pour les entrées uniques?; les sélections multiples ne sont pas autorisées dans ce cas.

Fermer boîte de dialogue

Options | Description :
OK | Applique les paramètres et ferme la boîte de dialogue.
Annuler | Annule toutes les modifications et ferme la boîte de dialogue.
Aide | Ouvre l'aide en ligne.


Column format

Column format

Parameter

Description

Available columns

List of the available columns via Column selection. The column selected here is configured using the settings in the Parameters section.

Parameter

Settings for selected column.

Labeling

Name for column title. The column title is online language switchable. To do this, you must enter the @ character in front of the name.

Width

Width of the column in characters.

Alignment

Alignment.

Possible settings:

  • Left: Text is justified on the left edge of the column.
  • Centered: Text is displayed centered in the column.
  • Right: Text is justified on the right edge of the column.

OK

Applies settings and closes the dialog.

Cancel

Discards settings and closes the dialog.


Insert operations

Manuel -> Batch Control -> Configure and control in the Runtime -> Master recipes -> PFC recipe -> Insert operations

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

To insert an operation:

  1. in the toolbar select the symbol for Insert operation
  2. move the mouse to the desired position
  3. place the operation
  4. the dialog for selecting a template for the operation is opened
  5. select the desired operation
  6. The operation is inserted


Lines

Manuel -> Batch Control -> Configure and control in the Runtime -> Master recipes -> PFC recipe -> Lines

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Lines connect elements via free connection points. To connect connection points with each other:

  1. Activate a point with the help of the mouse:
    The connection point turns green. Red means that the connection point is already taken.

  2. Drag a line to another connection point:
    A yellow arrow shows the direction of the line.. Green fields can be crossed. Red fields may not be crossed by the line.

  3. As soon as the yellow tip of the line touches the next connection point, the line is created.

Line handling

Lines:

  • are dragged with the mouse
  • can be moved (press and hold key Ctrl)
    At this all existing connections are separated and it is tried to reconnect the line if there are objects with connections points in the right direction at the target.
    If several lines are highlighted, the line, in whose cell the mouse cursor is, is moved.
  • can be deleted by highlighting them an pressing Del
  • are deleted when re-dragging them from beginning to end
  • have a tool tip displaying its ID.

If a line reaches a connection point of an object, the connection point becomes active. If a connection is possible, it turns green otherwise red. Connections connecting two connections points of the same type - two inputs, two outputs, etc. - are not allowed. The line can be added in any case. Not allowed connections are displayed in red and trigger a corresponding error message at testing.

The connection points of the elements are always displayed in the edit mode even if the connection point in question is connected. In status "Release" no connection points are displayed.

Properties connection point:

  • connected: highlighted red; connection is separated when the line is dragged and a new connection point can be chosen
  • open: highlighted green; at dragging a new line is created


Transitions

Manuel -> Batch Control -> Configure and control in the Runtime -> Master recipes -> PFC recipe -> Transitions

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Transitions are used after phases in order to ensure a defined transition from one phase to another. Transitions display their internal status during the process and inform via a tool tip about status and process duration.

For details about transitions see section Engineering in the Editor in chapter Transitions.


Branches and parallel branches

Manuel -> Batch Control -> Configure and control in the Runtime -> Master recipes -> PFC recipe -> Branches and parallel branches

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Recipes can branch and run in simultaneous sequences.

Branches and simultaneous sequences consist of:

  • Single or double horizontal lines
  • Connection pieces (consisting of connection line and connection point)

Create a branch

To create a branch:

  1. Select the symbol Insert begin branch.
  2. Put the branch on the desired location.
  3. Connect the input connection point to an output connection point of the preceding object.
  4. Connect both output connection points with the desired following objects.
  5. Close a branch with the object Insert end branch

Insert parallel branches

To create a parallel branch:

  1. Select the symbol Insert begin parallel branch
  2. Put the branch on the desired location.
  3. Connect the input connection point to an output connection point of the preceding object.
  4. Connect both output connection points with the desired following objects.
  5. Close a parallel branch with the object Insert end parallel branch

Modify and move

Branches and parallel branches can be moved and changed in size.

Move

To move an object:

  1. Click on the object.
  2. Hold down the mouse button.
  3. Move the object to the desired position.

Change size

Begin/End branch/parallel branch objects can be extended and shortened. To change their size:

  1. Move the mouse pointer to the end of the object until it turns into a double arrow.
  2. Hold down the left mouse button and move it in the desired direction:
    • away from the object to extend it
    • into the object to shorten it
  3. At extending a new connection piece is added:
    • all fields which are concerned by the extension are marked green
    • to add several need connection pieces the process must be repeated
  4. All corresponding connection pieces are deleted during shortening.

Autres sujets abordés dans ce chapitre

Branches

Parallel branches

Split up and combine branches


Branches

Branches

A branch offers the possibility to execute one of several possible ways. For this it is necessary that the first element at the beginning of a branch is a transition. This means that Begin branch can only be followed by a transition.

Procedure:

  • The path is chosen for which the transition is TRUE first.
  • If several transitions are TRUE at the same time, always the leftmost path for which the transition is TRUE is selected.

For begin and end the following is true: If there is a phase in front of the element and a transition behind, the phase remains active until the transition was completed.

In a branch the objects are processed sequentially. Each branch processes its objects independent of other branches.


Parallel branches

Parallel branches

At the parallel branch an execution path parts into several execution paths which are executed in parallel during the process. In the process the intermediate area of the end parallel branch is also colored. The color matches the coloring of the phase.

End parallel branch is displayed as active as soon as the first of several previous elements has been completed. There is a wait until all previous elements have been completed. End parallel branch is then shown as inactive and phase done.

The End parallel branch element is marked as active for:

  • Transitions: Immediately after passing.
  • Phases: If the phase done condition has been met and the minimum execution duration has expired.

During the execution the status is color-coded.


Split up and combine branches

Manuel -> Batch Control -> Configure and control in the Runtime -> Master recipes -> PFC recipe -> Branches and parallel branches -> Split up and combine branches

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Split up and combine branches

For parallel branches, the execution splits up a Begin parallel branch and combines the single branches again at End parallel branch. The paths of the parallel objects are independent branches. Only at End simultaneous sequence all branches are synchronized.

The possible branches are defined when the recipe is created. It is evident from the recipe execution in Runtime if the separate branches are allocated or unlocked. A branch is active as long as an object on it is active.

End parallel branch

An End parallel branch combines the branches of the connected paths. The object after End simultaneous sequence is activated when all paths reaches End simultaneous sequence with their process.

The left path is ready. Therefore End simultaneous sequence is already active. The transition after End simultaneous sequence is not yet active as the right branch is not yet completed.

When the right branch is also completed:

The transition after End simultaneous sequence is activated. All objects which were active before are still active.


Jump targets

Manuel -> Batch Control -> Configure and control in the Runtime -> Master recipes -> PFC recipe -> Jump targets

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Jump targets make it possible to

  • jump between branches
  • To jump out of branches
  • engineer loops

Jump targets consist of tree inputs and one output. At this the output is always at the bottom and the inputs are located at the top and the sides. You can connect any input connection points. A path which ends in a jump target must have started with a Begin branch. Otherwise the end is not reached. Jump targets are not allowed for parallel branches.

During the editing all connection points are visible. In the checking mode only the connection points which are connected are displayed.


Allocate and configure unit

Manuel -> Batch Control -> Configure and control in the Runtime -> Master recipes -> PFC recipe -> Allocate and configure unit

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

To allocate a unit:

  1. In the toolbar select the symbol for Insert unit allocation
  2. Move the mouse to the desired position
  3. Place the Unit allocation element.
  4. The element is inserted.

To configure the unit allocation:

  1. Double-click on the Unit allocation element.

    The dialog for configuration is opened.

Configuration

In a configuration dialog you can select the units which exist in the batch recipe. It is distinguished between allocation and release. Releases can be set selectively and globally. Units which were selected before and no longer exist in the recipe, are displayed with an appropriate note.

If the dialog is opened in an approved recipe, then it is displayed as "read only". All entries can be viewed but not changed.

Parameter

Description

List of units

Displays existing units and their assigned actions.

Action

Assigns an action to the unit selected in the list.

Allocation of the unit.

Allocates the unit.

Release of the unit.

Releases the unit:

  • Release of the last allocation: The last allocation is released.
  • Recipe-spanning release: All allocations in the recipe are released.

OK

Applies settings and closes the dialog.

Cancel

Discards changes and closes dialog.

Allocate and release units

The allocation of a unit by element unit allocation or by a phase is only possible if the unit is not yet allocated or only in the same recipe. The assignment and approval of all units that are linked in the element is carried out at the same time. It is always waited until all units which should be allocated are released. Then all allocations and releases are executed. Phases which are located in front of an element unit allocation remain active until the allocation was successful.

Unit allocations remain in place as long as the phase is active. When the recipe is finished and there are still allocations of elements Unit allocation active, they are released implicitly.

Note: A phase with the paused or held status does not attempt to allocate the unit. This also applies if the phase is switched to paused or held whilst waiting. An attempt to allocate the unit is only made after a restart. But: In manual mode you can force the allocation of a unit by another recipe. The recipe with the first allocation keeps the control and takes priority at the execution. If this recipe withdraws its main allocation, the recipe with the longest active forced allocation takes over the main allocation.

Actions

For each unit which is used in the recipe, you can define an action:

  • no action
  • allocate
  • release

Tool tip

In the tool tip of element Unit allocation all units are displayed which are marked for allocation or release. During the execution the Execution duration is stated and all units for which you must wait are color-coded. You must wait for units if they are allocated in another recipe.


End element

Manuel -> Batch Control -> Configure and control in the Runtime -> Master recipes -> PFC recipe -> End element

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Last element in the process. It is automatically created in the editor when a recipe is created and it cannot be deleted.


Matrix recipe

Manuel -> Batch Control -> Configure and control in the Runtime -> Master recipes -> Matrix recipe

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

If you selected matrix recipe in dialog Configuration master recipe and exited the dialog with OK, the newly created recipe opens on a new tab in the matrix editor.

Autres sujets abordés dans ce chapitre

Matrix editor

Toolbars matrix recipe

Name steps

Add and configure phase

Insert operation


Matrix editor

Manuel -> Batch Control -> Configure and control in the Runtime -> Master recipes -> Matrix recipe -> Matrix editor

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

In the matrix editor you can create your recipes and operations in a matrix.

Technical details:

  • Columns contain phases and operations:
    Phases are inserted by clicking on the symbol above the diagonal
    Phases are inserted by clicking on the symbol below the diagonal
  • Lines contain steps with active/inactive phases.
    Clicking on the plus sign inserts a new line or column with a phase or operation into the matrix.
  • Delete column/row Press the Del key to delete the highlighted row or column.
  • Move lines/columns: Lines and columns can be moved via drag & drop with the help of the mouse. Individual labels of steps remain; the step number is adapted automatically.
  • Border cells:
    • Double click on phase: opens the dialog for configuring the phase.
    • Double click on step: opens the dialog for labeling the step.
  • Selection of lines/columns:
    • left mouse click in border cell: selects a line/column.
    • Ctrl+mouse click in border cell: selects additional lines/columns.
  • Cells:
    • left mouse click: selects empty cell.
    • Shift + click: activates/deactivates phase.
    • Ctrl+click: selects several cells.
    • Double click on cell: opens the dialog for configuring the phase.
  • Scroll bar: Is displayed if the document is larger than the frame.
  • Scrolling with a mouse wheel: up and down or, if you press and hold Shift, left and right.


Toolbars matrix recipe

Manuel -> Batch Control -> Configure and control in the Runtime -> Master recipes -> Matrix recipe -> Toolbars matrix recipe

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Toolbars matrix recipe: Edit mode

Symbol

Description

New master recipe...

Opens the dialog for creating a new master recipe.

Save master recipe

Saves the master recipe which is open for editing.

Graphical design

Opens the dialog to configure background colors, grid, and display of element ID.

Delete

Deletes the selected elements from the diagram.

Multiple selection via Ctrl+mouse click.

Check recipe for errors

Checks recipe for errors and displays found errors in an information window. For several errors the first errors are displayed.

The error message contains the error number, the ID of the element, its location and a message in plain text.

Edit element

Opens the corresponding dialog for editing the selected element.

Activate selected elements

Activates the phase of the operation of the selected cells.

Deactivate selected elements

Deactivates the phase or the operation of the selected cells.

Move selected columns to the right or move selected steps up

Moves the selected column to the left by one position or moves selected step up by one position.

Move selected columns to the right or move selected steps down

Moves the selected column to the right by one position or moves selected step down by one position.

Switch recipe to test mode

Switches recipe to the test mode. For this the recipe must be without errors.

Release recipe

Releases the recipe. With this a control recipe can be created.

Toolbars matrix recipe: Test mode

Parameter | Description
Start recipe | Starts the recipe process.
Recipe pausing | Pauses the recipe.
Recipe resuming | Resumes paused recipe.
Recipe holding | Holds recipe.
Restart recipe | Restarts held recipe.
Recipe stopping | Stops the recipe.
Recipe aborting | Aborts the recipe process.
Phase pausing | Pauses the phase.
Resume phase | Resumes the process of a paused phase.
Hold phase | Holds phase.
Restart phase | Restarts held phase.
Escape phase | Starts process to exit from the phase.
Check recipe for errors | Starts recipe validation.
Edit element | Opens the corresponding dialog for editing the selected element.
Graphical design | Opens the dialog to configure background colors, grid, and display of element ID.
Switch to automatic mode | Switches process to automatic mode.
Switch to semi-automatic mode | Switches process to semi-automatic mode.
Switch to manual mode | Switches process to manual mode.
Continue recipe only at selected execution position | Continues a recipe at the selected position.
Continue recipe at all execution positions | Continues a recipe on every available position.
Skip active condition | Skips an active condition. Only possible in the manual mode.
Edit mode | Switches from test mode to edit mode.
Release recipe | Releases the recipe. With this a control recipe can be created.

Matrix recipe toolbar: approved

Parameter

Description

Check recipe for errors

Checks recipe for errors and displays found errors in an information window. For several errors the first errors are displayed.

The error message contains the error number, the ID of the element, its location and a message in plain text.

Edit element

Opens the corresponding dialog for editing the selected element.

Graphical design

Opens the dialog to configure background colors, grid, and display of element ID.

Duplicate recipe

Created a copy of the recipe. The dialog for the input of a unique name and the description is opened.

Create control recipe

Creates a control recipe on the basis of the approved master recipe.

info Informations

The functions of the individual symbols can also be configured using buttons and thus be made touch-operable. Tool bars can therefore also be hidden.


Name steps

Manuel -> Batch Control -> Configure and control in the Runtime -> Master recipes -> Matrix recipe -> Name steps

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Steps in the matrix editor can be named individually. Double click on the cell to open the dialog for entering an individual name.

The name can have up to 100 characters and is language switchable is preceded by a @.


Add and configure phase

Manuel -> Batch Control -> Configure and control in the Runtime -> Master recipes -> Matrix recipe -> Add and configure phase

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

To add a phase:

  1. Click on the plus sign above the diagonal in the last column of the matrix
  2. the dialog for selecting a phase is opened
  3. select the desired phase

To configure a phase:

  1. double click the matrix filed with the desired phase
  2. The dialog for configuration is opened

Configuration

Parameters | Description
Phase active in this step | Active: Phase is active in this step
Name | Name of the phase. Only display.
Description | Comment about the phase. Only display.
Unit | Unit on which the phase is carried out. Only display.
Control strategy | Selection of a control strategy from a drop-down list. Only available if control strategies have been configured for this phase. Default: no Control strategy linked
Description of control strategies | Description of the selected control strategy. Display of the description entered in the Editor only.
General | Tab for configuration of general properties.
Parameters | Tab for configuration of parameters.
OK | Applies all changes on all tabs and closes the dialog.
Cancel | Discards all changes on all tabs and closes the dialog.

Configuration of the tabs see section PFC editor/chapter:

  • General: Display and configuration of the settings for the phase
  • Tag: Configuration of the tags

Rules for editing a phase

A phase can be edited:

  • In a master recipe in edit mode: If the user has sufficient rights.
  • In a master recipe in test mode: If the user has sufficient rights and the phase is not active.
  • In a control recipe with prepared status: If the user has sufficient rights and the Changeable in the control recipe option has been activated.
  • In a control recipe with running status: If the user has sufficient rights, the Changeable in the control recipe option has been activated and the phase is not active.

The phase can no longer be edited in pre-configured control recipes and in approved master recipes.


Insert operation

Manuel -> Batch Control -> Configure and control in the Runtime -> Master recipes -> Matrix recipe -> Insert operation

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

To insert an operation:

  1. Click on the plus sign below the diagonal in the last column of the matrix.

    The dialog for selecting an operation template is opened.

  2. Select the desired operation template.

    A new operation is inserted.


Master recipe - test mode

Manuel -> Batch Control -> Configure and control in the Runtime -> Master recipes -> Master recipe - test mode

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

The test mode is used to test master recipes without releasing it and creating control recipes. In addition in the test mode changes in the Editor can be applied directly via reloading the Runtime.
Exception: During the execution of a recipe, the reloading of a recipe is delayed. Not until the recipe is finished, stopped or aborted, the reloading process is executed.

In test mode you cannot can the principle recipe process. You can only change values of the command tags. Changes are directly saved in the master recipe. It is not necessary to save explicitly.

Parameter

Description

Start recipe

Starts the recipe process.

Recipe pausing

Pauses the recipe.

Recipe resuming

Resumes paused recipe.

Recipe holding

Holds recipe.

Restart recipe

Restarts held recipe.

Recipe stopping

Stops the recipe.

Recipe aborting

Aborts the recipe process.

Phase pausing

Pauses the selected phase.

Resume phase

Resumes the process of the selected paused phase.

Hold phase

Holds the selected phase.

Restart phase

Restarts the selected held phase.

Check recipe for errors

Checks recipe for errors and displays found errors in an information window. For several errors the first errors are displayed.

The error message contains the error number, the ID of the element, its location and a message in plain text.

Edit element

Opens the corresponding dialog for editing the selected element.

Graphical design

Opens the dialog to configure background colors, grid, and display of element ID.

Switch to automatic mode

Switches process to automatic mode.

Switch to semi-automatic mode

Switches process to semi-automatic mode.

Switch to manual mode

Switches process to manual mode.

Continue recipe only at selected execution position

Continues a recipe at the selected position.

Continue recipe at all execution positions

Continues a recipe on every available position.

Skip active condition

Skips an active condition.

Only possible in the manual mode.

Switch recipe to edit mode

Switches from test mode to edit mode.

Release recipe

Releases the recipe. With this a control recipe can be created.


Release master recipe

Manuel -> Batch Control -> Configure and control in the Runtime -> Master recipes -> Release master recipe

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

You can release a master recipe by selecting it and clicking button Release master recipe. Several recipes can also be selected and approved together. Approval must be confirmed by means of a dialog. Dialogs for unit allocations, transitions and phases can be opened as write-protected.

info Informations

Only master recipes without errors can be released. A released master recipe can no longer be edited.

For each recipe you can create a copy of the released master recipe by clicking on button Duplicate recipe. This copy can then be edited.

Recipes can only be approved if all operations contained therein have also been approved.


Highlight recipe as outdated

Manuel -> Batch Control -> Configure and control in the Runtime -> Master recipes -> Highlight recipe as outdated

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Recipes that are no longer valid but have not been deleted should be marked as outdated. If a recipe is set to this status, it can no longer be edited or approved. No control recipe can be created on the basis of this recipe either. The recipe can however be duplicated and thus be used as the basis for new master recipes.

Only recipes that have the status approved can be marked as outdated. The following applies for attendant control recipes:

  • Control recipes that are currently being executed continue to be executed
  • Control recipes with the prepared status can no longer be executed


Versioning for master recipes

Manuel -> Batch Control -> Configure and control in the Runtime -> Master recipes -> Versioning for master recipes

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Master recipes can also be versioned. In doing so, a copy of an approved or obsolete report is created. This copy is in edit mode and contains a unique version number. The new recipe can be edited, but not renamed. Individual versions, including the source recipe itself, can be deleted.

Creating a version

To use versioning in Runtime:

  1. In the Editor, navigate to the Général/Gestion de version properties group in the Batch Control node.
  2. Activate the Gestion de version active property.
  3. Versioning is switched on and used in Runtime.

To create a new version of a recipe in Runtime:

  1. Select the desired master recipe.
    Note: The recipe must be approved or obsolete.
  2. Select, in the context menu or on the toolbar, Create new version or click on the corresponding button in the screen.
  3. A new recipe is created.

Rules for versioning

The following applies to versioning:

  • A new version of a recipe contains the same name as the source recipe.
  • New versions of a recipe cannot be renamed. Not even if the version is in editing mode and it is the only remaining version.
  • The description can be changed for each version.
  • Each version contains a unique version number that is issued on a serial basis. Version numbers of deleted recipes remain blocked and are not reissued.
  • The version number of the new recipe and the version number of the source recipe are displayed in their own columns in the list of master recipes.
  • Version numbers are also displayed in the title bar of the recipe editor and in the tab of the recipe as well as in the list of the control recipes and in tooltips.

Only approve one version

It is possible to only allow one version of each master recipe to be approved. To do this, activate the Valider une version seulement property in the Editor. Only one version of each master recipe can be approved in Runtime. If a different version is approved, the one that was approved before must first be deleted or marked as obsolete.


Commands and actions

Manuel -> Batch Control -> Configure and control in the Runtime -> Master recipes -> Commands and actions

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

In the Runtime the following commands and actions are available:

  • Commands effect the recipe process.
  • Actions make it possible to edit recipes.

Commands

For a command to be accepted by the phase, the following requirements are necessary:

  • The REE must run.
  • The phase must be active.
  • The phase must be in a state in which the command is allowed.

Via multi-selection the command can be sent to several phases in the same execution cycle.

Command | Description
Start recipe | Starts the recipe process.
Recipe pausing | Pauses the recipe process.
Recipe resuming | Resumes a paused recipe.
Hold recipe | Holds the recipe process.
Restart recipe | Restarts the recipe.
Recipe stopping | Stops the recipe.
Recipe aborting | Aborts the recipe.
Phase pausing | Pauses the phase.
Phase resuming | Resumes the paused phase.
Phase holding | Holds phase.
Restart phase | Restarts the held phase.
Switch to automatic mode | Switches the REE to automatic mode.
Switch to semi-automatic mode | Switches the REE to semi-automatic mode.
Switch to manual mode | Switches the REE to manual mode.
Continue recipe only on selected active elements | Continues a recipe at the selected position.
Continue recipe at all execution positions | Continues a recipe on every available position.
Skip active condition | Skips an active condition. Only possible in the manual mode.

Permitted commands

Execution conditions apply to recipe commands and phase commands. For example, the control recipe can no longer be stopped if it has the status of Cancel.

Note: The Reset command is not implemented in zenon Batch Control.

Overview of commands in Batch Control

Note: This overview has been taken from the ANSI/ISA-S88 standard (illustration 18).

Behavior for the "Stop" command

After a stop command, transitions and end parallel branch immediately go to stopped status, even if other elements are still waiting for a condition for stopping. Further subsequent commands such as Cancel are ignored. The Stopped status remains displayed.

Actions

Action | Description
Check recipe for errors | Checks the recipe for errors and displays error messages.
Edit element | Opens the corresponding dialog for editing the selected element.
Graphical design | Opens the dialog to configure background colors, grid, and display of element ID.
Duplicate recipe | Copies the selected recipe and adds it as copy to the list.
Create control recipe | Creates a control recipe on the basis of the approved master recipe.
New master recipe | Opens the dialog for creating a new recipe.
Save master recipe | Saves all changes which were done since the last saving.
Delete | Deletes the selected element.
Exchange phase | Opens the dialog for selecting a phase. The present phase is replaced by the newly selected phase.
Edit mode | Switches the mouse cursor from adding an element to edit mode. The switch back to the edit mode can also be achieved by pressing the Esc key.
Insert phase | Occupies the mouse cursor with a phase. It can be added to any allowed, free location via click.
Insert transition | Occupies the mouse cursor with a transition. It can be added to any allowed, free location via click.
Insert begin simultaneous sequence | Occupies the mouse cursor with a begin parallel branch. It can be added to any allowed, free location via click.
Insert end simultaneous sequence | Occupies the mouse cursor with an end parallel branch. It can be added to any allowed, free location via click.
Insert Begin branch | Occupies the mouse cursor with a begin branch. It can be added to any allowed, free location via click.
Insert End branch | Occupies the mouse cursor with an end branch. It can be added to any allowed, free location via click.
Insert unit allocation | Occupies the mouse cursor with a unit allocation. It can be added to any allowed, free location via click.
Insert jump target | Occupies the mouse cursor with a jump target. It can be added to any allowed, free location via click.
Switch recipe to test mode | Switches recipe to the test mode.
Release recipe | Releases the recipe. With this a control recipe can be created.


Operations

Manuel -> Batch Control -> Configure and control in the Runtime -> Operations

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Operations form a substructure that can be embedded in recipes. This can provide a better overview in complex recipes. Operations are created in a similar manner to matrix recipes or PFC recipes. The operations are created on the basis of templates and as an instance in existing matrix recipes or PFC recipes.

Creating an operation

To create a new operation:

  1. In the Recipe editor switch the list of operations to visible (activate checkbox)
  2. Select, in the toolbar or context menu of the list, the New operation command.
  3. The dialog for configuring an operation is opened.

Parameter

Description

Matrix recipe

Activate this radio button if you want to create an operation in the form of a matrix recipe.

Note: Only possible if the corresponding license is available.

PFC recipe

Activate this radio button if you want to create an operation in the form of a PFC recipe.

Note: Only possible if the corresponding license is available.

Name

Unique name for the operation. The name must not contain a dot (.), a question mark (?), a @ or an asterisk (*).

Maximum length: 256 characters.

Note: When you copy an operation the existing name is complemented with the prefix "Copy of". If the maximum length is exceeded by this, the name is shortened to the allowed length starting from the last character.

The uniqueness is checked in the entire network. Therefore it can happen that you cannot take over the name as another user on another computer in the zenon network already has used the same name and you do not see the recipe in the list of the operations yet.

The recipe names can be changed later but only as long as the recipe has the status editable.

Description

Optional description for the operation which should be created.

The description can be changed later but only as long as the operation has the status editable. To change the description select the symbol Rename operation.

OK

Applies all settings and created a new operation.

Cancel

Closes the dialog without creating an operation.

Configuration in the Recipe Editor is similar to the creation and configuration of PFC recipes and Matrix recipes.

Changes to operations are only visible for the user in the operation instance if the operation instance has been saved.

Opening operations

Existing operations can be opened by:

  • Double-clicking on an operation in the list of the operations
  • The Open in Recipe Editor command in the context menu of an operation
  • Clicking on the Open symbol in the toolbar

Using operations

Operations can be inserted in recipes in the matrix editor or in the PFC editor and used as part of the recipe there.

You insert operations:

  • In the PFC recipe using the Insert operation symbol
  • In the matrix recipe using the Add operation symbol

Phases and commands can be executed within operations. The position of the object in the recipe is also given in the CEL when a command is executed.

When inserting an operation into a recipe, the currently-saved version is always inserted. If the operation is open for editing, all unsaved changes are thus also not part of the inserted instance.

Saving operations

Operations are, as instances, always part of the master recipe in which they are integrated. If an operation instance is saved, the attendant master recipe is also saved automatically.

Tool tip

Operations have a tooltip. The following are displayed as soon as they have been executed once:

  • Execution status:
    Contains current status and original status (status from which the operation comes). The original status is evident from the visual coloring and does not always correspond to the actual last status.
  • Execution counter
  • Error:
    Shows the number of objects that currently have an error status and the number of objects that have had an error status.
  • Exit from phase:
    Number of objects that are being exited from or have been exited from
  • Total duration with time points of activation and deactivation
  • Information about the status of the internal objects: Number of objects with the respective status (except idle)

Autres sujets abordés dans ce chapitre

Toolbar and context menu operations

Selection of the template for an operation

Status operation

Symbol for execution


Toolbar and context menu operations

Manuel -> Batch Control -> Configure and control in the Runtime -> Operations -> Toolbar and context menu operations

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Toolbar list

Parameter | Description
New operation | Creates a new operation.
Open operation in Editor | Opens the selected operation in the recipe editor.
Rename the operation | Opens the dialog to rename a recipe.
Duplicate operation | Duplicates the selected operation.
Delete operation | Deletes the selected operation.
Exporter la sélection en XML... | Exports the selected operation as an XML file.
Import XML | Imports the selected XML file as operation(s).
Release operation | Checks the selected operation and approves it if no errors were found.
Column selection | Opens the dialog to select a column.
Column format | Opens the dialog to format a column.

Context Menu

Parameter | Description
New operation | Creates a new operation.
Rename | Opens the dialog to name a recipe.
Duplicate | Duplicates the selected operation.
Delete | Deletes the selected operation.
Exporter la sélection en XML... | Exports the selected operation as an XML file.
Import XML... | Imports the selected XML file as operation(s).
Open in Editor | Opens the selected operation in the recipe editor.
Release | Checks the selected operation and approves it if no errors were found.

Toolbar PFC editor: Edit mode

Parameter

Description

New operation...

Opens the dialog for creating a new operation.

Save operation

Saves the master recipe which is open for editing.

Graphical design

Opens the dialog to configure background colors, grid, and display of element ID.

Delete

Deletes the selected elements from the diagram.

Multiple selection via Ctrl+mouse click.

Check operation for errors

Checks recipe for errors and displays found errors in an information window. For several errors the first errors are displayed.

The error message contains the error number, the ID of the element, its location and a message in plain text.

Edit element

Opens the corresponding dialog for editing the selected element.

Exchange phase

Opens dialog for selecting a phase and replaces the existing phase by the newly selected phase. Several phases can be selected and replaced together

Shortcut: Shift+double click

Edit mode

Toggles between insert mode and edit mode.

Insert phase

Adds a phase.

Insert transition

Adds a transition.

Insert begin simultaneous sequence

Adds a begin simultaneous sequence.

Insert end simultaneous sequence

Adds an end simultaneous sequence.

Insert Begin branch

Adds a begin branch.

Insert End branch

Adds an end branch.

Insert unit allocation

Adds a unit allocation.

Insert jump target

Adds a jump target.

Release operation

Releases the recipe.

Note: Insertions remain active until you change to the edit mode using the Edit mode symbol, the Esc key or you change to another insert option via a symbol for adding a new element.

PFC recipe toolbar: approved

Parameter

Description

Check operation for errors

Checks recipe for errors and displays found errors in an information window. For several errors the first errors are displayed.

The error message contains the error number, the ID of the element, its location and a message in plain text.

Edit element

Opens the corresponding dialog for editing the selected element.

The dialog is opened in write-protected mode, because it is no longer possible to edit approved recipes.

Graphical design

Opens the dialog to configure background colors, grid, and display of element ID.

Duplicate operation

Created a copy of the recipe. The dialog for the input of a unique name and the description is opened.


Selection of the template for an operation

Manuel -> Batch Control -> Configure and control in the Runtime -> Operations -> Selection of the template for an operation

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Operations can be inserted into recipes as an instance. When inserting an operation into a matrix recipe or a PFC recipe, the dialog to select a template for an operation is opened. This contains all previously-configured operations:

Parameters

Description

List workspace

In the standard dialog to display the projects present in the workspace. No function in Batch Control, because operations can always be selected from the respective active project.

Hint: Drag this area down to the minimum size. It is then only displayed as minimized* in the future.

Operation list

Contains all operations that have been created. Any desired operations (matrix or PFC) can be selected for both editors (matrix and PFC).

Entries can:

  • be sorted by clicking on the column title; another click inverts the sorting
  • be filtered into filter rows by alphanumeric entries (wildcards can be used)

Cursor keys

Move the selection:

  • Up
  • Down

Status Line

Display:

  • Number of entries
  • Number of filtered entries displayed
  • Number of selected entries

No selection

Cancels existing selection for existing operation and closes the dialog.

OK

Accepts selection, closes dialog and inserts operation.

Cancel

Discards selection and closes dialog without selecting or amending a template.

*workspace minimized:


Status operation

Manuel -> Batch Control -> Configure and control in the Runtime -> Operations -> Status operation

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

The status shown for an operation always represents the status of the object with the highest priority in the operation.

The following applies to the colored identification:

  • Non-transient status: the whole operation is colored
  • Transient status: Original status and target status are displayed
  • HOLDING as original status: RUNNING (green) is always displayed

Priority

Priority of the objects in an operation, starting with the highest priority:

  1. ABORTING
  2. ABORTED
  3. STOPPING
  4. STOPPED
  5. RESTARTING
  6. HOLDING
  7. HELD
  8. PAUSING
  9. PAUSED
  10. RUNNING
  11. COMPLETE
  12. IDLE


Symbol for execution

Manuel -> Batch Control -> Configure and control in the Runtime -> Operations -> Symbol for execution

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

The symbols correspond to the symbols generally used the REE. Operations are symbolized in the REE by triangles in the left and right corner.

Symbol

Description

Tool tip

Idle:

No object is active in the operation.

Idle

In execution:

A symbol is always displayed whilst an operation is running.

If objects are still running in the operation, the progress symbol is shown.

Execution of the internal objects.

Active element active

End of operation:

If objects are already active after the operation, the symbol for following condition is displayed.

Waiting for Following conditions.

In the operation at least one execution position is waiting:

Is shown if, in semi-automatic or manual mode, execution after a phase is in the operation.

If an object has a different status within the operation, then a symbol is also displayed on the top right.

There is a different status if an object has an empty status within the operation that does not correspond to the status of the operation and is not idle or complete.


Control strategies

Manuel -> Batch Control -> Configure and control in the Runtime -> Control strategies

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Control strategies can be selected in Runtime when configuring the phase in the PFC recipe or matrix recipe. They must have already been configured in the zenon Editor.

Control strategies can only be changed:

  • In master recipes
    • In editing mode
    • Test mode
  • In operation templates:
    • In editing mode

The control strategy cannot be changed in operation instances.

Command parameters in the phase

If control strategies are activated for a phase (Stratégies de contrôle actives property in the Editor), all command parameters are initially removed when this phase is inserted into a recipe.

If the control strategy is changed in the dialog to edit a phase, then:

  • All parameters currently in this phase are removed
  • The linked parameters in the newly-selected control strategy are inserted

    These parameters are only initialized with the values that the parameter linkings currently have. The existing Runtime configurations of the parameters is lost in the process.

If a control strategy is selected for a phase, then the parameters to write to Numéro de stratégie de contrôle are inserted in addition to the linked parameters. This parameter gets the parameter number as a numerical value. It is not a recipe parameter. If the same parameter is already linked to the control strategy, the configuration of the linking is ignored!

Synchronization of changes to control strategies and control strategy activation

During synchronization, changes made in the Editor for control strategies are carried over for phases. For details, see the synchronization chapter.

Display of the control strategy

Selected control strategies are displayed:

  • In the tooltip of the phase (no display if no control strategy has been selected)
  • In the phase in the recipe.

    Matrix:

    PFC:

  • In the unit information for the active phases as an appendix
  • In the report for a phase

Control strategies and variables

If a phase is selected in the recipe, the variables for the control strategy are filled.

Parameter

Data Type

Description

Control strategy name

STRING

Displays the Nom of the control strategy that is linked to the selected phase.

Is empty if:

  • No phase is selected
  • The phase does not use any control strategies
  • There is no control strategy currently linked to the phase
  • With multiple selection

Description of control strategy

STRING

Displays the Description of the control strategy that is linked to the selected phase.

Is empty if:

  • No phase is selected
  • The phase does not use any control strategies
  • There is no control strategy currently linked to the phase
  • With multiple selection

control strategy number

LINT

Displays the Numéro de stratégie de contrôle of the control strategy that is linked to the selected phase.

Is -1 if:

  • No phase is selected
  • The phase does not use any control strategies
  • There is no control strategy currently linked to the phase
  • With multiple selection


Control recipe

Manuel -> Batch Control -> Configure and control in the Runtime -> Control recipe

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Control recipes are copies of approved master recipes that are used for production.

Autres sujets abordés dans ce chapitre

Create control recipe

Toolbar and context menu for control recipe list view

Control recipe edit mode toolbar

Execute control recipe


Create control recipe

Manuel -> Batch Control -> Configure and control in the Runtime -> Control recipe -> Create control recipe

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

You can create control recipes only based on released master recipes. Select the released master recipe in the list of the master recipes, which should serve as basis for your control recipe and click on button New control recipe....

Parameter

Description

Matrix recipe

Active: A matrix control recipe is created.

Display only.

PFC recipe

Active: A PFC control recipe is created.

Display only.

Job ID

The job ID provided by the job variables.

Name

Unique name for the control recipe. The name must not contain a dot (.), a question mark (?), a @ or an asterisk (*).

The uniqueness is checked in the entire network. Therefore it can happen that a name is not accepted as another user already used the same name on another computer in the zenon network at the same time.

You can change the name afterwards as long as the recipe has status Prepared.

Description

Optional description of the recipe.

OK

Applique les paramètres et ferme la boîte de dialogue.

Cancel

Annule toutes les modifications et ferme la boîte de dialogue.

If the control recipe was created using the symbol in the toolbar, then it is automatically opened in a new tab in the recipe editor provided this has been configured in the screen. If the control recipe has been created using the context menu, it is not opened in the recipe editor.

The newly created recipe is also displayed in the list of control recipes even if it does not match the set filter criteria.


Toolbar and context menu for control recipe list view

Manuel -> Batch Control -> Configure and control in the Runtime -> Control recipe -> Toolbar and context menu for control recipe list view

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Toolbar

Symbol | Description
Open control recipe in Editor | Opens the selected recipe in the recipe editor.
Rename control recipe | Opens dialog to rename the selected recipe.
Duplicate control recipe | Creates a copy of the selected recipe and opens the dialog to rename the duplicate.
Delete control recipe | Deletes selected recipes.
Exporter la sélection en XML... | Exports the selected control recipe as an XML file.
Import XML | Imports the selected XML file as operation(s).
Start control recipe | Starts selected control recipe.
Column selection | Opens the dialog for selecting the columns which should be displayed.
Column format | Opens the dialog for configuring the column formats.

Context Menu

Command | Description
Open in Recipe Editor | Opens the selected recipe in the Editor.
Rename | Opens dialog to rename the selected recipe.
Duplicate | Created a copy of the recipe. The dialog for the input of a unique name and the description is opened.
Delete | Deletes selected recipes.
Exporter la sélection en XML... | Exports the selected control recipe as an XML file.
Import XML... | Imports the selected XML file as operation(s).
Start | Starts selected control recipe.


Control recipe edit mode toolbar

Manuel -> Batch Control -> Configure and control in the Runtime -> Control recipe -> Control recipe edit mode toolbar

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Parameter

Type

Description

Start recipe

Command

Starts the recipe process.

Recipe pausing

Command

Pauses the recipe.

Recipe resuming

Command

Resumes paused recipe.

Recipe holding

Command

Holds recipe.

Restart recipe

Command

Restarts held recipe.

Recipe stopping

Command

Stops the recipe.

Recipe aborting

Command

Aborts the recipe process.

Phase pausing

Command

Pauses the phase.

Resume phase

Command

Resumes the process of a paused phase.

Hold phase

Command

Holds phase.

Restart phase

Command

Restarts held phase.

Escape phase

Command

Starts process to exit from the phase.

Check recipe for errors.

Action

Starts recipe validation.

Edit element

Action

Opens the corresponding dialog for editing the selected element.

Graphical design

Action

Opens the dialog to configure background colors, grid, and display of element ID.

Switch to automatic mode

Command

Switches process to automatic mode.

Switch to semi-automatic mode

Command

Switches process to semi-automatic mode.

Switch to manual mode

Command

Switches process to manual mode.

Continue recipe only at selected execution position

Command

Continues a recipe at the selected position.

Continue recipe at all execution positions

Command

Continues a recipe on every available position.

Skip active condition

Command

Skips an active condition.

Only possible in the manual mode.

Duplicate recipe

Action

Created a copy of the recipe. The dialog for the input of a unique name and the description is opened.

The copy of the recipe automatically gets the status Prepared and can therefore be edited and started. The execution status of the duplicate is set to automatic.

When duplicating a recipe, a CEL entry is created.


Execute control recipe

Manuel -> Batch Control -> Configure and control in the Runtime -> Control recipe -> Execute control recipe

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Control recipes can be started:

  • after selecting a control recipe in the list of the control recipes:
    • via click on button Start control recipe
    • via click on menu item Start in the context menu
  • via click on symbol Start control recipe in the toolbar if the control recipe is opened

PFC control recipe:

Matrix control recipe:

Change values

If, for parameters in the master recipe, the Changeable in the control recipe option was activated, these values can be amended in the control recipe as long as the phase is not active yet. In this case a button for synchronization is displayed next to the value. A click on this button take over the defined value from the master recipe.

No more values can be changed in control recipes that have already been executed.

Meaning of the symbols next to the values:

Symbol | Description
Equals sign | Value in the control recipe and in the master recipe match.
Angle brackets. | Value in the control recipe and in the master recipe are different.
Arrows in opposite direction. | Click on button to apply the value from the master recipe. It overrides the value in the control recipe. Only active if the values in the control recipe and the master recipe do not match.


Validate recipe

Manuel -> Batch Control -> Configure and control in the Runtime -> Validate recipe

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Recipes can be checked for error during the engineering. To validate a recipe, click on the corresponding symbol in the toolbar of the recipe editor in Runtime (green tick - Check recipe for errors). With this the recipe is checked for functionality according to internal rules. The following is especially checked:

  • Syntax (all lines connected, processable from begin to end, etc.)
  • Variables
  • Data Types
  • Control Strategy: Linking of control strategies and value of the linked control strategy parameter to limits of the variable

The result of the check is displayed as pop-up in plain text. Found errors are also saved in the log file which can be analyzed with the Diagnosis Viewer.

Rules which must be adhered to during the engineering can be found in chapter Engineering rules for recipes.

attention Attention

Operations that are not connected at the time of validation are ignored during validation. Their content and processes are not checked.


Recipe execution

Manuel -> Batch Control -> Configure and control in the Runtime -> Recipe execution

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Autres sujets abordés dans ce chapitre

Commands

Recipe status

Recipe Execution Engine (REE)


Commands

Manuel -> Batch Control -> Configure and control in the Runtime -> Recipe execution -> Commands

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

In the Runtime the following commands and actions are available:

  • Commands effect the recipe process.
  • Actions make it possible to edit recipes.

For a command to be accepted by the phase, the following requirements are necessary:

  • The REE must run.
  • The phase must be active.
  • The phase must be in a state in which the command is allowed.

Via multi-selection the command can be sent to several phases in the same execution cycle.

Note: A distinction is made between recipe commands and phase commands:

  • Recipe commands affect the execution of all phases active in a recipe, as well as the status of the recipe itself.
  • Phase commands are only applied to the selected phase functions (multiple selection is possible).
Command | Description
Start recipe | Starts the recipe process.
Recipe pausing | Pauses the recipe process.
Recipe resuming | Resumes a paused recipe.
Hold recipe | Holds the recipe process.
Restart recipe | Restarts all active elements in the held recipe.
Stop recipe | Stops the recipe.
Recipe aborting | Aborts the recipe.
Phase pausing | Pauses the phase.
Resume phase | Resumes the paused phase.
Hold phase | Holds phase.
Restart phase | Restarts the held phase.
Escape phase | Abort phase. Only available in manual mode.
Switch to automatic mode | Switches the REE to automatic mode.
Switch to semi-automatic mode | Switches the REE to semi-automatic mode.
Switch to manual mode | Switches the REE to manual mode.
Continue recipe only at selected execution position | Continues a recipe at the selected position.
Continue recipe at all execution positions | Continues a recipe on every available position.
Skip active condition | Skips an active condition. Only possible in the manual mode.

Permitted commands

Execution conditions apply to recipe commands and phase commands. For example, the control recipe can no longer be stopped if it has the status of Cancel.

Note: The Reset command is not implemented in zenon Batch Control.

Overview of commands in Batch Control

Note: This overview has been taken from the ANSI/ISA-S88 standard (illustration 18).

Behavior for the Stop command

After a stop command, the phases, transitions and end parallel branch immediately go to stopped status, even if other elements are still waiting for a condition for stopping. Further subsequent commands such as Cancel are ignored. The Stopped status remains displayed.

Behavior for the "Stop" command

After a stop command, transitions and end parallel branch immediately go to stopped status, even if other elements are still waiting for a condition for stopping. Further subsequent commands such as Cancel are ignored. The Stopped status remains displayed.


Recipe status

Manuel -> Batch Control -> Configure and control in the Runtime -> Recipe execution -> Recipe status

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Status for master recipes

Master recipes can have the following states:

  • Editable: In this state everything can be changed. Each new master recipe is created in this status.
  • Test mode: In this status the recipe behaves similar as a control recipe. The arrangement of the elements cannot be modified. It can be executed and all commands, actions, modes, etc. are available. You can also change all command tags for which option Changeable in the master recipe was activated.
    Exception: If a phase is active at the moment, changes are not possible. Decisive for this is the status at clicking button OK. If the phase is active, the value changes are not taken over and an error message is displayed.
    In test mode recipes can be executed consecutively several times. This is not the case for control recipes.
    Changes from the Editor are only applied after reloading or after Runtime has been restarted, however only once the recipe has been ended.
  • Released: In this status no changes to the recipe are possible
    Note: Changes to the phases or to the reactions in the Editor are also not transferred to a master recipe. The master recipe always contains the status as at the time of approval.
    Exception: Changes to variable and function are not considered by these protection mechanisms. This can lead to a master recipe and all control recipes based on it becoming invalid. If e.g. the data type of a variable is changed from Bool to String, the validation function is no longer run through and the recipe can no longer be used as long as the error is not fixed in the Editor. Likewise the units themselves are not protected as they are used recipe-spanning. If a unit name is changed in the Editor, it immediately takes effect after reloading or a Runtime restart on all phases which are based on it.

    To be able to release a master recipe, the recipe must be validated without errors. The validation is done automatically during the release and cannot be avoided. Control recipes can only be created from released recipes.

    If a master recipe with status Release should be modified, you must create a copy of the master recipe via command duplicate. The copy gets status Editable.

Status for control recipes

Control recipes can have the following states:

  • Prepared: A newly created control recipe has this status. In this status, it can be started and command tags, for which option Changeable in control recipe was activated, can be changed.
  • In execution: The control recipe was started and is processed. It remains in this status until it is Completed, Stoppedor Canceled. You can learn the exact state of the recipe from the execution status.
    In this status, command parameters for which the Changeable in control recipe option was activated can be changed.
    Exception: If a phase is active at the moment, changes are not possible. Decisive for this is the status at clicking button OK. If the phase is active, the value changes are not taken over and an error message is displayed.
  • Finished: The recipe reached its final state. It can no longer be restarted and it also cannot be changed. Changes to command tags are not possible. Finished control recipes can be duplicated and deleted.


Recipe Execution Engine (REE)

Manuel -> Batch Control -> Configure and control in the Runtime -> Recipe execution -> Recipe Execution Engine (REE)

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

The REE (Recipe Execution Engine) executes recipes in the Runtime. You can start any number of recipes.

Autres sujets abordés dans ce chapitre

Symbols and Color

Create recipe image

Behavior of elements in Runtime

Mode and mode change

The execution status

Step-by-step execution of a recipe and jumps in the recipe

Process of a phase in detail

Escape phase

Restart phase

Secure writing of the command parameters

Exit and restart Runtime


Symbols and Color

Manuel -> Batch Control -> Configure and control in the Runtime -> Recipe execution -> Recipe Execution Engine (REE) -> Symbols and Color

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

The states during the process of a phase are displayed with the help of different symbols. Some symbols are also used for transitions and end parallel branch.

Symbols for the inner status:

Symbol | Meaning
 | Phase starts.
 | Waiting for communication with the controller
 | Waiting for unit allocation. The unit of the phase is already being used in another recipe.
 | Waiting for unit allocation expired.
 | Waiting for exclusive execution. Another instance of the phase is active in the same recipe.
 | Writing of the initial tags.
 | Writing of the initial tags failed.
 | Checking the input interlocking.
 | Waiting for input lock expired.
 | Writing the value tags.
 | Writing the value tags has expired.
 | Waiting for minimum execution period.
 | Phase: Waiting for phase done condition. Transition: Waiting for transition condition. End parallel branch: Wait until execution is finished in all branches.
 | Maximum waiting period expired.
 | Waiting for following condition.
 | Waiting time for following condition expired.
 | After the Restart command when waiting for the restart condition.
 | After the Escape phase command when waiting for the escape condition.

Symbols for errors:

The symbols in the bottom left corner of the phase provide information on the error status of the phase. They can occur ion any desired combination with the symbols for the inner status.

Symbol | Meaning
 | There is a communication error.
 | Communication error rectified, wait for acknowledgment of the communication error.
 | Communication error rectified (and acknowledged if required)
 | PLC error.
 | PLC error rectified.

Symbols for "Escape phase":

The symbols in the bottom right corner of the phase provide information on the status when escaping from the phase.

Symbol | Meaning
 | Waiting for escape condition.
 | Escape condition met.

If an error occurs during a phase, the phase is marked as faulty until it is restarted.

Status

The execution status of phases, transitions and end simultaneous sequence is signaled in color:

Status

Color

Idle

White

In execution

green

Executed

blue

Stopping

Two colors:

  • yellow
  • Original color

Stopped

yellow

Pausing

Two colors:

  • orange
  • Original color

Paused

orange

Holding

Two colors:

  • gray
  • Original color

Held

gray

Aborting

Two colors:

  • red
  • Original color

Aborted

red

Restarting

Two colors:

  • green
  • Original color

Force

(phases or transitions only)

Violet border

Timeout

red border


Create recipe image

Manuel -> Batch Control -> Configure and control in the Runtime -> Recipe execution -> Recipe Execution Engine (REE) -> Create recipe image

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

During batch operation, all recipes that are currently being executed can be saved with all recipe data in a recipe image (Image) . Saving is possible as follows:

  • When Runtime is closed: an image of all running recipes is created automatically.
  • Cyclical: in a freely-definable time period between 30 and 4294967295 seconds, a recipe image is written (optional)
  • When activating a phase: if a phase is activated, arecipe image is written (optional).

These methods can also be combined as desired. It can thus be ensured that Batch operation can also be continued correctly at any time in the event of errors.

Ending the recipe image in Runtime

If the Trigger end of Runtime event is triggered, the ending of Runtime is prevented until the Batch Control module has backed up all data. A process screen is created that represents the initial status for the restart. Likewise, it is ensured that the parameters of the Write set value action arrive at the control unit securely. Internally the phase is paused only when the writing confirmation from the driver ensued. This recipe image contains the images of the REEs, the order of the allocations and all reactions that are needed when restarting. Find out more information in the chapter Exit and restart Runtime.

Cyclic writing of a recipe image

A recipe image can also be written cyclically during Runtime. As soon as Activer écriture cyclique is activated, a recipe image is created in the given cycle.

To activate cyclical writing:

  1. Navigate to the Image de recette group in the properties of the Batch Control module.
  2. Activate the Activer écriture cyclique property.
  3. In the Temps de cycle [s] property, create the time period for the writing of the recipe image; the minimum time period is 30 seconds.

With cyclical writing, the last two image files are always retained. Older ones are deleted. Writing is a two-stage process:

  1. The recipe image is written to the TemporaryImg.REE file.
  2. If this was successful, the next version number is issued and the temporary file is renamed to the new version.

With cyclically-created images, all recipes that are currently running are saved in the recipe image. This ensures that the recipe is appropriate to the execution status on restarting. To do this, the recipe from the recipe image overwrites the recipe in Runtime when restarting. It is only possible to restart if the recipe in question still exists and is still in an execution status. The recipe is not restarted if the recipe has already ended after the recipe image has been created.

Recipe image when activating a phase

A recipe image can also be created when activating a phase. To create a recipe image each time a phase is activated:

  1. Go, in the properties of the Batch Control module, to the Image de recette group.
  2. Activate the property Écrire l'image de la recette lors de l'activation d'une phase

A recipe image is written in Runtime each time a phase is activated.

Saving and restoring

REE images are stored in the project folder with the following naming convention: Batch[Version-Hex].REE

With the file extension .REE, image files are read in when Runtime is started and the most recent version is identified. The most recent version is the recipe image to be loaded and remains as a file after restarting. All other files with the extension .REE are deleted.


Behavior of elements in Runtime

Manuel -> Batch Control -> Configure and control in the Runtime -> Recipe execution -> Recipe Execution Engine (REE) -> Behavior of elements in Runtime

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

The basic principle is: Phases and all elements that follow them (transition, end simultaneous sequence, start simultaneous sequence, allocation) remain active until the next phase becomes active. Exception: A manual skip is carried out.

Phases

All phases paused

In manual mode, it is possible to assign all phases the status paused.
For example: The branch continues to be gone through before the end simultaneous sequence after the end of this. The active element is thus after the end simultaneous sequence and before the next phase. All phases before the end simultaneous sequence have the status paused. These phases are now only set to hold and then to restart. The other phases remain paused. If the restarted phase is ended, there is only one active element. If this is activated with the Next step, then no active element is present any more. The end simultaneous sequence element remains paused however and does not switch through.

Solution: Continuation of the paused phases.

Pause and Resume

The following applies to pausing and resuming:

  • Switching from manual mode to automatic: All paused phases are continued.
  • Pausing and resuming with active element: With a Continue command, active elements are not continued. Active elements are only continued with the Continue phase command, as well as the Continue recipe only at selected execution position and Continue recipe at all execution positions commands.
  • If a phase is paused in manual mode and the execution mode is switched to automatic, the phase is continued. Switching to automatic execution mode implicitly executes a Continue phase command.
    • A Pause phase command, followed by a Pause recipe and Continue recipe command puts the paused phase back into the status of running.
  • The recipe status changes to running after global pausing and resumption. However phases with active elements remain paused and the active element remains unchanged.
  • The recipe status remains as running after local pausing and resumption. The recipe is resumed at the active elements. This also applies if the active element has been moved.

Branches

The following applies in branchings:

  • As long as the left transition does not have a value, the right transition is ignored.
  • If the transition condition is met for both transitions, the left branch is selected.

Stopping elements

If an end simultaneous sequence is stopped, it becomes inactive immediately and does not react to any more REE commands such as cancel. Therefore is also does not change to the status aborted after a cancel command. The same applies to transitions. In contrast, phases may wait after stopping for further conditions to be met.

Transitions

  • Transitions remain active until a subsequent phase or the end of the recipe has been reached. This also applies if a transition is followed by an End simultaneous sequence and a further transition.
  • In branches, impulses for a transition are ignored for as long as the transition to the left of the transition concerned does not have a valid value.
  • Transitions are deactivated with hold and restart. The active element is activated again in manual or semi-automatic mode.

Active element and jump targets

Command

Description

Continue

If an object is paused and an active element is located after it, continue has the same effect as Next step. This also includes jumps.

At a phase command the command only effects a jump in the same branch.

Stop

Depending on the object:

  • Stop phase: removes execution positions in the branches
  • Stop recipe: removes all execution positions

Pause

Has now effects for jump targets. Already defined targets remain.

Others

Always causes the deletion of the jumps.

For a phase command only the jump in the area of the phase is deleted.


Mode and mode change

Manuel -> Batch Control -> Configure and control in the Runtime -> Recipe execution -> Recipe Execution Engine (REE) -> Mode and mode change

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

The REE can run in three modes:

  • Automatic: The recipe runs entirely automatically.
  • Semi-automatic: The recipe is executed manually. Conditions cannot be jumped.
  • Manual: Each step in the recipe or operation is executed manually; conditions that are being waited for can be skipped.

To execute a recipe manually or semi-automatically, the operation types Step-by-step execution of the recipe and Jump can be used.

When switching to automatic mode, all execution positions are removed. Global commands are only executed in branches that have no execution positions.

info Informations

To react on serious events, you can change the mode during the running process via reaction type influencing the recipe.


The execution status

Manuel -> Batch Control -> Configure and control in the Runtime -> Recipe execution -> Recipe Execution Engine (REE) -> The execution status

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

The following statuses are possible for recipes:

Status

Description

Idle

The REE is in idle state.

In execution

When starting a control recipe, it changes to the status running. However, individual elements in the recipe can have a different status.

Executed

A recipe changes to Completed status as soon as:

  • As soon as the end element has been reached in a PFC recipe
    or
  • in a matrix recipe, all phases have been fully processed

In this status execution is not possible.

Pausing

After a Pause recipe command, the recipe is in the pausing status. It remains in this status until all phases in execution are in the paused status. Only then does the recipe get the status paused.

Paused

All active phases of the recipe are paused or held. Within the phase the process stops at:

  • Waiting for unit allocation.
  • Check for parallel execution.
  • Waiting for input interlocking.
  • Waiting for phase done condition.
  • Waiting for following condition.

Holding

After a hold recipe, the recipe is in held status. Only once all active phases are in the held status does the recipe also switch to the held status.

Held

All active phases of the recipe are held. Within the phase the process stops at:

  • Waiting for unit allocation.
  • Check for parallel execution.
  • Waiting for input interlocking.
  • Waiting for phase done condition.
  • Waiting for following condition.

Restarting

After the Restart recipe command, the recipe is in the Restarting status. Only once all previouslyheld phases in the recipe are started does the recipe status also switch to in execution.

Stopping

After a Stop recipe command, the recipe is in Stopping status. Only once all active phases are in stopped status does the recipe status switch to stopped.

Stopped

All active phases in the recipe have been stopped. A stopped control recipe cannot be continued again or restarted.

Aborting

After an Abort recipe command, the recipe is in the aborting status. Only once all active phases are in aborted status does the recipe status switch to aborted.

Aborted

All active phases in the recipe have been aborted. An aborted control recipe cannot be continued again or restarted.

Prepared

Prepared for execution.


Step-by-step execution of a recipe and jumps in the recipe

Manuel -> Batch Control -> Configure and control in the Runtime -> Recipe execution -> Recipe Execution Engine (REE) -> Step-by-step execution of a recipe and jumps in the recipe

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Step-by-step execution of a recipe

A recipe can be executed step-by-step if:

  • The recipe is in either semi-automatic or manual mode
    and
  • The status of the recipe is running.

For the step-by-step execution the execution is paused as soon as an element is finished with its execution. The holding is done via the command Pause to the concerned execution path. As soon as all active elements in this path have reached the status of paused, the active element is marked by a red arrow. Operations are treated like all other objects of a recipe.

The execution is resumed with:

  • a selective step: selection of the corresponding arrow (green)
  • a global step: all positions with arrows for possible resuming are started

Communication error with step-by-step execution

If an communication error occurs with a phase whilst this is waiting for an active element, the active element is no longer displayed until the problem is rectified. However, if in the meantime, the execution is switched to automatic mode, then the phase is no longer paused and must be continued. This also applies if a switch to manual or semi-automatic mode is made again.

Commands

Global commands

For global commands all execution positions are deleted as the execution cannot be resumed from there.

Exceptions: Pause and Resume. The execution positions remain as they are.

Phase commands

  • Hold for a phase: The active element is deleted from the execution path of the phase.
  • Resume: If there is an active element, a selective next step is executed in this execution path.

Special cases:

Phase command hold and restart in a parallel branch for active End parallel branch

If you hold in this example (images from left to right) a parallel branch and restart it, then you will reach after a step-by-step execution the already paused end parallel branch. To resume the execution from here, the left phase must receive command Resume.

Only one path in a parallel branch with an active phase before step-by-step execution

If, in a parallel branch with a phase before, only one path is executed completely and waiting is taking place in one of the other parallel branchEs (phase before is running), no active element is displayed in the parallel branch. To get them in the other path, the phase must be paused with a phase command. After that it is possible to execute the path completely.

However, if the parallel branch with the active element continues to be executed, the phase before the parallel branch is deactivated. The left path thus remains paused and without an active element. As there is not active phase, the execution can only be resumed with a global Pause and Resume.

Jump

Jump means to move from one position to another, distant position during execution in order to continue the execution there.

To jump:

  1. Select an active element with the mouse cursor.
  2. Move it to one of the offered targets.
  3. Execute Continue recipe only at selected execution position.

All active elements in front of the source pointer are deactivated and the object after the target is activated.

If a jump is registered for which source and target are analogously the same (jumps over lines, jump targets or end branch objects), this jump is ignored and a simple step is executed.

Jumping in simultaneous sequences

If, in parallel sequences, a jump is made in first parallel branch via the phase, then the first phase before the parallel branch is deactivated. Therefore no phase is active. Phases cannot be skipped if this means that no phase would be active in the recipe. The following behavior when skipping leads to an error:

  • Recipe with simultaneous sequence

  • A global step activates the phase before begin parallel sequence.

  • After the next step, the active element is before the phase in the simultaneous sequence.

  • The active element is moved behind this phase.

    Rule when jumping: Objects before a begin parallel sequence become inactive as soon as objects become active after this.
    Thus the first phase becomes inactive when jumping. The skipped phase in the parallel branch never became active, nor did the following phases.
    Thus no phase is still active in the recipe:


Process of a phase in detail

Manuel -> Batch Control -> Configure and control in the Runtime -> Recipe execution -> Recipe Execution Engine (REE) -> Process of a phase in detail

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

A phase is always processed sequentially after the same pattern. To break down the exact process, you also need a following condition. For this display we use a transition as following condition. We give the phase the name Phase 1. You can find additional special process behavior with following condition in chapter Following condition.

Phase/Transition | Event
Phase is activated | Phase activated
All variables of the phase are registered at the drivers. |
Unit allocation is started and waiting period unit allocation is started. | If the unit allocation was not successful in the first try: Unit allocation not possible
Optional: Unit allocation possible within the waiting period. | Waiting period unit allocation exceeded
Check is started whether phase isn't already executed. This can happen if the phase is already active in a parallel branch or if the unit allocation was skipped manually and the phase is already executed in another recipe. | Phase started multiple times
Start writing of the initial parameters and phases. | Phase started
Check of the input interlocking is started and Waiting period input interlocking is started. | If the checking of the input interlocking was not successful in the first try: Input interlocking blocked
Optional: Condition of the input interlocking not TRUE within the waiting period. | Waiting period input interlocking exceeded
Writing the value tags. | When all value tags were written: Finished writing value tags
Checking of the phase-done condition is started and time for Minimum execution duration and Maximum execution duration is started. |
Optional: Phase-don condition fulfilled but Minimum execution duration not reached. |
Optional: Condition of the Phase-done condition not TRUE within the Maximum execution duration. | Maximum execution period exceeded
Phase-done condition is TRUE and minimum execution duration is reached or exceeded. Waiting period following condition is started. Transition is activated | Phase finished
All variables of the transition are registered at the drivers. |
Optional: Following condition not within waiting period TRUE The transition condition is checked. | Waiting period following condition exceeded
The next phase is activated. The following condition can be composed from several objects (e.g. transition + unit allocation). No till the next phase is reached (or the end of the recipe), the following condition counts as fulfilled. |
Phase is informed that the following condition is fulfilled. Transition condition is TRUE. | Phase deactivated
All events of the phase are deactivated. |
All variables of the phase are signed off from the drivers. All variables of the transitions are signed off from the drivers. |
The phase is deactivated. The transition is deactivated. |

Rule for values of transitions

If the condition of a transition is TRUE whilst the transition is active, the transition is marked as ended. If its value should change to FALSE later, the execution of the recipe is not influenced.

Global pausing and continuation if there is a communication error

If a phase is paused and there is a communication error, this cannot be simply continued. Phase commands are prevented, recipe commands are circumvented. If the recipe is paused, a Continue recipe recipe command can be sent. As a result of this, the recipe changes to the status running, but the execution path of the phase concerned remains unaffected.

Autres sujets abordés dans ce chapitre

Following condition


Following condition

Manuel -> Batch Control -> Configure and control in the Runtime -> Recipe execution -> Recipe Execution Engine (REE) -> Process of a phase in detail -> Following condition

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Following condition

Once a phase has been executed, it remains active whilst the recipe process is continued. Only once the next phase is activated or the end of the recipe has been reached is the phase deactivated. This is marked as a following condition. This is also applicable if, between the phase and the following phase (or the end of the recipe), there are other elements such as a transition or end simultaneous sequence. This behavior ensures that the unit allocation remains after execution of a phase up to the start of the next phase.


Escape phase

Manuel -> Batch Control -> Configure and control in the Runtime -> Recipe execution -> Recipe Execution Engine (REE) -> Escape phase

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

It is possible to exit a phase during execution. Execution is then continued after the phase without having to run through the outstanding steps of the phase. It is only possible to exit a phase in manual mode. In the Editor, it is also possible to configure a condition in the État transitoire de condition/Condition de sortie (échap) property.

It is also possible to exit if the phase is in this status:

  • In execution
  • Pausing
  • Paused
  • Holding
  • Held
  • Restarting

If the exit command has been reached, the current execution step is canceled and checking of the Condition de sortie (échap) starts immediately. If the condition exiting is met, all necessary steps are instigated so that the object changes back to the status of running:

  • Restarting: The normal procedure is continued from the Wait until the recipe has the status "running". That means: None of the steps between instigating the exit and Wait until the recipe has the status "running" are executed.
  • In execution: The normal procedure continues to be executed after the phase or the phase waits for the pause condition to be met.

No more transient conditions are checked from the start of the check for the exit of a phase. Only after a switch to stopping or aborting is the checking of Condition de sortie (échap) interrupted.

Behavior when exiting from the phase depending on the execution status:

  • Exit from the phase from holding or from held:
    A restart is only carried out internally when switching back to running. The execution data is retained with the object. This also applies if a restart is carried out during the checking Condition de sortie (échap).
  • Exit from the phase if the recipe status is not running or restarting:
    If there is a different recipe status, once the condition has been met, waiting continues until the recipe status changes to running or restarting. This also makes it possible to exit with a different recipe status.
    For example: The recipe has the status held. The exit action is carried out for a phase. Then the end of the exit is only reached if the user executes a global restart command. This also makes it possible to exit if the recipe has the status held, without using the normal mechanism for a restart.

info Informations

If an error occurs with communication to the PLC, the check of the exit conditions is postponed until the error has been rectified.

Suppression of reactions when exiting

Most events for the status change and mode change are suppressed whilst a phase is exited. The checking of the Condition de sortie (échap) has priority and the status change is also carried out without the condition being checked. Exceptions to this are stopping and aborting, as well as End Runtime triggered and Runtime restart, because these have a higher priority than Exit without phase. These events are triggered, as well as the event for Linked variable invalid.


Restart phase

Manuel -> Batch Control -> Configure and control in the Runtime -> Recipe execution -> Recipe Execution Engine (REE) -> Restart phase

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Phases can be restarted. In doing so, all connected active objects are deactivated, including connected simultaneous sequences. A phase always carries out a series of event for activation, start and finished, regardless of the number of restarts. Events that have already been carried out are skipped on restarting. Transient conditions are only checked after the start event.

Deactivation

At the restart of a phase, all active objects are deactivated in principle, however only if they are linked. Isolated active objects are not deactivated.

Sequence of deactivation

The deactivation starts from the object which has been active the longest. After the restart this object is also going to be activated. If this object is deactivated, it also deactivates all branches to which it can establish a connection via an active object.

Isolated branch

A branch is isolated if it is not connected to another branch via an active object. The deactivation only takes place between connected branches. As long as an object does not have status Completed, there is not active connection to the following object.

Restart of selected phases

One or more phases can be selected and restarted. For the selection of several phases, they must be in separate branches.

The oldest object is restarted in the selected branch. With this all active objects in the connected branches are deactivated.

Global restart

The global restart carries out a restart for all phases. The restart is done for the oldest active object and with this all connected, active objects are deactivated. All remaining active objects are in an isolated branch. Here also the oldest object is restarted until all active objects were dealt with.


Secure writing of the command parameters

Manuel -> Batch Control -> Configure and control in the Runtime -> Recipe execution -> Recipe Execution Engine (REE) -> Secure writing of the command parameters

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

The command parameters (initial parameters and value parameters) are written to the PLC securely. The waiting time can be configured in the Editor.

Procedure

The following applies when writing command parameters:

  1. Waiting occurs until all parameters to be written as inverted have a value
    • If this is not possible within the configured waiting period, 3 attempts are made.
    • If there are still parameters with no value, no parameter is written, not even those with a value.
  2. If all attempts have been unsuccessful, the Command parameter without value event is triggered.
  3. Command parameters are written.
  4. The actual values are compared to the written values.

    These are read in again after the parameter values have been written. If the values read after the set waiting time do not correspond to the written values, all parameters are written again. There is a maximum of 3 repetitions.

  5. If secure writing is unsuccessful, a communication failure event is triggered. That means:
    • The error must be acknowledged.
    • The phase must be put back to the status "running".
    • Writing is restarted once continued.
    • The execution of the function is restarted in the event of a restart.
  6. The procedure can be paused, held etc. using commands whilst secure writing is being carried out. If the phase has the status paused and it is then continued, the writing is also restarted. In doing so, the values to be inverted are recalculated for a command parameter to be toggled.
  7. Writing of the command parameters can also be skipped.
  8. If Runtime is ended whilst writing the command parameters, these are rewritten when Runtime is started. Parameters to be toggled are recalculated.

Duration, start time and end time of the writing are displayed in the tooltip of the phase.

Configuring the waiting period

To configure the waiting period for secure writing:

  1. Navigate to the Général/Ecriture protégée group in the properties of the Batch Control module.
  2. Enter the desired waiting period in the Time out pour la protection d'écriture property.

info Informations

The waiting period includes all waiting processes in the whole write process:

  • Waiting for values for all parameters to be written.
  • Waiting for confirmation of the written parameters.
  • Waiting for reading of the variables.

If the default value of 20 seconds is used, all wait processes within 20 seconds must be concluded positively. If the waiting period has expired without a positive result, writing is started over.


Exit and restart Runtime

Manuel -> Batch Control -> Configure and control in the Runtime -> Recipe execution -> Recipe Execution Engine (REE) -> Exit and restart Runtime

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Actions on restarting

Actions can be predefined for restarting Runtime after closing. These can be defined for:

  • Redémarrage après arrêt normal du Runtime
  • Redémarrage après défaillance du système

One of the following actions can be selected for each of the two properties:

  • Hold recipe: The complete recipe is held after restarting.
  • Recipe pausing: The complete recipe is paused after restarting.
  • Retain recipe status: After restarting, the recipe is set to the same status as before closing.

Status change

After restarting, an attempt is made to execute the configured status change. To do this, the corresponding command must also be executable. The status Restarting for recipes and phases is handled in the same way as in execution. That means:

  • Paused is set for: In execution, pausing and restarting.
  • Held is set for: In execution, pausing, paused, holding and restarting.

Transient conditions are not checked and events are not set. Therefore the status in the recipe can be brought in line with the status of the equipment, without sending events to the equipment for the status change.

Image file

At closing the Runtime an image file of the running recipe is created. It contains the images of the REEs, the order of the allocation and all reactions which are needed for the restart.

Allocations

After the restart the allocations match the state before the finishing. It is saved who allocated a unit and who forced an allocation in which order. If a recipe cannot be restarted (e.g. because of failed validation), the allocations for this recipe are removed.

Reactions

Reactions which were triggered by the process are also incorporated in the image if they are active. They are then executed after the REE is restarted. This guarantees that the reaction is always executed as a whole either before the image file is created or after the restart.

The Exit Runtime reaction is always executed and can never be incorporated in the image.

Synchronous writing

The REE manages the confirmation for all variables whose write set value should be executed synchronously. The time out for this is defined by the time within which the Runtime must be closed. For each write acknowledgment the time out is restarted. This restart is logged in the LOG file.

Variables which don't access a driver are always written without an acknowledgment even if an acknowledgment is requested. Internal drivers do not support acknowledgments.

Allocate tag

As during the start of the Runtime all drivers are also started, it is possible that they do not provide valid values if they are needed at the restart. During the restart it is not waited for the value update. This does not ensure that the value is written as expected. If no value is available, the alternate value is used.

There is a wait for the values of internal drivers if they are available within 2 cycles.

Checking for a communication error

A check is also made for communication errors when restarted if this has been configured.


Manage recipes

Manuel -> Batch Control -> Configure and control in the Runtime -> Manage recipes

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

The entire recipe management is done in the Runtime with the help of one or several screens of type Batch Control. Due to suitable filter settings you can achieve already filtered views for master recipes or control recipes.

In the screen different control elements (buttons, lists, editors) are available for different tasks. The screen can also be configured so that it is divided into three main areas which can be also used completely independently from one another:

  • Area master recipes: Consists of a list and buttons for managing. The area can be used completely independently.
  • Area control recipe: Consists of a list and buttons for managing. The area can be used only together with the list of the master recipes as a master recipe must be selected first before the appertaining control recipes are displayed in the list.
  • Recipe editors: Depending on the set recipe type the PFC editor or the matrix editor is used.

Autres sujets abordés dans ce chapitre

Manage master recipes

Manage control recipes

Import recipes

Saving on the hard disk and backup scenarios


Manage master recipes

Manuel -> Batch Control -> Configure and control in the Runtime -> Manage recipes -> Manage master recipes

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

List and list formating

List/action

Description

Master recipes list

In this list all master recipes can be displayed. The display can be limited by filters to an individual selection.

The filtering can be preset in the zenon Editor in the screen switch function. Filtering in Runtime is also possible. These filter settings are not saved in Runtime. This means that the filters must be entered again when called up again. A permanent pre-setting of the filter is only possible with configuration in the zenon Editor.

All commands are also possible in the context menu of the list. The commands for list management can be called from the header of the list. The commands for recipe management can be called at editing one or more recipes.

The recipes in the list cannot be edited directly in the list. Renaming, changing the description or changing the recipe status is only possible with the corresponding commands.

Hint for ideal configuration of the list:

The list can be designed diversely concerning content and look:

  • Content: The displayed columns can be selected, the column format (column width, alignment, label) can be changed and you can define filters. These settings can be edited in Editor and Runtime.
  • Look: At the settings of the list in the Editor you can find diverse setting possibilities in areas Affichage, Ascenceurs and Remplissage. With these properties you can even design the list ready for touch operation.

Actions for list management

Action | Description
Column selection master recipe... | Opens a dialog in order to determine which columns should be displayed. Attention: These changes are discarded when the screen is called up again. A permanent definition is only possible in the zenon Editor.
Format columns master recipe... | Opens a dialog to edit the column settings. Attention: These changes are discarded when the screen is called up again. A permanent definition is only possible in the zenon Editor.

Actions for recipe management

Action

Description

New master recipe...

Creates a new and empty master recipe in status Editable. The dialog for entering a unique name and a free description is displayed. The uniqueness of a name is also checked in the zenon network.
Depending on the licensing, there may also be the possibility to select the recipe type: Matrix recipe or PFC recipe. If only one of these recipe types is licensed, the licensed recipe type is fixedly set. The selected recipe type cannot be changed afterwards.

When creating a master recipe, a CEL entry is created.

Create new version

Master recipes can also be versioned. In doing so, a copy of an approved or obsolete report is created. This copy is in edit mode and contains a unique version number. The new recipe can be edited, but not renamed. Individual versions, including the source recipe itself, can be deleted.

Duplicate master recipe

Only active if exactly one recipe is selected.
Created a copy of the selected recipe. At the creation of the copy, the version of the recipe saved on the hard disk is used. If the recipe is just edited in another computer and the changes have not yet been saved, the changes are not applied. The dialog for the input of a unique name and the description is opened.
The copy of the recipe automatically receives status Editable and can be edited further.

When duplicating a recipe, a CEL entry is created.

Delete master recipe

Deletes the selected recipes irrevocably. If the recipe is opened on another computer for editing, it is automatically closed there.
Deleting is only possible if there are no control recipes which are based on the master recipe. First you must delete all control recipes.
Recipes which are currently executed in test mode (master recipe status: Test in execution) cannot be deleted. First they must be finished, stopped or canceled.

If recipes must not be deleted - e.g. in an FDA-regulated environment - it is recommended that this button is not configured or that it is given an appropriate Niveau d'autorisation.
A CEL entry is created when a recipe is deleted.

Exporter la sélection en XML...

Exports the selected master recipe as an XML file.

Import XML

Imports the selected XML file as master recipe.

Rename master recipe

Only active if exactly one master recipe was selected.
The dialog for the input of a unique name and the description is opened.
Recipes can only be renamed if they are in status Editable.
Also use this function in order to change the description of the control recipe.

When renaming a recipe, a CEL entry is created.

Open master recipe

Opens the selected master recipe in the recipe editor if screen element Recipe editor exists in the screen. Each selected master recipe is opened in a separate tab of the recipe editor.

Release master recipe

Changes the master recipe status of the selected recipes to Released. Only recipes without errors can be released. If error occur during the validation, you must first fix them.
Only recipes in status Test mode and Editable can be released.

Released recipes can no longer be edited. Control recipes can only be created from released recipes.
For details about the states see chapter Recipe types and recipe states.

When releasing a recipe, a CEL entry is created.

Test master recipe

Changes the master recipe status of the selected recipes to Test mode. Only faultless recipes can be switched to test mode. If error occur during the validation, you must first fix them.

Recipes in the test mode can be executed but no longer reengineered. For details about the states see chapter Recipe types and recipe states.

Edit master recipe

Changes the master recipe status of the selected recipes to Editable. In this status, recipes can again be edited completely.
Only recipes in Test mode can be set back to Editable.

Highlight master recipe as outdated

Changes the status of the recipe to outdated. The recipe can no longer be edited or approved. No control recipe can be created on the basis of this recipe.

New control recipe...

Opens the dialog for entering a unique name and a description for the control recipe. The uniqueness of the name is also checked in the zenon network. The name must only be unique within the master recipes. Control recipes which are based on other master recipes may have the same name. The uniqueness within module Batch Control is achieved by always referencing the master recipe name and the control recipe name.

When creating a control recipe, a CEL entry is created.

Actions for filling the control recipe list

As each control recipe can be executed only once, we assume that there are very many control recipes. As during the loading of the list of the control recipes each control recipe is opened on the hard disk, it makes sense to not display all control recipes. Control recipes are therefore not automatically opened by default. They must be called up manually and via filters:

  1. Provide the fitting filter options.
  2. Select the desired master recipe.
  3. Click on button Display associated control recipes in list.
  4. All control recipes appropriate to the filters and the selection are displayed in the list of the control recipes.
Action/filter | Description
currently executed control recipes | Opens control recipes that are currently being executed. Control recipe status: In execution
prepared control recipes | Opens control recipes which are prepared for execution. Control recipe status: Prepared
finished control recipes | Opens control recipes which have already been executed. Control recipe status: Executed
Outdated control recipe | Opens control recipes that have been marked as outdated. Control recipe status: Outdated
Show related control recipes in list | Displays all control recipes that are based on the selected master recipe and that comply with the set filter criteria.


Manage control recipes

Manuel -> Batch Control -> Configure and control in the Runtime -> Manage recipes -> Manage control recipes

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

List and list formating

List/action

Description

Control recipe list

In this list all control recipes can be displayed. The display can be limited by filters to an individual selection.

Per default the list is empty. The following must be the case for the list to be filled:

  • Master recipes must be selected
  • Set the currently-executed control recipes,
    prepared control recipes and
    completed control recipes
    filters
  • click button display associated control recipes in list

In addition to the filters mentioned above, you can filter the list itself. The filtering can be preset in the zenon Editor in the screen switch function. Filtering in Runtime is also possible. These filter settings are not saved in Runtime. This means that the filters must be entered again when called up again. A permanent pre-setting of the filter is only possible with configuration in the zenon Editor.

All commands are also possible in the context menu of the list. The commands for list management can be called from the header of the list. The commands for recipe management can be called at editing one or more recipes.
The recipes in the list cannot be edited directly in the list. Renaming, changing the description or starting the recipes is only possible with the corresponding commands.

Hint for ideal configuration of the list

The list can be designed diversely concerning content and look:

  • Content: The displayed columns can be selected, the column format (column width, alignment, label) can be changed and you can define filters. These settings can be edited in Editor and Runtime.
  • Look: At the settings of the list in the Editor you can find diverse setting possibilities in areas Affichage, Ascenceurs and Remplissage. With these properties you can even design the list ready for touch operation.

Actions for list management

Action | Description
Column selection control recipe... | Opens a dialog in order to determine which columns should be displayed. Attention: These changes are discarded when the screen is called up again. A permanent definition is only possible in the zenon Editor.
Format columns control recipe... | Opens a dialog to edit the column settings. Attention: These changes are discarded when the screen is called up again. A permanent definition is only possible in the zenon Editor.

Actions for recipe management

Action

Description

Duplicate control recipe

Only active if exactly one recipe is selected.
Created a copy of the selected recipe. At the creation of the copy, the version of the recipe saved on the hard disk is used. If the recipe is just edited in another computer and the changes have not yet been saved, the changes are not applied. The dialog for the input of a unique name and the description is opened.

The copy of the recipe automatically gets the status Prepared and can therefore be edited and started. The execution status of the duplicate is set to automatic.

When duplicating a recipe, a CEL entry is created.

Delete control recipe

Deletes the selected recipes irrevocably. If the recipe is opened on another computer for editing, it is automatically closed there.
Deleting is only possible if all selected recipes are not executed (control recipe status: In execution) First they must be finished, stopped or canceled.

If recipes must not be deleted - e.g. in an FDA-regulated environment - it is recommended that this button is not configured or that it is given an appropriate Niveau d'autorisation.
A CEL entry is created when a recipe is deleted.

Rename control recipe

Only active if exactly one control recipe was selected.
The dialog for the input of a unique name and the description is opened.
Recipes can only be renamed if they are in status Prepared.
Also use this function in order to change the description of the control recipe.

Open control recipe

Opens the selected control recipes in the recipe editor if screen element Recipe editor exists in the screen. Each selected control recipe is opened in a separate tab of the recipe editor.

Start control recipe

Starts the selected control recipe in the set execution mode. The recipes are executed automatically at the Server. It is not necessary that the recipe is opened in the recipe editor.


Import recipes

Manuel -> Batch Control -> Configure and control in the Runtime -> Manage recipes -> Import recipes

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

When importing a recipe from an XML file, the following dialog is displayed in the event of naming conflicts:

Select how you want to proceed in the dialog:

Parameter | Description
Master recipe name/control recipe/operation | Name of the recipe that is already in use.
Create a new recipe | Creates a new recipe with the name and increments the number at the end of the name.
Overwrite the existing recipe | Overwrites the existing recipe with the name.
Create a new recipe version | Creates a new version of the recipe with the name. Note: Only active if Versioning active has been selected in the Editor
Apply this action to all conflicts | The selected option is applied to all pending conflicts. The number of conflicts is shown in brackets.
Number of recipes to be imported from the XML file | Number of recipes that are contained in the selected XML file. Number of recipes that are to be imported in the selected XML file.
Skip | Skips the importation of the currently-displayed recipe.
OK | Accepts the selection and shows the options for the next naming conflict or closes the dialog.
Cancel | Cancels the action and closes the dialog.

If there is a naming conflict there may, under certain circumstances, regardless of the status of the recipe that already exists, not be all important options available:

Recipe type

Status of the existing recipe.

Possible options

Master recipe

Edit mode
  • Create a new recipe
  • Overwrite the existing recipe
  • Create a new recipe version

Released
  • Create a new recipe
  • Create a new recipe version

Outdated
  • Create a new recipe
  • Create a new recipe version

Control recipe

Prepared
  • Create a new recipe
  • Overwrite the existing recipe

In execution
  • Create a new recipe

Executed
  • Create a new recipe

Operation

Edit mode
  • Create a new recipe
  • Overwrite the existing recipe

Released
  • Create a new recipe

Note: Control recipes cannot be imported to existing master recipes if the version number of the master recipe is different. The attendant master recipe from the control recipe to be imported must have the same version number as the existing master recipe.


Saving on the hard disk and backup scenarios

Manuel -> Batch Control -> Configure and control in the Runtime -> Manage recipes -> Saving on the hard disk and backup scenarios

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Master recipes

Each master recipe has a unique ID under which it is saved on the hard disk with file extension .MR; e.g. 9.MR
Each recipe conforms to one file. The ID of the recipe can be read from the list of the master recipes. For this column Master recipe ID must be visible.
The folder for the master recipes is a sub folder of Dossier du Runtime: \RT\FILES\zenon\system\BatchRecipes

For the recipe management file Recipe.unique is responsible which is located in the same folder. It makes sure that the recipe names are unique.

Note: If you delete a recipe manually via the file explorer and therefore outside of the Runtime and the module Batch Control, you must delete file Recipe.unique for its content to be correct again. For example if you delete a control recipe manually, you cannot delete the respective master recipe in module Batch Control as the control recipe still exists according to module Batch Control. Only after a reinitialization of file Recipe.unique can the master recipe also be deleted.

Backing up master recipes

The .MR files - and with this all master recipes - can be backed up at any time. For example you can use function File operations.

Restoring master recipes

The restoring should only be done if absolutely necessary as more current data is overwritten. Proceed as follows:

  1. Exit the Runtime.
  2. Save all existing master recipes.
  3. Rename file Recipe.unique or delete it. It automatically re-created at the Runtime start from the .MR files.
  4. Restore the .MR files from an earlier backup.
  5. Restart the Runtime.

Control recipe

Each control recipe has a unique ID under which it is saved on the hard disk with file extension .CR; e.g. 9.CR
Each recipe conforms to one file. The ID of the recipe can be read from the list of the control recipes. The Control recipe ID column must be visible to do this. Control recipes are always based on a master recipe and are therefore always assigned to it. The ID number circles are therefore only unique with regard to the underlying master recipe.
Example: The master recipe with ID 9 has the control recipes with IDs 1 and 2. The master recipe with ID 10 also has the control recipes with IDs 1 and 2.

Therefore each master recipe has a sub folder in which the control recipes are saved. The name of the folder is always: <Master recipe ID>.crd. In our example there is the folder 9.crd with files 1.CR and 2.CR and the folder 10.crd with files 1.CR and 2.CR.

The folder for the command recipes are sub folder of Dossier du Runtime: \RT\FILES\zenon\system\BatchRecipes\. In this folder the individual control recipe folders have been created. In each control recipe folder there is the file Recipe.unique. It makes sure that the recipe names are unique.

Backing up and restoring control recipes

Proceed in the same was as for the master recipes only that you now need to backup all .CR files and the appertaining folder structure. At restoring you must delete all Recipe.unique files. They are also restored automatically.


Synchronization

Manuel -> Batch Control -> Configure and control in the Runtime -> Synchronization

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Checking for changes in the Editor

When loading, opening, duplicating or approving a recipe, a check is made to see if the configuration of the unit, phase, etc. was changed in the Editor. If a change is detected, it is taken over in the object to which the function concerned is assigned. Settings that were overwritten in Runtime are retained. If the recipe has been changed, this is shown by means of an asterisk (*) in the recipe name.

At reloading the recipe is also checked.

Note: Only recipes in edit mode or test mode are updated. Recipes in test mode that are currently running are only updated after execution has ended.

attention Attention

Changes to phases in the Editor are taken over without warning message when the recipe is releases in the Runtime. For all data which are not overwritten in the Runtime, the Editor is the leading system.

Synchronization of phases

Editing of phases and their parameters is possible at four consecutive levels:

  • in the zenon Editor
  • in the operation template
  • in the master recipe
  • in the control recipe

When instancing, the data form the level above is always used. Synchronization and comparison in the editing dialogs also always relates to the previous level.

Origin of data for comparison or synchronization:

Position of phase | Phase that provides comparison data
in the zenon Editor | No data to compare.
in the master recipe | Phase configured in the zenon Editor.
in the control recipe | The phase from the master recipe.
in the operation template | Phase configured in the zenon Editor.
In the operation instance in the master recipe | The phase from the template of the operation.
In the operation instance in the control recipe | The phase from the operation instance in the master recipe.

You can find information on the origin of the comparison data in the tooltips of the control elements for synchronization.

Recipes and operations

Synchronization is carried out if:

  • A recipe is opened
  • A recipe is reloaded
  • An operation template is saved and a recipe is opened that has an instance of this template

Values in phases and parameters correspond to the values in the templates as standard and can be overwritten locally.

Changes to control strategies and control strategy activation

The following applies for control strategies during synchronization:

  • When synchronizing recipes, phases with active control strategies are updated with the amended information (name change, new tags added, etc.).
  • If control strategies were activated for a phase in the Editor, the phase in Runtime is set to the status where no control strategy is active. It contains only return parameters.
  • If control strategies are deactivated for a phase in the Editor, the phase contains the complete current configuration of the phase after synchronization. With this switch, all changes that have been made to the phase in the recipe are discarded.


Function authorizations

Manuel -> Batch Control -> Function authorizations

For changes in the Editor and in Runtime, the corresponding function authorizations can be issued to users. A warning is displayed if an operation for which there are no corresponding rights is executed. Exception: No warning is displayed when editing.

If a user does not have the function authorization, then

  • In Runtime: the corresponding functions cannot be executed
  • in the Editor: Toolbars and context menus of the corresponding module are grayed out

Users can also log in temporarily for the execution of operations for which they have no special authorizations. For details on this, see the Permanent and temporary login section in the User administration manual.

You can find details on the individual authorizations in the User administration chapter, most of all in the Function authorizations section.

Note:

  • These function authorizations are only available if Batch Control is licensed on the computer.
  • Operation instances always use the user rights of the recipe in which they are embedded.


Behavior in the network

Manuel -> Batch Control -> Behavior in the network

The module Batch Control is fully capable of using a network in terms of Client/Server technology. This means that Batch recipes can be created, duplicated, edited, deleted, etc. on a Client. The whole recipe management remains always on the server. Likewise the whole process control such as start recipe, pause recipe, stop recipe, etc. can be done from the Client. Also mode changes and manual operations such as jump are possible.

attention Attention

Module Batch Control does not support redundancy. There is no synchronization between Standby Server. When the Server breaks down, the executed Batch recipes are not continued seamlessly on the Standby!

For using Batch Control in a network the following is true:

Functions

Functions are always carried out at the Server.

Phases

  • Editing phases in the master recipe:
    • Edit mode: Changes a done locally at the Client.
      If during the editing the recipe is saved on another computer in the network, the current configuration is lost. An appropriate message is displayed and the editing dialog is closed. The new data from the server are displayed.
    • Test mode: Changes a done at the Server.
  • Control recipe: Changes a done at the Server.
  • If a recipe is saved in the network, all Clients using this recipe are updated.
  • If a recipe is opened on a client, the current version on the server is always displayed, even if it has not yet been saved there.
  • If a recipe is deleted on a computer, a message is displayed on all computer on which the recipe is opened that the recipe has been deleted.

Mode

  • The mode (automatic, semi-automatic, manual) can be switched by the server and the client.
  • Jumps in the recipe and step-by-step progress of a recipe can be done from Server and Client.

Recipes

  • Recipes can be started and controlled by the zenon server and by zenon clients.
  • If parameters in a recipe are changed whilst the recipe is saved on a different zenon client, the change to the parameters is refused and not carried out.
  • A master recipe can be changed on the zenon client whilst it switches to test mode on the zenon server and is sent to the zenon client. The changes that were last saved are transferred. This means: If the zenon client saves last, the recipe is switched to editing mode again. If the zenon server saves last, the change to the zenon clients is discarded and the recipe is in test mode.
  • If a communication error occurs when deleting a recipe or an operation template, the deletion is refused with an error message.

Web Client

With a standard web client:

  • The settings for grid and color can be changed
  • No recipes can be created or edited
  • The size of the editing area cannot be changed
  • In the toolbar, all symbols that are not permitted are deactivated; it is not possible to select the corresponding objects.

Web client PRO is not affected by these restrictions.

Autres sujets abordés dans ce chapitre

Redundancy


Redundancy

Manuel -> Batch Control -> Behavior in the network -> Redundancy

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

zenon Batch Control does not support redundancy. In networks that have been set up as redundant, this means:

  • If the server fails, the recipe is in an undefined status.
    It is not passed on to the standby server.
  • On the standby server, once it has stepped up to become the server:
    • Master recipes can be switched back to edit mode and deleted.
      These changes are carried over to the server once it is working again.
    • Control recipes cannot be edited or executed.
  • Starting, pausing or other commands are not possible on the Standby Server.
  • If the recipe is not edited in the Standby Server, it runs normally again as soon as the server is online again.


Reporting

Manuel -> Batch Control -> Reporting

Reports for configuration of the recipes can be created with the Report Viewer integrated into zenon.

When switching to a Report Viewer screen:

  • it is possible to filter for recipes
  • Datasets for Batch Control reports can be created:
    • Master recipe
    • Control recipe
    • Recipe screens
    • Matrix cells
    • PFC structure
    • Phases
    • Parameters
    • Transitions
    • Unit allocations
    • Operation instance

Autres sujets abordés dans ce chapitre

Filtre de recette du module Batch Control


Filtre de recette du module Batch Control

Manuel -> Batch Control -> Reporting -> Filtre de recette du module Batch Control

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Lors de l'appel d'un synoptique de type Report Viewer, un filtre peut être défini pour les recettes provenant du module Batch Control. Pour filtrer en fonction des recettes :

  1. Ouvrez l'onglet Définition de rapport pour l'appel de synoptique.
  2. Accédez à la section Filtre.
  3. Dans l'onglet Filtre spécifique au module, cliquez sur Batch Control : Filtre recette.
  4. La boîte de dialogue de configuration du filtre s'affiche à l'écran.

Utiliser le filtre de recette pour

Paramètres

Description

Utiliser le filtre de recette pour

Sélection du type de recette appliqué au filtre :

  • Recette principale
  • Recette de contrôle

Recette principale

Active : le filtrage est effectué sur la base des recettes principales.

Recette de contrôle

Active : le filtrage est effectué sur la base des recettes de contrôle.

Remarque : les recettes principales associées doivent également être sélectionnées. Si aucune recette principale n'a été sélectionnée pour la recette de contrôle, le filtre ne pourra pas trouver la recette recherchée dans le Runtime.

Conseil : Si la recette principale n'est pas connue, il est recommandé de filtrer toutes les recettes principales avec un opérateur.

Paramètres du filtre de recette

Paramètres

Description

Paramètres du filtre de recette

Options du filtre de recette

Appliquer la sélection de la liste de recettes du synoptique Batch Control effectuant l'appel
  • Active : Dans le Runtime, la première recette sélectionnée sur l'écran de batch depuis lequel est appelé le synoptique Report Viewer est utilisée. Les paramètres individuels de cette boîte de dialogue sont alors indisponibles.
  • Inactive : Les paramètres de filtre sont modifiés individuellement dans cette boîte de dialogue.

Recette principale

Paramètres de sélection de la recette principale. Sélection dans la liste déroulante :

  • Nom avec caractères génériques :
    Un nom contenant un opérateur peut être saisi dans le champ de saisie. Un filtrage est effectué en fonction du nom.
  • Nom issu de la variable :
    Le nom de la recette principale est défini par une variable dans le Runtime. Cliquez sur le bouton ... Ouvre la boîte de dialogue de sélection de variables.
  • Identifiant par une variable :
    L'identifiant de la recette principale est défini par une variable dans le Runtime. Cliquez sur le bouton ... Ouvre la boîte de dialogue de sélection de variables.

Version

Sélectionnez la version souhaitée dans la liste déroulante.

  • Tout :
    La version indiquée n'est pas prise en compte et chaque version trouvée est utilisée.
  • Version fixe :
    Ce paramètre effectue un filtrage en fonction des versions indiquées dans ce champ.
    Version maximale possible : 4294967295
  • Version issue d'une variable :
    La version de la recette principale est défini par une variable dans le Runtime. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de variables.
  • Uniquement la version la plus ancienne :
    Seule la recette comportant le numéro de version le plus ancien est utilisée.
  • Uniquement la version la plus récente :
    Seule la recette comportant le numéro de version le plus récent est utilisée.

État de la recette principale

Sélectionnez l'état de la recette dans la liste déroulante, selon le filtre :

Filtrage des recettes de gabarit :

  • Toutes
  • Mode édition
  • Validée
  • Mode Test
  • Exécution de test
  • Terminé avec une erreur
  • Obsolète

Filtrage des recettes de contrôle :

  • Validée ou obsolète
  • Validée
  • Obsolète

Filtrer les résultats pour

Sélectionnez l'identifiant devant être sélectionné lors du filtrage de noms en choisissant l'une des options suivantes dans la liste déroulante :

  • Uniquement l'identifiant le plus ancien
  • Uniquement l'identifiant le plus récent

Un rapport peut uniquement être utilisé pour une recette ; il est donc impossible de filtre « toutes les recettes ».

Recette de contrôle

Paramètres de sélection de la recette de contrôle. Sélectionnez dans la liste déroulante :

  • Nom avec caractères génériques :
    Un nom contenant un opérateur peut être saisi dans le champ de saisie. Un filtrage est effectué en fonction du nom.
  • Nom issu de la variable :
    Le nom de la recette de contrôle est défini par une variable dans le Runtime. Cliquez sur le bouton ... Ouvre la boîte de dialogue de sélection de variables.
  • Identifiant par une variable :
    L'identifiant de la recette principale est défini par une variable dans le Runtime. Cliquez sur le bouton ... Ouvre la boîte de dialogue de sélection de variables.
    Une recette peut être identifiée avec précision si la valeur de la variable à l'heure de l'exécution est un identifiant valide d'une recette de contrôle.
  • Identifiant de tâche issu d'une variable :
    Trouve les recettes de contrôle ayant le numéro d’identifiant de tâche donné. Tout type de variable pouvant être lié. La valeur est automatiquement convertie en variable STRING.
    Remarque : Si la variable ne comporte aucune valeur, aucune recette n'est transmise au module Report Viewer.

État de la recette de contrôle

Sélectionnez l'état de la recette dans la liste déroulante :

  • Toutes
  • Prête
  • Exécutable
  • Exécution terminée
  • Terminée avec des erreurs
  • Obsolète

Filtrer les résultats pour

Sélectionnez l'identifiant devant être sélectionné lors du filtrage de noms ou de tâches en choisissant l'une des options suivantes dans la liste déroulante :

  • Uniquement l'identifiant le plus ancien
  • Uniquement l'identifiant le plus récent

OK

Applique toutes les modifications, crée le filtre et ferme la boîte de dialogue.

Annuler

Annule toutes les modifications effectuées sur tous les onglets, puis ferme la boîte de dialogue.

Aide

Ouvre l'aide en ligne.

Remarque concernant la sélection de variables en fonction du nom ou de l'identifiant : Pour la sélection de variables en fonction de leur nom ou leur identifiant, il est possible de sélectionner des variables numériques ou string, respectivement. Les types de données sont convertis au format correct correspondant.


Formula editor

Manuel -> Batch Control -> Formula editor

The formula editor is automatically opened if you need to enter or edit a formula. Above all:

Editor:

  • Properties of the phases
  • Interlocking conditions
  • Phase done condition
  • Condition for transient status
  • Conditions for the detection of communication problems and PLC errors

Runtime:

  • Phase done condition and interlocking when editing a phase
  • Editing transitions

info Informations

If the phase referenced in the formula is removed and a new phase is added, the operands are reassigned for transitions. To be able to newly assign the operands, the same phase must be added again. Parameters from a different phase are not automatically linked.

Enter formula

The following input is accepted:

  • Constant as decimal number
  • Hexadecimal number if it is preceded by an x
  • Dot as decimal separator; the following is true:
    • Comma is automatically converted into a dot: 23,000 to 23.000
    • Decimal places which are only zeros are removed: 23.000 to 23

Parameter

Description

TAG list

List of the tags which can be used for the formula.

Each entry contains of:

  • a basis node for the label
  • a value
  • a status
  • the bits for value and status

A symbol at the first node displays whether it is a command or return tag.

The short indentifier at the beginning of the name is used for the formula.

Add

Opens the dialog for adding a parameter. For this, the following applies:

  • The following can be added: numeric and binary tags and tags for time duration. Values for duration are converted to seconds
  • For conditions of the phase only the tags created for it can be added.
  • Tags can be added multiple times.

Replace

Makes it possible to replace a tag. Clicking on the button opens the dialog to add a parameter.

  • Selection of a new parameter replaces the highlighted parameter.
  • Clicking on the no selection button deletes the highlighted parameter from the list.

The short identifier remains the same at replacing.

Remove

Removes the highlighted tag. For a tag to be deleted:

  • the formula must be correct
  • the selected tag must not be used in the formula

Logical operators

Via the buttons for operators, operators are added to the formula.

AND

logical 'AND'

OR

logical 'OR'

XOR

logical 'EXCLUSIVE OR'

NOT

Negation

Syntax

The operator buttons add the string shown on them to the formula.

(

Open parenthesis

)

Close parenthesis

Bit by bit and relational operators

&

And

|

Or

>

greater than

>=

greater or equal

<

less than

<=

Less than or equal

=

equal

<>

less or greater

Condition

Configuration and display of the formula.

Copy

Copies the whole formula:

  • All configured tags from the tag tree
  • Formula from the field

Coller

Pastes a formula from the clipboard. At this all already configured elements are deleted and replaced by the copied formula.

When copying formulas between phases, it is tried to resolve the operands via their names. For tags which are not found invalid entries are created in the operands list. Their point of use in the formula remain the same.

OK

Applies formula and closes the dialog.

For this the formula must be correct.

Cancel

Discards all changes and closes the dialog.

info Informations

You can link up to 99 tags in a formula. X01 to X99. The length of the formula must not exceed 4096 characters.

The meaning of the bits:

Parameter | Description
value bits | 32 value bits (from 0 -31) are available. They describe the tag value bit by bit. For binary tags only bit 0 is of importance, for SINT and USINT only the bits from 0 - 7, etc.
State bits | Here you find the most commonly used status bits. You find the exact definition and use of the status bits in the Status Bits List.
value and status | Dans les formules, toutes les valeurs (valeur des bits et bits d'état) sont traitées comme des valeurs binaires pouvant être liées de manière logique par des conditions AND et OR, etc. Les exceptions à cette règle sont la valeur totale et l'état global. Pour obtenir une expression booléenne, une condition logique ORed doit être appliquée à cette valeur totale, de bit à bit, avec une constante. Pour cela, on utilise l'opérateur &. For the result 0 (FALSE) of this logical ORing, we get the binary value 0 (FALSE), otherwise 1 (TRUE). Exemple : See the bitwise ORing example chapter

info Info

The status bits NORM and N_NORM are only available in the formula editor and cannot be engineered via the status.

info Informations

Les formules comportant des valeurs X binaires et des liens au niveau des bits peuvent être utilisées avec 2 valeurs binaires maximum. Si d'autres valeurs sont requises, la liaison doit être établie sans valeurs X binaires.

Exemple :

X01.Value & X02.Value -> fonctionne

X01.Value & X02.Value & X03.Value -> ne fonctionne pas

Toutefois :

X01.00 AND X02.00 AND X03.00 AND X04.00 AND X05.00 -> fonctionne

Autres sujets abordés dans ce chapitre

Adding parameters

List of status bits

Logical Operators

Bit formulas

Comparison operators

Examples for formulas


Adding parameters

Manuel -> Batch Control -> Formula editor -> Adding parameters

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Clicking on the Add button in the formula editor opens the dialog to select parameters that are to be used for a formula.

Parameter | Description
Project list | Display of the active project. Only parameters that have been created in the active project for the phase to be configured can be selected.
TAG list | List of the parameters available for the selected phase. Apply by selecting and clicking on the OK button or by double clicking on a parameter.
No selection | Deletes parameters already set. Only effective for replacement of parameters. If a parameter is highlighted in the formula editor and this dialog is opened by clicking on the Replace button, then clicking on the No selection button deletes the parameter from the list in the formula editor. The short identifier remains the same at replacing.
OK | Inserts the selected parameter into the parameter list of the formula and closes the dialog.
Cancel | Discards selection and closes dialog.
Help | Opens online help.


List of status bits

Manuel -> Batch Control -> Formula editor -> List of status bits

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Numéro de bit | Désignation abrégée | Nom long | Intitulé zenon Logic
0 | M1 | User status 1; for Command Processing: Type d'action "Bloquer" ; Service Tracking du driver IEC 850 | _VSB_ST_M1
1 | M2 | État utilisateur 2 | _VSB_ST_M2
2 | M3 | État utilisateur 3 | _VSB_ST_M3
3 | M4 | État utilisateur 4 | _VSB_ST_M4
4 | M5 | État utilisateur 5 | _VSB_ST_M5
5 | M6 | État utilisateur 6 | _VSB_ST_M6
6 | M7 | État utilisateur 7 | _VSB_ST_M7
7 | M8 | État utilisateur 8 | _VSB_ST_M8
8 | NET_SEL | Sélectionné dans le réseau | _VSB_SELEC
9 | REVISION | Révision | _VSB_REV
10 | PROGRESS | En fonctionnement | _VSB_DIREC
11 | TIMEOUT | Command "Timeout exceeded" (command runtime exceeded) | _VSB_RTE
12 | MAN_VAL | Valeur manuelle | _VSB_MVALUE
13 | M14 | État utilisateur 14 | _VSB_ST_14
14 | M15 | État utilisateur 15 | _VSB_ST_15
15 | M16 | État utilisateur 16 | _VSB_ST_16
16 | GI | Requête générale | _VSB_GR
17 | SPONT | Spontané | _VSB_SPONT
18 | INVALID | Invalide | _VSB_I_BIT
19 | T_STD_E | External standard time (standard time) Caution: up to version 7.50, this was the status bit T_CHG_A | _VSB_SUWI
20 | OFF | Désactivé | _VSB_N_UPD
21 | T_EXTERN | Temps réel - horodatage externe | _VSB_RT_E
22 | T_INTERN | Informations d'horodatage internes | _VSB_RT_I
23 | N_SORTAB | Non triable | _VSB_NSORT
24 | FM_TR | MD_TR;Message de défaut du transfo | _VSB_DM_TR
25 | RM_TR | Message de marche du transformateur | _VSB_RM_TR
26 | INFO | Informations de la variable | _VSB_INFO
27 | ALT_VAL | Valeur de remplacement | _VSB_AVALUE
28 | RES28 | Réservé à une utilisation interne (clignotement d'alarme) | _VSB_RES28
29 | N_UPDATE | Not updated (zenon network) | _VSB_ACTUAL
30 | T_STD | Heure d’hiver interne | _VSB_WINTER
31 | RES31 | Réservé à une utilisation interne (clignotement d'alarme) | _VSB_RES31
32 | COT0 | Cause de transmission bit 1 | _VSB_TCB0
33 | COT1 | Cause de transmission bit 2 | _VSB_TCB1
34 | COT2 | Cause de transmission bit 3 | _VSB_TCB2
35 | COT3 | Cause de transmission bit 4 | _VSB_TCB3
36 | COT4 | Cause de transmission bit 5 | _VSB_TCB4
37 | COT5 | Cause de transmission bit 6 | _VSB_TCB5
38 | N_CONF | Confirmation négative de la commande par l'appareil (IEC 60870 [P/N]) | _VSB_PN_BIT
39 | TEST | Bit de test (IEC60870 [T]) | _VSB_T_BIT
40 | WR_ACK | Écriture reconnue | _VSB_WR_ACK
41 | WR_SUC | Écriture réussie | _VSB_WR_SUC
42 | NORM | NORM;État Normal | _VSB_NORM
43 | N_NORM | État déviation normale | _VSB_ABNORM
44 | BL_870 | État IEC 60870 : blocked | _VSB_BL_BIT
45 | SB_870 | État IEC 60870 : substituted | _VSB_SP_BIT
46 | NT_870 | État IEC 60870 : not topical | _VSB_NT_BIT
47 | OV_870 | État IEC 60870 : overflow | _VSB_OV_BIT
48 | SE_870 | État IEC 60870 : select | _VSB_SE_BIT
49 | T_INVAL | Horodatage externe invalide | non défini
50 | CB_TRIP | Déclenchement de disjoncteur détecté | non défini
51 | CB_TR_I | Détection de déclenchement de disjoncteur inactive | non défini
52 | OR_DRV | Valeur non comprise dans la plage valide (IEC 61850) | non défini
53 | T_UNSYNC | ClockNotSynchronized (IEC 61850) | non défini
54 | PR_NR | Pas enregistré dans le Process Recorder | non défini
55 | RES55 | réservé | non défini
56 | RES56 | réservé | non défini
57 | RES57 | réservé | non défini
58 | RES58 | réservé | non défini
59 | RES59 | réservé | non défini
60 | RES60 | réservé | non défini
61 | RES61 | réservé | non défini
62 | RES62 | réservé | non défini
63 | RES63 | réservé | non défini

info Informations

Dans les formules, tous les bits d'état sont disponibles. La disponibilité peut être réduite dans le cadre d'autres utilisations.

Pour plus de détails concernant la gestion des états, reportez-vous au chapitre Gestion d'états.


Logical Operators

Manuel -> Batch Control -> Formula editor -> Logical Operators

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Liens logiques : seule la valeur logique '0' sera recherchée dans les variables ; si la valeur n'est pas égale à '0', elle sera considérée comme égale à '1'.

Contrairement aux formules bit, la portée technique peut être modifiée au moyen d'un facteur d'étirement -> (différent de '0' ou '1').

Opérateur | Signification
AND | ET logique
NOT | Négation
OR | OU logique
XOR | OU EXCLUSIF logique

Les opérateurs possèdent la priorité suivante dans le calcul de la formule :

Priorité | Opérateur
1 | & (opérateur des formules bit)
2 | NOT
3 | AND
4 | XOR/OR

Informations concernant info

Jusqu'à 99 variables peuvent être liées dans une formule. X01 à X99.

Informations concernant info

Les bits d'état NORM et N_NORM sont uniquement disponibles dans l'éditeur de formules et ne peuvent pas être configurés par l'intermédiaire de l'état.


Bit formulas

Manuel -> Batch Control -> Formula editor -> Bit formulas

Les formules Bit comportent uniquement un état logique haut ou bas. Contrairement aux formules logiques, la valeur brute est déjà prédéfinie (0,1).

Opérateur | Description
& | AND
| | OR

Autres sujets abordés dans ce chapitre

Example: ORing bitwise


Example: ORing bitwise

Manuel -> Batch Control -> Formula editor -> Bit formulas -> Example: ORing bitwise

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Vous voulez savoir si l'un des bits d'état utilisateur 1 à 8 (M1 ... M8) de la variable X01 est défini :

Formule classique :

X01.M1 OR X01.M2 OR X01.M3 OR X01.M4 OR X01.M5 OR X01.M6 OR X01.M7 OR X01.M8.
Cette requête peut être considérablement simplifiée en utilisant la condition logique OR sur l'état général.

Interrogation OR logique

X01.Status & 0xFF

La constante peut être saisie au format hexadécimal, comme ci-dessus.

0xFF en décimal vaut 255, et correspond aux huit premiers bits d'état (en binaire, 11111111). Si l'un de ces bits est défini sur 1, le résultat de l'application de la condition logique ORing au niveau des bits est 1 (True) ; dans le cas contraire, le résultat est 0 (False).

Si, par exemple, tous les bits d'états utilisateur sont à tester sauf le bit M7, la formule binaire serait : 10111111. Le bit 7 est sans intérêt, et est donc défini sur 0. Ceci correspond à 0xBF en hexadécimal. L'expression de la formule est alors : X01.Status & 0xBF.

A la place d'une comparaison de bits avec OR à l'aide d'une constante, la valeur peut également être comparée directement à un nombre décimal. Si la comparaison est fausse, la valeur binaire sera égale à 0 (False) ; dans le cas contraire, elle prendra la valeur 1 (True).

Exemple :

Si vous voulez savoir si la valeur est égale à la constante 202 : La formule est alors :

X01.value = 202

Si la valeur est égale à la constante 202, le résultat de la formule est 1 (True) ; dans le cas contraire, le résultat est 0 (False).

Remarque : avec le caractère OR (|), la condition logique OR au niveau des bits fonctionne de la même manière que dans cet exemple.


Comparison operators

Manuel -> Batch Control -> Formula editor -> Comparison operators

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Les opérateurs de comparaison permettent de comparer directement deux valeurs numériques. Le résultat des comparaisons est une valeur binaire. "0" si la condition est fausse et "1" si la condition est vraie.

Opérateur | Description
< | Inférieur
> | supérieur
<= | Inférieur ou égal
>= | supérieur ou égal
= | Égal
<> | Différent de

À gauche et à droite de l'opérateur de comparaison doivent se trouver des valeurs complètes ou des états complets ; des bits simples ne peuvent pas être utilisés.

A droite d'un opérateur de comparaison, vous pouvez également utiliser une constante
Ces constantes sont saisies sous forme de valeurs hexadécimales ou de valeurs décimales dans l'élément combiné. Hexadecimal numbers are automatically converted to decimal numbers by clicking on OK. For example, 0x64 corresponds to the numerical value 100.

Remarque : The combined element is not available in the Batch Control module.

Example Exemple

X01.valeur >= X02.valeur
Le résultat est 1, si la valeur de X01 est supérieure ou égale à la valeur de X02

X01.valeur = 0x64
Le résultat est 1, si la valeur de X01 est exactement égale à la valeur numérique 100 (= hex 0x64)

(X01.valeur = 0x64) OR (X01.valeur = 0x65)
Le résultat est 1, si la valeur de X01 est exactement égale à la valeur numérique 100 ou 101 (= hex 0x64 ou hex 0x65)


Examples for formulas

Manuel -> Batch Control -> Formula editor -> Examples for formulas

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Liaison logique AND simple entre deux valeurs de bits

Example Exemple

Formule : X01.03 AND X02.03

Cette formule vaut TRUE si le bit 3 de la variable 1 et le bit 3 de la variable 2 sont tous deux égaux à 1.

Comparaison d'une valeur analogique ou de l'état d'une variable

Example Exemple

(X01.Value > X02.Value)

Comparaison de valeurs analogiques sur une base logique

Example Exemple

(X01.Value> X02.Value) AND (X01.Value = X02.Value)

Comparaison à l'aide de bits de valeur et de bits d'état

Example Exemple

(X01.Value> X02.Value) AND (X01.Value = X02.Value) OR (X01.03 = X02.03)

Comparaison d'une valeur avec une valeur décimale ou hexadécimale

Example Exemple

Formule : (X01.Value = 111)

Formule : (X01.Value = 0x6F)

Si une valeur hexadécimale est utilisée, cette dernière est convertie en valeur décimale lorsque vous cliquez sur OK. Si une valeur décimale est saisie et confirmée, la valeur reste affichée au format décimal après la réouverture.

Informations concernant info

Il n'est pas possible d'utiliser une virgule ou un point lors de la saisie d'une valeur.


XML export: Units, phases and recipes

Manuel -> Batch Control -> XML export: Units, phases and recipes

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

The Batch Control module allows the export of units, phases and recipes into XML files. The structure of these files is described in the following chapters.

Autres sujets abordés dans ce chapitre

General recipe properties in the XML file

Matrix properties in the XML file

PFC properties in the XML file

Parameter properties


General recipe properties in the XML file

Manuel -> Batch Control -> XML export: Units, phases and recipes -> General recipe properties in the XML file

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Properties of master recipes

Properties of master recipes are also contained in exported control recipes.

node

Property

Description

Possible value

Recipes

  • MasterRecipe
  • ControlRecipe
  • OperationTemplate

MrId

ID of the corresponding master recipe.

MrName

Name of the corresponding master recipe.

MrDescription

Description of the corresponding master recipe.

MrVersion

Version of the corresponding master recipe.

MrSourceVersion

Original version of the master recipe.

MrStatus

Status of the corresponding master recipe.
  • 1: Edit mode
  • 2: Released
  • 3: Test mode
  • 4: Test in execution
  • 8: Outdated

RecipeType

Type of the recipe.
  • Matrix
  • Pfc

ApprovalTime

Time stamp of the corresponding master recipe.

ApprovalUserName

Name of the user who approved the recipe.

ApprovalUserID

ID of the user who approved the recipe.

OutdatedTime

Outdated time for the recipe.

OutdatedUserName

Name of the user who set the recipe to obsolete.

OutdatedUserID

ID of the user who set the recipe to obsolete.

Structure

Nodes for the structure of the recipe.

Properties of control recipes

Property

Description

Possible value

CrId

ID of the control recipe.

CrName

Name of the control recipe.

CrDescription

Description of the control recipe.

CrStatus

Status of the control recipe.
  • 2: Prepared
  • 3: In execution
  • 4: Executed
  • 7: Outdated

CrJobID

Job ID of the control recipe

CrJobIDVar

Variable for the job number.

CreationTime

Time stamp of the creation of the control recipe.

CreationUserName

Name of the user who created the recipe.

CreationUserID

ID of the user who created the recipe.

StartingTime

Time stamp of the start of the control recipe.

StartingUserName

Name of the user who started the control recipe.

StartingUserID

ID of the user who started the control recipe.

Properties of operations

Property

Description

Possible value

OpId

ID of the Operation template.

OpName

Name of the Operation template.

OpDescription

Description of the operation template.

OpType

Type of operation
  • Matrix
  • Pfc

OpStatus

Status of the operation template.
  • 1: Edit mode
  • 2: Released

ApprovalTime

Time stamp of the approval of the operation template.

ApprovalUserName

Name of the user who approved the operation template.

ApprovalUserID

ID of the user who approved the operation template.

Structure

Nodes for the structure of the recipe.


Matrix properties in the XML file

Manuel -> Batch Control -> XML export: Units, phases and recipes -> Matrix properties in the XML file

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Matrix structure

node

Property

Description

Possible value

Structure

Column

Column number in the matrix recipe.
  • Type 1: Phase
  • Type 2: Operation

ObjectName

Name of the linked phase or the linked operation.

StepInfo

Step number in the matrix recipe.

StepDescr

Description of the step in the matrix recipe.

Matrix cell properties

node

Property

Description

Possible value

Cell

  • Type 1: Phase
  • Type 2: Operation

CellActive

TRUE if the matrix cell is active at this point.
  • TRUE: Matrix cell active
  • FALSE: Matrix cell inactive

ChartId

ID of the matrix cell

Phase

Properties node for the phase of a matrix cell. You can find details in the General properties chapter.

ControlStrategy

Properties node for the mode of operation used.

Note: With a phase, this mode of operation is used in a matrix cell.

You can find details in the General properties chapter.


PFC properties in the XML file

Manuel -> Batch Control -> XML export: Units, phases and recipes -> PFC properties in the XML file

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Structure of the PFC recipe

node | Property | Description | Possible value
Structure |  |  |
 | LastObjId | Last-used ID of the PFC recipe. |
 | ColCount | Number of columns in the PFC recipe. |
 | RowCount | Number of rows in the PFC recipe. |
 | CenterColOffset | Start coordinates of the column. |
 | CenterRowOffset | Start coordinates of the row. |

Element properties

node

Description

Possible value

Chart object

Element for the PFC recipe.
  • TYPE: 1=start element
  • TYPE: 2=end element
  • TYPE: 3=phase
  • TYPE: 4=transition
  • TYPE: 5=start branch
  • TYPE: 6=end branch
  • TYPE: 7=start parallel branch
  • TYPE: 8=end parallel branch
  • TYPE: 9=unit allocation
  • TYPE: 10=operation
  • TYPE: 11=line
  • TYPE: 12=jump target

Begin element

node | Property | Description | Possible value
ChartObject |  | Element for the PFC recipe. | TYPE: 1
 | ChartId | ID of the element in the PFC recipe. |
 | ChartRow | Row coordinates of the element. |
 | ChartCol | Column coordinates of the element. |

End element

node | Property | Description | Possible value
ChartObject |  | Element for the PFC recipe. | TYPE: 2
 | ChartId | ID of the element in the PFC recipe. |
 | ChartRow | Row coordinates of the element. |
 | ChartCol | Column coordinates of the element. |

Phase

node | Property | Description | Possible value
ChartObject |  |  | TYPE: 3
 | ChartId | ID of the element in the PFC recipe. |
 | ChartRow | Row coordinates of the element. |
 | ChartCol | Column coordinates of the element. |
 | Unit | Unit name of the linked phase. |
 | Phase | Properties node for the phase of a PFC element. |

Transition

node | Property | Description | Possible value
ChartObject |  |  | TYPE: 4
 | ChartId | ID of the element in the PFC recipe. |
 | ChartRow | Row coordinates of the element. |
 | ChartCol | Column coordinates of the element. |
Condition |  | Condition for the selected transitions. |
 | Expression | The conditions are used to inform the REE of the status of the technological function in the controller. |
OperandTag |  | Addressing of the tag conditions. |
 | PhaseChartId | ID of the phase in the condition. |
 | TagAddressing | Tag of the phase. |

Initial branch

node

Property

Description

Possible value

ChartObject

TYPE: 5

ChartId

ID of the element in the PFC recipe.

ChartRow

Row coordinates of the element.

ChartCol

Column coordinates of the element.

Cell

Number of branches from left to right.

Connector

Linking points of the branches.
  • TRUE: Branch downwards.
  • FALSE: No sequence selection.

ArrayOffset

Initial cell of the branch.

End branch

node

Property

Description

Possible value

ChartObject

TYPE: 6

ChartId

ID of the element in the PFC recipe.

ChartRow

Row coordinates of the element.

ChartCol

Column coordinates of the element.

Cell

Number of branches from left to right.

Connector

Linking points of the branches.
  • TRUE: Branch downwards.
  • FALSE: No sequence selection.

ArrayOffset

End cell of the branch.

Begin parallel branch

node

Property

Description

Possible value

ChartObject

TYPE: 7

ChartId

ID of the element in the PFC recipe.

ChartRow

Row coordinates of the element.

ChartCol

Column coordinates of the element.

Cell

Number of branches from left to right.

Connector

Linking points of the branches.
  • TRUE: Branch downwards.
  • FALSE: No sequence selection.

ArrayOffset

Initial cell of the branch.

End parallel branch

node

Property

Description

Possible value

ChartObject

TYPE: 8

ChartId

ID of the element in the PFC recipe.

ChartRow

Row coordinates of the element.

ChartCol

Column coordinates of the element.

Cell

Number of branches from left to right.

Connector

Linking points of the branches.
  • TRUE: Branch downwards.
  • FALSE: No sequence selection.

ArrayOffset

End cell of the branch.

Unit allocation

node

Property

Description

Possible value

ChartObject

TYPE: 9

ChartId

ID of the element in the PFC recipe.

ChartRow

Row coordinates of the element.

ChartCol

Column coordinates of the element.

Allocations

Name of the unit allocation.
  • Allocations
  • Deallocations

Unit

Name of the allocated unit.

Global

Options for the clearing of the unit.
  • FALSE=clearing the last allocation
  • TRUE=recipe-wide clearing

Operation

node

Property

Description

Possible value

ChartObject

TYPE: 10

ChartId

ID of the element in the PFC recipe.

ChartRow

Row coordinates of the element.

ChartCol

Column coordinates of the element.

Operation

Operation

OpId

ID of the operation

OpName

Name of the operation.

OpType

Type of the operation.

OpDescription

Description of the operation.

OpStatus

Status of the operation

ApprovalTime

Time stamp for approved recipes.

ApprovalName

Name of the approved recipe.

ApprovalUserId

ID of the user who approved the recipe.

Structure

Structure of the recipe.
  • PFC_Structure
  • Matrix_Structure

Line

node

Property

Description

Possible value

ChartObject

TYPE: 11

ChartId

ID of the line.

ChartRow

Row coordinates for the starting point of the line.

ChartCol

Column coordinates for the starting point of the line.

FirstCol

Column coordinates of the cell where the line starts.

FirstRow

Row coordinates of the cell where the line starts.

SecondCol

Column coordinates of the cell where the line ends.

SecondRow

Row coordinates of the cell where the line ends.

LineSegments

Column, row, type coordinates of the cells, separated by # where the complete line runs.
  • 0: Straight line from top to bottom
  • 1: 90° from the top to the right
  • 2: 90° from the top to the left
  • 3: Straight line from left to right
  • 4: 90° from the right to the bottom
  • 5: 90° from the left to the bottom

Jump target

node | Property | Description | Possible value
ChartObject |  |  | TYPE: 12
 | ChartId | ID of the jump target. |
 | ChartCol | Column coordinates for the starting point of the jump target. |
 | ChartRow | Row coordinates for the starting point of the jump target. |


Parameter properties

Manuel -> Batch Control -> XML export: Units, phases and recipes -> Parameter properties

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Phases

node

Property

Description

Possible value

Phase

General properties of the phase.

PhaseName

Name of the phase.

PhaseDescr

Freely definable string for detailed description of the phase.

TOAllocation

Time period, in days, hours, minutes and seconds, that is waited until the unit is allocated.

TOInterlocking

Time period in days, hours, minutes and seconds in which the condition defined in the input lock property must return the value TRUE.

MinExecTime

Minimum execution duration of the phase.

ExplanationMinExecTimeNeeded

Reason for minimum execution duration change necessary

TRUE: When entering value changes for this phase in Runtime, a reason for the change must be entered by the user.

FALSE: No reason necessary.

MaxExecTime

Time period in days, hours, minutes and seconds in which the condition defined in the phase done condition property must return the value TRUE.

TOFollowingCond

Time period in days, hours, minutes and seconds in which the phase must be deactivated.

MinExecTimeCrModifiable

Minimum execution duration of the phase in the control recipe can be modified.
  • TRUE: Minimum execution duration of the phase in the control recipe can be modified.
  • FALSE: Minimum execution duration of the phase in the control recipe cannot be modified.

RtLocalFlags

Flags whose properties are no longer linked to the Editor configuration. They are not overwritten when reloading.

These properties are a bit-coded DWORD in that each bit stands for a property. In a 0-based index, the coding is as follows:

  • Timeout phase done condition: Bit 0 (decimal 1)
  • Timeout input lock: Bit 1 (decimal 2)
  • Timeout subsequent condition: Bit 2 (decimal 4)
  • Timeout unit allocation: Bit 3 (decimal 8)
  • Minimum execution duration: Bit 7 (decimal 128)

CSActive

Active control strategies
  • TRUE: Active control strategies
  • FALSE: Control strategies inactive

CSTag

control strategy tag

CondInterlocking

Node for the condition of the input lock.

CondDone

Node for phase done condition.

CondEscaping

Node for the condition of leaving the phase.

CondPausing

Node for the change from pausing to paused.

CondHolding

Node for the change from holding to held.

CondStopping

Node for the change from stopping to stopped.

CondAborting

Node for the change from aborting to aborted.

CondRestarting

Node for the condition for the change from starting to running.

CondFailure

Node for the condition to recognize a communicaiton fault.

CondConnReconnect

Node for the condition to acknowledge a communication fault.

CondPlcError

Node for the condition for PLC error.

Parameter

node

Property

Description

Possible value

Day

TagName

Name of the parameter.

TagDescr

Description of the tag.

TagType

Tag type
  • 0: Value parameter
  • 1: Return tag
  • 2: Initial parameters

DataType

Data Type
  • 0: Bool
  • 1: String
  • 2: Numeric
  • 3: Time period

Variable

Variable which is linked to the tag.

VariableDataType

Data type of the variable.

VariableDriver

Name of the EXE file of the driver of the variable.

VariableDriverDescr

Name of the driver of the variable.

TagValue VariantType

Value of the tag.

ValueMin VariantType

Minimum value of the tag.

ValueMax VariantType

Maximum value of the tag.

VariableMin

Minimum value of the variable.

VariableMax

Maximum value of the variable.

MeasUnit

Unit of the variable.

MaxStringLength

String length as engineered at the variable.

EditableInRecipe

Can be changed in the master recipe
  • TRUE: Tag values can be changed in the master recipe.
  • FALSE: Tag values cannot be changed in the master recipe.

ExplanationNeeded

Reason for value change necessary
  • TRUE: When entering value changes for these parameters in Runtime, a reason for the change must be entered by the user.
  • FALSE: Reason not required.

TagModified

Tag value changed.
  • TRUE: Tag value changed
  • FALSE: Tag value not changed.

EditableInCr

Tag value can be changed in control recipe
  • TRUE: Tag value can be changed in the control recipe.
  • FALSE: Tag value cannot be changed in the control recipe.

UseKeyboard

Use screen Keyboard
  • TRUE: Keyboard screen is used for this parameter.
  • FALSE: Keyboard screen is not used for this parameter.

KeyboardPictureName

Name of the selected keyboard screen. Only available if the keyboard screen property has been activated.

Reactions

node

Property

Description

Possible value

Reaction

Contains general properties for reactions.

EventType

Selection of the event type when the reaction is to be executed. For each event several reactions can be defined.
  • 0: Exit Runtime initiated
  • 1: Input interlocking blocked
  • 2: Waiting period input interlocking exceeded
  • 3: Phase activated
  • 4: Maximum execution period exceeded
  • 5: Phase deactivated
  • 6: Waiting period following condition exceeded
  • 7: Linked variable interrupted
  • 8: Status change: Continue
  • 9: Status change: Running
  • 10: Status change: Pausing
  • 11: Status change: Paused
  • 12: Status change: Executed
  • 13: Status change: Restarting
  • 14: Status change: Holding
  • 15: Status change: Held
  • 16: Status change: Stopping
  • 17: Status change: Stopped
  • 18: Status change: Aborting
  • 19: Status change: Aborted
  • 20: Mode change: Automatic
  • 21: Mode change: Semi-automatic
  • 22: Mode change: Manual
  • 28: Waiting period unit allocation exceeded
  • 29: Phase started multiple times
  • 30: Unit allocation not possible
  • 31: Finished writing value tags
  • 32: Phase done condition completed
  • 33: Command tag without value
  • 34: Runtime restart
  • 35: Escape condition started
  • 36: Escape condition fulfilled
  • 37: Loss of communication
  • 38: Loss of communication fixed
  • 39: Loss of communication acknowledged
  • 40: Phase started
  • 41: PLC error
  • 42: PLC error rectified
  • 43: PLC error rectified by deactivating the phase
  • 44: Input lock checked successfully

ReactionDescr

Description per reaction.

ReactionPrio

Displays the execution order when several reactions were defined for the same event. The order is defined by the position in the list and only displayed here.

ModeCommand

This reaction can be controlled in the Runtime of the execution mode as a reaction to the event.
  • 0: Ignore
  • 1: Automatic
  • 2: Semi-automatic
  • 3: Manual

StateCommand

Recipe or phase command which is executed in the Runtime at the occurrence of the event.
  • 0: Ignore
  • 2: Pause recipe
  • 3: Recipe resuming
  • 4: Hold recipe
  • 5: Restart recipe
  • 6: Recipe stopping
  • 7: Recipe aborting
  • 8: Phase pausing
  • 9: Phase holding
  • 10: Restart phase
  • 11: Phase resuming

Function

Function that is to be carried out.

CelEnabled

Create CEL entry

TRUE: The text defined in the CEL message text property is entered in the Chronological Event List, CEL.

FALSE: No entry in the CEL.

CelMsg

CEL message text. Only available if CEL entry property is active.

CelGroup

Allocation of a pre-existing alarm/event group to CEL messages for the selected event.

CelClass

Allocation of a pre-existing alarm/event class to CEL messages for the selected event.

SourceTag

Tag whose value is written to the tag selected in the destination tag property.

DestinationTag

Tag to which the value of the tag defined in source tag property is transferred.

SetTag

Tag on which the defined set value should be written as reaction of the event.

SetValueNum

Set value for numeric parameter.

SetValueStr

Set value for string tag.

SetValueBool

Set value for a binary tag.
  • 0: Off
  • 1: On
  • 4: Toggle

SetValueDuration

Set value in days, hours, minutes and seconds for duration tags. The time span is written as value in seconds on the variable linked at the tag.

ExecuteBeforeStartEvent

Allow execution before start event.

TRUE: The event can be executed before the phase started event.

FALSE: The event can only be started if the phase started event has been executed.

Control strategies

node | Property | Description | Possible value
ControlStrategy |  | Contains properties for the configuration of the control strategies. |
 | CSName | Name of the control strategy. |
 | CSDescription | Description of the control strategy. |
 | ActiveCSNumber | Unique number of the control strategy for identification within this phase. |
 | CSTag | Node for the definition of a parameter linked for this control strategy. |

Control strategies

node | Property | Description | Possible value
ConfiguredControlStrategy |  | Contains properties for the configured control strategy in the recipe. |
 | CSName | Name of the control strategy. |
 | CSDescription | Description of the control strategy. |
 | ActiveCSNumber | Unique number of the control strategy for identification within this phase. |


CEL

Manuel -> Batch Control -> CEL

Messages, information and errors for recipes, units, commands, reactions, events etc. are saved and displayed in the Chronological Event List ( CEL).

Groups and classes

CEL information can be allocated to groups and classes. These correspond to the alarm/event groups and alarm/event classes created in the project. The respective group or class is also entered in the CEL and can be used for filtering and grouping.

Groups and classes are allocated for actions for:

  • Recipes
  • Reactions
  • Commands
  • Value changes
  • Jumping, forcing and step-by-step execution

Recipes

The set group or class is entered into the CEL for the following recipe actions:

  • Master recipes list
    • New
    • Create new version
    • Delete
    • Duplicate
    • Rename
    • Release
    • Highlight as outdated
    • New control recipe
  • Control recipe list
    • Rename
    • Duplicate
    • Delete
  • Operation list
    • New
    • Rename
    • Duplicate
    • Delete
    • Release

Commands

The set group or class is entered for all recipe commands, phase commands, mode switches and restart messages.

Value changes

The set group or class is entered in the event of value changes to parameters in control recipes.

Jumping, forcing and step-by-step execution

The set group or class is entered for all manual steps, when jumping steps and when executing steps.

Allocation

Groups and classes are allocated

  • General: In the properties of the Batch Control node in the Groupes/classes d'événements group
  • Reactions: In the properties of the event of a reaction in the Réactions/Entrée dans la liste d'événements group System is entered as a user.


Failure handling

Manuel -> Batch Control -> Failure handling

If communication failures or PLC errors occur, these can be detected in Runtime using a formula configured in the editor. In the event of a communication error, the phase concerned is paused or held (depending on configuration).

Autres sujets abordés dans ce chapitre

communication errors

PLC error


communication errors

Manuel -> Batch Control -> Failure handling -> communication errors

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Detection of problems can be specially configured for each phase, because phases can also run on different PLCs. The reaction to a communication error is defined globally for all phases. In addition, a reaction to the communication error event can be configured.

To configure the detection of communication errors:

  1. highlight the desired phase
  2. Click, in the Perte de communication property group, on the Perte de communication property
  3. In the formula editor that opens, define the condition for detecting communication errors
  4. click on property Erreur de communication acquittée
  5. Define the condition to detect the reestablishment of communication
  6. Navigate to the properties for the Batch Control module
  7. In the Général/Perte de communication group, open the Action pour la perte de communication property
  8. Select the desired reaction to a communication error from the drop-down list
    • Hold phase
    • Pause phase

Checking in Runtime

When starting a phase or when restarting Runtime, 60 seconds is waited for values for the formula to check communication. If no values are received within this waiting time, a communication error is assumed.

Another check for communication errors is made if the phase is in a new step.

When restarting or reloading Runtime, the waiting for values can be in many steps, due to the phase being started again in the middle of the process. A check for communication failures is also made at areas where a check for faults is made.

Reestablishment

Checking the formula for reestablishing communication

A loss of communication to the PLC is determined if the value of the formula for the Perte de communication property is TRUE. Waiting is carried out until communication has been reestablished, i.e. the value of the formula is FALSE. After this, waiting is continued until the value of the formula for the Erreur de communication acquittée property is TRUE or empty. The execution of the object can be continued from this time only.

In the time between the loss of communication and reestablishment of communication:

  • No phase commands can be sent to the phase concerned
  • If the status is changed directly, transient conditions are not checked
  • No reactions are triggered for a status change
  • the procedure path of the phase concerned remains the same when a Continue or Restart global command is executed
  • The subsequent execution positions are offset until the communication to the phase has been reestablished

Skipping the reestablishment of communication

In the event of a communication error, this can be skipped both whilst the error is active and whilst communication is being reestablished. In both cases, the communication is considered reestablished. All reactions to the skipped steps are triggered. The skipping is displayed in the tooltip.

If a communication error has been skipped, then a new communication error only occurs if the value of the formula for the Perte de communication property switches to FALSE.

Counter for the recipe and operation for reestablished communication

In the status line of the recipe editor, there is information about errors in the recipe available with the symbol of the error display and the attendant tool tip information. Only the information with the highest priority is shown. Active errors and historical errors are not shown at the same time.

Prioritization and coding of the error display in the tooltip:

Priority | Color | Description
1 | red | Currently x errors active.
2 | red | Currently x communication errors not yet acknowledged.
3 | yellow | Errors were present.
4 | green | faultless

Note: "Currently x errors active" counts both procedure errors and communication errors.


PLC error

Manuel -> Batch Control -> Failure handling -> PLC error

The detection of PLC errors can be configured for each phase.

To configure the detection of PLC errors in Runtime:

  1. Configure a variable that reports the PLC error in zenon
  2. Highlight the desired phase in the Editor in the Batch Control module.
  3. Click, in the Perte de communication property group, on the Erreur de l'automate property
  4. In the formula editor that opens, define the condition for detecting PLC errors using the configured variables.
    Note: The formula can be displayed in the report.

To display the number of active and rectified PLC errors in a screen:

  1. Select the unit for whose phases PLC error detection has been configured.
  2. Go to the property group Information runtime/Erreur.
  3. Configure the variables for the properties.
    • Nombre d'erreurs actives sur l'automate
    • Nombre d'erreurs résolues sur l'automate
  4. Configure the evaluation and display of variables in Runtime.

Checking in Runtime

If a formula is linked for PLC errors, this is checked whilst the phase is active. Checking starts once communication with the PLC has been established and lasts until the phase has been deactivated. The connection is considered established if all values for the formula for detecting communication problems have been received.

If a communication error occurs, the PLC error is not checked as long as the communication error has not been acknowledged. Once it has been acknowledged, checking continues with the currently-pending value.

PLC errors and the rectification of these are displayed with their own symbol in the phase or in the operation and each displayed with an entry in the tooltip.

If there is a PLC error when a phase is ended, this is amended to rectified. In contrast to a normal deactivation of a PLC error, a separate event is sent: PLC error rectified by deactivation of the phase. This only applies for the actual closing, but not for a restart. When restarting, no new event is sent for PLC errors that continue to be active.


Error treatment

Manuel -> Batch Control -> Error treatment

Warnings and error messages are written in log files and can be analyzed with the Diagnosis Viewer. For this you must activate module Batch Control in the filter settings.

System driver variable

Batch Control provides the system driver SYSDRV with information via system driver variables. For information about their messages see manual SYSDRV in chapter Topic - Batch Control.

Reconstruction of index files

If the index file (recipe.unique) is not read when Runtime is started or it does not exist, it is reconstructed upon starting. During this time, requests from clients that need an ID or are processing an ID cannot be processed. Modifications are rejected, queries are answered after the index has been created.


Changement de langue

Manuel -> Changement de langue

La fonction de changement de langue permet d'afficher les textes, éléments graphiques et polices de caractères dans différentes langues dans le Runtime.
La fonction de changement de langue facilite notamment, par exemple :

  • La livraison d'un projet dans différentes langues
  • La gestion d'équipements décentralisés, accessibles depuis le monde entier
  • La gestion d'équipements sur lesquels la langue est configurable

Lors de la configuration du projet, dans la vue détaillée du nœud Fichier de langue, une table de langues contenant les fichiers de langues requis est créée.
Des instructions pas-à-pas sont disponibles dans le didacticiel Internationalisation.

tutorial Informations concernant la licence

Composante de la licence standard d’Editor et du Runtime.

Menu contextuel Gestionnaire de projet

Élément de menu | Action
Nouveau fichier de langue | Ouvre la boîte de dialogue de création d’une nouvelle table de langue.
Profil Editor | Ouvre la liste déroulante contenant les profils Editor prédéfinis.
Aide | Ouvre l'aide en ligne.

Autres sujets abordés dans ce chapitre

Objets compatibles avec la fonction de changement de langue

Table de langues et fichiers de langues

Mots-clés dans la table de langues

Éditer les entrées

Modification externe de fichiers de langues

Mots-clés prédéfinis - Textes système dans la liste CEL

Polices

Chemins de la fonction de changement de langue pour l’aide du Runtime

Fonction de changement de langue


Objets compatibles avec la fonction de changement de langue

Manuel -> Changement de langue -> Objets compatibles avec la fonction de changement de langue

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

La fonction de changement de langues est utilisable avec la plupart des modules et fonctionnalités.
Par exemple :

  • boîtes de dialogue du Runtime, par exemple, fenêtres de connexion standard ou boîte de dialogue de filtre de liste d'alarmes
  • Textes affichés sur les éléments tels que les boutons ou les textes statiques
  • Texte de limite
  • Identification de variable
  • Textes d’état et messages système dans la liste d’alarmes, la liste d’événements et le module Industrial Performance Analyzer.
  • Changement des textes dans un synoptique de type Bloc-notes ou des pages HTML pour les synoptiques de typeHTML.
  • Aide du Runtime
  • Groupes et classes d’alarmes pour groupes d’alarmes/d’événements et classes d’alarmes/d’événements
  • Chemins des fichiers graphiques, des fichiers d’aide, des fichiers multimédia, des textes et des informations de mise en forme et des informations de l’application Report Viewer.
  • Basculement des éléments dynamiques et statiques dans les séquences S7 Graph.
  • Jeux de caractères tels qu’Arial Unicode
  • et bien davantage

Certains éléments peuvent être configurés pour être incompatibles avec la fonction de changement de langue.

Autres sujets abordés dans ce chapitre

Textes incompatibles avec la fonction de changement de langue


Textes incompatibles avec la fonction de changement de langue

Manuel -> Changement de langue -> Objets compatibles avec la fonction de changement de langue -> Textes incompatibles avec la fonction de changement de langue

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Les éléments suivants ne sont pas compatibles avec la fonction de changement de langue :

Fonctionnalité

Textes incompatibles avec la fonction de changement de langue

CAL

Nom de la source

Modèles d’équipements

La langue ne peut pas du tout être changée.

Archive

  • Nom court
  • Nom

Types de données
  • Nom

Fonctions
  • Nom

HTML Web Engine

Textes des listes AML et CEL générés dans le Runtime.

Exceptions : colonnes Texte et Unité de mesure

Load Management
  • Nom Grille
  • Nom Groupe d’équipements
  • Nom Équipements
  • Nom Générateurs

Menus
  • Nom pour le menu principal

PFS

Noms provenant des éléments suivants :

  • Groupes de modèles
  • Événements
  • Calendrier

Matrices de réaction
  • Nom

Recipe Group Manager
  • Nom de groupe
  • Nom de la recette

Cadres
  • Nom

Polices
  • Nom

Script
  • Nom

Recettes standard
  • Nom

Listes de textes

La langue ne peut pas du tout être changée.

Drivers
  • Identification (défini lors de la sélection du driver)

Variables
  • Nom
  • Valeur chaîne pour le remplissage des archives

Verrouillages
  • Nom

Commande temporisée
  • Nom la fonction temporisée

Attributions
  • Nom


Table de langues et fichiers de langues

Manuel -> Changement de langue -> Table de langues et fichiers de langues

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Pour configurer la fonction de changement de langue, dans le projet ou le projet global, dans le nœud Fichier de langue de la Table de langues, créez un nouveau fichier de langue. Le fichier de langue est enregistré sous forme de fichier texte.

Dans ce cas, les dispositions suivantes s’appliquent :

  • La table contient toujours la colonne des mots-clés.
  • La colonne ZENONSTR.TXT est créée automatiquement. Ce fichier ne peut pas être détruit. Lorsque le Runtime démarre ce fichier est chargé automatiquement.
  • Chaque langue reçoit une colonne spécifique dans la table de langues.
  • Pour chaque colonne, un fichier de langue spécifique est créé.
    Dans la colonne, le mot-clé est enregistré avec sa traduction. Le mot-clé et la traduction sont séparés par un caractère de barre verticale |.
  • Si un mot-clé est saisi dans la table de langues, toutes les colonnes de cette ligne sont automatiquement renseignées avec le mot-clé. Ce mot-clé doit alors être remplacé par la traduction dans la langue correspondante.
  • Les traductions peuvent également être affichées dans Editor et être activées ou désactivées.
    Pour activer la fonction de changement de langue dans le Runtime, la fonction correspondante doit être configurée.
  • Si aucune entrée n’est disponible dans le fichier actuellement en cours d’utilisation (langue/colonne), une entrée vide est créée.
  • Si une entrée n’est pas disponible dans l’un des fichiers (langues/colonnes), le mot-clé peut être affiché à sa place.
    Pour cela, activez les propriétés Montrer les mots-clé non-traduits dans les propriétés du projet.
  • Si aucun mot-clé n’est présent dans le projet global ou le projet local, les entrées provenant du projet global sont utilisées dans le Runtime.

Autres sujets abordés dans ce chapitre

Vue de détail de la barre d’outils et du menu contextuel Changement de langue

Mots-clés

Créer une nouvelle table de langue

Renommer un fichier de langue

Copier et coller

Trier

Filtre

Rechercher

Remplacer

Affichage multiligne

Polices

Utilisation de la table de langues dans Editor


Vue de détail de la barre d’outils et du menu contextuel Changement de langue

Manuel -> Changement de langue -> Table de langues et fichiers de langues -> Vue de détail de la barre d’outils et du menu contextuel Changement de langue

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

La barre d’outils et le menu contextuel proposent des actions spécifiques à la création et l’administration des fichiers de langues.

Élément de menu

Action

Nouvelle table de langue

Insère un nouveau fichier de langue vide dans la table.

Créer une fonction standard

Crée une fonction Changement de langue et ouvre la boîte de dialogue de configuration.

Enregistrer

Enregistre la table de langue.

Copier le fichier

Copie le fichier sélectionné vers le presse-papiers.

Copier la clé

Copie la clé sélectionnée vers le presse-papiers.

Coller

Colle le contenu du presse-papiers (fichier ou clé) dans la table de langues. Le fichier collé est visible après l’actualisation de l’affichage dans Editor.

Supprimer un fichier

Supprime les fichiers de langue sélectionnés de la table de langues.

Touche Suppr.

Supprime la clé sélectionnée de la table de langues.

Retour à l’élément de départ

Jumps back to the initial position in the zenon Editor.

Remarque : This context menu entry is only available if a jump to the current position has been made from another position with the Linked elements context menu entry.

Exporter le fichier

Exporte le fichier de langue sélectionné au format TXT.

Importer le fichier

Importe un fichier au format TXT.

Importer/Exporter étendu

Ouvre le menu d’importation et d’exportation de fichiers CSV.

Rechercher

Ouvre la boîte de dialogue de recherche d’entrées dans le fichier de langue actif.

Remplacer

Ouvre la boîte de dialogue permettant de rechercher et remplacer des entrées dans le fichier de langue actif.

Police pour le fichier de langue sélectionné

Ouvre la liste déroulante permettant de sélectionner la police de caractères.

  • Sélection : La boîte de dialogue de sélection de polices s’affiche à l’écran.
  • Police par défaut : La police par défaut est utilisée.

Indisponible pour l’option mot-clé.

Table de langue dans Editor

Ouvre la liste déroulante de sélection du fichier de langue pour Editor.

Supprimer tous les filtres

Supprime toutes les expressions de filtre des colonnes.

Table de caractères

Ouvre la table de caractères de Windows.

Aide

Ouvre l'aide en ligne.

info Informations

Les procédés d’exportation de fichier, de copie, de recherche et de remplacement désignent tous le fichier de langue actif.

Actif signifie : Lorsque vous cliquez sur la table de langues, le fichier correspondant à la colonne sur laquelle vous cliquez est défini comme actif. Le nom du fichier actif est affiché dans la fenêtre des propriétés, et une icône représentant des jumelles apparaît dans la fenêtre de propriétés et l’en-tête de la colonne correspondant au fichier.


Mots-clés

Manuel -> Changement de langue -> Table de langues et fichiers de langues -> Mots-clés

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Définition de mots-clés

Les mots-clés sont identifiés par le symbole @

Dans ce cas, les dispositions suivantes s’appliquent :

@Texte

Le texte complet sera traduit.

Texte@

Ce texte ne sera pas traduit.

@Texte@Texte

Le texte entre les deux caractères @ sera traduit.

  • Règle : Le texte situé après un nombre impair de caractères @ est traduit. Le comptage commence au début de l’entrée. Le texte entre les premier et deuxième caractères @ est traduit ; le texte entre les deuxième et troisième caractères @ ne l’est pas !

Exemple : @user@Doe

  • user est traduit
  • Doe ne sera pas traduit

Liaison

Les éléments texte traduits et non traduits peuvent être concaténés.

Exemple :
@L’utilisateur @Doe@ est déconnecté.

Texte | Translation
L’utilisateur | X
Doe | --
est déconnecté. | X

Traductions dans le Runtime

Les considérations suivantes s’appliquent à l’affichage de traductions dans le Runtime :

  • Une traduction est attribuée au mot-clé : Les textes traduits sont affichés.
  • Aucune traduction n’est attribuée au mot-clé : Aucun texte n’est affiché.
  • Aucun fichier de langue ne contient une traduction : le mot-clé est affiché sans caractère @.

Affichage de mots-clés

Pour afficher un mot-clé non traduit si du texte est manquant :

  1. Accédez à Apparence graphique -> Généralités runtime dans les paramètres du projet
  2. Activez la propriété Montrer les mots-clé non-traduits.

    Les textes non traduits sont affichés sous la forme @@mot-clé dans le Runtime


Créer une nouvelle table de langue

Manuel -> Changement de langue -> Table de langues et fichiers de langues -> Créer une nouvelle table de langue

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Pour créer un nouveau fichier de langue :

  1. Ouvrez le menu contextuel de l’entrée Fichier de langue dans le Gestionnaire de projet
  2. Sélectionnez l’entrée Nouveau fichier de langue...

    La boîte de dialogue d’ouverture d’un nouveau fichier de langue s’affiche à l’écran.

  3. Spécifiez un nom au choix. L’extension de fichier *.txt est ajoutée automatiquement.
    Le nom du fichier correspond à l’en-tête de la colonne.

    Remarque : Les caractères spéciaux ne sont pas autorisés.

  4. Confirmez en cliquant sur le bouton OK.

    Le nouveau fichier est ajouté à la table de langues, sur le côté droit de l’écran. Il peut être déplacé à l’aide de la souris, en effectuant un glisser-déplacer.

Lors de la création d’un nouveau fichier de langue, des sous-dossiers spécifiques aux différentes langues sont créés dans l’arborescence du projet, dans le dossier Fichier. Ils portent le nom du fichier de langue qui vient d’être créé. Ils sont l’emplacement de sauvegarde des contenus spécifiques aux langues. Les sous-dossiers sont créés pour les éléments suivants :

  • Éléments graphiques
  • Aide
  • Éléments multimédia
  • Textes et informations de mise en forme
  • Report Viewer


Renommer un fichier de langue

Manuel -> Changement de langue -> Table de langues et fichiers de langues -> Renommer un fichier de langue

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Le nom de fichier du fichier actif est affiché dans la fenêtre des propriétés, sous la propriété Nom de fichier. Ici, vous pouvez modifier le nom du fichier de langue. Lorsque vous renommez un fichier de langue, les sous-dossiers spécifiques aux langues (situés dans les dossiers de fichiers binaires) sont également renommés.


Copier et coller

Manuel -> Changement de langue -> Table de langues et fichiers de langues -> Copier et coller

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Les fichiers de langues peuvent être copiés et collés dans le projet source ou dans d’autres projets.

Copie

Pour copier un fichier de langue :

  1. Cliquez avec le bouton droit sur la colonne la ligne correspondant à la langue souhaitée.
  2. Sélectionnez Copier le fichier.

    Le fichier de langue est copié vers le presse-papiers.

Coller

Pour coller un fichier de langue depuis le presse-papiers :

  1. Cliquez avec le bouton droit sur la table de langues.
  2. Sélectionnez Coller.

    Le fichier de langue contenu dans le presse-papiers est collé dans la dernière colonne de la table. Les sous-dossiers destinés à l’enregistrement des fichiers binaires sont créés.

Remarque : Les mots-clés peuvent également être copiés et collés à l’aide des raccourcis Ctrl+C et Ctrl+V. Cela n’est en revanche pas possible pour les fichiers de langue.

Action lors de l’utilisation de la fonction Coller

La fonction Coller fait une différence entre votre projet et les autres projets :

  • Utilisation de la fonction Coller dans le projet source :
    Un nouveau fichier portant le nom Copie n de xxx.txt est collé.
    • n : numéro de la copie
    • xxx : nom du fichier copié
  • Lorsque vous collez un élément dans un autre projet, le programme recherche un fichier de langue possédant le même nom.
    • Un fichier de langue portant le même nom existe : L’utilisateur est interrogé et doit indiquer si le fichier doit être remplacé.
    • Le fichier de langue n’existe pas : Le fichier est collé sous son nom d’origine.

info Informations

Les fichiers de langue peuvent également être exportés et importés.


Trier

Manuel -> Changement de langue -> Table de langues et fichiers de langues -> Trier

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Les entrées des colonnes peuvent être triées. Il est également possible de modifier l’ordre des colonnes.

Tri d’entrées

  1. Cliquez sur l’en-tête de la colonne que vous souhaitez trier.

    La colonne est triée. L’ordre de tri (croissant/décroissant) est indiqué par une flèche située au-dessus de l’en-tête de la colonne.

  2. Pour modifier l’ordre de tri, cliquer une nouvelle fois sur l’ordre de tri.

Modifier l’ordre des colonnes

  1. Cliquez sur l’en-tête de la colonne que vous souhaitez déplacer.
  2. Maintenez le bouton gauche de la souris enfoncé.
  3. Déplacez le pointeur de la souris dans la position souhaitée

    Une barre verticale bleue indique l’emplacement auquel elle sera collée.

  4. Relâchez le bouton de la souris.

    La colonne est déplacée à l’emplacement souhaité.

Remarque : La colonne mot-clé doit toujours être située complètement à gauche et ne peut pas être déplacée.


Filtre

Manuel -> Changement de langue -> Table de langues et fichiers de langues -> Filtre

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

La table de langues peut être affichée après avoir été filtrée.

Pour filtre l’affichage :

  1. Cliquez sur la ligne de filtre de la courbe souhaitée.
  2. Saisissez un texte de filtre.
    Vous pouvez utiliser des opérateurs :
    • *: Remplace les caractères souhaités, dans la quantité indiquée.
      red* trouve tous les textes commençant par red.
    • ?: Replace un caractère exactement.
      r?d trouve red, rad, etc.

    Toutes les lignes qui ne correspondent pas au critère de filtre sont supprimées de la liste.

Vous pouvez associer plusieurs filtres.

Pour réinitialiser le filtre, supprimez l’expression de filtre de l’en-tête ou sélectionnez la commande Supprimer tous les filtres du menu contextuel.


Rechercher

Manuel -> Changement de langue -> Table de langues et fichiers de langues -> Rechercher

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Il est possible de chercher un texte ou un morceau de texte dans la table de langue. Pour cela, des opérateurs peuvent être utilisés. Cette fonction permet également de remplacer des références. La fonction Rechercher et remplacer est toujours valide pour la colonne dans laquelle se trouve le curseur.

Pour effectuer une recherche :

  1. Cliquez sur la colonne souhaitée.
  2. Cliquez avec le bouton droit de la souris.
  3. Sélectionnez l’option Rechercher dans le menu contextuel.

Boîte de dialogue Rechercher

Paramètres

Description

Rechercher

Saisissez l’expression de recherche.

Mots entiers uniquement
  • Active : seule l’expression de recherche spécifiée dans le champ de saisie est renvoyée.
    Exemple : "Text" renvoie "Text", mais pas "Textur".
  • Inactive : les expressions contenant l’expression de recherche sont également renvoyées.
    Exemple : "Text" renvoie également "Textur".

La casse (majuscules/minuscules)
  • Active : la recherche tient compte des minuscules et majuscules.
    Exemple : "Text" renvoie "Text", mais pas "text".
  • Inactive : l’utilisation des minuscules et majuscules n’a aucune incidence sur les résultats de la recherche.

Sens de recherche

Définit la direction de la recherche.

  • Haut : la recherche est effectuée vers le haut, en partant de la cellule sélectionnée.
  • Bas : la recherche est effectuée vers le bas, en partant de la cellule sélectionnée.

Rechercher suivant

Trouve et affiche en surbrillance la référence suivante.

Annuler

Arrête la recherche et ferme la boîte de dialogue.

Recherche incrémentielle

Pour effectuer une recherche incrémentielle :

  1. Placez le pointeur de la souris sur la colonne souhaitée.
  2. Saisissez le premier caractère de l’entrée souhaitée.
    • La prochaine ligne de la colonne active dont le texte commence par le critère de recherche spécifié est sélectionnée.
    • La recherche fait toujours référence au premier caractère de la ligne.
      Par exemple : r trouve la ligne contenant red, mais ne trouve pas la ligne contenant green.


Remplacer

Manuel -> Changement de langue -> Table de langues et fichiers de langues -> Remplacer

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Pour rechercher et remplacer les textes :

  1. Cliquez sur la colonne souhaitée.
  2. Cliquez avec le bouton droit de la souris.
  3. Sélectionnez Remplacer dans le menu contextuel.

Boîte de dialogue Remplacer

Paramètres

Description

Rechercher

Saisissez l’expression de recherche.

Remplacer par

Saisissez l’expression devant remplacer l’expression de recherche.

Mots entiers uniquement
  • Active : seule l’expression de recherche spécifiée dans le champ de saisie est renvoyée.
    Exemple : "Text" renvoie "Text", mais pas "Textur".
  • Inactive : les expressions contenant l’expression de recherche sont également renvoyées.
    Exemple : "Text" renvoie également "Textur".

La casse (majuscules/minuscules)
  • Active : la recherche tient compte des minuscules et majuscules.
    Exemple : "Text" renvoie "Texte", mais pas "texte".
  • Inactive : l’utilisation des minuscules et majuscules n’a aucune incidence sur les résultats de la recherche.

Rechercher suivant

Trouve et surligne la référence suivante.

Remplacer

L’expression trouvée est remplacée.

Remplacer tout

Toutes les expressions de recherche dans a colonne active sont remplacées sans demande de confirmation.

Annuler

Ferme la fonction de recherche


Affichage multiligne

Manuel -> Changement de langue -> Table de langues et fichiers de langues -> Affichage multiligne

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Les textes-clés et les traductions peuvent être affichés en mode "multiligne". La hauteur de ligne peut être modifiée en conséquence.

Pour définir individuellement la hauteur des lignes :

  1. Placez le pointeur de la souris sur l’en-tête situé sur le côté gauche de la colonne mot-clé
  2. Placez le pointeur de la souris sur la ligne séparatrice entre les lignes ; le pointeur de la souris devient une croix.
  3. Maintenez le bouton gauche de la souris enfoncé, puis faites glisser la ligne jusqu’à atteindre la hauteur souhaitée.

Pour adapter automatiquement la hauteur des lignes

  1. Placez le pointeur de la souris sur l’en-tête situé sur le côté gauche de la colonne mot-clé
  2. Placez le pointeur de la souris sur la ligne séparatrice entre les lignes ; le pointeur de la souris devient une croix.
  3. Double-cliquez sur la ligne séparatrice

    La hauteur de ligne est automatiquement adaptée au contenu ; les sauts de ligne des textes sont insérés en fonction de la largeur des colonnes.

Remarque : Les hauteurs de ligne définies ne sont pas enregistrées lorsque vous quittez la liste.


Polices

Manuel -> Changement de langue -> Table de langues et fichiers de langues -> Polices

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Vous pouvez également modifier la police de caractères utilisée pour l’affichage d’une table de langues dans Editor par le biais du menu contextuel de la table de langues.
Vous pouvez créer des polices globales dans le projet global. Les entrées définies dans le projet global sont utilisables dans tous les projets dans l’espace de travail.

info Informations

Si la police ne s’affiche pas correctement dans la vue de liste, vous devez activer la police Arial Unicode dans le Panneau de configuration.


Utilisation de la table de langues dans Editor

Manuel -> Changement de langue -> Table de langues et fichiers de langues -> Utilisation de la table de langues dans Editor

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Les mots-clés peuvent être traduits et utilisés pendant le développement dans Editor. Par exemple, une vérification peut être effectuée d’emblée dans Editor afin de déterminer si les longueurs définies sont suffisantes pour toutes les langues.

Pour utiliser un fichier de langue dans Editor :

  1. Dans le menu contextuel, sélectionnez l’entrée Fichier de langue pour Editor.
  2. Sélectionnez le fichier souhaité dans le sous-menu.
  3. Le fichier de langue actif dans Editor est identifié par des caractères verts dans l’en-tête de colonne


Mots-clés dans la table de langues

Manuel -> Changement de langue -> Mots-clés dans la table de langues

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Les mots-clés des textes compatibles avec la fonction de changement de langue sont identifiés par le caractère @ dans zenon. Dans la table de langues, les mots-clés sont saisis sans caractère @. Les caractères de contrôle @ existants sont supprimés automatiquement.

Tipp Conseil

Vous pouvez utiliser ces caractères pour :

  • Coller des mots-clés dans Language Table Wizard
  • Gérer les traductions dans Language Translation Wizard und das Project Translation Interface
  • Importer des textes système dans System Text Wizard

Les considérations suivantes s’appliquent aux entrées de la table de langues :

  • Un ensemble est formé par caractère @.
  • Chaque ensemble doit être inséré individuellement dans la table de langues.

    Exemple : Le texte compatible avec la fonction de changement de langue "@Utilisateur @ Dupont @ déconnecté." comporte deux entrées dans la table de langues :

    • Ligne 1 : Utilisateur
    • Ligne 2 : déconnecté.
  • Après l’importation, chaque fichier de langue reçoit initialement les mots-clés qu’il contenait avant l’importation.
  • Dès qu’une modification est apportée à la table de langues (par exemple, saisie d’un nouveau mot-clé), tous les mots-clés dans toutes les langues sont synchronisés.
    Chaque fichier de langue contient alors tous les mots-clés.
  • Tous les mots-clés récemment saisis dans la table sont toujours écrits dans toutes les langues disponibles.

attention Attention

L’importation peut produire de nouveaux mots-clés, pour lesquels aucune traduction n’est disponible dans le fichier de langue existant. Dans ce cas, les mots-clés sont affichés dans le Runtime.

Pour afficher le caractère @ avant les mots-clés, la propriété Montrer les mots-clé non-traduits doit être activée dans les propriétés du projet.

Autres sujets abordés dans ce chapitre

Ajouter un nouveau mot-clé

Assistant Language Table Wizard

Assistant System Text Wizard


Ajouter un nouveau mot-clé

Manuel -> Changement de langue -> Mots-clés dans la table de langues -> Ajouter un nouveau mot-clé

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Pour coller un nouveau mot-clé :

  1. Cliquez sur la dernière cellule de la colonne Mot-clé.
  2. Saisissez le mot-clé.

    Le mot-clé est automatiquement saisi dans toutes les colonnes disponibles comportant un fichier de langue.

  3. Saisissez l’expression correcte pour chaque colonne.

Remarque : Il est également possible de saisir le mot-clé en appuyant sur la touche Insér. Lorsque vous appuyez sur la touche Insér, en fonction de la position du pointeur de souris dans la table, la dernière cellule de la colonne mot-clé est sélectionnée et activée pour la saisie.

info Informations

L’assistantLanguage Table Wizard permet également de saisir des mots-clés. L’utilisation de l’assistant est recommandée. Vous avez ainsi la certitude de saisir tous les mots-clés requis.


Assistant Language Table Wizard

Manuel -> Changement de langue -> Mots-clés dans la table de langues -> Assistant Language Table Wizard

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Cet assistant

  • Recherche les textes traduisibles ou les mots-clés (textes précédés d’un caractère @) dans les projets actifs et
  • Écrit les mots-clés trouvés
    • dans la table de langue sélectionnée dans le projet actif, ou
    • Facultatif dans le projet global.

À des fins de référence, une table au moins (ZENONSTR.TXT) doit être sélectionnée pour l’importation.

Si des textes sans caractère @ sont trouvés, ils peuvent être définis en tant que mot-clé dans un projet. Pour cela, un caractère @ est inséré au début du texte.

attention Attention

Cet assistant peut uniquement être sélectionné si l’entrée CSHARP= est définie sur 1, sous l’en-tête [VSTA] dans le fichier zenon6.ini.

Remarque : L’assistant est uniquement disponible en anglais.

L’assistant Language Table Wizard remplace l’ancien Language Change Wizard (VBA) (assistant Changement de langue).

Autres sujets abordés dans ce chapitre

Affichage de l’assistant

Fenêtre de démarrage

Paramètres

Terminer


Affichage de l’assistant

Manuel -> Changement de langue -> Mots-clés dans la table de langues -> Assistant Language Table Wizard -> Affichage de l’assistant

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

L’assistant peut également être sélectionné directement dans la boîte de dialogue de démarrage des assistants.

To start the wizard:

  1. Click on Tools -> Start Editor Wizards....
    Or: Press the short cut Alt+F12

    The selection window with the available wizards opens.

  2. Sélectionnez le dossier Language Table.
  3. Ensuite, sélectionnez Language Table Wizard

  4. Cliquez sur OK.

    L’assistant démarre en affichant la page d’accueil.


Fenêtre de démarrage

Manuel -> Changement de langue -> Mots-clés dans la table de langues -> Assistant Language Table Wizard -> Fenêtre de démarrage

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Lors de l’ouverture de l’assistant, une page de présentation de la documentation en langue française s’affiche à l’écran.

Pour naviguer dans l’assistant, cliquez sur les étapes individuelles ou progressez étape par étape, en cliquant sur les boutons fléchés.

Cliquez sur Cancel (Annuler) pour fermer l’assistant.


Paramètres

Manuel -> Changement de langue -> Mots-clés dans la table de langues -> Assistant Language Table Wizard -> Paramètres

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Options d’importation

Vous pouvez définir les paramètres suivants dans le groupe Import options (Options d’importation) :

  • Si les textes existants doivent être remplacés dans la table de langue sélectionnée,
  • Si les textes traduisibles trouvés doivent être définis comme mots-clés dans le projet (les textes sont identifiés par le caractère @ dans le projet) et
  • Si les tables de langues doivent être utilisées par le projet global.

Sélectionner les tables de langues

Dans la section Select language tables (Sélectionner les tables de langues), selon la configuration de l’option Add keywords to lanaguage table global project (Ajouter des mots-clés à la table de langues du projet global), les tables de langues du projet actif ou du projet global sont affichées. Le mot-clé est inséré sous forme de texte dans les tables de langues sélectionnées. Au moins une table doit être sélectionnée.

Options du projet

Dans la section „Project options (Options du projet), vous pouvez sélectionnez les textes ou mot-clés associés au projet que vous souhaitez rechercher.

Éléments de synoptique

Dans la section „Screen elements (Éléments de synoptique), vous pouvez sélectionnez les éléments de synoptique que vous souhaitez rechercher.


Terminer

Manuel -> Changement de langue -> Mots-clés dans la table de langues -> Assistant Language Table Wizard -> Terminer

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

La recherche de textes traduisibles et de mots-clés peut maintenant être démarrée depuis cet onglet.

Pour démarrer la recherche, cliquez sur le bouton Finish.

En fonction des options définies dans les paramètres, le texte traduisible est recherché et écrit dans les tables de langues sélectionnées.


Assistant System Text Wizard

Manuel -> Changement de langue -> Mots-clés dans la table de langues -> Assistant System Text Wizard

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

L’assistant Textes système autorise l’importation de textes système dans la table de langues. Les textes système sont des textes de Runtime utilisés dans les boîtes de dialogue et les menus de zenon, et qui ne peuvent pas être modifiés par l’utilisateur. Pour que ces textes, qui sont prédéfinis par zenon, soient compatibles avec la fonction de changement de langue, ils doivent d’abord être importés dans la table de langues à l’aide de cet assistant. Le nombre de mots-clés et de textes importés peut être limité au moyen d’une option de l’assistant.

attention Attention

Cet assistant peut uniquement être sélectionné si l’entrée CSHARP= est définie sur 1, sous l’en-tête [VSTA] dans le fichier zenon6.ini.

Remarque : L’assistant est uniquement disponible en anglais.

Autres sujets abordés dans ce chapitre

Affichage de l’assistant

Fenêtre de démarrage

Paramètres

Terminer


Affichage de l’assistant

Manuel -> Changement de langue -> Mots-clés dans la table de langues -> Assistant System Text Wizard -> Affichage de l’assistant

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

To start the wizard:

  1. Click on Tools -> Start Editor Wizards....
    Or: Press the short cut Alt+F12

    The selection window with the available wizards opens.

  2. Sélectionnez le dossier de Language Table.
  3. Dans ce dossier, sélectionnez System Text Wizard.
  4. Cliquez sur OK.

    L’assistant démarre en affichant la page d’accueil.


Fenêtre de démarrage

Manuel -> Changement de langue -> Mots-clés dans la table de langues -> Assistant System Text Wizard -> Fenêtre de démarrage

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Lors de l’ouverture de l’assistant, une page de présentation de la documentation en langue française s’affiche à l’écran.

Pour naviguer dans l’assistant, cliquez sur les étapes individuelles ou progressez étape par étape, en cliquant sur les boutons fléchés.

Cliquez sur Cancel (Annuler) pour fermer l’assistant.


Paramètres

Manuel -> Changement de langue -> Mots-clés dans la table de langues -> Assistant System Text Wizard -> Paramètres

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Les paramètres d’importation des textes système sont regroupés dans l’onglet Settings (Paramètres).

Paramétrage du projet

Option

Description

Overwrite existing language table
  • Active : Les textes contenant des mots-clés existants sont remplacés.

Add keyword to language table global project
  • Active : Les textes système sont écrits dans la table de langues dans le projet global.
  • Inactive : Les textes système sont écrits dans la table de langues dans le projet local.

Select keyword language

Sélection de la langue des mots-clés dans une liste déroulante.

Sélectionner une langue

Sélection des langues et des fichiers de langue associés. Les langues prises en charge par zenon sont disponibles.

Pour sélectionner une langue :

  1. Cochez la case adjacente à la langue souhaitée.
    Les sélections multiples sont autorisées.
  2. Sélectionnez le fichier de langue souhaité dans la liste déroulante.
    Attention : le fichier de langue correspondant doit avoir été préalablement configuré dans zenon.

Sélectionner une catégorie

Sélection des modules et fonctions pour lesquels des textes de symboles doivent être importés. Pour sélectionner un objet, cochez la case adjacente à l’entrée.


Terminer

Manuel -> Changement de langue -> Mots-clés dans la table de langues -> Assistant System Text Wizard -> Terminer

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

L’importation s’effectue depuis cet onglet.

Pour démarrer l’importation, cliquez sur le bouton Finish.
Lors de la fermeture, la configuration de l’assistant peut être enregistrée afin d’être réutilisée ultérieurement.


Éditer les entrées

Manuel -> Changement de langue -> Éditer les entrées

Pour éditer une entrée, double-cliquez sur la cellule correspondante. Appuyez sur la touche F2 pour ouvrir la cellule sur laquelle se trouve le focus et en éditer le contenu.

Suppression de mots-clés et de traductions

Vous pouvez supprimer des traductions uniques ou des mots-clés entiers, ainsi que toutes les traductions associées.

Pour supprimer un mot-clé contenant toutes les traductions :

  1. Sélectionnez la ligne.
  2. Appuyez sur la touche Suppr. ou sélectionnez l’option Supprimer la clé dans le menu contextuel.

    Le mot-clé et toutes les traductions incluses sont supprimées sans demande de confirmation.

    Vous pouvez sélectionner et supprimer plusieurs lignes à la fois (Ctrl+ clic?; Maj + clic)

Pour supprimer les fichiers de langue :

  1. Sélectionnez la ligne.

    La colonne Mot-clé ne doit pas être active.

  2. Maintenez la touche Maj enfoncée et appuyez sur Suppr.

    La traduction de la colonne active est supprimée.

Copier et coller

Pour copier les mots-clés

  1. Sélectionnez la ligne souhaitée (sélection multiple possible).
  2. Appuyez sur Ctrl+C ou sélectionnez l’option Copier le mot-clé dans le menu contextuel.

    Les mots-clés sont copiés vers le presse-papiers.

Pour coller les mots-clés :

  1. Cliquez dans la table de langues.
  2. Appuyez sur Ctrl+V ou sélectionnez l’option Coller dans le menu contextuel.

    Les mots-clés et les entrées associées aux fichiers de langue proviennent du presse-papiers.

    Si une clé copiée existe déjà dans la liste, un nouveau mot-clé appelé Copie n de xxx est créée.

    • n : numéro de la copie
    • XXX : nom de la clé copiée


Modification externe de fichiers de langues

Manuel -> Changement de langue -> Modification externe de fichiers de langues

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Les fichiers de langues peuvent également être modifiés de façon externe. Pour cela, vous devez les exporter.
Possibilités d’exportation et d’importation :

Format de fichier | Exportation/importation via | Annotation
XML dans ZIP | Language Translation Wizard | Compatible avec l’édition dans Project Translation Interface. Prépare les textes dans un fichier XML et les exporte sous forme de fichier zip, avec les fichiers de langue sélectionnés. En outre, une capture d’écran de tous les synoptiques est créée et également fournie dans le fichier zip. Le fichier zip contient également les listes de polices de caractères du projet sélectionné, ainsi que celles du projet global. Concerne uniquement les fichiers de langue sélectionnés. Édition avec l’outil de traduction Project Translation Interface.
TXT | Exporter/importer le fichier (Fonction indisponible pour la colonne de mots-clés) | Particulièrement adapté à l’envoi de fichiers à d’autres utilisateurs et à l’importation dans d’autres projets. Concerne toujours uniquement le fichier de langue sélectionné et les mots-clés. Modifiable dans un éditeur de texte.
CSV | Importer/Exporter (étendu) -> CSV | Particulièrement adapté l’édition externe des données. Concerne tous les fichiers de langue d’une table de langues. Éditer avec Microsoft Excel.

Pour modifier un fichier de langue :

  1. Exportez le fichier de votre choix.
  2. Effectuez les modifications requises.
  3. Importez à nouveau le fichier dans Editor.

attention Attention

Remarque concernant les modifications externes :

  • Lors de l’importation, le nouveau fichier n’est pas simplement remplacé, mais fusionné avec le fichier disponible dans le projet actuel. Pour plus de détails, reportez-vous au chapitre : Exportation/importation de fichiers de langue
  • Les modifications affectent uniquement le mot-clé et la langue sélectionnée. Toutes les autres langues restent inchangées ou vides.

Autres sujets abordés dans ce chapitre

Exportation/importation de fichiers de langue

Language Translation Wizard (Assistant Traduction linguistique)

Édition de fichiers zip

Édition dans un fichier de texte

Édition de fichiers CSV dans MS Excel

Exportation de traductions


Exportation/importation de fichiers de langue

Manuel -> Changement de langue -> Modification externe de fichiers de langues -> Exportation/importation de fichiers de langue

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Les fichiers de langue peuvent être exportés dans différents formats, et il est possible de réimporter les données depuis ces fichiers.

  • XML vers fichier ZIP
  • TXT
  • CSV

Exporter

XML/ZIP

Pour exporter un fichier de langue au format XML sous forme de fichier ZIP, utilisez l’assistant Language Translation Wizard.

TXT et CSV

Pour exporter un fichier de langue au format TXT ou CSV :

  1. Cliquez dans la colonne souhaitée pour exporter les données au format TXT.
    Pour exporter les données au format CSV, cliquez avec le bouton droit sur le tableau.
  2. Ouvrez le menu contextuel en cliquant avec le bouton droit
  3. Sélectionnez le type d’exportation souhaité :
    • Exporter le fichier : Exporte la table de langues au format TXT.
    • Importer/Exporter (étendu) -> Exporter tous (CSV)... : Exporte toutes les tables présentes au format CSV.

    La boîte de dialogue permettant de sélectionner l’emplacement de sauvegarde et le nom de fichier s’affiche.

  4. Enregistrez le fichier d’exportation.

    Un message vous informe que l’exportation a été effectuée, et vous propose d’accéder au dossier d’exportation.

    • Cliquez sur le bouton Oui pour ouvrir le dossier d’exportation et fermer la boîte de dialogue.
    • Cliquez sur le bouton Non pour fermer la boîte de dialogue.

Importer

XML

Pour importer un fichier de langue au format XML sous forme de fichier ZIP, utilisez l’assistant Language Translation Wizard.

TXT et CSV

Pour importer un fichier de langue au format TXT ou CSV :

  1. Cliquez dans la table de langues.
  2. Ouvrez le menu contextuel en cliquant avec le bouton droit
  3. Sélectionnez le type d’importation souhaité :
    • Importer le fichier : importe un fichier au format TXT
    • import/export étendu -> CSV import (Importation/exportation avancée - Importer au format CSV) : importe le fichier au format CSV

    La boîte de dialogue de sélection de fichiers s’affiche à l’écran.

  4. Cliquez sur OK pour importer le fichier.

attention Attention

L’importation peut produire de nouveaux mots-clés, pour lesquels aucune traduction n’est disponible dans le fichier de langue existant. Dans ce cas, les mots-clés sont affichés dans le Runtime.

Pour afficher le caractère @ avant les mots-clés, la propriété Montrer les mots-clé non-traduits doit être activée dans les propriétés du projet.

Comportement durant l’importation

Les considérations suivantes s’appliquent à l’importation en ligne :

  • Si le fichier d’importation et le projet contiennent des entrées, les entrées importées remplacent celles déjà présentes dans le projet.
  • Les entrées uniquement présentes dans le projet ne sont pas modifiées.
  • Les entrées qui apparaissent uniquement dans le fichier importé sont ajoutées au projet, sous forme de nouvelles entrées.
  • Si un fichier de langue du fichier d’importation n’existe pas encore dans le projet, un nouveau fichier portant un nouveau nom est créé.

Importation de fichiers TXT

Les fichiers de texte doivent correspondre au format de la table de langues pour l’importation :
Format : Texte-clé + | + Traduction

Lors de l’importation, le nouveau fichier n’est pas simplement remplacé, mais fusionné avec le fichier disponible dans le projet actuel.

Importation de fichiers CSV

Les fichiers CSV doivent correspondre au format de la table de langues pour l’importation :

  • Le fichier doit comporter l’extension .csv. Si ce n’est pas le cas, un message d’erreur est affiché.
  • Séparateurs de langues autorisés :
    • Barre verticale (|)
    • Point-virgule (;)
    • Tabulation (->)

    Si d’autres caractères sont utilisés en tant que séparateurs de colonnes, un message d’erreur s’affiche.

  • La première ligne contient une liste des fichiers. Dans ce fichier, le premier emplacement doit être un opérateur pour la colonne Mot-clé.
  • Les lignes supplémentaires contiennent les textes-clé et les textes des traductions correspondantes, séparés par le séparateur de colonne.
    Le texte-clé doit toujours se trouver dans la première colonne.

Example Exemple

Structure des fichiers CSV :

Mot-clé|ZENONSTR.TXT|FRENCH.TXT|ENGLISH.TXT|GERMAN.TXT

A1004|A1004|F1004|E1004|D1004

A14|A14|F14|E14|D14

A25|A25|F25|E25|D25


Language Translation Wizard (Assistant Traduction linguistique)

Manuel -> Changement de langue -> Modification externe de fichiers de langues -> Language Translation Wizard (Assistant Traduction linguistique)

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Cet assistant est utilisé pour la préparation des données pour l’outil de traduction Project Translation Interface.

Il permet de préparer et compresser sous forme de fichier ZIP toutes les données requises pour la traduction. Le fichier ZIP peut ensuite être décompressé dans Procect Translation Interface, et les tables de langues peuvent être modifiées ou complétées. Après édition, le fichier ZIP peut être chargé dans l’assistant et les tables de langues modifiées peuvent être réimportées dans le projet.

attention Attention

Cet assistant peut uniquement être sélectionné si l’entrée CSHARP= est définie sur 1, sous l’en-tête [VSTA] dans le fichier zenon6.ini.

Remarque : L’assistant est uniquement disponible en anglais.

tutorial Informations concernant la licence

Composante de la licence standard d’Editor et du Runtime.

L’assistant Language Translation Wizard est également fourni avec le module Project Translation Interfaces (payant).

Autres sujets abordés dans ce chapitre

Démarrage de l’assistant

Fenêtre de démarrage

Exporter

Importer


Démarrage de l’assistant

Manuel -> Changement de langue -> Modification externe de fichiers de langues -> Language Translation Wizard (Assistant Traduction linguistique) -> Démarrage de l’assistant

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

To start the wizard:

  1. Click on Tools -> Start Editor Wizards....
    Or: Press the short cut Alt+F12

    The selection window with the available wizards opens.

  2. Sélectionnez le dossier de Language Table.
  3. Ensuite, sélectionnez Language Translation Wizard
  4. Cliquez sur OK.

    L’assistant démarre en affichant la page d’accueil.


Fenêtre de démarrage

Manuel -> Changement de langue -> Modification externe de fichiers de langues -> Language Translation Wizard (Assistant Traduction linguistique) -> Fenêtre de démarrage

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Lors de l’ouverture de l’assistant, une page de présentation de la documentation en langue française s’affiche à l’écran.

Pour naviguer dans l’assistant, cliquez sur les étapes individuelles ou progressez étape par étape, en cliquant sur les boutons fléchés.

Cliquez sur Cancel (Annuler) pour fermer l’assistant.


Exporter

Manuel -> Changement de langue -> Modification externe de fichiers de langues -> Language Translation Wizard (Assistant Traduction linguistique) -> Exporter

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Lors de l’exportation, l’assistant évalue tous les textes des éléments de synoptique, valeurs limite et autres objets du projet pouvant être traduits et identifiés par un caractère @.

Ces textes sont préparés sous forme de fichier XML et exportés, avec les tables de langues sélectionnées, sous forme de fichier ZIP. En outre, une capture d’écran de tous les synoptiques est créée et également fournie dans le fichier ZIP. Le fichier ZIP contient également les listes de polices de caractères du projet sélectionné, ainsi que celles du projet global.

Bouton | Description
Zip Name: | Nom du fichier d’export
C:\ | Emplacement de sauvegarde du fichier d’exportation. Cliquez sur le bouton ... Ouvre le navigateur de fichiers afin d’autoriser la sélection d’un dossier cible.
Liste Sprachdateien | Zone de liste permettant de sélectionner les fichiers de langues existants dans le projet.
Select all | Sélectionne toutes les entrées dans la liste et coche les cases correspondantes.
Deselect all | Sélectionne toutes les entrées dans la liste et désactive les cases à cocher correspondantes.
Export | Export les fichiers vers le dossier cible. Cette option est uniquement active si une ou plusieurs tables de langues sont sélectionnées.
Flèche gauche | Recule d’un onglet dans le déroulement de l’assistant.
Flèche droite | Avance d’un onglet dans le déroulement de l’assistant.
Cancel | Ferme l’assistant sans effectuer l’exportation.

attention Attention

Les noms de synoptiques ne doivent contenir aucun des caractères suivants :
: / \ * < >

Ces caractères spéciaux sont supprimés et remplacés par un numéro de série.


Importer

Manuel -> Changement de langue -> Modification externe de fichiers de langues -> Language Translation Wizard (Assistant Traduction linguistique) -> Importer

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Le fichier ZIP à importer peut être sélectionné dans cet onglet.

Bouton | Description
... | Emplacement de sauvegarde du fichier d’importation. Cliquez sur le bouton ... Ouvre le navigateur de fichiers afin d’autoriser la sélection d’un dossier de fichiers.
Liste de fichiers de langue | Zone de liste permettant de sélectionner les fichiers de langues à traduire et à importer.
Select all | Sélectionne toutes les entrées dans la liste et coche les cases correspondantes.
Deselect all | Sélectionne toutes les entrées dans la liste et désactive les cases à cocher correspondantes.
Import | Importe les tables de langues sélectionnées dans le projet zenon actuel. Cette option est uniquement active si un ou plusieurs fichiers de langues sont sélectionnés.
Flèche gauche | Recule d’un onglet dans le déroulement de l’assistant.
Cancel | Ferme l’assistant sans effectuer l’importation.

attention Attention

Si un nouveau fichier de langue est ajouté dans zenon 6.51, le projet doit être rechargé dans l’espace de travail après l’exécution de l’assistant.

Les fichiers de langues sont automatiquement mis à jour dans les versions 7.00 SP0 et ultérieures.


Édition de fichiers zip

Manuel -> Changement de langue -> Modification externe de fichiers de langues -> Édition de fichiers zip

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Pour éditer un fichier de langue exporté sous forme de fichier zip :

  1. Ouvrez le fichier zip avec le module Project Translation Interface.
  2. Éditez la traduction.
  3. Enregistrez à nouveau les modifications dans un fichier un zip, puis importez celui-ci dans le projet.

Coopération entre l’assistant Language Translation Wizard et le module Project Translation Interface

Le module Project Translation Interface et l’assistant zenon Language Translation Wizard coopèrent étroitement.

L’assistant :

  • Analyse les projets zenon afin d’identifier les textes traduisibles.
  • Compile ces textes sous forme de fichier XML.
  • Crée des captures d’écran des écrans contenant des textes traduisibles.
  • Compresse le fichier XML avec les captures d’écran, les fichiers destinés à la traduction et les listes de polices de caractères sous forme de fichier zip.
  • Une fois la traduction terminée dans le module Project Translation Interface, importe les textes dans le projet zenon.

Le module :

  • Ouvre le fichier ZIP créé par l’assistant.
  • Aide le traducteur grâce à la structure des fichiers, la vérification de la longueur des segments et l’affichage sous forme graphique.
  • Exporte la traduction finie sous forme de fichier zip.


Édition dans un fichier de texte

Manuel -> Changement de langue -> Modification externe de fichiers de langues -> Édition dans un fichier de texte

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Les remarques suivantes s’appliquent aux fichiers de langues :

  • Le contenu est saisi sous forme de texte dans l’ordre chronologique.
  • Le séparateur entre un mot-clé et un terme traduit est le symbole de barre verticale |.
  • Seul le terme situé après la barre verticale est traduit.

Example Exemple

|

eins|one

zwei|two

drei|three


Édition de fichiers CSV dans MS Excel

Manuel -> Changement de langue -> Modification externe de fichiers de langues -> Édition de fichiers CSV dans MS Excel

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

L’édition dans MS Excel est également possible. Pour modifier un fichier de langues dans MS Excel :

  1. Ouvrez le fichier CSV avec MS Excel.

    Le fichier d’exportation est automatiquement importé dans Excel.
    Les données sont affichées comme ceci :

    • Colonne A : Mot-clé.
    • Colonnes supplémentaires : Traduction ; une traduction par colonne :
    • Un séparateur n’est pas affiché.
  2. Éditez les textes.
  3. Enregistrez le fichier sous forme de fichier CSV.

Pour utiliser le fichier de langue modifié dans zenon, importez le fichier CSV dans zenon.


Exportation de traductions

Manuel -> Changement de langue -> Modification externe de fichiers de langues -> Exportation de traductions

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Les textes peuvent être traduits à l’aide de l’assistant Language Translation Wizard ou par le biais de l’exportation au format CSV.
Recommandation : Utilisez l’assistant Language Translation Wizard. pour effectuer la traduction

Pour exporter des textes aux fins de la traduction :

  1. Exportez la table de langues sous forme de fichier CSV ou zip.
  2. Faites traduire les textes.
  3. Importez le fichier XML modifié.

attention Attention

Dans les projets multi-utilisateurs, les mots-clés et leurs traductions peuvent uniquement être modifiés si la propriété Autoriser les modifications est activée pour les fichiers. Les textes de traductions de fichiers pour lesquels les modifications n’ont pas été autorisées ne peuvent pas être sélectionnés ou modifiés.

Les textes-clé peuvent uniquement être modifiés si les modifications sont autorisées pour tous les fichiers. Lors de la saisie de nouvelles clés, les clés sont uniquement saisies dans les fichiers pour lesquels les modifications sont autorisées.


Mots-clés prédéfinis - Textes système dans la liste CEL

Manuel -> Changement de langue -> Mots-clés prédéfinis - Textes système dans la liste CEL

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Il y a des mots-clés prédéfinis pour tous les textes qui sont utilisés par défaut dans le Runtime.

Recommandation : Pour le développement, nous vous recommandons d’utiliser l’System Text Wizard.

Attention : Les modifications sont remplacées lors de la mise à jour de zenon. Enregistrez un autre fichier contenant les entrées modifiées, puis copiez celui-ci vers la nouvelle version après la mise à jour de zenon.

Les mots-clés étant définis en anglais, la langue du Runtime doit être définie sur Anglais pour que la fonction de changement de langue influe sur les boîtes de dialogue ou utilise les mots-clés prédéfinis de la liste d’événements.

Les textes utilisés dans les en-têtes de colonnes de la liste d’événements et la liste d’alarmes peuvent être configurés dans les paramètres du projet.
Pour afficher la boîte de dialogue :

  • Propriétés du projet - > Liste d'événements -> Paramètres des colonnes liste d'événements
    ou
  • Propriétés du projet - > Liste d'alarmes ->Paramètres des colonnes alarmes
    ou
  • La fonction Appel de synoptique correspondante

La procédure est la même que pour les textes. Le caractère @ situé au début de la description autorise le changement de langue.


Polices

Manuel -> Changement de langue -> Polices

Lors du changement de langue, il peut être nécessaire d’utiliser différentes polices, par exemple, une police Unicode pour les caractères d’Asie de l’Est.

Définition via les listes de polices

Définissez les polices et les listes de polices dans Synoptiques/Polices. Les listes de polices créées ici peuvent être sélectionnées via la fonction Changement de langue.

Remarque : Vous trouverez des détails concernant les polices et les listes aux chapitres Polices du manuel Synoptiques.

Attribution directe d’un type de police à la table de langue

Les types de polices peuvent être attribués directement aux tables de langue. Toutefois, cela définit uniquement l’affichage visuel dans la table de langue. L’affichage des textes traduits dans Editor et le Runtime n’est pas affecté. L’affichage est défini via les listes de polices.

Pour attribuer un type de police à une table de langue :

  1. Sélectionnez une colonne de la table de langue.
  2. Sélectionnez Police pour la table de langue sélectionnée/Sélection dans le menu contextuel.

    La boîte de dialogue standard de sélection d’une police de caractères de Windows s’ouvre.

  3. Sélectionnez la police que vous souhaitez attribuer.

    Remarque : les paramètres supplémentaires de la boîte de dialogue standard, tels que la couleur de la police, n’affectent pas l’affichage dans <CD_PRODUCTNAME.>

info Informations

Le type de police et la table de langue peuvent déjà être utilisés et affichés dans Editor. Sélectionnez les options suivantes dans le menu contextuel :

  • De la table de langue : Table de langue pour Editor -> Sélectionnez la table de langue souhaitée
  • De la liste de caractères : Liste de polices dans Editor -> Sélectionnez la liste souhaitée


Chemins de la fonction de changement de langue pour l’aide du Runtime

Manuel -> Changement de langue -> Chemins de la fonction de changement de langue pour l’aide du Runtime

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Les fichiers nécessaires à la fonction de changement de langue sont automatiquement créés dans le sous-dossier du nœud Fichiers lors de la création d’un fichier de langue :

  • Éléments graphiques
  • Aide
  • Éléments multimédia
  • Textes et informations de mise en forme
  • Report Viewer

Lors de la configuration de la fonction Changement de langue, le dossier correspondant peut être sélectionné :

attention Attention

Les fichiers doivent avoir le même nom, quelle que soit la langue, mais être enregistrés dans des dossiers différents.

Les chemins par défaut sont donnés dans Editor. Si la fonction "changement de langue" est exécutée, le chemin est changé. Il est aussi possible de créer des dossiers individuels sous l’entrée Fichiers de l’arborescence du projet.

info Informations

Il est possible de créer plusieurs niveaux de sous-dossiers dans le nœud Fichier. Dans la fonction de changement de langues, vous pouvez uniquement sélectionner les dossiers situés au premier niveau.

Si le changement de langue n’est pas activé, les chemins par défaut sont les dossiers standard.

attention Attention

En règle générale, le changement de langue dans le Runtime est impossible avec l’aide au format HTML des systèmes d’exploitation de Microsoft. Les systèmes d’aide autorisant les changements de langue doivent être configurés au moyen d’un synoptique de type HTML.

Exception : Aide sous Windows CE.


Fonction de changement de langue

Manuel -> Changement de langue -> Fonction de changement de langue

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Cette fonction permet de fournir des informations sous forme de textes dans différentes langues dans le Runtime, par exemple, pour changer la langue des intitulés de boutons.

Lors de la création d’un nouveau fichier de langue, un sous-dossier spécifique à la langue est créé dans les fichiers correspondant aux éléments graphiques, aux rubriques d’aide, aux informations multimédia, aux textes et aux informations de mise en forme, ainsi qu’aux informations de l’application Report Viewer. Ces fichiers reçoivent le même nom que le nouveau fichier de langues. Les fichiers respectifs sont conservés dans ce dossier. Le sous-dossier actif peut être basculé à l’aide de la fonction Changement de langue. Si aucun fichier portant le nom fourni n’est présent dans le dossier, le programme tente de charger le fichier depuis le dossier de niveau supérieur, même s’il n’est pas spécifique à la langue.

Pour configurer la fonction :

  1. Sélectionnez Nouvelle fonction....
  2. Accédez au nœud Application.
  3. Sélectionnez Changement de langue.
  4. Configurez le changement de langue dans la boîte de dialogue qui s’affiche à l’écran.

    La fonction utilise la langue configurée lorsqu’elle est activée.

Boîte de dialogue de configuration

Options | Description
Fichier de langue | Ouvre le gestionnaire de fichiers afin d’autoriser la sélection d’une table de langue.
Liste de polices | Liste déroulante contenant les polices de caractères définies dans Editor.
Dossier Commutation | Contient les chemins des fichiers requis.
Éléments graphiques | Liste déroulante de sélection du sous-dossier spécifique à la langue des éléments graphiques.
Aide | Liste déroulante contenant les sous-dossiers spécifiques aux langues relatifs aux fichiers CHM de l’aide du Runtime.
Éléments multimédia | Liste déroulante de sélection du sous-dossier spécifique à la langue relatif aux fichiers multimédia.
Textes et formats | Liste déroulante de sélection du sous-dossier spécifique à la langue relatif aux textes et informations de mise en forme.
Fichiers de définition de rapport | Liste déroulante de sélection du sous-dossier spécifique à la langue pour le module Report Viewer.
OK | Accepte la configuration, crée la fonction et ferme la boîte de dialogue.
Annuler | Annule les paramètres, ferme la boîte de dialogue et crée les fonctions sans cible.
Aide | Ouvre l'aide en ligne.


Claviers

Manuel -> Claviers

Les claviers servent de claviers virtuels dans zenon. Les entrées peuvent être effectuées dans le Runtime, à l’aide d’un clavier virtuel.

tutorial Informations concernant la licence

Composante de la licence standard d’Editor et du Runtime.

Remarque : L’utilisation conjointe du clavier virtuel et du clavier physique est déconseillée.

Deux types de claviers différents peuvent être configurés dans zenon Editor :

  • Clavier automatique.
  • Clavier configurable.

Utilisation de claviers dans zenon :

  • Les claviers sont utilisés pour la saisie de valeurs prescrites dans zenon.
  • Les claviers individuels peuvent être utilisés dans le module Batch Control.
    • Vous trouverez d’autres informations dans le manuel Batch Control, au chapitre Claviers.
  • Vous pouvez effectuer les opérations suivantes dans les groupes de recettes :
    • Lier un synoptique de clavier pour chaque paramètre de recette
    • Définir des claviers pour chaque paramètre de type de données

Vous trouverez d’autres informations dans le manuel RGM, au chapitre Claviers.

Cas spécial : Un clavier de type chaîne est appelé pour le type d’action État utilisateur dans le module Recipe Group Manager.
Dans Recipe Group Manager, si le type d’action d’un paramètre de recette bool ou numérique est changé en État utilisateur, le clavier général de type chaîne configuré dans le module RGM est appelé. Si aucun synoptique de clavier n’est lié ici, le mode d’édition direct est activé dans la table de valeurs de la recette.

Autres sujets abordés dans ce chapitre

Clavier automatique

Clavier configurable

Utilisation simultanée de claviers physiques et de claviers virtuels


Clavier automatique

Manuel -> Claviers -> Clavier automatique

Pour utiliser le clavier automatique, effectuez les opérations suivantes :

  1. Ouvrez zenon Editor
  2. Cliquez sur le projet sur lequel vous souhaitez travailler.
  3. Dans les propriétés, cliquez sur Intéraction.
  4. Activez le paramètre Clavier automatique, sous l’intitulé Clavier.

Ce paramètre n’est pas activé par défaut. Lors de l’activation, le clavier automatique est créé par le système et est automatiquement appelé dans le Runtime, à proximité relative de l’élément. Il apparaît lorsqu’une valeur prescrite doit être saisie. Vous pouvez configurer vos propres propriétés, telles que la taille ou la position, via les propriétés dans Editor.

Remarque : Aucun clavier automatique n’est disponible pour les éléments de contrôle du profil. Dans ce cas, nous vous recommandons de créer votre propre clavier, que vous pouvez appeler en cliquant sur un bouton. Il est également possible de saisir un nom de profil à l’aide du clavier personnalisé, que vous avez activé manuellement.

Autres sujets abordés dans ce chapitre

Taille du clavier

Position du clavier


Taille du clavier

Manuel -> Claviers -> Clavier automatique -> Taille du clavier

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

La taille du clavier peut être librement définie par l’utilisateur.

Pour cela :

  1. Ouvrez zenon Editor
  2. Cliquez sur le projet sur lequel vous souhaitez travailler.
  3. Dans les propriétés, cliquez sur Intéraction.
  4. Activez le paramètre Clavier automatique, sous l’intitulé Clavier.
  5. Saisissez la taille souhaitée, en pourcentage, dans le champ Taille du clavier [%].

info Informations

La hauteur de la barre de titre est obtenue à partir des paramètres d’affichage. Les paramètres suivants peuvent être modifiés en sélectionnant Panneau de configuration -> Apparence -> Affichage -> Avancé -> Élément : titre de la palette.


Position du clavier

Manuel -> Claviers -> Clavier automatique -> Position du clavier

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Vous pouvez définir une position préférée, ainsi qu’une position alternative dans les propriétés du clavier. S’il n’y a pas assez de place pour le clavier à la position préférée, il sera affiché à la position alternative. S’il n’y a pas assez de place non plus à cette position, alors la position est définie par le système. Vous définissez la position à l’aide de quatre valeurs.

Propriété | Description
Horizontal | Gauche (par défaut) positionne le bord gauche du clavier par rapport au coin supérieur gauche ou inférieur gauche de l’élément. Droite positionne le bord droit du clavier par rapport au coin supérieur droit ou inférieur droit de l’élément.
Décalage horizontal [pixel] | Distance horizontale (en pixels) de l’élément sélectionné pour la position préférée du clavier automatique. Les valeurs positives déplacent le clavier vers la droite, les valeurs négatives le déplacent vers la gauche. Par défaut : 2.
Vertical | Avec haut (par défaut) ou bas, vous positionnez le clavier au-dessus ou au-dessous de l’élément.
Décalage vertical [pixel] | Distance verticale (en pixels) de l’élément sélectionné pour la position préférée du clavier automatique. Les valeurs positives déplacent le clavier vers le haut, les valeurs négatives le déplacent vers le bas. Par défaut : 2.


Clavier configurable

Manuel -> Claviers -> Clavier configurable

Le clavier peut être configuré ou défini par l’utilisateur. Pour cela, effectuez les opérations suivantes :

  1. Ouvrez zenon Editor
  2. Cliquez sur le projet sur lequel vous souhaitez travailler.
  3. Créez un nouveau cadre en sélectionnant Synoptique -> Modèles.

    Remarque : Les claviers ont toujours besoin de leur propre cadre, qui doit uniquement être utilisé pour les claviers.

  4. Définissez les propriétés souhaitées au regard de la position et de la taille du clavier.
  5. Sous Synoptiques, créez un nouveau synoptique de type Clavier.
  6. Sélectionnez un modèle pour le clavier sous Éléments de contrôle.

Dans les propriétés, vous pouvez modifier à votre convenance la couleur, la forme ou le nom des touches de clavier.

Remarque : L’utilisation du modèle Standard est recommandée.

Autres sujets abordés dans ce chapitre

Créer un synoptique de type Clavier

Éléments de contrôle

Clavier du module Recipe Group Manager

Intitulé de touche automatique

Claviers dans zenon Web Client


Créer un synoptique de type Clavier

Manuel -> Claviers -> Clavier configurable -> Créer un synoptique de type Clavier

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Plusieurs possibilités s’offrent à vous pour créer un nouveau synoptique de type Clavier :

Menu contextuel du Gestionnaire de projet :

  1. Cliquez sur Synoptiques dans le Gestionnaire de projet.
  2. Cliquez avec le bouton droit pour ouvrir le menu contextuel.
  3. Cliquez sur Nouveau synoptique dans le menu contextuel.

Barre d'outils

  1. Cliquez sur Synoptiques dans le Gestionnaire de projet.
  2. Dans la vue de détail du Gestionnaire de projet, cliquez sur Nouveau synoptique dans la barre d’outils.

Plusieurs possibilités s’offrent à vous pour déterminer le type du nouveau synoptique :

Vue de détail du Gestionnaire de projet :

  1. Dans la vue de détail du Gestionnaire de projet, cliquez sur Type de synoptique dans le nouveau synoptique.
  2. Sélectionnez le type de synoptique Clavier dans la liste déroulante.

Propriétés :

  1. Cliquez sur Général dans les propriétés.
  2. Cliquez sur la flèche à droite de l’écran, sous Type de synoptique, puis sélectionnez le type de synoptique Clavier dans la liste déroulante.
  3. Dans les propriétés du groupe Général, sélectionnez un clavier prédéfini en tant que nom ou attribuez-lui un nom au choix.

Attention : Les synoptiques de type clavier possédant des noms réservés sont prioritaires sur les autres synoptiques de type clavier, et notamment le synoptique Clavier automatique destiné aux écrans tactiles.

Si un synoptique de type Clavier est appelé sur l’ensemble du synoptique, plutôt que dans une boîte de dialogue, il peut parfois masquer les menus.

Conseil : Dans ce cas, développez une fonction Fermer le cadre permettant de fermer le cadre de clavier ouvert.

Dans les propriétés du synoptique, sous Général, plusieurs mots-clé sont visibles sous Nom. Les paragraphes suivants décrivent leur utilité :

Noms réservés

Pour les synoptiques de type clavier, les noms suivants ont été réservés :

Nom

Description

DIALOGKBD

Si un synoptique existe avec ce nom, il sera ouvert automatiquement en Runtime chaque fois qu’une boîte de dialogue est ouverte, par exemple, pour saisir le nom d’une recette dans le module RGM.

Attention : DIALOGKBD ne doit pas être utilisé avec l’élément de contrôle Saisie de valeur prescrite, et n’est pas compatible avec celui-ci. L’utilisation de cette combinaison peut provoquer des erreurs dans le Runtime.

SETBOOLKBD

Si un synoptique possédant ce nom existe, il sera utilisé dans le Runtime à chaque fois que la saisie de variables binaires est requise.

SETSTRINGKBD

Si un synoptique possédant ce nom existe, il sera utilisé dans le Runtime à la place de la boîte de dialogue standard pour les variables de chaîne.

SETVALUEKBD

Si un synoptique possédant ce nom existe, il sera utilisé dans le Runtime à la place de la boîte de dialogue standard pour les variables numériques. L’élément de contrôle Saisie de valeur prescrite doit être inséré dans le clavier.

Attention : Lorsque la touche Verr. maj. est activée, vous ne pouvez rien saisir à l’aide d’un clavier de type SETVALUEKBD , car des caractères spéciaux seraient saisis à la place des chiffres correspondants.
Exception : sur les claviers français, la touche Maj ou la touche Verr. maj. doivent être utilisées pour la saisie de chiffres.

Remarque : Utilisez uniquement l’élément de contrôle Saisie de valeur prescrite pour les claviers créés pour la saisie de valeurs prescrites (SETVALUEKBD, SETSTRINGKBD). Le clavier est automatiquement connecté à la variable de l’élément dynamique devant recevoir la valeur prescrite. Lors de l’utilisation d’un clavier normal, des résultats imprévus peuvent se produire.

Il est impératif que les claviers utilisés pour la définition de valeurs prescrites disposent de l’élément de contrôle Spécification de valeur prescrite. Dans le cas contraire, il sera impossible de saisir des valeurs ou de transmettre des valeurs prescrites.

Remarque : Si, dans le projet :

  • Un synoptique de type Clavier avec le nom DIALOGKBD est disponible
  • en même temps qu’un synoptique de type Connexion
  • et la propriété Clavier automatique du groupe Clavier est activée,

les synoptiques ne doivent pas être conçus autour du même cadre. Dans ce cas, le synoptique DIALOGKBD sera automatiquement utilisé.

Un bouton clavier possède plus de propriétés qu’un bouton normal dans zenon Editor. Ces propriétés peuvent être affichées et définies sous l’en-tête Affichage. Les caractères spéciaux peuvent être définis de cette manière.


Éléments de contrôle

Manuel -> Claviers -> Clavier configurable -> Éléments de contrôle

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Élément de contrôle | Description
Insérer un modèle | Ouvre la boîte de dialogue de sélection de modèle pour le type de synoptique correspondant. Des modèles sont fournis avec zenon, et peuvent également être créés par l’utilisateur. Modèles ajoutent des éléments de contrôle prédéfinis à des positions prédéfinies sur le synoptique. Les éléments qui ne sont pas nécessaires peuvent également être supprimés individuellement après leur création. Les éléments supplémentaires peuvent être sélectionnés dans la liste déroulante, puis insérés dans le synoptique zenon. Les éléments peuvent être déplacés et disposés individuellement sur le synoptique.
Alphanumérique (gauche) | Définition des touches pour un clavier créé par l’utilisateur?; côté gauche d’un clavier normal standard.
Alphanumérique (droite) | Définition des touches pour un clavier créé par l’utilisateur?; côté droit d’un clavier normal standard.
Verr num. | Définition des touches pour un clavier créé par l’utilisateur?; touches numériques d’un clavier normal standard.
Touches de fonction | Définition des touches pour un clavier créé par l’utilisateur?; touches de fonction et touche Échap d’un clavier normal standard.

Recommandation : Utilisez un modèle.

Élément de contrôle | Description
Écriture de valeur prescrite | Élément de contrôle pour l’écriture d’une valeur prescrite.
Saisie de valeur prescrite | Autorise la saisie d’une valeur prescrite. Doit être configurée dans le synoptique pour SETBOOLKBD, SETSTRINGKBD et SETVALUEKBD.
Incrément | Effectue les calculs d’addition. Ajoute 1 à la valeur.
Décrément | Effectue les calculs de soustraction. Soustrait 1 de la valeur.
Valeur active | La valeur est égale à 1, c’est-à-dire True. Exemple : la machine est en marche.
Valeur inactive | La valeur est égale à 0, c’est-à-dire False. Exemple : La machine est arrêtée.
Basculer la valeur | Commutateur True/False.
OK | Définit la valeur et ferme la fenêtre.
Annuler | Ferme la fenêtre.


Clavier du module Recipe Group Manager

Manuel -> Claviers -> Clavier configurable -> Clavier du module Recipe Group Manager

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Pour le module RGM, les éléments de contrôle spéciaux sont disponibles sous Éléments de contrôle -> Spécifiques à Recipe Group Manager lors de la configuration du synoptique de clavier :

Élément de contrôle

Description

Envoyer la valeur

La valeur prescrite est transmise à la variable, mise à jour dans la recette, puis le clavier est fermé.

Enregistrer la recette

La recette est enregistrée.

Envoyer la valeur et enregistrer la recette

La valeur prescrite est transmise à la variable, la recette est enregistrée et le clavier est fermé.

Valeur affichée comme Texte 1
en
Valeur affichée comme Texte 32

Les touches peuvent être liées à des valeurs limites provenant de matrices de réaction. Pour cela, la variable du paramètre de recette

  • doit être liée à la une matrice de réaction de type Numérique ou une matrice de réaction de type Chaîne et
  • les états "égale" doivent être inclus

Les touches attribuées sont affichées dans le Runtime, et reçoivent en intitulé le texte provenant de la matrice de réaction.

Cliquez sur le bouton pour écrire la valeur liée dans la matrice de réaction sous forme de proposition pour la valeur de la recette dans l’élément de contrôle Saisie de valeur prescrite.


Intitulé de touche automatique

Manuel -> Claviers -> Clavier configurable -> Intitulé de touche automatique

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Les intitulés du clavier peuvent être soit librement définis, soit définis par le système d’exploitation. Pour cela, activez ou désactivez l’option Affichage dans les propriétés du synoptique, sous l’intitulé Texte automatique. La langue est automatiquement reprise du système d’exploitation, et les touches reçoivent ensuite automatiquement un intitulé. Cette option est adaptée aux autres pays souhaitant utiliser le clavier. Toutes les dispositions de clavier prises en charge par Windows sont disponibles. La fonctionnalité des touches du clavier virtuel correspond à celle des touches du clavier physique. Les intitulés configurés sont en revanche ignorés.

Dans ce cas, les dispositions suivantes s'appliquent :

  1. Active :
    • Pour les lettres, les numéros et les touches de fonction du synoptique de type Clavier, les intitulés originaux du clavier définis par le système d’exploitation sont utilisés.
    • Aucun intitulé alternatif ne peut être défini.
    • Si des touches comportent des intitulés différents, les intitulés d’origine seront toujours utilisés dans le Runtime. Des intitulés différents peuvent toujours être définis pour les touches de fonction telles que Tabulation ou Maj.

L’intitulé du pavé numérique du clavier n’est pas défini automatiquement et peut être adapté à tout instant dans le Runtime, indépendamment de la configuration de la propriété Texte automatique.

  1. Inactive :
    • Des intitulés peuvent être définis pour chaque touche individuellement?; ils sont affichés de manière correspondante dans le Runtime.
    • Les intitulés des touches peuvent être modifiés dans Editor, dans les propriétés sous l’intitulé Affichage.
    • Dans le Runtime, l’intitulé alternatif est affiché.


Claviers dans zenon Web Client

Manuel -> Claviers -> Clavier configurable -> Claviers dans zenon Web Client

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Si un clavier est chargé dans le Runtime, il reste ouvert, même lorsque le Runtime est réduit. Dans la barre des tâches du système d’exploitation, une liste déroulante est affichée pour le clavier.

attention Attention

Dans certaines circonstances, des synoptiques de type Clavier personnalisés peuvent ne pas fonctionner correctement dans le navigateur Mozilla Firefox.

Raison : Mozilla Firefox charge de nouvelles fenêtres en arrière-plan, mais ne bascule pas vers celles-ci. Selon la configuration du projet, les synoptiques de clavier individuellement adaptés sont fermés dès que le focus est déplacé ailleurs.

Solution : Utilisez un autre navigateur, tel que Microsoft Internet Explorer ou Google Chrome, ou utilisez l’option "Fermer en cas de perte de focus" du cadre.

Les claviers automatiques ne sont pas affectés?!


Utilisation simultanée de claviers physiques et de claviers virtuels

Manuel -> Claviers -> Utilisation simultanée de claviers physiques et de claviers virtuels

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Les claviers virtuels se comportent comme des claviers physiques dans le système d’exploitation. Si des claviers virtuels sont utilisés conjointement à des claviers physiques, ils s’affectent réciproquement. La configuration des claviers physiques - par exemple, l’utilisation de la touche Maj - affecte les claviers virtuels, et inversement.

Exemples :

  • Si la touche Verr. Maj. est actionnée sur le clavier physique, cela s’applique également au clavier virtuel. Dans ce cas, il est impossible de saisir des chiffres via le clavier automatique.
  • Si vous appuyez sur la touche Verr. num. du clavier physique pour désactiver le pavé numérique, le pavé numérique du clavier est également désactivé.

Remarque : L’utilisation conjointe du clavier virtuel et du clavier physique est déconseillée.


Coloration Automatique des Lignes (CAL) - Topologie

Manuel -> Coloration Automatique des Lignes (CAL) - Topologie

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

La coloration topologique des lignes permet d’attribuer un effet dynamique automatique aux tubes des composants technologiques (médias) et aux lignes de distribution d’énergie (pour l’électricité). Ainsi, la coloration de réseaux topologiques contrôlée par le procédé peut être réalisée facilement.

Parce que la structure des tubes est définie dans les synoptiques avec tous ses éléments technologiques (par exemple, les réservoirs et les vannes ou les générateurs, les commutateurs et les consommateurs d’énergie), elle est émulée en tant que modèle et le flux est affiché dans le Runtime.

Pour permettre les modèles de chevauchement dans les synoptiques, la conception et la configuration intégrales sont toujours gérées globalement au niveau du projet. Vous disposez ainsi d’un modèle topologique complet, utilisé pour la simulation des états des tubes et, finalement, pour la coloration des tubes.

La topologie entière est générée automatiquement à partir de la conception graphique. Aucune autre action de développement n’est nécessaire.

info Informations

L’algorithme du module CAL s’exécute une fois seulement, depuis une source commençant au niveau de chaque interrupteur.

Synoptiques de détail

Pour afficher des synoptiques individuels, une section partielle peut être sélectionnée dans le réseau topologique et affichée individuellement, au moyen d’alias. Un synoptique de détail peut donc être affiché avec les données provenant de différents composants d’équipements, tels que des sorties ou des réseaux partiels.

tutorial Informations concernant la licence

Ces fonctions ou modules doivent disposer d’une licence pour Editor et le Runtime (autonome, serveur, veille).

Aucune licence n’est nécessaire pour le client de Runtime.

La gestion des licences est assurée par le module zenon Energy Edition.

  • CAL : inclus dans la licence du module Energy Edition ; fournit des propriétés de coloration de lignes de base.
  • Pack Topologie : nécessite l’ajout de licences au niveau du serveur (pas du client) et étend le module CAL avec les fonctions suivantes :
    • Alimentation multiple
    • Alimentation sécurisée
    • Verrouillages topologiques
    • Éléments topologiques Transformateur et Séparateur
    • Détection d’erreur (version 6.50 et ultérieures)

Autres sujets abordés dans ce chapitre

Éléments CAL

Configuration

Fonction : Modifier la couleur de la source (CAL)

Alias pour les synoptiques détaillés

Localisation de défauts sur les réseaux électriques

Détection des erreurs par impédance et calcul de la répartition de charge


Éléments CAL

Manuel -> Coloration Automatique des Lignes (CAL) - Topologie -> Éléments CAL

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

La fonction de coloration automatique des lignes (CAL) permet de colorer les lignes en fonction de l’état du procédé. L’élément combiné est utilisé comme élément de procédé. Le module de Coloration automatique des lignes permet de définir automatiquement un effet dynamique pour les tuyaux, tubes ou lignes dans le secteur des technologies (pour les médias), ainsi que dans les réseaux topologiques (pour l’électricité).

Développement

Pour la configuration, on distingue deux types d’éléments de synoptique avec différentes fonctions. Il s’agit d’une part d’éléments de procédure (source, interrupteur/disjoncteur, drain, transformateur et/ou liaison) et, d’autre part, de lignes.

Dans ce contexte, les éléments techniques comportent une fonction et une couleur (source et transformateur). Si les éléments de procédure sont actifs, les lignes connectées adoptent la couleur de ces éléments à la source et au transformateur, ou adoptent la couleur de la ligne d’entrée de l’élément pour l’interrupteur et la liaison. Si les éléments de procédure sont inactifs, la couleur des lignes est reprise de la définition dans Editor.

Les différentes fonctionnalités des éléments sont définies dans les propriétés de l’élément combiné.

Exemple

Une source a une ligne connectée. Un interrupteur est connecté à la ligne. Et une seconde ligne est connectée aussi. Si la source est active, la première ligne est colorée avec la couleur de coloration automatique des lignes définie pour la source, jusqu’à l’interrupteur. L’autre ligne n’est pas colorée avant la fermeture de l’interrupteur.

Source inactive

Source active

Interrupteur fermé

Non défini ou non valide

info Informations

Si l’état de l’élément de procédure est Non défini ou Défaillance, cet état est détecté automatiquement. Toutes les lignes connectées et tous les éléments suivants sont affichés dans la couleur de la source prédéfinie non définie, dans les deux états.

Nombre de commutateurs fermés en série

Pour garantir le bon fonctionnement de l’algorithme CAL, il est important de tenir compte du nombre de commutateurs fermés connectés en série.

Recommandation : ne pas dépasser 256 commutateurs fermés en série entre la source et le drain.

Autres sujets abordés dans ce chapitre

Éléments procéduraux

Lignes

Vérification du projet


Éléments procéduraux

Manuel -> Coloration Automatique des Lignes (CAL) - Topologie -> Éléments CAL -> Éléments procéduraux

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Les éléments procéduraux sont créés dans zenon à l’aide d’un élément combiné. Leur état détermine la coloration de la ligne connectée.

Les paramètres suivants sont disponibles :

Propriété

Description

Le type de fonction

Cela définit le type technologique de l’élément combiné.

Terminaison

Pour les côtés barre omnibus. Bloque l’affichage du message d’erreur Ligne connectée d’un côté seulement lors de la compilation dans Editor.

Générateur

Un générateur se comporte généralement comme une source, mais il est considéré comme indépendant et non synchrone.

Aucune fonction

L’élément ne comporte aucune fonction dans le module Coloration Automatique des Lignes.
Remarque : Le type de fonction Aucune fonction est la valeur par défaut.

Lien

Avec un lien, une ligne peut être continuée à un autre emplacement. Si un lien est affecté par une ligne, tous les autres liens avec le même numéro de lien sont également affectés par cette ligne. Ici, peu importe si les liens sont sur le même synoptique ou dans d’autres synoptiques du projet. De cette façon, des lignes indépendantes des synoptiques peuvent être définies. Il est possible d’avoir plus de 2 liens connectés au même numéro de lien dans un projet.

Les liens peuvent être alimentés par plusieurs lignes en même temps, et peuvent également alimenter plusieurs lignes. En principe, il n’y a pas de différence entre les entrées et les sorties. L’information source est toujours transmise à toutes les lignes connectées.
Attention : Deux éléments "Lien" ne peuvent pas être connectés directement à une ligne. Entre les deux, il doit exister au moins un autre élément procédural (commutateur/sectionneur ou transformateur).
Un lien ne peut pas être activé ou désactivé ; il est toujours actif.

Source

Transmet sa couleur. Si la source est active (valeur : 1), toutes les lignes connectées pour lesquelles l’option Couleur définie par CAL est définie dans les propriétés de l’élément reçoivent la couleur de la source. Les couleurs des sources sont définies dans les propriétés du projet. (par ex. cuves ou générateurs). Une source est un pôle unique auquel est associé un numéro de source unique. La source peut être commutée en fonction de l’état de sa variable principale. En règle générale, les sources sont considérées comme synchrones avec le réseau et amovibles.

Pour des informations détaillées concernant la source, reportez-vous au chapitre Configuration des sources.

Commutateur

Avec ceci, les lignes peuvent être interrompues. Si l’interrupteur est fermé/actif (valeur : 1), la connexion entre les deux lignes est fermée et la ligne est colorée avec la couleur définie pour la source jusqu’au prochain interrupteur. Dans ce cas, un interrupteur transmet la couleur de la source de la ligne d’entrée vers la ligne de sortie.

Si l’état de l’interrupteur est non valide (valeur : 3) ou non défini (valeur : 2) ou si l’état de la variable principale est NON VALIDE, la ligne est colorée dans la couleur non définie issue de la configuration du module CAL dans les propriétés de projet. Ainsi, un interrupteur transmet le numéro de source 0 (UNDEFINED) au niveau de sa sortie (connexion 2), au lieu du numéro de la source entrante.

Exemple : se reporter à la section Exemple d’interrupteur - Couleurs de la fonction CAL.

Remarque : Si la propriété Commuter entrée/sortie est active, l’entrée et la sortie de cet élément sont inversées pour la fonction CAL.

Vanne

Une réglette (vanne) se comporte de la même manière qu’un commutateur, à ceci près qu’elle est utilisée pour les conduites d’eau et de gaz.

Valeur de la variable principale :

  • Interrupteur DÉSACTIVÉ : Valeur 0 -> vanne en position fermée -> pas d’écoulement d’eau
  • Réglette ACTIVE : valeur 1 -> vanne en position fermée -> pas d’écoulement d’eau
  • Réglette DIF : valeur 2 -> vanne en position partiellement ouverte -> écoulement d’eau
  • Réglette STO : valeur 3 -> défaillance de la vanne

Remarque : Si la propriété Commuter entrée/sortie est active, l’entrée et la sortie de cet élément sont inversées pour la fonction CAL.

Drain

Ceci définit la fin de la ligne. Le drain n’influence pas la coloration ; il est uniquement utilisé pour permettre l’affichage du modèle en totalité. Si un programme externe (par exemple, VBA) voulait accéder au modèle, alors le drain serait probablement nécessaire pour pouvoir faire d’autres calculs, et donc il doit être inséré.
Dans les projets du module Energy, le drain est utilisé pour représenter les consommateurs. Ces éléments sont utilisés pour calculer les verrouillages topologiques "L’appareil ne sera pas alimenté" du module CAL (dans le cadre de la gestion de commande).

Clapet antiretour

Le clapet antiretour transmet uniquement des informations dans une direction.

Valeur de la variable principale :

  • Valeur 0 :
    La transmission d’informations n’est pas active (= clapet fermé)
  • Valeur 1 ou 2 :
    La transmission d’informations est possible dans une direction seulement. Dans ce cas, la couleur de la source est uniquement transmise de l’entrée à la sortie. La transmission dans la direction opposée n’est pas assurée. Ceci affecte également la transmission de la terre.
  • Valeur 3 :
    La transmission d’informations n’est pas définie. Ceci se produit par exemple en cas de défaillance du clapet antiretour. Dans ce cas, l’état est uniquement transmis au niveau de la sortie.

Remarque : Si la propriété Commuter entrée/sortie est active, l’entrée et la sortie de cet élément sont inversées pour la fonction CAL.

Le clapet antiretour est également pris en compte par les verrouillages topologiques.

Transformateur

Un transformateur est un drain et une source en même temps. Donc avec un transformateur, la couleur d’entrée (source d’entrée) peut être transformée en une nouvelle couleur de sortie (couleur source du transformateur).
La ligne de sortie est uniquement définie comme active lorsque le transformateur comporte une ligne d’entrée active. Toutefois, la ligne de sortie ne reçoit pas la couleur de la ligne d’entrée comme avec un commutateur, mais reçoit au lieu de ça la couleur source du transformateur. Donc une source doit être définie pour chaque transformateur. Un transformateur ne peut pas être activé ou désactivé, il est toujours actif.

Remarque : Si la propriété Commuter entrée/sortie est active, l’entrée et la sortie de cet élément sont inversées pour la fonction CAL.

Transformateur compatible avec une production réversible :

Pour obtenir un transformateur compatible avec une production réversible, vous devez sélectionner une source autre qu’UNDEFINED [0] pour l’élément Source pour alimentation inverse. Cela signifie que le transformateur se comporte de la même manière dans les deux directions : de l’entrée vers la sortie (en avant), mais également de la sortie vers l’entrée (en arrière). La seule différence est que la propriété Source pour alimentation inverse est utilisée pour la distribution ultérieure du numéro de source, et non la propriété Source.

Remarque : Les états de réseau défaillants ou les configurations manquantes, tels qu’un signal provenant de l’entrée et de la sortie en même temps ou qu’un court-circuit à l’entrée et à la sortie, ne sont pas colorés de manière particulière. Cela signifie que le transformateur capable d’assurer une production réversible se comporte comme deux transformateurs commutés de manière antiparallèle, qui ne sont pas capables d’assurer une production réversible.

Sectionneur

Un sectionneur se comporte généralement comme un commutateur. Toutefois, un sectionneur dans le modèle topologique ne doit pas être activé ou désactivé lorsqu’il est en charge (verrouillage topologique "Sectionneur en charge" dans la gestion de commande).

À l’image de l’interrupteur, la variable détermine l’état : Marche, Arrêt, Position intermédiaire, Défaillance.

Remarque : Si la propriété Commuter entrée/sortie est active, l’entrée et la sortie de cet élément sont inversées pour la fonction CAL.

Les nombres sources indiqués pour les types de fonctions de la source et du transformateur sont transmis aux appareils (drains) par l’intermédiaire des interrupteurs fermés (sectionneurs, réglettes, etc.). Les couleurs de l’ensemble des lignes connectées et éléments procéduraux sont calculées à partir de la somme de rang supérieur des nombres sources d’alimentation.

Numéro de source et de lien

Paramètre

Description

Source

Ici une source peut être assignée à un élément. Dans la liste, on trouve toutes les sources définies dans les propriétés CAL du projet. Tous les noms de sources sont affichés.
Cette propriété est uniquement active si le type de fonction sélectionné est Source, Transformateur ou Générateur.

Pour des informations détaillées concernant la source, reportez-vous au chapitre Configuration des sources.

Attention : les sources système prédéfinies (ID 0 à 9) ne doivent pas être utilisées en tant que sources personnalisées dans le projet ; exception : la terre.

Numéro de lien

Seul le numéro de liaison est saisi pour une fonction de liaison. Tous les numéros de lien identiques d’un projet sont corrélés. Description détaillée dans le type de fonction Lien.
Cette propriété est accessible uniquement si le type de fonction est Lien.

Variables d’éléments procéduraux

Pour qu’un interrupteur (ou un sectionneur, une réglette, etc.) reçoive l’état ouvert, fermé ou non valide, un type de données BOOL ou une variable entière doit être lié(e) en tant que variable principale à l’élément combiné correspondant.

Exemple :

  • Driver IEC870 : Variables avec un ID de type compris entre T01 et T37
  • Driver IEC850 : Variables */Pos/stVal[ST]
  • Driver DNP3 : Variables d’entrée

Condition préalable : le mappage DPI/DPC n’a pas été désactivé dans le driver.

info Informations

Pour la position d’un interrupteur, seuls les deux premiers bits de la variable principale sont pris en compte.

  • Le premier bit est la commutation réelle : 0 signifie ARRÊT et 1 signifie MARCHE.
  • Le deuxième bit est le bit d’erreur. Aucune erreur n’est présente lorsque ce bit est égal à 0.

Pour une source, l’état "Présent" (MARCHE) / "Non présent" (ARRÊT) doit également être évalué à l’aide de la variable principale liée. Les variables de type de données BOOL internes sont les mieux adaptées à cette fin. La source peut alors être liée au reste de la topologie à l’aide d’un interrupteur ou d’un sectionneur (ce qui est une pratique commune, dans la réalité), afin que la couleur de la source soit uniquement transmise par la position de l’interrupteur.

Note : pour la variable principale d’une source connectée au réseau par l’intermédiaire d’un interrupteur/sectionneur, telle que la terre, créez une variable de driver interne, configurez-la avec le paramètre réseau de calcul et la valeur initiale 1 ("Toujours présent"). Vous pouvez également directement lier une source à une variable de procédé variable (la source et l’interrupteur associé réunis) si vous n’avez pas besoin de verrouillages topologiques lors de la commutation de la source.

États

  • Un interrupteur et une source sont activés (fermés) si la valeur de la variable liée est 1.
  • Un interrupteur est non valide si la valeur de la variable liée est >1 ou comporte un état INVALID.
    Un interrupteur non valide fournit le numéro de source 0 (non défini) à sa sortie (connexion 2) au lieu de la saisie du numéro de source. Dans la direction vers l’entrée, l’interrupteur fonctionne normalement.

    Remarque : si la variable principale possède l’état INVALID, l’ensemble du réseau suivant est INVALID, car l’état du réseau est inconnu. L’état INVALID est transmis par le biais des interrupteurs fermés suivants.

attention Attention

Dans les états individuels de l’élément combiné, si la couleur et la couleur de remplissage de la fonction CAL sont activées, la ligne et les éléments procéduraux sont colorés dans le Runtime.

Autres sujets abordés dans ce chapitre

Voir la section Exemple d’interrupteur - Couleurs de la fonction CAL.

Points de connexion des éléments de procédure

Commuter entrée/sortie


Voir la section Exemple d’interrupteur - Couleurs de la fonction CAL.

Manuel -> Coloration Automatique des Lignes (CAL) - Topologie -> Éléments CAL -> Éléments procéduraux -> Voir la section Exemple d’interrupteur - Couleurs de la fonction CAL.

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Exemple 1

Élément combiné avec l’état de valeur 00 et coloration de ligne de la fonction CAL :

  1. Configuration dans Editor :
    • Élément combiné avec l’état de valeur 00
    • Coloration de ligne de la fonction CAL active

  2. Résultats suivants dans le Runtime :
    • Couleur de la source : vert
    • Couleur sans tension : blanc
    • État de l’interrupteur : désactivé/ouvert (valeur 0)

Exemple 2

Élément combiné avec l’état de valeur 01 et coloration de ligne de la fonction CAL :

  1. Configuration dans Editor
    • Élément combiné avec l’état de valeur 01
    • Coloration de ligne de la fonction CAL active
    • Couleur de remplissage de la fonction CAL active

  2. Résultats suivants dans le Runtime :
    • Couleur de la source : Vert
    • Couleur sans tension : Blanc
    • État de l’interrupteur : activé/fermé (valeur 1)

Exemple 3

Élément combiné avec l’état de valeur 00 sans coloration de ligne de la fonction CAL :

  1. Configuration dans Editor :
    • Élément combiné avec l’état de valeur 00
    • Coloration de ligne de la fonction CAL inactive

  2. Résultats suivants dans le Runtime :
    • Couleur de la source : Vert
    • Couleur sans alimentation et couleur de construction de la ligne : Blanc
    • Ligne définie et couleur de remplissage de l’élément combiné : noir.
    • État de l’interrupteur : désactivé/ouvert (valeur 0)

Exemple 4

Élément combiné avec l’état de valeur 01 sans coloration de ligne de la fonction CAL :

  1. Configuration dans Editor
    • Élément combiné avec l’état de valeur 01
    • Coloration de ligne de la fonction CAL inactive
    • Coloration de remplissage de la fonction CAL inactive

  2. Résultats suivants dans le Runtime :
    • Couleur de la source : vert
    • Couleur sans alimentation et couleur de construction de la ligne : Blanc
    • Ligne définie et couleur de remplissage de l’élément combiné : noir.
    • État de l’interrupteur : activé/fermé (valeur 1)


Points de connexion des éléments de procédure

Manuel -> Coloration Automatique des Lignes (CAL) - Topologie -> Éléments CAL -> Éléments procéduraux -> Points de connexion des éléments de procédure

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Lors de la configuration, une ligne est connectée à un élément de procédure (élément combiné) par le chevauchement des tracés sur le synoptique aux points de connexion de l’élément combiné. Une seule ligne peut être connectée au même point de connexion en même temps. Toutes les lignes dont les origines se trouvent dans la zone définie sont connectées (topologie du graphique).

attention Attention

Les éléments de CAL doivent uniquement être utilisés sans rotation, car :

Le calcul du modèle topologique du CAL dans Editor repose sur la position des éléments sans rotation et sans prise en compte d’éléments dynamiques.

Points de connexion et zones de connexion

  • La zone de connexion d’un point de connexion se trouve au centre de chaque côté de l’élément combiné. Chaque élément combiné comporte donc quatre points de connexion.
  • La taille d’une zone de connexion correspond à 2/3 de la hauteur et la largeur d’un élément combiné, mais ne dépasse pas 20 pixels.
  • Chaque zone de connexion est centrée dans le coin de l’élément correspondant et s’étend symétriquement vers l’intérieur et l’extérieur, sur une distance maximale de 10 pixels.

attention Attention !

Si l’élément combiné mesure moins de 30 pixels, les zones de connexion dans un élément se chevauchent. Les lignes pouvant se toucher peuvent être sources d’erreurs (compilation, coloration).

Les points de connexion possibles pour les éléments combinés d’une taille supérieure et inférieure à 30 pixels sont visibles dans l’illustration.

Couleurs

  • Bleu : Élément combiné
  • Rouge : Zones de connexion

Dimensions :

  • A: hauteur de l’élément combiné
  • B: largeur de l’élément combiné
  • a: Largeur de la zone de connexion : 2/3 de A, mais 20 pixels maximum.
  • b: Longueur de la zone de connexion : 2/3 de B, mais 20 pixels maximum.

Règles

  • Si une ligne se trouve hors de la zone de connexion, aucune connexion n’est détectée et il n’y a donc pas de coloration de la ligne. Et donc il n’y aura pas non plus de coloration des lignes suivantes.
  • En règle générale, tous les points de connexion décrits peuvent être utilisés avec les sources, les drains et les Links.
    Attention : Avec les sources et les drains, un seul point de connexion peut être utilisé à la fois. Si différents points de connexion sont utilisés simultanément, des états non définis peuvent se produire.
    Les éléments de type Link peuvent également utiliser plusieurs points de connexion simultanément. Les informations relatives à la couleur entrante sont transmises à toutes les lignes.
  • Dans le cas des interrupteurs, sectionneurs, réglettes et transformateurs, la connexion 1 (entrée) se trouve à gauche ou sur le dessus et la connexion 2 (sortie) se trouve à droite ou en bas. Cette séquence peut être modifiée avec la propriété Commuter entrée/sortie.
    Attention : Aux interrupteurs et transformateurs, il convient de veiller à n’utiliser qu’une connexion d’entrée et une connexion de sortie. L’utilisation simultanée de plusieurs points de connexion d’entrée ou de sortie produit des incohérences, et n’est donc pas fiable.
  • Pour tous les éléments de procédure, ce qui suit est vrai : Une seule ligne peut être connectée à un point de connexion. Les jonctions ne peuvent pas être établies directement sur un élément ; elles doivent être dessinées avec des lignes.


Commuter entrée/sortie

Manuel -> Coloration Automatique des Lignes (CAL) - Topologie -> Éléments CAL -> Éléments procéduraux -> Commuter entrée/sortie

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Si un transformateur, un sectionneur ou un interrupteur est configuré, l’entrée et la sortie peuvent être inversées. Pour cela :

  1. Sélectionnez le transformateur, le sectionneur ou l’interrupteur en tant que Type de fonction.
  2. Cochez la case Commuter entrée/sortie

L’entrée est alors définie en bas à droite et la sortie en haut à gauche.

Présentation

Configuration de l’équipement | Entrée | Sortie
normal | Gauche | À droite
normal | Haut | En bas
Inversée | Droite | Gauche
Inversée | Bas | Haut


Lignes

Manuel -> Coloration Automatique des Lignes (CAL) - Topologie -> Éléments CAL -> Lignes

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Les lignes sont représentées par des éléments vectoriels Ligne, Ligne brisée et Tube.

Si l'option Couleur définie par CAL est cochée pour une ligne, la couleur provient de la configuration de la fonction CAL. Les lignes sont colorées automatiquement par le système selon l'état des éléments procéduraux et les paramètres CAL.

Ici, la couleur provient habituellement de la source la plus prioritaire dont le flux circule dans la ligne ou reste "vide/non alimentée", telle qu'elle est définie dans le synoptique avec des couleurs statiques ou dynamiques.

Vous définissez le type d'affichage à l'aide de listes déroulantes :

  • Priorité pour l'affichage
  • Affichage alimentations multiples
  • Affichage alimentation sécurisée

Les options suivantes sont disponibles dans les propriétés des lignes :

Paramètre

Description

Couleur définie par CAL

Active la Coloration Automatique des Lignes pour ces éléments vectoriels. Ceci signifie : Si la source de la ligne est active et que tous les interrupteurs entre la source et la ligne sont fermés (ou si toutes les vannes sont ouvertes), la ligne est colorée en conséquence. Si la ligne est "alimentée" par une source unique, la couleur de la source définie est utilisée pour colorer la ligne. La largeur de la ligne n'est pas modifiée.

Priorité pour l'affichage

Définit si l'alimentation multiple, l'alimentation sécurisée ou les deux alimentations sont affichées.
Par défaut : Alimentation multiple

Alimentation sécurisée

L'élément est affiché selon les règles de l'alimentation sécurisée.

Une ligne est considérée comme dotée d'une alimentation sécurisée si elle est alimentée par deux interrupteurs ou transformateurs aux moins, avec une source située hors du système. Les sources du système ne contribuent pas à l'alimentation sécurisée, mais ne l'excluent pas non plus.

Alimentation multiple

L'élément est affiché selon les règles de l'alimentation multiple.

Une ligne est considérée comme dotée d'une alimentation multiple si elle est alimentée par deux sources différentes au moins. Dans ce cas, peu importe qu'il s'agisse de sources système ou de sources utilisateur ; le côté depuis lequel la ligne est alimentée par les sources n'a également pas d'importance.

Pas de priorité

Les règles de coloration des paramètres Alimentation multiple et Alimentation sécurisée sont appliquées simultanément, si les deux critères sont satisfaits. Ceci signifie :

Si une ligne

  • comporte une alimentation multiple et une alimentation sécurisée,
  • La priorité est définie sur Pas de priorité
  • L'affichage de l'alimentation multiple est défini sur Les deux sources les plus prioritaires
  • L'affichage de l'alimentation sécurisée est défini sur Double épaisseur

La ligne est alors deux fois plus épaisse, et affichée sous forme de ligne en trait tireté de deux couleurs.

Affichage alimentation multiple

'Alimentation multiple' signifie qu'une ligne est alimentée par plusieurs sources simultanément. Ici vous pouvez définir comment les lignes alimentées de façon multiple sont affichées.

Par défaut : La source la plus prioritaire

La source la plus prioritaire

La ligne prend la couleur de la source la plus prioritaire.
Remarque : Les priorités sont données par l'ordre des sources dans la configuration CAL globale au projet.

Les deux sources les plus prioritaires

S'applique aux lignes alimentées par deux sources différentes ou plus. Les deux sources avec les plus hautes priorités définissent la coloration. La ligne est affichée avec les deux couleurs (en pointillé). La longueur des tirets peut être modifiée via la propriété Longueur de pointillé fournie plusieurs fois.

Les sources système concernent les alimentations multiples, aussi bien que les sources réelles ; la configuration correspondante permet de colorer les lignes de deux couleurs.

Couleur alternative

La couleur définie dans la propriété Couleur alternative est utilisée.

Longueur de pointillé fournie plusieurs fois

Définit la longueur des tirets (en pixels) des lignes, lignes brisées ou tubes utilisée par la fonction CAL pour l'option Les deux sources les plus prioritaires pour la propriété Affichage alimentation multiple.

  • Minimum : 0 (longueur des tirets automatique)
  • Maximum : 32767
  • Par défaut : 0

Couleur alternative

Couleur de remplacement utilisée par la fonction de CAL pour les lignes, les lignes brisées ou les tubes dotés d'alimentations multiples.

Affichage alimentation sécurisée

'Alimentation sécurisée' signifie qu'une ligne est alimentée par plusieurs chemins (en parallèle) mais d'une même source. Dans ce cas, vous pouvez définir comment cette "alimentation sécurisée" est représentée.

Une ligne est toujours affichée comme dotée d'une alimentation sécurisée si elle est alimentée par aux moins deux interrupteurs comportant une source réelle (c'est-à-dire une source autre qu'une source système).

Par défaut : normal

double épaisseur

A un sens pour les lignes alimentées de façon parallèle par la même source. Si c'est le cas, l'épaisseur de la ligne est deux fois supérieure à l'épaisseur configurée. (Exemple : Une ligne avec une épaisseur de 5 pixels sera affichée avec une épaisseur de 10 pixels si elle est "alimentée de façon sécurisée" par la même source.
Si cette ligne est alimentée par deux sources différentes ou plus (alimentations multiples), l'épaisseur de ligne n'est pas changée !

La couleur est toujours définie par la source avec la priorité la plus haute !

double luminosité

A un sens pour les lignes alimentées de façon parallèle par la même source. La ligne est affichée avec une luminosité qui est le double de la luminosité définie dans ses propriétés.
Si cette ligne est alimentée par deux sources différentes ou plus (alimentations multiples), la couleur de la ligne n'est pas changée !
Si cette ligne est alimentée de façon sécurisée depuis une même source, la luminosité de la ligne affichée est deux fois plus élevée.
Formule de calcul de la double luminosité :

  1. La couleur RVB est transformée selon le système HLS.
  2. L (Luminance = Luminosité) est recalculée avec une valeur NouvelleLuminance égale à : 240*3/4 + L/4.
  3. La valeur de la couleur est retransformée dans le système RGB avec la nouvelle luminosité.

La couleur est toujours définie par la source avec la priorité la plus haute !

normal

L'élément est affiché avec la couleur de la source et l'épaisseur configurée.

Utiliser alias

Active : un alias est utilisé.

Alias

Ouvre la boîte de dialogue permettant de sélectionner un modèle.

info Informations

La couleur des sources et les priorités sont définies dans les propriétés du projet.

Les sources définies par l'utilisateur doivent posséder un ID supérieur à 9. Les ID inférieurs ou égaux à 9 sont réservés aux sources système.

info Informations

Le calcul de la couleur d'une ligne dans le Runtime est fait selon la liste des priorités suivante :

  1. Coloration Automatique des Lignes (Priorité la plus haute, outrepasse tous les autres paramètres)
  2. Couleurs dynamiques
  3. Couleurs statiques

Autres sujets abordés dans ce chapitre

Exemple

Points de connexion des lignes


Exemple

Manuel -> Coloration Automatique des Lignes (CAL) - Topologie -> Éléments CAL -> Lignes -> Exemple

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Dans l’exemple suivant, la source 0 est de couleur bleue et la source 1 de couleur rouge. Et la source 0 est la source la plus prioritaire.

Source 0

Source 1

Il en résulte ceci pour les différentes options :

 | Ligne / Ligne brisée | Tube
La source la plus prioritaire |  |
Les deux sources les plus prioritaires |  |
double épaisseur |  |
double luminosité |  |


Points de connexion des lignes

Manuel -> Coloration Automatique des Lignes (CAL) - Topologie -> Éléments CAL -> Lignes -> Points de connexion des lignes

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

La connexion d’une ligne (ligne, ligne brisée ou tube) sur une autre ligne est faite par superposition /chevauchement du tracé dans le synoptique aux points de connexion. Les points de connexion - ou les zones de connexion - sont les extrémités de chaque ligne et jusqu’à trois pixels autour.

Example Exemple

Le point de départ d’une ligne a les coordonnées (point de départ x, y) : 150/100 pixels.
Ceci produit une zone de connexion (x / y) : 147 - 153 / 97 - 103 pixels.

Si la ligne commence ou se termine et d’autres lignes commencent ou se terminent dans cette zone, alors les lignes sont automatiquement connectées sans avoir à configurer autre chose. Un seul recouvrement des zones de connexion des lignes n’est pas suffisant !

Dans l’illustration suivante, les zones de connexion sont affichées graphiquement (les lignes vertes sont connectées à la ligne noire, mais pas la ligne rouge).

info Informations

Le nombre de lignes connectées à une zone de connexion n’est pas limité.

attention Attention

Si une ligne est en dehors de la zone de connexion (par exemple, la ligne rouge dans l’illustration), aucune connexion n’est établie et il n’y a pas de coloration de la ligne. Et donc il n’y aura pas non plus de coloration des lignes suivantes.

Des croisements de ligne peuvent être effectués, si les fins de lignes ne sont pas dans les zones de connexion.

attention Attention

Les éléments de CAL doivent uniquement être utilisés sans rotation, car :

Le calcul du modèle topologique du CAL dans Editor repose sur la position des éléments sans rotation et sans prise en compte d’éléments dynamiques.


Vérification du projet

Manuel -> Coloration Automatique des Lignes (CAL) - Topologie -> Éléments CAL -> Vérification du projet

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Développez les éléments de procédure et les lignes souhaités sur un ou plusieurs synoptiques, et enregistrez-les. Vous pouvez ensuite vérifier, via les fonctions Créer tous les fichiers du Runtime ou Créer les fichiers du Runtime modifiés, si des erreurs ou des conflits sont présents sur les synoptiques. En cas d’erreurs ou de conflits, les messages d’erreur ou les avertissements correspondants sont affichés dans la fenêtre de suivi.

info Informations

Double-cliquez sur la ligne correspondante dans la fenêtre de suivi. Le synoptique comportant l’élément de synoptique erroné sera ouvert automatiquement. Si l’élément de synoptique erroné forme partie d’un symbole, le symbole correspondant est automatiquement sélectionné.

Le message d’erreur suivant peut être affiché.

  • CAL : Synoptique '%s’ - Deux éléments Lien comportant des numéros de lien différents sont connectés à la ligne '%s. (Un double-clic ouvre le synoptique et sélectionne la ligne.)
  • CAL : Synoptique '%s’ - Plus que deux points de connexion sont utilisés sur l’élément '%s’. Sur un élément, vous ne pouvez utiliser qu’un point en entrée et un point en sortie. Il doit être connecté sur un coté. (Un double-clic ouvre le synoptique et sélectionne l’élément.)

Les avertissements suivants peuvent être affichés.

  • CAL : Synoptique '%s’ - La ligne d’alias '%s’ est connectée à une ligne sans alias. (Un double-clic ouvre le synoptique et sélectionne la ligne.)
  • CAL : Synoptique '%s’ - La ligne d’alias '%s’ est connectée à une ligne sans alias. Il doit être connecté sur un coté. (Un double-clic ouvre le synoptique et sélectionne l’élément.)
  • CAL : Synoptique '%s’ - La ligne d’alias '%s’ est connectée à une ligne sans alias. Il doit être connecté sur un coté. (Un double-clic ouvre le synoptique et sélectionne l’élément.)
  • CAL : Synoptique '%s’ - La ligne '%s’ est connectée d’un côté seulement. (Un double-clic ouvre le synoptique et sélectionne la ligne.)
  • CAL : Synoptique '%s’ - l’élément '%s’ n’est pas connecté. Il doit être connecté sur un coté. (Un double-clic ouvre le synoptique et sélectionne l’élément.)
  • CAL : Synoptique '%s’ - l’élément '%s’ n’est connecté que d’un côté. Il doit être connecté sur un coté. (Un double-clic ouvre le synoptique et sélectionne l’élément.)

Dans les messages d’erreur ou les avertissements, les éléments correspondants sont identifiés à l’aide de la référence de l’élément. Cette référence sert également de clé de lien pour les alias de CAL.


Configuration

Manuel -> Coloration Automatique des Lignes (CAL) - Topologie -> Configuration

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Pour configurer la fonction CAL :

  1. Dans les propriétés du projet, sélectionnez la propriété Configuration CAL du groupe Coloration Automatique de Lignes.
  2. Cliquez sur le bouton ...
  3. La boîte de dialogue de configuration s’affiche à l’écran.
  4. Configurez les propriétés souhaitées pour les éléments suivants :
    • Sources

      Créez de nouvelles sources dans les couleurs souhaitées pour la topologie.

      Remarque : Dans ce cas, notez que les sources système (ID 0 à 9) possèdent une signification prédéfinie ou sont réservées pour des versions futures.

      Tenez également compte des principes mentionnés dans la section Mode de coloration avec l’état UNDEFINED [Non défini].)

    • Verrouillages

      Configurez les verrouillages topologiques dont le module de gestion des commandes doit tenir compte.
      Remarque : l’onglet est uniquement visible avec la licence de la suite Topology Package.

    • Marqueur de synoptique

      Configurez la table des couleurs du marqueur de synoptique avec la fonction de détection d’erreurs par impédance.
      Remarque : l’onglet est uniquement visible avec la licence de la suite Topology Package.

Autres sujets abordés dans ce chapitre

Configuration des sources

Configuration des verrouillages topologiques

Configuration du marqueur de synoptique


Configuration des sources

Manuel -> Coloration Automatique des Lignes (CAL) - Topologie -> Configuration -> Configuration des sources

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

La configuration des sources, c’est-à-dire leurs noms et leurs couleurs (ordre et priorité), s’effectue par rapport au projet, dans les propriétés du projet, sous Configuration CAL. Les sources possédant un identifiant compris entre 0 et 9 sont réservées pour les sources système. La fonction des sources qui possèdent déjà une fonction (par ex., mise à la terre, la couleur de la "source de terre") ne doit pas être modifiée. Les sources qui n’ont encore aucune fonctionnalité dans la version actuelle de zenon restent réservées pour des versions futures.

Les couleurs des sources avec un ID supérieur à 10 sont librement configurables pour les éléments procéduraux ; par exemple, pour la source "Générateur" ou "110 kV", etc. Ajoutez d’autres couleurs à cette fin.

Couleurs de la source

Paramètre

Description

Numéro

Numéro interne unique consécutif pour identifier la source. Ce numéro est donné par le système automatiquement et ne peut pas être modifié.

Attention : Les ID 0 à 9 sont réservés aux sources système et ne doivent pas être utilisés de manière spécifique à l’utilisateur.

Nom

Nom logique de la source (par exemple, "Eau" ou "Terre"). Ce nom est également utilisé lors de la sélection du numéro de source pour les éléments combinés. Vous pouvez changer le nom en cliquant dessus avec le bouton gauche de la souris. Le mode édition est activé. Les modifications sont acceptées par la touche Entrée ou en sélectionnant une autre source.

Remarque : Les intitulés suivants ne peuvent pas être changés selon la langue :

Couleur ligne

Couleur de ligne de la source correspondante. Cette couleur est utilisée pour colorer les lignes et les lignes brisées et définit la couleur pour l’extérieur des tubes.

Tiret

Cochez la case pour activer l’option.
Si l’option est active, la ligne est dessinée en tirets.

Remarque : Cette case peut uniquement être cochée pour l’option GROUNDED. Cette case à cocher est grisée pour toutes les autres sources.

Nouveau

Ajoute une nouvelle couleur.

Supprimer

Supprime la couleur sélectionnée.

Vers le haut (flèche)

Déplace la source sélectionnée d’une position vers le haut.

Complètement vers le haut (flèche)

Déplace la source sélectionnée vers le début de la liste.

Vers le bas (flèche)

Déplace la source sélectionnée d’une position vers le bas.

Complètement vers le bas (flèche)

Déplace la source sélectionnée vers la fin de la liste

Fermer boîte de dialogue

Options | Description :
OK | Applique toutes les modifications effectuées sur tous les onglets, puis ferme la boîte de dialogue.
Annuler | Annule toutes les modifications effectuées sur tous les onglets, puis ferme la boîte de dialogue.
Aide | Ouvre l'aide en ligne.

Les couleurs peuvent être configurées directement en saisissant le code hexadécimal correspondant, ou à l’aide d’une palette de couleurs.

Pour effectuer une saisie directe :

  1. Cliquez sur la description de la couleur avec le bouton gauche de la souris.

    Le champ bascule en mode Édition.

  2. Saisissez le code.
  3. Appuyez sur la touche Entrée ou sélectionnez une autre source pour appliquer la modification.

Pour effectuer une sélection via une palette de couleurs :

  1. Sélectionnez la ligne de votre choix.
  2. Cliquez sur le bouton ... adjacent à la couleur.
    Remarque : Le bouton ... est uniquement visible si l’entrée correspondant à la couleur est sélectionnée avec un clic.

    La palette de couleurs s’affiche dans un menu contextuel.

  3. Sélectionnez la couleur de votre choix.

Le code hexadécimal décrit la couleur en mode RVB qui est constitué comme suit : #RRGGBB.

Produit | Signification
# | Identifiant indiquant qu’un code de couleur en hexadécimal est utilisé.
RR | 2 chiffres représentant la valeur du rouge pour la couleur en hexadécimal. 0-255 correspond à 0-FF.
GG | 2 chiffres représentant la valeur du vert (green) pour la couleur en hexadécimal. 0-255 correspond à 0-FF.
BB | 2 chiffres représentant la valeur du bleu pour la couleur en hexadécimal. 0-255 correspond à 0-FF.
info Informations
La séquence dans la liste indique la priorité des sources, la première étant la plus prioritaire. Pour modifier les priorités des sources uniques, vous pouvez les déplacer vers le haut ou vers le bas à l’aide des boutons fléchés.

attention Attention

Restrictions lors de la suppression de sources et de la réinitialisation de colorations incorrectes :

Les sources possédant un identifiant compris entre 0 et 9 sont réservées pour les sources système. Elles ne peuvent pas :

  • Être supprimées
  • Être réinitialisées comme une couleur incorrecte

Suppression de sources

Pour que des sources puissent être supprimées, elles doivent posséder un identifiant supérieur à 10. Seules les sources avec des numéros supérieurs peuvent être supprimées.

Réinitialisation de colorations incorrectes

SI vous réinitialisez les colorations incorrectes après avoir corrigé la source, vous ne pouvez pas utiliser de couleurs source système. Vous devez sélectionner une couleur dont l’identifiant est supérieur à 10.

Autres sujets abordés dans ce chapitre

Mode de coloration avec l’état UNDEFINED (Non défini)


Mode de coloration avec l’état UNDEFINED (Non défini)

Manuel -> Coloration Automatique des Lignes (CAL) - Topologie -> Configuration -> Configuration des sources -> Mode de coloration avec l’état UNDEFINED (Non défini)

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

La coloration du réseau peut être mise en œuvre de deux manières avec l’état UNDEFINED (Non défini) :

  • Standard
  • L’entrée est prioritaire

Ce paramètre est configuré par le biais des propriétés de projet Coloration Automatique de Lignes/Mode pour la coloration.

Standard

L’inspection du diagramme débute depuis une source et se poursuit sur l’ensemble du réseau, de telle manière que chaque interrupteur fermé (la variable d’interrupteur possède la valeur 1) dans chaque direction n’est parcouru qu’une fois, permettant d’éviter tout cycle. Chaque nœud visité (c’est-à-dire chaque segment de ligne) est coloré avec la couleur de la source. Les lignes directement connectées sont identifiées comme des nœuds.

Si la recherche découvre un interrupteur comportant une variable d’interrupteur avec l’état suivant, la couleur UNDEFINED est utilisée pour la coloration à partir de cet interrupteur :

  • INVALID [valeurs aux choix]
  • est non valide [valeur : 3]
  • est dans une position intermédiaire [valeur : 2])

L’inspection du diagramme se poursuit maintenant sous la même forme. Chaque interrupteur est parcouru une fois dans chaque direction avec la couleur UNDEFINED. Par conséquent, chaque interrupteur peut être parcouru au maximum quatre fois par source :

  1. Avec le numéro de source, vers l’avant
  2. Avec le numéro de source, vers l’arrière
  3. Avec le paramètre UNDEFINED, vers l’avant
  4. Avec le paramètre UNDEFINED, vers l’arrière

L’entrée est prioritaire

Avec le paramètre L’alimentation est prioritaire, seules les lignes dotées d’une alimentation provenant d’une source au moins, mais non alimentées par une source en particulier, sont colorées avec le paramètre UNDEFINED. Si une ligne est alimentée par une source au moins, elle ne peut plus recevoir la couleur UNDEFINED d’une autre source.

Cette recherche est une recherche en deux étapes :

  • Lors de la première étape, à l’instar du paramètre Standard, la couleur de la source est distribuée sur le réseau depuis chaque source commutée, dans la mesure où l’interrupteur suivant est fermé. La recherche se termine si l’interrupteur est ouvert ou non valide/non défini.
  • Lors de la deuxième étape, la recherche débute à chaque interrupteur non valide/non défini alimenté d’un côté, la couleur UNDEFINED étant distribuée au côté non alimenté. Cette recherche considère également que les interrupteurs non définis/non valides sont fermés, et distribue donc la couleur UNDEFINED sur le réseau jusqu’à trouver un interrupteur manifestement ouvert. En outre, une recherche se termine si un élément de ligne déjà alimenté est trouvé.


Configuration des verrouillages topologiques

Manuel -> Coloration Automatique des Lignes (CAL) - Topologie -> Configuration -> Configuration des verrouillages topologiques

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Dans le Runtime, les modules de gestion des commandes peuvent calculer les verrouillages résultant de l’état dynamique du réseau électrique, dont la topologie a été intégralement configurée à l’aide du module CAL. À l’aide de la topologie du réseau configurée avec le module CAL et des états actuels des sources (MARCHE/ARRÊT), interrupteurs, sectionneurs, etc., il est possible de détecter automatiquement l’entrée de commande qui entraînera l’exécution d’une commande (par exemple, "Tension à la terre"), puis d’interdire l’exécution de la commande.

Les verrouillages topologiques du module CAL pour la fonction d’envoi de commande sont configurés de manière centrale, pour le projet correspondant. Dans ce cas, une décision est également prise pour déterminer si un utilisateur peut déverrouiller un verrouillage (à condition d’avoir le niveau d’autorisation de déverrouillage correspondant pour l’action).

info Informations

Cette boîte de dialogue est uniquement disponible si vous possédez les licences des modules Energy Edition et Coloration Automatique des Lignes (Automatic Line Coloring).

Le paramétrage fait ici s’applique de façon globale sur le modèle topologique complet. Les conditions suivantes sont disponibles.

Paramètre | Description
Tension à la masse | Le verrouillage est actif, si un disjoncteur / sectionneur doit être fermé et qu’une "terre" est connectée à son premier connecteur et son autre connecteur est connecté ou indéfini.
Action de commutation dans une zone comportant un état non défini. | Le verrouillage est actif si un disjoncteur / sectionneur doit être fermé et ses deux connecteurs sont "non définis" ou "perturbés".
Sectionneur en charge | Le verrouillage est actif si certaines conditions d’activation ou de désactivation sont satisfaites. Conditions : voir la section Sectionneur en charge – Conditions de verrouillage.
Provoquerait une rupture d’alimentation du matériel | Le verrouillage est actif si un interrupteur/sectionneur doit être ouvert et si l’alimentation d’un appareil sous tension, alimenté par une tension provenant d’une source (c’est-à-dire un drain), est ensuite interrompue.
La zone avec un état indéterminé va s’agrandir | Le verrouillage est actif si un disjoncteur / sectionneur doit être fermé et un de ses connecteurs est "non défini" ou "perturbé" alors que l’autre ne l’est pas. Il est également signalé si la commande a été configurée avec une direction de commutation Aucune.

Si vous cliquez sur la colonne État pour l’un de ces verrouillages, vous obtenez une liste déroulante avec trois choix :

Paramètre | Description
Ne pas vérifier | La condition sélectionnée ne sera pas prise en compte dans ce projet (pour le modèle topologique).
Déverrouillable | La condition sélectionnée est considérée dans ce projet. Si la condition s’applique, l’utilisateur peut la déverrouiller avec la fonction de gestion de commande (dans un synoptique de type Gestion de commande). Cette action de déverrouillage est consignée dans la liste d’événements (CEL).
Non déverrouillable | La condition sélectionnée est considérée dans ce projet. L’utilisateur ne peut pas la déverrouiller.

Exceptions concernant le verrouillage topologique

Le verrouillage topologique n’est pas effectué si :

  • La variable d’un interrupteur comporte l’état Révision
    Ou
  • La variable est corrigée manuellement ou définie sur Valeur de remplacement et, dans le même temps, définie sur la même valeur de variable que la valeur initiale ; en d’autres termes, si l’interrupteur :
    • Est défini sur OFF (Désactivé), puis corrigé manuellement sur OFF (Désactivé) ou s’il est remplacé.
    • Est défini sur ON (Activé), puis corrigé manuellement sur ON (Activé), ou s’il est remplacé.

Autres sujets abordés dans ce chapitre

Sectionneur en charge - Conditions de verrouillage


Sectionneur en charge - Conditions de verrouillage

Manuel -> Coloration Automatique des Lignes (CAL) - Topologie -> Configuration -> Configuration des verrouillages topologiques -> Sectionneur en charge - Conditions de verrouillage

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Pour le verrouillage topologique Sectionneur en charge, un sectionneur peut être commuté si l’une des conditions suivantes est satisfaite pour les segments de ligne connectant les sectionneurs :

Lors de l’activation du sectionneur :

Une vérification est effectuée pour déterminer si, avant l’activation de l’état MARCHE, la topologie se trouve dans l’un des états suivants :

  • Les deux sections de ligne sont alimentées/reliées à la terre par la même source ;
  • Une section de ligne ne reçoit aucune tension, l’autre section de ligne est reliée à la terre ;
  • Une section de ligne n’est pas en charge.

Lors de la désactivation du sectionneur :

Une vérification est effectuée pour déterminer si, avant l’activation de l’état ARRÊT, la topologie se trouve dans l’un des états suivants :

  • Les deux sections de ligne sont alimentées par la même source ;
  • Si une section de ligne ne reçoit plus de tension, l’autre section de ligne est reliée à la terre ;
  • Une section de ligne n’est plus en charge.

info Informations

Signification de "pas en charge"

L’état pas en charge signifie :

  • Soit :
    Tous les interrupteurs et sectionneurs connectés à la section de ligne sont ouverts.
  • Ou :
    Les interrupteurs et sectionneurs connectés à la section de ligne sont fermés, mais sont uniquement connectés à une section supplémentaire qui n’est pas en charge.

Par ailleurs, toutes les conditions suivantes doivent être satisfaites pour que l’état pas en charge soit vrai :

  • L’ensemble des sources et consommateurs connectés au segment de ligne est désactivé.
  • Aucun transformateur ne peut être connecté au segment de ligne.
  • Il ne doit pas s’agir d’une ligne connectée uniquement à ce sectionneur (ligne ouverte).


Configuration du marqueur de synoptique

Manuel -> Coloration Automatique des Lignes (CAL) - Topologie -> Configuration -> Configuration du marqueur de synoptique

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Ici, vous pouvez configurer la table des couleurs associée au marqueur de couleur pour la détection d’erreurs par impédance et le calcul de la répartition de charge. Voir également : AddMarker.

Paramètre | Description
Numéro | Numéro de série interne unique, garantissant une attribution claire. Ce numéro est donné par le système automatiquement et ne peut pas être modifié.
Couleur ligne | Couleur de ligne du marqueur de synoptique.
Couleur de remplissage | Couleur de remplissage du marqueur de synoptique.
Nouveau | Ajoute une nouvelle couleur.
Supprimer | Supprime la couleur sélectionnée. Remarque : Seule la dernière couleur de la liste peut être supprimée. Les couleurs standard ne peuvent pas être supprimées.

Les couleurs peuvent être configurées directement en saisissant le code hexadécimal correspondant, ou à l’aide d’une palette de couleurs.

Pour effectuer une saisie directe :

  1. Cliquez sur la description de la couleur avec le bouton gauche de la souris.

    Le champ bascule en mode Édition.

  2. Saisissez le code.
  3. Appuyez sur la touche Entrée ou sélectionnez une autre source pour appliquer la modification.

Pour effectuer une sélection via une palette de couleurs :

  1. Sélectionnez la ligne de votre choix.
  2. Cliquez sur le bouton ... adjacent à la couleur.
    Remarque : Le bouton ... est uniquement visible si l’entrée correspondant à la couleur est sélectionnée avec un clic.

    La palette de couleurs s’affiche dans un menu contextuel.

  3. Sélectionnez la couleur de votre choix.

Le code hexadécimal décrit la couleur en mode RVB qui est constitué comme suit : #RRGGBB.

Produit | Signification
# | Identifiant indiquant qu’un code de couleur en hexadécimal est utilisé.
RR | 2 chiffres représentant la valeur du rouge pour la couleur en hexadécimal. 0-255 correspond à 0-FF.
GG | 2 chiffres représentant la valeur du vert (green) pour la couleur en hexadécimal. 0-255 correspond à 0-FF.
BB | 2 chiffres représentant la valeur du bleu pour la couleur en hexadécimal. 0-255 correspond à 0-FF.


Fonction : Modifier la couleur de la source (CAL)

Manuel -> Coloration Automatique des Lignes (CAL) - Topologie -> Fonction : Modifier la couleur de la source (CAL)

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

L’avant-plan et l’arrière-plan d’une source CAL peuvent être temporairement modifiés pour la coloration dans le Runtime à l’aide de la fonction Modifier la couleur de la source (CAL). La modification reste active jusqu’à la fermeture ou l’actualisation du Runtime ou la nouvelle exécution de la fonction. Pour créer la fonction :

  • Sélectionnez Nouvelle fonction
  • Accédez au nœud Synoptiques.
  • Sélectionnez Modifier la couleur de la source (CAL).

  • La boîte de dialogue de définition des couleurs de ligne et de remplissage s’affiche.
  • Définissez la couleur souhaitée.

Propriété | Fonction
Source | Liste déroulante permettant de sélectionner la source et afficher les couleurs actuellement attribuées. Ces couleurs ne peuvent pas être modifiées ici.
Nouvelle couleur pour la source | Cliquez sur la couleur pour ouvrir une boîte de dialogue permettant de sélectionner une couleur.


Alias pour les synoptiques détaillés

Manuel -> Coloration Automatique des Lignes (CAL) - Topologie -> Alias pour les synoptiques détaillés

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Pour afficher des synoptiques individuels, une section partielle peut être sélectionnée dans le réseau topologique et affichée individuellement, au moyen d’alias. Les éléments du synoptique dans le synoptique de détail ne sont pas inclus dans le modèle topologique, reçoivent toutefois leurs couleurs CAL du modèle. Ces éléments sont liés à un alias des éléments du synoptique dans le synoptique global.

attention Attention

Les alias sont uniquement valides dans un projet.

Cela signifie, pour les symboles contenant des liens vers des alias :

Si le symbole est ajouté à la bibliothèque générale de symboles ou à la bibliothèque de projet global, puis édité, toutes les informations concernant les alias de la fonction CAL sont perdues (aucune demande de confirmation n’est affichée).

Créer un alias

Un alias peut être créé pour les éléments suivants :

  • Ligne
  • Ligne brisée
  • Tube
  • Élément combiné

attention Attention

Un alias de la fonction CAL ne peut pas être créé si le nom du synoptique sélectionné contient un point (.).

Solution : Remplacez le point dans le nom du synoptique par un caractère différent, tel qu’un tiret, par exemple (_).

Pour créer un élément source en tant qu’alias :

  • Activez-le dans les propriétés Utiliser alias de l’élément.

    Pour cela, le module CAL doit comporter une licence et la propriété Couleur définie par CAL doit être active.

  • Cliquez sur le bouton ... de la propriété Alias.
  • La boîte de dialogue de sélection d’éléments s’affiche à l’écran.

Paramètre

Description

Synoptique

Cliquez sur le bouton ... pour ouvrir une boîte de dialogue permettant de sélectionner un synoptique.

Éléments CAL disponibles

Affiche les éléments appartenant à un synoptique avec le nom de l’élément, le type d’élément et le type de fonction. Cliquez sur un élément pour sélectionner un alias.

Filtre

Les éléments peuvent être triés en fonction de toutes les colonnes. Lors de la configuration d’un filtre, les options fournies par tous les autres filtres sont limitées aux valeurs pouvant être associées de manière logique.

  • Nom : saisie d’une expression de recherche avec des opérateurs (*). Les 12 dernières expressions de recherche sont proposées dans la liste jusqu’à la fermeture d’Editor.
  • Élément : Sélectionnez dans la liste déroulante.
  • Le type de fonction : Sélectionnez dans la liste déroulante.

Cliquez sur ... pour ouvrir la liste des recherches enregistrées ou la liste déroulante.

Si un filtre est actif, cliquez sur X pour le supprimer.

Alias sélectionné

Affiche l’élément sélectionné dans le champ des éléments CAL disponibles.

Aucune sélection

Supprime l’élément sélectionné.

OK

Enregistre la sélection et ferme la boîte de dialogue.

Annuler

Annule toutes les modifications et ferme la boîte de dialogue.

Aide

Ouvre l’aide en ligne.

info Informations

Lors de la sélection d’un élément pour un nouvel alias, seuls les éléments et les synoptiques issus du même projet que celui pour lequel l’alias est défini peuvent être sélectionnés. Les éléments issus de sous-projets ou de projets parallèles ne sont pas disponibles.

Remplacement des noms d’alias

Les alias peuvent être remplacés lors d’appels de synoptiques avec la fonction Remplacer les liens. Un synoptique de détail peut donc être affiché avec les données provenant de différents composants d’équipements, tels que des lignes ou des réseaux partiels. Les noms d’alias sont remplacés de la même manière que les variables et les fonctions. Il est également possible de remplacer les éléments utilisés dans les symboles. La boîte de dialogue ouverte pour la cible est la même que pour la propriété Alias.

Remarque : la substitution à l’aide de variables d’indices n’est pas autorisée.


Localisation de défauts sur les réseaux électriques

Manuel -> Coloration Automatique des Lignes (CAL) - Topologie -> Localisation de défauts sur les réseaux électriques

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

La détection d’erreurs permet de repérer les sections de réseau sujettes à des défauts de terre ou des courts-circuits au moyen de couleurs spéciales dans le module CAL. Les points de départ de la détection sont appelés détecteurs de défaut de terre ou de court-circuit (par ex., un équipement de protection) et sont attribués à un disjoncteur. Les détecteurs de défaut de terre et de court-circuit se trouvent toujours à la sortie d’un élément disjoncteur. Pour cette raison, les variables correspondantes (contenant les rapports de l’équipement de protection) sont liées aux éléments CAL Interrupteur.

Les rapports provenant des équipements de protection sont représentés par une coloration spéciale, avec les couleurs de source ID 1 et 2, toutefois uniquement si le rapport est reçu pendant que les lignes sont actives. Dans le même temps, les rapports sont définis sur les mêmes variables aux fins de l’affichage. Les affichages d’erreurs graphiques peuvent ainsi être présentés sur l’écran, par exemple, avec d’autres éléments combinés qui sont uniquement visibles si un affichage est actif.

L’affichage doit être réinitialisé manuellement (acquitté) lorsque les équipements protecteurs ont rétracté les rapports.

info Informations

Cette fonction est uniquement disponible si vous possédez les licences des modules Energy Edition et Coloration Automatique des Lignes.

Détection d’erreurs

La détection d’erreurs s’exécute localement sur chaque ordinateur présent sur le réseau zenon. Chaque client présent sur le réseau possède un modèle spécifique indépendant et peut donc rechercher les défauts de terre et les courts-circuits dans différentes sections de la topologie.

La détection d’erreurs sur le réseau électrique comporte plusieurs phases :

  • Rechercher un défaut de terre
  • Recherche de court-circuit

Pour configurer la détection d’erreur :

  • Vous avez besoin d’une licence pour le module CAL et le module Energy Edition de zenon.
  • Configurez les synoptiques adéquats.
  • Configurez le module CAL en fonction des éléments combinés avec la fonction interrupteur
  • Configurez les lignes afin qu’elles soient colorées par le module CAL.

Le Runtime comporte des fonctions spéciales pour la détection d’erreurs :

  • Démarrer la recherche des défauts de terre
  • Acquitter un message de défaut de terre
  • Arrêter la recherche des défauts de terre
  • Acquitter le message de court-circuit

Colorations

Les erreurs peuvent être affichés avec une coloration spéciale des lignes dans le module CAL si les notifications sont reçues lorsque les lignes sont actives. Dans le Runtime, la couleur attribuée par le module CAL change automatiquement dès que l’état de la ligne change. Les colorations configurées peuvent être modifiées dans le Runtime via la fonction Modifier la couleur de la fonction CAL.

Les messages sont traités dans leur ordre d’arrivée. En cas de conflit :

  • Les couleurs d’affichage des erreurs sont prioritaires.
  • Les messages de court-circuit sont prioritaires sur les messages de défaut de terre.

Autres sujets abordés dans ce chapitre

Rechercher un défaut de terre

Recherche de court-circuit


Rechercher un défaut de terre

Manuel -> Coloration Automatique des Lignes (CAL) - Topologie -> Localisation de défauts sur les réseaux électriques -> Rechercher un défaut de terre

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

La recherche de défaut de terre permet de signaler les sections du réseau présentant potentiellement un défaut de terre en les colorant. La couleur est définie par la configuration des couleurs source du module CAL pour la source GROUND FAULT, ID 1 (DÉFAUT DE TERRE). Dans le même temps, les notifications sont définies sur les variables supplémentaires aux fins de l’affichage graphique.

Les sections du réseau susceptibles de présenter un défaut de terre sont dérivées des rapports de défaut de terre fournis par les équipements de détection de défauts de terre (indicateurs de défaut de terre ou équipements de protection enregistrant les défauts de terre). Les considérations suivantes s’appliquent aux défauts de terre :

  • Chaque équipement peut présenter un à trois messages de défaut de terre.
  • Les rapports de défaut de terre peuvent être gérés de deux manières : par le traitement de messages permanents ou le traitement de messages provisoires.
  • Pour les équipements de détection de défauts de terre directionnels, la direction peut être devant ou derrière, en fonction du déclenchement.
    • Devant : D’abord, la notification de la direction arrive en amont et/ou en aval, puis via le déclencheur.
    • Derrière : Le déclencheur arrive avant la solution.

info Informations

Si cette connexion est établie avec succès, un composant réseau présentant potentiellement un défaut de terre n’est alors plus considéré comme défaillant.

Développement

Pour configurer une recherche de défaut de terre :

  1. Attribuez l’élément combiné représentant l’élément de commutation à l’interrupteur de l’élément Type de fonction.
  2. Définissez le mode de recherche de défaut de terre, le déclencheur de défaut de terre et l’affichage du défaut de terre.
  3. Créez les fonctions de début de recherche de défaut de terre, d’acquittement du rapport de défaut de terre et de fin de recherche de défaut de terre.

info Informations

Pour pouvoir également limiter la détection de défauts de terre sur les réseaux hétérogènes, seul un emplacement comportant des défauts de terre est analysé sur chaque chemin, en commençant par une source.

Autres sujets abordés dans ce chapitre

Mode de recherche pour les défauts de terre

Type de détection de défaut de terre

Affichage des défauts de terre

Déclenchement de défauts de terre

Démarrer la recherche des défauts de terre

Acquitter le message de défaut de terre

Arrêter la recherche des défauts de terre


Mode de recherche pour les défauts de terre

Manuel -> Coloration Automatique des Lignes (CAL) - Topologie -> Localisation de défauts sur les réseaux électriques -> Rechercher un défaut de terre -> Mode de recherche pour les défauts de terre

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

La fonction de recherche de court-circuit peut soit :

  • Colorer la portion du réseau comportant potentiellement un court-circuit,
    ou
  • L’ensemble du réseau sur lequel a été détecté le court-circuit.

Le mode de coloration est défini via la propriété Mode de recherche pour les défauts de terre.

Pour configurer la propriété :

  • Accédez au nœud Coloration Automatique de Lignes dans les propriétés.
  • Sélectionnez le mode de votre choix dans la liste déroulante de la propriété Mode de recherche pour les défauts de terre.
    • Colorer la partie du réseau : colore uniquement les parties du réseau comportant potentiellement un court-circuit.
    • Colorer l’ensemble du réseau : colore l’ensemble du réseau lié sur lequel a été détecté le court-circuit.

Ce paramètre peut être modifié dans le Runtime via le modèle d’objet API de zenon. Dans ce cas, la recherche de court-circuit est recalculée à nouveau.


Type de détection de défaut de terre

Manuel -> Coloration Automatique des Lignes (CAL) - Topologie -> Localisation de défauts sur les réseaux électriques -> Rechercher un défaut de terre -> Type de détection de défaut de terre

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

La direction et le type de traitement de message pour l’élément combiné sont déterminés par le paramètre Type. Pour la configuration de projets :

  1. Accédez au nœud Coloration Automatique de Lignes dans les propriétés de l’élément combiné.
  2. Ouvrez le nœud Détection des défauts de terre.
  3. Sélectionnez le type souhaité, ainsi que la direction et le type de traitement de message, dans la propriété Type.
    • Sens de défilement :
      Indique si le front montant de l’alarme de déclenchement est prioritaire ou non sur le front montant d’une direction.
    • Devant : L’état de la direction actuelle est utilisé pour le front montant de l’alarme de déclenchement.
    • Derrière : après un front montant de l’alarme de déclenchement, le premier front montant d’une direction est attendu ; s’il ne se produit pas dans les deux secondes suivantes, l’équipement de détection de défaut de terre est considéré comme non directionnel.
    • Traitement de l’information :
      États dans lesquels les informations peuvent être traitées.
    • Aucun : interrupteur normal ; les informations ne sont pas traitées.
    • Traitement des messages permanents : les nouveaux messages reçus sont considérés comme un nouveau déclenchement de défaut de terre.
    • Traitement des messages transitoires : les messages reçus durant une recherche de courant sont supprimés.

Remarque : La distinction entre le traitement des messages permanents et le traitement des messages transitoires a uniquement trait au traitement du message, et non au type de message. Il n’est donc pas nécessaire que le traitement des messages transitoires concerne un bit transitoire.

attention Attention

Pour supprimer les défauts de terre intermittents, les messages de défaut de terre reçus à intervalles de moins de 2 secondes sont ignorés.


Affichage des défauts de terre

Manuel -> Coloration Automatique des Lignes (CAL) - Topologie -> Localisation de défauts sur les réseaux électriques -> Rechercher un défaut de terre -> Affichage des défauts de terre

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

La variable liée à la propriété Afficher est une variable de sortie pour la détection d’erreurs, et affiche l’état enregistré de l’équipement de détection de défaut de terre. Ceci est indispensable, car tous les messages sont enregistrés au niveau interne jusqu’à leur acquittement, c’est-à-dire qu’ils ne sont pas forcément conformes à l’état actuel des variables de message.

Chaque fois qu’un enregistrement est réalisé, une valeur prescrite est transmise à cette variable. Dans ce cas, les valeurs sont les suivantes :

Valeur | Signification
0 | Pas de défaut de terre
1 | Défaut de terre devant
2 | Défaut de terre derrière
3 | Défaut de terre non directionnel
4 | État d’erreur -> Les deux directions ont été activées

info Informations

Pour réduire les problèmes liés au fonctionnement du réseau, la variable liée ici doit être une variable liée.


Déclenchement de défauts de terre

Manuel -> Coloration Automatique des Lignes (CAL) - Topologie -> Localisation de défauts sur les réseaux électriques -> Rechercher un défaut de terre -> Déclenchement de défauts de terre

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

L’alarme de détection de défaut de terre est définie par la variable Déclenchement. Elle peut contenir des informations concernant la présence d’un défaut de terre et la direction du défaut de terre selon l’équipement de détection de défaut de terre. Dans ce cas, la distinction suivante est faite :

  • Alarmes de défaut de terre non directionnel
  • Alarmes de défaut de terre directionnel avec une alarme de déclenchement
  • Alarmes de défaut de terre directionnel avec une alarme de déclenchement

Pour configurer la variable pour l’élément Déclenchement :

  1. Accédez au nœud Coloration Automatique de Lignes dans les propriétés de l’élément combiné.
  2. Ouvrez le nœud Détection des défauts de terre.
    1. Pour les alarmes de défaut de terre non directionnelles :

      Cliquez sur le bouton ... de la propriété Déclenchement.

      Sélectionnez la variable que vous souhaitez importer dans la boîte de dialogue qui s’affiche à l’écran.

      Les propriétés de la direction restent vides.

    2. Pour les alarmes de défaut de terre directionnel avec une alarme de déclenchement :

      Liez la variable à Déclenchement et ajoutez la direction adéquate :

      En avant : liez une variable à la propriété Avancer.

      En arrière : liez une variable à la propriété Reculer.

    3. Pour les alarmes de défaut de terre directionnel sans une alarme de déclenchement :

      Liez la variable à la direction correspondante :

      En avant : liez une variable à la propriété Avancer.

      En arrière : liez une variable à la propriété Reculer.

      La propriété Déclenchement reste vide.

Remarque : si vous adressez un équipement d’identification directionnel avec la propriété Avancer dans les deux directions, cette configuration est considérée comme erronée et est ignorée.


Démarrer la recherche des défauts de terre

Manuel -> Coloration Automatique des Lignes (CAL) - Topologie -> Localisation de défauts sur les réseaux électriques -> Rechercher un défaut de terre -> Démarrer la recherche des défauts de terre

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

La fonction Démarrer la recherche des défauts de terre permet de localiser les défauts de terre et a deux effets dans le Runtime :

  1. Les messages provenant de tous les équipements de détection de défaut de terre configurés avec l’option Traitement des messages fluctuants sont ignorés.
  2. L’algorithme de recherche est modifié : les actions de commutation peuvent uniquement restreindre davantage la section affectée par un défaut de terre. Les nouveaux messages reçus n’augmentent donc pas l’étendue de la section potentiellement affectée par un défaut de terre.

Pour configurer la fonction Démarrer la recherche des défauts de terre :

  • Créez une nouvelle fonction.
  • Accédez au nœud de détection d’erreur du réseau électrique.
  • Sélectionnez la fonction Démarrer la recherche des défauts de terre.

  • Liez la fonction à un bouton.


Acquitter le message de défaut de terre

Manuel -> Coloration Automatique des Lignes (CAL) - Topologie -> Localisation de défauts sur les réseaux électriques -> Rechercher un défaut de terre -> Acquitter le message de défaut de terre

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

La fonction Acquitter le message de défaut de terre permet d’acquitter un message de défaut de terre enregistré au niveau interne provenant d’un équipement de détection de défaut de terre. De cette manière, l’état de défaut de terre verrouillé au niveau interne est réinitialisé si l’état est toujours en attente, ou défini comme étant acquitté. Un message de défaut de terre enregistré sera uniquement supprimé au niveau interne s’il a été acquitté et n’est plus en attente.

Règles de l’acquittement :

  • si une variable correspondant à une variable de déclenchement ou de direction d’un équipement de détection de défaut de terre est liée, ce message de défaut de terre spécial est acquitté.
  • Si aucune variable n’a été liée, tous les messages de défaut de terre sont acquittés.
  • L’acquittement peut également être effectué via le modèle d’objet de l’API de zenon.

Pour configurer la fonction Acquitter le message de défaut de terre :

  • Créez une nouvelle fonction.
  • Accédez au nœud de détection d’erreur du réseau électrique.
  • Sélectionnez la fonction Acquitter le message de défaut de terre.

  • La boîte de dialogue de sélection de variable s’affiche à l’écran.
  • Liez la variable souhaitée à la fonction.
  • Liez la fonction à un bouton.


Arrêter la recherche des défauts de terre

Manuel -> Coloration Automatique des Lignes (CAL) - Topologie -> Localisation de défauts sur les réseaux électriques -> Rechercher un défaut de terre -> Arrêter la recherche des défauts de terre

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Pour arrêter la recherche de défaut de terre, exécutez la fonction Arrêter la recherche des défauts de terre dans le Runtime.

Pour configurer la fonction :

  • Créez une nouvelle fonction.
  • Accédez au nœud de détection d’erreur du réseau électrique.
  • Sélectionnez la fonction Arrêter la recherche des défauts de terre.

  • Liez la fonction à un bouton.


Recherche de court-circuit

Manuel -> Coloration Automatique des Lignes (CAL) - Topologie -> Localisation de défauts sur les réseaux électriques -> Recherche de court-circuit

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

La recherche de court-circuit permet de signaler les sections du réseau présentant potentiellement un court-circuit en les colorant. La couleur est définie par la configuration des couleurs source du module CAL pour la source DÉFAUT DE COURT-CIRCUIT.

Les composants du réseau potentiellement sujets aux courts-circuits sont déterminés en fonction des rapports de court-circuit. Un équipement d’identification de court-circuit (indicateur de court-circuit, équipement de protection) peut comporter un à trois messages de court-circuit. Pour les équipements de détection de court-circuit directionnel, la direction peut être en avant ou en arrière, en fonction du déclenchement. Si cette connexion est établie avec succès, un composant réseau présentant potentiellement un court-circuit n’est alors plus considéré comme défaillant.

Développement

Pour configurer la recherche de court-circuit :

  1. Attribuez l’élément combiné représentant l’élément de commutation à l’interrupteur de l’élément Type de fonction.
  2. Définissez l’affichage des défauts de terre et le déclenchement de la détection de défauts de terre.
  3. Configurez la fonction d’acquittement des messages de défaut de terre.

Autres sujets abordés dans ce chapitre

Détection de défauts de terre

Affichage des défauts de terre

Déclenchement de la détection de défaut de terre

Acquitter le message de court-circuit


Détection de défauts de terre

Manuel -> Coloration Automatique des Lignes (CAL) - Topologie -> Localisation de défauts sur les réseaux électriques -> Recherche de court-circuit -> Détection de défauts de terre

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

La direction et le type de traitement de message pour l’élément combiné sont déterminés par le paramètre Type. Pour la configuration de projets :

  1. Accédez au nœud Coloration Automatique de Lignes dans les propriétés de l’élément combiné.
  2. Ouvrez le nœud Détection cout-circuit.
  3. Sélectionnez le type souhaité dans la propriété Type.
    • Direction:
      Indique si le front montant de l’alarme de déclenchement est prioritaire ou non sur le front montant d’une direction.
    • Devant :
      L'état de la direction actuelle est utilisé pour le front montant de l’alarme de déclenchement.
    • Derrière :
      après un front montant de l’alarme de déclenchement, le premier front montant d’une direction est attendu ; s’il ne se produit pas dans les deux secondes suivantes, l’équipement de détection de court-circuit est considéré comme non directionnel.
    • Traitement de l’information :
      États dans lesquels les informations peuvent être traitées.
    • aucune :
      interrupteur normal ; les informations ne sont pas traitées.
    • Traitement des messages permanents :
      Les nouveaux messages reçus sont considérés comme un nouveau déclenchement de défaut de terre.


Affichage des défauts de terre

Manuel -> Coloration Automatique des Lignes (CAL) - Topologie -> Localisation de défauts sur les réseaux électriques -> Recherche de court-circuit -> Affichage des défauts de terre

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

La variable liée à la propriété Afficher est une variable de sortie pour la détection d’erreurs, et affiche l’état enregistré de l’équipement de détection de défaut de terre. Ceci est indispensable, car tous les messages sont enregistrés au niveau interne jusqu’à leur acquittement, c’est-à-dire qu’ils ne sont pas forcément conformes à l’état actuel des variables de message.

Chaque fois qu’un enregistrement est réalisé, une valeur prescrite est transmise à cette variable. Dans ce cas, les valeurs sont les suivantes :

Valeur | Signification
0 | Pas de court-circuit
1 | Court-circuit devant
2 | Court-circuit derrière
3 | Court-circuit non directionnel


Déclenchement de la détection de défaut de terre

Manuel -> Coloration Automatique des Lignes (CAL) - Topologie -> Localisation de défauts sur les réseaux électriques -> Recherche de court-circuit -> Déclenchement de la détection de défaut de terre

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

La variable du message provenant de l’équipement d’identification de court-circuit est définie par la variable Déclenchement. Il peut contenir des informations concernant la présence d’un court-circuit et la direction du court-circuit selon l’équipement de détection de défaut de terre. Dans ce cas, la distinction suivante est faite : Dans ce cas, la distinction suivante est faite :

  • Détecteur de court-circuit non directionnel
  • Détecteur de court-circuit directionnel avec alarme de déclenchement
  • Détecteur de court-circuit directionnel sans alarme de déclenchement

Pour configurer les variables pour chaque élément :

  1. Accédez au nœud Coloration Automatique de Lignes dans les propriétés de l’élément combiné.
  2. Ouvrez le nœud Détection cout-circuit.
    1. Pour les détecteurs de court-circuit non directionnel

      Cliquez sur le bouton ... de la propriété Déclenchement.

      Sélectionnez la variable que vous souhaitez importer dans la boîte de dialogue qui s’affiche à l’écran.

      Les propriétés de la direction restent vides.

    2. Pour les détecteurs de court-circuit directionnel avec alarme de déclenchement

      Liez la variable à Déclenchement et ajoutez la direction adéquate :

      En avant : liez une variable à la propriété Avancer.

      En arrière : liez une variable à la propriété Reculer.

    3. Pour les détecteurs de court-circuit directionnel sans alarme de déclenchement

      Liez la variable à la direction correspondante :

      En avant : liez une variable à la propriété Avancer.

      En arrière : liez une variable à la propriété Reculer.

      La propriété Déclenchement reste vide.


Acquitter le message de court-circuit

Manuel -> Coloration Automatique des Lignes (CAL) - Topologie -> Localisation de défauts sur les réseaux électriques -> Recherche de court-circuit -> Acquitter le message de court-circuit

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

La fonction Acquitter le message de court-circuit permet d’acquitter un message de court-circuit enregistré au niveau interne provenant d’un équipement de détection de court-circuit. De cette manière, l’état de défaut de terre verrouillé au niveau interne est réinitialisé si l’état est toujours en attente, ou défini comme étant acquitté. Un message de court-circuit enregistré sera uniquement supprimé au niveau interne s’il a été acquitté et n’est plus en attente.

Règles de l’acquittement :

  • si une variable correspondant à une variable de déclenchement ou de direction d’un équipement de détection de court-circuit est liée, ce message de court-circuit spécial est acquitté.
  • Si aucune variable n’a été liée, tous les messages de court-circuit sont acquittés.
  • L’acquittement peut également être effectué via le modèle d’objet de l’API de zenon.

Pour configurer la fonction Acquitter le message de court-circuit :

  • Créez une nouvelle fonction.
  • Accédez au nœud de détection d’erreur du réseau électrique.
  • Sélectionnez la fonction Acquitter le message de court-circuit.

  • Sélectionnez la variable que vous souhaitez importer dans la boîte de dialogue qui s’affiche à l’écran.
  • Liez la fonction à un bouton.


Détection des erreurs par impédance et calcul de la répartition de charge

Manuel -> Coloration Automatique des Lignes (CAL) - Topologie -> Détection des erreurs par impédance et calcul de la répartition de charge

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

La détection des erreurs par impédance et le calcul de la répartition de charge étendent la fonction CAL. La fonction CAL identifie les nœuds et les rayons, tandis que ce modèle détecte également les lignes et leurs paramètres. La localisation des défauts à partir de l’équipement de protection est possible grâce à la configuration dans zenon Editor.

Le modèle fournit des propriétés et des méthodes d’évaluation externe de la localisation de défauts et de la répartition de charges, par le biais d’une API.

Propriétés de la fonction CAL et du modèle topologique étendu

Les éléments Élément combiné et Ligne (ligne, ligne brisée, tube) de la CAL possèdent des propriétés spéciales dédiées à la détection d’erreurs par impédance et le calcul de la répartition de charge. Les propriétés de répartition de charge ne sont pas évaluées dans zenon, mais sont disponibles par l’intermédiaire d’algorithmes créés par les utilisateurs avec l’API de zenon.

Le modèle topologique utilisé pour la coloration est complété par un modèle topologique étendu qui inclut toutes les lignes sous forme de rayons séparés. Le modèle topologique étendu est enregistré sous le nom ALC.xml et peut ainsi être lu par les applications externes. ALC.xml contient deux sections :

  • GraphElements:
    contient le modèle topologique étendu, sans alias
  • GraphAliases:
    contient uniquement les alias

Autres sujets abordés dans ce chapitre

Localisation de défauts par impédance pour le court-circuit

Modèle topologique étendu

API


Localisation de défauts par impédance pour le court-circuit

Manuel -> Coloration Automatique des Lignes (CAL) - Topologie -> Détection des erreurs par impédance et calcul de la répartition de charge -> Localisation de défauts par impédance pour le court-circuit

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Avec la localisation de défauts par impédance, un marqueur d’erreur est défini à l’emplacement du problème dans la topologie. Les valeurs d’impédance mesurées par les équipements de protection sont évaluées par le module CAL. En fonction de la topologie, les marqueurs d’erreur sont correctement positionnés sur un synoptique zenon.

En cas de court-circuit, si la réactance n’est pas égale à zéro, la procédure de localisation du court-circuit démarre :

  • Court-circuit :
    Signalé par une variable liée pour la propriété Déclenchement
  • Réactance :
    Valeur de la variable (issue du type de données REAL) liée à la propriété Valeur de réactance de la protection.

Position du marqueur

Toutes les lignes sont parcourues dans la direction correspondante. La direction résulte d’une réactance négative ou positive. La réactance correspondante de la ligne parcourue est déduite, et la recherche continue jusqu’à ce que la réactance résiduelle soit inférieure à la réactance de la ligne suivante. Un marqueur est tracé sur la ligne. La position du marqueur correspond à la réactance résiduelle.

Si aucune valeur de réactance n’est présente, aucun marqueur n’est défini en cas de notification de court-circuit. Pour que le marqueur soit tracé correctement, la zone ne doit pas être en charge au moment de la notification de court-circuit. En présence de notifications de court-circuit retardées, la réactance est uniquement évaluée en cas de réception de la notification de direction ou d’expiration du délai d’attente de 2 secondes.

La recherche est annulée en cas de détection d’un élément ouvert ou d’un autre élément CAL. Chaque composante du réseau et chaque ligne individuelle qu’il contient doit s’exécuter une fois seulement par déclencheur ; le nombre de marqueurs présents sur le réseau de lignes est donc inférieur au nombre possible.

Lors du rechargement, les marqueurs déjà existants sont dessinés au même point qu’avant le rechargement. Les modifications apportées à la configuration de la localisation de défauts sont uniquement évaluées après un autre court-circuit.

En cas d’effacement et d’acquittement d’une notification de court-circuit, tous les marqueurs de ce déclencheur de court-circuit sont supprimés.

Remarque : En fonction de l’ordre de rectification du court-circuit et du rétablissement du fonctionnement, le marqueur peut rester visible, bien que la ligne ne soit plus colorée comme un court-circuit.

Autres sujets abordés dans ce chapitre

Configuration dans Editor


Configuration dans Editor

Manuel -> Coloration Automatique des Lignes (CAL) - Topologie -> Détection des erreurs par impédance et calcul de la répartition de charge -> Localisation de défauts par impédance pour le court-circuit -> Configuration dans Editor

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Avec la localisation de défauts par impédance, un marqueur d’erreur est défini à l’emplacement du problème dans la topologie. La localisation est calculée à partir de l’impédance, sur la base de la topologie.

Pour configurer la localisation de défauts par impédance dans zenon Editor, effectuez les opérations suivantes :

  1. Activez la localisation de défauts par impédance :
    1. Pour cela, cliquez sur le projet dans votre Espace de travail.
    2. Cliquez sur le groupe de propriétés Coloration Automatique de Lignes du projet.
    3. Activez la propriété Localisation de défaut basée sur l'impédance.
  2. Configurez l’affichage des marqueurs d’écran avec les propriétés de projet particulières :
    1. Taille marqueur écran
    2. Epaisseur de ligne du marqueur écran
    3. Affiche le type de marqueur écran
  3. Créez un synoptique zenon.
  4. Positionnez l’élément combiné sur le synoptique zenon.
    La boîte de dialogue de sélection de variables s’affiche.
  5. Configurez les paramètres du module CAL pour l’élément combiné :
    1. Assurez-vous que l’élément combiné a été sélectionné.
    2. Accédez au groupe de propriétés Coloration Automatique de Lignes.
    3. Dans la propriété Type de fonction, sélectionnez l’entrée Commutation dans la liste déroulante.
    4. Liez la propriété Valeur de réactance de la protection (dans la section Localisation défaut de la protection / distribution charge des propriétés) à une variable du type de données REAL avec la valeur de l’impédance mesurée.
    5. Sélectionnez le type de Détection cout-circuit dans la liste déroulante de la propriété Type.
    6. Configurez la couleur du marqueur dans la propriété Couleur du marqueur.


Modèle topologique étendu

Manuel -> Coloration Automatique des Lignes (CAL) - Topologie -> Détection des erreurs par impédance et calcul de la répartition de charge -> Modèle topologique étendu

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Chaque objet possède un ID unique, grâce auquel il est référencé dans le fichier. Les attributs correspondent à un sous-ensemble des éléments de synoptique zenon ayant créé les éléments.

GraphElement

ID | Description
Picture | Nom du synoptique
ElementID | ID d’élément de synoptique
ElementRef | Référence d’élément de synoptique
Type | Type d’élément de synoptique (voir Élément)
SourceID | Numéro de source
ReverseSourceID | Numéro de source inversé
Variable | Variable d’état
VarProtReact | Variable de réactance
MaxIType | Type d’intensité maximale
MaxIVal | Valeur constante d’intensité maximale
VarMaxI | Variable d’intensité maximale
VarCurI | Variable d’intensité instantanée
VarCalcI | Variable d’intensité calculée
VarCurP | Variable de puissance instantanée
LoadType | Type de charge
LoadVal | Valeur constante de charge
VarLoad | Variable Charge
React | Réactance
Resist | Résistance
Length | Longueur de ligne
Node1IDs | Liste de tous les ID d’éléments connectés au nœud Node1
Node2IDs | Liste de tous les ID d’éléments connectés au nœud Node2

GraphAlias

ID | Description
Picture | Nom du synoptique
ElementID | ID d’élément de synoptique
ElementRef | Référence d’élément de synoptique
Type | Type d’élément de synoptique (voir Élément)
OrigElemRef | Élément de synoptique - référence à l’élément de synoptique original
OrigGraphElemID | ID des éléments originaux dans GraphElements


API

Manuel -> Coloration Automatique des Lignes (CAL) - Topologie -> Détection des erreurs par impédance et calcul de la répartition de charge -> API

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Dans le modèle d’objet de l’API de zenon, les objets ALCGraphElement et ALCGraphAlias sont disponibles pour le modèle. Ils contiennent les mêmes informations que le fichier XML. Ces objets sont accessibles dans le moteur CAL via les fonctions :

  • GraphElemCount()
  • GraphAliasCount()
  • GraphElemItem()
  • GraphAliasItem()

Verrouillages topologiques spécifiques à l’utilisateur

Si un verrouillage topologique est activé, l’événement suivant est appelé dans le moteur CAL :

  • void CheckInterlocking(IALCEdge* pALCEdge, long nNewState, tpLockResult* LockResult, BSTR* bsText, VARIANT_BOOL* bUnlockable);

L’interrupteur/le sectionneur à commuter et le nouvel état sont transférés. L’événement peut renseigner LockResult, bUnlockable et bsText pour afficher une violation de condition de verrouillage. Si le gestionnaire d’événements renvoie tpBusy dans LockResult, il est interrogé jusqu’à ce qu’il ne renvoie plus la réponse tpBusy, pendant 10 secondes maximum toutefois. Le verrouillage est actif après 10 secondes. Le texte de verrouillage et l’impossibilité du déverrouillage sont indiqués dans bsText et bUnlockable.

Marqueur de synoptique

Des éléments de marqueur peuvent être insérés dans le synoptique via l’API de zenon. Les éléments de marqueur suivants sont disponibles pour les éléments suivants :

  • Ligne
  • Ligne brisée
  • Tube

Ces éléments sont ajoutés ou supprimés, via les fonctions de l’API, dans DynPictures :

  • BSTR AddMarker(BSTR bsScreenName, long nElementID, short nPosition, short nLineColorIndex, short nFillColorIndex);
  • VARIANT_BOOL DelMarker(BSTR bsID);

Le GUID du marqueur, fourni par AddMarker(), identifie le marqueur de façon unique et sert à la fois de nom d’élément (avec le préfixe $MARKER_), ainsi que de clé la fonction de suppression, via DelMarker(). Les marqueurs insérés via l’API sont enregistrés dans le projet, en fonction du synoptique. Attention : l’enregistrement n’est pas rémanent ; il dure uniquement jusqu’au redémarrage du Runtime.

Les marqueurs définis ici sont affichés indépendamment du moniteur sur lequel est affiché le synoptique. Au niveau interne, les marqueurs sont traités comme des éléments de synoptique actionnables normaux : Des événements de souris sont invoqués à cette fin.

L’apparence des marqueurs est déterminée dans les paramètres du projet, dans la section Coloration Automatique de Lignes de la configuration du projet :

  • Affiche le type de marqueur écran : triangle, cercle, carré, croix
  • Taille marqueur écran : Taille en pixels :
  • Epaisseur de ligne du marqueur écran : Largeur en pixels
  • Couleur du marqueur : ce paramètre est défini par l’intermédiaire de l’indice dans la table de couleurs du marqueur, située dans les propriétés des éléments de synoptique, dans le groupe Coloration Automatique de Lignes


Command Sequencer

Manuel -> Command Sequencer

The Command Sequencer module allows commands from the Command Processing module to be compiled into processes in zenon, to visualize these and to execute user interactions if required.

Autres sujets abordés dans ce chapitre

Introduction

Terminology

Procedure

Licensing

Engineering in the Editor

System driver variables for the Command Sequencer module

Project backup for command sequences

Function authorizations

Command sequences in Runtime

Command sequences and simulation mode

Command sequences in the zenon network

Command sequences on the web client

Authorization

Structure of the XML file for command sequences


Introduction

Manuel -> Command Sequencer -> Introduction

The Command Sequencer module consists of three parts:

  1. The engineering environment in the zenon Editor:
    Here, the data for command sequences is applied from the configuration in the Command Processing module.
  2. The command sequences editor in zenon Runtime:
    With this Editor, the command sequences are created in zenon Runtime. The engineered Command Processing is the basis for command sequences. During the process, the respective status of the Command Processing is displayed in the command sequences editor and you can make changes to the command sequence process.

Particular aspects of the Command Sequencer module

In contrast to most other zenon modules, a large part of the project configuration, e.g. the creation of a command sequence, is done in Runtime and not in the zenon Editor. This entails special features which are dealt with in the respective chapter.

The module is designed in a way which makes it completely independent of the control. This means that the data communication take place via all available zenon energy drivers with any PLCs or even IED. They only execute the process actions. The complete editing of a command sequence is carried out in the computer in the command sequences editor. No modification to the PLC code is necessary when a change is made to a command sequence.

Principle structure of the communication

  • Command variable:
    The command variable is the variable that is linked during project configuration in the Command Processing module for the respective command action.
    With this variable, set values are transferred to the PLC when a step is executed.
  • Response variable:
    This variable is used to read back values from the PLC for evaluations.

Schema

The PLC communicates with the zenon Energy driver, which in turn communicates with the Command Processing in zenon Runtime. The Command Processing forwards the values to the command sequences editor, where they are processed. Whilst executing a command sequence, the command sequences editor works synchronously to zenon Runtime in a cycle of 100 ms.

Autres sujets abordés dans ce chapitre

Command Processing - supported action types

Variables for command sequences

Display of the action name in Runtime:


Command Processing - supported action types

Manuel -> Command Sequencer -> Introduction -> Command Processing - supported action types

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

In order to be able to use engineered of the Command Processing in the Command Sequencer module, at least one action must be configured in the Command Processing module.

The following action types of Command Processing are supported in the Command Sequencer module:

  • Command
  • Forced command
  • Direct set value input
    • The set value configured in the Command Processing can be transferred to the Command Sequencer module.
  • Direct status input
  • Replace
  • Revision
  • Direct correction
  • Block
  • Release
  • Check response value
  • Lock

info Informations

You can find further information in the Energy Edition manual in the Action types chapter.


Variables for command sequences

Manuel -> Command Sequencer -> Introduction -> Variables for command sequences

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

When compiling the Command Processing, the data model for the Command Sequencer module is also created.

This is created as follows:

  • An item of switchgear is created for each response variable, which gets the variable name or variable identification of the response variable as a name.
    The response variable is assigned to the created switching device. Return TAG is used as a type. Data type is: Numerical.
    The naming of the switching device can be configured in the Séquenceur de commandes project property in the Afficher les noms dans la grille de la séquence de commandes property.
  • A step is created for each action that is configured in the Command Processing module and for which a response variable is also available. The step is given the name of the action that is displayed in the Command Processing tree.
  • The response variable is linked to each step created as a parameter. These parameters are, for example, significant when creating transitions.

Display name in the command sequence grid

The text display of a variable in Runtime is configured in the Séquenceur de commandes project property group in the Afficher les noms dans la grille de la séquence de commandes property.

Depending on the configuration, the variable is displayed in the command sequence grid accordingly when shown in Runtime.

Possible display names:

  • Variable name
  • Variable identification
  • symbolic address

Validation:

A check is carried out when compiling the Runtime files in the zenon Editor.

In doing so, a check is made to see if the naming of the created switching device is unique. If this is not unique, an error message is issued in the output window of the Editor. No objects that are available for the command sequences are created for the response variable.

Error messages:

'<VariablenameX>' variable ignored for the command sequence data model, because the '<VariablennameY>' variable has already created an entry '<Naming in Command Sequences>'! Possible cause: not a unique ID or symbolic address.

A check is also carried out to see whether the variable can provide an invalid object name for the command sequence object.
'<Variablename>' variable ignored for the command sequence data model because this gives and invalid '<command sequence object name' object name! Possible Reason: empty Identification or empty symbolic Address.

Autres sujets abordés dans ce chapitre

Examples of views: Display name in the command sequence grid


Examples of views: Display name in the command sequence grid

Manuel -> Command Sequencer -> Introduction -> Variables for command sequences -> Examples of views: Display name in the command sequence grid

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Examples of views for possible configurations of the variable names.

Display name in the command sequence grid

Variable name

Variable identification

symbolic address


Display of the action name in Runtime:

Manuel -> Command Sequencer -> Introduction -> Display of the action name in Runtime:

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

The text display of a Command Processing action in the Runtime is configured in the project property group Séquenceur de commandes in the Nom d'étape dans la grille de la séquence de commandes property.

Depending on the configuration, the step is displayed in the command sequence grid accordingly when shown in Runtime.

Possible display names:

  • Standard text
    Format: Action name: RV[DIR]
  • Action name
    Name of the Command Processing action as configured in the Nom de l'action command processing property.

Validation:

A check is carried out when compiling the Runtime files in the zenon Editor.

In doing so, a check is made to see if the naming of the action created is unique. If this is not unique and there are two actions with the same name, an error message is given in the output window of the Editor:

The step '%s' for the switchgear '%s' will be ignored for the command sequence model because the action name is not unique.

attention Attention

This error message means that the second step with the same name is not available in Runtime for the command sequences.


Terminology

Manuel -> Command Sequencer -> Terminology

The following terms are used in the Command Sequencer module:

Parameter

Description

Switchgear

Physically available element, for example: Switch or disconnector.

Command sequences editor

Part of the Command Sequencer module to control the process of Command Processing. The command sequences editor carries out a command sequence in execution mode. The complete process of the command sequence can be configured in the command sequence and the command sequences can be administered in the editing mode.

Command sequence

Command Processing steps are compiled and saved in command sequences. These steps are then transferred to the controller by the control system.

Begin parallel branch

Element that ensures the breakdown of the command sequence process into two or more branches.

Transition

Element of the Command Sequencer module that contains a condition. The element is used after a step to ensure a defined transition from one step to the next.

Step

Execution of an action from the Command Processing, such as: Switching command: OFF.

End parallel branch

Element that combines the separation of the command sequence process into two or more branches back into one branch.

Branch

Area of the Command Sequencer module that allows separation into two or more branches, of which only one branch can be active during the process. It is an either/or branch. A branch always starts with the Begin branch and ends with the End branch element.

Assignment of switching device

Element of the Command Sequencer module that instigates the assignment of a switching device in Runtime:

  • With this element, several (or all) response variables can be reserved (assigned) in advance. The NET_SEL status bit is set for this reservation.
  • Unlocking is also carried out using a switchgear assignment element.
  • After the command sequence process, all NET_SEL status bits are automatically deleted again.

You can find further information on the status bit in the Status processing manual in the Select in the network (NET_SEL) section.

Branch

An execution area in the Command Sequencer module. Steps, transitions and jump targets can be placed on it.

End of element

Element of the Command Sequencer module. This end element is mandatory in order to conclude the configuration of a command sequence correctly.

Jump target

Element of the Command Sequencer module that allows a direct jump to a defined location of a branch.

Teaching cursor

Graphic element of the Command Sequencer module. Visualizes position in the command sequence grid in which the element to be recorded is placed during the teaching process.

Command sequence grid

The workspace in the command Sequence editor in the Command Sequencer module. Actions in Runtime can be compiled into command sequences in graphic form here.
the diagram is divided into a grid shape, whereby each grid offers space for an element.

Project simulation

Runtime mode in which processes - triggered by the productive process - run as a simulation.

In doing so, it is not just one individual driver that is switched to simulation mode, but the complete project. Depending on the settings, all Runtime data is also copied to a simulation image, so that command sequences can also be recorded and analyzed in simulation mode.

Simulation mode

In contrast to hardware mode, there is no communication with the controller. The variable values are calculated using the set simulation type (static, counting or programmed).

Simulation image

Memory area in which all values of the simulation are stored.


Procedure

Manuel -> Command Sequencer -> Procedure

Configuration and use of the Command Sequencer module takes place in three main steps:

  1. Configuration of the command processing in the zenon Editor.
  2. Creation of the command sequences in the command sequences editor in Runtime.
  3. Execution of the command sequence in Runtime.

Creation of a command sequence

The user creates a command sequence in zenon Runtime. The selectable steps that correspond to the actions of Command Processing serve as a basis for this configuration. To do this, the command sequence in Runtime must be in edit mode.

Execution of a command sequence

The user executes the command sequence in Runtime. To do this, they first change the command sequence mode to test mode. The command sequence is then started.

The user can no longer alter command sequences in execution mode. The command sequence must be switched to edit mode again in order to edit it.


Licensing

Manuel -> Command Sequencer -> Licensing

The Command Sequencer module offers you the possibility to create, execute and configure processes of the module Command Processing in a graphic flow chart.

The module can only be licensed in addition to the Energy Edition.

tutorial Informations concernant la licence

Ces fonctions ou modules doivent disposer d'une licence pour l'Éditeur et le Runtime (simple, serveur, redondant et client).

If both the Batch Control module and the Command Sequencer module, which both require a license, are licensed at the same time, selection of the module used is carried out by means of the project setting.

To select the preferred module in Runtime:

  • Click on the node of your project in the Editor.
  • Go to the Paramètres du Runtime project properties group.
  • Select, for Définition licence du module en runtime of the Module préféré property, Command Sequencer(default) or Batch Control.

The selected model is then available in Runtime for further project configuration.

Project simulation

The Project Simulation module, which requires a license, is included with the Command Sequencer module.


Engineering in the Editor

Manuel -> Command Sequencer -> Engineering in the Editor

To be able to use the Command Sequencer module in Runtime, you must first do the following in the zenon Editor:

  • Configure Command Processing.
  • Configure variables.
  • Create a Command Sequencer screen.
  • In the Command Sequencerscreen, add the Command sequences editor control element.
  • Create a screen switch function for the Command Sequencer screen

If the configuration in zenon Editor changes, this is applied by compiling the Runtime files and reloading them in zenon in the Command Sequencer module.

Autres sujets abordés dans ce chapitre

Create a command sequence screen

zenon functions

Command sequence screen switching

Command Processing actions in the Command Sequencer module


Create a command sequence screen

Manuel -> Command Sequencer -> Engineering in the Editor -> Create a command sequence screen

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Create a command sequence screen

Développement

Étapes de création du synoptique :

  1. Créez un nouveau synoptique :

    Dans la barre d’outils ou le menu contextuel du nœud Synoptiques, sélectionnez la commande Nouveau synoptique.
    Un synoptique vide Standard est créé.

  2. Modifiez les propriétés du synoptique :
    1. Nommez le synoptique dans la propriété Nom.
    2. Select Command Sequencer in the Type de synoptique property.
    3. Sélectionnez le cadre souhaité dans la propriété Gabarit.
  3. Configurez le contenu du synoptique :
    1. Sélectionnez l’option de menu Éléments de contrôle dans la barre de menus
    2. Sélectionnez Insérer un modèle dans la liste déroulante.
      La boîte de dialogue de sélection de mises en forme prédéfinies s’affiche à l’écran. Certains éléments de contrôle sont insérés dans le synoptique à des positions prédéfinies.
    3. Supprimez les éléments superflus du synoptique.
    4. Si nécessaire, sélectionnez des éléments supplémentaires dans la liste déroulante Éléments. Placez-les aux emplacements souhaités sur le synoptique.
  4. Créez une fonction d’appel de synoptique.


zenon functions

Manuel -> Command Sequencer -> Engineering in the Editor -> zenon functions

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

The following functions are available for the Command Sequencer module:

  • Execute command sequence or mode change:
    sends control commands to Command Sequencer execution
  • Export comannd sequence:
    exports command sequences as an XML file. Content of the XML files can be filtered.
  • Import command sequences
    This function imports command sequences from a XML file.
  • Teach command sequences
    Starts or stops teaching mode.

Autres sujets abordés dans ce chapitre

Execute command sequence or mode change

Export command sequences

Import command sequences

Teach command sequences


Execute command sequence or mode change

Manuel -> Command Sequencer -> Engineering in the Editor -> zenon functions -> Execute command sequence or mode change

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

You can send control commands to the Command Sequencer execution with this function.

To create the function:

  1. In the zenon Editor, navigate to the Functions node
  2. Select New function
  3. Go to the Command Sequencer in the function selections
  4. select Exécuter la commande des séquences de commandes ou le basculement de mode.
  5. the dialog for configuring functions is opened

Action

Parameter

Description

Action

Selection of the action to be executed:

  • Command
  • Mode

Command

Selection of the command to be executed from drop-down list:

  • Ignore
    Does not execute a command sequence command (Start or Cancel).
    Note: If automatic or semi-automatic is configured under mode, only one mode switch is executed.
  • Start command sequence
    Starts identified command sequence(s)
  • Cancel command sequence
    Cancels identified command sequence(s)

Mode

Selection of the mode in which the command sequence is to be executed: Selection of the mode from a drop-down list:

  • Ignore
    The command sequence(s) identified by the function is executed in the existing mode of the command sequence.
  • Automatic
    The command sequence(s) identified by the function is executed in Automatic mode.
  • Semi-automatic
    The command sequence(s) identified by the function is executed in Semi-automatic mode.

Command sequence filter

Parameter

Description

Command sequence filter

Configuration of the command sequence filter. This determines the command sequences on which the function is to be applied.

Name is case sensitive

When filtering for command sequence commands, capital letters and small letters in the command sequence name are taken into account.

Default: Inactive

Command sequence

Parameters for the selection of the command sequence. Select from drop-down list:

  • Name with wildcards:
    A name with placeholder can be entered into the input field. Filtering is carried out according to this name.
    Wildcards are:
    *: any desired number of any characters * can be entered at the start, at the end or and the start and end in the input field.
    Note: The input field is only active with this option.
  • Name from variable:
    The name of the command sequence is taken from a variable in Runtime.
    Click on button ... opens the dialog for selecting variables.
  • ID from variable:
    The ID of the command sequence is taken on by the ID from a variable.
    Click on the ... button opens the dialog for selecting variables.

Fermer boîte de dialogue

Options | Description :
OK | Applique les paramètres et ferme la boîte de dialogue.
Annuler | Annule toutes les modifications et ferme la boîte de dialogue.
Aide | Ouvre l'aide en ligne.
info Informations
You can find detailed information for the configuration of the function in the configuration of the command sequence filter chapter.

Error dialog

If, for Command and Mode, the Ignore property is configured for each, the function will not have an effect in Runtime. An error message is shown in this case.


Export command sequences

Manuel -> Command Sequencer -> Engineering in the Editor -> zenon functions -> Export command sequences

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

You export configured command sequences to an XML file using this function. The content of the export can be filtered.

To create the function:

  1. In the zenon Editor, navigate to the Functions node.
  2. Select New function.
  3. Go to the Command Sequencer in the function selections.
  4. Select Exporter séquences de commandes
  5. The dialog for configuring functions is opened.

Command sequence filter

Parameter

Description

Command sequence name is case sensitive

When selecting the command sequences to be exported, the capitalization of the command sequence name is taken into account.

Command sequence
  • Name with wildcards
    Selection of the command sequences to be exported with the command sequence names. Entry of the search term in the input field.
    The following are wildcards:
    *: any desired number of any characters * can be entered at the start, at the end or and the start and end in the input field.
    Note: The input field is only active with this option.
  • Name from variable
    The name of the command sequences to be exported are taken from a variable in Runtime.
    Click on ... to open the dialog to select a variable.
  • ID from variable
    The ID of the command sequences to be exported are taken by the ID from a variable.
    Click on ... to open the dialog to select a variable.

Status command sequence

Selection of the status of the command sequences to be exported:

  • All
    All command sequences are exported.
  • Edit mode
    Only command sequences that are currently in edit mode are exported.
  • Execution mode
    Only command sequences that are currently in execution mode are exported.

Output file

Parameter

Description

Naming

Drop-down list to select how the output file is named:

  • File name:
    Name of the target file can be freely defined. Input of the file name in the input field
  • File name from variable:
    Name of target file is taken from a configured variable.
    Click on ... to open the dialog to select a variable.
  • File name from command sequence name
    Name of the target file is named the same as the command sequence name to be exported
  • File name from command sequence ID
    File is named with the command sequence ID.

Overwrite existing file

Defines behavior if there is already an export file. If the checkbox is activated, the existing file is automatically overwritten (without another request for confirmation).

Default: active

Show this dialog in the Runtime

Active : La boîte de dialogue de filtre est affichée dans le Runtime avant l'exécution de la fonction.

Default: Inactive

Fermer boîte de dialogue

Options | Description :
OK | Applique les paramètres et ferme la boîte de dialogue.
Annuler | Annule toutes les modifications et ferme la boîte de dialogue.
Aide | Ouvre l'aide en ligne.

Error dialog

A warning dialog appears in the event of an incorrect configuration of the export function:

  • The search value for command sequence is empty:
    No command sequence for export could be found. Check the project configuration in the command sequence filter area.
  • The value for the naming of the target file is empty:
    No command sequence for export could be found. Check the project configuration in the output file area.

Note: The screenshot shows both possible causes of errors. Only one of the errors given can be displayed depending on the error.

Parameter | Description
Yes | The dialog of the function is closed. The dialog to configure the function is also closed.
No | The warning dialog is closed. The dialog to configure the function remains open for configuration of the function again.
info Informations
You can get further information on the structure of the XML file in the Structure of the XML file for command sequences chapter.


Import command sequences

Manuel -> Command Sequencer -> Engineering in the Editor -> zenon functions -> Import command sequences

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

You import command sequences from an XML file using the function.

To create the function:

  1. In the zenon Editor, navigate to the Functions node.
  2. Select New function.
  3. Go to the Command Sequencer in the function selections.
  4. Select Importer séquences de commandes.
  5. The dialog for configuring functions is opened.

info Informations

Existing command sequences are only overwritten on import if they are in the command sequences editor.

More precise information on import can also be visualized using the two system driver variables [command sequences] import event numerical and -[command sequences] import event string.

import source

Selection of the import source for the import of a command sequence:

  • File name
  • From variable
Parameter | Description
File name | Selection of the XML import file. Clicking on ... opens the dialog to select the file.
From variable | The name of the import file is taken from the selected variable. Click on ... to open the dialog to select the variable.

Import options

Parameter

Description

Action for name conflicts in command sequences

Behavior in the event of naming conflicts:

  • Create new command sequence
    A new command sequence is created.
    Naming of the new command sequence:
    [command sequence name from XML file] + [serial number].
  • Overwrite old command sequence
    Existing command sequence is overwritten/replaced with content from XML import.
  • Skip
    No import is carried out for command sequences that already exist.

Show this dialog in the Runtime

Active: This dialog is opened in Runtime before the function is executed.

Default: Inactive

Fermer boîte de dialogue

Options | Description :
OK | Applique les paramètres et ferme la boîte de dialogue.
Annuler | Annule toutes les modifications et ferme la boîte de dialogue.
Aide | Ouvre l'aide en ligne.

Error dialog

A warning dialog appears in the event of an incorrect configuration of the import function:

  • The search value for file name of the data source is empty:
    No command sequence for import could be found. Check the project configuration in the command sequence filter area.

Parameter | Description
Yes | The dialog of the function is closed. The dialog to configure the function is also closed.
No | The warning dialog is closed. The dialog to configure the function remains open for configuration of the function again.
info Informations
You can get further information on the structure of the XML file in the Structure of the XML file for command sequences chapter.


Teach command sequences

Manuel -> Command Sequencer -> Engineering in the Editor -> zenon functions -> Teach command sequences

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Start or stop the teaching process in Runtime using this button.
This function is particularly suitable for starting teaching in Runtime in a process screen, without having to switch to the command sequences editor.

To create the function:

  1. In the zenon Editor, navigate to the Functions node.
  2. Select New function.
  3. Go to the Command Sequencer in the function selections.
  4. Select Apprendre les séquences de commande
  5. The dialog for configuring functions is opened.

Parameter | Description
Start teaching | Starts a new teaching process. In doing so, a new command sequence with a standard name is created. The teaching cursor is initially positioned in this command sequence in the command sequence grid under the start element. Note: Runtime must be in simulation mode for this! You can find further information in the Teaching chapter.
Stop teaching | Ends teaching.
Show this dialog in the Runtime | Active: This dialog is opened in Runtime before the function is executed. Start teaching or Stop teaching can be selected in Runtime. Default: Inactive

Fermer boîte de dialogue

Options | Description :
OK | Applique les paramètres et ferme la boîte de dialogue.
Annuler | Annule toutes les modifications et ferme la boîte de dialogue.
Aide | Ouvre l'aide en ligne.


Command sequence screen switching

Manuel -> Command Sequencer -> Engineering in the Editor -> Command sequence screen switching

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

To use command sequences in Runtime, configure a screen switch function to a Command Sequencer screen:

  1. Select the New function command in the Functions node.
  2. select the Screen switching function.
  3. Select the Command Sequencer screen.

Link the function with a button on the screen in order to be able to switch in Runtime.

info Informations

The configuration of the Command processing module serves as a basis for operation in the Command Sequencer screen.


Command Processing actions in the Command Sequencer module

Manuel -> Command Sequencer -> Engineering in the Editor -> Command Processing actions in the Command Sequencer module

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

In this chapter, you are provided with additional information on the behavior of configured Command Processing actions in the Command Sequencer module.

Autres sujets abordés dans ce chapitre

Behavior of "Check response value" action type

Setpoint input for a Command Processing action

Skip action for identical set value and actual value


Behavior of "Check response value" action type

Manuel -> Command Sequencer -> Engineering in the Editor -> Command Processing actions in the Command Sequencer module -> Behavior of "Check response value" action type

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

The "Check response value" action type is used with command sequences in particular to check the value of the response variable.

To be able to use the "Check response value" action type in the Command Sequencer module, this action type must be configured as an action in a command group in the Command Processing module in the zenon Editor.

attention Attention

This action type is not used in principle in the Command Processing. It was specially conceived for use in the Command Sequencer module.

For Command Processing, it is possible to configure this query using action buttons and to receive responses in Runtime.

The Check response value action type is to check variables for the status ON or OFF.

Whilst the Check response value action is executed, the standard key Cancel is unlocked in the Command Processing screen.

In doing so - depending on the setting of the runtime monitoring - there is a wait until the value of the response variable corresponds to the value of the checking direction - switching direction action property. If the checking value is EIN, this is the value 1; it is the value 0 for OFF.

If no runtime monitoring has been configured (runtime monitoring= "none"), the set waiting time (~24 hours) is the maximum time that is waited. Otherwise the action is ended and the TIMEOUT status bit is set for the response variable.

If, after execution of the action in the Command Processing screen, the other actions are not available, this is for the following reasons:

  • The timeout for runtime monitoring has not yet expired.
  • The response variable does not yet have the expected value (the value change has not yet been received).
  • The action has not yet been canceled with the Cancel button.

info Informations

The Check response value action only serves to read the value of the response variable without executing an activity.

The action is intended for use in the Command Sequencer module.

If the response variable already has the value of the switching direction, the execution of the action is recognized as completed. The other buttons in the Command Processing screen are thus immediately available.

Note: If the response variable is set to OFF or Revision , the response value can nevertheless be checked.


Setpoint input for a Command Processing action

Manuel -> Command Sequencer -> Engineering in the Editor -> Command Processing actions in the Command Sequencer module -> Setpoint input for a Command Processing action

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

If a setpoint input action is configured in the Command Processing module, a set value of the Command Processing can be transferred in both the Command Processing module and the Command Sequencer module.

Write set value with input

Procedure for a setpoint entry with manual entry of value in the Command Sequencer module:

  • When processing a command sequence, the Command Processing screen is opened during the Write set value with input step: The value of the command variables element is available and filled with the current value. The Execute button is active. Action buttons are not active.
  • The scroll bar is available and filled with the current value.
  • The value is accepted after clicking on Execute.
  • The execution of the switching sequences is continued with the new value.

Write setpoint value with given value

This value is configured in the Command Processing module in the Paramètres d'action property with the Spécifier valeur prescrite property. If a value is to be proposed in Runtime, the État de la réponse/direction de commutation property in the zenon Editor must be configured for the Command Processing action with DIR. In this case, a value is prescribed in the Editor in the Spécifier valeur prescrite property.

Two-stage execution

  • The value is written after successful confirmation with two-stage execution and a check of the interlockings.
  • The old value is still visible in the grayed-out input field whilst there is a wait for the confirmation or unlocking.

info Informations

The Command Processing action Write set value with entry of the value is only possible from zenon 7.50.

info Informations

You can find further information in the Energy Editionmanual, in the Command Processing and Actiontype "Write set value" chapters.


Skip action for identical set value and actual value

Manuel -> Command Sequencer -> Engineering in the Editor -> Command Processing actions in the Command Sequencer module -> Skip action for identical set value and actual value

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

If the Ignorer l'action lorsque la valeur prescrite et la valeur réelle sont identiques property in the zenon Editor has been activated, the values of the response variable are checked with the setpoint input during the process of the command sequence in Runtime.

The step is skipped if both values are identical. This is also shown accordingly in the tooltip of the step (= skip).


System driver variables for the Command Sequencer module

Manuel -> Command Sequencer -> System driver variables for the Command Sequencer module

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

The following system driver variables are available for this subject area:

Note: This group is only visible with a valid license for the Command sequences module.

Name

Data Type

Comment

[Command Sequencer] Number of pending user interactions

DINT

Number of command sequences with pending user interaction that are currently running.

If the operation has been executed or the command sequence has been completed, the numeric value is reduced by 1.

If several steps are waiting for an operation in a command sequence, the numeric variable is incremented for each step.

[Command Sequencer] Number of running command sequences

DINT

Number of command sequences currently running.

The system variable is updated both at the start and end of a command sequence.

[Command Sequencer] Export result numeric

DINT

Result of the XML export:

  • -1:
    is being executed
  • 0:
    Initialization value read successfully
  • from 1:
    Number of errors that occurred

[Command Sequencer] Export result string

STRING

Result of the XML export as a text.

  • No errors occurred.
  • XML export error: The export file [save location]\[File Name] already exists and must not be overwritten.
    Note: Only occurs if the Overwrite existing file property is not active in the export dialog and there is already a file with the same name in the export folder.

[Command Sequencer] Export result XML

STRING

Detailed content of the XML export.

This variable visualizes the content of the XML export.
The following are displayed:

  • Name
  • Version
  • Type
  • ID

Note: If the content exceeds the maximum length of the system driver variable, the result is shortened.

[Command Sequencer] Import result numeric

DINT

Result of the XML import:

  • -1:
    is being executed
  • 0:
    Initialization value read successfully
  • from 1:
    Number of errors that occurred

[Command Sequencer] Import result string

STRING

Result of the XML import as a text:

  • The command sequence was not found. The command sequence therefore cannot be imported.
  • The command sequence could not be overwritten due to an incorrect status.
  • The command sequence cannot be imported as a new version. The versioning is not active.
  • The command sequence could not be imported. It does not match the selected type.
  • The command sequence could not be imported because the name is not permissible.

[Command Sequencer] Import result XML

STRING

Detailed content of the XML import.

This variable visualizes the content of the XML export.
The following are displayed:

  • Name
  • Version
  • Type
  • ID

Note: If the content exceeds the maximum length of the system driver variable, the result is shortened.

[Command Sequencer] Name of the active teached command sequence

STRING

Name of the command sequence that is currently being taught. The command sequence names are used once the teaching process has been started.

If a teaching process has been completed, the value of this variable switches to empty.

[Command Sequencer] Names of the running command sequences

STRING

Names of the command sequences currently running:
With several command sequences, the command sequence names are separated by a semicolon (;).

[Command Sequencer] Names of command sequences with pending user interaction

STRING

Names of command sequences running with user interactions pending.

If several steps are waiting for an operation in a command sequence, the command sequence name is only entered once and is retained until all steps have been executed.

With several command sequences, the command sequence names are separated by a semicolon (;).

[Command Sequencer] Teaching status

DINT

Status for the teaching process. Shows whether teaching is currently active or not active.

  • 0 - Teaching is not active.
  • 1 - Teaching cursor waits for positioning
    (this status is active until the teaching cursor in the command sequences editor has been placed)
  • 2 - Teaching is active.

This variable has the value 2 in the event of an ongoing teaching process.

If a teaching process has been completed, the value of this variable switches to 0.

info Informations

If a computer in redundancy operation upgrades to become the server, it sets the value of the system driver variables to 0 (numerical variables) or empty string (string variables).

info Informations

You can find out further information in the system driver manual.


Project backup for command sequences

Manuel -> Command Sequencer -> Project backup for command sequences

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

A project backup in the zenon Editor does not take into account the command sequences configured in Runtime.

Back up the corresponding Runtime files manually.

Backing up the Command Sequence Runtime files

To back up the Runtime files of configured command sequences:

  1. Switch to the folder of the Runtime files.
    C:\Users\Public\Documents\zenon_Projects\[Workspacename]\[Projektname]

    Note: This folder is only available if the project has been compiled at least once in zenon .
    Tip: Highlight the desired project in the zenon Editor and press the keyboard shortcut Ctrl + Alt + R to go directly to the Runtime folder.
  2. Copy the Sequences folder.
  3. Add the Sequences folder to the Runtime folder of the project backup again.
    Note: Runtime should be closed during the copy process or restarted again after copying.


Function authorizations

Manuel -> Command Sequencer -> Function authorizations

From zenon version 7.50, function authorizations are also supported by the Command Sequencer module.

They are configured in the User administration module. In doing so, a distinction is made between Editor authorizations and Runtime authorizations.
There are separate Runtime function authorizations available for the Command Sequencer module:

  • Function authorizations for XML import and export
  • Function authorizations to control the process of a command sequence

info Informations

You can find further information on the configuration of function authorizations in the User administration manual.

You can find the special function authorizations for the Command Sequencer module in the Runtime function authorizations chapter.

attention Attention

Configurations of the Command Processing module always have priority over configured function authorizations for the Command Sequencer module during execution.

This ensures that there is no blockade during the course of a command sequence.


Command sequences in Runtime

Manuel -> Command Sequencer -> Command sequences in Runtime

All administration, creation and processing of command sequences is carried out in Runtime. Editing in the zenon Editor is not possible.

Saving of command sequences when closing Runtime

If Runtime is closed and there are still command sequences that have not been saved, you are asked if these command sequences are to be saved. In order for this query to not prevent Runtime closing, Runtime is automatically closed after 15 seconds if nothing is entered. Unsaved command sequences are then discarded.

  • Clicking on the Yes button saves all changes for all command sequences open in the command sequences editor. Runtime is then closed.
  • Clicking on the No button closes Runtime without saving changes to the command sequences.

Autres sujets abordés dans ce chapitre

Command sequences editor

Create command sequence

Tooltips

Execution status

Symbols and Color

Validate command sequence

Teaching

Configuration rules for command sequences

CEL entries


Command sequences editor

Manuel -> Command Sequencer -> Command sequences in Runtime -> Command sequences editor

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

The command sequences editor is the graphical user interface for the configuration of command sequences in Runtime.

The following are available for the command sequences editor:

  • Toolbars
    The design of the toolbars depends on the command sequences editor mode.
  • Tabs
  • Command sequence grid
    project configuration area
  • Dockable windows

Parameter

Description

Header of the editor

Information about:

  • Current command sequence
  • Mode

Command sequences editor

Menu bar with symbols to configure a command sequence.

Tabs with opened command sequences

Select the open command sequences by clicking on the respective tab.

In execution mode, the color of the tab corresponds to the color of the execution status of the command sequence.

Command sequence grid

Diagram of the project configuration.

Configuration by dragging & dropping the elements from the menu bar.

Hint: To enlarge or reduce the grid, position the mouse pointer at the edge and drag it in the desired direction with the mouse button held down.

Mode display

Status display of the selected mode:

  • Edit mode:
    • Symbol for editing mode (pencil)
    • Size of the command sequence grid
    • Number of configured elements
  • Execution mode:
    • Symbol for execution mode:
      - Automatic
      - Manual
    • Symbol for the status
      (green thumb: ready to start)
    • Execution step:
      - in execution
      - completed

Cursor position

Shows line and column of the selected choice in the command sequence grid.

Zoom bar

Setting of the zoom factor for the command sequence grid with slider.

+

Enlarges the zoom factor by 25% per click.

-

Reduces the zoom factor by 25% per click.

Selection of the dockable windows

Opens drop-down list to select the dockable windows:

  • List of command sequences

Selected dockable windows are shown or hidden.

Autres sujets abordés dans ce chapitre

Context menu - tabs with opened command sequences

Dockable windows - list of command sequences

Command sequence grid

Modes

Toolbar - command sequences editor (edit mode)

Toolbar - Command sequences editor (execution mode)


Context menu - tabs with opened command sequences

Manuel -> Command Sequencer -> Command sequences in Runtime -> Command sequences editor -> Context menu - tabs with opened command sequences

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

If several command sequences are open in the command sequences editor, these are represented with tabs. The tabs represent the command sequences that are open in the command sequences editor. The configuration of the command sequence in the command sequence grid is shown by clicking on a tab.

Tab context menu

Parameter

Description

Save

Saves the current command sequence

Close

Closes the current command sequence

Close all others

Closes all open tabs/command sequences with the exception of the one that is currently selected.

Group horizontally

Shows all open tabs in a new view.
The view opens in a new window under the current view:

  • Move view
    Opens the tab in a new window.
  • Open view at the same time
    Opens the selected tab in a new window and leaves it in the list of tabs.

Group vertically

Shows all open tabs in a new view.
The view opens in a new window next to the current view:

  • Move view
    Opens the tab in a new window.
  • Open view at the same time
    Opens the selected tab in a new window and leaves it in the list of tabs.

Command sequences can be displayed and opened in two groups next to each other or underneath each other. To open a command sequence in a new group:

  1. Select, in the context menu of the command sequence, the Group horizontally or Group vertically command
  • Select the type of display:
    • Move display
    • Open display at the same time

The control elements are always only applicable to the active command sequence of the active group.

  • The active group is emphasized in color.
  • The active tab is emphasized with bold font. Information on the active tab is shown in the title bar of the editor.
  • Tabs can be moved and arranged by dragging & dropping, including between groups.
    Hint: Use this possibility of moving to return to the view with one group when two groups are open.


Dockable windows - list of command sequences

Manuel -> Command Sequencer -> Command sequences in Runtime -> Command sequences editor -> Dockable windows - list of command sequences

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

The list of command sequences lists all configured command sequences. Command sequences that have already been configured are edited and administered in the list of command sequences and new command sequences are created.

List of command sequences - overview:

The following is possible in the list of command sequences:

  • New command sequences can be created.
  • Command sequences that have already been configured in the command sequences editor are loaded for further editing.
  • Command sequences are renamed.
  • Command sequences are duplicated.
  • Command sequences are deleted.
  • Command sequences are switched to execution mode.
  • Command sequences are switched to edit mode.
  • Columns are selected and formatted.

The columns of the list for command sequences can be sorted and filtered. The columns can be moved by means of drag&drop. Columns can be shown and hidden with the context menu (right mouse click).

Autres sujets abordés dans ce chapitre

Selection and positioning

Toolbar - list of command sequences

Toolbar - list of command sequences


Selection and positioning

Manuel -> Command Sequencer -> Command sequences in Runtime -> Command sequences editor -> Dockable windows - list of command sequences -> Selection and positioning

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Aides au positionnement

Lors du déplacement de fenêtres depuis l’interface d’Editor, les aides au positionnement sont affichées. Celles-ci représentent les fenêtres ou leurs bordures.

Cet élément représente la zone d’une fenêtre dans Editor.

Cet élément représente la bordure d’une fenêtre dans Editor.

Positionner la fenêtre

Pour positionner un élément en tant qu’élément ancré :

  1. A l’aide de la souris, déplacez l’élément vers la zone souhaitée...
  2. L’aide au positionnement est affichée.
  3. Ceci représente une fenêtre et ses zones :
    1. Centre : fenêtre entière
    2. Haut : moitié supérieure
    3. Bas : moitié inférieure
    4. Droite : moitié droite
    5. Gauche : moitié gauche

    ...Ou vers le bord de la fenêtre d’Editor.

  4. Déplacez la souris vers l’aide au positionnement centrale ou vers une aide au positionnement située sur la bordure d’Editor, puis déplacez-la vers la zone souhaitée.
  5. La zone d’Editor dans laquelle l’élément a été placé lorsque le bouton de la souris a été relâché est colorée en bleu.
  6. Déplacez la souris dans l’aide au positionnement jusqu’à atteindre la zone souhaitée, affichée en bleu
  7. Relâchez le bouton de la souris pour placer l’élément.

Si une fenêtre est placée sur une fenêtre existante, les deux fenêtres sont affichées au même emplacement, à l’aide d’onglets.


Toolbar - list of command sequences

Manuel -> Command Sequencer -> Command sequences in Runtime -> Command sequences editor -> Dockable windows - list of command sequences -> Toolbar - list of command sequences

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Parameter

Description

New command sequence

Creates new empty command sequence.

Open command sequence in Editor

Opens the selected command sequence in the command sequences editor.

Note: Not active if no command sequence is selected.

Rename command sequence

Opens dialog to create a new command sequence or rename a command sequence.

Note: Not active if no command sequence is selected.

Note: Not active if the selected command sequence is in execution mode.

Duplicate command sequence

Duplicates selected command sequence and opens dialog to create a new command sequence.

Note: Not active if no command sequence is selected.

Note: duplicated command sequence is automatically created in edit mode. When duplicating command sequences, the existing name is supplemented with the prefix "Copy of". If the maximum length is exceeded by this, the name is shortened to the allowed length starting from the last character.

Delete command sequence

Deletes selected command sequence(s). Multiple selection is possible.

A command sequence that is executed cannot be deleted. An information dialog opens in this case.

Note: Not active if no command sequence is selected.

Note: Before final deletion, an dialog appears requesting confirmation of whether the selected command sequence(s) are really to be deleted for good.

Exporter la sélection en XML...

Exports selected command sequences as an XML file. Multiple selection is possible.

Note: Not active if no command sequence is selected.

You can find further information in the Export command sequence(s) as XML file chapter.

Import XML

Imports command sequence(s) from an XML file.

You can find further information about this in the Import command sequence(s) from XML file chapter.

Note: not active if the user does not have the corresponding function authorization.

The Command Sequences function authorization: Import command sequences is applicable for both XML import and for the import of simulation images.

Import command sequence from simulation image

Imports command sequence from existing simulation images.

You can find further information on this in the import command sequence(s) from simulation image chapter.

Note: not active if the project is running in simulation mode or if the user does not have the corresponding function authorization.

The Command Sequences function authorization: Import command sequences is applicable for both XML import and for the import of simulation images.

Switch command sequence to execution mode

Switches selected command sequence(s) to execution mode.
A validation of the configured command sequence is carried out automatically. Execution mode only starts if the command sequence has been configured without errors.

Otherwise a notice dialog appears informing you that the command sequence is invalid. The command sequence cannot be started.

Note: Not active if no command sequence is selected.

Switch command sequence to edit mode.

Switches a command sequence that is currently running in execution mode back into edit mode in order to make changes.

Note: Not active if no command sequence is selected.

Column selection

Opens a dialog to select columns that are to be displayed.

Column formats

Opens dialog for the configuration of text and background colors for the display of columns in the list view.

Autres sujets abordés dans ce chapitre

Column selection

Column format

Exporting the command sequence(s) as an XML file

Import command sequence(s) from an XML file

Import command sequence(s) from simulation image


Column selection

Manuel -> Command Sequencer -> Command sequences in Runtime -> Command sequences editor -> Dockable windows - list of command sequences -> Toolbar - list of command sequences -> Column selection

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Column selection

Options | Fonction
Colonnes disponibles | Liste de colonnes pouvant être affichées dans la table.
Colonnes sélectionnées | Colonnes affichées dans la table.
Ajouter -> | Déplace la colonne sélectionnée des colonnes disponibles vers les éléments sélectionnés. Lorsque vous confirmez la boîte de dialogue en cliquant sur OK, ces colonnes sont affichées dans la vue de détail.
Ajouter toutes -> | Déplace toutes les colonnes disponibles vers les colonnes sélectionnées.
<- Supprimer | Supprime les colonnes marquées des éléments sélectionnés et les affiche dans la liste des colonnes disponibles. Lorsque vous confirmez la boîte de dialogue en cliquant sur OK, ces colonnes sont supprimées de la vue de détail.
<- Supprimer tout | Toutes les colonnes sont supprimées de la liste des colonnes sélectionnées.
Haut | Déplace l’entrée sélectionnée vers le haut. Cette fonction est uniquement disponible pour les entrées uniques?; les sélections multiples ne sont pas autorisées dans ce cas.
Bas | Déplace l’entrée sélectionnée vers le bas. Cette fonction est uniquement disponible pour les entrées uniques?; les sélections multiples ne sont pas autorisées dans ce cas.

Fermer boîte de dialogue

Options | Description :
OK | Applique les paramètres et ferme la boîte de dialogue.
Annuler | Annule toutes les modifications et ferme la boîte de dialogue.
Aide | Ouvre l'aide en ligne.


Column format

Manuel -> Command Sequencer -> Command sequences in Runtime -> Command sequences editor -> Dockable windows - list of command sequences -> Toolbar - list of command sequences -> Column format

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Column format

Parameter

Description

Available columns

List of the available columns via Column selection. The column selected here is configured using the settings in the Parameters section.

Parameter

Settings for selected column.

Labeling

Name for column title. The column title is online language switchable. To do this, you must enter the @ character in front of the name.

Width

Width of the column in characters.

Alignment

Alignment.

Possible settings:

  • Left: Text is justified on the left edge of the column.
  • Centered: Text is displayed centered in the column.
  • Right: Text is justified on the right edge of the column.

OK

Applies settings and closes the dialog.

Cancel

Discards settings and closes the dialog.


Exporting the command sequence(s) as an XML file

Manuel -> Command Sequencer -> Command sequences in Runtime -> Command sequences editor -> Dockable windows - list of command sequences -> Toolbar - list of command sequences -> Exporting the command sequence(s) as an XML file

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Exporting the command sequence(s) as an XML file

You export selected command sequences as an XML file with the Export selected XML button. To do this, select the desired command sequences from the list of configured command sequences (multiple selection is possible). With multiple selection, only one XML file is saved for all selected command sequences.

Note dialog: Export command sequence

Before export, a check is carried out to see if there are unsaved changes in a command sequence configuration.

Tipp Conseil

Command sequences with unsaved changes are visualized in the tab of the command sequences editor with a * before the command sequence name.

Parameter | Description
[Name of the command sequence] | Name of the command sequence that still has unsaved changes. It is always only the current command sequence name that is displayed. After clicking on the Yes or No button, the next command sequence with unsaved changes is displayed.
Yes | The current command sequence is saved before the save process. The save dialog is then opened.
No | Exports the displayed command sequence with the last-saved project configuration status. The save dialog is opened directly.
Yes all | All open command sequences with unsaved changes are saved before the save process. The save dialog is then opened. Note: not active if only one command sequence was selected for export.
No all | Exports all selected command sequences with the last-saved project configuration status. The save dialog is opened directly. Note: not active if only one command sequence was selected for export.
info Informations
You can get further information on the structure of the XML file in the Structure of the XML file for command sequences chapter.


Import command sequence(s) from an XML file

Manuel -> Command Sequencer -> Command sequences in Runtime -> Command sequences editor -> Dockable windows - list of command sequences -> Toolbar - list of command sequences -> Import command sequence(s) from an XML file

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Import command sequence(s) from an XML file

The Import XML button opens the dialog to import command sequences from an XML file in the list of command sequences.

Once the corresponding XML file has been selected, the import checks whether already-configured command sequences conflict with the command sequences of the XML file. In this case, the Import options dialog opens.

info Informations

Existing command sequences are only overwritten on import if they are in the command sequences editor.

Parameter

Description

[Name of the command sequence]

Name of the command sequence to be imported, which is already present in the List of command sequences.

The first command sequence name is shown. After clicking on the Skip or OK button, the next command sequence is displayed with a naming conflict.

[Action in the event of naming conflicts]

Selection of the action for the import of a command sequence in the event of already-configured command sequences in the Runtime project configuration having the same name:

  • Create a new command sequence
    Creates a new command sequence in the Runtime configuration for the command sequence of the XML file.
    This imported command sequence is added when a new serial number is given:
    [command sequence name] [serial number]
  • Overwrite the existing command sequence
    Overwrites the existing command sequence in Runtime with the content of the XML file.
    Note: Grayed out if the file to be overwritten in the command sequences editor is in execution mode.

Default: create a new command sequence

Carry out this action for all further conflicts (number of conflicts)

Carries out the import for all subsequent command sequences with naming conflicts with the action selected in [action in the event of naming conflicts].

The number in quotes states how many naming conflicts occur in the current import.
There is no step-by-step display of the command sequences.

Default: Inactive

Number of command sequences to be imported from the XML file:

Total number of command sequences for the import.
Note: The number gives the total number of command sequences in the XML file, not just the number of conflicts.

Skip

Skips the import for the displayed command sequence.

Switches to the next command sequence with conflicts in the event of several naming conflicts.
Note: If the Execute this action for all further conflicts property has been activated, no command sequences with naming conflicts are exported.

OK

Carries out the import for the displayed command sequence with the action selected with [action in the event of naming conflicts].

Switches to the next command sequence with conflicts in the event of several naming conflicts.
Note: If the Execute this action for all further conflicts property has been activated, no command sequences with naming conflicts are exported.

Cancel

Cancels the import for all subsequent command sequences and closes the dialog.

info Informations

You can get further information on the structure of the XML file in the Structure of the XML file for command sequences chapter.


Import command sequence(s) from simulation image

Manuel -> Command Sequencer -> Command sequences in Runtime -> Command sequences editor -> Dockable windows - list of command sequences -> Toolbar - list of command sequences -> Import command sequence(s) from simulation image

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Import command sequence(s) from simulation image

In this dialog, you arrange configured command sequences from one or more simulation images for import into zenon Runtime.

Parameter

Description

Project simulation

List of all existing project simulation images.

Only one simulation image can be selected at a time.

Command sequences in project simulation

List of all configured command sequences from the selected project simulation.

Multiple selection is possible.

Existing command sequences

Pre-existing command sequences in the zenon project that is currently running.

Add

Adds selected command sequences from the Command sequences in project simulation list to the List of command sequences to be applied.

Only active if at least one command sequence from a simulation image has been selected.

Overwrite

Adds a command sequence from the Command sequences in project simulation list to the List of command sequences to be applied. This command sequence overwrites the existing command sequence in the command sequences editor in Runtime!

This button is only active if just one command sequence has been selected and the selected command sequence is already in the existing command sequences list. The command sequence is thus already present in the command sequences editor and is overwritten.

With multiple selection of command sequences from a project simulation, the button is then grayed out if the selection contains a command sequence that is not yet present in the list of existing command sequences. A new command sequence is created when transferring to Runtime. This new project configuration is given a serial number in the naming.

List of the command sequences to be transferred.

Assigned command sequences that are applied in the current Runtime environment.

  • Simulation image:
    Name of the simulation image from which the command sequence comes.
  • Command sequence name:
    Name of the command sequence as saved in the simulation image.
  • Conflict handling:
    The type of conflict handling depends on how the respective command sequence is transferred to the list. Depending on the button used (Add or Overwrite), the conflict handling is prescribed and cannot be changed.

Note: List can be sorted and filtered.

Remove

Removes highlighted command sequence from the List of command sequences to be applied.

Multiple selection is possible. A new assignment from Command sequences in project simulation is possible.

OK

Closes the dialog and applies project configurations from the list of command sequences to be applied in the command sequences editor.

Cancel

Annule toutes les modifications et ferme la boîte de dialogue.

If the Command Sequencer module is operated in the zenon network, the following rules are applicable:

  • If the dialog is called up, the project simulation list is filled with the simulation images from the server.
    If a server is lost, the dialog with an empty project simulation list is called up.
  • The command sequences in project simulation list is also filled with data from the server on the client. The list is empty if the server is lost.


Toolbar - list of command sequences

Manuel -> Command Sequencer -> Command sequences in Runtime -> Command sequences editor -> Dockable windows - list of command sequences -> Toolbar - list of command sequences

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Parameter

Description

New command sequence

Creates an empty command sequence and opens the dialog to create a new command sequence.

Open in command sequences editor

Opens the selected command sequence in the command sequences editor.

Note: Not active if no command sequence is selected.

Rename

Opens dialog to create a new command sequence or rename a command sequence.

Note: Not active if no command sequence is selected.

Note: Not active if the selected command sequence is in execution mode.

Duplicate

Duplicates selected command sequence and opens dialog to create a new command sequence.

Note: Not active if no command sequence is selected.

Note: duplicated command sequence is automatically created in edit mode. When duplicating command sequences, the existing name is supplemented with the prefix "Copy of". If the maximum length is exceeded by this, the name is shortened to the allowed length starting from the last character.

Delete

Deletes selected command sequence(s). Multiple selection is possible.

Note: Not active if no command sequence is selected.

Note: Before final deletion, an additional dialog appears requesting confirmation of whether the selected command sequence(s) are really to be deleted for good.

Exporter la sélection en XML...

Exports selected command sequences as an XML file.

Note: Not active if no command sequence is selected.

Import XML...

Imports command sequence(s) from an XML file.

Import from project simulation...

Imports command sequence from existing simulation images.

You can find further information on this in the import command sequence(s) from simulation image chapter.

Note: not active if the project is currently running in simulation mode or if the user does not have the corresponding function authorization.

Switch to execution mode

Switches selected command sequence(s) to execution mode.
A validation of the configured command sequence is carried out automatically. Execution mode only starts if the command sequence has been configured without errors.

Otherwise a notice dialog appears informing you that the command sequence is invalid. The command sequence cannot be started.

Note: Not active if no command sequence is selected.

Switch to edit mode

Switches a command sequence that is currently running in execution mode back into edit mode in order to make changes.

Note: Not active if no command sequence is selected.


Command sequence grid

Manuel -> Command Sequencer -> Command sequences in Runtime -> Command sequences editor -> Command sequence grid

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

The command sequence grid is the workspace in the command sequences editor. Command sequences can be created with a graphical user interface here.

The diagram is divided into grids, with each grid offering room for one element.

Technical details

  • Sheet size:
    • Default: 11 x 11 cells
    • Minimum: 5 x 5 cells
    • Maximum: 500 x 1000 cells
  • Cell size
    • Default: 155 x 111 pixels
  • Outside edge: 100 pixel
  • Grid: is displayed by default; can also be hidden
  • Scroll bar: Is displayed if the document is larger than the frame.
  • Scrolling with a mouse wheel: up and down or, if you press and hold Shift, left and right.
  • Zooming: Ctrl + mouse wheel
  • Selecting elements: left mouse click
  • Multiple selection: Ctrl + mouse click
  • Move symbol: Click element and move it over the diagram while holding the left mouse button pressed. Content can be dropped to cells with green background. If a cell turns red when you move over it, you cannot drop the content.

Amend size of the grid

The size of the grid can be amended. To amend the size of the grid:

  • Move the mouse pointer to the upper, lower or right-hand edge of the grid.
    The mouse pointer changes at the edges: <=>
  • Hold down the right mouse button and move the edges:
    The dimensions of the grid are reduced or enlarged.

Please keep in mind:

  • The minimum size of the grid is 5 x 5 cells.
  • A reduction can only be carried out to a maximum of the column or line in which an element has been placed.
    This guarantees that no existing project configuration is lost.
  • The size of the grid is automatically enlarged during the teaching process if necessary.
  • The number of new cells in the footer is visualized in the footer during the enlargement process:

Autres sujets abordés dans ce chapitre

Command sequence grid footer

Footer symbols


Command sequence grid footer

Manuel -> Command Sequencer -> Command sequences in Runtime -> Command sequences editor -> Command sequence grid -> Command sequence grid footer

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

The footer of the command sequence grid visualizes information for the configuration of the selected command sequence. The elements available are different depending on the mode.

Editing mode view

Footer of the command sequence grid in edit mode and if teaching mode has been activated:

Execution mode view

Footer of the command sequence grid in execution mode:

Parameter

Description

Command sequence mode

Display of the active mode:

  • Edit mode
    (symbol: pencil)
    Only available in edit mode.
  • Teaching mode
    (symbol: red square)
    Only available in simulation mode.
  • Execution mode:
    • Automatic mode
      (symbol: computer terminal)
    • Semi-automatic mode
      (symbol: computer terminal with hand symbol)

You can find a graphic overview with examples of the icons in the Symbols of the footers chapter.

Command sequence status of project configuration

Status of command sequence:

  • Ready to start
    (symbol: green hand with thumb up)
  • Warning
    (symbol: red hexagonal warning symbol with exclamation mark)

Process status

Graphic visualization for error-free and executable command sequence.

  • Completed
    (symbol: green tick)
  • Canceled
    (symbol: red X)
  • In progress
    (symbol: green triangle)
  • Idling
    (symbol: red minus sign)
  • Paused
    (symbol: two red Is)

Note: Only visible in execution mode.
You can find a graphic overview with examples of the icons in the Symbols of the footers chapter.

Size of the element and number of elements

Additional information on the command sequence grid:

  • Total size of the working area of the command sequence grid.
    [number of horizontal cells] x [number of vertical cells]
  • Total number of positioned elements
    Note: Lines are not counted as an element.

Status of ongoing command sequence

Visualizes the current status of the command sequence in progress

  • In execution
  • Paused
  • Aborted

Note: Only visible in execution mode.

Current cursor position

Current position of the mouse pointer in the command sequence grid.

[cell position of horizontal cells] x [cell position of vertical cells]

Teaching position

Current position of the teaching cursor in the command sequence grid.

Note: only visible if teaching is in progress.

Number of selected elements

Visualization of the elements selected in the command sequence grid:

n elements selected

Note: Only visible in editing and teaching mode.

Zoom level set

Drop-down list to select the zoom level for the display of the command sequence grid. Select the desired level in percent from a drop-down list.

Default: 100 %

Slider for zoom

Selection of zoom level for the display of the command sequence grid.

The zoom level can be selected ether with the slider or with the - and + buttons.

The zoom levels are identical to the drop-down list of Set zoom level.

Selection of the dockable windows

Drop-down list for List of command sequences.

Selection of whether the window shows the List of command sequences or is hidden.

If the list of command sequences is already shown, this is visualized in the drop-down list with a tick.


Footer symbols

Manuel -> Command Sequencer -> Command sequences in Runtime -> Command sequences editor -> Command sequence grid -> Footer symbols

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

The footer of the command sequences grid uses the following symbols for visualization:

Aborted

Executed

Ready for start

In execution

Automatic mode

Edit mode

Semi-automatic mode

Idle

Paused/pause

Teaching

Warning


Modes

Manuel -> Command Sequencer -> Command sequences in Runtime -> Command sequences editor -> Modes

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

The command sequences editor has several modes:

  • Edit mode
    Command sequences are configured and edited in this mode
  • Execution mode
    Mode for execution of the configured command sequences.
    The execution mode has two modes:
    • Automatic mode
    • Semi-automatic mode

Autres sujets abordés dans ce chapitre

Command sequence - execution mode

Automatic mode

Semi-automatic mode


Command sequence - execution mode

Manuel -> Command Sequencer -> Command sequences in Runtime -> Command sequences editor -> Modes -> Command sequence - execution mode

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

The command sequences editor executes command sequences in Runtime. You can start any number of command sequences. The execution mode is for testing a command sequence but also to execute this. In addition in the execution mode changes in the Editor can be applied directly via reloading the Runtime.

Exception: If a command sequence is currently being executed, the reloading of this command sequence is delayed. The reloading process is only carried once the command sequence has finished, been stopped or been canceled.

The following modes are available for execution in execution mode:

  • Automatic mode
    The configured command sequence is executed in automatic mode. The command sequence is only stopped in the event of pending user interaction.
  • Semi-automatic mode
    There is a pause after each step in semi-automatic mode. A jump to the next step is only made after a corresponding click Configuration can thus be tested step by step.

info Informations

The fundamental command sequence process cannot be changed in execution mode. You can only change values of the command tags.


Automatic mode

Manuel -> Command Sequencer -> Command sequences in Runtime -> Command sequences editor -> Modes -> Automatic mode

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

A configured command sequence runs in automatic mode. This mode is also used to visualize and control a configuration in Runtime.

If user interaction is necessary, the configured Command Processing screen is called up. The command sequence continues after an entry is made in the Command Processing screen.


Semi-automatic mode

Manuel -> Command Sequencer -> Command sequences in Runtime -> Command sequences editor -> Modes -> Semi-automatic mode

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

The configured command sequence is executed in automatic mode. The command sequence is only stopped in the event of pending user interaction.

Only after corresponding user interaction on the Continue command sequence at all execution positions button or Only continue command sequence at corresponding execution positions does the next step become active. This mode is thus suitable for stepping through a command sequence step by step.


Toolbar - command sequences editor (edit mode)

Manuel -> Command Sequencer -> Command sequences in Runtime -> Command sequences editor -> Toolbar - command sequences editor (edit mode)

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

In edit mode of the command sequences editor, you can easily configure a command sequence in Runtime directly by means of drag&drop.

Parameter

Description

New command sequence

Creates new command sequence.

Save command sequence

Saves configured command sequence

Graphical design

Calls up dialog to select the graphical design.

The following can be selected:

  • Background color
  • Grid On/Off
  • Grid color
  • Show element IDs

Delete

Deletes selected element

Note: only active if an element was selected in the command sequence grid.

Check command sequence for errors

Checks configuration of a command sequence for logical correctness and consistency.

The result is displayed in a dialog.

  • No errors during this command sequence.
  • Checking the command sequence resulted in the following warnings/errors:
    {error details}

Edit element

Calls up a dialog to change the element property for switchgear assignment and transition.

Note: not available for step.

Replace step

Opens the dialog to select a Command Processing action. As a result of this, already-configured steps can be assigned new actions.

Note: only active if an element was selected in the command sequence grid.

Edit mode

Switches the mouse cursor from adding an element to edit mode. The switch back to the edit mode can also be achieved by pressing the Esc key.

Add step

Occupies the mouse pointer with a step. It can be added to any allowed, free location via click.

Opens the dialog to select a Command Processing action.

Insert transition

Occupies the mouse pointer with a transition. It can be added to any allowed, free location via click.

Insert begin simultaneous sequence

Occupies the mouse cursor with a begin parallel branch. It can be added to any allowed, free location via click.

Insert end simultaneous sequence

Occupies the mouse cursor with an end parallel branch. It can be added to any allowed, free location via click.

Insert Begin branch

Occupies the mouse cursor with a begin branch. It can be added to any allowed, free location via click.

Insert End branch

Occupies the mouse cursor with an end branch. It can be added to any allowed, free location via click.

Insert switchgear allocation

Occupies the mouse pointer with a switchgear allocation. It can be added to any allowed, free location via click.

Insert jump target

Occupies the mouse cursor with a jump target. It can be added to any allowed, free location via click.

Start teaching

Starts teaching mode for the currently-selected command sequences.

Not active if:

  • Teaching mode is currently running for another command sequence.
  • Project is not running in simulation mode.

Stop teaching

Ends teaching mode.

Not active if teaching mode is not active.

Switch command sequence to execution mode

Switches command sequence to execution mode.

Autres sujets abordés dans ce chapitre

Graphical design

Elements

Formula editor


Graphical design

Manuel -> Command Sequencer -> Command sequences in Runtime -> Command sequences editor -> Toolbar - command sequences editor (edit mode) -> Graphical design

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Clicking on the symbol for the Graphical design in the toolbar opens the dialog for configuring the colors, grid settings and display of the element ID.

Parameter

Description

Background color

Defines the background color of the command sequence grid. Click on the color in order to open the palette for selecting a color.

Display grid
  • Active: Display the grid
  • Inactive: Grid is hidden.

Grid color

Defines the line color of the grid. Click on the color in order to open the palette for selecting a color.

Show element IDs

Shows or hides the element ID. This setting is to be made for each command sequence.

Inactive: No element ID is shown in the command sequence.
Note: This setting is recommended for normal operation.

Active: The ID of the elements is displayed in the command sequence. The exception is lines. The display is in the upper left-hand corner of the element.

Hint: This setting is recommended for troubleshooting.

OK

Applies all settings and closes the dialog.

Cancel

Discards all changes and closes the dialog.

Examples

Display IDs of the elements active

Display IDs of the elements inactive


Elements

Manuel -> Command Sequencer -> Command sequences in Runtime -> Command sequences editor -> Toolbar - command sequences editor (edit mode) -> Elements

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

The following elements can be used for the configuration of a command sequence in the command sequences editor:

  • Step
  • Transition
  • Parallel branch
  • Branch
  • Switchgear allocation
  • Jump target
  • Lines
  • Teaching cursor

Start and end element

Each command sequence must have a start and end element.

These two elements are automatically created when a command sequence is created and cannot be deleted from the project configuration. Even if you have configured the complete project configuration and deleted it, the start element and the end element are not affected by this deletion.

Configuration of an element:

  • Set the command sequences editor to edit mode.
  • Select an element in the command sequences editor with a mouse click.
  • Position this element in the command sequence grid by means of drag&drop.
    Note: You can position the element several times.
  • Clicking on the Esc button deactivates the drag&drop functionality.

Autres sujets abordés dans ce chapitre

Step

Transitions - conditions

Parallel branches

Branch

Modify parallel branches and branches

Switchgear allocation

Jump target

Teaching cursor

Lines


Step

Manuel -> Command Sequencer -> Command sequences in Runtime -> Command sequences editor -> Toolbar - command sequences editor (edit mode) -> Elements -> Step

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Step

A step is always linked to a configured action of Command Processing in the Command Sequencer module. The actions are configured in the zenon Editor in the Command Processing module.

After positioning of a step in the command sequence grid, the Action selection dialog opens automatically. In this dialog, you select an action from the list of all actions of all command groups configured in the zenon Editor.

Action selection

Select an action and confirm the selection with OK. The Command Processing action is assigned to the step as a result.

Note: The OK button is active if no action has been selected. Only the linking of an action is permitted for a step.

info Informations

You can find further information on configuration of the command processing in the Energy Edition manual in the Command Processing chapter.


Transitions - conditions

Manuel -> Command Sequencer -> Command sequences in Runtime -> Command sequences editor -> Toolbar - command sequences editor (edit mode) -> Elements -> Transitions - conditions

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Transitions - conditions

Transitions are used after steps in order to ensure a defined transition from one step to the next. Transitions display their internal status during the process and inform via a tool tip about status and process duration.

After positioning a transition in the command sequence grid, the Condition dialog opens automatically.

Select a response variable from the list of parameters. You get this list if you click on the Add button.

This list contains the response variables of all steps that have already been inserted into the command sequence grid.

info Informations

You can find further information on conditions in the Formula editor chapter in this manual.


Parallel branches

Manuel -> Command Sequencer -> Command sequences in Runtime -> Command sequences editor -> Toolbar - command sequences editor (edit mode) -> Elements -> Parallel branches

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Parallel branches

At the parallel branch an execution path parts into several execution paths which are executed in parallel during the process. For the activation of the different elements within a parallel branch you cannot define a certain order.

The project configuration always consists of a Begin parallel branch and an End parallel branch.

Begin parallel branch

End parallel branch

In the process the respective intermediate area of the end parallel branch is also colored. The color corresponds to the coloring of the command sequence.

A parallel branch is ended if the process has been completed in all execution paths. Completed means that either the following step is active or the following transition is inactive.

Insert parallel branches

To create a parallel branch:

  1. select the symbol Insert begin parallel branch
  2. put the branch on the desired location
  3. connect the input connection point with a output connection point of the preceding object
  4. connect both output connection points with the desired following objects
  5. close a parallel branch with object Insert end parallel branch


Branch

Manuel -> Command Sequencer -> Command sequences in Runtime -> Command sequences editor -> Toolbar - command sequences editor (edit mode) -> Elements -> Branch

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Branch

A branch offers the possibility to execute one of several possible paths. To do this, it is necessary that the first element at the start of a procedure path is a transition.

Note: A Begin branch can only have one transition as a subsequent object.

Begin branch

End branch

Procedure:

  • The procedure path for which the first transition is TRUE is chosen.
  • Then it is waited until all transitions have a value.
  • If several transitions are TRUE at the same time, always the leftmost path for which the transition is TRUE is selected.

For begin and end the following is true: If there is a step in front of the element and a transition behind, the step remains active until the transition has been completed.

The objects are processed sequentially in a path. Each path processes its objects regardless of other paths.

Command sequences can select sequences and run in parallel branches.

branches and parallel branches consist of:

  • Single or double horizontal lines
  • Connection pieces (consisting of connection line and connection point)

Create a branch

To create a branch:

  1. Select the Insert begin branch symbol
  2. Position the branch at the desired location.
  3. Connect the input connection point to an output connection point of the preceding object.
  4. Connect both output connection points with the desired following objects.
  5. Close a branch with the Insert end branch object


Modify parallel branches and branches

Manuel -> Command Sequencer -> Command sequences in Runtime -> Command sequences editor -> Toolbar - command sequences editor (edit mode) -> Elements -> Modify parallel branches and branches

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Modify parallel branches and branches

Modify and move

Branches and parallel branches can be moved and changed in size.

Move

To move an object:

  1. click on the object.
  2. Hold down the mouse button.
  3. Move the object to the desired position.

Change size

In this way object Begin/End branch/parallel branch can be extended and shortened. To change their size:

  1. Move the mouse pointer over the object until it turns into a double arrow.
  2. Hold down the left mouse button and move it in the desired direction:
    • Away from the object to extend it.
    • Into the object to shorten it.
    • The line to continue the command sequence remains unchanged each time.
  3. at extending a new connection piece is added;
    • All fields in which lengthening is possible are colored green.
    • The process must be repeated to add several new connection pieces.
  4. All corresponding connection pieces are deleted during shortening.


Switchgear allocation

Manuel -> Command Sequencer -> Command sequences in Runtime -> Command sequences editor -> Toolbar - command sequences editor (edit mode) -> Elements -> Switchgear allocation

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Switchgear allocation

Each item of switchgear is represented by its response variable.

The switchgear allocation element of the Command Sequencer module triggers the allocation of one or more switching devices in Runtime:

  • With this element, several (or all) response variables can be reserved (assigned) in advance. The NET_SEL status bit is set for this reservation.
  • Unlocking is also carried out using a switchgear assignment element.

After the command sequence process, all NET_SEL status bits are automatically deleted again.

List of switchgear

Lists all available switchgear, its assignment and unlocking type. The list can be sorted - multiple selection is possible.

Parameter

Description

Switchgear

Switchgear according to configuration of the Command Processing in the zenon Editor.

Allocation

Yes, if Switchgear allocation is active.
Empty if Release is active.

Release

Yes, if Switchgear release is active. In addition, the extent of the release is shown as text:

  • selective
  • global

Empty if allocation is active.

Action

Parameter | Description
Switchgear allocation | If activated, the element is allocated to selected switchgear.
Switchgear release | If active, the element releases the selected switchgear.
Clearing the last allocation | If active, only the switchgear that was allocated in the last allocation is released. Only active if release for the switchgear is active.
Global command sequence release | If active, the switchgear that is allocated in the current allocation is released. Only active if release for the switchgear is active. Note: Allocated switchgear is automatically released again if the command sequence has been completed successfully or canceled.

Close dialog

Option | Description
OK | Applique les paramètres et ferme la boîte de dialogue.
Cancel | Annule toutes les modifications et ferme la boîte de dialogue.


Jump target

Manuel -> Command Sequencer -> Command sequences in Runtime -> Command sequences editor -> Toolbar - command sequences editor (edit mode) -> Elements -> Jump target

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Jump target

The jump target element allows a direct jump to a defined point of a branch.

Jump targets make it possible to

  • To jump between procedure paths
  • To jump out of branches
  • engineer loops

Jump targets consist of tree inputs and one output. At this the output is always at the bottom and the inputs are located at the top and the sides. You can connect any input connection points. A path which ends in a jump target must have started with a Begin branch. Otherwise the end is not reached.

During the editing all connection points are visible. In the checking mode only the connection points which are connected are displayed.

attention Attention

Jump targets are not allowed for parallel branches.


Teaching cursor

Manuel -> Command Sequencer -> Command sequences in Runtime -> Command sequences editor -> Toolbar - command sequences editor (edit mode) -> Elements -> Teaching cursor

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Teaching cursor

The teaching cursor element visualizes each position in the command sequences grid, according to which the recorded element is placed during the teaching process.

The teaching cursor is not directly available to select as an element. It is provided by activating the teaching mode automatically.

Note: The teaching process is not started without the teaching cursor being positioned.
If the recording is ended by clicking on the Stop teaching button, the teaching cursor is also hidden again.

Positioning

To position the teaching cursor in the command sequence grid:

  1. Click (with simulation mode active) the Start Teaching button.
  2. The teaching cursor is displayed and can be positioned in the command sequence grid.

New positioning

The teaching cursor can be repositioned during an ongoing teaching process.

In the command sequence grid, move the teaching cursor with drag&drop and place the teaching cursor at the desired position in the grid. The steps applied from teaching are inserted into this new cursor position.

This repositioning can be repeated several times. As a result, different branches of a parallel branch can be configured with the teaching process.


Lines

Manuel -> Command Sequencer -> Command sequences in Runtime -> Command sequences editor -> Toolbar - command sequences editor (edit mode) -> Elements -> Lines

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Lines

Lines connect elements via free connection points. To connect connection points with each other:

  1. Activate a point with the help of the mouse:
    The connection point turns green. Red means that the connection point is already taken.

  2. Drag a line to another connection point:
    A yellow arrow shows the direction of the line.. Green fields can be crossed. Red fields may not be crossed by the line.

  3. As soon as the yellow tip of the line touches the next connection point, the line is created.

Line handling

Lines:

  • Are dragged with the mouse.
  • Can be moved (press and hold Ctrl key)
    In doing so, all existing connections are separated and an attempt is made to reconnect the line if there are objects with connection points in the right direction at the target.
    If several lines are highlighted, the line that has a cell with mouse cursor in it is moved.
  • Can be deleted by highlighting them and pressing the Del key.
  • Are deleted when re-dragging them from the start to end.
  • have a tool tip displaying its ID.

If a line reaches a connection point of an object, the connection point becomes active. If a connection is possible, it turns green otherwise red. Connections connecting two connections points of the same type - two inputs, two outputs, etc. - are not allowed. The line can be added in any case. Not allowed connections are displayed in red and trigger a corresponding error message at testing.

The connection points of the elements are always displayed in the edit mode even if the connection point in question is connected. In status "Release" no connection points are displayed.

Properties connection point:

  • connected: highlighted red; connection is separated when the line is dragged and a new connection point can be chosen
  • open: highlighted green; at dragging a new line is created

Lines connect elements

  • Lines can be used as connections between all elements. It is allowed to add any number of lines after another.
  • Lines must not be used to connect two equal connection points.
    For example: Both inputs of two steps must not be connected directly with a line. In the engineering this connection is allowed. It is however displayed in red (error) and in the validation an error message is displayed.


Formula editor

Manuel -> Command Sequencer -> Command sequences in Runtime -> Command sequences editor -> Toolbar - command sequences editor (edit mode) -> Formula editor

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

The formula editor is automatically opened if you need to enter or edit a formula. Above all:

Runtime:

  • Editing transitions.

Note: If the step referenced in the formula is removed and a new step is added, the operands are reassigned in the case of transitions. To do this, the same step must be reinserted. Parameters from a different phase are not automatically linked.

Enter formula

The following input is accepted:

  • Constant as decimal number
  • Hexadecimal number if it is preceded by an x
  • Dot as decimal separator; the following is true:
    • Comma is automatically converted into a dot: 23,000 to 23.000
    • Decimal places which are only zeros are removed: 23.000 to 23

Parameter

Description

TAG list

List of the tags which can be used for the formula.

Each entry contains of:

  • a basis node for the label
  • a value
  • a status
  • the bits for value and status

A symbol at the first node displays whether it is a command or return tag.

The short indentifier at the beginning of the name is used for the formula.

Add

Opens the dialog for adding a parameter. For this, the following applies:

  • The following can be added: numeric and binary tags and tags for time duration. Values for duration are converted to seconds
  • For conditions of a step, only the properties that were created for it can be used.
  • Tags can be added multiple times.

Replace

Makes it possible to replace a tag. Clicking on the button opens the dialog to add a parameter.

  • Selection of a new parameter replaces the highlighted parameter.
  • Clicking on the no selection button deletes the highlighted parameter from the list.

The short identifier remains the same at replacing.

Remove

Removes the highlighted tag. For a tag to be deleted:

  • the formula must be correct
  • the selected tag must not be used in the formula

Logical operators

Via the buttons for operators, operators are added to the formula.

AND

logical 'AND'

OR

logical 'OR'

XOR

logical 'EXCLUSIVE OR'

NOT

Negation

Syntax

The operator buttons add the string shown on them to the formula.

(

Open parenthesis

)

Close parenthesis

Bit by bit and relational operators

&

And

|

Or

>

greater than

>=

greater or equal

<

less than

<=

Less than or equal

=

equal

<>

less or greater

Condition

Configuration and display of the formula.

Copy

Copies the whole formula:

  • All configured tags from the tag tree
  • Formula from the field

Coller

Pastes a formula from the clipboard. At this all already configured elements are deleted and replaced by the copied formula.

When copying formulas between steps, an attempt is made to resolve the operands via their names. For tags which are not found invalid entries are created in the operands list. Their point of use in the formula remain the same.

OK

Applies formula and closes the dialog.

For this the formula must be correct.

Cancel

Discards all changes and closes the dialog.

info Informations

You can link up to 99 tags in a formula. X01 to X99. The length of the formula must not exceed 4096 characters.

The meaning of the bits:

Parameter | Description
value bits | 32 value bits (from 0 -31) are available. They describe the tag value bit by bit. For binary tags only bit 0 is of importance, for SINT and USINT only the bits from 0 - 7, etc.
State bits | Here you find the most commonly used status bits. You find the exact definition and use of the status bits in the Status Bits List.
value and status | Dans les formules, toutes les valeurs (valeur des bits et bits d'état) sont traitées comme des valeurs binaires pouvant être liées de manière logique par des conditions AND et OR, etc. Les exceptions à cette règle sont la valeur totale et l'état global. Pour obtenir une expression booléenne, une condition logique ORed doit être appliquée à cette valeur totale, de bit à bit, avec une constante. Pour cela, on utilise l'opérateur &. For the result 0 (FALSE) of this logical ORing, we get the binary value 0 (FALSE), otherwise 1 (TRUE). Exemple : See the bitwise ORing example chapter

info Info

The status bits NORM and N_NORM are only available in the formula editor and cannot be engineered via the status.

info Informations

Les formules comportant des valeurs X binaires et des liens au niveau des bits peuvent être utilisées avec 2 valeurs binaires maximum. Si d'autres valeurs sont requises, la liaison doit être établie sans valeurs X binaires.

Exemple :

X01.Value & X02.Value -> fonctionne

X01.Value & X02.Value & X03.Value -> ne fonctionne pas

Toutefois :

X01.00 AND X02.00 AND X03.00 AND X04.00 AND X05.00 -> fonctionne

Autres sujets abordés dans ce chapitre

Adding parameters

List of status bits

Logical Operators

Bit formulas

Comparison operators

Examples for formulas


Adding parameters

Manuel -> Command Sequencer -> Command sequences in Runtime -> Command sequences editor -> Toolbar - command sequences editor (edit mode) -> Formula editor -> Adding parameters

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Adding parameters

Clicking on the Add button in the formula editor opens the dialog to select parameters that are to be used for a formula.

Parameter | Description
Project list | Display of the active project. Only parameters that have been created in the active project for the step to be configured can be selected.
Parameter List | List of the parameters available for the selected step. Multiple selection is possible. Apply by selecting and clicking on the OK button or by double clicking on a parameter.
No selection | Deletes parameters already set. Only effective for replacement of parameters. If a parameter is highlighted in the formula editor and this dialog is opened by clicking on the Replace button, then clicking on the No selection button deletes the parameter from the list in the formula editor. The short identifier remains the same at replacing.
OK | Inserts selected parameters into the parameter list of the formula and closes the dialog.
Cancel | Discards selection and closes dialog.
Help | Opens online help.


List of status bits

Manuel -> Command Sequencer -> Command sequences in Runtime -> Command sequences editor -> Toolbar - command sequences editor (edit mode) -> Formula editor -> List of status bits

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
List of status bits
Numéro de bit | Désignation abrégée | Nom long | Intitulé zenon Logic
0 | M1 | User status 1; for Command Processing: Type d'action "Bloquer" ; Service Tracking du driver IEC 850 | _VSB_ST_M1
1 | M2 | État utilisateur 2 | _VSB_ST_M2
2 | M3 | État utilisateur 3 | _VSB_ST_M3
3 | M4 | État utilisateur 4 | _VSB_ST_M4
4 | M5 | État utilisateur 5 | _VSB_ST_M5
5 | M6 | État utilisateur 6 | _VSB_ST_M6
6 | M7 | État utilisateur 7 | _VSB_ST_M7
7 | M8 | État utilisateur 8 | _VSB_ST_M8
8 | NET_SEL | Sélectionné dans le réseau | _VSB_SELEC
9 | REVISION | Révision | _VSB_REV
10 | PROGRESS | En fonctionnement | _VSB_DIREC
11 | TIMEOUT | Command "Timeout exceeded" (command runtime exceeded) | _VSB_RTE
12 | MAN_VAL | Valeur manuelle | _VSB_MVALUE
13 | M14 | État utilisateur 14 | _VSB_ST_14
14 | M15 | État utilisateur 15 | _VSB_ST_15
15 | M16 | État utilisateur 16 | _VSB_ST_16
16 | GI | Requête générale | _VSB_GR
17 | SPONT | Spontané | _VSB_SPONT
18 | INVALID | Invalide | _VSB_I_BIT
19 | T_STD_E | External standard time (standard time) Caution: up to version 7.50, this was the status bit T_CHG_A | _VSB_SUWI
20 | OFF | Désactivé | _VSB_N_UPD
21 | T_EXTERN | Temps réel - horodatage externe | _VSB_RT_E
22 | T_INTERN | Informations d'horodatage internes | _VSB_RT_I
23 | N_SORTAB | Non triable | _VSB_NSORT
24 | FM_TR | MD_TR;Message de défaut du transfo | _VSB_DM_TR
25 | RM_TR | Message de marche du transformateur | _VSB_RM_TR
26 | INFO | Informations de la variable | _VSB_INFO
27 | ALT_VAL | Valeur de remplacement | _VSB_AVALUE
28 | RES28 | Réservé à une utilisation interne (clignotement d'alarme) | _VSB_RES28
29 | N_UPDATE | Not updated (zenon network) | _VSB_ACTUAL
30 | T_STD | Heure d’hiver interne | _VSB_WINTER
31 | RES31 | Réservé à une utilisation interne (clignotement d'alarme) | _VSB_RES31
32 | COT0 | Cause de transmission bit 1 | _VSB_TCB0
33 | COT1 | Cause de transmission bit 2 | _VSB_TCB1
34 | COT2 | Cause de transmission bit 3 | _VSB_TCB2
35 | COT3 | Cause de transmission bit 4 | _VSB_TCB3
36 | COT4 | Cause de transmission bit 5 | _VSB_TCB4
37 | COT5 | Cause de transmission bit 6 | _VSB_TCB5
38 | N_CONF | Confirmation négative de la commande par l'appareil (IEC 60870 [P/N]) | _VSB_PN_BIT
39 | TEST | Bit de test (IEC60870 [T]) | _VSB_T_BIT
40 | WR_ACK | Écriture reconnue | _VSB_WR_ACK
41 | WR_SUC | Écriture réussie | _VSB_WR_SUC
42 | NORM | NORM;État Normal | _VSB_NORM
43 | N_NORM | État déviation normale | _VSB_ABNORM
44 | BL_870 | État IEC 60870 : blocked | _VSB_BL_BIT
45 | SB_870 | État IEC 60870 : substituted | _VSB_SP_BIT
46 | NT_870 | État IEC 60870 : not topical | _VSB_NT_BIT
47 | OV_870 | État IEC 60870 : overflow | _VSB_OV_BIT
48 | SE_870 | État IEC 60870 : select | _VSB_SE_BIT
49 | T_INVAL | Horodatage externe invalide | non défini
50 | CB_TRIP | Déclenchement de disjoncteur détecté | non défini
51 | CB_TR_I | Détection de déclenchement de disjoncteur inactive | non défini
52 | OR_DRV | Valeur non comprise dans la plage valide (IEC 61850) | non défini
53 | T_UNSYNC | ClockNotSynchronized (IEC 61850) | non défini
54 | PR_NR | Pas enregistré dans le Process Recorder | non défini
55 | RES55 | réservé | non défini
56 | RES56 | réservé | non défini
57 | RES57 | réservé | non défini
58 | RES58 | réservé | non défini
59 | RES59 | réservé | non défini
60 | RES60 | réservé | non défini
61 | RES61 | réservé | non défini
62 | RES62 | réservé | non défini
63 | RES63 | réservé | non défini

info Informations

Dans les formules, tous les bits d'état sont disponibles. La disponibilité peut être réduite dans le cadre d'autres utilisations.

Pour plus de détails concernant la gestion des états, reportez-vous au chapitre Gestion d'états.


Logical Operators

Manuel -> Command Sequencer -> Command sequences in Runtime -> Command sequences editor -> Toolbar - command sequences editor (edit mode) -> Formula editor -> Logical Operators

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Logical Operators

Liens logiques : seule la valeur logique '0' sera recherchée dans les variables ; si la valeur n'est pas égale à '0', elle sera considérée comme égale à '1'.

Contrairement aux formules bit, la portée technique peut être modifiée au moyen d'un facteur d'étirement -> (différent de '0' ou '1').

Opérateur | Signification
AND | ET logique
NOT | Négation
OR | OU logique
XOR | OU EXCLUSIF logique

Les opérateurs possèdent la priorité suivante dans le calcul de la formule :

Priorité | Opérateur
1 | & (opérateur des formules bit)
2 | NOT
3 | AND
4 | XOR/OR

Informations concernant info

Jusqu'à 99 variables peuvent être liées dans une formule. X01 à X99.

Informations concernant info

Les bits d'état NORM et N_NORM sont uniquement disponibles dans l'éditeur de formules et ne peuvent pas être configurés par l'intermédiaire de l'état.


Bit formulas

Manuel -> Command Sequencer -> Command sequences in Runtime -> Command sequences editor -> Toolbar - command sequences editor (edit mode) -> Formula editor -> Bit formulas

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Bit formulas

Les formules Bit comportent uniquement un état logique haut ou bas. Contrairement aux formules logiques, la valeur brute est déjà prédéfinie (0,1).

Opérateur | Description
& | AND
| | OR

Autres sujets abordés dans ce chapitre

Example: ORing bitwise


Example: ORing bitwise

Manuel -> Command Sequencer -> Command sequences in Runtime -> Command sequences editor -> Toolbar - command sequences editor (edit mode) -> Formula editor -> Bit formulas -> Example: ORing bitwise

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Example: ORing bitwise

Vous voulez savoir si l'un des bits d'état utilisateur 1 à 8 (M1 ... M8) de la variable X01 est défini :

Formule classique :

X01.M1 OR X01.M2 OR X01.M3 OR X01.M4 OR X01.M5 OR X01.M6 OR X01.M7 OR X01.M8.
Cette requête peut être considérablement simplifiée en utilisant la condition logique OR sur l'état général.

Interrogation OR logique

X01.Status & 0xFF

La constante peut être saisie au format hexadécimal, comme ci-dessus.

0xFF en décimal vaut 255, et correspond aux huit premiers bits d'état (en binaire, 11111111). Si l'un de ces bits est défini sur 1, le résultat de l'application de la condition logique ORing au niveau des bits est 1 (True) ; dans le cas contraire, le résultat est 0 (False).

Si, par exemple, tous les bits d'états utilisateur sont à tester sauf le bit M7, la formule binaire serait : 10111111. Le bit 7 est sans intérêt, et est donc défini sur 0. Ceci correspond à 0xBF en hexadécimal. L'expression de la formule est alors : X01.Status & 0xBF.

A la place d'une comparaison de bits avec OR à l'aide d'une constante, la valeur peut également être comparée directement à un nombre décimal. Si la comparaison est fausse, la valeur binaire sera égale à 0 (False) ; dans le cas contraire, elle prendra la valeur 1 (True).

Exemple :

Si vous voulez savoir si la valeur est égale à la constante 202 : La formule est alors :

X01.value = 202

Si la valeur est égale à la constante 202, le résultat de la formule est 1 (True) ; dans le cas contraire, le résultat est 0 (False).

Remarque : avec le caractère OR (|), la condition logique OR au niveau des bits fonctionne de la même manière que dans cet exemple.


Comparison operators

Manuel -> Command Sequencer -> Command sequences in Runtime -> Command sequences editor -> Toolbar - command sequences editor (edit mode) -> Formula editor -> Comparison operators

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Comparison operators

Les opérateurs de comparaison permettent de comparer directement deux valeurs numériques. Le résultat des comparaisons est une valeur binaire. "0" si la condition est fausse et "1" si la condition est vraie.

Opérateur | Description
< | Inférieur
> | supérieur
<= | Inférieur ou égal
>= | supérieur ou égal
= | Égal
<> | Différent de

À gauche et à droite de l'opérateur de comparaison doivent se trouver des valeurs complètes ou des états complets ; des bits simples ne peuvent pas être utilisés.

A droite d'un opérateur de comparaison, vous pouvez également utiliser une constante
Ces constantes sont saisies sous forme de valeurs hexadécimales ou de valeurs décimales dans l'élément combiné. Hexadecimal numbers are automatically converted to decimal numbers by clicking on OK. For example, 0x64 corresponds to the numerical value 100.

Remarque : The combined element is not available in the Batch Control module.

Example Exemple

X01.valeur >= X02.valeur
Le résultat est 1, si la valeur de X01 est supérieure ou égale à la valeur de X02

X01.valeur = 0x64
Le résultat est 1, si la valeur de X01 est exactement égale à la valeur numérique 100 (= hex 0x64)

(X01.valeur = 0x64) OR (X01.valeur = 0x65)
Le résultat est 1, si la valeur de X01 est exactement égale à la valeur numérique 100 ou 101 (= hex 0x64 ou hex 0x65)


Examples for formulas

Manuel -> Command Sequencer -> Command sequences in Runtime -> Command sequences editor -> Toolbar - command sequences editor (edit mode) -> Formula editor -> Examples for formulas

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Examples for formulas

Liaison logique AND simple entre deux valeurs de bits

Example Exemple

Formule : X01.03 AND X02.03

Cette formule vaut TRUE si le bit 3 de la variable 1 et le bit 3 de la variable 2 sont tous deux égaux à 1.

Comparaison d'une valeur analogique ou de l'état d'une variable

Example Exemple

(X01.Value > X02.Value)

Comparaison de valeurs analogiques sur une base logique

Example Exemple

(X01.Value> X02.Value) AND (X01.Value = X02.Value)

Comparaison à l'aide de bits de valeur et de bits d'état

Example Exemple

(X01.Value> X02.Value) AND (X01.Value = X02.Value) OR (X01.03 = X02.03)

Comparaison d'une valeur avec une valeur décimale ou hexadécimale

Example Exemple

Formule : (X01.Value = 111)

Formule : (X01.Value = 0x6F)

Si une valeur hexadécimale est utilisée, cette dernière est convertie en valeur décimale lorsque vous cliquez sur OK. Si une valeur décimale est saisie et confirmée, la valeur reste affichée au format décimal après la réouverture.

Informations concernant info

Il n'est pas possible d'utiliser une virgule ou un point lors de la saisie d'une valeur.


Toolbar - Command sequences editor (execution mode)

Manuel -> Command Sequencer -> Command sequences in Runtime -> Command sequences editor -> Toolbar - Command sequences editor (execution mode)

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Parameter

Description

Start command sequence

Starts command sequence

Note: not available during redundancy switching.

Pause command sequence

Stops current command sequence and pauses it.

Continue command sequence

Continues paused command sequence.
Only active if the command sequence was previously paused with Pause command sequence.

Abort command sequence

Aborts the command sequence that is running.

User interactions

Switches to the Command Processing screen. To do this, a step must be active in the command sequence. This step must be selected by clicking on the mouse.

The screen that was linked in the Command Processing action is called up. If no screen is linked in the Command Processing action, the linked screen of the Command Processing group is used.

Note: Only active is the action is being executed and a user interaction is expected, for example with a two-step action or an active interlocking.

Check command sequence for errors

Checks configured command sequence for logical consistency and possible errors.

The result is displayed in a dialog.

  • No errors during this command sequence.
  • Checking the command sequence resulted in the following warnings/errors:
    {error details}

Edit element

Calls up a dialog with the element properties for switchgear allocation and transition.

No changes can be made in execution mode. Switch the editor to edit mode in order to make changes.

Note: not available for step.

Graphical design

Calls up dialog to select the graphical design.

The following can be selected:

  • Background color
  • Grid On/Off
  • Grid color
  • Show element IDs

Switch to automatic mode

Switches execution of the switching step to automatic mode.

Switch to semi-automatic mode

Switches execution of the switching step to semi-automatic mode.

Continue command sequence only at selected execution position

Continues a command sequence from the selected element only.

Note: only available in semi-automatic mode.

Continue command sequence at all execution positions

Continues a command sequence at all positions available - regardless of the respective position of the mouse pointer.

Note: only available in semi-automatic mode.

Switch command sequence to edit mode.

Switches to edit mode - command sequences can be edited and repositioned.


Create command sequence

Manuel -> Command Sequencer -> Command sequences in Runtime -> Create command sequence

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Command sequences are named and renamed in the Command sequence configuration dialog. A descriptive text can also be configured.

You create a new command sequence in the list of command sequences.

Parameter | Description
Name | Name of the new command sequence. The name must not contain a question mark (?), a semicolon, an @ or an asterisk (*). Maximum length: 256 characters. Note: When duplicating command sequences, the existing name is supplemented with the prefix "Copy of". If the maximum length is exceeded by this, the name is shortened to the allowed length starting from the last character.
Description | (Optional) text for the description of a command sequence. You can change the description afterwards. To change the description, select the Rename command sequence symbol.

Close dialog

Option | Description
OK | Applique les paramètres et ferme la boîte de dialogue.
Cancel | Annule toutes les modifications et ferme la boîte de dialogue.


Tooltips

Manuel -> Command Sequencer -> Command sequences in Runtime -> Tooltips

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Tool tips in the command sequence editor visualize the respective status of a step and provide further information via the respective status.

Display of the tool tip:

To have a tool tip displayed, go to the respective step in the command sequence grid. The tool tip appears automatically when the mouse is positioned over the step.

Structure:

The tool tip consists of:

  • Command Processing command (action of a Command group)
    • Internal ID
    • Allocated switchgear
  • General
    • Step status
    • Internal state
    • Number of executions
  • Overall duration
    (duration)
    • Date and time stamp for start and end
  • Chronological sequence in detail
    (overall duration)
    • Switchgear allocation
      Date and time stamp for start and end
    • Duration of execution
      Date and time stamp for start and end
    • Wait for subsequent condition
      Date and time stamp for start and end


Execution status

Manuel -> Command Sequencer -> Command sequences in Runtime -> Execution status

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

The following states are possible:

Status

Description

Idle

The command sequence is in idle state.

In execution

When starting a command sequence, it changes to running status.

Skipped

A step was skipped due to the project configuration.

Executed

As soon as the execution is finished, the command sequences switches to Finished status. In this status execution is not possible.

Pausing

The command sequence switches to paused status.

Paused

Within the command sequence, the process stops at:

  • Waiting for Finished
  • Waiting for Allocation
  • Waiting for interlocking condition
  • Waiting for Phase finished
  • Check for parallel execution

Aborting

Aborts the process and changes to Aborted.

Aborted

Command sequence process was aborted.

If a command sequence cannot be started when the process is repeated, its status automatically changes to aborted.

Newly-occurred interlocking

Command sequence is stopped. Aborting the command sequence is now possible.

This status occurs in the following scenario:

  • An interlocking condition (one-step or two-step) waits for confirmation.
  • Whilst a confirmation is waited for, the active interlocking has changed again.

Active element and jump targets

Status | Description
Continue | If an object is paused and an active element is located after it, continue has the same effect as Next step. This also includes jumps. For a step command, the command only affects the jump in the same branch.
Break | Has now effects for jump targets. Already defined targets remain.
Others | Always causes the deletion of the jumps. For a step command, only the jump in the area of the command sequence is deleted.


Symbols and Color

Manuel -> Command Sequencer -> Command sequences in Runtime -> Symbols and Color

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

The states during the process of a command sequence are displayed using different symbols. Some symbols are also used for transitions and end parallel branch.

Symbols and what they mean:

Symbol

Meaning

Command sequence starts

The connection is established.

Wait for switchgear allocation. The switchgear of the step is already used in a different command sequence or is already assigned the NET_SEL status bit.

  • During the execution of a step and the waiting for Reaction finished.
  • With transitions: Whilst running and waiting for transition condition.
  • With end parallel branch: Waiting for all branches combined.

Step has finished

  • With transitions: Waiting for transition condition met.
  • With end parallel branch: Waiting for all parallel branches finished and waiting for following condition.

Values are written.

User interaction required.
Calls up configured Command Processing screen.

Command sequence is in semi-automatic mode and waits for the next step.
To do this, click on the "Continue command sequence at all execution positions" button. It calls up the Command Processing screen.

Multiple executions.

Occurs with an attempt to execute the exact same of steps at the same time.

If an error occurs during a step, the step is marked as faulty until it is restarted.

If a command sequence is paused, the current status is shown as a symbol.

Status

The execution status of steps, transitions and End parallel branch is visualized in color:

Status

Color

Idle:

White

In execution:

green

Skipped:

petrol

Finished:

blue

Pausing:

Two colors:

  • orange
  • Original color

Paused:

orange

Aborting:

Two colors:

  • red
  • Original color

Aborted:

red

Restarting:

Two colors:

  • green
  • Original color

Timeout:

red border

Newly-occurred interlocking

red border

Behavior for the Stop command

After a Stop command, the steps, transitions and end parallel branch immediately go to Stopped status, even if other elements are still waiting for a condition for stopping. Further subsequent commands such as Cancel are ignored. The Stopped status remains displayed.


Validate command sequence

Manuel -> Command Sequencer -> Command sequences in Runtime -> Validate command sequence

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Command sequences can be checked for errors during configuration.

  • Validation is only possible in edit mode.
  • Validation takes place automatically when switching from edit mode to execution mode.

To validate a command sequence, click on the corresponding symbol in the toolbar of the command sequences editor in Runtime (green tick - Check command sequence for errors). The command sequence thus is checked for functionality according to internal rules; the following in particular is checked:

  • Syntax (all lines connected, processable from begin to end, etc.)
  • Variables
  • Data Types

The result of the check is displayed as a dialog in plain text. Found errors are also saved in the log file which can be analyzed with the Diagnosis Viewer.

Rules that must be adhered to during configuration can be found in the Project configuration rules for recipes chapter.

attention Attention

Command sequences that are not connected at the time of validation are ignored during validation. Their content and processes are not checked.

Dialog: Validation OK

Dialog: Validation with errors

If errors occur during checking, they are displayed in this dialog.

This error information includes:

  • Error number
  • Element ID
  • Position in the command sequence grid
  • Error text


Teaching

Manuel -> Command Sequencer -> Command sequences in Runtime -> Teaching

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Configured Command Processing processes can be recorded in the zenon Runtime simulation with the help of teaching. As a result of this process, corresponding command sequences are configured in the simulation image in Runtime during the teaching process.

The command sequence configuration created this way can still be changed manually and imported in real time by importing the simulation image created as a result.

All steps are carried out in zenon Runtime. Additional configuration in for teaching in the zenon Editor is not necessary.

info Informations

The teaching process for the Command Sequencer module is also available if Runtime is running in Process Recorder's playback mode.

Autres sujets abordés dans ce chapitre

Teaching process

Dialog when teaching is canceled

Engineering


Teaching process

Manuel -> Command Sequencer -> Command sequences in Runtime -> Teaching -> Teaching process

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Command Processing actions are processed in a project simulation during an active teaching process and applied in the command sequence selected for teaching. The Command Processing action is incorporated as a step element in the command sequence grid. Elements can also be inserted manually in the command sequence grid during teaching. The teaching process is not interrupted as a result.

In order to be able to execute Command Processing actions from different process images, the teaching process also remains active when the command sequences editor is closed.

During this process, it is possible to switch between Command Processing screens and desired zenon screens in Runtime. It is thus also possible to apply Command Processing actions from different zenon screens in the command sequence. A requirement for this is that there is at least one Command Processing action included in the respective zenon screen.

Teaching is always carried out in the project simulation. As a result, it is ensured that ongoing real-time operation is not affected or that damage is caused by incorrect project configurations. The command sequence can also be edited and changed after the teaching process. An element can still be added manually and processes can be rearranged.

For a command sequence, the teaching process can be repeatedly started and stopped in the simulated Runtime environment.

The command sequences edited in this way can then be imported into the list of command sequences in real-time operation with the Import command sequence from simulation image button.

Teaching in the command sequence grid

The teaching cursor can be positioned in any free cell in the command sequence grid by means of drag&drop. Repositioning of the teaching cursor is possible at any time. For example, for parallel branches, the individual branches can be taught consecutively.

During the teaching process, for each Command Processing action executed, the corresponding step is inserted into the cell of the command sequence grid on which the teaching cursor is currently located. Once a step has been inserted, the teaching cursor is moved down one cell.

If the new teaching cursor position is already occupied by an existing command sequence project configuration, all elements below this in the grid are moved down one line. If existing lines are separated as a result, these are automatically connected again. As a result, it is ensured that a valid command sequence that already exists remains free of errors through the teaching process.

Expansion of the grid is possible up to a total of 1,000 lines. The teaching is canceled after this limit has been reached. The user is informed of this with a dialog.


Dialog when teaching is canceled

Manuel -> Command Sequencer -> Command sequences in Runtime -> Teaching -> Dialog when teaching is canceled

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Certain events in zenon Runtime lead to an ongoing teaching process being canceled. This cancellation of the teaching process is visualized with warning dialogs. In addition, CEL entries and LOG entries are created for the respective events.

The teaching process is canceled:

  • When the project simulation is stopped in Runtime.
  • When the Stop teaching button is clicked on.
  • When the mode of the taught command sequence is switched from edit mode into execution mode.
  • During an XML export of the taught command sequence.
    Note: Caution, no warning dialog appears here. The teaching is stopped automatically. The previously-taught elements are retained however.
  • With XML import, if the taught command sequence is already present in the XML import file and Overwrite existing command sequence is selected for the import options. The previously-taught elements are lost!
  • In the event of changes to the taught command sequence:
    • Save
    • Delete
    • Rename

In doing so, no distinction is made on how the command sequence is changes: for example, by means of keyboard shortcut, clicking on a corresponding symbol, selection from a context menu, etc.

Dialogs during teaching

When the teaching process is canceled, the user is notified of this with warning dialogs. Different dialogs are shown depending on the cause of cancellation.

Closing zenon Runtime

If Runtime is closed during an active teaching process, the user is notified of this with a dialog:

Parameter | Description
Yes | The changes are saved in the current command sequence to be taught. Runtime is closed.
No | The Runtime will be closed. The new elements of the command sequence are not saved.

If no button is clicked on, Runtime is automatically closed once 15 seconds have elapsed. The current command sequence is not saved.

No available line in the command sequence grid

The command sequence grid is expanded by one line during the teaching process if necessary. If the maximum number of 1,000 lines has been reached, the teaching process is canceled and the following dialog is displayed:

Parameter | Description
Yes | Ends the active teaching process and saves the project configuration of the command sequence.
No | Ends the active teaching process. Caution: All new elements since the last save are lost.

Renaming the command sequence

If a command sequence is renamed during an active teaching process, the teaching is canceled. The following dialog appears:

Parameter | Description
Yes | Ends the active teaching process. The command sequence is saved with the current content for the command sequence. A new teaching process is possible.
No | The command sequence is not renamed. The current teaching process is continued. Changes that have previously been made are not saved.

Deleting the command sequence

If a command sequence is deleted during an active teaching process, the following dialog is displayed before deletion:

Parameter | Description
[Name of the command sequence] | Name of the command sequence that is to be deleted. It is always only the current command sequence name that is displayed. The next command sequence to be deleted is shown after the Yes or No button is clicked on.
Yes | Ends the active teaching process. The command sequence is saved with the current content. A new teaching process is possible.
No | The command sequence is not renamed. The current teaching process is continued. Changes that have previously been made are not saved.
Yes all | Deletes all selected command sequences without requesting confirmation. Note: Not active if only one command sequence has been selected for deletion.
No all | Does not delete any of the selected command sequences. The teaching process for the command sequence to be taught continues to be active. Note: Not active if only one command sequence has been selected for deletion.


Engineering

Manuel -> Command Sequencer -> Command sequences in Runtime -> Teaching -> Engineering

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

In order to be able to use teaching in zenon Runtime, process screens with a corresponding (Command Processing) engineering in the zenon Editor are required.

In addition, carry out the following steps:

Engineering in the Editor

  • Create a screen of type Command Sequencer
  • Insert the Command sequence editor control element template into the screen.
  • Create a screen switching function for the configured screen.
  • Create an activate/deactivate project simulation function.
  • Link the created functions in the project.

Runtime

  1. Start the zenon Runtime.
  2. Start the project simulation.
  3. Change to the Command Sequencer screen
    1. Create a new command sequence or select an existing command sequence for editing.
    2. Click on the Start teaching button in the command sequence editor.
    3. Position the teaching cursor element in the command sequence grid.
  4. Switch to any desired process screen.
  5. Carry out the Command Processing actions.
    The corresponding step to the command sequence is added in the command sequence grid. This also happens if the command sequence image is not displayed in Runtime.
  6. If necessary, edit the command sequence configuration. To do this, switch to the command sequencer screen:
    1. Taught steps can be repositioned in the command sequence grid by means of drag&drop.
    2. The teaching cursor can be repositioned in the command sequence grid for another teaching process by means of drag&drop.
    3. To do this, continue the teaching process with step 4.
  7. End the teaching process by clicking on the Stop teaching button.
  8. Correct the end element at the end of the command sequence configuration.
    Note: An empty line always remains before the end element by ending the teaching process.
    Move the end element up one position or drag a line through the empty cell that has been created in order to complete the command sequence configuration correctly.
  9. Check your command sequence configuration by clicking on the Check command sequence for errors button.
  10. End the Runtime simulation.
  11. Switch to the command sequences editor
  12. In the List of command sequences window, click on the Import command sequence from simulation image symbol.
  13. Select, in the import options dialog, the desired command sequence and accept this by clicking on the OK button in the list of command sequences.


Configuration rules for command sequences

Manuel -> Command Sequencer -> Command sequences in Runtime -> Configuration rules for command sequences

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

The following important principles are applicable for configuration:

General

  • For all elements all connection points must be connected.
    Exception: Jump targets. Only two of the three input connection points need to be linked there.
  • The begin element is always present only once with a command sequence and marks the beginning of the process.
    Note: The begin element cannot be deleted.
  • The end element is always present only once with a command sequence and marks the end of the process.
    Note: The end element cannot be deleted.
  • Steps can be inserted anywhere. Several steps can also be placed in succession.
  • There should be at least one active step in a command sequence.

Transitions

  • Two transitions may not lie one after the other.

Branches

  • The first element after a Begin branch must be a transition.
  • The individual branches which start at Begin branch must all end in an End branch never in an End parallel branch. Any element can be placed between begin and end of a branch even parallel branches as long as they are closed before the End branch element. An end branch can be replaced with jump targets at any point, including within a parallel branch.
  • It is not necessary to have an End branch for each Begin branch. You can, for example, have two Begin branch elements ending in one End branch, or the other way round.
  • It is not necessary to have an End branch for a Begin branch. It can simply end in a line. If for example you have a Begin branch element with two paths and one of the paths ends in a jump target, it does not make sense to have an End branch.

Parallel branches

  • Each parallel branch must contain at least one step.
  • The first element after a Begin parallel branch must not be a transition.
  • The individual branches that start at a Begin parallel branch must all end in one End parallel branch, but must never end in an End branch. You may use any elements between Begin parallel branch and End parallel branch even branches as long as they are closed before the End parallel branch.
  • Not all branches which were started in a Begin parallel branch must end in an End parallel branch. It is enough when all branches converge over an End parallel objects. Equally branches from different Begin parallel branch objects may converge in a single End parallel branch.
  • parallel branches allows embedding of additional parallel branches.
    In doing so: each embedded parallel branch must recombine with the superordinate parallel branch

Lines in the command sequence grid

  • Lines may be used as connections between any objects. It is allowed to add any number of lines after another.
  • Lines must not be used to connect two equal connection points.
    For example: Both inputs of two steps must not be connected directly with a line. In the engineering this connection is allowed. It is however displayed in red (error) and in the validation an error message is displayed.

Jump targets

  • Jump targets correspond to an end branch. They are intended to
    • jump between branches,
    • jump out of branches,
    • engineer loops

    For this, the following applies: A path which ends in a jump target must have started with a Begin branch. Otherwise the end is not reached.

  • Jump targets consist of tree inputs and one output. At least two inputs and the output must always be connected. At this it makes no difference which input connection point is connected.
  • Jump targets can be switched consecutively if at least two input connection points are allocated.
  • Jumps are prohibited:
    • between parallel branches
    • to jump out of a parallel branch
    • to jump in a parallel branch.


CEL entries

Manuel -> Command Sequencer -> Command sequences in Runtime -> CEL entries

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Processes in zenon Runtime are supported and visualized by entries in the Chronological Event List.

The following entries are written to the CEL:

  • Command sequence created:
    Command sequence [command sequence name] created
  • Command sequence duplicated:
    Command sequence duplicated. New: [command sequence name] source: [command sequence name]
  • Command sequence renamed:
    Command sequence renamed. New: [command sequence name] old: [command sequence name]
  • Command sequence completed:
    Command sequence [command sequence name] completed
  • Command sequence canceled:
    Command sequence [command sequence name] canceled
  • Manual step executed:
    Manual script executed. Command sequence [command sequence name]; previous element ID: [Element ID] (column [column number in the command sequence grid] – line [line number in the command sequence grid])
  • Manual jump carried out:
    Manual jump carried out. Command sequence [command sequence name]; start: Subsequent element ID: [Element ID] (column [column number in the command sequence grid] – line [line number in the command sequence grid]) – target: Previous element ID: [Element ID] (column [column number in the command sequence grid] – line [line number in the command sequence grid])
  • Skip step:
    The action [step name] was skipped.

info Informations

You can find further information on CEL in the Chronological Event List manual.


Command sequences and simulation mode

Manuel -> Command Sequencer -> Command sequences and simulation mode

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Autres sujets abordés dans ce chapitre

Import command sequence(s) from simulation image

Creating a simulation image


Import command sequence(s) from simulation image

Manuel -> Command Sequencer -> Command sequences and simulation mode -> Import command sequence(s) from simulation image

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

In this dialog, you arrange configured command sequences from one or more simulation images for import into zenon Runtime.

Parameter

Description

Project simulation

List of all existing project simulation images.

Only one simulation image can be selected at a time.

Command sequences in project simulation

List of all configured command sequences from the selected project simulation.

Multiple selection is possible.

Existing command sequences

Pre-existing command sequences in the zenon project that is currently running.

Add

Adds selected command sequences from the Command sequences in project simulation list to the List of command sequences to be applied.

Only active if at least one command sequence from a simulation image has been selected.

Overwrite

Adds a command sequence from the Command sequences in project simulation list to the List of command sequences to be applied. This command sequence overwrites the existing command sequence in the command sequences editor in Runtime!

This button is only active if just one command sequence has been selected and the selected command sequence is already in the existing command sequences list. The command sequence is thus already present in the command sequences editor and is overwritten.

With multiple selection of command sequences from a project simulation, the button is then grayed out if the selection contains a command sequence that is not yet present in the list of existing command sequences. A new command sequence is created when transferring to Runtime. This new project configuration is given a serial number in the naming.

List of the command sequences to be transferred.

Assigned command sequences that are applied in the current Runtime environment.

  • Simulation image:
    Name of the simulation image from which the command sequence comes.
  • Command sequence name:
    Name of the command sequence as saved in the simulation image.
  • Conflict handling:
    The type of conflict handling depends on how the respective command sequence is transferred to the list. Depending on the button used (Add or Overwrite), the conflict handling is prescribed and cannot be changed.

Note: List can be sorted and filtered.

Remove

Removes highlighted command sequence from the List of command sequences to be applied.

Multiple selection is possible. A new assignment from Command sequences in project simulation is possible.

OK

Closes the dialog and applies project configurations from the list of command sequences to be applied in the command sequences editor.

Cancel

Annule toutes les modifications et ferme la boîte de dialogue.

If the Command Sequencer module is operated in the zenon network, the following rules are applicable:

  • If the dialog is called up, the project simulation list is filled with the simulation images from the server.
    If a server is lost, the dialog with an empty project simulation list is called up.
  • The command sequences in project simulation list is also filled with data from the server on the client. The list is empty if the server is lost.


Creating a simulation image

Manuel -> Command Sequencer -> Command sequences and simulation mode -> Creating a simulation image

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

In order to be able to create a simulation image in zenon Runtime, carry out the following steps in the zenon Editor:

  1. Create a new function:

    In the toolbar or in the context menu of the Functions node, select the New function command.
    The dialog to select a function is opened.

  2. Select, in the dialog from the Applications group, the Activate/deactivate project simulation function.
    The dialog to configure the project simulation is opened.
  3. Name the function.
  4. Link the function to a button.

Operation in Runtime

If the dialog is not offered in Runtime, please note that each restart of a simulation overwrites the previous simulation image!

info Informations

You can find more information in the project simulation manual.

The current status is read with the system driver variable [system information] Runtime status (simulation)


Command sequences in the zenon network

Manuel -> Command Sequencer -> Command sequences in the zenon network

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

The Command Sequencer module is also available in the zenon network. Command sequences are always executed on the Server in the process. Each client can execute and administer command sequences.

If a computer works as a Client in the network, all changes to the command sequence(s) are transferred to/from the Primary Server. If there is a Standby Server in the current network topology, all command sequences are synchronized by the Primary Server. The Standby Server synchronizes itself automatically.

Display of dialogs

If a command sequence is started by means of a function or button in the command sequences editor, dialogs are always called up on the computer on which the command sequence was started.

These are:

  • Command Processing screens
  • Error message

Redundancy

The Command Sequencer module supports, from zenon version 7.50, the redundant zenon network.

The following redundancy types are supported:

  • Rated network
  • Non-dominant network
  • Dominant network

zenon network

You can find further information on the configuration of redundancy in the Network manual.

  • Types of redundancy
    • Redundancy in a rated network
    • Redundancy in a non-dominant network
  • Authorization in the network
  • Functions in the network

Autres sujets abordés dans ce chapitre

Particular aspects for the Command Processing screen

Simulation images in network projects

Behavior in the zenon network

Authorization


Particular aspects for the Command Processing screen

Manuel -> Command Sequencer -> Command sequences in the zenon network -> Particular aspects for the Command Processing screen

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

If user interaction has been configured in the Command Processing, the following is applicable:

  • the Command Processing screen is automatically called up on the computer on which the command sequence was started.
  • On all other computers, the Command Processing screen can be called up by clicking on the User interaction button.
  • When executing a two-step step, a Command Processing screen is called up once there are no more active interlockings. The Command Processing screen is either that of an action or - if no screen has been configured there - the Command Processing screen of the command group.


Simulation images in network projects

Manuel -> Command Sequencer -> Command sequences in the zenon network -> Simulation images in network projects

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

If the Command Sequencer module is operated in the zenon network, the following rules are applicable:

  • If the dialog is called up, the project simulation list is filled with the simulation images from the server.
    If a server is lost, the dialog with an empty project simulation list is called up.
  • The command sequences in project simulation list is also filled with data from the server on the client. The list is empty if the server is lost.


Behavior in the zenon network

Manuel -> Command Sequencer -> Command sequences in the zenon network -> Behavior in the zenon network

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

The network concept of the Command Sequencer module works according to the following principle:

  • The command sequences can be configured on the client, as well as the Server or on the Standby Server.
  • The configured command sequences are administered on the Primary Server and distributed to the clients.
  • The command sequences can be operated on both the client and the Server.
  • The command sequences are always executed on the Primary Server.
  • With redundancy switching, the command sequences are canceled.
    These can be restarted manually on the new Primary Server.

Role switch between Server 1 and Server 2

  • Redundancy switching is delayed until all active command sequences have been completed.
  • The start of command sequences is blocked during a redundancy switching. The buttons on the client are grayed out in this time.
    • This redundancy switching can be planned in a Rated network.
    • In a dominant network or a non-dominant network, redundancy switching is carried out when the Primary Server fails.
  • It is possible to start command sequences again once the switch has been carried out or if the switch has been completed.
    An entry is written to the CEL in this case.
  • CEL messages are written for the following events:
    • Start of a command sequence on the server is blocked.
    • If a command sequence in the dominant network is to be started on the Serveur 2 .
    • The command sequence cannot be started because there is currently a redundancy switch pending.
    • Note: No CEL message is generated if an incorrect command sequence is started.

LOG entry

Entry | Level | Description
The sequence (mrid:<id1>, crid:<id2>)<name> could not be started, because a redundancy switch is pending. | ERRORS | The command sequence cannot be started because there is a redundancy switch pending.

Special case: Two servers in the network

In the event that, when switching the Primary Server, there are still command sequences running on the "new" Standby Server, these are canceled on the Standby. This can only occur if both servers in the network were no longer connected (due to a network failure for example) and are now connected again. In this case, the change to the command sequence is not transferred to the Primary Server.

This means that, if there is a connection and command sequences that are now canceled on the Standby have already been opened on the Primary Server, these continue to be considered as running. It can only be restarted again once this command sequence has been closed on Serveur 1 and Serveur 2.

No connection to Server and Standby

If the command sequence screen is opened on the Client when neither Serveur 1 nor Serveur 2 are contactable, the command sequences editor on the Client is not available. The command sequence editor remains empty. An error text is displayed in zenon Runtime instead of the command sequence image.

Error dialog

If a command sequence cannot be started, the following error dialog is shown:


Authorization

Manuel -> Command Sequencer -> Command sequences in the zenon network -> Authorization

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

The following rules are applicable for the Command Sequencer module with operating authorization:

  • Operating authorization via Equipment model
    • In principle, all interactions are permitted in the command sequencer editor.
    • When a command sequence is started manually, a check is made to see whether there are operating authorizations for all variables of the command sequence (response variable). The command sequence is executed if this authorization is present.
    • In order to be able to execute a pending user interaction, the same user authorization as for the start of the command sequence is necessary.
    • All other interactions such as stopping, renaming, etc. do not need operating authorizations for the equipment model.
  • Global operating authorization
    • Each start of a command sequence and each interaction needs the corresponding operating authorization.
    • No action is executed without a valid token.


Command sequences on the web client

Manuel -> Command Sequencer -> Command sequences on the web client

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

If a zenon web server with the standard license is used:

  • The settings for grid and color can be changed on the zenon Web Client
  • No command sequences can be created or edited on the zenon Web Client
  • The size of the editing area cannot be changed on the zenon Web Client
  • In the toolbar, all symbols that are not permitted on the zenon Web Client are deactivated;
    it is thus not possible to select the corresponding objects.

If zenon Web Server Pro is used, these restrictions do not exist.


Authorization

Manuel -> Command Sequencer -> Authorization

The following is applicable for operating authorizations for the Command Sequencer Command Sequencer module:

  • Global operating authorizations
    The executing computer must have the corresponding operating authorization. No interactions are permitted without the corresponding authorization.
    This authorization is applicable in general for all interactions. No distinction is made for individual content.
  • Operating authorization via Equipment model.
    • The start of a command sequence requires corresponding authorization for all response variables used in the command sequence.
    • A pending user interaction requires the same user authorization as for the start of the command sequence.
    • All other interactions such as stopping, renaming, etc. do not need operating authorizations.

info Informations

You can find further information on authorizations in the Network manual in the Operating authorizations in the network chapter.


Structure of the XML file for command sequences

Manuel -> Command Sequencer -> Structure of the XML file for command sequences

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Please keep in mind:

  • Changes to the XML file are for experts only and are not generally recommended.
  • An invalid XML file can lead to problems during XML import. The import can fail as a result.
  • Due to the fact that both the Command Sequencer module and the Batch Control module use a common XML structure, content and illustrations are the same as the terminology of the Batch Control module. If these entries are missing in the XML file, the content is also invalid for command sequences.

info Informations

This documentation of the XML file describes the elements "from top to bottom" according to how they occur in the file. Substructures contained therein are each described in detail in their own areas.

Main nodes

The first level of the XML structure:

Parameter | Description
xml | XML declaration with XML version and character coding: version="1.0" encoding="utf-16"
Subject | Please note the detailed description for the content of this node.

Subject

The Subject node contains general information on the XML file.

Parameter | Description
ShortName | (prescribed value) zenOn(R) exported project
MainVersion | Version of zenon from which the XML export was carried out. (prescribed value) 7500
Apartment | Please note the detailed description for the content of this node.

Apartment

The Apartment node represents content for exported command sequence project configurations.

Parameter | Description
ShortName | (prescribed value) zenOn(R) command sequencer
Version | Version of zenon from which the XML export was carried out. (prescribed value) 7500
CommandSequence | Node for project configuration content of a command sequence. Each individual exported command sequence configuration is represented with its own CommandSequence node. Please note the detailed description for the content of this node.

CommandSequence

The node contains general information on the configuration of a command sequence.

Parameter

Description

MrId

ID of the command sequence. This ID must be unique for each command sequence and must not be issued twice.

MrName

Name of the command sequence.

Corresponds to the Name input field in the Command sequence configuration dialog.

MrDescription

Description of the command sequence.
Corresponds to the Description input field in the Command sequence configuration dialog.

MrVersion

Version of command sequence.
1

(prescribed value)
Default setting that cannot be changed.

MrSourceVersion

Original version of the command sequence.

0

(prescribed value)

Default setting that cannot be changed.

MrStatus

Status/mode of the command sequence.

  • 0
    Not used
  • 1
    Edit mode
  • 2
    Not used
  • 3
    Execution mode

RecipeType

Type of command sequence.

Pfc

(prescribed value)

Default setting that cannot be changed.

ApprovalTime

Time stamp for approved command sequences.

No entry
Is not used for the Command Sequencer module.

ApprovalUserName

Name of the user who approved the command sequence.

No entry
Is not used for the Command Sequencer module.

ApprovalUserID

ID of the user who approved the command sequence.

No entry
Is not used for the Command Sequencer module.

OutdatedTime

Obsolete time for the command sequence.

No entry
Is not used for the Command Sequencer module.

OutdatedUserName

Name of the user who set the command sequence to obsolete.

No entry
Is not used for the Command Sequencer module.

OutdatedUserID

ID of the user who set the command sequence to obsolete.

No entry
Is not used for the Command Sequencer module.

Structure

Please note the detailed description for the content of this node.

Structure node

Each configured command sequence is represented in the XML file with the Structure_[serial number] node.

Parameter | Description
NODE | Given text: zenOn(R) embedded object
LastObjId | Last-used ID of the command sequence.
ColCount | Total number of columns in the command sequence grid.
RowCount | Total number of rows in the command sequence grid.
CenterColOffset | Start coordinates of the cell with the first element of a command sequence configuration in the command sequence grid. 0 (prescribed value)
CenterRowOffset | Start coordinates of the row with the first element of a command sequence configuration in the command sequence grid. 0 (prescribed value)
ChartObject | Please note the detailed description for the content of this node.

ChartObject node

Each individual element of the command sequence grid is represented in the XML file with the ChartObject_[serial number] node.

The respective XML elements differ depending on the element.

Parameter

Description

NODE

Given text:
zenOn(R) embedded object

Type

Type of element.

  • 1
    Start element
  • 2
    End element
  • 3
    Step
  • 4
    Transition
  • 5
    Begin branch
  • 6
    End branch
  • 7
    Begin parallel branch
  • 8
    End parallel branch
  • 9
    Switchgear allocation
  • 10
    Not used for command sequences
  • 11
    Line
  • 12
    Jump target

Autres sujets abordés dans ce chapitre

XML structure for elements - complete overview


XML structure for elements - complete overview

Manuel -> Command Sequencer -> Structure of the XML file for command sequences -> XML structure for elements - complete overview

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

This description offers a complete overview of all possible elements.

You can find a detailed description according to elements ....

Start element

Parameter | Description
NODE | Given text: zenOn(R) embedded object
TYPE | Type of element. Always 1 for start element
ChartId | ID of the element in the sequence.
ChartCol | Coordinates of the column of the element in the command sequence grid. The number relates to the free columns next to the element. This means: ChartCol 3 = the element is positioned in Column 4.
ChartRow | Coordinates of the line of the element in the command sequence grid. The number relates to the free lines above the element. This means: ChartRow 3 = the element is positioned in row 4.

End element

Parameter | Description
NODE | Given text: zenOn(R) embedded object
TYPE | Type of element. Always 2 for end element
ChartId | ID of the element in the sequence.
ChartCol | Coordinates of the column of the element in the command sequence grid. The number relates to the free columns next to the element. This means: ChartCol 3 = the element is positioned in Column 4.
ChartRow | Coordinates of the line of the element in the command sequence grid. The number relates to the free lines above the element. This means: ChartRow 3 = the element is positioned in row 4.

Element line

Parameter

Description

NODE

Given text:
zenOn(R) embedded object

TYPE

Type of element.

Always 11 for line element

ChartId

ID of the element in the sequence.

ChartCol

Coordinates of the column of the element in the command sequence grid.

The number relates to the free columns next to the element.
This means: ChartCol 3 = the element is positioned in Column 4.

ChartRow

Coordinates of the line of the element in the command sequence grid.

The number relates to the free lines above the element.
This means: ChartRow 3 = the element is positioned in row 4.

FirstCol

Coordinates of the column in which the line starts.

FirstRow

Coordinates of the row in which the line starts.

SecondCol

Coordinates of the column in which the line ends.

The number relates to the free columns next to the element.
This means: ChartCol 3 = the element is positioned in Column 4.

SecondRow

Coordinates of the row in which the line ends.

The number relates to the free lines above the element.
This means: ChartRow 3 = the element is positioned in row 4.

LineSegments

Column, row, type coordinates of the cells, separated by # where the complete line runs.

Type of line:

  • 0: Straight line from top to bottom
  • 1: 90° from the top to the right
  • 2: 90° from the top to the left
  • 3: Straight line from left to right
  • 4: 90° from the right to the bottom
  • 5: 90° from the left to the bottom

Example:

1|3|0#1|2|5#0|1|0#0|2|1


Commande temporisée

Manuel -> Commande temporisée

La commande temporisée permet d’exécuter des actions dans le Runtime en utilisant des fonctions temporisées. Une fonction temporisée appelle une fonction zenon et l’exécute une fois à un moment donné ou de manière cyclique. Par exemple, les données de production importantes peuvent être sauvegardées automatiquement sur un serveur connecté au réseau.

tutorial Informations concernant la licence

Composante de la licence standard d’Editor et du Runtime.

Menu contextuel Gestionnaire de projet

Élément de menu | Action
Nouvelle commande temporisée | Créer une nouvelle fonction pour la commande temporisée.
Exporter tout (XML) | Exporte toutes les entrées sous forme de fichier XML.
Importer XML … | Importe des entrées à partir d'un fichier XML.
Profil Editor | Ouvre la liste déroulante contenant les profils Editor prédéfinis.
Aide | Ouvre l'aide en ligne.

Autres sujets abordés dans ce chapitre

Configuration dans Editor

Barre d'outils et menu contextuel de la vue de détail Commande temporisée

Configuration fonction temporisée


Configuration dans Editor

Manuel -> Commande temporisée -> Configuration dans Editor

La commande temporisée est configurée dans l’Editor dans le nœud Commande temporisée. Des fonctions de temps pré-existantes s’affichent dans la vue détaillée. Des fonctions temporisées peuvent être modifiées grâce à leurs propriétés.

Remarque : Le changement de mois et changement d’année désigne la date d’exécution définie, et non le changement de mois au 1. 1. à 00:00.
Si la modification doit être exécutée à cet instant précis, la configuration doit être effectuée pour cet instant ; par exemple, 01.01.2017 à 00:00:00 h.


Barre d'outils et menu contextuel de la vue de détail Commande temporisée

Manuel -> Commande temporisée -> Barre d'outils et menu contextuel de la vue de détail Commande temporisée

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Menu contextuel

Élément de menu | Action
Nouvelle commande temporisée | Insère une nouvelle fonction de commande temporisée dans la liste.
Retour à l'élément de départ | Jumps back to the initial position in the zenon Editor. Remarque : This context menu entry is only available if a jump to the current position has been made from another position with the Linked elements context menu entry.
Copier | Copie les entrées sélectionnées et vers le presse-papiers.
Coller | Insère le contenu du presse-papier. Si une entrée portant le même nom existe déjà, le contenu est collé sous le nom Copie de....
Supprimer | Après une demande de confirmation, supprime les entrées sélectionnées de la liste.
Exporter la sélection en XML... | Exporte touts les entrées sélectionnées sous forme de fichier XML.
Importer XML | Importe des entrées à partir d'un fichier XML.
Supprimer tous les filtres | Supprime tous les paramètres de filtre
Éditer cellule sélectionnée | Ouvre la cellule sélectionnée pour la modification. Le symbole représentant des jumelles dans l'en-tête indique la cellule sélectionnée dans une ligne affichée en surbrillance. Seules les cellules pouvant être modifiées peuvent être sélectionnées.
Modifier un texte dans la colonne sélectionnée | Ouvre la boîte de dialogue de recherche et de remplacement de texte.
Propriétés | Ouvre la fenêtre de Propriétés.
Aide | Ouvre l'aide en ligne.


Configuration fonction temporisée

Manuel -> Commande temporisée -> Configuration fonction temporisée

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Pour créer une fonction temporisée :

  1. Soulignez le nœud Commande temporisée dans le gestionnaire de projet.
  2. Sélectionnez Nouvelle fonction temporisée dans le menu contextuel ou la barre d’outils.

    Une nouvelle fonction temporisée est créée.

  3. Configurez la fonction temporisée en utilisant ses propriétés.
    Surtout :
    1. Actif : Activez cette propriété afin que la commande temporisée s’exécute dans le Runtime.
    2. Nom : Nom unique de la fonction.
      Remarque : La langue du nom ne peut pas être modifiée.
    3. Fonction : Sélection de la fonction à appeler à un moment défini.
    4. Type d'exécution : Configuration du moment et de l’intervalle auxquels la fonction s’exécute.
      Avec Heure de démarrage : et, le cas échéant, Intervalle.
    5. Sélectionnez, le cas échéant, dans le groupe Jours d'exécution, les jours où la fonction doit s’exécuter.

Exécute différentes fonctions

Pour exécuter différentes fonctions zenon en utilisant une fonction temporisée :

  1. Créez un script contenant toutes les fonctions nécessaires.
  2. Créez une fonction Script : exécuter qui exécute ce script.
  3. Dans la propriété Fonction, sélectionnez la fonction exécutant le script.

Configuration des intervalles

Les fonctions temporisées peuvent être exécutées dans les intervalles.
Pour exécuter une fonction temporisée :

  1. Sélectionnez, pour la propriété Type d'exécution, une valeur qui n’est pas uniquement ce jour.
  2. Configurez l'élément Heure de démarrage :.
  3. Avec exécution cyclique : Configurez une des propriétés :
    • Intervalle : La fonction s’exécute ce jour à partir de l’heure de début dans l’intervalle configurée.
      Exemple : Avec la valeur 00:15:00, la fonction temporisée s’exécute toutes les 15 minutes.
    • Intervalle un mois : La fonction s’exécute à l’heure de début chaque mois à la même heure.
    • Intervalle une année : La fonction s’exécute à l’heure de début chaque année à la même heure.
  4. Pour des répétitions sur plusieurs jours : Dans le groupe Jours d'exécution, sélectionnez les jours où la fonction doit s’exécuter.

Remarque : Le changement de mois et changement d’année désigne la date d’exécution définie, et non le changement de mois au 1. 1. à 00:00.
Si la modification doit être exécutée à cet instant précis, la configuration doit être effectuée pour cet instant ; par exemple, 01.01.2017 à 00:00:00 h.

Filtrage des groupes d’équipement

Les fonctions temporisées peuvent être reliées à des groupes d’équipement avec la propriété Groupes d'équipements. Ce lien n’a un effet que dans l’Editor. Il vous permet de filtrer les fonctions temporisées pour les groupes d’équipement.


Contrôles

Manuel -> Contrôles

Dans zenon, vous pouvez intégrer vos propres contrôles. Pour cela, les possibilités suivantes sont disponibles :

  • Contrôles utilisateur .NET (pour la mise en œuvre dans zenon, voir également la section Contrôles .NET dans le manuel Synoptiques.)
  • ActiveX (pour la mise en œuvre dans zenon, voir également la section ActiveX dans le manuel Synoptiques.)
  • WPF

info Informations

Des informations concernant l'utilisation des interfaces de programmation (PCE, VBA, VSTA) de zenon sont disponibles dans le manuel Interfaces de programmation.

tutorial Informations concernant la licence

Composante de la licence standard d’Editor et du Runtime.

attention Attention

Les erreurs dans les applications telles que ActiveX, PCE, VBA, VSTA, WPF et les applications externes accédant à zenon via l'API peuvent également influencer la stabilité du Runtime.

Autres sujets abordés dans ce chapitre

Général

ActiveX

Contrôles utilisateur .NET

WPF


Général

Manuel -> Contrôles -> Général

Les contrôles de zenon peuvent être mis en œuvre via ActiveX, .NET et WPF. Via VBA/VSTA, vous pouvez accéder à l'API de zenon.

Autres sujets abordés dans ce chapitre

Access zenon API

Méthodes


Access zenon API

Manuel -> Contrôles -> Général -> Access zenon API

Dans zenon, vous pouvez améliorer un contrôle ActiveX avec des fonctions spéciales, afin d'accéder à l'API zenon.

Accédez à l'API zenon.

  • Dans Références du projet, sélectionnez Ajouter des références.... Bibliothèque d'objets de Runtime de zenon
  • Ajoutez les fonctions améliorées au code de classe du contrôle.

Fonctions ActiveX améliorées de zenon

// Appelé durant l'initialisation du contrôle dans le Runtime zenon.

public bool zenon>Init(zenon.Element dispElement)…

// Appelé durant la destruction du contrôle dans le Runtime zenon.

public bool zenonExit()

// Prend en charge la liaison de variable du contrôle

public short CanUseVariables()…

// Le contrôle COM prend en charge différents types de données.

public short VariableTypes()…

// Nombre maximal de variables pouvant être liées au contrôle.

public short MaxVariables()…

Exemple

L'objet COM d'une variable de zenon est temporairement enregistré dans un membre, afin qu'il soit accessible ultérieurement via l'événement Paint du contrôle.

zenon.Variable m_cVal = null;

public bool zenon>Init(zenon.Element dispElement)

{

if (dispElement.CountVariable > 0) {

try {

m_cVal = dispElement.ItemVariable(0);

if (m_cVal != null) {

object obRead = m_cVal.get_Value((object)-1);

UserText = obRead.ToString();

}

}catch { }

}

return true;

}

public bool zenonExit()

{

try {

if (m_cVal != null) {

System.Runtime.InteropServices.Marshal.ReleaseComObject(m_cVal);

m_cVal = null;

}

}

catch { }

return true;

}

public short CanUseVariables()

{

return 1; // les variables sont prises en charge

}

public short VariableTypes()

{

return short.MaxValue; // Tous les types de données sont pris en charge

}

public short MaxVariables()

{

return 1; // Au maximum, une variable sera liée au contrôle

}

private void SamplesControl_Paint(object sender, PaintEventArgs e)

{

// Les variables de zenon ont été modifiées

try {

if (m_cVal != null) {

object obRead = m_cVal.get_Value((object)-1);

UserText = obRead.ToString();

}

}catch { }

}


Méthodes

Manuel -> Contrôles -> Général -> Méthodes

Les contrôles ActiveX et .NET utilisant des variables de zenon nécessitent certaines méthodes spécifiques.

Autres sujets abordés dans ce chapitre

CanUseVariables

MaxVariables

Types de variables

zenonExit

zenonExitEd

zenonInit

zenonInitEd


CanUseVariables

Manuel -> Contrôles -> Général -> Méthodes -> CanUseVariables

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Prototype : short CanUseVariables();

Cette méthode renvoie 1 ou 0

Valeur | Description
1 : | Le contrôle peut utiliser des variables de zenon. Pour l'élément dynamique (via le bouton Variable), vous pouvez uniquement déclarer des variables de zenon avec le type déclaré par le biais de la méthode VariableTypes, conformément au nombre défini par la méthode MaxVariables.
0 : | Le contrôle ne peut pas utiliser de variables de zenon, ou ne dispose pas de la méthode adéquate. Vous pouvez déclarer des variables de tout type, sans limitation de nombre. Dans le Runtime, toutefois, ces variables sont uniquement utilisables avec du code VBA.


MaxVariables

Manuel -> Contrôles -> Général -> Méthodes -> MaxVariables

Prototype : short MaxVariables();

Dans cette section est défini le nombre de variables pouvant être sélectionnées dans la liste de variables.

Si la valeur 1 est renvoyée, la sélection multiple est désactivée dans la liste de variables. Un avertissement est alors affiché si plusieurs variables sont sélectionnées.


Types de variables

Manuel -> Contrôles -> Général -> Méthodes -> Types de variables

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Prototype : short VariableTypes();

La valeur renvoyée par cette méthode est utilisée comme masque pour les types de variable utilisables dans la liste de variables. La valeur est une relation AND (et) parmi les valeurs suivantes (définies dans zenon32/dy_type.h) :

Valeur 1 | Valeur 2 | Équivalent
WORD | 0x0001 | Position 0
BYTE | 0x0002 | Position 1
BIT | 0x0004 | Position 2
DWORD | 0x0008 | Position 3
FLOAT | 0x0010 | Position 4
DFLOAT | 0x0020 | Position 5
STRING | 0x0040 | Position 6
IN_OUTPUT | 0x8000 | Position 15


zenonExit

Manuel -> Contrôles -> Général -> Méthodes -> zenonExit

Prototype : boolean zenonExit();

Cette méthode est appelée par le Runtime de zenon lorsque le contrôle ActiveX est fermé.

Ici, tous les pointeurs de répartition renvoyant à des variables doivent être libérés.


zenonExitEd

Manuel -> Contrôles -> Général -> Méthodes -> zenonExitEd

Équivalent à zenonExit ; exécuté lors de la fermeture d'ActiveX dans Editor.

Cette méthode permet de réagir aux changements dans ActiveX, par exemple aux modifications de valeurs dans Editor.

Information : actuellement uniquement disponible pour ActiveX.


zenonInit

Manuel -> Contrôles -> Général -> Méthodes -> zenonInit

Prototype : boolean zenonInit(IDispatch*dispElement);

Cette méthode (dans le Runtime) permet au contrôle ActiveX d'obtenir un pointeur vers l'interface de répartition de l'élément dynamique. Ce pointeur permet également d'accéder aux variables de zenon liées à l'élément dynamique.

Vous définissez l'ordre de tri des variables transférées dans la configuration de l'élément ActiveX à l'aide des boutons Bas ou Haut.
La boîte de dialogue Entrer les propriétés apparaît lorsque vous double-cliquez sur l'élément ActiveX ou que vous sélectionnez la propriété Paramètres ActiveX dans les propriétés de l'élément, dans le nœud Affichage.


zenonInitEd

Manuel -> Contrôles -> Général -> Méthodes -> zenonInitEd

Équivalent à zenonInit ; exécuté lors de l'ouverture d'ActiveX dans Editor (double-cliquez sur le contrôle ActiveX).

Information : actuellement uniquement disponible pour ActiveX.


ActiveX

Manuel -> Contrôles -> ActiveX

ActiveX permet d'améliorer de manière autonome les fonctionnalités du Runtime et d'Editor de zenon.

Dans ce manuel, vous trouverez des informations concernant :

  • Développement d'éléments ActiveX
  • Exemple : LatchedSwitch (C++)
  • Exemple : CD SliderCtrl (C++)
  • Exemple : contrôle. NET exécuté en tant que contrôle ActiveX (C#)

Vous trouverez d'autres informations concernant les éléments dynamiques ActiveX dans le manuel Synoptiques, au chapitre ActiveX.

ActiveX pour Windows CE

Si un contrôle ActiveX doit être exécuté sous Windows CE, le modèle de apartment doit être défini sur Threading. S'il est défini sur Free (Libre), le contrôle ne s'exécutera pas dans le Runtime de zenon.

Autres sujets abordés dans ce chapitre

Développement d'éléments ActiveX

Exemple : LatchedSwitch (C++)

Exemple : CD SliderCtrl (C++)

Exemple : contrôle. NET exécuté en tant que contrôle ActiveX (C#)


Développement d'éléments ActiveX

Manuel -> Contrôles -> ActiveX -> Développement d'éléments ActiveX

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

L'élément dynamique ActiveX dans zenon peut transmettre des variables au contrôle ActiveX sans utiliser VBA pour actionner le contrôle.

Le contrôle définit maintenant automatiquement combien de variables zenon il peut utiliser et de quel type ces variables peuvent être. En outre, les propriétés du contrôle peuvent également être définies par l'élément dynamique.

Pour cela, l'interface (interface de transmission) du contrôle doit être compatible avec un certain nombre de méthodes .

Autres sujets abordés dans ce chapitre

Méthodes


Méthodes

Manuel -> Contrôles -> ActiveX -> Développement d'éléments ActiveX -> Méthodes

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Chaque contrôle ActiveX pouvant utiliser des variables de zenon doit contenir les méthodes suivantes :

  • CanUseVariables
  • MaxVariables
  • Types de variables
  • zenonExit
  • zenonExitEd
  • zenonInit
  • zenonInitEd

L'ID de répartition des méthodes dans l'interface est sans importance. Lors de l'appel des méthodes, zenon reçoit l'ID de l'interface.

Autres sujets abordés dans ce chapitre

CanUseVariables

MaxVariables

Types de variables

zenonExit

zenonExitEd

zenonInit

zenonInitEd


CanUseVariables

Manuel -> Contrôles -> ActiveX -> Développement d'éléments ActiveX -> Méthodes -> CanUseVariables

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Prototype : short CanUseVariables();

Cette méthode renvoie 1 ou 0

Valeur | Description
1 : | Le contrôle peut utiliser des variables de zenon. Pour l'élément dynamique (via le bouton Variable), vous pouvez uniquement déclarer des variables de zenon avec le type déclaré par le biais de la méthode VariableTypes, conformément au nombre défini par la méthode MaxVariables.
0 : | Le contrôle ne peut pas utiliser de variables de zenon, ou ne dispose pas de la méthode adéquate. Vous pouvez déclarer des variables de tout type, sans limitation de nombre. Dans le Runtime, toutefois, ces variables sont uniquement utilisables avec du code VBA.


MaxVariables

Manuel -> Contrôles -> ActiveX -> Développement d'éléments ActiveX -> Méthodes -> MaxVariables

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Prototype : short MaxVariables();

Dans cette section est défini le nombre de variables pouvant être sélectionnées dans la liste de variables.

Si la valeur 1 est renvoyée, la sélection multiple est désactivée dans la liste de variables. Un avertissement est alors affiché si plusieurs variables sont sélectionnées.


Types de variables

Manuel -> Contrôles -> ActiveX -> Développement d'éléments ActiveX -> Méthodes -> Types de variables

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Prototype : short VariableTypes();

La valeur renvoyée par cette méthode est utilisée comme masque pour les types de variable utilisables dans la liste de variables. La valeur est une relation AND (et) parmi les valeurs suivantes (définies dans zenon32/dy_type.h) :

Valeur 1 | Valeur 2 | Équivalent
WORD | 0x0001 | Position 0
BYTE | 0x0002 | Position 1
BIT | 0x0004 | Position 2
DWORD | 0x0008 | Position 3
FLOAT | 0x0010 | Position 4
DFLOAT | 0x0020 | Position 5
STRING | 0x0040 | Position 6
IN_OUTPUT | 0x8000 | Position 15


zenonExit

Manuel -> Contrôles -> ActiveX -> Développement d'éléments ActiveX -> Méthodes -> zenonExit

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Prototype : boolean zenonExit();

Cette méthode est appelée par le Runtime de zenon lorsque le contrôle ActiveX est fermé.

Ici, tous les pointeurs de répartition renvoyant à des variables doivent être libérés.


zenonExitEd

Manuel -> Contrôles -> ActiveX -> Développement d'éléments ActiveX -> Méthodes -> zenonExitEd

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Équivalent à zenonExit ; exécuté lors de la fermeture d'ActiveX dans Editor.

Cette méthode permet de réagir aux changements dans ActiveX, par exemple aux modifications de valeurs dans Editor.

Information : actuellement uniquement disponible pour ActiveX.


zenonInit

Manuel -> Contrôles -> ActiveX -> Développement d'éléments ActiveX -> Méthodes -> zenonInit

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Prototype : boolean zenonInit(IDispatch*dispElement);

Cette méthode (dans le Runtime) permet au contrôle ActiveX d'obtenir un pointeur vers l'interface de répartition de l'élément dynamique. Ce pointeur permet également d'accéder aux variables de zenon liées à l'élément dynamique.

Vous définissez l'ordre de tri des variables transférées dans la configuration de l'élément ActiveX à l'aide des boutons Bas ou Haut.
La boîte de dialogue Entrer les propriétés apparaît lorsque vous double-cliquez sur l'élément ActiveX ou que vous sélectionnez la propriété Paramètres ActiveX dans les propriétés de l'élément, dans le nœud Affichage.


zenonInitEd

Manuel -> Contrôles -> ActiveX -> Développement d'éléments ActiveX -> Méthodes -> zenonInitEd

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Équivalent à zenonInit ; exécuté lors de l'ouverture d'ActiveX dans Editor (double-cliquez sur le contrôle ActiveX).

Information : actuellement uniquement disponible pour ActiveX.


Exemple : LatchedSwitch (C++)

Manuel -> Contrôles -> ActiveX -> Exemple : LatchedSwitch (C++)

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

L'exemple suivant décrit un contrôle ActiveX exécutant un verrouillage d'interrupteur avec deux variables de bit. La première variable représente l'interrupteur et la deuxième, le verrou. La valeur de la variable de commutation du contrôle ActiveX peut uniquement être modifiée si la variable de verrouillage possède la valeur 0.

L'état de l'élément est représenté par quatre fichiers bitmap pouvant être sélectionnés dans la boîte de dialogue de propriétés du contrôle, dans zenon Editor.

Autres sujets abordés dans ce chapitre

Interface

Contrôle

Méthodes

Utilisation et affichage

Interface de zenon


Interface

Manuel -> Contrôles -> ActiveX -> Exemple : LatchedSwitch (C++) -> Interface

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Le contrôle LatchedSwitch comporte l'interface de répartition suivante :

[ uuid(EB207159-D7C9-11D3-B019-080009FBEAA2),
helpstring(Dispatch interface for LatchedSwitch Control), hidden ]
dispinterface _DLatchedSwitch

{
properties:
// NOTE - ClassWizard will maintain method information here.
// Use extreme caution when editing this section.
//{{AFX_ODL_PROP(CLatchedSwitchCtrl)
[id(1)] boolean SollwertDirekt;
[id(2)] IPictureDisp* SwitchOn; // conteneur pour bitmaps
[id(3)] IPictureDisp* SwitchOff;
[id(4)] IPictureDisp* LatchedOn;
[id(5)] IPictureDisp* LatchedOff;
//}}AFX_ODL_PROP

methods:
// NOTE - ClassWizard will maintain method information here.
// Soyez très prudent si vous modifiez cette section !
//{{AFX_ODL_METHOD(CLatchedSwitchCtrl)
//}}AFX_ODL_METHOD
[id(6)] short CanUseVariables();
[id(7)] short VariableTypes();
[id(8)] short MaxVariables();
[id(9)] boolean zenonInit(IDispatch* dispElement);
[id(10)] boolean zenonExit();
[id(DISPID_ABOUTBOX)] void AboutBox();

};

Les propriétés SwitchOn à LatchedOff contiennent les fichiers bitmap correspondant aux quatre différents états du contrôle. Les fichiers bitmap sont conservés dans des objets de la classe CScreenHolder. La propriété SollwertDirekt définit si la saisie de valeurs prescrites doit être effectuée dans une boîte de dialogue, ou directement en cliquant sur le contrôle.


Contrôle

Manuel -> Contrôles -> ActiveX -> Exemple : LatchedSwitch (C++) -> Contrôle

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

La mise en œuvre du contrôle s'effectue par le biais de la classe CLatchedSwitchCtrl. Les membres de cette classe sont les objetsCScreenHolder destinés au stockage de bitmaps. En outre, trois drivers de répartition sont générés pour l'élément dynamique et les variables :

class CLatchedSwitchCtrl : public COleControl

{

DECLARE_DYNCREATE(CLatchedSwitchCtrl)

// Constructeur

public:

CLatchedSwitchCtrl();

// Substitutions

// Substitutions de fonctions virtuelles générées par ClassWizard

//{{AFX_VIRTUAL(CLatchedSwitchCtrl)

public:

virtual void OnDraw (CDC* pdc, const CRect& rcBounds, const CRect& rcInvalid);

virtual void DoPropExchange (CPropExchange* pPX);

virtual void OnResetState ();

virtual DWORD GetControlFlags();

//}}AFX_VIRTUAL

// Mise en œuvre

protected:

~CLatchedSwitchCtrl();

DECLARE_OLECREATE_EX(CLatchedSwitchCtrl) // Fabrique de classe et guid

DECLARE_OLETYPELIB(CLatchedSwitchCtrl) // GetTypeInfo

DECLARE_PROPPAGEIDS (CLatchedSwitchCtrl) // ID de page de propriété

DECLARE_OLECTLTYPE (CLatchedSwitchCtrl) // Nom de type et informations d'état diverses

// Tables de messages

//{{AFX_MSG(CLatchedSwitchCtrl)

afx_msg void OnLButtonDown(UINT nFlags, CPoint point);

//}}AFX_MSG

DECLARE_MESSAGE_MAP()

// Tables de répartition

//{{AFX_DISPATCH(CLatchedSwitchCtrl)

BOOL m_sollwertDirekt;

afx_msg void OnSollwertDirektChanged();

afx_msg LPPICTUREDISP GetSwitchOn();

afx_msg void SetSwitchOn(LPPICTUREDISP newValue);

afx_msg LPPICTUREDISP GetSwitchOff();

afx_msg void SetSwitchOff(LPPICTUREDISP newValue);

afx_msg LPPICTUREDISP GetLatchedOn();

afx_msg void SetLatchedOn(LPPICTUREDISP newValue);

afx_msg LPPICTUREDISP GetLatchedOff();

afx_msg void SetLatchedOff(LPPICTUREDISP newValue);

afx_msg short CanUseVariables();

afx_msg short VariableTypes();

afx_msg short MaxVariables();

afx_msg BOOL zenonInit(LPDISPATCH dispElement);

afx_msg BOOL zenonExit();

//}}AFX_DISPATCH

CScreenHolder m_SwitchOn;

CScreenHolder m_SwitchOff;

CScreenHolder m_LatchedOn;

CScreenHolder m_LatchedOff;

DECLARE_DISPATCH_MAP()

afx_msg void AboutBox();

// Event maps

//{{AFX_EVENT(CLatchedSwitchCtrl)

//}}AFX_EVENT

DECLARE_EVENT_MAP()

double VariantToDouble(const VARIANT FAR *v);

void VariantToCString(CString *c,const VARIANT FAR *v);

BOOL IsVariantString(const VARIANT FAR *v);

BOOL IsVariantValue(const VARIANT FAR *v);

// ID de répartition et d'événement

public:

CString szVariable[2];

IElement m_dElement;

IVariable m_dLatchVar, m_dSwitchVar;

enum {

//{{AFX_DISP_ID(CLatchedSwitchCtrl)

dispidSollwertDirekt = 1L,

dispidSwitchOn = 2L,

dispidSwitchOff = 3L,

dispidLatchedOn = 4L,

dispidLatchedOff = 5L,

dispidCanUseVariables = 6L,

dispidVariableTypes = 7L,

dispidMaxVariables = 8L,

dispidZenOnInit = 9L,

dispidZenOnExit = 10L,

//}}AFX_DISP_ID

};

};


Méthodes

Manuel -> Contrôles -> ActiveX -> Exemple : LatchedSwitch (C++) -> Méthodes

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Les méthodes suivantes sont utilisées :

  • CanUseVariables
  • Types de variables
  • MaxVariables
  • zenonInit
  • zenonExit

Autres sujets abordés dans ce chapitre

CanUseVariables

Types de variables

MaxVariables

zenonInit

zenonExit


CanUseVariables

Manuel -> Contrôles -> ActiveX -> Exemple : LatchedSwitch (C++) -> Méthodes -> CanUseVariables

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Cette méthode renvoie 1, ce qui permet d'utiliser des variables de zenon.

short CLatchedSwitchCtrl::CanUseVariables()

{

return 1;

}


Types de variables

Manuel -> Contrôles -> ActiveX -> Exemple : LatchedSwitch (C++) -> Méthodes -> Types de variables

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Le contrôle est uniquement utilisable avec les variables de bit, donc le résultat 0x0004 est renvoyé.

short CLatchedSwitchCtrl::VariableTypes()

{

return 0x0004; // Variables de bit uniquement

}


MaxVariables

Manuel -> Contrôles -> ActiveX -> Exemple : LatchedSwitch (C++) -> Méthodes -> MaxVariables

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Deux variables peuvent être utilisées. La valeur 2 est donc renvoyée.

short CLatchedSwitchCtrl::MaxVariables()

{

return 2; // 2 variables

}


zenonInit

Manuel -> Contrôles -> ActiveX -> Exemple : LatchedSwitch (C++) -> Méthodes -> zenonInit

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Cette méthode obtient les Dispatchdriver des variables via le Dispatchpointer de l'élément dynamique. Avec ce pointeur (Pointer ), les valeurs des variables sont lues et écrites lorsque l'utilisateur clique et lors du traçage du contrôle.

BOOL CLatchedSwitchCtrl::zenonInit(LPDISPATCH dispElement)

{

m_dElement = IElement(dispElement);

Element.m_lpDispatch->AddRef();

if (m_dElement.GetCountVariable() >= 2)

{

short iIndex = 0;

m_dSwitchVar = IVariable(m_dElement.ItemVariable(COleVariant(iIndex)));

m_dLatchVar = IVariable(m_dElement.ItemVariable(COleVariant(++iIndex)));

}

return TRUE;

}

info Informations

Element.m_lpDispatch->AddRef();

Les objets inutilisés sont automatiquement supprimés de la mémoire. Cette opération doit être exécutée par la programmation. Le programmeur détermine (sur la base d'un compteur de références) si un objet peut être supprimé.

COM utilise les méthodes IUnknow AddRef et Release pour gérer le nombre de références d'interfaces avec un objet.

Les règles générales d'appel de ces méthodes sont les suivantes :

  • AddRef doit toujours être appelé sur l'interface si le client reçoit un pointeur d'interface.
  • Une instruction Release doit toujours être appelée sur l'interface si le client met un terme à l'utilisation du pointeur d'interface.

Dans le cadre d'un déploiement simple, un compteur de variables dans l'objet est augmenté avec l'appel d'une instruction AddRef . Chaque appel d'une instruction Release réduit ce compteur dans l'objet. Si ce compteur atteint à nouveau ZÉRO, l'interface peut être supprimée de la mémoire.

Un compteur de références peut également être mis en œuvre, afin que chaque référence à l'objet (et non à une interface individuelle) soit comptée.

Dans ce cas, chaque substitut d'AddRef et de Release appellent une mis en œuvre centrale par rapport à l'objet. Une instruction Release déverrouille alors l'ensemble de l'objet si le compteur de références a atteint zro.


zenonExit

Manuel -> Contrôles -> ActiveX -> Exemple : LatchedSwitch (C++) -> Méthodes -> zenonExit

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Cette méthode libère le driver de répartition.

BOOL CLatchedSwitchCtrl::zenonExit()

{

m_dElement.ReleaseDispatch();

m_dSwitchVar.ReleaseDispatch();

m_dLatchVar.ReleaseDispatch();

return TRUE;

}


Utilisation et affichage

Manuel -> Contrôles -> ActiveX -> Exemple : LatchedSwitch (C++) -> Utilisation et affichage

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Autres sujets abordés dans ce chapitre

Spécifier valeur prescrite

Dessin


Spécifier valeur prescrite

Manuel -> Contrôles -> ActiveX -> Exemple : LatchedSwitch (C++) -> Utilisation et affichage -> Spécifier valeur prescrite

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Une valeur peut être définie en cliquant sur le contrôle avec le bouton gauche de la souris.

Si m_iSollwertDirekt est égal à 0, une boîte de dialogue de sélection de la valeur prescrite s'affiche ; dans le cas contraire, la valeur actuelle de la variable de commutation est inversée.

Si la variable de verrouillage possède la valeur 1, seule la fonction MessageBeep est exécutée. Aucune valeur ne peut être définie par le biais du contrôle.

void CLatchedSwitchCtrl::OnLButtonDown(UINT nFlags, CPoint point)

{

CRect rcBounds;

GetWindowRect(&rcBounds);

COleVariant coleValue((BYTE)TRUE);

BOOL bLatch = (BOOL)VariantToDouble((LPVARIANT)&m_dLatchVar.GetValue());

BOOL bSwitch = (BOOL)VariantToDouble((LPVARIANT)&m_dSwitchVar.GetValue());

if (bLatch) // Verrouilllée !!!

MessageBeep(MB_ICONEXCLAMATION);

else

{

if (m_sollwertDirekt)

{

bSwitch = !bSwitch;

}

else

{

CSollwertDlg dlg;

dlg.m_iSollwert = bSwitch ? 1 : 0;

if (dlg.DoModal() == IDOK)

{

if (dlg.m_iSollwert == 2) // Changement

bSwitch = !bSwitch;

else

bSwitch = (BOOL)dlg.m_iSollwert;

}

}

coleValue = (double)bSwitch;

m_dSwitchVar.SetValue(coleValue);

}

COleControl::OnLButtonDown(nFlags, point);

}


Dessin

Manuel -> Contrôles -> ActiveX -> Exemple : LatchedSwitch (C++) -> Utilisation et affichage -> Dessin

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Lors du tracé du contrôle, les valeurs des variables sont lues depuis les drivers de répartition et l'un des quatre éléments graphiques définis est affiché. Lorsque la valeur d'une variable est modifiée, le contrôle est actualisé par le processus OnDraw.

void CLatchedSwitchCtrl::OnDraw(CDC* pdc, const CRect& rcBounds, const CRect& rcInvalid)

{

CRect rcBitmap = rcBounds;

rcBitmap.NormalizeRect();

if (!m_dElement)

{

m_SwitchOn.Render(pdc, &rcBounds, &rcBounds);

return;

}

BOOL bVal1 = 0, bVal2 = 0;

VARIANT vRes;

if (m_dSwitchVar) // La variable existe-t-elle ?

{

vRes = m_dSwitchVar.GetValue();

bVal1 = (BOOL)VariantToDouble(&vRes);

}

if (m_dLatchVar) // La variable existe-t-elle ?

{

vRes = m_dLatchVar.GetValue();

bVal1 = (BOOL)VariantToDouble(&vRes);

}

if (bVal1 && bVal2)

m_SwitchOn.Render(pdc, rcBitmap, rcBitmap);

else if (!bVal1 && bVal2)

m_SwitchOff.Render(pdc, rcBitmap, rcBitmap);

else if (bVal1 && !bVal2)

m_LatchedOn.Render(pdc, rcBitmap, rcBitmap);

else

m_LatchedOff.Render(pdc, rcBitmap, rcBitmap);

}


Interface de zenon

Manuel -> Contrôles -> ActiveX -> Exemple : LatchedSwitch (C++) -> Interface de zenon

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Les classes résultant de COleDispatchDriver doivent être créées pour l'élément et les variables, afin que l'interface de répartition de zenon puisse être utilisée pour définir les valeurs. La manière la plus simple de créer ces dernières consiste à utiliser l'Assistant Classes de l'environnement de développement (cliquez sur le bouton Ajouter une classe, puis sélectionnez Depuis une bibliothèque de types et zenrt32.tlb).

Pour notre contrôle, ces classes sont IElement et IVariable. Elles sont définies dans zenrt32.h et zenrt32.cpp.


Exemple : CD SliderCtrl (C++)

Manuel -> Contrôles -> ActiveX -> Exemple : CD SliderCtrl (C++)

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

L'exemple suivant décrit un contrôle ActiveX équivalent au contrôle Windows SliderCtrl. Ce composant peut être lié à une variable de zenon. L'utilisateur peut modifier la valeur d'une variable à l'aide de ce curseur. Si la valeur de la variable est modifiée avec un autre élément dynamique, le curseur est mis à jour.

Autres sujets abordés dans ce chapitre

Interface

Contrôle

Méthodes

Utilisation et affichage

Interface de zenon


Interface

Manuel -> Contrôles -> ActiveX -> Exemple : CD SliderCtrl (C++) -> Interface

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Le contrôle CD_SliderCtrl comporte l'interface de répartition suivante :

[ uuid(5CD1B01D-015E-11D4-A1DF-080009FD837F),

helpstring(Dispatch interface for CD_SliderCtrl Control), hidden

]

dispinterface _DCD_SliderCtrl

{

properties: //*** Propriétés des contrôles

[id(1)] short TickRaster;

[id(2)] boolean ShowVertical;

[id(3)] short LineSize;

methods: //*** Méthode du contrôle (pour ActiveX dans zenon)

[id(4)] boolean zenonInit(IDispatch* pElementInterface);

[id(5)] boolean zenonExit();

[id(6)] short VariableTypes();

[id(7)] short CanUseVariables();

[id(8)] short MaxVariables();

[id(DISPID_ABOUTBOX)] void AboutBox();

};


Contrôle

Manuel -> Contrôles -> ActiveX -> Exemple : CD SliderCtrl (C++) -> Contrôle

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

La mise en œuvre du contrôle s'effectue par le biais de la classe CD_SliderCtrlCtrl. Cette classe comporte un membre CSliderCtrl standard de Windows, le contrôle étant sous-classé à cet élément. Les interfaces IVariable et IElement contiennent des interfaces de zenon devant être intégrées. Celles-ci découlent de COleDispatchDriver.

class CCD_SliderCtrlCtrl : public COleControl

{

DECLARE_DYNCREATE(CCD_SliderCtrlCtrl)

private: //*** Variables membres

BOOL m_bInitialized;

BOOL m_bShowVertical;

BOOL m_bTicksBoth;

long m_nRangeStart;

long m_nRangeEnd;

long m_nTickOrientation;

IVariable m_interfaceVariable;

IElement m_interfaceElement;

CSliderCtrl m_wndSliderCtrl;

public:

CCD_SliderCtrlCtrl();

//{{AFX_VIRTUAL(CCD_SliderCtrlCtrl)

public:

virtual void OnDraw (CDC* pdc, const CRect& rcBounds, const CRect& rcInvalid);

virtual BOOL PreCreateWindow(CREATESTRUCT& cs);

virtual void DoPropExchange (CPropExchange* pPX);

virtual void OnResetState ();

//}}AFX_VIRTUAL

protected:

~CCD_SliderCtrlCtrl();

//*** méthodes de conversion de la variante

double VariantToDouble(const VARIANT FAR *vValue);

DECLARE_OLECREATE_EX(CCD_SliderCtrlCtrl) // Fabrique de classe et guid

DECLARE_OLETYPELIB (CCD_SliderCtrlCtrl) // GetTypeInfo

DECLARE_PROPPAGEIDS (CCD_SliderCtrlCtrl) // ID de page de propriété

DECLARE_OLECTLTYPE (CCD_SliderCtrlCtrl) // Nom de type et informations d'état diverses

//*** méthodes de fonctionnement de l'élément SliderCtrl

BOOL IsSubclassedControl ();

LRESULT OnOcmCommand (WPARAM wParam, LPARAM lParam);

//{{AFX_MSG(CCD_SliderCtrlCtrl)

afx_msg int OnCreate(LPCREATESTRUCT lpCreateStruct);

afx_msg void HScroll(UINT nSBCode, UINT nPos);

afx_msg void HScroll(UINT nSBCode, UINT nPos);

afx_msg void OnLButtonDown(UINT nFlags, CPoint point);

afx_msg void OnLButtonUp(UINT nFlags, CPoint point);

//}}AFX_MSG

DECLARE_MESSAGE_MAP()

//{{AFX_DISPATCH(CCD_SliderCtrlCtrl)

afx_msg BOOL GetTickOnBothSides();

afx_msg void SetTickOnBothSides (short nNewValue);

afx_msg BOOL GetShowVertical();

afx_msg void SetShowVertical(BOOL bNewValue);

afx_msg short GetTickOrientation();

afx_msg void SetTickOrientation (short nNewValue);

afx_msg BOOL zenonInit(LPDISPATCH pElementInterface);

afx_msg BOOL zenonExit();

afx_msg short VariableTypes();

afx_msg short CanUseVariables();

afx_msg short MaxVariables();

//}}AFX_DISPATCH

DECLARE_DISPATCH_MAP()

afx_msg void AboutBox();

//{{AFX_EVENT(CCD_SliderCtrlCtrl)

//}}AFX_EVENT

DECLARE_EVENT_MAP()

public:

enum {

//{{AFX_DISP_ID(CCD_SliderCtrlCtrl)

dispidShowVertical = 1L,

dispidTicksOnBothSides = 2L,

dispidTickOrientation = 3L,

dispidZenOnInit = 4L,

dispidZenOnExit = 5L,

dispidVariableTypes = 6L,

dispidCanUseVariables = 7L,

dispidMaxVariables = 8L,

//}}AFX_DISP_ID

};

};


Méthodes

Manuel -> Contrôles -> ActiveX -> Exemple : CD SliderCtrl (C++) -> Méthodes

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Les méthodes suivantes sont utilisées :

  • CanUseVariables
  • Types de variables
  • MaxVariables
  • zenonInit
  • zenonExit

Autres sujets abordés dans ce chapitre

CanUseVariables

Types de variables

MaxVariables

zenonInit

zenonExit


CanUseVariables

Manuel -> Contrôles -> ActiveX -> Exemple : CD SliderCtrl (C++) -> Méthodes -> CanUseVariables

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Cette méthode renvoie 1, ce qui permet d'utiliser des variables de zenon.

short CCD_SliderCtrlCtrl::CanUseVariables()

{

return 1;

}


Types de variables

Manuel -> Contrôles -> ActiveX -> Exemple : CD SliderCtrl (C++) -> Méthodes -> Types de variables

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Le contrôle peut utiliser les variables de type mot, octet, double mot et flottante. Vous trouverez une liste des types de données utilisables dans la description générale de cette méthode.

short CCD_SliderCtrlCtrl::VariableTypes()

{

return 0x0001 | // Mot

0x0002 | // Octet

0x0008 | // DWord

0x0010 | // Flottante

0x0020 | // D flottante

}


MaxVariables

Manuel -> Contrôles -> ActiveX -> Exemple : CD SliderCtrl (C++) -> Méthodes -> MaxVariables

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Une seule variable peut être liée à ce contrôle.

short CCD_SliderCtrlCtrl::MaxVariables()

{

return 1; // 1 variables

}


zenonInit

Manuel -> Contrôles -> ActiveX -> Exemple : CD SliderCtrl (C++) -> Méthodes -> zenonInit

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Le paramètre dispElement contient l'interface de l'élément dynamique. Cet élément permet de déterminer la variable zenon liée. Si elle est valide, la plage d'affichage du contrôle SlideCtrl est définie. En outre, les paramètres d'affichage (nombre de graduations, etc.) sont définis. Si aucune variable n'est liée, la plage d'affichage définie s'étend de 0 à 0. Le contrôle SliderCtrl ne peut donc pas être modifié. La variable m_bInitialized définit la capacité d'ajuster les valeurs.

BOOL CCD_SliderCtrlCtrl::zenonInit(LPDISPATCH dispElement)

{

//*** Déterminer la variable à l'aide de l'élément de zenon

m_interfaceElement = IElement(pElementInterface);

if (m_interfaceElement.GetCountVariable() > 0) {

short nIndex = 0;

m_interfaceVariable = IVariable

(m_interfaceElement.ItemVariable(COleVariant(nIndex)));

}

//*** Initialiser la taille du contrôle Slider-Ctrl

if (m_interfaceVariable) {

//*** Définir la plage

m_nRangeStart = (long) VariantToDouble(&m_interfaceVariable.GetRangeMin());

m_nRangeEnd = (long) VariantToDouble(&m_interfaceVariable.GetRangeMax());

m_wndSliderCtrl.SetRange(m_nRangeStart,m_nRangeEnd,TRUE);

//*** Définir les graduations intermédiaires

m_wndSliderCtrl.SetTicFreq(m_nTickCount);

m_wndSliderCtrl.SetPageSize(m_nTickCount);

m_wndSliderCtrl.SetLineSize(m_nLineSize);

} else {

m_wndSliderCtrl.SetRange(0,0,TRUE);

return FALSE;

}

m_bInitialized = TRUE;

return TRUE;

}


zenonExit

Manuel -> Contrôles -> ActiveX -> Exemple : CD SliderCtrl (C++) -> Méthodes -> zenonExit

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Dans cette méthode, les interfaces de zenon sont à nouveau libérées.

BOOL CCD_SliderCtrlCtrl::zenonExit()

{

m_interfaceElement.ReleaseDispatch();

m_interfaceVariable.ReleaseDispatch();

return TRUE;

}


Utilisation et affichage

Manuel -> Contrôles -> ActiveX -> Exemple : CD SliderCtrl (C++) -> Utilisation et affichage

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Autres sujets abordés dans ce chapitre

Dessin

Écriture de valeur prescrite


Dessin

Manuel -> Contrôles -> ActiveX -> Exemple : CD SliderCtrl (C++) -> Utilisation et affichage -> Dessin

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

DoSuperclassPaint dessine l'élément SliderCtrl (il s'agit d'un contrôle sous-classé). Si le curseur est déplacé lors de l'étape de dessin, la variable m_bInitialized reçoit la valeur FALSE. Ceci garantit que la valeur peut être modifiée. Normalement, la valeur de la variable est lue et affichée avec la méthode SetPos de l'élément SliderCtrl.

void CCD_SliderCtrlCtrl::OnDraw(CDC* pdc, const CRect& rcBounds, const CRect& rcInvalid)

{

//*** actualiser l'affichage

DoSuperclassPaint(pdc, rcBounds);

if (m_interfaceVariable && m_bInitialized) {

COleVariant cValue(m_interfaceVariable.GetValue());

int nValue = (int) VariantToDouble(&cValue.Detach());

m_wndSliderCtrl.SetPos(nValue);

}

}


Écriture de valeur prescrite

Manuel -> Contrôles -> ActiveX -> Exemple : CD SliderCtrl (C++) -> Utilisation et affichage -> Écriture de valeur prescrite

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Dans la méthode LButtonDown, la variable m_bInitialized est définie sur FALSE et, dans l'événement LbuttonUp, elle est à nouveau définie sur TRUE. Ceci garantit que la valeur peut être modifiée. Dans le cas contraire, la procédure OnDrawserait exécutée et l'ancienne valeur serait affichée.

void CCD_SliderCtrlCtrl::OnLButtonDown(UINT nFlags, CPoint point)

{

m_bInitialized = FALSE;

COleControl::OnLButtonDown(nFlags, point);

}

void CCD_SliderCtrlCtrl::OnLButtonUp(UINT nFlags, CPoint point)

{

m_bInitialized = TRUE;

COleControl::OnLButtonUp(nFlags, point);

}

Une valeur est transmise au matériel lorsque le curseur est déplacé. Dans les méthodes Hscroll et Vscroll, la valeur est transmise au matériel (selon la configuration horizontale ou verticale du curseur).

void CCD_SliderCtrlCtrl::HScroll(UINT nSBCode, UINT nPos)

{

switch (nSBCode) {

case TB_LINEUP:

case TB_PAGEUP:

case TB_LINEDOWN:

case TB_PAGEDOWN:

case TB_THUMBTRACK:

case TB_THUMBPOSITION:{

//*** Définir la valeur sans boîte de dialogue ?

int nValue = m_wndSliderCtrl.GetPos();

COleVariant cValue((short) nValue,VT_I2);

m_interfaceVariable.SetValue(cValue);

}

}

}


Interface de zenon

Manuel -> Contrôles -> ActiveX -> Exemple : CD SliderCtrl (C++) -> Interface de zenon

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Les classes résultant de COleDispatchDriver doivent être créées pour l'élément et les variables, afin que l'interface de répartition de zenon puisse être utilisée pour définir les valeurs. La manière la plus simple de créer ces dernières consiste à utiliser l'Assistant Classes de l'environnement de développement (cliquez sur le bouton Ajouter une classe, puis sélectionnez Depuis une bibliothèque de types et zenrt32.tlb).

Pour notre contrôle, ces classes sont IElement et IVariable. Elles sont définies dans zenrt32.h et zenrt32.cpp.


Exemple : contrôle. NET exécuté en tant que contrôle ActiveX (C#)

Manuel -> Contrôles -> ActiveX -> Exemple : contrôle. NET exécuté en tant que contrôle ActiveX (C#)

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

L'exemple suivant décrit un contrôle .NET exécuté comme un contrôle ActiveX dans zenon.

La création et l'intégration se déroulent en quatre étapes :

  1. Création d'un contrôle de formulaire Windows
  2. Conversion d'un contrôle utilisateur .NET en double contrôle
  3. Utilisation avec ActiveX dans Editor via le code VBA
  4. Connexion de variables de zenon au contrôle utilisateur .NET

attention Attention

Lors de l'utilisation d'objets COM de zenon avec des contrôles utilisateur créés par l'utilisateur lui-même ou par des applications externes, ceux-ci doivent être activés avec la méthode Marshal.ReleaseComObject. L'activation avec la méthode Marshal.FinalReleaseComObject ne doit pas être utilisée, car elle entraîne un dysfonctionnement des modules complémentaires de zenon.

info Informations

Les captures d'écran de cette section sont uniquement disponibles en anglais.

Autres sujets abordés dans ce chapitre

Création d'un contrôle de formulaire Windows

Conversion d'un contrôle utilisateur .NET en double contrôle

Utilisation avec ActiveX dans Editor via le code VBA

Connexion de variables de zenon au contrôle utilisateur .NET


Création d'un contrôle de formulaire Windows

Manuel -> Contrôles -> ActiveX -> Exemple : contrôle. NET exécuté en tant que contrôle ActiveX (C#) -> Création d'un contrôle de formulaire Windows

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Pour créer un contrôle de formulaire Windows :

  1. Démarrez Visual Studio 2008 et créez un nouveau projet Windows Form Control Library (Bibliothèque de contrôles de formulaire Windows) :

  2. Renommez le contrôle par défaut avec le nom de contrôle souhaité.
    Pour cet exemple : SampesControl.cs.

  3. Ouvrez le concepteur de contrôles et ajoutez le contrôle souhaité (dans notre cas, un champ de texte) :

  4. Les contrôles comportent normalement des propriétés. Ouvrez le concepteur de code en sélectionnant la fonction Afficher le code, puis ajoutez les propriétés devant que vous souhaitez rendre disponibles au niveau externe.
    Pour cet exemple : la propriété visible au niveau externe "UserText", avec l'accès get et set, qui contient le texte du champ de texte :

  5. Compilez le projet.

    Le contrôle de formulaire Windows peut maintenant être utilisé dans d'autres projets de formulaires Windows.

    Important : le contrôle doit être inséré manuellement dans la boîte à outils de contrôle par le biais de la fonction Choisir les éléments.


Conversion d'un contrôle utilisateur .NET en double contrôle

Manuel -> Contrôles -> ActiveX -> Exemple : contrôle. NET exécuté en tant que contrôle ActiveX (C#) -> Conversion d'un contrôle utilisateur .NET en double contrôle

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Pour convertir un contrôle .NET en double contrôle, vous devez d'abord activer l'interface COM pour ActiveX.

  1. Ouvrez le projet et activez la propriété Inscrire pour COM interop dans les paramètres Générer :

  2. Ouvrez le fichier AssemblyInfo.cs et
    • définissez l'attribut ComVisible sur true
    • ajoutez l'attribut ClassInterface

    [assembly: ComVisible(true)]

    [assembly: ClassInterface(ClassInterfaceType.AutoDual)]

  3. Ouvrez le concepteur de code en sélectionnant l'option Afficher le code, puis ajoutez les attributs ActiveX et les entrées using requis. Dans le menu Outils/Create GUID, créez un nouveau GUID pour l'attribut GUID :

  4. Pour que le contrôle puisse être sélectionné comme un contrôle d'interface utilisateur Active X, vous devez ajouter des fonctions aux classes de contrôle suivantes :
    • RegisterClass
    • UnregisterClass

    Vous pouvez ensuite inscrire le contrôle dans la base de registres.

  5. Recompilez le projet.

    Le contrôle de formulaire Windows est maintenant utilisable dans ActiveX, et a été inscrit automatiquement durant la création de la nouvelle version. Un fichier typelib supplémentaire, zenonDotNetControl.tlb, a été créé dans le répertoire de sortie.

  6. Pour utiliser le contrôle sur un autre ordinateur :
    1. Copiez le fichier DLL et le fichier TLB sur l'ordinateur cible
    2. Enregistrez les fichiers en saisissant la ligne de commande :
      %windir%\Microsoft.NET\Framework\v2.0.50727\regasm.exe zenonDotNetControl.dll /tlb:zenonDotNetControl.tlb
  7. Ajoutez le contrôle de formulaire étendu de Windows en tant que contrôle ActiveX dans zenon Editor :


Utilisation avec ActiveX dans Editor via le code VBA

Manuel -> Contrôles -> ActiveX -> Exemple : contrôle. NET exécuté en tant que contrôle ActiveX (C#) -> Utilisation avec ActiveX dans Editor via le code VBA

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Pour accéder aux propriétés du contrôle dans zenon Editor :

  1. Dans zenon Editor, dans le nœud Interfaces de programmation/Macros VBA, créez une nouvelle macro Init avec le nom Init_ActiveX.

    Dans cette macro, vous pouvez accéder à toutes les propriétés externes via obElem.ActiveX.

  2. Attribuez cette macro au contrôle ActiveX via les propriétés macros VBA/Init de l'élément ActiveX.

Exemple de macro Init

Public Sub Init_ActiveX(obElem As Element)

obElem.AktiveX.Usertext = "Attribuez la chaîne au contrôle"

End Sub


Connexion de variables de zenon au contrôle utilisateur .NET

Manuel -> Contrôles -> ActiveX -> Exemple : contrôle. NET exécuté en tant que contrôle ActiveX (C#) -> Connexion de variables de zenon au contrôle utilisateur .NET

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Dans zenon, vous avez la possibilité d'améliorer un contrôle ActiveX avec des fonctions spéciales pour accéder à l'API zenon.

Méthodes requises

  • public bool zenonInit (appelé durant l'initialisation du contrôle dans le Runtime de zenon.)
  • public bool zenonInitED (utilisé dans Editor.)
  • public bool zenonExit() (appelé lors de la destruction du contrôle dans le Runtime de zenon.)
  • public bool zenonExitED() (utilisé dans Editor.)
  • public short CanUseVariables() (prend en charge la liaison de variables.)
  • public short VariableTypes() (types de données pris en charge par le contrôle)
  • public MaxVariables() (nombre maximal de variables pouvant être liées au contrôle.)

Ajout de références

  1. Dans Microsoft Visual Studio, sous Ajouter des références, sélectionnez la bibliothèque d'objets de zenon pour pouvoir accéder à l'API de zenon dans le contrôle.

  2. Ajoutez les fonctions améliorées au code de classe du contrôle pour accéder à l'ensemble de l'API de zenon.

    Dans notre exemple, l'objet COM d'une variable de zenon est temporairement enregistré dans un membre, afin d'être accessible ultérieurement via l'événement Paint du contrôle.

Autres sujets abordés dans ce chapitre

public bool zenOnInit(zenOn.Element dispElement)

public bool zenonInitED(zenon.Element dispElement)

public bool zenOnExit()

public bool zenonExitED()

public short CanUseVariables()

public short VariableTypes()

public MaxVariables()


public bool zenOnInit(zenOn.Element dispElement)

Manuel -> Contrôles -> ActiveX -> Exemple : contrôle. NET exécuté en tant que contrôle ActiveX (C#) -> Connexion de variables de zenon au contrôle utilisateur .NET -> public bool zenOnInit(zenOn.Element dispElement)

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Cette méthode (dans le Runtime) permet au contrôle ActiveX d'obtenir un pointeur vers l'interface de répartition de l'élément dynamique. Ce pointeur permet également d'accéder aux variables de zenon liées à l'élément dynamique.

Vous pouvez configurer l'ordre de transmission des variables dans la boîte de dialogue Entrer les propriétés, à l'aides des boutons Bas et Haut. La boîte de dialogue Entrer les propriétés s'affiche si :

  • Vous double-cliquez sur l'élément ActiveX, ou
  • Vous sélectionnez Propriétés dans le menu contextuel, ou
  • Vous sélectionnez la propriété Paramètres ActiveX dans le nœud Affichage de la fenêtre de propriétés


public bool zenonInitED(zenon.Element dispElement)

Manuel -> Contrôles -> ActiveX -> Exemple : contrôle. NET exécuté en tant que contrôle ActiveX (C#) -> Connexion de variables de zenon au contrôle utilisateur .NET -> public bool zenonInitED(zenon.Element dispElement)

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Équivalent à public bool zenonInit ; exécuté lors de l'ouverture d'ActiveX dans Editor (double-cliquez sur le contrôle ActiveX).


public bool zenOnExit()

Manuel -> Contrôles -> ActiveX -> Exemple : contrôle. NET exécuté en tant que contrôle ActiveX (C#) -> Connexion de variables de zenon au contrôle utilisateur .NET -> public bool zenOnExit()

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Cette méthode est appelée par le Runtime de zenon lorsque le contrôle ActiveX est fermé. Ici, tous les pointeurs de répartition renvoyant à des variables doivent être libérés.


public bool zenonExitED()

Manuel -> Contrôles -> ActiveX -> Exemple : contrôle. NET exécuté en tant que contrôle ActiveX (C#) -> Connexion de variables de zenon au contrôle utilisateur .NET -> public bool zenonExitED()

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Équivalent à public bool zenonExit() ; exécuté lors de la fermeture d'ActiveX dans Editor. Permet de réagir aux changements (par exemple, aux modifications de valeurs) dans Editor.


public short CanUseVariables()

Manuel -> Contrôles -> ActiveX -> Exemple : contrôle. NET exécuté en tant que contrôle ActiveX (C#) -> Connexion de variables de zenon au contrôle utilisateur .NET -> public short CanUseVariables()

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Cette méthode renvoie 1 si le contrôle peut utiliser les variables de zenon, et 0 dans le cas contraire.

  • 1 : Pour l'élément dynamique (via le bouton Variable), vous pouvez uniquement déclarer des variables de zenon avec le type déclaré par le biais de la méthode VariableTypes, conformément au nombre défini par la méthode MaxVariables.
  • 0 : si CanUseVariables renvoie 0 ou le contrôle ne comporte pas cette méthode, n'importe quel nombre de variables de tout type peut être défini, sans limitation aucune. Dans le Runtime, toutefois, ces variables sont uniquement utilisables avec du code VBA.


public short VariableTypes()

Manuel -> Contrôles -> ActiveX -> Exemple : contrôle. NET exécuté en tant que contrôle ActiveX (C#) -> Connexion de variables de zenon au contrôle utilisateur .NET -> public short VariableTypes()

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

La valeur renvoyée par cette méthode est utilisée comme masque pour les types de variable utilisables dans la liste de variables. La valeur est une relation AND (et) parmi les valeurs suivantes (définies dans zenon32/dy_type.h) :

Paramètre | Valeur | Description
WORD | 0x0001 | correspond à la position 0
BYTE | 0x0002 | correspond à la position 1
BIT | 0x0004 | correspond à la position 2
DWORD | 0x0008 | correspond à la position 3
FLOAT | 0x0010 | correspond à la position 4
DFLOAT | 0x0020 | correspond à la position 5
STRING | 0x0040 | correspond à la position 6
IN_OUTPUT | 0x8000 | correspond à la position 15


public MaxVariables()

Manuel -> Contrôles -> ActiveX -> Exemple : contrôle. NET exécuté en tant que contrôle ActiveX (C#) -> Connexion de variables de zenon au contrôle utilisateur .NET -> public MaxVariables()

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Dans cette section est défini le nombre de variables pouvant être sélectionnées dans la liste de variables.

1 : la sélection multiple est désactivée dans la liste de variables. Un avertissement est alors affiché si plusieurs variables sont sélectionnées.


Contrôles utilisateur .NET

Manuel -> Contrôles -> Contrôles utilisateur .NET

Le contrôle .NET permet d'améliorer de manière autonome les fonctionnalités du Runtime de zenon et d'Editor.

Dans ce manuel, vous trouverez des informations concernant :

  • La différence entre un conteneur de contrôle et ActiveX
  • Exemple de conteneur de contrôle .NET
  • Exemple : contrôle. NET exécuté en tant que contrôle ActiveX (C#)

Vous trouverez d'autres informations concernant les contrôles .NET dans ActiveX dans le manuel Synoptiques, au chapitre Contrôles .NET.

attention Attention

Lors de l'utilisation d'objets COM de zenon avec des contrôles utilisateur créés par l'utilisateur lui-même ou par des applications externes, ceux-ci doivent être activés avec la méthode Marshal.ReleaseComObject. L'activation avec la méthode Marshal.FinalReleaseComObject ne doit pas être utilisée, car elle entraîne un dysfonctionnement des modules complémentaires de zenon.

Autres sujets abordés dans ce chapitre

Différentes utilisations des contrôles .NET Control dans le conteneur de contrôles ou ActiveX

Exemple de conteneur de contrôle .NET

Exemple : contrôle. NET exécuté en tant que contrôle ActiveX (C#)


Différentes utilisations des contrôles .NET Control dans le conteneur de contrôles ou ActiveX

Manuel -> Contrôles -> Contrôles utilisateur .NET -> Différentes utilisations des contrôles .NET Control dans le conteneur de contrôles ou ActiveX

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Un contrôle utilisateur .NET peut être :

  • Intégré directement à l'élément ActiveX de zenon, via le contrôle CD_DotNetControlContainer
  • Utilisé comme un contrôle ActiveX et intégré directement à l'élément ActiveX zenon

Principalement, les différences entre le contrôle de conteneur et le contrôle ActiveX sont les suivantes :

Contrôle CD_DotNetControlContainer

Contrôle Active X

  • Ne doit pas être inscrit sur l'ordinateur.
  • Doit être inscrit en tant que contrôle Active X sur l'ordinateur (regsrv32).
  • En cas de modification du contrôleur, seule le fichier DLL doit être modifié.
  • En cas de modification au niveau du contrôleur, l'élément TLB doit être réinscrit.
  • L'accès via VBA et VSTA est uniquement possible par le biais de la méthode CD_DotNetControlContainer.
  • Accès facile via VBA et VSTA.


Exemple de conteneur de contrôle .NET

Manuel -> Contrôles -> Contrôles utilisateur .NET -> Exemple de conteneur de contrôle .NET

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Dans ce didacticiel, vous allez découvrir comment créer un contrôle utilisateur .NET simple dans Visual Studio 2010 (langage de programmation C#) et comment l'intégrer, à l'aide du contrôle CD_DotNetControlContainer de zenon, sous forme de contrôle ActiveX dans un élément ActiveX de zenon.

Autres sujets abordés dans ce chapitre

Général

Créer un contrôle utilisateur .NET

Ajouter un conteneur CD_DotNetControlContainer et un contrôle utilisateur .NET

Accès au contrôle utilisateur via VSTA ou VBA


Général

Manuel -> Contrôles -> Contrôles utilisateur .NET -> Exemple de conteneur de contrôle .NET -> Général

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Le contrôle CD_DotNetControlContainer agit donc comme un wrapper entre le contrôle utilisateur et l'élément ActiveX de zenon. Toutes les méthodes utilisées dans l'exemple suivant, et toutes les méthodes publiques et propriétés sont transmises, via le contrôle CD_DotNetControlContainer, du contrôle utilisateur au contrôle ActiveX, et peuvent être utilisés par zenon (dans VBA et VSTA également).

Si une référence à l'interface de programmation de zenon est présente dans le contrôle utilisateur, vous pouvez directement accéder aux objets de >CD_PRODUCTNAME<.

Dans l'exemple suivant, nous allons :

  • Créer un contrôle utilisateur .NET
  • Ajouter un conteneur CD_DotNetControlContainer et un contrôle utilisateur .NET
  • Autoriser l'accès au contrôle utilisateur via VSTA (VBA)

Chemin de la DLL dans Editor et le Runtime

Le chemin d'accès à .Net DLL sélectionné dans Editor est également utilisé dans le Runtime. Il est défini comme un chemin absolu, et ne peut pas être modifié.

Assurez-vous d'utiliser le même chemin sur tous les ordinateurs sur le réseau zenon pour Editor et le Runtime.
Conseil : Sélectionnez un chemin absolu, par exemple : C:\Controls. Saisissez le chemin tel qu'il est défini dans Remote-Transport et dans .NET Control Container. Utilisez Remote-Transport pour harmoniser ce chemin avec tous les ordinateurs.

Autres sujets abordés dans ce chapitre

public bool zenOnInit(zenOn.Element dispElement)

public bool zenOnExit()

public short CanUseVariables()

public short VariableTypes()

public MaxVariables()


public bool zenOnInit(zenOn.Element dispElement)

Manuel -> Contrôles -> Contrôles utilisateur .NET -> Exemple de conteneur de contrôle .NET -> Général -> public bool zenOnInit(zenOn.Element dispElement)

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Cette méthode (dans le Runtime) permet au contrôle ActiveX d'obtenir un pointeur vers l'interface de répartition de l'élément dynamique. Ce pointeur permet également d'accéder aux variables de zenon liées à l'élément dynamique.

Vous pouvez configurer l'ordre de transmission des variables dans la boîte de dialogue Entrer les propriétés, à l'aides des boutons Bas et Haut. La boîte de dialogue Entrer les propriétés s'affiche si :

  • Vous double-cliquez sur l'élément ActiveX, ou
  • Vous sélectionnez Propriétés dans le menu contextuel, ou
  • Vous sélectionnez la propriété Paramètres ActiveX dans le nœud Affichage de la fenêtre de propriétés


public bool zenOnExit()

Manuel -> Contrôles -> Contrôles utilisateur .NET -> Exemple de conteneur de contrôle .NET -> Général -> public bool zenOnExit()

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Cette méthode est appelée par le Runtime de zenon lorsque le contrôle ActiveX est fermé. Ici, tous les pointeurs de répartition renvoyant à des variables doivent être libérés.


public short CanUseVariables()

Manuel -> Contrôles -> Contrôles utilisateur .NET -> Exemple de conteneur de contrôle .NET -> Général -> public short CanUseVariables()

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Cette méthode renvoie 1 si le contrôle peut utiliser les variables de zenon, et 0 dans le cas contraire.

  • 1 : Pour l'élément dynamique (via le bouton Variable), vous pouvez uniquement déclarer des variables de zenon avec le type déclaré par le biais de la méthode VariableTypes, conformément au nombre défini par la méthode MaxVariables.
  • 0 : si CanUseVariables renvoie 0 ou le contrôle ne comporte pas cette méthode, n'importe quel nombre de variables de tout type peut être défini, sans limitation aucune. Dans le Runtime, toutefois, ces variables sont uniquement utilisables avec du code VBA.


public short VariableTypes()

Manuel -> Contrôles -> Contrôles utilisateur .NET -> Exemple de conteneur de contrôle .NET -> Général -> public short VariableTypes()

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

La valeur renvoyée par cette méthode est utilisée comme masque pour les types de variable utilisables dans la liste de variables. La valeur est une relation AND (et) parmi les valeurs suivantes (définies dans zenon32/dy_type.h) :

Paramètre | Valeur | Description
WORD | 0x0001 | correspond à la position 0
BYTE | 0x0002 | correspond à la position 1
BIT | 0x0004 | correspond à la position 2
DWORD | 0x0008 | correspond à la position 3
FLOAT | 0x0010 | correspond à la position 4
DFLOAT | 0x0020 | correspond à la position 5
STRING | 0x0040 | correspond à la position 6
IN_OUTPUT | 0x8000 | correspond à la position 15


public MaxVariables()

Manuel -> Contrôles -> Contrôles utilisateur .NET -> Exemple de conteneur de contrôle .NET -> Général -> public MaxVariables()

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Dans cette section est défini le nombre de variables pouvant être sélectionnées dans la liste de variables.

1 : la sélection multiple est désactivée dans la liste de variables. Un avertissement est alors affiché si plusieurs variables sont sélectionnées.


Créer un contrôle utilisateur .NET

Manuel -> Contrôles -> Contrôles utilisateur .NET -> Exemple de conteneur de contrôle .NET -> Créer un contrôle utilisateur .NET

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Un contrôle utilisateur est un contrôle simple, permettant de définir une nouvelle valeur par le biais d'un champ de saisie (champ de texte). Lorsque vous cliquez sur le bouton, la valeur est écrite dans la variable zenon de votre choix.

Une fonction supplémentaire doit automatiquement détecter tout changement de valeur de la variable dans zenon et afficher automatiquement la nouvelle valeur dans le contrôle.

info Informations

Les captures d'écran de cette section sont uniquement disponibles en anglais.

Procédure

  1. Créez d'abord un nouveau projet dans VS, et utilisez le type de projet Bibliothèque de contrôles Windows Forms

    Important : spécifiez la version 3.5 de .NET Framework !

  2. Renommez ensuite le fichier CS de "UserControl" en "zenon_CD_DotNetControlContainer.cs". Les fichiers Designer.cs et .resx sont renommés automatiquement.

  3. À l'étape suivante, vous créez le contrôle utilisateur. Pour cela, utilisez deux champs de texte pour l'entrée et la sortie, respectivement, et un bouton permettant d'écrire de nouvelles valeurs dans la variable zenon.
    Nom :
    • Premier champ de texte : "txtGetzenonVariable"
    • Deuxième champ de texte : "txtSetzenonVariable"
    • Bouton : "btnSetzenonVariable"

  4. Pour accéder aux objets de zenon, vous devez disposer d'une référence à l'interface de programmation de zenon. Pour cela :
    • Cliquez sur le nœud Références dans l'Explorateur de solutions
    • Ouvrez menu contextuel
    • Sélectionnez Ajouter des références...
    • Sélectionnez l'onglet COM
    • Sélectionnez zenon programming interface library (Bibliothèque d'interfaces de programmation de zenon)

    La référence zenon devrait alors être visible dans la liste de références.

  5. À l'étape suivante, créez une variable globale du type zenon.variable dans le code de zenon_CD_DotNetControlContainer.cs :

  6. Cette variable est initialisée par le biais de la méthode publique zenonInit :

    et activée via la méthode publique zenonExit :

    Dans les méthodes suivantes, nous définissons si des variables et des types de données de zenon sont utilisés, ainsi que le nombre de variables pouvant être transmis :

  7. À l'étape suivante, dans le paramètre Click-Event du bouton btnSetzenonVariable, définissez qu'un clic sur le bouton écrit la valeur du champ de texte txtSetzenonVariable dans la variable zenon, avant d'effacer le contenu du champ de texte.

  8. Pour réagir à un changement de valeur de la variable, vous devez avoir accès à l'événement Paint du contrôle. L'événement Paint est également déclenché si la valeur de la variable initialisée de zenon change, et peut donc être utilisé pour actualiser des valeurs. Puisque les variables référencées dans l'élément ActiveX de zenon sont automatiquement suggérées, vous n'avez généralement pas besoin d'utiliser le conteneur zenon.OnlineVariable dans le contrôle.

Aperçu du code

Voici un récapitulatif de l'ensemble du code :

using System;

using System.Collections.Generic;

using System.ComponentModel;

using System.Drawing;

using System.Data;

using System.Linq;

using System.Text;

using System.Windows.Forms;

using zenOn;

namespace zenon_CD_DotNetControlContainer

{

public partial class zenon_CD_DotNetControlContainer : UserControl

{

//Cette ligne est nécessaire pour accéder au conteneur de variable de zenon

zenOn.Variable m_cVal = null;

public zenon_CD_DotNetControlContainer()

{

InitializeComponent();

}

/// <summary>

/// Cette méthode publique sera appelée par l'initialisation du contrôle dans

/// le Runtime de zenon.

/// </summary>

/// <param name="dispElement"></param>

/// <returns></returns>

public bool zenOnInit(zenOn.Element dispElement)

{

//Vérifier si des variables de zenon ont été ajoutées au

//Contrôle

if (dispElement.CountVariable > 0)

{

try

{

//Prendre la première variable de zenon et l'ajouter

//à la variable globale

m_cVal = dispElement.ItemVariable(0);

}

catch { }

}

return true;

}

/// <summary>

/// Cette méthode publique sera appelée par la libération du contrôle dans

/// le Runtime de zenon.

/// </summary>

/// <returns></returns>

public bool zenOnExit()

{

try

{

if (m_cVal != null)

{

//Libérer la variable de zenon (objet Com)

System.Runtime.InteropServices.Marshal.ReleaseComObject(m_cVal);

m_cVal = null;

}

}

catch { }

return true;

}

/// <summary>

/// Cette méthode publique est nécessaire pour lier les variables de zenon

/// au contrôle.

/// </summary>

/// <returns></returns>

public short CanUseVariables()

{

return 1; // Only this Variable is supported

}

/// <summary>

/// Cette méthode publique renvoie le type des

/// variables de zenon prises en charge

/// </summary>

/// <returns></returns>

public short VariableTypes()

{

return short.MaxValue; // Tous les types de données pris en charge

}

/// <summary>

/// Cette méthode publique renvoie le nombre de

/// variables de zenon prises en charge

/// </summary>

/// <returns></returns>

public short MaxVariables()

{

return 1; // Une seule variable doit être liée au contrôle

}

/// <summary>

/// Celle-ci sera déclenchée en cliquant sur le bouton. La nouvelle valeur sera

/// définie sur la variable de zenon

/// </summary>

/// <param name="sender"></param>

/// <param name="e"></param>

private void btnSetZenonVariable_Click(object sender, EventArgs e)

{

//Valeur prescrite de TextBox pour la variable de zenon

m_cVal.set_Value(0,txtSetZenonVariable.Text.ToString());

this.txtSetZenonVariable.Text = string.Empty;

}

/// <summary>

/// Celle-ci sera déclenchée par le tracé du contrôle utilisateur ou la modification de la valeur de la variable.

/// Après la modification de la variable, le contrôle est tracé une nouvelle fois et la nouvelle valeur

/// est écrite dans le champ de texte.

/// </summary>

/// <param name="sender"></param>

/// <param name="e"></param>

private void zenon_CD_DotNetControlContainer_Paint(object sender, PaintEventArgs e)

{

if (m_cVal != null)

{

this.txtGetZenonVariable.Text = m_cVal.get_Value(0).ToString();

return;

}

else

{

this.txtGetZenonVariable.Text = "Variable Value";

return;

}

}

}

}

Création de la version

Pour finir, créez une version pour intégrer la DLL finalisée dans zenon ou le conteneur CD_DotNetControlContainer.

Pour cela, vous devez basculer du mode Débogage au mode Version finale dans les paramètres.


Ajouter un conteneur CD_DotNetControlContainer et un contrôle utilisateur .NET

Manuel -> Contrôles -> Contrôles utilisateur .NET -> Exemple de conteneur de contrôle .NET -> Ajouter un conteneur CD_DotNetControlContainer et un contrôle utilisateur .NET

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Pour préparer le projet zenon et ajouter le conteneur CD_DotNetControlContainer et le contrôle utilisateur .NET, effectuez les étapes suivantes :

  1. Créez une variable interne de type String (Chaîne), et définissez la longueur de la chaîne sur 30.

  2. Dans le nœud Projet/Fichiers/Autres du projet zenon, ajoutez le fichier DLL du contrôle utilisateur .NET que vous avez créé. Ici, le fichier est copié vers le fichier Additional au niveau du système de fichiers.

  3. Le fichier DLL se trouve dans le dossier de sortie du projet de Visual Studio, sous bin\Release\zenon_CD_DotNetControlContainer.dll.

  4. Dans le projet, sélectionnez l'élément ActiveX et faites-le glisser vers un synoptique zenon.
    • La boîte de dialogue Configuration s'affiche à l'écran.
    • Sélectionnez le contrôle CD_DotNetControlContainer.Container.

  5. Pour incorporer le contrôle utilisateur .NET au contrôle CD_DotNetControlContainer :
    • Cliquez sur le bouton Propriétés.
    • Une nouvelle boîte de dialogue s'affiche à l'écran.

    • Cliquez sur le bouton Charger pour sélectionner le chemin du dossier du projet, par exemple : C:\ProgramData\COPA-DATA\SQL\9888419d-251e-4595-b396-9be42367997c\FILES\zenon\custom\additional\zenon_CD_DotNetControlContainer.dll

    Remarque : Les contrôles doivent toujours être enregistrés dans le dossier Additional du projet. Ils sont ainsi pris en compte pendant les sauvegardes et les transferts. Le chemin doit alors être défini sur un emplacement relativement proche de l'emplacement de sauvegarde. Vous pouvez également, pour le Path, utiliser l'option Absolute ; dans ce cas, toutefois, vous devez vous assurer que la même structure de répertoire est présente sur le système cible.

    Le contrôle utilisateur .NET devrait maintenant être affiché.

    Fermez la boîte de dialogue en cliquant sur OK.

  6. À la dernière étape, liez une variable au contrôle en cliquant sur le bouton Variables.

    La variable sélectionnée est d'abord automatiquement liée avec notre variable globalement définie (.NET UserControl) via la méthode publique zenonInit. La liaison avec le contrôle est effectuée après le démarrage du Runtime.

    Liez ensuite la variable interne à un élément de texte.

  7. Après le démarrage du Runtime, le contrôle est initialement vide.

    Si vous saisissez une valeur dans le deuxième champ de texte et la validez ensuite en cliquant sur le bouton Set zenon variable (Définir la variable de zenon), la valeur est écrite dans la variable zenon. (L'événement btnSetzenonVariable_Click est exécuté.)

    Cette indication est également affichée dans l'élément de texte de zenon.

    Si la valeur est directement modifiée dans l'élément de texte de zenon,

    la valeur est directement écrite dans le premier champ de texte par le biais de l'événement Paint du contrôle .NET.


Accès au contrôle utilisateur via VSTA ou VBA

Manuel -> Contrôles -> Contrôles utilisateur .NET -> Exemple de conteneur de contrôle .NET -> Accès au contrôle utilisateur via VSTA ou VBA

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Ces exemples présentent l'accès via VSTA. La procédure est la même que pour VBA.

  1. Améliorez le contrôle en spécifiant un intitulé (label) et nommez-le IblzenonInfo. Dans cet intitulé, la valeur d'une autre variable de zenon doit être affichée. La nouvelle valeur doit être définie par le biais d'une macro VSTA.

  2. Améliorez le code avec une propriété (Information), et ajoutez à celle-ci les propriétés get et set. Elles vous permettent de lire et d'écrire le texte de l'intitulé.

  3. Créez une nouvelle version du contrôle utilisateur et copiez-la vers le dossier additional du projet de zenon.
    N'oubliez pas : Fermez zenon Editor avant d'effectuer cette manipulation !
    Supprimez l'ancien fichier DLL, puis redémarrez zenon Editor. Si la DLL se trouve encore dans le dossier, supprimez-la simplement une deuxième fois. Vous pouvez maintenant importer la DLL modifiée. Les éléments CD_DotNetContainerControl et ActiveX sont mis à jour automatiquement.
  4. Dans zenon Editor, cliquez sur ActiveX et ouvrez la fenêtre de la propriété.

    Vous pouvez maintenant vois la nouvelle propriété Information dans la fenêtre de sélection du contrôle, et vous pouvez également définir une valeur.

    Cette valeur est également définie dans le contrôle ("myInformation").

  5. Pour pouvoir utiliser CD_DotNetControlContainer dans VSTA ou VBA, vous devez d'abord disposer de la référence du contrôle. Après avoir ouvert VSTA pour le projet (ProjectAddin), vous devez ajouter la référence de CD_DotNetControlContainer.

    Vous devez en outre ajouter l'Assembly System.Windows.Forms.

  6. Le code suivant permet de redéfinir la valeur de la propriété Information.

  7. Pour finir :
    • Créez une nouvelle fonction de zenon, intitulée Exécuter macro VSTA.
    • Liez la fonction à un bouton.

    Dans le Runtime, l'intitulé change de myInformation en New Information lorsque vous cliquez sur le bouton.

    Cliquez à nouveau sur le bouton pour effectuer le changement inverse.


Exemple : contrôle. NET exécuté en tant que contrôle ActiveX (C#)

Manuel -> Contrôles -> Contrôles utilisateur .NET -> Exemple : contrôle. NET exécuté en tant que contrôle ActiveX (C#)

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

L'exemple suivant décrit un contrôle .NET exécuté comme un contrôle ActiveX dans zenon.

La création et l'intégration se déroulent en quatre étapes :

  1. Création d'un contrôle de formulaire Windows
  2. Conversion d'un contrôle utilisateur .NET en double contrôle
  3. Utilisation avec ActiveX dans Editor via le code VBA
  4. Connexion de variables de zenon au contrôle utilisateur .NET

attention Attention

Lors de l'utilisation d'objets COM de zenon avec des contrôles utilisateur créés par l'utilisateur lui-même ou par des applications externes, ceux-ci doivent être activés avec la méthode Marshal.ReleaseComObject. L'activation avec la méthode Marshal.FinalReleaseComObject ne doit pas être utilisée, car elle entraîne un dysfonctionnement des modules complémentaires de zenon.

info Informations

Les captures d'écran de cette section sont uniquement disponibles en anglais.

Autres sujets abordés dans ce chapitre

Création d'un contrôle de formulaire Windows

Conversion d'un contrôle utilisateur .NET en double contrôle

Utilisation avec ActiveX dans Editor via le code VBA

Connexion de variables de zenon au contrôle utilisateur .NET


Création d'un contrôle de formulaire Windows

Manuel -> Contrôles -> Contrôles utilisateur .NET -> Exemple : contrôle. NET exécuté en tant que contrôle ActiveX (C#) -> Création d'un contrôle de formulaire Windows

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Pour créer un contrôle de formulaire Windows :

  1. Démarrez Visual Studio 2008 et créez un nouveau projet Windows Form Control Library (Bibliothèque de contrôles de formulaire Windows) :

  2. Renommez le contrôle par défaut avec le nom de contrôle souhaité.
    Pour cet exemple : SampesControl.cs.

  3. Ouvrez le concepteur de contrôles et ajoutez le contrôle souhaité (dans notre cas, un champ de texte) :

  4. Les contrôles comportent normalement des propriétés. Ouvrez le concepteur de code en sélectionnant la fonction Afficher le code, puis ajoutez les propriétés devant que vous souhaitez rendre disponibles au niveau externe.
    Pour cet exemple : la propriété visible au niveau externe "UserText", avec l'accès get et set, qui contient le texte du champ de texte :

  5. Compilez le projet.

    Le contrôle de formulaire Windows peut maintenant être utilisé dans d'autres projets de formulaires Windows.

    Important : le contrôle doit être inséré manuellement dans la boîte à outils de contrôle par le biais de la fonction Choisir les éléments.


Conversion d'un contrôle utilisateur .NET en double contrôle

Manuel -> Contrôles -> Contrôles utilisateur .NET -> Exemple : contrôle. NET exécuté en tant que contrôle ActiveX (C#) -> Conversion d'un contrôle utilisateur .NET en double contrôle

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Pour convertir un contrôle .NET en double contrôle, vous devez d'abord activer l'interface COM pour ActiveX.

  1. Ouvrez le projet et activez la propriété Inscrire pour COM interop dans les paramètres Générer :

  2. Ouvrez le fichier AssemblyInfo.cs et
    • définissez l'attribut ComVisible sur true
    • ajoutez l'attribut ClassInterface

    [assembly: ComVisible(true)]

    [assembly: ClassInterface(ClassInterfaceType.AutoDual)]

  3. Ouvrez le concepteur de code en sélectionnant l'option Afficher le code, puis ajoutez les attributs ActiveX et les entrées using requis. Dans le menu Outils/Create GUID, créez un nouveau GUID pour l'attribut GUID :

  4. Pour que le contrôle puisse être sélectionné comme un contrôle d'interface utilisateur Active X, vous devez ajouter des fonctions aux classes de contrôle suivantes :
    • RegisterClass
    • UnregisterClass

    Vous pouvez ensuite inscrire le contrôle dans la base de registres.

  5. Recompilez le projet.

    Le contrôle de formulaire Windows est maintenant utilisable dans ActiveX, et a été inscrit automatiquement durant la création de la nouvelle version. Un fichier typelib supplémentaire, zenonDotNetControl.tlb, a été créé dans le répertoire de sortie.

  6. Pour utiliser le contrôle sur un autre ordinateur :
    1. Copiez le fichier DLL et le fichier TLB sur l'ordinateur cible
    2. Enregistrez les fichiers en saisissant la ligne de commande :
      %windir%\Microsoft.NET\Framework\v2.0.50727\regasm.exe zenonDotNetControl.dll /tlb:zenonDotNetControl.tlb
  7. Ajoutez le contrôle de formulaire étendu de Windows en tant que contrôle ActiveX dans zenon Editor :


Utilisation avec ActiveX dans Editor via le code VBA

Manuel -> Contrôles -> Contrôles utilisateur .NET -> Exemple : contrôle. NET exécuté en tant que contrôle ActiveX (C#) -> Utilisation avec ActiveX dans Editor via le code VBA

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Pour accéder aux propriétés du contrôle dans zenon Editor :

  1. Dans zenon Editor, dans le nœud Interfaces de programmation/Macros VBA, créez une nouvelle macro Init avec le nom Init_ActiveX.

    Dans cette macro, vous pouvez accéder à toutes les propriétés externes via obElem.ActiveX.

  2. Attribuez cette macro au contrôle ActiveX via les propriétés macros VBA/Init de l'élément ActiveX.

Exemple de macro Init

Public Sub Init_ActiveX(obElem As Element)

obElem.AktiveX.Usertext = "Attribuez la chaîne au contrôle"

End Sub


Connexion de variables de zenon au contrôle utilisateur .NET

Manuel -> Contrôles -> Contrôles utilisateur .NET -> Exemple : contrôle. NET exécuté en tant que contrôle ActiveX (C#) -> Connexion de variables de zenon au contrôle utilisateur .NET

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Dans zenon, vous avez la possibilité d'améliorer un contrôle ActiveX avec des fonctions spéciales pour accéder à l'API zenon.

Méthodes requises

  • public bool zenonInit (appelé durant l'initialisation du contrôle dans le Runtime de zenon.)
  • public bool zenonInitED (utilisé dans Editor.)
  • public bool zenonExit() (appelé lors de la destruction du contrôle dans le Runtime de zenon.)
  • public bool zenonExitED() (utilisé dans Editor.)
  • public short CanUseVariables() (prend en charge la liaison de variables.)
  • public short VariableTypes() (types de données pris en charge par le contrôle)
  • public MaxVariables() (nombre maximal de variables pouvant être liées au contrôle.)

Ajout de références

  1. Dans Microsoft Visual Studio, sous Ajouter des références, sélectionnez la bibliothèque d'objets de zenon pour pouvoir accéder à l'API de zenon dans le contrôle.

  2. Ajoutez les fonctions améliorées au code de classe du contrôle pour accéder à l'ensemble de l'API de zenon.

    Dans notre exemple, l'objet COM d'une variable de zenon est temporairement enregistré dans un membre, afin d'être accessible ultérieurement via l'événement Paint du contrôle.

Autres sujets abordés dans ce chapitre

public bool zenOnInit(zenOn.Element dispElement)

public bool zenonInitED(zenon.Element dispElement)

public bool zenOnExit()

public bool zenonExitED()

public short CanUseVariables()

public short VariableTypes()

public MaxVariables()


public bool zenOnInit(zenOn.Element dispElement)

Manuel -> Contrôles -> Contrôles utilisateur .NET -> Exemple : contrôle. NET exécuté en tant que contrôle ActiveX (C#) -> Connexion de variables de zenon au contrôle utilisateur .NET -> public bool zenOnInit(zenOn.Element dispElement)

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Cette méthode (dans le Runtime) permet au contrôle ActiveX d'obtenir un pointeur vers l'interface de répartition de l'élément dynamique. Ce pointeur permet également d'accéder aux variables de zenon liées à l'élément dynamique.

Vous pouvez configurer l'ordre de transmission des variables dans la boîte de dialogue Entrer les propriétés, à l'aides des boutons Bas et Haut. La boîte de dialogue Entrer les propriétés s'affiche si :

  • Vous double-cliquez sur l'élément ActiveX, ou
  • Vous sélectionnez Propriétés dans le menu contextuel, ou
  • Vous sélectionnez la propriété Paramètres ActiveX dans le nœud Affichage de la fenêtre de propriétés


public bool zenonInitED(zenon.Element dispElement)

Manuel -> Contrôles -> Contrôles utilisateur .NET -> Exemple : contrôle. NET exécuté en tant que contrôle ActiveX (C#) -> Connexion de variables de zenon au contrôle utilisateur .NET -> public bool zenonInitED(zenon.Element dispElement)

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Équivalent à public bool zenonInit ; exécuté lors de l'ouverture d'ActiveX dans Editor (double-cliquez sur le contrôle ActiveX).


public bool zenOnExit()

Manuel -> Contrôles -> Contrôles utilisateur .NET -> Exemple : contrôle. NET exécuté en tant que contrôle ActiveX (C#) -> Connexion de variables de zenon au contrôle utilisateur .NET -> public bool zenOnExit()

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Cette méthode est appelée par le Runtime de zenon lorsque le contrôle ActiveX est fermé. Ici, tous les pointeurs de répartition renvoyant à des variables doivent être libérés.


public bool zenonExitED()

Manuel -> Contrôles -> Contrôles utilisateur .NET -> Exemple : contrôle. NET exécuté en tant que contrôle ActiveX (C#) -> Connexion de variables de zenon au contrôle utilisateur .NET -> public bool zenonExitED()

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Équivalent à public bool zenonExit() ; exécuté lors de la fermeture d'ActiveX dans Editor. Permet de réagir aux changements (par exemple, aux modifications de valeurs) dans Editor.


public short CanUseVariables()

Manuel -> Contrôles -> Contrôles utilisateur .NET -> Exemple : contrôle. NET exécuté en tant que contrôle ActiveX (C#) -> Connexion de variables de zenon au contrôle utilisateur .NET -> public short CanUseVariables()

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Cette méthode renvoie 1 si le contrôle peut utiliser les variables de zenon, et 0 dans le cas contraire.

  • 1 : Pour l'élément dynamique (via le bouton Variable), vous pouvez uniquement déclarer des variables de zenon avec le type déclaré par le biais de la méthode VariableTypes, conformément au nombre défini par la méthode MaxVariables.
  • 0 : si CanUseVariables renvoie 0 ou le contrôle ne comporte pas cette méthode, n'importe quel nombre de variables de tout type peut être défini, sans limitation aucune. Dans le Runtime, toutefois, ces variables sont uniquement utilisables avec du code VBA.


public short VariableTypes()

Manuel -> Contrôles -> Contrôles utilisateur .NET -> Exemple : contrôle. NET exécuté en tant que contrôle ActiveX (C#) -> Connexion de variables de zenon au contrôle utilisateur .NET -> public short VariableTypes()

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

La valeur renvoyée par cette méthode est utilisée comme masque pour les types de variable utilisables dans la liste de variables. La valeur est une relation AND (et) parmi les valeurs suivantes (définies dans zenon32/dy_type.h) :

Paramètre | Valeur | Description
WORD | 0x0001 | correspond à la position 0
BYTE | 0x0002 | correspond à la position 1
BIT | 0x0004 | correspond à la position 2
DWORD | 0x0008 | correspond à la position 3
FLOAT | 0x0010 | correspond à la position 4
DFLOAT | 0x0020 | correspond à la position 5
STRING | 0x0040 | correspond à la position 6
IN_OUTPUT | 0x8000 | correspond à la position 15


public MaxVariables()

Manuel -> Contrôles -> Contrôles utilisateur .NET -> Exemple : contrôle. NET exécuté en tant que contrôle ActiveX (C#) -> Connexion de variables de zenon au contrôle utilisateur .NET -> public MaxVariables()

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Dans cette section est défini le nombre de variables pouvant être sélectionnées dans la liste de variables.

1 : la sélection multiple est désactivée dans la liste de variables. Un avertissement est alors affiché si plusieurs variables sont sélectionnées.


WPF

Manuel -> Contrôles -> WPF

L'élément dynamique WPF permet d'intégrer et d'afficher les fichiers WPF/XAML valides dans zenon.

Une document détaillée concernant les éléments WPF dans zenon, ainsi que des tutoriels destinés aux concepteurs, développeurs et utilisateurs configurant des projets sont disponibles dans le manuel consacré aux éléments WPF dans zenon.

Ce manuel aborde les sujets suivants :

  • Notions fondamentales
  • Directives pour les concepteurs
  • Directives pour développeurs
  • Développement dans zenon


Conversion de projets

Manuel -> Conversion de projets

Lors de l'utilisation d'une nouvelle version de zenon, les projets créés avec des versions antérieures doivent être convertis au format de la nouvelle version. Si certaines propriétés ou modifications doivent être prises en compte lors de la conversion, elles sont décrites dans les conseils relatifs à la conversion fournis dans ce manuel.

tutorial Informations concernant la licence

Composante de la licence standard d’Editor et du Runtime.

Conversion en cas de mise à jour ou de mise à niveau inférieur

Si vous souhaitez mettre à jour zenon vers une version supérieure, les projets sont convertis automatiquement vers la version supérieure lorsqu'ils sont ouverts dans la nouvelle version. Dès lors, vous ne pouvez plus modifier le projet avec des versions antérieures d'Editor. Toutefois, une sauvegarde du projet converti est automatiquement créée dans la version d'origine.
Attention : S’il existe déjà une sauvegarde de projet avec le même nom, celui-ci est supprimé sans demande de confirmation.

La conversion d'un projet créé avec une version antérieure au format d'une version antérieure (mise à niveau inférieur) n'est pas possible.

Rétrocompatibilité

À compter de la version 6.21, les projets sont rétrocompatibles dans le Runtime. Vous pouvez travailler dans une instance d'Editor avec un numéro de version plus élevé. Cette rétrocompatibilité du Runtime est particulièrement adaptée à l'utilisation de systèmes mixtes : Un projet développé avec la version 6.50 peut être utilisé dans un Runtime version 6.22.

attention Attention

Si, dans un projet planifié avec une version ultérieure d'Editor, des propriétés affichées ne sont pas disponibles dans la version antérieure, cela peut engendrer des résultats indésirables dans le Runtime.

Autres sujets abordés dans ce chapitre

Procédure recommandée pour la conversion de fichiers du Runtime

Conversion pour les projets multi-utilisateurs avec différentes versions de bases de données SQL

Conversion de la version 2.20 vers la version 3.04

Conversion des versions 3.4 ou 3.50 vers la version 3.52

Conversion de la version 3.52 vers la version 5.11

Conversion de la version 3.52 vers les versions 5.x ou 6.x

Conversion de la version 5.11 vers la version 5.50

Conversion de la version 5.50 vers la version 6.01

Conversion de la version 5.50 vers l'exportation au format dBase S7

Conversion de la version 6.01 vers 6.20

Conversion de la version 5.50 vers les versions > 6.22 SP1

Conversion de la version x vers la version 6.21

Conversion de la version x vers la version 6.22

Convertir de la version x vers la version 6.50

Convertir de la version x vers la version 6.51

Convertir de la version x vers la version 7.00

Convertir de la version x vers la version 7.10

Conversion de la version x vers la version 7.11

Conversion de la version x vers la version 7.20

Convertir de la version x vers la version 7.50

Convertir de la version x vers la version 7.60


Procédure recommandée pour la conversion de fichiers du Runtime

Manuel -> Conversion de projets -> Procédure recommandée pour la conversion de fichiers du Runtime

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Lors de la conversion du projet, assurez-vous que les fichiers modifiables dans le Runtime sont également correctement convertis.

Pour convertir les fichiers modifiables dans le Runtime :

  1. Importez les fichiers du Runtime dans la version d'origine d'Editor.
  2. Effectuez la mise à jour vers la nouvelle version.
  3. Accédez à la section Général des propriétés du projet.
  4. Cliquez sur la propriété Données modifiables dans le Runtime.
  5. La boîte de dialogue des paramètres des fichiers modifiables dans le Runtime s'affiche à l'écran.

  6. Désactivez toutes les cases à cocher dans la colonne Ne pas générer et transférer.
  7. Compilez le projet (Créer tous les fichiers du Runtime)
  8. Cochez ou décochez la case de la propriété Données modifiables dans le Runtime pour rétablir l'état dans lequel elle se trouvait avant la conversion


Conversion pour les projets multi-utilisateurs avec différentes versions de bases de données SQL

Manuel -> Conversion de projets -> Conversion pour les projets multi-utilisateurs avec différentes versions de bases de données SQL

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Si un projet multi-utilisateur est converti en une version de zenon dotée d'une version plus récente de SQL Server, le procédé suivant doit être pris en compte.

Attention : Les projets multi-utilisateurs ne peuvent être convertis que s'il n'y a aucun élément "sorti". Donc tous les ingénieurs doivent d'abord intégrer leurs modifications. Si ceci n'est pas possible pour une raison ou une autre, vous devez absolument d'abord faire une sauvegarde du projet dans l'instance de SQL Server du projet, puis la restaurer immédiatement. À cet instant, toutes les informations Traitement en cours sont réinitialisées.

attention Attention

Toutes les modifications dans les versions locales du projet sont perdues.

La conversion ne peut être faite que sur le PC où se trouve la base de données centrale du projet. Si elle est effectuée sur un ordinateur sur lequel aucune version d'Editor n'est installée (serveur de base de données autonome), la version d'Editor associée à l'ancienne version doit d'abord être installée sur l'ordinateur. Ensuite, la conversion peut être effectuée sur ce PC.

Instructions concernant la mise à jour vers la nouvelle version avec une nouvelle base de données

Dans cette procédure, nous partons du principe que l'ancienne base de données n'est plus utilisée. Dans ce cas de figure :

  • Les fichiers pouvant être modifiés dans le Runtime sont pris en compte
  • Les clients multi-utilisateurs sont supprimés avant la sauvegarde du projet

Tâches dans la version antérieure de zenon

Les étapes suivantes sont exécutées sur tous les ordinateurs clients pour les projets multi-utilisateurs :

  1. Sur tous les clients, pour tous les objets avec l'état Modifier, la fonction Enregistrer ou Annuler la modification. Aucun objet ne peut posséder l'état Modifier.
  2. Supprimez les projets locaux correspondants dans Editor.

Les étapes suivantes sont exécutées sur l'ordinateur sur lequel se trouve la base de données des projets multi-utilisateurs :

  1. Optionnel : Importez toutes les modifications effectuées dans le Runtime :
    1. Pour tous les modules : Définissez l'état Autoriser les modifications
    2. Accédez aux propriétés du projet Général -> Données modifiables dans le Runtime et configurez toutes les cases de la section Ne pas décompiler sur Inactive.
    3. Réimportez tous les fichiers du Runtime dans Editor via Remote Transport.
    4. Configurez toutes les cases à cocher de la section Données modifiables dans le Runtime suivant l'état souhaité.
    5. Pour tous les modules : Définissez l'état Autoriser les modifications.
    6. Répétez ces étapes pour tous les projets.
  2. Dans le menu contextuel de l'espace de travail, sélectionnez la commande Ajouter un projet existant.
  3. Accédez au projet, développez le sous-nœud Copies locales connectées du projet.
  4. Effectuez l'étape suivante pour tous les ordinateurs dans la liste, à l'exception de l'ordinateur possédant le rôle de serveur de base de données :
    • Cliquez avec le bouton droit sur l'ordinateur connecté, puis sélectionnez Déconnecter.
  5. Répétez les étapes 2 et 4 pour tous les projets.
  6. Créez une sauvegarde de l'espace de travail et une sauvegarde de projet pour chaque projet.

Tâches dans la nouvelle version de zenon

Les étapes suivantes sont exécutées sur l'ordinateur sur lequel se trouve la base de données des projets multi-utilisateurs :

  1. Installez la nouvelle version d'Editor.
  2. Redémarrez l'ordinateur.
    Remarque : Dès cet instant, l'ancienne base de données n'est plus utilisée.
  3. Réimportez la sauvegarde de l'espace de travail :
    1. Sélectionnez le dossier dans lequel se trouvait l'espace de travail correspondant à la version.
    2. Sélectionnez Oui pour remplacer l'espace de travail existant.
    3. Sélectionnez Oui pour convertir tous les projets.
  4. Assurez-vous que le port 1433 n'est pas bloqué par un pare-feu ou ajoutez SQL Browser à la liste d'exceptions des règles du pare-feu.
  5. Assurez-vous que la nouvelle version de SQL Server autorise les connexions à distance.
    Pour cela, connectez-vous à SQL Server Management Studio et vérifiez les propriétés dans la section Connexions.

Les étapes suivantes sont exécutées sur tous les ordinateurs clients pour les projets multi-utilisateurs :

  1. Installez la nouvelle version d'Editor.
  2. Redémarrez l'ordinateur.
  3. Ouvrez l'espace de travail existant.
    Durant le processus, les messages d'erreur sont affichés dans la fenêtre de suivi.
  4. Dans le menu contextuel de l'espace de travail, sélectionnez la commande Ajouter un projet existant.
  5. Saisissez le nom de l'ordinateur sur lequel se trouve la base de données des projets multi-utilisateurs.
  6. Sélectionnez Actualiser.
  7. Sélectionnez le projet devant être ajouté.
    1. Commencez par le projet global.
    2. Ensuite, le cas échéant, ajoutez le projet d'intégration.
    3. Ensuite, ajoutez tous les autres projets souhaités.

Les projets doivent maintenant être dans l'espace de travail et être synchronisés.


Conversion de la version 2.20 vers la version 3.04

Manuel -> Conversion de projets -> Conversion de la version 2.20 vers la version 3.04

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Autres sujets abordés dans ce chapitre

Restructurer la base de données


Restructurer la base de données

Manuel -> Conversion de projets -> Conversion de la version 2.20 vers la version 3.04 -> Restructurer la base de données

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
  1. Créer un répertoire temporaire et un sous-répertoire. Nom du sous-répertoire : XX. Par exemple : C:\\TEMP\\XX, où C:\\TEMP est le chemin de la base de données originale et C:\\TEMP\\XX est le chemin de la base de données restructurée. N'oubliez pas de faire une sauvegarde de votre base de données originale.
  2. Copiez la base de données originale et REV.BAT et DATAMGR.RDL vers C://TEMP.
  3. Copiez les nouveaux fichiers DBD (de la nouvelle base de données) et le fichier DBAREORG.EXE vers le répertoire XX.
  4. Définissez les chemins vers le dossier où se trouvent DBREV.EXE et INITDB.EXE, ou copiez ces fichiers vers C:\TEMP et vers C:\TEMP\XX. Vérifier si ces deux programmes peuvent être démarrés dans une fenêtre DOS sans entrer leur chemin.
  5. Assurez-vous qu'il y a assez de place (min 500 K) dans la zone mémoire DOS.
  6. Exécutez le fichier de commande REV.BAT dans la fenêtre DOS.

    Contenu :

    del *.taf

    del *.log

    cd xx

    del *.taf

    del *.log

    initdb datamgr

    cd ..

    dbrev -r -v -q -s datamgr.rdl datamgr xx/datamgr
  7. Démarrez DBAREORG.EXE dans le répertoire de zenon directement à partir de Windows (Exécuter).
  8. Définissez le répertoire où se trouve la base de données (XX) avec CONVERT 2xx -> 3xx et les paramètres PATH SETTINGS.
  9. Démarrez la restructuration avec CONVERT 2xx -> 3xx et CONVERT.
  10. La restructuration est terminée. La nouvelle base de données est dans le répertoire XX. Si elle existe, veuillez supprimer les fichiers TAF du répertoire XX. La base de données originale se trouve dans le répertoire TEMP.
  11. Si la restructuration a échoué lors du premier essai, vous devez recommencer depuis l'étape 1. Sinon la base de données restructurée serait convertie une deuxième fois.

Résultat de la restructuration | Tous les synoptiques sont convertis
 | toutes les variables sont converties
 | toutes les fonctions sont converties mais les fonctions doivent être à nouveau liées. Exception ; la fonction Appel de synoptique n'a plus besoin d'être à nouveau liée.
 | un fichier journal (DBAREORG.LOG) est créé dans le dossier dans lequel a été démarré DBAREORG.EXE. Vous pouvez y trouver toutes les informations sur les fonctions non liées.

Autres sujets abordés dans ce chapitre

Restructurer la base de données lorsque les structures sont modifiées


Restructurer la base de données lorsque les structures sont modifiées

Manuel -> Conversion de projets -> Conversion de la version 2.20 vers la version 3.04 -> Restructurer la base de données -> Restructurer la base de données lorsque les structures sont modifiées

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
  1. Créer un sous-répertoire temporaire. Nom du sous-répertoire : XX
  2. Copier les nouveaux fichiers DBD dans le répertoire XX.
  3. Exécuter le fichier de commande REV.BAT :

    Contenu :

    del *.taf

    del *.log

    cd xx

    del *.taf

    del *.log

    initdb datamgr

    cd ..

    dbrev -r -v -q datamgr xx/datamgr


Conversion des versions 3.4 ou 3.50 vers la version 3.52

Manuel -> Conversion de projets -> Conversion des versions 3.4 ou 3.50 vers la version 3.52

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Autres sujets abordés dans ce chapitre

Système d'exploitation

Export AML/CEL

AML / CEL, Archives

Opération en réseau

Archives

Couche

Arcs

Rétrocompatibilité

Base de données

Documentation des sauvegardes (requêtes QRF)

Formats d'heure américains

Imprimante pour les alarmes

Symboles

Fonction zoom

Sauvegarde de projet

Filtre pour les fenêtres système

Exporter variable

Élément texte lié


Système d'exploitation

Manuel -> Conversion de projets -> Conversion des versions 3.4 ou 3.50 vers la version 3.52 -> Système d'exploitation

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

La version 3.52 ne tourne que sur Windows NT 4.0 et Windows 95.


Export AML/CEL

Manuel -> Conversion de projets -> Conversion des versions 3.4 ou 3.50 vers la version 3.52 -> Export AML/CEL

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Le nom d'export des entrées d'alarmes et du CEL a changé. Maintenant, il s'agit de Aaammjj.TXT et/ou Caammjj.TXT. Pour l'exportation, une nouvelle fonction peut par ex. être exécutée à l'aide d'une commande temporisée. Les anciens paramètres ne sont pas pris en compte.


AML / CEL, Archives

Manuel -> Conversion de projets -> Conversion des versions 3.4 ou 3.50 vers la version 3.52 -> AML / CEL, Archives

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Maintenant les archives pour les listes d'alarmes et du CEL sont stockées par défaut. Ces archives quotidiennes n'ont pas de limitations de fichier. Pour cette raison, vous devez développer une fonction de suppression. Vous éviterez ainsi que la capacité de stockage du disque dur ne soit remplie d'archives (voir la fonction Opérations sur fichier). La mémoire disponible pour la lecture des archives est limitée avec l'entrée suivante dans le fichier zenon.ini :

[ARCHIV]

...

SPEICHER=1000 (par défaut=1000, qui correspond à 1 Mo)


Opération en réseau

Manuel -> Conversion de projets -> Conversion des versions 3.4 ou 3.50 vers la version 3.52 -> Opération en réseau

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Les drivers doivent être configurés en local. Dans la section [Befehlsgabe] du fichier zenon6.ini, l'entrée Treiber= doit être supprimée.


Archives

Manuel -> Conversion de projets -> Conversion des versions 3.4 ou 3.50 vers la version 3.52 -> Archives

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Les archives sont maintenant stockées dans un sous-répertoire du répertoire du projet. Lors du premier démarrage, les fichiers ARV sont déplacés à cet emplacement.


Couche

Manuel -> Conversion de projets -> Conversion des versions 3.4 ou 3.50 vers la version 3.52 -> Couche

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Les couches ne sont plus prises en charge lors de l'importation au format DXF. Les couches sont maintenant appelées symboles.


Arcs

Manuel -> Conversion de projets -> Conversion des versions 3.4 ou 3.50 vers la version 3.52 -> Arcs

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Les arcs ont été remplacés par des segments de cercles. Les arcs existants restent inchangés jusqu'à ce qu'ils soient modifiés.


Rétrocompatibilité

Manuel -> Conversion de projets -> Conversion des versions 3.4 ou 3.50 vers la version 3.52 -> Rétrocompatibilité

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

La version 3.52 n'est pas compatible dans le sens descendant. (cela concerne par exemple le fichier zenon.ini, les symboles et la gestion des fonctions).


Base de données

Manuel -> Conversion de projets -> Conversion des versions 3.4 ou 3.50 vers la version 3.52 -> Base de données

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Un nouveau fichier de base de données est livré. DATAMGR.DBD,20.11.1996,14.759 octets)

Ce fichier est nécessaire pour les archives de lot et doit être copié dans le répertoire du projet.

Supprimer les fichiers *.TAF et *.LOG dans le répertoire du projet.


Documentation des sauvegardes (requêtes QRF)

Manuel -> Conversion de projets -> Conversion des versions 3.4 ou 3.50 vers la version 3.52 -> Documentation des sauvegardes (requêtes QRF)

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Dans les fichiers QRF, les requêtes pour VARIABLE et LANGTEXT ont été modifiées.

  • field VARIABLE = dwkanalNr translate using 1 display as left (30);
  • field LANGTEXT = dwkanalNr translate using 6 display as left (39);


Formats d'heure américains

Manuel -> Conversion de projets -> Conversion des versions 3.4 ou 3.50 vers la version 3.52 -> Formats d'heure américains

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Les mentions AM et PM ne sont pas supportées dans les formats d'heure.


Imprimante pour les alarmes

Manuel -> Conversion de projets -> Conversion des versions 3.4 ou 3.50 vers la version 3.52 -> Imprimante pour les alarmes

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Si l'imprimante pour les alarmes tombe en panne, le système de contrôle bascule automatiquement vers l'imprimante standard de Windows. Si vous ne voulez aucune sortie sur imprimante, l'imprimante pour les alarmes doit être supprimée dans Editor.


Symboles

Manuel -> Conversion de projets -> Conversion des versions 3.4 ou 3.50 vers la version 3.52 -> Symboles

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Après le redimensionnement, les symboles doivent être à nouveau liés avant de les stocker dans la bibliothèque de symboles. Les bitmaps dans les symboles doivent être stockés séparément. Les fichiers de symboles sont enregistrés dans le dossier .../zenon.


Fonction zoom

Manuel -> Conversion de projets -> Conversion des versions 3.4 ou 3.50 vers la version 3.52 -> Fonction zoom

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

La fonction de zoom peut être utilisée pour vérifier ou modifier les éléments.


Sauvegarde de projet

Manuel -> Conversion de projets -> Conversion des versions 3.4 ou 3.50 vers la version 3.52 -> Sauvegarde de projet

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Une base de données est maintenant composée des fichiers suivants :

*.vbf

*.idx

*.DAT

*.BIN

*.dbd

*.INI

*.mdb

*.MIB (pour NWM III)

*.NWM (pour NWM III)

*.EMS (pour 230 EMS)

Pour sauvegardes les archives (*.ARV, *.CEL, *.AML), vous devez regarder dans le sous-répertoire correspondant.

attention Attention

Le fichier ALARM.BIN dans le répertoire d'archives enregistre le dernier contenu de la liste d'alarmes lorsque le Runtime est fermé et ne doit pas être sauvegardé.


Filtre pour les fenêtres système

Manuel -> Conversion de projets -> Conversion des versions 3.4 ou 3.50 vers la version 3.52 -> Filtre pour les fenêtres système

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Nous recommandons de vérifier les filtres pour les synoptiques système avec les nouvelles fonctionnalités (par exemple, synoptique de type Programme horaire, archives AML et CEL).


Exporter variable

Manuel -> Conversion de projets -> Conversion des versions 3.4 ou 3.50 vers la version 3.52 -> Exporter variable

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Pour utiliser un fichier d'export sous dBase, Foxpro, la largeur maximum de colonne pour le nom des variables et l'identification (texte long) doit être changée de 128 caractères à 100 caractères max.

Par conséquent, l'entrée suivante dans zenon6.ini est nécessaire :

[EXPORT]

MAX_LAENGE= z. B. 40


Élément texte lié

Manuel -> Conversion de projets -> Conversion des versions 3.4 ou 3.50 vers la version 3.52 -> Élément texte lié

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Dans les anciens projets, les textes ne sont plus centrés mais alignés à gauche. Ceci peut être modifié dans les paramètres de l'élément. Si cela nécessite de très grosses modifications dans les projets existants, veuillez procéder comme suit :

  1. Saisissez [Editor] Konvert=1 dans le fichier zenon6.ini.
  2. Positionnez l'option Anciens éléments texte dans Editor sous Ouvrir synoptique, puis ouvrez le synoptique correspondant et enregistrez-le. Répétez cette opération pour chaque synoptique concerné.
  3. Supprimez [Editor] Konvert=1 dans le fichier zenon6.ini.


Conversion de la version 3.52 vers la version 5.11

Manuel -> Conversion de projets -> Conversion de la version 3.52 vers la version 5.11

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Autres sujets abordés dans ce chapitre

Modifications à effectuer en version 3.52

Modifications à effectuer en version 5.11


Modifications à effectuer en version 3.52

Manuel -> Conversion de projets -> Conversion de la version 3.52 vers la version 5.11 -> Modifications à effectuer en version 3.52

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Autres sujets abordés dans ce chapitre

Préparatifs

Textes ayant subis une rotation

Noms de synoptique avec des caractères spéciaux


Préparatifs

Manuel -> Conversion de projets -> Conversion de la version 3.52 vers la version 5.11 -> Modifications à effectuer en version 3.52 -> Préparatifs

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Nous recommandons de créer une sauvegarde du projet dans l'ancienne version.

La base de données doit être vérifiée avec l'outil DBCHECK fourni en version 3.52. Si des erreurs apparaissent lors de la vérification, elles doivent être corrigées avec l'outil DBFIX également fourni en version 3.52.


Textes ayant subis une rotation

Manuel -> Conversion de projets -> Conversion de la version 3.52 vers la version 5.11 -> Modifications à effectuer en version 3.52 -> Textes ayant subis une rotation

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Les textes ayant subi une rotation se comportent différemment en version 3.52 et en version 5.50 - en ce qui concerne le positionnement - et doivent être modifiés.

Pour obtenir un affichage compatible avec la version 3.52, l'entrée suivante doit être définie dans le fichier project.ini :

[VERSION]

TEXT352=1


Noms de synoptique avec des caractères spéciaux

Manuel -> Conversion de projets -> Conversion de la version 3.52 vers la version 5.11 -> Modifications à effectuer en version 3.52 -> Noms de synoptique avec des caractères spéciaux

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Les noms de synoptiques ne doivent pas contenir des noms contenant les caractères tels que / / : * ? <> | Ä Ö Ü, car les synoptiques sont enregistrés sous forme de fichiers. Le système Windows ne permet pas ces caractères dans les noms de fichier.

Si des synoptiques existants contiennent de tels caractères, vous devez modifier leur nom dans l'ancienne version (par exemple, la version 3.52) avant que les synoptiques puissent être convertis vers la version 5.5x.

attention Attention

De plus, toutes les fonctions contenant des noms de synoptiques non valides doivent être modifiées.

Si ces modifications ne sont pas effectuées, les synoptiques correspondants ne sont pas convertis et ne seront pas disponibles dans la version 5.x.

attention Attention

Si, dans un projet 3.5x, des cadres et/ou des attributions sont manquants, le message d'erreur suivant apparaît lors du démarrage du Runtime 5.11 : le Runtime s'est fermé de manière inattendue en tentant d'accéder à un fichier situé après la fin du fichier.

Donc, avant la conversion, vérifier les cadres et attributions manquants dans les vieux projets 3.5x.


Modifications à effectuer en version 5.11

Manuel -> Conversion de projets -> Conversion de la version 3.52 vers la version 5.11 -> Modifications à effectuer en version 5.11

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

La version 5.11 de zenon doit être installée.

Autres sujets abordés dans ce chapitre

Licence


Licence

Manuel -> Conversion de projets -> Conversion de la version 3.52 vers la version 5.11 -> Modifications à effectuer en version 5.11 -> Licence

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Les numéros de licences de la version 5.x ne sont pas compatibles avec les numéros des précédentes versions. Pour les mises à jour, de nouveaux numéros de licence doivent être commandés et entrés dans Editor. Les licences pour toutes les versions jusqu'à la version 3.52 restent inchangées, comme les nouveaux numéros de série sont stockés dans de nouvelles entrées dans le fichier zenon.ini.

[DEFAULT]

SERIAL5=xxx

ACTIVATIONKEY5=xxx

Aucun identifiant de connexion ne peut être conservé dans les boutons de démarrage.

Un projet existant doit être inséré dans un nouvel espace de travail.

Le driver de simulation marche maintenant avec le même modèle de driver que les autres drivers. Sous Driver / Configuration, Hardware doit être sélectionné.

Après avoir chargé le projet 3.52 et avoir converti les synoptiques, un profil de moniteur correct doit être sélectionné et Editor doit être redémarré.

Dans le fichier zenon.ini, il y a une entrée qui définit la taille du buffer de driver. Comme règle de profondeur, nous recommandons 10 * nombre de variables.

[RT]

DRIVER_QUE =50000

Si la valeur est trop petite, il peut y avoir des problèmes de rafraîchissement dans la visualisation.

Nous recommandons de déclencher une alarme en cas de dépassement. Il y a une variable de driver système pour cela : Info projet / Queue driver.


Conversion de la version 3.52 vers les versions 5.x ou 6.x

Manuel -> Conversion de projets -> Conversion de la version 3.52 vers les versions 5.x ou 6.x

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Autres sujets abordés dans ce chapitre

Conversion de l'élément dynamique Interrupteur


Conversion de l'élément dynamique Interrupteur

Manuel -> Conversion de projets -> Conversion de la version 3.52 vers les versions 5.x ou 6.x -> Conversion de l'élément dynamique Interrupteur

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Les interrupteurs créés dans un projet dans la version 3.52 doivent être convertis par le biais d'une exportation au format XML, lors du changement vers une version plus ultérieure de zenon.

Procédure dans la nouvelle version de zenon :

  1. Synoptiques menu contextuel -> Exporter tout (XML)
  2. Exportation de synoptiques dans un nouveau fichier
  3. Menu contextuel Synoptique -> Importer XML
  4. Sélectionnez le fichier exporté et importez-le


Conversion de la version 5.11 vers la version 5.50

Manuel -> Conversion de projets -> Conversion de la version 5.11 vers la version 5.50

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Autres sujets abordés dans ce chapitre

Modifications à effectuer en version 5.11

Modifications à effectuer en version 5.50


Modifications à effectuer en version 5.11

Manuel -> Conversion de projets -> Conversion de la version 5.11 vers la version 5.50 -> Modifications à effectuer en version 5.11

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Nous recommandons de créer une sauvegarde du projet avant de le convertir. Les données d'Editor et les données modifiables en Runtime doivent être sauvegardées.

La base de données du projet doit être vérifiée et réparée si nécessaire. Vous trouverez d'autres informations à ce propos sur le CD d'installation, sous Software\\TOOLS\\DB_TOOLS\\DB_DOKU.DOC.


Modifications à effectuer en version 5.50

Manuel -> Conversion de projets -> Conversion de la version 5.11 vers la version 5.50 -> Modifications à effectuer en version 5.50

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

La version 5.50 de zenon doit être installée.

Après avoir démarré Editor, l'ancien espace de travail peut être ouvert. Les projets sont alors convertis automatiquement.

Après avoir créé les fichiers du Runtime, le Runtime peut être démarré.


Conversion de la version 5.50 vers la version 6.01

Manuel -> Conversion de projets -> Conversion de la version 5.50 vers la version 6.01

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

attention Attention

Les mots-clés non traduits dans la table des langues sont supprimés durant le processus de conversion.

Autres sujets abordés dans ce chapitre

Modifications à effectuer en version 5.50

Modifications à effectuer en version 6.01


Modifications à effectuer en version 5.50

Manuel -> Conversion de projets -> Conversion de la version 5.50 vers la version 6.01 -> Modifications à effectuer en version 5.50

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Avant que la conversion ne puisse être effectuée, les données doivent être retransmises à l'ordinateur de développement. Après cela, la conversion peut démarrer.

Dans la fenêtre des propriétés du projet, sous "Général", vous trouverez la boîte de dialogue "Données modifiables en Runtime". Ici, vous déterminez les données devant être modifiées. Pour plus d'informations, reportez-vous au chapitre Données modifiables en RT.

Autres sujets abordés dans ce chapitre

Noms des fonctions

Projets

Données du projet modifiables en Runtime (utilisateurs, recettes, etc.)

Données

Profils

Driver 3S Arti (depuis la 6.01 SP2)


Noms des fonctions

Manuel -> Conversion de projets -> Conversion de la version 5.50 vers la version 6.01 -> Modifications à effectuer en version 5.50 -> Noms des fonctions

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Vous devez faire attention à ce que les noms de fonctions soient uniques. Puisqu'aucun nom de fonction ne doit être défini dans la version 5.50, zenon ne vérifie pas l'unicité. Ce n'est pas nécessaire pour la version 5.50. En version 6.x cependant, les fonctions sont identifiées par leur nom.


Projets

Manuel -> Conversion de projets -> Conversion de la version 5.50 vers la version 6.01 -> Modifications à effectuer en version 5.50 -> Projets

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Avant de pouvoir ouvrir un projet 5.50 avec Editor version 6.xx, il doit être converti. (Fichier - Insérer projet 5.50 ...) Ainsi, l'ancien projet n'est pas affecté et une copie de celui-ci est faite dans SQL Server. Attention, quelques fichiers et dossiers externes ne sont pas copiés automatiquement dans l'arborescence des répertoires des nouvelles versions d'Editor et du Runtime. Ces fichiers et répertoires doivent être adaptés et/ou insérés manuellement dans le projet (dans l'arborescence du projet, dans le dossier Fichiers).

Ceci s'applique par ex. aux sous-répertoires définis par l'utilisateur dans le répertoire du projet, aux listes étendues de répertoires, aux bases de données, aux répertoires d'export, etc.


Données du projet modifiables en Runtime (utilisateurs, recettes, etc.)

Manuel -> Conversion de projets -> Conversion de la version 5.50 vers la version 6.01 -> Modifications à effectuer en version 5.50 -> Données du projet modifiables en Runtime (utilisateurs, recettes, etc.)

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Elles doivent être rapatriées dans Editor avant la conversion, de façon à ne pas perdre les modifications faites en Runtime.


Données

Manuel -> Conversion de projets -> Conversion de la version 5.50 vers la version 6.01 -> Modifications à effectuer en version 5.50 -> Données

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Les fichiers créés par le Runtime, tels que les fichiers de liste AML, les fichiers de liste CEL, les données HD, les fichiers .bin et autres sont compatibles. Ceux-ci doivent être copiés à la main dans les répertoires Runtime correspondants de la version 6. Attention, ces fichiers sont convertis lors du premier lancement du Runtime. Cela peut demander un certain temps pour les quantités de données importantes.


Profils

Manuel -> Conversion de projets -> Conversion de la version 5.50 vers la version 6.01 -> Modifications à effectuer en version 5.50 -> Profils

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

En version 5.50, les profils pour les alarmes, les tendances étendues, etc. sont enregistrés dans un fichier qui a le nom du projet et l'extension .zrt. Exemple : Pour le projet Project1, ce fichier est nommé Project1.zrt. Ce fichier doit être renommé en project.zrt après la conversion du projet. Ensuite, le fichier doit être déplacé dans le répertoire RT où est enregistré le fichier project.ini.


Driver 3S Arti (depuis la 6.01 SP2)

Manuel -> Conversion de projets -> Conversion de la version 5.50 vers la version 6.01 -> Modifications à effectuer en version 5.50 -> Driver 3S Arti (depuis la 6.01 SP2)

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Le nom du fichier d'attribution de variable pour le driver 3S Arti a changé. Vous devez donc renommer ce fichier avant que les nouvelles variables ne soient récupérées sur l'automate. Vous trouverez plus d'informations dans la documentation du driver.


Modifications à effectuer en version 6.01

Manuel -> Conversion de projets -> Conversion de la version 5.50 vers la version 6.01 -> Modifications à effectuer en version 6.01

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

La version 6.01 de zenon doit être installée.

Autres sujets abordés dans ce chapitre

Licence

Gestion utilisateurs / système de mots de passe

Paramètres de configuration

Driver de simulation

Fonctions de synoptiques


Licence

Manuel -> Conversion de projets -> Conversion de la version 5.50 vers la version 6.01 -> Modifications à effectuer en version 6.01 -> Licence

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Les numéros de licences de la version 6.x ne sont pas compatibles avec les numéros des précédentes versions. Pour les mises à jour, de nouveaux numéros de licence doivent être commandés et entrés dans Editor. Les licences pour toutes les versions jusqu'à la version 5.x restent inchangées, comme les nouveaux numéros de série sont stockés dans de nouvelles entrées dans le fichier zenon6.ini au lieu du fichier zenon.ini.


Gestion utilisateurs / système de mots de passe

Manuel -> Conversion de projets -> Conversion de la version 5.50 vers la version 6.01 -> Modifications à effectuer en version 6.01 -> Gestion utilisateurs / système de mots de passe

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Dans la gestion utilisateur de la version 6.x, il y a une nouvelle propriété : Administrateur. Maintenant seuls les administrateurs sont autorisés à éditer les utilisateurs en Runtime. Comme cette propriété n'existait pas dans les versions précédentes, par défait les utilisateurs existants ne sont pas administrateurs. Si des utilisateurs doivent pouvoir éditer les données relatives aux utilisateurs en Runtime, il faut cocher cette nouvelle propriété en version 6.x.


Paramètres de configuration

Manuel -> Conversion de projets -> Conversion de la version 5.50 vers la version 6.01 -> Modifications à effectuer en version 6.01 -> Paramètres de configuration

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

En plus, toutes les propriétés du projet et les paramètres sous Option / Personnaliser doivent être vérifiés.

Comme le fichier zenon.ini a été remplacé par le fichier zenon6.ini, les modifications manuelles apportées au fichier zenon.ini (par exemple SPEICHER= pour les archives) devront être copiées manuellement du fichier zenon.ini vers le fichier zenon6.ini.


Driver de simulation

Manuel -> Conversion de projets -> Conversion de la version 5.50 vers la version 6.01 -> Modifications à effectuer en version 6.01 -> Driver de simulation

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Comme les paramètres courants du driver de simulation sont stockés dans le fichier zenon.ini, ils sont maintenant lus à partir du fichier zenon6.ini. Après la nouvelle installation, il y a des paramètres par défaut. Donc, après l'installation, ils doivent être modifiés par rapport à ceux de l'ancien fichier zenon.ini.

Après avoir créé les fichiers du Runtime, le Runtime peut être démarré.


Fonctions de synoptiques

Manuel -> Conversion de projets -> Conversion de la version 5.50 vers la version 6.01 -> Modifications à effectuer en version 6.01 -> Fonctions de synoptiques

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Dans les versions 5.50 et antérieures, seuls les scripts (mais pas les fonctions) pouvaient être liés aux synoptiques. Ces scripts étaient exécutés automatiquement lorsque le synoptique était fermé ou ouvert.

Dans les versions 6.01 et suivantes, seules les fonctions peuvent être liées aux synoptiques, donc tous les liens vers les scripts sont perdus. Les synoptiques doivent être à nouveau liés aux fonctions souhaitées.


Conversion de la version 5.50 vers l'exportation au format dBase S7

Manuel -> Conversion de projets -> Conversion de la version 5.50 vers l'exportation au format dBase S7

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Lors de la conversion d'un projet au format 5.50, une erreur de conversion peut se produire. Message d'erreur habituel :
"Error driver 'SIMUL32 - SIMULATORDRIVER' variable 'Sub_VISU_E1_IGEF' type for primitive object '34' data type 8 not defined." (Erreur du driver 'SIMUL32 - SIMULATORDRIVER', variable 'Sub_VISU_E1_IGEF', type d'objet primitif '34', type de données 8 non défini).

Raison :

Les variables ont été :

  • Créées avec un driver S7
  • Exportées au format dBase
  • Puis importées dans le driver du simulateur

Solution

  • Exportez les variables au format dBase avec zenon 5.50
  • Dans le fichier dBase, cochez les cases Driver (type d'objet) et Data type (type de données), et adaptez le driver en conséquence.


Conversion de la version 6.01 vers 6.20

Manuel -> Conversion de projets -> Conversion de la version 6.01 vers 6.20

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Les projets de la version 6.01 doivent être convertis lors du premier chargement dans Editor. Une sauvegarde du projet est faite automatiquement dans le répertoire \SQL\Backup.

attention Attention

Les mots-clés non traduits dans la table des langues sont supprimés durant le processus de conversion.

Autres sujets abordés dans ce chapitre

Fichier d'archive

Transfert des archives vers une base de données SQL


Fichier d'archive

Manuel -> Conversion de projets -> Conversion de la version 6.01 vers 6.20 -> Fichier d'archive

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

À partir de la version 6.20 SP0, les fichiers d'archive sont stockés au format ARX ; avant cela, le format ARV était utilisé. Lors de la conversion d'un projet, une vérification est effectuée au démarrage du Runtime pour identifier la présence de fichiers d'archive au format ARV dans le dossier du Runtime. Après confirmation de la conversion, ces fichiers sont convertis au format ARX. Cette conversion est faite pour tous les projets avant que le projet ne démarre. Les fichiers ARV sont supprimés durant la conversion. Pour le transfert au format SQL, d'autres colonnes doivent être ajoutées à la table.

Recommandation : Sauvegardez les fichiers ARV avant la conversion.


Transfert des archives vers une base de données SQL

Manuel -> Conversion de projets -> Conversion de la version 6.01 vers 6.20 -> Transfert des archives vers une base de données SQL

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Deux colonnes ont été ajoutées à la table de bases de données <Nom du projet>_<raccourci>.

  • GUID: car. 36. Contient le GUID du projet de la variable d'un autre projet ou ZERO si c'est dans le projet propriétaire.
  • STRVALUE: varchar. Contient les valeurs des chaines archivées. Pour les variables numériques, ce champ prend la valeur ZÉRO.
    La longueur du champ varchar dépend de la chaîne la plus longue à archiver. La longueur de la variable STRING est définie dans les propriétés de la variable.

La table <nom du projet>_VARIABLES de la base de données a une colonne de plus.

  • GUID: car. 36. Contient le GUID du projet de la variable d'un autre projet ou ZERO si c'est dans le projet propriétaire.

Ces nouvelles colonnes doivent être ajoutées dans la base de données SQL à la main ou par l'intermédiaire d'Editor. Dans Editor, vous devez aller sur la page de propriétés Enregistrer de toutes les archives concernées. Là, vous ouvrez le texte de connexion à la base de données et confirmez la boîte de dialogue qui s'ouvre. Lors de la fermeture de cette boîte de dialogue, les modifications sont faites dans la base de données.

attention Attention

Si ces modifications ne sont pas effectuées, aucune donnée d'archive ne sera transférée vers la base de donnée SQL.


Conversion de la version 5.50 vers les versions > 6.22 SP1

Manuel -> Conversion de projets -> Conversion de la version 5.50 vers les versions > 6.22 SP1

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Lors de la conversion d'un projet de la version 5.50 vers une version ultérieure, tenez compte des indications suivantes :

Général

  • Écriture de la valeur prescrite et de l'élément combiné :

    Après la conversion, la propriété Écrire la valeur prescrite est activée pour tous les éléments combinés. Parce que cette propriété n'existe pas dans la version 5.50, la conversion doit être désactivée manuellement pour chaque élément combiné après la conversion.

  • Copie de projets :

    Lors de la copie de projets dans la version 5.50, les GUID sont conservés dans le fichier project.ini. Dans ce cas, le premier projet sera remplacé lors de la conversion.

    Solution : Supprimez l'entrée INI avant la conversion. Ceci permet d'assurer qu'aucun autre numéro de GUID ne sera généré durant la conversion.

  • Conversion de fichiers graphiques en éléments invisibles :

    Si un fichier graphique dans un élément combiné doit être invisible dans un certain état, aucun fichier graphique n'était sélectionné dans la version 5.50. Après la conversion, un rectangle est affiché dans l'élément combiné, car la propriété Transparent n'a pas été activée.

    Solution : Activez la propriété Transparent pour le fichier graphique. Ceci vous permet de disposer de la même fonctionnalité.

  • Noms des synoptiques :

    Les caractères autorisés sont les chiffres, les lettres et les caractères spéciaux suivants : $, -, @, _, {}, ~, !, (),
    Les trémas et autres caractères spéciaux dans les noms de synoptiques doivent être supprimés avant la conversion.

Groupes de recettes et Windows CE

Lors de la conversion d'un projet de la version 5.50, avec la propriété Projet Windows CE active, vers une version ultérieure à la version 6.22SP1, les groupes de recettes ne sont pas convertis vers la version ultérieure.

Arrière-plan : lorsque la propriété Projet Windows CE est active, le type d'enregistrement est défini sur binaire avant la conversion de la base de données du module RGM. Par conséquent, aucun nouveau groupe de recettes ne peut être créé dans la nouvelle version.

Solution : désactivez la propriété Projet Windows CE avant la conversion.

Pour cela, vous pouvez soit :

  • Ouvrir le projet dans Editor de la version 5.50 et désactiver la propriété
    Ou
  • Modifier l'entrée correspondante dans le fichier INI du projet. Pour cela :
    • Ouvrez le fichier nomduprojet.ini du projet
    • Accédez à la section [RT]
    • Définissez l'entrée WIN_CE=0


Conversion de la version x vers la version 6.21

Manuel -> Conversion de projets -> Conversion de la version x vers la version 6.21

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Autres sujets abordés dans ce chapitre

Les fichiers CAB de zenon Web Client ne sont plus disponibles


Les fichiers CAB de zenon Web Client ne sont plus disponibles

Manuel -> Conversion de projets -> Conversion de la version x vers la version 6.21 -> Les fichiers CAB de zenon Web Client ne sont plus disponibles

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

L'installation automatique de zenon Web Client par le biais des fichiers CAB n'est plus possible, en raison des restrictions de sécurité imposées par Windows 7.


Conversion de la version x vers la version 6.22

Manuel -> Conversion de projets -> Conversion de la version x vers la version 6.22

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Autres sujets abordés dans ce chapitre

Autorisation pour l'acquittement des alarmes

Correction d'une fonction de Report Generator

VBA - L'accès direct aux variables sur demande n'est plus possible

Module Recipe Group Manager - base de données modifiée

Modèle - longueur de nom maximale


Autorisation pour l'acquittement des alarmes

Manuel -> Conversion de projets -> Conversion de la version x vers la version 6.22 -> Autorisation pour l'acquittement des alarmes

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Depuis la version 6.22 de zenon, les fonctions d'autorisation existantes pour l'acquittement d'alarmes dans les propriétés du projet sont remplacées par trois nouvelles autorisations. L'ancienne fonction d'autorisation "Acquitter les alarmes" n'existe plus.

Lors de la conversion de projets existants, les nouvelles fonctions d'autorisation sont configurées selon l'autorisation unique du projet initial. Par exemple, si le groupe d’autorisations 15 était nécessaire pour la fonction d'autorisation "Acquittement des alarmes", ce groupe sera aussi nécessaire pour les 3 nouvelles fonctions.

Pour garantir la rétrocompatibilité d'Editor, il peut être nécessaire de transférer le groupe d’autorisations des trois nouvelles fonctions d'autorisation vers l'ancienne fonction. Le groupe d'autorisations le plus élevé sera alors utilisé. Ceci signifie que si la fonction Acquitter les alarmes par la ligne d'état des alarmes possède le groupe d’autorisations 5, la fonction Acquitter les alarmes par les synoptiques possède le groupe 2 et la fonction Acquitter les alarme par fonction possède le groupe 12, la fonction Acquitter les alarmes des anciennes versions recevra le groupe d'autorisations 12.

info Informations

Note concernant la compatibilité en ligne en Runtime : Si vous démarrez un projet plus ancien que la version 6.22 de zenon avec la version actuelle, le système vous montrera ces nouvelles fonctions pour la configuration. Cependant, seul le groupe d’autorisations le plus élevé sera utilisé selon le mécanisme décrit ci-dessus. L'ancien projet ne pourra pas utiliser la nouvelle fonctionnalité.


Correction d'une fonction de Report Generator

Manuel -> Conversion de projets -> Conversion de la version x vers la version 6.22 -> Correction d'une fonction de Report Generator

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

La fonction fixed() comporte également l'argument fixed() dans les versions antérieures à la version 5.50. L'argument est optionnel, et contrôle l'affichage des séparateurs de milliers.

Cet argument n'a plus d'incidence sur l'affichage, car les séparateurs de milliers ne sont plus utilisés dans zenon.


VBA - L'accès direct aux variables sur demande n'est plus possible

Manuel -> Conversion de projets -> Conversion de la version x vers la version 6.22 -> VBA - L'accès direct aux variables sur demande n'est plus possible

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

VBA offre à nos clients un outil puissant pour la conception de projets. L'expérience pratique a révélé que l'accès aux variables via VBA aboutit fréquemment à des confusions dans l'utilisation des méthodes "Advise" (via un conteneur en ligne) et "Request", via un appel direct. Un nombre trop élevé de demandes peut significativement ralentir les communications.

Nous avons donc décidé de répondre aux demandes de nos clients en fermant cette source d'erreurs. Désormais, les variables peuvent uniquement être adressées via "Advise" dans VBA.

Pour les projets existants, ceci entraîne certaines incompatibilités. Vous serez affecté si vous effectuez l'adressage de ces variables par l'intermédiaire d'une requête dans VBA. Dans ce cas, vous devrez modifier ces projets. Après avoir effectué ces réglages, vous bénéficierez de communications plus performantes.

Nouveau :

L'accès direct en lecture aux variables via VBA est uniquement possible si la variable a été enregistrée dans le driver (via "Advise") et si elle possède une valeur, c'est-à-dire si IsOnline() est vraie. Les interrogations spontanées simples (requêtes) ne sont plus possibles.

Les fonctions suivantes de l'objet "Variable" renvoient une erreur si cela n'est pas le cas :

  • Valeur
  • StatusValue
  • StatusExtValue
  • StatusString
  • LastUpdateTime
  • LastUpdateTimeMilliSeconds

Cela signifie que les projets existants ne s'exécuteront plus dans le Runtime après la conversion, car les fonctions mentionnées ci-dessus produiront une erreur.

Solutions possibles :

  • Définissez un conteneur en ligner pour tous les accès aux variables affectés.
    Avantage : les variables seront uniquement appelées si vous en avez vraiment besoin.
    Inconvénient : cela demande davantage d'efforts en termes de programmation.
  • Définissez l'option "DDE active" dans le groupe "Sauvegarde de données sur disque dur" des propriétés de la variable pour toutes les variables affectées.
    Avantage : facile à mettre en œuvre.
    Inconvénient : le driver demande continuellement toutes les variables.

attention Attention

Compatibilité limitée !

Après la conversion d'un projet vers la version actuelle, vérifiez s'il existe un accès direct aux variables dans les macros VBA du Runtime. Si c'est le cas, vous devez procéder comme indiqué ci-dessus !


Module Recipe Group Manager - base de données modifiée

Manuel -> Conversion de projets -> Conversion de la version x vers la version 6.22 -> Module Recipe Group Manager - base de données modifiée

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Dans la version 6.22 SP1, le format des bases de données utilisées aux fins du stockage de données a été modifié. Cela signifie que lors de la conversion d'un projet dans Editor, la base de données est automatiquement modifiée.

Si vous avez modifié des données module Recipe Group Manager dans le Runtime, vous devez procéder comme suit :

  1. Démarrez Editor dans la version originale avant de convertir le projet.
  2. Dans les propriétés du projet, Données modifiables dans le Runtime assurez-vous de pouvoir importer et décompiler les données du module Recipe Group Manager.
  3. Si vous utilisez le Runtime sur un système distant : Établissez une connexion avec le système distant et importez les fichiers du Runtime. Vous trouverez cette fonction dans la barre d'outils de Remote Transport.
  4. Importez les données du Runtime dans Editor. Pour cela, utilisez la commande Importer les données du Runtime dans la barre d'outils fichiers du Runtime.
  5. Fermez l'ancienne version d'Editor et ouvrez la nouvelle version. Vous pouvez maintenant convertir le projet vers la nouvelle version en toute sécurité. Toutes les données sont disponibles dans la nouvelle version.

attention Attention

Les anciennes bases de données du module Recipe Group Manager des versions antérieures à la version 6.22 SP1 ne peuvent pas être lues dans le Runtime 6.22 SP1 ou ultérieures ! Si vous ne convertissez pas les données à l'aide d'Editor comme indiqué ici, vous perdrez toutes les modifications apportées aux recettes ou groupes de recettes dans le Runtime.

Windows CE

Lors de la conversion d'un projet lorsque l'option Projet Windows CE est active, les données sont automatiquement enregistrées au format binaire dans zenon 6.22. Cela signifie que lors de l'ouverture dans le module RGM, toutes les recettes donnent l'impression d'avoir disparu.


Modèle - longueur de nom maximale

Manuel -> Conversion de projets -> Conversion de la version x vers la version 6.22 -> Modèle - longueur de nom maximale

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Les noms de modèle peuvent comporter 29 caractères maximum. Dans une version précédente, il était possible de créer des noms contenant 30 caractères. Avant de convertir un projet, vous devez réduire tous les noms de cadres comportant 30 caractères à 29 caractères.


Convertir de la version x vers la version 6.50

Manuel -> Conversion de projets -> Convertir de la version x vers la version 6.50

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Les projets provenant de versions antérieures sont automatiquement convertis lors du chargement dans la version actuelle d'Editor. Une sauvegarde du projet est faite automatiquement dans le répertoire \SQL\Backup.

attention Attention

Avant de convertir les données modifiées dans l'éditeur du Runtime, lisez-les avec l'ancienne version. Dans le cas contraire, elles seront perdues !

Autres sujets abordés dans ce chapitre

zenon Logic

Paramètres graphiques étendus pour la liste d'alarmes et la liste d'événements

Bits d'état - nouveau nom court

Structures des UDFB dans zenon Logic

VSTA et VBA - dénomination d'objets


zenon Logic

Manuel -> Conversion de projets -> Convertir de la version x vers la version 6.50 -> zenon Logic

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Lors de la conversion de projets zenon Logic, tenez compte des informations suivantes :

attention Attention

Les considérations suivantes s'appliquent pour zenon Logic :

  • tous les projets doivent être recompilés après la conversion vers le module Workbench, afin qu'ils soient opérationnels dans le Runtime zenon Logic.
  • Les projets provenant d'une ancienne version, et qui n'ont pas été convertis au format de la version 6.50, ne peuvent pas être exécutés avec le Runtime version 6.50.


Paramètres graphiques étendus pour la liste d'alarmes et la liste d'événements

Manuel -> Conversion de projets -> Convertir de la version x vers la version 6.50 -> Paramètres graphiques étendus pour la liste d'alarmes et la liste d'événements

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

À compter de la version 6.50, la propriété Paramètres du graphique étendu est disponible pour l'élément de contrôle Liste d'alarmes dans les synoptiques de type Liste d'alarmes (AML) et l'élément de contrôle Liste d'événements dans les synoptiques de type Liste d'événements (CEL).

Elle active l'utilisation et la personnalisation des barres de défilement horizontales et verticales, de l'en-tête et de la grille de l'élément de contrôle via les propriétés correspondantes dans le groupe En-tête et grille.

Si les projets provenant d'une version antérieure sont convertis au format de la version 6.5x, la propriété Paramètres du graphique étendu est manquante. Pour accéder à la propriété, vous devez supprimer l'élément de contrôle Liste d'alarmes ou Liste d'événements du synoptique et le créer à nouveau.


Bits d'état - nouveau nom court

Manuel -> Conversion de projets -> Convertir de la version x vers la version 6.50 -> Bits d'état - nouveau nom court

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Depuis la version 6.20, les noms courts des bits d'état diffèrent dans les différentes langues. Avec la version 6.50 de zenon, les noms courts communs ont été mis en œuvre. Pour garantir la compatibilité avec les versions antérieures, les noms courts peuvent être remplacés par les noms précédents dans le fichier project.ini. Dans ce chapitre, vous trouverez :

  1. La liste des nouveaux noms courts, ainsi que la comparaison avec les noms courts précédents
  2. La liste des noms courts et noms longs
  3. Instruction de réactivation des anciens noms courts dans project.ini

1. État du nouveau nom court

Bit no. | À partir de 6.50 Toutes | Jusqu'à 6.50 Allemand | Jusqu'à 6.50 Anglais | Jusqu'à 6.50 Français | Jusqu'à 6.50 Italien | Jusqu'à 6.50 Espagnol | Jusqu'à 6.50 Russe
0 | M1 | ST_M1 | ST_M1 | ST_M1 | ST_M1 | ST_M1 | ST_M1
1 | M2 | ST_M2 | ST_M2 | ST_M2 | ST_M2 | ST_M2 | ST_M2
2 | M3 | ST_M3 | ST_M3 | ST_M3 | ST_M3 | ST_M3 | ST_M3
3 | M4 | ST_M4 | ST_M4 | ST_M4 | ST_M4 | ST_M4 | ST_M4
4 | M5 | ST_M5 | ST_M5 | ST_M5 | ST_M5 | ST_M5 | ST_M5
5 | M6 | ST_M6 | ST_M6 | ST_M6 | ST_M6 | ST_M6 | ST_M6
6 | M7 | ST_M7 | ST_M7 | ST_M7 | ST_M7 | ST_M7 | ST_M7
7 | M8 | ST_M8 | ST_M8 | ST_M8 | ST_M8 | ST_M8 | ST_M8
8 | NET_SEL | SELEC | SELEC | SELEC | SELEC | SELEC | ?????
9 | REVISION | REV | REV | REV | REV | REV | ???
10* | PROGRESS | LAUF | DIREC | DIREC | RUN | LAUF | ???
11 | TIMEOUT | LZÜ | RTE | DRT | RTE | LZÜ | ???
12 | MAN_VAL | HWERT | MVALUE | VAL_M | V_MAN | VWERT | ?????
13 | M14 | ST_14 | ST_14 | ST_14 | ST_14 | ST_14 | ST_14
14 | M15 | ST_15 | ST_15 | ST_15 | ST_15 | ST_15 | ST_15
15 | M16 | ST_16 | ST_16 | ST_16 | ST_16 | ST_16 | ST_16
16 | GI | GA | GI | RG | IG | CG | ??
17 | SPONT | SPONT | SPONT | SPONT | SPONT | SPONT | SPONT
18 | INVALID | I-BIT | I-BIT | I-BIT | NV-BIT | I-BIT | I-Bit
19 | T_CHG_A | SO/WI | SU/WI | ET/HI | ES/IN | VE/IN | ??/??
20 | OFF | N_AKT | N_UPD | N_RAF | N_UPD | N_AKT | N_AKT
21 | T_EXTERN | EZ_E | RT_E | HR_E | RT_E | EZ_E | EZ_E
22 | T_INTERN | EZ_I | RT_I | HR_E | RT_I | EZ_E | EZ_E
23 | N_SORTAB | NSORT | NSORT | NTRI | NORD | NSORT | ??????
24 | FM_TR | SM_TR | DM_TR | MD_TR | SM_TR | SM_TR | SM_TR
25 | RM_TR | LM_TR | RM_TR | MM_TR | RM_TR | LM_TR | ??_??
26 | INFO | INFO | INFO | INFO | INFO | INFO | INFO
27 | ALT_VAL | EWERT | AVALUE | VALR | RVAL | EWERT | ?????
28 | RES28 | RES13 | RES13 | RES13 | RES13 | RES13 | RES13
29 | N_UPDATE | !AKTUAL | !AKTUAL | !AKTUAL | !ATTUALE | !ACTUAL | !?????????
30 | T_STD | WINTER | WINTER | HIVER | INVERNO | INVIERNO | ????
31 | RES31 | RES16 | RES16 | RES16 | RES16 | RES16 | RES16
32 | COT0 | UEK0 | TCB0 | CTB0 | CTB0 | TCB0 | ???0
33 | COT1 | UEK1 | TCB1 | CTB1 | CTB1 | TCB1 | ???1
34 | COT2 | UEK2 | TCB2 | CTB2 | CTB2 | TCB2 | ???2
35 | COT3 | UEK3 | TCB3 | CTB3 | CTB3 | TCB3 | ???3
36 | COT4 | UEK4 | TCB4 | CTB4 | CTB4 | TCB4 | ???4
37 | COT5 | UEK5 | TCB5 | CTB5 | CTB5 | TCB5 | ???5
38 | N_CONF | PN_BIT | PN_BIT | PN_BIT | PN_BIT | PN_BIT | PN_BIT
39 | TEST | T_BIT | T_BIT | T_BIT | T_BIT | T_BIT | T_BIT
40 | WR_ACK | WR-ACK | WR-ACK | ECR-ACK | WR-ACK | WR-ACK | WR-ACK
41 | WR_SUC | WR-SUC | WR-SUC | ECR-OK | WR-SUC | WR-SUC | WR-SUC
42 | NORM | NORM | NORM | NORM | NORM | NORM | ????
43 | N_NORM | ABNORM | DEVNORM | DEVNORM | Fuori norma | DEVNORM | ???????
44 | BL_870 | BL_BIT | BL_BIT | BL_BIT | BL_BIT | BL_BIT | BL_BIT
45 | SB_870 | SB_BIT | SB_BIT | SB_BIT | SB_BIT | SB_BIT | SB_BIT
46 | NT_870 | NT_BIT | NT_BIT | NT_BIT | NT_BIT | NT_BIT | NT_BIT
47 | OV_870 | OV_BIT | OV_BIT | OV_BIT | OV_BIT | OV_BIT | OV_BIT
48 | SE_870 | SE_BIT | SE_BIT | SE_BIT | SE_BIT | SE_BIT | SE_BIT
49 | T_INVAL | TIME_INVAL | TIME_INVAL | TIME_INVAL | TIME_INVAL | TIME_INVAL | TIME_INVAL
50 | RES50 | RES50 | RES50 | RES50 | RES50 | RES50 | RES50
51 | RES51 | RES51 | RES51 | RES51 | RES51 | RES51 | RES51
52 | RES52 | RES52 | RES52 | RES52 | RES52 | RES52 | RES52
53 | RES53 | RES53 | RES53 | RES53 | RES53 | RES53 | RES53
54 | RES54 | RES54 | RES54 | RES54 | RES54 | RES54 | RES54
55 | RES55 | RES55 | RES55 | RES55 | RES55 | RES55 | RES55
56 | RES56 | RES56 | RES56 | RES56 | RES56 | RES56 | RES56
57 | RES57 | RES57 | RES57 | RES57 | RES57 | RES57 | RES57
58 | RES58 | RES58 | RES58 | RES58 | RES58 | RES58 | RES58
59 | RES59 | RES59 | RES59 | RES59 | RES59 | RES59 | RES59
60 | RES60 | RES60 | RES60 | RES60 | RES60 | RES60 | RES60
61 | RES61 | RES61 | RES61 | RES61 | RES61 | RES61 | RES61
62 | RES62 | RES62 | RES62 | RES62 | RES62 | RES62 | RES62
63 | RES63 | RES63 | RES63 | RES63 | RES63 | RES63 | RES63

* Remarque : 'état no. 10 a été renommé en D_DIREC dans la version 6.50 et en PROGRESS à compter de la version 6.51.

2. Nom court - nom long

Les noms courts sont identiques dans toutes les langues, à partir de la version 6.50. Les noms longs restent dépendants des langues :

Numéro de bit | Désignation abrégée | Nom long | Intitulé zenon Logic
0 | M1 | User status 1; for Command Processing: Type d'action "Bloquer" ; Service Tracking du driver IEC 850 | _VSB_ST_M1
1 | M2 | État utilisateur 2 | _VSB_ST_M2
2 | M3 | État utilisateur 3 | _VSB_ST_M3
3 | M4 | État utilisateur 4 | _VSB_ST_M4
4 | M5 | État utilisateur 5 | _VSB_ST_M5
5 | M6 | État utilisateur 6 | _VSB_ST_M6
6 | M7 | État utilisateur 7 | _VSB_ST_M7
7 | M8 | État utilisateur 8 | _VSB_ST_M8
8 | NET_SEL | Sélectionné dans le réseau | _VSB_SELEC
9 | REVISION | Révision | _VSB_REV
10 | PROGRESS | En fonctionnement | _VSB_DIREC
11 | TIMEOUT | Command "Timeout exceeded" (command runtime exceeded) | _VSB_RTE
12 | MAN_VAL | Valeur manuelle | _VSB_MVALUE
13 | M14 | État utilisateur 14 | _VSB_ST_14
14 | M15 | État utilisateur 15 | _VSB_ST_15
15 | M16 | État utilisateur 16 | _VSB_ST_16
16 | GI | Requête générale | _VSB_GR
17 | SPONT | Spontané | _VSB_SPONT
18 | INVALID | Invalide | _VSB_I_BIT
19 | T_STD_E | External standard time (standard time) Caution: up to version 7.50, this was the status bit T_CHG_A | _VSB_SUWI
20 | OFF | Désactivé | _VSB_N_UPD
21 | T_EXTERN | Temps réel - horodatage externe | _VSB_RT_E
22 | T_INTERN | Informations d'horodatage internes | _VSB_RT_I
23 | N_SORTAB | Non triable | _VSB_NSORT
24 | FM_TR | MD_TR;Message de défaut du transfo | _VSB_DM_TR
25 | RM_TR | Message de marche du transformateur | _VSB_RM_TR
26 | INFO | Informations de la variable | _VSB_INFO
27 | ALT_VAL | Valeur de remplacement | _VSB_AVALUE
28 | RES28 | Réservé à une utilisation interne (clignotement d'alarme) | _VSB_RES28
29 | N_UPDATE | Not updated (zenon network) | _VSB_ACTUAL
30 | T_STD | Heure d’hiver interne | _VSB_WINTER
31 | RES31 | Réservé à une utilisation interne (clignotement d'alarme) | _VSB_RES31
32 | COT0 | Cause de transmission bit 1 | _VSB_TCB0
33 | COT1 | Cause de transmission bit 2 | _VSB_TCB1
34 | COT2 | Cause de transmission bit 3 | _VSB_TCB2
35 | COT3 | Cause de transmission bit 4 | _VSB_TCB3
36 | COT4 | Cause de transmission bit 5 | _VSB_TCB4
37 | COT5 | Cause de transmission bit 6 | _VSB_TCB5
38 | N_CONF | Confirmation négative de la commande par l'appareil (IEC 60870 [P/N]) | _VSB_PN_BIT
39 | TEST | Bit de test (IEC60870 [T]) | _VSB_T_BIT
40 | WR_ACK | Écriture reconnue | _VSB_WR_ACK
41 | WR_SUC | Écriture réussie | _VSB_WR_SUC
42 | NORM | NORM;État Normal | _VSB_NORM
43 | N_NORM | État déviation normale | _VSB_ABNORM
44 | BL_870 | État IEC 60870 : blocked | _VSB_BL_BIT
45 | SB_870 | État IEC 60870 : substituted | _VSB_SP_BIT
46 | NT_870 | État IEC 60870 : not topical | _VSB_NT_BIT
47 | OV_870 | État IEC 60870 : overflow | _VSB_OV_BIT
48 | SE_870 | État IEC 60870 : select | _VSB_SE_BIT
49 | T_INVAL | Horodatage externe invalide | non défini
50 | CB_TRIP | Déclenchement de disjoncteur détecté | non défini
51 | CB_TR_I | Détection de déclenchement de disjoncteur inactive | non défini
52 | OR_DRV | Valeur non comprise dans la plage valide (IEC 61850) | non défini
53 | T_UNSYNC | ClockNotSynchronized (IEC 61850) | non défini
54 | PR_NR | Pas enregistré dans le Process Recorder | non défini
55 | RES55 | réservé | non défini
56 | RES56 | réservé | non défini
57 | RES57 | réservé | non défini
58 | RES58 | réservé | non défini
59 | RES59 | réservé | non défini
60 | RES60 | réservé | non défini
61 | RES61 | réservé | non défini
62 | RES62 | réservé | non défini
63 | RES63 | réservé | non défini

info Informations

Dans les formules, tous les bits d'état sont disponibles. La disponibilité peut être réduite dans le cadre d'autres utilisations.

3. Activation des anciens noms courts

Si vous voulez utiliser les noms courts dépendants des langues comme dans les versions antérieures à la version 6.50, vous pouvez activer cela avec une entrée dans le fichier project.ini. Les premiers noms courts s'appliquent à :

  • VBA
  • Recipe Group Manager (Gestionnaire de groupes de recettes)
  • Boîte de dialogue Élément combiné
  • Boîte de dialogue Matrice de réaction

Remarque : le nom abrégé doit être saisi en lettres majuscules ; il ne doit pas contenir d'espaces et doit comporter au maximum 7 caractères.

Voici comment ouvrir le fichier project.ini :

  1. Sélectionner le projet dans le Gestionnaire de projet
  2. Appuyez sur les touches Ctrl+Alt+E
  3. Le dossier SQL de zenon s'ouvre dans l'Explorateur Windows

    C:\ProgramData\COPA-DATA\[Dossier SQL]\[UID]}FILES

  4. Accédez à \zenon\system\
  5. Ouvrez le fichier project.ini avec un éditeur de texte.

Attribution des nouveaux noms courts dépendant des langues

Copiez l'entrée correspondant à la langue souhaitée de [STATUS] jusqu'à STATUS63=RES63 (inclus), et collez ces données dans project.ini.

Allemand | Anglais | Français
[STATUS] STATUS0=ST_M1 STATUS1=ST_M2 STATUS2=ST_M3 STATUS3=ST_M4 STATUS4=ST_M5 STATUS5=ST_M6 STATUS6=ST_M7 STATUS7=ST_M8 STATUS8=SELEC STATUS9=REV STATUS10=LAUF STATUS11=LZÜ STATUS12=HWERT STATUS13=ST_14 STATUS14=ST_15 STATUS15=ST_16 STATUS16=GA STATUS17=SPONT STATUS18=I-BIT STATUS19=SO/WI STATUS20=N_AKT STATUS21=EZ_E STATUS22=EZ_I STATUS23=NSORT STATUS24=SM_TR STATUS25=LM_TR STATUS26=INFO STATUS27=EWERT STATUS28=RES13 STATUS29=!AKTUAL STATUS30=WINTER STATUS31=RES16 STATUS32=UEK0 STATUS33=UEK1 STATUS34=UEK2 STATUS35=UEK3 STATUS36=UEK4 STATUS37=UEK5 STATUS38=PN_BIT STATUS39=T_BIT STATUS40=WR-ACK STATUS41=WR-SUC STATUS42=NORM STATUS43=ABNORM STATUS44=BL_BIT STATUS45=SB_BIT STATUS46=NT_BIT STATUS47=OV_BIT STATUS48=SE_BIT STATUS49=TIME_INVAL STATUS50=RES50 STATUS51=RES51 STATUS52=RES52 STATUS53=RES53 STATUS54=RES54 STATUS55=RES55 STATUS56=RES56 STATUS57=RES57 STATUS58=RES58 STATUS59=RES59 STATUS60=RES60 STATUS61=RES61 STATUS62=RES62 STATUS63=RES63 | [STATUS] STATUS0=ST_M1 STATUS1=ST_M2 STATUS2=ST_M3 STATUS3=ST_M4 STATUS4=ST_M5 STATUS5=ST_M6 STATUS6=ST_M7 STATUS7=ST_M8 STATUS8=SELEC STATUS9=REV STATUS10=DIREC STATUS11=RTE STATUS12=MVALUE STATUS13=ST_14 STATUS14=ST_15 STATUS15=ST_16 STATUS16=GI STATUS17=SPONT STATUS18=I-BIT STATUS19=SU/WI STATUS20=N_UPD STATUS21=RT_E STATUS22=RT_I STATUS23=NSORT STATUS24=DM_TR STATUS25=RM_TR STATUS26=INFO STATUS27=AVALUE STATUS28=RES13 STATUS29=!AKTUAL STATUS30=WINTER STATUS31=RES16 STATUS32=TCB0 STATUS33=TCB1 STATUS34=TCB2 STATUS35=TCB3 STATUS36=TCB4 STATUS37=TCB5 STATUS38=PN_BIT STATUS39=T_BIT STATUS40=WR-ACK STATUS41=WR-SUC STATUS42=NORM STATUS43=DEVNORM STATUS44=BL_BIT STATUS45=SB_BIT STATUS46=NT_BIT STATUS47=OV_BIT STATUS48=SE_BIT STATUS49=TIME_INVAL STATUS50=RES50 STATUS51=RES51 STATUS52=RES52 STATUS53=RES53 STATUS54=RES54 STATUS55=RES55 STATUS56=RES56 STATUS57=RES57 STATUS58=RES58 STATUS59=RES59 STATUS60=RES60 STATUS61=RES61 STATUS62=RES62 STATUS63=RES63 | [STATUS] STATUS0=ST_M1 STATUS1=ST_M2 STATUS2=ST_M3 STATUS3=ST_M4 STATUS4=ST_M5 STATUS5=ST_M6 STATUS6=ST_M7 STATUS7=ST_M8 STATUS8=SELEC STATUS9=REV STATUS10=DIREC STATUS11=DRT STATUS12=VAL_M STATUS13=ST_14 STATUS14=ST_15 STATUS15=ST_16 STATUS16=RG STATUS17=SPONT STATUS18=I-BIT STATUS19=ET/HI STATUS20=N_RAF STATUS21=HR_E STATUS22=HR_E STATUS23=NTRI STATUS24=MD_TR STATUS25=MM_TR STATUS26=INFO STATUS27=VALR STATUS28=RES13 STATUS29=!AKTUAL STATUS30=HIVER STATUS31=RES16 STATUS32=CTB0 STATUS33=CTB1 STATUS34=CTB2 STATUS35=CTB3 STATUS36=CTB4 STATUS37=CTB5 STATUS38=PN_BIT STATUS39=T_BIT STATUS40=ECR-ACK STATUS41=ECR-OK STATUS42=NORM STATUS43=DEVNORM STATUS44=BL_BIT STATUS45=SB_BIT STATUS46=NT_BIT STATUS47=OV_BIT STATUS48=SE_BIT STATUS49=TIME_INVAL STATUS50=RES50 STATUS51=RES51 STATUS52=RES52 STATUS53=RES53 STATUS54=RES54 STATUS55=RES55 STATUS56=RES56 STATUS57=RES57 STATUS58=RES58 STATUS59=RES59 STATUS60=RES60 STATUS61=RES61 STATUS62=RES62 STATUS63=RES63

Italien | Espagnol | Russe
[STATUS] STATUS0=ST_M1 STATUS1=ST_M2 STATUS2=ST_M3 STATUS3=ST_M4 STATUS4=ST_M5 STATUS5=ST_M6 STATUS6=ST_M7 STATUS7=ST_M8 STATUS8=SELEC STATUS9=REV STATUS10=RUN STATUS11=RTE STATUS12=V_MAN STATUS13=ST_14 STATUS14=ST_15 STATUS15=ST_16 STATUS16=IG STATUS17=SPONT STATUS18=NV-BIT STATUS19=ES/IN STATUS20=N_UPD STATUS21=RT_E STATUS22=RT_I STATUS23=NORD STATUS24=SM_TR STATUS25=RM_TR STATUS26=INFO STATUS27=RVAL STATUS28=RES13 STATUS29=!ATTUALE STATUS30=INVERNO STATUS31=RES16 STATUS32=CTB0 STATUS33=CTB1 STATUS34=CTB2 STATUS35=CTB3 STATUS36=CTB4 STATUS37=CTB5 STATUS38=PN_BIT STATUS39=T_BIT STATUS40=WR-ACK STATUS41=WR-SUC STATUS42=NORM STATUS43=Fuori norma STATUS44=BL_BIT STATUS45=SB_BIT STATUS46=NT_BIT STATUS47=OV_BIT STATUS48=SE_BIT STATUS49=TIME_INVAL STATUS50=RES50 STATUS51=RES51 STATUS52=RES52 STATUS53=RES53 STATUS54=RES54 STATUS55=RES55 STATUS56=RES56 STATUS57=RES57 STATUS58=RES58 STATUS59=RES59 STATUS60=RES60 STATUS61=RES61 STATUS62=RES62 STATUS63=RES63 | [STATUS] STATUS0=ST_M1 STATUS1=ST_M2 STATUS2=ST_M3 STATUS3=ST_M4 STATUS4=ST_M5 STATUS5=ST_M6 STATUS6=ST_M7 STATUS7=ST_M8 STATUS8=SELEC STATUS9=REV STATUS10=LAUF STATUS11=LZÜ STATUS12=VWERT STATUS13=ST_14 STATUS14=ST_15 STATUS15=ST_16 STATUS16=CG STATUS17=SPONT STATUS18=I-BIT STATUS19=VE/IN STATUS20=N_AKT STATUS21=EZ_E STATUS22=EZ_E STATUS23=NSORT STATUS24=SM_TR STATUS25=LM_TR STATUS26=INFO STATUS27=EWERT STATUS28=RES13 STATUS29=!ACTUAL STATUS30=INVIERNO STATUS31=RES16 STATUS32=TCB0 STATUS33=TCB1 STATUS34=TCB2 STATUS35=TCB3 STATUS36=TCB4 STATUS37=TCB5 STATUS38=PN_BIT STATUS39=T_BIT STATUS40=WR-ACK STATUS41=WR-SUC STATUS42=NORM STATUS43=DEVNORM STATUS44=BL_BIT STATUS45=SB_BIT STATUS46=NT_BIT STATUS47=OV_BIT STATUS48=SE_BIT STATUS49=TIME_INVAL STATUS50=RES50 STATUS51=RES51 STATUS52=RES52 STATUS53=RES53 STATUS54=RES54 STATUS55=RES55 STATUS56=RES56 STATUS57=RES57 STATUS58=RES58 STATUS59=RES59 STATUS60=RES60 STATUS61=RES61 STATUS62=RES62 STATUS63=RES63 | [STATUS] STATUS0=ST_M1 STATUS1=ST_M2 STATUS2=ST_M3 STATUS3=ST_M4 STATUS4=ST_M5 STATUS5=ST_M6 STATUS6=ST_M7 STATUS7=ST_M8 STATUS8=????? STATUS9=??? STATUS10=??? STATUS11=??? STATUS12=????? STATUS13=ST_14 STATUS14=ST_15 STATUS15=ST_16 STATUS16=?? STATUS17=SPONT STATUS18=I-Bit STATUS19=??/?? STATUS20=N_AKT STATUS21=EZ_E STATUS22=EZ_E STATUS23=?????? STATUS24=SM_TR STATUS25=??_?? STATUS26=INFO STATUS27=????? STATUS28=RES13 STATUS29=!????????? STATUS30=???? STATUS31=RES16 STATUS32=???0 STATUS33=???1 STATUS34=???2 STATUS35=???3 STATUS36=???4 STATUS37=???5 STATUS38=PN_BIT STATUS39=T_BIT STATUS40=WR-ACK STATUS41=WR-SUC STATUS42=???? STATUS43=??????? STATUS44=BL_BIT STATUS45=SB_BIT STATUS46=NT_BIT STATUS47=OV_BIT STATUS48=SE_BIT STATUS49=TIME_INVAL STATUS50=RES50 STATUS51=RES51 STATUS52=RES52 STATUS53=RES53 STATUS54=RES54 STATUS55=RES55 STATUS56=RES56 STATUS57=RES57 STATUS58=RES58 STATUS59=RES59 STATUS60=RES60 STATUS61=RES61 STATUS62=RES62 STATUS63=RES63


Structures des UDFB dans zenon Logic

Manuel -> Conversion de projets -> Convertir de la version x vers la version 6.50 -> Structures des UDFB dans zenon Logic

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

À compter de la version 6.50, dans zenon, les types de données UFDB de zenon Logic ne sont plus disponibles. Pour préserver la compatibilité avec la version 6.22, vous pouvez les créer dans zenon, avec un préfixe de projet : "PROJEKTNAME/UDFBName". Pour cela, vous devez ajouter une entrée dans le fichier K5DBXS.ini :

  1. Ouvrez le fichier K5DBXS.ini.
  2. Accédez à la section [XS].
  3. Créez l'entrée UseUDFBPrefix=1.

Pour toute question concernant l'adaptation d'UFDB invisibles, veuillez contacter support@copadata.com ou le service d'assistance fourni dans votre contrat d'assistance.


VSTA et VBA - dénomination d'objets

Manuel -> Conversion de projets -> Convertir de la version x vers la version 6.50 -> VSTA et VBA - dénomination d'objets

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Certaines modifications apportées au modèle d'objet ont été réalisées en raison des limites inhérentes à la dénomination d'objets VSTA. Ces modifications ont une incidence sur le code VBA, car celui-ci continue à accéder à l'ancien nom et ne fonctionne donc plus.

Les modifications suivantes ont été mises en œuvre :

  • IDriver
    • Nom -> Identification :

      La propriété Nom ne reçoit pas le nom renvoyé, mais l'identification du driver. Elle a été renommée en Identification.

    • Driver -> Nom :

      Driver est incompatible avec VSTA, car cette propriété renvoie le nom du driver. Elle a été renommée en Nom.

  • IApplication
    • Fermer -> Méthode : Fermer / Événement : OnClose :

      IApplication comporte à la fois une méthode et un événement portant le nom Close. Cette fonction n'est pas compatible avec VSTA. L'événement a été renommé en OnClose.

  • IZenWorkspace
    • Démarrage -> OnWorkspaceStartup
    • Quitter -> OnWorkspaceExit

      Ces deux noms étant utilisés pour les événements internes VSTA, ils ont été modifiés en OnWorkspaceStartup et OnWorkspaceExit.

attention Attention

Contrôlez le code VBA afin de localiser tout nom de modifié et adaptez-le si nécessaire.


Convertir de la version x vers la version 6.51

Manuel -> Conversion de projets -> Convertir de la version x vers la version 6.51

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Les projets provenant de versions antérieures sont automatiquement convertis lors du chargement dans la version actuelle d'Editor. Une sauvegarde du projet est faite automatiquement dans le répertoire \SQL\Backup.

attention Attention

Précautions à prendre avant la conversion :

Avant de convertir les données modifiées dans l'éditeur du Runtime, lisez-les avec l'ancienne version. Dans le cas contraire, elles seront perdues !

Autres sujets abordés dans ce chapitre

Calcul de la largeur des colonnes

Base de données SQL de paramètres

Extended Trend – Axe XY

GUID pour la conversion de projets avec la version 5.50

Élément combiné Boutons à cliquer

Menus contextuels du module Gestion de commande

Enregistrement des heures des postes dans le module PFS

Conversion des couleurs de la palette de symboles de la bibliothèque générale de symboles en couleurs absolues

Assistants - Suppression des propriétés VBA et VSTA

Le caractère # n'est pas valide dans les noms d'objet


Calcul de la largeur des colonnes

Manuel -> Conversion de projets -> Convertir de la version x vers la version 6.51 -> Calcul de la largeur des colonnes

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

À partir de la version 6.51, la largeur moyenne des caractères de la police sélectionnée est utilisée pour calculer la largeur des colonnes (par exemple, liste d'alarmes ou liste CEL). Avant cela, une valeur par défaut était utilisée. Cela peut entraîner l'affichage de colonnes dans des largeurs inattendues après la conversion.


Base de données SQL de paramètres

Manuel -> Conversion de projets -> Convertir de la version x vers la version 6.51 -> Base de données SQL de paramètres

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

À compter de la version 6.51, l'instance de SQL peut être définie et le mot de passe est enregistré sous forme chiffrée dans l'outil Startup Tool.

À cette fin, la boîte de dialogue de configuration des propriétés de la base de données a été modifiée. Les nouvelles entrées sont prioritaires sur les entrées existantes. L'affichage de la boîte de dialogue est automatiquement adapté à la version sélectionnée (versions antérieures à la version 6.51 ou versions 6.51 et ultérieures).

Nouvelles entrées

zenondb.ini contient de nouvelles entrées à compter de la version 6.51 :

[CONNECTION_SQL2005]

USER=zenOnSrv

PW=0x9C 0x94 0xC6 0x50 0x15 0x80 0x79 0x06 0x32 0xED 0x4E 0xE1 0x15 0xDD 0x7C 0x90 (cryptage du mot de passe crypté)

SQLINSTANCE=RECHNERNAME\ZENON_DEV

Ces entrées remplacent l'entrée :

[CONFIG]

PROVIDER_SQL2005

Si les nouvelles entrées ne sont pas disponibles ou sont vides, cette entrée est utilisée malgré tout.

Compatibilité

Tant qu'aucune propriété n'est modifiée, les entrées existantes restent valides. Si vous modifiez une entrée pour la version 6.51 ou une version ultérieure, les nouvelles entrées sont valides. La maintenance des versions antérieures doit être assurée séparément. Vous trouverez les paramètres pour les versions antérieures à 6.51 au chapitre Base de données antérieure à la version 6.51.

Attention : le chiffrement du mot de passe se déroule maintenant dans la nouvelle boîte de dialogue de l'outil Startup Tool ; à compter de la version 6.51, tous les paramètres doivent dont être configurés par l'intermédiaire de l'outil Startup Tool.


Extended Trend – Axe XY

Manuel -> Conversion de projets -> Convertir de la version x vers la version 6.51 -> Extended Trend – Axe XY

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Pour des raisons de performances, les données d'archive de l'axe X ne sont plus chargées automatiquement dans le diagramme du module Extended Trend à partir de la version 6.51. Pour afficher malgré tout l'axe X dans le diagramme :

  • Ajoutez la variable sélectionnée pour le paramètre Variable for X-axis (Variable de l'axe X), ainsi que la courbe dans le diagramme.
  • Désactivez l'affichage de la courbe.


GUID pour la conversion de projets avec la version 5.50

Manuel -> Conversion de projets -> Convertir de la version x vers la version 6.51 -> GUID pour la conversion de projets avec la version 5.50

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Lors de la conversion de projets à partir de la version 5.50, n'oubliez pas que lors de la conversion de projets multiples, un GUID individuel est créé pour chaque projet.

Motif

Dans le fichier project.ini de la version 5.50, l'entrée GUID contient un GUID de projet. Si vous convertissez un projet vers la version 6.x, ce GUID est utilisé.

Dans zenon 5.50, il était possible de copier des dossiers au niveau des fichiers, puis d'ouvrir le projet dans Editor avant de renommer. La copie du projet contenait encore le GUID d'origine dans le fichier INI, ce qui ne posait aucun problème dans la version 5.50.

Si vous convertissez deux projets de cette manière dans la version 6.x, la conversion du deuxième projet sera annulée et un message indiquera que le GUID existe déjà.

Solution

Pour convertir plusieurs projets copiés à partir de la version 5.50, trois possibilités s'offrent à vous :

  1. Enregistrer sous
    • Convertissez le projet A
    • Sélectionnez l'option Enregistrer projet sous dans la version 6.x
    • Un nouveau GUID est créé
    • Supprimez le projet d'origine
    • Convertissez le projet B

    Attention : cette méthode n'est pas adaptée aux projets globaux.

  2. Sauvegarde de projet
    • Convertissez le projet A
    • Créez une sauvegarde du projet dans la version 6.x
    • Supprimez le projet d'origine
    • Restaurez la sauvegarde en sélectionnant l'option Restaurer sauvegarde projet, puis activez la propriété Créer un nouveau projet.

    Remarque : cette méthode est également adaptée aux projets globaux.

  3. Édition du fichier project.ini :
    • Ouvrez le fichier project.ini de la version 5.50. Dans cette version, le fichier project.ini est appelé projectname.ini.
    • Supprimez l'entrée avec le GUID
    • Effectuez la conversion
    • Un nouveau GUID est créé

    Remarque : si ce projet est rouvert avec la version 5.50, un nouveau GUID est également créé et saisi dans le fichier INI.


Élément combiné Boutons à cliquer

Manuel -> Conversion de projets -> Convertir de la version x vers la version 6.51 -> Élément combiné Boutons à cliquer

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

À compter de la version 6.51, vous pouvez créer sous toutes les formes des boutons à cliquer dans l'élément combiné pour l'option Symbole de la bibliothèque.

Pour les projets destinés aux précédentes versions du logiciel, la propriété La forme du symbole définie la zone de clic (nœud : Affichage) est traitée comme inactive.


Menus contextuels du module Gestion de commande

Manuel -> Conversion de projets -> Convertir de la version x vers la version 6.51 -> Menus contextuels du module Gestion de commande

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Avant la version 6.51, le texte associé aux éléments de menu automatiques était ignoré. Lors de la conversion de projets créés avec une version antérieure à la version 6.51, des macros $ALL$$NOTE$ sont automatiquement insérées avant le texte développé. Par conséquent, les éléments de menu se comportent comme auparavant.


Enregistrement des heures des postes dans le module PFS

Manuel -> Conversion de projets -> Convertir de la version x vers la version 6.51 -> Enregistrement des heures des postes dans le module PFS

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Lors de l'enregistrement des heures des postes dans le module Production & Facility Scheduler, le nom de la table de l'enregistrement a été défini sur PFSSHIFTHISTORY dans la version 6.50.

À compter de la version 6.51, la création se déroule conformément au schéma suivant : ProjectGUID_SHIFT_GUID du groupe d'équipements
Par exemple : 292af0ac-d33d-4123-8484-e359cd0a6ae3_SHIFT_989ef705-d6a6-4b81-9eb5-f76483ecaac1.


Conversion des couleurs de la palette de symboles de la bibliothèque générale de symboles en couleurs absolues

Manuel -> Conversion de projets -> Convertir de la version x vers la version 6.51 -> Conversion des couleurs de la palette de symboles de la bibliothèque générale de symboles en couleurs absolues

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Lors de l'utilisation de palettes, seul l'indice de la palette est enregistré. La couleur réelle est attribuée dans le Runtime.

Problème

Si vous définissez des couleurs pour les symboles de la bibliothèque générale de symboles par le biais de palettes (dont le fonctionnement est semblable à celui de la palette des versions 6.51 et ultérieures) dans des versions antérieures à zenon 6.51, et les couleurs d'un symbole sont modifiées dans la version 6.51, toutes les couleurs de symboles définies par l'utilisateur sont adaptées lors du redémarrage d'Editor. Cette action est correcte, du point de vue de la compatibilité. Toutefois, l'utilisation de couleurs absolues peut être nécessaire.

Solution

Si la bibliothèque de symboles est à nouveau enregistrée dans zenon 6.51, les indices des palettes sont enregistrés sous forme de couleurs absolues.

Procédure :

  1. activez et ouvrez le projet avec la palette de couleurs correcte dans zenon 6.51.
  2. Ajoutez un nouveau symbole à la bibliothèque générale de symboles.
  3. Enregistrez la bibliothèque générale de symboles. Il est alors enregistré au nouveau format.
  4. Fermez Editor et redémarrez-le.
  5. Renommez le nouveau symbole et enregistrez-le.
  6. Dans la bibliothèque globale de symboles, les couleurs de la palette sont remplacées par des couleurs absolues.


Assistants - Suppression des propriétés VBA et VSTA

Manuel -> Conversion de projets -> Convertir de la version x vers la version 6.51 -> Assistants - Suppression des propriétés VBA et VSTA

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

En cas d'exécution de la fonction de filtre lors d'un appel de synoptique de type Extended Trend, les propriétés dynamiques suivantes ont été supprimées, car elles n'ont plus de fonction :

  • PictFilter[0].Curve["0 "].VarInfo.Channel
  • et ArvName, Titel, Group et Amplitude pour le même objet

Si vous utilisez ces propriétés dans un assistant, vous devez les supprimer.


Le caractère # n'est pas valide dans les noms d'objet

Manuel -> Conversion de projets -> Convertir de la version x vers la version 6.51 -> Le caractère # n'est pas valide dans les noms d'objet

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

À partir de la version 6.51, le caractère # n'est plus valide pour les noms d'objet, tels que les variables ou les fonctions. Le caractère ne peut pas être saisi lors de la définition du nom dans l'interface utilisateur.

Arrière-plan : un caractère # dans le nom peut provoquer des problèmes durant l'importation.


Convertir de la version x vers la version 7.00

Manuel -> Conversion de projets -> Convertir de la version x vers la version 7.00

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Les projets Attention provenant de versions antérieures sont automatiquement convertis lors du chargement dans la version actuelle d'Editor. Une sauvegarde du projet est faite automatiquement dans le répertoire \SQL\Backup. À partir de la version 7.00, les noms de fichier des sauvegardes générées automatiquement comportent une indication de la version de SQL Server, par exemple :
avant conversion vers 7.00 SP0 (sql server 2008 r2).zip

Attention

Précautions à prendre avant la conversion :

Avant de convertir les données modifiées dans l'éditeur du Runtime, lisez-les avec l'ancienne version. Dans le cas contraire, elles seront perdues !

Remarque : Les caractères spéciaux, tels que ß et /\, ne sont pas autorisés dans les noms de projets zenon. Les caractères suivants sont autorisés : Chiffres, lettres et caractère de soulignement (_). Vous trouverez d'autres informations à ce sujet dans le manuel Gestion de projets et espace de travail, au chapitre Créer un nouveau projet.

Autres sujets abordés dans ce chapitre

Gestion des utilisateurs avec Active Directory

Installation de la version 7.x et de la version 6.51 sur le même ordinateur

Diagnosis Server avec nouveau service

Liste déroulante/Zone de liste dynamique

IPv6

Licence

Message control

RGM - Erreur de fonctionnement lors de l'appel de synoptique

Lecture de recettes dans le module RGM - Nouveau fonctionnement

Driver Allan Bradley RS-Linx

Modification de SQL Server


Gestion des utilisateurs avec Active Directory

Manuel -> Conversion de projets -> Convertir de la version x vers la version 7.00 -> Gestion des utilisateurs avec Active Directory

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

À partir de la version 7.00 SP0, seul Active Directory est disponible pour la gestion des utilisateurs dans le Runtime de zenon. Cela signifie, pour zenon Editor :

  • Les utilisateurs AD ne sont pas utilisés pour Editor.
  • Les utilisateurs AD ne sont plus validés dans Editor.
  • AD ne permet pas de se connecter à Editor.

Attention : si vous avez activé la fonction de connexion à zenon Editor via Active Directory dans un projet, vous devez créer un utilisateur de zenon possédant tous les droits nécessaires avant de convertir le projet.


Installation de la version 7.x et de la version 6.51 sur le même ordinateur

Manuel -> Conversion de projets -> Convertir de la version x vers la version 7.00 -> Installation de la version 7.x et de la version 6.51 sur le même ordinateur

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Si une version 7.x est installée sur un système sur lequel zenon 6.51 est déjà installé, le driver Multiple Network Protocol Driver doit être réinstallé après le redémarrage de l'ordinateur.

Pour cela,

  1. Redémarrez le système
  2. Sur le support d’installation, ouvrez le chemin suivant : AdditionalSoftware\COPA-DATA Multiple Network Protocol Driver x64
  3. Exécutez le fichier setup64.exe (setup32.exe sur les systèmes 32 bits depuis le dossier AdditionalSoftware\COPA-DATA Multiple Network Protocol Driver x86)

Ceci permet de réinstaller le driver et de le lier correctement à la carte réseau.


Diagnosis Server avec nouveau service

Manuel -> Conversion de projets -> Convertir de la version x vers la version 7.00 -> Diagnosis Server avec nouveau service

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Avec zenon 7.00 SP0, le système de diagnostic a évolué. À partir de cette version, toutes les tâches de journalisation sont effectuées par le service zenLogSrv. Le service zenSysServ gère désormais uniquement les activités du module Remote Transport. Le nombre maximal de modules par Diagnosis Client a été augmenté de 32 à 64.

Ceci signifie :

  • Les systèmes de diagnostic jusqu'à la version 6.51 et à partir de la version 7.00 sont compatibles.
  • Les mécanismes de diagnostic de zenon 6.51 SP0 et de zenon 7.00 SP0 ne sont pas compatibles.
Compatibilité | Diagnosis Server, versions 6.51 SP0 et antérieures | Diagnosis Server, versions 7.00 SP0 et ultérieures
Diagnosis Client, versions 6.51 SP0 et antérieures | compatible | incompatible
Diagnosis Viewer 6.51 SP0 et précédentes | compatible | incompatible
Diagnosis Client, versions 7.00 SP0 et ultérieures | incompatible | compatible
Diagnosis Viewer, versions 7.00 SP0 et ultérieures | incompatible | compatible

Avec Diagnosis Viewer, versions 7.00 SP0 et ultérieures, vous pouvez ouvrir les fichiers JOURNAUX créés dans Diagnosis Server, versions 6.51 SP0 (ou antérieures). Cela ne fonctionne pas dans l'autre sens !


Liste déroulante/Zone de liste dynamique

Manuel -> Conversion de projets -> Convertir de la version x vers la version 7.00 -> Liste déroulante/Zone de liste dynamique

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

À partir de la version 7, les zones de liste/listes déroulantes peuvent également être créées de manière dynamique. La propriété Entrées depuis une variable chaine permet de définir si les entrées dans la liste sont créées dans Editor, ou via une variable de chaîne liée.

Lors de la conversion de projets depuis une version antérieure à zenon 7, les nouvelles propriétés sont associées à des valeurs valides :

  • liste déroulante statique/zone de liste (propriété Entrées depuis une variable chaine inactive)
  • aucune variable de visibilité (propriété Variable vide)

Si les fichiers d'une version antérieure sont créés ou enregistrés, les propriétés de la zone de liste/liste déroulante dynamique ne sont pas chargées, afin de garantir leur rétrocompatibilité.


IPv6

Manuel -> Conversion de projets -> Convertir de la version x vers la version 7.00 -> IPv6

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

À partir de zenon version 7,00, vous pouvez utiliser le protocole IPv6 sur le réseau.

info Informations

Le protocole IPv6 permet à davantage d'utilisateurs et de périphériques de communiquer via Internet, en utilisant des nombres plus importants pour créer des adresses IP. Avec le protocole IPv4, chaque adresse IP mesure 32 bits de long ; ceci permet de former 4,3 milliards d'adresses uniques. Exemple d'adresse IPv4 :

172.16.254.1

À titre de comparaison : Les adresses IPv6 mesurent 128 bits de long, ce qui permet de former environ 340 sextillions (3,4e+38) d'adresses IP uniques. Exemple d'adresse IPv6 :

2001:db8:ffff:1:201:02ff:fe03:0405

Toutefois, le protocole IPv6 offre d'autres avantages en termes de trafic réseau. Dans la plupart des cas, les ordinateurs et les programmes reconnaissent les réseaux compatibles IPv6 et utilisent les avantages correspondants, sans autre intervention de l'utilisateur. IPv6 remédie également à d'autres problèmes réseaux pouvant être dus à l'espace d'adressage limité d'IPv4. Exemple : IPv6 réduit la nécessité de recourir à la traduction d'adresses de réseau (NAT), un service permettant à plusieurs clients d'utiliser une adresse IP commune, mais qui n'est pas toujours fiable.

Le réseau de zenon permet de choisir les protocoles IPv6 ou IPv4. Le double fonctionnement n'est pas autorisé. Pour configurer ce paramètre :

  • dans Network configuration dans Startup Tool
    ou
  • dans le fichier zenon6.ini

Attention : Le protocole IPv6 est uniquement compatible avec les versions 7 et ultérieures.
Aucune version avant la version 7 ne peut être démarrée si cette option est active. Ceci concerne zenAdminSrv, zenSysSrv, zenLogSrv et zenDBSrv en particulier.

Les composants suivants ne sont pas affectés par le paramètre ; ils utilisent toujours le protocole IPv4 :

  • Communications du driver avec les automates
  • Communications du protocole dans les plugins de Process Gateway
  • Communications de l'espace de travail et du Runtime dans zenon Logic

Diagnosis Viewer

Diagnosis Servercollabore également avec les clients de diagnostic, dont l'adressage est défini sous forme d'adresses IPv6. Pour cela, le format du fichier journal a été adapté. Diagnosis Viewer lit uniquement le nouveau format des fichiers journaux. Si des fichiers journaux provenant de versions antérieures de zenon (ou inversement) sont ouverts, l'adresse IP de Diagnosis Client n'est pas affichée correctement.


Licence

Manuel -> Conversion de projets -> Convertir de la version x vers la version 7.00 -> Licence

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Avec la version 7.00, la gestion des licences a évolué. Pour adapter la version existante de zenon à la version 7.00, vous devez acheter une licence pour la version 7.00 et saisir le nouveau numéro d'activation. Les numéros de série sont conservés.

Les entrées dans le fichier zenon6.ini sont maintenant :

[DEFAULT]

SERIAL7=

ACTIVATIONKEY7=


Message control

Manuel -> Conversion de projets -> Convertir de la version x vers la version 7.00 -> Message control

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

À partir de la version zenon 7.00 SP0, le module de Message Control diffère fondamentalement des versions antérieures en termes de technologie et de configuration.

Des modifications techniques importantes ont été mises en œuvre :

  • Le serveur COM n'est plus utilisé
  • Le composant supplémentaire de l'entreprise DerDack n'est plus utilisé
  • L'élément ZenMsgQueue est remplacé par un synoptique de type Message Control
  • La configuration est effectuée par le biais de la propriété Module Message Control de l'espace de travail (envoi) et des propriétés Paramètres spécifiques au projet pour le module Message Control dans le projet (spécifique au projet)
  • La vue de détail n'est plus disponible
  • Les modèles de postes et la fonctionnalité de calendrier ont été supprimés
  • Les fichiers ne sont plus modifiables dans le Runtime
  • L'envoi d'e-mails est possible via Outlook ou un serveur SMTP ; le protocole SMTP autorise l'envoi de pièces jointes
  • La configuration du type d'envoi n'est plus enregistrée dans le fichier messag32.ini, mais dans le fichier zenon6.ini
  • Évaluation des textes de valeur limite : Jusqu'à présent, l'évaluation des textes composés dans le module Message Control se déroulait différemment de l'évaluation des textes de limite standard. À partir de la version 7.00, ces deux types de textes sont évalués de la même manière. @StringTabelle+%var1

Vous trouverez des informations détaillées concernant la configuration au chapitre Configuration du module Message Control.

attention Attention

Seuls les projets créés à partir de la version 5.50 SP7 peuvent être convertis au format de la version 7.

Conversion

En raison de ces modifications importantes, une compatibilité à 100 % ne peut pas être garantie lors de la conversion. Cela s'applique également à la compilation de fichiers Runtime dans les versions antérieures. Lors de la conversion, prêtez attention aux aspects suivants :

  • Utilisateur :
    • Utilisateurs existants avec le même nom (prénom et nom) : L'utilisateur est sélectionné et les informations sont ajoutées.
    • Aucun utilisateur correspondant disponible : Un nouvel utilisateur est créé. Le lien vers l'utilisateur et le groupe d'utilisateurs de remplacement est résolu. L'utilisateur est ajouté au groupe existant ou au groupe créé lors de la conversion.
  • Groupes d'utilisateurs :
    • Un groupe d'utilisateurs avec le même nom existe : Le groupe d'utilisateurs est sélectionné et les informations sont ajoutées.
    • Aucun groupe d'utilisateurs correspondant disponible : Un nouveau groupe d'utilisateurs est créé.
  • Fonctions :

    La fonction Afficher la base de données de destinataires a été supprimée.
    Cette fonction ne peut plus être créée avec Editor. Lors de la conversion, toutefois, elle n'est pas supprimée. Son exécution dans le Runtime n'a aucun effet, et génère une entrée de fichier journal.

  • Paging :
    La fonction Paging (radiomessagerie) n'est plus disponible pour les envois de messages. Les fonctions existantes avec le type d'envoi Paging (radiomessagerie) sont transformées en envois du type GSM lors de la conversion. Un message dans la fenêtre de résultat l'indique. Après la conversion, vous devez contrôler les paramètres de la fonction.
  • Fichiers modifiables dans le Runtime :
    La fonction de gestion des utilisateurs ayant été modifiée, les fichiers modifiables dans le Runtime ne sont plus utilisés par le module Message Control. Dans la version 7, les données de Runtime de versions antérieures ne peuvent pas être lues. Si les fichiers de Runtime d'un projet antérieur à la version 7 sont requis, vous devez les lire dans Editor avant de les importer dans zenon 7, puis les convertir.
  • Postes et calendriers :
    La fonctionnalité de gestion des postes et calendriers a été supprimée. Les fonctions existantes comportant le type de cible Poste reçoivent en type de cible Groupe lors de la conversion. Toutefois, aucun groupe n'est lié. Un message dans la fenêtre de résultat l'indique. Après la conversion, vous devez contrôler les paramètres de la fonction.
  • Passerelle SMS :
    Puisque l'interface simple n'offre pas la possibilité technique d'attribuer les messages de manière univoque, à partir de la version 7, seule l'interface améliorée est prise en charge. Lors de la conversion, vous devez vous assurer que l'application SMS Server de l'entreprise Dialogs est correctement configurée. Dans le cas contraire, l'envoi échouera.


RGM - Erreur de fonctionnement lors de l'appel de synoptique

Manuel -> Conversion de projets -> Convertir de la version x vers la version 7.00 -> RGM - Erreur de fonctionnement lors de l'appel de synoptique

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Lors d'un appel de synoptique de type RGM, une recette est défaillante si :

  • La recette n'est pas disponible dans le Runtime
  • Aucune sélection n'a été effectuée
  • Une recette n'est pas incluse dans le filtre

Le comportement de la liste déroulante Recette change dans le Runtime :

  • Jusqu'à la version 6.51 SP0, la première recette de la liste est proposée
  • À partir de la version 7.00 SP0, la sélection reste vide.


Lecture de recettes dans le module RGM - Nouveau fonctionnement

Manuel -> Conversion de projets -> Convertir de la version x vers la version 7.00 -> Lecture de recettes dans le module RGM - Nouveau fonctionnement

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

À partir de la version 7.00 SP0, lors de la lecture de valeurs de variables dans des recettes (apprentissage), les conditions suivantes sont vérifiées :

  • Si les valeurs des propriétés Valeur min. et Valeur max. ont été respectées.
  • L'état de la variable.

Si les valeurs réelles sont inférieures ou supérieures à celles de ces propriétés, ou si la variable comporte l'état INVALID, les valeurs ne sont pas écrites dans la recette et ne sont plus enregistrées.

D'autres variables de système sont analysées. À partir de la version 7.00, les valeurs de variable possibles sont les suivantes :

  • 0 : définie avant la lecture ; change uniquement lorsque le procédé de lecture est terminé.
  • 1 : lecture effectuée avec succès.
  • 2 : durant la lecture, une erreur non définie dans le détail s'est produite.
  • 3 : durant la lecture, une variable au moins comportait l'état INVALID.
  • 4 : Une valeur au moins n'est pas conforme aux limites min.-max.
  • 5 : durant la lecture, une expiration du délai d'attente (30000 + 100*VarCount en [ms]) s'est produite.


Driver Allan Bradley RS-Linx

Manuel -> Conversion de projets -> Convertir de la version x vers la version 7.00 -> Driver Allan Bradley RS-Linx

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

À partir de la version 7.00 SP0, le driver est compatible avec les messages non sollicités. Ces derniers permettent de modifier la configuration du driver. Pour cela, accédez à l'onglet correspondant.

  • Général : non modifié
    Remarque : Si vous utilisez les Unsolicited Messages, vous devez désactiver l'option Temps de mise à jour global.
  • Configuration : le numéro KT précédent est remplacé par l'intitulé du driver RS-LINX.
  • Configuration des messages non sollicités : Nouveau. Paramètre des Unsolicited Messages.

attention Attention

Dans les projets existants, la configuration des drivers doit être adaptée.


Modification de SQL Server

Manuel -> Conversion de projets -> Convertir de la version x vers la version 7.00 -> Modification de SQL Server

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Avec zenon 7.00 SP0, Microsoft SQL Server 2008 R2 Express est installé et utilisé pour les projets de zenon. Par défaut, zenon Editor se connecte uniquement à SQL Server 2008 R2 à partir de la version 7.00. Les projets dont les bases de données sont au format d'une autre instance de SQL Server (par exemple, ZENON_DEV avec SQL Server 2005) ne peuvent pas être ouverts.

L'instance de SQL Server à laquelle se connecte zenDBSrv peut être modifiée à l'aide de l'outil Startup Tool. L'outil Startup Tool définit, dans le fichier zenDB.ini, les entrées correspondant à la version de zenon concernée :

  • Avant 6.00 : pas de base de données
  • 6.00 à 6.20 : entrées de SQL Server 2000 (MSDE)
  • 6,21 à 6,51 : entrées de SQL Server 2005 Express Edition
    À partir de la version 6.51, le mot de passe est stocké sous forme chiffrée
  • Versions 7.00 et ultérieures : entrées de SQL Server 2008 R2 Express Edition avec mot de passe chiffré

L'instance "ZENON_DEV" pour SQL Server 2005 et l'instance "ZENON_2008R2" pour SQL Server 2008 R2 ne peuvent pas être utilisées simultanément.

attention Attention

Les projets issus de précédentes versions de zenon doivent être importés dans leur version d'origine, puis restaurés dans zenon 7.00.

Conseil : si aucune exportation n'a été effectuée et la version applicable n'est plus disponible, le transfert peut être effectué manuellement :

  • Copiez le dossier complet, GUID inclus, vers un nouvel emplacement
  • Établissez manuellement la connexion à la base de données

Conversion de projets

La procédure suivante est recommandée pour la conversion de projets issus de versions antérieures à la version 7.00 :

  1. Créez des sauvegardes de projets dans la version depuis laquelle sera effectuée la conversion.
  2. Exportez les sauvegardes de projets sur le disque dur.
  3. zenon Editor version 7.00.
  4. Créer un nouvel espace de travail.
  5. Lisez les sauvegardes de projets dans le nouvel espace de travail.

Les sauvegardes de projet peuvent également être importées dans le même espace de travail, dans le module Editor de la version 7.00. Le GUID reste inchangé lors de l'importation d'une sauvegarde de projet ; aussi, l'espace de travail de zenon version 7.00 et versions 6.21 à 6.51 peut être ouvert.

info Informations

Bien que les projets comportent le même nom et le même GUID, les projets issus de zenon 7.00 sont indépendants des projets de zenon 6.21 à 6.51, en raison de l'instance de SQL Server différente. Les sauvegardes effectuées dans zenon 7.00 ne sont pas visibles dans Editor dans les versions 6.21 à 6.51. Il est donc recommandé de conserver ces sauvegardes dans un nouvel espace de travail.


Convertir de la version x vers la version 7.10

Manuel -> Conversion de projets -> Convertir de la version x vers la version 7.10

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarque : Les caractères spéciaux, tels que ß et /\, ne sont pas autorisés dans les noms de projets zenon. Les caractères suivants sont autorisés : Chiffres, lettres et caractère de soulignement (_). Vous trouverez d'autres informations à ce sujet dans le manuel Gestion de projets et espace de travail, au chapitre Créer un nouveau projet.

Autres sujets abordés dans ce chapitre

Versions 32 et 64 bits

Installation

Batch Control

Conversion de la version 6.01 vers 6.20

Conversion de bases de données dans le module Recipe Group Manager

SQL Server 2012

Report Viewer

Suppression de Direct Draw de VBA

WPF

Filtre de temps


Versions 32 et 64 bits

Manuel -> Conversion de projets -> Convertir de la version x vers la version 7.10 -> Versions 32 et 64 bits

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Des versions 32 bits et 64 bits d'Editor et du Runtime de zenon sont maintenant disponibles. Des versions 32 bits et 64 bits de zenon Editor et des versions 32 bits et 64 bits du Runtime de zenon peuvent être installées sur les systèmes d'exploitation 64 bits. Les noms de fichier des fichiers exécutables sont identiques pour les versions 32 et 64 bits.

Sur les versions 64 bits, tous les services présents dans une version 64 bits sont enregistrés et utilisés dans la version 64 bits. Editor et le Runtime peuvent être démarrés au choix. Les projets peuvent être exécutés dans les deux versions d'Editor et du Runtime.

Les composants tels que le Runtime de zenon Logic, le module Workbench de zenon Logic, les drivers, le module Process Gateway et les autres outils sont uniquement utilisés dans leurs versions 32 bits.

Limitations générales

La restriction fondamentale selon laquelle seuls les fichiers DLL 64 bits peuvent être chargés dans des procédés 64 bits implique également certaines limitations concernant l'utilisation de zenon. Ceci affecte principalement les composants externes chargés dans Editor ou dans le Runtime. Les fichiers DLL chargés avec du code VBA/VSTA et des contrôles ActiveX sont directement affectés. Ces fichiers DLL doivent être disponibles dans une version 64 bits pour être utilisés dans la version 64 bits d'Editor ou du Runtime. Les contrôles ActiveX fournis par COPA-DATA sont toujours disponibles dans les versions 32 bits et 64 bits.

Conversion des projets de zenon versions 5.50 et antérieures

Aucun projet de zenon version 5.50 ne peut être converti avec Editor 64 bits. Ces projets doivent être préalablement convertis avec Editor 32 bits.

Limitation spécifique au module Recipe Group Manager (RGM)

Les bases de données Access ne sont plus prises en charge dans le module Recipe Group Manager. Pour pouvoir utiliser des données de MS Access provenant de versions antérieures dans la version 64 bits, le projet doit tout d'abord être converti dans la version 32 bits d'Editor. La propriété DataSource n'est plus disponible à partir de la version 7.10. Pour plus de détails, reportez-vous au chapitre Conversion de bases de données dans le module Recipegroup Manager.

VBA

La version de VBA utilisée est la version 7.1. zenon est également disponible dans une version 64 bits. Si, dans le code VBA, des fonctions de Windows API ou d'autres fichiers DLL importés sont utilisées, ces exécutions doivent être adaptées à la version 64 bits. En règle générale, les dispositions suivantes s'appliquent : Un fichier VBA créé pour une version 32 bits ne peut pas être utilisé sans modification dans une‑version 64 bits.

Certaines définitions/fonctions sont disponibles dans VBA, permettant ainsi de créer du code compatible 32 bits et 64 bits. Par exemple :

#if Win64 then

Declare PtrSafe Function MyMathFunc Lib "User32" (ByVal N As LongLong) As LongLong

#else

Declare Function MyMathFunc Lib "User32" (ByVal N As Long) As Long

#end if

#if VBA7 then

Declare PtrSafe Sub MessageBeep Lib "User32" (ByVal N AS Long)

#else

Declare Sub MessageBeep Lib "User32" (ByVal N AS Long)

#end if

Vous pouvez également consulter des notes utiles concernant le portage de code VBA 32 bits en code VBA 64 bits de Microsoft :

  • Microsoft Office 2010, notes concernant le portage : http://msdn.microsoft.com/en-us/library/ee691831.aspx
  • Déclarations 32 bits et 64 bits pour appels API : http://www.jkp-ads.com/articles/apideclarations.asp

Composants disponibles en version 32 bits uniquement

Les composants suivants sont donc uniquement disponibles en version 32 bits, même sur les ordinateurs 64 bits :

  • Certains programmes, tels que SIC.exe et DiagViewer.exe
  • Licence
  • Process Gateway
  • Startup Tool
  • Windows CE
  • Drivers
  • Runtime et module Workbench de zenon Logic


Installation

Manuel -> Conversion de projets -> Convertir de la version x vers la version 7.10 -> Installation

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

zenon 7.10 ne peut pas être installé sur les systèmes sur lesquels Microsoft SQL Server Data Engine (MSDE) est déjà installé. Ceci affecte tous les systèmes sur lesquels est installé zenon 6.20 ou une version antérieure.


Batch Control

Manuel -> Conversion de projets -> Convertir de la version x vers la version 7.10 -> Batch Control

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Avant de convertir un projet vers la nouvelle version de zenon, arrêtez toutes les recettes. L'exécution des recettes en cours reprendra après un redémarrage. Le redémarrage est uniquement possible dans la même version de zenon.


Conversion de la version 6.01 vers 6.20

Manuel -> Conversion de projets -> Convertir de la version x vers la version 7.10 -> Conversion de la version 6.01 vers 6.20

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Les projets créés dans les versions 6.01 ou 6.20 de zenon ne peuvent plus être lus directement dans zenon 7.10 (ou versions ultérieures).

Arrière-plan : les versions reposant sur le logiciel MSDE (SQL Server 2000) ne sont pas compatibles avec le logiciel SQL Server 2012 utilisé dans zenon.

Solution : Convertissez d'abord le projet vers zenon 7.0, puis vers la version 7.10 ou supérieure.


Conversion de bases de données dans le module Recipe Group Manager

Manuel -> Conversion de projets -> Convertir de la version x vers la version 7.10 -> Conversion de bases de données dans le module Recipe Group Manager

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

À partir de la version 7.10, la base de données Microsoft Access n'est plus prise en charge dans le module Recipe Group Manager. Lors de l'ouverture d'un projet existant, le stockage de données est automatiquement converti en données binaires. Lors de la conversion, une sauvegarde du projet est créée. Delle-ci peut être ouverte avec la version dans laquelle elle a été originalement créée.

Conversion avec Editor 64 bits

Editor 64 bits ne permet pas d'accéder à la base de données Microsoft Access. Pour effectuer la conversion, ouvrez d'abord le projet dans la version 32 bits d'Editor. Un mécanisme permet, avec le paramètre DataSource du module RGM : MS AccessDB transfère automatiquement les données vers les fichiers binaires. La propriété DataSource n'est plus disponible à partir de la version 7.10. Si le stockage de données est déjà défini sous forme de fichiers binaires, les données de la base de données sont rejetées. Dans ce cas, les dispositions suivantes s'appliquent :

  • La copie des données depuis la base de données Access vers les fichiers de stockage binaires a uniquement lieu lors de la conversion dans Editor 32 bits. Les données provenant de la base de données Access sont toujours refusées dans la version 64 bits.
  • Lors de la conversion vers la version 64 bits, une vérification est effectuée afin de déterminer si le stockage de données du module RGM est défini sur MS Access. Dans ce cas, les informations correspondantes et une notification de conversion sont affichées dans Editor 32 bits.
  • Si, lors de la copie dans Editor 32 bits, il est établi que les données ont déjà été configurées au niveau de la cible (fichiers binaires), l'utilisateur est invité à préciser les données devant être conservées (MS Access ou données binaires). Les données MS Access et les données binaires ne peuvent pas être associées.

Après la conversion, il est également possible d'ouvrir et d'éditer le projet dans la version 64 bits d'Editor.

Si vous souhaitez convertir le projet une nouvelle fois, utilisez la sauvegarde générée automatiquement durant la conversion.

Modification des noms de groupes de recettes et des noms de recettes pour la version de 32 bits de zenon

Les noms de groupes de recettes et les noms de recettes contenant des caractères non valides pour les données binaires sont automatiquement renommés lors de la conversion d'un projet dans la version 32 bits de zenon 7.1x. Les éléments renommés sont affichés dans la fenêtre de résultats. Les messages correspondants sont affichés dans la fenêtre de résultats après la conversion.

Attention : Si des groupes de recettes ou des recettes sont renommés, les éléments suivants doivent être vérifiés et modifiés manuellement dans le projet :

  • Toutes les fonctions du module RGM
  • Variables pouvant contenir des noms de groupe de recettes ou des noms de recettes
  • Code VBA pouvant contenir des noms de groupe de recettes ou des noms de recettes


SQL Server 2012

Manuel -> Conversion de projets -> Convertir de la version x vers la version 7.10 -> SQL Server 2012

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

SQL Server 2012 Express Edition est utilisé dans zenon 7.10 SP0. Les paramètres sont configurés à l'aide de l'outil Startup Tool.

L'entrée correcte du fichier zenDB.ini est indiquée au chapitre zenDB.ini.

attention Attention

Les projets issus d'autres versions ne peuvent pas être ouverts directement dans zenon 7.10. Les projets devant être édités dans zenon 7.10 doivent d'abord être édités dans la version dans laquelle ils ont été créés. La sauvegarde du projet peut ensuite être convertie dans zenon 7.10.

Si plusieurs versions sont installées en parallèle, les différentes versions de SQL Server doivent comporter des chemins d'accès différents.


Report Viewer

Manuel -> Conversion de projets -> Convertir de la version x vers la version 7.10 -> Report Viewer

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Domaines de temps

Le module Report Viewer peut utiliser plusieurs domaines horaires pour les versions 7.10 et suivantes. Pour garantir la compatibilité ascendante, les deux premiers filtres de temps de la liste sont utilisés.

Ensembles de données

Les ensembles de données utilisés par AM, CEL, ARCHIVE et ONLINE ont été complétés par l'entrée RESOURCESLABEL.


Suppression de Direct Draw de VBA

Manuel -> Conversion de projets -> Convertir de la version x vers la version 7.10 -> Suppression de Direct Draw de VBA

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

L'ensemble des classes, méthodes et événements utilisés pour la fonction Direct Draw sur les synoptiques de zenon utilisant l'API (VBA/VSTA) de zenon ont été supprimés, pour des raisons de performance. Ceci concerne les éléments suivants :

  • Classe Draw
  • Méthode DrawAPI
  • Événement Draw


WPF

Manuel -> Conversion de projets -> Convertir de la version x vers la version 7.10 -> WPF

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

L'élément WPF CircularGauge a été étendu de 3 à 6 zones d'affichage. La rétrocompatibilité n'est pas garantie ici.

Remarque : Si deux versions d'un fichier de groupe sont disponibles dans un projet, l'utilisateur doit spécifier la version à utiliser. Aucune autre action n'est nécessaire pour assurer la maintenance des versions utilisées jusqu'à présent. Si une version plus récente est choisie, il est nécessaire d'adapter tous les fichiers CDWPF correspondants dans tous les symboles et images utilisés dans les projets chargés dans Editor ou le Runtime.


Filtre de temps

Manuel -> Conversion de projets -> Convertir de la version x vers la version 7.10 -> Filtre de temps

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

La configuration et l'affichage du filtre de temps ont été révisés, optimisés et harmonisés.

L'association de la nouvelle option Modifier la plage de temps et du nouveau comportement du filtre peut entraîner une différence dans les résultats du filtre entre les versions 7.10 et antérieures.


Conversion de la version x vers la version 7.11

Manuel -> Conversion de projets -> Conversion de la version x vers la version 7.11

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarque : Les caractères spéciaux, tels que ß et /\, ne sont pas autorisés dans les noms de projets zenon. Les caractères suivants sont autorisés : Chiffres, lettres et caractère de soulignement (_). Vous trouverez d'autres informations à ce sujet dans le manuel Gestion de projets et espace de travail, au chapitre Créer un nouveau projet.

Autres sujets abordés dans ce chapitre

API - changement de type de données

Batch Control

Gestion de commande

Noms de tables IMM

Modification de variables dans l'API

Filtre de lots

Réseau

Compatibilité du serveur OPC UA avec la gestion multi-projets

Modification des fonctions VBA de la liste de cadres


API - changement de type de données

Manuel -> Conversion de projets -> Conversion de la version x vers la version 7.11 -> API - changement de type de données

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Dans la méthode CreateArrayVarEx pour l'objet Variables, le type de données pour lAdrMode a été changé de int en zenOn.tpAdrMode

Le code existant doit être modifié en conséquence.

Jusqu'à zenon 7.10 :

public virtual zenOn.IVariable CreateArrayVarEx(string strName, object lpDriver, zenOn.tpKanaltypes kTypes, object lpVarType, int lLBound, int lDimension1, int lDimension2, int Dimension3, int lAdrMode, bool bStartAtNewOffset)

À partir de zenon 7.11 :

public virtual zenOn.IVariable CreateArrayVarEx(string strName, object lpDriver, zenOn.tpKanaltypes kTypes, object lpVarType, int lLBound, int lDimension1, int lDimension2, int Dimension3, zenOn.tpAdrMode lAdrMode, bool bStartAtNewOffset)


Batch Control

Manuel -> Conversion de projets -> Conversion de la version x vers la version 7.11 -> Batch Control

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Afficher les tags de commande

Dans la version 7.11, dans l'onglet Liste de paramètres de l'écran d'appel de synoptique, les options d'affichage des paramètres de commande ont été améliorées et transformées en boutons d'option associés à des cases à cocher que vous pouvez sélectionner à votre convenance.

Cela signifie toutefois qu'une écriture rétrocompatible est uniquement possible dans les cas suivants :

  • Une seule case à cocher est définie pour les paramètres modifiables
  • La combinaison de toutes les cases à cocher autorise tous les paramètres

Si la combinaison de cases à cocher définit un ensemble de paramètres qui n'était pas configurable dans zenon 7.10 ou les versions antérieures, aucun paramètre n'est affiché dans la liste.

Redémarrage du Runtime

Lors d'un redémarrage consécutif à un redémarrage du Runtime, l'état correspondant est conservé avec les informations dans les recettes. L'état de l'exécution est également affiché dans les informations concernant l'unité. L'état de l'exécution (valeur numérique et texte) affiché dans les informations sur l'unité comporte un nombre et un texte correspondant à ceux des variables du synoptique. Ces indications comportent également des informations concernant le déclenchement suite à un redémarrage, ainsi que des informations sur les objets comportant un état différent et les objets ayant retardé un changement d'état.
Attention : La compatibilité des contenus de ces variables n'est pas assurée entre zenon 7.10 et 7.11.

Fichiers RDL

Le fichier default.rdl provenant de zenon 7.10 peut comporter des erreurs de configuration. Si les fichiers RDL créés sur la base du fichier default.rdl sont utilisés dans le module Batch Control de zenon 7.11, des erreurs de sortie peuvent se produire. Si vous souhaitez utiliser les fichiers RDL correspondants dans zenon 7.11, modifiez les fichiers comme suit avant de les utiliser :

  • Configuration du jeu de données pour BatchOperationInstances
    • Le champ OpertionType doit être renommé en OperationType.
  • BatchMasterRecipes et BatchControlRecipes :
    • Le champ OpertionType doit être renommé en OperationType.
    • Ajoutez le champ de données MrVersion avec le type de données Nombre entier.
  • BatchPhases1

    Ajoutez les champs de données suivants :

    • CondPlcError (type de données : Chaîne)
    • CSName (type de données : Chaîne)
    • CSDescription (type de données : Chaîne)
    • CSTag (type de données : Chaîne)
    • ActiveCSNumber (type de données : Entier)


Gestion de commande

Manuel -> Conversion de projets -> Conversion de la version x vers la version 7.11 -> Gestion de commande

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Lors de la création des fichiers du Runtime (via Créer tous les fichiers du Runtime), toutes les actions de gestion de commande Commande auto/à distance et Commande obligatoire sont filtrées.

Ces actions sont uniquement disponibles dans zenon à partir de la version 7.11. La fonction de validation de compilation d'Editor vérifie si, pour une variable (ou plusieurs variables, si des opérateurs sont utilisés), la même commande ou la même direction de commutation a été configurée deux fois. Dans ce cas, un message d'erreur correspondant est affiché dans la fenêtre de suivi.

info Informations

Les actions de gestion de commande Commande auto/à distance et Commande obligatoire ne sont pas disponibles dans les versions du Runtime antérieures à la version 7.11.


Noms de tables IMM

Manuel -> Conversion de projets -> Conversion de la version x vers la version 7.11 -> Noms de tables IMM

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Les noms de tables sont maintenant fixes et définis comme ceci :

  • Table pour les matériels : Devices
  • Table pour travaux de maint. : MaintenanceWorks
  • Table pour l'historique : MaintenanceHistory
  • Table pour les documents : Documents

Ces tables possèdent un nom de table fixe, par défaut.

Les différents noms de tables sont conservés lors de la conversion de projets. Les nouveaux projets utilisent des noms de tables fixes et prescrits.


Modification de variables dans l'API

Manuel -> Conversion de projets -> Conversion de la version x vers la version 7.11 -> Modification de variables dans l'API

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Dans le modèle d'objet de zenon, l'objet variable a été complété par les fonctions ModifyVariable et ModifyArrayVariable. Les propriétés des variables simples, des variables de structure et des ensembles peuvent donc désormais être modifiées dans l'API. Toutes les propriétés dynamiques qui ne peuvent pas être modifiées dans l'API ont été configurées en lecture seule.

  • Fonction ModifyVariable :
    Pour les variables simples : Permet de modifier les éléments suivants :
    • Driver
    • Type de canal
    • Type de données
    • Mode d'adressage
    • Paramètre Chaque type de données démarre avec un nouvel offset
  • Fonction ModifyArrayVariable :
    Pour les variables d'ensemble : Permet de modifier les éléments suivants :
    • Driver
    • Type de canal
    • Type de données
    • Mode d'adressage
    • Calcul de l'offset
    • Limite inférieure (0 ou 1) et dimensions de l'ensemble

Attention : En outre, les propriétés suivantes ont été configurées en lecture seule dans l'API :

  • LBound
  • Dim1
  • Dim2
  • Dim3
  • OfsAccordingType
  • IsOffsetManuell
  • IsStartAtNewOffset
  • Driver
  • ID_DataTyp

ID_DriverTyp


Filtre de lots

Manuel -> Conversion de projets -> Conversion de la version x vers la version 7.11 -> Filtre de lots

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Le filtrage des lots a été amélioré et la configuration a été harmonisée.

Compatibilité

  • Le paramètre Lots de l'onglet Temps se trouve maintenant sur l'onglet Lots et est intitulé Afficher la boîte de dialogue de sélection de lots.
    Différence : Jusqu'à la version 7.11, la boîte de dialogue pouvait être configurée dans le filtre de temps avec la sélection Lot, et le filtre pouvait être activé ou désactivé dans l'onglet Lot du filtre.
    À partir de la version 7.11, une seule de ces options est possible. Lors de la conversion d'un projet, l'option Afficher la boîte de dialogue de sélection de lots est sélectionnée et le filtre de temps est défini sur sa valeur par défaut fixe, Filtre de temps relatif avec une heure.
    • Note concernant l'importation au format XML : Lors de la conversion d'un projet de la version 7.10 vers la version 7.11 via l'exportation et l'importation au format XML, une erreur visuelle se produit. La conversion est exécutée, pour l'importation au format XML, avec l'option Filtre de temps absolu avec une heure à la place de l'option Filtre de temps relatif avec une heure. Ceci n'a aucun effet dans le Runtime, car le paramètre n'est pas évalué lors de l'ouverture de la boîte de dialogue. Toutefois, lorsque le filtre est ouvert dans le Runtime ou dans Editor, un message d'erreur est affiché, car l'heure de début est postérieure à l'heure de fin.
  • Les possibilités pour les derniers lots ont été étendues. Les lots terminés et en cours peuvent être affichés et associés. Si les lots actuels ou une combinaison de lots actuels et terminés sont sélectionnés et le projet est compilé pour une version antérieure à la version 7.11, les lots terminés sont affichés dans le Runtime.
  • Les options suivantes sont disponibles lors du filtrage d'archives et de noms de lots :
    • Pas de filtre : Correspond à l'ancien paramètre de filtre *
    • Statique :
    • Depuis la variable : nouveau paramètre

    Lors de la conversion à partir de projets créés dans la version 7.10 ou antérieure, le paramètre * ou chaîne vide est converti en paramètre Pas de filtre.

  • Si les fichiers de Runtime ont été créés pour des versions antérieures à la version 7.11, seules les options Pas de filtre et Statique peuvent être directement converties. Avec l'option Statique, la chaîne est écrite "telle quelle" ; avec l'option Pas de filtre , le caractère * est enregistré en tant que filtre. L'option Depuis la variable est ignorée ; aucun filtre n'est défini.


Réseau

Manuel -> Conversion de projets -> Conversion de la version x vers la version 7.11 -> Réseau

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Validation durant la compilation

La validation suivante d'un réseau évalué est réalisée durant la compilation du projet :

  • Les variables utilisées existent toujours
  • La variable utilisée n'est pas une variable string, ni une variable structure
  • L'hystérésis est conforme à la somme de toutes les pondérations
  • La variable utilisée n'est pas lue par le serveur redondant.
  • Les variables sont uniquement vérifiées si le mode de redondance est évalué.

info Informations

Une entrée de configuration n'est vérifiée que si elle est également active.

Rétrocompatibilité

  • COPA-DATA Runtime peut se connecter à un serveur exécutant la version < 7.11.
  • COPA-DATA Editor peut créer un projet pour COPA-DATA Runtime version < 7.11.


Compatibilité du serveur OPC UA avec la gestion multi-projets

Manuel -> Conversion de projets -> Conversion de la version x vers la version 7.11 -> Compatibilité du serveur OPC UA avec la gestion multi-projets

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Le serveur OPC UA est compatible avec la gestion multi-projets à partir de zenon 7.11. Des variables issues du projet de Runtime et de tous les sous-projets peuvent être sélectionnées. Dans ce cas, le nom d'objet issu du nom de variable et le nom de projet sont associés. Les configurations de clients OPC UA qui n'ont pas été créées avant zenon 7.11 ne sont donc pas compatibles. Celles-ci doivent être modifiées en cas d'utilisation de zenon 7.11 ou d'une version supérieure.


Modification des fonctions VBA de la liste de cadres

Manuel -> Conversion de projets -> Conversion de la version x vers la version 7.11 -> Modification des fonctions VBA de la liste de cadres

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Les fonctions d'interrogation du nombre de cadres ont été modifiées. Jusqu'à la version 7.10 incluse, tous les cadres du projet local et du projet global ont été comptés ensemble. À partir de la version 7.11, seuls les cadres du projet local ou du projet global ont été modifiés.

Les fonctions VBA suivantes ont été modifiées :

  • CSchabliste::vba_Count() : À partir de la version 7.11, fournit uniquement le nombre de cadres locaux ou globaux.
  • CSchabliste::vba_Item(const VARIANT FAR& vID) : À partir de la version 7.11, l'itération concerne uniquement la liste de cadres globaux

Ces modifications peuvent être à l'origine d'incompatibilités avec les projets existants. Si des cadres sont interrogés dans un projet avec les fonctions VBA ci-dessus, les cadres doivent être adaptés.

Exemple

Un projet local comporte 5 cadres et un projet global en comporte 10. Ensuite :

  • Auparavant, le comptage et l'itération concernaient 15 cadres
  • À partir de la version 7.11, le comptage et l'itération concernent 5 ou 10 cadres
  • Si la procédure d'itération dépasse la capacité correspondante (par exemple, 11), une erreur est renvoyée
  • Des requêtes distinctes doivent être créées pour le projet local et le projet global


Conversion de la version x vers la version 7.20

Manuel -> Conversion de projets -> Conversion de la version x vers la version 7.20

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarque : Les caractères spéciaux, tels que ß et /\, ne sont pas autorisés dans les noms de projets zenon. Les caractères suivants sont autorisés : Chiffres, lettres et caractère de soulignement (_). Vous trouverez d'autres informations à ce sujet dans le manuel Gestion de projets et espace de travail, au chapitre Créer un nouveau projet.

Autres sujets abordés dans ce chapitre

Version 7.20 - dernière version

BACnetNG

Module Batch Control : Suppression des entrées de liste CEL groupées avec changement de valeur dans la recette de contrôle

Fonctions spécifiques selon le type de synoptique

Ordre d'affichage des éléments

DirectX 11.1

DirectX dans Editor

DirectX : Affichage graphique lors de l'appel de synoptique

DNP3_TG driver replaces DNP3_NG

Texte dynamique : Propriété "Texte issu de la variable" remplacée

Suppression de la propriété Anti-aliasing

Suppression des propriétés Angle du texte et Inclinaison des lettres

Entrées du fichier zenon6.ini modifiées pour [AlarmFilterDialog]

Extended Trend : Mire, vue XY

Mise en forme de la table de base de données d'une archive résultante

Suppression de l'option "Windows optimisé"

Texte de valeur limite

Noms de tables IMM

Navigation avec la fonction MultiTouch dans la vue globale.

Suppression de Process Control Engine (PCE)

Remote Transport : Enregistrement du mot de passe sous forme chiffrée

Propriétés des cadres

Cadres : Modification de la propriété "Type de bordure"

Couleur d'arrière-plan du cadre

Ombres dans un élément combiné

Différences entre les qualités graphiques "Windows optimisé " et "DirectX"

Éléments non liés

Propriétés des variables pour zenon Analyzer

Créer des projets dans zenon Logic


Version 7.20 - dernière version

Manuel -> Conversion de projets -> Conversion de la version x vers la version 7.20 -> Version 7.20 - dernière version

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Pour une compatibilité avec la version 7.20, une sélection possible supplémentaire est disponible - "Version la plus récente". Elle peut être sélectionnée avec le 7.20 SP0 + [n° de version la plus récente] dans la liste déroulante.

En faisant cette sélection, les fichiers Runtime sont fournis pour la version actuelle de la version 7.20. La fonctionnalité intégrée entretemps dans la version 7.20 après parution officielle de la version 7.20 est donc prise en charge. Ceci s’applique avant tout aux améliorations des drivers compatibles avec cette option. Veuillez noter qu’afin d’utiliser la version la plus récente, vous devez avoir installé zenon 7.20 sur votre ordinateur.

Remarque : La sélection 7.20 SP0 compile les fichiers Runtime, comme c’était le cas avant, selon les paramètres par défaut de 7.20 SP0.Assurez-vous d’utiliser la version respective la plus récente pour zenon 7.50 et 7.20.


BACnetNG

Manuel -> Conversion de projets -> Conversion de la version x vers la version 7.20 -> BACnetNG

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Le driver a été modifié pour la version 7.20.

Séparateur

Pour l'option Property separator, l'utilisation des caractères @ ou # en tant que séparateur n'est désormais plus autorisée. Les caractères sont conservés dans les projets convertis, mais ne peuvent pas être saisis à nouveau.

Attention : Si un des deux caractères est utilisé, aucune communication n'a lieu.

Adressage

Sélection de l'adresse

La case à cocher Use identification to define object name and property dans la boîte de dialogue de configuration des Settings a été remplacée par la liste déroulante Property used for adressing. L'adressage peut être exécuté avec les méthodes suivantes :

  • Nom de la variable
  • Identification
  • Adresse symbolique

L'entrée correspondante de la liste déroulante est définie durant la conversion du projet.

Nouvelle case à cocher pour l'extraction d'état

La nouvelle case à cocher Do not read property/event state from address string permet de ne pas extraire les paramètres Property-ID et Event State de l'adresse sélectionnée.

Si cette option est activée :

  • Les paramètres Property-ID et Event State doivent être définis à l'aide des propriétés spécifiques au driver prévues à cette fin. Cette configuration est effectuée automatiquement, via l'importation en ligne.
  • Les éléments individuels d'Arrays/de listes BACnet ne peuvent plus recevoir d'adressage.
  • Le nom de variable ne peut pas être utilisé pour l'adressage, car il doit être unique. L'adressage doit être effectué au moyen de l'identifiant ou de l'adresse symbolique.
  • Le Property separator n'est pas toujours recherché dans le champ d'adresse. L'adresse est maintenant uniquement constituée des éléments suivants : <Nom du périphérique>.<Nom de l'objet>.
    Les considérations suivantes s'appliquent au procédé :
    • Le nom du périphérique ne doit pas comporter de points (.).
    • Aucune restriction ne s'applique aux noms d'objets.


Module Batch Control : Suppression des entrées de liste CEL groupées avec changement de valeur dans la recette de contrôle

Manuel -> Conversion de projets -> Conversion de la version x vers la version 7.20 -> Module Batch Control : Suppression des entrées de liste CEL groupées avec changement de valeur dans la recette de contrôle

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Un message groupé n'est plus inséré dans la liste CEL en cas de changement de valeurs d'une recette de contrôle. Au lieu de cela, chaque message contient toutes les informations relatives à la recette. Les entrées des en-têtes ont été supprimées, et toutes les modifications des valeurs de paramètres utilisent maintenant les mêmes entrées que pour l'édition via la liste de paramètres. Les entrées correspondant aux modifications ont également été adaptées en fonction du délai d'exécution minimum. De nouvelles entrées ont été ajoutées à cette fin.

Les entrées suivantes ont été supprimées :

  • IDS_STRING2460 "@Engineering of the phase@ %s""%s/%s"" @(column@ %i - @row@ %i@) changed, control recipe@ ""%s""@, master recipe@ ""%s"""
  • IDS_STRING2627 "@Reason:@ ""%s"""
  • IDS_STRING2624 "  @Value of the parameter@ ""%s"" @was changed. Old value@ ""%s"", @new value@ ""%s""
  • IDS_STRING2628 "  @Minimum duration of execution was changed. Old value@ ""%s"", @new value@ ""%s""

Les entrées suivantes ont été ajoutées :

  • IDS_STRING2624 "@Minimal processing duration of the phase@ %s""%s/%s"" @(column@ %i - @row@ %i@) changed. Old value@ ""%s"", @new value@ ""%s""@, control recipe@ ""%s""@, master recipe@ ""%s""
  • IDS_STRING2627 "@Minimal processing duration of the phase@ %s""%s/%s"" @(column@ %i - @row@ %i@) changed. Old value@ ""%s"", @new value@ ""%s""@, control recipe@ ""%s""@, master recipe@ ""%s"" @reason@ ""%s""


Fonctions spécifiques selon le type de synoptique

Manuel -> Conversion de projets -> Conversion de la version x vers la version 7.20 -> Fonctions spécifiques selon le type de synoptique

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Si des fonctions spécifiques à un type de synoptique sont non valides, par exemple, suite à la copie d'un bouton vers un synoptique de type différent, la liaison non valide est identifiée et peut être remplacée. Les fonctions non valides sont supprimées durant la compilation.

Lors de la conversion de projets, ceux-ci peuvent contenir des fonctions spécifiques au type de synoptique qui restent non valides dans le Runtime.


Ordre d'affichage des éléments

Manuel -> Conversion de projets -> Conversion de la version x vers la version 7.20 -> Ordre d'affichage des éléments

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

L'ordre d'affichage des composants d'éléments individuels est maintenant identique.


DirectX 11.1

Manuel -> Conversion de projets -> Conversion de la version x vers la version 7.20 -> DirectX 11.1

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Les considérations suivantes s'appliquent en cas d'utilisation de DirectX11.1 :

  • DirectX 11.1 est intégré de façon native à Windows 8 et aux versions ultérieures de ce système d'exploitation.
  • DirectX 11.1 n'est pas utilisable sous Windows 7 et Server 2008 R2 (ou versions antérieures) sans Service Pack.
  • Pour Windows 7 SP1 et Server 2008 R2 SP1, un Service Pack Windows doit être installé.

Pour installer le Service Pack :

  1. Téléchargez la mise à jour KB2670838 sur le site Web de support technique de Microsoft.
  2. Sélectionnez la version correspondant à votre système d'exploitation :
    • 32 bit
    • 64 bit
  3. Sélectionnez le fichier d'installation correspondant.

Remarque : Ceci concerne uniquement Windows 7 SP1 et Server 2008 R2 SP1. DirectX 11.1 est déjà présent sur les versions plus récentes. La mise à jour ne peut pas être installée sur des versions plus anciennes.


DirectX dans Editor

Manuel -> Conversion de projets -> Conversion de la version x vers la version 7.20 -> DirectX dans Editor

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

L'affichage DirectX natif est disponible dans Editor via les paramètres de la propriété Qualité graphique.

Les lignes en pointillés ne sont pas disponibles pour la grille. Elles sont remplacées par ligne continue durant la conversion du projet.

Lorsqu'un nouveau projet est créé, le paramètre Qualité graphique par défaut est Matériel DirectX. Ce paramètre peut être modifié manuellement en Windows Basic ou Logiciel DirectX. Durant la conversion du projet, la valeur Windows optimisé précédente en changée en Matériel DirectX. Si un projet configuré avec le paramètre Windows optimisé est démarré dans le Runtime, il est chargé avec le paramètre Matériel DirectX.

Remarque : La qualité graphique de DirectX diffère de celle du paramètre Windows optimisé. Pour plus de détails, reportez-vous au chapitre Différences entre les qualités graphiques du paramètre Windows optimisé et de DirectX.

À partir de la version 7.00, si une qualité graphique autre que Windows Basic est définie pour un projet (notamment via le paramètre correspondant, Créer fichiers RT pour), le Runtime (zenon versions 6.51 et antérieures) charge la qualité graphique Windows Extended. Si la qualité graphique Windows Basic est définie, ce paramètre est conservé.


DirectX : Affichage graphique lors de l'appel de synoptique

Manuel -> Conversion de projets -> Conversion de la version x vers la version 7.20 -> DirectX : Affichage graphique lors de l'appel de synoptique

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Lors de l'appel, de la fermeture ou de l'appel d'un synoptique, le comportement dans le Runtime lors de l'utilisation de DirectX a été modifié. Désormais, seule la couleur d'arrière-plan d'un synoptique est illustrée jusqu'à l'affichage complet d'un synoptique ou après sa fermeture.


DNP3_TG driver replaces DNP3_NG

Manuel -> Conversion de projets -> Conversion de la version x vers la version 7.20 -> DNP3_TG driver replaces DNP3_NG

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Avec la version 7.20, le driver DNP3_TG remplace le driver DNP3_NG. Le driver DNP3_NG n'est plus automatiquement proposé lors de la sélection du driver. Toutefois, il peut être ajouté manuellement. (Pour plus de détails, reportez-vous au manuel du driver.)

Lors de la conversion de projets utilisant le driver DNP3_NG, cette liste de drivers est à nouveau ajoutée à la liste de drivers.


Texte dynamique : Propriété "Texte issu de la variable" remplacée

Manuel -> Conversion de projets -> Conversion de la version x vers la version 7.20 -> Texte dynamique : Propriété "Texte issu de la variable" remplacée

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Pour la configuration de l'élément de synoptique Texte dynamique, la case à cocher Texte issu de la variable a été remplacée par la nouvelle liste déroulante de sélection Afficher le texte.

Celle-ci permet de sélectionner le contenu à afficher dans le Runtime dans une liste déroulante :

  • Identifiant de ressource : Le contenu de la propriété de la variable Description externe est affiché.
  • Texte de valeur limite : Si aucune valeur limite n’a été dépassée, le contenu de la propriété de synoptique Texte est affiché. En cas de dépassement d’une valeur limite, le contenu de la propriété de variable Texte valeur limite est affiché.
  • Unité de mesure : Le contenu de la propriété de la variable Unité de mesure est affiché.
  • Identifiant de variable : Le contenu de la propriété de la variable Identification est affiché.
  • Nom de la variable : Le contenu de la propriété de la variable Nom est affiché.
  • Valeur de la variable : La valeur de la variable est affichée.

Lors de la conversion de projets vers la version 7.20, la propriété est définie en fonction de l'état de la case à cocher :

Case à cocher dans les projets antérieurs à la 7.20 | Sélection dans une liste déroulante dans la version 7.20
Inactive | Texte de valeur limite
Active (variable numérique) | Valeur de la variable
Active (variable non numérique) | Texte de valeur limite

Lors de la compilation de fichiers du Runtime dans la version 7.20 pour les versions 7.11 ou antérieures, la valeur associée à la case à cocher est définie dans la version compilée :

  • Active : La sélection pour la sélection dans une liste déroulante est Valeur de la variable
  • Inactive : : pour toutes les autres configurations


Suppression de la propriété Anti-aliasing

Manuel -> Conversion de projets -> Conversion de la version x vers la version 7.20 -> Suppression de la propriété Anti-aliasing

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

La propriété Utiliser l'anti-aliasing a été supprimée des propriétés du projet. L'anti-aliasing est maintenant toujours utilisé si la qualité graphique définie l'autorise.


Suppression des propriétés Angle du texte et Inclinaison des lettres

Manuel -> Conversion de projets -> Conversion de la version x vers la version 7.20 -> Suppression des propriétés Angle du texte et Inclinaison des lettres

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Les propriétés Angle du texte et Inclinaison des lettres ont été supprimées. Elles étaient utilisées avec l'élément Texte statique si le script était incorporé. L'angle du texte peut être modifié en appliquant une rotation à l'élément complet. Il n'existe pas de remplacement pour la propriété Inclinaison des lettres.


Entrées du fichier zenon6.ini modifiées pour [AlarmFilterDialog]

Manuel -> Conversion de projets -> Conversion de la version x vers la version 7.20 -> Entrées du fichier zenon6.ini modifiées pour [AlarmFilterDialog]

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Dans le fichier zenon6.ini, une entrée de la section [AlarmFilterDialog] peut être utilisée pour prédéfinir des synoptiques de filtre pour les paramètres Nom de la variable et Identifiant dans les boîtes de dialogue de filtre des listes AML et CEL et des synoptiques de filtre. Ces entrées ont été modifiées avec la version 7.20. Les entrées déjà définies ne fonctionnent donc plus.

Parce que tous les filtres définis sont automatiquement enregistrés sur l'ordinateur local via cette entrée dans le fichier zenon6.ini, la configuration via le fichier INI n'est pas nécessaire. Vous trouverez des détails concernant les entrées actuellement valides dans la documentation relative au zenon6.ini.


Extended Trend : Mire, vue XY

Manuel -> Conversion de projets -> Conversion de la version x vers la version 7.20 -> Extended Trend : Mire, vue XY

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

À partir de zenon 7.20, la mire pour la vue XY dans le Runtime est configurée dans l'appel de synoptique. Pour cela, activez l'option Afficher une mire dans le diagramme XY.

La configuration était précédemment effectuée par le biais de l'entrée SHOW_XY_CROSS= du fichier project.ini. Lors de la conversion d'un projet depuis une version antérieure à zenon 7.20, le paramètre est lu depuis le fichier project.ini, puis saisi. Désormais, l'entrée du fichier project.ini est ignorée.


Mise en forme de la table de base de données d'une archive résultante

Manuel -> Conversion de projets -> Conversion de la version x vers la version 7.20 -> Mise en forme de la table de base de données d'une archive résultante

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

À partir de zenon 7.20, le GUID est contenu dans l'index lors du transfert d'archives vers une base de données SQL. La considération suivante s'applique à celui-ci : Il ne doit PAS être nul. À partir de la version 7.20 de zenon, une chaîne vide est saisie à la place de la chaîne ZERO pour le transfert des variables de votre projet pour le GUID.

Si des fichiers de Runtime de la version 7.11 (ou d'une version antérieure) sont compilés, un problème de compatibilité apparaît : la chaîne ZERO est écrite dans la colonne GUID, et le transfert ne fonctionne donc pas.

Solution : La table dans SQL Server doit être créée manuellement, sans GUID dans la clé primaire, ou doit être créée sans clé primaire.

Dans ce cas, avec la syntaxe suivante :

CREATE TABLE [$projectname$_$archivename$]

(

[VARIABLE] int,

[CALCULATION] int,

[TIMESTAMP_S] int,

[TIMESTAMP_MS] int,

[VALUE] float,

[STATUS] int,

[GUID] varchar(36),

[STRVALUE] varchar(?),

CONSTRAINT [PK_$projectname$_$archivename$] PRIMARY KEY CLUSTERED

(

[TIMESTAMP_S] ASC,

[TIMESTAMP_MS] ASC,

[VARIABLE] ASC,

[CALCULATION] ASC

)

)


Suppression de l'option "Windows optimisé"

Manuel -> Conversion de projets -> Conversion de la version x vers la version 7.20 -> Suppression de l'option "Windows optimisé"

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

L'option de qualité graphique Windows optimisé a été supprimée de zenon. Lorsqu'un nouveau projet est créé, le paramètre Qualité graphique par défaut est Matériel DirectX. Ce paramètre peut être modifié manuellement en Windows Basic ou Logiciel DirectX. Durant la conversion du projet, la valeur Windows optimisé précédente en changée en Matériel DirectX. Si un projet configuré avec le paramètre Windows optimisé est démarré dans le Runtime, il est chargé avec le paramètre Matériel DirectX.

Remarque : La qualité graphique de DirectX diffère de celle du paramètre Windows optimisé. Pour plus de détails, reportez-vous au chapitre Différences entre les qualités graphiques du paramètre Windows optimisé et de DirectX.

À partir de la version 7.00, si une qualité graphique autre que Windows Basic est définie pour un projet (notamment via le paramètre correspondant, Créer fichiers RT pour), le Runtime (zenon versions 6.51 et antérieures) charge la qualité graphique Windows Extended. Si la qualité graphique Windows Basic est définie, ce paramètre est conservé.


Texte de valeur limite

Manuel -> Conversion de projets -> Conversion de la version x vers la version 7.20 -> Texte de valeur limite

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Le texte de valeur limite et le texte d'état d'une matrice de réaction peuvent maintenant comporter jusqu'à 1024 caractères. Dans les options de mise en forme de la table pour l'exportation d'alarmes au format SQL, la colonne TEXT a été étendue à 1024 caractères.

La taille du buffer utilisé pour les parties dynamiques des textes de valeur limite lors de l'utilisation de textes de valeur limite dynamiques longs (D*.AML et D*.CEL) est maintenant variable, avec une taille maximale de 1024 octets. Le format d'enregistrement des fichiers D*.AML et D*.CEL a été modifié à cette fin.

Les fichiers existants restent inchangés, avec un format d'enregistrement à longueur fixe de 264 octets, et ne sont pas convertis. Les nouveaux fichiers sont créés avec une longueur d'enregistrement variable, dans la nouvelle version de mise en forme.


Noms de tables IMM

Manuel -> Conversion de projets -> Conversion de la version x vers la version 7.20 -> Noms de tables IMM

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Les noms de tables sont maintenant fixes et définis comme ceci :

  • Table pour les matériels : Devices
  • Table pour travaux de maint. : MaintenanceWorks
  • Table pour l'historique : MaintenanceHistory
  • Table pour les documents : Documents

Ces tables possèdent un nom de table fixe, par défaut. Ce nom respecte la convention de l'outil Metering Point Administration.

Les différents noms de tables sont conservés lors de la conversion de projets. Les nouveaux projets utilisent des noms de tables fixes et prescrits. Si des tables sont utilisées dans IMM et dans l'outil Metering Point Administration, elles doivent respecter cette convention. Des noms différents dans le module IMM peuvent être modifiés par le biais d'une boîte de dialogue.


Navigation avec la fonction MultiTouch dans la vue globale.

Manuel -> Conversion de projets -> Conversion de la version x vers la version 7.20 -> Navigation avec la fonction MultiTouch dans la vue globale.

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Lors de la conversion vers zenon 7.20 depuis une version antérieure, les valeurs suivantes sont définies pour les propriétés Déplacer horizontalement et Déplacer verticalement :

  • Le synoptique est plus grand que le cadre : Déplacer
  • Le synoptique est plus petit ou de la même taille que le cadre : Aucune réaction


Suppression de Process Control Engine (PCE)

Manuel -> Conversion de projets -> Conversion de la version x vers la version 7.20 -> Suppression de Process Control Engine (PCE)

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

À partir de la version 7.20, le module PCE n'est plus pris en charge et ne sera plus affiché dans l'arborescence des modules de zenon. PCE ne fera plus l'objet de développements ou de documentations ultérieures.

Lors de la conversion de projets contenant des tâches PCE depuis des versions antérieures à la version 7.20, le nœud PCE sera affiché pour ces projets. PCE peut encore être utilisé pour les projets convertis.

Recommandation : Veuillez utiliser zenon Logic, plutôt que PCE


Remote Transport : Enregistrement du mot de passe sous forme chiffrée

Manuel -> Conversion de projets -> Conversion de la version x vers la version 7.20 -> Remote Transport : Enregistrement du mot de passe sous forme chiffrée

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Le mot de passe de la connexion Remote Transport peut être stocké sous forme chiffrée dans le fichier zenon6.ini, à partir de la version 7.20.

Veuillez tenir compte des informations suivantes lors de la conversion de projets :

  • Dans Editor (système source), lors de la conversion du projet de la version X vers la version 7.20, l'entrée KEY= est remplacée par la clé KEYCRYPT= et le mot de passe est enregistré sous forme chiffrée.
  • Sur le système cible, une requête est envoyée pour déterminer si la clé KEY= du fichier zenon6.ini comporte une entrée.
    Oui : Cette entrée est prioritaire. Lors de la conversion, l'entrée sur le système cible doit être supprimée manuellement.

Pour plus de détails, reportez-vous au manuel Remote Transport, chapitre Chiffrement.

Les communications de Remote Transport peuvent également être chiffrées. Pour cela, le chiffrement du réseau zenon doit uniquement être activé dans Startup Tool.


Propriétés des cadres

Manuel -> Conversion de projets -> Conversion de la version x vers la version 7.20 -> Propriétés des cadres

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Les cadres possèdent de nouvelles propriétés. Ces nouvelles propriétés permettent de configurer la taille d'un synoptique lorsqu'il est appelé, ainsi que les déplacements des synoptiques sur le moniteur. En outre, deux propriétés existantes ont été renommées.

Nouvelles propriétés

Propriété | Description
Taille ouverture : | Définit la taille à laquelle un synoptique défini sur la base de ce cadre est appelé dans le Runtime.
Valeur (Taille ouverture) | Valeur du type de paramètre de taillé sélectionné.
Limitation Minimum : | Définit les limites de la taille minimum.
Valeur (minimum) : | Valeur du type de limite sélectionné.
Déplacer : | Définit les paramètres possibles lors du déplacement de l'objet.
Limitation : | Définit le type de limite lors du déplacement.
Marge de gabarit minimum : | Définit la zone qui doit rester affichée sur le moniteur lorsqu'un objet est déplacé au-delà de la limite du moniteur.

Lors de la conversion d'un projet, les valeurs des nouvelles propriétés sont définies sur les valeurs par défaut.

Propriétés renommées

zenon 7.11 | zenon 7.20
Largeur [pixels] : | Largeur (maximum) [pixels] : Définit la largeur maximum.
Hauteur [pixels] : | Hauteur (maximum) [pixels] : Définit la hauteur maximum.

Les valeurs sont appliquées durant la conversion du projet.


Cadres : Modification de la propriété "Type de bordure"

Manuel -> Conversion de projets -> Conversion de la version x vers la version 7.20 -> Cadres : Modification de la propriété "Type de bordure"

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Les paramètres possibles pour le Type de cadre ont été modifiés pour les cadres :

Jusqu'à la version 7.11 | À partir de la version 7.20
Bordure épaisse | Redimensionnable
Cadre fin | Taille fixe
Pas de cadre | Pas de cadre

L'affichage dans Editor et le Runtime est ainsi modifié. Dans Editor, la bordure du cadre est maintenant représentée telle qu'elle apparaîtrait dans le Runtime, sur le même PC, avec les mêmes paramètres, sur le même système d'exploitation. L'apparence du cadre dans les projets convertis peut ainsi changer.


Couleur d'arrière-plan du cadre

Manuel -> Conversion de projets -> Conversion de la version x vers la version 7.20 -> Couleur d'arrière-plan du cadre

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

L'arrière-plan des cadres est maintenant affiché dans le Runtime, par la couleur du synoptique appelé.


Ombres dans un élément combiné

Manuel -> Conversion de projets -> Conversion de la version x vers la version 7.20 -> Ombres dans un élément combiné

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Dans un élément combiné, les effets d'ombrage se comportent de la même manière que pour d'autres éléments ou symboles. Les rotations ont une incidence sur l'angle réel de l'ombre.


Différences entre les qualités graphiques "Windows optimisé " et "DirectX"

Manuel -> Conversion de projets -> Conversion de la version x vers la version 7.20 -> Différences entre les qualités graphiques "Windows optimisé " et "DirectX"

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

La qualité graphique Windows optimisé a été supprimée de zenon ; reportez-vous au chapitre Suppression de la qualité graphique "Windows optimisé". Il est possible que des différences d'affichage de pixels et d'affichage graphique d'éléments apparaissent à l'issue d'une conversion de projet.

Si le projet doit être modifié après la version actuelle du projet, tenez compte des différences suivantes entre les qualités graphiques Windows optimisé et DirectX :

Des différences peuvent apparaître dans les domaines suivants :

  • Affichage des polices ClearType
  • Anti-aliasing
  • Positionnement des affichages dans les éléments

    Dans ce cas de figure, tenez compte de ceci :

    • Les éléments dynamiques et
    • toutes les zones dans lesquelles apparaît du texte.
  • Éléments dynamiques/symboles :
    • Rotation
    • Redimensionnement
    • Déplacer

Des différences peuvent également apparaître dans les éléments suivants :

  • Dégradés de couleur
  • Arrondis
  • Effets, tels que les ombres
  • Coins arrondis
  • Fin de ligne
  • Type de ligne
  • Fichier graphique
  • Zoom dans zenon Editor
  • Vue globale dans le Runtime de zenon

Remarque : Des différences non mentionnées ici peuvent également se produire dans d'autres domaines.


Éléments non liés

Manuel -> Conversion de projets -> Conversion de la version x vers la version 7.20 -> Éléments non liés

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Élément combiné :

Si la variable principale est liée, l'élément combiné n'est plus affiché dans le Runtime.

Élément Tendance :

Si aucune courbe n'est définie dans Editor, l'élément Tendance n'est pas affiché dans le Runtime.

Élément Horloge :

Si l'élément Horologe est configuré avec le paramètre Différence de temps, mais aucune variable n'est liée, il n'est plus affiché dans le Runtime.

Élément WPF :

Un élément WPF pour lequel aucun fichier XAML valide n'est lié n'est pas disponible dans le Runtime.


Propriétés des variables pour zenon Analyzer

Manuel -> Conversion de projets -> Conversion de la version x vers la version 7.20 -> Propriétés des variables pour zenon Analyzer

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Pour une utilisation dans le produit zenon Analyzer de COPA-DATA, un nouveau groupe a été ajouté aux propriétés de la variable :

Les propriétés suivantes dans le groupe de propriétés de la variable Analyzer de zenon fournissent des informations concernant les rapports dans zenon Analyzer :

  • Nom visuel : Saisie d'un nom d'affichage de la variable dans zenon Analyzer. Celui-ci doit être unique dans le projet. La vérification n'est pas effectuée lors de l'émission dans zenon, mais lors de l'importation dans zenon Analyzer. Si cette propriété est modifiée après la première exportation vers zenon Analyzer, ces modifications ne sont appliquées dans zenon Analyzer.
  • Signification : Saisie de la Meaning d'une variable dans zenon Analyzer. La saisie peut être manuelle ou être effectuée à l'aide de l'Meaning and Waterfall Chart Wizard. Plusieurs significations doivent être séparées par une virgule.
    Syntaxe : [Meaning1],[Meaning2],…,[MeaningN]
  • Paramètre pour le waterfall diagram : Paramètres d'une variable pour un diagramme en cascade dans zenon Analyzer. La saisie peut être manuelle ou être effectuée à l'aide de l'Meaning and Waterfall Chart Wizard. Les paramètres individuels doivent être séparés par une virgule. Plusieurs cascades doivent être séparées par un point-virgule.
    Syntaxe : [nom de modèle],[indice de ligne],[indice dans la ligne],[code de couleur];

Jusqu'à la version 7.11, les entrées des nouvelles propriétés Signification et Paramètre pour le waterfall diagram étaient saisies dans la propriété Description externe.

Lors de la conversion d'un projet vers la version 7.20, les entrées sont conservées dans la propriété Description externe. Lors de l'exportation vers zenon Analyzer, la propriété antérieure et la nouvelle propriété sont vérifiées. Si les deux propriétés sont attribuées, les entrées des nouvelles propriétés sont reprises. Les entrées créées à l'aide de l'assistant Signification et diagramme en cascade sont toujours saisies dans les nouvelles propriétés.


Créer des projets dans zenon Logic

Manuel -> Conversion de projets -> Conversion de la version x vers la version 7.20 -> Créer des projets dans zenon Logic

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Dans zenon Editor, aucun projet zenon Logic portant le nom __Global ne peut être créé.
Attention : S'il existe déjà des projets avec le nom __Global, ces derniers ne sont plus affichés.


Convertir de la version x vers la version 7.50

Manuel -> Conversion de projets -> Convertir de la version x vers la version 7.50

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Autres sujets abordés dans ce chapitre

API : Type de données pour ReaAlarm modifié (Def 34779)

Éléments de synoptique supprimés

Propriété Transparence modifiée pour le texte statique

Élément Texte statique : incorporation des polices de caractères supprimée

Driver SE issu de projets 6.20 SP4 ou antérieurs

SNMP32 et SNMPNG32 – emplacement de sauvegarde de MIBS

Réseau de distribution de gaz supprimé du module Load Management


API : Type de données pour ReaAlarm modifié (Def 34779)

Manuel -> Conversion de projets -> Convertir de la version x vers la version 7.50 -> API : Type de données pour ReaAlarm modifié (Def 34779)

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Le type de données pour ReaAlarm a été modifié :

  • Précédemment : LONG
  • À partir de la version 7.50 : DOUBLE

Cette modification peut entraîner des erreurs lors de la compilation de codes existants.


Éléments de synoptique supprimés

Manuel -> Conversion de projets -> Convertir de la version x vers la version 7.50 -> Éléments de synoptique supprimés

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Les éléments de synoptique suivants ne sont plus disponibles à partir de la version 7.50 :

  • Élément Message
  • Multi-binaire
  • Élément logique

Les dispositions suivantes s'appliquent aux éléments qui ne sont plus pris en charge :

  • Après la conversion dans un projet actuel incompatible avec un élément :
    • Les éléments existants sont affichés dans Editor et dans le Runtime.
    • Les éléments existants ne peuvent pas être configurés dans Editor.
    • Les nouveaux éléments ne peuvent pas être créés dans Editor.
  • Lors de la compilation des fichiers de Runtime pour une version compatible avec ces éléments :
    • Les éléments peuvent être affichés, configurés et créés. Vous trouverez ensuite ces éléments au bas de la liste déroulante Éléments.

Remarque : La fonctionnalité de l'élément multi-binaire et de l'élément logique peut également être configurée à l'aide de l'élément combiné.


Propriété Transparence modifiée pour le texte statique

Manuel -> Conversion de projets -> Convertir de la version x vers la version 7.50 -> Propriété Transparence modifiée pour le texte statique

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

La propriété Transparence a été modifiée pour l'élément de synoptique Texte statique. Auparavant, il était uniquement possible de choisir entre les valeurs Transparent et Opaque. La propriété Transparence de la couleur de remplissage [%] permet maintenant de sélectionner la transparence sous forme de valeur comprise entre 0% (opaque) et 100% (transparent).

Lors de la conversion du projet, la valeur 100% est définie si l'option Transparent a été sélectionnée dans le projet initial. Dans tous les autres cas, la valeur est définie sur 0%.


Élément Texte statique : incorporation des polices de caractères supprimée

Manuel -> Conversion de projets -> Convertir de la version x vers la version 7.50 -> Élément Texte statique : incorporation des polices de caractères supprimée

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Aucune police ne peut être incorporée dans l'élément de texte statique. Comme tous les autres éléments, les polices de caractères peuvent uniquement être liées à l'aide de la propriété Police.

Conversion de projets

Lors de la conversion de projets, tous les synoptiques sont analysés afin d'identifier tout texte statique avec des polices de caractères incorporées.
Si des polices de caractères incorporées sont découvertes, elles sont remplacées :

  1. La police de caractères remplacée est remplacée par la police Arial (10 pts).
  2. Un message d'informations s'affiche.
    Double-cliquez sur ce message pour ouvrir le synoptique contenant l'élément ; le texte statique dont la police de caractères a été modifiée est surligné.

Assistant de conversion de polices de caractères de texte statique

Pour pouvoir continuer à utiliser les configurations de projets utilisant cette propriété dans des versions antérieures, l'Static Text Font Conversion Wizard effectue les modifications requises dans le projet zenon 7.20.

L'Static Text Font Conversion Wizard :

  • Recherche tous les synoptiques et symboles d'un projet.
    Les recherches facultatives suivantes peuvent être configurées :
    • Rechercher tous les symboles d'un projet global
    • Rechercher tous les symboles de la bibliothèque générale de symboles
  • Convertit des polices de caractères incorporées configurées dans les projets en polices de caractères liées :
    • Crée une nouvelle police de caractères.
      Nom de la police de caractères : Conversion_[nom de police existante]
    • Lie cette nouvelle police à l'élément.

    Les tâches facultatives suivantes peuvent être configurées :

    • La création et la liaison sont effectuées dans le projet global

attention Attention

Avant de convertir vos projets vers une version supérieure de zenon, dans un premier temps, assurez-vous que vos projets zenon existants ont été préparés dans la version 7.20, à l'aide de l'Static Text Font Conversion Wizard.

L'assistant est uniquement inclus dans les versions actuelles de la version 7.20.

XML : Importation et exportation

Lors de l'importation d'un fichier XML pour un projet antérieur à la version 7.50, la police de caractères incorporée est remplacée par la police standard.

Aucune propriété Font (Police) n'est incluse lors de l'exportation des synoptiques convertis. Cette propriété est remplacée par la propriété LinkedFont (Police liée).

API

Deux propriétés sont disponibles dans l'API :

Font (Police) : précédemment utilisée

LinkedFont (Police liée) : à partir de la version 7.50

Pour des raisons de compatibilité, l'utilisation des commandes Get/Set est possible pour la police, en utilisant les deux propriétés.

Comportement précédent :

  • Il était possible d'utiliser le nom externe Font pour définir une commande Get ou Set pour un objet LOGFONT.
  • Si tous les attributs de la structure LOGFONT sont été définis sur 0, à l'exception de l'épaisseur de la police de caractères (2ème argument), la police est considérée comme liée. La valeur de l'épaisseur de la police correspond à la police dans le module Liste de polices.
  • Si le premier argument est également défini pour la structure LOGFONT et d'autres valeurs étaient également définies (différentes de zéro), la police est considérée comme incorporée.

Comportement à partir de la version 7.50 :

  • Get: fonctionne comme précédemment.
  • Set: Dépend des valeurs.
    • Si la police de caractères est définie comme liée (toutes valeurs 0, excepté le 2ème argument), le processus fonctionne comme auparavant.
    • Si la police de caractères est définie comme incorporée, elle est également remplacée par la police standard.


Driver SE issu de projets 6.20 SP4 ou antérieurs

Manuel -> Conversion de projets -> Convertir de la version x vers la version 7.50 -> Driver SE issu de projets 6.20 SP4 ou antérieurs

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Lors de la conversion d'un projet issu de la version 6.20 SP4 avec driver SE ou d'une version antérieure.

Pour que la configuration soit correctement acceptée, la boîte de dialogue de drivers doit être ouverte et confirmée en cliquant sur OK.


SNMP32 et SNMPNG32 – emplacement de sauvegarde de MIBS

Manuel -> Conversion de projets -> Convertir de la version x vers la version 7.50 -> SNMP32 et SNMPNG32 – emplacement de sauvegarde de MIBS

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

L'emplacement de sauvegarde des instances locales de MIBS a été modifié.

  • Précédemment : %ProgramFiles(x86)%\COPA-DATA\zenon7.60\SNMP-MIBS
  • À partir de la version 7.50 : %ProgramData%\COPA-DATA\zenon7.60\CommunicationProfiles\SNMP-MIBS

L'installation de MIBS ne nécessite ainsi plus de droits d'administrateur.


Réseau de distribution de gaz supprimé du module Load Management

Manuel -> Conversion de projets -> Convertir de la version x vers la version 7.50 -> Réseau de distribution de gaz supprimé du module Load Management

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Le module Gestion de charge ne prend en charge que les réseaux électriques de zenon 7.50.

La fonctionnalité réseau de gaz a été supprimée. Lors de l'importation, de la conversion et de la compilation de projets zenon de versions antérieures, un message s'affiche dans la fenêtre de résultats de zenon Editor s'il reste une configuration de projet pour les réseaux de gaz.

Une entrée CEL est créée à son démarrage dans zenon Runtime.

Texte du message

Pour configurer les projets avec le réseau de gaz, le message suivant s'affiche dans la fenêtre de résultats de zenon Editor :

La fonctionnalité réseau de gaz du module de gestion de charge n'est plus supporté et ne sera pas importé.


Convertir de la version x vers la version 7.60

Manuel -> Conversion de projets -> Convertir de la version x vers la version 7.60

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Autres sujets abordés dans ce chapitre

Propriétés des listes configurables

Longueur des variables de chaîne

Motif de remplissage pour boutons


Propriétés des listes configurables

Manuel -> Conversion de projets -> Convertir de la version x vers la version 7.60 -> Propriétés des listes configurables

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

The behavior of headers in Runtime is now defined in the Editor by means of the properties of the En-tête group:

  • Montrer l'en-tête: L’en-tête est affiché dans le Runtime.
  • Afficher la ligne de filtres: La ligne de filtre est affichée dans le Runtime.
  • Désactiver le tri: Contrôle la possibilité de trier le contenu du tableau dans le Runtime, en cliquant sur les en-têtes des colonnes.
  • Figer la sélection des colonnes: Contrôle la possibilité de déplacer ou modifier la largeur des colonnes avec la souris dans le Runtime.
  • Désactiver le menu contextuel: Activates or deactivates the context menu for the header.

Action en cas de conversion de projet

Les considérations suivantes s’appliquent à la conversion de projet :

  • Si un projet est compilé pour une version avant zenon 7.60, la propriété Statique en-tête est activé si la propriété Désactiver le tri n’est pas activé dans le projet actuel.
  • Si un projet est converti à partir d’une version précédente de zenon 7.60 dans la version actuelle, puis les propriétés Figer la sélection des colonnes et Désactiver le tri sont activées si Statique en-tête est inactif dans le projet original.


Longueur des variables de chaîne

Manuel -> Conversion de projets -> Convertir de la version x vers la version 7.60 -> Longueur des variables de chaîne

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Le Longueur de la chaîne d’ue variable ne peut pas plus avoir la valeur 0.

Les considérations suivantes s’appliquent à la conversion de projet :

Si un projet est converti à partir d’une version précédente zenon 7.60 dans la version actuelle, la valeur de la propriété Longueur de la chaîne est définie sur 5 (valeur pa défaut) si cette propriété a été configurée avec la valeur 0 dans le projet original.


Motif de remplissage pour boutons

Manuel -> Conversion de projets -> Convertir de la version x vers la version 7.60 -> Motif de remplissage pour boutons

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Les propriétés du groupe de boutons Remplissage ont été améliorées avec la propriété Remplissage (type).

Si, avant conversion, une seule couleur a été configuré sous Gradient de couleur, le motif de remplissage est désormais défini sur une seule couleur. Si, sous Gradient de couleur, une des autres options a été configurée, le motif de remplissage est désormais défini sur gradient et le type de gradient est défini selon la configuration originale sous Gradient de couleur. Ceci s’applique également à l’importation XML des versions précédentes.

Si les fichiers Runtime sont créés pour des versions précédentes, une conversion dans une autre direction est réalisée. L’accès via l’API s’effectue au moyen de la propriété précédente Remplissage.


Conversion d'unités de mesure

Manuel -> Conversion d'unités de mesure

La fonction de conversion d'unités de mesure autorise la conversion et le basculement d'unités de base en unités de conversion, par exemple de mètres en yards ou de mètres en décimètres, centimètres et millimètres. Une unité de base contient la valeur initiale pour une conversion. L'unité de mesure de conversion contient la valeur convertie par rapport à la valeur de base. Toutes deux comportent un nom d'unité. Des éléments Facteur, Offset et Décalage du point décimal peuvent être définis pour les unités de conversion en fonction de l'unité de base correspondante.

Une unité de base peut être sélectionnée lors de la configuration de paramètres pour une variable. Il est possible de basculer entre les différentes unités durant le Runtime à l'aide de la fonction de basculement d'unités.

tutorial Informations concernant la licence

Composante de la licence standard d’Editor et du Runtime.

Menu contextuel Gestionnaire de projet

Élément de menu | Action
New base unit (Nouvelle unité de base) | Crée une nouvelle unité de base.
Exporter tout (XML) | Exporte toutes les entrées sous forme de fichier XML.
Importer XML | Importe des unités de mesure à partir d'un fichier XML.
Aide | Ouvre l'aide en ligne.

info Informations

Measurement unit switching must not be used together with the variablerw function of the Report Generator. Cette fonction de rapport fournit une fonction de conversion d'unité pour les projets anciens. Si l'unité de mesure définie dans la fonction de conversion d'unités d'une variable est modifiée par la fonction de rapport dans le Runtime, vous devez exécuter à nouveau la configuration dans la fonction de conversion d'unités.

Autres sujets abordés dans ce chapitre

Barre d'outils et menu contextuel de la vue de détail Unités

Développement d'unités de mesure

Attribuer une unité de base à une variable

Fonction de conversion d'unités de fonction

Runtime


Barre d'outils et menu contextuel de la vue de détail Unités

Manuel -> Conversion d'unités de mesure -> Barre d'outils et menu contextuel de la vue de détail Unités

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Menu contextuel de la vue de détail Unités

Élément de menu | Action
New base unit (Nouvelle unité de base) | Crée une nouvelle unité de base.
Exporter XML tous | Exporte toutes les entrées sous forme de fichier XML.
Importer XML | Importe des unités de mesure à partir d'un fichier XML.
Aide | Ouvre l'aide en ligne.

Menu contextuel et barre d'outils Unité de base/Unité de conversion

Élément de menu | Action
New base unit (Nouvelle unité de base) | Crée une nouvelle unité de base.
New conversion unit (Nouvelle unité de conversion) | Crée une nouvelle unité de conversion pour l'unité de base supérieure.
Éléments liés : Retour à l'élément de départ | Liste déroulante contenant un lien vers l'élément permettant d'accéder à l'unité de mesure. Disponible uniquement si l'unité est liée à un autre élément.
Renommer | Permet de renommer l'unité. Attention : si les unités sont renommées, toutes les unités de mesure déjà liées aux variables ou utilisées dans des fonctions doivent alors être adaptées manuellement pour la variable ou la fonction concernée. Voir également : Associer une unité de base à une variable et Fonction de conversion d'unités de mesure.
Exporter XML tous | Exporte toutes les entrées sous forme de fichier XML.
Importer XML | Importe des unités de mesure à partir d'un fichier XML.
Copier | Copie les entrées sélectionnées et vers le presse-papiers.
Coller | Insère le contenu du presse-papier. Si une entrée portant le même nom existe déjà, le contenu est collé sous le nom Copie de...
Supprimer | Supprime les entrées sélectionnées.
Aide | Ouvre l'aide en ligne.


Développement d'unités de mesure

Manuel -> Conversion d'unités de mesure -> Développement d'unités de mesure

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Vous devez créer une unité de base et une unité de conversion pour la conversion, et définir les paramètres de la conversion. La conversion est effectuée en utilisant la formule y=kx+d (Autriche) ou y=mx+b (Allemagne). Chaque unité de base peut être attribuée sous forme d'unité de mesure à une variable.

Pour créer une nouvelle unité de base :

  • Sélectionnez le nœud Unités de mesure dans le Gestionnaire de projet.
  • Cliquez avec le bouton droit sur Unités de mesure.
  • Sélectionnez l'option Nouvelle unité de base dans le menu contextuel.
  • Une nouvelle entrée est créée dans la liste.
  • Donnez un nom à l'unité de mesure.
  • Créez l'unité de conversion.

Pour créer une nouvelle unité de conversion :

  • Cliquez avec le bouton droit sur une unité de base.
  • Sélectionnez l'option Unité de conversion dans le menu contextuel.
  • Une nouvelle entrée est créée dans la liste.
  • Donnez un nom à l'unité.
  • Définissez un élément : Facteur pour la conversion.
  • Définissez une valeur pour l'élément : Décalage du point décimal.
  • Définissez une valeur pour l'élément : Offset.


Attribuer une unité de base à une variable

Manuel -> Conversion d'unités de mesure -> Attribuer une unité de base à une variable

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Les unités de base sont attribuées à une variable dans la propriété Unité de mesure (nœud Général).

Ici, vous pouvez nommer les unités comme vous l'entendez. Si la conversion d'unités de mesure est utilisée dans le Runtime, sélectionnez une unité de base prédéfinie dans la liste déroulante.

Conseil : si vous la nommez à votre convenance, nous vous recommandons de créer immédiatement un lien portant le même nom dans le nœud Unité - Unité de base.

Vous devez créer une fonction de conversion d'unités pour pouvoir effectuer la conversion durant le Runtime.

attention Attention

Si une unité de mesure est renommée ultérieurement, les variables déjà liées à celle-ci ne sont pas automatiquement renommées.

Pour renommer les unités de mesure déjà liées :

  • Sélectionnez la vue de détail dans le gestionnaire de projet.
  • Sélectionnez la colonne Unités de mesure, ou ajoutez celle-ci à la vue si elle est encore affichée.
  • Dans le menu contextuel, sélectionnez la commande Remplacer un texte dans la colonne sélectionnée.
  • Dans la boîte de dialogue qui s'affiche à l'écran, effectuez une recherche sur le nom et remplacez-le par le nouveau nom.


Fonction de conversion d'unités de fonction

Manuel -> Conversion d'unités de mesure -> Fonction de conversion d'unités de fonction

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Pour exécuter la conversion d'unités de mesure dans le Runtime, vous devez créer une conversion d'unités de fonction :

  • Sélectionnez le nœud Fonctions dans le Gestionnaire de projet.
  • Dans le menu contextuel, sélectionnez la commande Nouvelle fonction...
  • Accédez à la variable.
  • Sélectionnez la fonction Conversion d'unités de mesure.

    Remarque : L'exécution d'une conversion d'unité de fonction déclenche l'actualisation du rapport s'il est actuellement affiché.

  • La boîte de dialogue de définition de la conversion d'unités de mesure s'ouvre.

Propriété

Description

Unit conversion (Conversion d'unités)

Boîte de dialogue autorisant l'association d'unités de conversion à des unités de base.

Unité de base

Liste des unités de base créées.

Commuter en

Liste déroulante de sélection de l'unité de conversion. Vous pouvez soit sélectionner une unité de conversion ou l'unité de base.

Engineered conversion unit (Unité de conversion développée) : dans le Runtime, l'unité de base est convertie en unité de conversion.

<Unité de base>: l'unité de base est toujours active dans le Runtime.

info Informations

Les unités ne sont pas exportées avec l'exportation au format XML de cette fonction. Vous devez exporter les unités séparément.

attention Attention

Si une unité de mesure est renommée ultérieurement, l'unité de base renommée est automatiquement prise en compte dans la fonction. Vous devez toutefois modifier les unités de conversion manuellement.


Runtime

Manuel -> Conversion d'unités de mesure -> Runtime

Chaque valeur de variable associée à chaque entrée ou sortie (en plus de celles utilisées par défaut lors de la conversion d'unités de signal en unités de plage de mesure) est convertie dans le Runtime.

  • Sortie : une unité de conversion associée à une variable est activée avec la fonction de basculement d'unités. La valeur en unités de mesure dépend de l'offset et du facteur prédéfinis. En outre, lors de la conversion de la valeur en chaîne, le nombre de décimales définies pour une variable est corrigé.
  • Entrée : la conversion est effectuée suivant les mêmes règles que la sortie dans l'autre sens.

Limitations :

  • Lors de l'exportation, les nouvelles unités sont exportées.
  • Les valeurs enregistrées sous forme de chaîne ne sont pas recalculées pour la sortie. Ces valeurs sont conservées dans l'unité de mesure active lors de la création de la chaîne. Ceci affecte tout particulièrement toutes les valeurs insérées dans le texte d'une entrée de la liste CEL – par exemple, modification d'une valeur prescrite de OLD en NEW, etc.
  • Les heures de fonctionnement et les compteurs d'opérations fournis dans le module Industrial Maintenance Manager sont toujours affichés en unités de base, dans ce cas.
  • Les sorties affichées sur l'écran EMS sont toujours affichées dans l'unité de base.

VBA

Les valeurs supérieures à VBA sont toujours affichées sous forme d'unités de base. Par exemple, Variable.Value ne fournit pas une valeur avec des unités "basculées", car il ne s'agit pas d'une sortie de valeur. Quatre nouvelles fonctions ont été incorporées dans Variable., afin que la commutation d'unités puisse également être utilisées au-delà de VBA :

Mot-clé | Description
SecondaryUnitName | Renvoie le nom de l'unité de conversion définie.
SecondaryUnitDigits | Fournit les décimales pour l'unité de conversion définie.
CalcSecondaryUnitValue | Convertit la valeur de l'unité de base en valeur d'unité de conversion.
CalcPrimaryUnitValue | Convertit la valeur de l'unité de conversion en valeur d'unité de base.


Création de rapports

Manuel -> Création de rapports

La fonction de création de rapports intégrée à zenon permet de documenter, d'évaluer et de présenter les données de procédés sur la base des données en ligne et archivées provenant de zenon. La fonction de création de rapports comporte les éléments suivants :

  • Report Generator
  • Report Viewer

Aucune variante de création de rapports n'est disponible dans Windows CE.

tutorial Informations concernant la licence
  • Dans Editor : les deux doivent comporter une licence.
  • Dans le Runtime :
    Module Report Viewer :
    dans le Runtime, toujours inclus dans l'offre standard. Report Generator : uniquement intégré pour l'affichage de rapports. Si vous souhaitez écrire des valeurs d'archive ou des valeurs prescrites avec Report Generator, vous devez également disposer d'une licence dans le Runtime.

zenon Analyzer propose des fonctions complètes, indépendantes des plates-formes de création de rapports du niveau procédé jusqu'au système ERP. Votre partenaire commercial COPA-DATA sera heureux de vous fournir d'autres informations à ce sujet.

Autres sujets abordés dans ce chapitre

Report Generator

Report Viewer


Report Generator

Manuel -> Création de rapports -> Report Generator

Le module Report Generator documente, évalue et présente les données du procédé en utilisant les données en ligne ou archivées. L'outil Report Generator opère sur la base des cellules ; chaque cellule peut recevoir certains formats et fonctions.

Les rapports peuvent être configurés à l'aide du synoptique Rapport. Les données sont filtrées, calculées, transmises et affichées via les fonctions de rapport. Celles-ci peuvent être saisies manuellement, ou par l'intermédiaire de boîtes de dialogue. Les valeurs peuvent être lues et, si le synoptique l'autorise, modifiées. Le module Report Generator est conforme aux exigences des standards Rule Sheet et ATV H260.

Menu contextuel Gestionnaire de projet

Élément de menu | Action
Nouveau rapport | Crée un nouveau rapport dans la liste dans la vue de détail.
Importer un rapport existant... | Ouvre le gestionnaire de fichiers et vous permet de sélectionner un fichier existant.
Profil Editor | Ouvre la liste déroulante contenant les profils Editor prédéfinis.
Aide | Ouvre l'aide en ligne.

info Informations

Les bits d'état NORM et N_NORM ne sont pas affichés dans le rapport, ou le bit d'état NORM ne peut pas être modifié à l'aide du rapport.

Autres sujets abordés dans ce chapitre

Configuration dans Editor

Utilisation dans le Runtime

Exemple de données d'archive dans un rapport


Configuration dans Editor

Manuel -> Création de rapports -> Report Generator -> Configuration dans Editor

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Pour pouvoir utiliser des rapports dans le Runtime, vous devez effectuer les opérations suivantes dans Editor :

  • Créez un synoptique de type Rapport.
  • Un rapport est créé et configuré.
  • Une fonction d'appel est configurée dans le Runtime.

Procédure de planification de rapport recommandée :

  • Créer le rapport
  • Formatage de rapports
  • Créer le filtre d'archive
  • Configurer les fonctions du rapport

Autres sujets abordés dans ce chapitre

Création d'un synoptique de type Report Generator

Créer un nouveau rapport

Paramètres de l'imprimante

Informations du fichier

Recherche et remplacement dans le rapport

Formatage

Configuration du filtre d'archive

Fonctions de rapport

zenon fournit des fonctions permettant de contrôler le module Report Generator dans le Runtime.


Création d'un synoptique de type Report Generator

Manuel -> Création de rapports -> Report Generator -> Configuration dans Editor -> Création d'un synoptique de type Report Generator

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Création d'un synoptique de type Report Generator

Sur un synoptique de type Rapport, les rapports créés avec le module Report Generator sont affichés dans le Runtime et configurés avec les droits correspondants. La taille d'affichage dépend de la taille de modèle sélectionnée. Le rapport affiché peut être déterminé dans la fonction d'appel de synoptique ou dans le Runtime.

Développement

Étapes de création du synoptique :

  1. Créez un nouveau synoptique :

    Dans la barre d’outils ou le menu contextuel du nœud Synoptiques, sélectionnez la commande Nouveau synoptique.
    Un synoptique vide Standard est créé.

  2. Modifiez les propriétés du synoptique :
    1. Nommez le synoptique dans la propriété Nom.
    2. Sélectionnez le paramètre Report Generator dans la propriété Type de synoptique.
    3. Sélectionnez le cadre souhaité dans la propriété Gabarit.
  3. Configurez le contenu du synoptique :
    1. Sélectionnez l’option de menu Éléments de contrôle dans la barre de menus
    2. Sélectionnez Insérer un modèle dans la liste déroulante.
      La boîte de dialogue de sélection de mises en forme prédéfinies s’affiche à l’écran. Certains éléments de contrôle sont insérés dans le synoptique à des positions prédéfinies.
    3. Supprimez les éléments superflus du synoptique.
    4. Si nécessaire, sélectionnez des éléments supplémentaires dans la liste déroulante Éléments. Placez-les aux emplacements souhaités sur le synoptique.
  4. Créez une fonction d’appel de synoptique.

Paramètre | Description
Insérer un modèle... | Ouvre la boîte de dialogue de sélection de modèle pour le type de synoptique correspondant. Des modèles sont fournis avec zenon, et peuvent également être créés par l’utilisateur. Modèles ajoutent des éléments de contrôle prédéfinis à des positions prédéfinies sur le synoptique. Les éléments qui ne sont pas nécessaires peuvent également être supprimés individuellement après leur création. Les éléments supplémentaires peuvent être sélectionnés dans la liste déroulante, puis insérés dans le synoptique zenon. Les éléments peuvent être déplacés et disposés individuellement sur le synoptique.

Fenêtre

Éléments de contrôle pour l'affichage des fenêtres.

Paramètre

Description

Fenêtre de rapport

Affiche le rapport.

Définir filtre

Affiche l'état actuel du filtre de temps actuellement configuré dans le Runtime.

Éléments compatibles

Les éléments de contrôle Standard Win32 ayant été remplacés ou supprimés par des éléments zenon (texte dynamique, basculer) et continuent à être disponibles pour des raisons de compatibilité. Ces éléments ne sont pas pris en compte lors de l’insertion automatique de modèles.

Pour la description, reportez-vous aux éléments actuels.

  • Définir filtre

Fonctions

Contrôle les éléments pour le contrôle dans le Runtime.

Paramètre

Description

Filtrer...

Sélectionner le fichier de rapport et modifier les conditions de filtre.

Mise à jour

Recréer entièrement le rapport (valeurs et affichage).

Imprimer

Imprimer le rapport dans le Runtime.

Exporter

Exporter le rapport.

Enregistrer l'archive

Écrire les valeurs modifiées dans l'archive.

Enregistrer rapport

Le rapport est enregistré dans le Runtime (*.xrs).

Attention : lors de l'enregistrement, les formules et fonctions sont remplacées par les valeurs actuelles. Les fonctions dans ces rapports (fichiers .xrs) ne sont plus disponibles. Ces rapports ne peuvent donc plus être édités dans Editor.

Recommandation : activez la protection contre l'écriture des fichiers originaux des rapports, et enregistrez les modifications dans un nouveau fichier à l'aide de la commande Enregistrer sous.

Enregistrer le rapport sous...

Le rapport est enregistré sous un nouveau nom durant le Runtime (*.xrs), les formules et les fonctions sont remplacées par les valeurs actuelles.

Lire les valeurs sélectionnées

Les valeurs sélectionnées sont lues une nouvelle fois depuis le driver.

Écrire les valeurs sélectionnées

Les valeurs sélectionnées sont transmises au driver.

Lire toutes les valeurs

Toutes les valeurs sont lues une nouvelle fois depuis le driver.

Écrire toutes les valeurs

Toutes les valeurs sont transmises au driver.

Navigation

Éléments de contrôle pour la navigation.

Paramètre | Description
Ligne précédente | Fait défiler le texte dans la liste vers le haut
Ligne suivante | Fait défiler le texte dans la liste vers le bas
Colonne droite | Fait défiler le texte dans la liste vers la droite
Colonne gauche | Fait défiler le texte dans la liste vers la gauche
Page précédente | Fait défiler le texte dans la liste vers le haut
Page suivante | Fait défiler le texte dans la liste vers le bas
Page droite | Fait défiler le texte dans la liste vers la droite
Page gauche | Fait défiler le texte dans la liste vers la gauche

Filtrer profils

Boutons de configuration des filtres dans le Runtime.

Paramètre | Description
Sélectionner un profil | Sélectionner un profil dans la liste.
Enregistrer | Enregistrer la configuration actuelle sous forme de profil. Remarque : Le nom ne peut contenir que 31 caractères maximum et uniquement des caractères valides. Les caractères suivants sont interdits : ! \ / : * ? < > | ""
Supprimer | Supprimer le profil sélectionné.
Importer | Importe les profils de filtre depuis un fichier d’exportation.
Exporter | Exporte les profils de filtre vers un fichier.


Créer un nouveau rapport

Manuel -> Création de rapports -> Report Generator -> Configuration dans Editor -> Créer un nouveau rapport

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Avant de créer un rapport, il est nécessaire de définir l'imprimante de rapports, car la mise en forme de la page d'un rapport dépend de l'imprimante définie. Toute modification du choix de l'imprimante par la suite peut imposer un nouveau formatage du tableau existant.

Pour créer un nouveau rapport :

  • Accédez au nœud du module Report Generator dans le gestionnaire de projets.
  • Sélectionnez la commande Nouveau rapport dans le menu contextuel.
  • Un nouveau rapport est créé dans la vue de détail.
  • Une feuille de calcul vide est créée dans la fenêtre principale.

Fonctionnalité de la feuille de calcul :

  • Attribution des informations de procédé à l'aide des fonctions de rapport
  • Affichage mis en forme du contenu des cellules, des colonnes et des lignes
  • Sous-totaux
  • Attribution des blocs de modification

info Informations

Lors de la saisie dans une cellule : Une valeur décimale peut être saisie avec une virgule, mais également avec un point en tant que séparateur décimal. Le séparateur décimal est automatiquement transformé en point.

Vous trouverez plus d'informations dans les chapitres :

  • Configuration de page
  • Paramètres de l'imprimante
  • Formatage
  • Fonctions de rapport

Autres sujets abordés dans ce chapitre

Menu Rapport

Menu Édition

Menu Format

Barre d’outils Report Generator

Vue de détail de la barre d'outils et du menu contextuel

Création d'une fenêtre de table

Menu contextuel Feuille de données


Menu Rapport

Manuel -> Création de rapports -> Report Generator -> Configuration dans Editor -> Créer un nouveau rapport -> Menu Rapport

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Le menu Rapport est affiché lorsqu'un rapport est sélectionné :

Paramètres

Description

Enregistrer rapport

Enregistre toutes les modifications dans le rapport actif. Les modifications apportées aux autres rapports ne sont pas enregistrées.

Exporter les fonctions de rapport

Exporte toutes les fonctions du rapport actif vers un fichier texte.

Structure : Colonne / ligne = fonction(paramètre)

Actualiser rapport

Dessine un nouveau rapport.

Recalculer le rapport

Calcule un nouveau rapport.

Configuration de page

Ouvre la boîte de dialogue de configuration de la page d'impression.

Imprimer le rapport

Imprime le rapport à l'aide de l'imprimante définie dans les paramètres standard.

Zone d'impression

Définit ou annule les zones d'impression.

  • Définir la zone d'impression : définit les zones sélectionnées de la table en tant que zone d'impression.
  • Annuler la zone d'impression : annule la zone d'impression définie.

Rapport - Aperçu

Bascule de la vue de disposition à la vue de page. Vous pouvez agrandir la vue à l'aide du bouton gauche de la souris.

Fermer la vue de page : Appuyez sur la touche Échap.

Info fichier rapport

Ouvre la boîte de dialogue de gestion des informations du fichier de rapport.


Menu Édition

Manuel -> Création de rapports -> Report Generator -> Configuration dans Editor -> Créer un nouveau rapport -> Menu Édition

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Lorsqu'un rapport est sélectionné, le menu Édition propose des fonctions spéciales pour les rapports :

Commande

Description

Couper

Coupe la zone sélectionnée et la copie vers le presse-papiers.

Copier

Copie la zone sélectionnée vers le presse-papiers.

Coller

Insère le contenu du presse-papier.

Collage spécial

Propose des options de collage avancé pour les opérations sur les cellules :
  • Tout

Colle tout depuis le presse-papiers.
  • Formules

Insérer uniquement les formules
  • Valeur

Insère uniquement les valeurs. La relation avec les formules est perdue.
  • Format

Accepte uniquement le format.

Remplir

Copie le contenu de la première cellule marquée et le transfère vers toutes les autres cellules marquées.

  • Vers le bas

Le remplissage est effectué vers le bas.
  • Droite

Le remplissage est effectué de gauche à droite.

Supprimer

Supprimer les données des cellules sélectionnées :
  • Tout

Tout.
  • Sommaire

Uniquement le contenu.
  • Format

Uniquement les formats.

Supprimer colonne ou ligne

Supprime les colonnes ou les lignes sélectionnées.

Insérer colonne ou ligne

Insère de nouvelles colonnes ou lignes. L’insertion est effectuée au-dessus de la ligne, ou à gauche de la colonne. Le nombre de lignes ou colonnes insérées correspond au nombre de lignes ou colonnes sélectionnées dans la feuille de calcul.

Rechercher/Remplacer

Ouvre la boîte de dialogue de recherche et de remplacement de données dans une feuille de calcul.


Menu Format

Manuel -> Création de rapports -> Report Generator -> Configuration dans Editor -> Créer un nouveau rapport -> Menu Format

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Le menu Format fournit les propriétés et les fonctions de mise en forme de la table de rapport :

Paramètres

Description

Cellules

Options de mise en forme des cellules :

  • Police
  • Motif
  • Bordure
  • Alignement
  • Nombres
  • Listes

Ligne

Options de mise en forme des lignes :

  • Hauteur de ligne : Ouvre la boîte de dialogue de configuration de la hauteur des lignes
  • Format des lignes : Ouvre la boîte de dialogue affichant toutes les propriétés des lignes

Colonne

Options de mise en forme des colonnes :

  • Largeur de colonne : Ouvre la boîte de dialogue de configuration de la largeur des colonnes :
  • Format des colonnes : Ouvre la boîte de dialogue affichant toutes les propriétés des colonnes

Rapport

Ouvre la boîte de dialogue de formatage du rapport.

Assistant sur fonction

Ouvre l'assistant de création de fonctions de rapport.

Filtre

Ouvre le filtre de rapport permettant de sélectionner les archives.


Barre d’outils Report Generator

Manuel -> Création de rapports -> Report Generator -> Configuration dans Editor -> Créer un nouveau rapport -> Barre d’outils Report Generator

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Une barre d’outils est disponible pour le module Report Generator dans Editor.
Pour l’appeler, s’il n’est pas visible :

  1. Ouvrez le menu Extras -> Paramètres -> onglet : Barre d’outils
  2. Cochez la case adjacente à l’option Report Generator.
  3. Confirmez avec OK.

Symbole

(de gauche à droite)

Fonction

Imprimer le rapport

Imprime le rapport sur l’imprimante par défaut.

Rapport - Aperçu

Ouvre le rapport dans une fenêtre d’aperçu. Le rapport peut être agrandi ou réduit dans l’aperçu (zoom)?; vous pouvez également le parcourir et l’imprimer.

Actualiser rapport

Rafraîchit l'affichage.

Recalculer fonctions

Recalcule les formules dans le rapport.

Assistant sur fonction

Ouvre une boîte de dialogue pour vous aider à configurer les fonctions.

Police

Ouvre la boîte de dialogue de mise en forme des cellules?; l’onglet Police est affiché à l’écran.

Alignement texte

Ouvre la boîte de dialogue de mise en forme des cellules?; l’onglet Alignement est affiché à l’écran.

Bordure

Ouvre la boîte de dialogue de mise en forme des cellules?; l’onglet Bordure est affiché à l’écran.

Motif

Ouvre la boîte de dialogue de mise en forme des cellules?; l’onglet Motif est affiché à l’écran.

Options pour la barre de symboles

Cliquez sur la flèche pour ouvrir le sous-menu :

Active : la barre d'outils est affichée.

Si la barre d’outils n’est pas affichée, elle peut être activée en sélectionnant le menu Options -> Barre d’outils.

Remarque : Si la barre d’outils est positionnée librement (c’est-à-dire dissociée d’Editor), les options ne sont pas affichées. Pour fermer la barre d’outils, cliquez sur le bouton X.


Vue de détail de la barre d'outils et du menu contextuel

Manuel -> Création de rapports -> Report Generator -> Configuration dans Editor -> Créer un nouveau rapport -> Vue de détail de la barre d'outils et du menu contextuel

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Élément de menu | Action
Nouveau rapport | Crée un nouveau rapport dans la liste dans la vue de détail.
Ouvrir un rapport | Ouvre le rapport sélectionné ou affiche le rapport déjà ouvert à l'écran.
Créer une fonction standard | Crée une fonction de zenon pour le module Report Generator. Cette action est consignée dans la fenêtre de sortie.
Retour à l'élément de départ | Jumps back to the initial position in the zenon Editor. Remarque : This context menu entry is only available if a jump to the current position has been made from another position with the Linked elements context menu entry.
Copier | Copie les entrées sélectionnées et vers le presse-papiers.
Coller | Insère le contenu du presse-papier. Si une entrée portant le même nom existe déjà, le contenu est collé sous le nom Copie de....
Supprimer | Après une demande de confirmation, supprime les entrées sélectionnées de la liste.
Importer un rapport existant... | Ouvre le gestionnaire de fichiers et vous permet de sélectionner un fichier existant.
Supprimer tous les filtres | Supprime tous les paramètres de filtre
Éditer cellule sélectionnée | Ouvre la cellule sélectionnée pour la modification. Le symbole représentant des jumelles dans l'en-tête indique la cellule sélectionnée dans une ligne affichée en surbrillance. Seules les cellules pouvant être modifiées peuvent être sélectionnées.
Remplacer un texte dans la colonne sélectionnée | Ouvre la boîte de dialogue de recherche et de remplacement de texte.
Propriétés | Ouvre la fenêtre de Propriétés.
Aide | Ouvre l'aide en ligne.


Création d'une fenêtre de table

Manuel -> Création de rapports -> Report Generator -> Configuration dans Editor -> Créer un nouveau rapport -> Création d'une fenêtre de table

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Les rapports sont affichés en deux parties lorsqu'ils sont édités dans Editor, dans la fenêtre principale :

  • La partie fauche contient la table provisoire
  • La partie droite contient un aperçu du résultat

La taille des parties peut être configurée individuellement. Pour cela, déplacez la souris vers le bord droit de la barre de défilement de la table, jusqu'à ce que le pointeur se transforme en outil de déplacement. Déplacez l’ascenseur dans la position souhaitée.

Ligne de saisie

La table comporte une ligne de saisie le long de son bord supérieur. Lors de la configuration du rapport, si l’option Modification directe est activée, cette ligne n'est pas affichée. La saisie doit alors être effectuée directement dans la ligne.


Menu contextuel Feuille de données

Manuel -> Création de rapports -> Report Generator -> Configuration dans Editor -> Créer un nouveau rapport -> Menu contextuel Feuille de données

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Élément de menu

Action

Couper

Supprime les entrées sélectionnées et les place dans le presse-papiers.

Copier

Copie les entrées sélectionnées vers le presse-papiers.

Coller

Colle le contenu depuis le presse-papiers.

Étendre/Insérer

Permet de sélectionner le contenu du presse-papiers devant être inséré :

  • Tout : transférer l'intégralité du contenu
  • Formule : transférer uniquement les formules
  • Valeur : transférer uniquement la valeur
  • Format : transférer uniquement le format

Remplir

Copie le contenu de la première cellule marquée et le transfère vers toutes les autres cellules marquées. Vous pouvez déterminer si vous souhaitez que les cellules soient remplies vers le bas ou vers la droite.

Supprimer

Permet de sélectionner le contenu d'une cellule à supprimer.

  • Tout : supprime tout le contenu avec le format
  • Contenu : supprime le contenu, mais laisse le format
  • Format : supprime uniquement le format, mais laisse le contenu

Insérer colonne ou ligne

Insère une nouvelle ligne au-dessus d'une ligne sélectionnée ou une nouvelle colonne à la gauche d'une colonne sélectionnée. Si plusieurs lignes ou colonnes sont sélectionnées, le nombre de lignes/colonnes sélectionnées est inséré.

Supprimer colonne ou ligne

Supprimer les lignes ou colonnes sélectionnées.

Rapport...

Ouvre la boîte de dialogue de formatage du rapport.

Cellule...

Ouvre la boîte de dialogue de formatage de la cellule.

Colonne...

Ouvre la boîte de dialogue de formatage des colonnes.

Ligne...

Ouvre la boîte de dialogue de formatage des lignes.

Fonctions...

Ouvre l'assistant de création de fonctions de rapport.

Remarque : l'assistant propose une sélection de plus de 150 fonctions. D'autres fonctions peuvent être saisies manuellement dans la ligne de saisie de la feuille de données.


Paramètres de l'imprimante

Manuel -> Création de rapports -> Report Generator -> Configuration dans Editor -> Paramètres de l'imprimante

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

La disposition du report (marges latérales, format de page) dépend de l'imprimante configurée. Vous trouverez ici les paramètres de l'imprimante de rapport, accessibles via Fichier -> General configuration (Configuration générale) -> Standard -> Imprimante, pour les valeurs à fournir et les protocoles.

Vous pouvez définir ici :

  • L'imprimante
    • Le format de papier de l'impression
    • La source de papier de l'imprimante
    • Le sens d'impression

attention Attention

L'imprimante souhaitée doit être sélectionnée avant la création du rapport, car le formatage de page d'un rapport dépend de l'imprimante définie. Toute modification du choix de l'imprimante par la suite peut imposer un nouveau formatage du tableau existant.

Configuration de l'imprimante

Imprimante

Paramètres | Description
Imprimante | Paramètres de l’imprimante.
Nom | Sélectionnez l’imprimante dans la liste déroulante. La liste contient toutes les imprimantes configurées dans le système d’exploitation.
Propriétés... | Ouvre la boîte de dialogue de configuration de l’imprimante.
État : | Affiche l’état de l’imprimante. Fournie uniquement à titre informatif.
Type : | Affiche le type d’imprimante. Fournie uniquement à titre informatif
Emplacement : | Affiche l’emplacement de l’imprimante, s’il a été configuré. Fournie uniquement à titre informatif.
Commentaire : | Affiche un commentaire sur l’imprimante, s’il a été configuré. Fournie uniquement à titre informatif.

Papier

Paramètres | Description
Papier | Configuration de l’impression.
Dimension | Sélectionnez le format de papier dans la liste déroulante.
Source | Sélectionnez le mode d’alimentation en papier dans la liste déroulante.

Alignement

Paramètres

Description

Alignement

Sélectionnez l’alignement du papier. Paramètres possibles :

  • Portrait
  • Paysage

Réseau

Ouvre la boîte de dialogue de sélection d’une imprimante sur le réseau.

OK

Applique la configuration et ferme la boîte de dialogue. Ceci démarre l’impression dans le Runtime.

Annuler

Abandonne la configuration et ferme la boîte de dialogue. Dans le Runtime, ceci annule également l’impression.


Informations du fichier

Manuel -> Création de rapports -> Report Generator -> Configuration dans Editor -> Informations du fichier

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Dans la boîte de dialogue Rapport -> Info fichier rapport, des informations relatives au fichier de rapport concerné peuvent être enregistrées.

Paramètres | Description
Nom de fichier | Nom du fichier d'exportation. Information uniquement ; le contenu ne peut pas être modifié ici. Il peut être modifié dans la vue de détail.
Dossier | Emplacement de sauvegarde du fichier de rapport. Information uniquement ; le contenu ne peut pas être modifié ici.
Titre | Saisie de texte libre.
Thème | Saisie de texte libre.
Auteur | Saisie de texte libre.
Commentaire | Saisie de texte libre.


Recherche et remplacement dans le rapport

Manuel -> Création de rapports -> Report Generator -> Configuration dans Editor -> Recherche et remplacement dans le rapport

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Pour rechercher et remplacer des formules, des chaînes de caractères ou des valeurs :

  1. Activez le rapport souhaité
  2. Sélectionnez Rechercher/Remplacer dans le menu Édition.
  3. La boîte de dialogue de recherche et de remplacement s'affiche à l'écran.

Paramètres

Description

Saisir l'expression

Saisissez la chaîne de caractères que vous souhaitez rechercher et remplacer.

Rechercher

La chaîne de caractères recherchée.

Remplacer par

La chaîne de caractères remplaçant la chaîne recherchée.

Remplacer

Remplace la chaîne actuellement affichée par la chaîne spécifiée dans le champ Remplacer par .

Remplacer tout

Remplace toutes les chaînes trouvées par la chaîne spécifiée dans le champ Remplacer par .

Rechercher suivant

Recherche l'instance suivante de la chaîne de caractères recherchée.

Options de recherche

Options de recherche

Rechercher dans

Sélectionnez dans la liste déroulante :

  • Formules : effectue la recherche dans les formules
  • Chaîne : effectue la recherche dans les chaînes de caractères
  • Valeur : effectue la recherche dans les valeurs

Rechercher une sous-chaîne

Effectue également la recherche dans certaines sections des cellules.

Respecter la casse

Tient compte de la capitalisation durant la recherche.

Fermer

Ferme la boîte de dialogue.

Aide

Ouvre l'aide en ligne


Formatage

Manuel -> Création de rapports -> Report Generator -> Configuration dans Editor -> Formatage

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Avant de créer un rapport, effectuez le formatage requis :

  • Page : configurez les propriétés pour la page.
  • Rapport : configurez les propriétés du rapport.
  • Cellule : définissez la mise en forme des cellules (direction, bordure, police, motif, type, listes).
  • Colonnes et cellules : formatage des colonnes ou cellules sélectionnées.

Vous trouverez les paramètres dans les listes déroulantes Rapport et Format de la barre de menus, ou dans le menu contextuel de la feuille de calcul.

Conseil : Assurez-vous que les rapports contenant de grandes quantités de données comportent suffisamment de lignes/colonnes pour l'affichage des données.

Autres sujets abordés dans ce chapitre

Configuration de page

Formatage de rapports

Formats de cellules

Formatage de colonnes et de cellules


Configuration de page

Manuel -> Création de rapports -> Report Generator -> Configuration dans Editor -> Formatage -> Configuration de page

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

La commande Set up page... (Mise en page...) du menu Rapport ouvre la boîte de dialogue de configuration de la page de rapport. Celle-ci contient deux onglets :

  • Bordure
  • En-tête et pieds de page

Autres sujets abordés dans ce chapitre

Bordure

En-tête et pieds de page


Bordure

Bordure

Paramètres

Description

Définir les marges

Permet de définir les marges d'impression indépendamment de la configuration de l'imprimante.

Haut

Distance du rapport au bord supérieur de la page.

Bas

Distance du rapport au bord inférieur de la page.

Gauche

Distance du rapport au bord gauche de la page.

Droite

Distance du rapport au bord droit de la page.

En-tête

Distance de l'en-tête par rapport au texte.

Valeurs possibles : 0 à 20 ; 0 = masqué.

La valeur sélectionnée doit être assez élevée pour que la taille de police sélectionnée puisse être affichée dans la section en-tête et pied de page.

Le pied de page

Distance du pied de page par rapport au texte.

Valeurs possibles : 0 à 20 ; 0 = masqué.

La valeur sélectionnée doit être assez élevée pour que la taille de police sélectionnée puisse être affichée dans la section en-tête et pied de page.

Général

Zone d'impression

Définit la zone d'impression sur la base de la cellule A1. Saisie dans le champ de texte : Coordonnées de la valeur de fin de la plage.

Exemple : D5 définit la zone d'impression des cellules A1 à D5.

Remarque : La zone d'impression doit comporter au moins 2 lignes et 2 colonnes. Toute instruction contenant A ou 1 est donc non valide et ne sera pas exécutée.
Exemples : A7 : non valide ; D1 : non valide ; B2 : valide.

Imprimante

Sélection de l'imprimante pour le rapport. Cliquez sur la liste déroulante pour ouvrir la liste de toutes les imprimantes définies disponibles dans les paramètres d'impression de zenon.

Par défaut : Valeurs et protocoles

Ajuster la zone d'impression

Active : ajuste la taille de la zone d'impression du rapport à la configuration de l'imprimante sélectionnée.

Remarque : La zone d'impression doit comporter au moins 2 lignes et 2 colonnes. Toute instruction contenant A ou 1 est donc non valide et ne sera pas exécutée.
Exemples : A7 : non valide ; D1 : non valide ; B2 : valide.

Lignes/colonnes statiques pour impression

Active : les lignes et colonnes statiques sont également imprimées.

Centré

Orientation du rapport sur la page imprimée

vertical

Centre le rapport verticalement.

horizontal

Centre le rapport horizontalement.

Alignement

Paramètres de format de page

Portrait

Imprime au format Portrait.

Paysage

Imprime au format Paysage.

Sens d'impression

Ordre d'impression des pages dans le cas d'un document de plusieurs pages.

De gauche à droite

Imprime les rapports sur plusieurs pages, de gauche à droite.

de haut en bas

Imprime les rapports sur plusieurs pages, du haut vers le bas.


En-tête et pieds de page

En-tête et pieds de page

Paramètres

Description

En-tête

Définition de la zone d'entête

Section gauche

Texte aligné à gauche pour le tiers gauche de l'en-tête.

Section centrale

Texte centré pour la partie centrale de l'en-tête.

Section droite

Texte aligné à droite pour le tiers droit de l'en-tête.

Police

Ouvre la boîte de dialogue de sélection de la police, de la taille de police et de la mise en forme du texte du pied de page.

Le pied de page

Définition de la zone de pied de page

Section gauche

Texte aligné à gauche pour le tiers gauche du pied de page.

Section centrale

Texte centré pour la partie centrale du pied de page.

Section droite

Texte aligné à droite pour le tiers droit du pied de page.

Police

Ouvre la boîte de dialogue de sélection de la police, de la taille de police et de la mise en forme du texte du pied de page.

Notez que les paramètres de l'en-tête et du pied de page peuvent être sélectionnés dans la section Bordures, afin que la police puisse être affichée en entier.

Mots-clés

Mots-clés des en-têtes et pieds de page

&[Page]

Numéro de page

&[Pages]

Nombre total de pages

&[Date]

Date d'impression

&[Time]

Heure de l'impression

&[File]

Nom de fichier


Formatage de rapports

Manuel -> Création de rapports -> Report Generator -> Configuration dans Editor -> Formatage -> Formatage de rapports

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Lors du formatage du rapport entier, les paramètres suivants sont disponibles :

  • Général : Paramètres généraux du rapport
  • Colonnes : paramètres généraux des colonnes - numéro, etc.
  • Ligne : paramètres généraux des lignes - numéro, etc.

Pour formater les colonnes ou les lignes, sélectionnez la commande Rapport dans le menu Format ou la commande Formater rapport dans le menu contextuel du rapport.

Autres sujets abordés dans ce chapitre

Général

Colonnes

Lignes


Général

Général

Paramètres | Description
Titre | Titre du rapport
Appliquer | Définit le comportement de la sélection en cas de clic.
Toute la ligne | Active : La ligne entière est sélectionnée.
Une cellule | Active : Seule la cellule sur laquelle l'utilisateur a cliqué est sélectionnée ; la sélection de cellules multiples n'est pas possible.
Options |
Calcul automatique | Active : les calculs sont actualisés automatiquement lors de la modification de valeurs saisies.
Afficher la grille | Active : affiche les lignes de la grille dans Editor.
Édition dans la cellule | Active : la saisie est directement effectuée dans la cellule ; la cellule de saisie dans la fenêtre de rapport est grisée.
Cliquer sur les références | Active : Il est possible de cliquer sur une cellule pour accepter celle-ci comme coordonnées du rapport lors de la saisie de formules. Par exemple : au lieu de saisir A12, cliquez sur la cellule A12.


Colonnes

Colonnes

Paramètres | Description
Paramètres des colonnes |
Nombre de colonnes | Définit le nombre maximal de colonnes. Valeurs valides : 0 á 31000.
Colonnes statiques | Nombre de colonnes affichées en permanence. Le défilement intervient uniquement après les colonnes statiques.
Boutons en haut des colonnes | Active : Affiche les numéros de cible.
Activer le formatage des colonnes | Active : la largeur de colonne peut être ajustée à l'aide de la souris ; pour cela, faites glisser les bordures de l'en-tête.


Lignes

Lignes

Les caractéristiques configurables des lignes sont les suivantes :

Paramètres | Description
Nombre de lignes | Définit le nombre maximal de lignes. Valeurs valides : 0 á 31000.
Lignes statiques | Nombre de lignes affichées en permanence. Le défilement intervient uniquement après les colonnes statiques.
Afficher les boutons à gauche de chaque colonne | Active : Affiche l'en-tête de colonne >(A, B, C etc.).
Activer le formatage des lignes | Active : la hauteur de ligne peut être ajustée à l'aide de la souris ; pour cela, faites glisser les bordures des numéros de ligne.


Formats de cellules

Manuel -> Création de rapports -> Report Generator -> Configuration dans Editor -> Formatage -> Formats de cellules

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Pour formater les cellules du rapport, les paramètres suivants sont disponibles :

Alignement

Bordure

Police

Motif

Type de cellule

Menus déroulants

Pour formater une cellule, sélectionnez :

  • La commande Cellule... dans le menu contextuel du rapport pour ouvrir la boîte de dialogue...
  • Ou le sous-menu souhaité dans Rapport -> Cellules..., pour ouvrir la boîte de dialogue contenant l'onglet correspondant.

Autres sujets abordés dans ce chapitre

Alignement

Bordure

Police

Motif

Type de cellule

Menus déroulants


Alignement

Alignement

L'affichage du contenu de la cellule est défini sur l'onglet Orientation.

Les paramètres suivants sont disponibles pour le positionnement vertical :

  • Général
  • Haut
  • Centré
  • Bas
  • Retour à la ligne

Les paramètres suivants sont disponibles pour le positionnement horizontal :

  • Général
  • Gauche
  • Centré
  • Droite

info Informations

Si le texte doit être affiché verticalement, sélectionnez la propriété vertical dans la propriété Police.


Bordure

Bordure

Dans l'onglet Cadre, vous indiquez si un cadre doit être affiché autour d'une cellule et, le cas échéant, sous quel format. Vous pouvez définir le type et la couleur de chaque côté du cadre (haut, bas, gauche et droit) :

  1. Définissez le type et la couleur.
  2. Attribuez ces paramètres au cadre en cliquant sur le cadre entier ou sur une page individuelle.

Paramètres | Description
Sélection de la bordure | Cliquez au centre pour activer les quatre côtés du cadre. Cliquez sur les côtés du cadre pour les activer.
Type de ligne | Sélection du type de ligne dans la liste déroulante.
Couleur de ligne | Sélection de la couleur de ligne dans la liste déroulante.


Police

Police

Les paramètres Windows standard sont disponibles pour les polices.

Paramètres

Description

Police

Sélection de la police.

Style de police

Sélection de l'aspect.

Taille de police

Sélection de l'aspect en points.

Effets

Sélection des effets de polices à l’aide d’une case à cocher :

  • Rayé le texte de la cellule est barré.
  • Souligné le texte de la cellule est souligné.
  • Vertical : le texte est écrit de haut en bas.

Couleurs

Ce paramètre n'est pas pris en compte !
La couleur doit, par exemple, être définie dans un élément dynamique lors de l'utilisation de la police.

Script

Ce paramètre n'est pas pris en compte !
L'affichage Unicode est utilisé par cette fonction.

Exemple

Affiche les effets de la sélection sur le texte contenu dans la cellule.


Motif

Motif

Définissez la couleur et le motif de la cellule dans l'onglet Motif.

Paramètres | Description
Motif | Sélection d'un motif de cellule dans la liste déroulante.
Premier plan | Sélection de la couleur de premier plan dans la liste déroulante.
Arrière-plan | Sélection de la couleur d'arrière-plan dans la liste déroulante.


Type de cellule

Type de cellule

Définissez le format d'affichage sur l'onglet Type de cellule. Vous avez le choix entre :

  • Général : affichage de valeurs, données et données binaires
  • Liste déroulante : Création des listes déroulantes
  • Type de données : Définition des types de données
  • Fichier graphique : insertion de fichiers graphiques

Les différentes clés de format sont décrites au chapitre Clés de formatage.

Général

Option

Description :

Mise en forme des chaînes

Sélection du format de sortie pour le type de cellule respectif ou sélection à partir d’une liste déroulante.

  • Valeur : Valeur numérique. Pour plus de détails, reportez-vous au chapitre Données de type numérique.
  • Date : Informations de date. Pour plus de détails, reportez-vous au chapitre Types de données pour la date et l'heure.
  • Heure : Informations horaires. Pour plus de détails, reportez-vous au chapitre Types de données pour la date et l'heure.
  • Valeur binaire : valeur binaire. Pour plus de détails, reportez-vous au chapitre Données de type logique.

Verrouillé

Active : Verrouille la cellule dans Editor aux fins de l'édition et verrouille les entrées dans le rapport en ligne.

Example Exemple

Mise en forme de la chaîne pour l'affichage de valeurs :
*0.00 = toute valeur souhaitée avec deux décimales

jj/mm/aa hh:mm = 01/01/10 12:30 (correspond aux paramètres du système d'exploitation)

Menu déroulant

La liste déroulante Type de cellule propose des listes déroulantes permettant de sélectionner des entrées prédéfinies. Avant de pouvoir utiliser ce type de cellule, vous devez créer une liste sur l'onglet Menus déroulants.

Option

Description :

Menu déroulant

Nom de la liste déroulante. Celui-ci doit déjà avoir été défini sur l'onglet Listes déroulantes.

Hauteur liste

Hauteur d'affichage

Largeur liste

Largeur d'affichage

Verrouillé

Active : Verrouille la cellule dans Editor aux fins de l'édition et verrouille les entrées dans le rapport en ligne.

Mode d'affichage

Type d'affichage. La sélection de l'attribution s'effectue au moyen d’un bouton radio :

  • avec texte : Tri alphabétique en fonction du texte.
  • avec indice de tri : tri selon l’indice de tri (croissant).
  • avec indice : Trié selon l'ordre des entrées dans la liste d'entrées.

Type de données

Un modèle de saisie est créé dans le rapport avec le type de données correspondant. Les fonctions existantes sont retirées de cette cellule. L'utilisateur reçoit des instructions concernant la saisie des données dans la cellule.

Option

Description :

Format chaîne

Entrée du format, selon le type de données, ou sélection à partir d’une liste déroulante.

Type de données

Sélection du projet dans la liste déroulante :

  • Date/heure : Saisie d'une valeur de date ou d'heure.
    Pour plus de détails concernant la mise en forme des chaînes, reportez-vous au chapitre Types de données pour la date et l'heure.
  • Flottant : Saisie d'une valeur flottante.
    Pour plus de détails concernant la mise en forme des chaînes, reportez-vous au chapitre Données de type numérique.
  • Entier : Saisie d'une valeur entière.
    Pour plus de détails concernant la mise en forme des chaînes, reportez-vous au chapitre Données de type numérique.
  • Logique : Saisie d'une valeur binaire.
    Pour plus de détails concernant la mise en forme des chaînes, reportez-vous au chapitre Données de type logique.
    Configurable : Oui/non ; vrai/faux.
  • Texte : Saisie de texte.
  • Non défini : Aucun type de donnée n'est défini

Verrouillé

Active : Verrouille la cellule dans Editor aux fins de l'édition et verrouille les entrées dans le rapport en ligne.

Fichier graphique

Les fichiers graphiques doivent être créés avant d'être sélectionnés dans le gestionnaire de projets : Nœuds de fichiers -> Graphiques -> [menu contextuel] Ajouter fichier.

Paramètre

Description

Fichier graphique

Sélection du fichier graphique. Les formats BMP, JPG, GIF, PNG et WMF sont pris en charge.

Taille d'origine

Affichage du fichier des graphiques :

  • Active : Les éléments graphiques sont affichés à leur taille originale.
  • Inactive : les éléments graphiques sont adaptés à la taille de la cellule.

Par défaut : Inactive.

Verrouillé
  • Active : Verrouille la cellule dans Editor aux fins de l'édition et verrouille les entrées dans le rapport en ligne.


Menus déroulants

Menus déroulants

Dans l'onglet Menus déroulants, les listes associées au type de cellule Menu déroulant sont définies.

Paramètres

Description

Menus déroulants

Liste déroulante de sélection des listes existantes.

Nouveau

Ouvre l'assistant de création d'une nouvelle liste.

Supprimer

Supprime la liste sélectionnée.

Contenu de la liste sélectionnée

Affiche le contenu des listes sélectionnées.

Entrée courante

Configuration de l'entrée.

Texte

Entrée du texte comme il doit apparaître dans la liste dans le Runtime.

Numéro index

Saisie d'un numéro d’indice de tri de la liste.

  • Valeur minimum : 0 : aucun tri selon l’indice. Vous pouvez trier les listes dans le Runtime par ordre alphabétique ou par ordre de saisie.

Valeur maximale : 9999999999

Ajouter

La nouvelle entrée est insérée en fonction des paramètres sélectionnés dans la section Contenu des listes sélectionnées lors de la création de la liste.

  • Non : L'entrée est insérée à la fin de la liste.
  • Par texte : Ordre alphabétique
  • Par codes : Le numéro de code détermine l'ordre (croissant) dans les listes.

Coller

La nouvelle entrée est ajoutée au-dessus de l'entrée sélectionnée dans la section Contenu de la liste sélectionnée :

Supprimer

Supprime l'entrée sélectionnée dans la section Contenu de la liste sélectionnée.

Créer une nouvelle liste

Paramètres

Description

Nom de la liste

Nom de la liste

Trier

Critères de tri pour l'affichage dans la section Contenu de la liste sélectionnée et la Sélection Runtime d’un bouton radio :

  • Non : L'entrée est insérée à la fin de la liste.
  • Par texte : Ordre alphabétique
  • Par indice de tri : Le numéro d’indice détermine l'ordre (croissant) dans les listes.


Formatage de colonnes et de cellules

Manuel -> Création de rapports -> Report Generator -> Configuration dans Editor -> Formatage -> Formatage de colonnes et de cellules

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Si une ligne ou une colonne entière est sélectionnée, les commandes supplémentaires Format des colonnes et/ou Format des lignes sont accessible dans le menu contextuel.

A l'image de la commande Cellule, les onglets proposent les paramètres suivants :

Alignement

Bordure

Police

Motif

Remarque : Ces paramètres concernent toujours uniquement l'en-tête de colonne ou l'en-tête de ligne. Ils n'ont aucune incidence sur les autres cellules d'une colonne ou d'une ligne. Ces dernières doivent toujours être formatées à l'aide de la boîte de dialogue Cellules....

En outre, un onglet Colonne ou Ligne supplémentaire est proposé dans cette boîte de dialogue.

Autres sujets abordés dans ce chapitre

Colonne

Ligne


Colonne

Colonne

Sur l'onglet Colonne, les propriétés concernant la colonne entière sont définies :

Paramètre

Description

Définition

Titre

Définit l'en-tête des colonnes.

$C : lettres dans une séquence croissante de numéros de colonne.

E : la colonne s'étend automatiquement jusqu'à atteindre le nombre de colonnes adéquat si une archive*, une liste d'alarmes ou une liste d'événements est présente dans une des cellules. Si d'autres fonctions de rapport sont utilisées, le paramètre "E" ne peut pas être utilisé. Le E peut être utilisé plusieurs fois dans un rapport.
Par défaut : $C

Largeur en pixels

Largeur de la colonne en pixels

Options

Masquer

Active : La colonne est cachée
Inactive : La colonne est affichée.

Pour afficher une colonne cachée : sélectionnez les deux colonnes voisines et définissez la propriété Masquer sur Inactive.

Attention : les fonctions qui se trouvent dans les cellules masquées ne sont pas exécutées. Pour exécuter une fonction sans l'afficher : définissez la hauteur de ligne ou la largeur de colonne sur 0.

Protection

Active : Les cellules dans la colonne sont protégées contre les modifications de la mise en forme.
Inactive : Les cellules de cette colonne peuvent être mises en forme.


Ligne

Ligne

Cette boîte de dialogue permet de définir les propriétés de la ligne sélectionnée.

Paramètre

Description

Définition

Titre

Définit l'en-tête des colonnes.

$R : nombres dans l'ordre inverse des numéros de colonne.

E : la ligne s'étend automatiquement jusqu'à atteindre le nombre de lignes adéquat si une archive*, une liste d'alarmes ou une liste d'événements est présente dans une des cellules. Si d'autres fonctions de rapport sont utilisées, le paramètre "E" ne peut pas être utilisé. Le E peut être utilisé plusieurs fois dans un rapport.

Par défaut : $R

Largeur en pixels

Hauteur de la ligne en pixels.

Options

Masquer

Active : La ligne est cachée
Inactive : La ligne est affichée.

Pour afficher une ligne cachée : sélectionnez les deux lignes voisines et définissez la propriété Masquer sur Inactive.

Attention : les fonctions qui se trouvent dans les cellules masquées ne sont pas exécutées. Pour exécuter une fonction sans l'afficher : définissez la hauteur de ligne ou la largeur de colonne sur 0.

Protection

Active : Les cellules dans la ligne sont protégées contre les modifications de la mise en forme.
Inactive : Les cellules de cette ligne peuvent être mises en forme.


Configuration du filtre d'archive

Manuel -> Création de rapports -> Report Generator -> Configuration dans Editor -> Configuration du filtre d'archive

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Si des valeurs d'archives doivent être utilisées dans le rapport, celles-ci doivent être définies avant que les fonctions de rapport ne soient activées. Pour configurer le filtre d'archive :

  • Sélectionnez Filtre dans le menu Format .

Paramètres | Description
Paramètres | Liste de variables sélectionnées dans les archives. Les nombres placés devant les variables sont utilisés par les fonctions d'archive et de protocole à des fins de classement.
Nouveau | Ouvre la boîte de dialogue de sélection de variables.
Modifier | Ouvre la boîte de dialogue de sélection de variables.
Supprimer | Supprime la variable sélectionné de la liste Paramètres.
Archives | Définition d'un filtre de variable. Les opérateurs * et ? sont autorisés au début d'une expression.
Remplacer par | Saisissez l'expression devant remplacer la chaîne recherchée.
Remplacer | Effectue une opération de type rechercher/remplacer. Le résultat est affiché dans une boîte de message.

Filtre Nouveau ou filtre Modifier

Cliquez sur les boutons Nouveau ou Modifier pour ouvrir la boîte de dialogue de sélection de variables :

Paramètres

Description

Paramètres

Affichage des archives présentes. Vous pouvez sélectionner une archive complète ou des variables individuelles.

Chaque variable reçoit automatiquement un numéro croissant, qui sera utilisé dans les fonctions de rapport pour l'archive. Un rapport peut ainsi être utilisé dans différents projets.

Enregistrer

Fournit les archives/variables sélectionnées pour le rapport.

Annuler

Ferme la boîte de dialogue sans effectuer de sélection.

Chaque variable reçoit automatiquement un numéro croissant, qui sera utilisé dans les fonctions de rapport pour l'archive.


Fonctions de rapport

Manuel -> Création de rapports -> Report Generator -> Configuration dans Editor -> Fonctions de rapport

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Différentes fonctions de formatage et de calcul sont disponibles pour créer un rapport.

  • Fonction de procédé :

    Accès défini à des données sélectionnées de zenon (valeurs en ligne et valeurs d'archives, utilisateur, noms d'ordinateurs etc.)

  • Fonctions de rapport
    • fonctions de formatage
    • fonctions de calcul

Les groupes de fonctions suivants sont disponibles :

  • Fonctions de base de données
  • Fonctions de Date et Heure
  • Fonctions logiques
  • Fonctions d'archive et de trace
  • Fonctions de statistiques
  • Fonctions mathématiques et trigonométriques
  • Fonctions texte
  • Recipe Group Manager
  • Autres fonctions

Les fonctions les plus fréquemment utilisées peuvent être configurées à l'aide de l'assistant Fonction.

Entrée

La spécification des fonctions s'effectue dans la ligne de saisie du rapport.

Si plusieurs cellules doivent recevoir la même entrée/fonction :

  1. Sélectionnez la cellule de départ et la cellule de destination.
  2. Sélectionnez la commande Remplir dans le menu contextuel, ainsi que la direction souhaitée (Droite ou Vers le bas).

    Les références aux coordonnées de cellules dans la fonction sont ajustées automatiquement.

Exemples de saisies

Paramètres | Description
=archiv(1,value,downwards) | Toutes les valeurs de la variable 1 issue d'une archive sont affichées vers le bas à partir de cette cellule.
=sum(A4:D4) | Le contenu des cellules A4 à D4 est ajouté. La cellule doit être formatée en tant que valeur.
=now() | Renvoie la date/l'heure actuelle.

info Informations

Les fonctions de rapport peuvent provoquer des messages d'erreur dans Editor si toutes les données nécessaires au calcul des données requises ne sont pas disponibles. Pour vous assurer que la configuration de projet est correcte, testez le rapport dans le Runtime.

Sens de déplacement

Options

Signification

À Droite

La valeur est insérée à droite (ligne).

Le nombre de cellules vides doit autoriser l'insertion des entrées attendues suite à la création d'autres rapports.

Attention : Si une fonction archivesp est créée avec une seule colonne, la valeur est insérée vers le bas (dans la colonne).

En bas

La valeur est insérée vers le bas (colonne).

Le nombre de cellules vides doit autoriser l'insertion des entrées attendues suite à la création d'autres rapports.

Attention : Si une fonction archivesp est créée avec une seule colonne, la valeur est insérée à droite (dans la ligne).

Informations concernant info

Le module Report Generator doit comporter une licence dans l'environnement de développement et dans le Runtime (autonome, serveur/redondant et clients).

Si le module ne comporte pas de licence dans le Runtime, les fonctions suivantes ne sont pas disponibles :

  • Enregistrer archive (pour les saisies manuelles)
  • et l'écriture de valeurs prescrites.

L'accès en lecture est possible.

Autres sujets abordés dans ce chapitre

Conventions

Assistant sur fonction

Fonctions d'archivage et de journalisation

Fonctions de base de données

Fonctions de Date et Heure

Fonctions logiques

Fonctions mathématiques et trigonométriques

Recipe Group Manager

Fonctions de statistiques

Fonctions texte

Autres fonctions

Clés de formatage


Conventions

Manuel -> Création de rapports -> Report Generator -> Configuration dans Editor -> Fonctions de rapport -> Conventions

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Les conventions suivantes sont valides :

Paramètres | Description
Numéro : | (num); le séparateur de points décimaux dépend des paramètres du système d'exploitation (1,0 ou 1.0).
Intervalle | (A1:A10)
Chaîne : | la séquence de caractères est délimitée par des guillemets ("), par exemple : "ABC".
Radians : | L'entrée des fonctions trigonométriques est en radians.

Conversion de degrés en radians

degrés | mesure de l'arc | radians
0.00 | 0 | 0
45.00 | pi/4 | 0.78539816339744828
90.00 | pi/2 | 1.5707963267948966
135.00 | 3pi/4 | 2.3561944901923448
180.00 | pi | 3.1415926535897931
225.00 | 5pi/4 | 3.9269908169872414
270.00 | 3pi/2 | 4.7123889803846897
315.00 | 7pi/4 | 5.497787143782138
360.00 | 2p | 6.2831853071795862


Assistant sur fonction

Manuel -> Création de rapports -> Report Generator -> Configuration dans Editor -> Fonctions de rapport -> Assistant sur fonction

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

L'assistant Fonction prend en charge la planification des fonctions de rapport. Il propose les fonctions les plus fréquemment utilisées. Toutes les autres fonctions sont saisies manuellement dans la cellule de saisie.

Pour ouvrir l'assistant Fonction :

  1. Cliquez sur la cellule souhaitée.
  2. Dans le menu contextuel, sélectionnez la commande Fonctions.
  3. L'assistant démarre.
  4. La sélection de l'assistant est transférée vers la cellule de saisie ;
    les guillemets ouverts devront peut-être être fermés manuellement.

Paramètres | Description
Syntaxe | Résultat de la sélection de la fonction et du paramètre.
Fonction | Sélection de la fonction.
Paramètres | Sélection du paramètre disponible pour la fonction sélectionnée.


Fonctions d'archivage et de journalisation

Manuel -> Création de rapports -> Report Generator -> Configuration dans Editor -> Fonctions de rapport -> Fonctions d'archivage et de journalisation

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Notions fondamentales

Toutes les fonctions d'archivage reposent sur la fonction de base archive(FILTERINDEX,PARAMETER,DIRECTION).

Les extensions peuvent être distinguées à l'aide des lettres supplémentaires dans les noms de fonctions.

Code | Signification | Commentaire
r | read only | L'archive est uniquement accessible en lecture seule. Les valeurs modifiées ne peuvent pas être enregistrées.
sp | Colonnes | Fournit des options de mise en forme spéciales permettant de définir les cellules à utiliser.
min | Mathématiques | Agit uniquement sur Valeur et Temps.
ex | extended | Fournit des traitements spéciaux.
w | write | L'écriture est possible.

Indice de filtre

L'index de filtre établit une distinction entre les nombres du filtre d'archive utilisé dans les fonctions de rapport et les variables provenant des archives.

Example Exemple

=archive(5,"valeur","vers le bas")

FILTERINDEX = 5

L'entrée présente dans le filtre sous le no. 5 est utilisée pour la fonction de rapport.

Paramètres

Options | Valeur possible
valeur | [1-n]
État | [1-n]
Heure | [1-n]
Numéro | [1]

Sens de déplacement

Options

Signification

À Droite

La valeur est insérée à droite (ligne).

Le nombre de cellules vides doit autoriser l'insertion des entrées attendues suite à la création d'autres rapports.

Attention : Si une fonction archivesp est créée avec une seule colonne, la valeur est insérée vers le bas (dans la colonne).

En bas

La valeur est insérée vers le bas (colonne).

Le nombre de cellules vides doit autoriser l'insertion des entrées attendues suite à la création d'autres rapports.

Attention : Si une fonction archivesp est créée avec une seule colonne, la valeur est insérée à droite (dans la ligne).

Toutes les fonctions d'archive peuvent être créées avec l'assistant Fonction.

Lors de l'affichage des informations d'état, les paramètres utilisés sont ceux définis dans le fichier project.ini, dans la section [STATUS] ou ceux dérivés de l'attribution définie au niveau interne. Si l'intitulé de l'état a été modifié dans project.ini, le nom modifié est fourni. (Conseil : permet de préserver la compatibilité du projet avec les anciens intitulés d'état.)

Dans le fonctionnement en ligne, la durée des requêtes est définie dans la fonction Requête ou fournie dans le Runtime lors de l'ouverture d'un fichier de rapport.

Modifier les entrées d'archives

Si les autorisations utilisateur le permettent, les valeurs d'archives peuvent également être modifiées dans le Runtime. Les modifications sont soit sauvegardées manuellement via l'élément de contrôle Enregistrer, soit enregistrées automatiquement lors de l'enregistrement d'un fichier de rapport. L'état d'une entrée modifiée est automatiquement défini sur valeur manuelle.

info Informations

Modification des champs de chaînes dans le rapport : Si un texte est uniquement constitué de nombres, par défaut, les espaces sont supprimés lors de l'enregistrement. Les espaces souhaités doivent être affichés à l'aide du caractère ASCII 255 (Alt+255).

Autres sujets abordés dans ce chapitre

Traitement des entrées d'archives

Configuration avec l'assistant fonction

archive

archiveex

archiveexr

archivem

archivemr

archivemsp

archivemspr

archiver

archivesp

archivespr

archivespw

archivew

archivetime

batch

No. de batch.

wmz

wmzz


Traitement des entrées d'archives

Manuel -> Création de rapports -> Report Generator -> Configuration dans Editor -> Fonctions de rapport -> Fonctions d'archivage et de journalisation -> Traitement des entrées d'archives

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Traitement des entrées d'archives

Les entrées d'archive peuvent être affichées dans un rapport, et peuvent également être à nouveau modifiées et enregistrées dans le rapport par un utilisateur possédant les autorisations suffisantes. Un assistant Fonction est à votre disposition pour créer les fonctions de rapport.

Lecture et écriture d'entrées d'archives

Le contenu suivant d'une entrée d'archive peut être lu pour être affiché dans un rapport :

  • Valeur
  • État
  • Temps

Les entrées d'archive suivantes peuvent être modifiées et sauvegardées via des calculs et de nouvelles entrées dans le rapport :

  • Valeur
  • État

Pour enregistrer les entrées d'archive modifiées dans le Runtime, cliquez sur le bouton Enregistrer archive. L'enregistrement des modifications peut être arrêté :

  • En activant l'option Lecture seule dans la fonction Appel de synoptique de zenon pour le synoptique de type Rapport.
  • En activant l'option Verrouillé dans la boîte de dialogue Format de la cellule.

Si la valeur d'une entrée d'archive est modifiée, l'état est défini comme MAN_VAL lors de son enregistrement dans l'archive.

Exception : si l'état de l'entrée d'archive est modifié, seul l'état modifié est saisi. Si les règlements de sécurité tels que ceux de la FDA doivent être observés, aucun changement d'état ne peut être autorisé sur la base du rapport, lors de la configuration. Les entrées d'archive comportant l'état MAN_VAL sont affichées en bleu dans un rapport.

Affichage

Les entrées d'archive peuvent être représentées sous forme de lignes de valeurs d'archive ou sous forme de lignes de valeurs d'archives formatées en lignes. Les entrées d'archives comprises dans la plage de temps du rapport actuellement ouvert sont affichées en allant vers le bas ou vers la droite en partant de la cellule dans laquelle a été définie la fonction d'archive. Si aucune entrée d'archive correspondante n'a été trouvée, un signe - est affiché dans la cellule dans laquelle a été définie la fonction d'archive.

Lignes de valeurs d'archive

Les entrées d'archive acquises en lecture sont affichées sous forme de ligne, les unes après les autres, sans insertion d'espaces vides.

Lignes de valeurs d'archive formatées en lignes

Les entrées d'archive acquises en lecture sont affichées avec les critères suivants :

  • Nombre d'entrées d'archive par ligne
  • Espaces vides entre deux entrées
  • Lignes vides entre les lignes de valeurs.

.

Cellules de contrôle

Les paramètres P1, P2 et P3 définissent les cellules du rapport pouvant être remplies :

  • P1: Numéro
  • P2: cellules vides entre deux valeurs renvoyées, en fonction du paramètre DIRECTION (down, right), des lignes vides ou des colonnes vides.
  • P3: cellules vides entre deux valeurs renvoyées, en fonction du paramètre DIRECTION (down, right), des lignes vides ou des colonnes vides.

Toutes les entrées comprises dans la plage de temps du rapport sont affichées dans celui-ci, en allant vers le bas ou vers la droite depuis la cellule dans laquelle la fonction a été spécifiée ; le format des lignes est alors défini par les paramètres P1 à P3.

Si vous sélectionnez le paramètre down, les principes suivants s'appliquent :

  • P1 = nombre de lignes à remplir de valeurs
  • P2= lignes vides entre les valeurs
  • P3 = colonnes vides

Si vous sélectionnez le paramètre right, les principes suivants s'appliquent :

  • P1 = nombre de colonnes à remplir
  • P2= lignes vides entre les valeurs
  • P3= lignes vides entre les valeurs


Configuration avec l'assistant fonction

Manuel -> Création de rapports -> Report Generator -> Configuration dans Editor -> Fonctions de rapport -> Fonctions d'archivage et de journalisation -> Configuration avec l'assistant fonction

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Configuration avec l'assistant fonction

Vous pouvez configurer les fonctions de rapport pour l'archive à l'aide de l'assistant fonction :

  1. Sélectionnez la cellule souhaitée dans le menu contextuel avec la commande Fonctions.
  2. L'assistant démarre.
  3. Sélectionnez la fonction d'archive de votre choix.

  4. La fonction d'archive est insérée dans la syntaxe.
  5. Cliquez sur l'archive pour ouvrir le filtre d'archive.

  6. Sélectionnez l'entrée de votre choix.

  7. Le numéro de référence de l'entrée (par exemple, 4) est transféré vers la chaîne de la syntaxe.
  8. Sélectionnez le paramètre souhaité, par exemple Valeur).

  9. Le paramètre est transféré vers la chaîne.
  10. Sélectionnez la direction souhaitée de l'entrée dans la table :
    • bas : la fonction remplit la colonne.
    • A droite : la fonction remplit la ligne.
      Attention : lors de l'utilisation de la fonction archivesp, les colonnes et lignes correspondantes sont prises en compte ! Si, par exemple, vous avez sélectionné la direction Droite, mais une seule colonne est disponible, les valeurs sont saisies vers le bas (dans la seule colonne disponible).

  11. La direction est transférée vers la chaîne.
  12. Les parenthèses sont fermées.

  13. La fonction est transférée vers la cellule lorsque vous cliquez sur OK.


archive

Manuel -> Création de rapports -> Report Generator -> Configuration dans Editor -> Fonctions de rapport -> Fonctions d'archivage et de journalisation -> archive

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
archive

La valeur, l'état ou l'heure de l'entrée de l'archive peuvent être lus. Les modifications sont soit sauvegardées manuellement via l'élément de contrôle Enregistrer, soit enregistrées automatiquement lors de l'enregistrement d'un fichier de rapport. L'état d'une entrée modifiée est automatiquement défini sur valeur manuelle.

Syntaxe : =archive(FILTERINDEX,PARAMETER,DIRECTION)

Paramètres de transfert | Plage valide | Commentaire
FILTERINDEX |  | Entrée correspondante du filtre d'archive.
PARAMETRE | valeur, état, temps, nombre | Le paramètre sélectionné est lu dans l'archive et affiché.
DIRECTION | en bas, à droite | Définit la direction dans laquelle doit avoir lieu le remplissage, en partant de la cellule dans laquelle a été créée la fonction.

Example Exemple

Dans un rapport, toutes les valeurs d'archive de la variable d'archive 1 sont affichées vers le bas.

=archive(1,"valeur","vers le bas")


archiveex

Manuel -> Création de rapports -> Report Generator -> Configuration dans Editor -> Fonctions de rapport -> Fonctions d'archivage et de journalisation -> archiveex

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
archiveex

Syntaxe : =archiveex(FILTERINDEX,PARAMETER,DIRECTION,STATUS,SUBSTITUTETEXT,NN_TEXT,NN_SUBSTITUTEVALUE,CYCLEOFFSET)

Paramètres de transfert

Plage valide

Commentaire

FILTERINDEX

[1-n]

Entrée correspondante du filtre d'archive.

PARAMETRE

valeur, état, temps, nombre

Le paramètre sélectionné est lu dans l'archive et affiché

DIRECTION

en bas, à droite

Renseignement de la direction souhaitée.

STATUS

SPONT, MAN_VAL, INVALID

État des valeurs à afficher.

ALTERNATETEXT

Texte à afficher si l'état de la valeur d'archive ne correspond pas à l'état fourni par STATUS.

ND_TEXT

Texte de la valeur limite de "non-détectabilité" ; ne tient pas compte de la casse.

ND_ALTERNATEVALUE

Possibilité de donner une référence de cellule ou valeur. Si le contenu de la valeur ALTERNATETEXT est saisi dans la cellule et la table est enregistrée, la valeur NN_ALTERNATEVALUE est écrite dans l'archive.

CYCLEOFFSET

Uniquement pris en compte pour le type de filtre :

  • Horaire-jour
  • Horaire-mois
  • Horaire-année
  • Horaire-semaine
  • Horaire-2 semaines
  • Temps, 15min.
  • Temps, 30min.
  • Temps, 60 min.

Example Exemple

=archiveex(1,"heure","vers le bas",SPONT,MAN_VAL,"-","NN",G2,-2)


archiveexr

Manuel -> Création de rapports -> Report Generator -> Configuration dans Editor -> Fonctions de rapport -> Fonctions d'archivage et de journalisation -> archiveexr

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
archiveexr

Syntaxe : =archiveexr(FILTERINDEX,PARAMETER,DIRECTION,STATUS,SUBSTITUTETEXT,NN_TEXT,NN_SUBSTITUTEVALUE,CYCLEOFFSET)

Paramètres de transfert

Plage valide

Commentaire

FILTERINDEX

[1-n]

Entrée correspondante du filtre d'archive.

PARAMETRE

valeur, état, temps, nombre

Le paramètre sélectionné est lu dans l'archive et affiché

DIRECTION

en bas, à droite

Renseignement de la direction souhaitée.

STATUS

SPONT,MAN_VAL, INVALID

État des valeurs à afficher.

ALTERNATETEXT

Texte à afficher si l'état de la valeur d'archive ne correspond pas à l'état fourni par STATUS.

ND_TEXT

Texte de la valeur limite de "non-détectabilité" ; ne tient pas compte de la casse.

ND_ALTERNATEVALUE

Possibilité de donner une référence de cellule ou valeur. Si le contenu de la valeur ALTERNATETEXT est saisi dans la cellule et la table est enregistrée, la valeur NN_ALTERNATEVALUE est écrite dans l'archive.

CYCLEOFFSET

Uniquement pris en compte pour le type de filtre :

  • Horaire-jour
  • Horaire-mois
  • Horaire-année
  • Horaire-semaine
  • Horaire-2 semaines
  • Temps, 15min.
  • Temps, 30min.
  • Temps, 60 min.


archivem

Manuel -> Création de rapports -> Report Generator -> Configuration dans Editor -> Fonctions de rapport -> Fonctions d'archivage et de journalisation -> archivem

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
archivem

Cette fonction permet de modifier automatiquement les valeurs ou les heures d'une entrée d'archive en ajoutant une constante à une valeur. Les modifications sont soit sauvegardées manuellement via l'élément de contrôle Enregistrer, soit enregistrées automatiquement lors de l'enregistrement d'un fichier de rapport. L'état d'une entrée modifiée est automatiquement défini sur valeur manuelle.

Syntaxe : =archivem(FILTERINDEX,PARAMETER,DIRECTION,MATH)

Paramètres de transfert

Plage valide

Commentaire

FILTERINDEX

[1-n]

Entrée correspondante du filtre d'archive.

PARAMETRE

valeur, état, temps, nombre

Le paramètre sélectionné est lu dans l'archive et affiché

DIRECTION

en bas, à droite

Renseignement de la direction souhaitée.

MATH

  • Constante : signée
  • Points décimaux : point de séparation (.)
  • Correction d'une heure : En minutes

Remarques sur le signe négatif :
Avec zenon versions 7.10, 7.11, 7.20 et 7.50, les numéros contenant des signes négatifs doivent être indiqués entre guillemets simples. Les guillemets simples sont autorisés dans toutes les versions, mais ne sont pas nécessaires.
Par exemple : =archivem(2,"time","below","-10")

La valeur est acquise en lecture et affichée dans le rapport par une manipulation appropriée. Les valeurs corrigées peuvent être enregistrées avec la fonction Enregistrer archive.

attention Attention

Chaque fois que la fonction Enregistrer archive est sélectionnée, les valeurs sont corrigées en fonction de la constante spécifiée !


archivemr

Manuel -> Création de rapports -> Report Generator -> Configuration dans Editor -> Fonctions de rapport -> Fonctions d'archivage et de journalisation -> archivemr

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
archivemr

Cette fonction permet de modifier automatiquement les valeurs ou les heures d'une entrée d'archive en ajoutant une constante à une valeur.

Syntaxe : =archivemr(FILTERINDEX,PARAMETER,DIRECTION)

Paramètres de transfert

Plage valide

Commentaire

FILTERINDEX

[1-n]

Entrée correspondante du filtre d'archive.

PARAMETRE

valeur, état, temps, nombre

Le paramètre sélectionné est lu dans l'archive et affiché

DIRECTION

en bas, à droite

Renseignement de la direction souhaitée.

MATH

  • Constante : signée
  • Points décimaux : point de séparation (.)
  • Correction d'une heure : En minutes

Remarques sur le signe négatif :
Avec zenon versions 7.10, 7.11, 7.20 et 7.50, les numéros contenant des signes négatifs doivent être indiqués entre guillemets simples. Les guillemets simples sont autorisés dans toutes les versions, mais ne sont pas nécessaires.
Par exemple : =archivemr(2,"time","below","-10")

attention Attention

Les valeurs modifiées ne peuvent pas être modifiées dans l'archive.

La valeur est acquise en lecture et affichée dans le rapport par une manipulation appropriée. Seuls les paramètres Temps et Valeur sont autorisés.=archivemr(4,value,right,6.5)

Toutes les valeurs lues dans l'archive sont augmentées de 6,50 pour l'affichage dans le rapport.

=archivemr(4,time,right,-1)

Les horodatages des entrées d'archive sont corrigés de 1 minute en arrière aux fins de la présentation dans le rapport.

Possibilité d'utilisation : par exemple, pour une valeur mensuelle calculée qui est uniquement disponible après la fin du mois (horodatage, par exemple 00:01:00).


archivemsp

Manuel -> Création de rapports -> Report Generator -> Configuration dans Editor -> Fonctions de rapport -> Fonctions d'archivage et de journalisation -> archivemsp

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
archivemsp

Cette fonction permet de modifier automatiquement la valeur ou les heures d'une entrée d'archive en ajoutant une constante à la valeur et en établissant les cellules correspondant aux entrées. La valeur est acquise en lecture et affichée dans le rapport par une manipulation appropriée. Les modifications sont soit sauvegardées manuellement via l'élément de contrôle Enregistrer, soit enregistrées automatiquement lors de l'enregistrement d'un fichier de rapport. L'état d'une entrée modifiée est automatiquement défini sur valeur manuelle.

Syntaxe : =archivemsp(FILTERINDEX,PARAMETER,DIRECTION)

Paramètres de transfert

Plage valide

Commentaire

FILTERINDEX

[1-n]

Entrée correspondante du filtre d'archive.

PARAMETRE

valeur, état, temps, nombre

Le paramètre sélectionné est lu dans l'archive et affiché

DIRECTION

en bas, à droite

Renseignement de la direction souhaitée.

P1

Nombre de valeurs d'archive dans la première ligne.

P2

Cellules vides entre deux valeurs affichées.

P3

Cellules vides jusqu'à la prochaine ligne de valeurs.

MATH

  • Constantes avec signe, constantes : avec signe
  • Points décimaux : point de séparation (.)
  • Correction d'une heure : En minutes

attention Attention

Chaque fois que la fonction Enregistrer archive est sélectionnée, les valeurs sont corrigées en fonction de la constante spécifiée !

Cellules de contrôle

Les paramètres P1, P2 et P3 définissent les cellules du rapport pouvant être remplies :

  • P1: Numéro
  • P2: cellules vides entre deux valeurs renvoyées, en fonction du paramètre DIRECTION (down, right), des lignes vides ou des colonnes vides.
  • P3: cellules vides entre deux valeurs renvoyées, en fonction du paramètre DIRECTION (down, right), des lignes vides ou des colonnes vides.

Toutes les entrées comprises dans la plage de temps du rapport sont affichées dans celui-ci, en allant vers le bas ou vers la droite depuis la cellule dans laquelle la fonction a été spécifiée ; le format des lignes est alors défini par les paramètres P1 à P3.

Si vous sélectionnez le paramètre down, les principes suivants s'appliquent :

  • P1 = nombre de lignes à remplir de valeurs
  • P2= lignes vides entre les valeurs
  • P3 = colonnes vides

Si vous sélectionnez le paramètre right, les principes suivants s'appliquent :

  • P1 = nombre de colonnes à remplir
  • P2= lignes vides entre les valeurs
  • P3= lignes vides entre les valeurs

Example Exemple

=archivemsp(4,"time","right",16,1,0,-0.5)

Toutes les entrées de temps de l'entrée d'archive comportant le numéro de filtre 4 sont retardées de 30 secondes ; 16 entrées sont prises en compte avec une colonne vide, sans espace.


archivemspr

Manuel -> Création de rapports -> Report Generator -> Configuration dans Editor -> Fonctions de rapport -> Fonctions d'archivage et de journalisation -> archivemspr

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
archivemspr

Cette fonction permet de modifier automatiquement les valeurs ou les heures d'une entrée d'archive aux fins de l'affichage dans un rapport en ajoutant une constante à une valeur. La valeur est acquise en lecture et affichée dans le rapport par une manipulation appropriée. Seuls les paramètres Temps et Valeur sont autorisés.

attention Attention

Les valeurs modifiées ne peuvent pas être modifiées dans l'archive.

Syntaxe : =archivemspr(FILTERINDEX,PARAMETER,DIRECTION)

Paramètres de transfert

Plage valide

Commentaire

FILTERINDEX

[1-n]

Entrée correspondante du filtre d'archive.

PARAMETRE

valeur, état, temps, nombre

Le paramètre sélectionné est lu dans l'archive et affiché

DIRECTION

en bas, à droite

Renseignement de la direction souhaitée.

P1

Nombre de valeurs d'archive dans la première ligne.

P2

Cellules vides entre deux valeurs affichées.

P3

Cellules vides jusqu'à la prochaine ligne de valeurs.

MATH

  • Constantes avec signe, constantes : avec signe
  • Points décimaux : point de séparation (.)
  • Correction d'une heure : En minutes

Cellules de contrôle

Les paramètres P1, P2 et P3 définissent les cellules du rapport pouvant être remplies :

  • P1: Numéro
  • P2: cellules vides entre deux valeurs renvoyées, en fonction du paramètre DIRECTION (down, right), des lignes vides ou des colonnes vides.
  • P3: cellules vides entre deux valeurs renvoyées, en fonction du paramètre DIRECTION (down, right), des lignes vides ou des colonnes vides.

Toutes les entrées comprises dans la plage de temps du rapport sont affichées dans celui-ci, en allant vers le bas ou vers la droite depuis la cellule dans laquelle la fonction a été spécifiée ; le format des lignes est alors défini par les paramètres P1 à P3.

Si vous sélectionnez le paramètre down, les principes suivants s'appliquent :

  • P1 = nombre de lignes à remplir de valeurs
  • P2= lignes vides entre les valeurs
  • P3 = colonnes vides

Si vous sélectionnez le paramètre right, les principes suivants s'appliquent :

  • P1 = nombre de colonnes à remplir
  • P2= lignes vides entre les valeurs
  • P3= lignes vides entre les valeurs

Example Exemple

=archivemsp(4,"time","right",16,1,0,-0.5)

Toutes les entrées de temps de l'entrée d'archive comportant le numéro de filtre 4 sont retardées de 30 secondes ; 16 entrées sont prises en compte avec 1 colonne vide et 0 espace.


archiver

Manuel -> Création de rapports -> Report Generator -> Configuration dans Editor -> Fonctions de rapport -> Fonctions d'archivage et de journalisation -> archiver

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
archiver

Cette fonction permet de lire la valeur, l'état et l'heure d'une entrée d'archive. Aucune modification n'est possible.

Syntaxe : =archiver(FILTERINDEX,PARAMETER,DIRECTION)

Paramètres de transfert | Plage valide | Commentaire
FILTERINDEX | [1-n] | Entrée correspondante du filtre d'archive.
PARAMETRE | valeur, état, temps, nombre | Le paramètre sélectionné est lu dans l'archive et affiché
DIRECTION | en bas, à droite | Renseignement de la direction souhaitée.

Ceci diffère de la fonction archive, dans la mesure où aucune entrée manuelle ne peut être effectuée dans le Runtime.

Domaine d'application : Ces fonctions sont par exemple utiles lorsque vous ne souhaitez modifier qu'à un seul endroit une entrée affichée à plusieurs reprises dans un rapport. Toutes les entrées comprises dans la plage de temps du rapport sont également affichées dans celui-ci, en allant vers le bas ou vers la droite depuis la cellule dans laquelle a été créée la fonction.


archivesp

Manuel -> Création de rapports -> Report Generator -> Configuration dans Editor -> Fonctions de rapport -> Fonctions d'archivage et de journalisation -> archivesp

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
archivesp

La valeur, l'état ou l'heure de l'entrée de l'archive peuvent être lus. Les modifications sont soit sauvegardées manuellement via l'élément de contrôle Enregistrer, soit enregistrées automatiquement lors de l'enregistrement d'un fichier de rapport. L'état d'une entrée modifiée est automatiquement défini sur valeur manuelle.

Syntaxe : =archivesp(FILTERINDEX,PARAMETER,DIRECTION,P1,P2,P3)

Paramètres de transfert | Plage valide | Commentaire
FILTERINDEX | [ 1-n] | Entrée correspondante du filtre d'archive.
PARAMETRE | valeur, état, temps, nombre | Le paramètre sélectionné est lu dans l'archive et affiché
DIRECTION | en bas, à droite | Renseignement de la direction souhaitée
P1 |  | Nombre de valeurs d'archive dans la première ligne
P2 |  | Cellules vides entre deux valeurs
P3 |  | Cellules vides jusqu'à la prochaine ligne de valeurs

Cellules de contrôle

Les paramètres P1, P2 et P3 définissent les cellules du rapport pouvant être remplies :

  • P1: Numéro
  • P2: cellules vides entre deux valeurs renvoyées, en fonction du paramètre DIRECTION (down, right), des lignes vides ou des colonnes vides.
  • P3: cellules vides entre deux valeurs renvoyées, en fonction du paramètre DIRECTION (down, right), des lignes vides ou des colonnes vides.

Toutes les entrées comprises dans la plage de temps du rapport sont affichées dans celui-ci, en allant vers le bas ou vers la droite depuis la cellule dans laquelle la fonction a été spécifiée ; le format des lignes est alors défini par les paramètres P1 à P3.

Si vous sélectionnez le paramètre down, les principes suivants s'appliquent :

  • P1 = nombre de lignes à remplir de valeurs
  • P2= lignes vides entre les valeurs
  • P3 = colonnes vides

Si vous sélectionnez le paramètre right, les principes suivants s'appliquent :

  • P1 = nombre de colonnes à remplir
  • P2= lignes vides entre les valeurs
  • P3= lignes vides entre les valeurs

Lors de l'affichage des informations d'état, les paramètres utilisés sont ceux définis dans le fichier project.ini, dans la section [STATUS] ou ceux dérivés de l'attribution définie au niveau interne. Si l'intitulé de l'état a été modifié dans project.ini, le nom modifié est fourni. (Conseil : permet de préserver la compatibilité du projet avec les anciens intitulés d'état.)


archivespr

Manuel -> Création de rapports -> Report Generator -> Configuration dans Editor -> Fonctions de rapport -> Fonctions d'archivage et de journalisation -> archivespr

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
archivespr

La valeur, l'état ou l'heure de l'entrée de l'archive peuvent être lus.

Syntaxe : =archivespr(FILTERINDEX,PARAMETER,DIRECTION,P1,P2,P3)

Paramètres de transfert | Plage valide | Commentaire
FILTERINDEX |  | Entrée correspondante du filtre d'archive.
PARAMETRE | valeur, état, temps, nombre | Le paramètre sélectionné est lu dans l'archive et affiché
DIRECTION | en bas, à droite | Renseignement de la direction souhaitée
P1 |  | Nombre de valeurs d'archive dans la première ligne
P2 |  | Cellules vides entre deux valeurs
P3 |  | Cellules vides jusqu'à la prochaine ligne de valeurs

Cellules de contrôle

Les paramètres P1, P2 et P3 définissent les cellules du rapport pouvant être remplies :

  • P1: Numéro
  • P2: cellules vides entre deux valeurs renvoyées, en fonction du paramètre DIRECTION (down, right), des lignes vides ou des colonnes vides.
  • P3: cellules vides entre deux valeurs renvoyées, en fonction du paramètre DIRECTION (down, right), des lignes vides ou des colonnes vides.

Toutes les entrées comprises dans la plage de temps du rapport sont affichées dans celui-ci, en allant vers le bas ou vers la droite depuis la cellule dans laquelle la fonction a été spécifiée ; le format des lignes est alors défini par les paramètres P1 à P3.

Si vous sélectionnez le paramètre down, les principes suivants s'appliquent :

  • P1 = nombre de lignes à remplir de valeurs
  • P2= lignes vides entre les valeurs
  • P3 = colonnes vides

Si vous sélectionnez le paramètre right, les principes suivants s'appliquent :

  • P1 = nombre de colonnes à remplir
  • P2= lignes vides entre les valeurs
  • P3= lignes vides entre les valeurs

Contrairement à la fonction archivesp, aucune configuration manuelle ne peut être effectuée au niveau des cellules. Ces fonctions sont par exemple utiles lorsque vous ne souhaitez modifier qu'à un seul endroit une entrée affichée à plusieurs reprises dans un rapport. Toutes les entrées comprises dans la plage de temps du rapport sont également affichées dans celui-ci, en allant vers le bas ou vers la droite depuis la cellule dans laquelle a été créée la fonction.

Example Exemple

=archivespr(1,"value","downwards",12,1,3)

Toutes les valeurs de l'entrée d'archive avec le numéro de filtre 1 sont écrites vers le bas ; 12 entrées sont prises en compte avec 1 ligne vide et 3 colonnes vides.


archivespw

Manuel -> Création de rapports -> Report Generator -> Configuration dans Editor -> Fonctions de rapport -> Fonctions d'archivage et de journalisation -> archivespw

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
archivespw

Cette fonction supprime l'affichage des entrées d'archive lues et permet de définir les cellules à utiliser. Au moment de l'enregistrement, les entrées d'archives sont remplacées par des valeurs et états existant à d'autres emplacements (par ex. valeurs ou états calculés).

Syntaxe : =archivespw(FILTERINDEX,PARAMETER,DIRECTION,P1,P2,P3,SZ_WERT,SZ_STATUS)

Paramètres de transfert | Plage valide | Commentaire
FILTERINDEX | [1-n] | Entrée correspondante du filtre d'archive.
PARAMETRE | valeur, état, temps, nombre | Le paramètre sélectionné est lu dans l'archive et affiché
DIRECTION | en bas, à droite | Renseignement de la direction souhaitée.
P1 |  | Nombre de valeurs d'archive dans la première ligne.
P2 |  | Cellules vides entre deux valeurs affichées.
P3 |  | Cellules vides jusqu'à la prochaine ligne de valeurs.
SZ_VALUE | Valeurs de la cellule de départ | Cellule à partir de laquelle les valeurs calculées commencent à apparaître.
SZ_STATUS | État de la cellule de départ. | Définition d'un texte d'état fixe (par exemple, MAN_VAL), ou indication de la cellule de départ dans laquelle doit être pris le texte d'état.

Cellules de contrôle

Les paramètres P1, P2 et P3 définissent les cellules du rapport pouvant être remplies :

  • P1: Numéro
  • P2: cellules vides entre deux valeurs renvoyées, en fonction du paramètre DIRECTION (down, right), des lignes vides ou des colonnes vides.
  • P3: cellules vides entre deux valeurs renvoyées, en fonction du paramètre DIRECTION (down, right), des lignes vides ou des colonnes vides.

Toutes les entrées comprises dans la plage de temps du rapport sont affichées dans celui-ci, en allant vers le bas ou vers la droite depuis la cellule dans laquelle la fonction a été spécifiée ; le format des lignes est alors défini par les paramètres P1 à P3.

Si vous sélectionnez le paramètre down, les principes suivants s'appliquent :

  • P1 = nombre de lignes à remplir de valeurs
  • P2= lignes vides entre les valeurs
  • P3 = colonnes vides

Si vous sélectionnez le paramètre right, les principes suivants s'appliquent :

  • P1 = nombre de colonnes à remplir
  • P2= lignes vides entre les valeurs
  • P3= lignes vides entre les valeurs

Textes d'état

La configuration ne s'effectue pas par le biais de l'aide à la spécification, mais directement dans la cellule. Dans ce cas, les dispositions suivantes s'appliquent :

  • Lors de la saisie de textes d'état, les textes courts définis dans le fichier project.ini ou dérivés de la configuration interne par défaut doivent être utilisés. Ceci s'applique, que les états soient définis comme fixes ou lus depuis une autre cellule.
  • Séparez plusieurs états par une virgule (,).
  • Les valeurs calculées sont mises à jour, peu importe que la nouvelle valeur calculée soit différente de la valeur acquise en lecture.
  • L'état est alors changé en valeur manuelle (MAN_VAL).


archivew

Manuel -> Création de rapports -> Report Generator -> Configuration dans Editor -> Fonctions de rapport -> Fonctions d'archivage et de journalisation -> archivew

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
archivew

Cette fonction supprime l'affichage des entrées de l'archive lues pour le rapport. Au moment de l'enregistrement, les entrées d'archives sont remplacées par des valeurs et états existant à d'autres emplacements (par ex. valeurs ou états calculés). Cette fonction de rapport peut être utilisée comme exemple de la réduction des valeurs mensuelles en valeurs annuelles comme valeur d'archive.

Syntaxe : =archivew(FILTERINDEX,PARAMETER,DIRECTION,P1,P2,P3,SZ_WERT,SZ_STATUS)

Paramètres de transfert | Plage valide | Commentaire
FILTERINDEX | [1-n] | Entrée correspondante du filtre d'archive.
PARAMETRE | valeur, état, temps, nombre | Le paramètre sélectionné est lu dans l'archive et affiché
DIRECTION | en bas, à droite | Renseignement de la direction souhaitée.
SZ_VALUE | Valeurs de la cellule de départ | Cellule à partir de laquelle les valeurs calculées commencent à apparaître.
SZ_STATUS | État de la cellule de départ. | Définition d'un texte d'état fixe (par exemple, MAN_VAL), ou indication de la cellule de départ dans laquelle doit être pris le texte d'état.

Cellules de contrôle

Les paramètres P1, P2 et P3 définissent les cellules du rapport pouvant être remplies :

  • P1: Numéro
  • P2: cellules vides entre deux valeurs renvoyées, en fonction du paramètre DIRECTION (down, right), des lignes vides ou des colonnes vides.
  • P3: cellules vides entre deux valeurs renvoyées, en fonction du paramètre DIRECTION (down, right), des lignes vides ou des colonnes vides.

Toutes les entrées comprises dans la plage de temps du rapport sont affichées dans celui-ci, en allant vers le bas ou vers la droite depuis la cellule dans laquelle la fonction a été spécifiée ; le format des lignes est alors défini par les paramètres P1 à P3.

Si vous sélectionnez le paramètre down, les principes suivants s'appliquent :

  • P1 = nombre de lignes à remplir de valeurs
  • P2= lignes vides entre les valeurs
  • P3 = colonnes vides

Si vous sélectionnez le paramètre right, les principes suivants s'appliquent :

  • P1 = nombre de colonnes à remplir
  • P2= lignes vides entre les valeurs
  • P3= lignes vides entre les valeurs

Textes d'état

La configuration ne s'effectue pas par le biais de l'aide à la spécification, mais directement dans la cellule. Dans ce cas, les dispositions suivantes s'appliquent :

  • Lors de la saisie de textes d'état, les textes courts définis dans le fichier project.ini ou dérivés de la configuration interne par défaut doivent être utilisés. Ceci s'applique, que les états soient définis comme fixes ou lus depuis une autre cellule.
  • Séparez plusieurs états par une virgule (,).
  • Les valeurs calculées sont mises à jour, peu importe que la nouvelle valeur calculée soit différente de la valeur acquise en lecture.
  • L'état est alors changé en valeur manuelle (MAN_VAL).

Example Exemple

Réductions de valeurs mensuelles en valeurs annuelles comme valeur d'archive :

Dans un rapport mensuel comportant des valeurs quotidiennes, le nombre de jours pendant lesquels une valeur limite x a été dépassée est calculé. La somme des dépassements de valeur limite est écrite dans une cellule du rapport.

  • Dans une archive, une valeur recevant une entrée par mois a été définie.
  • Cette entrée est lue dans le rapport via la fonction archivew.
  • =archivew(4,"value","downwards",B12,C12)
    • 4 : Variable du filtre d'archive
    • Valeur : paramètre des variables à afficher
    • Bas : direction dans laquelle sont écrites les valeurs
    • B12 : cellule de départ correspondant à la cellule calculée
    • C12 : définit le texte d'état devant être fourni
  • La somme est écrite dans la valeur de l'archive lors de l'enregistrement des valeurs de l'archive.


archivetime

Manuel -> Création de rapports -> Report Generator -> Configuration dans Editor -> Fonctions de rapport -> Fonctions d'archivage et de journalisation -> archivetime

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
archivetime

La fonction archivetime fournit, en fonction du filtre horaire défini, les informations d'heure spécifiques au début et à la fin de la procédure d'interrogation de l'archive en mode de fonctionnement en ligne.

Syntaxe : =archivetime(FILTERINDEX,PARAMETER)

Paramètres de transfert | Plage valide | Commentaire
FILTERINDEX | [1-n] | Entrée correspondante du filtre d'archive.
PARAMETRE | absolutetimefrom, absolutetimeto | Heure de début ou de fin de la requête d'archive.


batch

Manuel -> Création de rapports -> Report Generator -> Configuration dans Editor -> Fonctions de rapport -> Fonctions d'archivage et de journalisation -> batch

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
batch

Cette fonction renvoie les noms des premiers lots pour l'archive sélectionnée dans la zone de filtre du rapport.

Syntaxe : =batch(FILTERINDEX)

Paramètres de transfert | Plage valide | Commentaire
FILTERINDEX | [1-n] | Entrée correspondante du filtre d'archive.

Example Exemple

=batch(1)

Nom du premier lot pour l'archive de variables placée en position 1 du filtre d'archives.


No. de batch.

Manuel -> Création de rapports -> Report Generator -> Configuration dans Editor -> Fonctions de rapport -> Fonctions d'archivage et de journalisation -> No. de batch.

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
No. de batch.

Cette fonction affiche différentes informations sur les lots. Les informations sont affichées sous forme de liste évaluée du haut vers le bas, ou de la gauche vers la droite. Les indications suivantes sont affichées :

  • Nom des lots
  • Horodatage de début
  • Point de fin

Syntaxe : =batchnr(FILTERINDEX,PARAMETER,DIRECTION)

Paramètres de transfert | Plage valide | Commentaire
FILTERINDEX | [1-n] | Entrée correspondante du filtre d'archive.
PARAMETRE | nom, heure de début, heure de fin | Le paramètre sélectionné est lu dans l'archive et affiché
DIRECTION | bas, gauche | Renseignement de la direction souhaitée.


wmz

Manuel -> Création de rapports -> Report Generator -> Configuration dans Editor -> Fonctions de rapport -> Fonctions d'archivage et de journalisation -> wmz

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
wmz

La fonction =wmz fournit le résultat de l'archive du compteur thermique. Le dépassement de compteur n'est pas vérifié automatiquement.

Syntaxe : =wmz(FILTERINDEX,ACTIVATED,OVERFLOW,STARTVALUE,ENDVALUE,COUNTERINFO,ERRORCOUNTER)

Paramètres de transfert

Plage valide

Commentaire

FILTERINDEX

[1-n]

Entrée correspondante du filtre d'archive.

ACTIVATED

0 = désactivé
>1 = activé

La fonction n'est pas exécutée avec 0.

OVERFLOW

Valeur ou référence de cellule

Avec une valeur de dépassement de 1000, une erreur est reconnue lorsqu'une valeur d'archive atteint 1000 ou plus.

STARTVALUE

Référence de cellule

Première valeur valide issue de l'archive.

ENDVALUE

Référence de cellule

Dernière valeur valide issue de l'archive.

COUNTERINFO

Référence de cellule

Début de la modification de compteur. Direction : vers la droite à partir de la référence de cellule.

Comprend quatre entrées de cellule :

  • Date et heure de la première valeur après une modification du compteur
  • Valeur avant la modification du compteur
  • Valeur après la modification du compteur
  • Cellule vide

ERRORCOUNTER

Référence de cellule

Indique le nombre d'erreurs trouvées dans une cellule.

Causes de l'erreur :

  • Valeur >= celle définie dans OVERFLOW
  • Valeur <= 0
  • Si deux valeurs d'archive consécutives sont présentes, la première valeur est supérieure à la valeur suivante.

La somme de toutes les valeurs valides est écrite dans la cellule du rapport.


wmzz

Manuel -> Création de rapports -> Report Generator -> Configuration dans Editor -> Fonctions de rapport -> Fonctions d'archivage et de journalisation -> wmzz

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
wmzz

La fonction wmzz (indice de filtre, direction, P1, P2, P3, activé, dépassement) fournit le résultat de l'archive du compteur thermique par paires, c'est-à-dire qu'elle renvoie la différence entre deux valeurs consécutives d'une archive.

Le résultat 0 est fourni si :

  • La première valeur est >= la valeur suivante.
  • Une des deux valeurs est >= au paramètre OVERFLOW.
  • Une des deux valeurs est = au paramètre OVERFLOW.

Syntaxe : =wmzz( indice de filtre, direction, P1, P2, P3, activé, dépassement )

Paramètres de transfert | Plage valide | Commentaire
FILTERINDEX | [1-n] | Entrée correspondante du filtre d'archive.
DIRECTION | en bas, à droite | Renseignement de la direction souhaitée.
P1 |  | Nombre de valeurs d'archive dans la première ligne
P2 |  | Cellules vides entre deux valeurs
P3 |  | Cellules vides jusqu'à la prochaine ligne de valeurs
ACTIVATED | 0 = désactivé 1 = activé | La fonction n'est pas exécutée avec 0.
OVERFLOW | Valeur ou référence de cellule | Avec une valeur de dépassement de 1000, une erreur est reconnue lorsqu'une valeur d'archive atteint 1000 ou plus.

Cellules de contrôle

Les paramètres P1, P2 et P3 définissent les cellules du rapport pouvant être remplies :

  • P1: Numéro
  • P2: cellules vides entre deux valeurs renvoyées, en fonction du paramètre DIRECTION (down, right), des lignes vides ou des colonnes vides.
  • P3: cellules vides entre deux valeurs renvoyées, en fonction du paramètre DIRECTION (down, right), des lignes vides ou des colonnes vides.

Toutes les entrées comprises dans la plage de temps du rapport sont affichées dans celui-ci, en allant vers le bas ou vers la droite depuis la cellule dans laquelle la fonction a été spécifiée ; le format des lignes est alors défini par les paramètres P1 à P3.

Si vous sélectionnez le paramètre down, les principes suivants s'appliquent :

  • P1 = nombre de lignes à remplir de valeurs
  • P2= lignes vides entre les valeurs
  • P3 = colonnes vides

Si vous sélectionnez le paramètre right, les principes suivants s'appliquent :

  • P1 = nombre de colonnes à remplir
  • P2= lignes vides entre les valeurs
  • P3= lignes vides entre les valeurs


Fonctions de base de données

Manuel -> Création de rapports -> Report Generator -> Configuration dans Editor -> Fonctions de rapport -> Fonctions de base de données

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Cette fonction autorise la lecture de données provenant de bases de données Access ou SQL.

Syntaxe : =sqldao (DATABASE,SQL-QUERY,PARA1,PARA2)

Paramètres de transfert

Commentaire

DATABASE

Nom de la base de données (*.mdb) ou du fournisseur OLEDB.

Requête SQL

Les requêtes de base de données standard suivantes peuvent être utilisées :

  • SELECT
  • INSERT
  • UPDATE
  • DELETE
  • EXECUTE

Paramètres de transfert.
Choix de :

  • Deux entiers : %d %d
  • Deux chaînes : %s %s

PARA1

paramètres pour la requête SQL

PARA2

paramètres pour la requête SQL

Types de données prises en charge

La fonction sqldao prend en charge les types suivants de données relatives aux bases de données :

  • DBTYPE_I1
  • DBTYPE_UI1
  • DBTYPE_I2
  • DBTYPE_UI2
  • DBTYPE_I4
  • DBTYPE_UI4
  • DBTYPE_I8
  • DBTYPE_UI8
  • DBTYPE_R4
  • DBTYPE_R8
  • DBTYPE_STR
  • DBTYPE_WSTR
  • DBTYPE_BSTR

Configuration avec l'assistant fonction

Vous pouvez utiliser des bases de données MS Access et des bases de données avec fournisseurs OLEDB. Dans ce cas, utilisez la syntaxe suivante :

Base de données

Syntaxe

Base de données MS Access

=sqldao (base de données,requête SQL,Para1,Para2)

Bases de données avec fournisseur OLEDB

Remplacez la référence à une base de données avec une chaîne d'initialisation OLEDB. Cette chaîne peut être :

  • Saisie manuellement ou
  • Créée en cliquant sur le bouton Fournisseur OLEDB.

Bases de données avec fournisseur OLEDB

Cliquez sur le bouton Fournisseur OLEDB pour ouvrir la boîte de dialogue des propriétés de liaison de données :

Ici, vous pouvez définir la connexion à la base de données souhaitée :

  • Type de fournisseur OLEDB
  • Source de données
  • Informations d'enregistrement
  • etc.

Lorsque vous confirmez la boîte de dialogue en cliquant sur OK, la chaîne d'initialisation est générée et insérée dans le champ Syntaxe.

Syntaxe : =sqldao (Provider,SQL query,Para1,Para2)

attention Attention

La chaîne d'initialisation doit toujours démarrer par la séquence de caractères Provider=. Tenez compte des lettres en majuscules et en minuscules, car la chaîne est sensible à la casse.

Paramètres pour MS Access et OLEDB

Paramètres de transfert

Description

Base de données

Nom (*.mdb) de la base de données :
Répertoire de stockage : Dossier du projet situé au-dessus du dossier Runtime dans l'arborescence du projet.
Par ex. :
Emplacement de stockage dans le Runtime : sous-dossier de C:\Users\Public\Documents\zenon_Projects\Multi\TEST_PROJEKT.

Emplacement de sauvegarde des fichiers *.mdb : enregistrés directement dans le dossier C:\Users\Public\Documents\zenon_Projects\Multi\TEST_PROJEKT

Le dossier du projet est défini dans les propriétés du projet.

Provider (Fournisseur)

Fournisseur OLEDB ; la chaîne d'initialisation doit toujours commencer par Provider= (sensible à la casse).

Requête SQL

Vous pouvez utiliser ici les requêtes "select" standard.

Les paramètres à deux valeurs entières peuvent être transférés avec %d %d et les paramètres à deux chaînes peuvent être transférés avec %s %s.

Para1, Para2

Paramètres de la requête SQL.

Autres sujets abordés dans ce chapitre

Exemple d'accès

Exemple dans SQL


Exemple d'accès

Manuel -> Création de rapports -> Report Generator -> Configuration dans Editor -> Fonctions de rapport -> Fonctions de base de données -> Exemple d'accès

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Exemple d'accès

Exemple pour MS Access

Exemple de base de données : Address.mdb

Nom | Prénom | Rue | Ville | Téléphone | AdresseCan
Müllner | Egon | Am Rheinberg 22 | 5020 Salzbourg | 0662/329354 | 1
Roider | Jürgen | Mozartgasse 7 | 5020 Salzbourg | 0662/329354 | 2
Leitner | Hans | Strubergasse 6 | 5020 Salzbourg | 0662/329354 | 3
Müller | Peter | Blumengasse 6 | 80003 München | 089/234243 | 5
Weinberger | ww | Hafnergasse 5 | 7020 Klagenfurt | 0222/2222 | 6

Exemple 1

Toutes les entrées de la table Adresses contenant des noms de champ Nom doivent être fournies.

Fonction : =sqldao(Adress.mdb,SELECT Adressen.name FROM Adressen ;,1,1)

Address.mdb | Base de données à laquelle on accède (doit être dans le répertoire Runtime du projet)
SELECT | Indique au module Microsoft Jet Database de renvoyer les informations provenant de la base de donnée comme un groupe d'enregistrements.
Adresse.Nom | Table.Nom du champ
FROM | définit la table dans laquelle la requête doit être effectuée pour chercher les champs définis dans l'énoncé SELECT
Adresses | Table

Résultat :

Müllner

Roider

Leitner

Müller

Weinberger

Exemple 2

  • Limite inférieure : Contenu de la cellule E1
  • Limite supérieure : Contenu de la cellule E2
  • Nom du champ pour l'évaluation : AdresseCan
  • Toutes les entrées de la table Adresses contenant des noms de champ Nom et Prénom doivent être fournies.
  • La condition AdresseCan doit être supérieure au contenu de la cellule E1 et inférieure au contenu de E2.

Fonction : =sqldao(Adress.mdb,SELECT Address.name,Address.first name FROM Address WHERE (((Adressen.CanAdresse)>%d) AND ((Address.CanAdresse)<%d)) ;,E1,E2)

Address.mdb | Base de données à laquelle on accède (doit être dans le répertoire Runtime du projet)
SELECT | Indique au module Microsoft Jet Database de renvoyer les informations provenant de la base de donnée comme un groupe d'enregistrements.
Adresse.Nom | Table.Nom du champ
, | Séparateur SQL
Adresse.Prénom | Table.Nom du champ
FROM | définit la table dans laquelle la requête doit être effectuée pour chercher les champs définis dans l'énoncé SELECT
Adresses | Table
WHERE | Indique quels enregistrements de la table définis dans la section FROM sont affectés par une instruction SELECT, UPDATE ou DELETE.
(((Adresse.AdresseCan)>%d) | Condition : Table.Nom du champ
AND | Lien
((Address.CanAddress)<%d)) | Condition : Table.Nom du champ
; | fin de l'énoncé SQL
E1, E2: | Références de cellule (entier)

Résultat pour E1 = 1, E2 = 6

Roider | Jürgen | 2
Leitner | Hans | 3
Müller | Peter | 5

info Informations

Pour plus d'information sur les instructions SQL reportez-vous à l'aide en ligne de MS-Access.


Exemple dans SQL

Manuel -> Création de rapports -> Report Generator -> Configuration dans Editor -> Fonctions de rapport -> Fonctions de base de données -> Exemple dans SQL

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Exemple dans SQL

Exemple pour une base de données avec fournisseur OLEDB

=sqldao("Provider=SQLNCLI.1;Integrated Security=SSPI;Persist Security Info=False;Initial Catalog=<databasename>;Data Source=<database instance>;Use Procedure for Prepare=1;Auto Translate=True;Packet Size=4096;Workstation ID=<PCNAME>;Use Encryption for Data=False;Tag with column collation when possible=False","SELECT <tablename>.<columnname> FROM <tablename>;",0,0)

Paramètres de transfert | Commentaire
DATABASE | "Provider=SQLNCLI.1;Integrated Security=SSPI;Persist Security Info=False;Initial Catalog=<databasename>;Data Source=<database instance>;Use Procedure for Prepare=1;Auto Translate=True;Packet Size=4096;Workstation ID=<PCNAME>;Use Encryption for Data=False;Tag with column collation when possible=False"
Requête SQL | "SELECT <tablename>.<columnname> FROM <tablename>;"
PARA1 | 0
PARA2 | 0

Valeurs pour l'exemple

Base de données : "AdventureWorks"

Installation : AdventureWorksDB.msi

Source : http://msftdbprodsamples.codeplex.com/releases/view/4004

Nom de l'ordinateur : "PC1"

Authenticité : "Windows NT"

Instance de SQL Server : "SQLEXPRESS"

SELECT

SELECT

=sqldao("Provider=SQLOLEDB.1;Integrated Security=SSPI;Persist Security Info=False;Initial Catalog=AdventureWorks;Data Source=.\SQLEXPRESS;Use Procedure for Prepare=1;Auto Translate=True;Packet Size=4096;Workstation ID=PC1;Use Encryption for Data=False;Tag with column collation when possible=False","SELECT TOP 100 [AddressID],[AddressLine1],[AddressLine2],[City],[StateProvinceID],[PostalCode] FROM [AdventureWorks].[Person].[Address] ORDER BY AddressID;",0,0)

SELECT with string parameter (cell H2)

=sqldao("Provider=SQLOLEDB.1;Integrated Security=SSPI;Persist Security Info=False;Initial Catalog=AdventureWorks;Data Source=.\SQLEXPRESS;Use Procedure for Prepare=1;Auto Translate=True;Packet Size=4096;Workstation ID=PC1;Use Encryption for Data=False;Tag with column collation when possible=False","SELECT TOP 100 [AddressID],[AddressLine1],[AddressLine2],[City],[StateProvinceID],[PostalCode] FROM [AdventureWorks].[Person].[Address] WHERE (City = N'%s') ORDER BY AddressID;",H2,0)

SELECT with numerical parameter (cell H2)

=sqldao("Provider=SQLOLEDB.1;Integrated Security=SSPI;Persist Security Info=False;Initial Catalog=AdventureWorks;Data Source=.\SQLEXPRESS;Use Procedure for Prepare=1;Auto Translate=True;Packet Size=4096;Workstation ID=PC1;Use Encryption for Data=False;Tag with column collation when possible=False","SELECT TOP 100 [AddressID],[AddressLine1],[AddressLine2],[City],[StateProvinceID],[PostalCode] FROM [AdventureWorks].[Person].[Address] WHERE (StateProvinceID = %d) ORDER BY AddressID;",H2,0)

INSERT

=sqldao("Provider=SQLOLEDB.1;Integrated Security=SSPI;Persist Security Info=False;Initial Catalog=AdventureWorks;Data Source=.\SQLEXPRESS;Use Procedure for Prepare=1;Auto Translate=True;Packet Size=4096;Workstation ID=PC1;Use Encryption for Data=False;Tag with column collation when possible=False","INSERT INTO [AdventureWorks].[Sales].[Currency] (CurrencyCode,Name,ModifiedDate) VALUES ('AAA','NewValue','');",0,0)

UPDATE

=sqldao("Provider=SQLOLEDB.1;Integrated Security=SSPI;Persist Security Info=False;Initial Catalog=AdventureWorks;Data Source=.\SQLEXPRESS;Use Procedure for Prepare=1;Auto Translate=True;Packet Size=4096;Workstation ID=PC1;Use Encryption for Data=False;Tag with column collation when possible=False","UPDATE Sales.Currency SET Name = 'ModifiedValue' WHERE CurrencyCode = 'AAA';",0,0)

SUPPRIMER

=sqldao("Provider=SQLOLEDB.1;Integrated Security=SSPI;Persist Security Info=False;Initial Catalog=AdventureWorks;Data Source=.\SQLEXPRESS;Use Procedure for Prepare=1;Auto Translate=True;Packet Size=4096;Workstation ID=PC1;Use Encryption for Data=False;Tag with column collation when possible=False","DELETE Sales.Currency WHERE CurrencyCode = 'AAA';",0,0)

EXECUTE

EXECUTE with numerical parameter (cell J2)

=sqldao("Provider=SQLOLEDB.1;Integrated Security=SSPI;Persist Security Info=False;Initial Catalog=AdventureWorks;Data Source=.\SQLEXPRESS;Use Procedure for Prepare=1;Auto Translate=True;Packet Size=4096;Workstation ID=PC1;Use Encryption for Data=False;Tag with column collation when possible=False","EXECUTE dbo.uspGetBillOfMaterials %d, '2001-05-08 12:35:29.123';",J2,0)


Fonctions de Date et Heure

Manuel -> Création de rapports -> Report Generator -> Configuration dans Editor -> Fonctions de rapport -> Fonctions de Date et Heure

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Cette fonction renvoie des valeurs de date et de temps.

Vous trouverez les clés de formatage au chapitre Types de données pour la date et l'heure. Noter les exigences des fonctions individuelles.
Remarque : Les entrées Année à partir de 2000 doivent toujours contenir quatre chiffres. Par exemple, 19 est interprété comme 1919. 2019 doit être saisi avec quatre chiffres..

Autres sujets abordés dans ce chapitre

date

datevalue

Day

hour

minute

month

now

second

Heure

today

weekday

year


date

date

La fonction date (iYear, iMonth, iDay) calcule la date à partir des valeurs numériques pour l'année (iYear), le mois (iMonth) et le jour (iDay).

Syntaxe : =date(iYear,iMonth,iDay)

Paramètres de transfert | Plage valide | Commentaire
iYear | [0100-2200] |
iMonth | [1-12] | Les valeurs en dehors de la plage valide sont traitées avec la valeur la plus haute ou la plus basse des limites.
iDay | [1-(28,29,30,31)] | Les valeurs en dehors de la plage valide sont traitées avec la valeur la plus haute ou la plus basse des limites.

Format du résultat : Date

Format standard : jj/mm/aaaa

Example Exemple

=date(2010,5,12) équivaut à 12.05.2010

Cellule A1=2010, cellule A2=5, cellule A3=12, cellule A4=date(A1,A2,A3) équivaut à 12.05.2010


datevalue

datevalue

La fonction datevalue(date_text) calcule la date à partir du texte de date (date_text).

  • Syntaxe : =datevalue(date_text)
  • Format d’entrée pour date_text : dd.mm.yyyy hh:mm:ss


Day

Day

La fonction day(date) détermine le jour à partir de la valeur de date.

Syntaxe : =day(date)

Format du résultat : Entier

Example Exemple

=now(), avec la chaîne de format hh:mm:ss dd/mm/aa, renvoie 12:46:24 05.06.10
Cellule A2 =day (A1) renvoie 5.


hour

hour

La fonction hour(time) détermine le jour à partir de la valeur d'heure.

Syntaxe : =hour(time)

Format du résultat : Entier

Example Exemple

=now(), avec la chaîne de format hh:mm:ss dd/mm/aa, renvoie 12:46:24 05.06.10
Cellule A2 =hour (A1) renvoie 12.


minute

minute

La fonction minute(time) détermine les minutes à partir d'une valeur d'heure.

Syntaxe : =minute(time)

Format du résultat : Entier

Example Exemple

=now(), avec la chaîne de format hh:mm:ss jj/mm/aa, renvoie 12:46:24 05.06.10
Cellule A2 : =minute(A1) renvoie 46.


month

month

La fonction month(date) détermine le mois à partir de la valeur de date.

Syntaxe : =month(date)

Format du résultat : Entier

Example Exemple

=now(), avec la chaîne de format hh:mm:ss dd/mm/aa, renvoie 12:46:24 05.06.10
Cellule A2 =month (A1) renvoie 6.


now

now

La fonction now() renvoie la date et l'heure actuelles.

La cellule prend automatiquement le format "jj/mm/aaaa".

Syntaxe : =now()

Example Exemple

=now() renvoie 05.06.2010.
=now(), avec la chaîne de format hh:mm:ss jj/mm/aa, renvoie 12:46:24 05.06.10


second

second

La fonction second(time) détermine les secondes à partir d'une valeur d'heure.

Syntaxe : =second(time)

Format du résultat : Entier

Example Exemple

=now() avec la chaîne de format hh:mm:ss dd/mm/aa, renvoie 12:46:24 05.06.10
Cellule A2=second(A1) renvoie 24


Heure

Heure

La fonction time(iHour, iMinute, iSecond) renvoie l'heure à partir des valeurs numériques des heures (iHour), des minutes (iMinute) et des secondes (iSecond).

La cellule prend automatiquement le format "hh:mm:ss".

Syntaxe : =time(iHour,iMinute,iSecond)

Paramètres de transfert | Plage valide | Commentaire
iHour | [0-23] | Les valeurs en dehors de la plage valide sont traitées avec la valeur la plus haute ou la plus basse des limites.
iMinute | [0-59] | Les valeurs en dehors de la plage valide sont traitées avec la valeur la plus haute ou la plus basse des limites.
iSecond | [0-59] | Les valeurs en dehors de la plage valide sont traitées avec la valeur la plus haute ou la plus basse des limites.

Format du résultat : time

Example Exemple

=time(12,24,48) renvoie 12:24:48

Cellule A1=12, cellule A2=24, cellule A3=48 , cellule A4=time(A1,A2,A3) renvoie 12:24:48


today

today

La fonction today() renvoie la date actuelle.

La cellule prend automatiquement le format "jj/mm/aaaa".

Syntaxe : =today()

Example Exemple

=today() renvoie 05.06.2010.
=today(), avec la chaîne de format hh:mm:ss jj/mm/aa, renvoie 00:00:00 05.06.10


weekday

weekday

La fonction weekday(date) détermine le jour de la semaine à partir de la valeur de date.

Syntaxe : =weekday(date)

valeur | Jour de la semaine
1 | Dimanche
2 | Lundi
3 | Mardi
4 | Mercredi
5 | Jeudi
6 | Vendredi
7 | Samedi

Format du résultat : Entier

Example Exemple

=now(), avec la chaîne de format hh:mm:ss dd/mm/aa, renvoie 12:46:24 05.06.10
Cellule A2 =weekday (A1) renvoie 3.


year

year

La fonction year(date) détermine l'année à partir de la valeur de date.

Syntaxe : =year(date)

Format du résultat : Entier

Example Exemple

=now(), avec la chaîne de format hh:mm:ss jj/mm/aa, renvoie 12:46:24 05.06.10
Cellule A2 =year (A1) renvoie 2010.


Fonctions logiques

Manuel -> Création de rapports -> Report Generator -> Configuration dans Editor -> Fonctions de rapport -> Fonctions logiques

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Cette section récapitule toutes les fonctions logiques du module Report Generator.

Autres sujets abordés dans ce chapitre

and

exact

false

if

isblank

iserror

islogical

isnontext

isnumber

isref

istext

not

ou

true


and

and

La fonction and(logical,logical) renvoie la valeur TRUE (VRAI) si les deux arguments sont VRAIS.

La cellule reçoit automatiquement la chaîne de format True;False.

Syntaxe : =and(logical,logical)

Exemple

Cellule A1 | Cellule A2 | Cellule A3=and(A1,A2)
false | false | false
false | true | false
true | false | false
true | true | true


exact

exact

La fonction exact(string1,string2) renvoie la valeur TRUE si les deux chaînes sont identiques (sensible à la casse).

Syntaxe : =exact(string1,string2)


false

false

La fonction false() renvoie la valeur logique FALSE.

La cellule reçoit automatiquement la chaîne de format True;False.

Syntaxe : =false()

Example Exemple

L'entrée dans la cellule A1=false() est False.


if

if

La fonction if(exprTest,valTrue,valFalse) renvoie le contenu de valTrue (valeur ou chaîne) si l'argument est exprTest TRUE, et renvoie autrement le contenu de valFalse. Il est possible d'imbriquer les fonctions if, par exemple, en définissant des liens and.

Syntaxe : =if(exprTest,valTrue,valFalse)


isblank

isblank

La fonction isblank(ref) renvoie la valeur logique TRUE si la cellule de référence est vide.

Syntaxe : =isblank(ref)

Exemple

ContentA1 | A1 | Résultat
Expression logique | Non | False
Texte | Ceci est un texte | False
Vide |  | True
Numéro | 123.00 | False
Erreur | #ARG! | False


iserror

iserror

La fonction iserror(ref) renvoie la valeur logique TRUE si la cellule de référence contient une erreur.

Syntaxe : =iserror(ref)

Exemple

ContentA1 | A1 | Résultat
Expression logique | Non | False
Texte | Ceci est un texte | False
Vide |  | False
Numéro | 123.00 | False
Erreur | #ARG! | True


islogical

islogical

La fonction islogical(ref) renvoie la valeur logique TRUE si la cellule de référence contient une valeur logique.

Syntaxe : =islogical(ref)

Exemple

ContentA1 | A1 | Résultat
Expression logique | Non | True
Texte | Ceci est un texte | False
Vide |  | False
Numéro | 123.00 | False
Erreur | #ARG! | False


isnontext

isnontext

La fonction isnontext(ref) renvoie la valeur logique TRUE si la cellule de référence ne contient pas une chaîne de texte.

Syntaxe : =isnontext(ref)

Exemple

ContentA1 | A1 | Résultat
Expression logique | Non | True
Texte | Ceci est un texte | False
Vide |  | True
Numéro | 123.00 | True
Erreur | #ARG! | False


isnumber

isnumber

La fonction isnumber(ref) renvoie la valeur logique TRUE si la cellule de référence contient une valeur numérique.

Syntaxe : =isnumber(ref)

Exemple

ContentA1 | A1 | Résultat
Lien logique | Non | False
Texte | Ceci est un texte | False
Vide |  | False
Numéro | 123.00 | True
Erreur | #ARG! | False


isref

isref

La fonction isref(ref) renvoie la valeur logique TRUE si la cellule de référence contient une référence à une autre cellule.

Syntaxe : =isref(ref)

Exemple

ContentA1 | A1 | Résultat
Expression logique | Non | False
Texte | Ceci est un texte | False
Vide |  | False
Numéro | 123.00 | False
Erreur | #ARG! | False
Référence | =B1 | True


istext

istext

La fonction istext(ref) renvoie la valeur logique TRUE si la cellule de référence contient une chaîne de texte.

Syntaxe : =istext(ref)

Exemple

ContentA1 | A1 | Résultat
Lien logique | Non | False
Texte | Ceci est un texte | True
Vide |  | False
Numéro | 123.00 | False
Erreur | #ARG! | False


not

not

La fonction not(logical) renvoie l'inverse logique de l'argument.

La cellule reçoit automatiquement la chaîne de format True;False.

Syntaxe : =not(logical)

Exemple

Cellule A1 | Cellule A2=not(A1)
false | True
true | False


ou

ou

La fonction or(logical,logical) renvoie la valeur logique TRUE (VRAI) si les deux arguments renvoient la valeur TRUE.

La cellule reçoit automatiquement la chaîne de format True;False.

Syntaxe : =or(logical,logical)

Exemple

Cellule A1 | Cellule A2 | Cellule A3=or(A1,A2)
false | false | false
false | true | true
true | false | true
true | true | true


true

true

La fonction true() renvoie la valeur logique TRUE (Vrai).

La cellule reçoit automatiquement la chaîne de format True;False.

Syntaxe : =true()

Example Exemple

L'entrée dans la cellule A1=true() est True.


Fonctions mathématiques et trigonométriques

Manuel -> Création de rapports -> Report Generator -> Configuration dans Editor -> Fonctions de rapport -> Fonctions mathématiques et trigonométriques

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Des fonctions mathématiques communes sont disponibles pour les rapports. Elles peuvent non seulement être planifiées à l'aide de l'assistant Fonction, mais peuvent également être saisies directement dans la ligne de saisie.

Autres sujets abordés dans ce chapitre

abs

acos

acosh

asin

asinh

atan

atanh

atan2

ceil

Colonne

Colonnes

cos

cosh

degree

even

exp

fact

factdouble

floor

int

ln

log10

mod

odd

pi

product

quotient

radians

rand

randbetween

round

row

rows

sign

sin

sinh

sqrt

sqrtpi

tan

tanh

trunc


abs

Manuel -> Création de rapports -> Report Generator -> Configuration dans Editor -> Fonctions de rapport -> Fonctions mathématiques et trigonométriques -> abs

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
abs

La fonction abs (num) renvoie la valeur absolue d'un nombre en résultat. La valeur absolue d'un nombre est la valeur sans signe.

Syntaxe : =abs(num)

Num : est le nombre réel pour la base du calcul de la valeur absolue.

Example Exemple

=abs(2.2) égale 2

=abs(-2.2) égale 2


acos

Manuel -> Création de rapports -> Report Generator -> Configuration dans Editor -> Fonctions de rapport -> Fonctions mathématiques et trigonométriques -> acos

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
acos

La fonction acos (num) renvoie le cosinus inverse d'un nombre.

Syntaxe : =acos(num)


acosh

Manuel -> Création de rapports -> Report Generator -> Configuration dans Editor -> Fonctions de rapport -> Fonctions mathématiques et trigonométriques -> acosh

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
acosh

La fonction acosh (num renvoie le cosinus hyperbolique inverse d'un nombre.

Syntaxe : =acosh(num)


asin

Manuel -> Création de rapports -> Report Generator -> Configuration dans Editor -> Fonctions de rapport -> Fonctions mathématiques et trigonométriques -> asin

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
asin

La fonction asin (num) renvoie le cosinus inverse d'un nombre.

Syntaxe : =asin(num)


asinh

Manuel -> Création de rapports -> Report Generator -> Configuration dans Editor -> Fonctions de rapport -> Fonctions mathématiques et trigonométriques -> asinh

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
asinh

La fonction asinh (num) renvoie le sinus hyperbolique inverse d'un nombre.

Syntaxe : =asinh(num)


atan

Manuel -> Création de rapports -> Report Generator -> Configuration dans Editor -> Fonctions de rapport -> Fonctions mathématiques et trigonométriques -> atan

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
atan

La fonction atan (num) renvoie la tangente inverse d'un nombre.

Syntaxe : =atan(num)


atanh

Manuel -> Création de rapports -> Report Generator -> Configuration dans Editor -> Fonctions de rapport -> Fonctions mathématiques et trigonométriques -> atanh

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
atanh

La fonction atanh (num) renvoie la tangente hyperbolique inverse d'un nombre.

Syntaxe : =atanh(num)


atan2

Manuel -> Création de rapports -> Report Generator -> Configuration dans Editor -> Fonctions de rapport -> Fonctions mathématiques et trigonométriques -> atan2

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
atan2

La fonction atan2 (x,y) renvoie la tangente inverse sur la base de coordonnées x et y.

Syntaxe : =atan2(x, y)


ceil

Manuel -> Création de rapports -> Report Generator -> Configuration dans Editor -> Fonctions de rapport -> Fonctions mathématiques et trigonométriques -> ceil

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
ceil

La fonction ceil (num) renvoie la valeur entière immédiatement supérieure à la valeur entière arrondie de la valeur.

Syntaxe : =ceil(num)

Example Exemple

=ceil(2.2) égale 3

=ceil(-2,2) égale -3


Colonne

Manuel -> Création de rapports -> Report Generator -> Configuration dans Editor -> Fonctions de rapport -> Fonctions mathématiques et trigonométriques -> Colonne

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Colonne

La fonction column (ref) fournit le numéro de colonne d'une connexion (par exemple, C3=2) dans la plage de valeurs de 0 à n.

Syntaxe : =column(ref)


Colonnes

Manuel -> Création de rapports -> Report Generator -> Configuration dans Editor -> Fonctions de rapport -> Fonctions mathématiques et trigonométriques -> Colonnes

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Colonnes

La fonction columns (range) renvoie le nombre de colonnes dans la plage définie.

Syntaxe : =columns(range)


cos

Manuel -> Création de rapports -> Report Generator -> Configuration dans Editor -> Fonctions de rapport -> Fonctions mathématiques et trigonométriques -> cos

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
cos

La fonction cos(num) renvoie le cosinus d'un nombre.

Syntaxe : =cos(num)

Exemple

=cos(Entrée)

 | Entrée | Résultat
degrés | Radians() | cosinus
0.00 | 0 | 1 000
45.00 | 0.78539816339744828 | 0 707
90.00 | 1.5707963267948966 | 0 000
135.00 | 2.3561944901923448 | -0 707
180.00 | 3.1415926535897931 | -1 000
225.00 | 3.9269908169872414 | -0 707
270.00 | 4.7123889803846897 | -0 000
315.00 | 5.497787143782138 | 0 707
360,00 | 6.2831853071795862 | 1 000


cosh

Manuel -> Création de rapports -> Report Generator -> Configuration dans Editor -> Fonctions de rapport -> Fonctions mathématiques et trigonométriques -> cosh

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
cosh

La fonction cosh(num) renvoie le cosinus hyperbolique d'un nombre.

Syntaxe : =cosh(num)


degree

Manuel -> Création de rapports -> Report Generator -> Configuration dans Editor -> Fonctions de rapport -> Fonctions mathématiques et trigonométriques -> degree

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
degree

La fonction degree(num) convertit des radians en degrés.

Syntaxe : =degree(num)

Exemple

=degree(Entrée)

Entrée | Résultat
Radians() | Degree()
0 | 0
0.78539816339744828 | 45
1.5707963267948966 | 90
2.3561944901923448 | 135
3.1415926535897931 | 180
3.9269908169872414 | 225
4.7123889803846897 | 270
5.497787143782138 | 315
6.2831853071795862 | 360


even

Manuel -> Création de rapports -> Report Generator -> Configuration dans Editor -> Fonctions de rapport -> Fonctions mathématiques et trigonométriques -> even

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
even

La fonction even(num) renvoie la prochaine valeur supérieure entière paire. Les valeurs négatives sont arrondies de 0 vers moins l'infini.

Syntaxe : =even(num)

Example Exemple

=even(2.2) égale 4

=even(-2.2) égale -4


exp

Manuel -> Création de rapports -> Report Generator -> Configuration dans Editor -> Fonctions de rapport -> Fonctions mathématiques et trigonométriques -> exp

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
exp

La fonction exp(num) calcule l'exponentielle e de la valeur mentionnée en argument.

Syntaxe : =exp(num)

Example Exemple

=exp(0) égale 1

=exp(1) égale 2,718282

=exp(10) égale 22026,465795


fact

Manuel -> Création de rapports -> Report Generator -> Configuration dans Editor -> Fonctions de rapport -> Fonctions mathématiques et trigonométriques -> fact

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
fact

La fonction fact(int) renvoie la factorielle d'un nombre.

Syntaxe : =fact(int)

Example Exemple

=fact(0) égale 1 (1)

=fact(1) égale 1 (1)

=fact(2) égale 2 (1*2)

=fact(3) égale 6 (1*2*3)

=fact(4) égale 24 (1*2*3*4)

=fact(5) égale 120 (1*2*3*4*5)


factdouble

Manuel -> Création de rapports -> Report Generator -> Configuration dans Editor -> Fonctions de rapport -> Fonctions mathématiques et trigonométriques -> factdouble

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
factdouble

La fonction factdouble(num) renvoie la factorielle double d'un nombre. Dans ce cas, seul le produit d'un nombre sur deux est renvoyé.

Syntaxe : =factdouble(num)

Example Exemple

=factdouble(0) égale 0 (0)

=factdouble(1) égale 1 (1)

=factdouble(2) égale 2 (2)

=factdouble(3) égale 3 (1*3)

=factdouble(4) égale 8 (2*4)

=factdouble(5) égale 15 (1*3*5)


floor

Manuel -> Création de rapports -> Report Generator -> Configuration dans Editor -> Fonctions de rapport -> Fonctions mathématiques et trigonométriques -> floor

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
floor

La fonction floor(num) renvoie la valeur entière immédiatement inférieure à la valeur entière, arrondie à la valeur inférieure. Les valeurs négatives sont arrondies en allant vers 0.

Syntaxe : =floor(num)

Example Exemple

=floor(2.2) égale 2

=floor(-2.2) égale -2


int

Manuel -> Création de rapports -> Report Generator -> Configuration dans Editor -> Fonctions de rapport -> Fonctions mathématiques et trigonométriques -> int

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
int

La fonction int(num) renvoie la valeur entière immédiatement inférieure à la valeur entière, arrondie à la valeur inférieure. Les valeurs négatives sont arrondies de 0 vers moins l'infini.

Syntaxe : =int(num)

Example Exemple

=int(2.2) égale 2

=int(-2.2) égale -3


ln

Manuel -> Création de rapports -> Report Generator -> Configuration dans Editor -> Fonctions de rapport -> Fonctions mathématiques et trigonométriques -> ln

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
ln

La fonction ln(num) renvoie l'algorithme naturel d'un nombre.

Syntaxe : =ln(num)

Example Exemple

=ln(1) égale 0

=ln(2.718282) égale 1

=ln(22026.465795) égale 10


log10

Manuel -> Création de rapports -> Report Generator -> Configuration dans Editor -> Fonctions de rapport -> Fonctions mathématiques et trigonométriques -> log10

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
log10

La fonction log10(num) renvoie le logarithme base 10 d'un nombre.

Syntaxe : =log10(num)

Example Exemple

=log10(1) égale 0

=log10(10) égale 1

=log10(100) égale 2

=log10(1000) égale 3


mod

Manuel -> Création de rapports -> Report Generator -> Configuration dans Editor -> Fonctions de rapport -> Fonctions mathématiques et trigonométriques -> mod

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
mod

La fonction mod(num, diviseur) renvoie le modulo de la division d'une valeur (num) par un diviseur (diviseur).

Syntaxe : =mod(num,diviseur)

Example Exemple

=mod(0.3) égale 0

=mod(1.3) égale 1

=mod(2.3) égale 2

=mod(3.3) égale 0

=mod(4.3) égale 1


odd

Manuel -> Création de rapports -> Report Generator -> Configuration dans Editor -> Fonctions de rapport -> Fonctions mathématiques et trigonométriques -> odd

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
odd

La fonction odd(num) renvoie la prochaine valeur supérieure entière impaire. Les valeurs négatives sont arrondies de 0 vers moins l'infini.

Syntaxe : =odd(num)

Example Exemple

=odd(2.2) égale 3

=odd(-2,2) égale -3


pi

Manuel -> Création de rapports -> Report Generator -> Configuration dans Editor -> Fonctions de rapport -> Fonctions mathématiques et trigonométriques -> pi

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
pi

La fonction pi renvoie la valeur de pi : 3.1415926535897931

Syntaxe : =pi()

Format standard : *0.######

Example Exemple

=pi() comporte la mise en forme standard 3,141593.


product

Manuel -> Création de rapports -> Report Generator -> Configuration dans Editor -> Fonctions de rapport -> Fonctions mathématiques et trigonométriques -> product

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
product

La fonction product (range) renvoie le produit des valeurs comprises dans la plage spécifiée.

Syntaxe : =product(range)

Exemple

Cellules de A1 à A10: importe quel nombre.

Cellule B1=product(A1:A10)

Cellule/colonne | A | B
1 | 1 | 3628800
2 | 2 |
3 | 3 |
4 | 4 |
5 | 5 |
6 | 6 |
7 | 7 |
8 | 8 |
9 | 9 |
10 | 10 |

Le résultat de la plage A1 à A10 est 3628800.


quotient

Manuel -> Création de rapports -> Report Generator -> Configuration dans Editor -> Fonctions de rapport -> Fonctions mathématiques et trigonométriques -> quotient

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
quotient

La fonction quotient(num,diviseur) renvoie la partie entière du résultat d'une division.

Syntaxe : =quotient(num,diviseur)

Example Exemple

=quotient(0.3) égale 0

=quotient(1.3) égale 0

=quotient(2.3) égale 0

=quotient(3.3) égale 1

=quotient(4.3) égale 1


radians

Manuel -> Création de rapports -> Report Generator -> Configuration dans Editor -> Fonctions de rapport -> Fonctions mathématiques et trigonométriques -> radians

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
radians

La fonction radians(num) convertit des degrés en radians.

Syntaxe : =radians(num)

num : saisie en degrés

Exemple

=radians(Entrée)

Entrée | Résultat
0.00 | 0
45.00 | 0.78539816339744828
90.00 | 1.5707963267948966
135.00 | 2.3561944901923448
180.00 | 3.1415926535897931
225.00 | 3.9269908169872414
270.00 | 4.7123889803846897
315.00 | 5.497787143782138
360.00 | 6.2831853071795862


rand

Manuel -> Création de rapports -> Report Generator -> Configuration dans Editor -> Fonctions de rapport -> Fonctions mathématiques et trigonométriques -> rand

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
rand

La fonction rand() renvoie une nouvelle valeur aléatoire comprise entre 0,000 et 1 000 chaque fois que le rapport est calculé.

Syntaxe : =rand()


randbetween

Manuel -> Création de rapports -> Report Generator -> Configuration dans Editor -> Fonctions de rapport -> Fonctions mathématiques et trigonométriques -> randbetween

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
randbetween

La fonction randbetween(min,max) renvoie une nouvelle valeur aléatoire comprise entre min et max chaque fois que le rapport est calculé.

Syntaxe : =randbetween(min,max)


round

Manuel -> Création de rapports -> Report Generator -> Configuration dans Editor -> Fonctions de rapport -> Fonctions mathématiques et trigonométriques -> round

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
round

La fonction round(num,digits) arrondit une valeur (num) au nombre de décimales (digits) indiqué.

Syntaxe : =round(num,digits)


row

Manuel -> Création de rapports -> Report Generator -> Configuration dans Editor -> Fonctions de rapport -> Fonctions mathématiques et trigonométriques -> row

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
row

La fonction row(ref) renvoie le numéro de ligne d'une cellule de référence (par exemple, C3=3) dans la plage de valeurs 0 à n.

Syntaxe : =row(ref)


rows

Manuel -> Création de rapports -> Report Generator -> Configuration dans Editor -> Fonctions de rapport -> Fonctions mathématiques et trigonométriques -> rows

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
rows

La fonction rows(range) calcule le nombre de cellules vides dans la plage définie.

Syntaxe : =rows(range)


sign

Manuel -> Création de rapports -> Report Generator -> Configuration dans Editor -> Fonctions de rapport -> Fonctions mathématiques et trigonométriques -> sign

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
sign

La fonction sign(num) renvoie la valeur

  • 1, si le nombre (num) est positif
  • -1, si le nombre est négatif
  • 0, si le nombre est nul (0)

Syntaxe : =sign(num)

Example Exemple

=sign(2.2) égale 1

=sign(-2.2) égale -1

=sign(0.0) égale 0


sin

Manuel -> Création de rapports -> Report Generator -> Configuration dans Editor -> Fonctions de rapport -> Fonctions mathématiques et trigonométriques -> sin

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
sin

La fonction sin(num) renvoie le sinus d'un nombre.

Syntaxe : =sin(num)

num: saisie en radians

Exemple

=sin(Entrée)

 | Entrée | Résultat
degrés | Radians() | sinus
0.00 | 0 | 0 000
45.00 | 0.78539816339744828 | 0 707
90.00 | 1.5707963267948966 | 1 000
135.00 | 2.3561944901923448 | 0 707
180.00 | 3.1415926535897931 | 0 000
225.00 | 3.9269908169872414 | -0 707
270.00 | 4.7123889803846897 | -1 000
315.00 | 5.497787143782138 | -0 707
360.00 | 6.2831853071795862 | -0 000


sinh

Manuel -> Création de rapports -> Report Generator -> Configuration dans Editor -> Fonctions de rapport -> Fonctions mathématiques et trigonométriques -> sinh

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
sinh

La fonction sinh(num) renvoie le sinus hyperbolique d'un nombre.

Syntaxe : =sinh(num)


sqrt

Manuel -> Création de rapports -> Report Generator -> Configuration dans Editor -> Fonctions de rapport -> Fonctions mathématiques et trigonométriques -> sqrt

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
sqrt

La fonction sqrt(num) renvoie la racine carrée d'un nombre.

Syntaxe : =sqrt(num)

Example Exemple

=sqrt(1) égale 1

=sqrt(2) égale 1,414214

=sqrt(3) égale 1,732051

=sqrt(4) égale 2


sqrtpi

Manuel -> Création de rapports -> Report Generator -> Configuration dans Editor -> Fonctions de rapport -> Fonctions mathématiques et trigonométriques -> sqrtpi

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
sqrtpi

La fonction sqrtpi(num) renvoie la racine carrée d'une valeur de pi.

Syntaxe : =sqrtpi()

Example Exemple

=sqrtpi(1) égale 3,141593 = 1*pi

=sqrtpi(2) égale 4.442883 = sqrt(2)*pi

=sqrtpi(3) égale 5.441398 = sqrt(3)*pi

=sqrtpi(4) égale 6.283185 = sqrt(4)*pi


tan

Manuel -> Création de rapports -> Report Generator -> Configuration dans Editor -> Fonctions de rapport -> Fonctions mathématiques et trigonométriques -> tan

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
tan

La fonction tan(num) renvoie la tangente d'un nombre.

Syntaxe : =tan(num)


tanh

Manuel -> Création de rapports -> Report Generator -> Configuration dans Editor -> Fonctions de rapport -> Fonctions mathématiques et trigonométriques -> tanh

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
tanh

La fonction tanh(num) renvoie la tangente hyperbolique d'un nombre.

Syntaxe : =tanh(num)


trunc

Manuel -> Création de rapports -> Report Generator -> Configuration dans Editor -> Fonctions de rapport -> Fonctions mathématiques et trigonométriques -> trunc

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
trunc

La fonction trunc(num) renvoie la valeur entière immédiatement inférieure à la valeur entière, arrondie à la valeur inférieure. Les valeurs négatives sont arrondies en allant vers 0.

Syntaxe : =trunc(num)

Example Exemple

=trunc(2.2) égale 2

=trunc(-2.2) égale -2


Recipe Group Manager

Manuel -> Création de rapports -> Report Generator -> Configuration dans Editor -> Fonctions de rapport -> Recipe Group Manager

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Les variables provenant des autres projets chargés et utilisées dans des recettes peuvent également être affichées grâce aux fonctions de rapport du module Recipe Group Manager. Ces fonctions peuvent uniquement être utilisées avec les synoptiques de type Recipe Group Manager.

L'assistant Fonction est disponible pour la configuration.

Autres sujets abordés dans ce chapitre

recipea

recipef

recipew


recipea

recipea

La fonction =recipeaInhalt) affiche les données générales d'une recette du module Recipe Group Manager.

Syntaxe : =recipea(Inhalt)

Sommaire | Description
muser | Utilisateur ayant édité la recette en dernier.
mzeit | Heure de la dernière modification.
rez | Nom de la recette.
rezg | Nom du groupe de recettes auquel appartient la recette.
reznum | Numéro de la recette
text1 à text 8 | Commentaires 1 à 8 des utilisateurs de la recette.
text2 | Commentaire utilisateur n°2 pour la recette.
version | Numéro de version de la recette.
status | État de la dernière recette sous forme de texte. Par exemple : 1 - Exemple de recette

Example Exemple

=recipea(recnum)


recipef

recipef

La fonction =recipef(contenu, variable) affiche les données relatives aux variables d'une recette du module Recipe Group Manager. Ces données peuvent être librement positionnées dans le rapport.

Syntaxe : =recipef(contenu,variable)

Sommaire | Description
Nom | Nom de la variable.
identification | Identification de la variable.
type | Type de source.
unité | Unité technique de mesure des variables.
valeur | Valeur de la variable dans la recette.
Symboles | Affiche les textes de valeur limite provenant de la matrice de réaction ou de la valeur limite sous forme de texte.
min. | Valeur minimale de la plage de valeurs autorisée pour la variable dans cette recette.
max | Valeur maximale de la plage de valeurs autorisée pour la variable dans cette recette.
valeur_actuelle | Si la variable définie n'existe pas dans la recette sélectionnée, la cellule contient la marque -.
Verrouillage | Affichage des verrouillages. Les noms n'étant pas disponibles dans le Runtime, seuls les identifiants des verrouillages sélectionnés dans le module Recipe Group Manager sont affichés.
Visibilité | Affiche la visibilité des variables.
Variable de recette graphique | Affiche le nom de la variable de recette graphique liée. Affichage uniquement dans le Runtime. Configuration dans Editor.
Filtre | Texte de filtre sélectionné dans le module Recipe Group Manager.
Clavier | Affiche le clavier lié.
Spécifier la valeur limite | Oui : Transfère la valeur limite définie vers la variable. Affichage uniquement dans le Runtime. Configuration dans Editor.

Example Exemple

=recipef("value","température")


recipew

recipew

La fonction =recipew(contenu, sens) affiche les données relatives aux variables d'une recette du module Recipe Group Manager sous forme de tableau.

Syntaxe : =recipew(content,direction)

Sommaire | Description
Nom | Nom de la variable.
identification | Identification de la variable.
type | Type de source.
unité | Unité technique de mesure des variables.
valeur | Valeur de la variable dans la recette.
Symboles | Affichage de valeurs sous forme de texte.
min. | Valeur minimale de la plage de valeurs autorisée pour la variable dans cette recette.
max | Valeur maximale de la plage de valeurs autorisée pour la variable dans cette recette.
valeur_actuelle | Si la variable définie n'existe pas dans la recette sélectionnée, la cellule contient la marque -.
Verrouillage | Affichage des verrouillages. Les noms n'étant pas disponibles dans le Runtime, seuls les identifiants des verrouillages sélectionnés dans le module Recipe Group Manager sont affichés.
Visibilité | Affiche la visibilité des variables.
Variable de recette graphique | Affiche le nom de la variable de recette graphique liée. Affichage uniquement dans le Runtime. Configuration dans Editor.
Filtre | Texte de filtre sélectionné dans le module Recipe Group Manager.
Clavier | Affiche le clavier lié.
Spécifier la valeur limite | Oui : Transfère la valeur limite définie vers la variable. Affichage uniquement dans le Runtime. Configuration dans Editor.

Example Exemple

=recipew(nom,bottom)


Fonctions de statistiques

Manuel -> Création de rapports -> Report Generator -> Configuration dans Editor -> Fonctions de rapport -> Fonctions de statistiques

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Des fonctions statistiques communes sont disponibles pour les rapports. Elles peuvent non seulement être planifiées à l'aide de l'assistant Fonction, mais peuvent également être saisies directement dans la ligne de saisie.

Autres sujets abordés dans ce chapitre

avg

count

counta

countblank

max

min.

percentile

stdev

stdevp

sum

sumsq

var

varp


avg

avg

La fonction avg (range) calcule la moyenne des valeurs comprises dans la plage.

Syntaxe : =avg(range)

Exemple

Cellule A4= avg(A1:A3)

Ligne/colonne | A
1 | 1
2 | 3
3 | 5
4 | 3

La moyenne des cellules A1 à A3 est égale à 3.


count

count

La fonction count (range) renvoie le nombre de valeurs numériques dans la plage définie.

Syntaxe : =count(range)

Exemple

Cellule A5= count(A1:A4)

Ligne/colonne | A
1 | 1
2 | Texte
3 |
4 | 3
5 | 2

Le nombre de valeurs numériques dans les cellules de A1 à A4 est 2.


counta

counta

La fonction counta (range) calcule le nombre de cellules non vides dans une plage donnée.

Syntaxe : =counta(range)

Exemple

Cellule A5=counta(A1:A4)

Ligne/colonne | A
1 | 1
2 | Texte
3 |
4 | 3
5 | 3

Le nombre de cellules non vides entre A1 et A4 est 3.


countblank

countblank

La fonction countblank (range) calcule le nombre de cellules vides dans une plage donnée.

Syntaxe : =countblank(range)

Exemple

Cellule A5 = countblank(A1:A4)

Ligne/colonne | A
1 | 1
2 | Texte
3 |
4 | 3
5 | 1

Le nombre de cellules vides entre A1 et A4 est 1.


max

max

La fonction max (range) calcule la valeur la plus élevée dans une plage de cellules.

Syntaxe : =max(range)

Exemple

Cellules de A1 à A10: importe quel nombre.

Cellule B1=max(A1:A10)

Ligne/colonne | A | B
1 | 1 | 10
2 | 2 |
3 | 3 |
4 | 4 |
5 | 5 |
6 | 6 |
7 | 7 |
8 | 8 |
9 | 9 |
10 | 10 |

La valeur la plus élevée dans la plage de cellules A1 à A10 se trouve dans la cellule A10, et est 10.


min.

min.

La fonction min (range) calcule la valeur la moins élevée dans une plage de cellules.

Syntaxe : =min(range)

Exemple

Cellules de A1 à A10: importe quel nombre.

Cellule B1=min(A1:A10)

Ligne/colonne | A | B
1 | 1 | 1
2 | 2 |
3 | 3 |
4 | 4 |
5 | 5 |
6 | 6 |
7 | 7 |
8 | 8 |
9 | 9 |
10 | 10 |

La valeur la moins élevée dans la plage de cellules A1 à A10 se trouve dans la cellule A1, et est 1.


percentile

percentile

La fonction percentile (range,num) renvoie une valeur de seuil à partir de laquelle les valeurs sont acceptées.

Syntaxe : =percentile(range,num)

Range: matrice ou plage de valeurs décrivant la position relative des données.

Num: entier de 0 à 100

Exemple

Cellules de A1 à A10: importe quel nombre.

Cellule B1=percentile(A1:A10,90)

Ligne/colonne | A | B
1 | 1 | 9.1
2 | 2 |
3 | 3 |
4 | 4 |
5 | 5 |
6 | 6 |
7 | 7 |
8 | 8 |
9 | 9 |
10 | 10 |

La valeur de seuil de la plage A1 à A10 est 9,1.


stdev

stdev

La fonction stdev (range) renvoie une estimation de l'écart-type sur la base d'un échantillon de valeurs aléatoires comprises dans la plage définie.

Formule :

Syntaxe : =stdev(range)

Exemple

Cellules de A1 à A10: importe quel nombre.

Cellule A11=stdev(A1:A10)

Ligne/colonne | A
1 | 745.00
2 | 730.00
3 | 732.00
4 | 768.00
5 | 769.00
6 | 747.00
7 | 718.00
8 | 723.00
9 | 766.00
10 | 739.00
11 | 18.785633

L'écart-type de la plage A1 à A10 est estimé sur la base de l'échantillon 18,85633.


stdevp

stdevp

La fonction stdevp (range) renvoie une estimation de l'écart-type sur la base du total des valeurs comprises dans la plage définie.

Formule :

Syntaxe : =stdevp(range)

Exemple

Cellules de A1 à A10: importe quel nombre.

Cellule A11= stdevp(A1:A10)

Ligne/colonne | A
1 | 745.00
2 | 730.00
3 | 732.00
4 | 768.00
5 | 769.00
6 | 747.00
7 | 718.00
8 | 723.00
9 | 766.00
10 | 739.00
11 | 17.821616

L'écart-type de la plage A1 à A10 est estimé à 17,821616.


sum

sum

La fonction sum (range) calcule la somme des valeurs comprises dans la plage spécifiée.

Syntaxe : =sum(range)

Exemple

Cellules de A1 à A10: importe quel nombre.

Cellule B1=sum(A1:A10)

Ligne/colonne | A | B
1 | 1 | 55
2 | 2 |
3 | 3 |
4 | 4 |
5 | 5 |
6 | 6 |
7 | 7 |
8 | 8 |
9 | 9 |
10 | 10 |

La somme de toutes les valeurs dans la plage de A1 à A10 est 55.


sumsq

sumsq

La fonction sumsq (range) calcule la somme des carrés des valeurs comprises dans une plage.

Syntaxe : =sumsq(range)

Exemple

Cellules de A1 à A10: importe quel nombre.

Cellule A11=sumsq(A1:A10)

Ligne/colonne | A | B
1 | 1 | 1
2 | 2 | 4
3 | 3 | 9
4 | 4 | 16
5 | 5 | 25
6 | 6 | 36
7 | 7 | 49
8 | 8 | 56
9 | 9 | 81
10 | 10 | 100
11 | 385 | 385

Supervision

Cellules B1 à B10 : Carrés de A1 à A10

Cellule B11= sum(B1:B10)


var

var

La fonction var (range) renvoie une estimation de la variance sur la base d'un échantillon de valeurs aléatoires comprises dans la plage définie.

Formule :

Syntaxe : =var(range)

Exemple

Cellules de A1 à A10: importe quel nombre.

Cellule A11=var(A1:A10)

Ligne/colonne | A
1 | 745.00
2 | 730.00
3 | 732.00
4 | 768.00
5 | 769.00
6 | 747.00
7 | 718.00
8 | 723.00
9 | 766.00
10 | 739.00
11 | 352.9

La variance de la plage A1 à A10 est estimé sur la base de l'échantillon 352,9.


varp

varp

La fonction varp (range) renvoie une estimation de la variation sur la base du total des valeurs comprises dans la plage définie.

Formule :

Syntaxe : =varp(range)

Exemple

Cellules de A1 à A10: importe quel nombre.

Cellule A11=varp(A1:A10)

Ligne/colonne | A
1 | 745.00
2 | 730.00
3 | 732.00
4 | 768.00
5 | 769.00
6 | 747.00
7 | 718.00
8 | 723.00
9 | 766.00
10 | 739.00
11 | 317.61

La variation de la plage A1 à A10 est estimée à 317,61.


Fonctions texte

Manuel -> Création de rapports -> Report Generator -> Configuration dans Editor -> Fonctions de rapport -> Fonctions texte

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Différentes fonctions de texte sont disponibles pour les rapports. Elles peuvent non seulement être planifiées à l'aide de l'assistant Fonction, mais peuvent également être saisies directement dans la ligne de saisie. Exception : paint

Autres sujets abordés dans ce chapitre

char

clean

code

find

fixed

gauche

len

moindres

mid

paint

proper

replace

rept

droite

search

substitute

trim

upper


char

char

La fonction char(code) renvoie le caractère ASCII défini sous code.

Syntaxe : =char(code)

code: nombre compris entre 1 et 255.

Example Exemple

=char(88) est égal à X

Si la cellule A1 contient la valeur 35, la fonction =char (A1) renvoie le caractère # en tant que résultat.

Pour déterminer le code ASCII d'un caractère, utilisez la fonction Code.


clean

clean

La fonction clean(string) nettoie tous les caractères de contrôle d'une chaîne de caractères de texte.

Syntaxe : =clean(string)


code

code

La fonction code(string) fournit le code ASCII correspondant au premier caractère d'une chaîne de caractères de texte.

Si la chaîne se trouve entre les parenthèses du texte devant être codé, elle est insérée entre guillemets. Si elle désigne une autre ligne, celle-ci est saisie.

Syntaxe : =code(string)

Example Exemple

=code("z") égale 122.

La cellule A1 contient le texte zoom :

=code(A1) égale 122

Pour déterminer le caractère correspondant à un code ASCII, utilisez la fonction char.

attention Attention

La fonction code(string) fournit uniquement le code ASCII correspondant au premier caractère d'une chaîne de texte.


find

find

La fonction find(keystring,string,start) fournit la position d'une séquence de caractères (keystring) dans une chaîne de texte (string). La position est cherchée dans la chaîne de caractères à partir du caractère de départ (start), en tenant compte de la casse.

Syntaxe : =find(keystring,string,start)

Example Exemple

Cellule A1 : cd

Cellule A2 : ABCDabcd

Cellule A3 : 1

Cellule A4=find(A1,A2,A3) Resultat = 7


fixed

fixed

La fonction fixed(num,decimals) formate un nombre et le convertit en chaîne de caractères définie.

Syntaxe : =fixed(num,decimals)

  • num: Valeur numérique ou référence de cellule
  • décimales : nombre de décimales

Example Exemple

Cellule A1 = 12345.672

=fixed(A1,2) égale 12345.67

=fixed(A1,1) égale 12345.6

Le séparateur et l'affichage dépendent également des paramètres régionaux et des paramètres de formatage définis dans la section Cellule.

Remarque : la fonction fixed() ne peut pas être associée à une chaîne de mise en forme, telle que la déclaration d'unités.

Différence par rapport à zenon 5.50 et aux versions antérieures

La fonction fixed() comporte également l'argument no_seps dans les versions antérieures à la version 5.50. L'argument est optionnel, et contrôle l'affichage des séparateurs de milliers.

Syntaxe : =fixed(num,decimals,no_seps)

  • pas_de_séps :
    • 0 : un séparateur est inséré.
    • 1 : aucun séparateur n'est inséré.

Dans les versions récentes, les chiffres sont généralement présentés sans séparateurs de milliers.


gauche

gauche

La fonction left(string,num) renvoie le nombre de caractères d'une chaîne de caractères définie dans (num), en commençant par le premier caractère.

Syntaxe : =left(string,num)

  • string: chaîne de caractères entre guillemets ou référence à une cellule contenant une chaîne de caractères.
  • num: nombre de caractères devant être lus, en commençant par le premier.

Example Exemple

Cellule A1 = abcdefgh

=left(A1,3) renvoie abc.

=left(A1,5) renvoie abcde.

Pour lire les caractères en commençant par le dernier caractère d'une chaîne de caractères, utilisez la fonction Droite.


len

len

La fonction len(string) renvoie le nombre de caractères dans une chaîne de caractères.

Syntaxe : =len(string)

Example Exemple

Cellule A1 = abc
=len(A1) renvoie 3

Cellule A1 = abcdefgh
=len(A1) renvoie 8


moindres

moindres

La fonction lower(string) remplace toutes les lettres majuscules d'une chaîne de caractères par des lettres minuscules.

Syntaxe : =lower(string)

Example Exemple

Cellule A1 = AbCdEf
=lower(A1) renvoie abcdef

Pour remplacer les lettres minuscules par des lettres majuscules, utilisez la fonction Upper.


mid

mid

La fonction mid(string,numStart,numLen) a extrait

  • de la chaîne de caractères définie string
  • une nouvelle chaîne de caractères
  • Avec un nombre de caractères défini par l'argument numLen
  • à partir de la position de départ définie par numStart.

Syntaxe : =mid(string,numStart,numLen)

Example Exemple

Cellule A1 = abcdefgh
=mid(A1,2,4) renvoie bcde


paint

paint

La fonction =paint(referenz) poursuit la chaîne de caractères fournie dans la cellule référencée si la cellule référencée ne contient pas assez d'espace à cette fin. Ainsi, les longues chaînes de caractères peuvent être affichées correctement en étant divisées en plusieurs cellules.

Syntaxe : =paint(referenz)

Example Exemple

La cellule A1 contient les caractères : abcdefghijklmn

Dans la cellule A1, les caractères suivants sont affichés en raison de la largeur de la cellule : abcdefg

=paint(A1) dans la cellule A2 entraîne l'affichage suivant :

A1: abcdefg

A2: hijklmn

Cette fonction de texte peut être configurée avec l'assistant Fonction.


proper

proper

La fonction proper(string) transforme le premier caractère d'un mot en lettre majuscule et tous les caractères suivants en lettres minuscules. Le début du mot est le premier caractère alphabétique d'une chaîne de caractères. Si la chaîne de caractères contient plusieurs caractères non alphabétiques, un nouveau mot est démarré après chaque caractère non alphabétique.

Syntaxe : = proper (string)

Example Exemple

Cellule A1 = AbCdEf
=proper(A1) renvoie Abcdef.

Cellule A1 = aBcDeF
=proper(A1) renvoie Abcdef.

Cellule A1 = 1aBcD2eF
=proper(A1) renvoie 1Abcd2Ef.


replace

replace

La fonction replace(string,numStart,numLen,stringNew)

  • remplace, dans la chaîne de caractères de texte string,
  • à partir de la position de départ définie par numStart,
  • un nombre de caractères défini par numLen
  • par des caractères provenant de la nouvelle chaîne de caractères de texte, stringNew.

Syntaxe : =replace(string,numStart,numLen,stringNew)

Example Exemple

Cellule A1 = abcdefgh
Cellule A2 = xyz
=replace(A1,3,2,A2) renvoie abxyzefgh

Dans cet exemple, dans la chaine abcdefgh, les caractères cd (troisième position dans la chaine, 2 caractères) sont remplacés par xyz.


rept

rept

La fonction rept(string,num) répète la chaîne de caractères string autant de fois que défini dans num.

Syntaxe : =rept(string,num)

Example Exemple

Cellule A1 = abc
Cellule A2 = 3
=rept(A1,A2) renvoie abcabcabc


droite

droite

La fonction right(string,num) renvoie le nombre de caractères d'une chaîne de caractères définie dans (num), en commençant par le dernier caractère.

Syntaxe : =right(string,num)

  • string: chaîne de caractères entre guillemets ou référence à une cellule contenant une chaîne de caractères.
  • num: nombre de caractères devant être lus, en commençant par le dernier.

Example Exemple

Cellule A1 = abcdefgh

=right(A1,3) renvoie fgh

=right(A1,5) renvoie defgh

Pour lire les caractères en commençant par le premier caractère d'une chaîne de caractères, utilisez la fonction Gauche.


search

search

La fonction search(keystring,string,start) renvoie

  • la position d'un texte de recherche keystring
  • dans une chaîne de caractères string
  • à partir de la position du caractère start.

Syntaxe : =search(string,keystring,start)

Exemple

Cellule A4=search(A1,A2,A3)

Cellule/colonne | A
1 | abcdeABCDEabcde
2 | cd
3 | 1
4 | 3

La fonction dans la cellule A4 trouve le texte recherché pour cd dans la cellule A1, à la position 3.


substitute

substitute

La fonction substitute(string,oldstring,newstring,instance)

  • remplace, dans la chaîne de caractères de texte, string
  • une séquence de caractères oldstring
  • par une nouvelle séquence de caractères newstring
  • dans laquelle instance détermines la position de .
    • instance=0 remplace toutes les chaînes de caractères trouvées.

La fonction tient compte de la casse.

Syntaxe : =substitute(string, oldstring, newstring, instance)

Example Exemple

Cellule A1 = abcdef ABCDEF abcdef ABCDEF abcdef ABCDEF
Cellule A2 = XYZ

Exemple 1 :

=substitute(A1,"ABCDEF",A2,0) renvoie abcdef XYZ abcdef XYZ abcdef XYZ

Dans cet exemple, seule la séquence de caractères complète ABCDEF de la chaîne entière abcdef ABCDEF abcdef ABCDEF abcdef ABCDEF est remplacée par XYZ.

Exemple 2 :

=substitute(A1,"abcdef",A2,2) renvoie abcdef ABCDEF XYZ ABCDEF abcdef ABCDEF

Dans cet exemple, seule la deuxième séquence de caractères ABCDEF de la chaîne abcdef ABCDEF abcdef ABCDEF abcdef ABCDEF est remplacée par XYZ.

Remarque : les chaînes de caractères saisies dans la fonction sont insérées entre guillemets ("chaîne de caractères").


trim

trim

La fonction trim(string) autorise jusqu'à un espace entre deux caractères. Tous les autres espaces sont supprimés.

Syntaxe : =trim(string)

Example Exemple

Cellule A1 = les espaces excédentaires sont réduits à 1.
=trim(A1) égale : les espaces excédentaires sont réduits à 1.


upper

upper

La fonction upper(string) remplace toutes les lettres minuscules d'une chaîne de caractères par des lettres majuscules.

Syntaxe : =upper(string)

Example Exemple

Cellule A1 = AbCdEf
=upper(A1) renvoie ABCDEF

Pour remplacer les lettres majuscules par des lettres minuscules, utilisez la fonction Lower.


Autres fonctions

Manuel -> Création de rapports -> Report Generator -> Configuration dans Editor -> Fonctions de rapport -> Autres fonctions

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

D'autres fonctions rassemblent des fonctions de rapport qui ne peuvent être attribuées à un sous-groupe.

L'assistant Fonction est disponible pour la configuration.

Autres sujets abordés dans ce chapitre

Alarme

cel

Configuration de l'alarme et de la liste CEL avec l'assistant Fonction

compare

comparesp

comparespsum

comparesum

computername

maxsp

minsp

Paramètres

Sélection

selectmode

identifiant utilisateur

variabler

variablerw


Alarme

Alarme

Cette fonction affiche des informations provenant de la fonction de gestion d'alarmes sous la forme d'une liste mise en forme dans un rapport.

Syntaxe : =alarm(FILTER,PARAMETER,DIRECTION)

Paramètres de transfert

Plage valide

Commentaire

FILTRE

Configuration via le filtre de liste d'alarmes.

PARAMETRE
  • Nom
  • identification
  • Texte
  • État
  • valeur
  • Heure d'apparition
  • Heure d'envoi
  • Heure d'acquittement
  • Heure de réactivation
  • État de réactivation
  • Nombre de réactivations
  • active
  • number_h
  • number_t
  • number_m
  • Utilisateur
  • Ordinateur
  • Note
  • Classe
  • Groupe
  • Projet
  • Numéro

Sélection de la colonne de filtre à afficher.

Remarque :

  • projet : présent uniquement dans le filtre de liste d'alarmes avec les projets multi-utilisateurs.
  • number: pour un projet uniquement
  • number_h: pour un projet uniquement
  • number_t: pour un projet uniquement
  • number_m: pour un projet uniquement

DIRECTION
  • Bas
  • Gauche

Renseignement de la direction souhaitée.

Le filtre horaire est dérivé de la définition fournie dans le rapport de filtre d'appel de synoptique.

Sens de déplacement

Options

Signification

À Droite

La valeur est insérée à droite (ligne).

Le nombre de cellules vides doit autoriser l'insertion des entrées attendues suite à la création d'autres rapports.

Attention : Si une fonction archivesp est créée avec une seule colonne, la valeur est insérée vers le bas (dans la colonne).

En bas

La valeur est insérée vers le bas (colonne).

Le nombre de cellules vides doit autoriser l'insertion des entrées attendues suite à la création d'autres rapports.

Attention : Si une fonction archivesp est créée avec une seule colonne, la valeur est insérée à droite (dans la ligne).

info Informations

Pour garantir que la fonction peut insérer des lignes ou des colonnes de manière dynamique sans écraser d'autres lignes ou colonnes, l'intitulé de la ligne ou colonne correspondante doit être défini sur E (comme "Étendre").


cel

cel

Cette fonction affiche des informations provenant de la liste d'événements sous la forme d'une liste mise en forme dans un rapport. La configuration avec l'assistant Fonction se déroule de la même manière que la configuration de la fonction aml.

Syntaxe : =cel(FILTER,PARAMETER,DIRECTION)

Paramètres de transfert

Plage valide

Commentaire

FILTRE

Configuration via le filtre de la liste d'événements.

PARAMETRE
  • Nom
  • identification
  • Texte
  • État
  • valeur
  • Heure d'apparition
  • Utilisateur
  • Ordinateur
  • Note
  • Classe
  • Groupe
  • Projet
  • Numéro

Sélection de la colonne de filtre à afficher.

Remarque :

  • projet : Présent uniquement dans le filtre de la liste d'événements avec les projets multi-utilisateurs.
  • number: pour un projet uniquement

DIRECTION

bas, gauche

Renseignement de la direction souhaitée.

Le filtre horaire est dérivé de la définition fournie dans le rapport de filtre d'appel de synoptique.

Sens de déplacement

Options

Signification

À Droite

La valeur est insérée à droite (ligne).

Le nombre de cellules vides doit autoriser l'insertion des entrées attendues suite à la création d'autres rapports.

Attention : Si une fonction archivesp est créée avec une seule colonne, la valeur est insérée vers le bas (dans la colonne).

En bas

La valeur est insérée vers le bas (colonne).

Le nombre de cellules vides doit autoriser l'insertion des entrées attendues suite à la création d'autres rapports.

Attention : Si une fonction archivesp est créée avec une seule colonne, la valeur est insérée à droite (dans la ligne).

info Informations

Pour garantir que la fonction peut insérer des lignes ou des colonnes de manière dynamique sans écraser d'autres lignes ou colonnes, l'intitulé de la ligne ou colonne correspondante doit être défini sur E (comme "Étendre").


Configuration de l'alarme et de la liste CEL avec l'assistant Fonction

Manuel -> Création de rapports -> Report Generator -> Configuration dans Editor -> Fonctions de rapport -> Autres fonctions -> Configuration de l'alarme et de la liste CEL avec l'assistant Fonction

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Configuration de l'alarme et de la liste CEL avec l'assistant Fonction

Vous pouvez configurer les fonctions de la liste d'alarmes et de la liste d'événements à l'aide de l'assistant fonction. L'exemple suivant est exécuté avec la aml et se déroule sensiblement de la même manière qu'avec la cel :

  1. Sélectionnez la cellule souhaitée dans le menu contextuel avec la commande Fonctions de rapport.
  2. L'assistant démarre.
  3. Sélectionnez Alarme.

  4. La fonction de rapport Alarme est insérée dans la syntaxe.
  5. Cliquez sur Variable pour ouvrir le filtre de la liste d'alarmes. (cel - Liste d'événements : Filtre la liste d'événements.)
  6. Configurez le filtre.
  7. Sélectionnez le paramètre souhaité en double-cliquant par exemple sur Identification).

  8. Le paramètre est transféré vers la chaîne.
  9. Sélectionnez la direction souhaitée de l'entrée dans la table en double-cliquant sur l'option concernée :
    • bas : la fonction remplit la colonne.
    • A droite : la fonction remplit la colonne.

  10. La direction est transférée vers la chaîne.
  11. Les parenthèses sont fermées.
  12. La fonction est transférée vers la cellule lorsque vous cliquez sur OK.


compare

compare

La fonction compare (plage,"condition") teste les valeurs dans la plage définie par rapport à une condition et renvoie le nombre de cellules pour lesquelles la condition est vraie.

Syntaxe : =compare( plage,"condition")

Plage : cellules utilisées pour la comparaison.

Condition : contenu pour lequel l'examen est justifié (les informations sont toujours fournies entre guillemets).

Example Exemple

=compare(A1:A10,6>"=5")

Compare les cellules 1 à 10 de la colonne A et renvoie le nombre de valeurs supérieures ou égales à 5.


comparesp

comparesp

La fonction comparesp (cellule de début,direction,P1,P2,P3,P4,"condition") teste les valeurs dans une zone définie et dans un format spécial par rapport à une condition, et renvoie le nombre de cellules pour lesquelles la condition est vraie dans une zone de référence.

Syntaxe : =comparesp(cellule de début,direction,P1,P2,P3,P4,"condition")

Paramètres | Description
Cellule de départ | Cellule contenant la première valeur.
Direction | "à droite" ou "en bas"
P1 | Nombre de valeurs dans la première ligne.
P2 | Cellules vides entre deux valeurs affichées.
P3 | Cellules vides jusqu'à la prochaine ligne de valeurs.
P4 | Nombre maximum de valeurs à comparer.
Condition | Condition. Informations toujours fournies entre guillemets.

Cellules de contrôle

Les paramètres P1, P2 et P3 définissent les cellules du rapport pouvant être remplies :

  • P1: Numéro
  • P2: cellules vides entre deux valeurs renvoyées, en fonction du paramètre DIRECTION (down, right), des lignes vides ou des colonnes vides.
  • P3: cellules vides entre deux valeurs renvoyées, en fonction du paramètre DIRECTION (down, right), des lignes vides ou des colonnes vides.

Toutes les entrées comprises dans la plage de temps du rapport sont affichées dans celui-ci, en allant vers le bas ou vers la droite depuis la cellule dans laquelle la fonction a été spécifiée ; le format des lignes est alors défini par les paramètres P1 à P3.

Si vous sélectionnez le paramètre down, les principes suivants s'appliquent :

  • P1 = nombre de lignes à remplir de valeurs
  • P2= lignes vides entre les valeurs
  • P3 = colonnes vides

Si vous sélectionnez le paramètre right, les principes suivants s'appliquent :

  • P1 = nombre de colonnes à remplir
  • P2= lignes vides entre les valeurs
  • P3= lignes vides entre les valeurs

Example Exemple

=comparesp(A1,downwards,12,0,0,12,"=5")


comparespsum

comparespsum

La fonction comparespsum (cellule de départ,direction,P1,P2,P3,P4,"condition") teste les valeurs dans une zone définie et dans un format spécial par rapport à une condition, et renvoie la somme des cellules pour lesquelles la condition est vraie dans une zone de référence.

Syntaxe : =comparespsum(cellule de début,direction,P1,P2,P3,P4,"condition")

Paramètres | Description
Cellule de départ | Cellule contenant la première valeur.
Direction | "à droite" ou "en bas"
P1 | Nombre de valeurs dans la première ligne.
P2 | Cellules vides entre deux valeurs affichées.
P3 | Cellules vides jusqu'à la prochaine ligne de valeurs.
P4 | Nombre maximum de valeurs à comparer.
Condition | Condition. Informations toujours fournies entre guillemets.

Cellules de contrôle

Les paramètres P1, P2 et P3 définissent les cellules du rapport pouvant être remplies :

  • P1: Numéro
  • P2: cellules vides entre deux valeurs renvoyées, en fonction du paramètre DIRECTION (down, right), des lignes vides ou des colonnes vides.
  • P3: cellules vides entre deux valeurs renvoyées, en fonction du paramètre DIRECTION (down, right), des lignes vides ou des colonnes vides.

Toutes les entrées comprises dans la plage de temps du rapport sont affichées dans celui-ci, en allant vers le bas ou vers la droite depuis la cellule dans laquelle la fonction a été spécifiée ; le format des lignes est alors défini par les paramètres P1 à P3.

Si vous sélectionnez le paramètre down, les principes suivants s'appliquent :

  • P1 = nombre de lignes à remplir de valeurs
  • P2= lignes vides entre les valeurs
  • P3 = colonnes vides

Si vous sélectionnez le paramètre right, les principes suivants s'appliquent :

  • P1 = nombre de colonnes à remplir
  • P2= lignes vides entre les valeurs
  • P3= lignes vides entre les valeurs

Example Exemple

=comparespsum(A1,downwards,12,0,0,12,"=5")


comparesum

comparesum

La fonction comparesum(plage de comparaison,référence de somme,"condition") teste des valeurs dans une zone définie par rapport à une condition et renvoie la somme des cellules pour lesquelles la condition est vraie dans une zone de référence.

Syntaxe : =comparesum(plage de comparaison,référence de somme,"condition")

  • Plage : cellules utilisées pour la comparaison.
  • Référence de somme : valeur fournie si la condition est satisfaite.

Condition : contenu pour lequel l'examen est justifié (les informations sont toujours fournies entre guillemets).

Example Exemple

=comparesum(B2:B11,A2,"=5")

Les cellules B2 à B11 sont vérifiées afin de détecter toute valeur =5. Dans les lignes dans lesquelles cette condition est vraie, les valeurs de la cellule sont ajoutées à la colonne A.


computername

computername

La fonction computername() fournit les noms des ordinateurs sur lesquels est exécuté le rapport.

Syntaxe : =computername()

Aucun paramètre de transfert n'est nécessaire dans ce cas.


maxsp

maxsp

La fonction maxsp renvoie la valeur la plus élevée dans une plage et l'affiche. Le format peut être une couleur ou un soulignement.

Syntaxe : =maxsp(range,num)

Paramètres de transfert | Plage valide | Commentaire
range | A1-ATWH31000 | Nombre maximal de colonnes : 31000 Nombre maximal de lignes : 31000
num | -1 0-15 | -1 : soulignement 0 à 15 : Couleur conforme à la couleur de police définie dans la boîte de dialogue Créer une nouvelle police (synoptiques/polices). Vous trouverez la liste d'attributions sous cette table.

Attribution des couleurs de polices

Les couleurs de polices sont dérivées du système d'exploitation. Pour vous faciliter la tâche, une liste de couleurs telles qu'elles ont utilisées dans Windows est disponible.

Remarque : si les couleurs sont réorganisées ou redéfinies dans le système d'exploitation, les couleurs définies pour maxsp changent également.

Exemple

La valeur la plus élevée doit être affichée avec un soulignement dans le rapport A1 à B4.

Saisie dans Editor :

Ligne/colonne | A | B | C
1 | 8 | 5 | =maxsp(A1:B4,-1)
2 | 20 | 2 |
3 | 12 | 10 |
4 | 32 | 14 |

Résultat dans le Runtime


minsp

minsp

La fonction minsp(range,num) renvoie la valeur la plus élevée dans une plage et l'affiche. Le format peut être une couleur ou un soulignement.

Syntaxe : =minsp(range,num)

Paramètres de transfert | Plage valide | Commentaire
range | A1-ATWH31000 |
num | -1 0-15 | -1 : soulignement 0 à 15 : Couleur conforme à la couleur de police définie dans la boîte de dialogue Créer une nouvelle police (synoptiques/polices). Vous trouverez la liste d'attributions sous cette table.

Attribution des couleurs de polices

Les couleurs de polices sont dérivées du système d'exploitation. Pour vous faciliter la tâche, une liste de couleurs telles qu'elles ont utilisées dans Windows est disponible.

Remarque : si les couleurs sont réorganisées ou redéfinies dans le système d'exploitation, les couleurs définies pour minsp changent également.

Example Exemple

Cellule C1=minsp(A1:B4,-1)


Paramètres

Paramètres

Les paramètres permettent de définir un rapport qui sera exécuté via la fonction Exécuter rapport de zenon, tandis que les différents paramètres de transfert utilisés dans le cadre du procédé permettent d'exécuter différentes tâches. Par exemple, un rapport unique peut être utilisé pour afficher les archives de plusieurs automates. Un rapport peut également afficher des valeurs dans différentes unités de mesure.Syntaxe : =parameter(Nombre)

Dix paramètres sont disponibles :

  • 1 - 5: type chaîne
  • 6 - 10: type DWord

Développement

  1. Attribuez les paramètres souhaités aux cellules adéquates dans le rapport.

  2. Complétez les paramètres avec les éventuelles opérations informatiques nécessaires, ou référencez-les.
  3. Dans le Runtime, sélectionnez les valeurs des paramètres via la fonction Exécuter rapport ou le bouton Ouvrir fichier et l'onglet Paramètres.

Conseil : si vous souhaitez afficher des données provenant de différentes archives dans un rapport (par exemple, de cinq automates), définissez un rapport commun. Vous pouvez contrôler l'affichage via cinq fonctions de zenon fournissant les paramètres. Vous pouvez simplement copier ces fonctions ; toutefois, vous devez toujours modifier uniquement les valeurs de transfert dans l'onglet Paramètres.

Exemples de paramètres

  • =parameter(1): attribue le paramètre (1) à la cellule
  • =parameter(6)*A1/100: attribue le paramètre (6) à la cellule, multiplie la valeur définie dans l'onglet Paramètre par la valeur de la cellule A1 et divise celle-ci par 100


Sélection

Sélection

La fonction =select (adresse de cellule) définit la cellule qui doit être sélectionnée lors de l'ouverture du rapport. Vous devez donner une référence de cellule en paramètre.

Syntaxe : =select(adresse de cellule)

Example Exemple

=select(B3) sélectionne la cellule B3.

Remarque : Peut être combiné avec selectmode().


selectmode

selectmode

La fonction selectmode (mode sélection) définit le mode sélection.
La cellule exacte est déterminée en utilisant la fonction select. Les fonctions selectmode() et select() sont également combinées.

Syntaxe : =selectmode (Paramètre)

Paramètres :

  • (1): Une cellule peut être sélectionnée
  • (2): Souligne les cellules dans une zone rectangulaire
  • (3): Souligne une ou plusieurs cellules associée

Exemples

Cellule

Fonction | Signification
=selectmode(1) | Une cellule individuelle est soulignée.
=select(B6) | La cellule B6 est sélectionnée et soulignée.

Cellule dans la ligne

Fonction | Signification
=selectmode(3) | Une cellule complète est soulignée.
=select(A5) | La cellule A5 est sélectionnée et la ligne de cette cellule est soulignée.


identifiant utilisateur

identifiant utilisateur

La fonction username renvoie les noms des utilisateurs actuellement connectés à zenon.

Syntaxe : =username()

Aucun paramètre de transfert n'est nécessaire dans ce cas.


variabler

variabler

La fonction =variabler(nom de la variable,propriété) fournit des informations concernant une variable.

Syntaxe : =variabler( nom de la variable,propriété )

Paramètres | Description
Nom | Nom de la variable.
Texte | Limite de texte actuelle en cas de dépassement d'une limite.
valeur | Valeur actuelle de la variable.
unité | Unité de la variable.
identification | Identification de la variable.
mmin | Plage de mesure minimale de la variable.
mmax | Plage de mesure maximale de la variable.
État | État actuel de la variable
gw1 | Limite 1 de la variable.
gw2 | Limite 2 de la variable.
gw3 | Limite 3 de la variable.
gw4 | Limite 4 de la variable.

info Informations

Le rapport est créé plus rapidement si les variables appelées sont déterminées.

Configuration avec l'assistant Fonction

  1. Sélectionnez la table Fonctions dans le menu contextuel du rapport.
  2. Sélectionnez Variables.
  3. Cliquez sur le bouton Variable.
  4. Sélectionnez la variable de votre choix :
    Plusieurs variables peuvent être sélectionnées ; celles-ci sont insérées vers le bas, en commençant par la cellule dans laquelle est définie la fonction de rapport.
  5. Sélectionnez la propriété à afficher.

Example Exemple

=variabler("WIZ_VAR_10","name")


variablerw

variablerw

La fonction variablerw(nom de la variable,propriété,action) renvoie des informations concernant les variables et écrite les valeurs dans les variables.

Syntaxe : =variablerw( nom de la variable,propriété,action )

Propriété | Description
Nom | Nom de la variable.
Texte | Texte de valeur limite actuelle en cas de dépassement d'une valeur limite.
valeur | Valeur actuelle de la variable.
unité | Unité de la variable. Remarque : ne peut pas être utilisé conjointement à la fonction de conversion d'unités. Utilisable uniquement avec les projets anciens. Si une unité d'une variable définie dans la fonction de conversion d'unités est modifiée avec cette commande de rapport dans le Runtime, la configuration doit à nouveau être effectuée dans la fonction de commutation d'unités.
identification | Identification de la variable
mmin | Plage de mesure minimale de la variable. Remarque : ne peut pas être utilisé conjointement à la commutation d'unités.
mmax | Plage de mesure maximale de la variable. Remarque : ne peut pas être utilisé conjointement à la commutation d'unités.
État | État actuel de la variable
gw1 | Valeur limite 1 de la variable.
gw2 | Valeur limite 2 de la variable.
gw3 | Valeur limite 3 de la variable.
gw4 | Valeur limite 4 de la variable.

info Informations

Le rapport est créé plus rapidement si les variables appelées sont déterminées.

Configuration avec l'assistant Fonction

  1. Sélectionnez la table Fonctions dans le menu contextuel du rapport.
  2. Sélectionnez Variables.
  3. Cliquez sur le bouton Variable.
  4. Sélectionnez la variable de votre choix :
    Plusieurs variables peuvent être sélectionnées ; celles-ci sont insérées vers le bas, en commençant par la cellule dans laquelle est définie la fonction de rapport.
  5. Sélectionnez la propriété à afficher.
  6. Saisissez l'action souhaitée.

Example Exemple

=variablerw("WIZ_VAR_10","valeur","read")

Écrire une valeur dans une variable

Pour écrire une valeur de Report Generator dans une variable, saisissez le nom de la variable, la propriété "valeur" et la cellule contenant la valeur :

=variablerw(Nom de la variable,"valeur",cellule)

Exemple : =variablerw("variable interne","valeur",A2)


Clés de formatage

Manuel -> Création de rapports -> Report Generator -> Configuration dans Editor -> Fonctions de rapport -> Clés de formatage

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Les clés de formatage définissent le formatage du contenu détaillé renvoyé par des cellules en fonction du contenu des cellules (types de données).

La définition est effectuée :

  • Dans la liste déroulante Format -> Cellules -> Nombres -> Onglet Type de cellule -> Général/Format chaîne

    ou

  • Dans le menu contextuel, table Rapport -> Cellule -> Onglet Type de cellule -> Général/Format chaîne

Autres sujets abordés dans ce chapitre

Données de type numérique

Données de type logique

Types de données pour la date et l'heure


Données de type numérique

Manuel -> Création de rapports -> Report Generator -> Configuration dans Editor -> Fonctions de rapport -> Clés de formatage -> Données de type numérique

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Données de type numérique

Les clés de format des types de données numériques sont des opérateurs symboliques, qui sont remplacés par la valeur formatée.

  • La virgule est utilisée en tant que séparateur de milliers ; un point est utilisé en tant que séparateur décimal.
  • Chaque caractère ne représentant pas une clé de formatage est transféré sous forme de caractère de texte dans le contenu renvoyé par la cellule.
  • Si aucune clé de format n'est fournie, le format *0.* est utilisé en tant que paramètre standard.

    Remarque : au maximum, 15 chiffres décimaux sont autorisés avec le paramètre standard.

Clé de formatage | Description
, (virgule) | Insère le séparateur de milliers trois chiffres après le séparateur décimal.
. (point) | Insère le point décimal.
; (point-virgule) | Sépare les clés de formatage utilisées pour les plages de valeurs positives et négatives.
# | N'est remplacé que si la position correspondante est également disponible.
* | Toutes les positions situées avant ou après le point décimal sont affichées.
0 (zéro) | Si la position n'existe pas dans la valeur, elle est remplacée par un zéro.
/ | Le caractère suivant est traité comme s'il s'agissait d'une chaîne de caractères de texte.

Exemples

Données | Clé de formatage | Texte formaté | Description
-0.2 | *0,00 | -0.20 | Deux positions décimales sont systématiquement affichées.
123 | *00000 | 00123 | Les 5 premières positions sont affichées précédées de zéros.
104 | ->*<- | ->104<- | Les nombres sont affichés entre les caractères ->...<-.
0.2500 | *0 | 0.25 | Les valeurs comprises entre -1,0 et 1,0 sont toujours précédées d'un zéro.
12 | +*0.00;-*0.00 | +12.00 | Les valeurs positives sont signalées par un +, et les valeurs négatives par un -.


Données de type logique

Manuel -> Création de rapports -> Report Generator -> Configuration dans Editor -> Fonctions de rapport -> Clés de formatage -> Données de type logique

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Données de type logique

Les informations Oui/Non peuvent être affichées de différentes manières grâce aux types de données logiques. Le texte de sortie est déterminé à l'aide de la clé de formatage.

  • Format : Texte1;Texte2
  • Sortie :
    • Valeurs positives (zéro inclus) = Texte1
    • Valeurs négatives = Texte2

Les informations en sortie peuvent être décrites indépendamment du formatage de la cellule, grâce à la fonction if(exprTest,valTrue,valFalse).

Exemple

Données | Clé de formatage | Texte formaté | Description
1 |  | Oui | Si aucune clé de formatage n'est fournie, les valeurs True/False (Vrai/Faux) sont utilisées par défaut.
-1 | Oui;Non | Non |


Types de données pour la date et l'heure

Manuel -> Création de rapports -> Report Generator -> Configuration dans Editor -> Fonctions de rapport -> Clés de formatage -> Types de données pour la date et l'heure

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Types de données pour la date et l'heure

Diverses clés de formatage sont disponibles pour l'affichage des détails relatifs à la date et à l'heure. En mode de saisie et en mode d'édition sans clés de formatage, le format d'affichage utilisé est celui défini dans les paramètres régionaux de Windows.

info Informations

Les descriptions des jours et des mois peuvent être configurées pour la fonction de changement de langue dans le Runtime.

Chaque caractère ne représentant pas une clé de formatage est transféré sous forme de caractère de texte dans le contenu renvoyé par la cellule.

Clé de formatage | Valeur | Description
min. | 1 - 12 | Mois, numérique court
mm | 01 - 12 | Mois, numérique long
mmm | Jan - Déc | Mois, court
mmmm | Janvier - Décembre | Mois, long
j | 1 - 31 | Jour, court
jj | 01 - 31 | Jour, long
jjj | Dim - Sam | Jour de la semaine, court
jjjj | Dimanche - Samedi | Jour de la semaine, long
aa | 00 - 99 | Année, court
aaaa | 1700 - 2900 | Année, long (0x est interprété comme 190x)
/ |  | Séparateur de date international
h | 0 - 23 ou 1 - 12 | Heure, court, 24 h ou 12 h avec ap
hh | 00 - 23 ou 01 - 12 | Heure, long, 24 h ou 12 h avec ap
mm | 00-59 | Minutes, uniquement après h ou hh
ss | 00-59 | Secondes
ff | 000-999 | Millisecondes
ap | am ou pm (ou équivalent international) | am ou pm
: (deux points) |  | Séparateur d'heure international

Exemple

Données | Clé de formatage | Texte formaté
22.09.1995 14:05 | dddd dd/mm/yyyy | Vendredi 22/09/1995
22.09.1995 14:05 | dd/mmmm yyyy | 22 septembre 1995
22.09.1995 14:05 | dd/mm/yy hh:mm | 22.09.1995 14:05
22.09.1995 14:05 | hh:mm:ff | 14:05:000


zenon fournit des fonctions permettant de contrôler le module Report Generator dans le Runtime.

Manuel -> Création de rapports -> Report Generator -> Configuration dans Editor -> zenon fournit des fonctions permettant de contrôler le module Report Generator dans le Runtime.

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

zenon fournit des fonctions permettant de contrôler le module Report Generator dans le Runtime.

La fonction d'appel de synoptique bascule vers le synoptique de rapport et permet de définir des filtres.

Des fonctions spéciales permettent d'imprimer, d'exporter et d'exécuter un rapport dans le Runtime. Pour créer des fonctions de zenon pour le module Report Generator :

  1. Dans le menu contextuel des fonctions, accédez à : Nouvelle fonction -> Report Generator
  2. Sélectionnez la fonction de votre choix.
    • Imprimer le rapport
    • Exporter rapport
    • Exécuter rapport

Autres sujets abordés dans ce chapitre

Appel de synoptique Rapport

Filtre rapport

Rapport : exécuter

Imprimer rapport

Exporter rapport


Appel de synoptique Rapport

Manuel -> Création de rapports -> Report Generator -> Configuration dans Editor -> zenon fournit des fonctions permettant de contrôler le module Report Generator dans le Runtime. -> Appel de synoptique Rapport

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Pour utiliser un rapport dans le Runtime, configurez la fonction d'appel de synoptique avec un synoptique de type Rapport :

  1. Créez un nouveau synoptique de type Rapport.
  2. Sélectionnez la commande Nouvelle fonction dans le nœud Fonctions.
  3. Sélectionnez la fonction Appel de synoptique.
  4. Sélectionnez le synoptique de type Rapport.
  5. Le filtre de rapport s'affiche à l'écran.
  6. Sélectionnez les propriétés de votre choix.
  7. Liez les fonctions à un bouton du synoptique afin de pouvoir exécuter un appel dans le Runtime.


Filtre rapport

Manuel -> Création de rapports -> Report Generator -> Configuration dans Editor -> zenon fournit des fonctions permettant de contrôler le module Report Generator dans le Runtime. -> Filtre rapport

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Affiché lors de la création de fonctions de zenon pour la configuration de rapports :

  • Fichier : sélection du fichier de rapport et des conditions dans le Runtime
  • Paramètre : Paramètres de transfert
  • Heure : Intervalle
  • Lots : Filtre de lots
  • Liens : Remplacent les fonctions
  • Indices : Remplacer les indices

Autres sujets abordés dans ce chapitre

Fichier

Paramètres

Temps

Lots

Remplacer des liens

Remplacer les indices


Fichier

Manuel -> Création de rapports -> Report Generator -> Configuration dans Editor -> zenon fournit des fonctions permettant de contrôler le module Report Generator dans le Runtime. -> Filtre rapport -> Fichier

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Fichier

Dans l'onglet Fichier, vous pouvez définir le rapport affiché par la fonction d'appel de synoptique ou spécifier si vous souhaitez l'indiquer dans le Runtime.

Paramètres

Description

Fichier de formatage

Sélection d'un fichier rapport configuré dans Editor (*.xrs)

Afficher cette boîte de dialogue dans le Runtime

Active : La boîte de dialogue de filtre est ouverte avant chaque appel de synoptique. Les paramètres de filtre peuvent être modifiés. Cette option n’est pas disponible dans Windows CE.
Remarque : Sur l’onglet Lots, si l’option Afficher la boîte de dialogue de sélection de lots est également activée, la boîte de dialogue de sélection de lots est appelée dans le Runtime. Elle n’est plus affichée après l’actualisation.

Remarques concernant les filtres d’intervalle :

Propriété Afficher cette boîte de dialogue dans le Runtime active :

  • Le filtre est ouvert dans le Runtime lors de l’appel de synoptique. Le filtre n’est plus proposé lors du rechargement. Ce comportement peut différer selon les différents types de synoptiques si la boîte de dialogue a été affichée lors de l’appel de synoptique, puis annulée.
  • La dernière période terminée est toujours utilisée.

Afficher cette boîte de dialogue dans le Runtime inactive :

  • Propriété Utiliser la dernière période de temps effectuée active :
    La dernière période terminée est toujours utilisée.
  • Utiliser la dernière période terminée inactive :
    L’intervalle de temps actuel est utilisé.

Lecture seule

Active : les entrées peuvent uniquement être lues. Il est impossible de les modifier ou les enregistrer.

Lecture d'archives depuis le dossier de sauvegarde

Active : Les archives conservées sont lues depuis le dossier de sauvegarde défini dans la configuration du projet.

Lors du chargement de données d'archives depuis le dossier de restauration, les données d'archives provenant du chemin du Runtime et de tous les sous-dossiers du dossier de restauration sont également lues.

La configuration du fichier diffère pour les fonctions suivantes :

  • Imprimer le rapport
  • Exporter rapport
  • Rapport : exécuter


Paramètres

Manuel -> Création de rapports -> Report Generator -> Configuration dans Editor -> zenon fournit des fonctions permettant de contrôler le module Report Generator dans le Runtime. -> Filtre rapport -> Paramètres

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Paramètres

Les paramètres permettent d'utiliser un rapport pour différentes archives. Pour cela, les champs devant être utilisés de manière flexible sont définis à l'aide de la fonction de rapport parameter ( Nombre ). Les paramètres devant être utilisés sont définis dans l'onglet 'Paramètres' de la fonction d'appel de synoptique. Par exemple, un rapport unique peut être utilisé pour afficher les archives de plusieurs contrôles. Un rapport peut également afficher des valeurs dans différentes unités de mesure.

Dix paramètres sont disponibles :

  • 1 - 5: type chaîne
  • 6 - 10: type DWord

Si, par exemple, les données d'archive de cinq automates doivent être affichées, un rapport est créé et les cinq paramètres des automates sont transférés via les cinq fonctions d'appel.


Temps

Manuel -> Création de rapports -> Report Generator -> Configuration dans Editor -> zenon fournit des fonctions permettant de contrôler le module Report Generator dans le Runtime. -> Filtre rapport -> Temps

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Temps

Les filtres de temps permettent de limiter la quantité de données à afficher ou exporter. Les filtres de temps sont très flexibles, et peuvent être prédéfinis dans Editor ou ajustés dans le Runtime.

Remarque : L’heure est enregistrée au format UTC. Pour plus de détails, reportez-vous au chapitre Gestion de la date et de l'heure, dans le chapitre Runtime.

Des filtres de temps peuvent être prédéfinis dans Editor et dans le Runtime pour les éléments suivants :

  • Intervalle absolu
  • Intervalle relatif
  • De
  • Période

Le filtrage horaire peut être effectué de deux manières :

  1. En définissant un intervalle de temps dans Editor
    Des plages de temps fixes sont utilisées. un intervalle de temps est fourni dans Editor. Il est uniquement possible de filtrer les données en fonction de cet intervalle de temps dans le Runtime. Les autres filtres - tels que le filtrage par nom de variable, groupes d'alarmes/d'événements et classes d'alarmes/d'événements, etc. ne peuvent plus être modifiés dans le Runtime.
  2. Filtre de temps modifiable dans le Runtime
    Des intervalles de temps prédéfinis sont utilisés. Le filtre de temps est défini dans Editor et peut être modifié dans le Runtime, le cas échéant.

Filtre de temps

Filtre

Sélection du filtre.

Paramètres

Description

Pas de filtre horaire

Active : Aucun filtre temps n’est utilisé.

Note : toutes les entrées Runtime depuis 1. 1. 1990 sont affichées.

Filtre absolu

Active : Un intervalle de temps fixe est défini dans Editor. Lors de l’exécution de la fonction, l’intervalle temps absolu défini est utilisé avec exactitude.

La section Paramètres permet d’afficher et de configurer les options correspondantes.

Remarque : L’heure est enregistrée au format UTC. Pour plus de détails, reportez-vous au chapitre Gestion de la date et de l'heure, dans le chapitre Runtime.

Intervalle relatif

Active : Un intervalle de temps relatif est saisi.

La section Paramètres permet d’afficher et de configurer les options correspondantes.

Attention : Ce filtre est continuellement mis à jour.

De

Active : L’heure à partir de laquelle le filtre est appliqué. Si l’heure n’est pas atteinte ce jour, le filtrage a lieu à partir de l’heure correspondante le jour précédent.

Sélectionnez le mode du domaine dans la liste déroulante?;

  • À partir de HH:MM:SS
  • À partir du jour - HH:MM:SS
  • À partir d’un jour, d’un mois, à HH:MM:SS

La section Paramètres permet d’afficher et de configurer les options correspondantes.

Attention : L’heure de début de ce filtre n’est pas mise à jour automatiquement. Seules les heures existantes affichées sont utilisées.
L’heure de fin n’est pas définie avec ce filtre?; elle est reportée.

Intervalle

Active : Un intervalle de temps fixe est saisi. Sélectionnez le mode du domaine dans la liste déroulante?;

  • Horaire-jour
  • Horaire-semaine
  • Deux semaines
  • Un mois
  • Une année
  • 15 minutes
  • 30 minutes
  • 60 minutes

La section Paramètres permet d’afficher et de configurer les options correspondantes.

Fermer boîte de dialogue

Paramètres | Description
OK | Applique toutes les modifications effectuées sur tous les onglets, puis ferme la boîte de dialogue.
Annuler | Annule toutes les modifications effectuées sur tous les onglets, puis ferme la boîte de dialogue.
Aide | Ouvre l'aide en ligne.

Remarque : Un filtre de temps doit être configuré pour la fonction d'appel d'un synoptique de type Report Generator. L'option Pas de filtre de temps n'est pas disponible.

Autres sujets abordés dans ce chapitre

Filtre temps absolu

Intervalle relatif

De

Intervalle

Spécifier un intervalle de temps dans Editor

Le filtre de temps peut être configuré dans le Runtime


Filtre temps absolu

Manuel -> Création de rapports -> Report Generator -> Configuration dans Editor -> zenon fournit des fonctions permettant de contrôler le module Report Generator dans le Runtime. -> Filtre rapport -> Temps -> Filtre temps absolu

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Filtre temps absolu

Le filtre absolu permet de définir une période de temps fixe. Lors de l’exécution de la fonction, l’intervalle temps absolu défini est utilisé avec exactitude. Pour configurer le filtre :

  1. Dans la section Filtre, sélectionnez l’option Intervalle absolu.
  2. Configurez l’intervalle de temps souhaité dans la section Paramètres.

Paramètres | Description
Paramètres | Configuration du filtre de temps.
Proposer la date/l’heure actuelle | Active : Le filtre de temps est affiché dans le Runtime.
Par défaut | Active : Le filtre de temps est fourni dans Editor. Seule l’heure de début peut encore être configurée dans le Runtime.
De | Heure de début du filtre. Sélection du jour, du mois, de l’année, de l’heure, de la minute et de la seconde
À | Heure de fin du filtre. Sélection du jour, du mois, de l’année, de l’heure, de la minute et de la seconde

Fermer boîte de dialogue

Options | Description :
OK | Applique toutes les modifications effectuées sur tous les onglets, puis ferme la boîte de dialogue.
Annuler | Annule toutes les modifications effectuées sur tous les onglets, puis ferme la boîte de dialogue.
Aide | Ouvre l'aide en ligne.


Intervalle relatif

Manuel -> Création de rapports -> Report Generator -> Configuration dans Editor -> zenon fournit des fonctions permettant de contrôler le module Report Generator dans le Runtime. -> Filtre rapport -> Temps -> Intervalle relatif

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Intervalle relatif

Un intervalle de temps relatif est saisi.

Attention : Ce filtre est constamment mis à jour et continue à fonctionner.
Exemple : Vous pouvez définir un intervalle relatif de 10 minutes et basculer vers un synoptique en réglant ce filtre de temps sur 12:00. Vous verrez alors s’afficher les alarmes de 11:50 à 12:00 lors de l’appel de synoptique. Si le synoptique reste ouvert, le filtre est automatiquement mis à jour. À 12:01, les alarmes de 11:51 à 12:01 sont affichées, et ainsi de suite.

Pour configurer le filtre :

  1. Dans la section Filtre, sélectionnez l’option Intervalle relatif.
  2. Configurez l’intervalle de temps souhaité dans la section Paramètres.

Paramètres | Description
Paramètres | Configuration du filtre de temps.
Proposer la date/l’heure actuelle | Active : Le filtre de temps est affiché dans le Runtime.
Par défaut | Active : Le filtre de temps est fourni dans Editor. Seule l’heure de début peut encore être configurée dans le Runtime. Sélection de l’intervalle relatif en jours, heures, minutes et secondes.

Fermer boîte de dialogue

Options | Description :
OK | Applique toutes les modifications effectuées sur tous les onglets, puis ferme la boîte de dialogue.
Annuler | Annule toutes les modifications effectuées sur tous les onglets, puis ferme la boîte de dialogue.
Aide | Ouvre l'aide en ligne.


De

Manuel -> Création de rapports -> Report Generator -> Configuration dans Editor -> zenon fournit des fonctions permettant de contrôler le module Report Generator dans le Runtime. -> Filtre rapport -> Temps -> De

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
De

Définit l’heure à partir de laquelle le filtre est appliqué. Pour configurer le filtre :

  1. Dans la section Filtre, sélectionnez l’option Inactif.
  2. Sélectionnez le filtre souhaité dans la liste déroulante.
    • À partir de HH:MM:SS heures
    • Depuis le jour - HH:MM:SS heures
    • Depuis le jour, mois à HH:MM:SS
  3. Configurez l’intervalle de temps souhaité dans la section Paramètres.

Paramètres

Description

Paramètres

Configuration du filtre de temps.

[Date/Heure]

Selon la configuration de l’option Inactif, l’heure à partir de laquelle le filtre est appliqué est configurée ici :

  • À partir de HH:MM:SS
  • À partir du jour - HH:MM:SS
  • À partir d’un jour, d’un mois, à HH:MM:SS

Attention ! L’heure de début de ce filtre n’est pas mise à jour automatiquement. Seules les heures existantes affichées sont appliquées, même si le synoptique reste ouvert et l’heure de 23:00:00 est atteinte.
L’heure de fin de l’intervalle n’est pas définie avec ce filtre?; elle est reportée.
  • À partir de HH:MM:SS

L’heure à partir de laquelle le filtre est appliqué. Si l’heure n’est pas atteinte ce jour, le filtrage a lieu à partir de l’heure correspondante le jour précédent.

Exemple : Vous saisissez 23:00:00. Si la fonction est exécutée à 23:30, elle est filtrée de 23:00:00 jusqu’à l’heure actuelle. S’il est 22:30, toutefois, le filtrage est actif de 23:00:00 le jour précédent jusqu’à l’heure actuelle.
  • À partir du jour - HH:MM:SS

Un jour et une heure de début du filtre sont saisis. Si l’heure indiquée n’a pas été atteinte au cours du mois actuel, l’heure correspondante définie le mois précédent est utilisée.

Exemple : Vous saisissez jour 5 - 23:00:00. Si nous sommes le 10 du mois et il est 23:30, le filtrage sera appliqué à compter du 5 à 23:00:00 jusqu’à l’heure actuelle. Si toutefois nous sommes le 4 du mois, le filtrage sera appliqué à partir du 5 du mois précédent jusqu’à l’heure actuelle.

  • À partir d’un jour, d’un mois, à HH:MM:SS

Un mois, un jour et une heure de début du filtre sont saisis. Si l’heure indiquée n’a pas été atteinte au cours de l’année actuelle, l’heure correspondante définie l’année précédente est utilisée.

Exemple : Vous saisissez Jour 5, Mois Octobre - 23:00:00. Si nous sommes le 10 octobre et il est 23:30, le filtrage est appliqué à compter du 5 octobre à 23:00:00 jusqu’à l’heure actuelle. Si toutefois nous ne sommes que le 4 octobre, le filtrage sera appliqué à partir du 5 octobre de l’année précédente, de 23:00 jusqu’à l’heure actuelle.

Fermer boîte de dialogue

Options | Description :
OK | Applique toutes les modifications effectuées sur tous les onglets, puis ferme la boîte de dialogue.
Annuler | Annule toutes les modifications effectuées sur tous les onglets, puis ferme la boîte de dialogue.
Aide | Ouvre l'aide en ligne.


Intervalle

Manuel -> Création de rapports -> Report Generator -> Configuration dans Editor -> zenon fournit des fonctions permettant de contrôler le module Report Generator dans le Runtime. -> Filtre rapport -> Temps -> Intervalle

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Intervalle

Définit une période de temps durant laquelle le filtre est appliqué. Pour configurer le filtre :

  1. Dans la section Filtre, sélectionnez l’option Intervalle.
  2. Configurez l’intervalle de temps souhaité dans la section Paramètres.

Options

Description :

Intervalle

Sélection d’une plage de temps dans une liste déroulante.

Le filtrage de cette plage de temps est effectué dans le Runtime. Le filtre est définir par rapport à l’heure de l’appel de synoptique.
Par exemple : La valeur 60 minutes affiche toutes les archives de la dernière heure.

Si cette boîte de dialogue est affichée dans le Runtime, l’heure de début de la plage de temps peut être sélectionnée.

Paramètres

Paramètre en option pour l’intervalle.

Modifier l'intervalle

Permet de modifier les cycles, les délais et les prolongations de périodes de temps.

Active : L’évaluation est réalisée conformément aux règles suivantes :

  • D’abord, l’option Utiliser la dernière période de temps effectuée est évaluée.
  • Ensuite, l’option Modifier la période de temps de est utilisée.
  • Enfin, l’option Déplacer la période de temps dans le futur de est appliquée.

Inactive : Aucune modification n’est apportée à la période de temps.

Attention : Dans la version 7.10, les actions de filtrage réalisées avec cette fonction génèrent des résultats différents de celles réalisées dans les versions antérieures.

Déplacer l’intervalle dans le futur de

Active : La période de temps définie dans le filtre est décalée vers le futur. L’heure de début et l’heure de fin sont déplacées en fonction du cycle d’heure défini.

Indication en heures - minutes - secondes.

Si un décalage égal ou supérieur à la période de temps sélectionnée est défini, un message invitant l’utilisateur à vérifier la configuration s’affiche.

Modifier l’intervalle de

Active : La période de temps définie dans le filtre est modifiée. L’heure de fin est déplacée en fonction du cycle d’heure défini. L’heure de début reste inchangée.

Indication en heures - minutes - secondes.

L’intervalle peut être ajouté ou déduit. La sélection de l'attribution s'effectue au moyen des cases d'option :

  • Ajouter le temps : L’heure indiquée dans le paramètre Modifier la période de temps de est ajoutée au temps défini dans le paramètre Période de temps.
  • Soustraire le temps : L’heure indiquée dans le paramètre Modifier la période de temps de est déduite du temps défini dans le paramètre Période de temps.

Si une modification et un décalage égaux ou supérieurs à la période de temps sélectionnée sont définis, un message invitant l’utilisateur à vérifier la configuration s’affiche à côté de l’élément de contrôle pour la configuration du temps.

Utiliser la dernière période terminée

Active : La période de temps sélectionnée en dernier et entièrement terminée dans l’option Période de temps est utilisée.

Exemple : Pour l’option Période de temps, Un jour a été sélectionné. Le filtre est effectué pour "Hier", car il s’agit du dernier jour qui s’est entièrement terminé.

Fermer boîte de dialogue

Options | Description :
OK | Applique toutes les modifications effectuées sur tous les onglets, puis ferme la boîte de dialogue.
Annuler | Annule toutes les modifications effectuées sur tous les onglets, puis ferme la boîte de dialogue.
Aide | Ouvre l'aide en ligne.


Spécifier un intervalle de temps dans Editor

Manuel -> Création de rapports -> Report Generator -> Configuration dans Editor -> zenon fournit des fonctions permettant de contrôler le module Report Generator dans le Runtime. -> Filtre rapport -> Temps -> Spécifier un intervalle de temps dans Editor

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Spécifier un intervalle de temps dans Editor

Avec cette méthode, saisissez un intervalle de temps fixe dans Editor?; celui-ci sera alors appliqué lorsque la fonction sera exécutée dans le Runtime. Vous pouvez alors uniquement définir l’heure de début dans le Runtime, mais aucun autre paramètre de filtre.

Par exemple : Vous définissez un filtre temps de 30 minutes. Dans le Runtime, vous pouvez uniquement définir l’instant auquel doit débuter cet intervalle de temps de 30 minutes. Toutefois, vous ne pouvez pas transformer le filtre en filtre de jour.

attention Attention

Si vous utilisez ce filtre, vous ne pouvez plus modifier les autres filtres disponibles dans l’onglet Général dans le Runtime. Vous pouvez toutefois encore filtrer le texte, les états et les équipements.

Pour créer le filtre :

  1. Le synoptique doit comporter un bouton Filtre permettant d’exécuter le filtre dans le Runtime
  2. Sélectionnez le filtre souhaité
  3. Configurez l’intervalle de temps spécifié

Conseil relatif à l’intervalle de temps : Activez l’option Afficher la boîte de dialogue de filtre dans le Runtime dans la boîte de dialogue de filtre. Ceci vous permet de modifier l’heure de début avant l’exécution de la fonction. N’activez pas l’affichage du filtre dans le Runtime lorsque la fonction est activée?; ceci garantit que l’intervalle actuel est toujours utilisé. Si vous avez activé l’option Utiliser le dernier intervalle de temps fermé, l’intervalle de temps précédent est affiché.
Exemple : Vous définissez un filtre temps de 30 minutes. Il est 10:45 lorsque la fonction est activée. Si l’option Utiliser le dernier intervalle de temps fermé est désactivée, le filtre est défini sur l’intervalle de temps actuel, de 10:30:00 à 10:59:59. Si l’option est activée, le filtre est défini sur l’intervalle de temps précédent, de 10:00:00 à 10:29:59.


Le filtre de temps peut être configuré dans le Runtime

Manuel -> Création de rapports -> Report Generator -> Configuration dans Editor -> zenon fournit des fonctions permettant de contrôler le module Report Generator dans le Runtime. -> Filtre rapport -> Temps -> Le filtre de temps peut être configuré dans le Runtime

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Le filtre de temps peut être configuré dans le Runtime

Avec cette méthode, vous définissez un filtre de temps dans Editor. Celui-ci peut être modifié dans le Runtime avant exécution. Pour créer le filtre :

  1. Le synoptique doit comporter des boutons Filtre et Visualiser filtre
  2. Sélectionnez le filtre souhaité :
    • Filtre temps absolu
    • Intervalle relatif
  3. Dans la section Paramètres, sélectionnez l’option Proposer la date/l’heure actuelle.
  4. La boîte de dialogue de filtre s’affiche dans le Runtime, avec la date et l’heure actuelles.


Lots

Manuel -> Création de rapports -> Report Generator -> Configuration dans Editor -> zenon fournit des fonctions permettant de contrôler le module Report Generator dans le Runtime. -> Filtre rapport -> Lots

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Lots

Vous pouvez choisir de limiter l’affichage à certains lots sur cet onglet. Les informations des lots sont également appliquées au filtre existant. Le filtrage de lots correspond au filtrage dans les archives :

info Informations

Certains filtres dans zenon peuvent être configurés indépendamment les uns des autres, puis associés dans le Runtime. Ceci est uniquement possible dans une certaine mesure, avec le filtre de lots.

Le filtre de lots peut afficher une liste de lots existants dans le Runtime. En revanche, les données du Runtime ne sont pas disponibles dans Editor.

Lors de la configuration de l’appel de synoptique dans Editor, l’onglet Filtre de temps peut uniquement être utilisé conjointement au filtre de lots, en tant que pré-filtre pour la boîte de dialogue de sélection. Si vous sélectionnez un lot dans cette liste dans le Runtime, le filtre de temps est remplacé avec les données issues du lot sélectionné pour autoriser un filtrage précis du lot sélectionné.

Ceci signifie : Si la boîte de dialogue de sélection de lots est utilisée dans le Runtime et un lot est sélectionné, le filtre de temps affiché ne correspond pas à celui configuré dans Editor.

Filtre

Paramètres d’application du filtre de lots. Sélectionnez une des options suivantes :

  • Pas de filtre de lots
  • Appliquer directement le filtre de lots
  • Afficher la boîte de dialogue de sélection de lots
    Remarque : Si le filtre de lots est affiché sous forme de boîte de dialogue, il peut être pré-filtré en fonction des identifiants d’archive. Nous vous recommandons expressément d’utiliser ce pré-filtrage pour améliorer les performances.

Paramètres

Description

Pas de filtre de lots
  • Active : Le filtre de lots est désactivé et ne peut pas être configuré. Le filtrage de lots n’est pas exécuté dans le Runtime.

Appliquer directement le filtre de lots
  • Active : Le filtre configuré ici est directement appliqué dans le Runtime.

Remarque : Il n’existe aucune possibilité pour afficher tous les lots dans une liste et en sélectionner un manuellement. Si un lot particulier doit être affiché, le filtre pour les archives, les noms et les heures doit être configuré en conséquence. Ceci nécessite une excellente connaissance des données existantes. Dans l’alternative, nous vous recommandons de sélectionner l’option Afficher la boîte de dialogue de sélection de lots.

Afficher la boîte de dialogue de sélection de lots

Active : La boîte de dialogue de sélection est affichée dans le Runtime dans les situations suivantes :

  • Lorsque vous cliquez sur Filtre, ou
  • Lors d’un appel de synoptique, si l’option Afficher cette boîte de dialogue dans le Runtime a été activée (indisponible avec tous les types de fonctions et de synoptiques).
    Remarque : La boîte de dialogue n’est pas affichée en cas de rechargement du projet.

Les options peuvent être présélectionnées dans Editor.

Remplacer dialogue avec ce synoptique en runtime

Uniquement disponible si l’option Afficher la boîte de dialogue de sélection de lots a été sélectionnée.

Permet de définir un synoptique devant être appelé dans le Runtime à la place de la boîte de dialogue de sélection de lots. Seuls les synoptiques Filtre de temps/de lot sont proposés.

Cliquez sur le bouton ... pour ouvrir une boîte de dialogue permettant de sélectionner un synoptique.

Si le synoptique lié n’est pas localisé dans le Runtime, une recherche est effectuée pour trouver les synoptiques correspondants portant le nom spécifié.

Remarque : Un synoptique de filtre de lots peut également être sélectionné avec l’option Afficher cette boîte de dialogue dans le Runtime. Toutefois, il n’est pas utilisé comme filtre, mais comme synoptique de filtre de temps. Les options de filtre de lots ne sont pas correctement appliquées à cet emplacement.

Sélection relative des lots

Attention : Cette option est uniquement disponible pour le module Extended Trend. Avec les cadrans, elle est affichée pour tous les types de synoptiques?; ici, toutefois, elle est uniquement disponible pour le module ETM.

Configuration pour le module ETM :

Pour que l’option soit disponible, l’option Afficher la boîte de dialogue de sélection de lots doit être activée et la propriété Projet Windows CE doit être désactivée dans les propriétés du projet.

  • Active : Autorise la comparaison directe de plusieurs lots. L’affichage débute toujours au point zéro.

Remarque : Si l’option est activée, les boutons Diagramme et l’axe X ne sont pas disponibles dans le Runtime. Ceci s’applique également pour la fonctionnalité clic droit.

Vue d’ensemble de la mise en œuvre de la configuration dans le Runtime :

Heure

Configuration du filtre de temps pour la sélection de lots. Sélectionnez une des options suivantes :

  • Pas de filtre
  • Derniers lots
  • Utiliser le filtre de temps de l’onglet Temps

Paramètres

Description

Pas de filtre
  • Active : La plage de temps définie sur l’onglet Temps n’est pas prise en compte. Tous les lots terminés et actuels sont affichés.

Derniers lots

Attention : Fonctionne uniquement avec l’option Appliquer directement le filtre de lots.

L’option permet d’associer les options Afficher les lots actuels et Afficher les lots terminés. Une des deux options au moins doit être activée. Si les deux options ont été désactivées, ceci correspond au paramètre Pas de filtre.

  • Active : Saisie du nombre de lots terminés, en fonction des critères de filtre sélectionnés. Saisie du nombre dans le champ correspondant ou configuration à l’aide des touches fléchées.

Exemple : La valeur 3 a été saisie pour l’option. 2 lots sont en cours d’exécution et 10 sont terminés. Les lots suivants sont affichés : les deux lots actuels et les lots terminés.

Remarque : La configuration du filtre de temps n’est pas utilisée comme intervalle pour les lots actuels, mais pour l’année passée. Le filtre ne sera pas mis en œuvre en tant que pré-filtre, et ne peut donc pas être utilisé pour améliorer les performances.

Notes concernant la compatibilité :
Si le projet est compilé pour une version antérieure à la version 7.11, les dispositions suivantes s’appliquent : Si les lots actuels ou l’association de lots en cours et terminés sont sélectionnés, seuls les lots terminés sont affichés dans le Runtime.

Afficher les lots actuels
  • Active : Les lots actuels sont affichés.

Remarque : Si le nombre de lots à afficher est supérieur au nombre de lots actuels, les lots terminés sont également affichés jusqu’à ce que la limite configurée soit atteinte.
Exemple : 3 lots doivent être affichés. 1 lot est en cours d’exécution, 5 lots sont terminés. Le lot actuel et les deux lots terminés sont affichés.

Afficher les lots terminés
  • Active : Les lots terminés sont affichés.

Remarque : Si le nombre de lots à afficher est supérieur au nombre de lots terminés, les lots terminés sont également affichés jusqu’à ce que la limite configurée soit atteinte.

Utiliser le filtre de temps de l’onglet Temps
  • Active : Le préfiltrage est effectué avec les paramètres de l’onglet Temps.

La plage effective du filtre peut être modifiée dans les limites de cette plage de temps. Sélectionnez dans la liste déroulante :

  • Inclure les valeurs de début et de fin situées hors des limites du filtre : (Par défaut)
    Les lots peuvent démarrer avant l’heure de début configurée dans le filtre Temps et se terminer après l’heure de fin configurée.
  • Uniquement les valeurs de début et de fin situées hors des limites du filtre :
    Les lots doivent commencer et se terminer dans les limites des horaires de début et de fin configurés dans le filtre Temps.
  • Inclure les valeurs de début antérieures aux limites du filtre :
    Les lots peuvent démarrer avant l’heure de début configurée dans le filtre Temps et se terminer après l’heure de fin configurée.
  • Inclure les valeurs postérieures à la limite du filtre :
    Les lots peuvent également se terminer après la fin de la période définie dans le filtre Temps, mais doivent commencer à l’heure de début configurée ou après celle-ci.
  • Conformer les valeurs de début et de fin aux limites du filtre :
    Les lots sont tronqués conformément aux horaires de début et de fin configurés dans le filtre Temps.

Archives

Configuration du filtrage pour les archives. Ce filtre est appliqué comme pré-filtre pour la boîte de dialogue de sélection de lots.

Sélectionnez une des options suivantes :

  • Pas de filtre
  • Statique
  • Depuis une variable

Paramètres

Description

Pas de filtre
  • Active : Le filtrage des noms d’archives est désactivé.

Statique
  • Active : Les archives dont l’identifiant correspond à la chaîne de caractères saisie dans le champ de recherche sont filtrées.

Saisissez les identifiants d’archive dans le champ de recherche.

  • Séparez plusieurs identifiants par une virgule (,).
  • * ou vide : Toutes les archives, pas de filtre.

Depuis une variable
  • Active : La valeur des variables liées ici est appliquée sous forme de filtre de noms d’archive dans le Runtime.

Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de variables.

Disponible pour les modules AML et CEL si l'option Appliquer directement le filtre de lots a été sélectionnée : D’autres modules utilisent leurs propres configurations.

Remarques concernant les variables dans le Runtime :

  • La sélection de variables est uniquement activée dans le Runtime si une variable valide a déjà été liée dans le Runtime. Le bouton ... est toujours désactivé dans le Runtime. L’option peut être sélectionnée, mais aucune nouvelle variable ne peut être liée.
  • Si la variable n’est pas authentifiée auprès du driver au moment de l’application du filtre de lots, la variable est authentifiée et lue. Ceci peut entraîner des délais avec les connexions de drivers et protocoles plus lents.

Attention : Si la variable sélectionnée n’est pas présente dans le Runtime, aucun filtrage de noms d’archive n’est effectué. Ceci est également vrai s’il est impossible de déterminer la valeur de la variable. Le filtre correspond dans ce cas au paramètre Pas de filtre.

Remarque concernant le module ETM : Dans le module ETM, les archives sont définies en fonction des courbes configurées dans la fonction d’appel de synoptique. Dans le Runtime, ceci est uniquement possible avec l’option lots relatifs. Les variables doivent alors être sélectionnées dans le Runtime, ce qui dépend de l’éventuelle sélection d’archives. Une fois filtrée, l’archive doit être une des archives liées aux courbes configurées. Si ce n’est pas le cas, aucune donnée ne sera affichée. Ce paramètre peut toutefois également être utilisé pour limiter l’affichage des courbes. Ces courbes restent toutefois affichées dans la liste de courbes.

Exemple avec le module ETM :

Courbes configurées | Source de données | Pré-filtrage des archives dans le filtre de lots | Résultat sur le synoptique
A | AR | AR | Affichée dans la liste de courbes et dessinée dans la tendance.
B | EA |  | Uniquement affichée dans la liste de courbes.
C | EP |  | Uniquement affichée dans la liste de courbes.

Remarque concernant la maintenance d’archive : L’archive pour laquelle le synoptique est ouvert est déjà sélectionnée dans la fonction d’appel de synoptique. Une seule archive peut être sélectionnée?; aussi, il est inutile d’imposer d’autres limitations.

Exemple de maintenance d’archive :

Archive configurée | Pré-filtrage des archives dans le filtre de lots | Résultat sur le synoptique
AR | EA | Aucune donnée n’est affichée.

Noms

Configuration du filtrage des noms. Sélectionnez une des options suivantes :

  • Pas de filtre
  • Statique
  • Depuis une variable

Paramètres

Description

Pas de filtre
  • Active : Le filtrage des noms de lots est désactivé.

Statique
  • Active : Les noms de lots correspondant à la chaîne de caractères saisie dans le champ de recherche sont filtrés.

Saisissez le nom de lot dans le champ de recherche :

  • Séparez les entrées multiples par un tube (|).
  • * ou vide : Tous les lots de toutes les archives affichées, pas de filtre.

Depuis une variable
  • Active : La valeur de la variable liée ici est appliquée sous forme de filtre de noms de lot dans le Runtime.

Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de variables.

Uniquement disponible si l’option Appliquer directement le filtre de lots a été sélectionnée :

Remarques concernant les variables dans le Runtime :

  • La sélection de variables est uniquement activée dans le Runtime si une variable valide a déjà été liée dans le Runtime. Le bouton ... est toujours désactivé dans le Runtime. L’option peut être sélectionnée, mais aucune nouvelle variable ne peut être liée.
  • Si la variable n’est pas authentifiée auprès du driver au moment de l’application du filtre de lots, la variable est authentifiée et lue. Ceci peut entraîner des délais avec les connexions de drivers et protocoles plus lents.

Attention : Si la variable sélectionnée n’est pas présente dans le Runtime, aucun filtrage de noms de lot n’est effectué. Ceci est également vrai s’il est impossible de déterminer la valeur de la variable. Le filtre correspond dans ce cas au paramètre Pas de filtre.

Fermer boîte de dialogue

Paramètres | Description
OK | Applique toutes les modifications effectuées sur tous les onglets, puis ferme la boîte de dialogue.
Annuler | Annule toutes les modifications effectuées sur tous les onglets, puis ferme la boîte de dialogue.
Aide | Ouvre l'aide en ligne.


Remplacer des liens

Manuel -> Création de rapports -> Report Generator -> Configuration dans Editor -> zenon fournit des fonctions permettant de contrôler le module Report Generator dans le Runtime. -> Filtre rapport -> Remplacer des liens

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Remplacer des liens

Les variables ou fonctions liées peuvent être définitivement remplacées dans Editor, à l'aide de règles. Le remplacement ne se limite pas aux fonctions ou variables définies dans les propriétés du groupe Variable/fonction. Toutes les autres variables présentes dans le synoptique peuvent être remplacées, à l'image des variables de Visibilité, Clignotement et Dimensions et rotation dynamiques, entre autres.

Pour remplacer les variables ou les fonctions à l'aide de règles, directement dans l'élément :

  1. Sélectionnez l'élément de votre choix et ouvrez-le en cliquant avec le bouton droit sur l'élément dans le menu contextuel.
  2. Sélectionnez Remplacer les liens.

    La boîte de dialogue de remplacement de liens s'ouvre.

Eigenschaft

Beschreibung

Quelle

Eingabe des zu suchenden Teilstrings.

Platzhalter * und ? können verwendet werden. Platzhalter sind nur als Präfix oder Suffix zugelassen, also *xxx oder xxx*.

Beachten Sie bei der Verwendung von Platzhaltern das Verhalten, wenn ein Zeichen mehrmals vorkommt:

  • Beispiel Zeichenfolge: 01{SU(00,Test1)}
    Test1 soll durch Test 2 ersetzt werden.
  • Quelleintrag *1 und Zieleintrag 2 findet und ersetzt die 1 in 01 aber nicht im später folgenden t1.
    Ergebnis: 02{SU(00,Test1)}
  • Quelleintrag *t1 und Zieleintrag t2 findet und ersetzt t1.
    Ergebnis: 01{SU(00,Test2)}

Ziel

Eingabe des neuen Teilstrings.

Hinweis: Quelle und Ziel müssen sich im selben Projekt befinden.

Übernehmen

Tausch gesuchte Strings der Quelle gegen die in Ziel definierten.

Groß-/ Kleinschreibung beachten

Achtet beim Tausch auf exakte Übereinstimmung der Groß-/und Kleinschreibung.

Name

Tauscht Information im Variablennamen.

Kennung

Tauscht Information in der Kennung.

Variable/Funktion

Öffnet die Auswahlliste für Variablen/Funktionen bezogen auf die ausgewählte Zeile in der Liste. Klick auf Variable oder Funktion in der Liste definiert neue Zielvariable oder Zielfunktion.
Alternativ: Doppelklick auf die entsprechende Quellvariable oder Quellfunktion.

Ersetzen

Ersetzen mit manueller Auswahl

Um Elemente manuell zu ersetzen:

  • Wählen Sie aus der Liste das Element, das sie ersetzen, möchten als Quelle.
  • Wählen Sie über die Schaltfläche Variable/Funktion ein Zielelement.

    Das bisherige Element wird durch das neue ersetzt.

Automatisiert ersetzen mit Regeln

Um Elemente regelbasiert automatisch zu ersetzen:

  • Definieren Sie im Eingabefeld Quelle die Parameter für das Element, das Sie ersetzen möchten.
  • Definieren Sie über das Eingabefeld Ziel den Parameter für die neue Variable/Funktion.
  • Legen Sie über Name/Kennung fest, was getauscht werden soll.
  • Klicken Sie auf Übernehmen.

info Informations

Die Zielvariable oder Zielfunktion kann sich auch in einem anderen Projekt als die Quellvariable oder Quellfunktion befinden. Dabei müssen alle beteiligten Projekte in der Runtime am gleichen Rechner gestartet zur Verfügung stehen.

Zur Ersetzung werden interne Variablen IDs herangezogen. D.h. werden verwendete Variablen oder Funktion umbenannt bleibt die Ersetzung bestehen.

attention Attention

Achten Sie beim Ersetzen von Variablen auf den Typ und die Signalauflösung. Wenn Sie eine Variable durch eine im Typ nicht kompatible ersetzen, kann das zu Fehlern in der Ausführung führen. Sie werden beim Ersetzen gewarnt, die Ersetzung wird aber durchgeführt.

info Informations

Remplacer via un glisser-déplacer : Les éléments qui ne peuvent contenir qu'une seule variable ou fonction peuvent être remplacés par glisser-déplacer. Faites glisser la nouvelle variable ou fonction vers l'élément à l'aide de la souris. Elle remplace automatiquement la précédente.

Exemple

Toutes les variables dont le nom contient WIZ_VAR_1 doivent être remplacées par WIZ_VAR_2.

  1. Saisissez WIZ_VAR_1 dans le champ de texte Source. Le caractère * permet d'inclure toutes les variables qui commencent par WIZ_VAR_1.
  2. Enter WIZ_VAR_2 into the target text field.
  3. Cliquez sur Accepter.
  4. Les variables WIZ_VAR_10, WIZ_VAR_11 et WIZ_VAR_12 sont remplacées par les variables WIZ_VAR_20, WIZ_VAR_21 et WIZ_VAR_22.


Remplacer les indices

Manuel -> Création de rapports -> Report Generator -> Configuration dans Editor -> zenon fournit des fonctions permettant de contrôler le module Report Generator dans le Runtime. -> Filtre rapport -> Remplacer les indices

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Remplacer les indices

Lors d'un appel de synoptique dans le Runtime, les variables et les fonctions peuvent être remplacées dynamiquement, à l'aide de règles d'indexation ou de paramètres spécifiques aux éléments.

Possibilités de remplacement :

  • Via les variables d'indexation : par exemple, {X01}
  • Via les paramètres spécifiques aux éléments : {PARAM}
  • Sans indexation de variables ou de paramètres

attention Attention

Parce que les noms sont remplacés, les variables et les fonctions doivent toujours recevoir des noms différents. Les variables et les fonctions sont remplacées si les noms sont identiques.

Exemple : S'il existe une variable test et une fonction test et la variable test doit être remplacée, la fonction test sera également remplacée en même temps.

Conseil : Attribuez aux variables et aux fonctions un nom comportant un préfixe (par exemple, var_ et func_). Vous disposerez ainsi d'une visibilité satisfaisante, même dans les listes.

attention Attention

Contrairement au remplacement de liens, le remplacement d'indices repose entièrement sur le nom, et non sur des identifiants de variables internes.

Ceci signifie que si les variables ou les fonctions utilisées dans la fonction d'appel de synoptique sont renommées, ces modifications doivent également être mises en œuvre dans la fonction d'appel de synoptique.

Boîte de dialogue Remplacer les indices

Règles d'indexation

Paramètres

Description

Règles d'indexation

Configuration des règles pour le remplacement de variables et de fonctions.

Source

Saisie de la source à remplacer.

Cible

Saisie de la cible. Les paramètres des valeurs issues de l'indexation de valeurs (par exemple, ({X01}) et les paramètres ({PARAM}) de fonctions peuvent également être utilisés.

Respecter la casse
  • Active : La fonction de remplacement tient compte de la casse.

Liste de règles

Liste des règles définies.

Ajouter une règle

Cliquez sur le bouton pour ajouter la règle définie, accessible via Source et Cible, à la liste.

Information : Si une règle est sélectionnée dans la liste, celle-ci est remplacée. Pour ajouter une nouvelle règle, vous devez au préalable supprimer la sélection.

Supprimer une règle

Cliquez sur le bouton pour supprimer la règle sélectionnée de la liste.

Flèche vers le haut

Cliquez sur le bouton pour faire monter la règle sélectionnée d'une position dans la liste.

Flèche vers le bas

Cliquez sur le bouton pour faire descendre la règle sélectionnée d'une position dans la liste.

Remarque : La méthode Remplacer les indices peut également être appliquée sans indexation des variables. Les variables sont saisies dans la liste des règles.
Avantage : Si des sous-éléments sont ajoutés à la structure, il n'est pas nécessaire de modifier une nouvelle fois la fonction, comme cela était le cas avec la méthode Remplacer les liens.

Indexer les variables

Paramètres

Description

Indexer les variables

Configuration des variables d'indexation.

Liste de règles

Affiche les variables d'indexation sélectionnées.

Ajouter

Cliquez sur le bouton pour ouvrir la boîte de dialogue d'ajout et de suppression de variables d'indexation.

Les variables sélectionnées sont ajoutées dans l'ordre et reçoivent un paramètre. Celui-ci peut être utilisé dans les règles de remplacement de la variable d'indexation correspondante. Les valeurs de ces variables sont généralement utilisées durant le remplacement.

Aperçu du remplacement

Paramètres | Description
Aperçu du remplacement | Affiche la liste de tous les remplacements configurés. Cliquer sur une entrée renseigne également les options Source et Cible dans la section des règles d'indexation.

Fermer boîte de dialogue

Options | Description :
OK | Applique toutes les modifications effectuées sur tous les onglets, puis ferme la boîte de dialogue.
Annuler | Annule toutes les modifications effectuées sur tous les onglets, puis ferme la boîte de dialogue.
Aide | Ouvre l'aide en ligne.
attention Attention
Si des variables d'indice sont utilisées dans un projet de réseau, le client doit d'abord obtenir la valeur auprès du serveur. Le calcul est ensuite exécuté. Sur les équipements comportant du matériel peu performant, cela peut entraîner un délai lors des appels de synoptique. Conseil : Activez toujours les variables d'indice dans un projet en réseau Stockage de données sur disque dur actif.


Rapport : exécuter

Manuel -> Création de rapports -> Report Generator -> Configuration dans Editor -> zenon fournit des fonctions permettant de contrôler le module Report Generator dans le Runtime. -> Rapport : exécuter

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

La fonction Report Generator : exécuter rapport permet d'exécuter un rapport automatiquement, en tâche de fond, dans le Runtime. Si une fonction d'écriture est configurée dans le rapport, les valeurs calculées dans le rapport peuvent être automatiquement écrites dans les archives ou l'image du procédé.

Pour configurer la fonction :

  1. Créez une nouvelle fonction
  2. Dans la section Report Generator, sélectionnez l'entrée Exécuter rapport.
  3. La boîte de dialogue du filtre de rapport s'affiche alors à l'écran.

    Remarque : Les paramètres de l'onglet Fichier sont différents. Les paramètres valides pour la fonction Exécuter rapport sont détaillées dans ce chapitre ; vous trouverez tous les autres paramètres concernés au chapitre Filtre de rapport.

    • Paramètres
    • Temps
    • Lots
  4. Sélectionnez les propriétés de votre choix.
  5. Liez les fonctions à un bouton du synoptique afin de pouvoir exécuter un appel dans le Runtime.

Configuration de l'onglet Fichier

La configuration de l'onglet Fichier diffère légèrement de la configuration pour l'appel de synoptique.

Paramètres

Description

Fichier de formatage

Sélection d'un fichier rapport configuré dans Editor (*.xrs)

Afficher cette boîte de dialogue dans le Runtime

Active : Cette boîte de dialogue de filtre est proposée avant d'être invoquée dans le Runtime.

Lecture d'archives depuis le dossier de sauvegarde

Active : Les archives conservées sont lues depuis le dossier de sauvegarde défini dans la configuration du projet.

Lors du chargement de données d'archives depuis le dossier de restauration, les données d'archives provenant du chemin du Runtime et de tous les sous-dossiers du dossier de restauration sont également lues.

info Informations

Avec cette fonction, toutes les fonctions d'écriture sont exécutées dans le rapport.


Imprimer rapport

Manuel -> Création de rapports -> Report Generator -> Configuration dans Editor -> zenon fournit des fonctions permettant de contrôler le module Report Generator dans le Runtime. -> Imprimer rapport

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

La fonction Report Generator : exécuter permet d'imprimer un rapport sans l'appeler préalablement. Pour configurer la fonction :

  1. Créez une nouvelle fonction
  2. Dans la section Report Generator, sélectionnez l'entrée Exécuter rapport.
  3. La boîte de dialogue du filtre de rapport s'affiche alors à l'écran.
  4. Remarque : Les paramètres de l'onglet Fichier sont différents. Les paramètres valides pour la fonction Imprimer rapport sont détaillées dans ce chapitre ; vous trouverez tous les autres paramètres concernés au chapitre Filtre de rapport.
    • Paramètres
    • Temps
    • Lots
  5. Sélectionnez les propriétés de votre choix.
  6. Liez les fonctions à un bouton du synoptique afin de pouvoir exécuter un appel dans le Runtime.

Configuration de l'onglet Fichier

Paramètres

Description

Fichier de formatage

Sélection d'un fichier rapport configuré dans Editor (*.xrs)

Afficher cette boîte de dialogue dans le Runtime

Active : Cette boîte de dialogue de filtre est proposée avant d'être invoquée dans le Runtime.

Avec boîte de dialogue d'annulation

Active : un bouton permettant d'annuler l'impression est affiché pendant la préparation de l'impression du rapport.

Lecture d'archives depuis le dossier de sauvegarde

Active : Les archives conservées sont lues depuis le dossier de sauvegarde défini dans la configuration du projet.

Lors du chargement de données d'archives depuis le dossier de restauration, les données d'archives provenant du chemin du Runtime et de tous les sous-dossiers du dossier de restauration sont également lues.

info Informations

Les entrées d'archive peuvent uniquement être lues avec la fonction Imprimer rapport. Les actions d'écriture ne sont pas possibles.


Exporter rapport

Manuel -> Création de rapports -> Report Generator -> Configuration dans Editor -> zenon fournit des fonctions permettant de contrôler le module Report Generator dans le Runtime. -> Exporter rapport

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

La fonction Exporter rapport est utilisée pour écrire un rapport dans un fichier en tâche de fond durant le fonctionnement en ligne. Le fichier d'exportation est conservé dans le sous-dossier \Export du dossier de projet. (Pour l'ouvrir depuis zenon, sélectionnez le projet et appuyez sur Ctrl+Alt+D.) Indiquez les paramètres de fichier comme paramètres d'appel.

La fonction Exporter rapport permet d'exporter un rapport sans l'appeler préalablement. Pour configurer la fonction :

  1. Créez une nouvelle fonction
  2. Dans la section Report Generator, sélectionnez l'entrée Exporter rapport.
  3. La boîte de dialogue du filtre de rapport s'affiche alors à l'écran.
  4. Remarque : Les paramètres de l'onglet Fichier sont différents. Les paramètres valides pour la fonction Exporter rapport sont détaillées dans ce chapitre ; vous trouverez tous les autres paramètres concernés au chapitre Filtre de rapport.
    • Paramètres
    • Temps
    • Lots
  5. Sélectionnez les propriétés de votre choix.
  6. Liez les fonctions à un bouton du synoptique afin de pouvoir exécuter un appel dans le Runtime.

info Informations

Lors de l'exportation d'un rapport à l'aide de la fonction Exporter rapport, les unités converties sont exportées sous forme d'unités de mesure. Les unités de base ne forment pas partie de l'exportation.

Configuration de l'onglet Fichier

Paramètres

Description

Fichier de formatage

Sélection d'un fichier rapport configuré dans Editor (*.xrs)

Afficher cette boîte de dialogue dans le Runtime

Active : Cette boîte de dialogue de filtre est proposée avant d'être invoquée dans le Runtime.

Lecture d'archives depuis le dossier de sauvegarde

Active : Les archives conservées sont lues depuis le dossier de sauvegarde défini dans la configuration du projet.

Lors du chargement de données d'archives depuis le dossier de restauration, les données d'archives provenant du chemin du Runtime et de tous les sous-dossiers du dossier de restauration sont également lues.

Exporter le fichier

Propriétés du fichier exporté depuis le rapport.

Nom

Nom du fichier.
Peut comporter jusqu'à 8 caractères alphanumériques. Si aucun nom n'est fourni est la fonction de dénomination automatique est désactivée, le nom "dummy" est utilisé.

Attention : l'utilisation de caractères spéciaux peut provoquer une perte de données.

Format

Format du fichier d'exportation.
  • TXT

Fichier texte
  • XRS

Fichier de rapport zenon
  • XML

Fichier XML

Générer le nom automatiquement

Active : Le nom de fichier est créé automatiquement. Il est constitué de l'identifiant court, de la date codée et de l'extension de fichier choisie.

Codage du nom pour la fonction de dénomination automatique

Code | Signification
xx | Identifiant court : 2 caractères Les deux premiers caractères du nom spécifié sous "Nom" ou du nom défini par le système, du.
AA | Année : deux chiffres
MM | Mois : deux chiffres
JJ | Jour : deux chiffres
HH | Heures : deux chiffres
MM | Minute : deux chiffres
SS | Seconde : deux chiffres

Exemple

  • Le fichier de rapport Rapport est exporté le 9. 6. 2010 à 11:52 au format XRS
  • Nom de fichier automatique : re100506091152.xrs

info Informations

Les entrées d'archive peuvent uniquement être lues avec la fonction Exporter rapport. Les actions d'écriture ne sont pas possibles.


Utilisation dans le Runtime

Manuel -> Création de rapports -> Report Generator -> Utilisation dans le Runtime

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Les rapports relatifs aux boutons configurés sont affichés, configurés et gérés dans le Runtime. Les éléments utilisateur suivants sont disponibles dans le Runtime :

Paramètre | Description
Insérer un modèle... | Ouvre la boîte de dialogue de sélection de modèle pour le type de synoptique correspondant. Des modèles sont fournis avec zenon, et peuvent également être créés par l’utilisateur. Modèles ajoutent des éléments de contrôle prédéfinis à des positions prédéfinies sur le synoptique. Les éléments qui ne sont pas nécessaires peuvent également être supprimés individuellement après leur création. Les éléments supplémentaires peuvent être sélectionnés dans la liste déroulante, puis insérés dans le synoptique zenon. Les éléments peuvent être déplacés et disposés individuellement sur le synoptique.

Fenêtre

Éléments de contrôle pour l'affichage des fenêtres.

Paramètre

Description

Fenêtre de rapport

Affiche le rapport.

Définir filtre

Affiche l'état actuel du filtre de temps actuellement configuré dans le Runtime.

Éléments compatibles

Les éléments de contrôle Standard Win32 ayant été remplacés ou supprimés par des éléments zenon (texte dynamique, basculer) et continuent à être disponibles pour des raisons de compatibilité. Ces éléments ne sont pas pris en compte lors de l’insertion automatique de modèles.

Pour la description, reportez-vous aux éléments actuels.

  • Définir filtre

Fonctions

Contrôle les éléments pour le contrôle dans le Runtime.

Paramètre

Description

Filtrer...

Sélectionner le fichier de rapport et modifier les conditions de filtre.

Mise à jour

Recréer entièrement le rapport (valeurs et affichage).

Imprimer

Imprimer le rapport dans le Runtime.

Exporter

Exporter le rapport.

Enregistrer l'archive

Écrire les valeurs modifiées dans l'archive.

Enregistrer rapport

Le rapport est enregistré dans le Runtime (*.xrs).

Attention : lors de l'enregistrement, les formules et fonctions sont remplacées par les valeurs actuelles. Les fonctions dans ces rapports (fichiers .xrs) ne sont plus disponibles. Ces rapports ne peuvent donc plus être édités dans Editor.

Recommandation : activez la protection contre l'écriture des fichiers originaux des rapports, et enregistrez les modifications dans un nouveau fichier à l'aide de la commande Enregistrer sous.

Enregistrer le rapport sous...

Le rapport est enregistré sous un nouveau nom durant le Runtime (*.xrs), les formules et les fonctions sont remplacées par les valeurs actuelles.

Lire les valeurs sélectionnées

Les valeurs sélectionnées sont lues une nouvelle fois depuis le driver.

Écrire les valeurs sélectionnées

Les valeurs sélectionnées sont transmises au driver.

Lire toutes les valeurs

Toutes les valeurs sont lues une nouvelle fois depuis le driver.

Écrire toutes les valeurs

Toutes les valeurs sont transmises au driver.

Navigation

Éléments de contrôle pour la navigation.

Paramètre | Description
Ligne précédente | Fait défiler le texte dans la liste vers le haut
Ligne suivante | Fait défiler le texte dans la liste vers le bas
Colonne droite | Fait défiler le texte dans la liste vers la droite
Colonne gauche | Fait défiler le texte dans la liste vers la gauche
Page précédente | Fait défiler le texte dans la liste vers le haut
Page suivante | Fait défiler le texte dans la liste vers le bas
Page droite | Fait défiler le texte dans la liste vers la droite
Page gauche | Fait défiler le texte dans la liste vers la gauche

Filtrer profils

Boutons de configuration des filtres dans le Runtime.

Paramètre | Description
Sélectionner un profil | Sélectionner un profil dans la liste.
Enregistrer | Enregistrer la configuration actuelle sous forme de profil. Remarque : Le nom ne peut contenir que 31 caractères maximum et uniquement des caractères valides. Les caractères suivants sont interdits : ! \ / : * ? < > | ""
Supprimer | Supprimer le profil sélectionné.
Importer | Importe les profils de filtre depuis un fichier d’exportation.
Exporter | Exporte les profils de filtre vers un fichier.
info Informations
Un point est utilisé en tant que séparateur décimal. Lors de la saisie, vous pouvez utiliser un point ou une virgule. Le séparateur est automatiquement converti par le système. Exemple : 10,5 devient 10.5.

Autres sujets abordés dans ce chapitre

Filtre de lots pour l'appel de synoptique


Filtre de lots pour l'appel de synoptique

Manuel -> Création de rapports -> Report Generator -> Utilisation dans le Runtime -> Filtre de lots pour l'appel de synoptique

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Si vous appelez un synoptique de type Rapport avec un filtre de lots, le filtre suivant est affiché.

Paramètre

Description

Filtre de lots

Sélection du groupe de recettes à importer. Le filtre comprend deux listes :

  • Liste d'archives : Liste d'archives
  • Liste de lots : Liste de lots attribués à l'archive sélectionnée.

Liste d'archives

Sélectionnez l'archive souhaitée

Nœud * :

  • regroupe tous les lots de l'archive affichée.
  • La légende indique le nom du lot.
  • L'heure de début est l'heure de début du premier lot.
  • L'heure de fin est l'heure de fin la plus tardive de tous les lots.

Liste de lots

Affiche la liste de lots attribués à l'archive sélectionnée.

La liste peut être filtrée par saisie de texte, par date, par heure ou par intervalle, selon le type d'archive sélectionné.

Pour trier la liste, cliquez sur un en-tête.

Nom de lot

Affiche le nom de tous les lots disponibles.

Filtre : Saisie d'une chaîne de caractères. Seuls les lots correspondant à la chaîne de caractères saisie seront affichés.

Date de début

Affiche la date de début de tous les lots disponibles.

Filtre : saisie d'une date de début ou sélection dans un calendrier.

Heure de début

Disponible uniquement si vous avez saisi une date de début.

Affiche l'heure de début de tous les lots disponibles.

Filtre : saisie d'une heure de début. * signifie 0:00:00 heure.

Date de fin

Affiche la date de début de tous les lots disponibles.

Filtre : saisie d'une date de fin ou sélection dans un calendrier.

Heure de fin

Disponible uniquement si vous avez saisi une date de fin.

Affiche l'heure de début de tous les lots disponibles.

Filtre : saisie d'une heure de début. * signifie 23:59:59 heure.

Durée

Cette colonne affiche la durée de chaque lot disponible.

Affichage uniquement.

info Informations

Les lots encore ouverts sont affichés s'ils correspondent aux critères de filtre définis.

info Informations

La valeur de la variable de lot est écrite dans le fichier d'index et dans l'en-tête du fichier ARX au début du lot. Ces entrées sont ajustées à chaque modification de la variable. Lors de la fermeture du lot, la valeur de la variable de lot à cet instant est finalement écrite dans le fichier d'index et dans l'en-tête.

De cette manière, le nom du lot est définitif à la fermeture du lot.


Exemple de données d'archive dans un rapport

Manuel -> Création de rapports -> Report Generator -> Exemple de données d'archive dans un rapport

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Dans cet exemple, vous créez des données d'archive dans un rapport. Pour cela :

  1. Ouvrez un nouveau rapport à l'aide du menu contextuel, puis sélectionnez l'entrée Nouveau rapport.
  2. Configurez la zone de titre.
  3. Renseignez la zone de données.
  4. Configurez un synoptique de rapport et créez une fonction.

Autres sujets abordés dans ce chapitre

Zone de titre

Domaine de donnée

Affichage du rapport dans le Runtime


Zone de titre

Manuel -> Création de rapports -> Report Generator -> Exemple de données d'archive dans un rapport -> Zone de titre

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

La zone de titre contient, dans les quatre premières lignes :

  • Des textes servant d'intitulé pour les données
  • Date and time (date et heure)
  • Le logo de l'entreprise

La zone de titre est mise en forme de telle manière qu'elle est fixe dans les rapports comportant plusieurs pages, et ne disparaît pas lorsque vous faites défiler le rapport.

Autres sujets abordés dans ce chapitre

Textes

Date and time (date et heure)

Synoptiques en tant que logo d'entreprise

Zone d'intitulé fixe pour les rapports comportant plusieurs pages


Textes

Manuel -> Création de rapports -> Report Generator -> Exemple de données d'archive dans un rapport -> Zone de titre -> Textes

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Saisissez les textes suivants comme intitulés pour le rapport :

  • Temps
  • Hall 1
    • Cuve 1
    • Cuve 2
  • Hall 2
    • Cuve 1
    • Cuve 2


Date and time (date et heure)

Manuel -> Création de rapports -> Report Generator -> Exemple de données d'archive dans un rapport -> Zone de titre -> Date and time (date et heure)

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

La date et l'heure du rapport sont configurées pour les cellules A1 et E1, avec les fonctions de rapport. Pour cela :

  1. Saisissez la fonction =now() dans les cellules A1 et E1.
  2. La date actuelle est maintenant affichée dans les deux cellules.
  3. Pour afficher l'heure dans la cellule E1, vous devez modifier la mise en forme de cette cellule.
    1. Sélectionnez la cellule E1
    2. Ouvrez la boîte de dialogue de mise en forme à l'aide du menu Format/Cellules/Édition.
    3. Sélectionnez la chaîne de mise en forme, comme illustré ci-dessous.

  4. Résultat :


Synoptiques en tant que logo d'entreprise

Manuel -> Création de rapports -> Report Generator -> Exemple de données d'archive dans un rapport -> Zone de titre -> Synoptiques en tant que logo d'entreprise

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Les synoptiques dans les cellules ne sont pas considérés comme des contenus de cellules par l'outil Report Generator, mais comme des informations de mise en forme. La configuration est donc effectuée par le biais de la mise en forme des cellules :

  1. Depuis le Gestionnaire de projet, importez le synoptique souhaité dans les nœuds Fichiers/Éléments graphiques
  2. Sélectionnez la cellule E2 avec le bouton gauche de la souris.
  3. Ouvrez le menu contextuel du rapport en cliquant dessus avec le bouton droit de la souris, et sélectionnez ensuite la commande Cellule.
  4. Dans la boîte de dialogue, accédez à la page Type de cellule.
  5. Modifiez le type de cellule en Fichier graphique.
  6. Sélectionnez le synoptique souhaité dans la liste déroulante située sur le côté droit de l'écran.

  7. Résultat :


Zone d'intitulé fixe pour les rapports comportant plusieurs pages

Manuel -> Création de rapports -> Report Generator -> Exemple de données d'archive dans un rapport -> Zone de titre -> Zone d'intitulé fixe pour les rapports comportant plusieurs pages

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Pour que les intitulés des lignes et des colonnes soient toujours visibles dans les rapports comportant plusieurs pages, vous devez les configurer pour qu'ils ne se déplacent pas à mesure du défilement du rapport. Pour cela, définissez des zones d'intitulé fixes.

Pour définir un intitulé de ligne fixe :

  1. Sélectionnez la commande Rapport dans le menu Format.
  2. La boîte de dialogue de configuration s'affiche.
  3. Ouvrez l'onglet Colonnes.

    Près du nombre de colonnes, vous pouvez également définir le nombre de colonnes fixes . Le nombre défini de colonnes fixes reste alors affiché en permanence à l'écran, même pendant le défilement du rapport.

  4. Saisissez 1 dans le champ Colonnes fixes .
  5. Sélectionnez l'onglet Lignes.

    Les intitulés de colonnes se trouvent dans les lignes 1 à 4 pour les lignes :

  6. Saisissez 4 dans le champ Lignes fixes .
  7. Confirmez toutes les modifications en cliquant sur le bouton OK.


Domaine de donnée

Manuel -> Création de rapports -> Report Generator -> Exemple de données d'archive dans un rapport -> Domaine de donnée

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Dans la zone de données :

  • Configurez l'affichage de l'heure et des valeurs
  • Affichez la somme et la moyenne

Autres sujets abordés dans ce chapitre

Temps

Valeurs

Somme et moyenne


Temps

Manuel -> Création de rapports -> Report Generator -> Exemple de données d'archive dans un rapport -> Domaine de donnée -> Temps

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

L'heure des valeurs d'archives affichées est affichée dans la colonne A.

info Informations

Nous allons sélectionner une archive cyclique comme base. Les entrées de toutes les variables sont donc effectuées à la même heure, et une colonne d'heure est suffisante pour toutes les entrées.

Pour configurer l'heure :

  1. Sélectionnez la cellule A5.
  2. Sélectionnez la commande Assistant Fonction dans le menu Format.
  3. L'assistant Fonction démarre.

  4. Sélectionnez la fonction Archive en double-cliquant dessus.
  5. Le bouton Archive est toujours affiché dans la section inférieure de la boîte de dialogue.

  6. Cliquez sur Archive.
  7. La boîte de dialogue de sélection d'archives s'affiche :

  8. Cliquez sur Nouveau.
  9. Les archives conservées dans le nœud du serveur d'archives sont affichées.
  10. Sélectionnez les variables comme illustré sur la capture d'écran.

  11. Cliquez sur Enregistrer
  12. Sélectionnez la variable "H1_Tank1".

  13. Confirmez la sélection en cliquant sur OK.
  14. L'assistant Fonction apparaît à nouveau.
  15. Sélectionnez le paramètre heure en double-cliquant dessus.

  16. Sélectionnez le paramètre Vers le bas en double-cliquant dessus.
  17. La configuration de la fonction est terminée (=archive(1,"time","down")

  18. Fermez l'assistant en cliquant sur le bouton OK.

L'heure d'archivage de la variable se poursuit donc vers le bas à partir de la ligne 5, dans la colonne A.

info Informations

Les paramètres doivent toujours être sélectionnés avec un double-clic. Tous les paramètres sont configurés lorsque la fonction présentée dans l'aperçu est fermée par un crochet et qu'aucun autre paramètre n'est proposé. Si vous cliquez sur le bouton OK avant d'avoir sélectionné tous les paramètres, l'assistant est fermé avant que tous les paramètres n'aient été configurés pour la fonction.


Valeurs

Manuel -> Création de rapports -> Report Generator -> Exemple de données d'archive dans un rapport -> Domaine de donnée -> Valeurs

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Vous configurez les valeurs pour les cuves dans les halls 1 et 2 de la même manière que vous avez configuré l'heure. Prêtez attention aux différences suivantes :

  • Il n'est plus nécessaire de configurer les variables des archives. Elles existent déjà et peuvent être sélectionnées immédiatement. Attribuez à chaque cuve la variable correspondante.
  • Au lieu du paramètre Heure, sélectionnez le paramètre Valeur.

Copie d'une fonction

Lorsque vous avez créé une fonction, vous pouvez la copier vers d'autres cellules, puis la modifier à votre convenance :

Pour cela :

  1. Sélectionnez la cellule que vous souhaitez modifier
  2. Ensuite, cliquez dans la cellule que vous souhaitez éditer
  3. Dans la fonction affichée à l'écran, les numéros de référence renvoient aux variables d'archives correspondantes ; ils sont générés automatiquement durant la sélection des archives lors de la création de la fonction
  4. Remplacez donc le 1 en tant que premier paramètre dans la colonne C par un 2
    par un 3 dans la colonne D
    et par un 4 dans la colonne E


Somme et moyenne

Manuel -> Création de rapports -> Report Generator -> Exemple de données d'archive dans un rapport -> Domaine de donnée -> Somme et moyenne

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Pour ce rapport, vous allez maintenant configurer l'affichage de la somme et de la moyenne.

Pour cela, vous devez déterminer le nombre de cellules requises pour les entrées d'archives. Ces cellules sont définies dans Report Generator. Le nombre d'entrées dans la liste dépend des paramètres de filtre utilisés pour appeler ensuite le rapport (fonctions Exécuter rapport, Imprimer rapport, Exporter rapport).

Dans notre exemple, nous sélectionnerons une plage de temps de deux minutes. Puisque notre archive enregistre des valeurs toutes les cinq secondes, le rapport contiendra 24 entrées. Par conséquent :

  1. Saisissez le texte Somme dans la cellule A29
  2. Saisissez le texte Moyenne dans la cellule A30
  3. Saisissez la fonction =sum(B5:B25) dans la cellule B29.
  4. Saisissez la fonction =sum(B5:B25) dans la cellule B30.
  5. Copiez la cellule B29 vers C29, D29 et E29
  6. Copiez la cellule B30 vers C30, D30 et E30
  7. Enregistrez le rapport sous le nom Archiv.xrs

info Informations

Lors de la saisie des fonctions, vous pouvez soit saisir des noms de cellules ou cliquez sur la cellule correspondante avec le bouton de la souris.

Si vous copiez des fonctions contenant des adresses de cellules dans Report Generator, les adresses de cellules sont automatiquement adaptées.


Affichage du rapport dans le Runtime

Manuel -> Création de rapports -> Report Generator -> Exemple de données d'archive dans un rapport -> Affichage du rapport dans le Runtime

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Pour pouvoir afficher le rapport dans le Runtime, vous devez disposer des éléments suivants :

  • Un synoptique de rapport
  • Une fonction d'appel de synoptique

Créer un synoptique de type Rapport

Pour créer un synoptique Rapport :

  1. Créez un nouveau synoptique intitulé Rapport.
  2. Sélectionnez le type de synoptique Rapport.
  3. Sélectionnez le cadre MAIN.
  4. Cliquez sur le nouveau synoptique.
  5. Sélectionnez la commande Par défaut dans le menu Éléments de contrôle.
  6. Ajoutez les éventuels éléments de contrôle requis.

Créer une fonction

Créez une fonction d'appel de synoptique pour sélectionner le synoptique dans le Runtime. Pour cela :

  1. Ajoutez un nouveau bouton au synoptique de départ.
  2. Ajoutez-lui l'intitulé Rapport.
  3. Accédez au nœud Fonctions.

    Créez une nouvelle fonction.

  4. Sélectionnez Appel de synoptique.
  5. Sélectionnez le synoptique Rapport.
  6. Le filtre de rapport s'affiche à l'écran.

  7. Cliquez sur le bouton Format fichier.
  8. Sélectionnez Archiv.xrs.
  9. Ouvrez l'onglet Temps.

  10. Pour notre exemple, configurez les options comme suit :
    1. Définissez le format de temps sur Intervalle de temps relatif et
    2. Réglez le temps sur 2 minutes.

    D'autres informations concernant le filtre de temps sont disponibles dans le manuel Liste d'alarmes, au chapitre Filtre de temps.

  11. Fermez le filtre en cliquant sur OK.
  12. Associez le bouton configuré à la fonction
  13. Exécutez la fonction dans le Runtime


Report Viewer

Manuel -> Création de rapports -> Report Viewer

Report Viewer peut être utilisé pour afficher les rapports RDL de données d'archives, de données de listes AML et CEL, ainsi que des valeurs en ligne. Deux plages de temps historiques peuvent également être comparées avec deux plages de temps configurables.

Les fichiers RDL qui affichent le modèle de rapport pour le Runtime sont créés et édités dans Editor. 7 jeux de données prédéfinis sont déjà disponibles. D'autres jeux de données peuvent être librement créés ; seul le schéma de table correspondant aux quatre catégories de données est défini.

Les données source fournissant les jeux de données créés dans le fichier RDL dans le Runtime sont définies dans la fonction d'appel de synoptique, sur le synoptique Report Viewer. Pour chaque jeu de données utilisé dans le fichier RDL, un jeu de données comportant un nom et une origine de données identiques doit être créé. Les variables source et les critères de filtre peuvent être prescrits pour ces éléments, en fonction de leur type.

attention Attention

L'affichage des rapports dans le module Report Viewer de zenon est déterminé par les tailles de polices configurées dans Windows.
Ceci signifie : En cas de modification de la taille de la police, les rapports ne sont pas redimensionnés par la fonction d'ajustement automatique des tailles de synoptique de zenon. Le contenu ne peut pas être ajusté à l'aide des fonctions de mise à l'échelle de synoptiques.

Étapes de configuration habituelles :

  1. Créez un nouveau fichier de définition de rapport ou importez-en un
  2. Créez un synoptique Report Viewer.
  3. Créez une fonction d'appel de synoptique et configurez les jeux de données
  4. Configurez la sortie sous forme de fichier PDF ou de sortie sur imprimante
  5. Configuration d'un fichier RDL
  6. Appelez la fonction dans le Runtime, à l'aide d'un bouton ou d'un menu

Limitations

La taille des rapports ne doit pas être excessive, car le traitement de volumes de données trop importants dans un jeu de données peut affecter l'exécution du Runtime. La taille des rapports est limitée à 5000 valeurs/lignes générées par jeu de données.

Remarque : Pour les jeux de données contenant des fichiers d'archive, 5000 valeurs sont générées pour chaque variable contenue dans l'archive.

attention Attention

Si plusieurs fonctions de Report Viewer (imprimer, exporter) sont exécutées simultanément, ceci peut exercer une charge importante sur le Runtime.

Autres sujets abordés dans ce chapitre

Configuration dans Editor

Fichiers de définition de rapport

Utilisation dans le Runtime

Dépannage


Configuration dans Editor

Manuel -> Création de rapports -> Report Viewer -> Configuration dans Editor

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Pour pouvoir utiliser l'application Report Viewer dans le Runtime, vous devez effectuer les opérations suivantes dans Editor :

  1. Créez un synoptique Report Viewer
  2. Créez ou importez un fichier RDL, si aucun fichier n'est présent
  3. Configurez une fonction d'appel de synoptique pour le synoptique Report Viewer.
  4. Configurez les jeux de données dans la fonction d'appel de synoptique.
  5. Modifiez le fichier de définition de rapport (RDL) en fonction des jeux de données définis dans zenon.
  6. Ajoutez un bouton permettant d'afficher Report Viewer dans le Runtime sur le synoptique de départ ou le synoptique de menu.

Dossier des fichiers de définition de rapport (RDL)

Les fichiers RDL sont enregistrés dans l'arborescence du projet, dans le nœud Fichiers/Report Viewer. Les fichiers RDL existants peuvent être importés et édités ici, ou de nouveaux fichiers peuvent être créés.

Menu contextuel de modèle de rapport

Élément de menu | Action
Nouveau fichier de définition de rapport | Ouvre la boîte de dialogue de création d’un nouveau fichier RDL sur la base des jeux de données précédemment définis.
Ouvrir un fichier de définition de rapport | Ouvre le programme associé aux fichiers RFL, autorisant l’édition d’un fichier de définition existant. Par défaut, zenon recherche d’abord MS Report Builder, puis MS Report Designer.
Créer une fonction standard | Disponible uniquement dans la barre d’outils. Crée un appel de synoptique autorisant la sélection d’un synoptique de type Report Viewer, puis insère le fichier RDL sélectionné dans le Fichier de définition de rapport.
Retour à l'élément de départ | Avec les éléments liés, revient à l’élément depuis lequel le modèle de rapport a été ouvert. Uniquement présent dans le menu contextuel si des éléments liés sont présents.
Copier | Copie les entrées sélectionnées et vers le presse-papiers.
Coller | Insère le contenu du presse-papier. Si une entrée portant le même nom existe déjà, le contenu est collé sous le nom Copie de....
Supprimer | Après une demande de confirmation, supprime les entrées sélectionnées de la liste.
Importer un fichier de définition de rapport | Ouvre une boîte de dialogue permettant d’importer des fichiers de définition de rapport existants. Ces fichiers doivent être au format RDL 2.0.
Supprimer tous les filtres | Supprime tous les paramètres de filtre
Éditer cellule sélectionnée | Ouvre la cellule sélectionnée pour la modification. Le symbole représentant des jumelles dans l'en-tête indique la cellule sélectionnée dans une ligne affichée en surbrillance. Seules les cellules pouvant être modifiées peuvent être sélectionnées.
Remplacer un texte dans la colonne sélectionnée | Ouvre la boîte de dialogue de recherche et de remplacement de texte.
Propriétés | Ouvre la fenêtre de Propriétés.
Aide | Ouvre l'aide en ligne.

Autres sujets abordés dans ce chapitre

Créez un synoptique Report Viewer

Appel d'un synoptique Report Viewer

Exporter ou imprimer le rapport de la fonction


Créez un synoptique Report Viewer

Manuel -> Création de rapports -> Report Viewer -> Configuration dans Editor -> Créez un synoptique Report Viewer

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Créez un synoptique Report Viewer

Développement

Étapes de création du synoptique :

  1. Créez un nouveau synoptique :

    Dans la barre d’outils ou le menu contextuel du nœud Synoptiques, sélectionnez la commande Nouveau synoptique.
    Un synoptique vide Standard est créé.

  2. Modifiez les propriétés du synoptique :
    1. Nommez le synoptique dans la propriété Nom.
    2. Sélectionnez le paramètre Report Viewer dans la propriété Type de synoptique.
    3. Sélectionnez le cadre souhaité dans la propriété Gabarit.
  3. Configurez le contenu du synoptique :
    1. Sélectionnez l’option de menu Éléments de contrôle dans la barre de menus
    2. Sélectionnez Insérer un modèle dans la liste déroulante.
      La boîte de dialogue de sélection de mises en forme prédéfinies s’affiche à l’écran. Certains éléments de contrôle sont insérés dans le synoptique à des positions prédéfinies.
    3. Supprimez les éléments superflus du synoptique.
    4. Si nécessaire, sélectionnez des éléments supplémentaires dans la liste déroulante Éléments. Placez-les aux emplacements souhaités sur le synoptique.
  4. Créez une fonction d’appel de synoptique.

Paramètres | Description
Insérer un modèle | Ouvre la boîte de dialogue de sélection de modèle pour le type de synoptique correspondant. Des modèles sont fournis avec zenon, et peuvent également être créés par l’utilisateur. Modèles ajoutent des éléments de contrôle prédéfinis à des positions prédéfinies sur le synoptique. Les éléments qui ne sont pas nécessaires peuvent également être supprimés individuellement après leur création. Les éléments supplémentaires peuvent être sélectionnés dans la liste déroulante, puis insérés dans le synoptique zenon. Les éléments peuvent être déplacés et disposés individuellement sur le synoptique.
Fenêtre de rapport | Fonctions et profils du rapport.
Définir filtre | Affiche l'état actuel du filtre de temps actuellement configuré dans le Runtime. Élément de contrôle statique Win32. Remplacé par un champ de texte dynamique. Pour la description, reportez-vous à l’élément actuel.
Actualiser | Actualise la définition et les données du rapport et affiche le rapport avec les données actualisées.
Imprimer | Imprime le rapport sur l'imprimante définie pour les valeurs et les fichiers journaux.
Créer PDF | Enregistre le rapport actuellement affiché sous forme de fichier PDF dans le dossier défini pour l'exportation.
Créer un fichier Excel | Enregistre le rapport actuellement affiché sous forme de fichier Excel dans le dossier défini pour l'exportation.
Éléments compatibles | Les éléments de contrôle supprimés ou remplacés par des versions plus récentes restent disponibles, pour des raisons de compatibilité. Ces éléments ne sont pas pris en compte lors de l’insertion automatique de modèles.
Définir filtre | Élément de contrôle statique Win32. Remplacé par un champ de texte dynamique. Pour la description, reportez-vous à l’élément actuel.


Appel d'un synoptique Report Viewer

Manuel -> Création de rapports -> Report Viewer -> Configuration dans Editor -> Appel d'un synoptique Report Viewer

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Pour utiliser Report Viewer dans le Runtime, configurez la fonction d'appel de synoptique avec un synoptique de type Report Viewer :

  1. Créez un synoptique nouveau Report Viewer.
  2. Sélectionnez la commande Nouvelle fonction dans le nœud Fonctions.
  3. Sélectionnez la fonction Appel de synoptique.
  4. Sélectionnez le synoptique Report Viewer.
  5. Le filtre de rapport s'affiche à l'écran.
  6. Si vous souhaitez, vous pouvez configurer le remplacement du filtre de temps dans l'onglet Runtime.
  7. Basculez vers l'onglet définition de rapports.
  8. Sélectionnez le fichier RDL.
  9. Définissez le filtre de module et/ou le filtre de temps.
  10. Créez les jeux de données de votre choix.
  11. Liez les fonctions à un bouton du synoptique afin de pouvoir exécuter un appel dans le Runtime.
  12. Éditez les jeux de données dans le fichier RDL en fonction des paramètres associés dans la fonction d'appel de synoptique.

Autres sujets abordés dans ce chapitre

Configuration du rapport

Runtime

Filtre de recette du module Batch Control

Filtre de temps

Lots

Boîte de dialogue Nouveau jeu de données

Jeux de données dans Report Viewer


Configuration du rapport

Manuel -> Création de rapports -> Report Viewer -> Configuration dans Editor -> Appel d'un synoptique Report Viewer -> Configuration du rapport

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Sur cet onglet, vous configurez les jeux de données et les filtres affichés dans le Runtime.

Paramètres

Description

Fichier de définition de rapport

Fichier RDL utilisé pour la définition de rapports. Ce fichier doit être présent dans le nœud Fichier/Modèles de rapports. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de fichiers.

Lecture des jeux de données depuis un fichier

Cliquez sur le bouton pour lire les jeux de données depuis le fichier RDL défini dans le fichier de définition de rapport et les ajouter à la liste Jeux de données.

Dans ce cas, les dispositions suivantes s'appliquent :

  • Tous les jeux de données peuvent être attribués à un type de jeu de données existant dans zenon, en termes de nombre de colonnes et de dénomination, sont créés automatiquement.
  • Les jeux de données inconnus sont ignorés.
  • Si un filtre de temps est requis, le premier (filtre de temps 1) est lié.
    Si aucun filtre de temps n'est présent, un filtre de temps comportant des paramètres standard (relatif, dernière heure) est affiché et lié.

Remarque : La liste Jeux de données doit être vide pour que les jeux de données provenant d'un fichier RDL puissent y être insérés automatiquement. Les jeux de données existants doivent être supprimés avant que la fonction ne soit utilisée.

Filtre

Liste des filtres disponibles, avec affichage des noms et du type de filtre. Les informations suivantes sont disponibles :

  • Filtre dépendant du module :
    Filtre de recette du module Batch Control
  • Filtre de temps
    Le filtre de temps est automatiquement nommé avec une numérotation croissante.

Configuration :

  • Cliquez sur l'option Filtre spécifique au module pour ouvrir la boîte de dialogue de configuration d'un filtre de batch.
  • Cliquez sur le bouton Nouveau filtre de temps... pour ouvrir la boîte de dialogue de configuration de filtre de temps.

Double-cliquez sur l'aperçu de groupe pour ouvrir le premier filtre configuré du groupe.

Nouveau filtre horaire

Ouvre la boîte de dialogue de configuration d'un nouveau filtre de temps.

Édition

Ouvre la liste des filtres de temps sélectionnés dans la liste aux fins de l'édition.

Supprimer

Supprime le filtre de temps affiché en surbrillance dans la liste.
Les filtres de temps suivants sont automatiquement renommés.

Attention : Si un filtre de temps est supprimé, l'attribution du jeu de données aux filtres de temps doit être reconfigurée. Dans le cas contraire, des intervalles incorrects sont affichés dans le Runtime.

Ensembles de données

Affichage des jeux de données créés. La liste contient les éléments suivants :

  • Nom du jeu de données
  • Provenance des données
  • Filtre de temps

Nouveau

Ouvre la boîte de dialogue de création d'une définition de rapport.

Édition

Ouvre la boîte de dialogue d'édition de la définition de l'élément sélectionné.

Supprimer

Supprime l'élément sélectionné et sa définition de la liste.

OK

Applique toutes les modifications effectuées sur tous les onglets, puis ferme la boîte de dialogue.

Annuler

Annule toutes les modifications effectuées sur tous les onglets, puis ferme la boîte de dialogue.

Aide

Ouvre l'aide en ligne.

info Informations

Si une source de données ne pouvant pas être configurée dans le filtre d'une fonction dans Report Viewer est créée dans le fichier RDL, les jeux de données manquants sont remplacés par des entrées vides. Le rapport est donc affiché correctement dans ce cas uniquement.


Runtime

Manuel -> Création de rapports -> Report Viewer -> Configuration dans Editor -> Appel d'un synoptique Report Viewer -> Runtime

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Dans cet onglet, vous configurez le remplacement du premier filtre utilisé par un synoptique de type Filtre de temps/de lots. Ceci vous permet par exemple, lors de l'appel d'un synoptique distinct, d'utiliser des filtres de temps à la place du filtre configuré dans l'appel de synoptique.

Paramètres

Description

Paramètres du Runtime

Paramètres des actions dans le Runtime.

Remplacement du filtre de temps 1 par un synoptique dans le Runtime.

Remplace le premier filtre de temps configuré par un synoptique de type Filtre de temps/de lots dans le Runtime. Le synoptique actuellement lié est affiché.

Cliquez sur le bouton ... pour ouvrir une boîte de dialogue permettant de sélectionner un synoptique. Seuls les synoptiques issus du projet depuis lequel ils sont appelés et les synoptiques de type Filtre de temps/de lots sont disponibles.

Lors de la sélection d'un synoptique de filtre, les informations de la boîte de dialogue du synoptique sont également affichées dans la vue de détail de la fonction, dans la colonne Paramètres ; si aucun synoptique n'est lié, seule la boîte de dialogue est affichée.

OK

Valide les modifications définies sur tous les onglets et ferme la boîte de dialogue.

Annuler

Annule toutes les modifications et ferme la boîte de dialogue.

Aide

Ouvre l'aide en ligne.


Filtre de recette du module Batch Control

Manuel -> Création de rapports -> Report Viewer -> Configuration dans Editor -> Appel d'un synoptique Report Viewer -> Filtre de recette du module Batch Control

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Lors de l'appel d'un synoptique de type Report Viewer, un filtre peut être défini pour les recettes provenant du module Batch Control. Pour filtrer en fonction des recettes :

  1. Ouvrez l'onglet Définition de rapport pour l'appel de synoptique.
  2. Accédez à la section Filtre.
  3. Dans l'onglet Filtre spécifique au module, cliquez sur Batch Control : Filtre recette.
  4. La boîte de dialogue de configuration du filtre s'affiche à l'écran.

Utiliser le filtre de recette pour

Paramètres

Description

Utiliser le filtre de recette pour

Sélection du type de recette appliqué au filtre :

  • Recette principale
  • Recette de contrôle

Recette principale

Active : le filtrage est effectué sur la base des recettes principales.

Recette de contrôle

Active : le filtrage est effectué sur la base des recettes de contrôle.

Remarque : les recettes principales associées doivent également être sélectionnées. Si aucune recette principale n'a été sélectionnée pour la recette de contrôle, le filtre ne pourra pas trouver la recette recherchée dans le Runtime.

Conseil : Si la recette principale n'est pas connue, il est recommandé de filtrer toutes les recettes principales avec un opérateur.

Paramètres du filtre de recette

Paramètres

Description

Paramètres du filtre de recette

Options du filtre de recette

Appliquer la sélection de la liste de recettes du synoptique Batch Control effectuant l'appel
  • Active : Dans le Runtime, la première recette sélectionnée sur l'écran de batch depuis lequel est appelé le synoptique Report Viewer est utilisée. Les paramètres individuels de cette boîte de dialogue sont alors indisponibles.
  • Inactive : Les paramètres de filtre sont modifiés individuellement dans cette boîte de dialogue.

Recette principale

Paramètres de sélection de la recette principale. Sélection dans la liste déroulante :

  • Nom avec caractères génériques :
    Un nom contenant un opérateur peut être saisi dans le champ de saisie. Un filtrage est effectué en fonction du nom.
  • Nom issu de la variable :
    Le nom de la recette principale est défini par une variable dans le Runtime. Cliquez sur le bouton ... Ouvre la boîte de dialogue de sélection de variables.
  • Identifiant par une variable :
    L'identifiant de la recette principale est défini par une variable dans le Runtime. Cliquez sur le bouton ... Ouvre la boîte de dialogue de sélection de variables.

Version

Sélectionnez la version souhaitée dans la liste déroulante.

  • Tout :
    La version indiquée n'est pas prise en compte et chaque version trouvée est utilisée.
  • Version fixe :
    Ce paramètre effectue un filtrage en fonction des versions indiquées dans ce champ.
    Version maximale possible : 4294967295
  • Version issue d'une variable :
    La version de la recette principale est défini par une variable dans le Runtime. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de variables.
  • Uniquement la version la plus ancienne :
    Seule la recette comportant le numéro de version le plus ancien est utilisée.
  • Uniquement la version la plus récente :
    Seule la recette comportant le numéro de version le plus récent est utilisée.

État de la recette principale

Sélectionnez l'état de la recette dans la liste déroulante, selon le filtre :

Filtrage des recettes de gabarit :

  • Toutes
  • Mode édition
  • Validée
  • Mode Test
  • Exécution de test
  • Terminé avec une erreur
  • Obsolète

Filtrage des recettes de contrôle :

  • Validée ou obsolète
  • Validée
  • Obsolète

Filtrer les résultats pour

Sélectionnez l'identifiant devant être sélectionné lors du filtrage de noms en choisissant l'une des options suivantes dans la liste déroulante :

  • Uniquement l'identifiant le plus ancien
  • Uniquement l'identifiant le plus récent

Un rapport peut uniquement être utilisé pour une recette ; il est donc impossible de filtre « toutes les recettes ».

Recette de contrôle

Paramètres de sélection de la recette de contrôle. Sélectionnez dans la liste déroulante :

  • Nom avec caractères génériques :
    Un nom contenant un opérateur peut être saisi dans le champ de saisie. Un filtrage est effectué en fonction du nom.
  • Nom issu de la variable :
    Le nom de la recette de contrôle est défini par une variable dans le Runtime. Cliquez sur le bouton ... Ouvre la boîte de dialogue de sélection de variables.
  • Identifiant par une variable :
    L'identifiant de la recette principale est défini par une variable dans le Runtime. Cliquez sur le bouton ... Ouvre la boîte de dialogue de sélection de variables.
    Une recette peut être identifiée avec précision si la valeur de la variable à l'heure de l'exécution est un identifiant valide d'une recette de contrôle.
  • Identifiant de tâche issu d'une variable :
    Trouve les recettes de contrôle ayant le numéro d’identifiant de tâche donné. Tout type de variable pouvant être lié. La valeur est automatiquement convertie en variable STRING.
    Remarque : Si la variable ne comporte aucune valeur, aucune recette n'est transmise au module Report Viewer.

État de la recette de contrôle

Sélectionnez l'état de la recette dans la liste déroulante :

  • Toutes
  • Prête
  • Exécutable
  • Exécution terminée
  • Terminée avec des erreurs
  • Obsolète

Filtrer les résultats pour

Sélectionnez l'identifiant devant être sélectionné lors du filtrage de noms ou de tâches en choisissant l'une des options suivantes dans la liste déroulante :

  • Uniquement l'identifiant le plus ancien
  • Uniquement l'identifiant le plus récent

OK

Applique toutes les modifications, crée le filtre et ferme la boîte de dialogue.

Annuler

Annule toutes les modifications effectuées sur tous les onglets, puis ferme la boîte de dialogue.

Aide

Ouvre l'aide en ligne.

Remarque concernant la sélection de variables en fonction du nom ou de l'identifiant : Pour la sélection de variables en fonction de leur nom ou leur identifiant, il est possible de sélectionner des variables numériques ou string, respectivement. Les types de données sont convertis au format correct correspondant.


Filtre de temps

Manuel -> Création de rapports -> Report Viewer -> Configuration dans Editor -> Appel d'un synoptique Report Viewer -> Filtre de temps

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Les filtres de temps permettent de limiter la quantité de données à afficher ou exporter. Les filtres de temps sont très flexibles, et peuvent être prédéfinis dans Editor ou ajustés dans le Runtime.

Remarque : L’heure est enregistrée au format UTC. Pour plus de détails, reportez-vous au chapitre Gestion de la date et de l'heure, dans le chapitre Runtime.

Cliquez sur le bouton Nouveau ou Édition dans la section Filtre de temps de l'onglet Définition de rapports pour ouvrir la boîte de dialogue de configuration de filtre de temps. Vous pouvez utiliser autant de filtres de temps que vous le souhaitez.

Des filtres de temps peuvent être prédéfinis dans Editor et dans le Runtime pour les éléments suivants :

  • Intervalle absolu
  • Intervalle relatif
  • De
  • Période

Le filtrage horaire peut être effectué de deux manières :

  1. En définissant un intervalle de temps dans Editor
    Des plages de temps fixes sont utilisées. un intervalle de temps est fourni dans Editor. Il est uniquement possible de filtrer les données en fonction de cet intervalle de temps dans le Runtime. Les autres filtres - tels que le filtrage par nom de variable, groupes d'alarmes/d'événements et classes d'alarmes/d'événements, etc. ne peuvent plus être modifiés dans le Runtime.
  2. Filtre de temps modifiable dans le Runtime
    Des intervalles de temps prédéfinis sont utilisés. Le filtre de temps est défini dans Editor et peut être modifié dans le Runtime, le cas échéant.

Filtre de temps

Filtre

Sélection du filtre.

Paramètres

Description

Pas de filtre horaire

Active : Aucun filtre temps n’est utilisé.

Note : toutes les entrées Runtime depuis 1. 1. 1990 sont affichées.

Filtre absolu

Active : Un intervalle de temps fixe est défini dans Editor. Lors de l’exécution de la fonction, l’intervalle temps absolu défini est utilisé avec exactitude.

La section Paramètres permet d’afficher et de configurer les options correspondantes.

Remarque : L’heure est enregistrée au format UTC. Pour plus de détails, reportez-vous au chapitre Gestion de la date et de l'heure, dans le chapitre Runtime.

Intervalle relatif

Active : Un intervalle de temps relatif est saisi.

La section Paramètres permet d’afficher et de configurer les options correspondantes.

Attention : Ce filtre est continuellement mis à jour.

De

Active : L’heure à partir de laquelle le filtre est appliqué. Si l’heure n’est pas atteinte ce jour, le filtrage a lieu à partir de l’heure correspondante le jour précédent.

Sélectionnez le mode du domaine dans la liste déroulante?;

  • À partir de HH:MM:SS
  • À partir du jour - HH:MM:SS
  • À partir d’un jour, d’un mois, à HH:MM:SS

La section Paramètres permet d’afficher et de configurer les options correspondantes.

Attention : L’heure de début de ce filtre n’est pas mise à jour automatiquement. Seules les heures existantes affichées sont utilisées.
L’heure de fin n’est pas définie avec ce filtre?; elle est reportée.

Intervalle

Active : Un intervalle de temps fixe est saisi. Sélectionnez le mode du domaine dans la liste déroulante?;

  • Horaire-jour
  • Horaire-semaine
  • Deux semaines
  • Un mois
  • Une année
  • 15 minutes
  • 30 minutes
  • 60 minutes

La section Paramètres permet d’afficher et de configurer les options correspondantes.

Fermer boîte de dialogue

Paramètres | Description
OK | Applique toutes les modifications effectuées sur tous les onglets, puis ferme la boîte de dialogue.
Annuler | Annule toutes les modifications effectuées sur tous les onglets, puis ferme la boîte de dialogue.
Aide | Ouvre l'aide en ligne.

Remarque : Si vous définissez l'option Aucun filtre de temps comme type de filtre de temps, toutes les entrées de Runtime depuis le 1 1. 2000 sont affichées.

attention Attention

Un synoptique de type Report Viewer peut comporter plusieurs filtres de temps. Dans l'onglet Runtime, si un filtre est défini sur un synoptique de type Report Viewer à l'aide d'un synoptique de type Filtre de temps, seul le premier filtre de temps est remplacé par les paramètres du synoptique de filtre. Les autre types de filtre du filtre de temps sont automatiquement définis sur Aucun filtre de temps.

Autres sujets abordés dans ce chapitre

Filtre temps absolu

Intervalle relatif

De

Intervalle

Spécifier un intervalle de temps dans Editor

Le filtre de temps peut être configuré dans le Runtime


Filtre temps absolu

Manuel -> Création de rapports -> Report Viewer -> Configuration dans Editor -> Appel d'un synoptique Report Viewer -> Filtre de temps -> Filtre temps absolu

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Filtre temps absolu

Le filtre absolu permet de définir une période de temps fixe. Lors de l’exécution de la fonction, l’intervalle temps absolu défini est utilisé avec exactitude. Pour configurer le filtre :

  1. Dans la section Filtre, sélectionnez l’option Intervalle absolu.
  2. Configurez l’intervalle de temps souhaité dans la section Paramètres.

Paramètres | Description
Paramètres | Configuration du filtre de temps.
Proposer la date/l’heure actuelle | Active : Le filtre de temps est affiché dans le Runtime.
Par défaut | Active : Le filtre de temps est fourni dans Editor. Seule l’heure de début peut encore être configurée dans le Runtime.
De | Heure de début du filtre. Sélection du jour, du mois, de l’année, de l’heure, de la minute et de la seconde
À | Heure de fin du filtre. Sélection du jour, du mois, de l’année, de l’heure, de la minute et de la seconde

Fermer boîte de dialogue

Options | Description :
OK | Applique toutes les modifications effectuées sur tous les onglets, puis ferme la boîte de dialogue.
Annuler | Annule toutes les modifications effectuées sur tous les onglets, puis ferme la boîte de dialogue.
Aide | Ouvre l'aide en ligne.


Intervalle relatif

Manuel -> Création de rapports -> Report Viewer -> Configuration dans Editor -> Appel d'un synoptique Report Viewer -> Filtre de temps -> Intervalle relatif

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Intervalle relatif

Un intervalle de temps relatif est saisi.

Attention : Ce filtre est constamment mis à jour et continue à fonctionner.
Exemple : Vous pouvez définir un intervalle relatif de 10 minutes et basculer vers un synoptique en réglant ce filtre de temps sur 12:00. Vous verrez alors s’afficher les alarmes de 11:50 à 12:00 lors de l’appel de synoptique. Si le synoptique reste ouvert, le filtre est automatiquement mis à jour. À 12:01, les alarmes de 11:51 à 12:01 sont affichées, et ainsi de suite.

Pour configurer le filtre :

  1. Dans la section Filtre, sélectionnez l’option Intervalle relatif.
  2. Configurez l’intervalle de temps souhaité dans la section Paramètres.

Paramètres | Description
Paramètres | Configuration du filtre de temps.
Proposer la date/l’heure actuelle | Active : Le filtre de temps est affiché dans le Runtime.
Par défaut | Active : Le filtre de temps est fourni dans Editor. Seule l’heure de début peut encore être configurée dans le Runtime. Sélection de l’intervalle relatif en jours, heures, minutes et secondes.

Fermer boîte de dialogue

Options | Description :
OK | Applique toutes les modifications effectuées sur tous les onglets, puis ferme la boîte de dialogue.
Annuler | Annule toutes les modifications effectuées sur tous les onglets, puis ferme la boîte de dialogue.
Aide | Ouvre l'aide en ligne.


De

De

Définit l’heure à partir de laquelle le filtre est appliqué. Pour configurer le filtre :

  1. Dans la section Filtre, sélectionnez l’option Inactif.
  2. Sélectionnez le filtre souhaité dans la liste déroulante.
    • À partir de HH:MM:SS heures
    • Depuis le jour - HH:MM:SS heures
    • Depuis le jour, mois à HH:MM:SS
  3. Configurez l’intervalle de temps souhaité dans la section Paramètres.

Paramètres

Description

Paramètres

Configuration du filtre de temps.

[Date/Heure]

Selon la configuration de l’option Inactif, l’heure à partir de laquelle le filtre est appliqué est configurée ici :

  • À partir de HH:MM:SS
  • À partir du jour - HH:MM:SS
  • À partir d’un jour, d’un mois, à HH:MM:SS

Attention ! L’heure de début de ce filtre n’est pas mise à jour automatiquement. Seules les heures existantes affichées sont appliquées, même si le synoptique reste ouvert et l’heure de 23:00:00 est atteinte.
L’heure de fin de l’intervalle n’est pas définie avec ce filtre?; elle est reportée.
  • À partir de HH:MM:SS

L’heure à partir de laquelle le filtre est appliqué. Si l’heure n’est pas atteinte ce jour, le filtrage a lieu à partir de l’heure correspondante le jour précédent.

Exemple : Vous saisissez 23:00:00. Si la fonction est exécutée à 23:30, elle est filtrée de 23:00:00 jusqu’à l’heure actuelle. S’il est 22:30, toutefois, le filtrage est actif de 23:00:00 le jour précédent jusqu’à l’heure actuelle.
  • À partir du jour - HH:MM:SS

Un jour et une heure de début du filtre sont saisis. Si l’heure indiquée n’a pas été atteinte au cours du mois actuel, l’heure correspondante définie le mois précédent est utilisée.

Exemple : Vous saisissez jour 5 - 23:00:00. Si nous sommes le 10 du mois et il est 23:30, le filtrage sera appliqué à compter du 5 à 23:00:00 jusqu’à l’heure actuelle. Si toutefois nous sommes le 4 du mois, le filtrage sera appliqué à partir du 5 du mois précédent jusqu’à l’heure actuelle.

  • À partir d’un jour, d’un mois, à HH:MM:SS

Un mois, un jour et une heure de début du filtre sont saisis. Si l’heure indiquée n’a pas été atteinte au cours de l’année actuelle, l’heure correspondante définie l’année précédente est utilisée.

Exemple : Vous saisissez Jour 5, Mois Octobre - 23:00:00. Si nous sommes le 10 octobre et il est 23:30, le filtrage est appliqué à compter du 5 octobre à 23:00:00 jusqu’à l’heure actuelle. Si toutefois nous ne sommes que le 4 octobre, le filtrage sera appliqué à partir du 5 octobre de l’année précédente, de 23:00 jusqu’à l’heure actuelle.

Fermer boîte de dialogue

Options | Description :
OK | Applique toutes les modifications effectuées sur tous les onglets, puis ferme la boîte de dialogue.
Annuler | Annule toutes les modifications effectuées sur tous les onglets, puis ferme la boîte de dialogue.
Aide | Ouvre l'aide en ligne.


Intervalle

Intervalle

Définit une période de temps durant laquelle le filtre est appliqué. Pour configurer le filtre :

  1. Dans la section Filtre, sélectionnez l’option Intervalle.
  2. Configurez l’intervalle de temps souhaité dans la section Paramètres.

Options

Description :

Intervalle

Sélection d’une plage de temps dans une liste déroulante.

Le filtrage de cette plage de temps est effectué dans le Runtime. Le filtre est définir par rapport à l’heure de l’appel de synoptique.
Par exemple : La valeur 60 minutes affiche toutes les archives de la dernière heure.

Si cette boîte de dialogue est affichée dans le Runtime, l’heure de début de la plage de temps peut être sélectionnée.

Paramètres

Paramètre en option pour l’intervalle.

Modifier l'intervalle

Permet de modifier les cycles, les délais et les prolongations de périodes de temps.

Active : L’évaluation est réalisée conformément aux règles suivantes :

  • D’abord, l’option Utiliser la dernière période de temps effectuée est évaluée.
  • Ensuite, l’option Modifier la période de temps de est utilisée.
  • Enfin, l’option Déplacer la période de temps dans le futur de est appliquée.

Inactive : Aucune modification n’est apportée à la période de temps.

Attention : Dans la version 7.10, les actions de filtrage réalisées avec cette fonction génèrent des résultats différents de celles réalisées dans les versions antérieures.

Déplacer l’intervalle dans le futur de

Active : La période de temps définie dans le filtre est décalée vers le futur. L’heure de début et l’heure de fin sont déplacées en fonction du cycle d’heure défini.

Indication en heures - minutes - secondes.

Si un décalage égal ou supérieur à la période de temps sélectionnée est défini, un message invitant l’utilisateur à vérifier la configuration s’affiche.

Modifier l’intervalle de

Active : La période de temps définie dans le filtre est modifiée. L’heure de fin est déplacée en fonction du cycle d’heure défini. L’heure de début reste inchangée.

Indication en heures - minutes - secondes.

L’intervalle peut être ajouté ou déduit. La sélection de l'attribution s'effectue au moyen des cases d'option :

  • Ajouter le temps : L’heure indiquée dans le paramètre Modifier la période de temps de est ajoutée au temps défini dans le paramètre Période de temps.
  • Soustraire le temps : L’heure indiquée dans le paramètre Modifier la période de temps de est déduite du temps défini dans le paramètre Période de temps.

Si une modification et un décalage égaux ou supérieurs à la période de temps sélectionnée sont définis, un message invitant l’utilisateur à vérifier la configuration s’affiche à côté de l’élément de contrôle pour la configuration du temps.

Utiliser la dernière période terminée

Active : La période de temps sélectionnée en dernier et entièrement terminée dans l’option Période de temps est utilisée.

Exemple : Pour l’option Période de temps, Un jour a été sélectionné. Le filtre est effectué pour "Hier", car il s’agit du dernier jour qui s’est entièrement terminé.

Fermer boîte de dialogue

Options | Description :
OK | Applique toutes les modifications effectuées sur tous les onglets, puis ferme la boîte de dialogue.
Annuler | Annule toutes les modifications effectuées sur tous les onglets, puis ferme la boîte de dialogue.
Aide | Ouvre l'aide en ligne.


Spécifier un intervalle de temps dans Editor

Manuel -> Création de rapports -> Report Viewer -> Configuration dans Editor -> Appel d'un synoptique Report Viewer -> Filtre de temps -> Spécifier un intervalle de temps dans Editor

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Spécifier un intervalle de temps dans Editor

Avec cette méthode, saisissez un intervalle de temps fixe dans Editor?; celui-ci sera alors appliqué lorsque la fonction sera exécutée dans le Runtime. Vous pouvez alors uniquement définir l’heure de début dans le Runtime, mais aucun autre paramètre de filtre.

Par exemple : Vous définissez un filtre temps de 30 minutes. Dans le Runtime, vous pouvez uniquement définir l’instant auquel doit débuter cet intervalle de temps de 30 minutes. Toutefois, vous ne pouvez pas transformer le filtre en filtre de jour.

attention Attention

Si vous utilisez ce filtre, vous ne pouvez plus modifier les autres filtres disponibles dans l’onglet Général dans le Runtime. Vous pouvez toutefois encore filtrer le texte, les états et les équipements.

Pour créer le filtre :

  1. Le synoptique doit comporter un bouton Filtre permettant d’exécuter le filtre dans le Runtime
  2. Sélectionnez le filtre souhaité
  3. Configurez l’intervalle de temps spécifié

Conseil relatif à l’intervalle de temps : Activez l’option Afficher la boîte de dialogue de filtre dans le Runtime dans la boîte de dialogue de filtre. Ceci vous permet de modifier l’heure de début avant l’exécution de la fonction. N’activez pas l’affichage du filtre dans le Runtime lorsque la fonction est activée?; ceci garantit que l’intervalle actuel est toujours utilisé. Si vous avez activé l’option Utiliser le dernier intervalle de temps fermé, l’intervalle de temps précédent est affiché.
Exemple : Vous définissez un filtre temps de 30 minutes. Il est 10:45 lorsque la fonction est activée. Si l’option Utiliser le dernier intervalle de temps fermé est désactivée, le filtre est défini sur l’intervalle de temps actuel, de 10:30:00 à 10:59:59. Si l’option est activée, le filtre est défini sur l’intervalle de temps précédent, de 10:00:00 à 10:29:59.


Le filtre de temps peut être configuré dans le Runtime

Manuel -> Création de rapports -> Report Viewer -> Configuration dans Editor -> Appel d'un synoptique Report Viewer -> Filtre de temps -> Le filtre de temps peut être configuré dans le Runtime

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Le filtre de temps peut être configuré dans le Runtime

Avec cette méthode, vous définissez un filtre de temps dans Editor. Celui-ci peut être modifié dans le Runtime avant exécution. Pour créer le filtre :

  1. Le synoptique doit comporter des boutons Filtre et Visualiser filtre
  2. Sélectionnez le filtre souhaité :
    • Filtre temps absolu
    • Intervalle relatif
  3. Dans la section Paramètres, sélectionnez l’option Proposer la date/l’heure actuelle.
  4. La boîte de dialogue de filtre s’affiche dans le Runtime, avec la date et l’heure actuelles.


Lots

Manuel -> Création de rapports -> Report Viewer -> Configuration dans Editor -> Appel d'un synoptique Report Viewer -> Lots

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Vous pouvez choisir de limiter l’affichage à certains lots sur cet onglet. Les informations des lots sont également appliquées au filtre existant. Si le filtre de lots est activé, une liste de tous les lots configurés correspondant à la période de temps configurée est préalablement obtenue depuis le serveur d'archives du Runtime.

info Informations

Certains filtres dans zenon peuvent être configurés indépendamment les uns des autres, puis associés dans le Runtime. Ceci est uniquement possible dans une certaine mesure, avec le filtre de lots.

Le filtre de lots peut afficher une liste de lots existants dans le Runtime. En revanche, les données du Runtime ne sont pas disponibles dans Editor.

Lors de la configuration de l’appel de synoptique dans Editor, l’onglet Filtre de temps peut uniquement être utilisé conjointement au filtre de lots, en tant que pré-filtre pour la boîte de dialogue de sélection. Si vous sélectionnez un lot dans cette liste dans le Runtime, le filtre de temps est remplacé avec les données issues du lot sélectionné pour autoriser un filtrage précis du lot sélectionné.

Ceci signifie : Si la boîte de dialogue de sélection de lots est utilisée dans le Runtime et un lot est sélectionné, le filtre de temps affiché ne correspond pas à celui configuré dans Editor.

Filtre

Paramètres d’application du filtre de lots. Sélectionnez une des options suivantes :

  • Pas de filtre de lots
  • Appliquer directement le filtre de lots
  • Afficher la boîte de dialogue de sélection de lots
    Remarque : Si le filtre de lots est affiché sous forme de boîte de dialogue, il peut être pré-filtré en fonction des identifiants d’archive. Nous vous recommandons expressément d’utiliser ce pré-filtrage pour améliorer les performances.

Paramètres

Description

Pas de filtre de lots
  • Active : Le filtre de lots est désactivé et ne peut pas être configuré. Le filtrage de lots n’est pas exécuté dans le Runtime.

Appliquer directement le filtre de lots
  • Active : Le filtre configuré ici est directement appliqué dans le Runtime.

Remarque : Il n’existe aucune possibilité pour afficher tous les lots dans une liste et en sélectionner un manuellement. Si un lot particulier doit être affiché, le filtre pour les archives, les noms et les heures doit être configuré en conséquence. Ceci nécessite une excellente connaissance des données existantes. Dans l’alternative, nous vous recommandons de sélectionner l’option Afficher la boîte de dialogue de sélection de lots.

Afficher la boîte de dialogue de sélection de lots

Active : La boîte de dialogue de sélection est affichée dans le Runtime dans les situations suivantes :

  • Lorsque vous cliquez sur Filtre, ou
  • Lors d’un appel de synoptique, si l’option Afficher cette boîte de dialogue dans le Runtime a été activée (indisponible avec tous les types de fonctions et de synoptiques).
    Remarque : La boîte de dialogue n’est pas affichée en cas de rechargement du projet.

Les options peuvent être présélectionnées dans Editor.

Remplacer dialogue avec ce synoptique en runtime

Uniquement disponible si l’option Afficher la boîte de dialogue de sélection de lots a été sélectionnée.

Permet de définir un synoptique devant être appelé dans le Runtime à la place de la boîte de dialogue de sélection de lots. Seuls les synoptiques Filtre de temps/de lot sont proposés.

Cliquez sur le bouton ... pour ouvrir une boîte de dialogue permettant de sélectionner un synoptique.

Si le synoptique lié n’est pas localisé dans le Runtime, une recherche est effectuée pour trouver les synoptiques correspondants portant le nom spécifié.

Remarque : Un synoptique de filtre de lots peut également être sélectionné avec l’option Afficher cette boîte de dialogue dans le Runtime. Toutefois, il n’est pas utilisé comme filtre, mais comme synoptique de filtre de temps. Les options de filtre de lots ne sont pas correctement appliquées à cet emplacement.

Sélection relative des lots

Attention : Cette option est uniquement disponible pour le module Extended Trend. Avec les cadrans, elle est affichée pour tous les types de synoptiques?; ici, toutefois, elle est uniquement disponible pour le module ETM.

Configuration pour le module ETM :

Pour que l’option soit disponible, l’option Afficher la boîte de dialogue de sélection de lots doit être activée et la propriété Projet Windows CE doit être désactivée dans les propriétés du projet.

  • Active : Autorise la comparaison directe de plusieurs lots. L’affichage débute toujours au point zéro.

Remarque : Si l’option est activée, les boutons Diagramme et l’axe X ne sont pas disponibles dans le Runtime. Ceci s’applique également pour la fonctionnalité clic droit.

Vue d’ensemble de la mise en œuvre de la configuration dans le Runtime :

Heure

Configuration du filtre de temps pour la sélection de lots. Sélectionnez une des options suivantes :

  • Pas de filtre
  • Derniers lots
  • Utiliser le filtre de temps de l’onglet Temps

Paramètres

Description

Pas de filtre
  • Active : La plage de temps définie sur l’onglet Temps n’est pas prise en compte. Tous les lots terminés et actuels sont affichés.

Derniers lots

Attention : Fonctionne uniquement avec l’option Appliquer directement le filtre de lots.

L’option permet d’associer les options Afficher les lots actuels et Afficher les lots terminés. Une des deux options au moins doit être activée. Si les deux options ont été désactivées, ceci correspond au paramètre Pas de filtre.

  • Active : Saisie du nombre de lots terminés, en fonction des critères de filtre sélectionnés. Saisie du nombre dans le champ correspondant ou configuration à l’aide des touches fléchées.

Exemple : La valeur 3 a été saisie pour l’option. 2 lots sont en cours d’exécution et 10 sont terminés. Les lots suivants sont affichés : les deux lots actuels et les lots terminés.

Remarque : La configuration du filtre de temps n’est pas utilisée comme intervalle pour les lots actuels, mais pour l’année passée. Le filtre ne sera pas mis en œuvre en tant que pré-filtre, et ne peut donc pas être utilisé pour améliorer les performances.

Notes concernant la compatibilité :
Si le projet est compilé pour une version antérieure à la version 7.11, les dispositions suivantes s’appliquent : Si les lots actuels ou l’association de lots en cours et terminés sont sélectionnés, seuls les lots terminés sont affichés dans le Runtime.

Afficher les lots actuels
  • Active : Les lots actuels sont affichés.

Remarque : Si le nombre de lots à afficher est supérieur au nombre de lots actuels, les lots terminés sont également affichés jusqu’à ce que la limite configurée soit atteinte.
Exemple : 3 lots doivent être affichés. 1 lot est en cours d’exécution, 5 lots sont terminés. Le lot actuel et les deux lots terminés sont affichés.

Afficher les lots terminés
  • Active : Les lots terminés sont affichés.

Remarque : Si le nombre de lots à afficher est supérieur au nombre de lots terminés, les lots terminés sont également affichés jusqu’à ce que la limite configurée soit atteinte.

Utiliser le filtre de temps de l’onglet Temps
  • Active : Le préfiltrage est effectué avec les paramètres de l’onglet Temps.

La plage effective du filtre peut être modifiée dans les limites de cette plage de temps. Sélectionnez dans la liste déroulante :

  • Inclure les valeurs de début et de fin situées hors des limites du filtre : (Par défaut)
    Les lots peuvent démarrer avant l’heure de début configurée dans le filtre Temps et se terminer après l’heure de fin configurée.
  • Uniquement les valeurs de début et de fin situées hors des limites du filtre :
    Les lots doivent commencer et se terminer dans les limites des horaires de début et de fin configurés dans le filtre Temps.
  • Inclure les valeurs de début antérieures aux limites du filtre :
    Les lots peuvent démarrer avant l’heure de début configurée dans le filtre Temps et se terminer après l’heure de fin configurée.
  • Inclure les valeurs postérieures à la limite du filtre :
    Les lots peuvent également se terminer après la fin de la période définie dans le filtre Temps, mais doivent commencer à l’heure de début configurée ou après celle-ci.
  • Conformer les valeurs de début et de fin aux limites du filtre :
    Les lots sont tronqués conformément aux horaires de début et de fin configurés dans le filtre Temps.

Archives

Configuration du filtrage pour les archives. Ce filtre est appliqué comme pré-filtre pour la boîte de dialogue de sélection de lots.

Sélectionnez une des options suivantes :

  • Pas de filtre
  • Statique
  • Depuis une variable

Paramètres

Description

Pas de filtre
  • Active : Le filtrage des noms d’archives est désactivé.

Statique
  • Active : Les archives dont l’identifiant correspond à la chaîne de caractères saisie dans le champ de recherche sont filtrées.

Saisissez les identifiants d’archive dans le champ de recherche.

  • Séparez plusieurs identifiants par une virgule (,).
  • * ou vide : Toutes les archives, pas de filtre.

Depuis une variable
  • Active : La valeur des variables liées ici est appliquée sous forme de filtre de noms d’archive dans le Runtime.

Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de variables.

Disponible pour les modules AML et CEL si l'option Appliquer directement le filtre de lots a été sélectionnée : D’autres modules utilisent leurs propres configurations.

Remarques concernant les variables dans le Runtime :

  • La sélection de variables est uniquement activée dans le Runtime si une variable valide a déjà été liée dans le Runtime. Le bouton ... est toujours désactivé dans le Runtime. L’option peut être sélectionnée, mais aucune nouvelle variable ne peut être liée.
  • Si la variable n’est pas authentifiée auprès du driver au moment de l’application du filtre de lots, la variable est authentifiée et lue. Ceci peut entraîner des délais avec les connexions de drivers et protocoles plus lents.

Attention : Si la variable sélectionnée n’est pas présente dans le Runtime, aucun filtrage de noms d’archive n’est effectué. Ceci est également vrai s’il est impossible de déterminer la valeur de la variable. Le filtre correspond dans ce cas au paramètre Pas de filtre.

Remarque concernant le module ETM : Dans le module ETM, les archives sont définies en fonction des courbes configurées dans la fonction d’appel de synoptique. Dans le Runtime, ceci est uniquement possible avec l’option lots relatifs. Les variables doivent alors être sélectionnées dans le Runtime, ce qui dépend de l’éventuelle sélection d’archives. Une fois filtrée, l’archive doit être une des archives liées aux courbes configurées. Si ce n’est pas le cas, aucune donnée ne sera affichée. Ce paramètre peut toutefois également être utilisé pour limiter l’affichage des courbes. Ces courbes restent toutefois affichées dans la liste de courbes.

Exemple avec le module ETM :

Courbes configurées | Source de données | Pré-filtrage des archives dans le filtre de lots | Résultat sur le synoptique
A | AR | AR | Affichée dans la liste de courbes et dessinée dans la tendance.
B | EA |  | Uniquement affichée dans la liste de courbes.
C | EP |  | Uniquement affichée dans la liste de courbes.

Remarque concernant la maintenance d’archive : L’archive pour laquelle le synoptique est ouvert est déjà sélectionnée dans la fonction d’appel de synoptique. Une seule archive peut être sélectionnée?; aussi, il est inutile d’imposer d’autres limitations.

Exemple de maintenance d’archive :

Archive configurée | Pré-filtrage des archives dans le filtre de lots | Résultat sur le synoptique
AR | EA | Aucune donnée n’est affichée.

Noms

Configuration du filtrage des noms. Sélectionnez une des options suivantes :

  • Pas de filtre
  • Statique
  • Depuis une variable

Paramètres

Description

Pas de filtre
  • Active : Le filtrage des noms de lots est désactivé.

Statique
  • Active : Les noms de lots correspondant à la chaîne de caractères saisie dans le champ de recherche sont filtrés.

Saisissez le nom de lot dans le champ de recherche :

  • Séparez les entrées multiples par un tube (|).
  • * ou vide : Tous les lots de toutes les archives affichées, pas de filtre.

Depuis une variable
  • Active : La valeur de la variable liée ici est appliquée sous forme de filtre de noms de lot dans le Runtime.

Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de variables.

Uniquement disponible si l’option Appliquer directement le filtre de lots a été sélectionnée :

Remarques concernant les variables dans le Runtime :

  • La sélection de variables est uniquement activée dans le Runtime si une variable valide a déjà été liée dans le Runtime. Le bouton ... est toujours désactivé dans le Runtime. L’option peut être sélectionnée, mais aucune nouvelle variable ne peut être liée.
  • Si la variable n’est pas authentifiée auprès du driver au moment de l’application du filtre de lots, la variable est authentifiée et lue. Ceci peut entraîner des délais avec les connexions de drivers et protocoles plus lents.

Attention : Si la variable sélectionnée n’est pas présente dans le Runtime, aucun filtrage de noms de lot n’est effectué. Ceci est également vrai s’il est impossible de déterminer la valeur de la variable. Le filtre correspond dans ce cas au paramètre Pas de filtre.

Fermer boîte de dialogue

Paramètres | Description
OK | Applique toutes les modifications effectuées sur tous les onglets, puis ferme la boîte de dialogue.
Annuler | Annule toutes les modifications effectuées sur tous les onglets, puis ferme la boîte de dialogue.
Aide | Ouvre l'aide en ligne.


Boîte de dialogue Nouveau jeu de données

Manuel -> Création de rapports -> Report Viewer -> Configuration dans Editor -> Appel d'un synoptique Report Viewer -> Boîte de dialogue Nouveau jeu de données

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Pour définir un nouveau jeu de données :

  1. Dans la fonction d'appel de synoptique, définissez le fichier RDL sur lequel il repose dans un synoptique Report Viewer.
  2. Dans la section Jeux de données, cliquez sur le bouton Nouveau
  3. La boîte de dialogue de création de jeux de données s'affiche à l'écran.
  4. Sélectionnez l'origine des données que vous voulez attribuer.
  5. Confirmez la sélection en cliquant sur OK.
  6. La boîte de dialogue de configuration du type défini s'affiche à l'écran.

Paramètres

Description

Source de données

Sélection de l'origine des données :

Général

  • Liste des alarmes
  • Liste d'événements
  • Valeurs d'archives
  • Valeurs en ligne
  • Paramètres du filtre

Recipe Group Manager (Gestionnaire de groupes de recettes)

  • Données de recettes RGM
  • Valeur recette (RGM)

Batch Control

  • Recette principale
  • Recette de contrôle
  • Synoptiques de recette
  • Cellules de matrice
  • Structure PFC
  • Phases
  • Paramètres
  • Transitions
  • Attributions d'unité
  • Instance d'opération

OK

Confirme la sélection et ouvre la boîte de dialogue de configuration du type.

Annuler

Ferme la boîte de dialogue sans autre configuration.

Aide

Ouvre l'aide en ligne.


Jeux de données dans Report Viewer

Manuel -> Création de rapports -> Report Viewer -> Configuration dans Editor -> Appel d'un synoptique Report Viewer -> Jeux de données dans Report Viewer

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Les paramètres des différents jeux de données dépendent de l'origine du type de données devant être configuré :

  • Général
    • Données de la liste AML
    • Données de la liste CEL
    • Données d'archives
    • Valeurs en ligne
    • Paramètres du filtre
  • Module RGM
    • Données de recettes RGM
    • Valeur recette (RGM)
  • Batch Control
    • Recette principale
    • Recette de contrôle
    • Synoptiques de recette
    • Cellules de matrice
    • Structure PFC
    • Phases
    • Paramètres
    • Transitions
    • Attributions d'unité
    • Instance d'opération

Autres sujets abordés dans ce chapitre

Données de la liste AML

Données de la liste CEL

Valeurs d'archives

Valeurs en ligne

Paramètres du filtre

Données de recettes RGM

Valeur recette (RGM)

Ensembles de données pour le module Batch Control :

Recette principale

Recette de contrôle

Synoptiques de recette

Cellules de matrice

Structure PFC

Phases

Paramètres

Transitions

Attributions d'unité

Instance d'opération


Données de la liste AML

Manuel -> Création de rapports -> Report Viewer -> Configuration dans Editor -> Appel d'un synoptique Report Viewer -> Jeux de données dans Report Viewer -> Données de la liste AML

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Données de la liste AML

Configuration du fichier de la liste AML :

Paramètres

Description

Nom du jeu de données

Nom du jeu de données :

  • Ne doivent pas être vides
  • Doit correspondre exactement au nom du jeu de données dans le fichier RDL
  • Il ne doit contenir ni espaces, ni caractères spéciaux

Nombre max.

Nombre maximum de lignes dans le rapport.
Si le rapport comporte un nombre de lignes supérieur au nombre spécifié ici, en raison des critères de filtre, les n premières lignes sont sorties. n correspond à la valeur saisie.

Valeurs autorisées : 1 - 5000

Par défaut : 1000

Filtre de temps

Sélection du filtre de temps dans la liste déroulante. Celle-ci contient le filtre de temps défini dans l'onglet Définition de rapports.

Onglet Général

Paramètres :

  • Filtre de variables
  • Type d'alarmes
  • Provenance des données
  • Groupes d'alarmes/d'événements, classes d'alarmes/d'événements et domaines d'alarmes/d'événements

Pour plus de détails, reportez-vous au manuel Gestion des alarmes, chapitre Général.

Onglet Texte

Paramètres du filtre de texte.

Pour plus de détails, reportez-vous au manuel Gestion des alarmes, chapitre Texte.

Onglet État

Données utilisées pour l'évaluation des bits d'état.

Pour plus de détails, reportez-vous au manuel Gestion des alarmes, chapitre État .

Onglet Modélisation d'équipements

Sélection du modèle d'équipement.

Pour plus de détails, reportez-vous au manuel Modélisation d'équipements, chapitre Boîte de dialogue Modélisation d'équipements.

OK

Applique les paramètres et ferme la boîte de dialogue.

Annuler

Annule les modifications et ferme la boîte de dialogue.

Aide

Ouvre l'aide en ligne.


Données de la liste CEL

Manuel -> Création de rapports -> Report Viewer -> Configuration dans Editor -> Appel d'un synoptique Report Viewer -> Jeux de données dans Report Viewer -> Données de la liste CEL

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Données de la liste CEL

Configuration des fichiers CEL :

Paramètres

Description

Nom du jeu de données

Nom du jeu de données :

  • Ne doivent pas être vides
  • Doit correspondre exactement au nom du jeu de données dans le fichier RDL
  • Il ne doit contenir ni espaces, ni caractères spéciaux

Nombre max.

Nombre maximum de lignes dans le rapport.
Si le rapport comporte un nombre de lignes supérieur au nombre spécifié ici, en raison des critères de filtre, les n premières lignes sont sorties. n correspond à la valeur saisie.

Valeurs autorisées : 1 - 5000

Par défaut : 1000

Filtre de temps

Sélection du filtre de temps dans la liste déroulante. Celle-ci contient le filtre de temps défini dans l'onglet Définition de rapports.

Onglet Général

Paramètres :

  • Filtre de variables
  • Provenance des données
  • Groupes d'alarmes/d'événements, classes d'alarmes/d'événements et domaines d'alarmes/d'événements

Pour plus de détails, reportez-vous au manuel Liste d'événements, chapitre Général.

Onglet Texte

Paramètres du filtre de texte.

Pour plus de détails, reportez-vous au manuel Gestion des alarmes, chapitre Texte.

Onglet État

Données utilisées pour l'évaluation des bits d'état.

Pour plus de détails, reportez-vous au manuel Gestion des alarmes, chapitre État .

Onglet Modélisation d'équipements

Sélection du modèle d'équipement.

Pour plus de détails, reportez-vous au manuel Modélisation d'équipements, chapitre Boîte de dialogue Modélisation d'équipements.

OK

Applique les paramètres et ferme la boîte de dialogue.

Annuler

Annule les modifications et ferme la boîte de dialogue.

Aide

Ouvre l'aide en ligne.


Valeurs d'archives

Manuel -> Création de rapports -> Report Viewer -> Configuration dans Editor -> Appel d'un synoptique Report Viewer -> Jeux de données dans Report Viewer -> Valeurs d'archives

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Valeurs d'archives

Paramètres

Description

Nom du jeu de données

Nom du jeu de données :

  • Ne doivent pas être vides
  • Doit correspondre exactement au nom du jeu de données dans le fichier RDL
  • Il ne doit contenir ni espaces, ni caractères spéciaux

Nombre max. :

Nombre maximum de lignes dans le rapport.
Si le rapport comporte un nombre de lignes supérieur au nombre spécifié ici, en raison des critères de filtre, les n premières lignes sont sorties. n correspond à la valeur saisie.

Valeurs autorisées : 1 - 5000

Par défaut : 1000

Agrégation

Type d'agrégation :

  • Limite la sortie aux n premières valeurs par archive si les critères de filtre renvoient un nombre d'entrées supérieur à ce nombre.
  • Somme : La plage de temps est divisée en n intervalles de temps équidistants, et les valeurs des archives comprises dans ces intervalles sont ajoutées. Les valeurs des états sont associées à une condition OR.
  • Moyenne : La plage de temps est divisée en n intervalles de temps équidistants, et la moyenne des valeurs des archives comprises dans ces intervalles est calculée. Les valeurs des états sont associées à une condition OR.
  • Minimum : La plage de temps est divisée en n intervalles de temps équidistants, et les valeurs des archives comprises dans ces intervalles sont minimisées.
  • Maximum : La plage de temps est divisée en n intervalles de temps équidistants, et les valeurs des archives comprises dans ces intervalles sont maximisées.

Les informations d'horodatage correspondent à l'heure de début de l'intervalle.

Filtre de temps

Sélection du filtre de temps dans la liste déroulante. Celle-ci contient le filtre de temps défini dans l'onglet Définition de rapports.

Archive - Noms de variables

Liste des variables sélectionnées.

Ajouter

Ouvre la boîte de dialogue de sélection de variables multiples.

Supprimer

Supprime les variables sélectionnés de la liste.

OK

Applique les paramètres et ferme la boîte de dialogue.

Annuler

Annule toutes les modifications et ferme la boîte de dialogue.

Aide

Ouvre l'aide en ligne.


Valeurs en ligne

Manuel -> Création de rapports -> Report Viewer -> Configuration dans Editor -> Appel d'un synoptique Report Viewer -> Jeux de données dans Report Viewer -> Valeurs en ligne

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Valeurs en ligne

Paramètres

Description

Nom du jeu de données

Nom du jeu de données :

  • Ne doivent pas être vides
  • Doit correspondre exactement au nom du jeu de données dans le fichier RDL
  • Il ne doit contenir ni espaces, ni caractères spéciaux

Variables

Liste des variables sélectionnées avec :

  • Nom
  • Identification
  • Adresse
  • Projet

Ajouter

Ouvre la boîte de dialogue de sélection de variables multiples.

Supprimer

Supprime les variables sélectionnés de la liste.

OK

Applique les paramètres et ferme la boîte de dialogue.

Annuler

Annule toutes les modifications et ferme la boîte de dialogue.

Aide

Ouvre l'aide en ligne.


Paramètres du filtre

Manuel -> Création de rapports -> Report Viewer -> Configuration dans Editor -> Appel d'un synoptique Report Viewer -> Jeux de données dans Report Viewer -> Paramètres du filtre

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Paramètres du filtre

Le jeu de données affiche le filtre de temps défini, ainsi que son utilisation par d'autres jeux de données. Les informations suivantes sont affichées dans le rapport :

  • Jeu de données
  • Définir filtre
  • Conditions de filtre

Paramètres

Description

Nom du jeu de données

Nom du jeu de données :

  • Ne doivent pas être vides
  • Doit correspondre exactement au nom du jeu de données dans le fichier RDL
  • Il ne doit contenir ni espaces, ni caractères spéciaux

OK

Applique les paramètres et ferme la boîte de dialogue.

Annuler

Discards all changes and closes the dialog.

Aide

Ouvre l'aide en ligne.


Données de recettes RGM

Manuel -> Création de rapports -> Report Viewer -> Configuration dans Editor -> Appel d'un synoptique Report Viewer -> Jeux de données dans Report Viewer -> Données de recettes RGM

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Données de recettes RGM

Configuration des données de recettes RGM :

Paramètres

Description

Nom du jeu de données

Nom du jeu de données :

  • Ne doivent pas être vides
  • Doit correspondre exactement au nom du jeu de données dans le fichier RDL
  • Il ne doit contenir ni espaces, ni caractères spéciaux

OK

Applique toutes les modifications effectuées sur tous les onglets, puis ferme la boîte de dialogue.

Annuler

Annule toutes les modifications effectuées sur tous les onglets, puis ferme la boîte de dialogue.

Aide

Ouvre l'aide en ligne.

Filtre de recette

Configuration du filtre de recette

Paramètres

Description

Sélection de projet

Sélection du projet correspondant aux données de la recette dans la liste déroulante :

Groupe de recettes

Sélection du groupe de recettes.

La sélection peut être effectuée :

  • De manière statique, parmi les entrées prédéfinies (Groupe de recettes statique)
  • De manière dynamique, via une variable (Nom de groupe de recettes depuis une variable)

Cliquez sur Propriétés pour afficher une liste déroulante permettant de sélectionner une méthode.

Sélection du groupe :

  • Dans la liste déroulante
  • La saisie d'un filtre de texte avec des opérateurs (? pour un caractère et * pour 0 ou un nombre de caractères de votre choix)
  • Via une variable de chaîne : La valeur de texte de la variable est alors interprétée sous forme de nom de groupe ou de texte de filtre avec des opérateurs.

Recette

Sélection de la recette dans le groupe de recettes sélectionné.

La sélection peut être effectuée :

  • De manière statique, parmi les entrées prédéfinies (Recette statique)
  • De manière dynamique, via une variable (Nom de recette depuis une variable)

Cliquez sur Propriétés pour afficher une liste déroulante permettant de sélectionner une méthode.

Sélection du nom :

  • Dans la liste déroulante
  • La saisie d'un filtre de texte avec des opérateurs (? pour un caractère et * pour 0 ou un nombre de caractères de votre choix)
  • Via une variable de chaîne : La valeur de texte de la variable est alors interprétée sous forme de nom de recette ou de texte de filtre avec des opérateurs.

Version de recette statique

Sélection de la version de recette dans le groupe de recettes sélectionné.

La sélection peut être effectuée :

  • De manière statique, parmi les entrées prédéfinies (Version de recette statique)
  • De manière dynamique, via une variable (Version de la recette depuis une variable)

Cliquez sur Propriétés pour afficher une liste déroulante permettant de sélectionner une méthode.

Select version (Sélectionnez la version) :

  • Dans la liste déroulante, sélectionnez :
    - Version la plus haute
    - Version la plus basse
    - Toutes
    - Versions de la recette (disponible uniquement si la sélection du groupe et de la recette aboutit à une recette individuelle ; sélection sans opérateurs)
  • Saisie d'une liste de versions de recettes ; les versions sont séparées par des virgules (,), par exemple : 1, 3, 5
  • Une variable de chaîne fournissant une liste de numéros de version sous forme de texte ; les numéros sont séparés par des virgules (,)
  • Une variable numérique avec un numéro de version (1 - 89999) ou les valeurs :
    - 90000 pour Version la plus basse
    - 90001 pour Version la plus haute
    - 90002 pour Toutes les versions

État de recette statique

Sélection de l’état de recette dans le groupe de recettes sélectionné.

La sélection peut être effectuée :

  • De manière statique, parmi les entrées prédéfinies (État de recette statique)
  • De manière dynamique, via une variable (État de la recette depuis une variable)

Cliquez sur Propriétés pour afficher une liste déroulante permettant de sélectionner une méthode.

Sélection de l'état :

  • Sélection dans la liste déroulante :
    - Tous
    -État d'une recette individuelle
  • Liste d'états de recettes ; les versions sont séparées par des virgules (,), par exemple : 1, 2, 7
  • Une variable de chaîne fournissant une liste de numéros d'état sous forme de texte ; les numéros sont séparés par des virgules (,)
  • Une valeur numérique avec un numéro d'état (1 - 4294967294 ; 0xFFFFFFFE) ou la valeur
  • 0 pour Tous

OK

Applique toutes les modifications effectuées sur tous les onglets, puis ferme la boîte de dialogue.

Annuler

Annule toutes les modifications effectuées sur tous les onglets, puis ferme la boîte de dialogue.

Aide

Ouvre l'aide en ligne.

Combinaisons possibles de la version de recette et de l'état de recette

Filtre de version | Filtre d'état | Résultat
Version la plus basse | Toutes | Seules les versions les plus basses de toutes les recettes sont affichées.
Version la plus basse | 1.2 | Seules les versions les plus basses des recettes comportant l'état 1 ou 2 sont affichées.
Version la plus haute | Toutes | Seules les versions les plus hautes de toutes les recettes sont affichées.
Version la plus haute | 1.2 | Seules les versions les plus hautes des recettes comportant l'état 1 ou 2 sont affichées.
Toutes | Toutes | Toutes les versions des recettes sont affichées.
Toutes | 1.2 | Toutes les versions des recettes comportant l'état 1 ou 2 sont affichées.
2.3 | Toutes | Toutes les versions des recettes 2 et 3 sont affichées, indépendamment de l'état.
2.3 | 1.2 | La version 2 ou 3 de la recette est affichée, si celle-ci comporte l'état 1 ou 2.

Vous pouvez en apprendre davantage sur le fonctionnement du module Recipe Group Manager au chapitre Recipe Group Manager.

Modèles d'équipements

Sélection d'un modèle d'équipement.

Sélectionnez le modèle d'équipement souhaité dans la liste, ou créez un nouveau modèle d'équipement.

Remarque : Les modèles d'équipements sont gérés dans le projet global. Un projet global doit être présent ici pour qu'il soit possible de créer un nouveau modèle d'équipement.


Valeur recette (RGM)

Manuel -> Création de rapports -> Report Viewer -> Configuration dans Editor -> Appel d'un synoptique Report Viewer -> Jeux de données dans Report Viewer -> Valeur recette (RGM)

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Valeur recette (RGM)

Configuration des valeurs de la recette RGM. Les variables de visibilité sont évaluées pour la sortie de valeurs de recettes. Seules les valeurs de recettes comportant l'état Visible sont affichées dans Report Viewer.

Paramètres

Description

Nom du jeu de données

Nom du jeu de données :

  • Ne doivent pas être vides
  • Doit correspondre exactement au nom du jeu de données dans le fichier RDL
  • Il ne doit contenir ni espaces, ni caractères spéciaux

OK

Applique les paramètres et ferme la boîte de dialogue.

Annuler

Annule les modifications et ferme la boîte de dialogue.

Aide

Ouvre l'aide en ligne.

Filtre de recette

Configuration du filtre de recette

Paramètres

Description

Sélection de projet

Sélection du projet correspondant aux données de la recette dans la liste déroulante :

Groupe de recettes

Sélection du groupe de recettes.

La sélection peut être effectuée :

  • De manière statique, parmi les entrées prédéfinies (Groupe de recettes statique)
  • De manière dynamique, via une variable (Nom de groupe de recettes depuis une variable)

Cliquez sur Propriétés pour afficher une liste déroulante permettant de sélectionner une méthode.

Sélection du groupe :

  • Dans la liste déroulante
  • La saisie d'un filtre de texte avec des opérateurs (? pour un caractère et * pour 0 ou un nombre de caractères de votre choix)
  • Via une variable de chaîne : La valeur de texte de la variable est alors interprétée sous forme de nom de groupe ou de texte de filtre avec des opérateurs.

Recette

Sélection de la recette dans le groupe de recettes sélectionné.

La sélection peut être effectuée :

  • De manière statique, parmi les entrées prédéfinies (Recette statique)
  • De manière dynamique, via une variable (Nom de recette depuis une variable)

Cliquez sur Propriétés pour afficher une liste déroulante permettant de sélectionner une méthode.

Sélection du nom :

  • Dans la liste déroulante
  • La saisie d'un filtre de texte avec des opérateurs (? pour un caractère et * pour 0 ou un nombre de caractères de votre choix)
  • Via une variable de chaîne : La valeur de texte de la variable est alors interprétée sous forme de nom de recette ou de texte de filtre avec des opérateurs.

Version de recette statique

Sélection de la version de recette dans le groupe de recettes sélectionné.

La sélection peut être effectuée :

  • De manière statique, parmi les entrées prédéfinies (Version de recette statique)
  • De manière dynamique, via une variable (Version de la recette depuis une variable)

Cliquez sur Propriétés pour afficher une liste déroulante permettant de sélectionner une méthode.

Select version (Sélectionnez la version) :

  • Dans la liste déroulante, sélectionnez :
    - Version la plus haute
    - Version la plus basse
    - Toutes
    - Versions de la recette (disponible uniquement si la sélection du groupe et de la recette aboutit à une recette individuelle ; sélection sans opérateurs)
  • Saisie d'une liste de versions de recettes ; les versions sont séparées par des virgules (,), par exemple : 1, 3, 5
  • Une variable de chaîne fournissant une liste de numéros de version sous forme de texte ; les numéros sont séparés par des virgules (,)
  • Une variable numérique avec un numéro de version (1 - 89999) ou les valeurs :
    - 90000 pour Version la plus basse
    - 90001 pour Version la plus haute
    - 90002 pour Toutes les versions

État de recette statique

Sélection de l’état de recette dans le groupe de recettes sélectionné.

La sélection peut être effectuée :

  • De manière statique, parmi les entrées prédéfinies (État de recette statique)
  • De manière dynamique, via une variable (État de la recette depuis une variable)

Cliquez sur Propriétés pour afficher une liste déroulante permettant de sélectionner une méthode.

Sélection de l'état :

  • Sélection dans la liste déroulante :
    - Tous
    -État d'une recette individuelle
  • Liste d'états de recettes ; les versions sont séparées par des virgules (,), par exemple : 1, 2, 7
  • Une variable de chaîne fournissant une liste de numéros d'état sous forme de texte ; les numéros sont séparés par des virgules (,)
  • Une valeur numérique avec un numéro d'état (1 - 4294967294 ; 0xFFFFFFFE) ou la valeur
  • 0 pour Tous

OK

Applique toutes les modifications effectuées sur tous les onglets, puis ferme la boîte de dialogue.

Annuler

Annule toutes les modifications effectuées sur tous les onglets, puis ferme la boîte de dialogue.

Aide

Ouvre l'aide en ligne.

Combinaisons possibles de la version de recette et de l'état de recette

Filtre de version | Filtre d'état | Résultat
Version la plus basse | Toutes | Seules les versions les plus basses de toutes les recettes sont affichées.
Version la plus basse | 1.2 | Seules les versions les plus basses des recettes comportant l'état 1 ou 2 sont affichées.
Version la plus haute | Toutes | Seules les versions les plus hautes de toutes les recettes sont affichées.
Version la plus haute | 1.2 | Seules les versions les plus hautes des recettes comportant l'état 1 ou 2 sont affichées.
Toutes | Toutes | Toutes les versions des recettes sont affichées.
Toutes | 1.2 | Toutes les versions des recettes comportant l'état 1 ou 2 sont affichées.
2.3 | Toutes | Toutes les versions des recettes 2 et 3 sont affichées, indépendamment de l'état.
2.3 | 1.2 | La version 2 ou 3 de la recette est affichée, si celle-ci comporte l'état 1 ou 2.

Vous pouvez en apprendre davantage sur le fonctionnement du module Recipe Group Manager au chapitre Recipe Group Manager.

Modèles d'équipements

Sélection d'un modèle d'équipement.

Sélectionnez le modèle d'équipement souhaité dans la liste, ou créez un nouveau modèle d'équipement.

Remarque : Les modèles d'équipements sont gérés dans le projet global. Un projet global doit être présent ici pour qu'il soit possible de créer un nouveau modèle d'équipement.


Ensembles de données pour le module Batch Control :

Manuel -> Création de rapports -> Report Viewer -> Configuration dans Editor -> Appel d'un synoptique Report Viewer -> Jeux de données dans Report Viewer -> Ensembles de données pour le module Batch Control :

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Ensembles de données pour le module Batch Control :

Les jeux de données suivants sont maintenant disponibles pour le module Batch Control :

  • Recette principale
  • Recette de contrôle
  • Synoptiques de recette
  • Cellules de matrice
  • Structure PFC
  • Phases
  • Paramètres
  • Transitions
  • Attributions d'unité
  • Instance d'opération


Recette principale

Manuel -> Création de rapports -> Report Viewer -> Configuration dans Editor -> Appel d'un synoptique Report Viewer -> Jeux de données dans Report Viewer -> Recette principale

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Recette principale

Configuration d'un jeu de données pour une recette principale dans le module Batch Control.

Paramètres

Description

Nom du jeu de données

Nom du jeu de données :

  • Ne doivent pas être vides
  • Doit correspondre exactement au nom du jeu de données dans le fichier RDL
  • Il ne doit contenir ni espaces, ni caractères spéciaux

OK

Applique les paramètres et ferme la boîte de dialogue.

Annuler

Annule les modifications et ferme la boîte de dialogue.

Aide

Ouvre l'aide en ligne.


Recette de contrôle

Manuel -> Création de rapports -> Report Viewer -> Configuration dans Editor -> Appel d'un synoptique Report Viewer -> Jeux de données dans Report Viewer -> Recette de contrôle

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Recette de contrôle

Configuration d'un jeu de données pour une recette de contrôle dans le module Batch Control.

Paramètres

Description

Nom du jeu de données

Nom du jeu de données :

  • Ne doivent pas être vides
  • Doit correspondre exactement au nom du jeu de données dans le fichier RDL
  • Il ne doit contenir ni espaces, ni caractères spéciaux

OK

Applique les paramètres et ferme la boîte de dialogue.

Annuler

Annule les modifications et ferme la boîte de dialogue.

Aide

Ouvre l'aide en ligne.


Synoptiques de recette

Manuel -> Création de rapports -> Report Viewer -> Configuration dans Editor -> Appel d'un synoptique Report Viewer -> Jeux de données dans Report Viewer -> Synoptiques de recette

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Synoptiques de recette

Configuration d'un jeu de données pour les synoptiques de recette dans le module Batch Control. Pour les synoptiques, outre les informations détaillées concernant le rapport, il est également possible de spécifier l'affichage dans le Runtime.

Général

Paramètres

Description

Nom du jeu de données

Nom du jeu de données :

  • Ne doivent pas être vides
  • Doit correspondre exactement au nom du jeu de données dans le fichier RDL
  • Il ne doit contenir ni espaces, ni caractères spéciaux

Niveau de détail du rapport

Configuration du niveau de détail des rapports :

  • Complet : Le rapport contient les données de l'ensemble de la recette, ainsi que de ses opérations.
  • Seulement les niveaux des recettes principales : Le rapport contient uniquement les données de la recette principale.
  • Seulement les niveaux des recettes partielles : Le rapport contient uniquement les données des opérations contenues dans la recette.

OK

Applique les paramètres et ferme la boîte de dialogue.

Annuler

Annule les modifications et ferme la boîte de dialogue.

Aide

Ouvre l'aide en ligne.

Affichage

Paramètres | Description
Vue du module PFC | Affichage des recettes du module PFC
Couleur d'arrière-plan | Définition de la couleur de l'arrière-plan. Cliquez sur la couleur pour ouvrir une boîte de dialogue permettant de sélectionner une couleur ou une palette.
Opacité | Réglage de l'opacité à l'aide d'une réglette.
Afficher la grille | Active : La grille est affichée.
Couleur de la grille | Définition de la couleur de la grille. Cliquez sur la couleur pour ouvrir une boîte de dialogue permettant de sélectionner une couleur ou une palette.
Vue de matrice | Affichage des recettes de matrice.
Couleur d'arrière-plan | Définition de la couleur de l'arrière-plan. Cliquez sur la couleur pour ouvrir une boîte de dialogue permettant de sélectionner une couleur ou une palette.
Opacité | Réglage de l'opacité à l'aide d'une réglette.
Couleur de la grille | Définition de la couleur de la grille. Cliquez sur la couleur pour ouvrir une boîte de dialogue permettant de sélectionner une couleur ou une palette.
OK | Applique les paramètres et ferme la boîte de dialogue.
Annuler | Annule les modifications et ferme la boîte de dialogue.
Aide | Ouvre l'aide en ligne.


Cellules de matrice

Manuel -> Création de rapports -> Report Viewer -> Configuration dans Editor -> Appel d'un synoptique Report Viewer -> Jeux de données dans Report Viewer -> Cellules de matrice

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Cellules de matrice

Configuration d'un jeu de données pour la structure d'une recette de matrice dans le module Batch Control.

Paramètres

Description

Nom d'ensemble de données

Nom du jeu de données :

  • Ne doivent pas être vides
  • Doit correspondre exactement au nom du jeu de données dans le fichier RDL
  • Il ne doit contenir ni espaces, ni caractères spéciaux

Niveau de détail du rapport

Configuration du niveau de détail des rapports :

  • Complet : Le rapport contient les données de l'ensemble de la recette, ainsi que de ses opérations.
  • Seulement les niveaux des recettes principales : Le rapport contient uniquement les données de la recette principale.
  • Seulement les niveaux des recettes partielles : Le rapport contient uniquement les données des opérations contenues dans la recette.

OK

Applique les paramètres et ferme la boîte de dialogue.

Annuler

Discards all changes and closes the dialog.

Aide

Ouvre l'aide en ligne.


Structure PFC

Manuel -> Création de rapports -> Report Viewer -> Configuration dans Editor -> Appel d'un synoptique Report Viewer -> Jeux de données dans Report Viewer -> Structure PFC

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Structure PFC

Configuration d'un jeu de données pour la structure d'une recette du module PFC dans le module Batch Control.

Paramètres

Description

Nom du jeu de données

Nom du jeu de données :

  • Ne doivent pas être vides
  • Doit correspondre exactement au nom du jeu de données dans le fichier RDL
  • Il ne doit contenir ni espaces, ni caractères spéciaux

Niveau de détail du rapport

Configuration du niveau de détail des rapports :

  • Complet : Le rapport contient les données de l'ensemble de la recette, ainsi que de ses opérations.
  • Seulement les niveaux des recettes principales : Le rapport contient uniquement les données de la recette principale.
  • Seulement les niveaux des recettes partielles : Le rapport contient uniquement les données des opérations contenues dans la recette.

OK

Applique les paramètres et ferme la boîte de dialogue.

Annuler

Annule les modifications et ferme la boîte de dialogue.

Aide

Ouvre l'aide en ligne.


Phases

Manuel -> Création de rapports -> Report Viewer -> Configuration dans Editor -> Appel d'un synoptique Report Viewer -> Jeux de données dans Report Viewer -> Phases

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Phases

Configuration d'un jeu de données pour les phases dans le module Batch Control.

Paramètres

Description

Nom du jeu de données

Nom du jeu de données :

  • Ne doivent pas être vides
  • Doit correspondre exactement au nom du jeu de données dans le fichier RDL
  • Il ne doit contenir ni espaces, ni caractères spéciaux

Niveau de détail du rapport

Configuration du niveau de détail des rapports :

  • Complet : Le rapport contient les données de l'ensemble de la recette, ainsi que de ses opérations.
  • Seulement les niveaux des recettes principales : Le rapport contient uniquement les données de la recette principale.
  • Seulement les niveaux des recettes partielles : Le rapport contient uniquement les données des opérations contenues dans la recette.

OK

Applique les paramètres et ferme la boîte de dialogue.

Annuler

Annule les modifications et ferme la boîte de dialogue.

Aide

Ouvre l'aide en ligne.


Paramètres

Manuel -> Création de rapports -> Report Viewer -> Configuration dans Editor -> Appel d'un synoptique Report Viewer -> Jeux de données dans Report Viewer -> Paramètres

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Paramètres

Configuration d'un jeu de données pour les paramètres dans le module Batch Control.

Paramètres

Description

Nom du jeu de données

Nom du jeu de données :

  • Ne doivent pas être vides
  • Doit correspondre exactement au nom du jeu de données dans le fichier RDL
  • Il ne doit contenir ni espaces, ni caractères spéciaux

Niveau de détail du rapport

Configuration du niveau de détail des rapports :

  • Complet : Le rapport contient les données de l'ensemble de la recette, ainsi que de ses opérations.
  • Seulement les niveaux des recettes principales : Le rapport contient uniquement les données de la recette principale.
  • Seulement les niveaux des recettes partielles : Le rapport contient uniquement les données des opérations contenues dans la recette.

OK

Applique les paramètres et ferme la boîte de dialogue.

Annuler

Annule les modifications et ferme la boîte de dialogue.

Aide

Ouvre l'aide en ligne.


Transitions

Manuel -> Création de rapports -> Report Viewer -> Configuration dans Editor -> Appel d'un synoptique Report Viewer -> Jeux de données dans Report Viewer -> Transitions

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Transitions

Configuration d'un jeu de données pour les transitions dans le module Batch Control.

Paramètres

Description

Nom du jeu de données

Nom du jeu de données :

  • Ne doivent pas être vides
  • Doit correspondre exactement au nom du jeu de données dans le fichier RDL
  • Il ne doit contenir ni espaces, ni caractères spéciaux

Niveau de détail du rapport

Configuration du niveau de détail des rapports :

  • Complet : Le rapport contient les données de l'ensemble de la recette, ainsi que de ses opérations.
  • Seulement les niveaux des recettes principales : Le rapport contient uniquement les données de la recette principale.
  • Seulement les niveaux des recettes partielles : Le rapport contient uniquement les données des opérations contenues dans la recette.

OK

Applique les paramètres et ferme la boîte de dialogue.

Annuler

Annule les modifications et ferme la boîte de dialogue.

Aide

Ouvre l'aide en ligne.


Attributions d'unité

Manuel -> Création de rapports -> Report Viewer -> Configuration dans Editor -> Appel d'un synoptique Report Viewer -> Jeux de données dans Report Viewer -> Attributions d'unité

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Attributions d'unité

Configuration d'un jeu de données pour l'attribution d'unités dans le module Batch Control.

Paramètres

Description

Nom du jeu de données

Nom du jeu de données :

  • Ne doivent pas être vides
  • Doit correspondre exactement au nom du jeu de données dans le fichier RDL
  • Il ne doit contenir ni espaces, ni caractères spéciaux

Configuration du niveau de détail des rapports :

  • Complet : Le rapport contient les données de l'ensemble de la recette, ainsi que de ses opérations.
  • Seulement les niveaux des recettes principales : Le rapport contient uniquement les données de la recette principale.
  • Seulement les niveaux des recettes partielles : Le rapport contient uniquement les données des opérations contenues dans la recette.

OK

Applique les paramètres et ferme la boîte de dialogue.

Annuler

Annule les modifications et ferme la boîte de dialogue.

Aide

Ouvre l'aide en ligne.


Instance d'opération

Manuel -> Création de rapports -> Report Viewer -> Configuration dans Editor -> Appel d'un synoptique Report Viewer -> Jeux de données dans Report Viewer -> Instance d'opération

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Instance d'opération

Configuration d'un jeu de données pour les instances de fonctionnement dans le module Batch Control.

Paramètres

Description

Nom du jeu de données

Nom du jeu de données :

  • Ne doivent pas être vides
  • Doit correspondre exactement au nom du jeu de données dans le fichier RDL
  • Il ne doit contenir ni espaces, ni caractères spéciaux

OK

Applique les paramètres et ferme la boîte de dialogue.

Annuler

Annule les modifications et ferme la boîte de dialogue.

Aide

Ouvre l'aide en ligne.


Exporter ou imprimer le rapport de la fonction

Manuel -> Création de rapports -> Report Viewer -> Configuration dans Editor -> Exporter ou imprimer le rapport de la fonction

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Avec la fonction Report Viewer : exporter / imprimer, les rapports peuvent être transférés dans le Runtime, vers un thread spécifique, sous forme de fichier PDF ou Excel ou d'impression en ligne. Le rendu du fichier étant asynchrone, il garantit la continuité de l'exécution du Runtime durant le rendu. L'exécution de fonctions à faible priorité est toutefois bloquée jusqu'à ce que le module Report Viewer ait terminé le rendu. La sortie sous forme de fichier PDF ou d'impression peut également être effectuée au moyen d'éléments de contrôle sur le synoptique ; l'exécution du Runtime peut alors être limitée jusqu'à la fin de la sortie.

Pour créer la fonction :

  1. Sélectionnez la commande Nouvelle fonction... dans le nœud Fonctions.
  2. La boîte de dialogue de sélection de fonctions s'ouvre.

  3. Accédez au nœud Report Generator / Report Viewer / Analyzer.
  4. Sélectionnez la fonction Report Viewer : exporter / imprimer.
  5. La boîte de dialogue de configuration s'affiche à l'écran.
  6. Informations détaillées concernant la configuration à l'aide de la boîte de dialogue :
    • Sous forme de fichier PDF : voir Configuration de la sortie au format PDF
    • Sur imprimante : voir Configuration de la sortie sur imprimante
    • Sous forme de fichier Excel : voir Configuration de la sortie au format PDF.
    • Définition de rapports : voir les chapitres Définition de rapports et Appel d'un synoptique de type Report Viewer

info Informations

L'affichage graphique du rapport est susceptible de varier légèrement entre les différents formats de sortie.

Autres sujets abordés dans ce chapitre

Configuration de la sortie au format PDF

Configuration de la sortie sur imprimante

Configurer la sortie sous forme de fichier Excel


Configuration de la sortie au format PDF

Manuel -> Création de rapports -> Report Viewer -> Configuration dans Editor -> Exporter ou imprimer le rapport de la fonction -> Configuration de la sortie au format PDF

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Pour sortir le rapport au format PDF :

  1. Pour l'option Sortie rapport, sélectionnez le paramètre Sortie en PDF.
  2. Définissez un nom de fichier fixe ou sélectionnez une variable qui définit le nom du fichier dans le Runtime.
  3. Décidez si les données existantes doivent être remplacées.
  4. Confirmez votre configuration en cliquant sur le bouton OK.

Paramètres

Description

Sortir le rapport

Sélection du format de sortie du rapport dans une liste déroulante :

  • Sortie en PDF : Crée un fichier PDF conformément à la configuration
  • Sortie sur imprimante : Sort le rapport sur l'imprimante définie.

Enregistrer le PDF sous

Sélection de l'attribution du nom de fichier dans une liste déroulante :

  • Nom de fichier statique : Saisissez le nom dans le champ de texte, puis sélectionnez-le dans l'Explorateur de fichiers après avoir cliqué sur le bouton ....
  • Nom de fichier de la variable : Cliquez sur le bouton ... pour ouvrir la boîte de dialogue et sélectionner une variable qui transmet le nom de fichier associé au rapport dans le Runtime.

Composition du nom de fichier statique :

Pour les noms de fichier statiques, les composants du nom sont compilés à l'aide d'opérateurs :

  • <Nom du projet> : Nom du projet
  • <DateHeure> : Date et heure au format correspondant aux paramètres du système
  • <Date> : Date correspondant aux paramètres du système
  • <Heure> : Heure correspondant aux paramètres du système

Les opérateurs peuvent également être insérés dans le champ de texte en cliquant avec le bouton droit sur le champ de texte au-dessus du menu contextuel, à la position actuelle du curseur.

Le nom du fichier peut être fourni sous forme de chemin absolu ou de chemin relatif (par rapport au dossier d'exportation du projet).

Emplacement d'enregistrement des fichiers PDF :

Dans le dossier défini pour l'exportation.
Chemin standard : %PUBLIC%\Documents\zenon_Projects\[PROJECTNAME]>\Export

Remplacer le fichier existant

Active : Les fichiers existants à l'emplacement de sauvegarde sont remplacés.

OK

Valide les modifications définies sur tous les onglets et ferme la boîte de dialogue.

Annuler

Annule toutes les modifications et ferme la boîte de dialogue.

Aide

Ouvre l'aide en ligne.


Configuration de la sortie sur imprimante

Manuel -> Création de rapports -> Report Viewer -> Configuration dans Editor -> Exporter ou imprimer le rapport de la fonction -> Configuration de la sortie sur imprimante

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Pour configurer le rapport pour une imprimante :

  1. Pour l'option Sortie rapport, sélectionnez le paramètre Sortie vers imprimante.
  2. Confirmez votre configuration en cliquant sur le bouton OK.

Paramètres

Description

Sortir le rapport

Sélection du format de sortie du rapport dans une liste déroulante :

  • Sortie en PDF : Crée un fichier PDF conformément à la configuration
  • Sortie sur imprimante : Sort le rapport sur l'imprimante définie.

OK

Valide les modifications définies sur tous les onglets et ferme la boîte de dialogue.

Annuler

Annule toutes les modifications et ferme la boîte de dialogue.

Aide

Ouvre l'aide en ligne.


Configurer la sortie sous forme de fichier Excel

Manuel -> Création de rapports -> Report Viewer -> Configuration dans Editor -> Exporter ou imprimer le rapport de la fonction -> Configurer la sortie sous forme de fichier Excel

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Pour générer le rapport sous forme de fichier Excel :

  1. Dans la liste déroulante Générer le rapport, sélectionnez l'entrée Générer au format Excel.
  2. Dans la liste déroulante Exporter le rapport au format, sélectionnez le type de nom de fichier.
    Les noms de fichiers peuvent être librement configurés ; sinon, les noms de fichier sont hérités des variables.
  3. Décidez si les fichiers existants doivent être remplacés.
  4. Confirmez votre configuration en cliquant sur le bouton OK.

Paramètres

Description

Sortir le rapport

Sélection du format de sortie du rapport dans une liste déroulante :

  • Sortie en PDF : Crée un fichier PDF conformément à la configuration
  • Sortie sur imprimante : Sort le rapport sur l'imprimante définie.
  • Générer au format Excel : Crée un fichier Excel contenant le rapport.

Exporter le rapport dans

Sélection de l'attribution du nom de fichier dans une liste déroulante :

  • Nom de fichier statique : Saisissez le nom dans le champ de texte, puis sélectionnez-le dans l'Explorateur de fichiers après avoir cliqué sur le bouton ....
  • Nom de fichier de la variable : Cliquez sur le bouton ... pour ouvrir la boîte de dialogue et sélectionner une variable qui transmet le nom de fichier associé au rapport dans le Runtime.

Composition du nom de fichier statique :

Pour les noms de fichier statiques (Nom de fichier statique), les composants du nom sont compilés à l'aide d'opérateurs :

  • <Nom du projet> : Nom du projet
  • <DateHeure> : Date et heure au format correspondant aux paramètres du système
  • <Date> : Date correspondant aux paramètres du système
  • <Heure> : Heure correspondant aux paramètres du système

Les opérateurs peuvent également être insérés dans le champ de texte en cliquant avec le bouton droit sur le champ de texte au-dessus du menu contextuel, à la position actuelle du curseur.

Le nom du fichier peut être fourni sous forme de chemin absolu ou de chemin relatif (par rapport au dossier d'exportation du projet).

Chemin d'enregistrement du fichier :

Dans le dossier défini pour l'exportation.
Chemin standard : %PUBLIC%\Documents\zenon_Projects\[PROJECTNAME]>\Export

Remplacer le fichier existant

Active : Les fichiers existants à l'emplacement de sauvegarde sont remplacés.

Fermer boîte de dialogue

Options | Description :
OK | Applique toutes les modifications effectuées sur tous les onglets, puis ferme la boîte de dialogue.
Annuler | Annule toutes les modifications effectuées sur tous les onglets, puis ferme la boîte de dialogue.
Aide | Ouvre l'aide en ligne.


Fichiers de définition de rapport

Manuel -> Création de rapports -> Report Viewer -> Fichiers de définition de rapport

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Les fichiers de définition de rapport (RDL) doivent être des fichiers de type 2 pour pouvoir être utilisés dans l'outil Report Viewer de zenon. Les fichiers RDL de type 3 peuvent être affichés ; toutefois, les fonctionnalités qui ne sont pas présentes dans la version 2 sont affichées sous forme d'espace vide.

Pour créer vos propres jeux de données ou modifier des jeux de données existants, vous devez disposer du logiciel adéquat pour exécuter le rendu des fichiers RDL. Vous disposez pour cela des options suivantes :

  • SQL Server Data Tool (SSDT):

    Fourni par COPA-DATA à partir de zenon 7.10, et installé en même temps que zenon.

    SSDT comprend Microsoft Visual Studio 2010 avec des types de projets supplémentaires, disponibles uniquement pour SQL Server Business Intelligence. Il s'agit de l'environnement principal pour les projets de services professionnels, tels que la création de rapports. Les modèles nécessaires à la création d'objets requis par la solution Business Intelligence sont fournis, ainsi qu'un outil de création et des outils et assistants de traitement des objets.

    Lors de l'appel d'un fichier RDL aux fins de l'édition dans SSDT, une fenêtre de sélection permettant de configurer le paramètre d'environnement de Visual Studio 2010 peut apparaître :

    Sélectionnez les options Paramètres Business Intelligence, puis cliquez sur le bouton Démarrer Visual Studio.

  • Microsoft Report Builder 2.0 :

    Disponible sur la page de téléchargement de Microsoft. Ce programme fournit un assistant pour la configuration de jeux de données, et est recommandé pour les utilisateurs ne possédant aucune connaissance particulière de la configuration de fichiers RDL.
    Attention : lisez les conditions d'accord de licence avant de télécharger le logiciel.
    Les utilisateurs de l'outil zenon Analyzer possèdent déjà Report Builder 3 et la licence SQL requise pour Report Builder. Toutefois, Report Builder 2 doit être installé et utilisé pour l'édition des jeux de données dans Report Viewer.

  • Logiciels d'autres fournisseurs :

    Des logiciels provenant d'autres fournisseurs peuvent également être utilisés pour éditer les fichiers de définition de rapport.

Si MS Report Builder et Microsoft SQL Server Data Tools sont tous deux installés, vous pouvez sélectionner l'outil de votre choix dans une boîte de dialogue.

attention Attention

Remarque :

  • Les fichiers RDL doivent toujours être créés et édités avec le même outil.
  • Les versions 2 et 3 de RDL ne doivent pas être mélangées.
  • Si un fichier RDL a été enregistré avec SSDT, il ne peut plus être édité avec MS Report Builder 2.0.

Source de données

Les propriétés de la source de données (supérieure aux jeux de données) ne doivent pas être modifiées.

Les paramètres standard sont les suivants :

Paramètres | Description
Nom | DataSource1
Connexion | Utiliser une connexion incorporée dans mon rapport
Sélectionnez un type de connexion | XML

Édition de fichiers RDL dans les projets de développement distribué

Remarque : lors de l'édition de fichiers RDL dans un projet de développement distribué, les fichiers ne sont pas automatiquement configurés avec l'état Autoriser les modifications (modifier) lorsqu'ils sont ouverts.

  • Il est possible d'ouvrir des fichiers RDL avec SSDT ou MS Report Builder, de les modifier et d'enregistrer les modifications localement, sans configurer le fichier sur Modifier. Ces modifications peuvent toutefois être acceptées sur le serveur et sont donc à nouveau perdues en cas de synchronisation ou d'utilisation de l'état Modifier. Dans ce cas, la version la plus ancienne sur le serveur est automatiquement adoptée.
  • Il est également possible d'ouvrir un fichier RDL configuré avec l'état Modifier sur un autre ordinateur, de l'éditer et d'enregistrer les modifications localement. Le fichier n'est pas protégé en écriture lors de la configuration de l'état Modifier. Ces modifications locales sont également à nouveau remplacées lors de la synchronisation.

Pour enregistrer durablement les modifications, le fichier RDL doit être configuré avec l'état Modifier avant l'ouverture.

attention Attention

Les fichiers RDL peuvent uniquement être renommés dans zenon Editor

Si les fichiers RDL ne sont pas renommés dans SSDT ou dans MS Report Builder, le nouveau nom n'est pas adopté dans les projets de développement distribué et les modifications sont perdues.

Autres sujets abordés dans ce chapitre

Configuration des jeux de données pour un nouveau rapport

Création et édition de fichiers RDL avec MS Report Builder 2.0

Création et édition de fichiers RDL avec Microsoft Business Intelligence Development Studio

Définition des jeux de données


Configuration des jeux de données pour un nouveau rapport

Manuel -> Création de rapports -> Report Viewer -> Fichiers de définition de rapport -> Configuration des jeux de données pour un nouveau rapport

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Pour créer un nouveau fichier RDL avec les jeux de données précédemment définis :

  1. Accédez au nœud Fichiers/Report Viewer.
  2. Sélectionnez la commande Nouveau fichier de définition de rapport dans le menu contextuel ou la barre d'outils de la vue de détail.
  3. La boîte de dialogue de sélection et de configuration des jeux de données pour le rapport s'affiche à l'écran.
  4. Configurez les jeux de données de votre choix.
  5. Fermez la boîte de dialogue et démarrez MS Report Builder en cliquant sur le bouton OK.
  6. Configurez les fichiers RDL dans Report Builder, puis enregistrez-les.

Sélection de jeux de données pour le rapport

Paramètres | Description
Jeux de données disponibles | Affiche la liste de tous les jeux de données disponibles. Cliquez sur le bouton > ou double-cliquez sur un jeu de données pour insérer un nouveau jeu de données du type sélectionné dans la liste Jeux de données sélectionnés.
Bouton > | Insère un nouveau jeu de données du type sélectionné dans la liste Jeux de données sélectionnés.
Jeux de données sélectionnés | Affiche la liste de tous les jeux de données configurés. Utilisation au clavier : F2... Renommer le jeu de données sélectionné Suppr... Supprimer le jeu de données sélectionné
Renommer | Permet de renommer le jeu de données sélectionné (clavier : F2). Le nom du jeu de données doit être unique. Une modification est uniquement acceptée si le nom reste unique.
Supprimer | Le jeu de données sélectionné est supprimé (raccourci clavier : Suppr).
OK | Applique les paramètres et ferme la boîte de dialogue.
Annuler | Discards all changes and closes the dialog.
Aide | Ouvre l'aide en ligne.


Création et édition de fichiers RDL avec MS Report Builder 2.0

Manuel -> Création de rapports -> Report Viewer -> Fichiers de définition de rapport -> Création et édition de fichiers RDL avec MS Report Builder 2.0

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

MS Report Builder est disponible en téléchargement gratuit sur la page de téléchargement de Microsoft.
Attention : lisez les conditions d'accord de licence avant de télécharger le logiciel.
Les utilisateurs de l'outil zenon Analyzer possèdent déjà Report Builder 3 et la licence SQL requise pour Report Builder. Toutefois, Report Builder 2 doit être installé et utilisé pour l'édition des jeux de données dans Report Viewer.

Installez Report Builder et assurez-vous qu'il est correctement lié à zenon.

Création de fichiers RDL

Pour créer un fichier RDL :

  1. Dans zenon Editor, sélectionnez le nœud Fichier/Report Viewer du menu contextuel ou la commande Nouveau fichier de définition de rapport dans la barre d'outils. La boîte de dialogue de configuration des jeux de données souhaités est ouverte.
  2. MS Report Builder démarre dès que vous confirmez la boîte de dialogue en cliquant sur OK :

  3. Adaptez les jeux de données à la configuration de la fonction d'appel de synoptique en procédant comme suit :
    • Renommer : les noms des jeux de données doivent être identiques aux noms des jeux de données dans l'appel de synoptique
    • Supprimer : les jeux de données qui ne comportent aucun lien vers la fonction d'appel de synoptique, et ne comportent donc pas de données, peuvent provoquer l'affichage d'un message d'erreur dans le Runtime.
    • Créer nouveau : les jeux de données configurés dans la fonction d'appel de synoptique, mais ne comportent aucune entrée correspondante dans le fichier RDL, entraînent l'affichage d'un message d'erreur dans le Runtime.
  4. Dans le menu Insérer, sélectionnez la commande Table -> Assistant Table .
  5. L'assistant démarre.
  6. Sélectionnez le jeu de données de votre choix.

  7. Positionnez les champs à votre convenance.

  8. Cliquez sur Suivant pour valider la mise en forme.

  9. Cliquez sur Suivant et sélectionnez le style d'affichage.

  10. Cliquez sur Finish (Terminer).
    Le jeu de données est affiché avec la table terminée.

  11. Supprimez l'exemple de table.
  12. Positionnez la nouvelle table à l'emplacement souhaité.
  13. Adaptez l'en-tête selon le besoin.

  14. Répéter la procédure pour tous les jeux de données que vous souhaitez configurer.
  15. Enregistrez le fichier RDL.

Résultat dans le Runtime

Édition de fichiers RDL

Pour éditer un fichier RDL, double-cliquez sur le fichier ou sélectionnez la commande Ouvrir un fichier de définition de rapport. Les procédés de création et d'édition sont sensiblement identiques.

Autres sujets abordés dans ce chapitre

Gestion des jeux de données


Gestion des jeux de données

Manuel -> Création de rapports -> Report Viewer -> Fichiers de définition de rapport -> Création et édition de fichiers RDL avec MS Report Builder 2.0 -> Gestion des jeux de données

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Vous pouvez effectuer les opérations suivantes avec les jeux de données dans Report Builder :

  • Renommer
  • Supprimer
  • Nouveau

Le numéro et le nom du jeu de données d'un fichier RDL doivent toujours correspondre à ceux du jeu de données défini dans l'appel de synoptique.

attention Attention

Remarque :

  • La source de données ne doit pas être éditée.
  • Les jeux de données ne doivent pas être édités.

Renommer un jeu de données

Pour renommer un jeu de données :

  1. Cliquez avec le bouton droit sur le jeu de données.
  2. Sélectionnez la commande Propriétés dans le menu contextuel.
  3. La boîte de dialogue de configuration du jeu de données s'affiche.
  4. Spécifiez le nom de votre choix dans la propriété Nom.

    Remarque : le nom doit correspondre au nom défini dans l'appel de synoptique. Il ne doit contenir ni espaces, ni caractères spéciaux.

  5. Ne sélectionnez pas les autres paramètres.
  6. Fermez la boîte de dialogue en cliquant sur OK.

Suppression du jeu de données

Pour supprimer un jeu de données :

  1. Sélectionnez le jeu de données à supprimer dans la fenêtre du rapport de données, sous la source des données.

  2. Sélectionnez la commande Supprimer dans le menu contextuel.
  3. Le jeu de données est supprimé après affichage d'une demande de confirmation.

Création d'un nouveau jeu de données

Pour créer un nouveau jeu de données :

  1. Cliquez avec le bouton droit sur la source de données.
  2. Sélectionnez Ajouter un jeu de données dans le menu contextuel.

  3. Un nouveau jeu de données est créé, et la fenêtre des propriétés est ouverte.

  4. Renommez-le à votre convenance.

    Remarque : le nom doit correspondre au nom défini dans l'appel de synoptique. Il ne doit contenir ni espaces, ni caractères spéciaux.

  5. Insérez la requête adéquate ; trois méthodes s'offrent à vous :
    1. Fonction Query Designer: ouvre la boîte de dialogue autorisant la saisie manuelle de la requête.
    2. Importer : importation depuis un fichier RDL existant.
    3. Copie manuelle depuis un jeu de données existant : ouvrez d'abord le jeu de données source correspondant, copiez le contenu de la requête, puis collez le contenu de la requête dans le champ Requête du nouveau jeu de données
  6. Fermez la boîte de dialogue en cliquant sur OK.

Importation d'une requête

Pour importer une requête depuis un fichier RDL existant :

  1. Cliquez sur l'option Importer dans la boîte de dialogue de propriétés du jeu de données.
  2. L'assistant de sélection de fichiers s'ouvre.
  3. Recherchez et ouvrez le fichier RDL souhaité.
  4. La boîte de dialogue d'importation.

  5. Sélectionnez le jeu de données de votre choix.

  6. Cliquez sur Importer.
  7. La requête du jeu de données source est collée dans le jeu de données actuellement ouvert.


Création et édition de fichiers RDL avec Microsoft Business Intelligence Development Studio

Manuel -> Création de rapports -> Report Viewer -> Fichiers de définition de rapport -> Création et édition de fichiers RDL avec Microsoft Business Intelligence Development Studio

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

L'application Microsoft Business Intelligence Development Studio est fournie et installée avec zenon.

La création et l'édition de fichiers RDL avec Microsoft Business Intelligence Development Studio se déroule sensiblement de la même manière qu'avec l'outil Report Builder 2.0.

Les principales différences sont les suivantes :

  • Pour éditer le rapport, vous devez d'abord créer un nouveau projet de type Projet Report Server - Solution dans Microsoft Business Intelligence Development Studio.
    Ils sont créés automatiquement lorsque vous ouvrez le fichier RDL en double-cliquant dessus. Lors de la fermeture de l'application Business Intelligence Development Studio, vous pouvez enregistrer le projet et la solution dans le dossier temporaire. Dans ce cas, le programme ne vous invitera plus à le faire.
    Les jeux de données et le rapport peuvent maintenant être modifiés dans Microsoft Business Intelligence Development Studio.
  • Microsoft Business Intelligence Development Studio ne comporte aucun assistant Table ; les tables des jeux de données doivent être configurées manuellement.
  • La version n'est pas vérifiée :
    De cette manière, les fonctions de la version 3 peuvent être ajoutées aux fichiers RDL de la version 2. Elles ne sont toutefois pas affichées dans le Runtime.
  • Dans Microsoft Business Intelligence Development Studio, les jeux de données sont séparés des sources de données. La source de données ne doit pas être modifiée.

Instruction

Pour obtenir des instructions complètes concernant l'utilisation de Microsoft Business Intelligence Development Studio, reportez-vous au site Web de Microsoft, disponible dans plusieurs langues :

Langue | Lien
Anglais : | http://msdn.microsoft.com/en-en/library/ms173767.aspx
Allemand : | http://msdn.microsoft.com/de-de/library/ms173767.aspx
Français : | http://msdn.microsoft.com/fr-fr/library/ms173767.aspx
Italien : | http://msdn.microsoft.com/it-it/library/ms173767.aspx

Suppression de jeux de données

Les jeux de données inutilisés doivent être supprimés dans Microsoft Business Intelligence Development Studio, car ils peuvent provoquer des erreurs dans le Runtime.

Pour supprimer les jeux de données :

  1. Cliquez sur Afficher.
  2. Sélectionnez Données de rapport
  3. Accédez à Jeux de données.
  4. Supprimer les jeux de données inutilisés

Affichage de la fenêtre Jeux de données

Si la fenêtre Jeux de données n'est pas affichée, elle peut être ouverte comme suit :

  • Sélectionnez le rapport
  • Cliquez sur le menu Vue dans le menu principal
  • Faites défiler la liste jusqu'à la fin.
  • Sélectionnez Données de rapport.
    Remarque : Si l'élément de menu n'est pas affiché, aucun rapport n'a été sélectionné.

Il est également possible d'appuyer sur la combinaison de touches Ctrl+Alt+D après avoir sélectionné le rapport.


Définition des jeux de données

Manuel -> Création de rapports -> Report Viewer -> Fichiers de définition de rapport -> Définition des jeux de données

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Les colonnes des différents types de jeux de données sont définies.

Définition des jeux de données pour les éléments suivants :

  • Liste d’alarmes
  • Liste d'événements
  • Archive
  • Online
  • Paramètres du filtre
  • Module RGM
    • Données de recettes RGM
    • Valeur recette (RGM)
  • Batch Control
    • Recette principale
    • Recette de contrôle
    • Synoptiques de recette
    • Cellules de matrice
    • Structure PFC
    • Phases
    • Paramètres
    • Transitions
    • Attributions d'unité
    • Instance d'opération

Remarque : si des rapports de zenon Analyzer doivent être réutilisés dans Report Viewer, les considérations suivantes s'appliquent :

  • La langue des textes compatibles avec la fonction de changement de langue a déjà été modifiée
  • Les valeurs compatibles avec la fonction de changement d'unité sont indiquées en unités de conversion.
  • Les informations d'horodatage correspondent à l'heure locale de l'ordinateur d'exécution

info Informations

Lorsque le rapport est créé pour la première fois, l'ordre des champs de données est contrôlé sur la base des noms. Ceci permet d'établir le jeu de données correspondant. Cependant le nombre de champs de données peut varier. Ceci peut entraîner un jeu de données interprété de manière incorrecte.

Par exemple : Un jeu de données comportant un champ unique nommé PROJET peut être interprété comme un jeu de données des listes AML ou CEL, d'une archive ou en ligne, car tous ces jeux de données commencent par un champ appelé PROJET.

Autres sujets abordés dans ce chapitre

Liste d’alarmes

Liste d'événements

Archive

Online

Paramètres du filtre

Données de recettes RGM

Valeur recette (RGM)

Recette principale

Recette de contrôle

Synoptiques de recette

Cellules de matrice

Structure PFC

Phases

Paramètre

Transitions

Attributions d'unité

Instance d'opération


Liste d’alarmes

Manuel -> Création de rapports -> Report Viewer -> Fichiers de définition de rapport -> Définition des jeux de données -> Liste d’alarmes

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Nom de colonne | Type de données | Description
PROJECT | STRING | Nom du projet.
VARIABLE | STRING | Nom de la variable.
IDENTIFICATION | STRING | Identification de la variable.
TEXT | STRING | Texte saisi.
TIMECOMES | DATE | Heure d'apparition de l'alarme.
TIMEGOES | DATE | Heure.
TIMEACKN | DATE | Heure d'acquittement.
TIMEREACT | DATE | Heure de réactivation.
COUNTREACT | INTEGER | Nombre de réactivations.
STATEREACT | INTEGER | État de réactivation.
STATUSFLAGS | INTEGER | Bits d'état.
VALUE | FLOAT | Valeur des variables.
UNIT | STRING | Unité.
COMMENT | STRING | Commentaires définis par l'utilisateur.
CLASS | STRING | Classe d'alarmes/d'événements
GROUP | STRING | Groupe d'alarmes/d'événements ...
USER | STRING | Nom de l’utilisateur.
COMPUTER | STRING | Nom de l'ordinateur.
RESSOURCESLABEL | STRING | identification ressources
AREA | STRING | Zones d’alarmes si plusieurs sont séparées par une virgule.
ALARMCAUSELEVEL1 | STRING | Cause d’alarme niveau 1.
ALARMCAUSELEVEL2 | STRING | Cause d’alarme niveau 2.
ALARMCAUSELEVEL3 | STRING | Cause d’alarme niveau 3.
ALARMCAUSELEVEL4 | STRING | Cause d’alarme niveau 4.
ALARMCAUSELEVEL5 | STRING | Cause d’alarme niveau 5.


Liste d'événements

Manuel -> Création de rapports -> Report Viewer -> Fichiers de définition de rapport -> Définition des jeux de données -> Liste d'événements

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Nom de colonne | Type de données | Description
PROJECT | STRING | Nom du projet.
VARIABLE | STRING | Nom de la variable.
IDENTIFICATION | STRING | Identification de la variable.
TEXT | STRING | Texte saisi.
TIMECOMES | STRING | Heure d'apparition de l'événement.
STATUSFLAGS | INTEGER | Bits d'état.
VALUE | FLOAT | Valeur des variables.
UNIT | STRING | Unité.
COMMENT | STRING | Commentaires définis par l'utilisateur.
CLASS | STRING | Classe d'alarmes/d'événements
GROUP | STRING | Groupe d'alarmes/d'événements ...
USER | STRING | Nom de l’utilisateur.
COMPUTER | STRING | Nom de l'ordinateur.
RESSOURCESLABEL | STRING | identification ressources
AREA | STRING | Zones d’alarmes si plusieurs sont séparées par une virgule.


Archive

Manuel -> Création de rapports -> Report Viewer -> Fichiers de définition de rapport -> Définition des jeux de données -> Archive

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Nom de colonne | Type de données | Description
PROJECT | STRING | Nom du projet.
ARCHIVE | STRING | Nom de l'archive.
VARIABLE | STRING | Nom de la variable.
IDENTIFICATION | STRING | Identification de la variable.
CHANNELSPEC | STRING | Variable mentionnant le type de réduction de données.
TIMESTAMP | STRING | Informations d'horodatage
STATUSFLAGS | INTEGER | Bits d'état.
VALUE | FLOAT | Valeur des variables.
UNIT | STRING | Unité.
STRVALUE | STRING | Valeur sous forme de chaîne.
RESSOURCESLABEL | STRING | identification ressources


Online

Manuel -> Création de rapports -> Report Viewer -> Fichiers de définition de rapport -> Définition des jeux de données -> Online

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Nom de colonne | Type de données | Description
PROJECT | STRING | Nom du projet.
VARIABLE | STRING | Nom de la variable.
IDENTIFICATION | STRING | Identification de la variable.
TIMESTAMP | STRING | Informations d'horodatage
STATUSFLAGS | INTEGER | Bits d'état.
VALUE | FLOAT | Valeur des variables.
UNIT | STRING | Unité.
STRVALUE | STRING | Valeur sous forme de chaîne.
RESSOURCESLABEL | STRING | identification ressources


Paramètres du filtre

Manuel -> Création de rapports -> Report Viewer -> Fichiers de définition de rapport -> Définition des jeux de données -> Paramètres du filtre

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Nom de colonne | Type de données | Description
DataSet | STRING | Jeu de données utilisé, par ex. Liste AML.
FilterType | STRING | Type de filtre, par ex. Temps.
FilterData | STRING | Paramètre de filtre, par ex. T : Rel:0d, 1h, 0m, 0s;


Données de recettes RGM

Manuel -> Création de rapports -> Report Viewer -> Fichiers de définition de rapport -> Définition des jeux de données -> Données de recettes RGM

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Nom de colonne | Type de données | Description
PROJECTNAME | STRING | Nom du projet.
GROUPNAME | STRING | Nom du groupe de recettes.
NAME | STRING | Nom de recette.
NUMBER | UINT | Numéro de recette.
STATUSNUMBER | UINT | Numéro d'état
STATUSTEXT | STRING | Texte d'état.
VERSION | UINT | Version.
COMMENT1 | STRING | Commentaire 1
COMMENT2 | STRING | Commentaire 2
COMMENT3 | STRING | Commentaire 3
COMMENT4 | STRING | Commentaire 4
COMMENT5 | STRING | Commentaire 5
COMMENT6 | STRING | Commentaire 6
COMMENT7 | STRING | Commentaire 7
COMMENT8 | STRING | Commentaire 8
USERLEVEL | UINT | Autorisation utilisateur.
CHANGETIME | DATETIME | Heure de la modification.
CHANGEUSER | STRING | Utilisateur connecté lors de la dernière modification.


Valeur recette (RGM)

Manuel -> Création de rapports -> Report Viewer -> Fichiers de définition de rapport -> Définition des jeux de données -> Valeur recette (RGM)

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Nom de colonne | Type de données | Description
PROJECTNAME | STRING | Nom du projet.
GROUPNAME | STRING | Nom du groupe de recettes.
NAME | STRING | Nom de recette.
VERSION | UINT | Version.
RESSOURCESLABEL | STRING | identification ressources
VARIABLENAME | STRING | Nom de la variable.
VARIABLETAG | STRING | Identification de variable.
SYMBOLVALUE | STRING | Adresse symbolique pour la variable.
VALUE | STRING | Valeur.
UNIT | STRING | Unité.
MIN | DOUBLEWORD | Valeur minimale.
MAX | DOUBELWORD | Valeur maximale.
ACTION | STRING | Action de recette RGM à exécuter.
FILTER | STRING | Filtre de variable de recette.


Recette principale

Manuel -> Création de rapports -> Report Viewer -> Fichiers de définition de rapport -> Définition des jeux de données -> Recette principale

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Nom de colonne | Type de données | Description
MrId | INTEGER | Identifiant de la recette.
MrName | STRING | Nom de la recette.
MrDescription | STRING | Description de la recette.
MrStatus | STRING | État de la recette.
RecipeType | STRING | Type de recette.
ReeStatus | STRING | État de la REE.
ReeModus | STRING | Mode de la REE.
ApprovalTime | DATE | Heure d'approbation de la recette.
ApprovalUserID | STRING | Identifiant de l'utilisateur ayant approuvé la recette principale.
ApprovalUserName | STRING | Nom de l'utilisateur ayant approuvé la recette principale.
OutdatedTime | DATE | Heure à laquelle la recette a été définie comme « obsolète".
OutdatedUserID | STRING | Identifiant de l'utilisateur ayant défini la recette comme « obsolète ».
OutdatedUserName | STRING | Nom de l'utilisateur ayant défini la recette comme « obsolète ».
MrVersion | STRING | Version de la recette principale.
MrSourceVersion | STRING | Version de la recette source du modèle.


Recette de contrôle

Manuel -> Création de rapports -> Report Viewer -> Fichiers de définition de rapport -> Définition des jeux de données -> Recette de contrôle

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Nom de colonne | Type de données | Description
CrId | INTEGER | Identifiant de la recette de contrôle.
CrName | STRING | Nom de la recette de contrôle.
CrDescription | STRING | Description de la recette de contrôle.
CrStatus | STRING | État de la recette de contrôle.
MrId | INTEGER | Identifiant de la recette principale.
MrName | STRING | Nom de la recette principale.
MrDescription | STRING | Description de la recette principale.
MrStatus | STRING | État de la recette principale.
RecipeType | STRING | Type de recette.
ReeStatus | STRING | État de la REE.
ReeModus | STRING | Mode de la REE.
CrJobID | STRING | Identifiant de la tâche de la recette de contrôle.
ApprovalTime | DATE | Heure d'approbation de la recette principale.
ApprovalUserID | STRING | Identifiant de l'utilisateur ayant approuvé la recette principale.
ApprovalUserName | STRING | Nom de l'utilisateur ayant approuvé la recette principale.
CreationTime | DATE | Heure de création de la recette de contrôle.
CreationUserID | STRING | Identifiant de l'utilisateur ayant créé la recette principale.
CreationUserName | STRING | Nom de l'utilisateur ayant créé la recette principale.
StartingTime | DATE | Heure de démarrage de la recette.
StartingUserID | STRING | Identifiant de l'utilisateur ayant démarré la recette principale.
StartingUserName | STRING | Nom de l'utilisateur ayant démarré la recette.
OutdatedTime | DATE | Heure à laquelle la recette principale a été définie comme « obsolète".
OutdatedUserID | STRING | Identifiant de l'utilisateur ayant défini la recette principale comme « obsolète ».
OutdatedUserName | STRING | Nom de l'utilisateur ayant défini la recette principale comme « obsolète ».
MrVersion | STRING | Version de la recette principale.
MrSourceVersion | STRING | Version de la recette source du modèle.


Synoptiques de recette

Manuel -> Création de rapports -> Report Viewer -> Fichiers de définition de rapport -> Définition des jeux de données -> Synoptiques de recette

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Nom de colonne | Type de données | Description
Name | STRING | Nom de la recette.
Description | STRING | Description de la recette.
RecipePart | STRING | Recette principale, recette de contrôle ou instance de fonctionnement.
OperationTemplateID | INTEGER | Identifiant du modèle de fonctionnement.
Type | STRING | Type de recette : Recette du module PFC ou recette de matrice.
ImagePNG | STRING | Capture d'écran de la recette Doit être créée à cette fin.

Création d'un synoptique

  1. Insérez un nouveau synoptique dans Report Builder.
  2. Définissez la source sur Base de données.
  3. Pour la propriété Use this field, saisissez : ImagePNG.
  4. Pour la propriété Type MIME : image/png.
  5. Insérez le synoptique à l'aide de l'option Insérer ou en effectuant un glisser&déposer de la recette dans le rapport.
  6. Dans la propriété Taille, définissez la taille sur Orginal Size.
  7. Si nécessaire, modifiez la propriété Padding pour définir la distance entre le synoptique et les bordures des cellules.


Cellules de matrice

Manuel -> Création de rapports -> Report Viewer -> Fichiers de définition de rapport -> Définition des jeux de données -> Cellules de matrice

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Nom de colonne | Type de données | Description
StepNr | INTEGER | Numéro de l'étape.
StepDescr | STRING | Description de l'étape.
ObjectID | INTEGER | Identifiant de l'objet dans la recette.
ObjectName | STRING | Nom de l'objet dans la recette.
ObjectDescr | STRING | Description de l'objet dans la recette.
ObjectType | STRING | Type de l'objet dans la recette. (phase, transition, etc.)
ObjectUnit | STRING | Unité de l'objet.
OperationTemplateID | INTEGER | Identifiant du modèle de fonctionnement. 0 = recette principale.
OperationTemplateName | STRING | Nom du modèle de fonctionnement. Vide = recette principale.


Structure PFC

Manuel -> Création de rapports -> Report Viewer -> Fichiers de définition de rapport -> Définition des jeux de données -> Structure PFC

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Nom de colonne | Type de données | Description
ChartRow | INTEGER | Ligne dans la recette.
ChartCol | INTEGER | Colonne dans la recette.
ObjectID | INTEGER | Identifiant de l'objet dans la recette.
ObjectName | STRING | Nom de l'objet dans la recette.
ObjectDescr | STRING | Description de l'objet dans la recette.
ObjectType | STRING | Type de l'objet dans la recette. (phase, transition, etc.)
ObjectUnit | STRING | Unité de l'objet.
PrevIds | STRING | Identifiants des objets précédents.
NextIds | STRING | Identifiants des objets suivants.
PrevNames | STRING | Noms des objets précédents.
NextNames | STRING | Noms des objets suivants.
PrevTypes | STRING | Types d'objets précédents.
NextTypes | STRING | Types d'objets suivants.
CellsSpan | STRING | Nombre de colonnes utilisées (largeur de l'objet).
OperationTemplateID | INTEGER | Identifiant du modèle de fonctionnement. 0 = recette principale.
OperationTemplateName | STRING | Nom du modèle de fonctionnement. Vide = recette principale.


Phases

Manuel -> Création de rapports -> Report Viewer -> Fichiers de définition de rapport -> Définition des jeux de données -> Phases

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Nom de colonne | Type de données | Description
ObjectID | INTEGER | Identifiant de l'objet dans la recette.
ChartRow | INTEGER | Lignes dans lesquelles la phase se trouve dans la recette.
ChartCol | INTEGER | Colonnes dans lesquelles la phase se trouve dans la recette.
PhaseName | STRING | Nom de la phase.
PhaseDescr | STRING | Description de la phase.
UnitID | INTEGER | Identifiant de l'unité.
UnitName | STRING | Nom de l’unité.
UnitDescr | INTEGERSTRING | Description de l'unité.
OperationInstID | INTEGER | Identifiant de l'instance d'opération dans laquelle la phase se trouve dans la recette.
OperationInstName | STRING | Nom de l'instance d'opération dans laquelle la phase se trouve dans la recette.
TOAllocation | STRING | Attente attribution d'unité.
TOInterlocking | STRING | Délai d'attente du verrouillage.
MinExecTime | STRING | Durée minimum d'exécution.
ExplanationMinExecTimeNeeded | BOOL | Justification de la modification de la durée minimum d'exécution requise.
MaxExecTime | STRING | Durée maximum d'exécution
TOFollowingCond | STRING | Délai d'attente de la condition suivante.
CondInterlocking | STRING | Condition de verrouillage.
CondDone | STRING | Condition de fin.
CondFailure | STRING | Condition de perte de communication.
CondPausing | STRING | Condition de pause.
CondHolding | STRING | Condition de mise en attente.
CondStopping | STRING | Condition d'arrêt.
CondAborting | STRING | Condition d'abandon.
CondRestarting | STRING | Condition de redémarrage.
CondEscaping | STRING | Condition de sortie (échappement).
CondConnReconnect | STRING | Condition de rétablissement des communications.
CondPlcError | STRING | Condition de l'erreur de l'automate.
CSName | STRING | Nom de la stratégie de contrôle.
CSDescription | STRING | Description de la stratégie de contrôle.
CSTag | STRING | Paramètre de la stratégie de contrôle.
ActiveCSNumber | INTEGER | Nombre de stratégies de contrôle actives.


Paramètre

Manuel -> Création de rapports -> Report Viewer -> Fichiers de définition de rapport -> Définition des jeux de données -> Paramètre

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Nom de colonne | Type de données | Description
TagName | STRING | Nom du paramètre.
TagDescr | STRING | Description de la balise.
TagType | STRING | Type de balise.
TagValue | STRING | Valeur de la balise.
MeasUnit | STRING | Unité
ValueMin | STRING | Valeur minimale.
ValueMax | STRING | Valeur maximale.
EditableInRecipe | BOOL | États, s'ils sont modifiables dans la recette.
EditableInCr | BOOL | États, s'ils sont modifiables dans la recette de contrôle.
ExplanationNeeded | BOOL | États, si une justification de modification est nécessaire.
TagModified | BOOL | États, si un paramètre a été modifié.
Variable | STRING | Nom du paramètre.
DataType | STRING | Type de donnée pour la variable.
PhaseID | INTEGER | Identifiant de la phase.
PhaseName | STRING | Nom de la phase.
OperationInstID | INTEGER | Identifiant de l'instance d'opération.
OperationInstName | STRING | Nom de l'instance d'opération.


Transitions

Manuel -> Création de rapports -> Report Viewer -> Fichiers de définition de rapport -> Définition des jeux de données -> Transitions

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Nom de colonne | Type de données | Description
ObjectID | INTEGER | Identifiant de la transition dans la recette.
ChartRow | INTEGER | Ligne de la recette.
ChartCol | INTEGER | Colonne de la recette.
Condition | STRING | Condition de la transition
OperationInstID | INTEGER | Identifiant de l'instance d'opération dans laquelle se trouve la transition.
OperationInstName | STRING | Nom de l'instance d'opération dans laquelle se trouve la transition.


Attributions d'unité

Manuel -> Création de rapports -> Report Viewer -> Fichiers de définition de rapport -> Définition des jeux de données -> Attributions d'unité

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Nom de colonne | Type de données | Description
ObjectID | INTEGER | Identifiant de l'attribution d'unité dans la recette.
ChartRow | INTEGER | Ligne de la recette.
ChartCol | INTEGER | Colonne de la recette.
AllocationData | STRING | Attribution d'unités et nombre d'unités attribuées.
OperationInstID | INTEGER | Identifiant de l'instance d'opération dans laquelle se trouve l'attribution d'unité.
OperationInstName | STRING | Nom de l'instance d'opération dans laquelle se trouve l'attribution d'unité.


Instance d'opération

Manuel -> Création de rapports -> Report Viewer -> Fichiers de définition de rapport -> Définition des jeux de données -> Instance d'opération

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Nom de colonne | Type de données | Description
ObjectID | INTEGER | Identifiant de l'instance d'opération dans la recette.
ChartRow | INTEGER | Ligne de la recette.
ChartCol | INTEGER | Colonne de la recette.
OperationName | STRING | Nom de l'opération.
OperationDescr | STRING | Description de l'opération.
OperationType | STRING | Type de recette : Recette du module PFC ou recette de matrice.
OperationTemplateID | INTEGER | Identifiant du modèle de fonctionnement.


Utilisation dans le Runtime

Manuel -> Création de rapports -> Report Viewer -> Utilisation dans le Runtime

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Le synoptique Report Viewer bascule vers le Runtime grâce à une fonction d'appel de synoptique. Selon la définition de rapport configurée, des rapports relatifs aux listes AML et CEL, aux archives et aux valeurs en ligne peuvent être affichés. Vous pouvez également effectuer les tâches suivantes avec ces rapports, si les fonctions correspondantes sont configurées :

  • Mise à jour : actualiser la définition et les données du rapport et afficher le rapport
  • Imprimer : imprimer le rapport sur l'imprimante définie pour les valeurs et les fichiers journaux
  • Exporter : exporter le rapport sous forme de fichier PDF dans le dossier d'exportation défini

Paramètres

Description

Actualiser

Actualise la définition et les données du rapport et affiche le rapport avec les données actualisées.

Si le fichier du rapport a été modifié dans Editor, le synoptique doit être appelé à nouveau ; une actualisation ne suffira pas.

Imprimer

Imprime le rapport sur l'imprimante définie pour les valeurs et les fichiers journaux.

Remarque :

L'impression peut également être transférée vers son propre thread. Ceci permet de continuer à utiliser le Runtime durant l'impression.

Créer PDF

Enregistre le rapport actuellement affiché sous forme de fichier PDF dans le dossier défini pour l'exportation.

Chemin standard : %PUBLIC%\Documents\zenon_Projects\[PROJECTNAME]>\Export

Remarque :

La création du fichier PDF peut également être transférée vers son propre thread. Ceci permet de continuer à utiliser le Runtime durant la création et l'exportation.

Liste de rapports

Affiche les rapports définis dans la fonction d'appel de synoptique. Vous pouvez effectuer des recherches dans la liste. Les longues listes sont réparties sur plusieurs pages.

Navigation, zoom et recherche

L'en-tête du rapport offre des éléments pour :

  • Navigation
  • Zoom
  • Rechercher

Paramètres

Description

Page navigation (Navigation dans la page)

Affiche le nombre de pages et la page actuelle. Autorise la navigation dans le document comme suit :

  • Touches fléchées du clavier
  • Sélection d'une page particulière

Zoom

Sélection d'un niveau de zoom dans une liste déroulante :

  • Largeur de la page
  • Page entière
  • 500%
  • 200%
  • 150%
  • 100% (par défaut)
  • 75 %
  • 50 %
  • 25%

Rechercher

Saisie d'une expression de recherche dans le champ de recherche.

  • Rechercher : affiche la première occurrence trouvée.
  • Suivant : affiche les occurrences suivantes.

Les opérateurs ne peuvent pas être utilisés.


Dépannage

Manuel -> Création de rapports -> Report Viewer -> Dépannage

Messages d'erreur contextuels

Message d'erreur | Signification
Table de données manquantes pour le jeu de données : <Nom du jeu de données> | Un jeu de données est utilisé dans la définition du rapport, mais aucune table portant ce nom n'est présente dans la configuration. Le rapport ne peut pas être affiché.
Jeu de données non utilisé pour Table de données : <Nom de la table> | Une table a été définie, mais la définition du rapport n'utilise pas ce nom pour un jeu de données. Ce message est uniquement affiché après qu'une table manquante ait été identifiée.


Développement distribué

Manuel -> Développement distribué

Avec la fonctionnalité multi-utilisateurs de zenon, plusieurs utilisateurs peuvent travailler sur le même projet en même temps. Pour cela, les projets sont stockés sur une instance centrale de SQL Server central, accessible depuis plusieurs stations de travail en même temps. Le stockage central du projet sera appelé base de données de serveur dans le texte suivant.

Par exemple : Un utilisateur crée les synoptiques tandis qu’un autre peut travailler en même temps à définir les variables.

info Informations

Conseils relatifs à la terminologie :

"Archiver" correspond à la propriété Accepter les modifications

"Extraire" correspond à la propriété Autoriser les modifications

Protocole IP

Les communications sur le réseau de zenon peuvent reposer sur le protocole IPv4 ou IPv6. Pour plus de détails, reportez-vous au manuel Réseau, chapitre Configuration requise.

tutorial Informations concernant la licence

Composante de la licence standard d’Editor et du Runtime.

Autres sujets abordés dans ce chapitre

Configuration matérielle requise

Informations concernant SQL Server

Possibilités de la gestion multi-utilisateurs

Création d’un nouveau projet multi-utilisateurs

Conversion de projets simples en projets multi-utilisateurs

Conversion de projets multi-utilisateurs en projets simples

Utilisation de projets multi-utilisateurs

Travailler hors ligne


Configuration matérielle requise

Manuel -> Développement distribué -> Configuration matérielle requise

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

La configuration matérielle requise concerne l’utilisation de projets multi-utilisateurs comportant un certain nombre d’objets (par exemple >= 100 000 variables).

Matériel | Conditions requises
Processeur | Processeur quadrimoteur
Mémoire vive (RAM) | Serveur : 16 Go / Client : 8 Go RAM
Disque dur | SSD recommandé

Remarque : Le paramètre Maximum Server Memory du serveur SQL devra peut-être être modifié manuellement.

info Informations

Le lien suivant propose d’autres informations : https://msdn.microsoft.com/en-us/library/ms178067(v=sql.120).aspx


Informations concernant SQL Server

Manuel -> Développement distribué -> Informations concernant SQL Server

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

zenon, versions 7.00 SP0 et ultérieures

Lors du développement distribué, tous les participants accèdent à une instance centrale de SQL Server. Dans zenon, versions 7.00 SP0 et ultérieures, tous les participants doivent utiliser la version 7.00 ou une version ultérieure :

  • Editor : versions 7.00 SP0 et ultérieures
  • DBSrv : versions 7.00 et supérieures
  • SQL Server : SQL Server 2008 R2 Express Edition

attention Attention

Le même mot de passe doit être utilisé sur tous les ordinateurs.

Attention : Le chiffrement est effectué par le biais de Startup Tool. Vous devez donc effectuer la configuration de la base de données par le biais de Startup Tool.
Le mot de passe doit également être modifié sur le serveur SQL pour l’utilisateur zenOnSrv.

Mise à jour

Lors de la mise à jour du serveur de projet vers SQL Server 2012 Express, veillez à ce que tous les clients (développeurs) soient aussi mis à jour.


Possibilités de la gestion multi-utilisateurs

Manuel -> Développement distribué -> Possibilités de la gestion multi-utilisateurs

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

La gestion de projets multi-utilisateurs peut être utilisée pour :

  • Un système autonome, pour tester les modifications sans risque
  • Un serveur local comportant plusieurs clients
  • Un serveur en réseau comportant plusieurs clients

Autres sujets abordés dans ce chapitre

Serveur local

Serveur local auquel accèdent plusieurs clients

Serveur Access avec clients multiples


Serveur local

Manuel -> Développement distribué -> Possibilités de la gestion multi-utilisateurs -> Serveur local

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Dans ce cas, le projet serveur et une copie locale du projet sont stockés sur le même PC.

Il est possible de créer des projets multi-utilisateurs sur un ordinateur. Ceci se justifie par exemple si vous souhaitez d’abord vérifier des modifications. Pour faire cela (par exemple faire des modifications sur un synoptique), il est modifié et testé dans le Runtime. Après cela, les modifications peuvent être acceptées ou rejetées. Le synoptique original reste inchangé, tant que les modifications n’ont pas été acceptées.


Serveur local auquel accèdent plusieurs clients

Manuel -> Développement distribué -> Possibilités de la gestion multi-utilisateurs -> Serveur local auquel accèdent plusieurs clients

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

La base de donnée serveur et la copie locale du projet sont sur un PC. Les clients travaillent aussi avec une copie locale du projet. Les modifications dans la copie locale du projet sont transférées dans la base de données serveur lorsqu’elles sont "acceptées". Sur le PC avec le projet serveur, il y a aussi une copie locale du projet qui peut être éditée.


Serveur Access avec clients multiples

Manuel -> Développement distribué -> Possibilités de la gestion multi-utilisateurs -> Serveur Access avec clients multiples

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

La base de données serveur est sur le PC central. Les clients se connectent au serveur. Les copies locales du projet sont créées sur chaque client.

Copies locales 1-3 du projet du serveur BD

info Informations

Différentes configurations de l’exemple ci-dessus sont également possibles. Par exemple, chaque PC a une ou plusieurs base(s) de données serveur pour différents projets et en même temps une seule copie locale d’un projet d’une autre base de données serveur.

Serveur sans connexion

Sur les serveurs sur lesquels aucun utilisateur n’est connecté, le programme zendbsrv.exe doit être exécuté en tant que service.

Le service zendbsrv démarre le service zensyssrv de journalisation des tâches. Dans le système d’exploitation Windows 7, cette manipulation n’est pas autorisée par le biais de Remote Transport, pour des raisons de sécurité. Le fichier doit être enregistré manuellement :

zendbsrv.exe -service

Conseil : enregistrez également le fichier zensyssrv.exe en tant que service : zensyssrv.exe -service

info Informations

Lorsque les deux fichiers ont été enregistrés, il n’est plus possible d’utiliser le module Remote Transport sous Windows 7 ou une version supérieure?; Remote Transport ne peut donc plus être démarré depuis le Runtime.


Création d’un nouveau projet multi-utilisateurs

Manuel -> Développement distribué -> Création d’un nouveau projet multi-utilisateurs

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Lorsqu’un nouveau projet est créé, l’option Projet multi-utilisateurs doit être activée. Saisissez ou sélectionnez le serveur pour le projet multi-utilisateurs dans le champ Projet serveur. Si un serveur est sélectionné, l’option Projet multi-utilisateurs est automatiquement activée.

Si aucun serveur n’est sélectionné dans le champ Projet serveur, le projet (c’est-à-dire la base de données) est créé sur le PC local. Une copie de projet locale est créée automatiquement, et est disponible directement dans Editor.

Conditions requises :

  • Le serveur de la base de données du projet (zendbsrv.exe) doit être démarré sur le serveur et le client
  • Configuration du pare-feu :
    • Vous devez autoriser les programmes zendbsrv.exe et sqlservr.exe.
    • SQL Browser doit être activé pour le serveur et le client.
  • Ports ouverts nécessaires :
    • 1103
    • 1433 pour SQL Server : ce port peut être modifié?; le processus SQL Server doit donc être entièrement autorisé au niveau du pare-feu.
    • 1434 pour SQL Browser
  • La résolution par nom sur le réseau doit fonctionner.
  • La résolution inverse ("Reverse lookup") doit donner le même nom de PC sur le poste serveur et sur le poste client.

attention Attention

Les espaces de travail ne supportent pas les utilisateurs multiples, car ils sont spécifiques au poste local. Ainsi la hiérarchie des projets peut être définie différemment sur les différents postes. Les utilisateurs doivent communiquer directement, de façon à ce que la hiérarchie de projets soit la même sur tous les postes.

Création d’un client pour un projet multi-utilisateurs

Exécutez les étapes suivantes pour créer un client pour un projet multi-utilisateurs :

  1. Sélectionnez Fichier de -> Ajouter projet existant ...
    La boîte de dialogue Sélection de projet pour sélectionner un projet est ouverte.
  2. Dans cette boîte de dialogue, sélectionnez le nom de l’ordinateur sous Nom de l’ordinateur.
    Pour ce daire, saisissez le nom de l’ordinateur souhaité dans le réseau ou cliquez sur le bouton ... pour afficher une liste d’ordinateurs dans votre réseau. Veuillez noter que la lecture de la liste d’ordinateurs via le bouton ... peut prendre un peu de temps en fonction de la taille de votre réseau.
  3. Après avoir sélectionné ou saisi un nom d’ordinateur, la liste sélection de projet est mise à jour.
    Dans cette liste, tous les projets zenon disponibles sur l’ordinateur sont listés.
  4. Sous Sélection de projet, sélectionnez dans la liste des projets disponibles le projet que vous souhaitez intégrer sur votre ordinateur local dans votre zenon Espace de travail.
  5. Confirmez votre sélection en cliquant sur le bouton OK.
    Le projet est listé dans votre zenon Espace de travail.

Remarques relatives à la configuration dans zenon Logic

Remarque relative à la configuration dans zenon Logic :

  • Dans le module zenon Logic Workbench, des lignes peuvent être créées dans le nœud Tous les projets. MultiSpy et la fonction de gestion globale des Binding d’Editor peuvent être appelés. Les considérations suivantes s’appliquent à ces paramètres : Ils ne sont pas :
    • Enregistrés en tant que paramètres multi-utilisateurs
    • Transférés vers le serveur de projet
    • En revanche, ils sont supprimés lors de la prochaine synchronisation
  • Si de nouveaux projets zenon Logic sont créés dans le module zenon Logic Workbench via l’option Fichier -> Ajouter un nouveau projet, les considérations suivantes s’appliquent : Ils ne sont pas :
    • Transférés vers le serveur de projet
    • En revanche, ils seront supprimés lors de la prochaine synchronisation

Attention : Les projets zenon Logic multi-utilisateurs peuvent être créés dans zenon Editor.


Conversion de projets simples en projets multi-utilisateurs

Manuel -> Développement distribué -> Conversion de projets simples en projets multi-utilisateurs

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Pour convertir un projet simple en projet multi-utilisateurs :

  1. Assurez-vous que le projet global est un projet multi-utilisateurs.
    Si ce n’est pas le cas, supprimez le projet global existant de l’espace de travail et créez un nouveau projet multi-utilisateurs via le menu contextuel de l’espace de travail. Nouveau projet
  2. Ensuite, convertissez le projet simple : dans le menu contextuel, sélectionnez l’élément de menu Multi-utilisateurs -> Convertir en projet multi-utilisateurs.
  3. Un avertissement s’affiche à l’écran, indiquant que cette étape ne peut pas être annulée.
    Vous pouvez toutefois créer un projet simple à partir d’une sauvegarde de projet d’un projet multi-utilisateurs.
  4. Confirmez l’avertissement en cliquant sur Oui.

info Informations

Lors de la conversion, l’ordinateur sur lequel est exécutée l’action est défini en tant que serveur de base de données du projet. Cette propriété ne peut pas être modifiée ultérieurement.


Conversion de projets multi-utilisateurs en projets simples

Manuel -> Développement distribué -> Conversion de projets multi-utilisateurs en projets simples

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Pour convertir un projet multi-utilisateurs en projet simple :

  1. Assurez-vous que toutes les modifications du projet sont adoptées par tous les clients :
    • Projet -> Menu contextuel -> Multi-utilisateurs -> Synchroniser
  2. Créez une sauvegarde du projet :
    • Nœud Sauvegarde du projet -> Menu contextuel -> Créer sauvegarde
    • Saisissez un nom et une description dans la boîte de dialogue. Vous pouvez également sauvegarder une copie locale du projet.
  3. Créez un nouveau projet à partir de la sauvegarde :
    • Espace de travail -> Menu contextuel -> Restaurer sauvegarde projet.
    • Sélectionnez la sauvegarde de projet souhaitée.
    • Cochez la case Créer un nouveau projet.
    • Confirmez votre sélection en cliquant sur OK.
    • Saisissez un nouveau nom de projet.
  4. Le projet est créé sous forme de projet simple.
    Le projet multi-utilisateurs existe encore également.

Remarque : Pour convertir une copie de projet locale en projet simple, vous pouvez également sélectionner l’option Projet -> Enregistrer sous... dans Editor.


Utilisation de projets multi-utilisateurs

Manuel -> Développement distribué -> Utilisation de projets multi-utilisateurs

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Les projets multi-utilisateurs autorisent l’accès à tous les modules. Les éléments à considérer lors de l’élaboration de projets multi-utilisateurs sont :

  • les options Autoriser et accepter les modifications et la gestion des modifications dans différents modules,
  • la suppression des éléments,
  • Synchronisation d’éléments
  • Exceptions de VBA et du module RGM

Renommer le projet

Les projets ne peuvent pas être renommés localement avec la commande Enregistrer sous, car c’est toujours la copie locale du projet qui est enregistrée.

Pour enregistrer un projet de serveur sous un nouveau nom :

  1. Créez une sauvegarde du projet de serveur.
  2. Sélectionnez la commande Charger sauvegarde comme un nouveau projet dans le menu contextuel.
  3. Saisissez le nouveau nom souhaité.

Le projet est maintenant disponible sous un nouveau nom.

Autres sujets abordés dans ce chapitre

Étendre et synchroniser un projet

Modifier les éléments existants

Supprimer des projets

Déconnecter un client

Mécanisme de sauvegarde

Autoriser, accepter, annuler les modifications

Suppression d’éléments

Synchronisation d’un projet multi-utilisateurs

Recipe Group Manager (Gestionnaire de groupes de recettes)

VBA et VSTA

Fermeture d’Editor

Groupes de styles et styles


Étendre et synchroniser un projet

Manuel -> Développement distribué -> Utilisation de projets multi-utilisateurs -> Étendre et synchroniser un projet

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Si un nouvel élément (par exemple une variable ou un synoptique) a été créé, cet élément est d’abord disponible uniquement localement et les modifications sont automatiquement autorisées.

Si les modifications sont acceptées, un autre client doit se synchroniser, afin que les éléments modifiés soient également disponibles sur cet ordinateur.

Si, après avoir créé un nouvel élément, les modifications sont refusées, c’est comme si cet élément n’avait jamais existé.

La différence entre une nouvelle variable et un nouveau synoptique est qu’après la synchronisation, la variable n’est pas visible sur les autres PC tant que les modifications n’ont pas été acceptées. Après une synchronisation, un synoptique est visible sur les autres PC comme étant en cours de traitement.

Voir également le chapitre Synoptiques / Éditeur de cadres.

Après qu’un autre utilisateur a ajouté ou détruit un élément, le projet doit être synchronisé de façon à recevoir les modifications. Il suffit d’activer l’option Projet/Synchroniser dans le menu contextuel du projet.

Les configurations suivantes peuvent être réalisées avec ce menu contextuel :

Commande | Description
Projets multi-utilisateurs - Synchronisation | Le projet est synchronisé.
Projets multi-utilisateurs - Activation du mode hors ligne | Le mode hors ligne est activé. Les modifications sont uniquement appliquées localement, et ne sont pas reprises tant que le projet reste hors ligne.
Projets multi-utilisateurs - Activation du mode en ligne | Le mode en ligne est activé. Si des éléments ont été modifiés et repris par d’autres utilisateurs, ces modifications remplacent les modifications effectuées en mode hors ligne.
Mettre à jour la version locale | La copie locale est mise à jour avec la base de donnée serveur. Le projet est rechargé dans Editor. Attention : Exception : Les éléments / modules extraits par cet utilisateur.

info Informations

Les éléments / modules qui ont été extraits (commande 'Permettre les modifications' activée) par l’utilisateur ayant effectué la synchronisation ne seront pas remplacés lors de la synchronisation. Les modifications locales sont protégées contre le remplacement, car les éléments sont marqués comme extraits.

Exception :
L’utilisateur A extrait des éléments en mode hors ligne. L’utilisateur B extrait des éléments en mode 'en ligne'. Si l’utilisateur A se reconnecte au serveur, les éléments extraits par les deux utilisateurs sont remplacés par les données de l’utilisateur B. Si dans une équipe, une personne est en déplacement, nous recommandons de ne pas effectuer de modifications pendant cette phase hors lignehors ligne.


Modifier les éléments existants

Manuel -> Développement distribué -> Utilisation de projets multi-utilisateurs -> Modifier les éléments existants

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Si des modifications d’un élément sont requises, celui-ci doit d’abord être extrait. Ceci permet d’éviter qu’un autre utilisateur n’accède au même élément en même temps. Les éléments extraits ne peuvent pas être modifiés par d’autres utilisateurs.

Les éléments ne peuvent être modifiés que par l’utilisateur qui les a extraits. Cet utilisateur a des droits exclusifs de modifications. Pour tous les autres utilisateurs, cet élément est verrouillé.

De façon à permettre les modifications au niveau d’un élément, l’utilisateur doit sélectionner "Permettre les modifications" dans le menu contextuel du projet. Il est possible d’extraire un élément individuellement?; par exemple, une variable. Pour cela, sélectionnez la variable dans la vue de détail, puis sélectionnez l’entrée Permettre les modifications dans le menu contextuel. Il est également possible d’extraire toutes les variables du projet simultanément, depuis le nœud du module.

Si un projet est un projet multi-utilisateurs, l’entrée Traitement en cours est ajoutée au gestionnaire de projet. La vue de détail affiche la liste des éléments du projet actuel. Les colonnes par défaut sont : État, Élément, Cible et Module. Des colonnes supplémentaires peuvent être ajoutées en utilisant le choix "Sélection champs" du menu contextuel activé en cliquant avec le bouton droit de la souris sur les en-têtes de colonnes. Avec les colonnes supplémentaires, la liste propose une vue d’ensemble des éléments édités par chaque utilisateur sur chaque ordinateur.

info Informations

Si vous voulez utiliser des sous-projets dans un environnement multi-utilisateurs, assurez-vous d’activer l’option Permettre les modifications dans les deux projets avant de glisser le sous-projet dans l’arbre du projet d’intégration.

Un élément / module peut uniquement être lu, et non modifié, tant que l’utilisateur n’a pas demandé l’autorisation correspondante. L’autorisation peut être demandée par le menu contextuel de l’élément Autoriser les modifications, ou directement lors de l’ouverture de l’élément.


Supprimer des projets

Manuel -> Développement distribué -> Utilisation de projets multi-utilisateurs -> Supprimer des projets

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Si un projet est supprimé, seule la copie locale du projet est supprimée. La base de données de serveur reste disponible, et les autres clients peuvent encore travailler avec elle. Il est encore possible d’ajouter le projet à l’espace de travail. Dans ce cas, une nouvelle copie locale du projet est créée.

Si un utilisateur supprime sa copie locale du projet, toutes les informations d’extraction et, par conséquent, toutes les modifications de cet utilisateur sont perdues.


Déconnecter un client

Manuel -> Développement distribué -> Utilisation de projets multi-utilisateurs -> Déconnecter un client

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Avec la fonctionnalité "déconnecter un client", il est possible de déconnecter la copie locale du projet d’un utilisateur de la base de données serveur. Ainsi toutes les informations de "permission de modification" (check out) de cet utilisateur sont supprimées. Modifier les éléments verrouillés par d’autres utilisateurs est à nouveau possible.

Il peut être nécessaire de déconnecter un client, si l’utilisateur n’est pas au bureau et qu’il a des éléments en cours de modifications, mais qui doivent être modifiés en urgence, ou alors si le PC de cet utilisateur est en panne.

attention Attention

Si le client d’un utilisateur a été déconnecté et que l’utilisateur ouvre la copie du projet, le projet est hors lignehors ligne. Il n’est plus possible de se mettre "en ligne". D’abord, la copie locale du projet doit être supprimée et le projet doit à nouveau être copié à partir du serveur.

Éléments requis :

Un client ne peut être déconnecté que si le PC, où la copie locale du projet a été modifiée, n’est pas accessible.

Avec le menu principal Fichier -> Insérer projet dans espace de travail, le gestionnaire de base de données de projets peut être ouvert. Sous le projet dans "Copies locales du projet connectées", vous trouverez tous les utilisateurs qui ont (avaient) une copie locale du projet.

Avec "déconnecter", l’entrée pour cet utilisateur est supprimée du serveur de base de données. Lorsque le client a été déconnecté, la boîte de dialogue peut être fermée.

attention Attention

Cette action ne peut pas être annulée ! Si l’utilisateur sur son PC veut à nouveau accéder au projet multi-utilisateurs, la copie locale du projet doit être supprimée et le projet doit être inséré à nouveau.


Mécanisme de sauvegarde

Manuel -> Développement distribué -> Utilisation de projets multi-utilisateurs -> Mécanisme de sauvegarde

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

En règle générale, les informations suivantes doivent être notées pour le mécanisme de sauvegarde dans le cadre du développement distribué :

  • Seuls les états de projets locaux peuvent être sauvegardés.
  • Tant qu’ils n’ont pas été synchronisés, la restauration est également possible.

Autres sujets abordés dans ce chapitre

Sauvegarde de projet

Restaurer une sauvegarde de projet


Sauvegarde de projet

Manuel -> Développement distribué -> Utilisation de projets multi-utilisateurs -> Mécanisme de sauvegarde -> Sauvegarde de projet

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

La sauvegarde de projet est effectuée dans le gestionnaire de projet dans la partie Sauvegardes.

Autres sujets abordés dans ce chapitre

Sauvegardes de copies locales de projet

Sauvegardes de projets serveur


Sauvegardes de copies locales de projet

Manuel -> Développement distribué -> Utilisation de projets multi-utilisateurs -> Mécanisme de sauvegarde -> Sauvegarde de projet -> Sauvegardes de copies locales de projet

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Une sauvegarde de projet peut être créée à l’aide du menu contextuel du module Sauvegardes de projet. Pour effectuer une sauvegarde de projet locale, cochez la case Créer une copie locale du projet dans la boîte de dialogue Enregistrer la sauvegarde de projet.

Les sauvegardes de projet locales peuvent uniquement être créées durant la même session hors ligne que la sauvegarde.

info Informations

D’autres informations sont disponibles dans le manuel consacré aux sauvegardes de projet, au chapitre Barre d’outils de la vue de détail Sauvegarde de projet.


Sauvegardes de projets serveur

Manuel -> Développement distribué -> Utilisation de projets multi-utilisateurs -> Mécanisme de sauvegarde -> Sauvegarde de projet -> Sauvegardes de projets serveur

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Une sauvegarde du projet serveur peut être faite à partir de n’importe quel client, si l’option Enregistrer la copie locale du projet n’est pas cochée.

info Informations

D’autres informations sont disponibles dans le manuel consacré aux sauvegardes de projet, au chapitre Sauvegarde et exportation de projets.


Restaurer une sauvegarde de projet

Manuel -> Développement distribué -> Utilisation de projets multi-utilisateurs -> Mécanisme de sauvegarde -> Restaurer une sauvegarde de projet

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Une sauvegarde de projet peut être créée à l’aide du menu contextuel du module Sauvegardes de projet.

Les sauvegardes de projet locales peuvent uniquement être créées durant la même session hors ligne que la sauvegarde.

info Informations

D’autres informations sont disponibles dans le manuel consacré aux sauvegardes de projet, au chapitre Barre d’outils de la vue de détail Sauvegarde de projet.

Autres sujets abordés dans ce chapitre

Restauration de sauvegardes de copies locales de projet


Restauration de sauvegardes de copies locales de projet

Manuel -> Développement distribué -> Utilisation de projets multi-utilisateurs -> Mécanisme de sauvegarde -> Restaurer une sauvegarde de projet -> Restauration de sauvegardes de copies locales de projet

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Restaurer une sauvegarde d’une copie locale du projet n’est possible que tant que la synchronisation n’a pas été effectuée.
Si un projet a été synchronisé depuis la dernière sauvegarde, l’utilisateur n’a que la possibilité de restaurer la sauvegarde en tant que nouveau projet. En faisant cela, le nouveau projet est créé en tant que projet mono-utilisateur.

info Informations

D’autres informations sont disponibles dans le manuel consacré aux sauvegardes de projet, au chapitre Restauration de sauvegardes de projets.


Autoriser, accepter, annuler les modifications

Manuel -> Développement distribué -> Utilisation de projets multi-utilisateurs -> Autoriser, accepter, annuler les modifications

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Pour apporter des modifications à un projet, les éléments correspondants (fonctions, variables, synoptiques, etc.) doivent être modifiables (Autoriser les modifications). Une fois la modification effectuée, les éléments doivent être à nouveau protégés contre les modifications et doivent être transférés vers le serveur (Accepter les modifications).

Remarque : Les éléments nouveaux et supprimés sont toujours transférés lors de la prochaine synchronisation. Si l’utilisateur supprime un élément, il peut encore être modifié sur un autre ordinateur. Toutefois, il est supprimé définitivement après la prochaine synchronisation.

Paramètres

Description

Mettre à jour la version locale

Si d’autres utilisateurs ont fait des modifications dans le projet serveur, les copies locales du projet peuvent être mises à jour avec la commande de menu.

Mets à jour seulement les éléments / modules individuels. Les nouveaux éléments sur le serveur ne sont alors pas disponibles?; une synchronisation est requise.

Permettre les modifications

De façon à pouvoir modifier les éléments, la commande "Permettre les modifications" doit être activée. Ceci est fait à l’aide du menu contextuel de l’élément sélectionné.
Afin de travailler en toute quiétude, l’utilisateur peut autoriser les modifications pour l’ensemble du module variable. Cela signifie que toutes les variables, les drivers et les types de données seront verrouillés pour les autres utilisateurs.

Accepter les modifications

Les modifications sont transférées au projet serveur. L’élément / le module est alors déverrouillé pour les autres utilisateurs.
Si les modifications étaient permises pour un module complet, elles ne peuvent être "acceptées" qu’au niveau du module complet.
Ce qui signifie que toutes les variables, les drivers et les types de données seront transférés et seront déverrouillés pour les autres utilisateurs. Accepter un élément individuellement n’est pas possible dans ce cas.
Les modifications dans la copie locale du projet sont annulées et écrasées par les données provenant du serveur. L’élément / le module est alors déverrouillé pour les autres utilisateurs.

Annuler les modifications

Toutes les modifications sur toutes les variables, les drivers et les types de données sont annulées et tous les éléments seront déverrouillés pour les autres utilisateurs. Annuler une modification sur un élément individuellement n’est pas possible dans ce cas.

Tous les modules
  • Mettre à jour la version locale : Mettre à jour la version locale.
  • Permettre les modifications : Permettre les modifications.
  • Applique les modifications : Accepte les modifications effectuées.
  • Annuler les modifications : Annule les modifications effectuées.

info Informations

Lorsque vous modifiez le nom du projet, la fonction Annuler les modifications est inopérante. Le nom de projet modifié est conservé.

Modifications affectant plusieurs modules à la fois

Si les modifications sont autorisées au niveau d’un module et des éléments sont créés dans d’autres modules, puis liés à ce module, tous les éléments/modules affectés doivent être définis sur Accepter les modifications. Autorisez d’abord les modifications au niveau des nouveaux éléments/modules, puis autorisez les modifications sur les modules existants. Si l’utilisateur autorise le module ayant été désactivé, les récentes modifications pourraient être perdues.

Exemple :

  • Sur un client, le module RGM est activé.
  • Un nouveau groupe de recettes est créé. Ensuite, une nouvelle recette est créée.
  • Une variable existante est ajoutée au groupe de recettes.
  • Les trois nouvelles variables sont créées et ajoutées.
  • Les verrouillages sont validés, et un nouveau verrouillage est ajouté.
  • Un nouveau synoptique de clavier est créé, avec un nouveau cadre.
  • Dans le groupe de recettes, le nouveau verrouillage est attribué.
  • Le synoptique de clavier est attribué.
  • Une nouvelle variable de visibilité est créée, puis liée à une variable dans le groupe de recettes.

Si l’option Accepter les modifications est activée pour le groupe de recettes et un autre client est synchronisé :

  • L’autre client reçoit les éléments suivants :
    • Un groupe de recettes comportant une variable liée
    • Et une recette contenant la variable
  • Toutes les autres informations sont perdues

Si ce client désactive, modifie et active le groupe de recettes, toutes les nouvelles configurations sont perdues.

Pour garantir l’acceptation des modifications, l’option Accepter les modifications doit être définie pour les éléments suivants :

  • Module RGM
  • Groupe de recettes
  • Recette
  • Variables
  • Verrouillages
  • Synoptique de clavier
  • Cadre du synoptique de clavier

Autres sujets abordés dans ce chapitre

État des éléments et des modules

Légende des symboles


État des éléments et des modules

Manuel -> Développement distribué -> Utilisation de projets multi-utilisateurs -> Autoriser, accepter, annuler les modifications -> État des éléments et des modules

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Si un élément a été extrait (activation de la commande "Permettre les modifications"), le symbole affiché dans le gestionnaire de projet et dans la vue de détail change. L’utilisateur qui a validé l’élément (c’est-à-dire activé la commande 'Permettre les modifications') voit une case avec une coche verte en face de l’élément. Tous les autres utilisateurs voient une case à cocher contenant un X rouge. Le symbole ! signifie que des éléments uniques dans un module sont validés.

Voir le chapitre Légende.

Dans le cas spécial de l’administration exclusive des variables, les symboles sont légèrement grisés si le module a été validé.

Example Exemple

Toutes les variables sont validées par un utilisateur. Un autre utilisateur ne peut pas modifier ces variables, mais il peut ajouter une variable supplémentaire.

Exception : Lorsque le module complet est validé.

Les actions suivantes sont uniquement possibles si l’option Autoriser les modifications est définie pour l’ensemble du module :

  • Création de variables d’ensemble
  • Créer des types structure
  • Copier-coller de variables d’ensemble et de structure
  • Création de variables reposant sur un type de données de structure avec un ensemble
  • Modification des paramètres d’ensemble d’une variable
  • Modification des paramètres d’ensemble d’une variable dans zenon Logic, avec un profil zenon

info Informations

Si une variable est créée sans que l’option Autoriser les modifications soit définie pour l’ensemble du module Variable, les dimensions sont automatiquement définies sur 0. Ceci permet d’éviter la création imprévue d’une variable de structure.

Les options Autoriser les modifications ou Accepter les modifications peuvent uniquement être définies pour les éléments/modules suivants dans leur ensemble :

  • Archives
  • Utilisateurs
  • Menus
  • Matrice de réaction
  • Recettes standard
  • Groupes de recettes
  • Scripts
  • Polices
  • Verrouillages
  • Attributions

Modification de l’affichage à la date affichée dans la fenêtre de détail

Dans la vue détaillée, deux colonnes affichent des informations concernant les dernières modifications :

  • Dernière modification acceptée : Affiche dans toutes les listes relatives au développement distribué, à l’heure de la dernière mise à jour dans la base de données ou à l’heure du dernier archivage.
  • Dernière modification : Affiche des informations d’horodatage de la dernière modification des fichiers dans le système de fichiers.

Si les colonnes ne sont pas affichées, vous pouvez les activer :

  1. en effectuant un double-clic droit sur l’en-tête de colonne.
  2. Dans le menu contextuel, en sélectionnant l’élément de menu Sélection colonne
    (Selon le module dans lequel les colonnes sont disponibles.)
  3. Sélectionnez les colonnes souhaitées dans la liste affichée à gauche de l’écran (sélections multiples autorisées)
  4. Ajoutez les colonnes en cliquant sur le bouton Ajouter - dans la liste droite
  5. Les boutons Haut et Bas permettent à l’utilisateur de sélectionner la position souhaitée
  6. Confirmez et fermez la boîte de dialogue en cliquant sur OK


Légende des symboles

Manuel -> Développement distribué -> Utilisation de projets multi-utilisateurs -> Autoriser, accepter, annuler les modifications -> Légende des symboles

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Les symboles suivants indiquent l’état des éléments dans les projets multi-utilisateurs.

(Par exemple : Un synoptique peut être modifié par un utilisateur [image]).

Les éléments dans la vue de détail du gestionnaire de projet.

Symbole | Description
 | Un nouvel élément a été ajouté dans la copie locale du projet. Cet élément est uniquement transféré lors de l’archivage (Check-In) de l’élément sur le serveur.
 | Un nouvel module a été ajouté dans la copie locale du projet. Cet élément est uniquement transféré lors de l’archivage (Check-In) du module sur le serveur.
 | Les éléments ont été marqués comme supprimés dans la copie locale du projet. Cet élément est uniquement supprimé lors de l’archivage (Check-In) de l’élément sur le serveur.
 | Le module a été marqué comme supprimé dans la copie locale du projet. Cet élément est uniquement supprimé lors de l’archivage (Check-In) du module sur le serveur.
 | L’élément peut être modifié par l’utilisateur courant.
 | Le module peut être modifié par l’utilisateur courant.
 | L’élément est verrouillé par un autre utilisateur.

Affichage dans l’arbre du projet

Symbole | Description
 | Le module peut être modifié par l’utilisateur courant.
 | Le module est édité par un autre utilisateur et est donc verrouillé pour l’utilisateur courant.
 | Au moins un élément du module est marqué pour la modification (pas le module complet).


Suppression d’éléments

Manuel -> Développement distribué -> Utilisation de projets multi-utilisateurs -> Suppression d’éléments

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Au départ, les éléments de la base de données sont affichés uniquement comme "détruits". Sur les autres clients, aucune autre modification ne peut être faite sur ces éléments, ils sont affichés comme "verrouillés". Si "Accepter les modifications" est sélectionné, les éléments sont réellement détruits. Il est possible d’annuler la suppression avec "Annuler les modifications".

Example Exemple

Ceci s’applique aux variables, par exemple : Les modifications doivent être acceptées pour que la suppression soit autorisée.

Les éléments de fichier tels que les synoptiques, les fichiers (tables de langues, éléments graphiques), etc. sont directement supprimés après confirmation sur l’ordinateur exécutant le processus. Les éléments nouveaux et supprimés sont toujours transférés lors de la prochaine synchronisation. Si vous supprimez un élément, il peut encore être modifié sur un autre ordinateur. Toutefois, il est supprimé définitivement après la prochaine synchronisation.


Synchronisation d’un projet multi-utilisateurs

Manuel -> Développement distribué -> Utilisation de projets multi-utilisateurs -> Synchronisation d’un projet multi-utilisateurs

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Après qu’un autre utilisateur a ajouté ou détruit un élément, le projet doit être synchronisé de façon à recevoir les modifications. Pour cela, ouvrez le menu contextuel du projet?; sélectionnez Projet -> Menu contextuel -> Multi-utilisateurs -> Synchroniser ou Tous les modules -> Mettre à jour la version locale.

Les options suivantes sont disponibles dans le menu contextuel :

Paramètres

Description

Synchronisation

La copie locale est mise à jour avec la base de donnée serveur. Le projet est rechargé dans Editor.
Attention : Exception : Les éléments / modules extraits par cet utilisateur.

Mettre à jour la version locale

Afficher la synchronisation

Permettre les modifications

Extrait les éléments / modules

Accepter les modifications

Archive les éléments / modules

Annuler les modifications

Les modifications apportées à l’élément ne sont pas acceptées et sont abandonnées. Après l’annulation des modifications, le projet est remplacé par les données de la base de données du serveur.

Attention : Si les modifications sont annulées sur un élément qui n’a pas encore été "accepté", les modifications qui dépendent de cet élément sont aussi annulées.

Les éléments nouveaux et supprimés sont toujours transférés lors de la prochaine synchronisation.

info Informations

Les éléments suivants sont ignorés durant la synchronisation :

  • Les éléments et modules qui sont validés par le même utilisateur effectuant la synchronisation.
  • Dossier vide.
    Un dossier doit contenir au moins élément afin d’être synchronisé. Un dossier vide est créé, par exemple, dans le dossier Aide si un nouvelle langue est ajoutée au fichier de langue.


Recipe Group Manager (Gestionnaire de groupes de recettes)

Manuel -> Développement distribué -> Utilisation de projets multi-utilisateurs -> Recipe Group Manager (Gestionnaire de groupes de recettes)

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Boîte de dialogue de filtre dans le Runtime

Si vous activez la propriété Avec dial. de filtre dans les options de la liste de valeurs de la recette lors de l’appel de synoptique, des options limitées sont disponibles sous Windows CE :

  • Filtre de recette
  • Paramètres des colonnes (pour la table de recettes)

Les options Sélection recette, Modélisation d’équipements et les paramètres des colonnes de la liste de recettes ne sont pas disponibles.


VBA et VSTA

Manuel -> Développement distribué -> Utilisation de projets multi-utilisateurs -> VBA et VSTA

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Sélectionnez l’entrée Ouvrir Éditeur VBA ou Ouvrir Éditeur VSTA dans le menu contextuel des interfaces de programmation?; Editor est alors activé, et les modifications sont autorisées.

Attention : en règle générale, le code VBA autorise les modifications, même si l’option Autoriser les modifications a été définie pour élément sur un autre ordinateur.
Vous devez donc tenir compte des aspects suivants avant d’effectuer des modifications à l’aide du code VBA :

  1. Avant de reprendre des modifications, assurez-vous d’intervenir sur un projet multi-utilisateurs.
  2. Si c’est le cas, vérifiez si l’élément a été ajouté par un autre client
  3. Si c’est le cas, vérifiez si l’état local Autoriser les modifications (extraire) est défini pour l’élément
    1. Si c’est le cas, l’objet peut être modifié
    2. Dans le cas contraire, l’option Autoriser les modifications doit être définie pour l’objet
    • Vérifiez à nouveau si l’option Autoriser les modifications est définie pour l’objet
    • Si c’est le cas, l’objet peut être modifié par le biais du code VBA
  4. Une fois les modifications effectuées, l’option Accepter les modifications (archiver) doit être définie pour l’objet par le biais du code VBA

attention Attention

Dans les projets multi-utilisateurs, l’Éditeur VBA ne doit pas être ouvert avec le raccourci ALT+F11. Si VBA n’est pas extrait, les modifications ne sont pas acceptées. Lorsque l’Éditeur VBA est ouvert, un message d’avertissement indique quels sont les projets concernés.


Fermeture d’Editor

Manuel -> Développement distribué -> Utilisation de projets multi-utilisateurs -> Fermeture d’Editor

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Chaque utilisateur devrait accepter les modifications sur ses éléments avant de fermer Editor, l’espace de travail ou le projet. Tant qu’il ne l’a pas fait, les autres utilisateurs ne peuvent pas modifier ces éléments. Voir également le chapitre Editor / Fermeture d’Editor. Fermeture d’Editor.

Si vous fermez Editor sans accepter les modifications, une boîte de dialogue d’acceptation ou de refus des modifications est affichée :

Paramètres | Description
Liste des éléments | Ce champ dresse la liste des éléments dont la modification n’est pas autorisée. Les modifications des éléments affichés peuvent être acceptées ou refusées, en cliquant sur le bouton correspondant.
Accepter les modifications | Les modifications de tous les éléments sont acceptées.
Annuler les modifications | Les modifications de tous les éléments sont abandonnées.
Modifier... | La fermeture est abandonnée.
Suivant | Poursuit le processus de fermeture du projet actuel. Les éléments restent désactivés pour les autres utilisateurs. Si plusieurs projets multi-utilisateurs doivent être fermés, cette boîte de dialogue est affichée pour le projet devant être fermé par la suite.
Suivant (tous) | Poursuit le processus de fermeture de tous les projets multi-utilisateurs dans l’espace de travail devant être fermé. Les éléments restent désactivés pour les autres utilisateurs.
Aide | Ouvre l'aide en ligne.


Groupes de styles et styles

Manuel -> Développement distribué -> Utilisation de projets multi-utilisateurs -> Groupes de styles et styles

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Les modifications sont toujours autorisées pour l’ensemble des groupes de styles uniquement, et non pour des styles individuels. Si un style est modifié ou ajouté dans un groupe de styles validé, un message correspondant s’affiche pour autoriser les modifications pour le groupe de styles.

Les groupes de styles créés à partir des éléments ou copies ajoutées des groupes de styles ne sont pas automatiquement validés après création ou copie.


Travailler hors ligne

Manuel -> Développement distribué -> Travailler hors ligne

Lors du travail hors ligne, il n’y a pas de connexion au serveur, par exemple, lorsqu’un ingénieur prend le projet avec lui sur son PC portable.

Pour basculer un projet hors ligne, l’entrée Activer le mode hors ligne doit être sélectionné dans le menu contextuel "Multi-utilisateurs" sur le projet. Les projets qui ne sont pas connectés à la base de données serveur sont automatiquement basculés en mode hors ligne.

info Informations

Les opérations Accepter les modifications et Annuler les modifications ne sont pas disponibles lorsqu’on est en mode hors ligne.

Seul Permettre les modifications est accessible en mode hors ligne, sinon aucune modification ne serait possible en mode hors ligne. Accepter les modifications peut être activé en mode de fonctionnement en ligne.

Autres sujets abordés dans ce chapitre

Passer en mode hors ligne

Passage du mode hors ligne au mode 'en ligne'

Possibilités du mode de fonctionnement hors ligne


Passer en mode hors ligne

Manuel -> Développement distribué -> Travailler hors ligne -> Passer en mode hors ligne

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Il peut y avoir plusieurs cas lors du passage en mode hors ligne

Autres sujets abordés dans ce chapitre

Les éléments ou modules sont verrouillés par un autre utilisateur

Les éléments / modules sont "sortis" (check out) par le même utilisateur au moment du passage "hors ligne».

Aucun élément ou module n’est extrait lors de l’activation du mode hors ligne


Les éléments ou modules sont verrouillés par un autre utilisateur

Manuel -> Développement distribué -> Travailler hors ligne -> Passer en mode hors ligne -> Les éléments ou modules sont verrouillés par un autre utilisateur

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Lors du passage en mode hors ligne, un autre utilisateur est en train de modifier les éléments / les modules. Dans ce cas, aucun changement ne pourra être fait en mode hors ligne.


Les éléments / modules sont "sortis" (check out) par le même utilisateur au moment du passage "hors ligne».

Manuel -> Développement distribué -> Travailler hors ligne -> Passer en mode hors ligne -> Les éléments / modules sont "sortis" (check out) par le même utilisateur au moment du passage "hors ligne».

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Lors du passage en mode hors ligne, le même utilisateur est en train de modifier les éléments / les modules. Dans ce cas, aucun changement en ligne ne pourra être effectué par les autres utilisateurs pendant que cet utilisateur est en mode hors ligne.


Aucun élément ou module n’est extrait lors de l’activation du mode hors ligne

Manuel -> Développement distribué -> Travailler hors ligne -> Passer en mode hors ligne -> Aucun élément ou module n’est extrait lors de l’activation du mode hors ligne

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Aucun élément n’est extrait lors du passage en mode hors ligne

Cas 1 :

La modification d’un élément ou d’un module est possible hors ligne, mais également en ligne.

L’utilisateur A modifie un élément ou un module hors ligne, et l’utilisateur B le modifie en ligne.

Lorsqu’un utilisateur A active le mode en ligne, le serveur identifie que l’utilisateur B modifie simplement le module/l’élément en ligne.

Les modifications effectuées par l’utilisateur A sont perdues.

attention Attention

Dans ce cas, les modifications faites hors ligne (par l’utilisateur A) sont perdues?!

Cas 2 :

Lorsque l’utilisateur A accepte ses modifications, l’utilisateur B a déjà accepté ses modifications.

Les modifications effectuées par l’utilisateur A remplacent les modifications effectuées par l’utilisateur B lors de l’activation du mode en ligne.

attention Attention

Dans ce cas, les modifications faites 'en ligne' (par l’utilisateur B) sont perdues?!


Passage du mode hors ligne au mode 'en ligne'

Manuel -> Développement distribué -> Travailler hors ligne -> Passage du mode hors ligne au mode 'en ligne'

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Pour repasser un projet hors ligne en mode en ligne, utiliser l’option En ligne du menu contextuel du projet. Le projet est rechargé dans Editor immédiatement.


Possibilités du mode de fonctionnement hors ligne

Manuel -> Développement distribué -> Travailler hors ligne -> Possibilités du mode de fonctionnement hors ligne

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Éléments/modules

Créer, modifier, renommer, supprimer


Élément WPF

Manuel -> Élément WPF

L'élément dynamique WPF permet d'intégrer et d'afficher les fichiers WPF/XAML valides dans zenon.

Remarque : Dans zenon Editor, l’info-bulle standard des éléments WPF n’est pas affichée si un fichier .wpf est lié. Par ailleurs, dans le Runtime de zenon, l’info-bulle de zenon pour les éléments WPF n’est pas prise en charge.

info Informations

Toutes les marques et noms de produits mentionnés dans cette documentation sont des marques de commerce ou des marques déposées de leurs détenteurs respectifs.

Autres sujets abordés dans ce chapitre

Notions fondamentales

Directives pour les concepteurs

Directives pour développeurs

Développement dans zenon


Notions fondamentales

Manuel -> Élément WPF -> Notions fondamentales

XAML

XAML est l’acronyme de Extensible Application Markup Language. Ce langage descriptif XML développé par Microsoft définit les éléments graphiques, les animations, les transformations, les affichages de dégradés de couleurs, etc. dans les interfaces utilisateur Silverlight et WPF. Le langage XAML permet de séparer de manière stricte la conception graphique et la programmation. Le concepteur prépare par exemple l’interface utilisateur graphique et crée des animations simples, qui sont ensuite utilisées par les développeurs ou ingénieurs de projet chargés de créer la logique de l’application.

WPF

WPF est l’acronyme de Windows Presentation Foundation, et décrit une infrastructure graphique qui forme partie de l’infrastructure Windows .NET.

  • WPF fournit un modèle complet aux programmeurs.
  • Le langage XAML décrit, sur la base du langage XML, la hiérarchie de l’interface sous forme de langage de balisage. En fonction de la construction du fichier XAML, il est possible de lier des propriétés, des événements et des transformations d’éléments WPF à des variables et des fonctions de
    CD_PRODUCTNAME<.
  • Cette infrastructure réunit les différents éléments de présentation tels que l’interface utilisateur, les tracés d’éléments, les éléments graphiques, les éléments audio et vidéo, les documents et les polices de caractères.

Pour l’exécution dans zenon, Microsoft .NET Framework version 3.5 ou une version ultérieure est requis.

info Informations

Transparence

Pour que les contrôles WPF pour lesquels un arrière-plan transparent a été défini soient affichés comme transparents, les conditions suivantes doivent être remplies sur le poste de travail dans Editor et dans le Runtime :

  • Le système d’exploitation doit être Windows 8.1 ou une version supérieure.
  • .NET Framework 4.6 ou une version supérieure doit être installé.

Les éléments WPF ne sont pas affichés comme transparents dans Windows 7 ou 8. Au lieu de cela, les zones transparentes sont remplies avec la couleur d’arrière-plan définie dans le synoptique zenon.

Autres sujets abordés dans ce chapitre

Éléments WPF dans la visualisation de procédés

Ensembles référencés

Flux de travail


Éléments WPF dans la visualisation de procédés

Manuel -> Élément WPF -> Notions fondamentales -> Éléments WPF dans la visualisation de procédés

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Le langage XAML offre différentes possibilités de conception graphique dans zenon. Les éléments d’affichage et les éléments dynamiques peuvent être adaptés graphiquement, quelle que soit la planification du projet. Par exemple, des illustrations sont d’abord créées par les concepteurs graphiques, puis importées dans zenon sous forme de fichier XAML et liées aux éléments logiques souhaités. Il existe de nombreuses possibilités d’utilisation de cette fonction, par exemple :

Éléments dynamiques avec une apparence analogique

Il n’est plus nécessaire de dessiner les éléments graphiques dans zenon ; ils peuvent maintenant être importés directement sous forme de fichier XAML. Ceci permet d’utiliser des éléments illustrés complexes, riches en détails, aux fins de la visualisation de procédés. Les reflets, les ombres, les effets 3D etc. sont pris en charge sous forme d’éléments graphiques. Les éléments qui sont adaptés aux différents environnements industriels autorisent une utilisation intuitive, semblable aux éléments opérationnels de la machine.

Des illustrations détaillées pour une utilisation intuitive

L’intégration d’éléments d’affichage au format XAML permet d’améliorer l’apparence graphique des projets, et améliore très significativement la clarté de l’affichage des procédés. Les éléments optimisés pour l’ergonomie facilitent l’utilisation des machines. L’affichage clair des données permet de recevoir des contenus complexes plus facilement. Les options flexibles d’adaptation d’éléments individuels facilitent le travail de l’opérateur. Il est donc possible pour les planificateurs de projet de définir seuls les valeurs d’affichage, les échelles et les unités.

Présentation clair des données et des récapitulatifs

Les éléments d’affichage groupés permettent d’afficher clairement les données les plus importantes du procédé, afin que les opérateurs d’équipements soient toujours informés du déroulement du procédé actuel. Les évaluations graphiques, les valeurs d’affichage et les réglettes peuvent être rassemblées sous la forme d’un élément unique, facilitant le contrôle de l’équipement.

Affichages spécifiques aux industries

Les éléments tels que les thermomètres, les balances ou les bargraphes forment partie des éléments fondamentaux de la visualisation de procédés. Grâce au langage XAML, il est possible d’adapter ces éléments à différentes industries. Ainsi, les opérateurs d’équipements peuvent localiser les éléments établis et habituels, qu’ils associent déjà à ces machines, aux fins de la visualisation du procédé sur le terminal.

Adaptation aux chartes graphiques des entreprises

Les illustrations peuvent être adaptées aux différentes exigences stylistiques des entreprises, afin de fournir une apparence visuelle cohérente jusque sur les synoptiques des différents procédés. Par exemple, les éléments fonctionnels standard de zenon peuvent être utilisés, puis être adaptés à la gamme chromatique, aux polices et au style d’illustration de la charte graphique de l’entreprise.


Ensembles référencés

Manuel -> Élément WPF -> Notions fondamentales -> Ensembles référencés

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Les éléments WPF permettent non seulement d’afficher des objets (rectangles, éléments graphiques, etc.) ou des effets standard, mais également des contrôles utilisateur personnalisés (la logique est alors intégrée à la fonctionnalité code-behind) référencés sous forme d’ensembles.

Par exemple, il est possible de créer un contrôle utilisateur prenant l’apparence d’un tachymètre et fournissant des propriétés spéciales et des effets optiques, tels qu’une propriété "Valeur", qui provoque le déplacement de l’aiguille du tachymètre et/ou l’affichage de la valeur correspondante dans un intitulé.

Voici le flux de travail correspondant :

  • L’apparence d’un contrôle utilisateur est constituée d’objets standard, proposés par WPF.
  • Les propriétés et interactions sont programmées.
  • L’ensemble complet est compilé et présent sous la forme d’un ensemble .NET.

Cet ensemble peut également être utilisé pour les projets WPF. Pour cela, il doit être référencé (c’est-à-dire lié) dans l’éditeur WPF (par exemple : Microsoft Expression Blend). Pour cela, sélectionnez l’ensemble dans la boîte de dialogue de sélection de fichiers zenon :

À compter de cet instant, les contrôles utilisateur WPF de l’ensemble en cours de développement peuvent être sélectionnés sous Contrôles utilisateur personnalisés et utilisés dans le projet WPF.

À cet égard, consulter également le chapitre suivant : Directives pour développeurs.

Ensembles référencés utilisés dans zenon

Pour utiliser un ensemble dans zenon, ce dernier doit être fourni sous forme de fichier.
Les fichiers collectifs au format .cdwpf gèrent les ensembles de manière indépendante ; aucune configuration ultérieure n’est nécessaire. Les ensembles doivent être ajoutés au dossier Fichiers pour les fichiers .xaml :

  • Cliquez sur Fichiers dans l’arborescence du projet.
  • Sélectionnez Autres.
  • Sélectionnez Ajouter fichier... dans le menu contextuel.
  • La boîte de dialogue de configuration s’ouvre.
  • Insérez l’ensemble souhaité.

Lors de l’affichage d’un fichier WPF dans l’élément WPF (Editor et Runtime), les ensembles de ce dossier sont chargés. Cela permet également de garantir que lors du transfert de fichiers du Runtime à l’aide du module Remote Transport, tous les ensembles référencés sont présents sur l’ordinateur cible.

Un fichier collectif (.cdwpf) peut se trouver dans le même répertoire qu’un fichier XAML portant le même nom. Tous les ensembles (*.dll) provenant de tous les fichiers collectifs et du dossier Autres sont copiés vers le dossier de travail. Seule la version la plus élevée du fichier est utilisée, si plusieurs ensembles portent le même nom.

Tipp Conseil

Les fichiers DLL appartenant à un élément WPF (référencé par le fichier XAML lié) peuvent également être remplacés dans Editor pendant le fonctionnement.
Pour remplacer un fichier DLL :

  • Fermez tous les synoptiques zenon dans lesquels est utilisé l’élément WPF.
  • Fermez tous les symboles utilisant l’élément WPF souhaité.
  • Dans l’Explorateur Windows, remplacez le fichier DLL dans le dossier \wpfache des fichiers d’Editor.
    Ce dossier se trouve dans le répertoire SQL, sous
    ...\GUID-PROJET\FILES\zenon\custom\wpfcache

Outre le remplacement du fichier dans l’Explorateur, vous pouvez également le remplacer directement dans zenon Editor ; pour cela :

  • Dans les paramètres du projet Visual Studio, spécifiez une version de fichier DLL supérieure.
  • Créez le nouveau fichier DLL.
  • Fermez tous les synoptiques zenon dans lesquels est utilisé l’élément WPF.
  • Fermez tous les symboles utilisant l’élément WPF souhaité.
  • Dans zenon Editor, supprimez le fichier DLL du dossier \Files\Other, puis ajoutez le fichier possédant le numéro de version supérieur.

Gestion multi-projets

Dans la gestion multi-projets, le même ensemble doit être utilisé dans tous les projets. Si un ensemble est remplacé par une autre version dans un projet, il doit également être remplacé dans tous les autres projets chargés dans Editor ou le Runtime.


Flux de travail

Manuel -> Élément WPF -> Notions fondamentales -> Flux de travail

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

La technologie WPF/XAML permet de créer de nouveaux flux de travail dans la visualisation de procédés. La séparation des aspects de conception graphique et de gestion des fonctionnalités garantit une séparation nette des rôles des ingénieurs de projet et des concepteurs graphiques ; les tâches de conception graphique peuvent être facilement exécutées à l’aide d’éléments graphiques existants, que l’ingénieur de projet n’aura plus besoin de modifier.

Les personnes suivantes sont impliquées dans le flux de travail de création d’éléments WPF dans zenon :

  • Concepteur graphique
    • Illustre des éléments
    • Veille à la conception des éléments graphiques dans MS Expression Design
  • Opérateur MS Expression Blend
    • Anime les éléments
    • Dans zenon, crée des variables dédiées à l’animation d’éléments WPF auxquelles les ingénieurs de projet ont accès.
  • Ingénieur de projet
    • Intègre les éléments dans zenon :
    • Mémorise les éléments logiques et les fonctionnalités

Nous effectuons la distinction suivante :

  • Flux de travail avec Microsoft Expression Blend
  • Flux de travail avec Adobe Illustrator

Autres sujets abordés dans ce chapitre

Flux de travail avec Microsoft Expression Blend

Flux de travail avec Adobe Illustrator


Flux de travail avec Microsoft Expression Blend

Manuel -> Élément WPF -> Notions fondamentales -> Flux de travail -> Flux de travail avec Microsoft Expression Blend

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Lors de l’utilisation de Microsoft Expression Blend, un élément WPF est créé en quatre étapes :

  1. Illustration d’éléments dans MS Expression Blend
  2. Ouvrez l’élément dans MS Expression Design et exportez-le au format WPF
  3. Animation dans MS Expression Blend
  4. Intégration dans zenon

Vous trouverez un exemple de création d’éléments WPF dans Microsoft Expression Blend au chapitre Créer un bouton sous forme de fichier XAML dans Microsoft Expression Blend.


Flux de travail avec Adobe Illustrator

Manuel -> Élément WPF -> Notions fondamentales -> Flux de travail -> Flux de travail avec Adobe Illustrator

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Le flux de travail suivant, créé autour des processus de conception graphique dans Adobe Illustrator, est disponible :

  1. Illustration d’éléments dans Adobe Illustrator
  2. Importation de fichiers .ai et préparation dans MS Expression Design
  3. Exportation au format WPF depuis MS Expression Design
  4. Animation dans MS Expression Blend
  5. Intégration dans zenon

Un exemple de création est fourni au chapitre Flux de travail avec Adobe Illustrator.


Directives pour les concepteurs

Manuel -> Élément WPF -> Directives pour les concepteurs

Cette section décrit la création de fichiers WPF dans Microsoft Expression Blend et Adobe Illustrator. Les didacticiels relatifs à la création d’un élément Bouton et d’un élément bargraphe décrivent la procédure de création, en quelques étapes, de fichiers WPF entièrement fonctionnels pour zenon à partir d’éléments graphiques existants.

Les outils suivants ont été utilisés à cette fin :

  • Adobe Illustrator CS3 (AI)
  • Microsoft Expression Design 4 (ED)
  • Microsoft Expression Blend 4 (EB)
  • zenon

info Informations

Si des objets référencés (ensembles) sont utilisés dans WPF, notez les instructions fournies au chapitre Objets référencés.

Autres sujets abordés dans ce chapitre

Flux de travail avec Microsoft Expression Blend

Flux de travail avec Adobe Illustrator


Flux de travail avec Microsoft Expression Blend

Manuel -> Élément WPF -> Directives pour les concepteurs -> Flux de travail avec Microsoft Expression Blend

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Avec Microsoft Expression Blend, un élément WPF :

  • est illustré
  • est converti en élément WPF dans MS Expression Design
  • est animé

L’exemple suivant représente l’illustration et la conversion d’un élément bouton en fichier XAML.

Remarque : Une version de test de Microsoft Expression Blend peut être téléchargée depuis le site Web de Microsoft.

Autres sujets abordés dans ce chapitre

Créer un bouton sous forme de fichier XAML dans Microsoft Expression Blend


Créer un bouton sous forme de fichier XAML dans Microsoft Expression Blend

Manuel -> Élément WPF -> Directives pour les concepteurs -> Flux de travail avec Microsoft Expression Blend -> Créer un bouton sous forme de fichier XAML dans Microsoft Expression Blend

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Créez le bouton

  1. Démarrez Expression Blend.
  2. Sélectionnez l’option Nouveau projet.

  3. Sélectionnez le type de projet WPF.
  4. Attribuez-lui le chemin et le nom de votre choix (MyBlendProject, par exemple)

    Vous pouvez ignorer les paramètres Langue et Version, car aucune fonctionnalité ne sera programmée.

  5. Lorsque vous confirmez la boîte de dialogue en cliquant sur OK, Microsoft Blend crée un nouveau projet avec les paramètres choisis. Expression Blend ajoute un fichier XAML vide, qui contient déjà une référence de classe.
  6. Supprimez le fichier CS associé au fichier XAML à l’aide du menu contextuel.
  7. Renommez le fichier XAML MainControl.xaml en MyButton.xaml.
  8. La taille de développement par défaut du projet est définie sur 640 x 480 pixels et doit encore être modifiée :
    1. Sélectionnez la vue XAML.
    2. Sélectionnez une taille de 100 x 100 pixels.
    3. Supprimez la référence de classe x:Class="MyBlendProject.MyButton"

  9. Sélectionnez la vue Design (Apparence).

  10. Ajoutez un bouton à l’aide de la barre d’outils.
  11. Définissez les propriétés.
    • Largeur : 50
    • Hauteur : 50
    • Marges : 25

    Le bouton se trouve donc au centre du contrôle.

  12. Enregistrez les modifications et ouvrez le fichier dans Internet Explorer pour l’inspecter. Vous verrez que le bouton est affiché à la taille de 50 x 50 pixels.

Rendez le bouton redimensionnable

Si vous intégrez cet état à zenon, le bouton possédera toujours précisément une taille de 50 x 50 pixels. Le bouton peut être mis en œuvre sous la forme d’un bouton pouvant être redimensionné ; basculez à nouveau vers Expression Blend :

  1. Sélectionnez le bouton dans l’arborescence.
  2. Sélectionnez l’option Regrouper sous -> ViewBox dans le menu contextuel.
  3. Le bouton est inséré dans une ViewBox.
  4. Définissez les propriétés de l’élément ViewBox
    • Largeur : Auto
    • Hauteur : Auto
  5. Enregistrez le fichier.

  6. Si vous ouvrez maintenant le fichier dans Internet Explorer, le bouton est automatiquement redimensionné lorsque vous modifiez la taille de la fenêtre IE. Ce fichier s’adaptera désormais automatiquement aux modifications de la taille de l’élément WPF dans zenon.

Changez le nom de l’élément

Avant de pouvoir intégrer le fichier dans zenon, vous devez nommer l’élément WPF. Les éléments WPF ne sont pas nommés dans Expression Blend, et sont identifiés par des crochets et leur type. Le contenu de zenon est associé au contenu WPF via le nom des éléments WPF :

  • dans l’arborescence, modifiez le nom
    • du bouton en MyButton
    • de l’élément ViewBox en MyViewBox

Ce bouton peut maintenant être intégré dans zenon sous forme de fichier XAML.


Flux de travail avec Adobe Illustrator

Manuel -> Élément WPF -> Directives pour les concepteurs -> Flux de travail avec Adobe Illustrator

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Lorsque Adobe Illustrator est utilisé, un élément WPF :

  • est illustré dans Adobe Illustrator
  • est converti en élément WPF dans MS Expression Design
  • est animé dans MS Expression Blend

L’exemple suivant représente l’illustration et la conversion d’un élément bargraphe en fichier XAML.

Autres sujets abordés dans ce chapitre

Illustration de bargraphe

Exportation au format WPF

Animation dans Blend


Illustration de bargraphe

Manuel -> Élément WPF -> Directives pour les concepteurs -> Flux de travail avec Adobe Illustrator -> Illustration de bargraphe

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Un bargraphe peut être créé dans Adobe Illustrator.

  1. AI : élément de départ du bargraphe

    Illustré dans Adobe Illustrator CS3.

  2. AI : vue du chemin du bargraphe dans Adobe Illustrator

    • Tous les effets doivent être convertis (Objet -> Convertir l’apparence)
    • Toutes les lignes sont transformées en chemins (Objet -> Chemin -> Contour)
    • N’utilisez pas de filtres tels que les ombres, les flous etc.

Remarques concernant la compatibilité

Les illustrations créées avec Adobe Illustrator sont en principes adaptées à l’exportation au format WPF. Toutefois, tous les effets d’Illustrator ne deviennent pas les effets correspondants dans Expression Design ou Blend. Remarque :

Effets

Description

Masques d’écrêtage

Les masques d’écrêtage créés dans Adobe Illustrator ne sont pas correctement interprétés par Expression Design. Ils sont habituellement affichés sous forme de zones de couleur noire dans Blend.

Nous vous recommandons de créer des illustrations sans masques d’écrêtage.

Filtres et effets

Tous les filtres d’Adobe Illustrator ne sont pas correctement transférés vers Expression Design : les filtres de flou, les filtres d’ombre et les effets d’angle d’Illustrator ne fonctionnent pas dans Expression Design.

Solution :

  • La plupart des effets peuvent être convertis afin d’être correctement lus par Expression Design à l’aide de la commande Objet -> Convertir l’apparence dans Adobe Illustrator.
  • Les effets d’angle d’Adobe Illustrator sont correctement interprétés par MS Design s’ils sont convertis en chemins sous AI.

Zones de texte

Pour pouvoir lier des champs de texte à du code, vous devez créer ces derniers séparément, dans Expression Blend. Des "intitulés" sont nécessaires pour les textes dynamiques ; de simples champs de texte sont suffisants pour les informations statiques.

Il n’est pas possible de créer des intitulés de texte dans MS Design. Ceux-ci doivent être créés directement dans MS Blend.

Transparences et transparences de groupe

Dans Adobe Illustrator, certaines difficultés peuvent être liées à l’interprétation correcte des paramètres de transparence, plus particulièrement en ce qui concerne les paramètres de transparence de groupe.

Toutefois, MS Expression Blend et MS Expression Design offrent la possibilité de créer de nouveaux paramètres de transparence.

Multiplication des niveaux

Les paramètres de niveau d’Adobe Illustrator ne sont pas toujours correctement restitués par MS Expression Blend.

Toutefois, il est possible de multiplier les niveaux directement dans Expression Design.

Instruments à aiguille et positions standard

Pour optimiser les éléments graphiques pour l’animation, les instruments à aiguilles et les réglettes doivent toujours être réglés en position de départ, généralement 0 ou 12:00 heures.

Ainsi, les paramètres de position des rotations et autres seront également corrects dans Blend, et une animation pourra être mise en œuvre sans nécessiter de conversion des données de position.


Exportation au format WPF

Manuel -> Élément WPF -> Directives pour les concepteurs -> Flux de travail avec Adobe Illustrator -> Exportation au format WPF

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Les fichiers WPF sont indispensables à l’animation dans Microsoft Expression Blend. Nous recommandons d’utiliser Microsoft Expression Design aux fins de cette procédure d’exportation, car ce logiciel fournit de bons résultats et interprète correctement la plupart des effets de Adobe Illustrator.

Remarque : un plug-in gratuit est disponible sur Internet, permettant d’exporter directement des fichiers WPF depuis Adobe Illustrator. Ce plug-in fournit une manière rapide et simple d’exporter des données depuis Illustrator ; toutefois, il est moins adapté à cette application, dans la mesure où il induit des pertes graphiques. Il est même possible que des différences de couleur par rapport au document original soient visibles.

Les fichiers au format .ai peuvent être importés normalement dans Expression Design ; les chemins d’accès sont conservés durant la procédure.
Attention : certains effets de Adobe Illustrator ne peuvent toutefois pas être correctement affichés par Expression Design (reportez-vous au chapitre Illustration).

L’exportation de l’élément bargraphe préalablement créé se déroule en 5 étapes :

  1. ED : Importer
    • Importez le fichier Illustrator préparé dans Microsoft Expression Design en sélectionnant Fichier -> Importer.
  2. ED : Optimisation

    • Si le fichier de départ ne s’affiche pas correctement dans MS Expression Design, il peut encore être édité et optimisé ici.
  3. ED : Sélectionner

    • Sélectionnez l’élément requis pour l’exportation au format WPF en cliquant sur la flèche Sélection directe dans MS Expression Design ; dans ce cas, il s’agit de l’horloge entière.
  4. ED : démarrer l’exportation

    • Démarrez l’exportation en sélectionnant Fichier -> Exporter.
    • La boîte de dialogue de configuration des paramètres d’exportation s’affiche à l’écran.
  5. ED : Exporter les paramètres

    • Saisissez les paramètres d’exportation suivants :
    1. Format : XAML Silverlight 4 / WPF Canvas

      Toujours nommer les objets : cochez la case correspondant à cette option.

      Placer les objets groupés dans un conteneur de disposition XAML : cochez la case correspondant à cette option.

    2. Texte : bloc de texte éditable
    3. Effets de ligne : rastériser tout

Le fichier exporté comporte l’extension de fichier .xaml. Il sera préparé et animé dans MS Expression Blend à l’étape suivante.


Animation dans Blend

Manuel -> Élément WPF -> Directives pour les concepteurs -> Flux de travail avec Adobe Illustrator -> Animation dans Blend

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Avec MS Expression Blend :

  • Les fichiers statiques XAML de MS Expression Design sont animés.
  • Les variables de contrôle des effets pouvant être actionnées par zenon sont créées.

En treize étapes, la procédure suivante permet d’évoluer d’un fichier statique XAML à un élément animé, pouvant être intégré dans zenon.

  1. EB : créer un projet

    1. Ouvrez Microsoft Expression Blend.
    2. Créer un nouveau projet
    3. Sélectionnez le Type de projet WPF-> Bibliothèque de contrôles WPF.
    4. Spécifiez un nom (dans ce didacticiel : Mon_projet).
    5. Sélectionnez un emplacement d’enregistrement
    6. Sélectionnez un langage (dans ce didacticiel : C#)
    7. Sélectionnez Framework Version 3.5.
  2. EB : supprimer MainControl.xaml.cs

    1. Accédez à MainControl.xaml.cs.
    2. Supprimez ce fichier en sélectionnant l’option Supprimer du menu contextuel.
  3. EB : ouvrir le fichier XAML exporté
    1. Ouvrez le menu contextuel de Mon_projet en cliquant sur celui-ci avec le bouton droit.
    2. Sélectionnez Ajouter un élément existant....
    3. Sélectionnez le fichier XAML exporté depuis Microsoft Expression Design pour ouvrir celui-ci dans Microsoft Expression Blend.
  4. EB : ouvrir MainControl.xaml

    1. Ouvrir le fichier MainControl.xaml créé automatiquement.
    2. Dans la zone Objets et axes de temps, accédez à l’entrée UserControl.
  5. EB : adapter le code XAML

    1. Cliquez sur UserControl avec le bouton droit de la souris.
    2. Sélectionnez Afficher XAML dans le menu contextuel.
    3. Supprimer les lignes 7 et 9 dans le code XAML :

      x:Class="Mon_projet.MainControl"

      d:DesignWidth="640" d:DesignHeight="480"

  6. EB : vérifier le code XAML

    • Le code XAML doit maintenant se présenter comme ceci :

    <UserControl

    xmlns=http://schemas.microsoft.com/winfx/2006/xaml/presentation
    xmlns:x=http://schemas.microsoft.com/winfx/2006/xaml
    xmlns:d=http://schemas.microsoft.com/expression/blend/2008
    xmlns:mc="http://schemas.openxmlformats.org/markup-compatibility/2006"

    mc:Ignorable="d"
    x:Name="UserControl">

    <Grid x:Name="LayoutRoot"/>

    </UserControl>

  7. EB : copier les éléments

    1. Ouvrez le fichier XAML importé depuis Expression Design.
    2. Sélectionnez tous les éléments.
    3. Sélectionnez Supprimer dans le menu contextuel.
    4. Revenez au fichier XAML généré automatiquement.
  8. EB : insérer les éléments

    1. Cliquez sur LayoutRoot avec le bouton droit de la souris.
    2. Sélectionnez Insérer.
  9. EB : adapter le type de disposition

    1. Cliquez sur LayoutRoot -> Modifier le type de disposition -> Viewbox avec le bouton droit de la souris.
    2. La structure doit maintenant se présenter comme ceci : UserControl -> LayoutRoot -> Grille -> Éléments
    3. Spécifiez un nom pour LayoutRoot et Grille en double-cliquant sur les noms.
  10. EB : textes et valeurs

    • Les textes dynamiques et statiques comportent des intitulés sous forme de champs de texte.
    • Des valeurs (numériques) sont fournies avec les intitulés.
  11. EB : insérer les intitulés

    • Les intitulés remplacent les nombres qui doivent être liés ultérieurement à l’aide de variables INT (cette opération doit être effectuée pour tous les éléments numériques)
  12. EB : définir les propriétés

    • Pour un affichage à 100 %, définir la propriété de l’élément de bargraphe MaxHeight sur 341 (la hauteur maximale de l’élément indicateur est 340).
  13. EB : préparer l’utilisation dans zenon

    1. Supprimez tous les intitulés (des noms peuvent uniquement être fournis pour les éléments devant être actionnés via zenon).
    2. Enregistrez le fichier XAML sous le nom de votre choix.
    3. Intégrez le fichier XAML à zenon.

Astuce pour la vérification : si le fichier XAML s’affiche sans difficulté dans Microsoft Internet Explorer et la taille de la fenêtre d’Internet Explorer s’adapte au fichier, il s’affichera correctement dans zenon.


Directives pour développeurs

Manuel -> Élément WPF -> Directives pour développeurs

Cette section décrit la création de contrôles utilisateur WPF simples dotés de fonctionnalités code-behind dans Microsoft Visual Studio, ainsi que le débogage de ces contrôles utilisateur dans le Runtime.

Les outils suivants ont été utilisés à cette fin :

  • Microsoft Visual Studio 2015
  • zenon

info Informations

Une version de Microsoft Visual Studio de 2012 est recommandée, en raison de l’interface de conception XAML mieux intégrée.

Autres sujets abordés dans ce chapitre

Création d’un contrôle utilisateur WPF simple avec fonction code-behind

Débogage du contrôle utilisateur WPF dans le Runtime

Échange de données entre zenon et les contrôles utilisateur WPF

Accès au modèle d’objet de zenon (Runtime) depuis un contrôle utilisateur WPF


Création d’un contrôle utilisateur WPF simple avec fonction code-behind

Manuel -> Élément WPF -> Directives pour développeurs -> Création d’un contrôle utilisateur WPF simple avec fonction code-behind

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

La création et l’incorporation d’un contrôle utilisateur simple sont décrites dans ce chapitre. Seuls les mécanismes et processus fondamentaux d’intégration à zenon sont décrits ; aussi, la fonctionnalité du contrôle utilisateur est limitée à l’ajout de deux valeurs. Afin de préserver la simplicité de cet exemple, nous n’avons intentionnellement pas mentionné le traitement avancé des erreurs ou la finalisation explicite.

Création d’un contrôle utilisateur .NET

  1. Créez une nouvelle Solution et une WPF User Control Library dans Visual Studio.

    Aux fins de cet exemple, .NET Framework version 4 a été sélectionné. Une autre version peut être sélectionnée ; toutefois, elle peut être installée sur le système cible sur lequel sera démarré le Runtime.

    Information : Si le modèle d’objet correspondant ne s’affiche pas dans la liste des modèles disponibles, il peut être ajouté grâce à la fonction de recherche (le champ de saisie est situé dans la partie supérieure droite du dialogue).

    Dans notre exemple, le projet porte le nom WPFUserControlLibrary.

  2. Créez trois zones de texte et un bouton dans le fichier UserControl1.xaml :

  3. Ajoutez le code suivant dans l’événement de "clic" du bouton :

Vous disposez maintenant d’un contrôle utilisateur doté de la fonctionnalité souhaitée. Toutefois, puisque zenon peut uniquement afficher les fichiers XAML ne contenant pas un lien vers un fichier code-behind, un fichier XAML supplémentaire, référençant la bibliothèque (l’ensemble) que vous venez de créer est nécessaire.

Création du fichier XAML (sans fonctionnalité code-behind) pour zenon

Pour créer le fichier XAML requis dans zenon, suivez ces instructions.

  1. Créez un nouveau projet, cette fois encore sous forme de WPF User Control Library.
  2. Celui-ci est intitulé WPFUserControlNoCodeBehind dans notre exemple.
  3. Insérez une référence au projet que vous venez d’intégrer à ce nouveau projet.

  4. Les fichiers XAML (UserControl1.xaml) se présentent comme suit :

  5. Tous les contenus nécessaires sont présents dans le fichier DLL créé et aucun fichier code-behind ne peut être utilisé ; vous devez donc supprimer les lignes suivantes :

    x:Class="WPFUserControlNoCodeBehind.UserControl1"

    xmlns:local="clr-namespace:WPFUserControlNoCodeBehind"

  6. Supprimez également (pour le paramètre de taille de l’interface de conception) les lignes suivantes :

    mc:Ignorable="d"

    d:DesignHeight="300" d:DesignWidth="300"

  7. Supprimez le fichier code-behind (UserControl1.xaml.cs) de ce projet.
  8. Faites glisser le contrôle utilisateur préalablement créé (pour le projet WPFUserControlLibrary) vers la boîte à outils de l’interface de conception XAML.
  9. Spécifiez un nom pour le réseau et le contrôle utilisateur.

    Attention : Si aucun nom n’est indiqué ici, ces éléments n’apparaissent pas dans la boîte de dialogue de création de liaisons dans zenon Editor et ne peuvent donc pas être configurés de manière dynamique.

  10. Le fichier XAML devrait maintenant se présenter comme ceci :

À l’étape suivante, nous allons expliquer l’incorporation des fichiers DLL et XAML dans zenon.

Étapes dans zenon

  1. Ouvrez zenon Editor
  2. Sélectionnez Fichier -> Éléments graphiques.
  3. Sélectionnez Ajouter fichier... dans le menu contextuel.

  4. Sélectionnez le fichier XAML à l’emplacement auquel il est enregistré (fichier UserControl1.xaml du projet WPFUserControlNoCodeBehind) et ajoutez ceci :

  5. Insérez les fichiers DLL contenant les fonctionnalités du fichier XAML.

    Pour cela :

    1. Dans le menu contextuel, sélectionnez la commande Fichier -> Autres, puis Ajouter fichier...
    2. Sélectionnez le fichier WPFUserControlLibrary.dll (dans le répertoire de sortie) du premier projet (WPFUserControlLibrary).

  6. Créez un synoptique zenon.
  7. Ajoutez un élément WPF, puis sélectionnez le fichier XAML précédemment incorporé.

    Vous devriez maintenant voir les informations suivantes dans zenon Editor :

  8. Démarrez le Runtime de zenon pour tester le contrôle dans cet environnement également.

info Informations

Le fichier XAML et les ensembles référencés peuvent également être enregistrés sous une forme compilée dans un fichier *.cdwpf. Ceci permet de n’importer qu’un seul fichier dans Editor (sous Fichiers -> Éléments graphiques). D’autres informations à ce propos sont disponibles dans le chapitre Fichiers CDWPF (fichiers collectifs).

Conseil : Lors du développement d’un contrôle utilisateur WPF, il est habituellement plus pratique d’insérer séparément le fichier XAML et les fichiers DLL référencés. Ceci facilite le remplacement et le débogage du fichier DLL. D’autres informations concernant le débogage sont disponibles au chapitre Débogage du contrôle utilisateur WPF dans le Runtime.

Tipp Conseil

Les fichiers DLL appartenant à un élément WPF (référencé par le fichier XAML lié) peuvent également être remplacés dans Editor pendant le fonctionnement.
Pour remplacer un fichier DLL :

  • Fermez tous les synoptiques zenon dans lesquels est utilisé l’élément WPF.
  • Fermez tous les symboles utilisant l’élément WPF souhaité.
  • Dans l’Explorateur Windows, remplacez le fichier DLL dans le dossier \wpfache des fichiers d’Editor.
    Ce dossier se trouve dans le répertoire SQL, sous
    ...\GUID-PROJET\FILES\zenon\custom\wpfcache

Outre le remplacement du fichier dans l’Explorateur, vous pouvez également le remplacer directement dans zenon Editor ; pour cela :

  • Dans les paramètres du projet Visual Studio, spécifiez une version de fichier DLL supérieure.
  • Créez le nouveau fichier DLL.
  • Fermez tous les synoptiques zenon dans lesquels est utilisé l’élément WPF.
  • Fermez tous les symboles utilisant l’élément WPF souhaité.
  • Dans zenon Editor, supprimez le fichier DLL du dossier \Files\Other, puis ajoutez le fichier possédant le numéro de version supérieur.

D’autres exemples sont disponibles au chapitre Exemples : intégration d’éléments WPF dans zenon.


Débogage du contrôle utilisateur WPF dans le Runtime

Manuel -> Élément WPF -> Directives pour développeurs -> Débogage du contrôle utilisateur WPF dans le Runtime

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Pour déboguer le contrôle utilisateur WPF dans le Runtime, suivez ces instructions.

Dans cet exemple, le contrôle décrit au chapitre Création d’un contrôle utilisateur WPF simple avec fonction code-behind est utilisé.

Débogage à l’aide de la fonction Attacher au processus

  1. Assurez-vous que le Runtime de zenon est démarré et qu’un synoptique contenant le contrôle utilisateur WPF est ouvert.

    Assurez-vous également que le fichier DLL actuellement utilisé correspond à la version (Build) du projet contenant le contrôle utilisateur (WPFUserControlLibrary).

  2. Définissez un point d’arrêt dans l’événement de "clic" du bouton dans le projet Visual Studio.

  3. Dans Visual Studio, sous Debug , sélectionnez l’option de menu Attach to Process.
  4. Sélectionnez le processus de Runtime de zenon.

  5. Sous Attach to, sélectionnez Automatique ou la version correspondante de .NET Framework (v4.x, dans ce cas).

  6. Cliquez sur Attach.
  7. Maintenant, déclenchez le point d’arrêt en saisissant des valeurs dans le contrôle WPF dans le Runtime de zenon, puis cliquez sur le bouton.

Débogage à l’aide de la fonction Démarrer le programme externe

  1. Assurez-vous que le Runtime de zenon est fermé.
  2. Assurez-vous que, dans zenon Editor, le projet contenant le contrôle utilisateur WPF a été défini en tant que projet de démarrage.
  3. Assurez-vous que le projet contenant le contrôle utilisateur (WPFUserControlLibrary) est défini en tant que projet de démarrage dans Visual Studio.

  4. Dans les propriétés du projet Visual Studio, sous Debug, pour le paramètre Start action, sélectionnez l’option : Start external program
  5. Pour l’option Start external program, sélectionnez le chemin de l’application de Runtime de zenon.
  6. Sous Répertoire de travail, sélectionnez le dossier \wpfcache des fichiers du Runtime (...\PROJECTNAME\RT\FILES\zenon\custom\wpfcache)

    Conseil : Dans le projet sélectionné dans zenon Editor, appuyez sur le raccourci-clavier Ctrl+Alt+R pour accéder directement au répertoire racine des fichiers du Runtime.

  7. Dans les propriétés du projet, spécifiez le dossier \wpfache des fichiers du Runtime pour le paramètre Output path, sous Build .

  8. Créez le projet dans Visual Studio.
  9. Démarrez le débogage dans Visual Studio en cliquant sur Start.

  10. Le Runtime de zenon démarre maintenant automatiquement.
  11. Maintenant, déclenchez le point d’arrêt en saisissant des valeurs dans le contrôle WPF dans le Runtime de zenon, puis cliquez sur le bouton.

info Informations

Lors du démarrage du Runtime de zenon, les ensembles (fichiers DLL) référencés dans les contrôles utilisateur WPF provenant du dossier \FILES\zenon\custom\additional et/ou les ensembles issus des fichiers CDWPF dans le dossier \FILES\zenon\custom\wpfcache sont copiés. SI la version du fichier DLL dans le dossier \wpfache est supérieure à la version du "fichier original", celui-ci ne sera pas remplacé.

Pour le débogage, il suffit donc de remplacer directement le fichier qui se trouve dans le dossier \wpfache (et uniquement celui-ci).

Pour la fourniture du projet, assurez-vous que la version actuelle du fichier DLL est présente dans le dossier \additional ou le fichier CDWPF !

Attention : Si le fichier DLL est mis à jour dans le dossier \additional ou dans le fichier CDWPF, mais le numéro de version n’est pas augmenté, le fichier DLL doit être supprimé manuellement du dossier \wpcache, faute de quoi il ne sera pas mis à jour (en raison du mécanisme évoqué ci-dessus).

Tipp Conseil

Les fichiers DLL appartenant à un élément WPF (référencé par le fichier XAML lié) peuvent également être remplacés dans Editor pendant le fonctionnement.
Pour remplacer un fichier DLL :

  • Fermez tous les synoptiques zenon dans lesquels est utilisé l’élément WPF.
  • Fermez tous les symboles utilisant l’élément WPF souhaité.
  • Dans l’Explorateur Windows, remplacez le fichier DLL dans le dossier \wpfache des fichiers d’Editor.
    Ce dossier se trouve dans le répertoire SQL, sous
    ...\GUID-PROJET\FILES\zenon\custom\wpfcache

Outre le remplacement du fichier dans l’Explorateur, vous pouvez également le remplacer directement dans zenon Editor ; pour cela :

  • Dans les paramètres du projet Visual Studio, spécifiez une version de fichier DLL supérieure.
  • Créez le nouveau fichier DLL.
  • Fermez tous les synoptiques zenon dans lesquels est utilisé l’élément WPF.
  • Fermez tous les symboles utilisant l’élément WPF souhaité.
  • Dans zenon Editor, supprimez le fichier DLL du dossier \Files\Other, puis ajoutez le fichier possédant le numéro de version supérieur.


Échange de données entre zenon et les contrôles utilisateur WPF

Manuel -> Élément WPF -> Directives pour développeurs -> Échange de données entre zenon et les contrôles utilisateur WPF

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Il existe différentes possibilités d’échange de données entre zenon et les contrôles utilisateur WPF.

  • Échange de données à l’aide des propriétés de dépendance
  • Remplacement de données via VSTA

Autres sujets abordés dans ce chapitre

Échange de données à l’aide des propriétés de dépendance

Remplacement de données via VSTA


Échange de données à l’aide des propriétés de dépendance

Manuel -> Élément WPF -> Directives pour développeurs -> Échange de données entre zenon et les contrôles utilisateur WPF -> Échange de données à l’aide des propriétés de dépendance

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

La manière la plus élégante et sécurisée d’échanger des données entre zenon et les contrôles utilisateur WPF que vous avez créés consiste à utiliser les Dependency Properties.

Le projet contenant le contrôle utilisateur WPF créé au chapitre Création d’un contrôle utilisateur WPF simple avec fonction code-behind sert de base (WPFUserControlLibrary).

Ce chapitre se consacre exclusivement au thème fondamental (Dependency Properties et échange de données entre le contrôle utilisateur et zenon, dans ce cas). Certaines fonctionnalités spécifiques des éléments WPF, tels que la Databinding, etc., ainsi que le traitement explicite des erreurs, ne sont pas abordés ici.

Ajouts au code

  1. Créez l’événement TextChanged pour l’élément textBoxA dans le fichier UserControl1.xaml.

    TextChanged="textBoxA_TextChanged"

  2. Ajoutez les lignes de code suivantes dans la classe UserControl1 du fichier code-behind (UserControl1.xaml.cs).

/// <summary>

/// Gets or sets the ValueA.

/// </summary>

public double ValueA

{

get

{

return (double)GetValue(ValueADependencyProperty);

}

set

{

SetValue(ValueADependencyProperty, value);

}

}

/// <summary>

/// Dependency property for ValueA

/// </summary>

public static readonly DependencyProperty ValueADependencyProperty =

DependencyProperty.Register("ValueA", typeof(double),

typeof(UserControl1), new FrameworkPropertyMetadata(0.0, new PropertyChangedCallback(OnValueADependencyPropertyChanged)));

/// <summary>

/// Called when [value a dependency property changed].

/// </summary>

/// <param name="source">The source.</param>

/// <param name="e">The <see cref="DependencyPropertyChangedEventArgs"/> instance containing the event data.</param>

private static void OnValueADependencyPropertyChanged(DependencyObject source, DependencyPropertyChangedEventArgs e)

{

UserControl1 control = source as UserControl1;

if (control != null)

{

try

{

control.ValueA = (double)e.NewValue;

control.textBoxA.Text = control.ValueA.ToString();

}

catch (Exception)

{}

}

}

/// <summary>

/// Handles the TextChanged event of the textBoxA control.

/// </summary>

/// <param name="sender">The source of the event.</param>

/// <param name="e">The <see cref="TextChangedEventArgs"/> instance containing the event data.</param>

private void textBoxA_TextChanged(object sender, TextChangedEventArgs e)

{

try

{

ValueA = Convert.ToDouble(textBoxA.Text);

}

catch (Exception)

{}

}

Ensuite, créez la solution.

info Informations

Une propriété numérique (double) est utilisée dans cet exemple. D’autres types de données simples (tels que bool, string, int, etc.) peuvent également être utilisés.

Création de liaisons dans zenon

  1. Mettez à jour le contrôle utilisateur WPF (fichier DLL) dans zenon Editor.
  2. Ensuite, suivez les instructions fournies au chapitre Création d’un contrôle utilisateur WPF simple avec fonction code-behind.
  3. Créez une variable numérique dans zenon. Liez cette variable à un élément texte dynamique. Placez l’élément texte dynamique dans le synoptique, près de l’élément WPF, avec le contrôle utilisateur.
  4. Ouvrez le synoptique contenant l’élément WPF puis, sous WPF links, sélectionnez l’option suivante pour l’élément WPF : Configuration

  5. Développez le nœud de l’arborescence dans la partie supérieure gauche, puis sélectionnez AdditionControl

  6. Sélectionnez la ligne contenant ValueA (il s’agit du nom de la propriété précédemment créée dans le code) puis, pour Type of link:, sélectionnez l’option Variable.

    Conseil : Attribuez aux propriétés un préfixe permettant de les localiser plus facilement, par exemple : _ValueA

  7. Dans la colonne sous l’intitulé Linkage, imprimez la variable préalablement créée dans zenon.

  8. Confirmez la boîte de dialogue en appuyant sur OK, puis préparez les fichiers du Runtime.
  9. Démarrez le Runtime pour tester le contrôle utilisateur WPF.

  10. Si la valeur est modifiée dans le contrôle utilisateur, la valeur change automatiquement dans zenon, et réciproquement.
  11. Vous pouvez évidemment déboguer le contrôle comme indiqué au chapitre Débogage du contrôle utilisateur WPF dans le Runtime, mais également créer d’autres propriétés de dépendance.

info Informations

L’événement UserControl_Loaded peut être utilisé pour accéder (automatiquement) aux valeurs de la propriété de dépendance pendant l’initialisation (lors de l’appel du contrôle utilisateur, par exemple).


Remplacement de données via VSTA

Manuel -> Élément WPF -> Directives pour développeurs -> Échange de données entre zenon et les contrôles utilisateur WPF -> Remplacement de données via VSTA

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Les données peuvent également être échangées entre zenon et les contrôles utilisateur WPF à l’aide de VSTA.

Les méthodes d’éléments API suivantes :

  • get_WPFProperty (lecture des valeurs)
  • set_WPFProperty (écriture des valeurs)

sont utilisées à cette fin.

L’exemple utilisé ici repose sur l’exemple utilisé au chapitre Échange de données à l’aide des propriétés de dépendance.

Création d’une macro VSTA pour l’échange de données entre zenon et le contrôle utilisateur WPF

  1. Créez la macro VSTA suivante dans le module complémentaire du projet zenon.

    Dans ce cas de figure :

    • "Screen" est le nom du synoptique de zenon dans lequel se trouve l’élément WPF
    • "WPF_Element" est le nom de l’élément WPF contenant le contrôle utilisateur WPF
    • "AdditionControl" est le nom du contrôle utilisateur WPF lui-même (défini dans le fichier UserControl1.xaml)
    • "ValueA" est le nom de la propriété du contrôle utilisateur
  2. Créez et exécutez une fonction de macro VSTA et liez-la à un bouton, dans le synoptique, sur lequel se trouve également l’élément WPF.
  3. Démarrez le Runtime pour tester les modifications

    Lors de l’exécution de la macro, la valeur est lue par le contrôle, puis dupliquée et réécrite.

info Informations

Il n’est pas nécessaire que les propriétés du contrôle utilisateur utilisé pour cette méthode d’échange de données soient des propriétés de dépendance, comme indiqué dans cet exemple. Des propriétés "standard" peuvent également être utilisées, comme expliqué au chapitre Accès via une "liaison variable" de VSTA.


Accès au modèle d’objet de zenon (Runtime) depuis un contrôle utilisateur WPF

Manuel -> Élément WPF -> Directives pour développeurs -> Accès au modèle d’objet de zenon (Runtime) depuis un contrôle utilisateur WPF

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Il existe différentes possibilités pour accéder au modèle d’objet de zenon depuis un contrôle utilisateur WPF. Ceci est expliqué de manière détaillée dans les chapitres suivants.

attention Attention

Lors de l'utilisation d'objets COM de zenon avec des contrôles utilisateur créés par l'utilisateur lui-même ou par des applications externes, ceux-ci doivent être activés avec la méthode Marshal.ReleaseComObject. L'activation avec la méthode Marshal.FinalReleaseComObject ne doit pas être utilisée, car elle entraîne un dysfonctionnement des modules complémentaires de zenon.

Autres sujets abordés dans ce chapitre

Accès via une "liaison variable" de VSTA

Accès à l’aide du marshaling


Accès via une "liaison variable" de VSTA

Manuel -> Élément WPF -> Directives pour développeurs -> Accès au modèle d’objet de zenon (Runtime) depuis un contrôle utilisateur WPF -> Accès via une "liaison variable" de VSTA

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Pour accéder à l’interface COM du Runtime de zenon via une "liaison variable", suivez ces instructions. La création d’un contrôle utilisateur WPF simple avec fonction code-behind sert d’exemple initial.

info Informations

Le code suivant propose un exemple de la manière dont l’interface COM met en œuvre l’accès au Runtime de zenon et, par conséquent, en aborde uniquement la fonctionnalité de base. Il n’y a pas de traitement explicite des erreurs, etc.

Modifications nécessaires du contrôle utilisateur WPF

Les étapes suivantes doivent être mises en œuvre dans le projet contenant le contrôle utilisateur WPF (WPFUserControlLibrary).

D’abord, une référence à l’interface COM de zenon doit être incorporée.

Ensuite, le code suivant doit être inséré dans la classe UserControl1 :

//The zenon Project

zenOn.Project zenonProject = null;

/// <summary>

/// Property for the Variable link via VSTA

/// </summary>

public object zenonVariableLink

{

get { return null; }

set

{

if (value != null && zenonProject == null)

{

zenOn.Variable zenonVariable;

try

{

zenonVariable = (zenOn.Variable)value;

}

catch (Exception)

{

return;

}

if ((zenonVariable!= null) && (!string.IsNullOrEmpty(zenonVariable.Name)))

{

zenonProject = zenonVariable.Parent.Parent;

}

}

}

}

/// <summary>

/// Trigger used to notify the control from VSTA to release the COM resources

/// </summary>

public object zenonReleaseTrigger

{

get { return null; }

set

{

if ((bool)value && zenonProject != null)

{

try

{

Marshal.ReleaseComObject(zenonProject);

}

catch (Exception)

{

return;

}

zenonProject = null;

GC.Collect();

GC.WaitForPendingFinalizers();

GC.Collect();

}

}

}

Dans ce cas, l’accès aux propriétés zenonVariableLink (pour initialiser l’objet COM) et zenonReleaseTrigger (pour débloquer l’objet COM) sont ensuite accessibles depuis VSTA (écriture).

Pour tester rapidement et simplement l’accès à l’interface COM, vous pouvez insérer la ligne de code suivante dans l’événement de "clic" de bouton du contrôle utilisateur.

private void buttonAdd_Click(object sender, RoutedEventArgs e)

{

if (zenonProject != null)

{

MessageBox.Show(zenonProject.Name);

}

return;

...

info Informations

Une variable zenOn.Project est utilisée dans cet exemple. Bien entendu, d’autres objets tels que des événements, etc. du modèle d’objet zenon peuvent également être utilisés.

Modifications nécessaires du projet zenon/code VSTA

Les étapes suivantes sont nécessaires dans le code VSTA :

Création d’une macro VSTA pour l’initialisation

/// <summary>

/// Macro for API initialization in the WPF User Control

/// </summary>

public void MacroWPFInit()

{

zenOn.IDynPicture myWPFScreen = this.DynPictures().Item("Screen");

zenOn.IElement myWPFElement = myWPFScreen.Elements().Item("WPF_Element");

myWPFElement.set_WPFProperty("AdditionControl", "zenonVariableLink", this.Variables().Item(0));

}

Création d’une macro VSTA pour l’approbation

/// <summary>

/// Macro for API release in the WPF User Control

/// </summary>

public void MacroWPFRelease()

{

zenOn.IDynPicture myWPFScreen = this.DynPictures().Item("Screen");

zenOn.IElement myWPFElement = myWPFScreen.Elements().Item("WPF_Element");

myWPFElement.set_WPFProperty("AdditionControl", "zenonReleaseTrigger", true);

}

Créez deux fonctions d’exécution de macro VSTA liées avec des boutons qui se trouvent dans le même synoptique que l’élément WPF.

Ensuite, démarrez le Runtime pour tester la fonctionnalité.

  • Exécutez la macro pour l’initialisation.
  • Cliquez sur le bouton dans le contrôle utilisateur WPF ; une boîte de message contenant le nom du projet s’affiche.

  • Exécutez la macro pour le déblocage.

Pour déboguer le contrôle utilisateur, vous pouvez suivre les instructions fournies dans la section Débogage du contrôle utilisateur WPF dans le Runtime.

Tipp Conseil

L’initialisation et le déblocage de l’objet COM dans cet exemple sont uniquement exécutées pour fournir une simple démonstration de l’utilisation de fonctions de macro VSTA. Selon l’application (et/ou en pratique), les événements dans VSTA sont mieux adaptés à cette pratique.

Par exemple, le code d’initialisation dans l’événement _Open du synoptique peut être exécuté avec l’élément WPF et le code de déblocage dans l’événement _Close.

Le mécanisme décrit ici est également utilisé au chapitre Affichage d’éléments WPF dans zenon Web Client.

attention Attention

Si des objets COM sont utilisés dans les contrôles utilisateur WPF, ils doivent toujours être explicitement approuvés avant la destruction du contrôle utilisateur WPF (avant la fermeture du synoptique, avant la fermeture du Runtime, avant l’actualisation).


Accès à l’aide du marshaling

Manuel -> Élément WPF -> Directives pour développeurs -> Accès au modèle d’objet de zenon (Runtime) depuis un contrôle utilisateur WPF -> Accès à l’aide du marshaling

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Pour accéder à l’interface COM du Runtime de zenon à l’aide du marshaling, suivez ces instructions. La création d’un contrôle utilisateur WPF simple avec fonction code-behind sert d’exemple initial.

info Informations

Le code suivant propose un exemple de la manière dont l’interface COM met en œuvre l’accès au Runtime de zenon et, par conséquent, en aborde uniquement la fonctionnalité de base. Il n’y a pas de traitement explicite des erreurs, etc.

Modifications nécessaires du contrôle utilisateur WPF

Les étapes suivantes doivent être mises en œuvre dans le projet contenant le contrôle utilisateur WPF (WPFUserControlLibrary).

D’abord, une référence à l’interface COM de zenon doit être incorporée.

Ensuite, le code suivant doit être inséré dans la classe UserControl1 :

//The zenon Project

zenOn.Project zenonProject = null;

Par ailleurs, l’application de création des contrôles utilisateur doit recevoir les lignes d’instruction suivantes (pour initialiser l’objet COM) :

/// <summary>

/// Constructor for UserControl1, initialize COM Object

/// </summary>

public UserControl1()

{

InitializeComponent();

try

{

zenonProject = ((zenOn.Application)Marshal.GetActiveObject("zenOn.Application")).Projects().Item("TESTPROJECT");

}

catch (Exception)

{

}

}

L’objet COM doit être approuvé dans l’événement UserControl_Unloaded :

/// <summary>

/// Release COM Object

/// </summary>

private void UserControl_Unloaded(object sender, RoutedEventArgs e)

{

try

{

if (zenonProject != null)

{

Marshal.ReleaseComObject(zenonProject);

zenonProject = null;

}

}

catch (Exception)

{

}

}

Pour tester rapidement et simplement l’accès à l’interface COM, vous pouvez insérer la ligne de code suivante dans l’événement de "clic" de bouton du contrôle utilisateur.

private void buttonAdd_Click(object sender, RoutedEventArgs e)

{

if (zenonProject != null)

{

MessageBox.Show(zenonProject.Name);

}

return;

...

Maintenant, créez la solution et actualisez le contrôle utilisateur WPF dans le projet zenon.

Démarrez le Runtime pour tester le contrôle utilisateur.

Pour déboguer le contrôle utilisateur, vous pouvez suivre les instructions fournies dans la section Débogage du contrôle utilisateur WPF dans le Runtime.

info Informations

Une variable zenOn.Project est utilisée dans cet exemple. Bien entendu, d’autres objets tels que des événements, etc. du modèle d’objet zenon peuvent également être utilisés.

attention Attention

Si des objets COM sont utilisés dans les contrôles utilisateur WPF, ils doivent toujours être explicitement approuvés avant la destruction du contrôle utilisateur WPF (avant la fermeture du synoptique, avant la fermeture du Runtime, avant l’actualisation).

info Informations

L’accès à l’aide du marshaling n’est pas possible dans zenon Web Client. Si l’accès à l’interface COM est requis ici, la méthode décrite au chapitre Accès via une "liaison variable" de VSTA doit être utilisée.


Développement dans zenon

Manuel -> Élément WPF -> Développement dans zenon

Pour pouvoir utiliser les contrôles utilisateur WPF dans zenon, la version 3.5 (ou une version ultérieure, en fonction de la version de .NET Framework utilisée dans le contrôle utilisateur) de Microsoft .NET Framework doit être utilisée à la fois sur l’ordinateur exécutant Editor et sur l’ordinateur exécutant le Runtime.

Conditions applicables à l’affichage d’éléments WPF dans zenon

La dynamisation est actuellement disponible pour les types de variables simples (types de données numérique et chaîne). Les tableaux et les structures ne peuvent pas être rendus dynamiques.

Par conséquent, les fonctions WPF suivantes peuvent être mises en œuvre dans zenon :

  • Les propriétés d’éléments correspondant à des types de données simples, tels que String, Int, Double, Bool, etc.
  • Les propriétés d’éléments du type Objet, qui peuvent être définis avec des types de données simples.
  • Les événements d’éléments peuvent être utilisés avec des fonctions ; les paramètres des événements ne sont toutefois pas disponibles et ne peuvent pas être évalués dans zenon
  • La transformation d’éléments pour lesquels une fonction de transformation de rendu (RenderTransform) est présente dans le fichier XAML.

    Attention : si le contenu est situé hors de la zone de l’élément WPF durant la transformation, elle ne comporte pas d’intitulé.

Remarques concernant dBase : Aucune ombre ne peut être affichée pour les éléments WPF dans zenon.

attention Attention

Si les fichiers du Runtime ont été créés pour un projet destiné aux versions antérieures à la version 6.50, les éléments WPF existants ne sont pas inclus dans les synoptiques du Runtime.

Autres sujets abordés dans ce chapitre

Fichiers CDWPF (fichiers collectifs)

Créer un élément WPF

Configuration des liaisons

Validité des fichiers XAML

Éléments prédéfinis

Affichage d’éléments WPF dans zenon Web Client

Exemples : Intégration de WPF dans zenon

Traitement des erreurs


Fichiers CDWPF (fichiers collectifs)

Manuel -> Élément WPF -> Développement dans zenon -> Fichiers CDWPF (fichiers collectifs)

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Un fichier CDWPF (avec le suffixe *.cdwpf) est un fichier ZIP renommé contenant les composants suivants :

  • Fichier XAML (pour référencer l’ensemble de contrôle utilisateur)
  • Fichier DLL (le contrôle utilisateur WPF lui-même, facultatif)
  • Aperçu des éléments graphiques (pour l’aperçu, facultatif)

Règles d’utilisation des fichiers collectifs :

  • Les fichiers (XAML, DLL, aperçu d’éléments graphiques) peuvent se trouver directement dans le fichier CDWPF ou dans un dossier associé.
  • Le nom du fichier collectif doit correspondre aux noms définis au nom du fichier XAML.
  • Un seul fichier XAML peut être présent à la fois.
  • L’aperçu graphique doit être de petite taille, et ne pas mesurer plus de 64 pixels en hauteur.
    Nom du fichier d’aperçu : preview.png ou le nom du fichier XAML suivi du suffixe png.
  • Vous pouvez utiliser autant d’ensembles que vous le souhaitez. La distinction est établie sur la base de la version du fichier.
  • Il n’est pas nécessaire que les fichiers collectifs contiennent un ensemble.
  • Tous les sous-dossiers sont examinés et sont uniquement pris en compte avec les fichiers *.dll, *.xaml ou *.png.
  • Si un fichier collectif (.*.cdwpf) est remplacé par une autre version du fichier, il est nécessaire d’adapter tous les fichiers CDWPF correspondants dans tous les projets.


Créer un élément WPF

Manuel -> Élément WPF -> Développement dans zenon -> Créer un élément WPF

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Pour créer un élément WPF

  1. Dans la barre d’outils Éléments, sélectionnez le symbole Élément WPF ou l’option Éléments du menu.
  2. Sélectionnez le point de départ dans la fenêtre principale.
  3. Agrandissez l’élément avec la souris.
  4. Dans les propriétés, sélectionnez la propriété Affichage du groupe Fichier XAML.
  5. La boîte de dialogue de sélection de fichiers s’ouvre.
  6. Sélectionnez le fichier souhaité.
    Les formats de fichier suivants sont valides :
    • *.xaml: Extensible Application Markup Language
    • *.cdwpf: fichier collectif WPF, affiche également un aperçu

    (Le fichier doit également être présent dans le Gestionnaire de projet, sous Fichiers/Éléments graphiques, ou il doit avoir été créé dans la boîte de dialogue.)

  7. Configurez les liens.

info Informations

Si des ensembles référencés sont utilisés, tenez compte des instructions fournies au chapitre Ensembles référencés.


Configuration des liaisons

Manuel -> Élément WPF -> Développement dans zenon -> Configuration des liaisons

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Pour configurer un élément WPF

  1. Dans les propriétés, sélectionnez la propriété Liens WPF du groupe Configuration.
  2. Une boîte de dialogue comportant trois onglets s’affiche, et propose un aperçu des éléments présents dans le fichier .

Boîte de dialogue Configuration

Paramètre

Description

Éléments disponibles

Affiche les éléments de fichier nommés sous forme d’arborescence. L’élément sélectionné peut être liée aux données de procédés.

WPF est attribué aux données de procédé reposant sur le nom d’élément. Par conséquent, les éléments sont uniquement affichés si ces éléments et les éléments attenants possèdent un nom. Les attributions sont configurées et représentées dans les onglets Propriétés, Événements et Transformation.

Conseil : Si les éléments correspondants ne sont pas affichés, vérifiez qu’ils comportent bien un nom dans le fichier XAML (par exemple : <Grid Name="GridName">).

Aperçu

L’élément sélectionné clignote dans l’aperçu.

Propriétés

Configuration et affichage des propriétés (variables, autorisations, verrouillages, valeurs liées).

Événements

Configuration et affichage d’événements (fonctions).

Transformations

Configuration et affichage de transformations.

Nom

Nom de la propriété.

Connexion

Sélection du lien.

Type de lien

Type de lien (variable, autorisation, fonction)

Informations WPS

Affiche la valeur actuelle des propriétés du contenu WPF. L’utilisateur peut directement visualiser le type de propriété dont il s’agit (valeur booléenne, chaîne, etc.).

Lien (Liée)

Indique si une propriété est actuellement utilisée.

Non présente dans la vue par défaut, mais peut être sélectionnée ouvrant le menu contextuel et en sélectionnant Colonne.

info Informations

Seuls les objets logiques peuvent être affichés dans la boîte de dialogue de configuration. Les objets visuels ne sont pas affichés. Vous pouvez en apprendre davantage sur les arrière-plans et l’animation des objets visuels au chapitre Association d’un objet zenon à un contenu WPF.

Édition de liens hypertexte

Tous les liens hypertexte configurés peuvent être édités à partir des propriétés de l’élément. Cliquez sur l’élément et ouvrez le groupe de propriétés Liens WPF. Les liens hypertexte peuvent être configurés de manière plus détaillée ici, sans qu’il soit nécessaire d’ouvrir la boîte de dialogue.

Limitations :

  • Le type de liaison ne peut pas être modifié ici.
  • Les nouveaux liens peuvent uniquement être créés via la boîte de dialogue de configuration.
  • Insertion d’un élément WPF dans un symbole : Les liens WPF ne peuvent pas être exportés.

Autres sujets abordés dans ce chapitre

Propriétés

Événements

Transformation


Propriétés

Manuel -> Élément WPF -> Développement dans zenon -> Configuration des liaisons -> Propriétés

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Les propriétés permettent de lier les éléments suivants :

  • Variables
  • Valeurs
  • Autorisations et verrouillages

Paramètre |  | Description
Nom | Nom de la propriété.
Lien | Variable liée, autorisation ou valeur liée. Cliquez sur la colonne pour ouvrir la boîte de dialogue de sélection correspondante, en fonction de l’entrée dans la colonne Link type (Type de lien).
Type de lien | Sélection du lien.
Info WPF | Affiche la valeur actuelle des propriétés du contenu WPF. L’utilisateur peut directement visualiser le type de propriété dont il s’agit (valeur booléenne, chaîne, etc.).
Lié | Indique si une propriété est actuellement utilisée. Non présente dans la vue par défaut, mais peut être sélectionnée ouvrant le menu contextuel et en sélectionnant Colonne.

Créez un lien

Pour créer un lien :

  1. Sélectionnez la ligne comportant la propriété que vous souhaitez lier.
  2. Cliquez sur la cellule Type de lien.
  3. Sélectionnez le lien de votre choix dans la liste déroulante.

    Les possibilités suivantes sont disponibles :

    • <Non lié> (supprime un lien existant)
    • Autorisation/Verrouillage
    • Valeur constante
    • Variable
  4. Cliquez sur la cellule Lien.
  5. La boîte de dialogue de configuration du lien souhaité s’affiche à l’écran.

info Informations

Les propriétés de WPF et de zenon peuvent être différentes. Si, par exemple, la propriété Visibilité est liée, trois valeurs sont disponibles dans .NET :

  • 0 - visible
  • 1 - invisible
  • 2 - minimisé

Ces valeurs doivent être affichées via la variable liée de zenon.

Autres sujets abordés dans ce chapitre

Lier une variable

Valeurs du lien

Autorisation de liens ou de verrouillages


Lier une variable

Manuel -> Élément WPF -> Développement dans zenon -> Configuration des liaisons -> Propriétés -> Lier une variable

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Pour lier une valeur avec une propriété WPF :

  1. Sélectionnez la ligne comportant la propriété que vous souhaitez lier.
  2. Cliquez sur la cellule Type de lien.
  3. Sélectionnez Variable dans la liste déroulante.
  4. Cliquez sur la cellule Lien.
  5. La boîte de dialogue de configuration des variables s’affiche à l’écran.

Cette boîte de dialogue s’applique également à la sélection de variables pour les transformations. La configuration permet également d’effectuer des conversions en unités WPF depuis zenon.

Parameter

Beschreibung

Verknüpfte Variable

Auswahl der zu verknüpfenden Variablen. Klick auf Schaltfläche ... öffnet Dialog zur Auswahl.

Wertbereich des WPF-Elements

Angaben zur Umrechnung der Variablenwerte in WPF-Werte.

Wertbereich umrechnen

Aktiv: WPF-Einheitenumrechnung ist eingeschaltet.

Auswirkung zur Runtime: Der aktuelle zenon Wert (inkl. zenon Einheit) wird mittels normierter Minimum- und Maximum-Wert auf den WPF-Bereich umgerechnet.

Zum Beispiel: Der Wert einer Variablen variiert von 100 bis 200. Bei der Variablen ist der normierte Bereich auf 100 - 200 eingestellt. Ziel ist, diese Wertänderung mittels eines WPF-Drehknopfs darzustellen. Dafür wird:

  • bei Transformation die Eigenschaft RotateTransform.Angle mit der Variablen verknüpft
  • Wert anpassen aktiviert
  • ein WPF-Wertbereich von 0 bis 360 konfiguriert

Jetzt wird der Drehknopf bei einen Wert von z. B. 150 um 180 Grad gedreht sein.

Minimum

Definiert den niedrigsten WPF-Wert.

Maximum

Definiert den höchsten WPF-Wert.

OK

Übernimmt Einstellungen und beendet Dialog.

Abbrechen

Verwirft Einstellungen und beendet Dialog.

Hilfe

Öffnet die Online-Hilfe.


Valeurs du lien

Manuel -> Élément WPF -> Développement dans zenon -> Configuration des liaisons -> Propriétés -> Valeurs du lien

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Les valeurs liées peuvent être une chaîne (String) ou une valeur numérique de type Double. Lors de la sélection du synoptique, la valeur sélectionnée est transmise au contenu WPF après le chargement du contenu WPF.

Pour lier une valeur avec une propriété WPF :

  1. Sélectionnez la ligne comportant la propriété que vous souhaitez lier.
  2. Cliquez sur la cellule Type de lien.
  3. Sélectionnez Liaisons de valeurs dans la liste déroulante.
  4. Cliquez sur la cellule Lien.
  5. La boîte de dialogue de configuration des liens de valeurs s’ouvre.

Paramètre

Description

Valeur liée :

Saisissez une valeur numérique ou une valeur de type chaîne.

Use string (Utiliser la chaîne)

Active : une valeur de type chaîne est utilisée à la place d’une valeur numérique.

La langue des valeurs de type chaîne peut être modifiée. Le texte est traduit dans le Runtime lors de l’appel du synoptique et de sa transmission au contenu WPF. Si la langue est modifiée pendant que le synoptique est ouvert, la valeur de la chaîne est retraduite et transmise.

Valeur de type chaîne/valeur numérique

En fonction des paramètres sélectionnés pour la propriété Use string (Utiliser la chaîne), une valeur numérique ou une valeur de type chaîne est saisie dans ce champ. Pour les valeurs numériques, une unité de mesure peut également être sélectionnée.

Unité :

Sélection d’une unité de mesure dans la liste déroulante. Vous devez avoir préalablement configuré cet aspect dans la fonction de basculement d’unités.

L’unité de mesure est attribuée avec la valeur numérique. Si les unités sont modifiées dans le Runtime, la valeur est convertie dans la nouvelle unité de mesure et transmise au contenu WPF.

Fermer boîte de dialogue

Options | Description :
OK | Applique les paramètres et ferme la boîte de dialogue.
Annuler | Annule toutes les modifications et ferme la boîte de dialogue.
Aide | Ouvre l'aide en ligne.


Autorisation de liens ou de verrouillages

Manuel -> Élément WPF -> Développement dans zenon -> Configuration des liaisons -> Propriétés -> Autorisation de liens ou de verrouillages

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Des autorisations ne peuvent pas être accordées pour l’ensemble de l’élément WPF. L’élément est attribué à un niveau d’utilisateur. Les autorisations sont accordées au sein du niveau utilisateur pour les contrôles individuels. Si une autorisation est active, la valeur 1 est écrite dans l’élément.

Pour lier une autorisation ou un verrouillage à une propriété WPF :

  1. Sélectionnez la ligne comportant la propriété que vous souhaitez lier.
  2. Cliquez sur la cellule Type de lien.
  3. Sélectionnez Autorisation/verrouillage dans le menu déroulant.
  4. Cliquez sur la cellule Lien.
  5. La boîte de dialogue de configuration des autorisations s’affiche à l’écran.

Paramètres | Description
Autorisation du lien/verrouillage | Configuration des autorisations.
État lié | Sélection d’une autorisation liée à un contrôle WPF dans la liste déroulante. Par exemple, la visibilité et le fonctionnement d’un bouton WPF peuvent dépendre de l’état d’un utilisateur.

Autorisation | Description
Autorisation disponible | Si l’utilisateur dispose de droits suffisants pour actionner l’élément WPF, une valeur de 1 est écrite dans la propriété.
L’autorisation n’existe pas | Si l’utilisateur ne dispose pas de droits suffisants pour actionner l’élément WPF, une valeur de 1 est écrite dans la propriété.
non verrouillé | Si l’élément n’est pas verrouillé, la valeur 1 est écrite dans la propriété.
verrouillé | Si l’élément est verrouillé, la valeur 1 est écrite dans la propriété.
action autorisée | Si l’autorisation est présente et l’élément n’est pas verrouillé, une valeur de 1 est écrite dans la propriété.
ne peut pas être utilisé | Si l’autorisation n’est pas présente ou l’élément n’est pas verrouillé, une valeur de 1 est écrite dans la propriété.


Événements

Manuel -> Élément WPF -> Développement dans zenon -> Configuration des liaisons -> Événements

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Les événements permettent de lier des fonctions de zenon à un élément WPF.

Paramètres |  | Description
Nom | Nom de la propriété.
Connexion | Fonction liée. Cliquez sur la cellule pour ouvrir la boîte de dialogue.
Type de lien | Sélection du lien. Cliquez sur la cellule pour ouvrir la boîte de dialogue de sélection.
Informations WPS | Affiche la valeur actuelle des propriétés du contenu WPF. L’utilisateur peut directement visualiser le type de propriété dont il s’agit (valeur booléenne, chaîne, etc.).
Lien (Liée) | Indique si une propriété est actuellement utilisée. Non présente dans la vue par défaut, mais peut être sélectionnée ouvrant le menu contextuel et en sélectionnant Colonne.

Fonctions de lien

Pour créer un lien :

  1. Sélectionnez la ligne comportant la propriété que vous souhaitez lier.
  2. Cliquez sur la cellule Type de lien.
  3. Sélectionnez la fonction dans la liste déroulante.
  4. Cliquez sur la cellule Lien.
  5. La boîte de dialogue de configuration de la fonction s’affiche à l’écran.

Paramètres |  | Description
Fonction liée | Sélectionnez les fonctions à lier. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de fonctions.
OK | Accepte la sélection et ferme la boîte de dialogue.
Annuler | Annule toutes les modifications et ferme la boîte de dialogue.
Aide | Ouvre l’aide en ligne.


Transformation

Manuel -> Élément WPF -> Développement dans zenon -> Configuration des liaisons -> Transformation

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

L’élément WPF ne prend pas en charge la rotation. Par exemple, si l’élément WPF se trouve dans un symbole et ce symbole subit une rotation, l’élément WPF ne pivotera pas avec le symbole. Par conséquent, il existe un autre mécanisme de Transformation dans WPF permettant de faire pivoter les éléments ou de les transformer autrement. Ces transformations sont configurées dans l’onglet Transformation.

Attention : si le contenu se trouve hors de la zone de l’élément WPF, cette partie du contenu est perdue ou n’est pas affichée.

Paramètre :

Description

Nom

Nom de la propriété.

Connexion

Sélection des variables liées.

Les transformations sont affichées en langage XAML sous forme d’objets de transformation possédant des propriétés propres. Si un élément est compatible avec une transformation, les propriétés possibles de l’objet de transformation sont affichées dans la liste (pour plus d’informations à ce sujet : Intégration d’un bouton sous forme d’élément WPF XAML dans zenon

Par exemple, si la variable liée est définie à une valeur de 10, cette valeur est écrite sous forme de cible WPF, et l’élément WPF est pivoté de 10°.

Type de lien

Sélection du type de lien de transformation.

Informations WPS

Affiche la valeur actuelle des propriétés du contenu WPF. L’utilisateur peut directement visualiser le type de propriété dont il s’agit (valeur booléenne, chaîne, etc.).

Lien (Liée)

Indique si une propriété est actuellement utilisée.

Non présente dans la vue par défaut, mais peut être sélectionnée ouvrant le menu contextuel et en sélectionnant Colonne.

Liez les transformations

Pour lier une transformation avec une propriété WPF :

  1. Sélectionnez la ligne comportant la propriété que vous souhaitez lier.
  2. Cliquez sur la cellule Type de lien.
  3. Sélectionnez Transformation dans la liste déroulante.
  4. Cliquez sur la cellule Lien.
  5. La boîte de dialogue de configuration des variables s’affiche à l’écran.

La configuration permet également d’effectuer des conversions en unités WPF depuis zenon.

Parameter

Beschreibung

Verknüpfte Variable

Auswahl der zu verknüpfenden Variablen. Klick auf Schaltfläche ... öffnet Dialog zur Auswahl.

Wertbereich des WPF-Elements

Angaben zur Umrechnung der Variablenwerte in WPF-Werte.

Wertbereich umrechnen

Aktiv: WPF-Einheitenumrechnung ist eingeschaltet.

Auswirkung zur Runtime: Der aktuelle zenon Wert (inkl. zenon Einheit) wird mittels normierter Minimum- und Maximum-Wert auf den WPF-Bereich umgerechnet.

Zum Beispiel: Der Wert einer Variablen variiert von 100 bis 200. Bei der Variablen ist der normierte Bereich auf 100 - 200 eingestellt. Ziel ist, diese Wertänderung mittels eines WPF-Drehknopfs darzustellen. Dafür wird:

  • bei Transformation die Eigenschaft RotateTransform.Angle mit der Variablen verknüpft
  • Wert anpassen aktiviert
  • ein WPF-Wertbereich von 0 bis 360 konfiguriert

Jetzt wird der Drehknopf bei einen Wert von z. B. 150 um 180 Grad gedreht sein.

Minimum

Definiert den niedrigsten WPF-Wert.

Maximum

Definiert den höchsten WPF-Wert.

OK

Übernimmt Einstellungen und beendet Dialog.

Abbrechen

Verwirft Einstellungen und beendet Dialog.

Hilfe

Öffnet die Online-Hilfe.


Validité des fichiers XAML

Manuel -> Élément WPF -> Développement dans zenon -> Validité des fichiers XAML

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

La validité des fichiers XAML est soumise à certaines exigences :

  • Espace de nommage correct
  • Absence de référence de classe
  • Capacité d’extension

Espace de nommage correct

L’élément WPF peut uniquement afficher un contenu WPF, c’est-à-dire :

seuls les fichiers XAML comportant un espace de nommage WPF de longueur correcte peuvent être affichés par l’élément WPF. Les fichiers utilisant un espace de nommage Silverlight ne peuvent être ni chargés, ni affichés. Toutefois, dans la plupart des cas, il suffit de convertir l’espace de nommage Silverlight en espace de nommage WPF.

Espaces de nommage WPF :

xmlns="http://schemas.microsoft.com/winfx/2006/xaml/presentation"

xmlns:x="http://schemas.microsoft.com/winfx/2006/xaml"

Absence d’utilisation de références de classe

Les fichiers XAML pouvant être chargés de façon dynamique, il est impossible d’utiliser des fichiers XAML contenant des références à de classes (clé "class" dans l’en-tête). Les fonctions programmées dans des fichiers C# créés indépendamment ne peuvent pas être utilisées.

Pour utiliser des contrôles WPF avec une fonction code-behind, suivre la procédure décrite au chapitre Création d’un contrôle utilisateur WPF simple avec fonction code-behind.

Capacité d’extension

Si le contenu d’unélément WPF est ajusté à la taille de l’élément WPF, les commandes de l’élément WPF sont entrelacées dans une commande offrant cette fonctionnalité, à l’image d’un élément ViewBox, par exemple. En outre, il convient de veiller que les éléments hauteur et largeur soient configurés de manière automatique.

Vérification de la validité d’un fichier XAML

Pour s’assurer qu’un fichier XAML possède le format adéquat :

  • Ouvrez le fichier XAML dans Internet Explorer.
    • S’il peut être ouvert sans modules d’extension supplémentaires (Java ou autres), on peut supposer avec certitude que ce fichier peut être chargé et affiché dans zenon.
    • Si un problème survient durant le chargement, celui-ci est affiché dans Internet Explorer et les lignes à l’origine du problème sont indiquées de manière claire.

La capacité d’extension peut également être testée de cette manière : Si le fichier a été correctement créé, le contenu sera automatiquement ajusté à la taille de la fenêtre Internet Explorer.

Message d’erreur

Si un fichier non valide est utilisé dans zenon, un message d’erreur est affiché dans la fenêtre de sortie lors du chargement du fichier dans l’élément WPF.

Par exemple :

"error when loading xaml-Datei:C:\ProgramData\COPA-DATA\SQL\781b1352-59d0-437e-a173-08563c3142e9\FILES\zenon\custom\media\UserControl1.xaml

The attribute "Class" cannot be found in XML namespace "http://schemas.microsoft.com/winfx/2006/xaml". Line 7 Position 2."


Éléments prédéfinis

Manuel -> Élément WPF -> Développement dans zenon -> Éléments prédéfinis

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

zenon comporte déjà plusieurs éléments WPF. D’autres sont en outre disponibles en téléchargement dans la boutique Web.

Tous les éléments WPF comportent des propriétés déterminant la conception graphique de l’élément correspondant (Dependency Properties). La configuration des valeurs par le biais d’un fichier XAML ou d’un lien avec la propriété par le biais de zenon peut modifier directement l’apparence dans le Runtime. Les tables fournies dans la description des éléments individuels contiennent les Dependency Properties, qui correspondent au contrôle.

Éléments disponibles :

  • Horloge analogique
  • Bargraphe vertical
  • COMTRADE Viewer
  • Diagramme de classe énergétique
  • Barre de progression
  • Diagramme de Pareto
  • Diagramme Sankey
  • Affichage circulaire
  • Commande de température
  • Réglette universelle
  • Diagramme en cascade

Remplacement d’un ensemble par une version plus récente

Pour chaque projet, un seul ensemble (Assembly) peut être utilisé pour un élément WPF, dans zenon Editor comme dans le Runtime. Si deux versions d’un ensemble (Assembly) sont disponibles dans un projet, le premier fichier chargé est utilisé. L’utilisateur doit s’informer sur la version à utiliser. Aucune autre action n’est nécessaire pour assurer la maintenance des versions utilisées jusqu’à présent. Si une version plus récente est choisie, il est nécessaire d’adapter tous les fichiers CDWPF correspondants dans tous les symboles et images utilisés dans les projets chargés dans Editor ou le Runtime.

Remarque concernant la gestion multi-projet : Si un ensemble (Assembly) dans un projet est remplacé par une version plus récente, il doit également être remplacé dans tous les autres projets chargés dans Editor ou le Runtime.

Autres sujets abordés dans ce chapitre

Horloge analogique - AnalogClockControl

Bargraphe vertical - VerticalBargraphControl

Barre de progression - ProgressBarControl

COMTRADE Viewer

Diagramme de classe énergétique

Diagramme de Pareto

Contrôle Indicateur circulaire

Diagramme Sankey

Jauge de température - TemperatureIndicatorControl

Réglette universelle - UniversalReglerControl

Diagramme en cascade


Horloge analogique - AnalogClockControl

Manuel -> Élément WPF -> Développement dans zenon -> Éléments prédéfinis -> Horloge analogique - AnalogClockControl

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Propriété

Fonction

Valeur

ElementStyle

Forme/type d’élément.

Enum :

  • SmallNumbers
  • BigNumbers
  • Non

ElementBackgroundBrush

Couleur de l’arrière-plan de l’élément.

Pinceau

ElementGlasReflection

Active l’effet vitré sur l’élément.

Visibilité

Offset

Valeur en heures (h) affichant le décalage de temps par rapport à l’horloge système.

Int16

OriginText

Texte affiché sur l’horloge (par exemple, emplacement).

Chaîne


Bargraphe vertical - VerticalBargraphControl

Manuel -> Élément WPF -> Développement dans zenon -> Éléments prédéfinis -> Bargraphe vertical - VerticalBargraphControl

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Propriété | Fonction | Valeur
CurrentValue | Valeur actuelle à afficher. | Double
MinValue | Valeur minimum de l’échelle. | Double
MaxValue | Valeur maximum de l’échelle. | Double
MajorTicksCount | Nombre de graduations principales sur l’échelle. | Entier
MinorTicksCount | Nombre de graduations secondaires sur l’échelle. | Entier
MajorTickColor | Couleur des graduations principales sur l’échelle. | Couleur
MinorTickColor | Couleur des graduations secondaires sur l’échelle. | Couleur
ElementBorderBrush | Couleur de la bordure de l’élément. | Pinceau
ElementBackgroundBrush | Couleur de l’arrière-plan de l’élément. | Pinceau
ElementGlasReflection | Active l’effet vitré sur l’élément. | Visibilité
ElementFontFamily | Police de caractères de l’élément. | Police
ScaleFontSize | Taille de la police de caractères de l’élément. | Double
ScaleFontColor | Couleur de la police de caractères de l’échelle. | Couleur
IndicatorBrush | Couleur de remplissage du graphique à barres. | Pinceau
BargraphSeparation | Nombre de divisions du bargraphe. | Entier
BargraphSeparationColor | Couleur des divisions de l’échelle. | Couleur


Barre de progression - ProgressBarControl

Manuel -> Élément WPF -> Développement dans zenon -> Éléments prédéfinis -> Barre de progression - ProgressBarControl

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Propriété | Fonction | Valeur
CurrentValue | Valeur actuelle à afficher. | Double
MinValue | Valeur minimum de la zone de valeurs. | Double
MaxValue | Valeur maximum de la zone de valeurs. | Double
ProgressbarDivisionCount | Nombre de divisions de la barre de progression. | Entier
VisibilityText | Visibilité de l’affichage de la valeur. | Booléen
TextSize | Taille de la police de l’affichage de la valeur. | Double
TextColor | Couleur de l’affichage de la valeur. | Couleur
ProgressBarBoxedColor | Couleur de la bordure de la barre de progression. | Couleur
ProgressBarMarginDistance | Distance de la boîte de dialogue de la barre de progression par rapport au bord de l’élément (gauche, haut, droite, bas). | Double
ProgressBarInactiveBrush | Couleur de l’indicateur inactive. | Pinceau
ProgressBarActiveBrush | Couleur de l’indicateur active. | Pinceau
ProgressBarPadding | Distance de la boîte de dialogue de la barre de progression par rapport à la boîte de dialogue de la barre de progression (gauche, haut, droite, bas). | Double
ElementBorderBrush | Couleur de la bordure de l’élément. | Pinceau
ElementBackgroundBrush | Couleur de l’arrière-plan de l’élément. | Pinceau


COMTRADE Viewer

Manuel -> Élément WPF -> Développement dans zenon -> Éléments prédéfinis -> COMTRADE Viewer

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

L’élément WPF COMTRADE-Viewer est accessible aux entreprises partenaires de COPA-DATA, via le site COPA-DATA Partner Community (https://www.copadata.com/en-us/partner-community/). L’élément WPF est accessible aux partenaires de COPA-DATA, par l’intermédiaire du site Web COPA-DATA Partner Community.

Il est conçu pour l’analyse graphique des informations de journalisation des erreurs numériques et résultats d’un fichier COMTRADE.

info Informations

Le contrôle est compatible avec les fichiers conformes à la norme IEEE C37.111 (IEEE Standard Common Format for Transient Data Exchange (COMTRADE) for Power Systems). Les fichiers ASCII ou binaires conformes à l’édition de 1999 ou 2013 de la norme peuvent être visualisés.

Les fichiers plus anciens ou ne comportant pas d’identification d’année ne sont pas pris en charge. Un message d’avertissement s’affiche en cas de sélection d’un fichier non valide ou non pris en charge.

Possibilités offertes par le contrôle WPF COMTRADE-Viewer dans le Runtime de zenon :

  • Sélection d’un fichier au format COMTRADE
  • Visualisation du fichier COMTRADE sélectionné :
    Remarque : Les couleurs d’affichage peuvent être configurées dans zenon Editor.
    • Intensité (affichage sous forme d’onde sinusoïdale)
    • Tension (affichage sous forme d’onde sinusoïdale)
    • Signaux numériques (affichage sous forme de diagramme à barres binaire)
    • Affichage des valeurs à la position sélectionnée du pointeur.
    • En cas de sélection d’un élément ne représentant ni l’intensité, ni la tension (par ex. la fréquence), il est affiché dans les deux zones de visualisation analogiques (intensité et tension).
  • Navigation :
    • Effectuez un zoom avant ou un zoom arrière avec la molette de la souris, la barre de défilement ou les gestes MultiTouch.
    • Agrandissement de la zone
      Sélection de la zone avec un clic
    • Déplacez la zone d’affichage avec un clic droit, la barre de défilement ou les gestes MultiTouch.
  • Exporte les objets sélectionnés sous forme de fichier CSV.

Tipp Conseil

Pour pouvoir transférer les fichiers COMTRADE vers l’ordinateur sur lequel s’exécute le Runtime de zenon, vous pouvez également utiliser la fonction de transfert de fichier du driver IEC 61850 ou la fonction de bloc fonctionnel FTP de zenon Logic.

Vous trouverez d’autres informations à ce sujet dans la documentation du driver IEC 61850 ou la documentation de zenon Logic.

Autres sujets abordés dans ce chapitre

Affichage durant le Runtime

Vue du Runtime - Page de configuration

Vue du Runtime - Visualisation des données COMTRADE

Propriétés configurables du contrôle- affichage des couleurs


Affichage durant le Runtime

Manuel -> Élément WPF -> Développement dans zenon -> Éléments prédéfinis -> COMTRADE Viewer -> Affichage durant le Runtime

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

L’élément WPF COMTRADE propose deux modes d’affichage dans le Runtime :

  • Affichage de la configuration
    • Sélection d’un fichier de configuration COMTRADE
    • Sélection des éléments à afficher
  • Affichage sous forme de graphique
    • Zoom avant et zoom arrière
    • Affichage des valeurs à la position sélectionnée du pointeur.
    • Exportation des éléments sélectionnés sous forme de fichier CSV

info Informations

Le passage d’un mode d’affichage à l’autre est intégré à l’élément WPF. Il n’est pas nécessaire de configurer une fonction d’appel de synoptique au niveau du projet.


Vue du Runtime - Page de configuration

Manuel -> Élément WPF -> Développement dans zenon -> Éléments prédéfinis -> COMTRADE Viewer -> Vue du Runtime - Page de configuration

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

En cas d’appel d’un synoptique contenant un élément COMTRADE-Viewer configuré, l’affichage de la page de configuration correspondante est vide.

Remarque : Ceci est également vrai si, dans le Runtime de zenon, la fonction d’appel de synoptique est utilisée pour passer d’un synoptique à un autre.

Configuration de l’élément COMTRADE Viewer

L’appel du synoptique de COMTRADE Viewer Configuration, disposé verticalement sur le côté de l’écran, permet de basculer vers l’affichage graphique de la configuration ou inversement.

Sélection de fichier

Le bouton Open... ouvre la boîte de dialogue de sélection de fichier.

Une présélection des fichiers affichés est appliquée dans cette boîte de dialogue :

  • les paires de fichiers *.cfg et *.dat sont détectées.
    Remarque : Les fichiers optionnels *.hdr et *.inf ne sont pas pris en compte.
  • Seuls les fichiers *.dat correspondants sont affichés.
  • Pour charger tous les fichiers associés (*.dat, *.cfg), cliquez sur le fichier souhaité, puis sur le bouton OK.
  • Un fichier peut être chargé.
  • Une fois le fichier chargé, son contenu est affiché dans les colonnes Analog Channels et Digital Channels.
    Les intitulés et les unités des éléments sont issus de la configuration de l’élément COMTRADE et ne peuvent pas être modifiés.

Autres informations concernant l’édition des fichiers *.cfg et *.dat

Les informations provenant du fichier *.cfg permettent d’évaluer le fichier *.dat. Elles contiennent les données correspondant aux différentes séries de mesures analogiques et numériques des intensités et tensions. Les données sont divisées en jeux de données individuels et affichées au format hexadécimal.

Fichiers *.cfg

  • La dernière entrée d’un fichier de ce type de données est un multiplicateur de temps. Cette entrée est multipliée par la valeur d’horodatage de chaque entrée du fichier *.dat en cas de lecture d’une perturbation (message d’erreur). Si aucun multiplicateur de temps n’est présent, un facteur d’une valeur de 1 est automatiquement défini au niveau interne. Le fichier *.cfg n’est pas modifié pendant ce processus.
  • Certains standards s’appliquent aux entrées contenant les valeurs numériques mesurées. Exemple d’entrée de valeur numérique mesurée conforme à la norme : 1,LOPHC,,,0. Toutefois, si le caractère zéro n’est pas présent à la fin de l’entrée, COMTRADE-Viewer l’ajoute au niveau interne. Le fichier *.cfg n’est pas modifié pendant ce processus.

Fichiers *.dat

  • COMTRADE-Viewer peut lire les fichiers contenant ce type de données et commençant par l’indice 0 ou >1. Dans ce cas, une vérification est continuellement effectuée pour déterminer si ces jeux de données comportent une numérotation continue, par pas discrets, en commençant à 1. Si des jeux de données ne sont pas correctement numérotés, le fichier ne peut pas être lu.

Canaux analogiques

Paramètre | Description
[Liste der verfügbaren Kanäle] | Sélection des éléments à visualiser. Sélection multiple en cliquant sur les entrées souhaitées dans la liste. Les éléments sélectionnés sont affichés avec un arrière-plan coloré. Un autre clic de souris annule la sélection de l’entrée.
Select All | Sélectionne tous les éléments dans la liste.
Deselect All | Désactive la sélection d’éléments existante.

Canaux numériques

Paramètre | Description
[Liste der verfügbaren Kanäle] | Sélection des éléments à visualiser Sélection multiple en cliquant sur les entrées souhaitées dans la liste. Les éléments sélectionnés sont affichés avec un arrière-plan coloré. Un autre clic de souris annule la sélection de l’entrée.
Select All | Sélectionne tous les éléments dans la liste.
Deselect All | Désactive la sélection d’éléments existante.

Afficher la sélection

Pour afficher votre sélection dans l’interface graphique, cliquez sur le bouton Apply.

Remarque : Cliquer sur la fonction de basculement de l’interface verticale COMTRADE Viewer Configuration modifie uniquement l’affichage. Toute sélection modifiée des canaux n’est pas prise en compte dans ce cas de figure.


Vue du Runtime - Visualisation des données COMTRADE

Manuel -> Élément WPF -> Développement dans zenon -> Éléments prédéfinis -> COMTRADE Viewer -> Vue du Runtime - Visualisation des données COMTRADE

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Les canaux sélectionnés sont affichés dans la zone d’affichage graphique de l’élément WPF COMTRADE-Viewer. La coloration peut être configurée dans zenon Editor.

Exportation des données sélectionnées

Les canaux analogiques et numériques sélectionnés peuvent être exportés sous forme de fichier CSV en cliquant sur le bouton CSV-Export.

Affichage graphique

L’affichage graphique de COMTRADE-Viewers comporte trois sections :

  • Ampérage actuel
    Zone supérieure
  • Tension
    Zone centrale
  • Canaux numériques
    Zone inférieure

Intitulés des axes

  • Axe horizontal
    L’axe horizontal représente la période de temps complète, telle qu’elle est représentée dans le fichier COMTRADE (*.dat).
    L’échelle de l’axe de temps varie selon le niveau d’agrandissement. Plus l’agrandissement sélectionné est important, plus l’affichage du temps est détaillé.
  • Axe vertical
    L’axe vertical représente les valeurs.
    • L’échelle de l’axe des valeurs varie selon le niveau d’agrandissement. Plus l’agrandissement sélectionné est important, plus l’affichage des valeurs est détaillé.
    • Les intitulés des canaux analogiques sont représentés verticalement, près des valeurs, et correspondent à l’unité de mesure définie dans le fichier COMTRADE (*.cfg).
    • Les canaux numériques sont affichés dans l’ordre défini dans le fichier COMTRADE (*.cfg).
      L'Channel identifier du fichier COMTRADE est utilisé comme identifiant.

Légende

La légende des couleurs est affichée au-dessus du graphique.

  • Les intitulés des canaux numériques correspondent à la description des canaux fournie dans le fichier COMTRADE (*.cfg).
  • Les couleurs de chaque canal sont attribuées automatiquement, conformément à la palette de couleurs configurée.
  • Le temps est affiché sous le graphique. L’heure de début est affichée sous forme de texte.

Navigation et zoom

La navigation (défilement et zoom) est toujours appliquée aux trois zones de l’affichage graphique.

  • Vous pouvez déplacer l’affichage dans les limites de la ligne de temps horizontale, à l’aide de la barre de défilement.
  • Zoom avant et zoom arrière
    • Vous pouvez effectuer un zoom à l’emplacement actuel du pointeur de la souris dans l’affichage graphique ou réduire le facteur d’agrandissement.
    • Pour sélectionner la zone affichée, sélectionnez une zone en maintenant le bouton de la souris enfoncé.
      Remarque : L’affichage des valeurs est toujours modifié en fonction de la zone sélectionnée. Cela peut donc entraîner un "aplatissement" de la courbe dans un affichage graphique agrandi.
    • Double-cliquez sur la barre de défilement pour réinitialiser le facteur d’agrandissement.

Analyse

Les valeurs précises à l’emplacement du pointeur de la souris sont représentées par des blocs d’affichage des valeurs. Un réticule offre une aide visuelle supplémentaire afin de déterminer précisément la position du relevé.


Propriétés configurables du contrôle- affichage des couleurs

Manuel -> Élément WPF -> Développement dans zenon -> Éléments prédéfinis -> COMTRADE Viewer -> Propriétés configurables du contrôle- affichage des couleurs

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Configuration dans Editor

L’élément nommé COMTRADE.CDWPF peut être configuré et placé dans tous les types de synoptiques zenon.
La configuration de la Largeur [pixels] et la Hauteur [pixels] de l’élément dans le projet dépend des proportions. Ceci évite toute distorsion de l’affichage COMTRADE-Viewer dans le Runtime.

Remarque : Lors de la configuration du projet, assurez-vous de rendre cet élément suffisamment grand pour garantir sa lisibilité.

Modifications graphiques

L’apparence graphique est configurée dans les propriétés de l’élément WPF.
D’autres informations sont disponibles au chapitre Configuration des liaisons dans ce manuel.

Valeurs possibles des couleurs :

  • Valeurs de couleurs hexadécimales
    #RRGGBB
    Exemples de valeurs de couleurs : #000000 = noir, #FFFFFF = blanc, #FF0000 = rouge
  • Valeurs de couleurs par nom
    Référence : https://msdn.microsoft.com/en-us/library/system.drawing.color.aspx

Tipp Conseil

La couleur de départ des propriétés de l’élément WPF COMTRADE-Viewer est "z". Utilisez le filtrage par nom pour obtenir un affichage clair lors de la configuration des liaisons.

Page de configuration

Couleur du texte et de l’arrière-plan de la page de configuration.

Paramètre : | Description | Valeur
zConfiguratinPageTextColor | Couleur du texte de la page de configuration | String
zConfigurationPageBackgroundColor | Couleur d’arrière-plan de la page de configuration | String

Boutons

Couleur du texte et de l’arrière-plan du bouton.

Paramètre : | Description | Valeur
zButtonTextColor | Couleur du texte du bouton | String
zButtonBackgroundColor | Couleur d’arrière-plan du bouton | String

Diagramme

Couleur du texte des intitulés des axes ou couleur de la légende et de l’arrière-plan.

Paramètre : | Description | Valeur
zChartTextColor | Couleur du texte des intitulés des axes. | String
zChartBackgroundColor | Couleur de l’arrière-plan des intitulés des axes. | String

Légende

Couleur du texte et de l’arrière-plan de l’affichage d’une position de pointeur sélectionnée.

Paramètre | Description | Valeur
zChartLabelTextColor | Couleur du texte de l’affichage de la valeur | String
zChartLabelBackgroundColor | Couleur d’arrière-plan de l’affichage des valeurs | String

Diagramme

Palette de couleurs de l’affichage graphique et des légendes associées.

Paramètre | Description | Valeur
zChartPalette | Palette de couleurs des graphiques et des légendes. Référencement avec le nom de la palette de couleurs (voir la vue d’ensemble). Par défaut : si aucune palette de couleurs n’est configurée, la palette de couleurs du système d’exploitation est utilisée. | String

Palettes de couleurs possibles - Aperçu


Diagramme de classe énergétique

Manuel -> Élément WPF -> Développement dans zenon -> Éléments prédéfinis -> Diagramme de classe énergétique

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Le diagramme de classe énergétique, L’élément WPF est accessible aux partenaires de COPA-DATA, par l’intermédiaire du site Web COPA-DATA Partner Community.

Une matrice de réaction doit être utilisée pour modéliser un diagramme de classe énergétique. Cette matrice de réaction doit être liée à la variable dont la valeur est prise en compte pour l’affichage et la distribution dans les classes énergétiques. Le nom de la variable doit être transféré vers la propriété zVariableName.

Matrice de réaction pour le diagramme de classe énergétique

La matrice de réaction liée doit correspondre au schéma suivant :

  • Le premier état doit être une zone ou une définition "inférieur à"
  • Vous pouvez ensuite définir autant de zones que vous le souhaitez.
  • Le dernier état doit être une zone ou une définition "supérieur à"

Les considérations suivantes s’appliquent à la configuration du projet :

  1. Si le premier état est une zone et la valeur de la variable est conforme à cette zone, le premier état du diagramme est affiché. La même disposition s’applique au dernier état, à l’inverse.
  2. Les couleurs utilisées par le diagramme WPF pour les classes sont les couleurs de valeur limite définies dans la matrice de réaction.
  3. Les lettres correspondant aux classes dont définies dans l’ordre alphabétique, en commençant par la lettre A.
Propriété | Description | Valeur
zenonFontID | Identifiant d’une police de caractères dans la première liste de polices (la taille de la police n’est pas prise en compte) | Entier
zenonNumberOfDecimalPlaces | Nombre de décimales affiché | Entier
zenonVariableName | Nom de la variable à afficher | Chaîne

Remarque : Une programmation supplémentaire dans VSTA est nécessaire pour l’affichage de diagrammes de classe énergétique dans zenon Web Client. Vous trouverez des détails à ce sujet au chapitre Affichage d’éléments WPF dans zenon Web Client.


Diagramme de Pareto

Manuel -> Élément WPF -> Développement dans zenon -> Éléments prédéfinis -> Diagramme de Pareto

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Le diagramme de Pareto, L’élément WPF est accessible aux partenaires de COPA-DATA, par l’intermédiaire du site Web COPA-DATA Partner Community.

Un exemple de diagramme de Pareto dans le Runtime est illustré ci-dessous :

Les paramètres suivants peuvent être définis dans la fenêtre de configuration WPF sous COPADATA-ELEMENT :

Propriété | Fonction | Valeur
zenonBarColor1 | Couleur de la première barre | Couleur (chaîne)
zenonBarColor2 | Couleur de la deuxième barre | Couleur (chaîne)
zenonBarColor3 | Couleur de la troisième barre | Couleur (chaîne)
zenonBarColor4 | Couleur de la quatrième barre | Couleur (chaîne)
zenonBarColor5 | Couleur de la cinquième barre | Couleur (chaîne)
zenonBarColor6 | Couleur de la sixième barre | Couleur (chaîne)
zenonBarColor7 | Couleur de la septième barre | Couleur (chaîne)
zenonBarColor8 | Couleur de la huitième barre | Couleur (chaîne)
zenonBarColor9 | Couleur de la neuvième barre | Couleur (chaîne)
zenonBarColor10 | Couleur de la dixième barre | Couleur (chaîne)
zenonColorPercentageLine | Couleur de la ligne de pourcentage (somme des fréquences relatives). | Couleur (chaîne)
zenonLineVisibility | Visibilité de la ligne de pourcentage (somme des fréquences relatives). | Booléen
zenonVariable1_Label | Intitulé de la première barre | Chaîne
zenonVariable1_Value | Valeur de la première barre | Double
zenonVariable2_Label | Intitulé de la deuxième barre | Chaîne
zenonVariable2_Value | Valeur de la deuxième barre | Double
zenonVariable3_Label | Intitulé de la troisième barre | Chaîne
zenonVariable3_Value | Valeur de la troisième barre | Double
zenonVariable4_Label | Intitulé de la quatrième barre | Chaîne
zenonVariable4_Value | Valeur de la quatrième barre | Double
zenonVariable5_Label | Intitulé de la cinquième barre | Chaîne
zenonVariable5_Value | Valeur de la cinquième barre | Double
zenonVariable6_Label | Intitulé de la sixième barre | Chaîne
zenonVariable6_Value | Valeur de la sixième barre | Double
zenonVariable7_Label | Intitulé de la septième barre | Chaîne
zenonVariable7_Value | Valeur de la septième barre | Double
zenonVariable8_Label | Intitulé de la huitième barre | Chaîne
zenonVariable8_Value | Valeur de la huitième barre | Double
zenonVariable9_Label | Intitulé de la neuvième barre | Chaîne
zenonVariable9_Value | Valeur de la neuvième barre | Double
zenonVariable10_Label | Intitulé de la dixième barre | Chaîne
zenonVariable10_Value | Valeur de la dixième barre | Double

Les événements suivants peuvent être utilisés et liés aux fonctions de zenon :

Événement | Fonction | Valeur
zenonBar1Click | Fonction exécutée lorsque l’utilisateur clique sur la première barre. | Fonction
zenonBar2Click | Fonction exécutée lorsque l’utilisateur clique sur la deuxième barre. | Fonction
zenonBar3Click | Fonction exécutée lorsque l’utilisateur clique sur la troisième barre. | Fonction
zenonBar4Click | Fonction exécutée lorsque l’utilisateur clique sur la quatrième barre. | Fonction
zenonBar5Click | Fonction exécutée lorsque l’utilisateur clique sur la cinquième barre. | Fonction
zenonBar6Click | Fonction exécutée lorsque l’utilisateur clique sur la sixième barre. | Fonction
zenonBar7Click | Fonction exécutée lorsque l’utilisateur clique sur la septième barre. | Fonction
zenonBar8Click | Fonction exécutée lorsque l’utilisateur clique sur la huitième barre. | Fonction
zenonBar9Click | Fonction exécutée lorsque l’utilisateur clique sur la neuvième barre. | Fonction
zenonBar10Click | Fonction exécutée lorsque l’utilisateur clique sur la dixième barre. | Fonction


Contrôle Indicateur circulaire

Manuel -> Élément WPF -> Développement dans zenon -> Éléments prédéfinis -> Contrôle Indicateur circulaire

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Propriété

Fonction

Valeur

CurrentValue

Valeur actuelle à afficher.

Double

IsReversed

Orientation de l’échelle, horaire ou antihoraire.

Booléen

ElementFontFamily

Police de caractères de l’élément.

Police

MinValue

Valeur minimum de l’échelle.

Double

MaxValue

Valeur maximum de l’échelle.

Double

ScaleRadius

Rayon de l’échelle.

Double

ScaleStartAngle

Angle auquel commence l’échelle.

Double

ScaleLabelRotationMode

Alignement de la légende de l’échelle.

Enum :

  • Aucun
  • Automatique
  • SurroundIn
  • SurroundOut

ScaleSweepAngle

Section angulaire définissant la taille de l’échelle.

Double

ScaleLabelFontSize

Taille de la police de caractères de la légende de l’échelle.

Double

ScaleLabelColor

Couleur de la police de caractères de la légende de l’échelle.

Couleur

ScaleLabelRadius

Rayon suivant lequel est orientée la légende de l’échelle.

Double

ScaleValuePrecision

Précision de la légende de l’échelle.

Entier

PointerStyle

Forme du pointeur affichant la valeur.

Enum :

  • Flèche
  • Rectangle
  • TriangleCap
  • Pentagone
  • Triangle

MajorTickColor

Couleur des graduations principales sur l’échelle.

Couleur

MinorTickColor

Couleur des graduations secondaires sur l’échelle.

Couleur

MajorTickSize

Taille des graduations principales sur l’échelle.

Dimension

MinorTickSize

Taille des graduations secondaires sur l’échelle.

Dimension

MajorTicksCount

Nombre de graduations principales sur l’échelle.

Entier

MajorTicksShape

Forme/type des graduations principales sur l’échelle.

Enum :

  • Rectangle
  • Trapèze
  • Triangle

MinorTicksShape

Forme/type des graduations secondaires sur l’échelle.

Enum :

  • Rectangle
  • Trapèze
  • Triangle

MinorTicksCount

Nombre de graduations secondaires sur l’échelle.

Entier

PointerSize

Taille du pointeur.

Dimension

PointerCapRadius

Taille du point d’attache du pointeur.

Double

PointerBorderBrush

Couleur de la bordure du pointeur.

Pinceau

PointerCapStyle

Forme/type du point d’attache du pointeur.

Enum :

  • BackCap
  • FrontCap
  • Vis

PointerCapBorderBrush

Couleur du point d’attache du pointeur.

Pinceau

PointerBrush

Couleur du pointeur.

Pinceau

GaugeBorderBrush

Couleur de la bordure de l’élément.

Pinceau

GaugeBackgroundBrush

Couleur de l’arrière-plan de l’élément.

Pinceau

PointerCapColorBrush

Couleur du point d’attache du pointeur.

Pinceau

GaugeMiddlePlate

Rayon de la plaque centrale de l’élément d’arrière-plan.

Double

PointerOffset

Décalage du pointeur (déplacement).

Double

RangeRadius

Rayon de l’affichage de la plage totale.

Double

RangeThickness

Épaisseur de l’affichage de la plage totale.

Double

RangeStartValue

Valeur de départ de l’affichage de la plage totale.

Double

Range1EndValue

Valeur de fin de la première plage et valeur de début de la deuxième plage.

Double

Range2EndValue

Valeur de fin de la deuxième plage et valeur de début de la troisième plage.

Double

Range3EndValue

Valeur de fin de la troisième plage et valeur de début de la quatrième plage.

Double

Range4EndValue

Valeur de fin de la quatrième plage et valeur de début de la cinquième plage.

Double

Range5EndValue

Valeur de fin de la cinquième plage et valeur de début de la sixième plage.

Double

Range6EndValue

Valeur de fin de la sixième plage.

Double

Range1ColorBrush

Couleur de la première plage.

Pinceau

Range2ColorBrush

Couleur de la deuxième plage.

Pinceau

Range3ColorBrush

Couleur de la troisième plage.

Pinceau

Range4ColorBrush

Couleur de la quatrième plage.

Pinceau

Range5ColorBrush

Couleur de la cinquième plage.

Pinceau

Range6ColorBrush

Couleur de la sixième plage.

Pinceau

ScaleOuterBorderBrush

Couleur de la bordure de l’échelle.

Pinceau

ScaleBackgroundBrush

Couleur de l’arrière-plan de l’échelle.

Pinceau

ValueTextFrameStyle

Forme/type d’affichage de la valeur.

Enum :

  • LargeFrame
  • SmallFrame
  • Aucun

ValueTextContent

Contenu de l’affichage de la valeur.

Enum :

  • Texte
  • TextValue
  • Valeur

ValueTextSize

Taille de la police de l’affichage de la valeur.

Double

ValueTextColor

Taille de la police de l’affichage de la valeur.

Couleur

IsGlasReflection

Active l’effet vitré sur l’élément.

Booléen

GaugeOffsett

Abaisse le point de rotation de l’ensemble de l’élément.

Double


Diagramme Sankey

Manuel -> Élément WPF -> Développement dans zenon -> Éléments prédéfinis -> Diagramme Sankey

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Le diagramme Sankey, L’élément WPF est accessible aux partenaires de COPA-DATA, par l’intermédiaire du site Web COPA-DATA Partner Community.

L’assistant Sankey Wizard doit être utilisé pour modéliser un diagramme Sankey. L’assistant crée un fichier XML qui est ensuite évalué par l’élément WPF. Pour cela, la propriété zSankeyName doit recevoir le nom du fichier XML. Le fichier XML doit se trouver dans le dossier Other d’un projet. Il est enregistré ici par l’assistant.

Un exemple de diagramme Sankey dans le Runtime est illustré ci-dessous :

Les paramètres suivants peuvent être définis dans la fenêtre de configuration WPF sous COPADATA-ELEMENT :

Propriété | Fonction | Valeur
FontSize | Taille de la police de caractères des textes. | Integer
zBackgroundColor | Couleur d’arrière-plan de l’élément. | Color (String)
zFontColor | Couleur des textes. | Color (String)
zFontFamily | Police de caractères de tous les textes. | Font (String)
zLossDetectionActive | Détection automatique des pertes activée/désactivée. Si cette propriété est définie sur true, les pertes sont automatiquement affichées sous forme de flux au point d’un nœud. | Bool
zNoDataText | Texte affiché s’il n’existe aucune valeur à afficher et si zPrevireActive est définie sur false. | String
zNoValidXMLText | Texte affiché si aucun fichier valide avec un nom saisi n’a été trouvé et si zPreviewActive est définie sur false. | String
zNumberOfDecimalPlaces | Indique le nombre de décimales devant être affichées. | Integer
zPreviewActive | Affichage de l’aperçu activé ou désactivé. L’aperçu peut être affiché si : Aucune donnée n’est présente (le diagramme modélisé est rempli avec des valeurs par défaut) ou Le fichier XML est introuvable ou Il ne contient pas de définition valide (un exemple de diagramme Sankey est affiché). | Bool
zRefreshRate | Fréquence d’actualisation du diagramme en ms. | Integer
zSankeyName | Nom du fichier XML avec la modélisation du diagramme. | String
zShowRelativeValues | Affichage des valeurs absolues avec l’état false ou des valeurs relatives avec l’état true. | Bool

Remarque : Une programmation supplémentaire dans VSTA est nécessaire pour l’affichage de diagrammes Sankey dans zenon Web Client. Vous trouverez des détails à ce sujet au chapitre Affichage d’éléments WPF dans zenon Web Client.


Jauge de température - TemperatureIndicatorControl

Manuel -> Élément WPF -> Développement dans zenon -> Éléments prédéfinis -> Jauge de température - TemperatureIndicatorControl

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Propriété

Fonction

Valeur

CurrentValue

Valeur actuelle à afficher.

Double

MinValue

Valeur minimum de l’échelle.

Double

MaxValue

Valeur maximum de l’échelle.

Double

MajorTicksCount

Nombre de graduations principales sur l’échelle.

Entier

MinorTicksCount

Nombre de graduations secondaires sur l’échelle.

Entier

TickNegativColor

Couleur des graduations négatives principales (dégradé de TickPositivColor).

Couleur

TickPositivColor

Couleur des graduations positives principales (dégradé de TickNegativColor).

Couleur

MinorTickColor

Couleur des graduations secondaires.

Couleur

ElementBorderBrush

Couleur de la bordure de l’élément.

Pinceau

ElementBackgroundBrush

Couleur de l’arrière-plan de l’élément.

Pinceau

ElementGlasReflection

Active l’effet vitré sur l’élément.

Visibilité

ElementFontFamily

Police de caractères de l’élément.

Police

IndicatorColor

Couleur de remplissage de la jauge.

Couleur

IndicatorBorderColor

Couleur de la bordure de la jauge.

Couleur

MajorTickSize

Taille des graduations principales sur l’échelle.

Dimension

MinorTickSize

Taille des graduations secondaires sur l’échelle.

Dimension

ScaleLetteringDistance

Distance de la légende de l’échelle (verticale) ; chaque xème graduation principale doit comporter une légende.

Entier

IndicatorScaleDistance

Distance entre la jauge et l’échelle (horizontale).

Double

ScaleFontSize

Taille de la police de caractères de l’élément.

Double

ScaleFontColor

Couleur de la police de caractères de l’échelle.

Couleur

Unit

Unité.

Chaîne

ElementStyle

Forme/type d’élément.

Enum :

  • SmallFrame
  • Unité
  • Aucun


Réglette universelle - UniversalReglerControl

Manuel -> Élément WPF -> Développement dans zenon -> Éléments prédéfinis -> Réglette universelle - UniversalReglerControl

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Propriété

Fonction

Valeur

CurrentValue

Valeur actuelle à afficher.

Double

ElementFontFamily

Police de caractères de l’élément.

Police

MinValue

Valeur minimum de l’échelle.

Double

MaxValue

Valeur maximum de l’échelle.

Double

Radius

Double

ScaleRadius

Rayon de l’échelle.

Double

ScaleStartAngle

Angle auquel commence l’échelle.

Double

ScaleLabelRotationMode

Alignement de la légende de l’échelle.

Enum :

  • Aucun
  • Automatique
  • SurroundIn
  • SurroundOut

ScaleSweepAngle

Section angulaire définissant la taille de l’échelle.

Double

ScaleLabelFontSize

Taille de la police de caractères de la légende de l’échelle.

Double

ScaleLabelColor

Couleur de la police de caractères de la légende de l’échelle.

Couleur

ScaleLabelRadius

Rayon suivant lequel est orientée la légende de l’échelle.

Double

ScaleValuePrecision

Précision de la légende de l’échelle.

Entier

ElementStyle

Type d’affichage de l’élément

Enum :

  • Bouton
  • Plaque
  • Aucun

MajorTickColor

Couleur des graduations principales sur l’échelle.

Couleur

MinorTickColor

Couleur des graduations secondaires sur l’échelle.

Couleur

MajorTickSize

Taille des graduations principales sur l’échelle.

Dimension

MinorTickSize

Taille des graduations secondaires sur l’échelle.

Dimension

MajorTicksCount

Nombre de graduations principales sur l’échelle.

Entier

MajorTicksShape

Forme/type des graduations principales sur l’échelle.

Enum :

  • Rectangle
  • Trapèze
  • Triangle

MinorTicksShape

Forme/type des graduations secondaires sur l’échelle.

Enum :

  • Rectangle
  • Trapèze
  • Triangle

MinorTicksCount

Nombre de graduations secondaires sur l’échelle.

Entier

BackgroundBorderBrush

Couleur de la bordure de l’élément.

Pinceau

BackgroundBrush

Couleur de l’arrière-plan de l’élément.

Pinceau

PointerCapColorBrush

Couleur du point d’attache du pointeur.

Pinceau

GaugeMiddlePlate

Rayon de la plaque centrale de l’élément d’arrière-plan.

Double

ValueFontSize

Taille de la police de l’affichage de la valeur.

Double

ValueFontColor

Taille de la police de l’affichage de la valeur.

Couleur

IsGlasReflection

Active l’effet vitré sur l’élément.

Booléen

KnobBrush

Couleur du bouton.

Pinceau

IndicatorBrush

Couleur de la jauge.

Pinceau

IndicatorBackgroundBrush

Couleur d’arrière-plan de la jauge inactive.

Pinceau

KnobSize

Diamètre du bouton.

Double

KnobIndicatorSize

Taille de la jauge du bouton.

Dimension

ElementSize

Taille de l’élément.

Dimension

VisibilityKnob

Activation du bouton.

Booléen

ValuePosition

Position de l’affichage de la valeur.

Double

ValueVisibility

Activation de l’affichage de la valeur.

Booléen


Diagramme en cascade

Manuel -> Élément WPF -> Développement dans zenon -> Éléments prédéfinis -> Diagramme en cascade

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Le diagramme cascade, L’élément WPF est accessible aux partenaires de COPA-DATA, par l’intermédiaire du site Web COPA-DATA Partner Community.

L’assistant Meaning and Waterfall Chart Wizard doit être utilisé pour modéliser un diagramme en cascade. Un diagramme en cascade peut être modélisé avec cet assistant. Les informations sont enregistrées directement dans les variables dans la propriété Paramètre pour le waterfall diagram (groupe de propriétés de la variable Analyzer).

Un exemple de diagramme en cascade dans le Runtime est illustré ci-dessous :

Remarque : Cette capture d’écran est uniquement disponible en anglais.

Les paramètres suivants peuvent être définis dans la fenêtre de configuration WPF sous COPADATA-ELEMENT :

Propriété | Fonction | Valeur
zenonRefreshRate | Délai entre les actualisations du diagramme, en ms. | Integer
zenonWaterfallIdentifier | Nom du diagramme en cascade. | String
zenonZSystemModel | Groupe d’équipements des variables utilisées. | String

Remarque : Une programmation supplémentaire dans VSTA est nécessaire pour l’affichage de diagrammes en cascade dans zenon Web Client. Vous trouverez des détails à ce sujet au chapitre Affichage d’éléments WPF dans zenon Web Client.

Liaison de barres à une fonction de zenon

Les barres d’un diagramme en cascade peuvent être liées à une fonction dans le Runtime. Dans le Runtime, les barres, les intitulés et l’affichage des valeurs d’exécution de la fonction sont cliquables.

Définissez la configuration suivante pour lier les colonnes de votre diagramme en cascade à une fonction :

  1. Configurez l’élément WPF pour le diagramme en cascade.
    Remarque : Pour cela, dans la mesure du possible, utilisez l’assistant Meaning and Waterfall Chart Wizard.
  2. Développez une fonction dans zenon.
    1. Créez une nouvelle fonction :

      Dans la barre d’outils ou le menu contextuel du nœud Fonctions, sélectionnez Nouvelle fonction.
      La boîte de dialogue de sélection d’une fonction s’affiche à l’écran.

    2. Sélectionnez la fonction de votre choix.
    3. Configurez les paramètres pour la fonction.
  3. Name the function in the Nom property.
    Remarque : Le nom de la fonction doit contenir les variables du diagramme en cascade sans code de couleurs.
    Vous trouverez également ces paramètres dans la propriété de la variable Paramètre pour le waterfall diagram, dans le groupe de propriétés Analyzer.
  4. Liez la fonction au même groupe d’équipements que les variables.
    Remarque : Vous trouverez cette liaison dans la propriété Groupes d'équipements de la fonction.

Les considérations suivantes s’appliquent à la configuration de ce projet :

  • La fonction et les variables liées doivent être présentes dans le même projet zenon.
  • Les variables doivent être liées à un groupe d’équipements.
  • La fonction doit être liée au même groupe d’équipements que les variables.

Example Exemple

Pour une barre avec la définition de cascade WF= WF1,02,05,#E9ED92; Le nom de la fonction (par exemple, Function_WF1,02,05) doit être utilisé.


Affichage d’éléments WPF dans zenon Web Client

Manuel -> Élément WPF -> Développement dans zenon -> Affichage d’éléments WPF dans zenon Web Client

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Pour pouvoir également utiliser les éléments WPF prêts à l’emploi "Diagramme de classe énergétique", "Diagramme Sankey" et "Diagramme en cascade" pour l’affichage dans zenon Web Client, des modifications doivent être apportées au projet :

  • Configuration dans zenon Editor
  • Adapter le code VSTA

Autres sujets abordés dans ce chapitre

Configuration dans zenon Editor

Code VSTA (complexe)

Code VSTA (simplifié)


Configuration dans zenon Editor

Manuel -> Élément WPF -> Développement dans zenon -> Affichage d’éléments WPF dans zenon Web Client -> Configuration dans zenon Editor

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Exécutez les étapes de configuration de projet suivantes dans zenon Editor, afin de pouvoir également afficher certains éléments dans zenon Web Client :

Placez l’élément WPF dans le synoptique zenon :

  • Placez l’élément WPF dans un synoptique zenon.
  • Attribuez-lui un nom unique dans la propriété Nom d'élément.
    Vous trouverez cette propriété dans le groupe de propriétés Général.
    Remarque : Une boîte de dialogue d’avertissement s’affiche si le nom d’un élément a déjà été attribué sur un autre synoptique.
  • Utilisez le nom de l’élément attribué ici, dans le code VSTA.


Code VSTA (complexe)

Manuel -> Élément WPF -> Développement dans zenon -> Affichage d’éléments WPF dans zenon Web Client -> Code VSTA (complexe)

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Pour ajouter le code de programmation pour l’affichage d’éléments WPF dans zenon Web Client, suivez ces instructions :

  1. Dans zenon Editor, accédez au nœud Interfaces de programmation.
  2. Sélectionnez le nœud VSTA, puis cliquez avec le bouton droit sur Ouvrir l’éditeur VSTA avec le module complémentaire du projet....
  3. La boîte de dialogue de création d’un projet VSTA s’affiche à l’écran.
  4. Sélectionnez l’entrée C# dans la boîte de dialogue Créer un nouveau projet VSTA.
  5. Créez (ou copiez) le code ci-dessous.
  6. Insérez le nom de l’élément WPF dans le code.

Remarque : Lors de l’ouverture de l’éditeur VSTA, notez si le code suivant est déjà présent dans la configuration du projet. Pour l’affichage de l’élément WPF dans Web Client, comparez le code existant et effectuez toute modification nécessaire. Veuillez consigner les commentaires à ce sujet dans le modèle de code.

Code VSTA

//As member:

zenOn.IDynPictures zScreens = null;

string[] WPFElements ={"WPF_Control", "WPFWebclient_1", "WPFWebclient_2" }; //Names of the WPF screen elements that appear in the zenon project and that need access to the API (as many/few as you want)

//Add the following three lines of code in the project archive function:

void ThisProject_Active()

{

zScreens = this.DynPictures();

zScreens.Open += new zenOn.DDynPicturesEvents_OpenEventHandler(zScreens_Open);

zScreens.Close += new zenOn.DDynPicturesEvents_CloseEventHandler(zScreens_Close);

}

//Add the following two lines of code in the project inactive function:

void ThisProject_Inactive()

{

zScreens.Open -= new zenOn.DDynPicturesEvents_OpenEventHandler(zScreens_Open);

zScreens.Close -= new zenOn.DDynPicturesEvents_CloseEventHandler(zScreens_Close);

//Final release and garbage collection of any API-Objects.

FreeObjects();

}

//Add two new event handlers:

void zScreens_Open(zenOn.IDynPicture obDynPicture)

{

foreach (string element in WPFElements)

{

if (obDynPicture.Elements().Item(element) != null)

{

obDynPicture.Elements().Item(element).set_WPFProperty("ELEMENT", "zenonVariableLink", this.Variables().Item(0));

}

}

}

void zScreens_Close(zenOn.IDynPicture obDynPicture)

{

foreach (string element in WPFElements)

{

if (obDynPicture.Elements().Item(element) != null)

{

zenOn.IElement zWPFElement= obDynPicture.Elements().Item(element);

zWPFElement.set_WPFProperty("ELEMENT", "zenonTrigger", true);

zWPFElement = null;

}

}

}


Code VSTA (simplifié)

Manuel -> Élément WPF -> Développement dans zenon -> Affichage d’éléments WPF dans zenon Web Client -> Code VSTA (simplifié)

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Si un seule élément WPF est utilisé dans un synoptique zenon, le code simplifié suivant peut également être utilisé. Pour cela, les noms de l’élément WPF et dun synoptique dans lequel il est utilisé doivent être insérés. Ce code est ensuite recommandé si, pour chaque projet, un seul des éléments WPF prêts à l’emploi est utilisé.

Code VSTA

zenOn.IDynPicture zScreen = zero;

string wpfElement = "WPF_Control"; //Name of the WPF element in the screen

string wpfPicture = "@Details_Overview_Online"; //Name of the zenon screen

//Add to the project active function:

void ThisProject_Active()

{

zScreen = this.DynPictures().Item(wpfPicture);

zScreen.Open += new zenOn.OpenEventHandler(zScreen_Open);

zScreen.Close += new zenOn.CloseEventHandler(zScreen_Close);

}

//Add to the project inactive function:

void ThisProject_Inactive()

{

zScreen.Open -= new zenOn.OpenEventHandler(zScreen_Open);

zScreen.Close -= new zenOn.CloseEventHandler(zScreen_Close);

//Final release and garbage collection of any API-Objects.

FreeObjects();

}

void zScreen_Open()

{

if (zScreen.Elements().Item(wpfElement) != null)

{

zScreen.Elements().Item(wpfElement).set_WPFProperty("ELEMENT", "zenonVariableLink", this.Variables().Item(0));

}

}

void zScreen_Close()

{

if (zScreen.Elements().Item(wpfElement) != null)

{

zenOn.IElement zWPFElement = zScreen.Elements().Item(wpfElement);

zWPFElement.set_WPFProperty("ELEMENT", "zenonTrigger", true);

zWPFElement = null;

}

}


Exemples : Intégration de WPF dans zenon

Manuel -> Élément WPF -> Développement dans zenon -> Exemples : Intégration de WPF dans zenon

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Les exemples suivants décrivent la création de fichiers XAML et leur intégration sous forme d’éléments WPF dans zenon :

  • Intégration d’un bouton sous forme d’élément WPF XAML dans zenon
  • Intégration d’un bargraphe sous forme d’élément WPF XAML dans zenon
  • Intégration d’un contrôle DataGrid dans zenon

Autres sujets abordés dans ce chapitre

Intégration d’un bargraphe sous forme d’élément WPF XAML dans zenon

Intégration d’un bouton sous forme d’élément WPF XAML dans zenon

Intégration d’un contrôle DataGrid dans zenon


Intégration d’un bargraphe sous forme d’élément WPF XAML dans zenon

Manuel -> Élément WPF -> Développement dans zenon -> Exemples : Intégration de WPF dans zenon -> Intégration d’un bargraphe sous forme d’élément WPF XAML dans zenon

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Exemple de structure :

  • Création d’un bargraphe dans Adobe Illustrator et conversion au format WPF
  • Intégration dans zenon
  • Liaison avec des variables
  • Adaptation du bargraphe à l’élément WPF

Créer le bargraphe

La première étape consiste à générer un bargraphe conformément aux indications fournies au chapitre Flux de travail avec Adobe Illustrator. Pour pouvoir utiliser le fichier XAML dans zenon, insérez ceci dans l’arborescence du projet dans le dossier Fichiers/graphiques.

Intégration d’un bargraphe

Remarque : Un projet zenon doté du contenu suivant est utilisé pour la description suivante :

  • Un synoptique vide en tant que synoptique de départ
  • Quatre variables du driver interne pour :
    • Échelle 0
    • Échelle centrale
    • Échelle élevée
    • Valeur actuelle
  • Une variable provenant du driver mathématique permettant d’afficher la valeur actuelle (255).

Pour intégrer le bargraphe :

  1. Ouvrez le synoptique vide.
  2. Insérez un élément WPF dans le synoptique.
  3. Sélectionnez Fichier XAML dans la fenêtre des propriétés.
  4. Sélectionnez le fichier XAML souhaité (par exemple, bar graph_vertical.xaml) et fermez la boîte de dialogue.

Ajuster le bargraphe

Avant la configuration, l’échelle du fichier XAML doit être adaptée, si nécessaire :

Pour cela :

  • Créez une nouvelle variable mathématique qui calcule la nouvelle valeur par rapport à l’échelle, par exemple :
  • Variable : 0-1000
  • Variable mathématique {valeur créée dans le fichier xaml}*Variable/1000

    Le fichier XAML est alors configuré.

Configurer le bargraphe

  1. Cliquez sur l’élément WPF et sélectionnez la propriété Configuration.
  2. La boîte de dialogue de configuration affiche un aperçu du fichier XAML sélectionné.
  3. Sélectionnez la valeur minimum, la valeur moyenne et la valeur maximum et liez chacune de ces valeurs à la variable correspondante dans la propriété Contenu.

  4. Sélectionnez la réglette et liez la propriété Valeur aux variables mathématiques (dans notre exemple : calculation).
  5. Contrôlez le projet de planification dans le Runtime :


Intégration d’un bouton sous forme d’élément WPF XAML dans zenon

Manuel -> Élément WPF -> Développement dans zenon -> Exemples : Intégration de WPF dans zenon -> Intégration d’un bouton sous forme d’élément WPF XAML dans zenon

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Exemple de structure :

  • Création d’un bouton dans Microsoft Expression Blend
  • Intégration dans zenon
  • Lien à une variable et une fonction
  • Ajustement du bouton à la taille de l’élément
  • Créez le bouton

Lors de la première étape, créez un bouton conformément aux indications fournies au chapitre Créer un bouton sous forme de fichier XAML dans Microsoft Expression Blend. Pour pouvoir utiliser le fichier XAML dans zenon, insérez ceci dans l’arborescence du projet dans le dossier Fichiers/graphiques.

Intégrer le bouton

Remarque : Un projet zenon doté du contenu suivant est utilisé pour la description suivante :

  • Un synoptique vide en tant que synoptique de départ
  • Une variable interne int de type Int
  • Une fonction Fonction_0 de type Envoi d’une valeur vers matériel, avec :
    • L’option Directement sur matériel activée
    • L’ensemble a été défini sur 45

Pour intégrer le bouton :

  1. Ouvrez le synoptique vide.
  2. Insérez un élément WPF dans le synoptique.
  3. Sélectionnez Fichier XAML dans la fenêtre des propriétés.
  4. Sélectionnez le fichier XAML (par exemple, MyButton.xaml) et fermez la boîte de dialogue
  5. Sélectionnez la propriété Configuration.

Configurez le bouton

La boîte de dialogue de configuration affiche un aperçu du fichier XAML sélectionné. Tous les éléments nommés dans le fichier XAML sont mentionnés dans l’arborescence :

  1. Sélectionnez le bouton WPF, qui se trouve dans LayoutRoot->MyViewBox->MyButton.
  2. Consultez l’onglet Contenu de l’entrée Propriétés ; celui-ci contient le texte du bouton.
  3. Cliquez sur la colonne Type de lien.
  4. Sélectionnez Variable dans la liste déroulante.
  5. Cliquez sur la colonne Lien.
  6. La boîte de dialogue de sélection de variables s’affiche.
  7. Sélectionnez la variable int pour lier cette variable à la propriété Contenu.

Événements

Pour attribuer des événements :

  1. Sélectionnez l’onglet Événements.

  2. Recherchez l’entrée "Clic" ; cet événement est déclenché par l’élément WPF dès que l’utilisateur clique sur le bouton.
  3. Cliquez sur la colonne Type de lien.
  4. Sélectionnez Fonction dans la liste déroulante.
  5. Cliquez sur la colonne Lien.
  6. La boîte de dialogue de sélection de fonctions s’ouvre.
  7. Sélectionnez Function_0.
  8. Confirmez les modifications en cliquant sur OK.
  9. Insérez un élément valeur numérique dans le synoptique.
  10. Vous pouvez également lier cet élément valeur numérique aux variables int.
  11. Compilez les fichiers du Runtime et démarrez le Runtime.

L’élément WPF est affiché dans le Runtime ; le texte du bouton est 0. Lorsque vous cliquez sur le bouton, l’événement Clic est déclenché et la fonction valeur prescrite est exécutée. La valeur 45 est transmise directement au matériel, et la valeur numérique et le bouton affichent tous deux la valeur 45 .

Définissez une valeur prescrite de 30 via l’élément valeur numérique ; cette valeur est alors reprise par l’élément WPF.

Autorisation

A l’image d’une valeur numérique, un élément WPF peut être verrouillé en fonction des autorisations (symbole représentant un cadenas), ou être déverrouillé pour être actionnable. Réglez le niveau d’autorisation utilisateur sur 1 pour l’élément WPF et créez un utilisateur appelé Test possédant le niveau d’autorisation 1. Ensuite, définissez les fonctions Connexion avec boîte de dialogue et Déconnexion. Liez ensuite ces deux fonctions aux deux nouveaux boutons avec texte affichés sur le synoptique.

Dans la boîte de dialogue de configuration de l’élément WPF, sélectionnez le bouton WPF MyButton, puis sélectionnez l’onglet Propriétés.

  1. Sélectionnez l’élément IsEnabled.
  2. Cliquez sur la colonne Type de lien.
  3. Sélectionnez Autorisations/verrouillage dans la liste déroulante.
  4. Cliquez sur la colonne Lien.
  5. Dans la liste déroulante, sélectionnez l’option Autorisé.

  6. Fermez la boîte de dialogue en cliquant sur OK.

Compilez le fichier Runtime ; notez bien que vous devez également sélectionner Autorisations utilisateur à transférer. Après le démarrage du Runtime, le bouton WPF apparaît désactivé sur le synoptique et ne peut pas être actionné. Connectez-vous maintenant en tant qu’utilisateur Test ; le bouton est activé et peut être actionné. Le bouton est verrouillé à nouveau dès que vous vous déconnectez.

Transformation

Les fichiers XAML doivent encore être adaptés pour que les transformations soient utilisables :

  1. Basculez vers le programme Expression Blend .
  2. Sélectionnez MyButton, afin que les propriétés de l’élément soient visibles dans la fenêtre des événements.

  3. Sous Transformer au niveau de l’entrée Transformation de rendu, sélectionnez l’option Appliquer une transformation de rendu.

    Un bloc est alors inséré dans le fichier XAML, dans lequel les paramètres de transformation dans le Runtime sont enregistrés.

  4. Enregistrez le fichier et remplacez l’ancienne version dans zenon par ce nouveau fichier.
  5. Ouvrez à nouveau la boîte de dialogue de configuration de l’élément WPF :
    1. Sélectionnez le bouton MyButton.
    2. Sélectionnez l’onglet Transformations.

    1. Sélectionnez l’élément RotateTransform.Angle.
    2. Cliquez sur la colonne Type de lien.
    3. Sélectionnez Transformations dans la liste déroulante.
    4. Cliquez sur la colonne Lien.
    5. La boîte de dialogue de sélection de variables s’affiche.
    6. Sélectionnez la variable int pour lier cette variable à la propriété RotateTransform.Angle.

Compilez les fichiers du Runtime et démarrez le Runtime. Connectez-vous en tant qu’utilisateur Test, puis cliquez sur le bouton. Le bouton comporte la valeur 45 et l’élément WPF pivote de 45°.


Intégration d’un contrôle DataGrid dans zenon

Manuel -> Élément WPF -> Développement dans zenon -> Exemples : Intégration de WPF dans zenon -> Intégration d’un contrôle DataGrid dans zenon

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Pour créer un contrôle DataGrid pour zenon, vous avez besoin des outils suivants :

  • Visual Studio (Visual Studio 2015, dans cet exemple)

Création d’un contrôle utilisateur .NET

  1. Dans Visual Studio, créez une nouvelle Solution et un projet WPF User Control Library dans .NET Framework (version 4 ou supérieure).

    Information : Si le modèle d’objet correspondant ne s’affiche pas dans la liste des modèles disponibles, il peut être ajouté grâce à la fonction de recherche (le champ de saisie est situé dans la partie supérieure droite du dialogue).

    Dans notre exemple, le projet porte le nom DataGridControlLibrary.

  2. Créez une nouvelle connexion de données dans l’Explorateur de serveurs (Server Explorer).

    Dans notre exemple, nous utilisons la base de données Northwind, qui est un exemple de base de données fourni par Microsoft, disponible en téléchargement gratuit.

    Pour configurer la connexion à la base de données :

    1. Cliquez avec le bouton droit sur Data Connections.
    2. Sélectionnez Add connection….
    3. Sélectionnez Microsoft SQL Server (SQLClient) en tant que Data source.
    4. Sélectionnez les noms de serveur et de base de données correspondant.

    Une fois la connexion ajoutée, la fenêtre de l’Explorateur de serveurs doit ressembler à ceci :

    Un nouveau jeu de données est créé à l’étape suivante.

Création d’un jeu de données

  1. Cliquez avec le bouton droit sur le projet.
  2. Sélectionnez Add – New Item… dans le menu contextuel.
  3. Créez un nouveau DataSet avec le nom DataSet1.
  4. Double-cliquez sur le jeu de données pour l’ouvrir dans l’interface de configuration.
  5. Faites glisser les tables dont vous avez besoin (Customers et Orders, dans cet exemple) vers la fenêtre principale de configuration du jeu de données.

Le fichier XAML est modifié à l’étape suivante.

Configuration du fichier XAML

  1. S’il n’est pas déjà présent, ajoutez l'Namespace en tant que référence à la classe dans le fichier XAML :

  2. Définissez les ressources et le contrôle DataGrid que vous souhaitez utiliser dans l’élément WPF :

    <UserControl.Resources>

    <local:DataSet1 x:Key="DataSet1"/>

    <CollectionViewSource x:Key="CustomersViewSource" Source="{Binding Path=Customers, Source={StaticResource DataSet1}}"/>

    </UserControl.Resources>

    <Grid DataContext="{StaticResource CustomersViewSource}">

    <DataGrid Name="DataGrid1" DisplayMemberPath="CompanyName" ItemsSource="{Binding}" SelectedValuePath="CustomerID" HorizontalAlignment="Stretch" VerticalAlignment="Stretch"/>

    </Grid>

  3. Ouvrez le fichier code-behind (UserControl1.xaml.cs) et insérez les lignes suivantes dans le module de création :

    public UserControl1()

    {

    InitializeComponent();

    DataSet1 ds = ((DataSet1)(FindResource("DataSet1")));

    DataSet1TableAdapters.CustomersTableAdapter ta = new DataSet1TableAdapters.CustomersTableAdapter();

    ta.Fill(ds.Customers);

    CollectionViewSource CustomersViewSource = ((CollectionViewSource)(this.FindResource("CustomersViewSource")));

    CustomersViewSource.View.MoveCurrentToFirst();

    }

    Les événements suivants se produisent alors :

    • Le paramètre DataSet est obtenu
    • Un nouveau paramètre TableAdapter est créé
    • Le paramètre DataSet est renseigné
    • Les informations sont fournies au contrôle DataGrid

La solution peut maintenant être créée.

Création

Maintenant, créez la solution. Le fichier DLL correspondant (DataGridControlLibrary.dll) est créé dans le dossier de sortie du projet.

Vous disposez maintenant d’un fichier DLL doté des fonctionnalités requises.

Toutefois, puisque zenon peut uniquement afficher les fichiers XAML ne contenant pas un lien vers un fichier code-behind, un fichier XAML supplémentaire, référençant la bibliothèque (l’ensemble) que vous venez de créer est nécessaire.

Pour cela :

  1. Créez un nouveau projet, cette fois encore sous forme de WPF User Control Library.
  2. Celui-ci est intitulé DataGridControl dans notre exemple.
  3. Insérez une référence au projet que vous venez d’intégrer à ce nouveau projet.

  4. Les fichiers XAML (UserControl1.xaml) se présentent comme suit :

  5. Les contenus nécessaires sont présents dans le fichier DLL, et aucun fichier code-behind n’est nécessaire ; vous pouvez donc supprimer ceci :

    x:Class="DataGridControl.UserControl1"

    xmlns:local="clr-namespace:DataGridControl"

  6. Supprimez également les lignes suivantes, relatives au positionnement :

    mc:Ignorable="d"

    d:DesignHeight="300" d:DesignWidth="300"

  7. Supprimez le fichier code-behind (UserControl1.xaml.cs) de ce projet.
  8. Définissez les contenus devant être affichés dans le fichier XAML.

    Pour cela, modifiez le fichier XAML comme ceci :

    <UserControl xmlns="http://schemas.microsoft.com/winfx/2006/xaml/presentation"

    xmlns:x="http://schemas.microsoft.com/winfx/2006/xaml"

    xmlns:mc="http://schemas.openxmlformats.org/markup-compatibility/2006"

    xmlns:d="http://schemas.microsoft.com/expression/blend/2008"

    xmlns:dataGridLibrary="clr-namespace:DataGridControlLibrary;assembly=DataGridControlLibrary">

    <Grid x:Name="Grid1">

    <dataGridLibrary:UserControl1 Name="DataGridControl" HorizontalAlignment="Left" VerticalAlignment="Top"/>

    </Grid>

    </UserControl>

    La ligne xmlns:dataGridLibrary="clr-namespace:DataGridControlLibrary;assembly=DataGridControlLibrary" définit l’espace de nom dataGridLibrary et stipule que celui-ci doit utiliser l’ensemble précédemment créé.

  9. Attribuez un nom à la grille.
  10. Insérez le contrôle dataGridLibrary:UserControl1 provenant de la bibliothèque et donnez-lui un nom ; zenon peut uniquement modifier les objets comportant un nom.
  11. Créez la solution.

À l’étape suivante, nous expliquerons comment ajouter des fichiers DLL et XAML dans zenon.

Étapes dans zenon

  1. Ouvrez zenon Editor
  2. Sélectionnez Fichier -> Éléments graphiques.
  3. Sélectionnez Ajouter fichier... dans le menu contextuel.

  4. Sélectionnez le fichier XAML à l’emplacement auquel il est enregistré (fichier UserControl1.xaml du projet DataGridControl) et ajoutez ceci :

  5. Insérez les fichiers DLL contenant les fonctionnalités du fichier XAML.

    Pour cela :

    1. Dans le menu contextuel, sélectionnez la commande Fichier -> Autres, puis Ajouter fichier...
    2. Sélectionnez le fichier DataGridControlLibrary.dll du premier projet (DataGridControlLibrary).

  6. Créez un synoptique zenon.
  7. Ajoutez un élément WPF, puis sélectionnez le fichier XAML précédemment incorporé.

    Vous devriez maintenant voir les informations suivantes dans zenon Editor :

  8. Démarrez le Runtime de zenon pour tester le contrôle dans cet environnement également.

Tipp Conseil

Les fichiers DLL appartenant à un élément WPF (référencé par le fichier XAML lié) peuvent également être remplacés dans Editor pendant le fonctionnement.
Pour remplacer un fichier DLL :

  • Fermez tous les synoptiques zenon dans lesquels est utilisé l’élément WPF.
  • Fermez tous les symboles utilisant l’élément WPF souhaité.
  • Dans l’Explorateur Windows, remplacez le fichier DLL dans le dossier \wpfache des fichiers d’Editor.
    Ce dossier se trouve dans le répertoire SQL, sous
    ...\GUID-PROJET\FILES\zenon\custom\wpfcache

Outre le remplacement du fichier dans l’Explorateur, vous pouvez également le remplacer directement dans zenon Editor ; pour cela :

  • Dans les paramètres du projet Visual Studio, spécifiez une version de fichier DLL supérieure.
  • Créez le nouveau fichier DLL.
  • Fermez tous les synoptiques zenon dans lesquels est utilisé l’élément WPF.
  • Fermez tous les symboles utilisant l’élément WPF souhaité.
  • Dans zenon Editor, supprimez le fichier DLL du dossier \Files\Other, puis ajoutez le fichier possédant le numéro de version supérieur.


Traitement des erreurs

Manuel -> Élément WPF -> Développement dans zenon -> Traitement des erreurs

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Entrées dans les fichiers journaux

Entrée | Niveau | Signification
Xaml file found in %s with different name, using default! | Avertissement | Le nom du fichier collectif et le nom du fichier XAML qu’il contient ne correspondent pas. Pour éviter tout conflit interne, le fichier portant le nom du fichier collectif et le suffixe .xaml sera utilisé.
no preview image found in %s | Avertissement | Le fichier collectif ne contient aucun aperçu graphique valide (preview.png ou [nom du fichier XAML].png). Par conséquent, aucun aperçu ne peut être affiché.
Xaml file in %s not found or not unique! | Erreur | Le fichier collectif ne contient aucun fichier XAML, ou contient plusieurs fichiers portant le suffixe .xaml. Il ne peut pas être utilisé.
Could not remove old assembly %s | Avertissement | Un ensemble doit être remplacé par une version plus récente, mais il ne peut pas être supprimé.
Could not copy new assembly %s | Erreur | Une nouvelle version d’un ensemble situé dans le dossier de travail est disponible, mais il ne peut pas être copié à cet emplacement. Causes possibles : l’ancien exemple est encore chargé, par exemple. L’ancienne version continue à être utilisée, et la nouvelle version ne peut pas être utilisée.
file exception in %s | Erreur | Une erreur de fichier s’est produite lors de l’accès à un fichier collectif.
Generic exception in %s | Erreur | Une erreur générale s’est produite lors de l’accès à un fichier collectif.


Energy Edition (Produit Energie)

Manuel -> Energy Edition (Produit Energie)

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

zenon Energy Edition est une suite dotée de fonctionnalités spéciales pour l’industrie de la production d’énergie et des technologies procédurielles. L’utilisateur bénéficie de fonctions faciles à déployer, qui autorisent l’ajustement individuel de l’application à l’environnement physique.

tutorial Informations concernant la licence

Ce module doit disposer d’une licence dans Editor et le Runtime.

Energy Edition propose également les fonctions suivantes :

  • Gestion de commandes
  • CAL (Coloration Automatique des Lignes) : déjà incluse dans la licence du module Energy Edition, fournit des propriétés de coloration de lignes de base.
  • Séquences de commandes
  • Transformation d’éléments topologiques
  • Pack Topologie : nécessite l'ajout de licences au niveau du serveur (pas du client) et étend le module CAL avec les fonctions suivantes :
    • Alimentation multiple
    • Alimentation sécurisée
    • Verrouillages topologiques
    • Déconnexion d’éléments topologiques
    • Détection d’erreur et recherche de défaut de terre

Autres sujets abordés dans ce chapitre

Coloration Automatique des Lignes (CAL) - Topologie

Command Processing


Coloration Automatique des Lignes (CAL) - Topologie

Manuel -> Energy Edition (Produit Energie) -> Coloration Automatique des Lignes (CAL) - Topologie

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

La coloration topologique des lignes permet d’attribuer un effet dynamique automatique aux tubes des composants technologiques (médias) et aux lignes de distribution d’énergie (pour l’électricité). Ainsi, la coloration de réseaux topologiques contrôlée par le procédé peut être réalisée facilement.

Parce que la structure des tubes est définie dans les synoptiques avec tous ses éléments technologiques (par exemple, les réservoirs et les vannes ou les générateurs, les commutateurs et les consommateurs d’énergie), elle est émulée en tant que modèle et le flux est affiché dans le Runtime.

Pour permettre les modèles de chevauchement dans les synoptiques, la conception et la configuration intégrales sont toujours gérées globalement au niveau du projet. Vous disposez ainsi d’un modèle topologique complet, utilisé pour la simulation des états des tubes et, finalement, pour la coloration des tubes.

La topologie entière est générée automatiquement à partir de la conception graphique. Aucune autre action de développement n’est nécessaire.

info Informations

L’algorithme du module CAL s’exécute une fois seulement, depuis une source commençant au niveau de chaque interrupteur.

Synoptiques de détail

Pour afficher des synoptiques individuels, une section partielle peut être sélectionnée dans le réseau topologique et affichée individuellement, au moyen d’alias. Un synoptique de détail peut donc être affiché avec les données provenant de différents composants d’équipements, tels que des sorties ou des réseaux partiels.

tutorial Informations concernant la licence

Ces fonctions ou modules doivent disposer d’une licence pour Editor et le Runtime (autonome, serveur, veille).

Aucune licence n’est nécessaire pour le client de Runtime.

La gestion des licences est assurée par le module zenon Energy Edition.

  • CAL : inclus dans la licence du module Energy Edition ; fournit des propriétés de coloration de lignes de base.
  • Pack Topologie : nécessite l’ajout de licences au niveau du serveur (pas du client) et étend le module CAL avec les fonctions suivantes :
    • Alimentation multiple
    • Alimentation sécurisée
    • Verrouillages topologiques
    • Éléments topologiques Transformateur et Séparateur
    • Détection d’erreur (version 6.50 et ultérieures)

Autres sujets abordés dans ce chapitre

Éléments CAL

Configuration

Fonction : Modifier la couleur de la source (CAL)

Alias pour les synoptiques détaillés

Localisation de défauts sur les réseaux électriques

Détection des erreurs par impédance et calcul de la répartition de charge


Éléments CAL

Manuel -> Energy Edition (Produit Energie) -> Coloration Automatique des Lignes (CAL) - Topologie -> Éléments CAL

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

La fonction de coloration automatique des lignes (CAL) permet de colorer les lignes en fonction de l’état du procédé. L’élément combiné est utilisé comme élément de procédé. Le module de Coloration automatique des lignes permet de définir automatiquement un effet dynamique pour les tuyaux, tubes ou lignes dans le secteur des technologies (pour les médias), ainsi que dans les réseaux topologiques (pour l’électricité).

Développement

Pour la configuration, on distingue deux types d’éléments de synoptique avec différentes fonctions. Il s’agit d’une part d’éléments de procédure (source, interrupteur/disjoncteur, drain, transformateur et/ou liaison) et, d’autre part, de lignes.

Dans ce contexte, les éléments techniques comportent une fonction et une couleur (source et transformateur). Si les éléments de procédure sont actifs, les lignes connectées adoptent la couleur de ces éléments à la source et au transformateur, ou adoptent la couleur de la ligne d’entrée de l’élément pour l’interrupteur et la liaison. Si les éléments de procédure sont inactifs, la couleur des lignes est reprise de la définition dans Editor.

Les différentes fonctionnalités des éléments sont définies dans les propriétés de l’élément combiné.

Exemple

Une source a une ligne connectée. Un interrupteur est connecté à la ligne. Et une seconde ligne est connectée aussi. Si la source est active, la première ligne est colorée avec la couleur de coloration automatique des lignes définie pour la source, jusqu’à l’interrupteur. L’autre ligne n’est pas colorée avant la fermeture de l’interrupteur.

Source inactive

Source active

Interrupteur fermé

Non défini ou non valide

info Informations

Si l’état de l’élément de procédure est Non défini ou Défaillance, cet état est détecté automatiquement. Toutes les lignes connectées et tous les éléments suivants sont affichés dans la couleur de la source prédéfinie non définie, dans les deux états.

Nombre de commutateurs fermés en série

Pour garantir le bon fonctionnement de l’algorithme CAL, il est important de tenir compte du nombre de commutateurs fermés connectés en série.

Recommandation : ne pas dépasser 256 commutateurs fermés en série entre la source et le drain.

Autres sujets abordés dans ce chapitre

Éléments procéduraux

Lignes

Vérification du projet


Éléments procéduraux

Manuel -> Energy Edition (Produit Energie) -> Coloration Automatique des Lignes (CAL) - Topologie -> Éléments CAL -> Éléments procéduraux

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Les éléments procéduraux sont créés dans zenon à l’aide d’un élément combiné. Leur état détermine la coloration de la ligne connectée.

Les paramètres suivants sont disponibles :

Propriété

Description

Le type de fonction

Cela définit le type technologique de l’élément combiné.

Terminaison

Pour les côtés barre omnibus. Bloque l’affichage du message d’erreur Ligne connectée d’un côté seulement lors de la compilation dans Editor.

Générateur

Un générateur se comporte généralement comme une source, mais il est considéré comme indépendant et non synchrone.

Aucune fonction

L’élément ne comporte aucune fonction dans le module Coloration Automatique des Lignes.
Remarque : Le type de fonction Aucune fonction est la valeur par défaut.

Lien

Avec un lien, une ligne peut être continuée à un autre emplacement. Si un lien est affecté par une ligne, tous les autres liens avec le même numéro de lien sont également affectés par cette ligne. Ici, peu importe si les liens sont sur le même synoptique ou dans d’autres synoptiques du projet. De cette façon, des lignes indépendantes des synoptiques peuvent être définies. Il est possible d’avoir plus de 2 liens connectés au même numéro de lien dans un projet.

Les liens peuvent être alimentés par plusieurs lignes en même temps, et peuvent également alimenter plusieurs lignes. En principe, il n’y a pas de différence entre les entrées et les sorties. L’information source est toujours transmise à toutes les lignes connectées.
Attention : Deux éléments "Lien" ne peuvent pas être connectés directement à une ligne. Entre les deux, il doit exister au moins un autre élément procédural (commutateur/sectionneur ou transformateur).
Un lien ne peut pas être activé ou désactivé ; il est toujours actif.

Source

Transmet sa couleur. Si la source est active (valeur : 1), toutes les lignes connectées pour lesquelles l’option Couleur définie par CAL est définie dans les propriétés de l’élément reçoivent la couleur de la source. Les couleurs des sources sont définies dans les propriétés du projet. (par ex. cuves ou générateurs). Une source est un pôle unique auquel est associé un numéro de source unique. La source peut être commutée en fonction de l’état de sa variable principale. En règle générale, les sources sont considérées comme synchrones avec le réseau et amovibles.

Pour des informations détaillées concernant la source, reportez-vous au chapitre Configuration des sources.

Commutateur

Avec ceci, les lignes peuvent être interrompues. Si l’interrupteur est fermé/actif (valeur : 1), la connexion entre les deux lignes est fermée et la ligne est colorée avec la couleur définie pour la source jusqu’au prochain interrupteur. Dans ce cas, un interrupteur transmet la couleur de la source de la ligne d’entrée vers la ligne de sortie.

Si l’état de l’interrupteur est non valide (valeur : 3) ou non défini (valeur : 2) ou si l’état de la variable principale est NON VALIDE, la ligne est colorée dans la couleur non définie issue de la configuration du module CAL dans les propriétés de projet. Ainsi, un interrupteur transmet le numéro de source 0 (UNDEFINED) au niveau de sa sortie (connexion 2), au lieu du numéro de la source entrante.

Exemple : se reporter à la section Exemple d’interrupteur - Couleurs de la fonction CAL.

Remarque : Si la propriété Commuter entrée/sortie est active, l’entrée et la sortie de cet élément sont inversées pour la fonction CAL.

Vanne

Une réglette (vanne) se comporte de la même manière qu’un commutateur, à ceci près qu’elle est utilisée pour les conduites d’eau et de gaz.

Valeur de la variable principale :

  • Interrupteur DÉSACTIVÉ : Valeur 0 -> vanne en position fermée -> pas d’écoulement d’eau
  • Réglette ACTIVE : valeur 1 -> vanne en position fermée -> pas d’écoulement d’eau
  • Réglette DIF : valeur 2 -> vanne en position partiellement ouverte -> écoulement d’eau
  • Réglette STO : valeur 3 -> défaillance de la vanne

Remarque : Si la propriété Commuter entrée/sortie est active, l’entrée et la sortie de cet élément sont inversées pour la fonction CAL.

Drain

Ceci définit la fin de la ligne. Le drain n’influence pas la coloration ; il est uniquement utilisé pour permettre l’affichage du modèle en totalité. Si un programme externe (par exemple, VBA) voulait accéder au modèle, alors le drain serait probablement nécessaire pour pouvoir faire d’autres calculs, et donc il doit être inséré.
Dans les projets du module Energy, le drain est utilisé pour représenter les consommateurs. Ces éléments sont utilisés pour calculer les verrouillages topologiques "L’appareil ne sera pas alimenté" du module CAL (dans le cadre de la gestion de commande).

Clapet antiretour

Le clapet antiretour transmet uniquement des informations dans une direction.

Valeur de la variable principale :

  • Valeur 0 :
    La transmission d’informations n’est pas active (= clapet fermé)
  • Valeur 1 ou 2 :
    La transmission d’informations est possible dans une direction seulement. Dans ce cas, la couleur de la source est uniquement transmise de l’entrée à la sortie. La transmission dans la direction opposée n’est pas assurée. Ceci affecte également la transmission de la terre.
  • Valeur 3 :
    La transmission d’informations n’est pas définie. Ceci se produit par exemple en cas de défaillance du clapet antiretour. Dans ce cas, l’état est uniquement transmis au niveau de la sortie.

Remarque : Si la propriété Commuter entrée/sortie est active, l’entrée et la sortie de cet élément sont inversées pour la fonction CAL.

Le clapet antiretour est également pris en compte par les verrouillages topologiques.

Transformateur

Un transformateur est un drain et une source en même temps. Donc avec un transformateur, la couleur d’entrée (source d’entrée) peut être transformée en une nouvelle couleur de sortie (couleur source du transformateur).
La ligne de sortie est uniquement définie comme active lorsque le transformateur comporte une ligne d’entrée active. Toutefois, la ligne de sortie ne reçoit pas la couleur de la ligne d’entrée comme avec un commutateur, mais reçoit au lieu de ça la couleur source du transformateur. Donc une source doit être définie pour chaque transformateur. Un transformateur ne peut pas être activé ou désactivé, il est toujours actif.

Remarque : Si la propriété Commuter entrée/sortie est active, l’entrée et la sortie de cet élément sont inversées pour la fonction CAL.

Transformateur compatible avec une production réversible :

Pour obtenir un transformateur compatible avec une production réversible, vous devez sélectionner une source autre qu’UNDEFINED [0] pour l’élément Source pour alimentation inverse. Cela signifie que le transformateur se comporte de la même manière dans les deux directions : de l’entrée vers la sortie (en avant), mais également de la sortie vers l’entrée (en arrière). La seule différence est que la propriété Source pour alimentation inverse est utilisée pour la distribution ultérieure du numéro de source, et non la propriété Source.

Remarque : Les états de réseau défaillants ou les configurations manquantes, tels qu’un signal provenant de l’entrée et de la sortie en même temps ou qu’un court-circuit à l’entrée et à la sortie, ne sont pas colorés de manière particulière. Cela signifie que le transformateur capable d’assurer une production réversible se comporte comme deux transformateurs commutés de manière antiparallèle, qui ne sont pas capables d’assurer une production réversible.

Sectionneur

Un sectionneur se comporte généralement comme un commutateur. Toutefois, un sectionneur dans le modèle topologique ne doit pas être activé ou désactivé lorsqu’il est en charge (verrouillage topologique "Sectionneur en charge" dans la gestion de commande).

À l’image de l’interrupteur, la variable détermine l’état : Marche, Arrêt, Position intermédiaire, Défaillance.

Remarque : Si la propriété Commuter entrée/sortie est active, l’entrée et la sortie de cet élément sont inversées pour la fonction CAL.

Les nombres sources indiqués pour les types de fonctions de la source et du transformateur sont transmis aux appareils (drains) par l’intermédiaire des interrupteurs fermés (sectionneurs, réglettes, etc.). Les couleurs de l’ensemble des lignes connectées et éléments procéduraux sont calculées à partir de la somme de rang supérieur des nombres sources d’alimentation.

Numéro de source et de lien

Paramètre

Description

Source

Ici une source peut être assignée à un élément. Dans la liste, on trouve toutes les sources définies dans les propriétés CAL du projet. Tous les noms de sources sont affichés.
Cette propriété est uniquement active si le type de fonction sélectionné est Source, Transformateur ou Générateur.

Pour des informations détaillées concernant la source, reportez-vous au chapitre Configuration des sources.

Attention : les sources système prédéfinies (ID 0 à 9) ne doivent pas être utilisées en tant que sources personnalisées dans le projet ; exception : la terre.

Numéro de lien

Seul le numéro de liaison est saisi pour une fonction de liaison. Tous les numéros de lien identiques d’un projet sont corrélés. Description détaillée dans le type de fonction Lien.
Cette propriété est accessible uniquement si le type de fonction est Lien.

Variables d’éléments procéduraux

Pour qu’un interrupteur (ou un sectionneur, une réglette, etc.) reçoive l’état ouvert, fermé ou non valide, un type de données BOOL ou une variable entière doit être lié(e) en tant que variable principale à l’élément combiné correspondant.

Exemple :

  • Driver IEC870 : Variables avec un ID de type compris entre T01 et T37
  • Driver IEC850 : Variables */Pos/stVal[ST]
  • Driver DNP3 : Variables d’entrée

Condition préalable : le mappage DPI/DPC n’a pas été désactivé dans le driver.

info Informations

Pour la position d’un interrupteur, seuls les deux premiers bits de la variable principale sont pris en compte.

  • Le premier bit est la commutation réelle : 0 signifie ARRÊT et 1 signifie MARCHE.
  • Le deuxième bit est le bit d’erreur. Aucune erreur n’est présente lorsque ce bit est égal à 0.

Pour une source, l’état "Présent" (MARCHE) / "Non présent" (ARRÊT) doit également être évalué à l’aide de la variable principale liée. Les variables de type de données BOOL internes sont les mieux adaptées à cette fin. La source peut alors être liée au reste de la topologie à l’aide d’un interrupteur ou d’un sectionneur (ce qui est une pratique commune, dans la réalité), afin que la couleur de la source soit uniquement transmise par la position de l’interrupteur.

Note : pour la variable principale d’une source connectée au réseau par l’intermédiaire d’un interrupteur/sectionneur, telle que la terre, créez une variable de driver interne, configurez-la avec le paramètre réseau de calcul et la valeur initiale 1 ("Toujours présent"). Vous pouvez également directement lier une source à une variable de procédé variable (la source et l’interrupteur associé réunis) si vous n’avez pas besoin de verrouillages topologiques lors de la commutation de la source.

États

  • Un interrupteur et une source sont activés (fermés) si la valeur de la variable liée est 1.
  • Un interrupteur est non valide si la valeur de la variable liée est >1 ou comporte un état INVALID.
    Un interrupteur non valide fournit le numéro de source 0 (non défini) à sa sortie (connexion 2) au lieu de la saisie du numéro de source. Dans la direction vers l’entrée, l’interrupteur fonctionne normalement.

    Remarque : si la variable principale possède l’état INVALID, l’ensemble du réseau suivant est INVALID, car l’état du réseau est inconnu. L’état INVALID est transmis par le biais des interrupteurs fermés suivants.

attention Attention

Dans les états individuels de l’élément combiné, si la couleur et la couleur de remplissage de la fonction CAL sont activées, la ligne et les éléments procéduraux sont colorés dans le Runtime.

Autres sujets abordés dans ce chapitre

Voir la section Exemple d’interrupteur - Couleurs de la fonction CAL.

Points de connexion des éléments de procédure

Commuter entrée/sortie


Voir la section Exemple d’interrupteur - Couleurs de la fonction CAL.

Manuel -> Energy Edition (Produit Energie) -> Coloration Automatique des Lignes (CAL) - Topologie -> Éléments CAL -> Éléments procéduraux -> Voir la section Exemple d’interrupteur - Couleurs de la fonction CAL.

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Exemple 1

Élément combiné avec l’état de valeur 00 et coloration de ligne de la fonction CAL :

  1. Configuration dans Editor :
    • Élément combiné avec l’état de valeur 00
    • Coloration de ligne de la fonction CAL active

  2. Résultats suivants dans le Runtime :
    • Couleur de la source : vert
    • Couleur sans tension : blanc
    • État de l’interrupteur : désactivé/ouvert (valeur 0)

Exemple 2

Élément combiné avec l’état de valeur 01 et coloration de ligne de la fonction CAL :

  1. Configuration dans Editor
    • Élément combiné avec l’état de valeur 01
    • Coloration de ligne de la fonction CAL active
    • Couleur de remplissage de la fonction CAL active

  2. Résultats suivants dans le Runtime :
    • Couleur de la source : Vert
    • Couleur sans tension : Blanc
    • État de l’interrupteur : activé/fermé (valeur 1)

Exemple 3

Élément combiné avec l’état de valeur 00 sans coloration de ligne de la fonction CAL :

  1. Configuration dans Editor :
    • Élément combiné avec l’état de valeur 00
    • Coloration de ligne de la fonction CAL inactive

  2. Résultats suivants dans le Runtime :
    • Couleur de la source : Vert
    • Couleur sans alimentation et couleur de construction de la ligne : Blanc
    • Ligne définie et couleur de remplissage de l’élément combiné : noir.
    • État de l’interrupteur : désactivé/ouvert (valeur 0)

Exemple 4

Élément combiné avec l’état de valeur 01 sans coloration de ligne de la fonction CAL :

  1. Configuration dans Editor
    • Élément combiné avec l’état de valeur 01
    • Coloration de ligne de la fonction CAL inactive
    • Coloration de remplissage de la fonction CAL inactive

  2. Résultats suivants dans le Runtime :
    • Couleur de la source : vert
    • Couleur sans alimentation et couleur de construction de la ligne : Blanc
    • Ligne définie et couleur de remplissage de l’élément combiné : noir.
    • État de l’interrupteur : activé/fermé (valeur 1)


Points de connexion des éléments de procédure

Manuel -> Energy Edition (Produit Energie) -> Coloration Automatique des Lignes (CAL) - Topologie -> Éléments CAL -> Éléments procéduraux -> Points de connexion des éléments de procédure

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Lors de la configuration, une ligne est connectée à un élément de procédure (élément combiné) par le chevauchement des tracés sur le synoptique aux points de connexion de l’élément combiné. Une seule ligne peut être connectée au même point de connexion en même temps. Toutes les lignes dont les origines se trouvent dans la zone définie sont connectées (topologie du graphique).

attention Attention

Les éléments de CAL doivent uniquement être utilisés sans rotation, car :

Le calcul du modèle topologique du CAL dans Editor repose sur la position des éléments sans rotation et sans prise en compte d’éléments dynamiques.

Points de connexion et zones de connexion

  • La zone de connexion d’un point de connexion se trouve au centre de chaque côté de l’élément combiné. Chaque élément combiné comporte donc quatre points de connexion.
  • La taille d’une zone de connexion correspond à 2/3 de la hauteur et la largeur d’un élément combiné, mais ne dépasse pas 20 pixels.
  • Chaque zone de connexion est centrée dans le coin de l’élément correspondant et s’étend symétriquement vers l’intérieur et l’extérieur, sur une distance maximale de 10 pixels.

attention Attention !

Si l’élément combiné mesure moins de 30 pixels, les zones de connexion dans un élément se chevauchent. Les lignes pouvant se toucher peuvent être sources d’erreurs (compilation, coloration).

Les points de connexion possibles pour les éléments combinés d’une taille supérieure et inférieure à 30 pixels sont visibles dans l’illustration.

Couleurs

  • Bleu : Élément combiné
  • Rouge : Zones de connexion

Dimensions :

  • A: hauteur de l’élément combiné
  • B: largeur de l’élément combiné
  • a: Largeur de la zone de connexion : 2/3 de A, mais 20 pixels maximum.
  • b: Longueur de la zone de connexion : 2/3 de B, mais 20 pixels maximum.

Règles

  • Si une ligne se trouve hors de la zone de connexion, aucune connexion n’est détectée et il n’y a donc pas de coloration de la ligne. Et donc il n’y aura pas non plus de coloration des lignes suivantes.
  • En règle générale, tous les points de connexion décrits peuvent être utilisés avec les sources, les drains et les Links.
    Attention : Avec les sources et les drains, un seul point de connexion peut être utilisé à la fois. Si différents points de connexion sont utilisés simultanément, des états non définis peuvent se produire.
    Les éléments de type Link peuvent également utiliser plusieurs points de connexion simultanément. Les informations relatives à la couleur entrante sont transmises à toutes les lignes.
  • Dans le cas des interrupteurs, sectionneurs, réglettes et transformateurs, la connexion 1 (entrée) se trouve à gauche ou sur le dessus et la connexion 2 (sortie) se trouve à droite ou en bas. Cette séquence peut être modifiée avec la propriété Commuter entrée/sortie.
    Attention : Aux interrupteurs et transformateurs, il convient de veiller à n’utiliser qu’une connexion d’entrée et une connexion de sortie. L’utilisation simultanée de plusieurs points de connexion d’entrée ou de sortie produit des incohérences, et n’est donc pas fiable.
  • Pour tous les éléments de procédure, ce qui suit est vrai : Une seule ligne peut être connectée à un point de connexion. Les jonctions ne peuvent pas être établies directement sur un élément ; elles doivent être dessinées avec des lignes.


Commuter entrée/sortie

Manuel -> Energy Edition (Produit Energie) -> Coloration Automatique des Lignes (CAL) - Topologie -> Éléments CAL -> Éléments procéduraux -> Commuter entrée/sortie

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Si un transformateur, un sectionneur ou un interrupteur est configuré, l’entrée et la sortie peuvent être inversées. Pour cela :

  1. Sélectionnez le transformateur, le sectionneur ou l’interrupteur en tant que Type de fonction.
  2. Cochez la case Commuter entrée/sortie

L’entrée est alors définie en bas à droite et la sortie en haut à gauche.

Présentation

Configuration de l’équipement | Entrée | Sortie
normal | Gauche | À droite
normal | Haut | En bas
Inversée | Droite | Gauche
Inversée | Bas | Haut


Lignes

Manuel -> Energy Edition (Produit Energie) -> Coloration Automatique des Lignes (CAL) - Topologie -> Éléments CAL -> Lignes

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Les lignes sont représentées par des éléments vectoriels Ligne, Ligne brisée et Tube.

Si l'option Couleur définie par CAL est cochée pour une ligne, la couleur provient de la configuration de la fonction CAL. Les lignes sont colorées automatiquement par le système selon l'état des éléments procéduraux et les paramètres CAL.

Ici, la couleur provient habituellement de la source la plus prioritaire dont le flux circule dans la ligne ou reste "vide/non alimentée", telle qu'elle est définie dans le synoptique avec des couleurs statiques ou dynamiques.

Vous définissez le type d'affichage à l'aide de listes déroulantes :

  • Priorité pour l'affichage
  • Affichage alimentations multiples
  • Affichage alimentation sécurisée

Les options suivantes sont disponibles dans les propriétés des lignes :

Paramètre

Description

Couleur définie par CAL

Active la Coloration Automatique des Lignes pour ces éléments vectoriels. Ceci signifie : Si la source de la ligne est active et que tous les interrupteurs entre la source et la ligne sont fermés (ou si toutes les vannes sont ouvertes), la ligne est colorée en conséquence. Si la ligne est "alimentée" par une source unique, la couleur de la source définie est utilisée pour colorer la ligne. La largeur de la ligne n'est pas modifiée.

Priorité pour l'affichage

Définit si l'alimentation multiple, l'alimentation sécurisée ou les deux alimentations sont affichées.
Par défaut : Alimentation multiple

Alimentation sécurisée

L'élément est affiché selon les règles de l'alimentation sécurisée.

Une ligne est considérée comme dotée d'une alimentation sécurisée si elle est alimentée par deux interrupteurs ou transformateurs aux moins, avec une source située hors du système. Les sources du système ne contribuent pas à l'alimentation sécurisée, mais ne l'excluent pas non plus.

Alimentation multiple

L'élément est affiché selon les règles de l'alimentation multiple.

Une ligne est considérée comme dotée d'une alimentation multiple si elle est alimentée par deux sources différentes au moins. Dans ce cas, peu importe qu'il s'agisse de sources système ou de sources utilisateur ; le côté depuis lequel la ligne est alimentée par les sources n'a également pas d'importance.

Pas de priorité

Les règles de coloration des paramètres Alimentation multiple et Alimentation sécurisée sont appliquées simultanément, si les deux critères sont satisfaits. Ceci signifie :

Si une ligne

  • comporte une alimentation multiple et une alimentation sécurisée,
  • La priorité est définie sur Pas de priorité
  • L'affichage de l'alimentation multiple est défini sur Les deux sources les plus prioritaires
  • L'affichage de l'alimentation sécurisée est défini sur Double épaisseur

La ligne est alors deux fois plus épaisse, et affichée sous forme de ligne en trait tireté de deux couleurs.

Affichage alimentation multiple

'Alimentation multiple' signifie qu'une ligne est alimentée par plusieurs sources simultanément. Ici vous pouvez définir comment les lignes alimentées de façon multiple sont affichées.

Par défaut : La source la plus prioritaire

La source la plus prioritaire

La ligne prend la couleur de la source la plus prioritaire.
Remarque : Les priorités sont données par l'ordre des sources dans la configuration CAL globale au projet.

Les deux sources les plus prioritaires

S'applique aux lignes alimentées par deux sources différentes ou plus. Les deux sources avec les plus hautes priorités définissent la coloration. La ligne est affichée avec les deux couleurs (en pointillé). La longueur des tirets peut être modifiée via la propriété Longueur de pointillé fournie plusieurs fois.

Les sources système concernent les alimentations multiples, aussi bien que les sources réelles ; la configuration correspondante permet de colorer les lignes de deux couleurs.

Couleur alternative

La couleur définie dans la propriété Couleur alternative est utilisée.

Longueur de pointillé fournie plusieurs fois

Définit la longueur des tirets (en pixels) des lignes, lignes brisées ou tubes utilisée par la fonction CAL pour l'option Les deux sources les plus prioritaires pour la propriété Affichage alimentation multiple.

  • Minimum : 0 (longueur des tirets automatique)
  • Maximum : 32767
  • Par défaut : 0

Couleur alternative

Couleur de remplacement utilisée par la fonction de CAL pour les lignes, les lignes brisées ou les tubes dotés d'alimentations multiples.

Affichage alimentation sécurisée

'Alimentation sécurisée' signifie qu'une ligne est alimentée par plusieurs chemins (en parallèle) mais d'une même source. Dans ce cas, vous pouvez définir comment cette "alimentation sécurisée" est représentée.

Une ligne est toujours affichée comme dotée d'une alimentation sécurisée si elle est alimentée par aux moins deux interrupteurs comportant une source réelle (c'est-à-dire une source autre qu'une source système).

Par défaut : normal

double épaisseur

A un sens pour les lignes alimentées de façon parallèle par la même source. Si c'est le cas, l'épaisseur de la ligne est deux fois supérieure à l'épaisseur configurée. (Exemple : Une ligne avec une épaisseur de 5 pixels sera affichée avec une épaisseur de 10 pixels si elle est "alimentée de façon sécurisée" par la même source.
Si cette ligne est alimentée par deux sources différentes ou plus (alimentations multiples), l'épaisseur de ligne n'est pas changée !

La couleur est toujours définie par la source avec la priorité la plus haute !

double luminosité

A un sens pour les lignes alimentées de façon parallèle par la même source. La ligne est affichée avec une luminosité qui est le double de la luminosité définie dans ses propriétés.
Si cette ligne est alimentée par deux sources différentes ou plus (alimentations multiples), la couleur de la ligne n'est pas changée !
Si cette ligne est alimentée de façon sécurisée depuis une même source, la luminosité de la ligne affichée est deux fois plus élevée.
Formule de calcul de la double luminosité :

  1. La couleur RVB est transformée selon le système HLS.
  2. L (Luminance = Luminosité) est recalculée avec une valeur NouvelleLuminance égale à : 240*3/4 + L/4.
  3. La valeur de la couleur est retransformée dans le système RGB avec la nouvelle luminosité.

La couleur est toujours définie par la source avec la priorité la plus haute !

normal

L'élément est affiché avec la couleur de la source et l'épaisseur configurée.

Utiliser alias

Active : un alias est utilisé.

Alias

Ouvre la boîte de dialogue permettant de sélectionner un modèle.

info Informations

La couleur des sources et les priorités sont définies dans les propriétés du projet.

Les sources définies par l'utilisateur doivent posséder un ID supérieur à 9. Les ID inférieurs ou égaux à 9 sont réservés aux sources système.

info Informations

Le calcul de la couleur d'une ligne dans le Runtime est fait selon la liste des priorités suivante :

  1. Coloration Automatique des Lignes (Priorité la plus haute, outrepasse tous les autres paramètres)
  2. Couleurs dynamiques
  3. Couleurs statiques

Autres sujets abordés dans ce chapitre

Exemple

Points de connexion des lignes


Exemple

Manuel -> Energy Edition (Produit Energie) -> Coloration Automatique des Lignes (CAL) - Topologie -> Éléments CAL -> Lignes -> Exemple

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Dans l’exemple suivant, la source 0 est de couleur bleue et la source 1 de couleur rouge. Et la source 0 est la source la plus prioritaire.

Source 0

Source 1

Il en résulte ceci pour les différentes options :

 | Ligne / Ligne brisée | Tube
La source la plus prioritaire |  |
Les deux sources les plus prioritaires |  |
double épaisseur |  |
double luminosité |  |


Points de connexion des lignes

Manuel -> Energy Edition (Produit Energie) -> Coloration Automatique des Lignes (CAL) - Topologie -> Éléments CAL -> Lignes -> Points de connexion des lignes

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

La connexion d’une ligne (ligne, ligne brisée ou tube) sur une autre ligne est faite par superposition /chevauchement du tracé dans le synoptique aux points de connexion. Les points de connexion - ou les zones de connexion - sont les extrémités de chaque ligne et jusqu’à trois pixels autour.

Example Exemple

Le point de départ d’une ligne a les coordonnées (point de départ x, y) : 150/100 pixels.
Ceci produit une zone de connexion (x / y) : 147 - 153 / 97 - 103 pixels.

Si la ligne commence ou se termine et d’autres lignes commencent ou se terminent dans cette zone, alors les lignes sont automatiquement connectées sans avoir à configurer autre chose. Un seul recouvrement des zones de connexion des lignes n’est pas suffisant !

Dans l’illustration suivante, les zones de connexion sont affichées graphiquement (les lignes vertes sont connectées à la ligne noire, mais pas la ligne rouge).

info Informations

Le nombre de lignes connectées à une zone de connexion n’est pas limité.

attention Attention

Si une ligne est en dehors de la zone de connexion (par exemple, la ligne rouge dans l’illustration), aucune connexion n’est établie et il n’y a pas de coloration de la ligne. Et donc il n’y aura pas non plus de coloration des lignes suivantes.

Des croisements de ligne peuvent être effectués, si les fins de lignes ne sont pas dans les zones de connexion.

attention Attention

Les éléments de CAL doivent uniquement être utilisés sans rotation, car :

Le calcul du modèle topologique du CAL dans Editor repose sur la position des éléments sans rotation et sans prise en compte d’éléments dynamiques.


Vérification du projet

Manuel -> Energy Edition (Produit Energie) -> Coloration Automatique des Lignes (CAL) - Topologie -> Éléments CAL -> Vérification du projet

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Développez les éléments de procédure et les lignes souhaités sur un ou plusieurs synoptiques, et enregistrez-les. Vous pouvez ensuite vérifier, via les fonctions Créer tous les fichiers du Runtime ou Créer les fichiers du Runtime modifiés, si des erreurs ou des conflits sont présents sur les synoptiques. En cas d’erreurs ou de conflits, les messages d’erreur ou les avertissements correspondants sont affichés dans la fenêtre de suivi.

info Informations

Double-cliquez sur la ligne correspondante dans la fenêtre de suivi. Le synoptique comportant l’élément de synoptique erroné sera ouvert automatiquement. Si l’élément de synoptique erroné forme partie d’un symbole, le symbole correspondant est automatiquement sélectionné.

Le message d’erreur suivant peut être affiché.

  • CAL : Synoptique '%s’ - Deux éléments Lien comportant des numéros de lien différents sont connectés à la ligne '%s. (Un double-clic ouvre le synoptique et sélectionne la ligne.)
  • CAL : Synoptique '%s’ - Plus que deux points de connexion sont utilisés sur l’élément '%s’. Sur un élément, vous ne pouvez utiliser qu’un point en entrée et un point en sortie. Il doit être connecté sur un coté. (Un double-clic ouvre le synoptique et sélectionne l’élément.)

Les avertissements suivants peuvent être affichés.

  • CAL : Synoptique '%s’ - La ligne d’alias '%s’ est connectée à une ligne sans alias. (Un double-clic ouvre le synoptique et sélectionne la ligne.)
  • CAL : Synoptique '%s’ - La ligne d’alias '%s’ est connectée à une ligne sans alias. Il doit être connecté sur un coté. (Un double-clic ouvre le synoptique et sélectionne l’élément.)
  • CAL : Synoptique '%s’ - La ligne d’alias '%s’ est connectée à une ligne sans alias. Il doit être connecté sur un coté. (Un double-clic ouvre le synoptique et sélectionne l’élément.)
  • CAL : Synoptique '%s’ - La ligne '%s’ est connectée d’un côté seulement. (Un double-clic ouvre le synoptique et sélectionne la ligne.)
  • CAL : Synoptique '%s’ - l’élément '%s’ n’est pas connecté. Il doit être connecté sur un coté. (Un double-clic ouvre le synoptique et sélectionne l’élément.)
  • CAL : Synoptique '%s’ - l’élément '%s’ n’est connecté que d’un côté. Il doit être connecté sur un coté. (Un double-clic ouvre le synoptique et sélectionne l’élément.)

Dans les messages d’erreur ou les avertissements, les éléments correspondants sont identifiés à l’aide de la référence de l’élément. Cette référence sert également de clé de lien pour les alias de CAL.


Configuration

Manuel -> Energy Edition (Produit Energie) -> Coloration Automatique des Lignes (CAL) - Topologie -> Configuration

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Pour configurer la fonction CAL :

  1. Dans les propriétés du projet, sélectionnez la propriété Configuration CAL du groupe Coloration Automatique de Lignes.
  2. Cliquez sur le bouton ...
  3. La boîte de dialogue de configuration s’affiche à l’écran.
  4. Configurez les propriétés souhaitées pour les éléments suivants :
    • Sources

      Créez de nouvelles sources dans les couleurs souhaitées pour la topologie.

      Remarque : Dans ce cas, notez que les sources système (ID 0 à 9) possèdent une signification prédéfinie ou sont réservées pour des versions futures.

      Tenez également compte des principes mentionnés dans la section Mode de coloration avec l’état UNDEFINED [Non défini].)

    • Verrouillages

      Configurez les verrouillages topologiques dont le module de gestion des commandes doit tenir compte.
      Remarque : l’onglet est uniquement visible avec la licence de la suite Topology Package.

    • Marqueur de synoptique

      Configurez la table des couleurs du marqueur de synoptique avec la fonction de détection d’erreurs par impédance.
      Remarque : l’onglet est uniquement visible avec la licence de la suite Topology Package.

Autres sujets abordés dans ce chapitre

Configuration des sources

Configuration des verrouillages topologiques

Configuration du marqueur de synoptique


Configuration des sources

Manuel -> Energy Edition (Produit Energie) -> Coloration Automatique des Lignes (CAL) - Topologie -> Configuration -> Configuration des sources

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

La configuration des sources, c’est-à-dire leurs noms et leurs couleurs (ordre et priorité), s’effectue par rapport au projet, dans les propriétés du projet, sous Configuration CAL. Les sources possédant un identifiant compris entre 0 et 9 sont réservées pour les sources système. La fonction des sources qui possèdent déjà une fonction (par ex., mise à la terre, la couleur de la "source de terre") ne doit pas être modifiée. Les sources qui n’ont encore aucune fonctionnalité dans la version actuelle de zenon restent réservées pour des versions futures.

Les couleurs des sources avec un ID supérieur à 10 sont librement configurables pour les éléments procéduraux ; par exemple, pour la source "Générateur" ou "110 kV", etc. Ajoutez d’autres couleurs à cette fin.

Couleurs de la source

Paramètre

Description

Numéro

Numéro interne unique consécutif pour identifier la source. Ce numéro est donné par le système automatiquement et ne peut pas être modifié.

Attention : Les ID 0 à 9 sont réservés aux sources système et ne doivent pas être utilisés de manière spécifique à l’utilisateur.

Nom

Nom logique de la source (par exemple, "Eau" ou "Terre"). Ce nom est également utilisé lors de la sélection du numéro de source pour les éléments combinés. Vous pouvez changer le nom en cliquant dessus avec le bouton gauche de la souris. Le mode édition est activé. Les modifications sont acceptées par la touche Entrée ou en sélectionnant une autre source.

Remarque : Les intitulés suivants ne peuvent pas être changés selon la langue :

Couleur ligne

Couleur de ligne de la source correspondante. Cette couleur est utilisée pour colorer les lignes et les lignes brisées et définit la couleur pour l’extérieur des tubes.

Tiret

Cochez la case pour activer l’option.
Si l’option est active, la ligne est dessinée en tirets.

Remarque : Cette case peut uniquement être cochée pour l’option GROUNDED. Cette case à cocher est grisée pour toutes les autres sources.

Nouveau

Ajoute une nouvelle couleur.

Supprimer

Supprime la couleur sélectionnée.

Vers le haut (flèche)

Déplace la source sélectionnée d’une position vers le haut.

Complètement vers le haut (flèche)

Déplace la source sélectionnée vers le début de la liste.

Vers le bas (flèche)

Déplace la source sélectionnée d’une position vers le bas.

Complètement vers le bas (flèche)

Déplace la source sélectionnée vers la fin de la liste

Fermer boîte de dialogue

Options | Description :
OK | Applique toutes les modifications effectuées sur tous les onglets, puis ferme la boîte de dialogue.
Annuler | Annule toutes les modifications effectuées sur tous les onglets, puis ferme la boîte de dialogue.
Aide | Ouvre l'aide en ligne.

Les couleurs peuvent être configurées directement en saisissant le code hexadécimal correspondant, ou à l’aide d’une palette de couleurs.

Pour effectuer une saisie directe :

  1. Cliquez sur la description de la couleur avec le bouton gauche de la souris.

    Le champ bascule en mode Édition.

  2. Saisissez le code.
  3. Appuyez sur la touche Entrée ou sélectionnez une autre source pour appliquer la modification.

Pour effectuer une sélection via une palette de couleurs :

  1. Sélectionnez la ligne de votre choix.
  2. Cliquez sur le bouton ... adjacent à la couleur.
    Remarque : Le bouton ... est uniquement visible si l’entrée correspondant à la couleur est sélectionnée avec un clic.

    La palette de couleurs s’affiche dans un menu contextuel.

  3. Sélectionnez la couleur de votre choix.

Le code hexadécimal décrit la couleur en mode RVB qui est constitué comme suit : #RRGGBB.

Produit | Signification
# | Identifiant indiquant qu’un code de couleur en hexadécimal est utilisé.
RR | 2 chiffres représentant la valeur du rouge pour la couleur en hexadécimal. 0-255 correspond à 0-FF.
GG | 2 chiffres représentant la valeur du vert (green) pour la couleur en hexadécimal. 0-255 correspond à 0-FF.
BB | 2 chiffres représentant la valeur du bleu pour la couleur en hexadécimal. 0-255 correspond à 0-FF.
info Informations
La séquence dans la liste indique la priorité des sources, la première étant la plus prioritaire. Pour modifier les priorités des sources uniques, vous pouvez les déplacer vers le haut ou vers le bas à l’aide des boutons fléchés.

attention Attention

Restrictions lors de la suppression de sources et de la réinitialisation de colorations incorrectes :

Les sources possédant un identifiant compris entre 0 et 9 sont réservées pour les sources système. Elles ne peuvent pas :

  • Être supprimées
  • Être réinitialisées comme une couleur incorrecte

Suppression de sources

Pour que des sources puissent être supprimées, elles doivent posséder un identifiant supérieur à 10. Seules les sources avec des numéros supérieurs peuvent être supprimées.

Réinitialisation de colorations incorrectes

SI vous réinitialisez les colorations incorrectes après avoir corrigé la source, vous ne pouvez pas utiliser de couleurs source système. Vous devez sélectionner une couleur dont l’identifiant est supérieur à 10.

Autres sujets abordés dans ce chapitre

Mode de coloration avec l’état UNDEFINED (Non défini)


Mode de coloration avec l’état UNDEFINED (Non défini)

Manuel -> Energy Edition (Produit Energie) -> Coloration Automatique des Lignes (CAL) - Topologie -> Configuration -> Configuration des sources -> Mode de coloration avec l’état UNDEFINED (Non défini)

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

La coloration du réseau peut être mise en œuvre de deux manières avec l’état UNDEFINED (Non défini) :

  • Standard
  • L’entrée est prioritaire

Ce paramètre est configuré par le biais des propriétés de projet Coloration Automatique de Lignes/Mode pour la coloration.

Standard

L’inspection du diagramme débute depuis une source et se poursuit sur l’ensemble du réseau, de telle manière que chaque interrupteur fermé (la variable d’interrupteur possède la valeur 1) dans chaque direction n’est parcouru qu’une fois, permettant d’éviter tout cycle. Chaque nœud visité (c’est-à-dire chaque segment de ligne) est coloré avec la couleur de la source. Les lignes directement connectées sont identifiées comme des nœuds.

Si la recherche découvre un interrupteur comportant une variable d’interrupteur avec l’état suivant, la couleur UNDEFINED est utilisée pour la coloration à partir de cet interrupteur :

  • INVALID [valeurs aux choix]
  • est non valide [valeur : 3]
  • est dans une position intermédiaire [valeur : 2])

L’inspection du diagramme se poursuit maintenant sous la même forme. Chaque interrupteur est parcouru une fois dans chaque direction avec la couleur UNDEFINED. Par conséquent, chaque interrupteur peut être parcouru au maximum quatre fois par source :

  1. Avec le numéro de source, vers l’avant
  2. Avec le numéro de source, vers l’arrière
  3. Avec le paramètre UNDEFINED, vers l’avant
  4. Avec le paramètre UNDEFINED, vers l’arrière

L’entrée est prioritaire

Avec le paramètre L’alimentation est prioritaire, seules les lignes dotées d’une alimentation provenant d’une source au moins, mais non alimentées par une source en particulier, sont colorées avec le paramètre UNDEFINED. Si une ligne est alimentée par une source au moins, elle ne peut plus recevoir la couleur UNDEFINED d’une autre source.

Cette recherche est une recherche en deux étapes :

  • Lors de la première étape, à l’instar du paramètre Standard, la couleur de la source est distribuée sur le réseau depuis chaque source commutée, dans la mesure où l’interrupteur suivant est fermé. La recherche se termine si l’interrupteur est ouvert ou non valide/non défini.
  • Lors de la deuxième étape, la recherche débute à chaque interrupteur non valide/non défini alimenté d’un côté, la couleur UNDEFINED étant distribuée au côté non alimenté. Cette recherche considère également que les interrupteurs non définis/non valides sont fermés, et distribue donc la couleur UNDEFINED sur le réseau jusqu’à trouver un interrupteur manifestement ouvert. En outre, une recherche se termine si un élément de ligne déjà alimenté est trouvé.


Configuration des verrouillages topologiques

Manuel -> Energy Edition (Produit Energie) -> Coloration Automatique des Lignes (CAL) - Topologie -> Configuration -> Configuration des verrouillages topologiques

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Dans le Runtime, les modules de gestion des commandes peuvent calculer les verrouillages résultant de l’état dynamique du réseau électrique, dont la topologie a été intégralement configurée à l’aide du module CAL. À l’aide de la topologie du réseau configurée avec le module CAL et des états actuels des sources (MARCHE/ARRÊT), interrupteurs, sectionneurs, etc., il est possible de détecter automatiquement l’entrée de commande qui entraînera l’exécution d’une commande (par exemple, "Tension à la terre"), puis d’interdire l’exécution de la commande.

Les verrouillages topologiques du module CAL pour la fonction d’envoi de commande sont configurés de manière centrale, pour le projet correspondant. Dans ce cas, une décision est également prise pour déterminer si un utilisateur peut déverrouiller un verrouillage (à condition d’avoir le niveau d’autorisation de déverrouillage correspondant pour l’action).

info Informations

Cette boîte de dialogue est uniquement disponible si vous possédez les licences des modules Energy Edition et Coloration Automatique des Lignes (Automatic Line Coloring).

Le paramétrage fait ici s’applique de façon globale sur le modèle topologique complet. Les conditions suivantes sont disponibles.

Paramètre | Description
Tension à la masse | Le verrouillage est actif, si un disjoncteur / sectionneur doit être fermé et qu’une "terre" est connectée à son premier connecteur et son autre connecteur est connecté ou indéfini.
Action de commutation dans une zone comportant un état non défini. | Le verrouillage est actif si un disjoncteur / sectionneur doit être fermé et ses deux connecteurs sont "non définis" ou "perturbés".
Sectionneur en charge | Le verrouillage est actif si certaines conditions d’activation ou de désactivation sont satisfaites. Conditions : voir la section Sectionneur en charge – Conditions de verrouillage.
Provoquerait une rupture d’alimentation du matériel | Le verrouillage est actif si un interrupteur/sectionneur doit être ouvert et si l’alimentation d’un appareil sous tension, alimenté par une tension provenant d’une source (c’est-à-dire un drain), est ensuite interrompue.
La zone avec un état indéterminé va s’agrandir | Le verrouillage est actif si un disjoncteur / sectionneur doit être fermé et un de ses connecteurs est "non défini" ou "perturbé" alors que l’autre ne l’est pas. Il est également signalé si la commande a été configurée avec une direction de commutation Aucune.

Si vous cliquez sur la colonne État pour l’un de ces verrouillages, vous obtenez une liste déroulante avec trois choix :

Paramètre | Description
Ne pas vérifier | La condition sélectionnée ne sera pas prise en compte dans ce projet (pour le modèle topologique).
Déverrouillable | La condition sélectionnée est considérée dans ce projet. Si la condition s’applique, l’utilisateur peut la déverrouiller avec la fonction de gestion de commande (dans un synoptique de type Gestion de commande). Cette action de déverrouillage est consignée dans la liste d’événements (CEL).
Non déverrouillable | La condition sélectionnée est considérée dans ce projet. L’utilisateur ne peut pas la déverrouiller.

Exceptions concernant le verrouillage topologique

Le verrouillage topologique n’est pas effectué si :

  • La variable d’un interrupteur comporte l’état Révision
    Ou
  • La variable est corrigée manuellement ou définie sur Valeur de remplacement et, dans le même temps, définie sur la même valeur de variable que la valeur initiale ; en d’autres termes, si l’interrupteur :
    • Est défini sur OFF (Désactivé), puis corrigé manuellement sur OFF (Désactivé) ou s’il est remplacé.
    • Est défini sur ON (Activé), puis corrigé manuellement sur ON (Activé), ou s’il est remplacé.

Autres sujets abordés dans ce chapitre

Sectionneur en charge - Conditions de verrouillage


Sectionneur en charge - Conditions de verrouillage

Manuel -> Energy Edition (Produit Energie) -> Coloration Automatique des Lignes (CAL) - Topologie -> Configuration -> Configuration des verrouillages topologiques -> Sectionneur en charge - Conditions de verrouillage

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Pour le verrouillage topologique Sectionneur en charge, un sectionneur peut être commuté si l’une des conditions suivantes est satisfaite pour les segments de ligne connectant les sectionneurs :

Lors de l’activation du sectionneur :

Une vérification est effectuée pour déterminer si, avant l’activation de l’état MARCHE, la topologie se trouve dans l’un des états suivants :

  • Les deux sections de ligne sont alimentées/reliées à la terre par la même source ;
  • Une section de ligne ne reçoit aucune tension, l’autre section de ligne est reliée à la terre ;
  • Une section de ligne n’est pas en charge.

Lors de la désactivation du sectionneur :

Une vérification est effectuée pour déterminer si, avant l’activation de l’état ARRÊT, la topologie se trouve dans l’un des états suivants :

  • Les deux sections de ligne sont alimentées par la même source ;
  • Si une section de ligne ne reçoit plus de tension, l’autre section de ligne est reliée à la terre ;
  • Une section de ligne n’est plus en charge.

info Informations

Signification de "pas en charge"

L’état pas en charge signifie :

  • Soit :
    Tous les interrupteurs et sectionneurs connectés à la section de ligne sont ouverts.
  • Ou :
    Les interrupteurs et sectionneurs connectés à la section de ligne sont fermés, mais sont uniquement connectés à une section supplémentaire qui n’est pas en charge.

Par ailleurs, toutes les conditions suivantes doivent être satisfaites pour que l’état pas en charge soit vrai :

  • L’ensemble des sources et consommateurs connectés au segment de ligne est désactivé.
  • Aucun transformateur ne peut être connecté au segment de ligne.
  • Il ne doit pas s’agir d’une ligne connectée uniquement à ce sectionneur (ligne ouverte).


Configuration du marqueur de synoptique

Manuel -> Energy Edition (Produit Energie) -> Coloration Automatique des Lignes (CAL) - Topologie -> Configuration -> Configuration du marqueur de synoptique

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Ici, vous pouvez configurer la table des couleurs associée au marqueur de couleur pour la détection d’erreurs par impédance et le calcul de la répartition de charge. Voir également : AddMarker.

Paramètre | Description
Numéro | Numéro de série interne unique, garantissant une attribution claire. Ce numéro est donné par le système automatiquement et ne peut pas être modifié.
Couleur ligne | Couleur de ligne du marqueur de synoptique.
Couleur de remplissage | Couleur de remplissage du marqueur de synoptique.
Nouveau | Ajoute une nouvelle couleur.
Supprimer | Supprime la couleur sélectionnée. Remarque : Seule la dernière couleur de la liste peut être supprimée. Les couleurs standard ne peuvent pas être supprimées.

Les couleurs peuvent être configurées directement en saisissant le code hexadécimal correspondant, ou à l’aide d’une palette de couleurs.

Pour effectuer une saisie directe :

  1. Cliquez sur la description de la couleur avec le bouton gauche de la souris.

    Le champ bascule en mode Édition.

  2. Saisissez le code.
  3. Appuyez sur la touche Entrée ou sélectionnez une autre source pour appliquer la modification.

Pour effectuer une sélection via une palette de couleurs :

  1. Sélectionnez la ligne de votre choix.
  2. Cliquez sur le bouton ... adjacent à la couleur.
    Remarque : Le bouton ... est uniquement visible si l’entrée correspondant à la couleur est sélectionnée avec un clic.

    La palette de couleurs s’affiche dans un menu contextuel.

  3. Sélectionnez la couleur de votre choix.

Le code hexadécimal décrit la couleur en mode RVB qui est constitué comme suit : #RRGGBB.

Produit | Signification
# | Identifiant indiquant qu’un code de couleur en hexadécimal est utilisé.
RR | 2 chiffres représentant la valeur du rouge pour la couleur en hexadécimal. 0-255 correspond à 0-FF.
GG | 2 chiffres représentant la valeur du vert (green) pour la couleur en hexadécimal. 0-255 correspond à 0-FF.
BB | 2 chiffres représentant la valeur du bleu pour la couleur en hexadécimal. 0-255 correspond à 0-FF.


Fonction : Modifier la couleur de la source (CAL)

Manuel -> Energy Edition (Produit Energie) -> Coloration Automatique des Lignes (CAL) - Topologie -> Fonction : Modifier la couleur de la source (CAL)

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

L’avant-plan et l’arrière-plan d’une source CAL peuvent être temporairement modifiés pour la coloration dans le Runtime à l’aide de la fonction Modifier la couleur de la source (CAL). La modification reste active jusqu’à la fermeture ou l’actualisation du Runtime ou la nouvelle exécution de la fonction. Pour créer la fonction :

  • Sélectionnez Nouvelle fonction
  • Accédez au nœud Synoptiques.
  • Sélectionnez Modifier la couleur de la source (CAL).

  • La boîte de dialogue de définition des couleurs de ligne et de remplissage s’affiche.
  • Définissez la couleur souhaitée.

Propriété | Fonction
Source | Liste déroulante permettant de sélectionner la source et afficher les couleurs actuellement attribuées. Ces couleurs ne peuvent pas être modifiées ici.
Nouvelle couleur pour la source | Cliquez sur la couleur pour ouvrir une boîte de dialogue permettant de sélectionner une couleur.


Alias pour les synoptiques détaillés

Manuel -> Energy Edition (Produit Energie) -> Coloration Automatique des Lignes (CAL) - Topologie -> Alias pour les synoptiques détaillés

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Pour afficher des synoptiques individuels, une section partielle peut être sélectionnée dans le réseau topologique et affichée individuellement, au moyen d’alias. Les éléments du synoptique dans le synoptique de détail ne sont pas inclus dans le modèle topologique, reçoivent toutefois leurs couleurs CAL du modèle. Ces éléments sont liés à un alias des éléments du synoptique dans le synoptique global.

attention Attention

Les alias sont uniquement valides dans un projet.

Cela signifie, pour les symboles contenant des liens vers des alias :

Si le symbole est ajouté à la bibliothèque générale de symboles ou à la bibliothèque de projet global, puis édité, toutes les informations concernant les alias de la fonction CAL sont perdues (aucune demande de confirmation n’est affichée).

Créer un alias

Un alias peut être créé pour les éléments suivants :

  • Ligne
  • Ligne brisée
  • Tube
  • Élément combiné

attention Attention

Un alias de la fonction CAL ne peut pas être créé si le nom du synoptique sélectionné contient un point (.).

Solution : Remplacez le point dans le nom du synoptique par un caractère différent, tel qu’un tiret, par exemple (_).

Pour créer un élément source en tant qu’alias :

  • Activez-le dans les propriétés Utiliser alias de l’élément.

    Pour cela, le module CAL doit comporter une licence et la propriété Couleur définie par CAL doit être active.

  • Cliquez sur le bouton ... de la propriété Alias.
  • La boîte de dialogue de sélection d’éléments s’affiche à l’écran.

Paramètre

Description

Synoptique

Cliquez sur le bouton ... pour ouvrir une boîte de dialogue permettant de sélectionner un synoptique.

Éléments CAL disponibles

Affiche les éléments appartenant à un synoptique avec le nom de l’élément, le type d’élément et le type de fonction. Cliquez sur un élément pour sélectionner un alias.

Filtre

Les éléments peuvent être triés en fonction de toutes les colonnes. Lors de la configuration d’un filtre, les options fournies par tous les autres filtres sont limitées aux valeurs pouvant être associées de manière logique.

  • Nom : saisie d’une expression de recherche avec des opérateurs (*). Les 12 dernières expressions de recherche sont proposées dans la liste jusqu’à la fermeture d’Editor.
  • Élément : Sélectionnez dans la liste déroulante.
  • Le type de fonction : Sélectionnez dans la liste déroulante.

Cliquez sur ... pour ouvrir la liste des recherches enregistrées ou la liste déroulante.

Si un filtre est actif, cliquez sur X pour le supprimer.

Alias sélectionné

Affiche l’élément sélectionné dans le champ des éléments CAL disponibles.

Aucune sélection

Supprime l’élément sélectionné.

OK

Enregistre la sélection et ferme la boîte de dialogue.

Annuler

Annule toutes les modifications et ferme la boîte de dialogue.

Aide

Ouvre l’aide en ligne.

info Informations

Lors de la sélection d’un élément pour un nouvel alias, seuls les éléments et les synoptiques issus du même projet que celui pour lequel l’alias est défini peuvent être sélectionnés. Les éléments issus de sous-projets ou de projets parallèles ne sont pas disponibles.

Remplacement des noms d’alias

Les alias peuvent être remplacés lors d’appels de synoptiques avec la fonction Remplacer les liens. Un synoptique de détail peut donc être affiché avec les données provenant de différents composants d’équipements, tels que des lignes ou des réseaux partiels. Les noms d’alias sont remplacés de la même manière que les variables et les fonctions. Il est également possible de remplacer les éléments utilisés dans les symboles. La boîte de dialogue ouverte pour la cible est la même que pour la propriété Alias.

Remarque : la substitution à l’aide de variables d’indices n’est pas autorisée.


Localisation de défauts sur les réseaux électriques

Manuel -> Energy Edition (Produit Energie) -> Coloration Automatique des Lignes (CAL) - Topologie -> Localisation de défauts sur les réseaux électriques

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

La détection d’erreurs permet de repérer les sections de réseau sujettes à des défauts de terre ou des courts-circuits au moyen de couleurs spéciales dans le module CAL. Les points de départ de la détection sont appelés détecteurs de défaut de terre ou de court-circuit (par ex., un équipement de protection) et sont attribués à un disjoncteur. Les détecteurs de défaut de terre et de court-circuit se trouvent toujours à la sortie d’un élément disjoncteur. Pour cette raison, les variables correspondantes (contenant les rapports de l’équipement de protection) sont liées aux éléments CAL Interrupteur.

Les rapports provenant des équipements de protection sont représentés par une coloration spéciale, avec les couleurs de source ID 1 et 2, toutefois uniquement si le rapport est reçu pendant que les lignes sont actives. Dans le même temps, les rapports sont définis sur les mêmes variables aux fins de l’affichage. Les affichages d’erreurs graphiques peuvent ainsi être présentés sur l’écran, par exemple, avec d’autres éléments combinés qui sont uniquement visibles si un affichage est actif.

L’affichage doit être réinitialisé manuellement (acquitté) lorsque les équipements protecteurs ont rétracté les rapports.

info Informations

Cette fonction est uniquement disponible si vous possédez les licences des modules Energy Edition et Coloration Automatique des Lignes.

Détection d’erreurs

La détection d’erreurs s’exécute localement sur chaque ordinateur présent sur le réseau zenon. Chaque client présent sur le réseau possède un modèle spécifique indépendant et peut donc rechercher les défauts de terre et les courts-circuits dans différentes sections de la topologie.

La détection d’erreurs sur le réseau électrique comporte plusieurs phases :

  • Rechercher un défaut de terre
  • Recherche de court-circuit

Pour configurer la détection d’erreur :

  • Vous avez besoin d’une licence pour le module CAL et le module Energy Edition de zenon.
  • Configurez les synoptiques adéquats.
  • Configurez le module CAL en fonction des éléments combinés avec la fonction interrupteur
  • Configurez les lignes afin qu’elles soient colorées par le module CAL.

Le Runtime comporte des fonctions spéciales pour la détection d’erreurs :

  • Démarrer la recherche des défauts de terre
  • Acquitter un message de défaut de terre
  • Arrêter la recherche des défauts de terre
  • Acquitter le message de court-circuit

Colorations

Les erreurs peuvent être affichés avec une coloration spéciale des lignes dans le module CAL si les notifications sont reçues lorsque les lignes sont actives. Dans le Runtime, la couleur attribuée par le module CAL change automatiquement dès que l’état de la ligne change. Les colorations configurées peuvent être modifiées dans le Runtime via la fonction Modifier la couleur de la fonction CAL.

Les messages sont traités dans leur ordre d’arrivée. En cas de conflit :

  • Les couleurs d’affichage des erreurs sont prioritaires.
  • Les messages de court-circuit sont prioritaires sur les messages de défaut de terre.

Autres sujets abordés dans ce chapitre

Rechercher un défaut de terre

Recherche de court-circuit


Rechercher un défaut de terre

Manuel -> Energy Edition (Produit Energie) -> Coloration Automatique des Lignes (CAL) - Topologie -> Localisation de défauts sur les réseaux électriques -> Rechercher un défaut de terre

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

La recherche de défaut de terre permet de signaler les sections du réseau présentant potentiellement un défaut de terre en les colorant. La couleur est définie par la configuration des couleurs source du module CAL pour la source GROUND FAULT, ID 1 (DÉFAUT DE TERRE). Dans le même temps, les notifications sont définies sur les variables supplémentaires aux fins de l’affichage graphique.

Les sections du réseau susceptibles de présenter un défaut de terre sont dérivées des rapports de défaut de terre fournis par les équipements de détection de défauts de terre (indicateurs de défaut de terre ou équipements de protection enregistrant les défauts de terre). Les considérations suivantes s’appliquent aux défauts de terre :

  • Chaque équipement peut présenter un à trois messages de défaut de terre.
  • Les rapports de défaut de terre peuvent être gérés de deux manières : par le traitement de messages permanents ou le traitement de messages provisoires.
  • Pour les équipements de détection de défauts de terre directionnels, la direction peut être devant ou derrière, en fonction du déclenchement.
    • Devant : D’abord, la notification de la direction arrive en amont et/ou en aval, puis via le déclencheur.
    • Derrière : Le déclencheur arrive avant la solution.

info Informations

Si cette connexion est établie avec succès, un composant réseau présentant potentiellement un défaut de terre n’est alors plus considéré comme défaillant.

Développement

Pour configurer une recherche de défaut de terre :

  1. Attribuez l’élément combiné représentant l’élément de commutation à l’interrupteur de l’élément Type de fonction.
  2. Définissez le mode de recherche de défaut de terre, le déclencheur de défaut de terre et l’affichage du défaut de terre.
  3. Créez les fonctions de début de recherche de défaut de terre, d’acquittement du rapport de défaut de terre et de fin de recherche de défaut de terre.

info Informations

Pour pouvoir également limiter la détection de défauts de terre sur les réseaux hétérogènes, seul un emplacement comportant des défauts de terre est analysé sur chaque chemin, en commençant par une source.

Autres sujets abordés dans ce chapitre

Mode de recherche pour les défauts de terre

Type de détection de défaut de terre

Affichage des défauts de terre

Déclenchement de défauts de terre

Démarrer la recherche des défauts de terre

Acquitter le message de défaut de terre

Arrêter la recherche des défauts de terre


Mode de recherche pour les défauts de terre

Manuel -> Energy Edition (Produit Energie) -> Coloration Automatique des Lignes (CAL) - Topologie -> Localisation de défauts sur les réseaux électriques -> Rechercher un défaut de terre -> Mode de recherche pour les défauts de terre

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

La fonction de recherche de court-circuit peut soit :

  • Colorer la portion du réseau comportant potentiellement un court-circuit,
    ou
  • L’ensemble du réseau sur lequel a été détecté le court-circuit.

Le mode de coloration est défini via la propriété Mode de recherche pour les défauts de terre.

Pour configurer la propriété :

  • Accédez au nœud Coloration Automatique de Lignes dans les propriétés.
  • Sélectionnez le mode de votre choix dans la liste déroulante de la propriété Mode de recherche pour les défauts de terre.
    • Colorer la partie du réseau : colore uniquement les parties du réseau comportant potentiellement un court-circuit.
    • Colorer l’ensemble du réseau : colore l’ensemble du réseau lié sur lequel a été détecté le court-circuit.

Ce paramètre peut être modifié dans le Runtime via le modèle d’objet API de zenon. Dans ce cas, la recherche de court-circuit est recalculée à nouveau.


Type de détection de défaut de terre

Manuel -> Energy Edition (Produit Energie) -> Coloration Automatique des Lignes (CAL) - Topologie -> Localisation de défauts sur les réseaux électriques -> Rechercher un défaut de terre -> Type de détection de défaut de terre

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

La direction et le type de traitement de message pour l’élément combiné sont déterminés par le paramètre Type. Pour la configuration de projets :

  1. Accédez au nœud Coloration Automatique de Lignes dans les propriétés de l’élément combiné.
  2. Ouvrez le nœud Détection des défauts de terre.
  3. Sélectionnez le type souhaité, ainsi que la direction et le type de traitement de message, dans la propriété Type.
    • Sens de défilement :
      Indique si le front montant de l’alarme de déclenchement est prioritaire ou non sur le front montant d’une direction.
    • Devant : L’état de la direction actuelle est utilisé pour le front montant de l’alarme de déclenchement.
    • Derrière : après un front montant de l’alarme de déclenchement, le premier front montant d’une direction est attendu ; s’il ne se produit pas dans les deux secondes suivantes, l’équipement de détection de défaut de terre est considéré comme non directionnel.
    • Traitement de l’information :
      États dans lesquels les informations peuvent être traitées.
    • Aucun : interrupteur normal ; les informations ne sont pas traitées.
    • Traitement des messages permanents : les nouveaux messages reçus sont considérés comme un nouveau déclenchement de défaut de terre.
    • Traitement des messages transitoires : les messages reçus durant une recherche de courant sont supprimés.

Remarque : La distinction entre le traitement des messages permanents et le traitement des messages transitoires a uniquement trait au traitement du message, et non au type de message. Il n’est donc pas nécessaire que le traitement des messages transitoires concerne un bit transitoire.

attention Attention

Pour supprimer les défauts de terre intermittents, les messages de défaut de terre reçus à intervalles de moins de 2 secondes sont ignorés.


Affichage des défauts de terre

Manuel -> Energy Edition (Produit Energie) -> Coloration Automatique des Lignes (CAL) - Topologie -> Localisation de défauts sur les réseaux électriques -> Rechercher un défaut de terre -> Affichage des défauts de terre

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

La variable liée à la propriété Afficher est une variable de sortie pour la détection d’erreurs, et affiche l’état enregistré de l’équipement de détection de défaut de terre. Ceci est indispensable, car tous les messages sont enregistrés au niveau interne jusqu’à leur acquittement, c’est-à-dire qu’ils ne sont pas forcément conformes à l’état actuel des variables de message.

Chaque fois qu’un enregistrement est réalisé, une valeur prescrite est transmise à cette variable. Dans ce cas, les valeurs sont les suivantes :

Valeur | Signification
0 | Pas de défaut de terre
1 | Défaut de terre devant
2 | Défaut de terre derrière
3 | Défaut de terre non directionnel
4 | État d’erreur -> Les deux directions ont été activées

info Informations

Pour réduire les problèmes liés au fonctionnement du réseau, la variable liée ici doit être une variable liée.


Déclenchement de défauts de terre

Manuel -> Energy Edition (Produit Energie) -> Coloration Automatique des Lignes (CAL) - Topologie -> Localisation de défauts sur les réseaux électriques -> Rechercher un défaut de terre -> Déclenchement de défauts de terre

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

L’alarme de détection de défaut de terre est définie par la variable Déclenchement. Elle peut contenir des informations concernant la présence d’un défaut de terre et la direction du défaut de terre selon l’équipement de détection de défaut de terre. Dans ce cas, la distinction suivante est faite :

  • Alarmes de défaut de terre non directionnel
  • Alarmes de défaut de terre directionnel avec une alarme de déclenchement
  • Alarmes de défaut de terre directionnel avec une alarme de déclenchement

Pour configurer la variable pour l’élément Déclenchement :

  1. Accédez au nœud Coloration Automatique de Lignes dans les propriétés de l’élément combiné.
  2. Ouvrez le nœud Détection des défauts de terre.
    1. Pour les alarmes de défaut de terre non directionnelles :

      Cliquez sur le bouton ... de la propriété Déclenchement.

      Sélectionnez la variable que vous souhaitez importer dans la boîte de dialogue qui s’affiche à l’écran.

      Les propriétés de la direction restent vides.

    2. Pour les alarmes de défaut de terre directionnel avec une alarme de déclenchement :

      Liez la variable à Déclenchement et ajoutez la direction adéquate :

      En avant : liez une variable à la propriété Avancer.

      En arrière : liez une variable à la propriété Reculer.

    3. Pour les alarmes de défaut de terre directionnel sans une alarme de déclenchement :

      Liez la variable à la direction correspondante :

      En avant : liez une variable à la propriété Avancer.

      En arrière : liez une variable à la propriété Reculer.

      La propriété Déclenchement reste vide.

Remarque : si vous adressez un équipement d’identification directionnel avec la propriété Avancer dans les deux directions, cette configuration est considérée comme erronée et est ignorée.


Démarrer la recherche des défauts de terre

Manuel -> Energy Edition (Produit Energie) -> Coloration Automatique des Lignes (CAL) - Topologie -> Localisation de défauts sur les réseaux électriques -> Rechercher un défaut de terre -> Démarrer la recherche des défauts de terre

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

La fonction Démarrer la recherche des défauts de terre permet de localiser les défauts de terre et a deux effets dans le Runtime :

  1. Les messages provenant de tous les équipements de détection de défaut de terre configurés avec l’option Traitement des messages fluctuants sont ignorés.
  2. L’algorithme de recherche est modifié : les actions de commutation peuvent uniquement restreindre davantage la section affectée par un défaut de terre. Les nouveaux messages reçus n’augmentent donc pas l’étendue de la section potentiellement affectée par un défaut de terre.

Pour configurer la fonction Démarrer la recherche des défauts de terre :

  • Créez une nouvelle fonction.
  • Accédez au nœud de détection d’erreur du réseau électrique.
  • Sélectionnez la fonction Démarrer la recherche des défauts de terre.

  • Liez la fonction à un bouton.


Acquitter le message de défaut de terre

Manuel -> Energy Edition (Produit Energie) -> Coloration Automatique des Lignes (CAL) - Topologie -> Localisation de défauts sur les réseaux électriques -> Rechercher un défaut de terre -> Acquitter le message de défaut de terre

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

La fonction Acquitter le message de défaut de terre permet d’acquitter un message de défaut de terre enregistré au niveau interne provenant d’un équipement de détection de défaut de terre. De cette manière, l’état de défaut de terre verrouillé au niveau interne est réinitialisé si l’état est toujours en attente, ou défini comme étant acquitté. Un message de défaut de terre enregistré sera uniquement supprimé au niveau interne s’il a été acquitté et n’est plus en attente.

Règles de l’acquittement :

  • si une variable correspondant à une variable de déclenchement ou de direction d’un équipement de détection de défaut de terre est liée, ce message de défaut de terre spécial est acquitté.
  • Si aucune variable n’a été liée, tous les messages de défaut de terre sont acquittés.
  • L’acquittement peut également être effectué via le modèle d’objet de l’API de zenon.

Pour configurer la fonction Acquitter le message de défaut de terre :

  • Créez une nouvelle fonction.
  • Accédez au nœud de détection d’erreur du réseau électrique.
  • Sélectionnez la fonction Acquitter le message de défaut de terre.

  • La boîte de dialogue de sélection de variable s’affiche à l’écran.
  • Liez la variable souhaitée à la fonction.
  • Liez la fonction à un bouton.


Arrêter la recherche des défauts de terre

Manuel -> Energy Edition (Produit Energie) -> Coloration Automatique des Lignes (CAL) - Topologie -> Localisation de défauts sur les réseaux électriques -> Rechercher un défaut de terre -> Arrêter la recherche des défauts de terre

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Pour arrêter la recherche de défaut de terre, exécutez la fonction Arrêter la recherche des défauts de terre dans le Runtime.

Pour configurer la fonction :

  • Créez une nouvelle fonction.
  • Accédez au nœud de détection d’erreur du réseau électrique.
  • Sélectionnez la fonction Arrêter la recherche des défauts de terre.

  • Liez la fonction à un bouton.


Recherche de court-circuit

Manuel -> Energy Edition (Produit Energie) -> Coloration Automatique des Lignes (CAL) - Topologie -> Localisation de défauts sur les réseaux électriques -> Recherche de court-circuit

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

La recherche de court-circuit permet de signaler les sections du réseau présentant potentiellement un court-circuit en les colorant. La couleur est définie par la configuration des couleurs source du module CAL pour la source DÉFAUT DE COURT-CIRCUIT.

Les composants du réseau potentiellement sujets aux courts-circuits sont déterminés en fonction des rapports de court-circuit. Un équipement d’identification de court-circuit (indicateur de court-circuit, équipement de protection) peut comporter un à trois messages de court-circuit. Pour les équipements de détection de court-circuit directionnel, la direction peut être en avant ou en arrière, en fonction du déclenchement. Si cette connexion est établie avec succès, un composant réseau présentant potentiellement un court-circuit n’est alors plus considéré comme défaillant.

Développement

Pour configurer la recherche de court-circuit :

  1. Attribuez l’élément combiné représentant l’élément de commutation à l’interrupteur de l’élément Type de fonction.
  2. Définissez l’affichage des défauts de terre et le déclenchement de la détection de défauts de terre.
  3. Configurez la fonction d’acquittement des messages de défaut de terre.

Autres sujets abordés dans ce chapitre

Détection de défauts de terre

Affichage des défauts de terre

Déclenchement de la détection de défaut de terre

Acquitter le message de court-circuit


Détection de défauts de terre

Manuel -> Energy Edition (Produit Energie) -> Coloration Automatique des Lignes (CAL) - Topologie -> Localisation de défauts sur les réseaux électriques -> Recherche de court-circuit -> Détection de défauts de terre

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

La direction et le type de traitement de message pour l’élément combiné sont déterminés par le paramètre Type. Pour la configuration de projets :

  1. Accédez au nœud Coloration Automatique de Lignes dans les propriétés de l’élément combiné.
  2. Ouvrez le nœud Détection cout-circuit.
  3. Sélectionnez le type souhaité dans la propriété Type.
    • Direction:
      Indique si le front montant de l’alarme de déclenchement est prioritaire ou non sur le front montant d’une direction.
    • Devant :
      L'état de la direction actuelle est utilisé pour le front montant de l’alarme de déclenchement.
    • Derrière :
      après un front montant de l’alarme de déclenchement, le premier front montant d’une direction est attendu ; s’il ne se produit pas dans les deux secondes suivantes, l’équipement de détection de court-circuit est considéré comme non directionnel.
    • Traitement de l’information :
      États dans lesquels les informations peuvent être traitées.
    • aucune :
      interrupteur normal ; les informations ne sont pas traitées.
    • Traitement des messages permanents :
      Les nouveaux messages reçus sont considérés comme un nouveau déclenchement de défaut de terre.


Affichage des défauts de terre

Manuel -> Energy Edition (Produit Energie) -> Coloration Automatique des Lignes (CAL) - Topologie -> Localisation de défauts sur les réseaux électriques -> Recherche de court-circuit -> Affichage des défauts de terre

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

La variable liée à la propriété Afficher est une variable de sortie pour la détection d’erreurs, et affiche l’état enregistré de l’équipement de détection de défaut de terre. Ceci est indispensable, car tous les messages sont enregistrés au niveau interne jusqu’à leur acquittement, c’est-à-dire qu’ils ne sont pas forcément conformes à l’état actuel des variables de message.

Chaque fois qu’un enregistrement est réalisé, une valeur prescrite est transmise à cette variable. Dans ce cas, les valeurs sont les suivantes :

Valeur | Signification
0 | Pas de court-circuit
1 | Court-circuit devant
2 | Court-circuit derrière
3 | Court-circuit non directionnel


Déclenchement de la détection de défaut de terre

Manuel -> Energy Edition (Produit Energie) -> Coloration Automatique des Lignes (CAL) - Topologie -> Localisation de défauts sur les réseaux électriques -> Recherche de court-circuit -> Déclenchement de la détection de défaut de terre

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

La variable du message provenant de l’équipement d’identification de court-circuit est définie par la variable Déclenchement. Il peut contenir des informations concernant la présence d’un court-circuit et la direction du court-circuit selon l’équipement de détection de défaut de terre. Dans ce cas, la distinction suivante est faite : Dans ce cas, la distinction suivante est faite :

  • Détecteur de court-circuit non directionnel
  • Détecteur de court-circuit directionnel avec alarme de déclenchement
  • Détecteur de court-circuit directionnel sans alarme de déclenchement

Pour configurer les variables pour chaque élément :

  1. Accédez au nœud Coloration Automatique de Lignes dans les propriétés de l’élément combiné.
  2. Ouvrez le nœud Détection cout-circuit.
    1. Pour les détecteurs de court-circuit non directionnel

      Cliquez sur le bouton ... de la propriété Déclenchement.

      Sélectionnez la variable que vous souhaitez importer dans la boîte de dialogue qui s’affiche à l’écran.

      Les propriétés de la direction restent vides.

    2. Pour les détecteurs de court-circuit directionnel avec alarme de déclenchement

      Liez la variable à Déclenchement et ajoutez la direction adéquate :

      En avant : liez une variable à la propriété Avancer.

      En arrière : liez une variable à la propriété Reculer.

    3. Pour les détecteurs de court-circuit directionnel sans alarme de déclenchement

      Liez la variable à la direction correspondante :

      En avant : liez une variable à la propriété Avancer.

      En arrière : liez une variable à la propriété Reculer.

      La propriété Déclenchement reste vide.


Acquitter le message de court-circuit

Manuel -> Energy Edition (Produit Energie) -> Coloration Automatique des Lignes (CAL) - Topologie -> Localisation de défauts sur les réseaux électriques -> Recherche de court-circuit -> Acquitter le message de court-circuit

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

La fonction Acquitter le message de court-circuit permet d’acquitter un message de court-circuit enregistré au niveau interne provenant d’un équipement de détection de court-circuit. De cette manière, l’état de défaut de terre verrouillé au niveau interne est réinitialisé si l’état est toujours en attente, ou défini comme étant acquitté. Un message de court-circuit enregistré sera uniquement supprimé au niveau interne s’il a été acquitté et n’est plus en attente.

Règles de l’acquittement :

  • si une variable correspondant à une variable de déclenchement ou de direction d’un équipement de détection de court-circuit est liée, ce message de court-circuit spécial est acquitté.
  • Si aucune variable n’a été liée, tous les messages de court-circuit sont acquittés.
  • L’acquittement peut également être effectué via le modèle d’objet de l’API de zenon.

Pour configurer la fonction Acquitter le message de court-circuit :

  • Créez une nouvelle fonction.
  • Accédez au nœud de détection d’erreur du réseau électrique.
  • Sélectionnez la fonction Acquitter le message de court-circuit.

  • Sélectionnez la variable que vous souhaitez importer dans la boîte de dialogue qui s’affiche à l’écran.
  • Liez la fonction à un bouton.


Détection des erreurs par impédance et calcul de la répartition de charge

Manuel -> Energy Edition (Produit Energie) -> Coloration Automatique des Lignes (CAL) - Topologie -> Détection des erreurs par impédance et calcul de la répartition de charge

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

La détection des erreurs par impédance et le calcul de la répartition de charge étendent la fonction CAL. La fonction CAL identifie les nœuds et les rayons, tandis que ce modèle détecte également les lignes et leurs paramètres. La localisation des défauts à partir de l’équipement de protection est possible grâce à la configuration dans zenon Editor.

Le modèle fournit des propriétés et des méthodes d’évaluation externe de la localisation de défauts et de la répartition de charges, par le biais d’une API.

Propriétés de la fonction CAL et du modèle topologique étendu

Les éléments Élément combiné et Ligne (ligne, ligne brisée, tube) de la CAL possèdent des propriétés spéciales dédiées à la détection d’erreurs par impédance et le calcul de la répartition de charge. Les propriétés de répartition de charge ne sont pas évaluées dans zenon, mais sont disponibles par l’intermédiaire d’algorithmes créés par les utilisateurs avec l’API de zenon.

Le modèle topologique utilisé pour la coloration est complété par un modèle topologique étendu qui inclut toutes les lignes sous forme de rayons séparés. Le modèle topologique étendu est enregistré sous le nom ALC.xml et peut ainsi être lu par les applications externes. ALC.xml contient deux sections :

  • GraphElements:
    contient le modèle topologique étendu, sans alias
  • GraphAliases:
    contient uniquement les alias

Autres sujets abordés dans ce chapitre

Localisation de défauts par impédance pour le court-circuit

Modèle topologique étendu

API


Localisation de défauts par impédance pour le court-circuit

Manuel -> Energy Edition (Produit Energie) -> Coloration Automatique des Lignes (CAL) - Topologie -> Détection des erreurs par impédance et calcul de la répartition de charge -> Localisation de défauts par impédance pour le court-circuit

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Avec la localisation de défauts par impédance, un marqueur d’erreur est défini à l’emplacement du problème dans la topologie. Les valeurs d’impédance mesurées par les équipements de protection sont évaluées par le module CAL. En fonction de la topologie, les marqueurs d’erreur sont correctement positionnés sur un synoptique zenon.

En cas de court-circuit, si la réactance n’est pas égale à zéro, la procédure de localisation du court-circuit démarre :

  • Court-circuit :
    Signalé par une variable liée pour la propriété Déclenchement
  • Réactance :
    Valeur de la variable (issue du type de données REAL) liée à la propriété Valeur de réactance de la protection.

Position du marqueur

Toutes les lignes sont parcourues dans la direction correspondante. La direction résulte d’une réactance négative ou positive. La réactance correspondante de la ligne parcourue est déduite, et la recherche continue jusqu’à ce que la réactance résiduelle soit inférieure à la réactance de la ligne suivante. Un marqueur est tracé sur la ligne. La position du marqueur correspond à la réactance résiduelle.

Si aucune valeur de réactance n’est présente, aucun marqueur n’est défini en cas de notification de court-circuit. Pour que le marqueur soit tracé correctement, la zone ne doit pas être en charge au moment de la notification de court-circuit. En présence de notifications de court-circuit retardées, la réactance est uniquement évaluée en cas de réception de la notification de direction ou d’expiration du délai d’attente de 2 secondes.

La recherche est annulée en cas de détection d’un élément ouvert ou d’un autre élément CAL. Chaque composante du réseau et chaque ligne individuelle qu’il contient doit s’exécuter une fois seulement par déclencheur ; le nombre de marqueurs présents sur le réseau de lignes est donc inférieur au nombre possible.

Lors du rechargement, les marqueurs déjà existants sont dessinés au même point qu’avant le rechargement. Les modifications apportées à la configuration de la localisation de défauts sont uniquement évaluées après un autre court-circuit.

En cas d’effacement et d’acquittement d’une notification de court-circuit, tous les marqueurs de ce déclencheur de court-circuit sont supprimés.

Remarque : En fonction de l’ordre de rectification du court-circuit et du rétablissement du fonctionnement, le marqueur peut rester visible, bien que la ligne ne soit plus colorée comme un court-circuit.

Autres sujets abordés dans ce chapitre

Configuration dans Editor


Configuration dans Editor

Manuel -> Energy Edition (Produit Energie) -> Coloration Automatique des Lignes (CAL) - Topologie -> Détection des erreurs par impédance et calcul de la répartition de charge -> Localisation de défauts par impédance pour le court-circuit -> Configuration dans Editor

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Avec la localisation de défauts par impédance, un marqueur d’erreur est défini à l’emplacement du problème dans la topologie. La localisation est calculée à partir de l’impédance, sur la base de la topologie.

Pour configurer la localisation de défauts par impédance dans zenon Editor, effectuez les opérations suivantes :

  1. Activez la localisation de défauts par impédance :
    1. Pour cela, cliquez sur le projet dans votre Espace de travail.
    2. Cliquez sur le groupe de propriétés Coloration Automatique de Lignes du projet.
    3. Activez la propriété Localisation de défaut basée sur l'impédance.
  2. Configurez l’affichage des marqueurs d’écran avec les propriétés de projet particulières :
    1. Taille marqueur écran
    2. Epaisseur de ligne du marqueur écran
    3. Affiche le type de marqueur écran
  3. Créez un synoptique zenon.
  4. Positionnez l’élément combiné sur le synoptique zenon.
    La boîte de dialogue de sélection de variables s’affiche.
  5. Configurez les paramètres du module CAL pour l’élément combiné :
    1. Assurez-vous que l’élément combiné a été sélectionné.
    2. Accédez au groupe de propriétés Coloration Automatique de Lignes.
    3. Dans la propriété Type de fonction, sélectionnez l’entrée Commutation dans la liste déroulante.
    4. Liez la propriété Valeur de réactance de la protection (dans la section Localisation défaut de la protection / distribution charge des propriétés) à une variable du type de données REAL avec la valeur de l’impédance mesurée.
    5. Sélectionnez le type de Détection cout-circuit dans la liste déroulante de la propriété Type.
    6. Configurez la couleur du marqueur dans la propriété Couleur du marqueur.


Modèle topologique étendu

Manuel -> Energy Edition (Produit Energie) -> Coloration Automatique des Lignes (CAL) - Topologie -> Détection des erreurs par impédance et calcul de la répartition de charge -> Modèle topologique étendu

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Chaque objet possède un ID unique, grâce auquel il est référencé dans le fichier. Les attributs correspondent à un sous-ensemble des éléments de synoptique zenon ayant créé les éléments.

GraphElement

ID | Description
Picture | Nom du synoptique
ElementID | ID d’élément de synoptique
ElementRef | Référence d’élément de synoptique
Type | Type d’élément de synoptique (voir Élément)
SourceID | Numéro de source
ReverseSourceID | Numéro de source inversé
Variable | Variable d’état
VarProtReact | Variable de réactance
MaxIType | Type d’intensité maximale
MaxIVal | Valeur constante d’intensité maximale
VarMaxI | Variable d’intensité maximale
VarCurI | Variable d’intensité instantanée
VarCalcI | Variable d’intensité calculée
VarCurP | Variable de puissance instantanée
LoadType | Type de charge
LoadVal | Valeur constante de charge
VarLoad | Variable Charge
React | Réactance
Resist | Résistance
Length | Longueur de ligne
Node1IDs | Liste de tous les ID d’éléments connectés au nœud Node1
Node2IDs | Liste de tous les ID d’éléments connectés au nœud Node2

GraphAlias

ID | Description
Picture | Nom du synoptique
ElementID | ID d’élément de synoptique
ElementRef | Référence d’élément de synoptique
Type | Type d’élément de synoptique (voir Élément)
OrigElemRef | Élément de synoptique - référence à l’élément de synoptique original
OrigGraphElemID | ID des éléments originaux dans GraphElements


API

Manuel -> Energy Edition (Produit Energie) -> Coloration Automatique des Lignes (CAL) - Topologie -> Détection des erreurs par impédance et calcul de la répartition de charge -> API

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Dans le modèle d’objet de l’API de zenon, les objets ALCGraphElement et ALCGraphAlias sont disponibles pour le modèle. Ils contiennent les mêmes informations que le fichier XML. Ces objets sont accessibles dans le moteur CAL via les fonctions :

  • GraphElemCount()
  • GraphAliasCount()
  • GraphElemItem()
  • GraphAliasItem()

Verrouillages topologiques spécifiques à l’utilisateur

Si un verrouillage topologique est activé, l’événement suivant est appelé dans le moteur CAL :

  • void CheckInterlocking(IALCEdge* pALCEdge, long nNewState, tpLockResult* LockResult, BSTR* bsText, VARIANT_BOOL* bUnlockable);

L’interrupteur/le sectionneur à commuter et le nouvel état sont transférés. L’événement peut renseigner LockResult, bUnlockable et bsText pour afficher une violation de condition de verrouillage. Si le gestionnaire d’événements renvoie tpBusy dans LockResult, il est interrogé jusqu’à ce qu’il ne renvoie plus la réponse tpBusy, pendant 10 secondes maximum toutefois. Le verrouillage est actif après 10 secondes. Le texte de verrouillage et l’impossibilité du déverrouillage sont indiqués dans bsText et bUnlockable.

Marqueur de synoptique

Des éléments de marqueur peuvent être insérés dans le synoptique via l’API de zenon. Les éléments de marqueur suivants sont disponibles pour les éléments suivants :

  • Ligne
  • Ligne brisée
  • Tube

Ces éléments sont ajoutés ou supprimés, via les fonctions de l’API, dans DynPictures :

  • BSTR AddMarker(BSTR bsScreenName, long nElementID, short nPosition, short nLineColorIndex, short nFillColorIndex);
  • VARIANT_BOOL DelMarker(BSTR bsID);

Le GUID du marqueur, fourni par AddMarker(), identifie le marqueur de façon unique et sert à la fois de nom d’élément (avec le préfixe $MARKER_), ainsi que de clé la fonction de suppression, via DelMarker(). Les marqueurs insérés via l’API sont enregistrés dans le projet, en fonction du synoptique. Attention : l’enregistrement n’est pas rémanent ; il dure uniquement jusqu’au redémarrage du Runtime.

Les marqueurs définis ici sont affichés indépendamment du moniteur sur lequel est affiché le synoptique. Au niveau interne, les marqueurs sont traités comme des éléments de synoptique actionnables normaux : Des événements de souris sont invoqués à cette fin.

L’apparence des marqueurs est déterminée dans les paramètres du projet, dans la section Coloration Automatique de Lignes de la configuration du projet :

  • Affiche le type de marqueur écran : triangle, cercle, carré, croix
  • Taille marqueur écran : Taille en pixels :
  • Epaisseur de ligne du marqueur écran : Largeur en pixels
  • Couleur du marqueur : ce paramètre est défini par l’intermédiaire de l’indice dans la table de couleurs du marqueur, située dans les propriétés des éléments de synoptique, dans le groupe Coloration Automatique de Lignes


Command Processing

Manuel -> Energy Edition (Produit Energie) -> Command Processing

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Command processing serves primarily for the secured switching of variables in energy technology. 'Secured' means that there is a check whether the switching operation is allowed, according to the configured interlocking condition and the dynamically updated topology (current physical state of the topological network). The configuration of the topology and the topological commands is done via the ALC (Automatic Line Coloring) module.

Note: You can find step-by-step instructions for the creation of a configuration of simple command processing in the Project configuration in the Editor chapter.

tutorial Informations concernant la licence

Included in the license for Energy Edition.

The functions documented in this manual are only available if zenon Energy Edition is licensed.

Command groups always contain a set of defined actions, which are usually adjusted to a specific data point (a specific device) . For example, different command groups can be defined individually and centrally for different topological elements (switch/disconnector etc.) .

A data point for the command processing always consists of 2 physical variables:

  • Response variable:
    The response variable is defined centrally for the whole command group. It represents the status of the topological element, for example whether the switch is open or closed.
  • Command variable:
    A defined command variable is assigned to every action inside a command group. The driver uses this variable to write commands to the controller.

Depending on the action to be executed, these commands are executed on one of the two variables.

Example Exemple

Switching command on
Sends the command/the new value to the command variable. The success of the triggered action can be checked by means of the response variable.

Status input off
Resets status bits of the response variable configured in the action. The command variable is not relevant to this action.
The action variable is the same as the name of the response.

Note: You can find a description of the command actions in the action types section.

Name replacement

To simplify or to generalize the definition of the variables, the variable references (for command variables, response variables and condition variables) can be defined using a name replacement. In doing so, wildcards '*' can be used. Wildcards are only permitted as a prefix or suffix; e.g. *xxx or xxx*.

As a result of this flexible definition, generally-valid procedures can be defined, which are then applicable for several data points. The number of command groups that must be defined is thus reduced considerably.

Example Example
  • Definition of the command variables - action variable property = *_CO
  • Definition of the response variables - name of the response = *_RV

In Runtime, the Command Processing automatically adds the name of the response variable, which is shown/selected in the process screen, to the name of the command variable. The names of both variables differ only in their endings.

This is also applicable for condition variables: X01: *_ClsEna.

Other variables - that have been linked to dynamic elements in the command processing screen - can also be replaced in Runtime.

You can find further details on this in the Substitution of additional variables chapter.

Execution

In general, the single-step operations are executed by means of the context menu of an element in the topology (such as a switch). A further typical use is the opening of a Command Processing screen instead of a write set value dialog.

The two-stage operations are executed by means of a context menu or the Command Processing screen type.

Specific control elements are available for this screen type. They enable an individual optical and functional design of the command processing. This way, individual actions, for example, can be assigned to action buttons directly. After this, these actions can be selected by the user directly. This screen type also includes the necessary requirements in order to carry out functions such as unlocking, two-step execution, two-hand operation, locking etc.

Note: You can find detailed information about the process in the Command Processing screen in the Process in the Command Processing screen chapter.

Such a screen is called up on the screen element of the response variable by means of its context menu or instead of the write set value dialog. The call can also be by means of the Appel de synoptique function that is linked to a button.

An action (switching operation) can be the following in Runtime:

  • Permitted
    If there is no locking condition applicable.
  • Not permitted
    If there is an unlockable condition applicable.
  • Permitted after unlocking
    If an unlockable condition is applicable.

This results from the command groups and the current status of the topological model Configuration CAL - Interlockings tab.

Note: You can find additional information on the procedure of a command in the Execution of a command chapter.

In the zenon network, there is synchronization for actions from the command that concerns a certain response variable, by activating the NET_SEL status bit. The simultaneous execution on the same object (same variables) by different users is thus precluded. Parallel execution on different response variables is supported.

Autres sujets abordés dans ce chapitre

Command Processing

Command processing detail view toolbar and context menu

Engineering in the Editor

Operating during Runtime


Command Processing

Manuel -> Energy Edition (Produit Energie) -> Command Processing -> Command Processing

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Menu item | Action
New command group | Creates a new command group.
Exporter tout (XML) | Exports all entries as an XML file.
Import XML... | Imports measuring units from an XML file.
Editor profile | Opens the drop-down list for selecting a Editor profile.
Help | Opens online help.

info Informations

Command groups can be exported, imported and copied and pasted using the clipboard. The same applies for actions and their interlocking conditions, even different command groups.


Command processing detail view toolbar and context menu

Manuel -> Energy Edition (Produit Energie) -> Command Processing -> Command processing detail view toolbar and context menu

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Command Processing and command group context menu

Menu item | Action
New command group | Creates a new command group.
Export XML all... | Exports all entries as an XML file.
Export selected XML... | Exports selected entries as an XML file.
Import XML... | Imports from an XML file.
Copy | Copies the selected command group to the clipboard.
Coller | Pastes command groups from the clipboard.
Delete | Deletes the selected command group after requesting confirmation.
Rename | Enables renaming of a command group.
Properties | Opens the properties window for the selected command group.
Help | Opens online help.

Context menu group actions

Menu item | Action
Command new | Creates a new command and opens the properties.
New auto/remote command | Creates a new auto/remote command and opens the properties.
New forced command | Creates a new mandatory command and opens the properties.
New set value input | Creates a new set value input and opens the properties.
New status input | Creates a new status input and opens the properties.
New replace | Creates a new replace action and opens the properties.
New revision | Creates a new revision and opens the properties.
New manual correction | Creates a new manual correction action and opens the properties.
New block | Creates a new block action and opens the properties.
New release | Creates a new manual correction and opens the properties.
Check response value | Creates a new Check response action and opens the properties.
New lock | Creates a new lock and opens the properties.
Coller | Pastes action from the clipboard.
Help | Opens online help.

Context menu individual action

Menu item | Action
New interlocking condition | Creates a new interlocking condition. Note: Grayed out for mandatory command command processing actions.
Copy | Copies the selected action to the clipboard.
Coller | Pastes action from the clipboard.
Delete | Deletes the selected action after requesting confirmation.
Help | Opens online help.

Context menu condition

Menu item | Action
Remove interlocking condition | Deletes selected condition.
Copy | Copies the selected condition.
Coller | Pastes the condition from the clipboard.
Properties | Opens the property window for the selected element.
Help | Opens online help.

Context menu group variables

Menu item | Action
Add variable... | Opens the dialog for selecting a variable.
Coller | Pastes variable from the clipboard.
Help | Opens online help.

Context menu individual variable

Menu item | Action
Remove variable | Deletes the selected variable from the group after requesting confirmation.
Copy | Copies selected variables to the clipboard.
Coller | Pastes variable from the clipboard.
Properties | Opens the property window for the selected element.
Help | Opens online help.


Engineering in the Editor

Manuel -> Energy Edition (Produit Energie) -> Command Processing -> Engineering in the Editor

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

The Command Processing module is a comprehensive module with many possibilities for expanding the behavior in Runtime and amending it individually.

Please also note, for your project configuration in the zenon Editor, the information in the introduction for this manual.

Example of an initial, simple command configuration

  1. Create a command input screen.
    Add the control elements from this template for this screen.

    Alternative project configuration for operation in Runtime by means of a context menu:
    Create a context menu with the following parameters:

    • Type action Command Processing
    • Texte $ALL$
    • ID du menu ID_CDM_AUTO
  2. Create two variables.
    It is recommended that these variables are created with an Energy driver (IEC870, for example).
    Attention: The internal driver is not suitable for response variables.
    • Command variable
      Variable to write a command (open/close) to the controller, for example IEC870 Variable T46;
    • Response variable
      Variable that displays the status (position: open/close/invalid etc.) of the relevant object in the same controller, for example T03.

    Name these variables.
    You can name these variables so that both names have a joint description at the start, for example switch_Q0_CO and switch_Q0_RV. This allows a command group to be used for several variable pairs.

  3. Create a command group.
    Configure the following properties of the command group:
    • Nom de variable de réponse:
      With name substitution: *_RV
      Without name substitution: Name of the response variable from step 2
    • Synoptique
      Linking to a command input screen from step 1
  4. Create actions in the command screen.
    1. Configure a Type action switching command action with the following parameters:
    • Variable de l'action
      With name substitution: *_CO
      Without name substitution: Name of the command variable from step 2.
    • État de la réponse/direction de commutation: ON
    • Commande: 1
    • Bouton d'action Action 1/Button: On
      For execution without a context menu and without A deux étapes
    1. Configure a second action with the following different parameters:
    • État de la réponse/direction de commutation: OFF
    • Commande: 0
    • Bouton d'action: Action 2/Button: Off

    Hint: Copy the first configured action and amend the parameters.

  5. Link the variables to the command group.
    Note: This is always required, regardless of whether name substitution has been configured or not.
    1. Select the two variables created in step 2.
    2. In the Écrire valeur prescrite properties group, configure the Groupe de commandes property.
      To do this, select the three created command groups created in step 3 from the drop-down list.
  6. Configure a trigger for the created processing:
    1. Create a new zenon screen. The type of the screen can be any you want except command input.
    2. Place a dynamic screen element on this screen.
    3. Link this screen element to the response variable.
    4. In the drop-down list of the Écrire valeur prescrite par property, select the Command entry.
      You can find this property in the Écrire valeur prescrite properties group of the screen element.

      Alternative project configuration for operation in Runtime by means of context menu:
      In the drop-down list of the Menu contextuel property, select the name of the context menu created in step 1.
      You can find this property in the Runtime properties group of the screen element.

The user can now click on the configured screen element in Runtime (right-click for context menu) to trigger the actions of the command.

info Informations

For tests too, use a driver that supports the evaluation of the COT (Cause of Transmission - Cause of transmission) in full, for example the IEC 60870-5-101_104 driver. COT evaluation is an enhanced functionality to monitor communication during a command using the Tempo watchdog settings. The status bits COTx of the command variables can also be evaluated in the reaction matrices multi-numerical and multi-binary.

Autres sujets abordés dans ce chapitre

Creating a screen of the type Command Processing

Variables of the command group

Configure command input

Create menu

Create Runtime files


Creating a screen of the type Command Processing

Manuel -> Energy Edition (Produit Energie) -> Command Processing -> Engineering in the Editor -> Creating a screen of the type Command Processing

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

A command processing screen allows control in Runtime and an overview of the command processing. The command processing can be controlled in Runtime using buttons.

The command processing screen is created in the Editor configuring a new command processing screen. (You will find more information on the pre-defined screen types in the manual Screens/Pre-defined screen types'.)

The screen Command Processing is used for user interaction via command during the runtime (one and two-step command). It allows the user to perform all activities that are necessary for command execution. This can be, for example, the unlocking of an active action or the confirmation of the execution of a two-step command.

info Informations

When using one-step command processing, a context menu can also be used. The screen type command processing is then not required in the project.

You can use specific control elements for this screen type, which allow all user actions necessary for command processing and which visualize current information about the status of the action to be executed (e.g. display of the switching direction).

It is opened as an empty one after a new screen has been created. You add the default control elements via menu Control elements/Add template.

Développement

Étapes de création du synoptique :

  1. Créez un nouveau synoptique :

    Dans la barre d’outils ou le menu contextuel du nœud Synoptiques, sélectionnez la commande Nouveau synoptique.
    Un synoptique vide Standard est créé.

  2. Modifiez les propriétés du synoptique :
    1. Nommez le synoptique dans la propriété Nom.
    2. Select Command Processing in the Type de synoptique property.
    3. Sélectionnez le cadre souhaité dans la propriété Gabarit.
  3. Configurez le contenu du synoptique :
    1. Sélectionnez l’option de menu Éléments de contrôle dans la barre de menus
    2. Sélectionnez Insérer un modèle dans la liste déroulante.
      La boîte de dialogue de sélection de mises en forme prédéfinies s’affiche à l’écran. Certains éléments de contrôle sont insérés dans le synoptique à des positions prédéfinies.
    3. Supprimez les éléments superflus du synoptique.
    4. Si nécessaire, sélectionnez des éléments supplémentaires dans la liste déroulante Éléments. Placez-les aux emplacements souhaités sur le synoptique.
  4. Créez une fonction d’appel de synoptique.

Autres sujets abordés dans ce chapitre

Template

Screen template - standard

Screen Template - complete

Substitution of additional variables in the screen


Template

Manuel -> Energy Edition (Produit Energie) -> Command Processing -> Engineering in the Editor -> Creating a screen of the type Command Processing -> Template

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Several pre-defined templates are available for Command Processing screens.

Template

Description

List field templates (left)

Displays all pre-defined and user-defined template.

Preview and description (right)

Shows preview and description of the selected template.

Standard

Compact display of the command processing with visualization of:

  • Actions
  • Interlockings
  • Buttons for selection and execution

Energy

Template

Description

Portrait Format

Display of command processing in portrait format, optimized for placing next to an overview screen:

  • Actions
  • Interlockings
  • Buttons for selection and execution
  • Lock

Portrait format without interlock

Simplified display of command processing in portrait format:

  • Actions
  • Interlockings
  • Buttons for selection and execution

Complete

Enhanced display of the command processing with visualization of:

  • Response variables
  • Action variables
  • Lock
  • Actions
  • Interlockings
  • Buttons for selection and execution

Complete with interlocking list

Enhanced display of command processing including all interlockings:

  • Response variables
  • Action variables
  • Interlocking (list)
  • Actions
  • Buttons for selection and execution

Complete without interlock

Enhanced display of command processing. With interlockings, only the currently-pending interlocking is visualized:

  • Response variables
  • Action variables
  • Actions
  • Interlockings (Text)
  • Buttons for selection and execution

Minimum

Only contains visualization of buttons for selection and execution.

Close dialog

Parameter | Description
Delete existing screen elements | Behavior when applying the template for configuration in the Editor. Active: Already existing elements in the screen are deleted when taking over the template. Default: inactive.
Apply | Inserts the elements of the selected template in the screen and closes the dialog.
Cancel | Closes the dialog without inserting elements.
Help | Opens online help.


Screen template - standard

Manuel -> Energy Edition (Produit Energie) -> Command Processing -> Engineering in the Editor -> Creating a screen of the type Command Processing -> Screen template - standard

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

The Standard template only contains the most important control elements for command actions. It is suitable for actions that are executed using a context menu or from a command sequence.

Action/command

Control element

Description

Active action/command

Displays the pending action of the command group.

Switching direction

The switching direction configured for the active action. The texts are documented with the "switching direction" setting.

Depending on the active action, the following text is shown:

  • Command, revision, correction, replace: Text from limit value, depending on switching direction.
  • Status: On or Off
  • Other: empty

Interlockings

Control element | Description
Active interlocking | Interlocking text of the active interlocking.
Unlock | If an unlockable interlocking is upcoming, it can be unlocked with this button. Note: This control is shown only when the screen is in the step 'Unlock'. The Control is locked when the upcoming interlocking is not unlockable.

Select/execute

Control element

Description

On

Command button for switching command, to close a switch for example.

Off

Command button for switching command, to open a switch for example.

Confirm

Confirms for the pending two-step action.
A two-step switching command, for example, is only executed after clicking on this button.

Cancel
  • Closes the command processing screen. The pending action is not executed.
  • Cancel for pending two-stage action (Cancel instead of Execute).
  • Cancellation of the execution of an action (depending on the configuration, for example: cancel Operate if it has still not been terminated).

The button is grayed out if the screen is in 'Step 1'.

Autres sujets abordés dans ce chapitre

Control elements - complete overview


Control elements - complete overview

Manuel -> Energy Edition (Produit Energie) -> Command Processing -> Engineering in the Editor -> Creating a screen of the type Command Processing -> Screen template - standard -> Control elements - complete overview

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Control elements - complete overview

The following elements are available in the Control elements menu bar in zenon for the command input screen:

Name

Control type

Default

Action buttons

Text

Buttons, which can have an action assigned to them. By clicking in the screen, the assigned action is activated and the screen changes to the step "Release"

The button is not shown when:

  • No action is assigned to the button in the current command group.
  • The variable, with which the screen was loaded, is the command variable, and the action assigned to the button does not use the command variable as action variable. However, if the action 'Lock' was assigned to the button, it is visible.

The button is shown as locked when:

  • The screen is not in 'Step 1'.
  • The response variable has set one of the status bits I_KENNUNG(18), OFF(20) or NICHT_AKTUELL(29) and writes the assigned action to the command variable.
  • The response variable has the status REVISION(9) active and the assigned action writes to the command variable.
  • The response variable has the status REVISION(9) active and the assigned action is 'Correct'.
  • The assigned action is 'Release' and the response variable does not have the status Alternativevalue(27) active.
  • The assigned action is 'Correct' and the value of the response variable matches the switching direction.
  • The assigned action is 'Replace' and the value of the response variable matches the switching direction.
  • The response variable has the status REVISION(9) active and the assigned action is 'Replace'.
  • The assigned action is 'Revision' and the value of the response variable matches the switching direction.

Action1

Action2

RV TTA

Text

Name of the response variable

X

RV identification

Text

Name of the response variable

X

Action variable unit

Text

Unit of the current action variable.

X

Action variable set status

List

Defines the status to be set for the action 'Status default' for the switching direction 'None'. The statuses are set to the current status and updated when changes occur.

Is locked when the active action is not 'Set status'.

Switching direction

Text

The switching direction configured for the active action. The texts are documented with the setting 'Switching direction'.

Depending on the active action, the following text is shown:

Command, revision, correction, replace: Text from limit value, depending on switching direction.

Status: On or Off

Other: empty

X

Execute Step 2

Button

Delivers the actions to execution.

This control element is visible only when the screen is in 'Step 2'.

The control element is locked when:

  • Two handed operation was configured and the key 'Ctrl' is not pressed.
  • The status REVISION(9) of the response variable is set and the assigned action is 'Command', 'Set value', 'Replace' or 'Correct'.
  • The button was already clicked.

X

Action variable minimum

Numeric

Minimum value of the action variable.

Not visible if the action variable is of data type 'String'.

Action variable maximum

Numeric

Minimum value of the action variable.

Not visible if the action variable is of data type 'String'.

Scrollbars

Numeric

Setpoint input with scroll bar Sets the value in the control element 'Set value' or is set by this value.

Not visible if the action variable is of data type 'String'.

The control element is locked when:

- No action is active.

- The screen is not in 'Step 1'.

Set value

Numerical, Text

Allows the input of the set value.

By clicking the control element, it is switched to edit mode and the setpoint input is possible. The edit mode can be left again with "Enter".

The new value is set only after clicking the control element 'Execute'.

The desired value for the action 'Set value' is provided with this control element.

The control element is locked when:

- The status REVISION(9) of the response variable is set.

- No action is active.

- The screen is not in 'Step 1'.

RV value

Text

Value of the response variable

X

RV status

Text

Contains the status of the response variable in the short form.

X

RV unit

Text

Unit of the response variable

X

Interlocking text

Text

Text of the upcoming interlocking.

Text is online language switchable

X

No interlocking

If an unlockable interlocking is upcoming, it can be unlocked with this button.

Note: This control element is shown only when the screen is in the step 'Unlock'.

The control element is locked when the upcoming interlocking is not unlockable.

X

Exit

Button

Closes the screen without action execution.

The button is only visible in a modal screen.

This button is important for modal screens, because it is required to leave the screen in case of an error!

Cancel

Button

Aborts the execution of the Command Processing and returns to 'Step 1'.

The button is locked when the screen is in 'Step 1'.

X

Lock list

List

Contains the locks that were activated at the response variable.

Is locked when no action 'Lock' was configured for the command group.

Text is online language switchable

User identification

Input field

For entering the user identification for the lock.

Is locked when no action 'Lock' was configured for the command group.

Lock code

Input field

For entering the user-specific lock code.

Is locked when no action 'Lock' was configured for the command group.

Execute lock

Button

Activates a lock for the user entered in the control element 'User identification'.

Is locked when no action 'Lock' was configured for the command group.

This user action is logged in the CEL, if not suppressed by the engineering.

Unlock

Button

Removes the lock by the user entered in the user identification.

Is locked when no action 'Lock' was configured for the command group.

This user action is logged in the CEL, if not suppressed by the engineering.

Execute

Button

Takes over the value of the control element 'Set value' or 'Set status'

This control element is visible only when the screen is in 'Step 1'.

The control element is locked additionally to the general lock, when:

  • The active action is not 'Set status', 'Set value' or 'Correct set value'.
  • The value in the control element 'Set value' for the action variable is invalid.

Comment

Input field

Comment about the lock.

Action variable Status

Text

Status of the active action variable in short form.

X

Action variable Name

Text

Name of the active action variable.

X

Action variable Identification

Text

Identification of the active action variable.

X

Action variable value

Text

Value of the active action variable.

X

Active action

Text

Name of the active action.

X


Screen Template - complete

Manuel -> Energy Edition (Produit Energie) -> Command Processing -> Engineering in the Editor -> Creating a screen of the type Command Processing -> Screen Template - complete

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

The complete template contains all control elements for command and lock actions.

Parameter

Description

Response variable

Name

Name of the response variable

Identification

Name of the response variable

Status

Contains the short description of the status bits for the response variable.

Value

Current value of the response variable

Measuring unit

Measuring unit of the response variable

Action variable

Name

Name of the action variable

Identification

Identification of the action variable

Status

Contains the short description of the status bits for the action variable.

Example:

  • Bits for COT
  • Status SE_870 during Select
  • Status PN bit in the event of a negative response from the PLC

Note: The status bits contain the response variable for the "status input" action.

Value

Current value of the action variable or input field for setpoint input command processing action.

Note: This value changes during the course of the action from an existing to a current value. The display of the value is only refreshed with COT=7 (COT_actcon) or WR-SUC .

  • The following is applicable for a configured setpoint input:
    The value to be set for the 'Set value' action is stipulated by this control element. By clicking the control element, it is switched to edit mode and the setpoint input is possible. It is possible to leave the editing mode again by pressing the Enter key.
    However the new value is only set when the "Execute" control element is clicked on.
    The control element is blocked if:
    - The response variable has set the status REVISION(9).
    - No action is active.
    - The screen is not in the "Step 1" stage.

Measuring unit

Measuring unit of the action variable

Lock

Control elements from the Lock group are locked if no "Lock" action is configured in the command group.

User

For entering the user identification for the lock.

Lock code

For entering the user-specific lock code.

Comment

Optional text that can be entered by the user for the lock.

Lock

Activates a lock by the user entered in the User control element.

Note: This user action is logged in the CEL, if not suppressed by the engineering.

Unlock

Removes a lock that has already been activated.

In doing so, only locks that the user themselves have activated can be deactivated. As a result, it is ensured that only people's own locks are removed.

The user is visualized in the "User" control element.

If there is no Lock action configured in the command group, this button is grayed out.

Note: This user action is logged in the CEL, if not suppressed by the engineering.

Lock list

List of active locks:

  • User
    Name of the user who has activated the lock.
  • Locking time
    Time stamp of the interlocking
  • Note
    Text for the interlocking.

Action/command

Active action/command

Type of active command processing action such as dual command, for example.

Switching direction

The switching direction configured for the active action. The texts are documented with the setting 'Switching direction'.

Depending on the active action, the following text is shown:

Command, revision, correction, replace: Text from limit value, depending on switching direction.

Status: On or Off

Other: empty

Interlockings

Active interlocking

The active interlocking according to the configuration or texts from ALC - topological interlocking.

Unlock

This button unlocks an active, unlockable interlocking.

Note: This control element is shown only when the screen is in the step 'Unlock'.

The Control element is locked when the upcoming interlocking is not unlockable.

Select / execute

On

First-step command button, to close a switch for example.

Note: Only visible in Step 1.

Off

First-step command button, to open a switch for example.

Note: Only visible in Step 1.

Confirm

Second-step command button.

Note: Only visible in Step 2.

Cancel

Second-stage command button.
Aborts the execution of the command processing and returns to 'Step 1'.

The button is grayed out if the screen is in 'Step 1'.

Close

Closes the Command Processing screen.


Substitution of additional variables in the screen

Manuel -> Energy Edition (Produit Energie) -> Command Processing -> Engineering in the Editor -> Creating a screen of the type Command Processing -> Substitution of additional variables in the screen

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

For command input, in addition to variable substitution of zenon and the use of placeholders in response and command variables, further substitution rules can be configured for each command group and command action. You can thus place further dynamic elements in the command screen, which are linked to additional variables, whose names are then also automatically substituted in Runtime. Substitution is carried out in accordance with the response and command variables.

When configuring a project in the zenon Editor, you can find the Remplacer dans le synoptique property for each command group or command action. This properties are in the Synoptique de gestion des commandes property group.

Requirements for substitution

Requirements for use are:

  • The response variables and command variables were configured in the command processing with the * (star) placeholder.
    Example: *_RV, *_CO
    Response variable: Nom de variable de réponse
    Command variable: Variable de l'action
  • A command processing screen is assigned in the Synoptique in the respective command group or command action.

Variables are substituted according to the following rule in the command processing screen:

  • The text from the property is substituted in the variable name that is shown in the command field.
  • It is substituted with a text which command found in the name of a response variable or action variable in place of the placeholder *.

Several texts to be substituted are configured separately with a semicolon (;). These phrases are substituted from left to right when calling up a screen in Runtime. The following phrases are ignored as soon as a text for replacement is applied.

If, when calling up the command processing screen in Runtime, there is no variable name with the configured text, there is also nothing substituted.

Screen switching and command processing
Substitution rules

Substitution via the screen switching function can be combined with the substitution of command processing. The following rules apply for substitution:

  • If the screen is called up with a Appel de synoptique function, the substitution configured in the function is used in Runtime.
  • If the screen is called up using the Command Sequencer module or the menu, Runtime gets the screen and the substitution from the project configuration in the respective command action. If there is no substitution configured in the command action, Runtime gets the screen and the substitution from the command group. If there is also no substitution configured in the command group, there is no replacement.
  • When clicking on a dynamic element that has new set value input configured, Runtime gets the screen and the substitution from the setpoint input command action.

info Informations

You can get further information on substitution via the screen switching function in the command processing chapter in the functions and scripts manual.

Example

The following are configured:

  • Nom de la variable de réponse : abc_RV.
  • Variable de réponse configurée pour le groupe de commandes : *_RV
  • Variables supplémentaires sur le synoptique : xyz_lock, xy_Switch

Result - scenario 1

  • Remplacement dans le synoptique configuré : xyz;xy
  • Variables existantes dans le projet : abc_lock et abc_Switch.
  • Résultat : Affichage des variables sur le synoptique : abc_lock et abc_Switch.

Result - scenario 2

  • Configured replacement in the screen: xy;xyz
  • Existing variables in the project: abcz_lock and abc_Switch.
  • Result: Display of the variables in the screen for abcz_lock and abc_Switch.

Result - scenario 3

  • Configured replacement in the screen: xy;xyz
  • Existing variables in the project: abc_lock and abc_Switch.
  • Result: Display of the variables in the screen: abc_lock and abc_Switch.
    Because abcz_lock is not present.


Variables of the command group

Manuel -> Energy Edition (Produit Energie) -> Command Processing -> Engineering in the Editor -> Variables of the command group

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Command groups use firstly the variables of the switching actions (the response variable an command variable) ans secondly, optionally, the variables of the command conditions and the variables of breaker tripping detection.

In order for the Command Processing module to be used, the respective response and command variables must be assigned to a command group. This assignment is made in the variables node => for the variable => in the Écrire valeur prescrite properties group => in the drop-down list of the Groupe de commandes property.

Ensure that this assignment is configured for both response variables and command variables.

Note: Errors in project configuration are listed in the output window of the zenon Editor when compiling the project. In Runtime, invalid or incompletely-configured commands for the variables concerned are not called up.

For the response variables and command variables, the set value can only be set using the command processing; it can no longer be set directly using dynamic screen elements. For screen elements that the user triggers with command processing, the Command value must be selected for the Écrire valeur prescrite par property or a context menu must be linked. To do this, it is preferable to use the screen elements that are linked to the response variable (not command variable). This guarantees the availability of all actions of command processing (provided the user is authorized).

Note: The screen element can also be used if the response variable is "read-only", from an IEC 60870 controller for example. A combined element with a circuit breaker symbol can trigger the command, although the response variable itself cannot be changed. The position of the switch (open/closed) corresponds to the value of the response variable.

Despite the linked command input, the values of the command variables also cannot be written to directly:

  • via the RGM
  • via API
  • In zenon Logic with the Visible par d'autres programmes property activated.

The command processing is ignored in the process.

info Informations

If a variable is linked to a command group, it is not possible to describe the variable with the zenon Ecriture valeur prescrite function.

Exception: If a write set value command with switching direction set value has been created, the zenon function calls up this action in the background without the command processing screen being called up. This means that the command conditions are checked. An active interlocking condition prevents the writing of a set value. During the execution of an action, the NET_SEL status bit is not set and the Select Before Operate variable property is ignored.

This is also applicable for the value entry of a variable that is linked to a dynamic element if Element was selected for the Écrire valeur prescrite par property.

General example

The command group "DPI one stage" was configured with the name of the response variable *_RV and the switching actions in this group with the name of the action variable *_CO.

In the SCADA project, variables with the name ied9_100_RV (position of the switch) and ied9_100_CO (command for switch) are configured. And the ied9_100_RV variable was linked to a screen element with Écrire valeur prescrite par = command.

Link the two variables ied9_100_RV and ied9_100_CO in the Groupe de commandes command group property to the "DPI one stage command group". The respective wild card * is replaced with "ied9_100 in the Runtime.

Other variables, such as ied9_101_RV and ied9_101_CO (etc.) can thus be linked to this command group. In Runtime, the command groups are then instanced several times and can be operated independently.

Furthermore, you can also define the optional variables of the command conditions and the breaker tripping detection with the placeholder *, for example X01: *_EnableClose.

info Informations

As a result of the different use of limit values/reaction matrices for the command variable/return variable, individual switching directions can be displayed for the actions. Always depends on which of the variables the desired action is to be executed.

Autres sujets abordés dans ce chapitre

Limit values and reaction matrices for switching direction texts

Project overlapping variables


Limit values and reaction matrices for switching direction texts

Manuel -> Energy Edition (Produit Energie) -> Command Processing -> Engineering in the Editor -> Variables of the command group -> Limit values and reaction matrices for switching direction texts

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

The command uses the limit value text of the command variables for the display of the switching direction in the command screen and in the context menu.

Example: during execution of a command in two-stage command processing, a corresponding text is shown for command actions in the switching direction control element. These texts can be defined via the limit values or via the states of the reaction matrices.

In the context menu in particular, these texts give the user a better understanding or a better overview of the actions that are available in Runtime (e.g. 'Command: Open disconnector')

You therefore have the possibility to issue different texts for each variable that uses the same command group. Several variable pairs (each response variables and action variables) can thus only use one command group and can nevertheless be displayed in an individualized manner.

If no limit value has been created for a variable and no reaction matrices are linked, the action uses a standard text:

Switching direction of the action | Standard text
None | @NONE
OFF | @OFF
ON | @ON
DIFF | @INTER
DIST | @FAULT
DIR | @DIR

info Informations

As the switching direction texts are read out from the limit value settings, they are completely language switchable.


Project overlapping variables

Manuel -> Energy Edition (Produit Energie) -> Command Processing -> Engineering in the Editor -> Variables of the command group -> Project overlapping variables

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

attention Attention

The variables used in the command groups must be in the same project in order for the command processing to work properly.

If you do use a variable from another project (e.g. subordinate project in multi-project administration), the command processing group, the response variable, the action variable and the action-specific screen ('Command Processing' screen) is expected to also exist in the other project.

info Informations

You can also use project-overlapping variables for the interlockings by the process. The above limitations apply only to the variables of the command group.


Configure command input

Manuel -> Energy Edition (Produit Energie) -> Command Processing -> Engineering in the Editor -> Configure command input

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Select the Command Processing entry in the project tree. Select New command group in the context menu.

After creating a new command group, it is added to the detail view of the project manager with standard name "Command group + index". The index is replaced by a consecutive number.

Note: This name serves for the unique identification in the system.

info Informations

You can assign any name you like to the command groups. However, it must be ensured that the names are unique within the project: applies for general interlockings and command groups.

The following parameters are available for command groups:

Parameter

Description

Nom

Name of the command group. Must be unique for all interlockings in the project. This name is used later with the variable that uses this command group.

The command group can be renamed at any time.

Nom de variable de réponse

This is the variable name or the mask for the replacement of the response variable.

A wild card * (star) that appears in a name serves as a placeholder for the substitute text.

Example:

  • *_RV
  • */stVal[ST]

Only one placeholder can be used in a name.

Attention: If the name remains empty or the variable that is used here (replaced or absolute) does not exist at the time of compiling, this command group is not available in the Runtime. A corresponding message in the output window points this error out during compiling.

Définir état PROGRESS

If activated, status bit In progress (PROGRESS) is written for actions command and Manual correction. The value that the status bit is set to depends on the switching direction of the action.

The status bit is set to 1 if:

  • the État de la réponse/direction de commutation of the action is ON or OFF.
  • The response variable does not already have the value of the set switching direction.

The status bit is set when checking the interlockings and remains until the execution of the action has been completed.
This also implies that, in the case of Select Before Operate, the status PROGRESS is only set after a successful 'Select' (SE+COT_actcon) and then remains set during watchdog timer or edge delay.

If the execution of the action is triggered by a context menu or if it is a one-step action, the status bit is also set accordingly.

Tempo watchdog

There is the following setting for this drop-down list:

  • none:
    The watchdog timer is deactivated. However with Select Before Operate, there is a wait for confirmation of the 'Select' (SE+COT_actcon) and it is then ensured that 'Select' has ended (PLC has reacted to 'Execute' COT_act in the envisaged time). If 'Select' has not yet been ended, the 'Select' is deactivated a 'Cancel' (SE+COT_deact) is sent to do this.
  • Response variable only:
    The value of the response variable (RV) is used to check whether the process was successful.
  • Cause of transmission only:
    The status bits for Cause of Transmission (COT) of the command variable are used to check whether the process was successful.
  • COT and RV:
    Both conditions defined above.

Synoptique modal

If activated, the screen is displayed modally, regardless of the configuration for the Dialogue modal property for the screen.

Titre de synoptique depuis la variable de réponse

The Identification of the response variable is shown in the screen title. This only happens when there a title was configured for the screen at the frame.

Language switching is supported.

Synoptique

Name of the calling screen if the command is called up using a screen element of the response variable (or action variable).

Note: Actions called up via the context menu open, for the confirmation of the second stage or interlocking text, a screen that has been defined for the action. Only if no screen has been linked for the action a defined screen is also used here in the context menu.

Détection déclenchement disjoncteur

Only available if property Définir état PROGRESS is activated.

Active: The response variable is monitored for a change from <> 0 to 0. The identification only sets the status bit CD_TRIP (50) to 1 if:

  • status bit CB_TR_I (51) is not 1, otherwise the identification is suppressed.
  • status bit PROGRESS(10) is not 1, otherwise the value change of the response variable is considered a result of its own command.

Attention: Value changes that are a delayed consequence of its own command can be recognized as breaker tripping. This happens if the PROGRESS bit has already been deleted or if the action does not support Tempo watchdog.

Supprimer détection

Entering the formula with which the detection of a breaker tripping can be suppressed. A click on button ... opens the formula editor.

All variables from the Variables node in the command group can be used for the formula. Variables from projects loaded in Runtime can be used. Name replacements with '*' - as with the definition of the interlocking conditions of an action - are possible.

The suppression sets the status bit CB_TR_I (51) to 1.

With active recognition, all variables whose status or value are used in the formula for breaker tripping detection are activated for reading when the program is started after loading all projects, and remain this way as long as Runtime is running.

Note: Variables that are used in the formula cannot be deleted from the list of the variables linked to the command group.

info Informations

The response and action variables do not need to be in the list of the variables linked to the command group. Their names need only be configured for the command group and in the action.

Autres sujets abordés dans ce chapitre

Command Processing in Distributed Engineering

Create action

Types d’actions

Apply actions

Command conditions

Éditeur de formules


Command Processing in Distributed Engineering

Manuel -> Energy Edition (Produit Energie) -> Command Processing -> Engineering in the Editor -> Configure command input -> Command Processing in Distributed Engineering

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

info Informations

Because the command conditions and the general interlockings (standard functionality - without Energy Edition) are saved in the zenon Editor with the same structure, the check-out symbol (allow changes) is set to exactly the same for both nodes in the project tree. All actions on the command conditions also apply to the general interlockings and vice versa.

Variables marked for deletion are considered as not existent for the compilation of the command conditions. During compiling, the respective error messages are displayed in the output window in the zenon Editor.


Create action

Manuel -> Energy Edition (Produit Energie) -> Command Processing -> Engineering in the Editor -> Configure command input -> Create action

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Actions define the switching commands that are possible for command groups. By selecting the element Action in the detail view of the command group, you can define a new action with a right mouse click. Details of the defined actions are also shown in the detail view after creation (e.g. "switching command: *_BE [ON,1]").

All further settings for the actions are made in the properties window. Some of the properties are inactive, depending on the action type.

The following properties are available for a command action

Parameter

Description

Paramètres d'action

Variable de l'action

Variables on which is written. For some actions, this is the response variable. In this case, the field is locked.

The placeholder for the replacement text is the character sequence '*' within a name. Only one placeholder can be used in a name.

If the variable that is used here (replaced or absolute) does not exist during compiling, the action is not available in the Runtime. An according message announces this error during compiling.

Click on the ... button to open the dialog for selecting a variable.

Default: No Allocation

Type action

Shows the type of command. For editing, only approved for command action type; possible settings are switching command or pulse command.

Default: Switching command

État de la réponse/direction de commutation

Defines the expected value and the status of the response variable after action execution.

Locked for the actions block, lock and release.

Default: Off

Commande

Defines the value that is written to the command variable with the Command action.

Note: only available for the command actions switching command- and pulse command, auto/remote command and forced command.

Default: 0

Durée d'impulsion

Time in milliseconds by which the resetting of the value is delayed for a pulse command.

Note: Only available for the pulse command action.
There is no wait until until runtime monitoring has ended.

Default: 1000 ms

Spécifier valeur prescrite

Defines the value that is written to the controller.

Note: Only available if État de la réponse/direction de commutation has been set to DIR.

États modifiables

List of the states which can be modified with the Set status action.

Note: Only available for the action 'Status input'.

Default: None modifiable

Synoptique de gestion des commandes

Synoptique

Command Processing screen that is used when the action has been carried out using the context menu of the element. If no screen is entered, the screen, which is entered in property Synoptique for the command group, is used. An engineered screen which is not available, creates an error message when creating the Runtime files. In this case the action is not taken over.

Default: none.

Note: If the command processing is called up by a dynamic screen element, this property is ignored and the screen that is entered in the Synoptique property in the command processing group is always used.
Not available for the auto/remote command action type.

Remplacer dans le synoptique

Substitution rule for command screens: The target of the substitution is configured in this property. The text that is to be replaced is configured.

Several substitution rules are separated by a semi colon (;). In doing so, the configured substitutions are processed from left to right.

If there is no * in the response variable or action variable, there is no substitution. There is no distinction between upper-case letters and lower-case letters in the project configuration.

Bouton d'action

Assignment of an action to an action button. Action buttons are configured in a command screen. If the command group is used for another screen (e.g. via function), the allocation to the action button remains nevertheless. In other words: the action is always placed on the button with the allocated action ID. If such a button is missing, the action is not available in the screen. Only the action buttons that were not allocated yet are provided in the selection list of this property.

This setting is locked if no screen was allocated to the command group and for the Lock action type.

Default: No Allocation

Comparaison valeur nominale/actuelle

If this is active, there will be a check whether the value of the response variable already matches the État de la réponse/direction de commutation. If this is true, an unlockable interlocking variable is shown.

Note: Only active for command action type

Default: Inactive

Can only be executed if target is <>

Deactivates an action button in the command screen if the value of the response variable already matches the value of the set value. If the value of a response variable is changed, the corresponding action button is active again.
The same also applies for context menu entries. The corresponding command action is not displayed in the menu here.

Note: Only available if the Comparaison valeur nominale/actuelle property is activated and only available for the command (switching or pulse command) command action.

Default: Inactive

A deux étapes

If this is active, only after operating the Execute 2 control. Step that executes action. If not active, the action is executed after releasing the last interlocking or, if there is no upcoming interlocking, immediately.

Note: Locked for the lock and auto/remote command actions.

Default: Active

Opération à deux mains
  • Active: The Execute 2 control element. Step is only unlocked if the Ctrl key is held down.
    In Multi-Touch applications, both pressure points must each be on their own screen with their own frame.

Not available if no two-step execution has been configured.

Note: For the Execute 2nd step control element, the sélectionnable avec le lasso property must not be active with two-hand operation.

Default: Inactive

Fermer automatiquement

If this is active then the screen is closed automatically after action execution.

Note: Not available for the auto/remote command action type.

Default: Inactive

ID du menu

The menu ID is used for the creation of Context menus in the Runtime.

Note: If two actions are fitted with the same ID, they are tagged with a special symbol in the action tree. They can then not be called up by the context menu.

Nom de l'action

Freely-definable name of the command action.

This can, for the Command Processing module, be displayed in Runtime using a screen of type Command Processing.

In the Command Sequencer module, this name must be used for the step.

Séquenceur de commandes

Project configurations for the Command Sequencer module.

Options

Supprimer l'entrée de la liste d'événements

If this is active, no entry in the CEL will be made when executing an action.

Default: Inactive

Timeout

Timeout for the runtime monitoring in seconds for switching command and pulse command actions.

This setting is also applicable as a timeout for Select.

Unit is seconds

Only available for the actions Command, Auto/Remote command, Check response, Setpoint input and Forced command.

Default: 30

Le délai d'attente peut être annulé

Allows the cancellation of the timeout in runtime monitoring.

Only available for the command and Setpoint input actions.

If the command has already been executed - after COT_actcon has been received - the Cancel button cancels runtime monitoring.

Buttons are therefore active and operable again.

Note: Not all drivers support deactivation during execution. If not, no Cancel is sent to the controller; the action is canceled only.

Utiliser le qualificatif de commande

Allows commands to provide additional information (Qualifier of Command). The requirement for this is that the driver also supports this option. Possible drivers are, for example, IEC850, IEC870 and DNP3.

Is only available for the actions command, auto/remote command and forced command.

Default: Inactive

Qualificatif de commande

Entry of a numerical value that is sent to the driver as a command parameter. This input possibility is only available the Utiliser le qualificatif de commande property has been activated.

  • Input range: 0 - 127
  • Default: 0

attention Attention

The identification of the action types in the ID du menu must be clear, so that they are clearly identifiable in the context menu. If two actions have the same ID, they are tagged with the special symbol M in the action tree.

Tipp Conseil

Note:

  • When selecting individual properties, you receive additional information about functionality in the embedded help.
  • Defined actions and commands can be exported into XML and imported from XML. They can thus be easily archived or reused in other applications.
  • The status can be set using the command status input.


Types d’actions

Manuel -> Energy Edition (Produit Energie) -> Command Processing -> Engineering in the Editor -> Configure command input -> Types d’actions

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Les types d’actions sont les procédures de commande disponibles. Selon la commande, différentes actions sont exécutées.

Le système propose un certain nombre d’actions. Les types d’actions suivants peuvent être définis pour les groupes de commandes :

Type action

Annotation

Commande

Commande de commutation ou commande d’impulsion. Utilise la valeur de la variable de commande pour écrire l’état configuré de la fonction de gestion commande sur le contrôleur.

Remarque : La commande de commutation est adaptée aux commandes impulsion et doubles avec le driver Energy (IEC60870, IEC61850, DNP3).

Nouvelle commande auto/à distance

La commande à distance est transmise depuis Process Gateway ou l’API de zenon au module de traitement de commandes, puis traitée comme commande de commutation.

L’action est indisponible dans un synoptique de traitement de commandes et dans le menu contextuel.

Nouvelle commande forcée

Le type d’action Commande forcée permet de définir une commande, même si la variable de réponse est empty, OFF, NT ou INVALID.

Remarque : L’action est destinée aux arrêts d’urgence, et doit être utilisée avec précaution.

Envoi valeur

Écrit la valeur numérique souhaitée dans la variable de commande.

Envoi état

Modifie les bits d’état de la variable de réponse. Applicable uniquement aux bits d’état de la liste État modifiable.

Valeur de remplacement

Modifie l’état de la variable de réponse en la valeur de remplacement (ALT_VAL) et écrit la valeur dans la variable de réponse.

Remarque : L'écriture de variables en valeurs de substitution permet la visualisation du processus avec des données collectées manuellement lors d'un échec de communication, par exemple via la Coloration Automatique des Lignes.

État révision

Définit le bit d’état REVISION de la variable de réponse.

Remarque : La gestion des alarmes est supprimée durant la révision.

Nouvelle correction manuelle

Définit la valeur de la variable de réponse sélectionnée en fonction de la direction de commutation.

Remarque : les protocoles de communication dans Energy (IEC60870, IEC61850, DNP3) excluent l’écriture directe dans la variable de réponse.

Nouveau blocage

Désactive la variable de réponse (bit d’état OFF).

Remarque : les variables désactivées ne sont plus lues par le matériel connecté.

Nouveau déblocage

Définit la valeur de la variable de remplacement (ALT_VAL) sur 0.

Remarque : en conséquence, la variable de réponse reçoit une nouvelle fois la valeur du contrôleur.

Vérifier la valeur de réponse

Contient l’état de la variable de réponse sans exécution d’une activité.

Remarque : l’action est destinée à une utilisation dans le module Séquences de commandes.

Nouveau verrouillage

La variable de réponse verrouille toute action ultérieure lors de la saisie d’un code de verrouillage valide.

Remarque : Les types d’action sont présentés dans la liste détaillée ci-dessus dans l’ordre d’affichage des types d’action dans le menu contextuel de zenon. Toutefois, l’ordre d’affichage dans la fenêtre principale est alphabétique.

Dans la vue détaillée du traitement de commandes, les actions dans l’arborescence sont présentées avec la direction de commutation sélectionnée et la valeur d’action configurée.

attention Attention

L’identification des types d’actions dans l’élément ID du menu doit être claire, afin qu’ils soient facilement identifiables dans le menu contextuel. Si deux actions comportent le même ID, elles sont identifiées à l’aide d’un symbole spécial (M) dans l’arborescence des actions.

Autres sujets abordés dans ce chapitre

Action type command

Auto/remote command action type

Mandatory command action type

Action type set point input

Action type status input

Action type replace

Action type revision

Action type manual correction

Action type block

Action type release

Check response value action type

Action type lock


Action type command

Manuel -> Energy Edition (Produit Energie) -> Command Processing -> Engineering in the Editor -> Configure command input -> Types d’actions -> Action type command

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Action type command

This Type action is used as a switching command or pulse command depending on the configuration.

When the command is executed, a value (0 or 1) is written to the command variable. The value to be written is configured with the Commande property.

This action type supports Select Before Operate and Tempo watchdog. The Select Before Operate depends on the corresponding property of the command variable and on the driver.

The Tempo watchdog, depending on the configured type (via response variable for example) can also check whether the response variable changes its value according to the command. The value which that is then expected for the response variable as a result of the command is to be defined under the État de la réponse/direction de commutation (on/off/none) property.

Switching direction

Value of the response variable after a command has been executed

None

No specific value change is envisaged. The action is ended if the configured Timeout has expired.

Note: the Tempo watchdog can nevertheless be activated in order to take the cause of transmission (COT) into account.

Off

The action expects value 0.

If the response variable already has the value 0 before the command is executed, an internal interlocking condition is reported if the Comparaison valeur nominale/actuelle property is activated.

Note: If runtime monitoring is configured with the values none or via cause of transmission, there is no wait for the response variable.

On

The action expects value 1 and (in accordance with Comparaison valeur nominale/actuelle) is compared to value 1.

With pulse commands a value is written to the PLC twice. The second time, after the configured Durée d'impulsion, there is an automatic reset to 0 or 1 (depending on the configuration of the État de la réponse/direction de commutation property). However this does not happen if the Select Before Operate property has been activated for the command variable. The Energy protocols do not provide any possibilities to use a Select with pulse. If the Select Before Operate property has been activated for the action variable, a pulse command acts in the same way as a switching command.

Please note: The pulse command is not recommended for Energy drivers. The pulse command should only be used with a PLC that expects a pulse instead of an edge.

info Note

If, during the execution of the action, the current value of the response variable is different to the one defined in the switching direction and the switching direction was defined to be on or off, the in progress ( PROGRESS ) status bit is set. To do this, activate the Définir état PROGRESS property in the command group.


Auto/remote command action type

Manuel -> Energy Edition (Produit Energie) -> Command Processing -> Engineering in the Editor -> Configure command input -> Types d’actions -> Auto/remote command action type

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Auto/remote command action type

The Remote command (via Process Gateway, VBA, etc.) is forwarded to the zenon command processing, which processes the sequence (checking of interlocking, forwarding to driver, response, etc.) like a Switching command .

The command processing is not accessible via the command screen or the context menu.

The command is only supported by a previous Select . The action variable must have the Select Before Operate property activated.

When Runtime is ended, or reloaded, any Select that has been set is discarded. This means: The master connected to the Process Gateway is not informed and must get this itself using the interruption to the connection.

The VBA interface can use the IVariable::SetValueWithStatusEx method and the status bits to be transferred decide whether writing should be either direct or via the command processing. If the status bit NET_SEL (bit 8) has already been set (the command processing screen is open for example), the command is not executed. If the status bit is not set, it is set and writing is executed by Command Processing or commands are forwarded to the Command Processing. The response value of the method provides information on whether command processing has been activated or whether the command has been executed.

Transfer of the status bits of the action variable to the method:

  • SE_870 + COT_act(6) - Select activation
    Determines the command action to be executed and activates the command processing. The response variable of the method provides information on whether this is possible.
  • SE_870 + COT_deact(8) - Deactivation (Cancel)
    Ongoing command processing is canceled.
  • COT_act(6) - Activation (Operate/Execute)
    Execute for command Command Processing is executed.

In order for this method to be able to execute command processing, a remote command action must exist whose switching direction corresponds to the transferred set value. The actual value written to the driver, Select etc, results form the properties of the action.

Note: When an interlocking takes effect, a (language-switchable) CEL entry with the configured text is created.

info Informations

You can find further information in the Select before Operate chapter in the Process Gateway manual, chapter IEC870 Slave.


Mandatory command action type

Manuel -> Energy Edition (Produit Energie) -> Command Processing -> Engineering in the Editor -> Configure command input -> Types d’actions -> Mandatory command action type

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Mandatory command action type

The forced command action type allows the setting of a command, even if the response variable is empty, OFF, Not topical or invalid (INVALID). It is not intended for emergency shutdowns.

Interlocking conditions cannot be created for the forced command, because it cannot be guaranteed that the condition variables have a valid value in Runtime.

Note: The forced command corresponds to a switching command without conditions.

attention Attention

The early or erroneous configuration of a forced command in Runtime can have dramatic consequences for the equipment. Always set this command with care and protect it with user authorizations.


Action type set point input

Manuel -> Energy Edition (Produit Energie) -> Command Processing -> Engineering in the Editor -> Configure command input -> Types d’actions -> Action type set point input

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Action type set point input

The setpoint input action type offers the possibility to set any desired numerical value to the command variable. The command processing screen offers its own control elements for this, which also allow manual definition of the set value. With the help of property État de la réponse/direction de commutation you can define how the set value should be written:

Switching direction

Value of the response variable

DIR

Set value is written directly. You define the value which should be written with the help of function Spécifier valeur prescrite of the action.

The text which should be displayed can be engineered using a limit value/rema for the state/value 5. If this is not the case, a standard text is used.

Comparaison valeur nominale/actuelle is not yet supported!

The action can be carried out several times in a row.

Set value

Value of the command processing screen of the Set value control element is written to the action variable.

In one-step execution, the value is written when clicking on the Execute button or when clicking on the action button (if configured).
In two-step execution, the value is written when clicking on the Execute 2 step button.

This action type, for DIR, supports Select Before Operate.

info Informations

If a variable is linked to a command group, it is not possible to describe the variable with the zenon Ecriture valeur prescrite function.

Exception: If a write set value command with switching direction set value has been created, the zenon function calls up this action in the background without the command processing screen being called up. This means that the command conditions are checked. An active interlocking condition prevents the writing of a set value. During the execution of an action, the NET_SEL status bit is not set and the Select Before Operate variable property is ignored.

This is also applicable for the value entry of a variable that is linked to a dynamic element if Element was selected for the Écrire valeur prescrite par property.

For further information, read the information in the Apply actions chapter.

attention Attention

When writing the set value with the switching direction DIR, neither the limits of the linked variable are checked, nor is a check carried out to see whether write set value is permitted for this variable.


Action type status input

Manuel -> Energy Edition (Produit Energie) -> Command Processing -> Engineering in the Editor -> Configure command input -> Types d’actions -> Action type status input

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Action type status input

Changes the status bits of the response variable. The following is executed, depending on the definition of the switching direction:

Switching direction

Action

Off

The states configured in the Modifiable states list are all reset to 0.

On

The states configured in the list Modifiable states are all set to 1 (active).

None

The states configured in the Modifiable states list must be defined in Runtime in the Command Processing screen with the help of the Set status control element. Each status bit is defined individually using a checkbox in the control element.

  • In single-stage execution, the status bits are set by clicking on the Execute button or when pressing the action button (if configured).
  • In two-stage execution, the status bits are set when the Execute 2nd stage button is clicked on.

If you change a status bit in Runtime, the change is logged in the Chronological Event List (status including value). These language of these messages can be switched in Runtime.

info Informations

For all status defaults, there is always a write to the response variable.

info Info

If a switch is locked using the Lock action, the status bit M1 of the response variable is set.

The status bits OFF and REVISION are also handled in other actions.

In addition, the status bits CB_TRIP and CB_TR_I reflect the results from the property of the breaker trip detection command group.


Action type replace

Manuel -> Energy Edition (Produit Energie) -> Command Processing -> Engineering in the Editor -> Configure command input -> Types d’actions -> Action type replace

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Action type replace

The process value of a remote-controlled switch is temporarily replaced with a replacement value (due to revision, maintenance work, or an ongoing connection outage, for example).

The response variable is set to the status alternative value Alternate value ( ALT_VAL ). In addition, the value defined by the switching direction is placed on the response variable.

Switching direction | Alternate value
Off | 0
On | 1
Diff | 2
Fault | 3
None | 4

The substitute value is not sent to the connected hardware. It is for the substitution of values using manually-collected information.

Tipp Conseil

By switching the response variables to substitute values, it is possible to portray the current topological status of the network in ALC whilst the SCADA system was disconnected from the process.


Action type revision

Manuel -> Energy Edition (Produit Energie) -> Command Processing -> Engineering in the Editor -> Configure command input -> Types d’actions -> Action type revision

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Action type revision

Sets the value for the Revision status bit of the response variable. The value is defined in the État de la réponse/direction de commutation property.

Switching direction | Status
Off | Set to 0
On | Set to 1


Action type manual correction

Manuel -> Energy Edition (Produit Energie) -> Command Processing -> Engineering in the Editor -> Configure command input -> Types d’actions -> Action type manual correction

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Action type manual correction

The correct action sets the value of the response variable according to the setting of the switching direction:

Note: the communication protocols in Energy (IEC60870, IEC61850, DNP3) preclude direct writing to the response variable. The action will be unsuccessful in these drivers! To execute a command, the setting of the value to a command variable is expected.

Switching direction

Action

Off

0

On

1

Diff

2

Fault

3

DIR

The set value is written directly. You define the value which should be written with the help of function Spécifier valeur prescrite.

The text to be displayed can be configured using a limit value or a reaction matrix for the state/value 5. If this is not the case, a standard text is used.

Nominal/actual value comparison is not supported. The action can be carried out several times in a row.

Set value

Value of the Set value control element is written to the response variable in the Command Processing screen.

attention Attention

When writing the set value directly neither the limits of the linked variable are checked nor is it checked if the write set value is allowed for this variable.

info Informations

The In progress (PROGRESS) status bit is set if:

  • When the action is carried out, the current value of the response variable is different to the value set for the switching direction
    and
  • the switching direction was defined as on or off.

Manual correction

Manual correction is the manual correction of a non-remote switch in zenon. A variable is usually corrected without a connection to the process. There should never really be an invalid i-bit pending for such variables. It is indeed possible, but it makes no sense to correct a variable with a reference to the process! The PLC will overwrite this value again.

Behavior:

Correction is completely normal value setting from the perspective of the driver.

Opposite of this - Action: Replace

The process value of a remote-controlled switch is primarily replaced with a replacement value (due to maintenance work, for example).


Action type block

Manuel -> Energy Edition (Produit Energie) -> Command Processing -> Engineering in the Editor -> Configure command input -> Types d’actions -> Action type block

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Action type block

the response variable is switched off as a result of executing this action.

The status bit of the response variable is set to OFF. The switched-off variables are no longer read by the connected hardware.

If the response variable already has the OFF status bit set, the action of the status bit is no longer set when the action is executed. Runtime receives the current value of the response variable from the driver.

Note: Can only be configured once per command group.


Action type release

Manuel -> Energy Edition (Produit Energie) -> Command Processing -> Engineering in the Editor -> Configure command input -> Types d’actions -> Action type release

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Action type release

The Release actions resets the replacement value ( ALT_VAL ) status bit to 0 (inactive). If the Switched off ( OFF ) status bit is also active, it is also set to 0 (inactive). runtime receives the current value from the driver for the response variable once the Release action has been carried out.

The action can only be executed in Runtime, if the replacement value ( ALT_VAL ) (value: 1). is active for the selected response variable. 1).

Note: Can only be configured once per command group.


Check response value action type

Manuel -> Energy Edition (Produit Energie) -> Command Processing -> Engineering in the Editor -> Configure command input -> Types d’actions -> Check response value action type

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Check response value action type

The Check response value action type is to check variables for the status ON or OFF.

Whilst the Check response value action is executed, the standard key Cancel is unlocked in the Command Processing screen.

In doing so - depending on the setting of the runtime monitoring - there is a wait until the value of the response variable corresponds to the value of the checking direction - switching direction action property. If the checking value is EIN, this is the value 1; it is the value 0 for OFF.

If no runtime monitoring has been configured (runtime monitoring= "none"), the set waiting time (~24 hours) is the maximum time that is waited. Otherwise the action is ended and the TIMEOUT status bit is set for the response variable.

If, after execution of the action in the Command Processing screen, the other actions are not available, this is for the following reasons:

  • The timeout for runtime monitoring has not yet expired.
  • The response variable does not yet have the expected value (the value change has not yet been received).
  • The action has not yet been canceled with the Cancel button.

info Informations

The Check response value action only serves to read the value of the response variable without executing an activity.

The action is intended for use in the Command Sequencer module.

If the response variable already has the value of the switching direction, the execution of the action is recognized as completed. The other buttons in the Command Processing screen are thus immediately available.

Note: If the response variable is set to OFF or Revision , the response value can nevertheless be checked.


Action type lock

Manuel -> Energy Edition (Produit Energie) -> Command Processing -> Engineering in the Editor -> Configure command input -> Types d’actions -> Action type lock

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Action type lock

Enables the lock of a response variable for the actions of the command processing.

Note:

  • Can only be configured once per command group.
  • Interlocking conditions are not supported for the action. Locks can always be executed.

info Informations

If a switch is locked using the Lock action, status bit M1 is set.

A prerequisite for this is that users have a Code de verrouillage configured in the user administration module. Locking or unlocking a response variable can only be done with the correct input of a Code de verrouillage.

The same variable can be locked by multiple users in parallel. Actions for the response variables are possible only after alls locks have been unlocked by entering the Code de verrouillage.

There can be no actions executed if

  • Actions of the command variables use the locked variable as response variable (e.g. switching command)
  • Actions of the command variables use the locked variable as an action variable (e.g. replace)

A list of the currently-active locks can be shown in the command processing screen using a special lock list control element.

The Code de verrouillage can be defined individually for every user. These parameters are set directly for a pre-existing user with the Code de verrouillage property:

You can also set the Code de verrouillage for an existing user in the Runtime.

In the Runtime you cannot delete users who still have an active command lock.

attention Attention

Users can also be deleted in the development environment. This causes the loss of the defined locks after restarting or reloading.

Users locked (activated) in the user administration cannot activate or deactivate command locks.

info Informations

Information about active locks is also synchronized in the redundant network and is therefore available after a redundancy switch.


Apply actions

Manuel -> Energy Edition (Produit Energie) -> Command Processing -> Engineering in the Editor -> Configure command input -> Apply actions

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Command Processing in the Energy Edition can be used in different situations. The user can choose the variant they prefer. A simultaneous use (related to an element) of the different types of use is possible at any time:

  • Calling up a screen switching function on a Command Processing screen.
  • Calling up a numeric value, combined element, dynamic text, bar graph, clock, universal slider, pointer instrument or status element screen.
    For activation, the Écrire valeur prescrite par property of the element must be configured with Command Processing.
  • Call via a context menu if Command Processing was set for the Type action property. The command processing screen is opened for any possible interaction with the user (e.g. pending interlocking).
  • It is called up using the Command Sequencer module.

Tipp Conseil

Always link all screen elements or functions that call up the command input to a response variable.

Only by linking to a response variable is it ensured that all actions in the command screen are available for operation in in Runtime.

Linking to a command variable is expressly not recommended!

As soon as the variable is linked to a command group, direct input of set values is only possible using a zenon command processing screen or a command context menu.
Exception: If the command group contains a setpoint input action with État de la réponse/direction de commutation 'set value', this action is used for the command variables (not response variables).

This happens:

  • When the Ecriture valeur prescrite is called up
  • When calling up the screen element; also if the Écrire valeur prescrite par property of the element has the value dialog box or element.
  • When calling up a set value context menu.

In doing so, the NET_SEL status bit of the response variable is not taken into account and no Select is executed.

attention Attention

With this type of execution, a pending interlocking condition in the write set value action prevents writing of a set value. In doing so, there is no interaction with the user.

Autres sujets abordés dans ce chapitre

Screen switch to screen of type Command Processing

Command processing via dynamic screen elements

Command processing via context menu

Macros du menu contextuel

Error messages when the context menu is called up

Execution of actions via the context menu

Set value context menu


Screen switch to screen of type Command Processing

Manuel -> Energy Edition (Produit Energie) -> Command Processing -> Engineering in the Editor -> Configure command input -> Apply actions -> Screen switch to screen of type Command Processing

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Screen switch to screen of type Command Processing

If a Command Processing screen is selected with the Appel de synoptique function, the configuration dialog for the screen switching function has the following parameters:

Parameter

Description

Variable defining the Command Processing

The variable configured here defines the command group to be used. The screen determines the appropriate response variable and the associated action variable via the name of the variable.

Initial step

Defines the step (status) in which the command processing screen is loaded.

  • Step 1
    The screen is loaded and waits for action definition and action execution. Action executions must be performed manually by the user.
  • Block
    The screen is opened in the command step for the action block.
    Note: Note that not all configured control elements are visible with this initial step. You can find an overview of all visible control elements in the blocked or locked elements chapter.

attention Attention

If there is no operating authorization for the command variable, screen switching to a command screen is not possible.


Command processing via dynamic screen elements

Manuel -> Energy Edition (Produit Energie) -> Command Processing -> Engineering in the Editor -> Configure command input -> Apply actions -> Command processing via dynamic screen elements

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Command processing via dynamic screen elements

Command input can be instigated by clicking (left mouse button) on a dynamic screen element. In general, it is a combined element with a symbol of a switch in the topology or a numeric value element that displays the value of the position (0 - off, 1 - on, 3 - invalid etc.) of the switch. The dynamic element should be:

  • Configured with command input in the Write set value via property
  • And linked to a response variable (an action variable for example) . That means to a variable that has been configured with a valid command group - using the command group property, as well as a suitable action variable (a response variable for example).

The screen to be opened - a command input screen - is defined at the command group of the variable linked to the element. The corresponding action variable (or response variable) is automatically determined from the response variable.

info Informations

With the Command Processing setting selected, the command processing screen is called up instead of the standard Write set value dialog.

The following dynamic elements support the Command setting:

  • Bar display
  • Combined element
  • Text element
  • Clock
  • Universal slider
  • Numeric value
  • Pointer instrument
  • Status element

If no command group has been defined for the variable linked to the element, or the configuration of the command is invalid, an error entry for the Diagnosis Viewer is generated. The screen is not opened then.

info Informations

If a variable is linked to a command group, it is not possible to describe the variable with the zenon Ecriture valeur prescrite function.

Exception: If a write set value command with switching direction set value has been created, the zenon function calls up this action in the background without the command processing screen being called up. This means that the command conditions are checked. An active interlocking condition prevents the writing of a set value. During the execution of an action, the NET_SEL status bit is not set and the Select Before Operate variable property is ignored.

This is also applicable for the value entry of a variable that is linked to a dynamic element if Element was selected for the Écrire valeur prescrite par property.


Command processing via context menu

Manuel -> Energy Edition (Produit Energie) -> Command Processing -> Engineering in the Editor -> Configure command input -> Apply actions -> Command processing via context menu

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Command processing via context menu

The command processing can also be instigated at the element directly via the context menu - property Runtime - context menu. This is the most frequently used method. In this regard, the context menu is already the first step of the two-step action. For the second stage (Execute or Cancel), or an interlocking, a screen - which was linked for the action - may possibly be opened.

The menu must have an entry of the command processing action type. The display of the single action is defined automatically by the menu. The display of the actions can be influenced selectively, depending on the 'names' of the menu entry.

Lors de la création d’une nouvelle action dans la fonction Gestion de commande, un identifiant de menu correspondant au type d’action et à la direction de commutation pour la propriété Type action est créé et proposé dans la liste déroulante. Si le contenu correspond à un identifiant défini en tant que texte standard pour le type d’action et la direction de commutation, le contenu est adapté si le type d’action ou la direction de commutation.

Pour créer un menu contextuel pour la fonction de gestion de commande :

  1. Créez les actions souhaitées dans la fenêtre de gestion de commande.
  2. Dans les propriétés de l’option de menu contextuel, sélectionnez la Type action Gestion de commande.
  3. Sélectionnez l’action souhaitée et la direction de commutation via le menu déroulant avec la propriété ID du menu.
  4. Spécifiez un intitulé clair dans la propriété Texte.
    Remarque : Si aucune entrée n’est définie pour Texte, le champ est automatiquement renseigné avec l’intitulé Gestion de commande.

attention Attention

La configuration de la propriété Texte doit être unique. Si deux textes identiques sont fournis, les autres éléments de menu portant le même nom ne seront pas affichés.

Les éléments de menu créés automatiquement avec la même action produisent le même texte?; aussi, des macros sont disponibles pour ces derniers.

La séquence de caractères ID_CMD_AUTO est réservée pour les éléments de menu créés automatiquement. Ces derniers doivent toujours être utilisés conjointement à des macros, car dans le cas contraire, seul l’élément de menu est inséré.

Les règles suivantes s’appliquent lors de la recherche de doubles entrées :

  • Les points de menu manuels sont prioritaires sur les points automatiques.
  • Si deux entrées sont du même type, la priorité de la dernière entrée est deux fois plus élevée.
  • Si une double entrée est détectée, un avertissement est inséré dans le fichier journal. Celui-ci inclut l’ID de menu et la description. Les ID des entrées pouvant être développées automatiquement reçoivent l’indication <auto>.

Actions pour la Type action Gestion de commande

Action | Direction de commutation | ID de menu
ID_CMD_AUTO |  | Cette entrée de menu montre automatiquement toutes les actions possibles pour un élément, sauf les actions pour lesquelles une entrée de menu a été spécifiée explicitement.
Commande impulsion | On (1) | ID_CMD_EBEF_ON
Commande impulsion | OFF (1) | ID_CMD_EBEF_OFF
Commande impulsion | NONE | ID_CMD_EBEF_NONE
Commande de commutation | On (1) | ID_CMD_DBEF_ON
Commande de commutation | OFF (2) | ID_CMD_DBEF_OFF
Commande de commutation | NONE | ID_CMD_DBEF_NONE
Valeur prescrite | NONE | ID_CMD_SVALUE
Valeur prescrite | DIRECT | ID_CMD_SVALUE_DIR
Envoi de l’état | NONE | ID_CMD_STATE
Envoi de l’état | On (1) | ID_CMD_STATE_ON
Envoi de l’état | OFF (0) | ID_CMD_STATE_OFF
Remplacer | NONE | ID_CMD_REPL_NONE
Remplacer | On (1) | ID_CMD_REPL_ON
Remplacer | OFF (0) | ID_CMD_REPL_OFF
Remplacer | Défaut | ID_CMD_REPL_DEF
Remplacer | Diff | ID_CMD_REPL_DIFF
Correction manuelle | NONE | ID_CMD_UPD_NONE
Correction manuelle | On (1) | ID_CMD_UPD_ON
Correction manuelle | OFF (0) | ID_CMD_UPD_OFF
Correction manuelle | Diff | ID_CMD_UPD_DIFF
Correction manuelle | Défaut | ID_CMD_UPD_DEF
Correction manuelle | DIRECT | ID_CMD_UPD_DIR
Bloquer | NONE | ID_CMD_BLOCK
Valider | NONE | ID_CMD_UNLOCK
Verrouiller | NONE | ID_CMD_LOCK
Révision | OFF (0) | ID_CMD_REV_OFF
Révision | On (1) | ID_CMD_REV_ON
Commande forcée | On (1) | ID_CMD_FORCE_ON
Commande forcée | Off (0) | ID_CMD_FORCE_OFF
Commande forcée | NONE | ID_CMD_FORCE_NONE

Name of the menu items of the context menu

Automatic creation

Entries that were created using ID_CMD_AUTO automatically get a name according to the following pattern: 'Action name' plus 'Limit value text of the switching direction'.

Manual creation from table

If the menu entries are created from the table, for every action under 'Display - Text' a text must be defined for the entry in the context menu.

Names for the menu entries:

  • Command
  • Set value
  • Status
  • Replace
  • Release
  • Manual correction
  • Block
  • Lock
  • Revision

Action texts

Action | Text
Pulse command Switching command | Text from the limit value text, according to the switching direction.
Manual correction Replace | If a switching direction (other than 'None') is defined, the text from the limit value text according to the switching direction is displayed.
Status | 'OFF' or 'ON', depending on the set switching direction
Revision | Text from the limit value text, according to the switching direction.
Others | No special action text is displayed.

Example Exemple

Displayed text for a switching command with defined limit value:

'Command: switching direction ON'

info Informations
  • All displayed texts are language switchable with the standard mechanisms. See also: Which texts are language switchable?
  • All displayed menu entries are automatically sorted alphabetically.

The currently used command group is determined via the variable which is linked with the screen element. If no command group is assigned to the variable or if there is no response variable, the context menu is not displayed in the Runtime (an according error message is transferred to the Diagnosis Server).

info Informations

The menu entries of the command processing are displayed depending on the command group. The menu entry is showed only when the connected action exists. Consequently, if the variable of the element is the command variable, only the actions for the command variable plus the action Lock can be displayed. Actions for the response variable are hidden automatically.

Availability conditions

The menu entries are only released when the corresponding actions are executable. The following conditions are requirements:

  • All menu entries are locked if the NET_SEL status bit of the response variable is active.
  • All menu entries are locked, when the response variable could not be determined.
  • All menu entries are locked, when the response variable has no value and could not get a value within 30 seconds.
  • All menu entries are locked on the Web Client without write access.
  • Menu entries are locked when there is no connection to the Primary Server.
  • The menu entry connected to the Release action is locked when the ALT_VAL status bit of the action variable is not active.
  • The menu entry connected to the Replace or Revision action, whose switching direction matches the value of the action variable, is locked.
  • All menu entries, except the one which is connected with the action Lock, are locked, when a change lock is active for the response variable.
  • When the REVISION status bit of the response variable is active, the actions Set value, Replace, Correct, and Command are locked.
  • As long as a watchdog timer, an edge generation or an SBO is active for the command group, all menu entries are locked. This results from the fact that the NET_SEL status bit also stays active.


Macros du menu contextuel

Manuel -> Energy Edition (Produit Energie) -> Command Processing -> Engineering in the Editor -> Configure command input -> Apply actions -> Macros du menu contextuel

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Macros du menu contextuel

Une macro est une séquence de caractères définie, qui est remplacée par un texte lors de la création d’éléments de menu dans le Runtime. Presque toutes les macros peuvent apparaître plusieurs fois par élément de menu. Par conséquent, elles contiennent également d’autres macros. Dans ce cas, la séquence d’expansion doit être prise en compte. Les macros ne sont pas sensibles à la casse lors de la configuration des menus. Si les macros contiennent une macro en tant que résultat, la macro doit être insérée en majuscules dans le résultat. L’entrée est identifiée par un caractère $ en préfixe et suffixe.

La séquence d’expansion est de gauche à droite, avec la priorité suivante.

  1. $ALL$
  2. $NOTE$
  3. $TAG$
  4. $REMA<État>$
  5. $RDIR$
  6. $DIR$
  7. $ACT$
  8. $NAME$

Macro

Description

$ALL$

Entraîne la dénomination de l’action : Direction de commutation.

Correspond à la combinaison de la macro $ACT$ : $DIR$.

Remarque : Si un menu contextuel est créé pour la gestion de commande, le texte par défaut est $ALL$, même si du texte a déjà été configuré pour le menu, mais le type d’action change en Gestion de commande.

$NOTE$

L’ensemble du texte, macro incluse, est interprété comme une remarque. Si le texte résultant est vide, la macro $ALL$ est utilisée.

Pour la dernière macro, la macro de la note est vérifiée à nouveau et le texte inséré à droite de celle-ci, macro incluse, est supprimé.

Si le texte résultant est vide ou ne comprend que des espaces, l’élément de menu n’est pas inséré.

$TAG$

Remplacé par l’identification de la variable d’action.

L’identification peut être traduite par la fonction de traduction en ligne. Si aucun caractère de traduction (@) n’est inclus, l’identification entière est surlignée aux fins de la traduction.

$REMA<Status>$

<Status> est un état ou une valeur limite de matrice de réaction, dont le texte est utilisé en tant que remplacement.

Si l’état n’est pas présent, l’élément de menu n’est pas affiché.

Le texte de valeur limite est traduit, du point de vue linguistique, en fonction du placement du caractère @ .

L’état peut être un nombre compris entre -231 et 231-1. L’utilisation de caractères précédant le texte et d’un préfixe est autorisée. Si des caractères ne pouvant être convertis en nombre sont inclus ou le nombre est situé hors de la zone spécifiée, l’élément de menu n’est pas affiché.

$RDIR$

Texte de la direction de commutation, dérivé de la matrice de réaction ou valeur limite, comme dans la macro $DIR$, à l’exception de :

  • Action Write set value direct (Envoyer valeur prescrite directement)
    Le texte est dérivé de la matrice de réaction ou valeur limite de l’état, qui correspond à la valeur de la valeur prescrite devant être définie.
  • Action Status on (État activé) et Status off (État désactivé)
    Le texte est dérivé de la matrice de réaction/valeur limite des états activé ou désactivé.
  • Action Correct direct (Corriger directement)
    Le texte est dérivé de la matrice de réaction ou valeur limite de l’état, qui correspond à la valeur de la valeur prescrite devant être définie.

$DIR$

Direction de commutation de l’action.

$ACT$

Dénomination de l’action.

$NAME$

La macro $NAME$ peut être utilisée pour créer des menus et fournit le contenu configuré de la propriété Nom de l'action, dont la langue peut également être basculée dans le Runtime, avec le caractère @.

Éléments de menu créés automatiquement

Les éléments de menu créés automatiquement sont créés sous forme d’ID de menu avec ID_CMD_AUTO. Dans ce cas, les macros doivent toujours être utilisées?; dans le cas contraire, seul un élément de menu sera inséré.

Compatibilité

Avant la version 6.51, le texte associé aux éléments de menu automatiques était ignoré. Lors de la conversion de projets créés avec des versions antérieures à la version 6.51, des macros $ALL$$NOTE$ sont automatiquement insérées avant le texte configuré. Par conséquent, les éléments de menu se comportent comme auparavant.

Changement de langue en ligne

L’intitulé de l’élément de menu dans la propriété Texte est traduit, au niveau linguistique, avant l’expansion de la macro, à partir du caractère @.

Remarque : Si, pour la balise $TAGS$, aucun indicateur de traduction (@) n’est présent, le texte entier est traduit.


Error messages when the context menu is called up

Manuel -> Energy Edition (Produit Energie) -> Command Processing -> Engineering in the Editor -> Configure command input -> Apply actions -> Error messages when the context menu is called up

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Error messages when the context menu is called up

When menus are loaded in the Runtime environment, their content is checked for consistency. If an error occurs, corresponding error messages are issued for the Diagnosis Viewer. The following messages can appear:

Parameters | Description
Menu entry for command processing suppressed, because name is several times in the menu! | The menu already contains a menu entry with the name used in the command processing. Do not use that name for any other menu entries for the command processing.
Menu entry for command processing suppressed, because description is several times in the menu! | There is already a menu entry with the same description in the menu. Automatically created menu entries are not added, when a menu entry with the same description is already there.
Text for menu entry cannot be detected! | The description of an automatically created menu entry could not be determined. This most probably indicates a missing limit value text.
No command group linked to variable of the screen element! | The variable associated with the screen element has no command group or a no longer valid command group. According error messages are given during compiling.
Response variable does not exist! | The response variable used in the command group does not exist.
Select cannot be activated! | Status bit NET_SEL (8) could not be activated within the timeout.


Execution of actions via the context menu

Manuel -> Energy Edition (Produit Energie) -> Command Processing -> Engineering in the Editor -> Configure command input -> Apply actions -> Execution of actions via the context menu

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Execution of actions via the context menu

After activation of a menu item for command processing, the assigned action is carried out. Execution via a menu activates the setting of the NET_SEL status bit in the first step. Only if this was successful is the execution of the actual action (a switching command, for example) started.

A command processing screen is then opened if one of the following criteria has been met:

  • If the action to be executed is Write set value, Status input with input or Correction, the screen assigned to the action in the "Stage 1" step is opened. The status or the set value to be written can then be defined in the screen.
  • If the action to be carried out is lock, the action-specific screen is called up with the lock step.
  • If an active locking condition prevents execution, the screen configured in the Unlocking step for the action is called up. Execution is also prevented if Select Before Operate could not be activated without errors.
  • If two-stage execution is configured for the action, the action-specific screen is called up in the "Stage 2" step.
  • If no specific screen has been configured for the action, the screen that has been configured centrally for the command group is opened.

info Informations

If none of the above-mentioned conditions are applicable, the action is executed immediately, without further operations.


Set value context menu

Manuel -> Energy Edition (Produit Energie) -> Command Processing -> Engineering in the Editor -> Configure command input -> Apply actions -> Set value context menu

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Set value context menu

If the variable assigned to a screen element is linked to a command group, the writing of a set value is also handled by the command processing. The requirement for this is that a Write set value action is present with État de la réponse/direction de commutation switching direction in the Command Processing. If this is missing, the writing of the set value is not carried out.

info Informations

An active interlocking condition prevents the writing of a set value.


Command conditions

Manuel -> Energy Edition (Produit Energie) -> Command Processing -> Engineering in the Editor -> Configure command input -> Command conditions

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Command groups contain both the definition of the switch actions and the definition of the command interlocking conditions. Command conditions are optimum parameters that can be defined application-specifically.

Each action within a command group can also be supplemented with interlocking conditions. These process-controlled interlockings prevent unwanted execution of actions, depending on the current process state.

The following three parts are significant in a command group for the command conditions:

  • The action for which the conditions were defined and for which the internal interlockings are also applicable.
    The actions define which command is executed, on which variables these actions are applied and set the parameters for the internal interlockings.
  • The condition variables, listed in the Variables node of the command group.
    These define which variables can be used in the command conditions.
  • The command conditions, created per action.
    These conditions contain the formulas on which the condition variables are based. This syntax is the same as the definition of the formulas in the Formula Editor. The execution of commands can thus also be made dependent on the current process status.

info Informations

Configured general interlockings have no influence on this check.

In addition to the command conditions, the following interlocking types are automatically checked before the action is executed:

  • Internal interlocking conditions
  • Topological interlocking conditions

Internal interlocking conditions

These conditions are checked automatically before every action execution; the engineer cannot influence this. These Internal interlocking conditions are predefined by the system and serve as plausibility checks.

Example Exemple

Internal interlocking is applicable if:

  • The response variable is already selected in the zenon network (has set NET_SEL status from other network client).
  • The response variable already has the desired value and the action was configured with Nominal/actual comparison.
  • In the SBO, the Select was rejected by the PLC (status bits: SE_870 + COT_actcon(7) + N_CONF).

Topological interlocking conditions

These conditions result from the current topological status during Runtime. These conditions are defined in the 'Configuration of the topological interlockings' settings of the project for Automatic Line Coloring.

Autres sujets abordés dans ce chapitre

Create command conditions

Internal interlocking conditions


Create command conditions

Manuel -> Energy Edition (Produit Energie) -> Command Processing -> Engineering in the Editor -> Configure command input -> Command conditions -> Create command conditions

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Create command conditions

Any number of command conditions can be defined for every action. These conditions allow for an additional restriction of the ability to execute an action. These conditions are defined with formulas, in which you can use the variables from the active projects. The formula addresses the linked variables via the index in the condition.

info Informations

The condition variable is automatically replaced if a ’*’ is used in the definition.

Define condition variable

In the first step, the variables or substitute names of the variables must be configured. These are used later for the formulas of the command conditions. If the defined conditions are fulfilled by the linked process variables, the user has the respective actions available during Runtime.

info Informations

Variables that are used in a formula are:

  • In an interlocking condition
  • In the breaker tripping detection - detection suppression

Cannot be removed - from the Variables of the command group node.

Engineering

A command condition is defined using formulas. Conditions that are not met cause the action to not be executed in Runtime or to initially have to be unlocked by the user. The user must have the corresponding Niveau d'autorisation pour déverrouiller for this.

The following procedure is recommended for defining a command condition:

  1. Go to the Variables node in the detail view of command input.
    1. Select the Insert variable... entry in the context menu
    2. The variable selection dialog is opened
  2. Select a process variable.
    This variable serves as the basis for the formulas of the command conditions.

    Optional:
    Create a replaceable definition:

    1. To do this, close the variable selection dialog by clicking on the Cancel button.
      An empty definition is created.
    2. In the input field of the Variable de verrouillage property, enter the name with the * placeholder.
      Automatic substitution is configured as a result.
  3. Go to an action that already exists.
  4. Select the New interlocking condition entry in the context menu
  5. Define the desired formula in the Lien logique property.


Internal interlocking conditions

Manuel -> Energy Edition (Produit Energie) -> Command Processing -> Engineering in the Editor -> Configure command input -> Command conditions -> Internal interlocking conditions

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Internal interlocking conditions

With the help of the internal interlocking conditions the basic requirements for the action are checked (plausibility check). The results, or the addressing of an interlocking, are displayed in Runtime in the command processing screen in the interlocking text screen element.

Parameter

Description

Status already exists

The state which should be set equals the current value of the response variable. This check is only active if the action has been activated for the Comparaison valeur nominale/actuelle property.

This interlocking can be unlocked, provided the user has authorization to do this - in accordance with the Niveau d'autorisation pour déverrouiller property of the action.

Internal error occurred

Command Processing cannot execute the check.
This happens when the data type of the action variable is not allowed for this action.

Example: Pulse command on action for string variables.

This interlocking cannot be unlocked.

No interlocking object

Command group cannot be determined (configuration error).
This interlocking cannot be unlocked.

Action not defined

Action to be executed could not be determined (egineering error).
This interlocking is not unlockable.

Differences between local and global interlocking

Pulse command parameter not consistent (configuration error).
This interlocking cannot be unlocked.

One or more values are not available

Value of condition variable:

  • Not available (interlocking code: 14)
  • violated - status bit INVALID (interlocking code: 15)

This interlocking cannot be unlocked.

Locking administration not valid

The administration of the lockings could not be loaded or is invalid.
This interlocking is not unlockable.

Variable locked for changes

Command Processing locked by response variable (status bit M1).
This interlocking is not unlockable.

Note: You can both lock or unlock in the command input screen with the Lock action type.

SBO rejected

The activation of the Select has been rejected by the PLC.
This interlocking is not unlockable.

Note: Only the Energy drivers signal the rejection of the Select - the action variable gets the status bits COT_actcon(7) + N_CONF + SE_870.

Timeout for SBO activation

Within the configured Timeout, no confirmation, either positive or negative has been received for Select activation.
This interlocking is not unlockable.

Note: Only the Energy drivers support Select activation - the action variable gets the status bits COT_act(6) + SE_870.

Timeout for SBO deactivation

Within the configured Timeout, no confirmation, either positive or negative, was received for the deactivation (Cancel to the Select).
This interlocking is not unlockable.

Timeout for execution

There was no notice for finishing the action execution within the engineered Timeout. The TIMEOUT status bit is set for the response variable.
This interlocking cannot be unlocked.

Note: the Tempo watchdog of the command group determines what needs to be fulfilled before the action is completed.

SBO expired

The PLC has reported the expiration of the SBO activation. The second execution step will attempt to send a Select again.
This interlocking cannot be unlocked.

Note: The respective protocol determines whether a controller can report the Select timeout. If so, the Energy driver signalizes the process of the Select - the action variable gets the status bits COT_actterm(10) + N_CONF + SE_870.

Note: The numbers of the internal interlocking conditions are also shown in the system driver variable [command] interlocking code, if this variable has been created in the project.


Éditeur de formules

Manuel -> Energy Edition (Produit Energie) -> Command Processing -> Engineering in the Editor -> Configure command input -> Éditeur de formules

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

L'éditeur de formules fournit une assistance lors de la création de formules comportant des opérateurs logiques ou de comparaison avec un élément combiné, pour les verrouillages et les Gestion de commande. Si vous avez besoin de variables supplémentaires pour la formule, vous devez les créer dans la section Variables de formule de la fenêtre d'état en cliquant sur le bouton Ajouter. Les formules existantes sont affichées dans la liste d'état avec la lettre F.

Remarque concernant la saisie de points décimaux :

  • Séparateur décimal : La virgule (,) est automatiquement converti en point (.) :
  • les zéros situés après le point décimal sont automatiquement supprimés ; 23,000 devient automatiquement 23.

Créer une formule

Cliquez sur le bouton Formule dans la fenêtre d'état. L'éditeur de formule s'ouvre.

Sélectionnez les bits de votre formule dans la section gauche.

A droite, vous trouverez les opérateurs d'opérations logiques et de comparaison.

La formule créée est affichée dans la section Formule.

info Informations

Jusqu'à 99 variables peuvent être liées dans une formule. X01 à X99. La longueur de la formule ne doit pas dépasser 4096 caractères.

Signification des bits :

Paramètre

Description

Valeur en bits

32 bits de valeurs (de 0 à 31) sont disponibles. Ils décrivent la variable, bit par bit. Pour les variables BINAIRE compte le bit 0 ; pour SINT et USINT, seuls comptent les bits compris entre 0 et 7, etc.

Remarque : la valeur fait référence à la valeur brute (plage de signal) des variables, et non à la plage de mesures convertie.

Bits d'état

Ici vous trouvez les bits d'états les plus couramment utilisés. Vous trouverez des informations concernant la définition et l'utilisation des bits d'état dans la Liste des bits d'état.

Non acquittée

Non acquitté est traité comme un bit d'état habituel. Mais il est montré séparément ici, car il n'appartient pas aux états classiques des variables.

Valeur et État

Dans les formules, toutes les valeurs (valeur des bits et bits d'état) sont traitées comme des valeurs binaires pouvant être liées de manière logique par des conditions AND et OR, etc.
Les exceptions à cette règle sont la valeur totale et l'état global. Pour obtenir une expression booléenne, une condition logique ORed doit être appliquée à cette valeur totale, de bit à bit, avec une constante. Pour cela, on utilise l'opérateur &.
For the result 0 (FALSE) of this logical ORing, we get the binary value 0 (FALSE), otherwise 1 (TRUE).

Exemple : See the bitwise ORing example chapter

Informations concernant info

Les bits d'état NORM et N_NORM sont uniquement disponibles dans l'éditeur de formules et ne peuvent pas être configurés par l'intermédiaire de l'état.

Si d'autres paramètres externes à la formule sont définis pour l'état courant, ils sont "ajoutés" à la formule à l'aide d'un ET logique.

Reportez-vous à la section Exemples pour obtenir des exemples.

info Informations

Les formules comportant des valeurs X binaires et des liens au niveau des bits peuvent être utilisées avec 2 valeurs binaires maximum. Si d'autres valeurs sont requises, la liaison doit être établie sans valeurs X binaires.

Exemple :

X01.Value & X02.Value -> fonctionne

X01.Value & X02.Value & X03.Value -> ne fonctionne pas

Toutefois :

X01.00 AND X02.00 AND X03.00 AND X04.00 AND X05.00 -> fonctionne

Autres sujets abordés dans ce chapitre

Liste des bits d'état

Opérateurs logiques

Formules Bit

Exemple : Comparaison de bits avec OR

Opérateurs de comparaison

Exemples pour les formules


Liste des bits d'état

Manuel -> Energy Edition (Produit Energie) -> Command Processing -> Engineering in the Editor -> Configure command input -> Éditeur de formules -> Liste des bits d'état

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Liste des bits d'état
Numéro de bit | Désignation abrégée | Nom long | Intitulé zenon Logic
0 | M1 | User status 1; for Command Processing: Type d'action "Bloquer" ; Service Tracking du driver IEC 850 | _VSB_ST_M1
1 | M2 | État utilisateur 2 | _VSB_ST_M2
2 | M3 | État utilisateur 3 | _VSB_ST_M3
3 | M4 | État utilisateur 4 | _VSB_ST_M4
4 | M5 | État utilisateur 5 | _VSB_ST_M5
5 | M6 | État utilisateur 6 | _VSB_ST_M6
6 | M7 | État utilisateur 7 | _VSB_ST_M7
7 | M8 | État utilisateur 8 | _VSB_ST_M8
8 | NET_SEL | Sélectionné dans le réseau | _VSB_SELEC
9 | REVISION | Révision | _VSB_REV
10 | PROGRESS | En fonctionnement | _VSB_DIREC
11 | TIMEOUT | Command "Timeout exceeded" (command runtime exceeded) | _VSB_RTE
12 | MAN_VAL | Valeur manuelle | _VSB_MVALUE
13 | M14 | État utilisateur 14 | _VSB_ST_14
14 | M15 | État utilisateur 15 | _VSB_ST_15
15 | M16 | État utilisateur 16 | _VSB_ST_16
16 | GI | Requête générale | _VSB_GR
17 | SPONT | Spontané | _VSB_SPONT
18 | INVALID | Invalide | _VSB_I_BIT
19 | T_STD_E | External standard time (standard time) Caution: up to version 7.50, this was the status bit T_CHG_A | _VSB_SUWI
20 | OFF | Désactivé | _VSB_N_UPD
21 | T_EXTERN | Temps réel - horodatage externe | _VSB_RT_E
22 | T_INTERN | Informations d'horodatage internes | _VSB_RT_I
23 | N_SORTAB | Non triable | _VSB_NSORT
24 | FM_TR | MD_TR;Message de défaut du transfo | _VSB_DM_TR
25 | RM_TR | Message de marche du transformateur | _VSB_RM_TR
26 | INFO | Informations de la variable | _VSB_INFO
27 | ALT_VAL | Valeur de remplacement | _VSB_AVALUE
28 | RES28 | Réservé à une utilisation interne (clignotement d'alarme) | _VSB_RES28
29 | N_UPDATE | Not updated (zenon network) | _VSB_ACTUAL
30 | T_STD | Heure d’hiver interne | _VSB_WINTER
31 | RES31 | Réservé à une utilisation interne (clignotement d'alarme) | _VSB_RES31
32 | COT0 | Cause de transmission bit 1 | _VSB_TCB0
33 | COT1 | Cause de transmission bit 2 | _VSB_TCB1
34 | COT2 | Cause de transmission bit 3 | _VSB_TCB2
35 | COT3 | Cause de transmission bit 4 | _VSB_TCB3
36 | COT4 | Cause de transmission bit 5 | _VSB_TCB4
37 | COT5 | Cause de transmission bit 6 | _VSB_TCB5
38 | N_CONF | Confirmation négative de la commande par l'appareil (IEC 60870 [P/N]) | _VSB_PN_BIT
39 | TEST | Bit de test (IEC60870 [T]) | _VSB_T_BIT
40 | WR_ACK | Écriture reconnue | _VSB_WR_ACK
41 | WR_SUC | Écriture réussie | _VSB_WR_SUC
42 | NORM | NORM;État Normal | _VSB_NORM
43 | N_NORM | État déviation normale | _VSB_ABNORM
44 | BL_870 | État IEC 60870 : blocked | _VSB_BL_BIT
45 | SB_870 | État IEC 60870 : substituted | _VSB_SP_BIT
46 | NT_870 | État IEC 60870 : not topical | _VSB_NT_BIT
47 | OV_870 | État IEC 60870 : overflow | _VSB_OV_BIT
48 | SE_870 | État IEC 60870 : select | _VSB_SE_BIT
49 | T_INVAL | Horodatage externe invalide | non défini
50 | CB_TRIP | Déclenchement de disjoncteur détecté | non défini
51 | CB_TR_I | Détection de déclenchement de disjoncteur inactive | non défini
52 | OR_DRV | Valeur non comprise dans la plage valide (IEC 61850) | non défini
53 | T_UNSYNC | ClockNotSynchronized (IEC 61850) | non défini
54 | PR_NR | Pas enregistré dans le Process Recorder | non défini
55 | RES55 | réservé | non défini
56 | RES56 | réservé | non défini
57 | RES57 | réservé | non défini
58 | RES58 | réservé | non défini
59 | RES59 | réservé | non défini
60 | RES60 | réservé | non défini
61 | RES61 | réservé | non défini
62 | RES62 | réservé | non défini
63 | RES63 | réservé | non défini

info Informations

Dans les formules, tous les bits d'état sont disponibles. La disponibilité peut être réduite dans le cadre d'autres utilisations.

Pour plus de détails concernant la gestion des états, reportez-vous au chapitre Gestion d'états.


Opérateurs logiques

Manuel -> Energy Edition (Produit Energie) -> Command Processing -> Engineering in the Editor -> Configure command input -> Éditeur de formules -> Opérateurs logiques

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Opérateurs logiques

Liens logiques : seule la valeur logique '0' sera recherchée dans les variables ; si la valeur n'est pas égale à '0', elle sera considérée comme égale à '1'.

Contrairement aux formules bit, la portée technique peut être modifiée au moyen d'un facteur d'étirement -> (différent de '0' ou '1').

Opérateur | Signification
AND | ET logique
NOT | Négation
OR | OU logique
XOR | OU EXCLUSIF logique

Les opérateurs possèdent la priorité suivante dans le calcul de la formule :

Priorité | Opérateur
1 | & (opérateur des formules bit)
2 | NOT
3 | AND
4 | XOR/OR

Informations concernant info

Jusqu'à 99 variables peuvent être liées dans une formule. X01 à X99.

Informations concernant info

Les bits d'état NORM et N_NORM sont uniquement disponibles dans l'éditeur de formules et ne peuvent pas être configurés par l'intermédiaire de l'état.


Formules Bit

Manuel -> Energy Edition (Produit Energie) -> Command Processing -> Engineering in the Editor -> Configure command input -> Éditeur de formules -> Formules Bit

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Formules Bit

Les formules Bit comportent uniquement un état logique haut ou bas. Contrairement aux formules logiques, la valeur brute est déjà prédéfinie (0,1).

Opérateur | Description
& | AND
| | OR


Exemple : Comparaison de bits avec OR

Manuel -> Energy Edition (Produit Energie) -> Command Processing -> Engineering in the Editor -> Configure command input -> Éditeur de formules -> Exemple : Comparaison de bits avec OR

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Exemple : Comparaison de bits avec OR

Vous voulez savoir si l'un des bits d'état utilisateur 1 à 8 (M1 ... M8) de la variable X01 est défini :

Formule classique :

X01.M1 OR X01.M2 OR X01.M3 OR X01.M4 OR X01.M5 OR X01.M6 OR X01.M7 OR X01.M8.
Cette requête peut être considérablement simplifiée en utilisant la condition logique OR sur l'état général.

Interrogation OR logique

X01.Status & 0xFF

La constante peut être saisie au format hexadécimal, comme ci-dessus.

0xFF en décimal vaut 255, et correspond aux huit premiers bits d'état (en binaire, 11111111). Si l'un de ces bits est défini sur 1, le résultat de l'application de la condition logique ORing au niveau des bits est 1 (True) ; dans le cas contraire, le résultat est 0 (False).

Si, par exemple, tous les bits d'états utilisateur sont à tester sauf le bit M7, la formule binaire serait : 10111111. Le bit 7 est sans intérêt, et est donc défini sur 0. Ceci correspond à 0xBF en hexadécimal. L'expression de la formule est alors : X01.Status & 0xBF.

A la place d'une comparaison de bits avec OR à l'aide d'une constante, la valeur peut également être comparée directement à un nombre décimal. Si la comparaison est fausse, la valeur binaire sera égale à 0 (False) ; dans le cas contraire, elle prendra la valeur 1 (True).

Exemple :

Si vous voulez savoir si la valeur est égale à la constante 202 : La formule est alors :

X01.value = 202

Si la valeur est égale à la constante 202, le résultat de la formule est 1 (True) ; dans le cas contraire, le résultat est 0 (False).

Remarque : avec le caractère OR (|), la condition logique OR au niveau des bits fonctionne de la même manière que dans cet exemple.


Opérateurs de comparaison

Manuel -> Energy Edition (Produit Energie) -> Command Processing -> Engineering in the Editor -> Configure command input -> Éditeur de formules -> Opérateurs de comparaison

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Opérateurs de comparaison

Les opérateurs de comparaison permettent de comparer directement deux valeurs numériques. Le résultat des comparaisons est une valeur binaire. "0" si la condition est fausse et "1" si la condition est vraie.

Opérateur | Description
< | Inférieur
> | supérieur
<= | Inférieur ou égal
>= | supérieur ou égal
= | Égal
<> | Différent de

À gauche et à droite de l'opérateur de comparaison doivent se trouver des valeurs complètes ou des états complets ; des bits simples ne peuvent pas être utilisés.

A droite d'un opérateur de comparaison, vous pouvez également utiliser une constante
Ces constantes sont saisies sous forme de valeurs hexadécimales ou de valeurs décimales dans l'élément combiné. Hexadecimal numbers are automatically converted to decimal numbers by clicking on OK. For example, 0x64 corresponds to the numerical value 100.

Remarque : The combined element is not available in the Batch Control module.

Example Exemple

X01.valeur >= X02.valeur
Le résultat est 1, si la valeur de X01 est supérieure ou égale à la valeur de X02

X01.valeur = 0x64
Le résultat est 1, si la valeur de X01 est exactement égale à la valeur numérique 100 (= hex 0x64)

(X01.valeur = 0x64) OR (X01.valeur = 0x65)
Le résultat est 1, si la valeur de X01 est exactement égale à la valeur numérique 100 ou 101 (= hex 0x64 ou hex 0x65)


Exemples pour les formules

Manuel -> Energy Edition (Produit Energie) -> Command Processing -> Engineering in the Editor -> Configure command input -> Éditeur de formules -> Exemples pour les formules

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Exemples pour les formules

Liaison logique AND simple entre deux valeurs de bits

Example Exemple

Formule : X01.03 AND X02.03

Cette formule vaut TRUE si le bit 3 de la variable 1 et le bit 3 de la variable 2 sont tous deux égaux à 1.

Comparaison d'une valeur analogique ou de l'état d'une variable

Example Exemple

(X01.Value > X02.Value)

Comparaison de valeurs analogiques sur une base logique

Example Exemple

(X01.Value> X02.Value) AND (X01.Value = X02.Value)

Comparaison à l'aide de bits de valeur et de bits d'état

Example Exemple

(X01.Value> X02.Value) AND (X01.Value = X02.Value) OR (X01.03 = X02.03)

Comparaison d'une valeur avec une valeur décimale ou hexadécimale

Example Exemple

Formule : (X01.Value = 111)

Formule : (X01.Value = 0x6F)

Si une valeur hexadécimale est utilisée, cette dernière est convertie en valeur décimale lorsque vous cliquez sur OK. Si une valeur décimale est saisie et confirmée, la valeur reste affichée au format décimal après la réouverture.

Informations concernant info

Il n'est pas possible d'utiliser une virgule ou un point lors de la saisie d'une valeur.


Create menu

Manuel -> Energy Edition (Produit Energie) -> Command Processing -> Engineering in the Editor -> Create menu

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Command Processing can also be activated via a context menu. Context menus are created in the Editor using node Menus and are defined in the properties of the element they concern.

Généralement, il existe trois types d’entrées de menu :

Paramètre

Description

Type action

Définit le type d’action devant être exécuté via l’élément de menu correspondant dans le Runtime. Tous les types d’action ne sont pas disponibles dans le menu principal?; certains sont uniquement accessibles via le menu contextuel.

  • Acquitter alarme (menu contextuel uniquement)
  • Gestion de commande (menu contextuel uniquement)
  • Acquitter clignotement (menu contextuel uniquement)
  • Fonction
  • Aide
  • Aucune action
  • Écrire valeur prescrite
  • Macro VBA (menu contextuel uniquement)

Sous-menu

Ouvre un sous-menu dans le Runtime.

Séparateur

Une ligne horizontale divise les entrées de menu.

Souligner le texte : Saisissez un caractère & pour souligner les caractères suivants.

Planifier les entrées

Pour configurer un élément de menu dans le menu principal ou un menu contextuel :

  1. Activez la cellule de menu correspondante
  2. Dans propriétés, sélectionnez :
    • Type action : en fonction du type de menu.
      Voir également : Principaux types d’action des menus et Types d’action du menu contextuel.
    • ID du menu: Identifiant de l'entrée
      Remarque : Pour les entrées du module Command Sequencer, il existe des types prédéfinis, comportant des identifiants prédéfinis.
      D'autres informations à se sujet, ainsi qu'une liste de ces identifiants sont disponibles dans le manuel Energy Edition, au chapitre Gestion de commande via le menu contextuel.
    • Texte : intitulé clair des cellules du menu.

attention Attention

La configuration de la propriété Texte doit être unique. Si deux textes identiques sont fournis, les autres éléments de menu portant le même nom ne seront pas affichés.

You can find details on the definition on context menus for command processing in chapter menusCommand Processing.


Create Runtime files

Manuel -> Energy Edition (Produit Energie) -> Command Processing -> Engineering in the Editor -> Create Runtime files

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

When creating Runtime files for the command groups, a check for engineering errors is performed. In addition, there is validation for the correct substitution of the variable names.

For each variable that has a command group assigned, the command group for the operation in zenon Runtime is instanced. In each instance, only the actions that can be triggered by means of this variable are now included.

Example Exemple

The command group for the command variable now contains actions for the respective command variable.

Exception: the "Lock" action is also available with command input.

info Informations

Changes to the configuration for variables require the project to be recompiled.

Autres sujets abordés dans ce chapitre

Substitution of variable names

Error while creating Runtime data


Substitution of variable names

Manuel -> Energy Edition (Produit Energie) -> Command Processing -> Engineering in the Editor -> Create Runtime files -> Substitution of variable names

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

In order to increase the reusabilty of the command group, there is the possibility to replace the variable references. Replacement is possible for the response, command and condition variable.

During the replacement, the placeholder (wild card *) is automatically replaced by the name of the variable that is assigned to the command processing.

Example

The command group was configured in the Nom de variable de réponse property with the *_RV mask. In the project, the variables xyz_RV, abcRV and bool_RV are created and linked to the command group.

Variable | Part to be replaced | Result | Comment
xyz_RM | xyz | xyz_RM | Variable exists, assignment is possible
abcRM | <empty> | _RM | The mask is not correct, because the _ character is missing. The compiler will report an error. In Runtime, the operation of the abcRM does not trigger a command.
bool_RM | bool | bool_RM | Variable exists, assignment is possible

These rules are also applicable for the command variables.

info Informations

When compiling the command group, the text that corresponds to the part to be replaced is searched as follows:

  • The text is stipulated in comparison to the mask with the name of the response variable.
  • Otherwise the text is defined by the action variable. In doing so, the first action appropriate for the variable is applied.
  • If the text for substitution was determined correctly, the placeholder * is replaced by this text.

Please note the following points in relation to this when naming variables:

  • The names of the variables and the mask should be selected in such a way that these can be clearly assigned.
  • The names of the variables that are used for the response, command and condition variables should be able to be created from the same replacement text.
  • If the response variable is replaced (was defined with a mask) but not the command variable, particular care should be taken to ensure that the command group that is created for the command variable also uses the expected response variable.
  • Additional validation of the response variable for the command group ensures that it only contains actions whose action variable (for its compiled command groups) uses the same response variable. Incorrectly-configured actions create a warning and are removed during compilation.


Error while creating Runtime data

Manuel -> Energy Edition (Produit Energie) -> Command Processing -> Engineering in the Editor -> Create Runtime files -> Error while creating Runtime data

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

At the creation of the Runtime data for the command processing, an extensive validation is carried out concerning wrong engineering and not-available references.

info Informations

After an Error the object the caused the error is not available during runtime.

If the command group has an Error, no command group is assigned to the variable. Consequently, during the Runtime, all user operations are locked.

A Warning is generated when the project would cause a problem but runs error-free.

In the error messages, the following placeholders are used:

<VERNAME> | Placeholder is replaced in the error message by the name of the command group.
<VERRM> | Placeholder is replaced in the error message by the name of the response variable.
<AUFVAR> | Placeholder is replaced in the error message by the name of the variable to which the command group is assigned.
<ACTVAR> | Placeholder is replaced in the error message by the name of the variable of the action.
<Actionname> | Placeholder is replaced in the error message by the description of the action.
<VARNAME> | Placeholder is replaced by the variable in the visualization.

The following error messages can occur during the creation of the Runtime files:

Message text

Description

<VERNAME>: Interlocking PV <VERRM> does not exist!

Condition variable for general interlocking not available.

Variable '<AUFVAR>' uses not existing command processing!

Variable uses a non-existing command processing.

(<AUFVAR>) command processing '<VERNAME>' contains no actions!

Command groups without action are not considered by the Runtime. This message can also be a follow-up error.

(<AUFVAR>) response variable '<VARRM>' does not use the command group '<VERNAME>'

A response variable using another command group is used. The response variable always has to be linked with the interlocking, which uses it as response variable.

(<AUFVAR>) response varibale '<VARRM>' for command processing '<VERNAME>' uses a driver without process linking!

The response variable must lie on a driver with process connection.

(<AUFVAR>Command processing '<VERNAME>' contains no actions after compiling!

A command group without actions does not make sense.

(<AUFVAR>) response variable '<VARRM>' of command processing '<VERNAME>' not available!

The used response variable is not present or marked as deleted.

(<AUFVAR>) command processing '<VERNAME>' uses screen '<Bild GUID>'(<BILDNAME>) which is not of the type Power!

This message is a warning. If a user action becomes necessary during execution, it cannot be performed.

(<AUFVAR>) command processing '<VERNAME>' uses not available screen '<Bild GUID>'!

The screen assigned to the command group does not exist.

(<AUFVAR>) Replaced action variable '<ACTVAR>' for action '<Action name>' of command processing '<VERNAME>' not available!

The action variable, after a replacement, is not present or marked as deleted.

(<AUFVAR>) action '<actionname>' of the command'<VERNAME>' uses the not existing variable '<ACTVAR>'

The action uses a varibale which is not present in the project or marked as deleted.

(<AUFVAR>) action variable '<ACTVAR>' for action '<Actionname>' of command processing '<VERNAME>' uses a driver without process connection!

The variable assigned to an action must not lie on an internal driver.

<VERNAME>(<AUFVAR>): Aktion '<Actionname>' already exists!

The following actions may only be configured once per action variable and command group:

  • Switching command with the same command processing status.
  • Correction with the same switching direction.
  • Replacing with the same switching direction.
  • Revision with the same switching direction.
  • Pulse command
  • Setpoint input
  • Release
  • Block
  • Lock

<VERNAME>(<AUFVAR>): Action '<Actionname>': Pulse and switching command not possible for the same command variable!

Pulse and switching command must not be used together.

(<AUFVAR>) Action '<Actionname>' of the command processing '<VERNAME>' uses screen '<Bild GUID>('<Bildname>') which is not of type Power!

This message is a warning. No user actions will be possible.

(<AUFVAR>) Action '<Actionname>' of the command processing'<VERNAME>' uses not existing screen '<Bild GUID>'!

The action is assigned to a non-exising screen.

<VERNAME>(<AUFVAR>): Interlocking PV '<VARNAME>' does not exist!

Replaced condition variable does not exist.

(<AUFVAR>) Variable '<VARNAME>' of action interlocking condition of the command processing '<VERNAME>' does not exist!

Variable of the interlocking condition does not exist.

(<AUFVAR>) action variable '<VARNAME>' for action '<Actionname>' of command group '<VERNAME>' uses another command group!

The action variables used for a command group may only be connected to no command group or to the command group in which they are used.

(<AUFVAR>) command variable <ACTVAR> does not have a validly compiled interlocking! Action <Actionname> removed.

The action variable used in the action has no compiled command group. This message can also be a follow-up error.

(<AUFVAR>) command variable <ACTVAR> uses response variable <VARNAME>! Action <Actionname> removed.

The compiled command group of the response variable contains actions with action variables which do not use the same response variable as <AUFVAR>.
Note: There must not be any actions of response variables changing other response variables.


Operating during Runtime

Manuel -> Energy Edition (Produit Energie) -> Command Processing -> Operating during Runtime

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

A watchdog timer is automatically carried out in the background if a used enters commands in Runtime.

Autres sujets abordés dans ce chapitre

Execution of a command

Screen type Command Processing

Reload project online

Logging in the CEL

Server change in redundant operation

Exit Runtime

Lock return variable


Execution of a command

Manuel -> Energy Edition (Produit Energie) -> Command Processing -> Operating during Runtime -> Execution of a command

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

This description for the procedure of a command with the command processing is applicable for the following action types of the Command Processing:

  • Command
  • Auto/Remote command
  • Mandatory command (only in part)
  • Setpoint input

info Informations

You can find information such as the execution of a command that influences the display and availability of the control elements in a command input screen in the Process in the command processing screen chapter.

The procedure of a command depends on the following parameters:

Variable properties

  • Select Before Operate (SBO) inactive:
    In this case, a separate Select command is executed by an action.
    Note: A driver (for example: DNP3_NG or IEC850) can nevertheless execute a Select automatically. This has no effect on the command processing however. The Command Processing will, in this case, react to an unsuccessful Select in the same way as an unsuccessful Operate/Execute .
  • Select Before Operate (SBO) active:
    In this case, a Select (COT_act(6), SE) is always forwarded to the driver by the command processing. In doing so, there is a wait - regardless of the type of Tempo watchdog configured - until the complete command process (including Operate) has been completed.

    Attention: The Select Before Operate variable property has corresponding effects on Tempo watchdog.
    If Select Before Operate is activated, the action buttons (and context menu entries) are deactivated in runtime monitoring for each configuration until COT contains the value COT_accterm(10).
    This also applies if "none" or "via response variable" are configured for the watchdog timer.
    If no COT_accterm is received, only a TIMEOUT status bit is set.
  • Annuler 'Operate' active:
    If activated, with command input, after an Operate, a Cancel can also be sent to the controller, not just after a Select. Both the execution of the command in the controller and ongoing runtime monitoring can thus be ended early. The property is automatically treated like activated Le délai d'attente peut être annulé in the action.

info Info

If a variable is configured with an active Select Before Operate and the driver does not support a COT , then no reaction to a sent Select will be received from the PLC. Once the configured Timeout has expired, the command processing screen will inform you of the "Timeout on SBO activation" interlocking condition.

Type of Watchdog timer:

The Tempo watchdog property in the command group determines which conditions need to be met in order to conclude the action as successful. In addition, the Tempo watchdog property determines how long the command input remains active in order to possibly send a deactivation (Cancel) to the PLC, to update the status bits of the response variable and to guarantee forwarding in the auto/remote command.

  • None
    • without Select Before Operate:
      Direct command to the controller ("fire & forget") - sends the command to the controller and does not wait for a response.
    • with Select Before Operate:
      There is a wait in the background until the COT process has been completed in full. No TIMEOUT status bit is set, even if a Timeout has expired.
  • Via cause of transmission only (COT)
    The action has been successfully completed after a complete COT process - if COT_actterm(10) has been received.
  • Only via response variable (RV)
    The action has been successfully completed if the value of the response variable corresponds to the response status/switching direction in the action.
    • with Select Before Operate:
      There is a wait in the background until the complete COT process has been completed. Even if a Timeout has expired, no TIMEOUT status bit is set.
  • Via RV and COT
    The action is successfully completed if both of the above-described conditions have been met.

Note: You can find further details in the runtime monitoring chapter.

Properties in the command processing action:

  • One-step:
    After a successful Select , the command processing automatically transfers the Operate/Execute to the driver.
  • Two-step:
    A successful Select activates the buttons Execute 2nd Step and Cancel in the command processing screen:
    • If Execute 2nd Step is clicked on, the Command Processing transfers an Operate/Execute (COT_act(6) without SE) to the driver.
    • If Cancel is clicked on, a Cancel(COT_deact(8), SE) is forwarded to the driver via command processing.
  • Timeout:
    The configured value states how long is waited for a response from the PLC. Respectively:
    • After writing an Select command.
    • After writing an Execute command.
    • After writing an Cancel command.
  • Le délai d'attente peut être annulé:
    If this property has been activated, the user can also cancel a Tempo watchdog that is still running, for example during an attempt to synchronize the frequencies of the electrical grids in the controller. The Cancel button in the command screen remains operable whilst the Execute command is executed. Depending on the configuration of the Annuler 'Operate' variable property, it is also possible to inform the PLC of the cancellation.
    Note: not all Energy protocols offer a technical possibility to cancel an Operate. It is thus not possible for every Energy driver to forward a Cancel to the PLC.

Autres sujets abordés dans ce chapitre

Select before Operate

Watchdog timer


Select before Operate

Manuel -> Energy Edition (Produit Energie) -> Command Processing -> Operating during Runtime -> Execution of a command -> Select before Operate

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Select before Operate is a procedure in Energy protocols (such as DNP3, IEC61850 or IEC60870-101/104 for example). A "reservation/pre-assignment", the Select command, is first sent to the PLC. Only if this pre-assignment of the PLC is successful is the corresponding Execute command sent via the driver (using a command).

zenon Energy drivers update the following status bits in the process (by means of command variables):

  • SE_870, COTx
  • With the corresponding N_CONF configuration.

These status bits and NET-SEL cannot be configured by the person configuring the project. The status bits are set by the corresponding driver of zenon modules.

The Tempo watchdog property only has an influence on the Execute command. The Select command is not influenced by Tempo watchdog. After sending a Select, the command action waits for the time period configured in the Timeout property Optionsproperties group in the command action).

In doing so, this can lead to the following dependencies:

  • SPS does not react
  • SPS reacts negatively
  • SPS reacts positively
    • User does not send an Execute or Cancel

Canceling a Select

For canceling (Cancel) a Select - regardless of the type of Tempo watchdog engineering - the following is applicable:

  1. If the Select Before Operate property is activated for the action variable, a Select for two-stage commands (A deux étapes command action property activated) can be canceled by a user. After a successful Select (COT=7, SE), the Command Processing can send a Deactivation (COT=8, SE) if the Cancel button is clicked.
  2. There is then a wait for a response from the PLC or a Timeout.
    The action ends:
    • if the configured timeout time has expired
    • if the PLC confirms the cancellation (COT=9, any SE or PN).
      The receipt of a COT=9 discards the PROGRESS status bit.
  3. The measurement time starts when the user clicks the Cancel button. The time period that has expired - whilst the action waits for a Select - does not influence the time period in which the action waits for a confirmation of the cancellation.
  4. The response variable does not receive a TIMEOUT status bit.
  5. The same action always applies, regardless of the configuration of the Tempo watchdog property.

Note: the PN bit - Positive(0)/Negative(1) - is reflected on the status bit N_CONF of the action variable.

Autres sujets abordés dans ce chapitre

SBO - no reaction from the PLC

SBO - negative reaction from the PLC

SBO - positive reaction from the PLC

SBO - positive reaction from the PLC but the user does not send an Execute or Cancel


SBO - no reaction from the PLC

Manuel -> Energy Edition (Produit Energie) -> Command Processing -> Operating during Runtime -> Execution of a command -> Select before Operate -> SBO - no reaction from the PLC

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
SBO - no reaction from the PLC

The command processing first sends a Select to the driver. All buttons in the command processing screen are grayed out while the action waits for a reaction from the PLC.

Information is shown in the command processing screen once the Timeout action has expired. This message is displayed in the field of the interlocking text. Internal interlocking condition "Timeout for SBO activation".

In this case, only the Cancel button is available. All other buttons of the Command Processing screen are still grayed out.

Entries in the context menu are not available.

Note: The response variable contains neither a TIMEOUT nor a PROGRESS status bit.
The same action applies for Select , regardless of which value is configured for Tempo watchdog . The process is the same for two-step actions and one-step actions.


SBO - negative reaction from the PLC

Manuel -> Energy Edition (Produit Energie) -> Command Processing -> Operating during Runtime -> Execution of a command -> Select before Operate -> SBO - negative reaction from the PLC

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
SBO - negative reaction from the PLC

The command processing triggers the driver to send a Select (COT_act(6) + SE) . If a negative response is received by the PLC (COT_actcon(7) + SE + PN=1), waiting is no longer carried out.

  • The PROGRESS bit is removed by clicking on the Cancel button. The response variable does not receive a TIMEOUT status bit in the process.
  • If the action receives a negative response to Select, this information is displayed in the field of the interlocking text: internal interlocking condition "SBO rejected".
    In this case, only the Cancel button is available. All other buttons of the Command Processing screen are grayed out.

Entries in the context menu are also not available.

The same action applies to Select , regardless of which value is configured for Tempo watchdog. The process is the same for two-step actions and one-step actions.

Note: the PN bit - Positive(0)/Negative(1) - is reflected on the status bit N_CONF of the action variable.


SBO - positive reaction from the PLC

Manuel -> Energy Edition (Produit Energie) -> Command Processing -> Operating during Runtime -> Execution of a command -> Select before Operate -> SBO - positive reaction from the PLC

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
SBO - positive reaction from the PLC

If the PLC reacts positively to a Select (COT_actcon(7) + SE) (thus a confirmed Select), the action goes to the next step => execution

  • The command processing ends the waiting for a Select.
  • The response variable has its PROGRESS status bit set. However this is only if the current value of the response variable is different to the value of the command.

The following applies once the Select has been confirmed:

  1. One-step commands:
    The command processing automatically sends an Operate/Execute (COT_act(6), no SE) to the PLC.
  2. Two-stage actions:
    The Execute 2nd Stage and Cancel become active in the command screen. If a user confirms the Execute 2nd step button, the command processing sends an Operate/Execute to the PLC.

The PROGRESS bit is reset if the PLC confirms the Execute (COT_actcon(7)) or after expiry of the following Tempo watchdog.


SBO - positive reaction from the PLC but the user does not send an Execute or Cancel

Manuel -> Energy Edition (Produit Energie) -> Command Processing -> Operating during Runtime -> Execution of a command -> Select before Operate -> SBO - positive reaction from the PLC but the user does not send an Execute or Cancel

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
SBO - positive reaction from the PLC but the user does not send an Execute or Cancel

If the user, after a successful Select , triggers neither an Execute nor a Cancel , there is a wait for user interaction with no time limitation. It can thus happen - provided the PLC supports Select Timeout - that this time expires. If this happens, the PLC sends a Select-Termination (COT=10, SE, PN=1). The command processing reacts to the Select-Termination received so that - if the user does in fact trigger an Execute - the command automatically sends another Select first.
Once the Cancel button in a command processing screen has been clicked on, a Select or Cancel is not sent to the PLC again.

Note: Is only relevant for two-step actions.


Watchdog timer

Manuel -> Energy Edition (Produit Energie) -> Command Processing -> Operating during Runtime -> Execution of a command -> Watchdog timer

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

The simplest runtime monitoring, not envisaged for Energy drivers, is carried out if:

  • The Tempo watchdog property in the command group is none or only via response variable (RV);
  • Neither the Select Before Operate property (SBO) nor Annuler 'Operate' has been activated.

For this configuration, the runtime monitoring checks the interlockings and writes a command to the controller. After this, the runtime monitoring waits to see whether the response variable changes the value according to the command.

In conjunction with Energy drivers (for Select Before Operate or COT process), the cause of transmission (COT) is used to exchange information between zenon and the controller about whether a command is to be written or whether writing was successful. With Energy drivers, the action variable gets a COT according to the stage of the command. In the background, the command processing then checks to see if the response variable then changes its value and if the COT action variable changes according to the command.

Note: Value changes of the response variable will only be taken into account after COT_act(6).

info Informations

COTx Status bits result in a value. This value can be evaluated in Runtime - just like all other status bits - using multi numeric or multi binary reaction matrices.

Note: COT is supported not only by IEC870, but also by some other Energy drivers - different versions thereof. Some drivers support COT although the protocol itself does not contain COT (e.g. IEC850, DNP3). You can find details in the corresponding driver documentation.

Runtime monitoring and interlocking conditions of the action:

Interlockings are checked during runtime monitoring:

  1. For direct execution (= without Select Before Operate).
  2. When the Select is activated (= before Select).
  3. After the Select OK - before Execute.
  • The current command action shows information about active interlockings in the interlocking text control element. The user must unlock these. To do this, the user must have the corresponding user permissions. In addition, the interlocking must also be configured as unlockable. Otherwise this action can only be canceled.
  • If this action is canceled by a configured interlocking, no command is sent to the PLC.
  • If a Select has already been sent, cancellation is automatic. In this case, a deactivation (Cancel) is sent.
  • The response variable does not receive a TIMEOUT bit in the process. If a PROGRESS bit is already set, this is reset.

With one-step configuration of the action:

If there is an interlocking in the first stage, the interlocking text is displayed and there is a wait for a reaction from the user. If the user selected On or Off, the Confirm button will be active. The value is then sent to the PLC. If the user clicks on Cancel and a Select has already been carried out, the action sends a deactivation (Cancel).

With two-step configuration of the action:

The two-step action checks the interlocking and provides a message during the first step:

  • Direct execution - no Select Before Operate :
    Applicable for the moment when the first button is clicked
  • Active Select Before Operate:
    Applicable for the moment if the confirmation for Select is received or the Timeout for Select has expired.

By clicking on the button to unlock the interlocking, the Execute 2nd step button becomes available. If the button is clicked on, an Execute is sent to the PLC. If Cancel has been clicked on and a Select has already been sent, the action sends a deactivation (COT_deact(8)+SE) to the PLC.

If there was no outstanding interlocking for the first stage before the conditions have changed and before the user has carried out a Confirm by clicking, the action will check the interlocking conditions again. If there are then still interlockings pending, a message is displayed and there is a wait for a cancellation from the user.

Note: In this case, the interlocking cannot be unlocked by a user.

info Informations

Single-step actions have the same action in all scenarios.

Runtime monitoring and negative responses from the PLC:

  • Execute negative
    During watchdog timer, the PLC can react negatively to an Execute/Operate (COT_actcon(7) + PN). If the negative ration to an Execute was received, runtime monitoring is ended.
  • Execute Termination negative
    If Execution Termination (COT_actterm(10) + PN) is reported as negative by the PLC, runtime monitoring will no longer wait for a value change to the response variable and ends immediately.

The PROGRESS status bit is reset. The TIMEOUT status bit is not set for the response variable.

Note: the PN bit - Positive(0)/Negative(1) - is reflected on the status bit N_CONF of the action variable.

Autres sujets abordés dans ce chapitre

Cancellation of runtime monitoring

Runtime monitoring via response variable only (RV)

Runtime monitoring via cause of transmission only (COT)

Runtime monitoring via COT (cause of transmission) and RV (response variable)


Cancellation of runtime monitoring

Manuel -> Energy Edition (Produit Energie) -> Command Processing -> Operating during Runtime -> Execution of a command -> Watchdog timer -> Cancellation of runtime monitoring

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Cancellation of runtime monitoring

If the Le délai d'attente peut être annulé property has been activated for a command processing action, the user can cancel runtime monitoring - the second stage of execution (Execute) - with the "Cancel" button.

In doing so, the command processing sends the cancellation to the driver. The driver (the IEC850 driver for example) only forwards a Cancel Request to the PLC if the Annuler 'Operate' property has been activated during configuration. You can find this property in the Écrire valeur prescrite variable property group.

If the Annuler 'Operate' property is activated for the command variable, the user can also cancel the runtime monitoring with the Cancel button in the command input screen. It is automatically considered an activated Le délai d'attente peut être annulé.

Note: Not all drivers - that support the cancellation of a Select - also support the cancellation of an Execute. You can find further information in the respective driver documentation.


Runtime monitoring via response variable only (RV)

Manuel -> Energy Edition (Produit Energie) -> Command Processing -> Operating during Runtime -> Execution of a command -> Watchdog timer -> Runtime monitoring via response variable only (RV)

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Runtime monitoring via response variable only (RV)

The Tempo watchdog via the response variable is the most-used type of runtime checking. This reacts to a change of the value of the response variable. The value which is expected from the response variable as a result of the command defined in the property État de la réponse/direction de commutation (on/off).

Negative responses from the PLC (COT_actcon(7) + PN) end runtime monitoring.

Note: Changes to the value of the response variable are only taken into account after COT_act(6) of the action variable. Early value changes of the response variable are ignored. This can occur, for example, if there are already value changes for the response variable after a Select without an Operate/Execute being sent.


Runtime monitoring via cause of transmission only (COT)

Manuel -> Energy Edition (Produit Energie) -> Command Processing -> Operating during Runtime -> Execution of a command -> Watchdog timer -> Runtime monitoring via cause of transmission only (COT)

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Runtime monitoring via cause of transmission only (COT)

With Tempo watchdog via COT only, runtime monitoring does not react to the value of the response variable (RV) but only to the cause of transmission - the status bits COTx status bits of the action variable.

Example without SBO:

The process in detail:

  1. The value and COT_act(6) are sent to the action variable.
  2. The PROGRESS status bit is sent to the response variable.
  3. If the controller receives the value COT_act, there is a wait for the subsequent values COT_actcon(7) and COT_actterm(10).
  4. End of the process:
    1. The process is ended if COT_actterm has been received.
    2. If, in the configured timeout time, no COT_actterm has been received, then:
      - the process is ended and
      - the TIMEOUT status bit of the response variable is activated.
      Note: You configure this time in the Timeout property for the command action.
  5. The PROGRESS status bit is reset.


Runtime monitoring via COT (cause of transmission) and RV (response variable)

Manuel -> Energy Edition (Produit Energie) -> Command Processing -> Operating during Runtime -> Execution of a command -> Watchdog timer -> Runtime monitoring via COT (cause of transmission) and RV (response variable)

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Runtime monitoring via COT (cause of transmission) and RV (response variable)

With Tempo watchdog via COT and RV, the runtime monitoring reacts to the value of the response variable (RV) and to the cause of transfer - the COTx status bits of the action variable.

Example without SBO:

The process in detail:

  1. The value and COT_act(6) are sent to the action variable.
  2. The PROGRESS status bit is sent to the response variable.
  3. If the controller receives the value COT_act, there is a wait for the subsequent values COT_actcon(7) or COT_actterm (10).
  4. End of the process:
    1. The process is ended if both conditions have been met:
    • COT_actterm was received

      and

    • The value of the response variables corresponds to the switching direction (État de la réponse/direction de commutation property).
      It does not matter which of the two conditions is met first. As soon as both of them are fulfilled, the procedure will be terminated.
    1. If only one or none of the above conditions from item 4a is met within the configured Timeout, then:
      - the process is ended and will be terminated and
      - the TIMEOUT status bit of the response variable is activated.
  5. The PROGRESS status bit is reset.


Screen type Command Processing

Manuel -> Energy Edition (Produit Energie) -> Command Processing -> Operating during Runtime -> Screen type Command Processing

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

A command processing screen allows control in Runtime and an overview of the command processing. The command processing can be controlled via buttons. Templates with different appearances are provided.

Développement

Étapes de création du synoptique :

  1. Créez un nouveau synoptique :

    Dans la barre d’outils ou le menu contextuel du nœud Synoptiques, sélectionnez la commande Nouveau synoptique.
    Un synoptique vide Standard est créé.

  2. Modifiez les propriétés du synoptique :
    1. Nommez le synoptique dans la propriété Nom.
    2. Select Command Processing in the Type de synoptique property.
    3. Sélectionnez le cadre souhaité dans la propriété Gabarit.
  3. Configurez le contenu du synoptique :
    1. Sélectionnez l’option de menu Éléments de contrôle dans la barre de menus
    2. Sélectionnez Insérer un modèle dans la liste déroulante.
      La boîte de dialogue de sélection de mises en forme prédéfinies s’affiche à l’écran. Certains éléments de contrôle sont insérés dans le synoptique à des positions prédéfinies.
    3. Supprimez les éléments superflus du synoptique.
    4. Si nécessaire, sélectionnez des éléments supplémentaires dans la liste déroulante Éléments. Placez-les aux emplacements souhaités sur le synoptique.
  4. Créez une fonction d’appel de synoptique.

Autres sujets abordés dans ce chapitre

Process in the Command Processing screen

Blocked or locked elements

Control elements - group: Action/command

Éléments de contrôle - groupe : Variable de l’action

Control elements - group: Response variable

Control elements - group: Select / execute

Control elements - group: Lock

Control elements - group: Interlockings


Process in the Command Processing screen

Manuel -> Energy Edition (Produit Energie) -> Command Processing -> Operating during Runtime -> Screen type Command Processing -> Process in the Command Processing screen

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

The command input screen has a multi-stage process, which consists of the following steps:

  1. Initialization
  2. Step 1
    Specifying the action
  3. Unlocking
    Checking the interlockings and requesting a Select
  4. Step 2
    Executing the command
  5. Waiting until execution is complete

And an independent step - "lock"

Depending on the step in which the process is currently in, the control elements are updated, opened or hidden in the screen.

Note: These steps are shown in the [command input] screen step system driver variable.

Initialization

This step installs the internal process administration. There is then an immediate switch to "Step 1", without user interaction.

Initialization is executed regardless of the reason for switching when the screen is opened:

  • The response variable and the command variable (if this is the switch variable) is requested by the driver. In doing so, there is an evaluation to see whether the data points exist. A LOG entry is generated in the event of an error.
  • The NET_SEL status bit for the response variable is activated.
  • Settings for the display are set:
    • The Synoptique modal properties and the title of the screen - from the Titre de synoptique depuis la variable de réponse property - are set accordingly.
    • The buttons without an assigned action are hidden.
      You can read more about this in the Blocked or locked elements.

Step 1

The action to be executed can already be specified in this step. This can then be the case if the user has selected the action from a context menu. Even if the command screen is still open due to a previous (already-executed) action, it remains specified. If no action has been specified yet, the action to be executed is determined automatically. The result of this determination of the action to be executed is shown in the Active action control element.

The switch to the next step, "unlocking" is carried out:

  • By clicking on an action button:
    The user thus specifies the action to execute manually.
    Example: On/Off (Fonction spécifique au type de synoptique: Action N).
  • By clicking on the Execute button (Fonction spécifique au type de synoptique: Execute);
    The button relates to the action that is currently specified.

The action to be executed is determined by calling up the command input screen (by clicking on a screen element, for example). The action to be executed is then not yet specified, because the command input screen can include several actions. The result of the determination depends on the control elements configured in the screen and the actions that are linked to the switch variable.

The determination is carried out in accordance with the following criteria:

  1. Setpoint input
    If a control element has been configured for the entry of action variable value or action variable value (slider) in the screen and the setpoint input [set value] action exists for the switch variable.
  2. Status input
    If a set status control element has been configured in the screen and there is the status input [none] action for the switching variable.
  3. Lock
    If the screen has been opened using the Appel de synoptique function with the initial step lock property and the command group contains the lock action.
  4. If no action could be determined from any of the tests, the screen is opened without an active action. The control elements for entry and also the Execute button are then deactivated.

Note: As a result, you can call up certain command input screens you have configured yourself for certain actions and the focus is placed on the respective relevant screen.

Unlocking

The step is activated directly when operated via the context menu.

In this step, a check is carried out to see whether there are interlockings active. Only if no active interlocking has been detected is a switch to "Step 2" possible.

At the same time, there is a Select request to the controller if the Select Before Operate property is active for the command variable. There is a wait until the PLC confirms the Select or the Timeout defined for the action has expired. In the event of a timeout or rejection of the Select, a corresponding, non-unlockable interlocking message is shown.

If there are interlocking conditions, the step is only left once all interlockings have been unlocked. If logging in the CEL has not been deactivated for the action (Supprimer l'entrée de la liste d'événements property), unlocking is recorded in the CEL.

When the Cancel button is clicked on. (Fonction spécifique au type de synoptique: Cancel) a switch back to "Step 1" is made. This can be necessary if there is a non-unlockable interlocking active. A Select that is already active is then deactivated (Cancel).

Step 2

In this step, the fundamental command (Operate) is sent to the controller.

If the Confirm (Fonction spécifique au type de synoptique: Execute 2nd stage button is clicked on and

  • there is a valid Select ,
  • no interlocking condition active,

execution of the action is started. If there is a signing configured with this button, execution is started after successful signing.

Status bits of the response variable:

  • The PROGRESS bit is activated
  • The TIMEOUT bit is deactivated if a previous action had activated this status bit.

Step 2 for two-stage actions

With two-stage execution, there is always a wait for confirmation from a user. Only once the user has clicked in the Confirm button is another check for interlockings carried out. If interlocking conditions have become active in the meantime, execution is not started. In this case, there is a return to "Step 1" by clicking on the Cancel button and the command input is carried out again.

If the NET_SEL bit is no longer active (on the network client after redundancy switching for example), an error message is logged. The action is not executed.

If the Select in the controller has expired (command variable has received the status bits SE_870 + COT_actterm(10) + N_CONF in this case) a Select is requested from the PLC again. The action is carried out after a positive confirmation. If, in the process, the repeated SBO activation fails, a message is shown accordingly.

If, instead of the Confirm button, the Cancel button is clicked on, there is a switch back to "Step 1". A Select that is already active is then deactivated (Cancel).

Waiting until execution is complete

In this step, there is a wait until the action has been completed in full. The duration of the execution depends on the driver (or rather the controller) and the configuration. Negative responses from the controller cancel execution; a negative response to an Operate, for example.

Execution waits until all of the following points have been fulfilled:

  • Configured Select Before Operate for the command variable:
    If Select has been confirmed positively by the PLC, there is a wait until Termination.
  • Conclusion of the configured Tempo watchdog (if not all configured with none).
  • Conclusion of edge generation for the pulse command action.
    Note: The Durée d'impulsion is not executed if Select Before Operate has been activated for the command variable.

If execution has been completed and the Fermer automatiquement setting has been configured for the action, the screen is closed. Otherwise there is a switch to the "initialization" stage.

If runtime monitoring has ended, the following applies for the status bits of the response variable:

  • The PROGRESS bit is deactivated
  • The TIMEOUT is activated if runtime monitoring has been ended with an error.

Lock

This step is activated if the screen has been called up with the Appel de synoptique function and with the initial step lock in the process. What is special about this step is that some control elements are not displayed. Only the control elements from the response variable and lock groups are visible.

Note: the locking/unlocking functionality is also available in other steps if corresponding control elements have been placed in the screen.

If, for the lock action, the Fermer automatiquement has been configured, the screen is closed once the Lock or Unlock buttons are clicked on.

This step cannot be switched to another step.


Blocked or locked elements

Manuel -> Energy Edition (Produit Energie) -> Command Processing -> Operating during Runtime -> Screen type Command Processing -> Blocked or locked elements

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Some requirements must be met in order for the entries in the context menu and the control elements in the screen to become active. Because these mostly concern several elements, a summary of these is documented here.

the entries in the context menu and the control elements in the opened screen are locked up to Close if:

  • Another screen is already the current owner of the active NET_SEL status bit of the response variable (through a network client, for example)
  • No command processing was configured for the add-on variable
  • the response variable does not exist
  • The response variable has not received a value yet
  • The INVALID or OFF status is active for the selected variable
    Exception: forced command, replace
  • The response variable was locked for command processing:
    • the status bit M1, i.e. the command lock, of the response variable was set

    Exception: the control elements for the Lock action

  • An action is running for the action variable and runtime monitoring has not yet been completed
    Exception: The Cancel button can be active here - regardless of the configuration.
  • There is a wait for the SBO confirmation from the Select (SBO)
  • the data of the lock are being transmitted
  • the data of the lock are invalid
  • the currently-registered user does not have the necessary authorization levels.

Unlock

Unlocking is only possible if:

  • The authorization level of the user who is logged in allows execution
  • In accordance with the configuration of the interlocking:
    • For command condition:
      if property Déverrouillable was activated
    • for topological interlocking
      If, in the Configuration CAL, the unlockable status has been selected.

Lock context menu action

If the screen is called up with the Lock command action, only the following control elements are visible in the screen:

  • Response variable (name)
  • Response variable (identification)
  • Response variable (value)
  • Response variable (status)
  • Response variable (measuring unit)
  • Lock
  • User
  • Apply lock code

Other control elements in the screen are hidden.


Control elements - group: Action/command

Manuel -> Energy Edition (Produit Energie) -> Command Processing -> Operating during Runtime -> Screen type Command Processing -> Control elements - group: Action/command

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Control element

Description

Active action/command

Type of activated command action (Type action).

Examples: Switching command, Check response value).

Switching direction

Value for the État de la réponse/direction de commutation property configured for the active action.

Depending on the active action, the following text is shown:

  • Command
  • Revision
  • Manual correction
  • Replace
    Text from limit value, depending on switching direction.
  • Status: On or Off
  • Other: empty

Note: The information is also displayed in the[command] identification of the action and [command] parameter of the action system driver variables.


Éléments de contrôle - groupe : Variable de l’action

Manuel -> Energy Edition (Produit Energie) -> Command Processing -> Operating during Runtime -> Screen type Command Processing -> Éléments de contrôle - groupe : Variable de l’action

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Élément de contrôle

Description

Nom

Nom variable d’action.

Identification

Identification variable d’action.

État

Contient la description abrégée des bits d’état pour la variable d’action.

Exemple :

  • Bits pour le paramètre COT
  • État SE_870 durant la commande Select
  • état N_CONF (Bit PN) en cas de réponse négative de l’automate

Remarque : Inclut les bits d'état planifiés de la variable de réponse de l'action Envoi état.

Valeur

Valeur actuelle de la variable d’action ou champ de saisie de l’action de gestion de commande Saisir point de consigne.

Remarque : Avec des pilotes qui permettent également la lecture des variables de commande du PLC, cette valeur change pendant le processus de l'action, d'une valeur existante à la valeur actuelle. L’affichage de la valeur est uniquement actualisé avec COT=7 (COT_actcon) ou WR-SUC.

  • Les considérations suivantes s’appliquent à la saisie d’une valeur prescrite configurée :
    La valeur à définir pour l’action Saisie de valeur prescrite est stipulée par cet élément de contrôle. Lorsque vous cliquez sur l’élément de contrôle, il passe en mode édition et la saisie de la valeur prescrite devient possible. Pour quitter le mode édition, appuyez sur Entrée.
    Toutefois, la nouvelle valeur est uniquement définie lorsque l’utilisateur clique sur l’élément de contrôle Exécuter.

L’élément de contrôle est verrouillé dans les cas suivants :

  • L’état REVISION(9) de la variable de réponse est défini.
  • Aucune action n’est active.
  • Le synoptique ne se trouve pas à l’étape 1.

Unité de mesure

Unité de mesure de la variable d’action.

Remarque : Le nom est également affiché dans le [commande] Nom variable d’action de driver système.


Control elements - group: Response variable

Manuel -> Energy Edition (Produit Energie) -> Command Processing -> Operating during Runtime -> Screen type Command Processing -> Control elements - group: Response variable

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Control element | Description
Nom | Name of the response variable
Identification | Name of the response variable
Status | Contains the short description of the status bits for the response variable.
Value | Current value of the response variable
Unité de mesure | Measuring unit of the response variable

Note: The name is also in the [command] name of the response variable system driver variable.


Control elements - group: Select / execute

Manuel -> Energy Edition (Produit Energie) -> Command Processing -> Operating during Runtime -> Screen type Command Processing -> Control elements - group: Select / execute

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Control element | Description
On | First-step command button, to close a switch for example. If SBO is activated for the command variable - sends a Select to the controller. Note: Only visible in Step 1.
Off | First-step command button, to open a switch for example. If SBO is activated for the command variable - sends a Select to the controller. Note: Only visible in Step 1.
Confirm | Second-stage command button - Execute/Operate. Confirms the execution of the command after successful checking of the interlocking and positive confirmation of the Select from the PLC. Note: Only visible in Step 2.
Cancel | Second-stage command button Cancel. Aborts the execution of the command processing and returns to 'Step 1'. Note: Only visible in Step 2.
Close | Closes the command window in zenon Runtime

Note: The steps are also displayed in the [command] screen step system driver variable.


Control elements - group: Lock

Manuel -> Energy Edition (Produit Energie) -> Command Processing -> Operating during Runtime -> Screen type Command Processing -> Control elements - group: Lock

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Control elements from the Lock group are locked if no Lock action is configured in the command group.

Control element

Description

User

For entering the user identification for the lock.

Lock code

For entering the user-specific lock code.

Comment

Optional text that can be entered by the user for the lock.

Lock

Activates a lock by the user entered in the User control element.

Note: This user action is logged in the CEL, if not suppressed by the engineering.

Unlock

Removes the lock that has been set up by the user entered in the User control element.
This guarantees that only people's own locks can be removed.

Note: This user action is logged in the CEL, if not suppressed by the engineering.

Lock list

List of active locks:

  • User
    Name of the user who has activated the lock.
  • Locking time
    Time stamp of the interlocking
  • Note
    Text for the interlocking.


Control elements - group: Interlockings

Manuel -> Energy Edition (Produit Energie) -> Command Processing -> Operating during Runtime -> Screen type Command Processing -> Control elements - group: Interlockings

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Control element | Description
Interlocking text | The active interlocking according to the configuration or texts from ALC - topological interlocking.
Unlock | This button unlocks an active, unlockable interlocking. Note: This control element is shown only when the screen is in the step 'Unlock' (Chapter: Process in the Command Processing screen). The Control element is locked when the upcoming interlocking is not unlockable.

Note: The interlocking texts are also displayed in the [command] interlocking message system driver variable.


Reload project online

Manuel -> Energy Edition (Produit Energie) -> Command Processing -> Operating during Runtime -> Reload project online

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

The following is to be taken into account when reloading a command configuration:

  • If Watchdog timer, edge generation or SBO is active, the reloading is delayed until this has ended.
  • An opened Command Processing screen is closed and the process is started again after reloading depending on the current step:
Step before reloading | Action after reloading
Step 1 | Screen is called up again for Step 1.
Interlocking or Step 2 | Unlocking step is activated. The interlocking is then executed again.
Lock | Lock is activated again.
  • Before it is called up again, the response variable, command variable, condition variables, command group and action are determined again. The control elements are locked if one of the objects is no longer present in the Runtime.
  • If the command group is removed or replaced for the variable that was for calling up command input, the screen is called up with locked control elements. The screen must be called up again or the command processing must be executed again.
  • If the command group was removed or replaced for the response variable, all locks triggered by the command processing are removed by the variables.
  • If a user who has activated a command lock no longer exists, the lock is removed. The M1 status bit and the LOCK.BIN file are updated accordingly.


Logging in the CEL

Manuel -> Energy Edition (Produit Energie) -> Command Processing -> Operating during Runtime -> Logging in the CEL

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

In the CEL, the following user actions are logged in addition to the switching actions.

Parameters | Description
Unlock | The unlocking of an active interlocking is noted in the CEL.
Unlock all | A corresponding CEL entry is created for each unlocked interlocking.
Execute action | If the "Suppress CEL entry" action setting is not active, the execution of the action is logged in the CEL.


Server change in redundant operation

Manuel -> Energy Edition (Produit Energie) -> Command Processing -> Operating during Runtime -> Server change in redundant operation

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

If the standby server takes on the role of the Primary Server, the drivers take on the writing to the controller for the current Primary Server. An ongoing Select Before Operate is canceled as a result.

The handling of the Select in the network - NET_SEL status bit - of the response variable cannot be taken over from the previous Primary Server and the command must be executed again.

Please note the behavior or Runtime if redundancy switching is not triggered by a failure of the Primary Server but by the user.


Exit Runtime

Manuel -> Energy Edition (Produit Energie) -> Command Processing -> Operating during Runtime -> Exit Runtime

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

As long as there are still active actions in the system, the proper exiting of the runtime (e.g. over a function call) is delayed.

An active Select Before Operate process also delays the ending of zenon Runtime. If Select Before Operate is activated, a deactivation (Cancel) is carried out.

info Informations

This situation occurs most of all with single-stage execution of the pulse command action with runtime monitoring or edge generation. Runtime is only ended once the action has been completed.


Lock return variable

Manuel -> Energy Edition (Produit Energie) -> Command Processing -> Operating during Runtime -> Lock return variable

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

A response variable is locked if the M1 user status bit has been set.

In the Lock action, the lock can be activated or deactivated by entering the user name and a Code de verrouillage (configured during user definition). A user can activate a lock for each response variable. Several users can lock the same response variable.

The active locks are saved remanently in the LOCK.BIN file and are also taken into account after the system is restarted.

info Informations

There is automatic synchronization of locking in the zenon network. Locking can thus also be used in redundant operation.


Extended Trend

Manuel -> Extended Trend

Le module Extended Trend est utilisé pour représenter, sous forme de courbes, les valeurs en ligne et historiques (valeurs d'archives) issues des variables de procédés, ainsi que les variables de procédés dérivées. Il autorise la consultation de données historiques. Le défilement dans le module Extended Trend propose une règle et une fonction de zoom, ainsi qu'une fonction d'analyse de tendance. Au contraire de l'élément dynamique Tendance, ce type de fenêtre comporte des fonctions de zoom, de navigation, de requête et de mise à l'échelle de valeurs en ligne et des valeurs extraites d'archives.

tutorial Informations concernant la licence

Ces fonctions ou modules doivent disposer d'une licence pour l'Éditeur et le Runtime (simple, serveur, redondant et client).

Remarque : Une version Extended Trend Starter Edition, dotée de fonctionnalités limitées, est incluse dans la licence standard.

Extended Trend Starter Edition

Dans la version standard de zenon, une version réduite du module Extended Trend, dotée de fonctionnalités limitées, est incluse dans la version Starter Edition.

La version Starter Edition comporte les limitations suivantes :

  • Pas de courbe de tendance XY
  • Pas de deuxième axe de temps
  • Nombre de courbes limité à 8
  • Pas de représentation logarithmique
  • Analyse avec un curseur

Pour connaître les autres restrictions applicables aux projets sous Windows CE, dans le manuel zenon Operator pour Windows CE, reportez-vous au chapitre Restrictions applicables à zenon.

attention Attention

Vous ne pouvez pas utiliser les fonctions susceptibles d'outrepasser les limitations mentionnées ci-dessus si vous possédez uniquement la version Starter Edition dans Editor.

Si vous possédez uniquement la licence du module Extended Trend Starter Edition dans Runtime, vous ne pouvez pas utiliser les fonctions d'appel de synoptique qui ne respectent pas les règles ci-dessus. Les synoptiques de type Extended Trend seront alors affichés avec le filtre par défaut (=filtre vide). Une entrée est ajoutée dans le module Diagnosis Server.

Exemple : Si vous tentez d'effectuer un appel de synoptique de type Extended Trend Module avec 10 courbes dans la version Starter Edition, le synoptique Extended Trend sera ouvert, mais aucune courbe ne sera affichée.

Licence

Le module Extended Trend Starter Edition peut être mis à niveau vers la version complète du module Extended Trend à tout instant, sans problème de compatibilité. La version Starter Edition n'est pas disponible dans la version dont la licence repose sur le nombre d'I/O.

Windows CE

Pour le Runtime sous Windows CE 6.0, la version Starter Edition du module Extended Trend est disponible, ainsi que la version Starter Edition du module Serveur d'archives. Aucun des deux modules n'est disponible pour les autres versions de Windows CE. L'élément de contrôle Liste de courbes étendue n'est pas disponible dans Windows CE. Par conséquent, tous les éléments de contrôle relatifs à cet élément sont uniquement affichés si le projet n'est pas un projet CE.

Autres sujets abordés dans ce chapitre

Configuration dans Editor

Utilisation dans le Runtime


Configuration dans Editor

Manuel -> Extended Trend -> Configuration dans Editor

Pour pouvoir utiliser le module Extended Trend dans le Runtime, vous devez effectuer les opérations suivantes dans Editor :

  • Créez un synoptique Extended Trend
  • Créez une fonction d'appel de synoptique
  • Configurez les courbes

Autres sujets abordés dans ce chapitre

Création de synoptiques de type Extended Trend

Appel de synoptique - Extended Trend

Configuration des courbes

Profils de filtre

Fonction Imprimer un diagramme Extended Trend

Entrées du fichier project.ini


Création de synoptiques de type Extended Trend

Manuel -> Extended Trend -> Configuration dans Editor -> Création de synoptiques de type Extended Trend

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Le synoptique Extended Trend est dédié à l'utilisation du module Extended Trend dans le Runtime.

Développement

Étapes de création du synoptique :

  1. Créez un nouveau synoptique :

    Dans la barre d’outils ou le menu contextuel du nœud Synoptiques, sélectionnez la commande Nouveau synoptique.
    Un synoptique vide Standard est créé.

  2. Modifiez les propriétés du synoptique :
    1. Nommez le synoptique dans la propriété Nom.
    2. Sélectionnez Extended Trend dans la propriété Type de synoptique.
    3. Sélectionnez le cadre souhaité dans la propriété Gabarit.
  3. Configurez le contenu du synoptique :
    1. Sélectionnez l’option de menu Éléments de contrôle dans la barre de menus
    2. Sélectionnez Insérer un modèle dans la liste déroulante.
      La boîte de dialogue de sélection de mises en forme prédéfinies s’affiche à l’écran. Certains éléments de contrôle sont insérés dans le synoptique à des positions prédéfinies.
    3. Supprimez les éléments superflus du synoptique.
    4. Si nécessaire, sélectionnez des éléments supplémentaires dans la liste déroulante Éléments. Placez-les aux emplacements souhaités sur le synoptique.
  4. Créez une fonction d’appel de synoptique.

Éléments de contrôle

Insérer un modèle

Élément de contrôle | Description
Insérer un modèle | Ouvre la boîte de dialogue de sélection de modèle pour le type de synoptique correspondant. Des modèles sont fournis avec zenon, et peuvent également être créés par l’utilisateur. Modèles ajoutent des éléments de contrôle prédéfinis à des positions prédéfinies sur le synoptique. Les éléments qui ne sont pas nécessaires peuvent également être supprimés individuellement après leur création. Les éléments supplémentaires peuvent être sélectionnés dans la liste déroulante, puis insérés dans le synoptique zenon. Les éléments peuvent être déplacés et disposés individuellement sur le synoptique.

Fenêtre

Sélection de la fenêtre d'affichage des diagrammes et des courbes dans le Runtime.

Elément de contrôle

Description

Diagramme

Fenêtre d'affichage des tendances de courbes

Indisponible si le synoptique a été appelé lorsque l'option Afficher la boîte de dialogue de sélection de lots -> Sélection relative des lots était active.

Nom du diagramme

Affiche le nom du diagramme.

Remarque : Élément de type Texte dynamique. L'attribution de la fonctionnalité a lieu à l'aide de la propriété Fonction spécifique au type de synoptique.

Définir filtre

Affiche l'état actuel du filtre de temps actuel dans le Runtime.

Remarque : Élément de type Texte dynamique. L'attribution de la fonctionnalité a lieu à l'aide de la propriété Fonction spécifique au type de synoptique.

Fenêtre de sortie du curseur

Affiche la position du curseur dans la fenêtre du diagramme et les valeurs définies dans les paramètres du diagramme et l'affichage du curseur

Liste de courbes étendue

Liste de courbes pouvant être modifiée dans le Runtime. Les éléments suivants peuvent être édités :

  • Nom de la courbe
  • Titre
  • Couleur
  • Remplissage
  • Domaine de visualisation
  • Axe Y
  • Active
  • Ordre de tri

Remarque : Indisponible sous Windows CE. Dans cet environnement, remplacée par la fonction Liste de courbes (obsolète).

Liste de courbes CE

Liste de courbes.

Utilisée pour des raisons de compatibilité avec Windows CE. La liste de courbes étendue est recommandée pour tous les autres projets.

Fonctions du diagramme

Contrôles prédéfinis des diagrammes.

Elément de contrôle | Description
Filtre | Affichage du filtre défini.
Paramétrage du diagramme | Active la boîte de dialogue de configuration des paramètres du diagramme et d'affichage du curseur
Courbes | Modifier les paramètres des courbes.
Axe X | Ouvre la boîte de dialogue des paramètres de l'axe X Indisponible si le synoptique a été appelé lorsque l'option Afficher la boîte de dialogue de sélection de lots -> Sélection relative des lots était active.
Actualiser | Rafraîchit l'affichage.
Arrêter | Arrête d'actualiser l'affichage.
Suivant | Mettre l'affichage à jour
Curseur actif/inactif | Exécuter une requête de valeurs
Double curseur actif/inactif | Affichage des valeurs situées entre deux curseurs.
Imprimer | Imprime le diagramme. Remarque : Les impressions lancées en cliquant sur le bouton Imprimer d'un synoptique Extended Trend peuvent différer de celles effectuées à l'aide des fonctions Appel de synoptique – Extended Trend ou Imprimer un diagramme Extended Trend. La fonction lance l'impression en se basant sur une fenêtre de 1000 x 700 pixels. Les proportions des impressions lancées à l'aide du bouton sont définies dans Editor.
Imprimer avec boîte de dialogue | Définitions de différents paramètres avant l'impression du diagramme.
Copier vers le presse-papiers | Copie l'affichage vers un emplacement de stockage provisoire.
Exporter les données affichées | Exporte toutes les données visibles de toutes les courbes sous forme de fichier CSV.

Navigation dans le diagramme

Boutons de navigation dans le diagramme.

Elément de contrôle

Description

Déplacer le curseur d’un pixel vers la gauche.

Déplace le curseur d’un pixel vers la gauche.

Si vous appuyez sur la touche Maj en sélectionnant cette option, le curseur se déplace de 10 pixels.

Déplacer le curseur d’un pixel vers la droite

Déplace le curseur d’un pixel vers la droite.

Si vous appuyez sur la touche Maj en sélectionnant cette option, le curseur se déplace de 10 pixels.

Reculer

Se déplacer vers l'arrière sur l'axe du temps (historique)

En arrière d'un quart

Déplace la période de temps affichée en arrière d'un quart de l'unité de mesure sélectionnée.

Avancer

Se déplacer vers l'avant sur l'axe du temps (actuel)

En avant d'un quart

Déplace la période de temps affichée en avant d'un quart de l'unité sélectionnée.

Zoom

Agrandir l'affichage

Reculer d'une étape

Réduire l'affichage

Zoom +

Réduit les intervalles de temps d'

Zoom -

Augmente les intervalles de temps d'affichage

Zoom à 100 %

Règle le facteur de zoom sur 100%.

Cette action de zoom est enregistrée dans l'historique du zoom.

Par exemple : la fonction zoom est utilisée

  • pour agrandir deux fois une zone sélectionnée de la courbe Extended Trend,
  • puis l'option Zoomer le contenu à100 % est sélectionnée
  • pour agrandir une nouvelle fois la zone sélectionnée ;

quatre événements Zoom apparaissent alors dans l'historique. Vous pouvez les parcourir à l'aide du bouton Annuler.

Éléments compatibles

Les éléments de contrôle supprimés ou remplacés par des versions plus récentes restent disponibles, pour des raisons de compatibilité. Ces éléments ne sont pas pris en compte lors de l’insertion automatique de modèles.

Elément de contrôle | Description
Nom du diagramme | Élément de contrôle statique Win32. Remplacé par un champ de texte dynamique. Pour la description, reportez-vous à l’élément actuel.
Définir filtre | Élément de contrôle statique Win32. Remplacé par un champ de texte dynamique. Pour la description, reportez-vous à l’élément actuel.

Profils de filtre

Boutons de configuration des filtres dans le Runtime.

Elément de contrôle | Description
Sélection de profil | Sélectionner un profil dans la liste.
Enregistrer | Enregistrer la configuration actuelle sous forme de profil. Remarque : Le nom ne peut contenir que 31 caractères maximum et uniquement des caractères valides. Les caractères suivants sont interdits : ! \ / : * ? < > | ""
Supprimer | Supprimer le profil sélectionné.
Importer | Importe les profils de filtre depuis un fichier d’exportation.
Exporter | Exporte les profils de filtre vers un fichier.

info Informations

Les éléments de contrôle Déplacer le curseur d’un pixel vers la gauche et Déplacer le curseur d’un pixel vers la droite déplacent le curseur s'il est actif, et non la tendance.

Vous pouvez également utiliser les touches fléchées de votre clavier à la place des éléments de contrôle.

Si vous maintenez la touche Maj enfoncée pendant que vous déplacez le curseur à l'aide des touches fléchées, le déplacement est effectué par incréments de 10 pixels.


Appel de synoptique - Extended Trend

Manuel -> Extended Trend -> Configuration dans Editor -> Appel de synoptique - Extended Trend

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Les paramètres du diagramme de tendance affiché dans le Runtime sont définis avec l'appel de synoptique. Chaque courbe de tendance possède un nom propre. Nous vous recommandons de ne pas afficher trop de courbes de tendances simultanément, de façon à garder une bonne vue d'ensemble. Plusieurs variables peuvent être configurées pour la configuration des courbes, puis être activées librement dans le Runtime.

Développement

Pour créer une fonction :

  1. Créez une nouvelle fonction :

    Dans la barre d'outils ou le menu contextuel du nœud Fonctions, sélectionnez Nouvelle fonction.
    La boîte de dialogue de sélection d'une fonction s'affiche à l'écran.

  2. Accédez au nœud Synoptiques.
  3. Sélectionnez la fonction Appel de synoptique.

    La boîte de dialogue de sélection de synoptique s’affiche à l’écran.

  4. Sélectionnez le synoptique de votre choix.
    Remarque : Si vous sélectionnez un synoptique d'un autre projet, assurez-vous que ce projet est en cours d’exécution dans le Runtime.
  5. Configurez le filtre.
  6. Name the function in the Nom property.

Boîte de dialogue de filtre d'appel de synoptique

Onglet | Description
Données | Configuration de la source des données et administration des courbes.
Affichage | Configuration de l'affichage du diagramme.
Axe X | Configuration de l'axe X.
Heure : | Configuration du filtre de temps.
Lots | Configuration du filtre de lots
Paramètres des colonnes | Configuration des colonnes à afficher :
Paramètres de l'imprimante | Configuration des paramètres d'impression de diagrammes ou enregistrement sous forme de synoptique.
OK | Applique toutes les modifications effectuées sur tous les onglets, puis ferme la boîte de dialogue.
Annuler | Annule toutes les modifications effectuées sur tous les onglets, puis ferme la boîte de dialogue.
Aide | Ouvre l'aide en ligne.

Autres sujets abordés dans ce chapitre

Données

Affichage

Axe X

Heure :

Lots

Paramètres des colonnes

Paramètres de l'imprimante


Données

Manuel -> Extended Trend -> Configuration dans Editor -> Appel de synoptique - Extended Trend -> Données

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Configuration de la source des données et des courbes, et de leur affichage dans le Runtime.

Les options disponibles varient selon la provenance des données.

  • Données en ligne
  • Données de tableau
  • Données d'archive

info Informations

Tendance étendue prend en charge l'affichage des données inter-projets. Pour ce faire, l'affichage des données des sous-projets d'un projet d'intégration et le sens inverse sont pris en charge. Ceci est possible pour tous les types d'origine des données.

Vous trouverez d'autres informations à echange de données entre projets au chapitre gestion multi-projet.

Configuration des données

Provenance des données

Paramètre

Description

Provenance des données

Sélection de l'origine des données :

  • Données en ligne
  • Données de tableau
  • Données d'archive

Cette option peut uniquement être sélectionnée tant qu'une courbe n'a pas été configurée.

Données en ligne

Active : Les valeurs en ligne actuelles et les valeurs enregistrées sont utilisées pour l'affichage.

Données de tableau

Active : Les variables contenant des valeurs de tableaux sont utilisées pour l'affichage. Cette fonction vous permet de limiter l'affichage des variables aux variables reposant sur un driver compatible avec les valeurs de tableaux.

L'affichage des variables avec des valeurs de tableaux fonctionne de la même manière que l'affichage XY. Toutefois, vous ne pouvez pas sélectionner un filtre horaire ou une variable X. Sur l'onglet Axe X (affichage XY), pour les options Début et Fin du paramètre Échelle, les indices de tableaux correspondants pour les données source.

Remarque : Le tableau de blocs correspond à la propriété Dimension tableau pouvant être configurée pour une variable, et n'est pas identiques aux variables de tableaux.

Données d'archive

Active : Les valeurs des archives enregistrées dans la base de données (au format ARX ou sous forme de données SQL) sont utilisées pour l'affichage.

Remarque : les archives aux formats XML, dBase ou TXT ne sont plus affichées après expiration du cycle de stockage.

Options

Paramètre

Description

Options

Configuration des options variant en fonction de la provenance des données.

Trier les données

Disponible uniquement pour les données en ligne et les données d'archives.

Active : Les données sont triées avec des informations d'horodatage après chargement.

Remarque : L'utilisation de cette option peut affecter les performances, car les données doivent être systématiquement triées à nouveau.

Recommandation : Utilisez cette option si les données proviennent d'une source externe et il est impossible de garantir l'exactitude de leur ordre.

Données delta uniquement

Disponible uniquement pour les données d'archives.

Active : Lors de la commutation ou de la mise à jour de la tendance, seules les archives contenant des données modifiées sont chargées.

Lire les archives depuis les dossiers de sauvegarde

Disponible uniquement pour les données d'archives.

Les données historiques provenant du dossier de sauvegarde sont utilisées pour l'affichage.

Lors du chargement de données d'archives depuis le dossier de restauration, les données d'archives provenant du chemin du Runtime et de tous les sous-dossiers du dossier de restauration sont également lues.

Sélectionner automatiquement l'archive résultante correspondante

Disponible uniquement pour les données d'archives.

Active : L'archive résultante correspondante est automatiquement sélectionnée dans le Runtime.

Fonctionnement dans le Runtime

  • Si une plage de temps très étendue est sélectionnée dans l'archive de base ou l'utilisateur utilise très fréquemment la fonction Zoom arrière, de très grandes quantités de données sont fréquemment requises.
    Lorsque cette option est active, seules les données provenant de l'archive résultante suivante sont affichées. Si l'utilisateur agrandit une nouvelle fois le diagramme à l'aide de la commande Zoom, le diagramme revient à l'archive précédente.
  • Seuil : racine à partir de la largeur du diagramme = nombre de valeurs issues de l'archive agrégée.
    Exemple : un diagramme de 625 pixels de large génère un seuil de 25 valeurs.
    S'il est impossible de déterminer le seuil, 15 valeurs sont utilisées par défaut.
  • L'archive qui apparaît la première dans la séquence suivante est sélectionnée à partir des archives résultantes suivantes : – Moyenne
    – Maximum
    – Minimum
    – Somme
    Remarque : Si la variable du diagramme est sélectionnée à partir d'une archive résultante :
    - Seule la même fonction d'agrégation est utilisée
    - La direction de l'archive de base n'est plus prise en compte
  • Si plusieurs archives résultantes sont présentes à un niveau avec une même fonction d'agrégation, l'archive utilisée est toujours la première.
  • Si une variable somme est l'unique variable disponible pour une variable issue de l'archive de base, un message d'avertissement est affiché dans l'outil Diagnosis Viewer et dans la fenêtre d'affichage d'Editor.

Paramètre par défaut :

  • active
  • À l'exception des projets créés avant la version 7.11 et convertis vers la version actuelle.

Courbes

Paramètre

Description

Courbes

Affichage et activation des courbes configurées. Double-cliquez sur une cellule pour ouvrir la boîte de dialogue de configuration de la courbe.

Ici, vous pouvez activer et désactiver l'affichage dans le Runtime et configurer l'ordre d'affichage.

Les colonnes affichées dans la liste de courbes correspondent à la configuration actuelle de la liste de courbes étendue, sur l'onglet Paramètres des colonnes.

Colonnes importantes :

  • Nom de la courbe : Affiche le nom de la courbe.
  • Intitulé : Affiche l'intitulé de la courbe configurée.
  • Couleur : Affiche la couleur de la courbe configurée.
  • Axe Y : L'affichage de l'axe Y peut être activé ou désactivé dans le Runtime en cochant cette case.
    Si case à cocher est désactivée, l'axe Y de la courbe peut être sélectionné et affiché dans le Runtime, dans un synoptique Extended Trend.
  • Active : L'affichage de la courbe dans le Runtime peut être activé ou désactivé en cochant cette case.
    Si case à cocher est désactivée, la courbe peut être sélectionnée et affichée dans le Runtime, dans un synoptique Extended Trend.
  • Nom de la variable : Affiche le nom de la variable.
  • Identifiant de variable : L'identifiant de la variable est affiché.
  • Ordre de tri : Définit l'ordre d'affichage des courbes sur cet onglet et dans le Runtime. Vous pouvez modifier l'ordre en cliquant sur une cellule et en saisissant un nombre. Il est également possible de modifier l'ordre en cliquant sur l'en-tête de la colonne, puis en effectuant un glisser-déplacer.
    Minimum : 1
    Maximum : Nombre de courbes.
    Pour effectuer un tri, cliquez sur l'en-tête de la colonne.
    L'ordre peut également être configuré dans le Runtime.

Remarque :

  • Le nombre maximum autorisé de courbes dépend de la licence.
  • Lors de la sélection d'une variable d'archive chaîne, l'option Diagramme de Gantt est automatiquement affichée dans la boîte de dialogue Paramètres des courbes.
  • Le tri en fonction d'autres colonnes sous forme de séquence n'a aucune incidence sur l'ordre d'affichage de la courbe.

Ajouter

Ouvre la boîte de dialogue de sélection de variables, selon la nature des données :

  • Données en ligne : variables numériques
  • Ensemble de blocs : variables numériques
  • Liste des archives : Variables d'archives existantes

Édition

Ouvre la boîte de dialogue de configuration des courbes.

Cette boîte de dialogue peut également être ouverte en double-cliquant sur une courbe dans la liste Courbes.

Supprimer

Supprime les courbes sélectionnées de la liste.

Disponible uniquement si les courbes ont été configurées.

Proposition de stockage des données sur le disque dur

Paramètre

Description

Proposition de stockage des données sur le disque dur

Disponible uniquement pour les données en ligne.

Offre les valeurs proposées par les propriétés du groupe Stockage données disque dur dans zenon Editor.

Le calcul des valeurs proposées dépend directement de la fréquence d'actualisation (onglet Affichage). Pour l'affichage YT, le temps configuré dans le filtre de temps est également inclus dans le calcul.

Nombre

Nombre de valeurs écrites. Durée du cycle en secondes ; correspond à la valeur définie dans la propriété Nombre de valeurs.

Temps de cycle

durée du cycle en secondes. Durée du cycle en secondes ; correspond à la valeur définie dans la propriété Temps de cycle [s].

Aperçu

Affiche la valeur actuelle des variables devant être remplacées par les valeurs proposées.

Valider la proposition

Active : Écrit les valeurs proposées dans les propriétés respectives des variables lorsque l'utilisateur ferme la boîte de dialogue en cliquant sur OK.

Remarque : Si elle est activée, la propriété Stockage de données sur disque dur actif est désactivée.

Fermer boîte de dialogue

Options | Description :
OK | Applique toutes les modifications effectuées sur tous les onglets, puis ferme la boîte de dialogue.
Annuler | Annule toutes les modifications effectuées sur tous les onglets, puis ferme la boîte de dialogue.
Aide | Ouvre l'aide en ligne.

Remarque : Les options proposées jusqu'à la version 7.10 pour l'importation et l'exportation de filtres ont été temporairement supprimées. L'importation de filtres à partir de projets créés dans d'autres versions n'est par conséquent pas possible pour l'instant.

Stocker données sur disque dur

Si les variables en ligne doivent être affichées dans le module Extended Trend, nous vous recommandons de coordonnées les valeurs sur le disque dur lors de l'enregistrement des valeurs de variables. Lors de la configuration de l'appel de synoptique avec un synoptique Extended Trend, si l'option Données en ligne est sélectionnée, le système propose des valeurs optimales pour l'enregistrement des valeurs de variables sur le disque dur. Ces valeurs peuvent également être adaptées manuellement.

Dans zenon Editor, ces propriétés sont accessibles dans le groupe Stockage données disque dur.
Ce groupe contient les propriétés suivantes :

  • Stockage de données sur disque dur actif : active ou désactive l'enregistrement des données.
  • Nombre de valeurs : nombre de valeurs enregistrées.
  • Temps de cycle [s] : durée du cycle en secondes.
  • Type d'enregistrement : type d'enregistrement :
    • (Données de disque dur [cyclique]) : écriture cyclique des valeurs sur le disque dur.
    • Valeurs retriées (RDA) : Les valeurs sont écrites sous forme de blocs sur le disque dur par le driver.
      Fonction adaptée à l'analyse rétrospective des erreurs. Le contrôleur doit donc être configuré pour enregistrer les données en cas d'erreur et écrire ces données sur le disque dur, une fois le bon fonctionnement rétabli.

Si la fonction de sauvegarde des données de disque dur n'est pas utilisée, les données ne sont pas enregistrées dans le Runtime.

Autres sujets abordés dans ce chapitre

Données de tableau


Données de tableau

Manuel -> Extended Trend -> Configuration dans Editor -> Appel de synoptique - Extended Trend -> Données -> Données de tableau

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Pour configurer les variables avec des données d'ensemble :

  • Définissez la propriété Dimension tableau dans le groupe Paramètres additionnels pour la variable correspondante (par exemple, 10)

  • Pour la fonction d'appel de synoptique, sélectionnez la propriété Ensemble de blocs sur le synoptique du module Extended Trend :

Résultat dans le Runtime

  1. Le synoptique de module Extended Trend est encore vide lors du démarrage du Runtime :

  2. Les valeurs des variables contenant des ensembles de blocs sont affichées dès que les valeurs de la recette sont définies :


Affichage

Manuel -> Extended Trend -> Configuration dans Editor -> Appel de synoptique - Extended Trend -> Affichage

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Propriétés d'affichage du diagramme dans le Runtime :

Nom du diagramme

Paramètres

Description

Nom du diagramme

Nom de diagramme librement configurable.

Longueur maximale : 30 caractères
Intégration dynamique des noms de lots : Le diagramme peut contenir des noms de lots. Pour cela, insérez la séquence de caractères %c% dans le nom. Dans le Runtime, chaque séquence %c% est remplacée par les noms de lots qui correspondent aux critères du filtre.
Par exemple : Le nom de diagramme Diagram1_%C%_End produit Diagram1_Lot1_End dans le Runtime.

Actualiser

Paramètres d'association des moniteurs.

Largeur de défilement

Définition du défilement de l'écran en pourcentage lorsque le bord droit du diagramme est atteint.

Valeurs possibles : 0 à 100 :
Attention : valable uniquement pour l'affichage YT.

Fréquence d'actualisation

Définissez la fréquence d'actualisation, en secondes.

  • La valeur doit être supérieure à 0 pour les données en ligne et les ensembles de blocs.
  • Les synoptiques ne peuvent pas être chargés de manière dynamique pour les données en ligne ou les ensembles de blocs.
  • Pour les données d'archives, la fréquence de rafraîchissement s'adapte automatiquement au temps de chargement des données. Si le chargement dure plus longtemps que la moitié de l'intervalle de rafraîchissement, la fréquence de rafraîchissement est doublée.
    Vous pouvez également définir la valeur du paramètre Fréquence d'actualisation sur 0 pour les données d'archive. Les données affichées ne sont alors pas mises à jour.
    Ce paramètre est utile si d'importantes quantités de données doivent être affichées dans le module ETM. Dans ce cas, si le paramètre Fréquence d'actualisation est défini sur une valeur basse, une boucle infinie peut se produire.

Valeur maximum correspondante : 3600 s

Optimiser la fréquence d'actualisation : Lors de la lecture de données archivées, un message de fichier journal est créé au début et à la fin par le serveur (serveurs autonomes inclus) et le client. Ce message de fichier journal peut être lu à l'aide de l'application Diagnosis Viewer. Celle-ci permet de déterminer la durée de la lecture et de configurer une fréquence de rafraîchissement correspondante.

Offset

Déplacement du point zéro de l'axe de temps vers la valeur indiquée en secondes.

Maximum : 65535 s

Indisponible pour la source de données Ensemble de blocs.

Apparence

Paramètres | Description
Apparence | Paramètres de conception du diagramme.
Police | Sélection, dans une liste déroulante, de la police définie par l'utilisateur pour les intitulés de l'axe et les indicateurs de valeurs.
Arrière-plan | Sélection de la couleur d'arrière-plan des éléments graphiques affichés. Cliquez sur le bouton pour ouvrir la boîte de dialogue de sélection de synoptique.
Grille | Sélection de la couleur de la grille superposée. Cliquez sur le bouton pour ouvrir la boîte de dialogue de sélection de synoptique.
Distance entre le diagramme et la bordure de la fenêtre | Paramètres de définition de la distance entre les cadres du diagramme et de la fenêtre. Valeur minimum correspondante : 10 pixels Valeur maximum correspondante : 2000 pixels
En haut | Distance entre le bord supérieur de l'élément de contrôle et la courbe de tendance à l'intérieur. (Attention : espace utilisé lorsque la fonction d'analyse est activée en Runtime ; celle-ci montre le détail des valeurs selon la position du pointeur de la souris dans cette zone).
Bas | Distance entre le bord inférieur de l'élément de contrôle et l'axe X (Origine 0%-Axe Y) (Attention : il est important de tenir compte de l'espace nécessaire à l'intitulé sur deux lignes de l'axe X avec la police définie par l'utilisateur)
Gauche | Distance entre le bord gauche de l'élément de contrôle et l'axe Y (Origine 0%-Axe X) (Attention : il est important de tenir compte de l'espace nécessaire à l'intitulé sur le côté gauche de l'axe Y avec la police définie par l'utilisateur)
À Droite | Distance entre le bord gauche de l'élément de contrôle et l'axe Y (Origine 100%-Axe X) (Attention : il est important de tenir compte de l'espace nécessaire à l'intitulé sur le côté droit de l'axe Y avec la police définie par l'utilisateur)

Runtime

Paramètres

Description

Runtime

Paramètres des actions dans le Runtime.

Afficher cette boîte de dialogue dans le Runtime

Éléments requis : Un intervalle de temps est défini dans le filtre de temps. Sur l'onglet Axe X de l'affichage XY, l'option Comparaison avec une 2ème période est activée, deux filtres de temps sont fournis pour les deux axes X.

Active : La boîte de dialogue de filtre est ouverte avant chaque appel de synoptique. Les paramètres de filtre peuvent être modifiés. Cette option n’est pas disponible dans Windows CE.
Remarque : Sur l’onglet Lots, si l’option Afficher la boîte de dialogue de sélection de lots est également activée, la boîte de dialogue de sélection de lots est appelée dans le Runtime. Elle n’est plus affichée après l’actualisation.

Remarques concernant les filtres d’intervalle :

Propriété Afficher cette boîte de dialogue dans le Runtime active :

  • Le filtre est ouvert dans le Runtime lors de l’appel de synoptique. Le filtre n’est plus proposé lors du rechargement. Ce comportement peut différer selon les différents types de synoptiques si la boîte de dialogue a été affichée lors de l’appel de synoptique, puis annulée.
  • La dernière période terminée est toujours utilisée.

Afficher cette boîte de dialogue dans le Runtime inactive :

  • Propriété Utiliser la dernière période de temps effectuée active :
    La dernière période terminée est toujours utilisée.
  • Utiliser la dernière période terminée inactive :
    L’intervalle de temps actuel est utilisé.

Remplacer le filtre de temps par un synoptique

Disponible uniquement si l'option Afficher cette boîte de dialogue dans le Runtime est activée.

Remplace la boîte de dialogue par un synoptique de filtre de temps dans le Runtime. Le synoptique actuellement lié est affiché. Dans ce cas, seul un synoptique Filtre de temps peut être sélectionné. Les synoptiques Filtre de lot ne peuvent pas être sélectionnés ici. La configuration de ces synoptiques se déroule dans l'onglet Lots.

Cliquez sur le bouton ... pour ouvrir une boîte de dialogue permettant de sélectionner un synoptique. Seuls les synoptiques associés au projet depuis lequel ils sont appelés et les synoptiques de type Filtre de temps sont disponibles.

Lors de la sélection d'un synoptique de filtre, les informations de la BOX SCREEN sont également affichées dans la vue de détail de la fonction, dans la colonne Paramètre ; si aucun synoptique n'est lié, seule la BOX est affichée.

Afficher une mire dans le diagramme XY

Affichage de la mire dans le Runtime :

  • Active : affichage activé
  • Inactive : affichage désactivé

Disponible uniquement si l'option Affichage XY a été activée dans l'onglet Axe X.

Axe X : Variable pour la valeur du 1er curseur

Variable des abscisses du premier curseur.

Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection d'une variable LREAL ou DWORD/DINT/UDINT.

Lors de l'appel et du déplacement du curseur dans le Runtime, la valeur des abscisses (temps ou valeur X) correspondante est écrite dans la variable attribuée. Les valeurs sont alors enregistrées au format d'heure Unix (nombre de secondes écoulées depuis le 1er janvier 1970 à 00:00 UTC).

Axe X : Variable pour la valeur du 2ème curseur

Variable des abscisses du deuxième curseur.

Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection d'une variable LREAL ou DWORD/DINT/UDINT.

Lors de l'appel et du déplacement du curseur dans le Runtime, la valeur des abscisses (temps ou valeur X) correspondante est écrite dans la variable attribuée. Les valeurs sont alors enregistrées au format d'heure Unix (nombre de secondes écoulées depuis le 1er janvier 1970 à 00:00 UTC).

Fermer boîte de dialogue

Options | Description :
OK | Applique toutes les modifications effectuées sur tous les onglets, puis ferme la boîte de dialogue.
Annuler | Annule toutes les modifications effectuées sur tous les onglets, puis ferme la boîte de dialogue.
Aide | Ouvre l'aide en ligne.


Axe X

Manuel -> Extended Trend -> Configuration dans Editor -> Appel de synoptique - Extended Trend -> Axe X

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Paramètres de l'axe X. Ces paramètres peuvent être configurés de deux manières différentes :

  • Affichage YT : représentation des courbes de tendance selon la période de temps configurée.
    Lors de la configuration de l'axe de temps, la période, les lots et la représentation de l'axe peuvent être définis.
  • Affichage XY : Affichage des valeurs au moyen d'une variable ou d'une variable dérivée (courbes de localisation, points de manipulation, etc.)
    Uniquement disponible si, sur l'onglet Lots, l'option Sélection relative des lots n'est pas active.

Autres sujets abordés dans ce chapitre

Affichage YT

Affichage XY


Affichage YT

Manuel -> Extended Trend -> Configuration dans Editor -> Appel de synoptique - Extended Trend -> Axe X -> Affichage YT

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Axe X

Paramètres

Description

Axe X

Sélection du type d'affichage.

Affichage YT

Active : L'affichage des courbes sur une période de temps est configuré.

Affichage XY

Active : L'affichage des courbes avec une autre variable est configuré.

Variable pour l'axe X

(Indisponible pour l'affichage YT.) )

Intitulé de l'axe

(Indisponible pour l'affichage YT.) )

Position

Saisie d'une valeur de pourcentage définissant le positionnement de l'axe X par rapport à la hauteur de l'axe Y.

Valeurs possibles : 0 à 100.

Par exemple :

  • 0 % : Positionnement à l'extrémité inférieure de l'axe Y.
  • 100 % : Positionnement à l'extrémité supérieure de l'axe Y.
  • 50 % : Positionnement au milieu de l'axe Y.

Couleur

Définition de la couleur de l'axe. Cliquez sur la couleur pour ouvrir une boîte de dialogue permettant de sélectionner une couleur.

Remarque : peut être configuré indépendamment de la couleur de la courbe.

Afficher les lignes verticales de la grille

Active : Des lignes d'assistance verticales sont affichées sur les graduations principales dans le Runtime.

Comparaison avec une deuxième période

Active : affiche une comparaison avec une deuxième période.

Uniquement pour les archives comportant un filtre de temps ou de lot. Les filtres de lot relatifs ne permettent pas d'effectuer des comparaisons.

Deux plages de temps sont affichées en même temps pour chaque variable d'archive (par exemple, comparaison sur une semaine).

Deux tendances sont affichées lors de l'ouverture de la variable. La deuxième période est représentée du côté opposé à l'intitulé de l'axe de temps, dans la couleur définie pour la grille.

Disponible uniquement avec une licence complète.

Affichage en temps réel

Active : l'axe doit déjà comporter des graduations de temps.

Inactive : L'heure de commutation est définie sur 00:00, et son intitulé relatif est défini dans trouve les -01:00 heures passées.

Intitulé

Positionnement de l'intitulé de l'axe.

Au-dessus de l'axe

Au-dessus de l'axe.

Au-dessous de l'axe

La légende de l'axe est affichée sous l'axe.

Type d'axe

(Indisponible pour l'affichage YT.) )

Linéaire

(Indisponible pour l'affichage YT.) )

Logarithmique

(Indisponible pour l'affichage YT.) )

Graduations

Définition de la subdivision de l'axe (nombre de graduations).

Nombre de graduations principales

Nombre de graduations principales avec indication de valeur.

Maximum : 60

Longueur des graduations principales

Longueur des lignes des graduations principales, en pixels.

Maximum : 10

Nombre grad. secondaires

Nombre de graduations entre deux graduations principales.

Maximum : 60

Définir automatiquement le nombre de graduations principales

(Indisponible pour l'affichage YT.) )

Taille des poignées de redimensionnement

Paramètres

Description

Taille des poignées de redimensionnement

Définition de la poignée de redimensionnement circulaire affichée au centre des règles pour faciliter leur utilisation (comme sur un écran tactile).

Diamètre

Diamètre de la poignée de redimensionnement, en pixels.

  • 0 : pas de poignée de redimensionnement (compatible avec les projets des versions antérieures à la version 7)
  • >0 : la poignée de redimensionnement est affichée conformément à la valeur saisie

Par défaut : 0

Maximum : 100

Échelle

Paramètres

Description

Échelle

Définissez les valeurs pour l'échelle en cochant les cases :

  • AA: Année
  • MM: mois
    JJ : Jour
  • HH: Heure
  • MM: Minutes
  • SS : Secondes
  • MS: Milliseconde

Fermer boîte de dialogue

Options | Description :
OK | Applique toutes les modifications effectuées sur tous les onglets, puis ferme la boîte de dialogue.
Annuler | Annule toutes les modifications effectuées sur tous les onglets, puis ferme la boîte de dialogue.
Aide | Ouvre l'aide en ligne.


Affichage XY

Manuel -> Extended Trend -> Configuration dans Editor -> Appel de synoptique - Extended Trend -> Axe X -> Affichage XY

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Uniquement disponible si, sur l'onglet Lots, l'option Sélection relative des lots n'est pas active.

Paramètres

Description

Axe X

Sélection du type d'affichage.

Affichage YT

Active : L'affichage des courbes sur une période de temps est configuré.

Affichage XY

Active : L'affichage des courbes avec une autre variable est configuré.

Variable pour l'axe X

Sélection et marquage d'une des variables attribuées au diagramme. Elle est utilisée pour l'axe X.

Cliquez sur le bouton ... pour afficher la boîte de dialogue de sélection des variables, selon l'origine des données.

Intitulé de l'axe

Texte de l'intitulé de l'axe dans le Runtime.

Longueur maximale : 30 caractères

Position

Saisie d'une valeur de pourcentage définissant le positionnement de l'axe X par rapport à la hauteur de l'axe Y.

Valeurs possibles : 0 devient 100

Par exemple :

  • 0 % : Positionnement à l'extrémité inférieure de l'axe Y.
  • 100 % : Positionnement à l'extrémité supérieure de l'axe Y.
  • 50 % : Positionnement au milieu de l'axe Y.

Couleur

Définition de la couleur de l'axe. Cliquez sur la couleur pour ouvrir une boîte de dialogue permettant de sélectionner une couleur.

Remarque : peut être configuré indépendamment de la couleur de la courbe.

Afficher les lignes verticales de la grille

Active : Des lignes d'assistance verticales sont affichées sur les graduations principales dans le Runtime.

Comparaison avec une deuxième période

(Indisponible pour l'affichage XY.)

Affichage en temps réel

(Indisponible pour l'affichage XY.)

Intitulé

Positionnement de l'intitulé de l'axe.

Au-dessus de l'axe

Au-dessus de l'axe.

Au-dessous de l'axe

La légende de l'axe est affichée sous l'axe.

Type d'axe

Sélection de l'affichage de l'axe :

  • Linéaire
  • Logarithmique

Linéaire

Active : Affichage linéaire de l'axe.

Logarithmique

Active : Affichage logarithmique de l'axe.

Disponible uniquement avec une licence complète.

Graduations

Définition de la subdivision de l'axe (nombre de graduations).

Nombre de graduations principales

Nombre de graduations principales avec indication de valeur.

Maximum : 100

Longueur des graduations principales

Longueur des lignes des graduations principales, en pixels.

Maximum : 4 - 10

Nombre grad. secondaires

Nombre de graduations entre deux graduations principales.

Maximum : 4 - 10

Définir automatiquement le nombre de graduations principales

(Indisponible pour l'affichage YT.) )

Taille des poignées de redimensionnement

Taille des poignées de redimensionnement | (Indisponible pour l'affichage XY.)
Diamètre | (Indisponible pour l'affichage XY.)

Échelle

Échelle

Définissez les valeurs pour l'échelle en cochant les cases :

  • AA: Année
  • MM: mois
    JJ : Jour
  • HH: Heure
  • MM: Minutes
  • SS : Secondes
  • MS: Milliseconde

Fermer boîte de dialogue

Options | Description :
OK | Applique toutes les modifications effectuées sur tous les onglets, puis ferme la boîte de dialogue.
Annuler | Annule toutes les modifications effectuées sur tous les onglets, puis ferme la boîte de dialogue.
Aide | Ouvre l'aide en ligne.

info Informations

Affichage de l'axe X dans le diagramme à partir de la version 6.51

Les données d'archive de l'axe X ne sont plus chargées, pour des raisons de performances. Pour afficher malgré tout l'axe X dans le diagramme :

  • Ajoutez la variable sélectionnée pour le paramètre Variable for X-axis (Variable de l'axe X), ainsi que la courbe dans le diagramme.
  • Désactivez l'affichage de la courbe.

info Informations

Si un affichage XY est configuré, seule la valeur actuelle correspondante est affichée au début de l'analyse. Celle-ci ne peut pas être mise à jour. Le curseur ne peut pas être déplacé.


Heure :

Manuel -> Extended Trend -> Configuration dans Editor -> Appel de synoptique - Extended Trend -> Heure :

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Configuration du filtre de temps. Indisponible pour la source de données Ensemble de blocs.

Remarque : L’heure est enregistrée au format UTC. Pour plus de détails, reportez-vous au chapitre Gestion de la date et de l'heure, dans le chapitre Runtime.

Des filtres de temps peuvent être prédéfinis dans Editor et dans le Runtime pour les éléments suivants :

  • Intervalle absolu
  • Intervalle relatif
  • De
  • Période

Le filtrage horaire peut être effectué de deux manières :

  1. En définissant un intervalle de temps dans Editor
    Des plages de temps fixes sont utilisées. un intervalle de temps est fourni dans Editor. Il est uniquement possible de filtrer les données en fonction de cet intervalle de temps dans le Runtime. Les autres filtres - tels que le filtrage par nom de variable, groupes d'alarmes/d'événements et classes d'alarmes/d'événements, etc. ne peuvent plus être modifiés dans le Runtime.
  2. Filtre de temps configurable dans le Runtime
    Le filtre de temps est défini dans Editor et peut être modifié dans le Runtime, le cas échéant.

Filtre de temps

Filtre

Sélection du filtre.

Paramètres

Description

Pas de filtre horaire

Active : Aucun filtre temps n’est utilisé.

Note : toutes les entrées Runtime depuis 1. 1. 1990 sont affichées.

Filtre absolu

Active : Un intervalle de temps fixe est défini dans Editor. Lors de l’exécution de la fonction, l’intervalle temps absolu défini est utilisé avec exactitude.

La section Paramètres permet d’afficher et de configurer les options correspondantes.

Remarque : L’heure est enregistrée au format UTC. Pour plus de détails, reportez-vous au chapitre Gestion de la date et de l'heure, dans le chapitre Runtime.

Intervalle relatif

Active : Un intervalle de temps relatif est saisi.

La section Paramètres permet d’afficher et de configurer les options correspondantes.

Attention : Ce filtre est continuellement mis à jour.

De

Active : L’heure à partir de laquelle le filtre est appliqué. Si l’heure n’est pas atteinte ce jour, le filtrage a lieu à partir de l’heure correspondante le jour précédent.

Sélectionnez le mode du domaine dans la liste déroulante?;

  • À partir de HH:MM:SS
  • À partir du jour - HH:MM:SS
  • À partir d’un jour, d’un mois, à HH:MM:SS

La section Paramètres permet d’afficher et de configurer les options correspondantes.

Attention : L’heure de début de ce filtre n’est pas mise à jour automatiquement. Seules les heures existantes affichées sont utilisées.
L’heure de fin n’est pas définie avec ce filtre?; elle est reportée.

Intervalle

Active : Un intervalle de temps fixe est saisi. Sélectionnez le mode du domaine dans la liste déroulante?;

  • Horaire-jour
  • Horaire-semaine
  • Deux semaines
  • Un mois
  • Une année
  • 15 minutes
  • 30 minutes
  • 60 minutes

La section Paramètres permet d’afficher et de configurer les options correspondantes.

Fermer boîte de dialogue

Paramètres | Description
OK | Applique toutes les modifications effectuées sur tous les onglets, puis ferme la boîte de dialogue.
Annuler | Annule toutes les modifications effectuées sur tous les onglets, puis ferme la boîte de dialogue.
Aide | Ouvre l'aide en ligne.

Remarque : L'option Pas de filtre de temps n'est pas disponible pour les synoptiques Extended Trend.

Autres sujets abordés dans ce chapitre

Filtre temps absolu

Intervalle relatif

De

Intervalle

Spécifier un intervalle de temps dans Editor

Le filtre de temps peut être configuré dans le Runtime


Filtre temps absolu

Manuel -> Extended Trend -> Configuration dans Editor -> Appel de synoptique - Extended Trend -> Heure : -> Filtre temps absolu

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Le filtre absolu permet de définir une période de temps fixe. Lors de l’exécution de la fonction, l’intervalle temps absolu défini est utilisé avec exactitude. Pour configurer le filtre :

  1. Dans la section Filtre, sélectionnez l’option Intervalle absolu.
  2. Configurez l’intervalle de temps souhaité dans la section Paramètres.

Paramètres | Description
Paramètres | Configuration du filtre de temps.
Proposer la date/l’heure actuelle | Active : Le filtre de temps est affiché dans le Runtime.
Par défaut | Active : Le filtre de temps est fourni dans Editor. Seule l’heure de début peut encore être configurée dans le Runtime.
De | Heure de début du filtre. Sélection du jour, du mois, de l’année, de l’heure, de la minute et de la seconde
À | Heure de fin du filtre. Sélection du jour, du mois, de l’année, de l’heure, de la minute et de la seconde

Fermer boîte de dialogue

Options | Description :
OK | Applique toutes les modifications effectuées sur tous les onglets, puis ferme la boîte de dialogue.
Annuler | Annule toutes les modifications effectuées sur tous les onglets, puis ferme la boîte de dialogue.
Aide | Ouvre l'aide en ligne.


Intervalle relatif

Manuel -> Extended Trend -> Configuration dans Editor -> Appel de synoptique - Extended Trend -> Heure : -> Intervalle relatif

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Un intervalle de temps relatif est saisi.

Attention : Ce filtre est constamment mis à jour et continue à fonctionner.
Exemple : Vous pouvez définir un intervalle relatif de 10 minutes et basculer vers un synoptique en réglant ce filtre de temps sur 12:00. Vous verrez alors s’afficher les alarmes de 11:50 à 12:00 lors de l’appel de synoptique. Si le synoptique reste ouvert, le filtre est automatiquement mis à jour. À 12:01, les alarmes de 11:51 à 12:01 sont affichées, et ainsi de suite.

Pour configurer le filtre :

  1. Dans la section Filtre, sélectionnez l’option Intervalle relatif.
  2. Configurez l’intervalle de temps souhaité dans la section Paramètres.

Paramètres | Description
Paramètres | Configuration du filtre de temps.
Proposer la date/l’heure actuelle | Active : Le filtre de temps est affiché dans le Runtime.
Par défaut | Active : Le filtre de temps est fourni dans Editor. Seule l’heure de début peut encore être configurée dans le Runtime. Sélection de l’intervalle relatif en jours, heures, minutes et secondes.

Fermer boîte de dialogue

Options | Description :
OK | Applique toutes les modifications effectuées sur tous les onglets, puis ferme la boîte de dialogue.
Annuler | Annule toutes les modifications effectuées sur tous les onglets, puis ferme la boîte de dialogue.
Aide | Ouvre l'aide en ligne.


De

Manuel -> Extended Trend -> Configuration dans Editor -> Appel de synoptique - Extended Trend -> Heure : -> De

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Définit l’heure à partir de laquelle le filtre est appliqué. Pour configurer le filtre :

  1. Dans la section Filtre, sélectionnez l’option Inactif.
  2. Sélectionnez le filtre souhaité dans la liste déroulante.
    • À partir de HH:MM:SS heures
    • Depuis le jour - HH:MM:SS heures
    • Depuis le jour, mois à HH:MM:SS
  3. Configurez l’intervalle de temps souhaité dans la section Paramètres.

Paramètres

Description

Paramètres

Configuration du filtre de temps.

[Date/Heure]

Selon la configuration de l’option Inactif, l’heure à partir de laquelle le filtre est appliqué est configurée ici :

  • À partir de HH:MM:SS
  • À partir du jour - HH:MM:SS
  • À partir d’un jour, d’un mois, à HH:MM:SS

Attention ! L’heure de début de ce filtre n’est pas mise à jour automatiquement. Seules les heures existantes affichées sont appliquées, même si le synoptique reste ouvert et l’heure de 23:00:00 est atteinte.
L’heure de fin de l’intervalle n’est pas définie avec ce filtre?; elle est reportée.
  • À partir de HH:MM:SS

L’heure à partir de laquelle le filtre est appliqué. Si l’heure n’est pas atteinte ce jour, le filtrage a lieu à partir de l’heure correspondante le jour précédent.

Exemple : Vous saisissez 23:00:00. Si la fonction est exécutée à 23:30, elle est filtrée de 23:00:00 jusqu’à l’heure actuelle. S’il est 22:30, toutefois, le filtrage est actif de 23:00:00 le jour précédent jusqu’à l’heure actuelle.
  • À partir du jour - HH:MM:SS

Un jour et une heure de début du filtre sont saisis. Si l’heure indiquée n’a pas été atteinte au cours du mois actuel, l’heure correspondante définie le mois précédent est utilisée.

Exemple : Vous saisissez jour 5 - 23:00:00. Si nous sommes le 10 du mois et il est 23:30, le filtrage sera appliqué à compter du 5 à 23:00:00 jusqu’à l’heure actuelle. Si toutefois nous sommes le 4 du mois, le filtrage sera appliqué à partir du 5 du mois précédent jusqu’à l’heure actuelle.

  • À partir d’un jour, d’un mois, à HH:MM:SS

Un mois, un jour et une heure de début du filtre sont saisis. Si l’heure indiquée n’a pas été atteinte au cours de l’année actuelle, l’heure correspondante définie l’année précédente est utilisée.

Exemple : Vous saisissez Jour 5, Mois Octobre - 23:00:00. Si nous sommes le 10 octobre et il est 23:30, le filtrage est appliqué à compter du 5 octobre à 23:00:00 jusqu’à l’heure actuelle. Si toutefois nous ne sommes que le 4 octobre, le filtrage sera appliqué à partir du 5 octobre de l’année précédente, de 23:00 jusqu’à l’heure actuelle.

Fermer boîte de dialogue

Options | Description :
OK | Applique toutes les modifications effectuées sur tous les onglets, puis ferme la boîte de dialogue.
Annuler | Annule toutes les modifications effectuées sur tous les onglets, puis ferme la boîte de dialogue.
Aide | Ouvre l'aide en ligne.


Intervalle

Manuel -> Extended Trend -> Configuration dans Editor -> Appel de synoptique - Extended Trend -> Heure : -> Intervalle

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Définit une période de temps durant laquelle le filtre est appliqué. Pour configurer le filtre :

  1. Dans la section Filtre, sélectionnez l’option Intervalle.
  2. Configurez l’intervalle de temps souhaité dans la section Paramètres.

Options

Description :

Intervalle

Sélection d’une plage de temps dans une liste déroulante.

Le filtrage de cette plage de temps est effectué dans le Runtime. Le filtre est définir par rapport à l’heure de l’appel de synoptique.
Par exemple : La valeur 60 minutes affiche toutes les archives de la dernière heure.

Si cette boîte de dialogue est affichée dans le Runtime, l’heure de début de la plage de temps peut être sélectionnée.

Paramètres

Paramètre en option pour l’intervalle.

Modifier l'intervalle

Permet de modifier les cycles, les délais et les prolongations de périodes de temps.

Active : L’évaluation est réalisée conformément aux règles suivantes :

  • D’abord, l’option Utiliser la dernière période de temps effectuée est évaluée.
  • Ensuite, l’option Modifier la période de temps de est utilisée.
  • Enfin, l’option Déplacer la période de temps dans le futur de est appliquée.

Inactive : Aucune modification n’est apportée à la période de temps.

Attention : Dans la version 7.10, les actions de filtrage réalisées avec cette fonction génèrent des résultats différents de celles réalisées dans les versions antérieures.

Déplacer l’intervalle dans le futur de

Active : La période de temps définie dans le filtre est décalée vers le futur. L’heure de début et l’heure de fin sont déplacées en fonction du cycle d’heure défini.

Indication en heures - minutes - secondes.

Si un décalage égal ou supérieur à la période de temps sélectionnée est défini, un message invitant l’utilisateur à vérifier la configuration s’affiche.

Modifier l’intervalle de

Active : La période de temps définie dans le filtre est modifiée. L’heure de fin est déplacée en fonction du cycle d’heure défini. L’heure de début reste inchangée.

Indication en heures - minutes - secondes.

L’intervalle peut être ajouté ou déduit. La sélection de l'attribution s'effectue au moyen des cases d'option :

  • Ajouter le temps : L’heure indiquée dans le paramètre Modifier la période de temps de est ajoutée au temps défini dans le paramètre Période de temps.
  • Soustraire le temps : L’heure indiquée dans le paramètre Modifier la période de temps de est déduite du temps défini dans le paramètre Période de temps.

Si une modification et un décalage égaux ou supérieurs à la période de temps sélectionnée sont définis, un message invitant l’utilisateur à vérifier la configuration s’affiche à côté de l’élément de contrôle pour la configuration du temps.

Utiliser la dernière période terminée

Active : La période de temps sélectionnée en dernier et entièrement terminée dans l’option Période de temps est utilisée.

Exemple : Pour l’option Période de temps, Un jour a été sélectionné. Le filtre est effectué pour "Hier", car il s’agit du dernier jour qui s’est entièrement terminé.

Fermer boîte de dialogue

Options | Description :
OK | Applique toutes les modifications effectuées sur tous les onglets, puis ferme la boîte de dialogue.
Annuler | Annule toutes les modifications effectuées sur tous les onglets, puis ferme la boîte de dialogue.
Aide | Ouvre l'aide en ligne.


Spécifier un intervalle de temps dans Editor

Manuel -> Extended Trend -> Configuration dans Editor -> Appel de synoptique - Extended Trend -> Heure : -> Spécifier un intervalle de temps dans Editor

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Avec cette méthode, saisissez un intervalle de temps fixe dans Editor?; celui-ci sera alors appliqué lorsque la fonction sera exécutée dans le Runtime. Vous pouvez alors uniquement définir l’heure de début dans le Runtime, mais aucun autre paramètre de filtre.

Par exemple : Vous définissez un filtre temps de 30 minutes. Dans le Runtime, vous pouvez uniquement définir l’instant auquel doit débuter cet intervalle de temps de 30 minutes. Toutefois, vous ne pouvez pas transformer le filtre en filtre de jour.

attention Attention

Si vous utilisez ce filtre, vous ne pouvez plus modifier les autres filtres disponibles dans l’onglet Général dans le Runtime. Vous pouvez toutefois encore filtrer le texte, les états et les équipements.

Pour créer le filtre :

  1. Le synoptique doit comporter un bouton Filtre permettant d’exécuter le filtre dans le Runtime
  2. Sélectionnez le filtre souhaité
  3. Configurez l’intervalle de temps spécifié

Conseil relatif à l’intervalle de temps : Activez l’option Afficher la boîte de dialogue de filtre dans le Runtime dans la boîte de dialogue de filtre. Ceci vous permet de modifier l’heure de début avant l’exécution de la fonction. N’activez pas l’affichage du filtre dans le Runtime lorsque la fonction est activée?; ceci garantit que l’intervalle actuel est toujours utilisé. Si vous avez activé l’option Utiliser le dernier intervalle de temps fermé, l’intervalle de temps précédent est affiché.
Exemple : Vous définissez un filtre temps de 30 minutes. Il est 10:45 lorsque la fonction est activée. Si l’option Utiliser le dernier intervalle de temps fermé est désactivée, le filtre est défini sur l’intervalle de temps actuel, de 10:30:00 à 10:59:59. Si l’option est activée, le filtre est défini sur l’intervalle de temps précédent, de 10:00:00 à 10:29:59.


Le filtre de temps peut être configuré dans le Runtime

Manuel -> Extended Trend -> Configuration dans Editor -> Appel de synoptique - Extended Trend -> Heure : -> Le filtre de temps peut être configuré dans le Runtime

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Avec cette méthode, vous définissez un filtre de temps dans Editor. Celui-ci peut être modifié dans le Runtime avant exécution. Pour créer le filtre :

  1. Le synoptique doit comporter des boutons Filtre et Visualiser filtre
  2. Sélectionnez le filtre souhaité :
    • Filtre temps absolu
    • Intervalle relatif
  3. Dans la section Paramètres, sélectionnez l’option Proposer la date/l’heure actuelle.
  4. La boîte de dialogue de filtre s’affiche dans le Runtime, avec la date et l’heure actuelles.


Lots

Manuel -> Extended Trend -> Configuration dans Editor -> Appel de synoptique - Extended Trend -> Lots

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Vous pouvez choisir de limiter l’affichage à certains lots sur cet onglet. Les informations des lots sont également appliquées au filtre existant. Disponible uniquement pour la source de données Données d'archives.

info Informations

Certains filtres dans zenon peuvent être configurés indépendamment les uns des autres, puis associés dans le Runtime. Ceci est uniquement possible dans une certaine mesure, avec le filtre de lots.

Le filtre de lots peut afficher une liste de lots existants dans le Runtime. En revanche, les données du Runtime ne sont pas disponibles dans Editor.

Lors de la configuration de l’appel de synoptique dans Editor, l’onglet Filtre de temps peut uniquement être utilisé conjointement au filtre de lots, en tant que pré-filtre pour la boîte de dialogue de sélection. Si vous sélectionnez un lot dans cette liste dans le Runtime, le filtre de temps est remplacé avec les données issues du lot sélectionné pour autoriser un filtrage précis du lot sélectionné.

Ceci signifie : Si la boîte de dialogue de sélection de lots est utilisée dans le Runtime et un lot est sélectionné, le filtre de temps affiché ne correspond pas à celui configuré dans Editor.

Remarque : L'option Sélection relative des lots est uniquement disponible pour l'axe YT, et uniquement si aucune courbe n'a été configurée.

Filtre

Paramètres d’application du filtre de lots. Sélectionnez une des options suivantes :

  • Pas de filtre de lots
  • Appliquer directement le filtre de lots
  • Afficher la boîte de dialogue de sélection de lots
    Remarque : Si le filtre de lots est affiché sous forme de boîte de dialogue, il peut être pré-filtré en fonction des identifiants d’archive. Nous vous recommandons expressément d’utiliser ce pré-filtrage pour améliorer les performances.

Paramètres

Description

Pas de filtre de lots
  • Active : Le filtre de lots est désactivé et ne peut pas être configuré. Le filtrage de lots n’est pas exécuté dans le Runtime.

Appliquer directement le filtre de lots
  • Active : Le filtre configuré ici est directement appliqué dans le Runtime.

Remarque : Il n’existe aucune possibilité pour afficher tous les lots dans une liste et en sélectionner un manuellement. Si un lot particulier doit être affiché, le filtre pour les archives, les noms et les heures doit être configuré en conséquence. Ceci nécessite une excellente connaissance des données existantes. Dans l’alternative, nous vous recommandons de sélectionner l’option Afficher la boîte de dialogue de sélection de lots.

Afficher la boîte de dialogue de sélection de lots

Active : La boîte de dialogue de sélection est affichée dans le Runtime dans les situations suivantes :

  • Lorsque vous cliquez sur Filtre, ou
  • Lors d’un appel de synoptique, si l’option Afficher cette boîte de dialogue dans le Runtime a été activée (indisponible avec tous les types de fonctions et de synoptiques).
    Remarque : La boîte de dialogue n’est pas affichée en cas de rechargement du projet.

Les options peuvent être présélectionnées dans Editor.

Remplacer dialogue avec ce synoptique en runtime

Uniquement disponible si l’option Afficher la boîte de dialogue de sélection de lots a été sélectionnée.

Permet de définir un synoptique devant être appelé dans le Runtime à la place de la boîte de dialogue de sélection de lots. Seuls les synoptiques Filtre de temps/de lot sont proposés.

Cliquez sur le bouton ... pour ouvrir une boîte de dialogue permettant de sélectionner un synoptique.

Si le synoptique lié n’est pas localisé dans le Runtime, une recherche est effectuée pour trouver les synoptiques correspondants portant le nom spécifié.

Remarque : Un synoptique de filtre de lots peut également être sélectionné avec l’option Afficher cette boîte de dialogue dans le Runtime. Toutefois, il n’est pas utilisé comme filtre, mais comme synoptique de filtre de temps. Les options de filtre de lots ne sont pas correctement appliquées à cet emplacement.

Sélection relative des lots

Attention : Cette option est uniquement disponible pour le module Extended Trend. Avec les cadrans, elle est affichée pour tous les types de synoptiques?; ici, toutefois, elle est uniquement disponible pour le module ETM.

Configuration pour le module ETM :

Pour que l’option soit disponible, l’option Afficher la boîte de dialogue de sélection de lots doit être activée et la propriété Projet Windows CE doit être désactivée dans les propriétés du projet.

  • Active : Autorise la comparaison directe de plusieurs lots. L’affichage débute toujours au point zéro.

Remarque : Si l’option est activée, les boutons Diagramme et l’axe X ne sont pas disponibles dans le Runtime. Ceci s’applique également pour la fonctionnalité clic droit.

Vue d’ensemble de la mise en œuvre de la configuration dans le Runtime :

Heure

Configuration du filtre de temps pour la sélection de lots. Sélectionnez une des options suivantes :

  • Pas de filtre
  • Derniers lots
  • Utiliser le filtre de temps de l’onglet Temps

Paramètres

Description

Pas de filtre
  • Active : La plage de temps définie sur l’onglet Temps n’est pas prise en compte. Tous les lots terminés et actuels sont affichés.

Derniers lots

Attention : Fonctionne uniquement avec l’option Appliquer directement le filtre de lots.

L’option permet d’associer les options Afficher les lots actuels et Afficher les lots terminés. Une des deux options au moins doit être activée. Si les deux options ont été désactivées, ceci correspond au paramètre Pas de filtre.

  • Active : Saisie du nombre de lots terminés, en fonction des critères de filtre sélectionnés. Saisie du nombre dans le champ correspondant ou configuration à l’aide des touches fléchées.

Exemple : La valeur 3 a été saisie pour l’option. 2 lots sont en cours d’exécution et 10 sont terminés. Les lots suivants sont affichés : les deux lots actuels et les lots terminés.

Remarque : La configuration du filtre de temps n’est pas utilisée comme intervalle pour les lots actuels, mais pour l’année passée. Le filtre ne sera pas mis en œuvre en tant que pré-filtre, et ne peut donc pas être utilisé pour améliorer les performances.

Notes concernant la compatibilité :
Si le projet est compilé pour une version antérieure à la version 7.11, les dispositions suivantes s’appliquent : Si les lots actuels ou l’association de lots en cours et terminés sont sélectionnés, seuls les lots terminés sont affichés dans le Runtime.

Afficher les lots actuels
  • Active : Les lots actuels sont affichés.

Remarque : Si le nombre de lots à afficher est supérieur au nombre de lots actuels, les lots terminés sont également affichés jusqu’à ce que la limite configurée soit atteinte.
Exemple : 3 lots doivent être affichés. 1 lot est en cours d’exécution, 5 lots sont terminés. Le lot actuel et les deux lots terminés sont affichés.

Afficher les lots terminés
  • Active : Les lots terminés sont affichés.

Remarque : Si le nombre de lots à afficher est supérieur au nombre de lots terminés, les lots terminés sont également affichés jusqu’à ce que la limite configurée soit atteinte.

Utiliser le filtre de temps de l’onglet Temps
  • Active : Le préfiltrage est effectué avec les paramètres de l’onglet Temps.

La plage effective du filtre peut être modifiée dans les limites de cette plage de temps. Sélectionnez dans la liste déroulante :

  • Inclure les valeurs de début et de fin situées hors des limites du filtre : (Par défaut)
    Les lots peuvent démarrer avant l’heure de début configurée dans le filtre Temps et se terminer après l’heure de fin configurée.
  • Uniquement les valeurs de début et de fin situées hors des limites du filtre :
    Les lots doivent commencer et se terminer dans les limites des horaires de début et de fin configurés dans le filtre Temps.
  • Inclure les valeurs de début antérieures aux limites du filtre :
    Les lots peuvent démarrer avant l’heure de début configurée dans le filtre Temps et se terminer après l’heure de fin configurée.
  • Inclure les valeurs postérieures à la limite du filtre :
    Les lots peuvent également se terminer après la fin de la période définie dans le filtre Temps, mais doivent commencer à l’heure de début configurée ou après celle-ci.
  • Conformer les valeurs de début et de fin aux limites du filtre :
    Les lots sont tronqués conformément aux horaires de début et de fin configurés dans le filtre Temps.

Archives

Configuration du filtrage pour les archives. Ce filtre est appliqué comme pré-filtre pour la boîte de dialogue de sélection de lots.

Sélectionnez une des options suivantes :

  • Pas de filtre
  • Statique
  • Depuis une variable

Paramètres

Description

Pas de filtre
  • Active : Le filtrage des noms d’archives est désactivé.

Statique
  • Active : Les archives dont l’identifiant correspond à la chaîne de caractères saisie dans le champ de recherche sont filtrées.

Saisissez les identifiants d’archive dans le champ de recherche.

  • Séparez plusieurs identifiants par une virgule (,).
  • * ou vide : Toutes les archives, pas de filtre.

Depuis une variable
  • Active : La valeur des variables liées ici est appliquée sous forme de filtre de noms d’archive dans le Runtime.

Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de variables.

Disponible pour les modules AML et CEL si l'option Appliquer directement le filtre de lots a été sélectionnée : D’autres modules utilisent leurs propres configurations.

Remarques concernant les variables dans le Runtime :

  • La sélection de variables est uniquement activée dans le Runtime si une variable valide a déjà été liée dans le Runtime. Le bouton ... est toujours désactivé dans le Runtime. L’option peut être sélectionnée, mais aucune nouvelle variable ne peut être liée.
  • Si la variable n’est pas authentifiée auprès du driver au moment de l’application du filtre de lots, la variable est authentifiée et lue. Ceci peut entraîner des délais avec les connexions de drivers et protocoles plus lents.

Attention : Si la variable sélectionnée n’est pas présente dans le Runtime, aucun filtrage de noms d’archive n’est effectué. Ceci est également vrai s’il est impossible de déterminer la valeur de la variable. Le filtre correspond dans ce cas au paramètre Pas de filtre.

Remarque concernant le module ETM : Dans le module ETM, les archives sont définies en fonction des courbes configurées dans la fonction d’appel de synoptique. Dans le Runtime, ceci est uniquement possible avec l’option lots relatifs. Les variables doivent alors être sélectionnées dans le Runtime, ce qui dépend de l’éventuelle sélection d’archives. Une fois filtrée, l’archive doit être une des archives liées aux courbes configurées. Si ce n’est pas le cas, aucune donnée ne sera affichée. Ce paramètre peut toutefois également être utilisé pour limiter l’affichage des courbes. Ces courbes restent toutefois affichées dans la liste de courbes.

Exemple avec le module ETM :

Courbes configurées | Source de données | Pré-filtrage des archives dans le filtre de lots | Résultat sur le synoptique
A | AR | AR | Affichée dans la liste de courbes et dessinée dans la tendance.
B | EA |  | Uniquement affichée dans la liste de courbes.
C | EP |  | Uniquement affichée dans la liste de courbes.

Remarque concernant la maintenance d’archive : L’archive pour laquelle le synoptique est ouvert est déjà sélectionnée dans la fonction d’appel de synoptique. Une seule archive peut être sélectionnée?; aussi, il est inutile d’imposer d’autres limitations.

Exemple de maintenance d’archive :

Archive configurée | Pré-filtrage des archives dans le filtre de lots | Résultat sur le synoptique
AR | EA | Aucune donnée n’est affichée.

Noms

Configuration du filtrage des noms. Sélectionnez une des options suivantes :

  • Pas de filtre
  • Statique
  • Depuis une variable

Paramètres

Description

Pas de filtre
  • Active : Le filtrage des noms de lots est désactivé.

Statique
  • Active : Les noms de lots correspondant à la chaîne de caractères saisie dans le champ de recherche sont filtrés.

Saisissez le nom de lot dans le champ de recherche :

  • Séparez les entrées multiples par un tube (|).
  • * ou vide : Tous les lots de toutes les archives affichées, pas de filtre.

Depuis une variable
  • Active : La valeur de la variable liée ici est appliquée sous forme de filtre de noms de lot dans le Runtime.

Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de variables.

Uniquement disponible si l’option Appliquer directement le filtre de lots a été sélectionnée :

Remarques concernant les variables dans le Runtime :

  • La sélection de variables est uniquement activée dans le Runtime si une variable valide a déjà été liée dans le Runtime. Le bouton ... est toujours désactivé dans le Runtime. L’option peut être sélectionnée, mais aucune nouvelle variable ne peut être liée.
  • Si la variable n’est pas authentifiée auprès du driver au moment de l’application du filtre de lots, la variable est authentifiée et lue. Ceci peut entraîner des délais avec les connexions de drivers et protocoles plus lents.

Attention : Si la variable sélectionnée n’est pas présente dans le Runtime, aucun filtrage de noms de lot n’est effectué. Ceci est également vrai s’il est impossible de déterminer la valeur de la variable. Le filtre correspond dans ce cas au paramètre Pas de filtre.

Fermer boîte de dialogue

Paramètres | Description
OK | Applique toutes les modifications effectuées sur tous les onglets, puis ferme la boîte de dialogue.
Annuler | Annule toutes les modifications effectuées sur tous les onglets, puis ferme la boîte de dialogue.
Aide | Ouvre l'aide en ligne.


Paramètres des colonnes

Manuel -> Extended Trend -> Configuration dans Editor -> Appel de synoptique - Extended Trend -> Paramètres des colonnes

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Configuration des paramètres des colonnes pour la liste de courbes étendue.

Paramètres

Description

Affichage du curseur / valeurs comprises entre premier et deuxième curseurs

Configuration des types et des largeurs des colonnes affichées.

Type colonne

Types de colonnes disponibles :

Affichage du curseur

  • Date
  • Variable
  • Valeur
  • Unité de mesure
  • État
  • État

Valeurs entre premier et deuxième curseur

  • Minimum
  • Moyenne
  • Maximum
  • Différence de temps
  • Différence de valeurs
  • Somme
  • Écart-type
  • Nombre de points de mesure

Cliquez sur la case à cocher pour activer ou désactiver l'affichage du type dans le Runtime.

Largeur

Largeur de colonne pour l'affichage sous forme de colonnes ou du nombre de points de mesure entre le premier et le deuxième curseur dans la liste d'affichage du curseur. La valeur correspond au nombre de caractères.

Cliquez sur la valeur pour l'éditer.

Afficher l'en-tête dans la fenêtre d'analyse en mode de compatibilité

Active : Dans les versions zenon antérieures à la version 6.51 SP0, les en-têtes de colonnes sont affichés dans la fenêtre d'analyse en mode de compatibilité. Cette option permet notamment d'afficher des projets convertis dans le Runtime, par exemple.

Elle n'est pas nécessaire pour les projets à partir de la version 6.51. Tous les en-têtes de colonnes sont affichés dans la liste d'analyse.

Liste de courbes étendues

Configuration des paramètres des colonnes pour la liste de courbes étendue.

Champ de liste

Affichage des colonnes configurées.

Sélection de colonnes

Ouvre la boîte de dialogue de sélection des colonnes.

Format des colonnes

Ouvre la boîte de dialogue de mise en forme des colonnes.

OK

Applique toutes les modifications effectuées sur tous les onglets, puis ferme la boîte de dialogue.

Annuler

Annule toutes les modifications effectuées sur tous les onglets, puis ferme la boîte de dialogue.

Aide

Ouvre l'aide en ligne.

info Informations

Les intitulés des colonnes de la liste d'affichage du curseur peuvent être modifiés à l'aide de la fonction de changement de langue.

Pour spécifier un en-tête lors de la conversion de projets créés dans des versions antérieures, vous pouvez supprimer la liste de sortie de curseur existante et la remplacer par le nouvel élément, ou cocher la case Afficher l'en-tête.

Si vous créez des projets destinés à une version de zenon antérieure à la version 6.51 SP0, vous pouvez insérer la liste d'affichage du curseur de votre choix après avoir sélectionné la version souhaitée du Runtime.

Autres sujets abordés dans ce chapitre

Sélection colonne

Format des colonnes

Modifier l'apparence de listes


Sélection colonne

Manuel -> Extended Trend -> Configuration dans Editor -> Appel de synoptique - Extended Trend -> Paramètres des colonnes -> Sélection colonne

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Dans cette section, vous configurez les colonnes affichées dans le Runtime.

Options | Fonction
Colonnes disponibles | Liste de colonnes pouvant être affichées dans la table.
Colonnes sélectionnées | Colonnes affichées dans la table.
Ajouter -> | Déplace la colonne sélectionnée des colonnes disponibles vers les éléments sélectionnés. Lorsque vous confirmez la boîte de dialogue en cliquant sur OK, ces colonnes sont affichées dans la vue de détail.
Ajouter toutes -> | Déplace toutes les colonnes disponibles vers les colonnes sélectionnées.
<- Supprimer | Supprime les colonnes marquées des éléments sélectionnés et les affiche dans la liste des colonnes disponibles. Lorsque vous confirmez la boîte de dialogue en cliquant sur OK, ces colonnes sont supprimées de la vue de détail.
<- Supprimer tout | Toutes les colonnes sont supprimées de la liste des colonnes sélectionnées.
Haut | Déplace l’entrée sélectionnée vers le haut. Cette fonction est uniquement disponible pour les entrées uniques?; les sélections multiples ne sont pas autorisées dans ce cas.
Bas | Déplace l’entrée sélectionnée vers le bas. Cette fonction est uniquement disponible pour les entrées uniques?; les sélections multiples ne sont pas autorisées dans ce cas.

Fermer boîte de dialogue

Options | Description :
OK | Applique les paramètres et ferme la boîte de dialogue.
Annuler | Annule toutes les modifications et ferme la boîte de dialogue.
Aide | Ouvre l'aide en ligne.


Format des colonnes

Manuel -> Extended Trend -> Configuration dans Editor -> Appel de synoptique - Extended Trend -> Paramètres des colonnes -> Format des colonnes

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Les colonnes sont mises en forme ici.

Configuration des propriétés des colonnes pour les listes configurables. Les paramètres ont un effet sur la liste correspondante dans Editor ou, lors de la configuration d’un appel de synoptique, dans le Runtime.

Colonnes disponibles

Options | Description :
Colonnes disponibles | Liste de colonnes disponibles avec la fonction de sélection de colonnes. La configuration de la colonne sélectionnée se déroule via les options de la section Paramètres.

Paramètres

Option

Description :

Paramètres

Paramètres de la colonne sélectionnée.

Intitulé

Nom de l’intitulé de colonne.

Cet intitulé de colonne est compatible avec la fonction de changement de langue en ligne. Pour cela, le caractère @ doit être saisi devant le nom.

Largeur

Largeur de la colonne en caractères.
Calcul : nombre de caractères multiplié par la largeur moyenne des caractères de la police sélectionnée.

Alignement

Alignement. La sélection de l'attribution s'effectue au moyen des cases d'option.

Paramètres possibles :

  • Gauche : Le texte est justifié contre le bord gauche de la colonne.
  • Centré : Le texte est centré dans la colonne.
  • Droite : Le texte est justifié contre le bord droit de la colonne.

Couleurs définies par l'utilisateur

Propriétés permettant de sélectionner des couleurs définies par l’utilisateur pour le texte et l’arrière-plan. Les paramètres ont une incidence dans Editor et dans le Runtime.

Remarque :

  • Ces paramètres sont uniquement disponibles pour les listes configurables.
  • En outre, le focus correspondant dans la liste peut être indiqué par différentes couleurs de texte et d’arrière-plan dans le Runtime. Celles-ci sont configurées dans les propriétés du projet.

Couleurs définies par l’utilisateur

Active : Les couleurs définies par l’utilisateur sont appliquées.

Couleur du texte

Couleur d’affichage du texte. Cliquez sur la couleur pour la palette de sélection de couleurs.

Couleur d'arrière-plan

Couleur d’affichage de l’arrière-plan de la cellule. Cliquez sur la couleur pour la palette de sélection de couleurs.

Désactiver le filtre de colonnes dans le Runtime
  • Active : Le filtre de cette colonne ne peut pas être modifié dans le Runtime.

Remarque : Uniquement disponible pour :

  • Batch Control
  • Extended Trend
  • Synoptiques de filtre
  • Message Control
  • Gestionnaire de groupe de recettes (Recipe Group Manager)
  • Gestion d'équipes
  • Liste contextuelle

Fermer boîte de dialogue

Options | Description :
OK | Applique toutes les modifications effectuées sur tous les onglets, puis ferme la boîte de dialogue.
Annuler | Annule toutes les modifications effectuées sur tous les onglets, puis ferme la boîte de dialogue.
Aide | Ouvre l'aide en ligne.


Modifier l'apparence de listes

Manuel -> Extended Trend -> Configuration dans Editor -> Appel de synoptique - Extended Trend -> Paramètres des colonnes -> Modifier l'apparence de listes

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

L'apparence de la liste de courbes étendue et de la liste de sortie du curseur peut être adaptée aux exigences individuelles :

Barres de défilement, en-têtes et grilles

Pour définir la taille et l’apparence des barres de défilement, de l’en-tête ou des grilles du tableau :

  1. Dans le groupe Affichage, activez la propriété Paramètres du graphique étendu.
  2. Définissez les propriétés de votre choix dans les groupes Ascenceurs et En-tête et grille.

info Informations

Si la propriété Fichier graphique est sélectionnée pour la propriété Style d'affichage, tous les éléments pour lesquels aucun fichier graphique n'a été sélectionné sont illustrés avec un dégradé de couleurs. Les éléments graphiques transparents ne peuvent pas être utilisés pour les éléments de contrôle des listes.

Tri dans le Runtime

Pour sélectionner une colonne aux fins du tri dans le Runtime et déterminer la séquence de tri, configurez l'élément graphique pour la ligne d'intitulé :

  1. Sélectionnez le fichier graphique pour la propriété Style d'affichage.
  2. Liez les propriétés Tri croissant et Tri décroissant à un fichier graphique.

    Le fichier graphique sélectionné pour le sens de tri concerné est affiché dans le Runtime, pour autoriser le tri des colonnes concernées.

    • Cliquez sur l'élément graphique pour modifier l'ordre de tri.
    • Cliquez sur l’intitulé d’une colonne pour activer le tri de cette colonne.

Utilisation de l'en-tête dans le Runtime

Pour la liste de courbes étendue, vous disposez également de propriétés permet de configurer et de trier les colonnes d'un clic de souris.

Vous pouvez permettre aux utilisateurs d'actionner l'en-tête dans le Runtime. Cela autorise la personnalisation de l'apparence dans le Runtime :

  • Déplacer les colonnes avec glisser-&déplacer
  • Modification de largeur de colonne avec la souris
  • Modification de l’ordre de tri

Pour cela, utilisez les propriétés suivantes :

  • Figer la sélection des colonnes : Contrôle la possibilité de déplacer ou modifier la largeur des colonnes avec la souris dans le Runtime.
    • Active : les colonnes ne peuvent pas être déplacées en effectuant un glisser-déplacer, et leur largeur ne peut pas être modifiée.
    • inactive : Les colonnes peuvent être réorganisées en effectuant un glisser-déplacer&, et la largeur des colonnes peut être modifiée avec la souris
  • Désactiver le tri : Contrôle la possibilité de trier les colonnes du tableau dans le Runtime.
    • Active : Le tableau ne peut pas être trié.
    • inactive : Le tableau peut être trié en cliquant sur l’en-tête.

La propriété Figer la sélection des colonnes est disponible dans la liste de sortie du curseur.

Aperçu

Lorsque vous activez la propriété Paramètres du graphique étendu, l'en-tête et les barres de défilement sont affichés sous forme d'aperçu dans Editor. Ainsi, les détails tels que les couleurs, les effets de remplissage et de lumière ou les grilles peuvent être configurés plus facilement.

Attention : puisque la taille des barres de défilement est égale à leur taille dans le Runtime, la taille totale de la liste dans Editor peut différer de la taille dans le Runtime. Cela s'applique également à la taille de l'en-tête et à la police de caractères de l'en-tête.


Paramètres de l'imprimante

Manuel -> Extended Trend -> Configuration dans Editor -> Appel de synoptique - Extended Trend -> Paramètres de l'imprimante

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Configuration des paramètres d'impression ou d'impression dans un fichier.

Sortie

Paramètres

Description

Sortie

Configuration du type de sortie et des options correspondantes.

Imprimante

Active : Le diagramme est transmis à l'imprimante défini dans la section Configuration générale de zenon (sélection par défaut pour les captures d'écran). Reportez-vous également au chapitre relatif aux imprimantes.

Fichier

Active : Le diagramme est enregistré sous forme de fichier. Configurez la sortie avec les options :

  • Type
  • Largeur
  • Hauteur
  • Définition du nom de fichier
  • Nom de fichier automatique
  • Avec préfixe

Ces options sont uniquement disponibles pour la sortie sous forme de fichier.

Type

Sélectionnez le type de fichier dans la liste déroulante. Les possibilités suivantes sont disponibles :

  • JPG
  • BMP
  • SVG

Largeur

Saisissez la largeur du fichier graphique, en pixels.

Hauteur

Saisissez la hauteur du fichier graphique, en pixels.

Définition du nom de fichier

Active : Saisissez un nom de fichier au choix.

Nom de fichier automatique

Active : Le nom de fichier est généré automatiquement.

Format : <Préfixe_><AAAAMMJJ>_<HHMM>.<Type>

Avec préfixe

Disponible uniquement si la propriété Nom de fichier automatique a été activée.

Saisissez le préfixe de votre choix pour le nom de fichier automatiquement créé. Ce préfixe est inséré avant le nom, suivi d'un caractère de soulignement (_).

Options

Paramètres | Description
Options | Configuration des options.
Afficher la légende | Active : Une légende est imprimée avec le diagramme. Celle-ci vous informe sur les courbes et les couleurs, par exemple.
Imprimer sur une page | Active : La légende est imprimée sur la même page que le diagramme.

En-tête et pied de page, intitulé et commentaire

Paramètres

Description

En-tête et pied de page, intitulé et commentaire

Pour l'impression d'un diagramme Extended Trend, des informations supplémentaires peuvent être configurées pour l'en-tête et le pied-de-page, ainsi qu'un titre et des commentaires.

Quatre boutons sont disponibles pour faciliter la saisie :

  • Date
  • Heure :
  • Nom du diagramme
  • Numéro de page

En-tête

Saisissez des informations pour les sections suivantes de l'en-tête :

  • Gauche
  • Centré
  • À Droite

Le pied de page

Saisissez des informations pour les sections suivantes du pied-de-page :

  • Gauche
  • Centré
  • À Droite

Titre

Saisissez un titre.

Commentaire

Saisissez un commentaire.

OK

Applique toutes les modifications effectuées sur tous les onglets, puis ferme la boîte de dialogue.

Annuler

Annule toutes les modifications effectuées sur tous les onglets, puis ferme la boîte de dialogue.

Aide

Ouvre l'aide en ligne.

Remarque : Les impressions lancées en cliquant sur le bouton Imprimer d'un synoptique Extended Trend peuvent différer de celles effectuées à l'aide des fonctions Appel de synoptique – Extended Trend ou Imprimer un diagramme Extended Trend. La fonction lance l'impression en se basant sur une fenêtre de 1000 x 700 pixels. Les proportions des impressions lancées à l'aide du bouton sont définies dans Editor.


Configuration des courbes

Manuel -> Extended Trend -> Configuration dans Editor -> Configuration des courbes

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Pour créer des courbes, cliquez sur le bouton Ajouter sur l'onglet Données. Pour configurer les courbes :

  1. Sélectionnez la courbe dans la liste
  2. Cliquez sur le bouton Édition
  3. La boîte de dialogue de configuration s'affiche à l'écran.
  4. Configurez les éléments suivants :
    1. Paramètres de la courbe
    2. Paramètres axe Y

Autres sujets abordés dans ce chapitre

Paramètres de la courbe

Paramètres axe Y

Diagramme de Gantt


Paramètres de la courbe

Manuel -> Extended Trend -> Configuration dans Editor -> Configuration des courbes -> Paramètres de la courbe

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Pour chaque courbe de tendance, les caractéristiques peuvent être paramétrées.

Courbe

Paramètres | Description
Courbe | Configuration de la courbe.
Nom de la courbe | Nom de la courbe, librement défini. Le nom de la variable est saisi par défaut. Remarque : toute modification ultérieure du nom de la variable n'a aucune incidence sur les noms de courbes existants.
Épaisseur de ligne [Pixels] | Définit la largeur de la courbe, en pixels.
Distance depuis le cadre supérieur (pixels) | Uniquement disponible pour les diagrammes de Gantt. Définissez la distance en pixels entre le diagramme de Gantt et le cadre supérieur du diagramme.

Type d'affichage

Paramètres

Description

Type d'affichage

Définition du type de ligne pour la courbe de tendance. Formats possibles :

  • Ligne
  • Tirets
  • Points
  • Tiret-point
  • Tiret-point-point

Remarque : Dans la propriété Qualité graphique, si l'option Base Windows a été sélectionnée, seules des lignes continues peuvent être affichées dans le module Extended Trend pour une largeur de ligne supérieure à 1.

Interpolation

Active : Les valeurs sont connectées par des lignes brisées (positions d'ancrage).

Inactive : Les modifications de valeurs sont affichées sous forme de sauts de ligne (affichage étagé).

Prolonger la courbe

Active : La courbe est prolongée du dernier point de données disponible jusqu'à l'instant actuel.

Domaine de visualisation

Active : Les valeurs sont affichées sous forme de surfaces, et non de lignes.

Diagramme de Gantt

Active : L'affichage de Gantt est activé pour cette courbe. Le nom de la courbe est utilisé dans l'intitulé

Pour des détails concernant les limitations, reportez-vous aux sections Diagramme de Gantt et Paramètres de l'axe Y.

Affichage de la valeur limite

Uniquement disponible pour les diagrammes de Gantt.

Active : La valeur limite numérique est affichée.

Affichage de textes de valeurs limites

Uniquement disponible pour les diagrammes de Gantt.

Active : La description de la valeur limite est affichée.

Couleur

Paramètres

Description

Couleur

Configuration des couleurs de l'affichage.

Couleur de courbe

Configuration de la couleur de la courbe. Cliquez sur Couleur pour ouvrir la boîte de dialogue de sélection de couleur.

Remplissage

Transparence de la couleur de remplissage. Cliquez sur Couleur pour ouvrir la boîte de dialogue de sélection de couleur.

Valable uniquement si l'option Plage d'affichage a été activée.

Transparence de la couleur de remplissage [%]

Définition de la transparence de la couleur de remplissage, en pourcentage. Ceci permet d'éviter que les courbes ne soient masquées par des courbes comportant une plage d'affichage.

  • 0 % : aucune transparence
  • 100 % : transparence totale

Remarque : Indisponible pour for Windows CE.

Décalage de l'affichage

Paramètres | Description
Décalage de l'affichage | Configuration du décalage de l'affichage.
Jours | Déplace la courbe du nombre de jours défini.
Heures | Déplace la courbe du nombre d'heures défini.
Minutes | Déplace la courbe du nombre de secondes défini.
Changement de mois | Déplace la courbe d'un mois.
Changement d'année | Déplace la courbe d'un an.
OK | Applique toutes les modifications effectuées sur tous les onglets, puis ferme la boîte de dialogue.
Annuler | Annule toutes les modifications effectuées sur tous les onglets, puis ferme la boîte de dialogue.
Aide | Ouvre l'aide en ligne.


Paramètres axe Y

Manuel -> Extended Trend -> Configuration dans Editor -> Configuration des courbes -> Paramètres axe Y

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Les paramètres des courbes sont définis dans cette boîte de dialogue et dans la boîte de dialogue Paramètres courbe.

Affichage

Paramètre

Description

Affichage

Paramètres d'affichage des courbes dans le Runtime.

Intitulé de l'axe

Nom de l'axe.

Position

Positionnement de l'axe Y sur l'axe X, en pourcentage de la longueur de l'axe X.

  • 0 : gauche,
  • 100 : droite

Couleur

Configuration de la couleur de l'axe. Cliquez sur Couleur pour ouvrir la boîte de dialogue de sélection de couleur.

Attention : peut être configuré indépendamment de la couleur de la courbe.

Afficher les lignes horizontales de la grille

Affichage des lignes de référence à chaque graduation principale.

Indisponible pour les diagrammes de Gantt.

Type d'axe

Paramètre | Description
Type d'axe | Définition de l'échelle de l'axe Y. Indisponible pour les diagrammes de Gantt.
Linéaire | Division linéaire de l'axe Y. Indisponible pour les diagrammes de Gantt.
Logarithmique | Division logarithmique de l'axe Y

Échelle

Paramètre

Description

Échelle

Définit la plage d'affichage de la variable de procédé à l'intérieur de sa plage de valeurs techniques (fonction de zoom).

Indisponible pour les diagrammes de Gantt.

De

Valeur de départ de l'échelle.

À

Valeur de fin de l'échelle.

Échelle automatique

Active : La mise à l'échelle de l'axe est automatiquement déterminée pour cette courbe dans le Runtime. Les valeurs min/max de la zone à afficher sont utilisées comme limites de l'axe.

Si la case est cochée, les champs de saisie de la fonction de mise à l'échelle (De/À) ne sont plus disponibles pour une configuration individuelle.

Intitulé

Paramètre | Description
Intitulé | Positionnement de l'affichage de la légende de l'axe par rapport à l'axe
À gauche de l'axe | Les valeurs sont affichées à gauche de l'axe.
À droite de l'axe | Les valeurs sont affichées à droite de l'axe.
Affichage exponentiel | Les valeurs sont affichées de manière exponentielle. Indisponible pour les diagrammes de Gantt.
Masquer les unités | Active : Les unités ne sont pas affichées dans les intitulés des axes. Permet d'afficher plusieurs variables comportant des unités différentes. Par défaut : Inactive Indisponible pour les diagrammes de Gantt.

Graduations

Paramètre | Description
Graduations | Définition de la subdivision de l'axe (nombre de graduations). Indisponible pour les diagrammes de Gantt.
Nombre de graduations principales | Nombre de graduations principales avec indication de valeur.
Longueur des graduations principales (en pixels) | Longueur des graduations principales en pixels.
Nombre grad. secondaires | Nombre de graduations entre deux graduations principales.
Définir automatiquement le nombre de graduations principales | Définition automatique de l'échelle et des graduations de l'axe dans le mode de fonctionnement en ligne.
OK | Applique toutes les modifications effectuées sur tous les onglets, puis ferme la boîte de dialogue.
Annuler | Annule toutes les modifications effectuées sur tous les onglets, puis ferme la boîte de dialogue.
Aide | Ouvre l'aide en ligne.

L'affichage de la courbe et de l'axe Y est configuré à l'aide des cases à cocher Axe Y et Active sur l'onglet Données.


Diagramme de Gantt

Manuel -> Extended Trend -> Configuration dans Editor -> Configuration des courbes -> Diagramme de Gantt

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Le diagramme de Gantt vous permet de visualiser l'état d'un élément d'équipement dans le module Extended Trend. Il peut par exemple être affiché lorsqu'un élément d'équipement a été en fonctionnement, en maintenance, à l'arrêt ou autre. Ce diagramme de type Extended Trend permet de comparer les états d'un élément d'équipement et la courbe de caractéristiques du procédé. Vous pouvez ainsi obtenir des conclusions concernant le comportement d'un équipement. Vous pouvez par exemple détecter un comportement anormal de la courbe des caractéristiques du procédé, mais constater ensuite sur le diagramme de Gantt que l'équipement était en maintenance à cet instant.

Développement

Avec le diagramme de Gantt, les valeurs limites et matrices de réaction sont prises en considération pour l'évaluation, et non les valeurs réelles des variables concernées. L'affichage reflète l'état d'un équipement ; la valeur exacte n'a aucune incidence.

Les diagrammes de Gantt individuels sont affichés dans le cadre supérieur de l'élément de contrôle. Assurez-vous de créer un cadre suffisamment large pour qu'aucun problème d'affichage ne se présente.

La valeur limite dépassée ou la matrice de réaction est utilisée en tant que base de couleur des différents diagrammes de Gantt. Dans ce cas, les valeurs limites actuellement configurées et les états de la matrice de réaction sont toujours utilisés à cette fin. Si vous les modifiez, mêmes les évaluations historiques sont affichées avec les valeurs actuelles. Il n'existe aucun historique des valeurs limites ou des états d'une matrice de réaction.

Remarque : Si un diagramme de Gantt doit également afficher l'état actuel, lors de la configuration de l'archivage sur l'onglet Enregistrement, l'option Enregistrement du synoptique de procédé au démarrage doit être activée.

Paramètres de la courbe

Les paramètres de la courbe du diagramme de Gantt peuvent être modifiés dans la même boîte de dialogue que celle utilisée pour la configuration générale des courbes. Les paramètres à configurés diffèrent en partie :

  • Le nom de la courbe est utilisé dans l'intitulé
  • Distance par rapport au bord supérieur : Une valeur négative doit être saisie ici pour l'affichage de la courbe dans le module Extended Trend.
  • Affichage de la valeur limite
  • Affichage de textes de valeurs limites

    Si les options Affichage de la valeur limite et Affichage texte de limite sont utilisées simultanément, l'affichage est défini comme suit :
    Texte de valeur limite/Valeur limite

Axe Y

La configuration de l'axe Y s'effectue dans la même boîte de dialogue que la configuration générale de la courbe. La configuration de l'intitulé se déroule ici.

  • Couleur
  • Position en % de la largeur de l'axe X (mesurée en partant de la gauche)

Les paramètres suivants ne sont pas disponibles pour l'axe Y dans les diagrammes de Gantt :

  • Afficher les lignes horizontales de la grille
  • Type d'axe
  • Échelle
  • Affichage exponentiel
  • Redimensionnement

Affichage durant le Runtime :

Diagramme de Gantt pour les variables chaîne

La configuration des paramètres de la courbe pour le diagramme de Gantt pour les variables d'archive chaîne diffère de la configuration des autres diagrammes de Gantt sur les aspects suivants :

  • Affichage de valeurs limites : inactif
  • Affichage de textes de valeurs limites : inactif
  • Couleur de remplacement : remplace la propriété Couleur de remplissage, initialisé avec une couleur différente de la couleur de la courbe

Dans le Runtime :

L'affichage avec ce diagramme de Gantt est semblable à l'affichage d'un diagramme de Gantt classique, mais comporte les différences suivantes :

  • Pour chaque nouvelle valeur de la variable, la barre change de couleur entre la couleur de la courbe et la couleur de remplacement
  • La valeur de chaîne des variables est affichée sous forme de texte

Remarques concernant la configuration du diagramme de Gantt pour les valeurs de chaîne

Pour les diagrammes de Gantt comportant du texte, le paramètre Largeur de ligne n'est pas modifié automatiquement. La valeur par défaut 0 correspond ici à une largeur de 1 pixel. La police est définie par les paramètres de l'onglet Affichage ; la couleur de la police est Noir.

Pour l'enregistrement des variables chaîne de l'archive, si l'option Enregistrement événementiel a été sélectionnée et l'état actuel doit être affiché, l'option Enregistrer le synoptique de procédé au démarrage doit être activée.

Si des fichiers de Runtime ont été créés pour une version antérieure à zenon 7.11 :

  • La courbe du diagramme de Gantt correspondant aux variables chaîne n'est pas supprimée
  • Une barre sans texte est affichée aussi longtemps que la variable comporte une valeur


Profils de filtre

Manuel -> Extended Trend -> Configuration dans Editor -> Profils de filtre

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Les profils de filtre sont des paramètres que l’utilisateur peut enregistrer et activer dans le Runtime en rapport avec un synoptique particulier.

Pour pouvoir utiliser les profils de filtre, vous devez configurer les éléments suivants :

Élément de contrôle | Description
Profils de filtre | Gestion des profils dans le Runtime.
Sélectionner un profil | Sélection, dans une liste déroulante, d’un profil enregistré.
Enregistrer | Cliquez sur le bouton dans le Runtime pour enregistrer les profils de filtre sous forme de profil. Remarque : Le nom ne peut contenir que 31 caractères maximum et uniquement des caractères valides. Les caractères suivants sont interdits : ! \ / : * ? < > | ""
Supprimer | Cliquez sur le bouton dans le Runtime pour supprimer le profil sélectionné.

Ceci vous permet d’effectuer les opérations suivantes dans le Runtime :

  • Enregistrer des filtres
  • Utiliser des filtres enregistrés
  • Supprimer des profils de filtre

Les profils de filtre peuvent également être exportés et importés avec d’autres éléments de contrôle.


Fonction Imprimer un diagramme Extended Trend

Manuel -> Extended Trend -> Configuration dans Editor -> Fonction Imprimer un diagramme Extended Trend

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

La fonction Imprimer le diagramme Extended Trend vous permet d'imprimer les diagrammes de type Extended Trend ou de les enregistrer dans un fichier (JPG, BMP ou SVG) sans ouvrir le synoptique Extended Trend.

Pour configurer la fonction :

  1. Créez une nouvelle fonction
  2. Accédez au nœud Applications.
  3. Sélectionnez Imprimer un diagramme Extended Trend.

La fonction sera créée de manière semblable à un appel de synoptique.

Remarque : Les impressions lancées en cliquant sur le bouton Imprimer d'un synoptique Extended Trend peuvent différer de celles effectuées à l'aide des fonctions Appel de synoptique – Extended Trend ou Imprimer un diagramme Extended Trend. La fonction lance l'impression en se basant sur une fenêtre de 1000 x 700 pixels. Les proportions des impressions lancées à l'aide du bouton sont définies dans Editor.


Entrées du fichier project.ini

Manuel -> Extended Trend -> Configuration dans Editor -> Entrées du fichier project.ini

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Les entrées suivantes peuvent être spécifiées dans le fichier project.ini pour le diagramme Extended Trend.

Paramètre

Description

[DEFAULT]

Paramètres généraux

MILLISEK=
  • 1 : Affichage sur une grille graduée en millisecondes
  • 0 : valeur minimum d'actualisation de la grille

[EW_TREND]

ANZEIGE_GWTEXT=
  • 1 : Affichage de textes de valeurs limites (par défaut)
  • 0 : ne pas afficher

[ARCHIV]

Configuration des archives

ARCHDIGITS=

Nombre de positions décimales pour l'exportation d'archives aux formats TXT, XML ou DBF et pour l'exportation vers un serveur SQL.
Par défaut : 1

TRENNZEICHEN=

Séparateur pour l'exportation sous forme de fichier ASCII.
Par défaut : ;

SPEICHER=

Nombre maximum de valeurs lues pour les fonctions Extended Trend, Maintenance d'archive et les rapports.

Par défaut : 1000

SQL_MAXROWS=

Nombre maximum de valeurs pouvant être lues depuis la base de données SQL.

La valeur saisie correspond à des incréments de 1000 valeurs.
100 = 100 000 valeurs.

À compter de la version 6.50, une fonction vérifie automatiquement qu'il reste 10 % de mémoire libre.


Utilisation dans le Runtime

Manuel -> Extended Trend -> Utilisation dans le Runtime

En mode de fonctionnement en ligne, la fenêtre du module Extended Trend est ouverte à l'aide d'une fonction. Le synoptique prédéfini dans Editor est affiché.

Avec la liste de courbes étendue :

Différents éléments de contrôle permettent d'utiliser le module Extended Trend et les affichages, selon la configuration.

Élément

Description

Fenêtre

Sélection de la fenêtre d'affichage des diagrammes et des courbes dans le Runtime.

Elément de contrôle

Description

Diagramme

Fenêtre d'affichage des tendances de courbes

Indisponible si le synoptique a été appelé lorsque l'option Afficher la boîte de dialogue de sélection de lots -> Sélection relative des lots était active.

Nom du diagramme

Affiche le nom du diagramme.

Remarque : Élément de type Texte dynamique. L'attribution de la fonctionnalité a lieu à l'aide de la propriété Fonction spécifique au type de synoptique.

Définir filtre

Affiche l'état actuel du filtre de temps actuel dans le Runtime.

Remarque : Élément de type Texte dynamique. L'attribution de la fonctionnalité a lieu à l'aide de la propriété Fonction spécifique au type de synoptique.

Fenêtre de sortie du curseur

Affiche la position du curseur dans la fenêtre du diagramme et les valeurs définies dans les paramètres du diagramme et l'affichage du curseur

Liste de courbes étendue

Liste de courbes pouvant être modifiée dans le Runtime. Les éléments suivants peuvent être édités :

  • Nom de la courbe
  • Titre
  • Couleur
  • Remplissage
  • Domaine de visualisation
  • Axe Y
  • Active
  • Ordre de tri

Remarque : Indisponible sous Windows CE. Dans cet environnement, remplacée par la fonction Liste de courbes (obsolète).

Liste de courbes CE

Liste de courbes.

Utilisée pour des raisons de compatibilité avec Windows CE. La liste de courbes étendue est recommandée pour tous les autres projets.

Fonctions du diagramme

Contrôles prédéfinis des diagrammes.

Elément de contrôle | Description
Filtre | Affichage du filtre défini.
Paramétrage du diagramme | Active la boîte de dialogue de configuration des paramètres du diagramme et d'affichage du curseur
Courbes | Modifier les paramètres des courbes.
Axe X | Ouvre la boîte de dialogue des paramètres de l'axe X Indisponible si le synoptique a été appelé lorsque l'option Afficher la boîte de dialogue de sélection de lots -> Sélection relative des lots était active.
Actualiser | Rafraîchit l'affichage.
Arrêter | Arrête d'actualiser l'affichage.
Suivant | Mettre l'affichage à jour
Curseur actif/inactif | Exécuter une requête de valeurs
Double curseur actif/inactif | Affichage des valeurs situées entre deux curseurs.
Imprimer | Imprime le diagramme. Remarque : Les impressions lancées en cliquant sur le bouton Imprimer d'un synoptique Extended Trend peuvent différer de celles effectuées à l'aide des fonctions Appel de synoptique – Extended Trend ou Imprimer un diagramme Extended Trend. La fonction lance l'impression en se basant sur une fenêtre de 1000 x 700 pixels. Les proportions des impressions lancées à l'aide du bouton sont définies dans Editor.
Imprimer avec boîte de dialogue | Définitions de différents paramètres avant l'impression du diagramme.
Copier vers le presse-papiers | Copie l'affichage vers un emplacement de stockage provisoire.
Exporter les données affichées | Exporte toutes les données visibles de toutes les courbes sous forme de fichier CSV.

Navigation dans le diagramme

Boutons de navigation dans le diagramme.

Elément de contrôle

Description

Déplacer le curseur d’un pixel vers la gauche.

Déplace le curseur d’un pixel vers la gauche.

Si vous appuyez sur la touche Maj en sélectionnant cette option, le curseur se déplace de 10 pixels.

Déplacer le curseur d’un pixel vers la droite

Déplace le curseur d’un pixel vers la droite.

Si vous appuyez sur la touche Maj en sélectionnant cette option, le curseur se déplace de 10 pixels.

Reculer

Se déplacer vers l'arrière sur l'axe du temps (historique)

En arrière d'un quart

Déplace la période de temps affichée en arrière d'un quart de l'unité de mesure sélectionnée.

Avancer

Se déplacer vers l'avant sur l'axe du temps (actuel)

En avant d'un quart

Déplace la période de temps affichée en avant d'un quart de l'unité sélectionnée.

Zoom

Agrandir l'affichage

Reculer d'une étape

Réduire l'affichage

Zoom +

Réduit les intervalles de temps d'

Zoom -

Augmente les intervalles de temps d'affichage

Zoom à 100 %

Règle le facteur de zoom sur 100%.

Cette action de zoom est enregistrée dans l'historique du zoom.

Par exemple : la fonction zoom est utilisée

  • pour agrandir deux fois une zone sélectionnée de la courbe Extended Trend,
  • puis l'option Zoomer le contenu à100 % est sélectionnée
  • pour agrandir une nouvelle fois la zone sélectionnée ;

quatre événements Zoom apparaissent alors dans l'historique. Vous pouvez les parcourir à l'aide du bouton Annuler.

Éléments compatibles

Les éléments de contrôle supprimés ou remplacés par des versions plus récentes restent disponibles, pour des raisons de compatibilité. Ces éléments ne sont pas pris en compte lors de l’insertion automatique de modèles.

Elément de contrôle | Description
Nom du diagramme | Élément de contrôle statique Win32. Remplacé par un champ de texte dynamique. Pour la description, reportez-vous à l’élément actuel.
Définir filtre | Élément de contrôle statique Win32. Remplacé par un champ de texte dynamique. Pour la description, reportez-vous à l’élément actuel.

Profils de filtre

Boutons de configuration des filtres dans le Runtime.

Elément de contrôle | Description
Sélection de profil | Sélectionner un profil dans la liste.
Enregistrer | Enregistrer la configuration actuelle sous forme de profil. Remarque : Le nom ne peut contenir que 31 caractères maximum et uniquement des caractères valides. Les caractères suivants sont interdits : ! \ / : * ? < > | ""
Supprimer | Supprimer le profil sélectionné.
Importer | Importe les profils de filtre depuis un fichier d’exportation.
Exporter | Exporte les profils de filtre vers un fichier.

info Informations

Les éléments de contrôle Déplacer le curseur d’un pixel vers la gauche et Déplacer le curseur d’un pixel vers la droite déplacent le curseur s'il est actif, et non la tendance.

Vous pouvez également utiliser les touches fléchées de votre clavier à la place des éléments de contrôle.

Si vous maintenez la touche Maj enfoncée pendant que vous déplacez le curseur à l'aide des touches fléchées, le déplacement est effectué par incréments de 10 pixels.

Si, dans l'archive du module Extended Trend, les valeurs sont affichées ou l'actualisation continue des valeurs en ligne est désactivée, les valeurs actuelles de la courbe seront relues jusqu'à l'heure actuelle lorsque vous cliquez sur le bouton Actualiser. Elles peuvent également être actualisées conformément aux intervalles d'actualisation définis dans le diagramme.

Il est possible de se déplacer dans le diagramme Extended Trend au-delà de l'affichage sur l'axe X en utilisant les boutons << (affichage des valeurs anciennes) et >> (affichages des valeurs récentes). Si les données en ligne sont affichées, la profondeur d'entrée maximum définie pour les variables de procédé peut être affichée. Pour la représentation des valeurs d'archives, la configuration des archives enregistrées dans la base de données est déterminante.

info Informations

La fréquence d'actualisation s'adapte de manière dynamique au temps de chargement des données du module Extended Trend. Si le chargement dure plus longtemps que la moitié de l'intervalle de rafraîchissement, la fréquence de rafraîchissement est doublée.

Zoom

Cliquez sur le bouton Zoom +, puis tracez une zone de sélection sur le diagramme pour afficher les valeurs avec une résolution plus détaillée et des intervalles réduits (axe X et Y). Le zoom n'est possible que si la zone sélectionnée comprend au moins une subdivision par axe. Le zoom multiple est possible. Cliquez sur le bouton Annuler le zoom pour rétablir le facteur de zoom précédemment défini.

Données en ligne

Avec les données en ligne et le rafraîchissement actif, la visualisation est actualisée à chaque fois avec la valeur courante. Pour pouvoir parcourir le diagramme, vous devez désactiver l'actualisation continue en cliquant sur le bouton Arrêt. Pour réactiver la fonction d'actualisation continue, cliquez sur le bouton Suivant. A la prochaine actualisation du diagramme, les nouvelles données et la nouvelle plage selon l'axe X sont actualisés.

info Informations

Variables en ligne dans le module Extended Trend :

Les variables en ligne du module Extended Trend sont configurées dans Editor et ne peuvent pas être modifiées dans le Runtime. La mémoire circulaire sur disque dur est également configurée pour la variable lors de la configuration dans Editor. La mémoire circulaire des variables dans le Runtime ne peut être ni créée, ni modifiée. Les variables en ligne ne peuvent donc pas être adaptées dans le Runtime.

D'autres variables d'archives peuvent également être ajoutées dans le Runtime.

Autres sujets abordés dans ce chapitre

Curseur

Exporter données

Paramétrage du diagramme

Utilisation de la liste de courbes étendue

Filtre d'appel de synoptique

Modification rapide des paramètres d'axe en mode de fonctionnement en ligne

Afficher les différences entre les méthodes de transfert


Curseur

Manuel -> Extended Trend -> Utilisation dans le Runtime -> Curseur

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Cliquez sur le bouton Curseur actif/inactif pour lancer le mode d'analyse. Un curseur apparaît au milieu du diagramme. Vous pouvez déplacer le curseur en cliquant dessus avec le bouton gauche et en déplaçant la souris en maintenant le bouton gauche enfoncé. Vous pouvez également utiliser le clavier. Appuyez sur les touches fléchées gaucheou droite pour déplacer le curseur par petits incréments. Pour obtenir des incréments plus importants, appuyez sur la touche Maj en même temps. Vous pouvez voir la valeur correspondante dans la fenêtre d'affichage du curseur. Cliquez à nouveau sur le bouton Curseur actif/inactif pour quitter le mode d'analyse. Les informations suivantes peuvent être affichées dans la fenêtre d'affichage du curseur :

Paramètre | Description
Date | Date/Heure de la valeur sauvegardée Échelle minimale : Millisecondes
Variable | Nom de la variable dont est issue la valeur.
Valeur | Valeur.
Unité | Unité de la valeur sauvegardée
État | Texte de condition (valeur limite) de la valeur sauvegardée.
État | État de la valeur sauvegardée.
Minimum | Valeur minimum de la période de représentation (facultatif).
Moyenne | Valeur moyenne de la période de représentation (facultatif).
Maximum | Valeur maximum de la période de représentation (facultatif).
Différence de temps | Différence de temps. Échelle minimale : Millisecondes
Différence de valeurs | Différence entre les valeurs.
Somme | Somme
Écart-type | Écart-type.
Nombre de points de mesure | Nombre de points de mesure

Pour modifier les informations affichées et la largeur des colonnes, cliquez sur le bouton Paramétrage du diagramme... La boîte de dialogue de configuration du module Extended Trend s'affiche. :

Sur l'onglet Paramètres des colonnes, vous pouvez définir les largeurs des colonnes pour les différentes entrées affichées dans la fenêtre d'affichage du curseur. La case à cocher vous permet de déterminer les colonnes que vous souhaitez afficher.

info Informations

Si un affichage XY est configuré, seule la valeur actuelle correspondante est affichée au début de l'analyse. Celle-ci ne peut pas être mise à jour. Le curseur ne peut pas être déplacé.

Double curseur actif/inactif

Si vous avez configuré l'élément de contrôle Activer/désactiver le double curseur, vous avez la possibilité d'utiliser un deuxième curseur dans le diagramme. Cela autorise une analyse avec deux curseurs distincts. Cliquez sur le bouton Activer/désactiver le double curseur pour afficher deux curseurs : un premier à l'extrémité gauche du diagramme, et un deuxième à son extrémité droite). Vous pouvez déplacer le deuxième curseur avec la souris ou le clavier. Pour cela, maintenez la touche Ctrl enfoncée et appuyez sur les touchées fléchées gauche ou droite pour déplacer le curseur par petits incréments. Pour obtenir des incréments plus importants, appuyez sur la touche Maj en même temps.

Les valeurs comprises entre le premier et le deuxième curseur sont affichées dans la fenêtre d'affichage du curseur. Vous pouvez personnaliser les colonnes disponibles à votre convenance dans la boîte de dialogue Paramètres du diagramme et affichage du curseur.

info Informations

Le double curseur n'est pas disponible pour le type Ensemble de blocs.

Écriture des abscisses dans les variables

Deux variables peuvent être définies pour les curseurs dans lequel sont écrites les abscisses, pour appeler et déplacer les curseurs (temps ou valeurs X). Les variables peuvent être LREAL ou DWORD/DINT/UDINT, et la configuration s'effectue lors de l'appel de synoptique, sur l'onglet Affichage. Les valeurs sont alors enregistrées au format d'heure Unix (nombre de secondes écoulées depuis le 1er janvier 1970 à 00:00 UTC).


Exporter données

Manuel -> Extended Trend -> Utilisation dans le Runtime -> Exporter données

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

En tant qu'élément de contrôle, un bouton Exporter toutes les données pour le module Extended Trend peut être inséré et utilisé dans le Runtime. Dans ce cas, toutes les données visibles de toutes les courbes affichées sont enregistrées dans un fichier texte au format CSV.

Format du fichier CSV

  • Les données sont enregistrées sous forme de fichier texte au format Unicode.
  • Séparateur : Point-virgule (;)
  • Vous êtes libre de choisir l'emplacement et le nom du fichier dans la boîte de dialogue d'enregistrement.
  • Le fichier ne comporte pas d'en-tête.
  • Les données sont affichées dans l'ordre suivant dans le fichier texte :

    Nom de la variable;Identification;Valeur;Unité;État;Heure

Propriété

Format

Nom de la variable :

chaîne de caractères

Identification :

chaîne de caractères

Valeur :
  • Jusqu'à 8 chiffres avant le séparateur décimal
  • 8 chiffres après le séparateur décimal

Unité :

chaîne de caractères

État :

chaîne de caractères

Heure :

jj.mm.aaaa hh:mm:ss.ms

Aucune sortie n'est générée si une propriété de variable exportée est vide.

Exemple : MyVarREAL_4;;978.45000000;;SPONT;09.09.2011 09:37:44.443

attention Attention

Si un trop grand nombre de courbes est sélectionné pour l'exportation, la collecte des données pourra demander beaucoup de temps.


Paramétrage du diagramme

Manuel -> Extended Trend -> Utilisation dans le Runtime -> Paramétrage du diagramme

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Des modifications temporaires (sans sauvegarde) peuvent être effectuées dans le Runtime à partir de la configuration existante dans Editor. Pour ouvrir la boîte de dialogue de configuration, cliquez sur le bouton Diagramme.

Options de modification importantes :

Paramètre | Description
Autres données : Courbe > Active | Active / désactive l'affichage de la courbe sélectionnée.
Autres données : Courbes > Axe Y | Active / désactive l'affichage de l'axe Y de la courbe sélectionnée
Autres données : Courbe > Édition | Modifie les caractéristiques de la courbe de tendance sélectionnée.
Paramètres des colonnes | Réglage des paramètres de diagramme.
Affichage : Apparence | Police utilisateur pour les légendes des axes X et Y et des indications de valeurs
Affichage : Actualiser | Rafraîchissement du diagramme pour les données en ligne


Utilisation de la liste de courbes étendue

Manuel -> Extended Trend -> Utilisation dans le Runtime -> Utilisation de la liste de courbes étendue

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Si la liste de courbes étendue est configurée dans Editor, les courbes peuvent être modifiées dans le Runtime. Il est possible :

  • De filtrer en fonction des paramètres suivants :
    • Activation
    • Couleur
    • Nom de la courbe
    • Ordre de tri
    • Titre
    • Nom de variable
    • Identification de variable
    • Axe Y
  • De modifier les noms de courbes
  • De modifier les intitulés
  • De modifier les couleurs
  • D'activer ou de désactiver l'axe Y
  • D'activer ou de désactiver les courbes
  • Pour modifier l'ordre d'affichage

Pour modifier un élément, double-cliquez sur la cellule correspondante dans la liste.

info Informations

La liste de courbes étendue ne peut pas être affichée dans Windows CE, et est remplacée par la liste de courbes normale.

Tri des courbes

L'ordre dans lequel les courbes sont consignées dans le module ETM peut être défini :

  • Dans Editor : lors de l'appel de synoptique, sur l'onglet Données de la boîte de dialogue de configuration de la liste de courbes
  • Dans le Runtime : dans la liste de courbes étendue

Si vous souhaitez modifier l'ordre, la colonne Séquence doit être affichée dans la liste de courbes.

Dans le Runtime :

Pour modifier l'ordre de traçage des courbes :

  1. Cliquez sur la fenêtre d'affichage de la liste de courbes étendue.
  2. Sélectionnez la courbe à modifier.
  3. Cliquez sur une cellule de la colonne Ordre.
  4. Saisissez le nombre souhaité. Les autres courbes sont réorganisées automatiquement. Plus la position est basse, plus la courbe sera tracée en avance (au début de l'affichage) ; plus la position est élevée, plus la courbe sera tracée tardivement (plus loin sur l'affichage) :
    • Minimum : 1
    • Maximum : Nombre de courbes

Le tri est effectué en cliquant sur l'en-tête de la colonne? Le tri en fonction d'autres colonnes sous forme de séquence n'a aucune incidence sur l'ordre d'affichage de la courbe.

Glisser et déposer

Dans certaines circonstances, la liste des courbes peut être triée dans Editor et dans le Runtime en effectuant un glisser-déplacer :

  1. Triez la liste conformément à la colonne Séquence.

    Attention : La liste est également triée conformément à une séquence lorsqu'elle est affichée pour la première fois. Toutefois, si vous utilisez la fonction glisser-déplacer, vous devez explicitement cliquer sur l'en-tête de colonne pour appliquer le tri ! L'ordre de tri (ascendant ou descendant) n'a aucune incidence.

  2. Assurez-vous qu'aucun groupement n'a été défini.
  3. Cliquez sur la ligne comportant la courbe souhaitée.
  4. Faites glisser la courbe à l'emplacement souhaité. L'emplacement auquel elle s'insère est représenté par une bordure rouge.

Intégration d'éléments graphiques aux cases à cocher

Des cases à cocher comportant des éléments graphiques peuvent être configurées individuellement. Pour cela, attribuez les éléments graphiques souhaités aux propriétés correspondantes de la liste de courbes dans Editor. Les éléments graphiques doivent être préalablement créés dans le nœud Fichiers\Éléments graphiques. Les propriétés doivent être configurées dans le groupe Affichage :

  • On
  • On (inactif)
  • Off
  • Off (inactif)

Les éléments graphiques définis sont dessinés dans le Runtime ; le rapport d'aspect est respecté.


Filtre d'appel de synoptique

Manuel -> Extended Trend -> Utilisation dans le Runtime -> Filtre d'appel de synoptique

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Les paramètres de filtre configurés dans la fonction d'appel de synoptique peuvent être modifiés dans le Runtime. Pour cela,

  1. Ouvrez la fonction d'appel de synoptique dans Editor.
  2. Activez l'option Afficher cette boîte de dialogue dans le Runtime sur l'onglet Affichage.

Dans le Runtime, les indications suivantes sont affichées lors de l'appel de synoptique, selon la configuration des éléments suivants :

  • Boîte de dialogue de configuration complète
  • Filtre de lots activé : Le filtre de lots est proposé
  • Filtre de lots désactivé, filtre de temps Intervalle : Le filtre de temps est proposé

Configuration du filtre de lots

Si vous définissez l'option Tout comme type de filtre de temps, toutes les entrées de Runtime depuis le 01.01.2000 sont affichées.

attention Attention

Toutes les archives de lot configurées sont présentées dans la liste d'archives. Ici, vous devez sélectionner la même archive que dans la fonction d'appel de synoptique. Dans ce cas seulement, les données seront affichées.

Paramètre

Description

Filtre de lots

Sélection du groupe de recettes à importer. Le filtre comprend deux listes :

  • Liste d'archives : Liste d'archives
  • Liste de lots : Liste de lots attribués à l'archive sélectionnée.

Liste d'archives

Sélectionnez l'archive souhaitée

Nœud * :

  • regroupe tous les lots de l'archive affichée.
  • La légende indique le nom du lot.
  • L'heure de début est l'heure de début du premier lot.
  • L'heure de fin est l'heure de fin la plus tardive de tous les lots.

Liste de lots

Affiche la liste de lots attribués à l'archive sélectionnée.

La liste peut être filtrée par saisie de texte, par date, par heure ou par intervalle, selon le type d'archive sélectionné.

Pour trier la liste, cliquez sur un en-tête.

Nom de lot

Affiche le nom de tous les lots disponibles.

Filtre : Saisie d'une chaîne de caractères. Seuls les lots correspondant à la chaîne de caractères saisie seront affichés.

Date de début

Affiche la date de début de tous les lots disponibles.

Filtre : saisie d'une date de début ou sélection dans un calendrier.

Heure de début

Disponible uniquement si vous avez saisi une date de début.

Affiche l'heure de début de tous les lots disponibles.

Filtre : saisie d'une heure de début. * signifie 0:00:00 heure.

Date de fin

Affiche la date de début de tous les lots disponibles.

Filtre : saisie d'une date de fin ou sélection dans un calendrier.

Heure de fin

Disponible uniquement si vous avez saisi une date de fin.

Affiche l'heure de début de tous les lots disponibles.

Filtre : saisie d'une heure de début. * signifie 23:59:59 heure.

Durée

Cette colonne affiche la durée de chaque lot disponible.

Affichage uniquement.

info Informations

Les lots encore ouverts sont affichés s'ils correspondent aux critères de filtre définis.

info Informations

La valeur de la variable de lot est écrite dans le fichier d'index et dans l'en-tête du fichier ARX au début du lot. Ces entrées sont ajustées à chaque modification de la variable. Lors de la fermeture du lot, la valeur de la variable de lot à cet instant est finalement écrite dans le fichier d'index et dans l'en-tête.

De cette manière, le nom du lot est définitif à la fermeture du lot.

SQL

Le filtrage de lots des valeurs d'archives transférées vers SQL est effectué à l'aide d'un filtre de temps. Ce filtre de temps contient toutes les valeurs de l'archive entre l'heure de début et l'heure de fin du lot. L'heure de début et l'heure de fin du lot sont également incluses. Les millisecondes ne sont pas prises en compte avec ce filtrage de temps.

Configuration de la plage de temps

Lorsqu'elle est proposée dans le Runtime, la boîte de dialogue de configuration de la plage de temps peut être spécialisée pour une plage de temps particulière. Pour cela :

  1. Ouvrez la fonction d'appel de synoptique dans Editor.
  2. Cliquez sur Filtre.
  3. Ouvrez l'onglet Temps.
  4. Sélectionnez l'option Période de temps.

Dans le Runtime, à la place de la boîte de dialogue complète, seule une boîte de dialogue de configuration de la plage de temps est proposée. Par exemple, pour le paramètre Un jour :

Exemple

Avec ce paramètre, les plages de temps individuelles (telles que les équipes) peuvent être appelées et configurées rapidement.

Par exemple : Équipe de 06:00 à 14:00.

  1. Sélectionnez la période de temps suivante : Un jour.

    Par défaut, un jour dure de 00:00 à 00:00.

  2. Définissez le décalage de la plage de temps sur six heures.

    La journée durée de 06:00 à 06:00 le lendemain.

  3. Maintenant, définissez la période de temps sur 16 heures.
  4. Laissez l'option Soustraire le temps activée.

    Cela signifie qu'un calcul rétroactif sur 16 heures sera effectué à partir de 06:00 le jour suivant. Maintenant, la journée dure de 06:00 à 14:00, ce qui correspond précisément à la durée de l'équipe du matin.

  5. Transférez les nouveaux fichiers du Runtime.
  6. Redémarrez le Runtime.
  7. Sélectionnez le jour souhaité dans l'appel de synoptique.

Vous obtenez les données correspondant au jour souhaité de 06h00 à 14h00.


Modification rapide des paramètres d'axe en mode de fonctionnement en ligne

Manuel -> Extended Trend -> Utilisation dans le Runtime -> Modification rapide des paramètres d'axe en mode de fonctionnement en ligne

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Pour déterminer avec précision la valeur des courbes affichées, vous pouvez déplacer les axes X et Y. Le déplacement peut être effectué comme suit :

  • Glisser-déposer avec le bouton gauche de la souris
    • Déplacement verticale de l'axe X
    • Déplacement horizontal de l'axe Y
      L'axe Y se dédouble lorsqu'il est déplacé : l'axe original reste en place lorsque la copie est déplacée.
  • Cliquez sur l'axe avec le bouton droit de la souris pour ouvrir la boîte de dialogue de configuration correspondante :
    • onglet Axe X, Affichage YT
    • Boîte de dialogue Axe Y

Le déplacement est réinitialisé lors de la réouverture du synoptique.


Afficher les différences entre les méthodes de transfert

Manuel -> Extended Trend -> Utilisation dans le Runtime -> Afficher les différences entre les méthodes de transfert

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

L'affichage des données provenant du transfert d'archives dans le Runtime dépend des méthodes de transfert configurées :

  • Méthode de transfert ARX
    La tendance trace une ligne constante entre un changement et la valeur générée.
    Les archives transférées sans changement de valeur ne sont pas connectées. Il existe une
  • méthode de transfert de base de données SQL Weixx.
    La tendance trace une ligne constante entre un changement et la valeur générée.
    Les archives transférées sont connectées les unes aux autres.

Exemple suivant :

Type d'enregistrement : Suivant changement

Cycle d'archivage : Cyclique, chaque minute

Exemple de méthode de transfert ARX

cc

Exemple de méthode de transfert de base de données SQL

cc


Fichier de configuration

Manuel -> Fichier de configuration

Informations pour les administrateurs système qui voudraient éditer directement les fichiers .INI.

info Informations

Le paramétrage du projet doit être réalisé dans Editor. Les modifications des fichiers INI sont réservées aux utilisateurs expérimentés.

Format d'enregistrement des fichiers INI

En raison des restrictions du système, seuls les codages ANSI et Unicode sont pris en charge lors de la lecture de fichiers INI.

attention Attention

Le format UTF-8 n'est pas pris en charge !

Vous devez donc toujours enregistrer vos fichiers INI sous forme de fichier texte, avec un encodage ANSI ou Unicode.

Fichiers d'importation et fichiers INI

Vous recevez des informations concernant les fichiers de configuration suivants :

Fichier

Description

Fichier de variable dBase IV

Les paramètres d'importation de fichiers dBase IV.

project.ini

Paramètres du projet.

Le fichier project.ini se trouve dans le chemin du Runtime du projet correspondant. Pour ouvrir ce chemin :

  • Sélectionnez le projet
  • Appuyez sur les touches Ctrl+Alt+E
  • Le dossier SQL du projet est ouvert
  • Accédez à ...\FILES\zenon\system

startup.ini

Paramètres de l'outil Startup Tool de zenon.

wizards.ini

Création du fichier .ini pour l'administration de l'assistant dans VSTA et VBA.

zenDB.ini

Paramètres de la base de données SQL

zenon6.ini

Paramètres généraux pour zenon

Le fichier zenon6.ini se trouve dans le chemin suivant :

C:\ProgramData\COPA-DATA\System\

zenWebSrv.ini

Paramètres de zenon Web Server.

Traitement des fichiers project.ini et zenon6.ini

Les fichiers INI sont tous traités comme ceci :

project.ini

Les paramètres du fichier project.ini sont traités dans l'ordre suivant :

  1. project.ini
  2. zenon6.ini
  3. Valeur par défaut

Dans ce cas, la première entrée trouvée est utilisée.

zenon6.ini

Les paramètres du fichier zenon6.ini sont traités dans l'ordre suivant :

  1. zenon6.ini
  2. Valeur par défaut

Dans ce cas, la première entrée trouvée est utilisée.

Autres sujets abordés dans ce chapitre

Fichier de variable dBase IV

project.ini

startup.ini

wizards.ini

zenDB.ini :

zenon6.ini

zenProcGateway.ini

zenWebSrv.ini


Fichier de variable dBase IV

Manuel -> Fichier de configuration -> Fichier de variable dBase IV

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Pour assurer l’importation et l’exportation de variables, le fichier dBase IV doit posséder la structure et le contenu suivants :

attention Attention

dBase ne prend pas en charge les structures ou les tableaux (variables complexes) lors de l’exportation.

Les fichiers DBF doivent :

  • Posséder un nom conforme au format DOS 8.3 (8 caractères alphanumériques pour le nom, 3 caractères pour l'extension, pas d'espace)
  • Être conservés à proximité du répertoire racine (Root)

Structure

Identification | Type | Taille de champ | Commentaire
KANALNAME | Char | 128 | Nom de la variable. La longueur peut être limitée à l’aide de l’entrée MAX_LAENGE dans le fichier project.ini .
KANAL_R | C | 128 | Le nom original d’une variable devant être remplacée par le nouveau nom saisi sous VARIABLENNAME (le contenu du champ/de la colonne doit être saisi manuellement). La longueur peut être limitée à l’aide de l’entrée MAX_LAENGE dans le fichier project.ini .
KANAL_D | Log | 1 | La variable est supprimée avec l’entrée 1 (le contenu du champ/de la colonne doit être saisi manuellement).
TAGNR | C | 128 | Identification. La longueur peut être limitée à l’aide de l’entrée MAX_LAENGE dans le fichier project.ini .
EINHEIT | C | 11 | Unité technique
DATENART | C | 3 | Type de données (par exemple bit, octet, word, etc.)?; correspond au type de données.
KANALTYP | C | 3 | Zone mémoire dans l’automate (par exemple, zone de marqueur, zone de données, etc.)?; correspond au type d’objet de driver.
HWKANAL | Num | 3 | Adresse réseau
BAUSTEIN | N | 3 | Adresse de blocs de données (uniquement pour les variables de la zone de données de l’automate)
ADRESSE | N | 5 | Offset
BITADR | N | 2 | Pour les variables bit : adresse du bit Pour les variables de type octet : 0=octet de poids faible, 8 octets de poids fort ?Pour les variables de type chaîne de caractères : Longueur de la chaîne (max 63 caractères)
ARRAYSIZE | N | 16 | Nombre de variables dans le tableau pour les variables indexées ATTENTION : Seule la première variable est complètement disponible. Toutes les autres ne sont disponibles que pour le VBA ou le module Recipe Group Manager.
LES_SCHR | L | 1 | Autorisation-Lecture-Écriture, 0 : Pas d’autorisation pour forcer les variables. 1: Autorisation de définir la valeur.
MIT_ZEIT | R | 1 | Horodatage dans zenon (uniquement si pris en charge par le driver)
OBJEKT | N | 2 | Numéro d’identification de l’objet primitif spécifique au driver Inclut TREIBER-OBJEKTTYP et DATENTYP
SIGMIN | Flottant | 16 | Signal non linéaire – minimum (résolution du signal)
SIGMAX | F | 16 | Signal non linéaire – maximum (résolution du signal)
ANZMIN | F | 16 | Valeur technique - minimum (plage de mesures)
ANZMAX | F | 16 | Valeur technique - maximum (plage de mesures)
ANZKOMMA | N | 1 | Nombre de décimales pour l’affichage des valeurs (plage de mesures)
UPDATERATE | F | 19 | Intervalle d’actualisation des variables mathématiques (en secondes, une décimale possible) Non utilisée pour toutes les autres variables
MEMTIEFE | N | 7 | Uniquement pour des raisons de compatibilité
HDRATE | F | 19 | Période de rafraîchissement HD pour les valeurs consignées dans l’historique (en secondes, une décimale possible)
HDTIEFE | N | 7 | Profondeur de spécification HD des valeurs historiques (nombre)
NACHSORT | R | 1 | Les données HD sous forme de valeurs post-triées
DRRATE | F | 19 | Mise à jour de la sortie (pour le serveur DDE de zenon, en [s], une décimale possible)
HYST_PLUS | F | 16 | Hystérésis positif, dans la plage de mesures
HYST_MINUS | F | 16 | Hystérésis négative, dans la plage de mesures
PRIOR | N | 16 | Priorité de la variable
REAMATRIZE | C | 32 | Matrice de réaction attribuée
ERSATZWERT | F | 16 | Valeur de remplacement dans la plage de mesures
SOLLMIN | F | 16 | Valeur minimum pour les actions d’envoi de valeur prescrite, dans la plage de mesures
SOLLMAX | F | 16 | Valeur maximum pour les actions d’envoi de valeur prescrite, dans la plage de mesures
VOMSTANDBY | R | 1 | Obtention de la valeur auprès du serveur redondant?; la valeur de la variable n’est pas demandée par le serveur, mais par le serveur redondant sur les réseaux redondants.
RESOURCE | C | 128 | Identifiant de ressources Chaîne de caractères libre pour l’exportation et l’affichage dans les listes. La longueur peut être limitée à l’aide de l’entrée MAX_LAENGE dans le fichier project.ini .
ADJWVBA | R | 1 | Ajustement de valeur non linéaire : 0 : l’ajustement de valeur non linéaire est utilisé. 1 : L’ajustement non linéaire n’est pas utilisé.
ADJZENON | C | 128 | Macro VBA liée pour lire la valeur de la variable pour l’ajustement non linéaire.
ADJWVBA | C | 128 | Macro VBA liée pour écrire la valeur de la variable pour l’ajustement non linéaire.
ZWREMA | N | 16 | Compteur REMA lié.
MAXGRAD | N | 16 | Dépassement gradient pour le compteur REMA.

attention Attention

Lors de l’importation, le type d’objet de driver et le type de données doivent être modifiés au niveau du driver cible dans le fichier DBF, pour que les variables soient importées.

Dépassement de valeur limite

Définition de limite pour les valeurs limites 1 à 4 ou l’état 1 à 4 :

Identification | Type | Taille de champ | Commentaire
AKTIV1 | R | 1 | Valeur limite active (par valeur limite disponible)
GRENZWERT1 | F | 20 | Valeur technique ou identifiant d’une variable liée pour une valeur limite dynamique (voir VARIABLEx) (si VARIABLEx est égal à 1 et ici à -1, le lien existant vers une variable n’est pas remplacé).
SCHWWERT1 | F | 16 | Valeur de seuil de la valeur limite
HYSTERESE1 | F | 14 | Non utilisé
BLINKEN1 | R | 1 | Définition de l’attribut de clignotement
BTB1 | R | 1 | Enregistrer dans la liste d’événements
ALARM1 | R | 1 | Alarme
DRUCKEN1 | R | 1 | Sortie sur imprimante (pour liste CEL ou liste d’alarmes)
QUITTIER1 | R | 1 | Acquittement nécessaire
LOESCHE1 | R | 1 | Suppression nécessaire
VARIABLE1 | R | 1 | Lien de valeur limite dynamique La valeur limite est définie par une valeur absolue (voir le champ GRENZWERTx).
FUNC1 | R | 1 | Liaison de fonctions
ASK_FUNC1 | R | 1 | Exécution via la liste d’alarmes
FUNC_NR1 | N | 10 | Identifiant de la fonction liée (si -1 est saisi ici, la fonction existante n’est pas écrasée lors de l’importation)
A_GRUPPE1 | N | 10 | Groupe d’alarmes/d’événements
A_KLASSE1 | N | 10 | Classe d'alarmes/d'événements
MIN_MAX1 | C | 3 | Minimum, maximum
FARBE1 | N | 10 | Couleur sous forme de code Windows
GRENZTXT1 | C | 66 | Texte de valeur limite
A_DELAY1 | N | 10 | Délai
INVISIBLE1 | R | 1 | Invisible

Les expressions dans la colonne Commentaire se réfèrent aux expressions utilisées dans les boîtes de dialogue pour la définition des variables. Pour plus d’informations, voir le chapitre Définition des variables.


project.ini

Manuel -> Fichier de configuration -> project.ini

Le fichier project.ini contient les paramètres spécifiques au projet. Le paramétrage du projet doit être réalisé dans Editor. Les modifications apportées à project.ini doivent uniquement être effectuées par des experts. Les paramètres configurés dans Editor, qui diffèrent des valeurs par défaut, sont insérés dans le fichier project.ini par Editor.

Modification et acceptation permanente d'entrées

Entries in project.ini are overwritten when reading back projects from Runtime and when starting Runtime from the Editor.

To apply entries in project.ini permanently, the following procedure is recommended:

  1. Identifiez le projet.
    To do this, note the GUID of the project in the Editor. The first 4-6 digits are sufficient.

    Conseil : Highlight the project in the project manager and press Ctrl+Alt+E.
    Explorer opens the folder ...\<GUID>\Project_SQL_directory\FILES\
    You need this path in the next step.

    Then close the workspace or end the Editor.

  2. Accédez à project.ini : This is in the following folder: ...\<GUID>\Project_SQL_directory\FILES\zenon\system.
  3. Edit the project.ini: Make the desired changes in project.ini. Enregistrez et fermez le fichier.
  4. Transférer fichiers Runtime Open the Editor again or load the project. Create the amended Runtime files and transfer the Runtime files.

info Informations

project.ini is always saved as project.ini in this path regardless of the project name: Project_SQL_Ordner\FILES\zenon\system\project.ini
to navigate to the folder, highlight the project in the Editor and press the keyboard shortcut Ctrl+A. The higher-level path ...\<GUID>\Project_SQL_directory\FILES\ is then opened in the file explorer.

Autres sujets abordés dans ce chapitre

Paramètres généraux [DEFAULT]

AML (Liste Alarmes) [ALARM]

Serveur d'archives [ARCHIV]

Coloration Automatique des Lignes (CAL) [ALC] et Topologie [ALC_TOP]

Éléments de synoptique [ELEMENTE]

CEL [BTB]

Imprimer [DRUCKER]

Extended Trend [EW_TREND]

Exporter [EXPORT]

Journal d'erreurs [ERRORLOG] et [LON_32]

Fonctions [FUNKTIONEN]

Gestionnaire de maintenance industrielle (Industrial Maintenance Manager - IMM) [IMM]

Réseau [NETZ] et [TOKEN]

Administration mot de passe [PASSWORD]

Chemin [PATH]

Production & Facility Manager [PFM]

Liaison de projets [PROJEKTLINKS]

Process Recorder [PROCESSRECORDER]

Remote Transport [ED_REMOTE], [DIRLIST] et [TRANSPASS]

Recipe Group Manager (RGM)

Runtime [RT]

Données modifiables dans le Runtime [RTDATEN]

État [STATUS]

Rapports [TABELLE]

Drivers

Vue globale [WORLDVIEW]

Versions et gestion des versions de zenon [VERSION]


Paramètres généraux [DEFAULT]

Manuel -> Fichier de configuration -> project.ini -> Paramètres généraux [DEFAULT]

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Entrée

Description

[DEFAULT]

Paramètres généraux du projet.

AUFFUELLEN=

Type d'enregistrement lors de l'administration des données HD et en mémoire :

  • 0 : chaque fois qu'une valeur arrive, elle est enregistrée.
  • 1 : les valeurs sont stockées dans un intervalle défini.
    Si des intervalles importants sont définis, il peut être nécessaire d'enregistrer plusieurs éléments de données.

Par défaut : 1

Calcul : chaque kème durée de cycle est enregistrée. k est le plus grand diviseur entier des valeurs HD devant être enregistrées, et dont la valeur est inférieure à 84.
Exemple : nombre de valeurs 300 -> effectue un enregistrement toutes les 75 valeurs.

Correspond à la propriété Stockage (buffer) des données, dans le groupe Paramètres du Runtime, dans Editor.

BLINK=

Fréquence de clignotement des éléments dynamiques, en dixièmes de seconde.

  • Minimum : 0
  • Maximum : 2147483647

Par défaut : 5

Par exemple : BLINK=5 correspond à un clignotement avec un cycle d'une demi-seconde.

Correspond à la propriété Freq. Clignot. [10ième de sec.], dans le groupe Apparence graphique/Généralités runtime, dans Editor.

BTB_DRUCKEN=0

Configuration de l'impression de la liste AML ou de la liste CML lorsque le paramètre ONLINE_DRUCKEN=1 est activé :

  • 1 : Liste d'événements
  • 0 : Liste d’alarmes

Par défaut : Liste d’alarmes

Correspond à la propriété Impression pour, dans le groupe Alarmes et événements, dans Editor.

CURSOR=

Affichage du pointeur de la souris :

  • 1 : Le pointeur de la souris est affiché dans le Runtime.
  • 0 : Le pointeur de la souris est désactivé (pour le fonctionnement tactile, par exemple).

Par défaut : 1

Attention : Ce paramètre concerne uniquement zenon, et non les éléments standard de Windows, tels que les barres de titre, les menus, les barres de défilement, etc. Pour les éléments Windows, le pointeur de la souris doit être désactivé directement dans le système d’exploitation.

Correspond à la propriété Curseur visible, dans le groupe Apparence graphique/Généralités runtime, dans Editor.

EnRtDlgFont=

Permet d'afficher les boîtes de dialogue et les paramètres à pages multiples avec une police de caractères paramétrable dans le Runtime.

  • 0 : inactif
  • 1 : actif

Par défaut : 0

La police utilisée est définie à l'aide de la propriété RtDlgFont=.

Correspond à la propriété Police de boite de dialogue ajustable, dans le groupe Apparence graphique/Généralités runtime, dans Editor.

ExternalReference_Writeable=

Définit si la Référence externe peut être modifiée depuis l’interface utilisateur d’Editor.

  • 0 : modification possible uniquement depuis l’API de zenon.
  • 1 : modification possible depuis l’interface utilisateur d’Editor.

Par défaut : 0

FocusLineColor=

Couleur du cadre qui identifie l'objet sur lequel se trouve le focus dans le Runtime.

La couleur sera fournie au format décimal. Dans Editor, elle est affichée au format hexadécimal, précédée d'un caractère #.
Exemple : La couleur #8000FF dans Editor correspond à la couleur 16711808 dans le fichier INI.

Par défaut : 12614523 (Editor : #7B7BC0)

Correspond à la propriété Couleur de la ligne de focus, dans le groupe Apparence graphique, dans Editor.

FocusLineWidth=

Définissez la largeur de ligne (en pixels) du cadre qui identifie l'objet sur lequel se trouve le focus dans le Runtime.

Par défaut : 3

Correspond à la propriété Epaisseur ligne de focus, dans le groupe Apparence graphique/Synoptiques, dans Editor.

GW_FKT_AT_RT_START =1

Exécution des fonctions de valeur limite lors du démarrage du Runtime, lorsqu'un dépassement de la valeur limite est imminent.

  • 0 : Non
  • 1 : Oui

Par défaut : 1

Attention : Cette propriété concerne uniquement les valeurs limite qui ne sont pas des alarmes.

Dans Editor, elle correspond au paramètre pour la propriété de la variable Exécuter fonction limite au démarrage du runtime, dans le groupe Fonctions.

HDDATEN=

Enregistrement des données HD :

  • Active : Les données de disque dur (HDD) sont enregistrées.
  • Inactive : Les données de disque dur (HDD) ne sont pas enregistrées.

Par défaut : Active

Pour cela, activez la propriété Données disque dur (HDD) actives dans Editor.

HEX=

Type d'affichage des adresses de variable :

  • 0 : normal
  • 1: hexadécimal

LockVar=

Permet de définir un bloc de fonctionnement dans les projets sans réseau, au moyen d'une variable binaire.

Valeurs :

  • 0 : Aucune variable liée.
  • >0 : Identifiant interne des variables

Par défaut : 0

Doit uniquement être configuré dans Editor.

Correspond à la propriété Vérouillage fonctionnement, dans le groupe Intéraction, dans Editor.

MENU=

Affichage des menus principaux dans le Runtime :

  • 0 : Aucun menu principal n'est affiché dans le Runtime.
  • 1 : Une barre d'affichage des menus est réservée le long du bord supérieur de la fenêtre du Runtime.

Par défaut : 0

Attention : Cette option doit être activée si les menus principaux sont utilisés.

Correspond à la propriété Menus principaux actifs, dans le groupe Apparence graphique/Généralités runtime, dans Editor.

MILLISEK=0

Les valeurs HD sont affichées et traitées au niveau interne, tout comme l'actualisation des synoptiques actifs, en :

  • 1 : Millisecondes
  • 0 : Secondes

Par défaut : 1

Correspond à la propriété Tendance et valeurs HD en míllisecondes, dans le groupe Paramètres du Runtime, dans Editor.

MOUSE_FOCUS=

Configuration du focus de la souris :

  • 1 : actif
  • 0 : inactif

ONLINE_DRUCKEN=

Journalisation des entrées du Runtime (liste d'événements ou liste d'alarmes).

  • 1: actif. Pour chaque entrée dans la liste AML ou CEL, l'événement est transmis à l'imprimante définie dans les paramètres du projet.
  • 0 : inactif

Par défaut : 1

Sélection de la liste d'événements ou de la liste d'alarmes à l'aide de l'entrée BTB= (0 = AML, 1 = CEL).

Correspond à la propriété Impression active, dans le groupe Alarmes et événements, dans Editor.

PokeAckInCel=

Entrée de la liste CEL pour l'écriture de valeurs :

  • 1 : en cas d'écriture réussie des valeurs sur le matériel, l'entrée correspondante est insérée dans la liste CEL.
  • 0 : l'écriture réussie des valeurs n'est pas consignée dans la liste CEL.

Par défaut : 0

Remarque : Ce paramètre a uniquement un effet sur le Runtime si l’écriture de la valeur prescrite est effectuée à l’aide de la fonction Ecriture valeur prescrite.

Correspond à la propriété Fonction envoi valeur prescrite, dans le groupe Liste d'événements/Enregistrement (fichier journal), dans Editor.

RELEASE=5

Affichage de la fenêtre principale dans le Runtime.

  • 0 : Titre avec menu système, boutons Agrandir et Réduire.
    La fenêtre peut être redimensionnée et déplacée, mais également fermée, en cliquant sur le bouton X. Cliquez avec le bouton droit sur l’en-tête pour afficher le menu contextuel.
  • 1 : Titre avec boutons Agrandir et Réduire.
    La fenêtre peut être redimensionnée et déplacée. Elle ne peut toutefois pas être fermée (même par le biais du menu contextuel, de la barre des tâches ou du raccourci-clavier Alt+F4). Cliquez avec le bouton droit sur l’en-tête pour afficher le menu contextuel.
  • 2 : Titre avec bouton Réduire.
    Option propre aux versions antérieures ; n'est plus prise en charge. La dernière variante valide est utilisée dans le Runtime.
  • 3 : Titre avec bouton Agrandir.
    Option propre aux versions antérieures. N'est plus prise en charge. La dernière variante valide est utilisée dans le Runtime.
  • 4 : Titre sans élément fonctionnel.
    Pas de menu système ou de bouton Réduire ou Agrandir. la fenêtre peut être déplacée et fermée en cliquant sur le bouton X. Cliquez avec le bouton droit sur l’en-tête pour afficher le menu contextuel.
  • 5 : Pas de titre (plein écran).
    Affichage complet. La barre de titre n’est pas affichée.
  • 6 : Titre avec menu système
    La fenêtre peut être déplacée et fermée en cliquant sur le bouton X. Cliquez avec le bouton droit sur l’en-tête pour afficher le menu contextuel.

Par défaut : 5

Attention : si cette propriété est modifiée dans Editor, le Runtime doit être redémarré. Le rechargement seul ne fonctionne pas, car le Runtime doit d’abord être fermé, puis ouvert à nouveau pour que le menu principal soit appliqué.

Correspond à la propriété Titre runtime, dans le groupe Apparence graphique/Généralités runtime, dans Editor.

RtDlgFont=

Sélection de la police utilisée dans les boîtes de dialogue et des paramètres d'affichage de pages multiples dans le Runtime.

  • 0 : Standard
  • 1 : Type de police numéro 1 dans la liste de polices
  • 2 : Type de police numéro 2 dans la liste de polices
  • 3 : Type de police numéro 3 dans la liste de polices
  • 4 : Type de police numéro 4 dans la liste de polices
  • 5 : Type de police numéro 5 dans la liste de polices

Par défaut : 2

Effectif uniquement si la propriété EnRtDlgFont= possède la valeur 1.

Correspond à la propriété Police de boite de dialogue, dans le groupe Apparence graphique/Généralités runtime, dans Editor.

RTVERSION=

Version of Runtime for which Editor files are compiled.

Exemple : RTVERSION=7100 crée des fichiers de Runtime utilisables dans le Runtime version 7.10 SP0.

Attention : Tous les fichiers de Runtime doivent être recréés après modification de cette propriété. Les configurations de tous les drivers sont converties. Les paramètres qui n’existent pas dans la version correspondante sont définis sur le paramètre par défaut.

Correspond à la propriété Créer fichiers RT pour, dans le groupe Général, dans Editor.

RuntimeLasso=

Sélection d'éléments multiples dans le Runtime.

  • 0 : inactif
  • 1 : actif
    En déplaçant la souris avec le bouton gauche de la souris enfoncé, plusieurs éléments peuvent être sélectionnés dans le Runtime. Une macro VBA peut accéder à ces éléments.

Par défaut : 0

Correspond à la propriété Sélection multiple en runtime (lasso), dans le groupe Intéraction, dans Editor.

SCREEN=

Résolution du synoptique de Runtime sur le moniteur, avec les valeurs :

  • Gauche
  • Haut
  • Droite
  • En bas

Chaque modification affecte la disposition des cadres, synoptiques, polices, etc.

Exemple : SCREEN=0,0,1280,1024

Transféré depuis la boîte de dialogue de la propriété Gestion de moniteur (onglet Général, option Appel de synoptique), dans le groupe Apparence graphique/Généralités runtime.

CS_STEPNAME=

Afficher le type de nom d'action dans la grille de séquences de commandes.

  • 1 : Le nom d'action défini par l'utilisateur est utilisé.
  • 0 : Le texte standard est utilisé.

Par défaut : 0

Correspond à la propriété Nom d'étape dans la grille de la séquence de commandes, dans le groupe Séquenceur de commandes, dans Editor.

UseGDILegacyDrawing=

Mode for compatible display of elements in Runtime with Windows Basic set.

  • 0 : Buttons and vector elements are shown using the new character routines (corresponds to the display in the Editor).
  • 1 : Buttons and vector elements are shown as in versions < 7.60.

Par défaut : 0

For project backups that are read back from versions < 7.60, the value is set to 1 when reading back.

You can find further information on this in the Character behavior of buttons and vector elements in Windows Basic.

UseGDIplus=

Stipulates the Qualité graphique used:

  • 0 : Windows Basic. Paramètres graphiques de base. Paramètre recommandé lorsque les ressources du matériel sont limitées.
  • 4 : Matériel DirectX. le calcul de l’affichage graphique est effectué par le processeur et peut entraîner une charge élevée au niveau du processeur.
  • 5 : Logiciel DirectX. certains calculs graphiques sont effectués par la carte graphique. Si le système n’est pas compatible avec le paramètre, le paramètre Logiciel DirectX est sélectionné automatiquement.

Par défaut : 4

Remarque :

  • DirectX n'est pas disponible sous Windows CE et n'est pas utilisable pour OCX.
  • Les valeurs 1, 2 et 3 ne doivent pas être utilisées.
  • Un léger décalage des pixels peut apparaître en cas de changement de mode durant le développement. Par conséquent, définissez cette propriété avant de créer les synoptiques.
  • Lors de l'activation de l'option Windows Base (Windows de base) pour tous les types de ligne utilisant un paramètre Épaisseur de ligne [pixels] > 1, tous les types de ligne sont définis sur Ligne continue.

Correspond à la propriété Qualité graphique, dans le groupe Qualité graphique/Synoptiques, dans Editor.

USEREVENTNEEDMODEL=
  • 0 : Les événements utilisateur sont également exécutés durant les journées sans poste.
  • 1 : Les événements utilisateur sont également exécutés durant les journées comptant un poste.

WATCHFILES=

Configure l'indexation ou non des fichiers du Runtime.

  • 0 : inactif
  • 1 : actif

Par défaut : 0

Lorsque l'indexation est active, une mémoire cache de dossier est activée pour autoriser un accès rapide aux données du Runtime.

Correspond à la propriété Indexer les fichiers du Runtime, dans le groupe Paramètres du Runtime, dans Editor.


AML (Liste Alarmes) [ALARM]

Manuel -> Fichier de configuration -> project.ini -> AML (Liste Alarmes) [ALARM]

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Entrée

Description

[ALARM]

Entrées de la liste d'alarmes.

Ces propriétés sont généralement configurées dans Editor, dans les propriétés de projet du groupe Liste d'alarmes.

AELTESTER=

Configuration de l'alarme affichée dans la barre d'état des alarmes. Les événements suivants se produisent, en fonction des paramètres définis pour la propriété NACHSCHIEBEN= :

  • 1 : Seule l'alarme non acquittée la plus ancienne est affichée dans la barre d'état dans le Runtime (NACHSCHIEBEN=0), ou l'alarme la plus ancienne est affichée la première (NACHSCHIEBEN=1).
  • 0 : Seule l'alarme non acquittée la plus récente est affichée dans la barre d'état dans le Runtime (NACHSCHIEBEN=0), ou l'alarme la plus récente est affichée la première (NACHSCHIEBEN=1).

Pour cela, activez la propriété Visualisation dans Editor.

ALA_ANZ=

Largeur de la colonne Texte en caractères.

Recommandation : Configuration dans Editor via la boîte de dialogue de la propriété Paramètres des colonnes alarmes, dans le groupe Liste d'alarmes ou via la fonction d'appel de synoptique.

ALARMMELDELISTE=

Ordre des entrées de la liste d'alarmes :

  • 0 : nom de variable unique
  • 1 : Identification
  • 2 : texte d’alarme
  • 3 : heure de réception de l'alarme
  • 4 : Heure d'acquittement de l'alarme
  • 5 : Heure d'acquittement

Par exemple : ALARMMELDELISTE=13452
Identification-apparition-disparition-acquittement-texte d'alarme

ALARM_STATE_BACK_COLOR=

Couleur d'arrière-plan de la barre d'état d'alarmes.

La couleur sera fournie au format décimal. Dans Editor, elle est affichée au format hexadécimal, précédée d'un caractère #.
Exemple : La couleur #8000FF dans Editor correspond à la couleur 16711808 dans le fichier INI.

Par défaut : 255

Pour cela, activez la propriété Couleur d'arrière-plan dans Editor.

ALARM_STATE_BACK_COLOR1=

Couleur d'arrière-plan du message d'avertissement 1 (STACK_WARNING_COUNT0=).

La couleur sera fournie au format décimal. Dans Editor, elle est affichée au format hexadécimal, précédée d'un caractère #.
Exemple : La couleur #8000FF dans Editor correspond à la couleur 16711808 dans le fichier INI.

Par défaut : 16711680

Pour cela, activez la propriété Couleur de fond du Message 1 dans Editor.

ALARM_STATE_BACK_COLOR2=

Couleur d'arrière-plan du message d'avertissement 2 (STACK_WARNING_COUNT1=).

La couleur sera fournie au format décimal. Dans Editor, elle est affichée au format hexadécimal, précédée d'un caractère #.
Exemple : La couleur #8000FF dans Editor correspond à la couleur 16711808 dans le fichier INI.

Par défaut : 16711680

Pour cela, activez la propriété Couleur de fond du Message 2 dans Editor.

ALARM_STATE_BACK_COLOR3=

Couleur d'arrière-plan du message d'avertissement 3 (STACK_WARNING_COUNT0=).

La couleur sera fournie au format décimal. Dans Editor, elle est affichée au format hexadécimal, précédée d'un caractère #.
Exemple : La couleur #8000FF dans Editor correspond à la couleur 16711808 dans le fichier INI.

Par défaut : 16711680

Pour cela, activez la propriété Couleur de fond du Message 3 dans Editor.

ALARM_STATE_TEXT_COLOR=

Couleur du texte de la barre d'état des alarmes.

La couleur sera fournie au format décimal. Dans Editor, elle est affichée au format hexadécimal, précédée d'un caractère #.
Exemple : La couleur #8000FF dans Editor correspond à la couleur 16711808 dans le fichier INI.

Par défaut : 0

Pour cela, activez la propriété Couleur du texte dans Editor.

ALARM_STATE_TEXT_COLOR1=

Couleur du texte du message d'avertissement 1 (STACK_WARNING_TEXT0=).

La couleur sera fournie au format décimal. Dans Editor, elle est affichée au format hexadécimal, précédée d'un caractère #.
Exemple : La couleur #8000FF dans Editor correspond à la couleur 16711808 dans le fichier INI.

Par défaut : 16777215

Pour cela, activez la propriété Couleur de texte du Message 1 dans Editor.

ALARM_STATE_TEXT_COLOR2=

Couleur du texte du message d'avertissement 2 (STACK_WARNING_TEXT1=).

La couleur sera fournie au format décimal. Dans Editor, elle est affichée au format hexadécimal, précédée d'un caractère #.
Exemple : La couleur #8000FF dans Editor correspond à la couleur 16711808 dans le fichier INI.

Par défaut : 16777215

Pour cela, activez la propriété Couleur de texte du Message 2 dans Editor.

ALARM_STATE_TEXT_COLOR3=

Couleur du texte du message d'avertissement 3 (STACK_WARNING_TEXT2=).

La couleur sera fournie au format décimal. Dans Editor, elle est affichée au format hexadécimal, précédée d'un caractère #.
Exemple : La couleur #8000FF dans Editor correspond à la couleur 16711808 dans le fichier INI.

Par défaut : 16777215

Pour cela, activez la propriété Couleur de texte du Message 3 dans Editor.

AREA=

Description de la colonne Domaine d'alarme.

Recommandation : Configuration dans Editor via la boîte de dialogue de la propriété Paramètres des colonnes alarmes, dans le groupe Liste d'alarmes ou via la fonction d'appel de synoptique.

AREA_ANZ=

Largeur en caractères de la colonne Domaine d'alarme.

Recommandation : Configuration dans Editor via la boîte de dialogue de la propriété Paramètres des colonnes alarmes, dans le groupe Liste d'alarmes ou via la fonction d'appel de synoptique.

AREANR=

Description de la colonne Numéro de domaine d'alarme.

Recommandation : Configuration dans Editor via la boîte de dialogue de la propriété Paramètres des colonnes alarmes, dans le groupe Liste d'alarmes ou via la fonction d'appel de synoptique.

AREANR_ANZ=

Largeur en caractères de la colonne Numéro de domaine d'alarme.

Recommandation : Configuration dans Editor via la boîte de dialogue de la propriété Paramètres des colonnes alarmes, dans le groupe Liste d'alarmes ou via la fonction d'appel de synoptique.

BEEP=

Émission d'un signal sonore lorsque la première alarme se déclenche :

  • 1 : Un signal sonore est émis. (Par défaut)
  • 0 : Aucun son n'est émis.

CLASS_ANZ=

Largeur en caractères de la colonne Classe d'alarmes/d'événements.

Recommandation : Configuration dans Editor via la boîte de dialogue de la propriété Paramètres des colonnes alarmes, dans le groupe Liste d'alarmes ou via la fonction d'appel de synoptique.

CLASSSYMBOL_ANZ=

Largeur en caractères de la colonne Symbole de classe d'alarmes/d'événements.

Recommandation : Configuration dans Editor via la boîte de dialogue de la propriété Paramètres des colonnes alarmes, dans le groupe Liste d'alarmes ou via la fonction d'appel de synoptique.

COLOR_ACKN_MARKER = xxx

Si des alarmes non acquittées sont présentes, deux coins clignotent de la couleur xxx. Après l'acquittement le clignotement s'arrête.

xxx est calculé comme suit : Partie rouge (0-255) + 256 * partie verte (0-255) + 65536 * partie bleue (0-255)

Pour cela, activez la propriété Les alarmes non acquittées clignotent dans Editor.

COLOR_BACKGROUND=

Utilisation de la couleur de la classe d'alarmes :

  • 1 : la couleur de la classe est interprétée comme une couleur d'arrière-plan
  • 0 : la couleur de la classe définit la couleur du texte

Par défaut : 0

Si aucune classe n'est liée à une valeur limite, la couleur du fond ou du texte est issue des paramètres de l'élément "Liste" dans le synoptique.

Utilisée avec la propriété COLOR_CLASS=.

Pour cela, activez la propriété Couleur de classe d'alarmes/d'événements dans Editor.

COLOR_CLASS=

La couleur de classe d'alarmes/d'événements est :

  • 1 : utilisée
  • 0 : non utilisée

Par défaut : 1

Utilisée avec la propriété COLOR_BACKGROUND=.

Pour cela, activez la propriété Couleur de classe d'alarmes/d'événements dans Editor.

COMES_ANZ=

Largeur en caractères de la colonne Heure d'apparition.

Recommandation : Configuration dans Editor via la boîte de dialogue de la propriété Paramètres des colonnes alarmes, dans le groupe Liste d'alarmes ou via la fonction d'appel de synoptique.

COMPUTER_ANZ=

Largeur en caractères de la colonne Nom de l'ordinateur.

Recommandation : Configuration dans Editor via la boîte de dialogue de la propriété Paramètres des colonnes alarmes, dans le groupe Liste d'alarmes ou via la fonction d'appel de synoptique.

DELETE_IN_CEL=

Entrée lors de la suppression d'une alarme devant être supprimée dans la liste CEL :

  • 1 : si une alarme devant être supprimée est supprimée, une entrée est créée dans la liste d'événements (CEL).
  • 0 : lorsqu'une alarme est supprimée, aucune entrée n'est créée dans la liste d'événements.

Par défaut : 0

Correspond à la propriété Confirmer acquittement de l'alarme, dans le groupe Liste d'événements, dans Editor.

DYN_LIMIT_FILE=

Utilisation du champ de commentaires pour le texte de valeur limite dynamique :

  • 0 : Le champ de commentaires est uniquement utilisé pour les textes de valeur limite dynamiques et n'est donc pas disponible pour les commentaires.
    Longueur maximale : 80 caractères.
  • 1 : Les commentaires et les textes de valeur de limite dynamique sont autorisés. Le contenu dynamique sera stocké dans un fichier au format D*.AML. Il sera stocké parallèlement au fichier A*.AML. Le champ peut être utilisé pour la saisie de commentaires.
    Longueur maximale du texte de valeur limite dynamique : 254 caractères.

Par défaut : 0

Correspond à la propriété Textes de limite dynamiques longs pour les alarmes, dans le groupe Liste d'alarmes.

EIN=

Traitement des alarmes au démarrage du programme :

  • 1 : actif
  • 2 : inactif

Par défaut : 1

Correspond à la propriété Gestion d'alarmes active, dans le groupe Liste d'alarmes.

FARBE_DEL=

Couleur d'affichage du texte des messages Alarme supprimée dans la liste d'alarmes.

Correspond à la propriété Couleur, dans le groupe Confirmer acquittement de l'alarme, dans Editor.

La couleur sera fournie au format décimal. Dans Editor, elle est affichée au format hexadécimal, précédée d'un caractère #.
Exemple : La couleur #8000FF dans Editor correspond à la couleur 16711808 dans le fichier INI.

FARBE_GEHT=

Couleur d'affichage du texte du message Alarme supprimée dans la liste d'alarmes.

Correspond à la propriété Couleur, dans la section Date/heure de disparition des propriétés du projet, dans Editor.

La couleur sera fournie au format décimal. Dans Editor, elle est affichée au format hexadécimal, précédée d'un caractère #.
Exemple : La couleur #8000FF dans Editor correspond à la couleur 16711808 dans le fichier INI.

FARBE_KOMMT=

Couleur d'affichage du texte des messages Alarme reçue dans la liste d'alarmes. Correspond à la propriété Couleur, dans la section Date/heure d'apparition des propriétés du projet, dans Editor.

La couleur sera fournie au format décimal. Dans Editor, elle est affichée au format hexadécimal, précédée d'un caractère #.
Exemple : La couleur #8000FF dans Editor correspond à la couleur 16711808 dans le fichier INI.

FARBE_QUIT=

Couleur d'affichage du texte des messages Alarme acquittée dans la liste d'alarmes.

Correspond à la propriété Couleur, dans la section Date/heure d'acquittement des propriétés du projet, dans Editor.

La couleur sera fournie au format décimal. Dans Editor, elle est affichée au format hexadécimal, précédée d'un caractère #.
Exemple : La couleur #8000FF dans Editor correspond à la couleur 16711808 dans le fichier INI.

GOES_ANZ=

Largeur en caractères de la colonne Heure d'effacement.

Recommandation : Configuration dans Editor via la boîte de dialogue de la propriété Paramètres des colonnes alarmes, dans le groupe Liste d'alarmes ou via la fonction d'appel de synoptique.

GRID_LINES=

Affichage des colonnes et des lignes de la liste d'alarmes avec des lignes de grille :

  • 0 : activé
  • 1 : désactivé

Recommandation : Configuration dans Editor via la boîte de dialogue de la propriété Paramètres des colonnes alarmes, dans le groupe Liste d'alarmes ou via la fonction d'appel de synoptique.

GROUP_ANZ=

Largeur en caractères de la colonne Groupe d'alarmes/d'événements.

Recommandation : Configuration dans Editor via la boîte de dialogue de la propriété Paramètres des colonnes alarmes, dans le groupe Liste d'alarmes ou via la fonction d'appel de synoptique.

GROUPSYMBOL_ANZ=

Largeur en caractères de la colonne Symbole de groupe d'alarmes/d'événements.

Recommandation : Configuration dans Editor via la boîte de dialogue de la propriété Paramètres des colonnes alarmes, dans le groupe Liste d'alarmes ou via la fonction d'appel de synoptique.

HEADER=

Affichage des en-têtes de colonnes dans la liste d'alarmes

  • 1 : L'en-tête de colonne est affiché.
  • 0 : L'en-tête de colonne n'est pas affiché.

Utilisé avec le paramètre HEADER_ENABLE= .

Pour cela, activez la propriété En-tête liste d'alarmes dans Editor.

HEADER_ENABLE=

Utilisation de l'en-tête de colonne :

  • 1 : l'en-tête de colonne peut être actionné. (Par défaut.)
  • 0 : L'en-tête de colonne est uniquement utilisé pour l'affichage (fixe).

Utilisé avec le paramètre HEADER=.

Pour cela, activez la propriété En-tête liste d'alarmes dans Editor.

IMAGE_DEL=

Fichier graphique correspondant à l'état Alarme supprimée.

Correspond à la propriété Fichier graphique pour l'état, dans le groupe Confirmer acquittement de l'alarme, dans Editor.

IMAGE_GEHT=

Fichier graphique pour l'alarme supprimée.

Correspond à la propriété Fichier graphique pour l'état, dans le groupe Date/heure de disparition, dans Editor.

IMAGE_KOMMT=

Fichier graphique correspondant à l'état Alarme reçue.

Correspond à la propriété Fichier graphique pour l'état, dans le groupe Date/heure d'apparition, dans Editor.

IMAGE_QUIT=

Fichier graphique correspondant à l'état Alarme acquittée.

Correspond à la propriété Fichier graphique pour l'état, dans le groupe Date/heure d'acquittement, dans Editor.

LINE_BLINK_UNACK=

Comportement des lignes qui n'ont pas été sélectionnées et comportent des alarmes non acquittées :

  • 1 : Les lignes qui n'ont pas été sélectionnées et comportent des alarmes non acquittées clignotent dans la liste d'alarmes.
  • 0 : Pas de clignotement

Par défaut : 0

Pour cela, activez la propriété Les alarmes non acquittées clignotent dans Editor.

MILLISEK=

Affichage des millisecondes pour l'indication Heure de réception :

  • 0 : Les millisecondes ne sont ni affichées, ni imprimées
  • 1 : Les millisecondes sont également affichées

Par défaut : 0

NACHSCHIEBEN=

Déplacement des alarmes vers la barre d'état des alarmes

  • 1 : Toutes les alarmes non acquittées sont affichées les unes après les autres dans la ligne d'état dans le Runtime. Dès qu’une alarme est acquittée avec un double-clic droit, l’alarme suivante est affichée.
    Selon la configuration de la propriété AELTESTER=, l'alarme la plus ancienne ou la plus récente est affichée la première.
  • 0 : seule une alarme est affichée dans la ligne d'état. La ligne d’état est vide lorsque l’alarme a été acquittée. Seule la prochaine alarme à se déclencher masquera à nouveau la barre d'état des alarmes.

Pour cela, activez la propriété afficher suivante dans Editor.

PREF_COMES=

Préfixe du message Alarme reçue.
Par défaut : TEXT=>>

Correspond à la propriété Préfixe, dans le groupe Date/heure d'apparition, dans Editor.

PREF_GOES=

Préfixe du message Alarme supprimée.
Par défaut : TEXT=<<

Correspond à la propriété Préfixe, dans le groupe Date/heure de disparition, dans Editor.

PREF_IMAGE_COMES=

Fichier graphique du préfixe du message Alarme reçue.

Correspond à la propriété Fichier graphique pour le préfixe, dans le groupe Date/heure d'apparition, dans Editor.

PREF_IMAGE_GOES=

Fichier graphique du préfixe du message Alarme supprimée.

Correspond à la propriété Fichier graphique pour le préfixe, dans le groupe Date/heure de disparition, dans Editor.

PREF_IMAGE_QUIT=

Fichier graphique du préfixe du message Alarme acquittée.

Correspond à la propriété Fichier graphique pour le préfixe, dans le groupe Date/heure d'acquittement, dans Editor.

PREF_QUIT=

Préfixe du message Alarme acquittée.
Par défaut : TEXT=

Correspond à la propriété Préfixe, dans le groupe Date/heure d'acquittement, dans Editor.

QUIT_ANZ=

Largeur en caractères de la colonne Heure d'acquittement.

Recommandation : Configuration dans Editor via la boîte de dialogue de la propriété Paramètres des colonnes alarmes, dans le groupe Liste d'alarmes ou via la fonction d'appel de synoptique.

QUIT_IN_CEL=

Inclusion de l'acquittement d'une alarme dans la liste d'événements :

  • 0 : inclus
  • 1 : non inclus

Par défaut : 0

Corresponds à la propriété Acquittement d'alarme, dans le groupe Enregistrement (fichier journal), dans les propriétés du projet pour Liste d'événements.

REACT_TIME_ANZ=

Largeur en caractères de la colonne Heure de réactivation.

Recommandation : Configuration dans Editor via la boîte de dialogue de la propriété Paramètres des colonnes alarmes, dans le groupe Liste d'alarmes ou via la fonction d'appel de synoptique.

REACT_COUNT_ANZ=

Largeur en caractères de la colonne Nombre de réactivations.

Recommandation : Configuration dans Editor via la boîte de dialogue de la propriété Paramètres des colonnes alarmes, dans le groupe Liste d'alarmes ou via la fonction d'appel de synoptique.

REACT_STAT_ANZ=

Largeur en caractères de la colonne État de la variable réactivée.

Recommandation : Configuration dans Editor via la boîte de dialogue de la propriété Paramètres des colonnes alarmes, dans le groupe Liste d'alarmes ou via la fonction d'appel de synoptique.

RESOURCELABEL=

Décrit la colonne d'identification des ressources.

Recommandation : Configuration dans Editor via la boîte de dialogue de la propriété Paramètres des colonnes alarmes, dans le groupe Liste d'alarmes ou via la fonction d'appel de synoptique.

RESOURCELABEL_ANZ=

Largeur en caractères de la colonne d'identification des ressources.

Recommandation : Configuration dans Editor via la boîte de dialogue de la propriété Paramètres des colonnes alarmes, dans le groupe Liste d'alarmes ou via la fonction d'appel de synoptique.

RTEXT_ANZ=

Largeur de la colonne Texte de réaction en caractères.

Recommandation : Configuration dans Editor via la boîte de dialogue de la propriété Paramètres des colonnes alarmes, dans le groupe Liste d'alarmes ou via la fonction d'appel de synoptique.

SAVE_BIN_ALWAYS=

Configuration de la répercussion de chaque modification apportée aux données de la liste d'alarmes sur les données du fichier alarm.bin :

  • 1 : Enregistrement actif
  • 0 : Enregistrement inactif

Par défaut : 0

Pour cela, activez la propriété Enregistrer le buffer circulaire en cas de modification dans Editor.

Remarque : Si la propriété est définie sur active, ceci peut exercer une charge considérable sur le système, et plus particulièrement sur les lecteurs flash. Si la propriété est défini sur inactive, ceci peut entraîner la perte de données en cas de fermeture inattendue du Runtime. Inactive Cette option est recommandée en cas de baisse des performances.

SAVE_ONLY_STACK=

Enregistrement des données des alarmes :

  • 0 : Toutes les données sont enregistrées :
  • 1 : seules les alarmes actives (alarm.bin) sont enregistrées sur le disque dur.
  • 2 : sur les plates-formes CE, seule la mémoire circulaire (alarm.bin) est enregistrée sur le disque dur ; sur PC, les entrées historiques (*.aml) sont également enregistrées.

Par défaut : 2

Pour cela, activez la propriété Enregistrer les données d'alarmes dans Editor.

STACK_SIZE=

Nombre maximum d’entrées de la mémoire circulaire.

Minimum : 1
Maximum : 32767
Par défaut : 100

Recommandation : définir une taille au moins égale au nombre de variables pour lesquelles des alarmes peuvent se déclencher.

Attention : la taille de la mémoire circulaire doit toujours être choisie de manière adéquate. Dans le Runtime, la mémoire circulaire est gérée de manière dynamique dans la mémoire. Ainsi, des alarmes dépassant la taille de la mémoire circulaire peuvent être affichées. Dans le fichier d’enregistrement de la mémoire circulaire (alarm.bin), les alarmes sont enregistrées jusqu’à ce que le nombre défini soit atteint. All entries are entered into the alarm file (*.aml) and the Runtime folder at the same time. Les deux fichiers sont synchronisés. En cas de dépassement de capacité de la mémoire circulaire, des entrées non acquittées peuvent être insérées dans le fichier d’alarme.

Pour cela, activez la propriété Taille du buffer circulaire dans Editor.

STACK_WARNING_COUNT0=

Nombre d'entrées dans la liste d'alarmes nécessaires pour que le Message 1 soit affiché dans la barre d'état des alarmes.

Attention : La valeur doit être inférieure à la valeur dans la propriété STACK_WARNING_COUNT1=.

Pour cela, activez la propriété Nombre d'alarmes Message 1 dans Editor.

STACK_WARNING_COUNT1=

Nombre d'entrées dans la liste d'alarmes nécessaires pour que le Message 2 soit affiché dans la barre d'état des alarmes.

Attention : La valeur doit être inférieure à la valeur dans la propriété STACK_WARNING_COUNT2=.

Pour cela, activez la propriété Nombre d'alarmes Message 2 dans Editor.

STACK_WARNING_COUNT2=

Nombre d'entrées dans la liste d'alarmes nécessaires pour que le Message 3 soit affiché dans la barre d'état des alarmes.

Attention : La valeur doit être inférieure à la valeur dans la propriété STACK_SIZE=.

Pour cela, activez la propriété Nombre d'alarmes Message 3 dans Editor.

STACK_WARNING_TEXT0=

Texte du Message 1 devant être affiché dans la barre d'état du Runtime. Ce message se superpose à la ligne d'état de l'alarme.

Pour cela, activez la propriété Texte message 1 dans Editor.

STACK_WARNING_TEXT1=

Texte du Message 2 devant être affiché dans la barre d'état du Runtime. Ce message se superpose à la ligne d'état de l'alarme.

Pour cela, activez la propriété Texte message 2 dans Editor.

STACK_WARNING_TEXT2=

Texte du Message 3 devant être affiché dans la barre d'état du Runtime. Ce message se superpose à la ligne d'état de l'alarme.

Pour cela, activez la propriété Texte message 3 dans Editor.

STAT_ANZ=

Largeur en caractères de la colonne État de la variable.

Recommandation : Configuration dans Editor via la boîte de dialogue de la propriété Paramètres des colonnes alarmes, dans le groupe Liste d'alarmes ou via la fonction d'appel de synoptique.

STATUS=

Affichage de la ligne d'état des alarmes.

  • 1 : la ligne d'état des alarmes est affichée.
  • 0 : la ligne d'état des alarmes n'est pas affichée.

Par défaut : 1

Correspond à la propriété Ligne d'état active, dans le groupe Ligne d'état des alarmes.

Avertissement concernant la gestion multi-projet : La configuration dans le projet d’intégration définit le comportement des sous-projets, indépendamment de la configuration des sous-projets. La ligne d’état des alarmes du projet de niveau supérieur est toujours utilisée dans le Runtime.

STATUS_SCHRIFT=

Indice de la police de caractères sélectionnée pour le texte dans la ligne d'état.

  • 0 : Police standard (par défaut)

Pour cela, activez la propriété Police dans Editor.

TAG_ANZ=

Largeur de la colonne Identifiant en caractères.

Recommandation : Configuration dans Editor via la boîte de dialogue de la propriété Paramètres des colonnes alarmes, dans le groupe Liste d'alarmes ou via la fonction d'appel de synoptique.

TEXTLIST_ENDNODE_SEL=

Définit si des textes de tous les niveaux ou uniquement des textes provenant des nœuds de terminaison peuvent être sélectionnés comme causes d’alarme dans le Runtime.

  • 1 : seuls les textes provenant des nœuds de terminaison peuvent être sélectionnés comme causes d’alarme.
  • 0 : des textes de tous les niveaux peuvent être sélectionnés comme causes d’alarme.

Par défaut : 0

TIME_LASTING_ANZ=

Largeur en caractères de la colonne Durée d'activation.

Recommandation : Configuration dans Editor via la boîte de dialogue de la propriété Paramètres des colonnes alarmes, dans le groupe Liste d'alarmes ou via la fonction d'appel de synoptique.

TITLE_ACT_TEXT=

Description de la colonne Commentaire.

Recommandation : Configuration dans Editor via la boîte de dialogue de la propriété Paramètres des colonnes alarmes, dans le groupe Liste d'alarmes ou via la fonction d'appel de synoptique.

TITLE_CLASS=

Description de la colonne Classe d'alarmes/d'événements.

Recommandation : Configuration dans Editor via la boîte de dialogue de la propriété Paramètres des colonnes alarmes, dans le groupe Liste d'alarmes ou via la fonction d'appel de synoptique.

TITLE_CLASSNR=

Description de la colonne No. classe d'alarmes/d'événements.

Recommandation : Configuration dans Editor via la boîte de dialogue de la propriété Paramètres des colonnes alarmes, dans le groupe Liste d'alarmes ou via la fonction d'appel de synoptique.

TITLE_CLASSSYMBOL=

Description de la colonne Symbole de classe d'alarmes/d'événements.

Recommandation : Configuration dans Editor via la boîte de dialogue de la propriété Paramètres des colonnes alarmes, dans le groupe Liste d'alarmes ou via la fonction d'appel de synoptique.

TITLE_CLASSSYMBOL_STYLE=

Type d'affichage de la colonne Symbole de classe d'alarmes/d'événements.

Recommandation : Configuration dans Editor via la boîte de dialogue de la propriété Paramètres des colonnes alarmes, dans le groupe Liste d'alarmes ou via la fonction d'appel de synoptique.

TITLE_COMES=

Description de la colonne Heure d'apparition.

Recommandation : Configuration dans Editor via la boîte de dialogue de la propriété Paramètres des colonnes alarmes, dans le groupe Liste d'alarmes ou via la fonction d'appel de synoptique.

TITLE_COMP=

Description de la colonne Nom de l'ordinateur.

Recommandation : Configuration dans Editor via la boîte de dialogue de la propriété Paramètres des colonnes alarmes, dans le groupe Liste d'alarmes ou via la fonction d'appel de synoptique.

TITLE_GOES=

Description de la colonne Heure de disparition.

Recommandation : Configuration dans Editor via la boîte de dialogue de la propriété Paramètres des colonnes alarmes, dans le groupe Liste d'alarmes ou via la fonction d'appel de synoptique.

TITLE_GROUP=

Description de la colonne Groupe d'alarmes/d'événements.

Recommandation : Configuration dans Editor via la boîte de dialogue de la propriété Paramètres des colonnes alarmes, dans le groupe Liste d'alarmes ou via la fonction d'appel de synoptique.

TITLE_GROUPNR=

Description de la colonne Numéro du groupe d'alarmes/d'événements.

Recommandation : Configuration dans Editor via la boîte de dialogue de la propriété Paramètres des colonnes alarmes, dans le groupe Liste d'alarmes ou via la fonction d'appel de synoptique.

TITLE_GROUPSYMBOL=

Description de la colonne Symbole de groupe d'alarmes/d'événements.

Recommandation : Configuration dans Editor via la boîte de dialogue de la propriété Paramètres des colonnes alarmes, dans le groupe Liste d'alarmes ou via la fonction d'appel de synoptique.

TITLE_GROUPSYMBOL_STYLE=

Type d'affichage de la colonne Symbole de groupe d'alarmes/d'événements.

Recommandation : Configuration dans Editor via la boîte de dialogue de la propriété Paramètres des colonnes alarmes, dans le groupe Liste d'alarmes ou via la fonction d'appel de synoptique.

TITLE_NAME=

Description de la colonne Nom de variable.

Recommandation : Configuration dans Editor via la boîte de dialogue de la propriété Paramètres des colonnes alarmes, dans le groupe Liste d'alarmes ou via la fonction d'appel de synoptique.

TITLE_PROJECT=

Description de la colonne Nom du projet.

Recommandation : Configuration dans Editor via la boîte de dialogue de la propriété Paramètres des colonnes alarmes, dans le groupe Liste d'alarmes ou via la fonction d'appel de synoptique.

TITLE_QUIT=

Description de la colonne Heure d'acquittement.

Recommandation : Configuration dans Editor via la boîte de dialogue de la propriété Paramètres des colonnes alarmes, dans le groupe Liste d'alarmes ou via la fonction d'appel de synoptique.

TITLE_REACT_TIME=

Description de la colonne Heure de réactivation.

Recommandation : Configuration dans Editor via la boîte de dialogue de la propriété Paramètres des colonnes alarmes, dans le groupe Liste d'alarmes ou via la fonction d'appel de synoptique.

TITLE_REACT_COUNT=

Description de la colonne Nombre de réactivations.

Recommandation : Configuration dans Editor via la boîte de dialogue de la propriété Paramètres des colonnes alarmes, dans le groupe Liste d'alarmes ou via la fonction d'appel de synoptique.

TITLE_REACT_STAT=

Description de la colonne État de la variable réactivée.

Recommandation : Configuration dans Editor via la boîte de dialogue de la propriété Paramètres des colonnes alarmes, dans le groupe Liste d'alarmes ou via la fonction d'appel de synoptique.

TITLE_STATUS=

Description de la colonne État de la variable.

Recommandation : Configuration dans Editor via la boîte de dialogue de la propriété Paramètres des colonnes alarmes, dans le groupe Liste d'alarmes ou via la fonction d'appel de synoptique.

TITLE_STATUSCAPTION=

Description de la colonne État de l'alarme.

Recommandation : Configuration dans Editor via la boîte de dialogue de la propriété Paramètres des colonnes alarmes, dans le groupe Liste d'alarmes ou via la fonction d'appel de synoptique.

TITLE_STATUSCAPTION_STYLE=

Type d'affichage de la colonne État de l'alarme.

Recommandation : Configuration dans Editor via la boîte de dialogue de la propriété Paramètres des colonnes alarmes, dans le groupe Liste d'alarmes ou via la fonction d'appel de synoptique.

TITLE_TAGNR=

Description de la colonne Identifiant.

Recommandation : Configuration dans Editor via la boîte de dialogue de la propriété Paramètres des colonnes alarmes, dans le groupe Liste d'alarmes ou via la fonction d'appel de synoptique.

TITLE_TEXT=

Description de la colonne Texte.

Recommandation : Configuration dans Editor via la boîte de dialogue de la propriété Paramètres des colonnes alarmes, dans le groupe Liste d'alarmes ou via la fonction d'appel de synoptique.

TITLE_TIME_LASTING=

Description de la colonne Durée d'activation.

Recommandation : Configuration dans Editor via la boîte de dialogue de la propriété Paramètres des colonnes alarmes, dans le groupe Liste d'alarmes ou via la fonction d'appel de synoptique.

TITLE_VALUE=

Description de la colonne Valeur.

Recommandation : Configuration dans Editor via la boîte de dialogue de la propriété Paramètres des colonnes alarmes, dans le groupe Liste d'alarmes ou via la fonction d'appel de synoptique.

TITLE_USER=

Description de la colonne Nom utilisateur.

Recommandation : Configuration dans Editor via la boîte de dialogue de la propriété Paramètres des colonnes alarmes, dans le groupe Liste d'alarmes ou via la fonction d'appel de synoptique.

TITLE_USERNAME=

Description de la colonne Utilisateur - nom complet.

Recommandation : Configuration dans Editor via la boîte de dialogue de la propriété Paramètres des colonnes alarmes, dans le groupe Liste d'alarmes ou via la fonction d'appel de synoptique.

UNIT=

Largeur en caractères de la colonne Unité de mesure.

Recommandation : Configuration dans Editor via la boîte de dialogue de la propriété Paramètres des colonnes alarmes, dans le groupe Liste d'alarmes ou via la fonction d'appel de synoptique.

USER_ANZ=

Largeur en caractères de la colonne Nom utilisateur.

Recommandation : Configuration dans Editor via la boîte de dialogue de la propriété Paramètres des colonnes alarmes, dans le groupe Liste d'alarmes ou via la fonction d'appel de synoptique.

VAR_ANZ=

Largeur en caractères de la colonne Nom de variable.

Recommandation : Configuration dans Editor via la boîte de dialogue de la propriété Paramètres des colonnes alarmes, dans le groupe Liste d'alarmes ou via la fonction d'appel de synoptique.

ZEIT_TYP=

Définition du format d'affichage de l'heure.

  • 1 : millisecondes uniquement
  • 2 : heure uniquement
  • 3 : heure et millisecondes
  • 4 : date uniquement
  • 5 : date et millisecondes
  • 6 : Date and time (date et heure)
  • 7 : date, heure et millisecondes

Recommandation : Configuration dans Editor via la boîte de dialogue de la propriété Paramètres des colonnes alarmes, dans le groupe Liste d'alarmes ou via la fonction d'appel de synoptique.


Serveur d'archives [ARCHIV]

Manuel -> Fichier de configuration -> project.ini -> Serveur d'archives [ARCHIV]

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Entrée

Fonction

[ARCHIV]

Propriétés des archives.

Recommandation : Configuration dans la boîte de dialogue Maintenance d'archive dans Editor.

ARCHDIGITS=

Nombre de décimales durant l'exportation d'archives au format TXT, XML et DBF.
Par défaut : ARCHDIGITS=1

CLIENTS_LOAD_LOCAL=

Chargement des fichiers d'archives :

  • 1 : les fichiers d'archive sont lus localement sur le client et ne sont pas demandés au serveur. Ceci ne fonctionne pas avec la sélection de lots. Uniquement pour les archives au format *.arx et le transfert vers SQL.
  • 0 : Les fichiers sont obtenus sur le serveur.

Attention : la configuration d'une entrée n'entraîne pas la synchronisation des données par le Runtime avec le client zenon. Les données de l'archive doivent être copiées manuellement vers le client.

CLOSEDELAY=

Délai d'attente, suivant une analyse RDA, jusqu'à la fermeture du fichier ARV ou ARX. Si une autre analyse a lieu pendant ce délai d'attente, les données sont écrites dans le même fichier.

Par défaut : CLOSEDELAY=5

CRATE_BLOCKSIZE=

Defines the number of Rows when inserting values. The number of ROWS per INSERT must be given.

Par défaut : 10000

Remarque : Can only be used for Crate.IO databases. Vous trouverez d’autres informations dans le manuel Serveur d'archives, au chapitre CRATE.IO.

EVAC_ERR_PERIOD=

En cas d'erreur durant la période définie, une entrée est créée dans la liste CEL. Cette période peut être définie par incréments d'une heure.

Si un fichier ARV ou ARX ne peut pas être lu, il est renommé en fichier AR_ et le processus se poursuit avec le fichier suivant.

Par défaut : EVAC_ERR_PERIOD=12

EXPORTFORMAT=

Format d'exportation avec :

  • Date
  • Heure :
  • Variable (nom de variable)
  • Valeur
  • État

EXPORTFORMAT=DZVWS

MIN_MAX_ENDE_ZEIT=

Choix de l'heure indiquée :

  • 1 : Heure d'apparition de la valeur minimale ou maximale
  • 0 : Heure de fin de l'archive

NUR_HANDWERT=

Pour les archives listées ici, seul le matériel est utilisé pour le calcul des archives agrégées. Saisie de descriptions courtes, séparées par des espaces.

NUR_HANDWERT=X1 X2

SPEICHER=

Nombre maximum de valeurs devant être lues dans la mémoire pour les fonctions suivantes :

  • Extended Trend
  • Maintenance d'archive
  • Liste d’alarmes
  • Liste d'événements
  • Tables

Affichage en kilo-octets (par ex. 2000000 pour 2 Go).

Par défaut : 1000000 (=1 Go)

Attention : Pour les données d'archives, toutes les valeurs des variables sont toujours lues, même si une variable seulement est affichée.

Remarque : L'espace disponible est vérifié avant la lecture des données d'archive (*.arx). Si une capacité supérieure à la capacité définie ici est requise, la lecture est annulée et un message d'erreur est écrit dans le fichier journal de l'outil Diagnosis Viewer.

SQL_MAXROWS=

Nombre maximal de valeurs à lire depuis la base de données SQL (lors du transfert de l'archive vers SQL).

Maximum : 4 294 967 295

Remarque : Une vérification automatique est effectuée pour assurer qu'il reste toujours au moins 10 % de mémoire libre.

STATUSSPERRBIT=

Définit le bit dans l'état utilisé en tant que bloc d'archive. Toutes les valeurs dans lesquelles ce bit est défini ne sont pas archivées avec leur valeur actuelle, mais avec la valeur de substitution INVALID.

Valeurs autorisées :

  • 0 devient 31
  • -1 : inactif

Par défaut : 0

TRENNZEICHEN=

Séparateur de champs pour l'exportation sous forme de fichiers ASCII.

Exemple : TRENNZEICHEN=;

ZEIT_AUTOMATISCH=

Correction automatique de l'heure :

  • 1 : Pour les archives résultantes, une correction automatique de l'heure de -1 seconde est effectuée. Il est ainsi possible de définir, par exemple, une valeur d'horodatage de 00:00 (24:00) le jour précédent, à 23:59.
  • 0 : Pas de correction.


Coloration Automatique des Lignes (CAL) [ALC] et Topologie [ALC_TOP]

Manuel -> Fichier de configuration -> project.ini -> Coloration Automatique des Lignes (CAL) [ALC] et Topologie [ALC_TOP]

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

[ALC]

Entrée

Description

[ALC]

Propriétés dans le nœud Coloration Automatique de Lignes des propriétés du projet.

GROUNDFAULTMODE=

Lors d'une recherche de défaut de terre, détermine si tout le réseau doit être coloré, ou seulement la section du réseau dans laquelle s'est produit le défaut de terre.

  • 0 : Couleur alimentation
  • 1 : Couleur grille complète.

Pour cela, activez la propriété Mode de recherche pour les défauts de terre dans Editor.

MARKER_BACKGROUNDx=

Couleur d'arrière-plan du marqueur. x représente le numéro du marqueur, qui commence par 0.

Exemple : MARKER_BACKGROUND3=2124031.

La couleur sera fournie au format décimal. Dans Editor, elle est affichée au format hexadécimal, précédée d'un caractère #.
Exemple : La couleur #8000FF dans Editor correspond à la couleur 16711808 dans le fichier INI.

Recommandation : Configuration dans la boîte de dialogue de la propriété Configuration CAL.

MARKER_CNT=

Nombre de marqueurs de synoptique configurés.

Cette valeur est définie par Editor.

MARKER_COLOURx=

Couleur de ligne du marqueur. x représente le numéro du marqueur, qui commence par 0.

Exemple : MARKER_COLOUR3=255.

La couleur sera fournie au format décimal. Dans Editor, elle est affichée au format hexadécimal, précédée d'un caractère #.
Exemple : La couleur #8000FF dans Editor correspond à la couleur 16711808 dans le fichier INI.

Recommandation : Configuration dans la boîte de dialogue de la propriété Configuration CAL.

MARKERLINE=

Largeur de ligne des marqueurs de synoptique, en pixels.

Pour cela, activez la propriété Epaisseur de ligne du marqueur écran dans Editor.

MARKERSIZE=

Taille des marqueurs de synoptique, en pixels.

Pour cela, activez la propriété Taille marqueur écran dans Editor.

MARKERTYPE=

Types d'affichage des marqueurs de synoptique :

  • 0 : Triangle
  • 1 : Cercle
  • 2 : Carré
  • 3 : Croix

Pour cela, activez la propriété Affiche le type de marqueur écran dans Editor.

MAXOVERLOAD=

Surintensité maximum autorisée, en pourcentage.

Exemple : MAXOVERLOAD=1,000000.

Pour cela, activez la propriété Nombre maximum acceptable de surcharge en courant [%] dans Editor.

SEARCHMODE=

Définit le code de couleurs de l'état UNDEFINED (Non défini) :

  • 0 : Standard.
    la couleur source est diffusée sur le réseau, depuis chaque source activée, à condition que l’interrupteur suivant soit fermé.
  • 1 : La saisie est prioritaire
    seules les lignes colorées potentiellement alimentées par une source au moins, mais non alimentées explicitement par une source.

Pour cela, activez la propriété Mode pour la coloration dans Editor.

SOURCE_BACKGROUNDx=

Couleur de fond de la source. Cette couleur est utilisée en tant que couleur de fond pour les tubes et les éléments de procédure (élément combiné). x représente le numéro de la source, qui commence par 0. Cette valeur ne doit pas être confondue avec la propriété SOURCE_PRIORITYx=.

Exemple : SOURCE_BACKGROUND3=2124031.

La couleur sera fournie au format décimal. Dans Editor, elle est affichée au format hexadécimal, précédée d'un caractère #.
Exemple : La couleur #8000FF dans Editor correspond à la couleur 16711808 dans le fichier INI.

Recommandation : Configuration dans la boîte de dialogue de la propriété Configuration CAL.

SOURCE_CNT=

Nombre de sources configurées.

Cette valeur est définie par Editor.

SOURCE_COLOURx=

Couleur de ligne de la source. Cette couleur est utilisée pour colorer les lignes et les lignes brisées et définit la couleur pour l'extérieur des tubes. x représente le numéro du marqueur, qui commence par 0. Cette valeur ne doit pas être confondue avec la propriété SOURCE_PRIORITYx= .

Exemple : SOURCE_COLOUR3=255.

La couleur sera fournie au format décimal. Dans Editor, elle est affichée au format hexadécimal, précédée d'un caractère #.
Exemple : La couleur #8000FF dans Editor correspond à la couleur 16711808 dans le fichier INI.

Recommandation : Configuration dans la boîte de dialogue de la propriété Configuration CAL.

SOURCE_NAME0=

Nom de la source. Ce nom est également utilisé lors de la sélection du numéro de source pour les éléments combinés. x représente le numéro du marqueur, qui commence par 0.

Exemple : SOURCE_NAME3=GROUNDED

Recommandation : Configuration dans la boîte de dialogue de la propriété Configuration CAL.

SOURCE_PRIORITYx=

Priorité de traitement. Ce numéro est automatiquement attribué par le système et ne doit pas être modifié.

Exemple : SOURCE_PRIORITY0=3
La source 0 possède la priorité 3 et est affichée et traitée en troisième position dans la liste.

[ALC_TOP]

Entrée

Description

[ALC_TOP]

Propriétés du verrouillage.

Recommandation : Configuration dans la boîte de dialogue de la propriété Configuration CAL.

INTER_CNT=5

Nombre de verrouillages configurés.

Cette valeur est définie par Editor.

INTER_NOx=

Type de verrouillage. x représente le numéro de l'entrée, qui commence par 0. Le type est défini par des valeurs numériques :

  • 900 : Tension à la masse
  • 903 : Opération de commutation dans une zone avec état indéfini.
  • 905 : Sectionneur en charge
  • 906 : Provoquerait une rupture d'alimentation du matériel
  • 907 : La zone avec un état indéterminé va s'agrandir

Exemple : INTER_NO0=900

INTER_MODEx=

État du verrouillage. x représente le numéro de l'entrée, qui commence par 0. États possibles :

  • 0 : ne pas vérifier
  • 1 : déverrouillable
  • 2 : non déverrouillable

Exemple : INTER_MODE0=1


Éléments de synoptique [ELEMENTE]

Manuel -> Fichier de configuration -> project.ini -> Éléments de synoptique [ELEMENTE]

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Entrée

Description

[ELEMENTE]

TREND_ZEIT_FAKTOR=

Facteur de multiplication des intervalles de temps lors du tracé de courbes de tendances.

Une courbe de tendance est uniquement tracée si la distance entre deux valeurs enregistrées est égale à X fois la fréquence d'actualisation nécessaire.

  • 0 : Aucune vérification n'est effectuée.

Maximum : 65535

Par défaut : 20


CEL [BTB]

Manuel -> Fichier de configuration -> project.ini -> CEL [BTB]

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Entrée

Description

[BTB]

Propriétés générales de la liste d'événements (CEL).

Ces propriétés sont généralement configurées dans Editor, dans les propriétés de projet du groupe Liste d'événements.

ARCHIV_WRITE=

Configuration de la génération d'une entrée de liste CEL en cas de modification des données d'archive :

  • 0 : l'édition des archives est consignée dans la liste CEL.
  • 1 : L'édition des archives est consignée dans la liste CEL :
    • Nom du fichier d’archive
    • Nouvelle et ancienne valeurs des variables
    • Nouvelles et anciennes informations d’horodatage des variables
    • Nom variable

Pour cela, activez la propriété Données d'archive dans Editor.

AREA=

Description de la colonne Domaine d'alarme.

Recommandation : Configuration dans Editor via la boîte de dialogue de la propriété Paramètres des colonnes liste d'événements, dans le groupe Liste d'événements ou via la fonction d'appel de synoptique.

AREA_ANZ=

Largeur en caractères de la colonne Domaine d'alarme.

Recommandation : Configuration dans Editor via la boîte de dialogue de la propriété Paramètres des colonnes liste d'événements, dans le groupe Liste d'événements ou via la fonction d'appel de synoptique.

AREANR=

Description de la colonne Numéro de domaine d'alarme.

Recommandation : Configuration dans Editor via la boîte de dialogue de la propriété Paramètres des colonnes liste d'événements, dans le groupe Liste d'événements ou via la fonction d'appel de synoptique.

AREANR_ANZ=

Largeur en caractères de la colonne Numéro de domaine d'alarme.

Recommandation : Configuration dans Editor via la boîte de dialogue de la propriété Paramètres des colonnes liste d'événements, dans le groupe Liste d'événements ou via la fonction d'appel de synoptique.

BTBLISTE=

Entrées souhaitées et ordre dans la liste

  • 0 : Nom de variable
  • 1 : Identification
  • 2 : Texte
  • 3 : heure d'apparition
  • 6 : Information d'état
  • 7 : Valeur
  • 8 : affichage pour l'utilisateur

Exemple : BTBLISTE=320

Recommandation : Configuration dans Editor via la boîte de dialogue de la propriété Paramètres des colonnes liste d'événements, dans le groupe Liste d'événements ou via la fonction d'appel de synoptique.

CLASS_ANZ=

Largeur en caractères de la colonne Classe d'alarmes/d'événements.

Recommandation : Configuration dans Editor via la boîte de dialogue de la propriété Paramètres des colonnes liste d'événements, dans le groupe Liste d'événements ou via la fonction d'appel de synoptique.

COLOR_BACKGROUND=

Utilisation de la couleur de la classe d'alarmes :

  • 1 : la couleur de la classe est interprétée comme une couleur d'arrière-plan
  • 0 : la couleur de la classe définit la couleur du texte

Par défaut : 0

Si aucune classe n'est liée à une valeur limite, la couleur du fond ou du texte est issue des paramètres de l'élément "Liste" dans le synoptique.

Utilisée avec la propriété COLOR_CLASS=.

Pour cela, activez la propriété Couleur de classe d'alarmes/d'événements dans Editor.

COLOR_CLASS=

La couleur de classe d'alarmes/d'événements est :

  • 1 : utilisée
  • 0 : non utilisée

Par défaut : 1

Utilisée avec la propriété COLOR_BACKGROUND=.

Pour cela, activez la propriété Couleur de classe d'alarmes/d'événements dans Editor.

COMPUTER_ANZ=

Largeur en caractères de la colonne Nom de l'ordinateur.

Recommandation : Configuration dans Editor via la boîte de dialogue de la propriété Paramètres des colonnes liste d'événements, dans le groupe Liste d'événements ou via la fonction d'appel de synoptique.

DRUCKE_SYSMLDG=

Configuration de l'impression des messages système avec l'impression en ligne :

  • 0 : affichage sous forme de liste uniquement
  • 1 : exécution de l'impression

Par défaut : 1

Pour cela, activez la propriété Imprimer messages système dans Editor.

DYN_LIMIT_FILE=

Utilisation du champ de commentaires pour le texte de valeur limite dynamique :

  • 0 : Le champ de commentaires est utilisé pour les textes de valeur limite dynamiques et n'est donc pas disponible pour les commentaires.
    Longueur maximale : 80 caractères.
  • 1 : Le contenu dynamique sera stocké dans un fichier au format D*.CEL. Il sera en outre enregistré dans le fichier C*.CEL. Le champ peut être utilisé pour la saisie de commentaires.
    Longueur maximale des textes de valeur limite dynamique : 254 caractères.

Par défaut : 0

Pour cela, activez la propriété Textes de limite dynamiques longs pour les événements dans Editor.

EIN=

La liste d'événements est utilisée.

  • 1 : la liste d'événements (CEL) est active dans le Runtime. Les événements sont consignés et la liste CEL est disponible.
  • 0 : aucun événement n'est enregistré.

Par défaut : 1

Remarque : Les modifications prennent effet après le redémarrage du Runtime.

Pour cela, activez la propriété Gestion des événements active dans Editor.

FARBE_SORT=

Définit la couleur du texte des entrées triées dans la liste d'événements (CEL).

Remarque :

  • Si la valeur 1 est sélectionnée pour la propriété COLOR_BACKGROUND=, cette couleur est prioritaire sur la sélection dans FARBE_SORT.
  • Pour SICAM 230 : pour utiliser la même couleur partout dans la liste, vous devez sélectionner la même couleur pour la propriété FARBE_UNSORT=.

Pour cela, activez la propriété texte trié dans Editor.

La couleur sera fournie au format décimal. Dans Editor, elle est affichée au format hexadécimal, précédée d'un caractère #.
Exemple : La couleur #8000FF dans Editor correspond à la couleur 16711808 dans le fichier INI.

FARBE_UNSORT=

Définit la couleur du texte des entrées non triées dans la liste d'événements (CEL).

Pour cela, activez la propriété texte non trié dans Editor.

La couleur sera fournie au format décimal. Dans Editor, elle est affichée au format hexadécimal, précédée d'un caractère #.
Exemple : La couleur #8000FF dans Editor correspond à la couleur 16711808 dans le fichier INI.

FIRST_ENTRY=

Entrées à afficher lors de l'affichage de la liste d'événements (CEL).

  • 0 : Aucune entrée de valeur limite existante n'est lue au démarrage du Runtime. De nouvelles entrées sont uniquement insérées si de nouveaux événements se produisent après le démarrage.
  • 1 : Lors du démarrage, les dépassements de valeurs limite existants sont également insérés.

GRID_LINES=

Affichage des colonnes et des lignes de la liste d'alarmes avec des lignes de grille :

  • 0 : activé
  • 1 : désactivé

Recommandation : Configuration dans Editor via la boîte de dialogue de la propriété Paramètres des colonnes liste d'événements, dans le groupe Liste d'événements ou via la fonction d'appel de synoptique.

GROUP_ANZ=

Largeur en caractères de la colonne Groupe d'alarmes/d'événements.

Recommandation : Configuration dans Editor via la boîte de dialogue de la propriété Paramètres des colonnes liste d'événements, dans le groupe Liste d'événements ou via la fonction d'appel de synoptique.

HEADER=

Affichage des en-têtes de colonnes dans la liste.

Affichage des en-têtes de colonnes dans la liste d'événements (CEL).

  • 1 : L'en-tête de colonne est affiché.
  • 0 : L'en-tête de colonne n'est pas affiché.

Utilisé avec le paramètre HEADER_ENABLE=.

Pour cela, activez la propriété En-tête liste d'événements dans Editor.

HEADER_ENABLE=

Utilisation de l'en-tête de colonne :

  • 1 : l'en-tête de colonne peut être actionné.
  • 0 : L'en-tête de colonne est uniquement utilisé pour l'affichage (fixe).

Utilisé avec le paramètre HEADER= .

Pour cela, activez la propriété En-tête liste d'événements dans Editor.

MAXTEXTLEN=

Définissez le nombre maximal de caractères que peut contenir le texte de valeur limite statique dans la liste d'événements. Les valeurs minimum et maximum s’appliquent également à VBA/VSTA.

  • Minimum : 127
  • Maximum : 1023

Limitation : lors de l’exportation au format dBase, la longueur est limitée à 256 caractères.

Pour cela, activez la propriété Longueur texte statique pour les événements dans Editor.

NAME=

Attribution d'un nom court pour les fichiers texte enregistrés.

Éléments requis : L'entrée TXT_FILE=1

Par défaut : NAME=BTBTTMM.TXT
(TT=jour, MM=mois)

RECIPE_CHANGE=

Entrées lors de la modification de recettes

  • 0 : la modification de recettes standard et de recettes dans le module Recipe Group Manager (RGM) n'est pas consignée dans la liste CEL.
  • 1 : En cas de modification d'une recette, celle-ci est enregistrée avec le nom de la recette modifiée dans la liste CEL.
  • 2 : Les informations suivantes sont enregistrées dans la liste CEL en cas de modification de la recette :
    • Nom de la recette
    • Nouvelle et ancienne valeurs des variables
    • Nom des variables

Par défaut : 0

Pour cela, activez la propriété Modification de recettes dans Editor.

RECIPE_WRITE=

Entrées lors de l'écriture de recettes

  • 0 : Pas de traitement : la modification de recettes standard et de recettes dans le module Recipe Group Manager (RGM) n’est pas consignée dans la liste CEL.
  • 1 : Lors de l'envoi d'une recette, l'envoi est enregistré avec le nom de la recette dans la liste CEL.
  • 2 : Lors de l'écriture d'une recette, celle-ci est enregistrée dans la liste CEL avec les informations suivantes :
    • Nom de la recette
    • Nouvelle et ancienne valeurs des variables
    • Nom des variables

Par défaut : 0

Pour cela, activez la propriété Envoi de recettes dans Editor.

RESOURCELABEL=

Décrit la colonne d'identification des ressources.

Recommandation : Configuration dans Editor via la boîte de dialogue de la propriété Paramètres des colonnes liste d'événements, dans le groupe Liste d'événements ou via la fonction d'appel de synoptique.

RESOURCELABEL_ANZ=

Largeur en caractères de la colonne d'identification des ressources.

Recommandation : Configuration dans Editor via la boîte de dialogue de la propriété Paramètres des colonnes liste d'événements, dans le groupe Liste d'événements ou via la fonction d'appel de synoptique.

RTEXT_ANZ=

Largeur de la colonne Texte de réaction en caractères.

Recommandation : Configuration dans Editor via la boîte de dialogue de la propriété Paramètres des colonnes liste d'événements, dans le groupe Liste d'événements ou via la fonction d'appel de synoptique.

SAVE_BIN_ALWAYS=

Configuration de la répercussion de chaque modification apportée aux données de la liste d'alarmes sur les données du fichier cel.bin :

  • 1 : Enregistrement actif
  • 0 : Enregistrement inactif

Par défaut : 0

Pour cela, activez la propriété Enregistrer le buffer circulaire en cas de modification dans Editor.

Remarque : Si la propriété est définie sur active, ceci peut exercer une charge considérable sur le système, et plus particulièrement sur les lecteurs flash. Si la propriété est défini sur inactive, ceci peut entraîner la perte de données en cas de fermeture inattendue du Runtime. Inactive Cette option est recommandée en cas de baisse des performances.

SAVE_ONLY_STACK=

Enregistrement des données de la liste d'événements (CEL) :

  • 0 : toutes les entrées de la liste CEL (*.cel) sont enregistrées.
  • 1 : seul un nombre défini d’entrées de la liste CEL (cel.bin) sont enregistrées. Ce nombre est défini par le biais de la propriété Taille du buffer circulaire.
  • 2 : sur les plates-formes CE, seule la mémoire circulaire (cel.bin) est enregistrée sur le disque dur ; sur PC, les entrées historiques (*.cel) sont également enregistrées.

Par défaut : 0

Pour cela, activez la propriété Enregistrer les événements dans Editor.

SORTDESCENDING=

Ordre de tri

  • 0 : croissant
  • 1 : décroissant

Par défaut : 0

Recommandation : Configuration dans Editor via la boîte de dialogue de la propriété Paramètres des colonnes liste d'événements, dans le groupe Liste d'événements ou via la fonction d'appel de synoptique.

SPONTAN=

Heure de l'insertion dans la liste :

  • 1 : Toutes les nouvelles entrées de la liste CEL sont insérées immédiatement.
    Exceptions : La liste a été arrêtée.
  • 0 : Les modifications sont uniquement chargées après que la liste ait été appelée.
    Avantage : Réduit le trafic réseau.

Par défaut : 1

Pour cela, activez la propriété Mettre à jour automatiquement dans Editor.

STAT_ANZ=

Largeur de la colonne État en caractères.

Recommandation : Configuration dans Editor via la boîte de dialogue de la propriété Paramètres des colonnes liste d'événements, dans le groupe Liste d'événements ou via la fonction d'appel de synoptique.

TAG_ANZ=

Largeur de la colonne Identifiant en caractères.

Recommandation : Configuration dans Editor via la boîte de dialogue de la propriété Paramètres des colonnes liste d'événements, dans le groupe Liste d'événements ou via la fonction d'appel de synoptique.

TITLE_NAME=

Identifiant de l'intitulé de colonne Nom de la variable.

Recommandation : Configuration dans Editor via la boîte de dialogue de la propriété Paramètres des colonnes liste d'événements, dans le groupe Liste d'événements ou via la fonction d'appel de synoptique.

TITLE_ACT_TEXT=

Description de la colonne Commentaire.

Recommandation : Configuration dans Editor via la boîte de dialogue de la propriété Paramètres des colonnes liste d'événements, dans le groupe Liste d'événements ou via la fonction d'appel de synoptique.

TITLE_CLASS=

Description de la colonne Classe d'alarmes/d'événements.

Recommandation : Configuration dans Editor via la boîte de dialogue de la propriété Paramètres des colonnes liste d'événements, dans le groupe Liste d'événements ou via la fonction d'appel de synoptique.

TITLE_CLASSNR=

Description de la colonne No. classe d'alarmes/d'événements.

Recommandation : Configuration dans Editor via la boîte de dialogue de la propriété Paramètres des colonnes liste d'événements, dans le groupe Liste d'événements ou via la fonction d'appel de synoptique.

TITLE_CLASSSYMBOL=

Description de la colonne Symbole de classe d'alarmes/d'événements.

Recommandation : Configuration dans Editor via la boîte de dialogue de la propriété Paramètres des colonnes liste d'événements, dans le groupe Liste d'événements ou via la fonction d'appel de synoptique.

TITLE_CLASSSYMBOL_STYLE=

Type d'affichage de la colonne Symbole de classe d'alarmes/d'événements.

Recommandation : Configuration dans Editor via la boîte de dialogue de la propriété Paramètres des colonnes liste d'événements, dans le groupe Liste d'événements ou via la fonction d'appel de synoptique.

TITLE_COMES=

Description de la colonne Heure d'apparition.

Recommandation : Configuration dans Editor via la boîte de dialogue de la propriété Paramètres des colonnes liste d'événements, dans le groupe Liste d'événements ou via la fonction d'appel de synoptique.

TITLE_COMP=

Description de la colonne Nom de l'ordinateur.

Recommandation : Configuration dans Editor via la boîte de dialogue de la propriété Paramètres des colonnes liste d'événements, dans le groupe Liste d'événements ou via la fonction d'appel de synoptique.

TITLE_GROUP=

Description de la colonne Groupe d'alarmes/d'événements.

Recommandation : Configuration dans Editor via la boîte de dialogue de la propriété Paramètres des colonnes liste d'événements, dans le groupe Liste d'événements ou via la fonction d'appel de synoptique.

TITLE_GROUPNR=

Description de la colonne Numéro du groupe d'alarmes/d'événements.

Recommandation : Configuration dans Editor via la boîte de dialogue de la propriété Paramètres des colonnes liste d'événements, dans le groupe Liste d'événements ou via la fonction d'appel de synoptique.

TITLE_GROUPSYMBOL=

Description de la colonne Symbole de groupe d'alarmes/d'événements.

Recommandation : Configuration dans Editor via la boîte de dialogue de la propriété Paramètres des colonnes liste d'événements, dans le groupe Liste d'événements ou via la fonction d'appel de synoptique.

TITLE_GROUPSYMBOL_STYLE=

Type d'affichage de la colonne Symbole de groupe d'alarmes/d'événements.

Recommandation : Configuration dans Editor via la boîte de dialogue de la propriété Paramètres des colonnes liste d'événements, dans le groupe Liste d'événements ou via la fonction d'appel de synoptique.

TITLE_NAME=

Identifiant de l'intitulé de colonne Nom de la variable.

Recommandation : Configuration dans Editor via la boîte de dialogue de la propriété Paramètres des colonnes liste d'événements, dans le groupe Liste d'événements ou via la fonction d'appel de synoptique.

TITLE_PROJECT=

Description de la colonne Nom du projet.

Recommandation : Configuration dans Editor via la boîte de dialogue de la propriété Paramètres des colonnes liste d'événements, dans le groupe Liste d'événements ou via la fonction d'appel de synoptique.

TITLE_TAGNR=

Description de la colonne Identifiant.

Recommandation : Configuration dans Editor via la boîte de dialogue de la propriété Paramètres des colonnes liste d'événements, dans le groupe Liste d'événements ou via la fonction d'appel de synoptique.

TITLE_TEXT=

Description de la colonne Texte.

Recommandation : Configuration dans Editor via la boîte de dialogue de la propriété Paramètres des colonnes liste d'événements, dans le groupe Liste d'événements ou via la fonction d'appel de synoptique.

TITLE_STATUS=

Description de la colonne État de la variable.

Recommandation : Configuration dans Editor via la boîte de dialogue de la propriété Paramètres des colonnes liste d'événements, dans le groupe Liste d'événements ou via la fonction d'appel de synoptique.

TITLE_USER=

Description de la colonne Nom utilisateur.

Recommandation : Configuration dans Editor via la boîte de dialogue de la propriété Paramètres des colonnes liste d'événements, dans le groupe Liste d'événements ou via la fonction d'appel de synoptique.

TITLE_USERNAME=

Description de la colonne Utilisateur - nom complet.

Recommandation : Configuration dans Editor via la boîte de dialogue de la propriété Paramètres des colonnes liste d'événements, dans le groupe Liste d'événements ou via la fonction d'appel de synoptique.

TITLE_VALUE=

Description de la colonne Valeur.

Recommandation : Configuration dans Editor via la boîte de dialogue de la propriété Paramètres des colonnes liste d'événements, dans le groupe Liste d'événements ou via la fonction d'appel de synoptique.

TXT_ANZ=

Largeur de la colonne Texte en caractères.

Recommandation : Configuration dans Editor via la boîte de dialogue de la propriété Paramètres des colonnes liste d'événements, dans le groupe Liste d'événements ou via la fonction d'appel de synoptique.

TXT_FILE=

Type d'enregistrement des informations :

  • 0 : au format spécifique des informations dans zenon (*.cel)
  • 1 : au format ASCII (*.txt)

Par défaut : 0
Remarque : Ce fichier ne peut plus être lu pour zenon.

UNIT=

Largeur en caractères de la colonne Unité de mesure.

Recommandation : Configuration dans Editor via la boîte de dialogue de la propriété Paramètres des colonnes liste d'événements, dans le groupe Liste d'événements ou via la fonction d'appel de synoptique.

USER_ANZ=

Largeur en caractères de la colonne Nom utilisateur.

Recommandation : Configuration dans Editor via la boîte de dialogue de la propriété Paramètres des colonnes liste d'événements, dans le groupe Liste d'événements ou via la fonction d'appel de synoptique.

VAR_ANZ=

Largeur en caractères de la colonne Nom de variable.

Recommandation : Configuration dans Editor via la boîte de dialogue de la propriété Paramètres des colonnes liste d'événements, dans le groupe Liste d'événements ou via la fonction d'appel de synoptique.

WERT_ANZ=

Largeur de la colonne Valeur en caractères.

Recommandation : Configuration dans Editor via la boîte de dialogue de la propriété Paramètres des colonnes liste d'événements, dans le groupe Liste d'événements ou via la fonction d'appel de synoptique.

ZEIT_TYP=

Définition du format d'affichage de l'heure.

  • 1 : millisecondes uniquement
  • 2 : heure uniquement
  • 3 : heure et millisecondes
  • 4 : date uniquement
  • 5 : date et millisecondes
  • 6 : Date and time (date et heure)
  • 7 : date, heure et millisecondes

Recommandation : Configuration dans Editor via la boîte de dialogue de la propriété Paramètres des colonnes alarmes, dans le groupe Liste d'alarmes ou via la fonction d'appel de synoptique.


Imprimer [DRUCKER]

Manuel -> Fichier de configuration -> project.ini -> Imprimer [DRUCKER]

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Entrée

Description

[DRUCKER]

Paramètres des actions dans le Runtime.

DRUCKZEIT=

Si des alarmes apparaissent pratiquement au même moment, plusieurs entrées peuvent être compilées sous la forme d'une tâche d'impression.

Exemple : DRUCKZEIT=2
Aucune alarme ne peut apparaître pendant au moins 2 secondes, afin que la tâche d'impression soit envoyée.

MAXNAMEN=

Lors de l'impression dans le Runtime, les entrées individuelles sont transmises sous forme de tâches d'impression distinctes. Un numéro peut être attribué pour éviter les conflits de noms.

Exemple : MAXNAMEN=9
Numérote les fichiers jusqu'à 9.

MAXPJ=

Nombre maximum de tâches d'impression dans le gestionnaire d'impression de Windows. En cas de dépassement de cette valeur, une entrée est créée dans la liste d’événements (CEL).

  • Minimum : 0
  • Maximum : 65535

Par défaut : 90

Correspond à la propriété Nombre max de travaux d'impression, dans le groupe Paramètres du Runtime, dans Editor.


Extended Trend [EW_TREND]

Manuel -> Fichier de configuration -> project.ini -> Extended Trend [EW_TREND]

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Entrée

Description

[EW_TREND]

Paramètres du module Extended Trend.

ANZEIGE_GWTEXT=0

Affichage du texte de valeur limite lors de l'analyse des courbes.

  • 1 : activé
  • 0 : désactivé


Exporter [EXPORT]

Manuel -> Fichier de configuration -> project.ini -> Exporter [EXPORT]

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Entrée

Description

[EXPORT]

FILEEXIST_MESSAGEBOX=

Notification en cas d'écrasement de données existantes lors de l'exportation des données dans le Runtime :

  • 1 : Le message est affiché :
  • 0 : Le message n'est pas illustré.

Par défaut : 0

Correspond à la propriété Export de données, dans le groupe Paramètres du Runtime/Messages runtime pour, dans Editor.

FILEEXIST_OVERWR_APP_CAN=

Action si des fichiers existants sont remplacés pendant l'exportation :

  • 0 : Le fichier est remplacé (=OVERWRITE).
  • 1 : Les jeux de données sont ajoutés (=APPEND).
  • 2 : L'exportation est annulée (=CANCEL).

MAX_LAENGE=

Nombre maximal de décimales lors de l'archivage dans un fichier DBF.

Par défaut = 32

OK_MESSAGEBOX=

Notification en cas d'exportation réussie des données dans le Runtime :

  • 1 : Le message est affiché :
  • 0 : Le message n'est pas illustré.

Par défaut : 0

Correspond à la propriété Ecrasement de fichiers, dans le groupe Paramètres du Runtime/Messages runtime pour, dans Editor.


Journal d'erreurs [ERRORLOG] et [LON_32]

Manuel -> Fichier de configuration -> project.ini -> Journal d'erreurs [ERRORLOG] et [LON_32]

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Entrée

Description

[ERRORLOG]

Paramètres de création et de contenu des fichiers journaux d'erreurs.

[LON_32]

Paramètres du driver LON.

DIAG_LEVEL=

Les actions sont consignées dans le fichier d'erreurs, selon le niveau :

  • 0 : pas de journalisation (par défaut)
  • 1 : Erreur
  • 2 : Écriture
  • 3 : Lecture
  • 4 : Information / Pas d'information
  • 5 : Interne


Fonctions [FUNKTIONEN]

Manuel -> Fichier de configuration -> project.ini -> Fonctions [FUNKTIONEN]

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Entrée

Description

[FUNKTIONEN]

Entrées des fonctions.

EIN=

Exécution automatique d'une fonction de gestion des valeurs limite, commande temporisée, etc.

  • 1 : actif
  • 2 : inactif

Par défaut : 2

Correspond à la propriété Exécution autom. de fonction active, dans le groupe Fonctions, dans Editor.

NAMEN=

Affichage des fonctions en fonction des données suivantes :

  • 0 : Fonctions
  • 1 : Noms

PROJECTONLY=

Effet de la fonction Synoptique : retour au précédent :

  • 0 : dans l'ensemble du projet
  • 1 : uniquement sur les synoptiques du projet dans lesquels la fonction a été créée

Uniquement dans le cadre de la gestion multi-projets :

SOUND=

Sélection d'un son pour la fonction Son beep : début et le démarrage de la fonction.

Valeur : nombre compris entre 1 et 255.

Recommandation : Configuration à l'aide de la fonction.

ZURUECK_ANZAHL=

Nombre de synoptiques devant être saisis dans une liste pour la fonction Synoptique : retour au précédent.
Remarque : Chaque appel de la fonction Appel de synoptique compte, même si l'appel de synoptique ne se déroule pas directement, mais est saisi dans les propriétés du synoptique en tant que fonction de démarrage.

  • Minimum : 0
  • Maximum : 65535
  • Par défaut : 10

Recommandation : Configuration à l'aide de la fonction Nombre de synoptiques pour la fonction \"Retour au précédent\", dans le groupe Fonctions.

ZURUECK_SCHABLONEN=

Nom du cadre dont les synoptiques dans la liste doivent être inclus pour la fonction Synoptique : retour au précédent.

Plusieurs cadres peuvent être utilisés. Ceux-ci doivent être précédés d'un tiret bas et séparés par une virgule.
Par exemple : ZURUECK_SCHABLONEN=_MAIN,_SUBNAVIGATION,

Recommandation : Configuration à l'aide de la fonction Gabarits principaux, dans le groupe Apparence graphique/Généralités runtime.


Gestionnaire de maintenance industrielle (Industrial Maintenance Manager - IMM) [IMM]

Manuel -> Fichier de configuration -> project.ini -> Gestionnaire de maintenance industrielle (Industrial Maintenance Manager - IMM) [IMM]

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Entrée | Description
[IMM] | Entrées du module Industrial Maintenance Manager (IMM).
Dns= | Connexion ODBC à la base de données du module IMM. Pour cela, activez la propriété Base de données dans Editor.
TableDevice= | Le nom de la table de la base de données associée aux équipements. Fixe ; également utilisé dans l'outil Metering Point Administration. Ne doit pas être modifié. Default: Devices Pour cela, activez la propriété Table pour les matériels dans Editor.
TableMaint= | Le nom de la table de la base de données associée aux travaux de maintenance. Prédéfini et fixe ; ne doit pas être modifié. Default: MaintenanceWorks Pour cela, activez la propriété Table pour travaux de maint. dans Editor.
TableHist= | Le nom de la table de la base de données associée aux historiques. Prédéfini et fixe ; ne doit pas être modifié. Default: MaintenanceHistory Pour cela, activez la propriété Table pour l'historique dans Editor.
TableDoc= | Le nom de la table de la base de données associée aux documents. Prédéfini et fixe ; ne doit pas être modifié. Default: Documents Pour cela, activez la propriété Table pour les documents dans Editor.
Userlevel= | Groupe d'autorisations requis pour pouvoir supprimer des données de la base de données. Default: 0 Pour cela, activez la propriété Niveau d'autorisation dans Editor.


Réseau [NETZ] et [TOKEN]

Manuel -> Fichier de configuration -> project.ini -> Réseau [NETZ] et [TOKEN]

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Entrée

Description

[NETZ]

Paramètres du réseau.

Recommandation : Configuration à l'aide des propriétés du groupe Réseau.

APP_CLOSE_BOX=

Si un serveur est arrêté pendant que des clients sont connectés à celui-ci, un message peut être affiché :

  • 1 : Lors de l'arrêt du Runtime sur un serveur, un message est affiché sur tous les clients connectés, indiquant que le Runtime a été arrêté. L’arrêt du Runtime est retardé de 70 secondes. Ainsi les actions peuvent être terminées proprement sur les clients.
  • 0 : Le Runtime est arrêté sur le serveur, sans qu'un message soit affiché sur les clients.

Par défaut : 0

Pour cela, activez la propriété Message de fin dans Editor.

CLIENTx=

Délai d'actualisation du client spécifié sur le réseau de zenon. x est un nombre consécutif attribué aux entrées CLIENTx. Les clients indiqués sont actualisés dans l'ordre de cette numérotation.

Toutefois, si le client indiqué est le serveur de secours, celui-ci est actualisé immédiatement. L'entrée CLIENTx correspondant à un serveur de secours est ignorée.

Aucune propriété n'est disponible dans zenon pour cette configuration de projet. Le délai d'actualisation peut uniquement être configuré avec une entrée de fichier INI.

CLIENT[nombre consécutif]=NomduClient,[délai d'actualisation en secondes]

Le nom du client désigne le nom d'hôte de l'ordinateur correspondant, et non le Fully qualified domain name. Le délai d'actualisation en secondes peut s'étendre de 0 à 86 400 secondes. Les entrées hors de cette plage de valeurs sont remplacées par un délai d'actualisation aléatoire.

Exemple :

  • CLIENT0=VM-CDSBG104,5
  • CLIENT1=WKS001,10

L'ordinateur WKS001 (= Client 1) avec le nom VM-CDSBG104 (=Client0) possède un délai d'actualisation de 5 secondes. L'ordinateur Client 1 possède un délai d'actualisation de 10 secondes.

Attention : la numérotation consécutive des clients doit être continue. Par exemple, en présence d'entrées pour CLIENT0, CLIENT1, CLIENT2, CLIENT3 et CLIENT5, seules les entrées associées aux clients suivants sont prises en compte : Client0, Client1, Client2 Et Client3. Le délai d'actualisation de l'ordinateur Client5 n'est pas pris en compte.

Remarque : Pour les clients ne comportant pas une telle entrée, le délai d'actualisation aléatoire, tel qu'il est défini dans l'entrée RELOADDELAY_SEC, est appliqué. Si cette entrée est également vide, tous les clients sont chargés en même temps.

DATENSERVER=

Sélection du serveur opérant en tant que serveur de données :

  • 0 : Serveur 1
  • 1 : Serveur 2

Par défaut : 0

Pour cela, activez la propriété Serveur 2 en tant que serveur de données dans Editor.

DetectionOffTime=

Délai d'attente en secondes avant le basculement vers le mode de gestion de procédé suite à un changement de catégorie.

  • Minimum : 0
  • Maximum : 65535

Par défaut : 10

Pour cela, activez la propriété Temps mort après commutation [s] dans Editor.

eCriteria<Index>=

Critères de vérification : Un numéro d'indice de série est utilisé pour chaque entrée. Par exemple : eCriteria0, eCriteria1 ... Utilisée avec la propriété WatchedVariableID<Index>, ValueLimit<Index> et Weight<Index> La liaison est mise en œuvre par l'intermédiaire des numéros d'indice.

Valeurs :

  • 0 : Pas d'évaluation
  • 1 : Uniquement pour l'état des variables
  • 2 : Baisse sous la valeur
  • 3 : Dépassement de la valeur

Ces valeurs peuvent être configurés via la boîte de dialogue de la propriété Évaluations, dans Editor.

Hysteresis=

Hystérésis des points d'évaluation ; doit être dépassée pour déclencher le délai de basculement.

  • Minimum : 0
  • Maximum : 4294967296

Par défaut : 0

Pour cela, activez la propriété Hystérésis dans Editor.

ModifiedCounter=

Compteur augmenté de 1 à chaque modification d'une propriété dans le groupe Paramètres de redondance. Ce compteur est nécessaire pour la validation de l'évaluation sur le réseau, et est automatiquement défini par zenon.

Attention : Il ne doit pas être modifié !

RatedEntries=

Nombre d'évaluations définies. Refers to the eCriteria<Index>, WatchedVariableID<Index>, ValueLimit<Index> and Weight<Index> properties used. La liaison est mise en œuvre par l'intermédiaire des numéros d'indice.

RELOADDELAY_SEC=

délai de rechargement, en secondes, des clients pour les projets réseau vastes.

  • 0 : aucun délai
  • >0: Chaque client sélectionne un nombre aléatoire entre 0 et le délai d'actualisation défini pour ce client.

Remarque : Si une entrée CLIENTx est présente pour un client, l'entrée CLIENTxest prioritaire pour le client lors de l'actualisation.

RedundancyMode=

Type de mode de redondance pour l'évaluation du réseau. Si la valeur configurée a été sélectionnée comme évaluée, ce paramètre contrôle la commutation de la redondance.

  • 0 : Dominant.
    Aucune évaluation n'est effectuée.
  • 1 : Non dominant.
    Le résultat de l'évaluation est toujours zéro. Aucune commutation n'est effectuée.
  • 2 : Évalué.
    Une évaluation est effectuée, et la commutation est effectuée en conséquence. Cette opération est effectuée à l'aide des propriétés suivantes. eCriteria<Index>, WatchedVariableID<Index>, ValueLimit<Index> et Weight<Index>.

Par défaut : 1

Remarque : Actif uniquement si le paramètre Redundanztyp= est défini sur la redondance logicielle.

Pour cela, activez la propriété Mode de redondance dans Editor.

Routing=

Paramètres de routage :

  • 0 : Pas de routage.
  • 1 : L'ordinateur agit comme un nœud et peut transmettre les paquets. Ainsi tous les paquets réseau provenant de l’extérieur utilisent cet ordinateur.
    Ce paramétrage peut générer des goulets d’étranglement et influence les possibilités au niveau de la topologie réseau. Il est recommandé de l’utiliser dans des constellations réseau particulières, par exemple, pour des réseaux WAN ou des réseaux routés.

Par défaut : 0

Recommandation : Désactiver le paramètre.

Pour cela, activez la propriété Routage actif dans Editor.

SERVER=

Configuration de l'utilisation du réseau.

  • -1 : Réseau inactif, ordinateur indépendant.
  • >= 0: Réseau actif

Par défaut : 0

Exemple : SERVER=2

Pour cela, activez la propriété Réseau actif dans Editor.

SERVER1=

Affectation d'un ordinateur en tant que Serveur 1.

Exemple : SERVER1=COMPUTER1

Pour cela, activez la propriété Serveur 1 dans Editor.

SERVER2=

Affectation d'un ordinateur en tant que Serveur 2.

Exemple : SERVER2=COMPUTER2

Pour cela, activez la propriété Serveur 2 dans Editor.

SwitchDelay=

Délai avant la mise à niveau du serveur primaire.

  • Minimum : 0
  • Maximum : 65535

Par défaut : 30

Effectif uniquement si la valeur 2 est sélectionnée pour RedundancyMode=.

Pour cela, activez la propriété Délai de commutation [s] dans Editor.

TYPE=

Sélection du modèle de redondance.

  • 1 : Redondance matérielle.
    Le système se compose de deux automates redondants et de deux ordinateurs contrôleurs redondants. Chaque serveur établit une communication bidirectionnelle avec un automate. Les deux ordinateurs et les deux automates synchronisent leurs données. Si un composant du premier système subit une défaillance, le deuxième composant prend le relais.
  • 0 : Redondance logicielle.
    Ce système se compose d'un automate et de deux ordinateurs redondants du système de contrôle. Les deux ordinateurs doivent disposer d'une connexion à l'automate. Les deux ordinateurs communiquent avec le contrôle et actualisent simultanément les données provenant du contrôle. Les communications bidirectionnelles avec le contrôle sont gérées par l’ordinateur jouant le rôle de serveur. Le serveur établit des communications bidirectionnelles, le système redondant établit des communications unidirectionnelles. En cas de défaillance du serveur, le serveur redondant prend en charge les communications bidirectionnelles avec l’automate.

Par défaut : 0

Pour cela, activez la propriété Type de redondance dans Editor.

ValueLimit<Index>=

Valeur limite contrôlée lors de l'évaluation d'une valeur. Un numéro d'indice de série est utilisé pour chaque entrée. Par exemple : ValueLimit0, ValueLimit1 ...

Utilisée avec la propriété eCriteria<Index>, WatchedVariableID<Index> et Weight<Index> La liaison est mise en œuvre par l'intermédiaire des numéros d'indice.

Par défaut : 0

Ces valeurs peuvent être configurés via la boîte de dialogue de la propriété Évaluations, dans Editor.

WatchedVariableID<Index>=

Identifiant des variables pouvant être utilisées pour l'évaluation. Un numéro d'indice de série est utilisé pour chaque entrée. Par exemple : WatchedVariableID0, WatchedVariableID1 ...

Utilisée avec la propriété eCriteria<Index>, ValueLimit<Index> et Weight<Index> La liaison est mise en œuvre par l'intermédiaire des numéros d'indice.

Par défaut : 0

Ces valeurs peuvent être configurés via la boîte de dialogue de la propriété Évaluations, dans Editor.

Weight<Index>=

Pondération pour l'évaluation.

Valeur comprise entre 0 et 100.

Un numéro d'indice de série est utilisé pour chaque entrée. Par exemple : Weight0, Weight1 ... Utilisée avec la propriété eCriteria<Index>, WatchedVariableID<Index> et ValueLimit<Index> La liaison est mise en œuvre par l'intermédiaire des numéros d'indice.

Par défaut : 100

Ces valeurs peuvent être configurés via la boîte de dialogue de la propriété Évaluations, dans Editor.

TOKEN

Entrée

Description

[TOKEN]

Administration des autorisations opérationnelles.

ACTIVE=0

L'autorisation active sur le réseau garantit qu'une seule station connectée au réseau peut exécuter une opération active (par ex., modification de valeurs prescrites) à un instant donné. L'accès passif (en lecture seule) est toujours possible, indépendamment de l'option choisie. Possible values or type of operating authorization:

  • 2:
    Autorisation d'opération par modèle d'equipement
  • 1:
    Autorisation globale d’utilisation - un seul ordinateur peut intervenir sur le projet à un instant donné (par ex., acquittement d'alarme, écriture de valeurs prescrites).
  • 0 :
    Pas d’autorisation fonctionnelle. plusieurs stations peuvent actionner le projet à la fois.

Par défaut : 0

Pour cela, activez la propriété Autorisation sur le réseau dans Editor.

QUESTION_TIMEOUT=

Délai fourni à un ordinateur pour répondre à une requête concernant un problème de jeton. En cas d'expiration du délai d'attente de la réponse, la station demandeuse reçoit automatiquement l'autorisation.

Pour cela, activez la propriété Timeout pour requête [s] dans Editor.

QUIT_TIMEOUT=60

Délai dans lequel un client doit cycliquement confirmer son autorisation de fonctionnement. Si aucune confirmation n'est pas envoyée avant expiration du délai, le client perd automatiquement son jeton.

Attention : cette valeur doit être inférieure au délai défini dans la propriété QUESTION_TIMEOUT=.

Pour cela, activez la propriété Timeout pour autorisation [s] dans Editor.


Administration mot de passe [PASSWORD]

Manuel -> Fichier de configuration -> project.ini -> Administration mot de passe [PASSWORD]

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Entrée

Description

[PASSWORD]

Paramètres de gestion des utilisateurs.

Recommandation : Configuration à l'aide de la fonction Gestion des utilisateurs.

ADDOMAIN=

Defines the alternative domains for signing a user in to zenon with a different AD domain than that which is registered in Windows.
Only available if UseActiveDirectory= is 1 and the value is not empty.

Exemple : ADDOMAIN=AlternateDomain

Pour cela, activez la propriété Acive Directory domaine dans Editor.

CANAUTOLOGOFF=

Déconnexion automatique :

  • 1 : L'utilisateur est automatiquement déconnecté en cas d'absence d'opération pendant le délai défini dans la propriété LOGOFF=.
  • 0 : Pas de déconnexion automatique.

Par défaut : 0

Pour cela, activez la propriété Activer déconnexion automatique dans Editor.

CHANGE_PWD_PIC=

Synoptique utilisé pour la modification du mot de passe, à la place de la boîte de dialogue modale.

  • GUID : Le synoptique qui possède ce GUID est affiché en cas de modification du mot de passe (appel de fonction ou modification obligatoire par l'utilisateur). Seuls les synoptiques Éditer utilisateur peuvent être liés.
  • Vide. Aucun synoptique lié. Une boîte de dialogue modale est appelée pour la connexion.

Par défaut : Espace

Pour cela, activez la propriété Synoptique pour modification mot de passe dans Editor.

DEL_PIC_BACK_PATH_AT_LOGOUT=

Paramètre de suppression automatique du chemin de retour au synoptique précédent lors d'un changement d'utilisateur.

  • 0 : Le chemin n'est pas supprimé.
  • >0 : Le chemin est supprimé en cas de changement d'utilisateur.

Par défaut : 0

Pour cela, activez la propriété Supprimer chemin vers "Synotique : Retour au précédent" lors de changement d'utilisateur dans Editor.

DELUSER=

La suppression d'un utilisateur dans le Runtime.

  • 1 : La suppression d'un utilisateur est autorisée.
  • 0 : Les utilisateurs peuvent uniquement être marqués comme supprimés. L'utilisateur reste présent dans la liste d'utilisateurs, mais n'est plus valide dans le Runtime (conformément aux directives de la FDA).

Par défaut : 1

Pour cela, activez la propriété Supprimer utilisateurs dans Editor.

DISREAKTION=

Détermine l'apparence des boutons verrouillés en fonction de la configuration des autorisations d'utilisation. Dans le Runtime, cet élément est associé à la propriété Boutons verrouillés (LOCKED_KEYS=) pour autoriser l'utilisation des touches.

Valeurs possibles :

  • 0 : Normal
  • 1 : Gris
  • 2 : Invisible

Par défaut : 0

Effectif uniquement si la propriété LOGTEMP = possède la valeur 0.

Pour cela, activez la propriété Boutons protégés dans Editor.

EDITSIGNATURE=

Autorise la modification du texte de signature :

  • 0 : Le texte de signature ne peut pas être modifié dans le Runtime.
  • 1 : Une boîte de dialogue de modification du texte de signature est affichée dans le Runtime.

Par défaut : 0

Pour cela, activez la propriété Texte de signature éditable dans Editor.

EXTERNALLOGIN_SYSTEMLOCK=

Comportement de l’ensemble du système en cas d’authentification externe incorrect :

  • 0 : Pas de verrouillage de l’ensemble du système en cas d’authentification externe incorrecte.
  • 1 : Le système est verrouillé en cas d’authentification externe incorrecte.

Par défaut : 1 : actif

Pour cela, activez la propriété Système verrouillé à cause d'une mauvaise authentification externe dans Editor.

EXTERNALLOGIN_USERLOCK=

Comportement de l’utilisateur en cas d’authentification externe :

  • 0 : Pas de blocage de l’utilisateur correspondant en cas d’authentification externe incorrecte.
  • 1 : L'utilisateur correspondant est bloqué en cas d’authentification externe.

Par défaut : 1 : actif

Pour cela, activez la propriété Utilisateur verrouillé à cause d'une mauvaise authentification externe dans Editor.

Attention : Ce paramètre n’a aucune incidence sur le blocage de l’utilisateur dans Active Directory si des utilisateurs AD sont utilisés. Les paramètres de domaine restent toujours applicables ici.

LOGIN_PIC=

Synoptique utilisé pour la connexion, à la place de la boîte de dialogue modale. Ce synoptique est également utilisé pour l'exécution de la fonction Connexion avec boite de dialogue.

  • GUID : Le synoptique possédant ce GUID est appelé lors de la connexion. Seuls les synoptiques de type Connexion peuvent être liés.
  • Vide. Aucun synoptique lié. Une boîte de dialogue modale ou le synoptique défini dans le paramètre LOGINSIGNATURE_PIC= est utilisé(e) pour la connexion.

Par défaut : Espace

Pour cela, activez la propriété Synoptique pour Connexion dans Editor.

LOGINSIGNATURE_PIC=

Synoptique utilisé pour la connexion avec signature, à la place de la boîte de dialogue modale.

  • GUID : Le synoptique possédant ce GUID est appelé lors de la connexion avec signature. Seuls les synoptiques de type Connexion peuvent être liés.
  • Vide. Aucun synoptique lié. Une boîte de dialogue modale est appelée pour la connexion avec signature.

Par défaut : Espace

Pour cela, activez la propriété Synoptique pour Connexion avec signature dans Editor.

LOGOFF=

Délai d'inactivité (en minutes) après lequel un utilisateur est automatiquement déconnecté si la propriété CANAUTOLOGOFF= possède la valeur 1.

Pour cela, activez la propriété Temps [min] dans Editor.

LOGTEMP =

Connexion temporaire pour l'exécution d'une fonction :

  • 1 : si un utilisateur n'est pas connecté et tente d'actionner un élément nécessitant une autorisation utilisateur, il doit saisir ses nom d'utilisateur et mot de passe. Inactif : L'utilisateur est automatiquement déconnecté immédiatement après l'opération
  • 0 : si un utilisateur n'est pas connecté et tente d'actionner un élément nécessitant une autorisation utilisateur, il reçoit un message indiquant qu'il ne dispose pas de l'autorisation requise.

Par défaut : 1

Remarque : Vous pouvez définir la position et la taille du masque de connexion dans le fichier zenon6.ini, dans la section [Befehlsgabe] Position =.

Pour cela, activez la propriété Connexion temporaire active dans Editor.

MINPWLENGTH=

Longueur minimale du mot de passe, en caractères.

  • Minimum : 0
  • Maximum : 20

Par défaut : 6

Pour cela, activez la propriété Longueur min. mot de passe dans Editor.

PWTRIES=

Nombre de saisies incorrectes du mot de passe.
L'utilisateur correspondant est bloqué si ce nombre est dépassé. Le blocage peut uniquement être annulé par un administrateur. Une entrée correspondante est créée dans la liste d'événements (CEL).

  • Minimum : 0
  • Maximum : 65535

Par défaut : 3

Pour cela, activez la propriété Nb max d'erreurs mot de passe dans Editor.

PWVALIDDAYS=

Saisissez une période en jours définissant la validité d'un mot de passe. Après expiration du délai d’attente, vous devez saisir un nouveau mot de passe.

  • Minimum : 0 - le mot de passe n’expire jamais ; il n’est pas nécessaire de le renouveler. Pour ce paramètre, la valeur 2147483647 est écrite dans la variable de driver système Jours avant expiration du mot de passe.
  • Maximum : 4294967295

Par défaut : 0
Attention : Pour les productions conformes aux directives de la FDA, la valeur 0 n’est pas autorisée, car la réglementation de la FDA nécessite la modification cyclique du mot de passe.

Pour cela, activez la propriété Mot de passe - période de validité [j] dans Editor.

RecursiveLogin=

Paramètre de connexion/déconnexion automatique dans les sous-projets :

  • 0 : pas de connexion/déconnexion automatique (par défaut)
  • 1 : connexion/déconnexion automatique active (par défaut)

Par défaut : 0

Pour cela, activez la propriété Connexion/déconnexion automatiques dans les sous-projets dans Editor.

UseActiveDirectory=

Setting for whether Active Directory is used.

  • 0: Active Directory Non utilisé.
  • 1: The use of Active Directory is active.
  • 2: AD LDS is used.

Par défaut : 0

Pour cela, activez la propriété Accès à Active Directory dans Editor.

USRGROUP_AD_CACHED=

Setting for user groups that allow login with saved information. The GUID of the selected user group is saved.

Exemple : USRGROUP_AD_CACHED=4b5199f4-969c-489a-9c60-15194aa3a161

The entry is automatically created by the Editor when selecting a user group for the Groupe d'utilisateur pour la connexion à Active Directory avec certificats en cache property and must not be changed manually. If the linked user group is deleted, its GUID remains entered until it is replaced by the GUID of a different user group or deleted by configuration with No selection.

You can find more information about logging with saved login information in the user administration manual, Login with cached login information.

USERTRIES=

Nombre de saisies autorisées d’un nom d’utilisateur inexistant.
Le système est bloqué en cas de dépassement de ce nombre. À l’exception des administrateurs, plus aucun utilisateur ne peut se connecter. Le système est automatiquement déverrouillé lorsqu’un administrateur se connecte. Une entrée correspondante est créée dans la liste d’événements (CEL). Toute modification de cette valeur ne prend effet dans le Runtime qu’après un redémarrage.

  • Minimum : 0
  • Maximum : 65535

Par défaut : 3

Pour cela, activez la propriété Nb max d'erreurs utilisateur dans Editor.


Chemin [PATH]

Manuel -> Fichier de configuration -> project.ini -> Chemin [PATH]

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Entrée | Description
[PATH] | Configuration des chemins.
BACKUP= | Chemin d'accès des archives sauvegardées Par défaut = répertoire du projet
EXPORTPFAD= | Dernier chemin d'exportation défini pour l'exportation de données ou de rapports dans le Runtime.
LISTEN= | Chemin des listes au format *.txt , *.qrf et *.frm.
REPORTS= | Chemin pour l'exportation ou l'impression de rapports.
VIDEO= | Chemin des fichiers au format *.avi dans le Runtime.


Production & Facility Manager [PFM]

Manuel -> Fichier de configuration -> project.ini -> Production & Facility Manager [PFM]

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Entrée

Description

[PFM]

Paramètres du module Production & Facility Manager

AnzeigenMitStrg=

Contrôle l'affichage de la boîte de dialogue lors du collage de programmes copiés.

Valeurs possibles :

  • 1 : la boîte de dialogue est uniquement affichée si la touche Ctrl est enfoncée pendant l'insertion du planning.
  • 0 : la boîte de dialogue est toujours affichée.


Liaison de projets [PROJEKTLINKS]

Manuel -> Fichier de configuration -> project.ini -> Liaison de projets [PROJEKTLINKS]

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Entrée

Description

[PROJEKTLINKS]

Paramètres des projets liés pour les projets d'intégration.

Les sous-projets liés sont numérotés, par exemple : LINK1=, LINK2=, ...

GLINK=

Nom du projet global.

Si celui-ci est modifié, les références de projets liés doivent être modifiées en conséquence.

GLINKPATH=

Chemin du projet global pour les fichiers du Runtime.

Si ce paramètre est modifié, les fichiers existants doivent être copiés manuellement vers le nouveau dossier.

LINK1=

Nom de projet du premier sous-projet.

LINKGUID1=

GUID unique du premier sous-projet.

LINKMULTI1=

Identifiant des projets multi-utilisateurs

  • 1 : Projets multi-utilisateurs.
  • 0 : Projet autonome.

LINKPATH1=

Chemin de projet du premier sous-projet.


Process Recorder [PROCESSRECORDER]

Manuel -> Fichier de configuration -> project.ini -> Process Recorder [PROCESSRECORDER]

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Entrée | Description
[PROCESSRECORDER] | Étapes de configuration du module Process Recorder :
ACTIVE= | Active/désactive l’enregistrement dans le module Process Recorder. 0 : n’est pas activée. 1 : Activated (Active) Par défaut : 0


Remote Transport [ED_REMOTE], [DIRLIST] et [TRANSPASS]

Manuel -> Fichier de configuration -> project.ini -> Remote Transport [ED_REMOTE], [DIRLIST] et [TRANSPASS]

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

[ED_REMOTE]

Entrée

Description

[ED_REMOTE]

Administration des paramètres du module Remote Transport sur le réseau, pour Editor.

Recommandation : Configuration dans la boîte de dialogue de la propriété Transport à distance (Remote Transport), dans le groupe Général.

COM=

Définition du port COM avec la connexion série (DEVICE=0).

CONFIG=

Configuration de la connexion au moyen via une connexion série ou TCP/IP.

Par exemple : CONFIG=HOST=Ordinateur-XY048;

DEVICE=

Type de connexion :

  • 0 : Série
  • 1 : TCP/IP

Par défaut : 1

EXTRA=

Paramètres pour Windows CE Utilisation du lecteur de cartes local :

  • 0 : Non
  • 1 : Oui

Effectif uniquement si Windows CE a été activé dans les paramètres du projet.

EXTRAEINTRAG=

Dossier de Runtime sur le terminal cible lorsque le lecteur de cartes local (EXTRA=1) pour Windows CE est utilisé.

IP_NAME=

Nom de l'ordinateur ou adresse IP pour la connexion TCP/IP (DEVICE=1).

RECENT_x=

Dernier nom d'ordinateur utilisé. x représente le numéro de l'entrée, qui commence par 0 pour le dernier nom utilisé.

Exemple : RECENT_0=ATSGA-XY007

SERVER_DOWNLOAD

Paramètres de téléchargement :

  • 1 : Téléchargement actif :
    The download is also taking place on Serveur 1 and Serveur 2.
  • 0 : Téléchargement inactif.
    Le téléchargement se déroule uniquement sur l'ordinateur indiqué.

Effectif uniquement si le réseau a été activé dans les paramètres du projet et le support de transport TCP/IP a été sélectionné.

[DIRLIST]

Entrée

Description

[DIRLIST]

Paramètres du dossier du module Remote Transport

ADD_AKTIV=

Transfert des fichiers depuis le dossier de fichiers Other :

  • 0 : inactif
  • 1 : actif

Recommandation : Configuration dans la boîte de dialogue de la propriété Transport à distance (Remote Transport), dans le groupe Général.

BITMAP=

Chemin d'enregistrement du dossier de fichiers Graphics.

BITMAP_AKTIV=

Transfert des fichiers depuis le dossier de fichiers Graphics :

  • 0 : Les fichiers ne sont pas transférés.
  • 1 : Les fichiers sont transférés.

Recommandation : Configuration dans la boîte de dialogue de la propriété Transport à distance (Remote Transport), dans le groupe Général.

COMMENT_x=

Commentaires relatifs aux entrées individuelles dans la liste de sources/cibles. x représente le numéro de l'entrée, qui commence par 0.

Recommandation : Configuration dans la boîte de dialogue de la propriété Transport à distance (Remote Transport), dans le groupe Général.

COUNT=

Nombre de lignes configurées dans la liste de sources/cibles dans la boîte de dialogue Transport à distance (Remote Transport). Défini par Editor.

DRV_AKTIV=

Transfert des fichiers depuis le dossier de fichiers Driver :

  • 0 : inactif
  • 1 : actif

Recommandation : Configuration dans la boîte de dialogue de la propriété Transport à distance (Remote Transport), dans le groupe Général.

HELP_AKTIV=

Transfert des fichiers depuis le dossier de fichiers Help :

  • 0 : inactif
  • 1 : actif

Recommandation : Configuration dans la boîte de dialogue de la propriété Transport à distance (Remote Transport), dans le groupe Général.

LISTEN=

Chemin d'enregistrement du dossier de fichiers Texts and formats.

LISTEN_AKTIV=

Transfert des fichiers vers le dossier Texts and formats :

  • 0 : Les fichiers ne sont pas transférés.
  • 1 : Les fichiers sont transférés.

Recommandation : Configuration dans la boîte de dialogue de la propriété Transport à distance (Remote Transport), dans le groupe Général.

PROJECTBASE=

Chemin cible du dossier du Runtime sur le terminal distant.

Recommandation : Configuration dans la boîte de dialogue de la propriété Transport à distance (Remote Transport), dans le groupe Général.

RDLC_AKTIV=

Transfert des fichiers depuis le dossier de fichiers Report Viewer (Aide) :

  • 0 : inactif
  • 1 : actif

Recommandation : Configuration dans la boîte de dialogue de la propriété Transport à distance (Remote Transport), dans le groupe Général.

REPORTS=

Chemin d'enregistrement du dossier de fichiers Tables.

REPORTS_AKTIV=

Transfert des fichiers depuis le dossier de fichiers Tables :

  • 0 : Les fichiers ne sont pas transférés.
  • 1 : Les fichiers sont transférés.

Recommandation : Configuration dans la boîte de dialogue de la propriété Transport à distance (Remote Transport), dans le groupe Général.

SOURCE_x=

Chemin source du fichier ou du dossier individuel pour le transfert. x représente le numéro de l'entrée, qui commence par 0.

Recommandation : Configuration dans la boîte de dialogue de la propriété Transport à distance (Remote Transport), dans le groupe Général.

SPALTENBREITE_0=

Largeur de la colonne actif en caractères.

Recommandation : Configuration dans la boîte de dialogue de la propriété Transport à distance (Remote Transport), dans le groupe Général.

SPALTENBREITE_1=

Largeur de la colonne Source en caractères.

Recommandation : Configuration dans la boîte de dialogue de la propriété Transport à distance (Remote Transport), dans le groupe Général.

SPALTENBREITE_2=

Largeur de la colonne Cible en caractères.

Recommandation : Configuration dans la boîte de dialogue de la propriété Transport à distance (Remote Transport), dans le groupe Général.

SPALTENBREITE_3=

Largeur de la colonne Édition en caractères.

Recommandation : Configuration dans la boîte de dialogue de la propriété Transport à distance (Remote Transport), dans le groupe Général.

SPALTENBREITE_4=

Largeur de la colonne Description en caractères.

Recommandation : Configuration dans la boîte de dialogue de la propriété Transport à distance (Remote Transport), dans le groupe Général.

STRAT_AKTIV=

Transfert des zenon Logic fichiers

  • 0 : inactif
  • 1 : actif

Recommandation : Configuration dans la boîte de dialogue de la propriété Transport à distance (Remote Transport), dans le groupe Général.

TARGET_x=

Chemin cible du fichier ou du dossier individuel pour le transfert. x représente le numéro de l'entrée, qui commence par 0.

Recommandation : Configuration dans la boîte de dialogue de la propriété Transport à distance (Remote Transport), dans le groupe Général.

TYPE_x=

Type de transfert du fichier ou du dossier individuel. x représente le numéro de l'entrée, qui commence par 0. Types de transferts :

  • 0 : Copier
  • 1 : Copier et enregistrer des données
  • 2 : Copier et exécuter des données

Recommandation : Configuration dans la boîte de dialogue de la propriété Transport à distance (Remote Transport), dans le groupe Général.

VIDEO=

Chemin d'enregistrement du dossier de fichiers Multimedia.

VIDEO_AKTIV=

Transfert des fichiers depuis le dossier de fichiers Multimedia :

  • 0 : Les fichiers ne sont pas transférés.
  • 1 : Les fichiers sont transférés.

Recommandation : Configuration dans la boîte de dialogue de la propriété Transport à distance (Remote Transport), dans le groupe Général.

[TRANSPASS]

Entrée

Description

[TRANSPASS]

Mot de passe pour Remote Transport sur l'ordinateur de développement.

Remarque : Configuration pour le module Remote Transport dans le fichier zenon6.ini, dans la section du mot de passe de Remote Transport [TRANSPASS].

FIX=

Mot de passe :

  • 1 - Enregistré
  • 0 - Non enregistré

KEY=

Mot de passe pour le module Remote Transport.

Défini par Editor.

KEYCRYPT=

Mot de passe chiffré et mémorisé pour le module Remote Transport.

Utilisé uniquement si KEY= est vide.

Par défaut à partir de la version 7.20. La commutation est effectuée automatiquement en cas de conversion d'un projet vers la version 7.20. La commutation doit être effectuée manuellement sur le système cible.

NET=

Requête de données pour la configuration du chiffrement :

  • Différent de 0 : Après l'établissement d'une connexion à Remote Transport, Editor envoie une requête au terminal distant, afin de demander les données pour la configuration du chiffrement. L'entrée est définie par la boîte de dialogue Établir la connexion et réinitialisée à 0 immédiatement après l'envoi de la demande.

SER=

État de la configuration du numéro de série et du numéro d'activation dans la boîte de dialogue pour établir une connexion.

  • 0 : inactif
  • 1 : actif


Recipe Group Manager (RGM)

Manuel -> Fichier de configuration -> project.ini -> Recipe Group Manager (RGM)

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Entrée

Description

[RGM]

Entrées du module Recipe Group Manager.

REPORTFONT=

Police de caractères des tables :

  • 1 La police peut être définie à l'aide de synoptiques Recipe Group Manager. La police de caractères été spécifiée dans les paramètres de la propriété Police est utilisée.
  • 0 : La police par défaut est utilisée.

Par défaut : 0

Si une table définie par l’utilisateur (créée à l’aide de l’outil Report Generator) est utilisée, les polices de caractères définies dans le rapport sont utilisées.

Pour cela, activez la propriété Police de caractères pour la table de recette dans Editor.


Runtime [RT]

Manuel -> Fichier de configuration -> project.ini -> Runtime [RT]

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Entrée

Description

[RT]

Paramètres du Runtime.

ERSTE_TASTE=

Exécution de fonctions liées à un bouton :

  • 0 : toutes les fonctions liées sont exécutées
  • 1 : seule la première fonction identifiée est exécutée

GFX_LIST_SEL_CLR_0=

Couleur du texte d'une entrée de liste si le focus se trouve sur l'élément.

La couleur sera fournie au format décimal. Dans Editor, elle est affichée au format hexadécimal, précédée d'un caractère #.
Exemple : La couleur #8000FF dans Editor correspond à la couleur 16711808 dans le fichier INI.

Par exemple : GFX_LIST_SEL_CLR_0=16777215

Par défaut : Valeur du système d’exploitation.

Correspond à la propriété Couleur du texte avec le focus, dans le groupe Apparence graphique/Sélection couleurs pour les listes d'objets, dans Editor.

GFX_LIST_SEL_CLR_1=

Couleur du texte d'une entrée de liste si le focus ne se trouve pas sur l'élément.

La couleur sera fournie au format décimal. Dans Editor, elle est affichée au format hexadécimal, précédée d'un caractère #.
Exemple : La couleur #8000FF dans Editor correspond à la couleur 16711808 dans le fichier INI.

Par exemple : LIST_SEL_CLR_2=0

Par défaut : Valeur du système d’exploitation.

Correspond à la propriété Couleur de texte sans le focus, dans le groupe Apparence graphique/Sélection couleurs pour les listes d'objets, dans Editor.

GFX_LIST_SEL_CLR_2=

Couleur d'arrière-plan d'une entrée de liste si le focus se trouve sur l'élément.

La couleur sera fournie au format décimal. Dans Editor, elle est affichée au format hexadécimal, précédée d'un caractère #.
Exemple : La couleur #8000FF dans Editor correspond à la couleur 16711808 dans le fichier INI.

Par exemple : LIST_SEL_CLR_2=16750899

Par défaut : Valeur du système d’exploitation.

Correspond à la propriété Couleur de fond avec le focus, dans le groupe Apparence graphique/Sélection couleurs pour les listes d'objets, dans Editor.

GFX_LIST_SEL_CLR_3=

Couleur d'arrière-plan d'une entrée de liste si le focus ne se trouve pas sur l'élément.

La couleur sera fournie au format décimal. Dans Editor, elle est affichée au format hexadécimal, précédée d'un caractère #.
Exemple : La couleur #8000FF dans Editor correspond à la couleur 16711808 dans le fichier INI.

Par exemple : LIST_SEL_CLR_2=15790320

Par défaut : Valeur du système d’exploitation.

Correspond à la propriété Couleur de fond sans le focus, dans le groupe Apparence graphique/Sélection couleurs pour les listes d'objets, dans Editor.

LOCKED_KEYS=

Définit, dans le Runtime, l'apparence des boutons verrouillés par un verrouillage.

Formats possibles :

  • 0 : normal
  • 1 : Grisé
  • 2 : invisible

Cette propriété agit indépendamment de la propriété Identification graphique active. Un bouton grisé peut, par exemple, également afficher un symbole de cadenas.

Associé à la propriété DISREAKTION= dans le Runtime (groupe [PASSWORD])

Correspond à la propriété Boutons verrouillés, dans le groupe Apparence graphique/Eléments verrouillés, dans Editor.

NOT_WORKING_AKTIV=

Configuration de l'exécution automatique d'une fonction après un délai défini sans opération :

  • 1 : exécution automatique active
  • 0 : exécution automatique inactive
    L'exécution peut être activée (=1) ou désactivée (=0) par le biais de cette entrée.

Par défaut : 0

La fonction à exécuter est définie avec NOT_WORKING_FUNC= . Le délai est défini avec NOT_WORKING_TIME=.

Correspond à la propriété Exécution autom. de fonction active, dans le groupe Fonctions, dans Editor.

NOT_WORKING_FUNC=

Numéro de la fonction devant être exécutée après le délai défini dans NOT_WORKING_TIME=.

Correspond à la propriété Fonction, dans le groupe Fonctions, dans Editor.

NOT_WORKING_TIME=

Délai, en minutes, après lequel la fonction définie dans NOT_WORKING_FUNC= doit être exécutée.

Correspond à la propriété Période sans action (en minutes), dans le groupe Fonctions, dans Editor.

SELECTION_NORMAL=

Identification d'une entrée sélectionnée dans une liste (liste d'alarmes ou liste d'événements) avec :

  • 0 : Cadre. Cette option est recommandée pour améliorer la lisibilité aux résolutions d'écran élevées.
  • 1 : Barre. La couleur d'arrière-plan des lignes sélectionnées est inversée. Cette option est recommandée pour améliorer la lisibilité aux résolutions d’écran basses.

Par défaut : 0

Correspond à la propriété Sélection encadrée, dans le groupe Alarmes et événements, dans Editor.

TOUCHSCREEN=

Clavier automatique pour les écrans tactiles :

  • 1 : affichage si l'entrée est nécessaire
  • 0 : ne pas afficher

Par défaut : 0

Correspond à la propriété Clavier automatique, dans le groupe Intéraction/Clavier, dans Editor.

WIN_CE=

Paramètres d'utilisation sous Windows CE :

  • 1 : les fonctionnalités qui ne sont pas prises en charge dans Windows CE sont masquées dans Editor (grisées ou invisibles).
  • 0 : toutes les fonctionnalités offertes par la licence d'Editor sont disponibles.

Par défaut : 0

Correspond à la propriété Projet Windows CE, dans le groupe Général, dans Editor.

WITH_ACTION=1

Fonctionnement des éléments :

  • 0 : Le premier élément sous le pointeur de souris est utilisé.
  • 1 : Le premier élément lié à une action sous le pointeur de souris est utilisé.


Données modifiables dans le Runtime [RTDATEN]

Manuel -> Fichier de configuration -> project.ini -> Données modifiables dans le Runtime [RTDATEN]

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Entrée

Description

[RTDATEN]

Paramètres spécifiques à la génération de données modifiables en temps réel.

NOOVERWRITE_REZEPTE=

Transfert de groupes de recettes.

  • 0 : Les groupes de recettes sont créés et transférés. Les groupes de recettes présents dans le Runtime sont remplacés.
  • 1 : Les groupes de recettes ne sont pas transférés.

Recommandation : Configuration dans Editor, dans la boîte de dialogue de la propriété Données modifiables dans le Runtime.

NOOVERWRITE_REZEPTUREN=

Transfert de recettes.

  • 0 : Les recettes sont créées et transférées. Les recettes présentes dans le Runtime sont remplacées.
  • 1 : Les recettes ne sont pas transférées.

Recommandation : Configuration dans Editor, dans la boîte de dialogue de la propriété Données modifiables dans le Runtime.

NOOVERWRITE_PASSWORT=

Transfert de mots de passe.

  • 0 : Les mots de passe sont créés et transférés. Les recettes présentes dans le Runtime sont remplacées.
  • 1 : Les mots de passe ne sont pas transférés.

Recommandation : Configuration dans Editor, dans la boîte de dialogue de la propriété Données modifiables dans le Runtime.

NOOVERWRITE_FPM=

Transfert des données du module PFS.

  • 0 : Les données du module PFS sont créées et transférées. Les données du module PFS présentes dans le Runtime sont remplacées.
  • 1 : Les données du module PFS ne sont pas transférées.

Recommandation : Configuration dans Editor, dans la boîte de dialogue de la propriété Données modifiables dans le Runtime.


État [STATUS]

Manuel -> Fichier de configuration -> project.ini -> État [STATUS]

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Entrée | Description
[STATUS] |
STATUS0= | Texte des informations d'état si le bit 0 est défini. Il est possible de spécifier un texte long et un texte court, séparés par ;.
STATUSx= | Semblable à STATUS0, avec des valeurs x = 1 à 63.


Rapports [TABELLE]

Manuel -> Fichier de configuration -> project.ini -> Rapports [TABELLE]

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
[TABELLE] | Propriétés des tables.
TRENNZEICHEN= | Séparateur de cellules individuelles lors de l'exportation de rapports depuis le Runtime vers un fichier au format *.TXT. Il s'agit par exemple uniquement de caractères imprimables tels que - ou les marques de tabulation. Exemple : TRENNZEICHEN=TAB


Drivers

Manuel -> Fichier de configuration -> project.ini -> Drivers

Propriétés des drivers.

Autres sujets abordés dans ce chapitre

S7TCP32 [S7TCP32]

Simotion [SIMOTION]

driver système [SYSTEMTREIBER]


S7TCP32 [S7TCP32]

Manuel -> Fichier de configuration -> project.ini -> Drivers -> S7TCP32 [S7TCP32]

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Entrée

Description

[S7TCP32]

Paramètres relatifs au driver S7TCP32.

FS=

Définit si les types d'objet F&S DB Bit, F&S DB Byte, F&S Bit et F&S Byte sont affichés :

  • 1 : Affichage
  • 0 : Pas d'affichage (par défaut)


Simotion [SIMOTION]

Manuel -> Fichier de configuration -> project.ini -> Drivers -> Simotion [SIMOTION]

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Entrée

Description

[SIMOTION]

Paramètres relatifs au driver Simotion.

BLOCKWRITE=

Activation de l'écriture de blocs.

  • 0 : L'écriture de blocs est désactivée.
  • 1 : L'écriture de blocs est activée. Plusieurs valeurs par requête TCP sont écrites pour les variables globales et les variables d'axe. Dans ce cas, un bloc d'enregistrement continu est écrit pour les variables globales et une liste de valeurs de variables est envoyée pour les variables d'axe.


driver système [SYSTEMTREIBER]

Manuel -> Fichier de configuration -> project.ini -> Drivers -> driver système [SYSTEMTREIBER]

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Entrée

Description

[SYSTEMTREIBER]

Propriétés du driver système.

UPDATE_SEK=

Temps de cycle du driver système en secondes.

WISCHER_BOXEN=
  • 0 : Les messages sont supprimés. Dans ce cas, les variables de bit sont disponibles dans le driver de système, vous permettant de réagir à une saisie erronée en liant une fonction à une valeur limite.
  • 1 : en cas de saisie erronée de l'utilisateur (écriture de valeur prescrite, connexion, etc.), les messages correspondants sont affichés dans le Runtime.

Pour cela, activez la propriété Entrée incorrecte dans Editor.

WISCHER_BOXEN_USERLEVEL=

Actif seulement si WISCHER_BOXEN=1.

  • 0 : Aucun message d'erreur n'est affiché si l'utilisateur n'est pas autorisé à effectuer l'opération. La variable de driver du système Aucune autorisation pour l’exécution de la fonction est néanmoins définie, et peut être évaluée par le biais de la valeur limite ou d’une matrice de réaction.
  • 1 : Si l'utilisateur exécute, dans le Runtime, une fonction nécessitant un niveau d'autorisation auquel l'utilisateur connecté ne satisfait pas, une fenêtre affichant un message d'erreur est affichée.

Pour cela, activez la propriété Droits insuffisants dans Editor.


Vue globale [WORLDVIEW]

Manuel -> Fichier de configuration -> project.ini -> Vue globale [WORLDVIEW]

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Entrée

Description

[WORLDVIEW]

Affichage vue globale.

MarkCenter=
  • 0 : aucune indication d'une station sélectionnée
  • 1 : indique une station sélectionnée dans le synoptique pour une courte période de temps après l'appel du synoptique.


Versions et gestion des versions de zenon [VERSION]

Manuel -> Fichier de configuration -> project.ini -> Versions et gestion des versions de zenon [VERSION]

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Entrée

Description

[VERSION]

Informations concernant la version de zenon utilisée pour éditer le projet en dernier et informations concernant la gestion des versions du projet. Ces valeurs sont définies par Editor et ne doivent pas être modifiées !

BETA=

Référence à l'état de lancement de la dernière version de zenon utilisée.

  • 0 : Version lancée
  • 1 : Version bêta

GUID=

GUID du projet.

PROJECT_VERSION_ACTIVE=

Gestion des versions du projet :

  • 1 : La fonction de suivi de version des projets est utilisée. Chaque sauvegarde de projet comporte un numéro de version propre.
  • 0 : Pas de gestion des versions du projet.

Par défaut : 0

Correspond à la propriété Gestion de version active, dans le groupe Général/Gestion de version, dans Editor.

PROJ_MAJOR=

Numéro de la version principale. Peut être attribué librement.

Attention : Toute modification par l’utilisateur de ce numéro influe sur la cohérence du suivi des versions.

Configuration à l'aide de la propriété Version principale, dans le groupe Général/Gestion de version.

PROJ_MINOR=

Numéro détaillé de la version principale. Cette information est générée automatiquement.

Correspond à la propriété Version du projet, dans le groupe Général/Gestion de version, dans Editor.

PROJ_TIMESTAMP=

L'heure de la dernière sauvegarde du projet en secondes, au format UTC.

SP=

Numéro de Service Pack de la dernière version de zenon utilisée pour l'édition du projet.

Par exemple : 0 pour zenon 7.20 SP0.

VERSION1=

Numéro de la version principale de zenon utilisée pour éditer le projet en dernier.

Par exemple : 7 pour zenon 7.20 SP0.

VERSION2=

Numéro de la sous-version de zenon utilisée pour éditer le projet en dernier.

Par exemple : 20 pour zenon 7.20 SP0.

XML_EXPORT_ACTIVE=

Exportation au format XML des versions :

  • 1 : lors de chaque sauvegarde du projet, un fichier zip (version.zip) est inséré. Celui-ci comprend 24 fichiers XML contenant les sauvegardes des modules individuels.
    Remarque : pour les projets multi-utilisateurs, uniquement pour les sauvegardes locales.
  • 0 : Pas d'exportation au format XML.

Par défaut : 0

Correspond à la propriété Export XML actif, dans le groupe Général/Gestion de version, dans Editor.


startup.ini

Manuel -> Fichier de configuration -> startup.ini

Remarque : Le paramétrage du projet doit être réalisé dans Startup Tool. Le fichier startup.ini doit uniquement être modifiée par des utilisateurs experts.
Seuls les paramètres de chiffrement des communications sur le réseau sont actuellement documentés.

Entrée | Description
[Settings] |
USE_ENCRYPTION= | Activer ou désactiver le chiffrement : 0 : Inactive 1 : actif L'entrée sera appliquée dans l'outil Startup Tool après la configuration et l'enregistrement.
ENCRYPTION_PWD | Ici, le mot de passe est saisi après avoir été créé ; il est chiffré automatiquement. Le mot de passe est chiffré par l'ordinateur ; ainsi, la saisie d'un mot de passe identique sur des ordinateurs différents entraîne l'affichage de contenus différents pour cette entrée. L'entrée sera appliquée dans l'outil Startup Tool après la configuration et l'enregistrement.
PWD_VALIDATION= | Empreinte numérique permettant de vérifier si les données utilisées pour le chiffrement ont été modifiées.


wizards.ini

Manuel -> Fichier de configuration -> wizards.ini

Création du fichier .ini pour l'administration de l'assistant dans VSTA et VBA.

info Informations

Ce document est uniquement disponible en anglais.

Autres sujets abordés dans ce chapitre

VSTA wizards.ini

Fichier wizards.ini pour VBA

Méthodes de mise à jour requises


VSTA wizards.ini

Manuel -> Fichier de configuration -> wizards.ini -> VSTA wizards.ini

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

[DEFAULT]: contient les paramètres généraux.

COUNT: nombre d'assistants inclus dans le fichier .ini (doit être modifié lors de l'ajout/de la suppression d'assistants dans le fichier .ini).

[MYWORKSPACE] : contient les paramètres du fichier .cs de l'espace de travail.

VERSION : la version actuelle

[WIZARD_X] : contient les paramètres d'un assistant.

NAME : nom, tel qu'il est indiqué dans la boîte de dialogue de mise à jour.

CLASSNAME : nom de la classe de formulaire représentant l'assistant.

VERSION : Numéro de version

PATH : extension du chemin d'accès pour localiser les fichiers.

DELETE : indiquez 1 si l'assistant doit être supprimé de l'espace de travail.

FILES : le nombre de fichier inclus dans cet assistant.

FILE_X : le nom d'un fichier inclus dans l'assistant.

TYPE_X : le type de fichier (requis pour les fichiers Form.cs et Resx)

DEP_X : le nom d'un fichier dont dépend ce fichier.

Exemple

[DEFAULT]

COUNT=3

[MYWORKSPACE]

VERSION=1

[WIZARD_1]

NAME=Assistant d'importation

CLASSNAME=Wizard_Exportxml

VERSION=3

PATH=\Wizard_Exportxml

DELETE=0

FILES=3

FILE_1=Wizard_Exportxml.cs

TYPE_1=Form

FILE_2=Wizard_Exportxml.Designer.cs

DEP_2=Wizard_Exportxml.cs

FILE_3=Wizard_Exportxml.resx

DEP_3=Wizard_Exportxml.cs

TYPE_3=EmbeddedResource

[WIZARD_2]

NAME=Wizard_Project

CLASSNAME=Wizard_Project

VERSION=1

PATH=\Wizard_Project

DELETE=0

FILES=3

FILE_1=Wizard_Project.cs

TYPE_1=Form

FILE_2=Wizard_Project.Designer.cs

DEP_2=Wizard_Project.cs

FILE_3=Wizard_Project.resx

DEP_3=Wizard_Project.cs

TYPE_3=EmbeddedResource

[WIZARD_3]

NAME=Assistant de démo

CLASSNAME=Wizard_Demo

VERSION=1

PATH=\Wizard_Demo

DELETE=0

FILES=3

FILE_1=Wizard_Demo.cs

TYPE_1=Form

FILE_2=Wizard_Demo.Designer.cs

DEP_2=Wizard_Demo.cs

FILE_3=Wizard_Demo.resx

DEP_3=Wizard_Demo.cs

TYPE_3=EmbeddedResource


Fichier wizards.ini pour VBA

Manuel -> Fichier de configuration -> wizards.ini -> Fichier wizards.ini pour VBA

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

[DEFAULT]: contient les paramètres généraux.

COUNT: nombre d'assistants inclus dans le fichier .ini (doit être modifié lors de l'ajout/de la suppression d'assistants dans le fichier .ini).

[MYWORKSPACE] : contient les paramètres du fichier .cs de l'espace de travail.

VERSION : la version actuelle

[WIZARD_X] : contient les paramètres d'un assistant.

NAME : nom, tel qu'il est indiqué dans la boîte de dialogue de mise à jour.

VERSION : la version actuelle

PATH : extension du chemin d'accès pour localiser les fichiers.

VB_NAME : nom de l'objet VBA représentant l'assistant.

VB_TYPE : 0=form, 1=class

DELETE : indiquez 1 si l'assistant doit être supprimé de l'espace de travail.

Exemple

[DEFAULT

COUNT=3

[MYWORKSPACE]

VERSION=3

[WIZARD_1]

NAME=Assistant de création de variables

VERSION=8

PATH=\CreateVariables\frmCreateVariables.frm

VB_NAME=frmCreateVariables

VB_TYPE=0

DELETE=0

[WIZARD_2]

NAME=Assistant de document

VERSION=12

PATH=\DocuWizard\frmDocuWizardEx.frm

VB_NAME=frmDocuWizardEx

VB_TYPE=0

DELETE=0

[WIZARD_3]

NAME=Assistant d'importation

VERSION=3

PATH=\ImportWizard\frmImportWizard.frm

VB_NAME=frmImportWizard

VB_TYPE=0

DELETE=1


Méthodes de mise à jour requises

Manuel -> Fichier de configuration -> wizards.ini -> Méthodes de mise à jour requises

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Exemple de méthodes requises pour que l'assistant s'affiche dans la boîte de dialogue de mise à jour :

VBA

'Les méthodes suivantes définissent le formulaire comme un assistant du système de contrôle. Si IsZenOnWizard est défini sur False (Faux),

'l'assistant n'apparaît pas dans la boîte de dialogue Assistant et n'influe pas sur la boîte de dialogue de mise à jour de l'assistant.

Public Function GetWizardName() As String

GetWizardName = "Assistant vide"

End Function

Public Function GetWizardInfo() As String

GetWizardInfo = "<TODO: Add description here>"

End Function

Public Function GetWizardCategory() As String

GetWizardCategory = "<TODO: Add category-information here>"

End Function

Public Function IsZenOnWizard() As Boolean

IsZenonWizard = False

End Function

Public Function GetWizardVersion() As Integer

GetWizardVersion = 6

End Function

VSTA

#region Wizard_Identification

/// <summary>

/// Cette méthode statique renvoie le nom de l'assistant,

/// qui sera affiché dans l'arborescence des assistants.

/// </summary>

/// <returns></returns>

static public string GetWizardName()

{

string strValue = "Demo Wizard";

return strValue;

}

/// <summary>

/// Cette méthode statique renvoie la description de l'assistant,

/// qui sera affiché au bas de la boîte de dialogue de l'assistant.

</summary>/// <returns></returns>

static public string GetWizardInfo()

{

string strValue = "Ceci est notre assistant de démonstration";

return strValue;

}

/// <summary>

/// Cette méthode statique renvoie le nom de catégorie de l'assistant,

/// qui sera utilisé comme nom de nœud dans l'arborescence des assistants.

/// </summary>

/// <returns></returns>

static public string GetWizardCategory()

{

string strValue = "Wizard VSTA";

return strValue;

}

/// <summary>

/// Cette méthode statique renvoie une valeur booléenne, qui peut être utilisée pour activer ou désactiver l'assistant

/// dans la boîte de dialogue de l'assistant (false=l'assistant n'est pas affiché dans l'arborescence).

/// </summary>

/// <returns></returns>

static public bool IsZenOnWizard()

{

bool bValue = false;

return bValue;

}

/// <summary>

/// Cette méthode statique renvoie la version de l'assistant,

/// indiquée au bas de la boîte de dialogue de l'assistant.

/// </summary>

/// <returns>wizard version</returns>

static public int GetWizardVersion()

{

int nValue = 1;

return nValue;

}

/// <summary>

/// Cette méthode est utilisée lorsque l'assistant a été sélectionné dans la

/// boîte de dialogue de l'assistant et confirmé par "OK".

/// </summary>

public void StartWizard()

{

this.Show();

}

#endregion


zenDB.ini :

Manuel -> Fichier de configuration -> zenDB.ini :

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Les entrées dans le fichier zenDB.ini définissent la connexion au serveur SQL. These are stipulated with the Startup Tool.

Entrées dans le fichier zenDB.ini

À partir de la version 7.11 SP0

Entrée

Valeur par défaut

Description

[CONNECTION_SQL2012]

Paramètres de connexion pour SQL Server 2012

PW=

Startup Tool : aucun
Sinon : zen_$2012

Définit le mot de passe que zenDBSrv utilise pour l'authentification sur le serveur SQL. Le mot de passe est stocké sous forme chiffrée dans le fichier zenDB.ini. Toutefois, la valeur non chiffrée par défaut peut être utilisée pour établir une connexion si les tentatives de chiffrement échouent en raison de sa longueur et la valeur par défaut est utilisée pour directement établir une connexion.

Attention : Le chiffrement est effectué par le biais de Startup Tool. Vous devez donc effectuer la configuration de la base de données par le biais de Startup Tool.
Le mot de passe doit également être modifié sur le serveur SQL pour l’utilisateur zenOnSrv.

Remarque : chaque composant écrit cette valeur dans le fichier .INI sous forme chiffrée.

Tous les autres paramètres correspondent à ceux de la version 7.10 :

À partir de la version 7.10 SP0

Entrée

Valeur par défaut

Description

[PATH]

Aucun

Chemin

DB60_SQL2012=

Aucun

Définit le chemin de stockage des bases de données SQL utilisées pour les projets dans zenon Editor.

Exemple :

DB60_SQL2012=C:\ProgramData\COPA-DATA\SQL2012\

[CONNECTION_SQL2012]

Paramètres de connexion pour SQL Server 2012

USER=

Startup Tool : aucun
Sinon : zenOnSrv

Définit le nom d'utilisateur avec lequel zenDBSrv se connecte au serveur SQL Server.

PW=

Startup Tool : aucun
Sinon : srv_710

Définit le mot de passe que zenDBSrv utilise pour l'authentification sur le serveur SQL. Le mot de passe est stocké sous forme chiffrée dans le fichier zenDB.ini. Toutefois, la valeur non chiffrée par défaut peut être utilisée pour établir une connexion si les tentatives de chiffrement échouent en raison de sa longueur et la valeur par défaut est utilisée pour directement établir une connexion.

Attention : Le chiffrement est effectué par le biais de Startup Tool. Vous devez donc effectuer la configuration de la base de données par le biais de Startup Tool.
Le mot de passe doit également être modifié sur le serveur SQL pour l’utilisateur zenOnSrv.

Remarque : chaque composant écrit cette valeur dans le fichier .INI sous forme chiffrée.

SQLINSTANCE=

Startup Tool : aucun
Sinon : localhost

Définit l'instance de serveur SQL à laquelle se connecte zenDBSrv. Une connexion ne peut pas être établie avec la valeur par défaut, car elle ne comporte pas de nom d'instance. L'expression "localhost" dans les noms d'instance est remplacée par le nom de l'ordinateur actuel avant l'établissement de la connexion.

Exemple :

SQLINSTANCE=localhost\zenon_2012

SQLPROVIDER=

Startup Tool : aucun
Sinon : SQLNCLI10.1

Entrée facultative correspondant au fournisseur utilisé par zenDBSrv pour établir la connexion à la base de données. La valeur par défaut correspond au client natif SQL Server 2008 R2.

Exemple :

SQLPROVIDER=SQLNCLI10.1

Version 7.00 SP0

Entrée | Valeur par défaut | Description
[PATH] | Aucun | Chemin
DB60_SQL2008= | Aucun | Définit le chemin de stockage des bases de données SQL utilisées pour les projets dans zenon Editor. Exemple : DB60_SQL2008=C:\ProgramData\COPA-DATA\SQL2008R2\
[CONNECTION_SQL2008] |  | Paramètres de connexion pour SQL Server 2008 R2
USER= | Startup Tool : aucun Sinon : zenOnSrv | Définit le nom d'utilisateur avec lequel zenDBSrv se connecte au serveur SQL Server.
PW= | Startup Tool : aucun Sinon : srv_700 | Définit le mot de passe que zenDBSrv utilise pour l'authentification sur le serveur SQL. Le mot de passe est stocké sous forme chiffrée dans le fichier zenDB.ini. Toutefois, la valeur non chiffrée par défaut peut être utilisée pour établir une connexion si les tentatives de chiffrement échouent en raison de sa longueur et la valeur par défaut est utilisée pour directement établir une connexion. Remarque : chaque composant écrit cette valeur dans le fichier .INI sous forme chiffrée.
SQLINSTANCE= | Startup Tool : aucun Sinon : localhost | Définit l'instance de serveur SQL à laquelle se connecte zenDBSrv. Une connexion ne peut pas être établie avec la valeur par défaut, car elle ne comporte pas de nom d'instance. L'expression "localhost" dans les noms d'instance est remplacée par le nom de l'ordinateur actuel avant l'établissement de la connexion. Exemple : SQLINSTANCE=localhost\zenon_2008R2
SQLPROVIDER= | Startup Tool : aucun Sinon : SQLNCLI10.1 | Entrée facultative correspondant au fournisseur utilisé par zenDBSrv pour établir la connexion à la base de données. La valeur par défaut correspond au client natif SQL Server 2008 R2. Exemple : SQLPROVIDER=SQLNCLI10.1

Version 6.51 SP0

Entrée | Valeur par défaut | Description
[Chemin] |  | Chemin
DB60_SQL2005= | Aucun | Définition du chemin. Exemple : DB60_SQL2005=C:\ProgramData\COPA-DATA\SQL\
[CONNECTION_SQL2005] |  |
SQLSERVICE_SQL2005= | localhost\ZENON_DEV | Nom du service démarrant l'instance de serveur SQL. Doit correspondre à l'entrée PROVIDER_SQL2005= dans la section Data Source. SQLSERVICE_SQL2005=MSSQL$zenon_DEV
USER= | Aucun | Utilisateur. Exemple : USER=zenOnSrv
PW= | Aucun | Mot de passe. Émis dans Startup Tool et stocké sous forme chiffrée. Exemple : PW=0x9C 0x94 0xC6 0x50 0x15 0x80 0x79 0x06 0x32 0xED 0x4E 0xE1 0x15 0xDD 0x7C 0x90
SQLINSTANCE= | Aucun | Instance SQL. Exemple : SQLINSTANCE=localhost\zenon_DEV

De la version 6.21 SP0 à la version 6.50 SP0

Entrée

Valeur par défaut

Description

[PATH]

Chemin

DB60_SQL2005=

Aucun

Définition du chemin.

Exemple :
DB60_SQL2005=C:\ProgramData\COPA-DATA\SQL\

[CONFIG]

SQLSERVICE_SQL2005=

localhost\ZENON_DEV

Nom du service démarrant l'instance de serveur SQL. Doit correspondre à l'entrée PROVIDER_SQL2005= dans la section Data Source.

SQLSERVICE_SQL2005=MSSQL$zenon_DEV

PROVIDER_SQL2005=

Entrée correspondant au fournisseur utilisé par zenDBSrv pour établir la connexion à la base de données.
Exemple :

PROVIDER_SQL2005=Provider=SQLNCLI.1;Password=srv_601;Persist Security Info=True;User ID=zenOnSrv;Initial Catalog=%s;Data Source=localhost\zenon_DEV;

Jusqu'à la version 6.20 SP4

Entrée

Valeur par défaut

Description

[PATH]

Chemin

DB60=

Exemple :
DB60=C:\SQL\

[CONFIG]

SQLSERVICE=

MSSQL$ZENON

Définit le chemin de stockage des bases de données SQL utilisées pour les projets dans zenon Editor.

Provider=

Entrée correspondant au fournisseur utilisé par zenDBSrv pour établir la connexion à la base de données.

Exemple :

Provider=Provider=SQLOLEDB.1;Password=zenon;Persist Security Info=False;User ID=sa;Initial Catalog=%s;Data Source=localhost\zenon


zenon6.ini

Manuel -> Fichier de configuration -> zenon6.ini

Les paramètres doivent être configurés dans Editor. Les modifications apportées à zenon6.ini doivent uniquement être effectuées par des experts.

info Informations

Le fichier zenon6.ini se trouve dans le chemin suivant : %ProgramData%\COPA-DATA\System\

Autres sujets abordés dans ce chapitre

Paramètres généraux [DEFAULT]

Filtrage des listes AML et CEL en fonction du nom et de l'identifiant [AlarmFilterDialog]

Espaces de travail [RECENTWORKSPACES]

Maintenance d'archive [ARCHEDIT]

Gestion des commandes [Befehlsgabe]

Autorisation d'utilisation dans Everywhere Server by zenon [mot de passe]

Diagnosis Server [SYS_REMOTE] et [LOGGING_SYSTEM]

Imprimante générale [DRUCKER] et [FRM_PRNT]

Editor [EDITOR] et [Editor/CustomMenu]

Everywhere Server [EVERYWHERE]

Extended Trend [EW-TREND]

Exporter [EXPORT]

Paramètres de la fenêtre [PROPERTY]

Adresse IP sous Windows CE [IPADDR]

Message Control [MESSAGE CONTROL]

Réseau [NETZ]

Paramètres du chemin [PATH]

Configuration du port [LISTENING_SOCKETS]

Interface de programmation [Add-Ins], [PCE], [VBA] et [VSTA]

Paramètres du module Remote Transport [SYS_REMOTE]

Mot de passe du module Remote Transport [TRANSPASS]

Runtime [RT]

SCADA Runtime connector [ZRSCONNECTOR]

Symboles [SYMBOL]

Simulation [SIMULATOR]

Serveur de terminal [TERMINAL]

Drivers


Paramètres généraux [DEFAULT]

Manuel -> Fichier de configuration -> zenon6.ini -> Paramètres généraux [DEFAULT]

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Entrée

Description

[DEFAULT]

Paramètres généraux.

ACTIVATIONKEY76=

Encrypted activation for dongle and soft-licensing for zenon 7.60. Applicable for standalone licenses and network licenses.

Recommandation : Configuration via la boîte de dialogue Fichier -> Paramètres généraux -> Licence du produit.

Please note that the licensing from version 7.60 depends on the version.

Remarque :

  • L'entrée est la suivante pour les versions antérieures à zenon 7.60: ACTIVATIONKEY7=
  • L'entrée est la suivante pour les versions antérieures à zenon 7.0: ACTIVATIONKEY=

ACTIVATIONKEY7=

Clé d'activation pour les licences par dongle ou les licences logicielles. Applicable for standalone licenses and network licenses.

L'entrée est la suivante pour les versions antérieures à zenon 7.0: ACTIVATIONKEY=

ACTIVATIONKEY7n=

Clé d'activation pour les licences par dongle ou les licences logicielles Ceci permet de démarrer Editor et le Runtime avec des licences et des dongles différents. Applicable for standalone licenses and network licenses.

  • n : nombre compris entre 1 et 9.

Lors du démarrage d'Editor ou du Runtime, les numéros de licence existants et les clés d'activation sont vérifiés dans l'ordre des entrées correspondantes. Si une entrée est détectée, une vérification est effectuée pour déterminer si le dongle correspondant est présent. Si les deux événements sont applicables, Editor ou le Runtime démarre ; dans le cas contraire, l'entrée suivante est vérifiée.

Cette procédure est exécutée de manière semblable pour l'entrée SERIAL7n=.

Exemple : Seul le Runtime est activé dans l'entrée ACTIVATIONKEY7= principale. Il n'existe pas de deuxième entrée avec une activation pour Editor. Un technicien de maintenance souhaitant démarrer Editor doit simplement insérer son dongle, sans modifier la clé d'activation.

AUTOEXCEPTTIME=

Durée d'affichage de la boîte d'exception, en secondes.
Si cette entrée est manquante ou définie sur 0, la boîte est affichée jusqu'à ce qu'elle soit confirmée en cliquant sur OK.

DEFANWENDUNG30=

Projet utilisé par le Runtime lors du démarrage

DEFWORKSPACE=

Nom de l'espace de travail actif chargé au démarrage du programme.

Recommandation : Sélection via l'onglet Général dans l'outil Startup Tool.

LANGUAGE=

Langue prédéfinie :

  • ALLEMAND
  • FRANCE
  • ITALIEN
  • FRANÇAIS
  • ...

Remarque : Cette entrée .INI est également valide pour zenon Web Client.

LASTPROJEKT=

Dernier projet ouvert dans Editor. Défini par Editor lors de l'arrêt du programme.

L'entrée est ignorée si, dans l'outil Startup Tool, l'option Overwrite INI settings est activée.

RT_CXMAINFRAME=

Largeur de la résolution de tous les moniteurs, moins 1 pixel.

Avec RT_CYMAINFRAME= , enregistre la position et la taille de la fenêtre du Runtime.

RT_CXRESOLUTION=

Largeur de la résolution en pixels de l'ordinateur cible dans le Runtime, définie en fonction de la valeur de la propriété RT_CXMAINFRAME. Il n'est pas nécessaire de soustraire un pixel de cette valeur.

RT_CYMAINFRAME=

Hauteur de la résolution de tous les moniteurs, moins 1 pixel.

Avec RT_CXMAINFRAME=, enregistre la position et la taille de la fenêtre du Runtime.

Attention : Si la barre d'outils est activée, sa largeur doit être prise en compte et d'autres pixels doivent être retranchés.

RT_CYRESOLUTION=

Hauteur de la résolution en pixels de l'ordinateur cible dans le Runtime, définie en fonction de la valeur de la propriété RT_CYMAINFRAME. Il n'est pas nécessaire de soustraire un pixel de cette valeur.

RTENDDELAY=

Délai lors de l'arrêt du Runtime en millisecondes (ms), si ce délai est récursif à l'arrêt du programme.

  • Maximum : 231-1 ms
  • Minimum : 1000 ms
    Values <1000 ms are automatically corrected to the minimum value.

Par défaut : 30000

Exemple : RTENDDELAY=30000

SCREENPROFILE=

Profil de moniteur sélectionné pour l'ordinateur actuel. Ceci s'applique pour tous les projets.

Recommandation : La configuration s'effectue via la boîte de dialogue de la propriété Gestion de moniteur dans les propriétés de projet du groupe Apparence graphique/Généralités runtime.

SERIALIZE=

Définition de la résolution d'écran.

  • 0 : résolution d'écran individuelle ; tous les écrans sont recalculés pour chaque client.
  • 1 : le premier client démarré détermine la résolution d'écran.

SERIAL76=

Numéro de série étendu utilisé pour les licences par dongle ou les licences logicielles Applicable for standalone licenses and network licenses.

Remarque :

License keys for soft licenses depend on the version. They can only be activated for the zenon version for which they have been purchased. The activation number must be renewed when the version is changed.

Recommandation :
Configuration via la boîte de dialogue Fichier -> Paramètres généraux -> Licence du produit.

  • Remarque :
    L'entrée est la suivante pour les versions antérieures à zenon 7.60: SERIAL7=
  • L'entrée est la suivante pour les versions antérieures à zenon 7.0: SERIAL=

SERIAL7=

Serial number for dongle and soft-licensing Applicable for standalone licenses and network licenses.

L'entrée est la suivante pour les versions antérieures à zenon 7.0: SERIAL=

SERIAL7n=

Numéro de série alternatif pour le dongle. Ceci permet de démarrer Editor et le Runtime avec des licences et des dongles différents. Applicable for standalone licenses and network licenses.

  • n : nombre compris entre 1 et 9.

Lors du démarrage d'Editor ou du Runtime, les numéros de licence existants et les clés d'activation sont vérifiés dans l'ordre des entrées correspondantes. Si une entrée est détectée, une vérification est effectuée pour déterminer si le dongle correspondant est présent. Si les deux événements sont applicables, Editor ou le Runtime démarre ; dans le cas contraire, l'entrée suivante est vérifiée.

Cette procédure est exécutée de manière semblable pour l'entrée ACTIVATIONKEY7n=.

Exemple : Seul le Runtime est associé à une licence dans l'entrée SERIAL= principale. Il existe une e deuxième entrée avec une licence pour Editor. Un technicien de maintenance souhaitant démarrer Editor doit simplement insérer son dongle, sans modifier le numéro de série.

SICAM230KEY7

Clé d'activation supplémentaire pour SICAM 230.

STARTDELAY=

Délai de démarrage du Runtime lors du démarrage de l'ordinateur, en millisecondes (ms).
En cas de problèmes liés au démarrage automatique du Runtime lors du lancement du système d'exploitation, ce paramètre permet de démarrer le Runtime après un délai. Le système d'exploitation a ainsi plus de temps pour démarrer tous les services requis.

STRING=

Nom du projet devant être rechargé, si le rechargement est déclenché depuis le serveur.

L'entrée est insérée dans le fichier zenOn6.ini du serveur.


Filtrage des listes AML et CEL en fonction du nom et de l'identifiant [AlarmFilterDialog]

Manuel -> Fichier de configuration -> zenon6.ini -> Filtrage des listes AML et CEL en fonction du nom et de l'identifiant [AlarmFilterDialog]

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Entrée

Description

[AlarmFilterDialog]

Enregistre l'historique des entrées du filtre pour les informations Nom de la variable et Identifiant de l'onglet Général lors de la configuration de l'appel de synoptiques de type AML, CEL et Synoptique de filtre.

La liste est complétée en cas de nouvelles entrées dans la zone de liste après la fermeture de la boîte de dialogue d'appel de synoptique. L'entrée actuellement affichée dans la zone de liste n'est pas enregistrée. L'historique des entrées s'applique à tous les projets sur l'ordinateur, et les entrées peuvent être sélectionnées dans la liste déroulante.

History1_COUNT=

Nombre d'entrées dans la liste déroulante Nom de la variable.

History1_x=

Entrée dans la liste déroulante de sélection du nom de la variable. x représente la numérotation de série, qui commence par 0.

Exemple : History1_2=*haut

History2_COUNT=

Nombre d'entrées dans la liste déroulante Identifiant.

History2_x=

Entrée dans la liste déroulante de sélection de l'identifiant. x représente la numérotation de série, qui commence par 0.

Exemple : History2_2=*remplissage


Espaces de travail [RECENTWORKSPACES]

Manuel -> Fichier de configuration -> zenon6.ini -> Espaces de travail [RECENTWORKSPACES]

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Affiche les cinq derniers espaces de travail chargés, ainsi que le chemin. Ces paramètres sont écrits dans le fichier zenon6.ini par Editor, lors de la fermeture du programme. Ces cinq espaces de travail sont affichés dans le menu Fichier.

Entrée

Description

[RECENTWORKSPACES]

Section affichant les cinq derniers espaces de travail chargés.

WORKSPACE0=

WORKSPACE1=

WORKSPACE2=

WORKSPACE3=

WORKSPACE4=

Dernier espace de travail chargé. Plus l'espace de travail est récent, moins le nombre dans la séquence est élevé.

  • WORKSPACE0: Le dernier espace de travail chargé.
  • WORKSPACE4: espace dont la durée de la dernière utilisation est la plus importante.

Le chemin complet de l'espace de travail est affiché.
Par exemple : WORKSPACE0=C:\Users\Public\Documents\zenon_Projects\Demo760.wsp6


Maintenance d'archive [ARCHEDIT]

Manuel -> Fichier de configuration -> zenon6.ini -> Maintenance d'archive [ARCHEDIT]

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Entrée

Description

[ARCHEDIT]

Propriétés pour l'édition d'archives.

ARCHEDITFONT=

Sélection de la police.

Recommandation : Configuration possible dans le Runtime, via la boîte de dialogue Fenêtre de diagramme.

DATUMBREITE=

Largeur en caractères de la colonne Date/heure.

Recommandation : Configuration possible dans le Runtime, via la boîte de dialogue Fenêtre de diagramme.

EINHEITBREITE=

Largeur en caractères de la colonne Unité de mesure.

Recommandation : Configuration possible dans le Runtime, via la boîte de dialogue Fenêtre de diagramme.

KENNUNGBREITE=

Largeur de la colonne Identifiant en caractères.

Recommandation : Configuration possible dans le Runtime, via la boîte de dialogue Fenêtre de diagramme.

KURZBEZEICHNUNG=

Affichage de l'édition d'archives actuelle dans une table :

  • 1 : Oui
  • 0 : Non

STATUSBREITE=

Largeur de la colonne État en caractères.

Recommandation : Configuration possible dans le Runtime, via la boîte de dialogue Fenêtre de diagramme.

VARIABLEBREITE=

Largeur en caractères de la colonne Variable.

Recommandation : Configuration possible dans le Runtime, via la boîte de dialogue Fenêtre de diagramme.

WERTBREITE=

Largeur de la colonne Valeur en caractères.

Recommandation : Configuration possible dans le Runtime, via la boîte de dialogue Fenêtre de diagramme.

ZUSTANDBREITE=

Largeur de la colonne Texte en caractères.

Recommandation : Configuration possible dans le Runtime, via la boîte de dialogue Fenêtre de diagramme.

ZWANGSSPEICHERN=

Correction des entrées dans les archives résultantes :

  • 1 : Toutes les entrées
  • 0 : Uniquement les entrées modifiées


Gestion des commandes [Befehlsgabe]

Manuel -> Fichier de configuration -> zenon6.ini -> Gestion des commandes [Befehlsgabe]

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Entrée

Description

[Befehlsgabe]

Attention : Uniquement pour SICAM 230.

Befehlsstring=

Enregistrement de commandes dans la liste CEL pour le traitement des commandes :

  • 0 : inactif
  • 1 : actif

CODE=

Requête de numéro de code :

  • 0 : désactivé
  • 1 : activé

CodeKontrolle=

Vérification de faisabilité lors de l'interrogation des numéros de code :

  • 0 : désactivé
  • 1 : activé

POSITION=

Définit la position et la taille du masque de connexion/déconnexion.

Plage de valeurs : 0 à 1. Les valeurs sont saisies avec la syntaxe suivante, et sont séparées par une virgule :
xleft, xright, yup, ydown
Par défaut : 0.001 , 0.999 , 0.835 , 0.964

TASTE=

Affectation des touches pour l'utilisation à deux mains : Saisies possibles :

  • Aucune saisie : Utilisation à une main
  • ENTRÉE : Touche Entrée
  • ESPACE : Barre d'espacement
  • F2 à F12 : Une des touches F (sauf F1)
  • A à Z et 0 à 9 : Un caractère alphanumérique

Par défaut : Aucune saisie


Autorisation d'utilisation dans Everywhere Server by zenon [mot de passe]

Manuel -> Fichier de configuration -> zenon6.ini -> Autorisation d'utilisation dans Everywhere Server by zenon [mot de passe]

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Entrée | Description
[PASSWORD] | Configuration de l'autorisation d'accès à Everywhere Server.
EVWH_ACCESS= | Niveau d'autorisation ayant accès à Everywhere Server. Valeur : Numéro du niveau d'autorisation configuré Par défaut : 0 (= tous les utilisateurs ont accès)


Diagnosis Server [SYS_REMOTE] et [LOGGING_SYSTEM]

Manuel -> Fichier de configuration -> zenon6.ini -> Diagnosis Server [SYS_REMOTE] et [LOGGING_SYSTEM]

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

À partir de la version 7, les tâches à distance et tâches de diagnostic sont exécutées par deux services différents. Si un équipement comporte à la fois des clients de diagnostic ou des serveurs de diagnostic (Diagnosis Server) nouveaux et anciens, ces derniers peuvent être configurés indépendamment les uns des autres, au moyen d'entrées de fichier INI. Par exemple, les entrées de fichier journal des anciens clients de diagnostics sont reroutées, sans que les entrées de fichier journal des nouveaux clients n'en soient affectées.

Diagnosis Server avant la version 7.00 SP0

Entrée de fichier INI

Description

[SYS_REMOTE]

Section in zenon6.ini.

Contient des paramètres pour zenSysSrv (modules Remote Transport et Diagnosis Server).

LOGDirectory=

Définit le dossier des fichiers journaux.

En l'absence d'entrée, le dossier LOG du dossier %ProgramData% est utilisé par défaut.

Exemple :
LOGDirectory= %ProgramData%\COPA-DATA\zenon760\LOG

CONFIG=

Chaîne de configuration pour les modules Diagnosis Server et zenSysSrv . Remote Transport et le système de diagnostic utilisent la même configuration de serveur jusqu'à la version 6.51 SP0 incluse. La chaîne comprend les éléments suivants : DEVICE=[Équipement];HOST=[Nom d'hôte];PORT=[Port];TIMEOUT=[Délai d'attente]

  • DEVICE: définit le type de communication utilisé.
    Les types TCP/IP et série sont disponibles.
  • HOST: défini sur le nom de l'ordinateur du module Diagnosis Server.
  • PORT: indique le port utilisé.
  • TIMEOUT: fournit le délai d'expiration de la connexion, en secondes.
  • BAUD: indique la vitesse d'une connexion série.

Configuration du PC :

  • DEVICE=TCP/IP
  • HOST=localhost
  • PORT=1101
  • TIMEOUT=10

Configuration de CE :

  • DEVICE=COM1
  • BAUD=115200

LOGMinFreeDiskSpace=

Définit la quantité minimale de mémoire (en Mo) devant être disponible sur le disque dur. Les fichiers journaux (LOG) sont supprimés avant que cette valeur ne soit dépassée.

Par défaut : 1024

LOGMaxUsedDiskSpace=

Définit la quantité maximale de mémoire, en Mo, utilisée par les fichiers journaux sur le disque dur. Les fichiers journaux (LOG) sont supprimés si cette valeur est dépassée.

Par défaut : 1024

LOGMinUsedDiskSpace=

Définit la quantité de mémoire (en Mo) utilisée sur le disque dur, même en l'absence de fichiers journaux.

Par défaut : 5

LOGLogLifeTime=

Définit le cycle de vie des fichiers journaux, en secondes. Les fichiers journaux les plus anciens sont supprimés.

Par défaut : 1209600 (correspond à 14 jours)

LOGImageCnt=

Définit le nombre d'entrées de fichiers journaux ; au-delà de ce nombre, des fichiers journaux incrémentiels sont créés.

  • 0 : - Inactif (par défaut)

LOGLogUpdateTime=

Délai en millisecondes au terme duquel les entrées de fichiers journaux reçues sont écrites dans un fichier journal.

Par défaut : 2000

LOGMaxBufferedRecs=

Définit le nombre d'entrées de fichiers journaux conservées dans le buffer si elles ne peuvent pas être écrites dans les fichiers journaux.

Par défaut : 10240

LOGMaxLogFileSize=

Taille maximum d'un fichier journal, en octets. Si un fichier journal atteint cette taille, il est fermé et un nouveau fichier journal est créé.

Par défaut : 5242880 (correspond à 5 Mo)

LOGCheckDiskTime=

Définit l'intervalle en secondes durant lequel la mémoire occupée par les fichiers journaux est contrôlée.

Par défaut : 60

INIT=

Action lors du démarrage de l'application dans Windows CE :

  • 0 : terminer immédiatement
  • 1 (ou toute autre valeur supérieure à 2) : ouvrir le port d'écoute et minimiser dans la barre des tâches.
  • 2 : afficher uniquement la surface.

Par défaut : 1

Remarque : dans le cadre de la séparation de zenSysSrv et zenLogSrv dans zenon 7.00, cette valeur par défaut a également été modifiée pour d'autres versions. La valeur par défaut était auparavant 2.

Diagnosis Server à partir de la version 7.00 SP0

Entrée de fichier INI

Description

[LOGGING_SYSTEM]

Section in zenon6.ini.

Contient les paramètres du module Diagnosis Server. Affecte uniquement zenLogSrv et n'a aucune incidence sur zenSysSrv.

LOGDirectory=

Définit le dossier des fichiers journaux.

En l'absence d'entrée, les paramètres suivants sont utilisés comme valeur standard :

  • Le chemin extrait de la base de registres,
    par exemple : %ProgramData%\COPA-DATA\LOG
  • Le dossier LOG du dossier %ProgramData% du module zenLogSrv, si aucun chemin n'est défini dans la base de registres,
    par exemple %ProgramData%\COPA-DATA\zenon760\LOG

CONFIG=

Chaîne de configuration de Diagnosis Server. La chaîne comprend les éléments suivants : DEVICE=TCP/IP;HOST=[Nom d'hôte];PORT=[Port];TIMEOUT=[Délai d'attente]

  • DEVICE: définit le type de communication utilisé ; doit toujours être configurés sur TCP/IP
  • HOST: défini sur le nom de l'ordinateur du module Diagnosis Server.
  • PORT: indique le port utilisé.
  • TIMEOUT: fournit le délai d'expiration de la connexion, en secondes.

Configuration :

  • DEVICE=TCP/IP
  • HOST=localhost
  • PORT=50780
  • TIMEOUT=10

LOGMinFreeDiskSpace=

Définit la quantité minimale de mémoire (en Mo) devant être disponible sur le disque dur. Les fichiers journaux (LOG) sont supprimés avant que cette valeur ne soit dépassée.

Par défaut : 1024

LOGMaxUsedDiskSpace=

Définit la quantité maximale de mémoire, en Mo, utilisée par les fichiers journaux sur le disque dur. Les fichiers journaux (LOG) sont supprimés si cette valeur est dépassée.

Par défaut : 1024

LOGMinUsedDiskSpace=

Définit la quantité de mémoire (en Mo) utilisée sur le disque dur, même en l'absence de fichiers journaux.

Par défaut : 5

LOGLogLifeTime=

Définit le cycle de vie des fichiers journaux, en secondes. Les fichiers journaux les plus anciens sont supprimés.

Par défaut : 1209600 (correspond à 14 jours)

LOGImageCnt=

Définit le nombre d'entrées de fichiers journaux ; au-delà de ce nombre, des fichiers journaux incrémentiels sont créés.

Par défaut : 0

LOGLogUpdateTime=

Délai en millisecondes au terme duquel les entrées de fichiers journaux reçues sont écrites dans un fichier journal.

Par défaut : 2000

LOGMaxBufferedRecs=

Définit le nombre d'entrées de fichiers journaux conservées dans le buffer si elles ne peuvent pas être écrites dans les fichiers journaux.

Par défaut : 10240

LOGMaxLogFileSize=

Taille maximum d'un fichier journal, en octets. Si un fichier journal atteint cette taille, il est fermé et un nouveau fichier journal est créé.

Par défaut : 5242880 (correspond à 5 Mo)

LOGCheckDiskTime=

Définit l'intervalle en secondes durant lequel la mémoire occupée par les fichiers journaux est contrôlée.

Par défaut : 60

INIT=

Action lors du démarrage de l'application dans Windows CE :

  • 0 : terminer immédiatement
  • 1 (ou toute autre valeur supérieure à 2) : ouvrir le port d'écoute et minimiser dans la barre des tâches.
  • 2 : afficher uniquement la surface.

Par défaut : 1

Diagnosis Client avant la version 7.00 SP0

Entrée de fichier INI

Description

[SYS_REMOTE]

Section in zenon6.ini.

Contient les paramètres du module Diagnosis Client.

LOG_CONFIG=

Une chaîne de configuration du module Diagnosis Client est conservée ici. La chaîne comprend les éléments suivants : DEVICE=TCP/IP;HOST=[Nom d'hôte];PORT=[Port];TIMEOUT=[Délai d'attente]

  • DEVICE: définit le type de communication utilisé ; doit toujours être configurés sur TCP/IP
  • HOST: défini sur le nom de l'ordinateur du module Diagnosis Server.
  • PORT: indique le port utilisé.
  • TIMEOUT: fournit le délai d'expiration de la connexion, en secondes.

Configuration :

  • DEVICE=TCP/IP
  • HOST=localhost
  • PORT=1101
  • TIMEOUT=10

Diagnosis Client à partir de la version 7.00 SP0

Entrée de fichier INI

Description

[LOGGING_SYSTEM]

Section in zenon6.ini.

Contient les paramètres du module Diagnosis Client.

LOG_CONFIG=

Une chaîne de configuration du module Diagnosis Client est conservée ici. La chaîne comprend les éléments suivants :

DEVICE=TCP/IP;HOST=[Nom d'hôte];PORT=[Port];TIMEOUT=[Délai d'attente]

  • DEVICE: définit le type de communication utilisé ; doit toujours être configurés sur TCP/IP
  • HOST: défini sur le nom de l'ordinateur du module Diagnosis Server.
  • PORT: indique le port utilisé.
  • TIMEOUT: fournit le délai d'expiration de la connexion, en secondes.

Configuration :

  • DEVICE=TCP/IP
  • HOST=localhost
  • PORT=50780
  • TIMEOUT=10

Remarque :

INI sous CE

Sous Windows CE, nous vous recommandons instamment de ne pas définir l'entrée INIT= (dans la section [LOGGING_SYSTEM] ou [SYS_REMOTE]) sur la valeur 2.

Raison : la valeur 2 signifie que SysSrvCE et LogSrvCEaffichent uniquement l'interface utilisateur, et n'ouvrent pas le port d'écoute.
Dans ce cas, si un service Diagnosis Client tente d'établir une connexion, il échouera. Dans ce cas, puisque le service Diagnosis Client démarre le procédé LogSrvCE et le procédé n'ouvre pas le port, chaque service Diagnosis Client démarre un procédé. Par conséquent, plusieurs procédés LogSrvCE s'exécutent en parallèle et le démarrage du service Diagnosis Clients est retardé, car celui-ci attend l'expiration du délai d'attente de la connexion pour établir la connexion de diagnostic.

Utilisation de zenLogSrv sur un système comportant différentes versions

Si zenLogSrv est utilisé en tant que serveur de diagnostic (Diagnosis Server) local central sur un système comportant différentes versions, l'entrée LOG_CONFIG dans [SYS_REMOTE] doit être configurée comme ceci :
DEVICE=TCP/IP;HOST=localhost;PORT=5780;TIMEOUT=10

Raison : les anciens clients utilisent alors zenLogSrv en tant que serveur de diagnostics (Diagnosis Server). Les nouveaux clients font cela automatiquement. Ce service est automatiquement activé sur le PC au démarrage du système ; il doit être démarré manuellement sous CE.

Attention : si le port ne peut pas être atteint, les anciens clients démarrent zenSysSrv et réessaient de s'y connecter.


Imprimante générale [DRUCKER] et [FRM_PRNT]

Manuel -> Fichier de configuration -> zenon6.ini -> Imprimante générale [DRUCKER] et [FRM_PRNT]

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Entrée | Description
[DRUCKER] | Attribution d'imprimante. Ces paramètres sont configurés dans Editor, dans le menu suivant : Fichier -> Configuration générale -> Par défaut -> Imprimante.
ALARM= | Imprimante en ligne pour la liste d’alarmes ou la liste d’événements dans le Runtime. Sélection de la liste AML ou la liste dans les propriétés du projet dans le groupe Alarmes et événements ou via les fichiers ALAR.FRM et/ou BTB.FRM.
ALARM_OFFL= | Imprimante hors ligne pour la liste d’alarmes ou la liste d’événements (accessible via le bouton Imprimer du synoptique correspondant). Configuration des formats d’impression dans les fichiers ALARM_G.FRM et/ou BTB_G.FRM. L'imprimante définie dans l'entrée ALARM= est utilisée si aucune entrée n'est présente.
WERTE= | Imprimante pour les rapports?; également utilisée si la fonction Imprimer la valeur actuelle (impression des valeurs et tables actuelles) est sélectionnée.
HDDRUCKER= | Imprimante utilisée pour les captures d’écran
LISTDRUCKER= | Imprimante utilisée pour les listes générales.
[FRM_PRNT] | Configuration de l'impression mise en forme des listes AML ou CEL avec le fichier FRM_PRNT.DLL.
LINES= | Saisie du nombre de lignes par page. Par défaut : 0


Editor [EDITOR] et [Editor/CustomMenu]

Manuel -> Fichier de configuration -> zenon6.ini -> Editor [EDITOR] et [Editor/CustomMenu]

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Entrée

Description

[EDITOR]

Paramètres dans Editor.

Recommandation : Configure via Tools -> Settings.

CASESENSITIVEFILTER=

Le filtre de la vue de détail est sensible à la casse

  • 0 : Non
  • 1 : Oui

DIRECTX_TYPE=

Définit si l'accélération matérielle est utilisée :

  • 1 : actif
  • 0 : inactif

Par défaut : 1

DYNRAHMEN=

Affichage d'un cadre autour des éléments dynamiques dans Editor.

  • 0 : inactif
  • 1 : inactif (par défaut)

EINGABE_SOFORT=

Affichage immédiat du champ de saisie d'un élément lors de sa création :

  • 0 : Non
  • 1 : Oui

FANGPUNKTE=

Utilisation de points magnétiques :

  • 0 : désactivé
  • 1 : activé

FANGPUNKTESIZE=

Taille des points magnétiques des synoptiques, en pixels

FANGPUNKTESIZE_TEMPL=

Taille des points magnétiques des cadres, en pixels

KOORD_GLOBAL=

Affichage des coordonnées :

  • 0 : Coordonnées client de la fenêtre
  • 1 : coordonnées en pixels, indépendantes du synoptique (globales)

LASTWORKSPACE=

Chargement automatique du dernier espace de travail utilisé au démarrage d'Editor.

  • 1 : le dernier espace de travail est chargé automatiquement
  • 0 : Editor démarre sans chargement préalable d'un espace de travail

RASTER=

Positionner sur la grille :

  • 0 : inactif
  • 1 : actif

RASTER_ABSTAND_X=

Distance de la grille horizontale, en pixels.
Par défaut = 5

RASTER_ABSTAND_Y=

Distance de la grille verticale, en pixels.
Par défaut = 5

RASTER_COLOR=

Couleurs des points de la grille.

La couleur sera fournie au format décimal. Dans Editor, elle est affichée au format hexadécimal, précédée d'un caractère #.
Exemple : La couleur #8000FF dans Editor correspond à la couleur 16711808 dans le fichier INI.

RASTER_GRID=

Afficher la grille :

  • 0 : inactif (par défaut)
  • 1 : activé

RASTER_TYPE=

Type de grille :

  • 0 : lignes continues
  • 1 : pointillés (plus pris en charge à partir de la version 7.20, remplacé par 0 lors de la conversion du projet.)
  • 2 : Intersections

RUECK_ANZ=

Nombre d'actions pouvant être annulées.

Par exemple : RUECK_ANZ=10

SORTLOGICAL=

Tri logique des textes dans la vue de détail :

  • 0 : désactivé
  • 1 : activé

SPOT=

Taille des points angulaires (coins) des éléments.
Par défaut = 5

SUCHE=

Distance en pixels jusqu'au changement de position pour établir le même point en cas de déplacement.
Par défaut = 5

SYMBOL_COLOR=

La couleur de fond des symboles dans l'éditeur de symboles, permettant un repérage plus aisé de la zone de traçage.

Par défaut : Blanc
Entrée pour la couleur blanc : SYMBOL_COLOR=16777215

USE_WIZARDS=

Utilisation d'assistants lors de la configuration :

  • 0 : désactivé
  • 1 : activé

Remarque : Affecte uniquement les assistants de configuration (par ex. archivage), mais pas les autres assistants (par ex. assistant projet).

WINDOW=

Editor mémorise sa position d'affichage à l'écran dans le fichier zenon6.ini lorsque vous le fermez. Lors du prochain démarrage, la position enregistrée est restaurée.

  • Premier nombre : définit si la fenêtre est réduite (1), agrandie (2) ou affichée normalement (3).
  • Autres nombres : position par rapport au coin supérieur gauche.

Exemple : WINDOW=3 109 181 589 661

WORKSPACEVIEW=

Affichage de l'espace de travail dans Editor :

  • 1 : Affichage de l'espace de travail actif
  • 0 : Affichage de l'espace de travail inactif

Menu défini par l'utilisateur

Entrée | Description
[Editor/CustomMenu] | Paramètres relatifs au menu défini par l'utilisateur dans Editor. Recommandation : Configuration à l'aide des options -> Paramètres -> menu Outils.
Arguments#0= | Paramètre d'exécution du programme.
File#0= | Nom du fichier à exécuter pour l'entrée de menu 0.
Name#0= | Entrée dans le menu pour le programme 0.


Everywhere Server [EVERYWHERE]

Manuel -> Fichier de configuration -> zenon6.ini -> Everywhere Server [EVERYWHERE]

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Entrée

Description

[EVERYWHERE]

Configuration des propriétés globales pour Everywhere Server.

CERTIFCATE=

Objet du certificat du serveur pour HTTPS

Objet du certificat. Le certificat doit être enregistré dans le magasin de l'ordinateur, dans le nœud MY (vos certificats).

Par exemple : CERTIFICATE=CN=MyComputerName

ENABLE=

  • 1 : Everywhere Server est exécuté depuis le Runtime de zenon.
  • 0 : Everywhere Server ne démarre pas.

Par défaut : 0

PORT=

Port HTTPS de communication avec Everywhere Server

Par défaut : 8050

WRITE_ACCESS=
  • 0 : Accès en lecture seul autorisé via Everywhere Server.
  • 1 : Autorise l'écriture de variables et l'acquittement d'alarmes.

Par défaut : 0

Pour plus d'informations, reportez-vous au chapitre <Variables du driver>.


Extended Trend [EW-TREND]

Manuel -> Fichier de configuration -> zenon6.ini -> Extended Trend [EW-TREND]

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Entrée

Description

[EW_TREND]

Configuration du module Extended Trend

AUTOSKALIERUNG=

Définit si la fonction de mise à l'échelle automatique est active ou non par défaut.

  • 0 : actif
  • 1 : inactif


Exporter [EXPORT]

Manuel -> Fichier de configuration -> zenon6.ini -> Exporter [EXPORT]

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Entrée

Description

[EXPORT]

Configuration de l'exportation.

AML_CEL_NEU=

Exportation vers un fichier dBase :

  • 0 : au format par défaut
  • 1 : dans les colonnes, conformément à la configuration des listes correspondantes


Paramètres de la fenêtre [PROPERTY]

Manuel -> Fichier de configuration -> zenon6.ini -> Paramètres de la fenêtre [PROPERTY]

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Entrée

Description

[PROPERTY]

Paramètres de la fenêtre des propriétés et de la fenêtre de résultats.

OUTPUTHIDEERRORS=

Suppression de l'affichage des erreurs dans la fenêtre de résultats :

  • 0 : Affichage actif
  • 1 : Pas d'affichage

OUTPUTHIDEMESSAGES=

Suppression de l'affichage des messages dans la fenêtre de résultats :

  • 0 : Affichage actif
  • 1 : Pas d'affichage

OUTPUTHIDEWARNINGS=

Suppression de l'affichage des avertissements dans la fenêtre de résultats :

  • 0 : Affichage actif
  • 1 : Pas d'affichage

SHOWALL=

Affichage des propriétés dans la fenêtre des propriétés :

  • 0 : désactivé
  • 1 : activé

SHOWFAVORITES=

Affichage des favoris dans la fenêtre des propriétés :

  • 0 : désactivé
  • 1 : activé

Si la propriété VIEW= possède la valeur 2, les favoris sont toujours affichés.

SORT=

Tri dans la fenêtre des propriétés :

  • 0 : croissant
  • 1 : décroissant
  • 2 : logique

VIEW=

Affichage des propriétés dans la fenêtre des propriétés :

  • 0 : groupé
  • 1 : toutes
  • 2 : Vue de boîte de dialogue


Adresse IP sous Windows CE [IPADDR]

Manuel -> Fichier de configuration -> zenon6.ini -> Adresse IP sous Windows CE [IPADDR]

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Entrée

Description

[IPADDR]

Uniquement sous Windows CE.

Les fichiers HOSTS n'étant pas pris en charge sous CE, Windows CE établit une liste d'attribution d'adresses IP aux noms d'ordinateurs

Cette liste n'est nécessaire que sur les réseaux dépourvus de DNS. Si un serveur DNS existe, Windows CE identifie de lui-même les noms.
La liste ne peut uniquement être modifiée manuellement, au moyen d'un éditeur de texte. Généralement, seule l'adresse du serveur défini doit être spécifiée.

COMPUTERNAME1=

Attribue une adresse IP à un ordinateur COMPUTERNAME1.
Exemple : MAIN=10.20.10.01 attribue le nom d'ordinateur MAIN à l'adresse IP correspondante.

Attention : Toutes les entrées (noms d'ordinateurs) doivent être indiquées en majuscules, faute de quoi elles ne seront pas reconnues.


Message Control [MESSAGE CONTROL]

Manuel -> Fichier de configuration -> zenon6.ini -> Message Control [MESSAGE CONTROL]

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Entrée

Description

[MESSAGE CONTROL]

Paramètres du module Message Control.

Recommandation : Configuration via les propriétés du groupe Module Message Control dans l'espace de travail, avec trois sous-groupes et les propriétés du groupe Paramètres spécifiques au projet dans le noeud Message Control de l'arborescence des projerts.

GSM_SMS=

Activation du type d'envoi SMS via GMS.

  • 0 : actif
  • <>0 : inactif

Par défaut : 0

The entry in Message32.ini corresponds to the entry [GSM]
On

This is taken into account when importing/exporting the ini settings.

Correspond à la propriété Type d'envoi actif, dans le groupe Message SMS (modem GSM), dans Editor.

GSM_SMS_COM=

Port COM utilisé pour établir la connexion au modem.

Valeur par défaut : vide

Pour cela, activez la propriété Connexion modem (série) dans Editor.

GSM_SMS_PIN=

Code PIN utilisé pour l'authentification auprès du modem.

Valeur par défaut : vide

Pour cela, activez la propriété Code PIN dans Editor.

GSM_SMS_SMSC=

Numéro de téléphone du centre de messagerie du fournisseur GSM.

Valeur par défaut : vide

Pour cela, activez la propriété Numéro du centre SMS dans Editor.

GSM_BULK_DELETE=

Behavior when deleting an SMS:

  • 0 : Messages are deleted with the Index method. Les SMS lus sont supprimés individuellement
  • 1 : Messages are deleted with the Statusflag method. Tous les SMS lus sont supprimés en même temps.
    Remarque : Cette méthode est rapide et plus puissante, mais elle n’est pas prise en charge par tous les modems.

Par défaut : 0

Pour cela, activez la propriété Supprime SMS avec la syntaxe d'état de la commande AT+CMGD dans Editor.

Outlook=

Notification par e-mail via Outlook :

  • 0 : inactif
  • 1 : actif

Par défaut : 0

Correspond à la propriété Type d'envoi actif, dans le groupe Message e-mail (Outlook), dans Editor.

Outlook_Profile=

Nom du profil Outlook utilisé pour l’envoi.

Valeur par défaut : vide

Pour cela, activez la propriété Profil dans Editor.

POP_APOP=

Controls authentication at the incoming mail server with messaging via SMTP/POP.

  • 0 : User (USER) and password (PASS) are used for authentication.
  • 1 : The APOP command is used for authentication instead of user and password.

Par défaut : 0

Correspond à la propriété Utiliser APOP pour l'authentification, dans le groupe Paramètres e-mail (SMTP), dans Editor.

POP_KEEP_MAILS=

Définit si les e-mails lus restent sur le serveur :

  • 0 : les e-mails sont supprimés du serveur après téléchargement.
  • 1 : E-mails remain after they have been fetched from the server.

Par défaut : 0

Remarque : puisque le protocole POP3 n'offre pas la possibilité de filtrer les messages lors de leur téléchargement, tout le courrier entrant est systématiquement téléchargé. Si cette propriété est active, l’utilisation de la mémoire sur le serveur augmente et les performances peuvent diminuer lors de la récupération des e-mails.

Pour cela, activez la propriété Laisser les mails lus sur le serveur dans Editor.

POP_PASSWORD=

Mot de passe de connexion au serveur de courrier entrant (POP3). Le mot de passe est enregistré sous forme chiffrée, et est uniquement déchiffré aux fins de l’authentification.

Doit uniquement être configuré dans Editor.

Valeur par défaut : vide

Correspond à la propriété Mot de passe, dans le groupe Serveur de mails entrants, dans Editor.

POP_POLL_INTERVALL=

Intervalle minimum entre deux demandes POP3, en secondes. La valeur ne doit pas être inférieure à la valeur de consigne du serveur POP3.

  • Minimum : 10
  • Maximum : 4294967295

Par défaut : 60

Pour cela, activez la propriété Temps minimum entre deux requêtes (s) dans Editor.

POP_PORT=

Port d’adressage du serveur POP3.

  • Valeur maximale : 6553

Default for:

  • Insecure connection: 110
  • Connexion sécurisée : 995

Correspond à la propriété Port, dans le groupe Serveur de mails entrants, dans Editor.

POP_SECURITY=

Type de protection de la connexion au serveur POP3.

  • 0 : pas de sécurité
  • 1 : SSLv2 et SSLv3
  • 2 : TLSv1

Par défaut : 0

Correspond à la propriété Encryptage, dans le groupe Serveur de mails entrants, dans Editor.

POP_SERVER=

Adresse du serveur POP3.

Valeur par défaut : vide

Correspond à la propriété Serveur de mails, dans le groupe Serveur de mails entrants, dans Editor.

POP_USER=

Nom d'utilisateur du serveur entrant.

Valeur par défaut : vide

Correspond à la propriété Identifiant utilisateur, dans le groupe Serveur de mails entrants, dans Editor.

SMSGateway=

Notification par SMS via passerelle SMS :

  • 0 : inactif
  • 1 : actif

Par défaut : 0

Correspond à la propriété Type d'envoi actif, dans le groupe Message SMS (passerelle SMS), dans Editor.

SMSGateway_Inbox=

Dossier de réception du serveur de SMS pour l’envoi de SMS.

Valeur par défaut : vide

Pour cela, activez la propriété Dossier de boite d'envoi dans Editor.

SMSGateway_OriginId=

Identification de l’expéditeur pour l’envoi de SMS.

Valeur par défaut : vide

Pour cela, activez la propriété ID expéditeur dans Editor.

SMSGateway_Outbox=

Dossier d’envoi du serveur de SMS pour l’envoi de SMS.

Valeur par défaut : vide

Pour cela, activez la propriété Dossier de boîte d'envoi dans Editor.

SMSGateway_Prefix=

Première lettre du fichier SMS. Doit être unique à chaque projet.

Longueur : 1 caractère

Par défaut : F

Pour cela, activez la propriété Première lettre du fichier SMS dans Editor.

SMSGateway_SemaphorPrefix=

Première lettre du fichier de verrouillage.

Longueur : 1 caractère

Par défaut : S

Pour cela, activez la propriété Première lettre du fichier 'lock/semaphore' dans Editor.

SMSGateway_SmartAlarm=

la gestion intelligente des alarmes est utilisée. Doit être unique à chaque projet.

  • 0 : inactif
  • 1 : actif

Par défaut : 0

Pour cela, activez la propriété Gestion d'alarmes intelligente dans Editor.

SMSGateway_Statusbox=

Dossier des messages d'état de la fonction d'envoi de SMS.

Valeur par défaut : vide

Pour cela, activez la propriété Dossier d'état dans Editor.

SMSGateway_TimeOut=

Délai d’attente en minutes des messages envoyés. Définit le délai au terme duquel un message est considéré comme n’ayant pas été correctement envoyé.

Par défaut : 60

Pour cela, activez la propriété Timeout dans Editor.

SMTP_AUTH=

Authentification sur le serveur de courrier sortant.

  • 0 : pas de sécurité
  • 1 : connexion au serveur POP3 avant l'envoi
  • 2 : SMTP AUTH with signing in to the SMTP server before dispatch

Par défaut : 0

Correspond à la propriété Auhentification pour le serveur de mails sortants, dans le groupe Serveur de mails sortants, dans Editor.

SMTP_OTHER_CREDS=

Définit si le serveur de courrier sortant utilise des données de connexion différentes de celles du serveur de courrier entrant.

  • 0 : inactif
  • 1 : actif

Par défaut : 0

Corresponds à la propriété , dans le groupe Serveur de mails sortants, dans les propriétés du projet pour .

SMTP_PASSWORD=

Données hexadécimales du mot de passe chiffré d'authentification sur le serveur de courrier sortant.

Valeur par défaut : vide

Corresponds à la propriété , dans le groupe Serveur de mails sortants, dans les propriétés du projet pour .

SMTP_OTHER_CREDS=

Sign-in data for SMTP server.

  • 0 : les données de connexion du serveur de courrier entrant sont également utilisées sur le serveur de courrier sortant.
  • 1 : pour l’authentification sur le serveur de courrier sortant, des données d’authentification différentes de celles du serveur de courrier entrant sont utilisées.

Par défaut : 0

Correspond à la propriété Utiliser un 'log' pour les données différent de celui du serveur de mails entrants, dans le groupe Serveur de mails sortants, dans Editor.

SMTP_OUT_ADDR=

Adresse pour les messages envoyés.

Valeur par défaut : vide

Correspond à la propriété Adresse pour les e-mails sortants, dans le groupe Serveur de mails sortants, dans Editor.

SMTP_POP_MAIL=

Email notification via SMTP/POP:

  • 1 : actif
  • 0 : inactif

Par défaut : 0

Correspond à la propriété Type d'envoi actif, dans le groupe Serveur de mails sortants, dans Editor.

SMTP_PORT=

Définit le port utilisé sur le serveur SMTP.

Maximum : 65535

Par défaut : 25

Correspond à la propriété Port, dans le groupe Serveur de mails sortants, dans Editor.

SMTP_SECURITY=

Type de protection de la connexion au serveur SMTP.

  • 0 : pas de sécurité
  • 1 : SSLv2 et SSLv3
  • 2 : TLSv1

Par défaut : 0

Correspond à la propriété Encryptage, dans le groupe Serveur de mails sortants, dans Editor.

SMTP_SERVER=

Serveur SMTP défini par l'utilisateur.

Valeur par défaut : vide

Correspond à la propriété Adresse du serveur, dans le groupe Serveur de mails sortants, dans Editor.

SMTP_SRV_IS_POP=

Cette entrée définit si le serveur POP3 est utilisé en tant que serveur SMTP.

  • 1 : les serveurs POP3 et SMTP sont identiques
  • 0 : les serveurs POP3 et SMTP sont différents

Par défaut : 0

Correspond à la propriété Utiliser le serveur de mails entrants pour les mails sortants, dans le groupe Serveur de mails sortants, dans Editor.

SMTP_SUBJECT=

Objet des messages sortants, permettant de détecter si un e-mail reçu sur le serveur correspond à un type d'envoi précis.

Pour être traités par le système, les e-mails reçus doivent comporter ce texte. Les e-mails ne contenant pas ce sujet ne sont ni transmis au module Message Control, ni supprimés du serveur.

Par défaut : MsgCtrl_Alert:

Correspond à la propriété Sujet pour les e-mails sortants, dans le groupe Serveur de mails sortants, dans Editor.

SMTP_USER=

Nom d'utilisateur enregistré sur le serveur de courrier sortant.

Valeur par défaut : vide

Correspond à la propriété Identifiant utilisateur, dans le groupe Serveur de mails sortants, dans Editor.

SMTP_USER_IS_ADDR=

Définit si le nom d'utilisateur utilisé pour l'authentification sur le serveur de courrier sortant est utilisé en tant qu'adresse d'expéditeur des e-mails envoyés. Is only used if the SMTP_AUTH= entry is not 0.

  • 1 : actif
  • 0 : inactif

Par défaut : 0

Correspond à la propriété Le nom de l'utilisateur est l'adresse pour les e-mails sortants, dans le groupe Serveur de mails sortants, dans Editor.

Speech=

Text-to-Speech notification via modem:

  • 0 : inactif
  • 1 : actif

Par défaut : 0

Correspond à la propriété Modem vocal (Text-to-Speech), dans le groupe Message vocal, dans Editor.

Speech_Name=

Selection of speech and language for text-to-speech.

Assurez-vous que les voix correctes ont été sélectionnées pour Editor :

  • Editor 32 bits : C:\Windows\SysWOW64\Speech\SpeechUX\sapi.cpl
  • Editor 64 bits : C:\Windows\System32\Speech\SpeechUX\sapi.cpl

Valeur par défaut : vide

Correspond à la propriété Voix :, dans le groupe Text-to-Speech, dans Editor.

Speech_Rate=

Vitesse de la voix.

  • Minimum : -10
  • Maximum : 10

Par défaut : 0

Correspond à la propriété Vitesse speech, dans le groupe Text-to-Speech, dans Editor.

Speech_Volume=

Volume de la voix. Ce nombre est une valeur, en pourcentage, de la valeur maximale pour la voix sélectionnée.

  • Maximum : 100
  • Minimum : 0 nombre issu du système d'exploitation, sans modification

Par défaut : 0

Correspond à la propriété Volume, dans le groupe Text-to-Speech, dans Editor.

Subject=

Identifiant unique que doivent contenir les e-mails entrants pour être traités par le module de Gestion des messages.

Par défaut : MsgCtrl_Alert:

Correspond à la propriété Sujet (ID), dans le groupe Message e-mail (Outlook), dans Editor.

Telephone=

Notification by means of audio file via modem:

  • 0 : inactif
  • 1 : actif

Par défaut : 0

Correspond à la propriété Modem vocal (fichier audio), dans le groupe Message vocal, dans Editor.

Telephone_IgnoreDisconnect=

Comportement en cas d'interruption de la connexion :

  • 1 : une déconnexion (par ex., le destinataire met un terme à l'appel) est ignorée et le message est relu dans son intégralité avant la fermeture de la ligne.
  • 0 : la transmission du message est abandonnée lors de l'interruption de la connexion.

Par défaut : 0

Correspond à la propriété Ignorer la déconnexion, dans le groupe Message vocal, dans Editor.

Telephone_Line=

Entry of the modem to be used. Ces éléments doivent déjà être installés sur l'ordinateur.

Correspond à la propriété Nom ligne, dans le groupe Paramètres téléphone, dans Editor.

Telephone_LineId=

Identifiant de périphérique généré automatiquement et identifiant le modem sélectionné. En présence de plusieurs modems avec le même nom, permet de distinguer les périphériques.

Attention : Fournie uniquement à titre informatif. Il ne doit pas être modifié !

Correspond à la propriété ID ligne, dans le groupe Paramètres téléphone, dans Editor.

Telephone_Timeout=

Délai en minutes au terme duquel une condition existante doit être annulée et fermée. Le délai doit être plus long que le délai nécessaire à la lecture et la confirmation du message.

Par défaut : 1

Correspond à la propriété Time-out [min], dans le groupe Message vocal, dans Editor.

Telephone_WelcomeMessageCount=

Nombre de répétitions pour le texte d’accueil.

Par défaut : 5

Correspond à la propriété Répéter le texte d'accueil, dans le groupe Message vocal, dans Editor.

VOIP_AUDIO=

Voice message as audio file by means of Voice over IP:

  • 0 : inactif
  • 1 : Voix par IP (Fichier audio)

Par défaut : 0

Correspond à la propriété Voix par IP (Fichier audio), dans le groupe Message vocal, dans Editor.

Remarque :

Les conditions suivantes doivent être satisfaites pour que le service VoIP soit utilisable :

  • Le fournisseur de service VoIP doit prendre en charge les protocoles SIP et RTP.
  • Les ports correspondants doivent être ouverts au niveau du pare-feu :
    SIP (par défaut : 5060)
    RTP (par défaut : 4000)
    RTCP (par défaut : 4001)

VOIP_DOMAIN=

Server address of the VoIP provider.

Par défaut : (vide)

Correspond à la propriété Adresse du serveur, dans le groupe Voix par IP, dans Editor.

VOIP_PASSWORD=

Password for VoIP access.

Is saved in encrypted form and must only be changed in the user interface.

Par défaut : (vide)

Correspond à la propriété Mot de passe, dans le groupe Voix par IP, dans Editor.

VOIP_RTP=

Numéro du port RTP VoIP.

Par défaut : 4000

Correspond à la propriété Port RTP, dans le groupe Voix par IP, dans Editor.

VOIP_SIP=

Numéro du port SIP VoIP.

Par défaut : 5060

Correspond à la propriété Port SIP, dans le groupe Voix par IP, dans Editor.

VOIP_TTS=

Voice message as text-to-speech by means of voice over IP:

  • 0 : inactif
  • 1 : Voix par IP (Text-to-Speech)

Par défaut : 0

Correspond à la propriété Voix par IP (Text-to-Speech), dans le groupe Message vocal, dans Editor.

Remarque :

Les conditions suivantes doivent être satisfaites pour que le service VoIP soit utilisable :

  • Le fournisseur de service VoIP doit prendre en charge les protocoles SIP et RTP.
  • Les ports correspondants doivent être ouverts au niveau du pare-feu :
    SIP (par défaut : 5060)
    RTP (par défaut : 4000)
    RTCP (par défaut : 4001)

VOIP_USER=

User name for VoIP access.

Par défaut : (vide)

Correspond à la propriété Identifiant utilisateur, dans le groupe Voix par IP, dans Editor.

info Informations

Some properties can accept the values of other properties. You always save the value that was entered last. The vale of the ini entries therefore does not always need to correspond to the values of the properties displayed in the Editor. Les propriétés suivantes sont disponibles :

  • SMTP_SERVER= -> Adresse du serveur
  • SMTP_USER= -> Identifiant utilisateur
  • SMTP_PASSWORD= -> Mot de passe
  • SMTP_OUT_ADDR= -> Adresse pour les e-mails sortants


Réseau [NETZ]

Manuel -> Fichier de configuration -> zenon6.ini -> Réseau [NETZ]

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Entrée

Description

[NETZ]

Configuration du fonctionnement du réseau

ANALYZER2_SERVER_TIMEOUT_SEC=

Délai d'attente de connexion lors de l'exécution de la Analyzer Report Execution Function.

Valeur en secondes.

  • Minimum : 1
  • Maximum : 86400

Par défaut : 100

Valide uniquement en cas de connexion à Analyzer Server version 2.XX. À partir de la version 7.50, le délai d'attente est configuré à l'aide des options ZAMS.

ENCRYPTION_PWD

Ici, le mot de passe est saisi après avoir été créé ; il est chiffré automatiquement. Le mot de passe est chiffré par l'ordinateur ; ainsi, la saisie d'un mot de passe identique sur des ordinateurs différents entraîne l'affichage de contenus différents pour cette entrée.

Remarque : Cette entrée .INI est également valide pour zenon Web Client.

NET_CONNECTCOUNT=

Nombre de tentatives d'établissement d'une connexion TCP/IP au client.

  • 0 :

Par défaut = 0 (nouvelle tentative immédiate)

NET_CONNECTWAIT_MSEC=

Délai d'attente après l'échec d'une tentative de connexion TCP/IP du client, en millisecondes.
Par défaut = 30000

NET_PROXYPORT=

Port de connexion entre zenon Web Client et zenon Web Server: zenon Web Server écoute le port et zenon Web Client se connecte à celui-ci.
Par défaut :

  • TCP : 1102
  • HTTP : 8080

NET_TIMEOUT_MSEC=

Délai d'attente des communications du réseau, en millisecondes.
Par défaut = 30000

NET_NETMODULE_TIMEOUT_MSEC=

Délai d'attente des communications du module, en millisecondes. N'est pas utilisé pour une demande de module spontanée sur le client ou le serveur redondant. Si aucune réponse n'est reçue du serveur dans le délai défini, l'action est annulée.

Par défaut = 30000

Exemples : Affichage des données d'archives pour le module Extended Trend, la fonction de gestion des recettes, la liste de mots de passe, etc.)

POLLING_INTERVALL=

Délai d'attente, en millisecondes, au terme duquel le zenon Web Client envoie une nouvelle demande HTTP GET au zenon Web Server si le buffer d'une connexion est vide.

Par défaut : 2000

PWD_VALIDATION=

Empreinte numérique permettant de vérifier si les données utilisées pour le chiffrement ont été modifiées.

Remarque : Cette entrée .INI est également valide pour zenon Web Client.

QUESIZE=

Nombre maximum d'objets dans la file d'attente sur le réseau.
Par défaut : 5000

TIMESYNCH=

Synchronisation du temps :

  • 1 : = l'heure est comparée à celle d'un projet de serveur (par défaut).
  • 0 : = l'heure n'est pas comparée (pour la redondance circulaire, par exemple)

USE_ENCRYPTION=

Activer ou désactiver le chiffrement :

0 : inactif

1 : actif

Remarque : Cette entrée .INI est également valide pour zenon Web Client.

USEIPV6=

Réglemente l'utilisation du protocole IPv6.

1 : active, toutes les connexions TCP sont établies avec le protocole IPv6.

0 : inactive, toutes les connexions TCP sont établies avec le protocole IPv4.

Le double fonctionnement n'est pas autorisé.

Remarque : si cette option est modifiée, tous les procédés zenon en cours doivent être redémarrés. Ceci concerne en particulier zenAdminSrv, zenSysSrv, zenLogSrv et zenDBSrv.

Les composants suivants ne sont pas affectés par le paramètre :

  • Communications du driver avec les automates
  • Communications du protocole dans les plugins de Process Gateway
  • Communications de l'espace de travail et du Runtime dans zenon Logic

Attention : fonctionne uniquement avec les versions 7 et ultérieures. Aucune version avant la version 7 ne peut être démarrée si cette option est active.

WAN=

Connexion du client au serveur :

  • 0 : LAN (par défaut)
  • 1 : WAN

WAN_IDLETIME=

Délai d'inactivité du WAN.
La connexion au serveur ou au client est fermée après ce délai.
Par défaut = 30000 ms


Paramètres du chemin [PATH]

Manuel -> Fichier de configuration -> zenon6.ini -> Paramètres du chemin [PATH]

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Entrée

Description

[PATH]

Configuration des chemins d'accès.

BILDER=

Chemin d'accès des fichiers BLD.

BITMAP=

Fichiers graphiques autorisés. Les formats suivants sont possibles :

  • *.bmp
  • *.jpg
  • *.png
  • *.tif
  • *.wmf
  • *.xaml
  • *.cdwpf

DLL=

Chemin d'accès des fichiers DLL (répertoire d'installation des programmes).

EDOC_PATH =

Chemin du document EPLAN (programme de documentation électronique).

Par exemple : EDOC_PATH=C:\\Programs\EPLAN\View\1.7.11\BIN\W3u.exe

EXPORTARV=

Chemin des archives transférées par l'utilisateur (*.arv)

GRAPHIK=

Chemin des fichiers graphiques pour l'importation de graphiques.

ONLINE_HELP=

Chemin d'accès des fichiers CHM dans le Runtime.

VBF30=

Chemin d'accès de la base de données du projet actuel.

WEB_PROJECT_PATH=

Dossier d'enregistrement des fichiers du Runtime de Web Client. Si cette entrée n'est pas disponible, le dossier %temp%\zenWebCli est utilisé.


Configuration du port [LISTENING_SOCKETS]

Manuel -> Fichier de configuration -> zenon6.ini -> Configuration du port [LISTENING_SOCKETS]

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Entrée

Description

[LISTENING_SOCKETS]

Configuration des ports d'écoute pour les applications. Les modifications apportées au fichier zenon6.ini doivent être transférées à tous les autres ordinateurs inclus dans la communication.

Attention :

  • Une modification peut entraîner le redémarrage de l'ordinateur.
  • Tous les ordinateurs avec lesquels ont lieu des communications doivent comporter les mêmes paramètres.
  • Ces paramètres ne sont pas disponibles sous Windows CE.
  • Les paramètres enregistrés dans le fichier zenon6.ini correspondant sont utilisés dans Runtime.

Recommandation : Configurez ces paramètres à l'aide de l'outil Startup Tool.

XXX_CUST_PORT=

XXX représente l'application correspondante.

Numéro de port alternatif. Effectif uniquement si XXX_PORT_CASE=1.

XXX_BIND_ADDRESS=

XXX représente l'application correspondante.

Adresse IP fixe. Effectif uniquement si XXX_BIND_CASE=1.

XXX_BIND_ADAPTER=

XXX représente l'application correspondante.

Nom du paramètre réseau. Effectif uniquement si XXX_BIND_CASE=2.

XXX_BIND_CASE=

XXX représente l'application correspondante.

Type de connexion :

  • 0 : tous les adaptateurs
  • 1 : via l'adresse
  • 2 : via l'adaptateur

Remarque : Pour 1 et 2, l'adresse correspondante doit être configurée à l'aide de l'entrée correspondante.

XXX_PORT_CASE=

XXX représente l'application correspondante.

Type d'affectation de port :

  • 0 : Port par défaut. Numéro de port standard.
  • 1 : Port personnalisé. Numéro de port individuel.

Remarque : Pour 1, l'adresse correspondante doit être configurée à l'aide de l'entrée correspondante.

Applications et paramètres par défaut

Service d'administration

ADMINSRV_CUST_PORT=

Numéro de port alternatif pour le service Administrator Service. Effectif uniquement si ADMINSRV_PORT_CASE=1.

Par défaut : 50777

ADMINSRV_BIND_ADDRESS=

Adresse IP fixe pour le service Administrator Service. Effectif uniquement si ADMINSRV_BIND_CASE=1.

Par défaut : 0.0.0.0

ADMINSRV_BIND_ADAPTER=

Nom de l'adaptateur réseau pour le service Administrator Service. Effectif uniquement si ADMINSRV_BIND_CASE=2.

Par défaut : Pas d'entrée (vide).

ADMINSRV_BIND_CASE=

Type de connexion pour le service Administrator Service.

  • 0 : tous les adaptateurs
  • 1 : via l'adresse
  • 2 : via l'adaptateur

Par défaut : 0

Remarque : Pour 1 et 2, l'adresse correspondante doit être configurée à l'aide de l'entrée correspondante.

ADMINSRV_PORT_CASE=

Type d'affectation de port pour le service Administrator Service.

  • 0 : Port par défaut. Numéro de port standard.
  • 1 : Port personnalisé. Numéro de port individuel.

Par défaut : 0

Remarque : Pour 1, l'adresse correspondante doit être configurée à l'aide de l'entrée correspondante.

Service Analyzer Connector Service

ANACONSRV_CUST_PORT=

Numéro de port alternatif du service Analyzer Connector Service. Effectif uniquement si ANACONSRV_PORT_CASE=1.

Par défaut : 50778

ANACONSRV_BIND_ADDRESS=

Adresse IP fixe pour le service Analyzer Connector Service. Effectif uniquement si ANACONSRV_BIND_CASE=1.

Par défaut : 0.0.0.0

ANACONSRV_BIND_ADAPTER=

Nom de l'adaptateur réseau pour le service Analyzer Connector Service. Effectif uniquement si ANACONSRV_BIND_CASE=2.

Par défaut : Pas d'entrée (vide).

ANACONSRV_BIND_CASE=

Type de connexion pour le service Analyzer Connector Service.

  • 0 : tous les adaptateurs
  • 1 : via l'adresse
  • 2 : via l'adaptateur

Par défaut : 0

Remarque : Pour 1 et 2, l'adresse correspondante doit être configurée à l'aide de l'entrée correspondante.

ANACONSRV_PORT_CASE=

Type d'affectation de port pour le service Analyzer Connector Service.

  • 0 : Port par défaut. Numéro de port standard.
  • 1 : Port personnalisé. Numéro de port individuel.

Par défaut : 0

Remarque : Pour 1, l'adresse correspondante doit être configurée à l'aide de l'entrée correspondante.

Service Analyzer License

ANALICSRV_CUST_PORT

Numéro de port alternatif du service Analyzer License Service. Effectif uniquement si ANALICSRV_PORT_CASE=1.

Par défaut : 50779

ANALICSRV_BIND_ADDRESS=

Adresse IP fixe pour le service Analyzer License Service. Effectif uniquement si ANALICSRV_BIND_CASE=1.

Par défaut : 0.0.0.0

ANALICSRV_BIND_ADAPTER=

Nom de l'adaptateur réseau pour le service Analyzer License Service. Effectif uniquement si ANALICSRV_BIND_CASE=2.

Par défaut : Pas d'entrée (vide).

ANALICSRV_BIND_CASE=

Type de connexion pour le service Analyzer License Service.

  • 0 : tous les adaptateurs
  • 1 : via l'adresse
  • 2 : via l'adaptateur

Par défaut : 0

Remarque : Pour 1 et 2, l'adresse correspondante doit être configurée à l'aide de l'entrée correspondante.

ANALICSRV_PORT_CASE=

Type d'affectation de port pour le service Analyzer License Service.

  • 0 : Port par défaut. Numéro de port standard.
  • 1 : Port personnalisé. Numéro de port individuel.

Par défaut : 0

Remarque : Pour 1, l'adresse correspondante doit être configurée à l'aide de l'entrée correspondante.

Service de base de données

DBSRV_CUST_PORT=

Numéro de port alternatif pour le service DB Service. Effectif uniquement si DBSRV_PORT_CASE=1.

Par défaut : 1103

DBSRV_BIND_ADDRESS=

Adresse IP fixe pour le service DB Service. Effectif uniquement si DBSRV_BIND_CASE=1.

Par défaut : 0.0.0.0

Par défaut : 0.0.0.0

DBSRV_BIND_ADAPTER=

Nom de l'adaptateur réseau pour le service DB Service. Effectif uniquement si DBSRV_BIND_CASE=2.

Par défaut : Pas d'entrée (vide).

DBSRV_BIND_CASE=

Type de connexion pour le service DB Service.

  • 0 : tous les adaptateurs
  • 1 : via l'adresse
  • 2 : via l'adaptateur

Par défaut : 0

Remarque : Pour 1 et 2, l'adresse correspondante doit être configurée à l'aide de l'entrée correspondante.

DBSRV_PORT_CASE=

Type d'affectation de port pour le service DB Service.

  • 0 : Port par défaut. Numéro de port standard.
  • 1 : Port personnalisé. Numéro de port individuel.

Par défaut : 0

Remarque : Pour 1, l'adresse correspondante doit être configurée à l'aide de l'entrée correspondante.

Service de journalisation

LOGSRV_CUST_PORT=

Numéro de port alternatif pour le service Logging Service. Effectif uniquement si LOGSRV_PORT_CASE=1.

Par défaut : 50780

LOGSRV_BIND_ADDRESS=

Adresse IP fixe pour le service Logging Service. Effectif uniquement si LOGSRV_BIND_CASE=1.

Par défaut : 0.0.0.0

LOGSRV_BIND_ADAPTER=

Nom de l'adaptateur réseau pour le service Logging Service. Effectif uniquement si LOGSRV_BIND_CASE=2.

Par défaut : Pas d'entrée (vide).

LOGSRV_BIND_CASE=

Type de connexion pour le service Logging Service.

  • 0 : tous les adaptateurs
  • 1 : via l'adresse
  • 2 : via l'adaptateur

Par défaut : 0

Remarque : Pour 1 et 2, l'adresse correspondante doit être configurée à l'aide de l'entrée correspondante.

LOGSRV_PORT_CASE=

Type d'affectation de port pour le service Logging Service.

  • 0 : Port par défaut. Numéro de port standard.
  • 1 : Port personnalisé. Numéro de port individuel.

Par défaut : 0

Remarque : Pour 1, l'adresse correspondante doit être configurée à l'aide de l'entrée correspondante.

Service réseau

NETSRV_CUST_PORT=

Numéro de port alternatif pour le service Network Service. Effectif uniquement si NETSRV_PORT_CASE=1.

Par défaut : 1100

NETSRV_BIND_ADDRESS=

Adresse IP fixe pour le service Network Service. Effectif uniquement si NETSRV_BIND_CASE=1.

Par défaut : 0.0.0.0

NETSRV_BIND_ADAPTER=

Nom de l'adaptateur réseau pour le service Network Service. Effectif uniquement si NETSRV_BIND_CASE=2.

Par défaut : Pas d'entrée (vide).

NETSRV_BIND_CASE=

Type de connexion pour le service Network Service.

  • 0 : tous les adaptateurs
  • 1 : via l'adresse
  • 2 : via l'adaptateur

Par défaut : 0

Remarque : Pour 1 et 2, l'adresse correspondante doit être configurée à l'aide de l'entrée correspondante.

NETSRV_PORT_CASE=

Type d'affectation de port pour le service Network Service.

  • 0 : Port par défaut. Numéro de port standard.
  • 1 : Port personnalisé. Numéro de port individuel.

Par défaut : 0

Remarque : Pour 1, l'adresse correspondante doit être configurée à l'aide de l'entrée correspondante.

Service SNMP Trap

SNMPTRAPSRV_CUST_PORT=

Numéro de port alternatif pour le service SNMP Trap Service. Effectif uniquement si SNMPTRAPSRV_PORT_CASE=1.

Par défaut : 50782

SNMPTRAPSRV_BIND_ADDRESS=

Adresse IP fixe pour le service SNMP Trap Service. Effectif uniquement si SNMPTRAPSRV_BIND_CASE=1.

Par défaut : 0.0.0.0

SNMPTRAPSRV_BIND_ADAPTER=

Nom de l'adaptateur réseau pour le service SNMP Trap Service. Effectif uniquement si SNMPTRAPSRV_BIND_CASE=2.

Par défaut : Pas d'entrée (vide).

SNMPTRAPSRV_BIND_CASE=

Type de connexion pour le service SNMP Trap Service.

  • 0 : tous les adaptateurs
  • 1 : via l'adresse
  • 2 : via l'adaptateur

Par défaut : 0

Remarque : Pour 1 et 2, l'adresse correspondante doit être configurée à l'aide de l'entrée correspondante.

SNMPTRAPSRV_PORT_CASE=

Type d'affectation de port pour le service SNMP Trap Service.

  • 0 : Port par défaut. Numéro de port standard.
  • 1 : Port personnalisé. Numéro de port individuel.

Par défaut : 0

Remarque : Pour 1, l'adresse correspondante doit être configurée à l'aide de l'entrée correspondante.

Service de transfert

SYSSRV_CUST_PORT=

Numéro de port alternatif pour le service Transport Service. Effectif uniquement si SYSSRV_PORT_CASE=1.

Par défaut : 1101

SYSSRV_BIND_ADDRESS=

Adresse IP fixe pour le service Transport Service. Effectif uniquement si SYSSRV_BIND_CASE=1.

Par défaut : 0.0.0.0

SYSSRV_BIND_ADAPTER=

Nom de l'adaptateur réseau pour le service Transport Service. Effectif uniquement si SYSSRV_BIND_CASE=2.

Par défaut : Pas d'entrée (vide).

SYSSRV_BIND_CASE=

Type de connexion pour le service Transport Service.

  • 0 : tous les adaptateurs
  • 1 : via l'adresse
  • 2 : via l'adaptateur

Par défaut : 0

Remarque : Pour 1 et 2, l'adresse correspondante doit être configurée à l'aide de l'entrée correspondante.

SYSSRV_PORT_CASE=

Type d'affectation de port pour le service Transport Service.

  • 0 : Port par défaut. Numéro de port standard.
  • 1 : Port personnalisé. Numéro de port individuel.

Par défaut : 0

Remarque : Pour 1, l'adresse correspondante doit être configurée à l'aide de l'entrée correspondante.

WEB Service Classic

WEBSRV_CUST_PORT=

Numéro de port alternatif pour le service WEB Service Classic. Effectif uniquement si WEBSRV_PORT_CASE=1.

Par défaut : 1102

WEBSRV_BIND_ADDRESS=

Adresse IP fixe pour le service WEB Service Classic. Effectif uniquement si WEBSRV_BIND_CASE=1.

Par défaut : 0.0.0.0

WEBSRV_BIND_ADAPTER=

Nom de l'adaptateur réseau pour le service WEB Service Classic. Effectif uniquement si WEBSRV_BIND_CASE=2.

Par défaut : Pas d'entrée (vide).

WEBSRV_BIND_CASE=

Type de connexion pour le service WEB Service Classic.

  • 0 : tous les adaptateurs
  • 1 : via l'adresse
  • 2 : via l'adaptateur

Par défaut : 0

Remarque : Pour 1 et 2, l'adresse correspondante doit être configurée à l'aide de l'entrée correspondante.

WEBSRV_PORT_CASE=

Type d'affectation de port pour le service WEB Service Classic.

  • 0 : Port par défaut. Numéro de port standard.
  • 1 : Port personnalisé. Numéro de port individuel.

Par défaut : 0

Remarque : Pour 1, l'adresse correspondante doit être configurée à l'aide de l'entrée correspondante.

WEB Service Tunneling

WEBSRVTNL_CUST_PORT=

Numéro de port alternatif pour le service WEB Service Tunneling. Effectif uniquement si WEBSRVTNL_PORT_CASE=1.

Par défaut : 8080

WEBSRVTNL_BIND_ADDRESS=

Adresse IP fixe pour le service WEB Service Tunneling. Effectif uniquement si WEBSRVTNL_BIND_CASE=1.

Par défaut : 0.0.0.0

WEBSRVTNL_BIND_ADAPTER=

Nom de l'adaptateur réseau pour le service WEB Service Tunneling. Effectif uniquement si WEBSRVTNL_BIND_CASE=2.

Par défaut : Pas d'entrée (vide).

WEBSRVTNL_BIND_CASE=

Type de connexion pour le service WEB Service Tunneling.

  • 0 : tous les adaptateurs
  • 1 : via l'adresse
  • 2 : via l'adaptateur

Par défaut : 0

Remarque : Pour 1 et 2, l'adresse correspondante doit être configurée à l'aide de l'entrée correspondante.

WEBSRVTNL_PORT_CASE=

Type d'affectation de port pour le service WEB Service Tunneling.

  • 0 : Port par défaut. Numéro de port standard.
  • 1 : Port personnalisé. Numéro de port individuel.

Par défaut : 0

Remarque : Pour 1, l'adresse correspondante doit être configurée à l'aide de l'entrée correspondante.

Vue d'ensemble des ports standard

Application | Port standard
zenon |
Network Service | 1100
Transport Service | 1101
WEB Service Classic | 1102
DB Service | 1103
SQL Browser Service, (pour le développement distribué dans Editor) | 1434
zenAdminSrv.exe | 50777
Logging Service | 50780
zenVNC.exe | 5600 - 5610
SNMP Trap Service | 50782
zenLicenseSr | 50783
zenLicenseStub | 50789
zenLicenseCenter | 50689
WEB Service Tunneling | 8080
zenon Logic |
Le port attribué à zenon Logic ou straton dépend du projet et du service. Par ex. : Le premier projet zenon Logic occupe les ports 1200 et 9000, le deuxième projet occupe les ports 1201 et 9001, et ainsi de suite. | 1200 - 1210 4500 - 4510 7000 - 7010 9000 - 9010
zenon Analyzer |
Administration Service | 50777
Analyzer Connector Service | 50778
Analyzer License Service | 50779
ZAMS | 50781
Drivers |
Driver Simulation | 6000 - 6020
Process Gateway OPC Server | 135
Process Gateway SNMP | 161
Process Gateway Modbus | 502
Process Gateway IEC60870-5 104 slave | 2402
Process Gateway DEC | 5555
Process Gateway DNP3 Slave | 20000


Interface de programmation [Add-Ins], [PCE], [VBA] et [VSTA]

Manuel -> Fichier de configuration -> zenon6.ini -> Interface de programmation [Add-Ins], [PCE], [VBA] et [VSTA]

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Add-ins

Entrée

Description

[AddIns]

Settings for the Add-In Framework.

ON=

Activate Add-In Framework:

  • 0 : désactivé
  • 1 : activé

Par défaut : 1

Conditions requises : VBA doit être activé

PCE

Remarque : À partir de la version 7.20, le module PCE n'est plus pris en charge et ne sera plus affiché dans l'arborescence des modules de zenon. Lors de la conversion de projets contenant des tâches PCE depuis des versions antérieures à la version 7.20, le nœud PCE sera affiché pour ces projets. PCE ne fera plus l'objet de développements ou de documentations ultérieures.

Les paramètres INI sont toujours utilisables.

Recommandation : Veuillez utiliser zenon Logic, plutôt que PCE

Entrée

Description

[PCE]

Paramètres de Process Control Engine.

ON=

Activer PCE :

  • 0 : désactivé
  • 1 : activé

Conditions requises : VBA doit être activé

VBA

Entrée

Description

[VBA]

Paramètres pour Visual Basic for Applications.

BREAK=

Activation des boites de message VBA pour les erreurs demandant si le débogage doit être exécuté dans le Runtime.

  • 1 : activé (par défaut)
  • 0 : désactivé

EIN=

Activer VBA :

  • 0 : désactivé
    VBA n'est pas initialisé et n'est pas chargé. Par conséquent, aucun IDE ne peut être affiché et aucun assistant ne peut être exécuté.
    VSTA est également désactivé.
    Toutefois, l'interface COM peut être initialisée.
  • 1 : activé
    VBA est initialisé et chargé.

EVENT=

Activer les événements VBA :

  • 0 : désactivé
    Les macros VBA liées ne sont pas exécutées.
    Les événements COM ne sont pas déclenchés.
  • 1 : activé
    Les macros VBA sont exécutées et les événements COM sont déclenchés.

UPDATE=

La boîte de dialogue de mise à jour de l'assistant est appelée à chaque démarrage d'Editor :

  • 0 : désactivé
  • 1 : activé

[VBA_TOOLBAR]

Affectation des symboles de la barre d'outils Macros aux macros VBA.

VBABUTTON_x=

Affectation des macros aux symboles de la liste de macros. x représente un nombre compris entre 0 et 4. Jusqu'à cinq macros peuvent être liées à des symboles : VBABUTTON_0 À VBABUTTON_4.

Par exemple : VBAButton_2=ActivateStartupScreen

Recommandation : La configuration s'effectue au moyen de la barre d'outils de la liste de macros.

VSTA

Entrée

Description

[VSTA]

Paramètres pour VSTA

CSHARP=

Sélection du langage de programmation VSTA pour Editor :

  • 1 : c' (par défaut)
  • 0 : VB.NET

LOADED=

Chargement de l'extension VSTA :

  • 1 : l'extension VSTA pour Editor est chargée au démarrage
  • 0 : au démarrage d'Editor, une boîte de dialogue demande si l'extension VSTA doit être chargée.

Remarque : si une extension défectueuse entraîne le blocage d'Editor, l'entrée est automatiquement définie sur 0.

ON=

Activer VSTA :

  • 1 : VSTA activé (par défaut)
  • 0 : VSTA désactivé


Paramètres du module Remote Transport [SYS_REMOTE]

Manuel -> Fichier de configuration -> zenon6.ini -> Paramètres du module Remote Transport [SYS_REMOTE]

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Entrée

Description

[SYS_REMOTE]

Administration des paramètres de Remote Transport sur le réseau.

Pour la configuration de Diagnosis Server, reportez-vous au chapitre :

Diagnosis Server [SYS_REMOTE] and [LOGGING_SYSTEM].

AUTORUN=

Nom et chemin du programme démarré avec zenSysSrv.

BROWSE=

Affichage de la fenêtre de navigateur dans le module zenSysSrv sous Windows CE :

  • 0 : Pas d'affichage
  • 1 : Affichage

Remarque : La fenêtre n'est pas affichée si le synoptique est trop petit.

CONFIG=

Chaîne de configuration de zenSysSrv . Remote Transport et le système de diagnostic utilisent la même configuration de serveur jusqu'à la version 6.51 SP0 incluse. Pour les détails de configuration, en particulier pour les versions antérieures à la version 7, reportez-vous au chapitre : Diagnosis Server [SYS_REMOTE] and [LOGGING_SYSTEM].

La chaîne comprend les éléments suivants : DEVICE=[Device];HOST=[Hostname];PORT=[Port];TIMEOUT=[Timeout].

  • DEVICE: définit le type de communication utilisé.
    Les types TCP/IP et série sont disponibles.
  • HOST: défini sur le nom de l'ordinateur du module Diagnosis Server.
  • PORT: indique le port utilisé.
  • TIMEOUT: fournit le délai d'expiration de la connexion, en secondes.
  • BAUD: indique la vitesse d'une connexion série.

Configuration du PC :

  • DEVICE=TCP/IP
  • HOST=localhost
  • PORT=1101
  • TIMEOUT=10

Configuration de CE :

  • DEVICE=COM1
  • BAUD=115200

INIT=

Détermine, avec Windows CE, les événements qui se produisent au démarrage de l'interface utilisateur de zeSysSrv :

  • 0 : arrêt
  • 1 : démarrage
  • [autre valeur] : afficher uniquement l'interface utilisateur


Mot de passe du module Remote Transport [TRANSPASS]

Manuel -> Fichier de configuration -> zenon6.ini -> Mot de passe du module Remote Transport [TRANSPASS]

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Entrée

Description

[TRANSPASS]

Mot de passe de Remote Transport (sur la station distante).

Remarque : Configuration de l'ordinateur de développement dans le fichier project.ini, dans la section Remote Transport [ED_REMOTE], [DIRLIST] et [TRANSPASS].

FIX=

Mot de passe :

  • 1 - Enregistré
  • 0 - Non enregistré

KEY=

Mot de passe pour le module Remote Transport.

KEYCRYPT=

Mot de passe chiffré et mémorisé pour le module Remote Transport.

Utilisé uniquement si KEY= est vide.

Par défaut à partir de la version 7.20. La commutation est effectuée automatiquement en cas de conversion d'un projet vers la version 7.20. La commutation doit être effectuée manuellement sur le système cible.


Runtime [RT]

Manuel -> Fichier de configuration -> zenon6.ini -> Runtime [RT]

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Entrée

Description

[RT]

Paramètres du Runtime.

DRIVER_QUE=

Taille de la file d'attente de transfert de données vers le Runtime.

  • 0 : illimité

DRIVER_COUNT=

Entrée TMP pour le driver correspondant et le Runtime. Durée de cycle du thread dans le driver qui envoie les données au Runtime de zenon.

Par exemple : DRIVER_COUNT=100

DYNRAHMEN=

Définit si les bordures sont affichées autour des éléments dynamiques dans le Runtime.

  • 0 : Affichage désactivé
  • 1 : Affichage

RECT_ANZ=

Paramètres des mesures d'optimisation.

Les éléments des synoptiques devant être affichés sont réunis dans des rectangles avant d'être représentés. Une fois la valeur définie atteinte, les nouvelles plages de caractères sont ajoutées au premier rectangle.

Par exemple : RECT_ANZ=50


SCADA Runtime connector [ZRSCONNECTOR]

Manuel -> Fichier de configuration -> zenon6.ini -> SCADA Runtime connector [ZRSCONNECTOR]

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Entrée | Description
[ZRSCONNECTOR] | Settings for the SCADA Runtime connector.
ENCRYPTION_PWD= | Encrypted password for the SCADA Runtime connector. Il ne doit pas être modifié ! Changes are made using the zenon Startup Tool.


Symboles [SYMBOL]

Manuel -> Fichier de configuration -> zenon6.ini -> Symboles [SYMBOL]

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Entrée

Description

[SYMBOL]

SUBSTITUTE=

Substitution lors de l'insertion d'un symbole dans un synoptique :

  • 1 : La fonction de substitution est appliquée.
  • 0 : Pas de substitution.

Par défaut : 1

Remarque : Cette fonction agit uniquement sur les éléments liés à une variable au moins.


Simulation [SIMULATOR]

Manuel -> Fichier de configuration -> zenon6.ini -> Simulation [SIMULATOR]

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Entrée

Description

[SIMULATOR]

BACKUP=

Sauvegarde des valeurs HD sur un disque dur :

  • 0 : pas de sauvegarde
  • 1 : sauvegarde sur le disque dur (par défaut)

DIAG_LEVEL=

Définition des actions consignées dans le fichier d'erreur :

  • 0 : pas de journalisation (par défaut)
  • 1 : Erreur d'écriture (écriture de valeur prescrite)

DWBEGIN=

Début des adresses de variables pour DWORD.

DWEND=

Fin des adresses de variables pour DWORD.

FLOATBEGIN=

Début des adresses de variables pour FLOAT.

FLOATEND=

Fin des adresses de variables pour FLOAT.

MAXHDVALS=

Définit la zone d'offset maximale moins 1 pour les données HD. Pour les chaînes HD, l'offset doit systématiquement être inférieur de 4 à cette valeur.

Par défaut : 1024

OFFSET=

Offset des variables de commande dans le simulateur.

Par défaut : 0


Serveur de terminal [TERMINAL]

Manuel -> Fichier de configuration -> zenon6.ini -> Serveur de terminal [TERMINAL]

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Entrée

Description

[TERMINAL]

Paramétrage pour Terminal Server

CLIENT=

Runtime sur une instance Terminal Server.

Valeurs possibles :

  • 0 : Runtime can only be started once per terminal server session. L'utilisation du serveur de terminaux n'est pas possible.
  • 1 : Terminal Server est utilisé. Le Runtime peut être démarré plusieurs fois, tous les paramètres pour les opérations sur le serveur de terminaux sont automatiquement définis par le Runtime.

Par défaut : 0

CLIENT_NO_FILE_ALIGN=

Paramètres de synchronisation du client avec le serveur :

  • 0 : les projets sont toujours rechargés par tous les clients.
  • 1 : Synchronisation sélective active.
    Seul le client zenon démarré dans la session de console du serveur de terminal synchronise les fichiers du Runtime avec le serveur zenon.


Drivers

Manuel -> Fichier de configuration -> zenon6.ini -> Drivers

Paramétrage du driver.

Autres sujets abordés dans ce chapitre

BrTcp32 [BrTcp32]

Sipa_32 [SIPA_32]

BrTcp32 [BrTcp32]

Driver système [SYSTEMTREIBER], [DEFAULT] et [LOCAL_VAR]


BrTcp32 [BrTcp32]

Manuel -> Fichier de configuration -> zenon6.ini -> Drivers -> BrTcp32 [BrTcp32]

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Entrée

Description

[BrTcp32]

Paramètres relatifs au driver S7TCP32.

LOGFILE=

Journalisation étendue pour le driver :

  • 1 : Active la fonction spéciale de journalisation étendue du driver. View of entries via the Diagnosis Viewer.
  • 0 : Non


Sipa_32 [SIPA_32]

Manuel -> Fichier de configuration -> zenon6.ini -> Drivers -> Sipa_32 [SIPA_32]

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Entrée

Description

[SIPA_32]

Paramètres relatifs au driver Sipa 32.

NOT_USED=

Liste d'adresses matérielles ne devant pas être utilisées dans le projet.

Exemple : NOT_USED=1,2,3,4

SIMUL=

Paramètre du mode de simulation de matériel. Dans ce mode, le matériel sera simulé dans la mémoire, au lieu que chaque variable soit traitée séparément (comme dans le mode Simulation).

  • 1 : activé
  • 0 : désactivé


BrTcp32 [BrTcp32]

Manuel -> Fichier de configuration -> zenon6.ini -> Drivers -> BrTcp32 [BrTcp32]

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Entrée | Description
[SNMP_NG_TRAP_SERVICE] | Paramètres relatifs au driver SNMPNG32.
PollingInterval= | Intervalle d'interrogation du service de réception d'interruptions, en millisecondes. Par défaut : 5000
PollingRetries= | Nombre de nouvelles tentatives si l'interrogation du service de réception d'interruptions échoue. Par défaut : 2
PollingRetryTimeout= | Délai d'attente entre les nouvelles tentatives du service de réception d'interruptions, en millisecondes. Par défaut : 1000


Driver système [SYSTEMTREIBER], [DEFAULT] et [LOCAL_VAR]

Manuel -> Fichier de configuration -> zenon6.ini -> Drivers -> Driver système [SYSTEMTREIBER], [DEFAULT] et [LOCAL_VAR]

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Entrée | Description
[DEFAULT] | Paramètres par défaut.
UPDATE_SEK = | Temps de cycle du driver système en secondes
[LOCAL_VAR] | Entrées correspondant aux variables de driver système.
ID_DWORD_1 = <Wert> ID_DWORD_2 = <Wert> ID_DWORD_3 = <Wert> ID_DWORD_4 = <Wert> | Ces entrées fournissent les valeurs correspondant aux variables de driver système. Infos système -> Variable système locale : DWORD1-4. Ces variables sont destinées à autoriser l'identification d'un ordinateur sur le réseau. Ainsi, les valeurs sont toujours gérées localement dans le fichier zenon.ini. Par défaut, des valeurs limite peuvent être définies pour chacune de ces variables. Si aucune entrée n'est présente dans le fichier zenon.ini, les valeurs de ces variables sont définies sur 0 dans le Runtime de zenon.


zenProcGateway.ini

Manuel -> Fichier de configuration -> zenProcGateway.ini

[GENERAL]

Entrée

Description

[GENERAL]

Paramètre général de Process Gateway, indépendamment des modules sélectionnés.

DLL=

Sélection du fichier DLL utilisé pour Process Gateway. Le fichier DLL sélectionné détermine la sélection du module.

  • AccessDEC.dll
  • AccessSQL.dll
  • AccessMODBUS.dll
  • AccessDNP3.dll
  • AccessIEC870Sl.dll
  • AccessSNMP.dll
  • AccessOPCUA.dll
  • AccessICCP.dll
  • AccessAzure.dll

Autres sujets abordés dans ce chapitre

AccessDEC [DEC]

DNP3 Slave (l'esclave DNP3) [DNP3]

ICCP-TASE.2 [ICCP]

IEC870 Slave l'esclave IEC870 []

MODBUS Slave (l'esclave MODBUS) [MODBUS]

OPC UA Server [OPCUA]

Access SNMP [SNMP]

AccessSQL [DATABASE]

AccessAzure [Azure]


AccessDEC [DEC]

Manuel -> Fichier de configuration -> zenProcGateway.ini -> AccessDEC [DEC]

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarque : Le fichier de configuration doit se trouver dans le dossier C:\Documents and Settings\All Users\Application Data\COPA-DATA\System.

[DEC]

Entrée | Description
LOGFILE= | Nom du fichier LOG (si vous souhaitez des traces, par exemple zenProcGateway.log)
PORT= | Numéro de port où le Process Gateway attend les essais de connexions.
TCPTIMEOUT= | Temps après lequel la connexion est fermée s'il n'y a pas de réponse
REFRESHRATE= | Intervalle de temps en millisecondes durant lequel l'image du processus de zenon est contrôlée après une modification.


DNP3 Slave (l'esclave DNP3) [DNP3]

Manuel -> Fichier de configuration -> zenProcGateway.ini -> DNP3 Slave (l'esclave DNP3) [DNP3]

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

[DNP3]

Entrée

Description

SERIAL=

communication série (1) ou communication par TCP/IP (0)

COMPORT=

port de communication série (COM1=0, COM2=1, ...)

BAUD=

Vitesse de l'interface série

BYTESIZE=

Nombre de bits de données de l'interface série

PARITY=

Paramètres de parité de l'interface série :
(0=pas de parité, 1=parité impaire, 2=parité paire)

STOPBITS=

Nombre de bits d'arrêt de l'interface série
(0=1, 1=1.5, 2=2)

LINKADDRLOC=

adresse de lien vers la session locale

LINKADDRREM=

adresse de lien vers la session distante

SELECTTIMEOUT=

Délai d'attente avant expiration [ms] pour la commande Select Before Operate.

If no OPERATE command is received for the respective variable within this timeout, the processing for the variable is automatically ended with a CANCEL command.

Par défaut : 50000 ms

PORT=

Port de communication utilisé pour les communications TCP/IP

Par défaut : 20000

TIME_USE_UTC=

Format des informations d'horodatage :

  • 0 = Heure locale
  • 1 = UTC

Par défaut : 0

Obj1BinInput=

Liste déroulante avec les Variations prises en charge pour le groupe d'objets

1: format de paquet
2: with flags

Par défaut : 1: packet format

Obj2BinInputEvent=

Liste déroulante avec les Variations prises en charge pour le groupe d'objets

1 : temps illimité

2: with absolute time

3: with relative time

Par défaut : 3: with relative time

Obj10BinOutput=

Liste déroulante avec les Variations prises en charge pour le groupe d'objets

1: format de paquet
2: with flags
Par défaut : 1: with flags

Obj11BinOutputEvent=

Liste déroulante avec les Variations prises en charge pour le groupe d'objets

1: état sans heure
2: status with time

Par défaut : 1: status without time

Obj20Counter=

Liste déroulante avec les Variations prises en charge pour le groupe d'objets

1 : 32 bit with flag
2: 16 bit with flag
5: 32 bit without flag
6: 16 bit without flag

Par défaut : 5: 32 bit without flag

Obj22CounterEvent=

Liste déroulante avec les Variations prises en charge pour le groupe d'objets

1 : 32 bit with flag
2: 16 bit with flag
5: 32 bit flag and time
6: 16 bit flag and time

Par défaut : 1: 32 bit with flag

Obj30AnalogInp=

Liste déroulante avec les Variations prises en charge pour le groupe d'objets

1 : 32 bit with flag
2: 16 bit with flag
3: 32 bit without flag
4: 16 bit without flag
5: single precision, floating-point with flag
6: double precision, floating-point with flag

Par défaut : 6: double precision, floating-point with flag

Obj32AnalogInpEvent=

Liste déroulante avec les Variations prises en charge pour le groupe d'objets

1 : 32 bit without time
2: 16 bit without time
3: 32 bit with time
4: 16 bit with time
5: single precision, floating-point without time
6: double precision, floating-point without time

7: single precision, floating-point with time
8: double precision, floating-point with time

Par défaut : 6: double precision, floating-point without time

Obj40AnalogOutStatus=

Liste déroulante avec les Variations prises en charge pour le groupe d'objets

1 : 32 bit with flag
2: 16 bit with flag
3: single precision, floating-point with flags
4: double precision, floating-point with flags

Par défaut : 2: 16 bit with flag

Obj41AnalogOutput=

Liste déroulante avec les Variations prises en charge pour le groupe d'objets

1 : 32 bit without time
2: 16 bit without time
3: 32 bit with time
4: 16 bit with time
5: single precision, floating-point without time

6: double precision, floating-point without time

7: single precision, floating-point with time
8: double precision, floating-point with time

Par défaut : 2: 16 bit without time

UNSOLICITED_RESPONSES_ENABLED=

Activer ou désactiver les Unsolicited Responses :

  • 0 = inactive
  • 1 - actif

Par défaut : Inactive (0)

UNSOLICITED_RESPONSES_CONFIRMATION_TIMEOUT=

Délai, en secondes, des communications avec le maître. Un dépassement de délai est déclenché après expiration de ce délai.

Plage d'entrée : 1 à 60 s

Par défaut : 5 s

UNSOLICITED_RESPONSES_RETRY_COUNTER=

Nombre de tentatives de rétablissement des communications avec le maître.

Plage d'entrée : 0 à 65535
(0 = nombre infini de tentatives)

Par défaut : 3

UNSOLICITED_RESPONSES_MAXIMUM_EVENTS_CLASS_1=

Nombre maximal d'événements (par classe d'événements) pouvant être enregistrés dans le buffer avant l'envoi d'une unsolicited response.

Plage de saisie : 0 - 255
Par défaut : 5

UNSOLICITED_RESPONSES_MAXIMUM_EVENTS_CLASS_2=

Nombre maximal d'événements (par classe d'événements) pouvant être enregistrés dans le buffer avant l'envoi d'une unsolicited response.

Plage de saisie : 0 - 255
Par défaut : 5

UNSOLICITED_RESPONSES_MAXIMUM_EVENTS_CLASS_3=

Nombre maximal d'événements (par classe d'événements) pouvant être enregistrés dans le buffer avant l'envoi d'une unsolicited response.

Plage de saisie : 0 - 255
Par défaut : 5

UNSOLICITED_RESPONSES_MAXIMUM_DELAY_CLASS_1=

Délai d'attente maximal (par classe d'événements) avant l'écriture d'une nouvelle entrée suite à l'envoi d'une unsolicited response.

Plage de saisie : 0 - 65535 secondes
(0 = aucun délai, c'est-à-dire en cas de changement de valeur).
Par défaut : 5

UNSOLICITED_RESPONSES_MAXIMUM_DELAY_CLASS_2=

Délai d'attente maximal (par classe d'événements) avant l'écriture d'une nouvelle entrée suite à l'envoi d'une unsolicited response.

Plage de saisie : 0 - 65535 secondes
(0 = aucun délai, c'est-à-dire en cas de changement de valeur).
Par défaut : 5

UNSOLICITED_RESPONSES_MAXIMUM_DELAY_CLASS_3=

Délai d'attente maximal (par classe d'événements) avant l'écriture d'une nouvelle entrée suite à l'envoi d'une unsolicited response.

Plage de saisie : 0 - 65535 secondes
(0 = aucun délai, c'est-à-dire en cas de changement de valeur).
Par défaut : 5

[VARIABLES]

Entrée

Description

COUNT

Nombre de variables à exporter

EVENT_%d

Gestion des événements : Gestion des événements par variable.
Événements toujours associés à une variable : par ex. EVENT_0 appartient à NAME_0

Valeurs :

  • DEFAULT
    La gestion des événements est identique à celle du groupe d'objets
  • MOST_RECENT
    Inclut uniquement la dernière modification d'un événement de modification de variable binaire
  • SOE
    Crée une série d'événements

Par défaut : Par défaut

NAME_n

Nom de la variable comportant le nombre n (0<=n<COUNT)

OBJECT_n

Type d'objet DNP3 de la variable d'objet n (0<=n<COUNT)

POINT_n

Numéro de point DNP3 de la variable n (0<=n<COUNT)

ROUTING_n

Command routing for binary output variables with the number n(0<=n<COUNT)

  • 1:
    Command routing is activated for variable
  • 0:
    Command Routing is inactive for variable.


ICCP-TASE.2 [ICCP]

Manuel -> Fichier de configuration -> zenProcGateway.ini -> ICCP-TASE.2 [ICCP]

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

[ICCP]

Entrée

Description

SERVER_PORT=

Numéro de port IP du serveur ; le port permet de connecter d'autres clients.

Le port est ouvert au démarrage et reste ouvert.

Par défaut : 102

Remarque : Cette entrée INI ne peut pas être configurée dans l'interface utilisateur graphique de la passerelle de processus ICCP-TASE. 2.

MAX_CONNECTIONS=

Nombre maximum de connexions d'autres clients ICCP au serveur. Is ignored if CLIENT_AUTO_CONNECT=1 has been configured.

Par défaut : 0 (= illimité)

Remarque : Cette entrée INI ne peut pas être configurée dans l'interface utilisateur graphique de la passerelle de processus ICCP-TASE. 2.

MAJOR_VERSION_NUMBER=

Numéro de version principal du protocole ICCP, par exemple : 1996, 2000.

Par défaut : 2000

Remarque : Cette entrée INI ne peut pas être configurée dans l'interface utilisateur graphique de la passerelle de processus ICCP-TASE. 2.

MINOR_VERSION_NUMBER=

Numéro de version secondaire du protocole ICCP.

Par défaut : 8

Remarque : Cette entrée INI ne peut pas être configurée dans l'interface utilisateur graphique de la passerelle de processus ICCP-TASE. 2.

BILATERAL_TABLE_ID=

Bilateral Table ID This is synchronized when establishing a connection between all ICCP communication partners.

Remarque : L'identifiant unique de tableau bilatéral doit être identique sur tous les équipements communiquant avec le module ICCP-TASE.2 Process Gateway.

LOCAL_DOMAIN_NAME=

Nom de domaine ICCP local ; configuration du serveur, doit être définie en miroir (c'est-à-dire inversée) par rapport au partenaire de communication.

REMOTE_DOMAIN_NAME=

Nom de domaine ICCP local ; configuration du client, doit être définie en miroir (c'est-à-dire inversée) par rapport au partenaire de communication.

CLIENT_AUTO_CONNECT=

Configuration du projet permettant de déterminer si le client initie automatiquement l'établissement d'une connexion avec le serveur ICCP distant au démarrage de Process Gateway.

0: ne pas initialiser - il suffit d'attendre

1: initialiser

CLIENT_IP_NAME=

Adresse IP ou nom d'hôte du serveur distant si ce client doit initialiser la communication.

CLIENT_PORT=

Numéro de port du serveur distant si ce client doit initialiser la communication.

CHECK_SERVER_Variables=

Vérifiez si toutes les variables configurées sont disponibles sur le serveur distant.

0: pas de vérification des noms des variables configurées.

1 : Vérification des noms de variables configurées.

CHECK_SERVER_VARIABLES_MERKER_BIT=

Bit d'état pour les variables client qui ne sont pas présentes sur le serveur si un contrôle des variables configurées est activé.

0 pas de bit d'état pour les variables client manquantes.

1 à 8 : Bit d'état utilisateur M1 à M8

SERVER_STATE_VARIABLE=

Nom de la variable pour l'affichage de l'état de la connexion entre le serveur ICCP et le client distant.

CLIENT_STATE_VARIABLE=

Nom de la variable pour l'affichage de l'état de la connexion entre le client ICCP et le serveur distant.

NOT_AVAILABLE_SERVER_VARIABLES_VARIABLE=

Nom de la variable pour l'affichage des noms de variables (in zenon Runtime) qui ne sont pas disponibles pour la connexion client courante sur le serveur distant.

CALLING_OSI_SESSION_SELECTOR=

CALLING_OSI_PRESENTATION_SELECTOR=

CALLING_OSI_AE_QUALIFIER=

CALLING_OSI_AP_TITLE=

CALLED_OSI_SESSION_SELECTOR=

CALLED_OSI_PRESENTATION_SELECTOR=

CALLED_OSI_AE_QUALIFIER=

CALLED_OSI_AP_TITLE=

Paramètres de communication OSI

Remarque : Cette entrée INI ne peut pas être configurée dans l'interface utilisateur graphique de la passerelle de processus ICCP-TASE. 2.

[VARIABLES]

Groupe de références configurées entre les variables de zenon et les variables ICCP. Les éléments suivants sont mentionnés dans la liste :

  • Paramètres de chaque variable ICCP
  • Nombre de variables
  • Nom des variables
Entrée | Description
PARAM_0= | Paramètre de la nome ICCP. La numérotation commence par zéro 0. Le compteur est incrémenté de 1 à chaque nouveau paramètre. L'identifiant correspond à l'identifiant du nom de variable. PARAM_0 correspond à NAME_0. Exemple : PARAM_0=1,0,0,ICCP_Name
COUNT= | Nombre de références configurées
NAME_0= | Nom de la variable de zenon La numérotation commence par zéro 0. Le compteur est incrémenté de 1 à chaque nouveau paramètre. Cet identifiant correspond à l'identifiant du paramètre. PARAM_0 correspond à NAME_0. Exemple : NAME_0=MyName


IEC870 Slave l'esclave IEC870 []

Manuel -> Fichier de configuration -> zenProcGateway.ini -> IEC870 Slave l'esclave IEC870 []

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com


MODBUS Slave (l'esclave MODBUS) [MODBUS]

Manuel -> Fichier de configuration -> zenProcGateway.ini -> MODBUS Slave (l'esclave MODBUS) [MODBUS]

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

[MODBUS]

Entrée | Description
COMPORT= | port de communication série (COM1=0, COM2=1, ...). Peut être défini dans la boîte de dialogue de configuration.
BAUD= | Vitesse de l'interface série. Peut être défini dans la boîte de dialogue de configuration.
BYTESIZE= | Nombre de bits de données de l'interface série
PARITY= | Paramètres de parité du port de communication série : 0=Non 1=Impair 2=Pair Peut être défini dans la boîte de dialogue de configuration.
STOPBITS= | Nombre de bits d'arrêt de l'interface série. 0=1 1=1,5 2=2 Peut être défini dans la boîte de dialogue de configuration.
TIMEOUT= | timeout pour l'interface série en millisecondes
HWADDRESS= | Adresse matérielle du système Modbus. Par défaut : 1 Peut être défini dans la boîte de dialogue de configuration.
REFRESHRATE= | Période de rafraichissement, en ms
SERIELL= | Communications série ou TCP/IP : 1 = Série 0 = TCP/IP Peut être défini dans la boîte de dialogue de configuration.
PORT= | port TCP/IP
TCPTIMEOUT= | timeout pour la communication TCP/IP en secondes

[MODBUS VARIABLES]

Variables à remplacer dans AccessMODBUS.

Remarque : Cette entrée remplace l'entrée [VARIABLES] originale à partir de zenon 7.11. Ceci évite le remplacement inutile des variables issues du projet standard dans la mémoire partagée à l'aide de la connexion entre Logic et SCADA.

Entrée

Description

COUNT

Nombre de variables à exporter

OFFSET_n

Adresse Modbus attribuée au numéro correspondant (n). La numérotation commence par zéro (0).

NAME_n

Nom de la variable attribuée au numéro correspondant (n). La numérotation commence par zéro (0).

Exemples :

  • OFFSET_0=0
    NAME_0=EMS_Supply area 1_forecast_final_consumption
    Variable du projet de démarrage
  • OFFSET_1=2
    NAME_1=BASISTUTORIAL#Temperaturfühler
    Variable issue du projet BASISTUTORIAL


OPC UA Server [OPCUA]

Manuel -> Fichier de configuration -> zenProcGateway.ini -> OPC UA Server [OPCUA]

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

[OPCUA]

Entrée

Description

SERVER_NAME=

Nom du serveur OPC UA sur lequel la passerelle établit une connexion.

SERVER_PORT=

Port pour la communication vers le serveur OPC UA.

Par défaut : 4841

CERTIFICATES_PATH=

Chemin du dossier racine avec les fichiers de certificat et les sous-dossiers respectifs.

Par défaut : %ProgramData%\PKI\CA\

Remarque : L'entrée doit être supprimée si un nouveau certificat doit être créé au démarrage de Process Gateway.

SERVER_CERTIFICATE_LOCATION=

Fichier contenant la clé publique du serveur. Le chemin est toujours indiqué en absolu. Cette clé publique est utilisée par le client pour le cryptage des messages.

Par défaut : %ProgramData%\PKI\CA\certs\zenopcua.der

Remarque : L'entrée doit être supprimée si un nouveau certificat doit être créé au démarrage de Process Gateway.

SERVER_PRIVATE_KEY_LOCATION=

Fichier contenant la clé privée du serveur. Le chemin est toujours indiqué en absolu. Elle est utilisée par le serveur pour déchiffrer les messages provenant du client.

Par défaut : %ProgramData%\PKI\CA\private\zenopcua.pem

Remarque : L'entrée doit être supprimée si un nouveau certificat doit être créé au démarrage de Process Gateway.

ARCHIVE_NAME=

Nom d'une archive configurée dans zenon pour les données historiques. Seule une archive individuelle de l'un des projets peut être sélectionnée dans le Runtime.

ONLY_SECURE_CONNECTIONS=

Sélection du type de connexion (sécurisée ou non sécurisée) approuvé pour l'établissement d'une connexion.

  • TRUE
    Une connexion au serveur n'est possible qu'avec une connexion sécurisée.
  • FALSE
    Une connexion au serveur est également possible avec une connexion non sécurisée.

Par défaut : TRUE

TRUST_ALL_CLIENT_CERTIFICATES=

Choix du type de certificats (certificats client ou serveur) pour établir une connexion.

  • TRUE
    tous les certificats de clients sont acceptés, et la connexion est établie.
  • FALSE
    tous les clients souhaitant se connecter au serveur doivent transmettre un certificat valide. Ce certificat est également vérifié pour déterminer s'il se trouve dans la liste des certificats de clients connus (Certificate trust list path).

Par défaut : TRUE

USE_USER_AUTHENTICATION=

Sélectionner si l'administration utilisateur du projet zenon en cours doit être utilisée pour l'identification lors de la connexion au serveur.

  • TRUE
    Les clients peuvent uniquement se connecter au serveur avec un identifiant d'utilisateur et un mot de passe valides.
    Remarque : Pour ce faire, l'administration des utilisateurs doit être activée et configurée dans zenon Editor.
  • FALSE
    Les connexions anonymes sont autorisées.

Par défaut : FALSE

CONFIGURATION_VERSION=2

Avis de versionnage.

Remarque : Cette entrée INI ne peut pas être configurée dans l'interface utilisateur graphique de la passerelle OPC UA.

MAX_COUNT_OF_SUBSCRIPTIONS_PER_SESSION=

Nombre d'abonnements par session. Peut être réglé entre un minimum de 1 et un maximum de 100 abonnements.

Par défaut : 10

[Variables]

Entrée | Description
PROJECT_x= | Nom du projet duquel sont issues les variables. x représente la numérotation du projet, qui commence par 0. Exemple : PROJECT_0=TEST
PARAM_x= | Paramètres du projet x. La numérotation commence à partir de 0. Exemple : PARAM_0=80:INI.Driverforinternalvariables_ModemHwAdrSet
COUNT= | Nombre de variables configurées.
NAME_x= | Nom de la variable. x représente la numérotation du projet, qui commence par 0. Exemple : NAME_0=Driverforinternalvariables_ModemHwAdrSet

2 = constantes pour l'index des espaces de noms

Ces valeurs sont définies par Editor et ne doivent pas être modifiées !


Access SNMP [SNMP]

Manuel -> Fichier de configuration -> zenProcGateway.ini -> Access SNMP [SNMP]

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com


AccessSQL [DATABASE]

Manuel -> Fichier de configuration -> zenProcGateway.ini -> AccessSQL [DATABASE]

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com


AccessAzure [Azure]

Manuel -> Fichier de configuration -> zenProcGateway.ini -> AccessAzure [Azure]

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

[Azure]

Entrée | Description
INTEGRITYPERIOD= | Intervale du cycle d'écritures, en secondes.
PROXY_DOMAIN= | Adresse du serveur proxy.
PROXY_USER= | Nom d'utilisateur de connexion au serveur proxy.
PROXY_PWD= | mot de passe de connexion au serveur proxy. Remarque : Le mot de passe est également indiqué sous forme cryptée dans le fichier. INI.

Remarque : .NET Framework 4.5 doit être installé sur l'ordinateur pour que la configuration du serveur proxy fonctionne.

[VARIABLES]

Entrée

Description

Name_n=

Nom de la variable pour Process Gateway.
Format : SOURCEPROJECT#SOURCEVARIABLE.

Numérotation (n) :

n Commence par le numéro de série de la configuration de la connexion.

La numérotation commence par zéro (0).

Exemple :

  • 1 variable génère n = 0
  • 3 variables génèrent, pour la troisième entrée, n = 2

Count=

Nombre de variables.

Remarque : La numérotation commence ici par 1. Huit connexions génèrent Count=8.

[CONNECTIONS]

Entrée

Description

CONN_n=

Nom de la connexion MS Azure.

Numérotation (n) :

n Commence par le numéro de série de la configuration de la connexion.

La numérotation commence par zéro (0).

Exemple :

  • 1 connexion génère n = 0
  • 3 connexions génèrent, pour la troisième entrée, n = 2

QUEUE_n=

Nom de la file d'attente MS Azure.

Pour la numérotation (_n), les mêmes règles s'appliquent que pour CONN

COUNT=

Numéro de la connexion MS Azure configurée.

Remarque : La numérotation commence ici par 1. Deux connexions génèrent Count=2.


zenWebSrv.ini

Manuel -> Fichier de configuration -> zenWebSrv.ini

Paramètres de zenon Web Server.

Paramètres

Description

[DEFAULT]

Paramètres de base.

INIT=

Paramètres d'activation de zenon Web Server.

Paramètre différent de 0 : Web Server a été démarré par le contrôleur du système.

USE_HTTP_PROXY=

Définit si la connexion est établie via TCP ou HTTP.

  • 0 : le protocole TCP est utilisé.
  • Différent de 0 : la tunnelisation HTTP est utilisée.

La valeur peut être définie directement via la boîte de dialogue de configuration de Web Server

[PROXY]

Échange de données entre zenon Web Server et le contrôleur du système.

REMOVE_CLIENT

Cette entrée indique lorsqu'un client authentifié est supprimé du contrôleur du système connecté à zenon Web Server.

MAX_CLIENT

Nombre maximal de clients. (dépend de la licence).

AKT_CLIENT

Nombre actuel de clients connectés.

SERIAL7=

Numéro de série de zenon Web Server.

ACTIVATIONKEY7=

Numéro d'activation chiffré de zenon Web Server.

LICENCEINFO

Informations concernant la licence, telles qu'elles sont affichées dans le contrôleur du système :

  • Démo de Web Server Pro
  • Démo de Web Server
  • Runtime Web Server Pro
  • Runtime Web Server

[CLIENTLIST]

Liste des clients connectés.

NAME_[indices de 00 et plus]

Nom du client connecté.

Remarque : Les entrées dans les sections [PROXY] et [CLIENTLIST] sont supprimées au démarrage de zenon Web Server. Si le service reçoit une commande de contrôle du contrôleur du système, les entrées sont écrites ou lues selon le besoin.

info Informations

Le fichier zenWebSrv.ini se trouve dans le chemin %cd_system%.


Fonctions et scripts

Manuel -> Fonctions et scripts

L'utilisateur peut définir le comportement de zenon par le biais de fonctions de projet définies par l'utilisateur. Les scripts permettent de compiler plusieurs fonctions définies par l'utilisateur et de les exécuter en séquence dans le Runtime.

tutorial Informations concernant la licence

Composante de la licence standard d’Editor et du Runtime.

Autres sujets abordés dans ce chapitre

Fonctions

Scripts

Boîte de dialogue de sélection de fonctions et de scripts


Fonctions

Manuel -> Fonctions et scripts -> Fonctions

Toutes les fonctions utilisées dans un projet sont basées sur les fonctions système existantes. Celles-ci sont des macros prédéfinies, faciles à utiliser et à paramétrer par l'utilisateur.

Les fonctions peuvent être configurées ou sélectionnées via :

  • Le nœud Fonctions
  • La boîte de dialogue de sélection de fonctions et de scripts

Autres sujets abordés dans ce chapitre

Vue de détail des menus contextuels et de la barre d'outils

Aperçu des fonctions dans zenon

Configuration dans Editor

Fonctions système

Fonctions du réseau

Ordre d'exécution en Runtime


Vue de détail des menus contextuels et de la barre d'outils

Manuel -> Fonctions et scripts -> Fonctions -> Vue de détail des menus contextuels et de la barre d'outils

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Gestionnaire de projet

Élément de menu | Action
Nouvelle fonction | Ouvre une fenêtre de sélection de fonctions pour créer une nouvelle fonction.
Afficher les fonctions inutilisées | Crée une analyse de projet pour les fonctions inutilisées dans le projet actuel, et l'affiche sous forme de liste de résultats dans une fenêtre spécifique.
Exporter tout (XML) | Exporte toutes les entrées sous forme de fichier XML.
Importer XML … | Importe des entrées à partir d'un fichier XML.
Ouvrir dans une nouvelle fenêtre ... | Ouvre une nouvelle fenêtre permettant d'afficher et de modifier la fonction. Par défaut, la fenêtre est affichée le long du bord inférieur d'Editor. Vous pouvez la déplacer à votre convenance.
Profil Editor | Ouvre la liste déroulante contenant les profils Editor prédéfinis.
Aide | Ouvre l'aide en ligne.

Vue de détail

Barre d'outils et menu contextuel

Élément de menu | Action
Nouvelle fonction | Ouvre la boîte de dialogue de création d'une nouvelle fonction.
Paramètre | Ouvre la boîte de dialogue autorisant la saisie des paramètres.
Copier | Copie les entrées sélectionnées et vers le presse-papiers.
Coller | Insère le contenu du presse-papier. Si une entrée portant le même nom existe déjà, le contenu est collé sous le nom Copie de....
Supprimer | Après une demande de confirmation, supprime les entrées sélectionnées de la liste.
Exporter la sélection en XML... | Exporte touts les entrées sélectionnées sous forme de fichier XML.
Importer XML | Importe des entrées à partir d'un fichier XML.
Utilisation des fonctions ... | Crée une analyse de projet pour les fonctions sélectionnées dans le projet actuel, et l'affiche sous forme de liste de résultats dans une fenêtre spécifique.
Supprimer tous les filtres | Supprime tous les paramètres de filtre
Éditer cellule sélectionnée | Ouvre la cellule sélectionnée pour la modification. Le symbole représentant des jumelles dans l'en-tête indique la cellule sélectionnée dans une ligne affichée en surbrillance. Seules les cellules pouvant être modifiées peuvent être sélectionnées.
Remplacer un texte dans la colonne sélectionnée | Ouvre la boîte de dialogue de recherche et de remplacement de texte.
Propriétés | Ouvre la fenêtre de Propriétés.
Aide | Ouvre l'aide en ligne.


Aperçu des fonctions dans zenon

Manuel -> Fonctions et scripts -> Fonctions -> Aperçu des fonctions dans zenon

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Les fonctions sont réparties dans les groupes suivants :

  • Alarmes et événements
  • Application
  • Archives
  • Batch Control
  • Gestion des utilisateurs
  • Synoptiques
  • Localisation de défauts sur les réseaux électriques
  • Message Control
  • Réseau
  • Report Generator / Report Viewer / Analyzer
  • Recettes
  • Command Sequencer
    Remarque : Visible uniquement si une licence Energy Edition valide est présenter
  • Script
  • Variable
  • VBA
  • VSTA
  • Windows

Autres sujets abordés dans ce chapitre

Favoris

Alarmes et événements

Application

Archives

Batch Control

Gestion des utilisateurs

Synoptiques

Localisation de défauts sur les réseaux électriques

Message Control

Réseau

Report Generator / Report Viewer / Analyzer

Recettes

Séquenceur de commandes

Script

Variable

VBA

VSTA

Windows


Favoris

Manuel -> Fonctions et scripts -> Fonctions -> Aperçu des fonctions dans zenon -> Favoris

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Ce groupe contient les fonctions que vous avez définies en tant que favoris.

Pour ajouter des fonctions à ce groupe :

  • Effectuez un glisser&déplacer pour déplacer les fonctions souhaitées vers ce groupe afin d'y accéder plus rapidement.


Alarmes et événements

Manuel -> Fonctions et scripts -> Fonctions -> Aperçu des fonctions dans zenon -> Alarmes et événements

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Ce groupe contient les fonctions concernant la gestion de la liste d'alarmes (AML) et de la liste d'événements chronologiques (CEL).

Fonction

Description

Alarmes : acquitter clignotement

Cette fonction acquitte le clignotement de tous les éléments du synoptique actuellement ouvert par rapport à un cadre donné.

Pour plus de détails, reportez-vous au chapitre : Alarmes : acquitter clignotement

Confirmer acquittement de l'alarme

Cette fonction supprime les alarmes filtrées.

Pour plus de détails, reportez-vous au chapitre : Alarmes : supprimer

Acquitter alarmes

Cette fonction acquitte les alarmes filtrées.

Pour plus de détails, reportez-vous au chapitre : Alarmes : acquitter

Inscrire/désinscrire groupe d'alarmes/d'événements

Cette fonction active ou désactive le lien vers l'automate pour le groupe d'alarmes/d'événements sélectionné.

Pour plus de détails, reportez-vous au chapitre : Inscrire/désinscrire groupe d'alarmes/d'événements

Alarmes : activer

Cette fonction active la liste intégrale des messages d'alarme.

Pour plus de détails, reportez-vous au chapitre : Alarmes : activer

Gestion des alarmes active/inactive

Cette fonction active/désactive la liste intégrale des messages d'alarme.

Pour plus de détails, reportez-vous au chapitre : Gestion des alarmes active/inactive

Alarmes : désactiver

Cette fonction désactive la liste intégrale des messages d'alarme.

Pour plus de détails, reportez-vous au chapitre : Alarmes : désactiver

Activer/désactiver liste d'alarmes, groupes/classes d'alarmes/d'événements

Cette fonction active/désactive un groupe d'alarmes/d'événements, une classe d'alarmes/d'événements ou l'ensemble de la liste d'alarmes.

Pour plus de détails, reportez-vous au chapitre : Activer/désactiver liste d'alarmes / groupe d'alarmes/d'événements / classe d'alarmes/d'événements

Exporter liste d'alarmes

Cette fonction exporte les entrées filtrées de la liste des messages alarmes dans un format externe.

Pour plus de détails, reportez-vous au chapitre : Exporter liste d’alarmes

Enregistrer le buffer circulaire d'alarmes et d'événements

Cette fonction enregistre les alarmes et événements actuels dans les fichiers ALARM.BIN et CEL.BIN, et enregistre les valeurs des variables mathématiques (compteur) dans le fichier SY_MA32.BIN.

Pour plus de détails, reportez-vous au chapitre : Enregistrer le buffer des alarmes et des événements

Exporter liste d'événements

Cette fonction exporte les entrées filtrées de la liste des événements chronologiques dans un format externe.

Pour plus de détails, reportez-vous au chapitre : Exporter liste d'événements

Imprimer liste d'alarmes ou d'événements

Cette fonction imprime les entrées sélectionnées de la liste d'alarmes ou de la liste d'événements (CEL).

Pour plus de détails, reportez-vous au chapitre : Imprimer liste d'alarmes ou d'événements

Créer/imprimer un document IPA

Cette fonction crée un rapport IPA dans un fichier HTML ou l'imprime.

Pour plus de détails, reportez-vous au chapitre : Créer un document IPA

Activer/désactiver impression en ligne

Cette fonction active ou désactive l'impression en ligne de la liste d'alarmes ou de la liste d'événements (CEL).

Pour plus de détails, reportez-vous au chapitre : Activer / désactiver impression en ligne

Démarrer nouvelle page pour l'impression en ligne

Lors de l'impression en ligne activée, cette fonction termine une page et démarre une nouvelle page. Le numéro de page redémarre à 1.

Pour plus de détails, reportez-vous au chapitre : Démarrer nouvelle page pour l'impression en ligne

Changer d'imprimante pour les impressions en ligne

Cette fonction change l'imprimante utilisée pour l'impression en ligne. De façon optionnelle, une boîte de dialogue pour l’utilisateur peut être ouverte avant.

Pour plus de détails, reportez-vous au chapitre : Changer d'imprimante pour les impressions en ligne


Application

Manuel -> Fonctions et scripts -> Fonctions -> Aperçu des fonctions dans zenon -> Application

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Ce groupe contient les fonctions pour la gestion du projet.

Fonction | Description
Sélection imprimante | Cette fonction ouvre une boîte de dialogue qui permet à l'utilisateur de sélectionner les imprimantes utilisées pour l'impression des différentes parties du projet. Pour plus de détails, reportez-vous au chapitre : Sélection imprimante
Imprimer le diagramme Extended Trend | Cette fonction vous permet d’imprimer des diagrammes du module Extended Trend ou de les enregistrer dans un fichier (JPG, BMP ou SVG) sans ouvrir l’écran Extended Trend. Pour plus de détails, reportez-vous au chapitre : Imprimer le diagramme Extended Trend
Changer de palette | Crée une fonction permettant de changer de palettes de couleurs dans le Runtime. Pour plus de détails, reportez-vous au chapitre : Changer de palette
Fonctions 'activer' sur valeurs limites | Cette fonction active la gestion des fonctions. Les fonctions exécutées automatiquement (par exemple, par les commandes temporisées ou les dépassements de valeurs limites, etc.) sont exécutées. Pour plus de détails, reportez-vous au chapitre : Fonctions : activer sur valeur limite
Fonctions 'activer/désactiver' sur valeurs limites | Cette fonction active ou désactive la gestion des fonctions. Les fonctions exécutées automatiquement (par exemple, par les commandes temporisées ou les dépassements de valeurs limites, etc.) ne sont pas exécutées. Pour plus de détails, reportez-vous au chapitre : Fonctions activer/désactiver sur valeur limite
Fonctions 'désactiver' sur valeurs limites | Cette fonction désactive la gestion des fonctions. Les fonctions exécutées automatiquement (par exemple, par les commandes temporisées ou les dépassements de valeurs limites, etc.) ne sont pas exécutées. Pour plus de détails, reportez-vous au chapitre : Fonctions : désactiver sur valeur limite
Ouvrir l'aide | Cette fonction ouvre une page d'aide donnée à partir d'un fichier CHM. Pour plus de détails, reportez-vous au chapitre : Ouvrir l'aide
Démarrer la Gestion de charge | Cette fonction démarre l'optimisation pour une zone de service sélectionnée dans le module Gestion de charge. Cette fonction est uniquement exécutée sur le serveur. Pour plus de détails, reportez-vous au chapitre : : Démarrer la Gestion de charge
Arrêter la Gestion de charge | Cette fonction arrête l'optimisation pour une zone de service sélectionnée dans le module EMS. Cette fonction est uniquement exécutée sur le serveur. Pour plus de détails, reportez-vous au chapitre : : Arrêter la Gestion de charge
Montrer les informations de licence | Une boîte de dialogue d’affichage des informations de version et de licence peut être appelée à l’aide de cette fonction. Pour plus de détails, reportez-vous au chapitre : : Version et informations concernant la licence
Réinitialiser projet en ligne | Cette fonction recharge les fichiers Runtime. Pour plus de détails, reportez-vous au chapitre : Réinitialiser projet en ligne
Détermine les maintenances ouvertes | Cette fonction envoie les maintenances ouvertes du module IMM vers des variables d'état. Pour plus de détails, reportez-vous au chapitre : Déterminer les maintenances ouvertes
Simulation on/off | Cette fonction bascule entre les modes Simulation et Matériel. Le type de mode Simulation ou Matériel peut être sélectionné. En plus, la simulation pour le module Process recorder peut également être lancée en mode lecture. Pour plus de détails, reportez-vous au chapitre : Activer/désactiver le projet de simulation
Déclencher événement PFS | Cette fonction exécute un événement planning (PFS) créé au préalable par l'utilisateur. Pour plus de détails, reportez-vous au chapitre : Déclencher événement PFS
Activer/désactiver la lecture du Process Recorder | Cette fonction active ou désactive le mode Lecture du module Process Recorder. Pour plus de détails, reportez-vous au chapitre : Process Recorder : Activer/désactiver lecture
Simuler le clic droit | Cette fonction interprète le prochain clic souris comme si c'était un clic avec le bouton droit de la souris. Pour plus de détails, reportez-vous au chapitre : Simuler le clic droit
Enregistrer les données rémanentes | Autorise l'enregistrement des données des modules configurés. Les choix proposés sont les suivants : Mémoire circulaire de la liste AML, mémoire circulaire de la liste CEL, driver du système et driver mathématique, driver interne, images rémanentes de tous les drivers, verrouillage du traitement des commandes. Pour plus de détails, reportez-vous au chapitre : Enregistrer les données rémanentes
Arrêter le Runtime | Cette fonction ferme le Runtime zenon. Pour plus de détails, reportez-vous au chapitre : Arrêter le Runtime
Analyser les heuristiques du graphe S7 | Cette fonction permet d’évaluer les données heuristiques du projet S7 Graph, même lorsque le synoptique S7 Graph n’est pas actif. Pour plus de détails, reportez-vous au chapitre : Données heuristiques Graph S7
Exécuter une fonction SAP | Active l'appel d'une fonction SAP dans le Runtime. Pour plus de détails, reportez-vous au chapitre : Exécuter une fonction SAP
Changement de langue | Pour les projets multilingues, cette fonction bascule le Runtime dans la langue sélectionnée. Pour plus de détails, reportez-vous au chapitre : Changement de langue
Topologie - Recherche des défauts de terre | Active la fonction de détection de court-circuit. Pour plus de détails, reportez-vous au chapitre : Topologie - Recherche des défauts de terre
Topologie - Vérification des connexions | Détermine l'état de l'alimentation des équipements topologiques et les représente sur des variables. Pour plus de détails, reportez-vous au chapitre : Topologie – Délestage


Archives

Manuel -> Fonctions et scripts -> Fonctions -> Aperçu des fonctions dans zenon -> Archives

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Ce groupe contient les fonctions relatives au module optionnel Serveur d’archives.

Fonction | Description
Archive : arrêt | Cette fonction arrête une archive sélectionnée dans le module optionnel "Serveur d'archives". Pour plus de détails, reportez-vous au chapitre : Archive : Arrêter
Indexer les archives | Cette fonction recalcule les index des archives indexées. Pour plus de détails, reportez-vous au chapitre : Indexer les archives
Archive : départ | Cette fonction démarre une archive sélectionnée dans le module optionnel "Serveur d'archives". Pour plus de détails, reportez-vous au chapitre : Archive : Début
Exporter archives | Cette fonction exporte les entrées d'archive filtrées du module optionnel "Serveur d'archives" dans un format externe. Pour plus de détails, reportez-vous au chapitre : Exporter archives
Archive : liste des archives actives | Cette fonction affiche la liste des archives en train de "tourner" dans le module optionnel "Serveur d'archives". Pour plus de détails, reportez-vous au chapitre : Archive : liste des archives actives


Batch Control

Manuel -> Fonctions et scripts -> Fonctions -> Aperçu des fonctions dans zenon -> Batch Control

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Ce groupe contient les fonctions du module Batch Control.

Fonction | Description
Exporter les recettes batch | Cette fonction permet d'exporter les recettes vers un fichier XML. Pour plus de détails, reportez-vous au chapitre : Exporter les recettes de batch
Importer les recettes batch | Cette fonction permet d'importer les recettes depuis un fichier XML. Pour plus de détails, reportez-vous au chapitre : Importer les recettes de batch
Exécuter commande/changement de mode de la recette | Cette fonction permet de transmettre des fonctions de commande à l'exécution de batch. Pour plus de détails, reportez-vous au chapitre : Exécuter la modification de commande de recette ou le changement de mode
Créer une recette de contrôle | En utilisant cette fonction, une recette de contrôle prédéfinie peut être créée dans Editor, grâce à un bouton dans le Runtime. Pour plus de détails, reportez-vous au chapitre : Fonction Créer recette de contrôle


Gestion des utilisateurs

Manuel -> Fonctions et scripts -> Fonctions -> Aperçu des fonctions dans zenon -> Gestion des utilisateurs

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Ce groupe contient les fonctions pour la gestion des utilisateurs.

Fonction | Description
Editer utilisateur | Cette fonction ouvre une boîte de dialogue dans laquelle un administrateur peut créer, modifier ou supprimer des utilisateurs et des groupes d'utilisateurs. Pour plus de détails, reportez-vous au chapitre : Editer utilisateur
Connexion avec boite de dialogue | Cette fonction ouvre la boîte de dialogue standard de connexion. Pour plus de détails, reportez-vous au chapitre : Connexion avec boite de dialogue
Connexion sans mot de passe | Cette fonction permet à l'utilisateur sélectionné de se connecter sans avoir à entrer son mot de passe. Pour plus de détails, reportez-vous au chapitre : Connexion sans mot de passe
Déconnexion | Cette fonction entraine la déconnexion de l'utilisateur actuellement connecté. Pour plus de détails, reportez-vous au chapitre : Déconnexion
Modifier le mot de passe | Cette fonction ouvre une boîte de dialogue depuis laquelle l'utilisateur actuellement connecté peut modifier son mot de passe. Pour plus de détails, reportez-vous au chapitre : Modifier le mot de passe


Synoptiques

Manuel -> Fonctions et scripts -> Fonctions -> Aperçu des fonctions dans zenon -> Synoptiques

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Ce groupe contient les fonctions pour la gestion des synoptiques.

Fonction

Description

Couleurs source CAL

Fonction de configuration des couleurs source CAL pour la détection d'erreurs dans les réseaux électriques.

Pour plus de détails, reportez-vous au chapitre : Couleurs source CAL

Synoptique avec index

Cette fonction ouvre un synoptique dont le nom contient une variable sélectionnée.

Pour plus de détails, reportez-vous au chapitre : Synoptique avec index

Synoptique : fermeture

Cette fonction ferme le synoptique sélectionné.

Pour plus de détails, reportez-vous au chapitre : Synoptique : fermeture

Synoptique : retour au précédent

Cette fonction affiche le synoptique précédemment ouvert dans le cadre sélectionné.

Pour plus de détails, reportez-vous au chapitre : Synoptique : retour au précédent

Supprimer chemin pour "Synoptique : retour au précédent"

Cette fonction permet de supprimer le chemin de la fonction Synoptique : retour au précédent dans le Runtime.

Pour plus de détails, reportez-vous au chapitre : Supprimer chemin pour "Synoptique : retour au précédent"

Synoptique : déplacer le centre

Cette fonction déplace ou effectue un zoom à l’intérieur d’un synoptique de type "Vue globale".

Pour plus de détails, reportez-vous au chapitre : Synoptique : déplacer le centre

Appel de synoptique

Cette fonction ouvre le synoptique sélectionné. De façon optionnelle, une boîte de dialogue pour l’utilisateur peut être ouverte avant.

Remarque : sans boîte de dialogue, la fonction est exécutée avec la priorité la plus élevée (1). Si une boîte de dialogue est appelée avant l'exécution, la priorité est réduite à Élevée (2).

Pour plus de détails, reportez-vous au chapitre : Appel de synoptique

Activer l'élément qui a le focus

Cette fonction exécute la fonction associée à l'élément qui a couramment le focus.

Pour plus de détails, reportez-vous au chapitre : Activer l'élément qui a le focus

Donner le focus au gabarit

Cette fonction donne le focus au synoptique actuellement ouvert dans un cadre donné. Ceci permet la création de projets entièrement gérés avec le clavier.

Pour plus de détails, reportez-vous au chapitre : Donner le focus au gabarit

Déplacer le focus

Cette fonction place active la saisie sur un élément dans le synoptique dont le cadre a est actuellement sélectionné.

Pour plus de détails, reportez-vous au chapitre : Déplacer le focus

Enlever le focus du gabarit

Cette fonction enlève le focus du synoptique actuellement ouvert dans un cadre sélectionné. Ceci permet la création de projets entièrement gérés avec le clavier.

Pour plus de détails, reportez-vous au chapitre : Enlever le focus du gabarit

Afficher le menu

Cette fonction ouvre ou ferme le menu principal sélectionné. De façon optionnelle, une boîte de dialogue pour l’utilisateur peut être ouverte avant.

Pour plus de détails, reportez-vous au chapitre : Afficher le menu

Sélection moniteur

Cette fonction assigne le moniteur virtuel sélectionné à un moniteur réel. De façon optionnelle, une boîte de dialogue pour l’utilisateur peut être ouverte avant.

Pour plus de détails, reportez-vous au chapitre : Sélection moniteur

Profils du Runtime

Crée une fonction avec laquelle le profil d'administration peut être ouvert, un nouveau profil peut être créé ou chargé dans le Runtime.

Pour plus de détails, reportez-vous au chapitre : Profils du Runtime

Mettre le gabarit au premier plan

Cette fonction permet de déplacer au premier plan les synoptiques recouverts par d'autres synoptiques dans le Runtime.

Pour plus de détails, reportez-vous au chapitre : Déplacer le cadre au premier plan

Fermer le gabarit

Cette fonction ferme le synoptique actuellement ouvert d'un cadre donné.

Pour plus de détails, reportez-vous au chapitre : Fermer le gabarit

Imprimer copie d'écran

Cette fonction imprime une capture d'écran de l'ensemble de l'écran ou des cadres dans le Runtime.

Pour plus de détails, reportez-vous au chapitre : Imprimer une capture d'écran

Saisie de valeur pour synoptique clavier

Cette fonction définit une valeur prédéfinie ou écrit une valeur prédéfinie dans le synoptique de type Clavier.

Pour plus de détails, reportez-vous au chapitre : Saisie de valeur prescrite pour synoptique de type Clavier

Afficher la fenêtre d'aperçu

Cette fonction ouvre une fenêtre d'aperçu. Elle vous permet de simuler un système multi-moniteurs sur un système à un moniteur.

Pour plus de détails, reportez-vous au chapitre : Afficher la fenêtre d'aperçu


Localisation de défauts sur les réseaux électriques

Manuel -> Fonctions et scripts -> Fonctions -> Aperçu des fonctions dans zenon -> Localisation de défauts sur les réseaux électriques

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Contient des fonctions pour la détection d'erreurs dans les réseaux électriques.

Fonction | Description
Acquitter le message de défaut de terre | Fonction d'acquittement de message de défaut de terre. Ouvre la boîte de dialogue permettant de sélectionner une variable. Pour plus de détails, reportez-vous au chapitre : Acquitter le message de défaut de terre
Arrêter la recherche des défauts de terre | Fonction d'arrêt de la recherche de défaut de terre. Pour plus de détails, reportez-vous au chapitre : Arrêter la recherche des défauts de terre
Démarrer la recherche des défauts de terre | Fonction de démarrage de la recherche de défaut de terre. Pour plus de détails, reportez-vous au chapitre : Démarrer la recherche des défauts de terre
Acquitter le message de défaut de terre | Fonction d'acquittement de message de court-circuit. Ouvre la boîte de dialogue permettant de sélectionner une variable. Pour plus de détails, reportez-vous au chapitre : Acquitter le message de court-circuit


Message Control

Manuel -> Fonctions et scripts -> Fonctions -> Aperçu des fonctions dans zenon -> Message Control

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Ce groupe contient les fonctions relatives au module optionnel Message Control.

Fonction | Description
Enregistrer queue courante | Dans le Runtime, enregistre la file d'attente de messages actuelle. Pour plus de détails, reportez-vous au chapitre : Enregistrer queue courante
Groupe/classe/domaine/équipement supprimé | Permet d'interdire l'envoi de messages pour certaines alarmes. Pour plus de détails, reportez-vous au chapitre : Supprimer des groupes, classes, zones ou équipements
Envoi d'un message | Crée une fonction d'envoi de messages. Pour plus de détails, reportez-vous au chapitre : Envoi d'un message
Envoi de messages : activer | Active le module Message Control dans le Runtime pour le projet activé. Pour plus de détails, reportez-vous au chapitre : Envoi de messages : activer
Envoi de messages : désactiver | Désactive le module Message Control dans le Runtime pour le projet activé. Pour plus de détails, reportez-vous au chapitre : Envoi de messages : désactiver


Réseau

Manuel -> Fonctions et scripts -> Fonctions -> Aperçu des fonctions dans zenon -> Réseau

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Ce groupe contient les fonctions pour la gestion d'un réseau.

Fonction

Description

Autorisation sur le réseau

Cette fonction exécute les demandes ou déblocages des autorisations d'accès sur le réseau.

Pour plus de détails, reportez-vous au chapitre : Autorisation sur le réseau

Commutation redondance

Cette fonction intervertit le serveur primaire et le serveur redondant du projet.

La boîte de dialogue de configuration diffère légèrement, en fonction du Mode de redondance sélectionné :

  • Évalué
  • Non dominant

Remarque : Avec le Mode de redondance non dominant, aucune configuration supplémentaire n'est requise.

Remarque : Indisponible si le terminal CE est utilisé en tant que serveur de données. D'autres informations sont disponibles dans le manuel zenon Operator, au chapitre Terminal CE en tant que serveur de données.

Pour plus de détails, reportez-vous au chapitre : Commutation redondance


Report Generator / Report Viewer / Analyzer

Manuel -> Fonctions et scripts -> Fonctions -> Aperçu des fonctions dans zenon -> Report Generator / Report Viewer / Analyzer

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Ce groupe contient les fonctions pour les outils suivants :

  • Report Generator
  • Report Viewer
  • zenon Analyzer
Fonction | Description
Analyzer : Créer le rapport | La création événementielle de rapports permet d'utiliser un événement en tant que déclencheur de la création et de l'envoi d'un rapport dans le produit zenon Analyzer de COPA-DATA – un changement de valeur, par exemple. Pour plus de détails, reportez-vous au chapitre : zenon Analyzer
Report Generator : exécuter | Cette fonction exécute le rapport sélectionné du module optionnel Report Generator. Pour plus de détails, reportez-vous au chapitre : Rapport : exécuter
Imprimer le rapport Report Generator | Cette fonction imprime le rapport sélectionné du module optionnel Report Generator. Pour plus de détails, reportez-vous au chapitre : Imprimer le rapport
Exporter rapport | Cette fonction exporte le rapport sélectionné du module optionnel Report Generator dans un format externe. Pour plus de détails, reportez-vous au chapitre : Exporter rapport
Report Viewer : exporter / imprimer | Permet de générer des rapports durant le Runtime, au format PDF ou sous forme d'impression en ligne. Pour plus de détails, reportez-vous au chapitre : Exporter ou imprimer le rapport.

Autres sujets abordés dans ce chapitre

zenon Analyzer


zenon Analyzer

Manuel -> Fonctions et scripts -> Fonctions -> Aperçu des fonctions dans zenon -> Report Generator / Report Viewer / Analyzer -> zenon Analyzer

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

zenon fournit des fonctions destinées à faciliter l'échange de données avec le produit zenon Analyzer de COPA-DATA.

Création événementielle de rapports

La création événementielle de rapports permet d'utiliser un événement – tel qu'un changement de valeur, par exemple – comme déclencheur de la création et de l'envoi d'un rapport. Ces rapports peuvent être créés à l'aide d'une fonction de zenon.

Autres sujets abordés dans ce chapitre

Créer un rapport Analyzer avec la fonction de zenon

Paramètres généraux

Liste des paramètres

Paramètres avancés d'établissement de connexion sécurisée

Configuration des valeurs


Créer un rapport Analyzer avec la fonction de zenon

Manuel -> Fonctions et scripts -> Fonctions -> Aperçu des fonctions dans zenon -> Report Generator / Report Viewer / Analyzer -> zenon Analyzer -> Créer un rapport Analyzer avec la fonction de zenon

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Créer un rapport Analyzer avec la fonction de zenon

Configuration minimale requise

Pour créer un rapport événementiel pour zenon Analyzer via la fonction zenon Analyzer : Créer un rapport, les conditions suivantes doivent être satisfaites :

  • zenon version 7.20 ou supérieure
  • Connexion, avec les droits correspondants, à un serveur Analyzer version 2 ou supérieure
  • Analyzer Server Wrapper doit être installé. Pour exécuter l'installation, sélectionnez l'élément correspondant dans le programme de configuration de zenon
  • Le Runtime et Editor doivent tous deux être redémarrés après l'installation d'Analyzer Server Wrapper, afin de pouvoir localiser les fichiers DLL associés à l'installation de Analyzer Server Wrapper.
  • Recommandation : Pour vous assurer que l'authentification Windows, veillez à ce que le serveur Analyzer se trouve sur le même domaine que zenon Editor et le Runtime de zenon.

Résolution d'incidents

  • Problèmes de communication avec le serveur Analyzer : Vérifiez les communications sur le réseau, ainsi que l'authentification (droits d'utilisateur et droits d'accès).
  • Les rapports sont générés, mais ne contiennent aucune donnée : Vérifiez la licence du serveur Analyzer :

Création d'une fonction

Pour créer la fonction :

  1. Création une nouvelle fonction dans l'Éditeur zenon
  2. Accédez au groupe Report Generator / Report Viewer / Analyzer dans la boîte de dialogue de sélection.

  3. Sélectionnez la fonction Analyzer : Créer rapport.
  4. La boîte de dialogue de configuration s'affiche à l'écran :
  5. Dans l'onglet Paramètres généraux, configurez les paramètres de connexion et sélectionnez le rapport souhaité.

    Attention : Avant de basculer vers le deuxième onglet, une connexion doit être établie et un rapport doit être sélectionné !

  6. Configurez les paramètres du rapport sur l'onglet Liste de paramètres.
    Lors du basculement vers le deuxième onglet, le programme tente de configurer les valeurs existantes pour la saisie de paramètres. Si cette tentative échoue, la liste de valeurs de paramètres définis est affichée comme vide.

    Les défauts peuvent être remplacés par des valeurs individuelles. Pour cela, décochez la case adjacente à la valeur, puis cliquez sur cette dernière. Une boîte de dialogue de saisie d'une nouvelle valeur s'affiche à l'écran.

  7. Liez la fonction à un bouton ou à un événement pour pouvoir y accéder dans le Runtime.

Procédure dans le Runtime

Procédure lors du déclenchement de la fonction pour créer un rapport dans le Runtime :

  1. La connexion configurée est établie.
  2. Le rapport sélectionné est défini.
  3. Les valeurs de paramètres sélectionnées sont définies pour ce rapport.
  4. Le rapport est créé et généré au format souhaité.
  5. Le nom de fichier est généré et le fichier est enregistré dans le dossier d'exportation du projet.
  6. Le nom de fichier complet est écrit dans la variable sélectionnée.


Paramètres généraux

Manuel -> Fonctions et scripts -> Fonctions -> Aperçu des fonctions dans zenon -> Report Generator / Report Viewer / Analyzer -> zenon Analyzer -> Paramètres généraux

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Paramètres généraux

Sur cet onglet, la connexion au serveur Analyzer est configurée et sélectionnée dans le rapport. Avant de basculer vers l’onglet Liste des paramètres :

  • La connexion au serveur Analyzer doit être établie
  • Cet onglet doit être complètement configuré

Les options disponibles dans l’onglet Liste des paramètres dépendent de votre sélection pour l’option Rapport.

Onglet Paramètres généraux

Serveur Analyzer

Option

Description :

Serveur Analyzer

Configuration de la connexion au serveur Analyzer.

Version

Sélectionnez la version du serveur Analyzer dans la liste déroulante. Disponible uniquement si aucune connexion n'est établie.

Nom de l’ordinateur

Saisie du nom de l'ordinateur sur lequel s'exécute le serveur Analyzer. Disponible uniquement si aucune connexion n'est établie.

Utiliser l’authentification Windows

Sélection du type d'authentification :

  • Active : L'authentification Windows est utilisée.
  • Inactive : L'utilisateur doit saisir le nom d'utilisateur et le mot de passe.

Identifiant utilisateur

Saisie du nom d'utilisateur.

Disponible uniquement si l'option Utiliser l'authentification Windows est inactive et aucune connexion n'a été établie.

Mot de passe

Saisie du mot de passe pour l'authentification.

Les caractères saisis ne sont pas affichés, et la longueur du mot de passe est masquée. Le mot de passe est enregistré sous forme chiffrée, et est uniquement déchiffré aux fins de l'établissement de la connexion.

Disponible uniquement si l'option Utiliser l'authentification Windows est inactive et aucune connexion n'a été établie.

Connexion sécurisée

Active : La connexion est établie de manière sécurisée.

Uniquement disponible pour zenon Analyzer, à partir de la version 3.00.

Réglages additionnels

Paramètres avancés de configuration du délai d'attente de la connexion. Ce délai peut être d'un jour maximum.

Cliquez sur le bouton pour ouvrir la boîte de dialogue de configuration.

Uniquement disponible pour zenon Analyzer, à partir de la version 3.00.

Établir la connexion

Cliquez sur le bouton pour établir une connexion au serveur Analyzer.

Une fois la connexion établie, les listes déroulantes des options Rapport et Format sont mises à jour.

Fermer la connexion

Cliquez sur le bouton pour déconnecter la connexion existante.

Création rapport

Option

Description :

Création rapport

Sélection des données de base du rapport.

Rapport

Sélection du rapport dans une liste déroulante :

Format

Sélection du format de sortie dans une liste déroulante :

  • CSV
  • Excel
  • MHTML (Archive Web)
  • PDF
  • Fichier TIFF
  • Word
  • Fichier XML contenant les données du rapport

Inclure l'horodatage dans le nom du fichier
  • Active : Les informations d'horodatage de l'exécution sont incluses dans le nom du fichier.

Séquence de la création du nom de fichier :

  • Le nom du rapport (sans chemin) constitue le point de départ.
    Exemple : Alarmes
  • Les informations d'horodatage sont ajoutées, si elles ont été activées. Exemple le 15/08/2014 à 15:20:00 : Alarms_2014_08_15_15_20_00
  • L'extension du nom de fichier est ensuite ajoutée, en fonction du format de sortie sélectionné.
    Exemple : Alarms_2014_08_15_15_20_00.pdf
  • S'il existe déjà un fichier avec ce nom dans le dossier d'exportation du projet, un compteur est ajouté jusqu'à ce que le nom du fichier soit unique.
    Exemple :
    Alarms_2014_08_15_15_20_00.pdf
    Alarms_2014_08_15_15_20_00 (2).pdf
    Alarms_2014_08_15_15_20_00 (3).pdf

Variable correspondant au chemin du fichier créé

Affiche la variable zenon actuellement sélectionnée contenant le chemin d'accès au fichier de rapport écrit.

Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de variables.

Conseil : Ainsi, en cas de fermeture d'une archive de lot ou de dépassement d'une valeur limite, un script peut envoyer un rapport événementiel‑via un e-mail envoyé depuis zenon. Cette variable est alors utilisée pour définir la pièce jointe de la fonction Envoi d'un message du module Message Control.
Procédure :

  • D'abord, la fonction de rapport écrivant la variable est exécutée.
  • Ensuite, la fonction Envoi d'un message est exécutée et lit le chemin de la pièce jointe à partir des variables.

Fermer boîte de dialogue

Options | Description :
OK | Applique toutes les modifications effectuées sur tous les onglets, puis ferme la boîte de dialogue.
Annuler | Annule toutes les modifications effectuées sur tous les onglets, puis ferme la boîte de dialogue.
Aide | Ouvre l'aide en ligne.


Liste des paramètres

Manuel -> Fonctions et scripts -> Fonctions -> Aperçu des fonctions dans zenon -> Report Generator / Report Viewer / Analyzer -> zenon Analyzer -> Liste des paramètres

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Liste des paramètres

La configuration des paramètres s'effectue sur cet onglet. Les contrôles proposés dépendent de la sélection du rapport sur l'onglet Paramètres généraux.

Onglet Liste de paramètres

Option

Description :

Liste des paramètres

Affichage des paramètres du rapport. L'ordre correspond à l'ordre dans le rapport.

Recommandation : Configurez les paramètres de haut en bas.

Nom paramètre

Affichage du nom du paramètre.
Cet élément ne peut pas être configuré ici.

Standard

Définit si le paramètre est défini sur sa valeur active.

  • Active : La valeur par défaut du rapport est utilisée.
  • Inactive : La valeur est sélectionnée individuellement, en cliquant sur la colonne Valeur.

Cliquez avec la souris ou appuyez sur la barre d'espacement après avoir sélectionné le paramètre pour cocher ou décocher la case. Si le paramètre possède une valeur par défaut, la case à cocher est grisée et inactive.

Valeur

Affiche la valeur actuelle du paramètre.

  • Si la case à cocher Standard est activée, le texte de la valeur par défaut est affiché ici et la cellule n'autorise aucune saisie.
  • Si la case à cocher Standard est désactivée, la valeur actuellement configurée est affichée ici.
    Cliquez sur la cellule ou appuyez sur la touche entrée lorsque le paramètre est sélectionné pour ouvrir la boîte de dialogue de saisie de la valeur correspondante.

Si un paramètre ne peut pas être saisi, le texte indisponible est affiché et la cellule est désactivée. Ceci signifie, par exemple, que les valeurs associées à un paramètre différent doivent être définies les premières pour renseigner la liste de valeurs.

Fermer boîte de dialogue

Options | Description :
OK | Applique toutes les modifications effectuées sur tous les onglets, puis ferme la boîte de dialogue.
Annuler | Annule toutes les modifications effectuées sur tous les onglets, puis ferme la boîte de dialogue.
Aide | Ouvre l'aide en ligne.

Conseil concernant les rapports de lot/d'équipe

Dans le Runtime, la valeur d'une variable chaîne de zenon est lue. Une recherche est effectuée sur cette chaîne (en tant qu'intitulé) dans la liste de valeurs prédéfinies pour le paramètre. La valeur de l'intitulé devant être mis en correspondance est alors la valeur du paramètre, c'est-à-dire l'équipe ou le lot sélectionné.

Les variables de lot d'une archive de lots peuvent être utilisées ici. Pour le rapport de lot, effectuez Analyzer : Créer rapport lors de la fermeture de l’archive de lot. Le rapport utilise alors le dernier lot de cette archive comme filtre de temps.


Paramètres avancés d'établissement de connexion sécurisée

Manuel -> Fonctions et scripts -> Fonctions -> Aperçu des fonctions dans zenon -> Report Generator / Report Viewer / Analyzer -> zenon Analyzer -> Paramètres avancés d'établissement de connexion sécurisée

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Paramètres avancés d'établissement de connexion sécurisée

Configuration du délai d'attente de la connexion Pour ouvrir la boîte de dialogue, cliquez sur le bouton Avancé dans l'onglet Paramètres généraux.

Paramètres

Description

Délai d'attente de connexion

Délai d'attente d'établissement de la connexion, en secondes. L'établissement de la connexion est annulé en cas de dépassement de ce délai.

  • Minimum : 1
  • Maximum : 86 400 (1 jour)

Par défaut : 100

OK

Applique les paramètres et ferme la boîte de dialogue.

Annuler

Annule toutes les modifications et ferme la boîte de dialogue.


Configuration des valeurs

Manuel -> Fonctions et scripts -> Fonctions -> Aperçu des fonctions dans zenon -> Report Generator / Report Viewer / Analyzer -> zenon Analyzer -> Configuration des valeurs

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Configuration des valeurs

Pour la configuration des valeurs des paramètres, différentes boîtes de dialogue sont disponibles pour chaque entrée. La configuration est effectuée en fonction de la possibilité de saisie pour les éléments suivants :

  • Une valeur sans valeur prédéfinie : Saisie de la valeur.
  • Plusieurs valeurs sans valeur prédéfinie : Saisie des valeurs et ajout à une liste.
  • Une valeur avec une valeur prédéfinie : Sélection dans une liste déroulante ou une liste.
  • Plusieurs valeurs avec une valeur prédéfinie : Sélection dans une liste.

La configuration d’une valeur dépend de la valeur précédente ayant été sélectionnée. Par exemple, des projets dont les archives et variables peuvent être configurés doivent être sélectionnés.
Les boîtes de dialogue proposées dépendent de la sélection du rapport :

Exemples de boîtes de dialogue fréquemment utilisées :

Equipment Groups (Groupes d'équipements)

Sélection des groupes d'équipements souhaités :

  1. Sélectionnez les groupes d'équipements souhaités dans la liste supérieure.
  2. Cliquez sur Ajouter.
    Les groupes sélectionnés sont ajoutés à la liste inférieure.
  3. Si vous souhaitez supprimer des groupes d'équipements, sélectionnez-les dans la liste inférieure, puis cliquez sur Supprimer.
  4. Pour transférer tous les groupes d'équipements sélectionnés vers le rapport, cliquez sur OK.

Archives

  1. Sélectionnez l'archive de votre choix dans la liste supérieure.
  2. Cliquez sur Ajouter.
    Les variables sélectionnées sont ajoutées à la liste inférieure.
  3. Si vous souhaitez supprimer ces archives, sélectionnez-les dans la liste inférieure, puis cliquez sur Supprimer.
  4. Pour transférer tous les groupes d'archives sélectionnés vers le rapport, cliquez sur OK.

Compression

  1. Sélectionnez la compression souhaitée dans la liste déroulante.
  2. Cliquez sur OK.

Fonction de compression

  1. Sélectionnez la fonction de compression souhaitée dans la liste déroulante.
  2. Cliquez sur OK.

Projets

  1. Sélectionnez le projet souhaité dans la liste supérieure.
  2. Cliquez sur Ajouter.
    Les projets sélectionnés sont ajoutés à la liste inférieure.
  3. Si vous souhaitez supprimer ces projets, sélectionnez-les dans la liste inférieure, puis cliquez sur Supprimer.
  4. Pour transférer tous les projets sélectionnés vers le rapport, cliquez sur OK.

Variables

Sélection des variables souhaitées.

  1. Sélectionnez les variables souhaitées dans la liste supérieure.
  2. Cliquez sur Ajouter.
    Les variables sélectionnées sont ajoutées à la liste inférieure.
  3. Si vous souhaitez supprimer les variables, sélectionnez-les dans la liste inférieure, puis cliquez sur Supprimer.
  4. Pour transférer toutes les variables sélectionnées vers le rapport, cliquez sur OK.

Intervalle

  1. Sélectionnez la date et l'heure souhaitées pour les paramètres :
    1. De
    2. À
  2. Cliquez sur OK.


Recettes

Manuel -> Fonctions et scripts -> Fonctions -> Aperçu des fonctions dans zenon -> Recettes

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Ce groupe contient les fonctions concernant la gestion des recettes standard et des recettes du module optionnel Recipe Group Manager.

Fonction

Description

Recipe Group Manager

Cette fonction écrit, lit, copie, importe ou exporte la recette sélectionnée du module optionnel Recipe Group Manager (RGM). De façon optionnelle, une boîte de dialogue pour l’utilisateur peut être ouverte avant.

Pour plus de détails, reportez-vous au chapitre : Recipe Group Manager (Gestionnaire de groupes de recettes)

Recette standard

Cette fonction écrit, lit, copie, importe ou exporte la recette standard sélectionnée. De façon optionnelle, une boîte de dialogue pour l’utilisateur peut être ouverte avant.

Pour plus de détails, reportez-vous au chapitre : Recette standard

Recette standard unique directe

Cette fonction envoie les valeurs de la recette standard sélectionnée dans l'automate.

Pour plus de détails, reportez-vous au chapitre : Recette standard unique directe

Recette standard unique avec dialogue

Cette fonction ouvre une boîte de dialogue où l'utilisateur peut modifier et exécuter une recette standard.

Pour plus de détails, reportez-vous au chapitre : Recette standard unique avec dialogue

Recette standard unique avec dialogue en ligne

Cette fonction ouvre une boîte de dialogue où l'utilisateur peut sélectionner une recette standard, puis ensuite peut éventuellement la modifier ou l'exécuter.

Pour plus de détails, reportez-vous au chapitre : Recette standard unique avec dialogue en ligne


Séquenceur de commandes

Manuel -> Fonctions et scripts -> Fonctions -> Aperçu des fonctions dans zenon -> Séquenceur de commandes

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Ce groupe contient les fonctions relatives au module optionnel Serveur d'archives.

Fonction

Description

Exporter séquences de commandes

Cette fonction exporte les séquences de commandes configurées sous forme de fichier XML.

Pour plus de détails, reportez-vous au chapitre : Exporter les séquences de commandes.

Importer séquences de commandes

Cette fonction importe les séquences de commandes depuis un fichier XML.

Pour plus de détails, reportez-vous au chapitre : Importer les séquences de commandes.

Apprendre les séquences de commande

Cliquez sur ce bouton pour démarrer ou arrêter le processus d'apprentissage dans le Runtime.
Cette fonction est particulièrement utile pour démarrer l'apprentissage dans un synoptique de procédé dans le Runtime sans devoir basculer vers l'éditeur de séquences de commandes.

Pour plus de détails, reportez-vous au chapitre : Apprendre les séquences de commandes

Exécuter la commande des séquences de commandes ou le basculement de mode

Cette fonction permet de transmettre des commandes de contrôle à l'exécution de séquences de commandes.

Pour plus de détails, reportez-vous au chapitre : Exécuter la séquence de commandes ou le changement de mode


Script

Manuel -> Fonctions et scripts -> Fonctions -> Aperçu des fonctions dans zenon -> Script

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Ce groupe contient les fonctions pour la gestion des scripts.

Fonction | Description
Script : exécuter | Cette fonction exécute le script sélectionné. Pour plus de détails, reportez-vous au chapitre : Script : exécuter
Script : sélection en ligne | Cette fonction ouvre une boîte de dialogue dans laquelle l'utilisateur sélectionne et exécute un script. Pour plus de détails, reportez-vous au chapitre : Script : sélection en ligne


Variable

Manuel -> Fonctions et scripts -> Fonctions -> Aperçu des fonctions dans zenon -> Variable

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Ce groupe contient les fonctions concernant les variables.

Fonction

Description

Exporter les données

Cette fonction exporte les valeurs stockées sur le disque dur (*.HDD) des variables sélectionnées dans un format externe.

Pour plus de détails, reportez-vous au chapitre : Exporter les données

Lire un fichier dBase

Cette fonction lit le fichier dBase sélectionné et l'exécute comme une recette.

Pour plus de détails, reportez-vous au chapitre : Lire un fichier dBase

Imprimer valeurs actuelles

Cette fonction imprime les valeurs actuelles des variables sélectionnées.

Pour plus de détails, reportez-vous au chapitre : Imprimer valeurs actuelles

Conversion d'unités de mesure

Bascule d'une unité de base vers une unité de conversion.

Pour plus de détails, reportez-vous au chapitre : Conversion d'unités

Gestion HD inactive

Cette fonction désactive le stockage des données sur disque dur. Les fichiers HDD ne sont pas écrits.

Pour plus de détails, reportez-vous au chapitre : Gestion HD inactive

Gestion HD active

Cette fonction active le stockage des données sur disque dur. Les fichiers HDD sont écrits.

Pour plus de détails, reportez-vous au chapitre : Gestion HD active

Gestion HD inactive/active

Cette fonction active ou désactive le stockage des données sur disque dur. Les fichiers HDD sont (ou ne sont pas) écrits.

Pour plus de détails, reportez-vous au chapitre : Gestion HD inactive/active

Ecriture valeur prescrite

Cette fonction envoie une nouvelle valeur vers l'automate dans la variable sélectionnée.

Pour plus de détails, reportez-vous au chapitre : Spécifier valeur prescrite

Commandes driver

Cette fonction envoie une commande donnée au driver sélectionné. De façon optionnelle, une boîte de dialogue pour l’utilisateur peut être ouverte avant.

Pour plus de détails, reportez-vous au chapitre : Commandes driver

Transférer l'image de simulation du driver vers le serveur redondant

Uniquement exécutée sur le serveur redondant.

Lors de l'exécution, demande au serveur une image correspondant aux drivers sélectionnés. Le driver dispose d'un délai de 5 secondes à cette fin.

Pour plus de détails, reportez-vous au chapitre : Transférer l'image de simulation du driver vers le serveur de secours

Écrire l'heure dans la variable

Cette fonction lit l'heure système et l'écrit dans une variable de type STRING dans l'automate. Ainsi l’heure système de l’automate peut être synchronisée avec celle du PC.

Pour plus de détails, reportez-vous au chapitre : Écrire l'heure dans la variable

Lire l'heure depuis la variable

Cette fonction lit l'heure à partir d'une variable de type STRING de l'automate et définit avec celle-ci l'heure système du PC. Ainsi l’heure système de l’automate peut être synchronisée avec celle du PC.

Pour plus de détails, reportez-vous au chapitre : Lire l'heure depuis la variable


VBA

Manuel -> Fonctions et scripts -> Fonctions -> Aperçu des fonctions dans zenon -> VBA

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Ce groupe contient les fonctions concernant les macros VBA.

Fonction | Description
Ouvrir l'éditeur PCE | Cette fonction ouvre l'éditeur du module optionnel Process Control Engine (PCE) Pour plus de détails, reportez-vous au chapitre : Ouvrir l'éditeur PCE
Ouvrir l'éditeur VBA | Cette fonction ouvre l'éditeur VBA. Pour plus de détails, reportez-vous au chapitre : Ouvrir l'éditeur VBA
Exécuter macro VBA | Cette fonction exécute la macro VBA sélectionnée. Attention : L'événement VBA projet inactif est exécuté par le script AUTO_END_xxx. Par conséquent, la fonction Exécuter macro VBA de zenon n'est plus exécutée dans les scripts, car VBA n'est pas en cours d'exécution à ce stade. Les macros VBA devant être exécutées dans "AUTO_END" doivent être appelées via Project.Inactive. Pour plus de détails, reportez-vous au chapitre : Exécuter macro VBA
Montrer la boite de dialogue des macros VBA | Cette fonction ouvre la boîte de dialogue des macros VBA. Pour plus de détails, reportez-vous au chapitre : Montrer la boîte de dialogue des macros VBA


VSTA

Manuel -> Fonctions et scripts -> Fonctions -> Aperçu des fonctions dans zenon -> VSTA

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Ce groupe contient les fonctions pour la gestion des VSTA.

Fonction | Description
Ouvrir l'éditeur VSTA | Cette fonction ouvre l'éditeur VSTA. Pour plus de détails, reportez-vous au chapitre : Ouvrir l'éditeur VSTA
Exécuter macro VSTA | Cette fonction exécute la macro VSTA sélectionnée. Pour plus de détails, reportez-vous au chapitre : Exécuter macro VSTA
Montrer la boite de dialogue des macros VSTA | Cette fonction ouvre la boîte de dialogue des macros VSTA. Pour plus de détails, reportez-vous au chapitre : Montrer la boîte de dialogue des macros VSTA


Windows

Manuel -> Fonctions et scripts -> Fonctions -> Aperçu des fonctions dans zenon -> Windows

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Ce groupe contient les fonctions concernant Windows.

Fonction | Description
Lire un fichier audio | Cette fonction lit un fichier audio (*.wav) sélectionné une fois. Pour plus de détails, reportez-vous au chapitre : Lire un fichier audio
Opérations sur fichiers | Cette fonction copie, supprime ou déplace les fichiers sélectionnés. De façon optionnelle, une boîte de dialogue pour l’utilisateur peut être ouverte avant. Pour plus de détails, reportez-vous au chapitre : Opérations sur fichiers
Son beep : début | Cette fonction lit un fichier audio (*.wav) sélectionné de façon continue. Pour plus de détails, reportez-vous au chapitre : Son beep : début
Son beep : fin | Cette fonction arrête la lecture continue d'un fichier audio (*.wav). Pour plus de détails, reportez-vous au chapitre : Son beep : fin
Fenêtre en arrière-plan | Cette fonction bascule le Runtime zenon en tâche de fond. Pour plus de détails, reportez-vous au chapitre : Fenêtre en arrière-plan
Fenêtre en avant-plan | Cette fonction bascule le Runtime zenon vers le premier plan. Pour plus de détails, reportez-vous au chapitre : Fenêtre en avant-plan
Imprimer copie d'écran | Cette fonction imprime soit l'écran actuel, soit le synoptique actuel d'un cadre donné. De façon optionnelle, l'impression peut être redirigée vers un fax. Pour plus de détails, reportez-vous au chapitre : Imprimer une capture d'écran
Exécuter un programme | Cette fonction démarre un programme externe. Des paramètres d’appel peuvent être définis. De façon optionnelle, une boîte de dialogue pour l’utilisateur peut être ouverte avant. Pour plus de détails, reportez-vous au chapitre : Exécuter un programme


Configuration dans Editor

Manuel -> Fonctions et scripts -> Fonctions -> Configuration dans Editor

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Vous pouvez configurer les fonctions dans le Runtime dans zenon Editor.

Autres sujets abordés dans ce chapitre

Créer et éditer des fonctions

Sélectionner une fonction

Supprimer une fonction

Insérer des fonctions à partir d'autres projets


Créer et éditer des fonctions

Manuel -> Fonctions et scripts -> Fonctions -> Configuration dans Editor -> Créer et éditer des fonctions

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Créer une nouvelle fonction :

Dans le menu contextuel de la section Fonctions du gestionnaire de projet, les commandes suivantes sont disponible :

Paramètre | Description
Nouvelle fonction … | Une nouvelle fonction est créée et peut être définie dans la fenêtre des propriétés.
Nouveau script | Un nouveau Script (liste de fonctions) est créé.
Exporter tout (XML) | Exporte toutes les fonctions vers un fichier XML. Voir le chapitre Import/Export.
Importer XML... | Importe des fonctions à partir d'un fichier XML. Voir le chapitre Import/Export.
Ouvrir dans une nouvelle fenêtre ... | Ouvre une nouvelle vue de détail avec la liste des fonctions dans une nouvelle fenêtre.
Profil | Voir le chapitre Profils.


Sélectionner une fonction

Manuel -> Fonctions et scripts -> Fonctions -> Configuration dans Editor -> Sélectionner une fonction

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Pour créer une nouvelle fonction, sélectionnez l'entrée Nouvelle fonction. La boîte de dialogue de sélection de fonction s'ouvre. Si une fonction est sélectionnée, l'aide associée est affichée dans la partie inférieure de la boîte de dialogue. Cette aide donne des explications sur la fonction sélectionnée. Vous trouverez plus d'informations au chapitre Présentation des fonctions.

Une fonction est créée lorsque vous la sélectionnez et confirmez en cliquant sur OK. Les paramètres de cette nouvelle fonction peuvent maintenant être modifiés dans la fenêtre des propriétés.

Sélectionnez le bouton Aide dans la boîte de dialogue après avoir effectué votre sélection pour accéder directement à la fonction correspondante dans l'aide en ligne.

De façon similaire à la fenêtre des propriétés, vous avez aussi la possibilité de définir des favoris. Le nœud Favoris se situe toujours en haut de la liste. Par défaut, il contient les fonctions Appel de synoptique et Ecriture valeur prescrite. Vous pouvez ajouter ou supprimer n'importe quelle fonction de la section Favoris à l'aide du menu contextuel ou d'une manipulation glisser-déplacer.

Si une fonction est sélectionnée, l'aide associée est affichée dans la partie inférieure de la boîte de dialogue. Vous trouverez plus d'informations sur chaque fonction au chapitre Présentation des fonctions.


Supprimer une fonction

Manuel -> Fonctions et scripts -> Fonctions -> Configuration dans Editor -> Supprimer une fonction

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Pour pouvoir supprimer une fonction, la fonction doit être sélectionnée dans la vue de détail et supprimée avec la touche DEL.


Insérer des fonctions à partir d'autres projets

Manuel -> Fonctions et scripts -> Fonctions -> Configuration dans Editor -> Insérer des fonctions à partir d'autres projets

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Il est possible d'insérer des fonctions d'un autre projet du même espace de travail.

Ceci est possible pour les synoptiques (fonctions à l'ouverture et à la fermeture, boutons), valeurs limite, commandes temporisées, plannings, scripts, menus, projet (appel fonction automatique, archive).


Fonctions système

Manuel -> Fonctions et scripts -> Fonctions -> Fonctions système

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Les fonctions système ne se limitent pas à un module. Elles ont un effet sur la configuration globale du projet dans zenon et sur les paramètres de l'ordinateur de contrôle (sélection d'une imprimante, par exemple).

Autres sujets abordés dans ce chapitre

Fonctions - application

Fonctions - Windows


Fonctions - application

Manuel -> Fonctions et scripts -> Fonctions -> Fonctions système -> Fonctions - application

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Fonctions générales de zenon

Paramètres | Description
Sélection imprimante | Cette fonction ouvre une boîte de dialogue qui permet à l'utilisateur de sélectionner les imprimantes utilisées pour l'impression des différentes parties du projet. Remarque : Cette fonction n'est pas disponible pour les terminaux CE.
Démarrer la Gestion de charge |
Arrêter la Gestion de charge |
Imprimer le diagramme Extended Trend | Cette fonction vous permet d’imprimer des diagrammes du module Extended Trend ou de les enregistrer dans un fichier (JPG, BMP ou SVG) sans ouvrir l’écran Extended Trend.
Changer de palette | Crée une fonction permettant de changer de palettes de couleurs dans le Runtime.
Fonctions 'activer' sur valeurs limites | Cette fonction active la gestion des fonctions. Les fonctions exécutées automatiquement (par exemple, par les commandes temporisées ou les dépassements de valeurs limites, etc.) sont exécutées.
Fonctions 'activer/désactiver' sur valeurs limites | Cette fonction active ou désactive la gestion des fonctions. Les fonctions exécutées automatiquement (par exemple, par les commandes temporisées ou les dépassements de valeurs limites, etc.) sont exécutées ou non.
Fonctions 'désactiver' sur valeurs limites | Cette fonction désactive la gestion des fonctions. Les fonctions exécutées automatiquement (par exemple, par les commandes temporisées ou les dépassements de valeurs limites, etc.) ne sont pas exécutées.
Ouvrir l'aide | Cette fonction ouvre une page d'aide donnée à partir d'un fichier CHM.
Réinitialiser projet en ligne | Cette fonction recharge les fichiers modifiés du Runtime dans Editor.
Simuler le clic droit | Cette fonction interprète le prochain clic souris comme si c'était un clic avec le bouton droit de la souris.
Enregistrer les données rémanentes | Autorise l'enregistrement des données des modules configurés. Les choix proposés sont les suivants : Buffer circulaire AML, buffer circulaire CEL, driver système et driver mathématique, driver interne, images rémanentes de tous les drivers, verrouillage du module Gestion des commandes.
Arrêter le Runtime | Cette fonction ferme le Runtime du système de contrôle.
Exécuter une fonction SAP | Exécute une fonction SAP définie dans l'interface SAP dans le Runtime. La fonction SAP déclenche à son tour une fonction Remote Function Call (RFC) dans le système SAP.
Changement de langue | Pour les projets multilingues, cette fonction bascule le Runtime dans la langue sélectionnée.

Autres sujets abordés dans ce chapitre

Sélection imprimante

Fonctions : activer sur valeur limite

Fonctions : désactiver sur valeur limite

Fonction : activer/désactiver sur valeur limite

Réinitialiser projet en ligne

Quitter le programme

Simuler le clic droit

Enregistrer les données rémanentes


Sélection imprimante

Manuel -> Fonctions et scripts -> Fonctions -> Fonctions système -> Fonctions - application -> Sélection imprimante

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Les imprimantes pour les différentes listes sont généralement définies dans la Configuration Standard.

Cette fonction est utilisée pour changer la sélection d'imprimantes pendant le Runtime. Cette fonction ne nécessite aucun paramètre.

Les paramétrages des imprimantes sont effectués comme décrit au chapitre Configuration/Standard/Imprimante.


Fonctions : activer sur valeur limite

Manuel -> Fonctions et scripts -> Fonctions -> Fonctions système -> Fonctions - application -> Fonctions : activer sur valeur limite

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Cette fonction permet d'activer la gestion des fonctions relatives aux valeurs limites dans le Runtime.


Fonctions : désactiver sur valeur limite

Manuel -> Fonctions et scripts -> Fonctions -> Fonctions système -> Fonctions - application -> Fonctions : désactiver sur valeur limite

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Cette fonction permet de désactiver la gestion des fonctions relatives aux valeurs limites dans le Runtime.


Fonction : activer/désactiver sur valeur limite

Manuel -> Fonctions et scripts -> Fonctions -> Fonctions système -> Fonctions - application -> Fonction : activer/désactiver sur valeur limite

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Cette fonction vous permet d'activer ou désactiver les fonctions relatives aux valeurs limites sur les états 0 et 1 dans le Runtime. L'état enregistré dans le fichier zenon6.ini sera chargé au démarrage du Runtime.

[FUNKTIONEN]

ON=0 -> inactif

ON=1 -> actif


Réinitialiser projet en ligne

Manuel -> Fonctions et scripts -> Fonctions -> Fonctions système -> Fonctions - application -> Réinitialiser projet en ligne

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Cette fonction charge les fichiers Runtime modifiés sans avoir à redémarrer le Runtime.

info Informations

Si les noms du serveur ou du serveur redondant sont modifiés dans Editor, ils ne peuvent pas être chargés ultérieurement. Ils ne peuvent être mis à jour que par un redémarrage du Runtime.

attention Attention

Les fichiers graphiques PNG ne peuvent pas être remplacés s'ils sont actuellement affichés dans le Runtime.

Arrière-plan : Le Runtime protège les fichiers .png ouverts. Ceci évite qu'ils ne soient remplacés.

Solution : Avant d'activer Remote Transport, assurez-vous que les synoptiques comportant des fichiers *.png :

  • Ne sont pas appelés dans le Runtime
  • Ne sont pas utilisés par un autre programme

Cela s'applique également à l'actualisation des fichiers Runtime modifiés. La synchronisation dans le Runtime sur le réseau ne fonctionne pas pour un synoptique comportant un fichier *.png si l'appel de synoptique est effectué sur un ordinateur zenon impliqué dans le procédé (serveur redondant, client).


Quitter le programme

Manuel -> Fonctions et scripts -> Fonctions -> Fonctions système -> Fonctions - application -> Quitter le programme

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Cette fonction est utilisée pour quitter le Runtime de façon définie (enregistrement dans la CEL, fermeture des archives, exécution du script AUTOEND, etc.)

Aucun paramètre de transfert n'est nécessaire dans ce cas.

attention Attention
  • L'événement VBA projet inactif est exécuté par le script AUTO_END_xxx. Par conséquent, la fonction Exécuter macro VBA de zenon n'est plus exécutée dans les scripts, car VBA n'est pas en cours d'exécution à ce stade. Les macros VBA devant être exécutées dans AUTO_END doivent être appelées via Project.Inactive.
  • Il n'est pas nécessaire de spécifier les archives cycliques dans le script AUTOEND.


Simuler le clic droit

Manuel -> Fonctions et scripts -> Fonctions -> Fonctions système -> Fonctions - application -> Simuler le clic droit

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Après l'exécution de cette fonction pendant le Runtime, le prochain clic de souris ou la prochaine pression sur l'écran tactile sera interprété(e) comme un clic de souris avec le bouton droit.

Avec cette fonction, il est possible alors d'utiliser un menu contextuel sur les écrans tactiles.

Aucun paramètre de transfert n'est nécessaire dans ce cas.


Enregistrer les données rémanentes

Manuel -> Fonctions et scripts -> Fonctions -> Fonctions système -> Fonctions - application -> Enregistrer les données rémanentes

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

La fonction Enregistrer les données rémanentes permet d'enregistrer les données rémanentes à tout instant dans le Runtime. La fonction peut être importée et exportée. Pour configurer la fonction :

  1. Sélectionnez Nouvelle fonction
  2. Accédez au nœud Applications.
  3. Sélectionnez Enregistrer les données rémanentes.
  4. La boîte de dialogue de sélection des modules s'affiche.

Module | Description
Mémoire circulaire de la liste d'alarmes | Active : la mémoire circulaire de la liste AML est enregistrée.
Mémoire circulaire de la liste d'événements | Active : La mémoire circulaire CEL est enregistrée.
Driver système et driver mathématique | Active : les données du driver système et du driver mathématique sont enregistrées.
Driver interne | Active : les données du driver interne sont enregistrées.
Images rémanentes de tous les drivers | Active : les données de tous les drivers sont enregistrées.
Verrouillage de la gestion des commandes | Active : les données de verrouillage de la gestion des commandes sont enregistrées.

Si des erreurs se produisent durant le processus d'enregistrement, elles sont consignées dans le journal des erreurs.

info Informations

Si le Runtime fonctionne en mode Simulation (simulation de projet active), la fonction Enregistrer les données rémanentes n'enregistre pas les valeurs pour les drivers suivants :

  • Driver interne
  • Driver mathématique
  • Driver système


Fonctions - Windows

Manuel -> Fonctions et scripts -> Fonctions -> Fonctions système -> Fonctions - Windows

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Fonction déclenchant une action dans le système d'exploitation.

Paramètres | Description
Lire un fichier audio | Cette fonction lit un fichier audio (*.wav) sélectionné une fois.
Opérations sur fichiers | Cette fonction copie, supprime ou déplace les fichiers sélectionnés. De façon optionnelle, une boîte de dialogue pour l’utilisateur peut être ouverte avant.
Son beep : début | Cette fonction lit un fichier audio (*.wav) sélectionné de façon continue.
Son beep : fin | Cette fonction arrête la lecture continue d'un fichier audio (*.wav).
Fenêtre en arrière-plan | Cette fonction bascule le Runtime du système de contrôle en tâche de fond.
Fenêtre en avant-plan | Cette fonction bascule le Runtime zenon vers le premier plan. Attention : lorsque le Runtime passe au premier plan, il recouvre la barre d’état des alarmes.
Exécuter un programme | Cette fonction démarre un programme externe. Des paramètres d’appel peuvent être définis. De façon optionnelle, une boîte de dialogue pour l’utilisateur peut être ouverte avant.

Autres sujets abordés dans ce chapitre

Lire un fichier audio

Opérations sur fichiers

Son bip : début

Son bip : fin

Fenêtre en arrière-plan

Fenêtre en avant-plan

Exécuter un programme


Lire un fichier audio

Manuel -> Fonctions et scripts -> Fonctions -> Fonctions système -> Fonctions - Windows -> Lire un fichier audio

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Cette fonction est utilisée pour lire le fichier audio indiqué (*.wav) une fois, quel que soit l'instant auquel la fonction est appelée dans le Runtime. Indiquez le fichier audio comme paramètre de transfert.


Opérations sur fichiers

Manuel -> Fonctions et scripts -> Fonctions -> Fonctions système -> Fonctions - Windows -> Opérations sur fichiers

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Une opération sur fichier (copier, déplacer ou supprimer) peut être effectuée en utilisant cette fonction.
L’opération sur fichier et les paramètres du fichier doivent être indiqués comme paramètres de transfert. La configuration de cette fonction s'effectue par le biais d'une boîte de dialogue de saisie.

Remarque : Copier et déplacer plusieurs fichiers avec le même renommage de l’extension de fichier est impossible.

Liste des opérations sur fichiers possibles :

Paramètres | Description
Copier | Copie des fichiers à partir d'un nom et d'un chemin vers un nouveau nom et chemin. Les paramètres sont pris en compte.
Déplacer | Déplace des fichiers à partir d'un nom et d'un chemin vers un nouveau nom et chemin et les supprime du répertoire source. Les paramètres sont pris en compte.
Supprimer | Supprime des fichiers. Les paramètres sont pris en compte. Attention : Les fichiers ne sont pas déplacés dans la Corbeille de Windows, mais sont directement et définitivement supprimés.

Si la source donnée ne peut pas être trouvée (fichier ou chemin absent ou incorrect) la fonction n'est pas exécutée. Par défaut, aucun message d'erreur n'est généré. Vous pouvez aussi forcer un message d'erreur par l'intermédiaire des options ; nous ne recommandons pas de le faire, car ceci risque de bloquer le Runtime ou l'exécution d'autres fonctions.

D'autres options peuvent être configurées après la définition de l'opération sur fichiers :

Paramètres

Description

Source / Cible

Entrez le chemin du fichier source et du fichier cible. Vous pouvez aussi utiliser des caractères génériques (*) pour la source et la cible. (Les opérateurs sont uniquement autorisés sous forme de préfixe ou de suffixe, par exemple, *xxx ou xxx*.)
Il existe trois manières de définir le chemin :

  • chemin absolu (vous pouvez aussi utiliser le bouton "..." à côté du champ d'édition).
  • Chemin relatif, selon le dossier du Runtime (Lien : plus d'informations sur le dossier du Runtime)
  • Chemin relatif par rapport au dossier de données. Lien : plus d'informations concernant le dossier de données).

Par exemple :

Chemin absolu :
Source C:\temp\database.mdb vers cible D:\backup\ -> Le fichier database.mdb est copié vers le répertoire D:\backup\. Pour que la copie fonctionne, le répertoire cible doit déjà existé et doit être suivi d'une barre oblique inversée (\).

Chemin relatif :
Chemin relatif par rapport au répertoire de données : *.aml vers la cible D:\backup\ copie tous les fichiers de la liste d'alarmes vers le dossier D:\backup\.

Renommer des fichiers :
Il est possible de renommer les fichiers uniques. Par exemple : C:\temp\datenbank.mdb vers la cible D:\backup\backupdb.mdb copie le fichier datenbank.mdb vers le répertoire D:\backup\ et le renomme en backupdb.mdb.

Renommer plusieurs fichiers simultanément en utilisant des caractères génériques n'est pas possible.

Tenir compte des sous-dossiers

La recherche des fichiers se fait aussi dans les sous-dossiers du dossier source et crée la même arborescence dans le répertoire cible.

Attention : Conjointement à l'option Supprimer, les fichiers et les dossiers ne sont pas déplacés dans la Corbeille, mais sont directement et définitivement supprimés.

Remplacer les fichiers existants

Si le fichier source existe déjà dans le répertoire de destination, il sera écrasé par le nouveau fichier.

Afficher messages d'erreur

Si la copie ou le déplacement n'est pas possible, un message d'erreur sera affiché en tant que message système. Nous ne recommandons pas d'activer cette option, car cela risque de bloquer le Runtime ou l'exécution d'autres fonctions.

Afficher la boite de dialogue en Runtime

Avant l'exécution de la fonction en Runtime, une boîte de dialogue est affichée qui permet à l'opérateur de modifier les paramètres (opération, source, cible, etc.). Les paramètres modifiés sont conservés en Runtime. Dans cette boîte de dialogue, l'option Afficher la boîte de dialogue en Runtime, n'est pas présente.

Exécuter uniquement sur les fichier(s)

L'opération sur fichiers n'est exécutée que selon les critères de temps définis (jours, heures)

Pas plus récent que

Le fichier doit être plus ancien que la durée spécifiée. "1 jour" signifie toujours 24 heures après l'heure d'exécution.

Plus récent que

Le fichier doit être plus récent que l'heure spécifiée. "1 jour" signifie toujours 24 heures après l'heure d'exécution.
Remarque : "pas plus ancien que" doit être supérieur à "pas plus récent que".


Son bip : début

Manuel -> Fonctions et scripts -> Fonctions -> Fonctions système -> Fonctions - Windows -> Son bip : début

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Cette fonction permet de lire le fichier audio défini (*.wav) de manière répétée dans le Runtime via un appel de fonction, jusqu'à ce que la fonction Son bip : fin soit exécutée. Indiquez le fichier audio comme paramètre de transfert.


Son bip : fin

Manuel -> Fonctions et scripts -> Fonctions -> Fonctions système -> Fonctions - Windows -> Son bip : fin

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Cette fonction arrête la lecture répétée d'un fichier (*.wav) démarrée via la fonction Son bip : début.


Fenêtre en arrière-plan

Manuel -> Fonctions et scripts -> Fonctions -> Fonctions système -> Fonctions - Windows -> Fenêtre en arrière-plan

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Avec cette fonction, la fenêtre zenon est basculée vers l'arrière-plan durant le Runtime. L'entrée SYSKEY du fichier project.ini n'est pas prise en compte. La sélection d’autres applications (gestionnaire des programmes) est possible.

[DEFAULT] |
... |
SYSKEY= | 0 – les touches systèmes sont actives
 | 1 – les touches système sont inopérantes

Aucun paramètre de transfert n'est nécessaire dans ce cas.


Fenêtre en avant-plan

Manuel -> Fonctions et scripts -> Fonctions -> Fonctions système -> Fonctions - Windows -> Fenêtre en avant-plan

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Avec cette fonction, la fenêtre zenon est basculée vers le premier plan durant le Runtime. Toutes les autres applications sont basculées en tâche de fond (exception : les applications comportant le paramètre Toujours au premier plan). L'entrée SYSKEY dans le fichier project.ini est prise en compte.

Entrée

Signification

[DEFAULT]

SYSKEY=

Blocage ou activation des touches système :

  • 0 : Touches système actives
  • 1 : les touches système sont bloquées (par défaut)

Aucun paramètre de transfert n'est nécessaire dans ce cas.

info Informations

Lors du basculement du Runtime vers l’arrière-plan avec la fonction Fenêtre en avant-plan, la fenêtre du Runtime est définie comme fenêtre supérieure.

Veuillez tenir compte des cas spéciaux suivants :

  • Le clavier DIALOGKBD ne peut pas être appelé dans cette situation.
    D’autres claviers peuvent être utilisés.
  • La ligne d’état des alarmes est couverte par la fenêtre du Runtime.

Les fonctions suivantes sont à votre disposition pour replacer la ligne d’état des alarmes en arrière-plan :

  • Activez les touches de symboles (désactivez Bloquer les touches système propriété de projet ) et replacez la ligne d’état des alarmes dans l’arrière-plan avec Alt+Tab.
  • Activez la barre des tâches de Windows et cliquer sur la fenêtre État
  • Déplacez à nouveau Runtime dans l’arrière-plan.
  • Redémarrez le Runtime.

Remarque : La fonction Fenêtre en avant-plan n’est pas identique à la fonction Mettre le gabarit au premier plan!


Exécuter un programme

Manuel -> Fonctions et scripts -> Fonctions -> Fonctions système -> Fonctions - Windows -> Exécuter un programme

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Cette fonction est utilisée pour exécuter un programme externe (*.EXE) pendant le mode de fonctionnement en ligne. Lors de l'exécution de la fonction, les paramètres pour l'application à démarrer peuvent être définis.

Indiquez le fichier programme (*.EXE) comme paramètre de transfert. La configuration de cette fonction s'effectue par le biais d'une boîte de dialogue de saisie.

Les options pouvant être configurées sont les suivantes :

Paramètres | Description
Nom | nom du fichier à exécuter; recherche et sélection par bouton
Paramètres | paramètres d'appel du programme
Afficher cette boîte de dialogue dans le Runtime | change le programme et les paramètres en mode de fonctionnement en ligne à l'appel de la fonction

Le programme est sélectionné via une boîte de dialogue

Pour lancer un programme, il doit être localisé dans le chemin de recherche (environnement système sous Windows NT). Les programmes définis par l'utilisateur (Visual Basic) doivent être sauvegardés dans le chemin d'installation de zenon.

Lorsque la liste d'alarmes est active et qu'une alarme a été sélectionnée, l'appel des noms de variables peut être transféré sous forme de paramètre (pour les systèmes de bases de données externes). Le paramètre est transféré en tant que mot clé.

Paramètres | Description
@alarm.name | Nom variable
@alarm.unit | unité de la variable
@alarm.value | valeur qui dépasse une limite
@alarm.stext | Texte de valeur limite
@alarm.ctime | Heure d'apparition (valeur en secondes depuis 1.1.1970)
@alarm.ctimemilli | avec millisecondes
@alarm.gtime | Heure de disparition
@alarm.gtimemilli | avec millisecondes
@alarm.qtime | Heure d'acquittement
@alarm.user | utilisateur ayant acquitté
@alarm.identification | Identification de la variable

si aucune liste d'alarmes (AML) n'est ouverte ou plusieurs ou aucune alarme n'est sélectionnée, aucun paramètre de transfert n'est généré. Si plusieurs listes d'alarmes sont ouvertes (liste globale ou sélective), l'entrée sélectionnée de la première liste trouvée est utilisée.

Si la Liste d'événements est active et qu'une entrée a été sélectionnée, l'appel de programme du nom de variable peut être transféré comme paramètre (pour les systèmes de bases de données externes). Le paramètre est transféré en tant que mot clé.

Paramètres | Description
@cel.name | Nom variable
@cel.unit | unité de la variable (seulement si une variable est reliée)
@cel.value | valeur qui dépasse une valeur limite (seulement si la valeur limite est définie)
@cel.stext | Texte de valeur limite
@cel.ctime | Heure d'apparition (valeur en secondes depuis 1.1.1970)
@cel.ctimemilli | avec millisecondes
@cel.user | utilisateur ayant acquitté
@cel.identification | Identification de la variable

si aucune liste de CEL n'est ouverte ou si plusieurs s sontsélectionnées, aucun paramètre de transfert n'est généré. Si plusieurs listes de CEL sont ouvertes (liste globale ou sélective), l'entrée sélectionnée de la première liste trouvée est utilisée.

Les paramètres additionnels sont :

@screen

le synoptique depuis lequel est exécuté la fonction.

Cette fonction a pour but de tenir compte des effets du programme lancé sur la totalité du système (ressources requises, gestion multitâches, stabilité du programme, etc.)


Fonctions du réseau

Manuel -> Fonctions et scripts -> Fonctions -> Fonctions du réseau

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Si des fonctions de gestion du réseau sont utilisées, il est important de noter l'emplacement d'exécution :

Pour les fonctions utilisées sur le réseau :

  • L'emplacement d'exécution peut être librement configuré, dans certains cas
  • L'emplacement d'exécution est prédéfini, dans d'autres cas

info Informations

Les scripts associent plusieurs fonctions. L'emplacement d'exécution dépend alors des paramètres de la fonction Exécuter le script. Ce paramètre remplace les paramètres des fonctions individuelles.

Configurez l'emplacement d'exécution

Pour les fonctions pour lesquelles l'emplacement d'exécution peut être librement configuré, les paramètres correspondants sont disponibles dans les propriétés de la fonction.

Pour définir l'emplacement d'exécution :

  1. Accédez au groupe Exécution dans les propriétés du projet.
  2. Sélectionnez l'emplacement d'exécution souhaité en cochant la case. Une sélection multiple est possible :
    • Ordinateur actuel : La fonction sera exécutée sur l'ordinateur actuel.
    • Serveur principal : La fonction sera exécutée sur le serveur principal.
    • Serveur redondant : La fonction sera exécutée sur le serveur redondant.
    • Client : La fonction sera exécutée sur la totalité des clients.

Vue d'ensemble des fonctions de réseau

La table suivante illustre les fonctions exécutées, ainsi que leur emplacement d'exécution.

Légende :

  • Paramétrable : le comportement peut être configuré

    + : Oui

    - : Non

    O : Défaut

  • Si non paramétrable, O identifie l'emplacement d'exécution :
    • Ordinateur actif
    • Serveur primaire
    • Serveur redondant
    • Client

Fonction | Paramétrable | Ordinateur actuel | Serveur principal | Serveur redondant | Client
Alarmes et événements |  |  |  |  |
Alarmes : acquitter clignotement | - | O |  |  |
Alarmes : Supprimer | - |  | O | O |
Acquitter les alarmes | - |  | O | O |
Inscrire/désinscrire groupe d'alarmes/d'événements | - | O |  |  |
Activer/désactiver liste d'alarmes / groupe d'alarmes/d'événements / classe d'alarmes/d'événements | - |  | O | O |
Alarmes : activer | - |  | O |  |
Gestion des alarmes active/inactive | - |  | O |  |
Liste d'alarmes inactives | - |  | O |  |
Exporter liste d'alarmes | + | O |  |  |
Enregistrer le buffer des alarmes et des événements | - |  | O | O |
Exporter liste d'événements | + | O |  |  |
Imprimer liste d'alarmes ou d'événements | + | O |  |  |
Créer/imprimer un document IPA | - |  | O |  |
Activer/désactiver impression en ligne | - |  | O | O |
Démarrer nouvelle page pour l'impression en ligne | + | O |  |  |
Changer d'imprimante pour les impressions en ligne | - |  | O |  |
Application |  |  |  |  |
Sélection imprimante | + | O |  |  |
Démarrer la Gestion de charge | - |  | O |  |
Arrêter la Gestion de charge | - |  | O |  |
Imprimer le diagramme Extended Trend | + | O |  |  |
Changer de palette | + | O |  |  |
Fonctions : activer sur valeur limite | - |  | O | O |
Fonctions 'activer/désactiver' sur valeur limite | - |  | O | O |
Fonctions : désactiver sur valeur limite | - |  | O | O |
Ouvrir l'aide | + | O |  |  |
Réinitialiser projet en ligne | + | O |  |  |
Détermine les maintenances ouvertes | - |  | O |  |
Déclencher événement PFS | + | O |  |  |
Activer/désactiver le projet de simulation | - | O |  |  |
Simuler le clic droit | + | O |  |  |
Enregistrer les données rémanentes | + | O |  |  |
Arrêter le Runtime | + | O |  |  |
Analyser les heuristiques du graphe S7 | + | O |  |  |
Exécuter une fonction SAP | + | O |  |  |
Changement de langue | + | O |  |  |
Topologie - Recherche des défauts de terre | - |  | O |  |
Topologie – Délestage | - |  | O |  |
Archives |  |  |  |  |
Archive : Arrêter | - |  | O | O |
Indexer les archives | - |  | O |  |
Archive : Début | - |  | O | O |
Exporter archives | - | O |  |  |
Archive : liste des archives actives | - |  | O | O |
Gestion des utilisateurs |  |  |  |  |
Changer d'utilisateur | + | O |  |  |
Connexion avec boite de dialogue | + | O |  |  |
Connexion sans mot de passe | + | O |  |  |
Déconnexion | + | O |  |  |
Modifier le mot de passe | - | O |  |  |
Synoptiques |  |  |  |  |
Modifier la couleur de la source (CAL) | + | O |  |  |
Synoptique indexé | - | O |  |  |
Synoptique : fermeture | + | O |  |  |
Synoptique : retour au précédent | - | O |  |  |
Synoptique : déplacer le centre | + | O |  |  |
Appel de synoptique | + | O |  |  |
Activer l'élément qui a le focus | + | O |  |  |
Donner le focus au gabarit | + | O |  |  |
Déplacer le focus | - | O |  |  |
Enlever le focus du gabarit | + | O |  |  |
Afficher le menu | + | O |  |  |
Sélection moniteur | + | O |  |  |
Profils du Runtime | + | O |  |  |
Fermer le cadre | + | O |  |  |
Saisie de valeur pour synoptique clavier | - | O |  |  |
Affichage de la fenêtre d'aperçu | + | O |  |  |
Localisation de défauts sur les réseaux électriques |  |  |  |  |
Acquitter le message de défaut de terre | + | O |  |  |
Arrêter la recherche des défauts de terre | + | O |  |  |
Démarrer la recherche des défauts de terre | + | O |  |  |
Acquitter le message de court-circuit | + | O |  |  |
Message Control |  |  |  |  |
Enregistrer queue courante | - |  | O |
Supprimer des groupes, classes, zones ou équipements | - |  | O |  |
Envoi d'un message | - |  | O |  |
Envoi de messages : activer | - |  | O |  |
Envoi de messages : désactiver | - |  | O |  |
Réseau |  |  |  |  |
Autorisation sur le réseau | + | O |  |  |
Commutation redondance | - |  |  | O |
Report Generator |  |  |  |  |
Imprimer le rapport | + |  |  |  |
Rapport : exécuter | + |  |  |  |
Exporter rapport | + |  |  |  |
Recettes |  |  |  |  |
Recipe Group Manager (Gestionnaire de groupes de recettes) | - | O |  |  |
Recette standard | - | O |  |  |
Recette : envoi direct | + | O |  |  |
Recette : modification avant envoi | - | O |  |  |
Recette : sélection et modification avant envoi | - | O |  |  |
Script |  |  |  |  |
Script : exécuter | + | O |  |  |
Script : sélection en ligne | + | O |  |  |
Variable |  |  |  |  |
Exporter les données | - |  | O |  |
Lire un fichier dBase | + | O |  |  |
Imprimer valeurs actuelles | + | O |  |  |
Conversion d'unités | + | O |  |  |
Gestion HD active | - |  | O | O |
Gestion HD inactive | - |  | O | O |
Gestion HD inactive/active | - |  | O | O |
Spécifier valeur prescrite | - |  | O |  |
Commandes du driver | - | O |  |  |
Transférer l'image de simulation du driver vers le serveur de secours | - |  |  | O |
Écrire l'heure dans la variable | + | O |  |  |
Lire l'heure depuis la variable | + | O |  |  |
VBA |  |  |  |  |
Ouvrir l'éditeur PCE | - |  | O |  |
Ouvrir l'éditeur VBA | + | O |  |  |
Exécuter macro VBA | + | O |  |  |
Montrer la boîte de dialogue des macros VBA | + | O |  |  |
VSTA |  |  |  |  |
Ouvrir l'éditeur VSTA | + | O |  |  |
Exécuter macro VSTA | + | O |  |  |
Montrer la boîte de dialogue des macros VSTA | + | O |  |  |
Windows |  |  |  |  |
Lire un fichier audio | + | O |  |  |
Opérations sur fichiers | + | O |  |  |
Son beep : début | + | O |  |  |
Son beep : fin | + | O |  |  |
Fenêtre en arrière-plan | - | O |  |  |
Fenêtre en avant-plan | - | O |  |  |
Imprimer une capture d'écran | + | O |  |  |
Exécuter un programme | + | O |  |  |


Ordre d'exécution en Runtime

Manuel -> Fonctions et scripts -> Fonctions -> Ordre d'exécution en Runtime

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

L'exécution des fonctions dans le Runtime est faite selon 3 niveaux de priorité.

  • Priorité 1 Immediate (exécutée immédiatement)
  • Priorité 2 High élevée (une boîte de dialogue est affichée avant l'exécution de la fonction)
  • Priorité 3 Low

Si, pour une fonction comportant la priorité 1, une boîte de dialogue est affichée avant l'exécution de la fonction, le niveau de priorité est abaissé à 2.

Dans un projet, toutes les fonctions d'un script se trouvent dans la même file d'attente. Toutes les fonctions associées à un niveau de priorité sont exécutées dans le script. Ceci garantit que les fonctions sont exécutées les unes après les autres.

Example Exemple

Un script est utilisé pour activer un ensemble de synoptiques comportant des synoptiques issus de différents projets via la fonction Appel de synoptique, qui dépend de l'ordre d'exécution (les synoptiques sont disposés au-dessus d'autres synoptiques).

Priorité de l'exécution dans le Runtime

Groupes de fonctions

Fonctions

Priorité

Liste d'alarmes et liste d'événements

Contrôle de la gestion de la liste d'alarmes et de la liste d'événements

  • Alarmes : acquitter clignotement

1

  • Alarmes : Supprimer

1

  • Acquitter les alarmes

1

  • Inscrire/désinscrire groupe d'alarmes/d'événements

1

  • Gestion d'alarmes active

1

  • Gestion des alarmes active/inactive

1

  • Alarmes : désactiver

1

  • Activer/désactiver liste d'alarmes / groupe d'alarmes/d'événements / classe d'alarmes/d'événements

1

  • Enregistrer le buffer des alarmes et des événements

1

  • Imprimer liste d'alarmes ou d'événements

3

  • Exporter alarmes

2

  • Exporter liste d'événements

2

  • Créer/imprimer un document IPA

1

  • Activer/désactiver impression en ligne

1

  • Démarrer nouvelle page pour l'impression en ligne

?

  • Changer imprimante en ligne

3

Application

Appeler des applications

  • Sélection imprimante

3

  • Imprimer un diagramme Extended Trend

1

  • Changer de palette

2

  • Fonctions avec valeurs de limite actives/inactives

1

  • Fonctions : activer sur valeur limite

1

  • Fonctions : désactiver sur valeur limite

1

  • Ouvrir l'aide

3

  • Réinitialiser projet en ligne

1

  • Détermine les maintenances ouvertes

3

  • Exécuter un événement PFS

1

  • Quitter le programme

3

  • Simuler le clic droit

3

  • Enregistrer les données rémanentes

1

  • Analyser les heuristiques du graphe S7

1

  • Activer/désactiver la simulation

1

  • Changement de langue

2

Archives

Contrôle des archives

1

  • Archive : Arrêter

1

  • Indexer les archives

1

  • Archive : Début

1

  • Archive : liste des archives actives

2

  • Exporter les archives

1

Gestion des utilisateurs

Gestion des utilisateurs

  • Changer d'utilisateur

3

  • Connexion avec boite de dialogue

2

  • Connexion sans mot de passe

2

  • Déconnexion

2

  • Mot de passe

2

Synoptiques

Sélectionner et contrôler les synoptiques

  • Modifier la couleur de la source (CAL)

1

  • Synoptique avec index

1

  • Synoptique : fermeture

2

  • Synoptique : retour au précédent

1

  • Synoptique : déplacer le centre

1

  • Appel de synoptique

1

  • Activer l'élément qui a le focus

1

  • Donner le focus au cadre

1

  • Déplacer le focus

1

  • Enlever le focus du cadre

1

  • Afficher le menu

1

  • Sélection moniteur

1

  • Profils du Runtime

1

  • Fermer le cadre

1

  • Vue d'aperçu

1

Localisation de défauts sur les réseaux électriques

  • Acquitter le message de défaut de terre

1

  • Arrêter la recherche des défauts de terre

1

  • Démarrer la recherche des défauts de terre

1

  • Acquitter le message de court-circuit

1

Message Control

Envoi de messages (Message Control)

  • Enregistrer queue courante

1

  • Groupe/classe/domaine/équipement supprimé

1

  • Envoi d'un message

1

  • Envoi de messages : activer

1

  • Envoi de messages : désactiver

1

Réseau

Fonctions - réseau

  • Autorisation sur le réseau

1

  • Commutation redondance

1

Report Generator

Fonctions des rapports

  • Imprimer le rapport

2

  • Exporter rapport

2

  • Rapport : exécuter

2

Recettes

gestion des recettes en ligne

  • Recipe Group Manager (Gestionnaire de groupes de recettes)

2

  • Recette standard

2

  • Recette : envoi direct

2

  • Recette : modification avant envoi

2

  • Recette : sélection et modification avant envoi

2

Script

Exécuter les blocs fonctionnels (scripts)

  • Script : exécuter

1

  • Script : sélection en ligne

2

Variable

Fonctions des variables

  • Exporter données

3

  • Lire un fichier dBase

2

  • Imprimer valeurs actuelles

2

  • Conversion d'unités de mesure

2

  • Gestion HD active

1

  • Gestion HD inactive

1

  • Gestion HD inactive/active

1

  • Spécifier valeur prescrite

1

  • Commandes de driver

2

  • Transférer l'image de simulation du driver vers le serveur de secours

1

  • Écrire l'heure dans la variable

1

  • Lire l'heure depuis la variable

1

VBA

Fonctions - VBA

  • Ouvrir l'éditeur PCE

3

  • Ouvrir l'éditeur VBA

3

  • Exécuter macro VBA

3

  • Montrer la boîte de dialogue des macros VBA

3

VSTA

Fonctions VSTA

  • Ouvrir l'éditeur VSTA

3

  • Exécuter macro VSTA

3

  • Montrer la boîte de dialogue des macros VSTA

3

Windows

  • Lire un fichier audio

2

  • Opérations sur fichiers

3

  • Son bip : début

1

  • Son bip : fin

1

  • Fenêtre en arrière-plan

2

  • Fenêtre en avant-plan

2

  • Imprimer copie d'écran

2

  • Exécuter un programme

2


Scripts

Manuel -> Fonctions et scripts -> Scripts

Les scripts compilent plusieurs fonctions pour les exécuter sous forme de séquence dans le Runtime. zenon propose également des scripts prédéfinis.

Les scripts peuvent être configurés ou sélectionnés via :

  • Le nœud Scripts
  • La boîte de dialogue de sélection de fonctions et de scripts

Autres sujets abordés dans ce chapitre

Menu contextuel et barre d'outils pour les scripts

Configuration dans Editor

Scripts prédéfinis

Exécution de scripts dans le Runtime

Priorités sur le réseau


Menu contextuel et barre d'outils pour les scripts

Manuel -> Fonctions et scripts -> Scripts -> Menu contextuel et barre d'outils pour les scripts

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Menu contextuel Gestionnaire de projet

Élément de menu | Action
Nouveau script | Crée un nouveau script
Exporter tout (XML) | Exporte toutes les entrées sous forme de fichier XML.
Importer XML … | Importe des entrées à partir d'un fichier XML.
Profil Editor | Ouvre la liste déroulante contenant les profils Editor prédéfinis.
Aide | Ouvre l'aide en ligne.

Barre d'outils Scripts de la vue de détail

Symbole

Description

Nouveau script

Ajoute un nouveau script à la liste.

Ajouter une fonction

Ouvre la boîte de dialogue d'ajout de fonctions.

Utilisation des scripts

Ouvre l'analyse du projet dans la fenêtre principale et affiche les éléments avec lequel le script sélectionné est utilisé.

Afficher les scripts inutilisés

Ouvre l'analyse du projet dans la fenêtre principale et affiche les scripts inutilisés.

Copier

Copie le script sélectionné ou les fonctions sélectionnées vers le presse-papiers de Windows.

Coller

Colle un élément précédemment copié vers le presse-papiers de Windows.

Supprimer

Supprime le script sélectionné ou supprimer la fonction sélectionnée du script.

Développer/Réduire

Permet de développer ou de réduire l’ensemble des nœuds ou les nœuds sélectionnés. Sélection :

  • Développer tout
  • Réduire tout
  • Étendre les objets sélectionnés
  • Réduire les éléments sélectionnés

Exporter la sélection en XML...

Exporte les entrées sélectionnées sous forme de fichier XML.

Importer XML

Importe des éléments à partir d'un fichier XML.

Éditer cellule sélectionnée

Renomme le script. Ceci est également possible en cliquant avec le bouton gauche de la souris sur le champ ou en appuyant sur la touche F2.

Propriétés

Ouvre la fenêtre de Propriétés.

Aide

Ouvre l'aide en ligne.

Menu contextuel Script sélectionné

Paramètre

Description

Ajouter une fonction

Ouvre la boîte de dialogue d'ajout de fonctions.

Nouveau script

Ajoute un nouveau script à la liste.

Créer une fonction standard

Crée automatiquement une fonction standard pour le script sélectionné.

Utilisation des scripts

Ouvre l'analyse du projet dans la fenêtre principale et affiche les éléments avec lequel le script sélectionné est utilisé.

Afficher les scripts inutilisés

Ouvre l'analyse du projet dans la fenêtre principale et affiche les scripts inutilisés.

Copier

Copie le script sélectionné ou les fonctions sélectionnées vers le presse-papiers de Windows.

Coller

Colle un élément précédemment copié vers le presse-papiers de Windows.

Supprimer

Supprime le script sélectionné ou supprimer la fonction sélectionnée du script.

Développer/Réduire les nœuds

Permet de développer ou de réduire l’ensemble des nœuds ou les nœuds sélectionnés. Sélection :

  • Développer tout
  • Réduire tout
  • Étendre les objets sélectionnés
  • Réduire les éléments sélectionnés

Exporter la sélection en XML...

Exporte les entrées sélectionnées sous forme de fichier XML.

Importer XML

Importe des éléments à partir d'un fichier XML.

Éditer cellule sélectionnée

Renomme le script. Ceci est également possible en cliquant avec le bouton gauche de la souris sur le champ ou en appuyant sur la touche F2.

Propriétés

Ouvre la fenêtre de Propriétés.

Aide

Ouvre l'aide en ligne.


Configuration dans Editor

Manuel -> Fonctions et scripts -> Scripts -> Configuration dans Editor

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Pour configurer ou modifier des scripts, cliquez sur le nœud Scripts et sélectionnez l'action souhaitée dans la barre d'outils ou le menu contextuel.

info Informations

Lorsque vous modifiez le nom du script, les paramètres des fonctions liées sont modifiés en conséquence. Dans les projets multi-utilisateurs, les fonctions sont modifiées automatiquement après une demande de confirmation (Modifier). Si le nom a été modifié avec succès, le script est modifié.

Configuration d'un script

Pour configurer un nouveau script :

  1. Sélectionnez Nouveau symbole dans le menu contextuel ou la barre d'outils.
  2. Un nouveau script est ajouté à la liste.
  3. Spécifiez un nom ou sélectionnez un script prédéfini dans la liste déroulante.
  4. Ajoutez des fonctions et triez-les.
    Les fonctions sont exécutées dans l'ordre de la configuration du projet.
  5. Créez une fonction d'exécution du script dans le Runtime.

Ajoutez des fonctions et organisez-les de manière séquentielle.

Vous pouvez ajouter de nouvelles fonctions à un script à l'aide d'une commande, ou vous pouvez modifier la séquence des fonctions précédemment liées avec un glisser-déposer.

Nouvelle fonction

Pour ajouter une fonction à un script à l'aide d'une commande :

  1. Sélectionnez Nouveau symbole dans le menu contextuel ou la barre d'outils.
  2. Une boîte de dialogue permettant de sélectionner une ou plusieurs fonctions d'affiche à l'écran.
  3. Sélectionnez les fonctions souhaitées et fermez la boîte de dialogue en cliquant sur OK.
  4. Les fonctions sont ajoutées à la fin de la liste des fonctions préexistantes.

Actions glisser-déplacer :

Pour ajouter une fonction à un script avec un glisser-déposer :

  1. Sélectionnez la fonction souhaitée dans le script.
  2. Déplacez la fonction dans la position souhaitée :
    • Dans le script source : La séquence de la fonction est modifiée.
      Conseil : Si vous maintenez la touche Maj enfoncée pendant le glisser-déposer, la fonction est copiée.
    • Dans un script différent : La fonction est copiée vers le script cible.
      Si le nœud du script est fermé, la fonction est ajoutée à la fin.
      Si le nœud est ouvert, la fonction est insérée à l'emplacement affiché.
      Conseil : Si vous maintenez la touche Maj enfoncée pendant le glisser-déposer, la fonction est supprimée dans le script source.


Scripts prédéfinis

Manuel -> Fonctions et scripts -> Scripts -> Scripts prédéfinis

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

zenon fournit une sélection de scripts prédéfinis. L'action de ces scripts dans le Runtime est prédéfinie. Les fonctions à exécuter doivent être configurées individuellement.

Script

Description

AUTOSTART

Les informations de démarrage (par ex. en-têtes ouverts et lignes d'état, réinitialisation des sorties d'alarmes, etc.) sont configurées dans le script.

Le script est exécuté automatiquement au démarrage du Runtime lors de l'appel du synoptique de démarrage si le projet est le projet de démarrage du Runtime. Le script n'est pas exécuté si le projet n'est pas défini comme projet de démarrage ou s'il s'agit d'un sous-projet dans un réseau multi-hiérarchique.

Attention : il n'est pas nécessaire d'afficher le synoptique de démarrage dans le script AUTOSTART car celui-ci est défini par le biais de la propriété Synoptique de départ du projet.

Pour appel un synoptique partiel formant partie d'un synoptique principal, tel qu'un ensemble de menus spécifiques au synoptique, un script distinct est défini. Cette fonction permet d'assurer que lorsque vous sélectionnez le synoptique par l'intermédiaire de la fonction Appel de synoptique, dans la liste de synoptiques ou de la fonction Retour au synoptique précédent, tous les synoptiques de détails liés à ce synoptique seront toujours ouverts en même temps que lui.

AUTOEND

Les fonctions de fin définies sont configurées dans le script.

Le script est exécuté automatiquement à l'arrêt du Runtime si le projet est le projet de démarrage du Runtime. Le script n'est pas exécuté si le projet n'est pas défini comme projet de démarrage ou s'il s'agit d'un sous-projet dans un réseau multi-hiérarchique.

Attention :

  • Les fonctions Exécuter macro VBA et Exécuter macro VSTA ne sont pas exécutées dans les scripts AUTOEND, car l’interface API s’est déjà terminée à cet instant.
    Utilisez l’événement Project.Inactive dans API pour exécuter la fonctionnalité correspondante avant de terminer le Runtime.
  • Il n'est pas nécessaire de spécifier les archives cycliques dans le script AUTOEND.

AUTOSTART_CLIENT

Les informations de démarrage (par ex. en-têtes ouverts et lignes d'état, réinitialisation des sorties d'alarmes, etc.) sont configurées dans le script. le script est exécuté automatiquement au démarrage du Runtime sur un client et avant l’activation de l’affichage de départ sur le client si le projet est le projet de démarrage du Runtime.

AUTOEND_CLIENT

Les fonctions de fin définies sont configurées dans le script.

Le script est exécuté automatiquement lors de l'arrêt du Runtime sur un client si le projet est le projet de démarrage du Runtime.

Attention :

  • Les fonctions Exécuter macro VBA et Exécuter macro VSTA ne sont pas exécutées dans les scripts AUTOEND, car l’interface API s’est déjà terminée à cet instant.
    Utilisez l’événement Project.Inactive dans API pour exécuter la fonctionnalité correspondante avant de terminer le Runtime.

AUTOSTART_SRVPRJ

Ce script est exécuté automatiquement au démarrage du Runtime sur l'ordinateur défini comme serveur du projet, avant l'affichage du synoptique de départ, même si le projet est défini comme projet de démarrage et/ou s'il s'agit d'un sous-projet dans un projet multi-hiérarchique.

AUTOEND_SRVPRJ

Ce script est exécuté automatiquement lors de l'arrêt du Runtime sur l'ordinateur défini comme serveur du projet, même si le projet est défini comme projet de démarrage et/ou s'il s'agit d'un sous-projet dans un projet multi-hiérarchique.

Attention :

  • Les fonctions Exécuter macro VBA et Exécuter macro VSTA ne sont pas exécutées dans les scripts AUTOEND, car l’interface API s’est déjà terminée à cet instant.
    Utilisez l’événement Project.Inactive dans API pour exécuter la fonctionnalité correspondante avant de terminer le Runtime.
  • Il n'est pas nécessaire de spécifier les archives cycliques dans le script AUTOEND.

Les scripts suivants sont disponibles dans le mode simulation ; ils sont exécutés automatiquement :

Script | Description
AUTOSTART_SIMUL | Si le Runtime est démarré en mode simulation, le script portant le nom AUTOSTART_SIMUL est exécuté automatiquement s'il est disponible. Remarque : s’applique aussi pour le mode lecture du module Process Recorder.
AUTOEND_SIMUL | Si le Runtime est arrêté en mode simulation, le script portant le nom AUTOEND_SIMUL est exécuté automatiquement s'il est disponible. Remarque : s’applique aussi pour le mode lecture du module Process Recorder.

Les scripts suivants sont disponibles pour le moteur Web HTML ; ils sont exécutés automatiquement :

Script | Description
AUTOSTART_HTML_WEBCLIENT | Ce script est exécuté à chaque démarrage d'une instance de HTML Web Client.


Exécution de scripts dans le Runtime

Manuel -> Fonctions et scripts -> Scripts -> Exécution de scripts dans le Runtime

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Les scripts peuvent être démarrés dans le Runtime à l'aide de fonctions : zenon fournit deux fonctions à cette fin :

  • Script : La fonction Exécuter exécute un script prédéfini dans Editor et dans le Runtime.
  • Script : sélection en ligne permet de sélectionner le script à exécuter dans le Runtime.

Pour configurer une fonction pour l'exécution d'un script :

  1. Sélectionnez la commande Nouvelle fonction dans le nœud Fonctions.
  2. La boîte de dialogue de sélection de fonction s'affiche.
  3. Accédez au nœud Scripts.
  4. Sélectionnez la fonction de votre choix.
    1. Exécuter le script permet d'exécuter directement le script sélectionné dans cette boîte de dialogue
    2. Scripts avec sélection en ligne autorise la sélection de scripts devant être exécutés dans le Runtime.
  5. Confirmez la configuration en cliquant OK.

Boîte de dialogue Sélectionner un script

Paramètres

Description

Liste de projets (à gauche)

Sélection du projet dans lequel sera sélectionné le script.

Remarque : Lors de la sélection de scripts dans un projet différent du projet actuel, assurez-vous que ce projet est également disponible dans le Runtime.

Liste de scripts (à droite)

Sélection du script. Un seul script peut être lié.

Les scripts peuvent être créés et édités à l'aide de la barre d'outils et du menu contextuel. Les nouveaux scripts et les modifications sont enregistrés immédiatement.

Les fonctions d'un script peuvent être réorganisées en effectuant un Drag&Drop.

Aucune sélection

Supprime une liaison existante et ferme la boîte de dialogue.

OK

Applique les paramètres et ferme la boîte de dialogue.

Lorsque vous sélectionnez Exécuter le script, le script sélectionné est démarré dans le Runtime lorsque cette fonction est exécutée.

L'option Script avec sélection en ligne affiche cette boîte de dialogue dans le Runtime lors de l'exécution de cette fonction.

Annuler

Discards all changes and closes the dialog.

Aide

Ouvre l'aide en ligne.

Barre d'outils et menu contextuel

Symbole/Commande

Description

Nouveau script

Ajoute un nouveau script à la liste.

Ajouter une fonction

Ouvre la boîte de dialogue d'ajout de fonctions.

Copier

Copie le script sélectionné vers le presse-papiers.

Coller

Colle le script depuis le presse-papiers.

Développer/Réduire

Permet de développer ou de réduire l’ensemble des nœuds ou les nœuds sélectionnés. Sélection :

  • Développer tout
  • Réduire tout
  • Étendre les objets sélectionnés
  • Réduire les éléments sélectionnés

Modifier le script sélectionné (barre d'outils uniquement)

Renomme le script. Ceci est également possible en cliquant avec le bouton gauche de la souris sur le champ ou en appuyant sur la touche F2.

Remplacer le texte dans la colonne sélectionnée (barre d'outils uniquement)

Ouvre la boîte de dialogue de recherche et de remplacement de textes dans la colonne actuellement sélectionnée.

Scripts sur le réseau

Un réseau actif permet d'utiliser les propriétés dans le groupe Exécution pour définir l'ordinateur sur lequel est exécuté le script.

info Informations

Tenez compte des priorités d'exécution du script sur le réseau


Priorités sur le réseau

Manuel -> Fonctions et scripts -> Scripts -> Priorités sur le réseau

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Sur un réseau actif, vous définissez l'emplacement d'exécution du script via le nœud Exécution des propriétés des scripts :

  • Ordinateur courant
  • Client
  • Serveur
  • Serveur redondant

Cet emplacement d'exécution concerne les fonctions contenues dans le script. Si une fonction a reçu un emplacement d'exécution différent, utilisez l'emplacement d'exécution défini ici.

Exemple 1 : Ordinateur courant

  • La Fonction 1 a été définie avec l'emplacement d'exécution Serveur.
  • La Fonction 2 a été définie avec l'emplacement d'exécution Client.
  • Pour la fonction Exécuter le script, l'ordinateur actuel a été défini.
  • Conséquence : les deux fonctions sont exécutées sur le même ordinateur, à savoir l'ordinateur sur lequel est exécutée la fonction Exécuter le script. Il peut s'agit d'un client, d'un serveur ou d'un serveur redondant.

Exemple 2 : client et serveur

  • Le script contient deux fonctions définies avec l'emplacement d'exécution Client.
  • Pour la fonction Exécuter le script, le serveur a été défini.
  • Conséquence : les deux scripts sont exécutés sur le serveur, quel que soit l'ordinateur sur lequel la fonction Exécuter le script a été lancée.

Exemple 3 : Commandes de driver :

Les commandes de driver sont exécutées sur le serveur et le serveur redondant, par défaut. Si un script contenant des commandes de driver est lancé sur le client :

  • La commande de driver de la fonction est exécutée sur le client
  • Le driver est arrêté après l'exécution du script sur le serveur


Boîte de dialogue de sélection de fonctions et de scripts

Manuel -> Fonctions et scripts -> Boîte de dialogue de sélection de fonctions et de scripts

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Les fonctions et les scripts individuels peuvent être configurés pour de nombreuses fonctions dans les boîtes de dialogue, les propriétés et les éléments dynamiques via une boîte de dialogue spécifique. Plusieurs fonctions sont configurées via une boîte de dialogue spécifique.
La boîte de dialogue de sélection des fonctions et des scripts est appelée pour les éléments suivants :

  • Onglet Configuration d'archive dans le Runtime : Exécution de la fonction de démarrage ou d'arrêt de l'archive
  • Liste déroulante/zone de liste : tout élément disposant de fonctions propres
  • Boîtes de dialogue : toutes les propriétés associées à des fonctions
  • Éléments dynamiques : toutes les propriétés associées à des fonctions ; double-clic sur un élément dynamique
  • Matrices de réaction : Fonction
  • Remplacer les liens : Boîte de dialogue Remplacer la fonction
  • WPF : Propriétés d'événement

La boîte de dialogue offre la possibilité de sélectionner des fonctions et de configurer des scripts :

  • Sélection des fonctions Sélection d'une fonction ou création d'une nouvelle fonction
  • Sélection de script Sélection d'un script ou création d'un nouveau script et attribution d'une fonction Script : exécuter

Autres sujets abordés dans ce chapitre

Sélection des fonctions

Sélection script


Sélection des fonctions

Manuel -> Fonctions et scripts -> Boîte de dialogue de sélection de fonctions et de scripts -> Sélection des fonctions

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Sélection et configuration des fonctions devant être liées.

Pour sélectionner une fonction :

  1. Sélectionnez le projet contenant la fonction.

    Remarque : Si un projet différent du projet actuel est sélectionné, assurez-vous que le projet est disponible dans le Runtime.

  2. Sélectionnez la fonction de votre choix.
    Si nécessaire, il est possible d'utiliser la barre d'outils ou le menu contextuel pour créer de nouvelles fonctions ou copier des fonctions existantes.
  3. Confirmez la sélection en cliquant sur OK.

Boîte de dialogue de sélections de fonctions

Paramètre

Description

Liste de projets (à gauche)

Sélection du projet dans lequel la fonction doit être sélectionnée.

Remarque : Lors de la sélection de fonctions dans un projet différent du projet actuel, assurez-vous que ce projet est également disponible dans le Runtime.

Liste de fonctions (à droite)

Sélection de la fonction. Une seule fonction peut être liée. Si plusieurs fonctions sont sélectionnées, la dernière fonction sélectionnée est liée.

Les scripts peuvent être créés et édités à l'aide de la barre d'outils et du menu contextuel. Les nouvelles fonctions et les modifications sont enregistrées immédiatement.

OK

Applique la fonction sélectionnée et ferme la boîte de dialogue.

Annuler

Ouvre la boîte de dialogue sans lier une fonction.

Aide

Ouvre l'aide

Aucune sélection

Supprime une liaison existante et ferme la boîte de dialogue.

Barre d'outils et menu contextuel

Symbole/Commande | Description
Nouvelle fonction | Ajoute une nouvelle fonction à la liste.
Copier | Copie la fonction sélectionnée vers le presse-papiers.
Coller | Colle une fonction depuis le presse-papiers.


Sélection script

Manuel -> Fonctions et scripts -> Boîte de dialogue de sélection de fonctions et de scripts -> Sélection script

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Sélection et configuration des scripts devant être liés et attribution de la fonction Script : exécuter.

Pour sélectionner un script :

  1. Sélectionnez le projet contenant le script.

    Remarque : Si un projet différent du projet actuel est sélectionné, assurez-vous que le projet est disponible dans le Runtime.

  2. Sélectionnez le script souhaité.
  3. Modifiez le script, si nécessaire.
    Vous pouvez utiliser les commandes du menu contextuel ou de la barre d'outils pour créer de nouveaux scripts, ajouter des fonctions et copier ou renommer des scripts.
  4. Confirmez la sélection en cliquant sur OK.

Boîte de dialogue de sélection de script

Paramètres | Description
Liste de projets (à gauche) | Sélection du projet dans lequel sera sélectionné le script. Remarque : Lors de la sélection de scripts dans un projet différent du projet actuel, assurez-vous que ce projet est également disponible dans le Runtime.
Liste de scripts (à droite) | Sélection du script. Un seul script peut être lié. Les scripts peuvent être créés et édités à l'aide de la barre d'outils et du menu contextuel. Les nouveaux scripts et les modifications sont enregistrés immédiatement. Les fonctions d'un script peuvent être réorganisées en effectuant un Drag&Drop.
Fonction : Script : exécuter | Sélection de la fonction devant exécuter le script sélectionné dans une zone de liste. La zone de liste contient, sous forme de liste déroulante, toutes les fonctions déjà définies pouvant exécuter le script sélectionné. Le nom d'une nouvelle fonction pouvant exécuter le script peut être saisi dans le champ de saisie correspondant.
OK | Accepte le nouveau nom de la fonction Script : exécuter, lie le script sélectionné et ferme la boîte de dialogue.
Annuler | Ferme la boîte de dialogue sans lier un script.
Aide | Ouvre l'aide
Aucune sélection | Supprime une liaison existante et ferme la boîte de dialogue.

Barre d'outils et menu contextuel

Symbole/Commande

Description

Nouveau script

Ajoute un nouveau script à la liste.

Ajouter une fonction

Ouvre la boîte de dialogue d'ajout de fonctions.

Copier

Copie le script sélectionné vers le presse-papiers.

Coller

Colle le script depuis le presse-papiers.

Développer/Réduire

Permet de développer ou de réduire l’ensemble des nœuds ou les nœuds sélectionnés. Sélection :

  • Développer tout
  • Réduire tout
  • Étendre les objets sélectionnés
  • Réduire les éléments sélectionnés

Modifier le script sélectionné (barre d'outils uniquement)

Renomme le script. Ceci est également possible en cliquant avec le bouton gauche de la souris sur le champ ou en appuyant sur la touche F2.

Remplacer le texte dans la colonne sélectionnée (barre d'outils uniquement)

Ouvre la boîte de dialogue de recherche et de remplacement de textes dans la colonne actuellement sélectionnée.


Gestion d'équipe

Manuel -> Gestion d'équipe

Shift Management is a module in zenon for the modeling and organization of shifts. This module is not available in global projects and CE projects.

tutorial Informations concernant la licence

Composante de la licence standard d’Editor et du Runtime.

You can do the following locally and in the network with the help of Shift Management:

  • Create and apply shift modules
  • Create shifts
  • Enter shift times
  • Administer shift times
  • Export shifts to SQL
  • Inform users who are assigned to a shift via Message Control

Autres sujets abordés dans ce chapitre

Terminology

Configure Shift Management

Shift management in Runtime

Behavior in the network

Time zones and date limits

Keyboard shortcuts for Shift Management


Terminology

Manuel -> Gestion d'équipe -> Terminology

Term | Definition
Gestion d'équipe | A module in zenon for the modeling and organization of shifts.
Shift | Represents the course of an individual shift. This also contains more in-depth information, such as a free-text name and description, assignment to the equipment model and user administration, as well as breaks.
Break | Shifts can contain breaks to show an interruption to productivity.
Shift model | Represents the mode of a recurring configuration of shifts, such as "2-shift operation" or "3-shift operation". To do this, the shift model combines at least one or more shifts. In addition, the shift model contains more in-depth information, such as a free-text name and description.
Shift calendar | Is a visualization component for selective display in zenon. It allows, among other things, the creation and editing of shift occurrences.
Staff | Is the people selected for a shift.


Configure Shift Management

Manuel -> Gestion d'équipe -> Configure Shift Management

Shift Management is operated in Runtime by means of a Shift Management screen.

To be able to display and manage events in Runtime, the following must be configured in the Editor:

  • A Shift Management screen.
  • A screen switch to this screen

This screen is called up and configured in Runtime.

Autres sujets abordés dans ce chapitre

Creating a screen of the type Shift management

Control elements

Amend the appearance of the calendar

Configuring screen switching

Function SQL export


Creating a screen of the type Shift management

Manuel -> Gestion d'équipe -> Configure Shift Management -> Creating a screen of the type Shift management

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Creating a screen of the type Shift management

Développement

Étapes de création du synoptique :

  1. Créez un nouveau synoptique :

    Dans la barre d’outils ou le menu contextuel du nœud Synoptiques, sélectionnez la commande Nouveau synoptique.
    Un synoptique vide Standard est créé.

  2. Modifiez les propriétés du synoptique :
    1. Nommez le synoptique dans la propriété Nom.
    2. Select Shift management in the Type de synoptique property.
    3. Sélectionnez le cadre souhaité dans la propriété Gabarit.
  3. Configurez le contenu du synoptique :
    1. Sélectionnez l’option de menu Éléments de contrôle dans la barre de menus
    2. Sélectionnez Insérer un modèle dans la liste déroulante.
      La boîte de dialogue de sélection de mises en forme prédéfinies s’affiche à l’écran. Certains éléments de contrôle sont insérés dans le synoptique à des positions prédéfinies.
    3. Supprimez les éléments superflus du synoptique.
    4. Si nécessaire, sélectionnez des éléments supplémentaires dans la liste déroulante Éléments. Placez-les aux emplacements souhaités sur le synoptique.
  4. Créez une fonction d’appel de synoptique.


Control elements

Manuel -> Gestion d'équipe -> Configure Shift Management -> Control elements

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Insert template

Parameter | Description
Insert template | Ouvre la boîte de dialogue de sélection de modèle pour le type de synoptique correspondant. Des modèles sont fournis avec zenon, et peuvent également être créés par l’utilisateur. Modèles ajoutent des éléments de contrôle prédéfinis à des positions prédéfinies sur le synoptique. Les éléments qui ne sont pas nécessaires peuvent également être supprimés individuellement après leur création. Les éléments supplémentaires peuvent être sélectionnés dans la liste déroulante, puis insérés dans le synoptique zenon. Les éléments peuvent être déplacés et disposés individuellement sur le synoptique.

Control elements

Element | Description
Filter | Opens the dialog with the filter settings for screen switching.
Calendar | Calendar module that shows the calendar with the shifts or a shift model in Runtime.
Calendar content | Text element that shows the currently-displayed data range of the shift calendar in Runtime.

Shifts

Element | Description
New shift | Opens the dialog to create a new shift.
Delete shift | Deletes the selected shift. Multiple selection possible with the CTRL key.
Shift properties | Opens dialog for editing the selected shift.
Copy shift | Copies the selected shift.
Insert shift | Pastes a copied shift from the clipboard into the selected day.

Shift calendar

Element | Description
Open shift calendar | Opens the shift calender. Only available if a shift model is displayed in the calendar.
Insert shift model | Opens the dialog to paste a shift model into the shift calendar.

Navigation

Element | Description
Forwards | Goes one element forward in the calendar according to the entered value (one day, one week or one month).
Backwards | Goes one element back in the calendar according to the entered value (one day, one week or one month).
Day view | Shows the selected day in the calendar.
Week view | Shows the selected week in the calendar.
Month view | Shows the selected month in the calendar.
Go to today | Shows the current day in the calendar.

Shift models

Elements | Description
Shift models list | List of existing shift models.
Column selection | Opens the dialog to select the columns to be displayed in the list.
Format columns | Opens a dialog to format the columns.
New shift model | Opens the dialog for creating a shift model.
Open shift model | Changes the calendar view to the display of shift models and opens the selected shift model there.
Save shift model | Saves the shift model opened in the calendar. Only available if a shift model is open in the shift calendar and there are unsaved changes.
Delete shift model | Deletes the selected shift model after a confirmation message.
Properties | Configuration of the properties of the shift model: Name and description


Amend the appearance of the calendar

Manuel -> Gestion d'équipe -> Configure Shift Management -> Amend the appearance of the calendar

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

You can amend the appearance of the calendar using the properties of the Calendar control element.

Autres sujets abordés dans ce chapitre

Calendar properties


Calendar properties

Manuel -> Gestion d'équipe -> Configure Shift Management -> Amend the appearance of the calendar -> Calendar properties

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Colors for working time and work-free time

To configure the colors for working time and work-free time:

  1. Click on the calendar element in the Editor.
  2. Select the Remplissage group in properties.
  3. Configure the color for work-free time using the Couleur de remplissage période d'inactivité property.
    Clicking on button ... opens the dialog for selecting a color.
  4. Configure the color for working time using the Couleur de remplissage période de travail property.
    Clicking on button ... opens the dialog for selecting a color.


Configuring screen switching

Manuel -> Gestion d'équipe -> Configure Shift Management -> Configuring screen switching

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

To open a Shift management screen in Runtime:

  1. Create a screen of type Shift management.
  2. Create a screen switch function for this screen

Configure screen switching

To create a screen switch to a Shift management screen:

  1. In the context menu of node function select command New function.
  2. Click on screen switch.

    The dialog for the screen selection will be opened.

  3. Create a Shift Management screen.

    The filter dialog is opened.

Filter dialog

Several tabs are available in the dialog for configuration.

  • General: Configuration of the calendar.
  • List of shift models: Configuration of the list of the shift models.
  • Equipment modeling: Selection of the equipment model.

When calling up the configuration again, tabs for the replacement of links and indices are also offered.

Note: The dialog can be called up in Runtime using the Filter button.

Autres sujets abordés dans ce chapitre

General

Shift models list

Equipment Modeling


General

Manuel -> Gestion d'équipe -> Configure Shift Management -> Configuring screen switching -> General

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

The pre-settings for the shift calendar are configured in this tab. The settings made here determine the display and requirements of the calendar in Runtime. The settings can only be modified in Runtime if the Show this dialog in Runtime option has been activated.

Work time

Configuration of the working time.

Option | Description
Work time | You use these properties to configure the working time prescribed in the calendar.
Start | Enter the time for the start of the working time here. Input in the field directly or by means of the arrow keys. Default: 8:00 AM
End | Enter the time for the end of the work time. Entry in the field directly or configuration by means of the arrow keys. Default: 5:00 PM
Work week | You use this checkbox to stipulate which days constitute a working week. Selection by activating the checkbox beside of the respective weekday. Default: Monday to Friday.

View

Configuration of the view.

Option

Description

View

Configuration of the standard view of the calendar in Runtime.

First week day

Selection of the week day with which the Calendar starts the working week. Select from drop-down list.

Default: Monday

Mode

Selection of the default view in which the calendar is opened in Runtime. Select from drop-down list:

  • day
  • Week
  • Month

Default: Week

General

Option

Description

Show this dialog in the Runtime

Selection of whether the dialog is offered when the screen is called up in Runtime.

  • Active: The dialog will be shown in the Runtime.
    Settings can be edited before screen switching.
  • Inactive: Dialog is not offered in Runtime.
    The settings configured here are applied.

Fermer boîte de dialogue

Options | Description :
OK | Applique toutes les modifications effectuées sur tous les onglets, puis ferme la boîte de dialogue.
Annuler | Annule toutes les modifications effectuées sur tous les onglets, puis ferme la boîte de dialogue.
Aide | Ouvre l'aide en ligne.


Shift models list

Manuel -> Gestion d'équipe -> Configure Shift Management -> Configuring screen switching -> Shift models list

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

You configure the columns of the shift model list in this tab. These settings are used for the display of the model list in Runtime. The dialogs to configure the columns can also be called up in Runtime using the corresponding buttons.

Option | Description
List | Shows configured columns.
Column selection | Clicking on button opens the dialog to select the columns to be displayed.
Column format | Clicking on the button opens the dialog to format the columns.

Fermer boîte de dialogue

Options | Description :
OK | Applique toutes les modifications effectuées sur tous les onglets, puis ferme la boîte de dialogue.
Annuler | Annule toutes les modifications effectuées sur tous les onglets, puis ferme la boîte de dialogue.
Aide | Ouvre l'aide en ligne.

Autres sujets abordés dans ce chapitre

Column selection

Column format


Column selection

Manuel -> Gestion d'équipe -> Configure Shift Management -> Configuring screen switching -> Shift models list -> Column selection

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Selection of the columns to be displayed.

Column selection

Options | Fonction
Colonnes disponibles | Liste de colonnes pouvant être affichées dans la table.
Colonnes sélectionnées | Colonnes affichées dans la table.
Ajouter -> | Déplace la colonne sélectionnée des colonnes disponibles vers les éléments sélectionnés. Lorsque vous confirmez la boîte de dialogue en cliquant sur OK, ces colonnes sont affichées dans la vue de détail.
Ajouter toutes -> | Déplace toutes les colonnes disponibles vers les colonnes sélectionnées.
<- Supprimer | Supprime les colonnes marquées des éléments sélectionnés et les affiche dans la liste des colonnes disponibles. Lorsque vous confirmez la boîte de dialogue en cliquant sur OK, ces colonnes sont supprimées de la vue de détail.
<- Supprimer tout | Toutes les colonnes sont supprimées de la liste des colonnes sélectionnées.
Haut | Déplace l’entrée sélectionnée vers le haut. Cette fonction est uniquement disponible pour les entrées uniques?; les sélections multiples ne sont pas autorisées dans ce cas.
Bas | Déplace l’entrée sélectionnée vers le bas. Cette fonction est uniquement disponible pour les entrées uniques?; les sélections multiples ne sont pas autorisées dans ce cas.

Close dialog

Option | Description
OK | Applique les paramètres et ferme la boîte de dialogue.
Cancel | Annule toutes les modifications et ferme la boîte de dialogue.


Column format

Manuel -> Gestion d'équipe -> Configure Shift Management -> Configuring screen switching -> Shift models list -> Column format

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Graphical configuration of the column display.

Colonnes disponibles

Options | Description :
Colonnes disponibles | Liste de colonnes disponibles avec la fonction de sélection de colonnes. La configuration de la colonne sélectionnée se déroule via les options de la section Paramètres.

Paramètres

Option

Description :

Paramètres

Paramètres de la colonne sélectionnée.

Intitulé

Nom de l’intitulé de colonne.

Cet intitulé de colonne est compatible avec la fonction de changement de langue en ligne. Pour cela, le caractère @ doit être saisi devant le nom.

Largeur

Largeur de la colonne en caractères.
Calcul : nombre de caractères multiplié par la largeur moyenne des caractères de la police sélectionnée.

Alignement

Alignement. La sélection de l'attribution s'effectue au moyen des cases d'option.

Paramètres possibles :

  • Gauche : Le texte est justifié contre le bord gauche de la colonne.
  • Centré : Le texte est centré dans la colonne.
  • Droite : Le texte est justifié contre le bord droit de la colonne.

Couleurs définies par l'utilisateur

Propriétés permettant de sélectionner des couleurs définies par l’utilisateur pour le texte et l’arrière-plan. Les paramètres ont une incidence dans Editor et dans le Runtime.

Remarque :

  • Ces paramètres sont uniquement disponibles pour les listes configurables.
  • En outre, le focus correspondant dans la liste peut être indiqué par différentes couleurs de texte et d’arrière-plan dans le Runtime. Celles-ci sont configurées dans les propriétés du projet.

Couleurs définies par l’utilisateur

Active : Les couleurs définies par l’utilisateur sont appliquées.

Couleur du texte

Couleur d’affichage du texte. Cliquez sur la couleur pour la palette de sélection de couleurs.

Couleur d'arrière-plan

Couleur d’affichage de l’arrière-plan de la cellule. Cliquez sur la couleur pour la palette de sélection de couleurs.

Désactiver le filtre de colonnes dans le Runtime
  • Active : Le filtre de cette colonne ne peut pas être modifié dans le Runtime.

Remarque : Uniquement disponible pour :

  • Batch Control
  • Extended Trend
  • Synoptiques de filtre
  • Message Control
  • Gestionnaire de groupe de recettes (Recipe Group Manager)
  • Gestion d'équipes
  • Liste contextuelle

Fermer boîte de dialogue

Options | Description :
OK | Applique les paramètres et ferme la boîte de dialogue.
Annuler | Annule toutes les modifications et ferme la boîte de dialogue.
Aide | Ouvre l'aide en ligne.


Equipment Modeling

Manuel -> Gestion d'équipe -> Configure Shift Management -> Configuring screen switching -> Equipment Modeling

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Each shift can be linked to as many equipment groups as desired. The shifts are filtered according to equipment groups using the screen switch function. The dialog can be called up in Runtime using the Filter button.

All pre-existing equipment models and their equipment groups are displayed in the filter. Via the context menu or via toolbar, you can create new models and groups.

Equipment Modeling

Option

Description :

Barre d'outils

Symboles pour:

  • Modifier les modèles d'équipement locaux
  • Agrandir ou réduire l'affichage
  • Afficher des informations

Liste de modèles d'équipements

Autorise la sélection de modèles et de groupes. La liste distingue les modèles d'équipement issus du projet global et des projets locaux.

Les modèles d'équipement locaux peuvent être créés, modifiés ou supprimés.

Remarque : Les modèles d’équipement du projet global ne peuvent pas être affichées si des modèles portant le même nom que dans le projet local. Les modèles affectés sont affichés en cliquant sur le symbole d’avertissement (triangle avec point d’exclamation). Pour plus de détails, reportez-vous au manuel Modèles d’équipement, chapitre Modification de modèles d’équipement locaux.

Ajouter

Ajoute les groupes sélectionnés à la liste de filtres.

Supprimer

Supprime tous les groupes sélectionnés de la liste de filtres.

Filtre hiérarchique

Case à cocher pour l’activation du filtre hiérarchique de modèle d’équipement.

  • Activé :
    les variables liées à une sous-hiérarchie du groupe d’équipement sélectionné sont prises en compte dans le filtre et sont incluses dans l’affichage du Runtime.
  • Inactif :
    lors du filtre, seules les variables liées au groupe d’équipement sélectionné sont prises en compte.Par défaut : Actif

Liste de filtres

Affiche tous les groupes d'équipements devant être filtrés.

Fermer la boîte de dialogue

Options | Description :
OK | Applique les paramètres et ferme la boîte de dialogue.
Annuler | Annule la sélection et ferme la boîte de dialogue. Attention : Toute modification apportée à la structure des équipements locaux est conservée.
Aide | Ouvre l'aide en ligne.

Configuration

De nouveaux modèles et groupes peuvent être créés pour le projet actif et les modèles et groupes existants peuvent être supprimés.

Ajouter un modèle au projet

Pour ajouter un nouveau modèle :

  1. Cliquez sur le projet.
  2. Dans la barre d'outils, sélectionnez Nouveau modèle d'équipement

Supprimer un modèle

Pour supprimer un modèle existant :

  1. Cliquez sur le modèle.
  2. Sélectionnez Supprimer dans la barre d'outils.

Ajouter des groupes au modèle

Pour ajouter un groupe au modèle :

  1. Sélectionnez le modèle d'équipement de votre choix.
    Attention : Si des conflits de nom existent entre les modèles d'équipement globaux et locaux, les modèles d'équipement locaux sont affichés et les modèles locaux sont ignorés. Vous pouvez obtenir des informations concernant d'éventuels conflits en cliquant sur le symbole correspondant (un triangle avec un point d'exclamation) dans la barre d'outils.
  2. Sélectionnez un groupe ou un niveau d'équipements.
  3. Ajoutez le nouveau groupe à la liste affichée dans la partie inférieure de la boîte de dialogue en cliquant sur le bouton Ajouter.

    Remarque :

    • Les sous-groupes ne sont pas ajoutés automatiquement.
    • Vous pouvez sélectionner autant de groupes que vous le souhaitez.

Supprimer un groupe du modèle

Pour supprimer un groupe d'un modèle :

  1. Sélectionnez les éléments souhaités dans la liste affichée dans la partie inférieure de la boîte de dialogue (les sélections multiples sont autorisées).
  2. Cliquez sur le bouton Supprimer.

Remarque : les modifications apportées à un élément dans l'arborescence sont conservées, même si vous cliquez sur le bouton Annuler. Annuler signifie uniquement qu'aucun élément n'a été sélectionné.

Groups to add filters or remove them

To add groups to the filter:

  1. Select the desired element.
  2. Click on the Add button.
  3. Repeat the process until all necessary groups are available in the list
    (Multi-select is not possible)

To remove groups from the filter:

  1. Select the desired element
    (multiselect: Hold down the Ctrl key or shift key and click on the desired element.)
  2. Click the Delete button.


Function SQL export

Manuel -> Gestion d'équipe -> Configure Shift Management -> Function SQL export

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Shifts and breaks can be exported to SQL in Runtime. To do this, a corresponding function must be created in the Editor and executed in Runtime.

Create the function in the Editor

Pour créer une fonction :

  1. Créez une nouvelle fonction :

    Dans la barre d'outils ou le menu contextuel du nœud Fonctions, sélectionnez Nouvelle fonction.
    La boîte de dialogue de sélection d'une fonction s'affiche à l'écran.

  2. Navigate to node Batch Control
  3. Select the Calendrier de transfert d'exports SQL function.

    The dialog for configuration is opened.

  4. Configure:
    • Connection to the SQL database.
    • Time period from which shifts should be exported.
    • Equipment groups for which the shifts are to be exported.
  5. Name the function in the Nom property.

SQL shift calendar dialog

SQL export is configured using the following tabs:

  • SQL database: Configuration of the connection to the SQL database.
  • Time: Selection of the time filter.
  • Equipment modeling: Selection of the equipment groups.

Autres sujets abordés dans ce chapitre

SQL database

Time

Equipment Modeling


SQL database

Manuel -> Gestion d'équipe -> Configure Shift Management -> Function SQL export -> SQL database

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

In this tab, you establish the connection to an SQL database.

SQL database

Option | Description
Database connection | Selection of the database connection. Entry in the field or configuration by means of a dialog. Clicking on the ... button opens the configuration dialog.
Show this dialog in the Runtime | Active: In Runtime, when the function is called up, this dialog to change the configuration is offered before execution.

Fermer boîte de dialogue

Options | Description :
OK | Applique toutes les modifications effectuées sur tous les onglets, puis ferme la boîte de dialogue.
Annuler | Annule toutes les modifications effectuées sur tous les onglets, puis ferme la boîte de dialogue.
Aide | Ouvre l'aide en ligne.

Configure connection

The dialog for connecting to a database originates from the operating system.

How the database connection is carried out in general, you can see at the folowing example. You can get information about the individual settings for each tab from the Microsoft help funktion by clicking button Help.

  1. The dialog starts with tab Conenction.
  2. Open tab Provider

  3. Select the provider Microsoft OLE DB Provider for SQL Server.
  4. Apply this by double clicking or clicking on the entry or the Continue button.

    The Verbindung tab is opened.

  5. Select the required server from the drop-down list.
  6. Select the login information.
    Tip: Integrated security is generally used.
  7. Select the database.
  8. Click on test connection.
    Optional settings:
    • Tab Extended: Configuration of network settings, timeout and access rights (not generally necessary for this connection).
    • All tab Configuration of individual details (not generally necessary for this connection).
  9. Confirm your selection by clicking OK.

    The connection to the SQl Server is entered.


Time

Manuel -> Gestion d'équipe -> Configure Shift Management -> Function SQL export -> Time

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

You configure the time period for the export in this tab.
Note: A time period must be stipulated. Only the completed shifts that are in this time period are exported.

Standard: Relative time period, 1 h

Filter

Selection of the filter.

Parameter

Description

Absolute filter

Active: A fixed period of time is entered in the editor. When the function is executed, the defined absolute time period is exactly used.

In the settings section, the corresponding options can be shown and configured there.

Remarque : L’heure est enregistrée au format UTC. Pour plus de détails, reportez-vous au chapitre Gestion de la date et de l'heure, dans le chapitre Runtime.

Relative time period

Active: A relative time period is entered.

In the settings section, the corresponding options can be shown and configured there.

Attention: this filter is constantly updated.

From

Active: A time from which the filter is effective is stated. If the time is not reached on the current day, filtering takes place from the corresponding time the previous day.

Selection of the area mode from drop-down list:

  • Starting from HH:MM:SS
  • Starting from day - HH:MM:SS
  • Starting from day, month - at HH:MM:SS

In the settings section, the corresponding options can be shown and configured there.

Attention: The start point of this filter is not updated automatically. Only the existing times are used when shown.
The end time point is not defined with this filter, it is carried over.

Time period

Active: A fixed time period is entered. Selection of the area mode from drop-down list:

  • One day
  • One week
  • Two weeks
  • One month
  • One Year
  • 15 minutes
  • 30 minutes
  • 60 minutes

In the settings section, the corresponding options can be shown and configured there.

Close dialog

Parameter | Description
OK | Applique toutes les modifications effectuées sur tous les onglets, puis ferme la boîte de dialogue.
Cancel | Annule toutes les modifications effectuées sur tous les onglets, puis ferme la boîte de dialogue.
Help | Ouvre l'aide en ligne.


Equipment Modeling

Manuel -> Gestion d'équipe -> Configure Shift Management -> Function SQL export -> Equipment Modeling

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

In this tab you select the desired equipment group.

attention Attention

The following is applicable for SQL export:

  • In general, only shifts that are linked to an equipment model are exported.
  • If no equipment groups have been selected, all shifts that correspond to the time filter and are linked to an equipment model are exported.

Equipment Modeling

Option

Description

List of equipment models

Autorise la sélection de modèles et de groupes. La liste distingue les modèles d'équipement issus du projet global et des projets locaux.

Les modèles d'équipement locaux peuvent être créés, modifiés ou supprimés.

Remarque : Les modèles d’équipement du projet global ne peuvent pas être affichées si des modèles portant le même nom que dans le projet local. Les modèles affectés sont affichés en cliquant sur le symbole d’avertissement (triangle avec point d’exclamation). Pour plus de détails, reportez-vous au manuel Modèles d’équipement, chapitre Modification de modèles d’équipement locaux.

Add

Adds the selected groups to the filter list.

The shifts that are linked to one of the selected equipment groups are exported.

Remove

Removes all selected groups from the filter list.

Filter list

Shows all equipment groups that are to be filtered.

Fermer boîte de dialogue

Options | Description :
OK | Applique toutes les modifications effectuées sur tous les onglets, puis ferme la boîte de dialogue.
Annuler | Annule toutes les modifications effectuées sur tous les onglets, puis ferme la boîte de dialogue.
Aide | Ouvre l'aide en ligne.

Select equipment groups

To select equipment grousp for the export:

  1. Select the desired equipment groups.
  2. Click on the Add button.
  3. Repeat the process until all necessary groups are available in the list (Multi-select is not possible.)

To remove equipment groups:

  1. Select the desired equipment group.
    (multiselect: Hold down the Ctrl key or shift key and click on the desired element)
  2. Click the Delete button.

Adding or deleting equipment groups

Actions in the window of the existing equipment model can be controlled using the toolbar.
Description of the symbols, starting from the left:

Symbol

Description

New Equipment Model

Creates a new Equipment model.

(for local equipment models only)

New group

Creates a new equipment group below the highlighted entry.

(for local equipment models only)

Edit

Makes it possible to edit the name.

(for local equipment models only)

Delete

Deletes the selected entry.

(for local equipment models only)

Copy

Copies the selected entry.

Coller

Pastes copied entries from the clipboard below the highlighted entry. If a group with the same name already exists, the inserted group receives the prefix Copy of

(for local equipment models only)

Attention : Si des modèles d'équipement sont copiés depuis le projet global vers le projet local et ne sont pas renommés, deux modèles avec le même nom seront présents. Les deux modèles peuvent être sélectionnés ; toutefois, aucun lien ne sera créé lors de la confirmation.

Conseil : Renommez toujours les modèles copiés depuis le projet global vers le projet local.

Expand all

All nodes are expanded.

Collapse all

All nodes are collapsed.

Expand selection

The selected node is expanded.

Collapse selection

The selected entry is collapsed.

Warnings

Displays warnings.

For example, equipment models from the global project that are not displayed because models with the same name from the local project are preferred.

Tipp Conseil

You can find further information in the Equipment modeling manual, in the Equipment modeling dialog chapter.


Shift management in Runtime

Manuel -> Gestion d'équipe -> Shift management in Runtime

Shift Management makes the following possible in Runtime:

  • Creation and administration of shifts and shift models
  • Informing users in a shift by means of Message Control

Shift models provide templates for shifts. Shifts are created in the calendar directly or derived from a shift model.
The calender makes the following possible:

  • Creating shifts
  • Editing shifts
  • Displaying shifts in filtered form
  • Editing shift models

Note:

  • In order for shifts and shift models to be administered on a client or zenon Web Client, the Primary Server must be available.
  • In order for users to be able to create, edit and delete shifts and shift models, you must have the corresponding function authorization.

Standard view of Shift Management in Runtime

Elements

Element | Description
Filter | Opens the dialog with the filter settings for screen switching.
Calendar | Calendar module that shows the calendar with the shifts or a shift model in Runtime.
Calendar content | Text element that shows the currently-displayed data range of the shift calendar in Runtime.

Shifts

Element | Description
New shift | Opens the dialog to create a new shift.
Delete shift | Deletes the selected shift. Multiple selection possible with the CTRL key.
Shift properties | Opens dialog for editing the selected shift.
Copy shift | Copies the selected shift.
Insert shift | Pastes a copied shift from the clipboard into the selected day.

Shift calendar

Element | Description
Open shift calendar | Opens the shift calender. Only available if a shift model is displayed in the calendar.
Insert shift model | Opens the dialog to paste a shift model into the shift calendar.

Navigation

Element | Description
Forwards | Goes one element forward in the calendar according to the entered value (one day, one week or one month).
Backwards | Goes one element back in the calendar according to the entered value (one day, one week or one month).
Day view | Shows the selected day in the calendar.
Week view | Shows the selected week in the calendar.
Month view | Shows the selected month in the calendar.
Go to today | Shows the current day in the calendar.

Shift models

Elements | Description
Shift models list | List of existing shift models.
Column selection | Opens the dialog to select the columns to be displayed in the list.
Format columns | Opens a dialog to format the columns.
New shift model | Opens the dialog for creating a shift model.
Open shift model | Changes the calendar view to the display of shift models and opens the selected shift model there.
Save shift model | Saves the shift model opened in the calendar. Only available if a shift model is open in the shift calendar and there are unsaved changes.
Delete shift model | Deletes the selected shift model after a confirmation message.
Properties | Configuration of the properties of the shift model: Name and description

Hint: Insert the Calendar content control element into the calendar. You thus see at a glance which time period from the calendar is currently being displayed.

Autres sujets abordés dans ce chapitre

Calendar

Copy and paste shifts and shift models

Carry out SQL export


Calendar

Manuel -> Gestion d'équipe -> Shift management in Runtime -> Calendar

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

The calendar shows the shift calendar or shift models, according to the selection. Switching is carried out using the Open shift model button or the Open shift calendar button.

The view is scaled depending on the selected time range:

  • Day and week view: 1 hour
  • Month view: 1 day
  • Shift models only show one day and are displayed scaled to 1 hour.

Shifts and shift models are configured using the context menu or the respective buttons.

Empty cell calendar context menu

Menu item | Action
New shift | Opens the dialog to create a new shift.
Insert shift model | Opens the dialog for inserting a shift model.
Today | Shows the current day in the calendar.
Day | Shows the selected day in the calendar.
Week | Shows the selected week in the calendar.
Month | Shows the selected month in the calendar.
Forwards | Goes one element forward in the calendar according to the entered value (one day, one week or one month).
Backwards | Goes one element back in the calendar according to the entered value (one day, one week or one month).

Calendar shift entry context menu

Menu item | Action
Shift properties | Shows the dialog with the given shift information.
Delete shift | Deletes the selected shift. Multiple selection is also possible with the Ctrl key.

Shift model list context menu

Menu item | Action
New shift model | Opens the dialog to create a new shift model.
Open shift model | Changes the calendar view to a display of shift models and opens the selected shift model.

Autres sujets abordés dans ce chapitre

Shifts

Shift models


Shifts

Manuel -> Gestion d'équipe -> Shift management in Runtime -> Calendar -> Shifts

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Autres sujets abordés dans ce chapitre

Create shift

Edit shift

Delete shift

Filtering shifts

Highlight time ranges

Insert shift model

Assign users a shift


Create shift

Manuel -> Gestion d'équipe -> Shift management in Runtime -> Calendar -> Shifts -> Create shift

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

To create a new shift:

  1. In the calendar, click in a new time point that has not yet been assigned.
  2. Create a new shift:
    • Context menu: Click on New shift in the context menu.
    • Button in the screen: Click on the New shift button.
    • Keyboard: Press the Ins key.

    The dialog to create a new shift is opened.

  3. Configure the shift with:
    • Shift times (General tab)
    • Breaks
    • Equipment Groups
    • User

Note: It is possible to create shifts on any client computer. If Shift Management is used on different client computers at the same time, all newly-created shifts are asvade and updated on all client computers.

Autres sujets abordés dans ce chapitre

General properties

Breaks

Equipment Modeling

Users


General properties

General properties

Configuration of the general shift properties.

To configure general properties:

  1. Give the shift a name.
  2. Configure the start and end time.
  3. Enter a description (optional).
  4. Configure breaks and equipment groups if necessary.
  5. Close the dialog by clicking on OK.

Shifts must meet the following rules:

  • A valid name must be given.
  • The start time must not be after the end time.

Attention: If you change shift times, amend the break times in the Breaks tab too.

General dialog

Option

Description

Name

Please enter a name for the shift.

  • Maximum length: 256 characters
  • The following special characters are not permitted: /\.:*?<>!|"'?#%

Start

Select the start time for the shift:

  • Day: Selection from calender element or entry in the field directly.
  • Time: Selection by means of arrow keys or entry in the field directly.

End

Select the end time for the shift:

  • Day: Selection from calender element or entry in the field directly.
  • Time: Selection by means of arrow keys or entry in the field directly.

Description

Optional description of the shift.

Maximum length: 32.000 characters

Fermer boîte de dialogue

Options | Description
OK | Applique toutes les modifications effectuées sur tous les onglets, puis ferme la boîte de dialogue.
Annuler | Annule toutes les modifications effectuées sur tous les onglets, puis ferme la boîte de dialogue.


Breaks

Breaks

Configuration of the break times.

All breaks are shown in a list and can be edited in the list directly.

To configure breaks:

  1. Click on the New button.

    A new break is created.

  2. Amend the name.
  3. Issue a date and time for the start and end of the break.
  4. Click on OK.

Note: If the shift times are amended, you may need to also amend the break times under certain circumstances. You can do that manually or automatically by clicking on the Update break times button.

Breaks must meet the following rules:

  • For names, the same rules as for shift names are applicable.
  • The start time must not be after the end time.
  • They must not overlap.
  • They must be within a shift.

Breaks dialog

Option

Description

Name

Display and configuration of the break name.

Default: Break

To change the name:

  1. Click in the cell twice or press the F2 button after selection.
  2. Enter the name.

The following is applicable for break names:

  • Maximum length: 256 characters
  • The following special characters are not permitted: /\.:*?<>!|"'?#%

Start day

Select the day for the start of the break here.

Default: First day of the shift.

To change the day:

  1. Click in the cell twice or press the F2 button after selection.
  2. Select the required day from the drop-down list.

The following applies for the start day:

  • All days configured for the shift are available.
  • The date must not be higher than the date for the End day option.

Start Time

Select the time for the start of the break here.

Default: Start time of the shift.

To change the time:

  1. Click in the cell twice or press the F2 button after selection.
  2. Enter the time or configure the time with the arrow keys.

The following is applicable for the start time:

  • All times configured for the shift are available.
  • The time must not be later than the time configured for the End time option.

End day

Select the day for the end of the break here.

Default: First day of the shift.

To change the day:

  1. Click in the cell twice or press the F2 button after selection.
  2. Select the required day from the drop-down list.

The following applies for the end day:

  • All days configured for the shift are available.
  • The date must not be earlier than the date for the Start day option.

End time

Select the time for the end of the break here.

Default: Start time of the shift plus 5 minutes.

To change the time:

  1. Click in the cell twice or press the F2 button after selection.
  2. Enter the time or configure the time with the arrow keys.

The following is applicable for the end time:

  • All times configured for the shift are available.
  • The time must not be later than the time configured for the Start time option.

Select all

Selects all configured breaks.

Clear selection

Clears the selection. No more breaks are selected.

New

Adds a new break to the list.

Delete

Deletes all selected entries after requesting confirmation.

Update break times

Clicking on the button automatically amends the break times to the amended shift times. In doing so, all breaks are moved so that their start is at the same length to the shift start as before the change to the shift time.

Only available if, in the General properties tab, shift times have been amended and the change has an effect on the configured breaks.

Fermer boîte de dialogue

Options | Description
OK | Applique toutes les modifications effectuées sur tous les onglets, puis ferme la boîte de dialogue.
Annuler | Annule toutes les modifications effectuées sur tous les onglets, puis ferme la boîte de dialogue.


Equipment Modeling

Equipment Modeling

Shifts can be linked to equipment groups.

To assign equipment groups in a created shift:

  1. Select the desired element.
  2. Click on the Add button.
  3. Repeat the process until all necessary groups are available in the list (Multi-select is not possible.)

To remove groups from a shift:

  1. Select the desired element
    (multiselect: Hold down the Ctrl key or shift key and click on the desired element)
  2. Click the Delete button.

Equipment modeling dialog

Option

Description

List of equipment models

Autorise la sélection de modèles et de groupes. La liste distingue les modèles d'équipement issus du projet global et des projets locaux.

Les modèles d'équipement locaux peuvent être créés, modifiés ou supprimés.

Remarque : Les modèles d’équipement du projet global ne peuvent pas être affichées si des modèles portant le même nom que dans le projet local. Les modèles affectés sont affichés en cliquant sur le symbole d’avertissement (triangle avec point d’exclamation). Pour plus de détails, reportez-vous au manuel Modèles d’équipement, chapitre Modification de modèles d’équipement locaux.

Add

Adds the selected groups to the filter list.

Remove

Removes all selected groups from the filter list.

Filter list

Shows all equipment groups that are to be filtered.

Close dialog

Option | Description
OK | Applique toutes les modifications effectuées sur tous les onglets, puis ferme la boîte de dialogue.
Cancel | Annule toutes les modifications effectuées sur tous les onglets, puis ferme la boîte de dialogue.

In the Editor, new models and groups can be created for the active project and existing ones can be deleted. It is only possible to work with pre-existing equipment models in Runtime.


Users

Users

You link users to shifts in this tab.
These users can be selected as the recipient of messages by the Message Control module.

Link users to a shift

To link users to a shift:

  1. Click on the Add button in the dialog.
    Alternatively, you can also use the Add user command in the context menu.

    The user selection dialog is opened.

  2. Highlight the desired users in the list of existing users.

    Note: Users must already be created in order to be able to be selected.

  3. Add the selection to the list of selected users with Add.
  4. Confirm the selection by clicking OK.

    The users are added in the shift properties dialog.

  5. Confirm the settings with OK.

    The users are linked to the shift.

Notify users

The following conditions must be met in order for users to be notified:

  • The user must be linked to an active shift at the time of sending the message.
  • The Utilisateur Message Control property must be activated for the user.
    In the user list of the dialog, it shows whether the property is active or inactive.

    Note: If the checkbox is not active, it can be activated in the respective user profile.

  • In the Envoi d'un message function, the User group with shift filter property must be selected for the Type option.

Note: The users are notified in accordance with the settings in the Message Control module. The notification is only carried out if the shift is also active on the corresponding day.

User dialog

Option

Description

User List

Shows the user that is linked to the shift.

The following is displayed for each user:

  • User name
  • Complete name
  • Message Control user

The users can be sorted and filtered according to these criteria.

User name

Displays the short name of the user.

Complete name

Displays the complete name of the user.

Message Control user

Shows whether the user has been configured for notification via Message Control.

Select all

Selects all users in the list.

Clear selection

Resets the selection.

Add

Opens the dialog to select users and adds the selected users to the user list.

Remove

Removes all selected users from the user list.

Filter list

Shows all criteria that are to be filtered.

Fermer boîte de dialogue

Options | Description
OK | Applique toutes les modifications effectuées sur tous les onglets, puis ferme la boîte de dialogue.
Annuler | Annule toutes les modifications effectuées sur tous les onglets, puis ferme la boîte de dialogue.


Edit shift

Manuel -> Gestion d'équipe -> Shift management in Runtime -> Calendar -> Shifts -> Edit shift

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

In order to edit a shift:

  1. Click on a shift that you want to edit in the calender.

    Edit the shift using

    • Double-click Double click on the shift to be edited.
    • Context menu: Click on Shift properties in the context menu.
    • Button in the screen: Click on the Edit shift button.
    • Keyboard: Press the Enter key.

Note: It is possible to edit shifts on any client computer. If Shift Management is used by several client computers at the same time, when editing a shift, the changes that were made last are applied and updated.


Delete shift

Manuel -> Gestion d'équipe -> Shift management in Runtime -> Calendar -> Shifts -> Delete shift

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

To delete a shift:

  1. Click on a shift that you want to delete in the calendar.

    Note: Multiple selection with the CTRL key is also possible.

  2. You can choose to delete the selected shifts by means of:
    • Context menu: Click on Delete shift in the context menu.
    • Button in the screen: Click on the Delete shift button.
    • Keyboard: Press the Del key.

    Before deletion, a dialog is opened requesting confirmation.

  3. Confirm the dialog with Yes, or Yes to all with multiple items selected.

Note: It is possible to delete shifts on any client computer. If Shift Management is used by several users on different client computers at the same time, the shifts first deleted on a client computer are also no longer visible on all other client computers.


Filtering shifts

Manuel -> Gestion d'équipe -> Shift management in Runtime -> Calendar -> Shifts -> Filtering shifts

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Shifts can be displayed with a filter in Runtime. Filtering is carried out using the linked equipment groups.

To filter the display in the calendar in Runtime:

  1. Click on the button Filter.

    The dialog for screen switching is opened.

  2. Select the equipment groups that are to be used.
  3. Confirm the configuration by clicking on the OK button.

In the calendar, only shifts that correspond to the equipment model filter are displayed.

Equipment Groups

It is possible to choose configuration of the filter for the equipment group by means of:

  • Screen switch to a screen of type Shift management.
  • Screen of type Equipment model

Screen switch to a screen of type Shift management.

Configuration is carried out in the screen switching or in the filter dialog in the Equipment modeling tab.
In order for shifts to be displayed in Runtime:

  • The shift must have at least one equipment group together with the filter
    or
  • The shift must not be linked to an equipment group

Note: If no equipment modeling is configured in the screen filter, all shifts are displayed.

Screen of type Equipment model

When screen switching, the Screen to be updated option is used to select the desired Shift Management screen. In Runtime, the filter set in the screen is applied to the selected shift model screen.

Note: If filtering is via the equipment model screen, it replaces the configurations set in the shift model screen.


Highlight time ranges

Manuel -> Gestion d'équipe -> Shift management in Runtime -> Calendar -> Shifts -> Highlight time ranges

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Time ranges can be highlighted via the configuration of times to be displayed. Time ranges outside the time filter are shown in gray, but can be edited.

To configure time ranges in the calendar:

  1. Click on the button Filter.

    The dialog for screen switching is opened.

  2. Define the desired time range in the General tab.
  3. Confirm the configuration by clicking on the OK button.


Insert shift model

Manuel -> Gestion d'équipe -> Shift management in Runtime -> Calendar -> Shifts -> Insert shift model

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

To add a shift model to a calendar:

  1. Highlight the day on which the shift calendar is to be added in the shift calendar.
  2. Click on the button or the Insert shift model.
    Note: When engineering in the network, there must be operating authorizations on the computer.

    The dialog to select a shift model is opened.

  3. Select the desired model.
  4. Click on OK.

    The model is inserted into the first day of selection in the calendar.

Note:

  • When inserting onto the calendar, a check is carried out to see if the respective day is also envisaged for the shift.
  • The shift model is inserted on the server. The clients are notified by means of the new shift.
  • The shifts created have no relation or linking to the model.
  • If the shift model has been added on the wrong day, all shifts created must be deleted manually.

attention Attention

If a day in the monthly shift is selected in the shift model, this day lasts from 00:00 to 24:00. Midnight is also the starting point for the next day. 2 days are therefore selected in practice.

The shift is thus inserted for 2 days when inserting a shift model into a calendar.

To insert the shift for just one day:

  • Insert the shift model.
  • For the To option, stipulate the same date as for From.

Example

Object | Start: | End
Shift in the shift model: | 3:00 AM | 4:00 AM
Selection in the calendar: | 03.04.2017, 02:00 AM | 03.04.2017, 8:00 AM
Result in the calendar: | 03.04.2017, at 3:00 | 03.04.2017, at 4:00 AM

Insert new shift model

The insertion of a shift model is configured using two tabs:

  • Shift model selection: Selection of the shift model and the time range.
  • Selection equipment modeling: Selection of equipment groups

Shift model selection

Option | Description
From | Definition of the start date by direct input in the field or selection from a calendar. Clicking on the cursor key opens the calendar.
Until | Definition of the end day by direct entry into the field or selection from the calendar. Clicking on the cursor key opens the calendar.
Shift models list | Lists all configured shift models. Selection by clicking on a shift model. After closing the dialog with OK, the shift model is entered into the calendar on the highlighted day.

Close dialog

Option | Description
OK | Applique les paramètres et ferme la boîte de dialogue.
Cancel | Annule toutes les modifications et ferme la boîte de dialogue.

Equipment Modeling

Equipment modeling is configured in a similar manner to the equipment modeling for shifts.


Assign users a shift

Manuel -> Gestion d'équipe -> Shift management in Runtime -> Calendar -> Shifts -> Assign users a shift

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Users can be assigned a shift. The Message Control module can use this link to send messages.

To assign users a shift:

  1. Select the shift in the calendar.
  2. Open the dialog Shift properties.
  3. Switch to the User tab.

  4. Click on the Add button or select this entry in the context menu.

    The user selection dialog is opened. All users in the active project who have been created are shown.

  5. Highlight the desired users.
  6. Click on the Add button.

    The selected users are added to the list.

  7. Confirm the settings with OK.

    The users are added in the Users tab.

  8. Close the Shift properties dialog by clicking on OK.
    The selected users are now linked to the shift.

Note: To use the users linked here in the Message Control module, the users must be assigned to a certain user group. This user group can be defined as a target in the Envoi d'un message.


Shift models

Manuel -> Gestion d'équipe -> Shift management in Runtime -> Calendar -> Shift models

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Shift models can be created and edited in Runtime. To do this, the corresponding control elements must have been configured in the screen.

Shift models

Elements | Description
Shift models list | List of existing shift models.
Column selection | Opens the dialog to select the columns to be displayed in the list.
Format columns | Opens a dialog to format the columns.
New shift model | Opens the dialog for creating a shift model.
Open shift model | Changes the calendar view to the display of shift models and opens the selected shift model there.
Save shift model | Saves the shift model opened in the calendar. Only available if a shift model is open in the shift calendar and there are unsaved changes.
Delete shift model | Deletes the selected shift model after a confirmation message.
Properties | Configuration of the properties of the shift model: Name and description

Autres sujets abordés dans ce chapitre

Creating a shift model

Configure shift model

Delete shift model


Creating a shift model

Manuel -> Gestion d'équipe -> Shift management in Runtime -> Calendar -> Shift models -> Creating a shift model

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

To create a new shift model:

  1. In the Shift models area, click on the New shift model button.
    Alternatively, right-click in the list of the shift models and select New shift model in the context menu or press the Insert key.

    The dialog to create a new shift model is opened.

  2. Give it a name and, optionally, a description.
  3. If necessary, configure the weekdays on which the model is to be applied.

Note: If the model is limited to certain week days, when adding the model to the calendar, a shift is only entered for the days that have been selected in the model. When checking whether a model can be inserted on a certain week day in the calendar, the first day of the model is taken into account. If this is not valid, shifts from the second day are not entered into the calendar. If the first day is valid, shifts from the second day are also entered into the calendar, even if this day is invalid.

Example: A shift in the model lasts from 20:00 to 04:00. Thursday is an invalid day. If the model is added on a Wednesday, the shift is entered in full. If the model is added on a Thursday, the shift is not entered.

New shift model dialog

Option

Description

Name

Entry of the name.

The following applies for names:

  • must be unique
  • must not be empty
  • must not contain one of the following characters: /\.:*?<>!|"'?#%
  • must not consist of more than 256 characters

Description

Entry of an optional description.

Maximum length: 32000 characters

Valid for the following weekdays

Configuration of the week days on which the shift model is applied in the shift calendar.

Selection by activating the checkbox beside of the respective weekday.

Default: all

Close dialog

OK | Applique les paramètres et ferme la boîte de dialogue. If errors are established during validation, the dialog is opened again and a notice of possible causes of errors is shown.
Cancel | Annule toutes les modifications et ferme la boîte de dialogue.


Configure shift model

Manuel -> Gestion d'équipe -> Shift management in Runtime -> Calendar -> Shift models -> Configure shift model

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

To configure a shift model:

  1. Click, in the list of the shift models, on the button or the Open shift model context menu entry or double-click on a shift model.

    The shift model is displayed in the calendar.

  2. Configure the shift model.
  3. Click on Save shift model.

Edit properties

The name and property of a shift model can be edited.

To change a property:

  1. Highlight the shift model.
  2. Click on the Properties button.
    This must have been configured for the screen.
    Alternatively: Select the Properties entry in the context menu.

    The dialog with the shift model properties is opened.

  3. Edit the desired entries:
    • Name: Name of the shift model.
      The name must be unique. For further limitations, see the Create shift model chapter.
    • Description: Optional description.
      Maximum length: 32000 characters
  4. Save by clicking on OK.

The changes are applied immediately, saved on the server and distributed to all clients. This is also applicable if the model is edited at the same time on another client. The content of the model - the shift configurations - is not changed in the process. These are also saved and distributed. You can find detailed details on this in the Behavior in the network chapter.


Delete shift model

Manuel -> Gestion d'équipe -> Shift management in Runtime -> Calendar -> Shift models -> Delete shift model

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

To delete a shift model:

  1. Select the desired shift model in the shift models area.
    Multiple selection is possible.
  2. Click on the Delete shift model button.
    Alternatively, right click in the list of the shift models and select Delete shift model in the context menu or pres the Del key.

    The dialog to confirm the deletion process is displayed.

  3. Confirm this when requested to do so.

    The shift model is deleted.
    If the shift model is shown in the calendar, it is switched to the normal calendar view. If the shift model is deleted from another computer, a corresponding message is shown.

Note: The deletion of shift models is documented by means of an entry in the Chronological Event List.


Copy and paste shifts and shift models

Manuel -> Gestion d'équipe -> Shift management in Runtime -> Copy and paste shifts and shift models

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Shifts can be copied and pasted in the calendar.
To copy and paste shifts, use:

  • The Copy shift and Insert shift buttons
  • The Copy shift and Insert shift commands in the context menu
  • The keyboard shortcut Ctrl+C and Ctrl+V

Buttons/commands:

  • Copy shift: Copies the selected shift to the clipboard.
  • Insert shift: Pastes a copied shift from the clipboard into the selected day.

Insertion is always only possible in the same project and in the same view.
That means: Shifts from shift models can only be inserted into shift models, shifts from the calendar only in the calendar.


Carry out SQL export

Manuel -> Gestion d'équipe -> Shift management in Runtime -> Carry out SQL export

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Shifts and breaks can be exported to SQL.

To export shifts and breaks in Runtime:

  1. Create a function Calendrier de transfert d'exports SQL.
  2. Execute the function in the Runtime.

    The shifts that correspond to the configuration are exported.

The following is applicable for SQL export:

  • Naming of the target tables: [project GUID]_SHIFT_[GUID of the equipment model group].
  • Only connected groups are exported.
    That means: If a shift is in a time filter, but not yet concluded, it is not exported.
  • Each shift is only exported once.
    It is inserted into the respective table once. Subsequent changes to a shift are not applied to the pre-existing table.
  • Errors are logged.

attention Attention

If the export fails, the shifts to be exported are not transferred again during the next export. Gaps can thus occur.

Recommendation: Configure the export as overlapping. To do this, call up the function every day, for example, and export the shifts for 2 days.
Or activate the Show this dialog in Runtime option in order to allow the user to reconfigure the time range in Runtime.


Behavior in the network

Manuel -> Gestion d'équipe -> Behavior in the network

Function authorizations

In principle, all buttons and context menus are available, regardless of the required rights. The first time it is executed, a check is carried out to see whether the logged-in user is authorized to carry out the action. The properties of the shifts and shift models can always be displayed. This is also applicable if the rights for editing are missing.

Procedure:

  • A check is carried out to see whether the token for editing is present in the network.

    If there is no authorization, the process is canceled with an error message.

  • A check is carried out to see whether the logged-in user has the necessary rights.

    If there is no function authorization, the process is canceled with an error message.
    Exception: If a temporary login has been activated, the login dialog is shown. If this login is unsuccessful, the process is ended with an error.

Shifts and shift models

When creating and editing shifts and shift models in the network, the following is applicable:

  • Editing is not carried out on the server directly, but with a local copy.
    All changes are sent to the Serveur 1 and to the Serveur 2 and updated there.
    This concerns the creation, changing and deletion of shifts and shift models, as well as the insertion of shift models into the shift calendar.
  • If several users are editing the same shift or the same shift model, the changes made by the user who has saved last are applied.
  • When the model is saved, only the content is saved, not the name and description.


Time zones and date limits

Manuel -> Gestion d'équipe -> Time zones and date limits

Rules have been defined for the behavior of shift management with regard to time zones, time switch and date limits.

Autres sujets abordés dans ce chapitre

Display of date limits

Time zones and time switches


Display of date limits

Manuel -> Gestion d'équipe -> Time zones and date limits -> Display of date limits

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

When creating a shift, the end of which is the limit of two days, Shift management acts as follows:

  • 24:00 is understood as 00:00 of the following day.
  • This 00:00 is shown as its own day in the shift properties.
    • This day only permits the time 00:00.
    • If an attempt to select another time for this day is made, a corresponding message is shown.

Example

  • Configured shift time:
    • 11. 11. 2017
    • from 4:00 p.m. - 24:00 p.m.
  • Display:
    • Start: 11. 11. 09:00 a.m. - 4:00 p.m.
    • End: 12. 11. 09:00 a.m. - 12:00 p.m.


Time zones and time switches

Manuel -> Gestion d'équipe -> Time zones and date limits -> Time zones and time switches

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Shifts are automatically amended to the switch from daylight saving time to standard time in accordance with certain rules.

When inserting a shift, a dialog is opened in which the start time and end time are shown according to the selection. If an unavailable time point is selected when switching, it is then corrected automatically. The times can be amended in the dialog. Times that are not available are always corrected however.

  • Switch from standard time to daylight saving time:
    A time indication of 02:00 is automatically corrected to 01:00.
    Background information: Because there is a switch at 02:00 to 03:00, 02:00 does not exist for the calendar. Entry of 02:00 is not possible.
  • Switch from daylight saving time to standard time:
    A time indication of 3:00 is automatically corrected to 2:00.
    The display in the calendar can depend on the time zone in which the calendar is displayed. For example, in the local calendar with a standard time switch, the shift can be shown with a length of 2 hours. In another calendar, the shift - depending on the time zone - can also be shown for 3 hours. In Yakutsk, for example, where there is no time switch.


Keyboard shortcuts for Shift Management

Manuel -> Gestion d'équipe -> Keyboard shortcuts for Shift Management

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

The following keyboard shortcuts are available for Shift Management in zenon:

Runtime

Action | Key
Create new shift or shift model | Ins
Edit shift or shift model | Enter
Delete shift or shift model | Del


Gestion de charge (Load Management)

Manuel -> Gestion de charge (Load Management)

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Le module Gestion de charge est un outil de gestion économique. Il est utilisé pour la gestion de l'alimentation en électricité des petites et moyennes entreprises de fourniture d'énergie, mais également des firmes industrielles dont l'alimentation en électricité est régie par des contrats spéciaux.

Le module inclut deux fonctions de qualité destinées à aider l'utilisateur :

  • Prévisions (prévisions à court terme) : Cette fonction permet d'éviter les pics de charge et d'automatiser le délestage.
  • Optimisation : Optimisation de la consommation d'électricité déterminée durant une période de facturation.

L'accent est mis sur l'équipement électrique énergétique.

tutorial Informations concernant la licence

Ce module doit disposer d’une licence dans Editor et le Runtime.

Menu contextuel Gestionnaire de projet

Élément de menu | Action
Exporter tout (XML) | Exporte toutes les entrées sous forme de fichier XML.
Importer XML... | Importe des entrées à partir d'un fichier XML.
Aide | Ouvre l'aide en ligne.

Autres sujets abordés dans ce chapitre

Introduction

Fonctionnement du système lorsque l'électricité est utilisée en tant que source d'alimentation

Réflexions importantes

Méthode de gestion de charge

Centrales bivalentes multi-niveaux

Configuration du module Gestion de charge

État interne des composants

Création des fichiers du Runtime

Utilisation de la fonction de gestion de charge dans le Runtime


Introduction

Manuel -> Gestion de charge (Load Management) -> Introduction

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Le rôle d'un module de Gestion de charge consiste à optimiser le fonctionnement des installations de clients proposant des contrats spéciaux, à l'image des sociétés de production d'électricité ou des firmes industrielles. Les calculs de tendances énergétiques offrent une aide significative ; ils servent de base à l'optimisation automatisée de la consommation énergétique.

Autres sujets abordés dans ce chapitre

Situation initiale dans l'industrie de l'électricité

Objectifs d'une gestion économique

Réseau gaz


Situation initiale dans l'industrie de l'électricité

Manuel -> Gestion de charge (Load Management) -> Introduction -> Situation initiale dans l'industrie de l'électricité

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

En guise de "règle" dans l'industrie de l'électricité, on utilise un taux incluant les investissements du fournisseur et les coûts résultant de la production électrique et de l'entretien du réseau.

Pour définir leurs tarifs, les sociétés de production et de distribution tiennent normalement compte d'un certain nombre de crêtes de consommation survenues au cours de l'année. Le calcul de la consommation moyenne est établi dans le cadre d'un intervalle de mesure fixe, normalement compris entre 15 et 30 minutes. Par ailleurs, le prix inclut également la puissance reçue. Les contrats établis sur cette base sont valables à long terme.


Objectifs d'une gestion économique

Manuel -> Gestion de charge (Load Management) -> Introduction -> Objectifs d'une gestion économique

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

L'objectif d'une gestion économique lors de l'utilisation de l'électricité en tant que source d'énergie consiste à recevoir autant d'énergie que possible de votre fournisseur à un tarif aussi réduit que possible (optimisation).

Les économies potentielles peuvent être réalisées en évitant les crêtes de consommation onéreuses. Les crêtes de consommation durant une période de mesure peuvent être évitées au moyen d'interventions contrôlées et ponctuelles.

  • Délestage avec équipements commutables
  • Production des générateurs

Pour cela, il est nécessaire d'anticiper la consommation moyenne durant une période de mesure (prédiction). Ainsi, un dépassement dangereux de la limite prescrite peut être reconnu de manière ponctuelle, et une intervention adéquate peut être réalisée.


Réseau gaz

Manuel -> Gestion de charge (Load Management) -> Introduction -> Réseau gaz

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Le module Gestion de charge ne prend en charge que les réseaux électriques de zenon 7.50.

La fonctionnalité réseau de gaz a été supprimée. Lors de l'importation, de la conversion et de la compilation de projets zenon de versions antérieures, un message s'affiche dans la fenêtre de résultats de zenon Editor s'il reste une configuration de projet pour les réseaux de gaz.

Une entrée CEL est créée à son démarrage dans zenon Runtime.

Texte du message

Pour configurer les projets avec le réseau de gaz, le message suivant s'affiche dans la fenêtre de résultats de zenon Editor :

La fonctionnalité réseau de gaz du module de gestion de charge n'est plus supporté et ne sera pas importé.


Fonctionnement du système lorsque l'électricité est utilisée en tant que source d'alimentation

Manuel -> Gestion de charge (Load Management) -> Fonctionnement du système lorsque l'électricité est utilisée en tant que source d'alimentation

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

L'intervalle de mesure de l'alimentation en électricité est normalement de 15 à 30 minutes. Pendant ce temps, la moyenne de la puissance reçue au point de transfert (nous l'appellerons désormais puissance ou charge) ou la quantité d'énergie correspondante est déterminée et enregistrée.

Le prix est généralement adapté aux trois valeurs supérieures enregistrées pour les périodes de mesure au cours des différents mois. Le prix est alors valide à long terme.

La puissance moyenne utilisée pour calculer le tarif peut être réduite lorsque les consommations en crête sont limitées en raison d'interventions ponctuelles et contrôlées. L'optimisation à court terme peut être réalisée grâce aux interventions suivantes :

  • Délestage avec équipements commutables
  • Augmentation de la production des générateurs

L'objectif de cette optimisation consiste à ne dépasser en aucune circonstance la limite contractuelle de puissance prescrite au cours d'une période de mesure. En outre, la consommation d'énergie doit rester très légèrement inférieure à la limite définie, afin de recevoir autant d'énergie que possible.

L'optimisation de la consommation est effectuée au moyen d'un calcul de tendance à court terme. Les valeurs mesurées collectées durant l'intervalle de traitement (généralement 30, 60 ou 180 secondes) sont utilisées pour effectuer une analyse de tendance. La tendance calculée est projetée à la fin de la période.


Réflexions importantes

Manuel -> Gestion de charge (Load Management) -> Réflexions importantes

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Le chapitre suivant aborde quelques réflexions et exemples permettant à l'utilisateur d'identifier et sélectionner plus facilement les éléments modifiables de votre usine. La question consiste à déterminer les éléments et équipements pouvant être influencés directement, par le module Gestion de charge, ou indirectement, de manière sensée.

Autres sujets abordés dans ce chapitre

Options permettant d'influencer la puissance de sortie de la zone d'alimentation électrique

Caractéristiques de consommation électrique des équipements


Options permettant d'influencer la puissance de sortie de la zone d'alimentation électrique

Manuel -> Gestion de charge (Load Management) -> Réflexions importantes -> Options permettant d'influencer la puissance de sortie de la zone d'alimentation électrique

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Options

Description

Équipements directement commutables

Les équipements pouvant être arrêtés brièvement, sans interruption des procédés de production, forment partie de ce groupe (chaudières industrielles, pompes de réservoirs d'eau, etc.).

Les charges comportent une valeur fixe. En règle générale, elles dépendent de l'équipement et, par conséquent, doivent pouvoir être mesurées.

Chauffages directs

En raison de leur effet de stockage, ces équipements peuvent être brièvement arrêtés sans diminution significative de la qualité de l'alimentation (chauffage dans les réservoirs d'eau chaude, les chauffages au sol électriques, etc.).

La charge comprend une part constante et une part dépendante de la température. En outre, la charge dépend de la durée d'arrêt de l'équipement.

Pompes à chaleur monovalentes

En règle générale, ces pompes sont actionnées de la même manière que les chauffages directs.

La partie dépendante de la température est plus spécifique, et augmente avec la baisse des températures extérieures (pompes utilisées pour la production de chaleur, notamment dans les systèmes de climatisation) ou s'élève avec l'augmentation des températures extérieures (systèmes de climatisation). La charge dépend de la durée d'arrêt de l'équipement.

Pompes à chaleur bivalentes

Ces pompes permettent de choisir le carburant utilisé. Sous une certaine température, elles sont basculées vers un autre carburant par le contrôleur ou par la fonction d'optimisation.

Dans ce cas, aucune contrainte d'alimentation ne s'applique aux équipements. Ces composants sont uniquement commutés à long terme, et de manière très restrictive, car la commutation ne doit pas intervenir sans cesse.

Lorsque la température baisse, la charge augmente jusqu'à atteindre le point de commutation. Alors, elle disparaît entièrement.

Chauffage à accumulation de nuit

Ces équipements sont alimentés conformément à un programmateur, ou en cas de besoin d'une puissance de sortie accrue durant les périodes à faible demande. Ils sont arrêtés le reste du temps.

La charge dépend essentiellement de la température extérieure. Il est important de noter le nombre de chauffages mis en marche (ce nombre étant limité par la puissance installée) et leur durée de charge.

Agrégats de pics de charge et agrégats de puissance d'urgence

Ces agrégats peuvent être activés ou désactivés selon le besoin. Dans certains cas, ces agrégats peuvent être contrôlés. Le nombre d'utilisations doit être limité, car l'activation de ces agrégats peut entraîner une usure supplémentaire. En outre, la durée de fonctionnement de ces agrégats doit être limitée au maximum, afin d'éviter tout dommage d'origine thermique.

Centrales bivalentes

La fonction principale de ces agrégats consiste à produire de la chaleur ; durant leur fonctionnement, ils sont contrôlés par la demande de chaleur (chaleur prioritaire).

Certains agrégats peuvent être directement utilisés pour générer de la puissance électrique (demande d'électricité). En règle générale, ce mode de fonctionnement est inefficace si la chaleur produite n'est pas utilisée au même moment. Par conséquent, l'utilisation est uniquement bénéfique si la demande de chaleur est identique, ou s'il est possible de stocker la chaleur.

La réduction de la charge au regard du point de commutation dépend de la capacité nominale, et concerne les agrégats contrôlés ou déclenchés par la demande de chaleur dès leur point de mise en marche.

Les agrégats sont fréquemment regroupés sous forme de groupes. Selon la demande de chaleur, un certain nombre d'éléments du groupe sont utilisés. La diminution de la puissance maximale dans la zone d'alimentation électrique est déterminée par le nombre et la puissance nominale des agrégats utilisés.

Abaissement de la tension

Dans la zone d'alimentation électrique, il est possible d'abaisser la tension sur certains réseaux. Pour cela, les transformateurs de niveau moyenne tension sont commutés vers un niveau inférieur.

La charge ohmique des équipements (c'est-à-dire leur dépendance à la tension) entraîne une autre demande de charge, à condition que la tension ou la puissance de sortie ne soient pas ajustées par des contrôles subordonnés.

La diminution de la charge dépend de la charge du réseau, de la possibilité d'abaisser la tension (les tensions minimales doivent être respectées) et de la composition des équipements.


Caractéristiques de consommation électrique des équipements

Manuel -> Gestion de charge (Load Management) -> Réflexions importantes -> Caractéristiques de consommation électrique des équipements

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Pour reconstruire la puissance de sortie requise actuelle, des modèles représentant la consommation électrique des composants arrêtés doivent être utilisés. Ces modèles sont attribués à différentes classes.

Type | Description
Puissance de sortie constante | Lorsqu'il est mis en marche, un agrégat (pompe, chaudière) présente une consommation électrique précédemment définie. La puissance consommée est soustraite à la puissance de sortie lors de l'arrêt de l'équipement. Dans ce cas, il suffit d'indiquer la puissance nominale sous forme de constante.
Dépendance directe vis-à-vis de la température | La dépendance des équipements vis-à-vis de la température est directement tributaire des effets météorologiques ; elle évolue de manière proportionnelle, conjointement à la puissance thermique produite, en fonction de la tendance négative de la température de sortie. Pour une capacité de refroidissement, le comportement est inversé.
Modèle de période de charge | Dans ce cas, la température varie selon la puissance de sortie de mise en marche et la durée de la période de charge suivante, jusqu'à ce que la puissance de sortie chute une fois tous les éléments de stockage thermique remplis.
Dépendance vis-à-vis de la durée d'arrêt | En raison des périodes de refroidissement ou de réchauffage, plusieurs équipements sont mis en marche en fonction de la durée de l'arrêt précédent. Après une brève période, ces équipements s'arrêtent à nouveau.
Dépendance vis-à-vis du procédé de production | Dans le secteur de l'industrie, des comportements liés aux procédés de production peuvent apparaître, indépendamment des comportements habituels ou des dépendances. Ces comportements peuvent uniquement être déterminés par les plannings de production.


Méthode de gestion de charge

Manuel -> Gestion de charge (Load Management) -> Méthode de gestion de charge

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Le module Gestion de charge dédié à l'énergie électrique (l'électricité) repose sur une analyse chronologique. L'évolution de la puissance de sortie mesurée est analysée et extrapolée dans le futur. L'horizon des prévisions du module Gestion de charge correspond à la durée restante de la période de mesure.

Autres sujets abordés dans ce chapitre

Valeurs d'entrée

Le modèle des prévisions à court terme

Principes de fonctionnement de la règle d'obtention

Chevauchement d'entrées de plannings


Valeurs d'entrée

Manuel -> Gestion de charge (Load Management) -> Méthode de gestion de charge -> Valeurs d'entrée

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Le module Gestion de charge attend une valeur d'entrée sous la forme d'une valeur de compteur ou d'une valeur calculée fournie par les drivers, ou d'un résultat du calcul d'une formule mathématique dans zenon.

Attention : assurez-vous que la valeur est fournie une fois et une fois seulement dans l'intervalle de mise à jour. Une valeur ne doit pas être absente ou fournie deux fois.

Unités de mesure : MW, kW ou kWh

Le système est conçu sur la base de kW et d'heures. Par conséquent, toutes les quantités de puissance et d'énergie devant être saisies dans les masques de configuration font référence à ces unités de mesure. Au niveau interne, les fonctions du module Gestion de charge sont calculées sans unités de mesure. Par conséquent, les unités de mesure dans lesquelles les valeurs sont fournies et interprétées n'a aucune incidence, tant qu'elles font référence à la même base. L'unité de base peut être les kW ou les MW.

info Informations

Puisque le module Gestion de charge peut entraîner d'importants coûts en cas de défaillance, il est essentiel de sécuriser les valeurs saisies. Nous vous recommandons de sécuriser les valeurs de ce module en utilisant des valeurs de remplacement sensées ou une stratégie de valeurs alternative.


Le modèle des prévisions à court terme

Manuel -> Gestion de charge (Load Management) -> Méthode de gestion de charge -> Le modèle des prévisions à court terme

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Pour projeter l'évolution actuelle de la puissance électrique, il est nécessaire de concevoir un modèle mathématique de l'évolution de la puissance électrique. En extrapolant l'évolution de la puissance électrique de ce modèle pendant la durée restante de la période de facturation, il est possible d'estimer la puissance prévue à la fin de la période.

Tendance de la puissance

À la fin de la période T, la puissance P prog (T) doit être calculée. Pour calculer la tendance de la puissance actuelle, on utilise une fonction linéaire sous la forme d'un polygone, qui est extrapolée à la fin de la période.

P prog (T) = P const (t) + P tend (t) * ( T - t )

Les facteurs polygonaux mathématiques p0, p1 sont nommés d'après leur signification physique, afin de faciliter la compréhension de la formule.

Facteur | Description
P prog | Valeur de puissance prévue
P const | Constante de la puissance (valeur des dernières valeurs)
P tend | Tendance de la puissance (linéaire montante ou descendante)
D | Instant situé à la fin de la période de mesure
t | heure actuelle

Tendance énergétique

En se basant sur ces informations, il est possible de calculer la tendance énergétique jusqu'à la fin de la période E(T) à l'aide de la fonction

E prog (T) =P moy (t) * t + P const (t) * (T - t) + ½ * P tend (t) * (T - t)

Facteur | Description
E prog | Valeur d'énergie prévue
P moy | Valeur de puissance moyenne

Le premier cumulateur décrit l'énergie déterminée jusqu'à l'instant t. L'énergie peut être déterminée par la valeur de puissance moyenne, comme décrit dans la formule, ou fournie sous la forme d'une valeur énergétique calculée directe E(t).

Le deuxième cumulateur poursuit la puissance constante jusqu'à la fin de la période, et calcule la quantité d'énergie constante sur cette base.

Le troisième cumulateur décrit l'influence supplémentaire de la tendance.

Au regard du calcul énergétique utilisé pour établir la valeur de facturation réelle, l'utilisation d'une valeur située précisément au début de la période de mesure est nécessaire. Il n'est donc pas possible d'utiliser des valeurs filtrées externes.

Dans la formule ci-dessus, la valeur moyenne à la fin de la période peut être déterminée.

P prog moy (T) = E prog (T) / T

Paramètres | Description
P prog moy | Valeur moyenne de puissance prévue

Autres sujets abordés dans ce chapitre

Calcul de la puissance de correction

Prévisions de valeurs actuelles et de valeurs réelles

Abaissement de la limite d'alimentation


Calcul de la puissance de correction

Manuel -> Gestion de charge (Load Management) -> Méthode de gestion de charge -> Le modèle des prévisions à court terme -> Calcul de la puissance de correction

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Durant la période de mesure, la puissance moyenne

P (limite) = limite acceptée

peut être obtenue. Durant la période de mesure T, cette puissance est égale à

E (limite) = P (limite) * T

.

En comparant cette puissance à l'énergie prévue E prog (T) en fin de période, les valeurs de dépassement inférieure et supérieure de la limite acceptée

E corr = E prog (T) - E (limite)

peuvent être évaluées. Le dépassement supérieur ou inférieur peut être équilibré en réalisant les commutations correspondantes.

Toutefois, il faut garder à l'esprit qu'à l'instant t, seul le temps d'équilibre T-t est disponible. Par conséquent, une puissance de correction élevée

P corr (t) = E corr / (T-t)

est nécessaire.


Prévisions de valeurs actuelles et de valeurs réelles

Manuel -> Gestion de charge (Load Management) -> Méthode de gestion de charge -> Le modèle des prévisions à court terme -> Prévisions de valeurs actuelles et de valeurs réelles

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Les prévisions sont réalisées pour plusieurs tendances dans le module Gestion de charge.

  • La première tendance tient compte de la consommation électrique. Cette tendance calcule d'augmentation de la puissance requise sous forme de prévision de valeur actuelle.
  • Un deuxième facteur de tendance tient compte des commutations intervenues dans le passé.
  • Un troisième facteur de tendance calcule l'influence des commutations futures.

Les fonctions de tendance sont superposées, et le résultat est la prévision de valeur réelle. Celle-ci décrit la consommation de puissance prévisible jusqu'à la fin de la période de facturation.


Abaissement de la limite d'alimentation

Manuel -> Gestion de charge (Load Management) -> Méthode de gestion de charge -> Le modèle des prévisions à court terme -> Abaissement de la limite d'alimentation

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Dans la mesure où la tendance de charge ne peut pas être prévue avec exactitude et que des écarts sont habituellement constatés par rapport aux charges commutables, il est nécessaire de rester sous la valeur prescrite d'alimentation actuelle, pour des raisons de sécurité.

C'est pour cette raison qu'un pourcentage Distance de sécurité [%] est utilisé pour la limite d'alimentation durant le paramétrage ; la valeur actuelle doit être inférieure à ce pourcentage pour que des connexions soient déclenchées.

Chiffre | Description
1 | Limite d'alimentation (valeur prescrite)
2 | Distance de sécurité
3 | Désactiver hystérésis
4 | Activer hystérésis
5 | Hystérésis de commutation

Un hystérésis peut être défini autour de cette limite à l'aide des fonctions Activer hystérésis [%] et Désactiver hystérésis [%]. Dans ce cas, l'élément Activer hystérésis [%] élimine une partie de l'élément Distance de sécurité [%].

attention Attention

Dans tous les cas, il est essentiel que l'élément Activer hystérésis [%] soit inférieur à l'élément Distance de sécurité [%]. Dans le cas contraire, le système réagira trop tardivement si la limite convenue est dépassée.


Principes de fonctionnement de la règle d'obtention

Manuel -> Gestion de charge (Load Management) -> Méthode de gestion de charge -> Principes de fonctionnement de la règle d'obtention

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Fonctionnement en circuit fermé

Normalement, la règle d'obtention s'applique au fonctionnement en circuit fermé (Closed Loop). Les durées de mise en marche et d'arrêt sont calculées en fonction des résultats de la fonction d'optimisation. La commutation est déclenchée directement par les commandes de commutation correspondantes.

info Informations

Dans le module Gestion de charge, les points de commutation immédiate ne doivent pas forcément être utilisés au niveau des consommateurs. Vous pouvez décider d'autoriser la commutation directe, ou de demander que la commutation soit d'abord effectuée par l'utilisateur.

attention Attention

L'utilisation sans contrôle du fonctionnement en circuit fermé nécessite la mise en œuvre d'une phase de pilotage intensif. Dans ce cas, toutes les commutations effectuées par le contrôleur doivent être validées par l'utilisateur. Cette phase de pilotage doit être ajustée en fonction de la taille et la complexité du système. Il est possible que la phase de pilotage dure une année.

Autres sujets abordés dans ce chapitre

Détermination de la capacité de production des équipements

Procédé de commutation


Détermination de la capacité de production des équipements

Manuel -> Gestion de charge (Load Management) -> Méthode de gestion de charge -> Principes de fonctionnement de la règle d'obtention -> Détermination de la capacité de production des équipements

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

La détermination de la capacité de production des équipements est particulièrement importante au regard de l'évaluation de l'effet provoqué par les commutations. Le problème est que la capacité de production des équipements arrêtés ne peut pas être mesurée directement, et doit parfois être estimée.

Dans le système, deux mécanismes sont mis en œuvre pour déterminer la capacité de sortie.

  • Valeur fixe par paramétrage

    La valeur (par exemple, la puissance nominale) est considérée comme fixe par la fonction d'optimisation, et est toujours disponible.

  • Mesure de la valeur actuelle

    La valeur est mesurée et zenon décrit cette valeur à l'aide d'une variable dans les équipements.

La valeur initiale de la capacité de production de l'équipement est déterminée par l'interrogation de la valeur de la variable au début de l'optimisation. Pour compenser les erreurs dues aux fluctuations, la fonction d'optimisation calcule une valeur moyenne glissante à partir des mesures consécutives.

info Informations

Si un composant est arrêté au début de l'optimisation, sa capacité de production est estimée à zéro. Par conséquent, la fonction SCADA ne peut pas déterminer une valeur de sortie valide comme condition préalable à l'utilisation du composant. Le composant doit être activé une fois manuellement.

attention Attention

Tant qu'une valeur au moins n'est pas arrivée, la valeur de sortie du composant n'est pas connue, et ne peut pas être utilisée pour l'optimisation.

Autres sujets abordés dans ce chapitre

Facteurs principaux

Facteurs secondaires


Facteurs principaux

Manuel -> Gestion de charge (Load Management) -> Méthode de gestion de charge -> Principes de fonctionnement de la règle d'obtention -> Détermination de la capacité de production des équipements -> Facteurs principaux

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Quantité d'énergie

En règle générale, la sélection de l'équipement est déterminée par la quantité d'énergie pouvant être activée ou désactivée.

Si la quantité d'énergie demandée ne peut pas être atteinte exactement, elle est considérée comme une valeur minimale en cas de demande d'arrêt et comme une valeur maximale en cas de demande de mise en marche. Les limites de consommation peuvent donc être observées en toute sécurité.

info Informations

Durant le Runtime, la quantité d'énergie peut être réglée de manière dynamique, à l'aide d'une variable.

Disponibilité

La disponibilité détermine la possibilité d'utiliser l'équipement en règle générale. La disponibilité peut être réglée manuellement et est toujours reportée si le composant ne peut pas être utilisé pour des raisons opérationnelles (par exemple, en cas de réparations) ou s'il ne doit pas être utilisé par la fonction d'optimisation.

Les conditions pouvant survenir durant le procédé peuvent également déterminer la disponibilité du composant et contrôler son utilisation par la fonction d'optimisation.

info Info

Durant le Runtime, la disponibilité peut être réglée de manière dynamique, à l'aide d'une variable. Par exemple, des plannings de disponibilité peuvent être mis en œuvre à l'aide d'un planning horaire dans le module Production & Facility Scheduler.


Facteurs secondaires

Manuel -> Gestion de charge (Load Management) -> Méthode de gestion de charge -> Principes de fonctionnement de la règle d'obtention -> Détermination de la capacité de production des équipements -> Facteurs secondaires

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Heures de verrouillage et de déverrouillage des équipements

Les heures de verrouillage permettent de contrôler les horaires pendant lesquels les composants ne sont pas disponibles pour la fonction d'optimisation. Les horaires non désignés comme des heures de verrouillage représentent les heures de déverrouillage.

attention Attention

Durant les heures de verrouillage, les composants ne sont pas influencés par l'optimisation – ou alors, seulement dans le sens du déverrouillage. Ainsi, les composants restent dans l'état dans lequel ils se trouvaient à la fin de l'heure de déverrouillage.

Durées de commutation minimale et maximale

Vous pouvez spécifier les délais minimal et maximal pour les états de commutation (marche/arrêt) individuels pour chaque équipement et générateur utilisé. Cette durée désigne l'intervalle devant s'écouler pour qu'une action de commutation soit déclenchée dans le sens opposé.

Ce paramètre est important pour les agrégats ; pour éviter les dommages thermiques et les dommages dus à la suie, les agrégats ne doivent pas être désactivés immédiatement après avoir été activés. Ainsi, par exemple, un certain temps doit s'écouler après l'activation des groupes de chauffage avant qu'ils ne se mettent en marche.

Fréquence de commutation

Si des équipements et des générateurs ne peuvent effectuer qu'un nombre limité de commutations au cours d'une certaine période, les composants ne sont plus commutés dès lors que ce nombre est atteint. Outre le nombre de commutations, la procédure de paramétrage nécessite également la saisie d'un intervalle de temps.

Example Exemple

25 commutations en 12 heures maximum

Priorités de commutation

La commutation des composants est planifiée en fonction d'un programme de priorités. Dans celui, les priorités de mise en marche et d'arrêt sont mentionnées séparément. L'utilisateur peut déterminer les priorités en fonction des exigences de fonctionnement. Le composant possédant la priorité la plus élevée (c'est-à-dire la valeur numérique la plus élevée) est commuté le premier.

S'il est nécessaire de commuter les composants dans un ordre défini, en arrêtant en dernier le premier équipement mis en marche, un programme numérique doit être appliqué à tous les composants : croissant, pour la première mise en marche, et décroissant, pour le dernier arrêt.

info Informations

Si plusieurs équipements dans une usine possèdent la même priorité, le module Gestion de charge veille automatiquement à ce qu'en moyenne, tous les équipements de même niveau soient commutés un nombre équivalent de fois.


Procédé de commutation

Manuel -> Gestion de charge (Load Management) -> Méthode de gestion de charge -> Principes de fonctionnement de la règle d'obtention -> Procédé de commutation

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Le terme "demande d'arrêt" émanant de la fonction d'optimisation désigne toujours la réaction de l'équipement réduisant la puissance de sortie requise et ainsi, la puissance de sortie obtenue car l'équipement est arrêté. Par conséquent, la demande d'arrêt peut être exécutée par la mise en marche d'un agrégat.

Procédés durant une commutation

Chiffre | Description
1 | Pré-alerte activée
2 | Ordre de sortie activé
3 | Délai de mise en marche
4 | Pré-alerte désactivée
5 | Ordre de sortie désactivé
6 | Délai pour la mise à l'arrêt

Délai de mise en marche (temps mort de mise en marche)

Égal à l'intervalle de temps entre l'activation de l'ordre de commutation et l'obtention de la puissance nominale.

Ce délai – qui dépend de l'agrégat – peut être assez long (par exemple, la mise en marche et la synchronisation de l'agrégat, le contrôle du chauffage par le raccordement, etc.)

Délai d'arrêt (temps mort d'arrêt)

Délai entre l'activation de l'ordre de commutation et l'instant où la puissance de sortie atteint zéro. Vous devez ajouter le délai d'activation de la commutation à l'heure à laquelle la puissance totale de sortie atteint zéro.

Délai d'avertissement de la mise en marche et de l'arrêt (durée du délai d'avertissement)

Les heures de commutation sont programmées à la seconde près, afin de contrôler précisément la quantité d'énergie. Pour fournir à l'utilisateur la capacité de respecter les heures définies pour le fonctionnement en circuit ouvert, il est nécessaire de définir un délai d'exécution de la commutation. Ce délai est définir par l'élément Délai préalerte. Dans ce cas, l'utilisateur reçoit des informations concernant les commutations planifiées avant qu'elles ne soient réellement effectuées.

attention Attention

Puisque le module Gestion de charge suppose que les commutations sont effectuées, les commutations proposées doivent être effectuées dans le délai correspondant, afin de préserver l'exactitude des prévisions.

Tactique du planning de commutation

En règle générale, la sélection de la commutation est effectuée dans le but de limiter au maximum le nombre de commutations effectuées. Ceci permet de maîtriser le fonctionnement du réseau et maintient la disponibilité des équipements pour lesquels un nombre maximal de commutations a été défini. En outre, les conflits – qui peuvent se produire lors de l'émission de la commande de commutation – sont minimisés.

Une commande temporisée spécifique permet d'utiliser des composants dont la puissance de sortie est significativement plus élevée que celle utilisée pour la correction. Les composants sont utilisés très brièvement, afin de compenser la puissance de sortie requise.

Commutations annulées au début d'une période de mesure

Au début d'une période de mesure, il est possible que des commutations importantes soient effectuées ou que des écarts importants par rapport à la valeur de sortie moyenne réelle soient définis, afin de compenser d'importantes quantités d'énergie à la fin de la période. Pour cette raison, au début de la période, il est nécessaire de laisser au système la capacité de s'adapter aux nouvelles circonstances.

C'est pourquoi un élément Début intervalle des tarifs en arrêt peut être développé dans le système. Pendant ce temps, la fonction d'optimisation n'effectue aucune commutation.

attention Attention

Si aucune réponse n'est reçue pour une commande de commutation émise par le module EMS (au niveau de la variable de réponse) pendant un long intervalle de temps, le module Gestion de charge suppose que l'action a échoué et tente d'effectuer une nouvelle commutation (sur le prochain composant disponible). Vous devez donc toujours veiller à ce que la réponse correcte, indiquant le succès d'une opération de commutation, soit transmise au module Gestion de charge.


Chevauchement d'entrées de plannings

Manuel -> Gestion de charge (Load Management) -> Méthode de gestion de charge -> Chevauchement d'entrées de plannings

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Différentes applications autorisent la commutation d'agrégats et d'équipements à des heures fixes, à l'aide des modules Planning ou Production & Facility Scheduler. Dans la mesure où ces modules et la fonction d'optimisation à court terme ne sont pas liés de manière explicite, ces commutations ne sont pas surveillées au regard de la tendance de sortie. Ils ne sont également pas affichés dans la tendance de la sortie obtenue. Ils perturbent le calcul du résultat de la fonction d'optimisation à court terme.

Pour que ces interférences n'aient pas d'effet radical, les commutations externes doivent être développées de manière telle qu'elles se déroulent lors d'un changement de période. Si cela n'est pas possible, elles doivent être programmées immédiatement après un changement de période, afin de pouvoir compenser l'influence perturbatrice sur le contrôle. Ces commutations doivent être finalisées dans les limites de l'élément Début intervalle des tarifs en arrêt, et l'influence de la commutation sur la variable d'entrée doit être présente.


Centrales bivalentes multi-niveaux

Manuel -> Gestion de charge (Load Management) -> Centrales bivalentes multi-niveaux

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Les centrales bivalentes multi-niveaux peuvent être considérées comme un composant unique. Les centrales bivalentes peuvent être décrites avec 2 à n niveaux.

Elles sont contrôlées par une valeur prescrite. En outre, différents niveaux de sortie peuvent être définis et appliqués à cette valeur prescrite. La puissance de sortie réelle de la centrale bivalente est enregistrée par une (mesure) variable, puis transmise au module Gestion de charge.

attention Attention

Une centrale bivalente est uniquement disponible pour le module de Gestion de charge lorsqu'elle atteint sa puissance nominale. Le drapeau de disponibilité est défini dans le cadre du développement. Le module Gestion de charge ne peut pas désactiver la centrale bivalente, et peut uniquement rétablir son niveau de puissance nominale.

Autres sujets abordés dans ce chapitre

Traitement des valeurs prescrites dans les centrales bivalentes

Commutations planifiées d'une centrale bivalente

Priorités des centrales bivalentes

Restrictions temporelles concernant les centrales bivalentes

Fonctionnement manuel des centrales bivalentes


Traitement des valeurs prescrites dans les centrales bivalentes

Manuel -> Gestion de charge (Load Management) -> Centrales bivalentes multi-niveaux -> Traitement des valeurs prescrites dans les centrales bivalentes

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Le nombre de valeurs pouvant être adoptées par la valeur prescrite est égal au nombre de niveaux défini. La valeur que peut adopter la valeur prescrite est toujours exactement égale à l'une des valeurs définies pour les niveaux. Le module Gestion de charge n'attribue aucun autre nombre à la valeur prescrite.

L'initialisation est effectuée avec la puissance de sortie actuellement mesurée. Si cette valeur n'est pas égale à un niveau défini, le niveau immédiatement inférieur est attribué. La centrale bivalente est traitée comme indisponible tant que la puissance de sortie mesurée ne correspond pas à un niveau. Si la puissance de sortie mesurée est perturbée, la centrale bivalente n'est pas disponible et la valeur prescrite est initialisée dès qu'une valeur mesurée valide est obtenue.

Puisqu'il n'est pas nécessaire qu'une puissance de sortie corresponde exactement à une valeur prescrite, une hystérésis est définie autour de la valeur prescrite. Un niveau est considéré comme atteint ou défini dès que la valeur de sortie actuelle est comprise dans l'hystérésis de la valeur prescrite fournie. L'hystérésis peut être définie individuellement pour chaque centrale bivalente.

Les niveaux définis ne doivent pas être omis (c'est-à-dire "sautés") lors de l'attribution de la valeur prescrite. Le module Gestion de charge attribue uniquement la valeur prescrite au niveau immédiatement supérieur ou inférieur.

Une saisie de valeur prescrite est uniquement exécutée si la centrale bivalente affiche un niveau explicite (en tenant compte de l'hystérésis) à l'instant donné. Dans le cas contraire, la centrale bivalente est indisponible, car la valeur mesurée n'est pas égale à un niveau.


Commutations planifiées d'une centrale bivalente

Manuel -> Gestion de charge (Load Management) -> Centrales bivalentes multi-niveaux -> Commutations planifiées d'une centrale bivalente

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Lors de la planification de la saisie de valeurs prescrites pour une centrale bivalente, les conditions applicables à la saisie des valeurs prescrites doivent être prises en compte. Si, dans une centrale bivalente, plusieurs niveaux sont nécessaires pour gérer la puissance de sortie, gardez à l'esprit que la commutation d'un niveau au niveau suivant ne peut être effectuée qu'en cas de mise en œuvre d'un planning de commutation. Pour cela, les saisies de valeurs prescrites doivent être conformes aux délais de mise en marche et d'arrêt de chaque niveau.

attention Attention

N'oubliez pas que les avertissements sont uniquement fournis à un niveau défini. Vous devez donc tenir compte du délai d'avertissement pour les différents niveaux lors de la création du planning de commutation.


Priorités des centrales bivalentes

Manuel -> Gestion de charge (Load Management) -> Centrales bivalentes multi-niveaux -> Priorités des centrales bivalentes

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Une centrale bivalente comporte des priorités de mise en marche et d'arrêt fixes. Les valeurs peuvent être contrôlées au moyen de variables. Ceci autorise un contrôle flexible des priorités. L'adoption d'une nouvelle priorité intervient lors du prochain changement d'intervalle.

Les priorités ne sont pas définies individuellement pour chaque niveau, mais sont valables pour l'ensemble de la centrale bivalente.

Si deux centrales bivalentes au moins possèdent la même priorité, une procédure de roulement de priorités est utilisée. Une condition plus importante, pour des centrales bivalentes possédant la même priorité, est qu'elles soient configurées avec un même niveau dans la mesure du possible, ou qu'elles ne présentent pas plus d'un niveau d'écart. La condition préalable pour cela est que la priorité de mise en marche et la priorité d'arrêt de ces deux centrales soient identiques.

Le compteur de référence interne identifiant le nombre de commutations est incrémenté lorsque la centrale bivalente est mise en marche. Cela est précisément le cas lorsque le courant actuel "saute" un niveau pour passer directement au niveau supérieur. Sur les équipements consommateurs de courant électrique, le compteur de référence est incrémenté lorsque le composant est arrêté. Ainsi, dans un seul niveau de priorité, la commutation entre deux centrales bivalentes est comparée à la mise en marche et l'arrêt d'un équipement.


Restrictions temporelles concernant les centrales bivalentes

Manuel -> Gestion de charge (Load Management) -> Centrales bivalentes multi-niveaux -> Restrictions temporelles concernant les centrales bivalentes

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Les centrales bivalentes doivent faire l'objet d'une attention particulière au regard de leur comportement dans le temps. Durant le fonctionnement d'une centrale bivalente, le module Gestion de charge doit tenir compte d'exigences spéciales concernant la commutation des niveaux et les délais.

Autres sujets abordés dans ce chapitre

Durées de fonctionnement variables selon la commutation de niveaux

Expiration du délai d'attente


Durées de fonctionnement variables selon la commutation de niveaux

Manuel -> Gestion de charge (Load Management) -> Centrales bivalentes multi-niveaux -> Restrictions temporelles concernant les centrales bivalentes -> Durées de fonctionnement variables selon la commutation de niveaux

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Les durées de fonctionnement minimale et maximale des centrales bivalentes doivent être définies pour chaque niveau. Au lieu de quatre temps par composant (durée minimale de mise en marche, durée minimale d'arrêt, durée maximale de mise en marche et durée maximale d'arrêt), deux temps seulement sont définis – les durées de fonctionnement minimale et maximale par niveau – pour décrire une centrale bivalente avec des niveaux.

La durée de fonctionnement minimale (durée de mise en marche) d'un niveau indique le temps minimal pendant lequel la centrale bivalente doit fonctionner à ce niveau. Lorsqu'un niveau est atteint, l'optimisation doit attendre pendant ce délai au moins avant qu'une nouvelle saisie de valeur prescrite ne puisse être effectuée pour le niveau inférieur suivant.

La durée de fonctionnement maximale d'un niveau indique pendant combien de temps au maximum une centrale bivalente peut fonctionner à ce niveau. À l'exception du niveau le plus bas (puissance nominale), la centrale bivalente est commutée vers le niveau inférieur suivant après expiration de ce délai. Un niveau est considéré comme actif, même si la centrale bivalente fonctionne en réalité à un niveau supérieur. La durée de fonctionnement maximale des niveaux individuels doit être adaptée aux différentes restrictions concernant la durée de fonctionnement minimale et les avertissements. Ainsi, il est possible d'assurer une commutation ponctuelle vers un niveau inférieur. L'optimisation doit également éviter les saisies de valeurs prescrites à un niveau supérieur lorsque la durée de fonctionnement maximale ne peut pas être respectée, par exemple en raison de la durée de fonctionnement minimale du niveau supérieur.

info Informations

La commutation manuelle peut entraîner des violations des restrictions définies. Ces dernières sont interceptées par le module Gestion de charge.

Pour le niveau le plus bas (niveau nominal), la signification de la durée de fonctionnement maximale est différente de celle des autres niveaux. La durée de fonctionnement maximale du niveau le plus bas indique pendant combien de temps au maximum une centrale bivalente peut fonctionner à ce seul niveau. Ensuite, la centrale bivalente doit être commutée vers le prochain niveau supérieur.

Exemple de configuration des paramètres des niveaux individuels :

Étape | 0 | 1 | 2 | 3 | 4
Sortie | 100 | 200 | 300 | 400 | 500
Durée minimale de mise en marche (en secondes) | -- | 60 | 60 | 60 | 60
Délai d'avertissement (en secondes) | -- | 210 | 0 | 0 | 0
Délai de mise en marche (en secondes) | -- | 30 | 30 | 30 | 30
Délai d'arrêt (en secondes) | -- | 30 | 30 | 30 | 30
Valeur minimale de la durée maximale de mise en marche (en secondes) | 210 | 240 | 180 | 120 | 60

Les valeurs de temps saisies lors de la configuration de la mise en marche ou de l'arrêt font toujours référence au niveau pour lequel elles sont saisies. Cela signifie que la durée d'arrêt configurée pour un niveau est prise en compte si une "commutation" est effectuée de ce niveau vers le niveau inférieur. La durée de mise en marche est prise en compte si une "commutation" est effectuée depuis un niveau inférieur vers ce niveau.

Puisque le niveau le plus bas représente le fonctionnement de la centrale bivalente à sa puissance nominale, aucune information concernant la durée de fonctionnement minimale, le délai d'avertissement, le délai de mise en marche et le délai d'arrêt n'est nécessaire.

Les valeurs minimales autorisées pour les durées de mise en marche maximales à chaque niveau sont les suivantes:

  • Pour le premier niveau:

    Délai de prévisualisation du niveau supérieur suivant

  • Pour le dernier niveau:

    durée maximale/minimale de mise en marche, délai d'avertissement du dernier niveau

  • Pour tous les autres niveaux :

    durée maximale/minimale de mise en marche, délai d'avertissement du niveau supérieur suivant

    + délai de mise en marche pour le niveau supérieur suivant

    + valeur minimale pour la durée maximale de mise en marche du niveau supérieur suivant

    + délai d'avertissement du niveau supérieur suivant

    + délai d'arrêt pour le niveau supérieur suivant

Pour une centrale bivalente, si la durée maximale de mise en marche pour un niveau est inférieure à la valeur minimale calculée pour la durée maximale de mise en marche, la centrale bivalente est considérée comme indisponible et une identification de disponibilité correspondante est définie pour la préparation.


Expiration du délai d'attente

Manuel -> Gestion de charge (Load Management) -> Centrales bivalentes multi-niveaux -> Restrictions temporelles concernant les centrales bivalentes -> Expiration du délai d'attente

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Une valeur prescrite reste à un certain niveau jusqu'à ce que ce niveau soit atteint, ou que le délai défini soit expiré. En cas d'expiration du délai d'attente, la valeur prescrite est réinitialisée en fonction des performances actuellement mesurées. Ceci nécessite de déterminer le niveau de performances actuel. Les cas suivants peuvent s'appliquer :

  • Le niveau des performances actuelles correspond au niveau précédent :

    La valeur prescrite n'a eu aucun effet, et la valeur précédente est donc rétablie.

  • La valeur actuelle ne correspond à aucun niveau :

    Une vérification peut être effectuée afin de déterminer si les performances actuelles sont proches de la nouvelle valeur prescrite.
    Si c'est le cas, la valeur prescrite configurée peut être conservée ; dans le cas contraire, elle doit être réinitialisée.

  • La valeur actuelle correspond à un autre niveau :

    Les performances de la centrale bivalente ont changé, contrairement à la valeur prescrite saisie. Ceci correspond à une commutation manuelle, en dépit de la disponibilité du module Gestion de charge. Voir la section Commutation manuelle pour les autres étapes.

Les plans de commutation vers les niveaux suivants doivent être révisés ou remplacés si une valeur prescrite précédemment définie pour l'action de commutation d'une centrale bivalente n'a pas été atteinte. Pour toute autre action de commutation, différents composants seront préférés.


Fonctionnement manuel des centrales bivalentes

Manuel -> Gestion de charge (Load Management) -> Centrales bivalentes multi-niveaux -> Fonctionnement manuel des centrales bivalentes

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Si une valeur mesurée de la puissance de sortie (sans saisie de point de consigne) n'est pas conforme au niveau défini par le module Gestion de charge, ce composant est accepté comme indisponible, car il est évident que le module Gestion de charge ne le contrôle pas à cet instant.

Si une valeur mesurée de la puissance de sortie actuelle redevient conforme à la zone d'hystérésis d'un niveau défini, l'écart par rapport à la valeur prescrite est enregistré, et l'écart au niveau du réglage du niveau est considéré comme défini manuellement. La valeur prescrite est réglée sur le nouveau niveau identifié.

Tout fonctionnement manuel identifié est transmis au module de prévision, afin de pouvoir être pris en compte dans le calcul des tendances.


Configuration du module Gestion de charge

Manuel -> Gestion de charge (Load Management) -> Configuration du module Gestion de charge

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Le développement du module Gestion de charge est effectué par le biais d'une arborescence hiérarchisée. Les sous-objets correspondants sont liés à des objets individuels, en fonction de leur type. Les sous-objets sont ajoutés en sélectionnant l'élément de menu correspondant dans le menu contextuel du nœud sélectionné.

Tous les objets comportent des propriétés Nom et Description. Le développement des objets individuels est effectué par le biais de la fenêtre de propriétés.

Toutes les propriétés réglables dans la fenêtre de propriété sont décrites dans la fenêtre d'aide qui s'affiche lorsque vous cliquez dessus.

info Informations

Toutes les propriétés mentionnées ou représentées sont uniquement visibles si le module Gestion de charge comporte une licence. Le module Gestion de charge sous licence constitue un élément séparé dans l'arborescence du projet. Les paramètres dans le module Gestion de charge peuvent être configurés à l'aide de cette entrée.

attention Attention

Dans le module Gestion de charge, toutes les unités existantes (réseaux, groupes d'équipements, générateurs, équipements, etc.) doivent comporter un nom unique pour garantir le bon fonctionnement des prévisions et de l'optimisation.

info Informations

Toutes les valeurs des variables utilisées dans le module Gestion de charge pour déclarer ou ajuster des valeurs de temps dans le Runtime (par exemple, la variable d'heure de mise en marche) sont interprétées en secondes. Par conséquent, une valeur numérique de 300 correspond à une période de temps de 5 minutes (300 secondes).

Pour garantir le bon fonctionnement de Gestion de charge, vous devez au moins créer les variables suivantes pour une zone d'alimentation :

  • Consommation courante totale
  • Valeur limite d'alimentation
  • Prévision initiale
  • Première valeur de commutation
  • Prévision zone d'erreur
  • Prévision de consommation finale
  • Dernière valeur de commutation
  • Déviation actuelle brute
  • Déviation actuelle du réseau

info Informations

Utilisez la commande "Créer et lier les variables automatiquement" dans le menu contextuel d'une zone d'alimentation. Cette commande crée automatiquement des variables pour les propriétés mentionnées ci-dessus, puis lie les variables aux propriétés.

Vous devez au moins créer les variables suivantes pour un générateur/un équipement pour garantir le bon fonctionnement du module Gestion de charge.

  • État de commutation pour le générateur
  • État de commutation pour le consommateur
  • Disponibilité

Autres sujets abordés dans ce chapitre

Conditions requises

Load Management - Gestion de charge : Vue de détail des barres d'outils et des menus contextuels

Données destinées au module de gestion de charge

Réseaux

Zone d'alimentation

Groupe de consommateurs

Générateur

Matériels

Heures de verrouillage

Créer un synoptique Gestion de charge

Développement de la fonction d'appel de synoptique

Créer une fonction démarrage/arrêt

Aperçu des opérations de commutation de développement


Conditions requises

Manuel -> Gestion de charge (Load Management) -> Configuration du module Gestion de charge -> Conditions requises

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Zone d'alimentation

Pour garantir le bon fonctionnement du module Gestion de charge, vous devez au moins créer les variables suivantes pour une zone d'alimentation :

  • Consommation courante totale
  • Valeur limite d'alimentation
  • Prévision initiale
  • Première valeur de commutation
  • Prévision zone d'erreur
  • Prévision de consommation finale
  • Dernière valeur de commutation
  • Déviation actuelle brute
  • Déviation actuelle du réseau

info Info

Le menu contextuel d'une zone d'alimentation comporte l'élément de menu Créer variable. Cette fonction crée automatiquement des variables pour les propriétés mentionnées ci-dessus, puis lie les variables aux propriétés. Les propriétés Consommation courante totale et Valeur limite d'alimentation sont une exception. Vous devez les créer manuellement.

Générateurs/Matériels

Pour garantir le bon fonctionnement du module Gestion de charge, vous devez au moins créer les variables suivantes pour un générateur/consommateur :

  • Pour le consommateur
    • État de commutation
    • Variable de sortie de veille
      ou une valeur pour la propriété Sortie de veille
  • pour le générateur
    • État de commutation
    • Variable de sortie nominale
      ou une valeur pour la propriété Sortie nominale
  • pour le générateur et le consommateur
    • Disponibilité


Load Management - Gestion de charge : Vue de détail des barres d'outils et des menus contextuels

Manuel -> Gestion de charge (Load Management) -> Configuration du module Gestion de charge -> Load Management - Gestion de charge : Vue de détail des barres d'outils et des menus contextuels

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Entrée | Description
Nouvelle pause | Crée un nouvel objet dont le type dépend de la position dans l'arborescence.
Copier | Copie l’élément sélectionné vers le presse-papiers.
Coller | Colle les objets présents dans le presse-papiers.
Supprimer | Supprime l'élément sélectionné après une demande de confirmation.
Exporter la sélection en XML... | Exporte tous les éléments sélectionnés sous forme de fichier XML.
Importer XML... | Importe des objets à partir d'un fichier XML.
Propriétés | Ouvre la fenêtre des propriétés pour l’élément sélectionné.
Aide | Ouvre l'aide en ligne du module Gestion de charge.

Menu contextuel Réseaux

Entrée | Description
Nouveau réseau électrique | Crée un nouveau réseau électrique.
Coller | Insère des objets du type Réseau.
Exporter tout (XML) | Exporte tous les réseaux définis sous forme de fichier XML.
Importer XML... | Importe des objets du type Réseau.
Aide | Ouvre l'aide en ligne du module Gestion de charge.

Menus contextuels supplémentaires :

Réseaux électriques

Autres sujets abordés dans ce chapitre

Menu contextuel pour les réseaux électriques


Menu contextuel pour les réseaux électriques

Manuel -> Gestion de charge (Load Management) -> Configuration du module Gestion de charge -> Load Management - Gestion de charge : Vue de détail des barres d'outils et des menus contextuels -> Menu contextuel pour les réseaux électriques

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Menu contextuel Réseau électrique

Entrée | Action
New supply area (Nouvelle zone d'alimentation) | Crée une nouvelle zone d'alimentation.
Copier | Copie le groupe de consommateurs actuellement sélectionné. Vous ne pouvez pas copier plusieurs groupes à la fois (sélection multiple indisponible).
Coller | Insère des objets du type Réseau électrique.
Supprimer | Supprime le groupe de consommateurs actuellement sélectionné. Vous ne pouvez pas supprimer plusieurs groupes à la fois (sélection multiple indisponible).
Exporter la sélection en XML... | Exporte les entrées sélectionnées sous forme de fichier XML.
Importer XML... | Importe des objets à partir d'un fichier XML.
Propriétés | Ouvre la fenêtre des propriétés.
Aide | Ouvre l'aide en ligne du module Gestion de charge.

Menu contextuel Zone d'alimentation

Entrée | Action
Nouveau générateur | Crée un nouveau générateur dans la zone d'alimentation sélectionnée.
Nouveau groupe d'équipements | Crée un nouveau groupe d'équipements dans la zone d'alimentation.
Créer et lier les variables automatiquement | Crée automatiquement les variables minimales requises pour la zone d'alimentation sélectionnée et les lie aux propriétés correspondantes.
Copier | Copie la zone d'alimentation sélectionnée vers le presse-papiers. Vous ne pouvez pas copier plusieurs zones d'alimentation à la fois (sélection multiple indisponible).
Coller | Colle les objets présents dans le presse-papiers. Vous pouvez coller des objets de type Zone d'alimentation.
Supprimer | Supprime la zone d'alimentation actuellement sélectionnée. Vous ne pouvez pas supprimer plusieurs zones d'alimentation à la fois (sélection multiple indisponible).
Exporter la sélection en XML... | Exporte la zone d'alimentation actuellement sélectionnée. Vous ne pouvez pas exporter plusieurs zones d'alimentation à la fois (sélection multiple indisponible).
Importer XML... | Importe la configuration des zones d'alimentation depuis un fichier XML. Importe des objets du type Zone d'alimentation.
Propriétés | Ouvre la fenêtre des propriétés.
Aide | Ouvre l'aide en ligne du module Gestion de charge.

Menu contextuel Générateur (groupe)

Entrée | Action
Nouveau générateur | Crée un nouveau générateur dans la zone d'alimentation actuellement sélectionnée.
Coller | Colle les objets de type Générateur depuis le presse-papiers.
Importer XML... | Importe des objets générateur à partir d'un fichier XML.
Aide | Ouvre l'aide en ligne du module Gestion de charge.

Menu contextuel Générateur

Entrée | Action
Copier | Copie les générateurs sélectionnés et les met dans le presse-papiers.
Coller | Colle les objets de type Générateur depuis le presse-papiers.
Supprimer | Supprime les générateurs sélectionnés. Avant la suppression, une boîte de dialogue vous demande de confirmer l'action.
Exporter la sélection en XML... | Exporte tous les générateurs sélectionnés de l'alimentation sélectionnée vers un fichier XML.
Importer XML... | Importe des objets générateur à partir d'un fichier XML.
Aide | Ouvre l'aide en ligne du module Gestion de charge.

Menu contextuel Groupe de consommateurs (groupe)

Entrée | Action
Nouveau groupe d'équipements | Crée un nouveau groupe d'équipements.
Coller | Colle les objets de type groupe de consommateurs depuis le presse-papiers.
Importer XML... | Importe des objets de type Groupe de consommateurs à partir d'un fichier XML.
Aide | Ouvre l'aide en ligne du module Gestion de charge.

Menu contextuel Groupe de consommateurs

Entrée | Action
Nouvel équipement | Crée un nouvel équipement dans le groupe de consommateurs sélectionné.
Copier | Copie le groupe de consommateurs sélectionné vers le presse-papiers. Vous ne pouvez pas copier plusieurs groupes à la fois (sélection multiple indisponible).
Coller | Insère des objets de type Groupe de consommateurs, Consommateur depuis le presse-papiers.
Supprimer | Supprime le groupe de consommateurs sélectionné. Vous ne pouvez pas supprimer plusieurs groupes à la fois (sélection multiple indisponible). Avant la suppression, une boîte de dialogue vous demande de confirmer l'action.
Exporter la sélection en XML... | Exporte tous les consommateurs du réseau sélectionné sous forme de fichier XML. Vous ne pouvez pas copier plusieurs groupes à la fois (sélection multiple indisponible).
Importer XML... | Importe des objets de type Zone d'alimentation à partir d'un fichier XML.
Propriétés | Ouvre la fenêtre des propriétés.
Aide | Ouvre l'aide en ligne du module Gestion de charge.

Menu contextuel Consommateur

Entrée | Action
Copier | Copie le groupe de consommateurs sélectionné vers le presse-papiers. Vous ne pouvez pas copier plusieurs groupes à la fois (sélection multiple indisponible).
Coller | Insère des objets de type Groupe de consommateurs, Consommateur depuis le presse-papiers.
Supprimer | Supprime le groupe de consommateurs actuellement sélectionné. Vous ne pouvez pas supprimer plusieurs groupes à la fois (sélection multiple indisponible). Avant la suppression, une boîte de dialogue vous demande de confirmer l'action.
Exporter la sélection en XML... | Exporte le groupe de consommateurs sélectionné sous forme de fichier XML. Vous ne pouvez pas copier plusieurs groupes à la fois (sélection multiple indisponible).
Importer XML... | Importe des objets de type Zone d'alimentation à partir d'un fichier XML.
Propriétés | Ouvre la fenêtre des propriétés.
Aide | Ouvre l'aide en ligne du module Gestion de charge.


Données destinées au module de gestion de charge

Manuel -> Gestion de charge (Load Management) -> Configuration du module Gestion de charge -> Données destinées au module de gestion de charge

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Le module Gestion de charge utilise des données historiques pour calculer les tendances et effectuer l'optimisation. Si aucune donnée historique n'est disponible pour les points de données, le module Gestion de charge ne peut pas démarrer le calcul. Par conséquent, aucune valeur calculée n'est affichée pour l'élément Prévision de consommation finale.

Actuellement, le module Gestion de charge n'a aucune interface commune avec le serveur d'archives. Ceci n'est toutefois pas nécessaire dans le cadre d'une optimisation à court terme. Pour cela, les données historiques enregistrées par le biais de l'option Stockage données disque dur sont suffisantes.

Les paramètres suivants dépendent de la durée de la période, et leur utilisation est recommandée pour l'enregistrement des données HD.

Nombre de valeurs passées

Nous vous recommandons d'utiliser la règle générale suivante :

Le volume de données historiques fourni par l'élément Stockage données disque dur doit être au moins 1,5 fois supérieur à la taille de l'élément Période de facturation correspondant. Si la quantité de données disponibles n'est pas suffisante, le calcul de l'optimisation ne démarre pas.

attention Attention

Au démarrage de l'élément Période de facturation, le module Gestion de charge nécessite un élément Consommation courante totale pour la zone d'alimentation définie. La nouvelle valeur doit donc être transférée vers le module Gestion de charge durant le deuxième Cycle d'optimisation à venir ; cela signifie que si le cycle d'optimisation est de 30 secondes, la valeur doit être transférée dans un intervalle de 30 à 60 secondes.

Si le module Gestion de charge ne reçoit pas de valeur durant cette période, la nouvelle initialisation du module Gestion de charge peut être effectuée, au plus tôt, durant la prochaine période de facturation.


Réseaux

Manuel -> Gestion de charge (Load Management) -> Configuration du module Gestion de charge -> Réseaux

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Le nœud collectif contient tous les projets créés sur le réseau, mais n'offre aucune possibilité de configuration des paramètres.

Options :

Menu/Entrée | Description
Nouveau réseau électrique | Crée un nouveau réseau électrique.
Coller | Colle les objets présents dans le presse-papiers.
Exporter tout (XML) | Exporte tous les réseaux définis sous forme de fichier XML.
Importer XML... | Importe des objets à partir d'un fichier XML.
Aide | Ouvre l'aide en ligne du module Gestion de charge.

Vous devez placer un élément Nom distinct dans chaque réseau créé. Pour faciliter l'identification, vous pouvez placer un élément Description gratuit dans chaque réseau, si vous le souhaitez. Ceci n'est pas obligatoire.

info Informations

Pour chaque projet, seul un réseau électrique peut être créé ou géré.


Zone d'alimentation

Manuel -> Gestion de charge (Load Management) -> Configuration du module Gestion de charge -> Zone d'alimentation

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

La zone d'alimentation est le niveau de hiérarchie d'objets utilisé comme base de calcul des prévisions et de l'optimisation.

info Informations

Pour démarrer le module de Gestion de charge pour une zone d'alimentation particulière, une fonction du type "Gestion de charge" doit être exécutée avec cette zone d'alimentation en paramètre.

Paramètres de la zone d'alimentation d'un réseau électrique

Pour les zones d'alimentation, les paramètres suivants sont disponibles :

  • Valeurs d'entrée: définit les variables d'alimentation des valeurs actuelles et des limites d'alimentation.
  • Valeurs calculées: paramètres de configuration des prévisions et de la fonction d'optimisation à l'aide de variables durant le Runtime.
  • Paramètre: paramètres importants pour l'optimisation de la zone d'alimentation avec une incidence directe sur les commutations effectuées par le module Gestion de charge.
  • Information d'état: configuration de la variable contenant des informations concernant la disponibilité du synoptique du module Gestion de charge.

Toutes les propriétés réglables sont décrites dans la fenêtre d'aide qui s'affiche lorsque vous cliquez dessus.

Entrées du menu contextuel

Menu/Entrée | Description
Nouveau générateur | Crée un nouveau générateur dans la zone d'alimentation sélectionnée.
Nouveau groupe d'équipements | Crée un nouveau groupe d'équipements dans la zone d'alimentation.
Création de variables | Crée automatiquement les variables minimales requises pour la zone d'alimentation sélectionnée et les lie aux propriétés correspondantes.
Couper | Aucune fonction au niveau de la zone d'alimentation.
Copier | Copie la zone d'alimentation actuellement sélectionnée. Vous ne pouvez pas copier plusieurs zones d'alimentation à la fois (sélection multiple indisponible).
Coller | Vous pouvez coller des objets de type Zone d'alimentation.
Supprimer | Supprime la zone d'alimentation actuellement sélectionnée. Vous ne pouvez pas supprimer plusieurs zones d'alimentation à la fois (sélection multiple indisponible).
Exporter tout (XML) | Exporte toutes les zones d'alimentation du réseau sélectionné.
Exporter la sélection en XML... | Exporte la zone d'alimentation actuellement sélectionnée. Vous ne pouvez pas exporter plusieurs zones d'alimentation à la fois (sélection multiple indisponible).
Importer XML... | Importe des objets du type Zone d'alimentation.
Aide | Ouvre l'aide en ligne du module Gestion de charge.


Groupe de consommateurs

Manuel -> Gestion de charge (Load Management) -> Configuration du module Gestion de charge -> Groupe de consommateurs

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Les équipements individuels sont regroupés sous forme de "groupes de consommateurs". Chaque groupe de consommateurs peut contenir un nombre variable d'équipements.

Entrées du menu contextuel du nœud Groupes de consommateurs.

Menu/Entrée | Description
Nouveau groupe d'équipements | Crée un nouveau groupe d'équipements.
Coller | Insère des objets du type Groupe de consommateurs.
Exporter la sélection en XML... | Exporte le groupe d'équipements, ainsi que tous les équipements définis dans le groupe.
Importer XML... | Importe des objets du type Groupe de consommateurs.
Aide | Ouvre l'aide en ligne du module Gestion de charge.

Entrées de menu contextuel du nœud Groupe de consommateurs :

Menu/Entrée | Description
Nouvel équipement | Crée un nouvel équipement dans le groupe de consommateurs sélectionné.
Couper | Aucune fonction au niveau du groupe de consommateurs.
Copier | Copie le groupe de consommateurs actuellement sélectionné. Vous ne pouvez pas copier plusieurs groupes à la fois (sélection multiple indisponible).
Coller | Insère des objets du type Groupe de consommateurs, Consommateur.
Supprimer | Supprime le groupe de consommateurs actuellement sélectionné. Vous ne pouvez pas supprimer plusieurs groupes à la fois (sélection multiple indisponible).
Exporter tout (XML) | Exporte tous les groupes de consommateurs du réseau sélectionné.
Exporter la sélection en XML... | Exporte le groupe de consommateurs actuellement sélectionné. Vous ne pouvez pas copier plusieurs groupes à la fois (sélection multiple indisponible).
Importer XML... | Importe des objets du type Zone d'alimentation.
Aide | Ouvre l'aide en ligne du module Gestion de charge.


Générateur

Manuel -> Gestion de charge (Load Management) -> Configuration du module Gestion de charge -> Générateur

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Le nœud Générateur vous permet de créer de nouveaux générateurs pour le réseau électrique sélectionné, à l'aide du menu contextuel.

Les générateurs permettent de réduire la puissance actuellement obtenue. Fondamentalement, il est possible d'enclencher chaque générateur ou de lui affecter une charge plus élevée (Performance de pointe). Si un générateur est enclenché, la puissance actuellement obtenue (Consommation moyenne de courant) est immédiatement réduite.

Entrées du menu contextuel du nœud Générateur.

Menu/Entrée | Description
Nouveau générateur | Crée un nouveau générateur dans la zone d'alimentation actuellement sélectionnée.
Coller | Insère des objets du type Générateur.
Exporter tout (XML) | Exporte tous les générateurs de la zone d'alimentation
Importer XML... | Importe des objets du type Générateur.
Aide | Ouvre l'aide en ligne du module Gestion de charge.

Propriétés

Outre le nom et l'identification, des propriétés peuvent être définies dans différents groupes pour le générateur :

  • : définit le comportement de base des équipements sur le réseau électrique.
  • : nombre par défaut de cycles de vie différents ou de besoins ponctuels d'équipements individuels.
  • : définition du nombre maximal de commutations par unité de temps.
  • : variable utilisée pour d'adaptation des paramètres importants durant le Runtime.
  • : exclut des équipements individuels de l'optimisation effectuée par le module Gestion de charge.
  • : définit les niveaux de commutation pour les unités thermiques et électriques hybrides.

Toutes les propriétés réglables sont décrites dans la fenêtre d'aide qui s'affiche lorsque vous cliquez dessus.

attention Attention

La priorité de commutation est prise en compte par le module Gestion de charge, quel que soit l'équipement. Cela signifie que le même nombre de cercles est appliqué pour les générateurs et autres équipements. Par conséquent, les priorités de tous les équipements définis doivent être prises en compte, car aucune distinction n'est faite entre les générateurs et les équipements.

Entrées du menu contextuel du générateur sélectionné :

Menu/Entrée | Description
Couper | Aucune fonction au niveau du groupe de consommateurs.
Copier | Copie le groupe de consommateurs actuellement sélectionné. Vous ne pouvez pas copier plusieurs groupes à la fois (sélection multiple indisponible).
Coller | Insère des objets du type Groupe de consommateurs, Consommateur.
Supprimer | Supprime le groupe de consommateurs actuellement sélectionné. Vous ne pouvez pas supprimer plusieurs groupes à la fois (sélection multiple indisponible).
Exporter tout (XML) | Exporte tous les groupes de consommateurs du réseau sélectionné.
Exporter la sélection en XML... | Exporte le groupe de consommateurs actuellement sélectionné. Vous ne pouvez pas copier plusieurs groupes à la fois (sélection multiple indisponible).
Importer XML... | Importe des objets du type Zone d'alimentation.
Aide | Ouvre l'aide en ligne du module Gestion de charge.

Autres sujets abordés dans ce chapitre

Étapes de commutation


Étapes de commutation

Manuel -> Gestion de charge (Load Management) -> Configuration du module Gestion de charge -> Générateur -> Étapes de commutation

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Les centrales bivalentes (unités de production de chaleur et d'électricité) sont un cas spécial dans le module Gestion de charge. Ce type de générateur spécial peut ajuster sa capacité de production selon des niveaux. Pour définir une centrale bivalente, vous pouvez définir les niveaux de commutation d'un équipement aléatoire dans le module Gestion de charge.

Succinctement, sous le nœud Étapes de commutation, vous pouvez définir les paramètres de l'élément Variable pour la valeur prescrite, de la puissance de sortie actuelle et de l'élément Hystérésis de chaque centrale bivalente.

Pour chaque centrale bivalente, vous pouvez définir le nombre de niveaux de commutation de votre choix :

Chaque niveau de commutation offre des paramètres de configuration de la puissance de sortie, des avertissements de commutation, de la mise en marche et de l'arrêt. Toutes les propriétés réglables sont décrites dans la fenêtre d'aide qui s'affiche lorsque vous cliquez dessus.

attention Attention

Si les niveaux de commutation sont définis pour un générateur, ces paramètres remplacent les paramètres standard du générateur. Un avertissement est affiché durant la compilation dans la fenêtre de sortie. "


Matériels

Manuel -> Gestion de charge (Load Management) -> Configuration du module Gestion de charge -> Matériels

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Dans le module Gestion de charge, les équipements sont les composants essentiels qui consomment de l'énergie, appelés "consommateurs" . Le module Gestion de charge peut agir comme un régulateur en activant ou en désactivant des équipements. Il contribue ainsi à éviter les pics de charge.

Entrées du menu contextuel du groupe d'équipements sélectionné :

Menu/Entrée | Description
Nouvel équipement | Crée un nouvel équipement dans la zone d'alimentation sélectionnée.
Couper | Aucune fonction au niveau du groupe de consommateurs.
Copier | Copie le groupe de consommateurs actuellement sélectionné. Vous ne pouvez pas copier plusieurs groupes à la fois (sélection multiple indisponible).
Coller | Insère des objets du type Groupe de consommateurs, Consommateur.
Supprimer | Supprime le groupe de consommateurs actuellement sélectionné. Vous ne pouvez pas supprimer plusieurs groupes à la fois (sélection multiple indisponible).
Exporter tout (XML) | Exporte tous les groupes de consommateurs du réseau sélectionné.
Exporter la sélection en XML... | Exporte le groupe de consommateurs actuellement sélectionné. Vous ne pouvez pas copier plusieurs groupes à la fois (sélection multiple indisponible).
Importer XML... | Importe des objets du type Zone d'alimentation.
Aide | Ouvre l'aide en ligne du module Gestion de charge.

Propriétés

Outre le nom et l'identification, des propriétés peuvent être définies dans différents groupes pour l'équipement :

Capacité/Priorité: définit le comportement de base des équipements sur le réseau électrique.

Heures de commutation: nombre par défaut de cycles de vie différents ou de besoins ponctuels d'équipements individuels.

Fréquence de commutation: définition du nombre maximal de commutations par unité de temps.

Variables de commutation: variable utilisée pour d'adaptation des paramètres importants durant le Runtime.

Heures de verrouillage: exclut des équipements individuels de l'optimisation effectuée par le module Gestion de charge.

Toutes les propriétés réglables sont décrites dans la fenêtre d'aide qui s'affiche lorsque vous cliquez dessus.

Entrées du menu contextuel de l'équipement sélectionné

Menu/Entrée | Description
Couper | Aucune fonction au niveau du groupe de consommateurs.
Copier | Copie le groupe de consommateurs sélectionné vers le presse-papiers. Vous ne pouvez pas copier plusieurs groupes à la fois (sélection multiple indisponible).
Coller | Insère des objets de type Groupe de consommateurs, Consommateur depuis le presse-papiers.
Supprimer | Supprime le groupe de consommateurs actuellement sélectionné. Vous ne pouvez pas supprimer plusieurs groupes à la fois (sélection multiple indisponible).
Exporter tout (XML) | Exporte tous les groupes de consommateurs du réseau sélectionné.
Exporter la sélection en XML... | Exporte le groupe de consommateurs actuellement sélectionné. Vous ne pouvez pas copier plusieurs groupes à la fois (sélection multiple indisponible).
Importer XML... | Importe des objets du type Zone d'alimentation.
Aide | Ouvre l'aide en ligne du module Gestion de charge.


Heures de verrouillage

Manuel -> Gestion de charge (Load Management) -> Configuration du module Gestion de charge -> Heures de verrouillage

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Pour les générateurs et les équipements, il est possible de définir des plages horaires dans lesquelles les commutations peuvent être limitées, voire interdites. N'importe quel nombre d'heures de verrouillage peut être défini pour un générateur/un équipement donné.

N'importe quel nombre d'heures de verrouillage peut être défini pour chaque élément. Vous devez vous assurer que les heures de verrouillage ne se chevauchent pas. Si c'est le cas, il est possible que le composant ne puisse plus être commuté par le module Gestion de charge.

info Informations

Les paramètres des heures de verrouillage sont définis dans le projet, et ne peuvent pas être modifiés dans le Runtime.


Créer un synoptique Gestion de charge

Manuel -> Gestion de charge (Load Management) -> Configuration du module Gestion de charge -> Créer un synoptique Gestion de charge

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Le module Gestion de charge s'exécute dans le Runtime à l'aide d'un synoptique Gestion de charge.

Développement

Étapes de création du synoptique :

  1. Créez un nouveau synoptique :

    Dans la barre d’outils ou le menu contextuel du nœud Synoptiques, sélectionnez la commande Nouveau synoptique.
    Un synoptique vide Standard est créé.

  2. Modifiez les propriétés du synoptique :
    1. Nommez le synoptique dans la propriété Nom.
    2. Sélectionnez Gestion de charge dans la propriété Type de synoptique.
    3. Sélectionnez le cadre souhaité dans la propriété Gabarit.
  3. Configurez le contenu du synoptique :
    1. Sélectionnez l’option de menu Éléments de contrôle dans la barre de menus
    2. Sélectionnez Insérer un modèle dans la liste déroulante.
      La boîte de dialogue de sélection de mises en forme prédéfinies s’affiche à l’écran. Certains éléments de contrôle sont insérés dans le synoptique à des positions prédéfinies.
    3. Supprimez les éléments superflus du synoptique.
    4. Si nécessaire, sélectionnez des éléments supplémentaires dans la liste déroulante Éléments. Placez-les aux emplacements souhaités sur le synoptique.
  4. Créez une fonction d’appel de synoptique.

Éléments de contrôle

Élément de contrôle | Description
Insérer un modèle | Ouvre la boîte de dialogue de sélection de modèle pour le type de synoptique correspondant. Des modèles sont fournis avec zenon, et peuvent également être créés par l’utilisateur. Modèles ajoutent des éléments de contrôle prédéfinis à des positions prédéfinies sur le synoptique. Les éléments qui ne sont pas nécessaires peuvent également être supprimés individuellement après leur création. Les éléments supplémentaires peuvent être sélectionnés dans la liste déroulante, puis insérés dans le synoptique zenon. Les éléments peuvent être déplacés et disposés individuellement sur le synoptique.
Fenêtre de prévision | Fenêtre d'affichage des prévisions
Aperçu de la liste | Affichage de la liste d'aperçu.
Nom zone d'alimentation | Affichage du nom de la zone d'alimentation. Remarque : Élément de type Texte dynamique. L'attribution de la fonctionnalité a lieu à l'aide de la propriété Fonction spécifique au type de synoptique.

Éléments compatibles

Les éléments de contrôle supprimés ou remplacés par des versions plus récentes restent disponibles, pour des raisons de compatibilité. Ces éléments ne sont pas pris en compte lors de l’insertion automatique de modèles.

Élément de contrôle | Description
Nom zone d'alimentation | Élément de contrôle statique Win32. Remplacé par un champ de texte dynamique. Pour la description, reportez-vous à l’élément actuel.


Développement de la fonction d'appel de synoptique

Manuel -> Gestion de charge (Load Management) -> Configuration du module Gestion de charge -> Développement de la fonction d'appel de synoptique

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Lors de la création d'une fonction d'appel de synoptique pour un synoptique de type Energy Management System, la boîte de dialogue suivante s'affiche :

Dans le Runtime, le synoptique EMS est ouvert à l'aide d'une fonction d'appel de synoptique. Pour l'appel de synoptique, les paramètres suivants peuvent être définis :

Propriété | Description
Réseaux | Sélection des réseaux. Les zones disponibles sont ensuite affichées dans la zone de sélection Zone d'alimentation.
Zones d'alimentation | La zone d'alimentation sélectionnée est affichée dans le Runtime n durant l'optimisation. Une seule zone peut être affichée sur chaque synoptique. Toutefois, vous avez la possibilité d'ouvrir plusieurs synoptiques de type Energy Management System en parallèle. En outre, plusieurs zones d'alimentation peuvent être affichées en parallèle.
Valeur actuelle | Ce champ est uniquement disponible à des fins d'affichage. Vous ne pouvez pas modifier la valeur ici. La variable de la propriété Valeur actuelle de la zone d'alimentation actuellement sélectionnée est affichée.
Prévision valeur finale | Ce champ est uniquement disponible à des fins d'affichage. Vous ne pouvez pas modifier la valeur ici. La variable de la propriété Prévision valeur finale de la zone d'alimentation actuellement sélectionnée est affichée.
Prévision de la moyenne | Ce champ est uniquement disponible à des fins d'affichage. Vous ne pouvez pas modifier la valeur ici. La variable de la propriété Prévision de la moyenne de la zone d'alimentation actuellement sélectionnée est affichée.
Limite alimentation | Ce champ est uniquement disponible à des fins d'affichage. Vous ne pouvez pas modifier la valeur ici. La variable de la propriété Limite alimentation de la zone d'alimentation actuellement sélectionnée est affichée.
Échelle maximum | Limite supérieure de l'échelle d'affichage de la courbe caractéristique sur le synoptique EMS.
Échelle minimum | Limite inférieure de l'échelle d'affichage de la courbe caractéristique sur le synoptique EMS.
Période de facturation (min.) | Ce champ est uniquement disponible à des fins d'affichage. Vous ne pouvez pas modifier la valeur ici. Affiche la longueur actuellement définie de la Période de facturation pour la zone d'alimentation sélectionnée.
Couleur valeur et largeur | Couleur et largeur de la ligne d'affichage des éléments pour la valeur moyenne actuelle et la valeur moyenne prévue.
Couleur axe et largeur | Couleur et largeur de la ligne d'affichage des axes du diagramme.
Couleur courbe et largeur | Couleur et largeur de ligne d'affichage des courbes du diagramme (affichage de la valeur actuelle et des commutations planifiées).
Police pour l'axe | Police utilisée pour la légende de l'axe et la courbe de tendance.

Opération de commutation

Pour le développement de l'opération de commutation, vous définissez les paramètres de filtre de l'affichage dans le Runtime sur l'onglet Paramètres des colonnes pour la prévisualisation des opérations de commutation. Des informations détaillées sont disponibles au chapitre Paramètres des colonnes pour la prévisualisation des opérations de commutation.


Créer une fonction démarrage/arrêt

Manuel -> Gestion de charge (Load Management) -> Configuration du module Gestion de charge -> Créer une fonction démarrage/arrêt

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Pour chaque zone, vous devez démarrer l'optimisation séparément dans le Runtime. Pour cela, vous pouvez utiliser la fonction Démarrer la Gestion de charge.
Pour arrêter les zones démarrées, créez une fonction Arrêter la Gestion de charge.

Remarque : ces fonctions sont uniquement exécutées sur le serveur.

attention Attention

Dans le Runtime, tous les domaines démarrés sont enregistrés par le module de gestion des licences. Veillez à disposer d'un nombre de licences adéquat.

Conseil : arrêtez les zones d'optimisation lorsqu'elles ne sont pas nécessaires, afin d'optimiser l'utilisation de votre licence. Pour arrêter des zones régulièrement, par exemple de nuit ou durant certains postes, vous pouvez contrôler les fonctions Démarrer la Gestion de charge ou Arrêter la Gestion de charge à l'aide du module Production & Facility Scheduler.

Gestion de charge Début

Pour créer une fonction :

  • Créer une nouvelle fonction
    Dans la barre d'outils ou le menu contextuel du nœud Fonctions, sélectionnez Nouvelle fonction.
    La boîte de dialogue de sélection d'une fonction s'affiche à l'écran.
  • Dans le nœud Application, cliquez sur Démarrer la Gestion de charge :
    La boîte de dialogue de sélection d'une zone d'alimentation s'affiche à l'écran.

  • Sélectionnez d'abord le réseau souhaité dans la liste Réseaux.
    Les zones d'alimentation disponibles sont énumérées dans la liste des zones d'alimentation.
  • Puis sélectionnez la zone de votre choix dans la liste des zones d'alimentation
  • Cliquez sur le bouton OK pour créer la fonction.

Arrêter Gestion de charge

  • Créer une nouvelle fonction
    Dans la barre d'outils ou le menu contextuel du nœud Fonctions, sélectionnez Nouvelle fonction.
    La boîte de dialogue de sélection d'une fonction s'affiche à l'écran.
  • Dans le nœud Application, cliquez sur Arrêter la Gestion de charge :
    La boîte de dialogue de sélection de la zone d'alimentation s'affiche à l'écran.

  • Sélectionnez d'abord le réseau souhaité dans la liste Réseaux.
    Les zones d'alimentation disponibles sont énumérées dans la liste des zones d'alimentation.
  • Puis sélectionnez la zone de votre choix dans la liste des zones d'alimentation
  • Cliquez sur le bouton OK pour créer la fonction.

Fermer boîte de dialogue

Options | Description :
OK | Applique les paramètres et ferme la boîte de dialogue.
Annuler | Annule toutes les modifications et ferme la boîte de dialogue.
Aide | Ouvre l'aide en ligne.


Aperçu des opérations de commutation de développement

Manuel -> Gestion de charge (Load Management) -> Configuration du module Gestion de charge -> Aperçu des opérations de commutation de développement

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Les opérations de commutation planifiées peuvent être prévisualisées dans le Runtime.

Pour développer l'aperçu des opérations de commutation dans le Runtime :

  1. Liez une variable chaîne (String) à la zone d'alimentation souhaitée du module Gestion de charge à l'aide de la propriété Commutations planifiées (groupe Information d'état). La variable reçoit une liste de toutes les opérations de commutation planifiées du module Gestion de charge.

    Conseil : une variable chaîne (String) provenant du driver interne est la plus adaptée.
    Pour le fonctionnement du serveur, réglez le mode de calcul sur Réseau. La variable est ainsi distribuée sur l'ensemble du réseau zenon.

  2. Définissez le contenu de votre choix dans l'aperçu des opérations de commutation. Pour cela, ouvrez l'onglet Gestion de charge Paramètres des colonnes pour la prévisualisation des opérations de commutation dans la boîte de dialogue de la fonction d'appel de synoptique du synoptique Gestion de charge.
  3. Insérez l'élément de contrôle Vue Table dans le synoptique Gestion de charge. Activez l'option Prévisualisation des opérations de commutation.

    Vous pouvez personnaliser la couleur et la police par le biais des propriétés.

Changement de langue

Vous pouvez changer la langue d'affichage de toutes les informations affichées dans l'aperçu des opérations de commutation à l'aide de la table de langues.

Pour cela, vous définissez le nom des intitulés de colonnes dans la boîte de dialogue de filtre. Par exemple, si vous définissez un nom tel que @Heure de commutation, @Nom d'objet ou autre, ces noms sont remplacés par les entrées correspondantes dans la table de langues du Runtime.

En outre, tout le contenu de l'aperçu des opérations de commutation peut être remplacé :

  1. Les noms d'objet peuvent être remplacés en insérant un symbole @ devant le nom durant le développement du module Gestion de charge. Par exemple : @Generator1
  2. La valeur actuelle et la valeur de commutation peuvent comporter un contenu numérique (avec les étapes de centrale bivalente) ou les valeurs @On/@Off.

Autres sujets abordés dans ce chapitre

Paramètres des colonnes pour la prévisualisation des opérations de commutation

Prévisualisation des opérations de commutation dans le Runtime


Paramètres des colonnes pour la prévisualisation des opérations de commutation

Manuel -> Gestion de charge (Load Management) -> Configuration du module Gestion de charge -> Aperçu des opérations de commutation de développement -> Paramètres des colonnes pour la prévisualisation des opérations de commutation

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Les paramètres des colonnes vous permettent de définir les informations affichées, ainsi que leur ordre d'affichage.

Remarque : la langue d'affichage de toutes les informations affichées dans les opérations de commutation peut être changée via la table de langues :
Sélectionnez un nom précédé du caractère @ – par exemple @Commutation – pour pouvoir remplacer cette entrée par les entrées correspondantes de la table de langues dans le Runtime.

Dans le champ de liste de cet onglet, tous les types de colonnes disponibles sont affichés. Une case à cocher vous permet de déterminer les types de colonnes que vous souhaitez afficher. Vous pouvez modifier la description et la largeur de chaque colonne de chaque colonne de colonne en cliquant avec le bouton gauche sur la zone correspondante et en saisissant la valeur souhaitée dans le champ de saisie.

Paramètres | Description
Type de colonne | Type de colonne. Cette donnée ne peut pas être éditée. L'affichage dans le Runtime est activé ou désactivé par l'intermédiaire d'une case à cocher.
Description | Définit l'en-tête de la colonne concernée. Vous pouvez configurer celui-ci afin d'autoriser le changement de langue. La valeur peut être éditée.
Largeur | Définit la largeur de la colonne, en pixels. Vous pouvez également définir la largeur de la colonne en faisant glisser la colonne avec la souris dans la ligne d'affichage horizontale des noms de colonnes. La valeur peut être éditée.
Vers le haut | Déplace la colonne sélectionnée vers le haut. Vous pouvez également déplacer les colonnes par glisser-déposer.
Déplacer l'entrée sélectionnée vers le bas | Déplace la colonne sélectionnée vers le bas. Vous pouvez également déplacer les colonnes par glisser-déposer.
Champ avec affichage horizontal des noms de colonnes | Affiche les colonnes actives dans la liste. Vous pouvez définir les tailles des colonnes en faisant glisser les bordures des colonnes à l'aide de la souris.

attention Attention

La largeur de colonne dépend de la police de caractères utilisée. Si la largeur de colonne n’est pas un multiple de la largeur de caractère de la police de caractères utilisée, la largeur réelle de la colonne pourra être différente de la largeur de colonne définie.


Prévisualisation des opérations de commutation dans le Runtime

Manuel -> Gestion de charge (Load Management) -> Configuration du module Gestion de charge -> Aperçu des opérations de commutation de développement -> Prévisualisation des opérations de commutation dans le Runtime

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Dans le synoptique du Runtime, la fenêtre de prévisualisation des opérations de commutation affiche les opérations de commutation prévues, ainsi que leur date et leurs conséquences :


État interne des composants

Manuel -> Gestion de charge (Load Management) -> État interne des composants

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Au niveau interne, dans le module Gestion de charge, différents états sont activés pour les composants. Ces états peuvent être affichés à l'aide d'une variable. Nous vous recommandons de surveiller les états à l'aide d'une matrice de réactions et, par exemple, de les évaluer dans la liste chronologique d'événements.

La variable État interne de commutation des composants peut prendre les valeurs suivantes :

Raisons générales (valable pour tous les composants)

Valeur | Description
0 | Inutilisé (démarrage en cours).
100 | Utilisation possible.
101 | Aucune demande de commutation pour la prévision de pic de charge.
102 | Désactivé jusqu'à la fin de l'intervalle.
103 | La commande d'avertissement de commutation n'est pas valide.
104 | Pas assez de temps pour émettre un avertissement.
105 | Le délai d'avertissement n'est pas encore expiré.
106 | Impossible d'ajouter la sortie à la fin de l'intervalle, en raison de la configuration des paramètres.
107 | L'état de commutation ne peut pas être détecté.
200 | Le délai n'est pas encore expiré.
201 | Le composant est défini comme indisponible.
202 | Le message de disponibilité n'est pas valide.
203 | Aucune variable n'est définie pour déterminer l'état de l'opération.
204 | La configuration des paramètres est défaillante.
205 | Le temps mort n'est pas encore expiré.
206 | Le rapport de l'état de commutation actuel n'est pas valide.
207 | Aucune donnée n'est encore disponible pour la valeur moyenne glissante de la sortie.
208 | Valeur de puissance de sortie non valide.
209 | Paramètre "Implicite" défini (planification à moyen terme).
210 | L'adresse textuelle ou la valeur de priorité d'activation n'est pas valide.
211 | L'adresse textuelle ou la valeur de priorité de désactivation n'est pas valide.
212 | Le temps de blocage est actif, le type de temps de blocage est désactivé.
213 | Le temps de blocage est actif, le type de temps de blocage est activé.
214 | Le nombre maximal de commutations a déjà été atteint.
215 | La commande de commutation ne peut pas être utilisée.
216 | Le délai de commutation minimal n'a pas encore été atteint.
217 | Les données de planification n'ont pas encore été entièrement écrites.
218 | Problème général.
219 | La variable de commande ne peut pas être utilisée pour la commutation.
220 | Aucune commande n'est définie pour l'envoi de l'avertissement de commutation.
221 | La configuration étendue pour la durée de mise en marche minimale par unité de temps n'est pas valide.
222 | En raison des autres restrictions, il est impossible de respecter la limitation "Adhere to minimum power-on time per time unit" (Respecter la durée minimale de mise en marche par unité de temps).
223 | Mode Implicite activé à cause de l'option "Minimum switch-on time per time unit" (Respecter la durée minimale de mise en marche par unité de temps).
250 | La variable ou la valeur de la durée minimale de mise en marche n'est pas valide.
251 | La variable ou la valeur de la durée minimale d'arrêt n'est pas valide.
252 | La variable ou la valeur de la durée maximale de mise en marche n'est pas valide.
253 | La variable ou la valeur de la durée maximale d'arrêt n'est pas valide.
254 | Les restrictions ne sont pas raisonnables.

Raisons liées au réservoir

Valeur | Description
4000 | La valeur du niveau de remplissage actuel n'est pas valide.
4001 | La valeur sortante (valeur réelle) n'est pas valide.
4001 | La valeur sortante est implicite en raison de la valeur prescrite manuelle.
4003 | Capacité de stockage limitée en raison du niveau de remplissage limite.
4004 | Le réservoir est plein.
4005 | La valeur prescrite du réservoir n'est pas définie.
4006 | La capacité entrante maximale et la capacité sortante maximale sont toutes deux nulles (0).
4007 | La variable utilisée pour mesurer le niveau de remplissage actuel n'est pas valide.

Raisons concernant les centrales bivalentes (générateur)

Valeur | Description
5000 | La puissance de sortie actuelle n'est pas conforme à un niveau de sortie.
5001 | La centrale bivalente ne fonctionne pas sous sa puissance nominale.
5002 | La centrale bivalente comporte un niveau qui ne peut pas être commuté.
5003 | La centrale bivalente fonctionne à sa puissance nominale et ne peut pas être commutée à un niveau moins élevé.
5004 | Le niveau maximal activé ne peut pas être désactivé, en raison de la durée minimale d'activation par unité de temps.
5005 | La centrale bivalente fonctionne déjà à son niveau maximal.
5006 | La variable utilisée pour mesurer la puissance de sortie n'est pas valide.
5007 | La fonction d'avertissement associée à un niveau a été activée. Attente de la saisie d'une valeur prescrite.
5008 | La variable de la valeur prescrite n'est pas valide.
5009 | L'ordre des directives de sortie par variable n'est pas croissant.
5010 | La valeur d'une durée d'activation maximale configurée pour un niveau est trop basse.
5011 | La durée de fonctionnement maximale d'un niveau a été atteinte. Le niveau est désactivé.


Création des fichiers du Runtime

Manuel -> Gestion de charge (Load Management) -> Création des fichiers du Runtime

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Après la configuration des fonctions Démarrer la Gestion de charge ou Arrêter la Gestion de charge, une vérification de cohérence est effectuée durant la création des fichiers du Runtime. En cas de problème, un message correspondant est affiché dans la fenêtre de sortie (par exemple, si des variables requises n'ont pas été attribuées).

Le Runtime ne démarre pas

Si un projet ne peut pas être démarré dans le Runtime, les raisons peuvent être les suivantes :

  • Problème de développement
  • Licence manquante : la fonction Démarrer la Gestion de charge effectue une vérification de la licence. Si la licence requise n'est pas disponible, le module Gestion de charge ne démarre pas et une entrée correspondante est générée dans le fichier journal.


Utilisation de la fonction de gestion de charge dans le Runtime

Manuel -> Gestion de charge (Load Management) -> Utilisation de la fonction de gestion de charge dans le Runtime

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Les synoptiques du module Gestion de charge permettent de surveiller les prévisions et l'optimisation durant le Runtime, sous la forme d'un synoptique de tendance.

Les éléments de fonctionnement individuels sont positionnés sur le synoptique avec l'aide des éléments de contrôle (zone de prévision et affichage de la zone d'alimentation actuelle).

info Informations

Le synoptique affiché dans le Runtime est uniquement utilisé pour l'affichage des données d'optimisation et de prévision. Aucune intervention ne peut être effectuée sur l'écran. Les paramètres du module Gestion de charge sont exclusivement contrôlés par le biais de variables.

Une prévision peut, par exemple, se présenter comme ceci :

Chiffre | Description (propriétés de la zone d'alimentation)
1 | Intervalle tarifaire précédent
2 | Intervalle tarifaire actuel
3 | Limite d'alimentation
4 | Première valeur de commutation
5 | Prévision de consommation finale
6 | Valeur actuelle de consommation moyenne
7 | Prévision initiale
8 | Dernière valeur de commutation
9 | Prévision zone d'erreur
10 | Valeur moyenne des prévisions

info Informations

Avec la prévisualisation, après une valeur non valide, c'est toujours la seconde valeur valide parmi les valeurs suivantes qui s'applique en premier. Si aucun changement de valeur n'a lieu, la valeur reçue en dernier est prise en compte. Cela assure une prévisualisation la plus précise possible.


Gestion des alarmes

Manuel -> Gestion des alarmes

La gestion des alarmes vous informe sur l’apparition d’anomalies, telles que les dépassements de valeurs limites. Elle comprend les éléments suivants :

  1. Ligne d’état d’alarmes :
    ligne d’informations toujours affichée au premier plan dans le Runtime?; elle contient, selon la configuration, les alarmes les plus récentes ou les alarmes non acquittées les plus anciennes.
  2. Liste d’alarmes (AML) :
    gère les alarmes sous forme de liste dans le Runtime. Liste AML :
    • Affiche les alarmes et leurs causes sous forme de liste non filtrée ou filtrée.
    • Permet de localiser la cause de l’alarme.
    • Autorise l’acquittement des alarmes.
    • Autorise la suppression des alarmes.
    • Autorise l’impression et l’enregistrement des alarmes.

Configurez les alarmes :

  • En définissant des valeurs limites pour les variables.
  • Avec les matrices de réaction.
  • Dans les propriétés des alarmes

tutorial Informations concernant la licence

Composante de la licence standard d’Editor et du Runtime.

Autres sujets abordés dans ce chapitre

Configuration des alarmes

Utilisation dans le Runtime


Configuration des alarmes

Manuel -> Gestion des alarmes -> Configuration des alarmes

La gestion des alarmes est actionnée dans le Runtime via les synoptiques Liste d’alarmes et Filtres de liste d’alarmes, ainsi que la ligne d’état des alarmes. La ligne d’état des alarmes est automatiquement créée sous forme de modèle.

Editor

Pour pouvoir utiliser des alarmes dans le Runtime, vous devez effectuer les opérations suivantes dans Editor :

  • Configurez un synoptique de type Liste d’alarmes.
  • Définissez les dépassements de valeurs limites des variables ou des matrices de réaction.

Vous pouvez, en outre :

  • Configurer des alarmes à l’aide de filtres
  • Grouper des alarmes
  • Adapter les synoptiques de type Liste d’alarmes disponibles dans le Runtime

Runtime

Pour configurer le fonctionnement dans le Runtime, les fonctions suivantes sont utilisées :

  • Appel de synoptique de liste AML
  • Appel de synoptique de filtre de liste AML
  • Fonctions d’alarme de zenon
  • Utilisation des synoptiques de liste d’alarmes
  • Ligne d’état des alarmes

Autres sujets abordés dans ce chapitre

Création d’un synoptique de liste d’alarmes

Création d’un synoptique de filtre de liste d’alarmes

Définir des alarmes

Gestion des alarmes

Grouper les alarmes

Classes d’alarmes, groupes d’alarmes et domaines d’alarme dans le projet global et les projets locaux

Configurer les alarmes avec des filtres

Fonctions


Création d’un synoptique de liste d’alarmes

Manuel -> Gestion des alarmes -> Configuration des alarmes -> Création d’un synoptique de liste d’alarmes

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Création d’un synoptique de filtre de liste d’alarmes

Le synoptique Liste d’alarmes est utilisé pour l’affichage et la journalisation des alarmes actuelles et passées dans le Runtime. L’affichage peut être modifié à l’aide d’un filtre. Des fonctions permettent d’exporter et d’imprimer les alarmes affichées.

Développement

Étapes de création du synoptique :

  1. Créez un nouveau synoptique :

    Dans la barre d’outils ou le menu contextuel du nœud Synoptiques, sélectionnez la commande Nouveau synoptique.
    Un synoptique vide Standard est créé.

  2. Modifiez les propriétés du synoptique :
    1. Nommez le synoptique dans la propriété Nom.
    2. Sélectionnez Liste d’alarmes dans la propriété Type de synoptique.
    3. Sélectionnez le cadre souhaité dans la propriété Gabarit.
  3. Configurez le contenu du synoptique :
    1. Sélectionnez l’option de menu Éléments de contrôle dans la barre de menus
    2. Sélectionnez Insérer un modèle dans la liste déroulante.
      La boîte de dialogue de sélection de mises en forme prédéfinies s’affiche à l’écran. Certains éléments de contrôle sont insérés dans le synoptique à des positions prédéfinies.
    3. Supprimez les éléments superflus du synoptique.
    4. Si nécessaire, sélectionnez des éléments supplémentaires dans la liste déroulante Éléments. Placez-les aux emplacements souhaités sur le synoptique.
  4. Créez une fonction d’appel de synoptique.

Autres sujets abordés dans ce chapitre

Éléments de contrôle

Modification de l’apparence de la liste AML


Éléments de contrôle

Manuel -> Gestion des alarmes -> Configuration des alarmes -> Création d’un synoptique de liste d’alarmes -> Éléments de contrôle

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Insérer un modèle

Paramètres | Description
Insérer un modèle | Ouvre la boîte de dialogue de sélection de modèle pour le type de synoptique correspondant. Des modèles sont fournis avec zenon, et peuvent également être créés par l’utilisateur. Modèles ajoutent des éléments de contrôle prédéfinis à des positions prédéfinies sur le synoptique. Les éléments qui ne sont pas nécessaires peuvent également être supprimés individuellement après leur création. Les éléments supplémentaires peuvent être sélectionnés dans la liste déroulante, puis insérés dans le synoptique zenon. Les éléments peuvent être déplacés et disposés individuellement sur le synoptique.

Remarque : Pour les textes dynamiques ou les éléments de contrôle d’interrupteurs, la fonctionnalité correspondante est attribuée avec la propriété Fonction spécifique au type de synoptique.

Éléments de contrôle

Fenster

Kontrollelement

Beschreibung

Fenster

Anzeigen zur Runtime.

Alarmmeldeliste

Anzeige der Alarme. Das Aussehen ist konfigurierbar. Spalten werden über den Filter Spalteneinstellungen bei der Bildumschaltung festgelegt.

Über die Eigenschaft Paramètres des colonnes alarmes in den Projekteigenschaften in der Gruppe Liste d'alarmes werden die Einstellungen für den Export in CSV, XML und DBF definiert. Diese dienen auch als Voreinstellung für die Bildumschaltfunktion.

Eingestellter Filter

Anzeige der aktuell gewählten Filterbedingungen.

Status

Anzeige, ob Alarmmeldeliste aktiv ist oder nicht (Projekt-Eigenschaft Gestion d'alarmes active).

Anzahl gesamt

Zeigt Anzahl aller Alarme.

Anzahl unquittiert

Zeigt Zahl unquittierter Alarme.

Listenfunktionen

Kontrollelement | Beschreibung
Listenfunktionen | Buttons zur Steuerung der Listen.
Filter | Öffnet Dialog zur Filterauswahl.
Stopp/Weiter | Schalter für Befüllung der Liste: Stopp: Neue Elemente werden nicht mehr automatisch hinzugefügt. Weiter: Neue Elemente werden automatisch hinzugefügt. Achtung: Die Beschriftung des Buttons kann im Editor zwar geändert werden, wird zur Runtime aber nicht übernommen. Änderungen der Beschriftung projektieren Sie über die Sprachumschaltung.
Drucken | Druckt gefilterte Liste.
Drucken mit Dialog | Öffnet vor dem Drucken die Druckereinstellungen.

Alarmfunktionen

Kontrollelement

Beschreibung

Alarmfunktionen

Buttons zum Quittieren und Löschen von Alarmen.

Quittieren

Alarmmeldungen zur Runtime quittieren.

Seite quittieren

Alle auf der aktuellen Seite angezeigten Alarme werden quittiert.

Alle quittieren

Alle dem aktuellen Filterkriterium entsprechenden Alarme werden quittiert.

Hinweis Mehrbenutzer-Projekt: Es werden nur die Alarme jenes Projektes quittiert, für die der Benutzer die Berechtigung dazu besitzt. (Details Mehrbenutzer-Projekt siehe Kapitel Verteiltes Engineering)

Sichtquittieren

Die ausgewählten Alarme werden sichtquittiert.

Sichtquittieren und quittieren

Die ausgewählten Alarme werden erst sichtquittiert und dann quittiert.

Löschen

Löscht Alarm zur Runtime aus der Alarmmeldeliste. Alarm muss bereits quittiert sein.

Seite löschen

Löscht alle quittierten Alarme, die auf der aktuellen Seite angezeigt werden.

Alle löschen

Löscht alle quittierten Alarme, die dem aktuellen Filterkriterium entsprechen.

Verknüpfte Funktion (Anzeige)

Zeigt die der Alarmmeldung zugeordnete Funktion an.

Funktion ausführen

Führt zur Runtime die am Alarm projektierte Funktion aus.

Hinweis: Bei der Funktion Starte Programm kann der Variablenname des ausgewählten Alarms als Parameter für das zu startende Programm über das Schlüsselwort @alarm.name übergeben werden.

Hilfe aufrufen...

Ruft projektierte Hilfe auf.

Anzeigen

Status und Elemente der Alarmverwaltung.

Kommentarfeld

Eingabe eines freien Textes durch den Benutzer für den ausgewählten Alarm.

Maximale Länge: 79 Zeichen

Dieser Text kann in der Liste mit angezeigt werden. Dazu wird die Option Kommentar in den Spalteneinstellungen der Alarmverwaltung aktiviert.

Das Kommentarfeld ist ein Element vom Typ Dynamischer Text. Für dieses Element wird beim Projektieren automatisch die Eigenschaft Ecrire valeur prescrite aktiviert. Zusätzlich wird die Eigenschaft Écrire valeur prescrite par auf den Wert Element gesetzt.

Änderungen an Kommentaren können über die Aktivierung der Eigenschaft Commentaires de la liste d'alarme dokumentiert werden.

Alarmursache auswählen...

Öffnet den Dialog zur Auswahl einer Alarmursache.

Über den Dialog kann dem in der Alarmmeldeliste ausgewählten Alarm eine Alarmursache zugeordenet werden.

Hinweis: Inaktiv wenn kein Eintrag in der Alarmmeldeliste ausgewählt ist.

Siehe auch Kapitel Alarmursachen.

Navigation

Kontrollelement | Beschreibung
Navigation | Steuert Elemente der Liste.
Zeile nach oben | Blättert eine Zeile nach oben.
Zeile nach unten | Blättert eine Zeile nach unten.
Spalte nach rechts | Blättert eine Spalte nach rechts.
Spalte nach links | Blättert eine Spalte nach links.
Seite nach oben | Blättert eine Seite nach oben.
Seite nach unten | Blättert eine Seite nach unten.
Seite nach rechts | Blättert eine Seite nach rechts.
Seite nach links | Blättert eine Seite nach links.

Kompatible Elemente

Kontrollelement | Beschreibung
Kompatible Elemente | Les éléments de contrôle supprimés ou remplacés par des versions plus récentes restent disponibles, pour des raisons de compatibilité. Ces éléments ne sont pas pris en compte lors de l’insertion automatique de modèles.
Status | Élément de contrôle statique Win32. Remplacé par un champ de texte dynamique. Pour la description, reportez-vous à l’élément actuel.
Anzahl gesamt | Élément de contrôle statique Win32. Remplacé par un champ de texte dynamique. Pour la description, reportez-vous à l’élément actuel.
Anzahl unquittiert | Élément de contrôle statique Win32. Remplacé par un champ de texte dynamique. Pour la description, reportez-vous à l’élément actuel.
Verknüpfte Funktion (Anzeige) | Élément de contrôle statique Win32. Remplacé par un champ de texte dynamique. Pour la description, reportez-vous à l’élément actuel.
Eingestellter Filter | Élément de contrôle statique Win32. Remplacé par un champ de texte dynamique. Pour la description, reportez-vous à l’élément actuel.
Kommentarfeld | Élément de contrôle statique Win32. Remplacé par un champ de texte dynamique. Pour la description, reportez-vous à l’élément actuel.
Schablone schließen | Schließt die Schablone auf der das Bild beruht. Empfehlung: Benutzen Sie zum Schließen von Schablonen die Funktion Schablone schließen. Damit nach dem Schließen das davor geöffnete Bild angezeigt wird, muss das Bild vom Typ AML mit einer eigenen Schablone projektiert werden.

Filterprofile

Kontrollelement | Beschreibung
Filterprofile | Boutons de configuration des filtres dans le Runtime.
Profilauswahl | Sélectionner un profil dans la liste.
Speichern | Enregistrer la configuration actuelle sous forme de profil. Remarque : Le nom ne peut contenir que 31 caractères maximum et uniquement des caractères valides. Les caractères suivants sont interdits : ! \ / : * ? < > | ""
Löschen | Supprimer le profil sélectionné.
Import | Importe les profils de filtre depuis un fichier d’exportation.
Export | Exporte les profils de filtre vers un fichier.

info Informations

Le filtre actuel est affiché avec l’élément de contrôle Afficher le filtre.

Avec :

  • Un filtre de texte, l’expression [Txt] est affichée
  • Un filtre de temps relatif : l’impression se présente comme ceci :
    [T,Rel:%dd,%dh,%dm;%ds]
    Exemple : [T,Rel:1d,0h,0m,0s] égale un jour.


Modification de l’apparence de la liste AML

Manuel -> Gestion des alarmes -> Configuration des alarmes -> Création d’un synoptique de liste d’alarmes -> Modification de l’apparence de la liste AML

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

La vue de table de la liste d’alarmes peut être adaptée aux exigences individuelles :

Barres de défilement, en-têtes et grilles

Pour définir la taille et l’apparence des barres de défilement, de l’en-tête ou des grilles du tableau :

  1. Dans le groupe Affichage, activez la propriété Paramètres du graphique étendu.
  2. Définissez les propriétés de votre choix dans les groupes Ascenceurs et En-tête et grille.

info Informations

Si la propriété Fichier graphique est sélectionnée pour la propriété Style d'affichage, tous les éléments pour lesquels aucun fichier graphique n'a été sélectionné sont illustrés avec un dégradé de couleurs. Les éléments graphiques transparents ne peuvent pas être utilisés pour les éléments de contrôle des listes.

Tri dans le Runtime

Pour sélectionner une colonne aux fins du tri dans le Runtime et déterminer la séquence de tri, configurez l'élément graphique pour la ligne d'intitulé :

  1. Sélectionnez le fichier graphique pour la propriété Style d'affichage.
  2. Liez les propriétés Tri croissant et Tri décroissant à un fichier graphique.

    Le fichier graphique sélectionné pour le sens de tri concerné est affiché dans le Runtime, pour autoriser le tri des colonnes concernées.

    • Cliquez sur l'élément graphique pour modifier l'ordre de tri.
    • Cliquez sur l’intitulé d’une colonne pour activer le tri de cette colonne.

Utilisation de l'en-tête dans le Runtime

Vous pouvez permettre aux utilisateurs d'actionner l'en-tête dans le Runtime. Cela autorise la personnalisation de l'apparence dans le Runtime :

  • Déplacer les colonnes avec glisser-&déplacer
  • Modification de largeur de colonne avec la souris
  • Modification de l’ordre de tri

Pour cela, utilisez les propriétés suivantes :

  • Figer la sélection des colonnes : Contrôle la possibilité de déplacer ou modifier la largeur des colonnes avec la souris dans le Runtime.
    • Active : les colonnes ne peuvent pas être déplacées en effectuant un glisser-déplacer, et leur largeur ne peut pas être modifiée.
    • inactive : Les colonnes peuvent être réorganisées en effectuant un glisser-déplacer&, et la largeur des colonnes peut être modifiée avec la souris
  • Désactiver le tri : Contrôle la possibilité de trier les colonnes du tableau dans le Runtime.
    • Active : Le tableau ne peut pas être trié.
    • inactive : Le tableau peut être trié en cliquant sur l’en-tête.

Remarque : Pour pouvoir configurer ces propriétés, la propriété En-tête modifiable doit être sélectionnée dans les paramètres projet En-tête liste d'alarmes du groupeListe d'alarmes. Dans cette section, vous pouvez également choisir de rendre l'en-tête fixe ou invisible. Ces paramètres s'appliquent à tous les en-têtes du projet.

Aperçu

Lorsque vous activez la propriété Paramètres du graphique étendu, l'en-tête et les barres de défilement sont affichés sous forme d'aperçu dans Editor. Ainsi, les détails tels que les couleurs, les effets de remplissage et de lumière ou les grilles peuvent être configurés plus facilement.

Attention : puisque la taille des barres de défilement est égale à leur taille dans le Runtime, la taille totale de la liste dans Editor peut différer de la taille dans le Runtime. Cela s'applique également à la taille de l'en-tête et à la police de caractères de l'en-tête.


Création d’un synoptique de filtre de liste d’alarmes

Manuel -> Gestion des alarmes -> Configuration des alarmes -> Création d’un synoptique de filtre de liste d’alarmes

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Vous pouvez ajuster les paramètres de filtre de la liste d’alarmes dans le Runtime à l’aide du synoptique de filtre de liste d’alarmes. Seuls les éléments de filtre réellement nécessaires sont configurés et proposés à l’utilisateur. L’apparence peut également être configurée librement et ainsi, être adaptée à différents terminaux finaux. Tous les paramètres de filtre disponibles dans le filtre pour la fonction d’appel de synoptique de Liste d’événements peuvent être configurés.

Par conséquent :

  • Seuls les éléments de filtre réellement nécessaires sont configurés et proposés à l’utilisateur.
  • Seuls ces filtres et une vue d’ensemble sont accessibles à l’utilisateur.
  • Vous êtes libre de modifier l’apparence et pouvez, par exemple, faciliter l’utilisation du système avec un écran tactile.

Pour plus de détails concernant l’utilisation dans le Runtime, reportez-vous au chapitre Utilisation des filtres de la liste d’alarmes.

Pour la définition des critères de filtre, reportez-vous au chapitre Filtres de la liste d’alarmes.

attention Attention

Les synoptiques de type Filtre de liste d’alarmes, Filtre de liste d’événements et Filtre de temps doivent être développés avec un cadre spécifique. S’ils utilisent le même cadre que d’autres synoptiques, tous les synoptiques configurés avec ce cadre sont fermés lors de la fermeture du cadre.

Création d’un synoptique de filtre de liste d’alarmes

Le synoptique de filtre de liste d’alarmes est utilisé pour [description].

Développement

Étapes de création du synoptique :

  1. Créez un nouveau synoptique :

    Dans la barre d’outils ou le menu contextuel du nœud Synoptiques, sélectionnez la commande Nouveau synoptique.
    Un synoptique vide Standard est créé.

  2. Modifiez les propriétés du synoptique :
    1. Nommez le synoptique dans la propriété Nom.
    2. Dans la propriété Type de synoptique, sélectionnez Filtre de liste d’alarmes.
    3. Sélectionnez le cadre souhaité dans la propriété Gabarit.
      Remarque : Le synoptique Filtre de liste AML ne doit pas être conçu autour du même cadre que les autres synoptiques?!
  3. Configurez le contenu du synoptique :
    1. Sélectionnez l’option de menu Éléments de contrôle dans la barre de menus
    2. Sélectionnez Insérer un modèle dans la liste déroulante.
      La boîte de dialogue de sélection de mises en forme prédéfinies s’affiche à l’écran. Certains éléments de contrôle sont insérés dans le synoptique à des positions prédéfinies.
    3. Supprimez les éléments superflus du synoptique.
    4. Si nécessaire, sélectionnez des éléments supplémentaires dans la liste déroulante Éléments. Placez-les aux emplacements souhaités sur le synoptique.
  4. Créez une fonction d’appel de synoptique.

Autres sujets abordés dans ce chapitre

Éléments de contrôle

Modèle

Noms prédéfinis

Synoptiques de filtre


Éléments de contrôle

Manuel -> Gestion des alarmes -> Configuration des alarmes -> Création d’un synoptique de filtre de liste d’alarmes -> Éléments de contrôle

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Le synoptique de filtre de liste d’alarmes peut contenir les éléments de contrôle et d’affichage suivants :

Insérer un modèle

Élément de contrôle

Description

Insérer un modèle

Ouvre la boîte de dialogue de sélection de modèle pour le type de synoptique correspondant.

Des modèles sont fournis avec zenon, et peuvent également être créés par l’utilisateur.

Modèles ajoutent des éléments de contrôle prédéfinis à des positions prédéfinies sur le synoptique. Les éléments qui ne sont pas nécessaires peuvent également être supprimés individuellement après leur création. Les éléments supplémentaires peuvent être sélectionnés dans la liste déroulante, puis insérés dans le synoptique zenon. Les éléments peuvent être déplacés et disposés individuellement sur le synoptique.

Pour plus d’informations concernant les modèles pour ce type de synoptique, reportez-vous au chapitre Modèles.

Filtres généraux

Liste déroulante des différents filtres généraux.

Élément de contrôle

Description

Insérer tous les éléments : Filtres généraux

Insère tous les éléments de la zone des filtres généraux à des emplacements prédéfinis. Les éléments peuvent être arrangés individuellement.

Insérer tous les éléments : Filtre général (Tactile)

Insère tous les éléments de la zone des filtres généraux à des emplacements prédéfinis. Les éléments peuvent être arrangés individuellement. Les éléments ont été optimisés pour un fonctionnement tactile.

Variables

Alarmes des variables affichées :
  • Nom

Filtrer selon les noms des variables.
  • Identification

Filtrer selon l’identification des variables.
  • Respecter la casse

Tenir compte de la capitalisation lors du filtrage des variables.

Type d'alarmes

Alarmes affichées :
  • Seulement les alarmes non acquittées

Seulement les alarmes non acquittées.
  • Alarmes acquittées uniquement

Alarmes acquittées uniquement.
  • Seulement les alarmes courantes

Alarmes actuelles uniquement
  • Commentaire requis

Alarmes dont l’acquittement nécessite la saisie d’un commentaire
  • Cause d'alarme nécessaire

Alarmes dont l’acquittement nécessite le lien d’une cause d’alarme.

Durée minimum d'activité des alarmes

Durée pendant laquelle les alarmes doivent être actives au minimum.
  • Jours

Seules les alarmes actives depuis le nombre de jours indiqué sont affichées.
  • Heures

Seules les alarmes actives depuis le nombre d’heures indiqué sont affichées.
  • Minutes

Seules les alarmes actives depuis le nombre de minutes indiqué sont affichées.
  • Secondes

Seules les alarmes actives depuis le nombre de secondes indiqué sont affichées.
  • Millisecondes

Seules les alarmes actives depuis le nombre de millisecondes indiqué sont affichées.

Temps minimum d'alarmes actives (tactile)

Éléments optimisés pour le fonctionnement tactile pour la configuration de la durée minimum pour les alarmes en instance.

  • Bouton : Jours (haut)
  • Zone tactile : Jours
  • Bouton : Jours (bas)
  • Bouton : Heures (haut)
  • Zone tactile : Heures
  • Bouton : Heures (bas)
  • Bouton : Minutes (haut)
  • Zone tactile : Minutes
  • Bouton : Minutes (bas)
  • Bouton : Secondes (haut)
  • Zone tactile : Secondes
  • Bouton : Secondes (bas)
  • Bouton : Millisecondes (haut)
  • Zone tactile : Millisecondes
  • Bouton : Millisecondes (bas)

Provenance des données

Provenance des données :
  • Buffer circulaire

Depuis la mémoire circulaire.
  • Données historiques

Depuis une archive.
  • Nombre maximal (champ de saisie)

Saisie du nombre maximal d’alarmes à afficher lors de l’affichage d’alarmes historiques.

0 : toutes les alarmes sont affichées

Groupes d’alarmes/d’événements / Classes d’alarmes/d’événements / Domaines d’alarmes/d’événements

Champ de liste pour l’affichage groupé :
  • Groupes d’alarmes/d’événements

Groupes d’alarmes/d’événements
  • Classes d’alarmes/d’événements

Classes d’alarmes/d’événements
  • Domaines d'alarmes

Domaines d'alarme

Éléments compatibles

Les éléments de contrôle Standard Win32 ayant été remplacés ou supprimés par des éléments zenon (texte dynamique, basculer) et continuent à être disponibles pour des raisons de compatibilité. Ces éléments ne sont pas pris en compte lors de l’insertion automatique de modèles.

Pour la description, reportez-vous aux éléments actuels.

Variables

  • Nom
  • Identification

Type d'alarme

  • Seulement les alarmes non acquittées
  • Alarmes acquittées uniquement
  • Seulement les alarmes courantes
  • Commentaire requis

Provenance des données

  • Buffer circulaire
  • Données historisées
  • Nombre maximal (champ de saisie)

Filtre de temps

Éléments pour les filtres horaires.

Élément de contrôle

Description

Insérer tous les éléments

Ouvre la liste déroulante de sélection d’éléments prédéfinis de configuration de certaines périodes de temps.

Intervalle absolu (affichage classique)

Éléments de configuration de périodes de temps absolues, avec un affichage compact.

Intervalle absolu (affichage compact)

Éléments de configuration de périodes de temps absolues, avec un affichage compact.

Période de temps relative

Éléments de configuration de périodes de temps relatives.

À partir de HH:MM:SS

Éléments de configuration d’une période de temps commençant à une heure définie.

À partir du jour - HH:MM:SS

Éléments de configuration d’une période de temps débutant à une heure définie.

À partir du jour, mois - HH:MM:SS

Éléments de configuration d’une période de temps commençant un jour défini, dans un mois défini, à une heure définie.

Période : 15/30/60 minutes

Éléments de configuration d’une période de temps de 15, 30 ou 60 minutes.

Intervalle : 1 jour

Éléments de configuration d’une période de temps d’une journée.

Intervalle : 1 ou 2 semaines

Éléments de configuration d’une période de temps d’une ou deux semaines.

Chaque semaine peut être sélectionnée, aussi bien dans l’affichage d’une semaine que dans l’affichage de deux semaines. Avec l’affichage de deux semaines, un intervalle de 14 jours est sélectionné, selon la semaine sélectionnée.

Intervalle : 1 mois

Éléments de configuration d’une période de temps d’un mois.

Intervalle : 1 an

Éléments de configuration d’une période de temps d’une année.

Insérer tous les éléments (tactile)

Ouvre la liste déroulante de sélection d’éléments prédéfinis de configuration de certaines périodes de temps, optimisée pour un fonctionnement tactile. Comme dans l’option Insérer tous les éléments, les paramètres suivants sont disponibles.

  • Intervalle absolu (affichage classique)
  • Période de temps relative
  • À partir de HH:MM:SS
  • À partir du jour - HH:MM:SS
  • À partir du jour, mois - HH:MM:SS
  • Intervalle : 15/30/60 minutes
  • Intervalle : 1 jour
  • Intervalle : 1 ou 2 semaines
  • Intervalle : 1 mois
  • Intervalle : 1 an

Type de filtre de temps (affichage)

Élément Texte dynamique pour l’affichage du type de filtre de temps.

Type de filtre de temps (intitulé)

Intitulé du type de filtre de temps.

Type de filtre de temps (zone de liste)

Liste déroulante : Type filtre horaire

Type de filtre de temps (boutons d'option)

Éléments de basculement affichant ou masquant certains éléments dans le Runtime :

  • Pas de filtre
  • Filtre de temps absolu
  • Filtre de temps relatif
  • À partir du jour, mois - HH:MM:SS
  • À partir du jour - HH:MM:SS
  • À partir de HH:MM:SS
  • Période de temps : 15 minutes
  • Période de temps : 30 minutes
  • Période de temps : 60 minutes
  • Intervalle : 1 jour
  • Intervalle : 1 semaine
  • Période 2 semaines
  • Intervalle : 1 mois
  • Intervalle : 1 an

Début de l’intervalle

Champs et intitulés de définition de l’heure de début.

  • De l’année (intitulé)
  • De l’année (zone de liste)
  • Du mois (intitulé)
  • Du mois (zone de liste)
  • Du jour (intitulé)
  • Du jour (zone de liste)
  • De l’heure (intitulé)
  • De l’heure (zone de liste)
  • De la minute (intitulé)
  • De la minute (zone de liste)
  • De la seconde (intitulé)
  • De la seconde (zone de liste)
  • De (commande rotative)

À

Champs et intitulés de définition de l’heure de fin.

  • À l’année (intitulé)
  • À l’année (zone de liste)
  • Au mois (intitulé)
  • Au mois (zone de liste)
  • Au jour (intitulé)
  • Au jour (zone de liste)
  • À l’heure (intitulé)
  • À l’heure (zone de liste)
  • À la minute (intitulé)
  • À la minute (zone de liste)
  • À la seconde (intitulé)
  • À la seconde (zone de liste)
  • À (commande rotative)

Heure de début (zone tactile)

Champs et intitulés de définition de l’heure de début, optimisés pour un fonctionnement tactile.

  • De l’année (intitulé)
  • De l’année (zone de liste)
  • Du mois (intitulé)
  • Du mois (zone de liste)
  • Du jour (intitulé)
  • Du jour (zone de liste)
  • De l’heure (intitulé)
  • De l’heure (zone de liste)
  • De la minute (intitulé)
  • De la minute (zone de liste)
  • De la seconde (intitulé)
  • De la seconde (zone de liste)
  • De (commande rotative)

Fin de l’intervalle (tactile)

Champs et intitulés de définition de l’heure de fin, optimisés pour un fonctionnement tactile.

  • À l’année (intitulé)
  • À l’année (zone de liste)
  • Au mois (intitulé)
  • Au mois (zone de liste)
  • Au jour (intitulé)
  • Au jour (zone de liste)
  • À l’heure (intitulé)
  • À l’heure (zone de liste)
  • À la minute (intitulé)
  • À la minute (zone de liste)
  • À la seconde (intitulé)
  • À la seconde (zone de liste)
  • À (commande rotative)

Filtre de temps absolu

Champs et intitulés de définition du filtre de temps (temps absolu).

  • De (intitulé)
  • De la date (affichage du calendrier)
  • De la date (affichage de la date)
  • De l’heure (affichage de l’heure)
  • À (intitulé)
  • À la date (affichage calendrier)
  • À la date (affichage de la date)
  • À l’heure (affichage de l’heure)

Intervalle

Champs et intitulés de définition des périodes de temps.

  • De l’année (intitulé)
  • De l’année (zone de liste)
  • Du mois (intitulé)
  • Du mois (zone de liste)
  • Semaine (intitulé)
  • Semaine (zone de liste)
  • Du jour (intitulé)
  • Du jour (zone de liste)
  • De l'heure (intitulé)
  • De l’heure (zone de liste)

Intervalle (tactile)

Champs et intitulés de définition de l’heure de début, optimisés pour un fonctionnement tactile.

  • De l’année (intitulé)
  • De l'année (bouton : haut)
  • Boite tactile : de l'année
  • De l'année (bouton : bas)
  • Du mois (intitulé)
  • Du mois (bouton : haut)
  • Boite tactile : du mois
  • Du mois (bouton : bas)
  • Semaine (intitulé)
  • De la semaine (bouton : haut)
  • De la semaine (zone tactile)
  • De la semaine (bouton : bas)
  • Du jour (intitulé)
  • Du jour (bouton : haut)
  • Boite tactile : du jour
  • Du jour (bouton : bas)
  • De l'heure (intitulé)
  • De l'heure (bouton : haut)
  • Boite tactile : Heure de début
  • De l'heure (bouton : bas)

Éléments compatibles

Les éléments de contrôle supprimés ou remplacés par des versions plus récentes restent disponibles, pour des raisons de compatibilité. Ces éléments ne sont pas pris en compte lors de l’insertion automatique de modèles.

  • Type de filtre de temps (groupe radio)
    Éléments de contrôle Radiobutton Win32. A été remplacé par éléments de basculement. Pour la description, reportez-vous aux éléments actuels.
  • Définir le type de filtre de temps (affichage)
    Élément de contrôle statique Win32. Remplacé par un champ de texte dynamique. Pour la description, reportez-vous à l’élément actuel.

Filtre de lots

Éléments pour la sélection de lots dans le Runtime.

Élément de contrôle

Description

Insérer tous les éléments

Tous les éléments.

Liste d'archives

Liste d’archives disponibles dans le Runtime.

État liste d'archives

État de la liste d’archives avec le nombre d’alarmes :

  • disponibles
  • filtrés
  • affichés

Liste de lots

Liste de lots disponibles.

État liste de lots

État de la liste de lots avec le nombre de lots :

  • disponibles
  • filtrés
  • affichés

Appliquer le filtre horaire à la liste de lots

Applique le filtre de temps configuré à la sélection dans la liste de lots.

Filtre nom lot (Saisie)

Saisissez une séquence de caractères utilisés pour filtrer les noms de lots dans la liste de lots.

Filtre de nom de lot (bouton)

Bouton d’exécution du filtrage par noms de lots.

Désactivé si l’élément Filtre de nom de lot n’est pas présent.

Éléments compatibles

Les éléments de contrôle supprimés ou remplacés par des versions plus récentes restent disponibles, pour des raisons de compatibilité.

Ces éléments ne sont pas pris en compte lors de l’insertion automatique de modèles.

Les éléments Win32 suivants ont été remplacés par des éléments Texte dynamique.

  • État liste d'archives
  • État liste de lots
  • Filtre nom lot (Saisie)

Filtre de texte

Liste déroulante des différents filtres de texte.

Élément de contrôle

Description

Insérer tous les éléments : Filtre de texte

Insère tous les éléments des filtres de texte.

Pas de filtre de texte

Bouton d’option permettant de désélectionner le filtre de texte.

Rechercher (mots séparés par des espaces)

Bouton d’option permettant d’activer la recherche

Texte : Recherche de texte

Intitulé du champ de recherche.

Champ de saisie : Recherche de texte

Champ de saisie du terme de cherche.

Options

Options de recherche
  • Respecter la casse

La capitalisation sera prise en compte.
  • Les mots n’ont pas besoin d’être entiers dans le texte

Vous pouvez également rechercher des fragments.
  • Au moins un mot doit se trouver dans le texte

Un au moins des termes de recherche doit être présent dans le résultat.
  • Tous les mots doivent être dans le texte

Tous les termes de recherche doivent être présents dans le résultat.
  • L’expression de filtre doit apparaître exactement dans le texte

Les résultats doivent contenir le texte exact du champ de recherche.

Éléments compatibles

Les éléments de contrôle Standard Win32 ayant été remplacés ou supprimés par des éléments zenon (texte dynamique, basculer) et continuent à être disponibles pour des raisons de compatibilité. Ces éléments ne sont pas pris en compte lors de l’insertion automatique de modèles.

Pour la description, reportez-vous aux éléments actuels.

  • Pas de filtre de texte
  • Rechercher (mots séparés par des espaces)
  • Champ de saisie : Recherche de texte
  • Dépend de la casse
  • Les mots doivent être en partie présents dans le texte
  • Un mot au moins doit être présent dans le texte
  • Tous les mots doivent être présents dans le texte
  • La chaîne exacte doit être présente dans le texte

Boutons

Boutons dans le Runtime.

OK

Bouton : Applique les paramètres de filtre et ferme le synoptique.

Remarques concernant les cadrans : Il est possible d’utiliser des synoptiques Filtre de liste, Filtre de liste et Filtre de temps/de lot dans les cadrans. Lors de la configuration de ces éléments dans le Runtime, cliquez sur OK pour fermer le cadran. Pour enregistrer les paramètres de filtre et laisser le cadran ouvert, cliquez sur Accepter.

Annuler

Bouton : Annule la configuration des paramètres de filtre.

Appliquer

Bouton : Valide les paramètres de filtre.

Actualiser la recherche

Bouton : Actualise l’affichage filtré.

Éléments compatibles

Les éléments de contrôle Standard Win32 ayant été remplacés ou supprimés par des éléments zenon (texte dynamique, basculer) et continuent à être disponibles pour des raisons de compatibilité. Ces éléments ne sont pas pris en compte lors de l’insertion automatique de modèles.

  • Afficher la liste sans l'actualiser


Modèle

Manuel -> Gestion des alarmes -> Configuration des alarmes -> Création d’un synoptique de filtre de liste d’alarmes -> Modèle

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Modèle | Description
Champ de liste de modèles (à gauche) | Affiche la liste des modèles prédéfinis et définis par l’utilisateur.
Aperçu et description (à droite) | Affiche un aperçu et une description du modèle sélectionné.
Standard | Insère les éléments standard.
SCADA | Modèles spéciaux, optimisés pour une utilisation avec une souris.
Filtre de variables et de texte uniquement. | Ajoute des éléments pour le filtrage de variables et de texte.
Sans groupes d’alarmes | Ajoute des éléments pour le filtrage de variables, de texte et de délais d’attente minimum sans groupes d’alarmes.
Standard | Insère les éléments standard.
Filtres de variables, de texte et de temps | Ajoute des éléments pour le filtrage de variables, de texte et de temps.
Filtres de variables, de texte & de temps (par mois) | Ajoute des variables pour le filtrage de variables, de texte et d’intervalles relatifs Depuis le mois.
Filtres de variables, de texte & de temps (par heure) | Ajoute des variables pour le filtrage de variables, de texte et d’intervalles relatifs Depuis l’heure.
Filtres de variables, de texte & de temps (par jour) | Ajoute des variables pour le filtrage de variables, de texte et d’intervalles relatifs Depuis le jour.
Filtres de variables, de texte & de temps (absolu - affichage compact) | Ajoute des éléments pour le filtrage de variables, de texte et d’intervalles absolus.
Filtres de variables, de texte & de temps (absolu - affichage compact) | Ajoute des éléments pour le filtrage de variables, de texte et d’intervalles absolus sous forme compacte.
Filtres de variables, de texte & de temps (absolu) | Ajoute des éléments pour le filtrage de variables, de texte et d’intervalles absolus.

Fermer boîte de dialogue

Bouton | Description
Supprimer les éléments de synoptique existants | Active : les éléments existants du synoptique sont supprimés lors de l’utilisation du modèle.
Appliquer | Insère les éléments du modèle sélectionné dans le synoptique et ferme la boîte de dialogue.
Annuler | Ferme la boîte de dialogue sans insérer les éléments.
Aide | Ouvre l'aide en ligne.


Noms prédéfinis

Manuel -> Gestion des alarmes -> Configuration des alarmes -> Création d’un synoptique de filtre de liste d’alarmes -> Noms prédéfinis

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Des noms prédéfinis sont disponibles pour les filtres de temps.

Attention : Les noms prédéfinis ne sont pas disponibles sous Windows CE.

Pour sélectionner un nom :

  1. Dans la vue de détail, définissez un filtre de temps, un filtre de liste d’événements ou un filtre de liste d’alarmes.
  2. Cliquez deux fois sur le champ du nom dans la colonne Nom.
  3. Sélectionnez le nom prédéfini dans la liste déroulante.
    • AML_Filter
    • TIMEFILTER_ABSOLUTE
    • TIMEFILTER_DAY
    • TIMEFILTER_HOUR
    • TIMEFILTER_MONTH
    • TIMEFILTER_PERIOD
    • TIMEFILTER_PERIOD_DAY
    • TIMEFILTER_PERIOD_MINUTE
    • TIMEFILTER_PERIOD_MONTH
    • TIMEFILTER_PERIOD_WEEK
    • TIMEFILTER_PERIOD_YEAR
    • TIMEFILTER_RELATIVE


Synoptiques de filtre

Manuel -> Gestion des alarmes -> Configuration des alarmes -> Création d’un synoptique de filtre de liste d’alarmes -> Synoptiques de filtre

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Synoptiques de filtre

Les synoptiques de filtre permettent de transférer un filtre prédéfini d’un synoptique vers un autre. Le filtre du synoptique source est défini à l’aide du synoptique cible. Les synoptiques peuvent également être de types différents.

attention Attention

Pour que le temps du synoptique soit affiché dans le Runtime, la plage de temps suivante doit être sélectionnée dans Editor pour la fonction d’appel de synoptique de la liste d’alarmes ou de la liste d’événements, dans la propriété filtre de temps : Définir le filtre avec un type de filtre horaire

Définition de l’affichage

Les conditions suivantes doivent être remplies pour que les filtres définis soient utilisés :

  1. Le filtre défini pour le type de filtre de temps est sélectionné en tant qu’intervalle de temps pour le filtre de temps.
  2. Le synoptique (synoptiques Filtre de liste d’alarmes, Filtre de liste d’événements et Filtre de temps/de lots) est activé à l’aide d’un bouton ou d’un élément combiné. C’est la seule manière de maintenir la relation entre le synoptique de filtre et le synoptique source.
  3. Le synoptique source et le synoptique de filtre doivent être configurés dans différents cadres ou sur différents moniteurs. Le filtre du synoptique de filtre peut uniquement être actualisé si le synoptique source est ouvert. Cela est uniquement possible si les deux synoptiques n’utilisent pas le même cadre ou le même moniteur.
  4. Le synoptique appelé doit être compatible avec le synoptique de filtre appelé (voir table).
Synoptique source | Filtre de liste AML | Filtre de liste CEL | Filtre de temps
Maintenance d'archive | T | T | T
Extended Trend | T | T | T
Filtre de temps | T | T | X
Filtre d'alarmes | X | C | T
Filtre de liste d’événements | C | X | T
Liste des alarmes | X | C | T
Liste d'événements | C | X | T

Légende :

  • C : Les paramètres communs sont mis à jour.
  • T : Les paramètres de temps sont mis à jour.
  • X : Tous les paramètres sont mis à jour.

info Informations

Aucun filtrage

Le synoptique de filtre n’est pas filtré, mais il est ouvert avec les valeurs configurées si :

  • Une des conditions 1 à 3 n’est pas satisfaite ou
  • Le paramètre Synoptique appelé n’est pas activé pour la fonction Appel de synoptique ou
  • Le synoptique n’est pas appelé par le biais d’un élément de synoptique

Dans ce cas, les boutons Accepter, Fermer et Mise à jour sont grisés dans le Runtime et n’ont aucune fonction.


Définir des alarmes

Manuel -> Gestion des alarmes -> Configuration des alarmes -> Définir des alarmes

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Définissez les alarmes avec les éléments suivants :

  • Valeurs limite et états avec des variables
  • Matrices de réaction

Gestion des alarmes à l’aide de variables

Définissez les valeurs limites des variables (reportez-vous au manuel Variables, chapitre Valeurs limites). Si ces valeurs limites sont dépassées dans le Runtime, une alarme est générée et affichée dans la ligne d’état des alarmes. Les autres propriétés de configuration des alarmes peuvent être définies avec :

  • Les propriétés de variable du groupe Valeurs limite et des sous-groupes pour chaque valeur limite qu’ils contiennent :
    • Dans la liste d'alarmes : L’alarme est incorporée dans la liste AML. Lorsqu’elle est affichée dans cette liste, vous pouvez la contrôler dans le Runtime à l’aide de la liste d’alarmes ou d’un filtre de liste d’alarmes.
    • Acquittement obligatoire : L’alarme doit être acquittée avant d’être supprimée de la mémoire circulaire.
    • Acquittement à deux étapes : l’alarme doit être supprimée manuellement avant d’être supprimée de la mémoire circulaire.
    • Imprimer : Imprime l’alarme sur l’imprimante définie. La liste CEL ou AML est imprimée. Vous définissez la liste à imprimer dans les propriétés du projet, sous Impression pour.
    • Groupe d'alarmes/d'événements : attribution d’un groupe d’alarmes/d’événements.
    • Classe d'alarmes/d'événements : attribution d’une classe d’alarmes/d’événements.
  • Propriétés des variables d’un groupe Gestion des alarmes:
    • Alarm area_n : attribution d’un domaine d’alarme.
    • Variable d'acquittement : Définit la valeur 0 ou 1 pour les variables définies ici, lorsqu’une alarme est acquittée.
    • Valeur d'acquittement : Valeur écrite dans la variable définie dans Variable d'acquittement.
    • Enregistrer dans la base IPA : L’alarme est disponible pour évaluation dans le module Industrial Performance Analyzer.
  • Propriétés de projet d’un groupe Alarmes et événements:
    • Sélection encadrée : les lignes sélectionnées sont mises en évidence par un cadre dans le Runtime.
    • Même commentaires : les commentaires saisis dans le Runtime pour une alarme sont également acceptés dans la liste CEL.
    • Impression active : active l’impression en ligne.
    • Impression pour : autorise l’impression en ligne de la liste AML ou CEL.
  • Propriétés de projet d’un groupe Liste d'alarmes

    De nombreuses propriétés permettant de configurer les alarmes sont disponibles ici. Surtout :

    • Activation de la liste AML
    • Stockage des données d’alarmes
    • Signalisation des états des alarmes
    • Activation de la ligne d’alarme

    Vous trouverez des informations détaillées concernant les différents paramètres dans les pages d’aide incorporées.

Gestion des alarmes via les matrices de réaction

Vous pouvez utiliser une matrice de réaction pour évaluer les états des valeurs limites et les bits d’état (reportez-vous au manuel Variables, chapitre Matrices de réaction). Les dépassements des règles établies provoquent le déclenchement d’une alarme. Comme pour les variables, vous pouvez également définir l’action à effectuer en cas de déclenchement d’une alarme par le biais des matrices de réaction. Pour cela, activez les propriétés correspondantes dans la boîte de dialogue de configuration des matrices de réaction.


Gestion des alarmes

Manuel -> Gestion des alarmes -> Configuration des alarmes -> Gestion des alarmes

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Les alarmes sont enregistrées dans une mémoire circulaire (alarm.bin) et un fichier d’alarmes (*.aml) dans le dossier Runtime, dès leur déclenchement. La mémoire circulaire est une mémoire volatile depuis laquelle des alarmes peuvent être à nouveau supprimées, conformément à certaines règles. La liste AML enregistre de manière durable les alarmes et les informations importantes concernant celles-ci.

Buffer circulaire

La mémoire circulaire inclut toutes les alarmes actives. Celui-ci gère les éléments suivants :

  • Heure de déclenchement (en millisecondes), servant de signature unique
  • Informations supplémentaires – cause, valeur, etc.
  • Heure de disparition
  • Heure d'acquittement

Comportement lors de la suppression de la mémoire circulaire :

  • Dès qu’une alarme est acquittée, elle est supprimée de la mémoire circulaire.
  • Si la propriété Acquittement obligatoire a été activée, l’alarme doit être acquittée par un utilisateur autorisé avant de pouvoir être supprimée de la mémoire circulaire. Lors de l’acquittement d’une alarme, toutes les alarmes d’une variable associée au même dépassement de valeur limite sont également supprimées de la mémoire circulaire.
  • Si la propriété Acquittement à deux étapes est activée, elle doit être spécifiquement supprimée de la mémoire circulaire par une personne autorisée.
    Exemple : L’alarme a été effacée et acquittée par l’opérateur. Elle est conservée dans la mémoire circulaire jusqu’à la confirmation de sa suppression.

Remarque : Les entrées ne sont jamais supprimées dans la liste AML?; seul leur état est documenté.

Taille de la mémoire circulaire

La taille de la mémoire circulaire doit être définie dans les propriétés du projet, par l’intermédiaire de la propriété Taille du buffer circulaire.
Recommandation : définir une taille au moins égale au nombre de variables pour lesquelles des alarmes peuvent se déclencher.

La mémoire circulaire est automatiquement enregistrée sous forme de fichier alarm.bin lors de la fermeture du Runtime. Si le Runtime est fermé en raison d’un événement inattendu (par exemple, une coupure de courant), les données sont perdues. Pour éviter cela, la mémoire circulaire peut être enregistrée manuellement, via la propriété Enregistrer le buffer circulaire en cas de modification, à chaque nouvelle entrée?; elle peut également être enregistrée via la fonction Enregistrer la mémoire circulaire des listes AML et CEL.

Attention : Dans le Runtime, la mémoire circulaire est gérée de manière dynamique dans la mémoire. Les alarmes ne comportant pas des informations d’effacement avec horodatage peuvent être affichées en agissant sur le nombre défini d’alarmes. Ainsi, des alarmes dépassant la taille de la mémoire circulaire peuvent être affichées.

Example Exemple
  • Taille de la mémoire circulaire : 100 entrées
  • Alarmes actives dans le Runtime sans informations d’acquittement dans les informations d’horodatage : 120
  • Affichage dans la liste d’alarmes dans le Runtime : 120

Fichier d’alarmes

Toutes les alarmes sont consignées dans un fichier d’alarmes (*.aml) en même temps que dans la mémoire circulaire. Ce fichier est créé automatiquement pour chaque jour calendaire, et géré via la propriété Enregistrer les données d'alarmes. Le nom du fichier d’alarmes est constitué de la lettre A, suivie de la date au format AAMMJJ et du suffixe .aml – par exemple, A100623.aml. Ces fichiers sont créés automatiquement pour chaque jour et doivent être transférés ou supprimés par l’utilisateur si la capacité de stockage est limitée. Les fichiers *.aml sont enregistrés dans le dossier ...\Dossier du projet\Nom de l’ordinateur\Nom du projet.

Synchronisation de la mémoire circulaire et du fichier d’alarmes

La mémoire circulaire et le fichier d’alarmes sont synchronisés. Cette synchronisation découle de la mémoire circulaire vers le fichier d’alarmes. Toutes les modifications, telles que l’acquittement, sont uniquement exécutées dans la mémoire circulaire avant d’être synchronisées au niveau du fichier d’alarmes. Par exemple, toutes les alarmes non acquittées peuvent être affichées dans le fichier d’alarmes et l’acquittement peut être introduit au niveau du fichier. L’action, toutefois, se déroule au niveau de la mémoire circulaire.

Périodes d’enregistrement

Le fichier d’alarme au format *.aml est enregistré à chaque nouvelle entrée.

La mémoire circulaire (*.bin) est enregistrée :

  • Lors de la fermeture du Runtime
  • À chaque nouvelle entrée, si la propriété Enregistrer le buffer circulaire en cas de modification est active
  • Lors de l’exécution de la fonction Enregistrer le buffer circulaire d'alarmes et d'événements

Remarque : Si l’option Enregistrer le buffer circulaire en cas de modification est désactivée, il est possible que les entrées dans la liste AML et la mémoire circulaire ne correspondent pas, après une panne de courant.

attention Attention

Si la capacité de la mémoire circulaire est dépassée, car cette dernière elle est trop petite, les entrées non acquittées sont conservées dans le fichier d’alarmes. Elles sont affichées durant le filtrage des données, mais ne peuvent plus être acquittées. Toute tentative d’acquittement de ces alarmes peut déclencher l’acquittement au niveau de la mémoire circulaire si les alarmes concernent la même variable et le même dépassement de valeur limite.


Grouper les alarmes

Manuel -> Gestion des alarmes -> Configuration des alarmes -> Grouper les alarmes

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Les alarmes peuvent être groupées et hiérarchisées comme suit :

  • Groupes d’alarmes/d’événements : permet de grouper les alarmes (ou les événements) logiquement
  • Les classes d’alarmes/d’événements : permet de hiérarchiser les alarmes (ou les événements) et d’attribuer un code de couleurs aux alarmes dans la liste AML et aux événements dans la liste CEL
  • Domaines d’alarmes : autorisent l’association d’alarmes en fonction de leur emplacement dans l’équipement.

Un nom, un nombre, une couleur, une fonction, une variable d’état, un graphique et un groupe d’équipements peuvent être attribués à chaque groupe ou classe d’alarmes ou d’événements.

Les alarmes peuvent être exportées et importées au format XML, à l’aide du menu contextuel.

info Informations

Au maximum 65 536 classes d’alarmes/d’événements et 65 536 groupes d’alarmes/d’événements peuvent être créés.

Menu contextuel des alarmes du gestionnaire de projet

Élément de menu | Action
Exporter tout (XML) | Exporte toutes les entrées sous forme de fichier XML.
Importer XML … | Importe des entrées à partir d'un fichier XML.
Aide | Ouvre l'aide en ligne.

info Informations

Utilisez des identifiants clairs et différents dans le projet global, le projet d’intégration et les sous-projets pour les groupes et classes d’alarmes/d’événements et les domaines d’alarmes. Ceci permet d’éviter les conflits. Ceci peut générer des affichages incorrects.

Autres sujets abordés dans ce chapitre

Groupes d’alarmes/d’événements

Classes d’alarmes/d’événements

Domaines d'alarme


Groupes d’alarmes/d’événements

Manuel -> Gestion des alarmes -> Configuration des alarmes -> Grouper les alarmes -> Groupes d’alarmes/d’événements

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Les groupes d’alarmes/d’événements regroupent les messages liés.

Création de groupes d’alarmes/d’événements

Pour créer un nouveau groupe d’alarmes/d’événements :

  1. Dans le gestionnaire de projet, cliquez avec le bouton droit sur le nœud Groupes d’alarmes/d’événements.
  2. Sélectionnez la commande : Nouveau groupe d’alarmes/d’événements

    (Vous pouvez également sélectionner le symbole correspondant dans la barre d’outils, ou appuyer sur la touche Insér.).

Des informations supplémentaires peuvent être attribuées à chaque groupe d’alarmes/d’événements par le biais de ses propriétés :

Paramètres

Description

Nom

Nom du groupe d’alarmes/d’événements.

Affichage dans les listes d’alarmes et d’événements.

No.

Identifie le groupe d’alarmes/d’événements. Le numéro est attribué automatiquement et ne peut pas être modifié.

Minimum : 1

Maximum : 2147483647

Remarque : Dans un projet, chaque numéro ne peut être attribué qu’une fois pour le groupe d’alarmes/d’événements. Des numéros identiques peuvent être définis dans d’autres projets/domaines.

Synchroniser : Une recherche de conflit est effectuée lors de la création des fichiers du Runtime. Si des conflits sont détectés, ils sont affichés dans la fenêtre de sortie. Toutefois, cette fonction n’empêche pas la création d’identifiants pouvant être en conflit. Mode de vérification.

  • Le projet est comparé avec le projet global lors de la vérification de projets individuels.
  • Dans la gestion multi-projets, le projet est d’abord comparé au projet de rang supérieur, puis à tous les autres projets de l’interface de gestion multi-projet actuelle. La synchronisation avec le projet global est exécutée ensuite.
  • Les autres projets indépendants ne sont pas inclus dans la synchronisation.

Couleur

Couleur d’un groupe d’alarmes/d’événements.

Cliquez sur le bouton ... pour ouvrir la palette de couleurs.

Description

Nom du groupe d’alarmes/d’événements.

Variable d'état

Variable de bit (booléenne) utilisée par le Runtime de zenon pour indiquer si le groupe est actif ou si les alarmes de ce groupe sont ignorées à cet instant.

L’activation/la désactivation sont effectuées par le biais de la fonction Connexion du groupe d’alarmes/d’événements active/inactive. L’état de ce groupe est consigné dans la liste d’événements (CEL).

Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de variables.

Fonction

Fonction exécutée en cas d’activation d’une alarme de ce groupe. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de fonctions.

Fichier graphique

Sélection d’un élément graphique représentant le groupe d’alarmes/d’événements dans la liste AML.

Pour afficher l’élément graphique concerné dans la liste AML, dans le filtre de liste AML, accédez à l’onglet Paramètres des colonnes et sélectionnez le type d’affichage Fichier graphique pour le symbole de groupe d’alarmes/d’événements.

Remarque : la hauteur des colonnes dans la liste AML dépend de la police sélectionnée. Les éléments graphiques sélectionnés sont redimensionnés et adaptés à la hauteur des colonnes.

Groupes d'équipements

Associe le modèle d’équipement au groupe d’alarmes/d’événements.

Définit l’appartenance d’un groupe d’équipements. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue permettant de sélectionner un groupe d’équipements.

Suppression de groupes d’alarmes/d’événements

Pour supprimer un groupe d’alarmes/d’événements :

  1. Sélectionnez le groupe d’alarmes/d’événements.
  2. Sélectionnez Supprimer dans le menu contextuel ou la barre d’outils.
  3. Confirmez cette sélection lorsque le programme vous invite à le faire.

Remarque : Lors de la suppression, toutes les variables liées à cette classe perdent leur attribution.

Autres sujets abordés dans ce chapitre

Menus contextuels et barre d’outils Groupes d’alarmes/d’événements


Menus contextuels et barre d’outils Groupes d’alarmes/d’événements

Manuel -> Gestion des alarmes -> Configuration des alarmes -> Grouper les alarmes -> Groupes d’alarmes/d’événements -> Menus contextuels et barre d’outils Groupes d’alarmes/d’événements

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Menu contextuel Gestionnaire de projet

Élément de menu | Action
Nouveau groupe d’alarmes/d’événements | Crée un nouveau groupe d’alarmes/d’événements.
Profil Editor | Ouvre la liste déroulante permettant de sélectionner un profil Editor prédéfini.
Aide | Ouvre l'aide en ligne.

Vue de détail de la barre d'outils et du menu contextuel

Élément de menu | Action
Nouveau groupe d’alarmes/d’événements | Insère un nouveau groupe d’alarmes/d’événements dans la liste.
Copier | Copie les entrées sélectionnées et vers le presse-papiers.
Coller | Insère le contenu du presse-papier. Si une entrée portant le même nom existe déjà, le contenu est collé sous le nom Copie de....
Supprimer | Après une demande de confirmation, supprime les entrées sélectionnées de la liste.
Éditer cellule sélectionnée | Ouvre la cellule sélectionnée pour la modification. Le symbole représentant des jumelles dans l'en-tête indique la cellule sélectionnée dans une ligne affichée en surbrillance. Seules les cellules pouvant être modifiées peuvent être sélectionnées.
Remplacer un texte dans la colonne sélectionnée | Ouvre la boîte de dialogue de recherche et de remplacement de texte.
Propriétés | Ouvre la fenêtre de Propriétés.
Supprimer tous les filtres | Supprime tous les paramètres de filtre
Aide | Ouvre l'aide en ligne.


Classes d’alarmes/d’événements

Manuel -> Gestion des alarmes -> Configuration des alarmes -> Grouper les alarmes -> Classes d’alarmes/d’événements

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Les classes d’alarmes/d’événements remplissent les fonctions suivantes :

  • Gérer la priorité des alarmes pour les synoptiques d’alarmes
  • Déterminer la couleur des alarmes dans la liste d’alarmes
  • Fournir un critère de filtre de la liste d’alarmes et la liste d’événements
  • Déclencher des alarmes sonores, par exemple

Création de classes d’alarmes/d’événements

Pour créer une nouvelle classe d’alarmes/d’événements :

  1. Dans le gestionnaire de projet, cliquez avec le bouton droit sur le nœud Classes d’alarmes/d’événements.
  2. Sélectionnez la commande : Nouvelle classe d’alarmes/d’événements

    (Vous pouvez également sélectionner le symbole correspondant dans la barre d’outils, ou appuyer sur la touche Insér.).

Des informations supplémentaires peuvent être attribuées à chaque classe d’alarmes/d’événements par le biais des propriétés :

Paramètres

Description

Nom

Nom de la classe d’alarmes/d’événements.

Affichage dans les listes d’alarmes et d’événements.

No.

Identifie la classe d’alarmes/d’événements. Le numéro est attribué automatiquement et ne peut pas être modifié.

Minimum : 1

Maximum : 2147483647

Remarque : Dans un projet, chaque numéro ne peut être attribué qu’une fois pour la classe d’alarmes/d’événements. Des numéros identiques peuvent être définis dans d’autres projets/domaines.

Synchroniser : Une recherche de conflit est effectuée lors de la création des fichiers du Runtime. Si des conflits sont détectés, ils sont affichés dans la fenêtre de sortie. Toutefois, cette fonction n’empêche pas la création d’identifiants pouvant être en conflit. Mode de vérification.

  • Le projet est comparé avec le projet global lors de la vérification de projets individuels.
  • Dans la gestion multi-projets, le projet est d’abord comparé au projet de rang supérieur, puis à tous les autres projets de l’interface de gestion multi-projet actuelle. La synchronisation avec le projet global est exécutée ensuite.
  • Les autres projets indépendants ne sont pas inclus dans la synchronisation.

Couleur

La couleur de la classe d’alarmes/d’événements peut également être appliquée aux intitulés de la liste AML. Cliquez sur le bouton ... pour ouvrir la palette de couleurs.

Remarque : Cette couleur sera utilisée pour la description longue et le texte d’état affichés dans la liste AML et les synoptiques d’alarmes.

Description

Description de la classe d’alarmes/d’événements.

Variable d'état

Variable de bit (booléenne) utilisée par le Runtime de zenon pour indiquer si la classe est active ou si les alarmes de cette classe sont ignorées à cet instant.

L’activation/la désactivation sont effectuées par le biais de la fonction Connexion du groupe d’alarmes/d’événements active/inactive. L’état de ce groupe est consigné dans la liste d’événements (CEL).

Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de variables.

Fonction

Fonction exécutée en cas d’activation d’une alarme de cette classe.

Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de fonctions.

Remarque : Indisponible pour le contenu de configuration du projet dans le projet global.

Fichier graphique

Sélection d’un élément graphique représentant la classe d’alarmes/d’événements dans la liste AML.

Pour afficher l’élément graphique concerné dans la liste AML, dans le filtre de liste AML, accédez à l’onglet Paramètres des colonnes et sélectionnez le type d’affichage Fichier graphique pour le symbole de classe d’alarmes/d’événements.

Remarque : Dans la liste d’alarmes, la hauteur de la colonne est déterminée en fonction de la police de caractères sélectionnée?; par conséquent, les éléments graphiques sélectionnés sont redimensionnés, si nécessaire, puis ajustés en fonction de la hauteur de la colonne.

Groupes d'équipements

Associe le modèle d’équipement à la classe d’alarmes/d’événements.

Cliquez sur le bouton ... pour ouvrir la boîte de dialogue permettant de sélectionner un groupe d’équipements.

Suppression de classes d’alarmes/d’événements

Pour supprimer une classe d’alarmes/d’événements :

  1. Sélectionnez la classe d’alarmes/d’événements.
  2. Sélectionnez Supprimer dans le menu contextuel ou la barre d’outils.
  3. Confirmez cette sélection lorsque le programme vous invite à le faire.

Remarque : Lors de la suppression, toutes les variables liées à cette classe perdent leur attribution.

Autres sujets abordés dans ce chapitre

Menus contextuels Classes d’alarmes/d’événements et Groupes d’alarmes/d’événements


Menus contextuels Classes d’alarmes/d’événements et Groupes d’alarmes/d’événements

Manuel -> Gestion des alarmes -> Configuration des alarmes -> Grouper les alarmes -> Classes d’alarmes/d’événements -> Menus contextuels Classes d’alarmes/d’événements et Groupes d’alarmes/d’événements

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Menu contextuel Gestionnaire de projet

Élément de menu | Action
Nouvelle classe d’alarmes/d’événements | Crée une nouvelle classe d’alarmes/d’événements.
Profil Editor | Ouvre la liste déroulante contenant les profils Editor prédéfinis.
Aide | Ouvre l'aide en ligne.

Vue de détail de la barre d'outils et du menu contextuel

Élément de menu | Action
Nouvelle classe d’alarmes/d’événements | Insère une nouvelle classe d’alarmes/d’événements dans la liste.
Copier | Copie les entrées sélectionnées et vers le presse-papiers.
Coller | Insère le contenu du presse-papier. Si une entrée portant le même nom existe déjà, le contenu est collé sous le nom Copie de....
Supprimer | Après une demande de confirmation, supprime les entrées sélectionnées de la liste.
Éditer cellule sélectionnée | Ouvre la cellule sélectionnée pour la modification. Le symbole représentant des jumelles dans l'en-tête indique la cellule sélectionnée dans une ligne affichée en surbrillance. Seules les cellules pouvant être modifiées peuvent être sélectionnées.
Remplacer un texte dans la colonne sélectionnée | Ouvre la boîte de dialogue de recherche et de remplacement de texte.
Propriétés | Ouvre la fenêtre de Propriétés.
Supprimer tous les filtres | Supprime tous les paramètres de filtre
Aide | Ouvre l'aide en ligne.


Domaines d'alarme

Manuel -> Gestion des alarmes -> Configuration des alarmes -> Grouper les alarmes -> Domaines d'alarme

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Les domaines d’alarmes autorisent l’association d’alarmes en fonction de leur emplacement dans l’équipement. Les domaines d’alarmes peuvent être liés à des classes d’alarmes. Une plus grande flexibilité peut être obtenue en liant des variables d’état. Les bits individuels d’une variable d’état peuvent être évalués à l’aide d’un élément combiné, par exemple.

Créer des domaines d’alarmes

Pour créer un nouveau domaine d’alarmes :

  1. Dans le gestionnaire de projet, cliquez avec le bouton droit sur le nœud Domaines d’alarmes.
  2. Sélectionnez la commande : Nouveau domaine d'alarmes.

    (Vous pouvez également sélectionner le symbole correspondant dans la barre d’outils, ou appuyer sur la touche Insér.).

  3. Pour procéder à l’évaluation d’un domaine d’alarmes, liez les variables correspondantes en cliquant sur le bouton ... dans le nœud Général.
  4. Optionnel : Créez une nouvelle entrée de domaine dans le nœud Lien de classe en cliquant sur {nouveau lien vers classe}.
    (Le nombre d’entrées de domaine possibles est limité au nombre de classes d’alarmes/d’événements existantes.)

Propriétés des domaines d’alarmes

Propriété

Description

Général

Nom

Nom du domaine d’alarme

Affichage dans les listes d’alarmes et d’événements.

Remarque : Vide si la propriété Utiliser la gestion d'alarmes hiérarchiques du modèle d'équipement est active.

Variable d'état

Variable Octet :

Premier bit : affiché si le domaine d’alarmes comporte des alarmes actives.
Deuxième bit : Affiché si le domaine d’alarmes comporte des alarmes non acquittées. Pour plus de détails, voir Bits d’état variables.

Le bouton ... ouvre la boîte de dialogue de sélection de variables.

Nombre alarmes actives

Variables comportant une valeur affichant le nombre d’alarmes actives dans ce domaine d’alarmes.
Le bouton ... ouvre la boîte de dialogue de sélection de variables.

Nombre alarmes non-acquittées

Variables qui contiennent le nombre d’alarmes non acquittées dans ce domaine d’alarmes.

No.

Identifie le domaine d’alarmes. Le numéro est attribué automatiquement et ne peut pas être modifié.

Minimum : 1

Maximum : 2147483647

Remarque : Dans un projet, chaque numéro ne peut être attribué qu’une fois pour un domaine d’alarmes. Des numéros identiques peuvent être définis dans d’autres projets/domaines.

Synchroniser : Une recherche de conflit est effectuée lors de la création des fichiers du Runtime. Si des conflits sont détectés, ils sont affichés dans la fenêtre de sortie. Toutefois, cette fonction n’empêche pas la création d’identifiants pouvant être en conflit. Mode de vérification.

  • Le projet est comparé avec le projet global lors de la vérification de projets individuels.
  • Dans la gestion multi-projets, le projet est d’abord comparé au projet de rang supérieur, puis à tous les autres projets de l’interface de gestion multi-projet actuelle. La synchronisation avec le projet global est exécutée ensuite.
  • Les autres projets indépendants ne sont pas inclus dans la synchronisation.

Remarque : Vide si la propriété Utiliser la gestion d'alarmes hiérarchiques du modèle d'équipement est active.

Groupes d'équipements

Associe le modèle d’équipement au domaine d’alarmes.

Définit l’appartenance d’un groupe d’équipements. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue permettant de sélectionner un groupe d’équipements.

Lien de classe

Regroupe toutes les entrées de domaine. La propriété Lien de classe récapitule la variable d’état et le nombre d’alarmes actives et non acquittées pour une classe d’alarmes/d’événements. Les entrées de domaine sont créées par le biais de la propriété {nouveau lien vers classe}.

{nouveau lien vers classe}

Crée une nouvelle entrée de domaine.

Classe d'alarmes/d'événements

Classe d’alarmes pour l’entrée de domaine.

{Supprimer lien de classe}

Supprime l’entrée de domaine.

Classe d'alarmes/d'événements

Sélection dans une liste déroulante de la classe d’alarmes/d’événements pour l’entrée de domaine. La classe d’alarmes/d’événements doit déjà avoir été créée.

D’autres entrées s’apparentent à la configuration générale des entrées de domaine :

  • Variable d'état
  • Nombre alarmes actives
  • Nombre alarmes non-acquittées

Bits d’état variables

Bit | Signification
0 | 1 = Des alarmes sont actives 0 = Aucune alarme n’est active
1 | 1 = Des alarmes non acquittées sont présentes 0 = Aucune alarme non acquittée n’est présente

Remarque : Toutes les valeurs prescrites pour les variables d’état et de compteur liées à des variables de domaines d’alarmes sont cumulées et sont transmises au driver sous forme de blocs toutes les 500 ms. Seule la dernière valeur est alors utilisée pour chaque variable d’état. Les valeurs transitoires qui se produisent pendant l’intervalle temporaire sont supprimées. Ceci permet de réduire considérablement la charge exercée sur le réseau et les communications.

Attribuer des variables de plages d’alarmes, des structures ou des types de données

L’attribution de variables, de structures et de types de données simples aux domaines d’alarmes peut être configurée de deux manières :

  • De manière hiérarchique, avec la modélisation d’équipements.
  • De manière statique, en liant jusqu’à quatre domaines d’alarmes.
    Note : Si plusieurs domaines d’alarmes sont liés, seule le premier domaine relié est pris en compte lors du tri par domaine.

L’attribution est toujours configurée au niveau de l’élément correspondant (variable ou type de données).

Liaison statique

Les propriétés suivantes sont disponibles dans le groupe de propriétés Gestion des alarmes pour la liaison statique des domaines d’alarmes :

  • Domaine d'alarme 1
  • Domaine d'alarme 2
  • Domaine d'alarme 3
  • Domaine d'alarme 4

Pour chaque domaine d’alarme, le domaine d’alarme souhaité peut être sélectionné dans la liste déroulante du domaine d’alarmes concerné, puis être attribué à l’objet.

Dans le Runtime, les colonnes Domaine d’alarmes et No. de domaine d’alarmes des listes de messages d’alarme contiennent tous les domaines d’alarmes liés, séparés par une virgule (,).

Dans le module Message Control, le champ Domaine d’alarmes contient tous les domaines d’alarmes liés, séparés par une virgule (,).

Liaison d’un modèle d’équipement

Si la propriété Utiliser la gestion d'alarmes hiérarchiques du modèle d'équipement est activée dans la configuration de zenon Editor, les configurations des domaines d’alarmes sont issues du modèle d’équipement. À la place de la configuration des domaines d’alarmes individuels 1 à 4 pour chaque variable, la modélisation des alarmes dans le modèle d’équipement est utilisée.

D’autres informations sont également disponibles dans la section Gestion hiérarchique des alarmes des groupes d’équipements, dans le manuel Modélisation d’équipements.

Autres sujets abordés dans ce chapitre

Menus contextuels et barre d’outils Domaine d’alarmes

Configuration des domaines d’alarmes


Menus contextuels et barre d’outils Domaine d’alarmes

Manuel -> Gestion des alarmes -> Configuration des alarmes -> Grouper les alarmes -> Domaines d'alarme -> Menus contextuels et barre d’outils Domaine d’alarmes

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Menu contextuel Gestionnaire de projet

Élément de menu | Action
Nouveau domaine d’alarmes | Crée un nouveau domaine d’alarmes.
Profil Editor | Ouvre la liste déroulante contenant les profils Editor prédéfinis.
Aide | Ouvre l'aide en ligne.

Vue de détail de la barre d'outils et du menu contextuel

Élément de menu | Action
Nouveau domaine d’alarmes | Insère un nouveau domaine d’alarmes dans la liste.
Copier | Copie les entrées sélectionnées et vers le presse-papiers.
Coller | Insère le contenu du presse-papier. Si une entrée portant le même nom existe déjà, le contenu est collé sous le nom Copie de....
Supprimer | Après une demande de confirmation, supprime les entrées sélectionnées de la liste.
Éditer cellule sélectionnée | Ouvre la cellule sélectionnée pour la modification. Le symbole représentant des jumelles dans l'en-tête indique la cellule sélectionnée dans une ligne affichée en surbrillance. Seules les cellules pouvant être modifiées peuvent être sélectionnées.
Remplacer un texte dans la colonne sélectionnée | Ouvre la boîte de dialogue de recherche et de remplacement de texte.
Propriétés | Ouvre la fenêtre de Propriétés.
Supprimer tous les filtres | Supprime tous les paramètres de filtre
Aide | Ouvre l'aide en ligne.


Configuration des domaines d’alarmes

Manuel -> Gestion des alarmes -> Configuration des alarmes -> Grouper les alarmes -> Domaines d'alarme -> Configuration des domaines d’alarmes

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Pour lier un domaine d’alarmes à des classes, effectuez les opérations suivantes :

  1. Cliquez sur {nouveau lien vers classe}
  2. Sélectionnez la Classe d'alarmes/d'événements de votre choix.
  3. Définition pour le domaine
    • Variable d'état
    • Variable pour Nombre alarmes actives et
    • Variable pour Nombre alarmes non-acquittées

Remarque : Les alarmes sont attribuées à un domaine d’alarme dans les propriétés Alarmbereiche des variables dans le groupe Gestion des alarmes.

Exemple de domaine d’alarmes

Cet exemple affiche les domaines d’alarmes qui sont attribués à deux classes d’alarmes :

Domaine d’alarmes Nom | Lien de classe vers la classe... | Variable d'état | Nombre alarmes actives | Nombre alarmes non-acquittées
1 | Avertissement | Status_warn_1 | Active_warn_1 | Unackn_warn_1
 | Anomalie | Status_error_1 | Active_error_1 | Unackn_error_1
2 | Avertissement | Status_warn_2 | Active_warn_2 | Unackn_warn_2
 | Anomalie | Status_error_2 | Active_error_2 | Unackn_error_2

Exemple d’application – Énergie

Un domaine d’alarme est un groupe d’objets. Ces objets sont récapitulés sur un synoptique. Pour un fournisseur d’énergie, chaque transformateur est représenté par un synoptique. Les transformateurs A à T sont affichés sur quatre sous-pages. Tous les domaines d’alarmes sont affichés sur une vue d’ensemble commune.

  • Si une valeur limite est dépassée dans le transformateur A, le bouton du transformateur clignote sur le synoptique de la vue d’ensemble.
  • Le bouton clignote sur le synoptique du groupe, qui renvoie à la page des transformateurs A, B, C, D et E.
  • Le bouton du transformateur A clignote sur le synoptique détaillé.


Classes d’alarmes, groupes d’alarmes et domaines d’alarme dans le projet global et les projets locaux

Manuel -> Gestion des alarmes -> Configuration des alarmes -> Classes d’alarmes, groupes d’alarmes et domaines d’alarme dans le projet global et les projets locaux

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Chaque projet enregistre ses propres identifiants pour les classes d’alarmes, groupes d’alarmes et domaines d’alarmes. Dans le cadre de projets globaux, des projets d’intégration et des sous-projets peuvent se chevaucher. Si les mêmes identifiants sont utilisés dans différents projets, ceci peut entraîner le remplacement d’entrées dans les boîtes de dialogue de sélection de filtres.

Il est souvent plus logique d’utiliser à la fois des classes d’alarmes, des groupes d’alarmes et des domaines d’alarmes à partir du projet global et des projets locaux.

Pour éviter ce chevauchement, assurez-vous d’utiliser des identifiants différents dans tous les projets. Pour cela, il est mieux de créer un nombre de cercles pour chaque projet. Pour cela, indiquez un nombre correspondant élevé pour le premier élément. Les éléments créés récemment sont automatiquement créés à partir de ce nombre.

Exemple

  • Projet global : Éléments commencent à l’identifiant : 1
  • Projet d'intégration : Éléments commencent à l’identifiant : 5000
    • Sous-projet A : Éléments commencent à l’identifiant : 10000
    • Sous-projet B : Éléments commencent à l’identifiant : 15000


Configurer les alarmes avec des filtres

Manuel -> Gestion des alarmes -> Configuration des alarmes -> Configurer les alarmes avec des filtres

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Vous pouvez configurer l’affichage des alarmes à l’aide du filtre. Plusieurs possibilités s’offrent à vous.

  1. Définir les informations affichées dans la liste d’alarmes dans le Runtime.
    Ceci vous permet de définir les informations visibles pour une alarme donnée.
    Pour plus de détails, reportez-vous au chapitre : Configuration des colonnes de la liste d’alarmes.
  2. Filtrer les alarmes de la liste d’alarmes lors des appels de synoptique et les modifier dans le Runtime :
    Ceci vous permet de prédéfinir des filtres et d’offrir aux utilisateurs de la machine la possibilité de définir leurs propres filtres.
    Pour plus de détails : Filtre d’appel de synoptique de liste d’alarmes.
  3. Filtres fixes pour le Runtime :
    Cette option vous permet de créer des filtres personnalisés en fonction de votre utilisation de la liste CEL, et de masquer les critères de filtre inutiles.
    Pour plus de détails, reportez-vous au chapitre : Filtres de liste de messages d’alarme.

Autres sujets abordés dans ce chapitre

Configuration des colonnes de la liste d’alarmes

Filtre d’appel de synoptique de liste d’alarmes.

Filtre d’appel de synoptique de liste d’alarmes.


Configuration des colonnes de la liste d’alarmes

Manuel -> Gestion des alarmes -> Configuration des alarmes -> Configurer les alarmes avec des filtres -> Configuration des colonnes de la liste d’alarmes

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Vous pouvez définir les informations affichées dans la liste d’alarmes dans le Runtime par l’intermédiaire des paramètres des colonnes. La configuration de ces paramètres a lieu dans les propriétés de la liste d’alarmes du projet :

  1. Ouvrez le nœud Liste d'alarmes dans les Propriétés du projet.
  2. Cliquez sur la propriété Paramètres des colonnes alarmes.
  3. La boîte de dialogue des paramètres des colonnes s’affiche à l’écran
  4. Configurez les colonnes souhaitées.
    Remarque : Lors de la configuration des appels de synoptique, cette configuration est acceptée par défaut et peut être adaptée individuellement depuis l’onglet paramètres des colonnes.

Remarque : La largeur moyenne des caractères de la police sélectionnée est utilisée pour calculer la largeur des colonnes.

info Informations

Dans les paramètres du projet, vous pouvez définir un paramètre par défaut pour définir l’ordre et la largeur des colonnes à l’aide des propriétés Paramètres des colonnes alarmes ou Paramètres des colonnes liste d'événements. Lors de la création d’une nouvelle fonction d’appel de synoptique depuis un synoptique de liste d’alarmes ou un synoptique de liste d’événements, ce paramètre est utilisé par défaut?; il peut être modifié dans l’onglet correspondant. Le paramètre est conservé dans le fichier project.ini.

Configuration des colonnes

Paramètres

Description

Colonnes

Dans le champ de liste de cet onglet, tous les types de colonnes disponibles sont affichés.

Vous pouvez modifier l’ordre des colonnes en les faisant glisser dans le champ de liste :

  • Cliquez sur la colonne Type de colonne.
  • Déplacez les entrées individuelles à votre convenance.

Vous pouvez également ajuster l’ordre des entrées à l’aide des options Vers le haut et Vers le bas.
  • Case à cocher :

Sélectionnez les types de colonnes que vous souhaitez afficher.
  • Description :

Texte libre de description de la colonne.

Modifier la description : cliquez avec le bouton gauche sur la zone correspondante. Saisissez la valeur souhaitée dans le champ de recherche.

Remarque : pour les descriptions de colonnes, la fonction de basculement de langue de zenon est disponible.
  • Largeur de colonne :

Définit la largeur de la colonne, en caractères.

Modifier la largeur des colonnes : cliquez avec le bouton gauche sur la zone correspondante. Saisissez la valeur souhaitée dans le champ de recherche.
-1la largeur est calculée dans le Runtime, sur la base de la largeur moyenne des caractères.

Remarque : Pour des raisons de compatibilité, les colonnes dont la largeur ne pouvait pas être modifiée dans les versions antérieures de zenon (Date et heure) comportent la valeur -1.

  • Affichage :

Pour les types de colonnes

  • Symbole Classe d’alarmes/d’événements
  • Symbole de groupe d’alarmes/d’événements
  • État d’alarme

Le format d’affichage réel peut être sélectionné dans le Runtime. Sélectionnez le format souhaité dans la liste déroulante.

Vers le haut

Remonte l’entrée sélectionnée d’une position.

Déplacer l'entrée sélectionnée vers le bas

Abaisse l’entrée sélectionnée d’une position.

Champ de prévisualisation

Affiche les colonnes définies dans le champ de liste avec la largeur sélectionnée.

Vous pouvez également ajuster la largeur des colonnes en cliquant avec le bouton gauche sur le bord droit d’une colonne et en maintenant le bouton de la souris enfoncé pendant que vous déplacez la souris vers la gauche ou la droite.

Paramètres de tables

Tri décroissant

Trie les entrées de la liste selon leur Heure d’apparition, par ordre décroissant. Ce paramètre s’applique à l’appel d’un synoptique.
Vous pouvez modifier l’ordre de tri dans le Runtime en cliquant sur l’intitulé de la colonne. L’ordre de tri actuellement utilisé est représenté par une flèche dans l’en-tête de la colonne.

Afficher la grille

Affiche une grille lorsque la liste est affichée dans le Runtime.

Alterner les couleurs d’arrière-plan

Utilise les couleurs de ligne 1 et 2 en alternance pour l’affichage de l’arrière-plan de la liste dans le Runtime.

Couleur de ligne 1

Couleur utilisée en tant que couleur d’arrière-plan de la liste dans le Runtime pour tous les nombres impairs (1, 3, 5, etc.), si vous avez activé l’option Utiliser des couleurs de fond en alternance.

Couleur de ligne 2

Couleur utilisée en tant que couleur d’arrière-plan de la liste dans le Runtime pour tous les nombres pairs (2, 4, 6, etc.), si vous avez activé l’option Utiliser des couleurs de fond en alternance.

Affichage dans les colonnes d’heure

Heure

Affiche l’heure d’une entrée de liste sous la forme suivante : HH:MM:SS

Date

Affiche la date d’une entrée de liste sous la forme suivante : JJ:MM:AAAA

Millisecondes

Étend la précision de l’entrée de temps aux millisecondes.

Remarque : Cette option doit être activée si les millisecondes doivent apparaître dans les fichiers d’exportation ou les impressions.

Conseil : Si vous avez activé le clavier automatique dans le Runtime, celui-ci est activé lors de l’affichage d’un champ d’édition. Vous pouvez également utiliser ce champ pour configurer les colonnes, si vous utilisez un ordinateur sans clavier.

attention Attention

La largeur de colonne est fournie en caractères, et dépend de la police de caractères utilisée.

Si la largeur de colonne n’est pas un multiple de la largeur de caractère de la police de caractères utilisée, la largeur réelle de la colonne pourra être différente de la largeur de colonne définie. Ceci peut provoquer l’affichage de texte tronqué ou l’apparition d’un espace vide.

Solution : Utilisez des polices avec des caractères de largeur fixe.


Filtre d’appel de synoptique de liste d’alarmes.

Manuel -> Gestion des alarmes -> Configuration des alarmes -> Configurer les alarmes avec des filtres -> Filtre d’appel de synoptique de liste d’alarmes.

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

À l’aide de filtres, définissez les alarmes devant être affichées dans le Runtime et celles devant être masquées. Les filtres peuvent être définis dans Editor et, selon les exigences de l’opérateur dans Editor, dans le Runtime.

Pour personnaliser la sélection des filtres en fonction des exigences de l’opérateur dans le Runtime, utilisez un synoptique de filtre de liste d’alarmes à la place d’un synoptique de liste d’alarmes.

Pour configurer les appels de synoptique pour un synoptique de liste d’alarmes :

  1. Configurez une fonction d’appel de synoptique de type Liste d’alarmes
  2. La boîte de dialogue de filtre s’affiche et propose plusieurs onglets comportant des critères de filtre :
    • Général
    • Heure
    • Lots
    • Paramètres des colonnes
    • Texte
    • État
    • Projet (uniquement disponible dans le projet d’intégration de la gestion multi-projets).
    • Modèles d'équipements

Si des variables liées ou des indices sont disponibles, les onglets suivants peuvent être affichés en option.

  • Remplacer les liens
  • Remplacer les indices

Pour plus de détails, reportez-vous au chapitre Synoptiques, sections Remplacement des liens de variables et de fonctions et Symboles.

Autres sujets abordés dans ce chapitre

Général

Heure

Lots

Texte

Paramètres des colonnes

État

Projet

Modèles d'équipements


Général

Manuel -> Gestion des alarmes -> Configuration des alarmes -> Configurer les alarmes avec des filtres -> Filtre d’appel de synoptique de liste d’alarmes. -> Général

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Avec le filtre général, vous définissez les alarmes présentées et votre capacité d’accès aux paramètres correspondants dans le Runtime. Pour cela, les alarmes sont classées selon les paramètres suivants :

  • Type
  • Provenance des données
  • Variables
  • Durée d’activation
  • Groupes, classes d’alarmes/d’événements et domaines d’alarmes

Les propriétés suivantes sont disponibles :

Filtre de variables

Paramètres

Description

Filtre de variables

Limitation de certaines variables aux alarmes

Nom de la variable

Saisissez le nom ou la partie du nom de la variable que vous souhaitez filtrer.

L’utilisation de l’opérateur * est autorisée. Les opérateurs sont uniquement autorisés sous forme de préfixe ou de suffixe?; par exemple, *xxx ou xxx*.

Remarque : Les expressions de filtre saisies dans le Runtime ou dans Editor sont automatiquement enregistrées sur l’ordinateur local, dans le fichier zenon6.ini, et peuvent ensuite être sélectionnées dans la liste déroulante.

Attention : Le caractère de virgule (,) n’est pas autorisé pour filtrer les noms de variables !
La virgule peut être saisie comme un texte de filtre, mais aucune entrée n’est affichée. Ceci signifie que filtre spécial des variables d’ensemble pour Dim 2 and Dim 3 est impossible.

Identification

Saisissez l’identification ou une partie de l’identifiant de la variable que vous souhaitez filtrer. L’opérateur * peut être utilisé.

L’utilisation de l’opérateur * est autorisée. Les opérateurs sont uniquement autorisés sous forme de préfixe ou de suffixe?; par exemple, *xxx ou xxx*.

Remarque : Les expressions de filtre saisies dans le Runtime ou dans Editor sont automatiquement enregistrées sur l’ordinateur local, dans le fichier zenon6.ini, et peuvent ensuite être sélectionnées dans la liste déroulante.

Respecter la casse

Active : Les caractères majuscules et minuscules sont pris en compte lors du filtrage par nom ou identifiant de variable.

Type d'alarmes

Paramètres

Description

Type d'alarmes

Type d’alarme affiché.

Seulement les alarmes non acquittées

Active : Seules les alarmes non encore acquittées par l’utilisateur sont affichées.

Alarmes acquittées uniquement

Active : Seules les alarmes déjà passées, c’est-à-dire dont les valeurs ne se trouvent plus dans la plage critique, sont affichées.

Seulement les alarmes courantes

Active : Seules les alarmes encore actives, c’est-à-dire dont les valeurs se trouvent encore dans la plage critique, sont affichées.

Commentaire requis

Active : Seules les alarmes pour lesquelles un commentaire doit être ajouté sont affichées.

Cause d'alarme nécessaire

Active : Seules les alarmes qui sont nécessaires pour le lien d’une cause d’alarme sont affichées.

Les alarmes doivent au moins être en instance

Utilisez la commande rotative pour définir la durée d’activité minimale d’une alarme avant son affichage. Paramètres possibles :

  • Jours
  • Heures (hr)
  • Minutes (min.)
  • Secondes (sec.)
  • Millisecondes (ms)

Provenance des données

Paramètres | Description
Provenance des données | Affichage des alarmes actuelles ou actuelles et historiques.
Buffer circulaire | Active : Seules les données issues de la mémoire circulaire sont affichées.
Données historiques Nombre maximal | Active : Les données de la mémoire circulaire et les données historiques de la liste AML sont affichées. Le nombre maximal de données à afficher inclut les données de la mémoire circulaire.

Groupes/classes d’alarmes/d’événements et domaines d’alarmes

Paramètres | Description
Groupes/Classes d’alarmes/d’événements, Domaines d’alarmes | Sélection des groupes, classes et domaines d’alarmes
Groupes d’alarmes/d’événements | Parmi les groupes d’alarmes/d’événements existants, sélectionnez celui dont vous souhaitez afficher les alarmes.
Classes d’alarmes/d’événements | Parmi les classes d’alarmes/d’événements existants, sélectionnez celle dont vous souhaitez afficher les alarmes.

Domaines d'alarme

Paramètres | Description
Domaines d'alarme | Parmi les domaines d’alarmes existants, sélectionnez celui dont vous souhaitez afficher les alarmes.

Paramètres du Runtime

Paramètres

Description

Paramètres du Runtime

Comportement de la liste AML dans le Runtime

Afficher la liste sans l'actualiser

Active : Lorsque la liste est ouverte, aucune nouvelle entrée n’est ajoutée.

(Indisponible dans la fonction Exporter la liste AML).

Afficher cette boîte de dialogue dans le Runtime

Active : La boîte de dialogue de filtre est ouverte avant chaque appel de synoptique. Les paramètres de filtre peuvent être modifiés. Cette option n’est pas disponible dans Windows CE.
Remarque : Sur l’onglet Lots, si l’option Afficher la boîte de dialogue de sélection de lots est également activée, la boîte de dialogue de sélection de lots est appelée dans le Runtime. Elle n’est plus affichée après l’actualisation.

Remarques concernant les filtres d’intervalle :

Propriété Afficher cette boîte de dialogue dans le Runtime active :

  • Le filtre est ouvert dans le Runtime lors de l’appel de synoptique. Le filtre n’est plus proposé lors du rechargement. Ce comportement peut différer selon les différents types de synoptiques si la boîte de dialogue a été affichée lors de l’appel de synoptique, puis annulée.
  • La dernière période terminée est toujours utilisée.

Afficher cette boîte de dialogue dans le Runtime inactive :

  • Propriété Utiliser la dernière période de temps effectuée active :
    La dernière période terminée est toujours utilisée.
  • Utiliser la dernière période terminée inactive :
    L’intervalle de temps actuel est utilisé.

Remplacer la boîte de dialogue par un synoptique dans le Runtime

Définition d’un synoptique devant être affiché dans le Runtime à la place de la boîte de dialogue si l’option Afficher cette boîte de dialogue dans le Runtime est active. Seuls les synoptiques de type Filtre de liste AML ou Filtre de temps seront disponibles.

Cliquez sur le bouton ... pour ouvrir une boîte de dialogue permettant de sélectionner un synoptique.

Si le synoptique lié n’est pas localisé dans le Runtime, une recherche est effectuée pour trouver les synoptiques correspondants portant le nom spécifié.

attention Attention

Concernant zenon et Windows CE : Les systèmes CE sur lesquels la boîte de dialogue de filtre doit être affichée doivent comporter une résolution d’écran supérieure à 800*600 pixels, faute de quoi la boîte de dialogue ne s’affichera pas entièrement.


Heure

Manuel -> Gestion des alarmes -> Configuration des alarmes -> Configurer les alarmes avec des filtres -> Filtre d’appel de synoptique de liste d’alarmes. -> Heure

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Les filtres de temps permettent de limiter la quantité de données à afficher ou exporter. Les filtres de temps sont très flexibles, et peuvent être prédéfinis dans Editor ou ajustés dans le Runtime.

Remarque : L’heure est enregistrée au format UTC. Pour plus de détails, reportez-vous au chapitre Gestion de la date et de l'heure, dans le chapitre Runtime.

Des filtres de temps peuvent être prédéfinis dans Editor et dans le Runtime pour les éléments suivants :

  • Filtre temps absolu
  • Intervalle relatif
  • De
  • Intervalle

Le filtrage horaire peut être effectué de deux manières :

  1. En définissant un intervalle de temps dans Editor
    Des plages de temps fixes sont utilisées. un intervalle de temps est fourni dans Editor. Il est uniquement possible de filtrer les données en fonction de cet intervalle de temps dans le Runtime. Les autres filtres - tels que le filtrage par nom de variable, groupes d'alarmes/d'événements et classes d'alarmes/d'événements, etc. ne peuvent plus être modifiés dans le Runtime.
  2. Filtre de temps modifiable dans le Runtime
    Des intervalles de temps prédéfinis sont utilisés. Le filtre de temps est défini dans Editor et peut être modifié dans le Runtime, le cas échéant.

Filtre de temps

Filtre

Sélection du filtre.

Paramètres

Description

Pas de filtre horaire

Active : Aucun filtre temps n’est utilisé.

Note : toutes les entrées Runtime depuis 1. 1. 1990 sont affichées.

Filtre absolu

Active : Un intervalle de temps fixe est défini dans Editor. Lors de l’exécution de la fonction, l’intervalle temps absolu défini est utilisé avec exactitude.

La section Paramètres permet d’afficher et de configurer les options correspondantes.

Remarque : L’heure est enregistrée au format UTC. Pour plus de détails, reportez-vous au chapitre Gestion de la date et de l'heure, dans le chapitre Runtime.

Intervalle relatif

Active : Un intervalle de temps relatif est saisi.

La section Paramètres permet d’afficher et de configurer les options correspondantes.

Attention : Ce filtre est continuellement mis à jour.

De

Active : L’heure à partir de laquelle le filtre est appliqué. Si l’heure n’est pas atteinte ce jour, le filtrage a lieu à partir de l’heure correspondante le jour précédent.

Sélectionnez le mode du domaine dans la liste déroulante?;

  • À partir de HH:MM:SS
  • À partir du jour - HH:MM:SS
  • À partir d’un jour, d’un mois, à HH:MM:SS

La section Paramètres permet d’afficher et de configurer les options correspondantes.

Attention : L’heure de début de ce filtre n’est pas mise à jour automatiquement. Seules les heures existantes affichées sont utilisées.
L’heure de fin n’est pas définie avec ce filtre?; elle est reportée.

Intervalle

Active : Un intervalle de temps fixe est saisi. Sélectionnez le mode du domaine dans la liste déroulante?;

  • Horaire-jour
  • Horaire-semaine
  • Deux semaines
  • Un mois
  • Une année
  • 15 minutes
  • 30 minutes
  • 60 minutes

La section Paramètres permet d’afficher et de configurer les options correspondantes.

Fermer boîte de dialogue

Paramètres | Description
OK | Applique toutes les modifications effectuées sur tous les onglets, puis ferme la boîte de dialogue.
Annuler | Annule toutes les modifications effectuées sur tous les onglets, puis ferme la boîte de dialogue.
Aide | Ouvre l'aide en ligne.

Autres sujets abordés dans ce chapitre

Filtre temps absolu

Intervalle relatif

De

Intervalle

Spécifier un intervalle de temps dans Editor

Le filtre de temps peut être configuré dans le Runtime


Filtre temps absolu

Manuel -> Gestion des alarmes -> Configuration des alarmes -> Configurer les alarmes avec des filtres -> Filtre d’appel de synoptique de liste d’alarmes. -> Heure -> Filtre temps absolu

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Filtre temps absolu

Le filtre absolu permet de définir une période de temps fixe. Lors de l’exécution de la fonction, l’intervalle temps absolu défini est utilisé avec exactitude. Pour configurer le filtre :

  1. Dans la section Filtre, sélectionnez l’option Intervalle absolu.
  2. Configurez l’intervalle de temps souhaité dans la section Paramètres.

Paramètres | Description
Paramètres | Configuration du filtre de temps.
Proposer la date/l’heure actuelle | Active : Le filtre de temps est affiché dans le Runtime.
Par défaut | Active : Le filtre de temps est fourni dans Editor. Seule l’heure de début peut encore être configurée dans le Runtime.
De | Heure de début du filtre. Sélection du jour, du mois, de l’année, de l’heure, de la minute et de la seconde
À | Heure de fin du filtre. Sélection du jour, du mois, de l’année, de l’heure, de la minute et de la seconde

Fermer boîte de dialogue

Options | Description :
OK | Applique toutes les modifications effectuées sur tous les onglets, puis ferme la boîte de dialogue.
Annuler | Annule toutes les modifications effectuées sur tous les onglets, puis ferme la boîte de dialogue.
Aide | Ouvre l'aide en ligne.


Intervalle relatif

Manuel -> Gestion des alarmes -> Configuration des alarmes -> Configurer les alarmes avec des filtres -> Filtre d’appel de synoptique de liste d’alarmes. -> Heure -> Intervalle relatif

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Intervalle relatif

Un intervalle de temps relatif est saisi.

Attention : Ce filtre est constamment mis à jour et continue à fonctionner.
Exemple : Vous pouvez définir un intervalle relatif de 10 minutes et basculer vers un synoptique en réglant ce filtre de temps sur 12:00. Vous verrez alors s’afficher les alarmes de 11:50 à 12:00 lors de l’appel de synoptique. Si le synoptique reste ouvert, le filtre est automatiquement mis à jour. À 12:01, les alarmes de 11:51 à 12:01 sont affichées, et ainsi de suite.

Pour configurer le filtre :

  1. Dans la section Filtre, sélectionnez l’option Intervalle relatif.
  2. Configurez l’intervalle de temps souhaité dans la section Paramètres.

Paramètres | Description
Paramètres | Configuration du filtre de temps.
Proposer la date/l’heure actuelle | Active : Le filtre de temps est affiché dans le Runtime.
Par défaut | Active : Le filtre de temps est fourni dans Editor. Seule l’heure de début peut encore être configurée dans le Runtime. Sélection de l’intervalle relatif en jours, heures, minutes et secondes.

Fermer boîte de dialogue

Options | Description :
OK | Applique toutes les modifications effectuées sur tous les onglets, puis ferme la boîte de dialogue.
Annuler | Annule toutes les modifications effectuées sur tous les onglets, puis ferme la boîte de dialogue.
Aide | Ouvre l'aide en ligne.


De

Manuel -> Gestion des alarmes -> Configuration des alarmes -> Configurer les alarmes avec des filtres -> Filtre d’appel de synoptique de liste d’alarmes. -> Heure -> De

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
De

Définit l’heure à partir de laquelle le filtre est appliqué. Pour configurer le filtre :

  1. Dans la section Filtre, sélectionnez l’option Inactif.
  2. Sélectionnez le filtre souhaité dans la liste déroulante.
    • À partir de HH:MM:SS heures
    • Depuis le jour - HH:MM:SS heures
    • Depuis le jour, mois à HH:MM:SS
  3. Configurez l’intervalle de temps souhaité dans la section Paramètres.

Paramètres

Description

Paramètres

Configuration du filtre de temps.

[Date/Heure]

Selon la configuration de l’option Inactif, l’heure à partir de laquelle le filtre est appliqué est configurée ici :

  • À partir de HH:MM:SS
  • À partir du jour - HH:MM:SS
  • À partir d’un jour, d’un mois, à HH:MM:SS

Attention ! L’heure de début de ce filtre n’est pas mise à jour automatiquement. Seules les heures existantes affichées sont appliquées, même si le synoptique reste ouvert et l’heure de 23:00:00 est atteinte.
L’heure de fin de l’intervalle n’est pas définie avec ce filtre?; elle est reportée.
  • À partir de HH:MM:SS

L’heure à partir de laquelle le filtre est appliqué. Si l’heure n’est pas atteinte ce jour, le filtrage a lieu à partir de l’heure correspondante le jour précédent.

Exemple : Vous saisissez 23:00:00. Si la fonction est exécutée à 23:30, elle est filtrée de 23:00:00 jusqu’à l’heure actuelle. S’il est 22:30, toutefois, le filtrage est actif de 23:00:00 le jour précédent jusqu’à l’heure actuelle.
  • À partir du jour - HH:MM:SS

Un jour et une heure de début du filtre sont saisis. Si l’heure indiquée n’a pas été atteinte au cours du mois actuel, l’heure correspondante définie le mois précédent est utilisée.

Exemple : Vous saisissez jour 5 - 23:00:00. Si nous sommes le 10 du mois et il est 23:30, le filtrage sera appliqué à compter du 5 à 23:00:00 jusqu’à l’heure actuelle. Si toutefois nous sommes le 4 du mois, le filtrage sera appliqué à partir du 5 du mois précédent jusqu’à l’heure actuelle.

  • À partir d’un jour, d’un mois, à HH:MM:SS

Un mois, un jour et une heure de début du filtre sont saisis. Si l’heure indiquée n’a pas été atteinte au cours de l’année actuelle, l’heure correspondante définie l’année précédente est utilisée.

Exemple : Vous saisissez Jour 5, Mois Octobre - 23:00:00. Si nous sommes le 10 octobre et il est 23:30, le filtrage est appliqué à compter du 5 octobre à 23:00:00 jusqu’à l’heure actuelle. Si toutefois nous ne sommes que le 4 octobre, le filtrage sera appliqué à partir du 5 octobre de l’année précédente, de 23:00 jusqu’à l’heure actuelle.

Fermer boîte de dialogue

Options | Description :
OK | Applique toutes les modifications effectuées sur tous les onglets, puis ferme la boîte de dialogue.
Annuler | Annule toutes les modifications effectuées sur tous les onglets, puis ferme la boîte de dialogue.
Aide | Ouvre l'aide en ligne.


Intervalle

Manuel -> Gestion des alarmes -> Configuration des alarmes -> Configurer les alarmes avec des filtres -> Filtre d’appel de synoptique de liste d’alarmes. -> Heure -> Intervalle

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Intervalle

Définit une période de temps durant laquelle le filtre est appliqué. Pour configurer le filtre :

  1. Dans la section Filtre, sélectionnez l’option Intervalle.
  2. Configurez l’intervalle de temps souhaité dans la section Paramètres.

Options

Description :

Intervalle

Sélection d’une plage de temps dans une liste déroulante.

Le filtrage de cette plage de temps est effectué dans le Runtime. Le filtre est définir par rapport à l’heure de l’appel de synoptique.
Par exemple : La valeur 60 minutes affiche toutes les archives de la dernière heure.

Si cette boîte de dialogue est affichée dans le Runtime, l’heure de début de la plage de temps peut être sélectionnée.

Paramètres

Paramètre en option pour l’intervalle.

Modifier l'intervalle

Permet de modifier les cycles, les délais et les prolongations de périodes de temps.

Active : L’évaluation est réalisée conformément aux règles suivantes :

  • D’abord, l’option Utiliser la dernière période de temps effectuée est évaluée.
  • Ensuite, l’option Modifier la période de temps de est utilisée.
  • Enfin, l’option Déplacer la période de temps dans le futur de est appliquée.

Inactive : Aucune modification n’est apportée à la période de temps.

Attention : Dans la version 7.10, les actions de filtrage réalisées avec cette fonction génèrent des résultats différents de celles réalisées dans les versions antérieures.

Déplacer l’intervalle dans le futur de

Active : La période de temps définie dans le filtre est décalée vers le futur. L’heure de début et l’heure de fin sont déplacées en fonction du cycle d’heure défini.

Indication en heures - minutes - secondes.

Si un décalage égal ou supérieur à la période de temps sélectionnée est défini, un message invitant l’utilisateur à vérifier la configuration s’affiche.

Modifier l’intervalle de

Active : La période de temps définie dans le filtre est modifiée. L’heure de fin est déplacée en fonction du cycle d’heure défini. L’heure de début reste inchangée.

Indication en heures - minutes - secondes.

L’intervalle peut être ajouté ou déduit. La sélection de l'attribution s'effectue au moyen des cases d'option :

  • Ajouter le temps : L’heure indiquée dans le paramètre Modifier la période de temps de est ajoutée au temps défini dans le paramètre Période de temps.
  • Soustraire le temps : L’heure indiquée dans le paramètre Modifier la période de temps de est déduite du temps défini dans le paramètre Période de temps.

Si une modification et un décalage égaux ou supérieurs à la période de temps sélectionnée sont définis, un message invitant l’utilisateur à vérifier la configuration s’affiche à côté de l’élément de contrôle pour la configuration du temps.

Utiliser la dernière période terminée

Active : La période de temps sélectionnée en dernier et entièrement terminée dans l’option Période de temps est utilisée.

Exemple : Pour l’option Période de temps, Un jour a été sélectionné. Le filtre est effectué pour "Hier", car il s’agit du dernier jour qui s’est entièrement terminé.

Fermer boîte de dialogue

Options | Description :
OK | Applique toutes les modifications effectuées sur tous les onglets, puis ferme la boîte de dialogue.
Annuler | Annule toutes les modifications effectuées sur tous les onglets, puis ferme la boîte de dialogue.
Aide | Ouvre l'aide en ligne.


Spécifier un intervalle de temps dans Editor

Manuel -> Gestion des alarmes -> Configuration des alarmes -> Configurer les alarmes avec des filtres -> Filtre d’appel de synoptique de liste d’alarmes. -> Heure -> Spécifier un intervalle de temps dans Editor

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Spécifier un intervalle de temps dans Editor

Avec cette méthode, saisissez un intervalle de temps fixe dans Editor?; celui-ci sera alors appliqué lorsque la fonction sera exécutée dans le Runtime. Vous pouvez alors uniquement définir l’heure de début dans le Runtime, mais aucun autre paramètre de filtre.

Par exemple : Vous définissez un filtre temps de 30 minutes. Dans le Runtime, vous pouvez uniquement définir l’instant auquel doit débuter cet intervalle de temps de 30 minutes. Toutefois, vous ne pouvez pas transformer le filtre en filtre de jour.

attention Attention

Si vous utilisez ce filtre, vous ne pouvez plus modifier les autres filtres disponibles dans l’onglet Général dans le Runtime. Vous pouvez toutefois encore filtrer le texte, les états et les équipements.

Pour créer le filtre :

  1. Le synoptique doit comporter un bouton Filtre permettant d’exécuter le filtre dans le Runtime
  2. Sélectionnez le filtre souhaité
  3. Configurez l’intervalle de temps spécifié

Conseil relatif à l’intervalle de temps : Activez l’option Afficher la boîte de dialogue de filtre dans le Runtime dans la boîte de dialogue de filtre. Ceci vous permet de modifier l’heure de début avant l’exécution de la fonction. N’activez pas l’affichage du filtre dans le Runtime lorsque la fonction est activée?; ceci garantit que l’intervalle actuel est toujours utilisé. Si vous avez activé l’option Utiliser le dernier intervalle de temps fermé, l’intervalle de temps précédent est affiché.
Exemple : Vous définissez un filtre temps de 30 minutes. Il est 10:45 lorsque la fonction est activée. Si l’option Utiliser le dernier intervalle de temps fermé est désactivée, le filtre est défini sur l’intervalle de temps actuel, de 10:30:00 à 10:59:59. Si l’option est activée, le filtre est défini sur l’intervalle de temps précédent, de 10:00:00 à 10:29:59.


Le filtre de temps peut être configuré dans le Runtime

Manuel -> Gestion des alarmes -> Configuration des alarmes -> Configurer les alarmes avec des filtres -> Filtre d’appel de synoptique de liste d’alarmes. -> Heure -> Le filtre de temps peut être configuré dans le Runtime

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Le filtre de temps peut être configuré dans le Runtime

Avec cette méthode, vous définissez un filtre de temps dans Editor. Celui-ci peut être modifié dans le Runtime avant exécution. Pour créer le filtre :

  1. Le synoptique doit comporter des boutons Filtre et Visualiser filtre
  2. Sélectionnez le filtre souhaité :
    • Filtre temps absolu
    • Intervalle relatif
  3. Dans la section Paramètres, sélectionnez l’option Proposer la date/l’heure actuelle.
  4. La boîte de dialogue de filtre s’affiche dans le Runtime, avec la date et l’heure actuelles.


Lots

Manuel -> Gestion des alarmes -> Configuration des alarmes -> Configurer les alarmes avec des filtres -> Filtre d’appel de synoptique de liste d’alarmes. -> Lots

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Vous pouvez choisir de limiter l’affichage à certains lots sur cet onglet. Les informations des lots sont également appliquées au filtre existant.

Si le filtre de lots est activé, une liste de tous les lots configurés correspondant à la période de temps configurée est préalablement obtenue depuis le serveur d’archives du Runtime lors du chargement de la liste AML.

Attention : Toutes les variables et archives appartenant à un équipement et l’archive de lots doivent être liées au même équipement dans le modèle d’équipement.

info Informations

Certains filtres dans zenon peuvent être configurés indépendamment les uns des autres, puis associés dans le Runtime. Ceci est uniquement possible dans une certaine mesure, avec le filtre de lots.

Le filtre de lots peut afficher une liste de lots existants dans le Runtime. En revanche, les données du Runtime ne sont pas disponibles dans Editor.

Lors de la configuration de l’appel de synoptique dans Editor, l’onglet Filtre de temps peut uniquement être utilisé conjointement au filtre de lots, en tant que pré-filtre pour la boîte de dialogue de sélection. Si vous sélectionnez un lot dans cette liste dans le Runtime, le filtre de temps est remplacé avec les données issues du lot sélectionné pour autoriser un filtrage précis du lot sélectionné.

Ceci signifie : Si la boîte de dialogue de sélection de lots est utilisée dans le Runtime et un lot est sélectionné, le filtre de temps affiché ne correspond pas à celui configuré dans Editor.

Filtre

Paramètres d’application du filtre de lots. Sélectionnez une des options suivantes :

  • Pas de filtre de lots
  • Appliquer directement le filtre de lots
  • Afficher la boîte de dialogue de sélection de lots
    Remarque : Si le filtre de lots est affiché sous forme de boîte de dialogue, il peut être pré-filtré en fonction des identifiants d’archive. Nous vous recommandons expressément d’utiliser ce pré-filtrage pour améliorer les performances.

Paramètres

Description

Pas de filtre de lots
  • Active : Le filtre de lots est désactivé et ne peut pas être configuré. Le filtrage de lots n’est pas exécuté dans le Runtime.

Appliquer directement le filtre de lots
  • Active : Le filtre configuré ici est directement appliqué dans le Runtime.

Remarque : Il n’existe aucune possibilité pour afficher tous les lots dans une liste et en sélectionner un manuellement. Si un lot particulier doit être affiché, le filtre pour les archives, les noms et les heures doit être configuré en conséquence. Ceci nécessite une excellente connaissance des données existantes. Dans l’alternative, nous vous recommandons de sélectionner l’option Afficher la boîte de dialogue de sélection de lots.

Afficher la boîte de dialogue de sélection de lots

Active : La boîte de dialogue de sélection est affichée dans le Runtime dans les situations suivantes :

  • Lorsque vous cliquez sur Filtre, ou
  • Lors d’un appel de synoptique, si l’option Afficher cette boîte de dialogue dans le Runtime a été activée (indisponible avec tous les types de fonctions et de synoptiques).
    Remarque : La boîte de dialogue n’est pas affichée en cas de rechargement du projet.

Les options peuvent être présélectionnées dans Editor.

Remplacer dialogue avec ce synoptique en runtime

Uniquement disponible si l’option Afficher la boîte de dialogue de sélection de lots a été sélectionnée.

Permet de définir un synoptique devant être appelé dans le Runtime à la place de la boîte de dialogue de sélection de lots. Seuls les synoptiques Filtre de temps/de lot sont proposés.

Cliquez sur le bouton ... pour ouvrir une boîte de dialogue permettant de sélectionner un synoptique.

Si le synoptique lié n’est pas localisé dans le Runtime, une recherche est effectuée pour trouver les synoptiques correspondants portant le nom spécifié.

Remarque : Un synoptique de filtre de lots peut également être sélectionné avec l’option Afficher cette boîte de dialogue dans le Runtime. Toutefois, il n’est pas utilisé comme filtre, mais comme synoptique de filtre de temps. Les options de filtre de lots ne sont pas correctement appliquées à cet emplacement.

Sélection relative des lots

Attention : Cette option est uniquement disponible pour le module Extended Trend. Avec les cadrans, elle est affichée pour tous les types de synoptiques?; ici, toutefois, elle est uniquement disponible pour le module ETM.

Configuration pour le module ETM :

Pour que l’option soit disponible, l’option Afficher la boîte de dialogue de sélection de lots doit être activée et la propriété Projet Windows CE doit être désactivée dans les propriétés du projet.

  • Active : Autorise la comparaison directe de plusieurs lots. L’affichage débute toujours au point zéro.

Remarque : Si l’option est activée, les boutons Diagramme et l’axe X ne sont pas disponibles dans le Runtime. Ceci s’applique également pour la fonctionnalité clic droit.

Vue d’ensemble de la mise en œuvre de la configuration dans le Runtime :

Heure

Configuration du filtre de temps pour la sélection de lots. Sélectionnez une des options suivantes :

  • Pas de filtre
  • Derniers lots
  • Utiliser le filtre de temps de l’onglet Temps

Paramètres

Description

Pas de filtre
  • Active : La plage de temps définie sur l’onglet Temps n’est pas prise en compte. Tous les lots terminés et actuels sont affichés.

Derniers lots

Attention : Fonctionne uniquement avec l’option Appliquer directement le filtre de lots.

L’option permet d’associer les options Afficher les lots actuels et Afficher les lots terminés. Une des deux options au moins doit être activée. Si les deux options ont été désactivées, ceci correspond au paramètre Pas de filtre.

  • Active : Saisie du nombre de lots terminés, en fonction des critères de filtre sélectionnés. Saisie du nombre dans le champ correspondant ou configuration à l’aide des touches fléchées.

Exemple : La valeur 3 a été saisie pour l’option. 2 lots sont en cours d’exécution et 10 sont terminés. Les lots suivants sont affichés : les deux lots actuels et les lots terminés.

Remarque : La configuration du filtre de temps n’est pas utilisée comme intervalle pour les lots actuels, mais pour l’année passée. Le filtre ne sera pas mis en œuvre en tant que pré-filtre, et ne peut donc pas être utilisé pour améliorer les performances.

Notes concernant la compatibilité :
Si le projet est compilé pour une version antérieure à la version 7.11, les dispositions suivantes s’appliquent : Si les lots actuels ou l’association de lots en cours et terminés sont sélectionnés, seuls les lots terminés sont affichés dans le Runtime.

Afficher les lots actuels
  • Active : Les lots actuels sont affichés.

Remarque : Si le nombre de lots à afficher est supérieur au nombre de lots actuels, les lots terminés sont également affichés jusqu’à ce que la limite configurée soit atteinte.
Exemple : 3 lots doivent être affichés. 1 lot est en cours d’exécution, 5 lots sont terminés. Le lot actuel et les deux lots terminés sont affichés.

Afficher les lots terminés
  • Active : Les lots terminés sont affichés.

Remarque : Si le nombre de lots à afficher est supérieur au nombre de lots terminés, les lots terminés sont également affichés jusqu’à ce que la limite configurée soit atteinte.

Utiliser le filtre de temps de l’onglet Temps
  • Active : Le préfiltrage est effectué avec les paramètres de l’onglet Temps.

La plage effective du filtre peut être modifiée dans les limites de cette plage de temps. Sélectionnez dans la liste déroulante :

  • Inclure les valeurs de début et de fin situées hors des limites du filtre : (Par défaut)
    Les lots peuvent démarrer avant l’heure de début configurée dans le filtre Temps et se terminer après l’heure de fin configurée.
  • Uniquement les valeurs de début et de fin situées hors des limites du filtre :
    Les lots doivent commencer et se terminer dans les limites des horaires de début et de fin configurés dans le filtre Temps.
  • Inclure les valeurs de début antérieures aux limites du filtre :
    Les lots peuvent démarrer avant l’heure de début configurée dans le filtre Temps et se terminer après l’heure de fin configurée.
  • Inclure les valeurs postérieures à la limite du filtre :
    Les lots peuvent également se terminer après la fin de la période définie dans le filtre Temps, mais doivent commencer à l’heure de début configurée ou après celle-ci.
  • Conformer les valeurs de début et de fin aux limites du filtre :
    Les lots sont tronqués conformément aux horaires de début et de fin configurés dans le filtre Temps.

Archives

Configuration du filtrage pour les archives. Ce filtre est appliqué comme pré-filtre pour la boîte de dialogue de sélection de lots.

Sélectionnez une des options suivantes :

  • Pas de filtre
  • Statique
  • Depuis une variable

Paramètres

Description

Pas de filtre
  • Active : Le filtrage des noms d’archives est désactivé.

Statique
  • Active : Les archives dont l’identifiant correspond à la chaîne de caractères saisie dans le champ de recherche sont filtrées.

Saisissez les identifiants d’archive dans le champ de recherche.

  • Séparez plusieurs identifiants par une virgule (,).
  • * ou vide : Toutes les archives, pas de filtre.

Depuis une variable
  • Active : La valeur des variables liées ici est appliquée sous forme de filtre de noms d’archive dans le Runtime.

Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de variables.

Disponible pour les modules AML et CEL si l'option Appliquer directement le filtre de lots a été sélectionnée : D’autres modules utilisent leurs propres configurations.

Remarques concernant les variables dans le Runtime :

  • La sélection de variables est uniquement activée dans le Runtime si une variable valide a déjà été liée dans le Runtime. Le bouton ... est toujours désactivé dans le Runtime. L’option peut être sélectionnée, mais aucune nouvelle variable ne peut être liée.
  • Si la variable n’est pas authentifiée auprès du driver au moment de l’application du filtre de lots, la variable est authentifiée et lue. Ceci peut entraîner des délais avec les connexions de drivers et protocoles plus lents.

Attention : Si la variable sélectionnée n’est pas présente dans le Runtime, aucun filtrage de noms d’archive n’est effectué. Ceci est également vrai s’il est impossible de déterminer la valeur de la variable. Le filtre correspond dans ce cas au paramètre Pas de filtre.

Remarque concernant le module ETM : Dans le module ETM, les archives sont définies en fonction des courbes configurées dans la fonction d’appel de synoptique. Dans le Runtime, ceci est uniquement possible avec l’option lots relatifs. Les variables doivent alors être sélectionnées dans le Runtime, ce qui dépend de l’éventuelle sélection d’archives. Une fois filtrée, l’archive doit être une des archives liées aux courbes configurées. Si ce n’est pas le cas, aucune donnée ne sera affichée. Ce paramètre peut toutefois également être utilisé pour limiter l’affichage des courbes. Ces courbes restent toutefois affichées dans la liste de courbes.

Exemple avec le module ETM :

Courbes configurées | Source de données | Pré-filtrage des archives dans le filtre de lots | Résultat sur le synoptique
A | AR | AR | Affichée dans la liste de courbes et dessinée dans la tendance.
B | EA |  | Uniquement affichée dans la liste de courbes.
C | EP |  | Uniquement affichée dans la liste de courbes.

Remarque concernant la maintenance d’archive : L’archive pour laquelle le synoptique est ouvert est déjà sélectionnée dans la fonction d’appel de synoptique. Une seule archive peut être sélectionnée?; aussi, il est inutile d’imposer d’autres limitations.

Exemple de maintenance d’archive :

Archive configurée | Pré-filtrage des archives dans le filtre de lots | Résultat sur le synoptique
AR | EA | Aucune donnée n’est affichée.

Noms

Configuration du filtrage des noms. Sélectionnez une des options suivantes :

  • Pas de filtre
  • Statique
  • Depuis une variable

Paramètres

Description

Pas de filtre
  • Active : Le filtrage des noms de lots est désactivé.

Statique
  • Active : Les noms de lots correspondant à la chaîne de caractères saisie dans le champ de recherche sont filtrés.

Saisissez le nom de lot dans le champ de recherche :

  • Séparez les entrées multiples par un tube (|).
  • * ou vide : Tous les lots de toutes les archives affichées, pas de filtre.

Depuis une variable
  • Active : La valeur de la variable liée ici est appliquée sous forme de filtre de noms de lot dans le Runtime.

Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de variables.

Uniquement disponible si l’option Appliquer directement le filtre de lots a été sélectionnée :

Remarques concernant les variables dans le Runtime :

  • La sélection de variables est uniquement activée dans le Runtime si une variable valide a déjà été liée dans le Runtime. Le bouton ... est toujours désactivé dans le Runtime. L’option peut être sélectionnée, mais aucune nouvelle variable ne peut être liée.
  • Si la variable n’est pas authentifiée auprès du driver au moment de l’application du filtre de lots, la variable est authentifiée et lue. Ceci peut entraîner des délais avec les connexions de drivers et protocoles plus lents.

Attention : Si la variable sélectionnée n’est pas présente dans le Runtime, aucun filtrage de noms de lot n’est effectué. Ceci est également vrai s’il est impossible de déterminer la valeur de la variable. Le filtre correspond dans ce cas au paramètre Pas de filtre.

Fermer boîte de dialogue

Paramètres | Description
OK | Applique toutes les modifications effectuées sur tous les onglets, puis ferme la boîte de dialogue.
Annuler | Annule toutes les modifications effectuées sur tous les onglets, puis ferme la boîte de dialogue.
Aide | Ouvre l'aide en ligne.


Texte

Manuel -> Gestion des alarmes -> Configuration des alarmes -> Configurer les alarmes avec des filtres -> Filtre d’appel de synoptique de liste d’alarmes. -> Texte

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Le filtre de texte permet de limiter l’affichage aux messages contenant certaines expressions de recherche.

Critères de filtre

Critères de filtre

Paramètres | Description
Critères de filtre |
Pas de filtre de texte | Le filtre de texte n'est pas utilisé.
Rechercher (mots séparés par des espaces) | Le filtre textuel n’est pas utilisé. Les autres options sont désactivées.
Champ de saisie | Saisissez les mots ou chaînes de caractères souhaité(e)s.

Options

Paramètres | Description
Options |
Tenir compte de la capitalisation | Active : La fonction de filtre tient compte de la casse.
Les mots entiers n’apparaissent pas dans le texte | Active : Certaines parties de mots peuvent également être prises en compte durant le filtrage.
Au moins un mot doit se trouver dans le texte | Active : Au moins un des mots de l’expression de recherche doit être présent dans le texte.
Tous les mots doivent être présents dans le texte | Active : Tous les mots doivent être présents dans l’expression de recherche. Dans ce cas, l’ordre des mots n’a aucune incidence.
Le texte filtré apparaît exactement dans le texte | Active : Le texte doit être absolument identique au texte de l’expression de recherche.


Paramètres des colonnes

Manuel -> Gestion des alarmes -> Configuration des alarmes -> Configurer les alarmes avec des filtres -> Filtre d’appel de synoptique de liste d’alarmes. -> Paramètres des colonnes

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Dans cette boîte de dialogue, vous pouvez définir les colonnes que vous souhaitez afficher, ainsi que leur format d’affichage, leur ordre d’affichage et l’ordre de tri des données.

Remarque : tous les paramètres configurés dans cet onglet sont les paramètres par défaut des options suivantes :

  • Synoptique de liste d’alarmes
  • Synoptique de filtre de liste d’alarmes
  • Ligne d’état des alarmes
  • Exporter au format CSV, dBase ou XML

Ces paramètres par défaut peuvent être modifiés lors de la définition des fonctions d’alarme individuelles.

info Informations

Dans les paramètres du projet, vous pouvez définir un paramètre par défaut pour définir l’ordre et la largeur des colonnes à l’aide des propriétés Paramètres des colonnes alarmes ou Paramètres des colonnes liste d'événements. Lors de la création d’une nouvelle fonction d’appel de synoptique depuis un synoptique de liste d’alarmes ou un synoptique de liste d’événements, ce paramètre est utilisé par défaut?; il peut être modifié dans l’onglet correspondant. Le paramètre est conservé dans le fichier project.ini.

Colonnes Paramètres

Description

Colonnes

Dans le champ de liste de cet onglet, tous les types de colonnes disponibles sont affichés.

Vous pouvez modifier l’ordre des colonnes en les faisant glisser dans le champ de liste :

  • Cliquez sur la colonne Type de colonne.
  • Déplacez les entrées individuelles à votre convenance.

Vous pouvez également ajuster l’ordre des entrées à l’aide des options Vers le haut et Vers le bas.
  • Case à cocher :

Sélectionnez les types de colonnes que vous souhaitez afficher.
  • Description :

Texte libre de description de la colonne.

Modifier la description : cliquez avec le bouton gauche sur la zone correspondante. Saisissez la valeur souhaitée dans le champ de recherche.

Remarque : pour les descriptions de colonnes, la fonction de basculement de langue de zenon est disponible.
  • Largeur de colonne :

Définit la largeur de la colonne, en caractères.

Modifier la largeur des colonnes : cliquez avec le bouton gauche sur la zone correspondante. Saisissez la valeur souhaitée dans le champ de recherche.
-1la largeur est calculée dans le Runtime, sur la base de la largeur moyenne des caractères.

Remarque : Pour des raisons de compatibilité, les colonnes dont la largeur ne pouvait pas être modifiée dans les versions antérieures de zenon (Date et heure) comportent la valeur -1.

  • Affichage :

Pour les types de colonnes

  • Symbole Classe d’alarmes/d’événements
  • Symbole de groupe d’alarmes/d’événements
  • État d’alarme

Le format d’affichage réel peut être sélectionné dans le Runtime. Sélectionnez le format souhaité dans la liste déroulante.

Vers le haut

Remonte l’entrée sélectionnée d’une position.

Déplacer l'entrée sélectionnée vers le bas

Abaisse l’entrée sélectionnée d’une position.

Champ de prévisualisation

Affiche les colonnes définies dans le champ de liste avec la largeur sélectionnée.

Vous pouvez également ajuster la largeur des colonnes en cliquant avec le bouton gauche sur le bord droit d’une colonne et en maintenant le bouton de la souris enfoncé pendant que vous déplacez la souris vers la gauche ou la droite.

Paramètres de tables

Tri décroissant

Trie les entrées de la liste selon leur Heure d’apparition, par ordre décroissant. Ce paramètre s’applique à l’appel d’un synoptique.
Vous pouvez modifier l’ordre de tri dans le Runtime en cliquant sur l’intitulé de la colonne. L’ordre de tri actuellement utilisé est représenté par une flèche dans l’en-tête de la colonne.

Afficher la grille

Affiche une grille lorsque la liste est affichée dans le Runtime.

Alterner les couleurs d’arrière-plan

Utilise les couleurs de ligne 1 et 2 en alternance pour l’affichage de l’arrière-plan de la liste dans le Runtime.

Couleur de ligne 1

Couleur utilisée en tant que couleur d’arrière-plan de la liste dans le Runtime pour tous les nombres impairs (1, 3, 5, etc.), si vous avez activé l’option Utiliser des couleurs de fond en alternance.

Couleur de ligne 2

Couleur utilisée en tant que couleur d’arrière-plan de la liste dans le Runtime pour tous les nombres pairs (2, 4, 6, etc.), si vous avez activé l’option Utiliser des couleurs de fond en alternance.

Affichage dans les colonnes d’heure

Heure

Affiche l’heure d’une entrée de liste sous la forme suivante : HH:MM:SS

Date

Affiche la date d’une entrée de liste sous la forme suivante : JJ:MM:AAAA

Millisecondes

Étend la précision de l’entrée de temps aux millisecondes.

Remarque : Cette option doit être activée si les millisecondes doivent apparaître dans les fichiers d’exportation ou les impressions.

Conseil : Si vous avez activé le clavier automatique dans le Runtime, celui-ci est activé lors de l’affichage d’un champ d’édition. Vous pouvez également utiliser ce champ pour configurer les colonnes, si vous utilisez un ordinateur sans clavier.

attention Attention

La largeur de colonne est fournie en caractères, et dépend de la police de caractères utilisée.

Si la largeur de colonne n’est pas un multiple de la largeur de caractère de la police de caractères utilisée, la largeur réelle de la colonne pourra être différente de la largeur de colonne définie. Ceci peut provoquer l’affichage de texte tronqué ou l’apparition d’un espace vide.

Solution : Utilisez des polices avec des caractères de largeur fixe.


État

Manuel -> Gestion des alarmes -> Configuration des alarmes -> Configurer les alarmes avec des filtres -> Filtre d’appel de synoptique de liste d’alarmes. -> État

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

L’état de la case à cocher indique si le bit d’état doit être évalué.

État de la case à cocher | Description
Black dot (Point noir) | Le bit d’état n’est pas évalué.
0 | Seules les entrées dans lesquelles le bit d’état est défini sur False sont affichées.
1 | Seules les entrées dans lesquelles le bit d’état est défini sur True sont affichées.

Example Exemple

Si la case à cocher SPONT est définie sur 1, seules les alarmes déclenchées par des valeurs spontanées sont affichées.

Remarque : Pour plus de détails concernant les bits d’état, reportez-vous au chapitre Gestion d’états.


Projet

Manuel -> Gestion des alarmes -> Configuration des alarmes -> Configurer les alarmes avec des filtres -> Filtre d’appel de synoptique de liste d’alarmes. -> Projet

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Sélection des projets pris en compte dans la liste AML. Le filtre de sélection de sous-projets est uniquement disponible dans le projet d’intégration de la gestion multi-projets.

Pour effectuer une sélection dans le projet d’intégration et les sous-projets, maintenez la touche Ctrl enfoncée pendant que vous cliquez sur les projets de votre choix.


Modèles d'équipements

Manuel -> Gestion des alarmes -> Configuration des alarmes -> Configurer les alarmes avec des filtres -> Filtre d’appel de synoptique de liste d’alarmes. -> Modèles d'équipements

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Dans le filtre, tous les modèles d’équipements existants sont affichés. Via le menu contextuel ou la barre d’outils, vous pouvez créer de nouveaux modèles et groupes.

Pour ajouter des groupes au filtre :

  1. Sélectionnez l'élément de votre choix.
  2. Cliquez sur le bouton Ajouter.
  3. Répétez cette opération jusqu’à ce que tous les groupes souhaités soient présents dans la liste
    (vous ne pouvez pas sélectionner plusieurs éléments à la fois)

Pour supprimer des groupes du filtre :

  1. Sélectionnez l’élément de votre choix.
    (sélection multiple : Appuyez sur la touche Ctrl ou shift pendant que vous cliquez sur l’élément souhaité).
  2. Cliquez sur le bouton Supprimer.

Boîte de dialogue Modèles d'équipement

Modèles d'équipements

Fermer boîte de dialogue

Options | Description :
OK | Applique toutes les modifications effectuées sur tous les onglets, puis ferme la boîte de dialogue.
Annuler | Annule toutes les modifications effectuées sur tous les onglets, puis ferme la boîte de dialogue.
Aide | Ouvre l'aide en ligne.


Filtre d’appel de synoptique de liste d’alarmes.

Manuel -> Gestion des alarmes -> Configuration des alarmes -> Configurer les alarmes avec des filtres -> Filtre d’appel de synoptique de liste d’alarmes.

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Pour créer un synoptique de filtre de liste d’alarmes :

  1. Créez une fonction d’appel de synoptique sur un synoptique de filtre de liste d’alarmes.
  2. Le filtre est affiché avec les onglets suivants :
    • Synoptiques
    • Général
    • Texte
    • Heure

Autres sujets abordés dans ce chapitre

Synoptiques

Général

Texte

Heure

Lots

Paramètres des colonnes


Synoptiques

Manuel -> Gestion des alarmes -> Configuration des alarmes -> Configurer les alarmes avec des filtres -> Filtre d’appel de synoptique de liste d’alarmes. -> Synoptiques

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Sur cet onglet, vous pouvez définir les écrans que vous souhaitez mettre à jour par l’intermédiaire du filtre de synoptique.

Les paramètres suivants sont disponibles :

Le filtre est issu du synoptique suivant

Paramètres

Description

Le filtre est issu du synoptique suivant

Définition du synoptique dont le filtre doit être issu.

Synoptique effectuant l'appel

Active : Les paramètres du filtre sont ceux du synoptique depuis lequel le synoptique de filtre est appelé. Le bouton de synoptique est grisé. Vous ne pouvez pas sélectionner de synoptique en particulier, car avec ce paramètre, le filtre est toujours mis à jour depuis le synoptique d’activation.

Remarque : Les paramètres des onglets Général, Texte et Heure sont verrouillés.

Synoptique prédéfini

Cliquez sur le bouton pour ouvrir la boîte de dialogue de sélection de synoptique.

Sélectionnez le synoptique depuis lequel le filtre doit être lu lorsque vous cliquez sur le bouton Mise à jour dans le Runtime.

Les sous-synoptiques de cadrans peuvent être sélectionnés pour les appels de synoptiques de type Filtre de liste AML, Filtre de liste CEL, Filtre de temps et Modèle d’équipement. Pour ces synoptiques, le nom du synoptique du cadran est affiché devant le sous-synoptique, afin de le distinguer clairement des autres synoptiques.

Attention : Lorsque le filtre de synoptique est ouvert pour la première fois à l’aide de la fonction, c’est le filtre configuré dans la fonction qui est utilisé, et non le filtre de synoptique indiqué ici?!

Remarque : Il convient donc de sélectionner un synoptique pouvant intégrer ou remplir le filtre de synoptique.

Le synoptique sélectionné est ajouté à la liste des synoptiques devant être mis à jour. Si vous le supprimez de la liste, le prochain synoptique de la liste est automatiquement inséré à sa place.

Remarque : Indisponible si vous avez coché la case Synoptique exécutant l’appel.

Synoptiques à mettre à jour

Paramètres | Description
Synoptiques à mettre à jour | Sélectionnez les synoptiques que vous souhaitez mettre à jour. Les sous-synoptiques de cadrans peuvent être sélectionnés pour les appels de synoptiques de type Filtre de liste AML, Filtre de liste CEL, Filtre de temps et Modèle d’équipement. Pour ces synoptiques, le nom du synoptique du cadran est affiché devant le sous-synoptique, afin de le distinguer clairement des autres synoptiques.
Sélection du synoptique | Cliquez sur le bouton pour ouvrir la boîte de dialogue de sélection des synoptiques de filtre. Sélectionnez l’écran de votre choix.
Mise à jour | Indication de l’instant auquel le filtre doit commencer à agir.
Mettre à jour sur tous les moniteurs | Active : Les synoptiques devant être mis à jour dans la liste de synoptiques sont mis à jour sur tous les moniteurs accessibles.


Général

Manuel -> Gestion des alarmes -> Configuration des alarmes -> Configurer les alarmes avec des filtres -> Filtre d’appel de synoptique de liste d’alarmes. -> Général

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Filtre de variables

Paramètres

Description

Filtre de variables

Limitation de certaines variables aux alarmes

Nom de la variable

Saisissez le nom ou la partie du nom de la variable que vous souhaitez filtrer.

L’utilisation de l’opérateur * est autorisée. Les opérateurs sont uniquement autorisés sous forme de préfixe ou de suffixe?; par exemple, *xxx ou xxx*.

Remarque : Les expressions de filtre saisies dans le Runtime ou dans Editor sont automatiquement enregistrées sur l’ordinateur local, dans le fichier zenon6.ini, et peuvent ensuite être sélectionnées dans la liste déroulante.

Attention : Le caractère de virgule (,) n’est pas autorisé pour filtrer les noms de variables !
La virgule peut être saisie comme un texte de filtre, mais aucune entrée n’est affichée. Ceci signifie que filtre spécial des variables d’ensemble pour Dim 2 and Dim 3 est impossible.

Identification

Saisissez l’identification ou une partie de l’identifiant de la variable que vous souhaitez filtrer. L’opérateur * peut être utilisé.

L’utilisation de l’opérateur * est autorisée. Les opérateurs sont uniquement autorisés sous forme de préfixe ou de suffixe?; par exemple, *xxx ou xxx*.

Remarque : Les expressions de filtre saisies dans le Runtime ou dans Editor sont automatiquement enregistrées sur l’ordinateur local, dans le fichier zenon6.ini, et peuvent ensuite être sélectionnées dans la liste déroulante.

Respecter la casse

Active : Les caractères majuscules et minuscules sont pris en compte lors du filtrage par nom ou identifiant de variable.

Type d'alarmes

Paramètres

Description

Type d'alarmes

Type d’alarme affiché.

Seulement les alarmes non acquittées

Active : Seules les alarmes non encore acquittées par l’utilisateur sont affichées.

Alarmes acquittées uniquement

Active : Seules les alarmes déjà passées, c’est-à-dire dont les valeurs ne se trouvent plus dans la plage critique, sont affichées.

Seulement les alarmes courantes

Active : Seules les alarmes encore actives, c’est-à-dire dont les valeurs se trouvent encore dans la plage critique, sont affichées.

Commentaire requis

Active : Seules les alarmes pour lesquelles un commentaire doit être ajouté sont affichées.

Cause d'alarme nécessaire

Active : Seules les alarmes qui sont nécessaires pour le lien d’une cause d’alarme sont affichées.

Les alarmes doivent au moins être en instance

Utilisez la commande rotative pour définir la durée d’activité minimale d’une alarme avant son affichage. Paramètres possibles :

  • Jours
  • Heures (hr)
  • Minutes (min.)
  • Secondes (sec.)
  • Millisecondes (ms)

Provenance des données

Paramètres | Description
Provenance des données | Affichage des alarmes actuelles ou actuelles et historiques.
Buffer circulaire | Active : Seules les données issues de la mémoire circulaire sont affichées.
Données historiques Nombre maximal | Active : Les données de la mémoire circulaire et les données historiques de la liste AML sont affichées. Le nombre maximal de données à afficher inclut les données de la mémoire circulaire.

Groupes/classes d’alarmes/d’événements et domaines d’alarmes

Paramètres | Description
Groupes/Classes d’alarmes/d’événements, Domaines d’alarmes | Sélection des groupes, classes et domaines d’alarmes
Groupes d’alarmes/d’événements | Parmi les groupes d’alarmes/d’événements existants, sélectionnez celui dont vous souhaitez afficher les alarmes.
Classes d’alarmes/d’événements | Parmi les classes d’alarmes/d’événements existants, sélectionnez celle dont vous souhaitez afficher les alarmes.
Domaines d'alarme | Parmi les domaines d’alarmes existants, sélectionnez celui dont vous souhaitez afficher les alarmes. Remarque : Si la fonction de gestion hiérarchique des alarmes en fonction du modèle d’équipement est activée, la colonne Domaine d’alarmes reste vide.
Paramètres du Runtime | Comportement de la liste AML dans le Runtime
Afficher la liste sans l'actualiser | Active : Lorsque la liste est ouverte, aucune nouvelle entrée n’est ajoutée.


Texte

Manuel -> Gestion des alarmes -> Configuration des alarmes -> Configurer les alarmes avec des filtres -> Filtre d’appel de synoptique de liste d’alarmes. -> Texte

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Critères de filtre

Paramètres | Description
Critères de filtre |
Pas de filtre de texte | Le filtre de texte n'est pas utilisé.
Rechercher (mots séparés par des espaces) | Le filtre textuel n’est pas utilisé. Les autres options sont désactivées.
Champ de saisie | Saisissez les mots ou chaînes de caractères souhaité(e)s.

Options

Paramètres | Description
Options |
Tenir compte de la capitalisation | Active : La fonction de filtre tient compte de la casse.
Les mots entiers n’apparaissent pas dans le texte | Active : Certaines parties de mots peuvent également être prises en compte durant le filtrage.
Au moins un mot doit se trouver dans le texte | Active : Au moins un des mots de l’expression de recherche doit être présent dans le texte.
Tous les mots doivent être présents dans le texte | Active : Tous les mots doivent être présents dans l’expression de recherche. Dans ce cas, l’ordre des mots n’a aucune incidence.
Le texte filtré apparaît exactement dans le texte | Active : Le texte doit être absolument identique au texte de l’expression de recherche.


Heure

Manuel -> Gestion des alarmes -> Configuration des alarmes -> Configurer les alarmes avec des filtres -> Filtre d’appel de synoptique de liste d’alarmes. -> Heure

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Sur cet onglet, vous pouvez définir la période de temps utilisée lors de l’ouverture du synoptique de filtre.

Pour des informations détaillées concernant les options du filtre de temps, reportez-vous aux chapitres Filtre d’appel de synoptique, Liste d’alarmes/Temps.

Filtre

Sélection du filtre.

Paramètres

Description

Pas de filtre horaire

Active : Aucun filtre temps n’est utilisé.

Note : toutes les entrées Runtime depuis 1. 1. 1990 sont affichées.

Filtre absolu

Active : Un intervalle de temps fixe est défini dans Editor. Lors de l’exécution de la fonction, l’intervalle temps absolu défini est utilisé avec exactitude.

La section Paramètres permet d’afficher et de configurer les options correspondantes.

Remarque : L’heure est enregistrée au format UTC. Pour plus de détails, reportez-vous au chapitre Gestion de la date et de l'heure, dans le chapitre Runtime.

Intervalle relatif

Active : Un intervalle de temps relatif est saisi.

La section Paramètres permet d’afficher et de configurer les options correspondantes.

Attention : Ce filtre est continuellement mis à jour.

De

Active : L’heure à partir de laquelle le filtre est appliqué. Si l’heure n’est pas atteinte ce jour, le filtrage a lieu à partir de l’heure correspondante le jour précédent.

Sélectionnez le mode du domaine dans la liste déroulante?;

  • À partir de HH:MM:SS
  • À partir du jour - HH:MM:SS
  • À partir d’un jour, d’un mois, à HH:MM:SS

La section Paramètres permet d’afficher et de configurer les options correspondantes.

Attention : L’heure de début de ce filtre n’est pas mise à jour automatiquement. Seules les heures existantes affichées sont utilisées.
L’heure de fin n’est pas définie avec ce filtre?; elle est reportée.

Intervalle

Active : Un intervalle de temps fixe est saisi. Sélectionnez le mode du domaine dans la liste déroulante?;

  • Horaire-jour
  • Horaire-semaine
  • Deux semaines
  • Un mois
  • Une année
  • 15 minutes
  • 30 minutes
  • 60 minutes

La section Paramètres permet d’afficher et de configurer les options correspondantes.

Fermer boîte de dialogue

Paramètres | Description
OK | Applique toutes les modifications effectuées sur tous les onglets, puis ferme la boîte de dialogue.
Annuler | Annule toutes les modifications effectuées sur tous les onglets, puis ferme la boîte de dialogue.
Aide | Ouvre l'aide en ligne.


Lots

Manuel -> Gestion des alarmes -> Configuration des alarmes -> Configurer les alarmes avec des filtres -> Filtre d’appel de synoptique de liste d’alarmes. -> Lots

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Sur cet onglet, vous pouvez définir les lots à afficher.

Filtre

Paramètres d’application du filtre de lots. Sélectionnez une des options suivantes :

  • Pas de filtre de lots
  • Appliquer directement le filtre de lots
Paramètres | Description
Pas de filtre de lots | Active : Le filtre de lots est désactivé et ne peut pas être configuré. Le filtrage de lots n’est pas exécuté dans le Runtime.
Appliquer directement le filtre de lots | Active : Le filtre configuré ici est directement appliqué dans le Runtime.

Archive(s)

Configuration du filtrage pour les archives. Sélectionnez une des options suivantes :

  • Pas de filtre
  • Statique
  • Depuis une variable

Paramètres

Description

Pas de filtre

Active : Le filtrage des noms d’archives est désactivé.

Statique

Active : Les archives dont l’identifiant correspond à la chaîne de caractères saisie dans le champ de recherche sont filtrées.

Saisissez les identifiants d’archive dans le champ de recherche.

  • Séparez plusieurs identifiants par une virgule (,).
  • * ou vide : Toutes les archives, pas de filtre.

Depuis une variable

Active : La valeur des variables liées ici est appliquée sous forme de filtre de noms d’archive dans le Runtime.

Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de variables.

Uniquement disponible pour tous les modules si l’option Appliquer directement le filtre de lots a été sélectionnée :

Remarques concernant les variables dans le Runtime :

  • La sélection de variables est uniquement activée dans le Runtime si une variable valide a déjà été liée dans le Runtime. Le bouton ... est toujours désactivé dans le Runtime. L’option peut être sélectionnée, mais aucune nouvelle variable ne peut être liée.
  • Si la variable n’est pas authentifiée auprès du driver au moment de l’application du filtre de lots, la variable est authentifiée et lue. Ceci peut entraîner des délais avec les connexions de drivers et protocoles plus lents.

Attention : Si la variable sélectionnée n’est pas présente dans le Runtime, aucun filtrage de noms d’archive n’est effectué. Ceci est également vrai s’il est impossible de déterminer la valeur de la variable. Le filtre correspond dans ce cas au paramètre Pas de filtre.

Nom(s)

Configuration du filtrage des noms. Sélectionnez une des options suivantes :

  • Pas de filtre
  • Statique
  • Depuis une variable

Paramètres

Description

Pas de filtre

Active : Le filtrage des noms de lots est désactivé.

Statique

Active : Les noms de lots correspondant à la chaîne de caractères saisie dans le champ de recherche sont filtrés.

Saisissez le nom de lot dans le champ de recherche :

  • Séparez les entrées multiples par un tube (|).
  • * ou vide : Tous les lots de toutes les archives affichées, pas de filtre.

Depuis une variable

Active : La valeur de la variable liée ici est appliquée sous forme de filtre de noms de lot dans le Runtime.

Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de variables.

Indisponible si l’option Appliquer directement le filtre de lots a été sélectionnée :

Remarques concernant les variables dans le Runtime :

  • La sélection de variables est uniquement activée dans le Runtime si une variable valide a déjà été liée dans le Runtime. Le bouton ... est toujours désactivé dans le Runtime. L’option peut être sélectionnée, mais aucune nouvelle variable ne peut être liée.

Si la variable n’est pas authentifiée auprès du driver au moment de l’application du filtre de lots, la variable est authentifiée et lue. Ceci peut entraîner des délais avec les connexions de drivers et protocoles plus lents.

Attention : Si la variable sélectionnée n’est pas présente dans le Runtime, aucun filtrage de noms de lot n’est effectué. Ceci est également vrai s’il est impossible de déterminer la valeur de la variable. Le filtre correspond dans ce cas au paramètre Pas de filtre.

Fermer boîte de dialogue

Paramètres | Description
OK | Applique toutes les modifications effectuées sur tous les onglets, puis ferme la boîte de dialogue.
Annuler | Annule toutes les modifications effectuées sur tous les onglets, puis ferme la boîte de dialogue.
Aide | Ouvre l'aide en ligne.


Paramètres des colonnes

Manuel -> Gestion des alarmes -> Configuration des alarmes -> Configurer les alarmes avec des filtres -> Filtre d’appel de synoptique de liste d’alarmes. -> Paramètres des colonnes

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Sur cet onglet, vous configurez l’affichage de la liste d’archives et de la liste de lots du synoptique Filtre de temps/de lots dans le Runtime :

  • Sélection des colonnes à afficher
  • Tri des colonnes
  • Mise en forme des colonnes
    • Intitulé
    • Largeur
    • Alignement

Liste d'archives

Paramètres | Description
Liste d'archives | Configuration de la liste d’archives. Affichage des colonnes configurées.
Sélection de colonnes | Cliquez sur le bouton pour ouvrir une boîte de dialogue de sélection et de tri des colonnes.
Format colonne | Cliquez sur le bouton pour ouvrir une boîte de dialogue de mise en forme de la liste.

Liste de lots

Paramètres | Description
Liste de lots | Configuration de la liste de lots. Affichage des colonnes configurées.
Sélection de colonnes | Cliquez sur le bouton pour ouvrir une boîte de dialogue de sélection et de tri des colonnes.
Format colonne | Cliquez sur le bouton pour ouvrir une boîte de dialogue de mise en forme de la liste.
OK | Applique toutes les modifications effectuées sur tous les onglets, puis ferme la boîte de dialogue.
Annuler | Annule toutes les modifications effectuées sur tous les onglets, puis ferme la boîte de dialogue.
Aide | Ouvre l'aide en ligne.

Autres sujets abordés dans ce chapitre

Sélection colonne

Format colonne


Sélection colonne

Manuel -> Gestion des alarmes -> Configuration des alarmes -> Configurer les alarmes avec des filtres -> Filtre d’appel de synoptique de liste d’alarmes. -> Paramètres des colonnes -> Sélection colonne

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Sélection colonne

Sélection et ordre des colonnes.

Options | Fonction
Colonnes disponibles | Liste de colonnes pouvant être affichées dans la table.
Colonnes sélectionnées | Colonnes affichées dans la table.
Ajouter -> | Déplace la colonne sélectionnée des colonnes disponibles vers les éléments sélectionnés. Lorsque vous confirmez la boîte de dialogue en cliquant sur OK, ces colonnes sont affichées dans la vue de détail.
Ajouter toutes -> | Déplace toutes les colonnes disponibles vers les colonnes sélectionnées.
<- Supprimer | Supprime les colonnes marquées des éléments sélectionnés et les affiche dans la liste des colonnes disponibles. Lorsque vous confirmez la boîte de dialogue en cliquant sur OK, ces colonnes sont supprimées de la vue de détail.
<- Supprimer tout | Toutes les colonnes sont supprimées de la liste des colonnes sélectionnées.
Haut | Déplace l’entrée sélectionnée vers le haut. Cette fonction est uniquement disponible pour les entrées uniques?; les sélections multiples ne sont pas autorisées dans ce cas.
Bas | Déplace l’entrée sélectionnée vers le bas. Cette fonction est uniquement disponible pour les entrées uniques?; les sélections multiples ne sont pas autorisées dans ce cas.

Fermer boîte de dialogue

Options | Description :
OK | Applique les paramètres et ferme la boîte de dialogue.
Annuler | Annule toutes les modifications et ferme la boîte de dialogue.
Aide | Ouvre l'aide en ligne.


Format colonne

Manuel -> Gestion des alarmes -> Configuration des alarmes -> Configurer les alarmes avec des filtres -> Filtre d’appel de synoptique de liste d’alarmes. -> Paramètres des colonnes -> Format colonne

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Format colonne

Configuration des propriétés des colonnes pour les listes configurables. Les paramètres ont un effet sur la liste correspondante dans Editor ou, lors de la configuration d’un appel de synoptique, dans le Runtime.

Colonnes disponibles

Options | Description :
Colonnes disponibles | Liste de colonnes disponibles avec la fonction de sélection de colonnes. La configuration de la colonne sélectionnée se déroule via les options de la section Paramètres.

Paramètres

Option

Description :

Paramètres

Paramètres de la colonne sélectionnée.

Intitulé

Nom de l’intitulé de colonne.

Cet intitulé de colonne est compatible avec la fonction de changement de langue en ligne. Pour cela, le caractère @ doit être saisi devant le nom.

Largeur

Largeur de la colonne en caractères.
Calcul : nombre de caractères multiplié par la largeur moyenne des caractères de la police sélectionnée.

Alignement

Alignement. La sélection de l'attribution s'effectue au moyen des cases d'option.

Paramètres possibles :

  • Gauche : Le texte est justifié contre le bord gauche de la colonne.
  • Centré : Le texte est centré dans la colonne.
  • Droite : Le texte est justifié contre le bord droit de la colonne.

Couleurs définies par l'utilisateur

Propriétés permettant de sélectionner des couleurs définies par l’utilisateur pour le texte et l’arrière-plan. Les paramètres ont une incidence dans Editor et dans le Runtime.

Remarque :

  • Ces paramètres sont uniquement disponibles pour les listes configurables.
  • En outre, le focus correspondant dans la liste peut être indiqué par différentes couleurs de texte et d’arrière-plan dans le Runtime. Celles-ci sont configurées dans les propriétés du projet.

Couleurs définies par l’utilisateur

Active : Les couleurs définies par l’utilisateur sont appliquées.

Couleur du texte

Couleur d’affichage du texte. Cliquez sur la couleur pour la palette de sélection de couleurs.

Couleur d'arrière-plan

Couleur d’affichage de l’arrière-plan de la cellule. Cliquez sur la couleur pour la palette de sélection de couleurs.

Désactiver le filtre de colonnes dans le Runtime
  • Active : Le filtre de cette colonne ne peut pas être modifié dans le Runtime.

Remarque : Uniquement disponible pour :

  • Batch Control
  • Extended Trend
  • Synoptiques de filtre
  • Message Control
  • Gestionnaire de groupe de recettes (Recipe Group Manager)
  • Gestion d'équipes
  • Liste contextuelle

Fermer boîte de dialogue

Options | Description :
OK | Applique toutes les modifications effectuées sur tous les onglets, puis ferme la boîte de dialogue.
Annuler | Annule toutes les modifications effectuées sur tous les onglets, puis ferme la boîte de dialogue.
Aide | Ouvre l'aide en ligne.


Fonctions

Manuel -> Gestion des alarmes -> Configuration des alarmes -> Fonctions

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

L’affichage et la gestion de la liste d’alarmes sont contrôlés à l’aide de fonctions dans le Runtime.

attention Attention

Si des fonctions sont utilisées sur le réseau, tenez compte de leur emplacement d’exécution.

Autres sujets abordés dans ce chapitre

Appel de synoptique de liste AML

Appel de synoptique de filtre de liste AML

Fonctions de gestion d’alarmes


Appel de synoptique de liste AML

Manuel -> Gestion des alarmes -> Configuration des alarmes -> Fonctions -> Appel de synoptique de liste AML

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Pour ouvrir un filtre de liste d’alarmes dans le Runtime :

  1. Créez un synoptique de filtre de liste d’alarmes.
  2. Créez une fonction d’appel de synoptique pour ce synoptique.
  3. Définissez les propriétés de filtre souhaitées

Dans le Runtime, vous pouvez modifier les propriétés du filtre Exception : dans Editor, un filtre d'heure fixe a été défini.

Configuration des appels de synoptique

Pour créer un appel de synoptique de type AML :

  1. Dans le menu contextuel du nœud Fonction, sélectionnez la commande Nouvelle fonction
  2. Cliquez sur Appel de synoptique
  3. La boîte de dialogue de sélection de synoptiques s’affiche à l’écran
  4. Sélectionnez un synoptique de type Alarme
    ou créez-le dans cette boîte de dialogue en cliquant sur le symbole Nouveau synoptique
  5. Le filtre est affiché avec les onglets suivants :
    • Général
    • Heure
    • Paramètres des colonnes
    • Texte
    • État
    • Projet (uniquement disponible dans le projet d’intégration de la gestion multi-projets).
    • Modèles d'équipements

    Si des variables liées ou des indices sont disponibles, les onglets suivants peuvent être affichés en option.

    • Remplacer les liens
    • Remplacer les indices

  6. Définissez les filtres devant être prédéfinis dans le Runtime
  7. Confirmez les paramètres et fermez la boîte de dialogue en cliquant sur OK.
  8. Liez la fonction à un bouton pour pouvoir appeler le synoptique et afficher les propriétés du filtre dans le Runtime

info Informations

Si un synoptique ne comportant pas de filtre de temps est référencé, les filtres de temps sont désactivés.

Autres sujets abordés dans ce chapitre

Filtre d’appel de synoptique de liste AML


Filtre d’appel de synoptique de liste AML

Manuel -> Gestion des alarmes -> Configuration des alarmes -> Fonctions -> Appel de synoptique de liste AML -> Filtre d’appel de synoptique de liste AML

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Plusieurs filtres sont disponibles lors de la création d’une fonction d’appel de synoptique pour un synoptique de liste AML. Pour plus de détails, reportez-vous à la section Configuration d’alarmes à l’aide de filtres, dans le chapitre Filtres de l’appel de synoptique de liste d’alarmes.


Appel de synoptique de filtre de liste AML

Manuel -> Gestion des alarmes -> Configuration des alarmes -> Fonctions -> Appel de synoptique de filtre de liste AML

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Pour ouvrir un synoptique de filtre de liste d’alarmes dans le Runtime :

  1. Créez un synoptique de filtre de liste d’alarmes.
  2. Créez une fonction d’appel de synoptique pour ce synoptique.
  3. Définissez les propriétés de filtre souhaitées

Dans le Runtime, les propriétés du filtre peuvent uniquement être contrôlées par le biais des boutons définis sur le synoptique.

Configuration des appels de synoptique

Pour créer un appel de synoptique vers un synoptique de type Filtre de liste d’alarmes :

  1. Dans le menu contextuel du nœud Fonction, sélectionnez la commande Nouvelle fonction
  2. Cliquez sur Appel de synoptique
  3. La boîte de dialogue de sélection de synoptiques s’affiche à l’écran
  4. Sélectionnez un synoptique de type Filtre de liste d’alarmes
    ou créez-le dans cette boîte de dialogue en cliquant sur le symbole Nouveau synoptique
  5. Le filtre est affiché avec les onglets suivants :
    • Synoptiques
    • Général
    • Texte
    • Heure

  6. Définissez les filtres devant être prédéfinis dans le Runtime
  7. Confirmez les paramètres et fermez la boîte de dialogue en cliquant sur OK.
  8. Liez la fonction à un bouton pour pouvoir appeler le synoptique et afficher les propriétés du filtre dans le Runtime

Autres sujets abordés dans ce chapitre

Filtre d’appel de synoptique de filtre de liste AML


Filtre d’appel de synoptique de filtre de liste AML

Manuel -> Gestion des alarmes -> Configuration des alarmes -> Fonctions -> Appel de synoptique de filtre de liste AML -> Filtre d’appel de synoptique de filtre de liste AML

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Plusieurs filtres sont disponibles lors de la création d’une fonction d’appel de synoptique pour un synoptique de liste AML. Pour plus de détails, reportez-vous aux sections Configuration d’alarmes à l’aide de filtres et Filtres de la liste d’alarmes.


Fonctions de gestion d’alarmes

Manuel -> Gestion des alarmes -> Configuration des alarmes -> Fonctions -> Fonctions de gestion d’alarmes

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Différentes fonctions facilitent la gestion d’alarmes dans le Runtime.

Pour créer une fonction de gestion des alarmes :

  1. Accédez au nœud Fonctions.
  2. Sélectionnez Nouvelle fonction dans le menu contextuel ou la barre d’outils.
  3. La boîte de dialogue de sélection des fonctions s’affiche à l’écran.
  4. Accédez au nœud AML/CEL.

  5. Sélectionnez la fonction de votre choix.
  6. Configurez la fonction, si nécessaire.
  7. Liez la fonction à un bouton.

Autres sujets abordés dans ce chapitre

Inscrire/désinscrire groupe d'alarmes/d'événements

Alarmes : acquitter clignotement

Alarmes : Supprimer

Acquitter alarmes

Alarmes : activer

Gestion des alarmes active/inactive

Alarmes : désactiver

Activer/désactiver liste d’alarmes, groupes/classes d’alarmes/d’événements

Exporter liste d'alarmes

Enregistrer le buffer des alarmes et des événements

Imprimer liste d'alarmes ou d'événements

Activer/désactiver impression en ligne

Démarrer nouvelle page pour l'impression en ligne

Changer d'imprimante pour les impressions en ligne


Inscrire/désinscrire groupe d'alarmes/d'événements

Manuel -> Gestion des alarmes -> Configuration des alarmes -> Fonctions -> Fonctions de gestion d’alarmes -> Inscrire/désinscrire groupe d'alarmes/d'événements

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Pour optimiser les performances de la connexion, les groupes d’alarmes/d’événements inutiles peuvent être désactivés. Ses variables ne sont donc plus requises par le driver si aucun autre élément n’y est relié.

Pour utiliser cette fonction, vous devez :

  1. Définir l’action : déconnexion ou connexion
  2. Définir le groupe d’alarmes/d’événements
    (un seul groupe peut être défini par fonction)

Groupe d’alarmes/d’événements

Options

Description :

Action

Définit l’action. Actions disponibles :

  • Déconnexion : désactive le groupe d’alarmes/d’événements
  • Connexion : active le groupe d’alarmes/d’événements

Groupe d’alarmes/d’événements

Sélection du groupe d’alarmes/d’événements. Lorsque vous cliquez sur le bouton, une boîte de dialogue s’ouvre, vous permettant de sélectionner le groupe.

OK

Applique les paramètres et ferme la boîte de dialogue.

Annuler

Annule toutes les modifications et ferme la boîte de dialogue.

Aide

Ouvre l'aide en ligne.

Exemple

Un bit de groupe d’alarmes est créé dans l’automate. Si ce bit est défini, la fonction Groupe d’alarmes actif est appelée via la gestion des valeurs limites. Les variables sont demandées, et les valeurs limites correspondantes dans zenon sont vérifiées. Le bit peut être réinitialisé dans l’automate. Le groupe d’alarmes/d’événements peut être à nouveau désactivé au-dessus d’une certaine valeur limite. Au démarrage du programme, toutes les valeurs limites de variables sont interrogées.


Alarmes : acquitter clignotement

Manuel -> Gestion des alarmes -> Configuration des alarmes -> Fonctions -> Fonctions de gestion d’alarmes -> Alarmes : acquitter clignotement

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Lors de l’acquittement du clignotement dans le Runtime, seuls l’attribut de clignotement des variables de procédé et le clignotement de tous les éléments graphiques sur tous les synoptiques utilisant cette variable sont réinitialisés. L’entrée dans la liste d’alarmes n’est pas acquittée, sauf si la propriété Acquittement clignotement est active.

Remarque : Cette fonction n’est pas identique à la propriété Prendre le clignotement de la limite définie pour chaque élément dans le groupe Prendre le clignotement de la limite des propriétés de l’élément. La fonction concerne le clignotement du contenu de l’élément, par exemple, du texte. La propriété Prendre le clignotement de la limite concerne l’ensemble de l’élément.

Configuration des fonctions

Pour acquitter le clignotement des alarmes dans le Runtime :

  1. Créez une nouvelle fonction.
  2. Sélectionnez la fonction Alarmes : acquitter clignotement dans le groupe Alarmes et événements.
  3. Sélectionnez le cadre que vous voulez attribuer.
  4. Sélectionnez le moniteur de votre choix pour les systèmes multi-moniteurs.

Alarmes : acquitter clignotement

Paramètres

Description

Alarmes : acquitter clignotement

Configuration des alarmes dont le clignotement doit être acquitté.

Toutes les alarmes dans le cadre

Le clignotement de toutes les alarmes dans les synoptiques d’un cadre sélectionné ici est acquitté, même si le cadre est ouvert plusieurs fois.

Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de cadre. Pour plus de détails, reportez-vous à la section Boîte de dialogue Sélection de cadre.

Toutes les alarmes du cadre exécutant l’appel

Le clignotement des alarmes affichées sur le synoptique du cadre exécutant l’appel est acquitté. Lorsque cette option est sélectionnée, la sélection de moniteur ne peut pas être configurée manuellement.

Sélection du moniteur

Paramètres

Description

Sélection du moniteur

Sélectionnez le moniteur sur lequel doit être configuré l’acquittement du clignotement des alarmes.

Moniteur

Sélectionnez le moniteur dans la liste.

  • Tous les moniteurs
  • Moniteur actuel
  • Sélectionnez un moniteur virtuel.

Disponible uniquement pour les systèmes multi-moniteurs et uniquement pour l’option Toutes les alarmes dans le cadre.

OK

Applique les paramètres et ferme la boîte de dialogue.

Annuler

Discards all changes and closes the dialog.

Aide

Ouvre l'aide en ligne.

Autres sujets abordés dans ce chapitre

Boîte de dialogue de sélection de cadre

Exemples d’acquittement d’alarmes dans le Runtime


Boîte de dialogue de sélection de cadre

Manuel -> Gestion des alarmes -> Configuration des alarmes -> Fonctions -> Fonctions de gestion d’alarmes -> Alarmes : acquitter clignotement -> Boîte de dialogue de sélection de cadre

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Boîte de dialogue de sélection de cadre

Dans la boîte de dialogue de sélection de cadre, des cadres peuvent être sélectionnés pour l’exécution de fonctions parmi les éléments suivants :

  • Projet actuel
  • Sous-projets
  • Tous les projets de l’espace de travail dans lesquels l’option Garder projet en mémoire est active

Paramètres | Description
Fenêtre d’arborescence des projets | Affiche tous les projets dans l’espace de travail. Les cadres peuvent être sélectionnés dans le projet actuel et dans tous les projets dans lesquels l’option Garder projet en mémoire est active.
Fenêtre de cadres | Sélection d’un cadre. Si plusieurs cadres sont sélectionnés, le cadre affiché au début de la liste est utilisé pour exécuter la fonction.
Aucune sélection | Supprime la sélection et ferme la boîte de dialogue.
OK | Applique les paramètres et ferme la boîte de dialogue.
Annuler | Discards all changes and closes the dialog.
Aide | Ouvre l'aide en ligne.


Exemples d’acquittement d’alarmes dans le Runtime

Manuel -> Gestion des alarmes -> Configuration des alarmes -> Fonctions -> Fonctions de gestion d’alarmes -> Alarmes : acquitter clignotement -> Exemples d’acquittement d’alarmes dans le Runtime

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Exemples d’acquittement d’alarmes dans le Runtime

Exemple 1

Les éléments suivants ont été configurés :

  • Frame_1 (rouge) avec les variables Var_1, Var_2 et Var_3
  • Frame_2 (vert) avec les variables Var_1 et Var_2

Situation initiale :

  • Frame_1 est basculé vers Monitor_1.
  • Frame_2 est basculé vers Monitor_2.
  • Les trois variables clignotent en cas de dépassement d’une valeur limite.

Réactions à l’exécution de la fonction d’acquittement du clignotement des alarmes :

  • Exécution dans Frame_2 sur Monitor_1 : rien ne se produit, car ce cadre n’est pas présent sur Monitor_1.
  • Exécution sur tous les moniteurs ou sur Monitor_2 : le clignotement de toutes les variables du cadre est acquitté.
    Ceci signifie : Le clignotement de Var_1 et Var_2 est acquitté. Var_3 continue à clignoter.

Exemple 2

Un bouton Button_1 est présent sur Frame_1. Cet élément permet d’acquitter le clignotement du synoptique exécutant l’appel. Lorsque ce bouton est actionné, le clignotement de Var_1, Var_2 et Var_3 est acquitté.

Exemple 3

Situation initiale :

  • Frame_1 (rouge) est basculé quatre fois vers Monitor_1. Ce cadre contient certaines variables. Toutefois, il contient d’autres variables dans chaque cadre, en raison de la substitution. La seule variable commune est Var_1.
  • Frame_2 (bleu) est basculé vers Monitor_2. Ce cadre contient des variables différentes de Frame_1.

Réactions à l’exécution de la fonction d’acquittement du clignotement des alarmes :

Si le clignotement de Frame_1 est acquitté sur ce moniteur, ou sur tous les moniteurs :

  • Le clignotement de la commande est acquitté sur tous les cadres sur ce moniteur
  • Par conséquent, l’acquittement du clignotement est étendu à toutes les variables de Frame_1

    Ceci signifie :

    • Le clignotement des variables Var_1 à Var_5 est acquitté
    • Les variables Var_7 à Var_9 continuent à clignoter


Alarmes : Supprimer

Manuel -> Gestion des alarmes -> Configuration des alarmes -> Fonctions -> Fonctions de gestion d’alarmes -> Alarmes : Supprimer

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Pour supprimer les alarmes collectivement à l’aide de critères de filtre, utilisez la fonction Supprimer alarme :

  1. Créez une nouvelle fonction.
  2. Sélectionnez Supprimer alarme.
  3. La boîte de dialogue de configuration des critères de filtre s’ouvre
    (semblable aux critères de filtre de la fonction d’appel de synoptique).

  4. Définissez les critères pour les éléments suivants :
    • Général
    • Heure
    • Texte
    • État
  5. Liez la fonction à un bouton.

Autorisation utilisateur

Les fonctions d’acquittement des alarmes et de suppression des alarmes peuvent être attribuées à un groupe d’utilisateurs via l’autorisation de fonctions. Seul un utilisateur autorisé peut acquitter et supprimer des alarmes.

En outre, un droit d’utilisation supplémentaire peut être défini par le biais de la propriété Acquittement à deux étapes du sous-groupe concerné dans le groupe Valeurs limite. Les alarmes sélectionnées peuvent uniquement être supprimées de la liste d’alarmes par les utilisateurs disposant des droits nécessaires.

Si la propriété Acquittement à deux étapes est définie, les alarmes sont uniquement retirées de la liste d’alarmes actives lorsqu’elles sont supprimées. L’acquittement seul ne suffit pas.

info Informations

Les alarmes peuvent uniquement être supprimées après avoir été préalablement acquittées.


Acquitter alarmes

Manuel -> Gestion des alarmes -> Configuration des alarmes -> Fonctions -> Fonctions de gestion d’alarmes -> Acquitter alarmes

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Cette fonction vous permet d’acquitter les alarmes de Runtime dans la liste d’alarmes. Et surtout, elle autorise un acquittement global.

Si cette fonction est activée dans le Runtime, l’attribut de clignotement des éléments graphiques liés aux variables – et donc aux synoptiques d’alarme – est réinitialisé (pour SICAM 230 uniquement).

Remarque : Toutes les alarmes de la variable reliée sont toujours acquittées lors de l’acquittement.

Développement

Pour acquitter les alarmes avec cette fonction :

  1. Créez une nouvelle fonction.
  2. Sélectionnez la fonction Acquitter alarmes dans le groupe Alarmes et événements.

    La boîte de dialogue de configuration des critères de filtre s’ouvre
    (semblable aux critères de filtre de la fonction d’appel de synoptique).

  3. Définissez les critères suivants :
    • Général
    • Heure
    • Texte
    • État
    • Modèles d'équipements
    • Projet (uniquement disponible dans le projet d'intégration de la gestion multi-projets).
  4. Liez la fonction à un bouton.

Autorisation utilisateur

Les fonctions d’acquittement des alarmes et de suppression des alarmes peuvent être attribuées à un groupe d’utilisateurs via l’autorisation de fonctions. Seul un utilisateur autorisé peut acquitter et supprimer des alarmes.

En outre, un droit d’utilisation supplémentaire peut être défini par le biais de la propriété Acquittement à deux étapes du sous-groupe concerné dans le groupe Valeurs limite. Les alarmes sélectionnées peuvent uniquement être supprimées de la liste d’alarmes par les utilisateurs disposant des droits nécessaires.

Si la propriété Acquittement à deux étapes est définie, les alarmes sont uniquement retirées de la liste d’alarmes actives lorsqu’elles sont supprimées. L’acquittement seul ne suffit pas.

info Informations

Les alarmes peuvent uniquement être supprimées après avoir été préalablement acquittées.


Alarmes : activer

Manuel -> Gestion des alarmes -> Configuration des alarmes -> Fonctions -> Fonctions de gestion d’alarmes -> Alarmes : activer

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Lorsqu’elle est sélectionnée, cette option définit l’état de la liste d’alarmes comme active dans le Runtime.


Gestion des alarmes active/inactive

Manuel -> Gestion des alarmes -> Configuration des alarmes -> Fonctions -> Fonctions de gestion d’alarmes -> Gestion des alarmes active/inactive

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Lorsqu’elle est sélectionnée, cette option permet de définir comme actif ou inactif l’état de la liste d’alarmes dans le Runtime.


Alarmes : désactiver

Manuel -> Gestion des alarmes -> Configuration des alarmes -> Fonctions -> Fonctions de gestion d’alarmes -> Alarmes : désactiver

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Lorsqu’elle est sélectionnée, cette option définit l’état de la liste d’alarmes comme inactive dans le Runtime.


Activer/désactiver liste d’alarmes, groupes/classes d’alarmes/d’événements

Manuel -> Gestion des alarmes -> Configuration des alarmes -> Fonctions -> Fonctions de gestion d’alarmes -> Activer/désactiver liste d’alarmes, groupes/classes d’alarmes/d’événements

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Cette fonction permet d’activer ou de désactiver les alarmes de certain(e)s groupes ou classes ou toutes les alarmes de la liste d’alarmes, ou de basculer entre ces deux états.

Pour activer ou désactiver des alarmes :

  1. Créez une nouvelle fonction.
  2. Sélectionnez Liste d’alarmes, puis Activer/désactiver des groupes/classes d’alarmes/d’événements.
  3. La boîte de dialogue de sélection des alarmes s’ouvre.
  4. Définissez les paramètres de la fonction.
  5. Liez la fonction à un bouton.

Sélectionner

Paramètres | Description
Sélectionner | Sélection des alarmes.
Toute la liste d’alarmes | La fonction s’applique à l’ensemble de la liste d’alarmes.
Alarmes du groupe d’alarmes/d’événements | La fonction s’applique à un groupe précis. Sélection : Cliquez sur le bouton pour afficher une liste déroulante.
Alarmes de la classe d’alarmes/d’événements | La fonction s’applique à une classe précise. Sélection : Cliquez sur le bouton pour afficher une liste déroulante.

Activer/désactiver

Paramètres | Description
Activer/désactiver | Action de la fonction.
Activer | Active l’élément sélectionné.
désactiver | Désactive l’élément sélectionné.
Bascule | Modifie l’état (actif/inactif).


Exporter liste d'alarmes

Manuel -> Gestion des alarmes -> Configuration des alarmes -> Fonctions -> Fonctions de gestion d’alarmes -> Exporter liste d'alarmes

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Cette fonction permet d’exporter les alarmes enregistrées avec des conditions de filtre vers un fichier ou une base de données dans le Runtime.

Pour exporter des alarmes :

  1. Créez une nouvelle fonction.
  2. Sélectionnez Export AML (Exporter la liste AML).
  3. La boîte de dialogue de sélection des critères de filtre s’affiche

  4. Définissez les critères suivants :
    • Format d'export
    • Général
    • Heure
    • Texte
    • État
    • Modèles d'équipements
    • Projet
  5. Liez la fonction à un bouton.

Autres sujets abordés dans ce chapitre

Format d'export

CSV : Colonnes exportées

dBase : Colonnes exportées

SQL : Colonnes exportées

XML : Colonnes exportées


Format d'export

Manuel -> Gestion des alarmes -> Configuration des alarmes -> Fonctions -> Fonctions de gestion d’alarmes -> Exporter liste d'alarmes -> Format d'export

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Format d'export

L’exportation peut être réalisée dans différents formats. Les colonnes exportées et le format d’exportation dépendent de la source (liste AML/ liste CEL) et du format d’exportation :

L’exportation des données se déroule de différentes manières pour les formats suivants :

  • CSV
  • dBase
  • SQL
  • XML

info Informations

L’exportation au format SQL se déroule de manière incrémentielle. Si des données exportées sont déjà présentes, seules les données nouvelles et modifiées sont exportées.

Sélection colonne

La sélection des colonnes exportées dépend du format d’exportation :

  • CSV, DBF et XML : Sélection via la boîte de dialogue de la propriété Paramètres des colonnes alarmes du projet pour la liste AML, et via la propriété Paramètres des colonnes liste d'événements pour la liste CEL.
  • SQL : Toutes les colonnes sont exportées.

Configurer l’exportation

Format d'export

Paramètre

Description

Format d'export

Sélection du type du fichier. Formats possibles :

  • dBase : format dBase IV (*.dbf) :
  • CSV
  • XML
  • SQL

Remarques concernant dBase :

  • Les noms de fichier ne peuvent pas comporter plus de huit caractères.
  • La largeur de colonne configurée est utilisée lors de l’exportation. Si par exemple, une valeur de 40 est définie dans Paramètres des colonnes, 40 caractères maximum sont alors exportés.
  • Au maximum, 255 caractères sont exportés.

Options

Paramètre | Description
Options |
Exporter au format Unicode | L’exportation au format ASCII est effectuée en texte Unicode
Exportation incrémentielle | Seules les différences intervenues depuis la dernière sauvegarde sont exportées.

Exporter dans un fichier

Paramètre

Description

Exporter dans un fichier

Spécifiez le fichier dans lequel seront enregistrées les données exportées.

Nom de fichier

Spécifiez un nom de fichier individuel.

Le nom de fichier peut comporter au maximum 32 caractères alphanumériques, suffixe de fichier inclus.

Remarque : Les fichiers existants portant le même nom seront remplacés.

Attribution automatique du nom de fichier

Active : Le nom de fichier sera généré automatiquement à partir d’un identifiant court, d’une date et d’un suffixe individuel.
Inactive : Le nom de fichier est saisi par l’utilisateur sous Nom de fichier.

(Les entrées existantes ne sont pas écrasées).

Pour plus de détails, voir le tableau suivant : Codage du nom pour la fonction de dénomination automatique

Suffixe

Identification individuelle libre. Uniquement disponible pour l’option Générer le nom de fichier automatiquement.

Saisies possibles :

  • dBase : 1 caractère alphanumérique
  • ASCII et XML : 32 caractères alphanumériques

Exemple

Affichage du nom de fichier entier avec génération automatique.

Dossier d'export

Affichage du chemin d’exportation actuel configuré dans les propriétés du projet. (Propriété Dossier du Runtime dans le nœud Général/Nom/Dossier.)

Exporter vers une base de données SQL

Paramètres d’exportation sous forme de base de données SQL

Connexion à la base de données

Configuration de la connexion à la base de données. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de configuration.

Table

Sélection de la table dans laquelle sera réalisée l’écriture.

Codage du nom pour la fonction de dénomination automatique

Nom

AJJMMTTP.XXX

A

Identification courte de la liste d’alarmes

AAMMJJ

Saisie de la date :

  • AA : Année, deux chiffres
  • MM : Mois, deux chiffres
  • JJ : Jour, deux chiffres

P

Identification individuelle libre :

  • dBase : 1 caractère alphanumérique
  • ASCII et XML : 32 caractères alphanumériques

XXX

Extension de fichier :

  • DBF : dBase
  • TXT : CSV
  • XML : XML

Considérations relatives au format

  • Format de saisie de ligne : Déterminé par la configuration des propriétés Paramètres des colonnes alarmes ou Paramètres des colonnes liste d'événements.
  • Séparateur de colonnes : Point-virgule (;)

attention Attention

Millisecondes pour l’impression ou l’exportation

Si, lors de l’impression ou de l’exportation de la liste AML ou CEL au format CSV, XML ou dBase, des informations de temps en millisecondes doivent être fournies, cette propriété doit être activée dans la boîte de dialogue des paramètres des colonnes. Pour cela :

  • Accédez aux nœuds Liste d'alarmes ou Liste d'événements dans les propriétés.
  • Cliquez sur le bouton ... de la propriété Paramètres des colonnes alarmes ou Paramètres des colonnes liste d'événements.
  • La boîte de dialogue des paramètres des colonnes s’affiche à l’écran.
  • Cochez la case adjacente à la propriété Millisecondes.

Ce paramètre doit être défini pour les listes AML et CEL.

Notes SQL

attention Attention

Assurez-vous que le fournisseur configuré dans la connexion est également disponible sur l’ordinateur du Runtime dans le Runtime.

Remarque : Un client SQL est également installé avec zenon Editor. Le Runtime de zenon ne nécessite pas de serveur SQL?; aussi, aucun client SQL n’est automatiquement installé. Celui-ci peut être téléchargé sur le site Web de Microsoft, et doit être installé individuellement.

Assurez-vous d’avoir installé la version correcte lors de l’installation du fournisseur. Celle-ci doit correspondre à la version de zenon utilisée. Ceci signifie : Si la version 32 bits du Runtime de zenon est utilisée, le fournisseur doit également être une version 32 bits. Cela s’applique également s’il est installé sur un système d’exploitation 64 bits, et également si la base de données elle-même est une application 64 bits.

attention Attention

Lors de l’utilisation de Native Client 10 et 11, le mot de passe n’est pas automatiquement transféré vers la chaîne du fournisseur. Il doit être saisi manuellement

Par exemple : ...;User ID=sqlExampleUser1;Password=secretPassword;...


CSV : Colonnes exportées

Manuel -> Gestion des alarmes -> Configuration des alarmes -> Fonctions -> Fonctions de gestion d’alarmes -> Exporter liste d'alarmes -> CSV : Colonnes exportées

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
CSV : Colonnes exportées

L’exportation au format CSV est principalement utilisée aux fins du traitement dans d’autres applications. Les données sont exportées conformément à la section, au format Paramètres des colonnes alarmes ou Paramètres des colonnes liste d'événements :

  • Seules les données des colonnes sélectionnées sont exportées.
  • L’ordre du fichier d’exportation correspond à l’ordre défini dans la boîte de dialogue.
  • Séparateur : Point-virgule (;)
  • Les titres des colonnes ne sont pas exportés.


dBase : Colonnes exportées

Manuel -> Gestion des alarmes -> Configuration des alarmes -> Fonctions -> Fonctions de gestion d’alarmes -> Exporter liste d'alarmes -> dBase : Colonnes exportées

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
dBase : Colonnes exportées

Lors de l’exportation sous forme de fichier dBase, les données sont exportées conformément à la sélection, au format Paramètres des colonnes alarmes ou Paramètres des colonnes liste d'événements :

  • Seules les données des colonnes sélectionnées sont exportées.
  • L’ordre du fichier d’exportation est défini et ne peut pas être modifié.

Colonnes dans l’ordre d’exportation :

Colonne | Type | Dimension | Description
DATUM_KOMM | Date | 8 | Début de l’alarme : Date :
ZEIT_KOMMT | Character | 10 | Début de l’alarme : Heure.
MILLI_KOMM | Numeric | 3 | Début de l’alarme : Millisecondes.
DATUM_GEHT | Date | 8 | Fin de l’alarme : Date :
ZEIT_GEHT | Character | 10 | Fin de l’alarme : Heure.
MILLI_GEHT | Numeric | 3 | Fin de l’alarme : Millisecondes.
DATUM_OK | Date | 8 | Date/heure d’acquittement : Date :
ZEIT_OK | Character | 10 | Date/heure d’acquittement : Heure.
ALARMTEXT | Character | 40 | Texte de valeur limite.
TAG_NR | Character | 40 | Identification de variable.
KOMMENTAR | Character | 45 | Commentaire.
STATUS | Character | 4 | État de la variable.
DATUM_REA | Date | 8 | Réactivation de l’alarme : Date :
ZEIT_REA | Character | 10 | Réactivation de l’alarme : Heure.
MILLI_REA | Character | 3 | Réactivation de l’alarme : Fraction de milliseconde.
ANZ_REA | Character | 3 | Réactivation de l’alarme : Compteur.
STAT_REA | Character | 1 | Réactivation de l’alarme : État de la variable.
WERT | Character | 10 | Valeur de la variable.
USER | Character | 6 | Identifiant utilisateur.
COMPUTER | Character | 48 | Nom de l’ordinateur.
VAR_NAME | Character | 32 | Nom de la variable.
RESLABEL | Character | 15 | identification ressources
PROJ_NAME | Character | 31 | Nom du projet
CLASS | Character | 31 | Nom de la classe d’alarmes.
GROUP | Character | 31 | Nom du groupe d’alarmes.
CAUSE | Character | 255 | Texte de cause d'alarme.


SQL : Colonnes exportées

Manuel -> Gestion des alarmes -> Configuration des alarmes -> Fonctions -> Fonctions de gestion d’alarmes -> Exporter liste d'alarmes -> SQL : Colonnes exportées

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
SQL : Colonnes exportées

Lors de l’exportation sous forme de fichier SQL, les fichiers sont exportés de manière incrémentielle, dans un ordre fixe prédéfini.

Colonnes dans l’ordre d’exportation :

Colonne | Type | Description
[VAR] | varchar(128) | Nom de la variable.
[TAG] | varchar(128) | Identification de variable.
[RESLABEL] | varchar(255) | identification ressources
[TEXT] | varchar(1024) | Texte de valeur limite.
[COMES_S] | int | Début de l’alarme au format d’heure Unix (secondes depuis le 01. 01. 1970).
[COMES_MS] | int | Début de l’alarme : Fraction de milliseconde.
[GOES_S] | int | Fin de l’alarme au format d’heure Unix (secondes depuis le 01. 01. 1970).
[GOES_MS] | int | Fin de l’alarme : Fraction de milliseconde.
[QUIT] | int | Fin de l’alarme au format d’heure Unix (secondes depuis le 01. 01. 1970).
[STATUS] | int | État de la variable.
[VALUE] | varchar(8000) | Valeur de la variable.
[USERID] | varchar(20) | Identifiant utilisateur.
[COMP] | varchar(255) | Nom de l’ordinateur.
[REACT_S] | int | Réactivation de l’alarme au format d’heure Unix (secondes depuis le 01. 01. 1970).
[REACT_MS] | int | Réactivation de l’alarme : Fraction de milliseconde.
[REACT_COUNT] | int | Réactivation de l’alarme : Compteur.
[REACT_STAT] | int | Réactivation de l’alarme : État de la variable.
[ACT_TEXT] | varchar(80) | - Alarme : Commentaire.
[PRJ] | varchar(31) | Nom du projet.
[CLASS] | varchar(8000) | Nom de la classe d’alarmes.
[GROUP] | varchar(8000) | Nom du groupe d’alarmes.
[LASTING_S] | int | Durée d’activation de l’alarme en secondes.
[LASTING_MS] | int | Activation de l’alarme : Fraction de milliseconde.
[CLASS_NR] | int | Identifiant de classes d’alarmes.
[GROUP_NR] | int | Identifiant de groupes d’alarmes.
[USERNAME] | varchar(120) | Nom utilisateur.
[CAUSEID] | varchar(36) | Identifiant de la cause de l'alarme
[CAUSE] | varchar(1279) | Texte de cause d'alarme.


XML : Colonnes exportées

Manuel -> Gestion des alarmes -> Configuration des alarmes -> Fonctions -> Fonctions de gestion d’alarmes -> Exporter liste d'alarmes -> XML : Colonnes exportées

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
XML : Colonnes exportées

Lors de l’exportation sous forme de fichier XML, les données sont exportées conformément à la sélection, au format Paramètres des colonnes alarmes ou Paramètres des colonnes liste d'événements :

  • Seules les données des colonnes sélectionnées sont exportées.
  • L’ordre du fichier d’exportation correspond à l’ordre défini dans la boîte de dialogue.
  • Les intitulés de colonnes sont utilisés en tant que tags. Tous les caractères non autorisés sont supprimés et remplacés.
    Règles de remplacement :
    • Espace : Tiret bas (_).
    • Autres caractères non autorisés : Trait d’union (-).


Enregistrer le buffer des alarmes et des événements

Manuel -> Gestion des alarmes -> Configuration des alarmes -> Fonctions -> Fonctions de gestion d’alarmes -> Enregistrer le buffer des alarmes et des événements

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Cette fonction permet d’enregistrer le contenu de la mémoire circulaire, et notamment les alarmes et les événements, ainsi que les valeurs des variables mathématiques (compteurs). Les entrées sont enregistrées dans les fichiers suivants :

Fichier | Sommaire | La taille peut être définie dans les propriétés
ALARM.BIN | Alarmes | Taille du buffer circulaire
CEL.BIN | Entrées de la liste d’événements | Taille du buffer circulaire
SY_MA32.BIN | Valeurs des variables mathématiques (par ex., compteurs) |

Pour enregistrer la mémoire circulaire de la liste AML :

  1. Créez une nouvelle fonction.
  2. Sélectionnez Enregistrer la mémoire circulaire des listes AML et CEL
  3. Liez la fonction à un bouton.


Imprimer liste d'alarmes ou d'événements

Manuel -> Gestion des alarmes -> Configuration des alarmes -> Fonctions -> Fonctions de gestion d’alarmes -> Imprimer liste d'alarmes ou d'événements

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Cette fonction permet de transférer les alarmes enregistrées et leurs conditions de filtre vers une imprimante dans le Runtime.

Pour configurer la fonction :

  1. Créez une nouvelle fonction.
  2. Sélectionnez l’option Imprimer la liste AML ou CEL
  3. La boîte de dialogue de sélection de la liste s’affiche

  4. Sélectionnez Liste d’alarmes
  5. La boîte de dialogue de sélection des critères de filtre s’affiche
  6. Définissez les critères pour les éléments suivants :
    • Général
    • Heure
    • Texte
    • État
    • Police : Sélectionnez les polices définies dans zenon
  7. Liez la fonction à un bouton.

info Informations

Dans le Runtime, vous ne pouvez pas basculer entre les listes CEL et AML. Pour imprimer les deux listes, vous devez développer deux fonctions.

Structure des lignes

Date/Heure d’apparition | Date/Heure de disparition | Date/Heure d’acquittement | Texte long - identification | Texte d'état

Les mots-clé disponibles pour le fichier de formatage (ALAR.FRM, pour l’impression en ligne, et ALAR_G.FRM, pour l’impression hors ligne) et des exemples de leur utilisation sont disponibles au chapitre Fichier de configuration FRM, dans la section Fonctionnement dans le Runtime.

Le fichier FRM comporte trois parties :

  • En-tête : situé en début de page
  • Liste : cyclique par ligne
  • Pied de page : situé en fin de page

Principes

Lors de l’édition de fichiers FRM, tenez compte des consignes suivantes :

  • Séparation des composantes de la liste :
    • L’en-tête et la section de liste, et la section de liste et le pied de page sont séparés par %%.

      Le marqueur de séparation ne doit être utilisé qu’à deux reprises entre les parties d’en-tête et liste et entre la partie liste et le pied de page.

    • Attention : La dernière ligne doit être suivie d’au moins deux paragraphes vides. Sinon, le pied de page n’est pas imprimé?!
  • Positionnement des entrées individuelles :
    Vous pouvez uniquement utiliser des espaces (pas de marques de tabulation).
  • Édition de fichiers FRM dans un éditeur de texte :
    la fonction d’insertion automatique de sauts de ligne doit être désactivée?; dans le cas contraire, des effets indésirables peuvent affecter la mise en forme.

Mots-clés

La configuration de la longueur de page est effectuée dans les propriétés de projet, sous Alarmes et événements, ou via le fichier ALARM.frm ou ALAR_G.frm, pour la liste AML, ou via BTB.frm et BTB_G.frm, pour la liste CEL.

Note :

  • le nombre d’entrées d’alarmes par page découle du nombre prédéfini de lignes (par ex. Lignes par page 72), auquel viennent se soustraire les lignes utilisées pour les textes d’en-tête et de pied de page.
  • L’option Utiliser heure de réactivation doit être activée pour que l’utilisateur puisse utiliser les mots-clé permettant d’évaluer la réactivation (heure, nombre).
  • Des textes libres et des mots-clés peuvent être utilisés dans le fichier de formatage. Les mots-clés peuvent être utilisés en allemand ou en anglais. Il est recommandé d’utiliser des mots-clés en anglais.
  • Tous les mots-clés ne sont pas adaptés à tous les types d’impression (AML, CEL, en ligne, hors ligne).

Le tableau suivant contient les mots-clés en anglais et en allemand, ainsi que leur domaine d’application.

Allemand | Anglais | Liste d’alarmes hors ligne | Liste d’événements hors ligne | Liste de messages en ligne | Liste d’événements en ligne | Description
Mots-clés correspondant à la partie de la liste
@BMKENNUNG | @RESOURCELABEL | X | X | X | X | Description externe
@DATZEITKOMMT | @DTRECEIVED | X | X | X | X | Heure et date de début de l’alarme
@DATZEITGEHT | @DTCLEARED | X | - | X | - | Heure et date de fin de l’alarme
@DATZEITOK | @DTACK | X | - | X | - | Heure et date d’acquittement de l’alarme
@DATZEITREAKT | @DTREACTIVATE | X | - | X | - | Heure et date de réactivation de l’alarme La propriété Utiliser heure de réactivation des propriétés du projet doit être activée.
@DATZEIT | @DTLASTEVENT | - | - | X | - | Heure et date de réception, d’acquittement ou de réactivation de l’alarme
@ZEIT | @TLASTEVENT | - | - | X | X | Heure et date de réception, d’effacement, d’acquittement ou de réactivation de l’alarme
@ZEITOK | @TACK | X | - | X | - | Affiche uniquement l’heure d’acquittement de l’alarme
@ZTKOMMT | @TRECEIVED | X | X | X | X | Affiche uniquement l’heure de réception de l’alarme
@ZTGEHT | @TCLEARED | X | - | X | - | Affiche uniquement l’heure de fin de l’alarme
@ZTREAKT | @TREACTIVATE | X | - | X | - | Affiche uniquement l’heure de réactivation de l’alarme
@TIMELASTING | @TACTIVE | X | - | X | - | Durée d’activité (différence entre l’heure de réception et l’heure d’effacement)
@ANWENDUNG | @PROJECTNAME | X | X | X | X | Nom du projet
@KANALNAME | @VARNAME | X | X | X | X | Nom de la variable Liste d’événements : uniquement les entrées comportant des variables
@AK | @ACLASSNR | X | X | X | X | Nom de la classe d’alarmes/d’événements
@AG | @AGROUPNR | X | X | X | X | Numéro du groupe d’alarmes/d’événements
@AGNAME | @AGROUPNAME | X | X | X | X | Nom du groupe d’alarmes/d’événements
@AKNAME | ACLASSNAME | X | X | X | X | Nom de la classe d’alarmes/d’événements
@TAGNR | @IDENTIFICATION | X | X | X | X | Identification (intitulé spécifique à l’entreprise)
@AMELDUNG | @TEXT | X | X | X | X | Texte de message d’alarme
@REAKTANZ | @NRREACTIVATE | X | - | X | - | Nombre de réactivations
@STATUS | @STATUS | X | X | X | X | Informations d’état, identiques à la liste d’alarmes
@WERT | @VALUE | X | X | X | X | Valeur variable de l’alarme
@REAKTIONSTEXT | @COMMENT | X | X | X | X | Commentaire provenant de la liste d’alarmes. Si des textes de valeur limite dynamique sont utilisés, ils sont uniquement disponibles si les propriétés Textes de limite dynamiques longs pour les alarmes ou Textes de limite dynamiques longs pour les événements ont été activées.
@USER | @USERID | X | X | X | X | Liste AML : Utilisateur ayant acquitté l’alarme.
@RECHNER | @COMPUTER | X | X | X | X | Liste AML : Ordinateur sur lequel l’alarme a été acquittée.
Mots-clés pour les en-têtes et pieds de page
@ANWENDUNG | @PROJECTNAME | X | X | X | X | Nom du projet
@SEITE | @PAGE | X | X | X | X | Numéro de page
@HEADDATZEIT | @DTSYSTEM | X | X | X | X | Date et heure du système
@HEADDATUM | @DSYSTEM | X | X | X | X | Date du système
@HEADZEIT | @TSYSTEM | X | X | X | X | Heure du système
@USER | @USERID | X | X | X | X | Utilisateur ayant effectué l’impression
@USERNAME | @USERNAME | X | X | X | X | Nom complet de l’utilisateur ayant déclenché l’action
@RECHNER | @COMPUTER | X | X | X | X | Ordinateur depuis lequel est effectuée l’impression
[Texte] | [Texte] |  |  |  |  | Texte au choix

attention Attention

Vous devez laisser suffisamment de place entre les mots-clés pour que les entrées ne soient pas remplacées. Vous garantissez ainsi le bon affichage des textes de valeur limite longs.

Exemple :

@TEXT ((espaces jusqu’ici))

Configuration des millisecondes

attention Attention

Millisecondes pour l’impression ou l’exportation

Si, lors de l’impression ou de l’exportation de la liste AML ou CEL au format CSV, XML ou dBase, des informations de temps en millisecondes doivent être fournies, cette propriété doit être activée dans la boîte de dialogue des paramètres des colonnes. Pour cela :

  • Accédez aux nœuds Liste d'alarmes ou Liste d'événements dans les propriétés.
  • Cliquez sur le bouton ... de la propriété Paramètres des colonnes alarmes ou Paramètres des colonnes liste d'événements.
  • La boîte de dialogue des paramètres des colonnes s’affiche à l’écran.
  • Cochez la case adjacente à la propriété Millisecondes.

Ce paramètre doit être défini pour les listes AML et CEL.


Activer/désactiver impression en ligne

Manuel -> Gestion des alarmes -> Configuration des alarmes -> Fonctions -> Fonctions de gestion d’alarmes -> Activer/désactiver impression en ligne

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

L’impression en ligne est définie dans un état particulier lors de l’utilisation de cette fonction :

  • Actif : impression en ligne on
  • Inactif impression en ligne off
  • actif/inactif Active/désactive l’impression en ligne

Pour configurer la fonction :

  1. Créez une nouvelle fonction.
  2. Sélectionnez Activer/désactiver l’impression en ligne
  3. La boîte de dialogue de sélection de l’action s’affiche.

  4. Sélectionnez l’action souhaitée.
  5. Liez la fonction à un bouton.


Démarrer nouvelle page pour l'impression en ligne

Manuel -> Gestion des alarmes -> Configuration des alarmes -> Fonctions -> Fonctions de gestion d’alarmes -> Démarrer nouvelle page pour l'impression en ligne

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Cette fonction vous permet de contrôler l’instruction de présentation de page suivante dans le Runtime lors de l’impression en ligne :

Les pieds de page configurés seront imprimés sur la page actuelle, puis l’impression passera à une nouvelle page. Le compteur de pages sera réinitialisé à 1 et l’en-tête sera imprimé.

Pour configurer la fonction :

  1. Créez une nouvelle fonction.
  2. Sélectionnez Démarrer l’impression en ligne sur une nouvelle page
  3. Liez la fonction à un bouton.


Changer d'imprimante pour les impressions en ligne

Manuel -> Gestion des alarmes -> Configuration des alarmes -> Fonctions -> Fonctions de gestion d’alarmes -> Changer d'imprimante pour les impressions en ligne

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Avec cette fonction, l’imprimante pour l’impression en ligne peut être changée pendant le Runtime.

info Informations

Cette fonction n’est pas disponible sous Windows CE.

Pour configurer la fonction :

  1. Créez une nouvelle fonction.
  2. Sélectionnez Changer imprimante en ligne.

    La boîte de dialogue de sélection de l’imprimante s’affiche.

  3. Sélectionnez l’imprimante souhaitée dans la liste déroulante.
  4. Liez la fonction à un bouton.

Paramètres | Description
Sélection imprimante | Sélectionnez l’imprimante souhaitée dans la liste déroulante.
Afficher cette boîte de dialogue dans le Runtime | Active : Lorsque cette fonction est exécutée, la boîte de dialogue est affichée et l’imprimante peut être définie dans le Runtime.


Utilisation dans le Runtime

Manuel -> Gestion des alarmes -> Utilisation dans le Runtime

La liste d’alarmes est affichée, dans le Runtime, par le biais d’une fonction d’appel de synoptique.

Les éléments de contrôle disponibles et l’apparence sont configurés dans Editor.

Fenster

Kontrollelement

Beschreibung

Fenster

Anzeigen zur Runtime.

Alarmmeldeliste

Anzeige der Alarme. Das Aussehen ist konfigurierbar. Spalten werden über den Filter Spalteneinstellungen bei der Bildumschaltung festgelegt.

Über die Eigenschaft Paramètres des colonnes alarmes in den Projekteigenschaften in der Gruppe Liste d'alarmes werden die Einstellungen für den Export in CSV, XML und DBF definiert. Diese dienen auch als Voreinstellung für die Bildumschaltfunktion.

Eingestellter Filter

Anzeige der aktuell gewählten Filterbedingungen.

Status

Anzeige, ob Alarmmeldeliste aktiv ist oder nicht (Projekt-Eigenschaft Gestion d'alarmes active).

Anzahl gesamt

Zeigt Anzahl aller Alarme.

Anzahl unquittiert

Zeigt Zahl unquittierter Alarme.

Listenfunktionen

Kontrollelement | Beschreibung
Listenfunktionen | Buttons zur Steuerung der Listen.
Filter | Öffnet Dialog zur Filterauswahl.
Stopp/Weiter | Schalter für Befüllung der Liste: Stopp: Neue Elemente werden nicht mehr automatisch hinzugefügt. Weiter: Neue Elemente werden automatisch hinzugefügt. Achtung: Die Beschriftung des Buttons kann im Editor zwar geändert werden, wird zur Runtime aber nicht übernommen. Änderungen der Beschriftung projektieren Sie über die Sprachumschaltung.
Drucken | Druckt gefilterte Liste.
Drucken mit Dialog | Öffnet vor dem Drucken die Druckereinstellungen.

Alarmfunktionen

Kontrollelement

Beschreibung

Alarmfunktionen

Buttons zum Quittieren und Löschen von Alarmen.

Quittieren

Alarmmeldungen zur Runtime quittieren.

Seite quittieren

Alle auf der aktuellen Seite angezeigten Alarme werden quittiert.

Alle quittieren

Alle dem aktuellen Filterkriterium entsprechenden Alarme werden quittiert.

Hinweis Mehrbenutzer-Projekt: Es werden nur die Alarme jenes Projektes quittiert, für die der Benutzer die Berechtigung dazu besitzt. (Details Mehrbenutzer-Projekt siehe Kapitel Verteiltes Engineering)

Sichtquittieren

Die ausgewählten Alarme werden sichtquittiert.

Sichtquittieren und quittieren

Die ausgewählten Alarme werden erst sichtquittiert und dann quittiert.

Löschen

Löscht Alarm zur Runtime aus der Alarmmeldeliste. Alarm muss bereits quittiert sein.

Seite löschen

Löscht alle quittierten Alarme, die auf der aktuellen Seite angezeigt werden.

Alle löschen

Löscht alle quittierten Alarme, die dem aktuellen Filterkriterium entsprechen.

Verknüpfte Funktion (Anzeige)

Zeigt die der Alarmmeldung zugeordnete Funktion an.

Funktion ausführen

Führt zur Runtime die am Alarm projektierte Funktion aus.

Hinweis: Bei der Funktion Starte Programm kann der Variablenname des ausgewählten Alarms als Parameter für das zu startende Programm über das Schlüsselwort @alarm.name übergeben werden.

Hilfe aufrufen...

Ruft projektierte Hilfe auf.

Anzeigen

Status und Elemente der Alarmverwaltung.

Kommentarfeld

Eingabe eines freien Textes durch den Benutzer für den ausgewählten Alarm.

Maximale Länge: 79 Zeichen

Dieser Text kann in der Liste mit angezeigt werden. Dazu wird die Option Kommentar in den Spalteneinstellungen der Alarmverwaltung aktiviert.

Das Kommentarfeld ist ein Element vom Typ Dynamischer Text. Für dieses Element wird beim Projektieren automatisch die Eigenschaft Ecrire valeur prescrite aktiviert. Zusätzlich wird die Eigenschaft Écrire valeur prescrite par auf den Wert Element gesetzt.

Änderungen an Kommentaren können über die Aktivierung der Eigenschaft Commentaires de la liste d'alarme dokumentiert werden.

Alarmursache auswählen...

Öffnet den Dialog zur Auswahl einer Alarmursache.

Über den Dialog kann dem in der Alarmmeldeliste ausgewählten Alarm eine Alarmursache zugeordenet werden.

Hinweis: Inaktiv wenn kein Eintrag in der Alarmmeldeliste ausgewählt ist.

Siehe auch Kapitel Alarmursachen.

Navigation

Kontrollelement | Beschreibung
Navigation | Steuert Elemente der Liste.
Zeile nach oben | Blättert eine Zeile nach oben.
Zeile nach unten | Blättert eine Zeile nach unten.
Spalte nach rechts | Blättert eine Spalte nach rechts.
Spalte nach links | Blättert eine Spalte nach links.
Seite nach oben | Blättert eine Seite nach oben.
Seite nach unten | Blättert eine Seite nach unten.
Seite nach rechts | Blättert eine Seite nach rechts.
Seite nach links | Blättert eine Seite nach links.

Kompatible Elemente

Kontrollelement | Beschreibung
Kompatible Elemente | Les éléments de contrôle supprimés ou remplacés par des versions plus récentes restent disponibles, pour des raisons de compatibilité. Ces éléments ne sont pas pris en compte lors de l’insertion automatique de modèles.
Status | Élément de contrôle statique Win32. Remplacé par un champ de texte dynamique. Pour la description, reportez-vous à l’élément actuel.
Anzahl gesamt | Élément de contrôle statique Win32. Remplacé par un champ de texte dynamique. Pour la description, reportez-vous à l’élément actuel.
Anzahl unquittiert | Élément de contrôle statique Win32. Remplacé par un champ de texte dynamique. Pour la description, reportez-vous à l’élément actuel.
Verknüpfte Funktion (Anzeige) | Élément de contrôle statique Win32. Remplacé par un champ de texte dynamique. Pour la description, reportez-vous à l’élément actuel.
Eingestellter Filter | Élément de contrôle statique Win32. Remplacé par un champ de texte dynamique. Pour la description, reportez-vous à l’élément actuel.
Kommentarfeld | Élément de contrôle statique Win32. Remplacé par un champ de texte dynamique. Pour la description, reportez-vous à l’élément actuel.
Schablone schließen | Schließt die Schablone auf der das Bild beruht. Empfehlung: Benutzen Sie zum Schließen von Schablonen die Funktion Schablone schließen. Damit nach dem Schließen das davor geöffnete Bild angezeigt wird, muss das Bild vom Typ AML mit einer eigenen Schablone projektiert werden.

Filterprofile

Kontrollelement | Beschreibung
Filterprofile | Boutons de configuration des filtres dans le Runtime.
Profilauswahl | Sélectionner un profil dans la liste.
Speichern | Enregistrer la configuration actuelle sous forme de profil. Remarque : Le nom ne peut contenir que 31 caractères maximum et uniquement des caractères valides. Les caractères suivants sont interdits : ! \ / : * ? < > | ""
Löschen | Supprimer le profil sélectionné.
Import | Importe les profils de filtre depuis un fichier d’exportation.
Export | Exporte les profils de filtre vers un fichier.

Configuration de l’affichage

Configurez l’affichage des informations dans la ligne d’état des alarmes et la liste d’alarmes à l’aide des paramètres des colonnes de la configuration des alarmes. Vous pouvez accéder à la configuration des colonnes par le biais des options suivantes :

  • Paramètres du projet -> Liste d'alarmes -> Paramètres des colonnes alarmes (onglet Paramètres des colonnes uniquement)

    ou

  • Fonction d’appel d’un synoptique de type AML (tous les onglets)

Affichage dans la colonne de valeurs

Seules les valeurs associées à des types de données numériques peuvent être affichées dans la colonne Valeur. La colonne reste vide pour les entrées associées à un type de données String.

Fonctions de configuration des valeurs limites d’alarmes

Lors du démarrage du Runtime, une vérification est effectuée afin de déterminer si la valeur de limite a déjà été atteinte avant la fermeture du Runtime. Si c’est le cas, la fonction liée n’est pas exécutée à nouveau.
Remarque : Si la limite n’est pas une alarme, l’exécution de la fonction de valeur limite au démarrage du Runtime peut être influencée par le paramètre de projet Exécuter fonction limite au démarrage du runtime dans le groupe Fonctions. Ce paramètre influence uniquement les valeurs limites qui ne sont pas des alarmes.

Champ de commentaires

Les entrées ou les modifications dans le champ de commentaires provoquent les actions suivantes :

  • L’autorisation utilisateur pour la création ou la modification de commentaires est vérifiée.
  • Un Event est créé pour l’API (AlarmUsertextChanged).
  • Une entrée est insérée ans la liste CEL :
  • Pour les clients ou le serveur de secours, le commentaire est envoyé au serveur primaire.
  • Si la propriété Commentaires de la liste d'alarme a été activée, une entrée faisant référence à une modification est insérée dans la liste CEL lorsqu’une modification est effectuée.

Autres sujets abordés dans ce chapitre

Ligne d’état des alarmes

Liste des alarmes

Acquitter alarmes

Alarmes : acquitter clignotement

Alarmes : Supprimer

Filtrage d’alarmes

Impression et exportation d’alarmes


Ligne d’état des alarmes

Manuel -> Gestion des alarmes -> Utilisation dans le Runtime -> Ligne d’état des alarmes

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Alarmes : Messages d’état dans la ligne d’état rouge

La ligne d’état des alarmes affiche les alarmes qui ne peuvent pas être acquittées dans le Runtime en caractères noirs sur fond rouge. Elle contient des informations concernant les variables à déclencher et l’heure. La ligne d’état des alarmes est définie comme une fenêtre de premier plan de Windows, et se superpose donc à tous les écrans de zenon, ainsi qu’à ceux d’autres applications.

Pour acquitter les alarmes, double-cliquez dessus avec le bouton droit de la souris.

L’apparence de la ligne d’état des alarmes peut être configurée dans les propriétés du projet. La ligne d’état des alarmes peut être recouverte par une autre ligne d’état (bleue, par défaut), destinée à informer l’utilisateur sur le nombre d’alarmes ou un dépassement de capacité du buffer.

Avertissements : Avertissements affichés dans la ligne d’état bleue

Vous pouvez définir trois messages d’état pour informer l’utilisateur que le nombre d’alarmes dépasse un certain nombre, ou que la taille de la mémoire circulaire de la liste d’alarmes va bientôt être dépassée. Par défaut, ces informations sont affichées en caractères blancs sur fond bleu. L’apparence peut être modifiée dans les propriétés du projet.
Les messages d’état recouvrent la ligne d’alarmes rouge tant qu’ils n’ont pas été acquittés. Vous pouvez les acquitter en double-cliquant dessus avec le bouton droit de la souris. Pour cela, l’utilisateur doit faire partie du groupe d’autorisation requis. Ces autorisations peuvent être configurées dans la gestion d’utilisateurs, via les autorisations de fonctions.

Les considérations suivantes s’appliquent lors de l’ouverture de la ligne d’état :

  • La priorité d’affichage de la ligne bleue est supérieure à celle de la ligne rouge d’état des alarmes.
  • La ligne bleue réagit uniquement au nombre total d’entrées de la liste.
  • Les valeurs maximales du nombre total d’entrées de la liste peuvent être définies par le biais des propriétés du groupe Ligne d'état des alarmes.
    • Nombre d'alarmes Message 1
    • Nombre d'alarmes Message 2
    • Nombre d'alarmes Message 3

    Chaque valeur maximale peut être associée à un message affiché au bas de l’écran en cas de dépassement.

  • La valeur maximale possible est active en permanence.
  • La ligne bleue peut uniquement être désactivée avec un clic droit. Dans ce cas, la valeur maximale adjacente est uniquement déclenchée si elle a été explicitement atteinte.
  • Une valeur maximale désactivée est alors uniquement réactivée en cas de nouveau dépassement.

Configuration de la ligne d’état des alarmes

Pour afficher la ligne d’état des alarmes dans le Runtime, activez la propriété Ligne d'état active dans les propriétés de projet du groupe Liste d'alarmes.

Les actions de la ligne d’état des alarmes dans le Runtime, ainsi que la police utilisée, sont définies dans les propriétés de projet de Ligne d'état des alarmes dans le groupe Liste d'alarmes :

  • afficher suivante : définit la ligne d’état des alarmes sous forme de système circulaire. La propriété Taille du buffer circulaire permet de définir la taille du système circulaire. Si cette propriété est désactivée, la ligne d’état ne contient toujours qu’une seule alarme.
  • Visualisation : définit l’affichage du filtre le plus ancien ou de l’alarme la plus récente. Sélectionnez l’option souhaitée dans la liste déroulante.
    • Alarme la plus ancienne : Buffer de type FIFO
    • Alarme la plus récente : Buffer de type LIFO

attention Attention

Comportement dans la gestion multi-projets :

La configuration dans le projet d’intégration définit le comportement des sous-projets, indépendamment de la configuration des sous-projets.

  • Si la ligne d’état des alarmes est désactivée dans un sous-projet, mais pas dans l’intégration d’un projet de départ, la ligne d’état des alarmes reste affichée.
  • Si la ligne d’état des alarmes est activée dans le projet de niveau supérieur, elle est également affichée dans le sous-projet, même si elle a été désactivée ici.
  • La ligne d’état des alarmes du projet de niveau supérieur est toujours utilisée dans le Runtime.

Positionnement

Par défaut, la ligne d’état des alarmes est affichée en haut de l’écran (sa hauteur est de 18 pixels avec la police standard). Vous pouvez également modifier la taille et la position dans les cadres. Pour cela, sélectionnez la ligne d’état des alarmes et désactivez l’option Utiliser la position standard. Vous pouvez alors positionner la ligne d’état des alarmes à votre convenance, de la même manière que les cadres.
Dans le cas d’une gestion multi-projets, la ligne d’état des alarmes du projet d’intégration (c’est-à-dire le projet père) détermine la position. Le paramétrage des sous-projets est ignoré.

Couleurs de la ligne d’état des alarmes

Les couleurs de la ligne d’état des alarmes peuvent être configurée via les propriétés du groupe Ligne d'état des alarmes.

Pour les alarmes :

  • Couleur du texte
  • Couleur d'arrière-plan

Pour les avertissements de dépassement du nombre d’alarmes défini ou de dépassement de la capacité du buffer :

  • Couleur de texte du Message 1
  • Couleur de fond du Message 1
  • Couleur de texte du Message 2
  • Couleur de fond du Message 2
  • Couleur de texte du Message 3
  • Couleur de fond du Message 3


Liste des alarmes

Manuel -> Gestion des alarmes -> Utilisation dans le Runtime -> Liste des alarmes

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

La liste d’alarmes montre les messages d’alarmes ligne par ligne en Runtime. Les lignes comportant des alarmes non acquittées peuvent être affichées comme clignotantes.

Pour créer et afficher la liste AML, activez la propriété Gestion d'alarmes active dans le groupe Liste d'alarmes. Dans la section Paramètres des colonnes, vous pouvez configurer le format d’affichage dans le filtre de la fonction d’appel de synoptique.

Les alarmes sont enregistrées dans une mémoire circulaire (alarm.bin) et un fichier d’alarmes (*.aml) dans le dossier Runtime, dès leur déclenchement. La mémoire circulaire est une mémoire volatile depuis laquelle des alarmes peuvent être à nouveau supprimées, conformément à certaines règles. La liste AML enregistre de manière durable les alarmes et les informations importantes concernant celles-ci.

Buffer circulaire

La mémoire circulaire inclut toutes les alarmes actives. Celui-ci gère les éléments suivants :

  • Heure de déclenchement (en millisecondes), servant de signature unique
  • Informations supplémentaires – cause, valeur, etc.
  • Heure de disparition
  • Heure d'acquittement

Comportement lors de la suppression de la mémoire circulaire :

  • Dès qu’une alarme est acquittée, elle est supprimée de la mémoire circulaire.
  • Si la propriété Acquittement obligatoire a été activée, l’alarme doit être acquittée par un utilisateur autorisé avant de pouvoir être supprimée de la mémoire circulaire. Lors de l’acquittement d’une alarme, toutes les alarmes d’une variable associée au même dépassement de valeur limite sont également supprimées de la mémoire circulaire.
  • Si la propriété Acquittement à deux étapes est activée, elle doit être spécifiquement supprimée de la mémoire circulaire par une personne autorisée.
    Exemple : L’alarme a été effacée et acquittée par l’opérateur. Elle est conservée dans la mémoire circulaire jusqu’à la confirmation de sa suppression.

Remarque : Les entrées ne sont jamais supprimées dans la liste AML?; seul leur état est documenté.

Taille de la mémoire circulaire

La taille de la mémoire circulaire doit être définie dans les propriétés du projet, par l’intermédiaire de la propriété Taille du buffer circulaire.
Recommandation : définir une taille au moins égale au nombre de variables pour lesquelles des alarmes peuvent se déclencher.

La mémoire circulaire est automatiquement enregistrée sous forme de fichier alarm.bin lors de la fermeture du Runtime. Si le Runtime est fermé en raison d’un événement inattendu (par exemple, une coupure de courant), les données sont perdues. Pour éviter cela, la mémoire circulaire peut être enregistrée manuellement, via la propriété Enregistrer le buffer circulaire en cas de modification, à chaque nouvelle entrée?; elle peut également être enregistrée via la fonction Enregistrer la mémoire circulaire des listes AML et CEL.

Attention : Dans le Runtime, la mémoire circulaire est gérée de manière dynamique dans la mémoire. Les alarmes ne comportant pas des informations d’effacement avec horodatage peuvent être affichées en agissant sur le nombre défini d’alarmes. Ainsi, des alarmes dépassant la taille de la mémoire circulaire peuvent être affichées.

Example Exemple
  • Taille de la mémoire circulaire : 100 entrées
  • Alarmes actives dans le Runtime sans informations d’acquittement dans les informations d’horodatage : 120
  • Affichage dans la liste d’alarmes dans le Runtime : 120

Fichier d’alarmes

Toutes les alarmes sont consignées dans un fichier d’alarmes (*.aml) en même temps que dans la mémoire circulaire. Ce fichier est créé automatiquement pour chaque jour calendaire, et géré via la propriété Enregistrer les données d'alarmes. Le nom du fichier d’alarmes est constitué de la lettre A, suivie de la date au format AAMMJJ et du suffixe .aml – par exemple, A100623.aml. Ces fichiers sont créés automatiquement pour chaque jour et doivent être transférés ou supprimés par l’utilisateur si la capacité de stockage est limitée. Les fichiers *.aml sont enregistrés dans le dossier ...\Dossier du projet\Nom de l’ordinateur\Nom du projet.

Synchronisation de la mémoire circulaire et du fichier d’alarmes

La mémoire circulaire et le fichier d’alarmes sont synchronisés. Cette synchronisation découle de la mémoire circulaire vers le fichier d’alarmes. Toutes les modifications, telles que l’acquittement, sont uniquement exécutées dans la mémoire circulaire avant d’être synchronisées au niveau du fichier d’alarmes. Par exemple, toutes les alarmes non acquittées peuvent être affichées dans le fichier d’alarmes et l’acquittement peut être introduit au niveau du fichier. L’action, toutefois, se déroule au niveau de la mémoire circulaire.

Périodes d’enregistrement

Le fichier d’alarme au format *.aml est enregistré à chaque nouvelle entrée.

La mémoire circulaire (*.bin) est enregistrée :

  • Lors de la fermeture du Runtime
  • À chaque nouvelle entrée, si la propriété Enregistrer le buffer circulaire en cas de modification est active
  • Lors de l’exécution de la fonction Enregistrer le buffer circulaire d'alarmes et d'événements

Remarque : Si l’option Enregistrer le buffer circulaire en cas de modification est désactivée, il est possible que les entrées dans la liste AML et la mémoire circulaire ne correspondent pas, après une panne de courant.

attention Attention

Si la capacité de la mémoire circulaire est dépassée, car cette dernière elle est trop petite, les entrées non acquittées sont conservées dans le fichier d’alarmes. Elles sont affichées durant le filtrage des données, mais ne peuvent plus être acquittées. Toute tentative d’acquittement de ces alarmes peut déclencher l’acquittement au niveau de la mémoire circulaire si les alarmes concernent la même variable et le même dépassement de valeur limite.

Liste AML dans le Runtime

Les alarmes dans la liste d’alarmes peuvent présenter trois états :

  • non disparue
  • Non acquitté
  • non effacée

Les alarmes peuvent devoir être acquittées ou supprimées.

L’acquittement réinitialise l’attribut de clignotement des variables. L’effacement d’une entrée ne peut être effectué que si l’alarme a disparu et qu’elle a été acquittée. La configuration de la nécessité d’acquittement ou de suppression s’effectue par l’intermédiaire des propriétés Acquittement obligatoire et Acquittement à deux étapesdans les nœuds Valeurs limite/Liste d'alarmes/d'événements de configuration des variables.

Exemple de structure pour la liste d’alarmes dans le Runtime :

Variable | Date/Heure d’apparition | Date/Heure de disparition | Date/Heure d’acquittement | Texte d’information
Defaut_Motor1 | 20.06.2011 13:00:04 | 20.06.2011 13:05:35 | 20.06.2011 13:05:40 | Relais de protection du moteur activé

Vous pouvez acquitter chaque ligne en double-cliquant dessus avec le bouton droit de la souris. Pour cela, l’utilisateur doit faire partie du groupe d’autorisation requis.

Lorsque la liste d’alarmes est ouverte, l’état de la gestion des alarmes s’affiche dans le coin supérieur gauche (active ou inactive).

info Informations

Les variables affichant le nombre d’alarmes non acquittées, le nombre d’alarmes acquittées et le nombre total d’alarmes sont mémorisées dans une liste conservée dans la mémoire locale.

Voir la variable "Alarmes non acquittées" aux chapitres Définition des alarmes et Filtres de la liste d’événements.

Autres sujets abordés dans ce chapitre

Causes d'alarmes

Afficher les alarmes non acquittées comme clignotantes


Causes d'alarmes

Manuel -> Gestion des alarmes -> Utilisation dans le Runtime -> Liste des alarmes -> Causes d'alarmes

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Configuration des causes d’alarme

Les causes d’alarmes dans le projet sont configurées dans le Runtime en utilisant un écran Liste contextuelle.

Attribution des causes d’alarmes

Les causes d’alarmes peuvent être attribuées dans le Runtime.

Pour attribuer une cause d’alarme :

  1. Sélectionnez une entrée dans la liste d’alarmes
  2. Cliquez sur l’élément avec la cause d’alarme sélectionnée Fonction spécifique au type de synoptique ...
  3. Sélectionnez une cause d’alarme, puis confirmez la fenêtre de dialogue avec OK.

    Remarque : Si un nœud est attribué, les nœuds de niveau supérieur (textes) sont insérés avant le texte sélectionné avec les périodes (.).

    Exemple : Alarm Causes Hall 1.Conveyor.Conveyor 1

Les causes d’alarmes peuvent maintenant être affichées dans une colonne séparée dans la liste d’alarmes.

info Informations

Il est possible d’utiliser la Autoriser noeuds de fin uniquement comme cause d'alarme propriété de projet dans le groupe liste d’alarmes pour déterminer si des textes de tous les niveaux ou seulement des textes provenant de nœuds peuvent être sélectionnés comme causes d’alarmes.

En activant cette propriété, il est possible par exemple d’éviter une sélection générique des causes d’alarmes.

Attribution de causes d’alarmes en utilisant un écran de Liste de contextuelle

Vous pouvez aussi attribuer des causes d’alarmes à des alarmes en utilisant un écran de Liste contextuelleListe contextuelle.

Vous trouverez des informations détaillées à ce sujet au chapitre Utilisation d’un Liste contextuelle écran pour sélectionner des causes d’alarmes.

Enregistrement dans le CEL

Si une alarme est attribuée à une cause d’alarme ou si le lien est modifié, ceci est enregistré dans le CEL. Ce faisant, le cas échéant, l’ancienne valeur et la nouvelle valeur sont affichées. Les liens qui sont effectués en utilisant l’API sont donc enregistrés.

Autres sujets abordés dans ce chapitre

Utilisation multi-projet des causes d’alarmes


Utilisation multi-projet des causes d’alarmes

Manuel -> Gestion des alarmes -> Utilisation dans le Runtime -> Liste des alarmes -> Causes d'alarmes -> Utilisation multi-projet des causes d’alarmes

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Les causes d’alarmes peuvent également être utilisées dans l'ensemble des projets. Ce faisant, vous pouvez relier des causes d’alarmes à partir du projet d’intégration pour des alarmes provenant de sous-projets.

Dans ce cas, les dispositions suivantes s'appliquent :

  • Pour l’affichage des causes d’alarmes dans la liste d’alarmes :
    • Si la liste d’alarmes est ouverte dans le projet d’intégration, le Liste contextuelle du sous-projet qui appartient à l’alarme est recherché en premier lieu et cette entrée est utilisée.
    • Si aucune entrée n’y est trouvée, le Liste contextuelle du projet d’intégration est recherché.
    • Si la liste d’alarmes du projet auquel l’alarme appartient est ouverte, seul le Liste contextuelle de ce projet est recherché.
    • Si une cause d’alarme du projet d’intégration a été relié et que la liste d’alarmes est ouverte dans le sous-projet, l’entrée Cause d’alarme inexistante est affichée
  • Concernant la fenêtre de dialogue de sélection des causes d’alarmes (à partir d’un projet d’intégration avec sous-projets) :
    • Si, dans la liste d’alarmes, une ou plusieurs alarmes sont sélectionnées à partir du même sous-projet, le sous-projet correspondant ainsi que le projet d’intégration sont tous deux ouverts dans la fenêtre de dialogue des causes d’alarmes.
    • Si plusieurs alarmes de différents projets sont sélectionnées, seul le projet d’intégration est ouvert pour la sélection.


Afficher les alarmes non acquittées comme clignotantes

Manuel -> Gestion des alarmes -> Utilisation dans le Runtime -> Liste des alarmes -> Afficher les alarmes non acquittées comme clignotantes

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Les alarmes non acquittées peuvent être affichées comme clignotantes dans la liste AML.

Lorsque la propriété Les alarmes non acquittées clignotent est active, la couleur de premier plan et la couleur d’arrière-plan clignotent en alternance dans toutes les lignes non acquittées et non sélectionnées de la liste d’alarmes, une fois par seconde. Les lignes sélectionnées ne clignotent pas.

Pour cela :

  1. Dans Editor, accédez à la section Liste d'alarmes des propriétés du projet.
  2. Cochez la case adjacente à la propriété Les alarmes non acquittées clignotent.
  3. Configurez les couleurs souhaitées (premier plan) pour Date/heure d'apparition, Date/heure de disparition, Date/heure d'acquittement.

    Conseil : Définissez la propriété Couleur de classe d'alarmes/d'événements sur Comme arrière-plan des lignes. La couleur de la classe d’alarmes est alors utilisée comme couleur d’arrière-plan


Acquitter alarmes

Manuel -> Gestion des alarmes -> Utilisation dans le Runtime -> Acquitter alarmes

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Les alarmes peuvent être acquittées comme suit :

  • en double-cliquant avec le bouton droit sur la ligne d’état des alarmes
  • en double-cliquant avec le bouton droit sur une entrée de la liste d’alarmes
  • Fonction Acquitter les alarmes
  • Bouton Acquitter et option Confirmation visuelle et acquittement dans la liste d’alarmes

Les alarmes acquittées sont affichées dans l’AML sous "Acquitté".

Lors de l’acquittement d’une alarme :

  • Toutes les alarmes d’une variable comportant une même valeur limite sont acquittées ensemble.
  • Le nom et l’identifiant de l’utilisateur ayant supprimé l’alarme sont inscrits dans la liste d’alarmes
  • Le nom de l’ordinateur depuis lequel l’alarme a été acquittée est écrit dans la liste d’alarmes
  • L’acquittement de l’alarme peut en outre être écrit dans la liste d’événements (CEL)

Les alarmes sont enregistrées dans la mémoire circulaire jusqu’à ce qu’elles soient acquittées. Au même moment, elles sont écrites dans un fichier d’alarmes (*.aml) dont les données peuvent être filtrées et leur synchronisation est préservée.

Attention : La propriété Taille du buffer circulaire doit être définie de manière adéquate. Si les alarmes ne sont plus enregistrées dans la mémoire circulaire en raison d’un dépassement de la capacité, les alarmes non acquittées sont conservées dans le fichier d’alarmes. Pour plus de détails, reportez-vous au chapitre Liste d’alarmes (AML).

info Informations

Si les alarmes nécessitent un commentaire, elles peuvent uniquement être acquittées en cas de saisie d’un commentaire. L'utilisateur doit être autorisé à exécuter les fonctions nécessaires.

Fonction Acquitter les alarmes

La fonction d’acquittement des alarmes permet

  • D’acquitter les alarmes de la liste AML à l’aide d’un appel de fonction
  • D’effectuer un acquittement global

Si cette fonction est utilisée dans le Runtime, l’attribut de clignotement des éléments graphiques liés aux variables – et donc aux synoptiques d’alarme – est réinitialisé (SICAM 230 uniquement). Les alarmes sélectionnées sont acquittées. Pour plus de détails, reportez-vous au chapitre Acquittement d’alarmes.

Autorisation utilisateur

Les fonctions d’acquittement des alarmes et de suppression des alarmes peuvent être attribuées à un groupe d’utilisateurs via l’autorisation de fonctions. Seul un utilisateur autorisé peut acquitter et supprimer des alarmes.

En outre, un droit d’utilisation supplémentaire peut être défini par le biais de la propriété Acquittement à deux étapes du sous-groupe concerné dans le groupe Valeurs limite. Les alarmes sélectionnées peuvent uniquement être supprimées de la liste d’alarmes par les utilisateurs disposant des droits nécessaires.

Si la propriété Acquittement à deux étapes est définie, les alarmes sont uniquement retirées de la liste d’alarmes actives lorsqu’elles sont supprimées. L’acquittement seul ne suffit pas.

info Informations

Les alarmes peuvent uniquement être supprimées après avoir été préalablement acquittées.

Autres sujets abordés dans ce chapitre

Commentaires requis pour l’acquittement

Lien d’une cause d’alarme pour acquittement

Acquittement visuel


Commentaires requis pour l’acquittement

Manuel -> Gestion des alarmes -> Utilisation dans le Runtime -> Acquitter alarmes -> Commentaires requis pour l’acquittement

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Les alarmes nécessitant un acquittement peuvent être configurées de sorte qu’un commentaire soit obligatoirement saisi avant acquittement. Pour saisir un commentaire, l’utilisateur doit activer l’autorisation de fonction correspondant à la saisie de commentaires sur les alarmes.

Pour soumettre l’acquittement d’une alarme à la nécessité de saisir un commentaire, définissez l’option correspondante via :

  • La configuration desMatrices de réaction
  • La Commentaire requis propriété dans le groupe Valeurs limite des variables ou des types de données

Les commentaires associés à l’acquittement d’alarmes peuvent uniquement être ultérieurement modifiés par les utilisateurs via l’autorisation de fonction Modifier le commentaire de l’alarme. Si des commentaires sont modifiés, une entrée est insérée dans la liste CEL, indiquant le nom de la variable, ainsi que le commentaire original et modifié.

La présence de commentaires associés aux alarmes nécessitant un commentaire est vérifiée pour toutes les possibilités d’acquittement (API inclus). L’autorisation requise est également vérifiée lorsque des modifications sont effectuées. La liste d’alarmes peut être filtrée pour identifier les alarmes nécessitant un commentaire, grâce aux éléments suivants :

  • Filtre de liste d’alarmes
  • Synoptique de filtre de liste d’alarmes


Lien d’une cause d’alarme pour acquittement

Manuel -> Gestion des alarmes -> Utilisation dans le Runtime -> Acquitter alarmes -> Lien d’une cause d’alarme pour acquittement

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Les alarmes nécessitant un acquittement peuvent être configurées de sorte qu’une cause d’alarme soit obligatoirement reliée avant acquittement.

L’option supplémentaire peut être définie pour :

  • La configuration desMatrices de réaction
  • La Cause d'alarme necessaire propriété dans le groupe Valeurs limite des variables et des types de données

Si une tentative d’acquittement d’alarme est effectuée sans cause d’alarme reliée, une fenêtre de dialogue d’avertissement correspondante est appelée.

Les liens de causes d’alarmes peuvent être modifiés ultérieurement. Si une alarme est attribuée à une cause d’alarme ou si le lien est modifié, ceci est enregistré dans le CEL. Ce faisant, le cas échéant, l’ancienne valeur et la nouvelle valeur sont affichées. Les liens qui sont effectués en utilisant l’API sont donc enregistrés.

Les alarmes nécessitant le lien d’une cause d’alarme sont, pour toutes les possibilités d’acquittement (API inclus), vérifiées si une cause d’alarme est reliée. La liste d’alarmes peut être filtrée selon les alarmes nécessitant une cause d’alarme par le biais de :

  • Filtre de liste d’alarmes
  • Synoptique de filtre de liste d’alarmes

Vous trouverez d'autres informations concernant les causes d’alarmes au chapitre Variables de drivers.


Acquittement visuel

Manuel -> Gestion des alarmes -> Utilisation dans le Runtime -> Acquitter alarmes -> Acquittement visuel

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

La confirmation visuelle permet à l’utilisateur de confirmer qu’il a pris connaissance d’une alarme, sans la réinitialiser immédiatement. Il est par exemple possible de confirmer visuellement, dans un premier temps, plusieurs alarmes qui n’ont pas de lien, puis de les acquitter et ainsi, de les réinitialiser ultérieurement.

Éléments de confirmation visuelle

Deux boutons sont disponibles pour la confirmation visuelle sur les synoptiques de type Liste AML :

  • Acquittement visuel
  • Acquittement visuel et acquittement

Les propriétés suivantes sont disponibles pour les variables du groupe Gestion des alarmes :

  • Variable d'acquittement
  • Variable d'acquittement visuel
  • Valeur d'acquittement

Utiliser la confirmation visuelle

Pour confirmer une alarme avec une confirmation visuelle :

  1. Configurez les boutons Confirmation visuelle et Confirmation visuelle et acquittement sur le synoptique.
  2. Configurez les propriétés Variable d'acquittement, Variable d'acquittement visuel et Valeur d'acquittement pour les variables correspondantes.
  3. Cliquez sur le bouton Imprimer avec boîte de dialogue dans le Runtime
    1. Confirmation visuelle : Les alarmes affichées en surbrillance peuvent être confirmées avec la fonction Confirmation visuelle. La Valeur d'acquittement est écrite dans la Variable d'acquittement visuel.
    2. Acquittement visuel et acquittement : Les alarmes affichées en surbrillance peuvent uniquement être confirmées avec la fonction Confirmation visuelle, puis être acquittées. La Valeur d'acquittement est écrite dans la Variable d'acquittement visuel et la Variable d'acquittement.

info Informations

La confirmation visuelle et l’acquittement nécessitent des droits différents. Pour la confirmation visuelle, l’autorisation d’exécution et l’autorisation d’utilisation du clavier sont nécessaires au niveau de l’utilisation et du verrouillage. Pour l’acquittement, les règles correspondantes (et notamment la validation des entrées et des droits) sont applicables. Il est donc possible qu’un utilisateur puisse effectuer la confirmation visuelle d’une alarme sans l’acquitter.

La confirmation visuelle est toujours définie, toutefois uniquement si la variable possède déjà cette valeur.


Alarmes : acquitter clignotement

Manuel -> Gestion des alarmes -> Utilisation dans le Runtime -> Alarmes : acquitter clignotement

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Outre l’acquittement d’alarmes depuis la liste d’alarmes, les synoptiques comportant des alarmes peuvent également être acquittés par le biais du modèle. L’acquittement du clignotement peut être effectué à l’aide de la fonction d’acquittement du clignotement des alarmes, ou en double-cliquant sur l’élément correspondant avec le bouton droit de la souris. Dans ce cas, seul l’attribut de clignotement des variables et le clignotement de tous les éléments graphiques sur le synoptique est réinitialisé. Les entrées ne sont toutefois pas acquittées dans la liste AML.

Acquittement du clignotement dans la liste AML

L’acquittement du clignotement acquitte les alarmes dans la liste AML si l’option Acquittement clignotement est également définie dans la gestion des alarmes.

Uniquement pour SICAM 230. L’acquittement dans la liste d’alarmes ou dans la ligne d’alarme située le long du bord supérieur du synoptique acquitte également l’alarme dans le synoptique et dans les synoptiques d’alarmes.

Acquittement du clignotement dans les projets d’intégration

Si des alarmes doivent être acquittées dans les projets d’intégration à l’aide de la fonction d’acquittement du clignotement, tous les synoptiques affectés doivent être ouverts.

Si des synoptiques dans des projets de niveau supérieur et inférieur possèdent le même nom, les synoptiques dans le projet de niveau inférieur ne sont pas ouverts. Si les noms des modèles sont différents, les synoptiques du sous-projet en arrière-plan sont ouverts et leur clignotement peut être acquitté.

info Informations

Si l’acquittement du clignotement est utilisé sur le réseau, il est uniquement exécuté localement, sur le client concerné.


Alarmes : Supprimer

Manuel -> Gestion des alarmes -> Utilisation dans le Runtime -> Alarmes : Supprimer

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

La suppression d’une alarme nécessite les conditions suivantes :

  • L’exécution d’une fonction Supprimer alarme
    ou
  • L’utilisation du bouton Supprimer sur un synoptique de type Liste d’alarmes.

Les alarmes peuvent uniquement être supprimées après avoir été préalablement acquittées.

Si la propriété Acquittement à deux étapes est définie pour l’option Valeurs limites, les alarmes sont uniquement effacées de la liste d’alarmes actives en cas de suppression. L’acquittement seul ne suffit pas.

Autorisation utilisateur

Les fonctions d’acquittement des alarmes et de suppression des alarmes peuvent être attribuées à un groupe d’utilisateurs via l’autorisation de fonctions. Seul un utilisateur autorisé peut acquitter et supprimer des alarmes.

En outre, un droit d’utilisation supplémentaire peut être défini par le biais de la propriété Acquittement à deux étapes du sous-groupe concerné dans le groupe Valeurs limite. Les alarmes sélectionnées peuvent uniquement être supprimées de la liste d’alarmes par les utilisateurs disposant des droits nécessaires.

Si la propriété Acquittement à deux étapes est définie, les alarmes sont uniquement retirées de la liste d’alarmes actives lorsqu’elles sont supprimées. L’acquittement seul ne suffit pas.

info Informations

Les alarmes peuvent uniquement être supprimées après avoir été préalablement acquittées.


Filtrage d’alarmes

Manuel -> Gestion des alarmes -> Utilisation dans le Runtime -> Filtrage d’alarmes

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Les alarmes peuvent être affichées avec un filtre dans le Runtime :

  • L’utilisation de filtres dans le Runtime
  • Appel de synoptique avec application d’un filtre prédéfini à un synoptique de type liste d’alarmes
  • Appel de synoptique avec application d’un filtre lors de l’appel d’un synoptique de type liste d’alarmes
  • Appel de synoptique vers un synoptique de type filtre de liste d’alarmes

Filtrage dans le Runtime

Les filtres peuvent être utilisés, dans le Runtime, sur les synoptiques de type liste d’alarmes. Pour filtrer les alarmes affichées dans la liste AML :

  1. Vous devez au préalable configurer un bouton Filtrer
  2. Cliquez sur le bouton
  3. La boîte de dialogue de filtre de la liste d’alarmes s’affiche à l’écran

Le filtre défini peut être enregistré dans les profils.

Appel de synoptique vers un synoptique de type liste d’alarmes

Les alarmes peuvent être affichées après un filtrage préalable. Pour cela :

  1. Configurez un filtre pour la fonction d’appel de synoptique de liste d’alarmes
  2. La liste d’alarmes est alors filtrée avant d’être affichée
  3. Si l’option Afficher la boîte de dialogue de filtre dans le Runtime est activée pour la fonction, vous pouvez redéfinir le filtre avant affichage
  4. D’autres paramètres de filtre dans le Runtime peuvent être appliqués à l’aide du bouton filtre

Appel d’un synoptique de filtre de liste d’alarmes

Pour uniquement proposer aux utilisateurs les filtres dont ils ont besoin dans le Runtime, vous pouvez utiliser un synoptique de filtre de liste d’alarmes. Pour cela :

  1. Configurez un appel de synoptique de filtre de liste d’alarmes
  2. Affichez la liste AML dans le Runtime avec cette fonction
  3. L’utilisateur accède alors à une liste d’alarmes personnalisée en fonction de ses critères.

Autres sujets abordés dans ce chapitre

Profils de filtre

Utilisation du filtre de liste d’alarmes


Profils de filtre

Manuel -> Gestion des alarmes -> Utilisation dans le Runtime -> Filtrage d’alarmes -> Profils de filtre

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Les profils de filtre sont des paramètres que l’utilisateur peut enregistrer et activer dans le Runtime en rapport avec un synoptique particulier.

Pour pouvoir utiliser les profils de filtre, vous devez configurer les éléments suivants :

Élément de contrôle | Description
Profils de filtre | Gestion des profils dans le Runtime.
Sélectionner un profil | Sélection, dans une liste déroulante, d’un profil enregistré.
Enregistrer | Cliquez sur le bouton dans le Runtime pour enregistrer les profils de filtre sous forme de profil. Remarque : Le nom ne peut contenir que 31 caractères maximum et uniquement des caractères valides. Les caractères suivants sont interdits : ! \ / : * ? < > | ""
Supprimer | Cliquez sur le bouton dans le Runtime pour supprimer le profil sélectionné.

Ceci vous permet d’effectuer les opérations suivantes dans le Runtime :

  • Enregistrer des filtres
  • Utiliser des filtres enregistrés
  • Supprimer des profils de filtre

Les profils de filtre peuvent également être exportés et importés avec d’autres éléments de contrôle.

Enregistrer un profil de filtre

Pour créer un profil de filtre :

  1. Définir les conditions de filtre
  2. Saisissez un nom dans le champ de saisie profils de filtre
  3. Cliquez sur le bouton Enregistrer.
    Le profil de filtre est enregistré et peut être sélectionné dans la liste déroulante.

Utiliser un profil de filtre

Pour utiliser un profil de filtre :

  1. Sélectionnez un filtre dans les profils de filtres de la liste déroulante.
  2. Le filtre est appliqué immédiatement

Supprimer un profil de filtre

Pour supprimer un profil de filtre :

  1. Sélectionnez un filtre dans les profils de filtres de la liste déroulante.
  2. Cliquez sur le bouton Supprimer.
    Le profil de filtre est supprimé.
  3. Le filtre supprimé reste appliqué tant qu'un nouveau filtre est défini ou sélectionné


Utilisation du filtre de liste d’alarmes

Manuel -> Gestion des alarmes -> Utilisation dans le Runtime -> Filtrage d’alarmes -> Utilisation du filtre de liste d’alarmes

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Vous pouvez ajuster les paramètres de filtre de la liste d’alarmes dans le Runtime à l’aide du synoptique de filtre de liste d’alarmes. Tous les paramètres de filtre disponibles dans le filtre pour la fonction d’appel de synoptique de Liste d’événements peuvent être configurés.

Par conséquent :

  • Seuls les éléments de filtre réellement nécessaires sont configurés et proposés à l’utilisateur.
  • Seuls ces filtres et une vue d’ensemble sont accessibles à l’utilisateur.
  • Vous êtes libre de modifier l’apparence et pouvez, par exemple, faciliter l’utilisation du système avec un écran tactile.

Synoptiques de filtre

Les synoptiques de filtre permettent de transférer un filtre prédéfini d’un synoptique vers un autre. Le filtre du synoptique source est défini à l’aide du synoptique cible. Les synoptiques peuvent également être de types différents.

attention Attention

Pour que le temps du synoptique soit affiché dans le Runtime, la plage de temps suivante doit être sélectionnée dans Editor pour la fonction d’appel de synoptique de la liste d’alarmes ou de la liste d’événements, dans la propriété filtre de temps : Définir le filtre avec un type de filtre horaire

Définition de l’affichage

Les conditions suivantes doivent être remplies pour que les filtres définis soient utilisés :

  1. Le filtre défini pour le type de filtre de temps est sélectionné en tant qu’intervalle de temps pour le filtre de temps.
  2. Le synoptique (synoptiques Filtre de liste d’alarmes, Filtre de liste d’événements et Filtre de temps/de lots) est activé à l’aide d’un bouton ou d’un élément combiné. C’est la seule manière de maintenir la relation entre le synoptique de filtre et le synoptique source.
  3. Le synoptique source et le synoptique de filtre doivent être configurés dans différents cadres ou sur différents moniteurs. Le filtre du synoptique de filtre peut uniquement être actualisé si le synoptique source est ouvert. Cela est uniquement possible si les deux synoptiques n’utilisent pas le même cadre ou le même moniteur.
  4. Le synoptique appelé doit être compatible avec le synoptique de filtre appelé (voir table).
Synoptique source | Filtre de liste AML | Filtre de liste CEL | Filtre de temps
Maintenance d'archive | T | T | T
Extended Trend | T | T | T
Filtre de temps | T | T | X
Filtre d'alarmes | X | C | T
Filtre de liste d’événements | C | X | T
Liste des alarmes | X | C | T
Liste d'événements | C | X | T

Légende :

  • C : Les paramètres communs sont mis à jour.
  • T : Les paramètres de temps sont mis à jour.
  • X : Tous les paramètres sont mis à jour.

info Informations

Aucun filtrage

Le synoptique de filtre n’est pas filtré, mais il est ouvert avec les valeurs configurées si :

  • Une des conditions 1 à 3 n’est pas satisfaite ou
  • Le paramètre Synoptique appelé n’est pas activé pour la fonction Appel de synoptique ou
  • Le synoptique n’est pas appelé par le biais d’un élément de synoptique

Dans ce cas, les boutons Accepter, Fermer et Mise à jour sont grisés dans le Runtime et n’ont aucune fonction.

Mise à jour

Lorsqu’un synoptique de filtre est activé (filtre de liste d’alarmes, filtre de liste d’événements et filtre de temps), les synoptiques configurés dans la fonction d’appel de synoptique sont mis à jour de deux manières :

  • Si le synoptique de filtre est invoqué par le biais d’un élément de synoptique, les synoptiques cibles affichés sur le même moniteur que le synoptique source sont mis à jour.
  • Si le filtre est invoqué de manière différente ou si le paramètre Mettre à jour sur tous les moniteurs est activé, tous les synoptiques cible sont configurés et mis à jour.

Ils sont mis à jour dès que vous cliquez sur le bouton Accepter ou que vous fermez le synoptique de filtre en cliquant sur le bouton Fermer. Le bouton Annuler annule les modifications et ferme le synoptique de filtre.

Mise à jour des paramètres de filtre

Vous pouvez actualiser les paramètres de filtre actuels du synoptique source en cliquant sur le bouton Actualiser. Si le synoptique de filtre n’est pas invoqué par un élément de synoptique, ou si l’option Synoptique d’activation n’a pas été activée, tous les moniteurs sont inspectés afin de déterminer les synoptiques pouvant être utilisés aux fins de la mise à jour. Le premier synoptique trouvé est alors utilisé pour la mise à jour.


Impression et exportation d’alarmes

Manuel -> Gestion des alarmes -> Utilisation dans le Runtime -> Impression et exportation d’alarmes

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Les alarmes de la liste AML peuvent être documentées et archivées comme suit :

  • Liste AML – Imprimer en ligne : chaque événement est imprimé sur une imprimante connectée en ligne s’il est affiché dans la liste
  • Impression hors ligne de la liste AML : la liste AML est imprimée sous forme de liste dans son état actuel
  • Exportation du contenu de la liste AML (filtrée)

La configuration de l’impression peut être définie par le biais du menu Fichier -> Configuration générale -> Standard.

attention Attention

Un fichier de configuration *.frm est utilisé pour l’impression :

  • En ligne : ALARM.frm
  • Hors ligne : ALAR_G.frm.

Ce fichier FRM doit se trouver dans l’arborescence du projet, dans la section Fichier du dossier Textes et formats.

Les modèles de fichiers FRM sont disponibles dans le dossier d’installation zenon du sous-dossier FRM_QRF. Par le biais du fichier, ils peuvent être insérés dans la section Textes et formats, puis être édités ici.

Les mots-clés des fichiers FRM sont répertoriés au chapitre Fichier de configuration FRM.

Autres sujets abordés dans ce chapitre

Impression en ligne

Impression hors ligne

Fichier de configuration FRM

Exportation d’alarmes


Impression en ligne

Manuel -> Gestion des alarmes -> Utilisation dans le Runtime -> Impression et exportation d’alarmes -> Impression en ligne

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Lors de l’impression en ligne, toute alarme activée est immédiatement transmise à l’imprimante.

Attention : l’impression en ligne s’effectue en mode ligne par ligne, conformément au standard ESC/P (Epson Standard Code for Printers), et nécessite une imprimante compatible Epson.

Pour imprimer des alarmes en ligne :

  1. Définissez une imprimante.
  2. Accédez au nœud Alarmes et événements dans les propriétés du projet.
  3. Activez la propriété Impression active.
  4. Sélectionnez la propriété Impression pour dans la liste déroulante Liste d’alarmes.
  5. Définissez le nombre de lignes à l’aide de la propriété Lignes par page (par défaut : 72).
  6. Configurez le fichier ALARM.frm.
  7. Ajoutez le fichier ALARM.frm au nœud Fichiers/Textes et formats.

info Informations

Cette fonction n’est pas disponible sous Windows CE.

Contrôler l’impression et l’imprimante dans le Runtime

Modification de page

Une instruction de présentation de page suivante est exécutée si :

  • Une page est terminée
  • Le Runtime est fermé et l’impression en ligne est active
  • La fonction Démarrer l’impression en ligne sur une nouvelle page est exécutée

Arrêt de l’impression

Pour arrêter ou poursuivre l’impression en ligne :

  • Exécutez la fonction Imprimante en ligne activée/désactivée.

Changement et configuration d’une imprimante

Pour changer d’imprimante dans le Runtime :

  • Exécuter la fonction Imprimante en ligne Activée/Désactivée

Pour configurer l’imprimante sélectionnée dans le Runtime :

  1. Configurez un élément de contrôle Imprimer avec boîte de dialogue pour le synoptique
  2. Cliquez sur le bouton Imprimer avec boîte de dialogue dans le Runtime
  3. La boîte de dialogue de configuration s'affiche.

Imprimante

Paramètres | Description
Imprimante | Paramètres de l’imprimante.
Nom : | Sélectionnez l’imprimante dans la liste déroulante. La liste contient toutes les imprimantes configurées dans le système d’exploitation.
Propriétés... | Ouvre la boîte de dialogue de configuration de l’imprimante.
État : | Affiche l’état de l’imprimante. Fournie uniquement à titre informatif.
Type : | Affiche le type d’imprimante. Fournie uniquement à titre informatif
Emplacement : | Affiche l’emplacement de l’imprimante, s’il a été configuré. Fournie uniquement à titre informatif.
Commentaire : | Affiche un commentaire sur l’imprimante, s’il a été configuré. Fournie uniquement à titre informatif.

Papier

Paramètres | Description
Papier | Configuration de l’impression.
Dimension | Sélectionnez le format de papier dans la liste déroulante.
Source | Sélectionnez le mode d’alimentation en papier dans la liste déroulante.

Alignement

Paramètres

Description

Alignement

Sélectionnez l’alignement du papier. Paramètres possibles :

  • Portrait
  • Paysage

Réseau

Ouvre la boîte de dialogue de sélection d’une imprimante sur le réseau.

OK

Applique la configuration et ferme la boîte de dialogue. Ceci démarre l’impression dans le Runtime.

Annuler

Abandonne la configuration et ferme la boîte de dialogue. Dans le Runtime, ceci annule également l’impression.

Exemple de formatage

Configuration dans ALARM.FRM :

Date : @DSYSTEM | Liste d’alarmes/Projet démo | Heure @TSYSTEM heures | Texte
Date/Heure d’apparition | Heure de disparition | Texte d’information | Texte d'état
%% |  |  |
@DTRECEIVED | @TCLEARED | @IDENTIFICATION | @TEXT
%% |  |  |
 | Page | @PAGE |

Sortie sur l’imprimante

Date : 20.03.2011 | Liste d’alarmes/Projet démo | Heure : 24:00 | Texte
Date/Heure d’apparition | Heure de disparition | Texte d’information | Texte d'état
20.03.2011 13:00:00 | 20.03.2011 13:03:59 | Message 1 | Dépassement de limite
20.03.2011 13:00:00 | 13:05:35 | Informations démo | Limite de 750 atteinte
20.03.2011 13:03:59 |  | Message 2 | Valeur limite
20.03.2011 13:11:23 |  | Message 3 | off
20.03.2011 13:03:59 | 13:12:45 | Informations démo | off
 | Page | 1 |


Impression hors ligne

Manuel -> Gestion des alarmes -> Utilisation dans le Runtime -> Impression et exportation d’alarmes -> Impression hors ligne

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

L’impression hors ligne signifie que la liste d’alarmes est imprimée telle qu’elle est affichée à l’instant dans le Runtime. Cette impression est un "instantané" mentionnant tous les filtres définis, ainsi que leurs limitations. Cette impression est effectuée, que les variables concernées comportent ou non l’option Imprimer.

Imprimer

Pour imprimer la liste d’alarmes hors ligne :

  1. Définissez une imprimante.
  2. Configurez le fichier ALAR_G.frm.
  3. Ajoutez le fichier ALAR_G.frm au nœud Fichiers/Textes et formats.
  4. Dans le Runtime, cliquez sur le bouton Imprimer ou Imprimer avec boîte de dialogue.

Configuration et modification de l’imprimante

Changement et configuration d’une imprimante

Pour changer d’imprimante dans le Runtime :

  • Exécuter la fonction Imprimante en ligne Activée/Désactivée

Pour configurer l’imprimante sélectionnée dans le Runtime :

  1. Configurez un élément de contrôle Imprimer avec boîte de dialogue pour le synoptique
  2. Cliquez sur le bouton Imprimer avec boîte de dialogue dans le Runtime
  3. La boîte de dialogue de configuration s'affiche.

Imprimante

Paramètres | Description
Imprimante | Paramètres de l’imprimante.
Nom | Sélectionnez l’imprimante dans la liste déroulante. La liste contient toutes les imprimantes configurées dans le système d’exploitation.
Propriétés... | Ouvre la boîte de dialogue de configuration de l’imprimante.
État : | Affiche l’état de l’imprimante. Fournie uniquement à titre informatif.
Type : | Affiche le type d’imprimante. Fournie uniquement à titre informatif
Emplacement : | Affiche l’emplacement de l’imprimante, s’il a été configuré. Fournie uniquement à titre informatif.
Commentaire : | Affiche un commentaire sur l’imprimante, s’il a été configuré. Fournie uniquement à titre informatif.

Papier

Paramètres | Description
Papier | Configuration de l’impression.
Dimension | Sélectionnez le format de papier dans la liste déroulante.
Source | Sélectionnez le mode d’alimentation en papier dans la liste déroulante.

Alignement

Paramètres

Description

Alignement

Sélectionnez l’alignement du papier. Paramètres possibles :

  • Portrait
  • Paysage

Réseau

Ouvre la boîte de dialogue de sélection d’une imprimante sur le réseau.

OK

Applique la configuration et ferme la boîte de dialogue. Ceci démarre l’impression dans le Runtime.

Annuler

Abandonne la configuration et ferme la boîte de dialogue. Dans le Runtime, ceci annule également l’impression.

Exemple de formatage

Configuration dans ALAR_G.frm :

Date : @DSYSTEM | Liste de messages d’alarme fermés - Projet démo | Heure @TSYSTEM heures | Texte
Date/Heure d’apparition | Heure de disparition | Texte d’information | Texte d'état
%% |  |  |
@DTRECEIVED | @TCLEARED | @IDENTIFICATION | @TEXT
%% |  |  |
 | Page | @PAGE |

Sortie sur l’imprimante

Date : 20.03.2011 | Liste de messages d’alarme fermés - Projet démo | Heure : 24:00 | Texte
Date/Heure d’apparition | Heure de disparition | Texte d’information | Texte d'état
20.03.2011 13:00:00 | 20.03.2011 13:03:59 | Message 1 | Dépassement de limite
20.03.2011 13:00:00 | 13:05:35 | Informations démo | Limite de 750 atteinte
20.03.2011 13:03:59 |  | Message 2 | Valeur limite
20.03.2011 13:11:23 |  | Message 3 | off
20.03.2011 13:03:59 | 13:12:45 | Informations démo | off
 | Page | 1 |


Fichier de configuration FRM

Manuel -> Gestion des alarmes -> Utilisation dans le Runtime -> Impression et exportation d’alarmes -> Fichier de configuration FRM

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Les fichiers FRM (fichiers de format) sont des fichiers de configuration destinés à la l’impression de listes.

Le fichier FRM comporte trois parties :

  • En-tête : situé en début de page
  • Liste : cyclique par ligne
  • Pied de page : situé en fin de page

Principes

Lors de l’édition de fichiers FRM, tenez compte des consignes suivantes :

  • Séparation des composantes de la liste :
    • L’en-tête et la section de liste, et la section de liste et le pied de page sont séparés par %%.

      Le marqueur de séparation ne doit être utilisé qu’à deux reprises entre les parties d’en-tête et liste et entre la partie liste et le pied de page.

    • Attention : La dernière ligne doit être suivie d’au moins deux paragraphes vides. Sinon, le pied de page n’est pas imprimé?!
  • Positionnement des entrées individuelles :
    Vous pouvez uniquement utiliser des espaces (pas de marques de tabulation).
  • Édition de fichiers FRM dans un éditeur de texte :
    la fonction d’insertion automatique de sauts de ligne doit être désactivée?; dans le cas contraire, des effets indésirables peuvent affecter la mise en forme.

Mots-clés

La configuration de la longueur de page est effectuée dans les propriétés de projet, sous Alarmes et événements, ou via le fichier ALARM.frm ou ALAR_G.frm, pour la liste AML, ou via BTB.frm et BTB_G.frm, pour la liste CEL.

Note :

  • le nombre d’entrées d’alarmes par page découle du nombre prédéfini de lignes (par ex. Lignes par page 72), auquel viennent se soustraire les lignes utilisées pour les textes d’en-tête et de pied de page.
  • L’option Utiliser heure de réactivation doit être activée pour que l’utilisateur puisse utiliser les mots-clé permettant d’évaluer la réactivation (heure, nombre).
  • Des textes libres et des mots-clés peuvent être utilisés dans le fichier de formatage. Les mots-clés peuvent être utilisés en allemand ou en anglais. Il est recommandé d’utiliser des mots-clés en anglais.
  • Tous les mots-clés ne sont pas adaptés à tous les types d’impression (AML, CEL, en ligne, hors ligne).

Le tableau suivant contient les mots-clés en anglais et en allemand, ainsi que leur domaine d’application.

Allemand | Anglais | Liste d’alarmes hors ligne | Liste d’événements hors ligne | Liste de messages en ligne | Liste d’événements en ligne | Description
Mots-clés correspondant à la partie de la liste
@BMKENNUNG | @RESOURCELABEL | X | X | X | X | Description externe
@DATZEITKOMMT | @DTRECEIVED | X | X | X | X | Heure et date de début de l’alarme
@DATZEITGEHT | @DTCLEARED | X | - | X | - | Heure et date de fin de l’alarme
@DATZEITOK | @DTACK | X | - | X | - | Heure et date d’acquittement de l’alarme
@DATZEITREAKT | @DTREACTIVATE | X | - | X | - | Heure et date de réactivation de l’alarme La propriété Utiliser heure de réactivation des propriétés du projet doit être activée.
@DATZEIT | @DTLASTEVENT | - | - | X | - | Heure et date de réception, d’acquittement ou de réactivation de l’alarme
@ZEIT | @TLASTEVENT | - | - | X | X | Heure et date de réception, d’effacement, d’acquittement ou de réactivation de l’alarme
@ZEITOK | @TACK | X | - | X | - | Affiche uniquement l’heure d’acquittement de l’alarme
@ZTKOMMT | @TRECEIVED | X | X | X | X | Affiche uniquement l’heure de réception de l’alarme
@ZTGEHT | @TCLEARED | X | - | X | - | Affiche uniquement l’heure de fin de l’alarme
@ZTREAKT | @TREACTIVATE | X | - | X | - | Affiche uniquement l’heure de réactivation de l’alarme
@TIMELASTING | @TACTIVE | X | - | X | - | Durée d’activité (différence entre l’heure de réception et l’heure d’effacement)
@ANWENDUNG | @PROJECTNAME | X | X | X | X | Nom du projet
@KANALNAME | @VARNAME | X | X | X | X | Nom de la variable Liste d’événements : uniquement les entrées comportant des variables
@AK | @ACLASSNR | X | X | X | X | Nom de la classe d’alarmes/d’événements
@AG | @AGROUPNR | X | X | X | X | Numéro du groupe d’alarmes/d’événements
@AGNAME | @AGROUPNAME | X | X | X | X | Nom du groupe d’alarmes/d’événements
@AKNAME | ACLASSNAME | X | X | X | X | Nom de la classe d’alarmes/d’événements
@TAGNR | @IDENTIFICATION | X | X | X | X | Identification (intitulé spécifique à l’entreprise)
@AMELDUNG | @TEXT | X | X | X | X | Texte de message d’alarme
@REAKTANZ | @NRREACTIVATE | X | - | X | - | Nombre de réactivations
@STATUS | @STATUS | X | X | X | X | Informations d’état, identiques à la liste d’alarmes
@WERT | @VALUE | X | X | X | X | Valeur variable de l’alarme
@REAKTIONSTEXT | @COMMENT | X | X | X | X | Commentaire provenant de la liste d’alarmes. Si des textes de valeur limite dynamique sont utilisés, ils sont uniquement disponibles si les propriétés Textes de limite dynamiques longs pour les alarmes ou Textes de limite dynamiques longs pour les événements ont été activées.
@USER | @USERID | X | X | X | X | Liste AML : Utilisateur ayant acquitté l’alarme.
@RECHNER | @COMPUTER | X | X | X | X | Liste AML : Ordinateur sur lequel l’alarme a été acquittée.
Mots-clés pour les en-têtes et pieds de page
@ANWENDUNG | @PROJECTNAME | X | X | X | X | Nom du projet
@SEITE | @PAGE | X | X | X | X | Numéro de page
@HEADDATZEIT | @DTSYSTEM | X | X | X | X | Date et heure du système
@HEADDATUM | @DSYSTEM | X | X | X | X | Date du système
@HEADZEIT | @TSYSTEM | X | X | X | X | Heure du système
@USER | @USERID | X | X | X | X | Utilisateur ayant effectué l’impression
@USERNAME | @USERNAME | X | X | X | X | Nom complet de l’utilisateur ayant déclenché l’action
@RECHNER | @COMPUTER | X | X | X | X | Ordinateur depuis lequel est effectuée l’impression
[Texte] | [Texte] |  |  |  |  | Texte au choix

attention Attention

Vous devez laisser suffisamment de place entre les mots-clés pour que les entrées ne soient pas remplacées. Vous garantissez ainsi le bon affichage des textes de valeur limite longs.

Exemple :

@TEXT ((espaces jusqu’ici))


Exportation d’alarmes

Manuel -> Gestion des alarmes -> Utilisation dans le Runtime -> Impression et exportation d’alarmes -> Exportation d’alarmes

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Les alarmes peuvent être exportées dans différents formats :

  • dBase
  • CSV
  • XML
  • SQL

Exporter

Pour exporter des alarmes

  1. Créez une fonction Export AML (Exporter la liste AML).
  2. Liez la fonction à un bouton.
  3. Exécutez cette fonction dans le Runtime

info Informations

L’exportation au format SQL se déroule de manière incrémentielle. Si des données exportées sont déjà présentes, seules les données nouvelles et modifiées sont exportées.


Gestion des moniteurs

Manuel -> Gestion des moniteurs

La gestion des moniteurs permet d’organiser facilement plusieurs moniteurs.

Les tâches de la gestion de moniteur sont les suivantes :

  • Fonctionnement : Fonctionnement mixte de systèmes à 1 ou 2 moniteurs.
    Par exemple, trois moniteurs sont utilisés dans une salle de contrôle?; deux sont utilisés sur un client, et l’ordinateur portable du technicien de maintenance ne comporte qu’un moniteur.
  • Affichage du synoptique : Affichage libre d’un synoptique sur n’importe quel moniteur, et modification de l’attribution d’un synoptique au moniteur dans le Runtime.
    Tous les types de synoptiques (liste AML, menus) et les fonctions (telles que l’acquittement de synoptique) attribuées à ce synoptique sont automatiquement acceptés.
  • Réglage de la résolution : Inclusion d’ordinateurs comportant différentes résolutions à un même projet.
    Par exemple : La résolution de moniteur configurée est de 1680 x 1050. La résolution de l’équipement cible est de 1024 x 768. Dans ce cas, zenon adapte automatiquement et correctement la résolution, mais les cercles deviennent elliptiques, en raison du rapport d’aspect différent. Par conséquent, il est possible de définir correctement la résolution cible pour le Runtime dans la fonction de configuration des moniteurs.

info Informations

La résolution minimum recommandée dans le Runtime est 1024 x 768 pixels. Des résolutions inférieures peuvent également être configurées. Toutefois, il peut alors parfois être impossible d’utiliser certaines boîtes de dialogue en ligne. Ceci ne concerne que quelques boîtes de dialogue. Si elles ne sont pas utilisées, une résolution inférieure peut être sélectionnée.

Réglages zenon et Windows

La gestion des moniteurs est configurée et administrée séparément dans Editor pour chaque projet. Elle agit sur les cadres et les synoptiques dans zenon. Nous vous recommandons d’ajuster la taille du cadre à la taille du (ou des) moniteur affiché. Des cadres de taille supérieure dépasseront sur les autres moniteurs, ou ne seront pas affichés en entier.

Les boîtes de dialogue (même celles dans zenon) sont affectées par les paramètres de Windows.

attention Attention

Pour la gestion multi-projets, les paramètres du projet d’intégration sont toujours applicables dans le Runtime.

tutorial Informations concernant la licence

Composante de la licence standard d’Editor et du Runtime.

Autres sujets abordés dans ce chapitre

Concept et exigences

Configuration dans Editor

Modifier la résolution de l’écran

Fonctions de gestion des moniteurs

Exemple de configuration

Administration du moniteur dans le Runtime

Remote Desktop


Concept et exigences

Manuel -> Gestion des moniteurs -> Concept et exigences

Les synoptiques sont basculés vers les moniteurs virtuels par le biais de la gestion des moniteurs. Les moniteurs virtuels sont attribués à des moniteurs réels. Cette attribution peut être définie individuellement à l’aide des profils de moniteurs. Les projets peuvent ainsi être personnalisés en fonction de différentes configurations.

La fonction de gestion des moniteurs concerne les aspects suivants :

  • Correction de la résolution par défaut d’un projet.
    Par exemple, 2048 x 768 pour deux moniteurs possédant chacun une résolution de 1024 x 768.
    Ce paramètre est défini et fixe dans le Runtime.
  • La dénomination de moniteurs réels.
  • La définition des moniteurs virtuels attribués aux moniteurs réels.
    Les moniteurs virtuels permettent d’afficher un système à 3 moniteurs (3 moniteurs réels et 3 moniteurs virtuels) sur un système à un moniteur (1 moniteur réel et 3 moniteurs virtuels), par exemple.
  • Il est possible de modifier l’attribution de moniteurs virtuels à des moniteurs réels dans Editor et le Runtime.
    Un moniteur virtuel peut ainsi être déplacé vers un moniteur réel différent du moniteur configuré, par exemple.
  • Fenêtre d’aperçu avec un aperçu du synoptique ou du moniteur.
    Cette fonction permet de sélectionner rapidement un moniteur en sélectionnant la zone souhaitée d’un synoptique dans une fenêtre. Cette tâche peut également être exécutée à l’aide des barres de défilement facultatives.

Procédure

Lors de l’utilisation de plusieurs moniteurs :

  • Les synoptiques sont attribués aux moniteurs virtuels lors des appels de synoptiques
  • Les moniteurs virtuels peuvent être attribués à des moniteurs réels, si nécessaire

Pour répondre au besoin de reconfiguration, le projet peut donc être affiché correctement sur différents systèmes avec un nombre différent de moniteurs.

Développement

La configuration des moniteurs comporte différents effets :

  • Nouveaux projets
  • Projets existants

Flux de travail recommandé : Avec un nouveau projet, configurez la fonction de gestion des moniteurs avant de définir les cadres et les synoptiques. Dans un premier temps, déterminez la résolution dans le Runtime.

attention Attention

Remarque lors de la configuration du projet :

  • Pour garantir l’affichage optimal de zenon dans le Runtime, il est recommandé d’utiliser le réglage par défaut (100 %) du paramètre Affichage de Windows. L'utilisation de valeurs supérieures peut entraîner l'affichage incorrect d'éléments graphiques, de symboles, de textes, etc.
  • Les thèmes de Windows peuvent recouvrir les éléments du Runtime. Lors de la configuration d'un projet, veillez à laisser une distance suffisante entre les éléments et le bord de l'écran.

Autres sujets abordés dans ce chapitre

Exigences concernant le Runtime

Nouveau projet

Adaptation d’un projet existant


Exigences concernant le Runtime

Manuel -> Gestion des moniteurs -> Concept et exigences -> Exigences concernant le Runtime

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

La résolution de moniteur réelle doit être saisie dans zenon6.ini pour que la fonction de gestion des moniteurs fonctionne correctement sur un système multi-moniteurs.

Exception : ces paramètres ne sont pas nécessaires pour le client Web de zenon.

Entrées de fichier INI

Les entrées suivantes sont nécessaires dans la section [DEFAULT] :

  • Les entrées RT_CXMAINFRAME et RT_CYMAINFRAME définissent la résolution de la taille de la fenêtre principale (somme de tous les moniteurs), en pixels.
    Attention : les nombres saisis doivent être inférieurs de 1 pixel à la taille réelle du moniteur, car le comptage commence à 0.
  • Les entrées RT_CXRESOLUTION et RT_CYRESOLUTION définissent la résolution de référence (résolution du moniteur principal) en pixels, afin d'adapter la résolution à l'ordinateur cible dans le Runtime. Il n'est pas nécessaire de soustraire un pixel de cette valeur.
Entrée | Signification
[DEFAULT] | Section dans laquelle est insérée l'entrée.
SCREENPROFILE= | Profil de moniteur sélectionné pour l'ordinateur actuel. Nom de la configuration. Par exemple : ScreenProfile=Standard Défini sur l'ordinateur de configuration par le biais de la configuration des paramètres généraux. Il peut être nécessaire de définir ce paramètre sur d'autres ordinateurs par le biais d'une entrée manuelle dans le fichier zenon6.ini.
RT_CXMAINFRAME= | Largeur de la résolution de tous les moniteurs, moins 1 pixel. Par exemple, pour deux synoptiques d'une largeur de 1280 pixels chacun : RT_CXMAINFRAME=2559
RT_CYMAINFRAME= | Hauteur de la résolution de tous les moniteurs, moins 1 pixel. Par exemple, pour un synoptique d'une hauteur de 1024 pixels : RT_CYMAINFRAME=1023 Attention : si la barre d'outils de Windows est activée, sa hauteur doit être prise en compte et d'autres pixels doivent être retranchés.
RT_CXRESOLUTION= | Largeur de la résolution en pixels de l'ordinateur cible dans le Runtime, définie en fonction de la valeur de la propriété RT_CXMAINFRAME. Il n'est pas nécessaire de soustraire un pixel de cette valeur.
RT_CYRESOLUTION= | Hauteur de la résolution en pixels de l'ordinateur cible dans le Runtime, définie en fonction de la valeur de la propriété RT_CYMAINFRAME. Il n'est pas nécessaire de soustraire un pixel de cette valeur.

attention Attention

Les configurations suivantes peuvent entraîner l'absence de tout affichage de données ou l'affichage d'images sur le premier moniteur uniquement :

  • Si les valeurs sont supérieures à la surface réellement disponible, il est possible que rien ne soit affiché.
    Solution : Corrigez les données dans le fichier INI.
  • Si la barre des tâches de Windows est affichée dans une position fixe, il est possible que les synoptiques soient uniquement affichés sur le premier moniteur.
    Solution : Sélectionnez l'option Masquer la barre des tâches.
    Ou : Vous pouvez également définir RT_CYMAINFRAME de telle manière qu'aucune donnée n'est affichée dans la barre des tâches, par exemple : RT_CYMAINFRAME=1023 au lieu de 1280.

Exemple

Un projet a été configuré pour des moniteurs avec une résolution de 1920x1080.
Le projet doit être adapté à des moniteurs avec une résolution de 1024x768.

Résolution de l'ordinateur cible : Moniteur 1 et moniteur 2 : 1024x768

Pour cela, les entrées zenon6.ini doivent être définies comme ceci :

  • RT_CXMAINFRAME=2047 (1024 *2 – 1)
  • RT_CYMAINFRAME=767 (768 – 1)
  • RT_CXRESOLUTION=1024
  • RT_CYRESOLUTION=768


Nouveau projet

Manuel -> Gestion des moniteurs -> Concept et exigences -> Nouveau projet

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Définissez la résolution d’écran avant de commencer la configuration. Cette résolution ne doit pas être modifiée ultérieurement, car elle peut entraîner une déformation des synoptiques si le rapport largeur/hauteur des résolutions n’est pas conservé.

Lorsqu’un nouveau projet est créé, la résolution de l’écran utilisée par la gestion de moniteurs est automatiquement celle de l’écran courant. Si un projet doit être exécuté sur un ordinateur comportant une résolution différente, ajustez les paramètres avant de commencer la configuration.

Pour pouvoir attribuer des synoptiques provenant de différents moniteurs réels dans une combinaison différente, vous pouvez définir autant de moniteurs virtuels que nécessaire.


Adaptation d’un projet existant

Manuel -> Gestion des moniteurs -> Concept et exigences -> Adaptation d’un projet existant

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Si des modifications sont apportées à la gestion des moniteurs dans les projets existants, l’exécution des appels de synoptique doit être adaptée.

Toutefois, la gestion des moniteurs peut comporter des avantages pour les produits existants. Par exemple :

  • Suppression des synoptiques doubles pour différentes résolutions
  • Intégration d’ordinateurs avec un nombre différent de moniteurs dans un même projet en réseau
    Pour limiter le nombre de modifications à effectuer, il est recommandé de travailler dans un synoptique Vue d’ensemble pour un faible nombre de moniteurs. De cette manière, tous les moniteurs peuvent être sélectionnés rapidement.


Configuration dans Editor

Manuel -> Gestion des moniteurs -> Configuration dans Editor

Dans Editor, vous définissez l’administration pour :

  • Nouveaux projets
  • Projets existants

Pour configurer la gestion des moniteurs :

  1. Accédez au nœud Apparence graphique dans les propriétés du projet.
  2. Cliquez sur le sous-groupe Généralités runtime de la propriété Gestion de moniteur

    La boîte de dialogue de configuration s'affiche.

  3. Ouvrez les paramètres généraux.
  4. Définissez les paramètres individuels des différents profils.

attention Attention

Les coordonnées de positionnement absolues du cadre sont toujours définies par rapport au coin supérieur gauche du synoptique principal. Il doit s’agir du moniteur situé le plus à gauche.

Un exemple de configuration d’un projet avec différents paramètres de moniteur est fourni dans la section Exemple de configuration.

Remarque concernant la gestion multi-projet

Veuillez tenir compte des considérations suivantes lors de la configuration de la gestion des moniteurs dans le cadre de projets d'intégration :

  • Configurez la gestion des moniteurs de la même manière pour tous les projets dans le cadre de la gestion multi-projets.
  • Configurez la résolution disponibles sur le système de production.
  • Utilisez uniquement l'option Adapter à la résolution de l'écran pour les projets autonomes ou si tous les projets sont configurés de manière identique.

Autres sujets abordés dans ce chapitre

Paramètres généraux

Paramètres individuels


Paramètres généraux

Manuel -> Gestion des moniteurs -> Configuration dans Editor -> Paramètres généraux

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Boîte de dialogue de configuration des propriétés du moniteur général :

Moniteurs physiques

Propriété | Description
Moniteurs physiques | Nombre de moniteurs réels disponibles (matériel). Les paramètres des moniteurs doivent être définis sur les pages de profil. (voir Paramètres individuels et Configuration des moniteurs réels).
Numéro | Affiche le nombre de moniteurs réels actuellement définis.

Moniteurs virtuels

Propriété | Description
Moniteurs virtuels | Nombre de moniteurs virtuels. Les paramètres des moniteurs doivent être définis sur les pages de profil. (voir Paramètres individuels et Configuration des moniteurs réels).
Numéro | Affiche le nombre de moniteurs virtuels actuellement définis sous forme de valeur, de V_00 à V_nn. Le premier moniteur réel est configuré comme moniteur standard par zenon.
Modifier | Cliquez sur le bouton pour ouvrir la boîte de dialogue de configuration du nombre de moniteurs virtuels.
Noms | Liste des noms des moniteurs virtuels.
Renommer... | Ouvre la boîte de dialogue permettant de renommer les moniteurs virtuels. Texte libre, saisie limitée à 15 caractères.

attention Attention

Le premier moniteur virtuel est configuré comme moniteur standard par zenon.

Profils de moniteurs

Propriété

Description

Profils de moniteurs

Définit des profils de moniteur centraux pour le Runtime.

Chaque profil de moniteur comporte un onglet permettant de le configurer individuellement.

Pour les autres ordinateurs, il peut être nécessaire d’effectuer la configuration des profils de moniteur manuellement, au moyen d’une entrée INI.

Copier...

Crée un nouveau profil sur la base du profil sélectionné et ouvre la boîte de dialogue de saisie de nom.

Renommer...

Ouvre la boîte de dialogue permettant de renommer un profil.

Supprimer...

Supprime le profil sélectionné sans confirmation.

Profil du moniteur qui sera utilisé par le Runtime sur cet ordinateur

Ouvre la liste déroulante permettant de sélectionner les profils qui devraient être utilisés dans le Runtime.

Remarque : sur un ordinateur distant, vous devrez peut-être saisir manuellement le profil dans le fichier zenon6.ini :

Résolution du moniteur

Propriété

Description

Résolution du moniteur

Résolution à laquelle le projet est déployé dans le Runtime. (voir également le chapitre Exigences concernant le Runtime)

Conseil : Effectuez ces réglages avant de démarrer le développement du projet. Les modifications ultérieures peuvent entraîner une distorsion de l’affichage si le rapport largeur/hauteur ne correspond pas à la résolution?!
Standard : Résolution de l’ordinateur actuel.

Moniteur

Applique la résolution du moniteur actuellement actif comme résolution pour le profil de moniteur.

Fermer boîte de dialogue

Options | Description :
OK | Applique toutes les modifications effectuées sur tous les onglets, puis ferme la boîte de dialogue.
Annuler | Annule toutes les modifications effectuées sur tous les onglets, puis ferme la boîte de dialogue.
Aide | Ouvre l'aide en ligne.

Définition du profil de moniteur sur l’ordinateur du Runtime

Si vous avez uniquement installé le Runtime, et non Editor sur un ordinateur, vous pouvez définir le profil de moniteur souhaité comme suit :

  1. Ouvrez le fichier zenon6.ini avec un éditeur de texte.
  2. Accédez à la zone [DEFAULT].
  3. Ajoutez l’entrée suivante :
    ScreenProfile=nom du profil de moniteur
  4. Enregistrez le fichier et fermez l’éditeur de texte.

info Informations

Le profil standard est toujours chargé par défaut sur zenon Web Client. Vous pouvez toutefois stipuler un profil de moniteur différent en configurant l’entrée SCREENPROFILE= du fichier zenon6.ini.


Paramètres individuels

Manuel -> Gestion des moniteurs -> Configuration dans Editor -> Paramètres individuels

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Chaque profil de moniteur est représenté par son propre onglet dans la configuration. Ici, vous définissez les paramètres des moniteurs réels et virtuels, ainsi que leur comportement dans le Runtime.

Propriété | Description
Menu en ligne | Comportement du menu en ligne dans le Runtime.
Show online menu (Afficher le menu en ligne) | Actif : le menu est affiché lors d'un appel de synoptique dans le Runtime et propose les moniteurs pour lesquels la propriété Menu en ligne a été activée.
Display time (Durée de l'affichage) | Temps (en secondes) pendant lequel le menu en ligne reste ouvert.
Item "Annuler" | Actif : le bouton permettant de fermer le menu de sélection en ligne est affiché dans le Runtime. La police du bouton peut être modifiée, si nécessaire. % indique le nombre de secondes avant l'annulation automatique.
La touche Échap annule | Actif : vous pouvez également fermer le menu en ligne en appuyant sur Échap.
Appearance of the Runtime (Apparence du Runtime) | Définit les options d'affichage dans le Runtime.
Ajuster l'affichage à la résolution du moniteur. | Actif : La résolution du projet est ajustée à la résolution de l'écran de l'ordinateur courant. Inactive : Vous pouvez définir ici la résolution du projet, c’est à dire que la résolution du projet ne sera pas adaptée à la résolution courante.
Tenez compte de l'en-tête lors de l'ajustement | Actif : La hauteur du titre est prise en compte dans l'Éditeur de gabarit et dans le Runtime. Cette propriété existe pour des raisons de compatibilité et n'est habituellement pas utilisée.
Consider main menu for the adjustment (Tenir compte du menu principal pour l'ajustement) | Actif : La hauteur du menu est prise en compte dans l'Éditeur de gabarit et dans le Runtime. Cette propriété existe pour des raisons de compatibilité et n'est habituellement pas utilisée.
Show scroll bar (Afficher la barre de défilement) | Actif : les barres de défilement sont affichées dans le Runtime. Ces barres de défilement permettent de parcourir les synoptiques dont la taille est supérieure à celle du moniteur.
Physical monitors (Moniteurs physiques) | Affiche la liste de tous les moniteurs physiques et des propriétés associées à ceux-ci.
Modifier | Ouvre la boîte de dialogue permettant de définir les propriétés individuelles du moniteur réel sélectionné.
Moniteurs virtuels | Affiche la liste de tous les moniteurs virtuels et des propriétés associées à ceux-ci. Les appels de synoptique concernent les moniteurs virtuels. Les moniteurs virtuels sont attribués à des moniteurs réels dans le Runtime.
Modifier | Ouvre la boîte de dialogue permettant de définir les propriétés individuelles du moniteur réel ou virtuel sélectionné.

Autres sujets abordés dans ce chapitre

Définition de moniteurs réels

Configuration de moniteurs virtuels


Définition de moniteurs réels

Manuel -> Gestion des moniteurs -> Configuration dans Editor -> Paramètres individuels -> Définition de moniteurs réels

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Cliquez sur le bouton Modifier dans la section Real monitors (Moniteurs réels) de l’onglet de configuration personnalisée d’un profil de moniteur pour ouvrir la boîte de dialogue de configuration des moniteurs réels.

Paramètres | Description
Nom | Nom du moniteur. Texte libre, saisie limitée à 15 caractères.
Position | Décrit la position et la résolution du moniteur. Par exemple : Moniteur de gauche : 0/0/1680/1050 Moniteur de droite : 1680/0/3360/1050
Le moniteur n’existe pas?; attribuer à | Active : Permets de sélectionner un autre moniteur physique dans une liste déroulante dans laquelle il apparaît, par exemple s’il n’est actuellement pas connecté physiquement à l’ordinateur. Le moniteur est alors affiché sur le moniteur attribué dans le Runtime. Les barres de défilement permettent de faire défiler l’affichage entre les synoptiques des deux moniteurs.
Afficher dans le menu en ligne | Active : Dans le Runtime, ce moniteur apparaît dans le menu à chaque appel d’un synoptique autorisant la sélection individuelle d’un moniteur.

Fermer boîte de dialogue

Options | Description :
OK | Applique toutes les modifications effectuées sur tous les onglets, puis ferme la boîte de dialogue.
Annuler | Annule toutes les modifications effectuées sur tous les onglets, puis ferme la boîte de dialogue.
Aide | Ouvre l'aide en ligne.


Configuration de moniteurs virtuels

Manuel -> Gestion des moniteurs -> Configuration dans Editor -> Paramètres individuels -> Configuration de moniteurs virtuels

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Cliquez sur le bouton Modifier dans la section Real monitors (Moniteurs physiques) de l’onglet de configuration personnalisée d’un profil de moniteur pour ouvrir la boîte de dialogue de configuration des moniteurs virtuels.

Paramètres | Description
Nom | Affichage du nom. Celui-ci peut être modifié dans l’onglet paramètres généraux.
Paramétrage | Paramètres d’attribution du moniteur de lots.
Afficher dans le menu en ligne | Active : Dans le Runtime, le menu en ligne de sélection de moniteurs est affiché à chaque appel d’un synoptique attribué à ce moniteur.
Attribuer au moniteur physique | Fournit une attribution fixe d’un moniteur virtuel à un moniteur physique. Cette attribution peut être modifiée à l’aide de la fonction Sélection moniteur.

Fermer boîte de dialogue

Options | Description :
OK | Applique toutes les modifications effectuées sur tous les onglets, puis ferme la boîte de dialogue.
Annuler | Annule toutes les modifications effectuées sur tous les onglets, puis ferme la boîte de dialogue.
Aide | Ouvre l'aide en ligne.


Modifier la résolution de l’écran

Manuel -> Gestion des moniteurs -> Modifier la résolution de l’écran

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Si la résolution de l’écran est modifiée depuis la propriété Gestion de moniteur du projet, ceci affecte les cadres et les synoptiques du projet, ainsi que les éléments de synoptique. Suite à la modification, les éléments présents sur les synoptiques peuvent être déformés et leur position peut être modifiée. En cas de modification de la résolution du moniteur, le projet global et les projets individuels doivent être modifiés en conséquence.

Projet global

Modification de la résolution dans la fonction de gestion de moniteur

Si la résolution est modifiée dans la boîte de dialogue de gestion de moniteur du projet global, la taille des cadres dans le projet global est modifiée en conséquence. La taille des synoptiques reposant sur ces cadres et des éléments qu’ils contiennent est donc également modifiée.

attention Attention

Lorsque la résolution a été modifiée dans le projet global, les synoptiques et les éléments sont affichés conformément à la nouvelle résolution. Dans le Runtime, toutefois, ils continuent à être affichés avec les paramètres du projet dans lequel ils sont utilisés. La résolution doit donc toujours être également modifiée dans le projet.

Adaptation à la taille du cadre

Si seule la taille des cadres est modifiée dans le projet global, mais la résolution reste inchangée dans la fonction de gestion de moniteur, les éléments des synoptiques reposant sur ces cadres globaux sont également modifiés.

Projet d’intégration et sous-projets

Modification de la résolution dans la fonction de gestion de moniteur

Chaque projet possède sa propre gestion de moniteur.

Si la résolution est modifiée dans la gestion de moniteur, la taille des cadres dans ce projet est modifiée en conséquence. La taille des synoptiques reposant sur ces modèles et des éléments qu’ils contiennent est donc également modifiée.

Tipp Conseil
  • Pour les projets à hiérarchies multiples :
    Modifiez les paramètres de gestion de moniteur pour chaque projet dans Editor.
  • Sans adaptation de la résolution :
    Si seule la taille des cadres et des synoptiques doit être modifiée, sans modification de la taille et de la position des éléments, exportez les synotiques vers un fichier XML avant de les modifier. Ensuite, réimportez les synoptiques après avoir effectué la modification.

attention Attention

Lors de la configuration de l’appel de synoptique dans Editor, la liste des moniteurs pouvant être sélectionnée est affichée. Le contenu de cette liste dépend de la dernière boîte de dialogue Gestion de moniteur configurée et confirmée en cliquant sur OK – indépendamment du projet dans lequel a été exécutée la gestion multi-projets de ce projet. Ceci signifie : Une modification dans le projet A a un effet sur le contenu de la liste dans le projet B.

Solution : Ouvrez et confirmez la boîte de dialogue dans le projet en effectuant un appel de synoptique.

Exemple

Un projet possède une résolution de 1280 x 720. Celle-ci doit être modifiée en 1920 x 1080.

Situation initiale

On dispose des projets suivants, avec ces paramètres :

  • Projet global avec :
    • Cadres : maximum 1280 x 720
    • Résolution configurée : 1280 x 720
  • Projet d'intégration :
    • Synoptiques : maximum 1280 x 720
    • Résolution configurée : 1280 x 720
  • Sous-projets :
    • Synoptiques : maximum 1280 x 720
    • Résolution configurée : 1280 x 720

Configuration

La configuration dépend de la nécessité éventuelle de modifier les éléments contenus dans les synoptiques.

Configuration avec modification des éléments :

  1. Projet global :

    Dans la gestion de moniteur, modifiez la résolution en 1920 x 1080. Les cadres, synoptiques et éléments sont ainsi modifiés.

  2. Projet d'intégration :

    Dans la gestion de moniteur, modifiez la résolution en 1920 x 1080. Le paramètre est ainsi modifié pour le Runtime.

  3. Sous-projets :

    Dans la gestion de moniteur, modifiez la résolution en 1920 x 1080. Le paramètre est ainsi modifié pour le Runtime.

Configuration sans modification des éléments :

  1. Exportez tous les synoptiques sous forme de fichier XML.
  2. Modifiez la résolution du moniteur.
  3. Importez les synoptiques depuis le fichier XML.


Fonctions de gestion des moniteurs

Manuel -> Gestion des moniteurs -> Fonctions de gestion des moniteurs

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

La gestion des moniteurs peut être contrôlée dans le Runtime par le biais des fonctions zenon.

Les possibilités suivantes sont disponibles :

  • Paramètres d’appel de synoptique : La boîte de dialogue de sélection de synoptique est complétée avec les paramètres d’attribution de moniteur.
  • Assign monitor (Attribuer un moniteur): Permets d’attribuer un moniteur virtuel à un moniteur réel dans le Runtime.
  • Display overview window (Afficher la fenêtre d’aperçu) : Ouvre ou ferme la fenêtre de présentation dans le Runtime. La fenêtre affiche tous les moniteurs réels et cadres configurés, et permet de les sélectionner et les basculer rapidement.

Les paramètres de sélection de moniteur sont disponibles pour les fonctions suivantes :

  • Donner le focus au cadre
  • Fermer le cadre
  • Synoptique : fermeture

Autres sujets abordés dans ce chapitre

Paramètres d’appel de synoptique

Sélection moniteur

Afficher la fenêtre d'aperçu


Paramètres d’appel de synoptique

Manuel -> Gestion des moniteurs -> Fonctions de gestion des moniteurs -> Paramètres d’appel de synoptique

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Dès que la gestion de moniteur doit être configurée pour plusieurs moniteurs, des options supplémentaires sont disponibles pour la fonction d’appel de synoptique dans la boîte de dialogue de sélection de moniteur, vous permettant ainsi de sélectionner le moniteur sur lequel doit être affiché le synoptique :

Options supplémentaires

Description

Moniteur

Sélectionnez le moniteur souhaité dans la liste déroulante.

Cette liste contient tous les moniteurs virtuels définis dans la fonction de gestion des moniteurs, plus l’entrée Moniteur actuel.

Moniteur virtuel : Le synoptique est basculé vers le moniteur lié au moniteur virtuel sélectionné.

Si aucun moniteur réel n’a été attribué au moniteur virtuel durant la configuration, mais au lieu de cela, l’option Display online selection menu (Afficher le menu de sélection en ligne) a été sélectionnée, une fenêtre de sélection d’un moniteur réel s’affiche.

Moniteur actuel : Affiche toujours le synoptique sur le moniteur d’où provient l’appel. Par exemple :
Si le bouton d’ouverture de la liste AML est cliqué sur le moniteur gauche, la liste AML est basculée vers le moniteur gauche. Si le bouton de basculement de la liste AML vers le moniteur droit est actionné, la liste AML est basculée vers le moniteur droit.

Dans l’aperçu de la fonction, le moniteur sur lequel est affiché le synoptique est affiché entre parenthèses.

Par exemple :

START (V_00) signifie que l’appel est effectué vers le synoptique START, et que ce dernier est affiché sur le moniteur virtuel V_00.
REL signifie l’affichage sur le moniteur actuel.

Menu en ligne

Si une fonction d'appel de synoptique est exécutée lorsque l'option Display online selection menu (Afficher le menu de sélection en ligne), le menu de sélection de moniteur est affiché avant l'activation de la fonction. Le contenu du menu et sa durée d'affichage sont définis dans la configuration du moniteur.


Sélection moniteur

Manuel -> Gestion des moniteurs -> Fonctions de gestion des moniteurs -> Sélection moniteur

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Avec la fonction Sélection moniteur, les moniteurs virtuels peuvent être attribués à des moniteurs réels dans le Runtime, quelle que soit l’attribution configurée.

Pour configurer la fonction :

  1. Créez une nouvelle fonction
  2. Accédez au nœud Synoptiques.
  3. Sélectionnez la fonction Sélection moniteur.
  4. La boîte de dialogue d’attribution d’un moniteur virtuel à un moniteur réel s’ouvre
  5. Créez une attribution
  6. Fermez la boîte de dialogue de configuration en cliquant sur OK
  7. Attribuez un bouton à la fonction

Boîte de dialogue d’attribution du moniteur

Paramètres | Description
Nom | Sélectionnez le moniteur virtuel souhaité dans la liste déroulante. Tous les moniteurs virtuels configurés dans la fonction de gestion des moniteurs sont affichés dans la liste.
Paramétrage | La sélection de l’attribution s’effectue au moyen des cases d’option :
Afficher dans le menu en ligne | Bascule vers une boîte de dialogue dans le Runtime pour sélectionner le moniteur réel souhaité.
Attribuer au moniteur physique | Attribue un moniteur virtuel à un moniteur réel. Sélectionnez un moniteur dans la liste déroulante. Cette liste contient tous les moniteurs physiques disponibles dans la fonction de gestion des moniteurs.

Fermer boîte de dialogue

Options | Description :
OK | Applique toutes les modifications effectuées sur tous les onglets, puis ferme la boîte de dialogue.
Annuler | Annule toutes les modifications effectuées sur tous les onglets, puis ferme la boîte de dialogue.
Aide | Ouvre l'aide en ligne.

Les fonctions sont affichées dans la vue de détail, avec la destination de l’attribution.

Par exemple :

  • V_00,(ONLINE) : le moniteur virtuel V_00 est attribué à un moniteur réel dans le Runtime à l’aide du menu en ligne.
  • ???,??? : la boîte de dialogue d’attribution a été annulée?; aucune fonction n’a été exécutée.
  • V_00,Left screen : Le moniteur virtuel V_00 est attribué au moniteur réel écran gauche.


Afficher la fenêtre d'aperçu

Manuel -> Gestion des moniteurs -> Fonctions de gestion des moniteurs -> Afficher la fenêtre d'aperçu

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

La fonction Afficher la fenêtre d'aperçu affiche la fenêtre d’aperçu dans le Runtime?; celle-ci présente les moniteurs réels ou les cadres dans un système multi-moniteurs. Un moniteur ou un cadre peuvent être activés avec un clic.

Pour configurer la fonction :

  1. Créez une nouvelle fonction
  2. Accédez au nœud Synoptiques.
  3. Sélectionnez la fonction Afficher la fenêtre d'aperçu.
  4. La boîte de dialogue de configuration de la fenêtre d’aperçu s’affiche
  5. Configurez la fenêtre d’aperçu
  6. Fermez la boîte de dialogue de configuration en cliquant sur OK
  7. Attribuez un bouton à la fonction

Affichage de la fenêtre d'aperçu

Paramètres

Paramètres | Description
Paramètres | La fonction peut afficher, fermer ou basculer la fenêtre d’aperçu. La sélection est effectuée à l’aide de boutons d’option :
Afficher | Active : La fenêtre d’aperçu s’ouvre.
Bascule | Active : L’état de la fenêtre d’aperçu bascule entre ouvert et fermé.
Fermer | Active : La fenêtre d’aperçu se ferme.
Affichage de | Sélection de l’affichage dans la fenêtre d’aperçu. Les cadres ou les moniteurs sont affichés.
Cadres | Active : La fenêtre d’aperçu scinde le synoptique en cadres.
Moniteurs | Active : La fenêtre d’aperçu scinde le synoptique en moniteurs.

Style de la fenêtre

Paramètres

Description

Style de la fenêtre

Avec titre

Active : La fenêtre d’aperçu comporte une barre de titre Windows

Menu système

Active : Un menu système est affiché en cas d’activation de la barre de titre.

Avec bordure

Active : La fenêtre d’aperçu est affichée avec une bordure. La taille de la fenêtre peut être configurée dans le Runtime en faisant glisser la bordure. La sélection de la largeur de la bordure s’effectue au moyen des cases d’option :
  • Fine

Active : Bordure épaisse.
  • Gras

Active : Bordure fine.

Position

Paramètres

Description

Position

Position de la fenêtre d’aperçu sur le synoptique, calculée en pixels depuis le coin supérieur gauche pour :

  • En haut
  • En bas
  • Gauche
  • À droite

Couleurs

Paramètres | Description
Couleurs |  | Définition des couleurs dans la fenêtre d’aperçu. Cliquez sur Couleur pour ouvrir la palette de couleurs.
Couleur d'arrière-plan |  | Couleur de l’arrière-plan de la fenêtre.
Vue actuelle |  | Cadres/moniteurs actuellement affichés.
Bordure |  | Couleur de la bordure.
Selected (Sélectionnés) |  | Cadres/moniteurs sélectionnés.

Fermer boîte de dialogue

Options | Description :
OK | Applique toutes les modifications effectuées sur tous les onglets, puis ferme la boîte de dialogue.
Annuler | Annule toutes les modifications effectuées sur tous les onglets, puis ferme la boîte de dialogue.
Aide | Ouvre l'aide en ligne.


Exemple de configuration

Manuel -> Gestion des moniteurs -> Exemple de configuration

Dans cet exemple, vous pouvez voir les configurations possibles pour chaque besoin du projet suivant :

  1. 1 serveur avec 2 moniteurs, avec une résolution de 1680 x 1050 chacun
  2. 1 serveur avec 1 moniteur, avec une résolution de 1680 x 1050
  3. 1 ordinateur portable pour l’équipe de maintenance, avec une résolution de 1024 x 768

But

Nous configurons le projet pour la visualisation d’un serveur avec deux synoptiques. Pour le client, nous ajustons les paramètres afin que toutes les tâches puissent être affichées sur un seul et même écran. Nous modifions également la résolution de l’affichage pour l’ordinateur de maintenance. Durant le fonctionnement, le profil de moniteur correspondant doit être sélectionné sur l’ordinateur de Runtime correspondant pour bénéficier d’un affichage correct.

Start configuration (Configuration de départ)

  1. Configurez le fichier INI conformément aux instructions mentionnées au chapitre Exigences concernant le Runtime pour définir la résolution dans le Runtime.
  2. La configuration de base est définie dans la configuration du moniteur :
    Accédez à Propriétés du projet -> Apparence graphique -> Généralités runtime.
  3. Cliquez sur la propriété Gestion de moniteur.
  4. La boîte de dialogue de configuration du moniteur s’affiche alors à l’écran.
  5. Configurez d’abord les paramètres généraux
  6. Configurez ensuite les paramètres individuels pour :
    1. Le serveur avec 2 moniteurs
    2. Le client avec un moniteur
    3. L’ordinateur portable de l’équipe de maintenance

Autres sujets abordés dans ce chapitre

Configuration générale

Configuration avec 2 moniteurs

Configuration de clients avec un moniteur

Configuration de l’ordinateur portable de l’équipe de maintenance

Autre configuration


Configuration générale

Manuel -> Gestion des moniteurs -> Exemple de configuration -> Configuration générale

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Les opérations suivantes sont d’abord effectuées pour la configuration :

  • Les paramètres généraux, tels que le nombre de moniteurs virtuels et réels, sont définis.
  • Des profils sont créés pour les trois configurations différentes

Paramètres généraux

Moniteurs

Pour cet exemple, nous définissons :

  • 2 moniteurs réels
  • 2 moniteurs virtuels :
    • Un pour chaque synoptique de processus
    • Un pour le basculement souhaité de la barre de menus : Nous pouvons ainsi toujours déterminer si le menu est affiché à gauche ou à droite, sans que cela affecte les synoptiques de procédé.

N’oubliez pas : Les moniteurs virtuels sont la destination des appels de synoptique. Ils sont attribués à des moniteurs réels dans le Runtime. Vous avez maintenant la possibilité de choisir l’attribution entre les moniteurs réels et virtuels. Si, par exemple, il n’existe pas de deuxième moniteur, comme c’est le cas avec l’ordinateur portable, l’affichage des synoptiques peut simplement être redirigé vers le moniteur gauche, sans qu’il soit nécessaire de modifier la configuration des fonctions.

Résolution

La résolution définie est un facteur important. Il s’agit de la taille de référence de la modification. Ce paramètre est défini une fois, avant le début de la configuration du projet, et ne doit pas être modifié ultérieurement. Si ce paramètre est modifié ultérieurement, toutes les coordonnées des éléments sont recalculées sur les synoptiques.

Nous saisissons notre résolution cible de 1680 x 1050.

Profils de moniteurs

Nous créons notre profil pour chaque configuration dans cet exemple. Pour cet exemple :

  • Server 2 Mon (Mon. serveur 2)
  • Client 1 Mon (Mon. client 1)
  • Notebook small (Ordinateur portable - Petit)

Pour cela :

  1. Sélectionnez le profil Standard
  2. Cliquez sur Copier
  3. La boîte de dialogue de modification du nom s’affiche à l’écran.
  4. Saisissez le nouveau nom (la longueur est limitée à 15 caractères)
  5. Cliquez sur OK.
  6. Répéter la procédure pour tous les jeux de données que vous souhaitez configurer.

Chaque profil comporte un onglet permettant de le configurer individuellement dans la gestion de moniteur.

Nous allons commencer par l’onglet Server 2 Mon.


Configuration avec 2 moniteurs

Manuel -> Gestion des moniteurs -> Exemple de configuration -> Configuration avec 2 moniteurs

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

La première configuration est celle du serveur, avec deux moniteurs.

Nous allons configurer :

  • Le menu en ligne
  • L’apparence dans le Runtime
  • Les moniteurs réels
  • Les moniteurs virtuels

Menu en ligne

Le menu de sélection en ligne permet de sélectionner le moniteur réel vers lequel un synoptique est basculé dans le Runtime. Les conditions suivantes doivent en outre être vraies dans le navigateur

  • Le menu de sélection en ligne doit être activé
  • Dans l’attribution du moniteur virtuel, l’option Display online menu (Afficher le menu en ligne) doit être sélectionnée
    ou

    une fonction d’attribution de moniteur doit être configurée

Pour cet exemple :

  • Activez l’option
  • Sélectionnez une Durée d’affichage de 10 secondes : Si aucune action n’a été définie après ce délai, le menu disparaît.
  • Activez l’option Intitulé : un bouton Annuler sera alors disponible dans le Runtime
  • Définissez l’intitulé Annuler = % pour le bouton : le temps restant avant l’annulation est ainsi affiché dans le menu
  • Activez l’option La touche Échap ferme le menu pour pouvoir fermer le menu dans le Runtime en appuyant sur la touche Échap.

Le menu est ensuite affiché dans le Runtime lorsqu’un basculement est effectué vers un moniteur virtuel depuis un menu en ligne :

Les moniteurs réels M_00 et M_01 sont disponibles. Après l’annulation, vous disposez encore de 10 secondes pour effectuer une sélection. Cliquez sur Annuler ou appuyez sur la touche Échap pour fermer le menu immédiatement.

Paramètres des synoptiques dans le Runtime

Pour afficher le synoptique dans le Runtime :

  • Désactivez l’option Adapt display to screen resolution (Adapter l’affichage à la résolution d’écran)?; l’affichage reste ainsi toujours à la taille configurée. (Si cette option est active, l’affichage est adapté à la résolution actuelle.)
  • Cochez la case Display scroll bar (Afficher les barres de défilement) : cette option affiche des barres de défilement dans le Runtime, vous permettant ainsi de faire défiler le synoptique

Configuration des moniteurs réels.

Deux moniteurs sont disponibles sur le serveur. Les deux moniteurs réels du projet dans l’exemple sont configurés de manière correspondante.

Le deuxième moniteur reçoit par exemple les coordonnées correspondantes pour se connecter horizontalement au premier moniteur sur la droite.

Un nom peut être défini pour chaque configuration. Pour configurer les moniteurs :

  1. Ouvrez chacun des moniteurs dans l’ordre adéquat en cliquant sur le bouton Modifier
  2. Spécifiez un nom pour le moniteur?; dans notre exemple, ces noms sont simplement M_00 et M_01
  3. Désactivez l’option Renvoyer à... (nous aurons besoin de cette option dans l’autre configuration)
  4. Saisissez les coordonnées
    Le calcul est effectué depuis le coin supérieur gauche du moniteur gauche
  5. Activez l’option Afficher dans le menu en ligne, afin que le moniteur soit également disponible dans le Runtime

Configuration des moniteurs virtuels

Dans cette configuration, les moniteurs virtuels sont attribués aux moniteurs réels.

N’oubliez pas : Les appels de synoptiques font référence à des moniteurs réels. L’attribution des moniteurs virtuels détermine le moniteur réel vers lequel est effectué l’appel de synoptique.

Dans notre exemple, trois moniteurs virtuels sont disponibles. Les deux premiers sont chacun attribués à un moniteur réel. Le troisième moniteur virtuel permet d’activer ou de désactiver la barre de menus selon le besoin. Ce moniteur n’est pas attribué à un moniteur réel, mais cette attribution doit être proposée dans le menu en ligne.

Pour attribuer les deux premiers moniteurs virtuels :

  1. Ouvrez chacun des moniteurs dans l’ordre adéquat en cliquant sur le bouton Modifier
  2. Les noms sont uniquement affichés?; ils sont identiques pour tous les profils et peuvent uniquement être modifiés dans l’onglet Général
  3. Sélectionnez Assignment to real monitor (Attribution à un moniteur réel)
  4. Sélectionnez le moniteur réel souhaité dans la liste déroulante.
    • M_00 pour le moniteur gauche
    • M_01 pour le moniteur droit

La configuration du troisième moniteur virtuel se déroule de manière semblable.

Différence : au lieu de l’option Assign to real monitor (Attribuer à un moniteur réel), sélectionnez l’option Display in online menu (Afficher dans le menu en ligne).

Le profil est maintenant configuré pour le serveur avec 2 moniteurs.

Maintenant, sélectionnez l’onglet Client 1 Mon (Mon. client 1).


Configuration de clients avec un moniteur

Manuel -> Gestion des moniteurs -> Exemple de configuration -> Configuration de clients avec un moniteur

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

La configuration d’un client avec un moniteur correspond généralement à la configuration du serveur. Toutefois, un seul synoptique est disponible ici. Ceci entraîne deux différences significatives :

  1. le deuxième moniteur réel doit être attribué au premier
  2. Le menu de sélection en ligne de la barre de menus est superflu?; il est attribué directement

Pour les moniteurs réels :

  1. Ouvrez le menu de configuration du moniteur M_01
  2. Cochez la case Renvoyer à
  3. Sélectionnez M_00 dans la liste déroulante.

Le menu de sélection en ligne n’est pas nécessaire dans le Runtime, mais les options peuvent être laissées actives.

Pour les moniteurs virtuels :

  1. Ouvrez le menu de configuration du moniteur Barre de menus
  2. Cochez la case Assign to real monitor (Attribuer à un moniteur réel)
  3. Sélectionnez M_00 dans la liste déroulante.

L’ensemble de la configuration de Client 1 Mon (Mon. client 1) se présente maintenant comme suit :

Désormais, seule la configuration de l’ordinateur portable est absente dans notre exemple. Sélectionnez l’onglet Notebook small (Ordinateur portable - Petit).


Configuration de l’ordinateur portable de l’équipe de maintenance

Manuel -> Gestion des moniteurs -> Exemple de configuration -> Configuration de l’ordinateur portable de l’équipe de maintenance

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

La configuration de l’ordinateur portable de l’équipe de maintenance correspond à la configuration de l’ordinateur client avec un moniteur. La résolution est toutefois différente. Celle-ci doit être adaptée. Pour cela :

  1. Ouvrez le menu de configuration du moniteur réel M_00
  2. Saisissez les coordonnées correspondantes,
    dans notre exemple : 0/0/1024/768

La résolution est maintenant adaptée à la résolution réelle de l’ordinateur portable est maintenant adaptée à la résolution réelle de l’ordinateur portable, et le moniteur M_01 est attribué au moniteur M_00, comme sur le client. Le Runtime comporte maintenant des barres de défilement permettant de faire défiler l’affichage.

Tous les autres paramètres correspondent à ceux de l’ordinateur client :

Confirmez la configuration en cliquant sur OK.


Autre configuration

Manuel -> Gestion des moniteurs -> Exemple de configuration -> Autre configuration

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Dans le projet, vous devez ensuite :

  • Pour les appels de synoptique, sélectionner le moniteur virtuel vers lequel doit être effectué l’appel de synoptique
  • Définir le profil de moniteur à utiliser sur les différents ordinateurs (pour l’ordinateur de configuration, sélectionnez le profil dans la configuration de moniteur)
  • Pour les fonctions telles que Set focus on frame (Paramétrer le focus sur le cadre), Close frame (Fermer le cadre) ou Close screen (Fermer le synoptique), décidez des moniteurs pour lesquels l’action est applicable
  • Si nécessaire, configurez une fonction Assign monitor (Attribuer un moniteur) pour pouvoir attribuer des moniteurs virtuels à des moniteurs réels dans le Runtime, indépendamment de la configuration initiale
  • Configurez une fenêtre d’aperçu pour faciliter la navigation dans le Runtime


Administration du moniteur dans le Runtime

Manuel -> Gestion des moniteurs -> Administration du moniteur dans le Runtime

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Différentes possibilités sont disponibles dans le Runtime :

  • Pour sélectionner les moniteurs
    et
  • Parcourir les différents moniteurs

info Informations

Si le Runtime est démarré via une connexion Remote Desktop, la résolution de l’ordinateur distant est utilisée. La résolution peut alors être différente de la résolution configurée, en quel cas des différences d’affichage peuvent se produire.

La résolution du moniteur distant peut également être définie au moyen d’un fichier INI (se reporter à la section Configuration du profil de moniteur sur l’ordinateur du Runtime, au chapitre Paramètres généraux).

Autres sujets abordés dans ce chapitre

Sélection de moniteur dans le Runtime

Navigation dans le Runtime


Sélection de moniteur dans le Runtime

Manuel -> Gestion des moniteurs -> Administration du moniteur dans le Runtime -> Sélection de moniteur dans le Runtime

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Différentes options permettent d’attribuer des moniteurs virtuels à des moniteurs réels dans le Runtime :

  • Sélection en ligne lors de l’appel
  • Fonction Attribuer un moniteur

Menu en ligne

Si une fonction d'appel de synoptique est exécutée lorsque l'option Display online selection menu (Afficher le menu de sélection en ligne), le menu de sélection de moniteur est affiché avant l'activation de la fonction. Le contenu du menu et sa durée d'affichage sont définis dans la configuration du moniteur.

Fonction Attribuer un moniteur

La fonction Attribuer un moniteur permet d’afficher le menu en ligne, indépendamment des appels de synoptique, et d’attribuer les moniteurs virtuels à un moniteur physique.


Navigation dans le Runtime

Manuel -> Gestion des moniteurs -> Administration du moniteur dans le Runtime -> Navigation dans le Runtime

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Les éléments suivants autorisent la navigation entre les moniteurs dans le Runtime :

  • Vue d'aperçu
  • Barres de défilement

Vue d'aperçu

Les fenêtres d'aperçu sont configurées comme une fonction. Une fonction spécifique peut être créée pour l'affichage et la fermeture de la fenêtre d'aperçu, ou vous pouvez utiliser la fonction de basculement pour activer ou désactiver l'affichage de la fenêtre.

Une fenêtre est affichée dans le Runtime lors de l'exécution de la fonction. Celle-ci affiche la surface totale disponible, scindée en moniteurs ou en cadres. Différentes fonctions doivent être configurées individuellement pour l'affichage des cadres et des moniteurs.

Cliquez dans la fenêtre pour sélectionner les moniteurs ou les cadres.

Barres de défilement

Les barres de défilement permettent de parcourir rapidement les synoptiques. Les barres de défilement sont affichées si :

  • La propriété Display scroll bars (Afficher les barres de défilement) a été activée dans le profil de moniteur
  • Un moniteur réel ou un autre moniteur réel est attribué


Remote Desktop

Manuel -> Gestion des moniteurs -> Remote Desktop

Si un projet est exécuté sur un poste de travail comportant plusieurs écrans, ces derniers sont accessibles via une connexion à distance, dans certaines conditions. Le Runtime de zenon autorise également les configurations avec plusieurs écrans, même si le système actuel prend uniquement en charge l'utilisation d'un moniteur seulement.

Exigences applicables à la configuration d'un système avec plusieurs écrans dans Remote Desktop :

Client :

  • Windows Entreprise ou Édition Intégrale
  • RDP autorise la prise en charge des configurations avec plusieurs écrans
    Prise en charge de l'option /multimon

Serveur :

  • Windows Entreprise ou Édition Intégrale
    ou
  • Serveur de terminal/services de Bureau à distance
  • Directives autorisant la prise en charge de configuration à plusieurs écrans

Vous trouverez des détails concernant la configuration dans cette publication de Microsoft (entre autres) : https://blogs.msdn.microsoft.com/rds/2009/07/01/using-multiple-monitors-in-remote-desktop-session/


Gestion des utilisateurs

Manuel -> Gestion des utilisateurs

zenon offre une prise en charge de la gestion des utilisateurs pour Editor et le fonctionnement en ligne Runtime. Le système de mots de passe est conforme aux directives de la FDA (Food and Drug Administration, 21 CFR Part 11). Il est également possible de gérer les utilisateurs Active Directory dans le Runtime.

tutorial Informations concernant la licence

Composante de la licence standard d’Editor et du Runtime.

Le concept

Le concept de la gestion des utilisateurs de zenon suppose que différents utilisateurs détiennent différents droits d'utilisateur (niveaux d'autorisation et autorisations d'utilisation des fonctions). Les administrateurs possèdent également différents droits, mais détiennent en outre des droits administratifs, tels que la gestion des utilisateurs. La gestion des utilisateurs peut être effectuée par l'intermédiaire de zenon et de Windows Active Directory.

Différentes autorisations peuvent être attribuées à chaque utilisateur. 128 (0 à 127) autorisations peuvent être configurées au maximum. Les utilisateurs peuvent recevoir des niveaux d'autorisation individuels, et la création de mots de passe spécifiques au projet peut être effectuée librement dans ce contexte. Chaque utilisateur peut se voir attribuer tous les niveaux. Ainsi, par exemple, l'utilisateur 1 peut se voir attribuer les niveaux 0, 1, 5 et 6, tandis que l'utilisateur 2 peut se voir attribuer les niveaux 0, 1, 6, 8 et 10. Les autorisations peuvent uniquement être attribuées si l'administrateur possède lui-même les droits correspondants.

L'utilisateur se connecte au Runtime à l'aide de la fonction de connexion et d'un synoptique de connexion. Si l'authentification d'un utilisateur doit être réalisée automatiquement sur la base d'un événement (par ex. position d'une clé connue du système), la fonction Connexion sans mot de passe est utilisée. Cette fonction est projetée avec une valeur limite ou une matrice de réaction de la variable dans le système de gestion de variables, respectivement. La gestion multi-projets permet aux utilisateurs de se connecter automatiquement aux sous-projets à l'aide de la fonction de connexion automatique.

Si, pendant une période de temps définie, aucune opération ou action n'a lieu, vous pouvez configurer une déconnexion automatique. Les utilisateurs peuvent se déconnecter à tout moment du système à l'aide de la fonction Déconnexion. L'utilisateur SYSTEM est alors connecté.

Création d'utilisateurs et attribution de droits

zenon offre deux manières de créer et d'administrer des utilisateurs :

  1. zenon Editor et Runtime:
    La création d'utilisateurs et l'attribution de droits se déroulent dans Editor. Vous pouvez également vous connecter depuis le Runtime. Les administrateurs peuvent également créer des utilisateurs et attribuer des droits dans le Runtime.
  2. AD et AD LDS :

    Active Directory Lightweight Directory Services (AD LDS) est une version simplifiée d'Active Directory, adaptée à une utilisation sur les systèmes d'exploitation pour ordinateurs de bureau habituels ; il n'est pas nécessaire d'utiliser un système d'exploitation pour serveur. Active Directory (AD) et AD LDS peuvent être utilisés dans zenon pour la gestion des utilisateurs dans le Runtime de zenon. AD et AD LDS ne sont pas disponibles pour zenon Editor.

    Les groupes d'utilisateurs créés dans AD ou AD LDS reçoivent des autorisations dans zenon si des groupes d'utilisateurs portant le même nom sont créés dans zenon. Un synoptique distinct peut être utilisé pour lire et modifier les informations d'AD et d'AD LDS depuis le Runtime de zenon. Les utilisateurs créés ici possèdent des droits d'utilisateur pour tous les projets zenon, indépendamment du projet depuis lequel ils ont été créés.

Autres sujets abordés dans ce chapitre

Configuration dans zenon Editor

Connexion à zenon et gestion des utilisateurs dans le Runtime

Gestion externe des utilisateurs avec Microsoft Active Directory

Gestion des utilisateurs Active Directory depuis le Runtime de zenon

À propos des propriétés AD/AD LDS utilisées dans zenon


Configuration dans zenon Editor

Manuel -> Gestion des utilisateurs -> Configuration dans zenon Editor

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Les utilisateurs et groupes d'utilisateurs sont créés, et les mots de passe et les autorisations sont définis dans Editor. Les paramètres peuvent être modifiés dans le Runtime. Toutes les modifications effectuées dans Editor ne sont pas acceptées dans le Runtime après un simple rechargement. Les modifications effectuées dans le Runtime doivent être chargées dans Editor pour pouvoir être modifiées ici et garantir que l'état des informations est identique dans le Runtime et dans Editor.Notez la propriété Données modifiables dans le Runtime lors du transfert de fichiers du Runtime. Elle est spécifiée ici, même si la configuration de la gestion des utilisateurs est transférée vers le Runtime et remplace la configuration dans le Runtime. Par défaut, le contenu de la fonction de gestion des utilisateurs n'est pas remplacé lors du transfert vers le Runtime.

Autres sujets abordés dans ce chapitre

Menu contextuel Gestionnaire de projet

Barre d'outils et menu contextuel de la vue détaillée

Créer un utilisateur

Créer un groupe d'utilisateurs

Éditer un utilisateur

Modifier un groupe d'utilisateurs

Modifier les noms des niveaux d'autorisation

User selection: individual user

User selection: individual user

Autorisations sur fonctions

Types de synoptique, boîtes de dialogue et fonctions utilisées pour la connexion et la gestion des utilisateurs


Menu contextuel Gestionnaire de projet

Manuel -> Gestion des utilisateurs -> Configuration dans zenon Editor -> Menu contextuel Gestionnaire de projet

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Menu contextuel Gestion d'utilisateurs

Élément de menu | Action
Profils Editor | Ouvre la liste déroulante contenant les profils Editor prédéfinis.
Aide | Ouvre l'aide en ligne

Menu contextuel Utilisateur

Élément de menu | Action
Nouvel utilisateur | Ouvre la boîte de dialogue de création de nouveaux utilisateurs, et ajoute le nouvel utilisateur à la liste dans la vue de détail.
Exporter tout (XML) | Exporte toutes les entrées sous forme de fichier XML.
Importer XML | Importe des entrées à partir d'un fichier XML.
Profil Editor | Ouvre la liste déroulante contenant les profils Editor prédéfinis.
Aide | Ouvre l’aide en ligne.

Menu contextuel Groupe d'utilisateurs

Élément de menu | Action
New user group (Nouveau groupe d'utilisateurs) | Ouvre la boîte de dialogue de création de nouveaux groupes d'utilisateurs, et ajoute le nouveau groupe d'utilisateurs à la liste dans la vue de détail.
Exporter tout (XML) | Exporte toutes les entrées sous forme de fichier XML.
Importer XML | Importe des entrées à partir d'un fichier XML.
Profils Editor | Ouvre la liste déroulante contenant les profils Editor prédéfinis.
Aide | Ouvre l’aide en ligne.

Menu contextuel Vue de détail : voir également Barre d'outils et menu contextuel vue de détail Gestion d'utilisateurs


Barre d'outils et menu contextuel de la vue détaillée

Manuel -> Gestion des utilisateurs -> Configuration dans zenon Editor -> Barre d'outils et menu contextuel de la vue détaillée

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Élément de menu/symbole | Action
Nouvel utilisateur | Ouvre la boîte de dialogue de création de nouveaux utilisateurs, et ajoute le nouvel utilisateur à la liste dans la vue de détail.
Retour à l'élément de départ | Jumps back to the initial position in the zenon Editor. Remarque : This context menu entry is only available if a jump to the current position has been made from another position with the Linked elements context menu entry.
Copier | Copie les entrées sélectionnées et vers le presse-papiers.
Coller | Insère le contenu du presse-papier. Si une entrée portant le même nom existe déjà, le contenu est collé sous le nom Copie de....
Supprimer | Après une demande de confirmation, supprime les entrées sélectionnées de la liste.
Exporter la sélection en XML... | Exporte touts les entrées sélectionnées sous forme de fichier XML.
Importer XML | Importe des entrées à partir d'un fichier XML.
Éditer la cellule sélectionnée | Ouvre la cellule sélectionnée pour la modification. Le symbole représentant des jumelles dans l'en-tête indique la cellule sélectionnée dans une ligne affichée en surbrillance. Seules les cellules pouvant être modifiées peuvent être sélectionnées.
Remplacer un texte dans la colonne sélectionnée | Ouvre la boîte de dialogue de recherche et de remplacement de texte.
Supprimer tous les filtres | Supprime tous les paramètres de filtre
Propriétés | Ouvre la fenêtre de Propriétés.
Aide | Ouvre l'aide en ligne.

Menu contextuel Groupe d'utilisateurs

Élément de menu | Action
New user group (Nouveau groupe d'utilisateurs) | Ouvre la boîte de dialogue de création de nouveaux groupes d'utilisateurs, et ajoute le nouveau groupe d'utilisateurs à la liste dans la vue de détail.
Copier | Copie les entrées sélectionnées et vers le presse-papiers.
Coller | Insère le contenu du presse-papier. Si une entrée portant le même nom existe déjà, le contenu est collé sous le nom Copie de....
Supprimer | Après une demande de confirmation, supprime les entrées sélectionnées de la liste.
Exporter la sélection en XML... | Exporte touts les entrées sélectionnées sous forme de fichier XML.
Importer XML | Importe des entrées à partir d'un fichier XML.
Éditer la cellule sélectionnée | Ouvre la cellule sélectionnée pour la modification. Le symbole représentant des jumelles dans l'en-tête indique la cellule sélectionnée dans une ligne affichée en surbrillance. Seules les cellules pouvant être modifiées peuvent être sélectionnées.
Supprimer tous les filtres | Supprime tous les paramètres de filtre
Remplacer un texte dans la colonne sélectionnée | Ouvre la boîte de dialogue de recherche et de remplacement de texte.
Propriétés | Ouvre la fenêtre de Propriétés.
Aide | Ouvre l'aide en ligne.


Créer un utilisateur

Manuel -> Gestion des utilisateurs -> Configuration dans zenon Editor -> Créer un utilisateur

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Pour créer un nouvel utilisateur :

  1. Accédez au nœud Gestion d'utilisateurs/Utilisateur.
  2. Dans le menu contextuel du Gestionnaire de projet, la vue de détail ou la barre d'outils, sélectionnez Nouvel utilisateur...

    La boîte de dialogue de configuration s'affiche à l'écran.

  3. Dans les onglets individuels, définissez les paramètres pour :
    • Utilisateurs
    • Mot de passe
    • Message control
    • Niveaux d'autorisation
    • Groupes d'utilisateurs

info Informations

Recommandation : définissez un administrateur en tant que premier utilisateur. Seul celui-ci peut accéder à toutes les fonctions et donc, réactiver des utilisateurs bloqués par le système.

Autres sujets abordés dans ce chapitre

Utilisateurs

Modifier le mot de passe

Message control

Niveaux d'autorisation

Groupes d'utilisateurs


Utilisateurs

Manuel -> Gestion des utilisateurs -> Configuration dans zenon Editor -> Créer un utilisateur -> Utilisateurs

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Configuration de l'utilisateur :

Utilisateur

Option

Description

Nom utilisateur

Saisissez le nom d'utilisateur. L'utilisateur se connecte au système avec son nom d'utilisateur.

Longueur maximale : 20 caractères.

Remarque : ce nom doit être unique.

Nom complet

Saisissez le nom complet de l'utilisateur. Ceci vous permet d'attribuer un nom d'utilisateur à une personne véritable.

Code de connexion

Saisie du code de connexion pour la connexion sans mot de passe.

Les considérations suivantes s’appliquent au code de connexion :

  • doit être unique dans le projet.
    Remarque : Si le même code de connexion est défini pour un utilisateur dans le projet local et le projet global, l’utilisateur du projet global n’est pas transféré lors de la création des fichiers de Runtime dans Editor. Un message d’erreur correspondant s’affiche dans la fenêtre de résultats. Si le code de connexion est modifié dans le Runtime, il ne doit pas être identique au code d’un utilisateur du projet global.
  • Il peut être vide.
    Il est ainsi désactivé pour cet utilisateur.
  • Longueur maximale : 1000 caractères
  • Ne doit pas uniquement contenir des espaces.
  • Le code ne doit pas commencer ou se terminer par des espaces.
  • Tous les autres caractères sont autorisés.

Par défaut : (vide)

If an invalid login code is entered, a corresponding error message is shown when the dialog is closed.

For details, see the Login via login code chapter.

Administrateur

Active : L'utilisateur reçoit l'état d'administrateur.

Seul un administrateur peut créer un nouvel utilisateur, modifier les utilisateurs, supprimer les mots de passe, etc. dans le Runtime.

Active

Active : L'utilisateur est actif et peut se connecter au Runtime.

Remarque : Conformément à la réglementation FDA 21 PART 11, un utilisateur ne peut jamais être supprimé ; il est ainsi possible d'identifier à tout moment une personne ayant réalisé une action donnée. Par conséquent, pour les projets conformes à cette réglementation, un utilisateur ne doit pas être supprimé, mais uniquement désactivé.

Pour empêcher la suppression d'utilisateurs, désactivez la propriété Gestion des utilisateurs dans le groupe Supprimer utilisateurs des propriétés du projet.

Verrouillé

Active : L'utilisateur est bloqué dans le Runtime et ne peut pas se connecter.

Cette option est définie automatiquement dès qu'un utilisateur dépasse le nombre autorisé de saisies erronées du mot de passe.

Options

Option

Description

Code de verrouillage

Code PIN à quatre chiffres.

Ce code permet à l'utilisateur de bloquer ou débloquer certaines sections via la ligne de commande.
Disponible uniquement si zenon Energy Edition comporte une licence valide.

Profil de connexion

Sélection du profil Runtime utilisé pour la connexion dans une liste déroulante :

  • Aucun
  • Par défaut
  • Dernier

Fermer boîte de dialogue

Options | Description :
OK | Applique toutes les modifications effectuées sur tous les onglets, puis ferme la boîte de dialogue.
Annuler | Annule toutes les modifications effectuées sur tous les onglets, puis ferme la boîte de dialogue.
Aide | Ouvre l'aide en ligne.


Modifier le mot de passe

Manuel -> Gestion des utilisateurs -> Configuration dans zenon Editor -> Créer un utilisateur -> Modifier le mot de passe

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Définition ou modification du mot de passe.

Les mots de passe peuvent comporter 20 caractères au maximum. La longueur minimale est définie dans les paramètres du projet, dans la propriété Longueur min. mot de passe du groupe Gestion des utilisateurs. (Par défaut : 6 caractères).

Paramètre | Description
Ancien mot de passe | Mot de passe actuel.
Nouveau mot de passe | Saisissez le nouveau mot de passe. La saisie est automatiquement masquée. Pour les projets multilingues, assurez-vous qu'il soit possible de saisir les caractères avec le clavier correspondant dans le Runtime.
Confirmer le mot de passe | Répétez le mot de passe. La saisie est automatiquement masquée.

Remarque : Les fonctions Copier et Coller ne sont pas disponibles lors de la saisie d'informations dans le champ de mot de passe.

Fermer boîte de dialogue

Options | Description :
OK | Applique toutes les modifications effectuées sur tous les onglets, puis ferme la boîte de dialogue.
Annuler | Annule toutes les modifications effectuées sur tous les onglets, puis ferme la boîte de dialogue.
Aide | Ouvre l'aide en ligne.


Message control

Manuel -> Gestion des utilisateurs -> Configuration dans zenon Editor -> Créer un utilisateur -> Message control

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Options de gestion des utilisateurs dans le module Message Control.

Paramètre

Description

Utilisateur du module Message Control

Active : L'utilisateur est utilisé par le module Message Control.

Téléphone

Numéro de l'équipement téléphonique compatible voix de l'utilisateur. Utilisé pour la fonction de synthèse vocale.

Saisissez le numéro. En outre, les pratiques suivantes sont autorisées :

  • Le préfixe + peut être utilisé à la place des chiffres 00 précédant le code international.
  • Les séparateurs suivants sont également autorisés dans l'interface de gestion des utilisateurs d'AD : Moins (-), tiret (/) et espace.
    Remarque : Lors des communications entre AD et le module Message Control, les séparateurs sont ignorés dès que les données provenant d'AD sont associées à un objet zenon.

Téléphone portable

Numéro de téléphone cellulaire de l’utilisateur. Utilisé pour l’envoi de messages par téléphone portable et SMS ("textos").

Saisissez le numéro. En outre, les pratiques suivantes sont autorisées :

  • Le préfixe + peut être utilisé à la place des chiffres 00 précédant le code international.
  • Les séparateurs suivants sont également autorisés dans l'interface de gestion des utilisateurs d'AD : Moins (-), tiret (/) et espace.
    Remarque : Lors des communications entre AD et le module Message Control, les séparateurs sont ignorés dès que les données provenant d'AD sont associées à un objet zenon.

E-mail

Adresse e-mail de l’utilisateur

Personne de remplacement

Si un utilisateur n'est pas joignable ou n'accepte pas le message, un remplaçant peut être indiqué. Cliquez sur le bouton ... Ouvre la boîte de dialogue de sélection d'utilisateurs. Seuls les utilisateurs activés en tant qu'utilisateurs de Message Control peuvent être sélectionnés.

Code PIN

Code PIN permettant à l'utilisateur de confirmer le message.

Code NA

Code d'indisponibilité permettant à l'utilisateur de refuser de confirmer la réception du message (indisponible). Le message est ensuite envoyé à l'utilisateur suivant dans la liste.

Si aucune autre utilisateur n'est défini dans la liste, le message est enregistré avec l'état non acquitté. La fonction associée à cet état est exécutée. En outre, dans tous les cas, une entrée "refusé par" est générée dans la liste CEL.

Remarque : D'autres informations concernant l'attribution de fonctions sont disponibles au chapitre Confirmation de réception - Paramètres de la confirmation de réception.

Fermer boîte de dialogue

Options

Description :

OK

Applique toutes les modifications effectuées sur tous les onglets, puis ferme la boîte de dialogue.

Annuler

Annule toutes les modifications effectuées sur tous les onglets, puis ferme la boîte de dialogue.

Aide

Ouvre l'aide en ligne.

attention Attention

Les codes d'acquittement PIN (confirmation) et NA (refus) doivent être différents et ne doivent pas être trop semblables.

Si les deux codes sont identiques, le code est interprété comme un code PIN, et indique alors la confirmation du message.

En cas de réception d'un code inconnu, un SMS et un e-‑mail sont envoyés au contact secondaire. Le message d'erreur est diffusé pour les messages vocaux.


Niveaux d'autorisation

Manuel -> Gestion des utilisateurs -> Configuration dans zenon Editor -> Créer un utilisateur -> Niveaux d'autorisation

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Définition du niveau d'autorisation pour l'utilisateur.

Paramètre | Description
Groupes d'autorisation disponibles | liste de tous les groupes d'autorisation disponibles.
Niveaux d'autorisation sélectionnés | liste des autorisations assignées.
Bouton Double flèche vers la droite | Les entrées sélectionnées dans la liste Niveaux d'autorisation disponibles sont ajoutées à la liste Niveaux d'autorisation sélectionnés.
Bouton Double flèche vers la gauche | Les entrées sélectionnées dans la liste Niveaux d'autorisation sélectionnés sont supprimées de la liste.

Fermer boîte de dialogue

Options | Description :
OK | Applique toutes les modifications effectuées sur tous les onglets, puis ferme la boîte de dialogue.
Annuler | Annule toutes les modifications effectuées sur tous les onglets, puis ferme la boîte de dialogue.
Aide | Ouvre l'aide en ligne.


Groupes d'utilisateurs

Manuel -> Gestion des utilisateurs -> Configuration dans zenon Editor -> Créer un utilisateur -> Groupes d'utilisateurs

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Attribution d'utilisateurs à des groupes d'utilisateurs.

Paramètre | Description
Groupes d'utilisateurs disponibles | Liste de tous les groupes d'utilisateurs disponibles.
Groupes d'utilisateurs sélectionnés | Liste des groupes d'utilisateurs affectés
Bouton Double flèche vers la droite | Les entrées sélectionnées dans la liste Groupes d'utilisateurs disponibles sont ajoutées à la liste Groupes d'utilisateurs sélectionnés.
Bouton Double flèche vers la gauche | Les entrées sélectionnées dans la liste Groupes d'utilisateurs sélectionnés sont supprimées de la liste.

Fermer boîte de dialogue

Options | Description :
OK | Applique toutes les modifications effectuées sur tous les onglets, puis ferme la boîte de dialogue.
Annuler | Annule toutes les modifications effectuées sur tous les onglets, puis ferme la boîte de dialogue.
Aide | Ouvre l'aide en ligne.


Créer un groupe d'utilisateurs

Manuel -> Gestion des utilisateurs -> Configuration dans zenon Editor -> Créer un groupe d'utilisateurs

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Pour créer un groupe d'utilisateurs :

  1. Sélectionnez l'entrée Groupes d'utilisateurs dans l'arborescence du Gestionnaire de projet, sous l'entrée Gestion des utilisateurs
  2. Cliquez avec le bouton droit sur la vue de détail (Vue de détail du Gestionnaire de projet) ou directement sur l'entrée Groupes d'utilisateurs
  3. Sélectionnez la commande Nouveau groupe d'utilisateurs dans le menu contextuel, ou cliquez sur le symbole correspondant dans la barre d'outils
  4. La boîte de dialogue Créer un nouveau groupe d'utilisateurs s'affiche.
  5. Définissez le nom et les niveaux d'autorisation

info Informations

Chaque groupe d'utilisateurs doit comporter un nom unique dans un projet.

Il est possible de créer des groupes d'utilisateurs portant le même nom dans le projet global et le projet local. Si c'est le cas, les autorisations du groupe d'utilisateurs du projet local sont utilisées en cas de conflit. Si le groupe d'utilisateurs local est supprimé, l'utilisateur reçoit à nouveau les droits du groupe du projet global après la compilation des fichiers du Runtime dans Editor.

Exemple :

Un groupe d'utilisateurs A est présent dans le projet local et le projet global. Dans le projet global, il reçoit les niveaux d'autorisation 1, 2, 3, 100 et 101 et dans le projet local, les niveaux d'autorisation 1 et 2. Dans le Runtime, les règles du projet local s'appliquent ; seuls les niveaux d'autorisation 1 et 2 sont attribués. Si le groupe d'utilisateurs A n'est pas présent dans le projet local, les membres du groupe A possèdent les niveaux d'autorisation 1, 2, 3, 100 et 101 du projet global.

Autres sujets abordés dans ce chapitre

Nom du groupe d'utilisateurs

Niveaux d'autorisation

Ordre dans le module Message Control


Nom du groupe d'utilisateurs

Manuel -> Gestion des utilisateurs -> Configuration dans zenon Editor -> Créer un groupe d'utilisateurs -> Nom du groupe d'utilisateurs

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Paramètre | Description
Nom | Nom du nouveau groupe d'utilisateurs. Attention : @ n'est pas un caractère valide pour un groupe d'utilisateurs.

Fermer boîte de dialogue

Options | Description :
OK | Applique toutes les modifications effectuées sur tous les onglets, puis ferme la boîte de dialogue.
Annuler | Annule toutes les modifications effectuées sur tous les onglets, puis ferme la boîte de dialogue.
Aide | Ouvre l'aide en ligne.


Niveaux d'autorisation

Manuel -> Gestion des utilisateurs -> Configuration dans zenon Editor -> Créer un groupe d'utilisateurs -> Niveaux d'autorisation

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Attribution d'un niveau d'autorisation à un groupe d'utilisateurs.

Paramètre | Description
Groupes d'autorisation disponibles | liste de tous les groupes d'autorisation disponibles.
Niveaux d'autorisation sélectionnés | liste des autorisations assignées.
Bouton Double flèche vers la droite | Les entrées sélectionnées dans la liste Niveaux d'autorisation disponibles sont ajoutées à la liste Niveaux d'autorisation sélectionnés.
Bouton Double flèche vers la gauche | Les entrées sélectionnées dans la liste Niveaux d'autorisation sélectionnés sont supprimées de la liste.

Fermer boîte de dialogue

Options | Description :
OK | Applique toutes les modifications effectuées sur tous les onglets, puis ferme la boîte de dialogue.
Annuler | Annule toutes les modifications effectuées sur tous les onglets, puis ferme la boîte de dialogue.
Aide | Ouvre l'aide en ligne.


Ordre dans le module Message Control

Manuel -> Gestion des utilisateurs -> Configuration dans zenon Editor -> Créer un groupe d'utilisateurs -> Ordre dans le module Message Control

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Définit l'ordre des utilisateurs dans un groupe dans le cadre de l'utilisation du module Message Control.

Paramètres | Description
Utilisateurs | Liste de tous les utilisateurs disponibles.
Vers le haut | Déplace l'utilisateur sélectionné d'une place.
Vers le bas | Abaisse l'utilisateur sélectionné d'une place.
OK | Applique les paramètres et ferme la boîte de dialogue.
Annuler | Discards all changes and closes the dialog.
Aide | Ouvre l'aide en ligne.


Éditer un utilisateur

Manuel -> Gestion des utilisateurs -> Configuration dans zenon Editor -> Éditer un utilisateur

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Pour modifier un utilisateur, sélectionnez l'utilisateur dans la liste affichée dans la vue de détail. Par conséquent, les propriétés correspondantes sont affichées dans la fenêtre des propriétés, où elles peuvent être modifiées.


Modifier un groupe d'utilisateurs

Manuel -> Gestion des utilisateurs -> Configuration dans zenon Editor -> Modifier un groupe d'utilisateurs

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Pour modifier un groupe d'utilisateurs, sélectionnez le groupe d'utilisateurs dans la liste affichée dans la vue de détail. Les paramètres correspondants sont ensuite affichés dans la fenêtre des propriétés. Vous pouvez modifier les paramètres Nom et Niveaux d'autorisation.

info Informations

Si vous renommez un groupe d'utilisateurs, tous les utilisateurs liés à ce groupe d'utilisateurs perdent ce lien. Vous pouvez afficher le groupe d'utilisateurs en appuyant sur la touche Suppr.

Si un autre groupe d'utilisateurs portant le même nom existe déjà dans le projet global, tous les utilisateurs précédemment liés au groupe renommé reprennent tous les niveaux d'autorisation de ce groupe d'utilisateurs.


Modifier les noms des niveaux d'autorisation

Manuel -> Gestion des utilisateurs -> Configuration dans zenon Editor -> Modifier les noms des niveaux d'autorisation

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Vous pouvez modifier les noms des niveaux d'autorisation de votre projet de façon globale. Pour cela, accédez au groupe Gestion des utilisateurs dans les propriétés du projet et cliquez ensuite sur la propriété Renommer niveaux d'autorisation.

Ouvrez le champ d'édition en double-cliquant dans la ligne souhaitée de la colonne Nom. Effectuez les modifications souhaitées. La saisie est terminée dès que vous cliquez hors du champ ou que vous confirmez votre saisie en appuyant sur Entrée. Le nom n'est pas modifié si vous appuyez sur Échap ou laissez le champ de saisie vide.


User selection: individual user

Manuel -> Gestion des utilisateurs -> Configuration dans zenon Editor -> User selection: individual user

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

In the user selection dialog, you select a user in Runtime for use in another module.

Pour sélectionner un utilisateur :

  1. Sélectionnez le driver souhaité dans la liste de projets actuels.
  2. Confirmez les paramètres en cliquant sur OK.

    L'utilisateur est ajoutée

Boîte de dialogue de sélection des utilisateurs

Option | Description
Liste des espaces de travail | Affichage et sélection des projets depuis lesquels des utilisateurs peuvent être sélectionnés.
Liste des utilisateurs | Affichage des utilisateurs des projets sélectionnés. La liste peut être filtrée.
Aucun utilisateur sélectionné | Tout utilisateur déjà sélectionné est désélectionné.

Fermer boîte de dialogue

Options | Description :
OK | Applique les paramètres et ferme la boîte de dialogue.
Annuler | Annule toutes les modifications et ferme la boîte de dialogue.
Aide | Ouvre l'aide en ligne.


User selection: individual user

Manuel -> Gestion des utilisateurs -> Configuration dans zenon Editor -> User selection: individual user

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

In the user selection dialog, you select several users in Runtime for use in another module.

Utilisateurs sélectionnés :

  1. Sélectionnez les utilisateurs souhaité dans la liste de projets actuels.
  2. Add the selection to the list of selected users with Add.
  3. Confirmez les paramètres en cliquant sur OK.

    The users are added to the dialog that is called up.

Boîte de dialogue de sélection des utilisateurs

Option | Description
Liste de projets | Contains the projects available for selection. Remarque : Only the active project is available for shift management.
Liste d'utilisateurs existants | Displays all users available.
Touches fléchées du clavier | Allows navigation in the list with touch operation.
Liste d'utilisateurs sélectionnés | Shows all users selected for use in the module.
Touches fléchées du clavier | Allows navigation in the list with touch operation.
Ajouter | Adds the users highlighted in the list of existing users to the list of selected users.
Supprimer | Removes all highlighted users from the list of selected users.
Aucun utilisateur sélectionné | Removes pre-existing users from the dialog in the calling dialog.

Close dialog

Option | Description
OK | Applique les paramètres et ferme la boîte de dialogue.
Cancel | Annule toutes les modifications et ferme la boîte de dialogue.


Autorisations sur fonctions

Manuel -> Gestion des utilisateurs -> Configuration dans zenon Editor -> Autorisations sur fonctions

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Les autorisations sur fonctions peuvent être attribuées dans zenon. Ces autorisations sur fonctions concernent les fonctions dans le Runtime, ainsi que la configuration des modules dans Editor. Si un utilisateur ne possède pas les niveaux d'autorisation requis,

  • Dans le Runtime : les fonctions correspondantes ne peuvent pas être exécutées.
  • Dans Editor : les barres d'outils et les menus contextuels du module correspondant sont grisés.

Configuration des autorisations de fonctions

La configuration des autorisations de fonctions se déroule dans zenon Editor.

Attribution des autorisations de fonctions

Cette attribution est effectuée comme suit :

  • Autorisations des fonctions dans le Runtime
  • Autorisations de fonctions dans Editor

Pour les projets globaux, l'attribution se déroule de la même manière que pour Editor. Dans ce contexte, les possibilités de sélection dont déterminées par les nœuds présents dans un projet global.

Dès qu'un ou plusieurs niveaux d'autorisation supérieurs à 0 sont utilisés, une boîte de dialogue de connexion apparaît lorsque le projet est chargé dans Editor. Cette boîte de dialogue apparaît également si un seul utilisateur a été créé dans le projet. Cela signifie que les projets peuvent être protégés dans Editor. Lors de la saisie du nom d'utilisateur et du mot de passe, une distinction est établie entre les lettres majuscules et minuscules.

En règle générale, les dispositions suivantes s’appliquent :

  • Toutes les configurations de projet relatives aux opérations DragOver et glisser-déposer tiennent compte des droits d'utilisation du module.
  • Si des droits d'utilisation du module n'ont pas été attribués :
    • Le menu et les barres d'outils correspondants sont grisés dans zenon Editor.
    • Aucune configuration de la configuration du projet n'est possible dans les nœuds et sous-nœuds de la vue de détail.
    • Les combinaisons de touches correspondantes sont inactives.
    • Les propriétés sont grisées dans la fenêtre des propriétés. Par conséquent, les options de configuration de projets approfondies ou avancées sont inaccessibles (par exemple, éléments combinés, états de matrices de réaction, configuration d'archives, etc.).
    • Si aucun droit d'utilisation de module n'existe pour le synoptique d'autorisation de fonctions, l'édition de synoptiques à l'aide de la souris n'est plus possible.

attention Attention

Par conséquent, veuillez noter que même lors des phases de configuration, au moins un utilisateur doit être attribué à chacun des trois niveaux d'autorisation suivants :

  • Charger projet
  • Projet
  • Gestion des utilisateurs

info Informations

If, for the global project, an authorization level greater than 0 is configured for the editing of screens and the logged-in user does not have this authorization level, the adding of symbols into the symbol library is not possible. Linked symbols from the global project can also be edited in screens of the local project in this case.

Autres sujets abordés dans ce chapitre

Configuration des autorisations de fonctions

Autorisations des fonctions dans le Runtime

Autorisations de fonctions dans Editor


Configuration des autorisations de fonctions

Manuel -> Gestion des utilisateurs -> Configuration dans zenon Editor -> Autorisations sur fonctions -> Configuration des autorisations de fonctions

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Pour émettre une autorisation de fonction :

  1. Sélectionnez le groupe de propriétés Gestion des utilisateurs dans les propriétés du projet.
  2. Dans le champ de propriétés Autorisations sur fonctions, cliquez sur le bouton ...

    La boîte de dialogue de configuration s'affiche à l'écran.

  3. Issue the function authorization for:
    • The respective function in Runtime
      and/or
    • For the respective model in the Editor
  4. Attribuez l'autorisation de fonction souhaitée à un niveau d'autorisation.

Pour cela, il est nécessaire de disposer des droits de licence correspondant au module concernés. Cela n'est pas pris en compte lors de la configuration des niveaux d'autorisation individuels.

Note on function authorizations for the Editor:

  • Les modifications apportées aux autorisations sur fonction prennent uniquement effet après le redémarrage d'Editor ou le rechargement du projet.
  • Ensure that at least one user has the required authorizations in order to edit user authorization settings.


Autorisations des fonctions dans le Runtime

Manuel -> Gestion des utilisateurs -> Configuration dans zenon Editor -> Autorisations sur fonctions -> Autorisations des fonctions dans le Runtime

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

If function authorizations have been issued for Runtime, users must log in and have the corresponding authorization level in order for them to be able to execute this function.

Configuration des autorisations de fonctions dans le Runtime

Pour toutes les actions, l'utilisateur doit être connecté et posséder les niveaux d'autorisation correspondants.

Autorisations d'utilisation des fonctions – Informations générales

Paramètre

Description

Éditer une courbe Extended Trend

Les courbes du module Extended Trend peuvent être modifiées dans le Runtime. Les éléments de contrôle suivants sont indisponibles si l'utilisateur ne satisfait pas aux critères d'autorisation :

  • Diagramme
  • Courbes
  • Paramètres
  • Curseur actif/inactif
  • Axe X

Retour au synoptique précédent

La fonction Retour au précédent du synoptique peut être exécutée dans le Runtime.

Appel de synoptique : Activer "Afficher cette boîte de dialogue dans le Runtime"

La fonction Appel de synoptique, lorsque l'option Afficher cette boîte de dialogue dans le Runtime est active, peut uniquement être exécutée si l'utilisateur connecté satisfait aux critères d'autorisation.

Bloc-notes : ouvrir fichier

La fonction Liste de fichiers du synoptique Fichier peut uniquement être exécutée si l'utilisateur connecté possède le niveau d'autorisation adéquat.

Bloc-notes : Enregistrer fichier

La fonction Enregistrer un fichier du synoptique Fichier peut uniquement être exécutée si l'utilisateur connecté possède le niveau d'autorisation adéquat.

Autorisations concernant les alarmes

Paramètre

Description

Modifier le commentaire d'alarme

Un commentaire nécessaire à l'acquittement peut être modifié.

Entrer le commentaire d'alarme

Un commentaire nécessaire à l'acquittement peut être saisi.

Supprimer alarme

Les alarmes peuvent être supprimées dans le Runtime.

Acquittement d'alarmes par le biais de la ligne d'état/du menu contextuel

Acquitter une alarme par le biais de la ligne d'état des alarmes ou du menu contextuel n'est possible que si une autorisation est définie dans le projet de l'alarme actuellement affichée.

Dans le cas d'une gestion multi-projets : acquitter le message système par le biais de la ligne d'état des alarmes ou du menu contextuel n'est possible que si une autorisation est définie dans le projet d'intégration.

Commentaire : Les messages systèmes sont les messages qui apparaissent dans la ligne d'état des alarmes lorsqu'un certain nombre (configurable) d'alarmes est atteint.

Acquitter les alarmes dans les synoptiques d'alarmes

L'acquittement des alarmes par le biais des synoptiques de liste d'alarmes n'est possible que si une autorisation est définie dans le projet lié à la variable (gestion multi-projet).
Remarque : si vous n'avez pas l'autorisation d'acquitter, le clignotement est arrêté mais l'alarme n'est pas acquittée.

Acquitter les alarmes avec une fonction

Acquitter les alarmes par le biais d'une fonction n'est possible que si une autorisation est définie pour les alarmes sélectionnées dans les projets correspondants.

Modifier l'archive

Les données d'archives (Serveur d'archives) peuvent être modifiées dans le Runtime.

Vous pouvez définir différents groupes d'autorisations pour chacune de ces méthodes d'acquittement. Ceci vous permet, par exemple, de configurer que certains utilisateurs ne peuvent acquitter que par la ligne d'état et pas par un autre moyen.

Informations concernant info

Acquitter une alarme n'est possible que si une autorisation a été définie pour les alarmes sélectionnées dans les projets correspondants.

Autorisation d'utilisation des fonctions du module Batch Control.

Paramètre | Description
Module Batch Control : Importer une recette/une opération | Les recettes peuvent uniquement être importées sous forme de fichier XML dans le module Batch Control si l'utilisateur dispose des droits correspondants.
Module Batch Control : Recette de contrôle - créer, renommer, dupliquer | Les recettes de contrôle dans le module Batch Control peuvent uniquement être créées et gérées si l'utilisateur dispose des droits correspondants.
Module Batch Control : Recette de contrôle - éditer la phase | Les recettes de contrôle dans le module Batch Control peuvent uniquement être éditées si l'utilisateur dispose des droits correspondants.
Module Batch Control : Recette de contrôle - supprimer | Les recettes de contrôle dans le module Batch Control peuvent uniquement être supprimées si l'utilisateur dispose des droits correspondants.
Module Batch Control : Recette de contrôle (exécution) - passer la condition active | Lors de l'exécution de recettes de contrôle dans le module Batch Control, une phase peut uniquement être quittée si l'utilisateur dispose des droits correspondants.
Module Batch Control : recette de contrôle (exécution) - sortie phase | Lors de l'exécution de recettes de contrôle dans le module Batch Control, les conditions en attente peuvent uniquement être ignorées si l'utilisateur dispose des droits correspondants.
Module Batch Control : Recette principale (mode test) - Changer le mode d'exécution | Dans le mode de test, les recettes principales dans le module Batch Control permettent uniquement d'activer le mode d'exécution si l'utilisateur dispose des droits correspondants.
Module Batch Control : Recette de contrôle (exécution) - Changer le mode d'exécution | Lors de l'exécution de recettes de contrôle dans le module Batch Control, le mode d'exécution peut uniquement être activé si l'utilisateur dispose des droits correspondants.
Module Batch Control : Recette de contrôle (exécution) - exécuter, sauter des étapes simples | Lors de l'exécution de recettes de contrôle dans le module Batch Control, l'exécution d'étapes individuelles peut uniquement être ignorée si l'utilisateur dispose des droits correspondants.
Module Batch Control : Recette de contrôle (exécution) - figer la phase | Lors de l'exécution de recettes de contrôle dans le module Batch Control, une phase peut uniquement être arrêtée si l'utilisateur dispose des droits correspondants.
Module Batch Control : Recette de contrôle (exécution) - continuer la phase | Lors de l'exécution de recettes de contrôle dans le module Batch Control, une phase peut uniquement être poursuivie si l'utilisateur dispose des droits correspondants.
Module Batch Control : Recette de contrôle (exécution) - redémarrer la phase | Lors de l'exécution de recettes de contrôle dans le module Batch Control, une phase peut uniquement être redémarrée si l'utilisateur dispose des droits correspondants.
Module Batch Control : Recette de contrôle (exécution) - suspendre la phase | Lors de l'exécution de recettes de contrôle dans le module Batch Control, une phase peut uniquement être suspendue si l'utilisateur dispose des droits correspondants.
Module Batch Control : Recette de contrôle (exécution) - annuler la recette | Lors de l'exécution de recettes de contrôle dans le module Batch Control, l'exécution d'une recette peut uniquement être annulée si l'utilisateur dispose des droits correspondants.
Module Batch Control : Recette de contrôle (exécution) - figer la recette | Lors de l'exécution de recettes de contrôle dans le module Batch Control, une recette peut uniquement être arrêtée si l'utilisateur dispose des droits correspondants.
Module Batch Control : Recette de contrôle (exécution) - continuer la recette | Lors de l'exécution de recettes de contrôle dans le module Batch Control, l'exécution d'une recette peut uniquement être poursuivie si l'utilisateur dispose des droits correspondants.
Module Batch Control : Recette de contrôle (exécution) - redémarrer la recette | Lors de l'exécution de recettes de contrôle dans le module Batch Control, une recette peut uniquement être redémarrée si l'utilisateur dispose des droits correspondants.
Module Batch Control : Recette de contrôle (exécution) - mettre en pause la recette | Lors de l'exécution de recettes de contrôle dans le module Batch Control, une recette peut uniquement être mise en pause si l'utilisateur dispose des droits correspondants.
Module Batch Control : Recette de contrôle (exécution) - démarrer la recette | Lors de l'exécution de recettes de contrôle dans le module Batch Control, une recette peut uniquement être redémarrée si l'utilisateur dispose des droits correspondants.
Module Batch Control : Recette de contrôle (exécution) - arrêter la recette | Lors de l'exécution de recettes de contrôle dans le module Batch Control, une recette peut uniquement être arrêtée si l'utilisateur dispose des droits correspondants.
Module Batch Control : Opération - créer, éditer, renommer, dupliquer, enregistrer | Les opérations dans le module Batch Control peuvent uniquement être créées, éditées ou gérées si l'utilisateur dispose des droits correspondants.
Module Batch Control : Opération : valider | Les opérations dans le module Batch Control peuvent uniquement être validées si l'utilisateur dispose des droits correspondants.
Module Batch Control : Opération : supprimer | Les opérations dans le module Batch Control peuvent uniquement être supprimées si l'utilisateur dispose des droits correspondants.
Module Batch Control : Recette principale - créer, éditer, renommer, dupliquer, enregistrer | Les recettes principales dans le module Batch Control peuvent uniquement être créées et gérées si l'utilisateur dispose des droits correspondants.
Module Batch Control : Recette principale - valider | Les recettes de contrôle dans le module Batch Control peuvent uniquement être validées si l'utilisateur dispose des droits correspondants.
Module Batch Control : Recette principale - supprimer | Les recettes de contrôle dans le module Batch Control peuvent uniquement être supprimées si l'utilisateur dispose des droits correspondants.
Module Batch Control : Recette principale - activation des modes de test et d'édition | L'activation des modes de test et d'édition est uniquement possible pour les recettes principales, dans le module Batch Control, si l'utilisateur dispose des droits correspondants.
Module Batch Control : Recette principale - afficher comme obsolète | Les recettes principales dans le module Batch Control peuvent uniquement être affichées comme obsolète si l'utilisateur dispose des droits correspondants.
Module Batch Control : Recette principale (mode de test) - passer la condition active | Dans le mode de test, les recettes principales dans le module Batch Control permettent uniquement d'ignorer une condition en attente si l'utilisateur dispose des droits correspondants.
Module Batch Control : recette principale (mode de test) - sortie phase | Dans le mode de test, les recettes principales dans le module Batch Control il est uniquement possible de quitter une phase si l'utilisateur dispose des droits correspondants.
Module Batch Control : Recette principale (mode de test) - exécuter, passer une étape simple | Dans le mode de test, les recettes principales dans le module Batch Control permettent uniquement de passer l'exécution d'étapes individuelles si l'utilisateur dispose des droits correspondants.
Module Batch Control : Recette principale (mode de test) - figer la phase | Dans le mode de test, les recettes principales dans le module Batch Control permettent uniquement d'arrêter une phase si l'utilisateur dispose des droits correspondants.
Module Batch Control : Recette principale (mode de test) - éditer la phase | Dans le mode de test, les recettes principales dans le module Batch Control permettent uniquement d'éditer une phase si l'utilisateur dispose des droits correspondants.
Module Batch Control : Recette principale (mode de test) - continuer la phase | Dans le mode de test, les recettes principales dans le module Batch Control permettent uniquement de continuer une phase si l'utilisateur dispose des droits correspondants.
Module Batch Control : Recette principale (mode de test) - redémarrer la phase | Dans le mode de test, les recettes principales dans le module Batch Control permettent uniquement de redémarrer une phase si l'utilisateur dispose des droits correspondants.
Module Batch Control : Recette principale (mode de test) - mettre en pause la phase | Dans le mode de test, les recettes principales dans le module Batch Control permettent uniquement de mettre une phase en pause si l'utilisateur dispose des droits correspondants.
Module Batch Control : Recette principale (mode de test) - annuler la recette | Dans le mode de test, les recettes principales dans le module Batch Control permettent uniquement d'annuler une recette si l'utilisateur possède le niveau d'autorisation correspondant.
Module Batch Control : Recette principale (mode de test) - figer la recette | Dans le mode de test, les recettes principales dans le module Batch Control permettent uniquement de figer une recette si l'utilisateur possède les droits correspondants.
Module Batch Control : Recette principale (mode de test) - continuer la recette | Dans le mode de test, les recettes principales dans le module Batch Control permettent uniquement de poursuivre l'exécution d'une recette si l'utilisateur possède les droits correspondants.
Module Batch Control : Recette principale (mode de test) - redémarrer la recette | Dans le mode de test, les recettes principales dans le module Batch Control permettent uniquement de poursuivre l'exécution d'une recette si l'utilisateur possède les droits correspondants.
Module Batch Control : Recette principale (mode de test) - mettre en pause la recette | Dans le mode de test, les recettes principales dans le module Batch Control permettent uniquement de mettre une recette en pause si l'utilisateur possède le niveau d'autorisation correspondant.
Module Batch Control : Recette principale (mode de test) - démarrer la recette | Dans le mode de test, les recettes principales dans le module Batch Control permettent uniquement de démarrer une recette si l'utilisateur possède le niveau d'autorisation correspondant.
Module Batch Control : Recette principale (mode de test) - arrêter la recette | Dans le mode de test, les recettes principales dans le module Batch Control permettent uniquement d'arrêter une recette si l'utilisateur dispose des droits correspondants.

Autorisations d'accès aux fonctions du module Command Sequencer :

Paramètre | Description
Command Sequencer : annuler l'exécution | Lors de l'exécution de séquences de commandes dans le module Command Sequencer, l'exécution d'une recette peut uniquement être annulée si l'utilisateur dispose des droits correspondants.
Command Sequencer : continuer l'exécution | Dans le module Command Sequencer, une séquence de commandes mise en pause peut uniquement être reprise si l'utilisateur dispose des droits correspondants.
Command Sequencer : suspendre l'exécution | Dans le module Command Sequencer, une séquence de commandes peut uniquement être mise en pause si l'utilisateur dispose des droits correspondants.
Command Sequencer : démarrer l'exécution | Dans le module Command Sequencer, une séquence de commandes peut uniquement être démarrée si l'utilisateur dispose des droits correspondants.
Command Sequencer : Changer de mode d'exécution | Lors de l'exécution de séquences de commandes dans le module Command Sequencer, les étapes individuelles peuvent uniquement être exécutées, ou l'exécution d'étapes individuelles peut uniquement être ignorée si l'utilisateur dispose des droits correspondants.
Command Sequencer : exécuter, ignorer certaines étapes | Lors de l'exécution de séquences de commandes dans le module Command Sequencer, les étapes individuelles peuvent uniquement être exécutées, ou l'exécution d'étapes individuelles peut uniquement être ignorée si l'utilisateur dispose des droits correspondants.
Command Sequencer : Créer, éditer, renommer, dupliquer, enregistrer | La gestion des séquences de commandes dans le module Command Sequencer (par exemple, la création, la modification, l'édition et l'enregistrement) peut uniquement être configurée si l'utilisateur dispose des droits correspondants.
Command Sequencer : Supprimer | Les séquences de commandes configurées dans le module Command Sequencer peuvent uniquement être supprimées si l'utilisateur dispose des droits correspondants.
Command Sequencer : importer les séquences de commandes | Les séquences de commandes peuvent uniquement être importées sous forme de fichier XML dans le module Command Sequencer si l'utilisateur dispose des droits correspondants.
Command Sequencer : activation des modes Exécution et Édition | L'activation des différents modes (mode Édition et mode Exécution) dans le module Command Sequencer est uniquement possible si l'utilisateur dispose des droits correspondants.

Autorisation pour gestion des équipes :

Paramètre | Description
Gestion des équipes : créer, modifier ou supprimer un changement | When configuring shifts in the Shift Management module in Runtime, a shift can only be created, edited or deleted if the user has the corresponding rights.
Gestion des équipes: créer, modifier ou supprimer un changement de modèle | When configuring shift models in the Shift Management module in Runtime, a shift can only be created, edited or deleted if the user has the corresponding rights

Modification des niveaux d'autorisation

Modifier

Ouvre la boîte de dialogue de sélection des niveaux d'autorisation. (L'onglet Groupe d'utilisateurs est alors modifié.)

Le niveau d'autorisation sélectionné est défini pour toutes les fonctions sélectionnées.

Fermer boîte de dialogue

Options | Description :
OK | Applique toutes les modifications effectuées sur tous les onglets, puis ferme la boîte de dialogue.
Annuler | Annule toutes les modifications effectuées sur tous les onglets, puis ferme la boîte de dialogue.
Aide | Ouvre l'aide en ligne.


Autorisations de fonctions dans Editor

Manuel -> Gestion des utilisateurs -> Configuration dans zenon Editor -> Autorisations sur fonctions -> Autorisations de fonctions dans Editor

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

If a function authorization has been issued for at least one module, users must log in when opening the Editor. To do this, a dialog is called up when the editor is started. This shows the current project name in the header and allows login.

These function authorizations can only be amended again in this project. It is not possible to edit function authorizations with users from the global project or other projects.

attention Attention

Ensure that at least one user has the required authorizations in order to edit settings for the user authorization in the Editor. If no user, or only users with missing authorization levels, have been configured, this can lead to the project no longer being editable.

Configuration of function authorizations in the Editor.

Module

Description

Activer/désactiver l'historique des modifications

L'historique des modifications peut uniquement être activé ou désactivé dans Editor, Si l'utilisateur connecté est associé au niveau d'utilisateur correspondant.

Modèles d'équipement

Dans ce cas seulement, le module Modélisation d'équipement est accessible dans Editor pour l'édition et la configuration, Si l'utilisateur connecté est associé au niveau d'utilisateur correspondant.

Serveur d'archives

Dans ce cas seulement, le module Serveur d'archives est accessible dans Editor pour l'édition et la configuration, Si l'utilisateur connecté est associé au niveau d'utilisateur correspondant.

Batch Control

Dans ce cas seulement, le module Batch Control est accessible dans Editor pour l'édition et la configuration, Si l'utilisateur connecté est associé au niveau d'utilisateur correspondant.

Gestion des utilisateurs

Dans ce cas seulement, les utilisateurs et les groupes d'utilisateurs peuvent être édités ou configurés dans Editor, Si l'utilisateur connecté est associé au niveau d'utilisateur correspondant.

Commentaire : pour ne pas être exclu d'un projet, au moins un utilisateur doit se voir attribuer l'autorisation d'utiliser cette fonction.

Synoptiques

Dans ce cas seulement, le nœud Synoptiques est accessible dans Editor pour l'édition et la configuration, Si l'utilisateur connecté est associé au niveau d'utilisateur correspondant.

Fichiers

Dans ce cas seulement, le nœud Fichiers est accessible dans Editor pour l'édition et la configuration, Si l'utilisateur connecté est associé au niveau d'utilisateur correspondant.

Fonctions

Dans ce cas seulement, les fonctions et les scripts peuvent être édités ou configurés dans Editor, Si l'utilisateur connecté est associé au niveau d'utilisateur correspondant.

Load Management - Gestion de charge :

Dans ce cas seulement, le module Gestion de charge est accessible dans Editor pour l'édition et la configuration du projet, Si l'utilisateur connecté est associé au niveau d'utilisateur correspondant.

Menus

Dans ce cas seulement, les menus peuvent être édités ou configurés dans Editor, Si l'utilisateur connecté est associé au niveau d'utilisateur correspondant.

Message control

Dans ce cas seulement, le module Message Control est accessible dans Editor pour l'édition et la configuration du projet, Si l'utilisateur connecté est associé au niveau d'utilisateur correspondant.

Production & Facility Scheduler

Dans ce cas seulement, le module Production & Facility Scheduler est accessible dans Editor pour l'édition et la configuration, Si l'utilisateur connecté est associé au niveau d'utilisateur correspondant.

Interface de programmation

Dans ce cas seulement, le nœud Interfaces de programmation est accessible dans Editor pour l'édition et la configuration, Si l'utilisateur connecté est associé au niveau d'utilisateur correspondant.

Projet

Les propriétés du projet peuvent uniquement être modifiées dans Editor, Si l'utilisateur connecté est associé au niveau d'utilisateur correspondant.

Commentaire : pour ne pas être exclu d'un projet, au moins un utilisateur doit se voir attribuer l'autorisation d'utiliser cette fonction.

Charger projet

Le projet peut uniquement être chargé dans Editor, Si l'utilisateur connecté est associé au niveau d'utilisateur correspondant.

Commentaire : pour ne pas être exclu d'un projet, au moins un utilisateur doit se voir attribuer l'autorisation d'utiliser cette fonction.

Report Generator

Dans ce cas seulement, le module Report Generator est accessible dans Editor pour l'édition et la configuration, Si l'utilisateur connecté est associé au niveau d'utilisateur correspondant.

Recettes

Dans ce cas seulement, les recettes standard et le module Recipe Group Manager peuvent être édités ou configurés dans Editor, Si l'utilisateur connecté est associé au niveau d'utilisateur correspondant.

Interface SAP

Dans ce cas seulement, le module SAP Interface est accessible dans Editor pour l'édition et la configuration, Si l'utilisateur connecté est associé au niveau d'utilisateur correspondant.

Fichier de langue

Dans ce cas seulement, la fonction de changement de langue peut être éditée ou configurée dans Editor, Si l'utilisateur connecté est associé au niveau d'utilisateur correspondant.

Styles

Dans ce cas seulement, le module Styles est accessible dans Editor pour l'édition et la configuration, Si l'utilisateur connecté est associé au niveau d'utilisateur correspondant.

Remarque : Les styles sont uniquement disponibles dans le projet global.

Variables

Dans ce cas seulement, le nœud Variables est accessible dans Editor pour l'édition et la configuration, Si l'utilisateur connecté est associé au niveau d'utilisateur correspondant.

Verrouillages

Dans ce cas seulement, le nœud Verrouillages peut être édité ou configuré dans Editor, Si l'utilisateur connecté est associé au niveau d'utilisateur correspondant.

Commande temporisée

Dans ce cas seulement, le nœud Commandes temporisées peut être édité ou configuré dans Editor, Si l'utilisateur connecté est associé au niveau d'utilisateur correspondant.

zenon Logic

Dans ce cas seulement, les projets zenon Logic peuvent être édités ou configurés dans Editor, Si l'utilisateur connecté est associé au niveau d'utilisateur correspondant.

Modification des niveaux d'autorisation

Modifier

Ouvre la boîte de dialogue de sélection des niveaux d'autorisation. (L'onglet Groupe d'utilisateurs est alors modifié.)

Le niveau d'autorisation sélectionné est défini pour toutes les fonctions sélectionnées.

Fermer boîte de dialogue

Options

Description :

OK

Applique toutes les modifications effectuées sur tous les onglets, puis ferme la boîte de dialogue.

Annuler

Annule toutes les modifications effectuées sur tous les onglets, puis ferme la boîte de dialogue.

Aide

Ouvre l'aide en ligne.

Informations concernant info

Pour sélectionner plusieurs entrées à la fois, utilisez la combinaison de touches Ctrl+clic ou Maj+clic.

  • Vous pouvez sélectionner plusieurs entrées en maintenant la touche Ctrl enfoncée.
  • En maintenant la touche Maj enfoncée pendant que vous sélectionnez deux entrées, vous sélectionnez toutes les entrées situées entre les deux entrées sélectionnées.
  • En maintenant les touches Ctrl et Maj enfoncées pendant que vous sélectionnez deux entrées, vous sélectionnez toutes les entrées situées entre les entrées sélectionnées. Les entrées préalablement sélectionnées restent sélectionnées.


Types de synoptique, boîtes de dialogue et fonctions utilisées pour la connexion et la gestion des utilisateurs

Manuel -> Gestion des utilisateurs -> Configuration dans zenon Editor -> Types de synoptique, boîtes de dialogue et fonctions utilisées pour la connexion et la gestion des utilisateurs

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Connexion

Les possibilités de connexion au Runtime suivantes sont disponibles :

  • Un synoptique Connexion : Connexion permanente, connexion temporaire ou saisie d'une signature via la fonction d'appel de synoptique.
  • Boîte de dialogue modale Connexion temporaire : Utilisée pour établir une connexion temporaire si aucun synoptique Connexion n'est lié.
  • Fonction Connexion avec boite de dialogue : Connexion via une boîte de dialogue modale ou un synoptique Connexion, s'il a été lié.
  • Fonction Connexion sans mot de passe : Connexion d'un utilisateur sans saisie du mot de passe, au moyen d'un lien direct ou d'un système d'identification par puce.

Si un synoptique Connexion doit être utilisé pour établir une connexion temporaire ou si la fonction Connexion avec boite de dialogue est utilisée, cet élément doit être lié dans la propriété Synoptique pour Connexion du projet.

Gestion des utilisateurs

Les types d'utilisateurs suivants sont disponibles :

  • Synoptique Liste d'utilisateurs : Affiche la liste de tous les utilisateurs zenon créés et permet de créer, modifier des utilisateurs via le synoptique Éditer utilisateur et de configurer les niveaux d'autorisation.
  • Le synoptique Liste de groupes d'utilisateurs dresse la liste de tous les groupes d'utilisateurs zenon créés et permet de créer de nouveaux groupes et de configurer les niveaux d'autorisation.
  • Synoptique Éditer utilisateur : Permet de modifier les utilisateurs et les mots de passe dans le Runtime.
  • Fonction Éditer utilisateur : Ouvre une boîte de dialogue d'édition d'utilisateurs et de groupes d'utilisateurs.
  • Fonction Modifier le mot de passe : Ouvre une boîte de dialogue de modification du mot de passe.

Autres sujets abordés dans ce chapitre

Créer un synoptique de type Connexion

Création d'un synoptique Liste d'utilisateurs

Création d'un synoptique Liste de groupes d'utilisateurs

Création d'un synoptique Éditer utilisateur


Créer un synoptique de type Connexion

Manuel -> Gestion des utilisateurs -> Configuration dans zenon Editor -> Types de synoptique, boîtes de dialogue et fonctions utilisées pour la connexion et la gestion des utilisateurs -> Créer un synoptique de type Connexion

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Créer un synoptique de type Connexion

Développement

Étapes de création du synoptique :

  1. Créez un nouveau synoptique :

    Dans la barre d’outils ou le menu contextuel du nœud Synoptiques, sélectionnez la commande Nouveau synoptique.
    Un synoptique vide Standard est créé.

  2. Modifiez les propriétés du synoptique :
    1. Nommez le synoptique dans la propriété Nom.
    2. Sélectionnez Connexion dans la propriété Type de synoptique.
    3. Sélectionnez le cadre souhaité dans la propriété Gabarit.
  3. Configurez le contenu du synoptique :
    1. Sélectionnez l’option de menu Éléments de contrôle dans la barre de menus
    2. Sélectionnez Insérer un modèle dans la liste déroulante.
      La boîte de dialogue de sélection de mises en forme prédéfinies s’affiche à l’écran. Certains éléments de contrôle sont insérés dans le synoptique à des positions prédéfinies.
    3. Supprimez les éléments superflus du synoptique.
    4. Si nécessaire, sélectionnez des éléments supplémentaires dans la liste déroulante Éléments. Placez-les aux emplacements souhaités sur le synoptique.
  4. Créez une fonction d’appel de synoptique.

Synoptique de type Connexion

Élément de contrôle | Description
Insérer un modèle | Ouvre la boîte de dialogue de sélection de modèle pour le type de synoptique correspondant. Des modèles sont fournis avec zenon, et peuvent également être créés par l’utilisateur. Modèles ajoutent des éléments de contrôle prédéfinis à des positions prédéfinies sur le synoptique. Les éléments qui ne sont pas nécessaires peuvent également être supprimés individuellement après leur création. Les éléments supplémentaires peuvent être sélectionnés dans la liste déroulante, puis insérés dans le synoptique zenon. Les éléments peuvent être déplacés et disposés individuellement sur le synoptique.
Utilisateur actuel (affichage) | Affiche l'utilisateur actuellement connecté. Remarque : Élément de type Texte dynamique. L'attribution de la fonctionnalité a lieu à l'aide de la propriété Fonction spécifique au type de synoptique.
Nom utilisateur | Champ de saisie du nom d'utilisateur. Remarque : Élément de type Texte dynamique. L'attribution de la fonctionnalité a lieu à l'aide de la propriété Fonction spécifique au type de synoptique.
Mot de passe | Champ de saisie du mot de passe. Remarque : Élément de type Texte dynamique. L'attribution de la fonctionnalité a lieu à l'aide de la propriété Fonction spécifique au type de synoptique.
Signature | Champ de saisie de la signature. Remarque : Élément de type Texte dynamique. L'attribution de la fonctionnalité a lieu à l'aide de la propriété Fonction spécifique au type de synoptique.
OK | Bouton permettant de fermer le synoptique après la connexion.
Annuler | Annule le processus de connexion.
Appliquer | Applique toutes les modifications et laisse la boîte de dialogue ouverte. Exception : La fenêtre est fermée si le nombre maximal de tentatives de connexion non valides a été défini sur 0 via la propriété Nb max d'erreurs utilisateur.

Éléments compatibles

Élément de contrôle | Description
Éléments compatibles | Les éléments de contrôle supprimés ou remplacés par des versions plus récentes restent disponibles, pour des raisons de compatibilité. Ces éléments ne sont pas pris en compte lors de l’insertion automatique de modèles.
Utilisateurs | Propriétés des utilisateurs.
Utilisateur actuel (affichage) | Élément de contrôle statique Win32. Remplacé par un champ de texte dynamique. Pour la description, reportez-vous à l’élément actuel.
Nom utilisateur | Élément de contrôle statique Win32. Remplacé par un champ de texte dynamique. Pour la description, reportez-vous à l’élément actuel.
Mot de passe | Élément de contrôle statique Win32. Remplacé par un champ de texte dynamique. Pour la description, reportez-vous à l’élément actuel.
Signature | Élément de contrôle statique Win32. Remplacé par un champ de texte dynamique. Pour la description, reportez-vous à l’élément actuel.

Remarque : Pour les textes dynamiques ou les éléments de contrôle d’interrupteurs, la fonctionnalité correspondante est attribuée avec la propriété Fonction spécifique au type de synoptique.

info Informations

Lors de la connexion/déconnexion, des entrées correspondantes sont insérées dans la liste CEL de tous les projets concernés.

Autres sujets abordés dans ce chapitre

Appel de synoptique de connexion


Appel de synoptique de connexion

Manuel -> Gestion des utilisateurs -> Configuration dans zenon Editor -> Types de synoptique, boîtes de dialogue et fonctions utilisées pour la connexion et la gestion des utilisateurs -> Créer un synoptique de type Connexion -> Appel de synoptique de connexion

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

La fonction d'appel de synoptique permet de définir le synoptique ouvert dans le Runtime pour la connexion d'un utilisateur.

Pour créer une fonction d'appel de synoptique Connexion :

  1. Créez une fonction.
  2. Sélectionnez Appel de synoptique.
  3. Sélectionnez le synoptique Connexion.
  4. Liez la fonction à un bouton.


Création d'un synoptique Liste d'utilisateurs

Manuel -> Gestion des utilisateurs -> Configuration dans zenon Editor -> Types de synoptique, boîtes de dialogue et fonctions utilisées pour la connexion et la gestion des utilisateurs -> Création d'un synoptique Liste d'utilisateurs

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Création d'un synoptique Liste d'utilisateurs

Le synoptique Liste d'utilisateurs dresse la liste de tous les utilisateurs zenon créés et accédant au projet ; il permet d'appeler le synoptique Éditer utilisateur, et ainsi de créer, modifier ou supprimer des utilisateurs et de configurer les niveaux d'autorisation. Les utilisateurs du projet global ne sont pas affichés et ne peuvent pas être administrés.

Développement

Étapes de création du synoptique :

  1. Créez un nouveau synoptique :

    Dans la barre d’outils ou le menu contextuel du nœud Synoptiques, sélectionnez la commande Nouveau synoptique.
    Un synoptique vide Standard est créé.

  2. Modifiez les propriétés du synoptique :
    1. Nommez le synoptique dans la propriété Nom.
    2. Sélectionnez Liste d’utilisateurs dans la propriété Type de synoptique.
    3. Sélectionnez le cadre souhaité dans la propriété Gabarit.
  3. Configurez le contenu du synoptique :
    1. Sélectionnez l’option de menu Éléments de contrôle dans la barre de menus
    2. Sélectionnez Insérer un modèle dans la liste déroulante.
      La boîte de dialogue de sélection de mises en forme prédéfinies s’affiche à l’écran. Certains éléments de contrôle sont insérés dans le synoptique à des positions prédéfinies.
    3. Supprimez les éléments superflus du synoptique.
    4. Si nécessaire, sélectionnez des éléments supplémentaires dans la liste déroulante Éléments. Placez-les aux emplacements souhaités sur le synoptique.
  4. Créez une fonction d’appel de synoptique.

Remarque : Ce type de synoptique n'est pas disponible sous Windows CE.

Élément de contrôle | Description
Insérer un modèle | Ouvre la boîte de dialogue de sélection de modèle pour le type de synoptique correspondant. Des modèles sont fournis avec zenon, et peuvent également être créés par l’utilisateur. Modèles ajoutent des éléments de contrôle prédéfinis à des positions prédéfinies sur le synoptique. Les éléments qui ne sont pas nécessaires peuvent également être supprimés individuellement après leur création. Les éléments supplémentaires peuvent être sélectionnés dans la liste déroulante, puis insérés dans le synoptique zenon. Les éléments peuvent être déplacés et disposés individuellement sur le synoptique.
Liste des utilisateurs | Affiche les utilisateurs configurés.
Nouvelle pause | Ouvre le synoptique défini dans l'appel de synoptique pour créer un nouvel utilisateur.
Édition | Ouvre le synoptique défini dans l'appel de synoptique pour modifier un utilisateur existant.
Supprimer | Supprime l'utilisateur sélectionné après affichage d'une demande de confirmation.
Autorisations sur fonctions | Ouvre la boîte de dialogue de configuration des autorisations de fonctions.

Autres sujets abordés dans ce chapitre

Appel de synoptique de liste d'utilisateurs


Appel de synoptique de liste d'utilisateurs

Manuel -> Gestion des utilisateurs -> Configuration dans zenon Editor -> Types de synoptique, boîtes de dialogue et fonctions utilisées pour la connexion et la gestion des utilisateurs -> Création d'un synoptique Liste d'utilisateurs -> Appel de synoptique de liste d'utilisateurs

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

La fonction d'appel de synoptique permet de définir le synoptique ouvert dans le Runtime pour la création ou l'édition d'utilisateurs.

Pour créer une fonction d'appel de synoptique Liste d'utilisateurs :

  1. Créez une fonction.
  2. Sélectionnez Appel de synoptique.
  3. Sélectionnez le synoptique Liste d'utilisateurs :
  4. La boîte de dialogue de configuration s'affiche à l'écran.
  5. Configurez l'appel de synoptique.
  6. Confirmez la configuration en cliquant sur OK.
  7. Liez la fonction à un bouton.

Boîte de dialogue Liste d'utilisateurs

Paramètres

Description

Paramètres des colonnes

Affichage et configuration des colonnes.

Vous pouvez modifier l'ordre des colonnes à l'aide de la souris ou en cliquant sur le bouton Sélectionner une colonne.

Vous pouvez définir la largeur des colonnes à l'aide la souris ou en cliquant sur le bouton Format des colonnes.

Sélection de colonnes

Ouvre la boîte de dialogue de configuration des colonnes.

Format des colonnes

Ouvre la boîte de dialogue de mise en forme des colonnes.

Synoptiques liés

La configuration des synoptiques ouverts dans le Runtime peut être effectuée en cliquant sur les boutons Nouveau et Édition.

Synoptique pour le bouton "Nouvel utilisateur..."

Ouvre la boîte de dialogue de sélection de synoptique, permettant de sélectionner un synoptique de création d'un nouvel utilisateur dans le Runtime. Seuls les synoptiques Éditer utilisateur peuvent être sélectionnés.

Synoptique pour le bouton "Éditer utilisateur..."

Ouvre la boîte de dialogue de sélection de synoptique, permettant de sélectionner un synoptique d'édition d'utilisateurs dans le Runtime. Seuls les synoptiques Éditer utilisateur peuvent être sélectionnés.

Fermer boîte de dialogue

Options | Description :
OK | Applique les paramètres et ferme la boîte de dialogue.
Annuler | Annule toutes les modifications et ferme la boîte de dialogue.
Aide | Ouvre l'aide en ligne.

Autres sujets abordés dans ce chapitre

Sélection de colonnes

Format des colonnes


Sélection de colonnes

Manuel -> Gestion des utilisateurs -> Configuration dans zenon Editor -> Types de synoptique, boîtes de dialogue et fonctions utilisées pour la connexion et la gestion des utilisateurs -> Création d'un synoptique Liste d'utilisateurs -> Appel de synoptique de liste d'utilisateurs -> Sélection de colonnes

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Sélection de colonnes

Configuration des colonnes à afficher :

Options | Fonction
Colonnes disponibles | Liste de colonnes pouvant être affichées dans la table.
Colonnes sélectionnées | Colonnes affichées dans la table.
Ajouter -> | Déplace la colonne sélectionnée des colonnes disponibles vers les éléments sélectionnés. Lorsque vous confirmez la boîte de dialogue en cliquant sur OK, ces colonnes sont affichées dans la vue de détail.
Ajouter toutes -> | Déplace toutes les colonnes disponibles vers les colonnes sélectionnées.
<- Supprimer | Supprime les colonnes marquées des éléments sélectionnés et les affiche dans la liste des colonnes disponibles. Lorsque vous confirmez la boîte de dialogue en cliquant sur OK, ces colonnes sont supprimées de la vue de détail.
<- Supprimer tout | Toutes les colonnes sont supprimées de la liste des colonnes sélectionnées.
Haut | Déplace l’entrée sélectionnée vers le haut. Cette fonction est uniquement disponible pour les entrées uniques?; les sélections multiples ne sont pas autorisées dans ce cas.
Bas | Déplace l’entrée sélectionnée vers le bas. Cette fonction est uniquement disponible pour les entrées uniques?; les sélections multiples ne sont pas autorisées dans ce cas.

Fermer boîte de dialogue

Options | Description :
OK | Applique les paramètres et ferme la boîte de dialogue.
Annuler | Annule toutes les modifications et ferme la boîte de dialogue.
Aide | Ouvre l'aide en ligne.


Format des colonnes

Manuel -> Gestion des utilisateurs -> Configuration dans zenon Editor -> Types de synoptique, boîtes de dialogue et fonctions utilisées pour la connexion et la gestion des utilisateurs -> Création d'un synoptique Liste d'utilisateurs -> Appel de synoptique de liste d'utilisateurs -> Format des colonnes

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Format des colonnes

Configuration des propriétés des colonnes pour les listes configurables. Les paramètres ont un effet sur la liste correspondante dans Editor ou, lors de la configuration d’un appel de synoptique, dans le Runtime.

Colonnes disponibles

Options | Description :
Colonnes disponibles | Liste de colonnes disponibles avec la fonction de sélection de colonnes. La configuration de la colonne sélectionnée se déroule via les options de la section Paramètres.

Paramètres

Option

Description :

Paramètres

Paramètres de la colonne sélectionnée.

Intitulé

Nom de l’intitulé de colonne.

Cet intitulé de colonne est compatible avec la fonction de changement de langue en ligne. Pour cela, le caractère @ doit être saisi devant le nom.

Largeur

Largeur de la colonne en caractères.
Calcul : nombre de caractères multiplié par la largeur moyenne des caractères de la police sélectionnée.

Alignement

Alignement. La sélection de l'attribution s'effectue au moyen des cases d'option.

Paramètres possibles :

  • Gauche : Le texte est justifié contre le bord gauche de la colonne.
  • Centré : Le texte est centré dans la colonne.
  • Droite : Le texte est justifié contre le bord droit de la colonne.

Couleurs définies par l'utilisateur

Propriétés permettant de sélectionner des couleurs définies par l’utilisateur pour le texte et l’arrière-plan. Les paramètres ont une incidence dans Editor et dans le Runtime.

Remarque :

  • Ces paramètres sont uniquement disponibles pour les listes configurables.
  • En outre, le focus correspondant dans la liste peut être indiqué par différentes couleurs de texte et d’arrière-plan dans le Runtime. Celles-ci sont configurées dans les propriétés du projet.

Couleurs définies par l’utilisateur

Active : Les couleurs définies par l’utilisateur sont appliquées.

Couleur du texte

Couleur d’affichage du texte. Cliquez sur la couleur pour la palette de sélection de couleurs.

Couleur d'arrière-plan

Couleur d’affichage de l’arrière-plan de la cellule. Cliquez sur la couleur pour la palette de sélection de couleurs.

Désactiver le filtre de colonnes dans le Runtime
  • Active : Le filtre de cette colonne ne peut pas être modifié dans le Runtime.

Remarque : Uniquement disponible pour :

  • Batch Control
  • Extended Trend
  • Synoptiques de filtre
  • Message Control
  • Gestionnaire de groupe de recettes (Recipe Group Manager)
  • Gestion d'équipes
  • Liste contextuelle

Fermer boîte de dialogue

Options | Description :
OK | Applique toutes les modifications effectuées sur tous les onglets, puis ferme la boîte de dialogue.
Annuler | Annule toutes les modifications effectuées sur tous les onglets, puis ferme la boîte de dialogue.
Aide | Ouvre l'aide en ligne.


Création d'un synoptique Liste de groupes d'utilisateurs

Manuel -> Gestion des utilisateurs -> Configuration dans zenon Editor -> Types de synoptique, boîtes de dialogue et fonctions utilisées pour la connexion et la gestion des utilisateurs -> Création d'un synoptique Liste de groupes d'utilisateurs

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Création d'un synoptique Liste de groupes d'utilisateurs

Le synoptique Liste de groupes d'utilisateurs dresse la liste de tous les groupes d'utilisateurs de zenon créés dans le projet et permet de créer de nouveaux groupes et de configurer les niveaux d'autorisation. Les groupes d'utilisateurs du projet global ne sont pas affichés et ne peuvent pas être administrés.

Développement

Étapes de création du synoptique :

  1. Créez un nouveau synoptique :

    Dans la barre d’outils ou le menu contextuel du nœud Synoptiques, sélectionnez la commande Nouveau synoptique.
    Un synoptique vide Standard est créé.

  2. Modifiez les propriétés du synoptique :
    1. Nommez le synoptique dans la propriété Nom.
    2. Sélectionnez Liste de groupes d'utilisateurs dans la propriété Type de synoptique.
    3. Sélectionnez le cadre souhaité dans la propriété Gabarit.
  3. Configurez le contenu du synoptique :
    1. Sélectionnez l’option de menu Éléments de contrôle dans la barre de menus
    2. Sélectionnez Insérer un modèle dans la liste déroulante.
      La boîte de dialogue de sélection de mises en forme prédéfinies s’affiche à l’écran. Certains éléments de contrôle sont insérés dans le synoptique à des positions prédéfinies.
    3. Supprimez les éléments superflus du synoptique.
    4. Si nécessaire, sélectionnez des éléments supplémentaires dans la liste déroulante Éléments. Placez-les aux emplacements souhaités sur le synoptique.
  4. Créez une fonction d’appel de synoptique.

Élément de contrôle | Description
Insérer un modèle | Ouvre la boîte de dialogue de sélection de modèle pour le type de synoptique correspondant. Des modèles sont fournis avec zenon, et peuvent également être créés par l’utilisateur. Modèles ajoutent des éléments de contrôle prédéfinis à des positions prédéfinies sur le synoptique. Les éléments qui ne sont pas nécessaires peuvent également être supprimés individuellement après leur création. Les éléments supplémentaires peuvent être sélectionnés dans la liste déroulante, puis insérés dans le synoptique zenon. Les éléments peuvent être déplacés et disposés individuellement sur le synoptique.

Liste de groupes

Éléments de contrôle pour l'affichage des groupes d'utilisateurs.

Élément de contrôle | Description
Groupe précédent | Passe au groupe précédent.
Liste de groupes | Liste des groupes d'utilisateurs disponibles.
Groupe suivant | Passe au groupe suivant.
Nouveau groupe | Crée un nouveau groupe d'utilisateurs. Le focus est défini sur l'élément de contrôle Nom du groupe, afin d'autoriser sa saisie. Cliquez sur le bouton OK après la saisie pour créer un nouveau groupe d'utilisateurs.
Supprimer le groupe | Supprime le groupe sélectionné après affichage d'une demande de confirmation.

Propriétés

Attribution de noms de groupes et confirmation/rejet des modifications.

Élément de contrôle | Description
Nom de groupe | Affichage ou saisie d'un nom de groupe. Remarque : Élément de type Texte dynamique. L'attribution de la fonctionnalité a lieu à l'aide de la propriété Fonction spécifique au type de synoptique.
OK | Applique les modifications.
Annuler | Annule toutes les modifications effectuées depuis la dernière validation en cliquant sur OK.

Niveaux d'autorisation

Configuration des niveaux d'autorisation.

Élément de contrôle | Description
Groupes d'autorisation disponibles | Affichage des niveaux d'autorisation disponibles.
Niveau d'autorisation disponible précédent | Passe au niveau précédent.
Zone de liste | Affichage des niveaux d'autorisation.
Niveau d'autorisation disponible suivant | Passe au niveau suivant.
Appliquer le niveau (>>) | Déplace le niveau sélectionné de Niveaux d'autorisation disponibles à Niveaux d'autorisation sélectionnés.
Supprimer le niveau (<<) | Déplace le niveau sélectionné de Niveaux d'autorisation sélectionnés à Niveaux d'autorisation disponibles.
Niveaux d'autorisation sélectionnés | Affichage des niveaux d'autorisation sélectionnés pour le groupe d'utilisateurs.
Niveau sélectionné précédent | Passe au niveau précédent.
Zone de liste | Affichage des niveaux d'autorisation sélectionnés.
Niveau d'autorisation sélectionné suivant | Passe au niveau suivant.

Éléments compatibles

Élément de contrôle | Description
Éléments compatibles | Les éléments de contrôle supprimés ou remplacés par des versions plus récentes restent disponibles, pour des raisons de compatibilité. Ces éléments ne sont pas pris en compte lors de l’insertion automatique de modèles.
Nom de groupe | Élément de contrôle statique Win32. Remplacé par un champ de texte dynamique. Pour la description, reportez-vous à l’élément actuel.

Remarque : Pour les textes dynamiques ou les éléments de contrôle d’interrupteurs, la fonctionnalité correspondante est attribuée avec la propriété Fonction spécifique au type de synoptique.

Autres sujets abordés dans ce chapitre

Appel d'un synoptique Liste de groupes d'utilisateurs


Appel d'un synoptique Liste de groupes d'utilisateurs

Manuel -> Gestion des utilisateurs -> Configuration dans zenon Editor -> Types de synoptique, boîtes de dialogue et fonctions utilisées pour la connexion et la gestion des utilisateurs -> Création d'un synoptique Liste de groupes d'utilisateurs -> Appel d'un synoptique Liste de groupes d'utilisateurs

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

La fonction d'appel de synoptique permet également de définir le synoptique ouvert dans le Runtime pour la création ou l'édition de groupes d'utilisateurs.

Pour créer une fonction d'appel de synoptique Liste de groupes d'utilisateurs :

  1. Créez une fonction.
  2. Sélectionnez Appel de synoptique.
  3. Sélectionnez le synoptique Liste de groupes d'utilisateurs.
  4. Confirmez la configuration en cliquant sur OK.
  5. Liez la fonction à un bouton.


Création d'un synoptique Éditer utilisateur

Manuel -> Gestion des utilisateurs -> Configuration dans zenon Editor -> Types de synoptique, boîtes de dialogue et fonctions utilisées pour la connexion et la gestion des utilisateurs -> Création d'un synoptique Éditer utilisateur

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Ce type de synoptique autorise l'édition d'utilisateurs dans le Runtime. Selon la configuration de l'appel de synoptique, il est possible de créer ou d'éditer les utilisateurs et de modifier les mots de passe. Les utilisateurs et groupes d'utilisateurs du projet global ne peuvent pas être administrés.

Remarque : Ce type de synoptique n'est pas disponible sous Windows CE.

Création d'un synoptique Éditer utilisateur

Développement

Étapes de création du synoptique :

  1. Créez un nouveau synoptique :

    Dans la barre d’outils ou le menu contextuel du nœud Synoptiques, sélectionnez la commande Nouveau synoptique.
    Un synoptique vide Standard est créé.

  2. Modifiez les propriétés du synoptique :
    1. Nommez le synoptique dans la propriété Nom.
    2. Sélectionnez Éditer utilisateur dans la propriété Type de synoptique.
    3. Sélectionnez le cadre souhaité dans la propriété Gabarit.
  3. Configurez le contenu du synoptique :
    1. Sélectionnez l’option de menu Éléments de contrôle dans la barre de menus
    2. Sélectionnez Insérer un modèle dans la liste déroulante.
      La boîte de dialogue de sélection de mises en forme prédéfinies s’affiche à l’écran. Certains éléments de contrôle sont insérés dans le synoptique à des positions prédéfinies.
    3. Supprimez les éléments superflus du synoptique.
    4. Si nécessaire, sélectionnez des éléments supplémentaires dans la liste déroulante Éléments. Placez-les aux emplacements souhaités sur le synoptique.
  4. Créez une fonction d’appel de synoptique.

Éléments de contrôle

Élément de contrôle | Description
Insérer un modèle | Ouvre la boîte de dialogue de sélection de modèle pour le type de synoptique correspondant. Des modèles sont fournis avec zenon, et peuvent également être créés par l’utilisateur. Modèles ajoutent des éléments de contrôle prédéfinis à des positions prédéfinies sur le synoptique. Les éléments qui ne sont pas nécessaires peuvent également être supprimés individuellement après leur création. Les éléments supplémentaires peuvent être sélectionnés dans la liste déroulante, puis insérés dans le synoptique zenon. Les éléments peuvent être déplacés et disposés individuellement sur le synoptique.

Utilisateur

Élément de contrôle pour la configuration des utilisateurs.

Élément de contrôle

Description

Nom utilisateur

Saisissez le nom d'utilisateur. L'utilisateur se connecte au système avec son nom d'utilisateur.

Longueur maximale : 20 caractères.

Remarque : ce nom doit être unique.

Nom complet

Saisissez le nom complet de l'utilisateur. Ceci vous permet d'attribuer un nom d'utilisateur à une personne véritable.

Code de connexion

Saisie du code de connexion pour la connexion sans mot de passe.

Les considérations suivantes s’appliquent au code de connexion :

  • doit être unique dans le projet.
    Remarque : Si le même code de connexion est défini pour un utilisateur dans le projet local et le projet global, l’utilisateur du projet global n’est pas transféré lors de la création des fichiers de Runtime dans Editor. Un message d’erreur correspondant s’affiche dans la fenêtre de résultats. Si le code de connexion est modifié dans le Runtime, il ne doit pas être identique au code d’un utilisateur du projet global.
  • Il peut être vide.
    Il est ainsi désactivé pour cet utilisateur.
  • Longueur maximale : 1000 caractères
  • Ne doit pas uniquement contenir des espaces.
  • Le code ne doit pas commencer ou se terminer par des espaces.
  • Tous les autres caractères sont autorisés.

Par défaut : (vide)

If an invalid login code is entered, a corresponding error message is shown when the dialog is closed.

For details, see the Login via login code chapter.

Administrateur

Case à cocher.

Active : L'utilisateur reçoit l'état d'administrateur.

Seul un administrateur peut créer un nouvel utilisateur, modifier les utilisateurs, supprimer les mots de passe, etc. dans le Runtime.

Active

Case à cocher.

Active : L'utilisateur est actif et peut se connecter au Runtime.

Remarque : Conformément à la réglementation FDA 21 PART 11, un utilisateur ne peut jamais être supprimé ; il est ainsi possible d'identifier à tout moment une personne ayant réalisé une action donnée. Par conséquent, pour les projets conformes à cette réglementation, un utilisateur ne doit pas être supprimé, mais uniquement désactivé.

Pour empêcher la suppression d'utilisateurs, désactivez la propriété Gestion des utilisateurs dans le groupe Supprimer utilisateurs des propriétés du projet.

Verrouillé

Case à cocher.

Active : L'utilisateur est bloqué dans le Runtime et ne peut pas se connecter.

Cette option est définie automatiquement dès qu'un utilisateur dépasse le nombre autorisé de saisies erronées du mot de passe.

Code de verrouillage pour la gestion de commandes

Code PIN à quatre chiffres.

Ce code permet à l'utilisateur de bloquer ou débloquer certaines sections via la ligne de commande.
Disponible uniquement si zenon Energy Edition comporte une licence valide.

Profil de connexion

Sélection du profil Runtime utilisé pour la connexion dans une liste déroulante :

  • Aucun
  • Par défaut
  • Dernier

Modifier le mot de passe

Élément de contrôle pour la configuration du mot de passe.

Élément de contrôle | Description
Ancien mot de passe | Mot de passe actuel.
Nouveau mot de passe | Saisissez le nouveau mot de passe. La saisie est automatiquement masquée. Pour les projets multilingues, assurez-vous qu'il soit possible de saisir les caractères avec le clavier correspondant dans le Runtime.
Confirmer le mot de passe | Répétez le mot de passe. La saisie est automatiquement masquée.

Message control

Élément de contrôle pour la configuration du module Message Control.

Élément de contrôle

Description

Utilisateur du module Message Control

Case à cocher.

Active : L'utilisateur est utilisé par le module Message Control.

Téléphone

Numéro de l'équipement téléphonique compatible voix de l'utilisateur. Utilisé pour la fonction de synthèse vocale.

Saisissez le numéro. En outre, les pratiques suivantes sont autorisées :

  • Le préfixe + peut être utilisé à la place des chiffres 00 précédant le code international.

Les séparateurs suivants sont également autorisés dans l'interface de gestion des utilisateurs d'AD : Moins (-), tiret (/) et espace.
Remarque : Lors des communications entre AD et le module Message Control, les séparateurs sont ignorés dès que les données provenant d'AD sont associées à un objet zenon.

Téléphone portable

Numéro de téléphone cellulaire de l’utilisateur. Utilisé pour l’envoi de messages par téléphone portable et SMS ("textos").

Saisissez le numéro. En outre, les pratiques suivantes sont autorisées :

  • Le préfixe + peut être utilisé à la place des chiffres 00 précédant le code international.

Les séparateurs suivants sont également autorisés dans l'interface de gestion des utilisateurs d'AD : Moins (-), tiret (/) et espace.
Remarque : Lors des communications entre AD et le module Message Control, les séparateurs sont ignorés dès que les données provenant d'AD sont associées à un objet zenon.

E-mail

Adresse e-mail de l’utilisateur

Personne de remplacement

Si un utilisateur n'est pas joignable ou n'accepte pas le message, un remplaçant peut être indiqué. Cliquez sur le bouton ... Ouvre la boîte de dialogue de sélection d'utilisateurs. Seuls les utilisateurs activés en tant qu'utilisateurs de Message Control peuvent être sélectionnés.

Sélectionner le remplaçant

Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de remplaçant.

Code PIN

Code PIN permettant à l'utilisateur de confirmer le message.

Code NA

Code d'indisponibilité permettant à l'utilisateur de refuser de confirmer la réception du message (indisponible). Le message est ensuite envoyé à l'utilisateur suivant dans la liste.

Si aucune autre utilisateur n'est défini dans la liste, le message est enregistré avec l'état non acquitté. La fonction associée à cet état est exécutée. En outre, dans tous les cas, une entrée "refusé par" est générée dans la liste CEL.

Remarque : D'autres informations concernant l'attribution de fonctions sont disponibles au chapitre Confirmation de réception - Paramètres de la confirmation de réception.

Niveaux d'autorisation

Élément de contrôle permettant de configurer les niveaux d'autorisation.

Élément de contrôle | Description
Groupes d'autorisation disponibles | liste de tous les groupes d'autorisation disponibles.
Niveaux d'autorisation sélectionnés | liste de tous les groupes d'autorisation disponibles.
Appliquer le niveau d'autorisation (>>) | Les entrées sélectionnées dans la liste Niveaux d'autorisation disponibles sont ajoutées à la liste Niveaux d'autorisation sélectionnés.
Supprimer le niveau d'autorisation (<<) | Les entrées sélectionnées dans la liste Niveaux d'autorisation sélectionnés sont supprimées de la liste.

Groupes d'utilisateurs

Élément de contrôle permettant de configurer les groupes d'utilisateurs.

Élément de contrôle | Description
Groupes d'utilisateurs disponibles | Liste de tous les groupes d'utilisateurs disponibles.
Groupes d'utilisateurs sélectionnés | Liste des groupes d'utilisateurs affectés
Appliquer le groupe d'utilisateurs (>>) | Les entrées sélectionnées dans la liste Groupes d'utilisateurs disponibles sont ajoutées à la liste Groupes d'utilisateurs sélectionnés.
Supprimer le groupe d'utilisateurs (<<) | Les entrées sélectionnées dans la liste Groupes d'utilisateurs sélectionnés sont supprimées de la liste.

Tactile

Élément de contrôle autorisant la navigation dans les zones de liste, optimisé pour une utilisation tactile.

Élément de contrôle | Description
Niveau d'autorisation disponible haut | Remonte d'un niveau d'autorisation dans la zone de liste Niveaux d'autorisation disponibles.
Niveau d'autorisation disponible bas | Descend d'un niveau d'autorisation dans la zone de liste Niveaux d'autorisation disponibles.
Groupe d'autorisation sélectionné haut | Remonte d'un niveau d'autorisation dans la zone de liste Niveaux d'autorisation sélectionnés.
Groupe d'autorisation sélectionné bas | Descend d'un niveau d'autorisation dans la zone de liste Niveaux d'autorisation sélectionnés.
Groupes d'utilisateurs disponibles (début) | Remonte d'un niveau d'autorisation dans la zone de liste Groupes d'utilisateurs disponibles.
Groupes d'utilisateurs disponibles (fin) | Descend d'un niveau d'autorisation dans la zone de liste Groupes d'utilisateurs disponibles.
Groupes d'utilisateurs sélectionnés haut | Remonte d'un niveau d'autorisation dans la zone de liste Groupes d'utilisateurs sélectionnés.
Groupes d'utilisateurs sélectionnés bas | Descend d'un niveau d'autorisation dans la zone de liste Groupes d'utilisateurs sélectionnés.

OK/Annuler

Élément de contrôle permettant de confirmer ou annuler les modifications.

Élément de contrôle | Description
OK | Applique les modifications.
Annuler | Annule toutes les modifications effectuées depuis la dernière validation en cliquant sur OK.

Éléments compatibles

Élément de contrôle | Description
Éléments compatibles | Les éléments de contrôle supprimés ou remplacés par des versions plus récentes restent disponibles, pour des raisons de compatibilité. Ces éléments ne sont pas pris en compte lors de l’insertion automatique de modèles.
Utilisateur | Élément de contrôle statique Win32. Remplacé par un champ de texte dynamique. Pour la description, reportez-vous à l’élément actuel.
Nom utilisateur | Élément de contrôle statique Win32. Remplacé par un champ de texte dynamique. Pour la description, reportez-vous à l’élément actuel.
Nom complet | Élément de contrôle statique Win32. Remplacé par un champ de texte dynamique. Pour la description, reportez-vous à l’élément actuel.
Administrateur | Élément de contrôle statique Win32. Was replaced by a switch element. Pour la description, reportez-vous au nouvel élément.
Active | Élément de contrôle statique Win32. Was replaced by a switch element. Pour la description, reportez-vous au nouvel élément.
Verrouillé | Élément de contrôle statique Win32. Was replaced by a switch element. Pour la description, reportez-vous au nouvel élément.
Code de verrouillage de la Gestion de commande | Élément de contrôle statique Win32. Remplacé par un champ de texte dynamique. Pour la description, reportez-vous à l’élément actuel.
Modifier le mot de passe | Propriétés du mot de passe.
Ancien mot de passe | Élément de contrôle statique Win32. Remplacé par un champ de texte dynamique. Pour la description, reportez-vous à l’élément actuel.
Nouveau mot de passe | Élément de contrôle statique Win32. Remplacé par un champ de texte dynamique. Pour la description, reportez-vous à l’élément actuel.
Confirmer le mot de passe | Élément de contrôle statique Win32. Remplacé par un champ de texte dynamique. Pour la description, reportez-vous à l’élément actuel.
Message control | Propriétés utilisées dans le module Message Control.
Utilisateur du module Message Control | Élément de contrôle statique Win32. Was replaced by a switch element. Pour la description, reportez-vous au nouvel élément.
Téléphone | Élément de contrôle statique Win32. Remplacé par un champ de texte dynamique. Pour la description, reportez-vous à l’élément actuel.
Téléphone portable | Élément de contrôle statique Win32. Remplacé par un champ de texte dynamique. Pour la description, reportez-vous à l’élément actuel.
E-mail | Élément de contrôle statique Win32. Remplacé par un champ de texte dynamique. Pour la description, reportez-vous à l’élément actuel.
Personne de remplacement | Élément de contrôle statique Win32. Remplacé par un champ de texte dynamique. Pour la description, reportez-vous à l’élément actuel.
Code PIN | Élément de contrôle statique Win32. Remplacé par un champ de texte dynamique. Pour la description, reportez-vous à l’élément actuel.
Code NA | Élément de contrôle statique Win32. Remplacé par un champ de texte dynamique. Pour la description, reportez-vous à l’élément actuel.

Remarque : Pour les textes dynamiques ou les éléments de contrôle d’interrupteurs, la fonctionnalité correspondante est attribuée avec la propriété Fonction spécifique au type de synoptique.

Autres sujets abordés dans ce chapitre

Appel de synoptique pour l'édition d'utilisateurs


Appel de synoptique pour l'édition d'utilisateurs

Manuel -> Gestion des utilisateurs -> Configuration dans zenon Editor -> Types de synoptique, boîtes de dialogue et fonctions utilisées pour la connexion et la gestion des utilisateurs -> Création d'un synoptique Éditer utilisateur -> Appel de synoptique pour l'édition d'utilisateurs

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Avec l'appel de synoptique, vous définissez de quelle manière le synoptique d'édition d'utilisateurs est appelé. Selon la configuration, vous pouvez :

  • Créer un nouvel utilisateur
  • Éditer un utilisateur de la liste d'utilisateurs ou d'une variable chaîne (string)
  • Modifier les mots de passe

Pour créer un appel de synoptique de type Éditer utilisateur :

  1. Créez une fonction.
  2. Sélectionnez Appel de synoptique.
  3. Sélectionnez le synoptique Éditer utilisateur.
  4. La boîte de dialogue de configuration s'affiche à l'écran.
  5. Configurez l'appel de synoptique.
  6. Confirmez la configuration en cliquant sur OK.
  7. Liez la fonction à un bouton.

Boîte de dialogue Liste d'utilisateurs

Paramètre

Description

Créer nouvel utilisateur

Le synoptique Éditer utilisateur permet de créer un nouvel utilisateur. Les éléments de contrôle correspondants sont activés :

Appliquer l'utilisateur du synoptique appelant

Si l'appel provient du synoptique Liste d'utilisateurs, le synoptique Éditer utilisateur sélectionné dans la liste d'utilisateurs est utilisé pour l'édition de l'utilisateur. Les éléments de contrôle correspondants sont activés :

Remarque : L'utilisateur effectuant l'édition doit disposer de droits d'administrateur dans le Runtime. Au moins un utilisateur doit être sélectionné dans la liste.

Appliquer l'utilisateur à partir d'une variable

Le synoptique Éditer utilisateur dont le nom est transféré depuis la variable chaîne (string) définie est utilisé pour éditer l'utilisateur. Les éléments de contrôle correspondants sont activés :

Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de variables.

Modifier mot de passe de l'utilisateur connecté

Le synoptique Éditer utilisateur est uniquement utilisé pour modifier le mot de passe de l'utilisateur actuellement connecté. Les éléments de contrôle correspondants sont activés :

Avec dial. de filtre

Checkbox to select whether this dialog is shown in Runtime:

  • Active:
    This dialog is called up during operation in Runtime on the current computer or in the network on the calling client. Changes made by the user in the existing project configurations are thus made possible.
  • Inactive:
    This dialog is not shown in Runtime during operation. The function or the command is immediately executed with the project configuration created in the Editor.

Fermer boîte de dialogue

Options | Description :
OK | Applique les paramètres et ferme la boîte de dialogue.
Annuler | Annule toutes les modifications et ferme la boîte de dialogue.
Aide | Ouvre l'aide en ligne.


Connexion à zenon et gestion des utilisateurs dans le Runtime

Manuel -> Gestion des utilisateurs -> Connexion à zenon et gestion des utilisateurs dans le Runtime

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Il est également possible d'utiliser Windows AD ou AD LDS pour la gestion des utilisateurs. Les utilisateurs peuvent se connecter de façon permanente ou temporaire et être administrés dans le Runtime.

Remarque : It is not possible to rename user groups in Runtime.

Les valeurs ou fonctions peuvent également être protégées par une signature. Pour cela, la propriété Signature nécéssaire doit être activée pour la propriété correspondante. Dans ce cas, l'utilisateur doit à nouveau saisir son mot de passe et sa signature, même s'il est connecté et dispose des droits appropriés. Une entrée supplémentaire est alors créée dans la liste d'événements.

attention Attention

Les paramètres des utilisateurs modifiés dans Editor peuvent uniquement être appliqués si la propriété de projet Données modifiables dans le Runtime (groupe Général) autorise le remplacement des propriétés d'utilisateurs lors de l'écriture de fichiers dans le Runtime.

Les paramètres modifiés dans le Runtime peuvent être appliqués à l'aide de la commande Importer les fichiers de Runtime (barre d'outils Fichiers du Runtime) dans Editor. Pour cela, la décompilation doit être autorisée dans la propriété Données modifiables dans le Runtime.

Autres sujets abordés dans ce chapitre

Traitement et gestion de la connexion

Connexion d'utilisateurs

Administration des utilisateurs et groupes d'utilisateurs

Types de synoptiques pour la gestion d'utilisateurs et de groupes d'utilisateurs

Fonctions du module Gestion des utilisateurs

Protéger un élément dynamique par un mot de passe

Validation dans le Runtime de modifications effectuées dans Editor


Traitement et gestion de la connexion

Manuel -> Gestion des utilisateurs -> Connexion à zenon et gestion des utilisateurs dans le Runtime -> Traitement et gestion de la connexion

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

L'utilisateur actuel SYSTEM sera connecté avec le niveau d'autorisation d'utilisateur 0 après le démarrage du Runtime. Dans l'interface de gestion multi-projets, les utilisateurs peuvent également être connectés automatiquement à tous les sous-projets.

Règles de connexion dans le Runtime.

L'authentification dans le Runtime comporte les limites de sécurité suivantes :

  • Mot de passe

    Un utilisateur est bloqué après avoir saisi un mot de passe incorrect trois fois ; il est automatiquement déconnecté. Par conséquent, aucun élément du système ne peut être actionné s'il nécessite un niveau d'autorisation supérieur à 0. L'utilisateur ne peut par ailleurs plus effectuer aucune opération liée à un niveau d'utilisateur. Le nombre de tentatives de connexion autorisées est configuré dans les paramètres du projet, avec la propriété Nb max d'erreurs utilisateur.

    Le nom d'utilisateur saisi lors de la tentative de connexion est consigné dans la liste d'événements (CEL). L'administrateur doit alors débloquer cet utilisateur (en désactivant la propriété Bloqué).

  • Nom utilisateur

    Si un nom d'utilisateur inexistant est saisi, le message d'erreur Identification utilisateur non valide s'affiche. Après trois tentatives erronées, le système est bloqué pour tous les éléments nécessitant un niveau d'autorisation supérieur à 0. Aucun utilisateur ne peut donc effectuer des opérations protégées par un niveau d'utilisateur particulier. Seul l'administrateur peut déverrouiller le système.

    Le nom d'utilisateur d'un utilisateur ayant effectué une tentative de connexion incorrecte est consigné dans la Liste d'événements sous forme d'événement pour l'utilisateur actuellement connecté.

    Lors d'une tentative de connexion, si un nom d'utilisateur est saisi, mais le champ de saisie du mot de passe reste vide, ceci est considéré comme un nom d'utilisateur non valide. L'utilisateur est bloqué après un nombre défini de tentatives non réussies (par défaut, 2 ; blocage après une troisième tentative non réussie).

  • Connexion après une désactivation

    Si un utilisateur est désactivé, il ne pourra plus se connecter. Cette tentative de connexion est consignée dans la liste d'événements.

Remarque : Les modifications apportées au mot de passe via les fonctions, les synoptiques, les boîtes de dialogue et les API sont également vérifiées, et entraînent le blocage de l'utilisateur si le mot de passe actuel est saisi incorrectement à plusieurs reprises. Le nombre de caractères dans le champ de saisie du mot de passe actuel ne fournit aucune indication de sa longueur.

Authentification externe

L'authentification des utilisateurs peut être mise en œuvre pour des programmes ou des applications externes via l'API de zenon. En cas d'authentification externe incorrecte, le système ou l'utilisateur peut être bloqué.

Modification des propriétés du Système verrouillé à cause d'une mauvaise authentification externe et/ou du Utilisateur verrouillé à cause d'une mauvaise authentification externe dans le groupe de propriétés Gestion des utilisateurs.

Remarque : Il est recommandé d'activer ces options pour obtenir un niveau de sécurité maximal.

En outre, sous les options Nb max d'erreurs utilisateur ou Nb max d'erreurs mot de passe, il est possible d'indiquer le nombre d'entrées erronées autorisées.

attention Attention

Ce paramètre n’a aucune incidence sur le blocage de l’utilisateur dans Active Directory si des utilisateurs AD sont utilisés. Les paramètres de domaine restent toujours applicables ici.

Exigences relatives à l'utilisation d'AD et d'AD LDS

Pour pouvoir utiliser AD et AD LDS pour vous connecter au Runtime de zenon, vous devez configurer la propriété de projet Gestion des utilisateurs/Accès à Active Directory de zenon.

  • AD: l'option Oui doit être sélectionnée pour la propriété, et l'ordinateur doit se trouver dans le domaine.
  • AD LDS: ADAM/AD-LDS doit être sélectionné pour la propriété. Les propriétés Connexion AD-LDS, Identification utilisateur AD-LDS et Mot de passe AD-LDS doivent être correctement configurées.
    Remarque : ADAM n'est plus pris en charge.
    • AD LDS doit donc être correctement configuré.

La fonctionnalité de gestion est compatible avec les systèmes d'exploitation suivants :

  • Windows 8, Windows 8.1 et Windows Server 2012
  • Windows 7
  • Windows Server 2008

attention Attention

Les droits attribués dans zenon s'appliquent à un projet ou à un espace de travail. Les droits attribués dans Active Directory sont appliqués globalement.

Si des droits ont été attribués à des utilisateurs ou des groupes d'utilisateurs d'Active Directory, les droits de ces utilisateurs sont appliqués à tous les projets dans zenon !

Gestion dans le Runtime

Chaque utilisateur a la possibilité de changer son propre mot de passe. Mais il ne peut pas éditer un autre utilisateur. Seul un administrateur a cette possibilité. Les modifications effectuées dans le Runtime doivent être lues dans Editor pour être accessibles.Notez la propriété Données modifiables dans le Runtime lors du transfert de fichiers du Runtime. Elle est spécifiée ici, même si la configuration de la gestion des utilisateurs est transférée vers le Runtime et remplace la configuration dans le Runtime. Par défaut, le contenu de la fonction de gestion des utilisateurs n'est pas remplacé lors du transfert vers le Runtime.

L'administrateur peut utiliser la fonction Modifier un utilisateur pour :

  • Créer de nouveaux utilisateurs
  • Modifier des utilisateurs existants (sauf l'identifiant d'utilisateur de connexion)
  • Créer, modifier ou supprimer des groupes d'utilisateurs

    Si un administrateur crée un nouveau groupe d'utilisateurs dans le Runtime, il devient automatiquement membre de ce groupe.

  • Attribution de niveaux d'autorisation

    L'administrateur peut uniquement définir les niveaux d'utilisateur dont il dispose. Ceci permet d'éviter qu'un administrateur ne s'ouvre l'accès au système complet.

Remarque : les utilisateurs et groupes d'utilisateurs provenant du projet global dans Editor sont associés aux utilisateurs et groupes d'utilisateurs du projet. Ils ne peuvent être ni modifiés dans le Runtime, ni lus dans Editor.

attention Attention

Conformité totale à la norme FDA 21 CFR Partie 11 :

  • ni l'utilisateur, ni l'administrateur ne peut modifier le nom de l'utilisateur dans le Runtime.
  • La suppression d'utilisateurs peut être interdite dans les paramètres du projet, à l'aide de la propriété Supprimer utilisateurs du groupe Gestion des utilisateurs.

Mot de passe

Seul l'utilisateur connait son propre mot de passe. Et il est le seul à pouvoir le changer. Quand l'utilisateur reçoit son mot de passe de l'administrateur, il doit le modifier lors de sa première connexion. Ceci évite que l'administrateur ne connaisse les mots de passe des utilisateurs, au risque de générer des signatures erronées. (Important pour la FDA 21 CFR Partie 11)

Si un utilisateur oublie son mot de passe, l'administrateur peut supprimer son mot de passe et entrer un nouveau mot de passe initial. L'administrateur peut faire cela sans connaître le mot de passe. L'utilisateur doit modifier son mot de passe lors de la prochaine tentative de connexion.

Pour plus d'informations concernant les fichiers de Runtime modifiés, voir le chapitre : Fichiers modifiables dans le Runtime

attention Attention

Connexion via un synoptique de type Connexion : si aucun mot de passe n'est saisi pour un utilisateur valide dans un synoptique de connexion, aucun message d'erreur n'est affiché. L'utilisateur n'est pas connecté et le système n'est pas verrouillé, même au terme de trois tentatives de connexion sans saisie d'un mot de passe.

En cas de saisie d'un mot de passe incorrect ou d'un nom d'utilisateur inexistant, le système est verrouillé après trois tentatives, comme d'habitude.


Connexion d'utilisateurs

Manuel -> Gestion des utilisateurs -> Connexion à zenon et gestion des utilisateurs dans le Runtime -> Connexion d'utilisateurs

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

La connexion peut être effectuée par le biais d'une boîte de dialogue modale ou d'un synoptique Connexion.
Users can be signed in in different ways:

  • Permanente
  • Temporaire
  • Automatique
  • Externally via the API
  • With cached sign-in information (only with Active Directory)

Autres sujets abordés dans ce chapitre

Connexion permanente

Connexion temporaire

Connexion et déconnexion automatiques dans les sous-projets

Authentification externe

Connectez-vous avec des informations d'identification cachées.

Login avec domaine alternatif


Connexion permanente

Manuel -> Gestion des utilisateurs -> Connexion à zenon et gestion des utilisateurs dans le Runtime -> Connexion d'utilisateurs -> Connexion permanente

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Après une connexion permanente, l'utilisateur est connecté de façon permanente et peut effectuer toutes les opérations qu'il est autorisé à effectuer. Pour les actions que l'utilisateur n'est pas autorisé à effectuer, un message correspondant est affiché.

Une connexion permanente peut être effectuée comme ceci :

  • Un appel d'un synoptique Connexion
  • La fonction Connexion avec boite de dialogue
  • La fonction Connexion sans mot de passe

Conseil : les boutons protégés par un mot de passe peuvent être masqués pour les utilisateurs connectés. Pour cela, la propriété Boutons protégés (Propriétés du projet -> Gestion des utilisateurs -> Connexion et signature) doit être correctement configurée.

Remarque : la connexion temporaire n'est pas disponible pour les utilisateurs connectés. Les utilisateurs connectés ne voient donc pas de boîte de dialogue de connexion temporaire pour les fonctions nécessitant un niveau d'utilisateur supérieur au leur.


Connexion temporaire

Manuel -> Gestion des utilisateurs -> Connexion à zenon et gestion des utilisateurs dans le Runtime -> Connexion d'utilisateurs -> Connexion temporaire

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Si une opération nécessitant une authentification doit être effectuée par un utilisateur actuellement non connecté, ou si la saisie d'une signature est requise, l'utilisateur peut se connecter temporairement. Pour cela, la propriété Gestion des utilisateurs (-> Connexion et signature -> Connexion temporaire active) doit être activée.

Une connexion temporaire peut être effectuée comme ceci :

  • Boîte de dialogue modale, automatiquement appelée par zenon.
  • Synoptique Connexion lié à la propriété Synoptique pour Connexion.

Appel de l'interface de connexion dans le Runtime :

  1. La boîte de dialogue de connexion ou de saisie d'une signature s'affiche lors de l'exécution d'une fonction protégée par mot de passe.
    Si un synoptique Connexion est lié, celui-ci est ouvert. Dans le cas contraire, une boîte de dialogue modale est ouverte.
  2. L'utilisateur peut se connecter et exécuter les opérations en fonction de ses droits. Si l'utilisateur ne possède pas les autorisations requises, un message correspondant s'affiche.
  3. L'utilisateur est automatiquement déconnecté immédiatement après l'opération

info Informations

Connexion temporaire :

  • Prend uniquement effet après l'exécution de la fonction
  • Compatible avec les interrupteurs, mais pas avec les boutons
  • Désactivée pour les utilisateurs connectés de manière permanente

Synoptique de type Connexion

Ce type de synoptique autorise une connexion temporaire ou la saisie d'une signature.

Élément de contrôle | Description
Utilisateur actuel (affichage) | Affiche l'utilisateur actuellement connecté. Remarque : Élément de type Texte dynamique. L'attribution de la fonctionnalité a lieu à l'aide de la propriété Fonction spécifique au type de synoptique.
Nom utilisateur | Champ de saisie du nom d'utilisateur. Remarque : Élément de type Texte dynamique. L'attribution de la fonctionnalité a lieu à l'aide de la propriété Fonction spécifique au type de synoptique.
Mot de passe | Champ de saisie du mot de passe. Remarque : Élément de type Texte dynamique. L'attribution de la fonctionnalité a lieu à l'aide de la propriété Fonction spécifique au type de synoptique.
Signature | Champ de saisie de la signature. Remarque : Élément de type Texte dynamique. L'attribution de la fonctionnalité a lieu à l'aide de la propriété Fonction spécifique au type de synoptique.
OK | Bouton permettant de fermer le synoptique après la connexion.
Annuler | Annule le processus de connexion.
Appliquer | Applique toutes les modifications et laisse la boîte de dialogue ouverte. Exception : La fenêtre est fermée si le nombre maximal de tentatives de connexion non valides a été défini sur 0 via la propriété Nb max d'erreurs utilisateur.

Boîte de dialogue modale Connexion temporaire

Cette boîte de dialogue autorise une connexion temporaire. Si une signature est requise, celle-ci doit être saisie lors d'une deuxième étape.

Élément de contrôle | Description
Utilisateur actuel (affichage) | Affiche l'utilisateur actuellement connecté.
Nom utilisateur | Champ de saisie du nom d'utilisateur.
Mot de passe | Champ de saisie du mot de passe.
OK | Bouton permettant de fermer le synoptique après la connexion.
Annuler | Annule le processus de connexion.


Connexion et déconnexion automatiques dans les sous-projets

Manuel -> Gestion des utilisateurs -> Connexion à zenon et gestion des utilisateurs dans le Runtime -> Connexion d'utilisateurs -> Connexion et déconnexion automatiques dans les sous-projets

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Dans l'interface de gestion multi-projets, les utilisateurs peuvent être automatiquement connectés et déconnectés des sous-projets.

The basis for automatic login are central users (the same for all projects).

There are several possibilities to achieve this:

  • Use of Active Directory or AD LDS/ADAM users
    • Is the preferred possibility for administering users throughout projects.
    • You can find more detailed information on configuration and use in the Active Directory, AD LDS and ADAM chapters.
  • Use of users from the global project
    • Les entrées définies dans le projet global sont utilisables dans tous les projets dans l’espace de travail.
    • Attention : Les utilisateurs du projet global ne peuvent pas être modifiés dans le Runtime.
  • Manual administration/synchronization of users
    • If, in the integration project and/or in the subprojects, there are users with the same name and the integration project is logged into, the users with the same name are also logged into the subprojects.

Configuration dans Editor.

Pour configurer la connexion/déconnexion automatique :

  1. Ouvrez les propriétés du projet.
  2. Accédez au nœud Gestion des utilisateurs.
  3. Activez la propriété Connexion/déconnexion automatiques dans les sous-projets.
  4. Répétez cette étape pour tous les projets devant autoriser la connexion/déconnexion automatique.

Application dans le Runtime

Connectez-vous au Runtime avec un utilisateur global issu d'un projet.

Les considérations suivantes s'appliquent dans le Runtime :

  • Lors de la connexion à un projet, un utilisateur global est automatiquement connecté à tous les projets autorisant cette fonction. En cas de déconnexion, l'utilisateur est déconnecté de tous les sous-projets.
  • Aucune boîte de dialogue correspondante n'est affichée dans les sous-projets lors de la connexion ou la déconnexion. Les utilisateurs déjà connectés sont déconnectés.
  • Si l'utilisateur se déconnecte d'un sous-projet :
    • Il est déconnecté de ce projet et de tous ses sous-projets
    • Il reste connecté aux projets de rang supérieur auquel il est actuellement connecté
  • Lors de la connexion/déconnexion, des entrées correspondantes sont insérées dans la liste CEL de tous les projets concernés.
  • La connexion/déconnexion automatique fonctionne uniquement dans le sens des projets vers les sous-projets, jamais dans le sens inverse.

Remarque : Cette fonctionnalité n'est pas adaptée aux projets globaux.

Procédure pour les utilisateurs Windows

Un utilisateur Windows déjà connecté à un sous-projet (AD/AD LDS/ADAM) est réutilisé avec la fonction de connexion automatique dans un sous-projet. Pour cela, le contexte (chemin AD ou AD LDS/ADAM) doit être identique. Si un utilisateur Windows est utilisé pour la première fois dans la chaîne de connexion, le mot de passe est contrôlé à ce stade. Si une vérification effectuée au début de la chaîne de connexion signale un défaut de validité, le processus de connexion entier est annulé. Si une tentative de connexion dans un sous-projet est refusée, le processus est maintenu pour tous les autres projets.

info Informations

For the logged-in user, the authorization level of the project that comes from the user is always used.

Exemple :

In the integration project, a user A can have the authorization levels 1,2,3, whilst in the subproject, a user A can have the authorization levels 1,2,3,4,5.

The same applies for users from the Active Directory and the assignment of authorization levels via zenon user groups. A user B can thus inherit, from the Active Directory, the authorization levels 1,2,3 from a zenon user group in the integration project and a user B in the subproject can inherit the authorization levels 1,2,3,4,5 from the user group of the subproject.

You can find further information in relation to this in the Same user groups in zenon and in the Active Directory chapter.


Authentification externe

Manuel -> Gestion des utilisateurs -> Connexion à zenon et gestion des utilisateurs dans le Runtime -> Connexion d'utilisateurs -> Authentification externe

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

L'authentification des utilisateurs peut être mise en œuvre pour des programmes ou des applications externes via l'API de zenon. En cas d'authentification externe incorrecte, le système ou l'utilisateur peut être bloqué.

Modification des propriétés du Système verrouillé à cause d'une mauvaise authentification externe et/ou du Utilisateur verrouillé à cause d'une mauvaise authentification externe dans le groupe de propriétés Gestion des utilisateurs.

Remarque : Il est recommandé d'activer ces options pour obtenir un niveau de sécurité maximal.

En outre, sous les options Nb max d'erreurs utilisateur ou Nb max d'erreurs mot de passe, il est possible d'indiquer le nombre d'entrées erronées autorisées.

attention Attention

Ce paramètre n’a aucune incidence sur le blocage de l’utilisateur dans Active Directory si des utilisateurs AD sont utilisés. Les paramètres de domaine restent toujours applicables ici.


Connectez-vous avec des informations d'identification cachées.

Manuel -> Gestion des utilisateurs -> Connexion à zenon et gestion des utilisateurs dans le Runtime -> Connexion d'utilisateurs -> Connectez-vous avec des informations d'identification cachées.

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

For AD domain users, login with cached sign-in information is possible. The sign-in can also take place if there is no connection to the AD Domain Controller.

Configure login

To allow a login with cached login information:

  1. Accédez au groupe Gestion des utilisateurs dans les propriétés du projet.
  2. Accédez à la section Active Directory/AD-LDS.
  3. Dans la propriété Groupe d'utilisateur pour la connexion à Active Directory avec certificats en cache, cliquez sur le bouton ....

    Ouvre la boîte de dialogue de sélection d'un groupe d'utilisateurs.

  4. Sélectionnez le groupe d’utilisateurs de votre choix
  5. Fermez la boîte de dialogue.

    Le GUID du groupe d'utilisateurs sélectionné est enregistré dans project.ini .

Configurez le groupe d'utilisateurs

For the selected user group, issue the authorization levels that are to be available to all users. The users do not also need to be added to the group. The group properties are automatically applicable for all users who are signed in with cached sign-in information.

If the user group is deleted, its GUID remains saved. Users can continue to be signed in, but do not receive any authorization levels. If the group in the Groupe d'utilisateur pour la connexion à Active Directory avec certificats en cache property is set to No selection or a new selection is made, the GUID will be deleted or reentered accordingly.

Comportement dans le Runtime

If an AD user logs on in Runtime, if there is no connection to the AD Domain Controller, a check is made to see whether, in the project.ini file there is a GUID for a user group for the USRGROUP_AD_CACHED entry:

  • The sign-in is rejected if there is no GUID.
    No user group has been configured or a configured user group has been removed by clicking on No selection.
  • If there is the GUID of a valid user group, the user is signed in with authorization levels from this group.
    A valid user group has been configured.
  • If there is the GUID of an invalid user group, the user is signed in without authorization levels.
    A user group was entered in the Groupe d'utilisateur pour la connexion à Active Directory avec certificats en cache property but the user group has been deleted however.

Each attempt to sign in with cached login information is entered in the CEL.

Suppression de groupes d'utilisateurs :

User groups are linked by means of their GUID, not their name.
If an AD_Login user group is selected, its GUID is entered into project.ini and queried on sign-in. If the AD_Login user group is deleted, its GUID remains entered. If a new AD_Login user group is created, this gets a new GUID. The original GUID remains entered in project.ini. The new AD_Login user group is not automatically linked. It must be selected using the dialog of the Groupe d'utilisateur pour la connexion à Active Directory avec certificats en cache property.

attention Attention

In Runtime, a user who is signed in with cached login information gets all rights of the selected group. Their authorizations can thus also exceed the rights that they normally have.


Login avec domaine alternatif

Manuel -> Gestion des utilisateurs -> Connexion à zenon et gestion des utilisateurs dans le Runtime -> Connexion d'utilisateurs -> Login avec domaine alternatif

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

AD domain users can, for signing into zenon, even use a different AD domain than that which is used for sign-in in Windows.

info Informations

Connexion automatiques dans les sous-projets :

If, in the integration project, the Accès à Active Directory property is active and an alternative domain has been configured for the Acive Directory domaine property, users in subprojects are only logged in automatically if, for its Acive Directory domaine property, the same domain has been configured as in the integration project.

Configuration of alternative domains

If an alternative domain is to be used, this must be configured in the Editor:

  1. In the Editor, go to the project properties for Gestion des utilisateurs.
  2. Ensure that Accès à Active Directory is activated.
  3. In the Acive Directory domaine property, enter the name of the desired domain.
    Attention: If the entry stays empty, it is not possible to sign into another domain.


Administration des utilisateurs et groupes d'utilisateurs

Manuel -> Gestion des utilisateurs -> Connexion à zenon et gestion des utilisateurs dans le Runtime -> Administration des utilisateurs et groupes d'utilisateurs

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Les utilisateurs et les groupes d'utilisateurs peuvent être administrés dans le Runtime.

info Informations

Tenez compte des indications suivantes en cas de modification dans le Runtime :

  • Réécrivez les modifications dans l'instance d'Editor ouverte sur l'ordinateur utilisé pour la configuration du projet
  • Ne les remplacez pas par les paramètres d'Editor

Les possibilités suivantes sont disponibles pour l'administration des utilisateurs dans le Runtime :

Action

Moyenne

Créer un utilisateur
  • Synoptique Liste d'utilisateurs
  • Synoptique Éditer utilisateur
  • Fonction Éditer utilisateur

Éditer utilisateur
  • Synoptique Liste d'utilisateurs
  • Synoptique Éditer utilisateur
  • Fonction Éditer utilisateur

Supprimer un utilisateur
  • Synoptique Liste d'utilisateurs
  • Fonction Éditer utilisateur

Modifier le mot de passe
  • Synoptique Éditer utilisateur
  • Fonction Éditer utilisateur
  • Fonction Modifier le mot de passe

Attribuer une autorisation de fonction
  • Fonction Éditer utilisateur

Création d'un groupe d'utilisateurs
  • Synoptique Liste de groupes d'utilisateurs

Modifier le groupe d'utilisateurs
  • Synoptique Liste de groupes d'utilisateurs

Attribuer un niveau d'autorisation
  • Synoptique Liste de groupes d'utilisateurs

attention Attention

Ne supprimez pas un utilisateur propriétaire d'un module général.


Types de synoptiques pour la gestion d'utilisateurs et de groupes d'utilisateurs

Manuel -> Gestion des utilisateurs -> Connexion à zenon et gestion des utilisateurs dans le Runtime -> Types de synoptiques pour la gestion d'utilisateurs et de groupes d'utilisateurs

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Les utilisateurs peuvent être administrés dans le Runtime à l'aide de fonctions et de boîtes de dialogue modales, mais peuvent également être administrés à l'aide de types de synoptiques spéciaux :

  • Liste des utilisateurs : Dresse la liste de tous les utilisateurs et offre des possibilités pour créer, éditer et supprimer des utilisateurs, ainsi que pour attribuer des autorisations de fonctions.
  • Liste de groupes d'utilisateurs : Dresse la liste de tous les groupes d'utilisateurs et offre la possibilité de créer et administrer des groupes d'utilisateurs, ainsi que d'attribuer des autorisations de fonctions.
  • Éditer utilisateur : Autorise la création et l'administration d'utilisateurs.

Vous devez être connecté en tant qu'administrateur pour toutes les actions. Exception : Les utilisateurs qui ne possèdent pas de droits d'administrateurs peuvent modifier leur propre mot de passe.

Autres sujets abordés dans ce chapitre

Liste des utilisateurs

Liste de groupes d'utilisateurs

Éditions d'utilisateurs et modification de mots de passe


Liste des utilisateurs

Manuel -> Gestion des utilisateurs -> Connexion à zenon et gestion des utilisateurs dans le Runtime -> Types de synoptiques pour la gestion d'utilisateurs et de groupes d'utilisateurs -> Liste des utilisateurs

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Ce synoptique permet d'administrer les listes d'utilisateurs.
Dans ce cas, les considérations suivantes s'appliquent :

  • Vous devez être connecté en tant qu'administrateur.
  • Vous pouvez créer de nouveaux utilisateurs.
  • Vous pouvez éditer des utilisateurs.
  • Vous pouvez supprimer des utilisateurs.
  • Vous pouvez uniquement créer des autorisations de fonctions que vous possédez, soit en tant qu'utilisateur direct, soit en tant que membre d'un groupe d'utilisateurs.

Pour administrer les utilisateurs dans les listes :

  1. Connectez-vous en tant qu'administrateur.
  2. Créez un synoptique Liste d'utilisateurs.
  3. Configurez les paramètres de votre choix.
    • Cliquez sur Nouveau pour ouvrir un synoptique Éditer utilisateur. Cliquez sur celui-ci pour effectuer un appel de synoptique.
    • Cliquez sur Édition pour ouvrir un synoptique Éditer utilisateur. Cliquez sur celui-ci pour effectuer un appel de synoptique.

Pour plus de détails concernant les éléments de contrôle, reportez-vous au chapitre Créer un synoptique Liste d'utilisateurs.


Liste de groupes d'utilisateurs

Manuel -> Gestion des utilisateurs -> Connexion à zenon et gestion des utilisateurs dans le Runtime -> Types de synoptiques pour la gestion d'utilisateurs et de groupes d'utilisateurs -> Liste de groupes d'utilisateurs

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Ce synoptique permet d'administrer les groupes d'utilisateurs.
Dans ce cas, les considérations suivantes s'appliquent :

  • Vous devez être connecté en tant qu'administrateur.
  • Vous pouvez uniquement administrer les groupes d'utilisateurs dont vous faites partie.
  • Vous pouvez créer de nouveaux groupes d'utilisateurs.
    Les groupes d'utilisateurs que vous créez vous sont immédiatement attribués. Le groupe comporte ainsi au moins un membre, et d'autres membres peuvent lui être attribués.

Pour administrer les groupes d'utilisateurs :

  1. Connectez-vous en tant qu'administrateur.
  2. Ouvrez un synoptique Liste de groupes d'utilisateurs.
  3. Configurez les paramètres de votre choix. Les paramètres possibles correspondent à ceux d'Editor.

Pour plus de détails concernant les éléments de contrôle, reportez-vous au chapitre Créer un synoptique Liste de groupes d'utilisateurs.


Éditions d'utilisateurs et modification de mots de passe

Manuel -> Gestion des utilisateurs -> Connexion à zenon et gestion des utilisateurs dans le Runtime -> Types de synoptiques pour la gestion d'utilisateurs et de groupes d'utilisateurs -> Éditions d'utilisateurs et modification de mots de passe

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Ce synoptique permet d'administrer d'autres utilisateurs. Tous les utilisateurs peuvent également modifier leur propre mot de passe.
Dans ce cas, les considérations suivantes s'appliquent :

  1. Vous devez être connecté en tant qu'administrateur.
    Exception : Les utilisateurs qui ne possèdent pas de droits d'administrateurs peuvent modifier leur propre mot de passe.
  • Vous pouvez uniquement créer des niveaux d'autorisation que vous possédez, soit en tant qu'utilisateur direct, soit en tant que membre d'un groupe d'utilisateurs.
  • Vous pouvez uniquement attribuer les groupes d'utilisateurs dont vous faites partie.
  • Vous ne pouvez pas modifier vos propres niveaux d'autorisation ou groupes d'utilisateurs dans le Runtime.

Modifier utilisateur

Pour administrer les utilisateurs :

  1. Connectez-vous en tant qu'administrateur.
  2. Ouvrez un synoptique Éditer utilisateur
    ou ouvrez une liste d'utilisateurs, puis cliquez sur Nouveau ou Édition.
  3. Configurez les paramètres de votre choix. Les paramètres possibles correspondent à ceux d'Editor ou de la fonction Éditer utilisateur.

Pour plus de détails concernant les éléments de contrôle, reportez-vous au chapitre Créer un synoptique Éditer utilisateur.

Modifier le mot de passe

Une boîte de dialogue modale s'affiche, permettant aux utilisateurs de modifier leur mot de passe. Cette boîte de dialogue peut également être remplacée par un synoptique Éditer utilisateur. La boîte de dialogue ou le synoptique peuvent être appelés de manière modale si :

  • La fonction Modifier le mot de passe est exécutée
  • L'utilisateur actuellement connecter doit modifier son mot de passe (nouvel utilisateur, mot de passe expiré, mot de passe réinitialisé)

Pour permettre aux utilisateurs de modifier leur mot de passe au moyen d'un synoptique :

  1. Dans les propriétés Gestion des utilisateurs et Connexion et signature du projet, liez la propriété Synoptique pour modification mot de passe à un synoptique Éditer utilisateur.
  2. Le synoptique est ouvert de manière modale, à la place de la boîte de dialogue modale.
  3. Les utilisateurs peuvent modifier leur mot de passe.

attention Attention

Note when changing passwords for AD users:

The requirements of zenon for a minimum and maximum length of password take priority.

Example of minimum length: AD requires a minimum length of 4 characters. In zenon, a minimum length of 8 characters has been configured using the Longueur min. mot de passe property. If a password with fewer than 8 characters is entered, this leads to an error message. The password can be valid for AD, but is rejected by zenon.

Note on maximum length: In zenon, passwords can have a maximum length of 20 characters. In AD, the maximum length is 255 characters. If the AD password is longer than 20 characters, an AD can use it to sign into zenon. The password cannot be changed in zenon however.


Fonctions du module Gestion des utilisateurs

Manuel -> Gestion des utilisateurs -> Connexion à zenon et gestion des utilisateurs dans le Runtime -> Fonctions du module Gestion des utilisateurs

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Les fonctions suivantes sont disponibles pour l'administration des utilisateurs dans le Runtime :

  • Connexion avec boite de dialogue : Ouvre une boîte de dialogue modale ou le synoptique de connexion pour établir une connexion permanente au Runtime.
  • Connexion sans mot de passe : Connecte l'utilisateur défini dans Editor sans saisie du mot de passe, ou autorise la connexion avec un système d'identification par puce.
  • Déconnexion : Déconnecte l'utilisateur actuellement connecté et connecte l'utilisateur Système, avec le niveau d'autorisation 0.
  • Éditer utilisateur : Ouvre une boîte de dialogue d'édition d'utilisateurs et de groupes d'utilisateurs.
  • Modifier le mot de passe : Ouvre une boîte de dialogue de modification du mot de passe dans le Runtime.

Autres sujets abordés dans ce chapitre

Connexion avec boite de dialogue

Connexion sans mot de passe

Déconnexion

Éditer l’utilisateur

Modifier le mot de passe


Connexion avec boite de dialogue

Manuel -> Gestion des utilisateurs -> Connexion à zenon et gestion des utilisateurs dans le Runtime -> Fonctions du module Gestion des utilisateurs -> Connexion avec boite de dialogue

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Cette fonction s'ouvre dans le Runtime, en fonction de la configuration :

  • La boîte de dialogue modale de connexion
  • Le synoptique Connexion

Boîte de dialogue modale

Élément de contrôle | Description
Utilisateur actuel (affichage) | Affiche l'utilisateur actuellement connecté.
Nom utilisateur | Champ de saisie du nom d'utilisateur.
Mot de passe | Champ de saisie du mot de passe.
OK | Bouton permettant de fermer le synoptique après la connexion.
Annuler | Annule le processus de connexion.

La connexion est consignée dans la liste d'événements.

Taille et position

La taille et la position de la fenêtre de connexion dans le Runtime peuvent être définies dans le fichier zenon6.ini :

  1. Ouvrez le fichier zenon 6.ini.
  2. Créez ou modifiez la zone :

    [Gestion de commande]

  3. Saisissez les valeurs pour :

    POSITION= gauche, haut, droite, bas

    Par défaut : POSITION= 0.001, 0.999, 0.835, 0.964

    Attention : la taille est celle du synoptique, et non celle de la fenêtre principale.

info Informations

Le fichier zenon6.ini se trouve dans le chemin suivant : %ProgramData%\COPA-DATA\System\


Connexion sans mot de passe

Manuel -> Gestion des utilisateurs -> Connexion à zenon et gestion des utilisateurs dans le Runtime -> Fonctions du module Gestion des utilisateurs -> Connexion sans mot de passe

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Cette fonction permet à un utilisateur de se connecter à zenon sans saisir un mot de passe dans le Runtime. To do this, the user is named directly or logged in by means of a chip identification system. Cette fonction peut être exécutée en fonction d'un événement (état d'une variable) ou d'une commande temporisée. La connexion est consignée dans la liste d'événements.

Login without a password is also suitable for automatic login using card reading devices. Pour cela, deux possibilités sont disponibles :

  • Login via login code:
    Any desired code can be linked to a user and transferred to a variable. This transfers the code to the Connexion sans mot de passe function. This version is only available for zenon users.
  • Connexion via un système d'identification par puce :
    The user name is transferred to a variable that logs in the user. Available for zenon and AD users.

Créez une fonction

Pour créer la fonction Connexion sans mot de passe :

  • Créez une nouvelle fonction.
  • Accédez au nœud Gestion des utilisateurs.
  • Sélectionnez Connexion sans mot de passe.

    La boîte de dialogue de configuration l'utilisateur de connexion s'ouvre.

  • Sélectionnez le type de connexion.

Connexion sans mot de passe.

Option

Description

Nom utilisateur

Connecte l'utilisateur sélectionné.

Cliquez sur le bouton ... pour ouvrir une boîte de dialogue permettant de sélectionner un utilisateur.

Nom utilisateur à partir d'une variable

Connecte l'utilisateur avec le nom d'utilisateur provenant de la variable transférée. Autorise la connexion d'un utilisateur via un système d'identification par puce.

Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de chaînes. Pour plus détails, reportez-vous à la section Connexion via un système d'identification par puce.

Identifiant à partir d'une variable

Logs a users in by means of a login code. This code is linked to the user in the user administration and transferred in Runtime by means of a STRING variable.

Attention : This type of login only works for zenon users and is not available for AD users.

For details, see the Login by means of login code chapter.

OK

Applique les paramètres et ferme la boîte de dialogue.

Annuler

Annule toutes les modifications et ferme la boîte de dialogue.

Aide

Ouvre l'aide en ligne.

Autres sujets abordés dans ce chapitre

Connexion par code de connexion

Connexion via un système d'identification par puce


Connexion par code de connexion

Manuel -> Gestion des utilisateurs -> Connexion à zenon et gestion des utilisateurs dans le Runtime -> Fonctions du module Gestion des utilisateurs -> Connexion sans mot de passe -> Connexion par code de connexion

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Users can also be logged in without a password in Runtime by means of a separate login code. This code is linked to the user and is transferred for login by means of a variable.

Code de connexion

The login code can be linked to the user by means of:

  • The Users tab in the dialog for user configuration
  • Sélectionnez la propriété Code de connexion.

Les considérations suivantes s’appliquent au code de connexion :

  • doit être unique dans le projet.
    Remarque : Si le même code de connexion est défini pour un utilisateur dans le projet local et le projet global, l’utilisateur du projet global n’est pas transféré lors de la création des fichiers de Runtime dans Editor. Un message d’erreur correspondant s’affiche dans la fenêtre de résultats. Si le code de connexion est modifié dans le Runtime, il ne doit pas être identique au code d’un utilisateur du projet global.
  • Il peut être vide.
    Il est ainsi désactivé pour cet utilisateur.
  • Longueur maximale : 1000 caractères
  • Ne doit pas uniquement contenir des espaces.
  • Le code ne doit pas commencer ou se terminer par des espaces.
  • Tous les autres caractères sont autorisés.
  • Par défaut : (vide)

Action on export and import

The login code is exported in plain text during the XML export of a user.

During an XML import, the login code contained in the XML file is evaluated. It is removed if it does not correspond to the input criteria. Si ce n'est pas le cas, un message d'erreur est affiché dans la fenêtre de suivi.

Identifiant à partir d'une variable

To log a user in by means of a login code from a variable:

  1. Link the desired code to a user in the dialog to create a user.
  2. Create a STRING variable that transfers the code in Runtime.

    Ceci vous permet d'effectuer les actions suivantes dans le Runtime :

    1. Receive the code by means of an input field or from the ID card
    2. Call up the Connexion sans mot de passe function in the event of a value change
    3. Transfer the code
  3. Créez une fonction Connexion sans mot de passe.
  4. Select the Login code from variable option.
  5. Link the variable that transfers the code.

In Runtime, the code of the ID card or the input from the input field is written to the variable. This calls up the Connexion sans mot de passe function and transfers the code. The linked user is searched for. If a corresponding user is found, they are logged on.

If automatic login for subprojects has been configured, the login is also carried out for the subprojects.

When incorrect login codes are transferred, the same rules as for login with incorrect user names are applied.

attention Attention

Login with a login code only works for zenon users and is not available for AD users.

Edit login code in Runtime

In Runtime, the login code can only be amended by a user with administrator rights. Other users also cannot amend their own code.

The administrator has two possibilities for changing the login code in Runtime:

  • Edit screen of type user: The input field for the login code must be configured in the screen, so that a login code can be issued in Runtime.
  • Fonction Editer utilisateur : Allows the amendment and creation of users, including login code.

Each change to the login code is logged in the CEL.


Connexion via un système d'identification par puce

Manuel -> Gestion des utilisateurs -> Connexion à zenon et gestion des utilisateurs dans le Runtime -> Fonctions du module Gestion des utilisateurs -> Connexion sans mot de passe -> Connexion via un système d'identification par puce

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

The Connexion sans mot de passe function with the User from variable option makes it possible to use chip identification systems such as the Eucher or Keba identification systems. Si vous utilisez cette fonction, veuillez tenir compte des informations suivantes :

  • L'utilisateur doit exister dans la section de gestion des utilisateurs de zenon ou le répertoire Active Directory portant le même nom d'utilisateur que la puce.

    Par exemple : l'identifiant contenu dans la puce est J. Smith. Un J. Smith possédant les droits requis doit donc exister dans la section de gestion d'utilisateurs ou le répertoire Active Directory.

  • Si l'utilisateur place sa puce devant le lecteur de puces, la variable de chaîne (par exemple, username - nom d'utilisateur) est renseignée avec les données provenant de la puce (par exemple, J. Smith) et l'utilisateur est connecté.
  • Pour que cela fonctionne, une matrice de réaction de type Chaîne doit exister et être configurée pour réagir à chaque changement de valeur en exécutant la fonction.
    • Cette matrice de réaction doit être liée à la variable (par exemple, username).


Déconnexion

Manuel -> Gestion des utilisateurs -> Connexion à zenon et gestion des utilisateurs dans le Runtime -> Fonctions du module Gestion des utilisateurs -> Déconnexion

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Lorsque cette fonction est utilisée dans le Runtime, l'utilisateur actuel est déconnecté et l'utilisateur système est connecté avec le niveau d'autorisation 0. La connexion d'un utilisateur est consignée dans la liste d'événements. Si un utilisateur Active Directory est connecté, il est également déconnecté.

Aucun paramètre de transfert n'est nécessaire dans ce cas.

attention Attention

Déconnexion automatique vs. fonction automatique :

  • Déconnexion automatique : se produit de manière permanente après une certaine période de temps sans action de l'utilisateur.
  • Fonction automatique : se produit une fois seulement après une certaine période de temps sans action de l'utilisateur.


Éditer l’utilisateur

Manuel -> Gestion des utilisateurs -> Connexion à zenon et gestion des utilisateurs dans le Runtime -> Fonctions du module Gestion des utilisateurs -> Éditer l’utilisateur

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

La fonction Editer utilisateur permet de créer et d'administrer les utilisateurs et de leur attribuer des niveaux d'autorisation dans le Runtime.

Pour créer la fonction :

  1. Créez une nouvelle fonction.
  2. Accédez à la section Gestion des utilisateurs.
  3. Sélectionnez la fonction Editer utilisateur.
  4. Liez la fonction à un bouton.

Utilisation dans le Runtime

Cette boîte de dialogue est ouverte dans le Runtime lors de l'appel de la fonction. Elle autorise la création et l'édition des :

  • Utilisateurs
  • Groupes d'utilisateurs

info Informations

Règles :

  • Les administrateurs peuvent gérer tous les autres utilisateurs et leurs paramètres.
  • Les administrateurs ne peuvent pas accorder eux-mêmes des niveaux d'autorisation supplémentaires ou s'ajouter à d'autres groupes d'utilisateurs.
  • Les utilisateurs qui ne possèdent pas de droits d'administrateur peuvent uniquement modifier leur mot de passe et leurs paramètres pour le module Message Control.

Autres sujets abordés dans ce chapitre

Utilisateurs

Groupe d'utilisateurs


Utilisateurs

Manuel -> Gestion des utilisateurs -> Connexion à zenon et gestion des utilisateurs dans le Runtime -> Fonctions du module Gestion des utilisateurs -> Éditer l’utilisateur -> Utilisateurs

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

La configuration des utilisateurs s'effectue sur cet onglet.

Paramètres | Description
Liste des utilisateurs | Affiche la liste de tous les utilisateurs configurés.
Nouvelle pause | Ouvre la boîte de dialogue de création d'un nouveau projet.
Modifier | Ouvre la boîte de dialogue de création d'un nouveau projet.
Supprimer | Supprime l'utilisateur sélectionné après affichage d'une demande de confirmation.
Modifier les autorisations sur fonctions | Ouvre la boîte de dialogue permettant d'attribuer les autorisations de fonctions à des niveaux d'autorisation dans le Runtime.

Close dialog

Option | Description
OK | Applique les paramètres et ferme la boîte de dialogue.
Cancel | Annule toutes les modifications et ferme la boîte de dialogue.

Administration des utilisateurs :

Pour administrer un utilisateur :

  1. Sélectionnez l'utilisateur dans la liste.
  2. Sélectionnez l'action souhaitée en cliquant sur l'un des boutons.

Remarque : Amending the dialogs for users and creating new users is different.

Autres sujets abordés dans ce chapitre

Utilisateurs

Modifier le mot de passe

Message control

Niveaux d'autorisation

Groupes d'utilisateurs

Émission d'autorisations de fonctions


Utilisateurs

Manuel -> Gestion des utilisateurs -> Connexion à zenon et gestion des utilisateurs dans le Runtime -> Fonctions du module Gestion des utilisateurs -> Éditer l’utilisateur -> Utilisateurs -> Utilisateurs

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Utilisateurs

Saisie des données utilisateur.

Utilisateur

Option

Description

Nom utilisateur

Saisissez le nom d'utilisateur. L'utilisateur se connecte au système avec son nom d'utilisateur.

Longueur maximale : 20 caractères.

Remarque : ce nom doit être unique.

Nom complet

Saisissez le nom complet de l'utilisateur. Ceci vous permet d'attribuer un nom d'utilisateur à une personne véritable.

Code de connexion

Saisie du code de connexion pour la connexion sans mot de passe.

Les considérations suivantes s’appliquent au code de connexion :

  • doit être unique dans le projet.
    Remarque : Si le même code de connexion est défini pour un utilisateur dans le projet local et le projet global, l’utilisateur du projet global n’est pas transféré lors de la création des fichiers de Runtime dans Editor. Un message d’erreur correspondant s’affiche dans la fenêtre de résultats. Si le code de connexion est modifié dans le Runtime, il ne doit pas être identique au code d’un utilisateur du projet global.
  • Il peut être vide.
    Il est ainsi désactivé pour cet utilisateur.
  • Longueur maximale : 1000 caractères
  • Ne doit pas uniquement contenir des espaces.
  • Le code ne doit pas commencer ou se terminer par des espaces.
  • Tous les autres caractères sont autorisés.

Par défaut : (vide)

If an invalid login code is entered, a corresponding error message is shown when the dialog is closed.

For details, see the Login via login code chapter.

Administrateur

Active : L'utilisateur reçoit l'état d'administrateur.

Seul un administrateur peut créer un nouvel utilisateur, modifier les utilisateurs, supprimer les mots de passe, etc. dans le Runtime.

Active

Active : L'utilisateur est actif et peut se connecter au Runtime.

Remarque : Conformément à la réglementation FDA 21 PART 11, un utilisateur ne peut jamais être supprimé ; il est ainsi possible d'identifier à tout moment une personne ayant réalisé une action donnée. Par conséquent, pour les projets conformes à cette réglementation, un utilisateur ne doit pas être supprimé, mais uniquement désactivé.

Pour empêcher la suppression d'utilisateurs, désactivez la propriété Gestion des utilisateurs dans le groupe Supprimer utilisateurs des propriétés du projet.

Verrouillé

Active : L'utilisateur est bloqué dans le Runtime et ne peut pas se connecter.

Cette option est définie automatiquement dès qu'un utilisateur dépasse le nombre autorisé de saisies erronées du mot de passe.

Options

Option

Description

Code de verrouillage

Code PIN à quatre chiffres.

Ce code permet à l'utilisateur de bloquer ou débloquer certaines sections via la ligne de commande.
Disponible uniquement si zenon Energy Edition comporte une licence valide.

Profil de connexion

Sélection du profil Runtime utilisé pour la connexion dans une liste déroulante :

  • Aucun
  • Par défaut
  • Dernier

Fermer boîte de dialogue

Options | Description
OK | Applique toutes les modifications effectuées sur tous les onglets, puis ferme la boîte de dialogue.
Annuler | Annule toutes les modifications effectuées sur tous les onglets, puis ferme la boîte de dialogue.


Modifier le mot de passe

Manuel -> Gestion des utilisateurs -> Connexion à zenon et gestion des utilisateurs dans le Runtime -> Fonctions du module Gestion des utilisateurs -> Éditer l’utilisateur -> Utilisateurs -> Modifier le mot de passe

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Modifier le mot de passe

Définition du mot de passe de l'utilisateur.

Paramètre | Description
Ancien mot de passe | Mot de passe actuel.
Nouveau mot de passe | Saisissez le nouveau mot de passe. La saisie est automatiquement masquée. Pour les projets multilingues, assurez-vous qu'il soit possible de saisir les caractères avec le clavier correspondant dans le Runtime.
Confirmer le mot de passe | Répétez le mot de passe. La saisie est automatiquement masquée.

Remarque : Les fonctions Copier et Coller ne sont pas disponibles lors de la saisie d'informations dans le champ de mot de passe.

Fermer boîte de dialogue

Options | Description
OK | Applique toutes les modifications effectuées sur tous les onglets, puis ferme la boîte de dialogue.
Annuler | Annule toutes les modifications effectuées sur tous les onglets, puis ferme la boîte de dialogue.
info Informations
Un administrateur peut uniquement autoriser des utilisateurs dans les groupes dans lesquels il dispose lui-même de droits.


Message control

Manuel -> Gestion des utilisateurs -> Connexion à zenon et gestion des utilisateurs dans le Runtime -> Fonctions du module Gestion des utilisateurs -> Éditer l’utilisateur -> Utilisateurs -> Message control

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Message control

Configuration du module Message Control.

Paramètre

Description

Utilisateur du module Message Control

Active : L'utilisateur est utilisé par le module Message Control.

Téléphone

Numéro de l'équipement téléphonique compatible voix de l'utilisateur. Utilisé pour la fonction de synthèse vocale.

Saisissez le numéro. En outre, les pratiques suivantes sont autorisées :

  • Le préfixe + peut être utilisé à la place des chiffres 00 précédant le code international.
  • Les séparateurs suivants sont également autorisés dans l'interface de gestion des utilisateurs d'AD : Moins (-), tiret (/) et espace.
    Remarque : Lors des communications entre AD et le module Message Control, les séparateurs sont ignorés dès que les données provenant d'AD sont associées à un objet zenon.

Téléphone portable

Numéro de téléphone cellulaire de l’utilisateur. Utilisé pour l’envoi de messages par téléphone portable et SMS ("textos").

Saisissez le numéro. En outre, les pratiques suivantes sont autorisées :

  • Le préfixe + peut être utilisé à la place des chiffres 00 précédant le code international.
  • Les séparateurs suivants sont également autorisés dans l'interface de gestion des utilisateurs d'AD : Moins (-), tiret (/) et espace.
    Remarque : Lors des communications entre AD et le module Message Control, les séparateurs sont ignorés dès que les données provenant d'AD sont associées à un objet zenon.

E-mail

Adresse e-mail de l’utilisateur

Personne de remplacement

Si un utilisateur n'est pas joignable ou n'accepte pas le message, un remplaçant peut être indiqué. Cliquez sur le bouton ... Ouvre la boîte de dialogue de sélection d'utilisateurs. Seuls les utilisateurs activés en tant qu'utilisateurs de Message Control peuvent être sélectionnés.

Code PIN

Code PIN permettant à l'utilisateur de confirmer le message.

Code NA

Code d'indisponibilité permettant à l'utilisateur de refuser de confirmer la réception du message (indisponible). Le message est ensuite envoyé à l'utilisateur suivant dans la liste.

Si aucune autre utilisateur n'est défini dans la liste, le message est enregistré avec l'état non acquitté. La fonction associée à cet état est exécutée. En outre, dans tous les cas, une entrée "refusé par" est générée dans la liste CEL.

Remarque : D'autres informations concernant l'attribution de fonctions sont disponibles au chapitre Confirmation de réception - Paramètres de la confirmation de réception.

Fermer boîte de dialogue

Options

Description

OK

Applique toutes les modifications effectuées sur tous les onglets, puis ferme la boîte de dialogue.

Annuler

Annule toutes les modifications effectuées sur tous les onglets, puis ferme la boîte de dialogue.

attention Attention

Les codes d'acquittement PIN (confirmation) et NA (refus) doivent être différents et ne doivent pas être trop semblables.

Si les deux codes sont identiques, le code est interprété comme un code PIN, et indique alors la confirmation du message.

En cas de réception d'un code inconnu, un SMS et un e-‑mail sont envoyés au contact secondaire. Le message d'erreur est diffusé pour les messages vocaux.


Niveaux d'autorisation

Manuel -> Gestion des utilisateurs -> Connexion à zenon et gestion des utilisateurs dans le Runtime -> Fonctions du module Gestion des utilisateurs -> Éditer l’utilisateur -> Utilisateurs -> Niveaux d'autorisation

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Niveaux d'autorisation

Configuration des niveaux d'autorisation.

Paramètre | Description
Groupes d'autorisation disponibles | liste de tous les groupes d'autorisation disponibles.
Niveaux d'autorisation sélectionnés | liste des autorisations assignées.
Bouton Double flèche vers la droite | Les entrées sélectionnées dans la liste Niveaux d'autorisation disponibles sont ajoutées à la liste Niveaux d'autorisation sélectionnés.
Bouton Double flèche vers la gauche | Les entrées sélectionnées dans la liste Niveaux d'autorisation sélectionnés sont supprimées de la liste.

Fermer boîte de dialogue

Options | Description
OK | Applique toutes les modifications effectuées sur tous les onglets, puis ferme la boîte de dialogue.
Annuler | Annule toutes les modifications effectuées sur tous les onglets, puis ferme la boîte de dialogue.


Groupes d'utilisateurs

Manuel -> Gestion des utilisateurs -> Connexion à zenon et gestion des utilisateurs dans le Runtime -> Fonctions du module Gestion des utilisateurs -> Éditer l’utilisateur -> Utilisateurs -> Groupes d'utilisateurs

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Groupes d'utilisateurs

Attribution des groupes d'utilisateurs.

Remarque : Vous pouvez uniquement attribuer les groupes d'utilisateurs dont vous faites partie.

Paramètre | Description
Groupes d'utilisateurs disponibles | Liste de tous les groupes d'utilisateurs disponibles.
Groupes d'utilisateurs sélectionnés | Liste des groupes d'utilisateurs affectés
Bouton Double flèche vers la droite | Les entrées sélectionnées dans la liste Groupes d'utilisateurs disponibles sont ajoutées à la liste Groupes d'utilisateurs sélectionnés.
Bouton Double flèche vers la gauche | Les entrées sélectionnées dans la liste Groupes d'utilisateurs sélectionnés sont supprimées de la liste.

Fermer boîte de dialogue

Options | Description
OK | Applique toutes les modifications effectuées sur tous les onglets, puis ferme la boîte de dialogue.
Annuler | Annule toutes les modifications effectuées sur tous les onglets, puis ferme la boîte de dialogue.


Émission d'autorisations de fonctions

Manuel -> Gestion des utilisateurs -> Connexion à zenon et gestion des utilisateurs dans le Runtime -> Fonctions du module Gestion des utilisateurs -> Éditer l’utilisateur -> Utilisateurs -> Émission d'autorisations de fonctions

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Émission d'autorisations de fonctions

Attribution d'autorisations de fonctions à des niveaux d'autorisation.

Remarque : Vous pouvez uniquement créer des autorisations de fonctions que vous possédez, soit en tant qu'utilisateur direct, soit en tant que membre d'un groupe d'utilisateurs.

Paramètres | Description
Liste de fonctions | Liste des fonctions existantes et des niveaux d'autorisation attribués.
Modifier | Ouvre la boîte de dialogue d'attribution d'un nouveau niveau d'autorisation.

Fermer boîte de dialogue

Options | Description
OK | Applique toutes les modifications effectuées sur tous les onglets, puis ferme la boîte de dialogue.
Annuler | Annule toutes les modifications effectuées sur tous les onglets, puis ferme la boîte de dialogue.

Autorisations d'utilisation des fonctions – Informations générales

Paramètre

Description

Éditer une courbe Extended Trend

Les courbes du module Extended Trend peuvent être modifiées dans le Runtime. Les éléments de contrôle suivants sont indisponibles si l'utilisateur ne satisfait pas aux critères d'autorisation :

  • Diagramme
  • Courbes
  • Paramètres
  • Curseur actif/inactif
  • Axe X

Retour au synoptique précédent

La fonction Retour au précédent du synoptique peut être exécutée dans le Runtime.

Appel de synoptique : Activer "Afficher cette boîte de dialogue dans le Runtime"

La fonction Appel de synoptique, lorsque l'option Afficher cette boîte de dialogue dans le Runtime est active, peut uniquement être exécutée si l'utilisateur connecté satisfait aux critères d'autorisation.

Bloc-notes : ouvrir fichier

La fonction Liste de fichiers du synoptique Fichier peut uniquement être exécutée si l'utilisateur connecté possède le niveau d'autorisation adéquat.

Bloc-notes : Enregistrer fichier

La fonction Enregistrer un fichier du synoptique Fichier peut uniquement être exécutée si l'utilisateur connecté possède le niveau d'autorisation adéquat.

Autorisations concernant les alarmes

Paramètre

Description

Modifier le commentaire d'alarme

Un commentaire nécessaire à l'acquittement peut être modifié.

Entrer le commentaire d'alarme

Un commentaire nécessaire à l'acquittement peut être saisi.

Supprimer alarme

Les alarmes peuvent être supprimées dans le Runtime.

Acquittement d'alarmes par le biais de la ligne d'état/du menu contextuel

Acquitter une alarme par le biais de la ligne d'état des alarmes ou du menu contextuel n'est possible que si une autorisation est définie dans le projet de l'alarme actuellement affichée.

Dans le cas d'une gestion multi-projets : acquitter le message système par le biais de la ligne d'état des alarmes ou du menu contextuel n'est possible que si une autorisation est définie dans le projet d'intégration.

Commentaire : Les messages systèmes sont les messages qui apparaissent dans la ligne d'état des alarmes lorsqu'un certain nombre (configurable) d'alarmes est atteint.

Acquitter les alarmes dans les synoptiques d'alarmes

L'acquittement des alarmes par le biais des synoptiques de liste d'alarmes n'est possible que si une autorisation est définie dans le projet lié à la variable (gestion multi-projet).
Remarque : si vous n'avez pas l'autorisation d'acquitter, le clignotement est arrêté mais l'alarme n'est pas acquittée.

Acquitter les alarmes avec une fonction

Acquitter les alarmes par le biais d'une fonction n'est possible que si une autorisation est définie pour les alarmes sélectionnées dans les projets correspondants.

Modifier l'archive

Les données d'archives (Serveur d'archives) peuvent être modifiées dans le Runtime.

Vous pouvez définir différents groupes d'autorisations pour chacune de ces méthodes d'acquittement. Ceci vous permet, par exemple, de configurer que certains utilisateurs ne peuvent acquitter que par la ligne d'état et pas par un autre moyen.

Informations concernant info

Acquitter une alarme n'est possible que si une autorisation a été définie pour les alarmes sélectionnées dans les projets correspondants.

Autorisation d'utilisation des fonctions du module Batch Control.

Paramètre | Description
Module Batch Control : Importer une recette/une opération | Les recettes peuvent uniquement être importées sous forme de fichier XML dans le module Batch Control si l'utilisateur dispose des droits correspondants.
Module Batch Control : Recette de contrôle - créer, renommer, dupliquer | Les recettes de contrôle dans le module Batch Control peuvent uniquement être créées et gérées si l'utilisateur dispose des droits correspondants.
Module Batch Control : Recette de contrôle - éditer la phase | Les recettes de contrôle dans le module Batch Control peuvent uniquement être éditées si l'utilisateur dispose des droits correspondants.
Module Batch Control : Recette de contrôle - supprimer | Les recettes de contrôle dans le module Batch Control peuvent uniquement être supprimées si l'utilisateur dispose des droits correspondants.
Module Batch Control : Recette de contrôle (exécution) - passer la condition active | Lors de l'exécution de recettes de contrôle dans le module Batch Control, une phase peut uniquement être quittée si l'utilisateur dispose des droits correspondants.
Module Batch Control : recette de contrôle (exécution) - sortie phase | Lors de l'exécution de recettes de contrôle dans le module Batch Control, les conditions en attente peuvent uniquement être ignorées si l'utilisateur dispose des droits correspondants.
Module Batch Control : Recette principale (mode test) - Changer le mode d'exécution | Dans le mode de test, les recettes principales dans le module Batch Control permettent uniquement d'activer le mode d'exécution si l'utilisateur dispose des droits correspondants.
Module Batch Control : Recette de contrôle (exécution) - Changer le mode d'exécution | Lors de l'exécution de recettes de contrôle dans le module Batch Control, le mode d'exécution peut uniquement être activé si l'utilisateur dispose des droits correspondants.
Module Batch Control : Recette de contrôle (exécution) - exécuter, sauter des étapes simples | Lors de l'exécution de recettes de contrôle dans le module Batch Control, l'exécution d'étapes individuelles peut uniquement être ignorée si l'utilisateur dispose des droits correspondants.
Module Batch Control : Recette de contrôle (exécution) - figer la phase | Lors de l'exécution de recettes de contrôle dans le module Batch Control, une phase peut uniquement être arrêtée si l'utilisateur dispose des droits correspondants.
Module Batch Control : Recette de contrôle (exécution) - continuer la phase | Lors de l'exécution de recettes de contrôle dans le module Batch Control, une phase peut uniquement être poursuivie si l'utilisateur dispose des droits correspondants.
Module Batch Control : Recette de contrôle (exécution) - redémarrer la phase | Lors de l'exécution de recettes de contrôle dans le module Batch Control, une phase peut uniquement être redémarrée si l'utilisateur dispose des droits correspondants.
Module Batch Control : Recette de contrôle (exécution) - suspendre la phase | Lors de l'exécution de recettes de contrôle dans le module Batch Control, une phase peut uniquement être suspendue si l'utilisateur dispose des droits correspondants.
Module Batch Control : Recette de contrôle (exécution) - annuler la recette | Lors de l'exécution de recettes de contrôle dans le module Batch Control, l'exécution d'une recette peut uniquement être annulée si l'utilisateur dispose des droits correspondants.
Module Batch Control : Recette de contrôle (exécution) - figer la recette | Lors de l'exécution de recettes de contrôle dans le module Batch Control, une recette peut uniquement être arrêtée si l'utilisateur dispose des droits correspondants.
Module Batch Control : Recette de contrôle (exécution) - continuer la recette | Lors de l'exécution de recettes de contrôle dans le module Batch Control, l'exécution d'une recette peut uniquement être poursuivie si l'utilisateur dispose des droits correspondants.
Module Batch Control : Recette de contrôle (exécution) - redémarrer la recette | Lors de l'exécution de recettes de contrôle dans le module Batch Control, une recette peut uniquement être redémarrée si l'utilisateur dispose des droits correspondants.
Module Batch Control : Recette de contrôle (exécution) - mettre en pause la recette | Lors de l'exécution de recettes de contrôle dans le module Batch Control, une recette peut uniquement être mise en pause si l'utilisateur dispose des droits correspondants.
Module Batch Control : Recette de contrôle (exécution) - démarrer la recette | Lors de l'exécution de recettes de contrôle dans le module Batch Control, une recette peut uniquement être redémarrée si l'utilisateur dispose des droits correspondants.
Module Batch Control : Recette de contrôle (exécution) - arrêter la recette | Lors de l'exécution de recettes de contrôle dans le module Batch Control, une recette peut uniquement être arrêtée si l'utilisateur dispose des droits correspondants.
Module Batch Control : Opération - créer, éditer, renommer, dupliquer, enregistrer | Les opérations dans le module Batch Control peuvent uniquement être créées, éditées ou gérées si l'utilisateur dispose des droits correspondants.
Module Batch Control : Opération : valider | Les opérations dans le module Batch Control peuvent uniquement être validées si l'utilisateur dispose des droits correspondants.
Module Batch Control : Opération : supprimer | Les opérations dans le module Batch Control peuvent uniquement être supprimées si l'utilisateur dispose des droits correspondants.
Module Batch Control : Recette principale - créer, éditer, renommer, dupliquer, enregistrer | Les recettes principales dans le module Batch Control peuvent uniquement être créées et gérées si l'utilisateur dispose des droits correspondants.
Module Batch Control : Recette principale - valider | Les recettes de contrôle dans le module Batch Control peuvent uniquement être validées si l'utilisateur dispose des droits correspondants.
Module Batch Control : Recette principale - supprimer | Les recettes de contrôle dans le module Batch Control peuvent uniquement être supprimées si l'utilisateur dispose des droits correspondants.
Module Batch Control : Recette principale - activation des modes de test et d'édition | L'activation des modes de test et d'édition est uniquement possible pour les recettes principales, dans le module Batch Control, si l'utilisateur dispose des droits correspondants.
Module Batch Control : Recette principale - afficher comme obsolète | Les recettes principales dans le module Batch Control peuvent uniquement être affichées comme obsolète si l'utilisateur dispose des droits correspondants.
Module Batch Control : Recette principale (mode de test) - passer la condition active | Dans le mode de test, les recettes principales dans le module Batch Control permettent uniquement d'ignorer une condition en attente si l'utilisateur dispose des droits correspondants.
Module Batch Control : recette principale (mode de test) - sortie phase | Dans le mode de test, les recettes principales dans le module Batch Control il est uniquement possible de quitter une phase si l'utilisateur dispose des droits correspondants.
Module Batch Control : Recette principale (mode de test) - exécuter, passer une étape simple | Dans le mode de test, les recettes principales dans le module Batch Control permettent uniquement de passer l'exécution d'étapes individuelles si l'utilisateur dispose des droits correspondants.
Module Batch Control : Recette principale (mode de test) - figer la phase | Dans le mode de test, les recettes principales dans le module Batch Control permettent uniquement d'arrêter une phase si l'utilisateur dispose des droits correspondants.
Module Batch Control : Recette principale (mode de test) - éditer la phase | Dans le mode de test, les recettes principales dans le module Batch Control permettent uniquement d'éditer une phase si l'utilisateur dispose des droits correspondants.
Module Batch Control : Recette principale (mode de test) - continuer la phase | Dans le mode de test, les recettes principales dans le module Batch Control permettent uniquement de continuer une phase si l'utilisateur dispose des droits correspondants.
Module Batch Control : Recette principale (mode de test) - redémarrer la phase | Dans le mode de test, les recettes principales dans le module Batch Control permettent uniquement de redémarrer une phase si l'utilisateur dispose des droits correspondants.
Module Batch Control : Recette principale (mode de test) - mettre en pause la phase | Dans le mode de test, les recettes principales dans le module Batch Control permettent uniquement de mettre une phase en pause si l'utilisateur dispose des droits correspondants.
Module Batch Control : Recette principale (mode de test) - annuler la recette | Dans le mode de test, les recettes principales dans le module Batch Control permettent uniquement d'annuler une recette si l'utilisateur possède le niveau d'autorisation correspondant.
Module Batch Control : Recette principale (mode de test) - figer la recette | Dans le mode de test, les recettes principales dans le module Batch Control permettent uniquement de figer une recette si l'utilisateur possède les droits correspondants.
Module Batch Control : Recette principale (mode de test) - continuer la recette | Dans le mode de test, les recettes principales dans le module Batch Control permettent uniquement de poursuivre l'exécution d'une recette si l'utilisateur possède les droits correspondants.
Module Batch Control : Recette principale (mode de test) - redémarrer la recette | Dans le mode de test, les recettes principales dans le module Batch Control permettent uniquement de poursuivre l'exécution d'une recette si l'utilisateur possède les droits correspondants.
Module Batch Control : Recette principale (mode de test) - mettre en pause la recette | Dans le mode de test, les recettes principales dans le module Batch Control permettent uniquement de mettre une recette en pause si l'utilisateur possède le niveau d'autorisation correspondant.
Module Batch Control : Recette principale (mode de test) - démarrer la recette | Dans le mode de test, les recettes principales dans le module Batch Control permettent uniquement de démarrer une recette si l'utilisateur possède le niveau d'autorisation correspondant.
Module Batch Control : Recette principale (mode de test) - arrêter la recette | Dans le mode de test, les recettes principales dans le module Batch Control permettent uniquement d'arrêter une recette si l'utilisateur dispose des droits correspondants.

Autorisations d'accès aux fonctions du module Command Sequencer :

Paramètre | Description
Command Sequencer : annuler l'exécution | Lors de l'exécution de séquences de commandes dans le module Command Sequencer, l'exécution d'une recette peut uniquement être annulée si l'utilisateur dispose des droits correspondants.
Command Sequencer : continuer l'exécution | Dans le module Command Sequencer, une séquence de commandes mise en pause peut uniquement être reprise si l'utilisateur dispose des droits correspondants.
Command Sequencer : suspendre l'exécution | Dans le module Command Sequencer, une séquence de commandes peut uniquement être mise en pause si l'utilisateur dispose des droits correspondants.
Command Sequencer : démarrer l'exécution | Dans le module Command Sequencer, une séquence de commandes peut uniquement être démarrée si l'utilisateur dispose des droits correspondants.
Command Sequencer : Changer de mode d'exécution | Lors de l'exécution de séquences de commandes dans le module Command Sequencer, les étapes individuelles peuvent uniquement être exécutées, ou l'exécution d'étapes individuelles peut uniquement être ignorée si l'utilisateur dispose des droits correspondants.
Command Sequencer : exécuter, ignorer certaines étapes | Lors de l'exécution de séquences de commandes dans le module Command Sequencer, les étapes individuelles peuvent uniquement être exécutées, ou l'exécution d'étapes individuelles peut uniquement être ignorée si l'utilisateur dispose des droits correspondants.
Command Sequencer : Créer, éditer, renommer, dupliquer, enregistrer | La gestion des séquences de commandes dans le module Command Sequencer (par exemple, la création, la modification, l'édition et l'enregistrement) peut uniquement être configurée si l'utilisateur dispose des droits correspondants.
Command Sequencer : Supprimer | Les séquences de commandes configurées dans le module Command Sequencer peuvent uniquement être supprimées si l'utilisateur dispose des droits correspondants.
Command Sequencer : importer les séquences de commandes | Les séquences de commandes peuvent uniquement être importées sous forme de fichier XML dans le module Command Sequencer si l'utilisateur dispose des droits correspondants.
Command Sequencer : activation des modes Exécution et Édition | L'activation des différents modes (mode Édition et mode Exécution) dans le module Command Sequencer est uniquement possible si l'utilisateur dispose des droits correspondants.

Autorisation pour gestion des équipes :

Paramètre | Description
Gestion des équipes : créer, modifier ou supprimer un changement | When configuring shifts in the Shift Management module in Runtime, a shift can only be created, edited or deleted if the user has the corresponding rights.
Gestion des équipes: créer, modifier ou supprimer un changement de modèle | When configuring shift models in the Shift Management module in Runtime, a shift can only be created, edited or deleted if the user has the corresponding rights


Groupe d'utilisateurs

Manuel -> Gestion des utilisateurs -> Connexion à zenon et gestion des utilisateurs dans le Runtime -> Fonctions du module Gestion des utilisateurs -> Éditer l’utilisateur -> Groupe d'utilisateurs

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

La configuration des groupes d'utilisateurs s'effectue sur cet onglet.

Paramètres | Description
Liste des groupes d'utilisateurs | Liste de tous les groupes d'utilisateurs configurés.
Nouvelle pause | Ouvre la boîte de dialogue de création d'un nouveau groupe d'utilisateurs.
Modifier | Ouvre la boîte de dialogue de création d'un nouveau groupe d'utilisateurs.
Supprimer | Supprime le groupe d'utilisateurs sélectionnés après une demande de confirmation.

Close dialog

Option | Description
OK | Applique les paramètres et ferme la boîte de dialogue.
Cancel | Annule toutes les modifications et ferme la boîte de dialogue.

Administration de groupes d'utilisateurs

Pour administrer un groupe d'utilisateurs :

  1. Sélectionnez le groupe d'utilisateurs dans la liste.
  2. Sélectionnez l'action souhaitée en cliquant sur l'un des boutons.

Autres sujets abordés dans ce chapitre

Groupe d'utilisateurs

Niveaux d'autorisation


Groupe d'utilisateurs

Manuel -> Gestion des utilisateurs -> Connexion à zenon et gestion des utilisateurs dans le Runtime -> Fonctions du module Gestion des utilisateurs -> Éditer l’utilisateur -> Groupe d'utilisateurs -> Groupe d'utilisateurs

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Groupe d'utilisateurs

Création d'un nouveau groupe d'utilisateurs.

Paramètre | Description
Nom | Nom du nouveau groupe d'utilisateurs. Attention : @ n'est pas un caractère valide pour un groupe d'utilisateurs.

Fermer boîte de dialogue

Options | Description
OK | Applique toutes les modifications effectuées sur tous les onglets, puis ferme la boîte de dialogue.
Annuler | Annule toutes les modifications effectuées sur tous les onglets, puis ferme la boîte de dialogue.


Niveaux d'autorisation

Manuel -> Gestion des utilisateurs -> Connexion à zenon et gestion des utilisateurs dans le Runtime -> Fonctions du module Gestion des utilisateurs -> Éditer l’utilisateur -> Groupe d'utilisateurs -> Niveaux d'autorisation

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Niveaux d'autorisation

Attribution d'un niveau d'autorisation à un groupe d'utilisateurs.

Paramètre | Description
Groupes d'autorisation disponibles | liste de tous les groupes d'autorisation disponibles.
Niveaux d'autorisation sélectionnés | liste des autorisations assignées.
Bouton Double flèche vers la droite | Les entrées sélectionnées dans la liste Niveaux d'autorisation disponibles sont ajoutées à la liste Niveaux d'autorisation sélectionnés.
Bouton Double flèche vers la gauche | Les entrées sélectionnées dans la liste Niveaux d'autorisation sélectionnés sont supprimées de la liste.

Fermer boîte de dialogue

Options | Description
OK | Applique toutes les modifications effectuées sur tous les onglets, puis ferme la boîte de dialogue.
Annuler | Annule toutes les modifications effectuées sur tous les onglets, puis ferme la boîte de dialogue.


Modifier le mot de passe

Manuel -> Gestion des utilisateurs -> Connexion à zenon et gestion des utilisateurs dans le Runtime -> Fonctions du module Gestion des utilisateurs -> Modifier le mot de passe

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Lorsque cette fonction est utilisée, l'utilisateur connecté peut modifier son mot de passe actuel dans le Runtime. Pour les utilisateurs internes au système, aucun changement n'est possible.

Une boîte de dialogue permettant de modifier le mot de passe est affichée dans le Runtime.

Entrées requises :

Paramètres | Description
Ancien mot de passe | Saisie du mot de passe actuel.
Nouveau mot de passe | Saisissez le nouveau mot de passe.
Confirmer le mot de passe | Saisissez à nouveau le mot de passe.
OK | Accepte le nouveau mot de passe et ferme la boîte de dialogue.
Annuler | Annule le processus.

Si aucun mot de passe n'a été défini pour l'utilisateur, il peut le définir la première fois qu'il exécute la fonction dans le Runtime. Dans ce cas, la boîte de dialogue n'invite pas l'utilisateur à saisir l'ancien mot de passe.


Protéger un élément dynamique par un mot de passe

Manuel -> Gestion des utilisateurs -> Connexion à zenon et gestion des utilisateurs dans le Runtime -> Protéger un élément dynamique par un mot de passe

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Tous les éléments dynamiques qui exécutent une fonction ou autorisent la configuration de valeurs peuvent être liés à un groupe d'autorisations propre au Runtime.

Créez un élément dynamique. Par ex : un bouton texte. Les propriétés de l'élément sont affichées dans la fenêtre de propriétés.

Dans la section "Utilisateur", sélectionnez la propriété Groupe d'autorisation. Vous pouvez définir ici le groupe d'autorisation nécessaire pour exécuter la fonction.

Dans les éléments dynamiques qui permettent d'envoyer des valeurs et que vous voulez sécuriser, la variable doit avoir été sélectionnée et la propriété "Forçage valeurs actif" dans la section "Spécifier valeur prescrite" doit être cochée, pour pouvoir sélectionner un groupe d'autorisation.


Validation dans le Runtime de modifications effectuées dans Editor

Manuel -> Gestion des utilisateurs -> Connexion à zenon et gestion des utilisateurs dans le Runtime -> Validation dans le Runtime de modifications effectuées dans Editor

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Toutes les modifications effectuées dans la gestion des utilisateurs sont acceptées dans le Runtime après rechargement. Gardez cet aspect important à l'esprit :

le nombre maximal de d'erreurs de saisie du mot de passe

Si vous modifiez la valeur par défaut du nombre maximal d'erreurs de saisie du mot de passe dans Editor, cette modification prend uniquement effet après le redémarrage du Runtime. Recharger simplement le Runtime ne suffit pas, car dans le cas contraire, l'utilisateur disposerait d'un nombre illimité de tentatives de saisie du mot de passe. Vous pouvez modifier cette valeur en sélectionnant : Propriétés du projet - > Gestion des utilisateurs -> Nb max d'erreurs utilisateur

Modifications apportées aux groupes d'utilisateurs et aux autorisations

Si des groupes d'utilisateurs sont ajoutés ou supprimés, ou si des autorisations sont modifiées dans Editor, ces modifications ne sont pas acceptées dans le Runtime pour les utilisateurs connectés lors du rechargement. Pour que ces modifications prennent effet, les utilisateurs connectés doivent se déconnecter du système, puis se reconnecter. Ceci s'applique également à l'utilisation par les utilisateurs Active Directory.


Gestion externe des utilisateurs avec Microsoft Active Directory

Manuel -> Gestion des utilisateurs -> Gestion externe des utilisateurs avec Microsoft Active Directory

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

zenon vous permet également d'utiliser Microsoft Active Directory pour la gestion des utilisateurs :

  • Les groupes d'utilisateurs dans Active Directory dont le nom est identique aux groupes d'utilisateurs dans zenon disposent des mêmes droits que dans zenon
  • La gestion peut être effectuée via l'interface de gestion des utilisateurs zenon dans Active Directory dans le Runtime.
  • Users from the Active Directory cannot load any projects in the Editor.
  • Users from the Active Directory cannot receive any rights as an administrator in zenon. Administrators must always be users from the local zenon project.

attention Attention

Les droits attribués dans zenon s'appliquent à un projet ou à un espace de travail. Les droits attribués dans Active Directory sont appliqués globalement.

Si des droits ont été attribués à des utilisateurs ou des groupes d'utilisateurs d'Active Directory, les droits de ces utilisateurs sont appliqués à tous les projets dans zenon !

Pour pouvoir utiliser AD et AD LDS pour vous connecter au Runtime de zenon, vous devez configurer la propriété de projet Gestion des utilisateurs/Accès à Active Directory de zenon.

  • AD: l'option Oui doit être sélectionnée pour la propriété, et l'ordinateur doit se trouver dans le domaine.
  • AD LDS: ADAM/AD-LDS doit être sélectionné pour la propriété. Les propriétés Connexion AD-LDS, Identification utilisateur AD-LDS et Mot de passe AD-LDS doivent être correctement configurées.
    Remarque : ADAM n'est plus pris en charge.
  • AD LDS doit donc être correctement configuré.

Autres sujets abordés dans ce chapitre

Active Directory (AD)

Active Directory Lightweight Directory Services - AD LDS

Active Directory Application Mode – ADAM (Windows XP uniquement)


Active Directory (AD)

Manuel -> Gestion des utilisateurs -> Gestion externe des utilisateurs avec Microsoft Active Directory -> Active Directory (AD)

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Active Directory (AD) peuvent être utilisés dans zenon pour la gestion des utilisateurs dans le Runtime de zenon. AD n'est pas disponible dans zenon Editor.

info Informations

Active Directory , AD LDS, et ADAM (pour Windows XP), ne sont pas disponibles sous Windows CE.

Utilisation de AD dans <CD_PRODUCTNAME :>

Active Directory peut être utilisé pour trois types d'utilisateurs de zenon :

  1. Le nom du groupe d'autorisations dans le module d'administration des utilisateurs de zenon correspond aux noms de groupe d'un groupe d'utilisateurs dans Active Directory : l'attribution de l'utilisateur Active Directory au groupe d'autorisations de zenon a lieu automatiquement. Tous les utilisateurs du groupe Active Directory reçoivent des droits d'utilisateurs définis dans le groupe d'autorisation de zenon. Voir Les groupes d'utilisateurs dans zenon et dans Active Directory possèdent le même nom.
  2. Dans la description du groupe Active Directory, les niveaux d'autorisation de zenon et le projet sont conservés avec une syntaxe particulière. Tous les utilisateurs du groupe reçoivent les droits d'utilisateur conservés dans le groupe Active Directory dans zenon. Voir Attribution d'un utilisateur Active Directory aux niveaux d'autorisation de zenon
  3. Le schéma Active Directory est étendu à l'aide de champs, dans lesquels sont enregistrés les niveaux d'autorisation de zenon. Ceci nécessite un schéma d'extension Active Directory. Cette méthode n'est toutefois pas adaptée aux environnements réglementés conformes à FDA 21 CFR Part 11. Voir: Schéma d'extension Active Directory.

info Informations

Lors de la vérification du mot de passe dans zenon, le paramètre Durée max. du mot de passe est également vérifié dans.

Autres sujets abordés dans ce chapitre

Général

Configuration des niveaux d'autorisation de zenon dans le champ de description d'un groupe Active Directory

Groupes d'utilisateurs identiques dans zenon et Active Directory

Schéma d'extension d'Active Directory

Extension de schéma – détails

Schéma

Configuration

Domaine


Général

Manuel -> Gestion des utilisateurs -> Gestion externe des utilisateurs avec Microsoft Active Directory -> Active Directory (AD) -> Général

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Pour pouvoir utiliser les utilisateurs d'Active Directory (ci-après AD) dans zenon, un domaine géré par le système d'exploitation Windows Server est requis. Pour pouvoir gérer les utilisateurs dans Active Directory, le serveur doit être un serveur DNS.

Un contrôleur de domaine avec DNS et Active Directory doit donc être disponible pour pouvoir utiliser les comptes utilisateur de zenon sur un ordinateur du domaine.

L'accès aux utilisateurs d'Active Directory doit être activé dans les propriétés du projet.

Des connaissances de base concernant Active Directory et la technologie des serveurs Windows sont nécessaires.

attention Attention

Si la connexion est effectuée via Active Directory, tous les ordinateurs, sans exception, doivent avoir accès à Active Directory. Ceci s'applique également aux clients et zenon Web Clients.

Arrière-plan : un client se connecte directement à Active Directory depuis le client. Le serveur de Runtime de zenon n'est pas concerné.
Un utilisateur Active Directory peut donc uniquement se connecter si un client :

  • Appartient au domaine
    et
  • A accès au domaine


Configuration des niveaux d'autorisation de zenon dans le champ de description d'un groupe Active Directory

Manuel -> Gestion des utilisateurs -> Gestion externe des utilisateurs avec Microsoft Active Directory -> Active Directory (AD) -> Configuration des niveaux d'autorisation de zenon dans le champ de description d'un groupe Active Directory

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Les utilisateurs Windows d'Active Directory peuvent être utilisés dans zenon.

Des utilisateurs individuels peuvent être attribués aux groupes Active Directory. Les noms des groupes doivent respecter la syntaxe suivante :

zenon nom du projet##[texte]

La description contient l'autorisation de l'utilisateur, conformément à la syntaxe suivante :

[texte libre] ##GRP=nombre-HEX## texte libre

info Informations

Le nom et la description du groupe ne sont pas sensibles à la casse.

Pour améliorer la lisibilité, le nombre hexadécimal est divisé en quatre parties (un par groupe d'autorisation), séparées par un tiret.

Structure du nombre hexadécimal
FFFFFFFF | FFFFFFFF | FFFFFFFF | FFFFFFFF
Groupes d'autorisations 1 | Groupes d'autorisations 2 | Groupes d'autorisations 3 | Groupes d'autorisations 4

Example Exemple

Nom de groupe : MASCHINE01##personnel de maintenance

Description de groupe : texte libre##GRP=FFFFFFFF-FFFFFFFF-FFFFFFFF-FFFFFFFF##texte libre

Les utilisateurs affectés à MACHINE01##personnel de maintenance reçoivent les niveaux d'autorisation 0 à 127 dans zenon.

Il n'est pas nécessaire de saisir l'ensemble des 32 chiffres. Les chiffres manquants sont interprétés comme des 0.

Example Exemple

Description de groupe : texte libre##GRP=7##texte libre

Les utilisateurs affectés à un groupe portant cette description reçoivent les niveaux d'autorisation 0, 1 et 2 dans zenon.

7, au format hexadécimal, est égal à 111 au format binaire. Pour chaque 1 dans le nombre binaire, le niveau d'autorisation correspondant est défini. Le bit le plus à droite correspond au niveau d'autorisation 0. Le bit situé à sa gauche correspond au niveau d'autorisation 1, et ainsi de suite.

Un utilisateur peut être affecté à plusieurs groupes. Dans ce cas, l'utilisateur reçoit la somme des niveaux d'autorisation pour chaque groupe.

Si un utilisateur est connecté à zenon, le système vérifie d'abord si l'utilisateur existe localement dans zenon. Dans le cas contraire, l'utilisateur est recherché dans Active Directory. Si l'utilisateur n'existe pas non plus à cet endroit, une entrée correspondante est créée dans la liste d'événements, indiquant que l'utilisateur n'est pas connecté. Si l'utilisateur est présent dans AD, mais les niveaux d'autorisation dans zenon ne sont pas définis pour ces utilisateurs, l'entrée suivante est créée dans la liste d'événements : Aucun droit d'utilisateur défini pour l'utilisateur dans AD. L'utilisateur est connecté avec le niveau d'autorisation 0.


Groupes d'utilisateurs identiques dans zenon et Active Directory

Manuel -> Gestion des utilisateurs -> Gestion externe des utilisateurs avec Microsoft Active Directory -> Active Directory (AD) -> Groupes d'utilisateurs identiques dans zenon et Active Directory

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Les considérations suivantes s'appliquent aux utilisateurs dans zenon et Active Directory :

  • Si un utilisateur est défini dans AD, mais pas dans zenon :
    • Les groupes d'utilisateurs sont définis dans zenon
    • Les niveaux d'autorisation du groupe auquel appartient l'utilisateur sont attribués à l'utilisateur AD
  • Si un utilisateur existe dans AD et dans zenon et l'utilisateur se connecte au Runtime :
    • L'utilisateur local de zenon est prioritaire sur l'utilisateur AD
    • Si aucun niveau d'autorisation n'est défini dans AD, l'utilisateur local est connecté


Schéma d'extension d'Active Directory

Manuel -> Gestion des utilisateurs -> Gestion externe des utilisateurs avec Microsoft Active Directory -> Active Directory (AD) -> Schéma d'extension d'Active Directory

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarque : Cette extension n'est pas adaptée aux environnements réglementés conformes à FDA 21 CFR Part11. Pour la gestion d'utilisateurs conforme à la réglementation FDA 21 CFR Part 11, utilisez soit les groupes d'utilisateurs dans zenon et les groupes dans Active Directory, soit l'attribution d'utilisateurs Active Directory aux niveaux d'autorisation de zenon.

info Informations

Active Directory , AD LDS, et ADAM (pour Windows XP), ne sont pas disponibles sous Windows CE.

Autres sujets abordés dans ce chapitre

Installation de l'extension de schéma

Attribuer les droits aux utilisateurs


Installation de l'extension de schéma

Manuel -> Gestion des utilisateurs -> Gestion externe des utilisateurs avec Microsoft Active Directory -> Active Directory (AD) -> Schéma d'extension d'Active Directory -> Installation de l'extension de schéma

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Pour que les 128 niveaux d'autorisation de zenon puissent également être attribués aux utilisateurs dans AD, le schéma AD doit être complété par ces entrées (4 valeurs entières).

Pour cela, deux fichiers (zenonUserLevel.exe et zAD_UserDlg.exe) sont copiés sur le serveur (dans un dossier dédié, si possible). Dès que le programme d'installation (zenonUserLevel.exe) a été lancé, ce dossier et tous les fichiers qu'il contient ne doivent plus être renommés ou supprimés.

attention Attention

Les fichiers zenonUserLevel.exe et zAD_UserDlg.exe se trouvent sur support d'installation de zenon, dans le dossier /Software/zenonUserLevel/.

Une référence au fichier zAD_UserDlg.exe est stockées dans le fichier d'AD.

En outre, quatre valeurs d'entier (zenonUserLevel1, zenonUserLevel2, zenonUserLevel3, zenonUserLevel4) sont ajoutées au schéma AD.

info Informations

Seul un utilisateur du groupe Administrateurs de schéma est autorisé à effectuer ces modifications ! L'administrateur de domaine dispose normalement de ces droits.


Attribuer les droits aux utilisateurs

Manuel -> Gestion des utilisateurs -> Gestion externe des utilisateurs avec Microsoft Active Directory -> Active Directory (AD) -> Schéma d'extension d'Active Directory -> Attribuer les droits aux utilisateurs

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Après avoir installé l'extension du schéma AD, les groupes d'autorisation peuvent être attribués à chaque utilisateur.

Pour cela, la console Microsoft Management Console (MMC) est ouverte avec l'extension Utilisateurs et ordinateurs Active Directory.

Un menu contextuel est ouvert en cliquant sur l'utilisateur qui doit être configuré avec le bouton droit de la souris. Un nouvel élément de menu est visible dans le menu contextuel : zenonUserLevel.

L'entrée zenonUserLevel doit être sélectionnée dans le menu contextuel pour que l'outil d'administration (zAD_UserDlg.exe) soit ouvert pour l'utilisateur sélectionné.

info Informations

Les groupes d'autorisation pour zenon ne peuvent être attribués que directement sur l'utilisateur ; les groupes et les unités d'organisation ne sont pas supportés.

Jusqu'à 128 niveaux d'autorisation peuvent être définis par utilisateur avec l'outil d'administration.

info Informations

Par défaut, le niveau d'autorisation 0 est attribué à tous les utilisateurs, et ne peut pas être désactivé avec l'outil d'administration.

Ce niveau correspond à l'utilisateur SYSTEM de zenon.

Autres sujets abordés dans ce chapitre

Description de l'outil d'administration


Description de l'outil d'administration

Manuel -> Gestion des utilisateurs -> Gestion externe des utilisateurs avec Microsoft Active Directory -> Active Directory (AD) -> Schéma d'extension d'Active Directory -> Attribuer les droits aux utilisateurs -> Description de l'outil d'administration

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Description de l'outil d'administration

Paramètres | Description
[première ligne] | Paramètre LDAP servant de chaîne de connexion.
Nom | Nom de l'utilisateur sélectionné.
Prénom | Prénom de l'utilisateur sélectionné.
Niveau utilisateur | Quatre valeurs entières représentent 32 niveaux d'autorisation. Elles peuvent être saisies en cochant ou en décochant les cases, ou en effectuant une saisie directe dans le champ.
# | Actualise l'affichage des niveaux d'autorisation.
Sélectionner | Cochez toutes les cases d'une colonne.
Effacer | Décoche toutes les cases d'une colonne.
Enregistrer | Enregistre les paramètres actuels.
Annuler | Refuse toutes les modifications effectuées depuis le dernier enregistrement et ferme la boîte de dialogue.
OK | Enregistre tous les paramètres et ferme la boîte de dialogue.
Journalisation | Affiche les informations de journalisation.


Extension de schéma – détails

Manuel -> Gestion des utilisateurs -> Gestion externe des utilisateurs avec Microsoft Active Directory -> Active Directory (AD) -> Extension de schéma – détails

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Pour clarifier le fonctionnement de l'ensemble, les extensions de schéma sont expliquées de manière détaillée dans cette section, afin de pouvoir être vérifiées en cas de problème.

Pour pouvoir visualiser les détails du schéma AD, l'outil Modification ADSI doit être installé sur le serveur. Cet outil est disponible dès que les outils d'assistance de Microsoft Server ont été installés.

Ensuite, l'extension Modification ADSI peut être ouverte dans la console Microsoft Management Console (MMC). Maintenant différentes connexions peuvent être établies.


Schéma

Manuel -> Gestion des utilisateurs -> Gestion externe des utilisateurs avec Microsoft Active Directory -> Active Directory (AD) -> Schéma

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Les attributs supplémentaires peuvent être vérifiés dans le schéma. Ces attributs sont normalement affichés en bas de l'écran.

zenonUserLevel1 - zenonUserLevel4


Configuration

Manuel -> Gestion des utilisateurs -> Gestion externe des utilisateurs avec Microsoft Active Directory -> Active Directory (AD) -> Configuration

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Après que la connexion à la configuration a été définie, les détails de chaque objet AD peuvent être vérifiés et édités. Dans ce cas, seul l'objet "user-display" de l'élément DisplaySpecifiers est intéressant, car il constitue le lien entre l'objet utilisateur et l'outil d'administration.

Les propriétés de l'objet user-display contiennent uniquement des attributs avec le nom adminContextMenu.

Cet attribut contient le lien vers l'outil d'administration (zAD_UserDlg.exe).

Cette entrée peut également être modifiée manuellement, si nécessaire.

Pour cela :

  1. Sélectionnez l'entrée
  2. Cliquez sur le bouton Supprimer
  3. Adaptez les paramètres
  4. Cliquez sur Ajouter pour ajouter d'autres éléments

Le paramètre est constitué de la façon suivante :

, nom de l'entrée de menu, chemin du fichier zAD_UserDlg.exe

Example Exemple

Exemple : si le fichier EXE est dans le dossier D:\\AD_Users.

,&zenonUserLevel,D:/AD_Users/zAD_UserDlg.exe


Domaine

Manuel -> Gestion des utilisateurs -> Gestion externe des utilisateurs avec Microsoft Active Directory -> Active Directory (AD) -> Domaine

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Si le domaine de connexion est ouvert, il ressemble au MMC avec le plugin Active Directory Users and Computers. Cette information peut aussi être trouvée ici, mais avec plus de détails.

Si vous vérifiez les propriétés d'un objet utilisateur et descendez en bas de la liste, vous trouverez également ici 4 valeurs entières correspondant aux niveaux d'autorisation.


Active Directory Lightweight Directory Services - AD LDS

Manuel -> Gestion des utilisateurs -> Gestion externe des utilisateurs avec Microsoft Active Directory -> Active Directory Lightweight Directory Services - AD LDS

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Active Directory Lightweight Directory Services (abréviation : AD LDS Active Directory Lightweight Directory Services est une version simplifiée d'Active Directory, adaptée à une utilisation sur les systèmes d'exploitation pour ordinateurs de bureau habituels ; il n'est pas nécessaire d'utiliser un système d'exploitation pour serveur. Comme AD, AD LDS est également compatible avec les logiciels suivants :

  1. Le nom du groupe d'autorisations dans le module d'administration des utilisateurs de zenon correspond aux noms de groupe d'un groupe d'utilisateurs dans Active Directory : l'attribution de l'utilisateur Active Directory au groupe d'autorisations de zenon a lieu automatiquement. Tous les utilisateurs du groupe Active Directory reçoivent des droits d'utilisateurs définis dans le groupe d'autorisation de zenon. Voir Les groupes d'utilisateurs dans zenon et dans Active Directory possèdent le même nom.
  2. Dans la description du groupe Active Directory, les niveaux d'autorisation de zenon et le projet sont conservés avec une syntaxe particulière. Tous les utilisateurs du groupe reçoivent les droits d'utilisateur conservés dans le groupe Active Directory dans zenon. Voir Attribution d'un utilisateur Active Directory aux niveaux d'autorisation de zenon

Vous pouvez utiliser AD LDS avec :

  • Windows 7
  • Windows 8
  • Windows Server 2008
  • Windows Server 2012

Autres sujets abordés dans ce chapitre

AD LDS sous Windows 8 et Windows Server 2012

AD LDS sous Windows 7

AD LDS sous Windows Server 2008

zenon : Administration avec Active Directory

Résolution des incidents


AD LDS sous Windows 8 et Windows Server 2012

Manuel -> Gestion des utilisateurs -> Gestion externe des utilisateurs avec Microsoft Active Directory -> Active Directory Lightweight Directory Services - AD LDS -> AD LDS sous Windows 8 et Windows Server 2012

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Pour utiliser AD LDS avec Windows 8, Windows 8.1 ou Windows Server 2012 et zenon :

  1. Installez AD LDS
  2. Créez une nouvelle instance d'AD LDS
  3. Importez un schéma AD LDS
  4. Installez les outils d'administration de serveur distant pour Windows.
  5. Configurez le module enfichable Active Directory pour gérer les instances d'AD LDS.
  6. Définissez les rôles, unités organisationnelles, utilisateurs et groupes d'utilisateurs.

Remarque : Les instructions d'installation et d'utilisation d'AD LDS contiennent parfois des captures d'écran avec une interface en langue anglaise.

Autres sujets abordés dans ce chapitre

Installation d'AD LDS

Créer une nouvelle instance AD LDS

Importation d'un schéma AD LDS

Installation des outils d'administration de serveur distant sous Windows 8

Tools (Outils)

Configuration du module enfichable Schéma Active Directory

Configurez les rôles, les unités organisationnelles et les utilisateurs


Installation d'AD LDS

Manuel -> Gestion des utilisateurs -> Gestion externe des utilisateurs avec Microsoft Active Directory -> Active Directory Lightweight Directory Services - AD LDS -> AD LDS sous Windows 8 et Windows Server 2012 -> Installation d'AD LDS

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Windows 8

Pour installer AD LDS sous Windows 8 :

  1. Ouvrez le Panneau de configuration.
  2. Sélectionnez Programmes et fonctionnalités.
  3. Sélectionnez Activer ou désactiver des fonctionnalités Windows.

  4. Cochez la case adjacente à Services Active Directory Lightweight Directory.
  5. Cliquez sur OK.

Windows Server 2012

Pour installer AD LDS sous Windows Server 2012 :

  1. Sélectionnez Gérer -> Ajouter des rôles et fonctionnalités.
  2. L'assistant démarre.

  3. Sélectionnez Installation basée sur un rôle ou une fonctionnalité.
  4. Cliquez sur Suivant.

  5. Sélectionnez un serveur dans la liste de serveurs.
  6. Cliquez sur Suivant.

  7. Cochez la case adjacente à Services Active Directory Lightweight Directory pour les rôles de serveur.
  8. Cliquez sur Suivant.

  9. Cochez la case adjacente à Inclure les outils de gestion.
  10. Cliquez sur Ajouter des fonctionnalités

  11. Cliquez sur Suivant.

  12. Confirmez le redémarrage automatique du serveur.


Créer une nouvelle instance AD LDS

Manuel -> Gestion des utilisateurs -> Gestion externe des utilisateurs avec Microsoft Active Directory -> Active Directory Lightweight Directory Services - AD LDS -> AD LDS sous Windows 8 et Windows Server 2012 -> Créer une nouvelle instance AD LDS

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Pour créer une nouvelle instance AD LDS :

  1. Dans Windows, accédez au dossier %ProgramData%\Microsoft\Windows\Start Menu\Programs\Administrative Tools.
  2. Exécutez le fichier Setup Assistant for Active Directory Lightweight Directory Services.

  3. Cliquez sur Suivant.

  4. Sélectionnez le type d'installation Une instance unique.
  5. Cliquez sur Suivant.

  6. Attribuez un nom d'instance.
  7. Cliquez sur Suivant.

  8. Saisissez le numéro de port pour LDAP et SSL.
    LDAP, par défaut : 389
    SSL, par défaut : 636
    Remarque : Si vous modifiez le numéro d'un des ports, vous devrez répercuter cette modification aux étapes suivantes.
  9. Cliquez sur Suivant.

  10. Activez l'option Partition de l'annuaire d'applications.
  11. Saisissez le Nom de la partition.

    Remarque : Le nom de la partition est utilisé avec le numéro de port et le nom du serveur dans zenon.
    Dans cet exemple, l'entrée dans la propriété Connexion AD-LDS correspondante dans zenon serait : \\w8x64-vm0009.testenv.local:389/DC=copadata,DC=com

  12. Cliquez sur Suivant dans l'assistant.

  13. Saisissez l'emplacement de sauvegarde des fichiers de données et des restaurations. (Vous pouvez conserver le paramètre par défaut, si vous le souhaitez.)
  14. Cliquez sur Suivant.

  15. Sélectionnez les niveaux d'autorisation avec lesquels les processus d'autorisation doivent être réalisés. (Compte de service réseau, dans cet exemple.)

    Remarque : Si l'ordinateur sur lequel vous installez AD LDS n'est pas membre d'un domaine, un message d'avertissement s'affiche à l'écran :

    les fonctionnalités d'AD LDS ne seront pas limitées tant que vous n'effectuez pas de réplications. Confirmez l'avertissement en cliquant sur Oui.

  16. Cliquez sur Suivant dans l'assistant.

  17. Saisissez l'utilisateur affecté à l'administration d'AD LDS. L'utilisateur actuellement connecté est utilisé dans cet exemple.
    Il n'est pas nécessaire que l'utilisateur soit un administrateur local ou un administrateur de domaine. Un groupe peut également être spécifié.
    Toutefois : Un utilisateur individuel doit être spécifié dans zenon. Il peut être membre d'un groupe.

    L'utilisateur configuré ici est utilisé dans zenon, dans les propriétés Identification utilisateur AD-LDS et Mot de passe AD-LDS :

  18. Cliquez sur Suivant dans l'assistant.

  19. Importez les fichiers LDIF requis : Les fichiers suivants sont nécessaires :
    • MS-InetOrgPerson.LDF
    • MS-User.LDF
    • MS-UserProxy.LDF
  20. Cliquez sur Suivant.

  21. Confirmez la configuration en cliquant sur Suivant.

    L'installation est effectuée.

  22. Fermez l'assistant en cliquant sur le bouton Terminer.


Importation d'un schéma AD LDS

Manuel -> Gestion des utilisateurs -> Gestion externe des utilisateurs avec Microsoft Active Directory -> Active Directory Lightweight Directory Services - AD LDS -> AD LDS sous Windows 8 et Windows Server 2012 -> Importation d'un schéma AD LDS

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Pour importer des schémas LD ADS :

  1. Ouvrez la ligne de commande.
  2. Accédez au dossier AD LDS : %WINDIR%\ADAM.
  3. Saisissez la commande suivante, puis appuyez sur la touche Entrée :

    ldifde -i -s localhost:389 -c CN=Configuration,DC=X #ConfigurationNamingContext -f MS-adamschemaw2k8.ldf

    Remarque : Si vous avez configuré un utilisateur dédié pour la partition AD LDS, vous devez également saisir les indications suivantes :

    • Utilisateur
    • Domaine
    • Mot de passe pour LDIFDE

    Syntaxe : (user: ADLDS, domain: T08-12en64, password: password): ldifde -i -s localhost:389 -c CN=Configuration,DC=X #ConfigurationNamingContext -f MS-adamschemaw2k8.ldf -b ADLDS T08-12en64 Copadata1

  4. Vous verrez s'afficher un message de confirmation lorsque les modifications auront été appliquées.

  5. Saisissez la commande suivante, puis appuyez sur la touche Entrée (les règles applicables aux utilisateurs dédiés s'appliquent également ici, comme à l'étape précédente) :

    ldifde -i -s localhost:389 -c CN=Configuration,DC=X #ConfigurationNamingContext -f MS-AdamSyncMetadata.ldf

  6. Vous verrez s'afficher un message de confirmation lorsque la modification aura été appliquée.


Installation des outils d'administration de serveur distant sous Windows 8

Manuel -> Gestion des utilisateurs -> Gestion externe des utilisateurs avec Microsoft Active Directory -> Active Directory Lightweight Directory Services - AD LDS -> AD LDS sous Windows 8 et Windows Server 2012 -> Installation des outils d'administration de serveur distant sous Windows 8

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Sous Windows 8, vous devez encore installer les outils d'administration de serveur distant. Pour cela :

  1. Ouvrez le Panneau de configuration.
  2. Sélectionnez Programmes et fonctionnalités.
  3. Sélectionnez Activer ou désactiver des fonctionnalités Windows.

  4. Cochez la case adjacente à Outils d'administration de serveur distant.
  5. Cliquez sur OK.

Remarque : Si l'option Outils d'administration de serveur distant n'est pas affichée, vous pouvez télécharger cet élément depuis le site Web de Microsoft, puis les installer.


Tools (Outils)

Manuel -> Gestion des utilisateurs -> Gestion externe des utilisateurs avec Microsoft Active Directory -> Active Directory Lightweight Directory Services - AD LDS -> AD LDS sous Windows 8 et Windows Server 2012 -> Tools (Outils)

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Les outils suivants sont utiles pour l'administration d'AD LDS :

  • Microsoft MMC avec le module enfichable Schéma Active Directory : mmc -a
  • ADSI Edit
  • ADExplorer (disponible en téléchargement auprès de Microsoft Sysinternals)


Configuration du module enfichable Schéma Active Directory

Manuel -> Gestion des utilisateurs -> Gestion externe des utilisateurs avec Microsoft Active Directory -> Active Directory Lightweight Directory Services - AD LDS -> AD LDS sous Windows 8 et Windows Server 2012 -> Configuration du module enfichable Schéma Active Directory

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Pour configurer le module enfichable Schéma Active Directory :

  1. Ouvrez la ligne de commande avec des droits d'administrateur.
  2. Saisissez la commande suivante, puis appuyez sur la touche Entrée : regsvr32 schmmgmt.dll
  3. Un message de confirmation s'affiche à l'écran une fois l'enregistrement effectué :

  4. Ouvrez la version.
    Saisissez : mmc /a
  5. La console d'administration s'ouvre :

  6. Dans le menu Fichier, cliquez sur la commande Ajouter/supprimer un composant enfichable.

  7. Sélectionnez Schéma Active Directory.
  8. Cliquez sur Ajouter.
  9. Cliquez sur OK.
  10. Sélectionnez l'entrée Schéma Active Directory.
  11. Sélectionnez Changer de contrôleur de domaine Active Directory... dans le menu contextuel.

  12. Saisissez le nom du serveur et le port dans le champ vide. Pour cet exemple : w8x64-vm0026.testenv.local:389.
    Sélectionnez le serveur et le port ici.
    L'écran suivant s'affiche maintenant :

  13. Enregistrez le module enfichable en sélectionnant Fichier -> Enregistrer.
  14. Optionnel :
    1. Ouvrez le dossier Classes, puis accédez à l'entrée Organisation.

    2. Cliquez sur Propriétés dans le menu contextuel.
    3. Ouvrez l'onglet Attributs.

    4. Cliquez sur Ajouter, puis recherchez maxPwdAge. Cliquez sur OK.

      Ajoutez également lockoutDuration et lockoutThreshold.

      Fermez la boîte de dialogue en cliquant sur OK.

      Ces étapes sont facultatives et nécessitent les droits correspondants. maxPwdAge définit la durée de validité du mot de passe avant que son remplacement ne soit demandé. lockoutDuration définit le délai pendant lequel un utilisateur est bloqué après avoir incorrectement saisi son mot de passe à plusieurs reprises. Le nombre autorisé de saisies incorrectes du mot de passe est défini par lockoutThreshold.

  15. Ouvrez le dossier Classes, puis accédez à l'entrée Utilisateur.
    1. Cliquez sur Propriétés dans le menu contextuel.
    2. Ouvrez l'onglet Attributs.
    3. Cliquez sur Ajouter, puis recherchez sAMAccountName. Cliquez sur OK.
      Ajoutez également groupMembershipSAM et userAccountControl.

    Fermez la boîte de dialogue en cliquant sur OK.

  16. Fermez la console.

Consignes relatives aux mots de passe

Les consignes relatives à la complexité, à la longueur minimale et à la durée de validité maximale des mots de passe sont configurées au niveau des consignes de sécurité locales de l'ordinateur. Si l'ordinateur sur lequel s'exécute AD LDS fait partie d'un groupe de travail, les consignes de sécurité locales sont visibles. Si l'ordinateur fait partie d'un domaine, les stratégies de sécurité du domaine sont visibles. En fonction de votre installation, vous devez configurer les consignes des mots de passe.

Pour les directives de sécurité locales :

  1. Accédez à %ProgramData%\Microsoft\Windows\Start Menu\Programs\Administrative Tools\.
  2. Démarrez Stratégie de sécurité locale
  3. Configurez la Stratégie de mot de passe

  4. Configurez la Stratégie de verrouillage de compte


Configurez les rôles, les unités organisationnelles et les utilisateurs

Manuel -> Gestion des utilisateurs -> Gestion externe des utilisateurs avec Microsoft Active Directory -> Active Directory Lightweight Directory Services - AD LDS -> AD LDS sous Windows 8 et Windows Server 2012 -> Configurez les rôles, les unités organisationnelles et les utilisateurs

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Utilisez ADSI Edit pour configurer les rôles, les unités organisationnelles et les utilisateurs. Vous le trouverez dans le chemin suivant :

%ProgramData%\Microsoft\Windows\Start Menu\Programs\Administrative Tools\.

Pour définir des configurations à l'aide d'ADSI Edit :

  1. Démarrez ADSI Edit.

  2. Sélectionnez Établir une connexion dans le menu contextuel.
  3. La boîte de dialogue des paramètres de connexion s'affiche à l'écran.

  4. Configurez les options suivantes en fonction des paramètres sélectionnés :
    • Point de connexion : DC=copadata,DC=com
    • Ordinateur : localhost:389
    • Fermez la boîte de dialogue en cliquant sur OK.
  5. Vous devriez maintenant voir la vue suivante dans Editor (ouvrez l'arborescence dans le volet gauche en cliquant sur le curseur ou en double-cliquant sur l'entrée) :

Il s'agit du point de départ de toutes les autres configurations. Pour cet exemple :

  • Configuration des rôles
  • Configuration de maxPwdAge
  • Création d'une unité organisationnelle
  • Création d'un groupe
  • Créer un utilisateur
  • Ajout d'utilisateurs à un groupe

Autres sujets abordés dans ce chapitre

Configuration des rôles

Configuration de la durée de validité des mots de passe

Création d'une unité organisationnelle

Création d'un groupe d'utilisateurs

Créer un utilisateur

Ajout d'utilisateurs à des groupes et définition d'un mot de passe


Configuration des rôles

Manuel -> Gestion des utilisateurs -> Gestion externe des utilisateurs avec Microsoft Active Directory -> Active Directory Lightweight Directory Services - AD LDS -> AD LDS sous Windows 8 et Windows Server 2012 -> Configurez les rôles, les unités organisationnelles et les utilisateurs -> Configuration des rôles

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Configuration des rôles

Dans ce chapitre, vous découvrirez comment attribuer des droits de lecture de l'arborescence d'AD LDS dans zenon.

Pour cela :

  1. Développez le dossier CN=Roles.

  2. Sélectionnez CN=Readers.
  3. Sélectionnez Propriétés dans le menu contextuel.
  4. La boîte de dialogue des propriétés s'affiche à l'écran.

  5. Accédez à l'entrée member.
  6. Cliquez sur Édition.
  7. Cliquez sur Ajouter un compte Windows....
  8. Sélectionnez l'utilisateur Tout le monde (Everyone) pour l'hôte local.
  9. Fermez la boîte de dialogue.
  10. Vous accédez à la vue suivante :


Configuration de la durée de validité des mots de passe

Manuel -> Gestion des utilisateurs -> Gestion externe des utilisateurs avec Microsoft Active Directory -> Active Directory Lightweight Directory Services - AD LDS -> AD LDS sous Windows 8 et Windows Server 2012 -> Configurez les rôles, les unités organisationnelles et les utilisateurs -> Configuration de la durée de validité des mots de passe

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Configuration de la durée de validité des mots de passe

Cette section est importante si vous souhaitez définir des règles dédiées concernant les mots de passe pour l'unité organisationnelle zenon. Si vous ne configurez pas ces règles, les consignes de sécurité locales de l'ordinateur sur lequel a été installé AD LDS sont appliquées.

Pour configurer les règles :

  1. Sélectionnez le dossier DC=copadata,DC=com.
  2. Cliquez sur Actualiser.
  3. Fermez ADSI Edit.
  4. Ouvrez à nouveau Editor.
  5. Sélectionnez l’entrée DC=copadata,DC=com.
  6. Accédez aux propriétés via le menu contextuel :

  7. Accédez à l'entrée maxPwdAge.
  8. Entrer une valeur valide (format : DD:HH:MM:SS) et ferme la boîte de dialogue.

    Remarque : Si l'entrée maxPwdAge n'est pas disponible, assurez-vous que la propriété a été correctement ajoutée. La mise à jour ou la fermeture et la réouverture d'ADSI Edit peut également corriger ce problème.

  9. Accédez à l'entrée lockoutDuration.
  10. Entrer une valeur valide (format : DD:HH:MM:SS) et ferme la boîte de dialogue.

  11. Accédez à l'entrée lockoutThreshold.
  12. Saisissez une valeur valide, puis fermez la boîte de dialogue.


Création d'une unité organisationnelle

Manuel -> Gestion des utilisateurs -> Gestion externe des utilisateurs avec Microsoft Active Directory -> Active Directory Lightweight Directory Services - AD LDS -> AD LDS sous Windows 8 et Windows Server 2012 -> Configurez les rôles, les unités organisationnelles et les utilisateurs -> Création d'une unité organisationnelle

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Création d'une unité organisationnelle

Pour créer une unité organisationnelle :

  1. Sélectionnez le dossier DC=copadata,DC=com.

  2. Sélectionnez Nouveau >- Objet dans le menu contextuel.

  3. Sélectionnez la classe organizationalUnit.
  4. Cliquez sur Suivant.

  5. Saisissez un nom comme valeur.
  6. Cliquez sur Suivant.
  7. Cliquez sur Fermer.


Création d'un groupe d'utilisateurs

Manuel -> Gestion des utilisateurs -> Gestion externe des utilisateurs avec Microsoft Active Directory -> Active Directory Lightweight Directory Services - AD LDS -> AD LDS sous Windows 8 et Windows Server 2012 -> Configurez les rôles, les unités organisationnelles et les utilisateurs -> Création d'un groupe d'utilisateurs

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Création d'un groupe d'utilisateurs

Pour créer des groupes d'utilisateurs :

  1. Sélectionnez le dossier contenant l'unité organisationnelle que vous avez créée.

  2. Sélectionnez Nouveau >- Objet dans le menu contextuel.

  3. Sélectionnez l'entrée group.
  4. Cliquez sur Suivant.

  5. Enter a name for Value, zenon user group in this example.
  6. Cliquez sur Suivant.

  7. Cliquez sur le bouton Autres attributs.
  8. Sélectionnez l'entrée groupAttributes.

  9. Saisissez 2147483650 dans le champ Modifier l'attribut.
  10. Cliquez sur Définir.

  11. Cliquez sur OK.
  12. Dans la boîte de dialogue Autres attributs, sélectionnez la propriété sAMAccountName.

  13. Saisissez la même valeur que celle de l'entrée group.
  14. Cliquez sur Définir.

  15. Cliquez sur OK.
  16. Cliquez sur Terminer.


Créer un utilisateur

Manuel -> Gestion des utilisateurs -> Gestion externe des utilisateurs avec Microsoft Active Directory -> Active Directory Lightweight Directory Services - AD LDS -> AD LDS sous Windows 8 et Windows Server 2012 -> Configurez les rôles, les unités organisationnelles et les utilisateurs -> Créer un utilisateur

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Créer un utilisateur

Pour créer un utilisateur :

  1. Sélectionnez l'unité organisationnelle.

  2. Sélectionnez Nouveau >- Objet dans le menu contextuel.

  3. Sélectionnez user comme objet.

  4. Saisissez un nom comme valeur.
  5. Cliquez sur Suivant.

  6. Cliquez sur Autres attributs.
  7. Sélectionnez sAMAccountName.

  8. Saisissez la même valeur que celle de l'entrée user (Utilisateur).
    Remarque : Ceci est important pour que l'utilisateur soit utilisé dans zenon.
  9. Cliquez sur Définir.

  10. Cliquez sur OK.
  11. Cliquez sur Autres attributs.
  12. Sélectionnez displayName.

  13. Saisissez une description de l'affichage
  14. Cliquez sur Définir.

  15. Cliquez sur OK.
  16. Cliquez sur Terminer.


Ajout d'utilisateurs à des groupes et définition d'un mot de passe

Manuel -> Gestion des utilisateurs -> Gestion externe des utilisateurs avec Microsoft Active Directory -> Active Directory Lightweight Directory Services - AD LDS -> AD LDS sous Windows 8 et Windows Server 2012 -> Configurez les rôles, les unités organisationnelles et les utilisateurs -> Ajout d'utilisateurs à des groupes et définition d'un mot de passe

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Ajout d'utilisateurs à des groupes et définition d'un mot de passe

Dans cette section, vous pouvez ajouter un utilisateur à un groupe et définir un mot de passe.

Ajout d'un utilisateur

Pour ajouter des utilisateurs à un groupe :

  1. Sélectionnez le groupe.

  2. Sélectionnez Propriétés dans le menu contextuel.

  3. Sélectionnez member.
  4. Cliquez sur Édition.

  5. Cliquez sur Ajouter un nom unique
    La boîte de dialogue permettant d'ajouter un utilisateur. précédemment configuré s'affiche à l'écran.

  6. Pour l'utilisateur de notre exemple, saisissez : CN=zenon1,OU=zenon users OU,DC=copadata,DC=com
  7. Cliquez sur OK pour fermer la boîte de dialogue.

  8. Cliquez sur OK.

Définir le mot de passe

Définissez maintenant un mot de passe pour l'utilisateur. Pour cela :

  1. Sélectionnez l'utilisateur que vous venez de créer.

  2. Sélectionnez Réinitialiser le mot de passe dans le menu contextuel.
  3. Définissez un mot de passe.
    Remarque : le mot de passe doit être conforme aux exigences des directives de sécurité locales.
  4. Fermez la boîte de dialogue.
  5. Sélectionnez Propriétés dans le menu contextuel de l'utilisateur.

  6. Sélectionnez msDS-UserAccountDisabled dans les propriétés.

  7. Définissez la valeur sur incorrect.

L'utilisateur peut maintenant être utilisé dans zenon.


AD LDS sous Windows 7

Manuel -> Gestion des utilisateurs -> Gestion externe des utilisateurs avec Microsoft Active Directory -> Active Directory Lightweight Directory Services - AD LDS -> AD LDS sous Windows 7

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

AD LDS peut également être utilisé avec Windows 7. Vous trouverez les configurations adaptées sur le site Web de Microsoft.

Une fois l'installation terminée, la configuration est effectuée en sélectionnant Contrôle du système -> Administration, de la même manière que pour Windows Server 2008.

Autres sujets abordés dans ce chapitre

Créer une nouvelle instance AD LDS

Importation d'un schéma AD LDS

Configuration du schéma enfichable AD.

Configuration des unités organisationnelles, des groupes et des utilisateurs


Créer une nouvelle instance AD LDS

Manuel -> Gestion des utilisateurs -> Gestion externe des utilisateurs avec Microsoft Active Directory -> Active Directory Lightweight Directory Services - AD LDS -> AD LDS sous Windows 7 -> Créer une nouvelle instance AD LDS

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Pour créer une nouvelle instance AD LDS :

  1. Dans le Panneau de configuration d'Active Directory Lightweight Directory Services, ouvrez l'Assistant d'installation d'AD LDS.

  2. Démarrez l'assistant :

  3. Sélectionnez l'option Une instance unique.

  4. Donnez un nom à l'instance.

  5. Configurez les ports. Par défaut :
    • LDAP: 389
    • SSL: 636

    Remarque : si vous modifiez le port prédéfini, vous devez également modifier le port dans certains des paramètres suivants.

  6. Spécifiez le Nom de la partition.

    Pour cet exemple : o=zenon,c=com

    Le Nom de la partition est utilisé ultérieurement dans zenon, avec le port et le nom du serveur.

    Cette configuration peut également être définie ultérieurement dans zenon. Poursuivez la configuration dans l'assistant.

  7. Définissez l'emplacement d'enregistrement.
    Le paramètre par défaut peut être conservé.

  8. Définissez le compte de service d'AD LDS.

    Pour cet exemple : Compte de service réseau

    Si l'ordinateur sur lequel est installé AD LDS n'est pas membre d'un domaine, un message d'avertissement s'affiche à l'écran :

    Ceci ne perturbe toutefois pas le bon fonctionnement d'AD LDS. Exception : vous utilisez la fonction de réplication.

    Confirmez l'avertissement en cliquant sur le bouton Oui.

  9. Définissez l'utilisateur recevant les droits d'administrateur.

    Dans notre exemple, nous utilisons l'utilisateur actuellement connecté. Dans notre cas, un utilisateur local possédant des droits d'administrateur.

    L'utilisateur et son mot de passe seront utilisés ultérieurement dans zenon.

    Cette configuration peut être définie ultérieurement. Poursuivez la configuration dans l'assistant.

  10. Importez les fichiers LDIF requis :
    • MS-InetOrgPerson.LDF
    • MS-User.LDF
    • MS-UserProxy.LDF

  11. Terminez l'installation


Importation d'un schéma AD LDS

Manuel -> Gestion des utilisateurs -> Gestion externe des utilisateurs avec Microsoft Active Directory -> Active Directory Lightweight Directory Services - AD LDS -> AD LDS sous Windows 7 -> Importation d'un schéma AD LDS

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Pour importer le schéma AD LDS :

  1. Dans l'Explorateur Windows, accédez au dossier %WINDIR%\ADAM.
  2. Sélectionnez [Touche Maj + clic droit] dans le menu contextuel : Ouvrir la requête de saisie ici .

  3. Saisissez la chaîne de caractères suivante :

    ldifde -i -s localhost -c CN=Configuration,DC=X #ConfigurationNamingContext -f MS-AdamSchemaW2k8.ldf

  4. Appuyez sur la touche Entrée :

  5. Saisissez la chaîne de caractères suivante :

    ldifde -i -s localhost:389 -c CN=Configuration,DC=X #ConfigurationNamingContext -f MS-AdamSyncMetadata.ldf

    Remarque : si vous avez modifié un port, il doit être modifié de façon correspondante ici.

  6. Appuyez sur la touche Entrée :


Configuration du schéma enfichable AD.

Manuel -> Gestion des utilisateurs -> Gestion externe des utilisateurs avec Microsoft Active Directory -> Active Directory Lightweight Directory Services - AD LDS -> AD LDS sous Windows 7 -> Configuration du schéma enfichable AD.

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Pour configurer le schéma enfichable, enregistrez-le d'abord à l'aide de l'invite de commande (des droits d'administrateur sont requis) :

  1. Cliquez sur le bouton Démarrer.
  2. Accédez à l'invite de commande.
  3. Sélectionnez Exécuter en tant qu'administrateur dans le menu contextuel.
  4. À l'invite de commande, saisissez : regsvr32 schmmgmt.dll.
  5. Confirmez en appuyant sur la touche Entrée.

Configuration

  1. Cliquez sur le bouton Démarrer.
  2. Sélectionnez Exécuter.
  3. Saisissez : mmc /a.

  4. Cliquez sur File -> Add/Remove Snap-in....

  5. Sélectionnez Active Directory Schema.
  6. Cliquez sur Add.
  7. Cliquez sur OK.

  8. Accédez à Active Directory Schema.
  9. Sélectionnez Change Active Directory Domain Controller... dans le menu contextuel.

  10. Saisissez le serveur et le port (localhost:389, dans cet exemple)

  11. Vous devriez maintenant voir la fenêtre suivante :

  12. Accédez à Classes -> organization.
  13. Ouvrez Properties :

  14. Cliquez sur Add.
    1. Recherchez maxPwdAge.
    2. Cliquez sur OK.

    1. Répétez cette étape pour lockoutDuration

    1. et pour lockoutThreshold.

  15. Cliquez sur OK.

  16. Ouvrez le dossier Classes, puis accédez à l'entrée user.
    1. Sélectionnez l'entrée Properties dans le menu contextuel.
    2. Accédez à l'onglet Attributes.
    3. Cliquez sur Add et recherchez sAMAccountName.
    4. Cliquez sur OK.
    5. Ajoutez également groupMembershipSAM et userAccountControl.
    6. Fermez la configuration en cliquant sur OK.
  17. Fermez la console.

Remarque :

  • Ces étapes sont absolument nécessaires pour que la propriété maxPwdAge apparaisse dans l'unité organisationnelle, configurée ensuite.
    • maxPwdAge définit l'âge maximal du mot de passe ; le mot de passe doit être modifié après expiration de ce délai.
    • lockoutDuration définit la durée pendant laquelle un utilisateur est bloqué après avoir saisi plusieurs fois un mot de passe incorrect.
    • lockoutThreshold définit le nombre de tentatives de saisie erronées avant qu'un utilisateur ne soit bloqué pour un certain temps.
  • Dans les directives de sécurité locales, vous définissez les règles concernant :
    • password complexity
    • minimum password length
    • age


Configuration des unités organisationnelles, des groupes et des utilisateurs

Manuel -> Gestion des utilisateurs -> Gestion externe des utilisateurs avec Microsoft Active Directory -> Active Directory Lightweight Directory Services - AD LDS -> AD LDS sous Windows 7 -> Configuration des unités organisationnelles, des groupes et des utilisateurs

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Pour configurer des unités organisationnelles, des groupes et des utilisateurs :

  1. Sélectionnez Démarrer -> Outils d'administration -> Modification ADSI

  2. Sélectionnez Connexion... dans le menu contextuel
  3. Utilisez les paramètres suivants (modifiez les autres paramètres s'ils ont été précédemment configurés) :
    1. Point de connexion : o=zenon,c=com
    2. Ordinateur : localhost:389

    Vous devriez maintenant voir la configuration suivante :

Configuration de maxPwdAge

  1. Sélectionnez O=zenon,c=com
  2. Cliquez sur Actualiser
  3. Fermez Modification ADSI
  4. Ouvrez à nouveau Modification ADSI
  5. Sélectionnez O=zenon,c=com
  6. Sélectionnez Propriétés dans le menu contextuel.

  7. Accédez à maxPwdAge.
    1. Saisissez une valeur valide.
    2. Format : JJ:HH:MM:SS (dans notre exemple, 10:00:00:00)

    Remarque : Si la propriété maxPwdAge n'est pas visible, assurez-vous qu'elle a été correctement ajoutée. L'actualisation ou la fermeture, puis la réouverture de Modification ADSI ou l'actualisation des schémas peuvent résoudre le problème.

  8. Accédez à lockoutDuration.
    1. Saisissez une valeur valide.
    2. Format : JJ:HH:MM:SS (dans notre exemple, 00:00:10:00 -> 10 minutes)

  9. Accédez à lockoutThreshold

  10. Saisissez la même valeur que celle définie dans les directives de sécurité locale (3, par exemple)

Remarque : Les paramètres de durée du blocage de compte sont ignorés dans AD LDS. La propriété lockoutDuration (O=zenon,c=com) est utilisée.

Autres sujets abordés dans ce chapitre

Utilisateurs

Unités organisationnelles

Groupes


Utilisateurs

Manuel -> Gestion des utilisateurs -> Gestion externe des utilisateurs avec Microsoft Active Directory -> Active Directory Lightweight Directory Services - AD LDS -> AD LDS sous Windows 7 -> Configuration des unités organisationnelles, des groupes et des utilisateurs -> Utilisateurs

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Utilisateurs

Pour créer un utilisateur :

  1. Sélectionnez l'unité organisationnelle.
  2. Sélectionnez New -> Object dans le menu contextuel.

  3. Sélectionnez la classe user (Utilisateur)

  4. Saisissez un nom.
    Pour cet exemple : zenon1.

  5. Cliquez sur Next.
  6. Basculez vers l'onglet Attributes.
  7. Cliquez sur More Attributes.
    1. Accédez au propriétés Select a property to view.
    2. Sélectionnez sAMAccountName dans la liste déroulante.
    3. Accédez à Edit Attribute.
    4. Saisissez la même valeur que pour l'utilisateur (zenon1)
      (Cette configuration est nécessaire pour que l'utilisateur puisse être utilisé dans zenon.)

  8. Cliquez sur Set.
  9. Now, in the Select a property to view property, select displayName.
  10. Saisissez une valeur pour l'affichage du nom (par exemple 1st SCADA user - 1er utilisateur zenon)

  11. Cliquez sur Set (Définir), puis sur OK et sur Finish (Terminer).

Ajout d'utilisateurs au groupe

Pour ajouter des utilisateurs à un groupe :

  1. Sélectionnez zenon user group.
  2. Sélectionnez Properties dans le menu contextuel.

  3. Sélectionnez member.
  4. Cliquez sur Edit.

  5. Pour ajouter un le compte AD LDS créé user:
    1. Cliquez sur Add DN....
    2. Dans le champ, saisissez : CN=zenon1,OU=zenon users OU,O=zenon,C=com.

    Vous recevez le résultat :

  6. Définissez un mot de passe pour l'utilisateur zenon1.

    Remarque : Le mot de passe doit être conformes aux exigences des directives de sécurité locales

  7. For the user zenon1, set the properties set msDS-UserAccountDisabled to False.

L'utilisateur a maintenant été créé et peut être utilisé dans zenon.


Unités organisationnelles

Manuel -> Gestion des utilisateurs -> Gestion externe des utilisateurs avec Microsoft Active Directory -> Active Directory Lightweight Directory Services - AD LDS -> AD LDS sous Windows 7 -> Configuration des unités organisationnelles, des groupes et des utilisateurs -> Unités organisationnelles

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Unités organisationnelles

Pour créer une unité organisationnelle :

  1. Sélectionnez O=zenon,c=com
  2. Sélectionnez Nouveau -> Objet dans le menu contextuel.

  3. Sélectionnez Unité organisationnelle.

  4. Saisissez un nom (dans notre exemple : zenon users OU)

  5. Cliquez sur Suivant, puis sur Terminer


Groupes

Manuel -> Gestion des utilisateurs -> Gestion externe des utilisateurs avec Microsoft Active Directory -> Active Directory Lightweight Directory Services - AD LDS -> AD LDS sous Windows 7 -> Configuration des unités organisationnelles, des groupes et des utilisateurs -> Groupes

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Groupes

Pour créer un groupe :

  1. Sélectionnez l'unité organisationnelle
  2. Sélectionnez Nouveau >- Objet dans le menu contextuel.

  3. Sélectionnez Groupe

  4. Saisissez un nom (dans notre exemple : zenon user group)

  5. Cliquez sur Suivant
  6. Basculez vers l'onglet Attributs
  7. Cliquez sur Autres attributs
    1. Accédez à Sélectionnez une propriété à afficher
    2. Sélectionnez Attributs dans la liste déroulante
    3. Accédez à Modifier l'attribut
    4. Saisissez la valeur 2147483650 (représente un groupe de compte)

  8. Cliquez sur Définir.
  9. Sélectionnez maintenant sAMAccountName dans Sélectionnez une propriété à afficher
  10. Saisissez la même valeur que pour le groupe (zenon user group)

    Remarque : ce paramètre est nécessaire pour pouvoir configurer les groupes d'utilisateurs dans zenon

  11. Cliquez sur OK, puis sur Terminer.


AD LDS sous Windows Server 2008

Manuel -> Gestion des utilisateurs -> Gestion externe des utilisateurs avec Microsoft Active Directory -> Active Directory Lightweight Directory Services - AD LDS -> AD LDS sous Windows Server 2008

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Pour installer le rôle de serveur AD LDS :

  1. Sélectionnez Gestionnaire de serveur dans les Outils d'administration

  2. Cliquez sur Ajouter des rôles

  3. Ajoutez le Rôle AD LDS


zenon : Administration avec Active Directory

Manuel -> Gestion des utilisateurs -> Gestion externe des utilisateurs avec Microsoft Active Directory -> Active Directory Lightweight Directory Services - AD LDS -> zenon : Administration avec Active Directory

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Pour une utilisation dans zenon, configurez d'abord les paramètres dans Editor, puis définissez l'identification des utilisateurs au niveau d'AD LDS défini dans le Runtime.

info Informations

Active Directory , AD LDS, et ADAM (pour Windows XP), ne sont pas disponibles sous Windows CE.

Autres sujets abordés dans ce chapitre

Editor

Runtime - Variables du driver système


Editor

Manuel -> Gestion des utilisateurs -> Gestion externe des utilisateurs avec Microsoft Active Directory -> Active Directory Lightweight Directory Services - AD LDS -> zenon : Administration avec Active Directory -> Editor

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

La configuration est effectuée dans les propriétés du projet, dans Gestion des utilisateurs :

Exemple

Les paramètres suivants ont été testés :

  • Un groupe d'utilisateurs portant le nom zenon user group a été créé par l'utilisateur.

  • Un niveau d'autorisation lui a été affecté.


Runtime - Variables du driver système

Manuel -> Gestion des utilisateurs -> Gestion externe des utilisateurs avec Microsoft Active Directory -> Active Directory Lightweight Directory Services - AD LDS -> zenon : Administration avec Active Directory -> Runtime - Variables du driver système

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
  • L'utilisateur zenon1 peut se connecter à zenon :

    La propriété Nom complet dans zenon correspond à l'attribut displayName dans AD LDS.

    La propriété Identifiant utilisateur correspond à l'attribut sAMAccountName dans AD LDS.

  • L'utilisateur reçoit ses niveaux d'autorisation du groupe zenon :

  • Les jours restants avant la modification du mot de passe sont affichés (avec un jour d'écart) :

Gestion des erreurs

Si des erreurs se produisent dans le Runtime, vérifiez si :

  • Les paramètres ont été correctement configurés :
    • Nom utilisateur
    • sAMAccountName
  • Les paramètres du pare-feu ont été correctement configurés :
  • La configuration d'Editor est correcte pour les fonctions suivantes :
    • Connexion
    • Mot de passe

Si l'utilisateur ne reçoit aucun niveau d'autorisation du groupe zenon, vérifiez si :

  • Les noms correspondent bien
  • Le paramètre sAMAccountName du groupe a été défini dans AD LDS
  • L'utilisateur dans AD LDS a été ajouté au groupe

AD

Si les autorisations de fonctionnement du groupe d'utilisateurs dans AD doivent être définies, les conditions suivantes doivent être vraies dans AD LDS :

  • La propriété Description doit être modifiée pour le groupe
  • Le groupe doit posséder le même nom que le projet

Pour plus d'informations, reportez-vous à la section Configuration des niveaux d'autorisation de zenon dans le champ de description d'un groupe Active Directory.


Résolution des incidents

Manuel -> Gestion des utilisateurs -> Gestion externe des utilisateurs avec Microsoft Active Directory -> Active Directory Lightweight Directory Services - AD LDS -> Résolution des incidents

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Contrôlez la connexion au répertoire AD LDS

  1. Démarrez Microsoft ADExplorer sur l'ordinateur sur lequel est utilisé zenon Editor ou le Runtime de zenon.
  2. Essayez d'établir une connexion au répertoire AD LDS avec les paramètres définis dans zenon.
  3. Les causes de l'erreur peuvent être les suivantes :
    • Nom d'hôte incorrect
    • Port incorrect
    • Règles du pare-feu sur le réseau

Impossibilité pour l'utilisateur de se connecter

Assurez-vous que l'ensemble des attributs suivants est correctement configuré dans AD LDS :

  • sAMAccountName
  • groupMembershipSAM
  • userAccountControl

L'utilisateur ne reçoit pas tous les niveaux d'autorisation qui lui ont été attribués.

  • Veuillez contrôler les éléments suivants :
  • La propriété Nom de zenon Groupe d'utilisateurs est-elle configurée de la même manière que dans AD LDS ?
  • L'utilisateur AD LDS a-t-il été attribué au groupe correspondant AD LDS ?
  • L'attribut sAMAccountName est-il défini dans le groupe AD LDS ?

Pas de contenu dans le module enfichable

Si aucun contenu n'est affiché après l'ouverture des modules enfichables du schéma Active Directory, les droits d'accès doivent être modifiés. Pour cela :

  1. Sélectionnez Autorisations... dans le menu contextuel.

  2. Attribuez les droits nécessaires aux utilisateurs concernés
    (cliquez sur Ajouter pour ajouter de nouveaux utilisateurs).

  3. Cliquez sur le bouton Avancé.

  4. Cliquez sur le bouton Avancé.
  5. Sélectionnez l'onglet Autorisations.
  6. Activez l'option Appliquer à cet objet et tous les objets descendants pour l'utilisateur concerné

  7. Fermez la console et rouvrez-la (mmc /a) pour accéder à d'autres options de configuration


Active Directory Application Mode – ADAM (Windows XP uniquement)

Manuel -> Gestion des utilisateurs -> Gestion externe des utilisateurs avec Microsoft Active Directory -> Active Directory Application Mode – ADAM (Windows XP uniquement)

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Active Directory Application Mode (ADAM) est conçu pour être utilisé avec Windows XP. Windows XP n'est plus pris en charge par zenon, car Microsoft a arrêté la commercialisation de ce produit et interrompu sa prise en charge. Cette documentation concerne uniquement les systèmes exécutant encore Windows XP.

Pour les systèmes d'exploitation actuels, utilisez Active Directory Lightweight Directory Services :

  • Windows 7
  • Windows 8/8.1
  • Windows Server 2008
  • Windows Server 2012

Conditions requises

Pour pouvoir utiliser la fonction Active Directory Application Mode (ADAM) pour zenon, vous devez tenir compte des aspects suivants lors de la configuration.

  1. Créer une nouvelle instance d'ADAM
  2. Importer un schéma AD
  3. Pour autoriser l'accès à l'utilisateur d'ADAM, cliquez sur Programme -> Administration -> Directives de sécurité locales. Dans la boîte de dialogue suivante, cliquez sur Paramètres de sécurité -> Directives relatives aux comptes. Définissez les paramètres souhaités concernant les directives de mot de passe et les directives de blocage de compte.
  4. Configurez le schéma enfichable ADAM.
  5. Dans Composant logiciel enfichable, cliquez avec le bouton droit sur Classes -> Organisation, puis sélectionnez Propriétés. Dans l'onglet Attribut, spécifiez l'attribut optionnel maxPxdAge. Vous veillez ainsi à ce que les procédures de validation du mot de passe et de modification du mot de passe soient identiques à celles du répertoire Active Directory.

    Remarque : Vous devez saisir la période de validité du mot de passe en nanosecondes.

  6. Créez les utilisateurs et groupes d'utilisateurs dans ADAM. Tenez compte des considérations suivantes :
    • lors de la création des utilisateurs et des groupes d'utilisateurs, vous devez saisir le nom manuellement sous Propriétés -> Édition des attributs à l'attribut sAMAccountName.
    • Dans le groupe d'utilisateurs, saisissez le nom comme indiqué à la section Utilisation d'Active Directory.
    • Vous pouvez créer les niveaux d'autorisation de zenon conformément aux indications de la section Utilisation d'Active Directory sous l'attributDescription.

info Informations

Pour afficher le nom d'utilisateur en vous aidant de la variable de driver du système, vous devez définir le nom d'utilisateur manuellement dans ADAM ; pour cela, accédez à l'utilisateur, puis sélectionnez Propriétés -> Édition des attributs à l'attribut displayName.

Autres sujets abordés dans ce chapitre

Créer une nouvelle instance d'ADAM

Définir un schéma AD

Configurer le composant logiciel enfichable du schéma ADAM


Créer une nouvelle instance d'ADAM

Manuel -> Gestion des utilisateurs -> Gestion externe des utilisateurs avec Microsoft Active Directory -> Active Directory Application Mode – ADAM (Windows XP uniquement) -> Créer une nouvelle instance d'ADAM

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

  1. La section suivante décrit la marche à suivre pour installer une instance d'ADAM à l'aide de l'assistant de configuration d'Active Directory Application Mode :

  2. Cliquez sur Démarrer pour démarrer l'assistant de configuration d'Active Directory Application Mode ; affichez tous les programmes et accédez à ADAM, puis cliquez sur l'option Créer une instance ADAM.
  3. Sur la page d'accueil, cliquez sur Suivant.
  4. Sur la page d'options de configuration, vous pouvez choisir si vous souhaitez installer une instance ADAM distincte ou attribuer une configuration existante à une nouvelle instance. Because you are installing the first ADAM instance, click on A unique instance Click on Next.
  5. Sur la page Nom de l'instance, saisissez le nom de l'instance ADAM que vous souhaitez installer. Le nom est utilisé pour identifier clairement l'instance ADAM sur l'ordinateur local. Ensuite, cliquez sur Suivant.
  6. Sur la page Ports, saisissez les ports de communication devant être utilisés par l'instance ADAM. ADAM can communicate with the help of LDAP (Lightweight Directory Access-Protokoll) or SSL (Secure Sockets Layer). Vous devez donc spécifier une valeur pour les deux ports. Ensuite, cliquez sur Suivant.

    Remarque : Si l'un des ports standard est déjà utilisé sur l'ordinateur sur lequel vous installez ADAM, l'assistant Active Directory Application Setup recherche automatiquement le prochain port disponible, en commençant par le port 50000. Par exemple, les ports 389 et 636, ainsi que les ports 3268 et 3269 sont utilisés sur les serveurs de catalogue global. Par conséquent, lorsque vous installez ADAM sur un contrôleur de domaine, les valeurs standard

    50000

    et

    50001

    sont attribuées aux ports LDAP et SSL, respectivement.

  7. Sur la Partition de l'annuaire d'applications, vous pouvez créer une partition d'application (ou un contexte de nom) en cliquant sur Oui, créer une partition d'annuaire d'applications. Si vous cliquez sur Non, ne pas créer de partition d'annuaire d'applications, vous devez créer une partition d'application manuellement, après l'installation. Si vous créez une partition d'application, vous devez saisir un nom défini pour la nouvelle partition. Ensuite, cliquez sur Suivant.

    Remarque : ADAM prend en charge les noms définis aux formats X.500 et DNS (Domain Name System) pour les partitions d'annuaire de niveau supérieur.

  8. Sur la page Chemin d'accès au fichier, vous pouvez afficher et modifier les répertoires d'installation pour les fichiers ADAM et les fichiers de récupération (fichiers journaux). Les fichiers ADAM et les fichiers de récupération sont enregistrés sous %ProgramFiles(x86)%\Microsoft ADAM\nom d'instance\data, par défaut. Dans ce cas,

    Nom de l'instance

    affiche le nom de l'instance ADAM que vous saisissez sur la page

    Nom de l'instance

    . Cliquez sur Suivant pour importer les chemins standard.

    Remarque : Lors de l'installation d'ADAM sur un ordinateur sous Windows XP, vous devez installer ces fichiers sur le même volume logique. Lors de l'installation d'ADAM sous Windows Server 2003 et Windows Server 2003 R2 dans un environnement de production, nous vous recommandons d'installer les fichiers sur des supports de données physiques distincts.
    Les fichiers du programme et les programmes d'administration sont installés par ADAM dans %windir%\ADAM.

  9. Sur la page Sélectionner un compte de service, sélectionnez un compte utilisé comme compte de service pour ADAM. Le compte sélectionné détermine le contexte de sécurité dans lequel est exécutée l'instance ADAM. Si vous n'installez pas ADAM sur un contrôleur de domaine, le compte de service réseau de l'assistant de configuration d'Active Directory Application Mode est utilisé par défaut. Cliquez sur Suivant pour importer le paramètre standard Compte de service réseau. Lors de l'installation d'ADAM sur un contrôleur de domaine, cliquez plutôt sur Ce compte, puis sélectionnez un compte d'utilisateur de domaine comme compte de service ADAM.

    Remarque : Vous pouvez modifier le compte de service ADAM après avoir installé ADAM avec le programme de ligne de commande dsmgmt. Lors de l'installation d'ADAM sur un contrôleur de domaine, vous devez sélectionner un compte d'utilisateur de domaine comme compte de service ADAM.

  10. Sur la page Administrateurs ADAM, sélectionnez un utilisateur ou un groupe comme administrateur standard pour l'instance ADAM. L'utilisateur ou le groupe sélectionné possède des fonctionnalités d'administrateur complètes pour l'instance ADAM. Par défaut, l'utilisateur enregistré actuel est défini par l'assistant de configuration d'Active Directory Application Mode. Vous pouvez modifier cette sélection dans chaque compte local ou compte de domaine ou dans chaque groupe sur le réseau. Cliquez sur Utilisateur enregistré actuel, puis cliquez sur Suivant.
  11. Vous pouvez importer deux fichier LDF et les définitions d'objets de classe utilisateur correspondantes dans le schéma ADAM, sur la page

    Import LDIF file (Importer fichier LDIF)

    . L'importation des définitions d'objets de classe utilisateur est facultative.
    1. Cliquez sur

      Importer les fichiers LDIF sélectionnés pour cette instance ADAM

      .
    2. Cliquez sur

      MS-InetOrgPerson.LDF

      , puis sur Ajouter.
    3. Cliquez sur

      MS-User.LDF

      , puis sur Ajouter.
    4. Cliquez sur

      MS-UserProxy.LDF

      , puis sur Ajouter, puis sur Suivant.
  12. Sur la page

    Prêt pour l'installation

    , vous pouvez vérifier les options d'installation sélectionnées. Si vous cliquez sur Suivant, l'assistant de configuration d'Active Directory Application Mode commence par copier les fichiers et installer ADAM sur l'ordinateur.
  13. Si l'assistant de configuration d'Active Directory Application Setup a terminé l'installation d'ADAM avec succès, le message suivant est affiché : "The Active Directory Application Setup Assistant mode was concluded successfully" (L'assistant de configuration d'Active Directory Application Mode s'est terminé avec succès). Si la page Fermer l'assistant est affichée, cliquez sur Terminer pour fermer l'assistant.

    Remarque : Si l'assistant de configuration d'Active Directory Application Mode ne se termine pas correctement, la cause de l'erreur est affichée sur la page

    Résumé

    .

  14. Si une erreur se produit lors de l'exécution de l'assistant de configuration d'Active Directory Application Mode, avant l'affichage de la page Résumé, vous pouvez vérifier le message d'erreur affiché à l'écran. Furthermore, you can click on Start and then on Execute and enter one of the following file names:
    %windir%\Debug\Adamsetup.log
    %windir%\Debug\Adamsetup_loader.log
    The files %windir%\Debug\Adamsetup.log and %windir%\Debug\Adamsetup_loader.lo

    g

    contain useful information about dealing with problems in the event of ADAM setup errors.


Définir un schéma AD

Manuel -> Gestion des utilisateurs -> Gestion externe des utilisateurs avec Microsoft Active Directory -> Active Directory Application Mode – ADAM (Windows XP uniquement) -> Définir un schéma AD

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Suivez ces étapes lors de la première utilisation du programme de synchronisation Active Directory/ADAM.

  • Cliquez sur Démarrer
  • Ouvrez Tous les programmes
  • Cliquez sur ADAM
  • Puis cliquez sur Outils d'administration ADAM :

    Une fenêtre de commande s'ouvre dans le répertoire ADAM.

Pour étendre le schéma ADAM aux objets de schéma standard de Windows Server dans Active Directory :

  • Saisissez la commande suivante sur une ligne de l'entrée de commande :

    ldifde -i -s localhost -c CN=Configuration,DC=X #ConfigurationNamingContext -f MS-AdamSchemaW2k8.ldf

  • Appuyez sur la touche Entrée.


Configurer le composant logiciel enfichable du schéma ADAM

Manuel -> Gestion des utilisateurs -> Gestion externe des utilisateurs avec Microsoft Active Directory -> Active Directory Application Mode – ADAM (Windows XP uniquement) -> Configurer le composant logiciel enfichable du schéma ADAM

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Configurer le programme d'administration du composant logiciel enfichable du schéma ADAM.

Vous pouvez gérer le schéma ADAM avec un autre programme d'administration d'ADAM, le composant logiciel enfichable du schéma ADAM. Si vous avez déjà utilisé le composant logiciel enfichable du schéma Active Directory, le schéma ADAM vous semblera familier. Avant de pouvoir utiliser le composant logiciel enfichable du schéma ADAM, vous devez créer un fichier MMC pour celui-ci, comme décrit dans ce procédé.

  • Cliquez sur Démarrer, puis sur Exécuter ; saisissez la commande mmc /a, puis cliquez sur OK.
  • Dans le menu Fichier, cliquez sur Ajouter/Supprimer un composant logiciel enfichable, puis cliquez sur Ajouter.
  • Cliquez sur les différents jeux d'outils intégrables disponibles dans le schéma ADAM, puis cliquez sur Ajouter ; ensuite, cliquez sur Fermer, puis sur OK.
  • Pour enregistrer cette console, cliquez sur Enregistrer dans le menu Fichier.
  • Saisissez le nom de fichier suivant, plus cliquez sur Enregistrer :
    %windir%\system32\adamschmmgmt.msc
  • Créez une connexion à l'instance ADAM à l'aide du composant logiciel enfichable du schéma ADAM. Pour cela, cliquez avec le bouton droit sur le schéma ADAM dans la structure de la console, puis cliquez sur Changer de serveur ADAM. Saisissez localhost pour le paramètre Serveur ADAM, et 389 pour le paramètre Port.
  • Cliquez sur OK. Le composant logiciel enfichable du schéma ADAM possède maintenant l'apparence suivante. Vous pouvez parcourir et afficher les classes et attributs du schéma ADAM.
  • Pour créer un lien vers le composant logiciel enfichable du schéma ADAM dans le menu Démarrer, procédez comme suit :
    • Cliquez avec le bouton droit sur Démarrer, cliquez sur Ouvrir – Tous les utilisateurs, double-cliquez sur le dossier Programme, puis sur le dossier ADAM.
    • Sélectionnez Nouveau dans le menu Fichier, puis cliquez sur Lien.
    • Dans l'assistant de création de liens, saisissez adamschmmgmt.msc comme emplacement de sauvegarde de l'élément, puis cliquez sur Suivant.
    • Sur la page de description du programme de sélection, saisissez le nom du lien et le nom du schéma ADAM, puis cliquez sur Terminer.


Gestion des utilisateurs Active Directory depuis le Runtime de zenon

Manuel -> Gestion des utilisateurs -> Gestion des utilisateurs Active Directory depuis le Runtime de zenon

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Vous pouvez accéder à Windows Active Directory dans le Runtime depuis un synoptique de gestion des utilisateurs Active Directory. Vous pouvez créer, supprimer et modifier des unités organisationnelles, des utilisateurs et des groupes d'utilisateurs et leur attribuer des droits dans zenon.

info Informations

Active Directory , AD LDS, et ADAM (pour Windows XP), ne sont pas disponibles sous Windows CE.

Domaines dans le Runtime

Dans le Runtime, le domaine de l'utilisateur qui a démarré le Runtime pour la connexion à Active Directory est utilisé. Seuls les utilisateurs qui appartiennent à ce domaine peuvent se connecter.

Autorisation utilisateur

attention Attention

Les droits attribués dans zenon s'appliquent à un projet ou à un espace de travail. Les droits attribués dans Active Directory sont appliqués globalement.

Si des droits ont été attribués à des utilisateurs ou des groupes d'utilisateurs d'Active Directory, les droits de ces utilisateurs sont appliqués à tous les projets dans zenon !

Autres sujets abordés dans ce chapitre

Création d'un synoptique de gestion des utilisateurs Active Directory

Appel d'un synoptique de gestion des utilisateurs Active Directory

Gérez les utilisateurs Active Directory dans le Runtime.


Création d'un synoptique de gestion des utilisateurs Active Directory

Manuel -> Gestion des utilisateurs -> Gestion des utilisateurs Active Directory depuis le Runtime de zenon -> Création d'un synoptique de gestion des utilisateurs Active Directory

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Développement

Étapes de création du synoptique :

  1. Créez un nouveau synoptique :

    Dans la barre d’outils ou le menu contextuel du nœud Synoptiques, sélectionnez la commande Nouveau synoptique.
    Un synoptique vide Standard est créé.

  2. Modifiez les propriétés du synoptique :
    1. Nommez le synoptique dans la propriété Nom.
    2. Sélectionnez Gestion des utilisateurs Active Directory dans la propriété Type de synoptique.
    3. Sélectionnez le cadre souhaité dans la propriété Gabarit.
  3. Configurez le contenu du synoptique :
    1. Sélectionnez l’option de menu Éléments de contrôle dans la barre de menus
    2. Sélectionnez Insérer un modèle dans la liste déroulante.
      La boîte de dialogue de sélection de mises en forme prédéfinies s’affiche à l’écran. Certains éléments de contrôle sont insérés dans le synoptique à des positions prédéfinies.
    3. Supprimez les éléments superflus du synoptique.
    4. Si nécessaire, sélectionnez des éléments supplémentaires dans la liste déroulante Éléments. Placez-les aux emplacements souhaités sur le synoptique.
  4. Créez une fonction d’appel de synoptique.

Synoptique Gestion des utilisateurs Active Directory

Éléments de contrôle

Élément de contrôle | Description
Insérer un modèle | Ouvre la boîte de dialogue de sélection de modèle pour le type de synoptique correspondant. Des modèles sont fournis avec zenon, et peuvent également être créés par l’utilisateur. Modèles ajoutent des éléments de contrôle prédéfinis à des positions prédéfinies sur le synoptique. Les éléments qui ne sont pas nécessaires peuvent également être supprimés individuellement après leur création. Les éléments supplémentaires peuvent être sélectionnés dans la liste déroulante, puis insérés dans le synoptique zenon. Les éléments peuvent être déplacés et disposés individuellement sur le synoptique.

Fenêtre Active Directory

Éléments de contrôle pour l'affichage et l'administration d'Active Directory.

Contient la vue détaillée d'Active Directory : Fenêtre dans laquelle est affichée la structure d'Active Directory.

Élément de contrôle | Description
Fenêtre Active Directory |
Créer une nouvelle unité organisationnelle (Arborescence) | Ouvre la boîte de dialogue de création d'une nouvelle unité organisationnelle dans l'arborescence.
Modifier l'unité organisationnelle |
Supprimer unité d'organisation ... l'arborescence | Supprime l'unité organisationnelle sélectionnée dans l'arborescence après une demande de confirmation.
Monter d'un niveau | Remonte d'un niveau dans la structure.
Créer une nouvelle unité organisationnelle | Crée une nouvelle unité organisationnelle située sous l'élément sélectionné dans l'arborescence. La boîte de dialogue correspondante s'affiche.
Créer nouvel utilisateur | Ouvre l'assistant de création d'un nouvel utilisateur.
Créer un nouveau groupe d'utilisateurs | Ouvre la boîte de dialogue de création d'un nouveau groupe d'utilisateurs.
Modifier l'objet | Ouvre la boîte de dialogue d'édition de l'objet sélectionné.
Supprimer un objet | Supprime l'objet sélectionne.

Connexion

Éléments de contrôle pour la connexion à Active Directory.

Élément de contrôle | Description
Nom de domaine | Saisie et affichage du nom de domaine. Remarque : Élément de type Texte dynamique. L'attribution de la fonctionnalité a lieu à l'aide de la propriété Fonction spécifique au type de synoptique.
Nom utilisateur | Saisie et affichage du nom d'utilisateur AD. Remarque : Élément de type Texte dynamique. L'attribution de la fonctionnalité a lieu à l'aide de la propriété Fonction spécifique au type de synoptique.
Mot de passe | Saisie du mot de passe. Remarque : Élément de type Texte dynamique. L'attribution de la fonctionnalité a lieu à l'aide de la propriété Fonction spécifique au type de synoptique.
Connexion | Cliquez sur ce bouton pour vous connecter à AD.
Déconnexion | Cliquez sur ce bouton pour vous déconnecter.

Éléments compatibles

Les éléments de contrôle supprimés ou remplacés par des versions plus récentes restent disponibles, pour des raisons de compatibilité. Ces éléments ne sont pas pris en compte lors de l’insertion automatique de modèles.

Élément de contrôle | Description
Nom de domaine | Élément de contrôle statique Win32. Remplacé par un champ de texte dynamique. Pour la description, reportez-vous à l’élément actuel.
Nom utilisateur | Élément de contrôle statique Win32. Remplacé par un champ de texte dynamique. Pour la description, reportez-vous à l’élément actuel.
Mot de passe | Élément de contrôle statique Win32. Remplacé par un champ de texte dynamique. Pour la description, reportez-vous à l’élément actuel.


Appel d'un synoptique de gestion des utilisateurs Active Directory

Manuel -> Gestion des utilisateurs -> Gestion des utilisateurs Active Directory depuis le Runtime de zenon -> Appel d'un synoptique de gestion des utilisateurs Active Directory

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Pour utiliser le synoptique de gestion des utilisateurs Active Directory dans le Runtime, configurez l'appel de synoptique. Vous pouvez ainsi définir des réglages préalables pour les unités organisationnelles que vous souhaitez afficher. Voici comment vous pouvez contrôler les unités organisationnelles pouvant être sélectionnées par les utilisateurs correspondants.

Configuration de l'appel de synoptique :

  1. Créez un appel de synoptique pour un synoptique Gestion des utilisateurs Active Directory.
  2. Créez un nom de domaine pour pouvoir ouvrir le composant AD d'un certain domaine dans le Runtime.
    Vous pouvez également laisser le nom vide. Le nom de domaine devra ensuite être saisi dans le Runtime lors de la connexion.
  3. Configurez les unités organisationnelles que vous souhaitez afficher.
    Vous pouvez afficher toutes les unités organisationnelles ou en sélectionner certaines.
  4. Pour fermer la boîte de dialogue, cliquez sur OK, puis liez la fonction à un bouton sur le synoptique.

Avec dialogue de filtre

Paramètres

Description

Nom de domaine

Saisissez le domaine pour lequel le composant Active Directory doit être chargé lors de l'appel de synoptique.

Unités organisationnelles

Sélectionnez les unités organisationnelles que vous souhaitez afficher. La sélection de l'attribution s'effectue au moyen des cases d'option :

  • Tout : Tous les nœuds de l'organisation structurelle AD des domaines sont affichés dans le Runtime.
  • Spécifiques : Autorise la sélection de certaines unités organisationnelles. Cliquez sur le bouton ... dans le champ de saisie pour ouvrir la boîte de dialogue de sélection des unités organisationnelles.

OK

Applique les paramètres et ferme la boîte de dialogue.

Annuler

Discards all changes and closes the dialog.

Aide

Ouvre l'aide en ligne.

Sélection d'unités organisationnelles

Si vous sélectionnez des unités organisationnelles spécifiques dans la boîte de dialogue de filtre, la boîte de dialogue de saisie des fichiers de connexion est ouverte en premier, suivie de la boîte de dialogue de sélection des unités organisationnelles.

Connexion

Paramètres

Description

Utilisateur actuellement connecté

Active : L'utilisateur actuellement connecté à l'ordinateur est connecté à AD pour sélectionner les unités organisationnelles.

Ouverture de session explicite

Active : Un utilisateur connecté à AD pour sélectionner les unités organisationnelles.

  • Domaine : Saisissez les domaines dont vous souhaitez afficher la structure.
  • Nom d'utilisateur : Utilisateur. Peut rester vide si la lecture des données seules est suffisante.
  • Mot de passe :

OK

Applique les paramètres et ouvre la boîte de dialogue de sélection d'unités organisationnelles.

Annuler

Discards all changes and closes the dialog.

Unités organisationnelles

Paramètres | Description
Liste des unités organisationnelles | Affiche l'ensemble des unités organisationnelles pour le domaine sélectionné. La sélection est effectuée dans l'arborescence du dossier.
OK | Applique les paramètres et ferme la boîte de dialogue.
Annuler | Discards all changes and closes the dialog.


Gérez les utilisateurs Active Directory dans le Runtime.

Manuel -> Gestion des utilisateurs -> Gestion des utilisateurs Active Directory depuis le Runtime de zenon -> Gérez les utilisateurs Active Directory dans le Runtime.

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Les unités organisationnelles, les groupes d'utilisateurs et les utilisateurs Active Directory peuvent être gérés depuis le Runtime de zenon à l'aide d'un synoptique Gestion des utilisateurs Active Directory.

attention Attention

Les droits attribués dans zenon s'appliquent à un projet ou à un espace de travail. Les droits attribués dans Active Directory sont appliqués globalement.

Si des droits ont été attribués à des utilisateurs ou des groupes d'utilisateurs d'Active Directory, les droits de ces utilisateurs sont appliqués à tous les projets dans zenon !

Synoptique Gestion des utilisateurs Active Directory

Le synoptique est réinitialisé lors de l'appel de synoptique

Pour gérer les utilisateurs dans AD :

  1. Saisissez le nom de domaine (celui-ci peut déjà être défini dans la fonction d'appel de synoptique), le nom d'utilisateur et le mot de passe
  2. Cliquez sur Identifiant de connexion
  3. La connexion est créée
    Si des erreurs se produisent, vérifiez la configuration dans Active Directory et dans zenon.
  4. Les données du domaine sont lues et affichées dans la fenêtre.
  5. Modifiez les éléments de votre choix. Actions disponibles :
    • Création et suppression d'unités organisationnelles
    • Création, modification et suppression d'utilisateurs
    • Création, modification et suppression de groupes d'utilisateurs

Remarque : L'utilisateur connecté doit disposer de droits correspondants dans le domaine.

Paramètres

Description

Fenêtre Active Directory

Éléments de contrôle pour l'affichage et l'administration d'Active Directory.

Contient la vue détaillée d'Active Directory : Fenêtre dans laquelle est affichée la structure d'Active Directory.

Élément de contrôle | Description
Fenêtre Active Directory |
Créer une nouvelle unité organisationnelle (Arborescence) | Ouvre la boîte de dialogue de création d'une nouvelle unité organisationnelle dans l'arborescence.
Modifier l'unité organisationnelle |
Supprimer unité d'organisation ... l'arborescence | Supprime l'unité organisationnelle sélectionnée dans l'arborescence après une demande de confirmation.
Monter d'un niveau | Remonte d'un niveau dans la structure.
Créer une nouvelle unité organisationnelle | Crée une nouvelle unité organisationnelle située sous l'élément sélectionné dans l'arborescence. La boîte de dialogue correspondante s'affiche.
Créer nouvel utilisateur | Ouvre l'assistant de création d'un nouvel utilisateur.
Créer un nouveau groupe d'utilisateurs | Ouvre la boîte de dialogue de création d'un nouveau groupe d'utilisateurs.
Modifier l'objet | Ouvre la boîte de dialogue d'édition de l'objet sélectionné.
Supprimer un objet | Supprime l'objet sélectionne.

Connexion

Éléments de contrôle pour la connexion à Active Directory.

Élément de contrôle | Description
Nom de domaine | Saisie et affichage du nom de domaine. Remarque : Élément de type Texte dynamique. L'attribution de la fonctionnalité a lieu à l'aide de la propriété Fonction spécifique au type de synoptique.
Nom utilisateur | Saisie et affichage du nom d'utilisateur AD. Remarque : Élément de type Texte dynamique. L'attribution de la fonctionnalité a lieu à l'aide de la propriété Fonction spécifique au type de synoptique.
Mot de passe | Saisie du mot de passe. Remarque : Élément de type Texte dynamique. L'attribution de la fonctionnalité a lieu à l'aide de la propriété Fonction spécifique au type de synoptique.
Connexion | Cliquez sur ce bouton pour vous connecter à AD.
Déconnexion | Cliquez sur ce bouton pour vous déconnecter.

Éléments compatibles

Les éléments de contrôle supprimés ou remplacés par des versions plus récentes restent disponibles, pour des raisons de compatibilité. Ces éléments ne sont pas pris en compte lors de l’insertion automatique de modèles.

Élément de contrôle | Description
Nom de domaine | Élément de contrôle statique Win32. Remplacé par un champ de texte dynamique. Pour la description, reportez-vous à l’élément actuel.
Nom utilisateur | Élément de contrôle statique Win32. Remplacé par un champ de texte dynamique. Pour la description, reportez-vous à l’élément actuel.
Mot de passe | Élément de contrôle statique Win32. Remplacé par un champ de texte dynamique. Pour la description, reportez-vous à l’élément actuel.

Menu contextuel de l'arborescence

Selon l'élément sélectionné, le menu contextuel de l'arborescence (volet gauche) fournit les commandes suivantes :

Commande | Description
Créer une nouvelle unité organisationnelle | Crée une nouvelle unité organisationnelle située sous l'élément sélectionné dans l'arborescence. La boîte de dialogue correspondante s'affiche.
Créer nouvel utilisateur | Supprime l'unité organisationnelle sélectionnée dans l'arborescence après une demande de confirmation.

Barre d'outils et menu contextuel de la vue détaillée

Selon l'élément sélectionné, le menu contextuel et la barre d'outils de la vue détaillée (volet droit) fournissent les commandes suivantes :

Commande | Description
Monter d'un niveau | Remonte d'un niveau dans la structure.
Créer une nouvelle unité organisationnelle | Crée une nouvelle unité organisationnelle située sous l'élément sélectionné dans l'arborescence. La boîte de dialogue correspondante s'affiche.
Créer nouvel utilisateur | Ouvre l'assistant de création d'un nouvel utilisateur.
Créer un nouveau groupe d'utilisateurs | Ouvre la boîte de dialogue de création d'un nouveau groupe d'utilisateurs.
Modifier l'objet sélectionné | Ouvre la boîte de dialogue d'édition de l'objet sélectionné.
Supprime les objets sélectionnés. | Supprime l'objet sélectionne.

Autres sujets abordés dans ce chapitre

Gérer une unité organisationnelle

Gestion des utilisateurs

Gestion des groupes d'utilisateurs


Gérer une unité organisationnelle

Manuel -> Gestion des utilisateurs -> Gestion des utilisateurs Active Directory depuis le Runtime de zenon -> Gérez les utilisateurs Active Directory dans le Runtime. -> Gérer une unité organisationnelle

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Vous pouvez créer et supprimer des unités organisationnelles dans l'arborescence et dans la vue détaillée.

Création d'une unité organisationnelle

Pour créer une nouvelle unité organisationnelle :

  1. Dans le synoptique, cliquez sur le bouton ou sélectionnez Créer une nouvelle unité organisationnelle dans le menu contextuel d'un élément sélectionné.
  2. La boîte de dialogue de configuration de l'unité organisationnelle s'affiche.

  3. Spécifiez un nom.
    Longueur maximum : 64 caractères
  4. Cliquez sur OK.

Modifier l'unité organisationnelle

Le nom de l'unité organisationnelle peut être modifié.

Attention : En cas de modification du nom, les liens avec les utilisateurs et les groupes d'utilisateurs utilisés dans le module Message Control sont supprimés.

Pour modifier une unité organisationnelle dans l'arborescence :

  1. Sélectionnez l'unité organisationnelle dans l'arborescence et cliquez sur la commande ou le bouton correspondant dans le menu contextuel. Dans la vue détaillée, cliquez sur le bouton Modifier l'objet ou la commande Modifier l'objet sélectionné du menu contextuel.
  2. La boîte de dialogue de modification s'affiche.
  3. Modifier l'objet
  4. Lorsque vous cliquez sur OK, vous devez indiquer de quelle manière les liens doivent être traités :

  5. Sélectionnez l'option souhaitée :
    • Oui : L'objet est renommé.
      Une tentative est effectuée pour restaurer les liens avec les utilisateurs et les groupes d'utilisateurs utilisés dans le module Message Control.
      Ce processus peut demander un certain temps.
    • Non : La modification est effectuée immédiatement.
      Attention : Les liens avec les utilisateurs et les groupes d'utilisateurs utilisés dans le module Message Control peuvent être supprimés !
    • Annuler : L'objet n'est pas renommé et la boîte de dialogue est supprimée.

Suppression d'une unité organisationnelle

Pour supprimer une unité organisationnelle dans l'arborescence, sélectionnez l'unité organisationnelle de votre choix et cliquez sur la commande ou le bouton correspondant dans le menu contextuel. Dans la vue détaillée, cliquez sur le bouton Supprimer l'objet ou la commande Supprimer l'objet sélectionné du menu contextuel.

Remarque : Une unité organisationnelle peut uniquement être supprimée si elle ne contient plus aucun objet.


Gestion des utilisateurs

Manuel -> Gestion des utilisateurs -> Gestion des utilisateurs Active Directory depuis le Runtime de zenon -> Gérez les utilisateurs Active Directory dans le Runtime. -> Gestion des utilisateurs

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Créez de nouveaux utilisateurs et modifiez et supprimez des utilisateurs existants. Les utilisateurs possédant le même nom visuel dans la liste peuvent être distingués au moyen des informations affichées dans l'info-bulle.

  • Créer un nouvel utilisateur : Cliquez sur le bouton ou la commande correspondant(e) dans la barre d'outils ou le menu contextuel.
  • Éditer utilisateur : Double-cliquez sur l'entrée d'un utilisateur ou cliquez sur le bouton correspondant ou sur la commande Modifier l'objet sélectionné dans le menu contextuel.
  • Supprimer un utilisateur : Double-cliquez sur l'utilisateur souhaité, puis appuyez sur la touche Suppr, ou cliquez sur le bouton correspondant ou sur la commande Supprimer l'objet sélectionné dans le menu contextuel.

Lors de la création et de la modification d'utilisateurs, une boîte de dialogue de configuration de l'utilisateur s'affiche à l'écran.

Boîte de dialogue Création ou modification d'un utilisateur

La boîte de dialogue comprend trois onglets. Vous trouverez également des notes concernant les options au chapitre Configuration de projets dans Editor/Création d'un utilisateur.

Propriétés de l'utilisateur

Utilisateur

Paramètre

Description

Utilisateur

Paramètres relatifs aux données de l'utilisateur.

Nom utilisateur

Nom unique de l’utilisateur pour la connexion.

Nom complet

Nom affiché à l'écran de l’utilisateur.

E-mail

Adresse e-mail de l’utilisateur

Téléphone

Numéro de l'équipement téléphonique compatible voix de l'utilisateur. Utilisé pour la fonction de synthèse vocale.

Saisissez le numéro. En outre, les pratiques suivantes sont autorisées :

  • Le préfixe + peut être utilisé à la place des chiffres 00 précédant le code international.

Les séparateurs suivants sont également autorisés dans l'interface de gestion des utilisateurs d'AD : Moins (-), tiret (/) et espace.
Remarque : Lors des communications entre AD et le module Message Control, les séparateurs sont ignorés dès que les données provenant d'AD sont associées à un objet zenon.

Téléphone portable

Numéro de téléphone cellulaire de l’utilisateur. Utilisé pour l’envoi de messages par téléphone portable et SMS ("textos").

Saisissez le numéro. En outre, les pratiques suivantes sont autorisées :

  • Le préfixe + peut être utilisé à la place des chiffres 00 précédant le code international.

Les séparateurs suivants sont également autorisés dans l'interface de gestion des utilisateurs d'AD : Moins (-), tiret (/) et espace.
Remarque : Lors des communications entre AD et le module Message Control, les séparateurs sont ignorés dès que les données provenant d'AD sont associées à un objet zenon.

Mot de passe

Paramètre | Description
Mot de passe | Paramètres du mot de passe.
Définir le mot de passe | Active : Le mot de passe doit être redéfini.
Mot de passe | Saisissez le nouveau mot de passe. La saisie est automatiquement masquée. Pour les projets multilingues, assurez-vous qu'il soit possible de saisir les caractères avec le clavier correspondant dans le Runtime.
Confirmation du mot de passe | Répétez le mot de passe. La saisie est automatiquement masquée.
Modification du mot de passe à la prochaine connexion | Active : L'utilisateur doit modifier son mot de passe dès qu'il se connecte au système.
Le mot de passe n'expire pas | Active : Il n'est jamais nécessaire de modifier le mot de passe.

attention Attention

Note when changing passwords for AD users:

The requirements of zenon for a minimum and maximum length of password take priority.

Example of minimum length: AD requires a minimum length of 4 characters. In zenon, a minimum length of 8 characters has been configured using the Longueur min. mot de passe property. If a password with fewer than 8 characters is entered, this leads to an error message. The password can be valid for AD, but is rejected by zenon.

Note on maximum length: In zenon, passwords can have a maximum length of 20 characters. In AD, the maximum length is 255 characters. If the AD password is longer than 20 characters, an AD can use it to sign into zenon. The password cannot be changed in zenon however.

Actions

Paramètre | Description
Actions | Configuration des actions associées au compte.
Désactiver l'utilisateur | Active : L'utilisateur est désactivé et ne peut plus se connecter.
Débloquer l'utilisateur | Active : L'utilisateur bloqué est débloqué et peut se reconnecter au Runtime.
OK | Applique toutes les modifications effectuées sur tous les onglets, puis ferme la boîte de dialogue.
Annuler | Annule toutes les modifications effectuées sur tous les onglets, puis ferme la boîte de dialogue.

Groupes d'utilisateurs

  1. Dans la fenêtre Groupes d'utilisateurs existants, sélectionnez les groupes d'utilisateurs souhaités parmi les groupes existants.
  2. Ajoutez les groupes sélectionnés à la liste de groupes d'utilisateurs sélectionnés en appuyant sur la touche fléchée ->.
  3. Vous pouvez également sélectionner des groupes d'utilisateurs qui ont déjà été attribués, puis les supprimer une nouvelle fois en appuyant sur la touche fléchées <-.

Paramètre | Description
Groupes d'utilisateurs existants | Liste des groupes d'utilisateurs configurés.
Groupes d'utilisateurs sélectionnés | Liste des groupes d'utilisateurs sélectionnés pour l'utilisateur.
Touches fléchées du clavier | Cliquez pour déplacer les groupes sélectionnés vers la liste correspondante.
OK | Applique toutes les modifications effectuées sur tous les onglets, puis ferme la boîte de dialogue.
Annuler | Annule toutes les modifications effectuées sur tous les onglets, puis ferme la boîte de dialogue.

Paramètres du Runtime

Général

Paramètre

Description

Général

Paramètres généraux.

Administrateur

Active : L'utilisateur assume le rôle d'un administrateur zenon. Seul un administrateur peut débloquer les comptes d'utilisateurs zenon qui ont été bloqués.

Remarque : Si un utilisateur est défini comme administrateur, ce rôle s'applique également à tous les projets zenon !

Profil de connexion

Sélection du profil Runtime utilisé pour la connexion dans une liste déroulante :

  • Aucun
  • Par défaut
  • Dernier

Code de verrouillage de la Gestion de commande

Code PIN à quatre chiffres.

Ce code permet à l'utilisateur de bloquer ou débloquer certaines sections via la ligne de commande.
Disponible uniquement si zenon Energy Edition comporte une licence valide.

Message control

Paramètre

Description

Message control

Paramètres du module Message Control.

Utilisateur du module Message Control

Active : L'utilisateur est utilisé par le module Message Control.

Code PIN

Code PIN permettant à l'utilisateur de confirmer le message.

Code NA

Code d'indisponibilité permettant à l'utilisateur de refuser de confirmer la réception du message (indisponible). Le message est ensuite envoyé à l'utilisateur suivant dans la liste.

Si aucune autre utilisateur n'est défini dans la liste, le message est enregistré avec l'état non acquitté. La fonction associée à cet état est exécutée. En outre, dans tous les cas, une entrée "refusé par" est générée dans la liste CEL.

Remarque : D'autres informations concernant l'attribution de fonctions sont disponibles au chapitre Confirmation de réception - Paramètres de la confirmation de réception.

Personne de remplacement

Paramètre | Description
Personne de remplacement | Si un utilisateur n'est pas joignable ou n'accepte pas le message, un remplaçant peut être indiqué. Cliquez sur le bouton ... Ouvre la boîte de dialogue de sélection d'utilisateurs. Seuls les utilisateurs activés en tant qu'utilisateurs de Message Control peuvent être sélectionnés.
OK | Applique toutes les modifications effectuées sur tous les onglets, puis ferme la boîte de dialogue.
Annuler | Annule toutes les modifications effectuées sur tous les onglets, puis ferme la boîte de dialogue.

Boîte de dialogue Remplaçant

Si un remplaçant doit être sélectionné pour le module Message Control, vous pouvez cliquer sur le bouton pour ouvrir une boîte de dialogue contenant les utilisateurs préalablement configurés.

Paramètre | Description
Liste de personnes | Liste d'utilisateurs disponibles.
Aucun utilisateur sélectionné | Aucun utilisateur déjà défini dans la boîte de dialogue n'est sélectionné.
OK | Applique les paramètres et ferme la boîte de dialogue.
Annuler | Discards all changes and closes the dialog.

Sélectionnez l'utilisateur souhaité, puis cliquez sur OK.

Pour supprimer un remplaçant préalablement configuré, cliquez sur Aucun, puis sur OK.


Gestion des groupes d'utilisateurs

Manuel -> Gestion des utilisateurs -> Gestion des utilisateurs Active Directory depuis le Runtime de zenon -> Gérez les utilisateurs Active Directory dans le Runtime. -> Gestion des groupes d'utilisateurs

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Créez de nouveaux groupes d'utilisateurs et modifiez et supprimez des groupes d'utilisateurs existants.

  • Création d'un nouveau groupe d'utilisateurs : Cliquez sur le bouton ou la commande correspondant(e) dans la barre d'outils ou le menu contextuel.
  • Modification de groupes d'utilisateurs : Double-cliquez sur l'entrée d'un groupe d'utilisateurs ou cliquez sur le bouton correspondant ou sur la commande Modifier l'objet sélectionné dans le menu contextuel.
  • Suppression de groupes d'utilisateurs : Double-cliquez sur le groupe d'utilisateurs souhaité, puis appuyez sur la touche Suppr, ou cliquez sur le bouton correspondant ou sur la commande Supprimer l'objet sélectionné dans le menu contextuel.

Lors de la création et de la modification d'utilisateurs, une boîte de dialogue de configuration de l'utilisateur s'affiche à l'écran.

Boîte de dialogue Création ou modification d'un utilisateur

La boîte de dialogue comprend trois onglets. Vous trouverez également des notes concernant la configuration au chapitre Configuration de projets dans Editor/Création d'un utilisateur.

Propriétés du groupe d'utilisateurs

Paramètres | Description
Nom | Saisie d'un nom unique et valide pour la sauvegarde de la base de données.
OK | Applique toutes les modifications effectuées sur tous les onglets, puis ferme la boîte de dialogue.
Annuler | Annule toutes les modifications effectuées sur tous les onglets, puis ferme la boîte de dialogue.

Utilisateurs dans ce groupe d'utilisateurs

  1. Dans la fenêtre Utilisateurs existants, sélectionnez les utilisateurs souhaités parmi les utilisateurs existants.
  2. Appuyez sur la touche fléchée -> pour ajouter les utilisateurs sélectionnés à la liste d'utilisateurs sélectionnés.
  3. Vous pouvez également sélectionner des utilisateurs qui ont déjà été attribués, puis les supprimer une nouvelle fois en appuyant sur la touche fléchées <-.

Paramètres | Description
Liste d'utilisateurs existants | Liste d'utilisateurs configurés.
Liste d'utilisateurs sélectionnés | Liste des utilisateurs sélectionnés pour ce groupe.
Touches fléchées du clavier | Appuyez sur une touche fléchée pour déplacer l'utilisateur sélectionné vers le groupe correspondant.
OK | Applique toutes les modifications effectuées sur tous les onglets, puis ferme la boîte de dialogue.
Annuler | Annule toutes les modifications effectuées sur tous les onglets, puis ferme la boîte de dialogue.

Paramètres du Runtime

#

Général

Paramètres | Description
Général | Paramètres généraux. Configuration des niveaux d'autorisation.
Liste des niveaux d'autorisation | Liste des niveaux d'autorisation configurés dans zenon.
Liste des niveaux d'autorisation sélectionnés | Liste des niveaux d'autorisation attribués à ce groupe.
Touches fléchées du clavier | Appuyez sur une touche fléchée pour déplacer les niveaux d'autorisation vers le groupe correspondant.

Message control

Paramètres | Description
Message control | Configuration du module Message Control de zenon.
Appel de groupe actif | Active : Tous les membres du groupe d'utilisateurs reçoivent un message lorsqu'un message est envoyé depuis le module Message Control.
Ordre d'envoi des messages | Liste de tous les utilisateurs disponibles. La séquence peut être définie à l'aide des touches fléchées.
OK | Applique toutes les modifications effectuées sur tous les onglets, puis ferme la boîte de dialogue.
Annuler | Annule toutes les modifications effectuées sur tous les onglets, puis ferme la boîte de dialogue.


À propos des propriétés AD/AD LDS utilisées dans zenon

Manuel -> Gestion des utilisateurs -> À propos des propriétés AD/AD LDS utilisées dans zenon

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Chiffrement

Le chiffrement NTLM/Kerberos est utilisé pour connecter un utilisateur d'AD/ADAM dans zenon. Aucun chiffrement explicite n'est envisagé pour ADSI (API Microsoft pour AD) aux fins de l'échange de données, autre que les mots de passe de la session actuellement connectée.

Liste des propriétés d'AD/ AD LDS utilisées par zenon

Domaine

Formulaire général | Annotation
defaultNamingContext |
distinguishedName | Provient des conteneurs.
name | Provient des conteneurs.
objectClass | Provient des conteneurs.
maxPwdAge |
lockoutDuration |

Groupe d'utilisateurs

Formulaire général | Annotation
distinguishedName |
name |
sAMAccountName |
member | Modification possible de la valeur requise dans AD/AD LDS.
description |
groupMembershipSAM | Défini lors de l'édition de zenon dans le synoptique Gestion des utilisateurs Active Directory.
groupType |
objectClass |

Utilisateurs

Formulaire général | Annotation
distinguishedName |
sAMAccountName |
displayName |
memberOf | Modification possible de la valeur requise dans AD/AD LDS.
mail |
telephoneNumber |
Mobile |
pwdLastSet |
userAccountControl |
groupMembershipSAM | Défini lors de l'édition de zenon dans le synoptique Gestion des utilisateurs Active Directory.
userPrincipalName | Modification possible de la valeur requise dans AD/AD LDS.
objectClass |
objectCategory |
ZenOnUserLevel1 | Pas une propriété par défaut d'AD/AD LDS. Normalement pas nécessaire. Présente uniquement pour des raisons de compatibilité.
ZenOnUserLevel2 | Pas une propriété par défaut d'AD/AD LDS. Normalement pas nécessaire. Présente uniquement pour des raisons de compatibilité.
ZenOnUserLevel3 | Pas une propriété par défaut d'AD/AD LDS. Normalement pas nécessaire. Présente uniquement pour des raisons de compatibilité.


Gestion des états

Manuel -> Gestion des états

Avec la gestion des états, vous pouvez avoir un meilleur aperçu du procédé et du réseau. Chaque variable peut avoir ses propres états. Au total, 64 états/attributs ont été définis. Les plus communs sont spontan (spontanée), gestört (perturbée) Handwert (valeur manuelle) et Ersatzwert (valeur de remplacement).

Dans le système, il y a plusieurs possibilités pour récupérer l'état d'une variable, comme par exemple : les éléments combinés, les matrices de réaction et le module Report Generator. L'état est également accessible dans VBA or VSTA, ainsi que dans le gestionnaire de recettes.

Si une variable est sauvegardée dans zenon, comme dans Archive, CEL, ou AML, l’entrée se compose de trois informations : valeur, horodatage et état. Ceci signifie : Chaque valeur archivée contient également l’état correct.

tutorial Informations concernant la licence

Composante de la licence standard d’Editor et du Runtime.

Autres sujets abordés dans ce chapitre

Bits d'état

Utilisation


Bits d'état

Manuel -> Gestion des états -> Bits d'état

Les bits d'état suivants sont disponibles dans zenon :

Numéro de bit | Désignation abrégée | Nom long | Intitulé zenon Logic
0 | M1 | User status 1; for Command Processing: Type d'action "Bloquer" ; Service Tracking du driver IEC 850 | _VSB_ST_M1
1 | M2 | État utilisateur 2 | _VSB_ST_M2
2 | M3 | État utilisateur 3 | _VSB_ST_M3
3 | M4 | État utilisateur 4 | _VSB_ST_M4
4 | M5 | État utilisateur 5 | _VSB_ST_M5
5 | M6 | État utilisateur 6 | _VSB_ST_M6
6 | M7 | État utilisateur 7 | _VSB_ST_M7
7 | M8 | État utilisateur 8 | _VSB_ST_M8
8 | NET_SEL | Sélectionné dans le réseau | _VSB_SELEC
9 | REVISION | Révision | _VSB_REV
10 | PROGRESS | En fonctionnement | _VSB_DIREC
11 | TIMEOUT | Command "Timeout exceeded" (command runtime exceeded) | _VSB_RTE
12 | MAN_VAL | Valeur manuelle | _VSB_MVALUE
13 | M14 | État utilisateur 14 | _VSB_ST_14
14 | M15 | État utilisateur 15 | _VSB_ST_15
15 | M16 | État utilisateur 16 | _VSB_ST_16
16 | GI | Requête générale | _VSB_GR
17 | SPONT | Spontané | _VSB_SPONT
18 | INVALID | Invalide | _VSB_I_BIT
19 | T_STD_E | External standard time (standard time) Caution: up to version 7.50, this was the status bit T_CHG_A | _VSB_SUWI
20 | OFF | Désactivé | _VSB_N_UPD
21 | T_EXTERN | Temps réel - horodatage externe | _VSB_RT_E
22 | T_INTERN | Informations d'horodatage internes | _VSB_RT_I
23 | N_SORTAB | Non triable | _VSB_NSORT
24 | FM_TR | MD_TR;Message de défaut du transfo | _VSB_DM_TR
25 | RM_TR | Message de marche du transformateur | _VSB_RM_TR
26 | INFO | Informations de la variable | _VSB_INFO
27 | ALT_VAL | Valeur de remplacement | _VSB_AVALUE
28 | RES28 | Réservé à une utilisation interne (clignotement d'alarme) | _VSB_RES28
29 | N_UPDATE | Not updated (zenon network) | _VSB_ACTUAL
30 | T_STD | Heure d’hiver interne | _VSB_WINTER
31 | RES31 | Réservé à une utilisation interne (clignotement d'alarme) | _VSB_RES31
32 | COT0 | Cause de transmission bit 1 | _VSB_TCB0
33 | COT1 | Cause de transmission bit 2 | _VSB_TCB1
34 | COT2 | Cause de transmission bit 3 | _VSB_TCB2
35 | COT3 | Cause de transmission bit 4 | _VSB_TCB3
36 | COT4 | Cause de transmission bit 5 | _VSB_TCB4
37 | COT5 | Cause de transmission bit 6 | _VSB_TCB5
38 | N_CONF | Confirmation négative de la commande par l'appareil (IEC 60870 [P/N]) | _VSB_PN_BIT
39 | TEST | Bit de test (IEC60870 [T]) | _VSB_T_BIT
40 | WR_ACK | Écriture reconnue | _VSB_WR_ACK
41 | WR_SUC | Écriture réussie | _VSB_WR_SUC
42 | NORM | NORM;État Normal | _VSB_NORM
43 | N_NORM | État déviation normale | _VSB_ABNORM
44 | BL_870 | État IEC 60870 : blocked | _VSB_BL_BIT
45 | SB_870 | État IEC 60870 : substituted | _VSB_SP_BIT
46 | NT_870 | État IEC 60870 : not topical | _VSB_NT_BIT
47 | OV_870 | État IEC 60870 : overflow | _VSB_OV_BIT
48 | SE_870 | État IEC 60870 : select | _VSB_SE_BIT
49 | T_INVAL | Horodatage externe invalide | non défini
50 | CB_TRIP | Déclenchement de disjoncteur détecté | non défini
51 | CB_TR_I | Détection de déclenchement de disjoncteur inactive | non défini
52 | OR_DRV | Valeur non comprise dans la plage valide (IEC 61850) | non défini
53 | T_UNSYNC | ClockNotSynchronized (IEC 61850) | non défini
54 | PR_NR | Pas enregistré dans le Process Recorder | non défini
55 | RES55 | réservé | non défini
56 | RES56 | réservé | non défini
57 | RES57 | réservé | non défini
58 | RES58 | réservé | non défini
59 | RES59 | réservé | non défini
60 | RES60 | réservé | non défini
61 | RES61 | réservé | non défini
62 | RES62 | réservé | non défini
63 | RES63 | réservé | non défini

info Informations

Dans les formules, tous les bits d'état sont disponibles. La disponibilité peut être réduite dans le cadre d'autres utilisations.

Remarque :

  • les différents états ne pas disponibles pour tous les drivers.
  • Comme les états de chaque variable sont également accessibles depuis la programmation VBA/VSTA sous la forme d'une valeur 64 bits, le numéro de bit est indiqué pour chaque état dans les sections suivantes. Cette information est nécessaire pour l'évaluation de chaque état dans VBA/VSTA.
  • Il existe deux formats d'affichage dans le Runtime : les formats court et long. Ces formats sont séparés par une barre oblique (/) dans la description.
  • Pour chaque état utilisateur, un texte peut être défini. Ce texte est alors affiché dans les différents modules (les éditeurs tels que le Runtime). Dans ce cas, le texte court et le texte long sont séparés par un point-virgule (;).

    Pour cela, les entrées suivantes doivent être insérées dans le fichier project.ini :

    [STATUS]

    STATUS0=MS_K;My status 0

    STATUS1=ET;Own text

    ......

    STATUS63=RES;not used

Autres sujets abordés dans ce chapitre

États utilisateur 1 à 8 [M1-M8] et 14 à 16 [M14-M16]

Sélection sur le réseau [NET_SEL]

Révision [REVISION]

En cours d'utilisation [PROGRESS]

Dépassement de délai d'exécution [TIMEOUT]

Valeur manuelle [MAN_VAL]

Interrogation générale [GI]

Spontanée [SPONT]

Non valide [INVALID]

Heure d’hiver externe [T_STD_E]

Désactivé [OFF]

Temps réel - horodatage externe [T_EXTERN]

Horodatage interne [T_INTERN]

Non triable [N_SORTAB]

Valeur du message par défaut du transformateur [FM_TR]

Valeur du message de fonctionnement du transformateur [RM_TR]

Info variable [INFO]

Valeur de remplacement [ALT_VAR]

Non mis à jour dans le réseau zenon [N_UPDATE]

Heure d’hiver interne [T_STD]

Cause de transmission [COTx]

Bit P/N (N_CONF)

Bit de test [TEST]

Écriture acquittement [WR-ACK]

Écriture OK [ECR-OK]

État Normal [NORM]

Écart par rapport à l'état normal [N_NORM]

État IEC : Bloqué [BL_870]

État IEC : Remplacé [SB_870]

État IEC : Non topique [NT_870]

État IEC : Dépassement [OV_870]

Étape de commande : Sélection [SE_870]

Horodatage externe invalide [T_INVAL]

Déclenchement de disjoncteur détecté [CB_TRIP]

Détection de déclenchement de disjoncteur inactive [CB_TR_I]

Valeur non comprise dans la plage valide [OR_DRV]

ClockNotSynchronized [T_UNSYNC]

Pas enregistré dans le Process Recorder [PR_NR]


États utilisateur 1 à 8 [M1-M8] et 14 à 16 [M14-M16]

Manuel -> Gestion des états -> Bits d'état -> États utilisateur 1 à 8 [M1-M8] et 14 à 16 [M14-M16]

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Numéro de bit | Affichage | Définir | Disponible
0 | M1 ; état utilisateur 1 | Basé sur l’utilisateur ; pour gestion de commandes : Type d'action « Bloquer" ; Service Tracking du driver IEC 850 | Pour tous les drivers Exception : Indisponible pour le driver interne
1 devient 7 | M2 devient M8 ; état utilisateur 8 | Par l'utilisateur | Pour tous les drivers Exception : Indisponible pour le driver interne
13 devient 15 | M14 ; état utilisateur 14 À M16 ; état utilisateur 16 | Par l'utilisateur | Pour tous les drivers Exception : Indisponible pour le driver interne

Les 11 bits d'état utilisateur peuvent être utilisés de façon spécifique dans un projet. Ces bits d’états peuvent par exemple être utilisés pour fournir les verrouillages spéciaux de la fonction de gestion de commande ou des balises d’informations utilisateur.

info Informations

Le bit d'état utilisateur M1 est utilisé par l'action de blocage pour indiquer que le point de commutation est bloqué. Le bit est également utilisé dans le driver IEC850 lors du transfert des données de la fonction Service Tracking vers le Runtime.

Vous trouverez d'autres informations dans le manuel Gestion de commande, au chapitre Documentation du driver IEC850.


Sélection sur le réseau [NET_SEL]

Manuel -> Gestion des états -> Bits d'état -> Sélection sur le réseau [NET_SEL]

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Numéro de bit | Affichage | Définir | Disponible
8 | NET_SEL ; sélection sur le réseau de zenon | Automatique | Pour tous les drivers

Le bit d'état NET_SEL met en évidence la variable de réponse durant la gestion des commandes sur le réseau de zenon. Si le bit NET_SEL est défini, une autre sélection de commande (depuis un autre espace de travail, par exemple, depuis un autre client sur le réseau) ne peut pas être exécutée sur la même variable de réponse.

Le bit d'état NET_SEL est défini :

  • Si un synoptique de gestion de commande lié à la variable de réponse est ouvert.
  • Lors de l'exécution d'une action de gestion de commande via le menu contextuel ou dans le module Command Sequencer.
  • Lors de l'exécution d'une commande automatique/à distance (via VBA, Process Gateway, etc.).


Révision [REVISION]

Manuel -> Gestion des états -> Bits d'état -> Révision [REVISION]

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Numéro de bit | Affichage | Définir | Disponible
9 | Révision (REVISION) | Par l'utilisateur | Pour tous les drivers

Les variables peuvent être définies dans l'état "révision". Si cet état est actif pour une variable, les alarmes et la configuration du module Gestion de commande sont désactivées par le système. Il est donc possible d'exclure certaines variables du procédé de ce qui concerne la gestion des alarmes et le fonctionnement.

Remarque : Seules les alarmes et le module Gestion de commande sont désactivés. Toutes les autres propriétés de valeurs limite liées à celles-ci, telles que Couleur de limite, Fonction, Invisible, Clignotement, etc. ne sont pas affectées et sont affichées ou exécutées. Les valeurs actuelles de la variable sont également affichées sur les synoptiques, comme précédemment, et sont également archivées.

Si des fonctions liées ou d'autres propriétés sont supprimées, créez une matrice de réaction pour évaluer l'état révision.


En cours d'utilisation [PROGRESS]

Manuel -> Gestion des états -> Bits d'état -> En cours d'utilisation [PROGRESS]

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Numéro de bit | Affichage | Définir | Disponible
10 | PROGRESS; en cours d'utilisation | Automatique | dans certains drivers uniquement

Le bit d'état en cours d'utilisation, associé au module Gestion de commande (SICAM 230 ou zenon Energy Edition uniquement) est utilisé pour indiquer qu'un commutateur est en cours d'utilisation ; par conséquent, la position du commutateur changera (marche/arrêt). Le bit d'état est défini et réinitialisé lors du démarrage de la surveillance du Runtime, si celui-ci se déroule correctement ; à défaut, il est remplacé (TIMEOUT).
La configuration automatique du bit dans le Runtime peut être définie en activant la propriété Définir état PROGRESS.

Si la commande écrite correspond déjà à la valeur de réponse, le bit n'est pas défini. Seules les valeurs de réponse ON et OFF peuvent être surveillées.


Dépassement de délai d'exécution [TIMEOUT]

Manuel -> Gestion des états -> Bits d'état -> Dépassement de délai d'exécution [TIMEOUT]

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Numéro de bit | Affichage | Définir | Disponible
11 | Dépassement du délai d'attente (TIMEOUT) | Automatique ; depuis la surveillance du Runtime, dans le module Gestion de commande | dans certains drivers uniquement

L’état runtime dépassé est uniquement défini par le module Entrée de commande. Le type d’action Commande définit le bit si le délai d’exécution pour le Watchdog est dépassé ou la commande s’est terminée négativement. Ceci s’applique également si COT_actterm est reçu par le PLC avec un bit P/N (COT valeur 10 avec N_CONF - bits d’état 33, 35 et 38).

L’action définit le bit TIMEOUT si, durant l’exécution de la commande, la position attendue de l’élément de basculement n’est pas atteint. Ceci signifie : La valeur de la variable de réponse possède une valeur différente de celle définie et la temporisation de surveillance est configurée de manière à ce qu’elle surveille la variable de réponse, éventuellement avec COT. Avec la temporisation de surveillance avec COT uniquement, le bit TIMEOUT est défini si la période d’exécution est dépassée ou terminée avec un résultat négatif.
La prochaine action pour cet élément de basculement réinitialise le TIMEOUT. info Informations

Le bit d’état est indiqué dans le runtime avec un carré rouge dans le coin supérieur droit de l’élément du synoptique.

Cet affichage peut être activé/désactivé avec la propriété Visualiser l'état de la variable.


Valeur manuelle [MAN_VAL]

Manuel -> Gestion des états -> Bits d'état -> Valeur manuelle [MAN_VAL]

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Numéro de bit | Affichage | Définir | Disponible
12 | Valeur manuelle (MAN_VAL) | Automatique | Pour tous les drivers

Cet état est défini sur 1 dès qu'une valeur a été changée manuellement dans une archive. Cette opération peut être effectuée dans le module Report Generator ou sur le synoptique Maintenance d'archive.

En plus, la validation de metering point administration définit ce statut si une valeur mesurée est modifiée manuellement.


Interrogation générale [GI]

Manuel -> Gestion des états -> Bits d'état -> Interrogation générale [GI]

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Numéro de bit | Affichage | Définir | Disponible
16 | RG ; requête générale | Automatique | Pour tous les drivers

Au démarrage du Runtime, la première image lue est nommée "requête générale". Cela signifie que la valeur n'a pas changé depuis le démarrage du Runtime.


Spontanée [SPONT]

Manuel -> Gestion des états -> Bits d'état -> Spontanée [SPONT]

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Numéro de bit | Affichage | Définir | Disponible
17 | Événementiel (SPONT) | Automatique | Pour tous les drivers

La valeur courante est valide. Tout est OK.


Non valide [INVALID]

Manuel -> Gestion des états -> Bits d'état -> Non valide [INVALID]

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Numéro de bit | Affichage | Définir | Disponible
18 | Non valide (INVALID) | Automatique | Pour tous les drivers

Ce bit est défini sur 1 s'il existe un problème de communication avec le driver ou avec une seule variable. L'évaluation d'une variable seule est supportée seulement avec les drivers "spontanés" (événementiels). La plupart des drivers de zenon sont cependant des drivers d'interrogation ; seuls les problèmes de communication généraux peuvent être signalés (et non les problèmes spécifiques à chaque variable). Dans le cas d’un défaut de communication, les bits d'état INVALID et SPONT s’excluent mutuellement.

Dans certains protocoles spontanés, les contrôleurs ont la possibilité de marquer une valeur comme invalide, comme indicateur IEC 60870 INV, IEC 61850 Quality. Les valeurs marquées à ce moment-là reçoivent également le bit INVALID, mais éventuellement au même moment qu’avec SPONT. Vous trouvez plus de détails dans la documentation du driver concerné.

info Informations

Le bit d’état est indiqué dans le runtime avec un carré rouge dans le coin supérieur droit de l’élément du synoptique.

Cet affichage peut être activé/désactivé avec la propriété Visualiser l'état de la variable.


Heure d’hiver externe [T_STD_E]

Manuel -> Gestion des états -> Bits d'état -> Heure d’hiver externe [T_STD_E]

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Numéro de bit | Affichage | Définir | Disponible
19 | T_STD_E | Automatique | Uniquement drivers compatibles avec le temps réel. Remarque : Vous pouvez savoir si un driver est compatible avec le temps réel dans la documentation de driver respective.

Cet état indique si l'horodatage reçu par le contrôleur est donné avec l'heure d'hiver (bit défini) ou l'heure d'été (bit non défini).

Cet état peut se produire avec l’état T_EXTERN.

Remarque : Veuillez également noter l’état T_STD pour l’horodatage interne.

attention Attention

Remarque : jusqu’à la version 7.50, ce bit d’état avait une signification différente(ancienne identification : T_CHG_A)


Désactivé [OFF]

Manuel -> Gestion des états -> Bits d'état -> Désactivé [OFF]

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Numéro de bit | Affichage | Définir | Disponible
20 | Désactivé (OFF) | Par l'utilisateur | Pour tous les drivers

Si une variable n'est pas nécessaire en ligne, elle peut être désactivée. De cette façon, la variable n'est plus "lue" par le driver sur le matériel et donc elle n'est plus actualisée.

Cet état peut être utilisé, par exemple, pour exclure de la gestion d'alarmes, des parties non encore active dans le procédé.

info Informations

Le bit d’état est indiqué dans le runtime avec un carré rouge dans le coin supérieur droit de l’élément du synoptique.

Cet affichage peut être activé/désactivé avec la propriété Visualiser l'état de la variable.


Temps réel - horodatage externe [T_EXTERN]

Manuel -> Gestion des états -> Bits d'état -> Temps réel - horodatage externe [T_EXTERN]

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Numéro de bit | Affichage | Définir | Disponible
21 | T_EXTERN | Automatique | Uniquement drivers compatibles avec le temps réel. Remarque : Vous pouvez savoir si un driver est compatible avec le temps réel dans la documentation de driver respective.

L'horodatage était fourni à partir d'un matériel externe. zenon considère cette valeur de temps en l'état. Tous les modules zenon utilisent alors ces informations d’horodatage.

attention Attention

L’état d’une variable peut être soit T_EXTERN ou T_INTERN.

  • Si une valeur possède l’état T_EXTERN et non T_INVAL, la valeur de l’horodatage externe est utilisée comme horodatage.
    L’horodatage externe est la valeur de temps que le contrôleur a fourni avec la valeur du driver.
  • Si une valeur possède l’état T_INTERN ou possède T_EXTERN et T_INVAL,, la valeur de l’horodatage interne est utilisée comme horodatage.
    L’horodatage interne correspond à l’instant où le driver a reçu la valeur du contrôleur.

En se basant sur cela, tous les modules zenon trient les valeurs.


Horodatage interne [T_INTERN]

Manuel -> Gestion des états -> Bits d'état -> Horodatage interne [T_INTERN]

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Numéro de bit

Affichage

Définir

Disponible

22

T-INTERN

Automatique

Pour tous les drivers

L'horodatage est ajouté par le driver zenon. Dès qu'une valeur est lue correctement, elle est horodatée. Tous les modules utilisent alors ces informations d’horodatage. attention Attention

L’état d’une variable peut être soit T_EXTERN ou T_INTERN.

  • Si une valeur possède l’état T_EXTERN et non T_INVAL, la valeur de l’horodatage externe est utilisée comme horodatage.
    L’horodatage externe est la valeur de temps que le contrôleur a fourni avec la valeur du driver.
  • Si une valeur possède l’état T_INTERN ou possède T_EXTERN et T_INVAL,, la valeur de l’horodatage interne est utilisée comme horodatage.
    L’horodatage interne correspond à l’instant où le driver a reçu la valeur du contrôleur.

En se basant sur cela, tous les modules zenon trient les valeurs.


Non triable [N_SORTAB]

Manuel -> Gestion des états -> Bits d'état -> Non triable [N_SORTAB]

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Numéro de bit | Affichage | Définir | Disponible
23 | N_SORTAB | Automatique | Pour les normes IEC

Uniquement pour SICAM 230.

Concerne le débit de données en temps réel du protocole SSI. SSI est utilisé pour le système SK1703, et concerne le driver AK.

Cet état n'est plus utilisé.

À l'origine, si un télégramme arrivait trop tard, il recevait l'état N_SORTAB s'il ne pouvait pas être trié à réception.


Valeur du message par défaut du transformateur [FM_TR]

Manuel -> Gestion des états -> Bits d'état -> Valeur du message par défaut du transformateur [FM_TR]

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Numéro de bit | Affichage | Définir | Disponible
24 | FM_TR | Automatique | Pour les normes IEC

Uniquement pour SICAM 230.

Uniquement pour le protocole SSI : valeur de transformateur non plausible. Dans les protocoles récents, ces informations sont transportées par le bit INVALID (non valide).

SSI est utilisé pour le système SK1703, et concerne le driver AK.

info Informations

Le bit d’état est indiqué dans le runtime avec un carré rouge dans le coin supérieur droit de l’élément du synoptique.

Cet affichage peut être activé/désactivé avec la propriété Visualiser l'état de la variable.


Valeur du message de fonctionnement du transformateur [RM_TR]

Manuel -> Gestion des états -> Bits d'état -> Valeur du message de fonctionnement du transformateur [RM_TR]

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Numéro de bit | Affichage | Définir | Disponible
25 | RM_TR | Automatique | Pour les normes IEC

Uniquement pour SICAM 230.

Concerne le protocole SSI et IEC870-101 : ce bit apparaît dès qu'une modification est effectuée.

SSI est utilisé pour le système SK1703, et concerne le driver AK.


Info variable [INFO]

Manuel -> Gestion des états -> Bits d'état -> Info variable [INFO]

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Numéro de bit | Affichage | Définir | Disponible
26 | INFO | Automatique | Pour les normes IEC

Uniquement pour SICAM 230.

Plus utilisé.


Valeur de remplacement [ALT_VAR]

Manuel -> Gestion des états -> Bits d'état -> Valeur de remplacement [ALT_VAR]

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Numéro de bit | Affichage | Définir | Disponible
27 | Valeur de remplacement (ALT_VAL) | Par l'utilisateur | Pour tous les drivers

Pour simuler une valeur, vous pouvez basculer cette dernière vers la valeur alternative. Dans ce cas, la valeur est entièrement dissociée du procédé, comme avec l'état Désactivé (OFF). A l'image de l'état Désactivé, la dernière valeur du procédé est désactivée. Il est toutefois possible de modifier la valeur de remplacement dans le Runtime, par exemple, via la boîte de dialogue Valeur prescrite.

  • Modifier valeur de remplacement :
    Modifie uniquement la valeur de remplacement
  • Commuter vers et modifier valeur de remplacement :
    bascule vers la valeur de remplacement et la modifie conformément à la valeur prescrite.
  • Modification valeur spontanée :
    Une valeur définie est envoyée vers le matériel en dépit d’une valeur de remplacement. La variable conserve toutefois la valeur de remplacement.
  • Commuter vers valeur spontanée :
    désactive la valeur de remplacement.

Si aucune valeur n'a été transférée, la valeur de remplacement définie est utilisée ; dans le cas contraire, la dernière valeur valide est utilisée.

Les autres possibilités permettant d'influencer la valeur de remplacement sont le module Recipe Group Manager ou l'interface de programmation.

Si l'état est non valide (INVALID) à l'instant de la commutation vers la valeur de remplacement, l'état est conservé. La valeur comporte l'état non valide et la valeur de remplacement.

La valeur de remplacement n'est pas envoyée au matériel connecté, mais est conservée dans l'image du procédé sur l'ordinateur. Cette valeur est envoyée à tous les modules de zenon pour traitement. Elle est par exemple archivée, et les alarmes sont créées.

L'utilisation de ces informations d'état peut être indiquée spécifiquement dans le rapport. Ainsi, d'un côté, les modifications sont consignées ; de l'autre, le procédé peut continuer avec des valeurs correctes.

Example Exemple

Si un capteur de température extérieure est défectueux, il peut transmettre une valeur irréaliste, par exemple -280 °C. L'utilisateur peut maintenant saisir la valeur correcte à la place de la valeur défectueuse en lisant la température exacte, par exemple 14 °C. Cette valeur est maintenant archivée, associée à une alarme et consignée dans le journal.

Tous les modules dans zenon utilisent maintenant cette autre valeur.

info Informations

Le bit d’état est indiqué dans le runtime avec un carré rouge dans le coin supérieur droit de l’élément du synoptique.

Cet affichage peut être activé/désactivé avec la propriété Visualiser l'état de la variable.


Non mis à jour dans le réseau zenon [N_UPDATE]

Manuel -> Gestion des états -> Bits d'état -> Non mis à jour dans le réseau zenon [N_UPDATE]

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Numéro de bit | Affichage | Définir | Disponible
29 | N_UPDATE | Automatique | Pour tous les drivers

Sur le réseau zenon, le bit d'état est défini si la connexion entre le client réseau et le serveur principal est interrompue ou si la variable comporte la propriété Lire uniquement sur le serveur redondant, mais le serveur de secours n'est pas disponible.

info Informations

Ce bit d’état est indiqué dans le Runtime avec un carré bleu dans le coin supérieur droit de l’élément du synoptique.

Cet affichage peut être activé/désactivé avec la propriété Visualiser l'état de la variable.

Projet d’intégration

Le projet d’intégration est un cas particulier. Un projet d’intégration peut être un projet autonome qui contient malgré tout des projets réseau.

Ainsi, le projet d’intégration devient le client pour des sous-projets. Dans ce cas, le point bleu indique que le serveur primaire du sous-projet n’a pas encore fourni les données.

Informations supplémentaires

Les dispositions suivantes s'appliquent à certains drivers : L'état non mis à jour (N_UPDATE) est défini sur 1, lorsqu'une valeur est demandée au matériel mais aucune valeur n'a encore pu être lue.


Heure d’hiver interne [T_STD]

Manuel -> Gestion des états -> Bits d'état -> Heure d’hiver interne [T_STD]

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Numéro de bit | Affichage | Définir | Disponible
30 | T_STD | Automatique | Pour tous les drivers

Cet état indique si l'horodatage est donné avec l'heure d'hiver (bit défini) ou l'heure d'été (bit non défini).

Cet état accompagne l’état T_INTERN.

Remarque : Veuillez également noter l’état T_STD_E pour l’horodatage externe.


Cause de transmission [COTx]

Manuel -> Gestion des états -> Bits d'état -> Cause de transmission [COTx]

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Numéro de bit | Affichage | Définir | Disponible
32 - 37 | COT0 à COT5 | Automatique | Pour les applications énergétiques

Cause de transmission (COT) conformément au protocole IEC60870.

La valeur de la cause de transmission (voir le protocole IEC60870-5-101 7.2.3) est mappée vers les bits d'état 32 à 37. Ceci permet de définit jusqu'à 6 bits COTx (x représente les numéros de bit 0 à 5).

Par exemple : le bit le plus bas de la valeur COT est transféré vers le bit d'état 32 et appelé COT0 dans zenon.

La valeur COT entière peut être évaluée dans le Runtime via une matrice de réaction (multi-numérique ou multi-binaire). Pour chaque bit COTx, la valeur de la cause de transmission est augmentée comme suit :

  • COT0 = 2^0 = 1
  • COT1 = 2^1 = 2
  • COT2 = 2^2 = 4
  • COT3 = 2^3 = 8
  • COT4 = 2^4 = 16
  • COT5 = 2^5 = 32

Exemple

Valeurs COT habituelles :

État | Valeur | Cause de transmission (CoT) | Nom court
COT0 | 1 | periodic, cyclic/polled | COT_per
COT1 | 2 | background scan/integrity | COT_back
COT0, COT1 | 1+2 = 3 | spontaneous/reported | COT_spont
COT0, COT1, COT2 | 1+2+4 = 7 | activation (command) confirmation | COT_actcon
COT1, COT3 | 2+8 = 10 | activation (command) termination | COT_actterm
COT2, COT4 | 4+16 = 20 | interrogated by general interrogation | COT_inrogen

info Informations

Le module Gestion de commande utilise les états du bit Cause of Transmission, N_CONF et SE_870 pour la surveillance de commandes dans le Runtime.

Remarque :

  • Certains drivers spécifiques à l'industrie de l'énergie sont compatibles avec des bits d’état COTx, bien que le protocole lui-même ne contienne pas COT (par exemple : DNP3, IEC850).
  • Certains drivers spécifiques à l'industrie de l'énergie sont uniquement compatibles avec une zone limitée à la surveillance du Runtime dans le module Gestion de commande.

Vous trouvez plus de détails dans la documentation du driver concerné.


Bit P/N (N_CONF)

Manuel -> Gestion des états -> Bits d'état -> Bit P/N (N_CONF)

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Numéro de bit | Affichage | Définir | Disponible
38 | N_CONF | Automatique | Pour les applications énergétiques

Signale que le contrôleur a confirmé la commande comme négative. Correspond au bit P/N (positive/negative response) dans la norme IEC 60870. Durant l'exécution de la commande conformément à la norme IEC 61850, les confirmations négatives des commandes Select et Operate sont attribuées au bit d'état N_CONF. Application avec l'état COTx : COT_actcon(7), COT_actterm(10).

Informations concernant info

Le module Gestion de commande utilise les états COTx, N_CONF et SE_870 pour la surveillance de commandes dans le Runtime.


Bit de test [TEST]

Manuel -> Gestion des états -> Bits d'état -> Bit de test [TEST]

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Numéro de bit | Affichage | Définir | Disponible
39 | TEST | Automatique | IEC870, IEC850

Signale l'état Test conformément à la norme IEC 60870 ou la norme IEC 61850 : Quality=Test. Ce bit d'état peut être sélectionné dans l'élément combiné et la formule de verrouillage.


Écriture acquittement [WR-ACK]

Manuel -> Gestion des états -> Bits d'état -> Écriture acquittement [WR-ACK]

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Numéro de bit | Affichage | Définir | Disponible
40 | WR_ACK | Automatique | Spécifique au driver

Utilisé par les fonctions Écrire valeur prescrite ou Exécuter la recette pour demander une confirmation d'écriture du driver.

Remarque : Vous trouverez des informations plus détaillées dans le manuel Variables, au chapitre Vérifier l'écriture des valeurs prescrites.


Écriture OK [ECR-OK]

Manuel -> Gestion des états -> Bits d'état -> Écriture OK [ECR-OK]

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Numéro de bit | Affichage | Définir | Disponible
41 | WR_SUC | Automatique | Spécifique au driver

Si une demande d'acquittement (WR-ACK) a été demandée pour un envoi de valeur prescrite ou une exécution de recette, alors ce bit d'état est positionné après l'écriture d'une valeur.

Remarque : Vous trouverez des informations plus détaillées dans le manuel Variables, au chapitre Vérifier l'écriture des valeurs prescrites.


État Normal [NORM]

Manuel -> Gestion des états -> Bits d'état -> État Normal [NORM]

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Numéro de bit | Affichage | Définir | Disponible
42 | NORM | Automatique | Pour tous les drivers

L'état normal est défini par les propriétés de la variable est assigné au bit d'état NORM.


Écart par rapport à l'état normal [N_NORM]

Manuel -> Gestion des états -> Bits d'état -> Écart par rapport à l'état normal [N_NORM]

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Numéro de bit | Affichage | Définir | Disponible
43 | N_NORM | Automatique | Pour tous les drivers

Pour les variables bit, le driver compare l'état du procédé avec l'état normal défini et écrit le résultat dans le bit d'état N_NORM.


État IEC : Bloqué [BL_870]

Manuel -> Gestion des états -> Bits d'état -> État IEC : Bloqué [BL_870]

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Numéro de bit | Affichage | Définir | Disponible
44 | BL_870 | Automatique | IEC870, IEC850

Signale l'état Blockedconformément à la norme IEC 60870 ou la norme IEC 61850 : Quality=OperatorBlocked. Le contrôleur signale que le transfert de la valeur est bloqué et que la valeur conserve l'état dans lequel elle se trouvait avant d'être bloquée. Ce bit d'état peut être sélectionné dans les matrices multi-réaction, les éléments combinés et la formule de verrouillage.

Dans VBA, les 32 bits supérieurs peuvent être interrogés avec StatusExtValue(). Avec SetValueWithStatusEx(), les 64 bits d'état peuvent être interrogés.


État IEC : Remplacé [SB_870]

Manuel -> Gestion des états -> Bits d'état -> État IEC : Remplacé [SB_870]

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Numéro de bit | Affichage | Définir | Disponible
45 | SB_870 | Automatique | IEC870, IEC850 Process Gateway IEC870 Slave

Signale l'état Substituted conformément à la norme IEC 60870 ou la norme IEC 61850 : Quality.Source=Substituted. Le contrôleur signale que la valeur ne vient plus du matériel, mais a été simulée dans le contrôleur. Ce bit d'état peut être sélectionné dans les matrices multi-réaction, les éléments combinés et la formule de verrouillage.

Dans VBA, les 32 bits supérieurs peuvent être interrogés avec StatusExtValue(). Avec SetValueWithStatusEx(), les 64 bits d'état peuvent être interrogés.


État IEC : Non topique [NT_870]

Manuel -> Gestion des états -> Bits d'état -> État IEC : Non topique [NT_870]

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Numéro de bit | Affichage | Définir | Disponible
46 | NT_870 | Automatique | IEC870 Process Gateway IEC870 Slave

Signale l'état Not topical, conformément à la norme IEC 60870. Le contrôleur signale que la valeur n'a pas été actualisée sur le matériel pendant un certain temps ou qu'elle n'est pas disponible. Ce bit d'état peut être sélectionné dans les matrices multi-réaction, les éléments combinés et la formule de verrouillage.

Dans VBA, les 32 bits supérieurs peuvent être interrogés avec StatusExtValue(). Avec SetValueWithStatusEx(), les 64 bits d'état peuvent être interrogés.


État IEC : Dépassement [OV_870]

Manuel -> Gestion des états -> Bits d'état -> État IEC : Dépassement [OV_870]

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Numéro de bit | Affichage | Définir | Disponible
47 | OV_870 | Automatique | IEC870, IEC850 Process Gateway IEC870 Slave

Signale l'état Overflow conformément à la norme IEC 60870 ou la norme IEC 61850 : Quality=Overflow. Le contrôleur signale que la valeur est extérieure à la bande passante prédéfinie, ou qu'un dépassement de compteur a eu lieu. Ce bit d'état peut être sélectionné dans les matrices multi-réaction, les éléments combinés et la formule de verrouillage.


Étape de commande : Sélection [SE_870]

Manuel -> Gestion des états -> Bits d'état -> Étape de commande : Sélection [SE_870]

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Numéro de bit | Affichage | Définir | Disponible
48 | SE_870 | Automatique | Pour les applications énergétiques

Le bit est utilisé dans les applications énergétiques, conjointement à la fonction Select before operate, et permet d'établir une distinction entre les étapes Select et Execute/Operate d'une commande. Application avec l'état COTx : COT_act(6), COT_actcon(7).

Valeurs :

  • 0 = execute
  • 1 = select

info Info

Le module Gestion de commande utilise les états COTx, N_CONF et SE_870 pour la surveillance de commandes dans le Runtime.


Horodatage externe invalide [T_INVAL]

Manuel -> Gestion des états -> Bits d'état -> Horodatage externe invalide [T_INVAL]

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Numéro de bit | Affichage | Définir | Disponible
49 | T_INVAL | Automatique | IEC870, IEC850 Process Gateway IEC870 Slave

L'état Temps non valide est défini par un driver si les informations d'horodatage en temps réel reçues par le contrôleur sont marquées comme non valides. Dans ce cas, les modules zenon utilisent la valeur reçue de la variable avec l’horodatage local de l’ordinateur. Ce bit d'état peut être sélectionné dans les matrices multi-réaction, les éléments combinés et la formule de verrouillage.

attention Attention

L’état d’une variable peut être soit T_EXTERN ou T_INTERN.

  • Si une valeur possède l’état T_EXTERN et non T_INVAL, la valeur de l’horodatage externe est utilisée comme horodatage.
    L’horodatage externe est la valeur de temps que le contrôleur a fourni avec la valeur du driver.
  • Si une valeur possède l’état T_INTERN ou possède T_EXTERN et T_INVAL,, la valeur de l’horodatage interne est utilisée comme horodatage.
    L’horodatage interne correspond à l’instant où le driver a reçu la valeur du contrôleur.

En se basant sur cela, tous les modules zenon trient les valeurs.


Déclenchement de disjoncteur détecté [CB_TRIP]

Manuel -> Gestion des états -> Bits d'état -> Déclenchement de disjoncteur détecté [CB_TRIP]

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Numéro de bit | Affichage | Définir | Disponible
50 | CB_TRIP | Automatique depuis le module Gestion de commande | Pour tous les drivers

Le bit d'état adopte la valeur 1 si la détection de déclenchement de disjoncteur a été activée dans le module Gestion de commande et un déclenchement de disjoncteur est détecté.

La détection a lieu si :

  • La valeur de la variable de réponse change de <>0 en 0 et
    • Le bit d'état CB_TR_I (51) n'est pas 1
    • Le bit d'état PROGRESS (10) n'est pas 1
    • La valeur de la variable de réponse est déjà définie (c'est-à-dire qu'il ne s'agit pas de la valeur initiale de cette variable)

Toute modification de la valeur de la variable de 0 en <>0 réinitialise à nouveau ce bit. Ce bit est également réinitialisé si le bit d'état PROGRESS (10) est actif. La modification de CB_TR_I n'a aucune incidence sur un déclenchement de disjoncteur déjà détecté.

Ce bit d'état peut être explicitement modifié avec l'action État, État Marche ou État Arrêt dans le module Gestion de commande. Le bit d'état contient cet état jusqu'à ce que la valeur de la variable bascule de <>0 à 0 ou de 0 à <>0. Une condition préalable à ceci est que le bit d'état CB_TR_I soit 0. Ceci signifie que la détection de déclenchement de disjoncteur n'est pas désactivée.

Réseau

Sur le réseau, l'évaluation est exécutée sur le serveur responsable de la gestion du procédé. L'évaluation est exécutée sur le serveur de secours, mais le résultat n'est pas écrit sur les bits d'état. L'état actuel des bits d'état CB_TR_I et CB_TRIP est synchronisé lors du redémarrage ou de la reconnexion du serveur de secours. Si la variable de réponse est une variable sur un ordinateur local, l'évaluation est également exécutée sur l'ordinateur client.


Détection de déclenchement de disjoncteur inactive [CB_TR_I]

Manuel -> Gestion des états -> Bits d'état -> Détection de déclenchement de disjoncteur inactive [CB_TR_I]

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Numéro de bit | Affichage | Définir | Disponible
51 | CB_TR_I | Automatique, en raison de la formule de la propriété Supprimer détection du module Gestion de commande | Pour tous les drivers

Indique que la détection de déclenchement de disjoncteur est supprimée pour la variable dans le module Gestion de commande.

Le nouveau calcul est déclenché en cas de modification de l'état ou de la valeur d'une variable si celle-ci a été définie pour les calculs de formules dans le module Gestion de commande. La formule n'est pas évaluée et le résultat n'est pas écrit sur l'état si :

  • une des variables de la formule ne comporte pas encore de valeur et d'état défini,
    ou
  • une des variables n'est pas valide (INVALID).

Ce bit d'état peut être explicitement modifié avec l'action État, État Marche ou État Arrêt dans le module Gestion de commande. Le bit d'état restera alors dans cet état jusqu'à ce que le résultat de la formule change et qu'un bit d'état différent soit défini en conséquence.

Attention : La détection d'un déclenchement de disjoncteur (CB_TRIP)concomitante à la désactivation de la fonction de déclenchement du disjoncteur n'est pas autorisée.

Exemple : RM.Value<1 détecte le déclenchement de disjoncteur (CB_TRIP = 1), car CB_TR_I n'est pas encore actif au moment du changement de valeur.

Réseau

Sur le réseau, l'évaluation est exécutée sur le serveur responsable de la gestion du procédé. L'évaluation est exécutée sur le serveur de secours, mais le résultat n'est pas écrit sur les bits d'état. L'état actuel des bits d'état CB_TR_I et CB_TRIP est synchronisé lors du redémarrage ou de la reconnexion du serveur de secours. Si la variable de réponse est une variable sur un ordinateur local, l'évaluation est également exécutée sur l'ordinateur client.


Valeur non comprise dans la plage valide [OR_DRV]

Manuel -> Gestion des états -> Bits d'état -> Valeur non comprise dans la plage valide [OR_DRV]

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Numéro de bit | Affichage | Définir | Disponible
52 | OR_DRV | Automatique | IEC850

Signale l'état Out of Range conformément à la norme IEC 61850 ; correspond à Quality=OutofRange. Le contrôleur signale que la valeur est extérieure à la plage de mesure prédéfinie. Ce bit d'état peut être sélectionné dans l'élément combiné et la formule de verrouillage.


ClockNotSynchronized [T_UNSYNC]

Manuel -> Gestion des états -> Bits d'état -> ClockNotSynchronized [T_UNSYNC]

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Numéro de bit | Affichage | Définir | Disponible
55 | T_UNSYNC | Automatique | IEC850

Signalise les informations ClockNotSynchronized dans TimeQuality conformément à la norme IEC 61850. Le contrôleur vous informe que son horloge n’est pas synchronisée avec une source horaire externe.

Ce bit d'état peut être sélectionné dans l'élément combiné.

info Informations

Vous trouverez des informations supplémentaires dans la documentation pour driver IEC850 dans le chapitre Qualité, horodatage et bits d’état de la variable.


Pas enregistré dans le Process Recorder [PR_NR]

Manuel -> Gestion des états -> Bits d'état -> Pas enregistré dans le Process Recorder [PR_NR]

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Numéro de bit | Affichage | Définir | Disponible
54 | PR_NR | Automatique | Pour le Process Recorder dans le mode lecture

Ce bit d’état indique que la variable n’a pas été enregistrée durant la lecture dans le Process Recorder. Par conséquent, aucune valeur n’a été identifiée lors de la lecture.

info Informations

Ce bit d’état est indiqué dans le Runtime avec un carré jaune dans le coin supérieur droit de l’élément du synoptique.

Cet affichage peut être activé/désactivé avec la propriété Visualiser l'état de la variable.

La priorité d’affichage de ce carré jaune est supérieure par rapport aux autres affichages d’état (rouge ou bleu).

Protection d’écriture

Ce bit est uniquement émis par le Process Recorder. Le bit est réservé à l’identification des variables non-enregistrées durant la lecture, le bit ne doit pas être défini autrement.

Ceci signifie que la fonctionnalité suivante n’est pas possible :

  • Avancement des bits par l’attribution zenon.
  • Modifications manuelles au moyen de :
    • Recipe Group Manager (Gestionnaire de groupes de recettes)
    • zenon API :

      Par exemple : modifications de valeurs, selon configuration dans la propriété Ajustement non-linéaire avec macros.


Utilisation

Manuel -> Gestion des états -> Utilisation

Autres sujets abordés dans ce chapitre

Matrices de réaction

Les éléments de synoptique dynamiques

Élément combiné

Report Generator

Recipe Group Manager (Gestionnaire de groupes de recettes)

VBA

Process Recorder


Matrices de réaction

Manuel -> Gestion des états -> Utilisation -> Matrices de réaction

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Les matrices de réaction sont le moyen le plus sophistiqué d'utiliser les états.

Ici, les états peuvent être évalués et déclencher des alarmes. En fait un état peut être traité comme une valeur. Comme pour une valeur, on peut déclencher certaines actions suivant la valeur d'un état.

Comme par exemple :

  • Déclencher une alarme
  • Générer une entrée dans le CEL
  • Exécuter une fonction
  • Clignotement
  • Changer de couleur
  • Imprimer

Exemple :

Si une valeur devient non valide, elle reçoit l'état INVALID. Ceci se produit par exemple lorsque le driver perd la connexion avec l'automate. Il est possible de créer une matrice de réaction qui déclenche une alarme dès que la valeur devient non valide (état INVALID). Il est alors possible d'évaluer ces alarmes ultérieurement.


Les éléments de synoptique dynamiques

Manuel -> Gestion des états -> Utilisation -> Les éléments de synoptique dynamiques

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Tous les éléments dynamiques du synoptique offrent la possibilité d'afficher l'état de leur variable liée. Cela se fait à l'aide de la propriété Visualiser l'état de la variable.

Vous avez alors la possibilité d'afficher l'état dans le Runtime en cliquant sur le bouton droit de la souris.

Il est alors possible d'afficher l'état de la variable en cliquant sur l'élément avec le bouton droit de la souris dans le Runtime. Tant que vous gardez le bouton droit de la souris enfoncé, le nom de la variable et son état courant sont affichés.

Si l’affichage de l’état est activé, certains états sont indiqués dans le coin supérieur droit de l’élément par un petit rectangle coloré, en rouge par exemple INVALID or ALT_VAL :

Ceci indique que la valeur n'a plus l'état spontané (spontaneous). En cliquant sur l'élément avec le bouton droit de la souris, on voit ici que quelqu'un a changé l'état de la variable en valeur de remplacement (alternative value).


Élément combiné

Manuel -> Gestion des états -> Utilisation -> Élément combiné

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

L'élément combiné donne la possibilité d'évaluer et d'afficher graphiquement l'état d'une variable. À la différence des matrices de réaction, cette évaluation affecte uniquement l'affichage graphique dans le synoptique.

Ceci signifie :

1 | Changement de la couleur
2 | Affichage d'un autre symbole
3 | Affichage d'un autre texte
4 | Affichage d'un autre bitmap
5 | Changement de la couleur d'un symbole


Report Generator

Manuel -> Gestion des états -> Utilisation -> Report Generator

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Le générateur de rapport permet aussi d'évaluer les états.

Il faut pour cela, utiliser la fonction variabler et le paramètre "état".

La syntaxe est la suivante :

=variabler(Température_extérieure,état)

Pendant le Runtime, vous pouvez avoir par exemple, l'affichage suivant :

Température_extérieure

21ºC

ALT_VAL


Recipe Group Manager (Gestionnaire de groupes de recettes)

Manuel -> Gestion des états -> Utilisation -> Recipe Group Manager (Gestionnaire de groupes de recettes)

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Le module Recipe Group Manager donne la possibilité de lire, d'afficher et de modifier chaque état d'une variable s'il n'est pas défini pas le procédé (driver). Pour définir des bits d'état, accédez à la boîte de dialogue Éditer une recette et utilisez la colonne Actions.


VBA

Manuel -> Gestion des états -> Utilisation -> VBA

En VBA, vous pouvez également accéder à chaque état d'une variable et le modifier du moment qu'il n'est pas défini par les drivers.


Process Recorder

Manuel -> Gestion des états -> Utilisation -> Process Recorder

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com


Projet et espace de travail

Manuel -> Projet et espace de travail

Un espace de travail est attribué à chaque projet.

L’espace de travail et les projets sont affichés dans le gestionnaire de projet.

tutorial Informations concernant la licence

Composante de la licence standard d’Editor et du Runtime.

Autres sujets abordés dans ce chapitre

Espace de travail

Projet

Projet d’intégration

Projet global

Configuration du filtre de projets

Configuration


Espace de travail

Manuel -> Projet et espace de travail -> Espace de travail

Les espaces de travail sont conservés dans un fichier comportant le suffixe .wsp6. Double-cliquez sur ce fichier pour démarrer la version 32 bits de zenon Editor.

Plusieurs projets peuvent être créés et gérés dans un même espace de travail. Toutes les données définies et stockées pour un espace de travail sont une composante de la base de données interne de zenon.

La gestion de plusieurs projets dans un même espace de travail est recommandée en présence de paramètres identiques (synoptiques etc.) au sein de l’installation, et dès lors que la copie de données simplifie considérablement la configuration ou que plusieurs projets au sein d’une même installation sont interconnectés par l’intermédiaire d’un réseau. Plusieurs projets peuvent être traités en même temps.

Il est également possible de générer un autre espace de travail dans un autre dossier lors de la création des projets.

Example Exemple

/CLIENT1/PROJET (un ou plusieurs projets dans la base de données)

/CLIENT2/PROJET (un ou plusieurs projets dans la base de données)

La structure de la base de données est définie par des fichiers de schéma. Ces fichiers servent de base à la création d’une base de données entièrement nouvelle pour un projet. Un fichier de base de données supplémentaire au format MS-ACCESS (MDB) existe pour le module Recipe Group Manager.

attention Attention

Aucune donnée préconfigurée n’est présente?!

Autres sujets abordés dans ce chapitre

Créer un nouvel espace de travail

Sauvegarder un espace de travail

Modifier un espace de travail existant

Sauvegarder et restaurer des espaces de travail


Créer un nouvel espace de travail

Manuel -> Projet et espace de travail -> Espace de travail -> Créer un nouvel espace de travail

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Il y a deux méthodes pour créer un nouvel espace de travail :

  • Liste déroulante -> Fichier -> Espace de travail -> Nouveau ou
  • Menu contextuel de l’entrée de l’espace de travail dans l’arborescence du projet / entrée Espace de travail / Nouveau

Paramètres | Description
Nom | Choisissez un nom pour votre nouvel espace de travail. Le nom par défaut <Espace de travail> est invalide et doit être remplacé. Les caractères suivants sont autorisés : Chiffres, lettres et caractère de soulignement (_).
Emplacement de stockage | Sélectionnez un répertoire pour enregistrer le nouveau projet. Le répertoire de l’utilisateur est proposé comme emplacement d’enregistrement par défaut.
Fichier d’espace de travail | Le fichier est créé automatiquement à partir de ce que vous saisissez ici.


Sauvegarder un espace de travail

Manuel -> Projet et espace de travail -> Espace de travail -> Sauvegarder un espace de travail

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Il y a deux méthodes pour sauvegarder un espace de travail :

  • Menu déroulant / Fichier / Espace de travail / Enregistrer ou Enregistrer sous ou
  • menu contextuel sur l’espace de travail dans l’arborescence du projet / entrée Espace de travail / Enregistrer ou Enregistrer sous

Si vous choisissez l’entrée Enregistrer sous, vous pouvez choisir l’emplacement de l’enregistrement. Dans ce cas, l’espace existant est enregistré avec un nouveau nom.

Paramètres | Description
Nom | Choisissez le nom de votre espace de travail. Le nom par défaut <Espace de travail> est invalide et doit être remplacé. Les caractères suivants sont autorisés : Chiffres, lettres et caractère de soulignement (_).
Emplacement de stockage | Sélectionnez un répertoire pour enregistrer le nouveau projet. Le dossier de l’utilisateur est proposé comme emplacement d’enregistrement par défaut.
Fichier d’espace de travail | Le fichier est créé automatiquement à partir de ce que vous saisissez ici.

Un espace de travail est stocké dans un fichier comportant l’extension WSP.

info Informations

Si un projet possédant un numéro de version inférieur à celui d’Editor existe dans l’espace de travail, vous ne pouvez pas sélectionner l’élément de menu "Espace de travail / Enregistrer sous...". Le projet doit d’abord être converti au format de la version d’Editor avant que l’espace de travail ne puisse être enregistré.


Modifier un espace de travail existant

Manuel -> Projet et espace de travail -> Espace de travail -> Modifier un espace de travail existant

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Il y a deux méthodes pour ouvrir un espace de travail existant :

  • Liste déroulante Fichier -> Espace de travail -> Ouvrir ou
  • Menu contextuel du nœud Espace de travail dans l’arborescence des projets -> Commande Espace de travail -> Ouvrir


Sauvegarder et restaurer des espaces de travail

Manuel -> Projet et espace de travail -> Espace de travail -> Sauvegarder et restaurer des espaces de travail

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Les explications sur la sauvegarde et la restauration d’espaces de travail existants se trouvent dans le chapitre Sauvegardes de projets / section Sauvegarder et restaurer des espaces de travail.


Projet

Manuel -> Projet et espace de travail -> Projet

Une fois que l’espace de travail est ouvert, un ou plusieurs projets peuvent être édités ou sélectionnés dans le gestionnaire de projet. Un projet existant peut être inséré dans l’espace de travail actuel.

Autres sujets abordés dans ce chapitre

Créer nouveau projet

Enregistrer un projet

Insérer projet dans espace de travail

Éditer un projet existant

Remplacer les liens du projet

Sauvegarder et recharger un projet

Enlever un projet de l’espace de travail

Supprimer le projet


Créer nouveau projet

Manuel -> Projet et espace de travail -> Projet -> Créer nouveau projet

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Il y a deux méthodes pour créer un nouveau projet :

  • Liste déroulante -> Fichier -> Nouveau projet ou
  • menu contextuel sur l’espace de travail dans l’arborescence du projet / entrée Nouveau projet

Paramètres

Description

Type de projet

Choisissez entre un projet standard et un projet global.

Nom du projet

Spécifiez un nom pour le projet.

Les caractères suivants sont autorisés : Chiffres, lettres et caractère de soulignement (_).

Remarque : Le nom par défaut <Projet> est invalide et doit être remplacé.

Dossier de base

Dossier dans lequel le nouveau projet doit être enregistré.

Espace de travail

Sélection de l’espace de travail :

  • Ajouter à l’espace de travail actif :
    Le nouveau projet est ajouté à l’espace de travail actuellement actif. L’emplacement de sauvegarde par défaut suggéré est le dossier de l’espace de travail.
  • Créer un nouvel espace de travail :
    Un nouvel espace de travail est créé avec le projet. Le nom de l’espace de travail est automatiquement inséré dans le champ du dossier du Runtime.

Nom de l’espace de travail

Choisissez un nom pour votre nouvel espace de travail.

Les caractères suivants sont autorisés : Chiffres, lettres et caractère de soulignement (_).

Remarque : Le nom par défaut <Espace de travail> est invalide et doit être remplacé.

Dossier du Runtime

L’espace de stockage par défaut du dossier de Runtime est déjà prédéfini. Le type d’objet peut être modifié ici.

Remarque : sous le dossier du Runtime, le dossier de données des fichiers du Runtime est créé automatiquement. Le dossier peut être modifié individuellement, via la propriété Général/Dossier des données. Notez que le dossier doit être accessible en permanence. Dans le cas contraire, les données du Runtime ne pourront plus être écrites.

Options

Projet multi utilisateurs

Active : Plusieurs utilisateurs peuvent collaborer sur un même projet en même temps (pour plus de détails, reportez-vous à la section Développement distribué).

Serveur du projet

Sélection du serveur de projet pour les projets multi-utilisateurs.


Enregistrer un projet

Manuel -> Projet et espace de travail -> Projet -> Enregistrer un projet

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Pour enregistrer un projet sous un nouveau nom, sélectionnez l’entrée Projet / Enregistrer sous depuis le menu contextuel du projet. Vous pouvez entrer un nouveau nom pour le nouveau projet avec la boîte de dialogue suivante :

Si vous entrez un nom de projet existant, vous aurez un message d’erreur.

info Informations

Avec cette fonctionnalité, il est possible de créer une copie d’un projet existant de façon à pouvoir la faire évoluer de façon indépendante du projet de départ.

Pour cela, le projet A est copié avec la commande Enregistrer sous... et peut être modifié. Ensuite il est enregistré comme Projet B.

Selon les différences entre les deux projets, ceci peut faire gagner du temps par rapport à l’export/import de parties de projet.


Insérer projet dans espace de travail

Manuel -> Projet et espace de travail -> Projet -> Insérer projet dans espace de travail

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Pour insérer un projet existant dans un espace de travail :

  • Cliquez avec le bouton droit sur l’espace de travail.
  • Sélectionnez la commande Insérer projet existant.
  • La boîte de dialogue de sélection de projets s’affiche à l’écran.

Pour obtenir des informations détaillées concernant les projets individuels (particulièrement en ce qui concerne le type), ouvrez les nœuds du projet dans la fenêtre de sélection. Vous recevrez des informations concernant :

Informations

Description

Projet multi-utilisateur

Affiché uniquement si le projet est compatible avec le développement distribué.

Identifiant du projet

Identifiant unique du projet.

Version de la base de données du système

Version de la base de données du système.

Version du rapport système

Version de la table du système.

Copies locales du projet connectées

Affichage de copies du projet sur d’autres ordinateurs.

Concerne uniquement les projets multi-utilisateurs (identifiés par la lettre M dans le symbole).

Version d’Editor

Version d’Editor avec laquelle le projet a été créé ou modifié pour la dernière fois.

Type :

Affiche le type du projet :

  • Projet standard
  • Projet global


Éditer un projet existant

Manuel -> Projet et espace de travail -> Projet -> Éditer un projet existant

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

La sélection d’un projet existant s’effectue en sélectionnant le projet dans le gestionnaire de projet?; pour cela, cliquez dessus avec le bouton gauche de la souris. Le bouton droit de la souris affiche le menu contextuel suivant.

Les fonctions suivantes sont disponibles :

Paramètres | Description
Fichiers du Runtime |
- Créer modifiés | Crée les fichiers du Runtime modifiés pour le projet en cours
- Créer tous | Crée tous les fichiers du Runtime pour le projet en cours
- Importer | Les fichiers pouvant être modifiés dans le Runtime sont rapatriés dans le chemin défini dans Editor – Recettes standard – Recettes du module Recipe Group Manager – Gestion utilisateur – Plannings et profils
- Projet comme projet de démarrage | Définit le projet comme projet de démarrage pour le Runtime sur l’ordinateur actuel
Lancer le Runtime | Le Runtime est démarré avec le projet défini comme projet de démarrage.
Projet actif | Rend le projet actif pour les barres de boutons d’Editor et pour les références croisées. Tous les autres projets, non marqués "Garder en mémoire", sont désactivés.
Garder projet en mémoire | Le projet reste en mémoire même si un autre projet est activé.
Projet |
- Renommer | Permet de renommer le projet sélectionné
- Enregistrer projet sous... | Enregistre le projet sous un nouveau nom dans un nouveau répertoire
- Propriétés | Ouvre la fenêtre des propriétés avec les propriétés du projet.
- Enlever de l’espace de travail | Enlève le projet de l’espace de travail, mais ne supprime pas le projet physiquement
- Supprimer | Supprime physiquement le projet
- Créer sauvegarde | Crée une sauvegarde du projet
- Charger sauvegarde | Charge une sauvegarde du projet dans l’espace de travail courant
Projet Remote Transport | Ouvre le sous-menu Projet Remote Transport. Le sous-menu Projet Remote Transport propose les fonctions suivantes :
- Créer connexion | Permet d’établir la connexion avec le poste distant
- Transférer les fichiers du Runtime modifiés | Transporte seulement les fichiers du Runtime modifiés vers le poste distant
- Transférer tous les fichiers du Runtime | Transporte la totalité des fichiers du Runtime vers le poste distant
- Transférer tous les fichiers du Runtime | Les fichiers pouvant être modifiés dans le Runtime (par ex. recettes, gestion des utilisateurs etc.) sont rapatriés dans les fichiers d’Editor
- Projet comme projet de démarrage | Définit le projet de démarrage pour le poste distant
- Démarrer le Runtime | Démarre le Runtime sur le poste distant
- Arrêter le Runtime | Arrête le Runtime sur le poste distant
- Recharger projet | Exécute la fonction Réinitialiser le projet en ligne sur la station cible (périphérique Runtime)
- Obtenir fichier erreur | Rapatrie les fichiers d’erreur du poste distant
- Redémarrer OS | Redémarre le poste distant
- État système | Obtenir l’état du système du poste distant
- Modification mot de passe à distance | Le mot de passe pour l’accès à distance à l’ordinateur sur lequel le projet est exécuté est modifié
Profil | Ouvre un sous-menu par lequel on peut sélectionner un profil (voir le chapitre Editor)
Aide | Ouvre l'aide en ligne

Protection par mot de passe

Chaque projet peut être protégé par un mot de passe. Pour cela :

  • Créez les utilisateurs requis dans le module de gestion des utilisateurs.
  • Dans Gestion des utilisateurs, dans les propriétés du projet, dans la propriété Autorisations sur fonctions, définissez l’entrée Charger le projet sur un niveau d’autorisation supérieur à 0.
  • Attribuez ce niveau d’autorisation à tous les utilisateurs autorisés.

Le projet peut alors uniquement être ouvert par un utilisateur existant possédant le niveau d’autorisation défini.


Remplacer les liens du projet

Manuel -> Projet et espace de travail -> Projet -> Remplacer les liens du projet

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Si des projets sont copiés, leurs liens avec des projets de rang supérieur doivent être attribués à nouveau, si nécessaire. L’assistant de remplacement des liens du projet facilite le remplacement automatique des liens du projet vers les synoptiques, les variables et les fonctions. Le système recherche tous les liens vers d’autres projets et les remplace par des liens vers les synoptiques, les variables et les fonctions du nouveau projet sélectionné.

Pour remplacer les liens du projet :

  1. Enregistrez l’espace de travail et les sous-projets
  2. Dans le menu contextuel du projet d’intégration, sélectionnez la commande Remplacer les liens du projet
  3. La boîte de dialogue de sélection de projet s’affiche à l’écran
  4. Sélectionnez les attributions de votre choix
  5. Fermez la boîte de dialogue en cliquant sur OK

Paramètres

Description

Liste de remplacement

Liste d’attributions de projets pour le remplacement de liens :

  • Ancien projet :
    Contient automatiquement tous les projets source. Si cette liste est vide, il n’existe aucun projet de rang supérieur comportant des liens vers des sous-projets dans l’espace de travail.
  • Nouveau projet :
    Le projet dans lequel les liens doivent être adoptés. Effectuez votre sélection dans la liste des projets applicables en cliquant sur les boutons représentant une flèche.

Projets possibles

Les projets dans lesquels les liens source doivent être remplacés. Sélection :

  • Sélectionnez l’ancien projet souhaité
  • Sélectionnez le nouveau projet souhaité
  • Cliquez sur le bouton représentant une flèche vers la gauche

Annuler une attribution :

  • Sélectionnez l’attribution souhaitée dans la liste de remplacement
  • Cliquez sur le bouton représentant une flèche vers la droite

OK

Reprend l’attribution et effectue le remplacement.

Le nombre de liens de projet remplacés est affiché dans la fenêtre de sortie.

Annuler

Abandonne les paramètres et ferme la boîte de dialogue.

Aide

Ouvre l'aide en ligne.


Sauvegarder et recharger un projet

Manuel -> Projet et espace de travail -> Projet -> Sauvegarder et recharger un projet

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Des explications concernant la sauvegarde et le rechargement des projets sont fournies au chapitre sauvegardes des projets.


Enlever un projet de l’espace de travail

Manuel -> Projet et espace de travail -> Projet -> Enlever un projet de l’espace de travail

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Pour enlever un projet de l’espace de travail, choisir l’entrée Projet / Enlever de l’espace de travail dans le menu contextuel du projet.

Le projet n’est pas supprimé après cette action. Il est toujours dans la base de données et peut-être à nouveau inséré dans un espace de travail avec la commande Fichier / Insérer projet dans espace de travail. Reportez-vous au chapitre Supprimer un projet.


Supprimer le projet

Manuel -> Projet et espace de travail -> Projet -> Supprimer le projet

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Vous pouvez trouver plus d’informations sur la suppression des projets au chapitre Sauvegardes de projet / Supprimer des projets.


Projet d’intégration

Manuel -> Projet et espace de travail -> Projet d’intégration

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

zenon offre la possibilité d’une structure de projet à hiérarchies multiples. Dans ce cas, un projet d’intégration et plusieurs sous-projets sont créés.

Comme un poste centralisé, le projet d’intégration contient les synoptiques d’aperçu global, où les valeurs des variables des sous-projets sont affichées.

Pour plus de détails, reportez-vous au chapitre Gestion multi-projets dans le manuel Réseau.

Example Exemple

Avec les recettes du projet d’intégration, les valeurs prescrites peuvent être gérées de façon centralisée, de façon à contrôler chacun des projets de façon optimisée.

Grâce à la fonction de recouvrement de projets dans les archives du projet d’intégration, les données des sous-projets peuvent être collectées à un emplacement centralisé.

Il est possible d’utiliser des variables des sous-projets dans le projet d’intégration.

Vous trouverez plus d’informations concernant le remplacement de liens de projet au chapitre Remplacer les liens vers les projets.

attention Attention

Noms des modèles : Évitez d’utiliser le même nom pour les modèles dans les projets d’intégration et les sous-projets. Pour quelles raisons??

  • Si un modèle portant le même nom est déjà ouvert, il est alors utilisé lorsque le nouveau synoptique est appelé, et ce, quel que soit le projet auquel il appartient.
  • S’il n’existe toujours aucun modèle ouvert portant un nom adéquat, le nom de projet du synoptique est utilisé.

Dossiers de fichiers

Les sous-projets situés dans le même nœud de dossier que le projet d’intégration durant la création utilisent toujours la même structure que le projet d’intégration. Chaque sous-projet est saisi dans le fichier project.ini, en tenant compte du chemin du projet d’intégration. Si le chemin du Runtime dans le projet d’intégration est modifié, les chemins des sous-projets changent également. Ceci garantit la capacité du Runtime à localiser les chemins requis.

Remarque : Vous trouverez d’autres informations à ce sujet dans le manuel Réseau, au chapitre intitulé Projet d’intégration.

Autres sujets abordés dans ce chapitre

Copier des sous-projets

Autorisation


Copier des sous-projets

Manuel -> Projet et espace de travail -> Projet d’intégration -> Copier des sous-projets

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

De façon à éviter que les liens du projet d’intégration vers les sous-projets soient faux après la copie d’un sous-projet, zenon donne la possibilité de remplacer ces liens ou de copier l’espace de travail complet.

Les liens du projet d’intégration vers un sous-projet peuvent être remplacés avec des liens vers un autre sous-projet sans devoir créer une copie du projet d’intégration.

Autres sujets abordés dans ce chapitre

Copier l’espace de travail complet


Copier l’espace de travail complet

Manuel -> Projet et espace de travail -> Projet d’intégration -> Copier des sous-projets -> Copier l’espace de travail complet

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Une copie de l’espace de travail complet est créée. Pour chaque projet, une commande Enregistrer sous... est exécutée et un nouveau GUID est généré. Toutefois, les projets gardent leur nom original. L’espace de travail est automatiquement chargé avec les nouveaux projets. Avec cette solution, le projet d’intégration est parcouru complètement pour chercher les liens vers variables ou des fonctions d’autres projets. Dans ces liens le GUID du projet original est remplacé par celui du sous-projet qui a été copié. Avec cette solution le sous-projet peut être adapté et tournera immédiatement avec le nouveau projet d’intégration.


Autorisation

Manuel -> Projet et espace de travail -> Projet d’intégration -> Autorisation

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Les autorisations d’utilisation peuvent être mises en œuvre dans zenon pour les projets en réseau et pour les projets d’intégration sans réseau.

Les autorisations d’utilisation signifient que l’utilisateur peut intervenir activement dans le processus, afin d’écrire des valeurs prescrites, par exemple. Même si le projet d’intégration lui-même n’est pas un projet réseau, mais contient des projets réseau, vous avez la possibilité d’autoriser l’utilisation du projet en permanence sur une seule station.

Autorisation sur le réseau

Les autorisations d’utilisation dans le réseau sont débloquées ou bloquées en utilisant les fonctions zenon sur l’ordinateur respectif. Afin de recourir à l’autorisation d’utilisation sur le réseau :

  1. Accédez au groupe Réseau des propriétés du projet.
  2. Dans la liste déroulante dans la Autorisation sur le réseau propriété, sélectionnez le type d’autorisation d’utilisation (Globale ou via modèle d’équipement).
  3. Définissez le paramètre Timeout pour requête [s] :
  4. Définissez le paramètre Timeout pour autorisation [s] :

    Attention : sélectionnez un intervalle de temps plus court que le délai d’expiration d’attente du réseau dans la propriété Timeout [s]

  5. Créez les fonctions Autorisation sur le réseau pour obtenir l’autorisation d’utilisation ou pour l’approuver.

Pour plus de détails, reportez-vous au chapitre Autorisation d’utilisation en réseau du manuel Serveur d’archives.

Autorisation dans le projet d’intégration

Vous pouvez même débloquer ou bloquer des autorisations d’utilisation dans un projet sans réseau, via une variable locale qui débloque l’autorisation pour la valeur 0 et pour une valeur qui n’est pas égale à 0.

Pour utiliser des autorisations d’utilisation dans un projet d’intégration :

  1. Créez une variable binaire, locale du driver interne dans le projet.
  2. Dans les propriétés du projet du Intéraction groupe, reliez cette variable dans la Vérouillage fonctionnement propriété.
  3. Déterminez la valeur des variables pour le blocage d’utilisation en local.
    Vous disposez pour cela des possibilités suivantes :
    • FonctionEcriture valeur prescrite :
      Mettez à jour la valeur des variables en utilisant les Ecriture valeur prescrite fonctions reliées aux valeurs limites de la variable système : autorisation d’utilisation [réseau] présente du sous-projet.
    • API.
    • Activez la Visible par d'autres programmes propriété pour la variable et mettez à jour sa valeur en utilisant zenon Logic.

Valeur de la variable :

  • >0 : Autorisation d’utilisation indisponible :
    en l’absence d’autorisation d’utilisation, le Runtime réagit comme dans un projet en réseau.
  • 0 : Autorisation d’utilisation disponible :
    en présence d’autorisation d’utilisation, le Runtime réagit comme dans un projet en réseau.

attention Attention

Différence avec Autorisation sur le réseau :

Si un verrou d’utilisation a été activé via la variable interne, la tentative d’écriture d’une valeur de processus est ignorée. Ce faisant, aucune notification correspondante n’est donnée à l’utilisateur.

Toutes les variables ne sont pas bloquées durant le blocage d’utilisation. Les variables se trouvant sur l’ordinateur en local restent utilisables. Les considérations suivantes s’appliquent aux variables du driver interne :

  • Les variables internes avec le paramètre local pour la Calcul propriété restent toujours utilisables, dans les projets avec et sans réseau.
  • Les variables internes avec le paramètre réseau qui proviennent d’un projet sans réseau sont également toujours utilisables. En effet, le paramètre pour la Calcul propriété sans réseau n’a aucun effet ici.

Dans un projet réseau, les valeurs internes peuvent uniquement être utilisées avec le Calcul réseau, comme les variables de processus, en fonction des autorisations d’utilisation. Détails :

  • La variable pour le Vérouillage fonctionnement bloque les éléments d’utilisation de son propre projet. Aucune entrée possible. Si l’utilisation s’effectue en utilisant les éléments de synoptique d’un projet différent, le Vérouillage fonctionnement empêche la configuration finale de la valeur.
  • La Autorisation sur le réseau fonction bloque les variables. Vous trouverez d'autres informations dans le manuel Réseau, au chapitre Autorisations d’utilisation dans le Runtime.

Exemple : Le projet d’intégration n’est pas bloqué, le sous-projet est bloqué. Si la variable du sous-projet est reliée à un élément de synoptique du projet d’intégration, l’utilisateur peut ouvrir la boîte de dialogue dans le projet d’intégration, mais la valeur modifiée ne s’applique pas.


Projet global

Manuel -> Projet et espace de travail -> Projet global

Un projet global est un projet qui n’est pas rattaché à un procédé.

info Informations

Pour chaque espace de travail, vous ne pouvez créer et utiliser qu’un projet global.

Le projet global comporte un certain nombre de modules, qui sont accessibles à tous les projets dans l’espace de travail. Si des objets existant dans les projets global et local, les objets du projet local sont prioritaires.

Module

Description

Variables -> Alarme

Groupement d’alarmes en groupes, classes et domaines.

Cadres

Si un cadre n’existe pas dans le projet localement, le système ira le chercher dans le projet global. L’identification est le nom.

Styles

Les styles permettent d’effectuer les opérations suivantes sur les propriétés graphiques des éléments de synoptique :

Extraction de groupes de styles dans des cadres

Gestion de groupes de styles

Attribution de groupes de styles à d’autres éléments

La gestion des styles se déroule toujours dans le projet global.

Listes de polices

Les listes de polices qui n’existent pas localement sont dérivées du projet global. L’identification est le nom. Prêtez attention aux conséquences de l’utilisation de noms identiques dans le projet global et le projet local.

Palettes de couleurs

Toutes les palettes d’un projet doivent toujours contenir la même quantité de couleurs?; le nombre de couleurs peut donc varier entre un projet global et un projet local.

Attention : En cas de conflits d’événements dans le Runtime, les palettes de couleurs du projet local sont prioritaires.

Bibliothèque de symboles

Les symboles sont disponibles dans tous les projets de l’espace de travail.

Intitulé lors de la création d’un lien sur le synoptique : Projet global [Nom du symbole]

Remarque : La copie directe de la bibliothèque de symboles vers la bibliothèque de symboles du projet ou la copie du projet ou du projet global vers la bibliothèque générale de symboles n’est pas autorisée.

Fichier de langue

Les fichiers de langue sont gérés dans les tableaux de langue et sont combinés avec les noms de fichiers et les mots-clés. Si un mot-clé n’existe pas localement dans le projet, le système va le chercher dans le projet global.

Gestion des utilisateurs

Les utilisateurs sont repérés par leur identification. Si un utilisateur n’existe pas dans le projet local, le système va le chercher dans le projet global.

Attention : Les utilisateurs issus de projets globaux sont affichés dans tous les sous-projets dans le Runtime, mais ne peuvent pas être modifiés par le biais de la fonction de gestion des utilisateurs du Runtime.

Fichiers

Si un fichier n’existe pas dans le projet local, le système va le chercher dans le projet global.

Historique des modifications

Consigne toutes les modifications apportées au projet global.

Modèles d'équipements

Représente tous les niveaux d’une entreprise, conformément aux normes ISA S88 et S95. Créé dans le projet global, utilisé dans le projet local.

Sauvegardes du projet

Permet d’effectuer des sauvegardes du projet global.

info Informations

Il n’est pas possible d’ouvrir l’éditeur VBA dans un projet global.


Configuration du filtre de projets

Manuel -> Projet et espace de travail -> Configuration du filtre de projets

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Un filtre de projet est utilisé dans différentes fonctions (appel de synoptique, exportation, impression, listes, etc.). Il permet de sélectionner des projets individuels dans la gestion multi-projets.

attention Attention

Ce filtre est uniquement disponible si plusieurs projets sont disponibles dans un projet d’intégration.

Exception : Lors de la configuration de filtres pour les cadrans, le filtre de projet est également accessible pour les projets individuels.

Pour effectuer une sélection dans le projet d’intégration et les sous-projets, maintenez la touche Ctrl enfoncée pendant que vous cliquez sur les projets de votre choix.


Configuration

Manuel -> Projet et espace de travail -> Configuration

La configuration est effectuée par l’intermédiaire des éléments suivants :

Paramètres | Description
Configuration standard | Licence du produit Standard Panneau de configuration
Configuration du projet | Projet Liste d’alarmes (AML) Liste d’événements (CEL) Gestion de moniteurs Gestion des utilisateurs Sauvegarde de projet Renommer le projet Enregistrer projet sous...

Autres sujets abordés dans ce chapitre

Standard

Gestionnaire de projet


Standard

Manuel -> Projet et espace de travail -> Configuration -> Standard

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Après la sélection du menu Fichier/Configuration standard/Standard, les paramètres (non liés à un projet particulier) suivants sont disponibles :

Paramètres | Description
Imprimante | Paramètres globaux des imprimantes pour tous les projets
Répertoires | Définitions pour les nouveaux projets qui seront créés

Autres sujets abordés dans ce chapitre

Imprimante

Dossier général


Imprimante

Manuel -> Projet et espace de travail -> Configuration -> Standard -> Imprimante

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Différentes imprimantes peuvent être configurées pour l’impression.

Associer une imprimante

Des imprimantes peuvent être associées aux tâches suivantes :

Paramètres | Description
Pour l’impression en ligne des listes AML ou CEL | Imprimante en ligne pour la liste d’alarmes ou la liste d’événements dans le Runtime. Sélection de la liste AML ou la liste dans les propriétés du projet dans le groupe Alarmes et événements ou via les fichiers ALAR.FRM et/ou BTB.FRM.
Pour l’impression hors ligne des listes AML ou CEL | Imprimante hors ligne pour la liste d’alarmes ou la liste d’événements (accessible via le bouton Imprimer du synoptique correspondant). Configuration des formats d’impression dans les fichiers ALARM_G.FRM et/ou BTB_G.FRM.
Valeurs et rapports à imprimer | Imprimante pour les rapports?; également utilisée si la fonction Imprimer la valeur actuelle (impression des valeurs et tables actuelles) est sélectionnée.
Pour les captures d’écran | Imprimante utilisée pour les captures d’écran
Pour le Bloc-notes | Imprimante utilisée pour les listes générales.

Pour sélectionner une imprimante :

  1. Cliquez dans la liste déroulante.

    Toutes les imprimantes installées sur l’ordinateur sont affichées.

Pour configurer la mise en page :

  1. Cliquez sur le bouton ... adjacent à la propriété souhaitée.

    La boîte de dialogue de configuration de la page s’affiche à l’écran.

Configurer l’imprimante

Imprimante

Paramètres | Description
Imprimante | Paramètres de l’imprimante.
Nom | Sélectionnez l’imprimante dans la liste déroulante. La liste contient toutes les imprimantes configurées dans le système d’exploitation.
Propriétés... | Ouvre la boîte de dialogue de configuration de l’imprimante.
État : | Affiche l’état de l’imprimante. Fournie uniquement à titre informatif.
Type : | Affiche le type d’imprimante. Fournie uniquement à titre informatif
Emplacement : | Affiche l’emplacement de l’imprimante, s’il a été configuré. Fournie uniquement à titre informatif.
Commentaire : | Affiche un commentaire sur l’imprimante, s’il a été configuré. Fournie uniquement à titre informatif.

Papier

Paramètres | Description
Papier | Configuration de l’impression.
Dimension | Sélectionnez le format de papier dans la liste déroulante.
Source | Sélectionnez le mode d’alimentation en papier dans la liste déroulante.

Alignement

Paramètres

Description

Alignement

Sélectionnez l’alignement du papier. Paramètres possibles :

  • Portrait
  • Paysage

Réseau

Ouvre la boîte de dialogue de sélection d’une imprimante sur le réseau.

OK

Applique la configuration et ferme la boîte de dialogue. Ceci démarre l’impression dans le Runtime.

Annuler

Abandonne la configuration et ferme la boîte de dialogue. Dans le Runtime, ceci annule également l’impression.

info Informations

Vous pouvez utiliser la même imprimante avec différents paramètres pour différents types d’impression.

Impression sous Windows CE

Aucun spouleur d’impressions n’est disponible dans Windows CE. L’impression est intégrée au procédé. L’impression bloque donc le fonctionnement du Runtime.
Sous Windows CE, la fonction d’impression n’est pas disponible si elle est déjà incluse dans l’image CE. Elle ne peut pas être ultérieurement ajoutée ou étendue à d’autres imprimantes.

Les dispositions suivantes s’appliquent aux tâches d’impression sous Windows CE :

  • Impression en ligne :
    L’impression est toujours effectuée directement sur LPT1. Ce port doit toujours être présent sur le terminal CE, et une imprimante en ligne doit être connectée.
  • Impression hors ligne :
    L’impression est toujours effectuée sur l’imprimante standard configurée sur le système.
    L’imprimante ne peut pas être configurée depuis le Runtime de zenon et ne peut pas être modifiée.

Remarque : Pour que la fonction d’impression hors ligne soit opérationnelle sous Windows CE, le fabricant du terminal doit l’inclure dans l’image de Windows CE. Il doit également être possible de définir l’imprimante par défaut, par exemple, en utilisant des applications telles que Pocketword ou Notepad CE.


Dossier général

Manuel -> Projet et espace de travail -> Configuration -> Standard -> Dossier général

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Dans l’onglet Dossiers, vous définissez les dossiers par défaut pour les catégories décrites ci-dessous. Cliquez sur le bouton ... pour ouvrir l’Explorateur et définir l’emplacement de stockage pour type de fichier sélectionné. Les emplacements de stockage définis ici sont réutilisés par défaut pour les nouveaux projets, et peuvent être modifiés dans les paramètres du projet par le biais de l’option Stockage fichier. Les emplacements de stockage sont créés en fonction du dossier du Runtime.

Paramètres | Description
Graphiques | Fichiers graphiques Par défaut : \Graphics
Fichiers exportés | Chemin d’exportation des archives, des rapports, de la liste d’événements, de la liste d’alarmes. Par défaut : \Export
Attributions | Chemin des sauvegardes de projet. Par défaut : \Allocation
Dossier de relecture des archives | Dossier de lecture des fichiers de sauvegarde d’archives. Lors du chargement de données d'archives depuis le dossier de restauration, les données d'archives provenant du chemin du Runtime et de tous les sous-dossiers du dossier de restauration sont également lues. Par défaut : \Backup
Dossier des archives transférées/exportées | Dossier d’enregistrement des archives transférées. Par défaut : \ExportArv
Aide en ligne | Dossier de l’aide en ligne Par défaut : \ONLINE_HELP


Gestionnaire de projet

Manuel -> Projet et espace de travail -> Configuration -> Gestionnaire de projet

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Dans les propriétés du projet, tous les détails d’un projet sont configurés. Pour configurer les propriétés, procédez comme suit :

  • Sélectionnez le projet dans l’arborescence des projets
  • Ouvrez la fenêtre de propriétés

    (Vous pouvez l’ouvrir depuis le menu contextuel du projet ou le menu Options)

Autres sujets abordés dans ce chapitre

Infos projet

Dossier du projet

Qualité graphique

Fichiers modifiables dans le Runtime


Infos projet

Manuel -> Projet et espace de travail -> Configuration -> Gestionnaire de projet -> Infos projet

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Les informations suivantes peuvent être définies sur le projet :

Paramètres | Description
Auteur | Auteur du projet
Responsable | Chef de projet
Entreprise | Société pour le projet
Commentaire | Commentaire libre sur le projet


Dossier du projet

Manuel -> Projet et espace de travail -> Configuration -> Gestionnaire de projet -> Dossier du projet

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Sélectionnez la propriété Stockage fichier dans les paramètres Général du projet pour ouvrir la boîte de dialogue de définition de l’emplacement de stockage. Les emplacements existants sont définis dans les paramètres généraux des dossiers. Cliquez sur le bouton ... pour ouvrir l’Explorateur et définir l’emplacement de stockage pour type de fichier sélectionné. Les emplacements de stockage sont créés en fonction du dossier du Runtime.

Paramètres | Description
Graphiques | Fichiers graphiques Par défaut : \Graphics
Fichiers exportés | Chemin d’exportation des archives, des rapports, de la liste d’événements, de la liste d’alarmes. Par défaut : \Export
Attributions | Chemin des sauvegardes de projet. Par défaut : \Allocation
Dossier de relecture des archives | Dossier de lecture des fichiers de sauvegarde d’archives. Lors du chargement de données d'archives depuis le dossier de restauration, les données d'archives provenant du chemin du Runtime et de tous les sous-dossiers du dossier de restauration sont également lues. Par défaut : \Backup
Dossier des archives transférées/exportées | Dossier d’enregistrement des archives transférées. Par défaut : \ExportArv
Aide en ligne | Dossier de l’aide en ligne Par défaut : \ONLINE_HELP


Qualité graphique

Manuel -> Projet et espace de travail -> Configuration -> Gestionnaire de projet -> Qualité graphique

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Dans zenon, la qualité d’affichage graphique peut être adaptée aux ressources du système. Ce paramètre est configuré par le biais du paramètre de projet Qualité graphique, dans le groupe Apparence graphique. Ces paramètres ont uniquement un effet dans le Runtime. DirectX est toujours utilisé dans Editor.

Les options possibles sont les suivantes :

  • Windows Basic : Paramètres graphiques de base. Paramètre recommandé lorsque les ressources du matériel sont limitées.
  • DirectX Software: Les calculs graphiques sont effectués par le processeur. Selon les éléments graphiques affichés, vous pouvez utiliser plusieurs processeurs. Utiliser l’option DirectX Software peut exercer une forte charge sur le processeur.
  • DirectX Hardware: Certains calculs graphiques sont effectués par la carte graphique, ce qui améliore les performances d’affichage. Si ce paramètre n’est pas pris en charge par le système utilisé, zenon bascule automatiquement vers l’option DirectX Software. En principe, DirectX Hardware est préférable et DirectX Software doit uniquement être utilisé en cas de besoin.

attention Attention
  • DirectX n’est pas disponible sous Windows CE.
  • DirectX n’est pas utilisable avec les éléments OCX.

DirectX

DirectX offre une qualité supérieure à celle du mode Windows Basic.

Pour utiliser DirectX, plusieurs conditions préalables doivent être remplies :

Conditions préalables

Description

L’option DirectX Hardware (Matériel DirectX) ou DirectX Software (Logiciel DirectX) doit être activée.

Dans les paramètres du projet, vous devez sélectionner DirectX Hardware ou DirectX Software pour la propriété Apparence graphique.

Le système d’exploitation doit prendre en charge DirectX 11.1.

Les options DirectX Hardware et DirectX Software sont uniquement compatibles avec les systèmes d’exploitation prenant en charge DirectX11.1.

Si le système n’est pas compatible avec DirectX 11.1, le mode Windows Enhanced (Windows optimisé) est sélectionné automatiquement.

Le programme DirectX-Runtime le plus récent doit être installé. Pour zenon, il est installé lors de l’installation du programme. Pour zenon Web Client, il doit être installé manuellement.

Le synoptique ou l’élément doit être compatible avec DirectX.

Seuls les éléments ou les synoptiques pris en charge peuvent être affichés avec DirectX.

Pour l’option DirectX Hardware (Matériel DirectX), les conditions préalables minimales doivent être satisfaites.

Vous trouverez des informations détaillées concernant la configuration minimale requise au chapitre Configuration requise lors de l’utilisation de DirectX. Si ces conditions ne sont pas satisfaites, la carte graphique active automatiquement l’option Logiciel DirectX.

Si le système d’exploitation ne fournit aucune accélération matérielle (par exemple, dans Remote Desktop), l’option DirectX Hardware (Matériel DirectX) ne pourra peut-être pas être sélectionnée.

DirectX 11.1

Les considérations suivantes s'appliquent en cas d'utilisation de DirectX11.1 :

  • DirectX 11.1 est intégré de façon native à Windows 8 et aux versions ultérieures de ce système d'exploitation.
  • DirectX 11.1 n'est pas utilisable sous Windows 7 et Server 2008 R2 (ou versions antérieures) sans Service Pack.
  • Pour Windows 7 SP1 et Server 2008 R2 SP1, un Service Pack Windows doit être installé.

Installer le Service Pack pour Windows 7 SP1 et Server 2008 R2 SP1.

Pour installer le Service Pack :

  1. Téléchargez la mise à jour KB2670838 sur le site Web de support technique de Microsoft.
  2. Sélectionnez la version correspondant à votre système d'exploitation :
    • 32 bit
    • 64 bit
  3. Sélectionnez le fichier d'installation correspondant.

Remarque : Ceci concerne uniquement Windows 7 SP1 et Server 2008 R2 SP1. DirectX 11.1 est déjà présent sur les versions plus récentes. La mise à jour ne peut pas être installée sur des versions plus anciennes.

Autres sujets abordés dans ce chapitre

DirectX : Traitement des erreurs


DirectX : Traitement des erreurs

Manuel -> Projet et espace de travail -> Configuration -> Gestionnaire de projet -> Qualité graphique -> DirectX : Traitement des erreurs

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Les erreurs sont éditées dans l’outil Diagnosis Viewer.

DirectX n’est pas initialisé.

Si DirectX ne peut pas être initialisé durant un appel de synoptique ou dans le cadre du fonctionnement continu, une nouvelle tentative d’initialisation de DirectX est effectuée. Durant ce processus, Editor et le Runtime de zenon continuent à s’exécuter normalement. Vous pouvez tenter de remédier au problème pendant ce temps. Les causes et solutions possibles peuvent être déterminées avec l’outil Diagnosis Viewer.

Une barre de progression apparaît durant la réinitialisation. Pour annuler la réinitialisation :

  1. Cliquez sur le bouton Annuler.
  2. Confirmez le message d’erreur affiché.
  3. Selon l’annulation ou non du processus, Editor ou le Runtime sont arrêtés.

Remarque : Les erreurs qui interdisent la réinitialisation de DirectX sont annoncées au moyen d’un message d’erreur.

Diagnosis Viewer

DirectX fournit différents messages dans Diagnosis Viewer?; ces messages contiennent :

  • Un message d’erreur
  • Des causes d’erreurs possibles
  • Des codes d’erreur

L’affichage se déroule dans un module DirectX spécifique. En cas d’erreur, le texte de l’erreur est affiché dans le champ de texte Erreur. Dans le cas des avertissements et informations de débogage, les messages correspondants sont affichés dans le champ de texte Général :

  • En cas d’appel de synoptique réussi, au moins un message de débogage indiquant le succès de l’opération est affiché.
  • Les avertissements désignent les événements pouvant influencer le fonctionnement.
  • Si une erreur ne pouvant pas être résolue se produit, un message d’erreur est affiché.

info Informations

Si un message n’est pas entièrement affiché dans la table dans l’outil Diagnosis Viewer, vous pouvez double-cliquer sur l’entrée pour l’ouvrir et afficher le message dans sa totalité.

Liste de contrôle de recherche d’erreurs

Une vérification du bon fonctionnement de DirectX peut être effectuée en activant les messages de débogage dans l’outil Diagnosis Viewer. Un message correspondant est affiché si la vérification est réussie.

  • Les avertissements ou messages d’erreur concernant DirectX sont-ils affichés dans l’outil Diagnosis Viewer??
  • L’option DirectX Hardware ou DirectX Software est-elle configurée dans la propriété Qualité graphique du projet??
  • Les conditions indispensables à l’exécution de DirectX sont-elles satisfaites?? Vous trouverez des informations détaillées concernant la configuration minimale requise au chapitre Configuration requise lors de l’utilisation de DirectX.
  • DirectX est-il pris en charge par le synoptique ou l’élément??
  • L’affichage fonctionne-t-il correctement lorsque le mode Windows Basic est activé??
  • L’écran fonctionne-t-il avec un autre driver??
  • L’écran fonctionne-t-il avec une carte graphique d’un autre fabricant??


Fichiers modifiables dans le Runtime

Manuel -> Projet et espace de travail -> Configuration -> Gestionnaire de projet -> Fichiers modifiables dans le Runtime

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Il y a différentes données qui peuvent être modifiées dans zenon Editor aussi bien que dans le Runtime. Ces fichiers concernent les éléments suivants :

  • Recipe Group Manager (Gestionnaire de groupes de recettes)
  • Recettes standard
  • Gestion des utilisateurs
  • Planning

Protection contre l’écrasement des fichiers du Runtime

Si tous les fichiers du Runtime sont créés ou transférés, les fichiers modifiés dans le Runtime entre-temps seraient écrasés. De façon à éviter l’écrasement involontaire de fichiers, qui ne devraient pas être générés ou transférés, ils peuvent être sélectionnés dans la section Ne pas générer et transférer.

Protection contre l’écrasement des fichiers d’Editor

Les données modifiées dans le Runtime peuvent être rapatriées. Dans ce cas, les données dans Editor sont remplacées. De façon à éviter l’écrasement involontaire de fichiers, qui ne devraient pas être rapatriés, ils peuvent être sélectionnés dans la section Ne pas décompiler.

Boîte de dialogue des fichiers modifiables dans le Runtime

Vous pouvez ouvrir la boîte de dialogue de configuration des fichiers modifiables dans le Runtime via les paramètres de projet Général/Données modifiables dans le Runtime :

Les types de fichiers suivants peuvent être sélectionnés :

Paramètres | Description
Recipe Group Manager (Gestionnaire de groupes de recettes) | Les groupes de recettes et les recettes des groupes de recettes Lors du transfert, les nouveaux fichiers sont transférés et de nouveaux sous-dossiers sont créés?; les fichiers et sous-dossiers supprimés sont également supprimés sur le système cible.
Recettes standard | Recettes standard
Gestion des utilisateurs | Gestion des utilisateurs pour la connexion et la gestion des droits dans le Runtime.
Planning | Modifications dans les modèles de temps et les plannings du module PFS.

attention Attention

Lors de la conversion du projet, assurez-vous que les fichiers modifiables dans le Runtime sont également convertis. Pour cela, les fichiers du Runtime doivent être importés dans Editor, puis copiés vers le Runtime après la mise à jour. Pour plus de détails, reportez-vous au chapitre Procédure recommandée pour la conversion des fichiers du Runtime dans le manuel Conversion de projets.

Transfert des fichiers

Dans le Runtime :

Pour transférer des fichiers vers le Runtime :

  1. Tous les fichiers peuvent être transférés
  2. Seuls les fichiers modifiés peuvent être transférés

Ces deux méthodes tiennent compte des fichiers définis dans la propriété Données modifiables dans le Runtime.

Fichiers du Runtime

Pour lire les fichiers du Runtime, deux méthodes s’offrent à vous :

  1. Restaurer tous les fichiers du Runtime :
    1. relit tous les fichiers du Runtime vers le dossier défini dans la propriété Dossier du Runtime
    2. Cette fonction est indépendante de la propriété Données modifiables dans le Runtime
  2. Importer fichiers les du Runtime :
    1. Importe les fichiers définis dans la propriété Données modifiables dans le Runtime et
    2. Remplace le développement dans Editor par les fichiers du Runtime
    3. Cette méthode est adaptée à la conversion de données depuis un système distant dans Editor

Erreur de connexion

Durant le transfert, les données existantes sont remplacées, conformément aux paramètres.

Si une erreur se produit lors du transfert vers ou depuis le Runtime, ou si la connexion est interrompue, les fichiers doivent être entièrement transférés à nouveau.


Historique des modifications

Manuel -> Historique des modifications

L’historique des modifications permet d’avoir un document complet sur toute la phase de développement du projet. Toutes les modifications apportées à un projet – modification, suppression, création, etc. – peuvent être consignées. Par défaut, l’historique des modifications est désactivé et doit être activé dans Editor.

tutorial Informations concernant la licence

Composante de la licence standard d’Editor et du Runtime.

Menu contextuel Gestionnaire de projet

Élément de menu | Action
Exporter tout (XML) | Exporte toutes les entrées sous forme de fichier XML.
Exporter tous (CSV)... | Exporte toutes les entrées sous forme de fichier CSV.
Activer le filtre étendu | Ouvre la boîte de dialogue de configuration des filtres de développement améliorés.
Désactiver le filtre étendu | Supprime les paramètres des filtres étendus et désactive la propriété de développement des paramètres de filtres étendus.
Profil Editor | Ouvre la liste déroulante contenant les profils Editor prédéfinis.
Aide | Ouvre l’aide en ligne.

Autres sujets abordés dans ce chapitre

Configuration dans Editor

Données enregistrées

Actions enregistrées

Exporter données


Configuration dans Editor

Manuel -> Historique des modifications -> Configuration dans Editor

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

L’historique des modifications doit être activé dans Editor. Pour cela :

  1. Accédez au groupe Historique des modifications dans les propriétés du projet.
  2. Activez la propriété Historique des modifications actif.
  3. Sélectionnez les détails à enregistrer par le biais de la propriété Niveau de détails :
    • Objet : Seuls les noms des objets modifiés sont enregistrés.
    • Propriétés : Outre les noms d’objet, les propriétés modifiées ainsi et les nouvelles valeurs sont affichées dans l’historique des modifications.
    • Modifications de valeurs : Les nouvelles valeurs des propriétés sont affichées, ainsi que les anciennes. Ceci autorise un suivi complet des modifications. Ce paramètre correspond au niveau de journalisation le plus détaillé.
      Remarque : Les valeurs modifiées sont tronquées à une longueur de 128 caractères.
  4. Dans les projets multi-utilisateurs, la propriété Permettre automatiquement les modifications permet de déverrouiller automatiquement la saisie d’un commentaire aux fins de l’accès en écriture. Par défaut, ce paramètre est désactivé, car il peut exercer une charge excessive sur le processeur.

Protection de l’historique des modifications

L’accès des utilisateurs à la fonction d’activation/de désactivation de l’historique des modifications peut être protégé. Pour cela :

  1. Accédez au groupe Gestion des utilisateurs dans les propriétés du projet.
  2. Cliquez dans le champ de la propriété Autorisations sur fonctions.

    La boîte de dialogue de modification de l’autorisation des fonctions s’ouvre.

  3. Sélectionnez Activer/désactiver l’historique des modif. pour le niveau d’autorisation souhaité.

Autres sujets abordés dans ce chapitre

Barre d’outils et menu contextuel de la vue de détail Historique des modifications


Barre d’outils et menu contextuel de la vue de détail Historique des modifications

Manuel -> Historique des modifications -> Configuration dans Editor -> Barre d’outils et menu contextuel de la vue de détail Historique des modifications

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Menu contextuel

Élément de menu | Action
Filtre Module | Définit le filtre pour le module de l’entrée sélectionnée.
Filtre Objet | Définit le filtre pour l’objet de l’entrée sélectionnée.
Activer les filtres étendus | Active la propriété de développement des paramètres de filtres étendus.
Désactiver les filtres étendus | Supprime les paramètres des filtres étendus et désactive la propriété de développement des paramètres de filtres étendus.
Supprimer tous les filtres | Supprime tous les paramètres de filtre
Copier | Copie les entrées sélectionnées et vers le presse-papiers.
Supprimer | Après une demande de confirmation, supprime les entrées sélectionnées de la liste.
Exporter la sélection en XML... | Exporte touts les entrées sélectionnées sous forme de fichier XML.
Exporter CSV (sélection) | Exporte toutes les entrées sélectionnées sous forme de fichier CSV.
Éditer la cellule sélectionnée | Ouvre la cellule sélectionnée pour la modification. Le symbole représentant des jumelles dans l'en-tête indique la cellule sélectionnée dans une ligne affichée en surbrillance. Seules les cellules pouvant être modifiées peuvent être sélectionnées.
Propriétés | Ouvre la fenêtre de Propriétés.
Aide | Ouvre l'aide en ligne.


Données enregistrées

Manuel -> Historique des modifications -> Données enregistrées

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Si l’historique des modifications est activé, les modifications sont affichées dans la vue de détail du Gestionnaire de projet, conformément aux paramètres sélectionnés. La première entrée de l’historique des modifications documente l’activation de cette fonctionnalité. Lors de la désactivation, la dernière entrée est la désactivation de l’historique des modifications.

Entrée

Description

État

État de l’objet pour les projets multi-utilisateurs.

Vert : L’objet possède l’état Autoriser les modifications.

Vide. L’objet possède l’état Appliquer les modifications.

Date/heure

Date et heure.

Action

Type d’interférence. Valeurs possibles :

  • Nouveau
  • Modifié
  • Supprimé
  • Nouveau – VBA
  • Modifié - VBA
  • Supprimé - VBA

Module

Le module (par exemple, PFS, Serveur d’archives, Report Generator, etc.) dans lequel les modifications ont été effectuées.

Objet

L’objet qui a été modifié.

Élément

L’élément qui a été modifié. L’enregistrement contient le nom défini dans la propriété Nom d'élément.

Propriété

La propriété des objets/éléments modifiés.

Ancienne valeur

La valeur de la propriété avant les modifications.

Disponible uniquement si vous avez sélectionné l’option Modification de valeur dans la propriété de projet Niveau de détails.

Nouvelle valeur

Valeur de la propriété après la modification.

Disponible uniquement si, sous Niveau de détails dans les paramètres du projet,

Le paramètre Propriétés ou Modifications de valeurs a été sélectionné.

Utilisateurs

L’utilisateur ayant effectué les modifications. Si la gestion d’utilisateurs n’est pas activée ou aucun utilisateur n’est authentifié, l’utilisateur Windows est affiché et entré dans l’historique.

Ordinateur

Nom de l’ordinateur où les modifications ont été faites.

Commentaire

Texte libre

Vous pouvez trier les colonnes à votre convenance en effectuant un glisser-déposer. Chaque colonne peut être filtrée pour afficher certains contenus.

Remarque : Si vous modifiez certaines propriétés ouvrant une boîte de dialogue de paramètres supplémentaires, toutes les modifications ne sont pas enregistrées.
Par exemple : Dans le module Batch Control, vous pouvez modifier un paramètre lié à une phase via une formule. Cette modification n’est pas enregistrée. Si vous modifiez la formule, en revanche, la modification est enregistrée.

Autres sujets abordés dans ce chapitre

Filtrage des données


Filtrage des données

Manuel -> Historique des modifications -> Données enregistrées -> Filtrage des données

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Il existe deux solutions pour filtrer la liste de l’historique des modifications :

  1. Filtrage amélioré de l’historique des modifications
  2. Filtrage de la vue de liste

Filtrage amélioré de l’historique des modifications

Vous pouvez accéder au filtrage amélioré par le biais du menu contextuel du Gestionnaire de projet, mais également dans la vue de détail.

Paramètres généraux

Paramètres | Description
Nombre maximal d’entrées : | Définit le nombre maximal d’ensembles de données affichés dans la liste. 0 : Nombre illimité. Par défaut : 1000

Filtre de temps

Paramètres | Description
Période | Autorise le filtrage pendant une période de temps spécifiée, depuis ou jusqu’à un certain point dans le temps. Active : Seules les entrées de la période de temps spécifiée sont affichées. Par défaut : Désactivé
De | La date et l’heure après lesquelles les modifications doivent être affichées.
À | La date et l’heure jusqu’auxquelles les modifications doivent être affichées.


Actions enregistrées

Manuel -> Historique des modifications -> Actions enregistrées

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Dans l’historique des modifications, les informations suivantes sont consignées :

Objet

Modifications

zenon Logic
  • Nouveau projet zenon Logic
  • zenon Logic – Suppression de projet
  • zenon Logic – Modification de projet

Add-In Framework
  • Installation de packages de modules complémentaires
  • Désinstallation de packages de modules complémentaires

Archives
  • Nouvelle archive
  • Supprimer une archive
  • Modifier une archive
  • Ajouter une variable
  • Supprimer une variable

Utilisateur
  • Nouvel utilisateur
  • Supprimer un utilisateur
  • Éditer l’utilisateur

Synoptiques
  • Nouveau synoptique
  • Suppression de synoptique
  • Modification de synoptique

Fichiers
  • Ajouter un fichier
  • Supprimer un fichier
  • Modifier un fichier

Types de données
  • Nouveau type de données
  • Supprimer un type de donnée
  • Modifier un type de donnée

Éléments dynamiques/Éléments vectoriels
  • Nouvel élément
  • Supprimer un élément
  • Modifier un élément

Fonctions
  • Nouvelle fonction
  • Supprimer une fonction
  • Modifier une fonction

Menus
  • Nouveau menu principal
  • Supprimer un menu principal
  • Modifier un menu principal
  • Nouveau menu contextuel
  • Supprimer un menu contextuel
  • Modifier un menu contextuel

Message Control
  • Lors de l’enregistrement de modifications

Process Control Engine
  • Lors de l’enregistrement de modifications

Projet
  • Déplacer un projet dans l’arbre des projets.

Sauvegarde de projet
  • Création d’une sauvegarde de projet comportant un numéro de version.

Matrices de réaction
  • Nouvelle matrice de réaction
  • Supprimer une matrice de réaction
  • Modifier une matrice de réaction

Rapport
  • Nouveau rapport
  • supprimer un rapport
  • Modifier un rapport (lors de la sauvegarde)

Recette
  • Nouvelle recette
  • Supprimer la recette
  • Modifier une recette
  • Ajouter une variable
  • Supprimer une variable
  • Modifier une valeur

Groupes de recettes
  • Nouveau groupe de recettes
  • Supprimer groupe de recettes
  • Modifier un groupe de recettes
  • Nouvelle recette
  • Modifier une recette
  • Supprimer la recette
  • Ajouter une variable
  • Supprimer une variable
  • Modifier une valeur
  • Modifier la source
  • Modifier le type de source

Cadres
  • Créer un nouveau cadre
  • Suppression de cadre
  • Modification de cadre

Planning
  • Lors de l’enregistrement de modifications

Polices
  • Nouvelle police
  • Supprimer une police
  • Modifier une police

Scripts
  • Nouveau script
  • Supprimer un script
  • Modifier un script

Table de langues
  • Nouvelle entrée
  • Supprimer l’entrée
  • Modifier une entrée

Drivers
  • Nouveau driver
  • Supprimer un driver
  • Modifier un driver

VBA
  • Lorsque les modifications sont enregistrées dans l’éditeur VBA, une entrée est générée.

Variables
  • Nouvelle variable
  • Supprimer une variable
  • Modifier une variable

Verrouillages
  • Nouveau verrouillage
  • Modifier un verrouillage
  • Supprimer un verrouillage
  • Nouvelle variable
  • Supprimer une variable

Commande temporisée
  • Nouvelle commande temporisée
  • Supprimer une commande temporisée
  • Modifier une commande temporisée


Exporter données

Manuel -> Historique des modifications -> Exporter données

Les données l’historique des modifications peuvent être exportées sous forme de fichier XML ou CSV.

Pour exporter les données :

  1. Sélectionnez les entrées souhaitées
    (pour effectuer une sélection multiple, utilisez les combinaisons de touches Ctrl + bouton gauche, Maj + bouton gauche ou Ctrl+A).
  2. Sélectionnez le format d’exportation souhaité (XML ou CSV) dans le menu contextuel.
  3. La boîte de dialogue de sélection de l’emplacement de sauvegarde du fichier s’affiche à l’écran.
  4. Saisissez un nom de fichier et confirmez-le en cliquant sur Enregistrer.

Remarque : Les en-têtes des entrées dans les données exportées sont en anglais.


Importation - Exportation

Manuel -> Importation - Exportation

Des sections d’un projet (par exemple : fonctions, variables, synoptiques, etc.) peuvent être importées dans zenon ou exportées depuis zenon. Vous pouvez ainsi utiliser, enregistrer ou modifier des éléments au niveau externe, dans d’autres projets.

tutorial Informations concernant la licence

Les fonctions d’importation et d’exportation sont intégrées à la licence standard, pour la plupart des formats.

Exception : La fonction d’exportation au format SQL nécessite une licence supplémentaire.

Autres sujets abordés dans ce chapitre

Général

Archives

Synoptiques

Utilisateur

Type de données

Fonctions

Menus

Matrices de réaction

Recettes standard

Groupes de recettes

Variables

Verrouillages

Commande temporisée

Attributions

Message d'erreur


Général

Manuel -> Importation - Exportation -> Général

Les données exportées peuvent être éditées par un outil externe et être importées dans le même projet ou dans un autre projet.

attention Attention

Limitations :

  • Formules :
    L’importation et l’exportation au format CSV ou dBase n’autorisent pas l’utilisation de configurations de variables spécifiques aux drivers, telles que les formules. Ces dernières doivent être exportées et importées au format XML.
  • Langage XML et rétrocompatibilité :
    L’importation/l’exportation au format XML n’autorise pas de rétrocompatibilité. Les données provenant de versions antérieures de zenon ne peuvent pas être reprises. Le transfert de données des versions récentes vers les versions antérieures n’est pas pris en charge.

Les fonctionnalités suivantes sont disponibles pour l’importation/l’exportation :

  • Définition de variable
    • Type de données
    • Matrices de réaction
    • Attributions
  • Synoptiques
    • Cadres
    • Polices
  • Fonctions
    • Fonctions - Scripts
  • Serveur d'archives
  • Recettes standard
  • Recipe Group Manager
  • Commande temporisée
  • Verrouillages
  • Gestion des menus
  • Gestion des utilisateurs

Ici, vous pouvez exporter tous les objets d’un type ou uniquement les objets sélectionnés.

  • Tous les objets : Dans le gestionnaire de projets, cliquez sur le noeud souhaité -> menu contextuel Exporter tout (XML)
  • Objets sélectionnés Sélectionnez un ou plusieurs objets dans l’affichage détaillé -> Exporter XML (sélection)

Lors de l’importation/l’exportation, les objets sont identifiés par leurs noms et non par leur ID interne, c’est-à-dire que si des objets sont importés dans un autre projet, ils n’auront pas le même ID interne?!

Durant l’importation, une barre de progression affiche l’état de l’importation/exportation.

attention Attention

Si un élément dans le projet et un élément dans le fichier d’importation ont le même nom, alors l’élément dans le projet est écrasé par l’élément du fichier d’importation. (Les seules exceptions sont les types de données)

Les propriétés des objets sont listées dans le fichier d’exportation avec leur nom interne, qui est aussi utilisé pour l’accès depuis VBA.

Les propriétés sont décrites en détail dans l'aide des propriétés d'Editor.

Les propriétés qui n’existent pas dans le fichier d’importation (par exemple, parce qu’elles ont été supprimées) sont renseignées avec les valeurs par défaut pour les éléments qui n’existent pas dans le projet et qui sont donc créés. Si les éléments existent déjà dans le projet, les propriétés manquantes restent inchangées.

Example Exemple

Une variable est importée une première fois sans décalage. Le décalage est donc initialisé avec la valeur par défaut 0. Avec l’importation au format S7, le décalage est modifié en 100. La variable est ensuite réimportée?; le décalage est toujours absent dans le fichier d’importation. Et donc l’offset 100 ne sera pas modifié.

attention Attention

Le fichier XML à importer doit être cohérent. Il n’y a pas de contrôle de cohérence lors de l’importation du fichier. Si le fichier d’importation comporte des erreurs, ceci peut entraîner des effets indésirables, voire même des blocages du logiciel.

Vous devez faire particulièrement attention si toutes les propriétés n’existent pas dans le fichier XML et sont donc remplies avec des valeurs par défaut. Par ex. : Une variable binaire comporte une valeur limite de 300.


Archives

Manuel -> Importation - Exportation -> Archives

Le fichier d’exportation destiné aux archives comporte les sections suivantes :

Liste d’archives

Lors de l’exportation/importation d’archives, les variables ou fonctions liées ne sont pas automatiquement exportées/importées. Vous devez veiller à ce que les variables ou les fonctions nécessaires soient exportées/importées au préalable. Vous pouvez exporter / importer toutes les archives en une seule fois ou alors seulement les archives sélectionnées.


Synoptiques

Manuel -> Importation - Exportation -> Synoptiques

Exportation de synoptiques

Les variables et les fonctions incluses sont exportées avec les synoptiques. Le fichier d’exportation pour les synoptiques comporte les sections suivantes :

  • Synoptiques
  • Cadres
  • Symboles
  • Variables
  • Fonctions

Pour exporter des synoptiques :

  1. Sélectionnez les synoptiques de votre choix.
  2. dans le menu contextuel de la vue de détail, Exporter la sélection en XML....
    Vous pouvez également sélectionner, dans le nœud Synoptique, la commande Exporter tout (XML)
  3. La boîte de dialogue de sélection de l’emplacement d’enregistrement s’ouvre
  4. Sélectionnez l’emplacement d’enregistrement de votre choix
  5. Attribuez un nom
  6. Prêtez attention au type de fichier XML
  7. Confirmez en cliquant sur le bouton Enregistrer

Les synoptiques sélectionnés sont exportés vers un fichier XML, et peuvent être importés à tout instant dans ce projet ou d’autres projets.

Importation de synoptiques

Pour importer les synoptiques :

  1. Dans le menu contextuel du nœud Synoptiques ou la vue de détail Synoptiques, sélectionnez la commande Importer XML...
  2. La boîte de dialogue de sélection de l’emplacement d’enregistrement s’ouvre
  3. Accédez à l’emplacement d’enregistrement du fichier XML souhaité
  4. Sélectionnez le fichier de votre choix
  5. Confirmez l’importation en cliquant sur le bouton Ouvrir.

Les synoptiques sont importés.

Conflits de noms durant l’importation

Lors de l’importation d’un synoptique, le nom (attribut ShortName) conservé dans le fichier XML est utilisé pour le nom du synoptique créé. Si un synoptique portant le même nom existe déjà, l’importation est interrompue et un message d’erreur est affiché :

Paramètre | Description
Oui | Le synoptique décrit dans le message d’erreur est remplacé par le synoptique du fichier XML lors de l’importation. En cas de nouveau conflit, le message d’erreur est affiché une nouvelle fois.
Non | Le synoptique décrit dans le message d’erreur n’est pas importé. Le synoptique existant est conservé. En cas de nouveau conflit, le message d’erreur est affiché une nouvelle fois.
Yes, all (Oui, tous) | Le synoptique décrit dans le message d’erreur est remplacé par le synoptique du fichier XML lors de l’importation. Ce paramètre est utilisé automatiquement lorsqu’une erreur liée à l’utilisation du même nom se produit. Tous les synoptiques affectés sont remplacés.
Non pour tous | Le synoptique décrit dans le message d’erreur n’est pas importé. Le synoptique existant est conservé. Ce paramètre est utilisé automatiquement lorsqu’une erreur liée à l’utilisation du même nom se produit. Tous les synoptiques affectés sont conservés.

Remarque : Seul l’attribut ShortName est utilisé. Le nom de fichier n’a aucune importance au regard des synoptiques devant être importés. Il ne peut donc pas être utilisé pour résoudre le conflit.

Variables et fonctions dans les synoptiques

Les éléments dynamiques et les cadres sont automatiquement importés avec les synoptiques. Les variables et les fonctions doivent être importées manuellement avant, à partir du même fichier.

Seules les variables et fonctions du premier niveau sont traitées, c’est-à-dire les variables et fonctions directement liées au synoptique. Puisque d’une part, des variables peuvent être liées à des fonctions (par exemple, configuration de valeurs) et que des fonctions peuvent être liées à des variables (par exemple, fonctions sur valeurs limites), il peut être nécessaire d’importer d’abord les variables, puis les fonctions et à nouveau les variables. Ainsi, tous les liens seront recréés correctement.

Exemple : Un synoptique contient un bouton comportant une fonction Envoi de valeur associée à une variable. La fonction est importée avec le synoptique, mais sans la variable.

info Informations

Nous recommandons ici l’utilisation des assistants d’importation XML.

Autres sujets abordés dans ce chapitre

Cadres

Polices

Symboles


Cadres

Manuel -> Importation - Exportation -> Synoptiques -> Cadres

Les cadres peuvent être importés/exportés indépendamment des synoptiques.

Les cadres sont exportés avec leurs coordonnées d’origine (dépendant de la résolution de l’écran de l’ordinateur d’origine). Lors de l’importation, vous devez être conscient que les cadres ne sont pas automatiquement adaptés à la résolution de l’écran cible.


Polices

Manuel -> Importation - Exportation -> Synoptiques -> Polices

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Lors de l’exportation de polices, les informations suivantes sont exportées :

  • Liste de polices
  • Polices

Toutes ces données sont automatiquement importées avec les polices.


Symboles

Manuel -> Importation - Exportation -> Synoptiques -> Symboles

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

L’importation/exportation des symboles est possible à partir du projet et de la bibliothèque globale de symboles. Les symboles sélectionnés ou tous les symboles d’une bibliothèque (c’est-à-dire la bibliothèque complète) peuvent être importés ou exportés. Le chemin d’exportation peut être défini librement.

Exportation de symboles

Pour exporter des symboles :

  1. Sélectionnez les symboles de votre choix
  2. Select the Exporter la sélection en XML... command in the context menu of the detail view.
    Alternate: select in the context menu of the project symbol library node, the Exporter tout (XML) command
  3. La boîte de dialogue de sélection de l’emplacement d’enregistrement s’ouvre
  4. Sélectionnez l’emplacement d’enregistrement de votre choix
  5. Attribuez un nom
  6. Prêtez attention au type de fichier XML
  7. Confirmez en cliquant sur le bouton Enregistrer

Les symboles sélectionnés sont exportés vers un fichier XML, et peuvent être importés à tout instant dans ce projet ou d’autres projets.

Importation de symboles

Pour importer des symboles :

  1. Dans le menu contextuel du nœud ou la vue de détail de la Bibliothèque de symboles du projetn ou dans la vue de détail de la Bibliothèque de symboles globale, sélectionnez la commande Importer XML....
  2. La boîte de dialogue de sélection de l’emplacement d’enregistrement s’ouvre
  3. Accédez à l’emplacement d’enregistrement du fichier XML souhaité
  4. Sélectionnez le fichier de votre choix
  5. Confirmez l’importation en cliquant sur le bouton Ouvrir.

Les symboles sont importés.

Conflits de noms durant l’importation

Lors de l’importation d’un symbole, le nom (attribut ShortName) conservé dans le fichier XML est utilisé pour le nom du symbole créé. Si un symbole portant le même nom existe déjà, l’importation est interrompue et un message d’erreur est affiché :

Paramètre | Description
Oui | Le symbole décrit dans le message d’erreur est remplacé par le symbole du fichier XML lors de l’importation. En cas de nouveau conflit, le message d’erreur est affiché une nouvelle fois.
Non | Le symbole décrit dans le message d’erreur n’est pas importé. Le symbole existant est conservé. En cas de nouveau conflit, le message d’erreur est affiché une nouvelle fois.
Yes, all (Oui, tous) | Le symbole décrit dans le message d’erreur est remplacé par le symbole du fichier XML lors de l’importation. Ce paramètre est utilisé automatiquement lorsqu’une erreur liée à l’utilisation du même nom se produit. Tous les symboles affectés sont remplacés.
Non pour tous | Le symbole décrit dans le message d’erreur n’est pas importé. Le symbole existant est conservé. Ce paramètre est utilisé automatiquement lorsqu’une erreur liée à l’utilisation du même nom se produit. Tous les symboles affectés sont conservés.

Remarque : Seul l’attribut ShortName est utilisé. Le nom de fichier n’a aucune importance au regard du symbole devant être importé. Il ne peut donc pas être utilisé pour résoudre le conflit.


Utilisateur

Manuel -> Importation - Exportation -> Utilisateur

Le fichier d’exportation pour les utilisateurs comporte les sections suivantes :

Liste des utilisateurs

Les utilisateurs locaux, qui ont été créés dans le projet, peuvent être exportés/importés.

attention Attention

Les mots de passe des utilisateurs sont exportés dans un format crypté. Ainsi ils ne peuvent pas être modifiés directement dans le fichier d’exportation.


Type de données

Manuel -> Importation - Exportation -> Type de données

Le fichier d’exportation des types de données comporte les sections suivantes :

Liste de types de données

Voir aussi le chapitre : Importation des variables et des types de données.

Autres sujets abordés dans ce chapitre

Création manuelle de types de données


Création manuelle de types de données

Manuel -> Importation - Exportation -> Type de données -> Création manuelle de types de données

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

attention Attention

Seulement pour les experts

Si un type de données doit être défini manuellement dans un fichier XML, les en-têtes suivants doivent être utilisés :

info Informations

<Apartment ShortName=' zenon(R) type list' Version=' 0x00000000' >
<Type TypeID=' 3' IsComplex=' FALSE' >
<Name>UINT</Name>
</Type>
</Apartment>

Les autres propriétés de définition de types ne doivent pas être définies.


Fonctions

Manuel -> Importation - Exportation -> Fonctions

Lors de l’exportation/l'importation des fonctions, les variables, etc. liées ne sont pas automatiquement exportées/importées. Vous devez veiller à ce que les objets nécessaires soient exportés/importés au préalable.

info Informations

À partir de la version 6.50 de zenon, les informations horaires sont enregistrées dans une fonction à base de XML au format UTC (secondes à partir du 01.01.1970, 00:00). Ceci affecte par exemple les fonctions telles que les appels de synoptique sur les types de synoptiques suivants :

  • Liste des alarmes
  • Filtre de liste d’alarmes
  • Maintenance d'archive
  • Liste d'événements
  • Filtre de liste d’événements
  • Extended Trend
  • Production & Facility Scheduler
  • Rapport
  • Filtre de temps

Pour les versions de zenon antérieures à la version 6.50, ces informations sont enregistrées dans un format à base de chaîne (par exemple, 02.01.1970 01:00:00).

Autres sujets abordés dans ce chapitre

Scripts


Scripts

Manuel -> Importation - Exportation -> Fonctions -> Scripts

Le fichier d’exportation pour les scripts comporte les sections suivantes :

Liste de scripts

Lors de l’exportation/l’importation des scripts, les fonctions liées ne sont pas automatiquement exportées/importées. Vous devez veiller à ce que les fonctions nécessaires soient importées/exportées au préalable.

Chaque script a sa propre section dans le fichier d’exportation contenant le nom du script et les noms des fonctions liées.


Menus

Manuel -> Importation - Exportation -> Menus

Le fichier d’exportation pour les menus comporte les sections suivantes :

Liste des menus

Lors de l’exportation/l’importation des menus, les variables, les fonctions, les pages d’aide et les macros liées ne sont pas automatiquement exportées/importées. Vous devez veiller à ce que les variables ou les fonctions requises soient exportées/importées au préalable.


Matrices de réaction

Manuel -> Importation - Exportation -> Matrices de réaction

Le fichier d’exportation pour les matrices de réaction comporte les sections suivantes :

Liste des matrices de réaction


Recettes standard

Manuel -> Importation - Exportation -> Recettes standard

Le fichier d’exportation pour les recettes standard comporte les sections suivantes :

Liste de recettes

Liste de variables

Liste des drivers

Liste de types de données

Les variables incluses sont exportées avec les recettes standard. Les recettes sont importées automatiquement. Les variables doivent être importées manuellement avant à partir du même fichier.

En plus de l’importation/l’exportation XML, les recettes standard peuvent aussi être importées au format ASCII.
Attention : La fonction d’importation au format ASCII permet uniquement d’importer les recettes individuellement.

C’est la valeur du signal d’automate des variables de la recette qui est sauvegardée, et non la valeur avec l’ajustement linéaire (celle visualisée dans les synoptiques). Cette valeur est utilisée en VBA et pour l’exportation de recettes en XML.


Groupes de recettes

Manuel -> Importation - Exportation -> Groupes de recettes

Le fichier d’exportation pour les recettes du module Recipe Group Manager comporte les sections suivantes :

  • Liste de groupes de recettes

Lors de l’exportation/l’importation des groupes de recettes et de leurs recettes, les variables liées ne sont pas automatiquement exportées/importées. Faites attention à ce que les variables nécessaires soient exportées/importées au préalable.

Le fichier XML est basé sur les groupes de recettes, c’est-à-dire que chaque groupe de recettes est importé (avec ses variables, ses recettes et ses valeurs de recettes). Après une importation, les valeurs dans les recettes qui ne se trouvent pas dans le fichier d’importation seront conservées. De même pour les recettes et les variables utilisées.

Lors de l’importation d’une recette unique issue d’un groupe de recettes, ce qui suit s’applique : Le groupe de recettes concerné doit être sélectionné. Si ce n’est pas le cas, un message d’erreur est affiché dans la fenêtre de suivi.

info Informations

En plus du langage XML, le module Recipe Group Manager prend également en charge l’importation de recettes au format ASCII.
Attention : La fonction d’importation au format ASCII permet uniquement d’importer les recettes individuellement.


Variables

Manuel -> Importation - Exportation -> Variables

Les variables peuvent être exportées et importées avec zenon :

  • XML : exportation et importation?; durant l’importation, les fichiers sont analysés et, en cas de conflit, des solutions sont proposées.
  • CSV : Exportation et Importation?; durant l’importation, les données actuelles sont remplacées.
  • DBF : Exportation et Importation?; durant l’importation, les données actuelles sont remplacées.
  • S7 : Importer
  • Projets TwinCAT : Importer

info Informations

Lors de l’importation/l’exportation au format CSV, aucune variable complexe (variables de structure, tableaux) ne peut être importée ou exportée.

Exporter

Le fichier d’exportation pour les variables comporte les sections suivantes :

  • Liste de variables
  • Liste des drivers
  • Liste de types de données

Les drivers et les types de données sont exportés avec les variables. Reportez-vous également au manuel Variables, chapitre Exportation de données.

attention Attention

Dans le fichier XML, il doit absolument y avoir au moins un driver, sinon aucune variable n’est importée?! Veuillez noter aussi que le paramétrage du driver dans le fichier XML est dépendant du projet.

Importer

Lors de l’importation des variables, zenon ouvre une boîte de dialogue dans laquelle les drivers source du fichier XML peuvent être attribués aux drivers cible dans le projet. Toutes les variables du driver source sont alors importées en tant que variables du driver cible. Les types de données sont automatiquement importés avec les variables. Les drivers doivent avoir été créés dans le projet avant l’importation. Voir le chapitre Importation des variables et des types de données.

attention Attention

Les modifications concernant les variables sont rassemblées dans une liste non triée. Par conséquent, lors de l’importation, une seule modification peut être reprise pour chaque variable. Si plusieurs modifications doivent être reprises, plusieurs procédures d’importation doivent être réalisées.

Exemple : Si la même variable est renommée et supprimée durant la même procédure d’importation, l’importation peut également aboutir à la présence d’une variable non supprimée, mais renommée dans le projet.

Importation de variables de structure :

Structures

Les structures qui diffèrent des structures existantes peuvent être importées dans des structures déjà existantes. Les variables reposant sur celles-ci sont adaptées automatiquement.

  • Les éléments de structure sont identifiés par leur nom.
  • Avec les éléments de structure déjà existants, le type est adapté si nécessaire.
  • Les éléments non existants sont ajoutés.
  • Les éléments qui n’existent pas dans le type de données de structure sont supprimés.

Variables inactives

Lors de l’importation des variables de structure, les variables actives et inactives sont importées. Les importations existantes ne sont pas remplacées durant l’importation. Si une variable inactive est importée dans un projet, puis activée, elle reste active même après une nouvelle importation au format XML.

Autres sujets abordés dans ce chapitre

Importation et exportation des variables et des types de données

Importation au format XML

Importer CSV

Exporter CSV

Projets S7

Importation et exportation au format dBase


Importation et exportation des variables et des types de données

Manuel -> Importation - Exportation -> Variables -> Importation et exportation des variables et des types de données

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Lors de l’importation/l’exportation de variables, les conditions suivantes s’appliquent :

  • La procédure d’importation/exportation ne doit pas être lancée depuis le projet global.
  • La procédure doit être lancée par l’intermédiaire des éléments suivants :
    • Menu contextuel des variables ou types de données dans l’arborescence du projet
    • Menu contextuel d’une variable ou d’un type de données
    • Symbole dans les variables de la barre de symboles

attention Attention

Lors de l’importation/le remplacement d’un type existant, toutes les variables basées sur le type de données existant sont modifiées.

Exemple :

Soit un type de données XYZ basé sur le type INT avec des variables liées à ce type de données. Le fichier XML à importer contient également un type de données nommé XYZ, mais basé sur le type STRING. Si ce type de données doit être importé, le type de données existant est remplacé et le type de toutes les variables reposant sur celui-ci est adapté. Par exemple, les variables ne sont plus des variables INT, mais des variables STRING.


Importation au format XML

Manuel -> Importation - Exportation -> Variables -> Importation au format XML

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Lors de l'importation de variables ou de types de données au format XML, ces derniers sont d'abord attribués à un driver, puis analysés. Avant l'importation, l'utilisateur décide si et comment l'élément respectif (variable ou type de données) doit être importé :

  • Importer : L'élément est importé comme un nouvel élément.
  • Remplacer : L'élément est importé et remplace un élément existant.
  • Ne pas importer : L'élément n'est pas importé.

Remarque : Les actions et leurs durées sont affichées sous forme de barre de progression pendant l'importation.

Configuration minimale requise

Les conditions suivantes sont applicables pendant l'importation :

  • Rétrocompatibilité

    Lors de l’importation/exportation au format XML, aucune rétrocompatibilité n’est offerte. Les données provenant de versions antérieures de zenon ne peuvent pas être reprises. Le transfert de données des versions récentes vers les versions antérieures n’est pas pris en charge.

  • Cohérence

    Le fichier XML à importer doit être cohérent. Il n’y a pas de contrôle de cohérence lors de l’importation du fichier. Si le fichier d’importation comporte des erreurs, ceci peut entraîner des effets indésirables au niveau du projet.

    Vous devez prêter une attention particulière à cela, en particulier si toutes les propriétés n’existent pas dans le fichier XML et sont donc renseignées avec des valeurs par défaut. Par exemple : Une variable binaire comporte une valeur limite de 300.

  • Types de données structure

    Les données de type Structure doivent comporter un nombre d’éléments de structure identiques.
    Exemple : Un type de données structure dans le projet comporte trois éléments structure. Un type de données avec le même nom dans le fichier XML comporte quatre éléments structure. Dabs ce cas, aucune des variables basées sur ce type de données ne sera importé dans le projet.

Autres sujets abordés dans ce chapitre

Attribuer le driver

Attribuer un type d’objet driver

Importer

Édition manuelle de fichiers XML de variables


Attribuer le driver

Manuel -> Importation - Exportation -> Variables -> Importation au format XML -> Attribuer le driver

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

La commande Importer ouvre la boîte dialogue d’attribution de drivers :

Pour attribuer un driver :

  1. Sélectionnez le driver dans la table d'attribution.
  2. Sélectionnez le driver souhaité dans la liste de projets actuels.
  3. Cliquez sur Attribuer le driver.

Pour réattribuer un type d'objet driver :

  1. Sélectionnez le driver dans la table d'attribution.
  2. Cliquez sur Attribuer un type d'objet driver.

    La boîte de dialogue d'attribution de types d'objets driver est ouverte.

Pour supprimer une attribution de driver :

  1. Sélectionnez le driver dans la table d'attribution.
  2. Cliquez sur Supprimer l'attribution de driver.

Boîte de dialogue d’attribution de driver

Paramètre | Description
Table d’attribution | Affiche l’attribution actuelle.
Attribuer un type d’objet driver | Ouvre la boîte de dialogue d’attribution des types d’objets drivers.
Supprimer l'attribution de driver | Dissocie les attributions existantes.
Liste des drivers | Dresse la liste de tous les drivers existants du projet.
Créer un nouveau driver | Pour créer un nouveau driver, ouvrez la boîte de dialogue correspondante :
Attribuer le driver | Attribue le driver sélectionné dans la liste de drivers au driver sélectionné dans la table d’attribution.
OK | Applique les paramètres, ferme la boîte de dialogue et démarre l’importation.
Annuler | Abandonne les paramètres et ferme la boîte de dialogue sans effectuer l’importation.
Aide | Ouvre l'aide en ligne.

Créer un nouveau driver

Durant l’importation, vous pouvez créer et attribuer de nouveaux drivers à l’aide du bouton Nouveau driver. Cela ouvre la boîte de dialogue de création et de configuration des nouveaux drivers.


Attribuer un type d’objet driver

Manuel -> Importation - Exportation -> Variables -> Importation au format XML -> Attribuer un type d’objet driver

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Pour réattribuer un type d'objet driver :

  1. Sélectionnez le driver source.
  2. Sélectionnez le type d’objet driver du driver cible.
  3. Cliquez sur Attribuer un type d'objet driver.

Pour supprimer un type d'objet driver :

  1. Sélectionnez le driver source.
  2. Cliquez sur Supprimer l'attribution.

Boîte de dialogue d'attribution de type d'objet driver

Option | Description
Table d’attribution | Affiche l’attribution actuelle.
Annuler une attribution | Dissocie les attributions existantes.
Liste des types d'objet driver du driver cible | Liste des types d’objets driver disponibles.
Attribuer un type d'objet driver | Attribue le type d’objet driver sélectionné au type d’objet driver sélectionné dans la table d’attribution.
OK | Applique les paramètres et ferme la boîte de dialogue.
Annuler | Annule toutes les modifications et ferme la boîte de dialogue.
Aide | Ouvre l'aide en ligne.


Importer

Manuel -> Importation - Exportation -> Variables -> Importation au format XML -> Importer

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Les états et conflits sont affichés avant l'importation des variables.

conflits

Les conflits suivants peuvent être affichés.

  • Le type de données existe déjà et la variable liée ne peut pas être convertie avec le type de données que vous souhaitez importer.
  • Le type de données est un type complexe et les éléments du type existant sont différents des éléments du type à importer en termes de nombre ou de nom.
  • Le type de données est complexe et contient les mêmes éléments, mais les éléments ont un type différent qui ne permet pas la conversion des variables liées.
  • Le type de variable ne peut pas être importé (voir ci-dessus).
  • Le type de variable diffère du type de variable existant (simple/complexe).
  • L’attribution du driver pour la variable est incorrecte (le driver attribué ne supporte pas le type de données correspondant et/ou le domaine concerné).

Boîte de dialogue d'importation

Option

Description

Éléments à importer

Liste des éléments à importer.

Pour les variables complexes, les variables simples correspondantes sont représentées. Les types structure peuvent être étendus et les éléments de structure sont affichés à titre d’information.

Les symboles affichent l'état de l'importation.

  • Vert : L'élément peut être importé.
  • Bleu : Un conflit doit être résolu.
    Par exemple : Le type de données de la variable ne peut être importé.
  • Jaune : Il existe un conflit. L'élément est importé et remplace un élément existant.
    Par exemple : Il existe un élément avec le même nom, mais des paramètres différents, ou il existe un élément identique.

Rouge : Il existe un conflit. L'élément n'est pas importé.

Détails de l’importation :

Décrit l'état de l'importation et offre des solutions en cas de conflit.

Description

Décrit l’état de l’élément.

Actions possibles

Décrit les actions possibles.

Action

Sélection d'une action souhaitée dans la liste déroulante.

S’il n’y a qu’une seule action possible, elle est sélectionnée et ne peut être changée.

Actions disponibles :

  • Importer : L'élément est importé.
    Disponible si la variable ou le type de données n'existe pas encore dans le projet. L'élément est créé dans le projet.
  • Ne pas importer : L'élément n'est pas importé.
    Disponible si la variable ou le type de données existe déjà.
  • Remplacer : L'élément est importé et remplace une version existante.
    Disponible si la variable ou le type de données existe déjà et peut être remplacé.

OK

Accepte les actions sélectionnées, ferme la boîte de dialogue et importe les variables sélectionnées correspondantes.

Annuler

Abandonne l’entrée et annule l’importation des variables.


Édition manuelle de fichiers XML de variables

Manuel -> Importation - Exportation -> Variables -> Importation au format XML -> Édition manuelle de fichiers XML de variables

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Les fichiers XML peuvent être édités avec un programme externe après l’exportation ou avant l’importation.

attention Attention

Nous recommandons que les fichiers XML soient édités uniquement par des experts.
Des importations de fichiers incorrects peuvent conduire à une corruption ou une destruction de votre projet?! Par conséquent, veillez toujours à enregistrer votre projet de l’éditer.

La définition de l’en-tête doit contenir les propriétés suivantes :

Paramètres | Description
ShortName | Nom variable
DriverID | Driver ID (Identifiant de driver) Considérez que l’identification de chaque driver dépend du projet. Vous pouvez obtenir l’identification exacte du driver en créant le driver et une variable associée à ce driver dans le projet, puis en l’exportant en XML.
TypeID | ID du type de données. Attention : l’élément TYPEID dépend aussi du projet. Pour plus de détails, reportez-vous au chapitre relatif à l’importation de types de données.
HWObjectType | Identification du type d’objet driver On définit ici la zone concernée sur l’automate, par ex. la zone de bloc de données, les données de l’automate, entrées, sorties, etc. Tous les types d’objets ne sont pas pris en charge par tous les drivers. Veuillez consulter la documentation du driver correspondant pour connaître la liste des types d’objets qu’il supporte. Les identifications correctes sont listées dans la catégorie tpKanaltypes dans le catalogue d’objets VBA.
HWObjectName | Nom du type d’objet driver Information redondante du HWObjectType. Cette propriété ne sert qu’à titre d’information.
IsComplex | TRUE = variable structurelle FALSE = variable simple
Matrix | Nom de la matrice de réaction liée Cette propriété est vide si aucune matrice de réaction n’est liée.

Trois exemples de syntaxes pour l’édition de fichiers XML :

No. | Exemple | Expression | Commentaire
1. | Création d’une nouvelle variable avec l’importation | <Variable ShortName='WIZ_VAR_10' DriverID='4' TypeID='2' HWObjectType='8' HWObjectName='SPS-Merker' IsComplex='FALSE' Matrix=''> |
2. | Suppression d’une variable existante avec l’importation | <Variable ShortName='WIZ_VAR_10' Delete='TRUE' DriverID='4' TypeID='2' HWObjectType='8' HWObjectName='SPS-Merker' IsComplex='FALSE' Matrix=''> | Si la variable existait dans le projet zenon, vous pouvez la supprimer en utilisant l’attribut Delete. Assurez-vous que l’attribut n’est pas vide. Cela signifie qu’elle doit contenir, par exemple, TRUE ou FALSE. Sinon le contenu de cette entrée n’est pas évalué.
3. | Changement du nom d’une variable existante avec l’importation | <Variable ShortName='WIZ_VAR_10' Delete='TRUE' DriverID='4' TypeID='2' HWObjectType='8' HWObjectName='SPS-Merker' IsComplex='FALSE' Matrix='' NewName='Standard_1'> | Lors d’une modification du nom, la variable est d’abord importée puis renommée. Cela signifie que vous pouvez modifier les propriétés de la variable et la renommer en même temps. S’il y a déjà une variable avec le nouveau nom, la modification du nom échoue. La fenêtre de sortie vous fournit d’autres informations.


Importer CSV

Manuel -> Importation - Exportation -> Variables -> Importer CSV

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

zenon permet d’exporter les variables sous forme de fichiers CSV et de les importer depuis des fichiers CSV, par exemple aux fins de leur édition ultérieure dans Microsoft Excel. Les variables exportées au format CSV sont toujours enregistrées sous forme de fichiers TXT au format Unicode.

Si la limite de compatibilité de Microsoft Excel a été dépassée durant l’exportation et l’exportation a été effectuée malgré l’avertissement, le fichier TXT destiné à l’importation ne contiendra pas toutes les données exportées.

Spécification du format

  • Séparateur : Onglet
  • Extension de fichier : .txt
  • Codage : Le fichier exporté est codé au format Unicode. Le fichier devant être importé doit être codé au format Unicode, lui aussi.

info Informations

L’importation et l’exportation au format CSV ou dBase sont prises en charge?; pas de configuration de variables spécifiques aux drivers, tels que les formules. Utilisation de l’exportation/l’importation au format XML à cette fin.

Compatibilité avec Microsoft Excel

Exportation vers Excel

Pour l’importation correcte des variables exportées sous forme de fichiers CSV dans Microsoft Excel, gardez les aspects suivants à l’esprit :

  • Format :
    Pour que Microsoft Excel utilise le séparateur de décimales adéquat, vous devez définir le format dans les Paramètres régionaux de votre système d’exploitation sur Anglais. Attention : Ce paramètre est obligatoire pour l’utilisation des séparateurs décimaux?; dans le cas contraire, les valeurs seront incorrectement interprétées ou enregistrées.
  • Unicode :
    Les fichiers doivent être enregistrés dans Microsoft Excel au format Texte Unicode (.txt). Ils sont enregistrés sous forme de fichiers TXT. Dans les versions antérieures de Microsoft Excel, la description peut légèrement varier.
    Attention : Si vous utilisez un format différent, les données ne pourront pas être importées correctement?!
  • Signe @ :
    Microsoft Excel n’interprète pas les cellules contenant le signe @ comme du texte, et peut donc ne pas en autoriser l’édition. Vous devez modifier le type (catégorie) de cellule de Standard en Texte pour modifier les cellules contenant des signes @. Pour cela,
    • Marquez la cellule ou la colonne.
    • Cliquez avec le bouton droit sur la cellule et sélectionnez la commande Format des cellules dans le menu contextuel.
    • Dans la boîte de dialogue, sélectionnez la catégorie Texte.
  • Valeurs maximales :
    • Microsoft Excel 97-2003 : 65536 lignes, 256 colonnes
    • Microsoft Excel 2007 : 1048576 lignes, 16384 colonnes

attention Attention

Si les nombres de 16 384 ou 256 colonnes et 1 048 576 ou 65 536 sont dépassés, une boîte de dialogue s’affiche, vous permettant d’exporter un nombre limité de propriétés dynamiques, le cas échéant. Si vous observez la limite, le programme exporte autant de propriétés dynamiques que possible.

Les propriétés statistiques ne sont pas limitées.

Si la suppression des propriétés dynamiques ne suffit pas, un message d’information supplémentaire s’affiche à l’écran.

Pour le nombre maximal de variables, vous devez également observer que l’en-tête occupe une ligne.

Importation depuis Excel

Lors de l’importation depuis Excel, vous ne devez pas supprimer la dernière ligne (ligne vide). Dans le cas contraire, le fichier CSV ne pourra pas être importé dans zenon.

Autres sujets abordés dans ce chapitre

Conditions requises

Suppression ou importation de variables durant l’importation

Compatibilité avec Microsoft Excel

Exemple pour l’importation


Conditions requises

Manuel -> Importation - Exportation -> Variables -> Importer CSV -> Conditions requises

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Définition des formats

Format | Contenu
VariableName | Le nom de la variable
DriverName | Description du driver disponible
DriverType | Type de driver disponible
HWObjectType | Numéro du type d'objet driver. Contrairement aux noms dépendants des langues, celui-ci est toujours unique. Le numéro peut être déterminé par l'exportation d'une variable correspondante ou en se référant à la documentation du driver.
TypeName | Nom du type de données disponible

Contenu

  • Driver du DRIVERTYPE importé?; le DRIVERNAME importé doit exister :
    Si aucun driver possédant le DRIVERTYPE et le DRIVERNAME correspondants ne peut être trouvé, la prochaine étape consiste à tenter de lier la variable à un driver semblable. D’abord, le programme recherche uniquement le DRIVERTYPE, puis le DRIVERNAME. Si aucun driver ne peut être trouvé pour une attribution, la prochaine étape consiste à tenter de lier la variable au driver interne, puis à un driver existant. Si aucun driver n’est disponible ou si la variable ne peut pas être attribuée à un driver, la variable n’est pas importée. La boîte de dialogue d’attribution de driver (reportez-vous au chapitre Importation de variables et de types de données) permet de créer ou de modifier le lien concerné avant l’importation de la variable. Vous pouvez ouvrir cette boîte de dialogue après avoir sélectionné le fichier que vous souhaitez importer.
  • Type de données simple, avec les paramètres TYPENAME et HWOBJECTTYPE: importés.
    Si le type de données comportant le paramètre TYPENAME importé correspondant n’est pas disponible, la variable n’est pas importée. Après que toutes les autres variables aient été exécutées ou importées, la fenêtre de sortie affiche le nombre de variables n’ayant pas pu être importées à cause de types de données manquants.

En-tête

Un en-tête doit exister pour décrire les valeurs des propriétés :
L’en-tête décrit les propriétés basées sur des colonnes. La première entrée de l’en-tête est toujours valide pour la première entrée de la valeur, la deuxième entrée de l’en-tête est toujours valide pour la deuxième entrée de la valeur, et ainsi de suite. Le nombre de champs que contient l’en-tête doit correspondre au nombre maximal de champs de l’ensemble du fichier.

  • Il n’est pas nécessaire que l’en-tête
    se trouve dans la première ligne du fichier, mais il doit se trouver à la première ligne de toutes les lignes.
  • La casse (majuscules/minuscules)
    • N’est pas importante dans l’en-tête.
    • Est prise en compte pour les valeurs des propriétés.
  • L’en-tête doit être concis et complet.
    Si un champ vide (l’espace entre deux séparateurs) se trouve dans l’en-tête, l’importation sera annulée.
    Définition du champ vide : Deux séparateurs successifs entre lesquels ne se trouve aucun contenu.
  • Les espaces situés avant et après le texte
    dans un champ (la présence de guillemets est sans importance) sont interprétés comme tels. Aucun espace n’est supprimé. Par conséquent, la valeur ou le champ doivent être précis.
  • Le séparateur
    ne doit pas être utilisé en bout de ligne, à une exception près : Un champ existant avec une valeur vide.
  • Tous les champs (l’espace entre les séparateurs) dans lesquels se trouve le séparateur doivent être saisis entre guillemets.
    Cela affecte uniquement le champ correspondant. Il n’est pas nécessaire de saisir les autres champs qui ne répondent pas à ces critères entre guillemets. Les tabulations de délimitation sont automatiquement supprimées des champs entre guillemets.
  • Si vous utilisez des guillemets,
    l’intégralité du champ (l’espace entre les séparateurs) doit être saisie entre guillemets et tous les guillemets saisis intentionnellement doivent être doublés. Le nombre de guillemets doit dont être pair.
    Exemple :
    • T"e"st devient "T""e""st"
    • "AB"C" devient """AB""C"""
    • AB"C devient "AB""C"
  • Une valeur vide ne peut pas être représentée de manière valide par deux guillemets n’entourant pas de texte.
  • Les champs vides (deux séparateurs consécutifs)
    sont interprétés comme une entrée inexistante pour cette colonne. Si le champ d’une propriété existant pour la variable est vide et, par conséquent, non défini, la valeur par défaut de la propriété est utilisée.
  • Si le nombre de champs contenant des valeurs est inférieur au nombre de champs défini dans l’en-tête,
    les autres champs inexistants sont interprétés comme des champs vides.
  • Si le nombre de valeurs ou de champs
    contenus dans une ligne est supérieur au nombre de champs déterminé dans l’en-tête, les derniers champs ou valeurs ou les champs ou valeurs affectés sont ignorés.
  • Les points-virgules et les virgules
    peuvent être utilisés librement dans les champs (sans guillemets).
  • Les points
    sont toujours considérés comme des séparateurs décimaux pour les valeurs numériques.
  • Les lignes vides sont autorisées.
    Elles sont ignorées.

Noms, liens et remplacements

  • Chaque variable doit posséder son propre nom dans le fichier.
    Si plusieurs variables portant le même nom existent, la première variable est importée et les autres sont ignorées.
  • Les liens doivent exister.
    Matrice de réaction, fonctions, variables, domaines d’alarmes, groupes d’alarmes/d’événements, classes d’alarmes/d’événements, verrouillages et autres sont uniquement liés durant l’importation s’ils existent dans le projet. Si l’élément n’existe pas sous ce nom, l’élément n’est pas lié. Si une propriété ne peut pas être liée, les propriétés restantes sont importées malgré tout.
  • Les propriétés dynamiques (telles que les valeurs limites) possèdent un identifiant et un numéro de séquence communs.
    Le numéro de séquence commence par 0. La description est semblable au format d’exportation XML. (Par exemple : Limits_8_Active, Limits_8_Text, Limits_8_LimitValue, …)
  • Les variables tableau et les variables de types de données complexes ne sont ni exportées ni importées.
  • Les variables complexes disponibles ne sont pas remplacées durant l’installation.
  • L’importation d’une variable est autorisée su le même nom existe dans un élément enfant d’une variable complexe existante. Si, par exemple, le nom de la variable que vous souhaitez importer est ABC.DEF et la variable DEF dans zenon Editor est une variable enfant de la variable ABC dans Editor, la variable est insérée malgré tout.
  • Toutes les propriétés importées ou exportées possèdent des noms de colonne/d’en-tête semblables à ceux du fichier XML importé ou exporté. Les noms de colonne/d’en-tête sont déterminé de la manière la plus simple, à savoir l’exportation d’une variable correspondante.
  • Certains drivers possèdent des propriétés spécifiques aux drivers. Pour déterminer les noms de colonne/d’en-tête correspondants, la meilleure solution consiste à exporter une variable avec le driver correspondant.

Limitations

Propriétés qui ne sont ni exportées, ni importées :

  • ID_ComplexVariable
  • ID_Complex
  • HWObjectName
  • ID_DriverTyp
  • DriverID
  • TypeID
  • IsComplex
  • Toutes les propriétés IsLocal ou
  • IsSWProtokol, IsSW_Akt et IsSW_VBA


Suppression ou importation de variables durant l’importation

Manuel -> Importation - Exportation -> Variables -> Importer CSV -> Suppression ou importation de variables durant l’importation

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Vous pouvez supprimer ou renommer des variables durant l’importation. La suppression est effectuée par le biais d’une entrée dans le champ KANAL_D. Le changement de nom est effectué par le biais d’une entrée dans le champ KANAL_R. La variable devant être supprimée ou renommée est définie dans le champ VariableName.

Suppression de variables

Les variables sont supprimées si des entrées valides sont détectées dans les champs KANAL_D et VariableName du fichier CSV.

Champ | Fonction | valide si
KANAL_D | Définit la commande de suppression. | 1
VariableName | Nom de la variable devant être supprimée. | Entrée?; ne doit pas être exclusivement constituée de caractères non imprimables

Pour la suppression, vous pouvez utiliser des fichiers CSV contenant uniquement ces deux champs (format court).

Changement de nom d’une variable

Les variables sont renommées si des entrées valides sont détectées dans les champs KANAL_R et VariableName du fichier CSV.

Champ | Fonction | valide si
KANAL_R | Nom original de la variable devant être remplacée. | Entrée?; ne doit pas être exclusivement constituée de caractères non imprimables
VariableName | Nouveau nom de la variable. | Entrée?; ne doit pas être exclusivement constituée de caractères non imprimables

Pour le changement de nom, vous pouvez utiliser des fichiers CSV contenant uniquement ces deux champs (format court).

attention Attention

Si le changement de nom et la suppression sont définis dans la même ligne, la variable est supprimée.

Messages dans la fenêtre d’affichage

Si des variables sont supprimées ou renommées durant l’importation au format CSV, des messages sont affichés dans la fenêtre d’affichage d’Editor, indiquant la réussite ou l’échec des actions :

Message

Niveau

Description

Rename variable '%s' does not exist. (La variable '%s’ devant être renommée n’existe pas.)

Avertissement

La variable devant être renommée, désignée par le nom de variable défini dans le champ KANAL_R, n’existe pas.

Variable '%s' which should be deleted does not exist. (La variable '%s’ qui doit être supprimée n’existe pas.)

Avertissement

La variable devant être supprimée, désignée par le nom de variable défini dans le champ VariableName, n’existe pas.

Variable '%s' was renamed in '%s'. (La variable '%s’ doit être renommée en '%s’.)

Normal

Le changement de nom de la variable a réussi.

Variable '%s' was deleted. (La variable '%s’ a été supprimée.)

Normal

La suppression de la variable a réussi.

%i of %i variable(s) renamed. (%i variable(s) sur %i a (ou ont) été renommée(s).)

Normal

ou avertissement

Ce message est uniquement affiché lorsqu’un changement de nom est effectué avec des champs valides, c’est-à-dire des champs qui ne sont pas vides KANAL_R. Le premier opérateur (%i) correspond au nombre de changements de nom réussis. Le deuxième opérateur correspond au nombre de changements de nom définis.

Si tous les changements de nom n’ont pas pu être effectués avec succès, le résultat comporte l’indication "Avertissement".

%i of %i variable(s) deleted. (%i variable(s) sur %i a (ou ont) été supprimée(s).)

Normal

ou

Avertissement

Ce message est uniquement affiché lors d’une opération de suppression par le biais de champs KANAL_D valides (valeur numérique 1). Le premier opérateur (%i) correspond au nombre de suppressions réussies. Le deuxième opérateur correspond au nombre de suppressions définies.

Si toutes les suppressions n’ont pas pu être effectuées avec succès, le résultat comporte l’indication "Avertissement".


Compatibilité avec Microsoft Excel

Manuel -> Importation - Exportation -> Variables -> Importer CSV -> Compatibilité avec Microsoft Excel

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Exportation vers Excel

Pour l’importation correcte des variables exportées sous forme de fichiers CSV dans Microsoft Excel, gardez les aspects suivants à l’esprit :

  • Format :
    Pour que Microsoft Excel utilise le séparateur de décimales adéquat, vous devez définir le format dans les Paramètres régionaux de votre système d’exploitation sur Anglais. Attention : Ce paramètre est obligatoire pour l’utilisation des séparateurs décimaux?; dans le cas contraire, les valeurs seront incorrectement interprétées ou enregistrées.
  • Unicode :
    Les fichiers doivent être enregistrés dans Microsoft Excel au format Texte Unicode (.txt). Ils sont enregistrés sous forme de fichiers TXT. Dans les versions antérieures de Microsoft Excel, la description peut légèrement varier.
    Attention : Si vous utilisez un format différent, les données ne pourront pas être importées correctement?!
  • Signe @ :
    Microsoft Excel n’interprète pas les cellules contenant le signe @ comme du texte, et peut donc ne pas en autoriser l’édition. Vous devez modifier le type (catégorie) de cellule de Standard en Texte pour modifier les cellules contenant des signes @. Pour cela,
    • Marquez la cellule ou la colonne.
    • Cliquez avec le bouton droit sur la cellule et sélectionnez la commande Format des cellules dans le menu contextuel.
    • Dans la boîte de dialogue, sélectionnez la catégorie Texte.
  • Valeurs maximales :
    • Microsoft Excel 97-2003 : 65536 lignes, 256 colonnes
    • Microsoft Excel 2007 : 1048576 lignes, 16384 colonnes

attention Attention

Si les nombres de 16 384 ou 256 colonnes et 1 048 576 ou 65 536 sont dépassés, une boîte de dialogue s’affiche, vous permettant d’exporter un nombre limité de propriétés dynamiques, le cas échéant. Si vous observez la limite, le programme exporte autant de propriétés dynamiques que possible.

Les propriétés statistiques ne sont pas limitées.

Si la suppression des propriétés dynamiques ne suffit pas, un message d’information supplémentaire s’affiche à l’écran.

Pour le nombre maximal de variables, vous devez également observer que l’en-tête occupe une ligne.

Importation depuis Excel

Lors de l’importation depuis Excel, vous ne devez pas supprimer la dernière ligne (ligne vide). Dans le cas contraire, le fichier CSV ne pourra pas être importé dans zenon.


Exemple pour l’importation

Manuel -> Importation - Exportation -> Variables -> Importer CSV -> Exemple pour l’importation

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Pour l’importation d’une variable, les informations suivantes doivent être fournies dans le fichier :

VariableName | DriverName | DriverType | HWObjectType | TypeName
Tester | MyDriver | Intern | 33 | Type de données MyData

Avant de pouvoir importer le fichier, vous devez vous assurer d’avoir créé un driver appelé MyDriver, de type Interne, dans le projet. Ce driver doit être compatible avec le type de canal ou le HWObjectType. En outre, le type de données MyData doit exister. Lorsque vous sélectionnez le fichier à importer, une boîte de dialogue d’attribution de driver s’affiche. Dans cette boîte de dialogue, toutes les variables à importer d’un driver créé dans le projet peuvent être liées à un autre driver. Si vous souhaitez utiliser le même driver, vous pouvez confirmer la boîte de dialogue directement en cliquant sur OK. Les variables sont ensuite importées.


Exporter CSV

Manuel -> Importation - Exportation -> Variables -> Exporter CSV

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

zenon permet d’exporter les variables sous forme de fichiers CSV et de les importer depuis des fichiers CSV, par exemple aux fins de leur édition ultérieure dans Microsoft Excel.

Exception : Les types de données complexes et les variables tableau ne doivent pas être exportés.

attention Attention

Les données sont exportées sous forme de fichier texte Unicode délimité par des tabulations, avec l’extension de fichier .txt, et non .csv.

Arrière-plan : Microsoft Excel enregistre les fichiers CSV sous forme de fichiers texte ANSI avec le séparateur de colonnes ;. Si les données sont enregistrées au format CSV dans Excel, les données Unicode sont supprimées. Cela endommage alors irrémédiablement les données d’exportation du projet.

Options d’exportation

  1. Exportation de toutes les variables exportables dans le projet
  2. Exportation de variables exportables sélectionnées
    • Disponible uniquement si au moins une variable exportable a été sélectionnée

Durant l’exportation des variables, une boîte de dialogue s’affiche, vous permettant de choisir l’emplacement de sauvegarde et le nom du fichier. L’extension de fichier est prédéfinie (.txt).

Si le fichier que vous souhaitez exporter et modifier dans Microsoft Excel contient trop de propriétés, plusieurs possibilités s’offrent à vous :

  • Supprimer des propriétés ou des lignes :
    Une partie seulement, par exemple, des valeurs limites ou des variables est exportée (en fonction de la limitation). Notamment, les informations qui ne peuvent pas être traitées par des versions antérieures de Microsoft Excel ne seront pas exportées. Le fichier exporté peut être modifié avec un programme externe.
  • Exporter toutes les propriétés
  • Annuler l’exportation

Compatibilité avec Microsoft Excel

Exportation vers Excel

Pour l’importation correcte des variables exportées sous forme de fichiers CSV dans Microsoft Excel, gardez les aspects suivants à l’esprit :

  • Format :
    Pour que Microsoft Excel utilise le séparateur de décimales adéquat, vous devez définir le format dans les Paramètres régionaux de votre système d’exploitation sur Anglais. Attention : Ce paramètre est obligatoire pour l’utilisation des séparateurs décimaux?; dans le cas contraire, les valeurs seront incorrectement interprétées ou enregistrées.
  • Unicode :
    Les fichiers doivent être enregistrés dans Microsoft Excel au format Texte Unicode (.txt). Ils sont enregistrés sous forme de fichiers TXT. Dans les versions antérieures de Microsoft Excel, la description peut légèrement varier.
    Attention : Si vous utilisez un format différent, les données ne pourront pas être importées correctement?!
  • Signe @ :
    Microsoft Excel n’interprète pas les cellules contenant le signe @ comme du texte, et peut donc ne pas en autoriser l’édition. Vous devez modifier le type (catégorie) de cellule de Standard en Texte pour modifier les cellules contenant des signes @. Pour cela,
    • Marquez la cellule ou la colonne.
    • Cliquez avec le bouton droit sur la cellule et sélectionnez la commande Format des cellules dans le menu contextuel.
    • Dans la boîte de dialogue, sélectionnez la catégorie Texte.
  • Valeurs maximales :
    • Microsoft Excel 97-2003 : 65536 lignes, 256 colonnes
    • Microsoft Excel 2007 : 1048576 lignes, 16384 colonnes

attention Attention

Si les nombres de 16 384 ou 256 colonnes et 1 048 576 ou 65 536 sont dépassés, une boîte de dialogue s’affiche, vous permettant d’exporter un nombre limité de propriétés dynamiques, le cas échéant. Si vous observez la limite, le programme exporte autant de propriétés dynamiques que possible.

Les propriétés statistiques ne sont pas limitées.

Si la suppression des propriétés dynamiques ne suffit pas, un message d’information supplémentaire s’affiche à l’écran.

Pour le nombre maximal de variables, vous devez également observer que l’en-tête occupe une ligne.

Importation depuis Excel

Lors de l’importation depuis Excel, vous ne devez pas supprimer la dernière ligne (ligne vide). Dans le cas contraire, le fichier CSV ne pourra pas être importé dans zenon.


Projets S7

Manuel -> Importation - Exportation -> Variables -> Projets S7

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

zenon autorise l’importation de projets Step 7. Lors de l’importation d’un projet Step 7, les variables correspondantes sont créées dans zenon.

Différentes règles définies peuvent être appliquées pour la conversion des noms de variables existantes issues de projets Step 7 lors de l’importation dans zenon.

Redondance

Seul le premier processeur détecté par station est proposé pour l’importation.

Autres sujets abordés dans ce chapitre

Conditions requises pour l’importation de variables de projets Step 7

Boîte de dialogue d’importation de projet S7

Sélection des variables


Conditions requises pour l’importation de variables de projets Step 7

Manuel -> Importation - Exportation -> Variables -> Projets S7 -> Conditions requises pour l’importation de variables de projets Step 7

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Pour pouvoir importer des variables depuis un projet Step 7 dans zenon :

  • Le projet Step 7 doit être disponible localement, sur le disque dur ou sur le réseau.
  • Le projet Step 7 ne doit pas être ouvert dans un dossier de programme Step 7 dans S7 Simatic Manager.
    Si c’est le cas, l’importation peut échouer, selon l’accès exclusif assuré par S7 Simatic Manager. Les stations, par exemple, sont ensuite illustrées.
  • Tout doit être traduit en langage Step 7 ou PC S7, afin que tous les objets dans zenon puissent être transférés.
  • Les projets issus des versions 11 et suivantes de Step 7 doivent donc, avant l’importation dans zenon, être exportés avec Variable Export Manager.

info Informations

Pour l’importation de projets PCS7, le sous-répertoire CSV_export est nécessaire. Dans ce sous-répertoire doit se trouver un fichier CSV pour chaque poste du projet?; celui-ci doit porter le même nom que le poste. Pour l’importation, les noms hiérarchiques contenus dans ce fichier sont utilisés.

Facteurs particuliers lors de l’importation de variables depuis Step 7 version 11

À partir de la version 11, Step 7 forme partie de l’infrastructure TIA de Siemens. Pour l’importation de variables dans zenon, les variables d’un projet TIA Step 7 doivent donc, avant l’exportation dans zenon, être exportées avec Variable Export Manager.

tutorial Informations concernant la licence

Les variables Step 7 issues des versions 11 et suivantes de Step 7 doivent donc, avant l’importation dans zenon, être exportées avec Variable Export Manager.

Cet outil est inclus dans la licence standard d’Editor et du Runtime.

Autres sujets abordés dans ce chapitre

Variable Export Manager

Interface utilisateur de Variable Export Manager

Exportation de variables - Variable Export Manager.


Variable Export Manager

Manuel -> Importation - Exportation -> Variables -> Projets S7 -> Conditions requises pour l’importation de variables de projets Step 7 -> Variable Export Manager

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Avec Variable Export Manager, vous pouvez exportez des variables depuis Step 7 (versions 11 et suivantes) et les préparer pour l’importation dans zenon.

Dans ce cas, veuillez noter que différentes versions de Variable Export Manager sont utilisées pour les versions 11, 12 et 13 de TIA.

Présentation

  • Step 7, avant version 11 :
    Importation automatique?; aucune étape supplémentaire requise.
  • Step 7 versions 11 et 12 :
    Exportation d’un projet S7 via CD_TIAProject_Exporter.exe
    (emplacement d’enregistrement : C:\Program files (x86)\COPA-DATA\zenon 7.60 SP0\)

    Importation dans zenon via la fonction Importation avancée.

  • Step 7 Version 13 :
    Exportation de projets S7 via CD_TIA13Project_Exporter.exe
    (emplacement d’enregistrement : C:\Program files (x86)\COPA-DATA\zenon 7.60 SP0\)
    Importation dans zenon via Importation avancée.

Configuration minimale requise

Pour préparer l’importation de variables de projets Step 7 dans zenon, les conditions suivantes doivent être réunies sur l’ordinateur d’exportation :

  • Le logiciel TIA de Siemens correspondant doit être installé
  • L’outil Variable Export Manager doit être présent.
    Pour utiliser Variable Export Manager, copiez le programme correspondant depuis le dossier d’installation de zenon ou le support d’installation de zenon vers l’ordinateur sur lequel sera utilisé l’outil Variable Export Manager.


Interface utilisateur de Variable Export Manager

Manuel -> Importation - Exportation -> Variables -> Projets S7 -> Conditions requises pour l’importation de variables de projets Step 7 -> Interface utilisateur de Variable Export Manager

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Paramètres | Description
Barre de progression | Affiche la progression de la procédure d’exportation.
Export | Démarre une nouvelle exportation. Disponible dès que l’exportation précédente est terminée.
Cancel | Annule l’exportation.
Close | Ferme l’application Variable Export Manager. Remarque : Inactive lorsqu’une importation est en cours.

info Informations

Variable Export Manager est uniquement disponible en anglais, quelle que soit la version.


Exportation de variables - Variable Export Manager.

Manuel -> Importation - Exportation -> Variables -> Projets S7 -> Conditions requises pour l’importation de variables de projets Step 7 -> Exportation de variables - Variable Export Manager.

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Pour exporter des variables depuis Step 7 version 11 :

  1. Démarrez Variable Export Manager.
    Remarque : Assurez-vous d’avoir démarré la version correcte de Variable Export Manager.
  2. La boîte de dialogue de sélection de projet Step 7 s’affiche.
  3. Sélectionnez le projet souhaité.
    Remarque : Les projets TIA comportent l’extension de fichier .ap11, .ap12 ou .ap13.
  4. Cliquez sur le bouton Open pour continuer.
  5. La boîte de dialogue de sélection de l’emplacement d’enregistrement et du nom s’affiche.
  6. Sélectionnez un emplacement et sauvegarde et le nom du fichier.
  7. Confirmez la saisie en cliquant sur Save.
  8. L’exportation démarre
  9. Copiez le fichier exporté sur l’ordinateur depuis lequel doit se dérouler l’importation dans zenon.
  10. Poursuivez la procédure d’importation S7 habituelle.


Boîte de dialogue d’importation de projet S7

Manuel -> Importation - Exportation -> Variables -> Projets S7 -> Boîte de dialogue d’importation de projet S7

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Sélection de projet

Paramètres | Description
Fichier du projet S7 | Emplacement d’enregistrement et nom du fichier d’importation sélectionné. Remarque : les suffixes de fichier possibles sont .zst et .s7p.
... | Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection du fichier d’importation.
Driver cible | Affichage du driver sélectionné. Remarque : Cet affichage est uniquement fourni à des fins d’information. Aucune modification ne peut être effectuée dans cette boîte de dialogue.
Structure du projet | Affiche la structure du fichier d’importation ou du fichier de projet sélectionné. L’arborescence peut être développée en cliquant sur [+] ou réduite en cliquant sur [-].

Options

Paramètres | Description
Uniquement les variables OaM | Si cette option est active, seules les variables « Operate and Monitor » (OaM, fonctionnement et surveillance) sont importées. Par défaut : Inactive

Nom de variable

Paramètres | Description
Les noms sont créés en fonction des niveaux technologiques. | Sélectionnez les niveaux technologiques (1 à 5 et circulaire) de programmation CFC que vous souhaitez utiliser pour nommer les variables. Par défaut : Tous les niveaux, cercle inclus, sont activés.
Séparateur | Sélection du caractère de séparation des niveaux technologiques sélectionnés. Par défaut : \
Nomenclature interne | La nomenclature interne est utilisée pour les noms des objets créés. Exemple : S0 (pour l’adresse réseau = 0)
Nomenclature WinCC | La nomenclature WinCC est utilisée pour les noms des objets créés. Exemple : Programme S7
Combiné | Utilise à la fois les nomenclatures interne et WinCC pour les noms des objets créés. Un point (.) est utilisé en tant que séparateur de colonnes.

Cible de l’importation

Paramètres

Description

Liste de variables

Les variables sont importées dans la liste de variables zenon.

Durant l’importation, une vérification est effectuée pour déterminer si une variable avec le nom correspondant existe déjà. Si c’est le cas, les attributs spécifiques à zenon sont conservés. Une fusion comparative des variables importées et des variables existantes est donc effectuée.

Remarque : Si le même projet est importé avec des conventions de nommage différentes (nomenclatures), les variables sont également recréées. La fusion des variables existantes n’est alors pas effectuée.

Lors de la réimportation d’un projet déjà importé, vous devez donc vous assurer de sélectionner la même nomenclature que lors de l’exportation initiale.

Fichier

Les variables sont importées dans le fichier spécifié (*.dbf). Vous pouvez modifier ce fichier et l’importer dans zenon.

Chemin et nom de fichier

Active uniquement si l’option Fichier a été sélectionnée comme Destination d’importation.
Pour saisir le nom de fichier et le chemin, cliquez sur le bouton « ... ».

...

Ouvre la boîte de dialogue de sélection d’un chemin de destination et de saisie du nom de fichier de destination.

Remarque : tenez compte des tailles limitées des champs du fichier DBF. Si les tailles de champ sont dépassées, certaines informations risquent d’être perdues durant l’importation.

Active uniquement si l’option Fichier a été sélectionnée en tant que destination d’importation.

Navigation

Paramètres | Description
Exécuter | Démarre l’importation. La boîte de dialogue de sélection des stations s’affiche.
Annuler | Discards all changes and closes the dialog.
Aide | Ouvre l'aide en ligne.

info Informations

Les paramètres de la boîte de dialogue d’importation sont rémanents et sont enregistrés. Les derniers paramètres utilisés sont affichés lors de la prochaine ouverture de la boîte de dialogue.

Autres sujets abordés dans ce chapitre

Importation de projets Step 7 dans COPA-DATA


Importation de projets Step 7 dans COPA-DATA

Manuel -> Importation - Exportation -> Variables -> Projets S7 -> Boîte de dialogue d’importation de projet S7 -> Importation de projets Step 7 dans COPA-DATA

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Pour importer des projets Step 7 :

  1. Dans zenon Editor, accédez au nœud Variables.
  2. Cliquez avec le bouton droit de la souris sur le nœud Variables.
  3. Dans le menu contextuel, sélectionnez la commande Importation/exportation avancée -> Importer projet S7.
  4. La boîte de dialogue de sélection de driver s’affiche.
  5. Sélectionnez le driver souhaité dans la boîte de dialogue de sélection.
  6. Cliquez sur le bouton OK.
  7. L’assistant d’importation démarre.
  8. Suivez les étapes définies dans l’assistant d’importation.
    1. Sélectionnez le projet souhaité.
    2. Sélectionnez les postes de votre choix
    3. Configurez les postes.
    4. Sélection des variables

Autres sujets abordés dans ce chapitre

Sélectionner les postes

Paramétrage du poste


Sélectionner les postes

Manuel -> Importation - Exportation -> Variables -> Projets S7 -> Boîte de dialogue d’importation de projet S7 -> Importation de projets Step 7 dans COPA-DATA -> Sélectionner les postes

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Sélectionner les postes

Sélectionnez les postes de votre choix

Postes disponibles

Paramètres

Description

Liste de postes

Liste des postes du fichier de projet sélectionné.

  • Adresse réseau
  • Préfixe
  • Station
  • Processeur

Remarque :

  • La liste peut être triée, et une sélection multiple est possible.
  • CPU : Seul le premier processeur détecté par station est proposé pour l’importation.

Sélectionner tout

Sélectionne toutes les stations listées.

Paramètres...

Ouvre la boîte de dialogue des Paramètres de la station.
Cette boîte de dialogue offre des possibilités de filtrage supplémentaires pour l’importation de la liste de variables.

Navigation

Paramètres | Description
OK | Accepte la sélection et ouvre la boîte de dialogue de sélection de variables. Remarque : En fonction de la taille du projet Step 7, cette procédure peut demander un certain temps.
Annuler | Annule toutes les modifications et ferme la boîte de dialogue.
Aide | Ouvre l'aide en ligne.


Paramétrage du poste

Manuel -> Importation - Exportation -> Variables -> Projets S7 -> Boîte de dialogue d’importation de projet S7 -> Importation de projets Step 7 dans COPA-DATA -> Paramétrage du poste

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Paramétrage du poste

Dans cette boîte de dialogue, vous pouvez définir des filtres et modifier différents réglages. Par exemple, il est uniquement possible de filtrer les variables associées à un certain type de données ou les variables issues d’un ou plusieurs blocs de données. En outre, d’autres exigences concernant l’attribution de noms de variables peuvent être gérées par l’intermédiaire de cette boîte de dialogue.

Ces paramètres influencent la liste de variables proposée dans la boîte de dialogue de sélection de variables.

Paramètres

Paramètre | Description
Adresse réseau | Indique l’Adresse réseau et affecte le nom du poste. Par défaut : 1 Remarque : Commence toujours par un zéro (0).

Préfiltre

Filtrage des variables devant être importées en fonction des blocs de données et des types de données.

Paramètre

Description

Active

Active le préfiltrage en fonction des éléments suivants :

  • Blocs de données
  • Type de données
  • Domaines

Actif : utilise les variables et les types de données affichés dans la liste en tant que « préfiltre ». Les différences entre Step 7 et zenon ne sont pas affichées.

Inactive : Tous les types de données et les variables de Step 7 et de zenon sont comparés durant l’importation. Les différences sont affichées. Vous êtes invité à indiquer si vous souhaitez supprimer ou fusionner les éléments non présents.

Par défaut : Inactive

Blocs de données

Liste des blocs de données présents dans le projet Step 7.

Sélectionnez les blocs de données depuis lesquels vous souhaitez importer les variables.

L’option Remarque : Indication grisée si le préfiltrage n’est pas activé. est également grisée si l’option Aucun bloc est activée dans la section Domaines.

Une sélection multiple est possible.

Type de données

Liste de types de données.
Seules les variables reposant sur les types de données sélectionnés sont prises en compte lors de l’importation de variables.

Sélectionnez les types de données reposant sur les variables que vous souhaitez importer.

Remarque : Indication grisée si le préfiltrage n’est pas activé. Une sélection multiple est possible.

Domaines

Sélectionnez le domaine dans lequel vous souhaitez rechercher les variables.

  • Tous les domaines
  • Uniquement les blocs
  • Aucun bloc
    Désactive la possibilité de préfiltrer les variables en fonction des blocs de données.

Options

Critères de filtre comparant déjà les variables présentes dans zenon avec les variables à importer.

Paramètre | Description
Proposer uniquement les variables indisponibles | Seules les variables qui n’existent pas dans zenon sont disponibles à l’importation.
Afficher uniquement les variables disponibles | Les variables déjà existantes sont recherchées. Ces éléments peuvent être fusionnés durant l’importation.
Rechercher les variables à supprimer | Lorsque vous avez sélectionné les variables, toutes les variables qui ne sont pas disponibles dans le projet Step 7 sont affichées. Elles peuvent être supprimées du projet zenon. Remarque : Cette option ne peut pas être sélectionnée si le préfiltrage n’a pas été activé.
Attribution aux variables existantes selon l’adresse, au lieu du nom | Active : Les variables de drivers déjà existantes sont fusionnées à l’aide de l’adresse de la variable, au lieu du nom. Il est ainsi possible d’accepter les noms modifiés issus d’un projet Step 7. Par défaut : Inactive

Préfixe

Paramètre supplémentaire pour le nommage des variables devant être importées.

Paramètre

Description

Aucun

Les variables importées ne reçoivent pas un préfixe avant le nom.

Adresse réseau

L’adresse réseau est attribuée aux noms importés, suivie d’un point inséré?; cette expression est insérée en préfixe, avant le nom.

Entrée libre

Les variables importées ne reçoivent pas de préfixe librement sélectionnable avant le nom de la variable.

Lors de l’importation d’une variable, le préfixe saisi est inséré devant le nom de la variable, séparé de celui-ci par un point.

Remarque : Assurez-vous de réutiliser le même préfixe si vous répétez la procédure d’importation. Dans le cas contraire, les variables seront créées deux fois.

Champ de saisie

Champ de texte pour la saisie du préfixe.
Remarque : Le champ de saisie est uniquement actif si l’option Saisie libre a été sélectionnée.

Navigation

Paramètre | Description
OK | Accepte la sélection et vous renvoie à la boîte de dialogue de sélection de stations. Remarque : En fonction de la taille du projet Step 7, cette procédure peut demander un certain temps.
Annuler | Annule toutes les modifications et ferme la boîte de dialogue.
Aide | Ouvre l'aide en ligne.


Sélection des variables

Manuel -> Importation - Exportation -> Variables -> Projets S7 -> Sélection des variables

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Toutes les variables présentes pour l’importation sont affichées dans cette boîte de dialogue. Cette liste est le résultat de la configuration dans les boîtes de dialogue précédentes.

Variables existantes

Paramètres

Description

Projet

Arborescence de projet du projet Step 7 original.

Cette vue d’ensemble peut être développée en cliquant sur [+] ou être réduite en cliquant sur [-]. Lorsque vous avez sélectionné le projet, les variables Step 7contenues dans le projet sont créées dans la liste de variables.

Liste de variables

Liste de toutes les variables disponibles pour l’importation de variables.

  • Nom de la variable
  • Commentaire
  • Domaine de donnée
  • Type de données
  • Bloc de données
  • Offset
  • Bit
  • Attributs
  • Informations concernant l’adresse.

Dans cette liste, sélectionnez les variables que vous souhaitez importer dans zenon.

Remarque : La liste peut être triée et filtrée. La liste peut être modifiée en cliquant sur le bouton droit de la souris et en sélectionnant l’option de menu Format des colonnes....

Variables à importer

Paramètres | Description
Liste des variables sélectionnées | Sélectionnez les variables que vous souhaitez importer dans la liste de variables. Cliquez sur le bouton Ajouter pour les accepter.
Ajouter | Ajoute les variables sélectionnées provenant de la fenêtre d’aperçu des variables à la liste de variables à importer.
Détacher | Retire les variables sélectionnées de la liste de variables à importer.

Fermer boîte de dialogue

Paramètres | Description
OK | Applique les paramètres et ferme la boîte de dialogue. Les variables issues du projet Step 7 sont importées conformément aux paramètres définis dans zenon.
Annuler | Annule toutes les modifications et ferme la boîte de dialogue. Cliquez ici pour revenir à la boîte de dialogue Importer un projet S7.
Aide | Ouvre l'aide en ligne.

Vous pouvez sélectionner l’ensemble du projet ou des stations uniques dans l’arborescence. Les variables correspondantes sont représentées dans la fenêtre d’aperçu des variables, en fonction de la sélection. Sélectionnez les variables souhaitées, puis cliquez sur le bouton Ajouter pour ajouter la variable à l’importation. Les variables sélectionnées sont affichées dans la partie inférieure de la boîte de dialogue. Pour supprimer des variables ici, sélectionnez les variables de votre choix et cliquez sur le bouton Supprimer.

Informations concernant info

Pour sélectionner plusieurs entrées à la fois, utilisez la combinaison de touches Ctrl+clic ou Maj+clic.

  • Vous pouvez sélectionner plusieurs entrées en maintenant la touche Ctrl enfoncée.
  • En maintenant la touche Maj enfoncée pendant que vous sélectionnez deux entrées, vous sélectionnez toutes les entrées situées entre les deux entrées sélectionnées.
  • En maintenant les touches Ctrl et Maj enfoncées pendant que vous sélectionnez deux entrées, vous sélectionnez toutes les entrées situées entre les entrées sélectionnées. Les entrées préalablement sélectionnées restent sélectionnées.

Lorsque vous avez terminé, cliquez sur le bouton OK pour fermer la boîte de dialogue et confirmer les modifications que vous avez apportées. Les variables sont créées dans zenon.


Importation et exportation au format dBase

Manuel -> Importation - Exportation -> Variables -> Importation et exportation au format dBase

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Les données peuvent être exportées vers et importées depuis dBase.

info Informations

L’importation et l’exportation au format CSV ou dBase sont prises en charge?; pas de configuration de variables spécifiques aux drivers, tels que les formules. Utilisation de l’exportation/l’importation au format XML à cette fin.

Importer un fichier DBF

Pour démarrer l’importation :

  1. Cliquez avec le bouton droit sur la liste de variables
  2. Dans le menu déroulant de la boîte de dialogue Exportation/importation étendue..., sélectionnez l’option Importation dBase...
  3. Suivez les consignes de l’assistant d’importation

Le format du fichier est décrit dans le chapitre Structure des fichiers.

info Informations

Remarque :

  • Le type d’objet driver et le type de données doivent être modifiés au niveau du driver cible, dans le fichier DBF, pour que les variables soient importées.
  • dBase ne prend pas en charge les structures ou les tableaux (variables complexes) lors de l’importation.

Exporter un fichier DBF

Pour démarrer l’exportation :

  1. Cliquez avec le bouton droit sur la liste de variables
  2. Dans le menu déroulant de la boîte de dialogue Exportation/importation étendue..., sélectionnez l’option Exportation dBase...
  3. Suivez les consignes de l’assistant d’exportation

attention Attention

Les fichiers DBF :

  • doivent être conformes au format de fichier DOS 8.3 pour les noms de fichier (8 caractères alphanumériques pour le nom, 3 caractères pour le suffixe, pas d’espace)
  • Ne doivent pas comporter de points (.) dans le nom du chemin.
    Par exemple, le chemin C:\users\John.Smith\test.dbf n’est pas valide.
    Valide : C:\users\JohnSmith\test.dbf
  • doivent être enregistrés à proximité du répertoire racine, afin de ne pas dépasser la limite de longueur applicable aux noms de fichier, chemin inclus : maximum 255 caractères.

Le format du fichier est décrit dans le chapitre Structure des fichiers.

info Informations

dBase ne prend pas en charge les structures ou les tableaux (variables complexes) lors de l’exportation.

Autres sujets abordés dans ce chapitre

Fichier de variable dBase IV


Fichier de variable dBase IV

Manuel -> Importation - Exportation -> Variables -> Importation et exportation au format dBase -> Fichier de variable dBase IV

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Pour assurer l’importation et l’exportation de variables, le fichier dBase IV doit posséder la structure et le contenu suivants :

attention Attention

dBase ne prend pas en charge les structures ou les tableaux (variables complexes) lors de l’exportation.

Les fichiers DBF doivent :

  • Posséder un nom conforme au format DOS 8.3 (8 caractères alphanumériques pour le nom, 3 caractères pour l'extension, pas d'espace)
  • Être conservés à proximité du répertoire racine (Root)

Structure

Identification | Type | Taille de champ | Commentaire
KANALNAME | Char | 128 | Nom de la variable. La longueur peut être limitée à l’aide de l’entrée MAX_LAENGE dans le fichier project.ini .
KANAL_R | C | 128 | Le nom original d’une variable devant être remplacée par le nouveau nom saisi sous VARIABLENNAME (le contenu du champ/de la colonne doit être saisi manuellement). La longueur peut être limitée à l’aide de l’entrée MAX_LAENGE dans le fichier project.ini .
KANAL_D | Log | 1 | La variable est supprimée avec l’entrée 1 (le contenu du champ/de la colonne doit être saisi manuellement).
TAGNR | C | 128 | Identification. La longueur peut être limitée à l’aide de l’entrée MAX_LAENGE dans le fichier project.ini .
EINHEIT | C | 11 | Unité technique
DATENART | C | 3 | Type de données (par exemple bit, octet, word, etc.)?; correspond au type de données.
KANALTYP | C | 3 | Zone mémoire dans l’automate (par exemple, zone de marqueur, zone de données, etc.)?; correspond au type d’objet de driver.
HWKANAL | Num | 3 | Adresse réseau
BAUSTEIN | N | 3 | Adresse de blocs de données (uniquement pour les variables de la zone de données de l’automate)
ADRESSE | N | 5 | Offset
BITADR | N | 2 | Pour les variables bit : adresse du bit Pour les variables de type octet : 0=octet de poids faible, 8 octets de poids fort ?Pour les variables de type chaîne de caractères : Longueur de la chaîne (max 63 caractères)
ARRAYSIZE | N | 16 | Nombre de variables dans le tableau pour les variables indexées ATTENTION : Seule la première variable est complètement disponible. Toutes les autres ne sont disponibles que pour le VBA ou le module Recipe Group Manager.
LES_SCHR | L | 1 | Autorisation-Lecture-Écriture, 0 : Pas d’autorisation pour forcer les variables. 1: Autorisation de définir la valeur.
MIT_ZEIT | R | 1 | Horodatage dans zenon (uniquement si pris en charge par le driver)
OBJEKT | N | 2 | Numéro d’identification de l’objet primitif spécifique au driver Inclut TREIBER-OBJEKTTYP et DATENTYP
SIGMIN | Flottant | 16 | Signal non linéaire – minimum (résolution du signal)
SIGMAX | F | 16 | Signal non linéaire – maximum (résolution du signal)
ANZMIN | F | 16 | Valeur technique - minimum (plage de mesures)
ANZMAX | F | 16 | Valeur technique - maximum (plage de mesures)
ANZKOMMA | N | 1 | Nombre de décimales pour l’affichage des valeurs (plage de mesures)
UPDATERATE | F | 19 | Intervalle d’actualisation des variables mathématiques (en secondes, une décimale possible) Non utilisée pour toutes les autres variables
MEMTIEFE | N | 7 | Uniquement pour des raisons de compatibilité
HDRATE | F | 19 | Période de rafraîchissement HD pour les valeurs consignées dans l’historique (en secondes, une décimale possible)
HDTIEFE | N | 7 | Profondeur de spécification HD des valeurs historiques (nombre)
NACHSORT | R | 1 | Les données HD sous forme de valeurs post-triées
DRRATE | F | 19 | Mise à jour de la sortie (pour le serveur DDE de zenon, en [s], une décimale possible)
HYST_PLUS | F | 16 | Hystérésis positif, dans la plage de mesures
HYST_MINUS | F | 16 | Hystérésis négative, dans la plage de mesures
PRIOR | N | 16 | Priorité de la variable
REAMATRIZE | C | 32 | Matrice de réaction attribuée
ERSATZWERT | F | 16 | Valeur de remplacement dans la plage de mesures
SOLLMIN | F | 16 | Valeur minimum pour les actions d’envoi de valeur prescrite, dans la plage de mesures
SOLLMAX | F | 16 | Valeur maximum pour les actions d’envoi de valeur prescrite, dans la plage de mesures
VOMSTANDBY | R | 1 | Obtention de la valeur auprès du serveur redondant?; la valeur de la variable n’est pas demandée par le serveur, mais par le serveur redondant sur les réseaux redondants.
RESOURCE | C | 128 | Identifiant de ressources Chaîne de caractères libre pour l’exportation et l’affichage dans les listes. La longueur peut être limitée à l’aide de l’entrée MAX_LAENGE dans le fichier project.ini .
ADJWVBA | R | 1 | Ajustement de valeur non linéaire : 0 : l’ajustement de valeur non linéaire est utilisé. 1 : L’ajustement non linéaire n’est pas utilisé.
ADJZENON | C | 128 | Macro VBA liée pour lire la valeur de la variable pour l’ajustement non linéaire.
ADJWVBA | C | 128 | Macro VBA liée pour écrire la valeur de la variable pour l’ajustement non linéaire.
ZWREMA | N | 16 | Compteur REMA lié.
MAXGRAD | N | 16 | Dépassement gradient pour le compteur REMA.

attention Attention

Lors de l’importation, le type d’objet de driver et le type de données doivent être modifiés au niveau du driver cible dans le fichier DBF, pour que les variables soient importées.

Dépassement de valeur limite

Définition de limite pour les valeurs limites 1 à 4 ou l’état 1 à 4 :

Identification | Type | Taille de champ | Commentaire
AKTIV1 | R | 1 | Valeur limite active (par valeur limite disponible)
GRENZWERT1 | F | 20 | Valeur technique ou identifiant d’une variable liée pour une valeur limite dynamique (voir VARIABLEx) (si VARIABLEx est égal à 1 et ici à -1, le lien existant vers une variable n’est pas remplacé).
SCHWWERT1 | F | 16 | Valeur de seuil de la valeur limite
HYSTERESE1 | F | 14 | Non utilisé
BLINKEN1 | R | 1 | Définition de l’attribut de clignotement
BTB1 | R | 1 | Enregistrer dans la liste d’événements
ALARM1 | R | 1 | Alarme
DRUCKEN1 | R | 1 | Sortie sur imprimante (pour liste CEL ou liste d’alarmes)
QUITTIER1 | R | 1 | Acquittement nécessaire
LOESCHE1 | R | 1 | Suppression nécessaire
VARIABLE1 | R | 1 | Lien de valeur limite dynamique La valeur limite est définie par une valeur absolue (voir le champ GRENZWERTx).
FUNC1 | R | 1 | Liaison de fonctions
ASK_FUNC1 | R | 1 | Exécution via la liste d’alarmes
FUNC_NR1 | N | 10 | Identifiant de la fonction liée (si -1 est saisi ici, la fonction existante n’est pas écrasée lors de l’importation)
A_GRUPPE1 | N | 10 | Groupe d’alarmes/d’événements
A_KLASSE1 | N | 10 | Classe d'alarmes/d'événements
MIN_MAX1 | C | 3 | Minimum, maximum
FARBE1 | N | 10 | Couleur sous forme de code Windows
GRENZTXT1 | C | 66 | Texte de valeur limite
A_DELAY1 | N | 10 | Délai
INVISIBLE1 | R | 1 | Invisible

Les expressions dans la colonne Commentaire se réfèrent aux expressions utilisées dans les boîtes de dialogue pour la définition des variables. Pour plus d’informations, voir le chapitre Définition des variables.


Verrouillages

Manuel -> Importation - Exportation -> Verrouillages

Le fichier d’exportation pour les verrouillages comporte les sections suivantes :

  • Liste des verrouillages

Durant l’exportation/l’importation des verrouillages, les variables liées ne sont pas automatiquement exportées ou importées. Vous devez veiller à ce que les variables nécessaires soient importées/exportées au préalable.

Autres sujets abordés dans ce chapitre

Groupe de commandes


Groupe de commandes

Manuel -> Importation - Exportation -> Verrouillages -> Groupe de commandes

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Exporter

Les groupes de commandes peuvent être exportés un par un ou tous ensemble.

info Informations

Les groupes de commandes et les verrouillages ne peuvent pas être exportés ensemble?!

Importer

Lors de l’importation de groupes de commandes, les conditions suivantes s’appliquent :

  • La relation entre les groupes de commandes existants et les groupes de commandes devant être importés est créée grâce à leur nom. Si un groupe de commandes portant ce nom existe, il est actualisé.
  • Si un verrouillage général avec ce nom existe déjà, un nouveau groupe de commandes est créé avec les nouveaux noms.
  • Les groupes de commandes non existants sont créés.
  • Les verrouillages généraux présents dans le fichier d’importation ne sont pas importés.
  • Les références absolues à des variables sont créées en fonction du nom.
  • Les nouveaux groupes de commandes reçoivent un identifiant unique, qui n’est pas utilisé.


Commande temporisée

Manuel -> Importation - Exportation -> Commande temporisée

Le fichier d’exportation pour les commandes temporisées comporte les sections suivantes :

Liste des commandes temporisées

Liste de fonctions

Les fonctions incluses sont exportées avec les commandes temporisées. Les commandes temporisées sont importées automatiquement. Les fonctions doivent être importées manuellement avant à partir du même fichier.


Attributions

Manuel -> Importation - Exportation -> Attributions

Le fichier d’exportation pour les attributions comporte les sections suivantes :

Liste des attributions

Lors de l’importation/l’exportation des attributions, les variables liées ne sont pas automatiquement importées/exportées. Faites attention à ce que les variables nécessaires soient exportées/importées au préalable.


Message d'erreur

Manuel -> Importation - Exportation -> Message d'erreur

Les erreurs survenues durant l’importation ou l’exportation sont affichées dans la fenêtre d’affichage.

Message d'erreur | Cause et solution possible
Erreur : Le fichier ne peut pas être ouvert, car il est déjà ouvert par un autre utilisateur. | Le fichier est verrouillé pour modification. L’utilisateur doit déverrouiller le fichier avant que la procédure d’importation/exportation ne puisse être effectuée.
Erreur : La base de données ne peut pas être créée ou ouverte. | Les droits de création du champ sont peut-être manquants, ou le fichier est corrompu.
Erreur : La variable n’est pas valide et ne peut pas être enregistrée. | La variable n’est pas valide. Vérifiez tous les paramètres de la variable.
Erreur : Impossible d’ajouter la variable à la base de données. | Une erreur s’est produite durant l’enregistrement dans la base de données.
Erreur : La variable contient une adresse matérielle invalide. | Une adresse de matériel de la variable est incorrecte. Corrigez l’adresse avant de redémarrer l’importation.
Erreur : Le driver ne peut pas fournir un objet nécessaire à l’importation/exportation. L’importation/exportation ne sera pas effectuée. | Le driver sélectionné ne comporte aucun objet pouvant être importé/exporté.
Erreur : La variable ne peut pas être supprimée, car elle n’existe pas. | Une variable sélectionnée pour être supprimée n’existe plus.
Avertissement : Une variable portant le même nom existe déjà. L’importation sera effectuée avec l’ancien nom. | Une variable devant être renommée durant l’importation ne sera pas renommée, car une variable portant le même nom existe déjà. La variable sera importée sous son nom d’origine.
Avertissement : La variable ne peut pas être renommée?; une nouvelle variable sera créée. | Une variable devant être renommée ne peut pas être renommée. Une nouvelle variable doit être créée.

Les erreurs durant l’importation au format XML sont gérées et résolues dans une boîte de dialogue spécifique.


Industrial Maintenance Manager (IMM)

Manuel -> Industrial Maintenance Manager (IMM)

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Le module IMM permet de gérer les machines et les données de maintenance. Des périodes de maintenance peuvent être planifiées et gérées facilement. D'un simple regard, vous pouvez voir sur quel matériel, équipement, machine, etc. doit être effectuée une maintenance aujourd'hui, cette semaine, le mois prochain etc. De plus, les travaux de maintenance effectués sont enregistrés ; tout le travail déjà réalisé peut donc être visualisé.

tutorial Informations concernant la licence

Ces fonctions ou modules doivent disposer d'une licence pour l'Éditeur et le Runtime (simple, serveur, redondant et client).

Autres sujets abordés dans ce chapitre

Fonctionnalités

Limitations

Préparatifs

Créer un synoptique de type IMM

Tâche de maintenance

Données d'entrée

Intégration dans le procédé

Utilisation dans le Runtime

Fonctions


Fonctionnalités

Manuel -> Industrial Maintenance Manager (IMM) -> Fonctionnalités

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
  • Les matériels peuvent être copiés et collés, un numéro consécutif est ajouté au nom du matériel.
  • La vue liste peut être ajustée avec le filtre de synoptique. Vous pouvez sélectionner les colonnes, définir leur largeur, leur nom et leur ordre.
  • Chaque vue de liste peut être affichée et imprimée en tant que fichier HTML à l’aide de feuilles de styles.
  • L’identifiant de l’équipement peut uniquement être créé depuis menu contextuel dans l’arborescence.
  • Identifiants d’équipements multi-hiérarchiques
  • Les matériels peuvent être créés depuis le menu contextuel dans l’arborescence ou dans la liste, à condition que l’équipement ait été sélectionné dans l’arborescence. Cet équipement est alors automatiquement inséré dans le matériel avec un identifiant d’équipement.
  • Lorsque vous cliquez sur le bouton de la colonne, les éléments sont triés par ordre alphabétique.
  • Capacité multi-projets
  • Serveur-Client
  • La possibilité de supprimer des matériels est liée à un groupe d’autorisation utilisateur ; il existe deux possibilités de suppression. La première consiste à supprimer du matériel ; les données sont conservées dans la base de données et l’historique n’est pas supprimé. Avec cette méthode, la balise ACTIVE est définie sur 0 dans la base de données. Il est également possible d’effectuer une suppression définitive : toutes les données sont détruites dans la base de données, y compris les tâches de maintenance et l’historique.
  • Les cases à cocher dans l’arborescence des identifiants d’équipement jouent le rôle de filtre. Si elles sont cochées, seuls les matériels, les entrées historisées et les tâches de maintenance appartenant à cet identifiant d’équipement sont affichés.


Limitations

Manuel -> Industrial Maintenance Manager (IMM) -> Limitations

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Le module stocke toutes les données dans une base de données Microsoft SQL Server (SQL Server 2000 ou plus récent). MS SQL Server n'est pas inclus dans zenon. Toutefois, vous pouvez utiliser le programme SQL Server Express Edition qui est installé avec l'Éditeur zenon.

Les autres serveurs SQL, tels qu'Oracle, ne sont pas pris en charge.


Préparatifs

Manuel -> Industrial Maintenance Manager (IMM) -> Préparatifs

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Autres sujets abordés dans ce chapitre

Base de données

Développement


Base de données

Manuel -> Industrial Maintenance Manager (IMM) -> Préparatifs -> Base de données

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Vous devez disposer de SQL Server Management Studio (SSMS) pour créer une base de données.

Installation de SQL Server Management Studio

  1. Téléchargez la version la plus récente depuis la page d'accueil de Microsoft.
  2. Nous vous recommandons de sélectionner la langue Français lors du téléchargement, car les étapes suivantes concernent la version française du logiciel.
  3. Effectuez la procédure d'installation.

Création de la base de données

  1. Démarrez SQL Server Management Studio.
  2. Établissez une connexion au serveur souhaité.
  3. Dans Object Explorer, cliquez avec le bouton droit sur Databases.
  4. Sélectionnez l'entrée New Database... dans le menu contextuel.

    La boîte de dialogue de configuration s'affiche à l'écran.

  5. Saisissez le nom souhaité.
  6. Configurez les autres options, le cas échéant.
  7. Fermez la boîte de dialogue en cliquant sur OK.


Développement

Manuel -> Industrial Maintenance Manager (IMM) -> Préparatifs -> Développement

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Quatre tables sont créées dans la base de données. Les noms des tables sont générés et définis et correspondent aux noms utilisés dans la fonction de gestion des points de mesure :

  • Table pour les matériels : Devices
  • Table pour travaux de maint. : MaintenanceWorks
  • Table pour l'historique : MaintenanceHistory
  • Table pour les documents : Documents

Connexion à la base de données

Dans les propriétés du projet, la chaîne ODBC peut être éditée manuellement dans le nœud Industrial Maintenance Manager au moyen de la propriété Base de données. Cliquez sur le bouton... pour ouvrir la boîte de dialogue de configuration.

Nouveau...

Cliquez sur ce bouton pour ajouter un nouveau fichier de source de données.

Dans la boîte de dialogue, le champ "Créer une nouvelle source de données", sélectionnez SQL Server et cliquez sur Suivant de façon à entrer le nom et l’endroit de stockage du nouveau fichier DSN.

Cliquez à nouveau sur Suivant pour afficher un résumé des nouvelles informations.

Cliquez sur Terminer pour ouvrir la boîte de dialogue des paramètres spécifiques au driver.

Si vous sélectionnez un nom de serveur depuis la liste, aucune configuration supplémentaire n’est nécessaire.

Cliquez à nouveau sur Suivant.

Cliquez à nouveau sur Suivant.

Maintenant vous pouvez sélectionner la base de données créée précédemment.

Cliquez sur Terminer.

Maintenant vous pouvez tester la connexion sélectionnée.

attention Attention

Lors de l’utilisation de Native Client 10 et 11, le mot de passe n’est pas automatiquement transféré vers la chaîne du fournisseur. Il doit être saisi manuellement

Par exemple : ...;User ID=sqlExampleUser1;Password=secretPassword;...


Créer un synoptique de type IMM

Manuel -> Industrial Maintenance Manager (IMM) -> Créer un synoptique de type IMM

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Développement

Étapes de création du synoptique :

  1. Créez un nouveau synoptique :

    Dans la barre d’outils ou le menu contextuel du nœud Synoptiques, sélectionnez la commande Nouveau synoptique.
    Un synoptique vide Standard est créé.

  2. Modifiez les propriétés du synoptique :
    1. Nommez le synoptique dans la propriété Nom.
    2. Sélectionnez IMM dans la propriété Type de synoptique.
    3. Sélectionnez le cadre souhaité dans la propriété Gabarit.
  3. Configurez le contenu du synoptique :
    1. Sélectionnez l’option de menu Éléments de contrôle dans la barre de menus
    2. Sélectionnez Insérer un modèle dans la liste déroulante.
      La boîte de dialogue de sélection de mises en forme prédéfinies s’affiche à l’écran. Certains éléments de contrôle sont insérés dans le synoptique à des positions prédéfinies.
    3. Supprimez les éléments superflus du synoptique.
    4. Si nécessaire, sélectionnez des éléments supplémentaires dans la liste déroulante Éléments. Placez-les aux emplacements souhaités sur le synoptique.
  4. Créez une fonction d’appel de synoptique.

Paramètre

Description

Insérer un modèle

Ouvre la boîte de dialogue de sélection de modèle pour le type de synoptique correspondant.

Des modèles sont fournis avec zenon, et peuvent également être créés par l’utilisateur.

Modèles ajoutent des éléments de contrôle prédéfinis à des positions prédéfinies sur le synoptique. Les éléments qui ne sont pas nécessaires peuvent également être supprimés individuellement après leur création. Les éléments supplémentaires peuvent être sélectionnés dans la liste déroulante, puis insérés dans le synoptique zenon. Les éléments peuvent être déplacés et disposés individuellement sur le synoptique.

Liste

Liste des processus affichés dans le Runtime.

Fonctions de la liste

Éléments de contrôle de la liste.

Filtre

Applique le filtre.

Nouvel identifiant d'équipement

Crée un nouvel identifiant d’équipement.

Supprimer l'identifiant d'équipement

Supprimer l’identifiant d’équipement sélectionné.

Équipement

Éléments de contrôle des équipements.
  • Nouveau

Ajoute un nouveau matériel.
  • Édition

Permet de modifier le matériel sélectionné.
  • Supprimer

Supprime le matériel.
  • Marquer comme inactif

Bascule le matériel vers l’état inactif.
  • Remplacer

Effectue un échange de matériel.

Copier

Copie l’élément sélectionné vers le presse-papiers.

Coller

Colle l’élément sélectionné depuis le presse-papiers.

Changer le compteur

Effectue un échange de compteur.

Éditer maintenance

Permet de modifier une procédure de maintenance.

Exécuter maintenance

Active l’exécution de la procédure de maintenance.

Exécuter réparation

Active l’exécution de la procédure de réparation.

Imprimer la liste

Imprime la liste.

Imprimer les détails

Imprime les détails.

Actualiser

Actualise l’affichage.

Profils de filtre

Boutons de configuration des filtres dans le Runtime.

Sélection de profil

Sélectionner un profil dans la liste.

Enregistrer

Enregistrer la configuration actuelle sous forme de profil.

Remarque : Le nom ne peut contenir que 31 caractères maximum et uniquement des caractères valides.
Les caractères suivants sont interdits : ! \ / : * ? < > | ""

Supprimer

Supprimer le profil sélectionné.

Importer

Importe les profils de filtre depuis un fichier d’exportation.

Exporter

Exporte les profils de filtre vers un fichier.

Autres sujets abordés dans ce chapitre

Affichage dans le Runtime


Affichage dans le Runtime

Manuel -> Industrial Maintenance Manager (IMM) -> Créer un synoptique de type IMM -> Affichage dans le Runtime

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Si vous appelez un synoptique de type IMM dans le Runtime, il est scindé en deux volets.

Autres sujets abordés dans ce chapitre

Partie gauche : l’arbre

Partie droite : Liste


Partie gauche : l’arbre

Manuel -> Industrial Maintenance Manager (IMM) -> Créer un synoptique de type IMM -> Affichage dans le Runtime -> Partie gauche : l’arbre

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Paramètres

Description

Données maître

Les identifications d’équipement sont utilisées comme des nœuds dans l’arbre. Ces nœuds ont une 'case à cocher' pour limiter la sélection. Cette sélection définit l’affichage dans la liste. Dans les données maîtres, les tâches de maintenance et l’historique, seules les données appartenant aux équipements sélectionnés sont affichées.

Remarque : Les équipements de la liste peuvent être déplacés vers d’autres équipements au moyen d’un glisser-déplacer.

Historique

Ici les données historisées sont filtrées selon des périodes de temps. Avec Filtre libre, une boîte de dialogue pour la sélection d’une période de temps est ouverte.

Opérations de maintenance

Ici les tâches de maintenance 'courantes' sont filtrées selon des périodes de temps. Avec Filtre libre, une boîte de dialogue pour la sélection d’une période de temps est ouverte.


Partie droite : Liste

Manuel -> Industrial Maintenance Manager (IMM) -> Créer un synoptique de type IMM -> Affichage dans le Runtime -> Partie droite : Liste

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

On affiche ici sous forme de liste ce qui a été sélectionné dans l’arbre. La liste peut être triée par ordre croissant ou décroissant sur chaque colonne. En plus, vous avez un menu contextuel dans cette vue qui donne accès à différentes fonctions selon ce qui est sélectionné dans l’arbre.

Sélection de données maître :

Commande

Description

Nouveau matériel

Sous Nouveau matériel de nouveaux maîtres peuvent être créés. La définition est effectuée dans une boîte de dialogue comportant trois onglets. Sur la première page, les données pour le matériel sont définies. Dans l’onglet "Tâches de maintenance", vous pouvez créer autant de tâches de maintenance que nécessaire pour ce matériel. De façon à avoir un aperçu des tâches de maintenance, leur titre est affiché dans une liste dans cette page. Sur la dernière page, vous pouvez assigner autant de documents que nécessaire à ce matériel. De façon à avoir un aperçu de ces documents, ils sont affichés dans une liste comme pour les tâches de maintenance. Lorsque vous double-cliquez sur un document, ce dernier est ouvert si l’application associée est installée.

Remarque : Les équipements peuvent être déplacés vers d’autres équipements dans la liste des données principales au moyen d’un glisser-déplacer.

Éditer matériel

Similaire à la commande 'Nouveau matériel' avec la seule différence que les champs sont renseignés avec les données existantes. Un matériel doit avoir été sélectionné.

Échange de matériel

Les variables pour les compteurs d’opérations et compteurs d’heures peuvent être échangées ici. Le calcul pour planifier les maintenances est basé sur ces variables. Si un échange de matériel est effectué, une entrée est ajoutée dans l’historique. De plus, l’intervalle de maintenance est réinitialisé et les valeurs des nouvelles variables sont utilisées comme valeurs initiales pour le calcul des maintenances.

Les données du matériel restent les mêmes, seules les variables liées sont échangées. Celles-ci doivent être entrées dans une boîte de dialogue. Si la variable n’existe pas, un avertissement est affiché, indiquant qu’à cet instant, aucune variable valide n’est liée à ce matériel.

Échange de compteur

Si un compteur est échangé, la variable reste la même, mais la lecture du compteur (valeur de la variable) est modifiée. Si un échange de compteur est effectué, une entrée est ajoutée dans l’historique. Vous pouvez choisir si l’intervalle de maintenance doit être réinitialisé ou pas.

Une nouvelle valeur de départ peut être définie pour le matériel échangé.

Supprimer matériel

Le matériel sélectionné peut être supprimé. Toutes les données associées (tâches de maintenance, historiques des données et documents) sont supprimées. Pour des raisons de sécurité, l’utilisateur doit confirmer que les données doivent bien être détruites.

Saisie des données principales

Paramètres

Description

Nom

Nom de l’équipement.

Identification équipement

Affiche d’identifiant de l’équipement.

Plaque signalétique

Données de la plaque signalétique :

  • Type
  • Fabricant
  • Numéro de série

Description libre :

Champ de saisie d’une description libre.

Date d’implémentation

Saisie de la date de mise en service.

Variables

Configuration des variables.

Compteur cycles de commutation

Sélection des variables pour le compteur de cycles de commutation.

Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de variables.

Attention : L’étendue de la plage de comptage doit être définie de manière à assurer que pendant le fonctionnement, la valeur écoulée entre l’état actuel du compteur et l’état du compteur de la dernière maintenance soit toujours inférieure à la moitié de la valeur finale du compteur.

Compteur max.

Valeur maximum autorisée pour l’état du compteur.

Compteur d’heures

Attribution des variables pour les heures de fonctionnement.

Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de variables.

Attention : L’étendue de la plage de comptage doit être définie de manière à assurer que pendant le fonctionnement, la valeur écoulée entre l’état actuel du compteur et l’état du compteur de la dernière maintenance soit toujours inférieure à la moitié de la valeur finale du compteur.

Compteur max.

Valeur maximum autorisée pour l’état du compteur.

Variable de réponse

Après l’exécution de travaux de maintenance, la valeur définie ici est écrite dans la variable liée. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de variables.

Configuration des travaux de maintenance

Paramètres

Description

Nom

Nom de la tâche.

Commentaire

Commentaires relatifs à la tâche.

Remarque : Vous pouvez créer un saut de ligne en appuyant sur Ctrl+Entrée.

Niveau d'autorisation

Saisie des niveaux d’autorisation requis pour l’exécution.

Intervalle de maintenance

Configuration de l’intervalle de maintenance pour :

  • Intervalle en jours
  • Compteur cycles de commutation
  • Compteur d’heures

Interaction du procédé

Propriétés de l’interaction.

Valeur renvoyée

Valeur écrite après l’exécution des travaux de maintenance sur l’équipement lié à la variable de réponse.

Variable d'état

Variable d’affichage de l’état des travaux de maintenance.

  • 0 : Maintenance non prévue
  • 1 : Maintenance prévue

Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de variables.

La variable est écrite lors de la mise à jour du synoptique IMM, ainsi que lors de l’exécution de la fonction Détermine les maintenances ouvertes.

Données éditées

L’accès aux fichiers suivants est pris en charge :

Lecteurs locaux | Disque dur local
Chemin UNC | Par exemple, \\Nom-serveur\nom-version
Lecteurs connectés | Disque dur actif sur un ordinateur réseau

attention Attention

Éléments requis : Pour pouvoir afficher les documents, vous devez installer un logiciel de visualisation adéquat. Par exemple, Adobe Acrobat Reader pour les fichiers .pdf.

Échange de matériel

Échange de compteur

Sélection des tâches de maintenance

Pour afficher les données d'une tâche de maintenance, double-cliquez sur la tâche de votre choix. Mais les données ne peuvent pas être modifiées.

Exécuter réparation

Si une réparation est effectuée, une entrée est d’abord insérée dans l’historique, et la tâche de maintenance est affichée comme non(!) effectuée dans cet intervalle?; elle reste dans la file d’attente. Une entrée est créée dans l’historique.

Similaire à "Exécuter une maintenance", avec pour seule différence, le fait que le compteur peut être mis à jour.

Imprimer la liste

La liste affichée peut être envoyée en l’état dans un fichier XML et visualisée dans un explorateur HTML avec une feuille de styles. Ce fichier HTML peut alors être enregistré ou directement imprimé.

Imprimer les détails

Les données de la tâche de maintenance sélectionnée sont imprimées.

Éditer maintenance

Ici les données de la tâche de maintenance sélectionnée peuvent être définies.

Exécuter maintenance

Si une maintenance est exécutée, les compteurs sont mis à jour et une entrée dans l’historique est générée. De plus, la tâche de maintenance est considérée comme effectuée pour cet intervalle, et donc elle est supprimée de la queue.

Sous "Documents", les documents liés sont affichés sous forme de liste. Double-cliquez sur un fichier pour l'ouvrir, si un programme correspondant est installé.

Historique des sélections

Ici, il n’y a qu’une seule entrée de menu : Imprimer liste. La procédure est la même que celle décrite sous Tâche de maintenance - Imprimer liste.


Tâche de maintenance

Manuel -> Industrial Maintenance Manager (IMM) -> Tâche de maintenance

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Le calcul des maintenances en instance est la fonction centrale du module IMM. Une tâche de maintenance peut comporter trois intervalles de maintenance différents :

- un intervalle de temps en jours

- un compteur d'heures ou

- un compteur d'opérations.

La date à laquelle la maintenance doit être effectuée est calculée à partir de ces intervalles.

Si une maintenance arrive dans la zone d'avertissement, elle est montrée dans la liste des maintenances à effectuer, avec une note qui indique que le niveau d'avertissement est atteint. Si elle atteint l'intervalle de maintenance, la maintenance est positionnée comme 'à faire', ce qui est aussi montré dans la liste de maintenances.

La fonction 'Déterminer les maintenances'

Avec la fonction Déterminer les maintenances, la liste de toutes les maintenances à faire dans la période de temps sélectionnée est récupérée à partir du module IMM. Ces maintenances 'à faire' sont alors utilisées pour déterminer les valeurs spécifiques aux équipements comme étant configurées.

Les valeurs numériques définies correspondant au nombre total de maintenance 'à faire' pour les équipements qui remplissent les critères de filtre sont envoyées dans les variables d'état correspondantes.

Si vous créez une nouvelle fonction Déterminer les maintenances dans l'éditeur, la boîte de dialogue de configuration suivante apparaît :

Période | Ici vous pouvez sélectionner la période pour laquelle vous voulez déterminer les maintenances 'à faire' (voir IMM).

Autres sujets abordés dans ce chapitre

Période

Heures et compteur d'opérations


Période

Manuel -> Industrial Maintenance Manager (IMM) -> Tâche de maintenance -> Période

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Dans les données des tâches de maintenance, un intervalle de temps en jours peut être défini. En outre, une période de préavis peut être définie : un certain nombre de jours avant la fin de l'intervalle de temps, la tâche de maintenance doit être évaluée comme une tâche de maintenance actuelle. (message 'Maintenance à faire dans xx jours').

Si la période de temps ou la valeur du compteur de l'intervalle de maintenance est atteinte, la maintenance est entrée avec le texte 'Intervalle de maintenance dépassé'.

La date de la dernière maintenance est mise à jour à chaque exécution. Lors de la création de la tâche de maintenance, cette date prend la valeur de la date courante.


Heures et compteur d'opérations

Manuel -> Industrial Maintenance Manager (IMM) -> Tâche de maintenance -> Heures et compteur d'opérations

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Pour le calcul de la maintenance courante, la différence entre l'ancienne valeur du compteur lors de la dernière maintenance et la valeur courante est divisée par le nombre de jours passés depuis la dernière maintenance et ajoutée à l'ancienne. Si c'est plus grand que ce qui est autorisé, la maintenance est évaluée comme 'courante' et affichée dans la liste.

Si une variable a une valeur plus petite que lors de la dernière maintenance, un message est affiché.


Données d'entrée

Manuel -> Industrial Maintenance Manager (IMM) -> Données d'entrée

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Les valeurs des variables sont entrées dans les données de maintenance seulement si la tâche de maintenance vient d'être créés. Dans les autres cas, les anciennes valeurs sont conservées.

Si un matériel est créé et qu'aucune variables n'est liée, la valeur initiale reste dans la tâche de maintenance. Aussi dans cette configuration, les valeurs de variables dans les tâches de maintenance ne sont pas écrasées si les variables sont entrées ultérieurement. Un message est affiché, si la variable nécessaire pour le calcul de la maintenance a toujours sa valeur initiale. La valeur de la variable ne peut être modifiée qu'en exécutant une réparation, un échange de matériel ou une tâche de maintenance.


Intégration dans le procédé

Manuel -> Industrial Maintenance Manager (IMM) -> Intégration dans le procédé

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
  • Message de réussite des tâches de maintenance : Une variable de type Entier peut être attribuée au périphérique. De plus, la valeur de réponse de cette variable doit être définie dans la tâche de maintenance. Si aucune distinction n’est souhaitée entre les tâches de maintenance individuelles, la même valeur peut toujours être saisie ici. Si aucune valeur n’est fournie, aucune valeur n’est écrite dans la variable.
  • Réponse dans le procédé : Lors de chaque tâche de maintenance, une variable contenant l’état de la maintenance peut être liée. (État OK 0 et État Due 1)


Utilisation dans le Runtime

Manuel -> Industrial Maintenance Manager (IMM) -> Utilisation dans le Runtime

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Les fonctions suivantes sont disponibles :

  • Nouveau matériel: Crée un nouveau matériel. Un identifiant d'équipement doit être sélectionné.
  • Éditer matériel : Modifie un matériel. Un matériel doit avoir été sélectionné.
  • Matériel inactif : Désactive un matériel, i.e. les données ne sont plus affichées mais restent dans la base de données.
  • Exécuter la maintenance : Une maintenance doit être sélectionnée pour effectuer cette commande.
  • Actualiser : Les données de la base de données et les variables sont réactualisées.
  • Filtre : Ouvre la boîte de dialogue de filtre pour modifier les colonnes.
  • Imprimer : Génère un fichier HTML avec la vue liste souhaitée. La vue courante est 'capturée' comme elle est. L'historique et les maintenances qui doivent être effectuées peuvent être imprimés.
  • Imprimer les détails : Visualise les détails d'une tâche de maintenance en HTML. Une tâche de maintenance doit être sélectionnée.


Fonctions

Manuel -> Industrial Maintenance Manager (IMM) -> Fonctions

Autres sujets abordés dans ce chapitre

Appel de synoptique

Détermine les maintenances ouvertes


Appel de synoptique

Manuel -> Industrial Maintenance Manager (IMM) -> Fonctions -> Appel de synoptique

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Lors de la création d'une fonction d'appel de synoptique de type IMM, la boîte de dialogue de configuration des paramètres des colonnes s'affiche. Ces paramètres peuvent être configurés individuelle pour :

  • Données maître
  • Tâches de maintenance
  • Historique

Autres sujets abordés dans ce chapitre

Données maître

Tâches de maintenance

Historique


Données maître

Manuel -> Industrial Maintenance Manager (IMM) -> Fonctions -> Appel de synoptique -> Données maître

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Configuration de l'historique à afficher :

  • Compteur d'heures de fonctionnement actuelles
  • Compteur de changements de cycles actuels
  • Identification d'équipement
  • Description
  • Marque
  • Modèle
  • Activation date (Date d'activation)
  • Numéro de série
  • État
  • Type
  • Intervalle de temps depuis la dernière maintenance

Paramètre | Description
Type de colonne | Cochez les cases des colonnes que vous souhaitez afficher dans le Runtime. L'intitulé ne peut pas être modifié. Active : la colonne est affichée dans le Runtime.
Description | Définit l'en-tête de la colonne concernée. Vous pouvez configurer celui-ci afin d'autoriser le changement de langue. La valeur peut être éditée.
Largeur | Définit la largeur de la colonne, en pixels. Vous pouvez également définir la largeur de la colonne en faisant glisser la colonne avec la souris dans la ligne d'affichage horizontale des noms de colonnes. La valeur peut être éditée.
Vers le haut | Déplace la colonne sélectionnée vers le haut. Vous pouvez également déplacer les colonnes par glisser-déplacer.
Déplacer l'entrée sélectionnée vers le bas | Déplace la colonne sélectionnée vers le bas. Vous pouvez également déplacer les colonnes par glisser-déplacer.
Champ avec affichage horizontal des noms de colonnes | Affiche les colonnes actives dans la liste. Vous pouvez définir les tailles des colonnes en faisant glisser les bordures des colonnes à l'aide de la souris.


Tâches de maintenance

Manuel -> Industrial Maintenance Manager (IMM) -> Fonctions -> Appel de synoptique -> Tâches de maintenance

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Configuration des tâches de maintenance à afficher :

  • Compteur d'heures de fonctionnement actuelles
  • Compteur de changements de cycles actuels
  • Identification d'équipement
  • Description
  • Date d'échéance
  • Modèle
  • Interne - externe
  • Commentaire
  • État
  • Tâche de maintenance
  • Intervalle de temps depuis la dernière maintenance

Paramètre | Description
Type de colonne | Cochez les cases des colonnes que vous souhaitez afficher dans le Runtime. L'intitulé ne peut pas être modifié. Active : la colonne est affichée dans le Runtime.
Description | Définit l'en-tête de la colonne concernée. Vous pouvez configurer celui-ci afin d'autoriser le changement de langue. La valeur peut être éditée.
Largeur | Définit la largeur de la colonne, en pixels. Vous pouvez également définir la largeur de la colonne en faisant glisser la colonne avec la souris dans la ligne d'affichage horizontale des noms de colonnes. La valeur peut être éditée.
Vers le haut | Déplace la colonne sélectionnée vers le haut. Vous pouvez également déplacer les colonnes par glisser-déplacer.
Déplacer l'entrée sélectionnée vers le bas | Déplace la colonne sélectionnée vers le bas. Vous pouvez également déplacer les colonnes par glisser-déplacer.
Champ avec affichage horizontal des noms de colonnes | Affiche les colonnes actives dans la liste. Vous pouvez définir les tailles des colonnes en faisant glisser les bordures des colonnes à l'aide de la souris.


Historique

Manuel -> Industrial Maintenance Manager (IMM) -> Fonctions -> Appel de synoptique -> Historique

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Configuration de l'historique à afficher :

  • Identification d'équipement
  • Utilisateurs
  • Description
  • Date
  • Modèle
  • Commentaire
  • Tâche de maintenance
  • Relevé de compteur lors de la maintenance

Paramètre | Description
Type de colonne | Cochez les cases des colonnes que vous souhaitez afficher dans le Runtime. L'intitulé ne peut pas être modifié. Active : la colonne est affichée dans le Runtime.
Description | Définit l'en-tête de la colonne concernée. Vous pouvez configurer celui-ci afin d'autoriser le changement de langue. La valeur peut être éditée.
Largeur | Définit la largeur de la colonne, en pixels. Vous pouvez également définir la largeur de la colonne en faisant glisser la colonne avec la souris dans la ligne d'affichage horizontale des noms de colonnes. La valeur peut être éditée.
Vers le haut | Déplace la colonne sélectionnée vers le haut. Vous pouvez également déplacer les colonnes par glisser-déplacer.
Déplacer l'entrée sélectionnée vers le bas | Déplace la colonne sélectionnée vers le bas. Vous pouvez également déplacer les colonnes par glisser-déplacer.
Champ avec affichage horizontal des noms de colonnes | Affiche les colonnes actives dans la liste. Vous pouvez définir les tailles des colonnes en faisant glisser les bordures des colonnes à l'aide de la souris.


Détermine les maintenances ouvertes

Manuel -> Industrial Maintenance Manager (IMM) -> Fonctions -> Détermine les maintenances ouvertes

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

La fonction Déterminer les maintenances ouvertes collecte la liste de toutes les maintenances en attente sur le module de maintenance industrielle pour une période de temps donnée. Celles-ci servent à déterminer les valeurs spécifiques aux équipements comme étant configurées.

Lors de l’exécution de la fonction :

  • les valeurs prescrites numériques sont écrites dans les variables d’état correspondantes?; ces valeurs prescrites correspondent au nombre total de maintenances en attente spécifiques à l’équipement, et qui correspondent à l’attribution des ID d’équipement aux variables d’état.
  • Les variables d’état configurées au niveau du périphérique et des procédures de maintenance sont actualisées.

Pour configurer la fonction :

  • Sélectionnez Nouvelle fonction...
  • Ouvrez la section Application.
  • Sélectionner Déterminer les maintenances ouvertes.
  • La boîte de dialogue de configuration de la fonction s’affiche à l’écran.

Paramètres | Description
Période | Période pendant laquelle la maintenance en attente a été déterminée. Remarque : l'heure est enregistrée au format local. Pour plus de détails, reportez-vous au chapitre Gestion de la date et de l'heure, dans le chapitre Runtime.
Labels d’équipements existants | Saisissez les intitulés des équipements devant être attribués à une variable d’état. Forme : Les intitulés d’équipements sont séparés par des virgules et saisis sous forme de listes. Les intitulés des équipements peuvent contenir des opérateurs. (Les opérateurs sont uniquement autorisés sous forme de préfixe ou de suffixe, par exemple, *xxx ou xxx*.)
Variable d'état | Une variable numérique qui contient le nombre de maintenances ouvertes pour l’équipement est définie sous l’identifiant de l’équipement comme valeur prescrite.
Attributions | Liste des attributions d’intitulés d’équipements aux variables d’état.
Ajouter | Ajoute une ligne d’attribution.
Supprimer | Supprime l’attribution sélectionnée.

Example Exemple

2 maintenances sont actives dans Equipment1 et 1 maintenance est active dans Equipment2.
Equipment1 et Equipment2 sont les seuls équipements dans cet exemple.
Le développement de la fonction est semblable à la capture d’écran affichée.

Les variables d’état contiennent les valeurs prescrites suivantes :

Maintenances_today_all = 3

Maintenances_today_all2 = 3

Maintenances_today_equipment1_2 = 3

Maintenances_today_equipment1 = 2

Maintenances_today_equipment2 = 1

info Informations

Pour des opérations en réseau, la fonction est toujours exécutée sur le serveur.


Industrial Performance Analyzer

Manuel -> Industrial Performance Analyzer

Le module Industrial Performance Analyzer (IPA) est conçu pour afficher et évaluer les données d'alarmes et les périodes d'indisponibilité associées dans différentes vues de liste. Le module IPA accède à une base de données SQL dans laquelle sont conservées les alarmes (si elles sont correctement configurées).

tutorial Informations concernant la licence

Ces fonctions ou modules doivent disposer d'une licence pour l'Éditeur et le Runtime (simple, serveur, redondant et client).

Grâce à ses différents paramètres de filtre, le module IPA offre une flexibilité maximale. Ainsi, par exemple, vous pouvez filtrer différents domaines de votre équipement afin d'afficher uniquement les alarmes qui se sont produites dans ces domaines. Le module IPA permet également de détecter et localiser les points faibles de vos équipements. Cela s'avère particulièrement utile durant la mise en œuvre de nouveaux équipements, puisque cela vous permet de déterminer les causes de difficultés initiales et d'y remédier. Associé au module Production & Facility Scheduler (PFS), le module IPA permet d'afficher les périodes d'indisponibilité après déduction des périodes de pause. Il soustrait automatiquement des véritables périodes d'indisponibilité les durées de pause reçues du module PFS. Vous pouvez ainsi déterminer la durée d'indisponibilité nette de vos équipements. En outre, le module IPA peut obtenir les horaires et noms de postes du module PFS. Cela facilite les opérations de développement et vous permet de gagner du temps. De plus, la maintenance des horaires et noms de postes ne doit être effectuée qu'une seule fois. En outre, vous avez la certitude que les modules PFS et IPA utilisent les mêmes données.

info Informations

Le module Industrial Performance Analyzer est conçu pour s'exécuter sur PC. Son utilisation s'effectue donc à l'aide d'un clavier et d'une souris. Nous ne garantissons pas sa compatibilité totale avec un écran tactile.

Autres sujets abordés dans ce chapitre

Fonctionnement - principes de base

Configuration dans l'Éditeur

Manipulations en Runtime


Fonctionnement - principes de base

Manuel -> Industrial Performance Analyzer -> Fonctionnement - principes de base

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Toutes les données d'alarme configurées en conséquence (voir les Variables) sont enregistrées dans une base de données SQL. Les fonctions suivantes sont prises en charge : Serveur Microsoft SQL et serveur Oracle SQL. Les deux serveurs peuvent être disponibles localement et sur un réseau.

Dans le Runtime, les données d'alarme correspondantes sont enregistrées dans un tampon et écrites de manière cyclique dans la base de données correspondante depuis ce point. La durée du cycle est définie dans l'Editor (voir également Paramètres généraux) au cours de la configuration.

Plusieurs projet en Runtime peuvent écrire dans la même base de données. L'enregistrement centralisé des données d'alarme veille à la haute sécurité des données et à la grande disponibilité des données d'alarme.
L'évaluation s'affiche dans le Runtime à l'aide d'un synoptique Industrial Performance Analyzer.


Configuration dans l'Éditeur

Manuel -> Industrial Performance Analyzer -> Configuration dans l'Éditeur

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Vous devez configurer les paramètres suivants pour afficher et évaluer les données d'alarme dans le Runtime.

Autres sujets abordés dans ce chapitre

Paramètres généraux

Variables

Changement de langue

Synoptique Industrial Performance Analyzer

Fonction Appel de synoptique

Fonction Créer/Imprimer un document IPA


Paramètres généraux

Manuel -> Industrial Performance Analyzer -> Configuration dans l'Éditeur -> Paramètres généraux

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Vous pouvez trouver la zone Industrial Performance Analyzer dans les propriétés de projet. Ici, vous pouvez définir les paramètres de l'IPA qui affectent l'ensemble du projet.

Les propriétés suivantes sont disponibles :

Propriété | Description
IPA actif | Sélectionnez cette propriété pour activer le module IPA.
Base de données | Définissez la base de données dans laquelle l'IPA doit écrire les données d'alarme (voir également Base de données)
Nom de table | Saisissez un nom librement définissable pour la table de base de données contenant vos données IPA. Une table portant ce nom est automatiquement créée dans la base de données dès la première connexion à la base de données.
Cycle d'enregistrement | Définissez l'intervalle durant lequel les données d'alarme sont écrites de la mémoire tampon vers la base de données. En pratique, les valeurs sont comprises entre 2 et 5 minutes.
Taille du buffer | Indiquez le nombre d'alarmes qui doit être enregistré dans la mémoire tampon. Le contenu de la mémoire tampon est enregistré dans la base de données à la fin de chaque cycle. La mémoire tampon est à nouveau vide après cela. Au cours d'un cycle, si les alarmes qui se sont déclenchées sont supérieures au nombre donné, les alarmes les plus anciennes seront perdues en premier.
Poste donné par le PFS | Sélectionnez cette propriété pour appliquer les horaires des postes du module Production & Facility Scheduler. Si vous activez cette propriété, vous pouvez afficher les périodes d'indisponibilité après déduction des pauses durant l'évaluation des alarmes.
Poste donné par variable | Sélectionnez une variable INT. Avec la propriété Nom d'équipe provenant de la liste, vous pouvez associer des nombres aux noms de postes.
Filtres horaires prédéfinis | Définissez les différents filtres horaires que vous pouvez utiliser dans le Runtime.
Cause de l'alarme | Définissez les différentes causes d'alarmes que vous pouvez utiliser dans le Runtime.
Identifiant d'équipement | Définissez les différents identifiants d'équipements que vous pouvez utiliser dans le Runtime.
Identification équipement avec | Vous pouvez décider si vous souhaitez utiliser le début d'une identification de variable ou le début d'un nom de variable en tant que composante de l'identification d'équipement.
Nom de poste donné par le PFS | Sélectionnez cette propriété pour appliquer les noms de postes pour les postes définis du module Production & Facility Scheduler.
Nom d'équipe de la liste | Définissez les noms d'équipes sous forme de valeurs numériques. À l'aide de la valeur numérique des variables que vous avez créées, sous un nom d'équipe de variable, le nom d'équipe défini ici s'affiche dans le Runtime pour l'alarme donnée.
Pour supprimer | Dans la liste déroulante, sélectionnez le niveau d'autorisation dont un utilisateur doit disposer pour supprimer des entrées de base de données du module Industrial Performance Analyzer.
Pour éditer | Dans la liste déroulante, sélectionnez le niveau d'autorisation dont un utilisateur doit disposer pour modifier des entrées de base de données du module Industrial Performance Analyzer.

Autres sujets abordés dans ce chapitre

Base de données

Prédéfinir un filtre horaire

Causes d'alarmes

Identifiant d'équipement

Nom d'équipe de la liste


Base de données

Manuel -> Industrial Performance Analyzer -> Configuration dans l'Éditeur -> Paramètres généraux -> Base de données

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

À la propriété Base de données, cliquez sur le bouton comportant trois points pour ouvrir la boîte de dialogue de sélection de la source de données du fichier.

Configuration :

  1. Pour créer un fichier DSN, cliquez sur Nouveau....
  2. Sélectionnez l'entrée Serveur SQL dans la boîte de dialogue suivante, puis cliquez sur Suivant.
  3. Saisissez le nom de la source de données, puis cliquez à nouveau sur Suivant.
  4. Cliquez sur Terminer pour fermer la boîte de dialogue.
  5. Sélectionnez le serveur SQL correspondant sous Serveur, puis cliquez sur Suivant.
  6. Vous n'avez rien à modifier dans la boîte de dialogue suivante. Cliquez sur Suivant.
  7. Cochez la case Remplacer la base de données standard par, puis sélectionnez la base de données de votre choix. Cliquez sur Continuer.
  8. Ici encore, vous n'avez rien à modifier dans cette boîte de dialogue. Cliquez sur Terminer pour fermer la boîte de dialogue.

La boîte de dialogue finale vous indique à nouveau vos paramètres. Ici, vous pouvez tester les données source. Confirmez ce test et la boîte de données suivante en cliquant sur OK.

attention Attention

Lors de l’utilisation de Native Client 10 et 11, le mot de passe n’est pas automatiquement transféré vers la chaîne du fournisseur. Il doit être saisi manuellement

Par exemple : ...;User ID=sqlExampleUser1;Password=secretPassword;...


Prédéfinir un filtre horaire

Manuel -> Industrial Performance Analyzer -> Configuration dans l'Éditeur -> Paramètres généraux -> Prédéfinir un filtre horaire

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Lorsque vous sélectionnez ce paramètre, la boîte de dialogue suivante est affichée.

Paramètres | Description
Ajouter... | Ajoutez une nouvelle heure au filtre. Saisissez un nom unique et définissez une heure de début et de fin dans la boîte de dialogue qui s'affiche à l'écran.
Modifier... | Actif uniquement lorsque vous avez sélectionné une boîte de dialogue existante. Vous pouvez modifier le nom, l'heure de début et l'heure de fin dans la boîte de dialogue qui apparaît.
Supprimer | Actif uniquement si vous avez sélectionné une ou plusieurs boîtes de dialogue existantes. Supprime les filtres horaires sélectionnés sans demande de confirmation.

Les filtres horaires que vous définissez ici sont disponibles dans le Runtime. Vous pouvez par exemple définir ici les horaires de vos équipes (équipe du matin, équipe du soir, etc.) puis utiliser ces intervalles dans un synoptique du module Industrial Performance Analyzer au cours du filtrage.

Remarque : l'heure est enregistrée au format local. Pour plus de détails, reportez-vous au chapitre Gestion de la date et de l'heure, dans le chapitre Runtime.

Autres sujets abordés dans ce chapitre

Ajouter un filtre de temps prédéfini


Ajouter un filtre de temps prédéfini

Manuel -> Industrial Performance Analyzer -> Configuration dans l'Éditeur -> Paramètres généraux -> Prédéfinir un filtre horaire -> Ajouter un filtre de temps prédéfini

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

La boîte de dialogue Définition vous permet d'ajouter un nouveau filtre de temps ou de modifier un filtre de temps existant.

Paramètres | Description
Nom | Nom unique du filtre de temps.
Heure de début | Heure à partie de laquelle le filtre de temps est valide.
Heure de fin | Heure à laquelle le filtre de temps se termine.


Causes d'alarmes

Manuel -> Industrial Performance Analyzer -> Configuration dans l'Éditeur -> Paramètres généraux -> Causes d'alarmes

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Lorsque vous sélectionnez ce paramètre, la boîte de dialogue suivante est affichée.

Paramètres | Description
Ajouter... | Ajouter une nouvelle cause d'alarme. Spécifiez un nom et un numéro distinct dans la boîte de dialogue qui s'affiche à l'écran.
Modifier... | Actif uniquement lorsque vous avez sélectionné une boîte de dialogue existante. Vous pouvez modifier le numéro et le nom dans la boîte de dialogue qui s'affiche à l'écran.
Supprimer | Actif uniquement si vous avez sélectionné une ou plusieurs boîtes de dialogue existantes. Supprime les causes d'alarme sélectionnées sans demande de confirmation.

Les causes d'alarmes que vous définissez ici sont disponibles dans le Runtime. Vous pouvez assigner une cause d'alarme à chaque alarme dans le synoptique du module Industrial Performance Analyzer. Sélectionnez pour cela la cause d'alarme dans une liste que vous gérez ici.

Autres sujets abordés dans ce chapitre

Ajouter une cause d'alarme


Ajouter une cause d'alarme

Manuel -> Industrial Performance Analyzer -> Configuration dans l'Éditeur -> Paramètres généraux -> Causes d'alarmes -> Ajouter une cause d'alarme

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

La boîte de dialogue Cause d'alarme vous permet d'ajouter de nouvelles causes ou de modifier des causes existantes.

Paramètres | Description
Numéro | Numéro unique de la cause d'alarme.
Nom | Cause unique.


Identifiant d'équipement

Manuel -> Industrial Performance Analyzer -> Configuration dans l'Éditeur -> Paramètres généraux -> Identifiant d'équipement

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Lorsque vous sélectionnez ce paramètre, la boîte de dialogue suivante est affichée.

Paramètre | Description
Ajouter... | Ajoute une nouvelle identification d'équipement. Spécifiez un nom pour l'identification de l'équipement dans la boîte de dialogue qui s'affiche à l'écran.
Modifier... | Actif uniquement lorsque vous avez sélectionné une boîte de dialogue existante. Vous pouvez modifier le nom de l'identification de l'équipement dans la boîte de dialogue qui s'affiche à l'écran.
Supprimer | Actif uniquement si vous avez sélectionné une ou plusieurs boîtes de dialogue existantes. Supprime l' l'identification de l'équipement sélectionnée sans demande de confirmation.

Les identifications d'équipements que vous définissez ici sont disponibles dans le Runtime. L'identification d'équipement peut apparaître sous forme de préfixe dans le nom ou l'identification de la variable (voir également la propriété Identification équipement avec Paramètres généraux). Le préfixe se termine par le caractère _ . L'assignation ne peut s'effectuer que si l'identification d'équipement créée correspond exactement au préfixe.

Example Exemple

Identifiant d'équipement :

  • facility11

Nom de variable ou identifiant de variable :

  • facility_Variable1
  • facility11_Variable1

Seule la variable facility11_Variable1 est assignée à l'identification d'équipement créée facility11.

L'identification d'équipement vous aide à filtrer l'équipement souhaité.

Autres sujets abordés dans ce chapitre

Ajouter une identification d'équipement


Ajouter une identification d'équipement

Manuel -> Industrial Performance Analyzer -> Configuration dans l'Éditeur -> Paramètres généraux -> Identifiant d'équipement -> Ajouter une identification d'équipement

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Vous pouvez ajouter de nouvelles identifications d'équipement ou changer les identifications existantes à l'aide de la boîte de dialogue Identification d'équipement .

Paramètres | Description
Identifiant d'équipement | Nom de l'identification d'équipement.

Fermer boîte de dialogue

Options | Description :
OK | Applique les paramètres et ferme la boîte de dialogue.
Annuler | Annule toutes les modifications et ferme la boîte de dialogue.
Aide | Ouvre l'aide en ligne.


Nom d'équipe de la liste

Manuel -> Industrial Performance Analyzer -> Configuration dans l'Éditeur -> Paramètres généraux -> Nom d'équipe de la liste

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Lorsque vous sélectionnez ce paramètre, la boîte de dialogue suivante s'affiche.

Paramètres | Description
Ajouter... | Ajoute un nouveau nom de poste. Spécifiez un nom et un numéro distinct dans la boîte de dialogue qui s'affiche à l'écran.
Modifier... | Actif uniquement lorsque vous avez sélectionné une boîte de dialogue existante. Vous pouvez modifier le numéro et le nom dans la boîte de dialogue qui s'affiche à l'écran.
Supprimer | Actif uniquement si vous avez sélectionné une ou plusieurs boîtes de dialogue existantes. Supprime le groupe d'équipe sélectionné sans demande de confirmation.

Les noms d'équipe que vous définissez ici sont disponibles dans le Runtime. Ils vous aident lors du filtrage pour afficher uniquement les alarmes qui se sont déclenchées lorsque l'équipe donnée était en service.

Autres sujets abordés dans ce chapitre

Ajouter un nom d'équipe depuis une liste


Ajouter un nom d'équipe depuis une liste

Manuel -> Industrial Performance Analyzer -> Configuration dans l'Éditeur -> Paramètres généraux -> Nom d'équipe de la liste -> Ajouter un nom d'équipe depuis une liste

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

La boîte de dialogue Nom d'équipe vous permet d'ajouter de nouveaux noms d'équipe ou de modifier des noms d'équipe existants.

Paramètres | Description
Numéro | Numéro unique de l'équipe.
Nom | Nom unique de l'équipe.


Variables

Manuel -> Industrial Performance Analyzer -> Configuration dans l'Éditeur -> Variables

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Pour enregistrer les alarmes dans la base de données du module IPA, vous devez cocher la case Enregistrer dans la base de données IPA pour chaque variable correspondante. Seules les alarmes provenant des variables pour lesquelles cette propriété a été activée sont conservées dans la base de données et peuvent alors être affichées et évaluées dans le synoptique Industrial Performance Analyzer.

attention Attention

Dans le texte de limite de la variable et dans l'identification de la variable, vous ne devez utiliser que des caractères autorisés dans les traitements SQL.


Changement de langue

Manuel -> Industrial Performance Analyzer -> Configuration dans l'Éditeur -> Changement de langue

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Le changement de langue est proposé dans les zones suivantes du module Industrial Performance Analyzer :

  • Groupes d'alarmes/d'événements et classes d'alarmes/d'événements
  • Identifiant d'équipement

    Remarque : Le caractère @ n'étant pas autorisé dans les noms de variables, la fonction de changement de langue est uniquement disponible pour la fonction d'identification des équipements si vous sélectionnez l'option Identification équipement avec avec le paramètre Filtre sur identification de variable.

  • Cause de l'alarme
  • Nom de l'équipe

    Remarque : L'utilisation du caractère @ n'étant pas autorisée dans l'outil Production & Facility Scheduler, la fonction de changement de langue n'est disponible que si vous avez configuré les entrées correspondantes dans la liste Nom d'équipe de la liste.

Vous devez identifier les termes pour lesquels la fonction de changement de langue doit être utilisée avec le caractère @. En outre, vous devez vous assurer que les entrées correspondantes sont disponibles dans le fichier de langue.


Synoptique Industrial Performance Analyzer

Manuel -> Industrial Performance Analyzer -> Configuration dans l'Éditeur -> Synoptique Industrial Performance Analyzer

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Créer un synoptique Industrial Performance Analyzer

Le synopique Industrial Performance Analyzer permet d'afficher et d'évaluer les données d'alarme que le module Industrial Performance Analyzer enregistre dans la base de données du Runtime.

Développement

Étapes de création du synoptique :

  1. Créez un nouveau synoptique :

    Dans la barre d’outils ou le menu contextuel du nœud Synoptiques, sélectionnez la commande Nouveau synoptique.
    Un synoptique vide Standard est créé.

  2. Modifiez les propriétés du synoptique :
    1. Nommez le synoptique dans la propriété Nom.
    2. Sélectionnez Industrial Performance Analyzer dans la propriété Type de synoptique.
    3. Sélectionnez le cadre souhaité dans la propriété Gabarit.
  3. Configurez le contenu du synoptique :
    1. Sélectionnez l’option de menu Éléments de contrôle dans la barre de menus
    2. Sélectionnez Insérer un modèle dans la liste déroulante.
      La boîte de dialogue de sélection de mises en forme prédéfinies s’affiche à l’écran. Certains éléments de contrôle sont insérés dans le synoptique à des positions prédéfinies.
    3. Supprimez les éléments superflus du synoptique.
    4. Si nécessaire, sélectionnez des éléments supplémentaires dans la liste déroulante Éléments. Placez-les aux emplacements souhaités sur le synoptique.
  4. Créez une fonction d’appel de synoptique.

Éléments de contrôle

Élément de contrôle | Description
Insérer un modèle | Ouvre la boîte de dialogue de sélection de modèle pour le type de synoptique correspondant. Des modèles sont fournis avec zenon, et peuvent également être créés par l’utilisateur. Modèles ajoutent des éléments de contrôle prédéfinis à des positions prédéfinies sur le synoptique. Les éléments qui ne sont pas nécessaires peuvent également être supprimés individuellement après leur création. Les éléments supplémentaires peuvent être sélectionnés dans la liste déroulante, puis insérés dans le synoptique zenon. Les éléments peuvent être déplacés et disposés individuellement sur le synoptique.

Fenêtre

Éléments de contrôle des fenêtres.

Élément de contrôle | Description
Liste | Affichage des données d'alarmes sous forme de table. Les informations sont lues depuis la table dans la base de données et sont ensuite affichées ici.
Type de liste | Texte classé affichant le type de liste sélectionné.
Définir filtre | Affichage du filtre configuré. Remarque : Élément de type Texte dynamique. L'attribution de la fonctionnalité a lieu à l'aide de la propriété Fonction spécifique au type de synoptique.

Fonctions de la liste

Éléments de contrôle de la liste.

Élément de contrôle | Description
Filtrer... | Ouvre la boîte de dialogue de définition de filtres.
Filtre précédent | Charge le dernier paramètre de filtre. Les dix derniers paramètres de filtre sont conservés.
Réinitialiser le filtre | Désactive tous les paramètres de filtre.
Actualiser la base de données | Relit les données provenant de la base de données.
Créer un document | Crée un document contenant les données sélectionnées et ouvre le document. Ces données sont affichées sous forme d'une table.
Créer un diagramme | Affiche les données sélectionnées dans un diagramme.
Paramétrage du diagramme | Définition de la représentation du diagramme, par exemple un graphique à barres ou un schéma de secteurs.

Éléments compatibles

Les éléments de contrôle supprimés ou remplacés par des versions plus récentes restent disponibles, pour des raisons de compatibilité. Ces éléments ne sont pas pris en compte lors de l’insertion automatique de modèles.

Élément de contrôle | Description
Définir filtre | Affichage du filtre configuré. Élément de contrôle statique Win32. Remplacé par un champ de texte dynamique. Pour la description, reportez-vous à l’élément actuel.

Filtrer profils

Boutons de configuration des filtres dans le Runtime.

Élément de contrôle | Description
Sélectionner un profil | Sélectionner un profil dans la liste.
Enregistrer le profil | Enregistrer la configuration actuelle sous forme de profil. Remarque : Le nom ne peut contenir que 31 caractères maximum et uniquement des caractères valides. Les caractères suivants sont interdits : ! \ / : * ? < > | ""
Supprime le profil sélectionné | Supprimer le profil sélectionné.
Importer | Importe les profils de filtre depuis un fichier d’exportation.
Exporter | Exporte les profils de filtre vers un fichier.


Fonction Appel de synoptique

Manuel -> Industrial Performance Analyzer -> Configuration dans l'Éditeur -> Fonction Appel de synoptique

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Si vous créez une fonction Appel de synoptique (voir également Fonctions) sur le synoptique Industrial Performance Analyzer, la boîte de dialogue de filtre IPA est affichée. Ici, vous pouvez définir des filtres et configurer des paramètres qui seront pris en compte lorsque le Runtime basculera vers le module Industrial Performance Analyzer.

Vous trouverez d'autres informations concernant les paramètres de la boîte de dialogue de filtre au chapitre Filtre.


Fonction Créer/Imprimer un document IPA

Manuel -> Industrial Performance Analyzer -> Configuration dans l'Éditeur -> Fonction Créer/Imprimer un document IPA

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Avec cette fonction, vous pouvez manuellement créer un rapport IPA et l'enregistrer en HTML ou l'imprimer sur l'imprimante par défaut de Windows. Vous trouverez cette fonction dans le groupe AML et CEL.

Vous pouvez alors utiliser les mêmes options de filtre de la même manière que lorsque vous utilisez la fonction d'appel de synoptique pour le synoptique Industrial Performance Analyzer. Sur l'onglet Document cible, spécifiez si vous souhaitez que le rapport soit imprimé sur l'imprimante standard de Windows ou enregistré sous forme de fichier dans le dossier d'exportation.

Si vous souhaitez enregistrer le rapport dans un fichier, cochez la case Imprimer dans un fichier et spécifiez un nom pour le fichier.

attention Attention

Veillez à saisir le nom de fichier avec l'extension .html, afin que votre ordinateur puisse reconnaître le fichier sans difficulté et l'ouvrir avec un logiciel approprié.

Exemple pour le nom de fichier :

IPA_010109.html

Si vous ne cochez pas cette case, le rapport sera imprimé.


Manipulations en Runtime

Manuel -> Industrial Performance Analyzer -> Manipulations en Runtime

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Vous contrôlez le module IPA dans le Runtime à l'aide du synoptique Industrial Performance Analyzer. Le synoptique est ouvert avec les paramètres de filtre et autres paramètres définis dans Editor. Vous le verrez s'afficher conformément aux paramètres définis dans Editor.

Chaque affichage comporte un mode de tri des colonnes spécifique (voir le chapitre Filtre). Vous pouvez également trier l'affichage vous-même, en sélectionnant chaque colonne disponible. Cliquez sur l'en-tête de la colonne souhaitée pour réorganiser et trier l'affichage en fonction de cette colonne. Si vous souhaitez sélectionner plusieurs colonnes simultanément, maintenez la touche Ctrl enfoncée et cliquez sur les colonnes souhaitées, l'une après l'autre. Vous obtiendrez un tri en cascade. Si vous ne souhaitez plus utiliser le mode de tri par défaut, une flèche adjacente à l'en-tête de la colonne indique que l'affichage est trié en fonction de cette colonne. Vous pouvez trier les données par ordre croissant ou décroissant. Si vous cliquez une fois sur une colonne avec le bouton gauche, les entrées sont triées par ordre décroissant. Cliquez à nouveau avec le bouton gauche pour sélectionner les différents sens de tri.

Les éléments de contrôle développés dans Editor sont également disponibles pour configurer le fonctionnement du module Industrial Performance Analyzer et l'affichage des éléments de contrôle des données d'alarmes (voir également Synoptique Industrial Performance Analyzer).

Supprimer des entrées

Vous pouvez uniquement supprimer les entrées de la base de données à l'aide du module interne Industrial Performance Analyzer. Pour supprimer une entrée, cliquez dessus avec le bouton droit. Dans le menu contextuel qui apparaît, sélectionnez l'entrée Supprimer la ligne sélectionnée de la base de données. Si vous possédez les autorisations nécessaires, l'entrée est également supprimée (voir également Paramètres généraux).

Cause de l'alarme et commentaire

Si vous voulez ajouter une cause d'alarme et/ou un commentaire à une alarme, deux possibilités s'offrent à vous. Double-cliquez sur la ligne de votre choix. Dans la boîte de dialogue suivante, vous pouvez sélectionner une cause d'alarme dans la liste déroulante Cause d'alarme et entrer un commentaire dans le champ de texte Commentaire.

Vous pouvez également accéder à la boîte de dialogue en cliquant avec le bouton droit sur la ligne de votre choix et en sélectionnant l'élément Modifier la cause d'alarme dans le menu contextuel.

Autres sujets abordés dans ce chapitre

Filtre

Créer un document

Diagramme


Filtre

Manuel -> Industrial Performance Analyzer -> Manipulations en Runtime -> Filtre

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

La boîte de dialogue de filtre vous permet de paramétrer l'apparence du synoptique Industrial Performance Analyzer. Vous définissez les alarmes que vous souhaitez afficher, ainsi que les critères de tri.

Chaque type de liste affiche certaines colonnes spécifiques, et comporte un mode de tri par défaut spécifique. Il existe trois types de listes : listes de sommes, listes de statistiques et liste simple.

Remarque : Les groupes et les classes d'alarmes sont triés par ID et non par le texte.

Liste de groupes

Nom de la liste | Colonnes disponibles | Tri par défaut
Selon une classe | Classe d'alarmes/d'événements ; Nombre ; Durée totale | Colonne: Nombre, en commençant par le plus grand nombre
Alarmes liées à une seule variable | Variable, Identification de la variable ; Nombre ; Durée totale brute ; Durée totale nette ; Textes de valeurs limites, Classes d'alarmes/d'événements, Groupes d'alarmes/d'événements, Équipement, Projet | Colonne: Nombre, en commençant par le plus grand nombre
Alarmes liées à un groupe | Classe d'alarmes/d'événements ; Nombre ; Durée totale | Colonne: Nombre, en commençant par le plus grand nombre
Alarmes liées à un équipement | Équipement, Nombre, Durée totale | Colonne: Nombre, en commençant par le plus grand nombre

Liste statistique

Nom de la liste | Colonnes disponibles | Tri par défaut
Durée totale de pannes sur un équipement | Équipement, Durée totale | Colonne: Durée totale, en commençant par l'alarme la plus longue
les n alarmes les plus courtes | État, Variable, Identification de la variable, Début, Durée, Durée brute, Classe d'alarmes, Groupe d'alarmes, Textes de valeurs limites, Début de poste, Fin de poste, Équipement, Projet, Cause de l'alarme, Commentaire | Colonne: Durée, en commençant par l'alarme la plus courte
les n alarmes les plus fréquentes | Nombre, Nom de la variable, Identification de la variable, Début, Durée totale, Durée totale brute, Classe d'alarmes/d'événements, Groupe d'alarmes/d'événements, Textes de valeuer limites, Équipement, Projet, Cause de l'alarme, Commentaire | Colonne: Nombre, en commençant par le plus grand nombre
les n alarmes les plus longues | État, Variable, Identification de la variable, Début, Durée, Durée brute, Classe d'alarmes, Groupe d'alarmes, Textes de valeurs limites, Début de poste, Fin de poste, Équipement, Projet, Cause de l'alarme, Commentaire | Colonne: Durée, en commençant par l'alarme la plus longue
les n alarmes les plus récentes | État, Variable, Identification de la variable, Début, Durée, Durée brute, Classe d'alarmes, Groupe d'alarmes, Textes de valeurs limites, Début de poste, Fin de poste, Équipement, Projet, Cause de l'alarme, Commentaire | Colonne: Durée, en commençant par l'alarme la plus ancienne

Saisissez le nombre souhaité dans le champ n=.

Liste simple

Nom de la liste | Colonnes disponibles | Tri par défaut
Liste des alarmes | État, Variable, Identification de la variable, Début, Durée, Durée brute, Classe d'alarmes, Groupe d'alarmes, Textes de valeurs limites, Début de poste, Fin de poste, Équipement, Projet, Cause de l'alarme, Commentaire | Colonne: Durée, en commençant par l'alarme la plus ancienne

Autres sujets abordés dans ce chapitre

Base de données et affichage

Date/Heure

Identifiant d'équipement

Classes d’alarmes/d’événements

Groupes d'alarmes

Divers

Début de poste

Fin de poste

Cause de l'alarme

Définition des colonnes


Base de données et affichage

Manuel -> Industrial Performance Analyzer -> Manipulations en Runtime -> Filtre -> Base de données et affichage

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Sélectionnez la vue de votre choix sous Vue.

Les champs Nom DSN et Table affichent la connexion au serveur SQL et le nom de la table dans laquelle le module IPA écrit les données de l'alarme. Ces champs sont uniquement fournis à des fins d'information. Vous ne pouvez y apporter aucune modification (voir également Base de données). Vous pouvez modifier les réglages avec ces propriétés :

Paramètre | Description
Afficher la grille | Affiche une trame lors de l'affichage des données d'alarme.
n= | Définit le nombre d'entrées que peuvent contenir les vues n alarmes les plus courtes, n alarmes les plus fréquentes, n alarmes les plus longues et n dernières alarmes.


Date/Heure

Manuel -> Industrial Performance Analyzer -> Manipulations en Runtime -> Filtre -> Date/Heure

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Sur cet onglet, vous définissez la date et l'heure.

Date

Paramètres relatifs à la date.

Options

Description

Date
  • Active : Paramètres pouvant être réglés pour la date.

Aujourd'hui

Le filtre s'applique au jour en cours.

Hier

Le filtre s'applique à hier.

Avant-hier

Le filtre s'applique au jour précédant le jour d'hier.

Sélection
  • Active : Saisie d'une plage de dates librement définissable.

Avec l'heure
  • Active : Une heure spécifique peut être définie pour la date de début et la date de fin.
  • Inactive : La plage horaire démarre à la date de début à 00:00 et s'achève à la date de fin à 24:00.

Disponible uniquement si l'option Sélection a été activée.

Début

Saisie de la date et de l'heure de début.

Fin

Saisie de la date et de l'heure de fin.

Heure

Paramètres du filtre temps

Options

Description

Heure
  • Active : Paramètres pouvant être réglés pour l'heure.

Les plages horaires sont associées à des jours. Elles sont liées à chaque jour sélectionné sous Date.

Exemple :

Si vous sélectionnez l'option Sélection sous Date, 01.10.2017 sous Début et 05.10.2017 sous Fin, la plage de temps sélectionnée sous Heure est valide pour chacun des cinq jours du 1er octobre au 5 octobre. Octobre.

Sélection
  • Active : Saisie d'une période de temps.

Début

Saisie de l'heure de début.

Fin

Saisie de l'heure de fin.

Automatique

Sélection de plages de temps automatiques. Cela doit être créé au préalable dans l'Editor.
Pour plus de détails, reportez-vous au chapitre Prédéfinir un filtre horaire.

Remarque : l'heure est enregistrée au format local. Pour plus de détails, reportez-vous au chapitre Gestion de la date et de l'heure, dans le chapitre Runtime.

Fermer boîte de dialogue

Options | Description :
OK | Applique toutes les modifications effectuées sur tous les onglets, puis ferme la boîte de dialogue.
Annuler | Annule toutes les modifications effectuées sur tous les onglets, puis ferme la boîte de dialogue.
Aide | Ouvre l'aide en ligne.


Identifiant d'équipement

Manuel -> Industrial Performance Analyzer -> Manipulations en Runtime -> Filtre -> Identifiant d'équipement

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Pour utiliser ce filtre, cochez la case Active. Si vous fermez la boîte de dialogue en cliquant sur OK, vos paramètres sont utilisés sur l'affichage. Si vous désactivez la case à cocher Active, les paramètres sont conservés. Ils ne sont toutefois pas utilisés sur l'affichage.

Dans le filtre sur les identifications d'équipements, un ou plusieurs équipements peuvent être sélectionnés. Vous pouvez sélectionner les entrées dans la liste de gauche et les déplacer vers la liste de droite à l'aide des touches fléchées.

Les alarmes appartenant aux équipements de la liste de droite seront affichées.

L'identification des équipements est effectuée sur la base du préfixe du nom de la variable ou de l'identification de la variable, en fonction de la configuration de votre projet (voir également les paramètres généraux). La gestion de la liste d'identifications d'équipements s'effectue dans Editor, sous Identification des équipements.

Informations concernant info

Plusieurs entrées peuvent être sélectionnées pour le filtrage. Vous pouvez sélectionner plusieurs entrées en appuyant longuement sur les touches Ctrl ou Maj. Vous pouvez sélectionner plusieurs entrées en maintenant la touche Ctrl enfoncée. En maintenant la touche Maj enfoncée, vous sélectionnez toutes les entrées situées entre les deux entrées sélectionnées. En maintenant les touches Ctrl et Maj enfoncées, vous sélectionnez toutes les entrées situées entre les entrées sélectionnées. Les entrées préalablement sélectionnées restent sélectionnées.


Classes d’alarmes/d’événements

Manuel -> Industrial Performance Analyzer -> Manipulations en Runtime -> Filtre -> Classes d’alarmes/d’événements

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Pour utiliser ce filtre, cochez la case Active. Si vous fermez la boîte de dialogue en cliquant sur OK, vos paramètres sont utilisés sur l'affichage. Si vous désactivez la case à cocher Active, les paramètres sont conservés. Ils ne sont toutefois pas utilisés sur l'affichage.

Dans le filtre de classes d'alarmes/d'événements, une ou plusieurs classes d'alarmes/d'événements peuvent être sélectionnées. Vous pouvez sélectionner les entrées dans la liste de gauche et les déplacer vers la liste de droite à l'aide des touches fléchées.

Les alarmes appartenant aux groupes de la liste de droite seront affichées.

info Informations

Dans le Runtime, seul le nom de la classe d'alarmes/d'événements est affiché. On obtient ainsi un meilleur tri des entrées. Le numéro de la classe d'alarmes/d'événements n'est pas affiché.

Informations concernant info

Plusieurs entrées peuvent être sélectionnées pour le filtrage. Vous pouvez sélectionner plusieurs entrées en appuyant longuement sur les touches Ctrl ou Maj. Vous pouvez sélectionner plusieurs entrées en maintenant la touche Ctrl enfoncée. En maintenant la touche Maj enfoncée, vous sélectionnez toutes les entrées situées entre les deux entrées sélectionnées. En maintenant les touches Ctrl et Maj enfoncées, vous sélectionnez toutes les entrées situées entre les entrées sélectionnées. Les entrées préalablement sélectionnées restent sélectionnées.


Groupes d'alarmes

Manuel -> Industrial Performance Analyzer -> Manipulations en Runtime -> Filtre -> Groupes d'alarmes

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Pour utiliser ce filtre, cochez la case Active. Si vous fermez la boîte de dialogue en cliquant sur OK, vos paramètres sont utilisés sur l'affichage. Si vous désactivez la case à cocher Active, les paramètres sont conservés. Ils ne sont toutefois pas utilisés sur l'affichage.

Dans le filtre de groupes d'alarmes/d'événements, un ou plusieurs groupes d'alarmes/d'événements peuvent être activés. Vous pouvez sélectionner les entrées dans la liste de gauche et les déplacer vers la liste de droite à l'aide des touches fléchées.

Les alarmes appartenant aux groupes de la liste de droite seront affichées.

info Informations

Dans le Runtime, seul le nom du groupe d'alarmes/d'événements est affiché. On obtient ainsi un meilleur tri des entrées. Le numéro du groupe d'alarmes/d'événements n'est pas affiché.

Dans ce cas, le tri n'est pas alphabétique, mais toujours effectué en fonction de l'indice.

Informations concernant info

Plusieurs entrées peuvent être sélectionnées pour le filtrage. Vous pouvez sélectionner plusieurs entrées en appuyant longuement sur les touches Ctrl ou Maj. Vous pouvez sélectionner plusieurs entrées en maintenant la touche Ctrl enfoncée. En maintenant la touche Maj enfoncée, vous sélectionnez toutes les entrées situées entre les deux entrées sélectionnées. En maintenant les touches Ctrl et Maj enfoncées, vous sélectionnez toutes les entrées situées entre les entrées sélectionnées. Les entrées préalablement sélectionnées restent sélectionnées.


Divers

Manuel -> Industrial Performance Analyzer -> Manipulations en Runtime -> Filtre -> Divers

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Dans cet onglet, quelques fonctions de filtre supplémentaires sont disponibles.

Paramètre | Description
Durée alarme | Filtrer sur la durée des alarmes. Seules les alarmes qui ont une durée dans cet intervalle de temps seront considérées.
Fréquence d'alarme | Filtrer les données d'alarmes selon la fréquence des alarmes. Seules les alarmes qui ont une fréquence dans cet intervalle seront considérées. Ce filtre ne peut être activé que si, dans la vue de liste, le choix les n alarmes les plus fréquentes a été activé.
État d’alarme | Filtrage par état d'alarme. Choisissez l'une de ces possibilités : active, effacée ou les deux.
Filtre de texte de limite | Filtrer les données d'alarmes sur le textes de valeuer limites de l'alarme. Soit sur le texte – c'est-à-dire lister toutes les alarmes avec le mot "Test" dans le texte d'alarme, par exemple (en respectant la casse ou non), ou alors avec des expressions avec des caractères génériques.
Identification variable | Filtrer les données d'alarmes sur le texte d'identification de la variable. Soit avec un texte, soit avec des expressions génériques.
Projet | Filtrer sur le projet depuis lequel l'alarme a été écrite dans la base de données. Si vous voulez spécifier plusieurs projets, ils doivent être séparés par une virgule ','.

Autres sujets abordés dans ce chapitre

Expressions génériques


Expressions génériques

Manuel -> Industrial Performance Analyzer -> Manipulations en Runtime -> Filtre -> Divers -> Expressions génériques

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Les expressions génériques désignent des chaînes constituées de caractères normaux (par ex. lettres, chiffres etc.) et de caractères spéciaux appelés métacaractères. Lors du filtrage ou de la recherche de caractères dans des textes, vous pouvez définir une chaîne de caractères spécifique.

info Informations

Ne confondez pas les expressions génériques et les opérateurs génériques (par ex., * équivaut à n'importe quelle chaîne). Les expressions génériques sont beaucoup plus efficaces, et vous permettent de définir votre recherche de manière très précise.

La liste suivante contient tous les métacaractères et leur utilisation en tant qu'expressions génériques :

Métacaractère | Description
\ | Identifie le caractère suivant comme étant un caractère spécial, un caractère littéral, une référence arrière ou un échappement octal. Par exemple, n correspond au caractère n. \n correspond à un caractère de nouvelle ligne. La séquence \\ correspond à \ et \( correspond à (.
^ | Correspond à la position au début de la chaîne de saisie.
$ | Correspond à la position à la fin de la chaîne de saisie.
* | Correspond au caractère ou à la sous-expression précédent(e) zéro fois ou davantage. Par exemple, zo* correspond à "z, zo, zoo" etc.
+ | Correspond au caractère ou à la sous-expression précédent(e) une fois ou davantage. Par exemple, zo+ correspond à zo, zoo etc. mais pas à z.
? | Correspond au caractère ou à la sous-expression précédent(e) zéro‑ fois ou davantage. Par exemple, fa(it)? correspond à fa dans fa ou fait.
? | Quand ce caractère suit immédiatement un des autres quantificateurs (*, +, ?, {n}, {n,}, {n,m}), le motif correspondant est non Greedy. Un motif non Greedy correspond à une partie aussi réduite que possible de la chaîne recherchée, tandis que le motif Greedy par défaut correspond à une partie aussi importante que possible de la chaîne recherchée. Par exemple, dans la chaîne oooo, o+? correspond à un seul o, tandis que o+ correspond à tous les o.
. | Correspond à n'importe quel caractère, sauf \n. Pour obtenir un caractère \n, utilisez un motif tel que [\s\S].
(Motif) | Une sous-expression qui correspond au motif et capture la correspondance. Pour obtenir les caractères de parenthèses, ( ), utilisez \( ou \).
x|y | Correspond soit à x ou y. Par exemple, z|cool correspond soit à z, soit à cool. (z|c)ool correspond à zool ou cool.
[xyz] | Un ensemble de caractères. Correspond à n'importe lequel des caractères entre crochets. Exemple : [abc] correspond à a dans plaine.
[^xyz] | Un ensemble de caractères négatif. Correspond à tout caractère non inséré entre crochets. Exemple : [abc] correspond au p dans plaine.
[a-z] | Une plage de caractères. Correspond à tout caractère dans la plage spécifiée. Exemple : Par exemple, [a-z] correspond à tout caractère alphabétique dans la plage de a à z.
[^a-z] | Une plage de caractères négative. Correspond à tout caractère absent de la plage spécifiée. Exemple : Par exemple, [^a-z] correspond à tout caractère non compris dans la plage de a à z.
\cx | Correspond au caractère de contrôle indiqué par x. Par exemple, \cM correspond à Ctrl+M ou un caractère de retour de chariot. La valeur de x doit être compris dans la plage de A à Z ou de a à z. Dans le cas contraire, le programme considère que c est un caractère littéral c‑.
\f | Correspond à un caractère de présentation de page suivante. Équivalent à \x0c et \cL.
\t | Correspond à un caractère de tabulation. Équivalent à \x09 et \cl.
\v | Correspond à un caractère de tabulation verticale. Équivalent à \x0b et \cK.
\num | Correspond à num, où num est un entier positif. Une référence aux correspondances capturées. Exemple : Par exemple, (.)\1 correspond à deux caractères consécutifs identiques.


Début de poste

Manuel -> Industrial Performance Analyzer -> Manipulations en Runtime -> Filtre -> Début de poste

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Pour utiliser ce filtre, cochez la case Active. Si vous fermez la boîte de dialogue en cliquant sur OK, vos paramètres sont utilisés sur l'affichage. Si vous désactivez la case à cocher Active, les paramètres sont conservés. Ils ne sont toutefois pas utilisés sur l'affichage.

Dans le filtre Début de poste, un ou plusieurs postes peuvent être sélectionnés. Vous pouvez sélectionner les entrées dans la liste de gauche et les déplacer vers la liste de droite à l'aide des touches fléchées.

Le filtre Début de poste fait référence au poste actif lorsque l'entrée Date/heure d'apparition était active. Vous pouvez gérer la liste contenant les noms des postes dans Editor, sous l'intitulé Nom de poste donné par une liste.

Informations concernant info

Plusieurs entrées peuvent être sélectionnées pour le filtrage. Vous pouvez sélectionner plusieurs entrées en appuyant longuement sur les touches Ctrl ou Maj. Vous pouvez sélectionner plusieurs entrées en maintenant la touche Ctrl enfoncée. En maintenant la touche Maj enfoncée, vous sélectionnez toutes les entrées situées entre les deux entrées sélectionnées. En maintenant les touches Ctrl et Maj enfoncées, vous sélectionnez toutes les entrées situées entre les entrées sélectionnées. Les entrées préalablement sélectionnées restent sélectionnées.


Fin de poste

Manuel -> Industrial Performance Analyzer -> Manipulations en Runtime -> Filtre -> Fin de poste

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Pour utiliser ce filtre, cochez la case Active. Si vous fermez la boîte de dialogue en cliquant sur OK, vos paramètres sont utilisés sur l'affichage. Si vous désactivez la case à cocher Active, les paramètres sont conservés. Ils ne sont toutefois pas utilisés sur l'affichage.

Dans le filtre Poste fin, un ou plusieurs postes peuvent être sélectionnés. Vous pouvez sélectionner les entrées dans la liste de gauche et les déplacer vers la liste de droite à l'aide des touches fléchées.

Le filtre Fin poste fait référence au poste actif lorsque l'entrée Date/heure d'apparition était active. Les alarmes et les postes de la liste de droite seront affichés. Vous pouvez gérer la liste contenant les noms des postes dans Editor, sous l'intitulé Nom de poste donné par une liste.

Informations concernant info

Plusieurs entrées peuvent être sélectionnées pour le filtrage. Vous pouvez sélectionner plusieurs entrées en appuyant longuement sur les touches Ctrl ou Maj. Vous pouvez sélectionner plusieurs entrées en maintenant la touche Ctrl enfoncée. En maintenant la touche Maj enfoncée, vous sélectionnez toutes les entrées situées entre les deux entrées sélectionnées. En maintenant les touches Ctrl et Maj enfoncées, vous sélectionnez toutes les entrées situées entre les entrées sélectionnées. Les entrées préalablement sélectionnées restent sélectionnées.


Cause de l'alarme

Manuel -> Industrial Performance Analyzer -> Manipulations en Runtime -> Filtre -> Cause de l'alarme

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Pour utiliser ce filtre, cochez la case Active. Si vous fermez la boîte de dialogue en cliquant sur OK, vos paramètres sont utilisés sur l'affichage. Si vous désactivez la case à cocher Active, les paramètres sont conservés. Ils ne sont toutefois pas utilisés sur l'affichage.

Dans le filtre "causes d'alarmes", une ou plusieurs causes d'alarmes peuvent être sélectionnées. Vous pouvez gérer les causes des alarmes dans Editor, dans la zone Causes des alarmes.

Informations concernant info

Plusieurs entrées peuvent être sélectionnées pour le filtrage. Vous pouvez sélectionner plusieurs entrées en appuyant longuement sur les touches Ctrl ou Maj. Vous pouvez sélectionner plusieurs entrées en maintenant la touche Ctrl enfoncée. En maintenant la touche Maj enfoncée, vous sélectionnez toutes les entrées situées entre les deux entrées sélectionnées. En maintenant les touches Ctrl et Maj enfoncées, vous sélectionnez toutes les entrées situées entre les entrées sélectionnées. Les entrées préalablement sélectionnées restent sélectionnées.


Définition des colonnes

Manuel -> Industrial Performance Analyzer -> Manipulations en Runtime -> Filtre -> Définition des colonnes

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Sur cet onglet, vous personnalisez les colonnes prédéfinies.

Paramètre | Description
Vue de liste | Sélectionnez la liste souhaitée dans la liste déroulante.
Colonnes | Dans cette liste sont affichées toutes les colonnes disponibles dans la vue de liste sélectionnée.
Défini par l'utilisateur | Cochez cette case pour personnaliser la valeur prescrite en fonction de l'intitulé de la colonne et de la largeur de la colonne.
Titres des colonnes | Saisissez un nouveau titre pour la colonne sélectionnée.
Largeur de colonne | Définissez la largeur de la colonne sélectionnée, en pixels. Si vous saisissez 0, la colonne n'est pas affichée.


Créer un document

Manuel -> Industrial Performance Analyzer -> Manipulations en Runtime -> Créer un document

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

En plus de l'affichage des données d'alarmes, un document au format HTML peut être créé. Ces documents peuvent être imprimés ou enregistrés. Après avoir défini les filtres et les options de tri de votre choix, vous pouvez générer le document en cliquant sur Créer un document.

Le format du document est défini avec un fichier XSL (fichier de styles).
Les fichiers se trouvent dans le dossier suivant : %ProgramData%\COPA-DATA\zenon7.60\IPA\.
Les feuilles de style contiennent une référence à un fichier Logo.gif. Cela sert d'espace réservé pour un logo. Le chemin d'accès à ce logo doit être configuré dans la feuille de style.

Plusieurs fichiers prédéfinis sont disponibles :

Fichier XSL : | Description
Single_list.xsl | affichage d'alarmes simples
Statistical_duration.xsl | affichage statistique de l'indisponibilité totale d'un équipement
Statistical_frequency.xsl | affichage statistique des n alarmes les plus fréquentes, les plus courtes, les plus longues ou des n dernières alarmes.
Sum_list_equipment.xsl | Liste groupée selon un équipement
Sum_list_single_alarm.xsl | Liste groupée relative à une seule alarme
Sum_list_group.xsl | Liste groupée selon un groupe
Sum_list_class.xsl | Liste groupée selon une classe

Si plusieurs feuilles de styles sont présentes, une boîte de dialogue demande quelle feuille de style doit être utilisée.

Mots-clés

Les feuilles de style peuvent être modifiées individuellement. Pour cela, utilisez les mots-clés suivants :

Mot clé | Signification
Alarmcause | Cause de l'alarme
Brutto_duration | Durée totale brute
Class | Classe d'alarme
Comment | Commentaire
Duration | Durée
Equipment | Groupe d'équipements
Group | Groupe d'alarme
Identification | Identification
Limit_text | Texte de valeur limite
Number | Numéro
Project | Projet
Shift_end | Heure de fin de l'équipe
Shift_start | Heure de début de l'équipe
Start | Heure de début
Status | État


Diagramme

Manuel -> Industrial Performance Analyzer -> Manipulations en Runtime -> Diagramme

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Pour les listes de sommes et la liste de statistiques des n alarmes les plus fréquentes, un diagramme peut être créé en complément du document.

Le format du diagramme est défini avec les paramètres du diagramme.

Sur l'onglet Diagramme général, un des diagrammes suivants peut être sélectionné :

Type diagramme | Description
Graphique à barres horizontal | La barre est affichée horizontalement.
Graphique à barres vertical | La barre est affichée verticalement.
Diagramme à secteurs | Pour le schéma en secteur, l'option 2D ou 3D peut être sélectionnée.

Le résumé des alarmes est affiché selon le temps ou selon le nombre. Dans la section Divers, la couleur de la barre peut être sélectionnée. En plus l'affichage d'une grille peut être activée ici.

Dans onglet Étiquetage, vous sélectionnez la police de caractères et la couleur de l'étiquetage du diagramme. Le Style définit le texte à afficher.

La police et la couleur de la police sont sélectionnés sous l'onglet Touche. Vous pouvez aussi définir comment la légende doit être affichée et où.


Installation et mises à jour

Manuel -> Installation et mises à jour

Lors de la première installation de zenon, la procédure d'installation démarre automatiquement et vous guide tout au long du processus d'installation. Si vous avez désactivé la fonction Exécution automatique de votre lecteur de média, vous pouvez démarrer l'installation en exécutant le fichier START.exe situé dans le répertoire racine de votre support d'installation de zenon.

Remarques concernant l'installation :

  • Avant d'installer zenon :
    • Toutes les mises à jour actuelles du système d'exploitation doivent être installées.
      Remarque : Si vous utilisez toujours la dernière version (Service Pack) de votre système d'exploitation, vous évitez non seulement les problèmes de compatibilité, mais également les problèmes de sécurité.
    • Le système d'exploitation ne doit pas être en attente de redémarrage.
  • Avec Windows 7 Embedded Standard, zenon est installé dans le cadre d'une procédure d'installation normale. Vous trouverez des informations concernant la configuration matérielle requise au chapitre Le Runtime sous Windows Embedded Standard.
  • zenon pour Windows CE est installé dans le cadre de la procédure d'installation normale. La version 7.20 des fichiers pour Windows CE est installée. Vous trouverez plus de détails à ce sujet au chapitre Runtime sous Windows CE.
  • Pendant l'installation de zenon, COPA-DATA Multiple Network Protocol Driver (cdprotdrv.sys) est installé. Pour démarrer le driver, vous devez redémarrer le système d'exploitation après installation.

attention Attention

À partir de la version 7.10, zenon ne peut pas être installé sur les systèmes sur lesquels Microsoft SQL Server Data Engine (MSDE) est déjà installé. Ceci affecte tous les systèmes sur lesquels est installé zenon 6.01 ou 6.20 ou une version antérieure.

info Informations

Durant l'installation, si vous recevez un message d'erreur indiquant qu'un service ne peut pas être démarré :

  • Redémarrez d'abord l'ordinateur
  • Ensuite, redémarrez le programme d'installation de zenon

Autres sujets abordés dans ce chapitre

Installation standard de zenon

Installation et désinstallation silencieuses

Gestion des erreurs

Mises à jour de Windows

Logiciel antivirus

Structure des fichiers

Ports libres

Installation d'une version antérieure après l'installation de zenon 7.60 (système d'exploitation 64 bits)

Installation de la version 7.x et de la version 6.51 sur le même ordinateur

Configuration système requise

Chemins d'installation et de fonctionnement

zenon pour Windows CE

Runtime zenon Logic pour Windows CE

zenon Web Server

zenon Web Client

Mises à jour (installations de versions)

FAQ

Support technique

Open Source GPL/Mozilla Licenses

Open Source licences for several features


Installation standard de zenon

Manuel -> Installation et mises à jour -> Installation standard de zenon

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

zenon démarre automatiquement l'installation et effectue l'ensemble de la procédure d'installation lorsque le support d'installation de zenon est connecté. Vous pouvez également démarrer l'installation en exécutant le fichier START.exe situé dans le répertoire racine du support d'installation de zenon.

Des droits d'administrateur sont requis pour la procédure d'installation sur l'ordinateur !

attention Attention

L'ordinateur redémarre automatiquement durant l'installation, si nécessaire. Fermez tous les autres programmes avant l'installation.

Autres sujets abordés dans ce chapitre

Synoptique de départ

Installation standard de zenon

Sélection de l'édition – Type d'installation (installation définie par l'utilisateur)

Installation et finalisation


Synoptique de départ

Manuel -> Installation et mises à jour -> Installation standard de zenon -> Synoptique de départ

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

L'écran de démarrage indique la version à installer, ainsi que le numéro de version.

  1. Dans la liste déroulante affichée en haut à gauche, sélectionnez la langue souhaitée pour l'installation.
    Les langues suivantes sont disponibles pour l'installation :
    • Allemand
    • Anglais
    • Français
    • Italien
    • Espagnol
  2. Des informations concernant zenon sont disponibles en cliquant sur le bouton souhaité :

    Ouvre une animation contenant les informations concernant la version actuelle de zenon.

    Ouvre l'aide relative à l'installation zenon, sous forme de fichier PDF.

    Ouvre le guide de démarrage rapide au format PDF, qui contient des conseils relatifs aux premières étapes de configuration de projets dans zenon.

    Attention : Vous ne pourrez plus afficher cette page ultérieurement. Si vous avez besoin d'informations concernant la version actuelle du logiciel ou souhaitez consulter le manuel pour connaître la procédure d'installation, ouvrez-la maintenant.

  3. Cliquez sur le bouton Suivant pour ouvrir la fenêtre contenant les conditions d'accord de licence.
  4. Confirmez les conditions d'accord de licence en cochant la case correspondante.
  5. Vous pouvez également modifier les conditions d'accord de licence en cliquant sur le bouton Imprimer.
  6. Cliquez sur le bouton Suivant pour ouvrir la fenêtre de sélection du produit souhaité.
    Remarque : Le bouton Suivant est uniquement disponible si vous avez accepté les conditions d'accord de licence en cliquant sur la case d'option.


Installation standard de zenon

Manuel -> Installation et mises à jour -> Installation standard de zenon -> Installation standard de zenon

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Sélectionnez le produit de votre choix. Il est uniquement possible de sélectionner les produits qui n'ont pas encore été installés. Si vous souhaitez réinstaller un produit, vous devez d'abord le désinstaller depuis le Panneau de configuration.

  • zenon Editor:
    Installe zenon Editor et le Runtime zenon. Les autres composants requis pour Editor sont également installés ensemble automatiquement.
  • zenon Runtime:
    Installe uniquement le Runtime zenon.
  • zenon Web Server:
    Installe zenon Web Server et les modules <CD_PRODUCTNAME Web Client> correspondants.
  • zenon Web Client :
    Installe uniquement zenon Web Client.

info Informations

L'installation démarre immédiatement lors de la sélection de zenon Web Server ou de zenon Web Client.

La boîte de dialogue de sélection de l'édition s'affiche lors de la sélection de zenon Editor ou de zenon Runtime.


Sélection de l'édition – Type d'installation (installation définie par l'utilisateur)

Manuel -> Installation et mises à jour -> Installation standard de zenon -> Sélection de l'édition – Type d'installation (installation définie par l'utilisateur)

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Cliquez sur le produit souhaité pour ouvrir la fenêtre de sélection de l'édition.

  1. Sélectionnez la version comportant la licence de votre choix :
    • zenon Supervisor Edition
    • zenon Energy Edition
    • zenon Pharma Edition
    • zenon Operator Edition

  2. Cliquez sur l'édition souhaitée pour ouvrir la fenêtre de sélection du type d'installation.

    • Installer maintenant :
      démarrer l'installation de l'édition sélectionnée.
      L'ordinateur peut redémarrer automatiquement durant l'installation. Suivez les instructions de l'assistant
    • Défini par l'utilisateur :
      ouvre d'autres fenêtres pour l'installation en cours.
      Vous pouvez saisir un numéro de série existant et modifier le répertoire d'installation.

Installation définie par l'utilisateur

  1. Si vous sélectionnez une installation définie par l'utilisateur, la fenêtre de saisie du numéro de série s'affiche :

    • Sélectionnez Version démo si vous ne possédez pas de licence.
    • Si vous possédez déjà une licence, saisissez le numéro de série et le numéro d'activation.
      Remarque : La validité du numéro de série est contrôlée. Si la licence est valide, une grüner Haken apparaît près du champ de saisie.
  2. Cliquez sur le bouton Suivant pour ouvrir la fenêtre permettant de modifier les dossiers d'installation.

    • Si nécessaire, définissez individuellement les dossiers correspondant aux versions 32 bits et 64 bits du programme.
      Pour cela, cliquez sur le bouton Modifier....
    • Définissez le dossier cible de la base de données du projet.
      Remarque : Ce dossier ne peut pas être modifié ultérieurement. L'emplacement de sauvegarde sélectionné ici doit disposer d'une quantité suffisante d'espace libre. Tous les utilisateurs doivent disposer d'une autorisation d'écriture.
    • Si vous souhaitez également installer le projet de démonstration, cochez la case correspondante.
      Le projet de démonstration fournit des exemples de scénarios d'utilisation possibles dans différentes industries.
  3. Cliquez sur le bouton Installer.
    L'installation de l'édition sélectionnée démarre.
    L'ordinateur peut redémarrer automatiquement durant l'installation. Suivez les instructions de l'assistant


Installation et finalisation

Manuel -> Installation et mises à jour -> Installation standard de zenon -> Installation et finalisation

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Une barre de progression vous informe de l'avancement de l'installation concernée et de l'étape d'installation actuelle.

  • Vous pouvez annuler l'installation en cliquant sur le bouton Abbrechen .
    Vous serez invité à confirmer votre choix avant l'annulation de l'installation.

Paramètres | Description
Oui | L'installation est annulée. La boîte de dialogue d'avertissement en cas d'installation non valide est affichée.
Non | L'installation se poursuit.

L'installation peut demander un certain temps. N'éteignez pas votre ordinateur à cet instant. Assurez-vous également que le mode de veille de votre ordinateur ne sera pas automatiquement activé.

Terminé

Une boîte de dialogue vous informe du bon déroulement de l'installation.

  • Cliquez sur le bouton Fertig stellen pour terminer l'installation.
  • Redémarrez le programme d'installation si vous souhaitez installer d'autres produits, tels que zenon Web Server.

Annulation ou échec de l'installation

Si une erreur se produit durant l'installation, ou si l'installation est annulée, ceci est affiché dans une boîte de dialogue.

Cliquez sur le bouton Terminer pour quitter le programme d'installation.


Installation et désinstallation silencieuses

Manuel -> Installation et mises à jour -> Installation et désinstallation silencieuses

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

zenon peut également être installé et désinstallé en silence (Silent Installation) et (Silent Remove).

info Informations

Il est possible d'effectuer une installation et une désinstallation silencieuses pour toutes les versions de zenon à partir de 7.10.

Installation silencieuse à partir de zenon 7.20

Syntaxe : scada.exe /silent /language:[numéro] CDPROP_EDITION=[édition] CDPROP_TYPE=[type] ISFeatureInstall=[fonctionnalités]

Paramètres

Arguments

Description

scada.exe

Appel de l'installation.

/silent

Installation silencieuse.

/language:
  • 1031: Allemand
  • 1033: Anglais
  • 1034: Espagnol
  • 1036: Français
  • 1040: Italien

Sélection de la langue.

Exemple : Anglais :
language:1033

CDPROP_EDITION=
  • ENERGY
  • SUPERVISOR
  • OPERATOR
  • PHARMA
  • SCIENCE

Sélection de l'édition.

Exemple : Energy Edition :
CDPROP_EDITION=ENERGY

N'est pas nécessaire pour le serveur Web de zenon et le client Web de zenon.

CDPROP_TYPE=
  • ED: Editor et Runtime
  • RT: Runtime

Sélection de l'Editor ou du Runtime.

Exemple : Runtime :
CDPROP_TYPE=RT

N'est pas nécessaire pour le serveur Web de zenon et le client Web de zenon.

ISFeatureInstall=
  • PREREQUISITES_EDITOR,SCADA:
    Editor
  • PREREQUISITES_RUNTIME,SCADA:
    Runtime
  • PREREQUISITES_WEBSERVER,WEBSERVER:
    Serveur Web
  • PREREQUISITES_WEBCLIENT,WEBCLIENT:
    Client Web

Sélection des fonctionnalités à installer.

Exemple : zenon Editor :
ISFeatureInstall=PREREQUISITES_EDITOR,SCADA

Exemples :

  • Installation de l'Editor, allemand, Energy Edition :
    scada.exe /silent /language:1031 CDPROP_EDITION=ENERGY CDPROP_TYPE=ED ISFeatureInstall=PREREQUISITES_EDITOR,SCADA
  • Installation du Runtime, anglais, Supervisor Edition :
    scada.exe /silent /language:1033 CDPROP_EDITION=SUPERVISOR CDPROP_TYPE=RT ISFeatureInstall=PREREQUISITES_RUNTIME,SCADA?
  • Installation du serveur Web zenon, allemand :
    scada.exe /silent /language:1031 ISFeatureInstall=PREREQUISITES_WEBSERVER,WEBSERVER?
  • Installation du client Web zenon, allemand :
    scada.exe /silent /language:1031 ISFeatureInstall=PREREQUISITES_WEBCLIENT,WEBCLIENT?

Désinstallation silencieuse à partir de zenon 7.20

Sans fichier LOG

Chemin : C:\Program Files (x86)\InstallShield Installation Information\{9BE6EDFE-3465-486F-87EE-1C439DE5EA9A}

Syntaxe : SCADA.exe /remove /silent??

Avec fichier LOG

Chemin : C:\Program Files (x86)\InstallShield Installation Information\{9BE6EDFE-3465-486F-87EE-1C439DE5EA9A}

Syntaxe : SCADA.exe /remove /silent??? /log"%TEMP%"

Installation silencieuse de zenon 7.10 et 7.11

Syntaxe : scada.exe /silent /language:[numéro] CDPROP_EDITION=[édition] CDPROP_TYPE=[type] ISFeatureInstall=[fonctionnalités]

Paramètres

Arguments

Description

scada.exe

Appel de l'installation.

/silent

Installation silencieuse.

/language:
  • 1031: Allemand
  • 1033: Anglais
  • 1034: Espagnol
  • 1036: Français
  • 1040: Italien

Sélection de la langue.

Exemple : Anglais :
language:1033

CDPROP_EDITION=
  • ENERGY
  • SUPERVISOR
  • OPERATOR
  • PHARMA

Sélection de l'édition.

Exemple : Energy Edition :
CDPROP_EDITION=ENERGY

N'est pas nécessaire pour le serveur Web de zenon.

CDPROP_TYPE=
  • ED: Editor et Runtime
  • RT: Runtime

Sélection de l'Editor ou du Runtime.

Exemple : Runtime :
CDPROP_TYPE=RT

N'est pas nécessaire pour le serveur Web de zenon.

ISFeatureInstall=
  • WIBU,SCADA,MS,MSALL,SQL,COMMON:
    Editor
  • WIBU,SCADA,MS,MSALL,COMMON:
    Runtime
  • WIBU,WS,MSALL,COMMON:
    Serveur Web

Sélection des fonctionnalités à installer.

Exemple : zenon Editor :
ISFeatureInstall=WIBU,SCADA,MS,MSALL,SQL,COMMON

Exemples :

  • Installation de l'Editor, allemand, Energy Edition :
    scada.exe /silent /language:1031 CDPROP_EDITION=ENERGY CDPROP_TYPE=ED ISFeatureInstall=WIBU,SCADA,MS,MSALL,SQL,COMMON
  • Installation du Runtime, anglais, Supervisor Edition :
    scada.exe /silent /language:1033 CDPROP_EDITION=SUPERVISOR CDPROP_TYPE=RT ISFeatureInstall=WIBU,SCADA,MS,MSALL,COMMON
  • Installation du serveur Web dezenon, allemand :
    scada.exe /silent /language:1031 ISFeatureInstall=WIBU,WS,MSALL,COMMON

Désinstallation silencieuse de la version 7.10 et zenon 7.11

zenon 7.10

Chemin : C:\Program Files (x86)\InstallShield Installation Information\{860C41F0-6034-4822-BCF1-88D4849AE897}

Syntaxe : SCADA.exe /remove /silent??

zenon 7.11

Chemin : C:\Program Files (x86)\InstallShield Installation Information\{ED00D319-77B8-4C58-8D67-2DA2D48E90DB}

Syntaxe : SCADA.exe /remove /silent


Gestion des erreurs

Manuel -> Installation et mises à jour -> Gestion des erreurs

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Vérification avant installation :

La configuration minimale requise du système doit être vérifiée avant l'installation. Si les critères ne sont pas satisfaits, ils sont affichés sur une page distincte, avec des informations destinées à vous permettre d'y remédier.

Erreur durant l'installation

Un message d'erreur s'affichera à l'écran en cas d'erreur durant l'installation.

Si vous avez besoin d'aide, vous pouvez vous adresser au service de conseil technique de COPA-DATA :

  1. Si possible, créez une capture d'écran du message d'erreur.
  2. Accédez au dossier nommé %Temp%/SCADALOG.
  3. Vous trouverez ici les fichiers journaux de la procédure d'installation.
  4. Créez un fichier ZIP avec le contenu du dossier.
  5. Transmettez le fichier et la capture d'écran à support@copadata.com.

Si vous avez déjà fermé la fenêtre contenant le message d'erreur, vous pouvez consulter les fichiers journaux contenant toutes les informations concernant l'installation de SQL Server dans le dossier suivant :
C:\Program Files\Microsoft SQL Server\110\Setup Bootstrap\LOG

Conseil : le fichier summary.txt contient les informations de dépannage.

info Informations

Pare-feu : zenon configures automatiquement le pare-feu installé avec Windows durant l'installation. Les pare-feu d'autres fournisseurs doivent être correctement configurés par l'utilisateur.

Sources d'erreurs fréquentes durant l'installation :

  • Le logiciel antivirus est actif et bloque l'installation en méprenant le programme d'installation pour un virus. Solution : isolez le système du réseau, désactivez le logiciel antivirus, puis exécutez l'installation à nouveau.
  • Le pare-feu n'a pas été correctement configuré. Solution : isolez le système du réseau, désactivez le pare-feu, puis exécutez l'installation à nouveau.
  • Installation incorrecte de SQL sur le système. Solution : Créez des sauvegardes de projet ; si possible, désinstallez SQL Server, renommez le dossier SQL, puis redémarrez l'installation.


Mises à jour de Windows

Manuel -> Installation et mises à jour -> Mises à jour de Windows

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Attention : Les mises à jour automatiques de Windows influencent le déroulement de l'installation.

Si une mise à jour du système d'exploitation Windows est effectuée pendant le fonctionnement du programme d'installation de zenon, des problèmes peuvent survenir durant l'installation de zenon.

Pour éviter cela :

  • Désactivez la fonction de mise à jour automatique de Windows durant l'installation, ou
  • Exécutez la mise à jour de Windows avant de démarrer l'installation de zenon


Logiciel antivirus

Manuel -> Installation et mises à jour -> Logiciel antivirus

Un logiciel antivirus peut ralentir, voire empêcher l'installation de zenon.

Remarque : Si le logiciel antivirus que vous utilisez entraîne des problèmes durant l'installation, désactivez le logiciel antivirus pour la durée de l'installation. Notez que pendant ce temps, l'ordinateur est plus vulnérable aux menaces informatiques. Réactivez immédiatement votre logiciel antivirus après l'installation de zenon.


Structure des fichiers

Manuel -> Installation et mises à jour -> Structure des fichiers

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

L'arborescence des fichiers est créée (ou étendue) au cours de l'installation.

Les fichiers programme de zenon sont copiés vers un dossier que vous pouvez définir durant l'installation.

De plus, le programme d'installation demande également un dossier pour les bases de données SQL des projets. Le support de stockage utilisé pour l'archivage de projets (SQL, synoptiques, etc.) doit comporter suffisamment d'espace, car toutes les données des projets et actuels sont enregistrées sur celui-ci.

Dossier | Chemin
Liste des programmes | Système 32 bits : %Program Files%\COPA-DATA\zenon7xxx Système 64 bits : %Program Files%\COPA-DATA\zenon7xxx %Program Files (x86)%\COPA-DATA\zenon7xxx
Dossier de données du programme, par ex. symboles globale, modèles d'impression, fichiers journaux etc. | %ProgramData%\COPA-DATA\zenon7xxx
Dossier de la base de données (SQL) | %ProgramData%\COPA-DATA\SQL
Dossier système | %ProgramData%\COPA-DATA\System
Paramètres et profils d'Editor | %Users%\UserName\AppData\Local\COPA-DATA\zenon\Editor
Paramètres Diagnosis Viewer | %Users%\UserName\AppData\Local\COPA-DATA\zenon\DiagView

Dossier de définition du Runtime et dossier de données

Dossier du Runtime

Editor crée des fichiers de Runtime dans le dossier du Runtime ; ils peuvent également être transférés vers ce dossier à l'aide du module Remote Transport. Lors de la création d'un projet, vous devez définir le dossier du Runtime. Vous pourrez ultérieurement modifier ce dossier dans les propriétés du projet. Avec le module Remote Transport, le dossier du Runtime est défini dans les paramètres du module.

Dossier des données

Le Runtime enregistre tous les fichiers de données créés dans le Runtime, tels que les fichiers d'alarmes, les fichiers d'archives et autres, dans le dossier de données. Par défaut, le dossier de données est créé sous forme de sous-dossier du dossier du Runtime. Ce dossier reçoit automatiquement le nom de l'ordinateur sur lequel s'exécute le Runtime. Vous pouvez modifier cet emplacement de sauvegarde dans les propriétés du projet (Général/Dossier des données).

Conseil : ne définissez jamais le dossier de données sur un support amovible, tel qu'une clé USB ou un périphérique réseau. Il est recommandé d'enregistrer les données localement et de les sauvegarder sur un lecteur externe.

attention Attention

Si le chemin défini n'existe pas ou n'est plus disponible, aucune autre donnée n'est écrite depuis le Runtime. Cela signifie donc que la totalité des données est perdue. Le Runtime peut encore être contrôlé, mais doit être redémarré dès que le chemin redevient disponible. La disponibilité du dossier peut être contrôlée par le biais de la variable de driver du système Dossier de données du Runtime indisponible.


Ports libres

Manuel -> Installation et mises à jour -> Ports libres

zenon et zenon Logic nécessitent certains ports de communication pour les communications via le réseau. Si ces ports sont occupés par d'autres programmes, par exemple un serveur SQL précédemment installé, les communications de zenon peuvent être perturbées. De nombreux ports dans zenon peuvent être modifiés à l'aide de l'outil Startup Tool ou des propriétés dans Editor.

Voici comment vérifier les attributions de ports :

  1. Saisissez netstat -a -n -o dans la ligne de commande.

    Procédez comme suit pour accéder à la ligne de commande dans Windows :

    • appuyez sur la touche Windows et R.
    • Saisissez cmd et confirmez en cliquant sur OK.
    • Une fenêtre MS-DOS s'affiche.
    • Saisissez la commande netstat.
  2. La liste de tous les ports TCP et UDP actuellement utilisés s'affiche à l'écran.
  3. Contrôlez les ports d'écoute (état : ABHÖREN LISTEN) si l'identifiant de processus (PID) des ports utilisés par zenon et zenon Logic correspond aux processus de zenon et zenon Logic.

    Les PID sont affichés dans la fenêtre Processus du Gestionnaire de tâches de Windows ; à cette fin, activez la colonne PID dans le menu Sélectionner un affichage -> Colonnes.

  4. Si d'autres logiciels utilisent ces ports, reconfigurez ce logiciel.
    Vous pouvez afficher les ports utilisés par zenon et zenon Logic dans le tableau Attribution des ports par zenon et zenon Logic. Ici, vous pouvez également voir si ces ports peuvent être modifiés dans ces programmes.

Paramètres des ports de zenon et zenon Logic

Application

Description

Ports

Fichier journal de transport

stratonrt[k].exe

Le Runtime de zenon Logic sonde les communications et le module Workbench de zenon Logic.
  • 1200-1210

TCP

stratonrt[k].exe

  • 4500-4510

TCP

stratonrt[k].exe

Redondance de zenon Logic.
  • 7000-7010

TCP

stratonrt[k].exe

Communications événementielles du Runtime de zenon Logic.
  • 9000-9010

TCP

zennetsrv.exe

Service réseau de zenon.
  • 1100-1100

TCP

zensyssrv.exe

Service de transport de de zenon.
  • 1101

TCP

zendbsrv.exe

Service de base de données de zenon.
  • 1103

TCP

zenAdminsrv.exe

Service d'administration de zenon.
  • 50777

TCP

zenLogSrv.exe

Service de journalisation de zenon.
  • 50780

TCP

zenvnc.exe

Service zenon Remote Desktop
  • 5600 (fixe)
  • 5610 (fixe)

TCP

CodeMeter.exe

Service du dongle Code Meter.
  • 22350 (peut, mais ne doit pas être modifié)

TCP

WkSvW32.exe

Service réseau WibuKey
  • 22347 (fixe)

TCP

Zenrt32.exe

Message Control avec Voice over IP.
  • 5060: SIP
  • 4000: RTP
  • 4001: RTCP (fixe)

SIP et TRP peuvent être configurés avec Editor. RTCP est automatiquement défini par le système.

UDP


Installation d'une version antérieure après l'installation de zenon 7.60 (système d'exploitation 64 bits)

Manuel -> Installation et mises à jour -> Installation d'une version antérieure après l'installation de zenon 7.60 (système d'exploitation 64 bits)

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Avec un système d'exploitation de 64 bits, si une version de zenon antérieure à la version 7.10 est installée après l'installation de zenon 7.60, les services 64 bits de la version 7.10 doivent être réenregistrés manuellement, à l'aide de la ligne de commande. L'enregistrement peut être réalisé manuellement, ou à l'aide d'un fichier de commandes.

Enregistrement avec un fichier de commandes :

  1. Copiez le fichier Register.bat depuis le support d'installation de zenon.
  2. Celui-ci se trouve dans le répertoire suivant : ...\AdditionalSoftware\Register Admin Service and Log Service (x64)\
  3. Exécutez le fichier comme administrateur sur l'ordinateur correspondant.

Enregistrement manuel :

  1. exécutez la ligne de commande avec des droits d'administrateur.
  2. Accédez au dossier %Program Files%\Common Files\COPA-DATA\zenAdminSrv
  3. Démarrez le service zenAdminSrv.exe avec le paramètre -service
  4. Accédez au dossier %Program Files%\Common Files\COPA-DATA\zenLogSrv
  5. Démarrez le service zenLogSrv.exe avec le paramètre -service

Example Exemple

zenAdminSrv:

  • Dossier : C:\Program Files\Common Files\COPA-DATA\zenAdminSrv
  • Commande : zenAdminSrv.exe -service

zenLogSrv :

  • Dossier : C:\Program Files\Common Files\COPA-DATA\zenLogSrv
  • Commande : zenLogSrv.exe -service


Installation de la version 7.x et de la version 6.51 sur le même ordinateur

Manuel -> Installation et mises à jour -> Installation de la version 7.x et de la version 6.51 sur le même ordinateur

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Si une version 7.x est installée sur un système sur lequel zenon 6.51 est déjà installé, le driver Multiple Network Protocol Driver doit être réinstallé après le redémarrage de l'ordinateur.

Sur les systèmes x64

Pour une nouvelle installation :

  1. Redémarrez le système.
  2. Sur le support de l'installation, accédez au chemin suivant : AdditionalSoftware\COPA-DATA Multiple Network Protocol Driver.
  3. Exécutez le fichier intitulé MNDPx64Setup.bat.

Ceci permet de réinstaller correctement le driver et de l'associer correctement aux cartes réseau.

Sur les systèmes X86

Pour une nouvelle installation :

  1. Redémarrez le système.
  2. Sur le support de l'installation, accédez au chemin suivant : AdditionalSoftware\COPA-DATA Multiple Network Protocol Driver
  3. Exécutez le fichier intitulé MNDPx86Setup.bat

Ceci permet de réinstaller correctement le driver et de l'associer correctement aux cartes réseau.


Configuration système requise

Manuel -> Installation et mises à jour -> Configuration système requise

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

zenon 7.60 peut être utilisé avec tous les systèmes d'exploitation actuels de Microsoft. zenon est toujours testé avec les dernières versions en date des systèmes d'exploitation et les derniers Service Pack et correctifs disponibles.

Les modifications apportées par les Service Packs, Hotfixes ou Patches de Microsoft peuvent être à l'origine d'incompatibilités et peuvent affecter les fonctionnalités du logiciel. Si c'est le cas, COPA-DATA publiera une version mise à jour de zenon dans les meilleurs délais. Dans ce cas, vous pouvez obtenir davantage d'informations auprès du service d'assistance de COPA-DATA : support@copadata.com.

attention Attention

Remarque lors de la configuration du projet :

  • Pour garantir l’affichage optimal de zenon dans le Runtime, il est recommandé d’utiliser le réglage par défaut (100 %) du paramètre Affichage de Windows. L'utilisation de valeurs supérieures peut entraîner l'affichage incorrect d'éléments graphiques, de symboles, de textes, etc.
  • Les thèmes de Windows peuvent recouvrir les éléments du Runtime. Lors de la configuration d'un projet, veillez à laisser une distance suffisante entre les éléments et le bord de l'écran.

Autres sujets abordés dans ce chapitre

Systèmes d'exploitation pour serveurs et postes de travail

Systèmes d'exploitation pour serveurs et ordinateurs de bureau jusqu'à Windows 8.1

Windows CE et Windows Embedded

Windows 10

Configuration système requise lors de l'utilisation de DirectX

Logiciels supplémentaires

Autorisation utilisateur

Configuration matérielle requise


Systèmes d'exploitation pour serveurs et postes de travail

Manuel -> Installation et mises à jour -> Configuration système requise -> Systèmes d'exploitation pour serveurs et postes de travail

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Systèmes d'exploitation compatibles et Service Packs requis :

Système d'exploitation | zenon Editor | zenon Runtime | zenon Web Server | zenon Web Client | zenon HTML Web Engine | zenon Logic Runtime | zenon Analyzer Server
Windows 7 (Professionnel, Enterprise et Édition Intégrale, versions x86 et x64). | SP 1 | SP 1 | SP 1 | SP 1 | SP 1 | SP 1 | Exécution impossible
Windows Embedded Standard 7 (si toutes les composants requis du système d'exploitation sont présents). | Exécution impossible | SP 1 | SP 1 | SP 1 | SP 1 | SP 1 | Exécution impossible
Windows 8 et 8.1 (Professionnel, Enterprise et Édition Intégrale, versions x86 et x64). | SP 0 | SP 0 | SP 0 | SP 0 | SP 0 | SP 0 | Uniquement x64 avec SP 0
Windows Embedded Standard 8 (si toutes les composants requis du système d'exploitation sont présents). Remarque : | Exécution impossible | SP 0 | SP 0 | SP 0 | SP 0 | SP 0 | Exécution impossible
Windows 10 (Home, Professional, Enterprise, Education, IoT Enterprise, versions x86 et x64). | SP 0 | SP 0 | SP 0 | SP 0 | SP 0 | SP 0 | Uniquement les versions x64 des éditions Home, Professional et Enterprise avec SP 0.
Windows Server 2008 R2 (Toutes éditions sauf Core) | SP 1 | SP 1 | SP 1 | SP 1 | SP 1 | SP 1 | Exécution impossible
Windows Server 2012 et 2012 R2 (Toutes éditions sauf Core) | SP 0 | SP 0 | SP 0 | SP 0 | SP 0 | SP 0 | Uniquement x64 avec SP 0
Windows Server 2016 (Toutes les éditions sauf Core) | SP 0 | SP 0 | SP 0 | SP 0 | SP 0 | SP 0 | Uniquement x64 avec SP 0


Systèmes d'exploitation pour serveurs et ordinateurs de bureau jusqu'à Windows 8.1

Manuel -> Installation et mises à jour -> Configuration système requise -> Systèmes d'exploitation pour serveurs et ordinateurs de bureau jusqu'à Windows 8.1

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Récapitulatif des systèmes d'exploitation pour serveurs et ordinateurs de bureau pris en charge jusqu'à Windows 8.1

 | Windows Embedded 7/8 Standard | Windows Embedded 8.1 Pro/Industry | Windows 7 SP1/Windows 8 et 8.1/ Server 2008 (R2) SP1, 2012 et 2012 R2 | Windows CE
Editor | -- | X | X | --
Runtime | X | X | X | --
Runtime pour Windows CE | -- | -- | -- | X
Web Server | X | X | X | X Web Server Pro Light
Web Client | X | X | X | --
HTML Web Engine | X | X | X | --

Légende :

  • X: supportées
  • --: indisponible

attention Attention

Windows CE n'est plus pris en charge à partir de la version 7.50. zenon CE version 7.20 est installé. Pour l'utiliser, vous devez créer les fichiers de Runtime pour la version 7.20.

Windows CE et Windows Embedded

Système d'exploitation | zenon Editor | zenon Runtime | zenon Web Server | zenon Web Client | zenon HTML Web Engine | zenon Logic Runtime | zenon Analyzer Server
Windows CE 6.0 (ARM et x86) Attention : uniquement pris en charge jusqu'à la version 7.20. À partir de la version 7.50, les fichiers de Runtime de la version 7.20 doivent être créés. | Exécution impossible | zenon Operator uniquement | Pro Light uniquement | Exécution impossible | Exécution impossible | exécutable | Exécution impossible
Windows Embeded Compact 7 (ARM et x86) Attention : uniquement pris en charge jusqu'à la version 7.20. À partir de la version 7.50, les fichiers de Runtime de la version 7.20 doivent être créés. | Exécution impossible | zenon Operator uniquement | Pro Light uniquement | Exécution impossible | Exécution impossible | exécutable | Exécution impossible


Windows 10

Manuel -> Installation et mises à jour -> Configuration système requise -> Windows 10

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Récapitulatif des systèmes d'exploitation pour ordinateurs de bureau pris en charge pour Windows 10

Version de Windows | zenon Supervisor/Operator | Everywhere by zenon | zenon Logic Runtime
Windows 10 Home | X | X (PC) | X
Windows 10 Mobile | -- | X (Mobile) | --
Windows 10 Pro | X | X (PC) | X
Windows 10 Enterprise | X | X (PC) | X
Windows 10 Education | X | X (PC) | X
Windows 10 Mobile Enterprise | -- | X (Mobile) | --
Windows 10 IoT Core | -- | -- | X
Windows 10 IoT Enterprise (Windows 10 Enterprise LTSB) | X | X (PC) | X

Légende :

  • X: disponibles
  • --: Exécution impossible


Configuration système requise lors de l'utilisation de DirectX

Manuel -> Installation et mises à jour -> Configuration système requise -> Configuration système requise lors de l'utilisation de DirectX

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

La configuration minimale requise doit être satisfaite lors de l'utilisation de périphériques DirectX ou de logiciels DirectX :

Remarque : Pour des gros projets ou plusieurs projets chargés en même temps vous aurez besoin d'une configuration avec plus de capacité La configuration minimale requise peut augmenter en conséquence.

Paramètre

Conditions requises

Recommandée

CPU :

Processeur simple cœur avec prise en charge de SSE2.

Processeur quadrimoteur cœurs ou plus

Carte graphique :

(périphérique DirectX uniquement)

Carte graphique grand public compatible DirectX 11.

Remarque : Si un circuit graphique intégré à la carte-mère est utilisé, selon le driver utilisé, il est possible que la qualité d'affichage soit altérée.

Carte graphique DirectX 11 haut de gamme dédiée, processeur AMD ou nVidia

Mémoire graphique :

(périphérique DirectX uniquement)

1 Go de VRAM

Remarque : La capacité effectivement requise dépend du nombre de synoptiques appelés et des éléments affichés.

2 Go de VRAM

Driver de carte graphique :

(périphérique DirectX uniquement)

Les derniers drivers publiés par le fabricant de la carte graphique.

Système d'exploitation :

Les options DirectX Hardware et DirectX Software sont uniquement compatibles avec les systèmes d’exploitation prenant en charge DirectX11.1.

Si le système n’est pas compatible avec DirectX 11.1, le mode Windows Enhanced (Windows optimisé) est sélectionné automatiquement.

Le programme DirectX-Runtime le plus récent doit être installé. Pour zenon, il est installé lors de l’installation du programme. Pour zenon Web Client, il doit être installé manuellement.

Vous pouvez vérifier la compatibilité matérielle DirectX de la carte graphique et du driver à l'aide de l'outil dxdiag.exe du système d'exploitation Windows.
Jusqu'à Windows 7: Contrôlez la valeur Version DDI sous l'intitulé Affichage. La valeur 11 désigne DirectX 11, par exemple.
À partir de Windows 8 : Toutes les versions prises en charge de DirectX sont présentées dans l'onglet Affichage, sous Niveaux de fonctionnalités. Par exemple, DirectX 11 est affiché comme 11.0.


Logiciels supplémentaires

Manuel -> Installation et mises à jour -> Configuration système requise -> Logiciels supplémentaires

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Serveur SQL

zenon Editor utilise une base de données SQL. Ce logiciel est également installé lors de l'installation de zenon.

  • Jusqu'à la version 6.20 SP4 : SQL Server 2000 (MSDE)
  • À partir de la version 6.21 : SQL Server 2005 Express
  • À partir de la version 7.00 SP0 SQL Server 2008R2 SP1 Express
  • À partir de la version 7.10 SP0 SQL Server 2012 SP1 Express

attention Attention

Tenez compte des consignes suivantes lors du changement de version de SQL Server : Les projets doivent être sauvegardés et exportés dans leur version d'origine, puis réimportés dans la nouvelle version.

Dongle

  • Le logiciel CodeMeter indispensable à la protection par dongle est toujours installé automatiquement.
  • Si WibuKey est requis, ce programme peut être installé depuis le support d'installation.
    Chemin : \AdditionalSoftware\WIBU-SYSTEMS WibuKey


Autorisation utilisateur

Manuel -> Installation et mises à jour -> Configuration système requise -> Autorisation utilisateur

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Des droits d'administrateur Windows sont nécessaires pour l'installation.

Les droits d'utilisateur Windows standard sont requis pour garantir la continuité du fonctionnement. Le contrôle de compte utilisateur (UAC) peut être activé au niveau de sécurité le plus élevé.


Configuration matérielle requise

Manuel -> Installation et mises à jour -> Configuration système requise -> Configuration matérielle requise

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Les versions PC et CE de zenon possèdent différentes exigences au regard des périphériques requis. Dans ce chapitre, vous trouverez les configurations matérielles requises pour chaque version d'Editor et du Runtime, ainsi que pour le serveur Web de zenon et le client Web de zenon

Editor utilise un serveur Microsoft SQL Server en tant que serveur SQL et possède des exigences matérielles supérieures à celles du Runtime. Si Editor et le Runtime doivent s'exécuter simultanément sur un même système, les exigences matérielles s'ajoutent logiquement.

attention Attention

Il est recommandé d'utiliser une carte graphique dotée d'une mémoire graphique et d'une prise en charge de DirectX indépendantes. Les cartes graphiques utilisant une mémoire partagée peuvent nécessiter une trop grande quantité de mémoire de travail et peuvent donc entraîner une baisse des performances. Tenez compte des indications du chapitre Configuration système requise lors de l'utilisation de DirectX. La configuration recommandée mentionnée dans ce chapitre doit être prise en compte en cas d'utilisation de gestes MultiTouch.

Autres sujets abordés dans ce chapitre

Editor

Runtime

Runtime sous Windows Embedded Standard

Runtime pour Windows CE

Web Server

Web Client


Editor

Manuel -> Installation et mises à jour -> Configuration système requise -> Configuration matérielle requise -> Editor

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

La configuration minimale requise présentée ci-dessous repose sur une installation complète d'Editor. Pour des gros projets ou plusieurs projets chargés en même temps vous aurez besoin d'une configuration avec plus de capacité La configuration minimale requise peut augmenter en conséquence.

Matériel | Conditions requises | Recommandée
Processeur | Processeur simple cœur avec prise en charge de SSE2. | Processeur quadrimoteur
Mémoire vive (RAM) | plus de 1024 Go. Remarque : plus le nombre de projets disponibles simultanément en mémoire est élevé, plus la quantité de mémoire disponible doit être importante. | 8 GB
Disque dur | Au moins 4 Go d'espace disque pour une installation complète, plus l'espace disque nécessaire aux projets. |
Résolution du moniteur | VGA étendu, 1024 x 768 pixels. | Configuration à double écran : 2 fois 1920 x 1080.
Carte graphique | 64 Mo de mémoire dédiée. Les cartes graphiques utilisant une mémoire partagée peuvent entraîner une baisse des performances. Tenez compte des indications du chapitre Configuration système requise lors de l'utilisation de DirectX. |
Périphériques d'entrée | Clavier standard ou souris standard. |
Interface USB ou lecteur DVD | Pour l'installation, indépendamment du support d'installation. L'installation peut également être effectuée via le réseau. Les fichiers d'installation peuvent également être téléchargés depuis l'espace client du site Web de COPA-DATA. |
Port USB ou parallèle | Nécessaire pour brancher le dongle en cas d'utilisation d'une licence par dongle. En cas d'utilisation d'un dongle réseau, uniquement nécessaire sur le serveur de dongle. |
Connexion réseau (facultative) | Recommandée : 10 Mbit/s avec protocole TCP/IP pour le module Remote Transport, le dongle réseau, les sauvegardes de projets sur un serveur de fichiers central, un éditeur compatible avec les projets multi-utilisateurs etc. | 1000 Mbit/s.

Remarque : Lors de l'utilisation de projets multi-utilisateurs exhaustifs, tenez compte des informations fournies au chapitre Configuration matérielle requise.


Runtime

Manuel -> Installation et mises à jour -> Configuration système requise -> Configuration matérielle requise -> Runtime

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

La configuration minimale requise présentée ci-dessous repose sur une installation complète du Runtime. Pour des gros projets ou plusieurs projets chargés en même temps vous aurez besoin d'une configuration avec plus de capacité La configuration minimale requise peut augmenter en conséquence.

Matériel

Conditions requises

Recommandée

Processeur

Processeur simple cœur avec prise en charge de SSE2.

Processeur quadrimoteur

Mémoire vive (RAM)

Plus de 512 Mo.

Remarque : l'exécution de projets utilisant de grandes quantités de données, de projets en réseau, de plusieurs projets simultanément et de projets en mode redondant nécessitent davantage de mémoire.

4096 Mo.

Disque dur

2 Go d'espace disque pour l'installation du Runtime, ainsi que l'espace nécessaire aux projets.

Attention : Si vous consignez les données historiques (par ex. les données archivées ou les données de la liste d'alarmes ou de la liste d'événements), vous devez disposer de suffisamment d'espace disque ou devez vous assurer, durant le développement du projet, que les données historiques sont évacuées ou supprimées.

Résolution du moniteur

VGA, 640 x 480 pixels.

Carte graphique

64 Mo de mémoire dédiée. Les cartes graphiques utilisant une mémoire partagée peuvent entraîner une baisse des performances. Tenez compte des indications du chapitre Configuration système requise lors de l'utilisation de DirectX à cet égard.

Périphériques d'entrée

Clavier et/ou souris. Le système peut également être actionné via un écran tactile. De nombreux claviers logiciels personnalisables sont disponibles à cette fin. En outre, le fonctionnement MultiTouch est possible.

Interface USB

(optionnel)
  • Pour l'installation.
    L'installation peut également être effectuée via le réseau ou depuis un support de stockage.
  • Pour le dongle. Dongle réseau aussi disponible.

Connexion réseau (facultative)

64 kbits/s pour les projets client/serveur standard.

100 Mbit/s full duplex pour le fonctionnement en mode redondant.

1000 kbits/s full duplex pour les projets client/serveur standard.

Connexion distante (facultative)

Configuration minimale requise : modem analogique doté d'un débit de 9600 Bit/s.

1 Mbit/s full duplex.

Connexion WAN (optionnel)

Toute connexion via un routeur, par ex. une connexion RNIS ou ADSL ; pour des raisons techniques, les transferts de données via un réseau étendu sont plus lents que les transferts via un réseau local. Assurez-vous de contrôler les taux de transferts de données possibles de votre technologie de réseau étendu lors de la création du projet.

Message Control (optionnel)

Reportez-vous au chapitre Message Control pour consulter la configuration requise pour ce module.

Interfaces (optionnel)

Les interfaces requises dépendent des exigences de la connexion à l'automate et/ou au bus ; par exemple, interfaces série RS232 ou RS422/485, emplacements ISA/PCI, etc.


Runtime sous Windows Embedded Standard

Manuel -> Installation et mises à jour -> Configuration système requise -> Configuration matérielle requise -> Runtime sous Windows Embedded Standard

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

La configuration minimale concerne une installation du Runtime adaptée au système d'exploitation Windows Embedded Standard 7 SP1 avec mises à jour de la plate-forme. Le matériel employé doit être plus puissant pour les projets plus importants.

Ce tableau présente uniquement les conditions requises différentes de l'installation standard. Les autres paramètres correspondent aux valeurs indiquées au chapitre Configuration matérielle requise pour le Runtime.

Matériel

Configuration minimale requise

Recommandée

Mémoire vive (RAM)
  • 512 MB.

Remarque : l'exécution de projets utilisant de grandes quantités de données, de projets en réseau, de plusieurs projets simultanément et de projets en mode redondant nécessitent davantage de mémoire.
  • 2048 Mo

Support de stockage
  • 2 Go de mémoire disponible sur le lecteur C:\ avant l'installation de .NET Framework 3.5 et 4.5
    800 Mo de mémoire disponible après l'installation de .NET Framework
  • Vous avez également besoin d'espace pour les projets, archives, etc.
  • 80 Go

Attention : Si vous consignez les données historiques (par ex. les données archivées ou les données de la liste d'alarmes ou de la liste d'événements), vous devez disposer de suffisamment d'espace disque ou devez vous assurer, durant le développement du projet, que les données historiques sont évacuées ou supprimées.


Runtime pour Windows CE

Manuel -> Installation et mises à jour -> Configuration système requise -> Configuration matérielle requise -> Runtime pour Windows CE

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

La configuration minimale requise présentée ci-dessous repose sur une installation complète du Runtime sous Windows CE. Le matériel employé doit être plus puissant pour les projets plus importants.

Matériel | Configuration minimale requise | Recommandée
Processeur | Au moins 400 MHz. | 1 GHz
Mémoire vive (RAM) | 64 MB | 1024 Mo pour Windows CE 6.0.
Support de stockage | 64 Mo d'espace disque. Support de stockage enregistrable permanent pour les données du projet. | 256 Mo d'espace disque ou plus.
Connexion réseau | Pour les projets client/serveur standard : 10 Mbit/s full duplex. |

attention Attention

Windows CE n'est plus pris en charge à partir de la version 7.50. zenon CE version 7.20 est installé. Pour l'utiliser, vous devez créer les fichiers de Runtime pour la version 7.20.


Web Server

Manuel -> Installation et mises à jour -> Configuration système requise -> Configuration matérielle requise -> Web Server

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

La configuration minimale requise présentée ci-dessous repose sur une installation complète du module Web Server. Pour des gros projets ou plusieurs projets chargés en même temps vous aurez besoin d'une configuration avec plus de capacité La configuration minimale requise peut augmenter en conséquence.

Matériel | Conditions requises | Recommandée
Processeur | Processeur simple cœur avec prise en charge de SSE2. |
Mémoire vive (RAM) | Plus de 1024 Mo. |
Disque dur | 256 Mo d'espace disque. | 1 Go d'espace disque.
Connexion réseau | 10 Mbit/s full duplex. | 1000 Mbit/s full duplex.
Connexion distante (facultative) | Configuration minimale requise : modem analogique doté d'un débit de 9600 Bit/s. | 1 Mbit/s full duplex.


Web Client

Manuel -> Installation et mises à jour -> Configuration système requise -> Configuration matérielle requise -> Web Client

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

La configuration minimale requise repose sur une installation complète du client Web de zenon. Pour des gros projets ou plusieurs projets chargés en même temps vous aurez besoin d'une configuration avec plus de capacité La configuration minimale requise peut augmenter en conséquence.

Matériel | Conditions requises | Recommandée
Processeur | Processeur simple cœur avec prise en charge de SSE2. | Processeur quadrimoteur
Mémoire vive (RAM) | Plus de 1024 Mo. |
Disque dur | 64 Mo d'espace disque pour l'installation du client Web de zenon, ainsi que l'espace nécessaire aux projets. | 80 Go d'espace disque.
Connexion réseau | 10 Mbit/s full duplex. | 1000 Mbit/s full duplex.
Connexion distante (facultative) | Configuration minimale requise : modem analogique doté d'un débit de 9600 Bit/s. | 1 Mbit/s full duplex.
Carte graphique | 64 Mo de mémoire dédiée. Les cartes graphiques utilisant une mémoire partagée peuvent entraîner une baisse des performances. Tenez compte des indications du chapitre Configuration système requise lors de l'utilisation de DirectX à cet égard. |


Chemins d'installation et de fonctionnement

Manuel -> Installation et mises à jour -> Chemins d'installation et de fonctionnement

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Chemins de zenon :

  • Installation
  • Editor
  • Runtime

Informations concernant info

Vous pouvez afficher de nombreux chemins par défaut à l'aide de la commande set :

  • Démarrez l'interface de ligne de commande (saisissez cmd dans le menu Démarrer de Windows)
  • Saisissez la commande set
  • Appuyez sur la touche Entrée pour afficher les dossiers standard de Windows et de zenon

Remarque : puisque les chemins absolus diffèrent selon les systèmes d'exploitation, les chemins sont présentés sous forme de variable d'environnement dans ce chapitre. Par exemple, %ProgramData% au lieu de C:\ProgramData.

Installation

Lors de l'installation, les chemins sont définis pour les éléments suivants :

  • zenon Editor
  • Dossier SQL de zenon

Seuls les chemins de zenon Editor et du dossier SQL de zenon peuvent être personnalisés.
Le programme d'installation nécessite également des droits d'administrateur. Cela s'applique également à la modification des chemins d'installation.

Configuration minimale requise

Les chemins d'installation des logiciels tierce partie requis correspondent aux chemins standard définis par le fabricant correspondant et ne peuvent pas être modifiés durant l'installation.

Les packages logiciels supplémentaires devant être installés dépendent du type d'installation :

  • zenon Editor
  • zenon Runtime
  • zenon Web Client
  • Runtime de zenon Logic
Conditions préalables | Editor | Runtime | Web Client | Runtime de zenon Logic
Microsoft .NET Framework 3.5 SP1 | + | + | - | -
Microsoft .NET Framework 4.0 | + | + | - | -
Microsoft Visual C++ 2005 Redistributables | + | + | - | +
Microsoft Visual C++ 2010 Redistributables | + | + | + | +
Microsoft Visual C++ 2012 Redistributables | + | + | + | +
Microsoft Visual C++ 2015 Redistributables | + | + | + | -
Microsoft SQL-Server 2012 SP1 Express (à partir de la version 7.10) | + | - | - | -
VSTA | + | + | - | -
COPA-DATA Multiple Network Protocol Driver x86/x64 | + | + | - | +
Logiciel pour dongle CodeMeter x86/x64 | + | + | - | -
Report Viewer 10.0 (à partir de la version 7.00) | + | + | + | -
VBA 7.1 | + | + | + | -

zenon

L'installation de zenon Editor nécessite deux chemins :

  • zenon Editor :
    • Systèmes 32 bits : %ProgramFiles(x86)%\COPA-DATA\zenon [Version]
    • Systèmes 64 bits : %ProgramFiles%\COPA-DATA\zenon [Version]

    Ces chemins peuvent être personnalisés durant l'installation.

  • Dossier SQL de zenon :
    • À partir de la version 7.10 : %ProgramData%\COPA-DATA\SQL2012\

    Ces chemins peuvent être personnalisés manuellement par le biais du fichier zenDB.ini.

zenon Editor

Dans zenon Editor, les chemins suivants sont utilisés par défaut :

Objet | Chemin
Espace de travail | %CD_USERDATA% Par exemple : C:\Users\Public\Documents\zenon_Projects
Projets | %CD_USERDATA% Par exemple : C:\Users\Public\Documents\zenon_Projects Raccourci-clavier conseillé : sélectionnez le projet -> Ctrl+Alt+D
Dossier SQL du projet | %ProgramData%\COPA-DATA\[Dossier SQL]\[UID]\FILES Raccourci-clavier conseillé : sélectionnez le projet -> Ctrl+Alt+E
project.ini | %ProgramData%\COPA-DATA\[Dossier SQL]\[UID]\FILES\zenon\system
zenon6.ini | %ProgramData%\COPA-DATA\System Par exemple : C:\ProgramData\COPA-DATA\System
Sauvegarde | %ProgramData%\COPA-DATA\[Dossier SQL]\UID]\BACKUP %ProgramData%\COPA-DATA\[Dossier SQL]\[UID]\FILES\[Projects]
Fichiers compilés | %CD_USERDATA%\[Workspace]\[Project]\RT
Fichiers externes | %CD_USERDATA%\[Workspace]\[Project]\RT\FILES\... Remarque : Ces paramètres peuvent être configurés dans le projet, via la propriété de stockage de fichiers.
Fichiers système | Dossier système de Windows.

zenon Runtime

Dans zenon Editor, les chemins suivants sont utilisés par défaut :

Objet | Chemin
Projets | %CD_USERDATA%\[Workspace]\[Project]\RT
Fichiers externes | %CD_USERDATA%\[Workspace]\[Project]\RT\FILES\...
Archives exportées, liste d'événements et liste d'alarmes | %CD_USERDATA%\[Workspace]\[Project]\Export Remarque : dossier créé lors de la première exportation.
Fichiers système | Dossier système de Windows.

zenon Logic

Les chemins de zenon Logic sont créés en fonction des chemins de zenon.


zenon pour Windows CE

Manuel -> Installation et mises à jour -> zenon pour Windows CE

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Composants

La version CE du Runtime de zenon comprend les composants suivants :

  • Runtime CE de zenon
  • DLL de langue
  • DLL de réseau
  • DLL de driver
  • zenon6.ini
  • Service de transfert.

attention Attention

Windows CE n'est plus pris en charge à partir de la version 7.50. zenon CE version 7.20 est installé.
Pour l'utiliser, vous devez compiler le projet pour la version 7.20.

Éléments requis pour l'installation du Runtime sur les systèmes distants

  • Les versions de zenon pour PC et Windows CE, jusqu'à la version zenon 7.20 incluse, doivent posséder le même numéro de version et le même service pack.
    A partir de la version 7.50, zenon CE version 7.20 est installé.
  • Le service de transport (SysSrvCE.exe) de zenon doit être installé et démarré sur le terminal CE, ou vous devez disposer d'une connexion ActiveSync. Vous trouverez des conseils relatifs à l'installation manuelle via un support de stockage au chapitre Installation manuelle et mise à jour du Runtime.
  • Le terminal CE vers lequel seront transférées les données doit comporter au moins 8 Mo de "mémoire programme" disponible, afin de garantir le bon transfert des données. Ce paramètre peut être adapté via le Panneau de configuration -> Propriétés du système.

Suite des actions

Vous trouverez plus de détails concernant la compatibilité, l'installation et la mise à jour aux chapitres suivants :

  • Versions CE / processeurs supportés
  • Mise à jour du Runtime Windows CE

info Informations

La licence du Runtime sur Windows CE peut être définie par l'intermédiaire du module Remote Transport. Lorsque vous vous connectez au système cible, vous pouvez entrer le numéro de série et le numéro de licence pour la version CE. Le numéro de série est enregistré sur le terminal CE dans le fichier zenon6.ini. Le numéro d'activation est enregistré dans la base de registres de Windows CE.

Informations concernant info

Si, au démarrage du programme zenonrce.exe, le fichier syssrvce.exe est également exécuté, il est possible d’assurer qu’une connexion TCP peut être établie à tout instant. Ainsi, un seul fichier est nécessaire pour la fonction de démarrage automatique. Toutefois, un délai entre les deux démarrages doit être configuré.

Raison : Au démarrage de zenonRCE, zenLogSrvCE démarre également automatiquement. Toutefois, au démarrage de syssrvce, zenLogSrvCE est également exécuté.

Si zenonRCE et syssrvce sont démarrés dans un intervalle très réduit, tous deux tentent de démarrer zenLogSrvCE. Ceci génère un message d’erreur.

Solution : Pour éviter ce problème, configurez un délai entre le démarrage de zenonRCE et de zenLogSrvCE. Pour cela, vous pouvez définir l’entrée STARTDELAY= dans le fichier zenon6.ini. Le Runtime (zenLogSrvCE) est ainsi démarré plus tard. Une vérification est ensuite effectuée pour déterminer si zenLogSrvCE est déjà en cours d’exécution, en quel cas, il ne redémarre pas.

Autres sujets abordés dans ce chapitre

CE - Versions et processeurs pris en charge

Fichiers système

Mise à jour du Runtime Windows CE

Installation et mise à jour manuelles du Runtime

Pocket PC (PDA, Pocket PC)

Traitement des erreurs


CE - Versions et processeurs pris en charge

Manuel -> Installation et mises à jour -> zenon pour Windows CE -> CE - Versions et processeurs pris en charge

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Dans la version actuelle de zenon (7.60), les versions de Windows CE et les processeurs suivants sont pris en charge :

  • CE 6.00 pour x86
  • CE 6.00 pour ARM V4/V5

info Informations

Vous trouverez des informations concernant les versions de CE et les processeurs pris en charge par les versions antérieures de zenon dans la documentation correspondante?; vous pouvez également contacter l’assistance de COPA-DATA.


Fichiers système

Manuel -> Installation et mises à jour -> zenon pour Windows CE -> Fichiers système

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Le Runtime Windows CE a besoin de certains fichiers système. Si un de ces fichiers est manquant, le système affiche un message d’erreur au démarrage du Runtime, indiquant qu’un ou plusieurs composants n’ont pas été trouvés. Les fichiers système suivants sont requis :

Fichier | Description
mfc90u.dll | Nécessaire au Runtime. Au démarrage, un message d’erreur apparaît si ce fichier n’existe pas.
msvcr90.dll | Nécessaire au Runtime. Au démarrage, un message d’erreur apparaît si ce fichier n’existe pas.
atl90.dll | Non nécessaire pour démarrer le Runtime, mais requis pour utiliser les drivers avec des connexions réseau et pour utiliser zenon sur un réseau. Si ce fichier n’existe pas, la plate-forme ne fonctionnera pas en tant que client ou les connexions de driver TCP/IP ne fonctionneront pas.
IMGDECMP.dll | Pas nécessaire pour démarrer le Runtime, mais nécessaire pour afficher la transparence si la fonction Alpha Blending n’est pas intégrée au système d’exploitation. L’animation de fichiers GIF n’est pas possible sous Windows CE.
VBSCRIPT.dll + JSCRIPT.dll | Pas nécessaire au démarrage du Runtime. Ce fichier est nécessaire pour PCE (Process Control Engine)

Certains de ces fichiers système sont installés lors de l’installation de zenon pour CE et peuvent être transférés vers le périphérique CE à l’aide de l’outil UpdateCE. Tous ces fichiers système devraient être intégrés à l’image du système d’exploitation du périphérique CE par le fabricant.

attention Attention !

Pour les fournisseurs d’images du système d’exploitation Windows CE :
Les versions de CE antérieures à la version 6.0 nécessitent le fichier toolhelp.dll. Activez l’option suivante dans Platform Manager pour que le fichier soit disponible sur le périphérique CE, et que Toolhelp soit disponible dans l’application SDK.
Core OS -> Display Based Device ->Core OS Services -> Debugging Tools -> Toolhelp API. Ainsi, le fichier Toolhelp.dll fait partie de l’image.
Conseil : utilisez toujours la dernière version en date du Service Pack du module Platform Builder.

Remarque : Le fichier toolhelp.dll n’est pas nécessaire sous Windows CE 6, et ne doit pas être utilisé avec ce système d’exploitation.


Mise à jour du Runtime Windows CE

Manuel -> Installation et mises à jour -> zenon pour Windows CE -> Mise à jour du Runtime Windows CE

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Pour effectuer une mise à jour du Runtime Windows CE :

  • Assurez-vous que le service de transport de zenon (SysSrvCE.exe) s’exécute sur le périphérique CE.
  • Assurez-vous de ne pas avoir établi une connexion à distance avec le périphérique via zenon Editor.
  • Dans le menu Options de zenon, sélectionnez la commande Mise à jour du Runtime de Windows CE.

    La boîte de dialogue de transfert des fichiers de Runtime s'affiche à l'écran.

  • Configurez la connexion.
  • Définissez les données que vous souhaitez transférer.
  • Sélectionnez la version de votre choix.
  • Démarrez la mise à jour.

Remarque : Si vous transférez/installez le Runtime pour la première fois, notez les informations fournies au chapitre Installation et mise à jour manuelles du Runtime.

Configurez la connexion.

Vous pouvez configurer les connexions au périphérique Windows CE dans l’onglet Connexion.

Paramètres | Description
Serial | Paramètres de connexion série avec le périphérique Windows CE?; sélectionnez un port.
TCP/IP | Paramètres de connexion TCP/IP au périphérique Windows CE.
Adress | Adresse IP
Name | Nom de l'ordinateur
Syssrvce.exe starts with these settings | Paramètres de démarrage de syssrvce.exe.
Serial | Actif : connexion série sélectionnée?; vous devez sélectionner le port.
TCP/IP | Active : Connexion TCP/IP sélectionnée.
Connection with MS ActiveSync | Paramètres de la connexion via MS ActiveSync
Use MS ActiveSync for initial transport of syssrvce.exe | Actif : syssrvce.exe est transféré durant le premier transport via MS ActiveSync.
Destination folder | Dossier cible.
Help | Ouvre l'aide en ligne
Save | Enregistre toutes les modifications.
Exit | Ferme l’outil UpdateCE et affiche un message vous invitant à enregistrer les modifications non sauvegardées.

Définissez les fichiers que vous souhaitez transférer.

Paramètres | Description
Files to update | Fichiers à transférer.
HMI Runtime | Active : Transfère les fichiers zenon vers le périphérique cible. Par défaut : active
PLC Runtime | Active : Transfère les fichiers zenon Logic vers le périphérique cible. Par défaut : Inactive
OS system files | Active : Transfère les fichiers nécessaires au système d’exploitation. Par défaut : active
Update zenon6.ini | Transfère le fichier zenon6.ini vers le terminal cible. Ceci permet également de modifier les informations concernant la licence du périphérique cible.
Options |
Language | Langue du système cible. Par défaut : Anglais
HMI drivers | Sélectionnez les drivers HMI que vous souhaitez transférer.
Available | Liste de drivers disponibles.
Selected | Liste des drivers sélectionnés.
Add | Ajoute les drivers choisis à la liste des drivers sélectionnés.
Add all | Ajoute tous les drivers à la liste des drivers sélectionnés.
Remove | Supprime les drivers sélectionnés de la liste des drivers sélectionnés.
Remove all | Supprime tous les drivers de la liste des drivers sélectionnés.
Help | Ouvre l'aide en ligne
Save | Enregistre toutes les modifications.
Exit | Ferme l’outil UpdateCE et affiche un message vous invitant à enregistrer les modifications non sauvegardées.

Sélectionnez la version

Sélectionnez la version adéquate dans l’onglet Versions, si celle-ci n’a pas été automatiquement reconnue.

Paramètres | Description
WinCE version | Version du système d’exploitation Windows CE installé sur le périphérique cible. Cliquez sur le type de fonction pour ouvrir une liste déroulante de sélection.
Processor type | Processeur de l’équipement.
Source path | Chemin du dossier contenant les fichiers. Cliquez sur le bouton ... pour ouvrir une boîte de dialogue permettant de sélectionner un dossier.
New | Insère une nouvelle entrée vide dans la liste.
Delete | Supprime l’entrée sélectionnée de la liste.
Test | Contrôle les paramètres.
Help | Ouvre l'aide en ligne
Save | Enregistre toutes les modifications.
Exit | Ferme l’outil UpdateCE et affiche un message vous invitant à enregistrer les modifications non sauvegardées.

Démarrer la mise à jour

Pour établir une connexion :

  1. Cliquez sur le bouton Démarrer de l’onglet Mise à jour.

    Les données transférées sont contrôlées et affichées dans une fenêtre.

  2. Démarrez le transfert vers le périphérique cible en cliquant sur le bouton Suivant.

    Si le transfert ne peut pas démarrer parce que certains fichiers sont manquants, un message d’erreur contenant la liste des fichiers manquants s’affiche à l’écran :

    Si vous voyez s’afficher le message d’erreur La mise à jour actuelle n’a pas été terminée, la mise à jour a été interrompue ou n’a pas été exécutée correctement.

info Informations

Si vous souhaitez remplacer zenVNCServer.exe par le biais d’une mise à jour, le programme se ferme, puis redémarre après la mise à jour. Pour cela, le fichier zenVNCSrvCE.exe doit contenir

l’entrée suivant dans le fichier UpdateCE.ini, à la section [SOURCES_FILES_GENERAL] (existe par défaut) :

  • zenVNCSrvCE.exe
  • zenVNCCfgCE.exe


Installation et mise à jour manuelles du Runtime

Manuel -> Installation et mises à jour -> zenon pour Windows CE -> Installation et mise à jour manuelles du Runtime

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

L'installation et la mise à jour sont également possibles sans les services Remote Transport et ActiveSync. Dans ce cas, vous devez copier les fichiers requis manuellement sur une carte de stockage destinée au périphérique CE. Vous devez connaître la version de CE et le type de processeur utilisés.

Il est impératif de copier les fichiers suivants du dossier correspondant à la plate-forme utilisée vers une carte de stockage destinée au périphérique CE :

  • zenonRCE.exe (Runtime)
  • LogCliLibCE.dll (DLL de diagnostic)
  • zenon6.ini (Fichier de configuration)
  • Cd_tooCE.dll (DLL d'aide)
  • ZenNetSrvCE.dll (Réseau)
  • CDHelper.dll (DLL d'aide)
  • L'une des dll de langue suivante : RChineCE.dll, RCzechCE.dll, REngliCE.dll, RFrancCE.dll, RGermaCE.dll, RItaliCE.dll, RRussiCE.dll, RSpaniCE.dll (la langue sélectionnée est stipulée dans le fichier zenon6.ini).
  • syssrvce.exe (service de transport et Diagnosis Server)
  • atl90.dll (fichier système, peut former partie du système d'exploitation)
  • mfc90u.dll (fichier système, peut former partie du système d'exploitation)
  • msvcr90.dll (fichier système, peut former partie du système d'exploitation)

Les autres fichiers, par exemple les drivers ou le logiciel Remote Desktop (zenVNCCfgCE.exe et zenVNCSrvCE.exe), sont facultatifs.


Pocket PC (PDA, Pocket PC)

Manuel -> Installation et mises à jour -> zenon pour Windows CE -> Pocket PC (PDA, Pocket PC)

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Les systèmes Pocket PC ne sont plus pris en charge à partir de la version 7.


Traitement des erreurs

Manuel -> Installation et mises à jour -> zenon pour Windows CE -> Traitement des erreurs

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Erreurs possibles :

Erreur | Solution possible
Erreur de connexion durant la mise à jour via l'interface COM. | Les délais d'accès sont plus longs lorsque l'Explorateur Windows est ouvert. Fermer l'Explorateur permet de remédier au problème.
Le service de transport ne fonctionne pas. | Contrôlez la version du service de transport. Au moins : Version 5.21 SP3 ou ultérieure, ou version 5.50 SP1 ou ultérieure.
Le programme de mise à jour du Runtime ne peut pas établir une connexion. | Fermez les connexions ouvertes d'Editor avec le service de transport CE.


Runtime zenon Logic pour Windows CE

Manuel -> Installation et mises à jour -> Runtime zenon Logic pour Windows CE

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

L'installation du Runtime zenon Logic (Runtime d'automate) sur un système CE se déroule de manière semblable à l'installation du Runtime sous Windows CE.

Éléments requis : service de transport exécutable sous CE.

La version CE du Runtime zenon Logic comprend les composants suivants :

  • Runtime de zenon Logic
  • DLL de langue
  • Driver I/O de zenon Logic
  • zenon6.ini

Installation

  • Dans le menu de zenon, sélectionnez Options/Mise à jour du Runtime Windows CE.

    La boîte de dialogue de transfert des fichiers de Runtime s'affiche à l'écran.

  • Cochez la case PLC Runtime (Runtime de l'automate) dans la fenêtre Fichier pour copier les fichiers nécessaires à zenon Logic vers le répertoire d'exécution de CE.
  • Basculez vers l'onglet Connexion.

  • Définissez la connexion au périphérique Windows CE. Saisissez l'adresse IP ou le port série.
  • Si zenon6.ini doit également être transféré, choisissez d'actualiser zenon6.ini. Ceci permet également de modifier les informations concernant la licence du périphérique cible.
  • Sélectionnez la version adéquate parmi les versions du Runtime Windows CE , si celui-ci n'a pas été automatiquement reconnu.

Mise à jour

Pour cette procédure, reportez-vous au chapitre Mise à jour du Runtime Windows CE.

Attention : Vous devez activer l'option PLC Runtime (Runtime de l'automate) dans l'onglet Fichiers !

info Informations

Les fichiers MFC sont toujours transférés à l'aide de Windows CE 6.0.


zenon Web Server

Manuel -> Installation et mises à jour -> zenon Web Server

Um den zenon Web Server oder zenon Web Server Pro zu installieren:

  1. Aktivieren Sie die WWW-Dienste auf dem Rechner.

    Der Ordner C:\inetpub\wwwroot muss existieren.

  2. Starten Sie das zenon Installationsmedium. Der Startbildschirm wird angezeigt.

    Falls Sie Autostart von Medien deaktiviert haben, führen Sie die Datei start.exe auf dem Installationsmedium aus.

  3. Wählen Sie zenon Web Server aus.
    Entsprechend der Version des Betriebssystems wird automatisch die 32-Bit oder 64-Bit Version des zenon Web Servers installiert.
  4. Folgen Sie der Installationsroutine.
  5. Starten Sie den Computer neu.

Die Setup-Dateien für den Web Client finden Sie nach der Installation in Unterverzeichnissen des zenon Web Server-Installationspfades (xxx steht für die jeweilige Version von zenon), z. B.: C:/Programme (x86)/COPA-DATA/zenonWebserver/zenon/controlversions/Versionxxx/zenon_Webclient_Setup_GERMAN.EXE
oder

C:/Inetpub/wwwroot/zenon/controlversions/Versionxxx/zenon_Webclient_Setup_GERMAN.EXE

Es werden auch die Beispiel-Webseiten (index*.html und init*.html) mitinstalliert. Diese sind im Unterverzeichnis zenon des zenon Web Server-Installationspfades zu finden, z. B.:
C:/Programme/zenonWebserver/zenon/index.htm
oder
C:/Inetpub/wwwroot/zenon/index.html

info Informations

Der Dienst für den zenon Web Server wird nur in der lizenzierten Version automatisch gestartet. Im Demo-Modus muss der zenon Web Server manuell über die zenon Web Server-Konsole in den Systemeigenschaften gestartet werden.

Informations supplémentaires

Vous trouverez d'autres détails concernant zenon Web Server dans le manuel zenon Web Server and Web Server Pro et des détails concernant la gestion des licences dans le manuel Gestion des licences.


zenon Web Client

Manuel -> Installation et mises à jour -> zenon Web Client

Le zenon Web Client est principalement un contrôle ActiveX qui affiche l'information dans un navigateur web. L'affichage est identique à celui d'un zenon Runtime Client normal. La connexion au serveur de Runtime est mise en œuvre à l'aide du zenon Web Server via des communications TCP/IP.

Une fois l'installation terminée, vous trouverez les fichiers d'installation du client Web de zenon dans les sous-dossiers du répertoire d'installation du serveur Web de zenon (xxx désigne la version correspondante de zenon), par exemple : %Programfiles%/COPA-DATA/zenon Web Server/zenon/controlversions/Versionxxx/zenon_Webclient_Setup_GERMAN.EXE
or

C:/Inetpub/wwwroot/zenon/controlversions/Versionxxx/zenon_Webclient_Setup_ENGLISH.EXE

Toutes les installations du client Web de zenon Logic disposent d'une signature numérique et peuvent également être mises à disposition en téléchargement sur Internet.

info Info

Le client Web de zenon transmet des fichiers d'erreur et des fichiers journaux. Le Diagnosis Server nécessaire est également installé lors de l'installation du client Web de zenon.


Mises à jour (installations de versions)

Manuel -> Installation et mises à jour -> Mises à jour (installations de versions)

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Mise à jour (installation de version)

Une mise à jour est installée par-dessus l'installation existante ; elle remplace uniquement les fichiers modifiés dans la nouvelle version. Tous les projets et paramètres individuels restent inchangés. Veuillez noter que la qualité des installations de versions n'est jamais garantie à 100 %. Seuls les correctifs sont testés. Si des effets collatéraux indésirables se produisent site à l'installation d'un correctif, il arrive parfois que ces "effets secondaires" ne soient pas visibles durant les tests. COPA-DATA préconise donc toujours l'utilisation de Service Pack. Ces correctifs sont soumis à un processus d'assurance-qualité rigoureux.

Remarque :

  • Les versions peuvent aussi être installées localement. Installation impossible sur des chemins de réseau (UNC).
  • zenon Web Client : Pour installer une mise à jour du client Web de zenon, vous devez préalablement désinstaller le client web dezenon.

Installation d'une nouvelle version

Si vous souhaitez installer une nouvelle version de zenon, démarrez la procédure d'installation. La nouvelle version sera installée parallèlement à l'ancienne version. Tous les projets et paramètres individuels restent inchangés. Les projets ne sont pas convertis au format de la nouvelle version durant l'installation. Les différents projets sont convertis lors de leur première ouverture dans Editor. Une boîte de dialogue vous informe au sujet de cette procédure. L'ancienne version est automatiquement sauvegardée. Si vous souhaitez uniquement utiliser la dernière version en date, utilisez l'outil Ajout/suppression de programmes du Panneau de configuration de Windows pour supprimer l'ancienne version.

attention Attention

Si une installation implique la modification de SQL Server (par exemple, mise à jour de zenon 7.00 vers zenon 7.10), vous devez sauvegarder tous les projets ou l'espace de travail avant de procéder à l'installation. Cette sauvegarde est lue après l'installation. Pour plus de détails, reportez-vous également à la section Projets multi-utilisateurs/Mise à jour avec modification du serveur SQL.

Si vous souhaitez utiliser plusieurs versions de zenon simultanément, vous devez gérer ces dernières à l'aide de l'outil Startup Tool. Vous ne pouvez démarrer qu'une version à la fois. Vous pouvez sélectionner la version que vous souhaitez exécuter en utilisant l'outil Startup Tool, qui ajuste automatiquement tous les paramètres nécessaires. Vous trouvez plus de détails au chapitre Startup Tool.

info Informations

Les nouvelles versions comportent toujours des modifications structurelles. Les projets et paramètres restent inchangés durant l'installation. Si vous ouvrez Editor pour la première fois, les projets sont convertis pour la nouvelle version. Parallèlement à cela, une sauvegarde automatique de l'ancienne version est créée.

Les projets convertis ne peuvent pas être modifiés dans les anciennes versions. À compter de la version 6.2, Editor permet de créer des projets adaptés aux différentes versions du Runtime.

Vous trouverez des conseils importants concernant la conversion de projets dans le texte de révision. Celui-ci est disponible en ligne et sur le support d'installation.

Projets multi-utilisateurs

Pour garantir que l'évolution vers une nouvelle version de zenon se déroule sans perte de données dans un projet multi-utilisateurs :

  1. Activez tous les éléments désactivés en sélectionnant Clients -> Accepter les modifications.
    Aucun élément ne doit être désactivé. Ceci s'applique pour tous les projets.
  2. Installez la nouvelle version de zenon sur le serveur.
  3. Convertissez tous les projets de serveur dans la nouvelle version ; pour cela, chargez tous les projets dans Editor sur l'ordinateur du serveur.
  4. Installez la nouvelle version de zenon sur l'ordinateur du client.
  5. Chargez les projets sur le client, puis désactivez-les.

Mise à jour avec modification du serveur SQL

Si une installation nécessite de modifier le serveur SQL (par exemple, mise à jour de zenon 7.00 vers zenon 7.60), des étapes supplémentaires sont requises. Ces étapes sont effectuées :

  • Après l'activation de tous les projets
  • Avant l'installation de la nouvelle version

Procédure lors de la modification du serveur SQL :

  1. Activez tous les éléments désactivés en sélectionnant Clients -> Accepter les modifications.
  2. Sur le serveur du projet multi-utilisateurs, ouvrez Editor dans la version de départ.
  3. Créez des sauvegardes de tous les projets que vous souhaitez modifier ou ouvrir avec la nouvelle version
    • Soit sous forme de sauvegardes de projet uniques
    • Soit sous forme de sauvegarde de l'espace de travail complet
  4. Installez la nouvelle version sur le serveur
  5. Convertissez tous les projets du serveur dans la nouvelle version en chargeant les sauvegardes de projet précédemment créées dans Editor
  6. Installez la mise à jour sur tous les clients
  7. Transférez les projets provenant du serveur multi-utilisateurs vers les clients
    (tenez compte du nouveau nom de l'instance SQL)
  8. Les projets sont convertis, synchronisés et prêts à être utilisés

Attention : Assurez-vous que les paramètres du pare-feu autorisent le trafic des données circulant entre le serveur de projets multi-utilisateurs et les clients.


FAQ

Manuel -> Installation et mises à jour -> FAQ

Les erreurs durant l'installation se produisent principalement lorsqu'un logiciel antivirus ou une installation existante empêche le remplacement ou la création de fichiers. Vous trouverez ici les causes les plus fréquentes d'erreurs d'installation et leur solution.

zenon

Problème

Solution

L'installation est interrompue.

Message d'erreur habituel : Erreur 1304. Erreur d'écriture du fichier...

Désactivez le logiciel antivirus. Fermez les programmes inutiles.

Des projets de démonstration ont été installés, mais il est impossible de les afficher. De nouveaux projets ne peuvent pas être créés.

Contrôlez le nom de l'ordinateur. L'ordinateur :

  • Ne doit pas comporter plus de 15 caractères
  • Doit être conforme aux conventions de dénomination d'ordinateurs de NetBIOS

Message d'erreur indiquant qu'un service ne peut pas être démarré.
  • Redémarrez d'abord l'ordinateur
  • Ensuite, redémarrez le programme d'installation de zenon

Serveur SQL

Général

Problème | Solution
L'installation a échoué, car le mot de passe n'est pas conforme aux critères. | Si la longueur minimale du mot de passe est modifiée de 8 (valeur par défaut) en une valeur supérieure à 10 par l'intermédiaire de la directive de sécurité locale de Windows, l'installation de SQL Server échouera, car le mot de passe SQL de zenon comprend 10 caractères.


Support technique

Manuel -> Installation et mises à jour -> Support technique

Niveau d'assistance Basic

Si vous avez besoin d'assistance durant l'installation, le personnel de notre service d'assistance technique sera ravi de vous aider.

Les utilisateurs bénéficiant du niveau d'assistance Basic peuvent contacter le service d'assistance à l'adresse e-mail suivante : support@copadata.com.

Niveaux d'assistance Advanced et Premium

Si vous êtes titulaire d'un accord de service de niveau Advanced ou Premium, utilisez le numéro de téléphone ou l'adresse e-mail qui vous ont été fournis. Les employés de notre service commercial (sales@copadata.com) seront ravis de vous aider si vous souhaitez remplacer votre accord de service de niveau Basic par un accord de service de niveau Advanced ou Premium.


Open Source GPL/Mozilla Licenses

Manuel -> Installation et mises à jour -> Open Source GPL/Mozilla Licenses

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

These licenses are applicable only for the listed software components:

  • For zenVNCSrv.exe, zenVNCSrvCE.exe and zenVNCCli.exe:
    GNU GENERAL PUBLIC LICENSE Version 3 applies
  • For MsgCtrlVoip.dll:
    GNU LESSER GENERAL PUBLIC LICENSE Version 3 applies
  • For Ude.dll:
    MOZILLA PUBLIC LICENSE Version 1.1 applies
  • For TestOCCReader.dll
    GNU LESSER GENERAL PUBLIC LICENSE (LGPL) Version 2.1 with additional exception

The source code for the above mentioned software components can always be requested, free of charge, at this contact address:

Ing. Punzenberger COPA-DATA GmbH
Karolingerstrasse 7b
A-5020 Salzburg
Austria
Tel: +43 / 662 / 43 10 02 - 0
Fax: +43 / 662 / 43 10 02 - 33
Email: sales@copadata.com
Internet: www.copadata.com

Autres sujets abordés dans ce chapitre

GNU GENERAL PUBLIC LICENSE (GPL)

MOZILLA PUBLIC LICENSE

GNU LESSER GENERAL PUBLIC LICENSE


GNU GENERAL PUBLIC LICENSE (GPL)

Manuel -> Installation et mises à jour -> Open Source GPL/Mozilla Licenses -> GNU GENERAL PUBLIC LICENSE (GPL)

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Preamble

The GNU General Public License is a free, copyleft license for software and other kinds of works.

The licenses for most software and other practical works are designed to take away your freedom to share and change the works. By contrast, the GNU General Public License is intended to guarantee your freedom to share and change all versions of a program--to make sure it remains free software for all its users. We, the Free Software Foundation, use the GNU General Public License for most of our software; it applies also to any other work released this way by its authors. You can apply it to your programs, too.

When we speak of free software, we are referring to freedom, not price. Our General Public Licenses are designed to make sure that you have the freedom to distribute copies of free software (and charge for them if you wish), that you receive source code or can get it if you want it, that you can change the software or use pieces of it in new free programs, and that you know you can do these things.

To protect your rights, we need to prevent others from denying you these rights or asking you to surrender the rights. Therefore, you have certain responsibilities if you distribute copies of the software, or if you modify it: responsibilities to respect the freedom of others.

For example, if you distribute copies of such a program, whether gratis or for a fee, you must pass on to the recipients the same freedoms that you received. You must make sure that they, too, receive or can get the source code. And you must show them these terms so they know their rights.

Developers that use the GNU GPL protect your rights with two steps: (1) assert copyright on the software, and (2) offer you this License giving you legal permission to copy, distribute and/or modify it.

For the developers' and authors' protection, the GPL clearly explains that there is no warranty for this free software. For both users' and authors' sake, the GPL requires that modified versions be marked as changed, so that their problems will not be attributed erroneously to authors of previous versions.

Some devices are designed to deny users access to install or run modified versions of the software inside them, although the manufacturer can do so. This is fundamentally incompatible with the aim of protecting users' freedom to change the software. The systematic pattern of such abuse occurs in the area of products for individuals to use, which is precisely where it is most unacceptable. Therefore, we have designed this version of the GPL to prohibit the practice for those products. If such problems arise substantially in other domains, we stand ready to extend this provision to those domains in future versions of the GPL, as needed to protect the freedom of users.

Finally, every program is threatened constantly by software patents. States should not allow patents to restrict development and use of software on general-purpose computers, but in those that do, we wish to avoid the special danger that patents applied to a free program could make it effectively proprietary. To prevent this, the GPL assures that patents cannot be used to render the program non-free.

The precise terms and conditions for copying, distribution and modification follow.

Autres sujets abordés dans ce chapitre

TERMS AND CONDITIONS


TERMS AND CONDITIONS

Manuel -> Installation et mises à jour -> Open Source GPL/Mozilla Licenses -> GNU GENERAL PUBLIC LICENSE (GPL) -> TERMS AND CONDITIONS

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Autres sujets abordés dans ce chapitre

Definitions

Source Code

Basic Permissions

Protecting Users' Legal Rights From Anti-Circumvention Law

Conveying Verbatim Copies

Conveying Modified Source Versions

Conveying Non-Source Forms

Additional Terms

Termination

Acceptance Not Required for Having Copies

Automatic Licensing of Downstream Recipients

Patents

No Surrender of Others' Freedom

Use with the GNU Affero General Public License

Revised Versions of this License

Disclaimer of Warranty

Limitation of Liability

Interpretation of Sections 15 and 16


Definitions

Manuel -> Installation et mises à jour -> Open Source GPL/Mozilla Licenses -> GNU GENERAL PUBLIC LICENSE (GPL) -> TERMS AND CONDITIONS -> Definitions

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

“This License” refers to version 3 of the GNU General Public License.

“Copyright” also means copyright-like laws that apply to other kinds of works, such as semiconductor masks.

“The Program” refers to any copyrightable work licensed under this License. Each licensee is addressed as “you”. “Licensees” and “recipients” may be individuals or organizations.

To “modify” a work means to copy from or adapt all or part of the work in a fashion requiring copyright permission, other than the making of an exact copy. The resulting work is called a “modified version” of the earlier work or a work “based on” the earlier work.

A “covered work” means either the unmodified Program or a work based on the Program.

To “propagate” a work means to do anything with it that, without permission, would make you directly or secondarily liable for infringement under applicable copyright law, except executing it on a computer or modifying a private copy. Propagation includes copying, distribution (with or without modification), making available to the public, and in some countries other activities as well.

To “convey” a work means any kind of propagation that enables other parties to make or receive copies. Mere interaction with a user through a computer network, with no transfer of a copy, is not conveying.

An interactive user interface displays “Appropriate Legal Notices” to the extent that it includes a convenient and prominently visible feature that (1) displays an appropriate copyright notice, and (2) tells the user that there is no warranty for the work (except to the extent that warranties are provided), that licensees may convey the work under this License, and how to view a copy of this License. If the interface presents a list of user commands or options, such as a menu, a prominent item in the list meets this criterion.


Source Code

Manuel -> Installation et mises à jour -> Open Source GPL/Mozilla Licenses -> GNU GENERAL PUBLIC LICENSE (GPL) -> TERMS AND CONDITIONS -> Source Code

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

The “source code” for a work means the preferred form of the work for making modifications to it. “Object code” means any non-source form of a work.

A “Standard Interface” means an interface that either is an official standard defined by a recognized standards body, or, in the case of interfaces specified for a particular programming language, one that is widely used among developers working in that language.

The “System Libraries” of an executable work include anything, other than the work as a whole, that (a) is included in the normal form of packaging a Major Component, but which is not part of that Major Component, and (b) serves only to enable use of the work with that Major Component, or to implement a Standard Interface for which an implementation is available to the public in source code form. A “Major Component”, in this context, means a major essential component (kernel, window system, and so on) of the specific operating system (if any) on which the executable work runs, or a compiler used to produce the work, or an object code interpreter used to run it.

The “Corresponding Source” for a work in object code form means all the source code needed to generate, install, and (for an executable work) run the object code and to modify the work, including scripts to control those activities. However, it does not include the work's System Libraries, or general-purpose tools or generally available free programs which are used unmodified in performing those activities but which are not part of the work. For example, Corresponding Source includes interface definition files associated with source files for the work, and the source code for shared libraries and dynamically linked subprograms that the work is specifically designed to require, such as by intimate data communication or control flow between those subprograms and other parts of the work.

The Corresponding Source need not include anything that users can regenerate automatically from other parts of the Corresponding Source.

The Corresponding Source for a work in source code form is that same work.


Basic Permissions

Manuel -> Installation et mises à jour -> Open Source GPL/Mozilla Licenses -> GNU GENERAL PUBLIC LICENSE (GPL) -> TERMS AND CONDITIONS -> Basic Permissions

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

All rights granted under this License are granted for the term of copyright on the Program, and are irrevocable provided the stated conditions are met. This License explicitly affirms your unlimited permission to run the unmodified Program. The output from running a covered work is covered by this License only if the output, given its content, constitutes a covered work. This License acknowledges your rights of fair use or other equivalent, as provided by copyright law.

You may make, run and propagate covered works that you do not convey, without conditions so long as your license otherwise remains in force. You may convey covered works to others for the sole purpose of having them make modifications exclusively for you, or provide you with facilities for running those works, provided that you comply with the terms of this License in conveying all material for which you do not control copyright. Those thus making or running the covered works for you must do so exclusively on your behalf, under your direction and control, on terms that prohibit them from making any copies of your copyrighted material outside their relationship with you.

Conveying under any other circumstances is permitted solely under the conditions stated below. Sublicensing is not allowed; section 10 makes it unnecessary.


Protecting Users' Legal Rights From Anti-Circumvention Law

Manuel -> Installation et mises à jour -> Open Source GPL/Mozilla Licenses -> GNU GENERAL PUBLIC LICENSE (GPL) -> TERMS AND CONDITIONS -> Protecting Users' Legal Rights From Anti-Circumvention Law

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

No covered work shall be deemed part of an effective technological measure under any applicable law fulfilling obligations under article 11 of the WIPO copyright treaty adopted on 20 December 1996, or similar laws prohibiting or restricting circumvention of such measures.

When you convey a covered work, you waive any legal power to forbid circumvention of technological measures to the extent such circumvention is effected by exercising rights under this License with respect to the covered work, and you disclaim any intention to limit operation or modification of the work as a means of enforcing, against the work's users, your or third parties' legal rights to forbid circumvention of technological measures.


Conveying Verbatim Copies

Manuel -> Installation et mises à jour -> Open Source GPL/Mozilla Licenses -> GNU GENERAL PUBLIC LICENSE (GPL) -> TERMS AND CONDITIONS -> Conveying Verbatim Copies

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

You may convey verbatim copies of the Program's source code as you receive it, in any medium, provided that you conspicuously and appropriately publish on each copy an appropriate copyright notice; keep intact all notices stating that this License and any non-permissive terms added in accord with section 7 apply to the code; keep intact all notices of the absence of any warranty; and give all recipients a copy of this License along with the Program.

You may charge any price or no price for each copy that you convey, and you may offer support or warranty protection for a fee.


Conveying Modified Source Versions

Manuel -> Installation et mises à jour -> Open Source GPL/Mozilla Licenses -> GNU GENERAL PUBLIC LICENSE (GPL) -> TERMS AND CONDITIONS -> Conveying Modified Source Versions

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

You may convey a work based on the Program, or the modifications to produce it from the Program, in the form of source code under the terms of section 4, provided that you also meet all of these conditions:

  1. The work must carry prominent notices stating that you modified it, and giving a relevant date.
  2. The work must carry prominent notices stating that it is released under this License and any conditions added under section 7. This requirement modifies the requirement in section 4 to “keep intact all notices”.
  3. You must license the entire work, as a whole, under this License to anyone who comes into possession of a copy. This License will therefore apply, along with any applicable section 7 additional terms, to the whole of the work, and all its parts, regardless of how they are packaged. This License gives no permission to license the work in any other way, but it does not invalidate such permission if you have separately received it.
  4. If the work has interactive user interfaces, each must display Appropriate Legal Notices; however, if the Program has interactive interfaces that do not display Appropriate Legal Notices, your work need not make them do so.

A compilation of a covered work with other separate and independent works, which are not by their nature extensions of the covered work, and which are not combined with it such as to form a larger program, in or on a volume of a storage or distribution medium, is called an “aggregate” if the compilation and its resulting copyright are not used to limit the access or legal rights of the compilation's users beyond what the individual works permit. Inclusion of a covered work in an aggregate does not cause this License to apply to the other parts of the aggregate.


Conveying Non-Source Forms

Manuel -> Installation et mises à jour -> Open Source GPL/Mozilla Licenses -> GNU GENERAL PUBLIC LICENSE (GPL) -> TERMS AND CONDITIONS -> Conveying Non-Source Forms

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

You may convey a covered work in object code form under the terms of sections 4 and 5, provided that you also convey the machine-readable Corresponding Source under the terms of this License, in one of these ways:

  1. Convey the object code in, or embodied in, a physical product (including a physical distribution medium), accompanied by the Corresponding Source fixed on a durable physical medium customarily used for software interchange.
  2. Convey the object code in, or embodied in, a physical product (including a physical distribution medium), accompanied by a written offer, valid for at least three years and valid for as long as you offer spare parts or customer support for that product model, to give anyone who possesses the object code either (1) a copy of the Corresponding Source for all the software in the product that is covered by this License, on a durable physical medium customarily used for software interchange, for a price no more than your reasonable cost of physically performing this conveying of source, or (2) access to copy the Corresponding Source from a network server at no charge.
  3. Convey individual copies of the object code with a copy of the written offer to provide the Corresponding Source. This alternative is allowed only occasionally and noncommercially, and only if you received the object code with such an offer, in accord with subsection 6b.
  4. Convey the object code by offering access from a designated place (gratis or for a charge), and offer equivalent access to the Corresponding Source in the same way through the same place at no further charge. You need not require recipients to copy the Corresponding Source along with the object code. If the place to copy the object code is a network server, the Corresponding Source may be on a different server (operated by you or a third party) that supports equivalent copying facilities, provided you maintain clear directions next to the object code saying where to find the Corresponding Source. Regardless of what server hosts the Corresponding Source, you remain obligated to ensure that it is available for as long as needed to satisfy these requirements.
  5. Convey the object code using peer-to-peer transmission, provided you inform other peers where the object code and Corresponding Source of the work are being offered to the general public at no charge under subsection 6d.

A separable portion of the object code, whose source code is excluded from the Corresponding Source as a System Library, need not be included in conveying the object code work.

A “User Product” is either (1) a “consumer product”, which means any tangible personal property which is normally used for personal, family, or household purposes, or (2) anything designed or sold for incorporation into a dwelling. In determining whether a product is a consumer product, doubtful cases shall be resolved in favor of coverage. For a particular product received by a particular user, “normally used” refers to a typical or common use of that class of product, regardless of the status of the particular user or of the way in which the particular user actually uses, or expects or is expected to use, the product. A product is a consumer product regardless of whether the product has substantial commercial, industrial or non-consumer uses, unless such uses represent the only significant mode of use of the product.

“Installation Information” for a User Product means any methods, procedures, authorization keys, or other information required to install and execute modified versions of a covered work in that User Product from a modified version of its Corresponding Source. The information must suffice to ensure that the continued functioning of the modified object code is in no case prevented or interfered with solely because modification has been made.

If you convey an object code work under this section in, or with, or specifically for use in, a User Product, and the conveying occurs as part of a transaction in which the right of possession and use of the User Product is transferred to the recipient in perpetuity or for a fixed term (regardless of how the transaction is characterized), the Corresponding Source conveyed under this section must be accompanied by the Installation Information. But this requirement does not apply if neither you nor any third party retains the ability to install modified object code on the User Product (for example, the work has been installed in ROM).

The requirement to provide Installation Information does not include a requirement to continue to provide support service, warranty, or updates for a work that has been modified or installed by the recipient, or for the User Product in which it has been modified or installed. Access to a network may be denied when the modification itself materially and adversely affects the operation of the network or violates the rules and protocols for communication across the network.

Corresponding Source conveyed, and Installation Information provided, in accord with this section must be in a format that is publicly documented (and with an implementation available to the public in source code form), and must require no special password or key for unpacking, reading or copying.


Additional Terms

Manuel -> Installation et mises à jour -> Open Source GPL/Mozilla Licenses -> GNU GENERAL PUBLIC LICENSE (GPL) -> TERMS AND CONDITIONS -> Additional Terms

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

“Additional permissions” are terms that supplement the terms of this License by making exceptions from one or more of its conditions. Additional permissions that are applicable to the entire Program shall be treated as though they were included in this License, to the extent that they are valid under applicable law. If additional permissions apply only to part of the Program, that part may be used separately under those permissions, but the entire Program remains governed by this License without regard to the additional permissions.

When you convey a copy of a covered work, you may at your option remove any additional permissions from that copy, or from any part of it. (Additional permissions may be written to require their own removal in certain cases when you modify the work.) You may place additional permissions on material, added by you to a covered work, for which you have or can give appropriate copyright permission.

Notwithstanding any other provision of this License, for material you add to a covered work, you may (if authorized by the copyright holders of that material) supplement the terms of this License with terms:

  1. Disclaiming warranty or limiting liability differently from the terms of sections 15 and 16 of this License; or
  2. Requiring preservation of specified reasonable legal notices or author attributions in that material or in the Appropriate Legal Notices displayed by works containing it; or
  3. Prohibiting misrepresentation of the origin of that material, or requiring that modified versions of such material be marked in reasonable ways as different from the original version; or
  4. Limiting the use for publicity purposes of names of licensors or authors of the material; or
  5. Declining to grant rights under trademark law for use of some trade names, trademarks, or service marks; or
  6. Requiring indemnification of licensors and authors of that material by anyone who conveys the material (or modified versions of it) with contractual assumptions of liability to the recipient, for any liability that these contractual assumptions directly impose on those licensors and authors.

All other non-permissive additional terms are considered “further restrictions” within the meaning of section 10. If the Program as you received it, or any part of it, contains a notice stating that it is governed by this License along with a term that is a further restriction, you may remove that term. If a license document contains a further restriction but permits relicensing or conveying under this License, you may add to a covered work material governed by the terms of that license document, provided that the further restriction does not survive such relicensing or conveying.

If you add terms to a covered work in accord with this section, you must place, in the relevant source files, a statement of the additional terms that apply to those files, or a notice indicating where to find the applicable terms.

Additional terms, permissive or non-permissive, may be stated in the form of a separately written license, or stated as exceptions; the above requirements apply either way.


Termination

Manuel -> Installation et mises à jour -> Open Source GPL/Mozilla Licenses -> GNU GENERAL PUBLIC LICENSE (GPL) -> TERMS AND CONDITIONS -> Termination

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

You may not propagate or modify a covered work except as expressly provided under this License. Any attempt otherwise to propagate or modify it is void, and will automatically terminate your rights under this License (including any patent licenses granted under the third paragraph of section 11).

However, if you cease all violation of this License, then your license from a particular copyright holder is reinstated (a) provisionally, unless and until the copyright holder explicitly and finally terminates your license, and (b) permanently, if the copyright holder fails to notify you of the violation by some reasonable means prior to 60 days after the cessation.

Moreover, your license from a particular copyright holder is reinstated permanently if the copyright holder notifies you of the violation by some reasonable means, this is the first time you have received notice of violation of this License (for any work) from that copyright holder, and you cure the violation prior to 30 days after your receipt of the notice.

Termination of your rights under this section does not terminate the licenses of parties who have received copies or rights from you under this License. If your rights have been terminated and not permanently reinstated, you do not qualify to receive new licenses for the same material under section 10.


Acceptance Not Required for Having Copies

Manuel -> Installation et mises à jour -> Open Source GPL/Mozilla Licenses -> GNU GENERAL PUBLIC LICENSE (GPL) -> TERMS AND CONDITIONS -> Acceptance Not Required for Having Copies

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

You are not required to accept this License in order to receive or run a copy of the Program. Ancillary propagation of a covered work occurring solely as a consequence of using peer-to-peer transmission to receive a copy likewise does not require acceptance. However, nothing other than this License grants you permission to propagate or modify any covered work. These actions infringe copyright if you do not accept this License. Therefore, by modifying or propagating a covered work, you indicate your acceptance of this License to do so.


Automatic Licensing of Downstream Recipients

Manuel -> Installation et mises à jour -> Open Source GPL/Mozilla Licenses -> GNU GENERAL PUBLIC LICENSE (GPL) -> TERMS AND CONDITIONS -> Automatic Licensing of Downstream Recipients

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Each time you convey a covered work, the recipient automatically receives a license from the original licensors, to run, modify and propagate that work, subject to this License. You are not responsible for enforcing compliance by third parties with this License.

An “entity transaction” is a transaction transferring control of an organization, or substantially all assets of one, or subdividing an organization, or merging organizations. If propagation of a covered work results from an entity transaction, each party to that transaction who receives a copy of the work also receives whatever licenses to the work the party's predecessor in interest had or could give under the previous paragraph, plus a right to possession of the Corresponding Source of the work from the predecessor in interest, if the predecessor has it or can get it with reasonable efforts.

You may not impose any further restrictions on the exercise of the rights granted or affirmed under this License. For example, you may not impose a license fee, royalty, or other charge for exercise of rights granted under this License, and you may not initiate litigation (including a cross-claim or counterclaim in a lawsuit) alleging that any patent claim is infringed by making, using, selling, offering for sale, or importing the Program or any portion of it.


Patents

Manuel -> Installation et mises à jour -> Open Source GPL/Mozilla Licenses -> GNU GENERAL PUBLIC LICENSE (GPL) -> TERMS AND CONDITIONS -> Patents

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

A “contributor” is a copyright holder who authorizes use under this License of the Program or a work on which the Program is based. The work thus licensed is called the contributor's “contributor version”.

A contributor's “essential patent claims” are all patent claims owned or controlled by the contributor, whether already acquired or hereafter acquired, that would be infringed by some manner, permitted by this License, of making, using, or selling its contributor version, but do not include claims that would be infringed only as a consequence of further modification of the contributor version. For purposes of this definition, “control” includes the right to grant patent sublicenses in a manner consistent with the requirements of this License.

Each contributor grants you a non-exclusive, worldwide, royalty-free patent license under the contributor's essential patent claims, to make, use, sell, offer for sale, import and otherwise run, modify and propagate the contents of its contributor version.

In the following three paragraphs, a “patent license” is any express agreement or commitment, however denominated, not to enforce a patent (such as an express permission to practice a patent or covenant not to sue for patent infringement). To “grant” such a patent license to a party means to make such an agreement or commitment not to enforce a patent against the party.

If you convey a covered work, knowingly relying on a patent license, and the Corresponding Source of the work is not available for anyone to copy, free of charge and under the terms of this License, through a publicly available network server or other readily accessible means, then you must either (1) cause the Corresponding Source to be so available, or (2) arrange to deprive yourself of the benefit of the patent license for this particular work, or (3) arrange, in a manner consistent with the requirements of this License, to extend the patent license to downstream recipients. “Knowingly relying” means you have actual knowledge that, but for the patent license, your conveying the covered work in a country, or your recipient's use of the covered work in a country, would infringe one or more identifiable patents in that country that you have reason to believe are valid.

If, pursuant to or in connection with a single transaction or arrangement, you convey, or propagate by procuring conveyance of, a covered work, and grant a patent license to some of the parties receiving the covered work authorizing them to use, propagate, modify or convey a specific copy of the covered work, then the patent license you grant is automatically extended to all recipients of the covered work and works based on it.

A patent license is “discriminatory” if it does not include within the scope of its coverage, prohibits the exercise of, or is conditioned on the non-exercise of one or more of the rights that are specifically granted under this License. You may not convey a covered work if you are a party to an arrangement with a third party that is in the business of distributing software, under which you make payment to the third party based on the extent of your activity of conveying the work, and under which the third party grants, to any of the parties who would receive the covered work from you, a discriminatory patent license (a) in connection with copies of the covered work conveyed by you (or copies made from those copies), or (b) primarily for and in connection with specific products or compilations that contain the covered work, unless you entered into that arrangement, or that patent license was granted, prior to 28 March 2007.

Nothing in this License shall be construed as excluding or limiting any implied license or other defenses to infringement that may otherwise be available to you under applicable patent law.


No Surrender of Others' Freedom

Manuel -> Installation et mises à jour -> Open Source GPL/Mozilla Licenses -> GNU GENERAL PUBLIC LICENSE (GPL) -> TERMS AND CONDITIONS -> No Surrender of Others' Freedom

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

If conditions are imposed on you (whether by court order, agreement or otherwise) that contradict the conditions of this License, they do not excuse you from the conditions of this License. If you cannot convey a covered work so as to satisfy simultaneously your obligations under this License and any other pertinent obligations, then as a consequence you may not convey it at all. For example, if you agree to terms that obligate you to collect a royalty for further conveying from those to whom you convey the Program, the only way you could satisfy both those terms and this License would be to refrain entirely from conveying the Program.


Use with the GNU Affero General Public License

Manuel -> Installation et mises à jour -> Open Source GPL/Mozilla Licenses -> GNU GENERAL PUBLIC LICENSE (GPL) -> TERMS AND CONDITIONS -> Use with the GNU Affero General Public License

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Notwithstanding any other provision of this License, you have permission to link or combine any covered work with a work licensed under version 3 of the GNU Affero General Public License into a single combined work, and to convey the resulting work. The terms of this License will continue to apply to the part which is the covered work, but the special requirements of the GNU Affero General Public License, section 13, concerning interaction through a network will apply to the combination as such.


Revised Versions of this License

Manuel -> Installation et mises à jour -> Open Source GPL/Mozilla Licenses -> GNU GENERAL PUBLIC LICENSE (GPL) -> TERMS AND CONDITIONS -> Revised Versions of this License

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

The Free Software Foundation may publish revised and/or new versions of the GNU General Public License from time to time. Such new versions will be similar in spirit to the present version, but may differ in detail to address new problems or concerns.

Each version is given a distinguishing version number. If the Program specifies that a certain numbered version of the GNU General Public License “or any later version” applies to it, you have the option of following the terms and conditions either of that numbered version or of any later version published by the Free Software Foundation. If the Program does not specify a version number of the GNU General Public License, you may choose any version ever published by the Free Software Foundation.

If the Program specifies that a proxy can decide which future versions of the GNU General Public License can be used, that proxy's public statement of acceptance of a version permanently authorizes you to choose that version for the Program.

Later license versions may give you additional or different permissions. However, no additional obligations are imposed on any author or copyright holder as a result of your choosing to follow a later version.


Disclaimer of Warranty

Manuel -> Installation et mises à jour -> Open Source GPL/Mozilla Licenses -> GNU GENERAL PUBLIC LICENSE (GPL) -> TERMS AND CONDITIONS -> Disclaimer of Warranty

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

THERE IS NO WARRANTY FOR THE PROGRAM, TO THE EXTENT PERMITTED BY APPLICABLE LAW. EXCEPT WHEN OTHERWISE STATED IN WRITING THE COPYRIGHT HOLDERS AND/OR OTHER PARTIES PROVIDE THE PROGRAM “AS IS” WITHOUT WARRANTY OF ANY KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE. THE ENTIRE RISK AS TO THE QUALITY AND PERFORMANCE OF THE PROGRAM IS WITH YOU. SHOULD THE PROGRAM PROVE DEFECTIVE, YOU ASSUME THE COST OF ALL NECESSARY SERVICING, REPAIR OR CORRECTION.


Limitation of Liability

Manuel -> Installation et mises à jour -> Open Source GPL/Mozilla Licenses -> GNU GENERAL PUBLIC LICENSE (GPL) -> TERMS AND CONDITIONS -> Limitation of Liability

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

IN NO EVENT UNLESS REQUIRED BY APPLICABLE LAW OR AGREED TO IN WRITING WILL ANY COPYRIGHT HOLDER, OR ANY OTHER PARTY WHO MODIFIES AND/OR CONVEYS THE PROGRAM AS PERMITTED ABOVE, BE LIABLE TO YOU FOR DAMAGES, INCLUDING ANY GENERAL, SPECIAL, INCIDENTAL OR CONSEQUENTIAL DAMAGES ARISING OUT OF THE USE OR INABILITY TO USE THE PROGRAM (INCLUDING BUT NOT LIMITED TO LOSS OF DATA OR DATA BEING RENDERED INACCURATE OR LOSSES SUSTAINED BY YOU OR THIRD PARTIES OR A FAILURE OF THE PROGRAM TO OPERATE WITH ANY OTHER PROGRAMS), EVEN IF SUCH HOLDER OR OTHER PARTY HAS BEEN ADVISED OF THE POSSIBILITY OF SUCH DAMAGES.


Interpretation of Sections 15 and 16

Manuel -> Installation et mises à jour -> Open Source GPL/Mozilla Licenses -> GNU GENERAL PUBLIC LICENSE (GPL) -> TERMS AND CONDITIONS -> Interpretation of Sections 15 and 16

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

If the disclaimer of warranty and limitation of liability provided above cannot be given local legal effect according to their terms, reviewing courts shall apply local law that most closely approximates an absolute waiver of all civil liability in connection with the Program, unless a warranty or assumption of liability accompanies a copy of the Program in return for a fee.


MOZILLA PUBLIC LICENSE

Manuel -> Installation et mises à jour -> Open Source GPL/Mozilla Licenses -> MOZILLA PUBLIC LICENSE

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Version 1.1

Autres sujets abordés dans ce chapitre

Definitions

Source Code License

Distribution Obligations

Inability to Comply Due to Statute or Regulation

Application of this License

Versions of the License

Disclaimer of Warranty

Termination

Limitation of Liability

U.S. Government End Users

Miscellaneous

Responsibility for Claims

Multiple-Licensed Code

EXHIBIT A - Mozilla Public License


Definitions

Manuel -> Installation et mises à jour -> Open Source GPL/Mozilla Licenses -> MOZILLA PUBLIC LICENSE -> Definitions

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
  1. "Commercial Use" means distribution or otherwise making the Covered Code available to a third party.
  2. "Contributor" means each entity that creates or contributes to the creation of Modifications.
  3. "Contributor Version" means the combination of the Original Code, prior Modifications used by a Contributor, and the Modifications made by that particular Contributor.
  4. "Covered Code" means the Original Code or Modifications or the combination of the Original Code and Modifications, in each case including portions thereof.
  5. "Electronic Distribution Mechanism" means a mechanism generally accepted in the software development community for the electronic transfer of data.
  6. "Executable" means Covered Code in any form other than Source Code.
  7. "Initial Developer" means the individual or entity identified as the Initial Developer in the Source Code notice required by Exhibit A.
  8. "Larger Work" means a work which combines Covered Code or portions thereof with code not governed by the terms of this License.
  9. "License" means this document.
    1. "Licensable" means having the right to grant, to the maximum extent possible, whether at the time of the initial grant or subsequently acquired, any and all of the rights conveyed herein.
  10. "Modifications" means any addition to or deletion from the substance or structure of either the Original Code or any previous Modifications. When Covered Code is released as a series of files, a Modification is:
    1. Any addition to or deletion from the contents of a file containing Original Code or previous Modifications.
    2. Any new file that contains any part of the Original Code or previous Modifications.
  11. "Original Code" means Source Code of computer software code which is described in the Source Code notice required by Exhibit A as Original Code, and which, at the time of its release under this License is not already Covered Code governed by this License.
    1. "Patent Claims" means any patent claim(s), now owned or hereafter acquired, including without limitation, method, process, and apparatus claims, in any patent Licensable by grantor.
  12. "Source Code" means the preferred form of the Covered Code for making modifications to it, including all modules it contains, plus any associated interface definition files, scripts used to control compilation and installation of an Executable, or source code differential comparisons against either the Original Code or another well known, available Covered Code of the Contributor's choice. The Source Code can be in a compressed or archival form, provided the appropriate decompression or de-archiving software is widely available for no charge.
  13. "You" (or "Your") means an individual or a legal entity exercising rights under, and complying with all of the terms of, this License or a future version of this License issued under Section 6.1. For legal entities, "You" includes any entity which controls, is controlled by, or is under common control with You. For purposes of this definition, "control" means (a) the power, direct or indirect, to cause the direction or management of such entity, whether by contract or otherwise, or (b) ownership of more than fifty percent (50%) of the outstanding shares or beneficial ownership of such entity.


Source Code License

Manuel -> Installation et mises à jour -> Open Source GPL/Mozilla Licenses -> MOZILLA PUBLIC LICENSE -> Source Code License

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Autres sujets abordés dans ce chapitre

The Initial Developer Grant

Contributor Grant


The Initial Developer Grant

Manuel -> Installation et mises à jour -> Open Source GPL/Mozilla Licenses -> MOZILLA PUBLIC LICENSE -> Source Code License -> The Initial Developer Grant

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

The Initial Developer hereby grants You a world-wide, royalty-free, non-exclusive license, subject to third party intellectual property claims:

  1. under intellectual property rights (other than patent or trademark) Licensable by Initial Developer to use, reproduce, modify, display, perform, sublicense and distribute the Original Code (or portions thereof) with or without Modifications, and/or as part of a Larger Work; and
  2. under Patents Claims infringed by the making, using or selling of Original Code, to make, have made, use, practice, sell, and offer for sale, and/or otherwise dispose of the Original Code (or portions thereof).
  3. the licenses granted in this Section 2.1(a) and (b) are effective on the date Initial Developer first distributes Original Code under the terms of this License.
  4. Notwithstanding Section 2.1(b) above, no patent license is granted:
    1. for code that You delete from the Original Code;
    2. separate from the Original Code; or
    3. for infringements causedby:

      i) the modification of the Original Code or

      ii) thecombination of the Original Code with other software or devices


Contributor Grant

Manuel -> Installation et mises à jour -> Open Source GPL/Mozilla Licenses -> MOZILLA PUBLIC LICENSE -> Source Code License -> Contributor Grant

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Subject to third party intellectual property claims, each Contributorhereby grants You a world-wide, royalty-free, non-exclusive license

  1. under intellectual property rights (other than patent or trademark) Licensable by Contributor, to use, reproduce, modify, display, perform, sublicense and distribute the Modifications created by such Contributor (or portions thereof) either on an unmodified basis, with other Modifications, as Covered Code and/or as part of a Larger Work; and
  2. under Patent Claims infringed by the making, using, or selling of Modifications made by that Contributor either alone and/or in combination with its Contributor Version (or portions of such combination), to make, use, sell, offer for sale, have made, and/or otherwise dispose of: 1) Modifications made by that Contributor (or portions thereof); and 2) the combination of Modifications made by that Contributor with its Contributor Version (or portions of such combination).
  3. the licenses granted in Sections 2.2(a) and 2.2(b) are effective on the date Contributor first makes Commercial Use of the Covered Code.
  4. Notwithstanding Section 2.2(b) above, no patent license is granted: 1) for any code that Contributor has deleted from the Contributor Version; 2) separate from the Contributor Version; 3) for infringements caused by: i) third party modifications of Contributor Version or ii) the combination of Modifications made by that Contributor with other software (except as part of the Contributor Version) or other devices; or 4) under Patent Claims infringed by Covered Code in the absence of Modifications made by that Contributor.


Distribution Obligations

Manuel -> Installation et mises à jour -> Open Source GPL/Mozilla Licenses -> MOZILLA PUBLIC LICENSE -> Distribution Obligations

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Autres sujets abordés dans ce chapitre

Application of License

Availability of Source Code

Description of Modifications

Intellectual Property Matters

Required Notices

Distribution of Executable Versions

Larger Works


Application of License

Manuel -> Installation et mises à jour -> Open Source GPL/Mozilla Licenses -> MOZILLA PUBLIC LICENSE -> Distribution Obligations -> Application of License

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

The Modifications which You create or to which You contribute are governed by the terms of this License, including without limitation Section 2.2. The Source Code version of Covered Code may be distributed only under the terms of this License or a future version of this License released under Section 6.1, and You must include a copy of this License with every copy of the Source Code You distribute. You may not offer or impose any terms on any Source Code version that alters or restricts the applicable version of this License or the recipients' rights hereunder. However, You may include an additional document offering the additional rights described in Section 3.5.


Availability of Source Code

Manuel -> Installation et mises à jour -> Open Source GPL/Mozilla Licenses -> MOZILLA PUBLIC LICENSE -> Distribution Obligations -> Availability of Source Code

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Any Modification which You create or to which You contribute must be made available in Source Code form under the terms of this License either on the same media as an Executable version or via an accepted Electronic Distribution Mechanism to anyone to whom you made an Executable version available; and if made available via Electronic Distribution Mechanism, must remain available for at least twelve (12) months after the date it initially became available, or at least six (6) months after a subsequent version of that particular Modification has been made available to such recipients. You are responsible for ensuring that the Source Code version remains available even if the Electronic Distribution Mechanism is maintained by a third party.


Description of Modifications

Manuel -> Installation et mises à jour -> Open Source GPL/Mozilla Licenses -> MOZILLA PUBLIC LICENSE -> Distribution Obligations -> Description of Modifications

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

You must cause all Covered Code to which You contribute to contain a file documenting the changes You made to create that Covered Code and the date of any change. You must include a prominent statement that the Modification is derived, directly or indirectly, from Original Code provided by the Initial Developer and including the name of the Initial Developer in (a) the Source Code, and (b) in any notice in an Executable version or related documentation in which You describe the origin or ownership of the Covered Code.


Intellectual Property Matters

Manuel -> Installation et mises à jour -> Open Source GPL/Mozilla Licenses -> MOZILLA PUBLIC LICENSE -> Distribution Obligations -> Intellectual Property Matters

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
  1. Third Party Claims. If Contributor has knowledge that a license under a third party's intellectual property rights is required to exercise the rights granted by such Contributor under Sections 2.1 or 2.2, Contributor must include a text file with the Source Code distribution titled "LEGAL" which describes the claim and the party making the claim in sufficient detail that a recipient will know whom to contact. If Contributor obtains such knowledge after the Modification is made available as described in Section 3.2, Contributor shall promptly modify the LEGAL file in all copies Contributor makes available thereafter and shall take other steps (such as notifying appropriate mailing lists or newsgroups) reasonably calculated to inform those who received the Covered Code that new knowledge has been obtained.
  2. Contributor APIs. If Contributor's Modifications include an application programming interface and Contributor has knowledge of patent licenses which are reasonably necessary to implement that API, Contributor must also include this information in the LEGAL file.
  3. Representations. Contributor represents that, except as disclosed pursuant to Section 3.4(a) above, Contributor believes that Contributor's Modifications are Contributor's original creation(s) and/or Contributor has sufficient rights to grant the rights conveyed by this License.


Required Notices

Manuel -> Installation et mises à jour -> Open Source GPL/Mozilla Licenses -> MOZILLA PUBLIC LICENSE -> Distribution Obligations -> Required Notices

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

You must duplicate the notice in Exhibit A in each file of the Source Code. If it is not possible to put such notice in a particular Source Code file due to its structure, then You must include such notice in a location (such as a relevant directory) where a user would be likely to look for such a notice. If You created one or more Modification(s) You may add your name as a Contributor to the notice described in Exhibit A. You must also duplicate this License in any documentation for the Source Code where You describe recipients' rights or ownership rights relating to Covered Code. You may choose to offer, and to charge a fee for, warranty, support, indemnity or liability obligations to one or more recipients of Covered Code. However, You may do so only on Your own behalf, and not on behalf of the Initial Developer or any Contributor. You must make it absolutely clear than any such warranty, support, indemnity or liability obligation is offered by You alone, and You hereby agree to indemnify the Initial Developer and every Contributor for any liability incurred by the Initial Developer or such Contributor as a result of warranty, support, indemnity or liability terms You offer.


Distribution of Executable Versions

Manuel -> Installation et mises à jour -> Open Source GPL/Mozilla Licenses -> MOZILLA PUBLIC LICENSE -> Distribution Obligations -> Distribution of Executable Versions

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

You may distribute Covered Code in Executable form only if the requirements of Section 3.1-3.5 have been met for that Covered Code, and if You include a notice stating that the Source Code version of the Covered Code is available under the terms of this License, including a description of how and where You have fulfilled the obligations of Section 3.2. The notice must be conspicuously included in any notice in an Executable version, related documentation or collateral in which You describe recipients' rights relating to the Covered Code. You may distribute the Executable version of Covered Code or ownership rights under a license of Your choice, which may contain terms different from this License, provided that You are in compliance with the terms of this License and that the license for the Executable version does not attempt to limit or alter the recipient's rights in the Source Code version from the rights set forth in this License. If You distribute the Executable version under a different license You must make it absolutely clear that any terms which differ from this License are offered by You alone, not by the Initial Developer or any Contributor. You hereby agree to indemnify the Initial Developer and every Contributor for any liability incurred by the Initial Developer or such Contributor as a result of any such terms You offer.


Larger Works

Manuel -> Installation et mises à jour -> Open Source GPL/Mozilla Licenses -> MOZILLA PUBLIC LICENSE -> Distribution Obligations -> Larger Works

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

You may create a Larger Work by combining Covered Code with other code not governed by the terms of this License and distribute the Larger Work as a single product. In such a case, You must make sure the requirements of this License are fulfilled for the Covered Code.


Inability to Comply Due to Statute or Regulation

Manuel -> Installation et mises à jour -> Open Source GPL/Mozilla Licenses -> MOZILLA PUBLIC LICENSE -> Inability to Comply Due to Statute or Regulation

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

If it is impossible for You to comply with any of the terms of this License with respect to some or all of the Covered Code due to statute, judicial order, or regulation then You must: (a) comply with the terms of this License to the maximum extent possible; and (b) describe the limitations and the code they affect. Such description must be included in the LEGAL file described in Section 3.4 and must be included with all distributions of the Source Code. Except to the extent prohibited by statute or regulation, such description must be sufficiently detailed for a recipient of ordinary skill to be able to understand it.


Application of this License

Manuel -> Installation et mises à jour -> Open Source GPL/Mozilla Licenses -> MOZILLA PUBLIC LICENSE -> Application of this License

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

This License applies to code to which the Initial Developer has attached the notice in Exhibit A and to related Covered Code.


Versions of the License

Manuel -> Installation et mises à jour -> Open Source GPL/Mozilla Licenses -> MOZILLA PUBLIC LICENSE -> Versions of the License

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Autres sujets abordés dans ce chapitre

New Versions

Effect of New Versions

Derivative Works


New Versions

Manuel -> Installation et mises à jour -> Open Source GPL/Mozilla Licenses -> MOZILLA PUBLIC LICENSE -> Versions of the License -> New Versions

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Netscape Communications Corporation ("Netscape") may publish revised and/or new versions of the License from time to time. Each version will be given a distinguishing version number.


Effect of New Versions

Manuel -> Installation et mises à jour -> Open Source GPL/Mozilla Licenses -> MOZILLA PUBLIC LICENSE -> Versions of the License -> Effect of New Versions

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Once Covered Code has been published under a particular version of the License, You may always continue to use it under the terms of that version. You may also choose to use such Covered Code under the terms of any subsequent version of the License published by Netscape. No one other than Netscape has the right to modify the terms applicable to Covered Code created under this License.


Derivative Works

Manuel -> Installation et mises à jour -> Open Source GPL/Mozilla Licenses -> MOZILLA PUBLIC LICENSE -> Versions of the License -> Derivative Works

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

If You create or use a modified version of this License (which you may only do in order to apply it to code which is not already Covered Code governed by this License), You must (a) rename Your license so that the phrases "Mozilla", "MOZILLAPL", "MOZPL", "Netscape", "MPL", "NPL" or any confusingly similar phrase do not appear in your license (except to note that your license differs from this License) and (b) otherwise make it clear that Your version of the license contains terms which differ from the Mozilla Public License and Netscape Public License. (Filling in the name of the Initial Developer, Original Code or Contributor in the notice described in Exhibit A shall not of themselves be deemed to be modifications of this License.)


Disclaimer of Warranty

Manuel -> Installation et mises à jour -> Open Source GPL/Mozilla Licenses -> MOZILLA PUBLIC LICENSE -> Disclaimer of Warranty

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

COVERED CODE IS PROVIDED UNDER THIS LICENSE ON AN "AS IS" BASIS, WITHOUT WARRANTY OF ANY KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING, WITHOUT LIMITATION, WARRANTIES THAT THE COVERED CODE IS FREE OF DEFECTS, MERCHANTABLE, FIT FOR A PARTICULAR PURPOSE OR NON-INFRINGING. THE ENTIRE RISK AS TO THE QUALITY AND PERFORMANCE OF THE COVERED CODE IS WITH YOU. SHOULD ANY COVERED CODE PROVE DEFECTIVE IN ANY RESPECT, YOU (NOT THE INITIAL DEVELOPER OR ANY OTHER CONTRIBUTOR) ASSUME THE COST OF ANY NECESSARY SERVICING, REPAIR OR CORRECTION. THIS DISCLAIMER OF WARRANTY CONSTITUTES AN ESSENTIAL PART OF THIS LICENSE. NO USE OF ANY COVERED CODE IS AUTHORIZED HEREUNDER EXCEPT UNDER THIS DISCLAIMER.


Termination

Manuel -> Installation et mises à jour -> Open Source GPL/Mozilla Licenses -> MOZILLA PUBLIC LICENSE -> Termination

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
  1. This License and the rights granted hereunder will terminate automatically if You fail to comply with terms herein and fail to cure such breach within 30 days of becoming aware of the breach. All sublicenses to the Covered Code which are properly granted shall survive any termination of this License. Provisions which, by their nature, must remain in effect beyond the termination of this License shall survive.
  2. If You initiate litigation by asserting a patent infringement claim (excluding declatory judgment actions) against Initial Developer or a Contributor (the Initial Developer or Contributor against whom You file such action is referred to as "Participant") alleging that:
    1. such Participant's Contributor Version directly or indirectly infringes any patent, then any and all rights granted by such Participant to You under Sections 2.1 and/or 2.2 of this License shall, upon 60 days notice from Participant terminate prospectively, unless if within 60 days after receipt of notice You either: (i) agree in writing to pay Participant a mutually agreeable reasonable royalty for Your past and future use of Modifications made by such Participant, or (ii) withdraw Your litigation claim with respect to the Contributor Version against such Participant. If within 60 days of notice, a reasonable royalty and payment arrangement are not mutually agreed upon in writing by the parties or the litigation claim is not withdrawn, the rights granted by Participant to You under Sections 2.1 and/or 2.2 automatically terminate at the expiration of the 60 day notice period specified above.
    2. any software, hardware, or device, other than such Participant's Contributor Version, directly or indirectly infringes any patent, then any rights granted to You by such Participant under Sections 2.1(b) and 2.2(b) are revoked effective as of the date You first made, used, sold, distributed, or had made, Modifications made by that Participant
  3. If You assert a patent infringement claim against Participantalleging that such Participant's Contributor Version directly or indirectly infringes any patent where such claim is resolved (such as by license or settlement) prior to the initiation of patent infringement litigation, then the reasonable value of the licenses granted by such Participant under Sections 2.1 or 2.2 shall be taken into account in determining the amount or value of any payment or license.
  4. In the event of termination under Sections 8.1 or 8.2 above, all end user license agreements (excluding distributors and resellers) which have been validly granted by You or any distributor hereunder prior to termination shall survive termination.


Limitation of Liability

Manuel -> Installation et mises à jour -> Open Source GPL/Mozilla Licenses -> MOZILLA PUBLIC LICENSE -> Limitation of Liability

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

UNDER NO CIRCUMSTANCES AND UNDER NO LEGAL THEORY, WHETHER TORT (INCLUDING NEGLIGENCE), CONTRACT, OR OTHERWISE, SHALL YOU, THE INITIAL DEVELOPER, ANY OTHER CONTRIBUTOR, OR ANY DISTRIBUTOR OF COVERED CODE, OR ANY SUPPLIER OF ANY OF SUCH PARTIES, BE LIABLE TO ANY PERSON FOR ANY INDIRECT, SPECIAL, INCIDENTAL, OR CONSEQUENTIAL DAMAGES OF ANY CHARACTER INCLUDING, WITHOUT LIMITATION, DAMAGES FOR LOSS OF GOODWILL, WORK STOPPAGE, COMPUTER FAILURE OR MALFUNCTION, OR ANY AND ALL OTHER COMMERCIAL DAMAGES OR LOSSES, EVEN IF SUCH PARTY SHALL HAVE BEEN INFORMED OF THE POSSIBILITY OF SUCH DAMAGES. THIS LIMITATION OF LIABILITY SHALL NOT APPLY TO LIABILITY FOR DEATH OR PERSONAL INJURY RESULTING FROM SUCH PARTY'S NEGLIGENCE TO THE EXTENT APPLICABLE LAW PROHIBITS SUCH LIMITATION. SOME JURISDICTIONS DO NOT ALLOW THE EXCLUSION OR LIMITATION OF INCIDENTAL OR CONSEQUENTIAL DAMAGES, SO THIS EXCLUSION AND LIMITATION MAY NOT APPLY TO YOU.


U.S. Government End Users

Manuel -> Installation et mises à jour -> Open Source GPL/Mozilla Licenses -> MOZILLA PUBLIC LICENSE -> U.S. Government End Users

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

The Covered Code is a "commercial item," as that term is defined in 48 C.F.R. 2.101 (Oct. 1995), consisting of "commercial computer software" and "commercial computer software documentation," as such terms are used in 48 C.F.R. 12.212 (Sept. 1995). Consistent with 48 C.F.R. 12.212 and 48 C.F.R. 227.7202-1 through 227.7202-4 (June 1995), all U.S. Government End Users acquire Covered Code with only those rights set forth herein.


Miscellaneous

Manuel -> Installation et mises à jour -> Open Source GPL/Mozilla Licenses -> MOZILLA PUBLIC LICENSE -> Miscellaneous

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

This License represents the complete agreement concerning subject matter hereof. If any provision of this License is held to be unenforceable, such provision shall be reformed only to the extent necessary to make it enforceable. This License shall be governed by California law provisions (except to the extent applicable law, if any, provides otherwise), excluding its conflict-of-law provisions. With respect to disputes in which at least one party is a citizen of, or an entity chartered or registered to do business in the United States of America, any litigation relating to this License shall be subject to the jurisdiction of the Federal Courts of the Northern District of California, with venue lying in Santa Clara County, California, with the losing party responsible for costs, including without limitation, court costs and reasonable attorneys' fees and expenses. The application of the United Nations Convention on Contracts for the International Sale of Goods is expressly excluded. Any law or regulation which provides that the language of a contract shall be construed against the drafter shall not apply to this License.


Responsibility for Claims

Manuel -> Installation et mises à jour -> Open Source GPL/Mozilla Licenses -> MOZILLA PUBLIC LICENSE -> Responsibility for Claims

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

As between Initial Developer and the Contributors, each party is responsible for claims and damages arising, directly or indirectly, out of its utilization of rights under this License and You agree to work with Initial Developer and Contributors to distribute such responsibility on an equitable basis. Nothing herein is intended or shall be deemed to constitute any admission of liability.


Multiple-Licensed Code

Manuel -> Installation et mises à jour -> Open Source GPL/Mozilla Licenses -> MOZILLA PUBLIC LICENSE -> Multiple-Licensed Code

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Initial Developer may designate portions of the Covered Code as "Multiple-Licensed". "Multiple-Licensed" means that the Initial Developer permits you to utilize portions of the Covered Code under Your choice of the NPL or the alternative licenses, if any, specified by the Initial Developer in the file described in Exhibit A.


EXHIBIT A - Mozilla Public License

Manuel -> Installation et mises à jour -> Open Source GPL/Mozilla Licenses -> MOZILLA PUBLIC LICENSE -> EXHIBIT A - Mozilla Public License

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

`UDE.dll `The contents of this file are subject to the Mozilla Public License Version 1.1 (the "License"); you may not use this file except in compliance with the License. You may obtain a copy of the License at http://www.mozilla.org/MPL/

Software distributed under the License is distributed on an "AS IS" basis, WITHOUT WARRANTY OF ANY KIND, either express or implied. See the License for the specific language governing rights and limitations under the License.

The Original Code can be found here: https://github.com/errepi/ude .

The Initial Developer of the Original Code is Rudi Pettazzi.

All Rights Reserved.

Contributor(s): -.

[NOTE: The text of this Exhibit A may differ slightly from the text of the notices in the Source Code files of the Original Code. You should use the text of this Exhibit A rather than the text found in the Original Code Source Code for Your Modifications.]


GNU LESSER GENERAL PUBLIC LICENSE

Manuel -> Installation et mises à jour -> Open Source GPL/Mozilla Licenses -> GNU LESSER GENERAL PUBLIC LICENSE

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Version 3, 29 June 2007

Copyright (C) 2007 Free Software Foundation, Inc. http://fsf.org/ Everyone is permitted to copy and distribute verbatim copies of this license document, but changing it is not allowed.

This version of the GNU Lesser General Public License incorporates the terms and conditions of version 3 of the GNU General Public License, supplemented by the additional permissions listed below.

Autres sujets abordés dans ce chapitre

Additional Definitions

Exception to Section 3 of the GNU GPL

Conveying Modified Versions

Object Code Incorporating Material from Library Header Files

Combined Works

Combined Libraries

Revised Versions of the GNU Lesser General Public License


Additional Definitions

Manuel -> Installation et mises à jour -> Open Source GPL/Mozilla Licenses -> GNU LESSER GENERAL PUBLIC LICENSE -> Additional Definitions

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

As used herein, "this License" refers to version 3 of the GNU Lesser General Public License, and the "GNU GPL" refers to version 3 of the GNU General Public License.

"The Library" refers to a covered work governed by this License, other than an Application or a Combined Work as defined below.

An "Application" is any work that makes use of an interface provided by the Library, but which is not otherwise based on the Library.

Defining a subclass of a class defined by the Library is deemed a mode of using an interface provided by the Library.

A "Combined Work" is a work produced by combining or linking an Application with the Library. The particular version of the Library with which the Combined Work was made is also called the "Linked Version".

The "Minimal Corresponding Source" for a Combined Work means the Corresponding Source for the Combined Work, excluding any source code for portions of the Combined Work that, considered in isolation, are based on the Application, and not on the Linked Version.

The "Corresponding Application Code" for a Combined Work means the object code and/or source code for the Application, including any data and utility programs needed for reproducing the Combined Work from the Application, but excluding the System Libraries of the Combined Work.


Exception to Section 3 of the GNU GPL

Manuel -> Installation et mises à jour -> Open Source GPL/Mozilla Licenses -> GNU LESSER GENERAL PUBLIC LICENSE -> Exception to Section 3 of the GNU GPL

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

You may convey a covered work under sections 3 and 4 of this License without being bound by section 3 of the GNU GPL.


Conveying Modified Versions

Manuel -> Installation et mises à jour -> Open Source GPL/Mozilla Licenses -> GNU LESSER GENERAL PUBLIC LICENSE -> Conveying Modified Versions

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

If you modify a copy of the Library, and, in your modifications, a facility refers to a function or data to be supplied by an Application that uses the facility (other than as an argument passed when the facility is invoked), then you may convey a copy of the modified version:

  1. under this License, provided that you make a good faith effort to ensure that, in the event an Application does not supply the function or data, the facility still operates, and performs whatever part of its purpose remains meaningful, or
  2. under the GNU GPL, with none of the additional permissions of this License applicable to that copy.


Object Code Incorporating Material from Library Header Files

Manuel -> Installation et mises à jour -> Open Source GPL/Mozilla Licenses -> GNU LESSER GENERAL PUBLIC LICENSE -> Object Code Incorporating Material from Library Header Files

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

The object code form of an Application may incorporate material from a header file that is part of the Library. You may convey such object code under terms of your choice, provided that, if the incorporated material is not limited to numerical parameters, data structure layouts and accessors, or small macros, inline functions and templates (ten or fewer lines in length), you do both of the following:

  1. Give prominent notice with each copy of the object code that the Library is used in it and that the Library and its use are covered by this License.
  2. Accompany the object code with a copy of the GNU GPL and this license document.


Combined Works

Manuel -> Installation et mises à jour -> Open Source GPL/Mozilla Licenses -> GNU LESSER GENERAL PUBLIC LICENSE -> Combined Works

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

You may convey a Combined Work under terms of your choice that, taken together, effectively do not restrict modification of the portions of the Library contained in the Combined Work and reverse engineering for debugging such modifications, if you also do each of the following:

  1. Give prominent notice with each copy of the Combined Work that the Library is used in it and that the Library and its use are covered by this License.
  2. Accompany the Combined Work with a copy of the GNU GPL and this license document.
  3. For a Combined Work that displays copyright notices during execution, include the copyright notice for the Library among these notices, as well as a reference directing the user to the copies of the GNU GPL and this license document.
  4. Do one of the following:
    1. Convey the Minimal Corresponding Source under the terms of this License, and the Corresponding Application Code in a form suitable for, and under terms that permit, the user to recombine or relink the Application with a modified version of the Linked Version to produce a modified Combined Work, in the manner specified by section 6 of the GNU GPL for conveying Corresponding Source.
    2. Use a suitable shared library mechanism for linking with the Library. A suitable mechanism is one that (a) uses at run time a copy of the Library already present on the user's computer system, and (b) will operate properly with a modified version of the Library that is interface-compatible with the Linked Version.
  5. Provide Installation Information, but only if you would otherwise be required to provide such information under section 6 of the GNU GPL, and only to the extent that such information is necessary to install and execute a modified version of the Combined Work produced by recombining or relinking the Application with a modified version of the Linked Version. (If you use option 4d0, the Installation Information must accompany the Minimal Corresponding Source and Corresponding Application Code. If you use option 4d1, you must provide the Installation Information in the manner specified by section 6 of the GNU GPL for conveying Corresponding Source.)


Combined Libraries

Manuel -> Installation et mises à jour -> Open Source GPL/Mozilla Licenses -> GNU LESSER GENERAL PUBLIC LICENSE -> Combined Libraries

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

You may place library facilities that are a work based on the Library side by side in a single library together with other library facilities that are not Applications and are not covered by this License, and convey such a combined library under terms of your choice, if you do both of the following:

  1. Accompany the combined library with a copy of the same work based on the Library, uncombined with any other library facilities, conveyed under the terms of this License.
  2. Give prominent notice with the combined library that part of it is a work based on the Library, and explaining where to find the accompanying uncombined form of the same work.


Revised Versions of the GNU Lesser General Public License

Manuel -> Installation et mises à jour -> Open Source GPL/Mozilla Licenses -> GNU LESSER GENERAL PUBLIC LICENSE -> Revised Versions of the GNU Lesser General Public License

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

The Free Software Foundation may publish revised and/or new versions of the GNU Lesser General Public License from time to time. Such new versions will be similar in spirit to the present version, but may differ in detail to address new problems or concerns.

Each version is given a distinguishing version number. If the Library as you received it specifies that a certain numbered version of the GNU Lesser General Public License "or any later version" applies to it, you have the option of following the terms and conditions either of that published version or of any later version published by the Free Software Foundation. If the Library as you received it does not specify a version number of the GNU Lesser General Public License, you may choose any version of the GNU Lesser General Public License ever published by the Free Software Foundation.

If the Library as you received it specifies that a proxy can decide whether future versions of the GNU Lesser General Public License shall apply, that proxy's public statement of acceptance of any version is permanent authorization for you to choose that version for the Library.


Open Source licences for several features

Manuel -> Installation et mises à jour -> Open Source licences for several features

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
  • The SNMP driver (SNMPNG32.exe) uses OpenSSL and NetSNMP.
  • The OPC UA Process Gateway (AccessOPCUA.dll) and the OPC UA driver (OPCUA32.exe) use OpenSSL
  • The Message Control uses MIMEMail and OpenSSL (zenon32.dll)
  • The HTML Web Engine –Web Application uses ANTLRv3, Bootstrap, jQuery UI, jQuery, Json.NET, NLog, Owin, jQuery.SVG, WebGrease
  • The HTML Web Engine – Deployment Tool uses Extended WPF Toolkit, Newtonsoft.Json, NLog, WPF Application Framework (WAF)
  • The HTML Web Engine – Compiler uses Newtonsoft.Json, Nlog.Windows.Forms, NLog
  • The Everywhere Essentials QR Code Generator Wizard uses QrCode.Net
  • The Message Control VoiceOverIP Extension (MsgCtrlVoip.dll) uses libSRTP, Speex, PortAudio, Alaw/Ulaw Converter, GSM Codec 06.10 and iLBC Codec
  • The 3D Configuration Tool uses DWF Toolkit License, the MIT License (MIT), the SharpDX - Alexandre Mutel License
  • The GIS-Control uses the Gmap-Control with the MIT License (MIT)
  • The System.Data.SQLite uses the Microsoft Public License (MS-PL)
  • The NLog 4.4.0 uses the NLog / License
  • The Add-In Framework uses the SharpDevelop 5.1.0 with the MIT License, the Mono.AddIns 1.3 with the MIT License, the Mono.Cesil 0.9.6.4 with the MIT/X11 License, the WPF Application Framework (WAF) 3.2.0 with the Microsoft Public License (MS-PL)

You have to accept the according license agreements as well as the standard end user license agreement (EULA)

Autres sujets abordés dans ce chapitre

OpenSSL

NetSNMP

MIMEMail

ANTLRv3

Bootstrap, jQuery UI, jQuery, Newtonsoft.Json

Extended WPF Toolkit, WPF Application Framework (WAF)

Nlog, NLog.Windows.Forms

WebGrease, Owin

jQuery.SVG

QrCode.Net

libSRTP

Speex

PortAudio

Alaw/Ulaw Converter

GSM Codec 06.10

iLBC Codec

DWF Toolkit

Helix Toolkit

Open CASCADE Technology

SharpDX

GMap.NET

System.Data.SQLite Copyright

NLog 4.4.0 License

SharpDevelop 5.1.0

Mono.AddIns 1.3

Mono.Cecil 0.9.6.4

WPF Application Framework (WAF) 3.2.0


OpenSSL

Manuel -> Installation et mises à jour -> Open Source licences for several features -> OpenSSL

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

LICENSE ISSUES

The OpenSSL toolkit stays under a dual license, i.e. both the conditions of the OpenSSL License and the original SSLeay license apply to the toolkit.

See below for the actual license texts. Actually both licenses are BSD-style Open Source licenses. In case of any license issues related to OpenSSL please contact openssl-core@openssl.org.

OpenSSL License

Copyright (c) 1998-2011 The OpenSSL Project. All rights reserved.

Redistribution and use in source and binary forms, with or without modification, are permitted provided that the following conditions are met:

  1. Redistributions of source code must retain the above copyright notice, this list of conditions and the following disclaimer.
  2. Redistributions in binary form must reproduce the above copyright notice, this list of conditions and the following disclaimer in the documentation and/or other materials provided with the distribution.
  3. All advertising materials mentioning features or use of this software must display the following acknowledgment: "This product includes software developed by the OpenSSL Project for use in the OpenSSL Toolkit. (http://www.openssl.org/)"
  4. The names "OpenSSL Toolkit" and "OpenSSL Project" must not be used to endorse or promote products derived from this software without prior written permission. For written permission, please contact openssl-core@openssl.org.
  5. Products derived from this software may not be called "OpenSSL" nor may "OpenSSL" appear in their names without prior written permission of the OpenSSL Project.
  6. Redistributions of any form whatsoever must retain the following acknowledgment:

    "This product includes software developed by the OpenSSL Project for use in the OpenSSL Toolkit (http://www.openssl.org/)"

THIS SOFTWARE IS PROVIDED BY THE OpenSSL PROJECT ``AS IS'' AND ANY EXPRESSED OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE OpenSSL PROJECT OR ITS CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.

This product includes cryptographic software written by Eric Young (eay@cryptsoft.com).

This product includes software written by Tim Hudson (tjh@cryptsoft.com).

Original SSLeay License

Copyright (C) 1995-1998 Eric Young (eay@cryptsoft.com)

All rights reserved.

This package is an SSL implementation written by Eric Young (eay@cryptsoft.com).The implementation was written so as to conform with Netscapes SSL.

This library is free for commercial and non-commercial use as long as the following conditions are aheared to. The following conditions apply to all code found in this distribution, be it the RC4, RSA, lhash, DES, etc., code; not just the SSL code. The SSL documentation included with this distribution is covered by the same copyright terms except that the holder is Tim Hudson (tjh@cryptsoft.com).

Copyright remains Eric Young's, and as such any Copyright notices in the code are not to be removed. If this package is used in a product, Eric Young should be given attribution as the author of the parts of the library used. This can be in the form of a textual message at program startup or in documentation (online or textual) provided with the package. Redistribution and use in source and binary forms, with or without modification, are permitted provided that the following conditions are met:

  1. Redistributions of source code must retain the copyright notice, this list of conditions and the following disclaimer.
  2. Redistributions in binary form must reproduce the above copyright notice, this list of conditions and the following disclaimer in the documentation and/or other materials provided with the distribution.
  3. All advertising materials mentioning features or use of this software must display the following acknowledgement:

    "This product includes cryptographic software written by Eric Young (eay@cryptsoft.com)" The word 'cryptographic' can be left out if the rouines from the library being used are not cryptographic related :-).

  4. If you include any Windows specific code (or a derivative thereof) from the apps directory (application code) you must include an acknowledgement: "This product includes software written by Tim Hudson (tjh@cryptsoft.com)"

THIS SOFTWARE IS PROVIDED BY ERIC YOUNG ``AS IS'' AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE AUTHOR OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.

The licence and distribution terms for any publically available version or derivative of this code cannot be changed. i.e. this code cannot simply be copied and put under another distribution licence [including the GNU Public Licence.]


NetSNMP

Manuel -> Installation et mises à jour -> Open Source licences for several features -> NetSNMP

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Various copyrights apply to this package, listed in various separate parts below. Please make sure that you read all the parts.

Autres sujets abordés dans ce chapitre

CMU/UCD copyright notice: (BSD like)

Networks Associates Technology, Inc copyright notice

Cambridge Broadband Ltd. copyright notice

Sun Microsystems, Inc. copyright notice

Sparta, Inc copyright notice (BSD)

Cisco/BUTNIC copyright notice (BSD)

Fabasoft R&D Software GmbH & Co KG copyright notice

Apple Inc. copyright notice (BSD)

ScienceLogic, LLC copyright notice (BSD)


CMU/UCD copyright notice: (BSD like)

Manuel -> Installation et mises à jour -> Open Source licences for several features -> NetSNMP -> CMU/UCD copyright notice: (BSD like)

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Copyright 1989, 1991, 1992 by Carnegie Mellon University

Derivative Work - 1996, 1998-2000

Copyright 1996, 1998-2000 The Regents of the University of California

All Rights Reserved

Permission to use, copy, modify and distribute this software and its documentation for any purpose and without fee is hereby granted, provided that the above copyright notice appears in all copies and that both that copyright notice and this permission notice appear in supporting documentation, and that the name of CMU and The Regents of the University of California not be used in advertising or publicity pertaining to distribution of the software without specific written permission.

CMU AND THE REGENTS OF THE UNIVERSITY OF CALIFORNIA DISCLAIM ALL WARRANTIES WITH REGARD TO THIS SOFTWARE, INCLUDING ALL IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS. IN NO EVENT SHALL CMU OR THE REGENTS OF THE UNIVERSITY OF CALIFORNIA BE LIABLE FOR ANY SPECIAL, INDIRECT OR CONSEQUENTIAL DAMAGES OR ANY DAMAGES WHATSOEVER RESULTING FROM THE LOSS OF USE, DATA OR PROFITS, WHETHER IN AN ACTION OF CONTRACT, NEGLIGENCE OR OTHER TORTIOUS ACTION, ARISING OUT OF OR IN CONNECTION WITH THE USE OR PERFORMANCE OF THIS SOFTWARE.


Networks Associates Technology, Inc copyright notice

Manuel -> Installation et mises à jour -> Open Source licences for several features -> NetSNMP -> Networks Associates Technology, Inc copyright notice

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Copyright (c) 2001-2003, Networks Associates Technology, Inc

All rights reserved.

Redistribution and use in source and binary forms, with or without modification, are permitted provided that the following conditions are met:

  • Redistributions of source code must retain the above copyright notice, this list of conditions and the following disclaimer.

  • Redistributions in binary form must reproduce the above copyright notice, this list of conditions and the following disclaimer in the documentation and/or other materials provided with the distribution.

  • Neither the name of the Networks Associates Technology, Inc nor the names of its contributors may be used to endorse or promote products derived from this software without specific prior written permission.

THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS ``AS IS'' AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR

PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT HOLDERS OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.


Cambridge Broadband Ltd. copyright notice

Manuel -> Installation et mises à jour -> Open Source licences for several features -> NetSNMP -> Cambridge Broadband Ltd. copyright notice

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Portions of this code are copyright (c) 2001-2003, Cambridge Broadband Ltd.

All rights reserved.

Redistribution and use in source and binary forms, with or without modification, are permitted provided that the following conditions are met:

  • Redistributions of source code must retain the above copyright notice, this list of conditions and the following disclaimer.

  • Redistributions in binary form must reproduce the above copyright notice, this list of conditions and the following disclaimer in the documentation and/or other materials provided with the distribution.

  • The name of Cambridge Broadband Ltd. may not be used to endorse or promote products derived from this software without specific prior written permission.

THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDER ``AS IS'' AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT HOLDER BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.


Sun Microsystems, Inc. copyright notice

Manuel -> Installation et mises à jour -> Open Source licences for several features -> NetSNMP -> Sun Microsystems, Inc. copyright notice

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Copyright © 2003 Sun Microsystems, Inc., 4150 Network Circle, Santa Clara, California 95054, U.S.A. All rights reserved.

Use is subject to license terms below.

This distribution may include materials developed by third parties

Sun, Sun Microsystems, the Sun logo and Solaris are trademarks or registered trademarks of Sun Microsystems, Inc. in the U.S. and other countries.

Redistribution and use in source and binary forms, with or without modification, are permitted provided that the following conditions are met:

  • Redistributions of source code must retain the above copyright notice, this list of conditions and the following disclaimer.

  • Redistributions in binary form must reproduce the above copyright notice, this list of conditions and the following disclaimer in the documentation and/or other materials provided with the distribution.

  • Neither the name of the Sun Microsystems, Inc. nor the names of its contributors may be used to endorse or promote products derived from this software without specific prior written permission.

THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS ``AS IS'' AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT HOLDERS OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR

OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.


Sparta, Inc copyright notice (BSD)

Manuel -> Installation et mises à jour -> Open Source licences for several features -> NetSNMP -> Sparta, Inc copyright notice (BSD)

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Copyright (c) 2003-2009, Sparta, Inc

All rights reserved.

Redistribution and use in source and binary forms, with or without modification, are permitted provided that the following conditions are met:

  • Redistributions of source code must retain the above copyright notice, this list of conditions and the following disclaimer.

  • Redistributions in binary form must reproduce the above copyright notice, this list of conditions and the following disclaimer in the documentation and/or other materials provided with the distribution.

  • Neither the name of Sparta, Inc nor the names of its contributors may be used to endorse or promote products derived from this software without specific prior written permission.

THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS ``AS IS'' AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT HOLDERS OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR

OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.


Cisco/BUTNIC copyright notice (BSD)

Manuel -> Installation et mises à jour -> Open Source licences for several features -> NetSNMP -> Cisco/BUTNIC copyright notice (BSD)

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Copyright (c) 2004, Cisco, Inc and Information Network

Center of Beijing University of Posts and Telecommunications.

All rights reserved.

Redistribution and use in source and binary forms, with or without modification, are permitted provided that the following conditions are met:

  • Redistributions of source code must retain the above copyright notice, this list of conditions and the following disclaimer.

  • Redistributions in binary form must reproduce the above copyright notice, this list of conditions and the following disclaimer in the documentation and/or other materials provided with the distribution.

  • Neither the name of Cisco, Inc, Beijing University of Posts and Telecommunications, nor the names of their contributors may be used to endorse or promote products derived from this software without specific prior written permission.

THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS ``AS IS'' AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT HOLDERS OR

CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.


Fabasoft R&D Software GmbH & Co KG copyright notice

Manuel -> Installation et mises à jour -> Open Source licences for several features -> NetSNMP -> Fabasoft R&D Software GmbH & Co KG copyright notice

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Copyright (c) Fabasoft R&D Software GmbH & Co KG, 2003

oss@fabasoft.com

Author: Bernhard Penz

Redistribution and use in source and binary forms, with or without modification, are permitted provided that the following conditions are met:

  • Redistributions of source code must retain the above copyright notice, this list of conditions and the following disclaimer.

  • Redistributions in binary form must reproduce the above copyright notice, this list of conditions and the following disclaimer in the documentation and/or other materials provided with the distribution.

  • The name of Fabasoft R&D Software GmbH & Co KG or any of its subsidiaries, brand or product names may not be used to endorse or promote products derived from this software without specific prior written permission.

THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDER ``AS IS'' AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT HOLDER BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.


Apple Inc. copyright notice (BSD)

Manuel -> Installation et mises à jour -> Open Source licences for several features -> NetSNMP -> Apple Inc. copyright notice (BSD)

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Copyright (c) 2007 Apple Inc. All rights reserved.

Redistribution and use in source and binary forms, with or without modification, are permitted provided that the following conditions are met:

  1. Redistributions of source code must retain the above copyright notice, this list of conditions and the following disclaimer.
  2. Redistributions in binary form must reproduce the above copyright notice, this list of conditions and the following disclaimer in the documentation and/or other materials provided with the distribution.
  3. Neither the name of Apple Inc. ("Apple") nor the names of its contributors may be used to endorse or promote products derived from this software without specific prior written permission.

THIS SOFTWARE IS PROVIDED BY APPLE AND ITS CONTRIBUTORS "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL APPLE OR ITS CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.


ScienceLogic, LLC copyright notice (BSD)

Manuel -> Installation et mises à jour -> Open Source licences for several features -> NetSNMP -> ScienceLogic, LLC copyright notice (BSD)

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Copyright (c) 2009, ScienceLogic, LLC

All rights reserved.

Redistribution and use in source and binary forms, with or without modification, are permitted provided that the following conditions are met:

  • Redistributions of source code must retain the above copyright notice, this list of conditions and the following disclaimer.

  • Redistributions in binary form must reproduce the above copyright notice, this list of conditions and the following disclaimer in the documentation and/or other materials provided with the distribution.

  • Neither the name of ScienceLogic, LLC nor the names of its contributors may be used to endorse or promote products derived from this software without specific prior written permission.

THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS ``AS IS'' AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT HOLDERS OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.


MIMEMail

Manuel -> Installation et mises à jour -> Open Source licences for several features -> MIMEMail

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Copyright (c) 2013, tike <timflex@gmx.de>

All rights reserved.

Redistribution and use in source and binary forms, with or without modification, are permitted provided that the following conditions are met:

  1. Redistributions of source code must retain the above copyright notice, this list of conditions and the following disclaimer.
  2. Redistributions in binary form must reproduce the above copyright notice, this list of conditions and the following disclaimer in the documentation and/or other materials provided with the distribution.
  3. All advertising materials mentioning features or use of this software must display the following acknowledgment:

    This product includes software developed by the tike.

  4. Neither the name of the tike nor the names of its contributors may be used to endorse or promote products derived from this software without specific prior written permission.

THIS SOFTWARE IS PROVIDED BY <COPYRIGHT HOLDER> ''AS IS'' AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL <COPYRIGHT HOLDER> BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.


ANTLRv3

Manuel -> Installation et mises à jour -> Open Source licences for several features -> ANTLRv3

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

[The BSD License]

Copyright (c) 2010 Terence Parr

All rights reserved.

Redistribution and use in source and binary forms, with or without modification, are permitted provided that the following conditions are met:

  • Redistributions of source code must retain the above copyright notice, this list of conditions and the following disclaimer.
  • Redistributions in binary form must reproduce the above copyright notice, this list of conditions and the following disclaimer in the documentation and/or other materials provided with the distribution.
  • Neither the name of the author nor the names of its contributors may be used to endorse or promote products derived from this software without specific prior written permission.

THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.


Bootstrap, jQuery UI, jQuery, Newtonsoft.Json

Manuel -> Installation et mises à jour -> Open Source licences for several features -> Bootstrap, jQuery UI, jQuery, Newtonsoft.Json

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

The MIT License (MIT)_

Permission is hereby granted, free of charge, to any person obtaining a copy of this software and associated documentation files (the "Software"), to deal in the Software without restriction, including without limitation the rights to use, copy, modify, merge, publish, distribute, sublicense, and/or sell copies of the Software, and to permit persons to whom the Software is furnished to do so, subject to the following conditions:

-

The above copyright notice and this permission notice shall be included in all copies or substantial portions of the Software.

THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.


Extended WPF Toolkit, WPF Application Framework (WAF)

Manuel -> Installation et mises à jour -> Open Source licences for several features -> Extended WPF Toolkit, WPF Application Framework (WAF)

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Microsoft Public License (Ms-PL)

This license governs use of the accompanying software. If you use the software, you accept this license. If you do not accept the license, do not use the software.

1. Definitions

  • The terms "reproduce," "reproduction," "derivative works," and "distribution" have the same meaning here as under U.S. copyright law.
  • A "contribution" is the original software, or any additions or changes to the software.
  • A "contributor" is any person that distributes its contribution under this license.
  • "Licensed patents" are a contributor's patent claims that read directly on its contribution.

2. Grant of Rights

  • (A) Copyright Grant- Subject to the terms of this license, including the license conditions and limitations in section 3, each contributor grants you a non-exclusive, worldwide, royalty-free copyright license to reproduce its contribution, prepare derivative works of its contribution, and distribute its contribution or any derivative works that you create.
  • (B) Patent Grant- Subject to the terms of this license, including the license conditions and limitations in section 3, each contributor grants you a non-exclusive, worldwide, royalty-free license under its licensed patents to make, have made, use, sell, offer for sale, import, and/or otherwise dispose of its contribution in the software or derivative works of the contribution in the software.

3. Conditions and Limitations

  • (A) No Trademark License- This license does not grant you rights to use any contributors' name, logo, or trademarks.
  • (B) If you bring a patent claim against any contributor over patents that you claim are infringed by the software, your patent license from such contributor to the software ends automatically.
  • (C) If you distribute any portion of the software, you must retain all copyright, patent, trademark, and attribution notices that are present in the software.
  • (D) If you distribute any portion of the software in source code form, you may do so only under this license by including a complete copy of this license with your distribution. If you distribute any portion of the software in compiled or object code form, you may only do so under a license that complies with this license.
  • (E) The software is licensed "as-is." You bear the risk of using it. The contributors give no express warranties, guarantees or conditions. You may have additional consumer rights under your local laws which this license cannot change. To the extent permitted under your local laws, the contributors exclude the implied warranties of merchantability, fitness for a particular purpose and non-infringement.


Nlog, NLog.Windows.Forms

Manuel -> Installation et mises à jour -> Open Source licences for several features -> Nlog, NLog.Windows.Forms

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Copyright (c) 2004-2011 Jaroslaw Kowalski <jaak@jkowalski.net>

All rights reserved.

Redistribution and use in source and binary forms, with or without modification, are permitted provided that the following conditions are met:

  • Redistributions of source code must retain the above copyright notice, this list of conditions and the following disclaimer.
  • Redistributions in binary form must reproduce the above copyright notice, this list of conditions and the following disclaimer in the documentation and/or other materials provided with the distribution.
  • Neither the name of Jaroslaw Kowalski nor the names of its contributors may be used to endorse or promote products derived from this software without specific prior written permission.

THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.


WebGrease, Owin

Manuel -> Installation et mises à jour -> Open Source licences for several features -> WebGrease, Owin

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Apache License 2.0 (Apache)

Version 2.0, January 2004

http://www.apache.org/licenses/

Autres sujets abordés dans ce chapitre

Definitions

Grant of Copyright License

Grant of Patent License

Redistribution

Submission of Contributions

Trademarks

Disclaimer of Warranty

Limitation of Liability

Accepting Warranty or Additional Liability


Definitions

Manuel -> Installation et mises à jour -> Open Source licences for several features -> WebGrease, Owin -> Definitions

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

"License" shall mean the terms and conditions for use, reproduction, and distribution as defined by Sections 1 through 9 of this document.

"Licensor" shall mean the copyright owner or entity authorized by the copyright owner that is granting the License.

"Legal Entity" shall mean the union of the acting entity and all other entities that control, are controlled by, or are under common control with that entity. For the purposes of this definition, "control" means (i) the power, direct or indirect, to cause the direction or management of such entity, whether by contract or otherwise, or (ii) ownership of fifty percent (50%) or more of the outstanding shares, or (iii) beneficial ownership of such entity.

"You" (or "Your") shall mean an individual or Legal Entity exercising permissions granted by this License.

"Source" form shall mean the preferred form for making modifications, including but not limited to software source code, documentation source, and configuration files.

"Object" form shall mean any form resulting from mechanical transformation or translation of a Source form, including but not limited to compiled object code, generated documentation, and conversions to other media types.

"Work" shall mean the work of authorship, whether in Source or Object form, made available under the License, as indicated by a copyright notice that is included in or attached to the work (an example is provided in the Appendix below).

"Derivative Works" shall mean any work, whether in Source or Object form, that is based on (or derived from) the Work and for which the editorial revisions, annotations, elaborations, or other modifications represent, as a whole, an original work of authorship. For the purposes of this License, Derivative Works shall not include works that remain separable from, or merely link (or bind by name) to the interfaces of, the Work and Derivative Works thereof.

"Contribution" shall mean any work of authorship, including the original version of the Work and any modifications or additions to that Work or Derivative Works thereof, that is intentionally submitted to Licensor for inclusion in the Work by the copyright owner or by an individual or Legal Entity authorized to submit on behalf of the copyright owner. For the purposes of this definition, "submitted" means any form of electronic, verbal, or written communication sent to the Licensor or its representatives, including but not limited to communication on electronic mailing lists, source code control systems, and issue tracking systems that are managed by, or on behalf of, the Licensor for the purpose of discussing and improving the Work, but excluding communication that is conspicuously marked or otherwise designated in writing by the copyright owner as "Not a Contribution."

"Contributor" shall mean Licensor and any individual or Legal Entity on behalf of whom a Contribution has been received by Licensor and subsequently incorporated within the Work.


Grant of Copyright License

Manuel -> Installation et mises à jour -> Open Source licences for several features -> WebGrease, Owin -> Grant of Copyright License

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Subject to the terms and conditions of this License, each Contributor hereby grants to You a perpetual, worldwide, non-exclusive, no-charge, royalty-free, irrevocable copyright license to reproduce, prepare Derivative Works of, publicly display, publicly perform, sublicense, and distribute the Work and such Derivative Works in Source or Object form.


Grant of Patent License

Manuel -> Installation et mises à jour -> Open Source licences for several features -> WebGrease, Owin -> Grant of Patent License

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Subject to the terms and conditions of this License, each Contributor hereby grants to You a perpetual, worldwide, non-exclusive, no-charge, royalty-free, irrevocable (except as stated in this section) patent license to make, have made, use, offer to sell, sell, import, and otherwise transfer the Work, where such license applies only to those patent claims licensable by such Contributor that are necessarily infringed by their Contribution(s) alone or by combination of their Contribution(s) with the Work to which such Contribution(s) was submitted. If You institute patent litigation against any entity (including a cross-claim or counterclaim in a lawsuit) alleging that the Work or a Contribution incorporated within the Work constitutes direct or contributory patent infringement, then any patent licenses granted to You under this License for that Work shall terminate as of the date such litigation is filed.


Redistribution

Manuel -> Installation et mises à jour -> Open Source licences for several features -> WebGrease, Owin -> Redistribution

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

You may reproduce and distribute copies of the Work or Derivative Works thereof in any medium, with or without modifications, and in Source or Object form, provided that You meet the following conditions:

  1. You must give any other recipients of the Work or Derivative Works a copy of this License; and
  2. You must cause any modified files to carry prominent notices stating that You changed the files; and
  3. You must retain, in the Source form of any Derivative Works that You distribute, all copyright, patent, trademark, and attribution notices from the Source form of the Work, excluding those notices that do not pertain to any part of the Derivative Works; and
  4. If the Work includes a "NOTICE" text file as part of its distribution, then any Derivative Works that You distribute must include a readable copy of the attribution notices contained within such NOTICE file, excluding those notices that do not pertain to any part of the Derivative Works, in at least one of the following places: within a NOTICE text file distributed as part of the Derivative Works; within the Source form or documentation, if provided along with the Derivative Works; or, within a display generated by the Derivative Works, if and wherever such third-party notices normally appear. The contents of the NOTICE file are for informational purposes only and do not modify the License. You may add Your own attribution notices within Derivative Works that You distribute, alongside or as an addendum to the NOTICE text from the Work, provided that such additional attribution notices cannot be construed as modifying the License.

You may add Your own copyright statement to Your modifications and may provide additional or different license terms and conditions for use, reproduction, or distribution of Your modifications, or for any such Derivative Works as a whole, provided Your use, reproduction, and distribution of the Work otherwise complies with the conditions stated in this License.


Submission of Contributions

Manuel -> Installation et mises à jour -> Open Source licences for several features -> WebGrease, Owin -> Submission of Contributions

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Unless You explicitly state otherwise, any Contribution intentionally submitted for inclusion in the Work by You to the Licensor shall be under the terms and conditions of this License, without any additional terms or conditions. Notwithstanding the above, nothing herein shall supersede or modify the terms of any separate license agreement you may have executed with Licensor regarding such Contributions.


Trademarks

Manuel -> Installation et mises à jour -> Open Source licences for several features -> WebGrease, Owin -> Trademarks

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

This License does not grant permission to use the trade names, trademarks, service marks, or product names of the Licensor, except as required for reasonable and customary use in describing the origin of the Work and reproducing the content of the NOTICE file.


Disclaimer of Warranty

Manuel -> Installation et mises à jour -> Open Source licences for several features -> WebGrease, Owin -> Disclaimer of Warranty

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Unless required by applicable law or agreed to in writing, Licensor provides the Work (and each Contributor provides its Contributions) on an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied, including, without limitation, any warranties or conditions of TITLE, NON-INFRINGEMENT, MERCHANTABILITY, or FITNESS FOR A PARTICULAR PURPOSE. You are solely responsible for determining the appropriateness of using or redistributing the Work and assume any risks associated with Your exercise of permissions under this License.


Limitation of Liability

Manuel -> Installation et mises à jour -> Open Source licences for several features -> WebGrease, Owin -> Limitation of Liability

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

In no event and under no legal theory, whether in tort (including negligence), contract, or otherwise, unless required by applicable law (such as deliberate and grossly negligent acts) or agreed to in writing, shall any Contributor be liable to You for damages, including any direct, indirect, special, incidental, or consequential damages of any character arising as a result of this License or out of the use or inability to use the Work (including but not limited to damages for loss of goodwill, work stoppage, computer failure or malfunction, or any and all other commercial damages or losses), even if such Contributor has been advised of the possibility of such damages.


Accepting Warranty or Additional Liability

Manuel -> Installation et mises à jour -> Open Source licences for several features -> WebGrease, Owin -> Accepting Warranty or Additional Liability

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

While redistributing the Work or Derivative Works thereof, You may choose to offer, and charge a fee for, acceptance of support, warranty, indemnity, or other liability obligations and/or rights consistent with this License. However, in accepting such obligations, You may act only on Your own behalf and on Your sole responsibility, not on behalf of any other Contributor, and only if You agree to indemnify, defend, and hold each Contributor harmless for any liability incurred by, or claims asserted against, such Contributor by reason of your accepting any such warranty or additional liability.


jQuery.SVG

Manuel -> Installation et mises à jour -> Open Source licences for several features -> jQuery.SVG

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Copyright 2007 - 2015 Keith Wood

Permission is hereby granted, free of charge, to any person obtaining a copy of this software and associated documentation files (the "Software"), to deal in the Software without restriction, including without limitation the rights to use, copy, modify, merge, publish, distribute, sublicense, and/or sell copies of the Software, and to permit persons to whom the Software is furnished to do so, subject to the following conditions:

The above copyright notice and this permission notice shall be included in all copies or substantial portions of the Software.

THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.


QrCode.Net

Manuel -> Installation et mises à jour -> Open Source licences for several features -> QrCode.Net

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

[The MIT License (MIT)]

Copyright (c) 2011 George Mamaladze

Permission is hereby granted, free of charge, to any person obtaining a copy of this software and associated documentation files (the "Software"), to deal in the Software without restriction, including without limitation the rights to use, copy, modify, merge, publish, distribute, sublicense, and/or sell copies of the Software, and to permit persons to whom the Software is furnished to do so, subject to the following conditions:

The above copyright notice and this permission notice shall be included in all copies or substantial portions of the Software.

THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.


libSRTP

Manuel -> Installation et mises à jour -> Open Source licences for several features -> libSRTP

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Copyright (c) 2001-2006 Cisco Systems, Inc.

All rights reserved.

Redistribution and use in source and binary forms, with or without modification, are permitted provided that the following conditions are met:

  • Redistributions of source code must retain the above copyright notice, this list of conditions and the following disclaimer.
  • Redistributions in binary form must reproduce the above copyright notice, this list of conditions and the following disclaimer in the documentation and/or other materials provided with the distribution.
  • Neither the name of the Cisco Systems, Inc. nor the names of its contributors may be used to endorse or promote products derived from this software without specific prior written permission.

THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT HOLDERS OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT,STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.


Speex

Manuel -> Installation et mises à jour -> Open Source licences for several features -> Speex

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Copyright 2002-2005

Xiph.org Foundation

Jean-Marc Valin

David Rowe

EpicGames

Analog Devices

Redistribution and use in source and binary forms, with or without modification, are permitted provided that the following conditions are met:

  • Redistributions of source code must retain the above copyright notice, this list of conditions and the following disclaimer.
  • Redistributions in binary form must reproduce the above copyright notice, this list of conditions and the following disclaimer in the documentation and/or other materials provided with the distribution.

  • Neither the name of the Xiph.org Foundation nor the names of its contributors may be used to endorse or promote products derived from this software without specific prior written permission.

THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS ``AS IS'' AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE FOUNDATION OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.


PortAudio

Manuel -> Installation et mises à jour -> Open Source licences for several features -> PortAudio

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Based on the Open Source API proposed by Ross Bencina

Copyright (c) 1999-2000 Phil Burk

Permission is hereby granted, free of charge, to any person obtaining a copy of this software and associated documentation files (the "Software"), to deal in the Software without restriction, including without limitation the rights to use, copy, modify, merge, publish, distribute, sublicense, and/or sell copies of the Software, and to permit persons to whom the Software is furnished to do so, subject to the following conditions:

The above copyright notice and this permission notice shall be included in all copies or substantial portions of the Software.

Alaw/Ulaw Converter

This source code is a product of Sun Microsystems, Inc. and is provided for unrestricted use. Users may copy or modify this source code without charge.

SUN SOURCE CODE IS PROVIDED AS IS WITH NO WARRANTIES OF ANY KIND INCLUDING THE WARRANTIES OF DESIGN, MERCHANTIBILITY AND FITNESS FOR A PARTICULAR PURPOSE, OR ARISING FROM A COURSE OF DEALING, USAGE OR TRADE PRACTICE.

Sun source code is provided with no support and without any obligation on the part of Sun Microsystems, Inc. to assist in its use, correction, modification or enhancement.

SUN MICROSYSTEMS, INC. SHALL HAVE NO LIABILITY WITH RESPECT TO THE INFRINGEMENT OF COPYRIGHTS, TRADE SECRETS OR ANY PATENTS BY THIS SOFTWARE OR ANY PART THEREOF.

In no event will Sun Microsystems, Inc. be liable for any lost revenue or profits or other special, indirect and consequential damages, even if Sun has been advised of the possibility of such damages.

Sun Microsystems, Inc.

2550 Garcia Avenue

Mountain View, California 94043


GSM Codec 06.10

Manuel -> Installation et mises à jour -> Open Source licences for several features -> GSM Codec 06.10

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Copyright 1992, 1993, 1994 by Jutta Degener and Carsten Bormann, Technische Universitaet Berlin

Any use of this software is permitted provided that this notice is not removed and that neither the authors nor the Technische Universitaet Berlin are deemed to have made any representations as to the suitability of this software for any purpose nor are held responsible for any defects ofthis software. THERE IS ABSOLUTELY NO WARRANTY FOR THIS SOFTWARE.

As a matter of courtesy, the authors request to be informed about uses this software has found, about bugs in this software, and about any improvements that may be of general interest.

Berlin, 28.11.1994

Jutta Degener

Carsten Bormann


iLBC Codec

Manuel -> Installation et mises à jour -> Open Source licences for several features -> iLBC Codec

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Copyright 2011 The WebRTC project authors

Redistribution and use in source and binary forms, with or without modification, are permitted provided that the following conditions are met:

  • Redistributions of source code must retain the above copyright notice, this list of conditions and the following disclaimer.

  • Redistributions in binary form must reproduce the above copyright notice, this list of conditions and the following disclaimer in the documentation and/or other materials provided with the distribution.

  • Neither the name of Google nor the names of its contributors may be used to endorse or promote products derived from this software without specific prior written permission.

THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS ``AS IS'' AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE FOUNDATION OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.

DWF Toolkit

NOTICE TO USER: THIS LICENSE AGREEMENT ("AGREEMENT") IS A LEGAL AGREEMENT BETWEEN YOU (EITHER AN INDIVIDUAL OR A SINGLE ENTITY) AND AUTODESK, INC. FOR THE RELEASE CANDIDATE VERSION OF THE DWF TOOLKIT, WHICH INCLUDES COMPUTER SOFTWARE AND MAY INCLUDE ASSOCIATED MEDIA, PRINTED MATERIALS AND ONLINE OR ELECTRONIC DOCUMENTATION ("LICENSED SOFTWARE"). BY INSTALLING THE LICENSED SOFTWARE YOU ACCEPT ALL THE TERMS AND CONDITIONS OF THIS AGREEMENT. IF YOU DO NOT AGREE TO BE BOUND BY THE TERMS OF THIS AGREEMENT, DO NOT INSTALL OR USE THE LICENSED SOFTWARE.

  1. LICENSE GRANT

    1.1 Autodesk grants to you ("Licensee") a perpetual, nontransferable, nonexclusive, royalty-free, limited license to:

    1.1.1 (a) Use the Licensed Software for development, testing, research, internal, educational, or commercial purposes.; (b) Modify the Licensed Software to create derivative works and applications, including ports; and (c) Compile the Licensed Software, derivative works and applications prepared in accordance with subsection 1.1.1(b) into binary code. You acknowledge that the Licensed Software is being provided by Autodesk as a courtesy during a "release candidate" period during which Autodesk may perform testing and modifications to the Licensed Software. As such, Autodesk makes no representation or promise that future versions or releases of the Licensed Software will contain identical or substantially similar elements and functions as the version licensed hereunder. Though Autodesk does not currently believe there will be substantial changes to the Licensed Software, Autodesk reserves the right to make any change in accordance with its requirements.

    1.1.2 Reproduce, distribute and sublicense free of charge or for a fee the Licensed Software in binary code form in conjunction with derivative works or applications created by Licensee or licensed from third parties by Licensee, provided, that: (a) Licensee makes no use of Autodesk's trademarks, trade names, or trade dress; (b) In the event Licensee makes any modification to the Licensed Software, Licensee must publish the specification for such modifications for use by third party developers and provide Autodesk with a copy thereof; and (c) The Licensee must sublicense the Licensed Software "as is", without warranty of any kind.

    1.1.3 Reproduce, distribute and sublicense free of charge to sublicensees the source code of the unmodified Licensed Software, provided that (a) Licensee must state in its sublicenses that the Licensed Software is being distributed pursuant to a license granted by Autodesk, Inc.; (b)The terms of sublicenses granted by Licensee must (i) contain all applicable terms of this Agreement, and (ii) not be broader than the terms of the license granted by this Agreement; (c) Licensee must exactly reproduce Autodesk's copyright and other proprietary rights notices which accompany the copy of the Licensed Software licensed by Autodesk to Licensee; and (d) Licensee shall conspicuously state in its sublicenses that the Licensed Software is offered "as is", without warranty of any kind.

    1.1.4 Reproduce, distribute and sublicense the source code of the Licensed Software as modified by Licensee, provided that (a) Licensee must state in its sublicense that the Licensed Software has been modified by Licensee; (b) Licensee must exactly reproduce Autodesk's copyright and other proprietary rights notices which accompany the copy of the Licensed Software licensed by Autodesk to Licensee; (c) As to the unmodified portions of the Licensed Software, the terms of the sublicenses granted by Licensee must (i) contain all applicable terms of this Agreement, and (ii) not be broader than the terms of the license granted by this Agreement; (d) Licensee must conspicuously state in its sublicenses that the original, unmodified portions of the Licensed Software are offered "as is", without warranty of any kind; and (e) Licensee must (i) publish the modified Licensed Software to the Worldwide Web, (ii) make available with the modified Licensed Software documentation which describes in detail the modifications which Licensee has made to the Licensed Software, and (iii) provide to Autodesk a copy of the modified Licensed Software and the documentation.

    1.2 Licensee acquires no right, title, or interest in or to the Licensed Software.

    1.3 Licensee shall retain all rights to any independently developed software, such as applications, developed by or for Licensee.

    1.4 Autodesk is under no obligation to provide maintenance, support, or upgrades for the Licensed Software.

  2. COPYRIGHTS AND TRADEMARKS

    Licensee shall reproduce and apply any copyright or other proprietary rights notices included on or embedded in the Licensed Software to any copies of the Licensed Software or to applications created using the Licensed Software, in any form. Licensee shall have no right to use any Autodesk trademarks, trade names or trade dress absent a separate written agreement between Autodesk and Licensee. Licensee hereby understands and agrees that Autodesk is not granting any rights to Autodesk patents, copyrights, trademarks or trade secret information to Licensee by this Agreement.

  3. FEES

    Use of the Licensed Software in accordance with the terms of this Agreement shall not require payment of a license fee to Autodesk.

  4. TERM AND TERMINATION

    The grant of a perpetual license notwithstanding, Autodesk may immediately terminate this Agreement and revoke the license granted to Licensee upon written notice to Licensee if Licensee fails to comply with any of the terms or conditions of this Agreement. Upon termination of this Agreement, Licensee shall immediately cease using, reproducing and distributing the Licensed Software, the license and rights granted hereunder shall expire, and Licensee shall immediately destroy or return to Autodesk the Licensed Software and all related documentation, materials or copies thereof.

  5. DISCLAIMER OF WARRANTY

    5.1 The Licensed Software is provided "AS IS" and without any warranty of any kind. Autodesk reserves the right to update and make modifications to the Licensed Software in any future release in its sole discretion.

    5.2 AUTODESK DOES NOT MAKE AND HEREBY DISCLAIMS ANY EXPRESS OR IMPLIED WARRANTIES INCLUDING, BUT NOT LIMITED TO, THE WARRANTIES OF NON-INFRINGEMENT, MERCHANTABILITY OR FITNESS FOR A PARTICULAR PURPOSE, OR ARISING FROM A COURSE OF DEALING, USAGE, OR TRADE PRACTICE.

  6. LIMITATION OF LIABILITY

    6.1 In no event will Autodesk be liable for any lost revenues, data, or profits, or special, indirect, or consequential damages, even if Autodesk has been advised of the possibility or probability of such damages. Autodesk's maximum liability for damages shall be limited to the fees, if any, required under Section 3 for the particular Licensed Software which caused the damages.

    6.2 The Licensed Software is not fault-tolerant and is not designed, manufactured, or intended for use or resale as online control equipment in hazardous environments requiring fail-safe performance, such as in the operation of nuclear facilities, aircraft navigation or communication systems, air traffic control, direct life support machines, or weapons systems, in which the failure of the Licensed Software or derived binaries could lead directly to death, personal injury, or severe physical or environmental damage ("High Risk Activities"). Autodesk specifically disclaims any express or implied warranty of fitness for High Risk Activities. Licensee will not knowingly use, distribute, or sublicense the Licensed Software or derived binaries for High Risk Activities and will ensure that its customers and end-users of Licensee's products are provided with a copy of the notice specified in the first sentence of this Section 6.2.

  7. PROPRIETARY INFORMATION

    The Licensed Software is the proprietary information of Autodesk, Inc. ("Confidential Information"). Except as permitted by this Agreement, Licensee shall not disclose Confidential Information and shall use it only for purposes specifically contemplated by this Agreement. This Agreement will not affect any non-disclosure agreement between the parties.

  8. EXPORT

    Unless properly authorized by the U.S. Government, Licensee shall not export, re-export or transfer, whether directly or indirectly, the Licensed Software or binary derivative or direct products thereof, to any person or company who is (a) present in or controlled by a legal resident of any proscribed country listed in the U.S. Export Administration Regulations (or any equivalent thereof ), or (b) a person or entity named in the entity lists, denied persons lists or specially designated nationals lists maintained by the U.S. Government.

  9. U.S. GOVERNMENT RESTRICTED RIGHTS

    This Licensed Software is provided with RESTRICTED RIGHTS. Use, duplication, or disclosure by the Government is subject to restrictions as set forth in subparagraph (c)(1)(ii) of the Rights in Technical Data and Computer Software Clause as DFARS 252.227-7013 and FAR 52.227-19 as applicable. Manufacturer is Autodesk, Inc., 111 McInnis Parkway, San Rafael, California 94903.

  10. GOVERNING LAW

    Any action related to this Agreement will be governed by California law, excluding choice of law rules.

Helix Toolkit

Copyright (c) 2012 Helix Toolkit contributors

Permission is hereby granted, free of charge, to any person obtaining a

copy of this software and associated documentation files (the

"Software"), to deal in the Software without restriction, including

without limitation the rights to use, copy, modify, merge, publish,

distribute, sublicense, and/or sell copies of the Software, and to

permit persons to whom the Software is furnished to do so, subject to

the following conditions:

The above copyright notice and this permission notice shall be included

in all copies or substantial portions of the Software.

THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS

OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF

MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT.

IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY

CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT,

TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE

SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.

Open CASCADE Technology

Licensing

Open CASCADE Technology version 6.7.0 and later are governed by GNU Lesser General Public License (LGPL) version 2.1 with additional exception.

Note: A specific license is applied to Open CASCADE Technology version 6.6.0 and earlier.

GNU LESSER GENERAL PUBLIC LICENSE

Version 2.1, February 1999

Copyright (C) 1991, 1999 Free Software Foundation, Inc. 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA. Everyone is permitted to copy and distribute verbatim copies of this license document, but changing it is not allowed.

[This is the first released version of the Lesser GPL. It also counts as the successor of the GNU Library Public License, version 2, hence the version number 2.1.]

PREAMBULE

The licenses for most software are designed to take away your freedom to share and change it. By contrast, the GNU General Public Licenses are intended to guarantee your freedom to share and change free software–to make sure the software is free for all its users.

This license, the Lesser General Public License, applies to some specially designated software packages–typically libraries–of the Free Software Foundation and other authors who decide to use it. You can use it too, but we suggest you first think carefully about whether this license or the ordinary General Public License is the better strategy to use in any particular case, based on the explanations below.

When we speak of free software, we are referring to freedom of use, not price. Our General Public Licenses are designed to make sure that you have the freedom to distribute copies of free software (and charge for this service if you wish); that you receive source code or can get it if you want it; that you can change the software and use pieces of it in new free programs; and that you are informed that you can do these things.

To protect your rights, we need to make restrictions that forbid distributors to deny you these rights or to ask you to surrender these rights. These restrictions translate to certain responsibilities for you if you distribute copies of the library or if you modify it.

For example, if you distribute copies of the library, whether gratis or for a fee, you must give the recipients all the rights that we gave you. You must make sure that they, too, receive or can get the source code. If you link other code with the library, you must provide complete object files to the recipients, so that they can relink them with the library after making changes to the library and recompiling it. And you must show them these terms so they know their rights.

We protect your rights with a two-step method: (1) we copyright the library, and (2) we offer you this license, which gives you legal permission to copy, distribute and/or modify the library. To protect each distributor, we want to make it very clear that there is no warranty for the free library. Also, if the library is modified by someone else and passed on, the recipients should know that what they have is not the original version, so that the original author's reputation will not be affected by problems that might be introduced by others.

Finally, software patents pose a constant threat to the existence of any free program. We wish to make sure that a company cannot effectively restrict the users of a free program by obtaining a restrictive license from a patent holder. Therefore, we insist that any patent license obtained for a version of the library must be consistent with the full freedom of use specified in this license.

Most GNU software, including some libraries, is covered by the ordinary GNU General Public License. This license, the GNU Lesser General Public License, applies to certain designated libraries, and is quite different from the ordinary General Public License. We use this license for certain libraries in order to permit linking those libraries into non-free programs.

When a program is linked with a library, whether statically or using a shared library, the combination of the two is legally speaking a combined work, a derivative of the original library. The ordinary General Public License therefore permits such linking only if the entire combination fits its criteria of freedom. The Lesser General Public License permits more lax criteria for linking other code with the library.

We call this license the "Lesser" General Public License because it does Less to protect the user's freedom than the ordinary General Public License. It also provides other free software developers Less of an advantage over competing non-free programs. These disadvantages are the reason we use the ordinary General Public License for many libraries. However, the Lesser license provides advantages in certain special circumstances.

For example, on rare occasions, there may be a special need to encourage the widest possible use of a certain library, so that it becomes a de-facto standard. To achieve this, non-free programs must be allowed to use the library. A more frequent case is that a free library does the same job as widely used non-free libraries. In this case, there is little to gain by limiting the free library to free software only, so we use the Lesser General Public License.

In other cases, permission to use a particular library in non-free programs enables a greater number of people to use a large body of free software. For example, permission to use the GNU C Library in non-free programs enables many more people to use the whole GNU operating system, as well as its variant, the GNU/Linux operating system.

Although the Lesser General Public License is Less protective of the users' freedom, it does ensure that the user of a program that is linked with the Library has the freedom and the wherewithal to run that program using a modified version of the Library.

The precise terms and conditions for copying, distribution and modification follow. Pay close attention to the difference between a "work based on the library" and a "work that uses the library". The former contains code derived from the library, whereas the latter must be combined with the library in order to run.

TERMS AND CONDITIONS FOR COPYING, DISTRIBUTION AND MODIFICATION

0. This License Agreement applies to any software library or other program which contains a notice placed by the copyright holder or other authorized party saying it may be distributed under the terms of this Lesser General Public License (also called "this License"). Each licensee is addressed as "you".

A "library" means a collection of software functions and/or data prepared so as to be conveniently linked with application programs (which use some of those functions and data) to form executables.

The "Library", below, refers to any such software library or work which has been distributed under these terms. A "work based on the Library" means either the Library or any derivative work under copyright law: that is to say, a work containing the Library or a portion of it, either verbatim or with modifications and/or translated straightforwardly into another language. (Hereinafter, translation is included without limitation in the term "modification".)

"Source code" for a work means the preferred form of the work for making modifications to it. For a library, complete source code means all the source code for all modules it contains, plus any associated interface definition files, plus the scripts used to control compilation and installation of the library.

Activities other than copying, distribution and modification are not covered by this License; they are outside its scope. The act of running a program using the Library is not restricted, and output from such a program is covered only if its contents constitute a work based on the Library (independent of the use of the Library in a tool for writing it). Whether that is true depends on what the Library does and what the program that uses the Library does.

1. You may copy and distribute verbatim copies of the Library's complete source code as you receive it, in any medium, provided that you conspicuously and appropriately publish on each copy an appropriate copyright notice and disclaimer of warranty; keep intact all the notices that refer to this License and to the absence of any warranty; and distribute a copy of this License along with the Library.

You may charge a fee for the physical act of transferring a copy, and you may at your option offer warranty protection in exchange for a fee.

2. You may modify your copy or copies of the Library or any portion of it, thus forming a work based on the Library, and copy and distribute such modifications or work under the terms of Section 1 above, provided that you also meet all of these conditions:

a) The modified work must itself be a software library.

b) You must cause the files modified to carry prominent notices stating that you changed the files and the date of any change.

c) You must cause the whole of the work to be licensed at no charge to all third parties under the terms of this License.

d) If a facility in the modified Library refers to a function or a table of data to be supplied by an application program that uses the facility, other than as an argument passed when the facility is invoked, then you must make a good faith effort to ensure that, in the event an application does not supply such function or table, the facility still operates, and performs whatever part of its purpose remains meaningful.

(For example, a function in a library to compute square roots has a purpose that is entirely well-defined independent of the application. Therefore, Subsection 2d requires that any application-supplied function or table used by this function must be optional: if the application does not supply it, the square root function must still compute square roots.)

These requirements apply to the modified work as a whole. If identifiable sections of that work are not derived from the Library, and can be reasonably considered independent and separate works in themselves, then this License, and its terms, do not apply to those sections when you distribute them as separate works. But when you distribute the same sections as part of a whole which is a work based on the Library, the distribution of the whole must be on the terms of this License, whose permissions for other licensees extend to the entire whole, and thus to each and every part regardless of who wrote it.

Thus, it is not the intent of this section to claim rights or contest your rights to work written entirely by you; rather, the intent is to exercise the right to control the distribution of derivative or collective works based on the Library.

In addition, mere aggregation of another work not based on the Library with the Library (or with a work based on the Library) on a volume of a storage or distribution medium does not bring the other work under the scope of this License.

3. You may opt to apply the terms of the ordinary GNU General Public License instead of this License to a given copy of the Library. To do this, you must alter all the notices that refer to this License, so that they refer to the ordinary GNU General Public License, version 2, instead of to this License. (If a newer version than version 2 of the ordinary GNU General Public License has appeared, then you can specify that version instead if you wish.) Do not make any other change in these notices.

Once this change is made in a given copy, it is irreversible for that copy, so the ordinary GNU General Public License applies to all subsequent copies and derivative works made from that copy.

This option is useful when you wish to copy part of the code of the Library into a program that is not a library.

4. You may copy and distribute the Library (or a portion or derivative of it, under Section 2) in object code or executable form under the terms of Sections 1 and 2 above provided that you accompany it with the complete corresponding machine-readable source code, which must be distributed under the terms of Sections 1 and 2 above on a medium customarily used for software interchange.

If distribution of object code is made by offering access to copy from a designated place, then offering equivalent access to copy the source code from the same place satisfies the requirement to distribute the source code, even though third parties are not compelled to copy the source along with the object code.

5. A program that contains no derivative of any portion of the Library, but is designed to work with the Library by being compiled or linked with it, is called a "work that uses the Library". Such a work, in isolation, is not a derivative work of the Library, and therefore falls outside the scope of this License.

However, linking a "work that uses the Library" with the Library creates an executable that is a derivative of the Library (because it contains portions of the Library), rather than a "work that uses the library". The executable is therefore covered by this License. Section 6 states terms for distribution of such executables.

When a "work that uses the Library" uses material from a header file that is part of the Library, the object code for the work may be a derivative work of the Library even though the source code is not. Whether this is true is especially significant if the work can be linked without the Library, or if the work is itself a library. The threshold for this to be true is not precisely defined by law.

If such an object file uses only numerical parameters, data structure layouts and accessors, and small macros and small inline functions (ten lines or less in length), then the use of the object file is unrestricted, regardless of whether it is legally a derivative work. (Executables containing this object code plus portions of the Library will still fall under Section 6.)

Otherwise, if the work is a derivative of the Library, you may distribute the object code for the work under the terms of Section 6. Any executables containing that work also fall under Section 6, whether or not they are linked directly with the Library itself.

6. As an exception to the Sections above, you may also combine or link a "work that uses the Library" with the Library to produce a work containing portions of the Library, and distribute that work under terms of your choice, provided that the terms permit modification of the work for the customer's own use and reverse engineering for debugging such modifications.

You must give prominent notice with each copy of the work that the Library is used in it and that the Library and its use are covered by this License. You must supply a copy of this License. If the work during execution displays copyright notices, you must include the copyright notice for the Library among them, as well as a reference directing the user to the copy of this License. Also, you must do one of these things:

a) Accompany the work with the complete corresponding machine-readable source code for the Library including whatever changes were used in the work (which must be distributed under Sections 1 and 2 above); and, if the work is an executable linked with the Library, with the complete machine-readable "work that uses the Library", as object code and/or source code, so that the user can modify the Library and then relink to produce a modified executable containing the modified Library. (It is understood that the user who changes the contents of definitions files in the Library will not necessarily be able to recompile the application to use the modified definitions.)

b) Use a suitable shared library mechanism for linking with the Library. A suitable mechanism is one that (1) uses at run time a copy of the library already present on the user's computer system, rather than copying library functions into the executable, and (2) will operate properly with a modified version of the library, if the user installs one, as long as the modified version is interface-compatible with the version that the work was made with.

c) Accompany the work with a written offer, valid for at least three years, to give the same user the materials specified in Subsection 6a, above, for a charge no more than the cost of performing this distribution.

d) If distribution of the work is made by offering access to copy from a designated place, offer equivalent access to copy the above specified materials from the same place.

e) Verify that the user has already received a copy of these materials or that you have already sent this user a copy.

For an executable, the required form of the "work that uses the Library" must include any data and utility programs needed for reproducing the executable from it. However, as a special exception, the materials to be distributed need not include anything that is normally distributed (in either source or binary form) with the major components (compiler, kernel, and so on) of the operating system on which the executable runs, unless that component itself accompanies the executable.

It may happen that this requirement contradicts the license restrictions of other proprietary libraries that do not normally accompany the operating system. Such a contradiction means you cannot use both them and the Library together in an executable that you distribute.

7. You may place library facilities that are a work based on the Library side-by-side in a single library together with other library facilities not covered by this License, and distribute such a combined library, provided that the separate distribution of the work based on the Library and of the other library facilities is otherwise permitted, and provided that you do these two things:

a) Accompany the combined library with a copy of the same work based on the Library, uncombined with any other library facilities. This must be distributed under the terms of the Sections above.

b) Give prominent notice with the combined library of the fact that part of it is a work based on the Library, and explaining where to find the accompanying uncombined form of the same work.

8. You may not copy, modify, sublicense, link with, or distribute the Library except as expressly provided under this License. Any attempt otherwise to copy, modify, sublicense, link with, or distribute the Library is void, and will automatically terminate your rights under this License. However, parties who have received copies, or rights, from you under this License will not have their licenses terminated so long as such parties remain in full compliance.

9. You are not required to accept this License, since you have not signed it. However, nothing else grants you permission to modify or distribute the Library or its derivative works. These actions are prohibited by law if you do not accept this License. Therefore, by modifying or distributing the Library (or any work based on the Library), you indicate your acceptance of this License to do so, and all its terms and conditions for copying, distributing or modifying the Library or works based on it.

10. Each time you redistribute the Library (or any work based on the Library), the recipient automatically receives a license from the original licensor to copy, distribute, link with or modify the Library subject to these terms and conditions. You may not impose any further restrictions on the recipients' exercise of the rights granted herein. You are not responsible for enforcing compliance by third parties with this License.

11. If, as a consequence of a court judgment or allegation of patent infringement or for any other reason (not limited to patent issues), conditions are imposed on you (whether by court order, agreement or otherwise) that contradict the conditions of this License, they do not excuse you from the conditions of this License. If you cannot distribute so as to satisfy simultaneously your obligations under this License and any other pertinent obligations, then as a consequence you may not distribute the Library at all. For example, if a patent license would not permit royalty-free redistribution of the Library by all those who receive copies directly or indirectly through you, then the only way you could satisfy both it and this License would be to refrain entirely from distribution of the Library.

If any portion of this section is held invalid or unenforceable under any particular circumstance, the balance of the section is intended to apply, and the section as a whole is intended to apply in other circumstances.

It is not the purpose of this section to induce you to infringe any patents or other property right claims or to contest validity of any such claims; this section has the sole purpose of protecting the integrity of the free software distribution system which is implemented by public license practices. Many people have made generous contributions to the wide range of software distributed through that system in reliance on consistent application of that system; it is up to the author/donor to decide if he or she is willing to distribute software through any other system and a licensee cannot impose that choice.

This section is intended to make thoroughly clear what is believed to be a consequence of the rest of this License.

12. If the distribution and/or use of the Library is restricted in certain countries either by patents or by copyrighted interfaces, the original copyright holder who places the Library under this License may add an explicit geographical distribution limitation excluding those countries, so that distribution is permitted only in or among countries not thus excluded. In such case, this License incorporates the limitation as if written in the body of this License.

13. The Free Software Foundation may publish revised and/or new versions of the Lesser General Public License from time to time. Such new versions will be similar in spirit to the present version, but may differ in detail to address new problems or concerns.

Each version is given a distinguishing version number. If the Library specifies a version number of this License which applies to it and "any later version", you have the option of following the terms and conditions either of that version or of any later version published by the Free Software Foundation. If the Library does not specify a license version number, you may choose any version ever published by the Free Software Foundation.

14. If you wish to incorporate parts of the Library into other free programs whose distribution conditions are incompatible with these, write to the author to ask for permission. For software which is copyrighted by the Free Software Foundation, write to the Free Software Foundation; we sometimes make exceptions for this. Our decision will be guided by the two goals of preserving the free status of all derivatives of our free software and of promoting the sharing and reuse of software generally.

NO WARRANTY

15. BECAUSE THE LIBRARY IS LICENSED FREE OF CHARGE, THERE IS NO WARRANTY FOR THE LIBRARY, TO THE EXTENT PERMITTED BY APPLICABLE LAW. EXCEPT WHEN OTHERWISE STATED IN WRITING THE COPYRIGHT HOLDERS AND/OR OTHER PARTIES PROVIDE THE LIBRARY "AS IS" WITHOUT WARRANTY OF ANY KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE. THE ENTIRE RISK AS TO THE QUALITY AND PERFORMANCE OF THE LIBRARY IS WITH YOU. SHOULD THE LIBRARY PROVE DEFECTIVE, YOU ASSUME THE COST OF ALL NECESSARY SERVICING, REPAIR OR CORRECTION.

16. IN NO EVENT UNLESS REQUIRED BY APPLICABLE LAW OR AGREED TO IN WRITING WILL ANY COPYRIGHT HOLDER, OR ANY OTHER PARTY WHO MAY MODIFY AND/OR REDISTRIBUTE THE LIBRARY AS PERMITTED ABOVE, BE LIABLE TO YOU FOR DAMAGES, INCLUDING ANY GENERAL, SPECIAL, INCIDENTAL OR CONSEQUENTIAL DAMAGES ARISING OUT OF THE USE OR INABILITY TO USE THE LIBRARY (INCLUDING BUT NOT LIMITED TO LOSS OF DATA OR DATA BEING RENDERED INACCURATE OR LOSSES SUSTAINED BY YOU OR THIRD PARTIES OR A FAILURE OF THE LIBRARY TO OPERATE WITH ANY OTHER SOFTWARE), EVEN IF SUCH HOLDER OR OTHER PARTY HAS BEEN ADVISED OF THE POSSIBILITY OF SUCH DAMAGES.

END OF TERMS AND CONDITIONS

Open CASCADE Exception (version 1.0) to GNU LGPL version 2.1.

The object code (i.e. not a source) form of a "work that uses the Library" can incorporate material from a header file that is part of the Library. As a special exception to the GNU Lesser General Public License version 2.1, you may distribute such object code incorporating material from header files provided with the Open CASCADE Technology libraries (including code of CDL generic classes) under terms of your choice, provided that you give prominent notice in supporting documentation to this code that it makes use of or is based on facilities provided by the Open CASCADE Technology software.

SharpDX

Copyright (c) 2010-2015 SharpDX - Alexandre Mutel

Permission is hereby granted, free of charge, to any person obtaining a copy

of this software and associated documentation files (the "Software"), to deal

in the Software without restriction, including without limitation the rights

to use, copy, modify, merge, publish, distribute, sublicense, and/or sell

copies of the Software, and to permit persons to whom the Software is

furnished to do so, subject to the following conditions:

The above copyright notice and this permission notice shall be included in

all copies or substantial portions of the Software.

THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR

IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,

FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE

AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER

LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,

OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN

THE SOFTWARE.

GMap.NET

The MIT License (MIT)

Copyright (c) FLAT EARTH. This software can access some map providers and may viotile their Terms of Service, you use it at your own risk, nothing is forcing you to accept this ;} Source itself is legal!

Permission is hereby granted, free of charge, to any person obtaining a copy of this software and associated documentation files (the "Software"), to deal in the Software without restriction, including without limitation the rights to use, copy, modify, merge, publish, distribute, sublicense, and/or sell copies of the Software, and to permit persons to whom the Software is furnished to do so, subject to the following conditions:

The above copyright notice and this permission notice shall be included in all copies or substantial portions of the Software.

THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.

System.Data.SQLite Copyright

All files in the "System.Data.SQLite.Linq/SQL Generation" directory (within the source tree) are covered by the Microsoft Public License (MS-PL). These files end up being compiled into both the "System.Data.SQLite.Linq" and "System.Data.SQLite.EF6" assemblies.

All other code and documentation in System.Data.SQLite has been dedicated to the public domain by the authors. All code authors, and representatives of the companies they work for, have signed affidavits dedicating their contributions to the public domain and originals of those signed affidavits are stored in a firesafe at the main offices of Hwaci. Anyone is free to copy, modify, publish, use, compile, sell, or distribute the original System.Data.SQLite code, either in source code form or as a compiled binary, for any purpose, commercial or non-commercial, and by any means.

Obtaining An Explicit License To Use System.Data.SQLite

Even though System.Data.SQLite is in the public domain and does not require a license, some users want to obtain a license anyway. Some reasons for obtaining a license include:

  • You are using System.Data.SQLite in a jurisdiction that does not recognize the public domain.
  • You are using System.Data.SQLite in a jurisdiction that does not recognize the right of an author to dedicate their work to the public domain.
  • You want to hold a tangible legal document as evidence that you have the legal right to use and distribute System.Data.SQLite.
  • Your legal department tells you that you have to purchase a license.

If you feel like you really have to purchase a license for System.Data.SQLite, Hwaci, the company that employs the architect and principal developers of System.Data.SQLite, will sell you one.

Contributed Code

In order to keep System.Data.SQLite completely free and unencumbered by copyright, all new contributors to the System.Data.SQLite code base are asked to dedicate their contributions to the public domain. If you want to send a patch or enhancement for possible inclusion in the System.Data.SQLite source tree, please accompany the patch with the following statement:

The author or authors of this code dedicate any and all copyright interest in this code to the public domain. We make this dedication for the benefit of the public at large and to the detriment of our heirs and successors. We intend this dedication to be an overt act of relinquishment in perpetuity of all present and future rights to this code under copyright law.

We are not able to accept patches or changes to System.Data.SQLite that are not accompanied by a statement such as the above. In addition, if you make changes or enhancements as an employee, then a simple statement such as the above is insufficient. You must also send by surface mail a copyright release signed by a company officer. A signed original of the copyright release should be mailed to:

Hwaci
6200 Maple Cove Lane
Charlotte, NC 28269
USA

A template copyright release is available in PDF or HTML. You can use this release to make future changes.

NLog 4.4.0 License

Copyright (c) 2004-2016 Jaroslaw Kowalski <jaak@jkowalski.net>, Kim Christensen, Julian Verdurmen All rights reserved. Redistribution and use in source and binary forms, with or without modification, are permitted provided that the following conditions are met:

  • Redistributions of source code must retain the above copyright notice, this list of conditions and the following disclaimer.
  • Redistributions in binary form must reproduce the above copyright notice, this list of conditions and the following disclaimer in the documentation and/or other materials provided with the distribution.
  • Neither the name of Jaroslaw Kowalski nor the names of its contributors may be used to endorse or promote products derived from this software without specific prior written permission.

THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.

SharpDevelop 5.1.0

The MIT License

SPDX short identifier: MIT

Copyright <YEAR> <COPYRIGHT HOLDER>

Permission is hereby granted, free of charge, to any person obtaining a copy of this software and associated documentation files (the "Software"), to deal in the Software without restriction, including without limitation the rights to use, copy, modify, merge, publish, distribute, sublicense, and/or sell copies of the Software, and to permit persons to whom the Software is furnished to do so, subject to the following conditions:

The above copyright notice and this permission notice shall be included in all copies or substantial portions of the Software.

THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.

Mono.AddIns 1.3

The MIT License

Copyright (C) 2007 Novell, Inc (http://www.novell.com)

Copyright (C) 2012 Xamarin Inc

Permission is hereby granted, free of charge, to any person obtaining a copy of this software and associated documentation files (the "Software"), to deal in the Software without restriction, including without limitation the rights to use, copy, modify, merge, publish, distribute, sublicense, and/or sell copies of the Software, and to permit persons to whom the Software is furnished to do so, subject to the following conditions:

The above copyright notice and this permission notice shall be included in all copies or substantial portions of the Software.

THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.

Mono.Cecil 0.9.6.4

Mono.Cecil is licensed under the MIT/X11:

Copyright (c) 2008 - 2011, Jb Evain

Permission is hereby granted, free of charge, to any person obtaining a copy of this software and associated documentation files (the "Software"), to deal in the Software without restriction, including without limitation the rights to use, copy, modify, merge, publish, distribute, sublicense, and/or sell copies of the Software, and to permit persons to whom the Software is furnished to do so, subject to the following conditions:

The above copyright notice and this permission notice shall be included in all copies or substantial portions of the Software.

THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.

The MIT/X11 is a permissive license, which is GPL compatible, and allows usage within proprietary software as long as this license is distributed along with the software.

WPF Application Framework (WAF) 3.2.0

Microsoft Public License (Ms-PL)

This license governs use of the accompanying software. If you use the software, you accept this license. If you do not accept the license, do not use the software.

  1. Definitions

    The terms "reproduce," "reproduction," "derivative works," and "distribution" have the same meaning here as under U.S. copyright law.
    A "contribution" is the original software, or any additions or changes to the software.
    A "contributor" is any person that distributes its contribution under this license.
    "Licensed patents" are a contributor's patent claims that read directly on its contribution.

  2. Grant of Rights

    (A) Copyright Grant- Subject to the terms of this license, including the license conditions and limitations in section 3, each contributor grants you a non-exclusive, worldwide, royalty-free copyright license to reproduce its contribution, prepare derivative works of its contribution, and distribute its contribution or any derivative works that you create.
    (B) Patent Grant- Subject to the terms of this license, including the license conditions and limitations in section 3, each contributor grants you a non-exclusive, worldwide, royalty-free license under its licensed patents to make, have made, use, sell, offer for sale, import, and/or otherwise dispose of its contribution in the software or derivative works of the contribution in the software.

  3. Conditions and Limitations

    (A) No Trademark License- This license does not grant you rights to use any contributors' name, logo, or trademarks.
    (B) If you bring a patent claim against any contributor over patents that you claim are infringed by the software, your patent license from such contributor to the software ends automatically.
    (C) If you distribute any portion of the software, you must retain all copyright, patent, trademark, and attribution notices that are present in the software.
    (D) If you distribute any portion of the software in source code form, you may do so only under this license by including a complete copy of this license with your distribution. If you distribute any portion of the software in compiled or object code form, you may only do so under a license that complies with this license.
    (E) The software is licensed "as-is." You bear the risk of using it. The contributors give no express warranties, guarantees or conditions. You may have additional consumer rights under your local laws which this license cannot change. To the extent permitted under your local laws, the contributors exclude the implied warranties of merchantability, fitness for a particular purpose and non-infringement.


Interface SAP

Manuel -> Interface SAP

Pour connecter le niveau SAP ERP (Enterprise Resource Planning) au niveau procédé de zenon, les deux programmes communiquent au moyen d’une interface bidirectionnelle. Ceci offre aux utilisateurs SAP un accès direct au niveau procédé de zenon.

Le système de contrôle peut être configuré pour envoyer des messages concernant tous les types d’événements à l’application SAP. Les entreprises peuvent établir une liaison directe entre le niveau procédé et le niveau ERP par le biais d’une boucle fermée, et obtenir ainsi une vue d’ensemble complète de tous les procédés. Ceci leur permet par exemple de suivre la gestion des entrepôts en temps réel, car le système de contrôle au niveau SCADA fournit des données exactes concernant la consommation réelle de ressources. Avec ces données, les entreprises peuvent obtenir des données de base importantes pour leur production ponctuelle et à long terme.

zenon fournit un module de communication intégré, qui autorise le transfert direct de données de procédé vers l’application SAP ERP, et permet d’appeler les fonctions de zenon directement depuis l’application SAP. Dans un environnement SAP, ces données sont entre autres utilisées pour les tâches suivantes :

  • Transmission de l’état des commandes de procédés
  • Informations relatives à la consommation et la production de matériaux
  • Informations relatives à l’état des ressources
  • Transmission d’événements de procédé sélectionnés
  • Transfert des données d’ordre vers zenon

Les messages de procédés dans SAP peuvent être utilisés pour des tâches telles que la création de lots électroniques et de protocoles d’exploitation, ou pour l’actualisation de commandes de procédés ou de stocks de matériaux.

tutorial Informations concernant la licence

Ces fonctions ou modules doivent disposer d'une licence pour Editor et le Runtime (autonome, serveur, veille).

Interactions

  • Message de maintenance : Les messages de maintenance peuvent être créés à partir de variables dans zenon et transmis au système SAP. Ces rapports peuvent ensuite déclencher d’autres actions dans le système SAP, en fonction des flux de travail qui y sont définis.
    Par exemple, un message de maintenance peut automatiquement déclencher la création d’une tâche de maintenance pour l’équipement affecté.
  • Documents de mesure : Dans zenon, il est possible de mesurer les valeurs des variables de procédés en fonction des calendriers, puis de transférer ces valeurs vers le système SAP sous la forme de relevés de mesures. Ces documents de mesure peuvent être utilisés dans le système SAP pour la planification et la création de tâches de maintenance, mais également à des fins statistiques.
  • Appels de fonctions : Les Bloc fonctionnel SAP peuvent être appelés depuis zenon et exécutés dans le Runtime. La fonction SAP de zenon contient une liste d’objets qui affichent les paramètres et les tables du Bloc fonctionnel SAP.
  • Programmes serveur : Appel de fonctions de zenon depuis une application SAP. Par exemple, pour transférer des données vers zenon.

Autres sujets abordés dans ce chapitre

Principes de base et exigences

Configuration dans Editor


Principes de base et exigences

Manuel -> Interface SAP -> Principes de base et exigences

Pour pouvoir utiliser la fonction d’intégration directe à l’environnement SAP, l’ordinateur exécutant zenon doit, en plus de zenon, disposer de l’SAP GUI. Les bibliothèques de programmes incluses dans l’SAP GUI SAP sont nécessaires pour établir des communications avec un système SAP. Cette SAP GUI est fournie avec SAP.

Aucune autre configuration n’est requise au niveau de SAP. L’installation de l’SAP GUI suffit à autoriser les échanges de données. Les autres paramètres peuvent être saisis directement dans l’environnement de zenon Editor.

info Informations

L’intégration de SAP dans zenon repose sur SAP ECC 6.0 avec le scénario PM-PCS 4.0.

Exigences dans zenon

zenon doit comporter une licence pour le module d’interface utilisateur de SAP.

Blocs fonctionnels

Par le biais de l’interface RFC, les actions dans le système SAP sont exécutées par l’appel de blocs fonctionnels (appelés Bloc fonctionnel SAP). Ces blocs fonctionnels standard sont fournis avec le système SAP. Des blocs fonctionnels définis par l’utilisateur peuvent également être programmés par l’intermédiaire de l’outil ABAP Workbench. ABAP est un langage de programmation développé par SAP?; il est utilisé pour tous les blocs fonctionnels du système SAP. L’intégration dans zenon est actuellement limitée aux blocs fonctionnels standard fournis par SAP. Toutefois, une interface flexible a été créée dans le système de contrôle, autorisant ainsi l’intégration de blocs fonctionnels spécifiques à chaque client.

Les descriptions complètes des blocs fonctionnels avec leurs paramètres, des tables internes et des structures utilisées peuvent être lues depuis le système SAP par l’intermédiaire des fonctions de l’API RFC ou de différentes fonctions de zenon.

Programmes client et programmes serveur

Les applications SAP établissent une distinction enter les programmes client et les programmes serveur lors de l’appel de modules fonctionnels :

  • Programme client : Appelé par un système externe (par exemple, une autre application SAP) ou une application externe (par ex. zenon) et exécuté dans l’application SAP.
  • Programme serveur : Appelé par l’application SAP sur un autre système ou un système externe. Le système externe exécute la fonction.

Autres sujets abordés dans ce chapitre

Rapports de maintenance

Relevés de mesure

Appels fonction

Programmes serveur


Rapports de maintenance

Manuel -> Interface SAP -> Principes de base et exigences -> Rapports de maintenance

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Le système de planification doit être informé à tout instant des dysfonctionnements, des périodes d'indisponibilité et autres. Les indicateurs de productivité peuvent uniquement être calculés correctement lorsque les périodes de disponibilité et d'indisponibilité correspondantes sont connues. Le système SAP utilise les messages de maintenance à cette fin.

Chaque message de maintenance défini dans zenon pour une variable de procédé peut être configuré sous forme de rapport de dysfonctionnement. Les messages importants sont généralement documentés dans SAP. "Importants" signifie que les messages nécessitent l'exécution de services de maintenance pour être résolus.

Les messages de maintenance sont générés à partir des alarmes de zenon. Lorsqu'une alarme existe pour l'une des variables liées à l'élément, un message de maintenance sera créé dans le module de maintenance du système SAP. Si un événement validé existe pour une alarme, le message de maintenance sera acquis par l'intermédiaire du numéro de document, et l'horodatage de l'événement validé sera enregistré.

Pour chaque type de message provenant de SAP, vous pouvez créer un groupe de messages personnalisé dans zenon. La propriété la plus significative d'un message dans le système SAP est appelée Type de notification. Cette propriété définit de quelle manière le message sera traité dans le flux de travail du système SAP. Le système SAP propose des types de notification prédéfinis. Si vous ne spécifiez pas un des types de notification prédéfinis lorsque vous tentez de créer un message de maintenance, le système SAP ne créera pas un message de maintenance, mais affichera un message d'erreur.

info Informations

Vous pouvez également choisir de définir un site de maintenance et un rapporteur pour chaque message de maintenance. Si vous ne spécifiez pas un site ou un rapporteur, le système SAP insérera des valeurs par défaut.

Chaque message de maintenance fait référence à une partie de l'installation définie dans le système SAP. Cette partie de l'installation peut être un emplacement fonctionnel ou un équipement. Chaque emplacement fonctionnel peut à son tour contenir des emplacements fonctionnels et/ou des équipements.

Chaque emplacement fonctionnel et chaque équipement possèdent un identifiant unique, qui doit être spécifié lors de la création d'un rapport de dysfonctionnement. L'identifiant des emplacements fonctionnels et des équipements est issu de l'identifiant de ressource des variables liées. Via la propriété Emplacement fonctionnel/Équipement, vous pouvez spécifier si l'identifiant de ressource doit être interprété en tant qu'identifiant d'un emplacement fonctionnel ou d'un équipement.

Vous pouvez maintenant lier des variables aux messages de maintenance que vous venez de définir. Si une alarme existe pour l'une des variables liées, un message de maintenance sera créé dans le système SAP sur la base des paramètres définis, de la valeur et du texte de limite de la variable.

Les messages de maintenance reçoivent un numéro de document unique dans le système SAP ; celui-ci sera enregistré sous forme de commentaire dans l'entrée d'alarme de la variable de zenon. Ceci vous permet de lier l'événement d'alarme au numéro de document dans le message de maintenance dans le système SAP.

attention Attention

SI une alarme comporte un texte de limite dynamique, le champ de commentaire de l'entrée n'est pas disponible ; au lieu de cela, une entrée sera créée dans la liste chronologique d'événements, permettant de lier l'alarme au numéro de document.

Autres sujets abordés dans ce chapitre

Principes techniques


Principes techniques

Manuel -> Interface SAP -> Principes de base et exigences -> Rapports de maintenance -> Principes techniques

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Les messages de maintenance dans le système SAP sont créés en exécutant les blocs fonctionnels BAPI_ALM_NOTIF_CREATE et BAPI_ALM_NOTIF_SAVE. Si l’alarme est validée, l’heure de validation sera insérée dans le message de maintenance préalablement créé par l’exécution des blocs fonctionnels BAPI_ALM_NOTIF_DATA_MODIFY et BAPI_ALM_NOTIF_SAVE.

Ces blocs fonctionnels sont créés dans le système SAP durant l’installation standard du module de maintenance, et sont dès lors disponibles pour les applications externes.

attention Attention

En raison des adaptations individuelles du système SAP aux exigences de clients spécifiques, il est possible que ces blocs fonctionnels ne soient plus disponibles?! Dans ce cas, le système SAP renverra le message d’erreur FU_NOT_FOUND.

Si l’événement Alarme validée se présente dans zenon pour l’une des variables liées, le message de maintenance associé à l’alarme sera recherché (au moyen du numéro de document) et l’heure de validation du dysfonctionnement sera insérée. Ceci se produit lors de l’exécution du bloc fonctionnel BAPI_ALM_NOTIF_DATA_MODIFY. Le numéro de document du message de maintenance est transmis au bloc fonctionnel avec le paramètre NUMBER . Les valeurs des champs devant être modifiés sont spécifiées dans le paramètre NOTIFHEADER ?; les champs devant être modifiés sont identifiés par des drapeaux dans le paramètre NOTIF .

Le rapport de maintenance modifié est alors enregistré dans la base de données SAP en appelant les blocs fonctionnels ALM_ et BAPI_TRANSACTION_COMMIT.


Relevés de mesure

Manuel -> Interface SAP -> Principes de base et exigences -> Relevés de mesure

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Dans les applications SAP, les valeurs mesurées décrivent un état spécifique d'un système de production à un instant donné du flux du procédé. Toute variable existant dans zenon peut être définie en tant que document de mesure. Ceci autorise le transfert de données indépendantes des protocoles issues du procédé en temps réel vers le niveau de gestion supérieur.

Dans de nombreux cas, il est plus intéressant d'agréger les données de procédé au niveau des procédés avant de les transférer, sous un format condensé, vers le SAP système aux fins de leur analyse. Par exemple, zenon fournit au système SAP des valeurs moyennes et d'autres valeurs statistiques calculées à partir des séries de valeurs. Ceci évite de surcharger le système de gestion de données brutes.

Les valeurs mesurées et les relevés de compteurs sont enregistrés de manière cyclique, et enregistrées sous la forme de documents mesurés pour un point de mesure dans le système SAP. Les propriétés du point de mesure dans le système SAP déterminent s'il s'agit d'une valeur mesurée ou d'un compteur. La valeur de la variable actuelle est utilisée en tant que valeur du document de mesure.

Plusieurs points de mesure peuvent être définis pour chaque emplacement technique ou chaque équipement dans le système SAP. Durant la définition des points de mesure, vous pouvez configurer si le point de mesure doit poursuivre une valeur mesurée ou un relevé de compteur. Les relevés de compteur présentent des valeurs dont la croissance est monotone, ce qui signifie que chaque nouvelle valeur saisie doit être égale ou supérieure à la valeur précédente.

Les valeurs mesurées et les relevés de compteur sont transmis au système SAP par le biais de "documents de mesure".

Dans le système de contrôle, les valeurs mesurées sont enregistrées en fonction de programmes horaires. Pour chaque programme, vous pouvez définir les jours et heures d'enregistrement des valeurs mesurées. Un programme horaire peut être exécuté quotidiennement, ou certains jours seulement. En outre, vous pouvez définir une heure de début et une heure de fin, ainsi qu'un intervalle pour chaque programme. Entre l'heure de début et l'heure de fin, les valeurs mesurées des variables liées dans l'intervalle spécifié seront enregistrées.

Vous pouvez lier un certain nombre de valeurs à chaque programme horaire. À chaque exécution du programme horaire, les valeurs actuelles des variables seront lues et un document de mesure sera créé pour chaque variable dans le système SAP. Chaque point de mesure comporte un numéro unique, qui doit être défini dans le document de mesure. L'identifiant de ressource des variables liées est utilisé pour déterminer le numéro du point de mesure.

info Informations

Les variables du système de contrôle et les points de mesure SAP sont liés par le biais de l'identifiant du point de mesure dans le système SAP. Ce nombre consécutif unique doit être saisi dans l'identifiant de ressource des variables dans le système de contrôle.

Autres sujets abordés dans ce chapitre

Principes techniques


Principes techniques

Manuel -> Interface SAP -> Principes de base et exigences -> Relevés de mesure -> Principes techniques

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Les documents de mesure utilisés pour les points de mesure et les compteurs sont créés dans le système SAP avec le bloc fonctionnel "MEASUREM_*". Le document de mesure est attribué à un point de mesure ou un compteur. L’utilisation d’un point de mesure ou d’un compteur sera définie durant la création du point de mesure. Le point de mesure ou le compteur est identifié via un numéro unique dans le système SAP.

Le document de mesure contient la date de la mesure (date, heure), une valeur mesurée et son unité, un rapporteur (créateur du document) et un bref texte. Si la date de mesure n’est pas spécifiée, la date de création du document sera utilisée. Si l’unité de la valeur mesurée est omise, l’unité spécifiée au point de mesure/compteur sera utilisée.

Lorsque le paramètre COMMIT_WORK est défini, le document est immédiatement inscrit dans la base de données SAP. Les documents de mesure sont créés dans le système SAP lors de l’exécution du bloc fonctionnel MEASUREM_DOCUM_RFC_SINGLE_001.

info Informations

Le bloc fonctionnel MEASUREM_DOCUM_RFC_SINGLE_001 est créé durant l’installation standard du module de maintenance dans le système SAP.

attention Attention !

En raison des adaptations individuelles du système SAP aux exigences de clients spécifiques, il est possible que ces blocs fonctionnels ne soient plus disponibles?! Dans ce cas, le système SAP renverra le message d’erreur FU_NOT_FOUND.


Appels fonction

Manuel -> Interface SAP -> Principes de base et exigences -> Appels fonction

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Les fonctions souhaitées dans le système SAP peuvent être exécutées depuis zenon, dans le nœud Interface de programmation?; cela ne nécessite que quelques opérations de configuration. Pour cela, une image de l’interface du bloc fonctionnel à appeler est affichée dans Editor avec les paramètres, tables et structures requis, et est liée aux variables ou fonctions de zenon. L’appel de fonction est effectué en exécutant une fonction de zenon, qui est fournie en tant que paramètre par cette image.

Blocs fonctionnels

Les actions dans le système SAP et le transfert de données vers le système SAP sont exécutés par l’appel des blocs fonctionnels concernés. Ces blocs fonctionnels sont fournis avec le système SAP?; toutefois, des blocs fonctionnels définis par l’utilisateur peuvent également être créés via le module Workbench ABAP.

Paramètre

Les données sont transférées vers et depuis les blocs fonctionnels via les paramètres d’importation et d’exportation. Les données d’entrée sont "importées", du point de vue des blocs fonctionnels du système SAP?; les données de résultat sont "exportées". La documentation des blocs fonctionnels dans le système SAP repose sur ce point de vue.

Outre l’importation et l’exportation de paramètres, il existe également des paramètres changeants, qui sont utilisés à la fois pour les transferts de données et les affichages de résultats.

Tables internes

Les données sous forme de tables ou de listes peuvent être transférées vers des tables internes ou temporaires, et peuvent être transférées par des blocs fonctionnels.

Types de données, structures

Outre les autres types de données simples (numérique, texte, date, heure, etc.), les données peuvent également être transférées sous forme de structures. Les données dans les tables sont habituellement transférées sous forme de structures, mais les paramètres peuvent également comporter des données structurées.

Prise en charge par le système SAP

Les descriptions complètes de l’interface des blocs fonctionnels, y compris leurs paramètres, tables internes et structures, peuvent être lues depuis le système SAP.

L’interface SAP de zenon exploite cette possibilité, dans la mesure où elle propose un assistant permettant de sélectionner les blocs fonctionnels et lire la description de l’interface.

Les objets configurés sont également comparés à la description de l’interface du bloc fonctionnel dans le système SAP, qui est appelée lorsqu’une fonction SAP est appelée.


Programmes serveur

Manuel -> Interface SAP -> Principes de base et exigences -> Programmes serveur

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Pour qu’une application SAP puisse appeler des fonctions dans un système externe, les destinations RFC sont gérées (transaction SM59). Cette caractéristique est utilisée pour stipuler de quelle manière un système externe et une application SAP communiquent. Il existe en principe deux possibilités :

  • Démarrage : L’application SAP démarre l’application externe.
  • Enregistrement : Le système externe se connecte à l’application SAP avec un identifiant de programme unique.

zenon utilise la méthode d’enregistrement.

Le système externe décide de quelle manière les appels de fonction reçus via l’interface RFC sont traités. Pour cela, deux possibilités sont disponibles :

  • Fonctions Callback :
    Au niveau de l’interface RFC, les fonctions Callback qui sont automatiquement exécutées par les interfaces sont enregistrées. Cette possibilité est principalement adaptée au cas de figure dans lequel les appels de fonction attendus via l’interface RFC ont déjà été établis durant l’activation de l’application externe.
  • Décision reposant sur le nom :
    Le nom du module fonctionnel est interrogé au niveau de l’interface. Une décision est prise sur la base du nom sur lequel doit être exécutée l’action. Cette possibilité permet de réagir de manière plus flexible et générale aux appels de fonctions.
    zenon utilise cette méthode, car elle permet à l’utilisateur de décider des appels de fonctions disponibles.

Certaines fonctions standard, telles que RFC_PING ou RFC_SYSTEM_INFO, sont automatiquement enregistrées et exécutées par l’interface RFC.


Configuration dans Editor

Manuel -> Interface SAP -> Configuration dans Editor

Les points de mesure, messages de maintenance et appels de fonction peuvent uniquement être configurés dans un environnement de développement équipé d'une interface SAP dotée d'une licence. Si l'interface SAP comporte une licence, des paramètres sont disponibles pour la connexion SAP dans l'arborescence du projet du nœud Interface SAP. Les détails relatifs à la configuration des paramètres sont décrits dans les chapitres suivants.

Menu contextuel du nœud SAP ERP du Gestionnaire de projet

Élément de menu | Action
Enregistrer | Enregistre les modifications apportées à la configuration SAP ERP.
Exporter tout (XML) | Exporte toutes les entrées sous forme de fichier XML.
Importer XML | Importe des entrées à partir d'un fichier XML.
Profil Editor | Ouvre la liste déroulante contenant les profils Editor prédéfinis.
Aide | Ouvre l'aide en ligne.

Autres sujets abordés dans ce chapitre

Barre d'outils et menus contextuels

Paramètres de connexion à un système SAP

Messages

Relevés de mesure

Appels fonction


Barre d'outils et menus contextuels

Manuel -> Interface SAP -> Configuration dans Editor -> Barre d'outils et menus contextuels

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Symbole

Action

Nouveau type de message

Insère un nouveau message vide dans la liste des messages de maintenance.

Nouveau planning horaire

Insère un nouveau planning horaire vide dans la liste des relevés de mesure.

Nouvelle fonction SAP

Ouvre l’assistant pour sélectionner un bloc fonctionnel SAP.

Ajouter variable

Ouvre la boîte de dialogue de sélection de variables.

Nouveau paramètre

Crée de nouveaux paramètres pour la fonction sélectionnée.

Nouvelle table

Crée une nouvelle table pour la fonction sélectionnée.

Nouveau champ de structure

Crée un nouveau champ de structure pour les paramètres sélectionnés ou la table sélectionnée.

Créer une fonction standard

Crée une fonction Execute SAP function (Exécuter fonction SAP) de zenon pour la fonction SAP sélectionnée.

Retour à l'élément de départ

Jumps back to the initial position in the zenon Editor.

Remarque : This context menu entry is only available if a jump to the current position has been made from another position with the Linked elements context menu entry.

Enregistrer

Enregistre les modifications apportées à la configuration SAP.

Supprimer

Supprime l’entrée sélectionnée après validation d’une demande de confirmation.

Déplacer vers le haut

Remonte l’élément sélectionné dans la vue de détail d’une position.

Déplacer vers le bas

Abaisse l’élément sélectionné dans la vue de détail d’une position.

Développer tout

Développe toutes les structures fermées.

Cliquez sur la flèche adjacente au symbole pour ouvrir la liste déroulante de sélection :

  • Développer tout
  • Réduire tout
  • Étendre les objets sélectionnés
  • Réduire les éléments sélectionnés

Exporter tout (XML)

Exporte toutes les entrées sous forme de fichier XML.

Importer XML

Importe des entrées à partir d'un fichier XML.

Propriétés

Ouvre la fenêtre de propriétés.

Aide

Ouvre l'aide en ligne.

Autres sujets abordés dans ce chapitre

Menu contextuel Gestionnaire de projet

Menu contextuel du nœud SAP ERP

Menu contextuel des messages de maintenance

Menu contextuel des messages de maintenance

Menu contextuel du nœud Documents de mesure

Menu contextuel Planning horaire

Menu contextuel de la liste de variables des messages de maintenance et documents de mesure

Menu contextuel Appels de fonction

Menu contextuel des fonctions SAP individuelles


Menu contextuel Gestionnaire de projet

Manuel -> Interface SAP -> Configuration dans Editor -> Barre d'outils et menus contextuels -> Menu contextuel Gestionnaire de projet

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Élément de menu | Action
Enregistrer | Enregistre les modifications apportées à la configuration SAP ERP.
Exporter tout (XML) | Exporte toutes les entrées sous forme de fichier XML.
Importer XML | Importe des entrées à partir d'un fichier XML.
Profil Editor | Ouvre la liste déroulante contenant les profils Editor prédéfinis.
Aide | Ouvre l'aide en ligne.


Menu contextuel du nœud SAP ERP

Manuel -> Interface SAP -> Configuration dans Editor -> Barre d'outils et menus contextuels -> Menu contextuel du nœud SAP ERP

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Élément de menu | Action
Enregistrer | Enregistre les modifications apportées à la configuration SAP ERP.
Exporter tout (XML) | Exporte toutes les entrées sous forme de fichier XML.
Importer XML | Importe des entrées à partir d'un fichier XML.
Aide | Ouvre l'aide en ligne.


Menu contextuel des messages de maintenance

Manuel -> Interface SAP -> Configuration dans Editor -> Barre d'outils et menus contextuels -> Menu contextuel des messages de maintenance

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Élément de menu | Action
New message type (Nouveau type de message) | Insère un nouveau message vide dans la liste.
Export all XML maintenance messages (Exporter tous les messages de maintenance au format XML) | Exporte toutes les entrées sous forme de fichier XML.
Importer XML | Importe des entrées à partir d'un fichier XML.
Aide | Ouvre l'aide en ligne.


Menu contextuel des messages de maintenance

Manuel -> Interface SAP -> Configuration dans Editor -> Barre d'outils et menus contextuels -> Menu contextuel des messages de maintenance

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Élément de menu | Action
Ajouter variable | Ouvre la boîte de dialogue de sélection de variables.
Éléments liés | Affiche les éléments liés au message de maintenance dans une liste déroulante et permet d'accéder directement à ces éléments.
Supprimer | Supprime l’entrée sélectionnée après validation d’une demande de confirmation.
Exporter la sélection en XML... | Exporte les entrées sélectionnées sous forme de fichier XML.
Propriétés | Ouvre la fenêtre des propriétés.
Aide | Ouvre l'aide en ligne.


Menu contextuel du nœud Documents de mesure

Manuel -> Interface SAP -> Configuration dans Editor -> Barre d'outils et menus contextuels -> Menu contextuel du nœud Documents de mesure

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Élément de menu | Action
New time plan (Nouveau planning horaire) | Insère un nouveau planning horaire vide dans la liste.
Export all XML measurement documents (Exporter tous les documents de mesure au format XML) | Exporte toutes les entrées sous forme de fichier XML.
Importer XML | Importe des entrées à partir d'un fichier XML.
Aide | Ouvre l'aide en ligne.


Menu contextuel Planning horaire

Manuel -> Interface SAP -> Configuration dans Editor -> Barre d'outils et menus contextuels -> Menu contextuel Planning horaire

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Élément de menu | Action
Ajouter variable | Ouvre la boîte de dialogue de sélection de variables.
Éléments liés | Affiche les éléments liés au planning horaire dans une liste déroulante et permet d'accéder directement à ces éléments.
Supprimer | Supprime l’entrée sélectionnée après validation d’une demande de confirmation.
Exporter la sélection en XML... | Exporte les entrées sélectionnées sous forme de fichier XML.
Propriétés | Ouvre la fenêtre de propriétés.
Aide | Ouvre l'aide en ligne.


Menu contextuel de la liste de variables des messages de maintenance et documents de mesure

Manuel -> Interface SAP -> Configuration dans Editor -> Barre d'outils et menus contextuels -> Menu contextuel de la liste de variables des messages de maintenance et documents de mesure

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Élément de menu | Action
Ajouter variable | Ouvre la boîte de dialogue de sélection de variables.
Éléments liés | Affiche les éléments liés à la variable dans une liste déroulante et permet d'accéder directement à ces éléments.
Remove selected variable (Supprimer la variable sélectionnée) | Supprime les variables sélectionnés de la liste.
Aide | Ouvre l'aide en ligne.


Menu contextuel Appels de fonction

Manuel -> Interface SAP -> Configuration dans Editor -> Barre d'outils et menus contextuels -> Menu contextuel Appels de fonction

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Menu contextuel du nœud Appels de fonction

Élément de menu | Action
Nouvelle fonction SAP | Ouvre l'assistant pour sélectionner un bloc fonctionnel de SAP.
Export all SAP functions (Exporter toutes les fonctions SAP) | Exporte toutes les entrées sous forme de fichier XML.
Importer XML | Importe des entrées à partir d'un fichier XML.
Aide | Ouvre l'aide en ligne.

Menu contextuel de la table Appels de fonction

Paramètre | Description
Nouvelle fonction SAP | Create new SAP function (Créer une nouvelle fonction SAP)
Créer une fonction standard | Crée une nouvelle fonction de zenon pour appeler la fonction SAP sélectionnée.
Eléments liés | Affiche les éléments liés à la fonction SAP dans une liste déroulante et permet d'accéder directement à ces éléments.
Supprimer | Supprime l’entrée sélectionnée après validation d’une demande de confirmation.
Exporter la sélection en XML... | Exporte les entrées sélectionnées sous forme de fichier XML.
Importer XML | Importe des entrées à partir d'un fichier XML.
Lire bloc fonctionnel RFC depuis système SAP | Lit la description d'interface du bloc fonctionnel depuis le système SAP. Si aucun nom SAP n'est fourni, l'assistant de sélection de blocs fonctionnels est affiché.
Afficher la documentaton du bloc fonctionnel RFC | Lit la documentation du bloc fonctionnel depuis le système SAP et l'affiche sous forme de fichier HTML à l'aide du navigateur Web.
Aide | Ouvre l'aide en ligne.


Menu contextuel des fonctions SAP individuelles

Manuel -> Interface SAP -> Configuration dans Editor -> Barre d'outils et menus contextuels -> Menu contextuel des fonctions SAP individuelles

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Menu contextuel des fonctions SAP

Paramètre | Description
Nouveau paramètre | Crée un nouveau paramètre avec la fonction SAP.
Nouveau rapport | Crée une nouvelle table avec la fonction SAP.
Créer une fonction standard | Crée une nouvelle fonction de zenon pour appeler la fonction SAP sélectionnée.
Eléments liés | Affiche les éléments liés à la fonction SAP dans une liste déroulante et permet d'accéder directement à ces éléments.
Supprimer | Supprime l’entrée sélectionnée après validation d’une demande de confirmation.
Exporter la sélection en XML... | Exporte les entrées sélectionnées sous forme de fichier XML.
Propriétés | Ouvre la fenêtre de propriétés.
Lire bloc fonctionnel RFC depuis système SAP | Lit la description d'interface du bloc fonctionnel depuis le système SAP. Si aucun nom SAP n'est fourni, l'assistant de sélection de blocs fonctionnels est affiché.
Afficher la documentaton du bloc fonctionnel RFC | Lit la documentation du bloc fonctionnel depuis le système SAP et l'affiche sous forme de fichier HTML à l'aide du navigateur Web.
Aide | Ouvre l'aide en ligne.

Menu contextuel des listes de paramètres d'une fonction SAP

Paramètre

Description

Nouveau paramètre

Crée un nouveau paramètre avec la fonction SAP.

Nouveau rapport

Crée une nouvelle table avec la fonction SAP.

Nouvel élément structurel

Crée un nouveau champ de structure pour le paramètre ou la table.

Eléments liés

Affiche les éléments liés à la fonction SAP dans une liste déroulante et permet d'accéder directement à ces éléments.

Supprimer

Supprime l’entrée sélectionnée après validation d’une demande de confirmation.

Développer/Réduire les nœuds

Affiche ou masque les champs de structure des paramètres et des tables.
  • Développer tout

Affiche les champs de structure de tous les paramètres et tables.
  • Réduire tout

Masque les champs de structure de tous les paramètres et tables.
  • Étendre les objets sélectionnés

Affiche les champs de structure des paramètres et tables sélectionnés.
  • Réduire les éléments sélectionnés

Masque les champs de structure des paramètres et tables sélectionnés.

Aide

Ouvre l'aide en ligne.

Liste de paramètres contextuelle d'une fonction SAP pour le champ de structure sélectionné.

Paramètre | Description
Nouvel élément structurel | Crée un nouveau champ de structure pour le paramètre ou la table.
Eléments liés | Affiche les éléments liés à la fonction SAP dans une liste déroulante et permet d'accéder directement à ces éléments.
Supprimer | Supprime les champs de structure sélectionnés.
Déplacer vers le haut | Remonter le champ de structure sélectionné d'une position.
Déplacer vers le bas | Descendre le champ de structure sélectionné d'une position.
Aide | Ouvre l'aide en ligne.


Paramètres de connexion à un système SAP

Manuel -> Interface SAP -> Configuration dans Editor -> Paramètres de connexion à un système SAP

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Pour établir une connexion à un système SAP, vous devez spécifier certains paramètres de base. Ces derniers sont configurés dans les propriétés SAP ERP de la vue de détail du gestionnaire de projet. Les groupes suivants sont disponibles :

Paramètre | Description
Système ERP SAP | Paramètres du système SAP ERP connecté.
Programmes serveur | Paramètres des programmes de serveur.
Connexion SAP | Paramètres d’enregistrement sur le système SAP.
Messages | Paramètres des messages
Erreur de recherche | Paramètres de dépannage.

Vous trouverez des détails concernant les propriétés individuelles dans l’aide de la propriété concernée.

Entrées de la liste CEL

L’écriture d’entrées de fichier journal dans la liste CEL peut être contrôlée via la propriété Messages enregistrés dans les événements. Elle est activée par défaut.

Trace

L’interface SAP crée des fichiers journaux sous forme de Traces dans le dossier de travail actuel. Dans zenon, il s’agit soit du dossier de programme ou du dossier de projet. La variable d’environnement RFC_TRACE_DIR peut être utilisée pour stipuler un dossier fixe pour les fichiers de Trace.


Messages

Manuel -> Interface SAP -> Configuration dans Editor -> Messages

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Le système de planification doit toujours être informé des défaillances, des périodes d’indisponibilité, etc. Le système SAP utilise des messages de maintenance à cette fin. Chaque message de maintenance défini dans zenon pour une variable de procédé peut être configuré sous forme de rapport de dysfonctionnement.

info Informations

Si une alarme existe pour une des variables liées, un message de maintenance est créé dans le système SAP sur la base du type de notification défini et du texte de valeur limite de l’alarme. Le numéro du composant de l’installation (emplacement fonctionnel ou équipement) sera obtenu à partir de l’identifiant de ressource de la variable.

Menu contextuel des messages de maintenance (groupe)

Élément de menu | Action
New message type (Nouveau type de message) | Insère un nouveau message vide dans la liste.
Export all XML maintenance messages (Exporter tous les messages de maintenance au format XML) | Exporte toutes les entrées sous forme de fichier XML.
Importer XML | Importe des entrées à partir d'un fichier XML.
Aide | Ouvre l'aide en ligne.

Menu contextuel des messages de maintenance

Élément de menu | Action
Ajouter variable | Ouvre la boîte de dialogue de sélection de variables.
Éléments liés | Affiche les éléments liés au message de maintenance dans une liste déroulante et permet d'accéder directement à ces éléments.
Supprimer | Supprime l’entrée sélectionnée après validation d’une demande de confirmation.
Exporter la sélection en XML... | Exporte les entrées sélectionnées sous forme de fichier XML.
Propriétés | Ouvre la fenêtre des propriétés.
Aide | Ouvre l'aide en ligne.


Relevés de mesure

Manuel -> Interface SAP -> Configuration dans Editor -> Relevés de mesure

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Dans les applications SAP, les valeurs mesurées décrivent un état spécifique d’un système de production à un instant donné du flux du procédé. Toute variable existant dans zenon peut être définie en tant que document de mesure. Ceci autorise le transfert de données indépendantes des protocoles issues du procédé en temps réel vers le niveau de gestion supérieur. Les valeurs mesurées sont transférées vers un système SAP conformément à un calendrier fixe.

info Informations

Les valeurs mises à jour des variables liées au calendrier sont lues aux heures définies dans le calendrier. Un relevé de mesure correspondant est créé pour chaque valeur de variable dans le système SAP.

Menu contextuel des documents de mesure (groupe)

Élément de menu | Action
New time plan (Nouveau planning horaire) | Insère un nouveau planning horaire vide dans la liste.
Export all XML measurement documents (Exporter tous les documents de mesure au format XML) | Exporte toutes les entrées sous forme de fichier XML.
Importer XML | Importe des entrées à partir d'un fichier XML.
Aide | Ouvre l'aide en ligne.

Menu contextuel des documents de mesure

Élément de menu | Action
Ajouter variable | Ouvre la boîte de dialogue de sélection de variables.
Éléments liés | Affiche les éléments liés au planning horaire dans une liste déroulante et permet d'accéder directement à ces éléments.
Supprimer | Supprime l’entrée sélectionnée après validation d’une demande de confirmation.
Exporter la sélection en XML... | Exporte les entrées sélectionnées sous forme de fichier XML.
Propriétés | Ouvre la fenêtre de propriétés.
Aide | Ouvre l'aide en ligne.


Appels fonction

Manuel -> Interface SAP -> Configuration dans Editor -> Appels fonction

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Les actions dans le système SAP ou dans zenon, ainsi que les transferts de données entre zenon et le système SAP, sont déclenchés et exécutés par l’appel provenant des modules fonctionnels RFC. Les blocs fonctionnels RFC standard sont fournis avec le système SAP. Toutefois, les blocs fonctionnels définis par l’utilisateur peuvent également être programmés par l’intermédiaire du module Workbench ABAP.

Les fonctions souhaitées du système SAP peuvent être appelées directement depuis zenon. Pour cela, une image de l’interface du bloc fonctionnel à appeler est affichée dans Editor avec les paramètres, tables et structures requis, et est liée aux variables de zenon. L’appel de fonction est effectué en exécutant une fonction de zenon, qui est fournie en tant que paramètre par cette image.

Remarque : L’interface RFC de SAP n’autorise qu’un appel de fonction à la fois. Pour éviter les chevauchements d’appels de fonction, l’activité peut être surveillée à l’aide d’une variable.

Convention de nommage SAP

Lors de la création de nouveaux objets générés par l’utilisateur dans une application SAP, la convention de nommage suivante doit être respectée :

  • Les noms d’objets créés par l’utilisateur doivent commencer par Y ou Z. Ceci évite que les objets ne soient remplacés en cas de mise à jour de l’application SAP. Les objets SAP originaux ne commencent jamais par Y ou Z.

Autres sujets abordés dans ce chapitre

Fonctions SAP

Programmes serveur

Sélection de blocs fonctionnels avec l’assistant

Documentation du bloc fonctionnel RFC

Paramètres, tables et champs de structure

Variables liées

Appel de fonctions SAP avec zenon


Fonctions SAP

Manuel -> Interface SAP -> Configuration dans Editor -> Appels fonction -> Fonctions SAP

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Une fonction SAP affiche un bloc fonctionnel du système SAP dans zenon. Il contient une liste d'objets qui affichent les paramètres et tables du bloc fonctionnel SAP. Avec une fonction SAP, des variables peuvent être liées pour fournir des informations concernant l'état de l'appel et le résultat du dernier appel.

Créer une fonction SAP

Les fonctions SAP sont créées via l'élément de menu Nouvelle fonction SAP du menu contextuel du nœud Appels de fonction, ou via la liste de fonctions SAP.

Si les paramètres (menu Extras) du projet ont été activés dans la propriété Utiliser les assistants, l'assistant de sélection de bloc fonctionnel SAP démarre. L'assistant lit la description de l'interface du bloc fonctionnel sélectionné depuis SAP, et crée tous les objets dans l'éditeur.

Les fonctions SAP peuvent également être éditées manuellement :

  • Pour comparer la fonction SAP à la description de l'interface dans le système SAP pour le procédé, sélectionnez la commande Read in RFC function block from SAP system (Lire le bloc fonctionnel RFC depuis le système SAP). Si aucun nom de bloc fonctionnel n'a été fourni, l'assistant s'ouvre afin d'autoriser la sélection de blocs fonctionnels. Les paramètres déjà définis (en particulier, les variables liées), ne sont pas modifiées dans le procédé.
  • Lors de la création d'une fonction SAP, la propriété Nom fonction reçoit un nom créé automatiquement pour la fonction SAP ; ce dernier peut être modifié à votre convenance.
  • La propriété Bloc fonctionnel RFC contient le nom du bloc fonctionnel dans le système SAP. Le nom fourni doit correspondre au nom dans le système SAP ; dans le cas contraire, l'Exception FU_NOT_FOUND se produit lorsque la fonction SAP est appelée.

Autres sujets abordés dans ce chapitre

Suivi de l'activité

Message d'erreur

Programme serveur


Suivi de l'activité

Manuel -> Interface SAP -> Configuration dans Editor -> Appels fonction -> Fonctions SAP -> Suivi de l'activité

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Une variable (numérique) liée à la propriété Activité peut adopter trois valeurs, en fonction de l'état de la fonction SAP :

  • 0 : la fonction SAP est inactive et n'est actuellement pas en cours d'exécution.
  • 1 : la fonction SAP est placée dans la file d'attente des appels (l'interface RFC de SAP n'autorise qu'un appel de fonction à la fois).
  • 2 : l'appel de fonction est transmis au système SAP, et une réponse est attendue du système SAP.
    Ensuite, la variable reprend l'état 0 (inactive).

Cette variable peut être utilisée pour un verrouillage, par exemple, pour éviter le chevauchement d'appels de fonction.


Message d'erreur

Manuel -> Interface SAP -> Configuration dans Editor -> Appels fonction -> Fonctions SAP -> Message d'erreur

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Les variables renvoient des informations concernant le résultat du dernier appel de la fonction SAP. Pour cela, les variables sont liées aux propriétés correspondantes :

  • Code d'erreur : contient un code numérique correspondant au résultat du dernier appel.
  • Texte d'erreur : brève description du dernier code d'erreur apparu.
  • Description d'erreur : description étendue de la dernière erreur générée par l'interface RFC de SAP.

Codes d'erreur de l'interface RFC

Code d'erreur | Texte de l'erreur | Signification
-1 | Aucune connexion au système SAP | Le système SAP ne peut pas être atteint (erreur de réseau, enregistrement etc.).
0 | OK | Aucune erreur ne s'est produite.
1 | Error occurred (Une erreur s'est produite) | Erreur inconnue ; pour plus de détails, consultez la propriété de description de l'erreur.
2 | Exception raised (Exception survenue) | Exception dans le bloc fonctionnel (paramètre non valide, etc.).
3 | System exception raised, connection closed (Exception système survenue, connexion interrompue) | Une Exception s'est produite dans le système.
4 | Call received (Appel reçu) | Les autres appels de fonction restent actifs.

Remarque :

  • La langue du texte d'erreur dépend de la langue système du Runtime.
  • Tous les codes n'apparaissent pas lors de l'appel des blocs fonctionnels.


Programme serveur

Manuel -> Interface SAP -> Configuration dans Editor -> Appels fonction -> Fonctions SAP -> Programme serveur

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Pour exécuter une fonction dans zenon avec un appel de fonction en tant que programme serveur :

  1. Configurez une fonction SAP.
  2. Sélectionnez une fonction de zenon pour la propriété Fonction.
  3. Assurez-vous que la propriété Ordinateur actuel est activée pour la fonction de zenon.
  4. Activez la propriété Programme serveur pour la fonction SAP.
  5. Si nécessaire, stipulez une période d’attente avant et après l’appel de fonction liée, afin que les variables puissent être écrites ou lues avec certitude. Ces paramètres peuvent être définis avec la propriété Période d'attente.
    Un délai d’attente est principalement recommandé pour les variables présentes sur des contrôleurs dotés de communications lentes et/ou de cycles de lecture longs.
  6. Si nécessaire, liez la propriété Activité à une variable. Ce paramètre est défini comme actif (2) lorsque le programme de serveur est appelé.

Procédure d’accès à l’appel de fonction depuis l’application SAP :

  • La fonction zenon déclarée dans la propriété Fonction est exécutée.
  • Les valeurs des paramètres d’importation et d’exportation sont remplacées par leurs variables liées.

Si aucune fonction zenon n’est liée à la fonction SAP, seules les valeurs des paramètres d’importation et d’exportation sont remplacées par leurs variables liées. Ainsi, les valeurs des paramètres d’exportation peuvent être calculées à partir des valeurs des paramètres d’importation à l’aide de variables mathématiques, par exemple, sans qu’il soit nécessaire d’exécuter une fonction.


Programmes serveur

Manuel -> Interface SAP -> Configuration dans Editor -> Appels fonction -> Programmes serveur

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Pour utiliser les programmes de serveur :

  1. Accédez au groupe de propriétés Système ERP SAP/Programmes serveur.
  2. Pour la propriété ID programme, saisissez l’identifiant de programme de la destination RFC via laquelle la connexion à l’application SAP sera établie.
  3. Pour chaque appel de fonction SAP souhaité, indiquez s’il doit être exécuté en tant que programme serveur. Pour cela, configurez les propriétés dans les nœuds Programme serveur des appels de fonction.

L’appel peut également être effectué via l’interface de programmation.

Limitations

Les limitations suivantes s’appliquent aux programmes de serveur :

  • Les programmes de serveur peuvent uniquement être enregistrés dans zenon sur un ordinateur autonome ou sur le Serveur 1, mais pas sur les clients ou le Serveur 2. Lors de la commutation entre le Serveur 1 et le Serveur 2, l’enregistrement des programmes sur l’ancien serveur est annulé, et les programmes sont enregistrés sur le nouveau serveur.
    Informations de fond : Les applications SAP autorisent l’enregistrement de plusieurs systèmes externes sur la même destination RFC. Toutefois, le système sur lequel s’exécute le programme serveur n’est pas défini.
  • En principe, un système externe peut s’enregistrer plusieurs fois sur le système de destination. Avec zenon, l’évaluation du programme serveur est uniquement effectuée sur la base du nom, ce qui évite ce phénomène. Si le même module de fonction (même nom FB) est configuré en tant que programme serveur dans plusieurs instances SAP, tout enregistrement d’un enregistrement existant avec le même nom sera à nouveau annulé. Ainsi, la dernière fonction SAP enregistrée est active.
  • Seules les fonctions de zenon pouvant être exécutées sur l’ordinateur local peuvent être liées. Pour cela, la propriété Ordinateur actuel du groupe Exécution doit être activée pour la fonction de zenon. Si une fonction différente a été sélectionnée dans la boîte de dialogue de sélection, celle-ci n’est pas appliquée. Le filtrage n’est pas autorisé pour les fonctions conformes à cette condition.
  • Les appels de fonctions SAP en tant que programme client sont toujours asynchrones.
    Si l’appel d’une fonction SAP en tant que client est lié à une fonction SAP devant être appelée en tant que programme serveur, l’appel de fonction n’est exécuté que lorsque l’exécution du programme serveur est terminée. Toute valeur de réponse pouvant être requise ne déclenche pas l’appel de programme serveur?!

Message d'erreur

Si une erreur se produit lors de l’appel d’un programme serveur, une Exception correspondante est renvoyée à l’application SAP :

  • Si l’application SAP tente d’appeler un programme serveur qui n’est pas enregistré par zenon, l’Exception FUNCTION_NOT_IMPLEMENTED est renvoyée.
  • Si une erreur se produit lorsque la fonction liée de zenon est appelée, l’Exception INTERNAL_ERROR est renvoyée avec la description de l’erreur.
  • Si l’appel via l’API (événement ServerCall) renvoie une erreur qui n’est pas RFC_OK (tpSapErrorOk = 0), l’Exception INTERNAL_ERROR est également renvoyée.
    Recommandation : Dans la configuration des Events, attribuez la propriété LastError à la fonction SAP avec un texte explicite.

Autres sujets abordés dans ce chapitre

Appel via l’interface de programmation


Appel via l’interface de programmation

Manuel -> Interface SAP -> Configuration dans Editor -> Appels fonction -> Programmes serveur -> Appel via l’interface de programmation

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Les programmes serveur peuvent également être exécutés depuis l’interface de programmation de zenon. Pour cela, l’interface de l’objet SAPFunction a été complétée avec les méthodes StartServer et StopServer et l’événement ServerCall.

  • StartServer : Cette méthode enregistre SAPFunction en tant que programme serveur. Les paramètres du projet zenon sont utilisés pour la connexion de l’application SAP.
  • StopServer : Annule l’enregistrement de SAPFunction.
  • ServerCall : Cet événement est déclenché lors de l’appel d’une fonction issue d’une application SAP. Dans les événements, les valeurs des paramètres d’importation peuvent être évaluées, et les paramètres d’exportation peuvent être définis.

Exemple d’un programme serveur dans VBA

L’exemple illustre, avec le module de fonction Z_RFC_ADD2, de quelle manière l’objet SAPFunction est initialisé et enregistré en tant que programme serveur :

Public WithEvents obFunRfcAdd As SapFunction

Public Sub FbAdd()

' Collecte des fonctions SAP dans le projet

Dim obFunctions As SapFunctions

' Paramètre transféré vers la fonction SAP

Dim obParOper1 As SapParameter ' Paramètre 'I_OPER1'

Dim obParOper2 As SapParameter ' Paramètre 'I_OPER2'

' Paramètre renvoyé par la fonction SAP

Dim obParResult As SapParameter ' Paramètre 'E_RESULT'

' === Obtention de la collection de fonctions SAP

Set obFunctions = thisProject.SapFunctions

' === Crée la fonction SAP "Z_RFC_ADD2" si elle n’est pas présente

Set obFunRfcAdd = obFunctions.Item("Z_RFC_ADD2")

If obFunRfcAdd Is Nothing Then

Set obFunRfcAdd = obFunctions.CreateSapFunction("Z_RFC_ADD2")

If Not obFunRfcAdd Is Nothing Then

' === Créer le paramètre s’il n’est pas présent

Set obParameters = obFunRfcAdd.Parameters

If Not obParameters Is Nothing Then

' Premier opérande

Set obParOper1 = obParameters.Item("I_OPER1")

If obParOper1 Is Nothing Then

Set obParOper1 = obParameters.CreateSapParameter("I_OPER1")

End If

' Deuxième opérande

Set obParOper2 = obParameters.Item("I_OPER2")

If obParOper2 Is Nothing Then

Set obParOper2 = obParameters.CreateSapParameter("I_OPER2")

End If

' Résultat

Set obParResult = obParameters.Item("E_RESULT")

If obParResult Is Nothing Then

Set obParResult = obParameters.CreateSapParameter("E_RESULT")

End If

End If

End If

End If

=== Démarrage du programme serveur

If Not obFunRfcAdd Is Nothing Then

bOk = obFunRfcAdd.StartServer()

End If

End Sub

=== Appel de fonction reçu

Private Sub obFunRfcAdd_ServerCall(ByVal obFunction As ISapFunction, ByRef Error As tpSapError)

If obFunction.Name = "Z_RFC_ADD2" Then

Set obParameters = obFunction.Parameters

If Not obParameters Is Nothing Then

Dim obParOper1 As SapParameter ' Paramètre 'I_OPER1'

Dim obParOper2 As SapParameter ' Paramètre 'I_OPER2'

Dim obParResult As SapParameter ' Paramètre 'E_RESULT'

Dim Val1 As Integer

Dim Val2 As Integer

' === Obtention des objets de paramètre

Set obParOper1 = obParameters.Item("I_OPER1")

Set obParOper2 = obParameters.Item("I_OPER2")

Set obParResult = obParameters.Item("E_RESULT")

' === Lecture du paramètre d’entrée

Val1 = obParOper1.Value

Val2 = obParOper2.Value

' === Définition du paramètre de sortie

obParResult.Value = Val1 + Val2

Error = tpSapError_Ok

Else

Error = tpSapError_Failure

End If

Else

Error = tpSapError_Failure

End If

End Sub

Private Sub obFunRfcAdd_ActivityChanged(ByVal obFunction As ISapFunction, ByVal Activity As tpSapActivity)

' Si l’état d’activité de la fonction SAP change,

' l’événement "ActivityChanged" est déclenché

thisProject.Variables.Item("Active").Value = obFunction.Activity

End Sub

Private Sub Project_Inactive()

=== Arrêt du programme serveur

If Not obFunRfcAdd Is Nothing Then obFunRfcAdd.StopServer

' Lorsque le Runtime est arrêté à la dernière étape, l’objet du module de fonction

' doit être supprimée, sans quoi des fuites de mémoire se produiront.

thisProject.SapFunctions.DeleteSapFunction ("Z_RFC_ADD2")

End Sub


Sélection de blocs fonctionnels avec l’assistant

Manuel -> Interface SAP -> Configuration dans Editor -> Appels fonction -> Sélection de blocs fonctionnels avec l’assistant

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Pour sélectionner un bloc fonctionnel depuis SAP :

  1. Dans la vue de détail de l’interface de SAP, sélectionnez le nœud Appels de fonction.

  2. Sélectionnez Nouvelle fonction SAP... dans le menu contextuel ou la barre d’outils.
  3. L’assistant de sélection du module de fonction SAP démarre.
    Remarque : Pour cela, dans la section Extras – Paramètres du projet zenon, activez l'option Utiliser les assistants.

    Attention : Testez votre projet sur un système de test avant d’appeler des blocs fonctionnels SAP dans un système productif. Des erreurs lors de l’appel peuvent nuire à l’intégrité des données dans le système SAP.

  4. Sélectionnez le bloc fonctionnel de votre choix.

Boîte de dialogue de sélection de modules fonctionnels

Paramètres | Description
Sélectionner le bloc fonctionnel | Liste déroulante de sélection des blocs fonctionnels SAP. L’expression de recherche peut être saisie librement ou sélectionnée dans une liste déroulante.
Liste de blocs fonctionnels | Liste de blocs fonctionnels correspondant au terme de recherche.
Retour | Revient à l’écran de départ de l’assistant.
Terminer | Enregistre le bloc fonctionnel et tous les éléments SAP associés dans une fonction SAP de zenon.
Annuler | Crée une fonction SAP vide dans zenon.


Documentation du bloc fonctionnel RFC

Manuel -> Interface SAP -> Configuration dans Editor -> Appels fonction -> Documentation du bloc fonctionnel RFC

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

La documentation d’un bloc fonctionnel de SAP peut être appelée via l’option Afficher la documentation du bloc fonctionnel RFC du menu contextuel.

La documentation

  • doit être présente dans le système SAP, car cette dernière
  • est lue dans la langue de l’utilisateur SAP enregistré.
  • Elle est affichée dans le navigateur Web au format HTML.

Toute documentation déjà lue est conservée dans le dossier Temp de l’utilisateur Windows actuel, et appelée depuis ce dossier lors de la prochaine consultation.

Configuration personnalisée de l’affichage

Pour configurer l’affichage de la documentation de manière personnalisée :

  1. Créez une feuille de style portant le nom sapdoc.css.
  2. Enregistrez la feuille de style dans le dossier Temp de l’utilisateur.

Exemple de feuille de style

BODY,H1,H2,H3,H4,H5,H6,P,TD,TH,UL,DL,DIV {font-family: Geneva, Arial, Helvetica, sans-serif?;}

BODY,TD {font-size: 90%;}

H1 {font-size: 120%; color: 1c1e41?;}

H2 {font-size: 110%; color: 1c1e41?;}

H3 {font-size: 100%; color: 1c1e41?;}

H4 {font-size: 90%; font-style: italic; color: 1c1e41?;}

H5 {font-size: 90%; font-style: normal; font-weight: lighter; color: 1c1e41?;}

TH {font-size: 90%; font-weight: bold; text-align: left; color: 1c1e41?;}


Paramètres, tables et champs de structure

Manuel -> Interface SAP -> Configuration dans Editor -> Appels fonction -> Paramètres, tables et champs de structure

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Lors de l'appel d'une fonction SAP, les données sont transférées via des paramètres et des tables. Les valeurs des paramètres, des tables et des champs de structure sont dérivés des variables liées (paramètres entrants) ou allouées aux variables liées après l'appel (paramètres de retour).

Créer les paramètres, tables et champs de structure

Les paramètres, tables et champs de structure sont créés via le menu contextuel dans la liste de paramètres d'une fonction SAP.

  • Dénomination
    • Lors de la création via le menu contextuel, les objets reçoivent des noms générés automatiquement (propriété Nom dans le système SAP). Ceux-ci doivent être modifiés de manière à correspondre aux objets associés dans le système SAP.
    • Lors de la création d'une fonction SAP à l'aide de l'assistant, les noms sont générés automatiquement, conformément à la description de l'interface dans le système SAP.
  • Paramètres et tables
    • Lorsque la fonction SAP est appelée, seuls les paramètres et tables présents dans la description de l'interface du bloc fonctionnel du système SAP sont utilisés.
    • Si des paramètres ou des tables non optionnels ne sont pas configurés ou liés à des variables, ils sont renseignés avec des valeurs initiales lors de l'appel de la fonction SAP. Ceci renvoie généralement une Exception, et donc un message d'erreur, lors de l'appel d'une fonction.
  • Propriétés informatives
    • Certaines propriétés des paramètres, tables et champs de structure (type, caractère optionnel et informations) sont uniquement fournis à des fins d'information. Ces dernières sont renseignées avec les informations provenant de la description de l'interface dans le système SAP par l'assistant lors de la création d'une fonction SAP, mais peuvent être modifiées à tout instant.
    • Elles ne sont pas évaluées lors de l'appel de la fonction SAP. Au lieu de cela, les entrées de la description de l'interface sont utilisées.


Variables liées

Manuel -> Interface SAP -> Configuration dans Editor -> Appels fonction -> Variables liées

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

La propriété Variable est utilisée pour les variables d’une fonction SAP aux paramètres, tables et champs de structure.

Pour lier des variables :

  • Utilisez la propriété Variable dans la fenêtre des propriétés. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de variables
    ou
  • À l’aide de la souris, glissez-déplacez la variable souhaitée sur un objet dans la liste de paramètres

Si des variables de structure sont liées à des paramètres de structure et des tables, les variables des champs de structure sont également renseignées avec l’élément de structure de la variable, si possible.

Attention : Ceci fonctionne uniquement lors d’opérations de liaison par glisser-déposer (drag&drop).

Appel d’une fonction SAP

Lors de l’appel d’une fonction SAP, les valeurs des variables sont lues?; ces dernières sont liées aux paramètres et tables aux fins du transfert de données vers le bloc fonctionnel, puis sont allouées aux paramètres et aux tables.

Et inversement, les valeurs des paramètres et tables renvoyées depuis un appel de fonction sont allouées aux variables liées.

Numéro de ligne pour les tables

Les objets pour les tables peuvent être liés via une variable avec la propriété Nombre de lignes.

Acceptation de valeurs :

  • Avant un appel de fonction : La valeur de la variable détermine le nombre de lignes de la table traitées dans zenon, fourni par l’application SAP (Nombre de lignes).
  • Après l’appel de fonction, la valeur fournit le nombre de lignes dans la table renvoyées depuis l’appel de fonction.


Appel de fonctions SAP avec zenon

Manuel -> Interface SAP -> Configuration dans Editor -> Appels fonction -> Appel de fonctions SAP avec zenon

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Les fonctions SAP sont appelées à l’aide de la fonction Exécuter une fonction SAP de zenon. Cette fonction comporte l’ID interne de la fonction SAP devant être exécutée en tant que paramètre.

Pour appeler une fonction SAP de zenon dans le Runtime :

  1. Créez une nouvelle fonction zenon via Fonctions -> Menu contextuel -> Nouvelles fonctions.
  2. Dans le nœud Application, sélectionnez l’entrée Exécuter une fonction SAP.
  3. La boîte de dialogue de configuration des fonctions s’affiche alors à l’écran.
  4. Sélectionnez la fonction SAP de votre choix.
  5. Confirmez la configuration en cliquant sur le bouton OK.

Boîte de dialogue Exécuter une fonction SAP

Paramètres | Description
Fonction SAP | Sélection d’une fonction SAP dans la liste déroulante : La fonction doit avoir été préalablement créée dans le projet.
Afficher cette boîte de dialogue dans le Runtime | Ouvrez cette boîte de dialogue dans le Runtime avant d’exécuter la fonction.
OK | Crée la fonction avec les paramètres sélectionnés.
Annuler | Crée la fonction sans paramètres.
Aide | Ouvre l'aide en ligne.

Conseil : Dans Editor, l’élément de menu Créer une fonction standard du menu contextuel peut être utilisé pour créer automatiquement une fonction pour une fonction SAP sélectionnée, qui exécute la fonction SAP sélectionnée dans le Runtime.


Interfaces de programmation

Manuel -> Interfaces de programmation

Différentes interfaces d'intégration de vos programmes ou d'automatisation des plannings sont disponibles dans zenon :

  • Liste des macros (VBA)
  • VSTA
  • Add-In Framework (Add-Ins)
  • Process Control Engine (PCE)
    À partir de la version 7.20, le module PCE n'est plus pris en charge et ne sera plus affiché dans l'arborescence des modules de zenon. Lors de la conversion de projets contenant des tâches PCE depuis des versions antérieures à la version 7.20, le nœud PCE sera affiché pour ces projets. PCE ne fera plus l'objet de développements ou de documentations ultérieures.

    Recommandation : Veuillez utiliser zenon Logic, plutôt que PCE

tutorial Informations concernant la licence

Composante de la licence standard d’Editor et du Runtime.

Menu contextuel

Élément de menu | Action
Ouvrir l'éditeur VBA | Ouvre l'éditeur VBA.
Ouvre l'éditeur VSTA avec Projectaddin | Ouvre l'éditeur VSTA.
Aide | Ouvre l'aide en ligne.

info Informations

Vous trouverez des informations concernant la création et la mise en œuvre des contrôles (ActiveX, .NET, WPF) dans le manuel Contrôles.
Vous trouverez des informations concernant le développement et l'utilisation de l'interface SAP au chapitre Interface SAP.

Ouvrir Editors

L’éditeur VBA, Liste des macros

VBA démarre le même environnement de développement pour Espace de travail et le projet.
Pour ouvrir l'Éditeur VBA :

  1. Dans zenon Editor, accédez au nœud Interfaces de programmation.
  2. Expand the view of this node by clicking on [+].
    The view of the node is expanded.
  3. Right-click on Macro list
  4. Sélectionnez Open VBA Editor... (Ouvrir l'Éditeur VSTA) dans le menu contextuel.

alternative : appuyez sur les touches Ctrl+F11.

VSTA dans l’éditeur

VSTA comporte des environnements de développement distincts pour l'Espace de travail et le projet. Vous ne pouvez en utiliser qu'un à la fois. Au démarrage, tous les autres environnements de développement VSTA ouverts seront fermés.

Pour ouvrir l'Éditeur VSTA pour l'espace de travail :

  1. Appuyez sur les touches Alt+F10.

    Le code correspondant à l'espace de travail et à tous les projets chargés est affiché

Pour ouvrir l'Éditeur VSTA pour le projet actuellement chargé :

  1. Accédez au nœud Script.
  2. Expand the view of this node by clicking on [+].
    The view of the node is expanded.
  3. Cliquez avec le bouton droit sur VSTA

    In the context menu, select Open VSTA editor with ProjectAddin.
    The editor is opened for the currently-loaded project.

API à partir de la version 7.10 :

Pour utiliser les interfaces de programmation de zenon, les considérations suivantes sont applicables à parztir de zenon 7.10 :

  • VSTA/.NET: .NET Framework 3.5 doit être disponible.
  • VBA : Si, dans le code VBA, des fonctions de l'API Windows ou d'autres fichiers DLL importés sont utilisées, ces exécutions doivent être adaptées à l'environnement 64 bits. En règle générale, les dispositions suivantes s’appliquent : Un fichier VBA créé avec une version 32 bits ne peut pas être utilisé sans modification dans une version 64 bits de VBA.

attention Attention

Les erreurs dans les applications telles que ActiveX, PCE, VBA, VSTA, WPF et les applications externes accédant à zenon via l'API peuvent également influencer la stabilité du Runtime.

Other topics in this chapter

Add-Ins

Liste de macros

VSTA

PCE : Process Control Engine

Modèles d'objet


Add-Ins

Manuel -> Interfaces de programmation -> Add-Ins

Add-Ins provide possibilities to expand the functionality of zenon in the Editor and in Runtime with different development environments.
The following are available to you to create Add-Ins:

  • Microsoft Visual Studio
  • SharpDevelop (included in the installation package)

Add-Ins can be created with each .NET programming language. IDE support is available for the programming languages C# and Visual Basic.NET.

Note:

  • All lists and interfaces support IEnumerable.
    Reference: https://msdn.microsoft.com/de-de/library/9eekhta0(v=vs.110).aspx
  • LINQ (Language Integrated Query) can be used.
    Reference: https://msdn.microsoft.com/en-us/library/mt693024.aspx

attention Attention

For Add-Ins, the .NET Naming Guidelines are used.

The object names previously used for VSTA and VBA are amended for this. In VSTA and VBA, the previous names remain the same for compatibility reasons. For Add-Ins, naming according to the .NET Naming Guidelines has been used.

You can find an overview of the respective object names in the API_Naming_Conversion.xlsx Excel table. You can find this in the zenon installation path in the \HELP\AddIns folder.

Functionality

Add-Ins allow you to do the following, among other things:

  • Provide project configuration aids (such as wizards)
  • To enhance the project in Runtime with additional functionality

You can find Add-Ins:

  • For the Editor in the Extras menu under the following entries:
    • Manage Editor Add-Ins
    • Start Editor Wizards
    • Manage Editor services...
  • For Runtime in the Programming interfaces - Add-Ins node

Tools and support

You can get tools and support at:

  • Visual Studio developer tools: marketplace.visualstudio.com
  • COPA-DATA user forum: forum.copadata.com

Autres sujets abordés dans ce chapitre

Prior knowledge

Terminology

Limitations

Create add-in

Use of add-ins in Editor and Runtime

Switch/conversion from VSTA


Prior knowledge

Manuel -> Interfaces de programmation -> Add-Ins -> Prior knowledge

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

As with the creation of other software components, certain prior knowledge is also necessary for the development of Add-Ins for zenon.

This includes

  • Programming knowledge in C# or VB.NET (depending on the requirement / complexity of the Add-Ins to be developed)
  • Good zenon knowledge

The following is also recommended

  • Experience in using professional development environments (such as Microsoft Visual Studio)
  • The use of a version management system for the developments (TFS, SVN, GIT)


Terminology

Manuel -> Interfaces de programmation -> Add-Ins -> Terminology

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Specialist terms and their meaning in relation to Add-Ins.

Term

Meaning

Add-In

A collection of Extensions. Is represented by the add-in package. An Add-In can contain several Extensions.

Add-In Assembly

The compiled library (*.dll), that contains Extensions.

Add-In Package

A ZIP file (*.scadaAddIn), that contains metadata and libraries with their dependencies.

An Add-In Package contains an Add-In Assembly.

Extension

Extensions are classes that can be derived from an interface with one or more methods. They are entry points in the Add-In Package.

Each class that represents an Extension is marked with a .NET attribute.

There are two types of Extensions, one for the Editor and one for Runtime

  • Wizard Extensions (Wizards)
  • Service Extensions (Services)

IDE

Integrated development environment. Abbreviation for Integrated Development Environment.

Project Add-In Management

Components for zenon Editor and Runtime that manage the Project Add-In Packages.

Service Extension

Implementation of an Extension that represents a Service.

Services:

  • Runs in the background
  • Is started automatically or manually
  • Remains in the memory until it is stopped

Wizard Extension

Implementation of an Extension that represents a wizard.

Wizards:

  • Are for solving a certain task
  • Are removed again after closing

Note: Specialist terms are only used in English in the documentation for Add-Ins.


Limitations

Manuel -> Interfaces de programmation -> Add-Ins -> Limitations

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

The following limitations are applicable for Add-Ins:

  • The zenon Web Client supports the execution of Add-Ins, however without IDE support.

    The local debugging of Add-Ins is not possible in the zenon Web Client for this reason; debugging using remote debugging tools is supported.

  • The execution of Add-Ins is not supported in the HTML web engine.


Create add-in

Manuel -> Interfaces de programmation -> Add-Ins -> Create add-in

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

General information

Add-Ins are identified by means of the Add-In ID. It is used for installation and import.

An Add-In ID consists of an optional Namespace and a local ID, namespace.localId. The Local ID identifies an Add-In; the Namespace assigns an Add-In to an organization. Both pieces of information areestablished by the NET attribute Mono.AddIn.AddInAttribute. In order for the name for an Add-In Package to also remain unique beyond organization boundaries, the Namespace of the Add-In project is used as part of the ID.
Example of a complete Add-In ID: com.organisation.importwizard.

The issue of Namespaces is optional.
Recommendation: Use Namespaces. This is how you ensure the global uniqueness beyond organizational boundaries. It is best to use the URL of your own organization in reverse order.
For example: For www.example.com use com.example as a Namespace.
Namespaces can be further divided within an organization, for example by teams, departments or projects.

The following are available to you to create Add-Ins:

  • Microsoft Visual Studio
  • SharpDevelop (included in the installation package)

Add-Ins can be created with each .NET programming language. IDE support is available for the programming languages C# and Visual Basic.NET.

Autres sujets abordés dans ce chapitre

Basics

Types of extensions

Content of add-in packages

SharpDevelop

Microsoft Visual Studio

Source code management

Add-in analysis and packaging utility (AddInUtility)

Action in the event of reloading

Isolation


Basics

Manuel -> Interfaces de programmation -> Add-Ins -> Create add-in -> Basics

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

There are different Extensions available for the zenon Editor and zenon Runtime. Depending on the application, a corresponding Extension can be selected.

All interfaces required for the development of Add-Ins are defined in the Scada.AddIn.Contracts assembly.

An Add-In Package can contain one or more Extensions .

Types of extensions - interfaces

A distinction is made between the following Extensions :

Editor Wizard Extension - IEditorWizardExtension

  • Execution is triggered by the user using the Extras -> Editor Wizards... dialog in the zenon Editor.
  • Implements the Run method in order to execute a Wizard Extension in the zenon Editor.

Editor Service Extension - IEditorServiceExtension

  • Execution is carried out automatically when the Editor is started, depending on the DefaultStartMode.

    Note: For automatic start, the DefaultStartMode=DefaultStartupModes.Auto attribute must be set in the Extension. The start mode can also be changed with the Manage Editor services dialog.

  • Administration is via the Extras -> Manage Editor services... dialog in the zenon Editor.
  • Implements the Start and Stop methods to execute a Service Extension in the zenon Editor.

Project Wizard Extension - IProjectWizardExtension

  • Execution is triggered by the user with the zenon Exécuter l'extension du wizard project function.
  • Implements the Run method in order to execute a Wizard Extension in zenon Runtime.

Project Service Extension - IProjectServiceExtension

  • Execution takes place automatically when starting the project in Runtime, depending on the DefaultStartMode.

    Note: For automatic start, the DefaultStartMode=DefaultStartupModes.Auto attribute must be set in the Extension. The start mode can also be changed with the Manage Editor services dialog.

  • Administration is carried out using the zenon Show "Manage Runtime services" function.
  • Implements the methods Start and Stop to execute a Service Extension in zenon Runtime.

Extension attributes

The following metadata is defined using the .NET attribute with the name AddInExtension.

Property

Description

IEditorWizardExtension

IEditorServiceExtension

IProjectWizardExtension

IProjectServiceExtension

Name

Display name in dialogs.

Info: Corresponds to the name of the wizard or the service in zenon.

X

X

X

X

Description

Description of the display in dialogs.

Info: Corresponds to the description of the wizard or the service in zenon.

X

X

X

X

Category

Category for grouping in dialogs.

Info: Is used to categorize wizards in the Editor Wizards... dialog in the zenon Editor.

X

--

X

--

DefaultStartMode

Describes the standard starting behavior of service add-in extensions after installation.

  • Manual: Extension must be started manually by the user.
  • Auto: Is started if the workspace in the Editor or the project is loaded in Runtime.

N/A: Manual is used.

Info: Corresponds to the start type of the service in zenon.

--

X

--

X

Key:

  • X: applicable
  • --: not applicable

Add-in attributes

An Add-In Assembly needs several .NET attributes, which are defined in the AddInInfo.cs file.

The most important attributes and those necessary for use in zenon are:

Attribute name

Obligatory

Description

Examples

Addin

X

ID and version of the Add-In.

Info: The version corresponds to the Version column in the Add-In administration dialog in the zenon Editor.

Example 1:

[assembly: Addin("AddInIdentifier", "1.0", Namespace="com.example")]

Example 2:
[assembly: Addin("MultitouchAddIn", "1.0")]

Example 3:
[assembly: Addin("ProjectCreation", "1.0")]

AddinDependency

X

Defines a dependency on the zenon system.
This value is constant and is needed in order for zenon to use the Add-In

[assembly: AddinDependency("scada", "1.0")]

AddinName

--

Name of the Add-In.

Info: Corresponds to the Name column in the Add-In administration dialog in the zenon Editor.

[assembly: AddinName("Editor Add-In Demo")]

AddinDescription

--

Description of the Add-In.

Info: Corresponds to the Description column in the Add-In administration dialog in the zenon Editor.

[assembly: AddinDescription("Demonstrates an Add-In with a Wizard and a Service extension.")]

Key:

  • X: applicable
  • --: not applicable


Types of extensions

Manuel -> Interfaces de programmation -> Add-Ins -> Create add-in -> Types of extensions

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Autres sujets abordés dans ce chapitre

Wizard in the Editor - Editor wizard extension

Services in the Editor - Editor Service Extension

Wizard in Runtime - project wizard extension

Service in Runtime - project service extension


Wizard in the Editor - Editor wizard extension

Manuel -> Interfaces de programmation -> Add-Ins -> Create add-in -> Types of extensions -> Wizard in the Editor - Editor wizard extension

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Editor Wizard Extensions are used to implement wizards or other user-controlled API processes in the Editor.

  • Execution is triggered by the user using the Extras -> Editor Wizards... dialog in the zenon Editor.
  • Implements the Run method in order to execute a Wizard Extension in the zenon Editor.

Example code (C#)

[AddInExtension("Wizard Extension Name", "Description of Wizard Extension", "Category of Wizard Extension")]

public class WizardExtension : IEditorWizardExtension

{

public void Run(IEditorApplication context, IBehavior behavior)

{

// Implement feature here...

}

}


Services in the Editor - Editor Service Extension

Manuel -> Interfaces de programmation -> Add-Ins -> Create add-in -> Types of extensions -> Services in the Editor - Editor Service Extension

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Editor Service Extensions are used to implement API processes in the Editor automatically.

  • Execution is carried out automatically when the Editor is started, depending on the DefaultStartMode.

    Note: For automatic start, the DefaultStartMode=DefaultStartupModes.Auto attribute must be set in the Extension. The start mode can also be changed with the Manage Editor services dialog.

  • Administration is via the Extras -> Manage Editor services... dialog in the zenon Editor.
  • Implements the Start and Stop methods to execute a Service Extension in the zenon Editor.

Example code (C#)

[AddInExtension("Service Extension Name", "Description of Service Extension", "Category of Service Extension", DefaultStartMode=DefaultStartupModes.Auto)]

public class ServiceExtension : IEditorServiceExtension

{

public void Start(IEditorApplication context, IBehavior behavior)

{

// Startup code here

}

public void Stop()

{

// Stop code here

}

}


Wizard in Runtime - project wizard extension

Manuel -> Interfaces de programmation -> Add-Ins -> Create add-in -> Types of extensions -> Wizard in Runtime - project wizard extension

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Project Wizard Extensions are used to implement wizards or other user-controlled API processes in Runtime.

  • Execution is triggered by the user with the zenon Exécuter l'extension du wizard project function.
  • Implements the Run method in order to execute a Wizard Extension in zenon Runtime.

Example code (C#)

[AddInExtension("Wizard Extension Name", "Description of Wizard Extension", "Category of Wizard Extension")]

public class WizardExtension : IProjectWizardExtension

{

public void Run(IProject context, IBehavior behavior)

{

// Implement feature here...

}

}


Service in Runtime - project service extension

Manuel -> Interfaces de programmation -> Add-Ins -> Create add-in -> Types of extensions -> Service in Runtime - project service extension

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Runtime Service Extensions are used to implement background tasks in Runtime.

  • Execution takes place automatically when starting the project in Runtime, depending on the DefaultStartMode.

    Note: For automatic start, the DefaultStartMode=DefaultStartupModes.Auto attribute must be set in the Extension. The start mode can also be changed with the Manage Editor services dialog.

  • Administration is carried out using the zenon Show "Manage Runtime services" function.
  • Implements the methods Start and Stop to execute a Service Extension in zenon Runtime.

Example code (C#)

[AddInExtension("Service Extension Name", "Description of Service Extension", "Category of Service Extension", DefaultStartMode=DefaultStartupModes.Auto)]

public class ServiceExtension : IProjectServiceExtension

{

public void Start(IProject context, IBehavior behavior)

{

// Startup code here

}

public void Stop()

{

// Stop code here

}

}


Content of add-in packages

Manuel -> Interfaces de programmation -> Add-Ins -> Create add-in -> Content of add-in packages

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Add-In Packages are ZIP files with the filename extension .scadaAddIn. They contain binary data and metadata. Binary files must be present and can be saved as their own ZIP file in the Add-In Package.
Packages can be created with the Add-In Utility. The SharpDevelop and Microsoft Visual Studio development environments are used to create the Packages automatically when compiling.

Recommendation: Do not change the files manually, always use the Add-In Utility.

Content of the add-in package

The Add-In Package contains:

  • Content.xml: XML metadata file with contents of the package.
  • Binary.zip: ZIP file with the binary files.

XML-File

The content of an Add-In Package is listed in its own XML file (Content.xml).

Binary files

Binary files are saved in their own ZIP file. This file must contain all components that are needed on another system to execute the Add-In. Direct and indirect references to .NET Assemblies. In doing so, only external Assemblies are included. Assemblies that are not part of the .NET Framework Class Library or are installed during the zenon installation.

Attention: Ensure that you have all the licenses required for this.

Note: Dynamically-loaded .NET Assemblies are not included in the metadata of .NET Assemblies.

info Informations

COPA-DATA accepts no liability and offers not technical support for external Libraries.


SharpDevelop

Manuel -> Interfaces de programmation -> Add-Ins -> Create add-in -> SharpDevelop

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

SharpDevelop (also #develop) is an open-source development environment that is based on Microsoft's .NET platform. SharpDevelop is supplied with zenon and is also installed during the installation of zenon.
Note: You can find the respective current version and the official documentation for SharpDevelop online at: www.icsharpcode.net/opensource/sd/.

Autres sujets abordés dans ce chapitre

Create add-in package with SharpDevelop

Deploying and debugging add-ins


Create add-in package with SharpDevelop

Manuel -> Interfaces de programmation -> Add-Ins -> Create add-in -> SharpDevelop -> Create add-in package with SharpDevelop

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

To create an Add-In Package with SharpDevelop:

  1. Start SharpDevelop by
    • selecting the Extras -> Open add-in editor ... menu in the zenon Editor, or
    • selecting, in the Startup Tool, under Tools, the SharpDevelop IDE linking
  2. Select File -> New Solution and select, under C# -> SCADA Add-Ins or VB -> SCADA Add-Ins, a corresponding template; create a new project based on this:
    • Editor Service Extension
    • Editor Wizard Extension
    • Project Service Extension
    • Project Wizard Extension

    Note: All examples used in this help chapter are based on C#.

  3. Add your code, references, etc.
  4. Compile the project.
    The Add-In Package with the file suffix *.scadaAddIn is created in the output window of the project.
    This is called, depending on the configuration ...bin\Debug\ or ...bin\Release\.
  5. Import the add-in package in the Editor, see the following in relation to this:
    • Installing and manging add-ins for the Editor
    • Installing and manging add-ins for Runtime


Deploying and debugging add-ins

Manuel -> Interfaces de programmation -> Add-Ins -> Create add-in -> SharpDevelop -> Deploying and debugging add-ins

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Debugging in the Editor

To debug an Add-In in the Editor, proceed as follows:

  1. Start the zenon Editor.
  2. Start SharpDevelop by
    • selecting the Extras -> Open add-in editor ... menu in the zenon Editor, or
    • selecting, in the Startup Tool, under Tools, the SharpDevelop IDE linking
  3. Open the project.
  4. In the project settings in SharpDevelop, go to the Add-In tab.
  5. Select Editor under Debug Target.
  6. Start the debugging using F5 or Debug -> Run.
  7. The Add-In project is compiled and deployed in the Editor.

    Note: The Add-In is copied to the %ProgramData%\COPA-DATA\zenon760\EditorAddInCache directory in the process.

    To remove it from the Editor again, proceed as outlined in the Installing and managing Add-Ins for the Editor chapter.
    If there is already an Add-In with the same ID, this is replaced.

  8. Debug the Add-In.

Debugging in Runtime

To debug an Add-In in Runtime, proceed as follows:

  1. Start the zenon Runtime.
  2. Start SharpDevelop by selecting, in the Startup Tool under Tools, the SharpDevelop IDE link
  3. Open the project.
  4. In the project settings in SharpDevelop, go to the Add-In tab.
  5. Select, under Debug Target, the corresponding project in Runtime in which you want to debug the Add-In.
  6. Start the debugging using F5 or Debug -> Run.
  7. The Add-In project is compiled and temporarily deployed in the selected zenon project.

    Attention: The Add-In is temporarily copied to the ...\RT\FILES\zenon\system\AddInCache\... directory in the process.

    It is removed again after Runtime is closed.

    To install an Add-In on a permanent basis, import it as described in the Installing and managing Add-Ins for Runtime.

  8. Debug the Add-In.

info Informations

As an alternative to the methods described, you can also debug your Add-Ins using Debug -> Attach to Process. In doing so, connect from the corresponding Add-In project in SharpDevelop to the process in the zenon Editor or Runtime.


Microsoft Visual Studio

Manuel -> Interfaces de programmation -> Add-Ins -> Create add-in -> Microsoft Visual Studio

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Autres sujets abordés dans ce chapitre

Create add-in package with Visual Studio

Deploying and debugging add-ins


Create add-in package with Visual Studio

Manuel -> Interfaces de programmation -> Add-Ins -> Create add-in -> Microsoft Visual Studio -> Create add-in package with Visual Studio

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

To create an Add-In Package with Visual Studio:

  1. Start Visual Studio.
  2. Install the Visual Studio Developer Tools.
    Note: This can be downloaded from the Visual Studio Marketplace.
  3. Select File -> New Project and select, under Templates -> Visual C# -> SCADA Add-Ins or Templates -> Visual Basic -> SCADA Add-Ins, a corresponding template; create a new project based on this:
    • Editor Service Extension
    • Editor Wizard Extension
    • Project Service Extension
    • Project Wizard Extension

    Note: All examples used in this help chapter are based on C#.

  4. Add your code, references, etc.
  5. Create the project.
  6. The Add-In Package with the file suffix *.scadaAddIn is automatically created in the output folder of the project (...bin\Debug\ or ...bin\Release\ depending on configuration).
  7. Import the add-in package in the Editor, see the following in relation to this:
    • Installing and manging add-ins for the Editor
    • Installing and manging add-ins for Runtime


Deploying and debugging add-ins

Manuel -> Interfaces de programmation -> Add-Ins -> Create add-in -> Microsoft Visual Studio -> Deploying and debugging add-ins

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Debugging in the Editor

To debug an Add-In in the Editor, proceed as follows:

  1. Start the zenon Editor.
  2. Start the debugging in Visual Studio using F5 or Debug -> Start Debugging.
  3. The Add-In project is compiled and deployed in the Editor.

    Note: The Add-In is copied to the %ProgramData%\COPA-DATA\zenon760\EditorAddInCache directory in the process.

    To remove it from the Editor again, proceed as described in the Installing and managing Add-Ins for the Editor chapter.

  4. Debug the Add-In.

info Informations

As an alternative to the method described, you can also debug your Add-Ins by means of Debug -> Attach to Process. In doing so, connect from the corresponding Add-In project in Visual Studio to the zenon Editor process.

Recommended debugger type (Debugger Type): Managed mit CLR 4.0

Debugging in Runtime

To debug an Add-In in Runtime, proceed as follows:

  1. Compile the Add-In and import it as described in Installing and managing Add-Ins for Runtime.
  2. Start the zenon Runtime.
  3. In Visual Studio, select Debug -> Attach to Process
  4. Select the zenon Runtime process (Zenrt32.exe) and click on Attach
  5. Debug the Add-In.


Source code management

Manuel -> Interfaces de programmation -> Add-Ins -> Create add-in -> Source code management

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

To administer the source code, the use of a version control system - such as TFS, GIT or SVN - is recommended.

attention Attention

In contrast to VSTA and VBA, the Source Code of Add-Ins is not saved and administered in the zenon project.


Add-in analysis and packaging utility (AddInUtility)

Manuel -> Interfaces de programmation -> Add-Ins -> Create add-in -> Add-in analysis and packaging utility (AddInUtility)

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

The AddInUtility tool is automatically called up when compiling Add-Ins and has the following tasks:

  • Analysis of the dependencies
  • Packaging of Add-Ins

A package contains the Add-In Assembly and an XML file with the extension *.scadaAddin, which contains the metadata for the Add-In.

Autres sujets abordés dans ce chapitre

Command line tool AddInUtility.exe


Command line tool AddInUtility.exe

Manuel -> Interfaces de programmation -> Add-Ins -> Create add-in -> Add-in analysis and packaging utility (AddInUtility) -> Command line tool AddInUtility.exe

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

The AddInUtility packages Add-Ins using the command line.

Syntax: AddInUtility.exe [-[shortTerm] or [/ or --][longTerm] [argument value]] ...

  • Arguments are case sensitive
  • Values are case sensitive if marked as such.
  • Arguments can be stated in any desired order.

Argument

Description

--action
(-a)

Action that is to be carried out.
Possible values:

  • BuildPackage
  • GetPackageInfo

Mandatory information.

--path
(-p)

Path information.

Required information for:

  • action = BuildPackage: Path to add-in assembly file.
  • action = GetPackageInfo: Path to Add-In Package file.

Mandatory information.

--targetDir
(-t)

Target folder.

Required information for:

  • action = BuildPackage: Path to the folder in which the add-in package is created.

Default: current folder

Examples

  • Creates an Add-In Package (arguments written out in full):
    AddInUtility.exe --action BuildPackage --path C:\Addin.dll --targetDir C:\Directory\
  • Creates an Add-In Package (arguments in abbreviated form):
    AddInUtility.exe -a BuildPackage -p C:\Addin.dll -t C:\Directory\
  • Returns information about the given Add-In Package:
    AddInUtility.exe -a GetPackageInfo -p C:\Directory\Addin.scadaAddIn


Action in the event of reloading

Manuel -> Interfaces de programmation -> Add-Ins -> Create add-in -> Action in the event of reloading

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

zenon offers a reload function for projects that support hot plugging or the updating of amended project files in runtime. According to the functions of the Add-Ins triggered, the sequence of activities for VSTA and VBA is as follows:

  1. Pre-reload VSTA
  2. Stop of Service Extensions
  3. Reload VBA
  4. Start of Service Extensions
  5. Post-reload VSTA

Add-Ins behave like VSTA and provide a Pre-reload-function and a Post-reload-function. These are used after the VSTA Pre-reload and before reloading of VSTA and as a Wrapper for the VBA reload function. Reloading is delayed until the execution of Wizard Extensions has been completed.
Recommendation: If you want to use the reload functionality, avoid Wizard-Extensions that block or run for a long time.

When being loaded again, all running service expansions are restarted. Newly-installed service expansions are started after the restart if the DefaultStartMode is set to automatic.


Isolation

Manuel -> Interfaces de programmation -> Add-Ins -> Create add-in -> Isolation

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

All Add-Ins are executed in an isolated memory area (App-Domain). As a result, different versions of the same Assemblies can be loaded at the same time.


Use of add-ins in Editor and Runtime

Manuel -> Interfaces de programmation -> Add-Ins -> Use of add-ins in Editor and Runtime

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Add-Ins provide project configuration aids in the zenon Editor and supplement the functionalities of zenon in Runtime.

You can find Add-Ins:

  • For the Editor in the Extras menu under the following entries:
    • Manage Editor Add-Ins
    • Start Editor Wizards
    • Manage Editor services...
  • For Runtime in the Programming interfaces - Add-Ins node

Add-ins for Editor and Runtime

  • Add-Ins for the Editor:
    Add-Ins are imported, installed and can be used in the Editor.
    Administration is carried out by means of entries in the Extras menu.
  • Add-Ins for Runtime:
    Add-Ins are imported; when starting Runtime, they are activated automatically and can then be used.
    The administration is carried out using the detail view of the programming interface - Add-Ins node in the project tree.

Add-Ins are available as:

  • Wizard: Is called up by the user and closed again after the task has been completed.
    For details on the wizards supplied with zenon, read the Wizards manual.
  • Service: Can be started automatically or manually and runs in the background.

Add-Ins can:

  • Be supplied with zenon
  • Be developed by integrators and provided to their customers
  • Developed by customers themselves

Filter and sort the list of add-ins and services

To filter a list in the detail view or in a dialog:

  1. Click in the filter line of the desired curve.
  2. Enter the filter criteria.
    Placeholders can be used.
    • ?: Placeholder for precisely one desired character.
    • *: Placeholder for as many characters as desired.
  3. Several filters can be combined.

Note: To remove all filters, click on the corresponding symbol in the tool bar.

To sort the list:

  1. Click on the column title of the column according to which sorting is to take place.

    The binoculars symbol shows the column according to which sorting takes place.

    The list is sorted according to the column.

    An arrow shows whether the sorting is ascending or descending.

  2. To change the sorting sequence, click on the column title again.

Backing up and restoring

The following is applicable for the backup and restoring of Add-Ins:

  • When securing the workspace, Editor Add-Ins are not saved.

    Note: Installed Add-Ins for the Editor are in the %ProgramData%\COPA-DATA\zenon760\EditorAddInStore directory and can be backed up manually if required.

  • Add-In Packages of projects are also backed up when creating project and workspace backups and are restored again when read back in.

History of Changes

If the change history has been activated for the project, entries for the change history are generated in the project when installing and uninstalling Add-In Packages.

Autres sujets abordés dans ce chapitre

Activate add-ins in zenon

Action during installation

Add-ins node in the Project Manager

Use in the zenon Editor

Use in zenon Runtime


Activate add-ins in zenon

Manuel -> Interfaces de programmation -> Add-Ins -> Use of add-ins in Editor and Runtime -> Activate add-ins in zenon

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

The use of Add-Ins is activated in zenon6.ini. The following entry must be present for this:

[AddIns]

ON=1

This entry is activated by default after the installation of zenon.

Note: If VBA/VSTA for zenon is deactivated, Add-Ins are also deactivated.


Action during installation

Manuel -> Interfaces de programmation -> Add-Ins -> Use of add-ins in Editor and Runtime -> Action during installation

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Add-Ins can be used in the Editor or in Runtime.
The following is applicable when installing Add-Ins:

  1. New installation:
    The selected Package is saved in the AddInStore folder.
    • Folder for installation in the Editor: %ProgramData%\COPA-DATA\zenon760\EditorAddInStore
    • Folder for installation in Runtime: ...\RT\FILES\zenon\system\AddInStore\...

    The Add-In ID is used as a file name and the .scadaAddIn file suffix is added.

  2. New installation with the same ID:
    The pre-existing Add-In is replaced.
  3. During installation, pre-existing files of other versions (higher or lower) are replaced.

info Informations

The Add-In ID is unique for each Add-In and is defined using a .NET attribute in the AddInInfo.cs file.

Example (Add-In ID = AddInProject):

// Declares that this assembly is an add-in

[assembly: Addin("AddInProject", "1.0")]

Add-ins node in the Project Manager

In the project tree of the Project Manager, it is possible to import add-ins under the Programming interfaces node item. You can find details in the Project tree context menu chapter.


Project tree context menu

Manuel -> Interfaces de programmation -> Add-Ins -> Use of add-ins in Editor and Runtime -> Add-ins node in the Project Manager -> Project tree context menu

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Right-click in the Add-Ins symbol in the Programming interfaces node in the project tree to open a context menu:

Entry | Description
Import Add-In... | Opens the dialog to import an Add-In Package that is to be used in Runtime. Note: The package is only imported, not installed. Installation is carried out in Runtime.
Editor profile | Ouvre la liste déroulante contenant les profils Editor prédéfinis.
Help | Ouvre l'aide en ligne.


Detail view of context menu and toolbar

Manuel -> Interfaces de programmation -> Add-Ins -> Use of add-ins in Editor and Runtime -> Add-ins node in the Project Manager -> Detail view of context menu and toolbar

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

In the detail view of the Add-In node in the project tree, Add-Ins that are used in Runtime are displayed and administered by means of a tool bar and a context menu.

Entries in the context menu and meaning of the symbols from left to right:

Symbol/Entry | Description
Import Add-In | Opens the dialog to import an Add-In Package that is to be used in Runtime. Note: The package is only imported, not installed. Installation is carried out in Runtime.
Delete | Uninstalls and deletes the selected Add-In after requesting confirmation.
Remove all filters | Removes all filters that are currently applied in the list of Add-In.
Properties | Ouvre la fenêtre de Propriétés.
Help | Ouvre l'aide en ligne.


Use in the zenon Editor

Manuel -> Interfaces de programmation -> Add-Ins -> Use of add-ins in Editor and Runtime -> Use in the zenon Editor

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Add-Ins for use in the zenon Editor are imported, installed and administered in the Editor.

Add-Ins for the Editor can contain the following:

  • Editor Wizard Extensions, which are started manually via the Extras -> Editor Wizards menu item.
  • Editor service extensions are started if the workspace is loaded and its start mode is set to automatic. It is stopped as soon as the workspace is closed.

Installed Add-Ins for the Editor are saved under: %ProgramData%\COPA-DATA\zenon760\EditorAddInStore

Autres sujets abordés dans ce chapitre

Installing and manging add-ins for the Editor


Installing and manging add-ins for the Editor

Manuel -> Interfaces de programmation -> Add-Ins -> Use of add-ins in Editor and Runtime -> Use in the zenon Editor -> Installing and manging add-ins for the Editor

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

In the zenon Editor, Add-Ins can be imported, installed and administered.

Note: Only Add-Ins with Editor Extensions can be imported and installed. If no Editor Extensions are found during import, a corresponding warning is shown.

Importing and installing add-ins

To import and install an Add-In:

  1. Open the Extras menu.
  2. Select the Manage Editor Add-Ins entry.
    The dialog to manage Add-Ins is opened.
  3. Click on the Import and Install symbol, select the entry in the context menu or press the Insert key.

    The dialog to select an Add-In is opened.

  4. Select the desired Add-In.
  5. Click on Open.

    The Add-In is imported and installed.

  6. Click on Close to close the dialog.

Uninstall and delete add-in

To uninstall and delete an Add-In:

  1. Open the menu Tools.
  2. Select the Manage Editor add-ins entry.
    The dialog to manage Add-Ins is opened.
  3. Select an Add-In.
  4. Click on the Uninstall and delete symbol, select this entry in the context menu or press the Delete key.

    A dialog requesting confirmation is opened.

  5. Confirm this when requested to do so.

    The Add-In is uninstalled and deleted.

Autres sujets abordés dans ce chapitre

Manage Editor Add-Ins dialog

Manage Editor services


Manage Editor Add-Ins dialog

Manuel -> Interfaces de programmation -> Add-Ins -> Use of add-ins in Editor and Runtime -> Use in the zenon Editor -> Installing and manging add-ins for the Editor -> Manage Editor Add-Ins dialog

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Manage Editor Add-Ins dialog

Option

Description

Toolbar

Contains symbols for:

  • Importing, installing and deleting Add-Ins
  • Removing the filter
  • Help display

List of the Add-Ins

Shows all installed Add-Ins.
Information on the following is shown:

  • Name
  • Description
  • Version
  • Whether source code is included.

Elements can be shown filtered and sorted.

Close

Closes the dialog.

Help

Ouvre l'aide en ligne.

Toolbar and context menu

Meaning of the entries in the context menu and the symbols, from left to right:

Symbol | Description
Import and install | Opens the dialog to select an Add-In. This can be imported and installed.
Uninstall and delete | Uninstalls and deletes the selected Add-In after requesting confirmation.
Remove all filters | Removes all filters that are currently applied in the list of Add-Ins.
Help | Ouvre l'aide en ligne.


Manage Editor services

Manuel -> Interfaces de programmation -> Add-Ins -> Use of add-ins in Editor and Runtime -> Use in the zenon Editor -> Installing and manging add-ins for the Editor -> Manage Editor services

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Manage Editor services

Add-In Extensions that run in the Editor as services are managed using their own dialog.

To mange Editor services

  1. Open the menu Tools
  2. Select the Manage Editor services... entry.

    The dialog to manage the services is opened.

Manage Editor services dialog

Option

Description

Toolbar

Contains symbols for:

  • Starting and stopping the services
  • Setting the start type
  • Removing the filter
  • Help display

List of services

Shows all installed Services. Information on the following is shown:

  • Name
  • Description
  • Start type
  • Status

Elements can be shown filtered and sorted.

Close

Closes the dialog.

Help

Ouvre l'aide en ligne.

Toolbar and context menu

Meaning of the entries in the context menu and the symbols, from left to right:

Symbol | Description
Start service | Starts the selected service.
Stop service | Stops the selected service.
Start type manually | Sets the start type for the selected service to manual.
Start type automatically | Sets the start type for the selected service to automatic.
Remove all filters | Removes all filters that are currently applied in the list of services.
Help | Ouvre l'aide en ligne.

Behavior for start and stop

If the automatic start mode has been selected for a Workspace Service Add-In, it is loaded before the Event OnWorkspaceStartup when the Editor is started. When the Editor is closed, it is stopped after the event OnWorkspaceExit. The add-in can thus react to the zenon events.


Use in zenon Runtime

Manuel -> Interfaces de programmation -> Add-Ins -> Use of add-ins in Editor and Runtime -> Use in zenon Runtime

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Add-ins for use in zenon Runtime are imported and administered in the Editor. They are automatically installed when Runtime starts, in order to be able to be executed in Runtime. Each zenon project manages its own add-ins.

  • Add-Ins are copied to the following folder when creating the Runtime files for a project: ...\RT\FILES\zenon\system\AddInStore\...
  • The Add-Ins are installed in the following folder when starting the Runtime:
    ...\RT\FILES\zenon\system\AddInCache\...

    Furthermore, in doing so:

    • Amended Add-In Packages are updated.
      The sync is carried out using the change date of the Add-In Package.
    • Add-Ins that are no longer present are deleted.
    • Project Service Extensions with the start mode set to automatic are instanced and started automatically.
    • Project Wizard Extensions can be executed using the zenon Exécuter l'extension du wizard project function.

Tipp Conseil

Vous pouvez accéder au dossier du Runtime en sélectionnant le projet dans Editor et en appuyant sur la combinaison de touches Ctrl+Alt+R.

Autres sujets abordés dans ce chapitre

Installing and manging add-ins for Runtime


Installing and manging add-ins for Runtime

Manuel -> Interfaces de programmation -> Add-Ins -> Use of add-ins in Editor and Runtime -> Use in zenon Runtime -> Installing and manging add-ins for Runtime

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Add-Ins for Runtime are imported into the Editor and automatically installed when Runtime is started. Import is carried out by means of the context menu or the tool bar in the detail view.

Import Add-In

To import an Add-in :

  1. In the Editor, open the detail view for Add-Ins in the project tree.
  2. Click on the Import Add-In symbol, select this entry in the context menu or press the Insert key.

    The dialog to select an Add-In is opened.

  3. Select the desired Add-In.
  4. Click on Open.

    The Add-in is imported.

    Info:

    • Only once the Runtime files have been created is the Add-In saved in the Runtime files.
      Save folder: ...\RT\FILES\zenon\system\AddInStore\...
    • When starting or reloading Runtime, it is installed, modified or updated in the following folder:

      ...\RT\FILES\zenon\system\AddInCache\...

    During modification, the sync is carried out using the time stamp of the Add-In Package.

  5. Click on Close to close the dialog.

Note: Only Add-Ins with Project Extensions can be imported and installed. If no Project Extensions are found during import, a corresponding warning is shown.

Installing and unistalling add-ins

Add-Ins are automatically installed or updated when Runtime is started.

Procedure:

  • When Runtime is started, the Packages installed for the project are compared to those in the Editor.
  • Comparison is carried out using the time stamp.
  • With different time stamps or new Packages, the Package is installed. A pre-existing Package with the same name is overwritten.
  • If there is no longer a Package in the Editor that is present in Runtime, it is also removed from Runtime.

Delete add-in

To delete an Add-In:

  1. In the Editor, open the detail view for Add-Ins in the project tree.
  2. Select an Add-In.
  3. Click on the Delete symbol or press the Delete key

    A dialog requesting confirmation is opened.

  4. Confirm this when requested to do so.

    The Add-In is deleted.
    After the Runtime files have been compiled the next time, it is uninstalled when Runtime is reloaded or restarted.


Switch/conversion from VSTA

Manuel -> Interfaces de programmation -> Add-Ins -> Switch/conversion from VSTA

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Editor

To convert existing VSTA functionality from the Editor, proceed as follows.

Functionality from Wizards

Functionality that has been implemented using a VSTA wizard can only be implemented by means of Editor Wizard Extensions.

Copy your existing code to an Editor Wizard Extension and make changes to the code if necessary.

Use the Editor wizards... dialog to start the wizard.

Functionality from VSTA events

Functionality that is executed on an event-triggered basis (such as via .OnElementCreated, .OnPreBuild) can now be implemented using Editor Service Extensions.

To do this, copy the code to initialize the event handler to the Start method of the Editor Service Extension. You copy the code for release into the Stop method.

Note: For automatic start, the DefaultStartMode=DefaultStartupModes.Auto attribute must be set in the Extension. The start mode can also be changed with the Manage Editor services dialog.

Functionality from VSTA macros.

Functionality that is executed using the Execute VBA/VSTA macro combobox can now be implemented using Editor Wizard Extensions.

To do this, copy the code from your existing VSTA macro in to the Run method of the Editor Wizard Extension and make changes to the code if necessary.

Use the Editor wizards... dialog to execute the code.

Runtime

To convert existing VSTA functionality from Runtime, proceed as follows.

Functionality from VSTA macros.

Functionality that was executed by means of the Exécuter macro VSTA function can now be implemented by means of Project Wizard Extensions.

To do this, copy the code from your existing VSTA macro in to the Run method of the Project Wizard Extension and make changes to the code if necessary.

To start the Project Wizard Extension, use the zenon Exécuter l'extension du wizard project function.

Functionality from VSTA events

Functionality that is executed on an event-triggered basis (such as via .DynPictures().Open, .Alarm().AlarmComes) can now be implemented using Project Service Extensions.

To do this, copy the code to initialize the event handler to the Start method of the Project Service Extension. You copy the code for release into the Stop method.

Note: For automatic start, the DefaultStartMode=DefaultStartupModes.Auto attribute must be set in the Extension.


Liste de macros

Manuel -> Interfaces de programmation -> Liste de macros

Vous pouvez utiliser le VBA et VSTA pour étendre les fonctions de zenon. L'utilisation de macros avec zenon est décrite.

Menu contextuel

Élément de menu | Action
Ouvrir l'éditeur VBA | Ouvre l’éditeur VBA.
Exporter VBE tous | Ouvre la boîte de dialogue de sélection du répertoire de stockage des données VBE exportées.
Importer VBE | Ouvre la boîte de dialogue de sélection du fichier d'importation de données VBE.
Profils Editor | Ouvre la liste déroulante contenant les profils Editor prédéfinis.
Aide | Ouvre l’aide en ligne.

info Informations

Si des macros VBA sont modifiées dans l'Éditeur,

  • Les fichiers de Runtime sont compilés et transférés vers le Runtime
  • Le Runtime est actualisé
  • Les éléments VSTA sont également actualisés, même si aucune modification n'a été effectuée dans VSTA

VBA démarre le même environnement de développement pour Espace de travail et le projet.
Pour ouvrir l'Éditeur VBA :

  1. Dans zenon Editor, accédez au nœud Interfaces de programmation.
  2. Expand the view of this node by clicking on [+].
    The view of the node is expanded.
  3. Right-click on Macro list
  4. Sélectionnez Open VBA Editor... (Ouvrir l'Éditeur VSTA) dans le menu contextuel.

alternative : appuyez sur les touches Ctrl+F11.

Other topics in this chapter

Vue de détail de la barre d'outils et du menu contextuel VBA

VBA sur les systèmes 64 bits

Notions fondamentales

Macros dans l'éditeur

Fonctions dans zenon

Développement d'assistants dans VBA

Foire aux questions

Exemples


Vue de détail de la barre d'outils et du menu contextuel VBA

Manuel -> Interfaces de programmation -> Liste de macros -> Vue de détail de la barre d'outils et du menu contextuel VBA

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Barre d'outils

Élément de menu | Action
New VBA macro (Nouvelle macro VBA) | Crée une nouvelle macro et ouvre l'éditeur de macros.
Ouvrir l'éditeur VBA | Ouvre l’éditeur VBA.
Enregistrer | Enregistre les macros.
Supprimer | Supprime l'élément sélectionné.
Exporter VBE tous | Ouvre la boîte de dialogue de sélection du répertoire de stockage des données VBE exportées.
Importer VBE | Ouvre la boîte de dialogue de sélection du fichier d'importation de données VBE.
Renommer | Permet de renommer la macro sélectionnée.
Aide | Ouvre l’aide en ligne.

Menu contextuel Module

Élément de menu | Action
Ouvrir l'éditeur VBA | Ouvre l’éditeur VBA.
Enregistrer | Enregistre les macros.
Exporter VBE tous | Ouvre la boîte de dialogue de sélection du répertoire de stockage des données VBE exportées.
Importer VBE | Ouvre la boîte de dialogue de sélection du fichier d'importation de données VBE.
Aide | Ouvre l’aide en ligne.

Menu contextuel Module

Élément de menu | Action
New VBA macro (Nouvelle macro VBA) | Crée une nouvelle macro et ouvre l'éditeur VBA.
Aide | Ouvre l’aide en ligne.

Menu contextuel Macro

Élément de menu | Action
Édition | Ouvre une macro dans Editor pour l'édition. Alternative : Touche Entrée ou double-clic.
Supprimer | Supprime la macro. Alternative : Touche Suppr.
Renommer | Ouvre les éléments de liste pour l'édition. Alternative : La touche F2
Aide | Ouvre l’aide en ligne.

Barre d’outils

Les macros créées en langage VBA peuvent être gérées via l’élément de barre d’outils Liste de macros.

Symbole

(de gauche à droite)

Fonction

Recharger la liste des macros VBA/VSTA

Charge toutes les macros Public Sub Name () incluses dans myWorkspace et les modules dans la liste déroulante de la barre d’outils.

Rechercher une macro

Vous pouvez rechercher des macros par l’intermédiaire d’un champ de saisie ou d’une liste déroulante. La largeur de la liste déroulante est déterminée en fonction de l’élément le plus large.

Liste déroulante Macros

Contient toutes les macros chargées et vous permet de les sélectionner.

Exécuter la macro sélectionnée

Exécute la macro sélectionnée dans la liste déroulante.

Exécuter la macro associée no. <x>

Exécute la macro associée au symbole.

Attribuer des macros

Ouvre la boîte de dialogue d’association de macros. Jusqu’à 5 macros peuvent être associées aux symboles 1 à 5.

VBA

Filtres pour macros VBA. Seules les macros VBA sont affichées.

VSTA

Filtres pour macros VSTA. Seules les macros VSA sont affichées.

TOUT

Annule le filtre actuel et affiche toutes les macros.

AZ

Trie les macros par ordre croissant, de 0 à 9 et de A à Z.

ZA

Trie les macros par ordre décroissant, de Z à A et de 9 à 0.

Options pour la barre de symboles

Cliquez sur la flèche pour ouvrir le sous-menu :

Active : la barre d'outils est affichée.

Si la barre d’outils n’est pas affichée, elle peut être activée en sélectionnant le menu Options -> Barre d’outils.

Remarque : Si la barre d’outils est positionnée librement (c’est-à-dire dissociée d’Editor), les options ne sont pas affichées. Pour fermer la barre d’outils, cliquez sur le bouton X.

info Informations

Si la boîte de dialogue d’association de macros ne contient pas toutes les macros de myWorkspace, exécutez la fonction Recharger la liste des macros VBA dans la barre d’outils.


VBA sur les systèmes 64 bits

Manuel -> Interfaces de programmation -> Liste de macros -> VBA sur les systèmes 64 bits

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

zenon est compatible avec les systèmes 64 bits depuis la version 7.10. La version de VBA utilisée est désormais la version 7.1. zenon est également disponible dans une version 64 bits. Si, dans le code VBA, des fonctions de Windows API ou d'autres fichiers DLL importés sont utilisées, ces exécutions doivent être adaptées à la version 64 bits. En règle générale, les dispositions suivantes s’appliquent : Un fichier VBA créé pour une version 32 bits ne peut pas être utilisé sans modification dans une‑version 64 bits.

Certaines définitions/fonctions sont disponibles dans VBA, permettant ainsi de créer du code compatible 32 bits et 64 bits. Par exemple :

#if Win64 then

Declare PtrSafe Function MyMathFunc Lib "User32" (ByVal N As LongLong) As LongLong

#else

Declare Function MyMathFunc Lib "User32" (ByVal N As Long) As Long

#end if

#if VBA7 then

Declare PtrSafe Sub MessageBeep Lib "User32" (ByVal N AS Long)

#else

Declare Sub MessageBeep Lib "User32" (ByVal N AS Long)

#end if

Vous pouvez également consulter des notes utiles concernant le portage de code VBA 32 bits en code VBA 64 bits de Microsoft :

  • Microsoft Office 2010, notes concernant le portage : http://msdn.microsoft.com/en-us/library/ee691831.aspx
  • Déclarations 32 bits et 64 bits pour appels API : http://www.jkp-ads.com/articles/apideclarations.asp


Notions fondamentales

Manuel -> Interfaces de programmation -> Liste de macros -> Notions fondamentales

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Décrit les notions fondamentales du langage de programmation VBA (Visual Basic for Applications)

Other topics in this chapter

Les propriétés des objets

Les méthodes des objets

Les événements des objets

Structure d'objet VBA dans zenon

Comment utiliser les macros VBA

Comment insérer un élément ActiveX dans zenon ?

Accès depuis un programme externe

Fonctionnalité des variables en ligne

Liste des bits d'état

Lasso de sélection d'éléments dynamiques dans le Runtime


Les propriétés des objets

Manuel -> Interfaces de programmation -> Liste de macros -> Notions fondamentales -> Les propriétés des objets

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Une propriété d'objet est un attribut de l'objet. Dans le cas de l'objet Variable, c'est par exemple, la valeur, le nom ou l'identification. Dans le cas d'un cercle, ce sera la position ou la couleur du cercle dans le synoptique. Chaque objet a au moins une propriété (généralement plus), chaque propriété ayant une certaine valeur. La propriété Name est un texte, la propriété Value est une valeur entre 0 et 1000, par exemple.

La particularité des propriétés est que si on change leur valeur par un programme VBA, alors on change le comportement ou l'apparence de l'objet. Si vous modifiez, par exemple, la propriété Value d'un objet Variable, la variable actuellement sélectionnée reçoit cette nouvelle valeur. Vous ne pouvez pas toujours changer la valeur d'une propriété. La propriété Count de l'objet variable ne peut pas être modifiée car elle représente le nombre de variables créées. Vous ne pouvez pas ajouter des variables en changeant la valeur de la propriété Count. Ainsi certaines propriétés ont l'attribut 'lecture seule', c'est à dire qu'elles ne sont accessible qu'en lecture.


Les méthodes des objets

Manuel -> Interfaces de programmation -> Liste de macros -> Notions fondamentales -> Les méthodes des objets

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

En plus des propriétés, chaque objet peut avoir des méthodes. Une méthode n'est pas un attribut, mais une requête sur l'objet pour faire quelque chose. Un formulaire comporte une méthode Show (Afficher). Qu'est-ce que cela fait ? Cela demande au 'form' de s'afficher à l'écran. De façon similaire, le formulaire disparaît si l'on utilise la méthode globale Unload.

L'avantage des méthodes est que le programmeur n'a pas à connaître la structure de l'objet, et par dessus tout, il n'a pas la possiblité de changer les données internes de l'objet.

L'exécution de la méthode Show (Afficher) ou Unload (Masquer) fonctionne de la façon suivante :

frmSollwert.Show ou Unload frmSollwert

Si vous voulez ouvrir un autre 'form', la méthode est la même, vous avez juste à changer le nom du 'form' (nom de l'objet).

frmChange.Show ou Unload frmChange

Donc une seule et même méthode peut être utilisée pour chacun des objets. Mais tous les objets n'ont pas des méthodes.


Les événements des objets

Manuel -> Interfaces de programmation -> Liste de macros -> Notions fondamentales -> Les événements des objets

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Pour 90% des choses que vous aurez à faire avec les objets, vous utiliserez les propriétés et les méthodes, mais il y a aussi un troisième type d'attribut que les objets peuvent avoir : les événements. Certains objets du système de contrôle peuvent réagir à des événements. Les événements se produisent de manière indépendante durant l'utilisation de zenon.

Example Exemple

Lorsqu'un synoptique est ouvert, un événement d'ouverture est déclenché sur l'objet synoptique correspondant. En tant que programmeur, vous pouvez ajouter des commandes dans la procédure d'événement (procédure exécutée lorsque l'événement survient), qui définissent ce qui doit arriver dans ce cas. Un exemple lors du changement de la valeur d'une variable. Vous pouvez créer un événement qui réagit au changement de valeurs d'une variable.


Structure d'objet VBA dans zenon

Manuel -> Interfaces de programmation -> Liste de macros -> Notions fondamentales -> Structure d'objet VBA dans zenon

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

En termes simples, il existe une liste d'objets et des occurrences multiples d'objets dans la structure du projet.

Exemple :

Projets – Projet

Variables – Variable

Eléments – Elément

Vous pouvez obtenir davantage d'informations concernant le modèle d'objet :

  • Dans l'aide de VBA

  • Dans la présentation graphique, dont vous pouvez obtenir l'impression intégrale auprès de COPA-DATA.

  • Dans le navigateur d'objets de VBA


Comment utiliser les macros VBA

Manuel -> Interfaces de programmation -> Liste de macros -> Notions fondamentales -> Comment utiliser les macros VBA

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Pour créer une nouvelle macro dans la fenêtre Project info de la page de propriétés Macro Browser, sélectionnez l'événement auquel la nouvelle macro doit être exécutée.

Cliquer avec le bouton droit de la souris sur cet événement, ouvre un menu.

Sélectionnez l'entrée 'Nouvelle macro...' zenon génère alors une procédure :

Public Sub LeftClickUp_Sollwert(obElem As Element)
End Sub

Si une macro existe déjà, elle peut être éditée, supprimée ou renommée en cliquant dessus avec le bouton droit de la souris.

attention Attention

Si vous sélectionnez l'élément de menu Rename macro (Renommer la macro), faites attention à ne pas modifier le nom de l'événement, par exemple LeftClickUp_. Sinon cette fonction ne sera pas exécutée. De plus, vous devez modifier à la main le nom de la macro dans l'éditeur VBA.

Après avoir codé le code source à exécuter dans la procédure générée par zenon, la macro doit être liée à l'élément.

Sélectionnez l'élément dans le synoptique pour afficher ses propriétés.

Dans les propriétés VBA / Evénements ..., la macro peut être liée à l'élément graphique.

En runtime, lorsque l'utilisateur clique avec le bouton gauche de la souris sur l'élément, l'événement LeftClickDown est exécuté et s'il y a une macro associée, elle est exécutée.

Other topics in this chapter

Insérer des macros existantes


Insérer des macros existantes

Manuel -> Interfaces de programmation -> Liste de macros -> Notions fondamentales -> Comment utiliser les macros VBA -> Insérer des macros existantes

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Pour insérer des macros existantes dans un autre projet, vous pouvez suivre les instructions suivantes :

  1. Dans l'éditeur VBA, exportez tous les 'forms' et 'modules' et importez-les dans l'autre projet.
  2. Les macros dépendants des événements, dans ModuleElement.bas, ne sont pas, pour le moment, affichées dans l'explorateur de macros. Donc ces macros doivent être créées dans l'explorateur de macros.

    Le moyen le plus facile est d'utiliser le nom de la macro existante.

    Par exemple :
    LeftClickUp_ DateSet2
    LeftClickUp_ DateSet4
    LeftClickUp_ TimeSet
    Draw_ Date2
    Draw_ Date4
    Draw_ Time

  3. Lors de la création de macros, zenon génère des procédures avec le même nom que les macros existantes. Vous devez détruire ces macros générées.
  4. Connectez les macros à un élément dynamique comme vous le faites habituellement.


Comment insérer un élément ActiveX dans zenon ?

Manuel -> Interfaces de programmation -> Liste de macros -> Notions fondamentales -> Comment insérer un élément ActiveX dans zenon ?

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Un élément ActiveX est dessiné dans le synoptique comme tous les autres éléments dynamiques ; une boîte de dialogue s'ouvre, dans laquelle vous sélectionnez le contrôle ActiveX que vous désirez utiliser.

  • Après avoir sélectionné l'élément dans la liste, vous pouvez lui associer des variables. Pour cela, cliquez sur le bouton Variable et sélectionnez une variable ou créez-en une nouvelle.
  • Dans l'étape suivante, nous donnons un nom d'objet à l'élément ActiveX pour pouvoir y accéder en VBA.
  • Dans notre exemple, nous lui donnons le nom d'objet Slide6_DW18, car c'est un ActiveX de type Slider lié à la variable Doubleword18.
  • Maintenant l'élément Slider doit être activé et édité dans l'éditeur VBA.
  • Pour cela, nous créons une nouvelle macro, comme indiqué au chapitre Comment utiliser les macros VBA.

La macro Init_Slider passe l'élément à initialiser au sous-programme Init_Slider de l'objet thisProject qui contient les données du projet courant.

Public SubInit_Slider(obElem AsElement)
thisProject . Init _ Slider obElem
End Sub

Comme pour la macro Init_Slider, la macro Draw_Slider passe l'élément au sous-programme Draw_Slider de thisProject.

Public Sub Draw_SliderValue (obElem As Element, ByVal hdc As OLE _ HANDLE )
thisProject.Draw_Slider obElem
obElem.Draw hdc
End Sub

Le code suivant est ajouté dans la partie thisProject.

Public Declarations
Public WithEvents obSlider As Slider
Public obSliderPV As Variable
Public Sub Init_Slider (obElem As Element)
Set obSlider = obElem.ActiveX

'ActiveX existe
If obSlider Is Nothing Then
Exit Sub
End If
Set obSliderPV = obElem . ItemVariable(0)
'La variable existe
If obSliderPV Is Nothing Then
Exit Sub
End If
obSlider.Max = obSliderPV.RangeMax
obSlider.Min = obSliderPV.RangeMin
obSlider.TickFrequency = 1000
obSlider.LargeChange = 25
obSlider.SmallChange = 1
obSlider.Value = obSliderPV.Value

End Sub

Public Sub Draw _ Slider ( obElem As Element )
Dim vVar As Variant
Dim obDynPic As DynPicture

Set obSliderPV = obElem.ItemVariable ( 0 )
Set obDynPic = thisProject.DynPictures. Item (BILD_1)
'variable exists
If obSliderPV Is Nothing Then
Exit Sub
End If


Accès depuis un programme externe

Manuel -> Interfaces de programmation -> Liste de macros -> Notions fondamentales -> Accès depuis un programme externe

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Pour accéder aux données de zenon depuis un programme externe comme par exemple un programme en Visual Basic, l'interface COM est utilisée. L'interface COM est aussi utilisé par VBA. Donc il n'y a que quelques petites différences auxquelles il faut faire attention.

Other topics in this chapter

Visual Basic 6


Visual Basic 6

Manuel -> Interfaces de programmation -> Liste de macros -> Notions fondamentales -> Accès depuis un programme externe -> Visual Basic 6

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

De façon à pouvoir accéder à l'interface COM, vous devez implémenter :

Avec ce type de librairie, vous pouvez accéder aux objets de l'application dans zenon (le runtime).

Comme dans ce cas, il n'y pas d'objet thisProject, il doit être créé pour pouvoir accéder aux données.

Dim obProject As zenon.Project
Set obProject = zenon.Application.Projects.Item(PROJEKTNAME)

Si le projet VB doit être compatible avec tous les projets zenon (indépendamment du nom du projet), il peut être défini comme suit :

Set obProject = zenon.Application.Projects.Item(0)

Après la création de l'objet projet (thisProject), vous pouvez par exemple accéder aux variables en lecture ou en écriture.

Lecture :

Value = obProject.Variables.Item(Variablenname).Value

Écriture :

obProject.Variables.Item(Variablenname).Value = Value


Fonctionnalité des variables en ligne

Manuel -> Interfaces de programmation -> Liste de macros -> Notions fondamentales -> Fonctionnalité des variables en ligne

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Vous pouvez imaginez les variables en ligne de VBA : OnlineVariable comme un container qui peut contenir les variables du système de contrôle (elles doivent être ajoutées dans le container). Si la valeur d'une des variables du container change, un événement est déclenché.

Other topics in this chapter

Fonctionnalité de l'événement

Définir et créer un conteneur

Placer des variables dans le conteneur

Créer un événement

Activer un événement

Désactiver l'événement

Suppression lors de la fermeture


Fonctionnalité de l'événement

Manuel -> Interfaces de programmation -> Liste de macros -> Notions fondamentales -> Fonctionnalité des variables en ligne -> Fonctionnalité de l'événement

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Si le conteneur est activé (Container.Define), toutes les variables du conteneur sont forcées une fois, de façon à ce que la valeur courante des variables soit connue. La procédure Container_VariableChange est donc exécutée pour chaque variable du container. Dès que toutes les variables ont été initialisées, cet événement survient toujours si une des variables du container a sa valeur qui change.

On évite qu'une valeur soit lue si ce n'est pas sa valeur courante.


Définir et créer un conteneur

Manuel -> Interfaces de programmation -> Liste de macros -> Notions fondamentales -> Fonctionnalité des variables en ligne -> Définir et créer un conteneur

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Définition :

Public WithEvents Container As OnlineVariable

Avec cette ligne de code, le container est défini.

Créer :

Set Container = thisProject . OnlineVariables. CreateOnlineVariables ( Container name )


Placer des variables dans le conteneur

Manuel -> Interfaces de programmation -> Liste de macros -> Notions fondamentales -> Fonctionnalité des variables en ligne -> Placer des variables dans le conteneur

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Container . Add Variablenname1
Container . Add Variablenname2
Container . Add Variablenname3
Container . Add Variablenname4
...

Répéter cette ligne pour toutes les variables à ajouter au container.


Créer un événement

Manuel -> Interfaces de programmation -> Liste de macros -> Notions fondamentales -> Fonctionnalité des variables en ligne -> Créer un événement

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Private Sub Container_VariableChange(ByVal obVar As zenon.IVariable)

...

End Sub

Cet événement est créé automatiquement, lorsque que le container est sélectionné dans la liste de gauche en haut de l'éditeur VBA (liste des objets). La procédure ci-dessus est alors ajoutée au code source. obVar permet de transmettre la variable dont la valeur a changé. Lorsque cet événement survient, la valeur actuelle de la variable (obVar.Value) peut être lue. Référez-vous à la documentation sur la hiérarchie des objets VBA pour voir les propriétés et les valeurs qui peuvent être utilisées sur les variables.


Activer un événement

Manuel -> Interfaces de programmation -> Liste de macros -> Notions fondamentales -> Fonctionnalité des variables en ligne -> Activer un événement

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Container.Define

Cette ligne active le 'monitoring' des variables dans le container. Lorsque vous exécutez la commande Define, le conteneur est actif.


Désactiver l'événement

Manuel -> Interfaces de programmation -> Liste de macros -> Notions fondamentales -> Fonctionnalité des variables en ligne -> Désactiver l'événement

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Container.Undefine

Cette commande permet de désactiver la surveillance dans le conteneur. L'événement (VariableChange) n'est plus exécuté.


Suppression lors de la fermeture

Manuel -> Interfaces de programmation -> Liste de macros -> Notions fondamentales -> Fonctionnalité des variables en ligne -> Suppression lors de la fermeture

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

De façon à ne pas laisser des éléments en mémoire lors de la fermeture du runtime, le container doit être supprimé juste avant la fermeture du runtime.

thisProject. OnlineVariables. DeleteOnlineVariables ( Container_name )

Tant que ce conteneur n'a pas été supprimé, il est impossible de créer un conteneur portant le même nom.


Liste des bits d'état

Manuel -> Interfaces de programmation -> Liste de macros -> Notions fondamentales -> Liste des bits d'état

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Numéro de bit | Désignation abrégée | Nom long | Intitulé zenon Logic
0 | M1 | User status 1; for Command Processing: Type d'action "Bloquer" ; Service Tracking du driver IEC 850 | _VSB_ST_M1
1 | M2 | État utilisateur 2 | _VSB_ST_M2
2 | M3 | État utilisateur 3 | _VSB_ST_M3
3 | M4 | État utilisateur 4 | _VSB_ST_M4
4 | M5 | État utilisateur 5 | _VSB_ST_M5
5 | M6 | État utilisateur 6 | _VSB_ST_M6
6 | M7 | État utilisateur 7 | _VSB_ST_M7
7 | M8 | État utilisateur 8 | _VSB_ST_M8
8 | NET_SEL | Sélectionné dans le réseau | _VSB_SELEC
9 | REVISION | Révision | _VSB_REV
10 | PROGRESS | En fonctionnement | _VSB_DIREC
11 | TIMEOUT | Command "Timeout exceeded" (command runtime exceeded) | _VSB_RTE
12 | MAN_VAL | Valeur manuelle | _VSB_MVALUE
13 | M14 | État utilisateur 14 | _VSB_ST_14
14 | M15 | État utilisateur 15 | _VSB_ST_15
15 | M16 | État utilisateur 16 | _VSB_ST_16
16 | GI | Requête générale | _VSB_GR
17 | SPONT | Spontané | _VSB_SPONT
18 | INVALID | Invalide | _VSB_I_BIT
19 | T_STD_E | External standard time (standard time) Caution: up to version 7.50, this was the status bit T_CHG_A | _VSB_SUWI
20 | OFF | Désactivé | _VSB_N_UPD
21 | T_EXTERN | Temps réel - horodatage externe | _VSB_RT_E
22 | T_INTERN | Informations d'horodatage internes | _VSB_RT_I
23 | N_SORTAB | Non triable | _VSB_NSORT
24 | FM_TR | MD_TR;Message de défaut du transfo | _VSB_DM_TR
25 | RM_TR | Message de marche du transformateur | _VSB_RM_TR
26 | INFO | Informations de la variable | _VSB_INFO
27 | ALT_VAL | Valeur de remplacement | _VSB_AVALUE
28 | RES28 | Réservé à une utilisation interne (clignotement d'alarme) | _VSB_RES28
29 | N_UPDATE | Not updated (zenon network) | _VSB_ACTUAL
30 | T_STD | Heure d’hiver interne | _VSB_WINTER
31 | RES31 | Réservé à une utilisation interne (clignotement d'alarme) | _VSB_RES31
32 | COT0 | Cause de transmission bit 1 | _VSB_TCB0
33 | COT1 | Cause de transmission bit 2 | _VSB_TCB1
34 | COT2 | Cause de transmission bit 3 | _VSB_TCB2
35 | COT3 | Cause de transmission bit 4 | _VSB_TCB3
36 | COT4 | Cause de transmission bit 5 | _VSB_TCB4
37 | COT5 | Cause de transmission bit 6 | _VSB_TCB5
38 | N_CONF | Confirmation négative de la commande par l'appareil (IEC 60870 [P/N]) | _VSB_PN_BIT
39 | TEST | Bit de test (IEC60870 [T]) | _VSB_T_BIT
40 | WR_ACK | Écriture reconnue | _VSB_WR_ACK
41 | WR_SUC | Écriture réussie | _VSB_WR_SUC
42 | NORM | NORM;État Normal | _VSB_NORM
43 | N_NORM | État déviation normale | _VSB_ABNORM
44 | BL_870 | État IEC 60870 : blocked | _VSB_BL_BIT
45 | SB_870 | État IEC 60870 : substituted | _VSB_SP_BIT
46 | NT_870 | État IEC 60870 : not topical | _VSB_NT_BIT
47 | OV_870 | État IEC 60870 : overflow | _VSB_OV_BIT
48 | SE_870 | État IEC 60870 : select | _VSB_SE_BIT
49 | T_INVAL | Horodatage externe invalide | non défini
50 | CB_TRIP | Déclenchement de disjoncteur détecté | non défini
51 | CB_TR_I | Détection de déclenchement de disjoncteur inactive | non défini
52 | OR_DRV | Valeur non comprise dans la plage valide (IEC 61850) | non défini
53 | T_UNSYNC | ClockNotSynchronized (IEC 61850) | non défini
54 | PR_NR | Pas enregistré dans le Process Recorder | non défini
55 | RES55 | réservé | non défini
56 | RES56 | réservé | non défini
57 | RES57 | réservé | non défini
58 | RES58 | réservé | non défini
59 | RES59 | réservé | non défini
60 | RES60 | réservé | non défini
61 | RES61 | réservé | non défini
62 | RES62 | réservé | non défini
63 | RES63 | réservé | non défini

info Informations

Dans les formules, tous les bits d'état sont disponibles. La disponibilité peut être réduite dans le cadre d'autres utilisations.

Pour plus de détails concernant la gestion des états, reportez-vous au chapitre Gestion d'états.


Lasso de sélection d'éléments dynamiques dans le Runtime

Manuel -> Interfaces de programmation -> Liste de macros -> Notions fondamentales -> Lasso de sélection d'éléments dynamiques dans le Runtime

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Les éléments dynamiques liés à une variable ou une fonction peuvent être présélectionnés à l'aide du lasso dans le Runtime, et ainsi être utilisés pour des événements.

Avec la méthode SelElements, l'utilisateur peut identifier les éléments dynamiques sélectionnés tels qu'ils ont été sélectionnés dans le Runtime. Ces éléments DynPicture.SelElements peuvent ensuite utilisés pour des événements tels que glisser-déplacer.

Sélection avec le lasso

Pour sélectionner des éléments avec le lasso dans le Runtime, vous devez :

  • Activer la propriété Sélection multiple en runtime (lasso) dans les paramètres du projet
  • Activer la propriété Runtime/sélectionnable avec le lasso dans la propriété de l'élément dynamique
  • La propriété Déplacer le gabarit avec la souris doit être activée

There are several methods for selecting elements available in Runtime, depending on the settings for touch operation:

  • Touch operation deactivated or Windows 7 (Reconnaissance property deactivated or Windows 7):
    • Left mouse click + movement: New selection is created.
    • Left mouse click + Ctrl key + movement: Selection is expanded.
  • Native Windows 8 touch operation active (Reconnaissance property on Windows 8):
    • Left mouse click + movement: Screen is moved
    • Left mouse click + Ctrl key + movement: Screen is moved.
    • Left mouse click + Shift key + movement: New selection is created.
    • Left mouse click + Ctrl key + Shift key + movement: Selection is expanded.

Règles :

  • Only elements that are visible can be selected.
  • If a button is selected and it is clicked on, the respective function is executed.
  • If a button is clicked on with a mouse button and the mouse is moved before the mouse button is released, the respective function is not executed.
  • Annuler la sélection : tracez un lasso ne contenant aucun élément


Macros dans l'éditeur

Manuel -> Interfaces de programmation -> Liste de macros -> Macros dans l'éditeur

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Les macros peuvent être exécutées à l'aide d'une barre d'outils configurable dans l'éditeur. A cette fin, les macros sont liées avec les boutons de la barre d'outils VBA.

En outre, les macros peuvent être exécutées manuellement à l'aide de l'éditeur VBA.

Grâce aux assistants, les tâches de développement répétitives peuvent être exécutées, ou des projets entiers peuvent être créés d'un simple clic sur un bouton. Quelques exemples d'assistants sont déjà fournis dans zenon. Ces assistants peuvent être améliorés et complétés, si nécessaire. Ils sont utiles lors de la création d'un projet, lors de l'importation et l'exportation, lors de la création de variables etc. Vous trouvez plus de détails au chapitre Assistants.

Evénements dans l'éditeur

Les événements dans l'éditeur forment partie de l'espace de travail VBA et permettent de réagir à des événements lors de la programmation de l'espace de travail, par exemple pour des assistants ou lors de l'utilisation de la fonction de transport distant. Par exemple :

  • OnElementCreated
  • OnElementDeleted
  • OnElementDoubleClicked
  • OnObjectCreated
  • ...

Vous trouverez des informations concernant tous les événements dans la rubrique d'aide du chapitre Objet Modèle.

Other topics in this chapter

Barre d’outils Liste de macros

Lier les macros


Barre d’outils Liste de macros

Manuel -> Interfaces de programmation -> Liste de macros -> Macros dans l'éditeur -> Barre d’outils Liste de macros

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Les macros créées en langage VBA peuvent être gérées via l’élément de barre d’outils Liste de macros.

Symbole

(de gauche à droite)

Fonction

Recharger la liste des macros VBA/VSTA

Charge toutes les macros Public Sub Name () incluses dans myWorkspace et les modules dans la liste déroulante de la barre d’outils.

Rechercher une macro

Vous pouvez rechercher des macros par l’intermédiaire d’un champ de saisie ou d’une liste déroulante. La largeur de la liste déroulante est déterminée en fonction de l’élément le plus large.

Liste déroulante Macros

Contient toutes les macros chargées et vous permet de les sélectionner.

Exécuter la macro sélectionnée

Exécute la macro sélectionnée dans la liste déroulante.

Exécuter la macro associée no. <x>

Exécute la macro associée au symbole.

Attribuer des macros

Ouvre la boîte de dialogue d’association de macros. Jusqu’à 5 macros peuvent être associées aux symboles 1 à 5.

VBA

Filtres pour macros VBA. Seules les macros VBA sont affichées.

VSTA

Filtres pour macros VSTA. Seules les macros VSA sont affichées.

TOUT

Annule le filtre actuel et affiche toutes les macros.

AZ

Trie les macros par ordre croissant, de 0 à 9 et de A à Z.

ZA

Trie les macros par ordre décroissant, de Z à A et de 9 à 0.

Options pour la barre de symboles

Cliquez sur la flèche pour ouvrir le sous-menu :

Active : la barre d'outils est affichée.

Si la barre d’outils n’est pas affichée, elle peut être activée en sélectionnant le menu Options -> Barre d’outils.

Remarque : Si la barre d’outils est positionnée librement (c’est-à-dire dissociée d’Editor), les options ne sont pas affichées. Pour fermer la barre d’outils, cliquez sur le bouton X.

info Informations

Si la boîte de dialogue d’association de macros ne contient pas toutes les macros de myWorkspace, exécutez la fonction Recharger la liste des macros VBA dans la barre d’outils.


Lier les macros

Manuel -> Interfaces de programmation -> Liste de macros -> Macros dans l'éditeur -> Lier les macros

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Les macros peuvent être invoquées par l'intermédiaire d'un bouton de la barre d'outils. Cinq macros maximum peuvent être liées de cette manière. Le bouton Attribuer des macros permet d'ouvrir la boîte de dialogue d'attribution de macros.

Paramètre | Description
No. de macro | Le numéro de macro correspond au numéro du bouton de la barre d'outils. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de macro.
OK | Crée des liens avec les boutons et ferme la boîte de dialogue.
Annuler | Annule toutes les modifications et ferme la boîte de dialogue.
Aide | Ouvre l’aide en ligne.

Paramètre | Description
Existing selection (Sélection existante) | Liste des macros pouvant être liées.
Aucune sélection | Supprime l'attribution existante pour le bouton.
OK | Attribue la macro sélectionnée au bouton.
Annuler | Annule toutes les modifications et ferme la boîte de dialogue.
Aide | Ouvre l’aide en ligne.


Fonctions dans zenon

Manuel -> Interfaces de programmation -> Liste de macros -> Fonctions dans zenon

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Dans la boîte de dialogue Function selection (Sélection de fonction), vous trouverez les fonctions suivantes sous l'élément VBA.

Fonction | Description
Ouvrir l'éditeur PCE | Cette fonction ouvre l'éditeur du module optionnel Process Control Engine (PCE)
Ouvrir l'éditeur VBA | Ouvre l'éditeur VBA.
Exécuter macro VBA | Exécute une macro VBA sélectionnée. Attention : L'événement VBA projet inactif est exécuté par le script AUTO_END_xxx. Par conséquent, la fonction Exécuter macro VBA de zenon n'est plus exécutée dans les scripts, car VBA n'est pas en cours d'exécution à ce stade.
Montrer la boîte de dialogue des macros VBA | Ouvre la boîte de dialogue de macros VBA.

Other topics in this chapter

Exécuter macro VBA


Exécuter macro VBA

Manuel -> Interfaces de programmation -> Liste de macros -> Fonctions dans zenon -> Exécuter macro VBA

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Si vous sélectionnez la fonction Exécuter macro VBA, la boîte de dialogue suivante s'affiche.

Les paramètres suivants sont disponibles :

Paramètre | Description
Sélectionner la macro | Ouvre la boîte de dialogue de sélection des macros (voir également Sélection des macros) Conseil : Affiche uniquement la liste des macros VBA correspondant au nombre de paramètres définis dans la fonction Paramètre (voir ci-dessous).
Paramètre | Saisissez la valeur souhaitée (chaîne) pour un paramètre.
Nouveau | Cliquez sur ce bouton pour appliquer la valeur au paramètre dans la liste des paramètres disponibles.
Supprimer | Cliquez sur ce bouton pour supprimer l'entrée sélectionnée de la liste des paramètres disponibles. Vous ne pouvez supprimer qu'une entrée à la fois.
Haut | Cliquez sur ce bouton pour remonter l'entrée sélectionnée d'une place. Dans l'ordre des paramètres, l'entrée est déplacée d'une place vers l'avant.
Bas | Cliquez sur ce bouton pour descendre l'entrée sélectionnée d'une place. Dans l'ordre des paramètres, l'entrée est déplacée d'une place vers l'arrière.

Il est possible d'ajouter des chaînes aux macros créées avec des paramètres. Ces chaînes sont transférées sous forme de paramètres individuels dans le Runtime lors de l'exécution de la macro.

info Informations

Vous devez vous assurer que le nombre de paramètres de la macro liée correspond au nombre de paramètres créés.

Other topics in this chapter

Sélectionner la macro


Sélectionner la macro

Manuel -> Interfaces de programmation -> Liste de macros -> Fonctions dans zenon -> Exécuter macro VBA -> Sélectionner la macro

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Lorsque vous cliquez sur le bouton ..., la boîte de dialogue suivante s'affiche.

Sélectionnez la macro souhaitée parmi les macros disponibles, puis cliquez sur OK.


Développement d'assistants dans VBA

Manuel -> Interfaces de programmation -> Liste de macros -> Développement d'assistants dans VBA

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Depuis la version 6, il est possible d'automatiser des projets d'ingénierie à l'aide d'assistants. Ainsi, les tâches récurrentes peuvent être confiées à un assistant qui exécute les actions souhaitées, telles que la création d'un projet ou la création de cadres et de synoptiques conformément à un standard prédéfini.

Un autre domaine d'application des assistants est l'automatisation des modifications dans les projets existants, par ex. la modification des propriétés d'éléments dynamiques dans tous les synoptiques d'un projet existant.

La base des assistants est le langage Microsoft Visual Basic for Applications (VBA) et le modèle d'objet de zenon.

À l'heure actuelle, les assistants suivants sont disponibles :

  • Project Wizard (Assistant Projet)
  • Assistant d'importation
  • Assistant Vue globale
  • Assistant de recherche de texte VBA
  • Assistant de création de mots-clés
  • Assistant de traduction de mots-clés
  • Assistant de création de variables

Les assistants sont disponibles sous forme de code source VBA sur le support d'installation. Les nouveaux assistants peuvent être mis en œuvre dans l'environnement VBA.

Autres sujets abordés dans ce chapitre

Utilisation d'un assistant

Structure d'un assistant

Intégration dans VBA

Développement d'un assistant

Mise à jour des assistants


Utilisation d'un assistant

Manuel -> Interfaces de programmation -> Liste de macros -> Développement d'assistants dans VBA -> Utilisation d'un assistant

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

L'entrée de menu Editor Assistants dans le menu Outils permet d'accéder à la sélection des assistants. In this dialog, all available wizards are shown according to their category.
If wizards do not contain a category, a Not linked entry is created automatically. Dans cette catégorie, tous les assistants non liés sont affichés.

Lorsque l'utilisateur sélectionne un assistant et clique sur le bouton OK, l'assistant sélectionné est exécuté.

info Informations

L'assistant n'est pas compatible avec les projets multi-utilisateurs.


Structure d'un assistant

Manuel -> Interfaces de programmation -> Liste de macros -> Développement d'assistants dans VBA -> Structure d'un assistant

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Un assistant est un formulaire UserForm conservé dans le nœud spécifique à l'application du programme. En règle générale, le formulaire UserForm est constitué d'un élément multi-pages affichant les différentes étapes de l'assistant.

Le bouton Suivant permet d'afficher la page suivante de l'élément multi-pages. Toutes les entrées devant être conservées temporairement (par exemple, la création d'objets tels que les cadres, les synoptiques, etc.) sont déterminées lorsque l'utilisateur clique sur le bouton Terminer de l'assistant.

info Informations

Les formulaires UserForms utilisés en tant qu'assistant doivent contenir des méthodes publiques fournissent des informations concernant l'assistant au système de contrôle. Si ces routines sont manquantes dans un formulaire UserForm, celui-ci n'est pas considéré comme un assistant.


Intégration dans VBA

Manuel -> Interfaces de programmation -> Liste de macros -> Développement d'assistants dans VBA -> Intégration dans VBA

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Les assistants sont conservés dans un nœud spécifique de l'application, ZWorkspace. Cet objet représente l'espace de travail actuellement chargé dans l'Éditeur, et est uniquement disponible dans l'Éditeur de zenon.

Tous les objets dans ce projet VBA peuvent accéder à l'espace de travail actuel par le biais de l'objet MyWorkspace. Celui-ci est toujours lié au projet actuellement actif, accessible à l'aide de la propriété ActiveDocument.

Le contenu de l'objet ZWorkspace est conservé dans le fichier ZenWorkspace.vba. Celui-ci est copié dans le répertoire d'installation lors de la première installation de la version 6. Ce fichier n'est pas remplacé lors des mises à jour ultérieures. Vous trouverez plus d'informations concernant la mise à jour des assistants à la fin de ce didacticiel.


Développement d'un assistant

Manuel -> Interfaces de programmation -> Liste de macros -> Développement d'assistants dans VBA -> Développement d'un assistant

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Ce didacticiel décrit le développement d'un assistant permettant de créer des variables pour un driver sélectionné.

Démarrez l'environnement VBA depuis l'Éditeur de zenon, puis accédez au dossier ZWorkspace/Forms. Ce fichier contient les éléments de base nécessaires au développement d'un assistant. Modifiez le nom du formulaire UserForm.

Si le dossier indiqué ci-dessus n'est pas disponible, vous pouvez l'importer à l'aide de Importez la commande Importer fichier.

info Informations

Le développement d'un assistant nécessite des connaissances concernant le modèle d'objet de zenon et le langage VBA. Ces rubriques ne sont pas couvertes dans ce didacticiel.

Créez la surface affichée ci-dessus. Ensuite, basculez vers le module de codage du formulaire UserForm, puis faites défiler le fichier jusqu'à la fin. C'est là que vous trouverez les méthodes suivantes.

  • Public Function GetWizardName () As String

    Renvoie le nom unique de l'assistant. Modifiez le contenu en Assistant de création de variables.

  • Public Function GetWizardInfo () As String

    Renvoie une brève description dans la sélection d'assistants. Modifiez le contenu en Assistant de création de variables pour un driver sélectionné.

  • Public Function GetWizardCategory () As String

    Renvoie la catégorie de l'assistant. Dans la sélection d'assistants, les assistants sont affichés sous forme d'arborescence des catégories. Modifiez le contenu en Variables.

  • Public Function IsZenOnWizard () As Boolean

    Affichage de l'assistant dans la sélection d'assistants. Si cette méthode renvoie la valeur False, l'assistant n'est pas affiché, par exemple parce qu'il n'est pas encore terminé. Modifiez le type de retour en True.

Ces méthodes fournissent les informations concernant l'assistant demandées par le système de contrôle. Gardez à l'esprit que l'assistant est uniquement affiché dans la sélection d'assistants si la méthode IsZenOnWizard renvoie True.

Basculez vers l'événement Initialize du formulaire UserForm, puis modifiez le contenu de la table de chaînes m_strCaption. Dans la mesure où cet assistant ne comporte que deux étapes, il est possible de supprimer les autres attributions.

Ajoutez les définitions suivantes à la partie supérieure du module de code :

Private m_obDriver As Driver
Private m_obVarType As VarType
Private m_nChannelType As Integer

Créez une méthode d'initialisation de la zone de liste modifiable des drivers. Cette routine a pour objectif d'afficher tous les drivers chargés du projet actuel dans une zone de liste modifiable.

cbDriver.Clear
Dim nIndex As Long
For nIndex = 0 To MyWorkspace.ActiveDocument.Drivers.Count - 1
Dim obDriver As Driver
Set obDriver = MyWorkspace.ActiveDocument.Drivers.Item(nIndex)
If (Not obDriver Is Nothing) Then
cbDriver.AddItem
obDriver.Name
End If
Next nIndex
If (cbDriver.ListCount > 0) Then
cbDriver.ListIndex = 0
End If

En outre, une autre routine doit être définie pour afficher, dans une zone de liste modifiable, tous les types de variables définis dans le projet.

If (Not m_obDriver Is Nothing) Then
cbVarType.Clear
Dim nIndex As Long , nSelect As Integer
For nIndex = 0 To MyWorkspace.ActiveDocument.VarTypes.Count - 1
Dim obVarType As VarType
Set obVarType = MyWorkspace.ActiveDocument.VarTypes.Item(nIndex)
If ( Not obVarType Is Nothing And obVarType.IsSimple = True) Then
cbVarType.AddItem
obVarType.Name
If (obVarType.Name = INT) Then
nSelect = nIndex
End If
End If
Next nIndex
cbVarType.ListIndex = nSelect
End If

Lors de l'ouverture de l'assistant, toutes les variables existantes sont contrôlées, afin d'identifier un offset de départ libre pour la création des nouvelles variables. Pour cela, la méthode suivante est appliquée.

Private Function FindHighestOffsetVar() As Long
On Error GoTo Error
Dim nIndex As Long, nOffset As Long
For nIndex = 0 To MyWorkspace.ActiveDocument.Variables.Count - 1

Dim obVar As Variable
Set obVar = MyWorkspace.ActiveDocument.Variables.Item(nIndex)
If ( Not obVar Is Nothing) Then
If (obVar.Offset > nOffset) Then
nOffset = obVar.Offset
End If
End If
Next nIndex
FindHighestOffsetVar = nOffset
Exit Function
Error : MsgBox
Error occurs: + Err.Description + Source + Err.Source
End Function

Basculez vers l'événement Initialize du formulaire UserForm, puis ajoutez les lignes suivantes à cette méthode :

txtStart.Value = CStr(FindHighestOffsetVar + 1)

InitializeDriver

L'attribution à txtStart définit l'offset de départ pour la création des variables. La méthode InitializeDriver renseigne la zone de liste modifiable avec les drivers existants.

Créez un événement Change pour la zone de liste modifiable de drivers et ajoutez-y le code suivant Une fois le driver sélectionné, les types de variables sont obtenus. L'objet de driver sélectionné est stocké dans la variable m_obDriver pour être utilisé ultérieurement.

Private Sub cbDriver_Change()
cmdNext.Enabled = True
Set m_obDriver = MyWorkspace.ActiveDocument.Drivers.Item(cbDriver.Value)
If ( Not m_obDriver Is Nothing) Then
InitializeVarType
End If
End Sub

Créez un événement Change pour la zone de liste modifiable de variables et ajoutez-y le code suivant Le type de variable sélectionné est stocké dans la variable m_obVarType pour être utilisé ultérieurement.

Private Sub cbVarType_Change()
Set m_obVarType = MyWorkspace.ActiveDocument.VarTypes.Item(cbVarType.Value)
End Sub

Il ne reste maintenant plus qu'à créer la routine d'événement de création des variables avec les paramètres définis. Pour cela, il est nécessaire de cliquer sur le bouton Terminer.

Private Sub cmdFinish_Click()
On Error GoTo Error
If (cbVarType.ListIndex = -1) Then
MsgBox 'Please select a variable type'
cbVarType.SetFocus
Exit Sub
End If
If (txtStart.Value = Or txtCount.Value = Or txtStep.Value = ) Then
MsgBox 'Please enter Start-Offset', 'count of creating variables and the step'
txtStart.SetFocus
End If
If (m_obVarType Is Nothing) Then
MsgBox 'Variable type + cbVarType.Name + doesnt exist!'
Exit Sub
End If
Dim nPrvMousePtr As Integer
nPrvMousePtr = MousePointer
MousePointer = fmMousePointerHourGlass
DoEvents
Dim strName As String
Dim nIndex As Long , nVarIndex As Integer
Dim nStartOff As Long , nStep As Integer
nVarIndex = 1
nStartOff = CLng (txtStart.Value)
nStep = CLng (txtStep.Value)
For nIndex = 0 To CLng (txtCount.Value - 1)
Dim obVar As Variable
strName = txtName.Value + _ + CStr (nIndex + 1)
'*** Guaranteeing uniqueness of the variable name
Dim bResult As Boolean
bResult = False
Do
Set obVar = MyWorkspace.ActiveDocument.Variables.Item(strName)
If (obVar Is Nothing) Then
bResult = True
Else
nVarIndex = nVarIndex + 1
strName = txtName.Value + _ + CStr (nVarIndex)
End If
Loop While
bResult = False
'*** Create variable
Set obVar = MyWorkspace.ActiveDocument.Variables.CreateVar (strName, m_obDriver, tpSPSMerker, m_obVarType)
If ( Not obVar Is Nothing) Then
obVar.Offset = nStartOff
nStartOff = nStartOff + nStep
End If
Next nIndex
MousePointer = nPrvMousePtr
Unload Me
Exit Sub
Error :
MousePointer = nPrvMousePtr
MsgBox Error occurs: + Err.Description + Source + Err.Source
End Sub

À la fin de l'assistant, la validité des paramètres définis est contrôlée. Si ce n'est pas le cas, un message est affiché et l'utilisateur est invité à corriger les entrées concernées.

Si les paramètres définis sont valides, les variables sont créées. Les variables reçoivent un nom et un indice. Si une variable portant le même nom existe déjà dans le projet, l'indice disponible suivant est utilisé. Dans notre exemple de code, une variable contenant le marqueur d'automate associé au type de canal est créée. À chaque cycle, l'offset de la variable augmente.


Mise à jour des assistants

Manuel -> Interfaces de programmation -> Liste de macros -> Développement d'assistants dans VBA -> Mise à jour des assistants

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Pour mettre à jour les assistants :

  1. In the Extras menu, select the Update Editor Add-Ins entry.

    Une boîte de dialogue permettant de mettre à jour les assistants disponibles s'affiche.

  2. Sélectionnez les assistants souhaités.
  3. Démarrez la mise à jour en cliquant sur Démarrer la mise à jour.

Si un assistant ou une classe existe déjà dans l'espace de travail, un message d'avertissement est affiché.

attention Attention

Les assistants existants sont remplacés durant la mise à jour. Les modifications individuelles apportées à un assistant sont perdues.


Foire aux questions

Manuel -> Interfaces de programmation -> Liste de macros -> Foire aux questions

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Ce chapitre fournit des réponses à des questions fréquentes. Vous trouverez d'autres solutions en ligne, dans le forum des utilisateurs de COPA-DATA.

Other topics in this chapter

Pourquoi le bouton reste enfoncé ?

La macro n'est pas exécutée avec le premier clic

Les macros ne marchent plus dans le runtime ?

Windows CE et VBA


Pourquoi le bouton reste enfoncé ?

Manuel -> Interfaces de programmation -> Liste de macros -> Foire aux questions -> Pourquoi le bouton reste enfoncé ?

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Si Une marco est liée à l'événement LeftClickUp sur un bouton, alors à la fin de la macro il faut exécuter le LeftClickUp.

Public Sub LeftClickUp_Schalter(obElem As Element)
frmSchalter.Show

obElem.LeftClickUp
End Sub


La macro n'est pas exécutée avec le premier clic

Manuel -> Interfaces de programmation -> Liste de macros -> Foire aux questions -> La macro n'est pas exécutée avec le premier clic

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

La solution correspond à la réponse fournie à la question : Pourquoi le bouton reste-t-il enfoncé ? :

Si Une marco est liée à l'événement LeftClickUp sur un bouton, alors à la fin de la macro il faut exécuter le LeftClickUp.

Public Sub LeftClickUp_Schalter(obElem As Element)
frmSchalter.Show

obElem.LeftClickUp
End Sub


Les macros ne marchent plus dans le runtime ?

Manuel -> Interfaces de programmation -> Liste de macros -> Foire aux questions -> Les macros ne marchent plus dans le runtime ?

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Cela peut arriver si l'éditeur VBA est ouvert en runtime et que le Stop/Start est sélectionné pour arrêter / démarrer VBA Dans ce cas, les objets (OnlineVariables, ScreenObjects, etc.) deviennent non valides, car ils perdent leur lien dans le cas d'une nouvelle initialisation.


Windows CE et VBA

Manuel -> Interfaces de programmation -> Liste de macros -> Foire aux questions -> Windows CE et VBA

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Dans Editor, VBA peut être utilisé pour les assistants. Il ne peut pas être utilisé dans le Runtime. Pour des informations détaillées concernant l'éditeur, reportez-vous au chapitre Comment faire un projet CE.


Exemples

Manuel -> Interfaces de programmation -> Liste de macros -> Exemples

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Vous trouverez ici quelques exemples de code VBA :

Other topics in this chapter

Initialisation de MouseEvents et du contrôle ActiveX

Afficher les informations d'une variable

Lire et écrire des valeurs de variable

Lire et écrire des variables et déployer les variables en ligne

Utiliser une boîte de dialogue plusieurs fois

Alarme – Evénements et gestion des contrôles ActiveX

Accès aux alarmes

Définition d'un interrupteur (utilisation de variables de procédé)


Initialisation de MouseEvents et du contrôle ActiveX

Manuel -> Interfaces de programmation -> Liste de macros -> Exemples -> Initialisation de MouseEvents et du contrôle ActiveX

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Option Explicit

Public Sub Init_ActiveX(obElem As Element)

'Initialisation d'ActiveX...

thisProject.Init_MSChart_AX obElem

End Sub

Public Sub LeftClickUp_Sample1(obElem As Element)

'Initialisation du formulaire Userform...

frmSample1.InitForm obElem

'Affichage du formulaire Userform

frmSample1.Show

End Sub

Public Sub LeftClickUp_Sample2(obElem As Element)

'Initialisation du formulaire Userform...

frmSample2.InitForm obElem

'Affichage du formulaire Userform

frmSample2.Show

End Sub

Public Sub LeftClickUp_Sample3(obElem As Element)

'Initialisation du formulaire Userform...

frmSample3.InitForm obElem

'Affichage du formulaire Userform

frmSample3.Show

End Sub

Public Sub LeftClickUp_Sample4(obElem As Element)

Dim NewForm As New frmSample4

'Initialisation du nouveau formulaire Userform...

NewForm.InitForm obElem

'Affichage du nouveau formulaire Userform

NewForm.Show (0)

End Sub


Afficher les informations d'une variable

Manuel -> Interfaces de programmation -> Liste de macros -> Exemples -> Afficher les informations d'une variable

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Afficher le nom de la variable correspondant à l'élément sur lequel vous avez cliqué :

Option Explicit

Dim obVar As Variable

'Procédure publique d'initialisation d'objets définie par l'utilisateur

Public Sub InitForm(obElem As Element)

'définit l'objet variable sous forme de variable liée de l'élément

Set obVar = obElem.ItemVariable(0)

'écrit la variable dans le champ de texte

txtVarName.Text = obVar.Name

End Sub

Private Sub cmdExit_Click()

'ferme le formulaire Userform

Unload Me

End Sub


Lire et écrire des valeurs de variable

Manuel -> Interfaces de programmation -> Liste de macros -> Exemples -> Lire et écrire des valeurs de variable

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Lire la valeur de la variable et la réécrire :

Option Explicit

Dim obVar As Variable

'Procédure publique d'initialisation d'objets définie par l'utilisateur

Public Sub InitForm(obElem As Element)

'définit l'objet variable sous forme de variable liée de l'élément

Set obVar = obElem.ItemVariable(0)

'écrit la variable dans le champ de texte

txtVarName.Text = obVar.Name

End Sub

Private Sub cmdExit_Click()

'ferme le formulaire Userform

Unload Me

End Sub

Private Sub cmdRead_Click()

'Lire la valeur de la variable et l'écrire dans le champ de texte :

txtValue.Text = obVar.Value

End Sub

Private Sub cmdWrite_Click()

'écrire le texte sous forme de valeur dans la variable

obVar.Value = txtValue.Text

'ou changer le texte en valeur avant l'écriture...

'obVar.Value = Val(txtValue.Text)

End Sub


Lire et écrire des variables et déployer les variables en ligne

Manuel -> Interfaces de programmation -> Liste de macros -> Exemples -> Lire et écrire des variables et déployer les variables en ligne

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Lire les informations de la variable, écrire les valeurs et déployer les variables en ligne :

Option Explicit

Dim obVar As Variable

Dim WithEvents zOnlineVariable As OnlineVariable

'Procédure publique d'initialisation d'objets définie par l'utilisateur

Public Sub InitForm(obElem As Element)

'définit l'objet variable sous forme de variable liée de l'élément

Set obVar = obElem.ItemVariable(0)

'écrit la variable dans le champ de texte

txtVarName.Text = obVar.Name

'créer un conteneur OnlineVariable

Set zOnlineVariable = thisProject.OnlineVariables.CreateOnlineVariables("OLV")

'ajouter les variables au conteneur (selon le nom de la variable)

zOnlineVariable.Add obVar.Name

End Sub

Private Sub cmdExit_Click()

'ferme le formulaire Userform

Unload Me

End Sub

Private Sub cmdRead_Click()

'Lire la valeur de la variable et l'écrire dans le champ de texte :

txtValue.Text = obVar.Value

End Sub

Private Sub cmdWrite_Click()

'écrire le texte sous forme de valeur dans la variable

obVar.Value = txtValue.Text

'ou changer le texte en valeur avant l'écriture...

'obVar.Value = Val(txtValue.Text)

End Sub

Private Sub cmdOLV_Start_Click()

'démarrer la variable OnlineVariable - Define

'l'événement VariableChange sera exécuté

zOnlineVariable.Define

End Sub

Private Sub cmdOLV_Start_Click()

'arrêter la variable OnlineVariable - UnDefine

'l'événement VariableChange sera arrêté

zOnlineVariable.Undefine

End Sub

Private Sub zOnlineVariable_VariableChange(ByVal obVar As IVariable)

'écrire la valeur réelle dans le champ de texte

txtOLV.Text = obVar.Value

End Sub

Private Sub UserForm_Terminate()

'l'événement VariableChange sera arrêté s'il est en cours d'exécution

zOnlineVariable.Undefine

'supprimer le conteneur OnlineVariable

thisProject.OnlineVariables.DeleteOnlineVariables ("OLV")

End Sub


Utiliser une boîte de dialogue plusieurs fois

Manuel -> Interfaces de programmation -> Liste de macros -> Exemples -> Utiliser une boîte de dialogue plusieurs fois

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Les formulaires Userform peuvent être utilisés à plusieurs reprises.

Option Explicit

Dim obVar As Variable

Dim WithEvents zOnlineVariable As OnlineVariable

Dim strOLVName As String

Public Sub InitForm(obElem As Element)

'définit l'objet variable sous forme de variable liée de l'élément

Set obVar = obElem.ItemVariable(0)

'écrit la variable dans le champ de texte

txtVarName.Text = obVar.Name

'créer le nom du conteneur en ligne

strOLVName = "OLV_" & obElem.Name

'obtenir le conteneur en ligne existant

Set zOnlineVariable = thisProject.OnlineVariables.Item(strOLVName)

'vérifier si le conteneur en ligne existe

If zOnlineVariable Is Nothing Then

'créer un conteneur OnlineVariable

Set zOnlineVariable = thisProject.OnlineVariables.CreateOnlineVariables(strOLVName)

'ajouter les variables au conteneur (selon le nom de la variable)

zOnlineVariable.Add obVar.Name

End If

End Sub

Private Sub cmdExit_Click()

Unload Me 'close Userform

End Sub

Private Sub cmdRead_Click()

'Lire la valeur de la variable et l'écrire dans le champ de texte :

txtValue.Text = obVar.Value

End Sub

Private Sub cmdWrite_Click()

'écrire le texte sous forme de valeur dans la variable

obVar.Value = txtValue.Text

'ou changer le texte en valeur avant l'écriture...

'obVar.Value = Val(txtValue.Text)

End Sub

Private Sub cmdOLV_Start_Click()

'l'événement VariableChange sera exécuté

zOnlineVariable.Define

End Sub

Private Sub cmdOLV_Start_Click()

'l'événement VariableChange sera arrêté

zOnlineVariable.Undefine

End Sub

Private Sub zOnlineVariable_VariableChange(ByVal obVar As IVariable)

'écrire la valeur réelle dans le champ de texte

txtOLV.Text = obVar.Value

End Sub

Private Sub UserForm_Terminate()

'l'événement VariableChange sera arrêté s'il est en cours d'exécution

zOnlineVariable.Undefine

'supprimer le conteneur OnlineVariable

thisProject.OnlineVariables.DeleteOnlineVariables (strOLVName)

End Sub


Alarme – Evénements et gestion des contrôles ActiveX

Manuel -> Interfaces de programmation -> Liste de macros -> Exemples -> Alarme – Evénements et gestion des contrôles ActiveX

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Option Explicit

Dim WithEvents obChart As MSChart

Dim WithEvents zOLV As OnlineVariable

Dim WithEvents zAlarm As Alarm

'la procédure est exécutée au démarrage du Runtime zenon

Private Sub Project_Active()

'initialiser l'objet alarme pour les événements

Set zAlarm = thisProject.Alarm

End Sub

'la procédure est exécutée lorsqu'une alarme est activée

Private Sub zAlarm_AlarmComes(ByVal obItem As IAlarmItem)

Dim strInfo As String

'écrire les informations spécifiques concernant l'alarme dans une variable StringVariable

strInfo = obItem.Text & " - " & obItem.Name

thisProject.Variables.Item("Var_Comes").Value = strInfo

End Sub

'la procédure est exécutée lorsqu'une alarme est désactivée

Private Sub zAlarm_AlarmGoes(ByVal obItem As IAlarmItem)

Dim strInfo As String

'écrire les informations spécifiques concernant l'alarme dans une variable StringVariable

strInfo = obItem.Text & " - " & obItem.Name

thisProject.Variables.Item("Var_Goes").Value = strInfo

End Sub

'la procédure est exécutée lorsqu'une alarme a été acquittée par un utilisateur

Private Sub zAlarm_AlarmAcknowledged(ByVal obItem As IAlarmItem)

Dim strInfo As String

'écrire les informations spécifiques concernant l'alarme dans une variable StringVariable

strInfo = obItem.Text & " - " & obItem.Name

thisProject.Variables.Item("Var_Acknowledged").Value = strInfo

End Sub

'la procédure est exécutée lors de l'arrêt du Runtime zenon

Private Sub Project_Inactive()

'libérer l'objet alarme

Set zAlarm = Nothing

'supprimer la varable OnlineVariable pour actualiser la fonction Chart...

thisProject.OnlineVariables.DeleteOnlineVariables "CHART"

End Sub

'procédure d'initialisation du contrôle ActiveX MSChart...

Public Sub Init_MSChart_AX(YourAX As Element)

Set obChart = YourAX.AktiveX

obChart.RowCount = 3

obChart.ColumnCount = 1

Set zOLV = thisProject.OnlineVariables.Item("CHART")

'est-ce que la variable OnlineVariable actuelle existe ?

If zOLV Is Nothing Then

'si ce n'est pas le cas, elle doit être créée...

Set zOLV = thisProject.OnlineVariables.CreateOnlineVariables("CHART")

zOLV.Add "Internal_UINT_001"

zOLV.Add "Internal_UINT_002"

zOLV.Add "Internal_UINT_003"

End If

zOLV.Undefine 'en cas d'arrêt, l'actualisation est impossible

'START - début de la surveillance des variables...

zOLV.Define

End Sub

'événement en cas de modification de la variable - actualisation du diagramme....

Private Sub zOLV_VariableChange(ByVal obVar As IVariable)

'configuration des valeurs à afficher dans le contrôle du diagramme

Select Case obVar.Name

Case "Internal_UINT_001"

obChart.Row = 1

obChart.RowLabel = "Var1"

obChart.Data = obVar.Value

Case "Internal_UINT_001"

obChart.Row = 2

obChart.RowLabel = "Var2"

obChart.Data = obVar.Value

Case "Internal_UINT_003"

obChart.Row = 3

obChart.RowLabel = "Var3"

obChart.Data = obVar.Value

End Select

End Sub

'événement du contrôle ActiveX Chart...

Private Sub obChart_DblClick()

MsgBox "Vous avez double-cliqué sur le contrôle ActiveX !"

End Sub


Accès aux alarmes

Manuel -> Interfaces de programmation -> Liste de macros -> Exemples -> Accès aux alarmes

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Description :

Dans la boîte de dialogue (form) frmAlarm, une alarme en mémoire peut être sélectionnée dans un combobox. Après la sélection, toutes les données de l'alarme sont écrites dans les champs texte ci-dessous (groupe, classe, variable, ...).

On utilise une macro indépendante des événements pour afficher le frmAlarm, car on ne la lie pas à un élément.

Sub Alarm ()
frmAlarm.Show
End Sub

'La macro est exécutée avec la fonction "Exécuter marco".

'A l'ouverture, la boîte de dialogue (form) est initialisée et donc la procédure suivante est exécutée. Cette procédure s'occupe d'écrire toutes les alarmes en mémoire dans le combobox (liste de choix) dans la boîte de dialogue (form).

Private Sub UserForm _ Initialize ()

'fill combobox with all AlarmItems
Dim i As Integer
Dim obAlarmItems As AlarmItems
Dim obAlarm As Alarm

Set obAlarm = thisProject.Alarm
Set obAlarmItems = obAlarm.AlarmItems (*)

If obAlarmItems.Count = 0 Then
MsgBox (# Alarms = 0 )
Exit Sub
End If

For i = 0 To obAlarmItems.Count - 1
cmbAlarmItems.AddItem obAlarmItems.Item ( i ). Name
Next i

txtAktiv.Text = obAlarm.Aktiv
cmbAlarmItems.Text = cmbAlarmItems.List ( 0 )
End Sub

'Lorsqu'une alarme est sélectionnée dans la zone de liste, l'événement Modifier de la zone de liste réagit.
Private Sub cmbAlarmItems _ Change ()

'Insérer les propriétés actuelles de l'élément AlarmItem dans des zones de texte
Dim obAlarmItems As AlarmItems
Dim obAlar As Alarm

Set obAlarm = thisProject.Alarm
Set obAlarmItems = obAlarm.AlarmItems (*)
txtComputer.Text = obAlarmItems.Item ( cmbAlarmItems.ListIndex ).Computer
txtCountreactivated.Text = obAlarmItems.Item ( cmbAlarmItems.ListIndex ).Countreactivated
txtName.Text = obAlarmItems.Item ( cmbAlarmItems.ListIndex ). Name
txtProjectname.Text = obAlarmItems.Item ( cmbAlarmItems.ListIndex ).Projectname
txtStatus.Text = obAlarmItems.Item ( cmbAlarmItems.ListIndex ).Status
txtStatusreactivated.Text = obAlarmItems.Item ( cmbAlarmItems.ListIndex ).Statusreactivated
txtTagname.Text = obAlarmItems.Item ( cmbAlarmItems.ListIndex ).Tagname
txtTimecomes.Text = obAlarmItems.Item ( cmbAlarmItems.ListIndex ).Timecomes
txtTimegoes.Text = obAlarmItems.Item ( cmbAlarmItems.ListIndex ).Timegoes
txtTimequitted.Text = obAlarmItems.Item ( cmbAlarmItems.ListIndex ).Timequitted
txtTimereactivated.Text = obAlarmItems.Item ( cmbAlarmItems.ListIndex ).Timereactivated
txtUser.Text = obAlarmItems.Item ( cmbAlarmItems.ListIndex ).User
txtUsertext.Text = obAlarmItems.Item ( cmbAlarmItems.ListIndex ).Usertext
txtValue.Text = obAlarmItems.Item ( cmbAlarmItems.ListIndex ).Value
tbGroup.Text = obAlarmItems.Item ( cmbAlarmItems.ListIndex ).AlarmGroup
tbClass.Text = obAlarmItems.Item ( cmbAlarmItems.ListIndex ).AlarmClass
End Sub


Définition d'un interrupteur (utilisation de variables de procédé)

Manuel -> Interfaces de programmation -> Liste de macros -> Exemples -> Définition d'un interrupteur (utilisation de variables de procédé)

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Dans cet exemple, on dessine une pompe qui est constitué d'un cercle et d'un triangle. Définissez le triangle en tant que symbole. Par dessus, dessinez une combinaison multiple et liez-la à trois variables booléennes.

De plus, définissez la couleur que le triangle doit prendre selon les valeurs de ces variables.

D'abord, nous combinons la combinaison multiple avec une macro qui ouvre un 'form' VBA de nom frmSwitch.

Dans la boîte de dialogue (le 'form' VBA), nous serons capable de change les valeurs des trois booléens.

info Informations

Seule une des trois variables peut avoir la valeur 1 (c'est à dire si une des variables est mise à 1, les deux autres sont mises à 0).

Pour pouvoir utiliser cette macro plusieurs fois dans le projet avec différentes variable, les variables liées à la combinaison multiple peuvent contenir dans leur nom l'état de la pompe qu'elle contrôle.

Par exemple :
Variable_Auto
Variable_Hand
Variable_Revi

info Informations

Les suffixes _Auto, _Hand et _Revi sont définis de façon fixe dans le code source de l'exemple.

Avec les suffixes de 5 caractères des noms de variables, on définit quelle variable est mise à 1 ou à 0 en cliquand sur un bouton 'toggle' (bascule).

Dans la macro LeftClickUp_Switch un sous-programme FindVariable est appelé dans le 'form' frmSwitch qui récupère l'élément qui a été sélectionné dans obElem.

Public Sub LeftClickUp_Schalter (obElem As Element)
frmSchalter.FindVariable obElem
position (pixel en points = (pixel * 0,75))
frmSchalter.Top = obElem.Bottom * 0.75
frmSchalter.Left = obElem.Left * 0.75
frmSchalter.Show
obElem.LeftClickUp
End Sub

Déclaration des variables globales :

Dim cmdLast As ToggleButton
Dim strHand As String
Dim strAuto As String
Dim strRevi As String
Dans le sous-programme FindVariable, toutes les variables liées à l'élément passé sont contrôlées.

Selon le suffixe (_Auto, _Hand or _Revi), les noms des variables sont assignés aux variables string déclarées ci-dessus.

De plus, les états des variables sont déterminés et dépendent de la valeur (1 ou 0) du bouton d'activation correspondant (enfoncé ou pas).

Lors de l'ouverture de la boîte de dialogue frmSwitch, le nom du bouton 'toggle' couramment enfoncé est écrit dans une variable string. Dans le cas où l'utilisateur décide d'annuler cette action, les valeurs originales sont restaurées.

Public Sub FindVariable (obElem As Element)
Dim i As Integer
Dim obVariable As Variable

For i = 0 To obElem . CountVariable - 1
Select Case Right $( obElem. ItemVariable ( i ). Name , 5 )
Case _ Auto
strAuto = obElem . ItemVariable ( i ). Name

Case _ Hand
strHand = obElem . ItemVariable ( i ). Name

Case _ Revi
strRevi = obElem . ItemVariable ( i ). Name
End Select
Next i

Set obVariable = thisProject . Variables . Item ( strHand )
If obVariable . Value = 1 Then
tbHand . Value = True
Set cmdLast = tbHand
End If

Set obVariable = thisProject . Variables . Item ( strAuto )
If obVariable . Value = 1 Then
tbAuto . Value = True
Set cmdLast = tbAuto
End If

Set obVariable = thisProject . Variables . Item ( strRevi )
If obVariable . Value = 1 Then
tbRev . Value = True
Set cmdLast = tbRev
End If

If tbHand . Value = False And tbAuto . Value = False And tbRev . Value = False Then
tbOff . Value = True
Set cmdLast = tbOff
End If
End Sub

La fonction créée automatiquement VarExists vérifie seulement si les variables liées existent réellement. Si ce n'est pas le cas, un message d'erreur est affiché. La variable n'existe pas.

Function VarExists ()

Dim obVariable As Variable
Set obVariable = thisProject . Variables . Item (strHand)

If obVariable Is Nothing Then
MsgBox (Variable doesnt extist)
VarExitsts = False
Exit Function
End If

Set obVariable = thisProject . Variables . Item (strAuto)
If obVariable Is Nothing Then
MsgBox (La variable n'existe pas)
VarExitsts = False
Exit Function
End If

Set obVariable = thisProject . Variables . Item (strRev)
If obVariable Is Nothing Then
MsgBox ( Variable doesnt extist )
VarExitsts = False
Exit Function
End If

VarExists = True
End Function

Si l'utilisateur clique sur Annuler (Cancel), la modification de valeur est annulée et la valeur originale est restaurée.

Private Sub cmdExit _ Click ()
cmdLast.Value = True
Unload Me
End Sub

Private Sub cmdOk _ Click ()
Unload Me
End Sub

Si un bouton 'toggle' est cliqué, aucun autre bouton 'toggle' ne peut être sélectionné.

Private Sub tbAuto_Change ()
If tbAuto . Value = False And tbHand.Value = False And tbRev . Value = False Then
tbOff . Value = True
End Sub

Dans l'événement click de chaque bouton 'toggle', on vérifie si il est enfoncé et si la variable existe. Si les deux conditions sont vraies, alors les valeurs sont envoyées vers les variables liées.


VSTA

Manuel -> Interfaces de programmation -> VSTA

With Visual Studio Tools for Applications (VSTA), the functionality of zenon Runtime and the Editor can be enhanced independently by means of .NET programming.

info Informations

Note that in VSTA, only assemblies (DLLs) up to a maximum of .NET framework version 3.5 can be included.

VSTA is also, with a few restrictions, available on the zenon Web Client.

VSTA comporte des environnements de développement distincts pour l'Espace de travail et le projet. Vous ne pouvez en utiliser qu'un à la fois. Au démarrage, tous les autres environnements de développement VSTA ouverts seront fermés.

Pour ouvrir l'Éditeur VSTA pour l'espace de travail :

  1. Appuyez sur les touches Alt+F10.

    Le code correspondant à l'espace de travail et à tous les projets chargés est affiché

Pour ouvrir l'Éditeur VSTA pour le projet actuellement chargé :

  1. Accédez au nœud Script.
  2. Expand the view of this node by clicking on [+].
    The view of the node is expanded.
  3. Cliquez avec le bouton droit sur VSTA

    In the context menu, select Open VSTA editor with ProjectAddin.
    The editor is opened for the currently-loaded project.

info Informations

Si des macros VBA sont modifiées dans l'Éditeur,

  • Les fichiers de Runtime sont compilés et transférés vers le Runtime
  • Le Runtime est actualisé
  • Les éléments VSTA sont également actualisés, même si aucune modification n'a été effectuée dans VSTA

Other topics in this chapter

Notions fondamentales

Créer un projet VSTA

Exemples


Notions fondamentales

Manuel -> Interfaces de programmation -> VSTA -> Notions fondamentales

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

VSTA est un environnement de développement Microsoft fondé sur la technologie .NET. Il est nécessaire de disposer d'une connaissance des principes de la programmation orientée objet, de .NET et de C#/Visual Basic.NET pour le comprendre.

attention Attention

Note in Runtime: Referenced dlls cannot be replaced if they are loaded. Runtime must be ended in order for a reference file to be updated.

Other topics in this chapter

Configuration de l'environnement VSTA

Accès au modèle d'objet zenon

Fonctions dans zenon

Débogage d'une macro complémentaire VSTA

Events in VSTA

Créer une sauvegarde de projets VSTA


Configuration de l'environnement VSTA

Manuel -> Interfaces de programmation -> VSTA -> Notions fondamentales -> Configuration de l'environnement VSTA

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

La prise en charge de VSTA est déjà activée par défaut dans zenon. Lors de la désactivation de la prise en charge de VBA, l'environnement VSTA n'est également plus disponible.

The VSTA environment can be activated or deactivated manually with the following entry in zenon6.ini:

Activer VSTA | Désactiver VSTA
[VSTA] ON=1 | [VSTA] ON=0

La prise en charge de VBA est activée ou désactivée comme suit :

Activer VBA | Désactiver VBA
[VBA] EIN=1 | [VBA] EIN=0

L'environnement de développement pour VSTA dans zenon est alors disponible.

info Informations

VSTA autorise le développement de projets dans les langages de programmation C# et Visual Basic .NET. C# est considéré comme le langage standard des projets VSTA dans l'Éditeur Le langage peut être changé en Visual Basic.NET avec l'entrée suivante :

[VSTA]

CSHARP=0


Accès au modèle d'objet zenon

Manuel -> Interfaces de programmation -> VSTA -> Notions fondamentales -> Accès au modèle d'objet zenon

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Le modèle d'objet zenon utilisé dans VBA est également accessible dans VSTA. Le modèle d'objet offre des fonctionnalités identiques dans les deux environnements de développement.

attention Attention

Certaines modifications apportées au modèle d'objet ont été réalisées en raison des limites inhérentes à la dénomination d'objets VSTA. Vous les trouverez dans le tableau ci-dessous.

Ancienne propriété | Nouvelle propriété
IDriver.Name | IDriver.Identification
IDriver.Driver | IDriver.Name
Ancien événement | Nouvel événement
IApplication.Close | IApplication.OnClose
IZenWorkspace.Startup | IZenWorkspace.OnStartup
IZenWorkspace.Exit | IZenWorkspace.OnExit

L'accès dans VSTA est autorisé via l'objet this, qui remplace l'objet MyWorkspace dans VBA. Les méthodes et objets suivants sont identiques. Dans la méthode suivante, un gabarit portant le nom TemplateName est créée dans zenon.

public void Macro1()

{

this.ActiveDocument.Templates().Create("TemplateName", true);

}

info Informations

Contrairement à VBA, l'utilisation des lettres majuscules et minuscules après les noms de fonctions est importante dans VSTA.

Pour accéder aux méthodes dans zenon, vous devez enregistrer et compiler le projet en procédant comme suit :

  1. Cliquez sur Fichier -> Enregistrer MyWorkspace.cs pour enregistrer le projet.
  2. Cliquez sur Fichier -> Construire WorkspaceAddin pour compiler le projet.

La méthode est ensuite disponible en tant que macro dans la barre d'outils Macro VBA de l'Éditeur zenon. Si la boîte de dialogue d'affectation des macros n'affiche pas toutes les macros de MyWorkspace, exécutez la fonction Recharger la liste des macros VBA depuis la barre d'outils.

info Informations

Les macros VSTA comportant des paramètres, par exemple Public void MacroWithParam(string mString), ne sont pas prises en charge et ne sont pas disponibles dans la barre d'outils de macros.


Fonctions dans zenon

Manuel -> Interfaces de programmation -> VSTA -> Notions fondamentales -> Fonctions dans zenon

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Pour VSTA, de fonctions ont été créées dans zenon. These are in the VSTA node.

Parallèlement aux fonctions VBA existantes, des fonctions semblables ont été mises en œuvre pour VSTA :

Nom fonction

Description

Ouvrir l'éditeur VSTA

Ouvre l'éditeur VSTA dans le Runtime.

Exécuter macro VSTA

Une macro VSTA peut être sélectionnée dans l'éditeur ; elle sera démarrée lors de l'exécution de la fonction dans le Runtime.

Remarque : Les macros VSTA comportant des paramètres, par exemple Public void MacroWithParam(string mString), ne sont pas prises en charge. Elles ne sont pas non plus disponibles aux fins du développement dans l'Éditeur, ni au démarrage de la fonction dans le Runtime.

Montrer la boîte de dialogue des macros VSTA

Une boîte de dialogue est affichée dans le Runtime ; elle contient une liste des macros VSTA existantes, que vous pouvez sélectionner et exécuter à votre convenance.

Other topics in this chapter

Exécuter macro VSTA


Exécuter macro VSTA

Manuel -> Interfaces de programmation -> VSTA -> Notions fondamentales -> Fonctions dans zenon -> Exécuter macro VSTA

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Dialog for configuration of the Exécuter macro VSTA function.

Paramètre | Description
Macros existantes |
Liste des macros VSTA | Lists all existing VSTA macro. Selection of a macro from the list by clicking on it. Remarque : A double click executes the selected macro.
Aucun utilisateur sélectionné | Annule la sélection et ferme la boîte de dialogue.
OK | Executes selected macro and closes the dialog.
Annuler | Annule la sélection et ferme la boîte de dialogue.
Aide | Ouvre l'aide en ligne.


Débogage d'une macro complémentaire VSTA

Manuel -> Interfaces de programmation -> VSTA -> Notions fondamentales -> Débogage d'une macro complémentaire VSTA

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Il est possible de déboguer les macros complémentaires que vous avez créées dans l'éditeur VSTA. A cette fin, notez que les macros complémentaires du projet peuvent uniquement être déboguées dans le Runtime zenon, et que les macros complémentaires de l'espace de travail peuvent uniquement être déboguées dans l'Éditeur zenon.

Pour démarrer une session de débogage, sélectionnez Debug -> Start Debugging (Débogage -> Démarrer le débogage). Vous pouvez insérer des points d'interruption de la même manière que dans l'éditeur VBA, en cliquant avec le bouton gauche dans la barre d'outils de points d'interruption grise, près de la marge gauche adjacente à la cellule correspondante.

info Informations

Lors du débogage de macros complémentaires du Runtime, tenez compte des aspects suivants :

Les fichiers de Runtime modifiés dans zenon doivent être recréés avant le débogage.


Events in VSTA

Manuel -> Interfaces de programmation -> VSTA -> Notions fondamentales -> Events in VSTA

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Une macro complémentaire se termine lors de la compilation d'un code modifié et du démarrage ou de l'arrêt d'une session de débogage ; aussi, de nouveaux événements ont été mis en œuvre dans VSTA. Ils permettent par exemple d'évaluer et d'approuver la référence d'un objet, ainsi que d'enregistrer les données existantes.

Deux événements sont associés à chaque fin. Le premier événement démarre peu de temps avant la fin, et le deuxième démarre après le démarrage d'une nouvelle session d'une macro complémentaire.

Événement | Description
OnPreVSTADebugStart | est déclenchée peu de temps avant le démarrage d'une session de débogage. Lors du démarrage d'une session de débogage, une macro complémentaire active est supprimée ; les références doivent être approuvées et les données existantes doivent être enregistrées, le cas échéant.
OnVSTADebugStart | est déclenchée peu de temps après le démarrage d'une session de débogage.
OnPreVSTADebugStop | est déclenchée peu de temps avant l'arrêt d'une session de débogage. Lors de l'arrêt d'une session de débogage, une macro complémentaire active est supprimée ; les références doivent être approuvées et les données existantes doivent être enregistrées, le cas échéant.
OnVSTADebugStopped | est déclenchée peu de temps après l'arrêt d'une session de débogage.
OnPreVSTAUpdate | est déclenchée avant la suppression de la macro complémentaire, si une nouvelle version de la macro complémentaire a été créée avec succès.
OnPostVSTAUpdate | est déclenchée lorsqu'une nouvelle version de la macro complémentaire est chargée.


Créer une sauvegarde de projets VSTA

Manuel -> Interfaces de programmation -> VSTA -> Notions fondamentales -> Créer une sauvegarde de projets VSTA

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Les projets VSTA dans le Runtime sont automatiquement enregistrés sous forme d'archive zip lors de la création du fichier Runtime, puis intégrés aux enregistrements de l'espace de travail.

En revanche, les projets VSTA dans l'éditeur doivent être enregistrés manuellement.
Les projets de l'Éditeur VSTA se trouvent dans le dossier C:/ProgramData/COPA-DATA/*version*/VSTAWorkspace/ .


Créer un projet VSTA

Manuel -> Interfaces de programmation -> VSTA -> Créer un projet VSTA

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

A l'instar de VBA, VSTA offre la possibilité de créer des projets pour l'éditeur et le Runtime. En principe, les projets dans l'éditeur sont mis en œuvre dans le langage de programmation C#. Dans le Runtime et Editor, C# et Visual Basic.NET sont tous deux disponibles.

info Informations

Note that in VSTA, only assemblies (DLLs) up to a maximum of .NET framework version 3.5 can be included.

info Informations

Un seul projet peut être affiché à la fois dans l'éditeur VSTA. En outre, une seule instance de l'éditeur VSTA peut être active. Lors du démarrage de l'éditeur VSTA, toute instance en cours d'exécution est fermée.

Other topics in this chapter

Projets VSTA dans l'éditeur

Projets VSTA dans le Runtime

Développement d'assistants dans VSTA


Projets VSTA dans l'éditeur

Manuel -> Interfaces de programmation -> VSTA -> Créer un projet VSTA -> Projets VSTA dans l'éditeur

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Lors de la création d'un projet pour l'Éditeur zenon, une macro complémentaire VSTA pour l'espace de travail est chargée. Pour modifier la macro complémentaire, vous devez ouvrir l'éditeur VSTA en cliquant sur Fichier - Ouvrir éditeur VSTA.... L'interface utilisateur de l'éditeur VSTA est identique à l'environnement de développement Visual Studio de Microsoft.

info Informations

Vous pouvez accéder à l'aide de l'éditeur VSTA en sélectionnant le menu Aide -> Contenu. Cette aide fournit un aperçu général des fonctions de l'éditeur, des fonctions de l'infrastructure .NET Framework et de la programmation en Visual Basic.NET et C#.

La macro complémentaire VSTA est essentiellement constituée de la classe MyWorkspace. Vous pouvez maintenant étendre cette classe avec vos propres méthodes. Par défaut, la classe accepte les deux méthodes suivantes :

Fonction | Description
MyWorkspace_Startup | Exécutée automatiquement au démarrage de zenon, après la création d'une version et au démarrage d'une session de débogage.
MyWorkspace_Shutdown | Exécutée automatiquement au démarrage de zenon, après la création d'une version et au démarrage d'une session de débogage.

attention Attention

Les noms de méthodes peuvent uniquement commencer par Macro (par exemple Macro1, MacroVSTA) ; ils ne doivent pas contenir de paramètres et doivent être définis comme publics. En outre, les noms de classes et d'autres méthodes et événements créés par VSTA ne peuvent pas être modifiés.

Pour accéder aux méthodes dans zenon, vous devez enregistrer et compiler le projet en procédant comme suit :

  1. Cliquez sur Fichier -> Enregistrer MyWorkspace.cs pour enregistrer le projet.
  2. Cliquez sur Fichier -> Construire WorkspaceAddin pour compiler le projet.

La méthode est ensuite disponible en tant que macro dans la barre d'outils Macro VBA de l'Éditeur zenon. Si la boîte de dialogue d'affectation des macros n'affiche pas toutes les macros de MyWorkspace, exécutez la fonction Recharger la liste des macros VBA depuis la barre d'outils.


Projets VSTA dans le Runtime

Manuel -> Interfaces de programmation -> VSTA -> Créer un projet VSTA -> Projets VSTA dans le Runtime

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Pour créer un projet VSTA pour le Runtime, l'environnement VSTA doit être démarré.
Procédez comme suit :

  1. Ouvrez l’entrée Interface de programmation dans le Gestionnaire de projet.
  2. Ouvrez le menu contextuel VSTA.
  3. Cliquez sur Ouvrir éditeur VSTA...

    Remarque : A selection dialog is shown when it is opened for the first time. You select the programming language in this.

    Un projet est ensuite créé dans le langage de programmation de votre choix.

info Informations

The programming language cannot be subsequently changed. This dialog is therefore only shown when being opened for the first time.

Dans ce projet, une classe appelée ThisProject est créée par zenon ; elle accepte les deux méthodes suivantes :

Fonction | Description
ThisProject_Startup | Exécutée automatiquement au démarrage du Runtime.
ThisProject_Shutdown | Exécutée automatiquement à l'arrêt du Runtime.

Vous pouvez maintenant étendre la classe avec vos propres méthodes.

attention Attention

Les noms de méthodes peuvent uniquement commencer par Macro (par exemple Macro1, MacroVSTA) ; ils ne doivent pas contenir de paramètres et doivent être définis comme publics. En outre, les noms de classes et d'autres méthodes et événements créés par VSTA ne peuvent pas être modifiés.

Il est possible d'accéder à toutes les fonctionnalités du Runtime via le modèle d'objet zenon. Les fonctions spécifiques à l'éditeur ne peuvent pas être utilisées comme dans VBA.

Le Runtime zenon démarre automatiquement au démarrage du programme de débogage. Vous trouverez d'autres informations au chapitre relatif audébogage d'une macro complémentaire VSTA.

info Informations

Vous pouvez accéder à l'aide de l'éditeur VSTA en sélectionnant le menu Aide -> Contenu. Cette aide fournit un aperçu général des fonctions de l'éditeur, des fonctions de l'infrastructure .NET Framework et de la programmation en Visual Basic.NET et C#.


Développement d'assistants dans VSTA

Manuel -> Interfaces de programmation -> VSTA -> Créer un projet VSTA -> Développement d'assistants dans VSTA

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

L'environnement VSTA, à l'image de VBA, offre la possibilité de développer vos propres assistants.

Pour pouvoir accéder à un formulaire dans le modèle d'objet zenon, vous devez copier une référence à celui-ci dans le formulaire. Pour cela, créez une méthode dans la classe MyWorkspace . Dans l'exemple suivant, une instance de formulaire est créée avec le nom Wizard (Assistant) et la méthode ZenonInstance, avec une référence au modèle d'objet zenon invoquée en tant que paramètre. Pour afficher le formulaire Wizard, sélectionnez ShowDialog().

public void Macro1()

{

Form1 Wizard = new Form1();

Wizard.ZenonInstance(this.Application);

Wizard.ShowDialog();

}

Une variable membre reconnaissant le modèle d'objet zenon doit être créée dans le code du formulaire.

public zenOn.IApplication m_Zenon=null;

Enfin, la méthode ZenonInstance est créée. Cette méthode insère la référence du modèle d'objet dans l'objet m_Zenon.

public void ZenonInstance(zenOn.IApplication app)

{

m_Zenon = app;

}

Vous pouvez maintenant développer, dans le formulaire, vos propres classes et méthodes employant le modèle d'objet. Tous les objets, méthodes et attributs sont accessibles via l'objet m_Zenon.


Exemples

Manuel -> Interfaces de programmation -> VSTA -> Exemples

Ici, vous trouverez des exemples de l'utilisation de VSTA, dans le Runtime et dans l'éditeur.

Other topics in this chapter

Création de variables dans l'Éditeur zenon

Écriture des informations du projet dans la fenêtre de sortie zenon.

Acquisition des variables dans zenon par le biais d'expressions régulières


Création de variables dans l'Éditeur zenon

Manuel -> Interfaces de programmation -> VSTA -> Exemples -> Création de variables dans l'Éditeur zenon

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Dans cet exemple, un fichier texte est ouvert et le contenu de ce fichier est utilisé pour créer les variables dans l'Éditeur zenon. Le fichier texte peut contenir autant de lignes que vous le souhaitez. Chaque ligne inclut le nom et le type de données d'une variable ; ces informations sont séparées par une virgule (exemple : Variable1,BOOL).

La méthode Macro1 recherche d'abord le driver interne dans l'Éditeur zenon. L'utilisateur voit ensuite s'afficher une boîte de dialogue de sélection de fichier, dans laquelle il doit sélectionner le fichier texte. La méthode lit ensuite le fichier texte et crée les variables. La méthode GetDataType est ensuite requise pour déterminer et attribuer le type de données associé lors de la création des variables.

C# code

using System;

using System.Windows.Forms;

using System.IO;

using zenOn;

namespace WorkspaceAddin

{

[System.AddIn.AddIn("MyWorkspace", Version = "1.0", Publisher = "", Description = "")]

public partial class MyWorkspace

{

private void MyWorkspace_Startup(object sender, EventArgs e)

{

}

private void MyWorkspace_Shutdown(object sender, EventArgs e)

{

}

public IVarType GetDataType(string vType)

{

//gets the corresponding vartypes for bool, int, real and strings

IVarType retType;

switch (vType)

{

case "BOOL":

retType = this.ActiveDocument.VarTypes().Item("BOOL");

break;

case "INT":

retType = this.ActiveDocument.VarTypes().Item("INT");

break;

case "REAL":

retType = this.ActiveDocument.VarTypes().Item("REAL");

break;

case "STRING":

retType = this.ActiveDocument.VarTypes().Item("STRING");

break;

par défaut :

retType = this.ActiveDocument.VarTypes().Item("INT");

break;

}

return retType;

}

//Reads a defined text file and creates corresponding variables on the zenon internal driver

public void MacroCreateVariablesFromFile()

{

//create objects that will take the internal driver and the variable type

IDriver zenonInternDriver = null;

//search for the Internal driver and throw exception if no driver was found

try

{

for (int driverCount = 0; driverCount < this.ActiveDocument.Drivers().Count; driverCount++)

{

if (this.ActiveDocument.Drivers().Item(driverCount).Name == "Intern")

{

zenonInternDriver = this.ActiveDocument.Drivers().Item(driverCount);

break;

}

}

}

catch (Exception driverEx)

{

MessageBox.Show("Impossible de trouver le driver zenon 'Intern'. Erreur : " + driverEx.Message);

throw;

}

this.ActiveDocument.Variables().DoAutoSave(false);

try

{

OpenFileDialog varFileSelect = new OpenFileDialog();

String[] varLine = new String[2];

//afficher la boîte de dialogue de sélection de fichier

if (varFileSelect.ShowDialog() == DialogResult.OK)

{

string line = string.Empty;

//ouvrir le nouveau lecteur de flux avec le fichier sélectionné

StreamReader importReader = new StreamReader(varFileSelect.FileName, System.Text.Encoding.Default);

//acquérir les données ligne par ligne, scinder les lignes à chaque ',' et créer les variables

while ((line = importReader.ReadLine()) != null)

{

varLine = line.Split(new Char[] { ',' });

this.ActiveDocument.Variables().CreateVar(varLine[0], zenonInternDriver, tpKanaltypes.tpSystemVariable, GetDataType(varLine[1]));

}

importReader.Close();

}

}

catch (Exception fileEx)

{

MessageBox.Show("An error occurred while opening the file: " + fileEx.Message);

throw;

}

this.ActiveDocument.Variables().DoAutoSave(true);

}

#region Code généré par VSTA

private void InternalStartup()

{

this.Startup += new System.EventHandler(MyWorkspace_Startup);

this.Shutdown += new System.EventHandler(MyWorkspace_Shutdown);

}

#endregion

}

}


Écriture des informations du projet dans la fenêtre de sortie zenon.

Manuel -> Interfaces de programmation -> VSTA -> Exemples -> Écriture des informations du projet dans la fenêtre de sortie zenon.

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Dans cet exemple, nous allons démontrer comment accéder à la fenêtre de sortie des éditeurs zenon à l'aide de VSTA. La méthode nommée Macro1 lit les synoptiques de procédé créés dans le projet à cette fin, identifie le gabarit concerné et tous les drivers disponibles, ainsi que leurs intitulés.

C# code

using System;

namespace WorkspaceAddin

{

[System.AddIn.AddIn("MyWorkspace", Version = "1.0", Publisher = "", Description = "")]

public partial class MyWorkspace

{

private void MyWorkspace_Startup(object sender, EventArgs e)

{

}

private void MyWorkspace_Shutdown(object sender, EventArgs e)

{

}

public void MacroPrintDebugInformation()

{

string picName = string.Empty;

string corTemp = string.Empty;

string driverName = string.Empty;

string driverDescription = string.Empty;

//imprimer la chaîne de démarrage dans la fenêtre de sortie

this.Application.DebugPrint(" --------------START--------------", zenOn.tpDebugPrintStyle.tpMsg);

//parcourir tous les synoptiques et imprimer le nom et le modèle utilisé dans la fenêtre de sortie

for (int i = 0; i < this.ActiveDocument.DynPictures().Count; i++)

{

picName = this.ActiveDocument.DynPictures().Item(i).Name;

corTemp = this.ActiveDocument.DynPictures().Item(i).get_DynProperties("Template").ToString();

this.Application.DebugPrint(" Picture '" + picName + "' uses Template '" + corTemp + "'", zenOn.tpDebugPrintStyle.tpMsg);

}

//print separator string into output window

this.Application.DebugPrint(" ------------------------------", zenOn.tpDebugPrintStyle.tpMsg);

//parcourir tous les drivers et imprimer le nom et la description dans la fenêtre de sortie

for (int i = 0; i < this.ActiveDocument.Drivers().Count; i++)

{

driverName = this.ActiveDocument.Drivers().Item(i).Name;

driverDescription = this.ActiveDocument.Drivers().Item(i).Identification;

this.Application.DebugPrint(" Driver '" + driverName + "' has description '" + driverDescription + "'", zenOn.tpDebugPrintStyle.tpMsg);

}

//imprimer la chaîne de fin dans la fenêtre de sortie

this.Application.DebugPrint(" ---------------END---------------", zenOn.tpDebugPrintStyle.tpMsg);

}

#region Code généré par VSTA

private void InternalStartup()

{

this.Startup += new System.EventHandler(MyWorkspace_Startup);

this.Shutdown += new System.EventHandler(MyWorkspace_Shutdown);

}

#endregion

}

}


Acquisition des variables dans zenon par le biais d'expressions régulières

Manuel -> Interfaces de programmation -> VSTA -> Exemples -> Acquisition des variables dans zenon par le biais d'expressions régulières

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Dans l'exemple suivant, les variables de zenon sont lues dans un projet de Runtime et enregistrées dans un fichier texte local.

A l'aide d'expressions régulières, les variables sont uniquement lues si leurs noms commencent par 3 chiffres suivis d'un tiret bas (par exemple, 001_var ou 234_xyz). L'utilisateur doit alors sélectionner un dossier. Un fichier texte comportant un nom défini en fonction de l'heure est créé dans ce dossier. Dans ce fichier, les noms, intitulés et valeur actuelle de doutes les variables concernées sont enregistrés, séparés par un point-virgule.

info Informations

Il est possible que des références manuelles doivent être ajoutées pour exécuter l'exemple dans le Runtime zenon Runtime. Pour cela, ouvrez le menu contextuel dans l'explorateur du projet (Project Explorer) et cliquez sur Add Reference.. (Ajouter une référence...).
Les références requises dans cet exemple sont les suivantes :

  • Microsoft.VisualStudio.Tools.Applications.Runtime.v9.0
  • System
  • System.AddIn
  • System.Data
  • System.Windows.Forms
  • System.Xml
  • zenonVSTAProxy6500

C# code

using System;

using System.Text.RegularExpressions;

using System.IO;

using System.Windows.Forms;

namespace ProjectAddin

{

[System.AddIn.AddIn("ThisProject", Version = "1.0", Publisher = "", Description = "")]

public partial class ThisProject

{

private void ThisProject_Startup(object sender, EventArgs e)

{

}

private void ThisProject_Shutdown(object sender, EventArgs e)

{

}

public void MacroGetFilteredVariables()

{

string filename = string.Empty;

string name = string.Empty;

string description = string.Empty;

string value = string.Empty;

//définir le modèle d'expression régulière

Regex match = new Regex("^([0-9]){3}[_]");

try

{

filename = FolderSelection("Sélectionnez l'emplacement auquel vous souhaitez conserver les informations sur les variables");

//créer le StreamWriter dans le fichier .txt

StreamWriter matchedVariables = new StreamWriter(filename, true);

//parcourir toutes les variables dans zenon

for (int i = 0; i < this.Variables().Count; i++)

{

//si le nom de la variable correspond au modèle, obtenir le nom, le nom de la balise et la valeur actuelle

if (match.IsMatch(this.Variables().Item(i).Name))

{

name = this.Variables().Item(i).Name;

description = this.Variables().Item(i).Tagname;

value = this.Variables().Item(i).get_Value(0).ToString();

//écrire les informations dans le fichier .txt

matchedVariables.WriteLine(name + ";" + description + ";" + value);

}

}

//fermer le flux

matchedVariables.Close();

}

catch (Exception ex)

{

MessageBox.Show("Une erreur s'est produite -> " + ex.Message);

throw;

}

}

private string FolderSelection(String caption)

{

string selectedPath = string.Empty;

//créer une boîte de dialogue de sélection du dossier de sortie

FolderBrowserDialog folderSelect = new FolderBrowserDialog();

folderSelect.Description = caption;

try

{

if (folderSelect.ShowDialog() == DialogResult.OK)

{

//si la sélection était valide, obtenir la date actuelle et la convertir au format de date du fichier

//ensuite, créer un fichier .txt avec le nom zenonVar et l'état correspondant

DateTime currentTime = DateTime.Now;

selectedPath = folderSelect.SelectedPath + "\\zenonVar" + currentTime.ToFileTime() + ".txt";

}

}

catch (Exception ex)

{

MessageBox.Show("Une erreur est survenue : " + ex.Message);

throw;

}

return selectedPath;

}

#region Code généré par VSTA

private void InternalStartup()

{

this.Startup += new System.EventHandler(ThisProject_Startup);

this.Shutdown += new System.EventHandler(ThisProject_Shutdown);

}

#endregion

}

}


PCE : Process Control Engine

Manuel -> Interfaces de programmation -> PCE : Process Control Engine

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

attention Attention

À partir de la version 7.20, le module PCE n'est plus pris en charge et ne sera plus affiché dans l'arborescence des modules de zenon. Lors de la conversion de projets contenant des tâches PCE depuis des versions antérieures à la version 7.20, le nœud PCE sera affiché pour ces projets. PCE ne fera plus l'objet de développements ou de documentations ultérieures.

Recommandation : Veuillez utiliser zenon Logic, plutôt que PCE

Other topics in this chapter

L'éditeur PCE

Suite des actions

VBScript - Introduction


L'éditeur PCE

Manuel -> Interfaces de programmation -> PCE : Process Control Engine -> L'éditeur PCE

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

L'éditeur PCE est accessible dans le gestionnaire de projet, sous l'entrée Interfaces de programmation. Pour ouvrir l'éditeur PCE, sélectionner l'entrée Ouvrir l'éditeur PCE dans le menu contextuel.

Other topics in this chapter

Le gestionnaire de tâches

La zone d'édition

La fenêtre de sortie

Les menus de l'éditeur Moteur de contrôle de procédé (PCE)

La barre de boutons de l'éditeur Moteur de contrôle de procédé (PCE)


Le gestionnaire de tâches

Manuel -> Interfaces de programmation -> PCE : Process Control Engine -> L'éditeur PCE -> Le gestionnaire de tâches

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Le gestionnaire de tâches de l'éditeur PCE liste les tâches existantes et les variables liées.

Un double-clic sur une tâche, l'ouvre dans la zone d'édition. Un menu contextuel est affiché en cliquant sur la tâche avec le bouton droit de la souris.

Le menu contextuel d'une tâche a les quatre entrées suivantes :

Paramètre | Description
Propriétés de la tâche... | Ouvre la boite de dialogue des propriétés de la tâche.
Variables de la tâche... | Ouvre la boite de sélection des variables. Vous pouvez ainsi ajouter de nouvelles variables à la tâche.
Supprimer la tâche | Supprime la tâche sans confirmation.
Compiler une tâche | Compile la tâche.


La zone d'édition

Manuel -> Interfaces de programmation -> PCE : Process Control Engine -> L'éditeur PCE -> La zone d'édition

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Dans la zone d'édition de l'éditeur PCE, le code des tâches est saisi en VB Script ou Java Script.


La fenêtre de sortie

Manuel -> Interfaces de programmation -> PCE : Process Control Engine -> L'éditeur PCE -> La fenêtre de sortie

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com


Les menus de l'éditeur Moteur de contrôle de procédé (PCE)

Manuel -> Interfaces de programmation -> PCE : Process Control Engine -> L'éditeur PCE -> Les menus de l'éditeur Moteur de contrôle de procédé (PCE)

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Other topics in this chapter

Menu Fichier

Menu Édition

Menu Exécuter

Menu Options

Menu Fenêtre

Menu Aide


Menu Fichier

Manuel -> Interfaces de programmation -> PCE : Process Control Engine -> L'éditeur PCE -> Les menus de l'éditeur Moteur de contrôle de procédé (PCE) -> Menu Fichier

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Le menu Fichier contient les commandes suivantes :

Paramètre | Description
Enregistrer | Enregistre les nouvelles tâches et les tâches modifiées.
Imprimer | Imprime la tâche courante.
Fermer | Ferme l'éditeur PCE.


Menu Édition

Manuel -> Interfaces de programmation -> PCE : Process Control Engine -> L'éditeur PCE -> Les menus de l'éditeur Moteur de contrôle de procédé (PCE) -> Menu Édition

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Le menu Editer contient les commandes suivantes :

Paramètre | Description
Annuler | Annule la dernière action.
Répéter | Refait la dernière action annulée.
Couper | "Déplace" le texte sélectionné dans le presse-papier Windows.
Copier | "Copie" le texte sélectionné dans le presse-papier Windows.
Coller | "Colle" le texte inclu dans le presse-papier Windows à la position du curseur.
Supprimer |
Sélectionner tout | Sélectionne le texte complet de la tâche.
Rechercher | Recherche un texte dans la tâche courante.
Rechercher le suivant | Recherche l'occurence suivante du texte recherché.
Rechercher le précédent | Recherche l'occurence précédente du texte recherché.
Remplacer... | Remplace un texte par un autre dans la tâche courante.
Signets | Gestion des signets dans le code de la tâche courante.
- Spécifier un signet | positionne un signet à la ligne sélectionnée dans le code.
- Signet suivant | va au signet suivant dans le code.
- Signet précédent | va au signet précédent dans le code.
- Supprimer tous les signets | supprime tous les signets dans le code.


Menu Exécuter

Manuel -> Interfaces de programmation -> PCE : Process Control Engine -> L'éditeur PCE -> Les menus de l'éditeur Moteur de contrôle de procédé (PCE) -> Menu Exécuter

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Le menu Exécuter contient les commandes suivantes :

Enregistrer toutes les tâches et redémarrer |
Compiler une tâche | Compile la tâche.


Menu Options

Manuel -> Interfaces de programmation -> PCE : Process Control Engine -> L'éditeur PCE -> Les menus de l'éditeur Moteur de contrôle de procédé (PCE) -> Menu Options

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Le menu Options contient les commandes suivantes :

Paramètre | Description
Options | Ouvre la boîte de paramétrage de l'éditeur Moteur de contrôle de procédé.
Gestionnaire de tâches | Ouvre / ferme le gestionnaire de tâches.
Sortie | Ouvre / ferme la fenêtre de suivi (sortie).
Barre d'état | Ouvre / ferme la barre d'état.


Menu Fenêtre

Manuel -> Interfaces de programmation -> PCE : Process Control Engine -> L'éditeur PCE -> Les menus de l'éditeur Moteur de contrôle de procédé (PCE) -> Menu Fenêtre

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Le menu Fenêtre contient les commandes suivantes :

Fermer

Cascade

Mosaïque

Aligner les symboles

Listes des dernières fenêtres ouvertes.


Menu Aide

Manuel -> Interfaces de programmation -> PCE : Process Control Engine -> L'éditeur PCE -> Les menus de l'éditeur Moteur de contrôle de procédé (PCE) -> Menu Aide

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Le menu Aide contient les commandes suivantes :

Commande

Action

Aide

Ouvre l’aide en ligne.

A propos …

Ouvre une fenêtre contenant des informations sur zenon :

  • Serial Number (Numéro de série)
  • Numéro d'activation
  • Identifiants/E/S couverts par la licence
  • Module couvert par la licence

Un curseur permet de parcourir le contenu de la fenêtre d’informations. Cliquez sur la fenêtre ou appuyez sur la touche Échap pour fermer la fenêtre d’informations.


La barre de boutons de l'éditeur Moteur de contrôle de procédé (PCE)

Manuel -> Interfaces de programmation -> PCE : Process Control Engine -> L'éditeur PCE -> La barre de boutons de l'éditeur Moteur de contrôle de procédé (PCE)

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Les commandes principales de l'éditeur PCE peuvent aussi être exécutées depuis la barre de boutons.

Les fonctions suivantes sont disponibles :

Paramètre | Description
Fermer | Ferme l'éditeur PCE.
Enregistrer tout | Enregistre les nouvelles tâches et les tâches modifiées.
Imprimer le synoptique | Imprime la tâche courante.
Couper | "Déplace" le texte sélectionné dans le presse-papier Windows.
Copier | "Copie" le texte sélectionné dans le presse-papier Windows.
Coller | "Colle" le texte inclu dans le presse-papier Windows à la position du curseur.
Annuler | Annule la dernière action.
Répéter | Refait la dernière action annulée.
Rechercher | Recherche un texte dans la tâche courante.
Rechercher le suivant | Recherche l'occurence suivante du texte recherché.
Rechercher le précédent | Recherche l'occurence précédente du texte recherché.
Remplacer... | Remplace un texte par un autre dans la tâche courante.
Sauver et relancer |
Lancer debugger |
Signet suivant | va au signet suivant dans le code.
Spécifier un signet | positionne un signet à la ligne sélectionnée dans le code.
Signet précédent | va au signet précédent dans le code.
Supprimer tous les signets | supprime tous les signets dans le code.


Suite des actions

Manuel -> Interfaces de programmation -> PCE : Process Control Engine -> Suite des actions

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Other topics in this chapter

Créer une tâche

Entrer le code

Fonction Visualiser PCE

Exécuter des tâches


Créer une tâche

Manuel -> Interfaces de programmation -> PCE : Process Control Engine -> Suite des actions -> Créer une tâche

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Avec le menu contextuel du gestionnaire de tâche, une nouvelle tâche peut être créée.

Other topics in this chapter

Propriétés de la tâche

Variables de la tâche


Propriétés de la tâche

Manuel -> Interfaces de programmation -> PCE : Process Control Engine -> Suite des actions -> Créer une tâche -> Propriétés de la tâche

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Après la création d'une tâche, la boîte de dialogue des propriétés de la nouvelle tâche s'ouvre automatiquement.

Les propriétés suivantes peuvent être définies :

Paramètre | Description
Nom | Nom unique de la tâche.
Type | Les tâches peuvent être exécutées de façon cyclique ou une seule fois. Cyclic (cyclique) : la tâche est exécutée cycliquement dans l'intervalle défini sous Temps de cycle à atteindre. Une fois : la tâche est exécutée une seule fois.
Priorité | Prioriétés du procédé pour les systèmes multithread ( idle, basse, normal, haute, la plus haute, critique (temps)). Par défaut : Normal Processus prioncipal : la tâche s'exécute dans le même thread que le Runtime. Si la tâche rentre dans une boucle d'attente ou si elle 'plante', cela influence aussi le Runtime.
Fichier script | Sélection du fichier script : Fichiers VB (*.vbs) pour les scripts VB ou Fichiers JS (*.js) pour les scripts Java. Le fichier correspondant est créé lorsque la tâche est ouverte dans la zone d'édition pour la première fois.
Type de démarrage | Démarrage du système : démarrage automatique, en même temps que le Runtime. (C'est la seule façon disponible si vous utilisez le PCE sous Windows CE, car Windows CE ne supporte pas le VBA). Événementiel : la tâche est démarrée dans une macro VBA avec la syntaxe suivante : thisProject.Tasks.Item("nom de la tâche").Run.
Temps de cycle à atteindre | Pour les tâches cyclique, c'est le temps qui doit être atteint par la tâche en millisecondes. Si ce temps de cycle n'est pas respecté, la tâche est exécutée aussi vite que possible.

Pour des modifications ultérieures des propriétés, cette boîte de dialogue peut être ouverte par le menu contextuel de la tâche et l'entrée Propriétés tâche.


Variables de la tâche

Manuel -> Interfaces de programmation -> PCE : Process Control Engine -> Suite des actions -> Créer une tâche -> Variables de la tâche

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Une fois les propriétés définies, la boîte de dialogue de sélection de variables s'ouvre automatiquement. Dans cette boîte de dialogue, vous pouvez sélectionner les variables devant être traitées dans la tâche.

Toutes les variables lues ou écrites dans la tâche doivent être liées ici. Il est également possible d'accéder à une variable via l'objet de la variable, mais seules les valeurs directement liées à la tâche concernée sont automatiquement mises à jour lors de l'initialisation de la tâche, avant son exécution.

La variable doit avoir le format :

Task.Value('Nom de la variable')=123

Si vous souhaitez modifier la sélection de la variable ultérieurement, il est également possible d'ouvrir cette boîte de dialogue en affichant le menu contextuel de la tâche et en sélectionnant l'entrée Tâche variables….


Entrer le code

Manuel -> Interfaces de programmation -> PCE : Process Control Engine -> Suite des actions -> Entrer le code

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Double-cliquer sur une tâche dans le gestionnaire de tâche ouvre celle-ci dans la zone d'édition. Le fichier VBS ou JS correspondant est créé lorsque la tâche est ouverte pour la première fois.

Quatre procédures sont créées automatiquement :

Paramètre | Description
Task_Init() | Cette procédure est exécutée automatiquement lorsque la tâche est démarrée.
Task_Main() | Cette procédure est exécutée soit une seule fois (type Une seule fois) ou cycliquement (type Cyclique).
Task_Exit() | Cette procédure est exécutée automatiquement lorsque la tâche est terminée.
Task_Timer(lTimerId) | Cette procédure est exécutée cycliquement tant que le Timer correspondant tourne. Le temps de cycle est défini en tant que paramètre lors du démarrage du Timer.

De façon générale, le PCE utilise le même modèle d'objet que le VBA (voir les guides VBA). Lorsque vous utilisez des objets VBA (sauf l'objet Task) le 'multithreading' est perdu, car ces objets ne peuvent être utilisés que depuis le thread principal.

attention Attention

Dans l'interface COM, les fonctions ne bénéficient pas toutes de la possibilité de multi-thread et si ce n'est pas le cas, alors elles ne peuvent être utilisées que dans le contexte du thread principal. Si une propriété différente de "processus principal" est définie pour une tâche PCE, il ne doit alors pas y avoir d'accès depuis le PCE vers le thread principal. Dans le cas où il y a un quand même un accès à l'interface COM, ceci peut conduire à des états système indéterminés, comme par exemple, un blocage du Runtime.

La collection Tasks et l'objet Task sont donc d'une importance spéciale.

Other topics in this chapter

La collection Tasks

L'objet Task


La collection Tasks

Manuel -> Interfaces de programmation -> PCE : Process Control Engine -> Suite des actions -> Entrer le code -> La collection Tasks

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Count

Produit

Parent


L'objet Task

Manuel -> Interfaces de programmation -> PCE : Process Control Engine -> Suite des actions -> Entrer le code -> L'objet Task

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

ActualCycleTime

Propriété

Temps de cycle courant de la tâche

CountVariable

Propriété

Nombre de variables liées à la tâche

CycleTime

Propriété

Temps de cycle défini pour la tâche

DynProperties

Propriété

ErrorNumber

Propriété

ErrorString

Propriété

Quitter

Événement

A l'initialisation

Événement

ItemVariable

Méthode

Main

Événement

MemValue

Propriété

Avec "Task.MemValue("Nom")=valeur" une variable interne est créée et une valeur lui ait assignée. Il n'y a pas besoin de déclarer la variable au préallable.

Cette variable peut aussi être utilisée depuis les autres tâches. Cela permet ainsi d'échanger des valeurs entre les tâches.

Nom

Propriété

Nom de la tâche courante

Parent

Propriété

La collection Tasks

Priorité

Propriété

Priorité de la tâche courante

Exécuter

Méthode

Démarre une tâche

Sleep

Méthode

Suspend une tâche

StartTimer

Méthode

La méthode "StartTimer" démarre un timer de la tâche.

États

Propriété

Arrêter

Méthode

Arrête une tâche

StopTimer

Méthode

La méthode "StopTimer" arrête un timer de la tâche.

Timer

Événement

Type

Propriété

Valeur

Propriété

Avec "Task.Value("nom de la variable liée")=valeur" une variable du projet prend une nouvelle valeur.


Fonction Visualiser PCE

Manuel -> Interfaces de programmation -> PCE : Process Control Engine -> Suite des actions -> Fonction Visualiser PCE

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

La fonction Visualiser PCE de zenon permet d'ouvrir l'Éditeur PCE depuis le Runtime.


Exécuter des tâches

Manuel -> Interfaces de programmation -> PCE : Process Control Engine -> Suite des actions -> Exécuter des tâches

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Tasks can be executed when the system is started or can be event-triggered.

Other topics in this chapter

Exécution de tâches au démarrage du système

Exécuter des tâches déclenchées par un événement


Exécution de tâches au démarrage du système

Manuel -> Interfaces de programmation -> PCE : Process Control Engine -> Suite des actions -> Exécuter des tâches -> Exécution de tâches au démarrage du système

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Dans la configuration de la tâche, si e paramètre Type de démarrage est défini sur Démarrage du système , la tâche est automatiquement démarrée avec le Runtime.

C'est la seule façon disponible si vous utilisez le PCE sous Windows CE, car Windows CE ne supporte pas le VBA.


Exécuter des tâches déclenchées par un événement

Manuel -> Interfaces de programmation -> PCE : Process Control Engine -> Suite des actions -> Exécuter des tâches -> Exécuter des tâches déclenchées par un événement

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Other topics in this chapter

Sur un PC

Sur un terminal CE


Sur un PC

Manuel -> Interfaces de programmation -> PCE : Process Control Engine -> Suite des actions -> Exécuter des tâches -> Exécuter des tâches déclenchées par un événement -> Sur un PC

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Sur un PC

Une tâche peut aussi être démarrée selon un événement. Dans ce cas, le type de démarrage doit être Selon événement. Maintenant la tâche n'est pas démarrée automatiquement avec le runtime.

Une macro VBA doit être créée de façon à exécuter la tâche lorsqu'on sélectionne un bouton, ou lors d'un dépassement de limite ou sur n'importe quel autre événement. Avec l'instruction VBA suivante la tâche peut être démarrée : thisProject.Tasks.Item(Taskname).Run
La tâche est démarrée automatiquement dans son propre 'thread' si la priopriété Processus principal n'a pas été activée.

Avec l'instruction VBA suivante la tâche peut être arrêtée à tout moment : thisProject.Tasks.Item("Nom de la tâche").Stop

Remarque : To execute a task more than once, it must also be explicitly stopped after it has ended, so that it can be restarted.
Instruction: thisProject.Tasks.Item(Taskname).Stop
It can be restarted after being stopped properly.


Sur un terminal CE

Manuel -> Interfaces de programmation -> PCE : Process Control Engine -> Suite des actions -> Exécuter des tâches -> Exécuter des tâches déclenchées par un événement -> Sur un terminal CE

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Sur un terminal CE

Comme Windows CE ne supporte pas VBA, la façon de faire décrite ci-avant n'est pas possible sur un terminal CE. Mais il y a, ici aussi, la possibilité d'exécuter des tâches déclenchées selon des événements.

Une tâche avec le type de démarrage System start (Démarrage système) est créée. Cette tâche est démarrée automatiquement avec le runtime. Et cette tâche a la priorité PROCESSUS PRINCIPAL pour qu'elle tourne dans le même 'thread' que le runtime. Maintenant des variables 'bit' sont liées à cette tâche, et exécuteront d'autres tâches déclenchées selon un événement. Avec l'instruction suivante la tâche peut être démarrée : Parent.Item(Taskname).Run
La tâche est démarrée automatiquement dans son propre Thread si la priopriété Processus principal n'a pas été activée.

Avec l'instruction suivante la tâche peut être arrêtée à tout moment : Parent.Item("Nom de la tâche").Stop


VBScript - Introduction

Manuel -> Interfaces de programmation -> PCE : Process Control Engine -> VBScript - Introduction

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Other topics in this chapter

Type de données

Variables

Constantes

Opérateurs

Déclarations conditionnelles

Utilisation de boucles de code

Types de procédures

Conventions de codage


Type de données

Manuel -> Interfaces de programmation -> PCE : Process Control Engine -> VBScript - Introduction -> Type de données

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Other topics in this chapter

Variant

Sous-type Variant


Variant

Manuel -> Interfaces de programmation -> PCE : Process Control Engine -> VBScript - Introduction -> Type de données -> Variant

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

VBScript possède un seul type de données, appelé Variant. Un Variant est un type de données spécial, qui peut contenir différentes sortes d'informations, en fonction de son utilisation. Parce que le type de données Variant est l'unique type de données disponible dans VBScript, il s'agit également du type de données renvoyé par toutes les fonctions dans VBScript.

Dans sa forme la plus simple, un Variant peut contenir des informations numérique ou de chaîne. Un Variant se comporte comme un nombre lorsqu'il est utilisé dans un contexte numérique, et se comporte comme une chaîne lorsqu'il est utilisé dans une chaîne de texte. Concrètement, si vous utilisez des données qui ressemblent à des nombres, VBScript suppose qu'il s'agit de nombres et traite ces données de la manière la plus appropriée. Vous pouvez toujours utiliser des nombres comme des chaînes de caractères en les saisissant entre des guillemets (" "). Si vous utilisez des données pouvant uniquement être interprétées comme des chaînes, c'est ainsi que ces données seront interprétées par VBScript.


Sous-type Variant

Manuel -> Interfaces de programmation -> PCE : Process Control Engine -> VBScript - Introduction -> Type de données -> Sous-type Variant

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

En plus des classifications simples numérique ou chaîne, un Variant peut rajouter une distinction sur la nature spécifique d'une information numérique. Par exemple, vous pouvez avoir une information numérique qui représente une date ou une heure. Si on l'utilise avec une autre date ou heure, le résultat sera toujours exprimé comme une date ou une heure. Vous avez aussi une grande variété d'information numérique allant de valeurs booléennes jusqu'aux énormes nombres flottants (réels). Ces différentes catégories qui peuvent être contenues dans un élément Variant sont appelées sous-types. La plupart du temps, vous pouvez mettre le type de données que vous souhaitez dans un élément Variant ; cet élément se comporte de la façon la plus appropriée par rapport aux données qu'il contient.

Le récapitulatif suivant présente les sous-types de données que peut contenir un élément Variant.

Sous-type | Signification
Empty | Le variant n'est pas initialisé. La valeur est 0 pour les variables numériques et une chaine de longueur nulle ("") pour les variables chaine.
Null | Le variant ne contient intentionnellement aucune donnée valide.
Booléen | Contient soit TRUE soit FALSE.
Octet | Contient un entier dans la plage de 0 à 255.
Entier | Contient un entier dans la plage de -32 768 à 32 767.
Currency | -922,337,203,685,477.5808 bis 922,337,203,685,477.5807.
Long | Contient un entier dans la plage de -2 147 483 648 à 2 147 483 647.
Single | Contient un nombre flottant (réel) simple précision dans la plage -3.402823E38 à -1.401298E-45 pour les valeurs négatives; 1.401298E-45 à 3.402823E38 pour les valeurs positives.
Double | Contient un nombre flottant (réel) double précision dans la plage -1.79769313486232E308 à -4.94065645841247E-324 pour les valeurs négatives; 4.94065645841247E-324 à 1.79769313486232E308 pour les valeurs positives.
Date (Time) | Contient un nombre qui représente une date entre le 1er janvier 100 jusqu'au 31 décembre 9999.
Chaîne | Contient une variable chaine qui peut contenir jusqu'à 2 milliards de caractères.
Objet : | Contient un objet.
Erreur | Contient un numéro d'erreur.


Variables

Manuel -> Interfaces de programmation -> PCE : Process Control Engine -> VBScript - Introduction -> Variables

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Une variable est un opérateur très utile, qui fait référence à un emplacement dans la mémoire de l'ordinateur dans lequel vous pouvez conserver des informations du programme susceptibles d'évoluer durant l'exécution de votre script. Par exemple, vous pouvez créer une variable appelée ClickCount pour mémoriser le nombre de fois qu'un utilisateur clique sur un objet sur une page Web particulière. L'emplacement auquel la variable est conservée dans la mémoire de l'ordinateur est sans importance. Ce qui est important, c'est que pour afficher ou modifier la valeur d'une variable, il suffit de la désigner par son nom. Dans VBScript, les variables appartiennent toujours à un type de données fondamental, Variant.

Other topics in this chapter

Déclarer les variables

Restrictions concernant les noms

Portée et durée de vie des variables

Attribution de valeurs à des variables

Variables scalaires et variables de tableau


Déclarer les variables

Manuel -> Interfaces de programmation -> PCE : Process Control Engine -> VBScript - Introduction -> Variables -> Déclarer les variables

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Vous déclarez les variables de façon explicite en utilisant le mot clé Dim, ou Public ou encore Private. Exemple :

Dim DegresFahrenheit

Vous déclarez plusieurs variables en les séparant avec une virgule. Exemple :

Dim Haut, Bas, Gauche, Droit


Restrictions concernant les noms

Manuel -> Interfaces de programmation -> PCE : Process Control Engine -> VBScript - Introduction -> Variables -> Restrictions concernant les noms

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Les noms de variable suivent les conventions de nommage du VBScript. Un nom de variable :

  • doit commencer par une lettre.
  • ne peut pas contenir un point.
  • ne doit pas excéder 255 caractères.
  • doit être unique dans la portée dans laquelle il est déclaré.


Portée et durée de vie des variables

Manuel -> Interfaces de programmation -> PCE : Process Control Engine -> VBScript - Introduction -> Variables -> Portée et durée de vie des variables

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Lorsque vous déclarez une variable dans une procédure, seul le code de la procédure peut lire ou modifier la valeur de cette variable. Elle a une portée locale et est une variable de niveau procédure.

Si vous déclarez une variable en dehors d'une procédure, elle sera accessible par toutes les procédures du script. C'est une variable de niveau script et à une portée de niveau script.

La durée de vie d'une variable correspond au temps pendant lequel elle existe. La vie d'une variable de niveau script démarre au moment où elle est déclarée jusqu'au moment où le script s'arrête. Une variable locale à une procédure n'existe que tant qu'on se trouve dans la procédure. Lorsqu'on sort de la procédure, la variable est supprimée.

Les variables locales sont idéales pour stocker des données temporaires uniquement nécessaires dans la procédure. Vous pouvez avoir des variables locales de même nom dans différentes procédures car chacune d'elles n'est connue que dans la procédure dans laquelle elle est déclarée.


Attribution de valeurs à des variables

Manuel -> Interfaces de programmation -> PCE : Process Control Engine -> VBScript - Introduction -> Variables -> Attribution de valeurs à des variables

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Pour attribuer des valeurs à des variables, on crée une expression comme suit : la variable est insérée à gauche de l'expression, tandis que la valeur que vous souhaitez attribuer à la variable se trouve à droite. Exemple :

B = 200


Variables scalaires et variables de tableau

Manuel -> Interfaces de programmation -> PCE : Process Control Engine -> VBScript - Introduction -> Variables -> Variables scalaires et variables de tableau

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Dans la plupart des cas, il n'est nécessaire d'attribuer qu'une seule valeur à une variable que vous avez déclarée. Une variable contenant une valeur unique est une variable scalaire. Dans certains cas, il est pratique de pouvoir assigner plus d'une valeur à une seule variable. Dans ce cas, vous créez une variable contenant une série de valeurs. Ce type de variable est appelé "variable de tableau". Les variables tableaux sont déclarées presque comme les variables scalaires. La seule différence est l'utilisation des parenthèses après leurs noms. Dans l'exemple suivant, une variable de tableau à une dimension contenant 11 éléments est déclarée :

Dim A(10)

Bien que le nombre indiqué entre parenthèses soit 10, tous les tableaux dans VBScript possèdent une base zéro, ce qui signifie que ce tableau comporte en réalité 11 éléments. Dans un système où le premier élément est à l'indice 0, le nombre d'élément d'un tableau est le nombre indiqué entre parenthèses + 1. Ce type de tableau est appelé "tableau à taille fixe".

On utilise un index spécifique au tableau pour attribuer des données à chacun des éléments du tableau. En commençant à zéro et en finissant à 10, il est possible d'attribuer des données aux éléments d'un tableau comme indiqué ici :

A(0) = 256

A(1) = 324

A(2) = 100

. . .

A(10) = 55

De même, les données peuvent être extraites de chaque élément à l'aide d'un index spécifique à l'élément concerné du tableau de votre choix. Exemple :

. . .

SomeVariable = A(8)

. . .

Les tableaux ne sont pas limités à une dimension. Ils peuvent comporter jusqu'à 60 dimensions, bien que la plupart des utilisateurs ne puissent appréhender plus de trois ou quatre dimensions. Vous pouvez déclarer plusieurs dimensions en séparant les nombres définissant la taille d'un tableau (spécifiés entre parenthèses) par des virgules. Dans l'exemple suivant, la variable MyTable est un tableau à deux dimensions constitué de 6 lignes et 11 colonnes :

Dim MyTable(5, 10)

Dans un tableau à deux dimensions, le premier nombre représente toujours le nombre de lignes ; le deuxième nombre représente le nombre de colonnes.

Vous pouvez également déclarer un tableau dont la taille évolue durant l'exécution de votre script. Ce type de tableau est appelé "tableau dynamique". Le tableau est initialement déclaré dans une procédure, à l'aide de la déclaration Dim ou ReDim. Toutefois, pour un tableau dynamique, aucune indication de taille ou de nombre de dimensions n'est insérée entre les parenthèses. Exemple :

(Dim AnArray()

ReDim AnotherArray()

Pour utiliser un tableau dynamique, vous devez ensuite utiliser la déclaration ReDim pour déterminer le nombre de dimensions et la taille de chaque dimension. Dans l'exemple suivant, ReDim définit la taille initiale du tableau dynamique sur 25. Une déclaration ReDim ultérieure redimensionne le tableau à 30, mais utilise le mot-clé Preserve pour préserver le contenu du tableau lors du redimensionnement.

ReDim MyArray(25)

. . .

ReDim Preserve MyArray(30)


Constantes

Manuel -> Interfaces de programmation -> PCE : Process Control Engine -> VBScript - Introduction -> Constantes

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Une constante est un nom significatif qui remplace un nombre ou une chaine de caractères et qui ne change jamais. Le VBScript définit un nombre de constantes intrinsèques. Vous pouvez obtenir des informations sur ces constantes intrinsèques à partir de la référence du langage VBScript.

Vous pouvez créer des constantes utilisateur en VBScript en utilisant le mot clé Const. Vous pouvez ainsi donner un nom significatif pour les constantes textuelles ou numériques. Vous leur assignez leur valeur et ensuite, vous les utilisez dans un script. Exemple :

Const MaChaine = "Ceci est une chaine de caractères."

Const MonAge = 49

Notez que les chaines de caractères sont encadrées par des guillemets (" "). Les guillemets sont le moyen le plus évident pour différentier les valeurs de chaines de caractères des valeurs numériques. La réprésentation des dates (type Date) et heures (type Time) sont encadrées par le signe dièse (#). Exemple :

Const CutoffDate = #6-1-97#

Vous pouvez définir une convention de nommage pour différentier les constantes des variables. Ceci vous permettra d'éviter d'assigner une valeur dans une constante dans vos scripts. Par exemple, vous pouvez utiliser les préfixes "vb" sur vos variables ou "cste" sur vos constantes ; vous pouvez aussi choisir d'écrire vos constantes en majuscules. Mais assurez-vous que les constantes et les variables peuvent bien être distinguées. Vous éviterez ainsi quelques problèmes lors de l'écriture de scripts complexes.


Opérateurs

Manuel -> Interfaces de programmation -> PCE : Process Control Engine -> VBScript - Introduction -> Opérateurs

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

VBScript comporte une vaste gamme d'opérateurs, et notamment des opérateurs arithmétiques, des opérateurs de comparaison, des opérateurs de concaténation et des opérateurs logique.

Other topics in this chapter

Priorité des opérateurs

Opérateurs arithmétiques

Opérateurs de comparaison

Opérateurs logiques


Priorité des opérateurs

Manuel -> Interfaces de programmation -> PCE : Process Control Engine -> VBScript - Introduction -> Opérateurs -> Priorité des opérateurs

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Si plusieurs opérateurs apparaissent dans un énoncé, chaque partie est évaluée selon un ordre prédéfini. Cet ordre est appelé la priorité des opérateurs. Vous pouvez utiliser des parenthèses pour changer l'ordre des priorités et forcer des parties d'une expression à être évaluées avant d'autres. Les opérations entre parenthèses sont toujours exécutées avant les opérations en dehors des parenthèses. Entre les parenthèses, cependant, la priorité des opérateurs est prise en compte.

Lorsque des expressions contiennent des opérateurs de plus d'une catégorie, les opérateurs arithmétiques sont évalués en premier, puis les opérateurs de comparaison, et les opérateurs logiques sont évalués en dernier. Les opérateurs de comparaison sont d'égales priorités, et sont donc évalués de gauche à droite. Les opérateurs arithmétiques et logiques sont évalués dans l'ordre suivant.


Opérateurs arithmétiques

Manuel -> Interfaces de programmation -> PCE : Process Control Engine -> VBScript - Introduction -> Opérateurs -> Opérateurs arithmétiques

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Description | Symbole
Mise en exposant | ^
Négation unaire | -
Multiplication | *
Division | /
Division entière | /
Modulo | Mod
Addition | +
Soustraction | -
Concaténation de chaînes |


Opérateurs de comparaison

Manuel -> Interfaces de programmation -> PCE : Process Control Engine -> VBScript - Introduction -> Opérateurs -> Opérateurs de comparaison

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Description | Symbole
Egalité | =
Inégalité | <>
Inférieur à | <
Supérieur à | >
Inférieur ou égal à | <=
Supérieur ou égal à | >=
Equivalence d'objet | Is


Opérateurs logiques

Manuel -> Interfaces de programmation -> PCE : Process Control Engine -> VBScript - Introduction -> Opérateurs -> Opérateurs logiques

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Si plusieurs opérateurs apparaissent dans un énoncé, chaque partie est évaluée selon un ordre prédéfini. Cet ordre est appelé la priorité des opérateurs. Vous pouvez utiliser des parenthèses pour changer l'ordre des priorités et forcer des parties d'une expression à être évaluées avant d'autres. Les opérations entre parenthèses sont toujours exécutées avant les opérations en dehors des parenthèses. Entre les parenthèses, cependant, la priorité des opérateurs est prise en compte.

Lorsque des expressions contiennent des opérateurs de plus d'une catégorie, les opérateurs arithmétiques sont évalués en premier, puis les opérateurs de comparaison, et les opérateurs logiques sont évalués en dernier. Les opérateurs de comparaison sont d'égales priorités, et sont donc évalués de gauche à droite. Les opérateurs arithmétiques et logiques sont évalués dans l'ordre suivant.


Déclarations conditionnelles

Manuel -> Interfaces de programmation -> PCE : Process Control Engine -> VBScript - Introduction -> Déclarations conditionnelles

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Vous pouvez contrôler le déroulement de votre script au moyen de déclarations conditionnelles et de déclarations en boucle. À l'aide de déclarations conditionnelles, vous pouvez rédiger un code VBScript qui prend des décisions et répète des actions.

Other topics in this chapter

Prise de décisions avec la déclaration If...Then...Else

Prise de décisions avec la déclaration Select Case


Prise de décisions avec la déclaration If...Then...Else

Manuel -> Interfaces de programmation -> PCE : Process Control Engine -> VBScript - Introduction -> Déclarations conditionnelles -> Prise de décisions avec la déclaration If...Then...Else

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

La déclaration If...Then...Else est utilisée pour évaluer si une condition est True (vraie) ou False (fausse) et, en fonction du résultat, pour spécifier une ou plusieurs déclarations à exécuter. Habituellement, la condition est une expression qui utilise un opérateur de comparaison pour comparer une valeur ou une variable avec une autre. Pour plus d'informations concernant les opérateurs de comparaison, reportez-vous à la section Opérateurs de comparaison. Les déclarations If...Then...Else peuvent être imbriquées à autant de niveaux différents que nécessaire.

Other topics in this chapter

Exécuter des traitements si une condition est vraie

Exécute certains traitements si une condition est vraie et d'autres traitements si la condition est fausse.

Décider entre plusieurs alternatives


Exécuter des traitements si une condition est vraie

Manuel -> Interfaces de programmation -> PCE : Process Control Engine -> VBScript - Introduction -> Déclarations conditionnelles -> Prise de décisions avec la déclaration If...Then...Else -> Exécuter des traitements si une condition est vraie

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Exécuter des traitements si une condition est vraie

Pour n'exécuter qu'une seule instruction si une condition est vraie, utilisez la syntaxe sur une seule ligne pour le If...Then...Else. L'exemple suivant illustre la syntaxe avec une seule ligne. Notez que cet exemple n'utilise pas le mot clé Else.

Sub FixDate()
Dim myDate
myDate = #2/13/95#
If myDate < Now Then myDate = Now
End Sub

Pour exécuter plus qu'une ligne de code, vous devez utiliser la syntaxe correspondante. Cette syntaxe inclue l'instruction End If, comme montré dans l'exemple suivant :

Sub AlertUser(value)
If value = 0 Then
AlertLabel.ForeColor = vbRed
AlertLabel.Font.Bold = True
AlertLabel.Font.Italic = True
End If
End Sub

Pour n'exécuter qu'une seule instruction si une condition est vraie, utilisez la syntaxe sur une seule ligne pour le If...Then...Else. L'exemple suivant illustre la syntaxe avec une seule ligne. Notez que cet exemple n'utilise pas le mot clé Else.

Sub FixDate()
Dim myDate
myDate = #2/13/95#
If myDate < Now Then myDate = Now
End Sub

Pour exécuter plus qu'une ligne de code, vous devez utiliser la syntaxe correspondante. Cette syntaxe inclue l'instruction End If, comme montré dans l'exemple suivant :

Sub AlertUser(value)
If value = 0 Then
AlertLabel.ForeColor = vbRed
AlertLabel.Font.Bold = True
AlertLabel.Font.Italic = True
End If
End Sub


Exécute certains traitements si une condition est vraie et d'autres traitements si la condition est fausse.

Manuel -> Interfaces de programmation -> PCE : Process Control Engine -> VBScript - Introduction -> Déclarations conditionnelles -> Prise de décisions avec la déclaration If...Then...Else -> Exécute certains traitements si une condition est vraie et d'autres traitements si la condition est fausse.

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Exécute certains traitements si une condition est vraie et d'autres traitements si la condition est fausse.

Vous pouvez utiliser une déclaration If...Then...Else pour définir deux blocs de déclarations exécutables : un bloc à exécuter si la condition est True, et un autre bloc à exécuter si la condition est False.

Sub AlertUser(value)
If value = 0 Then
AlertLabel.ForeColor = vbRed
AlertLabel.Font.Bold = True
AlertLabel.Font.Italic = True
Else
AlertLabel.Forecolor = vbBlack
AlertLabel.Font.Bold = False
AlertLabel.Font.Italic = False
End If
End Sub


Décider entre plusieurs alternatives

Manuel -> Interfaces de programmation -> PCE : Process Control Engine -> VBScript - Introduction -> Déclarations conditionnelles -> Prise de décisions avec la déclaration If...Then...Else -> Décider entre plusieurs alternatives

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Décider entre plusieurs alternatives

Une variante du If...Then...Else permet de choisir entre plusieurs alternatives. En ajoutant le mot clé ElseIf on étend les possibilités du If...Then...Else pour orienter le flux du programme selon diverses conditions.

Exemple :
Sub ReportValue(value)
If value = 0 Then
MsgBox value
ElseIf value = 1 Then
MsgBox value
ElseIf value = 2 then
Msgbox value
Else
Msgbox Walue out of range!
End If


Prise de décisions avec la déclaration Select Case

Manuel -> Interfaces de programmation -> PCE : Process Control Engine -> VBScript - Introduction -> Déclarations conditionnelles -> Prise de décisions avec la déclaration Select Case

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

La structure Select Case fournit une alternative au If...Then...ElseIf pour exécuter un bloc d'instructions ou un autre parmi plusieurs blocs d'instructions. Une déclaration Select Case fournit une capacité semblable à la déclaration If...Then...Else, mais elle rend le code plus efficace et lisible.

Un Select Case marche avec une expression simple qui n'est évaluée qu'une fois au début de la structure. Le résultat de l'expression est alors comparé avec les valeurs de chaque Case à l'intérieur de la structure. En cas de correspondance, le bloc de déclarations associé à la déclaration Case est exécuté, comme dans l'exemple suivant.

Select Case Document.Form1.CardType.Options(SelectedIndex).Text
Case MasterCard
DisplayMCLogo
ValidateMCAccount
Case Visa
DisplayVisaLogo
ValidateVisaAccount
Case American Express
DisplayAMEXCOLogo
ValidateAMEXCOAccount
Case Else
DisplayUnknownImage
PromptAgain
End Select


Utilisation de boucles de code

Manuel -> Interfaces de programmation -> PCE : Process Control Engine -> VBScript - Introduction -> Utilisation de boucles de code

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

L'utilisation de boucles vous permet d'exécuter un groupe de déclarations à plusieurs reprises. Certaines boucles répètent des déclarations jusqu'à ce qu'une condition soit False (fausse) ; d'autres répètent des déclarations jusqu'à ce qu'une condition soit True (vraie). Il existe également des boucles qui répètent des déclarations un nombre spécifique de fois.

Les déclarations en boucle suivantes sont disponibles dans VBScript :

Paramètre | Description
Utilisation de boucles Do : | exécute une boucle pendant ou jusqu'à ce qu'une condition soit True (vraie).
Utilisation de boucles While...Wend : | exécute une boucle pendant qu'une condition est True (vraie).
Utilisation de boucles For...Next : | utilise un compteur pour exécuter des déclarations un certain nombre de fois.
Utilisation de boucles For Each...Next : | répète un groupe de déclarations pour chaque article d'une collection ou chaque élément d'un tableau.

Other topics in this chapter

Utilisation des déclarations Do... Loop

Utilisation de boucles While...Wend

Utilisation des déclarations For...Next

Utilisation de boucles For Each...Next


Utilisation des déclarations Do... Loop

Manuel -> Interfaces de programmation -> PCE : Process Control Engine -> VBScript - Introduction -> Utilisation de boucles de code -> Utilisation des déclarations Do... Loop

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Vous pouvez utiliser des déclarations Do...Loop pour exécuter un bloc de déclarations autant de fois que vous le souhaitez. Les déclarations sont répétées lorsqu'une condition est True (vraie) ou jusqu'à ce qu'une condition devienne True (vraie).

Other topics in this chapter

Répéter des déclarations lorsqu'une condition est True (vraie)

Répéter une déclaration jusqu'à ce qu'une condition devienne True (vraie)

Sortir d'une boucle Do ... Loop depuis l'intérieur de la boucle


Répéter des déclarations lorsqu'une condition est True (vraie)

Manuel -> Interfaces de programmation -> PCE : Process Control Engine -> VBScript - Introduction -> Utilisation de boucles de code -> Utilisation des déclarations Do... Loop -> Répéter des déclarations lorsqu'une condition est True (vraie)

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Répéter des déclarations lorsqu'une condition est True (vraie)

Utilisez le mot-clé While pour vérifier une condition dans une déclaration Do...Loop. Vous pouvez contrôler la condition avant de définir la boucle (comme indiqué dans l'exemple ChkFirstWhile ci-dessous), ou vous pouvez la contrôler après une exécution au moins de la boucle (comme indiqué dans l'exemple ChkLastWhile). Dans la procédure ChkFirstWhile, si monNum est défini sur 9 au lieu de 20, les déclarations à l'intérieur de la boucle ne s'exécuteront jamais. Dans la procédure ChkLastWhile, les déclarations à l'intérieur de la boucle s'exécutent une fois seulement, car la condition est déjà False (fausse).

Sub ChkFirstWhile()
Dim counter, myNum
counter = 0

monNum = 20

Do While monNum > 10

monNum = monNum - 1

compteur = compteur + 1

Loop

MsgBox 'La boucle a fait ' & compteur & ' répétitions.'

End Sub

Sub ChkLastWhile()

Dim compteur, monNum

compteur = 0

monNum = 9

Do
myNum = myNum - 1
counter = counter + 1

Loop While monNum > 10

MsgBox 'La boucle a fait ' & compteur & ' répétitions.'

End Sub


Répéter une déclaration jusqu'à ce qu'une condition devienne True (vraie)

Manuel -> Interfaces de programmation -> PCE : Process Control Engine -> VBScript - Introduction -> Utilisation de boucles de code -> Utilisation des déclarations Do... Loop -> Répéter une déclaration jusqu'à ce qu'une condition devienne True (vraie)

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Répéter une déclaration jusqu'à ce qu'une condition devienne True (vraie)

Il existe deux manières d'utiliser le mot-clé Until pour vérifier une condition dans une déclaration Do...Loop. Vous pouvez contrôler la condition avant de définir la boucle (comme indiqué dans l'exemple ChkFirstUntil ci-dessous), ou vous pouvez la contrôler après une exécution au moins de la boucle (comme indiqué dans l'exemple ChkLastUntil). Tant que la condition est False, la boucle s'exécute.

Sub ChkFirstUntil()

Dim compteur, monNum

compteur = 0

monNum = 20

Do Until monNum = 10

monNum = monNum - 1

compteur = compteur + 1

Loop

MsgBox 'La boucle a fait ' & compteur & ' répétitions.'

End Sub

Sub ChkLastUntil()

Dim compteur, monNum

compteur = 0

monNum = 1

Je

monNum = monNum - 1

compteur = compteur + 1

Loop Until monNum = 10

MsgBox 'La boucle a fait ' & compteur & ' répétitions.'

End Sub


Sortir d'une boucle Do ... Loop depuis l'intérieur de la boucle

Manuel -> Interfaces de programmation -> PCE : Process Control Engine -> VBScript - Introduction -> Utilisation de boucles de code -> Utilisation des déclarations Do... Loop -> Sortir d'une boucle Do ... Loop depuis l'intérieur de la boucle

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Sortir d'une boucle Do ... Loop depuis l'intérieur de la boucle

Vous pouvez sortir d'un Do...Loop en utilisant l'instruction Exit Do. Parce qu'il est souvent nécessaire de sortir d'une boucle seulement dans certaines situations, pour éviter des boucles infinies, il est préférable d'utiliser l'instruction Exit Do dans la partie vraie d'un énoncé If...Then...Else. Si la condition est fausse, la boucle continue à fonctionner normalement.

Dans l'exemple suivant, monNum est assigné à une valeur qui crée une boucle infinie. L'énoncé If...Then...Else vérifie cette condition de façon à éviter cette boucle infinie.

Sub ExitExemple()

Dim compteur, monNum

compteur = 0

monNum = 9

Do Until monNum = 10

monNum = monNum - 1

compteur = compteur + 1

If monNum < 10 Then Exit Do

Loop

MsgBox 'La boucle a fait ' & compteur & ' répétitions.'

End Sub


Utilisation de boucles While...Wend

Manuel -> Interfaces de programmation -> PCE : Process Control Engine -> VBScript - Introduction -> Utilisation de boucles de code -> Utilisation de boucles While...Wend

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

La déclaration While...Wend est incluse dans VBScript à l'intention des développeurs familiarisés avec son utilisation. Toutefois, en raison du manque de flexibilité inhérent aux déclarations While...Wend, nous vous recommandons d'utiliser les déclarations Do...Loop à leur place.


Utilisation des déclarations For...Next

Manuel -> Interfaces de programmation -> PCE : Process Control Engine -> VBScript - Introduction -> Utilisation de boucles de code -> Utilisation des déclarations For...Next

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Vous pouvez utiliser des déclarations For...Next pour exécuter un bloc de déclarations un nombre spécifique de fois. Pour les boucles, utilisez un compteur de variables dont la valeur augmente ou diminue à chaque répétition de la boucle.

L'exemple suivant déclenche 50 exécutions d'une procédure appelée MyProc. La déclaration For spécifie le compteur de variables x et ses valeurs de début et de fin. La déclaration Next augmente la variable du compteur de 1.

Sub DoMyProc50Times()

Dim x

For x = 1 To 50

MyProc

Suivant

End Sub

À l'aide du mot-clé Step, vous pouvez augmenter ou diminuer la variable du compteur selon la valeur spécifiée. Dans l'exemple suivant, la variable du compteur j est augmentée de 2 à chaque réinitialisation de la boucle. Lorsque la boucle est terminée, le total est la somme de 2, 4, 6, 8 et 10.

Sub DoMyProc50Times()

Dim x

For x = 1 To 50

MyProc

Suivant

End Sub

Pour diminuer la variable du compteur, utilisez une valeur Step négative. Vous devez spécifier une valeur de fin inférieure à la valeur de début. Dans l'exemple suivant, la variable du compteur monNum est diminuée de 2 à chaque réinitialisation de la boucle. Lorsque la boucle est terminée, le total est la somme de 16, 14, 12, 10, 8, 6, 4 et 2.

Sub NewTotal()

Dim monNum, total

For monNum = 16 To 2 Step -2

total = total + monNum

Suivant

MsgBox 'Le total est de ' & total

End Sub


Utilisation de boucles For Each...Next

Manuel -> Interfaces de programmation -> PCE : Process Control Engine -> VBScript - Introduction -> Utilisation de boucles de code -> Utilisation de boucles For Each...Next

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Une boucle For Each...Next est semblable à une boucle For...Next. Au lieu de répéter les déclarations un nombre de fois, une boucle For Each...Next répète un groupe de déclarations pour chaque élément d'une collection d'objets ou pour chaque élément d'un tableau. Cette déclaration s'avère particulièrement utile si vous ne savez pas combien d'éléments comporte une collection.

Dans l'exemple de code HTML suivant, le contenu d'un objet Dictionary est utilisé pour insérer du texte dans plusieurs zones de texte.

<HTML>

<HEAD><TITLE>Formulare und Elemente</TITLE></HEAD>

<SCRIPT LANGUAGE='VBScript'>

<!--

Sub cmdChange_OnClick

Dim d 'Create a variable

Set d = CreateObject('Scripting.Dictionary')

d.Add '0', 'Athen' 'Add some keys and items

d.Add '1', 'Belgrade'

d.Add '2', 'Le Caire'

For Each I in d

Document.frmForm.Elements(I).Value = D.Item(I)

Suivant

End Sub

-->

</SCRIPT>

<BODY>

<CENTER>

<FORM NAME='frmForm'

<Input Type = 'Text'><p>

<Input Type = 'Text'><p>

<Input Type = 'Text'><p>

<Input Type = 'Text'><p>

<Input Type = 'Button' NAME='cmdChange' VALUE='Hierauf klicken'><p>

</FORM>

</CENTER>

</BODY>

</HTML>


Types de procédures

Manuel -> Interfaces de programmation -> PCE : Process Control Engine -> VBScript - Introduction -> Types de procédures

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Other topics in this chapter

Procédures Sub

Les procédures 'Function'

Insertion ou extraction de données dans les procédures

Utilisation des procédures Sub et Function dans le code


Procédures Sub

Manuel -> Interfaces de programmation -> PCE : Process Control Engine -> VBScript - Introduction -> Types de procédures -> Procédures Sub

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Une procédure Sub est une série de déclarations VBScript (délimitée par des déclarations Sub et End Sub) qui exécutent des actions, mais ne renvoient aucune valeur. Une procédure Sub peut avoir des arguments (constantes, variables ou expressions qui lui sont passées par la procédure appelante). Si une procédure Sub n'a pas d'argument, sa déclaration Sub doit inclure une parenthèse ouvrante et une parenthèse fermante ().

La procédure Sub suivante utilise deux fonctions VBScript intrinsèques (ou intégrées), MsgBox ert InputBox, pour inviter l'utilisateur à saisir des informations. Elle affiche ensuite les résultats d'un calcul basé sur ces informations. Le calcul est exécuté dans la procédure Function créée à l'aide de VBScript. La procédure Function est sera présentée après l'exposé suivant.

Sub ConvertTemp()

temp = InputBox('Veuillez entrer la température en degrés F.', 1)

MsgBox 'La température est de ' & Celsius(temp) & ' degrés C.'

End Sub


Les procédures 'Function'

Manuel -> Interfaces de programmation -> PCE : Process Control Engine -> VBScript - Introduction -> Types de procédures -> Les procédures 'Function'

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Une procédure Function est une série d'instructions VBScript inclue entre les mots clé Function et End Function. Une procédure Function est similaire à une procédure Sub mais en plus elle retourne une valeur. Une procédure Function peut avoir des arguments (constantes, variables ou expressions qui lui sont passées par la procédure appelante). Si une procédure Function n'a pas d'argument, sa déclaration Function doit inclure une parenthèse ouvrante et une parenthèse fermante. Une Function retourne une valeur en affectant une valeur directement dans le nom de la fonction dans une instruction de la procédure. Le type de la valeur retournée par une Function est toujours un Variant.

Dans l'exemple suivant, la fonction Celsius fait la conversion en degrés Celsius d'une valeur en degrés Fahrenheit. Quand la fonction est appelée à partir de la procédure Sub ConvertirTemp, une variable contenant la valeur de l'argument est passé à la fonction. Le résultat du calcul est retourné à la procédure appelante et affiché dans un message (message box).

Sub ConvertTemp()

temp = InputBox('Veuillez entrer la température en degrés F.', 1)

MsgBox 'La température est de ' & Celsius(temp) & ' degrés C.'

End Sub

Function Celsius(fDegres)

Celsius = (fDegres - 32) * 5 / 9

End Function


Insertion ou extraction de données dans les procédures

Manuel -> Interfaces de programmation -> PCE : Process Control Engine -> VBScript - Introduction -> Types de procédures -> Insertion ou extraction de données dans les procédures

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Chaque fragment de données est transmis à vos procédures à l'aide d'un argument . Les arguments servent d'opérateurs pour les données que vous souhaitez intégrer à votre procédure. Lorsque vous créez une procédure à l'aide de la déclaration Sub ou de la déclaration Function, vous devez inclure des parenthèses après le nom de la procédure. Les éventuels arguments doivent être insérés entre ces parenthèses, séparés par des virgules. Par exemple, dans l'exemple suivant, fDegrees est un opérateur représentant la valeur transmise à la fonction Celsius aux fins de la conversion.

Function Celsius(fDegres)

Celsius = (fDegres - 32) * 5 / 9

End Function


Utilisation des procédures Sub et Function dans le code

Manuel -> Interfaces de programmation -> PCE : Process Control Engine -> VBScript - Introduction -> Types de procédures -> Utilisation des procédures Sub et Function dans le code

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Dans du code, une procédure Function doit toujours être insérée à droite d'une attribution de variable ou dans une expression.

Exemples :

Temp = Celsius(fDegrees)

ou

MsgBox 'La température est de ' & Celsius(temp) & ' degrés C.'

Pour appeler une procédure Sub depuis une autre procédure, saisissez le nom de la procédure avec des valeurs pour les éventuels arguments nécessaires, en séparant chaque valeur par une virgule. La déclaration Call n'est pas requise, mais si vous l'utilisez, vous devez insérer les éventuels arguments entre parenthèses.

L'exemple suivant présente deux appels de procédure MyProc. Dans un cas, la déclaration Call est insérée dans le code, mais pas dans l'autre. Les deux appels renvoient le même résultat.

Call MyProc(premierarg, secondarg)

MyProc premierarg, secondarg


Conventions de codage

Manuel -> Interfaces de programmation -> PCE : Process Control Engine -> VBScript - Introduction -> Conventions de codage

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Les conventions de codage sont des suggestions destinées à vous aider dans l'écriture de vos scripts utilisant Microsoft Visual Basic Scripting Edition.

Les conventions de codage peuvent inclure les points suivants :

Conventions de nommage des objets, variables, et procédures

Conventions pour les commentaires

Formatage du texte et règles d'indentation

La raison principale pour l'utilisation d'un jeu de conventions cohérent est de standardiser la structure et le style du codage pour un script ou un groupe de scripts de façon à ce que vous et d'autres personnes puissent lire et comprendre le code facilement. Utiliser de bonnes conventions de codage permet d'avoir un code source clair, précis et lisible, qui est cohérent avec les conventions d'autres langages et intuitif.

Other topics in this chapter

Conventions de nommage constantes

Conventions de nommage des variables

Portée des variables

Noms de variables et de procédures

Conventions de nommage des objets

Conventions pour commenter le code


Conventions de nommage constantes

Manuel -> Interfaces de programmation -> PCE : Process Control Engine -> VBScript - Introduction -> Conventions de codage -> Conventions de nommage constantes

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Les versions antérieures de VBScript ne comportaient aucun mécanisme autorisant la création de constantes définies par l'utilisateur. Les constantes, le cas échéant, étaient mises en œuvre sous forme de variables et se distinguaient des autres variables par l'utilisation de caractères en majuscules. Plusieurs mots étaient séparés à l'aide du caractère "tiret bas" (_).

Exemples :

USER_LIST_MAX
NEW_LINE

Bien que cette manière de nommer les constantes fonctionne toujours, vous pouvez utiliser une autre méthode de dénomination. Vous pouvez créer des constantes réelles à l'aide de l'instruction Const. Cette convention utilise un format à casse mixte, dans lequel les noms de constantes comportent le préfixe "con".

Par exemple :

conYourOwnConstant


Conventions de nommage des variables

Manuel -> Interfaces de programmation -> PCE : Process Control Engine -> VBScript - Introduction -> Conventions de codage -> Conventions de nommage des variables

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Pour améliorer la lisibilité et la cohérence de vos scripts, utilisez le récapitulatif suivant et des noms descriptifs pour les variables de votre code VBScript.

Sous-type | Préfixe | Exemple
Booléen | bln | blnTrouve
Octet | byt | bytDonneeBrute
Date (Time) | dtm | dtmDebut
Double | dbl | dblTolerance
Erreur | err | errNumOrdre
Entier | int | intQuantite
Long | lng | lngDistance
Objet : | obj | objCourant
Single | sng | sngMoyenne
Chaîne | str | strPrenom


Portée des variables

Manuel -> Interfaces de programmation -> PCE : Process Control Engine -> VBScript - Introduction -> Conventions de codage -> Portée des variables

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Les variables doivent toujours être définies avec la plus petite portée possible. Les variables des scripts VB peuvent avoir les portées suivantes.

Plage valide | Déclaration | Visibilité
Niveau procédure | Event, Function ou Sub. | Visible dans la procédure dans laquelle elle est déclarée.
Niveau script | Section HEAD d'une page HTML, en dehors de toute procédure. | Visible dans chaque procédure du script.

Other topics in this chapter

Préfixes des portées des variables


Préfixes des portées des variables

Manuel -> Interfaces de programmation -> PCE : Process Control Engine -> VBScript - Introduction -> Conventions de codage -> Portée des variables -> Préfixes des portées des variables

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Préfixes des portées des variables

Lorsque vos scripts grossissent, il peut devenir difficile de différentier rapidement la portée des variables utilisées. Une lettre préfixe, identifiant la portée et précédant le préfixe concernant le type, peut être utilisée, sans augmenter trop la longueur des noms de variables.

Plage valide | Préfixe | Exemple
Niveau procédure | Aucun | dblVitesse
Niveau script | s | sblnCalcEnCours


Noms de variables et de procédures

Manuel -> Interfaces de programmation -> PCE : Process Control Engine -> VBScript - Introduction -> Conventions de codage -> Noms de variables et de procédures

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Dans les noms de variable ou de procédure, les majuscules peuvent être utilisées. Le nom doit être assez long pour décrire l'utilisation de la variable. En plus, les noms de procédure devraient commencer par un verbe, comme par exemple InitTableau ou FermerDialogue.

Pour les termes fréquemment utilisés ou les termes longs, des abréviations standard sont recommandées pour garder une longueur de nom raisonnable. En général, les noms de variable supérieurs à 32 caractères sont difficiles à lire. Si vous utilisez des abréviations, faites en sorte d'utilser toujours les mêmes et de façon cohérente dans tout le script. Par exemple, utiliser tantôt Cnt ou tantôt Count dans un même script peut engendrer une certaine confusion.


Conventions de nommage des objets

Manuel -> Interfaces de programmation -> PCE : Process Control Engine -> VBScript - Introduction -> Conventions de codage -> Conventions de nommage des objets

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

La table suivante liste les conventions recommandées pour les objets lors de la programmation en VBScript.

Type d'objet | Préfixe | Exemple
Panel 3D | pnl | pnlGroup
Bouton animé | ani | aniboîteMail
Check box | chk | chkLectureSeule
Combo box, liste déroulante | cbo | cboAnglais
Bouton commande | cmd | cmdQuitter
Dialogue | dlg | dlgOuvertureFichier
Gabarit | fra | fraLangue
Barre de défilement horizontale (scrollbar) | hsb | hsbVolume
Image | img | imgIcone
Label | lbl | lblMessageAide
Ligne | lin | linVerticale
Liste | lst | lstCodes
Spin | spn | spnPages
Texte | txt | txtNom
Barre de défilement verticale (scrollbar) | vsb | vsbTaux
Réglette | sld | sldEchelle


Conventions pour commenter le code

Manuel -> Interfaces de programmation -> PCE : Process Control Engine -> VBScript - Introduction -> Conventions de codage -> Conventions pour commenter le code

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Chaque procédure devrait commencer par un bref commentaire décrivant le but de la procédure. Cette description ne doit pas entrer dans les détails de l'implémentation (comment les opérations sont exécutées), car ceux-ci peuvent éventuellement évoluer avec le temps. Ceci pourrait engendrer des efforts de maintenance sur les commentaires et - pire encore - conduire à des commentaires faux. Le code lui-même et des commentaires entre les lignes de code décrivent l'implémentation.

Les arguments passés à une procédure doivent être décrits lorsque leur rôle n'est pas évident et lorsque la procédure s'attend à ce qu'ils soient dans une plage de valeurs spécifique. Les valeurs retournées par les fonctions et les variables qui sont modifiées par une procédure, particulièrement avec des arguments passés par référence, doivent aussi être décrites au début de la procédure.

Les commentaires en entête de procédure doivent inclure les sections suivantes. Par exemple, voir la section "Formater votre code" qui suit.

Section entête | Commentaire
But | Ce que fait la procédure (et non pas comment elle le fait).
Hypothèses | Liste des effets de la procédure sur chaque variable externe, contrôle ou autre élément.
Effets | Liste des effets de la procédure sur chaque variable externe, contrôle ou autre élément.
Entrées | Explication de chaque argument qui n'est pas évident. Chaque argument doit apparaître sur une ligne différente.
Valeurs retournées | Explication de la valeur retournée.

Points à se rappeler :

Chaque variable importante doit contenir un commentaire sur son utilisation dans sa ligne de déclaration.

Les variables, contrôles et procédures doivent être nommés clairement de façon à fournir une auto-documentation ; ainsi seuls les éléments complexes nécessitent un commentaire détaillé.

Au début du script, vous devriez inclure un descriptif global, énumérant les objets, procédures, algorithmes, boîtes de dialogue et dépendances système. Parfois quelques lignes de pseudocode peut aider à comprendre un algorithme.

Other topics in this chapter

Mise en forme du code


Mise en forme du code

Manuel -> Interfaces de programmation -> PCE : Process Control Engine -> VBScript - Introduction -> Conventions de codage -> Conventions pour commenter le code -> Mise en forme du code

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Mise en forme du code

L'espace écran doit être économisé autant que possible, mais tout en permettant que le formatage du code reflète la structure logique et l'imbrication. Voici quelques suggestions :

  • Indenter les blocs imbriqués de 4 espaces.
  • Indenter les commentaires généraux des procédures de 1 espace.
  • Les instructions du niveau le plus haut, suivant directement le commentaire général, doivent être indentées de 4 espaces. Chaque bloc imbriqué suivant doit, à son tour, être identé de 4 espaces.

Exemple :

Le code suivant respecte les conventions de codage du VB script.

  • ' But : Recherche la 1ière occurence de l'utilisateur donné dans UserList.
  • Entrées : strUserList(): liste d'utilisateurs dans laquelle il faut chercher.
  • strZielUser: nom de l'utilisateur recherché.
  • Valeurs retournées : Index de la première occurence de strTargetUser dans strUserList.
    Si l'utilisateur recherché n'est pas trouvé, retourne -1. -1.

Function intFindUser (strUserList(), strTargetUser)

Dim i ' Loop counter.

Dim blnFound ' 'Target found' flag.

intFindUser = -1

i = 0 ' Initialize loop counter

Do While i <= Ubound(strUserList) and Not blnFound

If strUserList(i) = strTargetUser Then

blnFound = True ' Set flag to True

intFindUser = i ' Set return value to loop count

End If

i = i + 1 ' Increment loop counter

Loop

End Function


Modèles d'objet

Manuel -> Interfaces de programmation -> Modèles d'objet

Ici, vous trouverez le modèle d'objet de zenon. Ce modèle est applicable à VBA, VSTA, PCE et à l'interface COM externe.

info Informations

L'aide de zenon Object Model est uniquement disponible dans l'aide en ligne (pas dans le manuel PDF), et uniquement en anglais.

Other topics in this chapter

Constants

Alarm

AlarmItem

AlarmItems

ALCEdge

ALCEngine

ALCGraphAlias

ALCGraphElem

ALCNode

Application

Archive

ArchiveED

ArchiveFilter

ArchiveFilters

ArchiveFilterVariable

ArchiveFilterVariables

Archives

ArchivesED

ArchiveValue

ArchiveValues

ArchiveVarED

ArchiveVariable

ArchiveVariables

ArvTemplate

ArvTemplates

BatchConfig

BatchControlRecipe

BatchControlRecipePhaseEditedEventData

BatchControlRecipes

BatchControlStrategy

BatchCRSelectionChangedEventData

BatchManager

BatchMasterRecipe

BatchMasterRecipes

BatchMRSelectionChangedEventData

BatchOperation

BatchPhase

BatchPhaseChanges

BatchPhaseCommunicationErrorEventData

BatchPhaseConfig

BatchPhaseEscapeEventData

BatchPhaseExecutionErrorEventData

BatchPhaseModeChangedEventData

BatchPhasePlcErrorEventData

BatchPhaseProgressEventData

BatchPhaseRuntimeEventData

BatchPhasesConfig

BatchPhaseStateChangedEventData

BatchRecipeId

BatchRecipeModeChangedEventData

BatchRecipeStateChangedEventData

BatchTag

BatchTags

BatchTagValue

BatchUnitConfig

BatchUnitsConfig

Cel

CelItem

CelItems

ColorPalettes

ComplexItem

Driver

Drivers

DynPicture

DynPictureInstances

DynPictures

EdLimit

Element

Elements

FileManager

FileManagerFileItem

FileManagerFolder

FontItem

FontList

FontLists

Interlocking

Interlockings

LanguageTable

Limit

Limits

MdiElement

MdiElements

MDITemplate

MDITemplates

MessageControl

MessageControlMessage

OnlineAlarm

OnlineAlarmCollection

OnlineCel

OnlineCelCollection

OnlineVariable

OnlineVariables

Passwords

PfsCalendar

PfsEngine

PfsEvent

PfsEvents

PfsGroup

PfsGroups

PfsHoliday

PfsHolidays

PfsModellBreak

PfsModellBreaks

PfsModellShift

PfsModellShifts

PfsSchedule

PfsScheduleDay

PfsScheduleDays

PfsScheduleLink

PfsScheduleLinks

PfsSchedules

PfsScheduleTime

PfsScheduleTimes

PfsScheduleValue

PfsScheduleValues

PfsSwitchingPoint

PfsSwitchingPointFilter

PfsTimeModell

PfsTimeModells

PictureFilter

Project

Projects

PropParam

Recipe

Recipes

RecipeValue

Rema

Remas

RemoteTransport

RemoteTransportCustom

RGMRecipe

RGMRecipeGroup

RGMRecipeGroups

RGMRecipeValue

RGMRecipeVar

RtFunction

RtFunctions

SapFunction

SapFunctions

SapParameter

SapParameters

SapRow

SapRows

SapTable

SapTables

ScheduleCustomPeriod

ScheduleFunction

ScheduleFunctions

ScheduleGroup

ScheduleGroups

Scheduler

Schedules

ScheduleStandardDay

ScheduleSwitchingPeriod

ScheduleSwitchingPeriods

ScheduleSwitchingPoint

ScheduleSwitchingPoints

ScheduleVariable

ScheduleVariables

Script

Scripts

SelectionChangedEventParameter

SelectionRange

Shift

ShiftBreak

ShiftBreaks

ShiftCalendar

ShiftFilter

ShiftManagement

ShiftModel

ShiftModelInsertResult

ShiftModelInsertSettings

ShiftModels

Shifts

ShiftUser

ShiftUserCollection

State

StyleItem

StyleManager

SymbolElements

Symbols

SystemModel

SystemModelGroup

SystemModelManager

Task

Tasks

Template

Templates

TextList

TextListManager

TimeFunction

TimeFunctions

Units

User

UserGroup

VarAssignment

VarAssignments

Variable

Variables

VariableValue

VarType

VarTypes

ZenMenu

ZenMenuItem

ZenMenus

ZenWorkspace


Constants

Manuel -> Interfaces de programmation -> Modèles d'objet -> Constants

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

List of constants

Other topics in this chapter

tpAdrMode

tpAdrMode

tpAdrMode

tpAdrMode

tpAdrMode

tpALCGroundFaultMode

tpALCGroundFaultType

tpALCShortFaultType

tpALCType

tpArvVarCal

tpBatchBoolValue

tpBatchCRState

tpBatchCRStateFilter

tpBatchExecutionMode

tpBatchExecutionState

tpBatchMRState

tpBatchPhaseCommunicationErrorState

tpBatchPhaseEscapeState

tpBatchPhaseExecutionError

tpBatchPhasePlcErrorState

tpBatchPhaseRuntimeEvent

tpBatchPhaseState

tpBatchTagDataType

tpBatchTagType

tpBuildMethod

tpCRCreateResult

tpDatatypes

tpDebugPrintStyle

tpDriverMode

tpDriverStatus

tpDynPicturesTypes

tpElementTypes

tpFunctionTypes

tpGlobalMultiTouchMode

tpHardcopyOutput

tpKanaltypes

tpLockResult

tpLoginResult

tpLoginType

tpModulePaths

tpMsgCtrlCelDetail

tpNetSendType

tpPfsData

tpPfsDayLink

tpPfsDefaultDays

tpPfsEventTypes

tpPfsLinkTypes

tpPfsTimeTypes

tpProjectNetTypes

tpRecipeRenameResult

tpRema

tpRemoteTransportType

tpRGMRecipeImport

tpRTCustomAction

tpRunStates

tpSapActivity

tpSapError

tpScheduleDayType

tpScreenRawEventRouting

tpShiftBreakDeleteResult

tpShiftCalendarSelection

tpShiftDeleteResult

tpShiftModelInsertResult

tpShiftSaveResult

tpStateBit

tpStyleType

tpTaskStatus

tpTaskTyp

tpVisibilityType

tpZenMenus

tpZenPathType


tpAdrMode

Manuel -> Interfaces de programmation -> Modèles d'objet -> Constants -> tpAdrMode

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

List of predefined AlarmEventMode constants.

Name | Value | Description
AlarmEventMode_Single | 0 | each change is reported separately
AlarmEventMode_BulkAsXml | 1 | changes as reported as bulk formatted in XML


tpAdrMode

Manuel -> Interfaces de programmation -> Modèles d'objet -> Constants -> tpAdrMode

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

List of predefined AlarmEventReason constants.

Name | Value | Description
AlarmEventReason_New | 0 | alarm entry is new
AlarmEventReason_Changed | 1 | alarm entry is changed
AlarmEventReason_Deleted | 2 | alarm entry is deleted


tpAdrMode

Manuel -> Interfaces de programmation -> Modèles d'objet -> Constants -> tpAdrMode

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

List of predefined CelEventMode constants.

Name | Value | Description
CelEventMode_Single | 0 | each change is reported separately
CelEventMode_BulkAsXml | 1 | changes as reported as bulk formatted in XML


tpAdrMode

Manuel -> Interfaces de programmation -> Modèles d'objet -> Constants -> tpAdrMode

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

List of predefined CelEventReason constants.

Name | Value | Description
CelEventReason_New | 0 | cel entry is new
CelEventReason_Changed | 1 | cel entry is changed
CelEventReason_Deleted | 2 | cel entry is deleted


tpAdrMode

Manuel -> Interfaces de programmation -> Modèles d'objet -> Constants -> tpAdrMode

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

List of predefined tpAdrMode constants.

Name | Value | Description
tpAdrPacked | 1 | Packed
tpAdrAccType | 2 | Acc Type
tpAdrManual | 3 | Manual


tpALCGroundFaultMode

Manuel -> Interfaces de programmation -> Modèles d'objet -> Constants -> tpALCGroundFaultMode

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

List of predefined tpALCGroundFaultMode constants.

Name | Value | Description
tpALCGroundFaultModePart | 0 | Part
tpALCGroundFaultModeFull | 1 | Full


tpALCGroundFaultType

Manuel -> Interfaces de programmation -> Modèles d'objet -> Constants -> tpALCGroundFaultType

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

List of predefined tpALCGroundFaultType constants.

Name | Value | Description
tpALCGroundFaultTypeNone | 0 | None
tpALCGroundFaultTypeTransAdv | 1 | Adv
tpALCGroundFaultTypeTransLag | 2 | Lag
tpALCGroundFaultTypePermAdv | 3 | Perm Adv
tpALCGroundFaultTypePermLag | 4 | Perm Lag


tpALCShortFaultType

Manuel -> Interfaces de programmation -> Modèles d'objet -> Constants -> tpALCShortFaultType

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

List of predefined tpALCShortFaultType constants.

Name | Value | Description
tpALCShortFaultTypeNone | 0 | None
tpALCShortFaultTypePermAdv | 1 | Perm Adv
tpALCShortFaultTypePermLag | 2 | Perm Lag


tpALCType

Manuel -> Interfaces de programmation -> Modèles d'objet -> Constants -> tpALCType

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

List of predefined tpALCType constants.

Name | Value | Description
tpALCTypeNone | 0 | None
tpALCTypeSource | 1 | Source
tpALCTypeSwitch | 2 | Switch
tpALCTypeSink | 3 | Sink
tpALCTypeTrafo | 4 | Trafo
tpALCTypeLink | 5 | Link


tpArvVarCal

Manuel -> Interfaces de programmation -> Modèles d'objet -> Constants -> tpArvVarCal

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

List of predefined tpArvVarCal constants.

Name | Value | Description
tpCalc_All | 0 | All calculations
tpCalc_Sum | 1 | Sum
tpCalc_Mean | 2 | Mean
tpCalc_Min | 3 | Min
tpCalc_Max | 4 | Max


tpBatchBoolValue

Manuel -> Interfaces de programmation -> Modèles d'objet -> Constants -> tpBatchBoolValue

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

List of predefined tpBatchBoolValue constants.

Name | Value | Description
tpBatchBoolFalse | 0 | Set to false
tpBatchBoolTrue | 1 | Set to true
tpBatchBoolToggle | 2 | Toggle value


tpBatchCRState

Manuel -> Interfaces de programmation -> Modèles d'objet -> Constants -> tpBatchCRState

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

List of predefined tpBatchCRState constants.

Name | Value | Description
tpCRStateCreating | 1 | Creating
tpCRStatePrepared | 2 | Prepared
tpCRStateExecuting | 3 | Executing
tpCRStateExecuted | 4 | Executed,
tpCRStateTerminated | 5 | Terminated
tpCRStateOutdated | 7 | Outdated


tpBatchCRStateFilter

Manuel -> Interfaces de programmation -> Modèles d'objet -> Constants -> tpBatchCRStateFilter

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

List of predefined tpBatchCRStateFilter constants.

Name | Value | Description
tpCRStateFilterPrepared | 1 | Prepared
tpCRStateFilterExecuting | 2 | Executing
tpCRStateFilterFinished | 4 | Executed or Terminated
tpCRStateFilterOutdated | 8 | Outdated
tpCRStateFilterAll | 65535 | All


tpBatchExecutionMode

Manuel -> Interfaces de programmation -> Modèles d'objet -> Constants -> tpBatchExecutionMode

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

List of predefined tpBatchExecutionMode constants.

Name | Value | Description
tpExecutionModeAutomatic | 1 | Automatisch
tpExecutionModeSemiAutomatic | 2 | Halbautomatisch
tpExecutionModeManual | 3 | Manuell


tpBatchExecutionState

Manuel -> Interfaces de programmation -> Modèles d'objet -> Constants -> tpBatchExecutionState

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

List of predefined tpBatchExecutionState constants.

Name | Value | Description
tpExecutionStateIdle | 0 | resetted or aborted or never started
tpExecutionStateRunning | 1 | running the sequence
tpExecutionStateComplete | 2 | sequence is finished
tpExecutionStateStopping | 3 | processing stop
tpExecutionStateStopped | 4 | stopped
tpExecutionStatePausing | 5 | processing pause
tpExecutionStatePaused | 6 | paused
tpExecutionStateHolding | 7 | processing hold
tpExecutionStateHeld | 8 | held
tpExecutionStateAborting | 9 | abort in progress
tpExecutionStateAborted | 10 | aborted
tpExecutionStateRestarting | 11 | restart in progress


tpBatchMRState

Manuel -> Interfaces de programmation -> Modèles d'objet -> Constants -> tpBatchMRState

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

List of predefined tpBatchMRState constants.

Name | Value | Description
tpMRStateCreating | 0 | Erzeugung
tpMRStateEditing | 1 | Editiermodus
tpMRStateApproved | 2 | Freigegeben
tpMRStateTesting | 3 | Testmodus
tpMRStateExecutingTest | 4 | Ausf?hrungsmodus
tpMRStateTerminated | 5 | Abgeschlossen
tpMRStateOutdated | 8 | Veraltet


tpBatchPhaseCommunicationErrorState

Manuel -> Interfaces de programmation -> Modèles d'objet -> Constants -> tpBatchPhaseCommunicationErrorState

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

List of predefined tpBatchPhaseCommunicationErrorState constants.

Name | Value | Description
tpCommunicationErrorPending | 0 | The communication error condition of the phase is true - The communication is interrupted
tpCommunicationErrorFixed | 1 | The communication error condition of the phase switched back from true to false, but has not yet been acknowledged
tpCommunicationErrorAcknowledged | 2 | A no longer active communication error has been acknowledged


tpBatchPhaseEscapeState

Manuel -> Interfaces de programmation -> Modèles d'objet -> Constants -> tpBatchPhaseEscapeState

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

List of predefined tpBatchPhaseEscapeState constants.

Name | Value | Description
tpEscapeStarted | 0 | The escape process for the phase has been started
tpEscapeCompleted | 1 | The escape process for the phase has been finished


tpBatchPhaseExecutionError

Manuel -> Interfaces de programmation -> Modèles d'objet -> Constants -> tpBatchPhaseExecutionError

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

List of predefined tpBatchPhaseExecutionError constants.

Name | Value | Description
tpExecutionErrorAllocationTimeout | 0 | Unit allocation was not possible within the timeout
tpExecutionErrorMultipleExecution | 1 | The same phase was started twice
tpExecutionErrorInterlockingTimeout | 2 | The interlocking condition could not be passed within the timeout
tpExecutionErrorWriteCommandTagsTimeout | 3 | Writing the commantags was not possible within the timeout
tpExecutionErrorDoneTimeout | 4 | The done condition could not be passsed within the timeout
tpExecutionErrorFollowingConditionTimeout | 5 | The phase was not deactivated within the timeout
tpExecutionErrorVariableInterruption | 6 | A needed variable was interrupted


tpBatchPhasePlcErrorState

Manuel -> Interfaces de programmation -> Modèles d'objet -> Constants -> tpBatchPhasePlcErrorState

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

List of predefined tpBatchPhasePlcErrorState constants.

Name | Value | Description
tpPlcErrorPending | 0 | The PLC error condition is true - The PLC reported an error
tpPlcErrorFixed | 1 | The PlC error condition switched back from true to false - there is no longer an error in the PLC
tpPlcErrorFixedByDeactivation | 2 | The Phase was deactivated while the PLC Error was still active


tpBatchPhaseRuntimeEvent

Manuel -> Interfaces de programmation -> Modèles d'objet -> Constants -> tpBatchPhaseRuntimeEvent

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

List of predefined tpBatchPhaseRuntimeEvent constants.

Name | Value | Description
tpRuntimeShutdown | 0 | A runtime shutdown was triggert while the phase was active
tpRuntimeRestart | 1 | The runtime was started and the execution of this phase was continued, because it was active before shutown


tpBatchPhaseState

Manuel -> Interfaces de programmation -> Modèles d'objet -> Constants -> tpBatchPhaseState

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

List of predefined tpBatchPhaseState constants.

Name | Value | Description
tpPhaseStateActivated | 0 | Phase was activated
tpPhaseStateUnitAllocationFailed | 1 | First unit allocation failed
tpPhaseStateStarted | 2 | Phase was started - active for the PLC
tpPhaseStateInterlockingBlocked | 3 | Interlocking condition was blocked the first time
tpPhaseStateInterlockingCompleted | 4 | Interlocking condition was passed
tpPhaseStateWritingCommandTagsCompleted | 5 | Writing Command Tags was finished
tpPhaseStateDoneCompleted | 6 | Done condition was passed
tpPhaseStateDeactivated | 7 | Phase was deactivated


tpBatchTagDataType

Manuel -> Interfaces de programmation -> Modèles d'objet -> Constants -> tpBatchTagDataType

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

List of predefined tpBatchTagDataType constants.

Name | Value | Description
tpTagDataTypeBool | 0 | Bool tag
tpTagDataTypeString | 1 | String tag
tpTagDataTypeNumeric | 2 | Numerical tag
tpTagDataTypeDuration | 3 | Duration tag


tpBatchTagType

Manuel -> Interfaces de programmation -> Modèles d'objet -> Constants -> tpBatchTagType

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

List of predefined tpBatchTagType constants.

Name | Value | Description
tpTagTypeReturn | 0 | Return tag
tpTagTypeInitial | 1 | Inital tag
tpTagTypeValue | 2 | Value Tag


tpBuildMethod

Manuel -> Interfaces de programmation -> Modèles d'objet -> Constants -> tpBuildMethod

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

List of predefined tpBuildMethod constants.

Name | Value | Description
tpAll | 0 | All
tpIncremental | 1 | Incremental


tpCRCreateResult

Manuel -> Interfaces de programmation -> Modèles d'objet -> Constants -> tpCRCreateResult

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

List of predefined tpCRCreateResult constants.

Name | Value | Description
tpCRCreateSuccess | 0 | The recipe was created successfully.
tpCRCreateOtherError | 1 | A general error has occured.
tpCRCreateWrongLicense | 2 | You do not have the required license for the operation.
tpCRCreateRecipeNotFound | 3 | The master recipe was not found.
tpCRCreateRecipeWrongState | 4 | The master recipe is in the wrong state. It needs to be "approved" to allow the creation of control recipes.
tpCRCreateRecipeInvalid | 5 | The master recipe is invalid.
tpCRCreateInvalidJobIdVariable | 6 | The job id variable is invalid.
tpCRCreateInvalidJobId | 7 | The job id variable has an invalid value.


tpDatatypes

Manuel -> Interfaces de programmation -> Modèles d'objet -> Constants -> tpDatatypes

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

List of predefined tpDatatypes constants.

Name | Value | Description
tptypeBIT | 8 | BOOL
tptypeINT_8 | 10 | SINT
tptypeUINT_8 | 9 | USINT
tptypeINT_16 | 1 | INT
tptypeUINT_16 | 2 | UINT
tptypeINT_32 | 3 | DINT
tptypeUINT_32 | 4 | UDINT
tptypeINT_64 | 26 | LINT
tptypeUINT_64 | 27 | ULINT
tptypeFLOAT_REAL | 5 | REAL
tptypeSTRING | 12 | STRING


tpDebugPrintStyle

Manuel -> Interfaces de programmation -> Modèles d'objet -> Constants -> tpDebugPrintStyle

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

List of predefined tpDebugPrintStyle constants.

Name | Value | Description
tpNrm | 16777216 | Show message (black)
tpWarn | 33554432 | Display warning (orange)
tpErr | 67108864 | Show errors (red)
tpMsg | 134217728 | Default style (blue)


tpDriverMode

Manuel -> Interfaces de programmation -> Modèles d'objet -> Constants -> tpDriverMode

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

List of predefined tpDriverMode constants.

Name | Value | Description
tpSimul | 0 | Simulation
tpHardware | 1 | Hardware


tpDriverStatus

Manuel -> Interfaces de programmation -> Modèles d'objet -> Constants -> tpDriverStatus

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

List of predefined tpDriverStatus constants.

Name | Value | Description
tpStop | 0 | Stop
tpStart | 1 | Start


tpDynPicturesTypes

Manuel -> Interfaces de programmation -> Modèles d'objet -> Constants -> tpDynPicturesTypes

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

List of predefined tpDynPicturesTypes constants.

Name | Value | Description
tpStandard | 0 | Standard
tpListWindow | 1 | Nodepad
tpAML | 2 | Alarm message list
tpArchEdit | 3 | Archive revision
tpCEL | 4 | Chronologic event list
tpETM | 5 | Extended trend
tpVideo | 6 | Video
tpReports | 7 | Report Generator
tpBefehl | 8 | DBAG Command (Sicam 230)
tpBefehlsgabe | 9 | DBAG Command(Sicam 230)
tpStatus | 10 | State (Sicam230)
tpHelp | 11 | Peak Load Projection
tpRGM | 12 | RGM
tpLogin | 13 | Login
tpHTML | 14 | HTML
tpKeyboard | 15 | Keyboard
tpPFS | 16 | Production & Facility Scheduler
tpRezepturen | 17 | Recipe
tpZustand | 18 | State protocol (Sicam 230)
tpWeltbild | 19 | World view
tpBefBewag | 20 | Scripting command output (Sicam 230)
tpVarStatus | 21 | Variable diagnosis
tpSea | 22 | Switching sequence (Sicam 230)
tpASM | 23 | Industrie Performance Analyzer
tpAlmMgmt | 24 | Alarm management (Sicam 230)
tpIMM | 25 | Industrie Maintainance Manager
tpEnergy | 26 | Command input
tpEMS | 27 | Last-Management
tpTimeFilter | 28 | Time filter
tpAlarmFilter | 29 | Alarm Message List Filter
tpCELFilter | 30 | Chronological Event List
tpGraph7 | 31 | S7 graph
tpBatchControl | 32 | Batch
tpReportViewer | 33 | Report viewer
tpMessageControl | 34 | Message control
tpFaceplate | 35 | Faceplate
tpSystemModel | 36 | System Model
tpADUA | 37 | Active Directory User Administration
tpUserList | 38 | Benutzerliste
tpEditUser | 39 | Benutzer editieren
tpGroupList | 40 | Benutzergruppenliste
tpShiftManagement | 41 | Schichtverwaltung
tpSchaltfolgen | 42 | Schaltfolgen
tpMessageBox | 43 | MessageBox
tpTextList | 44 | TextList
tpProcessRecorder | 45 | ProcessRecorder


tpElementTypes

Manuel -> Interfaces de programmation -> Modèles d'objet -> Constants -> tpElementTypes

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

List of predefined tpElementTypes constants.

Name | Value | Description
tpDynBargraph | 0 | Bar display
tpDynZahlenElem | 1 | Numerical value
tpDynText | 2 | Dynamic text
tpDynTrend | 4 | Trend element
tpDynZeiger | 5 | Pointer instrument
tpDynBewegt | 6 | Only for compatibility
tpDynBinaer | 7 | Status element
tpDynBitmap | 8 | Only for compatibility
tpDynVerkn | 9 | Only for compatibility
tpDynButton | 10 | Button
tpDynSchalter | 11 | Switch
tpDynMultibin | 12 | Multibin
tpDynMeldung | 13 | Message element
tpDynUhr | 14 | Clock
tpDynBefMdi | 15 | Only for compatibility
tpDynStatus | 16 | Combined Element
tpDynBaButton | 17 | Only for compatibility
tpDynControl | 18 | Only for compatibility
tpDynAegel | 19 | Only for compatibility
tpDynActiveX | 20 | ActiveX
tpDynTopLgt | 21 | Only for compatibility
tpDynTopStrg | 22 | Only for compatibility
tpDynInstrument | 23 | Universal slider
tpDynCombiList | 24 | tpDynCombiList
tpDynWindows | 25 | Only for compatibility
tpDynListbox | 26 | Only for compatibility
tpDynCombobox | 27 | Only for compatibility
tpDynListCtrl | 28 | Only for compatibility
tpDynWPF | 29 | WPF element
tpDynGFXListCtrl | 30 | Only for compatibility
tpDynListCtrlNoH | 31 | Only for compatibility
tpDynMarker | 32 | Only for compatibility
tpDynBatchParamList | 33 | Batch Param List
tpDynBatchRecipeFrame | 34 | Batch Recipe Frame
tpDynPictureContainer | 35 | Picture Container
tpDot | 100 | Only for compatibility
tpLine | 101 | Line
tpRectangle | 102 | Rectangle
tpCircle | 103 | EllipseCircle
tpPolyLine | 104 | Polyline
tpText | 107 | Static text
tpArc | 108 | Arc of a circle
tpSolid | 109 | Only for compatibility
tpTraceDr | 111 | Only for compatibility
tpKegel | 114 | Only for compatibility
tpFillPara | 115 | Only for compatibility
tpFillTria | 116 | Only for compatibility
tpFillBlock | 117 | Only for compatibility
tpPie | 121 | Only for compatibility
tpRoundRect | 127 | Only for compatibility
tpPolygon | 128 | Polygon
tpSymbol | 129 | Embedded symbol
tpSymbolLnk | 130 | Linked symbol
tpSegme_Dxf | 131 | Segment of a circle
tpWMF | 133 | Only for compatibility
tpEMF | 134 | Only for compatibility
tpWinkel | 135 | Only for compatibility
tpPipe | 136 | Pipe


tpFunctionTypes

Manuel -> Interfaces de programmation -> Modèles d'objet -> Constants -> tpFunctionTypes

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

List of predefined tpFunctionTypes constants.

Name | Value | Description
tpPicture | 3 | Screen switch
tpLastPicture | 4 | Screen: Return to last
tpPrintAmlCel | 5 | Print AML or CEL
tpExportAmlCel | 6 | Export AML
tpPrintHardCopy | 8 | Print screenshot
tpAlarmAckBlink | 10 | Alarms: acknowledge flashing
tpExit | 12 | Exit Runtime
tpSendVal | 13 | Write set value
tpPlaySound | 14 | Play audio file
tpExecute | 15 | Start program
tpCloseTemplate | 17 | Close fram
tpReadDBaseFile | 18 | Read dBase file
tpSelectScript | 19 | select online
tpExecuteScript | 20 | execute
tpSwitchOnlinePrint | 22 | Switch online printing onoff
tpPrintActual | 23 | Print current values
tpClosePicture | 26 | Close screen
tpExportData | 29 | Export data
tpSelectRecipeOffline | 30 | Standard recipe single with dialog
tpSelectRecipeOnline | 31 | Standard recipe single with online dialog
tpSelectRecipeDirect | 32 | Standard recipe single directly
tpRedundancySwitch | 33 | Redundancy switch
tpActivateAlarm | 34 | Alarm Message List active
tpDeactivateAlarm | 35 | Alarm Message List inactive
tpActDeactAlarm | 38 | Alarm Message List activeinactive
tpFunctionsOnOff | 42 | Functions activeinactive at limit
tpTrendOnOff | 43 | HD administration inactiveactive
tpTrendOn | 44 | HD administration active
tpTrendOff | 45 | HD administration inactive
tpArchiveStart | 46 | Archive: Start
tpArchiveStop | 47 | Archive: Stop
tpListActiveArchive | 48 | Display open archives
tpFunctionsOn | 51 | Functions active at limit
tpFunctionsOff | 52 | Functions inactive at limit
tpCommandOutput | 60 | SAT function
tpCreateSCProtocol | 61 | SAT function
tpFuncLogin | 70 | Log in with dialog
tpFuncLogout | 71 | Log out
tpChangePassword | 72 | Change password
tpBeepStart | 73 | Start continuous tone
tpBeepFinish | 74 | Stop continuous tone
tpExportCel | 76 | Export CEL
tpPrintReport | 77 | Print Report Generator
tpLoginNoPassword | 78 | Login without password
tpReadTextlist | 79 | Language change
tpExportReport | 80 | Export Report Generator
tpCreateProtocol | 81 | Online printing start new page
tpFileOperation | 82 | File operations
tpDriverCommand | 83 | Driver Commands
tpAlarmAck | 84 | Alarms: acknowledge
tpWindowToBack | 85 | Window to the background
tpWindowToFront | 86 | Window to the foreground
tpTemplateFocusOn | 87 | Set focus to the frame
tpTemplateFocusOff | 88 | Take focus away from frame
tpActivateInput | 91 | Activate input to the element with the focus
tpExecReport | 92 | Report Generator: execute
tpRecipeGroupManager | 93 | Recipegroup Manager
tpExportArchive | 95 | Export archives
tpOverviewWindow | 96 | Show overview window
tpUserEdit | 97 | Change user
tpMonitorAssign | 98 | Monitor assign
tpAlarmsGroupsClasses | 99 | Activatedeactivate Alarm Message List, alarmevent groupsclasses
tpSendMessage | 100 | Send a Message
tpVBAEditor | 101 | Open VBA editor
tpVBAMacroDialog | 102 | Show VBA macro dialog
tpShowPCE | 103 | Open PCE editor
tpVBAExecMacro | 104 | Execute VBA macro
tpNetAuth | 105 | Authorization in the network
tpReloadProject | 106 | Reload project online
tpShowRecipeDB | 107 | Show receiving database
tpSaveAlarms | 108 | Save AML and CEL memory buffer
tpSetFocus | 109 | Move focus
tpPictureIndex | 110 | Screen with index
tpAlarmgroupOnOff | 111 | Alarmevent group log inlog off
tpWriteTime | 112 | Write time to variable
tpReadTime | 113 | Read time from variable
tpDeleteAlarm | 114 | Alarms: delete
tpSendMessageAct | 115 | Send Message: activate
tpSendMessageDeact | 116 | Send Message: deactivate
tpExecPFSEvent | 117 | PFS - execute user-defined event
tpVSTAEditor | 130 | Open VSTA editor
tpVSTAExecMacro | 131 | Execute VSTA macro
tpVSTAMacroDialog | 132 | Show VSTA macro dialog
tpAlignVmImage | 139 | Transfer driver simulation image to the standby
tpSimulation | 141 | Activatedeactivate project simulation
tpSapCallFunction | 149 | Execute SAP function
tpEarthfault | 150 | Earthfault search
tpMsgSuppress | 151 | Groupclassareaequipment suppressed
tpMsgSaveQueue | 152 | Save current queue
tpReportViewerPrint | 153 | Report Viewer: export print
tpBatchStateModeCmd | 154 | Execute recipe command changemode change
tpBatchCreateCr | 155 | Create control recipe
tpTemplateToFront | 156 | Funktion "Schablone in Vordergrund bringen"
tpNewAnalyzerReport | 157 | Create analyzer report
tpDeletePicBackPath | 158 | Delete "picture back" path
tpBatchRcpImportXML | 159 | Import recipes from XML
tpBatchRcpExportXML | 160 | Export selected recipes as XML
tpSequencerCmd | 161 | Perform sequencer command
tpSequencesExportXML | 162 | Export selected command sequences as XML
tpSequencesImportXML | 163 | Import command sequences from XML
tpSequencerTeaching | 164 | Start stop teaching a command sequence
tpMtConcurrentExecution | 165 | Execute parallel commands
tpPRPlaybackMode | 166 | PlaybackMode enabledisable
tpSmSqlExport | 167 | Shift calender SQL export
tpExecuteAddInWizard | 168 | Execute AddIn Wizard
tpManageAddInServices | 169 | Manage AddIn Services
tpFunctionTypes_DisplayLicense | 170 | Display information about the licence


tpGlobalMultiTouchMode

Manuel -> Interfaces de programmation -> Modèles d'objet -> Constants -> tpGlobalMultiTouchMode

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

List of predefined tpGlobalMultiTouchMode constants.

Name | Value | Description
tpGMTNone | 0 | Multi-Touch recognition: deactivated
tpGMTWindows7 | 1 | Multi-Touch recoginition: Windows 7
tpGMTWindows8 | 2 | Multi-Touch recognition: Windows8


tpHardcopyOutput

Manuel -> Interfaces de programmation -> Modèles d'objet -> Constants -> tpHardcopyOutput

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

List of predefined tpHardcopyOutput constants.

Name | Value | Description
tpBMP | 0 | Imagetype BMP of dynpicture hardcopy(...)


tpKanaltypes

Manuel -> Interfaces de programmation -> Modèles d'objet -> Constants -> tpKanaltypes

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

List of predefined tpKanaltypes constants.

Name | Value | Description
tpControlStatus | 0 | Control Status
tpAdChan | 1 | AdChan
tpDaChan | 2 | DaChan
tpDigital | 3 | Digital
tpFilter | 4 | Filter
tpStrings | 5 | Strings
tpConfigDef | 6 | Congif Def
tpVirtuell | 7 | Virtuell
tpSPSMerker | 8 | SPSMerker
tpSonderMerker | 9 | SonderMerker
tpSPSEingang | 10 | SPSEingang
tpSPSAusgang | 11 | SPSAusgang
tpTimerEvent | 12 | Timer Event
tpTriggerEvent | 13 | Trigger Event
tpInitFile | 14 | Init File
tpDatenbaustein | 15 | Datenbaustein
tpTerminal | 16 | Terminal
tpVirtuellOnlBerechnen | 17 | Calculate Virtuell Online
tpDataTakerChan | 18 | Data Taker Change
tpProgram | 19 | Program
tpSPSDatenRegister | 20 | SPSDatenRegister
tpSPSFileRegister | 21 | SPSFileRegister
tpSPSTimer | 22 | SPSTimer
tpSPSZaehler | 23 | SPSCounter
tpHWStatus | 24 | Hardware State
tpDataBlock | 25 | DataBlock
tpEzObjekt | 32 | EzObject
tpSystemVariable | 33 | SystemVariable
tpExBaustein | 34 | ExBaustein
tpDriverVariable | 35 | DriverVariable
tpSonderMerker1 | 36 | SonderMerker1
tpCsFirst | 64 | CsFirst
tpCsLast | 79 | CsLast
tpCsDialog | 80 | CsDialog
tpCsDaialogLast | 95 | CsDialogLast
tpCsDbFirst | 96 | CsDbFirst
tpCsDbLast | 127 | CsDbLast


tpLockResult

Manuel -> Interfaces de programmation -> Modèles d'objet -> Constants -> tpLockResult

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

List of predefined tpLockResult constants.

Name | Value | Description
tpAllowed | 0 | Allowed
tpLocked | 1 | Locked
tpBusy | 2 | Busy


tpLoginResult

Manuel -> Interfaces de programmation -> Modèles d'objet -> Constants -> tpLoginResult

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

List of predefined tpLoginResult constants.

Name | Value | Description
tpLoginOk | -2 | Login Ok
tpWrongUser | -2 | Wrong user
tpWrongPassword | -2 | Wrong password
tpWrongUserSystemLocked | -2 | Wrong user - System locked
tpSystemLocked | -2 | System locked
tpUserLocked | -2 | User locked
tpWrongPasswordUserLocked | -2 | Wrong password - User locked
tpPasswordExpired | -2 | Password expired
tpUserDeactivated | -2 | User deactivated
tpSamePassword | -2 | Same Password
tpInvalidConfirmation | -2 | Invalid Confirmation
tpPasswordTooShort | -2 | Password Too Short
tpDefaultError | -2 | Default Error


tpLoginType

Manuel -> Interfaces de programmation -> Modèles d'objet -> Constants -> tpLoginType

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

List of predefined tpLoginType constants.

Name | Value | Description
tpLoginExternal | -2 | external Login
tpLoginExternalNoLock | -2 | external login without user lockout
tpLoginExternalNoLockNoCel | -2 | silent external login without user lockout


tpModulePaths

Manuel -> Interfaces de programmation -> Modèles d'objet -> Constants -> tpModulePaths

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

List of predefined tpModulePaths constants.

Name | Value | Description
tpPathGraphic | 0 | Graphic
tpPathExport | 1 | Export
tpPathBMP | 2 | BMP
tpPathAlloc | 3 | Alloc
tpPathList | 4 | List
tpPathMedia | 5 | Media
tpPathReport | 6 | Report
tpPathBackup | 7 | Backup
tpPathExpArchives | 8 | ExpArchives
tpPathLanguage | 9 | Language
tpPathHelp | 10 | Help
tpPathPictures | 11 | Pictures
tpPathPCE | 12 | PCE
tpPathSystem | 13 | System
tpPathVideos | 14 | Videos
tpPathDrivers | 15 | Drivers
tpPathAdditional | 17 | Additional
tpPathRDLC | 18 | RDLC


tpMsgCtrlCelDetail

Manuel -> Interfaces de programmation -> Modèles d'objet -> Constants -> tpMsgCtrlCelDetail

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

List of predefined tpMsgCtrlCelDetail constants.

Name | Value | Description
tpCelDetailAll | 0 | All
tpCelDetailPositiv | 1 | Positive
tpCelDetailNegative | 2 | Negative
tpCelDetailNone | 3 | None


tpNetSendType

Manuel -> Interfaces de programmation -> Modèles d'objet -> Constants -> tpNetSendType

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

List of predefined tpNetSendType constants.

Name | Value | Description
tpToServer | 0 | To server
tpToStandby | 1 | To standby
tpToAllClients | 2 | To all clients
tpToSpecificClient | 3 | To specific client


tpPfsData

Manuel -> Interfaces de programmation -> Modèles d'objet -> Constants -> tpPfsData

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

List of predefined tpPfsData constants.

Name

Value

Description


tpPfsDayLink

Manuel -> Interfaces de programmation -> Modèles d'objet -> Constants -> tpPfsDayLink

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

List of predefined tpPfsDayLink constants.

Name | Value | Description
tpPfsExecute | 48 | Execute
tpPfsSkip | 49 | Skip
tpPfsDefaultDay | 50 | Default day
tpPfsDefaultHDay | 51 | Default HDay
tpPfsUnused | 52 | Unused


tpPfsDefaultDays

Manuel -> Interfaces de programmation -> Modèles d'objet -> Constants -> tpPfsDefaultDays

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

List of predefined tpPfsDefaultDays constants.

Name | Value | Description
tpPfsMonday | 2 | Monday
tpPfsTuesday | 3 | Tuesday
tpPfsWednesday | 4 | Wednesday
tpPfsThursday | 5 | Thursday
tpPfsFriday | 6 | Friday
tpPfsSaturday | 7 | Saturday
tpPfsSunday | 1 | Sunday
tpPfsHoliday | 8 | Holiday


tpPfsEventTypes

Manuel -> Interfaces de programmation -> Modèles d'objet -> Constants -> tpPfsEventTypes

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

List of predefined tpPfsEventTypes constants.

Name | Value | Description
tpPfsCycleStart | 1 | Cyclestart
tpPfsCycleStartWithProduction | 2 | Cyclestart with production
tpPfsCycleStartWithoutProduction | 3 | Cyclestart without production
tpPfsProductionStart | 4 | Production start
tpPfsProductionEnd | 5 | Production end
tpPfsShiftStart | 6 | Shift start
tpPfsShiftEnd | 7 | Shift end
tpPfsBreakStart | 8 | Break start
tpPfsBreakEnd | 9 | Break end
tpPfsUserEvent | 10 | User event
tpPfsShiftStartFirstDay | 11 | Shift start first day
tpPfsShiftEndLastDay | 12 | Shift start last day
tpPfsShiftFreeStart | 13 | Shift free start
tpPfsShiftFreeEnd | 14 | Shift free end
tpPfsShiftFreeWithoutProductionEnd | 15 | Shift free without production end
tpPfsShiftFreeWithoutProductionStart | 16 | Shift free without production start
tpPfsShiftFirstDayWithoutProductionStart | 17 | Shift start on first day without production
tpPfsShiftLastDayWithoutProductionEnd | 18 | Shift end on last day without production
tpPfsShiftWithoutProductionStart | 19 | Shift without production start
tpPfsShiftWithoutProductionEnd | 20 | Shift without production end


tpPfsLinkTypes

Manuel -> Interfaces de programmation -> Modèles d'objet -> Constants -> tpPfsLinkTypes

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

List of predefined tpPfsLinkTypes constants.

Name | Value | Description
tpPfsVariable | 32 | Variable
tpPfsFunction | 33 | Function
tpPfsVariableWithMacro | 34 | Variable with Macro
tpPfsFunctionWithMacro | 35 | Function with Macro


tpPfsTimeTypes

Manuel -> Interfaces de programmation -> Modèles d'objet -> Constants -> tpPfsTimeTypes

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

List of predefined tpPfsTimeTypes constants.

Name | Value | Description
tpPfsAbsoluteTime | 149 | PFS Timemodel absolute
tpPfsRelativeTime | 150 | PFS Timemodel relative


tpProjectNetTypes

Manuel -> Interfaces de programmation -> Modèles d'objet -> Constants -> tpProjectNetTypes

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

List of predefined tpProjectNetTypes constants.

Name | Value | Description
tpMainstation | 0 | Mainstation
tpServer | 1 | Server
tpStandBy | 2 | StandBy
tpClient | 3 | Client


tpRecipeRenameResult

Manuel -> Interfaces de programmation -> Modèles d'objet -> Constants -> tpRecipeRenameResult

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

List of predefined tpRecipeRenameResult constants.

Name | Value | Description
tpRecipeRenameSuccess | 0 | The recipe was renamed successfully.
tpRecipeRenameOtherError | 1 | A general error has occured.
tpRecipeRenameInvalidName | 2 | The new name is not a valid batch recipe name.
tpRecipeRenameDuplicateName | 3 | A recipe with the new name already exists.
tpRecipeRenameRecipeWrongState | 4 | The recipe is not in a state that allows it to be renamed.
tpRecipeRenameNotVersionOne | 5 | It is not the first version of the master recipe, so the name cannot be changed.


tpRema

Manuel -> Interfaces de programmation -> Modèles d'objet -> Constants -> tpRema

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

List of predefined tpRema constants.

Name | Value | Description
tpBinaer | 1 | Binary
tpAnalog | 2 | Numeric
tpMultiBinaer | 3 | Multi binary
tpMultiAnalog | 4 | Multi numeric
tpString | 5 | String


tpRemoteTransportType

Manuel -> Interfaces de programmation -> Modèles d'objet -> Constants -> tpRemoteTransportType

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

List of predefined tpRemoteTransportType constants.

Name | Value | Description
tpSerial | 0 | Serial
tpTCP | 1 | TCP


tpRGMRecipeImport

Manuel -> Interfaces de programmation -> Modèles d'objet -> Constants -> tpRGMRecipeImport

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

List of predefined tpRGMRecipeImport constants.

Name | Value | Description
tpOverwriteRecipe | 0 | Overwrite Recipe
tpCreateNewRecipe | 1 | Create New Recipe
tpValuesDiffer | 2 | Values Differ


tpRTCustomAction

Manuel -> Interfaces de programmation -> Modèles d'objet -> Constants -> tpRTCustomAction

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

List of predefined tpRTCustomAction constants.

Name | Value | Description
tpCopy | 0 | Copy
tpCopyRegister | 1 | Copy Register
tpCopyExecute | 2 | Copy Execute


tpRunStates

Manuel -> Interfaces de programmation -> Modèles d'objet -> Constants -> tpRunStates

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

List of predefined tpRunStates constants.

Name | Value | Description
tpRS_proc | 0 | Proc
tpRS_2proc | 1 | To proc
tpRS_2sim | 2 | To sim
tpRS_simul | 3 | Simul
tpRS_sim2sim | 4 | Sim to Sim
tpRS_PrPlayback | 5 | Process Recorder Playback


tpSapActivity

Manuel -> Interfaces de programmation -> Modèles d'objet -> Constants -> tpSapActivity

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

List of predefined tpSapActivity constants.

Name | Value | Description
tpSapActivity_inactive | 0 | Function not called
tpSapActivity_inqueue | 1 | Function waiting
tpSapActivity_active | 2 | Function active


tpSapError

Manuel -> Interfaces de programmation -> Modèles d'objet -> Constants -> tpSapError

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

List of predefined tpSapError constants.

Name | Value | Description
tpSapError_No_Connection | -1 | No connection to SAP-System
tpSapError_Ok | 0 | OK
tpSapError_Failure | 1 | Error occurred
tpSapError_Exception | 2 | Exception raised
tpSapError_Sys_Exception | 3 | System exception raised, connection closed
tpSapError_Call | 4 | Call received
tpSapError_Internal_Com | 5 | Internal communication, repeat (internal use only)
tpSapError_Closed | 6 | Connection closed by the other side
tpSapError_Retry | 7 | No data yet (RfcListen or RfcWaitForRequest only)
tpSapError_No_Tid | 8 | No Transaction ID available
tpSapError_Executed | 9 | Function already executed
tpSapError_Synchronize | 10 | Synchronous Call in Progress (only for Windows)
tpSapError_Memory_Insufficient | 11 | Memory insufficient
tpSapError_Version_Mismatch | 12 | Version mismatch
tpSapError_Not_found | 13 | Function not found (internal use only)
tpSapError_Call_Not_Supported | 14 | This call is not supported
tpSapError_Not_Owner | 15 | Caller does not own the specified handle
tpSapError_Not_Initialized | 16 | RFC not yet initialized
tpSapError_System_Called | 17 | A system call such as RFC_PING for connection test is executed
tpSapError_Invalid_Handle | 18 | An invalid handle was passed to an API call
tpSapError_Invalid_Parameter | 19 | An invalid parameter was passed to an API call or parameter length mismatch (expected and received) has been detected.
tpSapError_Canceled | 20 | An rfc call has been canceled by user
tpSapError_Conversion | 21 | An error during conversion has been detected
tpSapError_Invalid_Protocol | 22 | The received data has an unsupported format. e.g.: non unicode application receives data sent in unicode format
tpSapError_Timeout | 23 | Timeout


tpScheduleDayType

Manuel -> Interfaces de programmation -> Modèles d'objet -> Constants -> tpScheduleDayType

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

List of predefined tpScheduleDayType constants.

Name | Value | Description
tpScheduleMonday | 0 | Monday
tpScheduleTuesday | 1 | Tuesday
tpScheduleWednesday | 2 | Wednesday
tpScheduleThursday | 3 | Thursday
tpScheduleFriday | 4 | Friday
tpScheduleSaturday | 5 | Saturday
tpScheduleSunday | 6 | Sunday
tpScheduleSpecialDay | 7 | Special Day


tpScreenRawEventRouting

Manuel -> Interfaces de programmation -> Modèles d'objet -> Constants -> tpScreenRawEventRouting

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

List of predefined tpScreenRawEventRouting constants.

Name | Value | Description
tpScreenRawEventRoutingDeactivated | 0 | Deactivated
tpScreenRawEventRoutingAllEvents | 1 | All events
tpScreenRawEventRoutingSelectedEvents | 2 | Selected events


tpShiftBreakDeleteResult

Manuel -> Interfaces de programmation -> Modèles d'objet -> Constants -> tpShiftBreakDeleteResult

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

List of predefined tpShiftBreakDeleteResult constants.

Name | Value | Description
tpShiftBreakDeleteSuccess | 0 | The shift break has been deleted successfully.
tpShiftBreakDeleteError | 1 | A general error has occured.
tpShiftBreakDeleteNotFoundError | 2 | The shift break can not be found


tpShiftCalendarSelection

Manuel -> Interfaces de programmation -> Modèles d'objet -> Constants -> tpShiftCalendarSelection

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

List of predefined tpShiftCalendarSelection constants.

Name | Value | Description
tpShiftCalendarSelectionNone | 0 | Nothing is selected.
tpShiftCalendarSelectionRange | 1 | The calendar cells are selected.
tpShiftCalendarSelectionShifts | 2 | The calendar shifts are selected.


tpShiftDeleteResult

Manuel -> Interfaces de programmation -> Modèles d'objet -> Constants -> tpShiftDeleteResult

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

List of predefined tpShiftDeleteResult constants.

Name | Value | Description
tpShiftDeleteSuccess | 0 | The shift has been deleted successfully.
tpShiftDeleteError | 1 | A general error has occured.
tpShiftDeleteNotFoundError | 2 | The shift can not be found


tpShiftModelInsertResult

Manuel -> Interfaces de programmation -> Modèles d'objet -> Constants -> tpShiftModelInsertResult

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

List of predefined tpShiftModelInsertResult constants.

Name | Value | Description
tpShiftModelInsertSuccess | 0 | The model has been instanciated successfully
tpShiftModelInsertSelectedTimeRangeInvalid | 1 | The selected time range in the calendar is invalid
tpShiftModelInsertModelDoesNotExist | 2 | model does not exist
tpShiftModelInsertTimeout | 3 | acessor to shiftmodels failed to connect
tpShiftModelInsertAtlLeastOneShiftFailed | 4 | one or more shifts failed to create
tpShiftModelInsertSettingsObjectEmpty | 5 | pointer object is null


tpShiftSaveResult

Manuel -> Interfaces de programmation -> Modèles d'objet -> Constants -> tpShiftSaveResult

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

List of predefined tpShiftSaveResult constants.

Name | Value | Description
tpShiftSaveSuccess | 0 | The shift has been saved successfully.
tpShiftSaveError | 1 | A general error has occured.
tpShiftSaveNameError | 2 | Invalid name
tpShiftSaveRangeError | 3 | Invalid range
tpShiftSaveNotFoundError | 4 | The shift can not be found
tpShiftAtLeastOneBreakIsWrong | 5 | A minimum of one break is not valid


tpStateBit

Manuel -> Interfaces de programmation -> Modèles d'objet -> Constants -> tpStateBit

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

List of predefined tpStateBit constants.

Name | Value | Description
tpBitAlarm | 1 | Alarm
tpBitPrint | 4 | Print
tpBitBlink | 8 | Blink
tpBitFkt | 16 | Execute function
tpBitFktQuery | 32 | Execute function query
tpBitNoQuit | 128 | No Quit
tpBitDelete | 256 | Delete
tpBitBtb | 512 | Not real-time
tpBitBtbRt | 1024 | Real-time
tpBitTransparent | 2048 | Transparent
tpBitFktServer | 4096 | Execute function on server
tpBitFktClient | 8192 | Execute function on client
tpBitQuitAlarm | 16384 | Protocol alarm accepted
tpBitOutAlarm | 32768 | Alarm on outgoing alarm


tpStyleType

Manuel -> Interfaces de programmation -> Modèles d'objet -> Constants -> tpStyleType

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

List of predefined tpStyleType constants.

Name | Value | Description
tpStyleGroup | -2 | Style group
tpStyleTypeLine | -2 | Style type "Line"
tpStyleTypeFill | -2 | Style type "Fill"
tpStyleTypeRoundCorner | -2 | Style type "Rounding"
tpStyleTypeGlowEffect | -2 | Style type "Glow Effect"
tpStyleTypeText | -2 | Style type "Text"
tpStyleTypeShadow | -2 | tpStyleTypeShadow
tpStyleTypeFrame | -2 | Style type "Frame"
tpStyleTypeScale | -2 | tpStyleTypeScale
tpStyleTypePadding | -2 | tpStyleTypePadding
tpStyleTypeTime | -2 | Style type "Time"
tpStyleTypeValue | -2 | Style type "Value"
tpStyleTypeUniversalSlider | -2 | Style type "Universal Slider"


tpTaskStatus

Manuel -> Interfaces de programmation -> Modèles d'objet -> Constants -> tpTaskStatus

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

List of predefined tpTaskStatus constants.

Name | Value | Description
tpStopTask | 0 | Stop
tpInitTask | 1 | Initialize
tpRunTask | 2 | Run


tpTaskTyp

Manuel -> Interfaces de programmation -> Modèles d'objet -> Constants -> tpTaskTyp

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

List of predefined tpTaskTyp constants.

Name | Value | Description
tpCycleTask | 0 | Cyclic
tpCallTask | 1 | Once


tpVisibilityType

Manuel -> Interfaces de programmation -> Modèles d'objet -> Constants -> tpVisibilityType

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

List of predefined tpVisibilityType constants.

Name | Value | Description
tpFromVariable | -2 | Visibility FromVariable
tpFromInterlocking | -2 | Visibility FromInterlocking


tpZenMenus

Manuel -> Interfaces de programmation -> Modèles d'objet -> Constants -> tpZenMenus

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

List of predefined tpZenMenus constants.

Name | Value | Description
tpVariable | 2 | Variable
tpRtFunction | 1 | RtFunction
tpVbaMacro | 3 | VbaMacro
tpZenHelp | 6 | ZenHelp


tpZenPathType

Manuel -> Interfaces de programmation -> Modèles d'objet -> Constants -> tpZenPathType

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

List of predefined tpZenPathType constants.

Name | Value | Description
tpzenOnIniPath | 0 | Ini Path
tpzenOnExePath | 1 | Exe Path
tpzenOnUserPath | 2 | User Path
tpzenOnAppDataPath | 3 | AppData Path


Alarm

Manuel -> Interfaces de programmation -> Modèles d'objet -> Alarm

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Provides access to the alarm control system, active alarms and their current status. alarm events can be used to directly react to

any occuring new alarm messages.

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes

Examples

C#

void ThisProject_Active()

{

//Create any required API-References here (Event handlers, OnlineContainers, local references,etc. )

//Assign the alarm object and init event handlers

this.zenonAlarm = this.Alarm();

this.zenonAlarm.AlarmComes += new AlarmComesEventHandler(zenonAlarm_AlarmComes);

this.zenonAlarm.AlarmGoes += new AlarmGoesEventHandler(zenonAlarm_AlarmGoes);

this.zenonAlarm.AlarmAcknowledged += new AlarmAcknowledgedEventHandler(zenonAlarm_AlarmAcknowledged);

}

void ThisProject_Inactive()

{

//Release all API-References here (Event handlers, OnlineContainers, local references, etc. )

//Unregister any previously registered event

zenonAlarm.AlarmAcknowledged -= new AlarmAcknowledgedEventHandler(zenonAlarm_AlarmAcknowledged);

zenonAlarm.AlarmComes -= new AlarmComesEventHandler(zenonAlarm_AlarmComes);

zenonAlarm.AlarmGoes -= new AlarmGoesEventHandler(zenonAlarm_AlarmGoes);

//Final release and garbage collection of any API-Objects.

FreeObjects();

}

//procedure is executed when an Alarm comes

void zenonAlarm_AlarmComes(IAlarmItem obItem)

{

//print specific information to Debug window...

Debug.Print("{0} > {1}", obItem.Timecomes, obItem.Text);

}

//procedure is executed when an Alarm has gone

void zenonAlarm_AlarmAcknowledged(IAlarmItem obItem)

{

//print specific information to Debug window

Debug.Print("{0} < {1}", obItem.TimeAcknowledged, obItem.Text);

}

//procedure is executed when an Alarm was acknowledged by a user

void zenonAlarm_AlarmGoes(IAlarmItem obItem)

{

//print specific information to Debug window

Debug.Print("{0} | {1}", obItem.Timegoes, obItem.Text);

}

VB.NET

Private zenonAlarm As IAlarm

Private Sub ThisProject_Active()

'Create any required API-References here (Event handlers, OnlineContainers, local references,etc. )

' << TODO: Add Initialization code here >>

'Assign the alarm object and init event handlers

Me.zenonAlarm = Me.Alarm()

AddHandler Me.zenonAlarm.AlarmComes, AddressOf zenonAlarm_AlarmComes

AddHandler Me.zenonAlarm.AlarmGoes, AddressOf zenonAlarm_AlarmGoes

AddHandler Me.zenonAlarm.AlarmAcknowledged, AddressOf zenonAlarm_AlarmAcknowledged

End Sub

Private Sub ThisProject_Inactive()

'Release all API-References here (Event handlers, OnlineContainers, local references, etc. )

' << TODO: Add Clean-up code here >>

'Unregister any previously registered event

RemoveHandler zenonAlarm.AlarmAcknowledged, AddressOf zenonAlarm_AlarmAcknowledged

RemoveHandler zenonAlarm.AlarmComes, AddressOf zenonAlarm_AlarmComes

RemoveHandler zenonAlarm.AlarmGoes, AddressOf zenonAlarm_AlarmGoes

'Final release and garbage collection of any API-Objects.

FreeObjects()

End Sub

'procedure is executed when an Alarm comes

Private Sub zenonAlarm_AlarmComes(ByVal obItem As IAlarmItem)

'print specific information to Debug window...

Debug.Print("{0} > {1}", obItem.Timecomes, obItem.Text)

End Sub

'procedure is executed when an Alarm has gone

Private Sub zenonAlarm_AlarmAcknowledged(ByVal obItem As IAlarmItem)

'print specific information to Debug window

Debug.Print("{0} < {1}", obItem.TimeAcknowledged, obItem.Text)

End Sub

'procedure is executed when an Alarm was acknowledged by a user

Private Sub zenonAlarm_AlarmGoes(ByVal obItem As IAlarmItem)

'print specific information to Debug window

Debug.Print("{0} | {1}", obItem.Timegoes, obItem.Text)

End Sub

VBA

Dim WithEvents zAlarm As Alarm

'procedure is executed on startup of the zenOn runtime
Private Sub Project_Active()
'init the alarm object for events
Set zAlarm = thisProject.Alarm
End Sub

'procedure is executed when an Alarm comes
Private Sub zAlarm_AlarmComes(ByVal obItem As IAlarmItem)
'print specific information to Debug window...
Debug.Print obItem.Timecomes & " > " & obItem.Text
End Sub

'procedure is executed when an Alarm has gone
Private Sub zAlarm_AlarmGoes(ByVal obItem As IAlarmItem)
'print specific information to Debug window...
Debug.Print obItem.Timegoes & " < " & obItem.Text
End Sub

'procedure is executed when an Alarm was acknowledged by a user
Private Sub zAlarm_AlarmAcknowledged(ByVal obItem As IAlarmItem)
'print specific information to Debug window...
Debug.Print obItem.TimeAcknowledged & " | " & obItem.Text
End Sub

'procedure is executed on terminating the zenOn Runtime
Private Sub Project_Inactive()
'free the alarm object
Set zAlarm = Nothing
End Sub

Other topics in this chapter

Alarm-Properties

Alarm-Methods

Alarm-Events

Alarm-Dynamic properties


Alarm-Properties

Manuel -> Interfaces de programmation -> Modèles d'objet -> Alarm -> Alarm-Properties

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
VARIANT_BOOL | Aktiv | Alarm-module in-/active | not used | read only | yes | yes
IProject | Parent | Parent-object | read only | read only | yes | yes

Other topics in this chapter

Parent

Aktiv


Parent

Manuel -> Interfaces de programmation -> Modèles d'objet -> Alarm -> Alarm-Properties -> Parent

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the parent object

Datatype

Parent() As Project

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


Aktiv

Manuel -> Interfaces de programmation -> Modèles d'objet -> Alarm -> Alarm-Properties -> Aktiv

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the status of the alarm administration. If the value is True, the alarms administration is active. If it is not active the alarm buffer cannot be extended, i.e. no further alarms occur. It does not influence clearing existing alarms.De/activating the alarms administration is possible with the following functions of the control system:· Alarms active· Alarms inactive· Alarms active/inactive· Alarms/groups/classes

Datatype

Aktiv() As Boolean

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes


Alarm-Methods

Manuel -> Interfaces de programmation -> Modèles d'objet -> Alarm -> Alarm-Methods

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description |  | Editor | Runtime | VBA | VSTA
IAlarmItems | AlarmItems | Returns the alarm-items objects | not used |  | read only | yes | yes
void | DynProperties [PUT] | - |  | available | available | yes | yes
VARIANT | DynProperties [GET] | - |  | available | available | yes | yes
VARIANT | DynPropertiesEnum [GET] | - |  | read only | read only | yes | yes
IPropParam | DynPropertyParam [GET] | Returns the PropParam objekt of the given DynProperty |  | read only | not used | yes | yes
void | ResetQueryFilter | Resets the QueryFilter |  | not used | read only | yes | yes
BSTR | AlarmItemsAsXml | Returns the alarm-items as XML | not used |  | read only | yes | yes
IOnlineAlarms | OnlineAlarms | Returns the OnlineAlarms object | not used |  | read only | yes | yes
VARIANT_BOOL | AlarmAcknowledge | Acknowledge alarm with given parameters | not used |  | available | yes | yes
IOnlineAlarmCollection | OnlineAlarmCollection [GET] | Returns the OnlineAlarms object | not used |  | read only | yes |  | yes

Other topics in this chapter

DynPropertyParam [GET]

DynPropertiesEnum [GET]

DynProperties [GET]

DynProperties [PUT]

AlarmItems

ResetQueryFilter

AlarmItemsAsXml

OnlineAlarmCollection [GET]

AlarmAcknowledge


DynPropertyParam [GET]

Manuel -> Interfaces de programmation -> Modèles d'objet -> Alarm -> Alarm-Methods -> DynPropertyParam [GET]

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

DynPropertyParam [GET](BSTR bsPath) As PropParam

Availability

Environment | Available
Editor | read only
Runtime | not used
VBA | yes
VSTA | yes

Parameters

A String which defines the Property.

VBA


DynPropertiesEnum [GET]

Manuel -> Interfaces de programmation -> Modèles d'objet -> Alarm -> Alarm-Methods -> DynPropertiesEnum [GET]

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns a StringArray of all Dynproperties available for this Object. Example how to call this method:

Datatype

DynPropertiesEnum(String bsPath) As VARIANT

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes

Parameters

A String which defines the entry point to get out all available properties of the object. A blank String like that returns the first layer of properties: DynPropertiesEnum("")

VBA

bsPath As String

Examples

VBA

Sub ReadDynProps() Dim vProps As VariantDim i As Integer'get all DynProperties of the actual object (DynPicture, Element, ...) vProps = zenOnObject.DynPropertiesEnum("")

'Print informations of DynProperties into output window

For i = 0

To UBound(vProps) Debug.Print vProps(i)

Next i

End Sub


DynProperties [GET]

Manuel -> Interfaces de programmation -> Modèles d'objet -> Alarm -> Alarm-Methods -> DynProperties [GET]

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

DynProperties(String bsPath) As VARIANT

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

A String which defines the Property.

VBA

bsPath As String

Examples

VBA

Sub GetDynProp()
'Sample: GSet the Network Aktive Flag of the Project.
If MyWorkspace.ActiveDocument.DynProperties("NetActive") = True Then
'read the server - computername...
Debug.Print "Server: " & MyWorkspace.ActiveDocument.DynProperties("NetServer")
End If
End Sub


DynProperties [PUT]

Manuel -> Interfaces de programmation -> Modèles d'objet -> Alarm -> Alarm-Methods -> DynProperties [PUT]

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

With DynProperties it is possible to get access to additional Properties/Methods of Objects.

Datatype

DynProperties (String bsPath,VARIANT vValue) As void

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

A String which defines the Property. Example: "NetActive"

Returns a variant value depending to the property, it can be a boolean, a long, or a whole object.

VBA

bsPath As String

vValue As Variant

Examples

VBA

Sub SetDynProp()

'Sample: Set the Network Aktive Flag of the Project. MyWorkspace.ActiveDocument.DynProperties("NetActive") = True 'also set a computer as server... MyWorkspace.ActiveDocument.DynProperties("NetServer") = "COMPUTERNAME"

End Sub


AlarmItems

Manuel -> Interfaces de programmation -> Modèles d'objet -> Alarm -> Alarm-Methods -> AlarmItems

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

This method returns the object AlarmItems of the alarming module. In this collection all existing alarms are listed. With the method Item you can access single alarms. The single alarm entries contain information on the alarms.Filter String:If the string is not "*", then the string should represent the name (case sensitive) of a zenon function.If a function with the given name exists, the filter settings within this function will be used.--> only version 6.51 and above.

Datatype

AlarmItems(String strFilter) As IAlarmItems

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes

Parameters

The filtering is not implemented at this time. For later use

C#

String strFilter

VBA

strFilter As String

Examples

C#

public void MacroGetAlarmItems()

{

IAlarm zenonAlarm = this.Alarm();

IAlarmItems zenonAlarmItems = zenonAlarm.AlarmItems("*");

for (int i = 0; i < zenonAlarmItems.Count; ++i)

{

IAlarmItem zenonAlarmItem = zenonAlarmItems.Item(i);

PrintAlarm(zenonAlarmItem);

}

}

private void PrintAlarm(IAlarmItem alarm)

{

Debug.Print("TimeComes : " + alarm.Timecomes);

Debug.Print("TimeGoes : " + alarm.Timegoes);

Debug.Print("TimeAcknowledged : " + alarm.TimeAcknowledged);

Debug.Print("Text : " + alarm.Text);

Debug.Print("Variable : " + alarm.Variable().Name);

Debug.Print("Value : " + alarm.Value);

}

VB.NET

' Displays the amount of alarms currently in memory and

' * the alarm text of all the different alarms.

'

Public Sub MacroGetAlarmItems()

'Get alarm object(s) from active project

Dim zenonAlarm As IAlarm = Me.Alarm()

Dim zenonAlarmItems As IAlarmItems = zenonAlarm.AlarmItems("*")

MessageBox.Show(String.Format("{0} Alarms in memory...", zenonAlarmItems.Count))

'get text of active alarms...

For i As Integer = 0 To zenonAlarmItems.Count - 1

Dim zenonAlarmItem As IAlarmItem = zenonAlarmItems.Item(i)

Debug.Print(zenonAlarmItem.Text)

Next

End Sub

VBA

Public Sub GetAlarmItems()
Dim zAML As Alarm
Dim zAML_Items As AlarmItems
Dim zAML_Item As AlarmItem
Dim i As Integer
'set alarm objects
Set zAML = thisProject.Alarm

'get all items
Set zAML_Items = zAML.AlarmItems("*")

'get specific item using the screen switch function as filter

' Set zAML_Items = zAML.AlarmItems("myFunction")
'get count of active alarms...
MsgBox zAML_Items.Count & " Alarms in memory..."
'get text of active alarms...
For i = 0 To zAML_Items.Count - 1
Set zAML_Item = zAML_Items.Item(i)
Debug.Print zAML_Item.Text
Next i
End Sub


ResetQueryFilter

Manuel -> Interfaces de programmation -> Modèles d'objet -> Alarm -> Alarm-Methods -> ResetQueryFilter

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Specify AML filter or set default value.

Datatype

ResetQueryFilter() As void

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes

Examples

C#

//Manipulation using the query filter

Project.Aml.ResetQueryFilter()

Project.Aml.SetDynProp(„QueryFilter.XXX", ZZZ)

//get items using the query filter

Project.Aml.AmlItems(„.")


AlarmItemsAsXml

Manuel -> Interfaces de programmation -> Modèles d'objet -> Alarm -> Alarm-Methods -> AlarmItemsAsXml

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns an XML encoded string of the AlarmItems

Datatype

AlarmItemsAsXml(BSTR strFilter) As BSTR

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes

Parameters

C#

VB.NET

VBA

Examples

C#

VB.NET

VBA


OnlineAlarmCollection [GET]

Manuel -> Interfaces de programmation -> Modèles d'objet -> Alarm -> Alarm-Methods -> OnlineAlarmCollection [GET]

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

OnlineAlarmCollection [GET]() As IOnlineAlarmCollection

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes

Parameters

C#

VB.NET

VBA

Examples

C#

VB.NET

VBA


AlarmAcknowledge

Manuel -> Interfaces de programmation -> Modèles d'objet -> Alarm -> Alarm-Methods -> AlarmAcknowledge

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

AlarmAcknowledge(BSTR szAmlKey, BSTR szUser, BSTR szComputer) As VARIANT_BOOL

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

VB.NET

VBA

Examples

C#

VB.NET

VBA


Alarm-Events

Manuel -> Interfaces de programmation -> Modèles d'objet -> Alarm -> Alarm-Events

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description |  | Editor | Runtime | VBA | VSTA
void | AlarmAcknowledged | Event: Is fired by alarm acknowledged... | not used |  | available | yes |  | yes
void | AlarmComes | Event: Is fired by alarm coming... | not used |  | available | yes |  | yes
void | AlarmGoes | Event: Is fired by alarm going... | not used |  | available | yes |  | yes
void | AlarmListSelectionChanged | Event: Is fired when the selection in the alarmlist has changed... |  | not used | available | yes | yes
void | AlarmUsertextChanged | Event: Is fired when the usertext has changed... |  | not used | available | yes | yes
void | SelectionChangedEx | Event: selection array in the alarm list has been changed... |  | not used | read only | yes | yes

Other topics in this chapter

AlarmComes

AlarmGoes

AlarmAcknowledged

AlarmListSelectionChanged

AlarmUsertextChanged

SelectionChangedEx


AlarmComes

Manuel -> Interfaces de programmation -> Modèles d'objet -> Alarm -> Alarm-Events -> AlarmComes

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the alarm-items objects, Event is fired when an Alarm comes up...To get these Event, an Object has to be declared and initialised

Datatype

AlarmComes(AlarmItem obItem) As void

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes

Parameters

Returns an Object of Type AlarmItem (The AlarmItem which comes up)

C#

AlarmItem obItem

VBA

obItem As AlarmItem

Examples

C#

private IAlarm zenonAlarm;

void zenonAlarm_AlarmComes(IAlarmItem obItem)

{

//print specific information to Debug window...

Debug.Print("{0} > {1}", obItem.Timecomes, obItem.Text);

}

void ThisProject_Active()

{

//Create any required API-References here (Event handlers, OnlineContainers, local references,etc. )

//Assign the alarm object and init event handler

this.zenonAlarm = this.Alarm();

this.zenonAlarm.AlarmComes += new AlarmComesEventHandler(zenonAlarm_AlarmComes);

}

void ThisProject_Inactive()

{

//Release all API-References here (Event handlers, OnlineContainers, local references, etc. )

//Unregister previously registered event handler

zenonAlarm.AlarmComes -= new AlarmComesEventHandler(zenonAlarm_AlarmComes);

//Final release and garbage collection of any API-Objects.

FreeObjects();

}

VB.NET

Private zenonAlarm As IAlarm

Private Sub zenonAlarm_AlarmComes(obItem As IAlarmItem)

'print specific information to Debug window...

Debug.Print("{0} > {1}", obItem.Timecomes, obItem.Text)

End Sub

Private Sub ThisProject_Active()

'Create any required API-References here (Event handlers, OnlineContainers, local references,etc. )

' << TODO: Add Initialization code here >>

'Assign the alarm object and init event handler

Me.zenonAlarm = Me.Alarm()

AddHandler Me.zenonAlarm.AlarmComes, AddressOf zenonAlarm_AlarmComes

End Sub

Private Sub ThisProject_Inactive()

'Release all API-References here (Event handlers, OnlineContainers, local references, etc. )

' << TODO: Add Clean-up code here >>

'Unregister previously registered event handler

RemoveHandler zenonAlarm.AlarmComes, AddressOf zenonAlarm_AlarmComes

'Final release and garbage collection of any API-Objects.

FreeObjects()

End Sub

VBA

Dim WithEvents zAlarm As Alarm

Private Sub Project_Active()
Set zAlarm = thisProject.Alarm
End Sub

Private Sub zAlarm_AlarmComes(ByVal obItem As IAlarmItem)
Debug.Print obItem.Text
End Sub


AlarmGoes

Manuel -> Interfaces de programmation -> Modèles d'objet -> Alarm -> Alarm-Events -> AlarmGoes

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

This Event is fired when an alarm has been gone.To get these Event, an Object has to be declared and initialised.

Datatype

AlarmGoes(AlarmItem obItem) As void

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes

Parameters

Returns an Object of Type AlarmItem (The AlarmItem which has gone)

C#

AlarmItem obItem

VBA

obItem As AlarmItem

Examples

C#

private IAlarm zenonAlarm;

void zenonAlarm_AlarmGoes(IAlarmItem obItem)

{

//print specific information to Debug window

Debug.Print("{0} | {1}", obItem.Timegoes, obItem.Text);

}

void ThisProject_Inactive()

{

//Release all API-References here (Event handlers, OnlineContainers, local references, etc. )

//Unregister previously registered event handler

zenonAlarm.AlarmGoes -= new AlarmGoesEventHandler(zenonAlarm_AlarmGoes);

//Final release and garbage collection of any API-Objects.

FreeObjects();

}

void ThisProject_Active()

{

//Create any required API-References here (Event handlers, OnlineContainers, local references,etc. )

//Assign the alarm object and init event handler

this.zenonAlarm = this.Alarm();

this.zenonAlarm.AlarmGoes += new AlarmGoesEventHandler(zenonAlarm_AlarmGoes);

}

VB.NET

Private zenonAlarm As IAlarm

Private Sub zenonAlarm_AlarmGoes(obItem As IAlarmItem)

'print specific information to Debug window

Debug.Print("{0} | {1}", obItem.Timegoes, obItem.Text)

End Sub

Private Sub ThisProject_Inactive()

'Release all API-References here (Event handlers, OnlineContainers, local references, etc. )

'Unregister previously registered event handler

RemoveHandler zenonAlarm.AlarmGoes, AddressOf zenonAlarm_AlarmGoes

'Final release and garbage collection of any API-Objects.

FreeObjects()

End Sub

Private Sub ThisProject_Active()

'Create any required API-References here (Event handlers, OnlineContainers, local references,etc. )

'Assign the alarm object and init event handler

Me.zenonAlarm = Me.Alarm()

AddHandler Me.zenonAlarm.AlarmGoes, AddressOf zenonAlarm_AlarmGoes

End Sub

VBA

Dim WithEvents zAlarm As Alarm

Private Sub Project_Active()
Set zAlarm = thisProject.Alarm
End Sub

Private Sub zAlarm_AlarmGoes(ByVal obItem As IAlarmItem)
Debug.Print obItem.Text
End Sub


AlarmAcknowledged

Manuel -> Interfaces de programmation -> Modèles d'objet -> Alarm -> Alarm-Events -> AlarmAcknowledged

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

This Event is fired when an alarm was acknowledged by a user.To get these Event, an Object has to be declared and initialised

Datatype

AlarmAcknowledged(AlarmItem obItem) As void

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes

Parameters

The returned object is an object of type AlarmItem and has all properties and methods like the original AlarmItem object.

C#

AlarmItem obItem

VBA

obItem As AlarmItem

Examples

C#

private IAlarm zenonAlarm;

void zenonAlarm_AlarmAcknowledged(IAlarmItem obItem)

{

//print specific information to Debug window

Debug.Print("{0} < {1}", obItem.TimeAcknowledged, obItem.Text);

}

void ThisProject_Inactive()

{

//Release all API-References here (Event handlers, OnlineContainers, local references, etc. )

// << TODO: Add Clean-up code here >>

//Unregister previously registered event handler

zenonAlarm.AlarmAcknowledged -= zenonAlarm_AlarmAcknowledged;

//Final release and garbage collection of any API-Objects.

FreeObjects();

}

void ThisProject_Active()

{

//Create any required API-References here (Event handlers, OnlineContainers, local references,etc. )

// << TODO: Add Initialization code here >>

//Assign the alarm object and init event handler

this.zenonAlarm = this.Alarm();

this.zenonAlarm.AlarmAcknowledged += new AlarmAcknowledgedEventHandler(zenonAlarm_AlarmAcknowledged);

}

VB.NET

Private zenonAlarm As IAlarm

Private Sub zenonAlarm_AlarmAcknowledged(obItem As IAlarmItem)

'print specific information to Debug window

Debug.Print("{0} < {1}", obItem.TimeAcknowledged, obItem.Text)

End Sub

Private Sub ThisProject_Inactive()

'Release all API-References here (Event handlers, OnlineContainers, local references, etc. )

' << TODO: Add Clean-up code here >>

'Unregister previously registered event handler

RemoveHandler zenonAlarm.AlarmAcknowledged, AddressOf zenonAlarm_AlarmAcknowledged

'Final release and garbage collection of any API-Objects.

FreeObjects()

End Sub

Private Sub ThisProject_Active()

'Create any required API-References here (Event handlers, OnlineContainers, local references,etc. )

' << TODO: Add Initialization code here >>

'Assign the alarm object and init event handler

Me.zenonAlarm = Me.Alarm()

AddHandler Me.zenonAlarm.AlarmAcknowledged AddressOf zenonAlarm_AlarmAcknowledged

End Sub

VBA

Dim WithEvents zAlarm As Alarm

Private Sub Project_Active()
Set zAlarm = thisProject.Alarm
End Sub

Private Sub zAlarm_AlarmAcknowledged(ByVal obItem As IAlarmItem)
Debug.Print obItem.Text
End Sub


AlarmListSelectionChanged

Manuel -> Interfaces de programmation -> Modèles d'objet -> Alarm -> Alarm-Events -> AlarmListSelectionChanged

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

The event will be fired whenever the Selection in the list is changed, when an item is selected the Entry will be passed on through the zenon-API. When an item has been deselected, the eventparameter will be "Nothing".Additionally the event will be triggered whenever an AML/CEL picture is closed. (This could lead the event being triggered twice with "Nothing").NOTE: When the Property "hide current selection" has been set at the listcontrol, the event will/should not be fired(!)

Datatype

AlarmListSelectionChanged(AlarmItem obItem) As void

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes

Parameters

The returned object is an object of type AlarmItem and has all properties and methods like the original AlarmItem object.

C#

AlarmItem obItem

VBA

obItem As AlarmItem

Examples

C#

private IAlarm zenonAlarm;

void ThisProject_Active()

{

//Create any required API-References here (Event handlers, OnlineContainers, local references,etc. )

//Assign the alarm object and init event handlers

this.zenonAlarm = this.Alarm();

this.zenonAlarm.AlarmListSelectionChanged += new AlarmListSelectionChangedEventHandler(zenonAlarm_AlarmListSelectionChanged);

}

void ThisProject_Inactive()

{

//Release all API-References here (Event handlers, OnlineContainers, local references, etc. )

this.zenonAlarm.AlarmListSelectionChanged -= zenonAlarm_AlarmListSelectionChanged;

//Final release and garbage collection of any API-Objects.

FreeObjects();

}

void zenonAlarm_AlarmListSelectionChanged(IAlarmItem obItem)

{

if (obItem != null) //Note: If the parameter object ist null an object was deselected

{

Debug.Print("AlarmListSelectionChanged: {0}", obItem.Text);

}

}

VB.NET

Private zenonAlarm As IAlarm

Private Sub ThisProject_Active()

'Create any required API-References here (Event handlers, OnlineContainers, local references,etc. )

'Assign the alarm object and init event handlers

Me.zenonAlarm = Me.Alarm()

AddHandler Me.zenonAlarm.AlarmListSelectionChanged, AddressOf zenonAlarm_AlarmListSelectionChanged

End Sub

Private Sub ThisProject_Inactive()

'Release all API-References here (Event handlers, OnlineContainers, local references, etc. )

RemoveHandler Me.zenonAlarm.AlarmListSelectionChanged, AddressOf zenonAlarm_AlarmListSelectionChanged

'Final release and garbage collection of any API-Objects.

FreeObjects()

End Sub

Private Sub zenonAlarm_AlarmListSelectionChanged(obItem As IAlarmItem)

If obItem IsNot Nothing Then

'Note: If the parameter object ist null an object was deselected

Debug.Print("AlarmListSelectionChanged: {0}", obItem.Text)

End If

End Sub

VBA

Private Sub zAMLPIC_Open()
'boolen flag to remember the open event
bAML = True
'init AML Object to get the AlarmListSelectionChanged event
Set zAML = thisProject.Alarm
End Sub

Private Sub zAMLPIC_Close()
'release object
Set zAML = Nothing
End Sub

Private Sub zAML_AlarmListSelectionChanged(ByVal obItem As IAlarmItem)
'If the boolen is TRUE, the first events can be ignored
'because in this case the events returns the default
'selection on opening the picture
If bAML = True Then
bAML = False
Else
If obItem Is Nothing Then Exit Sub
Debug.Print "A_Changed - " & obItem.Text
End If
End Sub


AlarmUsertextChanged

Manuel -> Interfaces de programmation -> Modèles d'objet -> Alarm -> Alarm-Events -> AlarmUsertextChanged

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Event is triggered if an entry is made in the AML list in the column for comments. The entried string is transferred to the event, where it can be manipulated and is afterwards entried in the column for comments. For CEL comments, an event should be analogically built in, as well.

Datatype

AlarmUsertextChanged(String bsText) As void

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

String bsText

VBA

VBA-Syntax

Examples

C#

private IAlarm zenonAlarm;

void ThisProject_Active()

{

//Create any required API-References here (Event handlers, OnlineContainers, local references,etc. )

//Assign the alarm object and init event handlers

this.zenonAlarm = this.Alarm();

this.zenonAlarm.AlarmUsertextChanged += new AlarmUsertextChangedEventHandler(zenonAlarm_AlarmUsertextChanged);

}

void ThisProject_Inactive()

{

//Release all API-References here (Event handlers, OnlineContainers, local references, etc. )

this.zenonAlarm.AlarmUsertextChanged -= zenonAlarm_AlarmUsertextChanged;

//Final release and garbage collection of any API-Objects.

FreeObjects();

}

void zenonAlarm_AlarmUsertextChanged(ref string bsText)

{

//Just print out the new text

Debug.Print(bsText);

}

VB.NET

Private zenonAlarm As IAlarm

Private Sub ThisProject_Active()

'Create any required API-References here (Event handlers, OnlineContainers, local references,etc. )

'Assign the alarm object and init event handlers

Me.zenonAlarm = Me.Alarm()

AddHandler Me.zenonAlarm.AlarmUsertextChanged, AddressOf zenonAlarm_AlarmUsertextChanged

End Sub

Private Sub ThisProject_Inactive()

'Release all API-References here (Event handlers, OnlineContainers, local references, etc. )

RemoveHandler Me.zenonAlarm.AlarmUsertextChanged, AddressOf zenonAlarm_AlarmUsertextChanged

'Final release and garbage collection of any API-Objects.

FreeObjects()

End Sub

Private Sub zenonAlarm_AlarmUsertextChanged(ByRef bsText As String)

'Just print out the new text

Debug.Print(bsText)

End Sub

VBA

Dim WithEvents zAlarm As Alarm

Private Sub Project_Active()

Set zAlarm = thisProject.Alarm

End Sub

Private Sub zAlarm_AlarmUsertextChanged(bsText As String)

bsText = bsText & "Projekt-Zeit"

End Sub


SelectionChangedEx

Manuel -> Interfaces de programmation -> Modèles d'objet -> Alarm -> Alarm-Events -> SelectionChangedEx

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

SelectionChangedEx(LPVARIANT arrSelection) As void

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes

Parameters

C#

ref object arrSelection


Alarm-Dynamic properties

Manuel -> Interfaces de programmation -> Modèles d'objet -> Alarm -> Alarm-Dynamic properties

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Dynproperties

CDlgAlarm

Other topics in this chapter

CDlgAlarm


CDlgAlarm

Manuel -> Interfaces de programmation -> Modèles d'objet -> Alarm -> Alarm-Dynamic properties -> CDlgAlarm

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Type

VBA/VSTA Name

Display Name

Description


AlarmItem

Manuel -> Interfaces de programmation -> Modèles d'objet -> AlarmItem

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

The object AlarmItem contains information on an alarm. The different items can be accessed with the method Alarm of the current project. The returned object contains the collection AlarmItems, which lists every single alarm in the project.If the object Alarm was defined with WithEvents (Or has assigned event handlers in C#), the events for received/cleared/acknowledged alarms are executed. Those events have a AlarmItem object as a parameter.

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes

Examples

C#

public void MacroGetAlarmItems()

{

IAlarm zenonAlarm = this.Alarm();

IAlarmItems zenonAlarmItems = zenonAlarm.AlarmItems("*");

for (int i = 0; i < zenonAlarmItems.Count; ++i)

{

IAlarmItem zenonAlarmItem = zenonAlarmItems.Item(i);

PrintAlarm(zenonAlarmItem);

}

}

private void PrintAlarm(IAlarmItem alarm)

{

Debug.Print("TimeComes : " + alarm.Timecomes);

Debug.Print("TimeGoes : " + alarm.Timegoes);

Debug.Print("TimeAcknowledged : " + alarm.TimeAcknowledged);

Debug.Print("Text : " + alarm.Text);

Debug.Print("Variable : " + alarm.Variable().Name);

Debug.Print("Value : " + alarm.Value);

}

VB.NET

Public Sub MacroGetAlarmItems()

Dim zenonAlarm As IAlarm = Me.Alarm()

Dim zenonAlarmItems As IAlarmItems = zenonAlarm.AlarmItems("*")

For i As Integer = 0 To zenonAlarmItems.Count - 1

Dim zenonAlarmItem As IAlarmItem = zenonAlarmItems.Item(i)

PrintAlarm(zenonAlarmItem)

Next

End Sub

Private Sub PrintAlarm(alarm As IAlarmItem)

Debug.Print("TimeComes : " & Convert.ToString(alarm.Timecomes))

Debug.Print("TimeGoes : " & Convert.ToString(alarm.Timegoes))

Debug.Print("TimeAcknowledged : " & Convert.ToString(alarm.TimeAcknowledged))

Debug.Print("Text : " & Convert.ToString(alarm.Text))

Debug.Print("Variable : " + alarm.Variable().Name)

Debug.Print("Value : " & Convert.ToString(alarm.Value))

End Sub

VBA

Public Sub GetAlarmItems()
Dim zAML As Alarm
Dim zAML_Items As AlarmItems
Dim zAML_Item As AlarmItem
Dim i As Integer

'set alarm objects
Set zAML = thisProject.Alarm
Set zAML_Items = zAML.AlarmItems("*")

'get text of active alarms...
For i = 0 To zAML_Items.Count - 1
Set zAML_Item = zAML_Items.Item(i)
Call PrintAlarm(zAML_Item)
Next i
End Sub

Sub PrintAlarm(YourAlarmItem As AlarmItem)
'this procedure will print out a set of informations
'depending to the given AlarmItem...
Debug.Print "TimeComes : " & YourAlarmItem.Timecomes
Debug.Print "TimeGoes : " & YourAlarmItem.Timegoes
Debug.Print "TimeAcknowledged: " & YourAlarmItem.TimeAcknowledged
Debug.Print "Text : " & YourAlarmItem.Text
Debug.Print "Variable : " & YourAlarmItem.Variable.Name
Debug.Print "Value : " & YourAlarmItem.Value
End Sub

Other topics in this chapter

AlarmItem-Properties

AlarmItem-Methods


AlarmItem-Properties

Manuel -> Interfaces de programmation -> Modèles d'objet -> AlarmItem -> AlarmItem-Properties

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description |  | Editor | Runtime | VBA | VSTA
short | AlarmClass | Alarmclass |  | not used | read only | yes | yes
short | AlarmGroup | Alarmgroup |  | not used | read only | yes | yes
BSTR | Computer | Computer, which raised the alarm |  | not used | read only | yes | yes
long | Countreactivated |  |  | not used | read only | yes | yes
BSTR | Name | Name |  | not used | read only | yes | yes
IAlarmItems | Parent | Parent-object |  | read only | read only | yes | yes
BSTR | Projectname | Project-name |  | not used | read only | yes | yes
long | Status | Status of the variable |  | not used | read only | yes | yes
long | Statusreactivated |  |  | not used | read only | yes | yes
BSTR | Tagname | TagName of the linked variable |  | not used | read only | yes | yes
BSTR | Text | Alarmtext of the variable (limit/rema) |  | not used | read only | yes | yes
DATE | TimeAcknowledged |  |  | not used | read only | yes | yes
DATE | Timecomes | Time of the alarm |  | not used | read only | yes | yes
DATE | Timegoes |  |  | not used | read only | yes | yes
DATE | Timequitted | For internal use only |  | not used | not used | yes | yes
DATE | Timereactivated |  |  | not used | read only | yes | yes
BSTR | User | User, which raised the alarm |  | not used | read only | yes | yes
BSTR | Usertext |  |  | not used | available | yes | yes
VARIANT | Value | Value of the variable |  | not used | read only | yes | yes
long | Index | Index of the alarm in the variable limits list or conditions in reaction matrix |  | not used | read only | yes | yes
BSTR | Cause | Cause of the alarm | not used |  | available | yes |  | yes

Other topics in this chapter

Parent

Name

Tagname

Projectname

Text

Status

Index

Value

Timecomes

Timegoes

Timequitted

TimeAcknowledged

Timereactivated

Statusreactivated

Countreactivated

User

Computer

Usertext

AlarmGroup

AlarmClass

Cause


Parent

Manuel -> Interfaces de programmation -> Modèles d'objet -> AlarmItem -> AlarmItem-Properties -> Parent

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the parent object

Datatype

Parent() As AlarmItems

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


Name

Manuel -> Interfaces de programmation -> Modèles d'objet -> AlarmItem -> AlarmItem-Properties -> Name

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

This property returns the name of the variable linked to the alarm entry. This variable can also be found with the method Variable of this object.The variable was defined as an alarm variable in the limit/REMA definition.The name of the variable is unique. With this name the variable can be found in the central variables list of the project.

Datatype

Name() As String

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes


Tagname

Manuel -> Interfaces de programmation -> Modèles d'objet -> AlarmItem -> AlarmItem-Properties -> Tagname

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

This property returns the identification of the variable that executed the alarm. Further properties of the linked variable can be found out with the method Variable. In this case the object Variable is returned.

Datatype

Tagname() As String

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes


Projectname

Manuel -> Interfaces de programmation -> Modèles d'objet -> AlarmItem -> AlarmItem-Properties -> Projectname

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the name of the project in which the alarm occurred. Since the object Alarm is always executed in the current project, this property is always the same as Project.Name and thisProject.Name in VBA.With this name the project can be found in the central project list of the application.

Datatype

Projectname() As String

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes


Text

Manuel -> Interfaces de programmation -> Modèles d'objet -> AlarmItem -> AlarmItem-Properties -> Text

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Alarmtext of the variable (limit/rema)

Datatype

Text() As String

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes


Status

Manuel -> Interfaces de programmation -> Modèles d'objet -> AlarmItem -> AlarmItem-Properties -> Status

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

This property returns the status of the value, that executed the alarm, e.g. the variable Heating_1 has a maximum limit of 10. The value is set to 15 on error. In this case the property contains the status of the value 15.The returned value contains the status in bit code.The following stati are possible in the control system:· Invalid (I-Bit)· Not actualized· Alternate value (EWERT)· General request (GA)· Spontan· Summer/Winter time· Switched off (N_AKT)· Realtime external· Realtime internal· Wintertime· Hand value· User flag 1 .. 8 (ST_M1 .. ST_M8)· Select (SELEC)· Revision (REV)· Run contact (LAUF)· Runtime overflow (LZÜ)· Fail Trafo (SM_TR)· NS· INFO· Set direction

Datatype

Status() As long

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes


Index

Manuel -> Interfaces de programmation -> Modèles d'objet -> AlarmItem -> AlarmItem-Properties -> Index

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the index of the alarm in the alarm collection.

Datatype

Index() As long

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes


Value

Manuel -> Interfaces de programmation -> Modèles d'objet -> AlarmItem -> AlarmItem-Properties -> Value

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

This property returns the „invalid“ value responsible for the occurence of the alarm. The current value was changed from the raw value to a zenOn value.The property value is set on the first event „received“ of the alarm entry. If the alarm is reactivated, only the number of reactivations, the time received and the status of the value is updated.

Datatype

Value() As VARIANT

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes


Timecomes

Manuel -> Interfaces de programmation -> Modèles d'objet -> AlarmItem -> AlarmItem-Properties -> Timecomes

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

This property contains the time stamp of the first event „received“.If the option with time reactivated in the alarm configuration is set, this alarm entry is also used for the next violation (unless it is acknowledged). Thereby the time received, the number of reactivations and the status of the value is updated.The property Timereactivated returns the time of the last event „received“.If this option is not set each event „received“ creates an own alarm entry with the appropriate information.

Datatype

Timecomes() As DATE

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes


Timegoes

Manuel -> Interfaces de programmation -> Modèles d'objet -> AlarmItem -> AlarmItem-Properties -> Timegoes

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

This property contains the time stamp of the event „cleared“. The event „cleared“ is executed an the end of the alarm, i.e. the limit violation no longer exists. The time stamp of the event „cleared“ always is greater than that of the event „received“ (see Timecomes).If the option with time reactivated in the alarm configuration is set, it is possible that the time cleared is smaller than the time reactivated (see Timereactived).

Datatype

Timegoes() As DATE

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes


Timequitted

Manuel -> Interfaces de programmation -> Modèles d'objet -> AlarmItem -> AlarmItem-Properties -> Timequitted

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

This property contains the time stamp of the event „acknowledged“. Acknowledging an alarm means, that the user read the entry and reacted. Acknowledging is always done by a user.On acknowledging the fields computer and user are set to the current computer and user. This action closes the alarm entry.

Datatype

Timequitted() As DATE

Availability

Environment | Available
Editor | not used
Runtime | not used
VBA | yes
VSTA | yes


TimeAcknowledged

Manuel -> Interfaces de programmation -> Modèles d'objet -> AlarmItem -> AlarmItem-Properties -> TimeAcknowledged

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

This property contains the time stamp of the event „acknowledged“. Acknowledging an alarm means, that the user read the entry and reacted. Acknowledging is always done by a user.On acknowledging the fields computer and user are set to the current computer and user. This action closes the alarm entry.

Datatype

TimeAcknowledged() As DATE

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes


Timereactivated

Manuel -> Interfaces de programmation -> Modèles d'objet -> AlarmItem -> AlarmItem-Properties -> Timereactivated

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

This property contains the time stamp of the last event „received“. Usually this is the property Timecomes.If the option with time reactivated in the alarm configuration is set, this entry is updated the next time the alarm occurs (unless it is acknowledged). Thereby the time received, the number of reactivations and the status of the value is updated.

Datatype

Timereactivated() As DATE

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes


Statusreactivated

Manuel -> Interfaces de programmation -> Modèles d'objet -> AlarmItem -> AlarmItem-Properties -> Statusreactivated

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the status of the reactivated, violated value. Usually this is the property of the current status.If the option with time reactivated in the alarm configuration is set, this property returns the status of the newest violation. With this setting a received unacknowledged alarm only generates one entry. On the next occurence a counter is increased and the time received and the status of the value is updated.

Datatype

Statusreactivated() As long

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes


Countreactivated

Manuel -> Interfaces de programmation -> Modèles d'objet -> AlarmItem -> AlarmItem-Properties -> Countreactivated

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the number of the reactivations of the alarm. In the project configuration the option with time reactivated can be set. So a received and not acknowledged alarm only generates one entry. A new occuarance of the alarm only sets a counter, updates the time received and the status.If this option is not used every occurance of the alarm generates a new entry.

Datatype

Countreactivated() As long

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes


User

Manuel -> Interfaces de programmation -> Modèles d'objet -> AlarmItem -> AlarmItem-Properties -> User

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the identification of the user that acknowledged the current alarm. The user logged in at that time is found out and his identification is read. This is transferred to the object Alarm. If no user is logged in, the user SYSTEM is automatically logged in.With this identification the user can be located in the central user administration of the process control system.

Datatype

User() As String

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes


Computer

Manuel -> Interfaces de programmation -> Modèles d'objet -> AlarmItem -> AlarmItem-Properties -> Computer

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the name of the computer, on which the action occurred, e.g. acknowledging an alarm. The field for the computer name is limited to 47 characters.If the project runs stand-alone (without network), this property returns the name of the computer, where the project runs. In a network this name can be a client, a server or a stand-by.

Datatype

Computer() As String

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes


Usertext

Manuel -> Interfaces de programmation -> Modèles d'objet -> AlarmItem -> AlarmItem-Properties -> Usertext

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

additional Text defined by the User.

Datatype

Usertext() As String

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes


AlarmGroup

Manuel -> Interfaces de programmation -> Modèles d'objet -> AlarmItem -> AlarmItem-Properties -> AlarmGroup

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the defined alarm class. A limit or a status in a REMA can be linked with an alarm class.As a default no alarm group is linked.A maximum of 256 different alarm groups can be defined. The alarm groups serve for the object orientated technological differenciation:- Group 1 = pumps- Group 2 = electricity- Group 3 = ...

Datatype

AlarmGroup() As short

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes


AlarmClass

Manuel -> Interfaces de programmation -> Modèles d'objet -> AlarmItem -> AlarmItem-Properties -> AlarmClass

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the defined alarm class. A limit or a status in a REMA can be linked with an alarm class.As a default no alarm class is linked.A maximum of 8 different alarm classes can be defined. The alarm classes have the following tasks:- Priorityfor picture alarming- Colour switching- Definition of alarm colours in the alarms list and for picture alarming- Filter criteria in the alarms list and chronologic events list- Function calling- Execution of e.g. acoustic alarming

Datatype

AlarmClass() As short

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes


Cause

Manuel -> Interfaces de programmation -> Modèles d'objet -> AlarmItem -> AlarmItem-Properties -> Cause

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

Cause() As BSTR

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes


AlarmItem-Methods

Manuel -> Interfaces de programmation -> Modèles d'objet -> AlarmItem -> AlarmItem-Methods

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
VARIANT_BOOL | Acknowledge | Quit the Alarm | not used | available | yes | yes
VARIANT_BOOL | Delete | Delete the Alarm | not used | available | yes | yes
void | DynProperties [PUT] | - | available | available | yes | yes
VARIANT | DynProperties [GET] | - | available | available | yes | yes
VARIANT | DynPropertiesEnum [GET] | - | read only | read only | yes | yes
VARIANT_BOOL | Quit | For internal use only | not used | not used | yes | yes
IVariable | Variable | Returns the linked variable | not used | read only | yes | yes
IPropParam | DynPropertyParam [GET] | Returns the PropParam objekt of the given DynProperty | read only | not used | yes | yes

Other topics in this chapter

DynPropertyParam [GET]

DynPropertiesEnum [GET]

DynProperties [GET]

DynProperties [PUT]

Variable

Quit

Acknowledge

Delete


DynPropertyParam [GET]

Manuel -> Interfaces de programmation -> Modèles d'objet -> AlarmItem -> AlarmItem-Methods -> DynPropertyParam [GET]

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

DynPropertyParam [GET](BSTR bsPath) As PropParam

Availability

Environment | Available
Editor | read only
Runtime | not used
VBA | yes
VSTA | yes


DynPropertiesEnum [GET]

Manuel -> Interfaces de programmation -> Modèles d'objet -> AlarmItem -> AlarmItem-Methods -> DynPropertiesEnum [GET]

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

DynPropertiesEnum(String bsPath) As VARIANT

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes

Parameters

A String which defines the entry point to get out all available properties of the object. A blank String like that returns the first layer of properties: DynPropertiesEnum("")

VBA

bsPath As String

Examples

VBA

Sub ReadDynProps()

Dim vProps As Variant

Dim i As Integer

'get all DynProperties of the actual object (DynPicture, Element, ...)

vProps = zenOnObject.DynPropertiesEnum("")

'Print informations of DynProperties into output window

For i = 0

To UBound(vProps) Debug.Print vProps(i)

Next i

End Sub


DynProperties [GET]

Manuel -> Interfaces de programmation -> Modèles d'objet -> AlarmItem -> AlarmItem-Methods -> DynProperties [GET]

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

DynProperties(String bsPath) As VARIANT

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

A String which defines the Property. Example: "NetActive"

VBA

bsPath As String

Examples

VBA

Sub GetDynProp()
'Sample: GSet the Network Aktive Flag of the Project.
If MyWorkspace.ActiveDocument.DynProperties("NetActive") = True Then
'read the server - computername...
Debug.Print "Server: " & MyWorkspace.ActiveDocument.DynProperties("NetServer")
End If
End Sub


DynProperties [PUT]

Manuel -> Interfaces de programmation -> Modèles d'objet -> AlarmItem -> AlarmItem-Methods -> DynProperties [PUT]

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

DynProperties (String bsPath,VARIANT vValue) As void

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

A String which defines the Property.

Example: "NetActive" Returns a variant value depending to the property, it can be a boolean, a long, or a whole object.

VBA

bsPath As String

vValue As Variant

Examples

VBA

Sub SetDynProp() 'Sample: Set the Network Aktive Flag of the Project. MyWorkspace.ActiveDocument.DynProperties("NetActive") = True 'also set a computer as server... MyWorkspace.ActiveDocument.DynProperties("NetServer") = "COMPUTERNAME"

End Sub


Variable

Manuel -> Interfaces de programmation -> Modèles d'objet -> AlarmItem -> AlarmItem-Methods -> Variable

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the variable linked to the alarm entry. The variable contains general process information, whereas the alarm entry contains information on the alarm.Refer to the chapter Variable for more detailled information.Hint: The variable should be checked on Nothing.

Datatype

Variable() As Variable

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes

Examples

C#

private IAlarm zenonAlarm;

void ThisProject_Active()

{

//Create any required API-References here (Event handlers, OnlineContainers, local references,etc. )

this.zenonAlarm = this.Alarm();

zenonAlarm.AlarmComes += new AlarmComesEventHandler(zenonAlarm_AlarmComes);

}

void zenonAlarm_AlarmComes(IAlarmItem obItem)

{

//Read the name of the corresponding alarm variable and its datatype - print both to the CEL

//Check if the variable is null first.

if(obItem.Variable() != null)

{

this.Cel().WriteCelString(string.Format("An alarm for {0} has gone off, the variable has data type {1}",

obItem.Variable().Name, obItem.Variable().DataType));

}

}

void ThisProject_Inactive()

{

//Release all API-References here (Event handlers, OnlineContainers, local references, etc. )

this.zenonAlarm.AlarmComes -= new AlarmComesEventHandler(zenonAlarm_AlarmComes);

this.zenonAlarm = null;

//Final release and garbage collection of any API-Objects.

FreeObjects();

}

VB.NET

Private zenonAlarm As IAlarm

Private Sub ThisProject_Active()

'Create any required API-References here (Event handlers, OnlineContainers, local references,etc. )

Me.zenonAlarm = Me.Alarm()

AddHandler zenonAlarm.AlarmComes, AddressOf zenonAlarm_AlarmComes

End Sub

Private Sub zenonAlarm_AlarmComes(obItem As IAlarmItem)

'Read the name of the corresponding alarm variable and its datatype - print both to the CEL

'Check if the variable is null first.

If obItem.Variable() IsNot Nothing Then

Me.Cel().WriteCelString(String.Format("An alarm for {0} has gone off, the variable has data type {1}", obItem.Variable().Name, obItem.Variable().DataType))

End If

End Sub

Private Sub ThisProject_Inactive()

'Release all API-References here (Event handlers, OnlineContainers, local references, etc. )

RemoveHandler Me.zenonAlarm.AlarmComes, AddressOf zenonAlarm_AlarmComes

Me.zenonAlarm = Nothing

'Final release and garbage collection of any API-Objects.

FreeObjects()

End Sub


Quit

Manuel -> Interfaces de programmation -> Modèles d'objet -> AlarmItem -> AlarmItem-Methods -> Quit

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Method to set an Alarm as "quitted"

Datatype

Quit() As Boolean

Availability

Environment | Available
Editor | not used
Runtime | not used
VBA | yes
VSTA | yes

Examples

C#

private IAlarm zenonAlarm;

void ThisProject_Active()

{

//Create any required API-References here (Event handlers, OnlineContainers, local references,etc. )

this.zenonAlarm = this.Alarm();

zenonAlarm.AlarmComes += new AlarmComesEventHandler(zenonAlarm_AlarmComes);

}

void ThisProject_Inactive()

{

//Release all API-References here (Event handlers, OnlineContainers, local references, etc. )

this.zenonAlarm.AlarmComes -= new AlarmComesEventHandler(zenonAlarm_AlarmComes);

this.zenonAlarm = null;

//Final release and garbage collection of any API-Objects.

FreeObjects();

}

void zenonAlarm_AlarmComes(IAlarmItem obItem)

{

//As soon as a new alarm occurs it will be quitted without any user interaction

obItem.Quit();

}

VB.NET

Private zenonAlarm As IAlarm

Private Sub ThisProject_Active()

'Create any required API-References here (Event handlers, OnlineContainers, local references,etc. )

Me.zenonAlarm = Me.Alarm()

AddHandler zenonAlarm.AlarmComes, AddressOf zenonAlarm_AlarmComes

End Sub

Private Sub ThisProject_Inactive()

'Release all API-References here (Event handlers, OnlineContainers, local references, etc. )

RemoveHandler Me.zenonAlarm.AlarmComes, AddressOf zenonAlarm_AlarmComes

Me.zenonAlarm = Nothing

'Final release and garbage collection of any API-Objects.

FreeObjects()

End Sub

Private Sub zenonAlarm_AlarmComes(obItem As IAlarmItem)

'As soon as a new alarm occurs it will be quitted without any user interaction

obItem.Quit()

End Sub


Acknowledge

Manuel -> Interfaces de programmation -> Modèles d'objet -> AlarmItem -> AlarmItem-Methods -> Acknowledge

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Method to set an Alarm as "acknowledged"

Datatype

Acknowledge() As Boolean

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes

Examples

C#

private IAlarm zenonAlarm;

void ThisProject_Active()

{

//Create any required API-References here (Event handlers, OnlineContainers, local references,etc. )

this.zenonAlarm = this.Alarm();

zenonAlarm.AlarmComes += new AlarmComesEventHandler(zenonAlarm_AlarmComes);

}

void ThisProject_Inactive()

{

//Release all API-References here (Event handlers, OnlineContainers, local references, etc. )

this.zenonAlarm.AlarmComes -= new AlarmComesEventHandler(zenonAlarm_AlarmComes);

this.zenonAlarm = null;

//Final release and garbage collection of any API-Objects.

FreeObjects();

}

void zenonAlarm_AlarmComes(IAlarmItem obItem)

{

//As soon as a new alarm occurs it will be acknowledged without any user interaction

obItem.Acknowledge();

}

VB.NET

Private zenonAlarm As IAlarm

Private Sub ThisProject_Active()

'Create any required API-References here (Event handlers, OnlineContainers, local references,etc. )

Me.zenonAlarm = Me.Alarm()

AddHandler zenonAlarm.AlarmComes, AddressOf zenonAlarm_AlarmComes

End Sub

Private Sub ThisProject_Inactive()

'Release all API-References here (Event handlers, OnlineContainers, local references, etc. )

RemoveHandler Me.zenonAlarm.AlarmComes, AddressOf zenonAlarm_AlarmComes

Me.zenonAlarm = Nothing

'Final release and garbage collection of any API-Objects.

FreeObjects()

End Sub

Private Sub zenonAlarm_AlarmComes(obItem As IAlarmItem)

'As soon as a new alarm occurs it will be acknowledged without any user interaction

obItem.Acknowledge()

End Sub


Delete

Manuel -> Interfaces de programmation -> Modèles d'objet -> AlarmItem -> AlarmItem-Methods -> Delete

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Method to set an Alarm as "deleted"

Datatype

Delete() As Boolean

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes

Examples

C#

private IAlarm zenonAlarm;

void ThisProject_Active()

{

//Create any required API-References here (Event handlers, OnlineContainers, local references,etc. )

this.zenonAlarm = this.Alarm();

zenonAlarm.AlarmComes += new AlarmComesEventHandler(zenonAlarm_AlarmComes);

}

void ThisProject_Inactive()

{

//Release all API-References here (Event handlers, OnlineContainers, local references, etc. )

this.zenonAlarm.AlarmComes -= new AlarmComesEventHandler(zenonAlarm_AlarmComes);

this.zenonAlarm = null;

//Final release and garbage collection of any API-Objects.

FreeObjects();

}

void zenonAlarm_AlarmComes(IAlarmItem obItem)

{

//As soon as a new alarm occurs it will be deleted without any user interaction

obItem.Delete();

}

VB.NET

Private zenonAlarm As IAlarm

Private Sub ThisProject_Active()

'Create any required API-References here (Event handlers, OnlineContainers, local references,etc. )

Me.zenonAlarm = Me.Alarm()

AddHandler zenonAlarm.AlarmComes, AddressOf zenonAlarm_AlarmComes

End Sub

Private Sub ThisProject_Inactive()

'Release all API-References here (Event handlers, OnlineContainers, local references, etc. )

RemoveHandler zenonAlarm.AlarmComes, AddressOf zenonAlarm_AlarmComes

Me.zenonAlarm = Nothing

'Final release and garbage collection of any API-Objects.

FreeObjects()

End Sub

Private Sub zenonAlarm_AlarmComes(obItem As IAlarmItem)

'As soon as a new alarm occurs it will be deleted without any user interaction

obItem.Delete()

End Sub


AlarmItems

Manuel -> Interfaces de programmation -> Modèles d'objet -> AlarmItems

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

The alarm entries are administered in this collection. If a new alarm occurs, it is added to this collection.The single alarm entries contain information on the alarm, e.g. name, variable, alarm group, alarm class, ...

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes

Examples

C#

/* Displays the amount of alarms currently in memory and

* the alarm text of all the different alarms.

*/

public void MacroGetAlarmItems()

{

//Get alarm object(s) from active project

IAlarm zenonAlarm = this.Alarm();

IAlarmItems zenonAlarmItems = zenonAlarm.AlarmItems("*");

MessageBox.Show(string.Format("{0} Alarms in memory...", zenonAlarmItems.Count));

//get text of active alarms...

for(int i = 0; i < zenonAlarmItems.Count; ++i)

{

IAlarmItem zenonAlarmItem = zenonAlarmItems.Item(i);

Debug.Print(zenonAlarmItem.Text);

}

}

VB.NET

' Displays the amount of alarms currently in memory and

' * the alarm text of all the different alarms.

'

Public Sub MacroGetAlarmItems()

'Get alarm object(s) from active project

Dim zenonAlarm As IAlarm = Me.Alarm()

Dim zenonAlarmItems As IAlarmItems = zenonAlarm.AlarmItems("*")

MessageBox.Show(String.Format("{0} Alarms in memory...", zenonAlarmItems.Count))

'get text of active alarms...

For i As Integer = 0 To zenonAlarmItems.Count - 1

Dim zenonAlarmItem As IAlarmItem = zenonAlarmItems.Item(i)

Debug.Print(zenonAlarmItem.Text)

Next

End Sub

VBA

'*** In this example all alarm entries are read and displayed in the Output window of VBA.
'*** Run Aml_Items and write information of the items to the debug-window of the VBA-IDE
Public Sub Aml_Items()
Dim obAml As Alarm
Dim obAmlItem As AlarmItem
'*** Get Alarm-object of the current project
Set obAml = thisProject.Alarm
'*** Write information to debug-window of the VBA-IDE
For nIndex = 0 To obAml.AlarmItems.Count - 1
Set obAmlItem = obAml.AlarmItems.Item(nIndex)
If Not obAmlItem Is Nothing Then
Debug.Print "Alarm: " & obAmlItem.Name & _
" Variable: " & obAmlItem.Variable.Name & _
" AmlGroup: " & CStr(obAmlItem.AlarmGroup) & _
" AmlClass: " & CStr(AlarmItem.AlarmClass)
End If
Next nIndex
End Sub

'**********************************************************************
'* This codesample browses all alarms and searches in the alargroups *
'* 1-3 for non acknowledged alarms. *
'* ------------------------------------------------------------------ *
'* Autor: Mark Clemens Support, COPA-DATA GmbH *
'**********************************************************************
Dim obAml As Alarm
Dim obAmlItem As AlarmItem
Dim obAmlItems As AlarmItems
Dim nIndex As Variant
Dim obVariable As Variable
Dim nAcknowledged1, nAcknowledged2, nAcknowledged3 As Boolean

Sub Aml_Items()
'*** Reset internal variables
nAcknowledged1 = False
nAcknowledged2 = False
nAcknowledged3 = False
'*** Get Alarm-object of the current project
Set obAml = thisProject.Alarm
'*** Get all alarmitems
Set obAmlItems = obAml.AlarmItems("*")

'get specific item using the screen switch function as filter

'Set obAmlItems = obAml.AlarmItems("myFunction")
For nIndex = 0 To obAmlItems.Count - 1
Set obAmlItem = obAmlItems.Item(nIndex)
If (Not obAmlItem Is Nothing) Then
'*** Define which alarmgroups should be searched
Select Case obAmlItem.AlarmGroup
Case 1
'*** Search for non acknowledged alarms by comparing the TimeAcknowledged Date
If obAmlItem.TimeAcknowledged = "01.01.1970 01:00:00" Then
nAcknowledged1 = True
End If
Case 2
'*** Search for non acknowledged alarms by comparing the timeacknowledged Date
If obAmlItem.TimeAcknowledged = "01.01.1970 01:00:00" Then
nAcknowledged2 = True
End If
Case 3
'*** Search for non acknowledged alarms by comparing the timeacknowledged Date
If obAmlItem.TimeAcknowledged = "01.01.1970 01:00:00" Then
nAcknowledged3 = True
End If
End Select
End If
Next nIndex
'*** After all Alarms have been analyzed set the processvariables
'***Group 1
Set obVariable = thisProject.Variables.Item("group1_not_acknowledged")
If Not (obVariable Is Nothing) Then
If nAcknowledged1 = True Then
obVariable.Value = 1
Else
obVariable.Value = 0
End If
End If
'***Group 2
Set obVariable = thisProject.Variables.Item("group2_not_acknowledged")
If Not (obVariable Is Nothing) Then
If nAcknowledged2 = True Then
obVariable.Value = 1
Else
obVariable.Value = 0
End If
End If
'***Group 3
Set obVariable = thisProject.Variables.Item("group3_not_acknowledged")
If Not (obVariable Is Nothing) Then
If nAcknowledged3 = True Then
obVariable.Value = 1
Else
obVariable.Value = 0
End If
End If
End Sub

Other topics in this chapter

AlarmItems-Properties

AlarmItems-Methods


AlarmItems-Properties

Manuel -> Interfaces de programmation -> Modèles d'objet -> AlarmItems -> AlarmItems-Properties

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
VARIANT_BOOL | Aktiv | Alarm-module in-/active | not used | read only | yes | yes
long | Count | Count of the alarm-items | read only | read only | yes | yes
IAlarm | Parent | Parent-object | read only | read only | yes | yes

Other topics in this chapter

Parent

Aktiv

Count


Parent

Manuel -> Interfaces de programmation -> Modèles d'objet -> AlarmItems -> AlarmItems-Properties -> Parent

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the parent object

Datatype

Parent() As Alarm

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


Aktiv

Manuel -> Interfaces de programmation -> Modèles d'objet -> AlarmItems -> AlarmItems-Properties -> Aktiv

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the status of the alarm administration. If the value is True, the alarms administration is active. If it is not active the alarm buffer cannot be extended, i.e. no further alarms occur. It does not influence clearing existing alarms.De/activating the alarms administration is possible with the following functions of the control system:· Alarms active· Alarms inactive· Alarms active/inactive· Alarms/groups/classes

Datatype

Aktiv() As Boolean

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes


Count

Manuel -> Interfaces de programmation -> Modèles d'objet -> AlarmItems -> AlarmItems-Properties -> Count

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

The method returns the number of available objects. This property is mostly used for the method Item to run through each single object.Hint: For running through entries care, that the minimum is 0 and the maximum is Count-1.

Datatype

Count() As long

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


AlarmItems-Methods

Manuel -> Interfaces de programmation -> Modèles d'objet -> AlarmItems -> AlarmItems-Methods

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
IAlarmItem | Item | Returns the alarm-item on the given position | available | available | yes | yes

Other topics in this chapter

Item


Item

Manuel -> Interfaces de programmation -> Modèles d'objet -> AlarmItems -> AlarmItems-Methods -> Item

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the object for the alarm entry at the position vID. All existing alarms of the project are in this collection. The returned object Alarmitem contains important information on the alarm.This method Item only allows accessing with the index.Hint: Check the returned object on Nothing, if no object for the search creteria was found.

Datatype

Item(VARIANT vIndex) As AlarmItem

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

vID As Variant

Unique index for the position of the element in the list. Care that the index is < Count, i.e. for nIndex = 0 to Count-1

C#

object vIndex

VBA

vIndex As Variant

Examples

VBA

'*** In this example all alarm entries are read and displayed in the Output window of VBA.
'*** Run Aml_Items and write information of the items to the debug-window of the VBA-IDE
Public Sub Aml_Items()
Dim obAml As Alarm
Dim obAmlItem As AlarmItem
'*** Get Alarm-object of the current project
Set obAml = thisProject.Alarm
'*** Write information to debug-window of the VBA-IDE
For nIndex = 0 To obAml.AlarmItems.Count - 1
Set obAmlItem = obAml.AlarmItems.Item(nIndex)
If Not obAmlItem Is Nothing Then
Debug.Print "Alarm: " & obAmlItem.Name & _
" Variable: " & obAmlItem.Variable.Name & _
" AmlGroup: " & CStr(obAmlItem.AlarmGroup) & _
" AmlClass: " & CStr(AlarmItem.AlarmClass)
End If
Next nIndex
End Sub

'**********************************************************************
'* This codesample browses all alarms and searches in the alargroups *
'* 1-3 for non acknowledged alarms. *
'* ------------------------------------------------------------------ *
'* Autor: Mark Clemens Support, COPA-DATA GmbH *
'**********************************************************************
Dim obAml As Alarm
Dim obAmlItem As AlarmItem
Dim obAmlItems As AlarmItems
Dim nIndex As Variant
Dim obVariable As Variable
Dim nAcknowledged1, nAcknowledged2, nAcknowledged3 As Boolean

Sub Aml_Items()
'*** Reset internal variables
nAcknowledged1 = False
nAcknowledged2 = False
nAcknowledged3 = False
'*** Get Alarm-object of the current project
Set obAml = thisProject.Alarm
'*** Get all alarmitems
Set obAmlItems = obAml.AlarmItems("*")
For nIndex = 0 To obAmlItems.Count - 1
Set obAmlItem = obAmlItems.Item(nIndex)
If (Not obAmlItem Is Nothing) Then
'*** Define which alarmgroups should be searched
Select Case obAmlItem.AlarmGroup
Case 1
'*** Search for non acknowledged alarms by comparing the TimeAcknowledged Date
If obAmlItem.TimeAcknowledged = "01.01.1970 01:00:00" Then
nAcknowledged1 = True
End If
Case 2
'*** Search for non acknowledged alarms by comparing the timeacknowledged Date
If obAmlItem.TimeAcknowledged = "01.01.1970 01:00:00" Then
nAcknowledged2 = True
End If
Case 3
'*** Search for non acknowledged alarms by comparing the timeacknowledged Date
If obAmlItem.TimeAcknowledged = "01.01.1970 01:00:00" Then
nAcknowledged3 = True
End If
End Select
End If
Next nIndex
'*** After all Alarms have been analyzed set the processvariables
'***Group 1
Set obVariable = thisProject.Variables.Item("group1_not_acknowledged")
If Not (obVariable Is Nothing) Then
If nAcknowledged1 = True Then
obVariable.Value = 1
Else
obVariable.Value = 0
End If
End If
'***Group 2
Set obVariable = thisProject.Variables.Item("group2_not_acknowledged")
If Not (obVariable Is Nothing) Then
If nAcknowledged2 = True Then
obVariable.Value = 1
Else
obVariable.Value = 0
End If
End If
'***Group 3
Set obVariable = thisProject.Variables.Item("group3_not_acknowledged")
If Not (obVariable Is Nothing) Then
If nAcknowledged3 = True Then
obVariable.Value = 1
Else
obVariable.Value = 0
End If
End If
End Sub


ALCEdge

Manuel -> Interfaces de programmation -> Modèles d'objet -> ALCEdge

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

With this object you have the opportunity to get informations about a selected procedural element.

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes

Examples

C#

public void MacroALCEdge()

{

//Get ALC engine and child objects

IALCEngine zenonAlcEngine = this.ALCEngine();

IALCEdge zenonAlcEdge = zenonAlcEngine.EdgeItem(0);

IALCNode zenonAlcNodeOne = zenonAlcEdge.Node1;

IALCNode zenonAlcNodeTwo = zenonAlcEdge.Node2;

//Returns the ID of the procedural element on the screen

MessageBox.Show("ElementID of the procedural element: " + zenonAlcEdge.ElementID);

//Returns the screen in which the procedural element is used

MessageBox.Show("Screen: " + zenonAlcEdge.Picture);

//Returns the ID of the ALC source (the list of these ids is available from the project property "Automatic line coloring")

MessageBox.Show("Source ID: " + zenonAlcEdge.SourceID);

//Returns the internal name of the procedural elements type

MessageBox.Show(zenonAlcEdge.Type.ToString());

MessageBox.Show("Linked variable: " + zenonAlcEdge.Variable);

//Returns the ID of the procedural elements node on the screen

//Note: Not all procedural elements contain two nodes

MessageBox.Show("Link ID Node1: " + zenonAlcNodeOne.LinkID);

//Returns the ID of the procedural elements second node on the screen

MessageBox.Show("Link ID Node2: " + zenonAlcNodeTwo.LinkID);

}

VB.NET

Public Sub MacroALCEdge()

'Get ALC engine and child objects

Dim zenonAlcEngine As IALCEngine = Me.ALCEngine()

Dim zenonAlcEdge As IALCEdge = zenonAlcEngine.EdgeItem(0)

Dim zenonAlcNodeOne As IALCNode = zenonAlcEdge.Node1

Dim zenonAlcNodeTwo As IALCNode = zenonAlcEdge.Node2

'Returns the ID of the procedural element on the screen

MessageBox.Show("ElementID of the procedural element: " + zenonAlcEdge.ElementID)

'Returns the screen in which the procedural element is used

MessageBox.Show("Screen: " + zenonAlcEdge.Picture)

'Returns the ID of the ALC source (the list of these ids is available from the project property "Automatic line coloring")

MessageBox.Show("Source ID: " + zenonAlcEdge.SourceID)

'Returns the internal name of the procedural elements type

MessageBox.Show(zenonAlcEdge.Type.ToString())

MessageBox.Show("Linked variable: " + zenonAlcEdge.Variable)

'Returns the ID of the procedural elements node on the screen

'Note: Not all procedural elements contain two nodes

MessageBox.Show("Link ID Node1: " + zenonAlcNodeOne.LinkID)

'Returns the ID of the procedural elements second node on the screen

MessageBox.Show("Link ID Node2: " + zenonAlcNodeTwo.LinkID)

End Sub

VBA

Sub ALCEdge()

Dim zAlcEngine As ALCEngine 'Object from type ALCEngine
Dim zAlcEdge As ALCEdge 'Child object from type ALCEngine
Dim zAlcNode1 As ALCNode 'Child object from type ALCEngine
Dim zAlcNode2 As ALCNode 'Child object from type ALCEngine

'Get ALCEngine data from the project
Set zAlcEngine = thisProject.ALCEngine
'Get the first procedural element of the project
Set zAlcEdge = zAlcEngine.EdgeItem(0)

'Returns the ID of the procedural element in the screen
MsgBox "ElementID of the procedural element = " & zAlcEdge.ElementID
'Returns the screen in which the procedural element is used
MsgBox "Screen = " & zAlcEdge.Picture
'Returns the ID of the ALC source (the list of these Ids is available at the project property "Automatic line coloring")
MsgBox "Source ID = " & zAlcEdge.SourceID

'Returns the type of procedural element
If zAlcEdge.Type = 0 Then
MsgBox "Type = tpALCTypeNode"
ElseIf zAlcEdge.Type = 1 Then
MsgBox "Type = tpALCTypeSource"
ElseIf zAlcEdge.Type = 2 Then
MsgBox "Type = tpALCTypeSwitch"
ElseIf zAlcEdge.Type = 3 Then
MsgBox "Type = tpALCTypeSink"
ElseIf zAlcEdge.Type = 4 Then
MsgBox "Type = tpALCTypeTrafo"
ElseIf zAlcEdge.Type = 5 Then
MsgBox "Type = tpALCTypeLink"
End If

'Returns the variable which is linked to the procedural element
MsgBox "Linkes variable = " & zAlcEdge.Variable.Name

'Returns the first connected node (HINT:Not all procedural elements include two Nodes!)
Set zAlcNode1 = zAlcEdge.Node1
'Returns the ID of the node in the screen
MsgBox "Link ID Node1 = " & zAlcNode1.LinkID
'Returns the second connected node
Set zAlcNode2 = zAlcEdge.Node2
'Returns the ID of the node in the screen
MsgBox "Link ID Node2 = " & zAlcNode2.LinkID

End Sub

Other topics in this chapter

ALCEdge-Properties


ALCEdge-Properties

Manuel -> Interfaces de programmation -> Modèles d'objet -> ALCEdge -> ALCEdge-Properties

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
long | ElementID | Returns the ID of the element the edge is connected with. | read only | read only | yes | yes
BSTR | ElementRef | Returns the reference name of the element the edge is connected with. | not used | available | yes | yes
tpALCGroundFaultType | GroundFaultType | Returns the ground fault detection type if the edge is of type Switch. | not used | available | yes | yes
IVariable | GroundFaultVarDisp | Returns the attached ground fault display Variable if ground fault detection is enabled. | not used | available | yes | yes
IVariable | GroundFaultVarFwd | Returns the attached ground fault forward Variable if ground fault detection is enabled. | not used | available | yes | yes
IVariable | GroundFaultVarRev | Returns the attached ground fault reverse Variable if ground fault detection is enabled. | not used | available | yes | yes
IVariable | GroundFaultVarTrg | Returns the attached ground fault trigger Variable if ground fault detection is enabled. | not used | available | yes | yes
IALCNode | Node1 | Returns the first ALC node. | read only | read only | yes | yes
IALCNode | Node2 | Returns the second ALC node. | read only | read only | yes | yes
BSTR | Picture | Returns the name of the picture the element is located in. | read only | read only | yes | yes
long | ReverseSourceID | Returns the reverse Source ID if the edge is of type Trafo. | not used | available | yes | yes
tpALCShortFaultType | ShortFaultType | Returns the short fault detection type if the edge is of type Switch. | not used | available | yes | yes
IVariable | ShortFaultVarDisp | Returns the attached short fault display Variable if short fault detection is enabled. | not used | available | yes | yes
IVariable | ShortFaultVarFwd | Returns the attached short fault forward Variable if short fault detection is enabled. | not used | available | yes | yes
IVariable | ShortFaultVarRev | Returns the attached short fault reverse Variable if short fault detection is enabled. | not used | available | yes | yes
IVariable | ShortFaultVarTrg | Returns the attached short fault trigger Variable if short fault detection is enabled. | not used | available | yes | yes
long | SourceID | Returns the Source ID if the edge is of type Source or Trafo. | read only | read only | yes | yes
tpALCType | Type | Returns the type of this ALC edge. | read only | read only | yes | yes
IVariable | Variable | Returns the attached Variable if the edge is of type Source or Switch. | read only | read only | yes | yes

Other topics in this chapter

Node1

Node2

Type

SourceID

ReverseSourceID

Variable

Picture

ElementID

ElementRef

GroundFaultType

GroundFaultVarTrg

GroundFaultVarFwd

GroundFaultVarRev

GroundFaultVarDisp

ShortFaultType

ShortFaultVarTrg

ShortFaultVarFwd

ShortFaultVarRev

ShortFaultVarDisp


Node1

Manuel -> Interfaces de programmation -> Modèles d'objet -> ALCEdge -> ALCEdge-Properties -> Node1

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns an object from type "ALCNode". It represents a node which is connected to the procedural element. Hint: It is also possible that only one of the two nodes is connected to the procedural element.

Datatype

Node1() As ALCNode

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


Node2

Manuel -> Interfaces de programmation -> Modèles d'objet -> ALCEdge -> ALCEdge-Properties -> Node2

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns an object from type "ALCNode". It represents a node which is connected to the procedural element. Hint: It is also possible that only one of the two nodes is connected to the procedural element.

Datatype

Node2() As ALCNode

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


Type

Manuel -> Interfaces de programmation -> Modèles d'objet -> ALCEdge -> ALCEdge-Properties -> Type

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

Type() As tpALCType

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


SourceID

Manuel -> Interfaces de programmation -> Modèles d'objet -> ALCEdge -> ALCEdge-Properties -> SourceID

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the ID of the ALC source (the list of these IDs is available at the zenOn project property "Automatic line coloring")

Datatype

SourceID() As long

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


ReverseSourceID

Manuel -> Interfaces de programmation -> Modèles d'objet -> ALCEdge -> ALCEdge-Properties -> ReverseSourceID

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

ReverseSourceID() As long

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes


Variable

Manuel -> Interfaces de programmation -> Modèles d'objet -> ALCEdge -> ALCEdge-Properties -> Variable

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns an object from type "Variable". It represents the variable which is linked to the procedural element.

Datatype

Variable() As Variable

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


Picture

Manuel -> Interfaces de programmation -> Modèles d'objet -> ALCEdge -> ALCEdge-Properties -> Picture

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the picture in which the procedural element is used.

Datatype

Picture() As String

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


ElementID

Manuel -> Interfaces de programmation -> Modèles d'objet -> ALCEdge -> ALCEdge-Properties -> ElementID

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the ID of the procedural element in the picture.

Datatype

ElementID() As long

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Sub GetNameOfElement()
Dim zAlcEngine As ALCEngine 'Object from type ALCEngine
Dim zAlcEdge As ALCEdge 'Child object from type ALCEngine

'Get first procedural element of the project
Set zAlcEdge = thisProject.ALCEngine.EdgeItem(0)
'Get name of this procedural element (combielement)
Debug.Print "Name of element = " & FindElem(zAlcEdge).Name

End Sub

Function FindElem(zAlcEdge As ALCEdge) As Element
Dim i As Integer
Dim zPIC As DynPicture

'Get picture object
Set zPIC = thisProject.DynPictures.Item(zAlcEdge.Picture)
'Enum elements in picture
For i = 0 To zPIC.Elements.count - 1
'Check element id
If zPIC.Elements.Item(i).ID = zAlcEdge.ElementID Then
'Return Element
Set FindElem = zPIC.Elements.Item(i)
Exit Function
End If
Next i
End Function


ElementRef

Manuel -> Interfaces de programmation -> Modèles d'objet -> ALCEdge -> ALCEdge-Properties -> ElementRef

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

ElementRef() As String

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes


GroundFaultType

Manuel -> Interfaces de programmation -> Modèles d'objet -> ALCEdge -> ALCEdge-Properties -> GroundFaultType

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

GroundFaultType() As tpALCGroundFaultType

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes


GroundFaultVarTrg

Manuel -> Interfaces de programmation -> Modèles d'objet -> ALCEdge -> ALCEdge-Properties -> GroundFaultVarTrg

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

GroundFaultVarTrg() As Variable

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes


GroundFaultVarFwd

Manuel -> Interfaces de programmation -> Modèles d'objet -> ALCEdge -> ALCEdge-Properties -> GroundFaultVarFwd

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

GroundFaultVarFwd() As Variable

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes


GroundFaultVarRev

Manuel -> Interfaces de programmation -> Modèles d'objet -> ALCEdge -> ALCEdge-Properties -> GroundFaultVarRev

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

GroundFaultVarRev() As Variable

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes


GroundFaultVarDisp

Manuel -> Interfaces de programmation -> Modèles d'objet -> ALCEdge -> ALCEdge-Properties -> GroundFaultVarDisp

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

GroundFaultVarDisp() As Variable

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes


ShortFaultType

Manuel -> Interfaces de programmation -> Modèles d'objet -> ALCEdge -> ALCEdge-Properties -> ShortFaultType

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

ShortFaultType() As tpALCShortFaultType

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes


ShortFaultVarTrg

Manuel -> Interfaces de programmation -> Modèles d'objet -> ALCEdge -> ALCEdge-Properties -> ShortFaultVarTrg

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

ShortFaultVarTrg() As Variable

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes


ShortFaultVarFwd

Manuel -> Interfaces de programmation -> Modèles d'objet -> ALCEdge -> ALCEdge-Properties -> ShortFaultVarFwd

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

ShortFaultVarFwd() As Variable

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes


ShortFaultVarRev

Manuel -> Interfaces de programmation -> Modèles d'objet -> ALCEdge -> ALCEdge-Properties -> ShortFaultVarRev

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

ShortFaultVarRev() As Variable

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes


ShortFaultVarDisp

Manuel -> Interfaces de programmation -> Modèles d'objet -> ALCEdge -> ALCEdge-Properties -> ShortFaultVarDisp

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

ShortFaultVarDisp() As Variable

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes


ALCEngine

Manuel -> Interfaces de programmation -> Modèles d'objet -> ALCEngine

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes

Examples

C#

VB.NET

VBA

Other topics in this chapter

ALCEngine-Properties

ALCEngine-Methods

ALCEngine-Events


ALCEngine-Properties

Manuel -> Interfaces de programmation -> Modèles d'objet -> ALCEngine -> ALCEngine-Properties

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
long | EdgeCount | Returns the number of ALC edges. | read only | read only | yes | yes
long | GraphAliasCount | Returns the number of ALC alias elements. | read only | read only | yes | yes
long | GraphElemCount | Returns the number of ALC elements. | read only | read only | yes | yes
tpALCGroundFaultMode | GroundFaultMode | Get/Set the ground fault mode. | not used | available | yes | yes
long | NodeCount | Returns the number of ALC nodes. | read only | read only | yes | yes
IProject | Parent | Returns the parent of the ALCEngine Object. | read only | read only | yes | yes
double | MaxOverload |  | not used | read only | yes | yes

Other topics in this chapter

Parent

NodeCount

EdgeCount

GraphElemCount

GraphAliasCount

GroundFaultMode

MaxOverload


Parent

Manuel -> Interfaces de programmation -> Modèles d'objet -> ALCEngine -> ALCEngine-Properties -> Parent

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the parent object

Datatype

Parent() As Project

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


NodeCount

Manuel -> Interfaces de programmation -> Modèles d'objet -> ALCEngine -> ALCEngine-Properties -> NodeCount

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the number of nodes in a project.

Datatype

NodeCount() As long

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


EdgeCount

Manuel -> Interfaces de programmation -> Modèles d'objet -> ALCEngine -> ALCEngine-Properties -> EdgeCount

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the number of procedural elements (generator, source, switch, disconnector, drain, transformator, link) from a project.

Datatype

EdgeCount() As long

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


GraphElemCount

Manuel -> Interfaces de programmation -> Modèles d'objet -> ALCEngine -> ALCEngine-Properties -> GraphElemCount

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

The method returns the number of available objects.

Datatype

GraphElemCount() As long

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


GraphAliasCount

Manuel -> Interfaces de programmation -> Modèles d'objet -> ALCEngine -> ALCEngine-Properties -> GraphAliasCount

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

The method returns the number of available objects.

Datatype

GraphAliasCount() As long

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


GroundFaultMode

Manuel -> Interfaces de programmation -> Modèles d'objet -> ALCEngine -> ALCEngine-Properties -> GroundFaultMode

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

GroundFaultMode() As tpALCGroundFaultMode

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes


MaxOverload

Manuel -> Interfaces de programmation -> Modèles d'objet -> ALCEngine -> ALCEngine-Properties -> MaxOverload

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

MaxOverload() As double

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes


ALCEngine-Methods

Manuel -> Interfaces de programmation -> Modèles d'objet -> ALCEngine -> ALCEngine-Methods

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
void | AckGroundFault | Acknowledges a ground fault detection. | not used | available | yes | yes
void | AckShortFault | Acknowledges a short fault detection. | not used | available | yes | yes
IALCEdge | EdgeItem | Returns the ALC edge at the given index. | read only | read only | yes | yes
IALCEdge | FindEdge | Returns the ALC edge associated to the given element. | read only | read only | yes | yes
IALCEdge | FindEdgeByRef | Returns the ALC edge associated to the given element. | not used | read only | yes | yes
IALCNode | FindNode | Returns the ALC node associated to the given element. | read only | read only | yes | yes
IALCNode | FindNodeByRef | Returns the ALC node associated to the given element. | not used | read only | yes | yes
IALCGraphAlias | GraphAliasItem | Returns the ALC alias element at the given index. | read only | read only | yes | yes
IALCGraphElem | GraphElemItem | Returns the ALC element at the given index. | read only | read only | yes | yes
IALCNode | NodeItem | Returns the ALC node at the given index. | read only | read only | yes | yes

Other topics in this chapter

NodeItem

EdgeItem

GraphElemItem

GraphAliasItem

FindNode

FindEdge

FindNodeByRef

FindEdgeByRef

AckGroundFault

AckShortFault


NodeItem

Manuel -> Interfaces de programmation -> Modèles d'objet -> ALCEngine -> ALCEngine-Methods -> NodeItem

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

This method returns a node from the project. Such an element is from object type "ALCNode".

Datatype

NodeItem(long lIndex) As ALCNode

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes

Parameters

Position of the element in the project.

C#

long lIndex

VB.NET

Dim lIndex As Long

VBA

lIndex As Long

Examples

VBA

Sub NodeItem()

Dim zAlcEngine As ALCEngine 'Object from type ALCEngine
Dim zAlcNode As ALCNode 'Child object from type ALCEngine

'Get ALCEngine data from the project
Set zAlcEngine = MyWorkspace.ActiveDocument.ALCEngine
'Get the first node of the picture
Set zAlcNode = zAlcEngine.NodeItem(0)
'Returns the number of procedural elements which are connected to the line element
MsgBox "Number of edges = " & zAlcNode.EdgeCount

End Sub


EdgeItem

Manuel -> Interfaces de programmation -> Modèles d'objet -> ALCEngine -> ALCEngine-Methods -> EdgeItem

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

This method returns a procedural element (generator, source, switch, disconnector, drain, transformator, link) from the project. Such an element is from type ALCEdge.

Datatype

EdgeItem(long lIndex) As ALCEdge

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes

Parameters

Position of the element in the project.

C#

long lIndex

VB.NET

Dim lIndex As Long

VBA

lIndex As Long

Examples

VBA

Sub GetEdgeItem()

Dim zAlcEngine As ALCEngine 'Object from type ALCEngine
Dim zAlcEdge As ALCEdge 'Child object from type ALCEngine

'Get ALCEngine data from the project
Set zAlcEngine = MyWorkspace.ActiveDocument.ALCEngine
'Get the first ALC procedural element of the project
Set zAlcEdge = zAlcEngine.EdgeItem(0)
MsgBox "Element is in picture = " & zAlcEdge.Picture

End Sub


GraphElemItem

Manuel -> Interfaces de programmation -> Modèles d'objet -> ALCEngine -> ALCEngine-Methods -> GraphElemItem

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Gets a ALCElement item.

Datatype

GraphElemItem(long lIndex) As ALCGraphElem

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes

Parameters

C#

long lIndex

VB.NET

Dim lIndex As Long

VBA

lIndex As Long

Examples

C#

//Iterate all ALCGraph elements using the GraphElemCount property. this.ActiveDocument is the active workspace

//Create an instance of the zenOn.IALCGraphElem to collect a Graph element on index

//Print the output using the output window, use: this.Parent.DebugPrint().

public void Macro_GraphElem()

{

for (int i = 0; i < this.ActiveDocument.ALCEngine().GraphElemCount; i++)

{

zenOn.IALCGraphElem AlcElem = this.ActiveDocument.ALCEngine().GraphElemItem(i);

this.Parent.DebugPrint(string.Format("ID: {0}; Type: {1}; Picture: {2}", AlcElem.ElementID, AlcElem.Type, AlcElem.Picture), zenOn.tpDebugPrintStyle.tpNrm);

}

}

VB.NET

//Iterate all ALCGraph elements using the GraphElemCount property. this.ActiveDocument is the active workspace

//Create an instance of the zenOn.IALCGraphElem to collect a Graph element on index

//Print the output using the output window, use: this.Parent.DebugPrint().

Public Sub Macro_GraphElem()

For i As Integer = 0 To Me.ActiveDocument.ALCEngine().GraphElemCount - 1

Dim AlcElem As zenOn.IALCGraphElem = Me.ActiveDocument.ALCEngine().GraphElemItem(i)

Me.Parent.DebugPrint(String.Format("ID: {0}; Type: {1}; Picture: {2}", AlcElem.ElementID, AlcElem.Type, AlcElem.Picture), zenOn.tpDebugPrintStyle.tpNrm)

Next

End Sub


GraphAliasItem

Manuel -> Interfaces de programmation -> Modèles d'objet -> ALCEngine -> ALCEngine-Methods -> GraphAliasItem

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Gets a ALCAlias item of a ALCElement.

Datatype

GraphAliasItem(long lIndex) As ALCGraphAlias

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes

Parameters

C#

long lIndex

VB.NET

Dim lIndex As Long

VBA

lIndex As Long

Examples

C#

//Iterate all ALCGraph aliases using the GraphAliasCount property. this.ActiveDocument is the active workspace

//Create an instance of the zenOn.IALCGraphAlias to collect a Graph element on index

//Print the output using the output window, use: this.Parent.DebugPrint().

public void Macro_GraphAlias()

{

for (int i = 0; i < this.ActiveDocument.ALCEngine().GraphAliasCount; i++)

{

zenOn.IALCGraphAlias AlcAlias = this.ActiveDocument.ALCEngine().GraphElemItem(i);

this.Parent.DebugPrint(string.Format("ID: {0}; Type: {1}; Picture: {2}", AlcAlias.ElementID, AlcAlias.Type, AlcAlias.Picture), zenOn.tpDebugPrintStyle.tpNrm);

}

}

VB.NET

//Iterate all ALCGraph aliases using the GraphAliasCount property. this.ActiveDocument is the active workspace

//Create an instance of the zenOn.IALCGraphAlias to collect a Graph element on index

//Print the output using the output window, use: this.Parent.DebugPrint().

Public Sub Macro_GraphAlias()

For i As Integer = 0 To Me.ActiveDocument.ALCEngine().GraphAliasCount - 1

Dim AlcAlias As zenOn.IALCGraphAlias = Me.ActiveDocument.ALCEngine().GraphElemItem(i)

Me.Parent.DebugPrint(String.Format("ID: {0}; Type: {1}; Picture: {2}", AlcAlias.ElementID, AlcAlias.Type, AlcAlias.Picture), zenOn.tpDebugPrintStyle.tpNrm)

Next

End Sub


FindNode

Manuel -> Interfaces de programmation -> Modèles d'objet -> ALCEngine -> ALCEngine-Methods -> FindNode

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

This method returns an ALC node from a specific picture with a specific ID (ID of the element in the picture).

Datatype

FindNode(String bsPicture, long lElementID) As ALCNode

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes

Parameters

ID from one of the line elements which is connected to the node. String that defines the Screen in which the ALC element is used.

VBA

lElementID As Long

bsPicture As String

Examples

VBA

Sub FindNode()

Dim zAlcEngine As ALCEngine 'Object from type ALCEngine
Dim zAlcNode As ALCNode 'Child object from type ALCEngine

'Get ALCEngine data from the project
Set zAlcEngine = thisProject.ALCEngine
'Returns a ALC node with a specific ID (ID from one of the connected line elements) from a specific picture
Set zAlcNode = zAlcEngine.FindNode("BILD3", 18)
'Returns the number of procedural elements which are connected to the line element
MsgBox "Number of connected procedural elements = " & zAlcNode.EdgeCount

End Sub


FindEdge

Manuel -> Interfaces de programmation -> Modèles d'objet -> ALCEngine -> ALCEngine-Methods -> FindEdge

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

This method returns a procedural element (generator, source, switch, disconnector, drain, transformator, link) from a specific picture with a specific ID (ID of the element in the picture).

Datatype

FindEdge(String bsPicture, long lElementID) As ALCEdge

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes

Parameters

ID of the element in the Screen. String that defines the Screen in which the ALC element is used.

VBA

lElementID As Long

bsPicture As String

Examples

VBA

Sub FindEdge()

Dim zAlcEngine As ALCEngine 'Object from type ALCEngine
Dim zAlcEdge As ALCEdge 'Child object from type ALCEngine

'Get ALCEngine data from the project
Set zAlcEngine = MyWorkspace.ActiveDocument.ALCEngine
'Returns an ALC procedural element with a specific ID (element ID in the picture) from a specific picture
Set zAlcEdge = zAlcEngine.FindEdge("BILD3", 17)
'Show the ALC ID if the element
MsgBox "Source ID of the element = " & zAlcEdge.SourceID

End Sub


FindNodeByRef

Manuel -> Interfaces de programmation -> Modèles d'objet -> ALCEngine -> ALCEngine-Methods -> FindNodeByRef

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

FindNodeByRef(String bsElemRef) As ALCNode

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes


FindEdgeByRef

Manuel -> Interfaces de programmation -> Modèles d'objet -> ALCEngine -> ALCEngine-Methods -> FindEdgeByRef

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

FindEdgeByRef(String bsElemRef) As ALCEdge

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes


AckGroundFault

Manuel -> Interfaces de programmation -> Modèles d'objet -> ALCEngine -> ALCEngine-Methods -> AckGroundFault

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

AckGroundFault(IVariable pVariable) As void

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes


AckShortFault

Manuel -> Interfaces de programmation -> Modèles d'objet -> ALCEngine -> ALCEngine-Methods -> AckShortFault

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

AckShortFault(IVariable pVariable) As void

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes


ALCEngine-Events

Manuel -> Interfaces de programmation -> Modèles d'objet -> ALCEngine -> ALCEngine-Events

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
void | CheckInterlocking | Event: Is fired to check interlockings. | not used | available | yes | yes

Other topics in this chapter

CheckInterlocking


CheckInterlocking

Manuel -> Interfaces de programmation -> Modèles d'objet -> ALCEngine -> ALCEngine-Events -> CheckInterlocking

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Is fired to check topological interlockings. The operated switch and also the new condition are assigned.The event uses LockResult, bUnlockable or bsText to indicate a violated lock condition. If the Lockresult is tpBusy the event will be fired until the result is no longer tpBusy for a maximum of 10 sec. After the elapsed time the locking will be activ. BsText and bUnlockable apply information concerning the locking text and the unlocking conditions.

Datatype

CheckInterlocking(ALCEdge pALCEdge, long nNewState, tpLockResult LockResult, String bsText, Boolean bUnlockable) As void

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes


ALCGraphAlias

Manuel -> Interfaces de programmation -> Modèles d'objet -> ALCGraphAlias

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

With this object you have the opportunity to get line and procedural elements via an index or from specific Screens and specific Element IDs.

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes

Examples

C#

/*

* Iterate all ALCGraph aliases using the GraphAliasCount property. this.ActiveDocument is the active workspace

* Create an instance of the zenOn.IALCGraphAlias to collect a Graph element on index

* Print the output using the output window, use: this.Parent.DebugPrint().

*/

public void Macro_GraphAlias()

{

for (int i = 0; i < this.ActiveDocument.ALCEngine().GraphAliasCount; i++)

{

zenOn.IALCGraphAlias alcAlias = this.ActiveDocument.ALCEngine().GraphAliasItem(i);

this.Parent.DebugPrint(string.Format("ID: {0}; Type: {1}; Picture: {2}", alcAlias.ElementID, alcAlias.Type, alcAlias.Picture), zenOn.tpDebugPrintStyle.tpNrm);

}

}

VB.NET

'

' * Iterate all ALCGraph aliases using the GraphAliasCount property. this.ActiveDocument is the active workspace

' * Create an instance of the zenOn.IALCGraphAlias to collect a Graph element on index

' * Print the output using the output window, use: this.Parent.DebugPrint().

'

Public Sub Macro_GraphAlias()

For i As Integer = 0 To Me.ActiveDocument.ALCEngine().GraphAliasCount - 1

Dim alcAlias As zenOn.IALCGraphAlias = Me.ActiveDocument.ALCEngine().GraphAliasItem(i)

Me.Parent.DebugPrint(String.Format("ID: {0}; Type: {1}; Picture: {2}", alcAlias.ElementID, alcAlias.Type, alcAlias.Picture), zenOn.tpDebugPrintStyle.tpNrm)

Next

End Sub

VBA

Other topics in this chapter

ALCGraphAlias-Properties


ALCGraphAlias-Properties

Manuel -> Interfaces de programmation -> Modèles d'objet -> ALCGraphAlias -> ALCGraphAlias-Properties

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
long | ElementID | Returns the ID of the element the edge is connected with. | read only | read only | yes | yes
BSTR | ElementRef | Returns the reference name of the element the edge is connected with. | read only | read only | yes | yes
IALCGraphElem | OriginalGraphElem | Returns the original ALC element. | read only | read only | yes | yes
BSTR | Picture | Returns the name of the picture the element is located in. | read only | read only | yes | yes
tpALCType | Type | Returns the type of this ALC edge. | read only | read only | yes | yes

Other topics in this chapter

OriginalGraphElem

Type

Picture

ElementID

ElementRef


OriginalGraphElem

Manuel -> Interfaces de programmation -> Modèles d'objet -> ALCGraphAlias -> ALCGraphAlias-Properties -> OriginalGraphElem

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

OriginalGraphElem() As ALCGraphElem

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


Type

Manuel -> Interfaces de programmation -> Modèles d'objet -> ALCGraphAlias -> ALCGraphAlias-Properties -> Type

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

Type() As tpALCType

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


Picture

Manuel -> Interfaces de programmation -> Modèles d'objet -> ALCGraphAlias -> ALCGraphAlias-Properties -> Picture

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

Picture() As String

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


ElementID

Manuel -> Interfaces de programmation -> Modèles d'objet -> ALCGraphAlias -> ALCGraphAlias-Properties -> ElementID

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

ElementID() As long

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


ElementRef

Manuel -> Interfaces de programmation -> Modèles d'objet -> ALCGraphAlias -> ALCGraphAlias-Properties -> ElementRef

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

ElementRef() As String

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


ALCGraphElem

Manuel -> Interfaces de programmation -> Modèles d'objet -> ALCGraphElem

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

With this object you have the opportunity to get line and procedural elements via an index or from specific Screens and specific Element IDs.

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes

Examples

C#

/*

* Iterate all ALCGraph elements using the GraphElemCount property. this.ActiveDocument is the active workspace

* Create an instance of the zenOn.IALCGraphElem to collect a Graph element on index

* Print the output using the output window, use: this.Parent.DebugPrint().

*/

public void Macro_GraphElem()

{

for (int i = 0; i < this.ActiveDocument.ALCEngine().GraphElemCount; i++)

{

zenOn.IALCGraphElem alcElem = this.ActiveDocument.ALCEngine().GraphElemItem(i);

this.Parent.DebugPrint(string.Format("ID: {0}; Type: {1}; Picture: {2}", alcElem.ElementID, alcElem.Type, alcElem.Picture), zenOn.tpDebugPrintStyle.tpNrm);

}

}

VB.NET

'

' * Iterate all ALCGraph elements using the GraphElemCount property. this.ActiveDocument is the active workspace

' * Create an instance of the zenOn.IALCGraphElem to collect a Graph element on index

' * Print the output using the output window, use: this.Parent.DebugPrint().

'

Public Sub Macro_GraphElem()

For i As Integer = 0 To Me.ActiveDocument.ALCEngine().GraphElemCount - 1

Dim alcElem As zenOn.IALCGraphElem = Me.ActiveDocument.ALCEngine().GraphElemItem(i)

Me.Parent.DebugPrint(String.Format("ID: {0}; Type: {1}; Picture: {2}", alcElem.ElementID, alcElem.Type, alcElem.Picture), zenOn.tpDebugPrintStyle.tpNrm)

Next

End Sub

VBA

Other topics in this chapter

ALCGraphElem-Properties

ALCGraphElem-Methods


ALCGraphElem-Properties

Manuel -> Interfaces de programmation -> Modèles d'objet -> ALCGraphElem -> ALCGraphElem-Properties

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
long | ElementID | Returns the ID of the element the edge is connected with. | read only | read only | yes | yes
BSTR | ElementRef | Returns the reference name of the element the edge is connected with. | read only | read only | yes | yes
double | Length | Returns the length | read only | read only | yes | yes
long | LoadType | Returns the load type | read only | read only | yes | yes
double | LoadVal | Returns the fixed load value | read only | read only | yes | yes
long | MaxIType | Returns the maximal current type | read only | read only | yes | yes
double | MaxIVal | Returns the fixed maximal current | read only | read only | yes | yes
long | Node1Count | Returns the number of elements connected to first node. | read only | read only | yes | yes
long | Node2Count | Returns the number of elements connected to second node. | read only | read only | yes | yes
BSTR | Picture | Returns the name of the picture the element is located in. | read only | read only | yes | yes
double | React | Returns the reactance | read only | read only | yes | yes
double | Resist | Returns the resistance | read only | read only | yes | yes
long | ReverseSourceID | Returns the reverse Source ID if the edge is of type Trafo. | read only | read only | yes | yes
long | SourceID | Returns the Source ID if the edge is of type Source or Trafo. | read only | read only | yes | yes
tpALCType | Type | Returns the type of this ALC edge. | read only | read only | yes | yes
IVariable | VarCalcI | Returns the variable for calculated current | read only | read only | yes | yes
IVariable | VarCurI | Returns the variable for actual current | read only | read only | yes | yes
IVariable | VarCurP | Returns the variable for actual power | read only | read only | yes | yes
IVariable | Variable | Returns the attached Variable if the edge is of type Source or Switch. | read only | read only | yes | yes
IVariable | VarLoad | Returns the variable for load value | read only | read only | yes | yes
IVariable | VarMaxI | Returns the variable for maximal current | read only | read only | yes | yes
IVariable | VarProtReact | Returns the variable for protection reactance | read only | read only | yes | yes

Other topics in this chapter

Node1Count

Node2Count

Type

SourceID

ReverseSourceID

Variable

Picture

ElementID

ElementRef

VarProtReact

MaxIType

MaxIVal

VarMaxI

VarCurI

VarCalcI

VarCurP

LoadType

LoadVal

VarLoad

React

Resist

Length


Node1Count

Manuel -> Interfaces de programmation -> Modèles d'objet -> ALCGraphElem -> ALCGraphElem-Properties -> Node1Count

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

Node1Count() As long

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


Node2Count

Manuel -> Interfaces de programmation -> Modèles d'objet -> ALCGraphElem -> ALCGraphElem-Properties -> Node2Count

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

Node2Count() As long

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


Type

Manuel -> Interfaces de programmation -> Modèles d'objet -> ALCGraphElem -> ALCGraphElem-Properties -> Type

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

Type() As tpALCType

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


SourceID

Manuel -> Interfaces de programmation -> Modèles d'objet -> ALCGraphElem -> ALCGraphElem-Properties -> SourceID

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

SourceID() As long

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


ReverseSourceID

Manuel -> Interfaces de programmation -> Modèles d'objet -> ALCGraphElem -> ALCGraphElem-Properties -> ReverseSourceID

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

ReverseSourceID() As long

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


Variable

Manuel -> Interfaces de programmation -> Modèles d'objet -> ALCGraphElem -> ALCGraphElem-Properties -> Variable

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

Variable() As Variable

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


Picture

Manuel -> Interfaces de programmation -> Modèles d'objet -> ALCGraphElem -> ALCGraphElem-Properties -> Picture

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

Picture() As String

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


ElementID

Manuel -> Interfaces de programmation -> Modèles d'objet -> ALCGraphElem -> ALCGraphElem-Properties -> ElementID

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

ElementID() As long

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


ElementRef

Manuel -> Interfaces de programmation -> Modèles d'objet -> ALCGraphElem -> ALCGraphElem-Properties -> ElementRef

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

ElementRef() As String

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


VarProtReact

Manuel -> Interfaces de programmation -> Modèles d'objet -> ALCGraphElem -> ALCGraphElem-Properties -> VarProtReact

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

VarProtReact() As Variable

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


MaxIType

Manuel -> Interfaces de programmation -> Modèles d'objet -> ALCGraphElem -> ALCGraphElem-Properties -> MaxIType

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

MaxIType() As long

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


MaxIVal

Manuel -> Interfaces de programmation -> Modèles d'objet -> ALCGraphElem -> ALCGraphElem-Properties -> MaxIVal

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

MaxIVal() As double

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


VarMaxI

Manuel -> Interfaces de programmation -> Modèles d'objet -> ALCGraphElem -> ALCGraphElem-Properties -> VarMaxI

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

VarMaxI() As Variable

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


VarCurI

Manuel -> Interfaces de programmation -> Modèles d'objet -> ALCGraphElem -> ALCGraphElem-Properties -> VarCurI

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

VarCurI() As Variable

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


VarCalcI

Manuel -> Interfaces de programmation -> Modèles d'objet -> ALCGraphElem -> ALCGraphElem-Properties -> VarCalcI

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

VarCalcI() As Variable

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


VarCurP

Manuel -> Interfaces de programmation -> Modèles d'objet -> ALCGraphElem -> ALCGraphElem-Properties -> VarCurP

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

VarCurP() As Variable

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


LoadType

Manuel -> Interfaces de programmation -> Modèles d'objet -> ALCGraphElem -> ALCGraphElem-Properties -> LoadType

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

LoadType() As long

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


LoadVal

Manuel -> Interfaces de programmation -> Modèles d'objet -> ALCGraphElem -> ALCGraphElem-Properties -> LoadVal

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

LoadVal() As double

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


VarLoad

Manuel -> Interfaces de programmation -> Modèles d'objet -> ALCGraphElem -> ALCGraphElem-Properties -> VarLoad

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

VarLoad() As Variable

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


React

Manuel -> Interfaces de programmation -> Modèles d'objet -> ALCGraphElem -> ALCGraphElem-Properties -> React

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

React() As double

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


Resist

Manuel -> Interfaces de programmation -> Modèles d'objet -> ALCGraphElem -> ALCGraphElem-Properties -> Resist

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

Resist() As double

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


Length

Manuel -> Interfaces de programmation -> Modèles d'objet -> ALCGraphElem -> ALCGraphElem-Properties -> Length

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

Length() As double

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


ALCGraphElem-Methods

Manuel -> Interfaces de programmation -> Modèles d'objet -> ALCGraphElem -> ALCGraphElem-Methods

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
IALCGraphElem | Node1Item | Returns the the element connected to first node at the given index. | read only | read only | yes | yes
IALCGraphElem | Node2Item | Returns the the element connected to second node at the given index. | read only | read only | yes | yes

Other topics in this chapter

Node1Item

Node2Item


Node1Item

Manuel -> Interfaces de programmation -> Modèles d'objet -> ALCGraphElem -> ALCGraphElem-Methods -> Node1Item

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

Node1Item(long lIndex) As ALCGraphElem

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


Node2Item

Manuel -> Interfaces de programmation -> Modèles d'objet -> ALCGraphElem -> ALCGraphElem-Methods -> Node2Item

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

Node2Item(long lIndex) As ALCGraphElem

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


ALCNode

Manuel -> Interfaces de programmation -> Modèles d'objet -> ALCNode

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

With this object you have the opportunity to get informations about the line and procedural elements of a single node in your topology.

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes

Examples

C#

public void MacroAlcNode()

{

IALCEngine zenonAlcEngine = this.ALCEngine();

//Get the first node of the project

IALCNode zenonAlcNode = zenonAlcEngine.NodeItem(2);

//Return the number of procedural devices which are connected to the node

MessageBox.Show("Number of connected procedural elements: " + zenonAlcNode.EdgeCount);

//Return one of the connected procedural elements

IALCEdge zenonAlcEdge = zenonAlcNode.EdgeItem(0);

//Return type of the connected procedural element

MessageBox.Show(zenonAlcEdge.Type.ToString());

//Return ID of the link connected to the node

MessageBox.Show("Link iD: " + zenonAlcNode.LinkID);

}

VB.NET

Public Sub MacroAlcNode()

Dim zenonAlcEngine As IALCEngine = Me.ALCEngine()

'Get the first node of the project

Dim zenonAlcNode As IALCNode = zenonAlcEngine.NodeItem(2)

'Return the number of procedural devices which are connected to the node

MessageBox.Show("Number of connected procedural elements: " + zenonAlcNode.EdgeCount)

'Return one of the connected procedural elements

Dim zenonAlcEdge As IALCEdge = zenonAlcNode.EdgeItem(0)

'Return type of the connected procedural element

MessageBox.Show(zenonAlcEdge.Type.ToString())

'Return ID of the link connected to the node

MessageBox.Show("Link iD: " + zenonAlcNode.LinkID)

End Sub

VBA

Sub ALCNode()

Dim zAlcEngine As ALCEngine 'Object from type ALCEngine
Dim zAlcNode As ALCNode 'Child object from type ALCEngine
Dim zAlcEdge As ALCEdge 'Child object from type ALCEngine
Dim CountElements As Long
Dim LineStates As Variant
Dim i As Integer

'Get ALCEngine data from the project
Set zAlcEngine = thisProject.ALCEngine
'Get the first node of the project
Set zAlcNode = zAlcEngine.NodeItem(2)

'Return the number of procedural devices which are connected to the node
MsgBox "Number of connected procedural elements = " & zAlcNode.EdgeCount
'Return one of the connected procedural elements
Set zAlcEdge = zAlcNode.EdgeItem(0)
'Return type of connected procedural element
If zAlcEdge.Type = 0 Then
MsgBox "Type = tpALCTypeNode"
ElseIf zAlcEdge.Type = 1 Then
MsgBox "Type = tpALCTypeSource"
ElseIf zAlcEdge.Type = 2 Then
MsgBox "Type = tpALCTypeSwitch"
ElseIf zAlcEdge.Type = 3 Then
MsgBox "Type = tpALCTypeSink"
ElseIf zAlcEdge.Type = 4 Then
MsgBox "Type = tpALCTypeTrafo"
ElseIf zAlcEdge.Type = 5 Then
MsgBox "Type = tpALCTypeLink"
End If

'Return number of line elements which are connected to the node
CountElements = UBound(zAlcNode.ElementIDs)
MsgBox "Number of connected line elements = " & CountElements

'Print current states of a node
If (IsEmpty(zAlcNode.LineStates)) Then
Debug.Print "No line state active"
Else
LineStates = zAlcNode.LineStates
For i = 0 To UBound(LineStates)
Debug.Print "State " & i & " = " & LineStates(i)
Next i
End If

'Return link ID if a link (procedural element) is connected to the node
MsgBox "Link ID = " & zAlcNode.LinkID

End Sub

Other topics in this chapter

ALCNode-Properties

ALCNode-Methods


ALCNode-Properties

Manuel -> Interfaces de programmation -> Modèles d'objet -> ALCNode -> ALCNode-Properties

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
long | EdgeCount | Returns the number of edges connected to this node. | read only | read only | yes | yes
VARIANT | ElementIDs | Returns the IDs of the elements the Node is connected with. | read only | read only | yes | yes
VARIANT | ElementRefs | Returns the reference names of the elements the Node is connected with. | not used | available | yes | yes
VARIANT | LineStates | Returns the all line states at this node. | not used | read only | yes | yes
long | LinkID | Returns the ID of the linked Source. | read only | read only | yes | yes
VARIANT | Pictures | Returns the names of the pictures the Node is in. | read only | read only | yes | yes

Other topics in this chapter

EdgeCount

LineStates

LinkID

Pictures

ElementIDs

ElementRefs


EdgeCount

Manuel -> Interfaces de programmation -> Modèles d'objet -> ALCNode -> ALCNode-Properties -> EdgeCount

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the number of procedural devices which are connected to the node.

Datatype

EdgeCount() As long

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


LineStates

Manuel -> Interfaces de programmation -> Modèles d'objet -> ALCNode -> ALCNode-Properties -> LineStates

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns a set of ALC states which are currently active in runtime. These states are a declared in the zenOn project settings at the "Automatic Line Coloring" property.

Datatype

LineStates() As VARIANT

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes


LinkID

Manuel -> Interfaces de programmation -> Modèles d'objet -> ALCNode -> ALCNode-Properties -> LinkID

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the ID of a projected link (procedural element) which is available for this node.

Datatype

LinkID() As long

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


Pictures

Manuel -> Interfaces de programmation -> Modèles d'objet -> ALCNode -> ALCNode-Properties -> Pictures

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns a set of pictures where the line elements of the node are projected. This is helpful when links (procedural elements) are projected and so one node is extracted over many pictures.

Datatype

Pictures() As VARIANT

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


ElementIDs

Manuel -> Interfaces de programmation -> Modèles d'objet -> ALCNode -> ALCNode-Properties -> ElementIDs

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns a set of IDs of the line elements which are connected to the node.

Datatype

ElementIDs() As VARIANT

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


ElementRefs

Manuel -> Interfaces de programmation -> Modèles d'objet -> ALCNode -> ALCNode-Properties -> ElementRefs

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

ElementRefs() As VARIANT

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes


ALCNode-Methods

Manuel -> Interfaces de programmation -> Modèles d'objet -> ALCNode -> ALCNode-Methods

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
IALCEdge | EdgeItem | Returns the ALC edge at the given index. | available | available | yes | yes

Other topics in this chapter

EdgeItem


EdgeItem

Manuel -> Interfaces de programmation -> Modèles d'objet -> ALCNode -> ALCNode-Methods -> EdgeItem

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

This method returns an object from type "ALCEdge". You have the opportunity to get one of the procedural elements which are connected to the node.

Datatype

EdgeItem(long lIndex) As ALCEdge

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

Select one of the connected procedural elements. With the "EdgeCount" property you see how many elements are connected (counting starts at 0).

VBA

lIndex As Long

Examples

VBA

Sub EdgeItem()

Dim zAlcEngine As ALCEngine 'Object from type ALCEngine
Dim zAlcNode As ALCNode 'Child object from type ALCEngine
Dim zAlcEdge As ALCEdge 'Child object from type ALCEngine

'Get ALCEngine data from the project
Set zAlcEngine = thisProject.ALCEngine
'Get the first line element of the project
Set zAlcNode = zAlcEngine.NodeItem(0)

'Return the number of procedural devices which are connected to the node
MsgBox "Number of connected procedural elements = " & zAlcNode.EdgeCount
'Return one of the connected procedural elements
Set zAlcEdge = zAlcNode.EdgeItem(0)
'Return type of connected procedural element
If zAlcEdge.Type = 0 Then
MsgBox "Type = tpALCTypeNode"
ElseIf zAlcEdge.Type = 1 Then
MsgBox "Type = tpALCTypeSource"
ElseIf zAlcEdge.Type = 2 Then
MsgBox "Type = tpALCTypeSwitch"
ElseIf zAlcEdge.Type = 3 Then
MsgBox "Type = tpALCTypeSink"
ElseIf zAlcEdge.Type = 4 Then
MsgBox "Type = tpALCTypeTrafo"
ElseIf zAlcEdge.Type = 5 Then
MsgBox "Type = tpALCTypeLink"
End If

End Sub


Application

Manuel -> Interfaces de programmation -> Modèles d'objet -> Application

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Includes the whole application of the control system. This is the only object in the hierarchy, that can be used by the internal function GetObject of Visual Basic. You can only use GetObject, if the Runtime of the control system is already running.

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Examples

C#

/* NOTE:

* Uses Reference System.Windows.Forms to display messages via System.Windows.Forms.MessageBox

* Make sure the reference is added and the namespace is included for the working code file

*/

public void MacroGetProjects()

{

//Use a string builder to generate a list of gathered information

StringBuilder buildResult = new StringBuilder();

buildResult.AppendLine(string.Format("Active Project: {0}", this.ActiveDocument.Name));

buildResult.AppendLine("Projects in Workspace:");

//Iterate through every single project and add its name to the string builder

for(int i = 0; i < Application.Projects().Count; ++i)

{

zenOn.IProject zenonProject = Application.Projects().Item(i);

if (zenonProject != null)

buildResult.AppendLine(zenonProject.Name);

}

MessageBox.Show(buildResult.ToString(), "GetProjects", MessageBoxButtons.OK);

}

VB.NET

' NOTE:

' * Uses Reference System.Windows.Forms to display messages via System.Windows.Forms.MessageBox

' * Make sure the reference is added and the namespace is included for the working code file

'

Public Sub MacroGetProjects()

'Use a string builder to generate a list of gathered information

Dim buildResult As New StringBuilder()

buildResult.AppendLine(String.Format("Active Project: {0}", Me.ActiveDocument.Name))

buildResult.AppendLine("Projects in Workspace:")

'Iterate through every single project and add its name to the string builder

For i As Integer = 0 To Application.Projects().Count - 1

Dim zenonProject As zenOn.IProject = Application.Projects().Item(i)

If zenonProject IsNot Nothing Then

buildResult.AppendLine(zenonProject.Name)

End If

Next

MessageBox.Show(buildResult.ToString(), "GetProjects", MessageBoxButtons.OK)

End Sub

VBA

Public Sub GetProjects()
Dim strResult As String
Dim zPROJECT As Project
Dim i As Integer

'get active project...
strResult = "Active Project: " & MyWorkspace.ActiveDocument.Name & vbCrLf & vbCrLf
'get projects in workspace...
strResult = strResult & "Projects in Workspace:" & vbCrLf
For i = 0 To ApplicationED.Projects.Count - 1
Set zPROJECT = ApplicationED.Projects.Item(i)
If Not zPROJECT Is Nothing Then
strResult = strResult & zPROJECT.Name & vbCrLf
End If
Next i
'Show Result in a Messagebox
MsgBox strResult, vbInformation, "GetProjects"
End Sub

Other topics in this chapter

Application-Properties

Application-Methods

Application-Events


Application-Properties

Manuel -> Interfaces de programmation -> Modèles d'objet -> Application -> Application-Properties

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
BSTR | Computer |  | available | available | yes | yes
VARIANT_BOOL | Enabled |  | available | available | yes | yes
VARIANT_BOOL | Hide |  | available | available | yes | yes
OLE_HANDLE | hWnd |  | available | available | yes | yes
VARIANT_BOOL | IsElementWizard | For internal use only | not used | not used | yes | yes
IZenWorkspace | MyWorkspace | Returns the ZenWorkspace object (Editor Only). | read only | not used | yes | yes
BSTR | Name |  | available | available | yes | yes
BSTR | Path |  | available | available | yes | yes
long | RunState | Returns the Application run state. | read only | read only | yes | yes
BSTR | Version |  | available | available | yes | yes
long | VersionNumber | Returns the Application version. | read only | read only | yes | yes
VARIANT | WizardResult | For internal use only | not used | not used | yes | yes

Other topics in this chapter

Hide

Path

hWnd

Enabled

Name

Version

VersionNumber

Computer

RunState

WizardResult

IsElementWizard

MyWorkspace


Hide

Manuel -> Interfaces de programmation -> Modèles d'objet -> Application -> Application-Properties -> Hide

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

This property returns/sets the visibility of the main window. If the value is True, the main window is hidden. With the value False the main window is shown again.The sample listed below accesses the object Application of the control system from an external application and hides/shows the main window depending of the status.

Datatype

Hide() As Boolean

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Sub zenOnHide()
Dim obZenOn As zenOn.Application
'Get existing Object (zenOn Runtime)
Set obZenOn = GetObject(, "zenOn.Application")
If (obZenOn Is Nothing) Then
MsgBox "zenOn Runtime not running"
Exit Sub
End If
'Hide/Show Application...
obZenOn.Hide = Not m_obZenOn.Hide
End Sub


Path

Manuel -> Interfaces de programmation -> Modèles d'objet -> Application -> Application-Properties -> Path

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

This property returns the path from which the application was started. The name of the application is added to the path.For Example:C:\Program Files\COPA-DATA\zenOn620\zenrt32.exe

Datatype

Path() As String

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes


hWnd

Manuel -> Interfaces de programmation -> Modèles d'objet -> Application -> Application-Properties -> hWnd

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

This property returns the handle of the main window of the application. The handle mostly is needed for API calls, e.g. to send messages to the window.

Datatype

hWnd() As OLE_HANDLE

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes


Enabled

Manuel -> Interfaces de programmation -> Modèles d'objet -> Application -> Application-Properties -> Enabled

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Sets the visibility of the application main window. This property can be read as well as written. If the value is set to False, the window is deactivated. Thus online operation, e.g. switching pictures in the Runtime, is prevented.As a default the value is set to True. In this case online operation is possible.The example listed below accesses the object Application of the control system from an external application and de/activates the main window depending of the status.

Datatype

Enabled() As Boolean

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Sub zenOnEnable()
Dim obZenOn As zenOn.Application
'Get existing Object (zenOn Runtime)
Set obZenOn = GetObject(, "zenOn.Application")
If (obZenOn Is Nothing) Then
MsgBox "zenOn Runtime not active"
Exit Sub
End If
'Enable/Disable Main Window...
obZenOn.Enabled = Not obZenOn.Enabled
End Sub


Name

Manuel -> Interfaces de programmation -> Modèles d'objet -> Application -> Application-Properties -> Name

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

This property returns the name of the application.

Datatype

Name() As String

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes


Version

Manuel -> Interfaces de programmation -> Modèles d'objet -> Application -> Application-Properties -> Version

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

This property returns the version of the application.

Datatype

Version() As String

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes


VersionNumber

Manuel -> Interfaces de programmation -> Modèles d'objet -> Application -> Application-Properties -> VersionNumber

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

VersionNumber() As long

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


Computer

Manuel -> Interfaces de programmation -> Modèles d'objet -> Application -> Application-Properties -> Computer

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

This property returns the name of the computer on which the Runtime is running.

Datatype

Computer() As String

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes


RunState

Manuel -> Interfaces de programmation -> Modèles d'objet -> Application -> Application-Properties -> RunState

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

RunState() As long

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


WizardResult

Manuel -> Interfaces de programmation -> Modèles d'objet -> Application -> Application-Properties -> WizardResult

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

WizardResult() As VARIANT

Availability

Environment | Available
Editor | not used
Runtime | not used
VBA | yes
VSTA | yes


IsElementWizard

Manuel -> Interfaces de programmation -> Modèles d'objet -> Application -> Application-Properties -> IsElementWizard

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

IsElementWizard() As Boolean

Availability

Environment | Available
Editor | not used
Runtime | not used
VBA | yes
VSTA | yes


MyWorkspace

Manuel -> Interfaces de programmation -> Modèles d'objet -> Application -> Application-Properties -> MyWorkspace

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the Workspace object.

Datatype

MyWorkspace() As ZenWorkspace

Availability

Environment | Available
Editor | read only
Runtime | not used
VBA | yes
VSTA | yes


Application-Methods

Manuel -> Interfaces de programmation -> Modèles d'objet -> Application -> Application-Methods

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
void | Activate | - | available | available | yes | yes
void | Close | - | available | available | yes | yes
void | DebugPrint | - | available | not used | yes | yes
void | DynProperties [PUT] | - | available | available | yes | yes
VARIANT | DynProperties [GET] | - | available | available | yes | yes
VARIANT | DynPropertiesEnum [GET] | - | read only | read only | yes | yes
void | MDIChild | For internal use only | not used | not used | yes | yes
void | Modeless | For internal use only | available | available | yes | yes
void | PrepareModeless | For internal use only | available | available | yes | yes
IProjects | Projects | - | available | available | yes | yes
BSTR | zenOnPath [GET] | - | read only | read only | yes | yes
IPropParam | DynPropertyParam [GET] | Returns the PropParam objekt of the given DynProperty | read only | not used | yes | yes

Other topics in this chapter

DynPropertyParam [GET]

DynPropertiesEnum [GET]

DynProperties [GET]

DynProperties [PUT]

Projects

Close

Activate

zenOnPath [GET]

DebugPrint


DynPropertyParam [GET]

Manuel -> Interfaces de programmation -> Modèles d'objet -> Application -> Application-Methods -> DynPropertyParam [GET]

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

DynPropertyParam [GET](BSTR bsPath) As PropParam

Availability

Environment | Available
Editor | read only
Runtime | not used
VBA | yes
VSTA | yes


DynPropertiesEnum [GET]

Manuel -> Interfaces de programmation -> Modèles d'objet -> Application -> Application-Methods -> DynPropertiesEnum [GET]

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

DynPropertiesEnum(String bsPath) As VARIANT

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes

Parameters

A String which defines the entry point to get out all available properties of the object.

VBA

bsPath As String


DynProperties [GET]

Manuel -> Interfaces de programmation -> Modèles d'objet -> Application -> Application-Methods -> DynProperties [GET]

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

DynProperties(String bsPath) As VARIANT

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

A String which defines the Property.
Example: "NetActive"

VBA

bsPath As String

Examples

VBA

Sub GetDynProp()
'Sample: GSet the Network Aktive Flag of the Project.
If MyWorkspace.ActiveDocument.DynProperties("NetActive") = True Then
'read the server - computername...
Debug.Print "Server: " & MyWorkspace.ActiveDocument.DynProperties("NetServer")
End If
End Sub


DynProperties [PUT]

Manuel -> Interfaces de programmation -> Modèles d'objet -> Application -> Application-Methods -> DynProperties [PUT]

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

DynProperties (String bsPath,VARIANT vValue) As void

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

A String which defines the Property.
Example: "NetActive"

Returns a variant value depending to the property, it can be a boolean, a long, or a whole object.

VBA

bsPath As String

vValue As Variant


Projects

Manuel -> Interfaces de programmation -> Modèles d'objet -> Application -> Application-Methods -> Projects

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the collection of projects loaded in the Runtime (object Application). With this projectlist the loaded projects can be accessed. The collection Projects can be accessed directly or it can be stored in a temporary variable.Each project is offered as Project object in VBA (IProject in VSTA).

Datatype

Projects() As Projects

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Examples

C#

//Iterate through all projects and create the runtime files

public void MacroCreateAllRuntimeFiles()

{

for (int i = 0; i < Application.Projects().Count; ++i)

{

zenOn.IProject zenonProject = Application.Projects().Item(i);

try

{

//tpAll re-creates every single runtime file in the project

zenonProject.Build(zenOn.tpBuildMethod.tpAll);

}

catch (Exception ex)

{

this.Parent.DebugPrint(string.Format("Error while creating project {0} | Error Message: {1}",

zenonProject.Name, ex.Message), zenOn.tpDebugPrintStyle.tpErr);

throw;

}

}

}

VB.NET

'Iterate through all projects and create the runtime files

Public Sub MacroCreateAllRuntimeFiles()

For i As Integer = 0 To Application.Projects().Count - 1

Dim zenonProject As zenOn.IProject = Application.Projects().Item(i)

Try

'tpAll re-creates every single runtime file in the project

zenonProject.Build(zenOn.tpBuildMethod.tpAll)

Catch ex As Exception

Me.Parent.DebugPrint(String.Format("Error while creating project {0} | Error Message: {1}", zenonProject.Name, ex.Message), zenOn.tpDebugPrintStyle.tpErr)

Throw

End Try

Next

End Sub

VBA

'create all runtime files for all projects in the workspace...
Public Sub CreateAllRuntimeFiles()
Dim i As Integer
On Error Resume Next
For i = 0 To ApplicationED.Projects.Count - 1
ApplicationED.Projects.Item(i).Build tpAll
Next i
End Sub


Close

Manuel -> Interfaces de programmation -> Modèles d'objet -> Application -> Application-Methods -> Close

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Closes the application.

Datatype

Close() As void

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Examples

C#

//This Macro will simply close the zenon application

public void MacroCloseApplication()

{

Application.Close();

}

VB.NET

'This Macro will simply close the zenon application

Public Sub MacroCloseApplication()

Application.Close()

End Sub


Activate

Manuel -> Interfaces de programmation -> Modèles d'objet -> Application -> Application-Methods -> Activate

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

This method switches the main window of the application to the foreground (if this is not already the case).

Datatype

Activate() As void

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Examples

C#

/* NOTE:

* Uses Reference System.Windows.Forms to display messages via System.Windows.Forms.MessageBox

* Make sure the reference is added and the namespace is included for the working code file

*/

void ThisProject_Active()

{

this.Alarm().AlarmComes += new AlarmComesEventHandler(ThisProject_AlarmComes);

}

void ThisProject_AlarmComes(IAlarmItem obItem)

{

//this.Parent.Parent is the actual Application object. for further details check the

//class diagram for the zenOn API object model

this.Parent.Parent.Activate();

}

void ThisProject_Inactive()

{

this.Alarm().AlarmComes -= new AlarmComesEventHandler(ThisProject_AlarmComes);

FreeObjects();

}

VB.NET

' NOTE:

' * Uses Reference System.Windows.Forms to display messages via System.Windows.Forms.MessageBox

' * Make sure the reference is added and the namespace is included for the working code file

'

Private Sub ThisProject_Active()

Me.Alarm().AlarmComes += New AlarmComesEventHandler(AddressOf ThisProject_AlarmComes)

End Sub

Private Sub ThisProject_AlarmComes(obItem As IAlarmItem)

'this.Parent.Parent is the actual Application object. for further details check the

'class diagram for the zenOn API object model

Me.Parent.Parent.Activate()

End Sub

Private Sub ThisProject_Inactive()

Me.Alarm().AlarmComes -= New AlarmComesEventHandler(AddressOf ThisProject_AlarmComes)

FreeObjects()

End Sub


zenOnPath [GET]

Manuel -> Interfaces de programmation -> Modèles d'objet -> Application -> Application-Methods -> zenOnPath [GET]

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Gets the absolute path of the specified directory (tpZenPathType)

Datatype

zenOnPath(tpZenPathType lPath) As String

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes

Parameters

Number or Constant

VBA

lPath As tpZenPathType

Examples

C#

public void MacroOpenZenonFolder()

{

//Gets the (user) path of the zenOn application

string folder = this.Application.get_zenOnPath(tpZenPathType.tpzenOnUserPath);

//Opens the folder in a new explorer window or prints an error.

try

{

System.Diagnostics.Process.Start(folder);

}

catch (Exception ex)

{

this.Application.DebugPrint("Error opening user path: " + ex.Message, tpDebugPrintStyle.tpErr);

}

}

VB.NET

Public Sub MacroOpenZenonFolder()

'Gets the (user) path of the zenOn application

Dim folder As String = Me.Application.get_zenOnPath(tpZenPathType.tpzenOnUserPath)

'Opens the folder in a new explorer window or prints an error.

Try

System.Diagnostics.Process.Start(folder)

Catch ex As Exception

Me.Application.DebugPrint("Error opening user path: " + ex.Message, tpDebugPrintStyle.tpErr)

End Try

End Sub


DebugPrint

Manuel -> Interfaces de programmation -> Modèles d'objet -> Application -> Application-Methods -> DebugPrint

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Sends a message to the output window of the editor.

Datatype

DebugPrint(String bsText,tpDebugPrintStyle tpStyle) As void

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Examples

C#

public void MacroDebugPrintExample()

{

//Use different channels of the debug output to print some text

this.Application.DebugPrint("this is a normal text", tpDebugPrintStyle.tpNrm);

this.Application.DebugPrint("this is a warning", tpDebugPrintStyle.tpWarn);

this.Application.DebugPrint("this is an informative text", tpDebugPrintStyle.tpMsg);

this.Application.DebugPrint("this is an error", tpDebugPrintStyle.tpErr);

}

VB.NET

Public Sub MacroDebugPrintExample()

'Use different channels of the debug output to print some text

Me.Application.DebugPrint("this is a normal text", tpDebugPrintStyle.tpNrm)

Me.Application.DebugPrint("this is a warning", tpDebugPrintStyle.tpWarn)

Me.Application.DebugPrint("this is an informative text", tpDebugPrintStyle.tpMsg)

Me.Application.DebugPrint("this is an error", tpDebugPrintStyle.tpErr)

End Sub


Application-Events

Manuel -> Interfaces de programmation -> Modèles d'objet -> Application -> Application-Events

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
void | OnClose |  | available | available | yes | yes

Other topics in this chapter

OnClose


OnClose

Manuel -> Interfaces de programmation -> Modèles d'objet -> Application -> Application-Events -> OnClose

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

This event is fired when the application is about to be closed (before it is closed)

Datatype

OnClose() As void

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Examples

C#

/* NOTE:

* Uses Reference System.Windows.Forms to display messages via System.Windows.Forms.MessageBox

* Make sure the reference is added and the namespace is included for the working code file

*/

void ThisProject_Active()

{

this.Parent.Parent.OnClose += new OnCloseEventHandler(Parent_OnClose);

}

void Parent_OnClose()

{

//When the runtime is about to be closed a message box will be displayed.

MessageBox.Show("The application is about to be closed!");

}

void ThisProject_Inactive()

{

this.Parent.Parent.OnClose -= new OnCloseEventHandler(Parent_OnClose);

FreeObjects();

}

VB.NET

Imports System.Windows.Forms 'NOTE: The reference System.Windows.Forms has to be included into the reference list.

Private Sub ThisProject_Active()

AddHandler Me.Parent.OnClose, AddressOf Parent_OnClose

End Sub

Private Sub Parent_OnClose()

'When the runtime is about to be closed a message box will be displayed.

MessageBox.Show("The application is about to be closed!")

End Sub

Private Sub ThisProject_Inactive()

RemoveHandler Me.Parent.OnClose, AddressOf Parent_OnClose

FreeObjects()

End Sub


Archive

Manuel -> Interfaces de programmation -> Modèles d'objet -> Archive

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

The "Archive" object contains project information like the name, the source archive and other properties. The archive also is the basis for "ArchiveVariables" and "ArchiveFilters".The "ArchiveVariables" object contains all archive variables. Each archive variable contains further projecting information.With the "ArchiveFilters" object you can define and execute dynamic filters. In a filter you can define the variables from which you need the values. Additionally you can define the time period and the status. On executing the filter you get a list with all Runtime variables for that filter.

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes

Examples

C#

public void MacroZenOnArchive()

{

//Gets the first archive of the project

IArchive zenonArchive = this.Archives().Item(0);

if (zenonArchive == null)

{

//There is no archive, the user will be informed...

this.Parent.Parent.DebugPrint("No archive available!", tpDebugPrintStyle.tpErr);

return;

}

//There is an archive, output some details on it

this.Parent.Parent.DebugPrint("Name: " + zenonArchive.Name, tpDebugPrintStyle.tpMsg);

this.Parent.Parent.DebugPrint("Type: " + zenonArchive.Type.ToString(), tpDebugPrintStyle.tpMsg);

this.Parent.Parent.DebugPrint("Term: " + zenonArchive.LongName,tpDebugPrintStyle.tpMsg);

this.Parent.Parent.DebugPrint("ID: " + zenonArchive.ID, tpDebugPrintStyle.tpMsg);

}

VB.NET

Public Sub MacroZenOnArchive()

'Gets the first archive of the project

Dim zenonArchive As IArchive = Me.Archives().Item(0)

If zenonArchive Is Nothing Then

'There is no archive, the user will be informed...

Me.Parent.Parent.DebugPrint("No archive available!", tpDebugPrintStyle.tpErr)

Return

End If

'There is an archive, output some details on it

Me.Parent.Parent.DebugPrint("Name: " + zenonArchive.Name, tpDebugPrintStyle.tpMsg)

Me.Parent.Parent.DebugPrint("Type: " & zenonArchive.Type.ToString(), tpDebugPrintStyle.tpMsg)

Me.Parent.Parent.DebugPrint("Term: " + zenonArchive.LongName, tpDebugPrintStyle.tpMsg)

Me.Parent.Parent.DebugPrint("ID: " + zenonArchive.ID, tpDebugPrintStyle.tpMsg)

End Sub

VBA

Sub zenOn_Archive()
'Declarations
Dim zArchive As Archive

'Initialize zArchive with the first available archive
Set zArchive = thisProject.Archives.Item(0)

'If no archive is available ...
If zArchive Is Nothing Then
'... then inform the user
MsgBox ("No archive available!")

'Otherwise, output some details on the archive
Else
'Output the name
Debug.Print "Name: " & zArchive.Name
'Output the type
Select Case zArchive.Type
Case Is = 1
Debug.Print vbTab & "Type: Cyclic scanning"
'Output the cycle rate, if the archive is cyclic
Debug.Print vbTab & "Cycle rate: " & zArchive.Cycle
Case Is = 2
Debug.Print vbTab & "Type: Event-triggered scanning"
Case Is = 3
Debug.Print vbTab & "Type: Spontaneous scanning"
End Select

'Output the term
Debug.Print vbTab & "Term: " & zArchive.LongName
'Output the ID
Debug.Print vbTab & "ID: " & zArchive.ID
End If
End Sub

Other topics in this chapter

Archive-Properties

Archive-Methods


Archive-Properties

Manuel -> Interfaces de programmation -> Modèles d'objet -> Archive -> Archive-Properties

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
BSTR | Name | Two-character unique short identifier of the archive; Relevant for automatic issuing of names with export functions; (CAUTION: Release of the other input fields occurs only after input of the short identifier) | not used | read only | yes | yes
long | Cycle | Reading in of the values is done cyclically by the system (days, hours, minutes and seconds) | not used | read only | yes | yes
long | ID |  | not used | read only | yes | yes
BSTR | Identifier | Returns the archive identifier. | not used | read only | yes | yes
BSTR | LongName | For internal use only | not used | read only | yes | yes
IArchives | Parent |  | not used | read only | yes | yes
short | Type |  | not used | read only | yes | yes

Other topics in this chapter

Parent

ID

Name

Type

Cycle

LongName

Identifier


Parent

Manuel -> Interfaces de programmation -> Modèles d'objet -> Archive -> Archive-Properties -> Parent

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the parent object

Datatype

Parent() As Archives

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes


ID

Manuel -> Interfaces de programmation -> Modèles d'objet -> Archive -> Archive-Properties -> ID

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the unique ID of the current archive.

Datatype

ID() As long

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes


Name

Manuel -> Interfaces de programmation -> Modèles d'objet -> Archive -> Archive-Properties -> Name

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the name of the current "Archive" object.

Datatype

Name() As String

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes


Type

Manuel -> Interfaces de programmation -> Modèles d'objet -> Archive -> Archive-Properties -> Type

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

Type() As short

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes


Cycle

Manuel -> Interfaces de programmation -> Modèles d'objet -> Archive -> Archive-Properties -> Cycle

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the cycle rate of the current archive in seconds.Hint: In the case of an event-triggered or spontaneous scanning archive, this property will return 0.

Datatype

Cycle() As long

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes


LongName

Manuel -> Interfaces de programmation -> Modèles d'objet -> Archive -> Archive-Properties -> LongName

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the identificator, also called "term" within zenOn, of the current archive.

Datatype

LongName() As String

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes


Identifier

Manuel -> Interfaces de programmation -> Modèles d'objet -> Archive -> Archive-Properties -> Identifier

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the identificator, also called "term" within zenOn, of the current archive.

Datatype

Identifier() As String

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes


Archive-Methods

Manuel -> Interfaces de programmation -> Modèles d'objet -> Archive -> Archive-Methods

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime
IArchiveFilters | ArchiveFilters | - | not used | available
IArchiveVariables | ArchiveVariables | - | not used | available
VARIANT | BatchIndex [GET] | Returns the batchinformation of the archive. | not used | read only
void | DynProperties [PUT] | - | available | available
VARIANT | DynProperties [GET] | - | available | available
VARIANT | DynPropertiesEnum [GET] | - | read only | read only
IPropParam | DynPropertyParam [GET] | Returns the PropParam objekt of the given DynProperty | read only | not used

Other topics in this chapter

BatchIndex [GET]

DynPropertyParam [GET]

DynPropertiesEnum [GET]

DynProperties [GET]

DynProperties [PUT]

ArchiveFilters

ArchiveVariables


BatchIndex [GET]

Manuel -> Interfaces de programmation -> Modèles d'objet -> Archive -> Archive-Methods -> BatchIndex [GET]

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the index of the archive.

Datatype

BatchIndex() As VARIANT

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes


DynPropertyParam [GET]

Manuel -> Interfaces de programmation -> Modèles d'objet -> Archive -> Archive-Methods -> DynPropertyParam [GET]

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

DynPropertyParam [GET](BSTR bsPath) As PropParam

Availability

Environment | Available
Editor | read only
Runtime | not used
VBA | yes
VSTA | yes


DynPropertiesEnum [GET]

Manuel -> Interfaces de programmation -> Modèles d'objet -> Archive -> Archive-Methods -> DynPropertiesEnum [GET]

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

DynPropertiesEnum(String bsPath) As VARIANT

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


DynProperties [GET]

Manuel -> Interfaces de programmation -> Modèles d'objet -> Archive -> Archive-Methods -> DynProperties [GET]

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

DynProperties(String bsPath) As VARIANT

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

A String which defines the Property.
Example: "NetActive"

VBA

bsPath As String

Examples

VBA

Sub GetDynProp()
'Sample: GSet the Network Aktive Flag of the Project.
If MyWorkspace.ActiveDocument.DynProperties("NetActive") = True Then
'read the server - computername...
Debug.Print "Server: " & MyWorkspace.ActiveDocument.DynProperties("NetServer")
End If
End Sub


DynProperties [PUT]

Manuel -> Interfaces de programmation -> Modèles d'objet -> Archive -> Archive-Methods -> DynProperties [PUT]

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

DynProperties (String bsPath,VARIANT vValue) As void

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

A String which defines the Property.
Example: "NetActive"

Returns a variant value depending to the property, it can be a boolean, a long, or a whole object.

VBA

bsPath As String

vValue As Variant


ArchiveFilters

Manuel -> Interfaces de programmation -> Modèles d'objet -> Archive -> Archive-Methods -> ArchiveFilters

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns a collection ("ArchiveFilters" object) of all available filters. It is also possible to create new filters and delete existing ones.Hint: For further information, please have a look at the "ArchiveFilters" part.

Datatype

ArchiveFilters() As ArchiveFilters

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes


ArchiveVariables

Manuel -> Interfaces de programmation -> Modèles d'objet -> Archive -> Archive-Methods -> ArchiveVariables

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns a collection ("ArchiveVariables" object) with all assigned archive variables.Hint: For further information, please have a look, at the "ArchiveVariables" part.

Datatype

ArchiveVariables() As ArchiveVariables

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes


ArchiveED

Manuel -> Interfaces de programmation -> Modèles d'objet -> ArchiveED

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

The "ArchiveED" object contains project information like the name, the source archive and other properties.It is used within the editor in order to initialize the archive. Hence, the object won't be available in the runtime. In the "Archive" object, which will be available in the runtime, some properties will be set to read-only. Therefore all important initialization should be done by means of the "ArchiveED" object.

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Examples

C#

public void MacroZenOnArchiveEd()

{

IArchiveED zenonArchiveEd = this.ActiveDocument.ArchivesED().Item("01");

/* if there is no such archive available create it with

* the given identification name "01" and the name

* "zenon_ArchiveED"

*/

if (zenonArchiveEd == null)

{

zenonArchiveEd = this.ActiveDocument.ArchivesED().

CreateArchive("01", "zenOn_ArchiveED", null);

}

//Create some settings for the Archive

zenonArchiveEd.set_DynProperties("Cyclic", 1);

zenonArchiveEd.set_DynProperties("TimeGap", 5);

zenonArchiveEd.set_DynProperties("Offset", 0);

zenonArchiveEd.set_DynProperties("Cycle", 60);

//Set the Cycle Start to 12:00 local time on the 30th of July 2007

zenonArchiveEd.set_DynProperties("CycleStart",

TimeConversion.SystemToZenOn(

new DateTime(2007, 07, 30, 12, 0, 0)));

zenonArchiveEd.AddVariable("WIZ_VAR_12", tpArvVarCal.tpCalc_All, null);

//Output the new configuration (To Debug, for example)

this.Parent.

DebugPrint("Name: " +

zenonArchiveEd.get_DynProperties("ShortName") + " - "

+ zenonArchiveEd.get_DynProperties("LongName"),

tpDebugPrintStyle.tpNrm);

this.Parent.DebugPrint("Cyclic: " +

zenonArchiveEd.get_DynProperties("Cyclic"),

tpDebugPrintStyle.tpNrm);

this.Parent.DebugPrint("Scanning cycle: " +

zenonArchiveEd.get_DynProperties("TimeGap"),

tpDebugPrintStyle.tpNrm);

this.Parent.DebugPrint("Offset: "

+ zenonArchiveEd.get_DynProperties("Offset") + " sec",

tpDebugPrintStyle.tpNrm);

this.Parent.DebugPrint("Save Cycle: " +

zenonArchiveEd.get_DynProperties("Cycle"),

tpDebugPrintStyle.tpNrm);

//We have to reconvert the internally used time stamp format to a human readable format

this.Parent.DebugPrint("Cycle start: " +

TimeConversion.ZenOnToSystem((uint)zenonArchiveEd.get_DynProperties("CycleStart")).ToString(),

tpDebugPrintStyle.tpNrm);

}

VB.NET

Public Sub MacroZenOnArchiveEd()

Dim zenonArchiveEd As IArchiveED = Me.ActiveDocument.ArchivesED().Item("01")

' if there is no such archive available create it with

' * the given identification name "01" and the name

' * "zenon_ArchiveED"

'

If zenonArchiveEd Is Nothing Then

zenonArchiveEd = Me.ActiveDocument.ArchivesED().CreateArchive("01", "zenOn_ArchiveED", Nothing)

End If

'Create some settings for the Archive

zenonArchiveEd.set_DynProperties("Cyclic", 1)

zenonArchiveEd.set_DynProperties("TimeGap", 5)

zenonArchiveEd.set_DynProperties("Offset", 0)

zenonArchiveEd.set_DynProperties("Cycle", 60)

'Set the Cycle Start to 12:00 local time on the 30th of July 2007

zenonArchiveEd.set_DynProperties("CycleStart", TimeConversion.SystemToZenOn(New DateTime(2007, 7, 30, 12, 0, 0)))

zenonArchiveEd.AddVariable("WIZ_VAR_12", tpArvVarCal.tpCalc_All, Nothing)

'Output the new configuration (To Debug, for example)

Me.Parent.DebugPrint("Name: " & zenonArchiveEd.get_DynProperties("ShortName") & " - " & zenonArchiveEd.get_DynProperties("LongName"), tpDebugPrintStyle.tpNrm)

Me.Parent.DebugPrint("Cyclic: " & zenonArchiveEd.get_DynProperties("Cyclic"), tpDebugPrintStyle.tpNrm)

Me.Parent.DebugPrint("Scanning cycle: " & zenonArchiveEd.get_DynProperties("TimeGap"), tpDebugPrintStyle.tpNrm)

Me.Parent.DebugPrint("Offset: " & zenonArchiveEd.get_DynProperties("Offset") & " sec", tpDebugPrintStyle.tpNrm)

Me.Parent.DebugPrint("Save Cycle: " & zenonArchiveEd.get_DynProperties("Cycle"), tpDebugPrintStyle.tpNrm)

'We have to reconvert the internally used time stamp format to a human readable format

Me.Parent.DebugPrint("Cycle start: " & TimeConversion.ZenOnToSystem(CUInt(zenonArchiveEd.get_DynProperties("CycleStart"))).ToString(), tpDebugPrintStyle.tpNrm)

End Sub

VBA

Sub zenOn_ArchiveED()
'Declarations
Dim zArchiveED As ArchiveED
Dim zTimeConvert As clsTimeConvert
Dim i As Integer

'Initialize zArchiveED with the archive selected by the identification name "01"
Set zArchiveED = MyWorkspace.ActiveDocument.ArchivesED.Item("01")
'If no such archive is available ...
If zArchiveED Is Nothing Then
'... then create a whole new archive with the identification name "01" and the name "zenOn_ArchiveED"
Set zArchiveED = MyWorkspace.ActiveDocument.ArchivesED.CreateArchive("01", "zenOn_ArchiveED", Nothing)
End If

'Initialize zTimeConvert by creating a new instance of the zenOn "clsTimeConvert" macro
Set zTimeConvert = New clsTimeConvert

With zArchiveED
'Set the scanning mode: Cyclic scanning
.DynProperties("Cyclic") = 1
'Set the scanning cycle rate: 5 seconds
.DynProperties("TimeGap") = 5
'Set the offset: 0 seconds
.DynProperties("Offset") = 0
'Set the saving cycle: 60 seconds
.DynProperties("Cycle") = 60
'Set the start time of the cycle: 2007-07-30 12:00:00
.DynProperties("CycleStart") = zTimeConvert.System2zenOn(CDbl(CDate("30.07.2007 12:00:00")))
'Add the "WIZ_VAR_12" variable to the archive
.AddVariable "WIZ_VAR_12", 0, Nothing
End With

'Output the configuration
With zArchiveED
'Output the identifier and the name
Debug.Print "Name: " & .DynProperties("ShortName") & " - " & .DynProperties("LongName")
'Output the scanning mode
Debug.Print vbTab & "Cyclic: " & .DynProperties("Cyclic")
'Output the scanning cycle
Debug.Print vbTab & "Scanning cycle: " & .DynProperties("TimeGap") & " sec."
'Output the offset
Debug.Print vbTab & "Offset: " & .DynProperties("Offset") & " sec."
'Output the archive saving cycle
Debug.Print vbTab & "Save cycle: " & .DynProperties("Cycle") & " sec."
'Output the start time of the cycle
Debug.Print vbTab & "Cycle start: " & Format(zTimeConvert.zenOn2System(CDbl(.DynProperties("CycleStart"))), "yyyy-mm-dd hh:mm:ss")
End With

End Sub

Other topics in this chapter

ArchiveED-Properties

ArchiveED-Methods

ArchiveED-Dynamic properties


ArchiveED-Properties

Manuel -> Interfaces de programmation -> Modèles d'objet -> ArchiveED -> ArchiveED-Properties

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description |  | Editor | Runtime | VBA | VSTA
IArchivesED | Parent |  |  | read only | read only | yes | yes
long | Count |  | read only |  | read only | yes |  | yes

Other topics in this chapter

Parent

Count


Parent

Manuel -> Interfaces de programmation -> Modèles d'objet -> ArchiveED -> ArchiveED-Properties -> Parent

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the parent object

Datatype

Parent() As ArchivesED

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


Count

Manuel -> Interfaces de programmation -> Modèles d'objet -> ArchiveED -> ArchiveED-Properties -> Count

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

Count() As long

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


ArchiveED-Methods

Manuel -> Interfaces de programmation -> Modèles d'objet -> ArchiveED -> ArchiveED-Methods

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
long | Count | - | read only | read only | yes | yes
void | DynProperties [PUT] | - | available | available | yes | yes
VARIANT | DynProperties [GET] | - | available | available | yes | yes
VARIANT | DynPropertiesEnum [GET] | - | read only | read only | yes | yes
IArchiveVarED | Item | - | available | not used | yes | yes
VARIANT_BOOL | RemoveVariable | - | available | not used | yes | yes
IArchiveVarED | AddVariable | - | available | not used | yes | yes
IPropParam | DynPropertyParam [GET] | Returns the PropParam objekt of the given DynProperty | read only | not used | yes | yes
short | ImportArvTemplate |  | available | not used | yes | yes

Other topics in this chapter

DynPropertyParam [GET]

DynPropertiesEnum [GET]

DynProperties [GET]

DynProperties [PUT]

AddVariable

RemoveVariable

Item

ImportArvTemplate


DynPropertyParam [GET]

Manuel -> Interfaces de programmation -> Modèles d'objet -> ArchiveED -> ArchiveED-Methods -> DynPropertyParam [GET]

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

DynPropertyParam [GET](BSTR bsPath) As PropParam

Availability

Environment | Available
Editor | read only
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


DynPropertiesEnum [GET]

Manuel -> Interfaces de programmation -> Modèles d'objet -> ArchiveED -> ArchiveED-Methods -> DynPropertiesEnum [GET]

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

DynPropertiesEnum(String bsPath) As VARIANT

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes

Parameters

A String which defines the entry point to get out all available properties of the object.
A blank String like that returns the first layer of properties:

DynPropertiesEnum("")

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

bsPath As String

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Sub ReadDynProps()
End Sub


DynProperties [GET]

Manuel -> Interfaces de programmation -> Modèles d'objet -> ArchiveED -> ArchiveED-Methods -> DynProperties [GET]

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

DynProperties(String bsPath) As VARIANT

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


DynProperties [PUT]

Manuel -> Interfaces de programmation -> Modèles d'objet -> ArchiveED -> ArchiveED-Methods -> DynProperties [PUT]

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

DynProperties (String bsPath,VARIANT vValue) As void

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


AddVariable

Manuel -> Interfaces de programmation -> Modèles d'objet -> ArchiveED -> ArchiveED-Methods -> AddVariable

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Adds a new Variable to the collection. The varialbe is identified by its name or ID.

Datatype

AddVariable(VARIANT vNameOrId, tpArvVarCal tpCalculation, IArchiveED* pSourceArchive) As ArchiveVarED

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Examples

C#

public void MacroAddVariableArchiveED()

{

IArchiveED zenonArchiveED = this.ActiveDocument.ArchivesED().Item("01");

if (zenonArchiveED == null)

{

/* if there is no such archive available create it with

* the given identification name "01" and the name

* "zenon_ArchiveED"

*/

zenonArchiveED = this.ActiveDocument.ArchivesED().CreateArchive("01", "zenOn_ArchiveED", null);

}

/* Add a variable to a given ArchiveED object

* Set the calculation type to All

* Set the source Archive to NULL

*/

IArchiveVarED zenonArchVar = zenonArchiveED.AddVariable("WIZ_VAR_12", tpArvVarCal.tpCalc_All, null);

if (zenonArchiveED == null)

{

//The variable "WIZ_VAR_12" is non-existant

this.Parent.DebugPrint("Variable not found!", tpDebugPrintStyle.tpMsg);

}

}

VB.NET

Public Sub MacroAddVariableArchiveED()

Dim zenonArchiveED As IArchiveED = Me.ActiveDocument.ArchivesED().Item("01")

If zenonArchiveED Is Nothing Then

' if there is no such archive available create it with

' * the given identification name "01" and the name

' * "zenon_ArchiveED"

'

zenonArchiveED = Me.ActiveDocument.ArchivesED().CreateArchive("01", "zenOn_ArchiveED", Nothing)

End If

' Add a variable to a given ArchiveED object

' * Set the calculation type to All

' * Set the source Archive to NULL

'

Dim zenonArchVar As IArchiveVarED = zenonArchiveED.AddVariable("WIZ_VAR_12", tpArvVarCal.tpCalc_All, Nothing)

If zenonArchiveED Is Nothing Then

'The variable "WIZ_VAR_12" is non-existant

Me.Parent.DebugPrint("Variable not found!", tpDebugPrintStyle.tpMsg)

End If

End Sub


RemoveVariable

Manuel -> Interfaces de programmation -> Modèles d'objet -> ArchiveED -> ArchiveED-Methods -> RemoveVariable

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Removes an assigned "Variable" object from the collection. The variable is identified by its name or ID.

Datatype

RemoveVariable(VARIANT vNameOrId) As Boolean

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Examples

C#

public void MacroRemoveVariableArchiveED()

{

IArchiveED zenonArchiveED = this.ActiveDocument.ArchivesED().Item("01");

if (zenonArchiveED == null)

{

/* if there is no such archive available create it with

* the given identification name "01" and the name

* "zenon_ArchiveED"

*/

zenonArchiveED = this.ActiveDocument.ArchivesED().CreateArchive("01", "zenOn_ArchiveED", null);

}

if (zenonArchiveED.RemoveVariable("WIZ_VAR_12"))

{

//The variable was removed correctly

this.Parent.DebugPrint("Variable removed from archive!", tpDebugPrintStyle.tpMsg);

}

else

{

//The variable was not removed correctly i.e. not found

this.Parent.DebugPrint("Variable was not found!", tpDebugPrintStyle.tpMsg);

}

}

VB.NET

Public Sub MacroRemoveVariableArchiveED()

Dim zenonArchiveED As IArchiveED = Me.ActiveDocument.ArchivesED().Item("01")

If zenonArchiveED Is Nothing Then

' if there is no such archive available create it with

' * the given identification name "01" and the name

' * "zenon_ArchiveED"

'

zenonArchiveED = Me.ActiveDocument.ArchivesED().CreateArchive("01", "zenOn_ArchiveED", Nothing)

End If

If zenonArchiveED.RemoveVariable("WIZ_VAR_12") Then

'The variable was removed correctly

Me.Parent.DebugPrint("Variable removed from archive!", tpDebugPrintStyle.tpMsg)

Else

'The variable was not removed correctly i.e. not found

Me.Parent.DebugPrint("Variable was not found!", tpDebugPrintStyle.tpMsg)

End If

End Sub


Item

Manuel -> Interfaces de programmation -> Modèles d'objet -> ArchiveED -> ArchiveED-Methods -> Item

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns an "ArchiveVarED" object from the collection, which is identified by the parameter vNameOrPos.The parameter vNameOrPos can have two values:

  • Element name:The element can be accessed with the unique name of the corresponding "Variable" object that was assigned to the "ArchiveVarED" object.
  • Index:Access with an index is mostly used in combination with the property "Count" to find out the position of the "ArchiveVarED" object in the list.

Hint: The returned object should be checked on Nothing, if no object for the search criteria was found.

Datatype

Item(VARIANT vNameOrPos) As ArchiveVarED

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Examples

C#

public void MacroIterateArchiveED()

{

IArchiveED zenonArchiveED = this.ActiveDocument.ArchivesED().Item("01");

if (zenonArchiveED == null)

{

/* if there is no such archive available create it with

* the given identification name "01" and the name

* "zenon_ArchiveED"

*/

zenonArchiveED = this.ActiveDocument.ArchivesED().CreateArchive("01", "zenOn_ArchiveED", null);

}

//Iterate through all archive variables and print their names

for (int i = 0; i < zenonArchiveED.Count(); ++i)

{

this.Parent.DebugPrint("Variable " + ((IVariable)zenonArchiveED.Item(i).

get_DynProperties("Variable")).Name +

" is in " + zenonArchiveED.get_DynProperties("LongName"), tpDebugPrintStyle.tpMsg);

}

}

VB.NET

Public Sub MacroIterateArchiveED()

Dim zenonArchiveED As IArchiveED = Me.ActiveDocument.ArchivesED().Item("01")

If zenonArchiveED Is Nothing Then

' if there is no such archive available create it with

' * the given identification name "01" and the name

' * "zenon_ArchiveED"

'

zenonArchiveED = Me.ActiveDocument.ArchivesED().CreateArchive("01", "zenOn_ArchiveED", Nothing)

End If

'Iterate through all archive variables and print their names

For i As Integer = 0 To zenonArchiveED.Count() - 1

Me.Parent.DebugPrint("Variable " + DirectCast(zenonArchiveED.Item(i).get_DynProperties("Variable"), IVariable).Name & " is in " & zenonArchiveED.get_DynProperties("LongName"), tpDebugPrintStyle.tpMsg)

Next

End Sub


ImportArvTemplate

Manuel -> Interfaces de programmation -> Modèles d'objet -> ArchiveED -> ArchiveED-Methods -> ImportArvTemplate

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Importiert das Archiv von einer XML Datei

Datatype

ImportArvTemplate(BSTR FileName) As short

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

VB.NET

VBA

Examples

C#

VB.NET

VBA

Private Sub ImportArvTemplate()

Dim obArchsED As ArchivesED

Dim obArchED As ArchiveED

Dim iRet As Integer

Set obArchsED = MyWorkspace.ActiveDocument.ArchivesED

Set obArchED = obArchsED.Item(0)

If Not obArchED Is Nothing Then

iRet = obArchED.ImportArvTemplate("C:\ProgramData\COPA-DATA\zenon711\Templates\Archives\GERMAN\6eeae916-0098-40ab-9dc9-a9ce1dcf4bb5.xml", True)

End If

End Sub


ArchiveED-Dynamic properties

Manuel -> Interfaces de programmation -> Modèles d'objet -> ArchiveED -> ArchiveED-Dynamic properties

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Dynproperties

Archive

Other topics in this chapter

Archive


Archive

Manuel -> Interfaces de programmation -> Modèles d'objet -> ArchiveED -> ArchiveED-Dynamic properties -> Archive

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Type

VBA/VSTA Name

Display Name

Description

VT_BSTR

ShortName

ShortName

This property gets/sets the identificator of an archive.

VT_BSTR

LongName

LongName

This property gets/sets the name of the archive.

ZT_VARIABLE

ChargeVar

ChargeVar

This property gets/sets the variable which is used as batch variable.

VT_BOOL

IsChargeIdx

IsChargeIdx

"This property gets/sets the ""index batches"" option of an batch archive. "

VT_BSTR

Format

Format

This property gets/sets the format of ASCII/dBase evacuation files.

VT_UI4

LastIndex

LastIndex

VT_UI4

FktStart

FktStart

This property gets/sets the function which is linked as end function via its function ID.

VT_UI4

FktEnd

FktEnd

This property gets/sets the function which is linked as end function via its function ID.

VT_UI2

Modus

Modus

This property gets/sets the kind of start and stop of an archive.
At start and end of runtime = 3
User defined = 2
RDA block archive = 0

VT_UI4

CycleStart

CycleStart

This property gets/sets the cycle start time.

VT_UI4

Cycle

Cycle

This property gets/sets the number of values which are arranged in an archive file. For example: Scan cycle of 1 second and cyclic file creation every 30 seconds sets the cycle property on value 30.

VT_BSTR

DataSource

DataSource

This property gets/sets the database provider string for the sql evacuation of the archives.

VT_BOOL

UseAzureServiceBus

UseAzureServiceBus

Description

VT_BSTR

AzureConnection

AzureConnection

Description

VT_BSTR

SourceShortName

SourceShortName

This property gets the identificatior of the head archive. It is only set when a follow archive is available.

ZT_VARIABLE

EventVar

EventVar

This property gets/sets the trigger variable of an archive.

ZT_VARIABLE

RunningStatusVar

RunningStatusVar

Description

ZT_VARIABLE

EvacuationStatusVar

EvacuationStatusVar

Description

VT_UI4

Flags

Flags

"This property gets/sets the ""option"" settings of an archive via a bit coded value."

VT_BOOL

Unicode

Unicode

This property gets/sets the unicode flag when the saving format ASCII is used for archives.

VT_UI8

StateF

StateF

VT_UI8

StateActiveF

StateActiveF

VT_UI8

StateFBanned

StateFBanned

VT_UI8

StateActiveFBanned

StateActiveFBanned

VT_UI4

TimeGap

TimeGap

VT_UI4

Offset

Offset

This property gets/sets the offset time (in sec) when cyclic scanning is used.

VT_I1

Cyclic

Cyclic

"This property gets/sets the scanning settings of an archive.
Cyclic scanning, Cycle = 9
Cyclic scanning, Monthly = 13
Event triggered scanning, Internal = 7
Event triggered scanning, External = 15
Spontaneous scanning = 14"

VT_UI4

BeginTime

BeginTime

Returns the time an archive file is created.

VT_UI4

FileFormat

FileFormat

"This property gets/sets the kind of archive saving format.
Internal database (*.arx), no evacuation = 9
Internal database (*.arx), evacuation in internal format (*.arx) = 2049
Internal database (*.arx), evacuation in SQL database (*.arx) = 1025
Internal database (*.arx), evacuation in XML format (*.xml) = 513
Internal database (*.arx), evacuation in ASCII format (*.txt) = 33
Internal database (*.arx), evacuation in dBase IV format (*.dbf) = 33
dBase IV format (*.dbf), no evacuation = 10
ASCII file (*.txt), no evacuation = 10
XML file (*.xml), no evacuation = 264
"

VT_UI2

Count

Count

This property gets/sets the number of archive files which are evacuated. For example: Scan cycle of 10 minutes and an evacuation storage time of 2 hours sets the count property on value 6.

VT_BOOL

AuslUnicode

AuslUnicode

This property returns if the archive is evacuated in unicode when the evacuation via ASCII is selected.

ZT_AKZ

SystemModelGroup

Groupes d'équipements

Lie l’élément à un modèle d’équipement. Cliquez sur le bouton ... pour ouvrir la boîte de sélection d’un groupe d’équipements.
L'affichage du groupe d’équipements sélectionné inclut également les niveaux supérieurs à ce groupe. Les niveaux sont séparés par un point dans l’affichage.

Dans le cas d’une sélection multiple, les groupes d’équipements individuels sont séparés par un point-virgule (;).

Plus de détails dans l’aide en ligne.

VT_BOOL

FilterHierarchic

FilterHierarchic

Description


ArchiveFilter

Manuel -> Interfaces de programmation -> Modèles d'objet -> ArchiveFilter

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

The "ArchiveFilter" object is used to filter archive entries by a specified date / time and state.

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes

Examples

C#

public void MarcroZenOnArchiveFilter()

{

//Gets the first archive of the project

IArchive zenonArchive = this.Archives().Item(0);

if (zenonArchive == null)

{

//There is no archive, the user will be informed...

this.Parent.Parent.DebugPrint("No archive available!", tpDebugPrintStyle.tpErr);

return;

}

IArchiveFilter zenonArchiveFilter = zenonArchive.ArchiveFilters().CreateArchiveFilter();

for (int i = 0; i < zenonArchive.ArchiveVariables().Count; ++i)

{

//Add every archive variable to the archive filter

zenonArchiveFilter.AddArchiveVariable(zenonArchive.ArchiveVariables().Item(i));

}

//Set the StartTime to 14:00 on the 30th of july 2007

zenonArchiveFilter.StartTime = (int)TimeConversion.

SystemToZenOn(new DateTime(2007, 07, 30, 14, 0, 0));

//Set the EndTime to 11:15 on the 31st of july 2007

zenonArchiveFilter.EndTime = (int)TimeConversion.

SystemToZenOn(new DateTime(2007,07,31,11,15,00));

zenonArchiveFilter.StatusMask = 0x41000; //Check only I-BIT + HWERT

zenonArchiveFilter.StatusBit = 0x41000; //Return data if one of those bit is true or both

//Initiate a filter query

IArchiveFilterVariables zenonArchiveVariables = zenonArchiveFilter.Query();

for (int i = 0; i < zenonArchiveVariables.Count; ++i)

{

this.Parent.Parent.DebugPrint("Variable: " + zenonArchiveVariables.Item(i).ArchiveVariable().Name, tpDebugPrintStyle.tpNrm);

this.Parent.Parent.DebugPrint("I-BIT + HWERT: " + zenonArchiveVariables.Item(i).ArchiveValues().Count, tpDebugPrintStyle.tpNrm);

}

}

VB.NET

Public Sub MarcrozenOnArchiveFilter()

'Gets the first archive of the project

Dim zenonArchive As IArchive = Me.Archives().Item(0)

If zenonArchive Is Nothing Then

'There is no archive, the user will be informed...

Me.Parent.Parent.DebugPrint("No archive available!", tpDebugPrintStyle.tpErr)

Return

End If

Dim zenonArchiveFilter As IArchiveFilter = zenonArchive.ArchiveFilters().CreateArchiveFilter()

For i As Integer = 0 To zenonArchive.ArchiveVariables().Count - 1

'Add every archive variable to the archive filter

zenonArchiveFilter.AddArchiveVariable(zenonArchive.ArchiveVariables().Item(i))

Next

'Set the StartTime to 14:00 on the 30th of july 2007

zenonArchiveFilter.StartTime = CInt(TimeConversion.SystemToZenOn(New DateTime(2007, 7, 30, 14, 0, 0)))

'Set the EndTime to 11:15 on the 31st of july 2007

zenonArchiveFilter.EndTime = CInt(TimeConversion.SystemToZenOn(New DateTime(2007, 7, 31, 11, 15, 0)))

zenonArchiveFilter.StatusMask = &H41000

'Check only I-BIT + HWERT

zenonArchiveFilter.StatusBit = &H41000

'Return data if one of those bit is true or both

'Initiate a filter query

Dim zenonArchiveVariables As IArchiveFilterVariables = zenonArchiveFilter.Query()

For i As Integer = 0 To zenonArchiveVariables.Count - 1

Me.Parent.Parent.DebugPrint("Variable: " + zenonArchiveVariables.Item(i).ArchiveVariable().Name, tpDebugPrintStyle.tpNrm)

Me.Parent.Parent.DebugPrint("I-BIT + HWERT: " + zenonArchiveVariables.Item(i).ArchiveValues().Count, tpDebugPrintStyle.tpNrm)

Next

End Sub

VBA

Sub zenOn_ArchiveFilter()
'Declarations
Dim zArchive As Archive
Dim zArvFilter As ArchiveFilter
Dim zArvVars As ArchiveFilterVariables
Dim zTimeConvert As clsTimeConvert
Dim dTime As Double
Dim i As Integer

'Initialize zArchive with the first available archive
Set zArchive = thisProject.Archives.Item(0)

'If no archive is availabe, then ...
If zArchive Is Nothing Then
'... inform the user
MsgBox ("No archive available!")

Else
'Initialize zArvFilter by creating a new archive filter
Set zArvFilter = zArchive.ArchiveFilters.CreateArchiveFilter

'Every archive variable within the collection...
For i = 0 To zArchive.ArchiveVariables.Count - 1
'... will be added to the archive filter
zArvFilter.AddArchiveVariable zArchive.ArchiveVariables.Item(i)
Next i

'Initialize zTimeConvert by creating a new instance of the zenOn "clsTimeConvert" macro
Set zTimeConvert = New clsTimeConvert

'Set dTime by converting the desired system time into the zenOn compatible UTC time
dTime = zTimeConvert.System2zenOn(CDbl(CDate("30.07.2007 14:00:00")))
'Set the converted time as the start time for the filter
zArvFilter.StartTime = dTime

'Set dTime by converting the desired system time into the zenOn compatible UTC time
dTime = zTimeConvert.System2zenOn(CDbl(CDate("31.07.2007 11:15:00")))
'Set the converted time as the end time for the filter
zArvFilter.EndTime = dTime

'All I-BIT and HWERT bits
zArvFilter.StatusMask = &H41000 'Check only I-BIT + HWERT
zArvFilter.StatusBit = &H41000 'Return data if one of those bits are TRUE or both

'Initialize zArvVars by initiating a new filter query
Set zArvVars = zArvFilter.Query

'For every filtered variable within the result...
For i = 0 To zArvVars.Count - 1
With zArvVars.Item(i)
'... output the name of the variable ...
Debug.Print "Variable: " & .ArchiveVariable.Name
'... and the amount of I-BIT and HWERT bits within the specified time range
Debug.Print vbTab & "I-BIT + HWERT: " & .ArchiveValues.Count & vbNewLine
End With
Next i
End If
End Sub

Other topics in this chapter

ArchiveFilter-Properties

ArchiveFilter-Methods


ArchiveFilter-Properties

Manuel -> Interfaces de programmation -> Modèles d'objet -> ArchiveFilter -> ArchiveFilter-Properties

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
long | CountArchiveVariables |  | not used | read only | yes | yes
long | EndTime |  | not used | available | yes | yes
IArchiveFilters | Parent |  | not used | read only | yes | yes
long | Raster |  | not used | available | yes | yes
VARIANT_BOOL | ReadOnlyVarsInFilter | Load only in the filter defined variables. | not used | available | yes | yes
long | StartTime |  | not used | available | yes | yes
long | StatusBit |  | not used | available | yes | yes
long | StatusMask |  | not used | available | yes | yes

Other topics in this chapter

StartTime

EndTime

Parent

Raster

StatusMask

StatusBit

CountArchiveVariables

ReadOnlyVarsInFilter


StartTime

Manuel -> Interfaces de programmation -> Modèles d'objet -> ArchiveFilter -> ArchiveFilter-Properties -> StartTime

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Gets or sets the start time of the filter as long.

Every data that is within the range of the "StartTime" and "EndTime" properties, will not be filtered out and therefore returned.

ATTENTION: zenOn uses UTC time internally, hence the desired start time has to be converted from the local time zone into UTC.

Datatype

StartTime() As long

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes

Examples

The following macro should be used to set the time correctly. Follow the instructions inside the macro header.

C#

/* This utility class can be used to convert zenOn internal time stamps to

* an actual DateTime structure of the .net framework and backwards. Import

* this file into your current solution, i.e. project in the VSTA editor

* and you can use both of the static methods. Make sure the file is in the

* same namespace of your main project file or import it with "using".

*/

using System;

namespace WorkspaceAddin

{

public static class TimeConversion

{

public static DateTime ZenOnToSystem(uint time)

{

return new DateTime(1970, 1, 1).

AddSeconds(time).

ToLocalTime();

}

public static uint SystemToZenOn(DateTime time)

{

return (uint)time.ToUniversalTime().

Subtract(new DateTime(1970, 1, 1)).

TotalSeconds;

}

}

}

VB.NET

' * This utility class can be used to convert zenOn internal time stamps to

' * an actual DateTime structure of the .net framework and backwards. Import

' * this file into your current solution, i.e. project in the VSTA editor

' * and you can use both of the static methods. Make sure the file is in the

' * same namespace of your main project file or import it with "using".

Public NotInheritable Class TimeConversion

Private Sub New()

End Sub

Public Shared Function ZenOnToSystem(time As UInteger) As DateTime

Return New DateTime(1970, 1, 1).AddSeconds(time).ToLocalTime()

End Function

Public Shared Function SystemToZenOn(time As DateTime) As UInteger

Return CUInt(Math.Truncate(time.ToUniversalTime().Subtract(New DateTime(1970, 1, 1)).TotalSeconds))

End Function

End Class

VBA

'##############################################################################
'## Name : clsTimeConvert ##
'## Description: Macro to convert from local time into UTC and vice versa ##
'## ##
'## Instructions ##
'## 1. Copy the macro into a textfile and save it under "clsTimeConvert.cls" ##
'## 2. Import the file into the VBA project ##
'## >> File -> Import file... ##
'## >> Shortcut CTRL + M ##
'## 3. Declare a variable as "clsTimeConvert" within the VBA project ##
'## e.g. Dim zTimeConversion as clsTimeConvert ##
'## 4. Convert from local time into UTC ##
'## e.g. zTimeConvert.System2zenOn(CDbl(CDate("30.07.2007 14:00:00"))) ##
'##############################################################################
Option Explicit
Private Declare Function GetTimeZoneInformation _
Lib "kernel32" (lpTimeZoneInformation As TIME_ZONE_INFORMATION) As Long
Private Type SYSTEMTIME
wYear As Integer
wMonth As Integer
wDayOfWeek As Integer
wDay As Integer
wHour As Integer
wMinute As Integer
wSecond As Integer
wMilliseconds As Integer
End Type
Private Type TIME_ZONE_INFORMATION
Bias As Long
StandardName(1 To 64) As Byte
StandardDate As SYSTEMTIME
StandardBias As Long
DaylightName(1 To 64) As Byte
DaylightDate As SYSTEMTIME
DaylightBias As Long
End Type
Const TIME_ZONE_ID_UNKNOWN = &H0
Const TIME_ZONE_ID_STANDARD = &H1
Const TIME_ZONE_ID_DAYLIGHT = &H2
Dim SommerZeit As Boolean
Dim SommerZeitDate As Date
Dim SommerZeitName$
Dim SommerZeitGMT&
Dim NormalZeitDate As Date
Dim NormalZeitName$
Dim NormalZeitGMT

Public Function zenOn2System(dTime As Double) As Double
'Converts zenOn (GMT) time to system time format...
zenOn2System = (dTime - GetTimeZone) / 86400 + 25569
End Function

Public Function System2zenOn(lTime As Double) As Double
'Converts system time to zenOn time (GMT) format...
System2zenOn = (lTime - 25569) * 86400 + GetTimeZone
End Function

Private Function GetTimeZone() As Long
Dim TZI As TIME_ZONE_INFORMATION
Dim Result&, ErrFlag As Boolean
Result = GetTimeZoneInformation(TZI)
Select Case Result
Case TIME_ZONE_ID_UNKNOWN
SommerZeit = False
Case TIME_ZONE_ID_STANDARD
SommerZeit = False
Case TIME_ZONE_ID_DAYLIGHT
SommerZeit = True
Case Else
Exit Function
End Select
If SommerZeit = True Then
GetTimeZone = (60 * TZI.Bias) + (60 * TZI.DaylightBias)
Else
GetTimeZone = (60 * TZI.Bias) + (60 * TZI.StandardBias)
End If
End Function


EndTime

Manuel -> Interfaces de programmation -> Modèles d'objet -> ArchiveFilter -> ArchiveFilter-Properties -> EndTime

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Gets or sets the end time of the filter.

Every data that is within the range of the "StartTime" and "EndTime" properties, will not be filtered out and therefore returned.

Hint: For further information, please have a look at the StartTime property part.

Datatype

EndTime() As long

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes


Parent

Manuel -> Interfaces de programmation -> Modèles d'objet -> ArchiveFilter -> ArchiveFilter-Properties -> Parent

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the parent object

Datatype

Parent() As ArchiveFilters

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes


Raster

Manuel -> Interfaces de programmation -> Modèles d'objet -> ArchiveFilter -> ArchiveFilter-Properties -> Raster

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

If the utilized archive type is none cyclic and this property is set to 0, then all archive entries between the start- and the end time will be returned.Otherwise (i.e. "Raster" property set greater than 0 and the archive type is cyclic) not all archive entries will be returned, but beginning with the start time each N-th (N="Raster") entry is returned.<h5>Example:</h5>Cyclic archive with an cylic rate of 15 minutes (900 seconds) &amp;rarr; Entries are recorded every 15 minutes (e.g. 07:45, 08:00, 08:15, ...)"StartTime" is 12:15 and the "Raster" property is set to 3 &amp;rarr; Every third entry is returned (e.g. 12:15, 13:00, 13:45, 14:30, ...)ATTENTION: If the start time doesn't match the archive cyle time then no data entries will be returned.e.g. Archive entries are 12:15, 12:30, 12:45, 13:00, ..."Raster" is set to 3, but "Start-Time" is set to 12:16 &amp;rarr; It would return 12:16, 13:01, 13:46 but archive cycle is lagging one minute behind &amp;rarr; No entries will be returned!

Datatype

Raster() As long

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes


StatusMask

Manuel -> Interfaces de programmation -> Modèles d'objet -> ArchiveFilter -> ArchiveFilter-Properties -> StatusMask

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

StatusMask() As long

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes


StatusBit

Manuel -> Interfaces de programmation -> Modèles d'objet -> ArchiveFilter -> ArchiveFilter-Properties -> StatusBit

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Gets or sets the value of the relevant state bits.

Hint: For further information on state bits, please have a look at the ReaStatusStd part within the "State" object.

'No state bit filtering -> Default

zArvFilter.StatusMask = 0 'Check none of the states

zArvFilter.StatusBit = 0 '"StatusBit" doesn't matter

'All I-BIT bits

zArvFilter.StatusMask = &H40000 'Check only I-BIT

zArvFilter.StatusBit = &H40000 'Return data if I-BIT is TRUE'

All states, except I-BIT bits

zArvFilter.StatusMask = Not &H40000 'Check all states without I-BIT

zArvFilter.StatusBit = &HFFFFFFFF 'Return data if any of the other bits is TRUE

'All I-BIT and HWERT bits

zArvFilter.StatusMask = &H41000 'Check only I-BIT + HWERT

zArvFilter.StatusBit = &H41000 'Return data if one of those bits is TRUE or both

'All states, except I-BIT + HWERT bits

zArvFilter.StatusMask = Not &H41000 'Check all states without I-BIT + HWERT

zArvFilter.StatusBit = &HFFFFFFFF 'Return data if any of the other bits is TRUE

Datatype

StatusBit() As long

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes


CountArchiveVariables

Manuel -> Interfaces de programmation -> Modèles d'objet -> ArchiveFilter -> ArchiveFilter-Properties -> CountArchiveVariables

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the amount of "ArchiveVariable" objects within the collection.

Datatype

CountArchiveVariables() As long

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes


ReadOnlyVarsInFilter

Manuel -> Interfaces de programmation -> Modèles d'objet -> ArchiveFilter -> ArchiveFilter-Properties -> ReadOnlyVarsInFilter

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

ReadOnlyVarsInFilter() As Boolean

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes


ArchiveFilter-Methods

Manuel -> Interfaces de programmation -> Modèles d'objet -> ArchiveFilter -> ArchiveFilter-Methods

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
VARIANT_BOOL | AddArchiveVariable | - | not used | available | yes | yes
VARIANT_BOOL | ApplyChanges | - | not used | available | yes | yes
IArchiveFilterVariables | ArchiveFilterVariables | - | not used | available | yes | yes
VARIANT_BOOL | ArchiveFilterVariablesInfo | Return arrays with the information to all the defined variables in the filter. | not used | available | yes | yes
VARIANT_BOOL | ArchiveFilterVariablesInfoEx | Return arrays with the information to all the defined variables in the filter. Works cross-project. | not used | available | yes | yes
void | DynProperties [PUT] | - | available | available | yes | yes
VARIANT | DynProperties [GET] | - | available | available | yes | yes
VARIANT | DynPropertiesEnum [GET] | - | read only | read only | yes | yes
IArchiveVariable | ItemArchiveVariable | - | not used | available | yes | yes
IArchiveFilterVariables | Query | - | not used | available | yes | yes
VARIANT_BOOL | QueryBlock | - | not used | available | yes | yes
VARIANT_BOOL | QueryBlockEx | - | not used | available | yes | yes
VARIANT_BOOL | RemoveArchiveVariable | - | not used | available | yes | yes
IPropParam | DynPropertyParam [GET] | Returns the PropParam objekt of the given DynProperty | read only | not used | yes | yes

Other topics in this chapter

RemoveArchiveVariable

AddArchiveVariable

ItemArchiveVariable

Query

ArchiveFilterVariables

ApplyChanges

QueryBlock

ArchiveFilterVariablesInfo

ArchiveFilterVariablesInfoEx

QueryBlockEx


RemoveArchiveVariable

Manuel -> Interfaces de programmation -> Modèles d'objet -> ArchiveFilter -> ArchiveFilter-Methods -> RemoveArchiveVariable

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Removes an "ArchiveVariable" object (which was formerly added to the filter) from the filter. The object is identified by the parameter vNameOrPos. The parameter vNameOrPos can have two values:

  • Element name: The element can be accessed with its unique name.
  • Index: Access with an index is mostly used in combination with the property "Count" to find out the position of the "ArchiveVariable" object in the list.

Datatype

RemoveArchiveVariable(VARIANT vNameOrPos) As Boolean

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes

Examples

C#

public void MacroRemoveAllVariables()

{

//Gets the first archive of the project

IArchive zenonArchive = this.Archives().Item(0);

if (zenonArchive == null)

{

//There is no archive, the user will be informed...

this.Parent.Parent.DebugPrint("No archive available!", tpDebugPrintStyle.tpErr);

return;

}

//Get the first archive filter of the archive

IArchiveFilter zenonArchiveFilter = zenonArchive.ArchiveFilters().Item(0);

if (zenonArchiveFilter == null)

{

//There is no filter, the user will be informed

this.Parent.Parent.DebugPrint("No filter available!", tpDebugPrintStyle.tpErr);

return;

}

//Remove all variables from the filter

while (zenonArchiveFilter.ArchiveFilterVariables().Count > 0)

{

zenonArchiveFilter.RemoveArchiveVariable(0);

}

}

VB.NET

Public Sub MacroRemoveAllVariables()

'Gets the first archive of the project

Dim zenonArchive As IArchive = Me.Archives().Item(0)

If zenonArchive Is Nothing Then

'There is no archive, the user will be informed...

Me.Parent.Parent.DebugPrint("No archive available!", tpDebugPrintStyle.tpErr)

Return

End If

'Get the first archive filter of the archive

Dim zenonArchiveFilter As IArchiveFilter = zenonArchive.ArchiveFilters().Item(0)

If zenonArchiveFilter Is Nothing Then

'There is no filter, the user will be informed

Me.Parent.Parent.DebugPrint("No filter available!", tpDebugPrintStyle.tpErr)

Return

End If

'Remove all variables from the filter

While zenonArchiveFilter.ArchiveFilterVariables().Count > 0

zenonArchiveFilter.RemoveArchiveVariable(0)

End While

End Sub


AddArchiveVariable

Manuel -> Interfaces de programmation -> Modèles d'objet -> ArchiveFilter -> ArchiveFilter-Methods -> AddArchiveVariable

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Adds an existing archive variable ("ArchiveVariable" object) to the filter. Thus, the data of the variable will be returned after the filtering.The following code initiates that all assigned archive variables will be added to the archive filter.

Datatype

AddArchiveVariable(IArchiveVariable ArchiveVariable) As Boolean

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes

Parameters

"ArchiveVariable" object that should be added to the filter.

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

ArchiveVariable As ArchiveVariable

Examples

C#

public void MacroAddAllVariables()

{

//Gets the first archive of the project

IArchive zenonArchive = this.Archives().Item(0);

if (zenonArchive == null)

{

//There is no archive, the user will be informed...

this.Parent.Parent.DebugPrint("No archive available!", tpDebugPrintStyle.tpErr);

return;

}

//Create an archive filter and add any available variable to it

IArchiveFilter zenonArchiveFilter = zenonArchive.ArchiveFilters().CreateArchiveFilter();

for (int i = 0; i < zenonArchive.ArchiveVariables().Count; ++i)

{

zenonArchiveFilter.AddArchiveVariable(zenonArchive.ArchiveVariables().Item(i));

}

}

VB.NET

Public Sub MacroAddAllVariables()

'Gets the first archive of the project

Dim zenonArchive As IArchive = Me.Archives().Item(0)

If zenonArchive Is Nothing Then

'There is no archive, the user will be informed...

Me.Parent.Parent.DebugPrint("No archive available!", tpDebugPrintStyle.tpErr)

Return

End If

'Create an archive filter and add any available variable to it

Dim zenonArchiveFilter As IArchiveFilter = zenonArchive.ArchiveFilters().CreateArchiveFilter()

For i As Integer = 0 To zenonArchive.ArchiveVariables().Count - 1

zenonArchiveFilter.AddArchiveVariable(zenonArchive.ArchiveVariables().Item(i))

Next

End Sub

VBA

Sub zenOn_AddArchiveVariable(ByRef zArchive As Archive)
'Declarations
Dim zArFilter As ArchiveFilter
Dim i As Integer

'Initialize zArFilter by creating a new archive filter
Set zArFilter = zArchive.ArchiveFilters.CreateArchiveFilter

'Every archive variable within the collection...
For i = 0 To zArchive.ArchiveVariables.Count - 1
'... will be added to the archive filter
zArFilter.AddArchiveVariable zArchive.ArchiveVariables.Item(i)
'Output the name of the added variable
Debug.Print "Variable """ & zArchive.ArchiveVariables.Item(i).Name & """ added!"
Next i

End Sub


ItemArchiveVariable

Manuel -> Interfaces de programmation -> Modèles d'objet -> ArchiveFilter -> ArchiveFilter-Methods -> ItemArchiveVariable

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns an "ArchiveVariable" object (which was formerly added to the filter) from the collection. The object is identified by the parameter vNameOrPos. The parameter vNameOrPos can have two values:

  • Element name: The element can be accessed with its unique name.
  • Index: Access with an index is mostly used in combination with the property "Count" to find out the position of the "ArchiveVariable" object in the list.

Hint: The returned object should be checked on Nothing, if no object for the search criteria was found. For further information please have a look at the ArchiveVariable topic itself.

Datatype

ItemArchiveVariable(VARIANT vNameOrPos) As ArchiveVariable

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

public void MarcoGetVariablesInArchiveFilter()

{

//At first the archive is created

IArchive zenonArchive = this.Archives().Item(0);

if (zenonArchive == null)

{

//There is no archive, the user will be informed...

this.Parent.Parent.DebugPrint("No archive available!", tpDebugPrintStyle.tpErr);

return;

}

//Get the first available archivefilter

IArchiveFilter filter = zenonArchive.ArchiveFilters().Item(0);

//Iterates through all ArchiveVariable objects

for (int i = 0; i < filter.CountArchiveVariables; ++i)

{

IArchiveVariable zenonFilterVariable =

filter.ItemArchiveVariable(i);

//Do something with the current variable

}

}

VB.NET

Public Sub MarcoGetVariablesInArchiveFilter()

'At first the archive is created

Dim zenonArchive As IArchive = Me.Archives().Item(0)

If zenonArchive Is Nothing Then

'There is no archive, the user will be informed...

Me.Parent.Parent.DebugPrint("No archive available!", tpDebugPrintStyle.tpErr)

Return

End If

'Get the first available archivefilter

Dim filter As IArchiveFilter = zenonArchive.ArchiveFilters().Item(0)

'Iterates through all ArchiveVariable objects

For i As Integer = 0 To filter.CountArchiveVariables - 1

'Do something with the current variable

Dim zenonFilterVariable As IArchiveVariable = filter.ItemArchiveVariable(i)

Next

End Sub

VBA

VBA-Syntax


Query

Manuel -> Interfaces de programmation -> Modèles d'objet -> ArchiveFilter -> ArchiveFilter-Methods -> Query

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Initiates the filtering of the data.Returns an "ArchiveFilterVariables" object, if data matched the filter query. Hence, the returned object will contain the filtered data.Otherwise, this method will return "Nothing", if no data was matched. A full example can be found in the ArchiveFilter main topic: Creating a filter, executing a query and gathering data.

Datatype

Query() As ArchiveFilterVariables

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

//For information on how to query a filter have a look at the main topic "ArchiveFilter"

VB.NET

'For information on how to query a filter have a look at the main topic "Archive Filter"

VBA

'For information on how to query a filter have a look at the main topic "Archive Filter"


ArchiveFilterVariables

Manuel -> Interfaces de programmation -> Modèles d'objet -> ArchiveFilter -> ArchiveFilter-Methods -> ArchiveFilterVariables

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns an "ArchiveFilterVariables" object, containing a collection of all filtered archive variables. For futher information please have a look at the ArchiveFilterVariables topic.

Datatype

ArchiveFilterVariables() As ArchiveFilterVariables

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


ApplyChanges

Manuel -> Interfaces de programmation -> Modèles d'objet -> ArchiveFilter -> ArchiveFilter-Methods -> ApplyChanges

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Apply changes on the filter.

Datatype

ApplyChanges() As Boolean

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


QueryBlock

Manuel -> Interfaces de programmation -> Modèles d'objet -> ArchiveFilter -> ArchiveFilter-Methods -> QueryBlock

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Like the "Query" method, the "QueryBlock" command initiates the filtering of the data.

The difference between these two methods is, that the "QueryBlock" method is dedicated for performance oriented tasks, because the usage of arrays is faster than the approach of the "Query" method with the collections. The drawback of the "QueryBlock" method is the increased complexity of coding.

The "QueryBlock" command requires two parameters:

vPvIDs: A variant variable which will constitute an array containing all IDs of the filtered variables.

vValues: A variant variable which will store an cascaded array designed the following way:

Level: Return type, e.g.

'Declaration
Dim zValues As Variant
'Initiates the filtering
zArvFilter.QueryBlock zPvIDs, zValues
'zValues is the return type, which contains all variables and the corresponding values

Level: Variable, e.g.

'Declaration
Dim vVarTemp As Variant
'Assign the first variable within the cascaded "zValues" array to "vVarTemp"
vVarTemp = zValues(0)

Level: Variable values, e.g.

'Declaration
Dim vValTemp As Variant
'Assign the the third value within the vVarTemp variable to "vValTemp"
vValTemp = vVarTemp(2)
'Alternatively: Third value of the first variable within "zValues"
vValTemp = zValues(0)(2)

Level: Value parameters

vValTemp (0) 'Returns the date and time when the value was recorded
'Hint: The time has to be converted from zenOn internally UTC into local time.
'Use the zenOn "clsTimeConvert" macro to do so.
zValues (0)(2)(0) 'Alternatively

vValTemp (1) 'Returns the milliseconds, in addition to the time, when the value was recorded
zValues (0)(2)(1) 'Alternatively

vValTemp (2) 'Returns the value that was recorded at the specified time and date
zValues (0)(2)(1) 'Alternatively

vValTemp (3) 'Returns the state type, e.g. &H40000 -> I-BIT
zValues (0)(2)(1) 'Alternatively

Datatype

QueryBlock(LPVARIANT vPvIDs,LPVARIANT vValues) As Boolean

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes

Parameters

vValues As Variant

"Variant" variable for the "QueryBlock" method, in order to store a cascaded array which is filled with the filtered variables and the recorded values.
The array is returned by the method, hence the user has only to pass an "Variant" variable.

vPvIDs As Variant

"Variant" variable for the "QueryBlock" method, in order to store an array of IDs of the corresponding filtered archive variables.
The array is returned by the method, hence the user has only to pass an "Variant" variable.

VBA

vValues As Variant

vPvIDs As Variant

Examples

The following example initiates a filtering with the "QueryBlock" command and outputs the details of the filter result.

ATTENTION: The passed "ArchiveFilter" object has to be initialized beforehand, i.e. filter starttime and endtime, etc.

Hint:
In order to output the correct date and time of the filter result, the zenOn "clsTimeConvert" macro should be used.
For the macro code and further information on the macro and the time conversion, please have a look at the StartTime part.

C#

public void zenonArchiveFilterQueryBlock(ref IArchiveFilter zenonArchiveFilter)

{

object zenonPvIds = null;

object zenonValues = null;

zenonArchiveFilter.QueryBlock(ref zenonPvIds, ref zenonValues);

int[] zenonQueriedPvIds = (int[])zenonPvIds;

object[] zenonQueriedValues = (object[])zenonValues;

for (int i = 0; i < zenonQueriedValues.Length; ++i)

{

object[] currentValue = (object[])zenonQueriedValues[i];

for (int j = 0; i < currentValue.Length; ++j)

{

object[] specificValues = (object[])currentValue[j];

System.Diagnostics.Debug.Print("{0}. Value", j + 1);

System.Diagnostics.Debug.Print("Variable Name: {0}", zenonArchiveFilter.

ArchiveFilterVariables().ItemById(zenonQueriedPvIds[i]).

ArchiveVariable().Name);

System.Diagnostics.Debug.Print("Variable ID: {0}", zenonQueriedPvIds[i]);

int time = (int)specificValues[0];

System.Diagnostics.Debug.Print("Time: {0}", TimeConversion.

ZenOnToSystem((uint)time).ToString());

System.Diagnostics.Debug.Print("Milliseconds: {0}", specificValues[1]);

System.Diagnostics.Debug.Print("Value: {0}", specificValues[2]);

System.Diagnostics.Debug.Print("State: 0x{0}", ((int)specificValues[3]).ToString("X"));

}

}

}

VB.NET

Public Sub zenonArchiveFilterQueryBlock(ByRef zenonArchiveFilter As IArchiveFilter)

Dim zenonPvIds As Object = Nothing

Dim zenonValues As Object = Nothing

zenonArchiveFilter.QueryBlock(zenonPvIds, zenonValues)

Dim zenonQueriedPvIds As Integer() = DirectCast(zenonPvIds, Integer())

Dim zenonQueriedValues As Object() = DirectCast(zenonValues, Object())

For i As Integer = 0 To zenonQueriedValues.Length - 1

Dim currentValue As Object() = DirectCast(zenonQueriedValues(i), Object())

Dim j As Integer = 0

While i < currentValue.Length

Dim specificValues As Object() = DirectCast(currentValue(j), Object())

System.Diagnostics.Debug.Print("{0}. Value", j + 1)

System.Diagnostics.Debug.Print("Variable Name: {0}", zenonArchiveFilter.ArchiveFilterVariables().ItemById(zenonQueriedPvIds(i)).ArchiveVariable().Name)

System.Diagnostics.Debug.Print("Variable ID: {0}", zenonQueriedPvIds(i))

Dim time As Integer = CInt(specificValues(0))

System.Diagnostics.Debug.Print("Time: {0}", TimeConversion.ZenOnToSystem(CUInt(time)).ToString())

System.Diagnostics.Debug.Print("Milliseconds: {0}", specificValues(1))

System.Diagnostics.Debug.Print("Value: {0}", specificValues(2))

System.Diagnostics.Debug.Print("State: 0x{0}", CInt(specificValues(3)).ToString("X"))

j += 1

End While

Next

End Sub

VBA

Public Sub zenOn_ArchiveFilter_QueryBlock(ByRef zArvFilter As ArchiveFilter)
'Declarations
Dim zTimeConvert As clsTimeConvert
Dim zPvIDs As Variant
Dim zValues As Variant
Dim i As Integer
Dim j As Integer
Dim vVarTemp As Variant
Dim vValTemp As Variant
Dim nVarCount As Integer
Dim nValCount As Integer

'Initialize zTimeConvert by creating a new instance of the zenOn "clsTimeConvert" macro
Set zTimeConvert = New clsTimeConvert

zArvFilter.QueryBlock zPvIDs, zValues

'Get the number of variables and assign it to "nVarCount"
nVarCount = UBound(zValues, 1)
'For every filtered variable output the recorded values
For i = 0 To nVarCount
'Assign the current variable to "vVarTemp"
vVarTemp = zValues(i)
'Get the number of values within the variable and assign it to "nValCount"
nValCount = UBound(vVarTemp, 1)
'For every value within the filtered variable output the recorded details
For j = 0 To nValCount
'Assign the current value to "vValTemp"
vValTemp = vVarTemp(j)
'Output the count number of the current value
Debug.Print j + 1 & ". Value"
'Output the variable name to which the value belongs
Debug.Print vbTab & "Var-Name: " & zArvFilter.ArchiveFilterVariables.ItemById(zPvIDs(i)).ArchiveVariable.Name
'Output the ID of the variable
Debug.Print vbTab & "Var-ID" & vbTab & ": " & CStr(zPvIDs(i))
'Output the date and time when the value was recorded -> Format: year-month-day hour:minute:second.millisecond
Debug.Print vbTab & "Time" & vbTab & ": " & Format(zTimeConvert.zenOn2System((vValTemp(0))), "yyyy-mm-dd hh:mm:ss") & "." & CStr(vValTemp(1))
'Output the value that was recorded
Debug.Print vbTab & "Value" & vbTab & ": " & CStr(vValTemp(2))
'Output the state of the value
Debug.Print vbTab & "State" & vbTab & ": &H" & Hex(vValTemp(3))
Next j
Next i

End Sub


ArchiveFilterVariablesInfo

Manuel -> Interfaces de programmation -> Modèles d'objet -> ArchiveFilter -> ArchiveFilter-Methods -> ArchiveFilterVariablesInfo

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns information on the assigned archive filter variables.Following three parameters have to be passed:

  • Count: Returns the amount of archive filter variables.
  • vIDs: Returns the IDs of the archive filter variables.
  • vNames: Returns the names of the archive filter variables.

Datatype

ArchiveFilterVariablesInfo(long Count, LPVARIANT vIDs, LPVARIANT vNames) As Boolean

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes

Parameters

"Variant" variable passed to the "ArchiveFilterVariablesInfo" method, in order to return the IDs of the archive filter variables.

"Variant" variable passed to the "ArchiveFilterVariablesInfo" method, in order to return the amount of archive filter variables.

"Variant" variable passed to the "ArchiveFilterVariablesInfo" method, in order to return the names of the archive filter variables.

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

vIDs As Variant

Count As Long

vNames As Variant

Examples

C#

public void zenonArchiveFilterArchiveVariablesInfo(ref IArchiveFilter zenonArchiveFilter)

{

int count = 0;

object idsReturn = null;

object namesReturn = null;

zenonArchiveFilter.ArchiveFilterVariablesInfo(ref count, ref idsReturn, ref namesReturn);

int[] ids = (int[])idsReturn;

string[] names = (string[])namesReturn;

for (int i = 0; i < count; ++i)

{

//Print the number of the variable

System.Diagnostics.Debug.Print("{0}. Variable", i + i);

//Print the name of the variable

System.Diagnostics.Debug.Print("Name: {0}", names[i]);

//Print the ID of the variable

System.Diagnostics.Debug.Print("ID: {0}", ids[i]);

}

}

VB.NET

Public Sub zenonArchiveFilterArchiveVariablesInfo(ByRef zenonArchiveFilter As IArchiveFilter)

Dim count As Integer = 0

Dim idsReturn As Object = Nothing

Dim namesReturn As Object = Nothing

zenonArchiveFilter.ArchiveFilterVariablesInfo(count, idsReturn, namesReturn)

Dim ids As Integer() = DirectCast(idsReturn, Integer())

Dim names As String() = DirectCast(namesReturn, String())

For i As Integer = 0 To count - 1

'Print the number of the variable

System.Diagnostics.Debug.Print("{0}. Variable", i + i)

'Print the name of the variable

System.Diagnostics.Debug.Print("Name: {0}", names(i))

'Print the ID of the variable

System.Diagnostics.Debug.Print("ID: {0}", ids(i))

Next

End Sub

VBA

Public Sub zenOn_ArchiveFilter_ArchiveFilterVariablesInfo(ByRef zArvFilter As ArchiveFilter)
'Declarations
Dim zCount As Long
Dim zIDs As Variant
Dim zNames As Variant

'Initiate the information query
zArvFilter.ArchiveFilterVariablesInfo zCount, zIDs, zNames

'For every archive filter variable within the collection...
For i = 0 To zCount - 1
'... output the variable count
Debug.Print i + 1 & ". Variable"
'... output the name
Debug.Print vbTab & "Name: " & zNames(i)
'... output the ID
Debug.Print vbTab & "ID" & vbTab & ": " & zIDs(i)
Next i

End Sub


ArchiveFilterVariablesInfoEx

Manuel -> Interfaces de programmation -> Modèles d'objet -> ArchiveFilter -> ArchiveFilter-Methods -> ArchiveFilterVariablesInfoEx

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Like the "ArchiveFilterVariablesInfo" method, this command returns information on the assigned archive filter variables.Additionally it will also return information on the project name and the utilized calculation mode, if it is a following archive.Following five parameters have to be passed:

  • Count: Returns the amount of archive filter variables.
  • vIDs: Returns the IDs of the archive filter variables.
  • vNames: Returns the names of the archive filter variables.
  • vProjects: Returns the project name.
  • vCalculations: Returns the calculation mode, if it is a following archive.

Datatype

ArchiveFilterVariablesInfoEx(long Count, LPVARIANT vIDs, LPVARIANT vNames, LPVARIANT vProjects, LPVARIANT vCalculations) As Boolean

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


QueryBlockEx

Manuel -> Interfaces de programmation -> Modèles d'objet -> ArchiveFilter -> ArchiveFilter-Methods -> QueryBlockEx

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Like the "QueryBlock" method, the "QueryBlockEx" command initiates the filtering of the data.

The difference between these two methods is, that the "QuerBlockEx" command will also return the project name and the utilized calculation modes (if it is a following archive) in addition to the "QueryBlock" results.

Hint: For further information, please have a look at the QueryBlock part.

Datatype

QueryBlockEx(LPVARIANT vProjects, LPVARIANT vPvIDs, LPVARIANT vCalculations, LPVARIANT vValues) As Boolean

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes

Parameters

vValues As Variant

"Variant" variable for the "QueryBlockEx" method, in order to store a cascaded array which is filled with the filtered variables and the recorded values.
The array is returned by the method, hence the user has only to pass an "Variant" variable.

vCalculations As Variant

"Variant" variable for the "QueryBlockEx" method, in order to store an array of calculation modes, which were utilized by the recorded values.
The array is returned by the method, hence the user has only to pass an "Variant" variable.
Hint: For further information on calculation modes, please have a look at the Calculation property within the "ArchiveVariable" object.

vPvIDs As Variant

"Variant" variable for the "QueryBlockEx" method, in order to store an array of IDs of the corresponding filtered archive variables.
The array is returned by the method, hence the user has only to pass an "Variant" variable.

vProjects As Variant

"Variant" variable for the "QueryBlockEx" method, in order to store an array of project names, where the filter was applied.
The array is returned by the method, hence the user has only to pass an "Variant" variable.

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

vValues As Variant

vCalculations As Variant

vPvIDs As Variant

vProjects As Variant

Examples

The following example initiates a filtering with the "QueryBlockEx" command and outputs details on the project name and the utilized calculation modes.

ATTENTION: The passed "ArchiveFilter" object has to be initialized beforehand, i.e. filter starttime and endtime, etc.

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Public Sub zenOn_ArchiveFilter_QueryBlockEx(ByRef zArvFilter As ArchiveFilter)
'Declarations
Dim zPvIDs As Variant
Dim zValues As Variant
Dim zProjects As Variant
Dim zCalculations As Variant
Dim i As Integer

'Initiate the filtering
Debug.Print zArvFilter.QueryBlockEx(zProjects, zPvIDs, zCalculations, zValues)

'Output every project name
For i = 0 To UBound(zProjects, 1)
Debug.Print CStr(zProjects(i))
Next i

'Output every calculation mode
For i = 0 To UBound(zCalculations, 1)
Debug.Print CStr(zCalculations(i))
Next i

End Sub


ArchiveFilters

Manuel -> Interfaces de programmation -> Modèles d'objet -> ArchiveFilters

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

This collection administers all filter objects.HINT:As a default there are no filters. You can administer any number of filters.With "CreateArchiveFilter" you can create a new filter. On the contrary, you can delete an existing filter with "DeleteArchiveFilter".Like in any other collection you can access an ArchiveFilter object with the "Item" method.

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes

Examples

C#

public void MacroQueryAllFilters()

{

//Executes a query on all filters currently in the first archive of the project

IArchiveFilters zenonFilters = this.Archives().Item(0).ArchiveFilters();

for (int i = 0; i < zenonFilters.Count; ++i)

{

IArchiveFilter zenonFilter = zenonFilters.Item(i);

if (zenonFilter != null)

zenonFilter.Query();

}

}

VB.NET

Public Sub MacroQueryAllFilters()

'Executes a query on all filters currently in the first archive of the project

Dim zenonFilters As IArchiveFilters = Me.Archives().Item(0).ArchiveFilters()

For i As Integer = 0 To zenonFilters.Count - 1

Dim zenonFilter As IArchiveFilter = zenonFilters.Item(i)

If zenonFilter IsNot Nothing Then

zenonFilter.Query()

End If

Next

End Sub

VBA

Sub zenOn_ArchiveFilters()
'Declarations
Dim zArvFilters As ArchiveFilters
Dim zArvFilter As ArchiveFilter
Dim i As Integer

'Initialize zArvFilters with the archive filter collection of the first available archive
Set zArvFilters = thisProject.Archives.Item(0).ArchiveFilters

'For every archive filter within the collection ...
For i = 0 To zArvFilters.Count - 1
'... assign it to zArvFilter
Set zArvFilter = zArvFilters.Item(i)
'If the filter is available (zArvFilter is not "Nothing")...
If Not (zArvFilter Is Nothing) Then
'... then initiate the filtering
zArvFilter.Query
End If
Next i

End Sub

Other topics in this chapter

ArchiveFilters-Properties

ArchiveFilters-Methods


ArchiveFilters-Properties

Manuel -> Interfaces de programmation -> Modèles d'objet -> ArchiveFilters -> ArchiveFilters-Properties

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
long | Count |  | not used | read only | yes | yes
IArchive | Parent |  | not used | read only | yes | yes

Other topics in this chapter

Parent

Count


Parent

Manuel -> Interfaces de programmation -> Modèles d'objet -> ArchiveFilters -> ArchiveFilters-Properties -> Parent

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the parent object

Datatype

Parent() As Archive

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes


Count

Manuel -> Interfaces de programmation -> Modèles d'objet -> ArchiveFilters -> ArchiveFilters-Properties -> Count

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

The method returns the number of available objects. This property is mostly used for the method Item to run through each single object.Hint: For running through entries care, that the minimum is 0 and the maximum is Count-1.

Datatype

Count() As long

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes


ArchiveFilters-Methods

Manuel -> Interfaces de programmation -> Modèles d'objet -> ArchiveFilters -> ArchiveFilters-Methods

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
IArchiveFilter | CreateArchiveFilter | - | not used | available | yes | yes
VARIANT_BOOL | DeleteArchiveFilter | - | not used | available | yes | yes
IArchiveFilter | Item | - | available | available | yes | yes

Other topics in this chapter

Item

CreateArchiveFilter

DeleteArchiveFilter


Item

Manuel -> Interfaces de programmation -> Modèles d'objet -> ArchiveFilters -> ArchiveFilters-Methods -> Item

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns an "ArchiveFilter" object from the collection, which is identified by the parameter vNameOrPos. The parameter vNameOrPos can have two values:

  • Element name: The element can be accessed with its unique name.
  • Index: Access with an index is mostly used in combination with the property "Count" to find out the position of the "ArchiveFilter" object in the list.

Hint: The returned object should be checked on Nothing, if no object for the search criteria was found.

Datatype

Item(VARIANT vNameOrPos) As ArchiveFilter

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

//For an example on how to iterate through all filters using the Item method have a look at the main topic "ArchiveFilters" or the sub-topic "DeleteArchiveFilter"

VB.NET

'For an example on how to iterate through all filters using the Item method have a look at the main topic "ArchiveFilters" or the sub-topic "DeleteArchiveFilter"

VBA

'For an example on how to iterate through all filters using the Item method have a look at the main topic "ArchiveFilters" or the sub-topic "DeleteArchiveFilter"


CreateArchiveFilter

Manuel -> Interfaces de programmation -> Modèles d'objet -> ArchiveFilters -> ArchiveFilters-Methods -> CreateArchiveFilter

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

This method creates a new "ArchiveFilter" object. Afterwards, the filter is configurable in order to return the required data.

Datatype

CreateArchiveFilter() As ArchiveFilter

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

public void MarcroZenOnArchiveFilter()

{

//Gets the first archive of the project

IArchive zenonArchive = this.Archives().Item(0);

if (zenonArchive == null)

{

//There is no archive, the user will be informed...

this.Parent.Parent.DebugPrint("No archive available!", tpDebugPrintStyle.tpErr);

return;

}

IArchiveFilter zenonArchiveFilter = zenonArchive.ArchiveFilters().CreateArchiveFilter();

for (int i = 0; i < zenonArchive.ArchiveVariables().Count; ++i)

{

//Add every archive variable to the archive filter

zenonArchiveFilter.AddArchiveVariable(zenonArchive.ArchiveVariables().Item(i));

}

//Set the StartTime to 14:00 on the 30th of july 2007

zenonArchiveFilter.StartTime = (int)TimeConversion.

SystemToZenOn(new DateTime(2007, 07, 30, 14, 0, 0));

//Set the EndTime to 11:15 on the 31st of july 2007

zenonArchiveFilter.EndTime = (int)TimeConversion.

SystemToZenOn(new DateTime(2007,07,31,11,15,00));

zenonArchiveFilter.StatusMask = 0x41000; //Check only I-BIT + HWERT

zenonArchiveFilter.StatusBit = 0x41000; //Return data if one of those bit is true or both

//Initiate a filter query

IArchiveFilterVariables zenonArchiveVariables = zenonArchiveFilter.Query();

for (int i = 0; i < zenonArchiveVariables.Count; ++i)

{

this.Parent.Parent.DebugPrint("Variable: " + zenonArchiveVariables.Item(i).ArchiveVariable().Name, tpDebugPrintStyle.tpNrm);

this.Parent.Parent.DebugPrint("I-BIT + HWERT: " + zenonArchiveVariables.Item(i).ArchiveValues().Count, tpDebugPrintStyle.tpNrm);

}

}

VB.NET

public void MarcrozenOnArchiveFilter()

{

//Gets the first archive of the project

IArchive zenonArchive = this.Archives().Item(0);

if (zenonArchive == null)

{

//There is no archive, the user will be informed...

this.Parent.Parent.DebugPrint("No archive available!", tpDebugPrintStyle.tpErr);

return;

}

IArchiveFilter zenonArchiveFilter = zenonArchive.ArchiveFilters().CreateArchiveFilter();

for (int i = 0; i < zenonArchive.ArchiveVariables().Count; ++i)

{

//Add every archive variable to the archive filter

zenonArchiveFilter.AddArchiveVariable(zenonArchive.ArchiveVariables().Item(i));

}

//Set the StartTime to 14:00 on the 30th of july 2007

zenonArchiveFilter.StartTime = (int)TimeConversion.

SystemToZenOn(new DateTime(2007, 07, 30, 14, 0, 0));

//Set the EndTime to 11:15 on the 31st of july 2007

zenonArchiveFilter.EndTime = (int)TimeConversion.

SystemToZenOn(new DateTime(2007,07,31,11,15,00));

zenonArchiveFilter.StatusMask = 0x41000; //Check only I-BIT + HWERT

zenonArchiveFilter.StatusBit = 0x41000; //Return data if one of those bit is true or both

//Initiate a filter query

IArchiveFilterVariables zenonArchiveVariables = zenonArchiveFilter.Query();

for (int i = 0; i < zenonArchiveVariables.Count; ++i)

{

this.Parent.Parent.DebugPrint("Variable: " + zenonArchiveVariables.Item(i).ArchiveVariable().Name, tpDebugPrintStyle.tpNrm);

this.Parent.Parent.DebugPrint("I-BIT + HWERT: " + zenonArchiveVariables.Item(i).ArchiveValues().Count, tpDebugPrintStyle.tpNrm);

}

}

VBA

VBA-Syntax


DeleteArchiveFilter

Manuel -> Interfaces de programmation -> Modèles d'objet -> ArchiveFilters -> ArchiveFilters-Methods -> DeleteArchiveFilter

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

This method removes an existing filter ("ArchiveFilter" object) from the collection.Subsequently, the filter won't be available any more. Trying to access it, will return an incorrect filter or a segmentation fault.

Datatype

DeleteArchiveFilter(VARIANT vNameOrPos) As Boolean

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

public void MacroDeleteAllFilters()

{

//Deletes all filters on the first archive of the project

IArchiveFilters zenonFilters = this.Archives().Item(0).ArchiveFilters();

for (int i = 0; i < zenonFilters.Count; ++i)

{

zenonFilters.DeleteArchiveFilter(i);

}

}

VB.NET

Public Sub MacroDeleteAllFilters()

'Deletes all filters on the first archive of the project

Dim zenonFilters As IArchiveFilters = Me.Archives().Item(0).ArchiveFilters()

For i As Integer = 0 To zenonFilters.Count - 1

zenonFilters.DeleteArchiveFilter(i)

Next

End Sub

VBA

VBA-Syntax


ArchiveFilterVariable

Manuel -> Interfaces de programmation -> Modèles d'objet -> ArchiveFilterVariable

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

The "ArchiveFilterVariable" object contains the filtered archive variable for the "ArchiveFilter" object.

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes

Examples

C#

//This method gathers some information on a variable in the passed IArchiveFilter object.

//The information is then sent to the standard debug output of the zenOn editor.

public void ZenOnArchiveFilterVariable(ref IArchiveFilter zenonArchiveFilter)

{

//Get the first available filtered variable

IArchiveFilterVariable zenonArchiveFilterVariable = zenonArchiveFilter.ArchiveFilterVariables().Item(0);

if (zenonArchiveFilterVariable == null)

{

//If there is no variable available, inform the user

//NOTE: The variable will not be available if there was no filter query executed

this.Parent.Parent.DebugPrint("No filtered archive variable available!", tpDebugPrintStyle.tpNrm);

return;

}

//And if there is, output some details

this.Parent.Parent.DebugPrint("Variable: " +

zenonArchiveFilterVariable.ArchiveVariable().Name, tpDebugPrintStyle.tpNrm);

for (int i = 0; i < zenonArchiveFilterVariable.ArchiveValues().Count; ++i)

{

this.Parent.Parent.DebugPrint((i + 1) + ". Value: " +

zenonArchiveFilterVariable.ArchiveValues().Item(i).Value, tpDebugPrintStyle.tpNrm);

}

}

VB.NET

'This method gathers some information on a variable in the passed IArchiveFilter object.

'The information is then sent to the standard debug output of the zenOn editor.

Public Sub ZenOnArchiveFilterVariable(ByRef zenonArchiveFilter As IArchiveFilter)

'Get the first available filtered variable

Dim zenonArchiveFilterVariable__1 As IArchiveFilterVariable = zenonArchiveFilter.ArchiveFilterVariables().Item(0)

If zenonArchiveFilterVariable__1 Is Nothing Then

'If there is no variable available, inform the user

Me.Parent.Parent.DebugPrint("No filtered archive variable available!", tpDebugPrintStyle.tpNrm)

Return

End If

'And if there is, output some details

Me.Parent.Parent.DebugPrint("Variable: " + zenonArchiveFilterVariable__1.ArchiveVariable().Name, tpDebugPrintStyle.tpNrm)

For i As Integer = 0 To zenonArchiveFilterVariable__1.ArchiveValues().Count - 1

Me.Parent.Parent.DebugPrint(((i + 1) & ". Value: ") + zenonArchiveFilterVariable__1.ArchiveValues().Item(i).Value, tpDebugPrintStyle.tpNrm)

Next

End Sub

VBA

Sub zenOn_ArchiveFilterVariable(ByRef zArvFilter As ArchiveFilter)
'Declarations
Dim zArvFilterVar As ArchiveFilterVariable
Dim i As Integer

'Initialize zArvFilterVar with the first available filtered archive variable
Set zArvFilterVar = zArvFilter.ArchiveFilterVariables.Item(0)

'If no filtered archive variable is available ...
'HINT: Filtered archive variables are only availabe after a archive filter query was initiated
If zArvFilterVar Is Nothing Then
'... then inform the user
MsgBox ("No filtered archive variable available!")

'Otherwise, output some details
Else
'Output the variable name
Debug.Print "Variable: " & zArvFilterVar.ArchiveVariable.Name

With zArvFilterVar.ArchiveValues
'For every archive value within "zArvFilterVar" ...
For i = 0 To .Count - 1
'... output the recorded value
Debug.Print vbTab & i + 1 & ".Value: " & .Item(i).Value
Next i
End With
End If
End Sub

Other topics in this chapter

ArchiveFilterVariable-Properties

ArchiveFilterVariable-Methods


ArchiveFilterVariable-Properties

Manuel -> Interfaces de programmation -> Modèles d'objet -> ArchiveFilterVariable -> ArchiveFilterVariable-Properties

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
IArchiveFilterVariables | Parent |  | not used | read only | yes | yes

Other topics in this chapter

Parent


Parent

Manuel -> Interfaces de programmation -> Modèles d'objet -> ArchiveFilterVariable -> ArchiveFilterVariable-Properties -> Parent

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the parent object

Datatype

Parent() As ArchiveFilterVariables

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes


ArchiveFilterVariable-Methods

Manuel -> Interfaces de programmation -> Modèles d'objet -> ArchiveFilterVariable -> ArchiveFilterVariable-Methods

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
IArchiveValues | ArchiveValues | - | not used | available | yes | yes
VARIANT | ArchiveValuesBlock | - | not used | read only | yes | yes
IArchiveVariable | ArchiveVariable | - | not used | available | yes | yes

Other topics in this chapter

ArchiveVariable

ArchiveValues

ArchiveValuesBlock


ArchiveVariable

Manuel -> Interfaces de programmation -> Modèles d'objet -> ArchiveFilterVariable -> ArchiveFilterVariable-Methods -> ArchiveVariable

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns an "ArchiveVarible" object, which constitutes the assigned archive variable. For further information, please have a look at the "ArchiveVariable" part.

Datatype

ArchiveVariable() As ArchiveVariable

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


ArchiveValues

Manuel -> Interfaces de programmation -> Modèles d'objet -> ArchiveFilterVariable -> ArchiveFilterVariable-Methods -> ArchiveValues

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns an "ArchiveValues" object, which contains a collection of all "ArchiveValue" objects assigned to this filtered archive variable. For further information, please have a look at the "ArchiveValues" part.

Datatype

ArchiveValues() As ArchiveValues

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


ArchiveValuesBlock

Manuel -> Interfaces de programmation -> Modèles d'objet -> ArchiveFilterVariable -> ArchiveFilterVariable-Methods -> ArchiveValuesBlock

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns an array of values for the actual ArchiveFilterVariable object.This works only when a query has already been executed.

Datatype

ArchiveValuesBlock() As VARIANT

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


ArchiveFilterVariables

Manuel -> Interfaces de programmation -> Modèles d'objet -> ArchiveFilterVariables

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns an "ArchiveFilterVariables" object, containing a collection of the filtered archive variables.This object is utilized by the "ArchiveFilter" object, in order to access the collection of "ArchiveFilterVariable" objects.

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes

Examples

C#

//This method gathers some information on a variable in the passed IArchiveFilter object.

//The information is then sent to the standard debug output of the zenOn editor.

public void ZenOnArchiveFilterVariable(ref IArchiveFilter zenonArchiveFilter)

{

//Get the first available filtered variable

IArchiveFilterVariable zenonArchiveFilterVariable = zenonArchiveFilter.ArchiveFilterVariables().Item(0);

if (zenonArchiveFilterVariable == null)

{

//If there is no variable available, inform the user

this.Parent.Parent.DebugPrint("No filtered archive variable available!", tpDebugPrintStyle.tpNrm);

return;

}

//And if there is, output some details

this.Parent.Parent.DebugPrint("Variable: " +

zenonArchiveFilterVariable.ArchiveVariable().Name, tpDebugPrintStyle.tpNrm);

for (int i = 0; i < zenonArchiveFilterVariable.ArchiveValues().Count; ++i)

{

this.Parent.Parent.DebugPrint((i + 1) + ". Value: " +

zenonArchiveFilterVariable.ArchiveValues().Item(i).Value, tpDebugPrintStyle.tpNrm);

}

}

VB.NET

'This method gathers some information on a variable in the passed IArchiveFilter object.

'The information is then sent to the standard debug output of the zenOn editor.

Public Sub ZenOnArchiveFilterVariable(ByRef zenonArchiveFilter As IArchiveFilter)

'Get the first available filtered variable

Dim zenonArchiveFilterVariable__1 As IArchiveFilterVariable = zenonArchiveFilter.ArchiveFilterVariables().Item(0)

If zenonArchiveFilterVariable__1 Is Nothing Then

'If there is no variable available, inform the user

Me.Parent.Parent.DebugPrint("No filtered archive variable available!", tpDebugPrintStyle.tpNrm)

Return

End If

'And if there is, output some details

Me.Parent.Parent.DebugPrint("Variable: " + zenonArchiveFilterVariable__1.ArchiveVariable().Name, tpDebugPrintStyle.tpNrm)

For i As Integer = 0 To zenonArchiveFilterVariable__1.ArchiveValues().Count - 1

Me.Parent.Parent.DebugPrint(((i + 1) & ". Value: ") + zenonArchiveFilterVariable__1.ArchiveValues().Item(i).Value, tpDebugPrintStyle.tpNrm)

Next

End Sub

VBA

Sub zenOn_ArchiveFilterVariables(ByRef zArvFilter As ArchiveFilter)
'Declarations
Dim zArvFilterVars As ArchiveFilterVariables
Dim i As Integer

'Initialize zArvFilterVars with the filtered archive variable collection of the current archive
Set zArvFilterVars = zArvFilter.ArchiveFilterVariables

'If no filtered archive variables are available ...
'HINT: Filtered archive variables are only availabe after a archive filter query was initiated
If zArvFilterVars Is Nothing Then
'... then inform the user
MsgBox ("No filtered archive variables available!")

'Otherwise:
Else
'For every filtered archive variable ...
For i = 0 To zArvFilterVars.Count - 1
'... output the name
Debug.Print i + 1 & ". Variable: " & zArvFilterVars.Item(i).ArchiveVariable.Name
Next i
End If
End Sub

Other topics in this chapter

ArchiveFilterVariables-Properties

ArchiveFilterVariables-Methods


ArchiveFilterVariables-Properties

Manuel -> Interfaces de programmation -> Modèles d'objet -> ArchiveFilterVariables -> ArchiveFilterVariables-Properties

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
long | Count |  | not used | read only | yes | yes
IArchiveFilter | Parent |  | not used | read only | yes | yes

Other topics in this chapter

Parent

Count


Parent

Manuel -> Interfaces de programmation -> Modèles d'objet -> ArchiveFilterVariables -> ArchiveFilterVariables-Properties -> Parent

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the parent object

Datatype

Parent() As ArchiveFilter

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes


Count

Manuel -> Interfaces de programmation -> Modèles d'objet -> ArchiveFilterVariables -> ArchiveFilterVariables-Properties -> Count

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

The method returns the number of available objects. This property is mostly used for the method Item to run through each single object.Hint: For running through entries care, that the minimum is 0 and the maximum is Count-1.

Datatype

Count() As long

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes


ArchiveFilterVariables-Methods

Manuel -> Interfaces de programmation -> Modèles d'objet -> ArchiveFilterVariables -> ArchiveFilterVariables-Methods

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
IArchiveFilterVariable | Item | - | available | not used | yes | yes
IArchiveFilterVariable | ItemById | - | not used | available | yes | yes
IArchiveFilterVariable | ItemByIdEx | - | not used | read only | yes | yes

Other topics in this chapter

Item

ItemById

ItemByIdEx


Item

Manuel -> Interfaces de programmation -> Modèles d'objet -> ArchiveFilterVariables -> ArchiveFilterVariables-Methods -> Item

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns an "ArchiveFilterVariable" object from the collection, which is identified by the parameter vNameOrPos. The parameter vNameOrPos can have two values:

  • Element name: The element can be accessed with its unique name.
  • Index: Access with an index is mostly used in combination with the property "Count" to find out the position of the "ArchiveFilterVariable" object in the list.

Hint: The returned object should be checked on Nothing, if no object for the search criteria was found.

Datatype

Item(VARIANT vNameOrPos) As ArchiveFilterVariable

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


ItemById

Manuel -> Interfaces de programmation -> Modèles d'objet -> ArchiveFilterVariables -> ArchiveFilterVariables-Methods -> ItemById

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns an "ArchiveFilterVariable" object from the collection specified by its internal uniqe ID, which is identified by the parameter vVariableId.Hint: The returned object should be checked on Nothing, if no object for the search criteria was found.

Datatype

ItemById(VARIANT vVariableId) As ArchiveFilterVariable

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


ItemByIdEx

Manuel -> Interfaces de programmation -> Modèles d'objet -> ArchiveFilterVariables -> ArchiveFilterVariables-Methods -> ItemByIdEx

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns an object of type ArchiveFilterVariable.

Datatype

ItemByIdEx(VARIANT vVariableId, VARIANT vProjectName, VARIANT vCalculation) As ArchiveFilterVariable

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes

Parameters

Uniqe PvID of linked zenOn Variable

Type of claculation as long
Calculation Types

Projectname as string

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

vVariableId As Variant

vCalculation As Variant

vProjectName As Variant

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Sub GetArchiveFilterVariable(zArvFilter As ArchiveFilter)
Dim zVariable As Variable
Dim zFilterVar As ArchiveFilterVariable
'get variable object to read the PvID!
Set zVariable = thisProject.Variables.Item("WIZ_VAR_10")
'get the filtervariable with SUM calculation
Set zFilterVar = zArvFilter.ArchiveFilterVariables.ItemByIdEx(zVariable.PvID, thisProject.Name, 1)
End Sub


Archives

Manuel -> Interfaces de programmation -> Modèles d'objet -> Archives

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

The object is a collection of all existing archives.With the property "Parent" you come to the parent of the object. The parent of the Archives object is a Project. In the Project most of the modules are anchored.With the property "Item" you can search for an archive. As search criteria you can enter the position of the archive in the list or the name.With the property "Count" you find out the number of elements in the list. With a loop you then can iterate through all elements and e.g display them.

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes

Examples

C#

//The Macro lists any Archive in the current project and prints its name

//as well as the names of any contained variable

public void MacroZenOnArchives()

{

IProject zenonProject = this.Project;

IArchives zenonArchives = zenonProject.Archives();

for (int i = 0; i < zenonArchives.Count; ++i)

{

this.Parent.Parent.DebugPrint(i + ". Archive: " + zenonArchives.Item(i).Name,

tpDebugPrintStyle.tpMsg);

}

}

public void zenOnArchiveVariables(ref IArchiveVariables zenonArchiveVariables)

{

for (int i = 0; i < zenonArchiveVariables.Count; ++i)

{

this.Parent.Parent.DebugPrint(i + zenonArchiveVariables.Item(i).Name,

tpDebugPrintStyle.tpMsg);

}

}

VB.NET

'The Macro lists any Archive in the current project and prints its name

'as well as the names of any contained variable

Public Sub MacroZenOnArchives()

Dim zenonProject As IProject = Me.Project

Dim zenonArchives As IArchives = zenonProject.Archives()

For i As Integer = 0 To zenonArchives.Count - 1

Me.Parent.Parent.DebugPrint((i & ". Archive: ") + zenonArchives.Item(i).Name, tpDebugPrintStyle.tpMsg)

Next

End Sub

Public Sub zenOnArchiveVariables(ByRef zenonArchiveVariables__1 As IArchiveVariables)

For i As Integer = 0 To zenonArchiveVariables__1.Count - 1

Me.Parent.Parent.DebugPrint(i + zenonArchiveVariables__1.Item(i).Name, tpDebugPrintStyle.tpMsg)

Next

End Sub

VBA

Sub zenOn_Archives()
'Declarations
Dim zProject As Project
Dim zArchives As Archives
Dim i As Integer

'Initialize zProject with the current project
Set zProject = thisProject
'Initialize zArchives with the current "Archive" object collection
Set zArchives = zProject.Archives

'For every "Archive" object within the collection...
For i = 0 To zArchives.Count - 1
'... output the name ...
Debug.Print i + 1 & ". Archive: " & zArchives.Item(i).Name
'... and the name of the included variables
Call zenOn_ArchiveVariables(zArchives.Item(i).ArchiveVariables)
Next i

End Sub

Sub zenOn_ArchiveVariables(ByRef zArchiveVars As ArchiveVariables)
'Declarations
Dim i As Integer

'For every "ArchiveVariable" object within the collection...
For i = 0 To zArchiveVars.Count - 1
'... output the name of the variable
Debug.Print vbTab & i + 1 & ". Var: " & zArchiveVars.Item(i).Name
Next i

End Sub

Other topics in this chapter

Archives-Properties

Archives-Methods


Archives-Properties

Manuel -> Interfaces de programmation -> Modèles d'objet -> Archives -> Archives-Properties

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
long | Count |  | not used | read only | yes | yes
IProject | Parent |  | not used | read only | yes | yes

Other topics in this chapter

Parent

Count


Parent

Manuel -> Interfaces de programmation -> Modèles d'objet -> Archives -> Archives-Properties -> Parent

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the parent object

Datatype

Parent() As Project

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes


Count

Manuel -> Interfaces de programmation -> Modèles d'objet -> Archives -> Archives-Properties -> Count

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

The method returns the number of available objects. This property is mostly used for the method Item to run through each single object.Hint: For running through entries care, that the minimum is 0 and the maximum is Count-1.

Datatype

Count() As long

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes


Archives-Methods

Manuel -> Interfaces de programmation -> Modèles d'objet -> Archives -> Archives-Methods

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
IArchive | Item | - | available | not used | yes | yes

Other topics in this chapter

Item


Item

Manuel -> Interfaces de programmation -> Modèles d'objet -> Archives -> Archives-Methods -> Item

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns an "Archive" object from the collection, which is identified by the parameter vNameOrPos. The parameter vNameOrPos can have two values:

  • Element name: The element can be accessed with its unique name.
  • Index: Access with an index is mostly used in combination with the property "Count" to find out the position of the "Archive" object in the list.

Hint:The returned object should be checked on Nothing, if no object for the search criteria was found.

Datatype

Item(VARIANT vNameOrPos) As Archive

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

//The Macro lists any Archive in the current project and prints its name

//as well as the names of any contained variable

public void MacroZenOnArchives()

{

IProject zenonProject = this.Project;

IArchives zenonArchives = zenonProject.Archives();

for (int i = 0; i < zenonArchives.Count; ++i)

{

this.Parent.Parent.DebugPrint(i + ". Archive: " + zenonArchives.Item(i).Name,

tpDebugPrintStyle.tpMsg);

}

}

public void zenOnArchiveVariables(ref IArchiveVariables zenonArchiveVariables)

{

for (int i = 0; i < zenonArchiveVariables.Count; ++i)

{

this.Parent.Parent.DebugPrint(i + zenonArchiveVariables.Item(i).Name,

tpDebugPrintStyle.tpMsg);

}

}

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


ArchivesED

Manuel -> Interfaces de programmation -> Modèles d'objet -> ArchivesED

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

The "ArchivesED" object manages the collection of "ArchiveED" objects.

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Examples

C#

public void MacroArchivesED()

{

IArchivesED zenonArchivesED = this.ActiveDocument.ArchivesED();

//For each archiveED in the project, output identification name and name

for (int i = 0; i < zenonArchivesED.Count; ++i)

{

this.Parent.DebugPrint(zenonArchivesED.Item(i).get_DynProperties("ShortName") +

" - " + zenonArchivesED.Item(i).get_DynProperties("LongName"),

tpDebugPrintStyle.tpMsg);

}

}

VB.NET

Public Sub MacroArchivesED()

Dim zenonArchivesED As IArchivesED = Me.ActiveDocument.ArchivesED()

'For each archiveED in the project, output identification name and name

For i As Integer = 0 To zenonArchivesED.Count - 1

Me.Parent.DebugPrint(zenonArchivesED.Item(i).get_DynProperties("ShortName") & " - " & zenonArchivesED.Item(i).get_DynProperties("LongName"), tpDebugPrintStyle.tpMsg)

Next

End Sub

VBA

Sub zenOn_ArchivesED()
'Declarations
Dim zArchivesED As ArchivesED
Dim i As Integer

'Initialize zArchivesED with the archives of the current editor project
Set zArchivesED = MyWorkspace.ActiveDocument.ArchivesED

'For every archive within the collection ...
For i = 0 To zArchivesED.Count - 1
With zArchivesED.Item(i)
'... output the identifier and the name
Debug.Print .DynProperties("ShortName") & " - " & .DynProperties("LongName")
End With
Next i

End Sub

Other topics in this chapter

ArchivesED-Properties

ArchivesED-Methods


ArchivesED-Properties

Manuel -> Interfaces de programmation -> Modèles d'objet -> ArchivesED -> ArchivesED-Properties

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
long | Count |  | read only | not used | yes | yes
IProject | Parent |  | read only | not used | yes | yes

Other topics in this chapter

Parent

Count


Parent

Manuel -> Interfaces de programmation -> Modèles d'objet -> ArchivesED -> ArchivesED-Properties -> Parent

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the parent object

Datatype

Parent() As Project

Availability

Environment | Available
Editor | read only
Runtime | not used
VBA | yes
VSTA | yes


Count

Manuel -> Interfaces de programmation -> Modèles d'objet -> ArchivesED -> ArchivesED-Properties -> Count

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

The method returns the number of available objects. This property is mostly used for the method Item to run through each single object.Hint: For running through entries care, that the minimum is 0 and the maximum is Count-1.

Datatype

Count() As long

Availability

Environment | Available
Editor | read only
Runtime | not used
VBA | yes
VSTA | yes


ArchivesED-Methods

Manuel -> Interfaces de programmation -> Modèles d'objet -> ArchivesED -> ArchivesED-Methods

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description |  | Editor | Runtime | VBA | VSTA
VARIANT_BOOL | CheckIn | Save module modifications to server (editor). |  | available | not used | yes | yes
VARIANT_BOOL | CheckOut | Allow module modifications (editor). |  | available | not used | yes | yes
IArchiveED | CreateArchive | - |  | available | not used | yes | yes
VARIANT_BOOL | DelArchive | - |  | available | not used | yes | yes
VARIANT_BOOL | Export | Exports the selected object to a XML file |  | available | not used | yes | yes
VARIANT_BOOL | Get | Get the latest version from the server (editor). |  | available | not used | yes | yes
VARIANT_BOOL | Import | Imports the selected XML file |  | available | not used | yes | yes
VARIANT_BOOL | IsCheckedOut | Returns true when the current module checked out by the current user (editor). |  | read only | not used | yes | yes
VARIANT_BOOL | IsDifferent | Returns true when the local and server version are different (editor). | read only |  | not used | yes |  | yes
VARIANT_BOOL | IsLocked | Returns true when the current module is Locked by another user (editor). |  | read only | not used | yes | yes
IArchiveED | Item | - |  | available | not used | yes | yes
VARIANT_BOOL | SingleExport | Exports the Item with given Name oder Index |  | available | not used | yes | yes
VARIANT_BOOL | UndoCheckOut | Undo module modifications (editor). |  | available | not used | yes | yes
VARIANT_BOOL | SingleExport | Exports the Item with given Name oder Index |  | available | not used | yes | yes

Other topics in this chapter

Item

CreateArchive

DelArchive

Get

CheckOut

CheckIn

UndoCheckOut

IsLocked

IsCheckedOut

IsDifferent

SingleExport

Export

Import


Item

Manuel -> Interfaces de programmation -> Modèles d'objet -> ArchivesED -> ArchivesED-Methods -> Item

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns an "ArchiveED" object from the collection, which is identified by the parameter vNameOrPos. The parameter vNameOrPos can have two values:

  • Element name: The element can be accessed with its unique identification name (ShortName).
  • Index: Access with an index is mostly used in combination with the property "Count" to find out the position of the "ArchiveED" object in the list.

Hint: The returned object should be checked on Nothing, if no object for the search criteria was found.

Datatype

Item(VARIANT vNameOrPos) As ArchiveED

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

public void MacroArchivesED()

{

IArchivesED zenonArchivesED = this.ActiveDocument.ArchivesED();

//For each archiveED in the project, output identification name and name

for (int i = 0; i < zenonArchivesED.Count; ++i)

{

this.Parent.DebugPrint(zenonArchivesED.Item(i).get_DynProperties("ShortName") +

" - " + zenonArchivesED.Item(i).get_DynProperties("LongName"),

tpDebugPrintStyle.tpMsg);

}

}

VB.NET

Public Sub MacroArchivesED()

Dim zenonArchivesED As IArchivesED = Me.ActiveDocument.ArchivesED()

'For each archiveED in the project, output identification name and name

For i As Integer = 0 To zenonArchivesED.Count - 1

Me.Parent.DebugPrint(zenonArchivesED.Item(i).get_DynProperties("ShortName") & " - " & zenonArchivesED.Item(i).get_DynProperties("LongName"), tpDebugPrintStyle.tpMsg)

Next

End Sub

VBA

VBA-Syntax


CreateArchive

Manuel -> Interfaces de programmation -> Modèles d'objet -> ArchivesED -> ArchivesED-Methods -> CreateArchive

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Creates a new archive ("ArchiveED" object) by its term, the name and optionally the source archive, if the new archive should be the following archive of the specified one.

Datatype

CreateArchive(String bstrShortName, String bstrLongName, IArchiveED pSourceArchive) As ArchiveED

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

public void MacroCreateArchive()

{

IArchiveED zenonArchiveED = this.ActiveDocument.ArchivesED().Item("01");

if (zenonArchiveED == null)

{

/* if there is no such archive available create it with

* the given identification name "01" and the name

* "zenon_ArchiveED"

*/

zenonArchiveED = this.ActiveDocument.ArchivesED().CreateArchive("01", "zenOn_ArchiveED", null);

}

}

VB.NET

Public Sub MacroCreateArchive()

Dim zenonArchiveED As IArchiveED = Me.ActiveDocument.ArchivesED().Item("01")

If zenonArchiveED Is Nothing Then

' if there is no such archive available create it with

' * the given identification name "01" and the name

' * "zenon_ArchiveED"

'

zenonArchiveED = Me.ActiveDocument.ArchivesED().CreateArchive("01", "zenOn_ArchiveED", Nothing)

End If

End Sub

VBA

VBA-Syntax


DelArchive

Manuel -> Interfaces de programmation -> Modèles d'objet -> ArchivesED -> ArchivesED-Methods -> DelArchive

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Delete an existing archive ("ArchiveED" object) by its name.

Datatype

DelArchive(String bstrShortName) As Boolean

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

VB.NET

VBA

VBA-Syntax

Examples

C#

public void MacroDelArchive()

{

IArchiveED zenonArchiveED = this.ActiveDocument.ArchivesED().Item("01");

if (zenonArchiveED != null)

{

//If there is an archive of given criteria - delete it

this.ActiveDocument.ArchivesED().DelArchive("01");

}

}

VB.NET

Public Sub MacroDelArchive()

Dim zenonArchiveED As IArchiveED = Me.ActiveDocument.ArchivesED().Item("01")

If zenonArchiveED IsNot Nothing Then

'If there is an archive of given criteria - delete it

Me.ActiveDocument.ArchivesED().DelArchive("01")

End If

End Sub

VBA

VBA-Syntax


Get

Manuel -> Interfaces de programmation -> Modèles d'objet -> ArchivesED -> ArchivesED-Methods -> Get

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Get the latest version from the server (editor). This option is only working for multi-user projects.

Datatype

Get() As Boolean

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

VB.NET

VBA

VBA-Syntax

Examples

C#

public void MacroGetArchive()

{

//NOTE: This will not be functional in a non-multiuser project

this.ActiveDocument.ArchivesED().Get();

//The Archive is now up to date and can be used

}

VB.NET

Public Sub MacroGetArchive()

'NOTE: This will not be functional in a non-multiuser project

Me.ActiveDocument.ArchivesED().[Get]()

'The Archive is now up to date and can be used

End Sub

VBA

VBA-Syntax


CheckOut

Manuel -> Interfaces de programmation -> Modèles d'objet -> ArchivesED -> ArchivesED-Methods -> CheckOut

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Allow module modifications (editor). This option is only working for multi-user projects.

Datatype

CheckOut() As Boolean

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

/* In case of a multiuser project you need to checkout your ArchiveEd object

* before editing it and you have to check it in again as soon as you're done.

* To do soyou can use the provided methods CheckIn and CheckOut of the ArchiveED

* object.

*/

public void MacroServerArchiveEd()

{

IArchivesED zenonArchives = this.ActiveDocument.ArchivesED();

if (!zenonArchives.CheckOut())

{

//Some error occured, the user will be informed

this.Parent.DebugPrint("Error while checking out archives",

tpDebugPrintStyle.tpErr);

}

//Do something with the archives in the collection object

//Code...

zenonArchives.CheckIn();

}

VB.NET

' In case of a multiuser project you need to checkout your ArchiveEd object

' * before editing it and you have to check it in again as soon as you're done.

' * To do soyou can use the provided methods CheckIn and CheckOut of the ArchiveED

' * object.

'

Public Sub MacroServerArchiveEd()

Dim zenonArchives As IArchivesED = Me.ActiveDocument.ArchivesED()

If Not zenonArchives.CheckOut() Then

'Some error occured, the user will be informed

Me.Parent.DebugPrint("Error while checking out archives", tpDebugPrintStyle.tpErr)

End If

'Do something with the archives in the collection object

'Code...

zenonArchives.CheckIn()

End Sub

VBA

VBA-Syntax


CheckIn

Manuel -> Interfaces de programmation -> Modèles d'objet -> ArchivesED -> ArchivesED-Methods -> CheckIn

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Save module modifications to server (editor). This option is only working for multi-user projects.

Datatype

CheckIn() As Boolean

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

/* In case of a multiuser project you need to checkout your ArchiveEd object

* before editing it and you have to check it in again as soon as you're done.

* To do soyou can use the provided methods CheckIn and CheckOut of the ArchiveED

* object.

*/

public void MacroServerArchiveEd()

{

IArchivesED zenonArchives = this.ActiveDocument.ArchivesED();

if (!zenonArchives.CheckOut())

{

//Some error occured, the user will be informed

this.Parent.DebugPrint("Error while checking out archives",

tpDebugPrintStyle.tpErr);

}

//Do something with the archives in the collection object

//Code...

zenonArchives.CheckIn();

}

VB.NET

' In case of a multiuser project you need to checkout your ArchiveEd object

' * before editing it and you have to check it in again as soon as you're done.

' * To do soyou can use the provided methods CheckIn and CheckOut of the ArchiveED

' * object.

'

Public Sub MacroServerArchiveEd()

Dim zenonArchives As IArchivesED = Me.ActiveDocument.ArchivesED()

If Not zenonArchives.CheckOut() Then

'Some error occured, the user will be informed

Me.Parent.DebugPrint("Error while checking out archives", tpDebugPrintStyle.tpErr)

End If

'Do something with the archives in the collection object

'Code...

zenonArchives.CheckIn()

End Sub

VBA

VBA-Syntax


UndoCheckOut

Manuel -> Interfaces de programmation -> Modèles d'objet -> ArchivesED -> ArchivesED-Methods -> UndoCheckOut

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Undo module modifications (editor). This option is only working for multi-user projects.

Datatype

UndoCheckOut() As Boolean

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


IsLocked

Manuel -> Interfaces de programmation -> Modèles d'objet -> ArchivesED -> ArchivesED-Methods -> IsLocked

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns true if modification changes are locked due to a checkout. This option is only working for multi-user projects.

Datatype

IsLocked() As Boolean

Availability

Environment | Available
Editor | read only
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

public void MacroLocked()

{

//NOTE: This will not be functional in a non-multiuser project

if (this.ActiveDocument.ArchivesED().IsLocked())

{

//The archives are currently locked

this.Parent.DebugPrint("Archives are locked", tpDebugPrintStyle.tpWarn);

}

}

VB.NET

Public Sub MacroLocked()

'NOTE: This will not be functional in a non-multiuser project

If Me.ActiveDocument.ArchivesED().IsLocked() Then

'The archives are currently locked

Me.Parent.DebugPrint("Archives are locked", tpDebugPrintStyle.tpWarn)

End If

End Sub

VBA

VBA-Syntax


IsCheckedOut

Manuel -> Interfaces de programmation -> Modèles d'objet -> ArchivesED -> ArchivesED-Methods -> IsCheckedOut

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns true if scripts are checked out. This option is only working for multi-user projects.

Datatype

IsCheckedOut() As Boolean

Availability

Environment | Available
Editor | read only
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

public void MacroCheckedOut()

{

//NOTE: This will not be functional in a non-multiuser project

if (this.ActiveDocument.ArchivesED().IsCheckedOut())

{

//The archives are currently checked out

this.Parent.DebugPrint("Archives are checked out", tpDebugPrintStyle.tpWarn);

}

}

VB.NET

Public Sub MacroCheckedOut()

'NOTE: This will not be functional in a non-multiuser project

If Me.ActiveDocument.ArchivesED().IsCheckedOut() Then

'The archives are currently checked out

Me.Parent.DebugPrint("Archives are checked out", tpDebugPrintStyle.tpWarn)

End If

End Sub

VBA

VBA-Syntax


IsDifferent

Manuel -> Interfaces de programmation -> Modèles d'objet -> ArchivesED -> ArchivesED-Methods -> IsDifferent

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns true if local version differs from server (editor) version. This option is only working for multi-user projects.

Datatype

IsDifferent() As VARIANT_BOOL

Availability

Environment | Available
Editor | read only
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

public void MacroIsDifferent()

{

//NOTE: This will not be functional in a non-multiuser project

//Checks if there are differences between local and server file

if (this.ActiveDocument.ArchivesED().IsDifferent())

{

this.Parent.DebugPrint("Differences between local and server version.",

tpDebugPrintStyle.tpMsg);

}

else

{

this.Parent.DebugPrint("No differences between local and server version",

tpDebugPrintStyle.tpMsg);

}

}

VB.NET

Public Sub MacroIsDifferent()

'NOTE: This will not be functional in a non-multiuser project

'Checks if there are differences between local and server file

If Me.ActiveDocument.ArchivesED().IsDifferent() Then

Me.Parent.DebugPrint("Differences between local and server version.", tpDebugPrintStyle.tpMsg)

Else

Me.Parent.DebugPrint("No differences between local and server version", tpDebugPrintStyle.tpMsg)

End If

End Sub

VBA

VBA-Syntax


SingleExport

Manuel -> Interfaces de programmation -> Modèles d'objet -> ArchivesED -> ArchivesED-Methods -> SingleExport

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

SingleExport(VARIANT vIndexOrName,BSTR bsFileName) As VARIANT_BOOL

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

VB.NET

VBA

Examples

C#

VB.NET

VBA


Export

Manuel -> Interfaces de programmation -> Modèles d'objet -> ArchivesED -> ArchivesED-Methods -> Export

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Export settings to an xml file

Datatype

Export(String bsFileName) As Boolean

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

Filename (path) as string of the xml file to export.

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

bsFileName As String

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Public Sub ExportEquipmentModel()

Dim Exported As Boolean

Exported = MyWorkspace.ActiveDocument.SystemModelManager.Export("C:\Equipment.xml")

End Sub


Import

Manuel -> Interfaces de programmation -> Modèles d'objet -> ArchivesED -> ArchivesED-Methods -> Import

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Import settings from an xml file. Existing settings will be replaced/merged.

Datatype

Import(String bsFileName) As Boolean

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

Filename (path) as string of the xml file to import.

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

bsFileName As String

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Private Sub Project Active()

Set mypicevents = thisProject.Dynpictures

Stop

thisProject.SystemModelManager.Export("AnlagenmodellEditorB.xml")

thisProject.SystemModelManager.Import("AnlagenmodellEditorB.xml")
End Sub


ArchiveValue

Manuel -> Interfaces de programmation -> Modèles d'objet -> ArchiveValue

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

The "ArchiveValue" object contains the value parameters for the "ArchiveFilterVariable" object.

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes

Examples

C#

//This method will output information of the passed ArchiveFilterVariable object

public void ArchiveValue(IArchiveFilterVariable zenonArvFilterVariable)

{

IArchiveValue zenonArvValue = zenonArvFilterVariable.

ArchiveValues().Item(0);

if (zenonArvValue == null)

{

//No value available

}

else

{

//Output some information of the value

this.Parent.Parent.DebugPrint("Date / Time: " +

TimeConversion.ZenOnToSystem((uint)zenonArvValue.Time).ToString(),

tpDebugPrintStyle.tpMsg);

this.Parent.Parent.DebugPrint("Recorded Value: " + zenonArvValue.Value,

tpDebugPrintStyle.tpMsg);

this.Parent.Parent.DebugPrint("State: &H" + zenonArvValue.Status.ToString("X"),

tpDebugPrintStyle.tpMsg);

}

}

VB.NET

'This method will output information of the passed ArchiveFilterVariable object

Public Sub ArchiveValue(zenonArvFilterVariable As IArchiveFilterVariable)

Dim zenonArvValue As IArchiveValue = zenonArvFilterVariable.ArchiveValues().Item(0)

'No value available

If zenonArvValue Is Nothing Then

Else

'Output some information of the value

Me.Parent.Parent.DebugPrint("Date / Time: " & TimeConversion.ZenOnToSystem(CUInt(zenonArvValue.Time)).ToString(), tpDebugPrintStyle.tpMsg)

Me.Parent.Parent.DebugPrint("Recorded Value: " + zenonArvValue.Value, tpDebugPrintStyle.tpMsg)

Me.Parent.Parent.DebugPrint("State: &H" & zenonArvValue.Status.ToString("X"), tpDebugPrintStyle.tpMsg)

End If

End Sub

VBA

Sub zenOn_ArchiveValue(ByRef zArvFilterVar As ArchiveFilterVariable)
'Declarations
Dim zArvValue As ArchiveValue
Dim zTimeConvert As clsTimeConvert

'Initialize zArvValue with the first available value within the current archive variable
Set zArvValue = zArvFilterVar.ArchiveValues.Item(0)

'Initialize zTimeConvert by creating a new instance of the zenOn "clsTimeConvert" macro
Set zTimeConvert = New clsTimeConvert

'If no value is available ...
If zArvValue Is Nothing Then
'... then inform the user
MsgBox ("No value available!")

'Otherwise:
Else
'Output the date and time when the value was recorded
Debug.Print "Date / Time: " & Format(zTimeConvert.zenOn2System(CDbl(zArvValue.Time)), "yyyy-mm-dd hh:mm:ss") & "." & zArvValue.TimeMilliSec
'Output the recorded value
Debug.Print "Recorded value: " & zArvValue.Value
'Output the state of the value
Debug.Print "State: &H" & Hex(zArvValue.Status)
End If

End Sub

Other topics in this chapter

ArchiveValue-Properties

ArchiveValue-Methods


ArchiveValue-Properties

Manuel -> Interfaces de programmation -> Modèles d'objet -> ArchiveValue -> ArchiveValue-Properties

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
IArchiveValues | Parent |  | not used | read only | yes | yes
long | Status | Get/Set the lower 32 status bits. | not used | available | yes | yes
long | Time |  | not used | available | yes | yes
long | TimeMilliSec |  | not used | available | yes | yes
VARIANT | Value |  | not used | available | yes | yes
long | StatusEx | Get/Set the upper 32 status bits. | not used | available | yes | yes

Other topics in this chapter

Parent

Time

TimeMilliSec

Value

Status

StatusEx


Parent

Manuel -> Interfaces de programmation -> Modèles d'objet -> ArchiveValue -> ArchiveValue-Properties -> Parent

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the parent object

Datatype

Parent() As ArchiveValues

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes


Time

Manuel -> Interfaces de programmation -> Modèles d'objet -> ArchiveValue -> ArchiveValue-Properties -> Time

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Gets or modifies the time when the value was recorded.

ATTENTION: zenOn uses UTC time internally, hence the desired start time has to be converted from the local time zone into UTC.

Please use the zenOn "clsTimeConvert" macro do that correctly.
For the macro code and further information on the zenOn "clsTimeConvert" macro, please have a look at the StartTime property within the "Archive Filter" object.

Datatype

Time() As long

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes


TimeMilliSec

Manuel -> Interfaces de programmation -> Modèles d'objet -> ArchiveValue -> ArchiveValue-Properties -> TimeMilliSec

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Gets or modifies the milliseconds, in addition to the time, when the value was recorded.

Datatype

TimeMilliSec() As long

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes


Value

Manuel -> Interfaces de programmation -> Modèles d'objet -> ArchiveValue -> ArchiveValue-Properties -> Value

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Gets or modifies the value that was recorded.

Datatype

Value() As VARIANT

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes


Status

Manuel -> Interfaces de programmation -> Modèles d'objet -> ArchiveValue -> ArchiveValue-Properties -> Status

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Gets or modifies the state of the recorded value.

Hint: For further information on state bits, please have a look at the ReaStatusStd part within the "State" object.

reads / writes the first 32-Bits (also 0 - 31)

Datatype

Status() As long

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes


StatusEx

Manuel -> Interfaces de programmation -> Modèles d'objet -> ArchiveValue -> ArchiveValue-Properties -> StatusEx

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Gets or modifies the state of the recorded value.

Hint: For further information on state bits, please have a look at the ReaStatusStd part within the "State" object.

reads / writes the upper 32-Bits (also 32 - 63)

Datatype

StatusEx() As long

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes


ArchiveValue-Methods

Manuel -> Interfaces de programmation -> Modèles d'objet -> ArchiveValue -> ArchiveValue-Methods

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
void | DynProperties [PUT] | - | available | available | yes | yes
VARIANT | DynProperties [GET] | - | available | available | yes | yes
VARIANT | DynPropertiesEnum [GET] | - | read only | read only | yes | yes
VARIANT_BOOL | SetModified | - | not used | available | yes | yes
IPropParam | DynPropertyParam [GET] | Returns the PropParam objekt of the given DynProperty | read only | not used | yes | yes

Other topics in this chapter

DynPropertyParam [GET]

DynPropertiesEnum [GET]

DynProperties [GET]

DynProperties [PUT]

SetModified


DynPropertyParam [GET]

Manuel -> Interfaces de programmation -> Modèles d'objet -> ArchiveValue -> ArchiveValue-Methods -> DynPropertyParam [GET]

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

DynPropertyParam [GET](BSTR bsPath) As PropParam

Availability

Environment | Available
Editor | read only
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


DynPropertiesEnum [GET]

Manuel -> Interfaces de programmation -> Modèles d'objet -> ArchiveValue -> ArchiveValue-Methods -> DynPropertiesEnum [GET]

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

DynPropertiesEnum(String bsPath) As VARIANT

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes

Parameters

A String which defines the Property.
Example: "NetAktive"

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

bsPath As String

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Sub ReadDynProps()
End Sub


DynProperties [GET]

Manuel -> Interfaces de programmation -> Modèles d'objet -> ArchiveValue -> ArchiveValue-Methods -> DynProperties [GET]

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

DynProperties(String bsPath) As VARIANT

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


DynProperties [PUT]

Manuel -> Interfaces de programmation -> Modèles d'objet -> ArchiveValue -> ArchiveValue-Methods -> DynProperties [PUT]

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

DynProperties (String bsPath,VARIANT vValue) As void

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

A String which defines the Property.
Example: "NetAktive"

Returns a variant value depending to the property, it can be a boolean, a long, or a whole object.

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

bsPath As String

vValue As Variant

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Sub SetDynProp()
End Sub


SetModified

Manuel -> Interfaces de programmation -> Modèles d'objet -> ArchiveValue -> ArchiveValue-Methods -> SetModified

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Use this method, in order to adopt parameter modifications.

Datatype

SetModified() As Boolean

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

//This method is only used to apply changes, for a detailed example on how to make changes to an ArchiveValue and how to use this method correctly have a look at the main topic of the ArchiveValues collection ("ArchiveValues")

VB.NET

'This method is only used to apply changes, for a detailed example on how to make changes to an ArchiveValue and how to use this method correctly have a look at the main topic of the ArchiveValues collection ("ArchiveValues")

VBA

'This method is only used to apply changes, for a detailed example on how to make changes to an ArchiveValue and how to use this method correctly have a look at the main topic of the ArchiveValues collection ("ArchiveValues")


ArchiveValues

Manuel -> Interfaces de programmation -> Modèles d'objet -> ArchiveValues

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

The "ArchiveValues" object manages the "ArchiveValue" objects.This object is utilized by the "ArchiveFilterVariable" object, in order to access the collection of "ArchiveValue" objects.

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes

Examples

C#

public void ArchiveValues(IArchiveFilterVariable zenonArvFilterVariable)

{

IArchiveValues zenonArvValues = zenonArvFilterVariable.ArchiveValues();

if (zenonArvValues == null)

{

//There are no archive values, inform the user

this.Parent.Parent.DebugPrint("There are no archive values",

tpDebugPrintStyle.tpErr);

return;

}

//Create a new archive value

/* ##############################################################

* # Attention #

* # This code is designed for spontaneous archive types. #

* # If it is used in combination with a cyclic archive, the #

* # code may corrupt the archive which results in a loss of #

* # data. #

* # #

* # Use at your own risk #

* ##############################################################

*/

IArchiveValue zenonArvValue = zenonArvValues.CreateArchiveValue();

zenonArvValue.Status = 0x1000;

zenonArvValue.Time = (int)TimeConversion.SystemToZenOn(

new DateTime(2007, 07, 30, 12, 0, 0));

zenonArvValue.TimeMilliSec = 0;

//Set your desired value

zenonArvValue.Value = 1531;

//Apply changes to the value

zenonArvValue.SetModified();

//For every archive value within the collection

for (int i = 0; i < zenonArvValues.Count; ++i)

{

zenonArvValue = zenonArvValues.Item(i);

//Print the current objects value

this.Parent.Parent.DebugPrint(i + 1 + ". Value", tpDebugPrintStyle.tpMsg);

//Print the current objects recording time

this.Parent.Parent.DebugPrint("Date / Time: " +

TimeConversion.ZenOnToSystem((uint)zenonArvValue.Time).ToString(),

tpDebugPrintStyle.tpMsg);

//Print the current objects recorded value

this.Parent.Parent.DebugPrint("Recorded value: " + zenonArvValue.Value,

tpDebugPrintStyle.tpMsg);

//Print the current objects state

this.Parent.Parent.DebugPrint("State: &H" + zenonArvValue.Status.ToString("X"),

tpDebugPrintStyle.tpMsg);

}

}

VB.NET

Public Sub ArchiveValues(zenonArvFilterVariable As IArchiveFilterVariable)

Dim zenonArvValues As IArchiveValues = zenonArvFilterVariable.ArchiveValues()

If zenonArvValues Is Nothing Then

'There are no archive values, inform the user

Me.Parent.Parent.DebugPrint("There are no archive values", tpDebugPrintStyle.tpErr)

Return

End If

'Create a new archive value

' ##############################################################

' * # Attention #

' * # This code is designed for spontaneous archive types. #

' * # If it is used in combination with a cyclic archive, the #

' * # code may corrupt the archive which results in a loss of #

' * # data. #

' * # #

' * # Use at your own risk #

' * ##############################################################

'

Dim zenonArvValue As IArchiveValue = zenonArvValues.CreateArchiveValue()

zenonArvValue.Status = &H1000

zenonArvValue.Time = CInt(TimeConversion.SystemToZenOn(New DateTime(2007, 7, 30, 12, 0, 0)))

zenonArvValue.TimeMilliSec = 0

'Set your desired value

zenonArvValue.Value = 1531

'Apply changes to the value

zenonArvValue.SetModified()

'For every archive value within the collection

For i As Integer = 0 To zenonArvValues.Count - 1

zenonArvValue = zenonArvValues.Item(i)

'Print the current objects value

Me.Parent.Parent.DebugPrint(i + 1 & ". Value", tpDebugPrintStyle.tpMsg)

'Print the current objects recording time

Me.Parent.Parent.DebugPrint("Date / Time: " & TimeConversion.ZenOnToSystem(CUInt(zenonArvValue.Time)).ToString(), tpDebugPrintStyle.tpMsg)

'Print the current objects recorded value

Me.Parent.Parent.DebugPrint("Recorded value: " + zenonArvValue.Value, tpDebugPrintStyle.tpMsg)

'Print the current objects state

Me.Parent.Parent.DebugPrint("State: &H" & zenonArvValue.Status.ToString("X"), tpDebugPrintStyle.tpMsg)

Next

End Sub

VBA

Sub zenOn_ArchiveValues(ByRef zArvFilterVar As ArchiveFilterVariable)
'Declarations
Dim zArvValues As ArchiveValues
Dim zArvValue As ArchiveValue
Dim zTimeConvert As clsTimeConvert
Dim i As Integer

'Initialize zArvValue with the archive values collection of the current archive variable
Set zArvValues = zArvFilterVar.ArchiveValues

'Initialize zTimeConvert by creating a new instance of the zenOn "clsTimeConvert" macro
Set zTimeConvert = New clsTimeConvert

'If no value is available ...
If zArvValues Is Nothing Then
'... then inform the user
MsgBox ("No archive values available!")

'Otherwise:
Else
'Create a new archive value
'!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
'!! ATTENTION: !!
'!! This code is designed for spontaneous archive types. !!
'!! If it is used in combination with a cyclic archive, this !!
'!! code may corrupt the archive, which results in an loss of !!
'!! data. !!
'!! !!
'!! USE AT YOUR OWN RISK !!
'!! !!
'!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!

'Initialize zArvValue by creating a new value entry
Set zArvValue = zArvValues.CreateArchiveValue

'Set the state of the value to a manual entry
zArvValue.Status = &H1000
'Set the time when the value was entered
zArvValue.Time = zTimeConvert.System2zenOn(CDbl(CDate("30.07.2007 12:00:00")))
'Set the milliseconds, in addition to the time
zArvValue.TimeMilliSec = 0
'Set the desired value
zArvValue.Value = 1531

'Apply the modifications to the value
zArvValue.SetModified

'For every archive value within the collection
For i = 0 To zArvValues.Count - 1
'Assign the current archive value to zArvValue
Set zArvValue = zArvValues.Item(i)
'Output the count of the value
Debug.Print i + 1 & ". Value"
'Output the date and time when the value was recorded
Debug.Print vbTab & "Date / Time: " & Format(zTimeConvert.zenOn2System(CDbl(zArvValue.Time)), "yyyy-mm-dd hh:mm:ss") & "." & zArvValue.TimeMilliSec
'Output the recorded value
Debug.Print vbTab & "Recorded value: " & zArvValue.Value
'Output the state of the value
Debug.Print vbTab & "State: &H" & Hex(zArvValue.Status)
Next i
End If
End Sub

Other topics in this chapter

ArchiveValues-Properties

ArchiveValues-Methods


ArchiveValues-Properties

Manuel -> Interfaces de programmation -> Modèles d'objet -> ArchiveValues -> ArchiveValues-Properties

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
long | Count |  | not used | read only | yes | yes
IArchiveFilterVariable | Parent |  | not used | read only | yes | yes

Other topics in this chapter

Parent

Count


Parent

Manuel -> Interfaces de programmation -> Modèles d'objet -> ArchiveValues -> ArchiveValues-Properties -> Parent

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the parent object

Datatype

Parent() As ArchiveFilterVariable

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes


Count

Manuel -> Interfaces de programmation -> Modèles d'objet -> ArchiveValues -> ArchiveValues-Properties -> Count

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

The method returns the number of available objects. This property is mostly used for the method Item to run through each single object.Hint: For running through entries care, that the minimum is 0 and the maximum is Count-1.

Datatype

Count() As long

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes


ArchiveValues-Methods

Manuel -> Interfaces de programmation -> Modèles d'objet -> ArchiveValues -> ArchiveValues-Methods

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
IArchiveValue | CreateArchiveValue | - | not used | available | yes | yes
VARIANT_BOOL | DeleteArchiveValue | - | not used | available | yes | yes
IArchiveValue | Item | - | available | available | yes | yes

Other topics in this chapter

Item

CreateArchiveValue

DeleteArchiveValue


Item

Manuel -> Interfaces de programmation -> Modèles d'objet -> ArchiveValues -> ArchiveValues-Methods -> Item

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns an "ArchiveValue" object from the collection, which is identified by the parameter vNameOrPos. The parameter vNameOrPos can have two values:

  • Element name: The element can be accessed with its unique name.
  • Index: Access with an index is mostly used in combination with the property "Count" to find out the position of the "ArchiveValue" object in the list.

Hint: The returned object should be checked on Nothing, if no object for the search criteria was found.

Datatype

Item(VARIANT vNameOrPos) As ArchiveValue

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

//For a detailed example on how to use this method have a look at the main topic ArchiveValues

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


CreateArchiveValue

Manuel -> Interfaces de programmation -> Modèles d'objet -> ArchiveValues -> ArchiveValues-Methods -> CreateArchiveValue

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

This method creates a new "ArchiveValue" object.

Datatype

CreateArchiveValue() As ArchiveValue

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

//For a detailed example have a look at the main topic ArchiveValues

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


DeleteArchiveValue

Manuel -> Interfaces de programmation -> Modèles d'objet -> ArchiveValues -> ArchiveValues-Methods -> DeleteArchiveValue

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

This method removes an existing archive value ("ArchiveValue" object) from the collection.

Datatype

DeleteArchiveValue(VARIANT vNameOrPos) As Boolean

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

public void MacroDeleteArchiveValues()

{

/*

* Gets the first ArchiveFilterVariable object in the first filter of

* the first archive, NOTE: Those are required to exist in order for the

* macro to work.

*/

IArchiveFilterVariable zenonArvVariable = this.Archives().Item(0)

.ArchiveFilters()

.Item(0).ArchiveFilterVariables()

.Item(0);

IArchiveValues zenonArchiveValues = zenonArvVariable.ArchiveValues();

//Deletes any ArchiveValue in the collection

while (zenonArchiveValues.Count > 0)

{

zenonArchiveValues.DeleteArchiveValue(0);

}

}

VB.NET

Public Sub MacroDeleteArchiveValues()

'

' * Gets the first ArchiveFilterVariable object in the first filter of

' * the first archive, NOTE: Those are required to exist in order for the

' * macro to work.

'

Dim zenonArvVariable As IArchiveFilterVariable = Me.Archives().Item(0).ArchiveFilters().Item(0).ArchiveFilterVariables().Item(0)

Dim zenonArchiveValues As IArchiveValues = zenonArvVariable.ArchiveValues()

'Deletes any ArchiveValue in the collection

While zenonArchiveValues.Count > 0

zenonArchiveValues.DeleteArchiveValue(0)

End While

End Sub

VBA

VBA-Syntax


ArchiveVarED

Manuel -> Interfaces de programmation -> Modèles d'objet -> ArchiveVarED

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

The "ArchiveVarED" object contains the assigned "Variable" object and projecting information on the calculation mode.The object is utilized by the "ArchiveED" object.

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Examples

C#

public void MacroArchiveVarEd()

{

IArchiveED zenonArchiveEd = this.ActiveDocument.ArchivesED().Item("01");

/* if there is no such archive available create it with

* the given identification name "01" and the name

* "zenon_ArchiveED"

*/

if (zenonArchiveEd == null)

{

zenonArchiveEd = this.ActiveDocument.ArchivesED().

CreateArchive("01", "zenOn_ArchiveED", null);

}

IArchiveVarED zenonArvVarEd = zenonArchiveEd.Item("WIZ_VAR_10");

if (zenonArvVarEd == null)

{

//If the variable is not assigned to the archive, add it

zenonArvVarEd = zenonArchiveEd.AddVariable("WIZ_VAR_10", tpArvVarCal.tpCalc_All, null);

}

//Output the name of the variable

this.Parent.DebugPrint("Variable Name: " +

((IVariable)zenonArvVarEd.get_DynProperties("Variable")).Name,

tpDebugPrintStyle.tpMsg);

//Output the calculation mode

this.Parent.DebugPrint("Calculation mode " +

Enum.GetName(typeof(tpArvVarCal),

zenonArvVarEd.get_DynProperties("Calculation")),

tpDebugPrintStyle.tpMsg);

}

VB.NET

Public Sub MacroArchiveVarEd()

Dim zenonArchiveEd As IArchiveED = Me.ActiveDocument.ArchivesED().Item("01")

' if there is no such archive available create it with

' * the given identification name "01" and the name

' * "zenon_ArchiveED"

'

If zenonArchiveEd Is Nothing Then

zenonArchiveEd = Me.ActiveDocument.ArchivesED().CreateArchive("01", "zenOn_ArchiveED", Nothing)

End If

Dim zenonArvVarEd As IArchiveVarED = zenonArchiveEd.Item("WIZ_VAR_10")

If zenonArvVarEd Is Nothing Then

'If the variable is not assigned to the archive, add it

zenonArvVarEd = zenonArchiveEd.AddVariable("WIZ_VAR_10", tpArvVarCal.tpCalc_All, Nothing)

End If

'Output the name of the variable

Me.Parent.DebugPrint("Variable Name: " + DirectCast(zenonArvVarEd.get_DynProperties("Variable"), IVariable).Name, tpDebugPrintStyle.tpMsg)

'Output the calculation mode

Me.Parent.DebugPrint("Calculation mode " & [Enum].GetName(GetType(tpArvVarCal), zenonArvVarEd.get_DynProperties("Calculation")), tpDebugPrintStyle.tpMsg)

End Sub

VBA

Sub zenOn_ArchiveVarED(ByRef zArchiveED As ArchiveED)
'Declarations
Dim zArvVarED As ArchiveVarED

'Initialize zArvVarED with the "ArchiveVarED" object, where the variable named "WIZ_VAR_10" is assigned to it.
Set zArvVarED = zArchiveED.Item("WIZ_VAR_10")
'If the variable is not assigned to it ...
If zArvVarED Is Nothing Then
'... then add it to the archive
Set zArvVarED = zArchiveED.AddVariable("WIZ_VAR_10", 0, Nothing)
End If

'Output the variable name
Debug.Print "Variable name: " & zArvVarED.DynProperties("Variable").Name

'Output the calculation mode
Select Case zArvVarED.DynProperties("Calculation")
Case 0
Debug.Print "Calculation mode: All values"
Case 1
Debug.Print "Calculation mode: Sum"
Case 2
Debug.Print "Calculation mode: Average"
Case 3
Debug.Print "Calculation mode: Minimum"
Case 4
Debug.Print "Calculation mode: Maximum"
End Select

End Sub

Other topics in this chapter

ArchiveVarED-Methods

ArchiveVarED-Dynamic properties


ArchiveVarED-Methods

Manuel -> Interfaces de programmation -> Modèles d'objet -> ArchiveVarED -> ArchiveVarED-Methods

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
void | DynProperties [PUT] | - | available | available | yes | yes
VARIANT | DynProperties [GET] | - | available | available | yes | yes
VARIANT | DynPropertiesEnum [GET] | - | read only | read only | yes | yes
IPropParam | DynPropertyParam [GET] | Returns the PropParam objekt of the given DynProperty | read only | not used | yes | yes

Other topics in this chapter

DynPropertyParam [GET]

DynPropertiesEnum [GET]

DynProperties [GET]

DynProperties [PUT]


DynPropertyParam [GET]

Manuel -> Interfaces de programmation -> Modèles d'objet -> ArchiveVarED -> ArchiveVarED-Methods -> DynPropertyParam [GET]

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

DynPropertyParam [GET](BSTR bsPath) As PropParam

Availability

Environment | Available
Editor | read only
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


DynPropertiesEnum [GET]

Manuel -> Interfaces de programmation -> Modèles d'objet -> ArchiveVarED -> ArchiveVarED-Methods -> DynPropertiesEnum [GET]

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

DynPropertiesEnum(String bsPath) As VARIANT

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


DynProperties [GET]

Manuel -> Interfaces de programmation -> Modèles d'objet -> ArchiveVarED -> ArchiveVarED-Methods -> DynProperties [GET]

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

DynProperties(String bsPath) As VARIANT

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


DynProperties [PUT]

Manuel -> Interfaces de programmation -> Modèles d'objet -> ArchiveVarED -> ArchiveVarED-Methods -> DynProperties [PUT]

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

DynProperties (String bsPath,VARIANT vValue) As void

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


ArchiveVarED-Dynamic properties

Manuel -> Interfaces de programmation -> Modèles d'objet -> ArchiveVarED -> ArchiveVarED-Dynamic properties

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Dynproperties

Variable archive

Other topics in this chapter

Variable archive


Variable archive

Manuel -> Interfaces de programmation -> Modèles d'objet -> ArchiveVarED -> ArchiveVarED-Dynamic properties -> Variable archive

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | VBA/VSTA Name | Display Name | Description
VT_UI1 | Calculation | Calculation |
ZT_VARIABLE | Variable | Variable |


ArchiveVariable

Manuel -> Interfaces de programmation -> Modèles d'objet -> ArchiveVariable

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

This object is an archive variable containing the projecting information. "ArchiveVariable" objects are assigned to "Archive" objects.

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes

Examples

C#

public void MacroArchiveVariable()

{

//Gets the first archive of the project

IArchive zenonArchive = this.Archives().Item(0);

if (zenonArchive == null)

{

//There is no archive, the user will be informed...

this.Parent.Parent.DebugPrint("No archive available!",

tpDebugPrintStyle.tpErr);

return;

}

IArchiveVariable zenonArvVar = zenonArchive.ArchiveVariables().Item(0);

if (zenonArvVar == null)

{

//There is no variable available

this.Parent.Parent.DebugPrint("No variable available",

tpDebugPrintStyle.tpErr);

return;

}

//Output the name of the assigned variable

this.Parent.Parent.DebugPrint("Name: " + zenonArvVar.Name,

tpDebugPrintStyle.tpMsg);

//Output the ID of the variable

this.Parent.Parent.DebugPrint("ID: " + zenonArvVar.ID,

tpDebugPrintStyle.tpMsg);

//Output the utilized unit

this.Parent.Parent.DebugPrint("Unit: " + zenonArvVar.Unit,

tpDebugPrintStyle.tpMsg);

//Output the calculation mode, if it is a following archive

this.Parent.Parent.DebugPrint("Calculation mode: " + zenonArvVar.Calculation,

tpDebugPrintStyle.tpMsg);

}

VB.NET

Public Sub MacroArchiveVariable()

'Gets the first archive of the project

Dim zenonArchive As IArchive = Me.Archives().Item(0)

If zenonArchive Is Nothing Then

'There is no archive, the user will be informed...

Me.Parent.Parent.DebugPrint("No archive available!", tpDebugPrintStyle.tpErr)

Return

End If

Dim zenonArvVar As IArchiveVariable = zenonArchive.ArchiveVariables().Item(0)

If zenonArvVar Is Nothing Then

'There is no variable available

Me.Parent.Parent.DebugPrint("No variable available", tpDebugPrintStyle.tpErr)

Return

End If

'Output the name of the assigned variable

Me.Parent.Parent.DebugPrint("Name: " + zenonArvVar.Name, tpDebugPrintStyle.tpMsg)

'Output the ID of the variable

Me.Parent.Parent.DebugPrint("ID: " + zenonArvVar.ID, tpDebugPrintStyle.tpMsg)

'Output the utilized unit

Me.Parent.Parent.DebugPrint("Unit: " + zenonArvVar.Unit, tpDebugPrintStyle.tpMsg)

'Output the calculation mode, if it is a following archive

Me.Parent.Parent.DebugPrint("Calculation mode: " + zenonArvVar.Calculation, tpDebugPrintStyle.tpMsg)

End Sub

VBA

Sub zenOn_ArchiveVariable(ByRef zArchive As Archive)
'Declarations
Dim zArvVar As ArchiveVariable

'Initialize zArvVar with the first available archive variable within the collection
Set zArvVar = zArchive.ArchiveVariables.Item(0)

'If no archive variable is available ...
If zArvVar Is Nothing Then
'... then inform the user
MsgBox ("No archive variable available!")

'Otherwise, output some details
Else
'Output the name of the assigned variable
Debug.Print "Name: " & zArvVar.Name
'Output the ID
Debug.Print "ID: " & zArvVar.ID
'Output the utilized unit
Debug.Print "Unit: " & zArvVar.Unit
'Output the utilized calculation mode, if it is a following archive
Debug.Print "Calculation mode: " & zArvVar.Calculation
End If
End Sub

Other topics in this chapter

ArchiveVariable-Properties

ArchiveVariable-Methods


ArchiveVariable-Properties

Manuel -> Interfaces de programmation -> Modèles d'objet -> ArchiveVariable -> ArchiveVariable-Properties

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
long | Calculation |  | not used | read only | yes | yes
long | ID |  | not used | read only | yes | yes
BSTR | LongText |  | not used | read only | yes | yes
BSTR | Name |  | not used | read only | yes | yes
IArchiveVariables | Parent |  | not used | read only | yes | yes
IArchiveVariable | SourceVariable |  | not used | read only | yes | yes
BSTR | Unit |  | not used | read only | yes | yes

Other topics in this chapter

Parent

Name

SourceVariable

Calculation

ID

LongText

Unit


Parent

Manuel -> Interfaces de programmation -> Modèles d'objet -> ArchiveVariable -> ArchiveVariable-Properties -> Parent

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the parent object

Datatype

Parent() As ArchiveVariables

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes


Name

Manuel -> Interfaces de programmation -> Modèles d'objet -> ArchiveVariable -> ArchiveVariable-Properties -> Name

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the name of the current "ArchiveVariable" object.

Datatype

Name() As String

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes


SourceVariable

Manuel -> Interfaces de programmation -> Modèles d'objet -> ArchiveVariable -> ArchiveVariable-Properties -> SourceVariable

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

To get the SourceVariable As ArchiveVariable

Datatype

SourceVariable() As ArchiveVariable

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes


Calculation

Manuel -> Interfaces de programmation -> Modèles d'objet -> ArchiveVariable -> ArchiveVariable-Properties -> Calculation

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

Calculation() As long

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes


ID

Manuel -> Interfaces de programmation -> Modèles d'objet -> ArchiveVariable -> ArchiveVariable-Properties -> ID

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the unique ID of the current "ArchiveVariable" object.

Datatype

ID() As long

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes


LongText

Manuel -> Interfaces de programmation -> Modèles d'objet -> ArchiveVariable -> ArchiveVariable-Properties -> LongText

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the identifier of the current "ArchiveVariable" object.

Datatype

LongText() As String

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes


Unit

Manuel -> Interfaces de programmation -> Modèles d'objet -> ArchiveVariable -> ArchiveVariable-Properties -> Unit

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the unit (as string) of the current "ArchiveVariable" object.

Datatype

Unit() As String

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes


ArchiveVariable-Methods

Manuel -> Interfaces de programmation -> Modèles d'objet -> ArchiveVariable -> ArchiveVariable-Methods

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
IVariable | Variable | - | not used | available | yes | yes

Other topics in this chapter

Variable


Variable

Manuel -> Interfaces de programmation -> Modèles d'objet -> ArchiveVariable -> ArchiveVariable-Methods -> Variable

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the assigned variable as "Variable" object.

Datatype

Variable() As Variable

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

//For further details on how to use Variable objects have a look at the actual "Variable" topic.

VB.NET

'For further details on how to use Variable objects have a look at the actual "Variable" topic.

VBA

Sub zenOn_ArchiveVariable(ByRef zArchive As Archive)
'Declarations
Dim zArvVar As ArchiveVariable

'Initialize zArvVar with the first available archive variable within the collection
Set zArvVar = zArchive.ArchiveVariables.Item(0)

'If no archive variable is available ...
If zArvVar Is Nothing Then
'... then inform the user
MsgBox ("No archive variable available!")

'Otherwise, output some details
Else
'Output the name of the assigned variable
Debug.Print "Name: " & zArvVar.Name
'Output the ID
Debug.Print "ID: " & zArvVar.ID
'Output the utilized unit
Debug.Print "Unit: " & zArvVar.Unit
'Output the utilized calculation mode, if it is a following archive
Debug.Print "Calculation mode: " & zArvVar.Calculation
End If
End Sub


ArchiveVariables

Manuel -> Interfaces de programmation -> Modèles d'objet -> ArchiveVariables

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

The "ArchiveVariables" object is a collection of all defined "ArchiveVariable" objects.This object is utilized by the "Archive" object, in order to access the collection of "ArchiveVariable" objects.

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes

Examples

C#

public void MacroArchiveVariables()

{

//Gets the first archive of the project

IArchive zenonArchive = this.Archives().Item(0);

if (zenonArchive == null)

{

//There is no archive, the user will be informed...

this.Parent.Parent.DebugPrint("No archive available!",

tpDebugPrintStyle.tpErr);

return;

}

IArchiveVariables zenonArvVariables = zenonArchive.ArchiveVariables();

for (int i = 0; i < zenonArvVariables.Count; ++i)

{

//Output the name of the variable for each variable in the collection

this.Parent.Parent.DebugPrint(i + 1 + ". Variable: " + zenonArvVariables.Item(i).Name,

tpDebugPrintStyle.tpMsg);

}

}

VB.NET

Public Sub MacroArchiveVariables()

'Gets the first archive of the project

Dim zenonArchive As IArchive = Me.Archives().Item(0)

If zenonArchive Is Nothing Then

'There is no archive, the user will be informed...

Me.Parent.Parent.DebugPrint("No archive available!", tpDebugPrintStyle.tpErr)

Return

End If

Dim zenonArvVariables As IArchiveVariables = zenonArchive.ArchiveVariables()

For i As Integer = 0 To zenonArvVariables.Count - 1

'Output the name of the variable for each variable in the collection

Me.Parent.Parent.DebugPrint((i + 1 & ". Variable: ") + zenonArvVariables.Item(i).Name, tpDebugPrintStyle.tpMsg)

Next

End Sub

VBA

Sub zenOn_ArchiveVariables(ByRef zArchive As Archive)
'Declarations
Dim zArVars As ArchiveVariables
Dim i As Integer

'Initialize zArVars with the variable collection of the passed archive
Set zArVars = zArchive.ArchiveVariables

'For every variable within the collection...
For i = 0 To zArVars.Count - 1
'... output the name of the variable
Debug.Print i + 1 & ". Variable: " & zArVars.Item(i).Name
Next i

End Sub

Other topics in this chapter

ArchiveVariables-Properties

ArchiveVariables-Methods


ArchiveVariables-Properties

Manuel -> Interfaces de programmation -> Modèles d'objet -> ArchiveVariables -> ArchiveVariables-Properties

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
long | Count |  | not used | read only | yes | yes
IArchive | Parent |  | not used | read only | yes | yes

Other topics in this chapter

Parent

Count


Parent

Manuel -> Interfaces de programmation -> Modèles d'objet -> ArchiveVariables -> ArchiveVariables-Properties -> Parent

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the parent object

Datatype

Parent() As Archive

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes


Count

Manuel -> Interfaces de programmation -> Modèles d'objet -> ArchiveVariables -> ArchiveVariables-Properties -> Count

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

The method returns the number of available objects. This property is mostly used for the method Item to run through each single object.Hint: For running through entries care, that the minimum is 0 and the maximum is Count-1.

Datatype

Count() As long

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes


ArchiveVariables-Methods

Manuel -> Interfaces de programmation -> Modèles d'objet -> ArchiveVariables -> ArchiveVariables-Methods

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
IArchiveVariable | Item | - | available | available | yes | yes
IArchiveVariable | ItemById | - | not used | available | yes | yes
IArchiveVariable | ItemByIdEx | - | not used | read only | yes | yes

Other topics in this chapter

Item

ItemById

ItemByIdEx


Item

Manuel -> Interfaces de programmation -> Modèles d'objet -> ArchiveVariables -> ArchiveVariables-Methods -> Item

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns an "ArchiveVariable" object from the collection, which is identified by the parameter vNameOrPos. The parameter vNameOrPos can have two values:

  • Element name: The element can be accessed with its unique name.
  • Index: Access with an index is mostly used in combination with the property "Count" to find out the position of the "ArchiveVariable" object in the list.

Hint: The returned object should be checked on Nothing, if no object for the search criteria was found.

Datatype

Item(VARIANT vNameOrPos) As ArchiveVariable

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

//For details on how to get a specific variable by its collection Id have a look at the main topic "ArchiveVariables"

VB.NET

'For details on how to get a specific variable by its collection Id have a look at the main topic "ArchiveVariables"

VBA

'For details on how to get a specific variable by its collection Id have a look at the main topic "ArchiveVariables"


ItemById

Manuel -> Interfaces de programmation -> Modèles d'objet -> ArchiveVariables -> ArchiveVariables-Methods -> ItemById

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns an "ArchiveVariable" object from the collection specified by its internal uniqe ID, which is identified by the parameter vVariableId.Hint: The returned object should be checked on Nothing, if no object for the search criteria was found.

Datatype

ItemById(VARIANT vVariableId) As ArchiveVariable

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


ItemByIdEx

Manuel -> Interfaces de programmation -> Modèles d'objet -> ArchiveVariables -> ArchiveVariables-Methods -> ItemByIdEx

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns an object of type ArchiveFilterVariable.

Datatype

ItemByIdEx(VARIANT vVariableId, VARIANT vProjectName, VARIANT vCalculation) As ArchiveVariable

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes

Parameters

Uniqe PvID of linked zenOn Variable

Type of claculation as long
Calculation Types

Projectname as string

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

vVariableId As Variant

vCalculation As Variant

vProjectName As Variant

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Sub GetArchiveVariable(zArchive As Archive)
Dim zVariable As Variable
Dim zArvVar As ArchiveVariable
'get variable object to read the PvID!
Set zVariable = thisProject.Variables.Item("WIZ_VAR_10")
'get the archivevariable with SUM calculation
Set zArvVar = zArchive.ArchiveVariables.ItemByIdEx(zVariable.PvID, thisProject.Name, 1)
End Sub


ArvTemplate

Manuel -> Interfaces de programmation -> Modèles d'objet -> ArvTemplate

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Is used to call the dynamic properties for this object.

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Examples

C#

public void MacroGetTemplates()

{

IArvTemplates zenonArvTemplates = this.GetArvTemplates();

if (zenonArvTemplates != null)

{

//Get the first template if the collection is not a null pointer

IArvTemplate zenonArvTemplate = zenonArvTemplates.Item(0);

if (zenonArvTemplate != null)

{

this.Parent.DebugPrint("Name: " + zenonArvTemplate.get_DynProperties("Name"),

tpDebugPrintStyle.tpMsg);

this.Parent.DebugPrint("GUID: " + zenonArvTemplate.get_DynProperties("GUID"),

tpDebugPrintStyle.tpMsg);

this.Parent.DebugPrint("ImportPath: " + zenonArvTemplate.get_DynProperties("ImportPath"),

tpDebugPrintStyle.tpMsg);

this.Parent.DebugPrint("Folder: " + zenonArvTemplate.get_DynProperties("Folder"),

tpDebugPrintStyle.tpMsg);

this.Parent.DebugPrint("Language: " + zenonArvTemplate.get_DynProperties("Language"),

tpDebugPrintStyle.tpMsg);

this.Parent.DebugPrint("Description: " + zenonArvTemplate.get_DynProperties("Description"),

tpDebugPrintStyle.tpMsg);

this.Parent.DebugPrint("CopaDataTemplate: " + zenonArvTemplate.get_DynProperties("CopaDataTemplate"),

tpDebugPrintStyle.tpMsg);

}

}

}

VB.NET

Public Sub MacroGetTemplates()

Dim zenonArvTemplates As IArvTemplates = Me.GetArvTemplates()

If zenonArvTemplates IsNot Nothing Then

'Get the first template if the collection is not a null pointer

Dim zenonArvTemplate As IArvTemplate = zenonArvTemplates.Item(0)

If zenonArvTemplate IsNot Nothing Then

Me.Parent.DebugPrint("Name: " & zenonArvTemplate.get_DynProperties("Name"), tpDebugPrintStyle.tpMsg)

Me.Parent.DebugPrint("GUID: " & zenonArvTemplate.get_DynProperties("GUID"), tpDebugPrintStyle.tpMsg)

Me.Parent.DebugPrint("ImportPath: " & zenonArvTemplate.get_DynProperties("ImportPath"), tpDebugPrintStyle.tpMsg)

Me.Parent.DebugPrint("Folder: " & zenonArvTemplate.get_DynProperties("Folder"), tpDebugPrintStyle.tpMsg)

Me.Parent.DebugPrint("Language: " & zenonArvTemplate.get_DynProperties("Language"), tpDebugPrintStyle.tpMsg)

Me.Parent.DebugPrint("Description: " & zenonArvTemplate.get_DynProperties("Description"), tpDebugPrintStyle.tpMsg)

Me.Parent.DebugPrint("CopaDataTemplate: " & zenonArvTemplate.get_DynProperties("CopaDataTemplate"), tpDebugPrintStyle.tpMsg)

End If

End If

End Sub

VBA

Private Sub GetTemplates()

Dim IArvTemplates As ArvTemplates

Dim IArvTemplate As ArvTemplate

Dim Count As Integer

Dim Ok As Boolean

' --- Auswahl über den Namen

Set IArvTemplates = MyWorkspace.GetArvTemplates()

If Not IArvTemplates Is Nothing Then

Set IArvTemplate = IArvTemplates.Item("Test 3")

Ok = PrintTemplate(IArvTemplate)

End If

' --- Auswahl über den Index

Set IArvTemplates = MyWorkspace.GetArvTemplates()

If Not IArvTemplates Is Nothing Then

Count = IArvTemplates.Count

For i = 0 To Count - 1

Set IArvTemplate = IArvTemplates.Item(i)

Ok = PrintTemplate(IArvTemplate)

Next

End If

End Sub

Private Function PrintTemplate(IArvTemplate As ArvTemplate) As Boolean

If Not IArvTemplate Is Nothing Then

Debug.Print ("Name: " & IArvTemplate.DynProperties("Name"))

Debug.Print ("GUID: " & IArvTemplate.DynProperties("GUID"))

Debug.Print ("ImportPath: " & IArvTemplate.DynProperties("ImportPath"))

Debug.Print ("Folder: " & IArvTemplate.DynProperties("Folder"))

Debug.Print ("Language: " & IArvTemplate.DynProperties("Language"))

Debug.Print ("Description: " & IArvTemplate.DynProperties("Description"))

Debug.Print ("CopaDataTemplate: " & IArvTemplate.DynProperties("CopaDataTemplate"))

PrintTemplate = True

Else

PrintTemplate = False

End If

End Function

Other topics in this chapter

ArvTemplate-Methods

ArvTemplate-Dynamic properties


ArvTemplate-Methods

Manuel -> Interfaces de programmation -> Modèles d'objet -> ArvTemplate -> ArvTemplate-Methods

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
IPropParam | DynPropertyParam [GET] | Returns the PropParam objekt of the given DynProperty | read only | not used | yes | yes
VARIANT | DynPropertiesEnum [GET] |  | read only | not used | yes | yes
VARIANT | DynProperties [GET] |  | read only | not used | yes | yes

Other topics in this chapter

DynPropertyParam [GET]

DynPropertiesEnum [GET]

DynProperties [GET]


DynPropertyParam [GET]

Manuel -> Interfaces de programmation -> Modèles d'objet -> ArvTemplate -> ArvTemplate-Methods -> DynPropertyParam [GET]

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

DynPropertyParam [GET](BSTR bsPath) As IPropParam

Availability

Environment | Available
Editor | read only
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

VB.NET

VBA

Examples

C#

VB.NET

VBA


DynPropertiesEnum [GET]

Manuel -> Interfaces de programmation -> Modèles d'objet -> ArvTemplate -> ArvTemplate-Methods -> DynPropertiesEnum [GET]

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

DynPropertiesEnum [GET](BSTR bsPath) As VARIANT

Availability

Environment | Available
Editor | read only
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

VB.NET

VBA

Examples

C#

VB.NET

VBA


DynProperties [GET]

Manuel -> Interfaces de programmation -> Modèles d'objet -> ArvTemplate -> ArvTemplate-Methods -> DynProperties [GET]

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

DynProperties [GET](BSTR bsPath) As VARIANT

Availability

Environment | Available
Editor | read only
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

VB.NET

VBA

Examples

C#

VB.NET

VBA


ArvTemplate-Dynamic properties

Manuel -> Interfaces de programmation -> Modèles d'objet -> ArvTemplate -> ArvTemplate-Dynamic properties

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Dynproperties

CArvTemplate

Other topics in this chapter

CArvTemplate


CArvTemplate

Manuel -> Interfaces de programmation -> Modèles d'objet -> ArvTemplate -> ArvTemplate-Dynamic properties -> CArvTemplate

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | VBA/VSTA Name | Display Name | Description
VT_BSTR | Name | Name | Description
VT_BSTR | GUID | GUID | Description
VT_BSTR | Language | Language | Description
VT_BSTR | ImportPath | ImportPath | Description
VT_BSTR | Folder | Folder | Description
VT_BSTR | Description | Description | Description
VT_BOOL | CopaDataTemplate | CopaDataTemplate | Description


ArvTemplates

Manuel -> Interfaces de programmation -> Modèles d'objet -> ArvTemplates

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Templates can be transfered in screens.

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Examples

C#

public void MacroGetTemplates()

{

IArvTemplates zenonArvTemplates = this.GetArvTemplates();

if (zenonArvTemplates != null)

{

//Get the first template if the collection is not a null pointer

IArvTemplate zenonArvTemplate = zenonArvTemplates.Item(0);

if (zenonArvTemplate != null)

{

this.Parent.DebugPrint("Name: " + zenonArvTemplate.get_DynProperties("Name"),

tpDebugPrintStyle.tpMsg);

this.Parent.DebugPrint("GUID: " + zenonArvTemplate.get_DynProperties("GUID"),

tpDebugPrintStyle.tpMsg);

this.Parent.DebugPrint("ImportPath: " + zenonArvTemplate.get_DynProperties("ImportPath"),

tpDebugPrintStyle.tpMsg);

this.Parent.DebugPrint("Folder: " + zenonArvTemplate.get_DynProperties("Folder"),

tpDebugPrintStyle.tpMsg);

this.Parent.DebugPrint("Language: " + zenonArvTemplate.get_DynProperties("Language"),

tpDebugPrintStyle.tpMsg);

this.Parent.DebugPrint("Description: " + zenonArvTemplate.get_DynProperties("Description"),

tpDebugPrintStyle.tpMsg);

this.Parent.DebugPrint("CopaDataTemplate: " + zenonArvTemplate.get_DynProperties("CopaDataTemplate"),

tpDebugPrintStyle.tpMsg);

}

}

}

VB.NET

Public Sub MacroGetTemplates()

Dim zenonArvTemplates As IArvTemplates = Me.GetArvTemplates()

If zenonArvTemplates IsNot Nothing Then

'Get the first template if the collection is not a null pointer

Dim zenonArvTemplate As IArvTemplate = zenonArvTemplates.Item(0)

If zenonArvTemplate IsNot Nothing Then

Me.Parent.DebugPrint("Name: " & zenonArvTemplate.get_DynProperties("Name"), tpDebugPrintStyle.tpMsg)

Me.Parent.DebugPrint("GUID: " & zenonArvTemplate.get_DynProperties("GUID"), tpDebugPrintStyle.tpMsg)

Me.Parent.DebugPrint("ImportPath: " & zenonArvTemplate.get_DynProperties("ImportPath"), tpDebugPrintStyle.tpMsg)

Me.Parent.DebugPrint("Folder: " & zenonArvTemplate.get_DynProperties("Folder"), tpDebugPrintStyle.tpMsg)

Me.Parent.DebugPrint("Language: " & zenonArvTemplate.get_DynProperties("Language"), tpDebugPrintStyle.tpMsg)

Me.Parent.DebugPrint("Description: " & zenonArvTemplate.get_DynProperties("Description"), tpDebugPrintStyle.tpMsg)

Me.Parent.DebugPrint("CopaDataTemplate: " & zenonArvTemplate.get_DynProperties("CopaDataTemplate"), tpDebugPrintStyle.tpMsg)

End If

End If

End Sub

VBA

Private Sub GetTemplates()

Dim IArvTemplates As ArvTemplates

Dim IArvTemplate As ArvTemplate

Dim Count As Integer

Dim Ok As Boolean

' --- Auswahl über den Namen

Set IArvTemplates = MyWorkspace.GetArvTemplates()

If Not IArvTemplates Is Nothing Then

Set IArvTemplate = IArvTemplates.Item("Test 3")

Ok = PrintTemplate(IArvTemplate)

End If

' --- Auswahl über den Index

Set IArvTemplates = MyWorkspace.GetArvTemplates()

If Not IArvTemplates Is Nothing Then

Count = IArvTemplates.Count

For i = 0 To Count - 1

Set IArvTemplate = IArvTemplates.Item(i)

Ok = PrintTemplate(IArvTemplate)

Next

End If

End Sub

Private Function PrintTemplate(IArvTemplate As ArvTemplate) As Boolean

If Not IArvTemplate Is Nothing Then

Debug.Print ("Name: " & IArvTemplate.DynProperties("Name"))

Debug.Print ("GUID: " & IArvTemplate.DynProperties("GUID"))

Debug.Print ("ImportPath: " & IArvTemplate.DynProperties("ImportPath"))

Debug.Print ("Folder: " & IArvTemplate.DynProperties("Folder"))

Debug.Print ("Language: " & IArvTemplate.DynProperties("Language"))

Debug.Print ("Description: " & IArvTemplate.DynProperties("Description"))

Debug.Print ("CopaDataTemplate: " & IArvTemplate.DynProperties("CopaDataTemplate"))

PrintTemplate = True

Else

PrintTemplate = False

End If

End Function

Other topics in this chapter

ArvTemplates-Properties

ArvTemplates-Methods


ArvTemplates-Properties

Manuel -> Interfaces de programmation -> Modèles d'objet -> ArvTemplates -> ArvTemplates-Properties

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
long | Count | Count of Archive Templates in the Collection | available | not used | yes | yes

Other topics in this chapter

Count


Count

Manuel -> Interfaces de programmation -> Modèles d'objet -> ArvTemplates -> ArvTemplates-Properties -> Count

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

Count() As long

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes


ArvTemplates-Methods

Manuel -> Interfaces de programmation -> Modèles d'objet -> ArvTemplates -> ArvTemplates-Methods

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
IArvTemplate | Item | Returns the Archive Template by Name or Position | available | not used | yes | yes

Other topics in this chapter

Item


Item

Manuel -> Interfaces de programmation -> Modèles d'objet -> ArvTemplates -> ArvTemplates-Methods -> Item

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

Item(VARIANT vPosOrName) As IArvTemplate

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

VB.NET

VBA

Examples

C#

VB.NET

VBA


BatchConfig

Manuel -> Interfaces de programmation -> Modèles d'objet -> BatchConfig

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Availability

Environment | Available
Editor | available
Runtime | read only
VBA | yes
VSTA | yes

Examples

C#

VB.NET

VBA

Other topics in this chapter

BatchConfig -Properties

BatchConfig -Methods


BatchConfig -Properties

Manuel -> Interfaces de programmation -> Modèles d'objet -> BatchConfig -> BatchConfig -Properties

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
IBatchUnitsConfig | Units | Returns the units configuration | available | read only | yes | yes

Other topics in this chapter

Units


Units

Manuel -> Interfaces de programmation -> Modèles d'objet -> BatchConfig -> BatchConfig -Properties -> Units

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

Units() As IBatchUnitsConfig

Availability

Environment | Available
Editor | available
Runtime | read only
VBA | yes
VSTA | yes


BatchConfig -Methods

Manuel -> Interfaces de programmation -> Modèles d'objet -> BatchConfig -> BatchConfig -Methods

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description |  | Editor | Runtime | VBA | VSTA
VARIANT_BOOL | Get | Get the latest version from the server (editor). |  | available | not used | yes | yes
VARIANT_BOOL | CheckOut | Allow module modifications (editor). |  | available | not used | yes | yes
VARIANT_BOOL | CheckIn | Save module modifications to server (editor). |  | available | not used | yes | yes
VARIANT_BOOL | UndoCheckOut | Undo module modifications (editor). |  | available | not used | yes | yes
VARIANT_BOOL | IsLocked | Returns true when the current module is Locked by another user (editor). |  | read only | not used | yes | yes
VARIANT_BOOL | IsCheckedOut | Returns true when the current module checked out by the current user (editor). |  | read only | not used | yes | yes
VARIANT_BOOL | IsDifferent | Returns true when the local and server version are different (editor). | read only |  | not used | yes |  | yes

Other topics in this chapter

Get

CheckOut

CheckIn

UndoCheckOut

IsLocked

IsCheckedOut

IsDifferent


Get

Manuel -> Interfaces de programmation -> Modèles d'objet -> BatchConfig -> BatchConfig -Methods -> Get

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

Get() As VARIANT_BOOL

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

VB.NET

VBA

Examples

C#

VB.NET

VBA


CheckOut

Manuel -> Interfaces de programmation -> Modèles d'objet -> BatchConfig -> BatchConfig -Methods -> CheckOut

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

CheckOut() As VARIANT_BOOL

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

VB.NET

VBA

Examples

C#

VB.NET

VBA


CheckIn

Manuel -> Interfaces de programmation -> Modèles d'objet -> BatchConfig -> BatchConfig -Methods -> CheckIn

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

CheckIn() As VARIANT_BOOL

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

VB.NET

VBA

Examples

C#

VB.NET

VBA


UndoCheckOut

Manuel -> Interfaces de programmation -> Modèles d'objet -> BatchConfig -> BatchConfig -Methods -> UndoCheckOut

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

UndoCheckOut() As VARIANT_BOOL

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

VB.NET

VBA

Examples

C#

VB.NET

VBA


IsLocked

Manuel -> Interfaces de programmation -> Modèles d'objet -> BatchConfig -> BatchConfig -Methods -> IsLocked

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

IsLocked() As VARIANT_BOOL

Availability

Environment | Available
Editor | read only
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

VB.NET

VBA

Examples

C#

VB.NET

VBA


IsCheckedOut

Manuel -> Interfaces de programmation -> Modèles d'objet -> BatchConfig -> BatchConfig -Methods -> IsCheckedOut

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

IsCheckedOut() As VARIANT_BOOL

Availability

Environment | Available
Editor | read only
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

VB.NET

VBA

Examples

C#

VB.NET

VBA


IsDifferent

Manuel -> Interfaces de programmation -> Modèles d'objet -> BatchConfig -> BatchConfig -Methods -> IsDifferent

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

IsDifferent() As VARIANT_BOOL

Availability

Environment | Available
Editor | read only
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

VB.NET

VBA

Examples

C#

VB.NET

VBA


BatchControlRecipe

Manuel -> Interfaces de programmation -> Modèles d'objet -> BatchControlRecipe

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

A batch control recipe is an instance of a batch master recipe created for a single execution.

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes

Other topics in this chapter

BatchControlRecipe-Properties

BatchControlRecipe-Methods


BatchControlRecipe-Properties

Manuel -> Interfaces de programmation -> Modèles d'objet -> BatchControlRecipe -> BatchControlRecipe-Properties

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
long | ID | Returns the Id of the control recipe | not used | read only | yes | yes
BSTR | Name | Returns the name of the control recipe | not used | read only | yes | yes
BSTR | Description | Returns the description of the control recipe | not used | read only | yes | yes
tpBatchCRState | CRState | Returns the state the control recipe | not used | read only | yes | yes
BSTR | JobId | Returns the job id the control recipe | not used | read only | yes | yes
IVariable | JobVariable | Returns the job variable of the control recipe | not used | read only | yes | yes
DATE | CreatedTime | Returns the creation time of the control recipe | not used | read only | yes | yes
BSTR | CreatedUserName | Returns the creation user name of the control recipe | not used | read only | yes | yes
BSTR | CreatedUserId | Returns the creation user id of the control recipe | not used | read only | yes | yes
DATE | StartedTime | Returns the started time of the control recipes | not used | read only | yes | yes
BSTR | StartedUserName | Returns the started user name of the control recipe | not used | read only | yes | yes
BSTR | StartedUserId | Returns the started user id of the control recipe | not used | read only | yes | yes
long | MRId | Returns the Id of the master recipe | not used | read only | yes | yes
BSTR | MRName | Returns the name of the master recipe | not used | read only | yes | yes
BSTR | MRDescription | Returns the description of the master recipe | not used | read only | yes | yes
tpBatchMRState | MRState | Returns the state of the master recipe | not used | read only | yes | yes
tpBatchExecutionState | ExecutionState | Returns the state of the recipe engine | not used | read only | yes | yes
BSTR | Type | Returns the type of the recipe | not used | read only | yes | yes
tpBatchExecutionMode | ExecutionMode | Returns the mode of the recipe | not used | read only | yes | yes
DATE | ApprovedTime | Returns the approved time of the master recipe | not used | read only | yes | yes
BSTR | ApprovedUserName | Returns the approved user name of the master recipe | not used | read only | yes | yes
BSTR | ApprovedUserId | Returns the approved user id of the master recipe | not used | read only | yes | yes
DATE | OutdatedTime | Returns the outdated time of the master recipe | not used | read only | yes | yes
BSTR | OutdatedUserName | Returns the outdated user name of the master recipe | not used | read only | yes | yes
BSTR | OutdatedUserId | Returns the outdated user id of the master recipe | not used | read only | yes | yes
long | MRVersion | Returns the version of the master recipe | not used | read only | yes | yes
long | MRSourceVersion | Returns the version of the source master recipe | not used | read only | yes | yes

Other topics in this chapter

ID

Name

Description

CRState

JobId

JobVariable

CreatedTime

CreatedUserName

CreatedUserId

StartedTime

StartedUserName

StartedUserId

MRId

MRName

MRDescription

MRState

ExecutionState

Type

ExecutionMode

ApprovedTime

ApprovedUserName

ApprovedUserId

OutdatedTime

OutdatedUserName

OutdatedUserId

MRVersion

MRSourceVersion


ID

Manuel -> Interfaces de programmation -> Modèles d'objet -> BatchControlRecipe -> BatchControlRecipe-Properties -> ID

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

ID() As long

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes


Name

Manuel -> Interfaces de programmation -> Modèles d'objet -> BatchControlRecipe -> BatchControlRecipe-Properties -> Name

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

Name() As BSTR

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes


Description

Manuel -> Interfaces de programmation -> Modèles d'objet -> BatchControlRecipe -> BatchControlRecipe-Properties -> Description

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

Description() As BSTR

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes


CRState

Manuel -> Interfaces de programmation -> Modèles d'objet -> BatchControlRecipe -> BatchControlRecipe-Properties -> CRState

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

CRState() As tpBatchCRState

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes


JobId

Manuel -> Interfaces de programmation -> Modèles d'objet -> BatchControlRecipe -> BatchControlRecipe-Properties -> JobId

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

JobId() As BSTR

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes


JobVariable

Manuel -> Interfaces de programmation -> Modèles d'objet -> BatchControlRecipe -> BatchControlRecipe-Properties -> JobVariable

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

JobVariable() As IVariable

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes


CreatedTime

Manuel -> Interfaces de programmation -> Modèles d'objet -> BatchControlRecipe -> BatchControlRecipe-Properties -> CreatedTime

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

CreatedTime() As DATE

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes


CreatedUserName

Manuel -> Interfaces de programmation -> Modèles d'objet -> BatchControlRecipe -> BatchControlRecipe-Properties -> CreatedUserName

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

CreatedUserName() As BSTR

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes


CreatedUserId

Manuel -> Interfaces de programmation -> Modèles d'objet -> BatchControlRecipe -> BatchControlRecipe-Properties -> CreatedUserId

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

CreatedUserId() As BSTR

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes


StartedTime

Manuel -> Interfaces de programmation -> Modèles d'objet -> BatchControlRecipe -> BatchControlRecipe-Properties -> StartedTime

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

StartedTime() As DATE

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes


StartedUserName

Manuel -> Interfaces de programmation -> Modèles d'objet -> BatchControlRecipe -> BatchControlRecipe-Properties -> StartedUserName

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

StartedUserName() As BSTR

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes


StartedUserId

Manuel -> Interfaces de programmation -> Modèles d'objet -> BatchControlRecipe -> BatchControlRecipe-Properties -> StartedUserId

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

StartedUserId() As BSTR

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes


MRId

Manuel -> Interfaces de programmation -> Modèles d'objet -> BatchControlRecipe -> BatchControlRecipe-Properties -> MRId

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

MRId() As long

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes


MRName

Manuel -> Interfaces de programmation -> Modèles d'objet -> BatchControlRecipe -> BatchControlRecipe-Properties -> MRName

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

MRName() As BSTR

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes


MRDescription

Manuel -> Interfaces de programmation -> Modèles d'objet -> BatchControlRecipe -> BatchControlRecipe-Properties -> MRDescription

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

MRDescription() As BSTR

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes


MRState

Manuel -> Interfaces de programmation -> Modèles d'objet -> BatchControlRecipe -> BatchControlRecipe-Properties -> MRState

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

MRState() As tpBatchMRState

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes


ExecutionState

Manuel -> Interfaces de programmation -> Modèles d'objet -> BatchControlRecipe -> BatchControlRecipe-Properties -> ExecutionState

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

ExecutionState() As tpBatchExecutionState

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes


Type

Manuel -> Interfaces de programmation -> Modèles d'objet -> BatchControlRecipe -> BatchControlRecipe-Properties -> Type

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

Type() As BSTR

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes


ExecutionMode

Manuel -> Interfaces de programmation -> Modèles d'objet -> BatchControlRecipe -> BatchControlRecipe-Properties -> ExecutionMode

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

ExecutionMode() As tpBatchExecutionMode

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes


ApprovedTime

Manuel -> Interfaces de programmation -> Modèles d'objet -> BatchControlRecipe -> BatchControlRecipe-Properties -> ApprovedTime

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

ApprovedTime() As DATE

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes


ApprovedUserName

Manuel -> Interfaces de programmation -> Modèles d'objet -> BatchControlRecipe -> BatchControlRecipe-Properties -> ApprovedUserName

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

ApprovedUserName() As BSTR

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes


ApprovedUserId

Manuel -> Interfaces de programmation -> Modèles d'objet -> BatchControlRecipe -> BatchControlRecipe-Properties -> ApprovedUserId

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

ApprovedUserId() As BSTR

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes


OutdatedTime

Manuel -> Interfaces de programmation -> Modèles d'objet -> BatchControlRecipe -> BatchControlRecipe-Properties -> OutdatedTime

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

OutdatedTime() As DATE

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes


OutdatedUserName

Manuel -> Interfaces de programmation -> Modèles d'objet -> BatchControlRecipe -> BatchControlRecipe-Properties -> OutdatedUserName

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

OutdatedUserName() As BSTR

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes


OutdatedUserId

Manuel -> Interfaces de programmation -> Modèles d'objet -> BatchControlRecipe -> BatchControlRecipe-Properties -> OutdatedUserId

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

OutdatedUserId() As BSTR

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes


MRVersion

Manuel -> Interfaces de programmation -> Modèles d'objet -> BatchControlRecipe -> BatchControlRecipe-Properties -> MRVersion

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Version number of the template recipe.

Datatype

MRVersion() As long

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes


MRSourceVersion

Manuel -> Interfaces de programmation -> Modèles d'objet -> BatchControlRecipe -> BatchControlRecipe-Properties -> MRSourceVersion

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Version number of the source recipe.

Datatype

MRSourceVersion() As long

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes


BatchControlRecipe-Methods

Manuel -> Interfaces de programmation -> Modèles d'objet -> BatchControlRecipe -> BatchControlRecipe-Methods

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
tpRecipeRenameResult | SetNameAndDescription | Tries to rename the recipe and sets the description. Returns a result code whether the operation was successful or not. | not used | read only | yes | yes

Other topics in this chapter

SetNameAndDescription


SetNameAndDescription

Manuel -> Interfaces de programmation -> Modèles d'objet -> BatchControlRecipe -> BatchControlRecipe-Methods -> SetNameAndDescription

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

This method changes the name and the description of the control recipe if possible. The method returns a result code for the operation.

Note, that the control recipe instance you are working on is a copy of the original data. To get an updated version of the control recipe you have to get it again from the control recipes container.

Datatype

SetNameAndDescription(BSTR newName, BSTR newDescription) As tpRecipeRenameResult

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes

Parameters

C#

VB.NET

VBA

Examples

C#

//Function to rename a control recipe and set its description

public void Macro_SetControlRecipeNameAndDescription()

{

//Get the control recipe that is to be renamed

IBatchControlRecipe cr = BatchManager().MasterRecipes().Item("masterRecipeName", 1).

ControlRecipes(tpBatchCRStateFilter.tpCRStateFilterAll).ItemByName("oldControlRecipeName");

//rename the control recipe and set its description

tpRecipeRenameResult result = cr.SetNameAndDescription("newName", "newDescription");

//Output result if the operation failed

if (result != tpRecipeRenameResult.tpRecipeRenameSuccess)

{

MessageBox.Show(null, "Rename Failed. Error Code: " + result.ToString(), "rename master recipe result", MessageBoxButtons.OK, MessageBoxIcon.None);

}

}

VB.NET

'Function to rename a control recipe and set its description

Public Sub Macro_SetControlRecipeNameAndDescription()

'Get the control recipe that is to be renamed

Dim cr As IBatchControlRecipe = BatchManager().MasterRecipes().Item("masterRecipeName", 1).ControlRecipes(tpBatchCRStateFilter.tpCRStateFilterAll).ItemByName("oldControlRecipeName")

'rename the control recipe and set its description

Dim result As tpRecipeRenameResult = cr.SetNameAndDescription("newName", "newDescription")

'Output result if the operation failed

If result <> tpRecipeRenameResult.tpRecipeRenameSuccess Then

MessageBox.Show(Nothing, "Rename Failed. Error Code: " & result.ToString(), "rename master recipe result", MessageBoxButtons.OK, MessageBoxIcon.None)

End If

End Sub

VBA

'Function to rename a control recipe and set its description

Public Sub SetControlRecipeNameAndDescription()

'Get the control recipe that is to be renamed

Dim cr As BatchControlRecipe

Set cr = thisProject.BatchManager.MasterRecipes.Item("masterRecipeName", 1).ControlRecipes(tpCRStateFilterAll).ItemByName("oldControlRecipeName")

'rename the control recipe and set its description

Dim result As tpRecipeRenameResult 'resultcode for the operation

result = cr.SetNameAndDescription("newName", "newDescription")

'Output result if the operation failed

If result <> tpRecipeRenameSuccess Then

MsgBox ("Rename Failed. Error Code: " & CStr(result))

End If

End Sub


BatchControlRecipePhaseEditedEventData

Manuel -> Interfaces de programmation -> Modèles d'objet -> BatchControlRecipePhaseEditedEventData

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

The data class that gets passed when the ControlRecipePhaseEdited Event of the BatchManager is fired. It contains all relevant information for this event.

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes

Examples

C#

void ThisProject_Active()

{

//Check in the ControlRecipePhaseEdited Event

BatchManager().ControlRecipePhaseEdited += new ControlRecipePhaseEditedEventHandler(ThisProject_ControlRecipePhaseEdited);

}

void ThisProject_ControlRecipePhaseEdited(IBatchControlRecipePhaseEditedEventData eventData)

{

//Get the ID of the changed tags from the event data changes collection

string additionalInformation = "Changes[Tag-ID]: ";

for (var index = 0; index < eventData.Changes.TagIdCount; index++)

{

additionalInformation += "" + eventData.Changes.TagIdByIndex(index) + "; ";

}

additionalInformation += " -- Comment:\"" + eventData.Comment + "\"";

//Write debug message to the listener when event is fired.

System.Diagnostics.Debug.WriteLine("[" + eventData.Time + "] Control Recipe Edited. >> " + additionalInformation);

}

void ThisProject_Inactive()

{

//Check out the ControlRecipePhaseEdited Event

BatchManager().ControlRecipePhaseEdited -= ThisProject_ControlRecipePhaseEdited;

//Final release and garbage collection of any API-Objects.

FreeObjects();

}

VB.NET

Private Sub ThisProject_Active()

'Check in the ControlRecipePhaseEdited Event

AddHandler BatchManager().ControlRecipePhaseEdited, AddressOf ThisProject_ControlRecipePhaseEdited

End Sub

Private Sub ThisProject_ControlRecipePhaseEdited(eventData As IBatchControlRecipePhaseEditedEventData)

'Get the ID of the changed tags from the event data changes collection

Dim additionalInformation As String = "Changes[Tag-ID]: "

For index As var = 0 To eventData.Changes.TagIdCount - 1

additionalInformation += "" & eventData.Changes.TagIdByIndex(index) & "; "

Next

additionalInformation += " -- Comment:""" & Convert.ToString(eventData.Comment) & """"

'Write debug message to the listener when event is fired.

System.Diagnostics.Debug.WriteLine("[" & Convert.ToString(eventData.Time) & "] Control Recipe Edited. >> " & additionalInformation)

End Sub

Private Sub ThisProject_Inactive()

'Check out the ControlRecipePhaseEdited Event

RemoveHandler BatchManager().ControlRecipePhaseEdited, AddressOf ThisProject_ControlRecipePhaseEdited

'Final release and garbage collection of any API-Objects.

FreeObjects()

End Sub

VBA

Other topics in this chapter

BatchControlRecipePhaseEditedEventData-Properties


BatchControlRecipePhaseEditedEventData-Properties

Manuel -> Interfaces de programmation -> Modèles d'objet -> BatchControlRecipePhaseEditedEventData -> BatchControlRecipePhaseEditedEventData-Properties

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
DATE | Time | Time when the event was fired | not used | read only | yes | yes
IBatchOperation | Operation | Operation that contains the phase that fired the event. null if the phase is in no operation | not used | read only | yes | yes
IBatchControlRecipe | ControlRecipe | Control recipe for which the event was fired | not used | read only | yes | yes
IUser | User | Logged in user | not used | read only | yes | yes
IBatchPhase | OldPhase | Phase before the change | not used | read only | yes | yes
IBatchPhase | NewPhase | Phase after the change | not used | read only | yes | yes
BSTR | Comment | User Comment for the change | not used | read only | yes | yes
IBatchPhaseChanges | Changes | Ids of the changed Tags | not used | read only | yes | yes

Other topics in this chapter

Time

Operation

ControlRecipe

User

OldPhase

NewPhase

Comment

Changes


Time

Manuel -> Interfaces de programmation -> Modèles d'objet -> BatchControlRecipePhaseEditedEventData -> BatchControlRecipePhaseEditedEventData-Properties -> Time

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Timestamp at which the event was fired

Datatype

Time() As DATE

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes


Operation

Manuel -> Interfaces de programmation -> Modèles d'objet -> BatchControlRecipePhaseEditedEventData -> BatchControlRecipePhaseEditedEventData-Properties -> Operation

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Operation that contains the changed phase that fired the event. Null if the phase is not located in an operation.

Datatype

Operation() As IBatchOperation

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes


ControlRecipe

Manuel -> Interfaces de programmation -> Modèles d'objet -> BatchControlRecipePhaseEditedEventData -> BatchControlRecipePhaseEditedEventData-Properties -> ControlRecipe

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Control recipe that contains the phase that has been changed.

Datatype

ControlRecipe() As IBatchControlRecipe

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes


User

Manuel -> Interfaces de programmation -> Modèles d'objet -> BatchControlRecipePhaseEditedEventData -> BatchControlRecipePhaseEditedEventData-Properties -> User

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

User that has changed the phase

Datatype

User() As IUser

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes


OldPhase

Manuel -> Interfaces de programmation -> Modèles d'objet -> BatchControlRecipePhaseEditedEventData -> BatchControlRecipePhaseEditedEventData-Properties -> OldPhase

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

): Phase configuration from before the change

Datatype

OldPhase() As IBatchPhase

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes


NewPhase

Manuel -> Interfaces de programmation -> Modèles d'objet -> BatchControlRecipePhaseEditedEventData -> BatchControlRecipePhaseEditedEventData-Properties -> NewPhase

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Phase configuration after the change.

Datatype

NewPhase() As IBatchPhase

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes


Comment

Manuel -> Interfaces de programmation -> Modèles d'objet -> BatchControlRecipePhaseEditedEventData -> BatchControlRecipePhaseEditedEventData-Properties -> Comment

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Edit comment the user has entered for the change. Empty if change comments are disabled.

Datatype

Comment() As BSTR

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes


Changes

Manuel -> Interfaces de programmation -> Modèles d'objet -> BatchControlRecipePhaseEditedEventData -> BatchControlRecipePhaseEditedEventData-Properties -> Changes

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Object that contains information what parts of the phase where changed.

Datatype

Changes() As IBatchPhaseChanges

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes


BatchControlRecipes

Manuel -> Interfaces de programmation -> Modèles d'objet -> BatchControlRecipes

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

A collection of the batch control recipes. It is used to iterate and get the control recipes.

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes

Examples

C#

public void MacroBatchControlRecipes()

{

//Get all BatchControlRecipes of a specific masterRecipe "masterRecipeName"

IBatchControlRecipes recipes = BatchManager()

.MasterRecipes().Item("masterRecipeName", 1)

.ControlRecipes(tpBatchCRStateFilter.tpCRStateFilterAll);

//Print the name of all BatchControlRecipe objects inside the BatchControlRecipes collection

for (int i = 0; i < recipes.Count; i++)

this.Parent.Parent.DebugPrint(recipes.ItemByIndex(i).Name, tpDebugPrintStyle.tpMsg);

}

VB.NET

Public Sub MacroBatchControlRecipes()

'Get all BatchControlRecipes of a specific masterRecipe "masterRecipeName"

Dim recipes As IBatchControlRecipes = BatchManager().MasterRecipes().Item("masterRecipeName", 1).ControlRecipes(tpBatchCRStateFilter.tpCRStateFilterAll)

'Print the name of all BatchControlRecipe objects inside the BatchControlRecipes collection

For i As Integer = 0 To recipes.Count - 1

Me.Parent.Parent.DebugPrint(recipes.ItemByIndex(i).Name, tpDebugPrintStyle.tpMsg)

Next

End Sub

VBA

Other topics in this chapter

BatchControlRecipes-Properties

BatchControlRecipes-Methods


BatchControlRecipes-Properties

Manuel -> Interfaces de programmation -> Modèles d'objet -> BatchControlRecipes -> BatchControlRecipes-Properties

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
long | Count | Returns the count of items in the collection of control recipes | not used | read only | yes | yes

Other topics in this chapter

Count


Count

Manuel -> Interfaces de programmation -> Modèles d'objet -> BatchControlRecipes -> BatchControlRecipes-Properties -> Count

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

Count() As long

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes


BatchControlRecipes-Methods

Manuel -> Interfaces de programmation -> Modèles d'objet -> BatchControlRecipes -> BatchControlRecipes-Methods

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description |  | Editor | Runtime | VBA | VSTA
IBatchControlRecipe | ItemByIndex | Returns the control recipe item at the given index |  | not used | read only | yes | yes
IBatchControlRecipe | ItemByName | Returns the control recipe item with the specified name |  | not used | read only | yes | yes
IBatchControlRecipe | ItemById | Returns the control recipe item with the specified Id |  | not used | read only | yes | yes
IBatchRecipeId | Create | Creates a new control recipe. Returns the Id of the new Recipe or an empty Id if no recipe could be created. |  | not used | read only | yes | yes
IBatchControlRecipe | GetItem | Returns the control recipe item at the given index | not used |  | read only | yes |  | yes
IBatchControlRecipe | GetItemByName | Returns the control recipe item with the specified name | not used |  | read only | yes |  | yes
IBatchControlRecipe | GetItemById | Returns the control recipe item with the specified Id | not used |  | read only | yes |  | yes

Other topics in this chapter

GetItem

GetItemByName

GetItemById

Create


GetItem

Manuel -> Interfaces de programmation -> Modèles d'objet -> BatchControlRecipes -> BatchControlRecipes-Methods -> GetItem

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

GetItem(long lIndex) As IBatchControlRecipe

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes

Parameters

C#

VB.NET

VBA

Examples

C#

VB.NET

VBA


GetItemByName

Manuel -> Interfaces de programmation -> Modèles d'objet -> BatchControlRecipes -> BatchControlRecipes-Methods -> GetItemByName

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

GetItemByName(BSTR bstrName) As IBatchControlRecipe

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes

Parameters

C#

VB.NET

VBA

Examples

C#

VB.NET

VBA


GetItemById

Manuel -> Interfaces de programmation -> Modèles d'objet -> BatchControlRecipes -> BatchControlRecipes-Methods -> GetItemById

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

GetItemById(long lId) As IBatchControlRecipe

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes

Parameters

C#

VB.NET

VBA

Examples

C#

VB.NET

VBA


Create

Manuel -> Interfaces de programmation -> Modèles d'objet -> BatchControlRecipes -> BatchControlRecipes-Methods -> Create

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

This method creates a new control recipe for the master recipe to which this control recipe container belongs.

Datatype

Create() As IBatchRecipeId

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes

Parameters

C#

VB.NET

VBA

Examples

C#

//Function to create a new control recipe

public void Macro_NewControlRecipe()

{

//Get a the control recipes container for the master recipe for which we want to create a new control recipe

IBatchMasterRecipe mr = BatchManager().MasterRecipes().Item("someMasterRecipe", 1);

IBatchControlRecipes crs = mr.ControlRecipes(tpBatchCRStateFilter.tpCRStateFilterAll);

//Create a new control recipe

tpCRCreateResult result; //Variable for the result code of the create operation

IBatchRecipeId newId; //Variable for the Id of the new control recipe

newId = crs.Create(out result);

//Output the result of the operation

string output = "MrId:" + newId.MRId.ToString() +

" CrId:" + newId.CRId.ToString() +

" result:" + result.ToString();

MessageBox.Show(null, output, "Create control recipe result", MessageBoxButtons.OK, MessageBoxIcon.None);

}

VB.NET

'Function to create a new control recipe

Public Sub Macro_NewControlRecipe()

'Get a the control recipes container for the master recipe for which we want to create a new control recipe

Dim mr As IBatchMasterRecipe = BatchManager().MasterRecipes().Item("someMasterRecipe", 1)

Dim crs As IBatchControlRecipes = mr.ControlRecipes(tpBatchCRStateFilter.tpCRStateFilterAll)

'Create a new control recipe

Dim result As tpCRCreateResult

'Variable for the result code of the create operation

Dim newId As IBatchRecipeId

'Variable for the Id of the new control recipe

newId = crs.Create(result)

'Output the result of the operation

Dim output As String = "MrId:" & newId.MRId.ToString() & " CrId:" & newId.CRId.ToString() & " result:" & result.ToString()

MessageBox.Show(Nothing, output, "Create control recipe result", MessageBoxButtons.OK, MessageBoxIcon.None)

End Sub

VBA

'Function to create a new control recipe

Public Sub NewControlRecipe()

'Get a the control recipes container for the master recipe for which we want to create a new control recipe

Dim mr As BatchMasterRecipe

Set mr = thisProject.BatchManager.MasterRecipes.Item("someMasterRecipe", 1)

Dim crs As BatchControlRecipes

Set crs = mr.ControlRecipes(tpCRStateFilterAll)

'Create a new control recipe

Dim result As tpCRCreateResult 'Variable for the result code of the create operation

Dim newId As BatchRecipeId 'Variable for the Id of the new control recipe

Set newId = crs.Create(result)

'Output the result of the operation

Dim output As String

output = "MrId:" & newId.MRId & " CrId:" & newId.CRId & " result:" & CStr(result)

MsgBox (output)

End Sub


BatchControlStrategy

Manuel -> Interfaces de programmation -> Modèles d'objet -> BatchControlStrategy

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

A control strategy used in batch phases. Control strategies are used to configure the command tags of a phase.

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes

Examples

C#

VB.NET

VBA

Other topics in this chapter

BatchControlStrategy-Properties


BatchControlStrategy-Properties

Manuel -> Interfaces de programmation -> Modèles d'objet -> BatchControlStrategy -> BatchControlStrategy-Properties

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
long | Number | Strategy number of the control strategy | not used | read only | yes | yes
BSTR | Name | Name of the control strategy | not used | read only | yes | yes
BSTR | Description | Description of the control strategy | not used | read only | yes | yes

Other topics in this chapter

Number

Name

Description


Number

Manuel -> Interfaces de programmation -> Modèles d'objet -> BatchControlStrategy -> BatchControlStrategy-Properties -> Number

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Strategy number of the control strategy.

Datatype

Number() As long

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes


Name

Manuel -> Interfaces de programmation -> Modèles d'objet -> BatchControlStrategy -> BatchControlStrategy-Properties -> Name

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Name of the control strategy.

Datatype

Name() As BSTR

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes


Description

Manuel -> Interfaces de programmation -> Modèles d'objet -> BatchControlStrategy -> BatchControlStrategy-Properties -> Description

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Description of the control strategy.

Datatype

Description() As BSTR

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes


BatchCRSelectionChangedEventData

Manuel -> Interfaces de programmation -> Modèles d'objet -> BatchCRSelectionChangedEventData

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

An object of this type is passed as a parameter in the CRSelectionChangedEvent

string ScreenName; Name of the Picture, in which the selection was changed

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes

Examples

C#

// instance variable for the _batchManager to register the events

private IBatchManager _batchManager;

void ThisProject_Active()

{

_batchManager = this.BatchManager();

// Register event

_batchManager.CRSelectionChanged += new CRSelectionChangedEventHandler(ThisProject_CRSelectionChanged);

}

void ThisProject_Inactive()

{

// Unregister Event

_batchManager.CRSelectionChanged -= new CRSelectionChangedEventHandler(ThisProject_CRSelectionChanged);

}

void ThisProject_CRSelectionChanged(IBatchCRSelectionChangedEventData eventData)

{

// Get control recipe selection for the screen in which the selection has changed

object[] selectedCRIds = (object[])_batchManager.SelectedCRIds(eventData.ScreenName);

// Build an output string

string selectedCRIdsInfo = "Selected CRIds[CRId | MRId): ";

foreach (object selectedCRId in selectedCRIds)

{

IBatchRecipeId crId = (IBatchRecipeId)selectedCRId;

selectedCRIdsInfo += crId.CRId + " | " + crId.MRId + "; ";

}

// Write an output message

System.Diagnostics.Debug.Print("\n" + selectedCRIdsInfo);

}

VB.NET

' instance variable for the _batchManager to register the events

Private _batchManager As IBatchManager

Private Sub ThisProject_Active()

_batchManager = Me.BatchManager()

' Register event

AddHandler _batchManager.CRSelectionChanged, AddressOf ThisProject_CRSelectionChanged

End Sub

Private Sub ThisProject_Inactive()

' Unregister Event

RemoveHandler _batchManager.CRSelectionChanged, AddressOf ThisProject_CRSelectionChanged

End Sub

Private Sub ThisProject_CRSelectionChanged(eventData As IBatchCRSelectionChangedEventData)

' Get control recipe selection for the screen in which the selection has changed

Dim selectedCRIds As Object() = DirectCast(_batchManager.SelectedCRIds(eventData.ScreenName), Object())

' Build an output string

Dim selectedCRIdsInfo As String = "Selected CRIds[CRId | MRId): "

For Each selectedCRId As Object In selectedCRIds

Dim crId As IBatchRecipeId = DirectCast(selectedCRId, IBatchRecipeId)

selectedCRIdsInfo += crId.CRId + " | " + crId.MRId & "; "

Next

' Write an output message

System.Diagnostics.Debug.Print(vbLf & selectedCRIdsInfo)

End Sub

VBA

Dim WithEvents zBatchManager As BatchManager

Private Sub Project_Active()

'Register events

Set zBatchManager = thisProject.BatchManager

End Sub

Private Sub Project_Inactive()

'Unregister events

Set zBatchManager = Nothing

End Sub

Private Sub zBatchManager_CRSelectionChanged(ByVal eventData As IBatchCRSelectionChangedEventData)

'Get the CRs of the calling screen

Dim selectedCRIds() As BatchRecipeId

selectedCRIds = zBatchManager.selectedCRIds(eventData.ScreenName)

Dim selectedCRIdsInfo As String

selectedCRIdsInfo = "Selected CRIds[CRId | MRId): "

'Get the CR Ids data

For i = 0 To UBound(selectedCRIds)

selectedCRIdsInfo = selectedCRIdsInfo & selectedCRIds(i).CRId & " | " & selectedCRIds(i).MRId & "; "

Next i

'Show messagebox with recipe Id

MsgBox (selectedCRIdsInfo)

End Sub

Other topics in this chapter

BatchCRSelectionChangedEventData-Properties


BatchCRSelectionChangedEventData-Properties

Manuel -> Interfaces de programmation -> Modèles d'objet -> BatchCRSelectionChangedEventData -> BatchCRSelectionChangedEventData-Properties

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
BSTR | ScreenName | Name of the screen in which the selection of the recipe list was changed | not used | read only | yes | yes

Other topics in this chapter

ScreenName


ScreenName

Manuel -> Interfaces de programmation -> Modèles d'objet -> BatchCRSelectionChangedEventData -> BatchCRSelectionChangedEventData-Properties -> ScreenName

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Name of the Picture, in which the selection was changed

Datatype

ScreenName() As BSTR

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes


BatchManager

Manuel -> Interfaces de programmation -> Modèles d'objet -> BatchManager

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Used to get the template recipe collection.

Availability

Environment | Available
Editor | available
Runtime | read only
VBA | yes
VSTA | yes

Examples

C#

public void MacroBatchManager()

{

IBatchManager batchManager = this.BatchManager();

//Get a master recipe over its index

int mrIndex = 0;

IBatchMasterRecipe masterRecipe = batchManager.MasterRecipes().ItemByIndex(mrIndex);

// Get a master recipe over its ID

int mrId = 42;

masterRecipe = batchManager.MasterRecipes().ItemById(mrId);

//Get the data of a master recipe over its name

string mrName = "TestMR1";

masterRecipe = batchManager.MasterRecipes().Item(mrName, 1);

//Do something with the BatchMaterRecipe

}

VB.NET

Public Sub MacroBatchManager()

Dim batchManager As IBatchManager = Me.BatchManager()

'Get a master recipe over its index

Dim mrIndex As Integer = 0

Dim masterRecipe As IBatchMasterRecipe = batchManager.MasterRecipes().ItemByIndex(mrIndex)

' Get a master recipe over its ID

Dim mrId As Integer = 42

masterRecipe = batchManager.MasterRecipes().ItemById(mrId)

'Get the data of a master recipe over its name

Dim mrName As String = "TestMR1"

masterRecipe = batchManager.MasterRecipes().Item(mrName, 1)

'Do something with the BatchMaterRecipe

End Sub

VBA

Public Sub test()

// Get a master recipe over its ID

Set masterRecipe = thisProject.batchManager.MasterRecipes. ItemById (10)

//Get the data of a master recipe over its name

Set masterRecipe = thisProject.batchManager.MasterRecipes. ItemByName ("TestMR1")

//Get a master recipe over its index

Set masterRecipe = thisProject.batchManager.MasterRecipes.ItemByIndex(10)

'print text and approved time to debug window

Debug.Print ("ApprovedTime: " & masterrecipe.ApprovedTime)

End Sub

Other topics in this chapter

BatchManager-Properties

BatchManager-Methods

BatchManager-Events


BatchManager-Properties

Manuel -> Interfaces de programmation -> Modèles d'objet -> BatchManager -> BatchManager-Properties

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
IProject | Project | Returns the parent object | not used | read only | yes | yes
IBatchConfig | Config | Returns the Batch configuration | available | read only | yes | yes

Other topics in this chapter

Project

Config


Project

Manuel -> Interfaces de programmation -> Modèles d'objet -> BatchManager -> BatchManager-Properties -> Project

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

Project() As IProject

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes


Config

Manuel -> Interfaces de programmation -> Modèles d'objet -> BatchManager -> BatchManager-Properties -> Config

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

Config() As IBatchConfig

Availability

Environment | Available
Editor | available
Runtime | read only
VBA | yes
VSTA | yes


BatchManager-Methods

Manuel -> Interfaces de programmation -> Modèles d'objet -> BatchManager -> BatchManager-Methods

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
IBatchMasterRecipes | MasterRecipes | Returns the collection of MasterRecipes | not used | read only | yes | yes
VARIANT | SelectedMRIds | Returns the Ids of the selected master recipes | not used | read only | yes | yes
VARIANT | SelectedCRIds | Returns the Ids of the selected control recipes | not used | read only | yes | yes

Other topics in this chapter

MasterRecipes

SelectedMRIds

SelectedCRIds


MasterRecipes

Manuel -> Interfaces de programmation -> Modèles d'objet -> BatchManager -> BatchManager-Methods -> MasterRecipes

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the collection of MasterRecipes.

Datatype

MasterRecipes() As IBatchMasterRecipes

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes

Parameters

C#

VB.NET

VBA

Examples

C#

/* NOTE: This example is to be seen in context of a windows forms environment and

* will not work if such is not given.

*/

private IBatchManager _batchManager;

public BatchControlViewer(IBatchManager batchManager)

{

_batchManager = batchManager;

InitializeComponent();

}

private void BatchControlViewer_Load(object sender, EventArgs e)

{

_batchManager.PhaseCommErrorEvent += new PhaseCommErrorEventEventHandler(_batchManager_PhaseCommErrorEvent);

_batchManager.PhaseEscapeEvent += new PhaseEscapeEventEventHandler(_batchManager_PhaseEscapeEvent);

_batchManager.PhaseExecErrorEvent += new PhaseExecErrorEventEventHandler(_batchManager_PhaseExecErrorEvent);

_batchManager.PhaseModeChangedEvent += new PhaseModeChangedEventEventHandler(_batchManager_PhaseModeChangedEvent);

_batchManager.PhasePlcErrorEvent += new PhasePlcErrorEventEventHandler(_batchManager_PhasePlcErrorEvent);

_batchManager.PhaseProgressEvent += new PhaseProgressEventEventHandler(_batchManager_PhaseProgressEvent);

_batchManager.PhaseRtEvent += new PhaseRtEventEventHandler(_batchManager_PhaseRtEvent);

_batchManager.PhaseStateChangedEvent += new PhaseStateChangedEventEventHandler(_batchManager_PhaseStateChangedEvent);

}

void _batchManager_PhaseStateChangedEvent(IBatchStateChangedEventData eventData)

{

AddEventTextToList("[" + eventData.Time.ToString() + "] PhaseStateChangedEvent: " + eventData.OldState + " -> " + eventData.NewState);

}

void _batchManager_PhaseRtEvent(IBatchRtEventData eventData)

{

AddEventTextToList("[" + eventData.Time.ToString() + "] PhaseRtEvent");

}

void _batchManager_PhaseProgressEvent(IBatchProgressEventData eventData)

{

AddEventTextToList("[" + eventData.Time.ToString() + "] PhaseProgressEvent");

}

void _batchManager_PhasePlcErrorEvent(IBatchPlcErrorEventData eventData)

{

AddEventTextToList("[" + eventData.Time.ToString() + "] PhasePlcErrorEvent");

}

void _batchManager_PhaseModeChangedEvent(IBatchModeChangedEventData eventData)

{

AddEventTextToList("[" + eventData.Time.ToString() + "] PhaseModeChangedEvent: " + eventData.OldMode + " -> " + eventData.NewMode);

}

void _batchManager_PhaseExecErrorEvent(IBatchExecErrorEventData eventData)

{

AddEventTextToList("[" + eventData.Time.ToString() + "] PhaseExecErrorEvent");

}

void _batchManager_PhaseEscapeEvent(IBatchEscapeEventData eventData)

{

AddEventTextToList("[" + eventData.Time.ToString() + "] PhaseEscapeEvent");

}

void _batchManager_PhaseCommErrorEvent(IBatchCommErrorEventData eventData)

{

AddEventTextToList("[" + eventData.Time.ToString() + "] PhaseCommErrorEvent");

}

private void AddEventTextToList(string eventText)

{

_listBox_events.Items.Add(eventText);

_listBox_events.SelectedIndex = _listBox_events.Items.Count - 1;

}

private void _button_clearEventList_Click(object sender, EventArgs e)

{

_listBox_events.Items.Clear();

}

private void _button_clearErrorList_Click(object sender, EventArgs e)

{

_listBox_errors.Items.Clear();

}

private void _button_reloadMR_Click(object sender, EventArgs e)

{

_dataGridView_MR.Rows.Clear();

List<int> mrIDList = new List<int>();

int mrCnt = _batchManager.MasterRecipes().Count;

for (var index = 0; index < mrCnt; index++)

{

IBatchMasterRecipe masterRecipe_temp = _batchManager.MasterRecipes().ItemByIndex(index);

if(masterRecipe_temp!= null)

mrIDList.Add(Convert.ToInt32(masterRecipe_temp.ID));

}

List<string> mrNameList = new List<string>();

foreach (var mrID in mrIDList)

mrNameList.Add(_batchManager.MasterRecipes().ItemById(mrID).Name);

foreach(string mrName in mrNameList)

{

IBatchMasterRecipe masterRecipe = _batchManager.MasterRecipes().ItemByName(mrName);

_dataGridView_MR.Rows.Add(masterRecipe.ApprovedTime,

masterRecipe.ApprovedUserId,

masterRecipe.ApprovedUserName,

masterRecipe.Description,

masterRecipe.ID,

masterRecipe.MrState,

masterRecipe.Name,

masterRecipe.OutdatedTime,

masterRecipe.OutdatedUserId,

masterRecipe.OutdatedUserName,

masterRecipe.ReeMode,

masterRecipe.ReeState,

masterRecipe.Type

);

}

Test(new Action<bool>((x) => { BatchMasterRecipe mr = new BatchMasterRecipe(); }));

Test(new Action<bool>((x) => { new BatchMasterRecipe().ApprovedTime = DateTime.Now; }));

Test(new Action<bool>((x) => { new BatchMasterRecipe().ApprovedUserId = "0"; }));

Test(new Action<bool>((x) => { new BatchMasterRecipe().ApprovedUserName = "0"; }));

Test(new Action<bool>((x) => { new BatchMasterRecipe().Description = "0"; }));

Test(new Action<bool>((x) => { new BatchMasterRecipe().ID = 0; }));

Test(new Action<bool>((x) => { new BatchMasterRecipe().MrState = tpBatchMrState.tpMRState_Creating; }));

Test(new Action<bool>((x) => { new BatchMasterRecipe().Name = "0"; }));

Test(new Action<bool>((x) => { new BatchMasterRecipe().OutdatedTime = DateTime.Now; }));

Test(new Action<bool>((x) => { new BatchMasterRecipe().OutdatedUserId = "0"; }));

Test(new Action<bool>((x) => { new BatchMasterRecipe().OutdatedUserName = "0"; }));

Test(new Action<bool>((x) => { new BatchMasterRecipe().Parent = null; }));

Test(new Action<bool>((x) => { new BatchMasterRecipe().ReeMode = tpBatchREEMode.tpRM_Automatic; }));

Test(new Action<bool>((x) => { new BatchMasterRecipe().ReeState = tpBatchREEState.tpRS_ABORTED; }));

Test(new Action<bool>((x) => { new BatchMasterRecipe().Type = "0"; }));

}

private void Test(Delegate d)

{

try

{

d.DynamicInvoke(false);

}

catch (Exception ex)

{

_listBox_errors.Items.Add(ex.InnerException.Message + " -> " + ex.InnerException.TargetSite);

}

}

VB.NET

' NOTE: This example is to be seen in context of a windows forms environment and

' * will not work if such is not given.

'

Private _batchManager As IBatchManager

Public Sub New(batchManager As IBatchManager)

_batchManager = batchManager

InitializeComponent()

End Sub

Private Sub BatchControlViewer_Load(sender As Object, e As EventArgs)

AddHandler _batchManager.PhaseCommErrorEvent, AddressOf _batchManager_PhaseCommErrorEvent

AddHandler _batchManager.PhaseEscapeEvent, AddressOf _batchManager_PhaseEscapeEvent

AddHandler _batchManager.PhaseExecErrorEvent, AddressOf _batchManager_PhaseExecErrorEvent

AddHandler _batchManager.PhaseModeChangedEvent, AddressOf _batchManager_PhaseModeChangedEvent

AddHandler _batchManager.PhasePlcErrorEvent, AddressOf _batchManager_PhasePlcErrorEvent

AddHandler _batchManager.PhaseProgressEvent, AddressOf _batchManager_PhaseProgressEvent

AddHandler _batchManager.PhaseRtEvent, AddressOf _batchManager_PhaseRtEvent

AddHandler _batchManager.PhaseStateChangedEvent, _batchManager_PhaseStateChangedEvent

End Sub

Private Sub _batchManager_PhaseStateChangedEvent(eventData As IBatchStateChangedEventData)

AddEventTextToList("[" & eventData.Time.ToString() & "] PhaseStateChangedEvent: " & Convert.ToString(eventData.OldState) & " -> " & Convert.ToString(eventData.NewState))

End Sub

Private Sub _batchManager_PhaseRtEvent(eventData As IBatchRtEventData)

AddEventTextToList("[" & eventData.Time.ToString() & "] PhaseRtEvent")

End Sub

Private Sub _batchManager_PhaseProgressEvent(eventData As IBatchProgressEventData)

AddEventTextToList("[" & eventData.Time.ToString() & "] PhaseProgressEvent")

End Sub

Private Sub _batchManager_PhasePlcErrorEvent(eventData As IBatchPlcErrorEventData)

AddEventTextToList("[" & eventData.Time.ToString() & "] PhasePlcErrorEvent")

End Sub

Private Sub _batchManager_PhaseModeChangedEvent(eventData As IBatchModeChangedEventData)

AddEventTextToList("[" & eventData.Time.ToString() & "] PhaseModeChangedEvent: " & Convert.ToString(eventData.OldMode) & " -> " & Convert.ToString(eventData.NewMode))

End Sub

Private Sub _batchManager_PhaseExecErrorEvent(eventData As IBatchExecErrorEventData)

AddEventTextToList("[" & eventData.Time.ToString() & "] PhaseExecErrorEvent")

End Sub

Private Sub _batchManager_PhaseEscapeEvent(eventData As IBatchEscapeEventData)

AddEventTextToList("[" & eventData.Time.ToString() & "] PhaseEscapeEvent")

End Sub

Private Sub _batchManager_PhaseCommErrorEvent(eventData As IBatchCommErrorEventData)

AddEventTextToList("[" & eventData.Time.ToString() & "] PhaseCommErrorEvent")

End Sub

Private Sub AddEventTextToList(eventText As String)

_listBox_events.Items.Add(eventText)

_listBox_events.SelectedIndex = _listBox_events.Items.Count - 1

End Sub

Private Sub _button_clearEventList_Click(sender As Object, e As EventArgs)

_listBox_events.Items.Clear()

End Sub

Private Sub _button_clearErrorList_Click(sender As Object, e As EventArgs)

_listBox_errors.Items.Clear()

End Sub

Private Sub _button_reloadMR_Click(sender As Object, e As EventArgs)

_dataGridView_MR.Rows.Clear()

Dim mrIDList As New List(Of Integer)()

Dim mrCnt As Integer = _batchManager.MasterRecipes().Count

For index As var = 0 To mrCnt - 1

Dim masterRecipe_temp As IBatchMasterRecipe = _batchManager.MasterRecipes().ItemByIndex(index)

If masterRecipe_temp IsNot Nothing Then

mrIDList.Add(Convert.ToInt32(masterRecipe_temp.ID))

End If

Next

Dim mrNameList As New List(Of String)()

For Each mrID As var In mrIDList

mrNameList.Add(_batchManager.MasterRecipes().ItemById(mrID).Name)

Next

For Each mrName As String In mrNameList

Dim masterRecipe As IBatchMasterRecipe = _batchManager.MasterRecipes().ItemByName(mrName)

_dataGridView_MR.Rows.Add(masterRecipe.ApprovedTime, masterRecipe.ApprovedUserId, masterRecipe.ApprovedUserName, masterRecipe.Description, masterRecipe.ID, masterRecipe.MrState, _

masterRecipe.Name, masterRecipe.OutdatedTime, masterRecipe.OutdatedUserId, masterRecipe.OutdatedUserName, masterRecipe.ReeMode, masterRecipe.ReeState, _

masterRecipe.Type)

Next

End Sub

VBA


SelectedMRIds

Manuel -> Interfaces de programmation -> Modèles d'objet -> BatchManager -> BatchManager-Methods -> SelectedMRIds

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Gets all the id's of the selected recipes in the recipelist in the „bstrScreenName". If a Batchscreen ist found a INT [] is returned with the id's of the selected recipes.

Datatype

SelectedMRIds(BSTR bstrScreenName) As VARIANT

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes

Parameters

C#

VB.NET

VBA

Examples

C#

void ThisProject_Active()

{

//When a element ist clicked a event is fired

this.DynPictures().ElementLeftButtonDown += new ElementLeftButtonDownEventHandler(ThisProject_ElementLeftButtonDown);

}

void ThisProject_ElementLeftButtonDown(IDynPicture obDynPicture, IElement obElement, int lPosX, int lPosY, int lButton)

{

//Get the current name of the screen

currentPictureName = obDynPicture.Name;

}

void ThisProject_Inactive()

{

this.DynPictures().ElementLeftButtonDown -= new ElementLeftButtonDownEventHandler(ThisProject_ElementLeftButtonDown);

FreeObjects();

}

#region Macros (Add macros in this region)

public void Macro_ShowSelectedRecipes()

{

if (currentPictureName == "")

return;

//Definition of the selected recipe Ids buffers

int[] selectedMRIds =(int[])this.BatchManager().SelectedMRIds(currentPictureName);

object[] selectedCRIds = (object[])this.BatchManager().SelectedCRIds(currentPictureName);

//Get MR Ids data

string selectedMRIdsInfo = "Selected MRIds: ";

foreach (int selectedMRId in selectedMRIds)

selectedMRIdsInfo += selectedMRId + "; ";

//Get CR Ids data

string selectedCRIdsInfo = "Selected CRIds[CRId | MRId): ";

foreach (object selectedCRId in selectedCRIds)

{

IBatchRecipeId crId = (IBatchRecipeId)selectedCRId;

selectedCRIdsInfo += crId.CRId + " | " + crId.MRId + "; ";

}

//Show messagebox with selected recipe Ids

MessageBox.Show(null, selectedMRIdsInfo + "\n" + selectedCRIdsInfo, "Selected Recipe Ids", MessageBoxButtons.OK, MessageBoxIcon.None);

}

#endregion

VB.NET

Private Sub ThisProject_Active()

'When a element ist clicked a event is fired

AddHandler Me.DynPictures().ElementLeftButtonDown, AddressOf ThisProject_ElementLeftButtonDown

End Sub

Private Sub ThisProject_ElementLeftButtonDown(obDynPicture As IDynPicture, obElement As IElement, lPosX As Integer, lPosY As Integer, lButton As Integer)

'Get the current name of the screen

currentPictureName = obDynPicture.Name

End Sub

Private Sub ThisProject_Inactive()

RemoveHandler Me.DynPictures().ElementLeftButtonDown, AddressOf ThisProject_ElementLeftButtonDown

FreeObjects()

End Sub

#Region "Macros (Add macros in this region)"

Public Sub Macro_ShowSelectedRecipes()

If currentPictureName = "" Then

Return

End If

'Definition of the selected recipe Ids buffers

Dim selectedMRIds As Integer() = DirectCast(Me.BatchManager().SelectedMRIds(currentPictureName), Integer())

Dim selectedCRIds As Object() = DirectCast(Me.BatchManager().SelectedCRIds(currentPictureName), Object())

'Get MR Ids data

Dim selectedMRIdsInfo As String = "Selected MRIds: "

For Each selectedMRId As Integer In selectedMRIds

selectedMRIdsInfo += selectedMRId & "; "

Next

'Get CR Ids data

Dim selectedCRIdsInfo As String = "Selected CRIds[CRId | MRId): "

For Each selectedCRId As Object In selectedCRIds

Dim crId As IBatchRecipeId = DirectCast(selectedCRId, IBatchRecipeId)

selectedCRIdsInfo += crId.CRId + " | " + crId.MRId & "; "

Next

'Show messagebox with selected recipe Ids

MessageBox.Show(Nothing, selectedMRIdsInfo & vbLf & selectedCRIdsInfo, "Selected Recipe Ids", MessageBoxButtons.OK, MessageBoxIcon.None)

End Sub

#End Region

VBA

Public Sub ShowSelectedRecipes()

'Definition of the screen name

Dim dynPictureName As String

dynPictureName = "MainWindow"

'Get the MRs of the calling screen

Dim selectedMRIds() As Long

selectedMRIds = thisProject.BatchManager.selectedMRIds(dynPictureName)

'Get the CRs of the calling screen

Dim selectedCRIds() As BatchRecipeId

selectedCRIds = thisProject.BatchManager.selectedCRIds(dynPictureName)

Dim selectedMRIdsInfo As String

selectedMRIdsInfo = "Selected MRIds: "

'Get the MR Ids data

For i = 0 To UBound(selectedMRIds)

selectedMRIdsInfo = selectedMRIdsInfo & selectedMRIds(i) & "; "

Next i

selectedMRIdsInfo = selectedMRIdsInfo & vbCrLf

Dim selectedCRIdsInfo As String

selectedCRIdsInfo = "Selected CRIds[CRId | MRId): "

'Get the CR Ids data

For i = 0 To UBound(selectedCRIds)

selectedCRIdsInfo = selectedCRIdsInfo & selectedCRIds(i).CRId & " | " & selectedCRIds(i).MRId & "; "

Next i

'Show messagebox with selected recipe Ids

MsgBox (selectedMRIdsInfo + selectedCRIdsInfo)

End Sub


SelectedCRIds

Manuel -> Interfaces de programmation -> Modèles d'objet -> BatchManager -> BatchManager-Methods -> SelectedCRIds

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Gets all the id's of the selected control recipes in the recipelist in the „bstrScreenName". If a Batchscreen ist found a BatchRecipeId [] is returned with the id's of the selected control recipes.

Datatype

SelectedCRIds(BSTR bstrScreenName) As VARIANT

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes

Parameters

C#

void ThisProject_Active()

{

//When a element ist clicked a event is fired

this.DynPictures().ElementLeftButtonDown += new ElementLeftButtonDownEventHandler(ThisProject_ElementLeftButtonDown);

}

void ThisProject_ElementLeftButtonDown(IDynPicture obDynPicture, IElement obElement, int lPosX, int lPosY, int lButton)

{

//Get the current name of the screen

currentPictureName = obDynPicture.Name;

}

void ThisProject_Inactive()

{

this.DynPictures().ElementLeftButtonDown -= new ElementLeftButtonDownEventHandler(ThisProject_ElementLeftButtonDown);

FreeObjects();

}

#region Macros (Add macros in this region)

public void Macro_ShowSelectedRecipes()

{

if (currentPictureName == "")

return;

//Definition of the selected recipe Ids buffers

int[] selectedMRIds =(int[])this.BatchManager().SelectedMRIds(currentPictureName);

object[] selectedCRIds = (object[])this.BatchManager().SelectedCRIds(currentPictureName);

//Get MR Ids data

string selectedMRIdsInfo = "Selected MRIds: ";

foreach (int selectedMRId in selectedMRIds)

selectedMRIdsInfo += selectedMRId + "; ";

//Get CR Ids data

string selectedCRIdsInfo = "Selected CRIds[CRId | MRId): ";

foreach (object selectedCRId in selectedCRIds)

{

IBatchRecipeId crId = (IBatchRecipeId)selectedCRId;

selectedCRIdsInfo += crId.CRId + " | " + crId.MRId + "; ";

}

//Show messagebox with selected recipe Ids

MessageBox.Show(null, selectedMRIdsInfo + "\n" + selectedCRIdsInfo, "Selected Recipe Ids", MessageBoxButtons.OK, MessageBoxIcon.None);

}

#endregion

VB.NET

Private Sub ThisProject_Active()

'When a element is clicked a event is fired

AddHandler Me.DynPictures().ElementLeftButtonDown, AddressOf ThisProject_ElementLeftButtonDown

End Sub

Private Sub ThisProject_ElementLeftButtonDown(obDynPicture As IDynPicture, obElement As IElement, lPosX As Integer, lPosY As Integer, lButton As Integer)

'Get the current name of the screen

currentPictureName = obDynPicture.Name

End Sub

Private Sub ThisProject_Inactive()

RemoveHandler Me.DynPictures().ElementLeftButtonDown, AddressOf ThisProject_ElementLeftButtonDown

FreeObjects()

End Sub

#Region "Macros (Add macros in this region)"

Public Sub Macro_ShowSelectedRecipes()

If currentPictureName = "" Then

Return

End If

'Definition of the selected recipe Ids buffers

Dim selectedMRIds As Integer() = DirectCast(Me.BatchManager().SelectedMRIds(currentPictureName), Integer())

Dim selectedCRIds As Object() = DirectCast(Me.BatchManager().SelectedCRIds(currentPictureName), Object())

'Get MR Ids data

Dim selectedMRIdsInfo As String = "Selected MRIds: "

For Each selectedMRId As Integer In selectedMRIds

selectedMRIdsInfo += selectedMRId & "; "

Next

'Get CR Ids data

Dim selectedCRIdsInfo As String = "Selected CRIds[CRId | MRId): "

For Each selectedCRId As Object In selectedCRIds

Dim crId As IBatchRecipeId = DirectCast(selectedCRId, IBatchRecipeId)

selectedCRIdsInfo += crId.CRId + " | " + crId.MRId & "; "

Next

'Show messagebox with selected recipe Ids

MessageBox.Show(Nothing, selectedMRIdsInfo & vbLf & selectedCRIdsInfo, "Selected Recipe Ids", MessageBoxButtons.OK, MessageBoxIcon.None)

End Sub

#End Region

VBA

Examples

C#

void ThisProject_Active()

{

//When a element ist clicked a event is fired

this.DynPictures().ElementLeftButtonDown += new ElementLeftButtonDownEventHandler(ThisProject_ElementLeftButtonDown);

}

void ThisProject_ElementLeftButtonDown(IDynPicture obDynPicture, IElement obElement, int lPosX, int lPosY, int lButton)

{

//Get the current name of the screen

currentPictureName = obDynPicture.Name;

}

void ThisProject_Inactive()

{

this.DynPictures().ElementLeftButtonDown -= new ElementLeftButtonDownEventHandler(ThisProject_ElementLeftButtonDown);

FreeObjects();

}

#region Macros (Add macros in this region)

public void Macro_ShowSelectedRecipes()

{

if (currentPictureName == "")

return;

//Definition of the selected recipe Ids buffers

int[] selectedMRIds =(int[])this.BatchManager().SelectedMRIds(currentPictureName);

object[] selectedCRIds = (object[])this.BatchManager().SelectedCRIds(currentPictureName);

//Get MR Ids data

string selectedMRIdsInfo = "Selected MRIds: ";

foreach (int selectedMRId in selectedMRIds)

selectedMRIdsInfo += selectedMRId + "; ";

//Get CR Ids data

string selectedCRIdsInfo = "Selected CRIds[CRId | MRId): ";

foreach (object selectedCRId in selectedCRIds)

{

IBatchRecipeId crId = (IBatchRecipeId)selectedCRId;

selectedCRIdsInfo += crId.CRId + " | " + crId.MRId + "; ";

}

//Show messagebox with selected recipe Ids

MessageBox.Show(null, selectedMRIdsInfo + "\n" + selectedCRIdsInfo, "Selected Recipe Ids", MessageBoxButtons.OK, MessageBoxIcon.None);

}

#endregion

VB.NET

VBA

Public Sub ShowSelectedRecipes()

'Definition of the screen name

Dim dynPictureName As String

dynPictureName = "MainWindow"

'Get the MRs of the calling screen

Dim selectedMRIds() As Long

selectedMRIds = thisProject.BatchManager.selectedMRIds(dynPictureName)

'Get the CRs of the calling screen

Dim selectedCRIds() As BatchRecipeId

selectedCRIds = thisProject.BatchManager.selectedCRIds(dynPictureName)

Dim selectedMRIdsInfo As String

selectedMRIdsInfo = "Selected MRIds: "

'Get the MR Ids data

For i = 0 To UBound(selectedMRIds)

selectedMRIdsInfo = selectedMRIdsInfo & selectedMRIds(i) & "; "

Next i

selectedMRIdsInfo = selectedMRIdsInfo & vbCrLf

Dim selectedCRIdsInfo As String

selectedCRIdsInfo = "Selected CRIds[CRId | MRId): "

'Get the CR Ids data

For i = 0 To UBound(selectedCRIds)

selectedCRIdsInfo = selectedCRIdsInfo & selectedCRIds(i).CRId & " | " & selectedCRIds(i).MRId & "; "

Next i

'Show messagebox with selected recipe Ids

MsgBox (selectedMRIdsInfo + selectedCRIdsInfo)

End Sub


BatchManager-Events

Manuel -> Interfaces de programmation -> Modèles d'objet -> BatchManager -> BatchManager-Events

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
void | PhaseProgress | Event is fired when there is a significant change to the internal State of a phase in during execution | not used | read only | yes | yes
void | PhaseExecutionError | Event is fired when an execution error occures in a phase (Timeouts, etc.) | not used | read only | yes | yes
void | PhaseStateChanged | Event is fired when the execution state of a phase is changed | not used | read only | yes | yes
void | PhaseModeChanged | Event is fired when the execution mode of a phase is changed | not used | read only | yes | yes
void | PhaseRuntimeEvent | Event is fired when runtime events are triggered during the execution of a phase | not used | read only | yes | yes
void | PhaseCommunicationError | Event is fired when the communication error state of a phase is changed | not used | read only | yes | yes
void | PhasePlcError | Event is fired when the plc error state of a phase is changed | not used | read only | yes | yes
void | PhaseEscape | Event is fired when the escape state of a phase is changed | not used | read only | yes | yes
void | ControlRecipePhaseEdited | Event is fired when a phase in a control recipe gets edited | not used | read only | yes | yes
void | RecipeStateChanged | Event is fired when the execution state of a recipe is changed | not used | read only | yes | yes
void | RecipeModeChanged | Event is fired when the execution mode of a recipe is changed | not used | read only | yes | yes
void | MRSelectionChanged | Event is fired when the selection in a Master Recipe List is changed | not used | read only | yes | yes
void | CRSelectionChanged | Event is fired when the selection in a Control Recipe List is changed | not used | read only | yes | yes

Other topics in this chapter

PhaseProgress

PhaseExecutionError

PhaseStateChanged

PhaseModeChanged

PhaseRuntimeEvent

PhaseCommunicationError

PhasePlcError

PhaseEscape

ControlRecipePhaseEdited

RecipeStateChanged

RecipeModeChanged

MRSelectionChanged

CRSelectionChanged


PhaseProgress

Manuel -> Interfaces de programmation -> Modèles d'objet -> BatchManager -> BatchManager-Events -> PhaseProgress

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Is fired when the phase progress changes.

List of events:

  • Phase activated
  • Unit allocation not possible
  • Phase started
  • Input interlocking blocked
  • Waiting period unit allocation exceeded
  • Waiting period input interlocking exceeded
  • Finished writing command tags
  • Maximum waiting period phase done condition exceeded
  • Phase done condition completed
  • Phase deactivated

IBatchPhaseProgressEventData contains a enum property which contains the event type.

Datatype

PhaseProgress(IBatchPhaseProgressEventData eventData) As void

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes

Parameters

C#

VB.NET

VBA

Examples

C#

void ThisProject_Active()

{

//Check in the PhaseProgress Event

BatchManager().PhaseProgress += new PhaseProgressEventHandler(

ThisProject_PhaseProgress);

}

void ThisProject_PhaseProgress(IBatchPhaseProgressEventData eventData)

{

//Write debug message to the listener when event is fired.

System.Diagnostics.Debug.WriteLine("[" + eventData.Time + "] PhaseProgress: " + eventData.PhaseState);

}

void ThisProject_Inactive()

{

//Check out the PhaseProgress Event

BatchManager().PhaseProgress -= ThisProject_PhaseProgress;

//Final release and garbage collection of any API-Objects.

FreeObjects();

}

VB.NET

Private Sub ThisProject_Active()

'Check in the PhaseProgress Event

AddHandler BatchManager().PhaseProgress, AddressOf ThisProject_PhaseProgress

End Sub

Private Sub ThisProject_PhaseProgress(eventData As IBatchPhaseProgressEventData)

'Write debug message to the listener when event is fired.

System.Diagnostics.Debug.WriteLine("[" & Convert.ToString(eventData.Time) & "] PhaseProgress: " & Convert.ToString(eventData.PhaseState))

End Sub

Private Sub ThisProject_Inactive()

'Check out the PhaseProgress Event

RemoveHandler BatchManager().PhaseProgress, AddressOf ThisProject_PhaseProgress

'Final release and garbage collection of any API-Objects.

FreeObjects()

End Sub

VBA

Dim WithEvents zBatchManager As batchManager

'procedure is executed on startup of the zenOn runtime

Private Sub Project_Active()

'init the Batchmanager object for events

Set zBatchManager = thisProject.batchManager

End Sub

'procedure is executed on terminating the zenOn Runtime

Private Sub Project_Inactive()

'free the batchmanager object

Set zBatchManager = Nothing

End Sub

'procedure is executed when a phase is in progress

Private Sub zBatchManager_PhaseProgress(ByVal eventData As IBatchPhaseProgressEventData)

'print time and specific information to debug window

Debug.Print (eventData.Time & " VBA-Event: Phase in Progress")

End Sub


PhaseExecutionError

Manuel -> Interfaces de programmation -> Modèles d'objet -> BatchManager -> BatchManager-Events -> PhaseExecutionError

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Fired when execution error occurs.

List of events:

  • Phase started multiple times
  • Waiting period unit allocation exceeded
  • Waiting period input interlocking exceeded
  • Command tag without value

Datatype

PhaseExecutionError(IBatchPhaseExecutionErrorEventData eventData) As void

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes

Parameters

C#

VB.NET

VBA

Examples

C#

void ThisProject_Active()

{

//Check in the PhaseExecutionError Event

BatchManager().PhaseExecutionError += new PhaseExecutionErrorEventHandler(

ThisProject_PhaseExecutionError);

}

void ThisProject_PhaseExecutionError(IBatchPhaseExecutionErrorEventData eventData)

{

//Write debug message to the listener when event is fired.

System.Diagnostics.Debug.WriteLine("[" + eventData.Time + "] PhaseExecutionError: " + eventData.ExecutionErrorState);

}

void ThisProject_Inactive()

{

//Check out the PhaseExecutionError Event

BatchManager().PhaseExecutionError -= ThisProject_PhaseExecutionError;

//Final release and garbage collection of any API-Objects.

FreeObjects();

}

VB.NET

Private Sub ThisProject_Active()

'Check in the PhaseExecutionError Event

AddHandler BatchManager().PhaseExecutionError, AddressOf ThisProject_PhaseExecutionError

End Sub

Private Sub ThisProject_PhaseExecutionError(eventData As IBatchPhaseExecutionErrorEventData)

'Write debug message to the listener when event is fired.

System.Diagnostics.Debug.WriteLine("[" & Convert.ToString(eventData.Time) & "] PhaseExecutionError: " & Convert.ToString(eventData.ExecutionErrorState))

End Sub

Private Sub ThisProject_Inactive()

'Check out the PhaseExecutionError Event

RemoveHandler BatchManager().PhaseExecutionError, AddressOf ThisProject_PhaseExecutionError

'Final release and garbage collection of any API-Objects.

FreeObjects()

End Sub

VBA

Dim WithEvents zBatchManager As batchManager

'procedure is executed on startup of the zenOn runtime

Private Sub Project_Active()

'init the batchmanager object for events

Set zBatchManager = thisProject.batchManager

End Sub

'procedure is executed on terminating the zenOn Runtime

Private Sub Project_Inactive()

'free the batchmanager object

Set zBatchManager = Nothing

End Sub

'procedure is executed when a phase gets an error

Private Sub zBatchManager_PhaseExecutionError(ByVal eventData As IBatchPhaseExecutionErrorEventData)

'print time and specific information to debug window

Debug.Print (eventData.Time & " VBA-Event: Execution Error")

End Sub


PhaseStateChanged

Manuel -> Interfaces de programmation -> Modèles d'objet -> BatchManager -> BatchManager-Events -> PhaseStateChanged

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Fired when the phase state changes (running, paused, etc...).

List of displayed execution events:

  • State change: In execution
  • State change: Pausing
  • State change: Paused
  • State change:Finished
  • State change: Restart
  • State change: Holding
  • State change: Held
  • State change: Stopping
  • State change: Stopped
  • State change: Aborting
  • State change: Aborted
  • State change: Continue

Datatype

PhaseStateChanged(IBatchPhaseStateChangedEventData eventData) As void

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes

Parameters

C#

VB.NET

VBA

Examples

C#

void ThisProject_Active()

{

//Check in the PhaseStateChanged Event

BatchManager().PhaseStateChanged += new PhaseStateChangedEventHandler(

ThisProject_PhaseStateChanged);

}

void ThisProject_PhaseStateChanged(IBatchPhaseStateChangedEventData eventData)

{

//Write debug message to the listener when event is fired.

System.Diagnostics.Debug.WriteLine("[" + eventData.Time + "] PhaseStateChanged: " + eventData.OldSExecutiontate + " -> " + eventData.NewExecutionState);

}

void ThisProject_Inactive()

{

//Check out the PhaseStateChanged Event

BatchManager().PhaseStateChanged -= ThisProject_PhaseStateChanged;

//Final release and garbage collection of any API-Objects.

FreeObjects();

}

VB.NET

Private Sub ThisProject_Active()

'Check in the PhaseStateChanged Event

AddHandler BatchManager().PhaseStateChanged, AddressOf ThisProject_PhaseStateChanged

End Sub

Private Sub ThisProject_PhaseStateChanged(eventData As IBatchPhaseStateChangedEventData)

'Write debug message to the listener when event is fired.

System.Diagnostics.Debug.WriteLine("[" & Convert.ToString(eventData.Time) & "] PhaseStateChanged: " & Convert.ToString(eventData.OldSExecutiontate) & " -> " & Convert.ToString(eventData.NewExecutionState))

End Sub

Private Sub ThisProject_Inactive()

'Check out the PhaseStateChanged Event

RemoveHandler BatchManager().PhaseStateChanged, AddressOf ThisProject_PhaseStateChanged

'Final release and garbage collection of any API-Objects.

FreeObjects()

End Sub

VBA

Dim WithEvents zBatchManager As batchManager

'procedure is executed on startup of the zenOn runtime

Private Sub Project_Active()

'init the Batchmanager object for events

Set zBatchManager = thisProject.batchManager

End Sub

'procedure is executed on terminating the zenOn Runtime

Private Sub Project_Inactive()

'free the batchmanager object

Set zBatchManager = Nothing

End Sub

'procedure is executed when the state of the phase gets changed

Private Sub zBatchManager_PhaseStateChanged(ByVal eventData As IBatchPhaseStateChangedEventData)

'print time and specific information to debug window

Debug.Print (eventData.Time & " Phase state changed")

End Sub


PhaseModeChanged

Manuel -> Interfaces de programmation -> Modèles d'objet -> BatchManager -> BatchManager-Events -> PhaseModeChanged

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Fired when a execution mode changes (manual, semi-automatic, automatic), during a active phase.

List of events

  • REE mode change: automatic
  • REE mode change: semi-automatic
  • REE mode change: manual

Datatype

PhaseModeChanged(IBatchPhaseModeChangedEventData eventData) As void

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes

Parameters

C#

VB.NET

VBA

Examples

C#

void ThisProject_Active()

{

//Check in the PhaseModeChanged Event

BatchManager().PhaseModeChanged += new PhaseModeChangedEventHandler(ThisProject_PhaseModeChanged);

}

void ThisProject_PhaseModeChanged(IBatchPhaseModeChangedEventData eventData)

{

//Write debug message to the listener when event is fired.

System.Diagnostics.Debug.WriteLine("[" + eventData.Time + "] PhaseModeChanged: " + eventData.OldExecutionMode + " -> " + eventData.NewExecutionMode);

}

void ThisProject_Inactive()

{

//Check out the PhaseModeChanged Event

BatchManager().PhaseModeChanged -= ThisProject_PhaseModeChanged;

//Final release and garbage collection of any API-Objects.

FreeObjects();

}

VB.NET

Private Sub ThisProject_Active()

'Check in the PhaseModeChanged Event

AddHandler BatchManager().PhaseModeChanged, AddressOf ThisProject_PhaseModeChanged

End Sub

Private Sub ThisProject_PhaseModeChanged(eventData As IBatchPhaseModeChangedEventData)

'Write debug message to the listener when event is fired.

System.Diagnostics.Debug.WriteLine("[" & Convert.ToString(eventData.Time) & "] PhaseModeChanged: " & Convert.ToString(eventData.OldExecutionMode) & " -> " & Convert.ToString(eventData.NewExecutionMode))

End Sub

Private Sub ThisProject_Inactive()

'Check out the PhaseModeChanged Event

RemoveHandler BatchManager().PhaseModeChanged, AddressOf ThisProject_PhaseModeChanged

'Final release and garbage collection of any API-Objects.

FreeObjects()

End Sub

VBA

Dim WithEvents zBatchManager As batchManager

'procedure is executed on startup of the zenOn runtime

Private Sub Project_Active()

'init the Batchmanager object for events

Set zBatchManager = thisProject.batchManager

End Sub

'procedure is executed on terminating the zenOn Runtime

Private Sub Project_Inactive()

'free the batchmanager object

Set zBatchManager = Nothing

End Sub

'procedure is executed when the execution mode gets changed while a phase is active

Private Sub zBatchManager_PhaseModeChanged(ByVal eventData As IBatchPhaseModeChangedEventData)

'print time and specific information to debug window

Debug.Print (eventData.Time & " VBA-Event: Phase Mode changed")

End Sub


PhaseRuntimeEvent

Manuel -> Interfaces de programmation -> Modèles d'objet -> BatchManager -> BatchManager-Events -> PhaseRuntimeEvent

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Fired when closing or restarting the runtime, during a active phase.

List of events:

  • Runtime closing
  • Runtime restart

Datatype

PhaseRuntimeEvent(IBatchPhaseRuntimeEventData eventData) As void

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes

Parameters

C#

VB.NET

VBA

Examples

C#

void ThisProject_Active()

{

//Check in the PhaseRuntime Event

BatchManager().PhaseRuntimeEvent += new PhaseRuntimeEventEventHandler(

ThisProject_PhaseRuntimeEvent);

}

void ThisProject_PhaseRuntimeEvent(IBatchPhaseRuntimeEventData eventData)

{

//Write debug message to the listener when event is fired.

System.Diagnostics.Debug.WriteLine("[" + eventData.Time + "] PhaseRuntimeEvent: "

+ eventData.RuntimeEvent);

}

void ThisProject_Inactive()

{

//Check out the PhaseRuntime Event

BatchManager().PhaseRuntimeEvent -= ThisProject_PhaseRuntimeEvent;

//Final release and garbage collection of any API-Objects.

FreeObjects();

}

VB.NET

Private Sub ThisProject_Active()

'Check in the PhaseRuntime Event

AddHandler BatchManager().PhaseRuntimeEvent, AddressOf ThisProject_PhaseRuntimeEvent

End Sub

Private Sub ThisProject_PhaseRuntimeEvent(eventData As IBatchPhaseRuntimeEventData)

'Write debug message to the listener when event is fired.

System.Diagnostics.Debug.WriteLine("[" + eventData.Time + "] PhaseRuntimeEvent: " + eventData.RuntimeEvent)

End Sub

Private Sub ThisProject_Inactive()

'Check out the PhaseRuntime Event

RemoveHandler BatchManager().PhaseRuntimeEvent, AddressOf ThisProject_PhaseRuntimeEvent

'Final release and garbage collection of any API-Objects.

FreeObjects()

End Sub

VBA

Dim WithEvents zBatchManager As batchManager

'procedure is executed on startup of the zenOn runtime

Private Sub Project_Active()

'init the Batchmanager object for events

Set zBatchManager = thisProject.batchManager

End Sub

'procedure is executed on terminating the zenOn Runtime

Private Sub Project_Inactive()

'free the batchmanager object

Set zBatchManager = Nothing

End Sub

'procedure is executed when the RT gets started or closed while a phase is active

Private Sub zBatchManager_PhaseRuntimeEvent(ByVal eventData As IBatchPhaseRuntimeEventData)

'print time and specific information to debug window

Debug.Print (eventData.Time & " VBA-Event: RT event")

End Sub


PhaseCommunicationError

Manuel -> Interfaces de programmation -> Modèles d'objet -> BatchManager -> BatchManager-Events -> PhaseCommunicationError

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Fired in case of a communication error, or the communication state changes.

List of events:

  • Loss of communication
  • Loss of communication fixed
  • Loss of communication acknowledged

Datatype

PhaseCommunicationError(IBatchPhaseCommunicationErrorEventData eventData) As void

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes

Parameters

C#

VB.NET

VBA

Examples

C#

void ThisProject_Active()

{

//Check in the PhaseCommunicationError Event

BatchManager().PhaseCommunicationError += new PhaseCommunicationErrorEventHandler(

ThisProject_PhaseCommunicationError);

}

void ThisProject_PhaseCommunicationError(IBatchPhaseCommunicationErrorEventData eventData)

{

//Write debug message to the listener when event is fired.

System.Diagnostics.Debug.WriteLine("[" + eventData.Time + "] PhaseCommunicationError: " + eventData.CommunicationErrorState);

}

void ThisProject_Inactive()

{

//Check out the PhaseCommunicationError Event

BatchManager().PhaseCommunicationError -= ThisProject_PhaseCommunicationError;

//Final release and garbage collection of any API-Objects.

FreeObjects();

}

VB.NET

Private Sub ThisProject_Active()

'Check in the PhaseCommunicationError Event

AddHandler BatchManager().PhaseCommunicationError, AddressOf ThisProject_PhaseCommunicationError

End Sub

Private Sub ThisProject_PhaseCommunicationError(eventData As IBatchPhaseCommunicationErrorEventData)

'Write debug message to the listener when event is fired.

System.Diagnostics.Debug.WriteLine("[" & Convert.ToString(eventData.Time) & "] PhaseCommunicationError: " & Convert.ToString(eventData.CommunicationErrorState))

End Sub

Private Sub ThisProject_Inactive()

'Check out the PhaseCommunicationError Event

RemoveHandler BatchManager().PhaseCommunicationError, AddressOf ThisProject_PhaseCommunicationError

'Final release and garbage collection of any API-Objects.

FreeObjects

End Sub

VBA

Dim WithEvents zBatchManager As batchManager

'procedure is executed on startup of the zenOn runtime

Private Sub Project_Active()

'init the Batchmanager object for events

Set zBatchManager = thisProject.batchManager

End Sub

'procedure is executed on terminating the zenOn Runtime

Private Sub Project_Inactive()

'free the batchmanager object

Set zBatchManager = Nothing

End Sub

'procedure is executed when a active phase gets a communication error or the error state gets changed

Private Sub zBatchManager_PhaseCommunicationError(ByVal eventData As IBatchPhaseCommunicationErrorEventData)

'print time and specific information to debug window

Debug.Print (eventData.Time & " VBA-Event: Communication error")

End Sub


PhasePlcError

Manuel -> Interfaces de programmation -> Modèles d'objet -> BatchManager -> BatchManager-Events -> PhasePlcError

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Fired when a plc error enters or leaves.

Datatype

PhasePlcError(IBatchPhasePlcErrorEventData eventData) As void

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes

Parameters

C#

VB.NET

VBA

Examples

C#

void ThisProject_Active()

{

//Check in the PhasePlcError Event

BatchManager().PhasePlcError += new PhasePlcErrorEventHandler(

ThisProject_PhasePlcError);

}

void ThisProject_PhasePlcError(IBatchPhasePlcErrorEventData eventData)

{

//Write debug message to the listener when event is fired.

System.Diagnostics.Debug.WriteLine("[" + eventData.Time + "] PhasePlcError: " + eventData.PlcErrorState);

}

void ThisProject_Inactive()

{

//Check out the PhasePlcError Event

BatchManager().PhasePlcError -= ThisProject_PhasePlcError;

//Final release and garbage collection of any API-Objects.

FreeObjects();

}

VB.NET

Private Sub ThisProject_Active()

'Check in the PhasePlcError Event

AddHandler BatchManager().PhasePlcError, AddressOf ThisProject_PhasePlcError

End Sub

Private Sub ThisProject_PhasePlcError(eventData As IBatchPhasePlcErrorEventData)

'Write debug message to the listener when event is fired.

System.Diagnostics.Debug.WriteLine("[" & Convert.ToString(eventData.Time) & "] PhasePlcError: " & Convert.ToString(eventData.PlcErrorState))

End Sub

Private Sub ThisProject_Inactive()

'Check out the PhasePlcError Event

RemoveHandler BatchManager().PhasePlcError, AddressOf ThisProject_PhasePlcError

'Final release and garbage collection of any API-Objects.

FreeObjects()

End Sub

VBA

Dim WithEvents zBatchManager As batchManager

'procedure is executed on startup of the zenOn runtime

Private Sub Project_Active()

'init the Batchmanager object for events

Set zBatchManager = thisProject.batchManager

End Sub

'procedure is executed on terminating the zenOn Runtime

Private Sub Project_Inactive()

'free the batchmanager object

Set zBatchManager = Nothing

End Sub

'procedure is executed when the PLC gets an error or the error is gone while a phase is active

Private Sub zBatchManager_PhasePlcError(ByVal eventData As IBatchPhasePlcErrorEventData)

'print time and specific information to debug window

Debug.Print (eventData.Time & " VBA-Event: PLC error")

End Sub


PhaseEscape

Manuel -> Interfaces de programmation -> Modèles d'objet -> BatchManager -> BatchManager-Events -> PhaseEscape

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Fired when closing/leaving a phase.

List of events:

  • Escape condition started
  • Escape condition fulfilled

Datatype

PhaseEscape(IBatchPhaseEscapeEventData eventData) As void

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes

Parameters

C#

VB.NET

VBA

Examples

C#

void ThisProject_Active()

{

//Check in the PhaseEscape Event

BatchManager().PhaseEscape += new PhaseEscapeEventHandler(

ThisProject_PhaseEscape);

}

void ThisProject_PhaseEscape (IBatchPhaseEscapeEventData eventData)

{

//Write debug message to the listener when event is fired.

System.Diagnostics.Debug.WriteLine("[" + eventData.Time + "] PhaseEscape: "

+ eventData.EscapeState);

}

void ThisProject_Inactive()

{

//Check out the PhaseEscape Event

BatchManager().PhaseEscape -= ThisProject_PhaseEscape;

//Final release and garbage collection of any API-Objects.

FreeObjects();

}

VB.NET

Private Sub ThisProject_Active()

'Check in the PhaseEscape Event

AddHandler BatchManager().PhaseEscape, AddressOf ThisProject_PhaseEscape

End Sub

Private Sub ThisProject_PhaseEscape(eventData As IBatchPhaseEscapeEventData)

'Write debug message to the listener when event is fired.

System.Diagnostics.Debug.WriteLine("[" + eventData.Time + "] PhaseEscape: " + eventData.EscapeState)

End Sub

Private Sub ThisProject_Inactive()

'Check out the PhaseEscape Event

RemoveHandler BatchManager().PhaseEscape, AddressOf ThisProject_PhaseEscape

'Final release and garbage collection of any API-Objects.

FreeObjects()

End Sub

VBA

Dim WithEvents zBatchManager As batchManager

'procedure is executed on startup of the zenOn runtime

Private Sub Project_Active()

'init the Batchmanager object for events

Set zBatchManager = thisProject.batchManager

End Sub

'procedure is executed on terminating the zenOn Runtime

Private Sub Project_Inactive()

'free the batchmanager object

Set zBatchManager = Nothing

End Sub

'procedure is executed when a phase gets or is escaped

Private Sub zBatchManager_PhaseEscape(ByVal eventData As IBatchPhaseEscapeEventData)

'print time and specific information to debug window

Debug.Print (eventData.Time & " VBA-Event: Escape")

End Sub


ControlRecipePhaseEdited

Manuel -> Interfaces de programmation -> Modèles d'objet -> BatchManager -> BatchManager-Events -> ControlRecipePhaseEdited

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

The event gets fired, when a phase in a control recipe is edited. The eventData object contains all information about the change that was made.

Datatype

ControlRecipePhaseEdited(IBatchControlRecipePhaseEditedEventData eventData) As void

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes

Parameters

C#

VB.NET

VBA

Examples

C#

void ThisProject_Active()

{

//Check in the ControlRecipePhaseEdited Event

BatchManager().ControlRecipePhaseEdited += new ControlRecipePhaseEditedEventHandler(ThisProject_ControlRecipePhaseEdited);

}

void ThisProject_ControlRecipePhaseEdited(IBatchControlRecipePhaseEditedEventData eventData)

{

//Get the ID of the changed tags from the event data changes collection

string additionalInformation = "Changes[Tag-ID]: ";

for (var index = 0; index < eventData.Changes.TagIdCount; index++)

{

additionalInformation += "" + eventData.Changes.TagIdByIndex(index) + "; ";

}

additionalInformation += " -- Comment:\"" + eventData.Comment + "\"";

//Write debug message to the listener when event is fired.

System.Diagnostics.Debug.WriteLine("[" + eventData.Time + "] Control Recipe Edited. >> " + additionalInformation);

}

void ThisProject_Inactive()

{

//Check out the ControlRecipePhaseEdited Event

BatchManager().ControlRecipePhaseEdited -= ThisProject_ControlRecipePhaseEdited;

//Final release and garbage collection of any API-Objects.

FreeObjects();

}

VB.NET

Private Sub ThisProject_Active()

'Check in the ControlRecipePhaseEdited Event

AddHandler BatchManager().ControlRecipePhaseEdited, AddressOf ThisProject_ControlRecipePhaseEdited

End Sub

Private Sub ThisProject_ControlRecipePhaseEdited(eventData As IBatchControlRecipePhaseEditedEventData)

'Get the ID of the changed tags from the event data changes collection

Dim additionalInformation As String = "Changes[Tag-ID]: "

For index As var = 0 To eventData.Changes.TagIdCount - 1

additionalInformation += "" & eventData.Changes.TagIdByIndex(index) & "; "

Next

additionalInformation += " -- Comment:""" & Convert.ToString(eventData.Comment) & """"

'Write debug message to the listener when event is fired.

System.Diagnostics.Debug.WriteLine("[" & Convert.ToString(eventData.Time) & "] Control Recipe Edited. >> " & additionalInformation)

End Sub

Private Sub ThisProject_Inactive()

'Check out the ControlRecipePhaseEdited Event

RemoveHandler BatchManager().ControlRecipePhaseEdited, AddressOf ThisProject_ControlRecipePhaseEdited

'Final release and garbage collection of any API-Objects.

FreeObjects()

End Sub

VBA


RecipeStateChanged

Manuel -> Interfaces de programmation -> Modèles d'objet -> BatchManager -> BatchManager-Events -> RecipeStateChanged

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

This event is fired when the execution state of a recipe changes

Changes to the recipe execution state that cause this event:

  • State change: running
  • State change: pausing
  • State change: paused
  • State change: resume
  • State change: holding
  • State change: held
  • State change: restarting
  • State change: stopping
  • State change: stopped
  • State change: aborting
  • State change: aborted
  • State change: complete

Datatype

RecipeStateChanged(IBatchRecipeStateChangedEventData eventData) As void

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes

Parameters

C#

VB.NET

VBA

Examples

C#

void ThisProject_Active()

{

//Check in the RecipeStateChanged Event

BatchManager().RecipeStateChanged += new RecipeStateChangedEventHandler (

ThisProject_RecipeStateChanged);

}

void ThisProject_RecipeStateChanged(IBatchRecipeStateChangedEventData eventData)

{

//Write debug message to the listener when event is fired.

System.Diagnostics.Debug.WriteLine("[" + eventData.Time + "] RecipeStateChanged: " + eventData.OldExecutionState + " -> " + eventData.NewExecutionState);

}

void ThisProject_Inactive()

{

//Check out the RecipeStateChanged Event

BatchManager().RecipeStateChanged -= ThisProject_RecipeStateChanged;

//Final release and garbage collection of any API-Objects.

FreeObjects();

}

VB.NET

Private Sub ThisProject_Active()

'Check in the RecipeStateChanged Event

AddHandler BatchManager().RecipeStateChanged, AddressOf ThisProject_RecipeStateChanged

End Sub

Private Sub ThisProject_RecipeStateChanged(eventData As IBatchRecipeStateChangedEventData)

'Write debug message to the listener when event is fired.

System.Diagnostics.Debug.WriteLine("[" & Convert.ToString(eventData.Time) & "] RecipeStateChanged: " & Convert.ToString(eventData.OldExecutionState) & " -> " & Convert.ToString(eventData.NewExecutionState))

End Sub

Private Sub ThisProject_Inactive()

'Check out the RecipeStateChanged Event

RemoveHandler BatchManager().RecipeStateChanged, AddressOf ThisProject_RecipeStateChanged

'Final release and garbage collection of any API-Objects.

FreeObjects()

End Sub

VBA

Dim WithEvents zBatchManager As batchManager

'procedure is executed on startup of the zenOn runtime

Private Sub Project_Active()

'init the Batchmanager object for events

Set zBatchManager = thisProject.batchManager

End Sub

'procedure is executed on terminating the zenOn Runtime

Private Sub Project_Inactive()

'free the batchmanager object

Set zBatchManager = Nothing

End Sub

'procedure is executed when a recipe changes its state

Private Sub zBatchManager_ RecipeStateChanged (ByVal eventData As IBatchRecipeStateChangedEventData)

'print time and specific information to debug window

Debug.Print (eventData.Time & " VBA-Event: Recipe State change")

End Sub


RecipeModeChanged

Manuel -> Interfaces de programmation -> Modèles d'objet -> BatchManager -> BatchManager-Events -> RecipeModeChanged

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

This event is fired if the execution mode of a recipe is changed during its execution. Additionally it is fired once at the start of the recipe with the initial mode as old and as new mode.

Changes to the execution mode that cause this event:

  • Mode Change: automatic
  • Mode Change: semi-automatic
  • Mode Change: manual

Datatype

RecipeModeChanged(IBatchRecipeModeChangedEventData eventData) As void

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes

Parameters

C#

VB.NET

VBA

Examples

C#

void ThisProject_Active()

{

//Check in the RecipeModeChanged Event

BatchManager().RecipeModeChanged += new RecipeModeChangedEventHandler (

ThisProject_RecipeModeChanged);

}

void ThisProject_RecipeModeChanged(IBatchRecipeModeChangedEventData eventData)

{

//Write debug message to the listener when event is fired.

System.Diagnostics.Debug.WriteLine("[" + eventData.Time + "] RecipeModeChanged: " + eventData.OldExecutionMode + " -> " + eventData.NewExecutionMode);

}

void ThisProject_Inactive()

{

//Check out the RecipeModeChanged Event

BatchManager().RecipeModeChanged -= ThisProject_RecipeModeChanged;

//Final release and garbage collection of any API-Objects.

FreeObjects();

}

VB.NET

Private Sub ThisProject_Active()

'Check in the RecipeModeChanged Event

AddHandler BatchManager().RecipeModeChanged, AddressOf ThisProject_RecipeModeChanged

End Sub

Private Sub ThisProject_RecipeModeChanged(eventData As IBatchRecipeModeChangedEventData)

'Write debug message to the listener when event is fired.

System.Diagnostics.Debug.WriteLine("[" & Convert.ToString(eventData.Time) & "] RecipeModeChanged: " & Convert.ToString(eventData.OldExecutionMode) & " -> " & Convert.ToString(eventData.NewExecutionMode))

End Sub

Private Sub ThisProject_Inactive()

'Check out the RecipeModeChanged Event

RemoveHandler BatchManager().RecipeModeChanged, AddressOf ThisProject_RecipeModeChanged

'Final release and garbage collection of any API-Objects.

FreeObjects()

End Sub

VBA

Dim WithEvents zBatchManager As batchManager

'procedure is executed on startup of the zenOn runtime

Private Sub Project_Active()

'init the Batchmanager object for events

Set zBatchManager = thisProject.batchManager

End Sub

'procedure is executed on terminating the zenOn Runtime

Private Sub Project_Inactive()

'free the batchmanager object

Set zBatchManager = Nothing

End Sub

'procedure is executed when a recipe changes its mode

Private Sub zBatchManager_ RecipeModeChanged (ByVal eventData As IBatchRecipeModeChangedEventData)

'print time and specific information to debug window

Debug.Print (eventData.Time & " VBA-Event: Recipe Mode change")

End Sub


MRSelectionChanged

Manuel -> Interfaces de programmation -> Modèles d'objet -> BatchManager -> BatchManager-Events -> MRSelectionChanged

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

This event is fired when the selection in the screen element master recipe list changes.

Datatype

MRSelectionChanged(IBatchMRSelectionChangedEventData eventData) As void

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes

Parameters

C#

// local variable for the batchManager to register the events

private IBatchManager batchManager = null;

void ThisProject_Active()

{

// Register event

batchManager.MRSelectionChanged += new MRSelectionChangedEventHandler(ThisProject_MRSelectionChanged);

}

void ThisProject_Inactive()

{

// unregister Event

batchManager.MRSelectionChanged -= new MRSelectionChangedEventHandler(ThisProject_MRSelectionChanged);

}

void ThisProject_MRSelectionChanged(IBatchMRSelectionChangedEventData eventData)

{

// Get master recipe selection for the screen in which the selection has changed

int[] selectedMRIds = (int[])batchManager.SelectedMRIds(eventData.ScreenName);

// Build an output string

string selectedMRIdsInfo = "Selected MRIds: ";

foreach (int selectedMRId in selectedMRIds)

selectedMRIdsInfo += selectedMRId + "; ";

// Write an output message

System.Diagnostics.Debug.Print("\n" + selectedMRIdsInfo);

}

VB.NET

' local variable for the batchManager to register the events

Private batchManager As IBatchManager = Nothing

Private Sub ThisProject_Active()

' Register event

AddHandler batchManager.MRSelectionChanged, AddressOf ThisProject_MRSelectionChanged

End Sub

Private Sub ThisProject_Inactive()

' unregister Event

RemoveHandler batchManager.MRSelectionChanged, AddressOf ThisProject_MRSelectionChanged

End Sub

Private Sub ThisProject_MRSelectionChanged(eventData As IBatchMRSelectionChangedEventData)

' Get master recipe selection for the screen in which the selection has changed

Dim selectedMRIds As Integer() = DirectCast(batchManager.SelectedMRIds(eventData.ScreenName), Integer())

' Build an output string

Dim selectedMRIdsInfo As String = "Selected MRIds: "

For Each selectedMRId As Integer In selectedMRIds

selectedMRIdsInfo += selectedMRId + "; "

Next

' Write an output message

System.Diagnostics.Debug.Print(Convert.ToString(vbLf) & selectedMRIdsInfo)

End Sub

VBA

Examples

C#

// local variable for the batchManager to register the events

private IBatchManager batchManager = null;

void ThisProject_Active()

{

// Register event

batchManager.MRSelectionChanged += new MRSelectionChangedEventHandler(ThisProject_MRSelectionChanged);

}

void ThisProject_Inactive()

{

// unregister Event

batchManager.MRSelectionChanged -= new MRSelectionChangedEventHandler(ThisProject_MRSelectionChanged);

}

void ThisProject_MRSelectionChanged(IBatchMRSelectionChangedEventData eventData)

{

// Get master recipe selection for the screen in which the selection has changed

int[] selectedMRIds = (int[])batchManager.SelectedMRIds(eventData.ScreenName);

// Build an output string

string selectedMRIdsInfo = "Selected MRIds: ";

foreach (int selectedMRId in selectedMRIds)

selectedMRIdsInfo += selectedMRId + "; ";

// Write an output message

System.Diagnostics.Debug.Print("\n" + selectedMRIdsInfo);

}

VB.NET

VBA

Dim WithEvents zBatchManager As BatchManager

Private Sub Project_Active()

'Register events

Set zBatchManager = thisProject.BatchManager

End Sub

Private Sub Project_Inactive()

'Unregister events

Set zBatchManager = Nothing

End Sub

Private Sub zBatchManager_MRSelectionChanged(ByVal eventData As IBatchMRSelectionChangedEventData)

'Get the MRs of the calling screen

Dim selectedMRIds() As Long

selectedMRIds = zBatchManager.selectedMRIds(eventData.ScreenName)

Dim selectedMRIdsInfo As String

selectedMRIdsInfo = "Selected MRIds: "

'Get the MR Ids data

For i = 0 To UBound(selectedMRIds)

selectedMRIdsInfo = selectedMRIdsInfo & selectedMRIds(i) & "; "

Next i

'Show messagebox with recipe Ids

MsgBox (selectedMRIdsInfo)

End Sub


CRSelectionChanged

Manuel -> Interfaces de programmation -> Modèles d'objet -> BatchManager -> BatchManager-Events -> CRSelectionChanged

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

This event is fired when the selection in the screen element control recipe list changes.

Datatype

CRSelectionChanged(IBatchCRSelectionChangedEventData eventData) As void

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes

Parameters

C#

// local variable for the batchManager to register the events

private IBatchManager batchManager = null;

void ThisProject_Active()

{

batchManager = this.BatchManager();

// Register event

batchManager.CRSelectionChanged += new CRSelectionChangedEventHandler(ThisProject_CRSelectionChanged);

}

void ThisProject_Inactive()

{

// unregister Event

batchManager.CRSelectionChanged -= new CRSelectionChangedEventHandler(ThisProject_CRSelectionChanged);

}

void ThisProject_CRSelectionChanged(IBatchCRSelectionChangedEventData eventData)

{

// Get control recipe selection for the screen in which the selection has changed

object[] selectedCRIds = (object[])batchManager.SelectedCRIds(eventData.ScreenName);

// Build an output string

string selectedCRIdsInfo = "Selected CRIds[CRId | MRId): ";

foreach (object selectedCRId in selectedCRIds)

{

IBatchRecipeId crId = (IBatchRecipeId)selectedCRId;

selectedCRIdsInfo += crId.CRId + " | " + crId.MRId + "; ";

}

// Write an output message

System.Diagnostics.Debug.Print("\n" + selectedCRIdsInfo);

}

VB.NET

' local variable for the batchManager to register the events

Private batchManager As IBatchManager = Nothing

Private Sub ThisProject_Active()

batchManager = Me.BatchManager()

' Register event

AddHandler batchManager.CRSelectionChanged, AddressOf ThisProject_CRSelectionChanged

End Sub

Private Sub ThisProject_Inactive()

' unregister Event

RemoveHandler batchManager.CRSelectionChanged, AddressOf ThisProject_CRSelectionChanged

End Sub

Private Sub ThisProject_CRSelectionChanged(eventData As IBatchCRSelectionChangedEventData)

' Get control recipe selection for the screen in which the selection has changed

Dim selectedCRIds As Object() = DirectCast(batchManager.SelectedCRIds(eventData.ScreenName), Object())

' Build an output string

Dim selectedCRIdsInfo As String = "Selected CRIds[CRId | MRId): "

For Each selectedCRId As Object In selectedCRIds

Dim crId As IBatchRecipeId = DirectCast(selectedCRId, IBatchRecipeId)

selectedCRIdsInfo += crId.CRId + " | " + crId.MRId + "; "

Next

' Write an output message

System.Diagnostics.Debug.Print(Convert.ToString(vbLf) & selectedCRIdsInfo)

End Sub

VBA

Examples

C#

// local variable for the batchManager to register the events

private IBatchManager batchManager = null;

void ThisProject_Active()

{

// Register event

batchManager.CRSelectionChanged += new CRSelectionChangedEventHandler(ThisProject_CRSelectionChanged);

}

void ThisProject_Inactive()

{

// unregister Event

batchManager.CRSelectionChanged -= new CRSelectionChangedEventHandler(ThisProject_CRSelectionChanged);

}

void ThisProject_CRSelectionChanged(IBatchCRSelectionChangedEventData eventData)

{

// Get control recipe selection for the screen in which the selection has changed

object[] selectedCRIds = (object[])batchManager.SelectedCRIds(eventData.ScreenName);

// Build an output string

string selectedCRIdsInfo = "Selected CRIds[CRId | MRId): ";

foreach (object selectedCRId in selectedCRIds)

{

IBatchRecipeId crId = (IBatchRecipeId)selectedCRId;

selectedCRIdsInfo += crId.CRId + " | " + crId.MRId + "; ";

}

// Write an output message

System.Diagnostics.Debug.Print("\n" + selectedCRIdsInfo);

}

VB.NET

VBA

Dim WithEvents zBatchManager As BatchManager

Private Sub Project_Active()

'Register events

Set zBatchManager = thisProject.BatchManager

End Sub

Private Sub Project_Inactive()

'Unregister events

Set zBatchManager = Nothing

End Sub

Private Sub zBatchManager_CRSelectionChanged(ByVal eventData As IBatchCRSelectionChangedEventData)

'Get the CRs of the calling screen

Dim selectedCRIds() As BatchRecipeId

selectedCRIds = zBatchManager.selectedCRIds(eventData.ScreenName)

Dim selectedCRIdsInfo As String

selectedCRIdsInfo = "Selected CRIds[CRId | MRId): "

'Get the CR Ids data

For i = 0 To UBound(selectedCRIds)

selectedCRIdsInfo = selectedCRIdsInfo & selectedCRIds(i).CRId & " | " & selectedCRIds(i).MRId & "; "

Next i

'Show messagebox with recipe Id

MsgBox (selectedCRIdsInfo)

End Sub


BatchMasterRecipe

Manuel -> Interfaces de programmation -> Modèles d'objet -> BatchMasterRecipe

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Object with the properties for the recipe. These properties can be read.

Property table: BatchMasterRecipe-Properties

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes

Examples

C#

public void MacroBatchMasterRecipe()

{

IBatchManager batchManager = this.BatchManager();

//Get a master recipe over its index

int mrIndex = 0;

IBatchMasterRecipe masterRecipe = batchManager.MasterRecipes().ItemByIndex(mrIndex);

// Get a master recipe over its ID

int mrId = 42;

masterRecipe = batchManager.MasterRecipes().ItemById(mrId);

//Get the data of a master recipe over its name

string mrName = "TestMR1";

masterRecipe = batchManager.MasterRecipes().Item(mrName, 1);

//Do something with the BatchMasterRecipe

}

VB.NET

Public Sub MacroBatchMasterRecipe()

Dim batchManager As IBatchManager = Me.BatchManager()

'Get a master recipe over its index

Dim mrIndex As Integer = 0

Dim masterRecipe As IBatchMasterRecipe = batchManager.MasterRecipes().ItemByIndex(mrIndex)

' Get a master recipe over its ID

Dim mrId As Integer = 42

masterRecipe = batchManager.MasterRecipes().ItemById(mrId)

'Get the data of a master recipe over its name

Dim mrName As String = "TestMR1"

masterRecipe = batchManager.MasterRecipes().Item(mrName, 1)

'Do something with the BatchMasterRecipe

End Sub

VBA

Public Sub test()

// Get a master recipe over its ID

Set masterRecipe = thisProject.batchManager.MasterRecipes. ItemById (10)

//Get the data of a master recipe over its name

Set masterRecipe = thisProject.batchManager.MasterRecipes. ItemByName ("TestMR1")

//Get a master recipe over its index

Set masterRecipe = thisProject.batchManager.MasterRecipes.ItemByIndex(10)

'print text and approved time to debug window

Debug.Print ("ApprovedTime: " & masterrecipe.ApprovedTime)

End Sub

Other topics in this chapter

BatchMasterRecipe-Properties

BatchMasterRecipe-Methods


BatchMasterRecipe-Properties

Manuel -> Interfaces de programmation -> Modèles d'objet -> BatchMasterRecipe -> BatchMasterRecipe-Properties

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
long | ID | Returns the Id of the recipe | not used | read only | yes | yes
BSTR | Name | Returns the name of the recipe | not used | read only | yes | yes
BSTR | Description | Returns the description of the recipe | not used | read only | yes | yes
tpBatchMRState | MRState | Returns the state of the recipe | not used | read only | yes | yes
tpBatchExecutionState | ExecutionState | Returns the state of the recipe engine | not used | read only | yes | yes
BSTR | Type | Returns the type of the recipe | not used | read only | yes | yes
tpBatchExecutionMode | ExecutionMode | Returns the mode of the recipe | not used | read only | yes | yes
DATE | ApprovedTime | Returns the approved time of the recipe | not used | read only | yes | yes
BSTR | ApprovedUserName | Returns the approved user name of the recipe | not used | read only | yes | yes
BSTR | ApprovedUserId | Returns the approved user id of the recipe | not used | read only | yes | yes
DATE | OutdatedTime | Returns the outdated time of the recipe | not used | read only | yes | yes
BSTR | OutdatedUserName | Returns the outdated user name of the recipe | not used | read only | yes | yes
BSTR | OutdatedUserId | Returns the outdated user id of the recipe | not used | read only | yes | yes
long | Version | Returns the version of recipe | not used | read only | yes | yes
long | SourceVersion | Returns the version of the source recipe | not used | read only | yes | yes

Other topics in this chapter

ID

Name

Description

MRState

ExecutionState

Type

ExecutionMode

ApprovedTime

ApprovedUserName

ApprovedUserId

OutdatedTime

OutdatedUserName

OutdatedUserId

Version

SourceVersion


ID

Manuel -> Interfaces de programmation -> Modèles d'objet -> BatchMasterRecipe -> BatchMasterRecipe-Properties -> ID

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

ID() As long

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes


Name

Manuel -> Interfaces de programmation -> Modèles d'objet -> BatchMasterRecipe -> BatchMasterRecipe-Properties -> Name

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

Name() As BSTR

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes


Description

Manuel -> Interfaces de programmation -> Modèles d'objet -> BatchMasterRecipe -> BatchMasterRecipe-Properties -> Description

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

Description() As BSTR

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes


MRState

Manuel -> Interfaces de programmation -> Modèles d'objet -> BatchMasterRecipe -> BatchMasterRecipe-Properties -> MRState

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

MRState() As tpBatchMRState

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes


ExecutionState

Manuel -> Interfaces de programmation -> Modèles d'objet -> BatchMasterRecipe -> BatchMasterRecipe-Properties -> ExecutionState

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

ExecutionState() As tpBatchExecutionState

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes


Type

Manuel -> Interfaces de programmation -> Modèles d'objet -> BatchMasterRecipe -> BatchMasterRecipe-Properties -> Type

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

Type() As BSTR

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes


ExecutionMode

Manuel -> Interfaces de programmation -> Modèles d'objet -> BatchMasterRecipe -> BatchMasterRecipe-Properties -> ExecutionMode

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

ExecutionMode() As tpBatchExecutionMode

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes


ApprovedTime

Manuel -> Interfaces de programmation -> Modèles d'objet -> BatchMasterRecipe -> BatchMasterRecipe-Properties -> ApprovedTime

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

ApprovedTime() As DATE

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes


ApprovedUserName

Manuel -> Interfaces de programmation -> Modèles d'objet -> BatchMasterRecipe -> BatchMasterRecipe-Properties -> ApprovedUserName

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

ApprovedUserName() As BSTR

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes


ApprovedUserId

Manuel -> Interfaces de programmation -> Modèles d'objet -> BatchMasterRecipe -> BatchMasterRecipe-Properties -> ApprovedUserId

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

ApprovedUserId() As BSTR

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes


OutdatedTime

Manuel -> Interfaces de programmation -> Modèles d'objet -> BatchMasterRecipe -> BatchMasterRecipe-Properties -> OutdatedTime

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

OutdatedTime() As DATE

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes


OutdatedUserName

Manuel -> Interfaces de programmation -> Modèles d'objet -> BatchMasterRecipe -> BatchMasterRecipe-Properties -> OutdatedUserName

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

OutdatedUserName() As BSTR

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes


OutdatedUserId

Manuel -> Interfaces de programmation -> Modèles d'objet -> BatchMasterRecipe -> BatchMasterRecipe-Properties -> OutdatedUserId

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

OutdatedUserId() As BSTR

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes


Version

Manuel -> Interfaces de programmation -> Modèles d'objet -> BatchMasterRecipe -> BatchMasterRecipe-Properties -> Version

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Version number of the template recipe.

Datatype

Version() As long

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes


SourceVersion

Manuel -> Interfaces de programmation -> Modèles d'objet -> BatchMasterRecipe -> BatchMasterRecipe-Properties -> SourceVersion

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Version number of the source recipe.

Datatype

SourceVersion() As long

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes


BatchMasterRecipe-Methods

Manuel -> Interfaces de programmation -> Modèles d'objet -> BatchMasterRecipe -> BatchMasterRecipe-Methods

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
IBatchControlRecipes | ControlRecipes | Returns the collection of control recipes | not used | read only | yes | yes
tpRecipeRenameResult | SetNameAndDescription | Tries to rename the recipe and sets the description. Returns a result code whether the operation was successful or not. | not used | read only | yes | yes

Other topics in this chapter

ControlRecipes

SetNameAndDescription


ControlRecipes

Manuel -> Interfaces de programmation -> Modèles d'objet -> BatchMasterRecipe -> BatchMasterRecipe-Methods -> ControlRecipes

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

ControlRecipes(tpBatchCRStateFilter eFilter) As IBatchControlRecipes

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes

Parameters

C#

VB.NET

VBA

Examples

C#

VB.NET

VBA


SetNameAndDescription

Manuel -> Interfaces de programmation -> Modèles d'objet -> BatchMasterRecipe -> BatchMasterRecipe-Methods -> SetNameAndDescription

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

This method changes the name and the description of the master recipe if possible. The method returns a result code for the operation.

Note, that the master recipe instance you are working on is a copy of the original data. To get an updated version of the master recipe you have to get it again from the master recipes container.

Datatype

SetNameAndDescription(BSTR newName, BSTR newDescription) As tpRecipeRenameResult

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes

Parameters

C#

VB.NET

VBA

Examples

C#

//Function to rename a master recipe and set its description

public void Macro_SetMasterRecipeNameAndDescription()

{

//Get the master recipe that is to be renamed

IBatchMasterRecipe mr = BatchManager().MasterRecipes().Item("oldMasterRecipeName", 1);

//rename the master recipe and set its description

tpRecipeRenameResult result = mr.SetNameAndDescription("newName", "newDescription");

//Output result if the operation failed

if (result != tpRecipeRenameResult.tpRecipeRenameSuccess)

{

MessageBox.Show(null, "Rename Failed. Error Code: " + result.ToString(), "rename master recipe result", MessageBoxButtons.OK, MessageBoxIcon.None);

}

}

VB.NET

'Function to rename a master recipe and set its description

Public Sub Macro_SetMasterRecipeNameAndDescription()

'Get the master recipe that is to be renamed

Dim mr As IBatchMasterRecipe = BatchManager().MasterRecipes().Item("oldMasterRecipeName", 1)

'rename the master recipe and set its description

Dim result As tpRecipeRenameResult = mr.SetNameAndDescription("newName", "newDescription")

'Output result if the operation failed

If result <> tpRecipeRenameResult.tpRecipeRenameSuccess Then

MessageBox.Show(Nothing, "Rename Failed. Error Code: " & result.ToString(), "rename master recipe result", MessageBoxButtons.OK, MessageBoxIcon.None)

End If

End Sub

VBA

'Function to rename a master recipe and set its description

Public Sub SetMasterRecipeNameAndDescription()

'Get the master recipe that is to be renamed

Dim mr As BatchMasterRecipe

Set mr = thisProject.BatchManager.MasterRecipes.Item("oldMasterRecipeName", 1)

'rename the master recipe and set its description

Dim result As tpRecipeRenameResult 'resultcode for the operation

result = mr.SetNameAndDescription("newName", "newDescription")

'Output result if the operation failed

If result <> tpRecipeRenameSuccess Then

MsgBox ("Rename Failed. Error Code: " & CStr(result))

End If

End Sub


BatchMasterRecipes

Manuel -> Interfaces de programmation -> Modèles d'objet -> BatchMasterRecipes

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Lists all template recipes. Specific recipes can be read from the collection.

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes

Examples

C#

public void MacroBatchMasterRecipe()

{

IBatchManager batchManager = this.BatchManager();

//Get a master recipe over its index

int mrIndex = 0;

IBatchMasterRecipe masterRecipe = batchManager.MasterRecipes().ItemByIndex(mrIndex);

// Get a master recipe over its ID

int mrId = 42;

masterRecipe = batchManager.MasterRecipes().ItemById(mrId);

//Get the data of a master recipe over its name

string mrName = "TestMR1";

masterRecipe = batchManager.MasterRecipes().Item(mrName, 1);

//Do something with the BatchMasterRecipe

}

VB.NET

Public Sub MacroBatchMasterRecipe()

Dim batchManager As IBatchManager = Me.BatchManager()

'Get a master recipe over its index

Dim mrIndex As Integer = 0

Dim masterRecipe As IBatchMasterRecipe = batchManager.MasterRecipes().ItemByIndex(mrIndex)

' Get a master recipe over its ID

Dim mrId As Integer = 42

masterRecipe = batchManager.MasterRecipes().ItemById(mrId)

'Get the data of a master recipe over its name

Dim mrName As String = "TestMR1"

masterRecipe = batchManager.MasterRecipes().Item(mrName, 1)

'Do something with the BatchMasterRecipe

End Sub

VBA

Public Sub test()

// Get a master recipe over its ID

Set masterRecipe = thisProject.batchManager.MasterRecipes. ItemById (10)

//Get the data of a master recipe over its name

Set masterRecipe = thisProject.batchManager.MasterRecipes. ItemByName ("TestMR1")

//Get a master recipe over its index

Set masterRecipe = thisProject.batchManager.MasterRecipes.ItemByIndex(10)

'print text and approved time to debug window

Debug.Print ("ApprovedTime: " & masterrecipe.ApprovedTime)

End Sub

Other topics in this chapter

BatchMasterRecipes-Properties

BatchMasterRecipes-Methods


BatchMasterRecipes-Properties

Manuel -> Interfaces de programmation -> Modèles d'objet -> BatchMasterRecipes -> BatchMasterRecipes-Properties

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
long | Count | Returns the count of items in the collection of master recipes | not used | read only | yes | yes

Other topics in this chapter

Count


Count

Manuel -> Interfaces de programmation -> Modèles d'objet -> BatchMasterRecipes -> BatchMasterRecipes-Properties -> Count

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

Count() As long

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes


BatchMasterRecipes-Methods

Manuel -> Interfaces de programmation -> Modèles d'objet -> BatchMasterRecipes -> BatchMasterRecipes-Methods

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description |  | Editor | Runtime | VBA | VSTA
IBatchMasterRecipe | ItemByIndex | Returns the master recipe item at the given index |  | not used | read only | yes | yes
IBatchMasterRecipe | Item | Returns the master recipe item with the specified name |  | not used | read only | yes | yes
IBatchMasterRecipe | ItemById | Returns the master recipe item with the specified Id |  | not used | read only | yes | yes
IBatchMasterRecipe | GetItem | Returns the master recipe item at the given index | not used |  | read only | yes |  | yes
IBatchMasterRecipe | GetItemByName | Returns the master recipe item with the specified name | not used |  | read only | yes |  | yes
IBatchMasterRecipe | GetItemById | Returns the master recipe item with the specified Id | not used |  | read only | yes |  | yes

Other topics in this chapter

GetItem

GetItemByName

GetItemById


GetItem

Manuel -> Interfaces de programmation -> Modèles d'objet -> BatchMasterRecipes -> BatchMasterRecipes-Methods -> GetItem

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

GetItem(long lIndex) As IBatchMasterRecipe

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes

Parameters

C#

VB.NET

VBA

Examples

C#

VB.NET

VBA


GetItemByName

Manuel -> Interfaces de programmation -> Modèles d'objet -> BatchMasterRecipes -> BatchMasterRecipes-Methods -> GetItemByName

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

GetItemByName(BSTR bstrName, long lVersion) As IBatchMasterRecipe

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes

Parameters

C#

VB.NET

VBA

Examples

C#

VB.NET

VBA


GetItemById

Manuel -> Interfaces de programmation -> Modèles d'objet -> BatchMasterRecipes -> BatchMasterRecipes-Methods -> GetItemById

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

GetItemById(long lId) As IBatchMasterRecipe

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes

Parameters

C#

VB.NET

VBA

Examples

C#

VB.NET

VBA


BatchMRSelectionChangedEventData

Manuel -> Interfaces de programmation -> Modèles d'objet -> BatchMRSelectionChangedEventData

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

An object of this type is passed as a parameter in the MRSelectionChangedEvent

string ScreenName: Name of the Picture, in which the selection was changed

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes

Examples

C#

// local variable for the batchManager to register the events

private IBatchManager batchManager = null;

void ThisProject_Active()

{

// Register event

batchManager.MRSelectionChanged += new MRSelectionChangedEventHandler(ThisProject_MRSelectionChanged);

}

void ThisProject_Inactive()

{

// unregister Event

batchManager.MRSelectionChanged -= new MRSelectionChangedEventHandler(ThisProject_MRSelectionChanged);

}

void ThisProject_MRSelectionChanged(IBatchMRSelectionChangedEventData eventData)

{

// Get master recipe selection for the screen in which the selection has changed

int[] selectedMRIds = (int[])batchManager.SelectedMRIds(eventData.ScreenName);

// Build an output string

string selectedMRIdsInfo = "Selected MRIds: ";

foreach (int selectedMRId in selectedMRIds)

selectedMRIdsInfo += selectedMRId + "; ";

// Write an output message

System.Diagnostics.Debug.Print("\n" + selectedMRIdsInfo);

}

VB.NET

' local variable for the batchManager to register the events

Private batchManager As IBatchManager = Nothing

Private Sub ThisProject_Active()

' Register event

AddHandler batchManager.MRSelectionChanged, AddressOf ThisProject_MRSelectionChanged

End Sub

Private Sub ThisProject_Inactive()

' unregister Event

RemoveHandler batchManager.MRSelectionChanged, AddressOf ThisProject_MRSelectionChanged

End Sub

Private Sub ThisProject_MRSelectionChanged(eventData As IBatchMRSelectionChangedEventData)

' Get master recipe selection for the screen in which the selection has changed

Dim selectedMRIds As Integer() = DirectCast(batchManager.SelectedMRIds(eventData.ScreenName), Integer())

' Build an output string

Dim selectedMRIdsInfo As String = "Selected MRIds: "

For Each selectedMRId As Integer In selectedMRIds

selectedMRIdsInfo += selectedMRId & "; "

Next

' Write an output message

System.Diagnostics.Debug.Print(vbLf & selectedMRIdsInfo)

End Sub

VBA

Dim WithEvents zBatchManager As BatchManager

Private Sub Project_Active()

'Register events

Set zBatchManager = thisProject.BatchManager

End Sub

Private Sub Project_Inactive()

'Unregister events

Set zBatchManager = Nothing

End Sub

Private Sub zBatchManager_MRSelectionChanged(ByVal eventData As IBatchMRSelectionChangedEventData)

'Get the MRs of the calling screen

Dim selectedMRIds() As Long

selectedMRIds = zBatchManager.selectedMRIds(eventData.ScreenName)

Dim selectedMRIdsInfo As String

selectedMRIdsInfo = "Selected MRIds: "

'Get the MR Ids data

For i = 0 To UBound(selectedMRIds)

selectedMRIdsInfo = selectedMRIdsInfo & selectedMRIds(i) & "; "

Next i

'Show messagebox with recipe Ids

MsgBox (selectedMRIdsInfo)

End Sub

Other topics in this chapter

BatchMRSelectionChangedEventData-Properties


BatchMRSelectionChangedEventData-Properties

Manuel -> Interfaces de programmation -> Modèles d'objet -> BatchMRSelectionChangedEventData -> BatchMRSelectionChangedEventData-Properties

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
BSTR | ScreenName | Name of the screen in which the selection of the recipe list was changed | not used | read only | yes | yes

Other topics in this chapter

ScreenName


ScreenName

Manuel -> Interfaces de programmation -> Modèles d'objet -> BatchMRSelectionChangedEventData -> BatchMRSelectionChangedEventData-Properties -> ScreenName

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Name of the Picture, in which the selection was changed

Datatype

ScreenName() As BSTR

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes


BatchOperation

Manuel -> Interfaces de programmation -> Modèles d'objet -> BatchOperation

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

A sub-recipe, that can then be used in master recipes.

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes

Examples

C#

VB.NET

VBA

Other topics in this chapter

BatchOperation-Properties


BatchOperation-Properties

Manuel -> Interfaces de programmation -> Modèles d'objet -> BatchOperation -> BatchOperation-Properties

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
long | ChartId | Id of the chart operation object in the recipe | not used | read only | yes | yes
BSTR | Name | Name of the operation | not used | read only | yes | yes
BSTR | Description | Description of the operation | not used | read only | yes | yes

Other topics in this chapter

ChartId

Name

Description


ChartId

Manuel -> Interfaces de programmation -> Modèles d'objet -> BatchOperation -> BatchOperation-Properties -> ChartId

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Id of the chart operation object in the recipe.

Datatype

ChartId() As long

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes


Name

Manuel -> Interfaces de programmation -> Modèles d'objet -> BatchOperation -> BatchOperation-Properties -> Name

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Name of the operation.

Datatype

Name() As BSTR

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes


Description

Manuel -> Interfaces de programmation -> Modèles d'objet -> BatchOperation -> BatchOperation-Properties -> Description

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Description of the operation.

Datatype

Description() As BSTR

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes


BatchPhase

Manuel -> Interfaces de programmation -> Modèles d'objet -> BatchPhase

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

A functional block, that encapsulates the communication with the plc for a specific procedure.

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes

Examples

C#

VB.NET

VBA

Other topics in this chapter

BatchPhase-Properties


BatchPhase-Properties

Manuel -> Interfaces de programmation -> Modèles d'objet -> BatchPhase -> BatchPhase-Properties

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
long | ChartId | Id of the chart phase object in the recipe or operation | not used | read only | yes | yes
BSTR | Name | Name of the phase | not used | read only | yes | yes
BSTR | Description | Description of the phase | not used | read only | yes | yes
tpBatchExecutionState | PhaseState | Execution state of the phase | not used | read only | yes | yes
long | ExecutionCounter | Execution counter of the phase | not used | read only | yes | yes
IBatchControlStrategy | ControlStrategy | Currently active control strategy | not used | read only | yes | yes
IBatchTags | Tags | Collection for the tags of the phase | not used | read only | yes | yes

Other topics in this chapter

ChartId

Name

Description

PhaseState

ExecutionCounter

ControlStrategy

Tags


ChartId

Manuel -> Interfaces de programmation -> Modèles d'objet -> BatchPhase -> BatchPhase-Properties -> ChartId

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Id of the chart phase object in the recipe or operation.

Datatype

ChartId() As long

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes


Name

Manuel -> Interfaces de programmation -> Modèles d'objet -> BatchPhase -> BatchPhase-Properties -> Name

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Name of the phase.

Datatype

Name() As BSTR

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes


Description

Manuel -> Interfaces de programmation -> Modèles d'objet -> BatchPhase -> BatchPhase-Properties -> Description

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Description of the phase.

Datatype

Description() As BSTR

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes


PhaseState

Manuel -> Interfaces de programmation -> Modèles d'objet -> BatchPhase -> BatchPhase-Properties -> PhaseState

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Execution state of the phase.

Datatype

PhaseState() As tpBatchExecutionState

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes


ExecutionCounter

Manuel -> Interfaces de programmation -> Modèles d'objet -> BatchPhase -> BatchPhase-Properties -> ExecutionCounter

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Execution counter of the phase.

Datatype

ExecutionCounter() As long

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes


ControlStrategy

Manuel -> Interfaces de programmation -> Modèles d'objet -> BatchPhase -> BatchPhase-Properties -> ControlStrategy

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Currently active control strategy.

Datatype

ControlStrategy() As IBatchControlStrategy

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes


Tags

Manuel -> Interfaces de programmation -> Modèles d'objet -> BatchPhase -> BatchPhase-Properties -> Tags

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

Tags() As IBatchTags

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes


BatchPhaseChanges

Manuel -> Interfaces de programmation -> Modèles d'objet -> BatchPhaseChanges

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Object that contains what changes were made in the phase (contains the IDs of the changed tags)

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes

Examples

C#

VB.NET

VBA

Other topics in this chapter

BatchPhaseChanges-Properties

BatchPhaseChanges-Methods


BatchPhaseChanges-Properties

Manuel -> Interfaces de programmation -> Modèles d'objet -> BatchPhaseChanges -> BatchPhaseChanges-Properties

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
long | TagIdCount | Count of tag ids in the collection | not used | read only | yes | yes

Other topics in this chapter

TagIdCount


TagIdCount

Manuel -> Interfaces de programmation -> Modèles d'objet -> BatchPhaseChanges -> BatchPhaseChanges-Properties -> TagIdCount

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Count of the IDs for the changed tags.

Datatype

TagIdCount() As long

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes


BatchPhaseChanges-Methods

Manuel -> Interfaces de programmation -> Modèles d'objet -> BatchPhaseChanges -> BatchPhaseChanges-Methods

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
long | TagIdByIndex | Gets a tag id from the collection by its index | not used | read only | yes | yes

Other topics in this chapter

TagIdByIndex


TagIdByIndex

Manuel -> Interfaces de programmation -> Modèles d'objet -> BatchPhaseChanges -> BatchPhaseChanges-Methods -> TagIdByIndex

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns an ID of a changed Tag for lIndex. lIndex has to lie between 0 and TagIdCount-1. If it does not, the Method will return 0.

Datatype

TagIdByIndex(long lIndex) As long

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes

Parameters

C#

VB.NET

VBA

Examples

C#

void ThisProject_Active()

{

//Check in the ControlRecipePhaseEdited Event

BatchManager().ControlRecipePhaseEdited += new ControlRecipePhaseEditedEventHandler(ThisProject_ControlRecipePhaseEdited);

}

void ThisProject_ControlRecipePhaseEdited(IBatchControlRecipePhaseEditedEventData eventData)

{

//Get the ID of the changed tags from the event data changes collection

string additionalInformation = "Changes[Tag-ID]: ";

for (var index = 0; index < eventData.Changes.TagIdCount; index++)

{

additionalInformation += "" + eventData.Changes.TagIdByIndex(index) + "; ";

}

additionalInformation += " -- Comment:\"" + eventData.Comment + "\"";

//Write debug message to the listener when event is fired.

System.Diagnostics.Debug.WriteLine("[" + eventData.Time + "] Control Recipe

Edited. >> " + additionalInformation);

}

void ThisProject_Inactive()

{

//Check out the ControlRecipePhaseEdited Event

BatchManager().ControlRecipePhaseEdited -= ThisProject_ControlRecipePhaseEdited;

//Final release and garbage collection of any API-Objects.

FreeObjects();

}

VB.NET

VBA


BatchPhaseCommunicationErrorEventData

Manuel -> Interfaces de programmation -> Modèles d'objet -> BatchPhaseCommunicationErrorEventData

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

The data class that gets passed when the PhaseCommunicationError Event of the BatchManager is fired. It contains all relevant information for this event.

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes

Examples

C#

VB.NET

VBA

Other topics in this chapter

BatchPhaseCommunicationErrorEventData-Properties


BatchPhaseCommunicationErrorEventData-Properties

Manuel -> Interfaces de programmation -> Modèles d'objet -> BatchPhaseCommunicationErrorEventData -> BatchPhaseCommunicationErrorEventData-Properties

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
DATE | Time | Time when the event was fired | not used | read only | yes | yes
IBatchOperation | Operation | Operation that contains the phase that fired the event. null if the phase is in no operation | not used | read only | yes | yes
IBatchPhase | Phase | Phase for which the event was fired | not used | read only | yes | yes
IBatchMasterRecipe | MasterRecipe | Master recipe for which the event was fired | not used | read only | yes | yes
IBatchControlRecipe | ControlRecipe | Control recipe for which the event was fired | not used | read only | yes | yes
tpBatchPhaseCommunicationErrorState | CommunicationErrorState | New state of the communication error | not used | read only | yes | yes

Other topics in this chapter

Time

Operation

Phase

MasterRecipe

ControlRecipe

CommunicationErrorState


Time

Manuel -> Interfaces de programmation -> Modèles d'objet -> BatchPhaseCommunicationErrorEventData -> BatchPhaseCommunicationErrorEventData-Properties -> Time

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Timestamp at which the event was fired.

Datatype

Time() As DATE

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes


Operation

Manuel -> Interfaces de programmation -> Modèles d'objet -> BatchPhaseCommunicationErrorEventData -> BatchPhaseCommunicationErrorEventData-Properties -> Operation

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Operation that contains the phase that fired the event. Null if the phase is not located in an operation.

Datatype

Operation() As IBatchOperation

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes


Phase

Manuel -> Interfaces de programmation -> Modèles d'objet -> BatchPhaseCommunicationErrorEventData -> BatchPhaseCommunicationErrorEventData-Properties -> Phase

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Phase that fired the event.

Datatype

Phase() As IBatchPhase

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes


MasterRecipe

Manuel -> Interfaces de programmation -> Modèles d'objet -> BatchPhaseCommunicationErrorEventData -> BatchPhaseCommunicationErrorEventData-Properties -> MasterRecipe

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Master Recipe that fired this event. Null if the event was fired by a control recipe.

Datatype

MasterRecipe() As IBatchMasterRecipe

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes


ControlRecipe

Manuel -> Interfaces de programmation -> Modèles d'objet -> BatchPhaseCommunicationErrorEventData -> BatchPhaseCommunicationErrorEventData-Properties -> ControlRecipe

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Control recipe that fired this event. Null if the event was fired by a master recipe.

Datatype

ControlRecipe() As IBatchControlRecipe

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes


CommunicationErrorState

Manuel -> Interfaces de programmation -> Modèles d'objet -> BatchPhaseCommunicationErrorEventData -> BatchPhaseCommunicationErrorEventData-Properties -> CommunicationErrorState

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

New state for the communication error.

Datatype

CommunicationErrorState() As tpBatchPhaseCommunicationErrorState

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes


BatchPhaseConfig

Manuel -> Interfaces de programmation -> Modèles d'objet -> BatchPhaseConfig

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Ab sofort ist es möglich, die zenon ® Batch Phases via zenon ® API zu iterieren und ihre Eigenschaften zu lesen, sowohl im Editor als auch zu RT.

Die neue Schnittstelle und deren Eigenschaften:

IBatchPhaseConfig (die Schnittstelle selbst)

Long IBatchPhaseConfig::Id (ID der Phase)

BSTR IBatchPhaseConfig::Name (Name der Phase)

BSTR IBatchPhaseConfig::Description (Beschreibung der Phase)

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes

Examples

C#

public void Macro_phase_test()

{

zenOn.IBatchPhaseConfig phase;

phase = this.ActiveDocument.BatchManager().Config.Units.ItemByIndex(0).Phases.ItemByIndex(0);

ReportPhase(phase);

phase = this.ActiveDocument.BatchManager().Config.Units.ItemByIndex(0).Phases.ItemByIndex(100);

ReportPhase(phase);

phase = this.ActiveDocument.BatchManager().Config.Units.ItemByIndex(0).Phases.ItemById(3);

ReportPhase(phase);

phase = this.ActiveDocument.BatchManager().Config.Units.ItemByIndex(0).Phases.ItemById(300);

ReportPhase(phase);

phase = this.ActiveDocument.BatchManager().Config.Units.ItemByIndex(0).Phases.ItemByName("Grundfunktion 7");

ReportPhase(phase);

phase = this.ActiveDocument.BatchManager().Config.Units.ItemByIndex(0).Phases.ItemByName("Grundfunktion 700");

ReportPhase(phase);

}

public void ReportPhase(zenOn.IBatchPhaseConfig phase)

{

if (null != phase)

{

System.String message;

message = "Phase id(" + phase.ID + "),name(" + phase.Name + "),description(" + phase.Description + ")";

System.Windows.Forms.MessageBox.Show(message);

}

else

{

System.Windows.Forms.MessageBox.Show("Phase not found!");

}

}

VB.NET

VBA

‘ please replace „MyWorkspace.ActiveDocument" by „thisProject" for the test at RT!

Public Sub phase_test()

Dim phase As BatchPhaseConfig

Set phase = MyWorkspace.ActiveDocument.BatchManager.Config.units.ItemByIndex(0).phases.ItemByIndex(0)

report_phase phase

Set phase = MyWorkspace.ActiveDocument.BatchManager.Config.units.ItemByIndex(0).phases.ItemByIndex(100)

report_phase phase

Set phase = MyWorkspace.ActiveDocument.BatchManager.Config.units.ItemByIndex(0).phases.ItemById(3)

report_phase phase

Set phase = MyWorkspace.ActiveDocument.BatchManager.Config.units.ItemByIndex(0).phases.ItemById(300)

report_phase phase

Set phase = MyWorkspace.ActiveDocument.BatchManager.Config.units.ItemByIndex(0).phases.ItemByName("Grundfunktion 7")

report_phase phase

Set phase = MyWorkspace.ActiveDocument.BatchManager.Config.units.ItemByIndex(0).phases.ItemByName("Grundfunktion 700")

report_phase phase

End Sub

Public Sub report_phase(phase As BatchPhaseConfig)

If Not phase Is Nothing Then

Dim message As String

message = "Phase id(" & phase.ID & "),name(" & phase.Name & "),description(" & phase.Description & ")"

MsgBox (message)

Else

MsgBox ("Phase not found!")

End If

End Sub

Other topics in this chapter

BatchPhaseConfig -Properties


BatchPhaseConfig -Properties

Manuel -> Interfaces de programmation -> Modèles d'objet -> BatchPhaseConfig -> BatchPhaseConfig -Properties

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
BSTR | Name | Returns the phase name | read only | read only | yes | yes
BSTR | Description | Returns the phase description | read only | read only | yes | yes
long | ID | Returns the phase ID | read only | read only | yes | yes

Other topics in this chapter

Name

Description

ID


Name

Manuel -> Interfaces de programmation -> Modèles d'objet -> BatchPhaseConfig -> BatchPhaseConfig -Properties -> Name

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Phase name

Datatype

Name() As BSTR

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


Description

Manuel -> Interfaces de programmation -> Modèles d'objet -> BatchPhaseConfig -> BatchPhaseConfig -Properties -> Description

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Phase description

Datatype

Description() As BSTR

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


ID

Manuel -> Interfaces de programmation -> Modèles d'objet -> BatchPhaseConfig -> BatchPhaseConfig -Properties -> ID

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Phase ID

Datatype

ID() As long

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


BatchPhaseEscapeEventData

Manuel -> Interfaces de programmation -> Modèles d'objet -> BatchPhaseEscapeEventData

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

The data class that gets passed when the PhaseEscape Event of the BatchManager is fired. It contains all relevant information for this event.

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes

Examples

C#

VB.NET

VBA

Other topics in this chapter

BatchPhaseEscapeEventData-Properties


BatchPhaseEscapeEventData-Properties

Manuel -> Interfaces de programmation -> Modèles d'objet -> BatchPhaseEscapeEventData -> BatchPhaseEscapeEventData-Properties

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
DATE | Time | Time when the event was fired | not used | read only | yes | yes
IBatchOperation | Operation | Operation that contains the phase that fired the event. null if the phase is in no operation | not used | read only | yes | yes
IBatchPhase | Phase | Phase for which the event was fired | not used | read only | yes | yes
IBatchMasterRecipe | MasterRecipe | Master recipe for which the event was fired | not used | read only | yes | yes
IBatchControlRecipe | ControlRecipe | Control recipe for which the event was fired | not used | read only | yes | yes
tpBatchPhaseEscapeState | EscapeState | New internal execution position of the phase | not used | read only | yes | yes

Other topics in this chapter

Time

Operation

Phase

MasterRecipe

ControlRecipe

EscapeState


Time

Manuel -> Interfaces de programmation -> Modèles d'objet -> BatchPhaseEscapeEventData -> BatchPhaseEscapeEventData-Properties -> Time

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Timestamp at which the event was fired.

Datatype

Time() As DATE

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes


Operation

Manuel -> Interfaces de programmation -> Modèles d'objet -> BatchPhaseEscapeEventData -> BatchPhaseEscapeEventData-Properties -> Operation

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Operation that contains the phase that fired the event. Null if the phase is not located in an operation.

Datatype

Operation() As IBatchOperation

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes


Phase

Manuel -> Interfaces de programmation -> Modèles d'objet -> BatchPhaseEscapeEventData -> BatchPhaseEscapeEventData-Properties -> Phase

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Phase that fired the event.

Datatype

Phase() As IBatchPhase

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes


MasterRecipe

Manuel -> Interfaces de programmation -> Modèles d'objet -> BatchPhaseEscapeEventData -> BatchPhaseEscapeEventData-Properties -> MasterRecipe

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Master Recipe that fired this event. Null if the event was fired by a control recipe.

Datatype

MasterRecipe() As IBatchMasterRecipe

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes


ControlRecipe

Manuel -> Interfaces de programmation -> Modèles d'objet -> BatchPhaseEscapeEventData -> BatchPhaseEscapeEventData-Properties -> ControlRecipe

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Control recipe that fired this event. Null if the event was fired by a master recipe.

Datatype

ControlRecipe() As IBatchControlRecipe

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes


EscapeState

Manuel -> Interfaces de programmation -> Modèles d'objet -> BatchPhaseEscapeEventData -> BatchPhaseEscapeEventData-Properties -> EscapeState

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

New escape state.

Datatype

EscapeState() As tpBatchPhaseEscapeState

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes


BatchPhaseExecutionErrorEventData

Manuel -> Interfaces de programmation -> Modèles d'objet -> BatchPhaseExecutionErrorEventData

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

The data class that gets passed when the PhaseExecutionError Event of the BatchManager is fired. It contains all relevant information for this event.

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes

Examples

C#

VB.NET

VBA

Other topics in this chapter

BatchPhaseExecutionErrorEventData-Properties


BatchPhaseExecutionErrorEventData-Properties

Manuel -> Interfaces de programmation -> Modèles d'objet -> BatchPhaseExecutionErrorEventData -> BatchPhaseExecutionErrorEventData-Properties

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
DATE | Time | Time when the event was fired | not used | read only | yes | yes
IBatchOperation | Operation | Operation that contains the phase that fired the event. null if the phase is in no operation | not used | read only | yes | yes
IBatchPhase | Phase | Phase for which the event was fired | not used | read only | yes | yes
IBatchMasterRecipe | MasterRecipe | Master recipe for which the event was fired | not used | read only | yes | yes
IBatchControlRecipe | ControlRecipe | Control recipe for which the event was fired | not used | read only | yes | yes
tpBatchPhaseExecutionError | ExecutionError | Type of the error that occured | not used | read only | yes | yes

Other topics in this chapter

Time

Operation

Phase

MasterRecipe

ControlRecipe

ExecutionError


Time

Manuel -> Interfaces de programmation -> Modèles d'objet -> BatchPhaseExecutionErrorEventData -> BatchPhaseExecutionErrorEventData-Properties -> Time

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Timestamp at which the event was fired.

Datatype

Time() As DATE

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes


Operation

Manuel -> Interfaces de programmation -> Modèles d'objet -> BatchPhaseExecutionErrorEventData -> BatchPhaseExecutionErrorEventData-Properties -> Operation

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Operation that contains the phase that fired the event. Null if the phase is not located in an operation.

Datatype

Operation() As IBatchOperation

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes


Phase

Manuel -> Interfaces de programmation -> Modèles d'objet -> BatchPhaseExecutionErrorEventData -> BatchPhaseExecutionErrorEventData-Properties -> Phase

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Phase that fired the event.

Datatype

Phase() As IBatchPhase

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes


MasterRecipe

Manuel -> Interfaces de programmation -> Modèles d'objet -> BatchPhaseExecutionErrorEventData -> BatchPhaseExecutionErrorEventData-Properties -> MasterRecipe

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Master Recipe that fired this event. Null if the event was fired by a control recipe.

Datatype

MasterRecipe() As IBatchMasterRecipe

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes


ControlRecipe

Manuel -> Interfaces de programmation -> Modèles d'objet -> BatchPhaseExecutionErrorEventData -> BatchPhaseExecutionErrorEventData-Properties -> ControlRecipe

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Control recipe that fired this event. Null if the event was fired by a master recipe.

Datatype

ControlRecipe() As IBatchControlRecipe

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes


ExecutionError

Manuel -> Interfaces de programmation -> Modèles d'objet -> BatchPhaseExecutionErrorEventData -> BatchPhaseExecutionErrorEventData-Properties -> ExecutionError

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Type of the execution error of the phase that triggered this event.

Datatype

ExecutionError() As tpBatchPhaseExecutionError

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes


BatchPhaseModeChangedEventData

Manuel -> Interfaces de programmation -> Modèles d'objet -> BatchPhaseModeChangedEventData

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

The data class that gets passed when the PhaseModeChanged Event of the BatchManager is fired. It contains all relevant information for this event.

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes

Examples

C#

VB.NET

VBA

Other topics in this chapter

BatchPhaseModeChangedEventData-Properties


BatchPhaseModeChangedEventData-Properties

Manuel -> Interfaces de programmation -> Modèles d'objet -> BatchPhaseModeChangedEventData -> BatchPhaseModeChangedEventData-Properties

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
DATE | Time | Time when the event was fired | not used | read only | yes | yes
IBatchOperation | Operation | Operation that contains the phase that fired the event. null if the phase is in no operation | not used | read only | yes | yes
IBatchPhase | Phase | Phase for which the event was fired | not used | read only | yes | yes
IBatchMasterRecipe | MasterRecipe | Master recipe for which the event was fired | not used | read only | yes | yes
IBatchControlRecipe | ControlRecipe | Control recipe for which the event was fired | not used | read only | yes | yes
tpBatchExecutionMode | OldExecutionMode | Execution mode before the change | not used | read only | yes | yes
tpBatchExecutionMode | NewExecutionMode | Execution mode after the change | not used | read only | yes | yes
IUser | User | Logged in user | not used | read only | yes | yes

Other topics in this chapter

Time

Operation

Phase

MasterRecipe

ControlRecipe

OldExecutionMode

NewExecutionMode

User


Time

Manuel -> Interfaces de programmation -> Modèles d'objet -> BatchPhaseModeChangedEventData -> BatchPhaseModeChangedEventData-Properties -> Time

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Timestamp at which the event was fired.

Datatype

Time() As DATE

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes


Operation

Manuel -> Interfaces de programmation -> Modèles d'objet -> BatchPhaseModeChangedEventData -> BatchPhaseModeChangedEventData-Properties -> Operation

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Operation that contains the phase that fired the event. Null if the phase is not located in an operation.

Datatype

Operation() As IBatchOperation

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes


Phase

Manuel -> Interfaces de programmation -> Modèles d'objet -> BatchPhaseModeChangedEventData -> BatchPhaseModeChangedEventData-Properties -> Phase

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Phase that fired the event.

Datatype

Phase() As IBatchPhase

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes


MasterRecipe

Manuel -> Interfaces de programmation -> Modèles d'objet -> BatchPhaseModeChangedEventData -> BatchPhaseModeChangedEventData-Properties -> MasterRecipe

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Master Recipe that fired this event. Null if the event was fired by a control recipe.

Datatype

MasterRecipe() As IBatchMasterRecipe

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes


ControlRecipe

Manuel -> Interfaces de programmation -> Modèles d'objet -> BatchPhaseModeChangedEventData -> BatchPhaseModeChangedEventData-Properties -> ControlRecipe

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Control recipe that fired this event. Null if the event was fired by a master recipe.

Datatype

ControlRecipe() As IBatchControlRecipe

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes


OldExecutionMode

Manuel -> Interfaces de programmation -> Modèles d'objet -> BatchPhaseModeChangedEventData -> BatchPhaseModeChangedEventData-Properties -> OldExecutionMode

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Mode from before the change.

Datatype

OldExecutionMode() As tpBatchExecutionMode

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes


NewExecutionMode

Manuel -> Interfaces de programmation -> Modèles d'objet -> BatchPhaseModeChangedEventData -> BatchPhaseModeChangedEventData-Properties -> NewExecutionMode

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

New mode from after the change.

Datatype

NewExecutionMode() As tpBatchExecutionMode

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes


User

Manuel -> Interfaces de programmation -> Modèles d'objet -> BatchPhaseModeChangedEventData -> BatchPhaseModeChangedEventData-Properties -> User

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Copy of the user that triggered the mode change. If it is triggered by toolbar button or zenon button with a batch recipe commando, the user is the currently logged in user at the moment and client the mode change is triggered. If the mode change is triggered by reaction of a phase or an automated function call (etc.) a copy of the SYSTEM user will be sent.

This user is for information only. Trying to change its password or Name or anything else will have no effect on the real user, because this is a copy. The original user may even no longer exist due to the delay in a network

Datatype

User() As IUser

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes


BatchPhasePlcErrorEventData

Manuel -> Interfaces de programmation -> Modèles d'objet -> BatchPhasePlcErrorEventData

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

The data class that gets passed when the PhasePlcError Event of the BatchManager is fired. It contains all relevant information for this event.

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes

Examples

C#

VB.NET

VBA

Other topics in this chapter

BatchPhasePlcErrorEventData-Properties


BatchPhasePlcErrorEventData-Properties

Manuel -> Interfaces de programmation -> Modèles d'objet -> BatchPhasePlcErrorEventData -> BatchPhasePlcErrorEventData-Properties

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
DATE | Time | Time when the event was fired | not used | read only | yes | yes
IBatchOperation | Operation | Operation that contains the phase that fired the event. null if the phase is in no operation | not used | read only | yes | yes
IBatchPhase | Phase | Phase for which the event was fired | not used | read only | yes | yes
IBatchMasterRecipe | MasterRecipe | Master recipe for which the event was fired | not used | read only | yes | yes
IBatchControlRecipe | ControlRecipe | Control recipe for which the event was fired | not used | read only | yes | yes
tpBatchPhasePlcErrorState | PlcErrorState | New state of the PLC error | not used | read only | yes | yes

Other topics in this chapter

Time

Operation

Phase

MasterRecipe

ControlRecipe

PlcErrorState


Time

Manuel -> Interfaces de programmation -> Modèles d'objet -> BatchPhasePlcErrorEventData -> BatchPhasePlcErrorEventData-Properties -> Time

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Timestamp at which the event was fired.

Datatype

Time() As DATE

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes


Operation

Manuel -> Interfaces de programmation -> Modèles d'objet -> BatchPhasePlcErrorEventData -> BatchPhasePlcErrorEventData-Properties -> Operation

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Operation that contains the phase that fired the event. Null if the phase is not located in an operation.

Datatype

Operation() As IBatchOperation

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes


Phase

Manuel -> Interfaces de programmation -> Modèles d'objet -> BatchPhasePlcErrorEventData -> BatchPhasePlcErrorEventData-Properties -> Phase

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

Phase() As IBatchPhase

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes


MasterRecipe

Manuel -> Interfaces de programmation -> Modèles d'objet -> BatchPhasePlcErrorEventData -> BatchPhasePlcErrorEventData-Properties -> MasterRecipe

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Master Recipe that fired this event. Null if the event was fired by a control recipe.

Datatype

MasterRecipe() As IBatchMasterRecipe

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes


ControlRecipe

Manuel -> Interfaces de programmation -> Modèles d'objet -> BatchPhasePlcErrorEventData -> BatchPhasePlcErrorEventData-Properties -> ControlRecipe

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Control recipe that fired this event. Null if the event was fired by a master recipe.

Datatype

ControlRecipe() As IBatchControlRecipe

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes


PlcErrorState

Manuel -> Interfaces de programmation -> Modèles d'objet -> BatchPhasePlcErrorEventData -> BatchPhasePlcErrorEventData-Properties -> PlcErrorState

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

New escape state.

Datatype

PlcErrorState() As tpBatchPhasePlcErrorState

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes


BatchPhaseProgressEventData

Manuel -> Interfaces de programmation -> Modèles d'objet -> BatchPhaseProgressEventData

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

The data class that gets passed when the PhaseProgress Event of the BatchManager is fired. It contains all relevant information for this event.

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes

Examples

C#

VB.NET

VBA

Other topics in this chapter

BatchPhaseProgressEventData-Properties


BatchPhaseProgressEventData-Properties

Manuel -> Interfaces de programmation -> Modèles d'objet -> BatchPhaseProgressEventData -> BatchPhaseProgressEventData-Properties

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
DATE | Time | Time when the event was fired | not used | read only | yes | yes
IBatchOperation | Operation | Operation that contains the phase that fired the event. null if the phase is in no operation | not used | read only | yes | yes
IBatchPhase | Phase | Phase for which the event was fired | not used | read only | yes | yes
IBatchMasterRecipe | MasterRecipe | Master recipe for which the event was fired | not used | read only | yes | yes
IBatchControlRecipe | ControlRecipe | Control recipe for which the event was fired | not used | read only | yes | yes
tpBatchPhaseState | PhaseState | New internal execution position of the phase | not used | read only | yes | yes

Other topics in this chapter

Time

Operation

Phase

MasterRecipe

ControlRecipe

PhaseState


Time

Manuel -> Interfaces de programmation -> Modèles d'objet -> BatchPhaseProgressEventData -> BatchPhaseProgressEventData-Properties -> Time

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Timestamp at which the event was fired.

Datatype

Time() As DATE

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes


Operation

Manuel -> Interfaces de programmation -> Modèles d'objet -> BatchPhaseProgressEventData -> BatchPhaseProgressEventData-Properties -> Operation

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Operation that contains the phase that fired the event. Null if the phase is not located in an operation.

Datatype

Operation() As IBatchOperation

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes


Phase

Manuel -> Interfaces de programmation -> Modèles d'objet -> BatchPhaseProgressEventData -> BatchPhaseProgressEventData-Properties -> Phase

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Phase that fired the event.

Datatype

Phase() As IBatchPhase

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes


MasterRecipe

Manuel -> Interfaces de programmation -> Modèles d'objet -> BatchPhaseProgressEventData -> BatchPhaseProgressEventData-Properties -> MasterRecipe

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Master Recipe that fired this event. Null if the event was fired by a control recipe.

Datatype

MasterRecipe() As IBatchMasterRecipe

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes


ControlRecipe

Manuel -> Interfaces de programmation -> Modèles d'objet -> BatchPhaseProgressEventData -> BatchPhaseProgressEventData-Properties -> ControlRecipe

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Control recipe that fired this event. Null if the event was fired by a master recipe.

Datatype

ControlRecipe() As IBatchControlRecipe

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes


PhaseState

Manuel -> Interfaces de programmation -> Modèles d'objet -> BatchPhaseProgressEventData -> BatchPhaseProgressEventData-Properties -> PhaseState

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

New internal state for the phase execution. The change of this state triggered this event.

Datatype

PhaseState() As tpBatchPhaseState

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes


BatchPhaseRuntimeEventData

Manuel -> Interfaces de programmation -> Modèles d'objet -> BatchPhaseRuntimeEventData

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

The data class that gets passed when the PhaseRuntimeEvent Event of the BatchManager is fired. It contains all relevant information for this event.

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes

Examples

C#

VB.NET

VBA

Other topics in this chapter

BatchPhaseRuntimeEventData-Properties


BatchPhaseRuntimeEventData-Properties

Manuel -> Interfaces de programmation -> Modèles d'objet -> BatchPhaseRuntimeEventData -> BatchPhaseRuntimeEventData-Properties

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
DATE | Time | Time when the event was fired | not used | read only | yes | yes
IBatchOperation | Operation | Operation that contains the phase that fired the event. null if the phase is in no operation | not used | read only | yes | yes
IBatchPhase | Phase | Phase for which the event was fired | not used | read only | yes | yes
IBatchMasterRecipe | MasterRecipe | Master recipe for which the event was fired | not used | read only | yes | yes
IBatchControlRecipe | ControlRecipe | Control recipe for which the event was fired | not used | read only | yes | yes
tpBatchPhaseRuntimeEvent | RuntimeEventType | Type of the Runtime event that occured | not used | read only | yes | yes

Other topics in this chapter

Time

Operation

Phase

MasterRecipe

ControlRecipe

RuntimeEventType


Time

Manuel -> Interfaces de programmation -> Modèles d'objet -> BatchPhaseRuntimeEventData -> BatchPhaseRuntimeEventData-Properties -> Time

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Timestamp at which the event was fired.

Datatype

Time() As DATE

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes


Operation

Manuel -> Interfaces de programmation -> Modèles d'objet -> BatchPhaseRuntimeEventData -> BatchPhaseRuntimeEventData-Properties -> Operation

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Operation that contains the phase that fired the event. Null if the phase is not located in an operation.

Datatype

Operation() As IBatchOperation

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes


Phase

Manuel -> Interfaces de programmation -> Modèles d'objet -> BatchPhaseRuntimeEventData -> BatchPhaseRuntimeEventData-Properties -> Phase

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Phase that fired the event.

Datatype

Phase() As IBatchPhase

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes


MasterRecipe

Manuel -> Interfaces de programmation -> Modèles d'objet -> BatchPhaseRuntimeEventData -> BatchPhaseRuntimeEventData-Properties -> MasterRecipe

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Master Recipe that fired this event. Null if the event was fired by a control recipe.

Datatype

MasterRecipe() As IBatchMasterRecipe

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes


ControlRecipe

Manuel -> Interfaces de programmation -> Modèles d'objet -> BatchPhaseRuntimeEventData -> BatchPhaseRuntimeEventData-Properties -> ControlRecipe

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Control recipe that fired this event. Null if the event was fired by a master recipe.

Datatype

ControlRecipe() As IBatchControlRecipe

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes


RuntimeEventType

Manuel -> Interfaces de programmation -> Modèles d'objet -> BatchPhaseRuntimeEventData -> BatchPhaseRuntimeEventData-Properties -> RuntimeEventType

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Type of runtime event that triggered this event.

Datatype

RuntimeEventType() As tpBatchPhaseRuntimeEvent

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes


BatchPhasesConfig

Manuel -> Interfaces de programmation -> Modèles d'objet -> BatchPhasesConfig

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Availability

Environment | Available
Editor | available
Runtime | read only
VBA | yes
VSTA | yes

Examples

C#

VB.NET

VBA

Other topics in this chapter

BatchPhasesConfig -Properties

BatchPhasesConfig -Methods


BatchPhasesConfig -Properties

Manuel -> Interfaces de programmation -> Modèles d'objet -> BatchPhasesConfig -> BatchPhasesConfig -Properties

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
long | Count | Returns the count of phases | read only | read only | yes | yes

Other topics in this chapter

Count


Count

Manuel -> Interfaces de programmation -> Modèles d'objet -> BatchPhasesConfig -> BatchPhasesConfig -Properties -> Count

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

Count() As long

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


BatchPhasesConfig -Methods

Manuel -> Interfaces de programmation -> Modèles d'objet -> BatchPhasesConfig -> BatchPhasesConfig -Methods

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description |  | Editor | Runtime | VBA | VSTA
VARIANT_BOOL | Export | Exports all phases to file |  | available | available | yes | yes
VARIANT_BOOL | Import | Imports the phases from file |  | available | not used | yes | yes
VARIANT_BOOL | SingleExportById | Exports a phase via ID |  | available | available | yes | yes
VARIANT_BOOL | SingleExportByIndex | Exports a phase via index |  | available | available | yes | yes
VARIANT_BOOL | SingleExportByName | Exports a phase via name |  | available | available | yes | yes
VARIANT_BOOL | DeleteById | Deletes a phase via ID |  | available | not used | yes | yes
VARIANT_BOOL | DeleteByIndex | Deletes a phase via index |  | available | not used | yes | yes
VARIANT_BOOL | DeleteByName | Deletes a phase via name |  | available | not used | yes | yes
IBatchPhaseConfig | ItemById | Returns a phase via ID |  | available | available | yes | yes
IBatchPhaseConfig | ItemByIndex | Returns a phase via index |  | available | available | yes | yes
IBatchPhaseConfig | ItemByName | Returns a phase via name |  | available | available | yes | yes
IBatchPhaseConfig | GetItemById | Returns a phase via ID | available |  | available | yes |  | yes
IBatchPhaseConfig | GetItem | Returns a phase via index | available |  | available | yes |  | yes
IBatchPhaseConfig | GetItemByName | Returns a phase via name | available |  | available | yes |  | yes

Other topics in this chapter

Export

Import

SingleExportById

SingleExportByIndex

SingleExportByName

DeleteById

DeleteByIndex

DeleteByName

GetItemById

GetItem

GetItemByName


Export

Manuel -> Interfaces de programmation -> Modèles d'objet -> BatchPhasesConfig -> BatchPhasesConfig -Methods -> Export

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

Export(BSTR bstrXmlFileName) As VARIANT_BOOL

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

VB.NET

VBA

Examples

C#

VB.NET

VBA


Import

Manuel -> Interfaces de programmation -> Modèles d'objet -> BatchPhasesConfig -> BatchPhasesConfig -Methods -> Import

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

Import(BSTR bstrXmlFileName) As VARIANT_BOOL

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

VB.NET

VBA

Examples

C#

VB.NET

VBA


SingleExportById

Manuel -> Interfaces de programmation -> Modèles d'objet -> BatchPhasesConfig -> BatchPhasesConfig -Methods -> SingleExportById

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

SingleExportById(long lPhaseId, BSTR bstrXmlFileName) As VARIANT_BOOL

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

VB.NET

VBA

Examples

C#

VB.NET

VBA


SingleExportByIndex

Manuel -> Interfaces de programmation -> Modèles d'objet -> BatchPhasesConfig -> BatchPhasesConfig -Methods -> SingleExportByIndex

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

SingleExportByIndex(long lPhaseIndex, BSTR bstrXmlFileName) As VARIANT_BOOL

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

VB.NET

VBA

Examples

C#

VB.NET

VBA


SingleExportByName

Manuel -> Interfaces de programmation -> Modèles d'objet -> BatchPhasesConfig -> BatchPhasesConfig -Methods -> SingleExportByName

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

SingleExportByName(BSTR bstrPhaseName, BSTR bstrXmlFileName) As VARIANT_BOOL

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

VB.NET

VBA

Examples

C#

VB.NET

VBA


DeleteById

Manuel -> Interfaces de programmation -> Modèles d'objet -> BatchPhasesConfig -> BatchPhasesConfig -Methods -> DeleteById

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

DeleteById(long lPhaseId) As VARIANT_BOOL

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

VB.NET

VBA

Examples

C#

VB.NET

VBA


DeleteByIndex

Manuel -> Interfaces de programmation -> Modèles d'objet -> BatchPhasesConfig -> BatchPhasesConfig -Methods -> DeleteByIndex

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

DeleteByIndex(long lPhaseIndex) As VARIANT_BOOL

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

VB.NET

VBA

Examples

C#

VB.NET

VBA


DeleteByName

Manuel -> Interfaces de programmation -> Modèles d'objet -> BatchPhasesConfig -> BatchPhasesConfig -Methods -> DeleteByName

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

DeleteByName(BSTR bstrPhaseName) As VARIANT_BOOL

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

VB.NET

VBA

Examples

C#

VB.NET

VBA


GetItemById

Manuel -> Interfaces de programmation -> Modèles d'objet -> BatchPhasesConfig -> BatchPhasesConfig -Methods -> GetItemById

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

GetItemById(long lPhaseId) As IBatchPhaseConfig

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

VB.NET

VBA

Examples

C#

VB.NET

VBA


GetItem

Manuel -> Interfaces de programmation -> Modèles d'objet -> BatchPhasesConfig -> BatchPhasesConfig -Methods -> GetItem

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

GetItem(long lPhaseIndex) As IBatchPhaseConfig

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

VB.NET

VBA

Examples

C#

VB.NET

VBA


GetItemByName

Manuel -> Interfaces de programmation -> Modèles d'objet -> BatchPhasesConfig -> BatchPhasesConfig -Methods -> GetItemByName

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

GetItemByName(BSTR bstrPhaseName) As IBatchPhaseConfig

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

VB.NET

VBA

Examples

C#

VB.NET

VBA


BatchPhaseStateChangedEventData

Manuel -> Interfaces de programmation -> Modèles d'objet -> BatchPhaseStateChangedEventData

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

The data class that gets passed when the PhaseStateChanged Event of the BatchManager is fired. It contains all relevant information for this event.

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes

Examples

C#

VB.NET

VBA

Other topics in this chapter

BatchPhaseStateChangedEventData-Properties


BatchPhaseStateChangedEventData-Properties

Manuel -> Interfaces de programmation -> Modèles d'objet -> BatchPhaseStateChangedEventData -> BatchPhaseStateChangedEventData-Properties

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description |  | Editor | Runtime | VBA | VSTA
DATE | Time | Time when the event was fired |  | not used | read only | yes | yes
IBatchOperation | Operation | Operation that contains the phase that fired the event. null if the phase is in no operation |  | not used | read only | yes | yes
IBatchPhase | Phase | Phase for which the event was fired |  | not used | read only | yes | yes
IBatchMasterRecipe | MasterRecipe | Master recipe for which the event was fired |  | not used | read only | yes | yes
IBatchControlRecipe | ControlRecipe | Control recipe for which the event was fired |  | not used | read only | yes | yes
tpBatchExecutionState | OldExecutionState | Execution state before the change |  | not used | read only | yes | yes
tpBatchExecutionState | NewExecutionState | Execution state after the change |  | not used | read only | yes | yes
IUser | User | Logged in user |  | not used | read only | yes | yes
IUser | User | Logged in user |  | not used | read only | yes | yes
IUser | User | Logged in user |  | not used | read only | yes | yes
IUser | User | Logged in user | not used |  | read only | yes |  | yes
IUser | User | Logged in user | not used |  | read only | yes |  | yes
IUser | User | Logged in user | not used |  | read only | yes |  | yes
IUser | User | Logged in user | not used |  | read only | yes |  | yes

Other topics in this chapter

Time

Operation

Phase

MasterRecipe

ControlRecipe

OldExecutionState

NewExecutionState

User


Time

Manuel -> Interfaces de programmation -> Modèles d'objet -> BatchPhaseStateChangedEventData -> BatchPhaseStateChangedEventData-Properties -> Time

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Timestamp at which the event was fired.

Datatype

Time() As DATE

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes


Operation

Manuel -> Interfaces de programmation -> Modèles d'objet -> BatchPhaseStateChangedEventData -> BatchPhaseStateChangedEventData-Properties -> Operation

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Operation that contains the phase that fired the event. Null if the phase is not located in an operation.

Datatype

Operation() As IBatchOperation

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes


Phase

Manuel -> Interfaces de programmation -> Modèles d'objet -> BatchPhaseStateChangedEventData -> BatchPhaseStateChangedEventData-Properties -> Phase

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Phase that fired the event.

Datatype

Phase() As IBatchPhase

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes


MasterRecipe

Manuel -> Interfaces de programmation -> Modèles d'objet -> BatchPhaseStateChangedEventData -> BatchPhaseStateChangedEventData-Properties -> MasterRecipe

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Master Recipe that fired this event. Null if the event was fired by a control recipe.

Datatype

MasterRecipe() As IBatchMasterRecipe

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes


ControlRecipe

Manuel -> Interfaces de programmation -> Modèles d'objet -> BatchPhaseStateChangedEventData -> BatchPhaseStateChangedEventData-Properties -> ControlRecipe

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Control recipe that fired this event. Null if the event was fired by a master recipe.

Datatype

ControlRecipe() As IBatchControlRecipe

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes


OldExecutionState

Manuel -> Interfaces de programmation -> Modèles d'objet -> BatchPhaseStateChangedEventData -> BatchPhaseStateChangedEventData-Properties -> OldExecutionState

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Mode from before the change.

Datatype

OldExecutionState() As tpBatchExecutionState

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes


NewExecutionState

Manuel -> Interfaces de programmation -> Modèles d'objet -> BatchPhaseStateChangedEventData -> BatchPhaseStateChangedEventData-Properties -> NewExecutionState

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

New state from after the change.

Datatype

NewExecutionState() As tpBatchExecutionState

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes


User

Manuel -> Interfaces de programmation -> Modèles d'objet -> BatchPhaseStateChangedEventData -> BatchPhaseStateChangedEventData-Properties -> User

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

User() As IUser

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes


BatchRecipeId

Manuel -> Interfaces de programmation -> Modèles d'objet -> BatchRecipeId

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Contains both the master recipe Id and the control recipe Id for a recipe.

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes

Examples

C#

VB.NET

VBA

Other topics in this chapter

BatchRecipeId-Properties


BatchRecipeId-Properties

Manuel -> Interfaces de programmation -> Modèles d'objet -> BatchRecipeId -> BatchRecipeId-Properties

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
long | MRId | Master recipe Id of the recipe | not used | read only | yes | yes
long | CRId | Control recipe Id of the recipe | not used | read only | yes | yes

Other topics in this chapter

MRId

CRId


MRId

Manuel -> Interfaces de programmation -> Modèles d'objet -> BatchRecipeId -> BatchRecipeId-Properties -> MRId

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

MRId() As long

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes


CRId

Manuel -> Interfaces de programmation -> Modèles d'objet -> BatchRecipeId -> BatchRecipeId-Properties -> CRId

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

CRId() As long

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes


BatchRecipeModeChangedEventData

Manuel -> Interfaces de programmation -> Modèles d'objet -> BatchRecipeModeChangedEventData

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

The data class that gets passed when the RecipeModeChanged Event of the BatchManager is fired. It contains all relevant information for this event.

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes

Examples

C#

VB.NET

VBA

Other topics in this chapter

BatchRecipeModeChangedEventData-Properties


BatchRecipeModeChangedEventData-Properties

Manuel -> Interfaces de programmation -> Modèles d'objet -> BatchRecipeModeChangedEventData -> BatchRecipeModeChangedEventData-Properties

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description |  | Editor | Runtime | VBA | VSTA
DATE | Time | Time when the event was fired |  | not used | read only | yes | yes
IBatchMasterRecipe | MasterRecipe | Master recipe for which the event was fired |  | not used | read only | yes | yes
IBatchControlRecipe | ControlRecipe | Control recipe for which the event was fired |  | not used | read only | yes | yes
IUser | User | Logged in user |  | not used | read only | yes | yes
tpBatchExecutionMode | OldExecutionMode | Execution mode before the change |  | not used | read only | yes | yes
tpBatchExecutionMode | NewExecutionMode | Execution mode after the change |  | not used | read only | yes | yes
IUser | User | Logged in user |  | not used | read only | yes | yes
IUser | User | Logged in user |  | not used | read only | yes | yes
tpBatchExecutionMode | OldExecutionMode | Execution mode before the change |  | not used | read only | yes | yes
tpBatchExecutionMode | NewExecutionMode | Execution mode after the change |  | not used | read only | yes | yes
IUser | User | Logged in user | not used |  | read only | yes |  | yes
tpBatchExecutionMode | OldExecutionMode | Execution mode before the change | not used |  | read only | yes |  | yes

Other topics in this chapter

Time

MasterRecipe

ControlRecipe

User

OldExecutionMode

NewExecutionMode


Time

Manuel -> Interfaces de programmation -> Modèles d'objet -> BatchRecipeModeChangedEventData -> BatchRecipeModeChangedEventData-Properties -> Time

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Timestamp of the value

Datatype

Time() As DATE

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes


MasterRecipe

Manuel -> Interfaces de programmation -> Modèles d'objet -> BatchRecipeModeChangedEventData -> BatchRecipeModeChangedEventData-Properties -> MasterRecipe

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Master Recipe that fired this event. Null if the event was fired by a control recipe.

Datatype

MasterRecipe() As IBatchMasterRecipe

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes


ControlRecipe

Manuel -> Interfaces de programmation -> Modèles d'objet -> BatchRecipeModeChangedEventData -> BatchRecipeModeChangedEventData-Properties -> ControlRecipe

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Control recipe that fired this event. Null if the event was fired by a master recipe.

Datatype

ControlRecipe() As IBatchControlRecipe

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes


User

Manuel -> Interfaces de programmation -> Modèles d'objet -> BatchRecipeModeChangedEventData -> BatchRecipeModeChangedEventData-Properties -> User

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

User() As IUser

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes


OldExecutionMode

Manuel -> Interfaces de programmation -> Modèles d'objet -> BatchRecipeModeChangedEventData -> BatchRecipeModeChangedEventData-Properties -> OldExecutionMode

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

OldExecutionMode() As tpBatchExecutionMode

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes


NewExecutionMode

Manuel -> Interfaces de programmation -> Modèles d'objet -> BatchRecipeModeChangedEventData -> BatchRecipeModeChangedEventData-Properties -> NewExecutionMode

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

NewExecutionMode() As tpBatchExecutionMode

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes


BatchRecipeStateChangedEventData

Manuel -> Interfaces de programmation -> Modèles d'objet -> BatchRecipeStateChangedEventData

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

The data class that gets passed when the RecipeStateChanged Event of the BatchManager is fired. It contains all relevant information for this event.

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes

Examples

C#

VB.NET

VBA

Other topics in this chapter

BatchRecipeStateChangedEventData-Properties


BatchRecipeStateChangedEventData-Properties

Manuel -> Interfaces de programmation -> Modèles d'objet -> BatchRecipeStateChangedEventData -> BatchRecipeStateChangedEventData-Properties

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
DATE | Time | Time when the event was fired | not used | read only | yes | yes
IBatchMasterRecipe | MasterRecipe | Master recipe for which the event was fired | not used | read only | yes | yes
IBatchControlRecipe | ControlRecipe | Control recipe for which the event was fired | not used | read only | yes | yes
tpBatchExecutionState | OldExecutionState | Execution state before the change | not used | read only | yes | yes
tpBatchExecutionState | NewExecutionState | Execution state after the change | not used | read only | yes | yes
IUser | User | Logged in user | not used | read only | yes | yes

Other topics in this chapter

Time

MasterRecipe

ControlRecipe

User

OldExecutionState

NewExecutionState


Time

Manuel -> Interfaces de programmation -> Modèles d'objet -> BatchRecipeStateChangedEventData -> BatchRecipeStateChangedEventData-Properties -> Time

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Timestamp of the value

Datatype

Time() As DATE

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes


MasterRecipe

Manuel -> Interfaces de programmation -> Modèles d'objet -> BatchRecipeStateChangedEventData -> BatchRecipeStateChangedEventData-Properties -> MasterRecipe

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Master Recipe that fired this event. Null if the event was fired by a control recipe.

Datatype

MasterRecipe() As IBatchMasterRecipe

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes


ControlRecipe

Manuel -> Interfaces de programmation -> Modèles d'objet -> BatchRecipeStateChangedEventData -> BatchRecipeStateChangedEventData-Properties -> ControlRecipe

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Control recipe that fired this event. Null if the event was fired by a master recipe.

Datatype

ControlRecipe() As IBatchControlRecipe

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes


User

Manuel -> Interfaces de programmation -> Modèles d'objet -> BatchRecipeStateChangedEventData -> BatchRecipeStateChangedEventData-Properties -> User

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Copy of the user that triggered the event. For user-triggered changes Only, this is the currently logged user at the time of the change is performed. The logged user is only used for the switch to the direct resulting transient state: Start(IDLE->RUNNING), resume(PAUSED->RUNNING) and switches to transient states. For the other changes to the absolute states the SYSTEM user is used, because they are triggered by the execution itself. Also all automated changes (reactions, automatically executed zenon functions) use the SYSTEM user.

NOTE: All actions from reactions are logged in the CEL. As user "System" is registered.

Datatype

User() As IUser

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes


OldExecutionState

Manuel -> Interfaces de programmation -> Modèles d'objet -> BatchRecipeStateChangedEventData -> BatchRecipeStateChangedEventData-Properties -> OldExecutionState

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Old execution state before the event.

Datatype

OldExecutionState() As tpBatchExecutionState

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes


NewExecutionState

Manuel -> Interfaces de programmation -> Modèles d'objet -> BatchRecipeStateChangedEventData -> BatchRecipeStateChangedEventData-Properties -> NewExecutionState

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

New execution state after the event.

Datatype

NewExecutionState() As tpBatchExecutionState

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes


BatchTag

Manuel -> Interfaces de programmation -> Modèles d'objet -> BatchTag

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

The object that encapsulates a variable for the purposes of the batch execution.

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes

Examples

C#

VB.NET

VBA

Other topics in this chapter

BatchTag-Properties


BatchTag-Properties

Manuel -> Interfaces de programmation -> Modèles d'objet -> BatchTag -> BatchTag-Properties

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
long | ID | ID of the tag | not used | read only | yes | yes
BSTR | Name | Name of the tag | not used | read only | yes | yes
BSTR | Description | Description of the tag | not used | read only | yes | yes
IVariableValue | CurrentValue | Current value of the variable linked as the current value variable on the tag | not used | read only | yes | yes
IVariableValue | TagVariableValue | Current value of the variable linked as the tag variable on the tag | not used | read only | yes | yes
IBatchTagValue | TagValue | Value that is to be written on the tag variable | not used | read only | yes | yes
BSTR | Unit | Unit of the tag | not used | read only | yes | yes
tpBatchTagDataType | DataType | Data type for the tag | not used | read only | yes | yes
tpBatchTagType | TagType | Type of the tag | not used | read only | yes | yes
IVariable | TagVariable | Main Variable of the tag. For command tags the value is written onto this variable. | not used | read only | yes | yes
IVariable | CurrentValueVariable | For command tags this is the variable that shows the current value for the tag on the PLC. | not used | read only | yes | yes

Other topics in this chapter

ID

Name

Description

CurrentValue

TagVariableValue

TagValue

Unit

DataType

TagType

TagVariable

CurrentValueVariable


ID

Manuel -> Interfaces de programmation -> Modèles d'objet -> BatchTag -> BatchTag-Properties -> ID

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

ID of the tag.

Datatype

ID() As long

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes


Name

Manuel -> Interfaces de programmation -> Modèles d'objet -> BatchTag -> BatchTag-Properties -> Name

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Name of the tag.

Datatype

Name() As BSTR

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes


Description

Manuel -> Interfaces de programmation -> Modèles d'objet -> BatchTag -> BatchTag-Properties -> Description

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Description of the tag.

Datatype

Description() As BSTR

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes


CurrentValue

Manuel -> Interfaces de programmation -> Modèles d'objet -> BatchTag -> BatchTag-Properties -> CurrentValue

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Current value of the variable linked as the current value variable on the tag .

Datatype

CurrentValue() As IVariableValue

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes


TagVariableValue

Manuel -> Interfaces de programmation -> Modèles d'objet -> BatchTag -> BatchTag-Properties -> TagVariableValue

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Current value of thje variable linked as tag varaible.

Datatype

TagVariableValue() As IVariableValue

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes


TagValue

Manuel -> Interfaces de programmation -> Modèles d'objet -> BatchTag -> BatchTag-Properties -> TagValue

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

): Value that is written on the tag variable.

Datatype

TagValue() As IBatchTagValue

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes


Unit

Manuel -> Interfaces de programmation -> Modèles d'objet -> BatchTag -> BatchTag-Properties -> Unit

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Unit of the tag.

Datatype

Unit() As BSTR

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes


DataType

Manuel -> Interfaces de programmation -> Modèles d'objet -> BatchTag -> BatchTag-Properties -> DataType

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype of the tag.

Datatype

DataType() As tpBatchTagDataType

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes


TagType

Manuel -> Interfaces de programmation -> Modèles d'objet -> BatchTag -> BatchTag-Properties -> TagType

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Type of the tag (initial, value, return).

Datatype

TagType() As tpBatchTagType

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes


TagVariable

Manuel -> Interfaces de programmation -> Modèles d'objet -> BatchTag -> BatchTag-Properties -> TagVariable

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Variable that is linked on the Tag. For command tags this is the one that has the values written to it.

Datatype

TagVariable() As IVariable

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes


CurrentValueVariable

Manuel -> Interfaces de programmation -> Modèles d'objet -> BatchTag -> BatchTag-Properties -> CurrentValueVariable

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

If the readable datapoint differs from the writeable one for a command tag, the readable one can be linked here. It is null for tags on which it is not linked.

Datatype

CurrentValueVariable() As IVariable

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes


BatchTags

Manuel -> Interfaces de programmation -> Modèles d'objet -> BatchTags

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

A collection of tags. Allows you to iterate and get tags.

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes

Examples

C#

VB.NET

VBA

Other topics in this chapter

BatchTags-Properties

BatchTags-Methods


BatchTags-Properties

Manuel -> Interfaces de programmation -> Modèles d'objet -> BatchTags -> BatchTags-Properties

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
long | Count | Count of the tags | not used | read only | yes | yes

Other topics in this chapter

Count


Count

Manuel -> Interfaces de programmation -> Modèles d'objet -> BatchTags -> BatchTags-Properties -> Count

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

number of tags in the collection.

Datatype

Count() As long

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes


BatchTags-Methods

Manuel -> Interfaces de programmation -> Modèles d'objet -> BatchTags -> BatchTags-Methods

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description |  | Editor | Runtime | VBA | VSTA
IBatchTag | ItemByIndex | Gets a tag by its index in the collection |  | not used | read only | yes | yes
IBatchTag | ItemByName | Gets a tag by its name |  | not used | read only | yes | yes
IBatchTag | ItemById | Gets a tag by its ID |  | not used | read only | yes | yes
IBatchTag | GetItem | Gets a tag by its index in the collection | not used |  | read only | yes |  | yes
IBatchTag | GetItemByName | Gets a tag by its name | not used |  | read only | yes |  | yes
IBatchTag | GetItemById | Gets a tag by its ID | not used |  | read only | yes |  | yes

Other topics in this chapter

GetItem

GetItemByName

GetItemById


GetItem

Manuel -> Interfaces de programmation -> Modèles d'objet -> BatchTags -> BatchTags-Methods -> GetItem

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

GetItem(long lIndex) As IBatchTag

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes

Parameters

C#

VB.NET

VBA

Examples

C#

VB.NET

VBA


GetItemByName

Manuel -> Interfaces de programmation -> Modèles d'objet -> BatchTags -> BatchTags-Methods -> GetItemByName

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

GetItemByName(BSTR bstrName) As IBatchTag

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes

Parameters

C#

VB.NET

VBA

Examples

C#

VB.NET

VBA


GetItemById

Manuel -> Interfaces de programmation -> Modèles d'objet -> BatchTags -> BatchTags-Methods -> GetItemById

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

GetItemById(long lId) As IBatchTag

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes

Parameters

C#

VB.NET

VBA

Examples

C#

VB.NET

VBA


BatchTagValue

Manuel -> Interfaces de programmation -> Modèles d'objet -> BatchTagValue

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Value for a tag that is written to the variable of the tag. It contains fields for all possible data types of the tag.

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes

Examples

C#

VB.NET

VBA

Other topics in this chapter

BatchTagValue-Properties


BatchTagValue-Properties

Manuel -> Interfaces de programmation -> Modèles d'objet -> BatchTagValue -> BatchTagValue-Properties

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
tpBatchBoolValue | Bool | Bool value | not used | read only | yes | yes
BSTR | String | String value | not used | read only | yes | yes
double | Numeric | Numerical value | not used | read only | yes | yes
long | Duration | Duration value in seconds | not used | read only | yes | yes

Other topics in this chapter

Bool

String

Numeric

Duration


Bool

Manuel -> Interfaces de programmation -> Modèles d'objet -> BatchTagValue -> BatchTagValue-Properties -> Bool

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Bool value for the tag.

Datatype

Bool() As tpBatchBoolValue

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes


String

Manuel -> Interfaces de programmation -> Modèles d'objet -> BatchTagValue -> BatchTagValue-Properties -> String

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

String value for the tag.

Datatype

String() As BSTR

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes


Numeric

Manuel -> Interfaces de programmation -> Modèles d'objet -> BatchTagValue -> BatchTagValue-Properties -> Numeric

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Numerical value for the tag.

Datatype

Numeric() As double

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes


Duration

Manuel -> Interfaces de programmation -> Modèles d'objet -> BatchTagValue -> BatchTagValue-Properties -> Duration

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Duration value for the tag.

Datatype

Duration() As long

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes


BatchUnitConfig

Manuel -> Interfaces de programmation -> Modèles d'objet -> BatchUnitConfig

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Ab sofort ist es möglich, die zenon ® Batch Units via zenon ® API zu iterieren und ihre Eigenschaften zu lesen, sowohl im Editor als auch zu RT.

Die neue Schnittstelle und deren Eigenschaften:

IBatchUnitConfig (die Schnittstelle selbst)

Long IBatchUnitConfig::Id (ID der Unit)

BSTR IBatchUnitConfig::Name (Name der Unit)

BSTR IBatchUnitConfig::Description (Beschreibung der Unit)

IBatchPhasesConfig* IBatchUnitConfig::Phases (Liste der Phasen in der Unit)

Availability

Environment | Available
Editor | available
Runtime | read only
VBA | yes
VSTA | yes

Examples

C#

public void Macro_TestBatchUnits()

{

// Editor:

zenOn.IBatchUnitsConfig units = this.ActiveDocument.BatchManager().Config.Units;

// RT:

// zenOn.IBatchUnitsConfig units = this.BatchManager().Config.Units;

if (null != units && 0 < units.Count)

{

System.Windows.Forms.MessageBox.Show("Attempt to get a unit via Index...");

zenOn.IBatchUnitConfig unit = units.ItemByIndex(0);

ReportUnit(unit);

if (null != unit)

{

System.Windows.Forms.MessageBox.Show("Attempt to get a unit via Id...");

unit = units.ItemById(unit.ID);

ReportUnit(unit);

}

if (null != unit)

{

System.Windows.Forms.MessageBox.Show("Attempt to get a unit via Name...");

unit = units.ItemByName(unit.Name);

ReportUnit(unit);

}

}

}

public void ReportUnit(zenOn.IBatchUnitConfig unit)

{

if (null != unit)

{

System.String message;

message = "Unit id(" + unit.ID + "),name(" + unit.Name + "),description(" + unit.Description + ")";

System.Windows.Forms.MessageBox.Show(message);

}

else

{

System.Windows.Forms.MessageBox.Show("Unit not found!");

}

}

VB.NET

VBA

Public Sub batch_unit_test()

' be sure you have some projected units in your project

Dim bm As BatchManager

Dim cfg As IBatchConfig

Dim units As IBatchUnitsConfig

Dim count As Long

Dim unit As IBatchUnitConfig

' take the following line for Editor

Set bm = MyWorkspace.ActiveDocument.BatchManager

' ...or this line for Runtime

'Set bm = thisProject.BatchManager

Set cfg = bm.Config

Set units = cfg.units

count = units.count

If count > 0 Then

MsgBox ("Attempt to get a unit via Index...")

Set unit = units.ItemByIndex(0)

report_unit unit

If Not unit Is Nothing Then

MsgBox ("Attempt to get a unit via ID...")

Set unit = units.ItemById(unit.ID)

report_unit unit

End If

If Not unit Is Nothing Then

MsgBox ("Attempt to get a unit via Name...")

Set unit = units.ItemByName(unit.Name)

report_unit unit

End If

End If

End Sub

Public Sub report_unit(unit As IBatchUnitConfig)

If Not unit Is Nothing Then

Dim message As String

message = "Unit id(" & unit.ID & "),name(" & unit.Name & "),description(" & unit.Description & ")"

MsgBox (message)

Else

MsgBox ("Unit not found!")

End If

End Sub

Other topics in this chapter

BatchUnitConfig -Properties


BatchUnitConfig -Properties

Manuel -> Interfaces de programmation -> Modèles d'objet -> BatchUnitConfig -> BatchUnitConfig -Properties

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
BSTR | Name | Returns the unit name | read only | read only | yes | yes
BSTR | Description | Returns the unit description | read only | read only | yes | yes
long | ID | Returns the unit ID | read only | read only | yes | yes
IBatchPhasesConfig | Phases | List of unit phases | available | read only | yes | yes

Other topics in this chapter

Name

Description

ID

Phases


Name

Manuel -> Interfaces de programmation -> Modèles d'objet -> BatchUnitConfig -> BatchUnitConfig -Properties -> Name

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

Name() As BSTR

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


Description

Manuel -> Interfaces de programmation -> Modèles d'objet -> BatchUnitConfig -> BatchUnitConfig -Properties -> Description

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

Description() As BSTR

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


ID

Manuel -> Interfaces de programmation -> Modèles d'objet -> BatchUnitConfig -> BatchUnitConfig -Properties -> ID

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

ID() As long

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


Phases

Manuel -> Interfaces de programmation -> Modèles d'objet -> BatchUnitConfig -> BatchUnitConfig -Properties -> Phases

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

Phases() As IBatchPhasesConfig

Availability

Environment | Available
Editor | available
Runtime | read only
VBA | yes
VSTA | yes


BatchUnitsConfig

Manuel -> Interfaces de programmation -> Modèles d'objet -> BatchUnitsConfig

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Ab sofort ist es möglich, die zenon ® Batch Units via zenon ® API zu iterieren und ihre Eigenschaften zu lesen, sowohl im Editor als auch zu RT.

Die neue Schnittstelle und deren Eigenschaften:

IBatchUnitConfig (die Schnittstelle selbst)

Long IBatchUnitConfig::Id (ID der Unit)

BSTR IBatchUnitConfig::Name (Name der Unit)

BSTR IBatchUnitConfig::Description (Beschreibung der Unit)

IBatchPhasesConfig* IBatchUnitConfig::Phases (Liste der Phasen in der Unit)

Zu den Einzelnen Objekten der neuen Klasse kommt man durch die Iteration der Unitsliste der Batch-Projektierung:

IBatchUnitConfig* IBatchUnitsConfig::ItemById(long id)

IBatchUnitConfig* IBatchUnitsConfig::ItemByIndex(long index)

IBatchUnitConfig* IBatchUnitsConfig::ItemByName(BSTR name)

Availability

Environment | Available
Editor | available
Runtime | read only
VBA | yes
VSTA | yes

Examples

C#

public void Macro_TestBatchUnits()

{

// Editor:

zenOn.IBatchUnitsConfig units = this.ActiveDocument.BatchManager().Config.Units;

// RT:

// zenOn.IBatchUnitsConfig units = this.BatchManager().Config.Units;

if (null != units && 0 < units.Count)

{

System.Windows.Forms.MessageBox.Show("Attempt to get a unit via Index...");

zenOn.IBatchUnitConfig unit = units.ItemByIndex(0);

ReportUnit(unit);

if (null != unit)

{

System.Windows.Forms.MessageBox.Show("Attempt to get a unit via Id...");

unit = units.ItemById(unit.ID);

ReportUnit(unit);

}

if (null != unit)

{

System.Windows.Forms.MessageBox.Show("Attempt to get a unit via Name...");

unit = units.ItemByName(unit.Name);

ReportUnit(unit);

}

}

}

public void ReportUnit(zenOn.IBatchUnitConfig unit)

{

if (null != unit)

{

System.String message;

message = "Unit id(" + unit.ID + "),name(" + unit.Name + "),description(" + unit.Description + ")";

System.Windows.Forms.MessageBox.Show(message);

}

else

{

System.Windows.Forms.MessageBox.Show("Unit not found!");

}

}

VB.NET

VBA

Public Sub batch_unit_test()

' be sure you have some projected units in your project

Dim bm As BatchManager

Dim cfg As IBatchConfig

Dim units As IBatchUnitsConfig

Dim count As Long

Dim unit As IBatchUnitConfig

' take the following line for Editor

Set bm = MyWorkspace.ActiveDocument.BatchManager

' ...or this line for Runtime

'Set bm = thisProject.BatchManager

Set cfg = bm.Config

Set units = cfg.units

count = units.count

If count > 0 Then

MsgBox ("Attempt to get a unit via Index...")

Set unit = units.ItemByIndex(0)

report_unit unit

If Not unit Is Nothing Then

MsgBox ("Attempt to get a unit via ID...")

Set unit = units.ItemById(unit.ID)

report_unit unit

End If

If Not unit Is Nothing Then

MsgBox ("Attempt to get a unit via Name...")

Set unit = units.ItemByName(unit.Name)

report_unit unit

End If

End If

End Sub

Public Sub report_unit(unit As IBatchUnitConfig)

If Not unit Is Nothing Then

Dim message As String

message = "Unit id(" & unit.ID & "),name(" & unit.Name & "),description(" & unit.Description & ")"

MsgBox (message)

Else

MsgBox ("Unit not found!")

End If

End Sub

Other topics in this chapter

BatchUnitsConfig -Properties

BatchUnitsConfig -Methods


BatchUnitsConfig -Properties

Manuel -> Interfaces de programmation -> Modèles d'objet -> BatchUnitsConfig -> BatchUnitsConfig -Properties

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
long | Count | Returns the count of units | read only | read only | yes | yes

Other topics in this chapter

Count


Count

Manuel -> Interfaces de programmation -> Modèles d'objet -> BatchUnitsConfig -> BatchUnitsConfig -Properties -> Count

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

Count() As long

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


BatchUnitsConfig -Methods

Manuel -> Interfaces de programmation -> Modèles d'objet -> BatchUnitsConfig -> BatchUnitsConfig -Methods

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description |  | Editor | Runtime | VBA | VSTA
VARIANT_BOOL | Export | Exports all units to file |  | available | available | yes | yes
VARIANT_BOOL | Import | Imports the units from file |  | available | not used | yes | yes
VARIANT_BOOL | SingleExportById | Exports a unit via ID |  | available | available | yes | yes
VARIANT_BOOL | SingleExportByIndex | Exports a unit via index |  | available | available | yes | yes
VARIANT_BOOL | SingleExportByName | Exports a unit via name |  | available | available | yes | yes
VARIANT_BOOL | DeleteById | Deletes a unit via ID |  | available | not used | yes | yes
VARIANT_BOOL | DeleteByIndex | Deletes a unit via index |  | available | not used | yes | yes
VARIANT_BOOL | DeleteByName | Deletes a unit via name |  | available | not used | yes | yes
IBatchUnitConfig | ItemById | Returns a unit via ID |  | available | available | yes | yes
IBatchUnitConfig | ItemByIndex | Returns a unit via index |  | available | available | yes | yes
IBatchUnitConfig | ItemByName | Returns a unit via name |  | available | available | yes | yes
IBatchUnitConfig | GetItemById | Returns a unit via ID | available |  | available | yes |  | yes
IBatchUnitConfig | GetItem | Returns a unit via index | available |  | available | yes |  | yes
IBatchUnitConfig | GetItemByName | Returns a unit via name | available |  | available | yes |  | yes

Other topics in this chapter

Export

Import

SingleExportById

SingleExportByIndex

SingleExportByName

DeleteById

DeleteByIndex

DeleteByName

GetItemById

GetItem

GetItemByName


Export

Manuel -> Interfaces de programmation -> Modèles d'objet -> BatchUnitsConfig -> BatchUnitsConfig -Methods -> Export

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

Export(BSTR bstrXmlFileName) As VARIANT_BOOL

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

VB.NET

VBA

Examples

C#

VB.NET

VBA


Import

Manuel -> Interfaces de programmation -> Modèles d'objet -> BatchUnitsConfig -> BatchUnitsConfig -Methods -> Import

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

Import(BSTR bstrXmlFileName) As VARIANT_BOOL

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

VB.NET

VBA

Examples

C#

VB.NET

VBA


SingleExportById

Manuel -> Interfaces de programmation -> Modèles d'objet -> BatchUnitsConfig -> BatchUnitsConfig -Methods -> SingleExportById

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

SingleExportById(long lUnitId, BSTR bstrXmlFileName) As VARIANT_BOOL

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

VB.NET

VBA

Examples

C#

VB.NET

VBA


SingleExportByIndex

Manuel -> Interfaces de programmation -> Modèles d'objet -> BatchUnitsConfig -> BatchUnitsConfig -Methods -> SingleExportByIndex

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

SingleExportByIndex(long lUnitIndex, BSTR bstrXmlFileName) As VARIANT_BOOL

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

VB.NET

VBA

Examples

C#

VB.NET

VBA


SingleExportByName

Manuel -> Interfaces de programmation -> Modèles d'objet -> BatchUnitsConfig -> BatchUnitsConfig -Methods -> SingleExportByName

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

SingleExportByName(BSTR bstrUnitName, BSTR bstrXmlFileName) As VARIANT_BOOL

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

VB.NET

VBA

Examples

C#

VB.NET

VBA


DeleteById

Manuel -> Interfaces de programmation -> Modèles d'objet -> BatchUnitsConfig -> BatchUnitsConfig -Methods -> DeleteById

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

DeleteById(long lUnitId) As VARIANT_BOOL

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

VB.NET

VBA

Examples

C#

VB.NET

VBA


DeleteByIndex

Manuel -> Interfaces de programmation -> Modèles d'objet -> BatchUnitsConfig -> BatchUnitsConfig -Methods -> DeleteByIndex

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

DeleteByIndex(long lUnitIndex) As VARIANT_BOOL

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

VB.NET

VBA

Examples

C#

VB.NET

VBA


DeleteByName

Manuel -> Interfaces de programmation -> Modèles d'objet -> BatchUnitsConfig -> BatchUnitsConfig -Methods -> DeleteByName

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

DeleteByName(BSTR bstrUnitName) As VARIANT_BOOL

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

VB.NET

VBA

Examples

C#

VB.NET

VBA


GetItemById

Manuel -> Interfaces de programmation -> Modèles d'objet -> BatchUnitsConfig -> BatchUnitsConfig -Methods -> GetItemById

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

GetItemById(long lUnitId) As IBatchUnitConfig

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

VB.NET

VBA

Examples

C#

VB.NET

VBA


GetItem

Manuel -> Interfaces de programmation -> Modèles d'objet -> BatchUnitsConfig -> BatchUnitsConfig -Methods -> GetItem

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

GetItem(long lUnitIndex) As IBatchUnitConfig

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

VB.NET

VBA

Examples

C#

VB.NET

VBA


GetItemByName

Manuel -> Interfaces de programmation -> Modèles d'objet -> BatchUnitsConfig -> BatchUnitsConfig -Methods -> GetItemByName

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

GetItemByName(BSTR bstrUnitName) As IBatchUnitConfig

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

VB.NET

VBA

Examples

C#

VB.NET

VBA


Cel

Manuel -> Interfaces de programmation -> Modèles d'objet -> Cel

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

The CEL Object represents the "Chronological Event List" an offers the feature to write user defined Events into the list or react on entries in the list...There are some methods and events implemented, to see how they are working look at the Sample below or take a detailed look at the objects properties...

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes

Examples

C#

private ICel zenonCel;

private IDynPicture zenonCelPicture;

private bool celFlag = false;

void ThisProject_Inactive()

{

this.zenonCelPicture.Open -= new OpenEventHandler(zenonCelPicture_Open);

this.zenonCelPicture = null;

if (this.zenonCel != null)

{

this.zenonCel.CelListSelectionChanged -= new CelListSelectionChangedEventHandler(zenonCel_CelListSelectionChanged);

this.zenonCel = null;

}

FreeObjects();

}

void zenonCelPicture_Open()

{

celFlag = true;

zenonCel = this.Cel();

zenonCel.CelListSelectionChanged += new CelListSelectionChangedEventHandler(zenonCel_CelListSelectionChanged);

}

void zenonCel_CelListSelectionChanged(ICelItem obItem)

{

if (celFlag == true)

celFlag = false;

else

System.Diagnostics.Debug.Print("C_Changed - " + obItem.Text);

}

void ThisProject_Active()

{

//Initialize screen objects to get Open/Close events of the screen

this.zenonCelPicture = this.DynPictures().Item("CEL");

this.zenonCelPicture.Open += new OpenEventHandler(zenonCelPicture_Open);

}

VB.NET

Private zenonCel As ICel

Private zenonCelPicture As IDynPicture

Private celFlag As Boolean = False

Private Sub ThisProject_Inactive()

RemoveHandler Me.zenonCelPicture.Open, AddressOf zenonCelPicture_Open

Me.zenonCelPicture = Nothing

If Me.zenonCel IsNot Nothing Then

RemoveHandler Me.zenonCel.CelListSelectionChanged, AddressOf zenonCel_CelListSelectionChanged

Me.zenonCel = Nothing

End If

FreeObjects()

End Sub

Private Sub zenonCelPicture_Open()

celFlag = True

zenonCel = Me.Cel()

AddHandler Me.zenonCel.CelListSelectionChanged, AddressOf zenonCel_CelListSelectionChanged

End Sub

Private Sub zenonCel_CelListSelectionChanged(obItem As ICelItem)

If celFlag = True Then

celFlag = False

Else

System.Diagnostics.Debug.Print("C_Changed - " & Convert.ToString(obItem.Text))

End If

End Sub

Private Sub ThisProject_Active()

'Initialize screen objects to get Open/Close events of the screen

Me.zenonCelPicture = Me.DynPictures().Item("CEL")

AddHandler Me.zenonCelPicture.Open, AddressOf zenonCelPicture_Open

End Sub

VBA

'##########################################################
'### this Code can be used within the 'thisProject' ###
'### object class, because of the project events! ###
'##########################################################
'Declare Objects to get the Events...
Dim WithEvents zCEL As Cel
Dim WithEvents zCELPIC As DynPicture
Dim bCEL As Boolean

'##########################################################
'### Project Events - START/END of the zenOn Runtime ###
'##########################################################
Private Sub Project_Active()
'Init screen pbjects to get Open/Close events of the screens
Set zCELPIC = thisProject.DynPictures.Item("CEL")
End Sub

Private Sub Project_Inactive()
'release objects
Set zCELPIC = Nothing
End Sub

'##########################################################
'### Procedures/Events for the Chronological event list ###
'##########################################################
Private Sub zCELPIC_Open()
'boolen flag to remember the open event
bCEL = True
'init CEL Object to get the CelListSelectionChanged event
Set zCEL = thisProject.Cel
End Sub

Private Sub zCELPIC_Close()
'release object
Set zCEL = Nothing
End Sub

Private Sub zCEL_CelListSelectionChanged(ByVal obItem As ICelItem)
'If the boolen is TRUE, the first events can be ignored
'because in this case the events returns the default
'selection on opening the screen
If bCEL = True Then
bCEL = False
Else
Debug.Print "C_Changed - " & obItem.Text
End If
End Sub

Other topics in this chapter

Cel-Properties

Cel-Methods

Cel-Events

Cel-Dynamic properties


Cel-Properties

Manuel -> Interfaces de programmation -> Modèles d'objet -> Cel -> Cel-Properties

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
IProject | Parent | Parent-object | read only | read only | yes | yes

Other topics in this chapter

Parent


Parent

Manuel -> Interfaces de programmation -> Modèles d'objet -> Cel -> Cel-Properties -> Parent

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the parent object

Datatype

Parent() As Project

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


Cel-Methods

Manuel -> Interfaces de programmation -> Modèles d'objet -> Cel -> Cel-Methods

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description |  | Editor | Runtime | VBA | VSTA
ICelItems | CelItems | Return the CelItems |  | not used | read only | yes | yes
void | WriteCelString | Creates a new cel-item (only runtime) |  | not used | available | yes | yes
void | WriteCelStringEx | Creates a new extended cel-item (only runtime) |  | not used | available | yes | yes
IPropParam | DynPropertyParam [GET] | Returns the PropParam objekt of the given DynProperty |  | read only | not used | yes | yes
VARIANT | DynPropertiesEnum [GET] |  |  | read only | read only | yes | yes
VARIANT | DynProperties [GET] |  |  | available | available | yes | yes
void | DynProperties [PUT] |  |  | available | available | yes | yes
void | WriteCelStringTimestamp | Creates a new extended cel-item including timestamp (Runtime only) |  | not used | available | yes | yes
void | ResetQueryFilter | Resets the QueryFilter |  | not used | read only | yes | yes
BSTR | CelItemsAsXml | Return the CelItems as XML | not used |  | read only | yes |  | yes
IOnlineCels | OnlineCels | Returns the OnlineCels object | not used |  | read only | yes |  | yes
IOnlineCelCollection | OnlineCelCollection [GET] | Returns the OnlineCels object | not used |  | read only | yes |  | yes

Other topics in this chapter

DynPropertyParam [GET]

DynPropertiesEnum [GET]

DynProperties [GET]

DynProperties [PUT]

WriteCelString

WriteCelStringEx

WriteCelStringTimestamp

CelItems

ResetQueryFilter

CelItemsAsXml

OnlineCelCollection [GET]


DynPropertyParam [GET]

Manuel -> Interfaces de programmation -> Modèles d'objet -> Cel -> Cel-Methods -> DynPropertyParam [GET]

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

DynPropertyParam [GET](BSTR bsPath) As IPropParam

Availability

Environment | Available
Editor | read only
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

VB.NET

VBA

Examples

C#

VB.NET

VBA


DynPropertiesEnum [GET]

Manuel -> Interfaces de programmation -> Modèles d'objet -> Cel -> Cel-Methods -> DynPropertiesEnum [GET]

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

DynPropertiesEnum [GET](BSTR bsPath) As VARIANT

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes

Parameters

C#

VB.NET

VBA

Examples

C#

VB.NET

VBA


DynProperties [GET]

Manuel -> Interfaces de programmation -> Modèles d'objet -> Cel -> Cel-Methods -> DynProperties [GET]

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

DynProperties [GET](BSTR bsPath) As VARIANT

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

VB.NET

VBA

Examples

C#

VB.NET

VBA


DynProperties [PUT]

Manuel -> Interfaces de programmation -> Modèles d'objet -> Cel -> Cel-Methods -> DynProperties [PUT]

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

DynProperties [PUT](BSTR bsPath,VARIANT vValue) As void

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

VB.NET

VBA

Examples

C#

VB.NET

VBA


WriteCelString

Manuel -> Interfaces de programmation -> Modèles d'objet -> Cel -> Cel-Methods -> WriteCelString

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Creates a new cel-item (only runtime)

Datatype

WriteCelString(String strCelString) As void

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes

Parameters

The given String will be written into the chronological event list (actual Timestamp)
Example: "VBA Error " & Err.Number & " in procedure DoSome!"

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

strCelString As String

Examples

C#

public void WriteStringToCel(string text)

{

//Writes a new standard CEL entry

this.Cel().WriteCelString(text);

}

VB.NET

Public Sub WriteStringToCel(text As String)

'Writes a new standard CEL entry

Me.Cel().WriteCelString(text)

End Sub

VBA

Public Sub WriteString2CEL(YourText As String)
'a new entry will be generated in the CEL with the actual timestamp...
thisProject.Cel.WriteCelString YourText
End Sub


WriteCelStringEx

Manuel -> Interfaces de programmation -> Modèles d'objet -> Cel -> Cel-Methods -> WriteCelStringEx

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Creates a new extended cel-item (only runtime)

Datatype

WriteCelStringEx(String strCelString,String szPvName,long iGroup,long iClass,VARIANT Value,long Status) As void

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes

Parameters

StatusValue contains all actual status information as single bits...

Status Bits:

Status | Bit | Value (DEC) | Value (HEX)
ST_M1 / Status1 | 0 | 1 | 1
ST_M2 / Status2 | 1 | 2 | 2
ST_M3 / Status3 | 2 | 4 | 4
ST_M4 / Status4 | 3 | 8 | 8
ST_M5 / Status5 | 4 | 16 | 10
ST_M6 / Status6 | 5 | 32 | 20
ST_M7 / Status7 | 6 | 64 | 40
ST_M8 / Status8 | 7 | 128 | 80
SELEC / Select | 8 | 256 | 100
REV / Revision | 9 | 512 | 200
DIREC / Desired direction | 10 | 1.024 | 400
RTE / Runtime exceeded | 11 | 2.048 | 800
MVALUE / Manual value | 12 | 4.096 | 1000
ST_M14 / Status14 | 13 | 8.192 | 2000
ST_M15 / Status15 | 14 | 16.384 | 4000
ST_M16 / Status16 | 15 | 32.768 | 8000
GR / General request | 16 | 65.536 | 10000
SPONT / Spontaneous | 17 | 131.072 | 20000
I-BIT / Invalid | 18 | 262.144 | 40000
SU/WI / Summer/winter time announcement | 19 | 524.288 | 80000
N_UPDATE / switched off | 20 | 1.048.576 | 100000
RT_E / Realtime external | 21 | 2.097.152 | 200000
RT_I / Realtime internal | 22 | 4.194.304 | 400000
NSORT / Not sortable | 23 | 8.388.608 | 800000
DM_TR / Default message trafo value | 24 | 16.777.216 | 1000000
RM_TR / Running message trafo value | 25 | 33.554.432 | 2000000
INFO / Info for variable | 26 | 67.108.864 | 4000000
AVALUE / Alternative value | 27 | 134.217.728 | 8000000
ACTUAL / Not updated | 29 | 536.870.912 | 20000000
WINTER / Winter time | 30 | 1.073.741.824 | 40000000
BLINK / Blink | 31 | 2.147.483.648 | 80000000

ID of AlarmClass for filtering within the chronological event list...

The given String will be written into the chronological event list (actual Timestamp)

Example: "VBA Error " & Err.Number & " in procedure DoSome!"

ID of AlarmGroup for filtering within the chronological event list...

Name of a variable, the variable will be listed in the chronological event list...

Value as Variant, means the value entry within the chronological event list...

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Status As Long

iClass As Long

strCelString As String

iGroup As Long

szPvName As String

Value As Variant

Examples

C#

public void WriteExStringToCel(string text, string variableName,

int groupNumber, int classNumber, object vValue, int status)

{

//Writes a new extended CEL entry with given names, grpNr, clsNr, value and status bits

this.Cel().WriteCelStringEx(text, variableName, groupNumber, classNumber, vValue, status);

}

VB.NET

Public Sub WriteExStringToCel(text As String, variableName As String, groupNumber As Integer, classNumber As Integer, vValue As Object, status As Integer)

'Writes a new extended CEL entry with given names, grpNr, clsNr, value and status bits

Me.Cel().WriteCelStringEx(text, variableName, groupNumber, classNumber, vValue, status)

End Sub

VBA

Public Sub WriteExString2CEL(YourText As String, VarName As String, _
GroupNr As Long, ClassNr As Long, _
vValue As Variant, lStatus As Long)
'a new entry will be generated in the CEL with the actual timestamp...
Call thisProject.Cel.WriteCelStringEx(YourText, VarName, GroupNr, _
ClassNr, vValue, lStatus)
End Sub


WriteCelStringTimestamp

Manuel -> Interfaces de programmation -> Modèles d'objet -> Cel -> Cel-Methods -> WriteCelStringTimestamp

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Creates a new cel-item + timestamp (only runtime)

Datatype

WriteCelStringTimestamp(BSTR strCelString, BSTR szPvName, long iGroup, long iClass, VARIANT Value, long Status, long Time, short TimeMilliSec) As void

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

VB.NET

VBA

Examples

C#

public void WriteTimeStampToCel(string text, string variableName,

int groupNumber, int classNumber, object vValue, int status, int time, short milliseconds)

{ //Writes a new extended CEL entry with the given names, grpNr, clsNr, value, status bits and time

//NOTE: zenon time format necessary for the time parameter

this.Cel().WriteCelStringTimestamp(text, variableName, groupNumber, classNumber, vValue, status,

time, milliseconds);

}

VB.NET

Public Sub WriteTimeStampToCel(text As String, variableName As String, groupNumber As Integer, classNumber As Integer, vValue As Object, status As Integer, _

time As Integer, milliseconds As Short)

'Writes a new extended CEL entry with the given names, grpNr, clsNr, value, status bits and time

'NOTE: Zenon time format necessary for the time parameter

Me.Cel().WriteCelStringTimestamp(text, variableName, groupNumber, classNumber, vValue, status, _

time, milliseconds)

End Sub

VBA

Public Sub writeCel()

Call thisProject.Cel.WriteCelStringTimestamp("Mytext", "RGM_visible", 1, 1, 0, 0, 123, 456)

End Sub


CelItems

Manuel -> Interfaces de programmation -> Modèles d'objet -> Cel -> Cel-Methods -> CelItems

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Object to get all Items are actually in memory...

Filter String: If the string is not "*", then the string should represent the name (case sensitive) of a zenon function.If a function with the given name exists, the filter settings within this function will be used. --> only version 6.51 and above

Datatype

CelItems(String strFilter) As CelItems

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes

Parameters

A Filter is not implemented yet. To avoid problems in future use always the asterisk...
Example:

Debug.Print zCelItems("*").Count

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

strFilter As String

Examples

C#

public void MacroGetAllCelItems()

{

//Print text for each item

for (int i = 0; i < this.Cel().CelItems("*").Count; ++i )

System.Diagnostics.Debug.Print(this.Cel().CelItems("*").Item(i).Text);

}

VB.NET

Public Sub MacroGetAllCelItems()

'Print text for each item

For i As Integer = 0 To Me.Cel().CelItems("*").Count - 1

System.Diagnostics.Debug.Print(Me.Cel().CelItems("*").Item(i).Text)

Next

End Sub

VBA

'##########################################################
'### Get all CEL Items of the project ###
'##########################################################
Public Sub GetAllItems()
Dim i As Integer
'get all items in memory...
For i = 0 To thisProject.Cel.CelItems("*").Count - 1
'print text of item to outputwindow
Debug.Print thisProject.Cel.CelItems("*").Item(i).Text
Next i
End Sub

'get specific item using the screen switch function as filter

'thisProject.Cel.CelItems("myFunction").Count - 1


ResetQueryFilter

Manuel -> Interfaces de programmation -> Modèles d'objet -> Cel -> Cel-Methods -> ResetQueryFilter

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Specify Cel filter or set default value.

Datatype

ResetQueryFilter() As void

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes

Examples

C#

//Manipulation using the query filter

Project.Cel.ResetQueryFilter()

Project.Cel.SetDynProp(„QueryFilter.XXX", ZZZ)

//get items using the query filter

Project.Cel.AmlItems(„.")

VB.NET

VBA


CelItemsAsXml

Manuel -> Interfaces de programmation -> Modèles d'objet -> Cel -> Cel-Methods -> CelItemsAsXml

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

CelItemsAsXml(BSTR strFilter) As BSTR

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes

Parameters

C#

VB.NET

VBA

Examples

C#

VB.NET

VBA


OnlineCelCollection [GET]

Manuel -> Interfaces de programmation -> Modèles d'objet -> Cel -> Cel-Methods -> OnlineCelCollection [GET]

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

OnlineCelCollection [GET]() As IOnlineCelCollection

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes

Parameters

C#

VB.NET

VBA

Examples

C#

VB.NET

VBA


Cel-Events

Manuel -> Interfaces de programmation -> Modèles d'objet -> Cel -> Cel-Events

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
void | CelItemAdded | Event is fired when a new entry has been added to the CEL | not used | available | yes | yes
void | CelItemCommentChanged |  | not used | available | yes | yes
void | CelListSelectionChanged |  | not used | read only | yes | yes
void | SelectionChangedEx | Event: selection array in the event list has been changed... | not used | read only | yes | yes

Other topics in this chapter

CelItemAdded

CelListSelectionChanged

CelItemCommentChanged

SelectionChangedEx


CelItemAdded

Manuel -> Interfaces de programmation -> Modèles d'objet -> Cel -> Cel-Events -> CelItemAdded

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Event is fired, when a new item was added...

Datatype

CelItemAdded(CelItem obItem) As void

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes

Parameters

Returns the added CelItem as Object...

C#

private ICel zenonCel;

void ThisProject_Active()

{

this.zenonCel = this.Cel();

this.zenonCel.CelItemAdded += new CelItemAddedEventHandler(zenonCel_CelItemAdded);

}

void zenonCel_CelItemAdded(ICelItem obItem)

{

//Print every time an item is added to the CEL

System.Diagnostics.Debug.Print("CellItemAdded - " + obItem.Text);

}

void ThisProject_Inactive()

{

this.zenonCel.CelItemAdded -= new CelItemAddedEventHandler(zenonCel_CelItemAdded);

this.zenonCel = null;

FreeObjects();

}

VB.NET

Private zenonCel As ICel

Private Sub ThisProject_Active()

Me.zenonCel = Me.Cel()

AddHandler Me.zenonCel.CelItemAdded, AddressOf zenonCel_CelItemAdded

End Sub

Private Sub zenonCel_CelItemAdded(obItem As ICelItem)

'Print every time an item is added to the CEL

System.Diagnostics.Debug.Print("CellItemAdded - " & Convert.ToString(obItem.Text))

End Sub

Private Sub ThisProject_Inactive()

RemoveHandler Me.zenonCel.CelItemAdded, AddressOf zenonCel_CelItemAdded

Me.zenonCel = Nothing

FreeObjects()

End Sub

VBA

obItem As CelItem

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Dim WithEvents zCEL As Cel

'##########################################################
'### Procedures/Events of the Project ###
'##########################################################
Private Sub Project_Active()
'init CEL Object to get the CelItemAdded event
Set zCEL = thisProject.Cel
End Sub

Private Sub Project_Inactive()
'release object
Set zCEL = Nothing
End Sub

'##########################################################
'### Procedures/Events for the CEL DynPicture ###
'##########################################################
Private Sub zCEL_CelItemAdded(ByVal obItem As ICelItem)
'when a new entry was generated....
Debug.Print "CelItemAdded - " & obItem.Text
End Sub


CelListSelectionChanged

Manuel -> Interfaces de programmation -> Modèles d'objet -> Cel -> Cel-Events -> CelListSelectionChanged

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

The event will be fired whenever the Selection in the list is changed, when an item is selected the Entry will be passed on through the zenon-API. When an item has been deselected, the eventparameter will be "Nothing".Additionally the event will be triggered whenever an AML/CEL picture is closed. (This could lead the event being triggered twice with "Nothing").NOTE: When the Property "hide current selection" has been set at the listcontrol, the event will/should not be fired(!)

Datatype

CelListSelectionChanged(CelItem obItem) As void

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes

Parameters

Returns the added CelItem as Object...

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

obItem As CelItem

Examples

C#

private ICel zenonCel;

private IDynPicture zenonCelPicture;

private bool celFlag = false;

void ThisProject_Inactive()

{

this.zenonCelPicture.Open -= new OpenEventHandler(zenonCelPicture_Open);

this.zenonCelPicture = null;

if (this.zenonCel != null)

{

this.zenonCel.CelListSelectionChanged -= new CelListSelectionChangedEventHandler(zenonCel_CelListSelectionChanged);

this.zenonCel = null;

}

FreeObjects();

}

void zenonCelPicture_Open()

{

celFlag = true;

zenonCel = this.Cel();

zenonCel.CelListSelectionChanged += new CelListSelectionChangedEventHandler(zenonCel_CelListSelectionChanged);

}

void zenonCel_CelListSelectionChanged(ICelItem obItem)

{

if (celFlag == true)

celFlag = false;

else

System.Diagnostics.Debug.Print("C_Changed - " + obItem.Text);

}

void ThisProject_Active()

{

//Initialize screen objects to get Open/Close events of the screen

this.zenonCelPicture = this.DynPictures().Item("CEL");

this.zenonCelPicture.Open += new OpenEventHandler(zenonCelPicture_Open);

}

VB.NET

Private zenonCel As ICel

Private zenonCelPicture As IDynPicture

Private celFlag As Boolean = False

Private Sub ThisProject_Inactive()

RemoveHandler Me.zenonCelPicture.Open, AddressOf zenonCelPicture_Open

Me.zenonCelPicture = Nothing

If Me.zenonCel IsNot Nothing Then

RemoveHandler Me.zenonCel.CelListSelectionChanged, AddressOf zenonCel_CelListSelectionChanged

Me.zenonCel = Nothing

End If

FreeObjects()

End Sub

Private Sub zenonCelPicture_Open()

celFlag = True

zenonCel = Me.Cel()

AddHandler Me.zenonCel.CelListSelectionChanged, AddressOf zenonCel_CelListSelectionChanged

End Sub

Private Sub zenonCel_CelListSelectionChanged(obItem As ICelItem)

If celFlag = True Then

celFlag = False

Else

System.Diagnostics.Debug.Print("C_Changed - " & Convert.ToString(obItem.Text))

End If

End Sub

Private Sub ThisProject_Active()

'Initialize screen objects to get Open/Close events of the screen

Me.zenonCelPicture = Me.DynPictures().Item("CEL")

AddHandler Me.zenonCelPicture.Open, AddressOf zenonCelPicture_Open

End Sub

VBA

Dim WithEvents zCELPIC As DynPicture
Dim WithEvents zCEL As Cel
Dim bCEL As Boolean

'##########################################################
'### Procedures/Events of the Project ###
'##########################################################
Private Sub Project_Active()
'set this object to get the Picture Open/Close Events...
Set zCELPIC = thisProject.DynPictures.Item("CELPICTURENAME")
End Sub

Private Sub Project_Inactive()
'release object
Set zCELPIC = Nothing
End Sub

'##########################################################
'### Procedures/Events for the CEL DynPicture ###
'##########################################################
Private Sub zCELPIC_Open()
'boolen flag to remember the open event
bCEL = True
'init CEL Object to get the CelListSelectionChanged event
Set zCEL = thisProject.Cel
End Sub

Private Sub zCELPIC_Close()
'release object
Set zCEL = Nothing
End Sub

'##########################################################
'### Procedures/Events for the ChronologicalEventList ###
'##########################################################
Private Sub zCEL_CelListSelectionChanged(ByVal obItem As ICelItem)
'If the boolen is TRUE, the first events can be ignored
'because in this case the events returns the default
'selection on opening the picture
If bCEL = True Then
bCEL = False
Else
If obItem Is Nothing Then Exit Sub
Debug.Print "SelectionChanged - " & obItem.Text
End If
End Sub


CelItemCommentChanged

Manuel -> Interfaces de programmation -> Modèles d'objet -> Cel -> Cel-Events -> CelItemCommentChanged

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

CelItemCommentChanged(String bsText) As void

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

private ICel zenonCel;

void ThisProject_Active()

{

this.zenonCel = this.Cel();

this.zenonCel.CelItemCommentChanged += new CelItemCommentChangedEventHandler(zenonCel_CelItemCommentChanged);

}

void zenonCel_CelItemCommentChanged(ref string bsText)

{

System.Diagnostics.Debug.Print("New CEL Comment: " + bsText);

//Note: bsText may be edited in this method since its passed by reference

}

void ThisProject_Inactive()

{

this.zenonCel.CelItemCommentChanged -= new CelItemCommentChangedEventHandler(zenonCel_CelItemCommentChanged);

this.zenonCel = null;

FreeObjects();

}

VB.NET

Private zenonCel As ICel

Private Sub ThisProject_Active()

Me.zenonCel = Me.Cel()

AddHandler Me.zenonCel.CelItemCommentChanged, AddressOf zenonCel_CelItemCommentChanged

End Sub

Private Sub zenonCel_CelItemCommentChanged(ByRef bsText As String)

System.Diagnostics.Debug.Print("New CEL Comment: " & bsText)

'Note: bsText may be edited in this method since its passed by reference

End Sub

Private Sub ThisProject_Inactive()

RemoveHandler Me.zenonCel.CelItemCommentChanged, AddressOf zenonCel_CelItemCommentChanged

Me.zenonCel = Nothing

FreeObjects()

End Sub

VBA

VBA-Syntax


SelectionChangedEx

Manuel -> Interfaces de programmation -> Modèles d'objet -> Cel -> Cel-Events -> SelectionChangedEx

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Fired when the selection changes in CEL.

Datatype

SelectionChangedEx(LPVARIANT arrSelection) As void

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes

Parameters

C#

VB.NET

VBA

Examples

C#

void ThisProject_Active()

{

this.zenonCel = this.Cel();

this.zenonCel.SelectionChangedEx += new SelectionChangedExEventHandler(zenonCel_SelectionChangedEx);

}

void zenonCel_SelectionChangedEx(ref object arrSelection)

{

if (arrSelection == null)

return;

//One or more items have been selected

object[] selectedItems = (object[]) arrSelection;

for (int i = 0; i < selectedItems.Length; ++i)

{

ICelItem item = (ICelItem)selectedItems[i];

System.Diagnostics.Debug.Print(item.Text);

}

}

void ThisProject_Inactive()

{

this.zenonCel.SelectionChangedEx -= new SelectionChangedExEventHandler(zenonCel_SelectionChangedEx);

this.zenonCel = null;

FreeObjects();

}

VB.NET

Private Sub ThisProject_Active()

Me.zenonCel = Me.Cel()

AddHandler Me.zenonCel.SelectionChangedEx, AddressOf zenonCel_SelectionChangedEx

End Sub

Private Sub zenonCel_SelectionChangedEx(ByRef arrSelection As Object)

If arrSelection Is Nothing Then

Return

End If

'One or more items have been selected

Dim selectedItems As Object() = DirectCast(arrSelection, Object())

For i As Integer = 0 To selectedItems.Length - 1

Dim item As ICelItem = DirectCast(selectedItems(i), ICelItem)

System.Diagnostics.Debug.Print(item.Text)

Next

End Sub

Private Sub ThisProject_Inactive()

RemoveHandler Me.zenonCel.SelectionChangedEx, AddressOf zenonCel_SelectionChangedEx

Me.zenonCel = Nothing

FreeObjects()

End Sub

VBA

Private WithEvents MyEvents As Cel

Private Sub MyEvents_SelectionChangedEx(arrSelection As Variant)

Dim i As Integer

Dim zCelEntry As CelItem

Stop

If IsEmpty(arrSelection) Then Exit Sub

For i = 0 To UBound(arrSelection)

Set zCelEntry = arrSelection(i)

Debug.Print zCelEntry.Text

Next i

End Sub

Private Sub Project_Active()

Set MyEvents = thisProject.Cel

End Sub


Cel-Dynamic properties

Manuel -> Interfaces de programmation -> Modèles d'objet -> Cel -> Cel-Dynamic properties

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Dynproperties

CDlgCel

Other topics in this chapter

CD_CCelFilter

CDlgCel


CD_CCelFilter

Manuel -> Interfaces de programmation -> Modèles d'objet -> Cel -> Cel-Dynamic properties -> CD_CCelFilter

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Type

VBA/VSTA Name

Display Name

Description

VT_BOOL

ShowSysEntriesForever

ShowSysEntriesForever

Description

VT_BSTR

FileName

FileName

With this property you get/set the file name for the different export mechanism.

VT_BSTR

VarFilter

VarFilter

"Filters for variable names, where system messages are masked out, as they are not linked to a variable.
Wildcards can be used here. Default = ""*"" (All variables)"

VT_BSTR

FilterTitel

FilterTitel

"Filters for the identifictaion of variables, where system messages are masked out, as they are not linked to a variable.
Wildcards can be used here. Default = ""*"""

VT_BOOL

IsFilterRT

IsFilterRT

"Displays the configuration dialog within the runtime, if set TRUE."

VT_BOOL

IsMatchCase

IsMatchCase

"Filter is case sensitive, if set TRUE. Otherwise the case sensitivity is ignored."

VT_BOOL

IsFromFiles

IsFromFiles

"Filter is applied to file entries, if set TRUE. Otherwise, the filter is applied to the entries from the memory.
Hint: The maximum amount of entries which should be filtered from the file is specified by the ""EntriesCount"" DynProperty."

VT_BOOL

IsReadAll

IsReadAll

VT_BOOL

IsAutoName

IsAutoName

VT_BOOL

IsAML

IsAML

"Prints the alarm list, if set TRUE. Otherwise the CEL list will be printed."

VT_BOOL

IsDBASE

IsDBASE

VT_BOOL

IsXML

IsXML

VT_BOOL

IsRelationTime

IsRelationTime

"Display of relative times (relative to selected entries), if set TRUE."

VT_BOOL

IsUnicode

IsUnicode

VT_BOOL

IsIncremental

IsIncremental

VT_BOOL

IsFilterExp

IsFilterExp

"Opens the list stopped, if set TRUE.
"

VT_BOOL

IsAcknowledged

IsAcknowledged

"Filters unacknowledged alarms, if set TRUE."

VT_BOOL

IsAscentOnly

IsAscentOnly

"Prints only current alarms, if set TRUE."

VT_UI2

EntriesCount

EntriesCount

"Specifies the maximum amount of entries that should be filtered from a file.
Hint: Only available, if the DynProperty ""IsFromFiles"" is set TRUE."

ZT_SCHRIFT

Font

Font

"Specifies the font that should be used.
The parameter that is passed, is the index of the font within the specified font list.
0 = Standard font
1 = Default font 1
...
5 = Default font 5
6 = User specified font 1
... = etc.
"

VT_BSTR

Classes

Classes

"Filters for alarm classes, where system messages are marked out, as they are not linked to a variable.
Multiple class numbers have to be seperated with a semicolon.
zFct.DynProperties(""PictFilter.Classes"") = ""1;2;"""

VT_BSTR

Groups

Groups

"Filters for alarm groups, where system messages are marked out, as they are not linked to a variable.
Multiple group numbers have to be seperated with a semicolon.
zFct.DynProperties(""PictFilter.Groups"") = ""1;2;"""

VT_BSTR

ResString

ResString

ZT_ZEIT

IncTime

IncTime

"Gets or sets the minimal time for current alarms in seconds.
Hint: Milliseconds can be specified with the ""mSeconds"" DynProperty."

VT_UI2

mSeconds

mSeconds

"Gets or sets the milliseconds in addition to the ""IncTime"" DynProperty."

More...

TimeFilter

TimeFilter

More...

ListInfo

ListInfo

VT_BSTR

ProjectNames

ProjectNames

"Specifies the names of the projects. Multiple project names are seperated with a semicolon.
zFct.DynProperties(""PictFilter.ProjectNames"") = ""PROJECT1;PROJECT2;"""

More...

TextFilter

TextFilter

More...

StatusFilter

StatusFilter

VT_BOOL

IsSQL

SQLBase

VT_BSTR

SQLBase

SQLBase

VT_BSTR

SQLTable

SQLTable

More...

SystemModelGroup

Groupes d'équipements

Lie l’élément à un modèle d’équipement. Cliquez sur le bouton ... pour ouvrir la boîte de sélection d’un groupe d’équipements.
L'affichage du groupe d’équipements sélectionné inclut également les niveaux supérieurs à ce groupe. Les niveaux sont séparés par un point dans l’affichage.

Dans le cas d’une sélection multiple, les groupes d’équipements individuels sont séparés par un point-virgule (;).

Plus de détails dans l’aide en ligne.

More...

RTMDIFilterScreen

RTMDIFilterScreen

VT_BSTR

Areas

Areas

VT_BOOL

IsGoneOnly

IsGoneOnly

VT_BOOL

NeedComment

NeedComment

VT_BOOL

NeedAlarmCause

NeedAlarmCause

Description

ZT_GUID

FilterPartGUID

FilterPartGUID

Description as text.

VT_BOOL

EditableInRT

EditableInRT

Description as text.


CDlgCel

Manuel -> Interfaces de programmation -> Modèles d'objet -> Cel -> Cel-Dynamic properties -> CDlgCel

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | VBA/VSTA Name | Display Name | Description
More... | QueryFilter | Status |


CelItem

Manuel -> Interfaces de programmation -> Modèles d'objet -> CelItem

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

This object deliveres all information stored with the cel item...You can read this like shown in the Sample, but ther some more, like the Username, the Computer, Value or something else...

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes

Examples

C#

public void MacroGetAllCelItems()

{

//Print text for each item

for (int i = 0; i < this.Cel().CelItems("*").Count; ++i )

System.Diagnostics.Debug.Print(this.Cel().CelItems("*").Item(i).Text);

}

VB.NET

Public Sub MacroGetAllCelItems()

'Print text for each item

For i As Integer = 0 To Me.Cel().CelItems("*").Count - 1

System.Diagnostics.Debug.Print(Me.Cel().CelItems("*").Item(i).Text)

Next

End Sub

VBA

'##########################################################
'### Get all CEL Items of the project ###
'##########################################################
Public Sub GetAllItems()
Dim i As Integer
Dim zCItem As CelItem
'get all items in memory...
For i = 0 To thisProject.Cel.CelItems("*").Count - 1
'set object to a specific item...
Set zCItem = thisProject.Cel.CelItems("*").Item(i)
'print time, text, Variablename and User-Comment of item to outputwindow
Debug.Print "Time: " & zCItem.Time
Debug.Print "Text: " & zCItem.Text
Debug.Print "Variable: " & zCItem.VariableName
Debug.Print "Comment: " & zCItem.Comment
Debug.Print "-----------------------------"
Next i
End Sub

Other topics in this chapter

CelItem-Properties

CelItem-Methods


CelItem-Properties

Manuel -> Interfaces de programmation -> Modèles d'objet -> CelItem -> CelItem-Properties

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
short | Class | Returns the class | not used | read only | yes | yes
BSTR | Comment | Returns the comment | not used | available | yes | yes
BSTR | Computer | Returns the computer name | not used | read only | yes | yes
short | Group | Returns the group | not used | read only | yes | yes
long | Status | Return the status | not used | read only | yes | yes
BSTR | TagName | Returns the Tagname of the variable | not used | read only | yes | yes
BSTR | Text | Returns the text | not used | read only | yes | yes
DATE | Time | Returns the time | not used | read only | yes | yes
BSTR | User | Returns the user | not used | read only | yes | yes
VARIANT | Value | Returns the value | not used | read only | yes | yes
BSTR | VariableName | Returns the name of the variable | not used | read only | yes | yes
BSTR | Tagname | Returns the Tagname of the variable | not used | read only | yes | yes

Other topics in this chapter

VariableName

Tagname

Text

Status

Value

Time

User

Computer

Comment

Class

Group


VariableName

Manuel -> Interfaces de programmation -> Modèles d'objet -> CelItem -> CelItem-Properties -> VariableName

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

The Name of the Variable as string

Datatype

VariableName() As String

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes


Tagname

Manuel -> Interfaces de programmation -> Modèles d'objet -> CelItem -> CelItem-Properties -> Tagname

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

Tagname() As BSTR

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes


Text

Manuel -> Interfaces de programmation -> Modèles d'objet -> CelItem -> CelItem-Properties -> Text

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

The Text of the actual entry...

Datatype

Text() As String

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes


Status

Manuel -> Interfaces de programmation -> Modèles d'objet -> CelItem -> CelItem-Properties -> Status

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

Status() As long

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes


Value

Manuel -> Interfaces de programmation -> Modèles d'objet -> CelItem -> CelItem-Properties -> Value

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

The Value of the Variable...

Datatype

Value() As VARIANT

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes


Time

Manuel -> Interfaces de programmation -> Modèles d'objet -> CelItem -> CelItem-Properties -> Time

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

The time when the entry was created...The Time is given as Double, but if you print it out, you will get the Date/Time format of the system...

Datatype

Time() As DATE

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes


User

Manuel -> Interfaces de programmation -> Modèles d'objet -> CelItem -> CelItem-Properties -> User

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

The user who was logged in during the entry has been added....

Datatype

User() As String

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes


Computer

Manuel -> Interfaces de programmation -> Modèles d'objet -> CelItem -> CelItem-Properties -> Computer

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

The Computername, where the Entry was raised...

Datatype

Computer() As String

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes


Comment

Manuel -> Interfaces de programmation -> Modèles d'objet -> CelItem -> CelItem-Properties -> Comment

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

A comment which can be changed by the user...

Datatype

Comment() As String

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes


Class

Manuel -> Interfaces de programmation -> Modèles d'objet -> CelItem -> CelItem-Properties -> Class

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Alarm/CEL class as number (the number which was set in the Alarm/CEL configuration...

Datatype

Class() As short

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes


Group

Manuel -> Interfaces de programmation -> Modèles d'objet -> CelItem -> CelItem-Properties -> Group

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Alarm/CEL group as number (the number which was set in the Alarm/CEL configuration...

Datatype

Group() As short

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes


CelItem-Methods

Manuel -> Interfaces de programmation -> Modèles d'objet -> CelItem -> CelItem-Methods

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
void | DynProperties [PUT] | - | available | available | yes | yes
VARIANT | DynProperties [GET] | - | available | available | yes | yes
VARIANT | DynPropertiesEnum [GET] | - | read only | read only | yes | yes
IPropParam | DynPropertyParam [GET] | Returns the PropParam objekt of the given DynProperty | read only | not used | yes | yes

Other topics in this chapter

DynPropertyParam [GET]

DynPropertiesEnum [GET]

DynProperties [GET]

DynProperties [PUT]


DynPropertyParam [GET]

Manuel -> Interfaces de programmation -> Modèles d'objet -> CelItem -> CelItem-Methods -> DynPropertyParam [GET]

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

DynPropertyParam [GET](BSTR bsPath) As PropParam

Availability

Environment | Available
Editor | read only
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


DynPropertiesEnum [GET]

Manuel -> Interfaces de programmation -> Modèles d'objet -> CelItem -> CelItem-Methods -> DynPropertiesEnum [GET]

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

DynPropertiesEnum(String bsPath) As VARIANT

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes

Parameters

A String which defines the entry point to get out all available properties of the object.
A blank String like that returns the first layer of properties:DynPropertiesEnum("")

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

bsPath As String

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Sub ReadDynProps()
End Sub


DynProperties [GET]

Manuel -> Interfaces de programmation -> Modèles d'objet -> CelItem -> CelItem-Methods -> DynProperties [GET]

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

DynProperties(String bsPath) As VARIANT

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

A String which defines the Property.
Example: "NetAktive"

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

bsPath As String

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Sub GetDynProp()
'Sample: GSet the Network Aktive Flag of the Project.
If MyWorkspace.ActiveDocument.DynProperties("NetActive") = True Then
'read the server - computername...
Debug.Print "Server: " & MyWorkspace.ActiveDocument.DynProperties("NetServer")
End If
End Sub


DynProperties [PUT]

Manuel -> Interfaces de programmation -> Modèles d'objet -> CelItem -> CelItem-Methods -> DynProperties [PUT]

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

DynProperties (String bsPath,VARIANT vValue) As void

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

A String which defines the Property.

Example: "NetAktive"

Returns a variant value depending to the property, it can be a boolean, a long, or a whole object.

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

bsPath As String

vValue As Variant

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Sub SetDynProp()
End Sub


CelItems

Manuel -> Interfaces de programmation -> Modèles d'objet -> CelItems

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

With this object it is possible to get all CEL entries are in memory. You are able to read all properties of each item...Hint:The Filter should be set always like "*", because this feature is implemented for future and does not work for now.

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes

Examples

C#

public void MacroGetAllCelItems()

{

//Print text for each item

for (int i = 0; i < this.Cel().CelItems("*").Count; ++i )

System.Diagnostics.Debug.Print(this.Cel().CelItems("*").Item(i).Text);

}

VB.NET

Public Sub MacroGetAllCelItems()

'Print text for each item

For i As Integer = 0 To Me.Cel().CelItems("*").Count - 1

System.Diagnostics.Debug.Print(Me.Cel().CelItems("*").Item(i).Text)

Next

End Sub

VBA

'##########################################################
'### Get all CEL Items of the project ###
'##########################################################
Public Sub GetAllItems()
Dim i As Integer
'get all items in memory...
For i = 0 To thisProject.Cel.CelItems("*").Count - 1
'print text of item to outputwindow
Debug.Print thisProject.Cel.CelItems("*").Item(i).Text
Next i
End Sub

'get specific item using the screen switch function as filter

'thisProject.Cel.CelItems("myFunction").Count - 1

Other topics in this chapter

CelItems-Properties

CelItems-Methods


CelItems-Properties

Manuel -> Interfaces de programmation -> Modèles d'objet -> CelItems -> CelItems-Properties

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
long | Count | Returns the amount of CelItems | read only | read only | yes | yes
ICel | Parent | Parent-object | read only | read only | yes | yes

Other topics in this chapter

Parent

Count


Parent

Manuel -> Interfaces de programmation -> Modèles d'objet -> CelItems -> CelItems-Properties -> Parent

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the parent object

Datatype

Parent() As Cel

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


Count

Manuel -> Interfaces de programmation -> Modèles d'objet -> CelItems -> CelItems-Properties -> Count

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

The method returns the number of available objects. This property is mostly used for the method Item to run through each single object.Hint: For running through entries care, that the minimum is 0 and the maximum is Count-1.

Datatype

Count() As long

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


CelItems-Methods

Manuel -> Interfaces de programmation -> Modèles d'objet -> CelItems -> CelItems-Methods

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
ICelItem | Item | Returns the CelItem at the given index | available | not used | yes | yes

Other topics in this chapter

Item


Item

Manuel -> Interfaces de programmation -> Modèles d'objet -> CelItems -> CelItems-Methods -> Item

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

To get a defined entry of the List.You can read all available properties like the Text or the Name of the linked Variable, the Username and so on...

Datatype

Item(VARIANT vIndex) As CelItem

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


ColorPalettes

Manuel -> Interfaces de programmation -> Modèles d'objet -> ColorPalettes

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Examples

C#

public void MacroReadColorPaletteDynProperties()

{

/*

* ColorPalettes are accessed via DynamicProperties, a list of those can be found in the help file

* Or you can display them via the Method get_DynPropertiesEnum("name");

* The following example shows how to read some of the dynamic properties

*/

IColorPalettes zenonPalettes = this.ActiveDocument.ColorPalettes();

uint count = (uint)zenonPalettes.get_DynProperties("Palette[-1]");

for (int i = 0; i < count; ++i)

{

//Get the palette name as string

string name = (string)zenonPalettes.get_DynProperties("Palette[" + i.ToString() + "].PaletteName");

//Get the palette entries as string

string entries = (string)zenonPalettes.get_DynProperties("Palette[" + i.ToString() + "].PaletteColors");

//Print result

System.Diagnostics.Debug.Print("{0}: {1}", name, entries);

}

}

public void MacroWriteColorPaletteDynProperties()

{

/*

* ColorPalettes are accessed via DynamicProperties, a list of those can be found in the help file

* Or you can display them via the Method get_DynPropertiesEnum("name");

* The following example shows how to write some of the dynamic properties

*/

IColorPalettes zenonPalettes = this.ActiveDocument.ColorPalettes();

//Create a new palette for example

zenonPalettes.CreateDynProperty("Palette");

//Define two colors for the new palette

string colors = "#FF0000;#0000FF";

uint count = (uint)zenonPalettes.get_DynProperties("Palette[-1]");

zenonPalettes.set_DynProperties("Palette[" + (count - 1).ToString() + "].PaletteColors", colors);

zenonPalettes.set_DynProperties("Palette[" + (count - 1).ToString() + "].PaletteName", "VSTA_Test_Palette");

}

VB.NET

Public Sub MacroReadColorPaletteDynProperties()

'

' * ColorPalettes are accessed via DynamicProperties, a list of those can be found in the help file

' * Or you can display them via the Method get_DynPropertiesEnum("name");

' * The following example shows how to read some of the dynamic properties

'

Dim zenonPalettes As IColorPalettes = Me.ActiveDocument.ColorPalettes()

Dim count As UInteger = CUInt(zenonPalettes.get_DynProperties("Palette[-1]"))

For i As Integer = 0 To count - 1

'Get the palette name as string

Dim name As String = DirectCast(zenonPalettes.get_DynProperties("Palette[" & i.ToString() & "].PaletteName"), String)

'Get the palette entries as string

Dim entries As String = DirectCast(zenonPalettes.get_DynProperties("Palette[" & i.ToString() & "].PaletteColors"), String)

'Print result

System.Diagnostics.Debug.Print("{0}: {1}", name, entries)

Next

End Sub

Public Sub MacroWriteColorPaletteDynProperties()

'

' * ColorPalettes are accessed via DynamicProperties, a list of those can be found in the help file

' * Or you can display them via the Method get_DynPropertiesEnum("name");

' * The following example shows how to write some of the dynamic properties

'

Dim zenonPalettes As IColorPalettes = Me.ActiveDocument.ColorPalettes()

'Create a new palette for example

zenonPalettes.CreateDynProperty("Palette")

'Define two colors for the new palette

Dim colors As String = "#FF0000;#0000FF"

Dim count As UInteger = CUInt(zenonPalettes.get_DynProperties("Palette[-1]"))

zenonPalettes.set_DynProperties("Palette[" & (count - 1).ToString() & "].PaletteColors", colors)

zenonPalettes.set_DynProperties("Palette[" & (count - 1).ToString() & "].PaletteName", "VSTA_Test_Palette")

End Sub

VBA

Sub Read_ColorPalettes_DynProps()
Dim zPRJ As Project
Dim vProps As Variant

Dim i As Integer

Set zPRJ = MyWorkspace.ActiveDocument
'get all DynProperties of the actual object (ColorPalettes)
vProps = zPRJ.ColorPalettes.DynPropertiesEnum("")
'Print informations of DynProperties into output window
For i = 0 To UBound(vProps)
Debug.Print vProps(i)
Next i
'Result:
'Palette,SUBITEM,Palette,
'ColorNames,String,Color name,

vProps = zPRJ.ColorPalettes.DynPropertiesEnum("Palette")
'Print informations of DynProperties into output window
For i = 0 To UBound(vProps)
Debug.Print vProps(i)
Next i
'Result:
'PaletteColors,String,Colors of the palette,
'PaletteName,String,Palette name,

Debug.Print zPRJ.ColorPalettes.DynProperties("ColorNames")
'Result:
'Color_01;Color_02;Color_03;Color_04;Colo5_05;

For i = 0 To zPRJ.ColorPalettes.DynProperties("Palette[-1]")
Debug.Print zPRJ.ColorPalettes.DynProperties("Palette[" & i & "].PaletteName")
Debug.Print zPRJ.ColorPalettes.DynProperties("Palette[" & i & "].PaletteColors")
Next i
'Result:
'Light
'#FFFFFF;#FFFF00;#FFC0CB;#AFEEEE;#00005E;
'Dark
'#000000;#0000FF;#8B0000;#388E8E;#E6E6FA;

'In the sample Project there were 2 colorpalettes with 5 colors each...
End Sub

Sub Write_ColorPalettes_DynProps()
Dim zPRJ As Project
Dim strColors As String
Dim nCount As Integer

Set zPRJ = MyWorkspace.ActiveDocument

'create a new ColorPalette
Call zPRJ.ColorPalettes.CreateDynProperty("Palette")

'define a set of 5 colors as a string...
strColors = "#FFEEDD;#FF8800;#FFC5DB;#AFFE12;#01205F;"

'get number of ColorPalettes
nCount = zPRJ.ColorPalettes.DynProperties("Palette[-1]")

'set name of Palette...
zPRJ.ColorPalettes.DynProperties("Palette[" & nCount - 1 & "].PaletteName") = "VBA_Colors_" & nCount
'set defined colors...
zPRJ.ColorPalettes.DynProperties("Palette[" & nCount - 1 & "].PaletteColors") = strColors

End Sub

Sub AddNewColor()
Dim zPRJ As Project
Dim vColors As Variant
Dim i As Integer
Dim strColor As String

Set zPRJ = MyWorkspace.ActiveDocument

'get actual color-names
vColors = Split(zPRJ.ColorPalettes.DynProperties("ColorNames"), ";")
For i = 0 To UBound(vColors) - 1
Debug.Print i & ": " & vColors(i)
Next i

'add a new Color...
strColor = zPRJ.ColorPalettes.DynProperties("ColorNames")
strColor = strColor & "Color_" & Format(UBound(vColors) + 1, "00") & ";"
zPRJ.ColorPalettes.DynProperties("ColorNames") = strColor

End Sub

Other topics in this chapter

ColorPalettes-Properties

ColorPalettes-Methods

ColorPalettes-Events

ColorPalettes-Dynamic properties


ColorPalettes-Properties

Manuel -> Interfaces de programmation -> Modèles d'objet -> ColorPalettes -> ColorPalettes-Properties

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
long | Count | Returns the amount of color palettes. | read only | read only | yes | yes

Other topics in this chapter

Count


Count

Manuel -> Interfaces de programmation -> Modèles d'objet -> ColorPalettes -> ColorPalettes-Properties -> Count

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

Count() As long

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


ColorPalettes-Methods

Manuel -> Interfaces de programmation -> Modèles d'objet -> ColorPalettes -> ColorPalettes-Methods

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description |  | Editor | Runtime | VBA | VSTA
VARIANT_BOOL | CreateDynProperty | - |  | available | not used | yes | yes
void | DynProperties [PUT] |  | available |  | available | yes |  | yes
VARIANT | DynProperties [GET] |  | available |  | available | yes |  | yes
VARIANT | DynPropertiesEnum [GET] |  | read only |  | available | yes |  | yes
VARIANT_BOOL | Export | Exports the selected object to a XML file |  | available | not used | yes | yes
VARIANT_BOOL | Import | Imports the selected XML file |  | available | not used | yes | yes
VARIANT_BOOL | SingleExport | Exports the Item with given Name oder Index |  | available | not used | yes | yes
IPropParam | DynPropertyParam [GET] | Returns the PropParam objekt of the given DynProperty | read only |  | available | yes |  | yes
OLE_COLOR | GetPaletteColor |  | available |  | read only | yes |  | yes
long | GetActivePaletteIndex |  | read only |  | read only | yes |  | yes

Other topics in this chapter

SingleExport

Export

Import

DynPropertyParam [GET]

DynPropertiesEnum [GET]

DynProperties [GET]

DynProperties [PUT]

CreateDynProperty

GetPaletteColor

GetActivePaletteIndex


SingleExport

Manuel -> Interfaces de programmation -> Modèles d'objet -> ColorPalettes -> ColorPalettes-Methods -> SingleExport

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Export a single ColorPalette to an XML File.

Datatype

SingleExport(VARIANT vIndexOrName,String bsFileName) As Boolean

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


Export

Manuel -> Interfaces de programmation -> Modèles d'objet -> ColorPalettes -> ColorPalettes-Methods -> Export

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

Export(String bsFileName) As Boolean

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

Filename (path) as string of the xml file to export.

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

bsFileName As String

Examples

C#

public void MacroExportColorPalettes()

{

IProject zenonProject = this.ActiveDocument;

if(zenonProject.ColorPalettes().Export(@"C:\Temp\ColorPalettes.xml"))

System.Diagnostics.Debug.Print("Export successful");

else

System.Diagnostics.Debug.Print("Export failed");

}

VB.NET

Public Sub MacroExportColorPalettes()

Dim zenonProject As IProject = Me.ActiveDocument

If zenonProject.ColorPalettes().Export("C:\Temp\ColorPalettes.xml") Then

System.Diagnostics.Debug.Print("Export successful")

Else

System.Diagnostics.Debug.Print("Export failed")

End If

End Sub

VBA

Private Sub ExportColorPalettes()
Dim zPRJ As Project
Dim bResult As Boolean

'get active project...
Set zPRJ = MyWorkspace.ActiveDocument

'export color palettes...
bResult = zPRJ.ColorPalettes.Export("C:\Temp\ColorPalettes.xml")

'check result, write to output-window...
If bResult = False Then
ApplicationED.DebugPrint "VBA Export of ColorPalettes failed.", tpErr
Else
ApplicationED.DebugPrint "VBA ColorPalettes exported.", tpMsg
End If

End Sub


Import

Manuel -> Interfaces de programmation -> Modèles d'objet -> ColorPalettes -> ColorPalettes-Methods -> Import

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Imports settings using a xml file. New settings are added, existing settings will be replaced.

Datatype

Import(String bsFileName) As Boolean

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

Filename (path) as string of the xml file to import.

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

bsFileName As String

Examples

C#

public void MacroImportColorPalettes()

{

IProject zenonProject = this.ActiveDocument;

if (zenonProject.ColorPalettes().Import(@"C:\Temp\ColorPalettes.xml"))

System.Diagnostics.Debug.Print("Import successful");

else

System.Diagnostics.Debug.Print("Import failed");

}

VB.NET

Public Sub MacroImportColorPalettes()

Dim zenonProject As IProject = Me.ActiveDocument

If zenonProject.ColorPalettes().Import("C:\Temp\ColorPalettes.xml") Then

System.Diagnostics.Debug.Print("Import successful")

Else

System.Diagnostics.Debug.Print("Import failed")

End If

End Sub

VBA

Private Sub ImportColorPalettes()
Dim zPRJ As Project
Dim bResult As Boolean

'get active project...
Set zPRJ = MyWorkspace.ActiveDocument

'import color palettes...
bResult = zPRJ.ColorPalettes.Import("C:\Temp\ColorPalettes.xml")

'check result, write to output-window...
If bResult = False Then
ApplicationED.DebugPrint "VBA Import of ColorPalettes failed.", tpErr
Else
ApplicationED.DebugPrint "VBA ColorPalettes imported.", tpMsg
End If

End Sub


DynPropertyParam [GET]

Manuel -> Interfaces de programmation -> Modèles d'objet -> ColorPalettes -> ColorPalettes-Methods -> DynPropertyParam [GET]

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

DynPropertyParam [GET](BSTR bsPath) As IPropParam

Availability

Environment | Available
Editor | read only
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


DynPropertiesEnum [GET]

Manuel -> Interfaces de programmation -> Modèles d'objet -> ColorPalettes -> ColorPalettes-Methods -> DynPropertiesEnum [GET]

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

DynPropertiesEnum(String bsPath) As VARIANT

Availability

Environment | Available
Editor | read only
Runtime | available
VBA | yes
VSTA | yes

Parameters

A String which defines the entry point to get out all available properties of the object.
A blank String like that returns the first layer of properties:

DynPropertiesEnum("")

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

bsPath As String

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Sub Read_ColorPalettes_DynProps()
Dim zPRJ As Project
Dim vProps As Variant

Dim i As Integer

Set zPRJ = MyWorkspace.ActiveDocument
'get all DynProperties of the actual object (ColorPalettes)
vProps = zPRJ.ColorPalettes.DynPropertiesEnum("")
'Print informations of DynProperties into output window
For i = 0 To UBound(vProps)
Debug.Print vProps(i)
Next i
'Result:
'Palette,SUBITEM,Palette,
'ColorNames,String,Color name,

vProps = zPRJ.ColorPalettes.DynPropertiesEnum("Palette")
'Print informations of DynProperties into output window
For i = 0 To UBound(vProps)
Debug.Print vProps(i)
Next i
'Result:
'PaletteColors,String,Colors of the palette,
'PaletteName,String,Palette name,

Debug.Print zPRJ.ColorPalettes.DynProperties("ColorNames")
'Result:
'Color_01;Color_02;Color_03;Color_04;Colo5_05;

For i = 0 To zPRJ.ColorPalettes.DynProperties("Palette[-1]")
Debug.Print zPRJ.ColorPalettes.DynProperties("Palette[" & i & "].PaletteName")
Debug.Print zPRJ.ColorPalettes.DynProperties("Palette[" & i & "].PaletteColors")
Next i
'Result:
'Light
'#FFFFFF;#FFFF00;#FFC0CB;#AFEEEE;#00005E;
'Dark
'#000000;#0000FF;#8B0000;#388E8E;#E6E6FA;

'In the sample Project there were 2 colorpalettes with 5 colors each...
End Sub


DynProperties [GET]

Manuel -> Interfaces de programmation -> Modèles d'objet -> ColorPalettes -> ColorPalettes-Methods -> DynProperties [GET]

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

DynProperties(String bsPath) As VARIANT

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

A String which defines the Property.
Example: "ColorNames"

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

bsPath As String

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Sub Read_ColorPalettes_DynProps()
Dim zPRJ As Project
Dim vProps As Variant

Dim i As Integer

Set zPRJ = MyWorkspace.ActiveDocument
'get all DynProperties of the actual object (ColorPalettes)
vProps = zPRJ.ColorPalettes.DynPropertiesEnum("")
'Print informations of DynProperties into output window
For i = 0 To UBound(vProps)
Debug.Print vProps(i)
Next i
'Result:
'Palette,SUBITEM,Palette,
'ColorNames,String,Color name,

vProps = zPRJ.ColorPalettes.DynPropertiesEnum("Palette")
'Print informations of DynProperties into output window
For i = 0 To UBound(vProps)
Debug.Print vProps(i)
Next i
'Result:
'PaletteColors,String,Colors of the palette,
'PaletteName,String,Palette name,

Debug.Print zPRJ.ColorPalettes.DynProperties("ColorNames")
'Result:
'Color_01;Color_02;Color_03;Color_04;Colo5_05;

For i = 0 To zPRJ.ColorPalettes.DynProperties("Palette[-1]")
Debug.Print zPRJ.ColorPalettes.DynProperties("Palette[" & i & "].PaletteName")
Debug.Print zPRJ.ColorPalettes.DynProperties("Palette[" & i & "].PaletteColors")
Next i
'Result:
'Light
'#FFFFFF;#FFFF00;#FFC0CB;#AFEEEE;#00005E;
'Dark
'#000000;#0000FF;#8B0000;#388E8E;#E6E6FA;

'In the sample Project there were 2 colorpalettes with 5 colors each...
End Sub


DynProperties [PUT]

Manuel -> Interfaces de programmation -> Modèles d'objet -> ColorPalettes -> ColorPalettes-Methods -> DynProperties [PUT]

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

DynProperties (String bsPath,VARIANT vValue) As void

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

A String which defines the Property.
Example: "ColorNames"

Returns a variant value depending to the property, it can be a boolean, a long, or a whole object.

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

bsPath As String

vValue As Variant

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Sub Write_ColorPalettes_DynProps()
Dim zPRJ As Project
Dim strColors As String
Dim nCount As Integer

Set zPRJ = MyWorkspace.ActiveDocument

'create a new ColorPalette
Call zPRJ.ColorPalettes.CreateDynProperty("Palette")

'define a set of 5 colors as a string...
strColors = "#FFEEDD;#FF8800;#FFC5DB;#AFFE12;#01205F;"

'get number of ColorPalettes
nCount = zPRJ.ColorPalettes.DynProperties("Palette[-1]")

'set name of Palette...
zPRJ.ColorPalettes.DynProperties("Palette[" & nCount - 1 & "].PaletteName") = "VBA_Colors_" & nCount
'set defined colors...
zPRJ.ColorPalettes.DynProperties("Palette[" & nCount - 1 & "].PaletteColors") = strColors

End Sub

Sub AddNewColor()
Dim zPRJ As Project
Dim vColors As Variant
Dim i As Integer
Dim strColor As String

Set zPRJ = MyWorkspace.ActiveDocument

'get actual color-names
vColors = Split(zPRJ.ColorPalettes.DynProperties("ColorNames"), ";")
For i = 0 To UBound(vColors) - 1
Debug.Print i & ": " & vColors(i)
Next i

'add a new Color...
strColor = zPRJ.ColorPalettes.DynProperties("ColorNames")
strColor = strColor & "Color_" & Format(UBound(vColors) + 1, "00") & ";"
zPRJ.ColorPalettes.DynProperties("ColorNames") = strColor

End Sub


CreateDynProperty

Manuel -> Interfaces de programmation -> Modèles d'objet -> ColorPalettes -> ColorPalettes-Methods -> CreateDynProperty

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

CreateDynProperty(String bsPath) As Boolean

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

A String which defines the Property.
Example: "Palette"

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

bsPath As String

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Sub Write_ColorPalettes_DynProps()
Dim zPRJ As Project
Dim strColors As String
Dim nCount As Integer

Set zPRJ = MyWorkspace.ActiveDocument

'create a new ColorPalette
Call zPRJ.ColorPalettes.CreateDynProperty("Palette")

'define a set of 5 colors as a string...
strColors = "#FFEEDD;#FF8800;#FFC5DB;#AFFE12;#01205F;"

'get number of ColorPalettes
nCount = zPRJ.ColorPalettes.DynProperties("Palette[-1]")

'set name of Palette...
zPRJ.ColorPalettes.DynProperties("Palette[" & nCount - 1 & "].PaletteName") = "VBA_Colors_" & nCount
'set defined colors...
zPRJ.ColorPalettes.DynProperties("Palette[" & nCount - 1 & "].PaletteColors") = strColors

End Sub

Sub AddNewColor()
Dim zPRJ As Project
Dim vColors As Variant
Dim i As Integer
Dim strColor As String

Set zPRJ = MyWorkspace.ActiveDocument

'get actual color-names
vColors = Split(zPRJ.ColorPalettes.DynProperties("ColorNames"), ";")
For i = 0 To UBound(vColors) - 1
Debug.Print i & ": " & vColors(i)
Next i

'add a new Color...
strColor = zPRJ.ColorPalettes.DynProperties("ColorNames")
strColor = strColor & "Color_" & Format(UBound(vColors) + 1, "00") & ";"
zPRJ.ColorPalettes.DynProperties("ColorNames") = strColor

End Sub


GetPaletteColor

Manuel -> Interfaces de programmation -> Modèles d'objet -> ColorPalettes -> ColorPalettes-Methods -> GetPaletteColor

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

The method GetPaletteColor can be used (RT & Editor) to determine the value of the color of a color palette. The color palette parameter is from type variant and can be filled with either an index or the name of the color palette. The returned color will represent the color value. NOTE: If either the given color palette (name or index) or the ColorIndex are incorrect or not existing the returned value will be RGB(0,0,0) = White.

Datatype

GetPaletteColor(VARIANT vIndexOrName, long ColorIndex) As OLE_COLOR

Availability

Environment | Available
Editor | available
Runtime | read only
VBA | yes
VSTA | yes

Parameters

C#

VB.NET

VBA

Examples

C#

using System;

using System.Collections.Generic;

using System.Linq;

using System.Text;

using zenOn;

namespace WorkspaceAddin

{

class FarbPalette

{

private int colorindex = 0;

public void ColorTest(zenOn.IProject zenonproject)

{

if (zenonproject!=null)

{

int PaletteCount = zenonproject.ColorPalettes().Count;

int index = zenonproject.ColorPalettes().GetActivePaletteIndex();

System.Diagnostics.Debug.WriteLine("Palette count: " + PaletteCount.ToString());

System.Diagnostics.Debug.WriteLine("Active Palette Index: : " + index.ToString() + " Name: " + zenonproject.ColorPalettes().get_DynProperties("Palette[" + index.ToString() + "].PaletteName"));

}

}

public void ColorCycle(zenOn.IProject zenonproject)

{

if (zenonproject != null)

{

int index = zenonproject.ColorPalettes().GetActivePaletteIndex();

uint uiColor = zenonproject.ColorPalettes().GetPaletteColor(index, colorindex);

colorindex++;

if (colorindex > 4)

{

colorindex = 0;

}

zenonproject.DynPictures().Item(0).Elements().Item(0).BackColor = uiColor;

}

}

}

}

VB.NET

VBA

Attribute VB_Name = "FarbPalette" Option Explicit Private m_ColorIndex As Long Public Sub m_ColorTest(zenonproject As IProject) If (zenonproject Is Nothing) Then Exit Sub If (zenonproject.Parent.Parent.Name <> "zenon Supervisor") Then Stop Dim index As Long Debug.Print "Palette Count: " + Trim(Str(zenonproject.ColorPalettes.Count)) index = zenonproject.ColorPalettes.GetActivePaletteIndex() Debug.Print "Active Palette Index: " + Trim(Str(index)) + " Name: "; zenonproject.ColorPalettes.DynProperties("Palette[" & Trim(Str(index)) & "].PaletteName") End Sub Public Sub m_CycleColor(zenonproject As IProject) Dim color As OLE_COLOR Dim index As Long If (zenonproject Is Nothing) Then Exit Sub If (zenonproject.Parent.Parent.Name <> "zenon Supervisor") Then Stop index = zenonproject.ColorPalettes.GetActivePaletteIndex() color = zenonproject.ColorPalettes.GetPaletteColor(index, m_ColorIndex) m_ColorIndex = m_ColorIndex + 1 If (m_ColorIndex > 4) Then m_ColorIndex = 0 zenonproject.DynPictures.Item(0).Elements.Item(0).BackColor = color End Sub


GetActivePaletteIndex

Manuel -> Interfaces de programmation -> Modèles d'objet -> ColorPalettes -> ColorPalettes-Methods -> GetActivePaletteIndex

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

The method GetActivePaletteIndex (RT & Editor) will return the index of the currently active color palette.

Datatype

GetActivePaletteIndex() As long

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes

Parameters

C#

VB.NET

VBA

Examples

C#

using System;

using System.Collections.Generic;

using System.Linq;

using System.Text;

using zenOn;

namespace WorkspaceAddin

{

class FarbPalette

{

private int colorindex = 0;

public void ColorTest(zenOn.IProject zenonproject)

{

if (zenonproject!=null)

{

int PaletteCount = zenonproject.ColorPalettes().Count;

int index = zenonproject.ColorPalettes().GetActivePaletteIndex();

System.Diagnostics.Debug.WriteLine("Palette count: " + PaletteCount.ToString());

System.Diagnostics.Debug.WriteLine("Active Palette Index: : " + index.ToString() + " Name: " + zenonproject.ColorPalettes().get_DynProperties("Palette[" + index.ToString() + "].PaletteName"));

}

}

public void ColorCycle(zenOn.IProject zenonproject)

{

if (zenonproject != null)

{

int index = zenonproject.ColorPalettes().GetActivePaletteIndex();

uint uiColor = zenonproject.ColorPalettes().GetPaletteColor(index, colorindex);

colorindex++;

if (colorindex > 4)

{

colorindex = 0;

}

zenonproject.DynPictures().Item(0).Elements().Item(0).BackColor = uiColor;

}

}

}

}

VB.NET

VBA

Attribute VB_Name = "FarbPalette" Option Explicit Private m_ColorIndex As Long Public Sub m_ColorTest(zenonproject As IProject) If (zenonproject Is Nothing) Then Exit Sub If (zenonproject.Parent.Parent.Name <> "zenon Supervisor") Then Stop Dim index As Long Debug.Print "Palette Count: " + Trim(Str(zenonproject.ColorPalettes.Count)) index = zenonproject.ColorPalettes.GetActivePaletteIndex() Debug.Print "Active Palette Index: " + Trim(Str(index)) + " Name: "; zenonproject.ColorPalettes.DynProperties("Palette[" & Trim(Str(index)) & "].PaletteName") End Sub Public Sub m_CycleColor(zenonproject As IProject) Dim color As OLE_COLOR Dim index As Long If (zenonproject Is Nothing) Then Exit Sub If (zenonproject.Parent.Parent.Name <> "zenon Supervisor") Then Stop index = zenonproject.ColorPalettes.GetActivePaletteIndex() color = zenonproject.ColorPalettes.GetPaletteColor(index, m_ColorIndex) m_ColorIndex = m_ColorIndex + 1 If (m_ColorIndex > 4) Then m_ColorIndex = 0 zenonproject.DynPictures.Item(0).Elements.Item(0).BackColor = color End Sub


ColorPalettes-Events

Manuel -> Interfaces de programmation -> Modèles d'objet -> ColorPalettes -> ColorPalettes-Events

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
void | ColorPaletteSwitched | This event is fired when the active color palette has been switched. | not used | available | yes | yes

Other topics in this chapter

ColorPaletteSwitched


ColorPaletteSwitched

Manuel -> Interfaces de programmation -> Modèles d'objet -> ColorPalettes -> ColorPalettes-Events -> ColorPaletteSwitched

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

This event includes the index of the color palette which is now active. This index can be used to update the colors of any custom coded objects.

Datatype

ColorPaletteSwitched(long NewActivePaletteIndex) As void

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

VB.NET

VBA

Examples

C#

VB.NET

VBA


ColorPalettes-Dynamic properties

Manuel -> Interfaces de programmation -> Modèles d'objet -> ColorPalettes -> ColorPalettes-Dynamic properties

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Dynproperties

Color palettes

Other topics in this chapter

CD_CPalette

Color palettes


CD_CPalette

Manuel -> Interfaces de programmation -> Modèles d'objet -> ColorPalettes -> ColorPalettes-Dynamic properties -> CD_CPalette

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | VBA/VSTA Name | Display Name | Description
VT_BSTR | PaletteName | Nom palette | Nom de la palette. Par défaut : Palette de couleur suivi d’un numéro d’indice, par exemple Palette de couleur 1. Plus de détails dans l’aide en ligne.
VT_BSTR | PaletteColors | Couleurs de la palette |


Color palettes

Manuel -> Interfaces de programmation -> Modèles d'objet -> ColorPalettes -> ColorPalettes-Dynamic properties -> Color palettes

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | VBA/VSTA Name | Display Name | Description
VT_BSTR | ColorNames | Nom couleur |
More... | Palette | Palette de couleurs | Contient les propriétés de la palette. Plus de détails dans l’aide en ligne.


ComplexItem

Manuel -> Interfaces de programmation -> Modèles d'objet -> ComplexItem

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

This object represents the items of a structure datatype.

Availability

Environment | Available
Editor | available
Runtime | read only
VBA | yes
VSTA | yes

Examples

C#

public void MacroComplexItem()

{

IVarTypes zenonVarTypes = this.ActiveDocument.VarTypes();

for (int i = 0; i < zenonVarTypes.Count; ++i)

{

//Check if the Datatype has a complex sub-element

if (zenonVarTypes.Item(i).IsSimple() == 0 && zenonVarTypes.Item(i).SubItemCount() > 0)

{

for(int j = 0; j < zenonVarTypes.Item(i).SubItemCount(); ++j)

{

//If so, print every sub elements name, NOTE: Other dynamic properties can be

//seen at the dynamic properties page of this object

IComplexItem zenonComplexItem = zenonVarTypes.Item(i).SubItem(j);

System.Diagnostics.Debug.Print(zenonComplexItem.get_DynProperties("Name").ToString());

}

}

}

}

VB.NET

Public Sub MacroComplexItem()

Dim zenonVarTypes As IVarTypes = Me.ActiveDocument.VarTypes()

For i As Integer = 0 To zenonVarTypes.Count - 1

'Check if the Datatype has a complex sub-element

If zenonVarTypes.Item(i).IsSimple() = 0 AndAlso zenonVarTypes.Item(i).SubItemCount() > 0 Then

For j As Integer = 0 To zenonVarTypes.Item(i).SubItemCount() - 1

'If so, print every sub elements name, NOTE: Other dynamic properties can be

'seen at the dynamic properties page of this object

Dim zenonComplexItem As IComplexItem = zenonVarTypes.Item(i).SubItem(j)

System.Diagnostics.Debug.Print(zenonComplexItem.get_DynProperties("Name").ToString())

Next

End If

Next

End Sub

VBA

Public Sub test_IComplexItem()
Dim zComplexItem As ComplexItem
Dim zVarTypes As VarTypes
Dim i As Integer, j As Variant, k As Long

Set zVarTypes = thisProject.VarTypes
For i = 0 To zVarTypes.Count - 1
If (zVarTypes.Item(i).IsSimple = 0 And zVarTypes.Item(i).SubItemCount > 1) Then
Set zComplexItem = zVarTypes.Item(i).SubItem(1)

'write properties
zComplexItem.DynProperties("BitOffset") = 2 'EDwriteable
zComplexItem.DynProperties("Description") = "YourDescr..." 'EDwriteable
zComplexItem.DynProperties("Dim1") = 2 'EDwriteable
zComplexItem.DynProperties("Dim2") = 2 'EDwriteable
zComplexItem.DynProperties("Dim3") = 2 'EDwriteable
Debug.Print zComplexItem.DynProperties("HasRef") 'ReadOnly
zComplexItem.DynProperties("ID_DataTyp") = 19 'EDwriteable
Debug.Print zComplexItem.DynProperties("ItemIndex") 'ReadOnly
zComplexItem.DynProperties("Name") = "YourName" 'EDwriteable
zComplexItem.DynProperties("Offset") = 10 'EDwriteable

'read properties
Debug.Print zComplexItem.DynProperties("BitOffset")
Debug.Print zComplexItem.DynProperties("Description")
Debug.Print zComplexItem.DynProperties("Dim1")
Debug.Print zComplexItem.DynProperties("Dim2")
Debug.Print zComplexItem.DynProperties("Dim3")
Debug.Print zComplexItem.DynProperties("HasRef")
Debug.Print zComplexItem.DynProperties("ID_DataTyp")
Debug.Print zComplexItem.DynProperties("ItemIndex")
Debug.Print zComplexItem.DynProperties("Name")
Debug.Print zComplexItem.DynProperties("Offset")

'Methods
zComplexItem.MoveItemDown
zComplexItem.MoveItemUp
End If
Next i
End Sub

Other topics in this chapter

ComplexItem-Properties

ComplexItem-Methods


ComplexItem-Properties

Manuel -> Interfaces de programmation -> Modèles d'objet -> ComplexItem -> ComplexItem-Properties

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
IVarType | Parent |  | read only | read only | yes | yes

Other topics in this chapter

Parent


Parent

Manuel -> Interfaces de programmation -> Modèles d'objet -> ComplexItem -> ComplexItem-Properties -> Parent

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the parent object

Datatype

Parent() As VarType

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


ComplexItem-Methods

Manuel -> Interfaces de programmation -> Modèles d'objet -> ComplexItem -> ComplexItem-Methods

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
void | DynProperties [PUT] | - | available | available | yes | yes
VARIANT | DynProperties [GET] | - | available | available | yes | yes
VARIANT | DynPropertiesEnum [GET] | - | read only | read only | yes | yes
VARIANT_BOOL | MoveItemDown | - | available | not used | yes | yes
VARIANT_BOOL | MoveItemUp | - | available | not used | yes | yes
IPropParam | DynPropertyParam [GET] | Returns the PropParam objekt of the given DynProperty | read only | not used | yes | yes

Other topics in this chapter

DynPropertyParam [GET]

DynPropertiesEnum [GET]

DynProperties [GET]

DynProperties [PUT]

MoveItemUp

MoveItemDown


DynPropertyParam [GET]

Manuel -> Interfaces de programmation -> Modèles d'objet -> ComplexItem -> ComplexItem-Methods -> DynPropertyParam [GET]

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

DynPropertyParam [GET](BSTR bsPath) As PropParam

Availability

Environment | Available
Editor | read only
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


DynPropertiesEnum [GET]

Manuel -> Interfaces de programmation -> Modèles d'objet -> ComplexItem -> ComplexItem-Methods -> DynPropertiesEnum [GET]

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

DynPropertiesEnum(String bsPath) As VARIANT

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes

Parameters

A String which defines the entry point to get out all available properties of the object.
A blank String like that returns the first layer of properties:

DynPropertiesEnum("")

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

bsPath As String

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Sub ReadDynProps()
End Sub


DynProperties [GET]

Manuel -> Interfaces de programmation -> Modèles d'objet -> ComplexItem -> ComplexItem-Methods -> DynProperties [GET]

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

DynProperties(String bsPath) As VARIANT

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

A String which defines the Property.
Example: "NetAktive"

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

bsPath As String

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Sub GetDynProp()
'Sample: GSet the Network Aktive Flag of the Project.
If MyWorkspace.ActiveDocument.DynProperties("NetActive") = True Then
'read the server - computername...
Debug.Print "Server: " & MyWorkspace.ActiveDocument.DynProperties("NetServer")
End If
End Sub


DynProperties [PUT]

Manuel -> Interfaces de programmation -> Modèles d'objet -> ComplexItem -> ComplexItem-Methods -> DynProperties [PUT]

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

DynProperties (String bsPath,VARIANT vValue) As void

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

A String which defines the Property.
Example: "NetAktive"

Returns a variant value depending to the property, it can be a boolean, a long, or a whole object.

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

bsPath As String

vValue As Variant

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Sub SetDynProp()
End Sub


MoveItemUp

Manuel -> Interfaces de programmation -> Modèles d'objet -> ComplexItem -> ComplexItem-Methods -> MoveItemUp

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

move the ComplexItem one up in the Tree...

Datatype

MoveItemUp() As Boolean

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

public void MacroComplexItemMoveDown()

{

IVarTypes zenonVarTypes = this.ActiveDocument.VarTypes();

for (int i = 0; i < zenonVarTypes.Count; ++i)

{

//Check if the Datatype has a complex sub-element

if (zenonVarTypes.Item(i).IsSimple() == 0 && zenonVarTypes.Item(i).SubItemCount() > 0)

{

for (int j = 0; j < zenonVarTypes.Item(i).SubItemCount(); ++j)

{

//If so, move it down once in the tree

IComplexItem zenonComplexItem = zenonVarTypes.Item(i).SubItem(j);

zenonComplexItem.MoveItemDown();

}

}

}

}

VB.NET

Public Sub MacroComplexItemMoveDown()

Dim zenonVarTypes As IVarTypes = Me.ActiveDocument.VarTypes()

For i As Integer = 0 To zenonVarTypes.Count - 1

'Check if the Datatype has a complex sub-element

If zenonVarTypes.Item(i).IsSimple() = 0 AndAlso zenonVarTypes.Item(i).SubItemCount() > 0 Then

For j As Integer = 0 To zenonVarTypes.Item(i).SubItemCount() - 1

'If so, move it down once in the tree

Dim zenonComplexItem As IComplexItem = zenonVarTypes.Item(i).SubItem(j)

zenonComplexItem.MoveItemDown()

Next

End If

Next

End Sub

VBA

VBA-Syntax


MoveItemDown

Manuel -> Interfaces de programmation -> Modèles d'objet -> ComplexItem -> ComplexItem-Methods -> MoveItemDown

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

move the ComplexItem one down in the Tree...

Datatype

MoveItemDown() As Boolean

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


Driver

Manuel -> Interfaces de programmation -> Modèles d'objet -> Driver

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

The object Driver includes important information on the defined drivers, e.g. name, driver, status and mode.

Availability

Environment | Available
Editor | available
Runtime | read only
VBA | yes
VSTA | yes

Examples

C#

public void MacroDriver()

{

//Get a driver object or create a new one if it does not exist

//NOTE: The user might have to fill in settings for the driver, depending on its type

IDrivers zenonDrivers = this.ActiveDocument.Drivers();

IDriver zenonDriver = zenonDrivers.Item("NewSimulationDriver");

if (zenonDriver == null)

zenonDriver = zenonDrivers.CreateDriver("NewSimulationDriver", "SIMUL32");

//Use the driver object to access its methods etc.

}

VB.NET

Public Sub MacroDriver()

'Get a driver object or create a new one if it does not exist

'NOTE: The user might have to fill in settings for the driver, depending on its type

Dim zenonDrivers As IDrivers = Me.ActiveDocument.Drivers()

Dim zenonDriver As IDriver = zenonDrivers.Item("NewSimulationDriver")

If zenonDriver Is Nothing Then

zenonDriver = zenonDrivers.CreateDriver("NewSimulationDriver", "SIMUL32")

End If

'Use the driver object to access its methods etc.

End Sub

VBA

Public Sub DriversSample()
Dim zDrivers As Drivers
Dim zDriver As Driver
Dim i As Integer

'get drivers collection
Set zDrivers = MyWorkspace.ActiveDocument.Drivers

'Enumerate existing drivers in the project
For i = 0 To zDrivers.Count - 1
Debug.Print zDrivers.Item(i).Name
Next i

'Create a new driver and check if already exists
Set zDriver = zDrivers.Item("NewSimulationDriver")
If zDriver Is Nothing Then
Set zDriver = zDrivers.CreateDriver("NewSimulationDriver", "SIMUL32")
End If

End Sub

Other topics in this chapter

Driver-Properties

Driver-Methods

Driver-Dynamic properties


Driver-Properties

Manuel -> Interfaces de programmation -> Modèles d'objet -> Driver -> Driver-Properties

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
BSTR | Identification | Name | available | read only | yes | yes
BSTR | Name | Programname | available | read only | yes | yes
IDrivers | Parent | Parent-object | read only | read only | yes | yes

Other topics in this chapter

Parent

Identification

Name


Parent

Manuel -> Interfaces de programmation -> Modèles d'objet -> Driver -> Driver-Properties -> Parent

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the parent object

Datatype

Parent() As Drivers

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


Identification

Manuel -> Interfaces de programmation -> Modèles d'objet -> Driver -> Driver-Properties -> Identification

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

Identification() As String

Availability

Environment | Available
Editor | available
Runtime | read only
VBA | yes
VSTA | yes


Name

Manuel -> Interfaces de programmation -> Modèles d'objet -> Driver -> Driver-Properties -> Name

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the name (EXE) of the driver.

Datatype

Name() As String

Availability

Environment | Available
Editor | available
Runtime | read only
VBA | yes
VSTA | yes


Driver-Methods

Manuel -> Interfaces de programmation -> Modèles d'objet -> Driver -> Driver-Methods

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description |  | Editor | Runtime | VBA | VSTA
VARIANT_BOOL | Browse | Imports variables from PLC or file. |  | available | not used | yes | yes
VARIANT_BOOL | CheckIn | Save module modifications to server (editor). |  | available | not used | yes | yes
VARIANT_BOOL | CheckOut | Allow module modifications (editor). |  | available | not used | yes | yes
VARIANT_BOOL | CloseConfig | Closes driver config and stops driver. |  | available | not used | yes | yes
void | DynProperties [PUT] | - |  | available | available | yes | yes
VARIANT | DynProperties [GET] | - |  | available | available | yes | yes
VARIANT | DynPropertiesEnum [GET] | - |  | read only | read only | yes | yes
VARIANT_BOOL | Get | Get the latest version from the server (editor). |  | available | not used | yes | yes
VARIANT_BOOL | IsCheckedOut | Returns true when the current module checked out by the current user (editor). |  | read only | not used | yes | yes
VARIANT_BOOL | IsDifferent | Returns true when the local and server version are different (editor). | read only |  | not used | yes |  | yes
VARIANT_BOOL | IsLocked | Returns true when the current module is Locked by another user (editor). |  | read only | not used | yes | yes
VARIANT_BOOL | OpenConfig | Starts driver and opens driver config for access via properties. |  | available | not used | yes | yes
VARIANT_BOOL | SupportsChannel | Returns True when the given channeltype is supported for the given datatype. |  | available | not used | yes | yes
VARIANT_BOOL | UndoCheckOut | Undo module modifications (editor). |  | available | not used | yes | yes
IPropParam | DynPropertyParam [GET] | Returns the PropParam objekt of the given DynProperty |  | read only | not used | yes | yes
VARIANT_BOOL | CreateDynProperty |  | available |  | not used | yes |  | yes
VARIANT_BOOL | Export | Exports driver properties to an XML file. | available |  | not used | yes |  | yes
VARIANT_BOOL | Import | Imports driver properties from an XML file. | available |  | not used | yes |  | yes

Other topics in this chapter

DynPropertyParam [GET]

DynPropertiesEnum [GET]

DynProperties [GET]

DynProperties [PUT]

CreateDynProperty

Get

CheckOut

CheckIn

UndoCheckOut

IsLocked

IsCheckedOut

IsDifferent

SupportsChannel

OpenConfig

CloseConfig

Browse

Export

Import


DynPropertyParam [GET]

Manuel -> Interfaces de programmation -> Modèles d'objet -> Driver -> Driver-Methods -> DynPropertyParam [GET]

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

DynPropertyParam [GET](BSTR bsPath) As PropParam

Availability

Environment | Available
Editor | read only
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


DynPropertiesEnum [GET]

Manuel -> Interfaces de programmation -> Modèles d'objet -> Driver -> Driver-Methods -> DynPropertiesEnum [GET]

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

DynPropertiesEnum(String bsPath) As VARIANT

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

bsPath As String

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Sub ReadDynProps()
End Sub


DynProperties [GET]

Manuel -> Interfaces de programmation -> Modèles d'objet -> Driver -> Driver-Methods -> DynProperties [GET]

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

DynProperties(String bsPath) As VARIANT

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

A String which defines the Property.
Example: "NetAktive"

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

bsPath As String

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Sub GetDynProp()
'Sample: GSet the Network Aktive Flag of the Project.
If MyWorkspace.ActiveDocument.DynProperties("NetActive") = True Then
'read the server - computername...
Debug.Print "Server: " & MyWorkspace.ActiveDocument.DynProperties("NetServer")
End If
End Sub


DynProperties [PUT]

Manuel -> Interfaces de programmation -> Modèles d'objet -> Driver -> Driver-Methods -> DynProperties [PUT]

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

DynProperties (String bsPath,VARIANT vValue) As void

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

A String which defines the Property.
Example: "NetAktive"

Returns a variant value depending to the property, it can be a boolean, a long, or a whole object.

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

bsPath As String

vValue As Variant

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Sub SetDynProp()
End Sub


CreateDynProperty

Manuel -> Interfaces de programmation -> Modèles d'objet -> Driver -> Driver-Methods -> CreateDynProperty

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

CreateDynProperty(BSTR bsPath) As VARIANT_BOOL

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

VB.NET

VBA

Examples

C#

VB.NET

VBA


Get

Manuel -> Interfaces de programmation -> Modèles d'objet -> Driver -> Driver-Methods -> Get

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Get the latest version from the server (editor). This option is only working for multi-user projects.

Datatype

Get() As Boolean

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

public void MacroDriverMultiuser()

{

//Get a driver object or create a new one if it does not exist

//NOTE: The user might have to fill in settings for the driver, depending on its type

IDrivers zenonDrivers = this.ActiveDocument.Drivers();

IDriver zenonDriver = zenonDrivers.Item("NewSimulationDriver");

if (zenonDriver == null)

zenonDriver = zenonDrivers.CreateDriver("NewSimulationDriver", "SIMUL32");

if (!zenonDriver.IsCheckedOut())

{

if (zenonDriver.CheckOut())

{

//The driver was checked out by the user who executed this macro

if (zenonDriver.Get())

{

//Got the latest version of the driver

//Edit some properties of the driver

zenonDriver.Name = "NewName";

//Check the driver in again so others can check it out

zenonDriver.CheckIn();

}

else

{

zenonDriver.UndoCheckOut();

//The latest version could not be received, undo the checkout

}

}

else

{

//The driver can't currently be checked out

}

}

else

{

//Someone else has the object checked out!

}

}

VB.NET

Public Sub MacroDriverMultiuser()

'Get a driver object or create a new one if it does not exist

'NOTE: The user might have to fill in settings for the driver, depending on its type

Dim zenonDrivers As IDrivers = Me.ActiveDocument.Drivers()

Dim zenonDriver As IDriver = zenonDrivers.Item("NewSimulationDriver")

If zenonDriver Is Nothing Then

zenonDriver = zenonDrivers.CreateDriver("NewSimulationDriver", "SIMUL32")

End If

If Not zenonDriver.IsCheckedOut() Then

If zenonDriver.CheckOut() Then

'The driver was checked out by the user who executed this macro

If zenonDriver.[Get]() Then

'Got the latest version of the driver

'Edit some properties of the driver

zenonDriver.Name = "NewName"

'Check the driver in again so others can check it out

zenonDriver.CheckIn()

Else

'The latest version could not be received, undo the checkout

zenonDriver.UndoCheckOut()

End If

'The driver can't currently be checked out

Else

End If

'Someone else has the object checked out!

Else

End If

End Sub

VBA

VBA-Syntax


CheckOut

Manuel -> Interfaces de programmation -> Modèles d'objet -> Driver -> Driver-Methods -> CheckOut

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Allow module modifications (editor). This option is only working for multi-user projects.

Datatype

CheckOut() As Boolean

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

public void MacroDriverMultiuser()

{

//Get a driver object or create a new one if it does not exist

//NOTE: The user might have to fill in settings for the driver, depending on its type

IDrivers zenonDrivers = this.ActiveDocument.Drivers();

IDriver zenonDriver = zenonDrivers.Item("NewSimulationDriver");

if (zenonDriver == null)

zenonDriver = zenonDrivers.CreateDriver("NewSimulationDriver", "SIMUL32");

if (!zenonDriver.IsCheckedOut())

{

if (zenonDriver.CheckOut())

{

//The driver was checked out by the user who executed this macro

if (zenonDriver.Get())

{

//Got the latest version of the driver

//Edit some properties of the driver

zenonDriver.Name = "NewName";

//Check the driver in again so others can check it out

zenonDriver.CheckIn();

}

else

{

zenonDriver.UndoCheckOut();

//The latest version could not be received, undo the checkout

}

}

else

{

//The driver can't currently be checked out

}

}

else

{

//Someone else has the object checked out!

}

}

VB.NET

Public Sub MacroDriverMultiuser()

'Get a driver object or create a new one if it does not exist

'NOTE: The user might have to fill in settings for the driver, depending on its type

Dim zenonDrivers As IDrivers = Me.ActiveDocument.Drivers()

Dim zenonDriver As IDriver = zenonDrivers.Item("NewSimulationDriver")

If zenonDriver Is Nothing Then

zenonDriver = zenonDrivers.CreateDriver("NewSimulationDriver", "SIMUL32")

End If

If Not zenonDriver.IsCheckedOut() Then

If zenonDriver.CheckOut() Then

'The driver was checked out by the user who executed this macro

If zenonDriver.[Get]() Then

'Got the latest version of the driver

'Edit some properties of the driver

zenonDriver.Name = "NewName"

'Check the driver in again so others can check it out

zenonDriver.CheckIn()

Else

'The latest version could not be received, undo the checkout

zenonDriver.UndoCheckOut()

End If

'The driver can't currently be checked out

Else

End If

'Someone else has the object checked out!

Else

End If

End Sub

VBA

VBA-Syntax


CheckIn

Manuel -> Interfaces de programmation -> Modèles d'objet -> Driver -> Driver-Methods -> CheckIn

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Save module modifications to server (editor). This option is only working for multi-user projects.

Datatype

CheckIn() As Boolean

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

public void MacroDriverMultiuser()

{

//Get a driver object or create a new one if it does not exist

//NOTE: The user might have to fill in settings for the driver, depending on its type

IDrivers zenonDrivers = this.ActiveDocument.Drivers();

IDriver zenonDriver = zenonDrivers.Item("NewSimulationDriver");

if (zenonDriver == null)

zenonDriver = zenonDrivers.CreateDriver("NewSimulationDriver", "SIMUL32");

if (!zenonDriver.IsCheckedOut())

{

if (zenonDriver.CheckOut())

{

//The driver was checked out by the user who executed this macro

if (zenonDriver.Get())

{

//Got the latest version of the driver

//Edit some properties of the driver

zenonDriver.Name = "NewName";

//Check the driver in again so others can check it out

zenonDriver.CheckIn();

}

else

{

zenonDriver.UndoCheckOut();

//The latest version could not be received, undo the checkout

}

}

else

{

//The driver can't currently be checked out

}

}

else

{

//Someone else has the object checked out!

}

}

VB.NET

Public Sub MacroDriverMultiuser()

'Get a driver object or create a new one if it does not exist

'NOTE: The user might have to fill in settings for the driver, depending on its type

Dim zenonDrivers As IDrivers = Me.ActiveDocument.Drivers()

Dim zenonDriver As IDriver = zenonDrivers.Item("NewSimulationDriver")

If zenonDriver Is Nothing Then

zenonDriver = zenonDrivers.CreateDriver("NewSimulationDriver", "SIMUL32")

End If

If Not zenonDriver.IsCheckedOut() Then

If zenonDriver.CheckOut() Then

'The driver was checked out by the user who executed this macro

If zenonDriver.[Get]() Then

'Got the latest version of the driver

'Edit some properties of the driver

zenonDriver.Name = "NewName"

'Check the driver in again so others can check it out

zenonDriver.CheckIn()

Else

'The latest version could not be received, undo the checkout

zenonDriver.UndoCheckOut()

End If

'The driver can't currently be checked out

Else

End If

'Someone else has the object checked out!

Else

End If

End Sub

VBA

VBA-Syntax


UndoCheckOut

Manuel -> Interfaces de programmation -> Modèles d'objet -> Driver -> Driver-Methods -> UndoCheckOut

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Undo module modifications (editor). This option is only working for multi-user projects.

Datatype

UndoCheckOut() As Boolean

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

public void MacroDriverMultiuser()

{

//Get a driver object or create a new one if it does not exist

//NOTE: The user might have to fill in settings for the driver, depending on its type

IDrivers zenonDrivers = this.ActiveDocument.Drivers();

IDriver zenonDriver = zenonDrivers.Item("NewSimulationDriver");

if (zenonDriver == null)

zenonDriver = zenonDrivers.CreateDriver("NewSimulationDriver", "SIMUL32");

if (!zenonDriver.IsCheckedOut())

{

if (zenonDriver.CheckOut())

{

//The driver was checked out by the user who executed this macro

if (zenonDriver.Get())

{

//Got the latest version of the driver

//Edit some properties of the driver

zenonDriver.Name = "NewName";

//Check the driver in again so others can check it out

zenonDriver.CheckIn();

}

else

{

zenonDriver.UndoCheckOut();

//The latest version could not be received, undo the checkout

}

}

else

{

//The driver can't currently be checked out

}

}

else

{

//Someone else has the object checked out!

}

}

VB.NET

Public Sub MacroDriverMultiuser()

'Get a driver object or create a new one if it does not exist

'NOTE: The user might have to fill in settings for the driver, depending on its type

Dim zenonDrivers As IDrivers = Me.ActiveDocument.Drivers()

Dim zenonDriver As IDriver = zenonDrivers.Item("NewSimulationDriver")

If zenonDriver Is Nothing Then

zenonDriver = zenonDrivers.CreateDriver("NewSimulationDriver", "SIMUL32")

End If

If Not zenonDriver.IsCheckedOut() Then

If zenonDriver.CheckOut() Then

'The driver was checked out by the user who executed this macro

If zenonDriver.[Get]() Then

'Got the latest version of the driver

'Edit some properties of the driver

zenonDriver.Name = "NewName"

'Check the driver in again so others can check it out

zenonDriver.CheckIn()

Else

'The latest version could not be received, undo the checkout

zenonDriver.UndoCheckOut()

End If

'The driver can't currently be checked out

Else

End If

'Someone else has the object checked out!

Else

End If

End Sub

VBA

VBA-Syntax


IsLocked

Manuel -> Interfaces de programmation -> Modèles d'objet -> Driver -> Driver-Methods -> IsLocked

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns true if modification changes are locked due to a checkout. This option is only working for multi-user projects.

Datatype

IsLocked() As Boolean

Availability

Environment | Available
Editor | read only
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

public void MacroDriver()

{

//Get a driver object or create a new one if it does not exist

//NOTE: The user might have to fill in settings for the driver, depending on its type

IDrivers zenonDrivers = this.ActiveDocument.Drivers();

IDriver zenonDriver = zenonDrivers.Item("NewSimulationDriver");

if (zenonDriver == null)

zenonDriver = zenonDrivers.CreateDriver("NewSimulationDriver", "SIMUL32");

if (zenonDriver.IsLocked())

{

//Modification Changes are currently locked due to a checkout

}

else

{

//Use the driver object to access its methods etc.

}

}

VB.NET

Public Sub MacroDriver()

'Get a driver object or create a new one if it does not exist

'NOTE: The user might have to fill in settings for the driver, depending on its type

Dim zenonDrivers As IDrivers = Me.ActiveDocument.Drivers()

Dim zenonDriver As IDriver = zenonDrivers.Item("NewSimulationDriver")

If zenonDriver = Nothing Then

zenonDriver = zenonDrivers.CreateDriver("NewSimulationDriver", "SIMUL32")

End If

'Modification Changes are currently locked due to a checkout

If zenonDriver.IsLocked() Then

'Use the driver object to access its methods etc.

Else

End If

End Sub

VBA

VBA-Syntax


IsCheckedOut

Manuel -> Interfaces de programmation -> Modèles d'objet -> Driver -> Driver-Methods -> IsCheckedOut

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns true if scripts are checked out. This option is only working for multi-user projects.

Datatype

IsCheckedOut() As Boolean

Availability

Environment | Available
Editor | read only
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

public void DriverTryCheckOut(IDriver zenonDriver)

{

//Checks if the passed object is checked out before performing a checkout

if(!zenonDriver.IsCheckedOut())

{

zenonDriver.CheckOut();

//Object can be used for further purposes

}

else

{

//The object is already checked out and cannot be checked out again

}

}

VB.NET

Public Sub DriverTryCheckOut(zenonDriver As IDriver)

'Checks if the passed object is checked out before performing a checkout

If Not zenonDriver.IsCheckedOut() Then

'Object can be used for further purposes

zenonDriver.CheckOut()

'The object is already checked out and cannot be checked out again

Else

End If

End Sub

VBA

VBA-Syntax


IsDifferent

Manuel -> Interfaces de programmation -> Modèles d'objet -> Driver -> Driver-Methods -> IsDifferent

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns true if local version differs from server (editor) version. This option is only working for multi-user projects.

Datatype

IsDifferent() As VARIANT_BOOL

Availability

Environment | Available
Editor | read only
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VBA

VBA-Syntax

Examples

C#

public void CheckInChanges(IDriver zenonDriver)

{

//Checks if any changes occured on the driver object and if so, updates it

if(zenonDriver.IsDifferent())

{

if(zenonDriver.Get())

{

//Driver object is up to date

}

else

{

//An error occured while getting the newest version of the object

}

}

else

{

//No pending changes

}

}

VB.NET

Public Sub CheckInChanges(zenonDriver As IDriver)

'Checks if any changes occured on the driver object and if so, updates it

If zenonDriver.IsDifferent() Then

'Driver object is up to date

If zenonDriver.[Get]() Then

'An error occured while getting the newest version of the object

Else

End If

'No pending changes

Else

End If

End Sub

VBA

VBA-Syntax


SupportsChannel

Manuel -> Interfaces de programmation -> Modèles d'objet -> Driver -> Driver-Methods -> SupportsChannel

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns "True" when the actual driver object supports the given VarType and ChannelType combination.

Datatype

SupportsChannel(tpKanaltypes ChannelType, IVarType ObVarType) As Boolean

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

ChannelType (constant) to be checked.

VarType object to be checked.

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

ChannelType As tpKanaltypes

ObVarType As VarType

Examples

C#

public void MacroChannelSupport()

{

IVarType zenonVarType = this.ActiveDocument.VarTypes().Item("UINT");

IDrivers zenonDrivers = this.ActiveDocument.Drivers();

IDriver zenonDriver = zenonDrivers.Item("NewSimulationDriver");

if (zenonDriver == null)

zenonDriver = zenonDrivers.CreateDriver("NewSimulationDriver", "SIMUL32");

if(zenonDriver.SupportsChannel(tpKanaltypes.tpSPSMerker, zenonVarType))

System.Diagnostics.Debug.Print("Supported by the driver");

else

System.Diagnostics.Debug.Print("Not supported by the driver");

}

VB.NET

Public Sub MacroChannelSupport()

Dim zenonVarType As IVarType = Me.ActiveDocument.VarTypes().Item("UINT")

Dim zenonDrivers As IDrivers = Me.ActiveDocument.Drivers()

Dim zenonDriver As IDriver = zenonDrivers.Item("NewSimulationDriver")

If zenonDriver Is Nothing Then

zenonDriver = zenonDrivers.CreateDriver("NewSimulationDriver", "SIMUL32")

End If

If zenonDriver.SupportsChannel(tpKanaltypes.tpSPSMerker, zenonVarType) Then

System.Diagnostics.Debug.Print("Supported by the driver")

Else

System.Diagnostics.Debug.Print("Not supported by the driver")

End If

End Sub

VBA

Sub Channelsupport()
Dim zDRV As Driver
Dim zVTP As VarType
'get a Driver object for Simulation-Driver
Set zDRV = MyWorkspace.ActiveDocument.Drivers.Item("SIMUL_WIZ")
'get a VarType object for UINT
Set zVTP = MyWorkspace.ActiveDocument.VarTypes.Item("UINT")

If zDRV.SupportsChannel(tpSPSMerker, zVTP) = True Then
Debug.Print "This combination is supported by the driver."
Else
Debug.Print "NOT supported by this driver!"
End If
End Sub


OpenConfig

Manuel -> Interfaces de programmation -> Modèles d'objet -> Driver -> Driver-Methods -> OpenConfig

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Access via API to the driver configuration. Available only for the following drivers:

  • Fraport
  • IEC870
  • IEC 850
  • Logix32
  • S7TCP32
  • Sprecon870
  • Steriflow
  • Straton32

The access to the configuration settings is possible by using the DynProperties.

In the example shown below the DynProperties for S7TCP32, IEC870, Logix3 are used.

The Steriflow driver uses only the ynProperty "CfgFileTransferDirectory". This property requires the transfer directory as parameter.

Datatype

OpenConfig() As Boolean

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Public Sub CreateDriverS7TCP_Dyn()

Dim zDrivers As Drivers

Dim zDriver As Driver

Dim zDriverS7TCP As Driver

Dim vProps As Variant

Dim vValue As Variant

Dim inti As Integer

Dim intj As Integer

Dim sDateiname As String

Dim sBezeichnung As String

sDateiname = "S7TCP32"

sBezeichnung = "S7_Test_1"

'show all exist

Set zDrivers = MyWorkspace.ActiveDocument.Drivers

'Enumerate existing drivers in the project

For inti = 0 To zDrivers.Count - 1

Debug.Print zDrivers.Item(inti).Name

Next inti

Debug.Print "================================================="

'Create a new driver without dirver configuration dialog and check if already exists

Set zDriver = zDrivers.Item(sBezeichnung)

If zDriver Is Nothing Then

'Set zDriver = zDrivers.CreateDriver(sBezeichnung, sDateiname)

Set zDriver = zDrivers.CreateDriverEx(sBezeichnung, sDateiname, False)

End If

Set zDriverS7TCP = zDrivers.Item(sBezeichnung)

Debug.Print zDriverS7TCP.Name

Call zDriverS7TCP.OpenConfig

vProps = zDriverS7TCP.DynPropertiesEnum("")

Debug.Print "========== DynProperties =============="

For intj = 0 To UBound(vProps)

Debug.Print vProps(intj)

Next intj

Debug.Print "============================================================================================="

Call zDriverS7TCP.CloseConfig(False)

'Change some configuration on the driver

Call zDriverS7TCP.OpenConfig

Debug.Print "Modus (General Driver Mode) :" & zDriverS7TCP.DynProperties("GenDriverMode")

'Change General Driver mode from Hardware to Simulation-counter

zDriverS7TCP.DynProperties("GenDriverMode") = 1

'Show some DynProperties

Debug.Print "======================================_General_=========================================="

Debug.Print "Modus (General Driver Mode) : " & zDriverS7TCP.DynProperties("GenDriverMode")

Debug.Print "Update-Liste im Speicher Halten : " & zDriverS7TCP.DynProperties("GenKeepUpdatelist")

Debug.Print "Ausgänge schreibbar : " & zDriverS7TCP.DynProperties("GenOutputWriteable")

Debug.Print "Variablenabbild remanent : " & zDriverS7TCP.DynProperties("GenRemanentImage")

Debug.Print "Update Zeit Clobal : " & zDriverS7TCP.DynProperties("GenUseGlobalUpdateTime")

Debug.Print "Clobale Updatezeit in ms : " & zDriverS7TCP.DynProperties("GenGlobalUpdateTime")

Debug.Print "Priorität normal : " & zDriverS7TCP.DynProperties("GenPrioUpdateTime0")

Debug.Print "Priorität erhöht : " & zDriverS7TCP.DynProperties("GenPrioUpdateTime1")

Debug.Print "Priorität hoch: " & zDriverS7TCP.DynProperties("GenPrioUpdateTime2")

Debug.Print "Priorität höchste : " & zDriverS7TCP.DynProperties("GenPrioUpdateTime3")

Debug.Print "===============================_S7- TCP Configuration_==================================="

Debug.Print "TCP- Konfiguration : " & zDriverS7TCP.DynProperties("CfgConfFileName")

Debug.Print "Fehlerwartezeit : " & zDriverS7TCP.DynProperties("CfgErrorWaitTime")

Debug.Print "Char-String ohne Header : " & zDriverS7TCP.DynProperties("CfgStringWithoutHeader")

Debug.Print "==============================_S7- TCP Connection_======================================="

Debug.Print "This settings must be set in the configuration file ."

Debug.Print "========================================================================================="

Debug.Print "Name : " & zDriverS7TCP.DynProperties("Name")

Debug.Print "DriverId : " & zDriverS7TCP.DynProperties("DriverId")

Debug.Print "NameFile : " & zDriverS7TCP.DynProperties("NameFile")

Debug.Print "========================================================================================="

Call zDriverS7TCP.CloseConfig(True)

End Sub

'Extra für Steriflow

Public Sub BrowseProperties()

Dim drv As Driver

Dim PropertyList As Variant

Dim i As Integer

'Zuweisen des Treibers mit der Bezeichnung Steriflow driver

Set drv = MyWorkspace.ActiveDocument.Drivers.Item("Steriflow driver")

'über DynPropertiesEnum bekommen wir eine Liste aller Properties, die die API des Treibers implementiert

drv.OpenConfig

PropertyList = drv.DynPropertiesEnum("")

'in dieser For-Schleife gehen wir die Properties durch und schreiben sie zeilenweise ins Ausgabefenster des zenon Editors

For i = 0 To UBound(PropertyList) - 1

ApplicationED.DebugPrint PropertyList(i), tpMsg

Next i

End Sub


CloseConfig

Manuel -> Interfaces de programmation -> Modèles d'objet -> Driver -> Driver-Methods -> CloseConfig

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

CloseConfig(Boolean bSave) As Boolean

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

Defines wether to save (True) the actual driver configuration or not (False).

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

bSave As Boolean

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


Browse

Manuel -> Interfaces de programmation -> Modèles d'objet -> Driver -> Driver-Methods -> Browse

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

Browse(String bsFilter, String bsResult) As Boolean

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

Driver specific filterstring for online import of variables.

IEC870: Net=NetAddress;Filter={Address="Filterstring1";Type="Filterstring2";}; Logix32: Net=NetAddress;Struct="Filterstring1";Name="Filterstring2"; The Filterstrings must be used as in the dialog when importing manual ly in the editor...

Returns a message as String like you can see in the LogViewer...

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

bsFilter As String

bsResult As String

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


Export

Manuel -> Interfaces de programmation -> Modèles d'objet -> Driver -> Driver-Methods -> Export

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

The Export function exports ALL properties of the driver in an XML file whose name is specified when called up. This file is deleted if it exists before export.

if there is no directory stated in the file name lpszFilename, the export directory from the INI file of the project is used. If this is not specified, the current working directory is used.

The use of these API functions without implementation of the explicit import or export creates or reads an XML file with the following constant content (irrespective of the version number):

<?xml version="1.0" encoding="utf-16"?>

<Subject ShortName="zenOn(R) exported project" MainVersion="7600"/>

The export of the driver configuration creates the following XML file:

<?xml version="1.0" encoding="utf-16"?>

<Subject ShortName="zenOn(R) exported project" MainVersion="7600">

<Apartment ShortName="zenOn(R) driver configuration" Version="7600">

<Driver NODE="zenOn(R) embedded object" DriverID="4" Modul="3S_V3" Name="3S v3 Treiber">

…….

</Driver>

</Apartment>

</Subject>

The Driver node then contains a list of all configuration properties that are available in the XML import/export. In addition, the attribute module and name of the Driver node allow unique identification of the driver assignment for the import.

The driver properties are then exported in accordance with the following:

<DrvConfig NODE="zenOn(R) embedded object">

<ComByteSize>0</ComByteSize>

<Connection_0 NODE="zenOn(R) embedded object">

<GWAddress>localhost</GWAddress>

<GWPort>1210</GWPort>

</Connection_0>

<Connection_2 NODE="zenOn(R) embedded object">

<GWAddress>localhost</GWAddress>

<GWPort>1210</GWPort>

</Connection_2>

<GenGlobalUpdateTime>1000</GenGlobalUpdateTime>

<GenPrioUpdateTime3>100</GenPrioUpdateTime3>

<GenPrioUpdateTime2>300</GenPrioUpdateTime2>

<GenPrioUpdateTime1>500</GenPrioUpdateTime1>

<GenPrioUpdateTime0>1000</GenPrioUpdateTime0>

</DrvConfig>

It should be noted that node properties always have the NODE attribute with the ZenOn(R) embedded object value and the name of the node property features a unique index. Property containers (in this example: Connection) are thus uniquely identified and handled.

Simple properties are shown as simple nodes with values (in this example: ComByteSize, GenGlobalUpdateTime, GWAddress, GWPort, ...).

Datatype

Export(BSTR lpszFilename) As VARIANT_BOOL

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

VB.NET

VBA

Examples

C#

VB.NET

VBA


Import

Manuel -> Interfaces de programmation -> Modèles d'objet -> Driver -> Driver-Methods -> Import

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Die Funktion Import importiert die Properties des Treibers aus einer XML Datei, deren Name beim Aufruf spezifiziert wird. Existiert diese Datei nicht, wird die Funktion mit FALSE beendet.

Beim Import wird die XML Datei entsprechend dem Export eingelesen, wobei folgenden Voraussetzungen (der Reihe nach) gegeben sein müssen:

Im MultiUser Betrieb muss der Treiber ausgecheckt sein

Die Properties der Treiberkonfiguration müssen geladen sein

Die XML Datei muss einen entsprechenden Header besitzen (restriktiv)

Der Wert des Attributs Modul des Knotens Driver aus der XML Datei muss mit der Modulbezeichnung des Treibers übereinstimmen.

Sind diese Voraussetzungen gegeben, werden die einzelnen XML Knoten rekursiv eingelesen und entsprechend den Trieberproperties zugewiesen. Bevor diese Aktion beginnt, werden allerdings alle Subknoten (z.B. Connection) des Treiberproperties DrvConfig komplett gelöscht, das bedeutet:

Alle Inhalte der Basisproperties bzw. des Knotens DrvConfig bleiben erhalten oder werden bei Änderungen modifiziert

Alle Subknoten und Inhalte des Properties DrvConfig werden neu erzeugt. Fehlt ein Inhalt eines dieser Subknoten, werden hier die Defaults eingefügt.

In der Änderungshistorie wird der Vorgang des Imports sowie der Abschluss des Imports aufgezeichnet.

Datatype

Import(BSTR lpszFilename) As VARIANT_BOOL

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

VB.NET

VBA

Examples

C#

VB.NET

VBA


Driver-Dynamic properties

Manuel -> Interfaces de programmation -> Modèles d'objet -> Driver -> Driver-Dynamic properties

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Dynproperties

Driver

Other topics in this chapter

Driver


Driver

Manuel -> Interfaces de programmation -> Modèles d'objet -> Driver -> Driver-Dynamic properties -> Driver

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Type

VBA/VSTA Name

Display Name

Description

VT_BSTR

Name

Identification

Nom unique du driver.
zenon identifie le driver à l’aide de ce nom, et non à l’aide du nom de fichier. Il est ainsi possible de charger le même driver plusieurs fois. Cela s’avère par exemple nécessaire lorsque vous devez accéder à des types de contrôles identiques, connectés à différentes interfaces série.
Attention : Cette propriété n’est pas disponible aux fins de la commutation de langue.

Plus de détails dans l’aide en ligne.

VT_BSTR

Description

Description

Description du driver.

Plus de détails dans l’aide en ligne.

VT_BSTR

NameFile

Nom de fichier

Nom de fichier du driver.
Le fichier se trouve dans le dossier de programme du système de contrôle.

Plus de détails dans l’aide en ligne.

VT_UI4

DriverId

Id driver

VT_UI2

SimulPort

Port standard

Disponible uniquement si un projet de simulation a été créé.

Port TCP/IP pour les communications avec l’espace de travail zenon Logic.
Numéros de port autorisés :

  • Minimum : 6000 (avec attribution automatique, recommandé en cas d’attribution manuelle)
  • Maximum : 6999 (avec attribution automatique, recommandé en cas d’attribution manuelle)

Par défaut : 6000

Le numéro de port doit :

  • Être disponible dans le projet
  • Être unique pour tous les projets exécutés dans le Runtime
  • Être disponible sur l’ordinateur sur lequel s’exécute le driver

Lors de la création du projet de simulation pour ce projet, un numéro de port unique est attribué automatiquement.

Remarque : Un numéro de port attribué automatiquement est seulement unique pour le projet correspondant. Pour les projets multi-hiérarchiques, vous devez vérifier cela de façon à éviter les erreurs de communication avec le module Workbench/le Runtime de zenon Logic.

Plus de détails dans l’aide en ligne.

VT_UI2

SimulEvPort

Port d'événements

Disponible uniquement si un projet de simulation a été créé.

Port TCP/IP utilisé pour les échanges de données spontanés. Le numéro de port doit être unique, ne doit pas être utilisé dans le projet et doit être disponible sur l’ordinateur sur lequel s’exécute le driver. Lors de la création de la simulation, un numéro de port distinct est attribué automatiquement.

Remarque : Un numéro de port attribué automatiquement est seulement unique pour le projet correspondant. Pour les projets multi-hiérarchiques, vous devez vérifier cela de façon à éviter les erreurs de communication avec le module Workbench/le Runtime de zenon Logic.

Minimum : 6001 (avec attribution automatique, recommandé en cas d’attribution manuelle)

Maximum : 6998 (avec attribution automatique, recommandé en cas d’attribution manuelle)

Par défaut : 6001

Plus de détails dans l’aide en ligne.

VT_BSTR

SimulName

Nom

Nom du projet de simulation. Si aucun nom valide n’est disponible au démarrage de l’espace de travail de zenon Logic, un nom est attribué automatiquement. Le nom est constitué du nom du driver et de sa description.

Conditions de validité des noms :

- non vides

- uniques dans le projet

- constitués uniquement de caractères autorisés dans zenon Logic ; les caractères suivants sont interdits : /\:*?<>!|"

Minimum : 1 caractère.

Maximum : 15 caractères.

Plus de détails dans l’aide en ligne.

ZT_AKZ

SystemModelGroup

Groupes d'équipements

Lie l’élément à un modèle d’équipement. Cliquez sur le bouton ... pour ouvrir la boîte de sélection d’un groupe d’équipements.
L'affichage du groupe d’équipements sélectionné inclut également les niveaux supérieurs à ce groupe. Les niveaux sont séparés par un point dans l’affichage.

Dans le cas d’une sélection multiple, les groupes d’équipements individuels sont séparés par un point-virgule (;).

Plus de détails dans l’aide en ligne.


Drivers

Manuel -> Interfaces de programmation -> Modèles d'objet -> Drivers

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

The object Drivers, is a collection of which contains the defined drivers of the project.

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Examples

C#

public void MacroDrivers()

{

IDrivers zenonDrivers = this.ActiveDocument.Drivers();

for (int i = 0; i < zenonDrivers.Count; ++i)

{

//Print the name of each driver in the active project

System.Diagnostics.Debug.Print(zenonDrivers.Item(i).Name);

}

//Get a driver object by its name instead of its ID

IDriver zenonDriver = zenonDrivers.Item("NewSimulationDriver");

//If the driver does not exist we create it

if (zenonDriver == null)

zenonDriver = zenonDrivers.CreateDriver("NewSimulationDriver", "SIMUL32");

}

VB.NET

Public Sub MacroDrivers()

Dim zenonDrivers As IDrivers = Me.ActiveDocument.Drivers()

Dim i As Integer = 0

While i < zenonDrivers.Count

'Print the name of each driver in the active project

System.Diagnostics.Debug.Print(zenonDrivers.Item(i).Name)

System.Threading.Interlocked.Increment(i)

End While

'Get a driver object by its name instead of its ID

Dim zenonDriver As IDriver = zenonDrivers.Item("NewSimulationDriver")

'If the driver does not exist we create it

If zenonDriver = Nothing Then

zenonDriver = zenonDrivers.CreateDriver("NewSimulationDriver", "SIMUL32")

End If

End Sub

VBA

Public Sub DriversSample()
Dim zDrivers As Drivers
Dim zDriver As Driver
Dim i As Integer

'get drivers collection
Set zDrivers = MyWorkspace.ActiveDocument.Drivers

'Enumerate existing drivers in the project
For i = 0 To zDrivers.Count - 1
Debug.Print zDrivers.Item(i).Name
Next i

'Create a new driver and check if already exists
Set zDriver = zDrivers.Item("NewSimulationDriver")
If zDriver Is Nothing Then
Set zDriver = zDrivers.CreateDriver("NewSimulationDriver", "SIMUL32")
End If

End Sub

Other topics in this chapter

Drivers-Properties

Drivers-Methods


Drivers-Properties

Manuel -> Interfaces de programmation -> Modèles d'objet -> Drivers -> Drivers-Properties

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
long | Count | Count of defined drivers | read only | read only | yes | yes
IProject | Parent | Parent-object | read only | read only | yes | yes

Other topics in this chapter

Parent

Count


Parent

Manuel -> Interfaces de programmation -> Modèles d'objet -> Drivers -> Drivers-Properties -> Parent

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the parent object

Datatype

Parent() As Project

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


Count

Manuel -> Interfaces de programmation -> Modèles d'objet -> Drivers -> Drivers-Properties -> Count

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

The method returns the number of available objects. This property is mostly used for the method Item to run through each single object.Hint: For running through entries care, that the minimum is 0 and the maximum is Count-1.

Datatype

Count() As long

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


Drivers-Methods

Manuel -> Interfaces de programmation -> Modèles d'objet -> Drivers -> Drivers-Methods

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
IDriver | CreateDriver | Creates a new driver | available | not used | yes | yes
IDriver | CreateDriverEx | Creates a new driver | available | not used | yes | yes
VARIANT_BOOL | DeleteDriver | Deletes the given driver | available | not used | yes | yes
IDriver | Item | Returns driver by position or name | available | available | yes | yes

Other topics in this chapter

Item

CreateDriver

CreateDriverEx

DeleteDriver


Item

Manuel -> Interfaces de programmation -> Modèles d'objet -> Drivers -> Drivers-Methods -> Item

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the object Driver from the collection, which is identified by the parameter vID.The parameter vID can have two values:

Datatype

Item(VARIANT vID) As Driver

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

vID As Variant Index or name. If the parameter is a numerical value, the driver is searched by its index (>= 0 and <= Count-1).
If it is an alphanumerical value, the driver is searched by its name.

C#

VB.NET

VB.NET-Syntax

VBA

vID As Variant

Examples

C#

public void MacroDrivers()

{

IDrivers zenonDrivers = this.ActiveDocument.Drivers();

for (int i = 0; i < zenonDrivers.Count; ++i)

{

//Print the name of each driver in the active project

System.Diagnostics.Debug.Print(zenonDrivers.Item(i).Name);

}

//Get a driver object by its name instead of its ID

IDriver zenonDriver = zenonDrivers.Item("NewSimulationDriver");

//If the driver does not exist we create it

if (zenonDriver == null)

zenonDriver = zenonDrivers.CreateDriver("NewSimulationDriver", "SIMUL32");

}

VB.NET

Public Sub MacroDrivers()

Dim zenonDrivers As IDrivers = Me.ActiveDocument.Drivers()

Dim i As Integer = 0

While i < zenonDrivers.Count

'Print the name of each driver in the active project

System.Diagnostics.Debug.Print(zenonDrivers.Item(i).Name)

System.Threading.Interlocked.Increment(i)

End While

'Get a driver object by its name instead of its ID

Dim zenonDriver As IDriver = zenonDrivers.Item("NewSimulationDriver")

'If the driver does not exist we create it

If zenonDriver = Nothing Then

zenonDriver = zenonDrivers.CreateDriver("NewSimulationDriver", "SIMUL32")

End If

End Sub

VBA

VBA-Syntax


CreateDriver

Manuel -> Interfaces de programmation -> Modèles d'objet -> Drivers -> Drivers-Methods -> CreateDriver

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Creates a new driver and returns the created driver as Driver object.

Datatype

CreateDriver(String strName,String strEXEName) As Driver

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

public void MacroDrivers()

{

IDrivers zenonDrivers = this.ActiveDocument.Drivers();

//Get a driver object

IDriver zenonDriver = zenonDrivers.Item("NewSimulationDriver");

//If the driver does not exist we create it

if (zenonDriver == null)

zenonDriver = zenonDrivers.CreateDriver("NewSimulationDriver", "SIMUL32");

}

VB.NET

Public Sub MacroDrivers()

Dim zenonDrivers As IDrivers = Me.ActiveDocument.Drivers()

'Get a driver object

Dim zenonDriver As IDriver = zenonDrivers.Item("NewSimulationDriver")

'If the driver does not exist we create it

If zenonDriver = Nothing Then

zenonDriver = zenonDrivers.CreateDriver("NewSimulationDriver", "SIMUL32")

End If

End Sub

VBA

VBA-Syntax


CreateDriverEx

Manuel -> Interfaces de programmation -> Modèles d'objet -> Drivers -> Drivers-Methods -> CreateDriverEx

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Creates a new driver and returns the created driver as Driver object. If the parameter bShowDlg is true the driver creation dialog is shown to the user.

Datatype

CreateDriverEx(String strName,String strEXEName,Boolean bShowDlg) As Driver

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

public void MacroCreateDriverEx()

{

IDrivers zenonDrivers = this.ActiveDocument.Drivers();

//Get a driver object by its name

IDriver zenonDriver = zenonDrivers.Item("NewSimulationDriver");

//If the driver does not exist we create it

if (zenonDriver == null)

zenonDriver = zenonDrivers.CreateDriverEx("NewSimulationDriver", "SIMUL32", true);

}

VB.NET

Public Sub MacroCreateDriverEx()

Dim zenonDrivers As IDrivers = Me.ActiveDocument.Drivers()

'Get a driver object by its name

Dim zenonDriver As IDriver = zenonDrivers.Item("NewSimulationDriver")

'If the driver does not exist we create it

If zenonDriver = Nothing Then

zenonDriver = zenonDrivers.CreateDriverEx("NewSimulationDriver", "SIMUL32", True)

End If

End Sub

VBA

VBA-Syntax


DeleteDriver

Manuel -> Interfaces de programmation -> Modèles d'objet -> Drivers -> Drivers-Methods -> DeleteDriver

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Deletes the given driver by its name

Datatype

DeleteDriver(String strName) As Boolean

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

public void MacroDeleteDriver()

{

//This Macro will delete all drivers in the current active project

//NOTE: The driver will not be deleted instantly, therefore avoid using

// IDrivers.Count directly in the for condition

IDrivers zenonDrivers = this.ActiveDocument.Drivers();

for (int i = zenonDrivers.Count - 1; i >= 0; --i)

{

zenonDrivers.DeleteDriver(zenonDrivers.Item(i).Identification);

}

}

VB.NET

Public Sub MacroDeleteDriver()

'This Macro will delete all drivers in the current active project

'NOTE: The driver will not be deleted instantly, therefore avoid using

' IDrivers.Count directly in the for condition

Dim zenonDrivers As IDrivers = Me.ActiveDocument.Drivers()

Dim i As Integer = zenonDrivers.Count - 1

While i >= 0

zenonDrivers.DeleteDriver(zenonDrivers.Item(i).Identification)

System.Threading.Interlocked.Decrement(i)

End While

End Sub

VBA

VBA-Syntax


DynPicture

Manuel -> Interfaces de programmation -> Modèles d'objet -> DynPicture

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

This collection contains the defined Screens. The single Screens can contain different dynamic elements. Each Screen is linked to a Frame, that contains general information on the outer appearance.Screens always come from the current project – the global project is ignored, as Screens are not supported in global projects.The single Screens can be found in the collection by their unique name or by the index. Each Screen is identified by an unique name.Hint:For the use of events in an object DynPicture an object DynPicture of this Screen must be defined with WithEvents.

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Examples

C#

private IDynPicture _zenonPicture;

void ThisProject_Active()

{

//Initialize the instance variable with the screen of name "Start"

_zenonPicture = this.DynPictures().Item("Start");

//Attach the event handler

_zenonPicture.Open += new OpenEventHandler(_zenonPicture_Open);

}

void _zenonPicture_Open()

{

//Everytime the dynPicture Start is opened a message is written to the CEL

this.Cel().WriteCelString(_zenonPicture.Name + " was opened.");

}

void ThisProject_Inactive()

{

//Detach the event handler

_zenonPicture.Open -= new OpenEventHandler(_zenonPicture_Open);

FreeObjects();

}

VB.NET

Private _zenonPicture As IDynPicture

Private Sub ThisProject_Active()

'Initialize the instance variable with the screen of name "Start"

_zenonPicture = Me.DynPictures().Item("Start")

'Attach the event handler

AddHandler _zenonPicture.Open, AddressOf _zenonPicture_Open

_zenonPicture.Open += New OpenEventHandler(_zenonPicture_Open)

End Sub

Private Sub _zenonPicture_Open()

'Everytime the dynPicture Start is opened a message is written to the CEL

Me.Cel().WriteCelString(_zenonPicture.Name + " was opened.")

End Sub

Private Sub ThisProject_Inactive()

'Detach the event handler

RemoveHandler _zenonPicture.Open, AddressOf _zenonPicture_Open

FreeObjects()

End Sub

VBA

'##############################################
'## VBA Code in the Module "ModuleElement" ##
'## ---------------------------------------- ##
'## LeftClickUp - Event has to be created in ##
'## the Editor with the Name "PopUp"... ##
'## (Scripting - VBA Makros - ModuleElement) ##
'##############################################

'event for clicking on a element
Public Sub LeftClickUp_PopUp(obElem As Element)
'save the position information of the element to public
'member variables in the thisProject Classmodule...
thisProject.lLeft = obElem.Left
thisProject.lTop = obElem.Top
'execute different functions depending to the element name...
'Example for FuntionName: POPUP_Valve001
'>> Valve001 ist the Objectname of the Element!
thisProject.RtFunctions.Item("POPUP_" & obElem.Name).Start
End Sub

'###############################################
'## VBA Code in the ClassModule "thisProject" ##
'## ----------------------------------------- ##
'## When the POPUP Screen opens, the Open - ##
'## Event is executed and the new positions ##
'## will be set with the Move - Method ##
'###############################################

'declaration of the position members...
Public lLeft As Long
Public lTop As Long
'declaring the DynPicture Object for the OPEN event...
Dim WithEvents dynPicPOPUP As DynPicture

'on project startup...
Private Sub Project_Active()
'setting the Dynpicture object to the "POPUP" Screen...
Set dynPicPOPUP = thisProject.DynPictures.Item("POPUP")
'check if there was a problem an initializing the DynPicture Object...
If dynPicPOPUP Is Nothing Then
MsgBox "moving the Screen is not possible..."
End If
End Sub

'when the Screen opens...
Private Sub dynPicPOPUP_Open()
'moving the Screen...
dynPicPOPUP.Move lLeft, lTop, dynPicPOPUP.Width, dynPicPOPUP.Height
End Sub

'on project exit...
Private Sub Project_Inactive()
If dynPicPOPUP Is Nothing Then Exit Sub
'release the object...
Set dynPicPOPUP = Nothing
End Sub

Other topics in this chapter

DynPicture-Properties

DynPicture-Methods

DynPicture-Events


DynPicture-Properties

Manuel -> Interfaces de programmation -> Modèles d'objet -> DynPicture -> DynPicture-Properties

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
VARIANT_BOOL | AutoKBLayout | Use regional settings for keyboard layout | available | read only | yes | yes
OLE_COLOR | BackColor |  | available | read only | yes | yes
BSTR | BackgroundImage | Background image for the picture | available | read only | yes | yes
long | BackgroundImageStyle | Style for the background image | available | read only | yes | yes
long | BorderStyle | Style of the picture-border (for resizing) | available | read only | yes | yes
long | Bottom | Bottom-coordinate of the picture | read only | not used | yes | yes
VARIANT_BOOL | Enable |  | available | available | yes | yes
long | EndFunction | Rt-Function by closing the picture | available | read only | yes | yes
long | Height | Height of the picture | available | read only | yes | yes
VARIANT_BOOL | Hide |  | available | available | yes | yes
long | Left | Left-coordinate of the picture | read only | read only | yes | yes
short | MonitorId | Returns the ID of the Monitor on which the picture is opened. (RT-Only) | not used | read only | yes | yes
BSTR | Name |  | available | read only | yes | yes
VARIANT_BOOL | Online |  | not used | read only | yes | yes
IDynPictures | Parent |  | read only | read only | yes | yes
IPictureFilter | PictureFilter | Return the current picture filter. (RT-Only) | not used | available | yes | yes
long | Right | Right-coordinate of the picture | read only | not used | yes | yes
VARIANT_BOOL | ShowInCE | Use picture in CE-projects | available | not used | yes | yes
VARIANT_BOOL | ShowModal | Show picture as modal dialog | available | not used | yes | yes
VARIANT_BOOL | ShowTitle | Shows the name in the titelbar | available | not used | yes | yes
long | StartFunction | Rt-Function by showing the picture | available | not used | yes | yes
BSTR | Template |  | available | read only | yes | yes
long | Top | Top-coordinate of the picture | read only | read only | yes | yes
long | Type |  | available | not used | yes | yes
VARIANT_BOOL | UseTemplateSize | Use size-properties of the linked template | available | not used | yes | yes
long | Width | Width of the picture | available | read only | yes | yes
long | ZoomLevel | Zoom level of a world picture (RT-Only) | not used | read only | yes | yes
long | InstanceId | Returns the template instance ID of the DynPicture. (RT-Only) | not used | read only | yes | yes
IElement | DynPictureContainer | Returns the container element in which the DynPicture is contained, or NULL when the DynPicture is not inside a container. (RT-Only) | not used | read only | yes | yes
IDynPictureInstances | Instances | Returns a collection containing all instances of the DynPicture. (RT-Only) | not used | read only | yes | yes
BSTR | Template |  | available | read only | yes | yes
long | Type |  | available | not used | yes | yes
long | ZoomLevel | Zoom level of a world picture (RT-Only) | not used | read only | yes | yes
VARIANT_BOOL | UseTemplateSize | Use size-properties of the linked template | available | not used | yes | yes
long | Top | Top-coordinate of the picture | read only | read only | yes | yes
long | Width | Width of the picture | available | read only | yes | yes

Other topics in this chapter

Parent

Name

Type

Template

BackColor

ZoomLevel

Hide

Enable

Online

StartFunction

EndFunction

UseTemplateSize

ShowTitle

ShowModal

BorderStyle

ShowInCE

BackgroundImage

BackgroundImageStyle

Left

Top

Right

Bottom

Width

Height

AutoKBLayout

PictureFilter

MonitorId

InstanceId

DynPictureContainer

Instances


Parent

Manuel -> Interfaces de programmation -> Modèles d'objet -> DynPicture -> DynPicture-Properties -> Parent

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the parent object

Datatype

Parent() As DynPictures

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


Name

Manuel -> Interfaces de programmation -> Modèles d'objet -> DynPicture -> DynPicture-Properties -> Name

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the unique name of the current picture. With this name the picture can be found in the central pictures list of the project.

Datatype

Name() As String

Availability

Environment | Available
Editor | available
Runtime | read only
VBA | yes
VSTA | yes


Type

Manuel -> Interfaces de programmation -> Modèles d'objet -> DynPicture -> DynPicture-Properties -> Type

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

Type() As long

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes


Template

Manuel -> Interfaces de programmation -> Modèles d'objet -> DynPicture -> DynPicture-Properties -> Template

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

Template() As BSTR

Availability

Environment | Available
Editor | available
Runtime | read only
VBA | yes
VSTA | yes


BackColor

Manuel -> Interfaces de programmation -> Modèles d'objet -> DynPicture -> DynPicture-Properties -> BackColor

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

BackColor() As OLE_COLOR

Availability

Environment | Available
Editor | available
Runtime | read only
VBA | yes
VSTA | yes


ZoomLevel

Manuel -> Interfaces de programmation -> Modèles d'objet -> DynPicture -> DynPicture-Properties -> ZoomLevel

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

ZoomLevel() As long

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes


Hide

Manuel -> Interfaces de programmation -> Modèles d'objet -> DynPicture -> DynPicture-Properties -> Hide

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

This property can influence the visibility of the picture. Usually this property returns False, i.e. the picture is displayed.If the property is set to True, the picture is displayed invisibly. The picture stays invisible, until this property is set back to False.Hint: Reopening the picture does not change this setting.

Datatype

Hide() As Boolean

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes


Enable

Manuel -> Interfaces de programmation -> Modèles d'objet -> DynPicture -> DynPicture-Properties -> Enable

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

This property de/activates the current picture. Usually this property returns True, i.e. operation of the picture is allowed.If this property returns False, the picture is deactivated. In this case the elements of the picture cannot be operated, e.g. clicking on dynamic elements.The picture stays inactive, until this property is set back to True.Hint: Reopening the picture does not change this setting.

Datatype

Enable() As Boolean

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes


Online

Manuel -> Interfaces de programmation -> Modèles d'objet -> DynPicture -> DynPicture-Properties -> Online

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

This property checks, if the current picture is open.The following example searches for the picture START. If it is found, a MsgBox informs the user, whether or not the picture is corrently opened.

Datatype

Online() As Boolean

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

'*** Is the current picture shown
Public Sub LeftClickUp_Picture_IsOnline(obElem As Element)
Dim obPicture As DynPicture

'*** Get picture-object
Set obPicture = thisProject.DynPictures.Item("START")
If (obPicture Is Nothing) Then
MsgBox "Error: Picture-object is invalid..."
Exit Sub
End If

'*** is picture shown?????
If (obPicture.Online = True) Then
MsgBox "Picture 'Start' is shown at the moment..."
Else
MsgBox "Picture 'Start' is NOT shown at the moment..." & vbCrLf & _
"Current Picture is '" & obElem.Parent.Parent.Name & "'!"
End If

obElem.LeftClickUp
End Sub


StartFunction

Manuel -> Interfaces de programmation -> Modèles d'objet -> DynPicture -> DynPicture-Properties -> StartFunction

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Gets or sets the name of the function that should be executed automatically when the picture is opened in the Runtime.Hint: If more than one function should be executed, then a script with all the desired functions has to be created and the function for executing the script has to be linked here.

Datatype

StartFunction() As long

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes


EndFunction

Manuel -> Interfaces de programmation -> Modèles d'objet -> DynPicture -> DynPicture-Properties -> EndFunction

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Gets or sets the name of the function that should be executed automatically when the picture is closed in the Runtime.Hint: If more than one function should be executed, then a script with all the desired functions has to be created and the function for executing the script has to be linked here.

Datatype

EndFunction() As long

Availability

Environment | Available
Editor | available
Runtime | read only
VBA | yes
VSTA | yes


UseTemplateSize

Manuel -> Interfaces de programmation -> Modèles d'objet -> DynPicture -> DynPicture-Properties -> UseTemplateSize

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

UseTemplateSize() As VARIANT_BOOL

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes


ShowTitle

Manuel -> Interfaces de programmation -> Modèles d'objet -> DynPicture -> DynPicture-Properties -> ShowTitle

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Shows the titlebar, if set TRUE.

Datatype

ShowTitle() As Boolean

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes


ShowModal

Manuel -> Interfaces de programmation -> Modèles d'objet -> DynPicture -> DynPicture-Properties -> ShowModal

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Show picture as modal dialog, if set TRUE.As long as this picture is open in the Runtime, no other picture beside it can be operated (e.g. for a login picture). Other pictures that were opened out of this picture can be operated.

Datatype

ShowModal() As Boolean

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes


BorderStyle

Manuel -> Interfaces de programmation -> Modèles d'objet -> DynPicture -> DynPicture-Properties -> BorderStyle

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

BorderStyle() As long

Availability

Environment | Available
Editor | available
Runtime | read only
VBA | yes
VSTA | yes


ShowInCE

Manuel -> Interfaces de programmation -> Modèles d'objet -> DynPicture -> DynPicture-Properties -> ShowInCE

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

The picture is also displayed under Windows CE, if set TRUE.Thus in networks with PCs and CE devices, functionalities, which are not supported by Windows CE, can be used on the PCs without having problems on the CE devices.

Datatype

ShowInCE() As Boolean

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes


BackgroundImage

Manuel -> Interfaces de programmation -> Modèles d'objet -> DynPicture -> DynPicture-Properties -> BackgroundImage

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Gets or sets the path to the background image for the DynPicture.

Datatype

BackgroundImage() As String

Availability

Environment | Available
Editor | available
Runtime | read only
VBA | yes
VSTA | yes


BackgroundImageStyle

Manuel -> Interfaces de programmation -> Modèles d'objet -> DynPicture -> DynPicture-Properties -> BackgroundImageStyle

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

BackgroundImageStyle() As long

Availability

Environment | Available
Editor | available
Runtime | read only
VBA | yes
VSTA | yes


Left

Manuel -> Interfaces de programmation -> Modèles d'objet -> DynPicture -> DynPicture-Properties -> Left

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the position of the left picture border in pixel. The value defines the distance from the left border of the screen.The following VBA example moves the current picture to the bottom and to the right by 10 pixels.

Datatype

Left() As long

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

'*** The current picture is moved by 10 pixel/side (top,bottom,left,right)
Public Sub LeftClickUp_Picture_Move(obElem As Element)
Dim obPicture As DynPicture

'*** Get picture-object
Set obPicture = obElem.Parent.Parent
If (obPicture Is Nothing) Then
MsgBox "Error: Picture-object is invalid..."
Exit Sub
End If

'*** De/-activate the current picture
obPicture.Move obPicture.Left + 10, obPicture.Top + 10, obPicture.Width, obPicture.Height
obElem.LeftClickUp
End Sub


Top

Manuel -> Interfaces de programmation -> Modèles d'objet -> DynPicture -> DynPicture-Properties -> Top

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

Top() As long

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


Right

Manuel -> Interfaces de programmation -> Modèles d'objet -> DynPicture -> DynPicture-Properties -> Right

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the position of the right picture border in pixel. The value defines the distance from the left border of the screen.The following VBA example moves the current picture to the bottom and to the right by 10 pixels.

Datatype

Right() As long

Availability

Environment | Available
Editor | read only
Runtime | not used
VBA | yes
VSTA | yes

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

'*** The current picture is moved by 10 pixel/side (top,bottom,left,right)
Public Sub LeftClickUp_Picture_Move(obElem As Element)
Dim obPicture As DynPicture

'*** Get picture-object
Set obPicture = obElem.Parent.Parent
If (obPicture Is Nothing) Then
MsgBox "Error: Picture-object is invalid..."
Exit Sub
End If

'*** De/-activate the current picture
obPicture.Move obPicture.Left + 10, obPicture.Top + 10, obPicture.Width, obPicture.Height
obElem.LeftClickUp
End Sub


Bottom

Manuel -> Interfaces de programmation -> Modèles d'objet -> DynPicture -> DynPicture-Properties -> Bottom

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the position of the bottom picture border in pixel. The value defines the distance from the top border of the screen.

Datatype

Bottom() As long

Availability

Environment | Available
Editor | read only
Runtime | not used
VBA | yes
VSTA | yes


Width

Manuel -> Interfaces de programmation -> Modèles d'objet -> DynPicture -> DynPicture-Properties -> Width

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

Width() As long

Availability

Environment | Available
Editor | available
Runtime | read only
VBA | yes
VSTA | yes


Height

Manuel -> Interfaces de programmation -> Modèles d'objet -> DynPicture -> DynPicture-Properties -> Height

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the defined height of the picture in pixels. The height of the picture is the difference between the bottom and the top border.Hint: This property cannot be set, if the property "UseTemplateSize" is set TRUE.The following VBA example moves the current picture to the bottom and to the right by 10 pixels.

Datatype

Height() As long

Availability

Environment | Available
Editor | available
Runtime | read only
VBA | yes
VSTA | yes

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

'*** The current picture is moved by 10 pixel/side (top,bottom,left,right)
Public Sub LeftClickUp_Picture_Move(obElem As Element)
Dim obPicture As DynPicture

'*** Get picture-object
Set obPicture = obElem.Parent.Parent
If (obPicture Is Nothing) Then
MsgBox "Error: Picture-object is invalid..."
Exit Sub
End If

'*** De/-activate the current picture
obPicture.Move obPicture.Left + 10, obPicture.Top + 10, obPicture.Width, obPicture.Height
obElem.LeftClickUp
End Sub


AutoKBLayout

Manuel -> Interfaces de programmation -> Modèles d'objet -> DynPicture -> DynPicture-Properties -> AutoKBLayout

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Enables or disables the automatic keyboard layout functionality.Hint: Only available for pictures of type "Keyboard".

Datatype

AutoKBLayout() As Boolean

Availability

Environment | Available
Editor | available
Runtime | read only
VBA | yes
VSTA | yes


PictureFilter

Manuel -> Interfaces de programmation -> Modèles d'objet -> DynPicture -> DynPicture-Properties -> PictureFilter

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

PictureFilter() As PictureFilter

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes


MonitorId

Manuel -> Interfaces de programmation -> Modèles d'objet -> DynPicture -> DynPicture-Properties -> MonitorId

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

MonitorId() As short

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes


InstanceId

Manuel -> Interfaces de programmation -> Modèles d'objet -> DynPicture -> DynPicture-Properties -> InstanceId

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the template instance ID of the DynPicture. (RT-Only).

Datatype

InstanceId() As long

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes


DynPictureContainer

Manuel -> Interfaces de programmation -> Modèles d'objet -> DynPicture -> DynPicture-Properties -> DynPictureContainer

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the container element in which the DynPicture is contained, or NULL when the DynPicture is not inside a container. (RT-Only).

Datatype

DynPictureContainer() As IElement

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes


Instances

Manuel -> Interfaces de programmation -> Modèles d'objet -> DynPicture -> DynPicture-Properties -> Instances

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns a collection containing all instances of the DynPicture. (RT-Only).

Datatype

Instances() As IDynPictureInstances

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes


DynPicture-Methods

Manuel -> Interfaces de programmation -> Modèles d'objet -> DynPicture -> DynPicture-Methods

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description |  | Editor | Runtime | VBA | VSTA
void | Activate | Activates the picture (only runtime) |  | available | available | yes | yes
void | BringToTop | Brings picture to top of Z-order |  | not used | available | yes | yes
VARIANT_BOOL | CheckIn | Save module modifications to server (editor). |  | available | not used | yes | yes
VARIANT_BOOL | CheckOut | Allow module modifications (editor). |  | available | not used | yes | yes
VARIANT_BOOL | CloseDynPicture | Closes the Screen when its currently opened (RT-Only) |  | not used | available | yes | yes
VARIANT_BOOL | Copy | Copies the picture |  | available | not used | yes | yes
VARIANT_BOOL | CreateMdiDefaultElements | Create the MDI-Default elements (only with MDI-Windows) |  | available | not used | yes | yes
void | DeselectElements | Deselects all currently selected Elements |  | not used | available | yes | yes
void | DynProperties [PUT] | - |  | available | available | yes | yes
VARIANT | DynProperties [GET] | - |  | available | available | yes | yes
VARIANT | DynPropertiesEnum [GET] | - |  | read only | read only | yes | yes
IElements | Elements | Returns the Elements-list |  | available | available | yes | yes
VARIANT_BOOL | Get | Get the latest version from the server (editor). |  | available | not used | yes | yes
VARIANT_BOOL | Hardcopy | Creates a Bitmap of the picture, with the appearance as shown in the editor. |  | available | not used | yes | yes
short | ImportMdiElements | Imports the MDI-Default elements from a template (only with MDI-Windows) |  | available | not used | yes | yes
IElement | InsertSymbol | Insert a symbol from the symbol-library |  | available | not used | yes | yes
VARIANT_BOOL | IsCheckedOut | Returns true when the current module checked out by the current user (editor). |  | read only | not used | yes | yes
VARIANT_BOOL | IsDifferent | Returns true when the local and server version are different (editor). | read only |  | not used | yes |  | yes
VARIANT_BOOL | IsLocked | Returns true when the current module is Locked by another user (editor). |  | read only | not used | yes | yes
IMdiElements | MdiElements | Returns the list of the available MDI-controls |  | available | not used | yes | yes
void | Move | - |  | available | available | yes | yes
VARIANT_BOOL | Save | - |  | available | not used | yes | yes
IElements | SelElements | Returns the list of selected Elements |  | not used | available | yes | yes
void | SetZoomAndPos | Sets zoom factors and position of a world picture (RT-Only) |  | not used | available | yes | yes
VARIANT_BOOL | UndoCheckOut | Undo module modifications (editor). |  | available | not used | yes | yes
void | Update | - |  | not used | available | yes | yes
void | UpdateAll | Update the picture |  | not used | available | yes | yes
IPropParam | DynPropertyParam [GET] | Returns the PropParam objekt of the given DynProperty |  | read only | not used | yes | yes
IMDITemplates | CreateMDIScreenTemplate | Create MDI-Screen template from an picture. |  | available | not used | yes | yes

Other topics in this chapter

DynPropertyParam [GET]

DynPropertiesEnum [GET]

DynProperties [GET]

DynProperties [PUT]

Activate

Elements

Update

UpdateAll

Move

BringToTop

SetZoomAndPos

CloseDynPicture

Save

Copy

CreateMdiDefaultElements

ImportMdiElements

CreateMDIScreenTemplate

MdiElements

InsertSymbol

SelElements

DeselectElements

Hardcopy

Get

CheckOut

CheckIn

UndoCheckOut

IsLocked

IsCheckedOut

IsDifferent


DynPropertyParam [GET]

Manuel -> Interfaces de programmation -> Modèles d'objet -> DynPicture -> DynPicture-Methods -> DynPropertyParam [GET]

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

DynPropertyParam [GET](BSTR bsPath) As PropParam

Availability

Environment | Available
Editor | read only
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


DynPropertiesEnum [GET]

Manuel -> Interfaces de programmation -> Modèles d'objet -> DynPicture -> DynPicture-Methods -> DynPropertiesEnum [GET]

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

DynPropertiesEnum(String bsPath) As VARIANT

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes

Parameters

A String which defines the entry point to get out all available properties of the object.

A blank String like that returns the first layer of properties:

DynPropertiesEnum("")

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

bsPath As String

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Sub ReadDynProps()
End Sub


DynProperties [GET]

Manuel -> Interfaces de programmation -> Modèles d'objet -> DynPicture -> DynPicture-Methods -> DynProperties [GET]

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

DynProperties(String bsPath) As VARIANT

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

A String which defines the Property.

Example: "NetAktive"

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

bsPath As String

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Sub GetDynProp()
'Sample: GSet the Network Aktive Flag of the Project.
If MyWorkspace.ActiveDocument.DynProperties("NetActive") = True Then
'read the server - computername...
Debug.Print "Server: " & MyWorkspace.ActiveDocument.DynProperties("NetServer")
End If
End Sub


DynProperties [PUT]

Manuel -> Interfaces de programmation -> Modèles d'objet -> DynPicture -> DynPicture-Methods -> DynProperties [PUT]

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

DynProperties (String bsPath,VARIANT vValue) As void

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

A String which defines the Property.

Example: "NetAktive"

Returns a variant value depending to the property, it can be a boolean, a long, or a whole object.

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

bsPath As String

vValue As Variant

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Sub SetDynProp()
End Sub


Activate

Manuel -> Interfaces de programmation -> Modèles d'objet -> DynPicture -> DynPicture-Methods -> Activate

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

This method brings the current picture to the foreground – if it is overlapped by another picture.Be aware, that the according picture has to be opened before.The picture „Dialog“ will be switched to the foreground. If the picture is not open yet, a MsgBox shall inform the user. By switching to another picture the picture is brought to the background – but not closed. The example was written in zenOn-VBA.

Datatype

Activate() As void

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

public void MacroActivate()

{

//NOTE: This macro will only bring the picture with name "Start"

// to the foreground - it will not perform a screen switch as

// if a screen switch function was used

IDynPicture zenonPicture = this.DynPictures().Item("Start");

zenonPicture.Activate();

}

VB.NET

Public Sub MacroActivate()

'NOTE: This macro will only bring the picture with name "Start"

' to the foreground - it will not perform a screen switch as

' if a screen switch function was used

Dim zenonPicture As IDynPicture = Me.DynPictures().Item("Start")

zenonPicture.Activate()

End Sub

VBA

VBA-Syntax


Elements

Manuel -> Interfaces de programmation -> Modèles d'objet -> DynPicture -> DynPicture-Methods -> Elements

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the collection of the defined dynamic elements contained in the picture.Each defined dynamic element is available as an object Element. The defined dynamic elements can be accessed in the collection by their unique names or by their indices.The name has to be given to the element explicitely by the user. For more detailed information have a look at the Element and Elements parts. For further information have a look at the Elements part.

Datatype

Elements() As Elements

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


Update

Manuel -> Interfaces de programmation -> Modèles d'objet -> DynPicture -> DynPicture-Methods -> Update

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

This method redraws a certain area of the picture. The user has to know which part of the picture should be redrawn. The parameters include the corners of the rectangular area that should be redrawn.Hint: Use UpdateAll to redraw the entire picture.

Datatype

Update(long Left, long Top, long Bottom, long Right) As void

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

public void MacroUpdate()

{

//This macro will update (redraw) the rectangular area as specified

IDynPicture zenonPicture = this.DynPictures().Item("Start");

zenonPicture.Update(0, 0, 0, 500);

}

VB.NET

Public Sub MacroUpdate()

'This macro will update (redraw) the rectangular area as specified

Dim zenonPicture As IDynPicture = Me.DynPictures().Item("Start")

zenonPicture.Update(0, 0, 0, 500)

End Sub

VBA

VBA-Syntax


UpdateAll

Manuel -> Interfaces de programmation -> Modèles d'objet -> DynPicture -> DynPicture-Methods -> UpdateAll

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

This method redraws the entire picture. All elements in the picture are redrawn.

Datatype

UpdateAll() As void

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

public void MacroUpdateAll()

{

//This macro will update (redraw) all elements of the start picture

//An element has to be updated for example if its color changed due to some other

//event

IDynPicture zenonPicture = this.DynPictures().Item("Start");

zenonPicture.UpdateAll();

}

VB.NET

Public Sub MacroUpdateAll()

'This macro will update (redraw) all elements of the start picture

'An element has to be updated for example if its color changed due to some other

'event

Dim zenonPicture As IDynPicture = Me.DynPictures().Item("Start")

zenonPicture.UpdateAll()

End Sub

VBA

VBA-Syntax


Move

Manuel -> Interfaces de programmation -> Modèles d'objet -> DynPicture -> DynPicture-Methods -> Move

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Updates the position of a DynPicture object. In order to ensure the new position is visualized make sure to call the UpdateAll method of the DynPicture object.

Datatype

Move(long Left, long Top, long Width, long Height) As void

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

VB.NET

VBA

Left As Long

Height As Long

Top As Long

Width As Long

Examples

C#

public void MacroMovePicture()

{

//This macro moves the picture start to the left by 10 pixels

IDynPicture zenonPicture = this.DynPictures().Item("Start");

zenonPicture.Move(zenonPicture.Left + 10, zenonPicture.Top, zenonPicture.Width, zenonPicture.Height);

//Call UpdateAll to ensure the pictures new position and all relative elements are updated

zenonPicture.UpdateAll();

}

VB.NET

Public Sub MacroMovePicture()

'This macro moves the picture start to the left by 10 pixels

Dim zenonPicture As IDynPicture = Me.DynPictures().Item("Start")

zenonPicture.Move(zenonPicture.Left + 10, zenonPicture.Top, zenonPicture.Width, zenonPicture.Height)

'Call UpdateAll to ensure the pictures new position and all relative elements are updated

zenonPicture.UpdateAll()

End Sub

VBA

Sub
'*** The current picture is moved by 10 pixel/side (top,bottom,left,right)
Public Sub LeftClickUp_Picture_Move(obElem As Element)
Dim obPicture As DynPicture

'*** Get picture-object
Set obPicture = obElem.Parent.Parent
If (obPicture Is Nothing) Then
MsgBox "Error: Picture-object is invalid..."
Exit Sub
End If

'*** De/-activate the current picture
obPicture.Move obPicture.Left + 10, obPicture.Top + 10, obPicture.Width, obPicture.Height
obElem.LeftClickUp
End Sub


BringToTop

Manuel -> Interfaces de programmation -> Modèles d'objet -> DynPicture -> DynPicture-Methods -> BringToTop

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Calling this method will bring a picture without "always on top" to the highest z order of all pictures without "always on top" and a picture with "always on top" on the highest z-order of all pictures with "always on top". Pictures without "always on top" therefore will not cover pictures with "always on top".

Datatype

BringToTop() As void

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

public void MacroBringToTop()

{

//NOTE: This like the activate method is not a substitute for a screen switch

// A screen switch function should be used to switch between two pictures

IDynPicture zenonPicture = this.DynPictures().Item("Start");

zenonPicture.UpdateAll();

}

VB.NET

Public Sub MacroBringToTop()

'NOTE: This like the activate method is not a substitute for a screen switch

' A screen switch function should be used to switch between two pictures

Dim zenonPicture As IDynPicture = Me.DynPictures().Item("Start")

zenonPicture.UpdateAll()

End Sub

VBA

VBA-Syntax


SetZoomAndPos

Manuel -> Interfaces de programmation -> Modèles d'objet -> DynPicture -> DynPicture-Methods -> SetZoomAndPos

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Updates the Zoom and position of a dynamic picture, like the internal function would.

Datatype

SetZoomAndPos(FLOAT ZoomX, FLOAT ZoomY, long ZoomLevel, long CursorX, long CursorY, long PosX, long PosY, long iPosMode) As void

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes

Parameters

ZoomX - New zoom factor in x direction (-1 if not used)

ZoomY - New zoom factor in y direction (-1 if not used)

ZoomLevel - Cannot be used with ZoomX and ZoomY (0 if not used)

PosX - New x position according to PosMode

PosY - New y position according to PosMode

PosMode - Determines how PosX and PosY are interpreted

-1 = PosX, PosY are ignored

0 = Set the center point and use original coordinates

1 = Set the center point and use new coordinates

2 = From the top left, use original coordinates

3 = From the top left, use zoomed coordinates

4 = Use the zoomed coordinates of the cursor from the top left, the window position is changed so that the cursor stays in the same position.

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


CloseDynPicture

Manuel -> Interfaces de programmation -> Modèles d'objet -> DynPicture -> DynPicture-Methods -> CloseDynPicture

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Closes a opened screen. In case the screen is not open, the return value of the function = FALSE.

Datatype

CloseDynPicture() As Boolean

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes

Examples

C#

//This function closes a specific screen.

public void Macro_Test_CloseDynpicture()

{

//The function returns true: screen is open

//The function returns false: screen not open

if (!this.DynPictures().Item("Screen 2").CloseDynPicture())

{

System.Windows.Forms.MessageBox.Show("Couldn't close, no window with assigned name is open!");

}

else

{

System.Windows.Forms.MessageBox.Show("Closed window");

}

}

VB.NET

'This function closes a specific screen.

Public Sub Macro_Test_CloseDynpicture()

'The function returns true: screen is open

'The function returns false: screen not open

If Not Me.DynPictures().Item("Screen 2").CloseDynPicture() Then

System.Windows.Forms.MessageBox.Show("Couldn't close, no window with assigned name is open!")

Else

System.Windows.Forms.MessageBox.Show("Closed window")

End If

End Sub

VBA

VBA-Syntax


Save

Manuel -> Interfaces de programmation -> Modèles d'objet -> DynPicture -> DynPicture-Methods -> Save

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Method to save the picture (changes in this collection)

Datatype

Save() As Boolean

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


Copy

Manuel -> Interfaces de programmation -> Modèles d'objet -> DynPicture -> DynPicture-Methods -> Copy

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Copies the settings of an existing "DynPicture" object to the current object.

Datatype

Copy(IDynPicture PictureSource) As Boolean

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

"DynPicture" object from which the settings should be copied from.

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

PictureSource As DynPicture

Examples

C#

public void MacroCreateCopy()

{

//This macro creates a copy of the start picture

IDynPicture zenonPictureStart = this.ActiveDocument.DynPictures().Item("Start");

//First create a new picture which we will copy our settings to

IDynPicture zenonPictureCopy = this.ActiveDocument.DynPictures().Create("copiedPicture", "MAIN", 0);

//Call the copy method to actually copy the settings

zenonPictureStart.Copy(zenonPictureCopy);

}

VB.NET

Public Sub MacroCreateCopy()

'This macro creates a copy of the start picture

Dim zenonPictureStart As IDynPicture = Me.ActiveDocument.DynPictures().Item("Start")

'First create a new picture which we will copy our settings to

Dim zenonPictureCopy As IDynPicture = Me.ActiveDocument.DynPictures().Create("copiedPicture", "MAIN", 0)

'Call the copy method to actually copy the settings

zenonPictureStart.Copy(zenonPictureCopy)

End Sub

VBA

Sub zenOn_CopyDynPicture()
'Declarations
Dim zPic As DynPicture
Dim zPicCopy As DynPicture

'Initialize zPic with the start picture
Set zPic = MyWorkspace.ActiveDocument.DynPictures.Item("START")
'Initialize zPicCopy by creating a new picture linked to Frame "MAIN_WIZARD" as standard picture type
Set zPicCopy = MyWorkspace.ActiveDocument.DynPictures.Create("zPicCopy", "MAIN_WIZARD", 0)

'Copy the settings from zPic to zPicCopy
zPicCopy.Copy zPic

End Sub


CreateMdiDefaultElements

Manuel -> Interfaces de programmation -> Modèles d'objet -> DynPicture -> DynPicture-Methods -> CreateMdiDefaultElements

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Create the MDI-Default elements (only by MDI-Windows)

Datatype

CreateMdiDefaultElements() As Boolean

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


ImportMdiElements

Manuel -> Interfaces de programmation -> Modèles d'objet -> DynPicture -> DynPicture-Methods -> ImportMdiElements

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Imports the MDI-Default elements from a template (only with MDI-Windows). Use the Boolean DelElements) to define the replacement of existing settings.

The method returns an error code on the result of the import can be evaluated:
0 = OK
-1 = Screen not loaded
-2 = No screen type
-3 = The specified file does not exist
-4 = Import failed
-5 = Type of template and screen type do not match
-6 = Error loading screen

Datatype

ImportMdiElements(String FileName, Boolean DelElements) As short

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

bool DelElements

The parameter specifies the file name which the template is stored.
If an empty file name ("") specified, the default elements of the MDI type of screen to be created.
In this case behaves the method (almost) the same as the method "CreateMdiDefaultElements"

string FileName

The parameter specifies wheter to override a existing items with the same file name.
True = Override
False = none

VB.NET

Dim FileName As String

The parameter specifies the file name which the template is stored.
If an empty file name ("") specified, the default elements of the MDI type of screen to be created.
In this case behaves the method (almost) the same as the method "CreateMdiDefaultElements"

Dim DelElements As Boolean

The parameter specifies wheter to override a existing items with the same file name.
True = Override
False = none

VBA

FileName As String

The parameter specifies the file name which the template is stored.
If an empty file name ("") specified, the default elements of the MDI type of screen to be created.
In this case behaves the method (almost) the same as the method "CreateMdiDefaultElements"

DelElements As Boolean

The parameter specifies wheter to override a existing items with the same file name.
True = Override
False = none

Examples

C#

public void MacroImportMdiTemplate()

{

IDynPicture zenonDynPicture = this.ActiveDocument.DynPictures().Item("Bild 2");

if(zenonDynPicture != null)

{

short res = zenonDynPicture.ImportMdiElements(@"C:\ProgramData\COPA-DATA\zenon700\Templates\ ScreenTypes\Keyboard\6eeae916-0098-40ab-9dc9-a9ce1dcf4bb5.zip", true);

if(res == 0)

zenonDynPicture.Save();

}

}

VB.NET

Public Sub MacroImportMdiTemplate()

Dim zenonDynPicture As IDynPicture = Me.ActiveDocument.DynPictures().Item("Bild 2")

If zenonDynPicture IsNot Nothing Then

Dim res As Short = zenonDynPicture.ImportMdiElements("C:\ProgramData\COPA-DATA\zenon700\Templates\ ScreenTypes\Keyboard\6eeae916-0098-40ab-9dc9-a9ce1dcf4bb5.zip", True)

If res = 0 Then

zenonDynPicture.Save()

End If

End If

End Sub

VBA

Private Sub ImportMdiTemplate()

Dim Picture As DynPicture

Dim Res As Integer

Set Picture = MyWorkspace.ActiveDocument.DynPictures.Item("Bild 2")

If Not Picture Is Nothing Then

Res = Picture.ImportMdiElements("C:\ProgramData\COPA-DATA\zenon700\Templates\ ScreenTypes\Keyboard\6eeae916-0098-40ab-9dc9-a9ce1dcf4bb5.zip", True)

If Res = 0 Then

Picture.Save

End If

End Sub


CreateMDIScreenTemplate

Manuel -> Interfaces de programmation -> Modèles d'objet -> DynPicture -> DynPicture-Methods -> CreateMDIScreenTemplate

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Creates a template from a screen

Datatype

CreateMDIScreenTemplate(BSTR bsFilename, BSTR bsGroup, BSTR bsDescription, BOOL bOverwrite) As IMDITemplates

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

VB.NET

VBA

Examples

C#

VB.NET

VBA

Private Sub CreateMDIScreenTemplate()

Dim Picture As DynPicture

Dim Template As MDITemplate

Set Picture = MyWorkspace.ActiveDocument.DynPictures.Item("Bild 2")

' * Diese Funktion erstellt aus einem Bild ein Template *

' * Die ersten zwei Parameter müssen mitübergeben werden, sonst Fehler *

' * Der dritte Parameter ist optional und ist die Beschreibung zum Template *

' * Der vierte Parameter gibt an ob ein Template, welches existiert, *

' * überschrieben werden soll, sofern dies kein CD Template ist *

' * zurückgegeben wird das fertige MDITemplate *

Template=Picture.CreateMDIScreenTemplate("TemplateBild2.xml", "Schablonen.Copadata", "Dieses Template tut dieses und jenes", True)

If Not Template Is Nothing Then

' Hat funktioniert

Else

' Error

End If

End Sub


MdiElements

Manuel -> Interfaces de programmation -> Modèles d'objet -> DynPicture -> DynPicture-Methods -> MdiElements

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the list ("MdiElements" object) of the available MDI-controls.

Datatype

MdiElements() As MdiElements

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


InsertSymbol

Manuel -> Interfaces de programmation -> Modèles d'objet -> DynPicture -> DynPicture-Methods -> InsertSymbol

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Insert a symbol from the symbol-library by its name and symbol group name.

Datatype

InsertSymbol(String bsName, String bsLibrary, Boolean bLinked) As Element

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

1. bsName

- Name of the symbol within the library.

2. bsLibrary

- "" (Emtpy string) if from the local project

- "SymbolGroupName" if from the General symbol library

- "~|GPLN|~" if from the library in the global project

3. bLinked

- If set TRUE the symbol constitutes a linked symbol. Otherwise the symbol will be embedded.

Examples

C#

public void MacroInsertSymbol()

{

//This macro demonstrates how to insert a symbol via the VSTA API

IDynPicture zenonPictureStart = this.ActiveDocument.DynPictures().Item("Start");

//Insert the symbol "battery_charging" from group "batteries_16_9" to the start picture linked

zenonPictureStart.InsertSymbol("battery_charging", "batteries_16_9", true);

}

VB.NET

Public Sub MacroInsertSymbol()

'This macro demonstrates how to insert a symbol via the VSTA API

Dim zenonPictureStart As IDynPicture = Me.ActiveDocument.DynPictures().Item("Start")

'Insert the symbol "battery_charging" from group "batteries_16_9" to the start picture linked

zenonPictureStart.InsertSymbol("battery_charging", "batteries_16_9", True)

End Sub

VBA

Sub zenOn_DynPicture_InsertSymbol()
'Declarations
Dim zPic As DynPicture

'Initialize zPic with the start picture
Set zPic = MyWorkspace.ActiveDocument.DynPictures.Item("START")

'Insert linked symbol "Brake motor" from the category "F_Motors" to the start picture
zPic.InsertSymbol "Brake motor", "F_Motors", True

End Sub


SelElements

Manuel -> Interfaces de programmation -> Modèles d'objet -> DynPicture -> DynPicture-Methods -> SelElements

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns a list ("Elements" object) of selected "Element" objects within the picture.Hint: Only available, if the lasso selection is activated within the project.<span style="font-family:courier new;">MyWorkspace.ActiveDocument.DynProperties("RuntimeLasso") = True</span>

Datatype

SelElements() As Elements

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

public void MacroListSelectionAndDeselect()

{

//This Macro will list all selected elements on the start screen and deselect them

//NOTE: Only works if "RuntimeLasso" is set to true on project

IDynPicture zenonPicture = this.DynPictures().Item("Start");

IElements zenonSelectedElements = zenonPicture.SelElements();

//Loop through the selected elements and print their names

for (int i = 0; i < zenonSelectedElements.Count; ++i)

{

IElement currentElement = zenonSelectedElements.Item(i);

System.Diagnostics.Debug.Print(currentElement.Name);

}

//Deselect all elements

zenonPicture.DeselectElements();

}

VB.NET

Public Sub MacroListSelectionAndDeselect()

'This Macro will list all selected elements on the start screen and deselect them

'NOTE: Only works if "RuntimeLasso" is set to true on project

Dim zenonPicture As IDynPicture = Me.DynPictures().Item("Start")

Dim zenonSelectedElements As IElements = zenonPicture.SelElements()

'Loop through the selected elements and print their names

Dim i As Integer = 0

While i < zenonSelectedElements.Count

Dim currentElement As IElement = zenonSelectedElements.Item(i)

System.Diagnostics.Debug.Print(currentElement.Name)

System.Threading.Interlocked.Increment(i)

End While

'Deselect all elements

zenonPicture.DeselectElements()

End Sub

VBA

Sub zenOn_DynPicture_ListSelection()
'Declarations
Dim zPic As DynPicture
Dim i As Integer

'Initialize zPic with the start picture
Set zPic = thisProject.DynPictures.Item("START")

'For every selected element in the start picture...
For i = 0 To zPic.SelElements.Count - 1
'...output the name
Debug.Print i + 1 & ". item: " & zPic.SelElements.Item(i).Name
Next i

'Deselect all selected elements
zPic.DeselectElements

End Sub


DeselectElements

Manuel -> Interfaces de programmation -> Modèles d'objet -> DynPicture -> DynPicture-Methods -> DeselectElements

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Deselects all selected elements in the corresponding picture.Hint: Only available, if the lasso selection is activated within the project.<span style="font-family:courier new;">MyWorkspace.ActiveDocument.DynProperties("RuntimeLasso") = True</span>

Datatype

DeselectElements() As void

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

public void MacroListSelectionAndDeselect()

{

//This Macro will list all selected elements on the start screen and deselect them

//NOTE: Only works if "RuntimeLasso" is set to true on project

IDynPicture zenonPicture = this.DynPictures().Item("Start");

IElements zenonSelectedElements = zenonPicture.SelElements();

//Loop through the selected elements and print their names

for (int i = 0; i < zenonSelectedElements.Count; ++i)

{

IElement currentElement = zenonSelectedElements.Item(i);

System.Diagnostics.Debug.Print(currentElement.Name);

}

//Deselect all elements

zenonPicture.DeselectElements();

}

VB.NET

Public Sub MacroListSelectionAndDeselect()

'This Macro will list all selected elements on the start screen and deselect them

'NOTE: Only works if "RuntimeLasso" is set to true on project

Dim zenonPicture As IDynPicture = Me.DynPictures().Item("Start")

Dim zenonSelectedElements As IElements = zenonPicture.SelElements()

'Loop through the selected elements and print their names

Dim i As Integer = 0

While i < zenonSelectedElements.Count

Dim currentElement As IElement = zenonSelectedElements.Item(i)

System.Diagnostics.Debug.Print(currentElement.Name)

System.Threading.Interlocked.Increment(i)

End While

'Deselect all elements

zenonPicture.DeselectElements()

End Sub

VBA

VBA-Syntax


Hardcopy

Manuel -> Interfaces de programmation -> Modèles d'objet -> DynPicture -> DynPicture-Methods -> Hardcopy

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Exports the picture into a file. Currently only the export as a bitmap file is available.

Datatype

Hardcopy(String bsFileName,tpHardcopyOutput lOutputFormat) As Boolean

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

public void MacroExportPictures()

{

//This Macro will export pictures of all pictures in the active document to bmp files

for (int i = 0; i < this.ActiveDocument.DynPictures().Count; ++i)

{

IDynPicture zenonPicture = this.ActiveDocument.DynPictures().Item(i);

zenonPicture.Hardcopy(string.Format(@"C:\zenon_pictures\picture_{0}.bmp", zenonPicture.Name), tpHardcopyOutput.tpBMP);

}

}

VB.NET

Public Sub MacroExportPictures()

'This Macro will export pictures of all pictures in the active document to bmp files

Dim i As Integer = 0

While i < Me.ActiveDocument.DynPictures().Count

Dim zenonPicture As IDynPicture = Me.ActiveDocument.DynPictures().Item(i)

zenonPicture.Hardcopy(String.Format("C:\zenon_pictures\picture_{0}.bmp", zenonPicture.Name), tpHardcopyOutput.tpBMP)

System.Threading.Interlocked.Increment(i)

End While

End Sub

VBA

VBA-Syntax


Get

Manuel -> Interfaces de programmation -> Modèles d'objet -> DynPicture -> DynPicture-Methods -> Get

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Get the latest version from the server (editor). This option is only working for multi-user projects.

Datatype

Get() As Boolean

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

public void CheckIn(IDynPicture zenonPicture)

{

//Checks in the DynPicture object iff it is not locked and it does differ from the server version

if (!zenonPicture.IsLocked())

{

if (zenonPicture.IsDifferent())

{

zenonPicture.CheckIn();

}

}

}

public void MacroDynPictureMultiuser()

{

//Get an object of the "Start" picture in the current active document

IDynPicture zenonPicture = this.ActiveDocument.DynPictures().Item("Start");

if (!zenonPicture.IsCheckedOut())

{

if (zenonPicture.CheckOut())

{

//The driver was checked out by the user who executed this macro

if (zenonPicture.Get())

{

//Got the latest version of the driver

//Edit some properties of the driver

zenonPicture.Name = "NewName";

//Check the DynPicture in again so others can check it out

CheckIn(zenonPicture);

}

else

{

zenonPicture.UndoCheckOut();

//The latest version could not be received, undo the checkout (Inform Error)

}

}

else

{

//The DynPicture can't currently be checked out (Inform Error)

}

}

else

{

//Someone else has the object checked out! (Inform Error)

}

}

VB.NET

Public Sub CheckIn(zenonPicture As IDynPicture)

'Checks in the DynPicture object iff it is not locked and it does differ from the server version

If Not zenonPicture.IsLocked() Then

If zenonPicture.IsDifferent() Then

zenonPicture.CheckIn()

End If

End If

End Sub

Public Sub MacroDynPictureMultiuser()

'Get an object of the "Start" picture in the current active document

Dim zenonPicture As IDynPicture = Me.ActiveDocument.DynPictures().Item("Start")

If Not zenonPicture.IsCheckedOut() Then

If zenonPicture.CheckOut() Then

'The driver was checked out by the user who executed this macro

If zenonPicture.[Get]() Then

'Got the latest version of the driver

'Edit some properties of the driver

zenonPicture.Name = "NewName"

'Check the DynPicture in again so others can check it out

CheckIn(zenonPicture)

Else

'The latest version could not be received, undo the checkout (Inform Error)

zenonPicture.UndoCheckOut()

End If

'The DynPicture can't currently be checked out (Inform Error)

Else

End If

'Someone else has the object checked out! (Inform Error)

Else

End If

End Sub

VBA

VBA-Syntax


CheckOut

Manuel -> Interfaces de programmation -> Modèles d'objet -> DynPicture -> DynPicture-Methods -> CheckOut

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Allow module modifications (editor). This option is only working for multi-user projects.

Datatype

CheckOut() As Boolean

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

public void CheckIn(IDynPicture zenonPicture)

{

//Checks in the DynPicture object iff it is not locked and it does differ from the server version

if (!zenonPicture.IsLocked())

{

if (zenonPicture.IsDifferent())

{

zenonPicture.CheckIn();

}

}

}

public void MacroDynPictureMultiuser()

{

//Get an object of the "Start" picture in the current active document

IDynPicture zenonPicture = this.ActiveDocument.DynPictures().Item("Start");

if (!zenonPicture.IsCheckedOut())

{

if (zenonPicture.CheckOut())

{

//The driver was checked out by the user who executed this macro

if (zenonPicture.Get())

{

//Got the latest version of the driver

//Edit some properties of the driver

zenonPicture.Name = "NewName";

//Check the DynPicture in again so others can check it out

CheckIn(zenonPicture);

}

else

{

zenonPicture.UndoCheckOut();

//The latest version could not be received, undo the checkout (Inform Error)

}

}

else

{

//The DynPicture can't currently be checked out (Inform Error)

}

}

else

{

//Someone else has the object checked out! (Inform Error)

}

}

VB.NET

Public Sub CheckIn(zenonPicture As IDynPicture)

'Checks in the DynPicture object iff it is not locked and it does differ from the server version

If Not zenonPicture.IsLocked() Then

If zenonPicture.IsDifferent() Then

zenonPicture.CheckIn()

End If

End If

End Sub

Public Sub MacroDynPictureMultiuser()

'Get an object of the "Start" picture in the current active document

Dim zenonPicture As IDynPicture = Me.ActiveDocument.DynPictures().Item("Start")

If Not zenonPicture.IsCheckedOut() Then

If zenonPicture.CheckOut() Then

'The driver was checked out by the user who executed this macro

If zenonPicture.[Get]() Then

'Got the latest version of the driver

'Edit some properties of the driver

zenonPicture.Name = "NewName"

'Check the DynPicture in again so others can check it out

CheckIn(zenonPicture)

Else

'The latest version could not be received, undo the checkout (Inform Error)

zenonPicture.UndoCheckOut()

End If

'The DynPicture can't currently be checked out (Inform Error)

Else

End If

'Someone else has the object checked out! (Inform Error)

Else

End If

End Sub

VBA

VBA-Syntax


CheckIn

Manuel -> Interfaces de programmation -> Modèles d'objet -> DynPicture -> DynPicture-Methods -> CheckIn

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Save module modifications to server (editor). This option is only working for multi-user projects.

Datatype

CheckIn() As Boolean

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

public void CheckIn(IDynPicture zenonPicture)

{

//Checks in the DynPicture object iff it is not locked and it does differ from the server version

if (!zenonPicture.IsLocked())

{

if (zenonPicture.IsDifferent())

{

zenonPicture.CheckIn();

}

}

}

public void MacroDynPictureMultiuser()

{

//Get an object of the "Start" picture in the current active document

IDynPicture zenonPicture = this.ActiveDocument.DynPictures().Item("Start");

if (!zenonPicture.IsCheckedOut())

{

if (zenonPicture.CheckOut())

{

//The driver was checked out by the user who executed this macro

if (zenonPicture.Get())

{

//Got the latest version of the driver

//Edit some properties of the driver

zenonPicture.Name = "NewName";

//Check the DynPicture in again so others can check it out

CheckIn(zenonPicture);

}

else

{

zenonPicture.UndoCheckOut();

//The latest version could not be received, undo the checkout (Inform Error)

}

}

else

{

//The DynPicture can't currently be checked out (Inform Error)

}

}

else

{

//Someone else has the object checked out! (Inform Error)

}

}

VB.NET

Public Sub CheckIn(zenonPicture As IDynPicture)

'Checks in the DynPicture object iff it is not locked and it does differ from the server version

If Not zenonPicture.IsLocked() Then

If zenonPicture.IsDifferent() Then

zenonPicture.CheckIn()

End If

End If

End Sub

Public Sub MacroDynPictureMultiuser()

'Get an object of the "Start" picture in the current active document

Dim zenonPicture As IDynPicture = Me.ActiveDocument.DynPictures().Item("Start")

If Not zenonPicture.IsCheckedOut() Then

If zenonPicture.CheckOut() Then

'The driver was checked out by the user who executed this macro

If zenonPicture.[Get]() Then

'Got the latest version of the driver

'Edit some properties of the driver

zenonPicture.Name = "NewName"

'Check the DynPicture in again so others can check it out

CheckIn(zenonPicture)

Else

'The latest version could not be received, undo the checkout (Inform Error)

zenonPicture.UndoCheckOut()

End If

'The DynPicture can't currently be checked out (Inform Error)

Else

End If

'Someone else has the object checked out! (Inform Error)

Else

End If

End Sub

VBA

VBA-Syntax


UndoCheckOut

Manuel -> Interfaces de programmation -> Modèles d'objet -> DynPicture -> DynPicture-Methods -> UndoCheckOut

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Undo module modifications (editor). This option is only working for multi-user projects.

Datatype

UndoCheckOut() As Boolean

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

public void CheckIn(IDynPicture zenonPicture)

{

//Checks in the DynPicture object iff it is not locked and it does differ from the server version

if (!zenonPicture.IsLocked())

{

if (zenonPicture.IsDifferent())

{

zenonPicture.CheckIn();

}

}

}

public void MacroDynPictureMultiuser()

{

//Get an object of the "Start" picture in the current active document

IDynPicture zenonPicture = this.ActiveDocument.DynPictures().Item("Start");

if (!zenonPicture.IsCheckedOut())

{

if (zenonPicture.CheckOut())

{

//The driver was checked out by the user who executed this macro

if (zenonPicture.Get())

{

//Got the latest version of the driver

//Edit some properties of the driver

zenonPicture.Name = "NewName";

//Check the DynPicture in again so others can check it out

CheckIn(zenonPicture);

}

else

{

zenonPicture.UndoCheckOut();

//The latest version could not be received, undo the checkout (Inform Error)

}

}

else

{

//The DynPicture can't currently be checked out (Inform Error)

}

}

else

{

//Someone else has the object checked out! (Inform Error)

}

}

VB.NET

Public Sub CheckIn(zenonPicture As IDynPicture)

'Checks in the DynPicture object iff it is not locked and it does differ from the server version

If Not zenonPicture.IsLocked() Then

If zenonPicture.IsDifferent() Then

zenonPicture.CheckIn()

End If

End If

End Sub

Public Sub MacroDynPictureMultiuser()

'Get an object of the "Start" picture in the current active document

Dim zenonPicture As IDynPicture = Me.ActiveDocument.DynPictures().Item("Start")

If Not zenonPicture.IsCheckedOut() Then

If zenonPicture.CheckOut() Then

'The driver was checked out by the user who executed this macro

If zenonPicture.[Get]() Then

'Got the latest version of the driver

'Edit some properties of the driver

zenonPicture.Name = "NewName"

'Check the DynPicture in again so others can check it out

CheckIn(zenonPicture)

Else

'The latest version could not be received, undo the checkout (Inform Error)

zenonPicture.UndoCheckOut()

End If

'The DynPicture can't currently be checked out (Inform Error)

Else

End If

'Someone else has the object checked out! (Inform Error)

Else

End If

End Sub

VBA

VBA-Syntax


IsLocked

Manuel -> Interfaces de programmation -> Modèles d'objet -> DynPicture -> DynPicture-Methods -> IsLocked

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns true if modification changes are locked due to a checkout. This option is only working for multi-user projects. NOTE: In a multiu-user project it is recommended to check for IsLocked == false before performing any modification changes at all.

Datatype

IsLocked() As Boolean

Availability

Environment | Available
Editor | read only
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

public void CheckIn(IDynPicture zenonPicture)

{

//Checks in the DynPicture object iff it is not locked and it does differ from the server version

if (!zenonPicture.IsLocked())

{

if (zenonPicture.IsDifferent())

{

zenonPicture.CheckIn();

}

}

}

public void MacroDynPictureMultiuser()

{

//Get an object of the "Start" picture in the current active document

IDynPicture zenonPicture = this.ActiveDocument.DynPictures().Item("Start");

if (!zenonPicture.IsCheckedOut())

{

if (zenonPicture.CheckOut())

{

//The driver was checked out by the user who executed this macro

if (zenonPicture.Get())

{

//Got the latest version of the driver

//Edit some properties of the driver

zenonPicture.Name = "NewName";

//Check the DynPicture in again so others can check it out

CheckIn(zenonPicture);

}

else

{

zenonPicture.UndoCheckOut();

//The latest version could not be received, undo the checkout (Inform Error)

}

}

else

{

//The DynPicture can't currently be checked out (Inform Error)

}

}

else

{

//Someone else has the object checked out! (Inform Error)

}

}

VB.NET

Public Sub CheckIn(zenonPicture As IDynPicture)

'Checks in the DynPicture object iff it is not locked and it does differ from the server version

If Not zenonPicture.IsLocked() Then

If zenonPicture.IsDifferent() Then

zenonPicture.CheckIn()

End If

End If

End Sub

Public Sub MacroDynPictureMultiuser()

'Get an object of the "Start" picture in the current active document

Dim zenonPicture As IDynPicture = Me.ActiveDocument.DynPictures().Item("Start")

If Not zenonPicture.IsCheckedOut() Then

If zenonPicture.CheckOut() Then

'The driver was checked out by the user who executed this macro

If zenonPicture.[Get]() Then

'Got the latest version of the driver

'Edit some properties of the driver

zenonPicture.Name = "NewName"

'Check the DynPicture in again so others can check it out

CheckIn(zenonPicture)

Else

'The latest version could not be received, undo the checkout (Inform Error)

zenonPicture.UndoCheckOut()

End If

'The DynPicture can't currently be checked out (Inform Error)

Else

End If

'Someone else has the object checked out! (Inform Error)

Else

End If

End Sub

VBA

VBA-Syntax


IsCheckedOut

Manuel -> Interfaces de programmation -> Modèles d'objet -> DynPicture -> DynPicture-Methods -> IsCheckedOut

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns true if scripts are checked out. This option is only working for multi-user projects.

Datatype

IsCheckedOut() As Boolean

Availability

Environment | Available
Editor | read only
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

public void CheckIn(IDynPicture zenonPicture)

{

//Checks in the DynPicture object iff it is not locked and it does differ from the server version

if (!zenonPicture.IsLocked())

{

if (zenonPicture.IsDifferent())

{

zenonPicture.CheckIn();

}

}

}

public void MacroDynPictureMultiuser()

{

//Get an object of the "Start" picture in the current active document

IDynPicture zenonPicture = this.ActiveDocument.DynPictures().Item("Start");

if (!zenonPicture.IsCheckedOut())

{

if (zenonPicture.CheckOut())

{

//The driver was checked out by the user who executed this macro

if (zenonPicture.Get())

{

//Got the latest version of the driver

//Edit some properties of the driver

zenonPicture.Name = "NewName";

//Check the DynPicture in again so others can check it out

CheckIn(zenonPicture);

}

else

{

zenonPicture.UndoCheckOut();

//The latest version could not be received, undo the checkout (Inform Error)

}

}

else

{

//The DynPicture can't currently be checked out (Inform Error)

}

}

else

{

//Someone else has the object checked out! (Inform Error)

}

}

VB.NET

Public Sub CheckIn(zenonPicture As IDynPicture)

'Checks in the DynPicture object iff it is not locked and it does differ from the server version

If Not zenonPicture.IsLocked() Then

If zenonPicture.IsDifferent() Then

zenonPicture.CheckIn()

End If

End If

End Sub

Public Sub MacroDynPictureMultiuser()

'Get an object of the "Start" picture in the current active document

Dim zenonPicture As IDynPicture = Me.ActiveDocument.DynPictures().Item("Start")

If Not zenonPicture.IsCheckedOut() Then

If zenonPicture.CheckOut() Then

'The driver was checked out by the user who executed this macro

If zenonPicture.[Get]() Then

'Got the latest version of the driver

'Edit some properties of the driver

zenonPicture.Name = "NewName"

'Check the DynPicture in again so others can check it out

CheckIn(zenonPicture)

Else

'The latest version could not be received, undo the checkout (Inform Error)

zenonPicture.UndoCheckOut()

End If

'The DynPicture can't currently be checked out (Inform Error)

Else

End If

'Someone else has the object checked out! (Inform Error)

Else

End If

End Sub

VBA

VBA-Syntax


IsDifferent

Manuel -> Interfaces de programmation -> Modèles d'objet -> DynPicture -> DynPicture-Methods -> IsDifferent

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns true if local version differs from server (editor) version. This option is only working for multi-user projects.

Datatype

IsDifferent() As VARIANT_BOOL

Availability

Environment | Available
Editor | read only
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

public void CheckIn(IDynPicture zenonPicture)

{

//Checks in the DynPicture object iff it is not locked and it does differ from the server version

if (!zenonPicture.IsLocked())

{

if (zenonPicture.IsDifferent())

{

zenonPicture.CheckIn();

}

}

}

public void MacroDynPictureMultiuser()

{

//Get an object of the "Start" picture in the current active document

IDynPicture zenonPicture = this.ActiveDocument.DynPictures().Item("Start");

if (!zenonPicture.IsCheckedOut())

{

if (zenonPicture.CheckOut())

{

//The driver was checked out by the user who executed this macro

if (zenonPicture.Get())

{

//Got the latest version of the driver

//Edit some properties of the driver

zenonPicture.Name = "NewName";

//Check the DynPicture in again so others can check it out

CheckIn(zenonPicture);

}

else

{

zenonPicture.UndoCheckOut();

//The latest version could not be received, undo the checkout (Inform Error)

}

}

else

{

//The DynPicture can't currently be checked out (Inform Error)

}

}

else

{

//Someone else has the object checked out! (Inform Error)

}

}

VB.NET

Public Sub CheckIn(zenonPicture As IDynPicture)

'Checks in the DynPicture object iff it is not locked and it does differ from the server version

If Not zenonPicture.IsLocked() Then

If zenonPicture.IsDifferent() Then

zenonPicture.CheckIn()

End If

End If

End Sub

Public Sub MacroDynPictureMultiuser()

'Get an object of the "Start" picture in the current active document

Dim zenonPicture As IDynPicture = Me.ActiveDocument.DynPictures().Item("Start")

If Not zenonPicture.IsCheckedOut() Then

If zenonPicture.CheckOut() Then

'The driver was checked out by the user who executed this macro

If zenonPicture.[Get]() Then

'Got the latest version of the driver

'Edit some properties of the driver

zenonPicture.Name = "NewName"

'Check the DynPicture in again so others can check it out

CheckIn(zenonPicture)

Else

'The latest version could not be received, undo the checkout (Inform Error)

zenonPicture.UndoCheckOut()

End If

'The DynPicture can't currently be checked out (Inform Error)

Else

End If

'Someone else has the object checked out! (Inform Error)

Else

End If

End Sub

VBA

VBA-Syntax


DynPicture-Events

Manuel -> Interfaces de programmation -> Modèles d'objet -> DynPicture -> DynPicture-Events

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
void | Close | Event is fired by closing the picture | not used | available | yes | yes
void | Open | Event is fired by opening the picture | not used | available | yes | yes
void | Timer |  | not used | available | yes | yes

Other topics in this chapter

Open

Close

Timer


Open

Manuel -> Interfaces de programmation -> Modèles d'objet -> DynPicture -> DynPicture-Events -> Open

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

This event is executed, when the current picture is opened.Hint: For the use of events, the "DynPicture" object must be defined with WithEvents.

Datatype

Open() As void

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

private IDynPicture _zenonPicture;

void ThisProject_Active()

{

//Initialize the instance variable with the screen of name "Start"

_zenonPicture = this.DynPictures().Item("Start");

//Attach the event handler

_zenonPicture.Open += new OpenEventHandler(_zenonPicture_Open);

}

void _zenonPicture_Open()

{

//Everytime the dynPicture Start is opened a message is written to the CEL

this.Cel().WriteCelString(_zenonPicture.Name + " was opened.");

}

void ThisProject_Inactive()

{

//Detach the event handler

_zenonPicture.Open -= new OpenEventHandler(_zenonPicture_Open);

FreeObjects();

}

VB.NET

Private _zenonPicture As IDynPicture

Private Sub ThisProject_Active()

'Initialize the instance variable with the screen of name "Start"

_zenonPicture = Me.DynPictures().Item("Start")

'Attach the event handler

AddHandler _zenonPicture.Open, AddressOf _zenonPicture_Open

End Sub

Private Sub _zenonPicture_Open()

'Everytime the dynPicture Start is opened a message is written to the CEL

Me.Cel().WriteCelString(_zenonPicture.Name + " was opened.")

End Sub

Private Sub ThisProject_Inactive()

'Detach the event handler

RemoveHandler _zenonPicture.Open, AddressOf _zenonPicture_Open

FreeObjects()

End Sub

VBA

'Declaration of zPIC, in order to use it with events
Dim WithEvents zPIC As dynpicture

'Event is fired, when project is opened
Private Sub Project_Active()
'Initialize zPIC with the start picture
Set zPIC = thisProject.DynPictures.Item("START")
End Sub

'Event is fired, when picture is opened
Private Sub zPIC_Open()
'Output the time when the picture was opened
Debug.Print Now & " Picture OPENED!"
End Sub

'Event is fired, when project is closed
Private Sub Project_Inactive()
'Deinitialize zPIC on project close
Set zPIC = Nothing
End Sub


Close

Manuel -> Interfaces de programmation -> Modèles d'objet -> DynPicture -> DynPicture-Events -> Close

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

This event is executed on closing the current picture.Hint: For the use of events, the "DynPicture" object must be defined with WithEvents.

Datatype

Close() As void

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

private IDynPicture _zenonPicture;

void ThisProject_Active()

{

//Initialize the instance variable with the screen of name "Start"

_zenonPicture = this.DynPictures().Item("Start");

//Attach the event handler

_zenonPicture.Close += new CloseEventHandler(_zenonPicture_Close);

}

void _zenonPicture_Close()

{

//Everytime the dynPicture Start is closed a message is written to the CEL

this.Cel().WriteCelString(_zenonPicture.Name + " was closed.");

}

void ThisProject_Inactive()

{

//Detach the event handler

_zenonPicture.Close -= new CloseEventHandler(_zenonPicture_Close);

FreeObjects();

}

VB.NET

Private _zenonPicture As IDynPicture

Private Sub ThisProject_Active()

'Initialize the instance variable with the screen of name "Start"

_zenonPicture = Me.DynPictures().Item("Start")

'Attach the event handler

AddHandler _zenonPicture.Close, AddressOf _zenonPicture_Close

End Sub

Private Sub _zenonPicture_Close()

'Everytime the dynPicture Start is closed a message is written to the CEL

Me.Cel().WriteCelString(_zenonPicture.Name + " was closed.")

End Sub

Private Sub ThisProject_Inactive()

'Detach the event handler

RemoveHandler _zenonPicture.Close, AddressOf _zenonPicture_Close

FreeObjects()

End Sub

VBA

'Declaration of zPIC, in order to use it with events
Dim WithEvents zPIC As dynpicture

'Event is fired, when project is opened
Private Sub Project_Active()
'Initialize zPIC with the start picture
Set zPIC = thisProject.DynPictures.Item("START")
End Sub

'Event is fired, when picture is closed
Private Sub zPIC_Close()
'Output the time when the picture was closed
Debug.Print Now & " Picture CLOSED!"
End Sub

'Event is fired, when project is closed
Private Sub Project_Inactive()
'Deinitialize zPIC on project close
Set zPIC = Nothing
End Sub


Timer

Manuel -> Interfaces de programmation -> Modèles d'objet -> DynPicture -> DynPicture-Events -> Timer

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

This event is executed in a cyclic interval – depending on the flash frequency set in the project. In this event extended visualization effects can be realized, e.g. mini animations.Hint: For the use of events, the "DynPicture" object must be defined with WithEvents.

Datatype

Timer() As void

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

private IDynPicture _zenonPicture;

private IElement _zenonElement;

void ThisProject_Active()

{

//Initialize the instance variable with the screen of name "Start"

_zenonPicture = this.DynPictures().Item("Start");

//Attach the event handler

_zenonPicture.Timer += new TimerEventHandler(_zenonPicture_Timer);

}

void _zenonPicture_Timer()

{

//This event is executed cyclicly, depending on the projects flash frequency

//Here it is used to animate a sample object in a very simple way

//NOTE: Refreshing an element too often might cause screen flickering, this

// is just for demonstration purposes.

_zenonElement = _zenonPicture.Elements().Item("test_object");

_zenonElement.BackColor = _zenonElement.BackColor - 1;

_zenonElement.Update();

}

void ThisProject_Inactive()

{

//Detach the event handler

_zenonPicture.Timer -= new TimerEventHandler(_zenonPicture_Timer);

FreeObjects();

}

VB.NET

Private _zenonPicture As IDynPicture

Private _zenonElement As IElement

Private Sub ThisProject_Active()

'Initialize the instance variable with the screen of name "Start"

_zenonPicture = Me.DynPictures().Item("Start")

'Attach the event handler

AddHandler _zenonPicture.Timer, AddressOf _zenonPicture_Timer

End Sub

Private Sub _zenonPicture_Timer()

'This event is executed cyclicly, depending on the projects flash frequency

'Here it is used to animate a sample object in a very simple way

'NOTE: Refreshing an element too often might cause screen flickering, this

' is just for demonstration purposes.

_zenonElement = _zenonPicture.Elements().Item("test_object")

_zenonElement.BackColor = _zenonElement.BackColor - 1

_zenonElement.Update()

End Sub

Private Sub ThisProject_Inactive()

'Detach the event handler

RemoveHandler _zenonPicture.Timer, AddressOf _zenonPicture_Timer

FreeObjects()

End Sub

VBA

VBA-Syntax


DynPictureInstances

Manuel -> Interfaces de programmation -> Modèles d'objet -> DynPictureInstances

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Used to check if a screen is displayed in the runtime. With the Count() property the amount of screens is determined. The Item() property is used to determine the Dynpicture object for each instance.

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes

Examples

C#

public void MacroGetInstances()

{

IDynPicture zenonPicture = this.DynPictures().Item("Start");

//Loop through any instance of the picture "start" and print name + id

for (int i = 0; i < zenonPicture.Instances.Count; ++i)

{

IDynPicture currentPicture = zenonPicture.Instances.Item(i);

if (currentPicture != null)

System.Diagnostics.Debug.Print(currentPicture.Name + " " + currentPicture.InstanceId);

}

}

VB.NET

Public Sub MacroGetInstances()

Dim zenonPicture As IDynPicture = Me.DynPictures().Item("Start")

'Loop through any instance of the picture "start" and print name + id

Dim i As Integer = 0

While i < zenonPicture.Instances.Count

Dim currentPicture As IDynPicture = zenonPicture.Instances.Item(i)

If not (currentPicture is nothing) Then

System.Diagnostics.Debug.Print(currentPicture.Name + " " + currentPicture.InstanceId)

End If

System.Threading.Interlocked.Increment(i)

End While

End Sub

VBA

Public Sub LeftClickUp_Default(obElem As Element)

Dim FacePlate As DynPicture

Dim DynPictureContainer As Element

Dim strTrace As String

strTrace = "Das Element befindet sich auf Bild:" & obElem.Parent.Parent.Name & " mit InstanzID:" & obElem.Parent.Parent.InstanceId

If Not obElem.Parent.Parent.DynPictureContainer Is Nothing Then

strTrace = strTrace & " in einen BildContainer:" & obElem.Parent.Parent.DynPictureContainer.Name

strTrace = strTrace & ", welches sich auf Bild:" & obElem.Parent.Parent.DynPictureContainer.Parent.Parent.Name & " mit InstanzId:" & obElem.Parent.Parent.DynPictureContainer.Parent.Parent.InstanceId & "befindet."

End If

MsgBox strTrace

Dim myPiccheck As DynPicture

Set myPiccheck = thisProject.DynPictures.ItemOnMonitor(obElem.Parent.Parent.Name, obElem.Parent.Parent.MonitorId)

Debug.Print myPiccheck.Name

End Sub

Public Sub GetScreens()

Dim myinstances As DynPictureInstances

Dim myDynPicture As DynPicture

Stop

Set myinstances = thisProject.DynPictures.Item("Bild 2").Instances

If (myinstances.Count > 0) Then

For i = 0 To myinstances.Count - 1

Set myDynPicture = myinstances.Item(i)

If (Not myDynPicture Is Nothing) Then

Debug.Print "instance:" & myDynPicture.Name & " " & myDynPicture.InstanceId

End If

Next

End If

End Sub

Other topics in this chapter

DynPictureInstances-Properties

DynPictureInstances-Methods


DynPictureInstances-Properties

Manuel -> Interfaces de programmation -> Modèles d'objet -> DynPictureInstances -> DynPictureInstances-Properties

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
long | Count | Returns the amount of instances of the given DynPicture object. (RT-Only) | not used | read only | yes | yes

Other topics in this chapter

Count


Count

Manuel -> Interfaces de programmation -> Modèles d'objet -> DynPictureInstances -> DynPictureInstances-Properties -> Count

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the amount of instances of the given DynPicture object. (RT-Only).

Datatype

Count() As long

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes


DynPictureInstances-Methods

Manuel -> Interfaces de programmation -> Modèles d'objet -> DynPictureInstances -> DynPictureInstances-Methods

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
IDynPicture | Item | Returns instances at the given index. (RT-Only) | not used | read only | yes | yes

Other topics in this chapter

Item


Item

Manuel -> Interfaces de programmation -> Modèles d'objet -> DynPictureInstances -> DynPictureInstances-Methods -> Item

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns instances at the given index. (RT-Only).

Datatype

Item(long lIndex) As IDynPicture

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes

Parameters

C#

VB.NET

VBA

Examples

C#

public void MacroGetInstances()

{

IDynPicture zenonPicture = this.DynPictures().Item("Start");

//Loop through any instance of the picture "start" and print name + id

for (int i = 0; i < zenonPicture.Instances.Count; ++i)

{

IDynPicture currentPicture = zenonPicture.Instances.Item(i);

if (currentPicture != null)

System.Diagnostics.Debug.Print(currentPicture.Name + " " + currentPicture.InstanceId);

}

}

VB.NET

Public Sub MacroGetInstances()

Dim zenonPicture As IDynPicture = Me.DynPictures().Item("Start")

'Loop through any instance of the picture "start" and print name + id

Dim i As Integer = 0

While i < zenonPicture.Instances.Count

Dim currentPicture As IDynPicture = zenonPicture.Instances.Item(i)

If not (currentPicture is nothing) Then

System.Diagnostics.Debug.Print(currentPicture.Name + " " + currentPicture.InstanceId)

End If

System.Threading.Interlocked.Increment(i)

End While

End Sub

VBA

Public Sub LeftClickUp_Default(obElem As Element)

Dim FacePlate As DynPicture

Dim DynPictureContainer As Element

Dim strTrace As String

strTrace = "Das Element befindet sich auf Bild:" & obElem.Parent.Parent.Name & " mit InstanzID:" & obElem.Parent.Parent.InstanceId

If Not obElem.Parent.Parent.DynPictureContainer Is Nothing Then

strTrace = strTrace & " in einen BildContainer:" & obElem.Parent.Parent.DynPictureContainer.Name

strTrace = strTrace & ", welches sich auf Bild:" & obElem.Parent.Parent.DynPictureContainer.Parent.Parent.Name & " mit InstanzId:" & obElem.Parent.Parent.DynPictureContainer.Parent.Parent.InstanceId & "befindet."

End If

MsgBox strTrace

Dim myPiccheck As DynPicture

Set myPiccheck = thisProject.DynPictures.ItemOnMonitor(obElem.Parent.Parent.Name, obElem.Parent.Parent.MonitorId)

Debug.Print myPiccheck.Name

End Sub

Public Sub GetScreens()

Dim myinstances As DynPictureInstances

Dim myDynPicture As DynPicture

Stop

Set myinstances = thisProject.DynPictures.Item("Bild 2").Instances

If (myinstances.Count > 0) Then

For i = 0 To myinstances.Count - 1

Set myDynPicture = myinstances.Item(i)

If (Not myDynPicture Is Nothing) Then

Debug.Print "instance:" & myDynPicture.Name & " " & myDynPicture.InstanceId

End If

Next

End If

End Sub


DynPictures

Manuel -> Interfaces de programmation -> Modèles d'objet -> DynPictures

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

This collection contains the defined Screens. The single Screens can contain different dynamic elements. Each Screen is linked to a Frame, that contains general information on the outer appearance.Screens always come from the current project – the global project is ignored, as Screens are not supported in global projects.The single Screens can be found in the collection by their unique name or by the index. Each Screen is identified by an unique name.

Availability

Environment | Available
Editor | available
Runtime | read only
VBA | yes
VSTA | yes

Examples

C#

public void MacroCreateScreen()

{

IDynPicture zenonNewPicture = this.ActiveDocument.DynPictures().Item("NEW_SCREEN");

//Create the screen if it does not exist

if (zenonNewPicture == null)

{

zenonNewPicture = this.ActiveDocument.DynPictures().Create("NEW_SCREEN", "MAIN", tpDynPicturesTypes.tpStandard);

//Set the BackColor to red (255R,0G,0B)

zenonNewPicture.BackColor = 0x0000FF;

}

}

VB.NET

Public Sub MacroCreateScreen()

Dim zenonNewPicture As IDynPicture = Me.ActiveDocument.DynPictures().Item("NEW_SCREEN")

'Create the screen if it does not exist

If zenonNewPicture = Nothing Then

zenonNewPicture = Me.ActiveDocument.DynPictures().Create("NEW_SCREEN", "MAIN", tpDynPicturesTypes.tpStandard)

'Set the BackColor to red (255R,0G,0B)

zenonNewPicture.BackColor = &Hff

End If

End Sub

VBA

Sub CreateScreen()
Dim zPIC As DynPicture
Const ScreenName As String = "Alarm-Screen"
Const TemplateName As String = "MAIN"
'check if Screen already exists...
Set zPIC = MyWorkspace.ActiveDocument.DynPictures.Item(ScreenName)
If zPIC Is Nothing Then
'create new Screen if not existing...
Set zPIC = MyWorkspace.ActiveDocument.DynPictures.Create(ScreenName, TemplateName, tpAML)
'set the backcolor and create Default MDI Elements
With zPIC
.BackColor = vbRed
.CreateMdiDefaultElements
End With
End If
End Sub

Sub ScreenList()
Dim i, n As Integer
Dim zProject As Project
Dim zPicture As DynPicture
'use this in VBA at zenOn Runtime...
'Set zProject = thisproject
'or use this in the zenOn Editor...
Set zProject = MyWorkspace.ActiveDocument
'run trough all screens of the project...
For i = 0 To zProject.DynPictures.Count - 1
Set zPicture = zProject.DynPictures.Item(i)
Debug.Print zPicture.Name
'get count of elements within the actual screen
Debug.Print zPicture.Elements.Count & " Elements in this Screen..."
Next i
End Sub

Other topics in this chapter

DynPictures-Properties

DynPictures-Methods

DynPictures-Events


DynPictures-Properties

Manuel -> Interfaces de programmation -> Modèles d'objet -> DynPictures -> DynPictures-Properties

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
long | Count | Returns count of the elements | read only | read only | yes | yes
IProject | Parent | The parent object of the current object | read only | read only | yes | yes

Other topics in this chapter

Parent

Count


Parent

Manuel -> Interfaces de programmation -> Modèles d'objet -> DynPictures -> DynPictures-Properties -> Parent

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the parent object

Datatype

Parent() As Project

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


Count

Manuel -> Interfaces de programmation -> Modèles d'objet -> DynPictures -> DynPictures-Properties -> Count

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

The method returns the number of available objects. This property is mostly used for the method Item to run through each single object.Hint: For running through entries care, that the minimum is 0 and the maximum is Count-1.

Datatype

Count() As long

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


DynPictures-Methods

Manuel -> Interfaces de programmation -> Modèles d'objet -> DynPictures -> DynPictures-Methods

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
BSTR | AddMarker | Adds a marker into a screen | not used | available | yes | yes
IDynPicture | Create | Creates and returns a new Object | available | not used | yes | yes
VARIANT_BOOL | Delete | Deletes the objects from collection | available | not used | yes | yes
VARIANT_BOOL | DelMarker | Deletes a marker from a screen | not used | available | yes | yes
VARIANT_BOOL | Export | Exports the selected object to a XML file | available | not used | yes | yes
VARIANT_BOOL | Import | Imports the selected XML file | available | not used | yes | yes
IDynPicture | Item | Returns a object at a position or by a specified key | available | available | yes | yes
IDynPicture | ItemOnMonitor | Returns a screen with given name on the given monitor.(RT-Only) | not used | available | yes | yes
VARIANT_BOOL | SetupTouchInertia | Setup inertia settings for multitouch manipulation | not used | available | yes | yes
VARIANT_BOOL | SingleExport | Exports the Item with given Name oder Index | available | not used | yes | yes
VARIANT | GetPointerInfo | For internal use only | not used | available | No | yes
VARIANT_BOOL | SingleExport | Exports the Item with given Name oder Index | available | not used | yes | yes

Other topics in this chapter

Item

ItemOnMonitor

Create

Delete

Export

SingleExport

Import

SetupTouchInertia

AddMarker

DelMarker

GetPointerInfo


Item

Manuel -> Interfaces de programmation -> Modèles d'objet -> DynPictures -> DynPictures-Methods -> Item

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the object "DynPicture" from the collection, which is identified by the parameter vID.The parameter vID can have two values:<ul><li>Index: Access with an index mostly is used in combination with the property Count to find out the position of the variable object in the list.</li><li>Picture name: The picture can also be accessed with its unique name.</li></ul>Hint:The returned object should always be checked on Nothing, in case no object was found for the search criteria.

Datatype

Item(VARIANT vDynPictureID) As DynPicture

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

public void MacroListDynPictures()

{

//Print the name of every DynPicture in the collection

for (int i = 0; i < this.ActiveDocument.DynPictures().Count; ++i)

{

IDynPicture zenonPicture = this.ActiveDocument.DynPictures().Item(i);

System.Diagnostics.Debug.Print(zenonPicture.Name);

}

}

VB.NET

Public Sub MacroListDynPictures()

'Print the name of every DynPicture in the collection

Dim i As Integer = 0

While i < Me.ActiveDocument.DynPictures().Count

Dim zenonPicture As IDynPicture = Me.ActiveDocument.DynPictures().Item(i)

System.Diagnostics.Debug.Print(zenonPicture.Name)

System.Threading.Interlocked.Increment(i)

End While

End Sub

VBA

VBA-Syntax


ItemOnMonitor

Manuel -> Interfaces de programmation -> Modèles d'objet -> DynPictures -> DynPictures-Methods -> ItemOnMonitor

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

ItemOnMonitor(String bsSName, short MonitorId) As DynPicture

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


Create

Manuel -> Interfaces de programmation -> Modèles d'objet -> DynPictures -> DynPictures-Methods -> Create

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

Create(String bsName,String bsTemplate,tpDynPicturesTypes tpType) As DynPicture

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

public void MacroCreateScreen()

{

IDynPicture zenonNewPicture = this.ActiveDocument.DynPictures().Item("NEW_SCREEN");

//Create the screen if it does not exist

if (zenonNewPicture == null)

{

zenonNewPicture = this.ActiveDocument.DynPictures().Create("NEW_SCREEN", "MAIN", tpDynPicturesTypes.tpStandard);

//Set the BackColor to red (255R,0G,0B)

zenonNewPicture.BackColor = 0x0000FF;

}

}

VB.NET

Public Sub MacroCreateScreen()

Dim zenonNewPicture As IDynPicture = Me.ActiveDocument.DynPictures().Item("NEW_SCREEN")

'Create the screen if it does not exist

If zenonNewPicture = Nothing Then

zenonNewPicture = Me.ActiveDocument.DynPictures().Create("NEW_SCREEN", "MAIN", tpDynPicturesTypes.tpStandard)

'Set the BackColor to red (255R,0G,0B)

zenonNewPicture.BackColor = &Hff

End If

End Sub

VBA

VBA-Syntax


Delete

Manuel -> Interfaces de programmation -> Modèles d'objet -> DynPictures -> DynPictures-Methods -> Delete

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Deletes the corresponding "DynPicture" object from the collection by its unique name.

Datatype

Delete(String bsName) As Boolean

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

using System.Text.RegularExpressions;

private const string DUMMY_REGEX = @"[\s\S]*dummy[\s\S]*";

public void MacroDeletePictureRegEx()

{

//Uses a regular expression to delete any picture that

//has the name "dummy" in its name

for (int i = 0; i < this.ActiveDocument.DynPictures().Count; ++i)

{

IDynPicture currentPicture = this.ActiveDocument.DynPictures().Item(i);

if (Regex.IsMatch(currentPicture.Name, DUMMY_REGEX))

this.ActiveDocument.DynPictures().Delete(currentPicture.Name);

}

}

VB.NET

Imports System.Text.RegularExpressions

Private Const DUMMY_REGEX As String = "[\s\S]*dummy[\s\S]*"

Public Sub MacroDeletePictureRegEx()

'Uses a regular expression to delete any picture that

'has the name "dummy" in its name

For i As Integer = 0 To Me.ActiveDocument.DynPictures().Count - 1

Dim currentPicture As IDynPicture = Me.ActiveDocument.DynPictures().Item(i)

If Regex.IsMatch(currentPicture.Name, DUMMY_REGEX) Then

Me.ActiveDocument.DynPictures().Delete(currentPicture.Name)

End If

Next

End Sub

VBA

VBA-Syntax


Export

Manuel -> Interfaces de programmation -> Modèles d'objet -> DynPictures -> DynPictures-Methods -> Export

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Export settings to an xml file

Datatype

Export(String bsFileName) As Boolean

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

public void MacroExportDynPictures()

{

//Export all dynpictures to C:\Test\test.xml

this.ActiveDocument.DynPictures().Export(@"C:\Test\test.xml");

}

VB.NET

Public Sub MacroExportDynPictures()

'Export all dynpictures to C:\Test\test.xml

Me.ActiveDocument.DynPictures().Export("C:\Test\test.xml")

End Sub

VBA

VBA-Syntax


SingleExport

Manuel -> Interfaces de programmation -> Modèles d'objet -> DynPictures -> DynPictures-Methods -> SingleExport

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

SingleExport(VARIANT vIndexOrName,BSTR bsFileName) As VARIANT_BOOL

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

VB.NET

VBA

Examples

C#

public void MacroExportPicturesToFiles()

{

for (int i = 0; i < this.ActiveDocument.DynPictures().Count; ++i)

{

//Generates a new XML file for each picture instead of one big xml file

this.ActiveDocument.DynPictures()

.SingleExport(i, @"C:\Test\picture_"

+ this.ActiveDocument.DynPictures().Item(i).Name + ".xml");

}

}

VB.NET

Public Sub MacroExportPicturesToFiles()

Dim i As Integer = 0

While i < Me.ActiveDocument.DynPictures().Count

'Generates a new XML file for each picture instead of one big xml file

Me.ActiveDocument.DynPictures().SingleExport(i, "C:\Test\picture_" + Me.ActiveDocument.DynPictures().Item(i).Name + ".xml")

System.Threading.Interlocked.Increment(i)

End While

End Sub

VBA


Import

Manuel -> Interfaces de programmation -> Modèles d'objet -> DynPictures -> DynPictures-Methods -> Import

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Import settings from an xml file. New settings are added, existing settings will be replaced. Note: One xml file may contain more than one picture.

Datatype

Import(String bsFileName) As Boolean

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

Filename (path) as string of the xml file to import.

C#

VB.NET

VBA

bsFileName As String

Examples

C#

private const string XML_PATH = @"C:\test\";

public void MacroImportPictures()

{

foreach (string s in Directory.GetFiles(XML_PATH))

{

//Loop through the whole specified directory

//And import the dynpicture settings found

//First check if the file is an xml file

if(Path.GetExtension(s) == ".xml")

this.ActiveDocument.DynPictures().Import(s);

}

}

VB.NET

Private Const XML_PATH As String = "C:\test\"

Public Sub MacroImportPictures()

For Each s As String In Directory.GetFiles(XML_PATH)

'Loop through the whole specified directory

'And import the dynpicture settings found

'First check if the file is an xml file

If Path.GetExtension(s) = ".xml" Then

Me.ActiveDocument.DynPictures().Import(s)

End If

Next

End Sub

VBA

Private Sub zenOn_ExportImportSettings(ByRef zenOnObject As Object)
End Sub


SetupTouchInertia

Manuel -> Interfaces de programmation -> Modèles d'objet -> DynPictures -> DynPictures-Methods -> SetupTouchInertia

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

SetupTouchInertia(FLOAT Deceleration, FLOAT AngularDeceleration, FLOAT ExpansionDeceleration) As Boolean

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


AddMarker

Manuel -> Interfaces de programmation -> Modèles d'objet -> DynPictures -> DynPictures-Methods -> AddMarker

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Adds a marker into the screen. The GUID of the marker, which is provided by the AddMarker(), is the explicit id as well as the element name, with the following prefix: $MARKER_.

It is also used as key to delete the marker using: DelMarker(). Those markers that are inserted using the API are stored imaged-based in the project. This is non-retentive beyond Runtime restart. The markers are handled internally as a normal picture elements, therefore mouse events are called. Siehe auch: Konfiguration der Bildmarker

Datatype

AddMarker(String bsScreenName, long nElementID, short nPosition, short nLineColorIndex, short nFillColorIndex) As String

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

String bsScreenName

long nElementID

short nPosition

short nLineColorIndex

short nFillColorIndex

VB.NET

Dim bsScreenName As [String]

Dim nElementID As Long

Dim nPosition As Short

Dim nLineColorIndex As Short

Dim nFillColorIndex As Short

VBA

VBA-Syntax

Examples

C#

/* Use only for Runtime, that means use the VSTA/VBA editor for the activated project to create your macro.

* This example will place a marker on a line element.

*/

public void Macro_AddMarker()

{

//Get the screen with your elements, in this case: line, button and a numeric value

zenOn.IDynPicture screen = this.DynPictures().Item("Screen 0");

//Get the line element from the screen

zenOn.IElement lineElement = screen.Elements().Item("Line_3");

//To add the marker we have to assign following properties:

//- the screen with the according element

//- the element ID

//- the position of the marker on the line, in this case 20% of the total lenght.

//- the color index of the border line

//- the color index of the filling

//the color index can be defined in the editor under: Project properties->ALC->ALC configuration.

//this will open a dialog, choose the Screen marker TAB and define your colors. Use the corresponding

//index 0... for your properties.

this.DynPictures().AddMarker("Screen 0", lineElement.ID, 20, 1, 2);

}

VB.NET

Use only for Runtime, that means use the VSTA/VBA editor for the activated project to create your macro.

This example will place a marker on a line element.

Public Sub Macro_AddMarker()

//Get the screen with your elements, in this case: line, button and a numeric value

Dim screen As zenOn.IDynPicture = Me.DynPictures().Item("Screen 0")

//Get the line element from the screen

Dim lineElement As zenOn.IElement = screen.Elements().Item("Line_3")

//To add the marker we have to assign following properties:

//- the screen with the according element

//- the element ID

//- the position of the marker on the line, in this case 20% of the total lenght.

//- the color index of the border line

//- the color index of the filling

//the color index can be defined in the editor under: Project properties->ALC->ALC configuration.

//this will open a dialog, choose the Screen marker TAB and define your colors. Use the corresponding

//index 0... for your properties.

Me.DynPictures().AddMarker("Screen 0", lineElement.ID, 20, 1, 2)

End Sub

VBA

VBA-Syntax


DelMarker

Manuel -> Interfaces de programmation -> Modèles d'objet -> DynPictures -> DynPictures-Methods -> DelMarker

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Deletes a marker from a screen. The ID is provided by the AddMarker().

Datatype

DelMarker(String bsID) As Boolean

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

string bsID

VB.NET

Dim bsID As String

VBA

VBA-Syntax

Examples

C#

/* Use only for Runtime, that means use the VSTA/VBA editor for the activated project to create your macro.

* This example will first place a marker on a line element and then delete it.

* using the specific ID of the marker.

*/

public void Macro_DelMarker()

{

//Get the screen with your elements, in this case: line, button and a numeric value

zenOn.IDynPicture screen = this.DynPictures().Item("Screen 0");

//Get the line element from the screen

zenOn.IElement lineElement = screen.Elements().Item("Line_3");

//The return value from the AddMarker() is the specific ID of this marker.

string markerId = this.DynPictures().AddMarker("Screen 0", lineElement.ID, 20, 1, 2);

//To delelete this marker we have to assign the specific ID

bool isDeleted = this.DynPictures().DelMarker(markerId);

//Use the return value to check if the marker was deleted

if (isDeleted == true) MessageBox.Show("Marker: " + markerId + " deleted!");

}

VB.NET

// Use only for Runtime, that means use the VSTA/VBA editor for the activated project to create your macro.

//This example will first place a marker on a line element and then delete it.

//using the specific ID of the marker.

Public Sub Macro_DelMarker()

//Get the screen with your elements, in this case: line, button and a numeric value

Dim screen As zenOn.IDynPicture = Me.DynPictures().Item("Screen 0")

//Get the line element from the screen

Dim lineElement As zenOn.IElement = screen.Elements().Item("Line_3")

//The return value from the AddMarker() is the specific ID of this marker.

Dim markerId As String = Me.DynPictures().AddMarker("Screen 0", lineElement.ID, 20, 1, 2)

//To delelete this marker we have to assign the specific ID

Dim isDeleted As Boolean = Me.DynPictures().DelMarker(markerId)

//Use the return value to check if the marker was deleted

If isDeleted = True Then

MessageBox.Show("Marker: " & markerId & " deleted!")

End If

End Sub

VBA

VBA-Syntax


GetPointerInfo

Manuel -> Interfaces de programmation -> Modèles d'objet -> DynPictures -> DynPictures-Methods -> GetPointerInfo

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Gets the information for the specified pointer associated with the current message.

//Layout of the pointer_info structure

typedef struct tagPOINTER_INFO {

POINTER_INPUT_TYPE pointerType;

UINT32 pointerId;

UINT32 frameId;

POINTER_FLAGS pointerFlags;

HANDLE sourceDevice;

HWND hwndTarget;

POINT ptPixelLocation;

POINT ptHimetricLocation;

POINT ptPixelLocationRaw;

POINT ptHimetricLocationRaw;

DWORD dwTime;

UINT32 historyCount;

INT32 inputData;

DWORD dwKeyStates;

UINT64 PerformanceCount;

POINTER_BUTTON_CHANGE_TYPE ButtonChangeType;

} POINTER_INFO;

See also: GetPointerInfo (msdn)

Datatype

GetPointerInfo(VARIANT vPointerId) As VARIANT

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | No
VSTA | yes

Parameters

C#

IDynPicture obDynPicture

object vPointerId

VB.NET

obDynPicture As IDynPicture

vPointerId As Object

Examples

C#

/// <summary>

/// Helper function that takes a screen and a pointer ID and writes information about the pointer into the CEL

/// </summary>

/// <param name="obDynPicture">the zenon screen</param>

/// <param name="vPointerId">the pointer object</param>

private void GetPointerInfo(zenOn.IDynPicture obDynPicture, object vPointerId)

{

//get method name and print in CEL

string CelString = string.Format("VSTA: {0} on {1} ", System.Reflection.MethodBase.GetCurrentMethod().Name, obDynPicture.Name);

Cel().WriteCelString(CelString);

//get pointer infos

try

{

//cast this on an object array

object[] PointerInfo = (object[])DynPics.GetPointerInfo(vPointerId);

//iterate through all

for (int i = 0; i < PointerInfo.Length; i++)

{

//if the type of the object is an array, we suppose it is the POINT type - which has definition for x and y position

if (PointerInfo[i] is System.Object[])

{

//to get the information, we have to cast it first to object[] because the compiler would not accept the index otherwise and convert it to a string then

Cel().WriteCelString(Pointer_Info_Definition[i] + " for x has value " + Convert.ToString(((object[])(PointerInfo[i]))[0]));

Cel().WriteCelString(Pointer_Info_Definition[i] + " for y has value " + Convert.ToString(((object[])(PointerInfo[i]))[1]));

}

else

{

//if it's not object[], simply cast it to string and write an CEL entry

switch (i)

{

case 0:

PointerType pt = (PointerType)(Convert.ToUInt32(PointerInfo[i]));

Cel().WriteCelString("PointerType: " + pt.ToString());

break;

case 3:

PointerFlags pf = (PointerFlags)(Convert.ToUInt32(PointerInfo[i]));

Cel().WriteCelString("PointerFlags: " + pf.ToString());

break;

default:

Cel().WriteCelString(Pointer_Info_Definition[i] + " has value " + PointerInfo[i].ToString());

break;

}

}

}

}

catch (Exception ex)

{

Cel().WriteCelString("Can't get PointerInfo: " + ex.Message);

}

}

VB.NET

/// <summary>

/// Helper function that takes a screen and a pointer ID and writes information about the pointer into the CEL

/// </summary>

/// <param name="obDynPicture">the zenon screen</param>

/// <param name="vPointerId">the pointer object</param>

Private Sub GetPointerInfo(obDynPicture As zenOn.IDynPicture, vPointerId As Object)

'get method name and print in CEL

Dim CelString As String = String.Format("VSTA: {0} on {1} ", System.Reflection.MethodBase.GetCurrentMethod().Name, obDynPicture.Name)

Cel().WriteCelString(CelString)

'get pointer infos

Try

'cast this on an object array

Dim PointerInfo As Object() = DirectCast(DynPics.GetPointerInfo(vPointerId), Object())

'iterate through all

For i As Integer = 0 To PointerInfo.Length - 1

'if the type of the object is an array, we suppose it is the POINT type - which has definition for x and y position

If TypeOf PointerInfo(i) Is System.Object() Then

'to get the information, we have to cast it first to object[] because the compiler would not accept the index otherwise and convert it to a string then

Cel().WriteCelString(Pointer_Info_Definition(i) + " for x has value " & Convert.ToString(DirectCast(PointerInfo(i), Object())(0)))

Cel().WriteCelString(Pointer_Info_Definition(i) + " for y has value " & Convert.ToString(DirectCast(PointerInfo(i), Object())(1)))

Else

'if it's not object[], simply cast it to string and write an CEL entry

Select Case i

Case 0

Dim pt As PointerType = DirectCast(Convert.ToUInt32(PointerInfo(i)), PointerType)

Cel().WriteCelString("PointerType: " & pt.ToString())

Exit Select

Case 3

Dim pf As PointerFlags = DirectCast(Convert.ToUInt32(PointerInfo(i)), PointerFlags)

Cel().WriteCelString("PointerFlags: " & pf.ToString())

Exit Select

Case Else

Cel().WriteCelString(Pointer_Info_Definition(i) + " has value " & PointerInfo(i).ToString())

Exit Select

End Select

End If

Next

Catch ex As Exception

Cel().WriteCelString("Can't get PointerInfo: " + ex.Message)

End Try

End Sub


DynPictures-Events

Manuel -> Interfaces de programmation -> Modèles d'objet -> DynPictures -> DynPictures-Events

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
void | Close | Event is fired when a screen is closed. | not used | available | yes | yes
void | ElementInit | Event is fired when an element is initialized.(RT-Only) | not used | available | yes | yes
void | ElementLeftButtonDblClick | Event is fired when an element is double clicked with the left mouse button.(RT-Only) | not used | available | yes | yes
void | ElementLeftButtonDown | Event is fired when the left mouse button is pushed down on an element.(RT-Only) | not used | available | yes | yes
void | ElementLeftButtonUp | Event is fired when the right mouse button is released on an element.(RT-Only) | not used | available | yes | yes
void | ElementMouseOver | Event is fired when the mouse is moved over an element.(RT-Only) | not used | available | yes | yes
void | ElementRightButtonDblClk | Event is fired when an element is double clicked with the right mouse button.(RT-Only) | not used | available | yes | yes
void | ElementRightButtonDown | Event is fired when the right mouse button is pushed down on an element.(RT-Only) | not used | available | yes | yes
void | ElementRightButtonUp | Event is fired when the right mouse button is released on an element.(RT-Only) | not used | available | yes | yes
void | Open | Event is fired when a screen is opened. | not used | available | yes | yes
void | TouchEvent | Event is fired for all touch events.(RT-Only) | not used | available | yes | yes
void | TouchManipulationCompleteEvent | Event is fired when a touch manipulation ends.(RT-Only) | not used | available | yes | yes
void | TouchManipulationDeltaEvent | Event is fired when a touch manipulation is in progress.(RT-Only) | not used | available | yes | yes
void | TouchManipulationStartEvent | Event is fired when a touch manipulation starts.(RT-Only) | not used | available | yes | yes
void | WindowPosChanged | Event is fired when a screen is moved or resized.(RT-Only) | not used | available | yes | yes
void | ElementGesture | For internal use only | not used | available | No | yes
void | NCPointerDown | For internal use only | not used | available | No | yes
void | NCPointerUp | For internal use only | not used | available | No | yes
void | NCPointerUpdate | For internal use only | not used | available | No | yes
void | PictureGesture | For internal use only | not used | available | No | yes
void | PointerActivate | For internal use only | not used | available | No | yes
void | PointerCaptureChanged | For internal use only | not used | available | No | yes
void | PointerDeviceChange | For internal use only | not used | available | No | yes
void | PointerDeviceInRange | For internal use only | not used | available | No | yes
void | PointerDeviceOutOfRange | For internal use only | not used | available | No | yes
void | PointerDown | Posted when a pointer makes contact over the client area of a screen. | not used | available | No | yes
void | PointerEnter | Sent to a screen when a pointer moves into the boundaries of the screen. | not used | available | No | yes
void | PointerHWheel | Posted to the screen with foreground keyboard focus when a horizontal scroll wheel is rotated. | not used | available | No | yes
void | PointerLeave | Sent to a screen when a pointer moves out of the boundaries of the screen. | not used | available | No | yes
void | PointerUp | Posted when a pointer that made contact over the client area of a screen breaks contact. | not used | available | No | yes
void | PointerUpdate | Posted to provide an update on a pointer that made contact over the client area of a screen or on a hovering uncaptured pointer over the client area of a screen. | not used | available | No | yes
void | PointerWheel | Posted to the screen with foreground keyboard focus when a scroll wheel is rotated. | not used | available | No | yes
void | PointerDown | For internal use only | not used | available | No | yes
void | PointerEnter | For internal use only | not used | available | No | yes
void | PointerLeave | For internal use only | not used | available | No | yes
void | PointerUp | For internal use only | not used | available | No | yes
void | PointerUpdate | For internal use only | not used | available | No | yes
void | PointerWheel | For internal use only | not used | available | No | yes
void | PointerHWheel | For internal use only | not used | available | No | yes

Other topics in this chapter

TouchEvent

TouchManipulationStartEvent

TouchManipulationDeltaEvent

TouchManipulationCompleteEvent

Open

Close

WindowPosChanged

ElementInit

ElementRightButtonDblClk

ElementRightButtonDown

ElementRightButtonUp

ElementLeftButtonDblClick

ElementLeftButtonDown

ElementLeftButtonUp

ElementMouseOver

PictureGesture

ElementGesture

PointerDown

PointerEnter

PointerLeave

PointerUp

PointerUpdate

PointerWheel

PointerHWheel

NCPointerDown

NCPointerUp

NCPointerUpdate

PointerActivate

PointerCaptureChanged


TouchEvent

Manuel -> Interfaces de programmation -> Modèles d'objet -> DynPictures -> DynPictures-Events -> TouchEvent

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

TouchEvent(SAFEARRAY(long) pvX, SAFEARRAY(long) pvY, SAFEARRAY(OLE_HANDLE) pvSource, SAFEARRAY(long) pvID, SAFEARRAY(long) pvFlags, SAFEARRAY(long) pvMask, SAFEARRAY(long) pvTime, SAFEARRAY(long) pvExtraInfo, SAFEARRAY(long) pvXContact, SAFEARRAY(long) pvYContact) As void

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


TouchManipulationStartEvent

Manuel -> Interfaces de programmation -> Modèles d'objet -> DynPictures -> DynPictures-Events -> TouchManipulationStartEvent

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

TouchManipulationStartEvent(long lX, long lY) As void

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


TouchManipulationDeltaEvent

Manuel -> Interfaces de programmation -> Modèles d'objet -> DynPictures -> DynPictures-Events -> TouchManipulationDeltaEvent

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

This event is triggered regularly when executing an action. The parameter indicate the changes since the last delta event and/or the start event.

lX: X-Koordinate in Pixel

lY: Y-Koordinate in Pixel

lTransX: Translation X-Achse in Pixel

lTransY: Translation Y-Ache in Pixel

fScaleFactor: Skalierungsfaktor (1=100%)

fRotation: Rotation in Radianten

bInertia: Gibt an ob der Event durch den Trägheitsprozessor oder die Geste selbst verursacht wurde

Datatype

TouchManipulationDeltaEvent(long lX, long lY, long lTransX, long lTransY, FLOAT fScaleFactor, FLOAT fRotation, long lContacts) As void

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

If Not obDynPictures.SetupTouchInertia(0, 0, 0) Then

Debug.Print "Error setting up inertia"

End If

Private Sub obDynPictures_TouchManipulationStartEvent(ByVal lX As Long, ByVal lY As Long)

End Sub

Private Sub obDynPictures_TouchManipulationDeltaEvent(ByVal lX As Long, ByVal lY As Long, ByVal lTransX As Long, ByVal lTransY As Long, ByVal fScaleFactor As Single, ByVal fRotation As Single, ByVal bInertia As Boolean)

End Sub

Private Sub obDynPictures_TouchManipulationCompleteEvent(ByVal lX As Long, ByVal lY As Long, ByVal lTransX As Long, ByVal lTransY As Long, ByVal fScaleFactor As Single, ByVal fRotation As Single, ByVal bInertia As Boolean)

End Sub


TouchManipulationCompleteEvent

Manuel -> Interfaces de programmation -> Modèles d'objet -> DynPictures -> DynPictures-Events -> TouchManipulationCompleteEvent

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

This event is triggered when ending an action. The parameter indicate the changes since the start of the action.

If the idle processor is active, the event is triggered two times.

When the action ends (bInertia = FALSE), the parameter indicate the changes since the start of the action.

After the idle calculation (bInertia = TRUE), the parameter indicate the changes since the start of the idle calculation. (since the end of the action)

lX: X-Koordinate in Pixel

lY: Y-Koordinate in Pixel

lTransX: Translation X-Achse in Pixel

lTransY: Translation Y-Ache in Pixel

fScaleFactor: Skalierungsfaktor (1=100%)

fRotation: Rotation in Radianten

bInertia: Gibt an ob der Event durch den Trägheitsprozessor oder die Geste selbst verursacht wurde

Datatype

TouchManipulationCompleteEvent(long lX, long lY, long lTransX, long lTransY, FLOAT fScaleFactor, FLOAT fRotation, long lContacts) As void

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

If Not obDynPictures.SetupTouchInertia(0, 0, 0) Then

Debug.Print "Error setting up inertia"

End If

Private Sub obDynPictures_TouchManipulationStartEvent(ByVal lX As Long, ByVal lY As Long)

End Sub

Private Sub obDynPictures_TouchManipulationDeltaEvent(ByVal lX As Long, ByVal lY As Long, ByVal lTransX As Long, ByVal lTransY As Long, ByVal fScaleFactor As Single, ByVal fRotation As Single, ByVal bInertia As Boolean)

End Sub

Private Sub obDynPictures_TouchManipulationCompleteEvent(ByVal lX As Long, ByVal lY As Long, ByVal lTransX As Long, ByVal lTransY As Long, ByVal fScaleFactor As Single, ByVal fRotation As Single, ByVal bInertia As Boolean)

End Sub


Open

Manuel -> Interfaces de programmation -> Modèles d'objet -> DynPictures -> DynPictures-Events -> Open

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

Open(DynPicture obDynPicture) As void

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

void ThisProject_Active()

{

this.DynPictures().Open += new DDynPicturesEvents_OpenEventHandler(ThisProject_Open);

this.DynPictures().Close += new DDynPicturesEvents_CloseEventHandler(ThisProject_Close);

}

void ThisProject_Close(IDynPicture obDynPicture)

{

//Logs the Close event on the CEL; Once a screen is closed it will be written

//to the chronological Event List

this.Cel().WriteCelString(obDynPicture.Name + " was closed");

}

void ThisProject_Open(IDynPicture obDynPicture)

{

//Logs the Open event on the CEL; Once a screen is open it will be written

//to the chronological Event List

this.Cel().WriteCelString(obDynPicture.Name + " was opened");

}

void ThisProject_Inactive()

{

this.DynPictures().Open -= new DDynPicturesEvents_OpenEventHandler(ThisProject_Open);

this.DynPictures().Close -= new DDynPicturesEvents_CloseEventHandler(ThisProject_Close);

FreeObjects();

}

VB.NET

Private Sub ThisProject_Active()

Me.DynPictures().Open += New DDynPicturesEvents_OpenEventHandler(ThisProject_Open)

Me.DynPictures().Close += New DDynPicturesEvents_CloseEventHandler(ThisProject_Close)

End Sub

Private Sub ThisProject_Close(obDynPicture As IDynPicture)

'Logs the Close event on the CEL; Once a screen is closed it will be written

'to the chronological Event List

Me.Cel().WriteCelString(obDynPicture.Name + " was closed")

End Sub

Private Sub ThisProject_Open(obDynPicture As IDynPicture)

'Logs the Open event on the CEL; Once a screen is open it will be written

'to the chronological Event List

Me.Cel().WriteCelString(obDynPicture.Name + " was opened")

End Sub

Private Sub ThisProject_Inactive()

Me.DynPictures().Open -= New DDynPicturesEvents_OpenEventHandler(ThisProject_Open)

Me.DynPictures().Close -= New DDynPicturesEvents_CloseEventHandler(ThisProject_Close)

FreeObjects()

End Sub

VBA

VBA-Syntax


Close

Manuel -> Interfaces de programmation -> Modèles d'objet -> DynPictures -> DynPictures-Events -> Close

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

Close(DynPicture obDynPicture) As void

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

void ThisProject_Active()

{

this.DynPictures().Open += new DDynPicturesEvents_OpenEventHandler(ThisProject_Open);

this.DynPictures().Close += new DDynPicturesEvents_CloseEventHandler(ThisProject_Close);

}

void ThisProject_Close(IDynPicture obDynPicture)

{

//Logs the Close event on the CEL; Once a screen is closed it will be written

//to the chronological Event List

this.Cel().WriteCelString(obDynPicture.Name + " was closed");

}

void ThisProject_Open(IDynPicture obDynPicture)

{

//Logs the Open event on the CEL; Once a screen is open it will be written

//to the chronological Event List

this.Cel().WriteCelString(obDynPicture.Name + " was opened");

}

void ThisProject_Inactive()

{

this.DynPictures().Open -= new DDynPicturesEvents_OpenEventHandler(ThisProject_Open);

this.DynPictures().Close -= new DDynPicturesEvents_CloseEventHandler(ThisProject_Close);

FreeObjects();

}

VB.NET

Private Sub ThisProject_Active()

Me.DynPictures().Open += New DDynPicturesEvents_OpenEventHandler(ThisProject_Open)

Me.DynPictures().Close += New DDynPicturesEvents_CloseEventHandler(ThisProject_Close)

End Sub

Private Sub ThisProject_Close(obDynPicture As IDynPicture)

'Logs the Close event on the CEL; Once a screen is closed it will be written

'to the chronological Event List

Me.Cel().WriteCelString(obDynPicture.Name + " was closed")

End Sub

Private Sub ThisProject_Open(obDynPicture As IDynPicture)

'Logs the Open event on the CEL; Once a screen is open it will be written

'to the chronological Event List

Me.Cel().WriteCelString(obDynPicture.Name + " was opened")

End Sub

Private Sub ThisProject_Inactive()

Me.DynPictures().Open -= New DDynPicturesEvents_OpenEventHandler(ThisProject_Open)

Me.DynPictures().Close -= New DDynPicturesEvents_CloseEventHandler(ThisProject_Close)

FreeObjects()

End Sub

VBA

VBA-Syntax


WindowPosChanged

Manuel -> Interfaces de programmation -> Modèles d'objet -> DynPictures -> DynPictures-Events -> WindowPosChanged

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

WindowPosChanged(DynPicture obDynPicture) As void

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


ElementInit

Manuel -> Interfaces de programmation -> Modèles d'objet -> DynPictures -> DynPictures-Events -> ElementInit

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

ElementInit(Element obElement) As void

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

void ThisProject_Active()

{

this.DynPictures().ElementInit += new ElementInitEventHandler(ThisProject_ElementInit);

}

void ThisProject_ElementInit(IElement obElement)

{

/*Event is fired once an element is initialized by the runtime.

**To demonstrate the name of the element is printed on the CEL.

*/

this.Cel().WriteCelString("Element " + obElement.Name + " was initialized");

}

void ThisProject_Inactive()

{

this.DynPictures().ElementInit -= ThisProject_ElementInit;

FreeObjects();

}

VB.NET

Private Sub ThisProject_Active()

Me.DynPictures().ElementInit += New ElementInitEventHandler(AddressOf ThisProject_ElementInit)

End Sub

Private Sub ThisProject_ElementInit(obElement As IElement)

'Event is fired once an element is initialized by the runtime.

' **To demonstrate the name of the element is printed on the CEL.

'

Me.Cel().WriteCelString("Element " + obElement.Name + " was initialized")

End Sub

Private Sub ThisProject_Inactive()

RemoveHandler Me.DynPictures().ElementInit, AddressOf ThisProject_ElementInit

FreeObjects()

End Sub

VBA

'Declaration of DynPictures, in order to use it with events
Dim WithEvents zDynPictures As DynPictures

Private Sub Project_Active()
'Reference to the zenon Project DynPictures
Set zDynPictures = thisProject.DynPictures
End Sub

'This event is triggered when an element is initialized
Private Sub zDynPictures_ElementInit(ByVal obElement As IElement)
Debug.Print ("Element name: " & obElement.Name)
End Sub


ElementRightButtonDblClk

Manuel -> Interfaces de programmation -> Modèles d'objet -> DynPictures -> DynPictures-Events -> ElementRightButtonDblClk

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

ElementRightButtonDblClk(DynPicture obDynPicture, IElement obElement, long lPosX, long lPosY, long lButton) As void

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

//Initialize event handlers

void ThisProject_Active()

{

this.DynPictures().ElementLeftButtonDblClick += new ElementLeftButtonDblClickEventHandler(ThisProject_ElementLeftButtonDblClick);

this.DynPictures().ElementRightButtonDblClk += new ElementRightButtonDblClkEventHandler(ThisProject_ElementRightButtonDblClk);

}

void ThisProject_ElementRightButtonDblClk(IDynPicture obDynPicture, IElement obElement, int lPosX, int lPosY, int lButton)

{

//Log Right Click Event

System.Diagnostics.Debug.Print("Double Right Click on " + lPosX + " / " + lPosY);

if(obElement != null)

System.Diagnostics.Debug.Print("Double Right Click on " + obElement.Name);

}

void ThisProject_ElementLeftButtonDblClick(IDynPicture obDynPicture, IElement obElement, int lPosX, int lPosY, int lButton)

{

//Log Left Click event

System.Diagnostics.Debug.Print("Double Left Click on " + lPosX + " / " + lPosY);

if (obElement != null)

System.Diagnostics.Debug.Print("Double Left Click on " + obElement.Name);

}

//Deinitialize event handlers

void ThisProject_Inactive()

{

this.DynPictures().ElementLeftButtonDblClick += new ElementLeftButtonDblClickEventHandler(ThisProject_ElementLeftButtonDblClick);

this.DynPictures().ElementRightButtonDblClk += new ElementRightButtonDblClkEventHandler(ThisProject_ElementRightButtonDblClk);

FreeObjects();

}

VB.NET

'Initialize event handlers

Private Sub ThisProject_Active()

Me.DynPictures().ElementLeftButtonDblClick += New ElementLeftButtonDblClickEventHandler(ThisProject_ElementLeftButtonDblClick)

Me.DynPictures().ElementRightButtonDblClk += New ElementRightButtonDblClkEventHandler(ThisProject_ElementRightButtonDblClk)

End Sub

Private Sub ThisProject_ElementRightButtonDblClk(obDynPicture As IDynPicture, obElement As IElement, lPosX As Integer, lPosY As Integer, lButton As Integer)

'Log Right Click Event

System.Diagnostics.Debug.Print("Double Right Click on " + lPosX + " / " + lPosY)

If not (obElement is nothing) Then

System.Diagnostics.Debug.Print("Double Right Click on " + obElement.Name)

End If

End Sub

Private Sub ThisProject_ElementLeftButtonDblClick(obDynPicture As IDynPicture, obElement As IElement, lPosX As Integer, lPosY As Integer, lButton As Integer)

'Log Left Click event

System.Diagnostics.Debug.Print("Double Left Click on " + lPosX + " / " + lPosY)

If not (obElement is nothing) Then

System.Diagnostics.Debug.Print("Double Left Click on " + obElement.Name)

End If

End Sub

'Deinitialize event handlers

Private Sub ThisProject_Inactive()

Me.DynPictures().ElementLeftButtonDblClick += New ElementLeftButtonDblClickEventHandler(ThisProject_ElementLeftButtonDblClick)

Me.DynPictures().ElementRightButtonDblClk += New ElementRightButtonDblClkEventHandler(ThisProject_ElementRightButtonDblClk)

FreeObjects()

End Sub

VBA

VBA-Syntax


ElementRightButtonDown

Manuel -> Interfaces de programmation -> Modèles d'objet -> DynPictures -> DynPictures-Events -> ElementRightButtonDown

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

ElementRightButtonDown(DynPicture obDynPicture, IElement obElement, long lPosX, long lPosY, long lButton) As void

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

/*

**In this example the mouse interaction events are triggered. Note that the obElement parameter is in fact nullable if

**the cursor is not hovering an element during the click / move event and therefore has to be checked against null

**In the example some values given by the function are written to the debug command line.

*/

void ThisProject_Active()

{

//Event handler initialization

this.DynPictures().ElementLeftButtonDblClick += new ElementLeftButtonDblClickEventHandler(ThisProject_ElementLeftButtonDblClick);

this.DynPictures().ElementRightButtonDblClk += new ElementRightButtonDblClkEventHandler(ThisProject_ElementRightButtonDblClk);

this.DynPictures().ElementLeftButtonDown += new ElementLeftButtonDownEventHandler(ThisProject_ElementLeftButtonDown);

this.DynPictures().ElementLeftButtonUp += new ElementLeftButtonUpEventHandler(ThisProject_ElementLeftButtonUp);

this.DynPictures().ElementRightButtonDown += new ElementRightButtonDownEventHandler(ThisProject_ElementRightButtonDown);

this.DynPictures().ElementRightButtonUp += new ElementRightButtonUpEventHandler(ThisProject_ElementRightButtonUp);

this.DynPictures().ElementMouseOver += new ElementMouseOverEventHandler(ThisProject_ElementMouseOver);

}

void ThisProject_ElementMouseOver(IDynPicture obDynPicture, IElement obElement, int lPosX, int lPosY, int lButton)

{

//Log Mouse over event

System.Diagnostics.Debug.Print("Mouse over event on " + lPosX + " / " + lPosY);

if (obElement != null)

System.Diagnostics.Debug.Print("Mouse over event on element '" + obElement.Name + "'");

}

void ThisProject_ElementRightButtonUp(IDynPicture obDynPicture, IElement obElement, int lPosX, int lPosY, int lButton)

{

//Log Mouse button up event

System.Diagnostics.Debug.Print("Right mouse button up event " + lPosX + " / " + lPosY);

if (obElement != null)

System.Diagnostics.Debug.Print("Right mouse button up event '" + obElement.Name + "'");

}

void ThisProject_ElementRightButtonDown(IDynPicture obDynPicture, IElement obElement, int lPosX, int lPosY, int lButton)

{

//Log Mouse button down event

System.Diagnostics.Debug.Print("Right mouse button down event " + lPosX + " / " + lPosY);

if (obElement != null)

System.Diagnostics.Debug.Print("Right mouse button down event '" + obElement.Name + "'");

}

void ThisProject_ElementLeftButtonUp(IDynPicture obDynPicture, IElement obElement, int lPosX, int lPosY, int lButton)

{

//Log Mouse button up event

System.Diagnostics.Debug.Print("Left mouse button up event " + lPosX + " / " + lPosY);

if (obElement != null)

System.Diagnostics.Debug.Print("Left mouse button up event '" + obElement.Name + "'");

}

void ThisProject_ElementLeftButtonDown(IDynPicture obDynPicture, IElement obElement, int lPosX, int lPosY, int lButton)

{

//Log Mouse button down event

System.Diagnostics.Debug.Print("Left mouse button down event " + lPosX + " / " + lPosY);

if (obElement != null)

System.Diagnostics.Debug.Print("Left mouse button down event '" + obElement.Name + "'");

}

void ThisProject_ElementRightButtonDblClk(IDynPicture obDynPicture, IElement obElement, int lPosX, int lPosY, int lButton)

{

//Log Right Click Event

System.Diagnostics.Debug.Print("Double Right Click on " + lPosX + " / " + lPosY);

if (obElement != null)

System.Diagnostics.Debug.Print("Double Right Click on " + obElement.Name);

}

void ThisProject_ElementLeftButtonDblClick(IDynPicture obDynPicture, IElement obElement, int lPosX, int lPosY, int lButton)

{

//Log Left Click event

System.Diagnostics.Debug.Print("Double Left Click on " + lPosX + " / " + lPosY);

if (obElement != null)

System.Diagnostics.Debug.Print("Double Left Click on " + obElement.Name);

}

void ThisProject_Inactive()

{

//Event handler cleanup

this.DynPictures().ElementLeftButtonDblClick -= ThisProject_ElementLeftButtonDblClick;

this.DynPictures().ElementRightButtonDblClk -= ThisProject_ElementRightButtonDblClk;

this.DynPictures().ElementLeftButtonDown -= ThisProject_ElementLeftButtonDown;

this.DynPictures().ElementLeftButtonUp -= ThisProject_ElementLeftButtonUp;

this.DynPictures().ElementRightButtonDown -= ThisProject_ElementRightButtonDown;

this.DynPictures().ElementRightButtonUp -= ThisProject_ElementRightButtonUp;

this.DynPictures().ElementMouseOver -= ThisProject_ElementMouseOver;

FreeObjects();

}

VB.NET

'

'**In this example the mouse interaction events are triggered. Note that the obElement parameter is in fact nullable if

'**the cursor is not hovering an element during the click / move event and therefore has to be checked against null

'**In the example some values given by the function are written to the debug command line.

'

Private Sub ThisProject_Active()

'Event handler initialization

Me.DynPictures().ElementLeftButtonDblClick += New ElementLeftButtonDblClickEventHandler(AddressOf ThisProject_ElementLeftButtonDblClick)

Me.DynPictures().ElementRightButtonDblClk += New ElementRightButtonDblClkEventHandler(AddressOf ThisProject_ElementRightButtonDblClk)

Me.DynPictures().ElementLeftButtonDown += New ElementLeftButtonDownEventHandler(AddressOf ThisProject_ElementLeftButtonDown)

Me.DynPictures().ElementLeftButtonUp += New ElementLeftButtonUpEventHandler(AddressOf ThisProject_ElementLeftButtonUp)

Me.DynPictures().ElementRightButtonDown += New ElementRightButtonDownEventHandler(AddressOf ThisProject_ElementRightButtonDown)

Me.DynPictures().ElementRightButtonUp += New ElementRightButtonUpEventHandler(AddressOf ThisProject_ElementRightButtonUp)

Me.DynPictures().ElementMouseOver += New ElementMouseOverEventHandler(AddressOf ThisProject_ElementMouseOver)

End Sub

Private Sub ThisProject_ElementMouseOver(obDynPicture As IDynPicture, obElement As IElement, lPosX As Integer, lPosY As Integer, lButton As Integer)

'Log Mouse over event

System.Diagnostics.Debug.Print("Mouse over event on " + lPosX + " / " + lPosY)

If obElement IsNot Nothing Then

System.Diagnostics.Debug.Print("Mouse over event on element '" + obElement.Name + "'")

End If

End Sub

Private Sub ThisProject_ElementRightButtonUp(obDynPicture As IDynPicture, obElement As IElement, lPosX As Integer, lPosY As Integer, lButton As Integer)

'Log Mouse button up event

System.Diagnostics.Debug.Print("Right mouse button up event " + lPosX + " / " + lPosY)

If obElement IsNot Nothing Then

System.Diagnostics.Debug.Print("Right mouse button up event '" + obElement.Name + "'")

End If

End Sub

Private Sub ThisProject_ElementRightButtonDown(obDynPicture As IDynPicture, obElement As IElement, lPosX As Integer, lPosY As Integer, lButton As Integer)

'Log Mouse button down event

System.Diagnostics.Debug.Print("Right mouse button down event " + lPosX + " / " + lPosY)

If obElement IsNot Nothing Then

System.Diagnostics.Debug.Print("Right mouse button down event '" + obElement.Name + "'")

End If

End Sub

Private Sub ThisProject_ElementLeftButtonUp(obDynPicture As IDynPicture, obElement As IElement, lPosX As Integer, lPosY As Integer, lButton As Integer)

'Log Mouse button up event

System.Diagnostics.Debug.Print("Left mouse button up event " + lPosX + " / " + lPosY)

If obElement IsNot Nothing Then

System.Diagnostics.Debug.Print("Left mouse button up event '" + obElement.Name + "'")

End If

End Sub

Private Sub ThisProject_ElementLeftButtonDown(obDynPicture As IDynPicture, obElement As IElement, lPosX As Integer, lPosY As Integer, lButton As Integer)

'Log Mouse button down event

System.Diagnostics.Debug.Print("Left mouse button down event " + lPosX + " / " + lPosY)

If obElement IsNot Nothing Then

System.Diagnostics.Debug.Print("Left mouse button down event '" + obElement.Name + "'")

End If

End Sub

Private Sub ThisProject_ElementRightButtonDblClk(obDynPicture As IDynPicture, obElement As IElement, lPosX As Integer, lPosY As Integer, lButton As Integer)

'Log Right Click Event

System.Diagnostics.Debug.Print("Double Right Click on " + lPosX + " / " + lPosY)

If obElement IsNot Nothing Then

System.Diagnostics.Debug.Print("Double Right Click on " + obElement.Name)

End If

End Sub

Private Sub ThisProject_ElementLeftButtonDblClick(obDynPicture As IDynPicture, obElement As IElement, lPosX As Integer, lPosY As Integer, lButton As Integer)

'Log Left Click event

System.Diagnostics.Debug.Print("Double Left Click on " + lPosX + " / " + lPosY)

If obElement IsNot Nothing Then

System.Diagnostics.Debug.Print("Double Left Click on " + obElement.Name)

End If

End Sub

Private Sub ThisProject_Inactive()

'Event handler cleanup

RemoveHandler Me.DynPictures().ElementLeftButtonDblClick, AddressOf ThisProject_ElementLeftButtonDblClick

RemoveHandler Me.DynPictures().ElementRightButtonDblClk, AddressOf ThisProject_ElementRightButtonDblClk

RemoveHandler Me.DynPictures().ElementLeftButtonDown, AddressOf ThisProject_ElementLeftButtonDown

RemoveHandler Me.DynPictures().ElementLeftButtonUp, AddressOf ThisProject_ElementLeftButtonUp

RemoveHandler Me.DynPictures().ElementRightButtonDown, AddressOf ThisProject_ElementRightButtonDown

RemoveHandler Me.DynPictures().ElementRightButtonUp, AddressOf ThisProject_ElementRightButtonUp

RemoveHandler Me.DynPictures().ElementMouseOver, AddressOf ThisProject_ElementMouseOver

FreeObjects()

End Sub

VBA

VBA-Syntax


ElementRightButtonUp

Manuel -> Interfaces de programmation -> Modèles d'objet -> DynPictures -> DynPictures-Events -> ElementRightButtonUp

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

ElementRightButtonUp(DynPicture obDynPicture, IElement obElement, long lPosX, long lPosY, long lButton) As void

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

/*

**In this example the mouse interaction events are triggered. Note that the obElement parameter is in fact nullable if

**the cursor is not hovering an element during the click / move event and therefore has to be checked against null

**In the example some values given by the function are written to the debug command line.

*/

void ThisProject_Active()

{

//Event handler initialization

this.DynPictures().ElementLeftButtonDblClick += new ElementLeftButtonDblClickEventHandler(ThisProject_ElementLeftButtonDblClick);

this.DynPictures().ElementRightButtonDblClk += new ElementRightButtonDblClkEventHandler(ThisProject_ElementRightButtonDblClk);

this.DynPictures().ElementLeftButtonDown += new ElementLeftButtonDownEventHandler(ThisProject_ElementLeftButtonDown);

this.DynPictures().ElementLeftButtonUp += new ElementLeftButtonUpEventHandler(ThisProject_ElementLeftButtonUp);

this.DynPictures().ElementRightButtonDown += new ElementRightButtonDownEventHandler(ThisProject_ElementRightButtonDown);

this.DynPictures().ElementRightButtonUp += new ElementRightButtonUpEventHandler(ThisProject_ElementRightButtonUp);

this.DynPictures().ElementMouseOver += new ElementMouseOverEventHandler(ThisProject_ElementMouseOver);

}

void ThisProject_ElementMouseOver(IDynPicture obDynPicture, IElement obElement, int lPosX, int lPosY, int lButton)

{

//Log Mouse over event

System.Diagnostics.Debug.Print("Mouse over event on " + lPosX + " / " + lPosY);

if (obElement != null)

System.Diagnostics.Debug.Print("Mouse over event on element '" + obElement.Name + "'");

}

void ThisProject_ElementRightButtonUp(IDynPicture obDynPicture, IElement obElement, int lPosX, int lPosY, int lButton)

{

//Log Mouse button up event

System.Diagnostics.Debug.Print("Right mouse button up event " + lPosX + " / " + lPosY);

if (obElement != null)

System.Diagnostics.Debug.Print("Right mouse button up event '" + obElement.Name + "'");

}

void ThisProject_ElementRightButtonDown(IDynPicture obDynPicture, IElement obElement, int lPosX, int lPosY, int lButton)

{

//Log Mouse button down event

System.Diagnostics.Debug.Print("Right mouse button down event " + lPosX + " / " + lPosY);

if (obElement != null)

System.Diagnostics.Debug.Print("Right mouse button down event '" + obElement.Name + "'");

}

void ThisProject_ElementLeftButtonUp(IDynPicture obDynPicture, IElement obElement, int lPosX, int lPosY, int lButton)

{

//Log Mouse button up event

System.Diagnostics.Debug.Print("Left mouse button up event " + lPosX + " / " + lPosY);

if (obElement != null)

System.Diagnostics.Debug.Print("Left mouse button up event '" + obElement.Name + "'");

}

void ThisProject_ElementLeftButtonDown(IDynPicture obDynPicture, IElement obElement, int lPosX, int lPosY, int lButton)

{

//Log Mouse button down event

System.Diagnostics.Debug.Print("Left mouse button down event " + lPosX + " / " + lPosY);

if (obElement != null)

System.Diagnostics.Debug.Print("Left mouse button down event '" + obElement.Name + "'");

}

void ThisProject_ElementRightButtonDblClk(IDynPicture obDynPicture, IElement obElement, int lPosX, int lPosY, int lButton)

{

//Log Right Click Event

System.Diagnostics.Debug.Print("Double Right Click on " + lPosX + " / " + lPosY);

if (obElement != null)

System.Diagnostics.Debug.Print("Double Right Click on " + obElement.Name);

}

void ThisProject_ElementLeftButtonDblClick(IDynPicture obDynPicture, IElement obElement, int lPosX, int lPosY, int lButton)

{

//Log Left Click event

System.Diagnostics.Debug.Print("Double Left Click on " + lPosX + " / " + lPosY);

if (obElement != null)

System.Diagnostics.Debug.Print("Double Left Click on " + obElement.Name);

}

void ThisProject_Inactive()

{

//Event handler cleanup

this.DynPictures().ElementLeftButtonDblClick -= ThisProject_ElementLeftButtonDblClick;

this.DynPictures().ElementRightButtonDblClk -= ThisProject_ElementRightButtonDblClk;

this.DynPictures().ElementLeftButtonDown -= ThisProject_ElementLeftButtonDown;

this.DynPictures().ElementLeftButtonUp -= ThisProject_ElementLeftButtonUp;

this.DynPictures().ElementRightButtonDown -= ThisProject_ElementRightButtonDown;

this.DynPictures().ElementRightButtonUp -= ThisProject_ElementRightButtonUp;

this.DynPictures().ElementMouseOver -= ThisProject_ElementMouseOver;

FreeObjects();

}

VB.NET

'

'**In this example the mouse interaction events are triggered. Note that the obElement parameter is in fact nullable if

'**the cursor is not hovering an element during the click / move event and therefore has to be checked against null

'**In the example some values given by the function are written to the debug command line.

'

Private Sub ThisProject_Active()

'Event handler initialization

Me.DynPictures().ElementLeftButtonDblClick += New ElementLeftButtonDblClickEventHandler(AddressOf ThisProject_ElementLeftButtonDblClick)

Me.DynPictures().ElementRightButtonDblClk += New ElementRightButtonDblClkEventHandler(AddressOf ThisProject_ElementRightButtonDblClk)

Me.DynPictures().ElementLeftButtonDown += New ElementLeftButtonDownEventHandler(AddressOf ThisProject_ElementLeftButtonDown)

Me.DynPictures().ElementLeftButtonUp += New ElementLeftButtonUpEventHandler(AddressOf ThisProject_ElementLeftButtonUp)

Me.DynPictures().ElementRightButtonDown += New ElementRightButtonDownEventHandler(AddressOf ThisProject_ElementRightButtonDown)

Me.DynPictures().ElementRightButtonUp += New ElementRightButtonUpEventHandler(AddressOf ThisProject_ElementRightButtonUp)

Me.DynPictures().ElementMouseOver += New ElementMouseOverEventHandler(AddressOf ThisProject_ElementMouseOver)

End Sub

Private Sub ThisProject_ElementMouseOver(obDynPicture As IDynPicture, obElement As IElement, lPosX As Integer, lPosY As Integer, lButton As Integer)

'Log Mouse over event

System.Diagnostics.Debug.Print("Mouse over event on " + lPosX + " / " + lPosY)

If obElement IsNot Nothing Then

System.Diagnostics.Debug.Print("Mouse over event on element '" + obElement.Name + "'")

End If

End Sub

Private Sub ThisProject_ElementRightButtonUp(obDynPicture As IDynPicture, obElement As IElement, lPosX As Integer, lPosY As Integer, lButton As Integer)

'Log Mouse button up event

System.Diagnostics.Debug.Print("Right mouse button up event " + lPosX + " / " + lPosY)

If obElement IsNot Nothing Then

System.Diagnostics.Debug.Print("Right mouse button up event '" + obElement.Name + "'")

End If

End Sub

Private Sub ThisProject_ElementRightButtonDown(obDynPicture As IDynPicture, obElement As IElement, lPosX As Integer, lPosY As Integer, lButton As Integer)

'Log Mouse button down event

System.Diagnostics.Debug.Print("Right mouse button down event " + lPosX + " / " + lPosY)

If obElement IsNot Nothing Then

System.Diagnostics.Debug.Print("Right mouse button down event '" + obElement.Name + "'")

End If

End Sub

Private Sub ThisProject_ElementLeftButtonUp(obDynPicture As IDynPicture, obElement As IElement, lPosX As Integer, lPosY As Integer, lButton As Integer)

'Log Mouse button up event

System.Diagnostics.Debug.Print("Left mouse button up event " + lPosX + " / " + lPosY)

If obElement IsNot Nothing Then

System.Diagnostics.Debug.Print("Left mouse button up event '" + obElement.Name + "'")

End If

End Sub

Private Sub ThisProject_ElementLeftButtonDown(obDynPicture As IDynPicture, obElement As IElement, lPosX As Integer, lPosY As Integer, lButton As Integer)

'Log Mouse button down event

System.Diagnostics.Debug.Print("Left mouse button down event " + lPosX + " / " + lPosY)

If obElement IsNot Nothing Then

System.Diagnostics.Debug.Print("Left mouse button down event '" + obElement.Name + "'")

End If

End Sub

Private Sub ThisProject_ElementRightButtonDblClk(obDynPicture As IDynPicture, obElement As IElement, lPosX As Integer, lPosY As Integer, lButton As Integer)

'Log Right Click Event

System.Diagnostics.Debug.Print("Double Right Click on " + lPosX + " / " + lPosY)

If obElement IsNot Nothing Then

System.Diagnostics.Debug.Print("Double Right Click on " + obElement.Name)

End If

End Sub

Private Sub ThisProject_ElementLeftButtonDblClick(obDynPicture As IDynPicture, obElement As IElement, lPosX As Integer, lPosY As Integer, lButton As Integer)

'Log Left Click event

System.Diagnostics.Debug.Print("Double Left Click on " + lPosX + " / " + lPosY)

If obElement IsNot Nothing Then

System.Diagnostics.Debug.Print("Double Left Click on " + obElement.Name)

End If

End Sub

Private Sub ThisProject_Inactive()

'Event handler cleanup

RemoveHandler Me.DynPictures().ElementLeftButtonDblClick, AddressOf ThisProject_ElementLeftButtonDblClick

RemoveHandler Me.DynPictures().ElementRightButtonDblClk, AddressOf ThisProject_ElementRightButtonDblClk

RemoveHandler Me.DynPictures().ElementLeftButtonDown, AddressOf ThisProject_ElementLeftButtonDown

RemoveHandler Me.DynPictures().ElementLeftButtonUp, AddressOf ThisProject_ElementLeftButtonUp

RemoveHandler Me.DynPictures().ElementRightButtonDown, AddressOf ThisProject_ElementRightButtonDown

RemoveHandler Me.DynPictures().ElementRightButtonUp, AddressOf ThisProject_ElementRightButtonUp

RemoveHandler Me.DynPictures().ElementMouseOver, AddressOf ThisProject_ElementMouseOver

FreeObjects()

End Sub

VBA

VBA-Syntax


ElementLeftButtonDblClick

Manuel -> Interfaces de programmation -> Modèles d'objet -> DynPictures -> DynPictures-Events -> ElementLeftButtonDblClick

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

ElementLeftButtonDblClick(DynPicture obDynPicture, IElement obElement, long lPosX, long lPosY, long lButton) As void

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

//Initialize event handlers

void ThisProject_Active()

{

this.DynPictures().ElementLeftButtonDblClick += new ElementLeftButtonDblClickEventHandler(ThisProject_ElementLeftButtonDblClick);

this.DynPictures().ElementRightButtonDblClk += new ElementRightButtonDblClkEventHandler(ThisProject_ElementRightButtonDblClk);

}

void ThisProject_ElementRightButtonDblClk(IDynPicture obDynPicture, IElement obElement, int lPosX, int lPosY, int lButton)

{

//Log Right Click Event

System.Diagnostics.Debug.Print("Double Right Click on " + lPosX + " / " + lPosY);

if(obElement != null)

System.Diagnostics.Debug.Print("Double Right Click on " + obElement.Name);

}

void ThisProject_ElementLeftButtonDblClick(IDynPicture obDynPicture, IElement obElement, int lPosX, int lPosY, int lButton)

{

//Log Left Click event

System.Diagnostics.Debug.Print("Double Left Click on " + lPosX + " / " + lPosY);

if (obElement != null)

System.Diagnostics.Debug.Print("Double Left Click on " + obElement.Name);

}

//Deinitialize event handlers

void ThisProject_Inactive()

{

this.DynPictures().ElementLeftButtonDblClick += new ElementLeftButtonDblClickEventHandler(ThisProject_ElementLeftButtonDblClick);

this.DynPictures().ElementRightButtonDblClk += new ElementRightButtonDblClkEventHandler(ThisProject_ElementRightButtonDblClk);

FreeObjects();

}

VB.NET

'Initialize event handlers

Private Sub ThisProject_Active()

Me.DynPictures().ElementLeftButtonDblClick += New ElementLeftButtonDblClickEventHandler(ThisProject_ElementLeftButtonDblClick)

Me.DynPictures().ElementRightButtonDblClk += New ElementRightButtonDblClkEventHandler(ThisProject_ElementRightButtonDblClk)

End Sub

Private Sub ThisProject_ElementRightButtonDblClk(obDynPicture As IDynPicture, obElement As IElement, lPosX As Integer, lPosY As Integer, lButton As Integer)

'Log Right Click Event

System.Diagnostics.Debug.Print("Double Right Click on " + lPosX + " / " + lPosY)

If not (obElement is nothing) Then

System.Diagnostics.Debug.Print("Double Right Click on " + obElement.Name)

End If

End Sub

Private Sub ThisProject_ElementLeftButtonDblClick(obDynPicture As IDynPicture, obElement As IElement, lPosX As Integer, lPosY As Integer, lButton As Integer)

'Log Left Click event

System.Diagnostics.Debug.Print("Double Left Click on " + lPosX + " / " + lPosY)

If not (obElement is nothing) Then

System.Diagnostics.Debug.Print("Double Left Click on " + obElement.Name)

End If

End Sub

'Deinitialize event handlers

Private Sub ThisProject_Inactive()

Me.DynPictures().ElementLeftButtonDblClick += New ElementLeftButtonDblClickEventHandler(ThisProject_ElementLeftButtonDblClick)

Me.DynPictures().ElementRightButtonDblClk += New ElementRightButtonDblClkEventHandler(ThisProject_ElementRightButtonDblClk)

FreeObjects()

End Sub

VBA

VBA-Syntax


ElementLeftButtonDown

Manuel -> Interfaces de programmation -> Modèles d'objet -> DynPictures -> DynPictures-Events -> ElementLeftButtonDown

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

ElementLeftButtonDown(DynPicture obDynPicture, IElement obElement, long lPosX, long lPosY, long lButton) As void

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

/*

**In this example the mouse interaction events are triggered. Note that the obElement parameter is in fact nullable if

**the cursor is not hovering an element during the click / move event and therefore has to be checked against null

**In the example some values given by the function are written to the debug command line.

*/

void ThisProject_Active()

{

//Event handler initialization

this.DynPictures().ElementLeftButtonDblClick += new ElementLeftButtonDblClickEventHandler(ThisProject_ElementLeftButtonDblClick);

this.DynPictures().ElementRightButtonDblClk += new ElementRightButtonDblClkEventHandler(ThisProject_ElementRightButtonDblClk);

this.DynPictures().ElementLeftButtonDown += new ElementLeftButtonDownEventHandler(ThisProject_ElementLeftButtonDown);

this.DynPictures().ElementLeftButtonUp += new ElementLeftButtonUpEventHandler(ThisProject_ElementLeftButtonUp);

this.DynPictures().ElementRightButtonDown += new ElementRightButtonDownEventHandler(ThisProject_ElementRightButtonDown);

this.DynPictures().ElementRightButtonUp += new ElementRightButtonUpEventHandler(ThisProject_ElementRightButtonUp);

this.DynPictures().ElementMouseOver += new ElementMouseOverEventHandler(ThisProject_ElementMouseOver);

}

void ThisProject_ElementMouseOver(IDynPicture obDynPicture, IElement obElement, int lPosX, int lPosY, int lButton)

{

//Log Mouse over event

System.Diagnostics.Debug.Print("Mouse over event on " + lPosX + " / " + lPosY);

if (obElement != null)

System.Diagnostics.Debug.Print("Mouse over event on element '" + obElement.Name + "'");

}

void ThisProject_ElementRightButtonUp(IDynPicture obDynPicture, IElement obElement, int lPosX, int lPosY, int lButton)

{

//Log Mouse button up event

System.Diagnostics.Debug.Print("Right mouse button up event " + lPosX + " / " + lPosY);

if (obElement != null)

System.Diagnostics.Debug.Print("Right mouse button up event '" + obElement.Name + "'");

}

void ThisProject_ElementRightButtonDown(IDynPicture obDynPicture, IElement obElement, int lPosX, int lPosY, int lButton)

{

//Log Mouse button down event

System.Diagnostics.Debug.Print("Right mouse button down event " + lPosX + " / " + lPosY);

if (obElement != null)

System.Diagnostics.Debug.Print("Right mouse button down event '" + obElement.Name + "'");

}

void ThisProject_ElementLeftButtonUp(IDynPicture obDynPicture, IElement obElement, int lPosX, int lPosY, int lButton)

{

//Log Mouse button up event

System.Diagnostics.Debug.Print("Left mouse button up event " + lPosX + " / " + lPosY);

if (obElement != null)

System.Diagnostics.Debug.Print("Left mouse button up event '" + obElement.Name + "'");

}

void ThisProject_ElementLeftButtonDown(IDynPicture obDynPicture, IElement obElement, int lPosX, int lPosY, int lButton)

{

//Log Mouse button down event

System.Diagnostics.Debug.Print("Left mouse button down event " + lPosX + " / " + lPosY);

if (obElement != null)

System.Diagnostics.Debug.Print("Left mouse button down event '" + obElement.Name + "'");

}

void ThisProject_ElementRightButtonDblClk(IDynPicture obDynPicture, IElement obElement, int lPosX, int lPosY, int lButton)

{

//Log Right Click Event

System.Diagnostics.Debug.Print("Double Right Click on " + lPosX + " / " + lPosY);

if (obElement != null)

System.Diagnostics.Debug.Print("Double Right Click on " + obElement.Name);

}

void ThisProject_ElementLeftButtonDblClick(IDynPicture obDynPicture, IElement obElement, int lPosX, int lPosY, int lButton)

{

//Log Left Click event

System.Diagnostics.Debug.Print("Double Left Click on " + lPosX + " / " + lPosY);

if (obElement != null)

System.Diagnostics.Debug.Print("Double Left Click on " + obElement.Name);

}

void ThisProject_Inactive()

{

//Event handler cleanup

this.DynPictures().ElementLeftButtonDblClick -= ThisProject_ElementLeftButtonDblClick;

this.DynPictures().ElementRightButtonDblClk -= ThisProject_ElementRightButtonDblClk;

this.DynPictures().ElementLeftButtonDown -= ThisProject_ElementLeftButtonDown;

this.DynPictures().ElementLeftButtonUp -= ThisProject_ElementLeftButtonUp;

this.DynPictures().ElementRightButtonDown -= ThisProject_ElementRightButtonDown;

this.DynPictures().ElementRightButtonUp -= ThisProject_ElementRightButtonUp;

this.DynPictures().ElementMouseOver -= ThisProject_ElementMouseOver;

FreeObjects();

}

VB.NET

'

'**In this example the mouse interaction events are triggered. Note that the obElement parameter is in fact nullable if

'**the cursor is not hovering an element during the click / move event and therefore has to be checked against null

'**In the example some values given by the function are written to the debug command line.

'

Private Sub ThisProject_Active()

'Event handler initialization

Me.DynPictures().ElementLeftButtonDblClick += New ElementLeftButtonDblClickEventHandler(AddressOf ThisProject_ElementLeftButtonDblClick)

Me.DynPictures().ElementRightButtonDblClk += New ElementRightButtonDblClkEventHandler(AddressOf ThisProject_ElementRightButtonDblClk)

Me.DynPictures().ElementLeftButtonDown += New ElementLeftButtonDownEventHandler(AddressOf ThisProject_ElementLeftButtonDown)

Me.DynPictures().ElementLeftButtonUp += New ElementLeftButtonUpEventHandler(AddressOf ThisProject_ElementLeftButtonUp)

Me.DynPictures().ElementRightButtonDown += New ElementRightButtonDownEventHandler(AddressOf ThisProject_ElementRightButtonDown)

Me.DynPictures().ElementRightButtonUp += New ElementRightButtonUpEventHandler(AddressOf ThisProject_ElementRightButtonUp)

Me.DynPictures().ElementMouseOver += New ElementMouseOverEventHandler(AddressOf ThisProject_ElementMouseOver)

End Sub

Private Sub ThisProject_ElementMouseOver(obDynPicture As IDynPicture, obElement As IElement, lPosX As Integer, lPosY As Integer, lButton As Integer)

'Log Mouse over event

System.Diagnostics.Debug.Print("Mouse over event on " + lPosX + " / " + lPosY)

If obElement IsNot Nothing Then

System.Diagnostics.Debug.Print("Mouse over event on element '" + obElement.Name + "'")

End If

End Sub

Private Sub ThisProject_ElementRightButtonUp(obDynPicture As IDynPicture, obElement As IElement, lPosX As Integer, lPosY As Integer, lButton As Integer)

'Log Mouse button up event

System.Diagnostics.Debug.Print("Right mouse button up event " + lPosX + " / " + lPosY)

If obElement IsNot Nothing Then

System.Diagnostics.Debug.Print("Right mouse button up event '" + obElement.Name + "'")

End If

End Sub

Private Sub ThisProject_ElementRightButtonDown(obDynPicture As IDynPicture, obElement As IElement, lPosX As Integer, lPosY As Integer, lButton As Integer)

'Log Mouse button down event

System.Diagnostics.Debug.Print("Right mouse button down event " + lPosX + " / " + lPosY)

If obElement IsNot Nothing Then

System.Diagnostics.Debug.Print("Right mouse button down event '" + obElement.Name + "'")

End If

End Sub

Private Sub ThisProject_ElementLeftButtonUp(obDynPicture As IDynPicture, obElement As IElement, lPosX As Integer, lPosY As Integer, lButton As Integer)

'Log Mouse button up event

System.Diagnostics.Debug.Print("Left mouse button up event " + lPosX + " / " + lPosY)

If obElement IsNot Nothing Then

System.Diagnostics.Debug.Print("Left mouse button up event '" + obElement.Name + "'")

End If

End Sub

Private Sub ThisProject_ElementLeftButtonDown(obDynPicture As IDynPicture, obElement As IElement, lPosX As Integer, lPosY As Integer, lButton As Integer)

'Log Mouse button down event

System.Diagnostics.Debug.Print("Left mouse button down event " + lPosX + " / " + lPosY)

If obElement IsNot Nothing Then

System.Diagnostics.Debug.Print("Left mouse button down event '" + obElement.Name + "'")

End If

End Sub

Private Sub ThisProject_ElementRightButtonDblClk(obDynPicture As IDynPicture, obElement As IElement, lPosX As Integer, lPosY As Integer, lButton As Integer)

'Log Right Click Event

System.Diagnostics.Debug.Print("Double Right Click on " + lPosX + " / " + lPosY)

If obElement IsNot Nothing Then

System.Diagnostics.Debug.Print("Double Right Click on " + obElement.Name)

End If

End Sub

Private Sub ThisProject_ElementLeftButtonDblClick(obDynPicture As IDynPicture, obElement As IElement, lPosX As Integer, lPosY As Integer, lButton As Integer)

'Log Left Click event

System.Diagnostics.Debug.Print("Double Left Click on " + lPosX + " / " + lPosY)

If obElement IsNot Nothing Then

System.Diagnostics.Debug.Print("Double Left Click on " + obElement.Name)

End If

End Sub

Private Sub ThisProject_Inactive()

'Event handler cleanup

RemoveHandler Me.DynPictures().ElementLeftButtonDblClick, AddressOf ThisProject_ElementLeftButtonDblClick

RemoveHandler Me.DynPictures().ElementRightButtonDblClk, AddressOf ThisProject_ElementRightButtonDblClk

RemoveHandler Me.DynPictures().ElementLeftButtonDown, AddressOf ThisProject_ElementLeftButtonDown

RemoveHandler Me.DynPictures().ElementLeftButtonUp, AddressOf ThisProject_ElementLeftButtonUp

RemoveHandler Me.DynPictures().ElementRightButtonDown, AddressOf ThisProject_ElementRightButtonDown

RemoveHandler Me.DynPictures().ElementRightButtonUp, AddressOf ThisProject_ElementRightButtonUp

RemoveHandler Me.DynPictures().ElementMouseOver, AddressOf ThisProject_ElementMouseOver

FreeObjects()

End Sub

VBA

VBA-Syntax


ElementLeftButtonUp

Manuel -> Interfaces de programmation -> Modèles d'objet -> DynPictures -> DynPictures-Events -> ElementLeftButtonUp

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

ElementLeftButtonUp(DynPicture obDynPicture, IElement obElement, long lPosX, long lPosY, long lButton) As void

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

/*

**In this example the mouse interaction events are triggered. Note that the obElement parameter is in fact nullable if

**the cursor is not hovering an element during the click / move event and therefore has to be checked against null

**In the example some values given by the function are written to the debug command line.

*/

void ThisProject_Active()

{

//Event handler initialization

this.DynPictures().ElementLeftButtonDblClick += new ElementLeftButtonDblClickEventHandler(ThisProject_ElementLeftButtonDblClick);

this.DynPictures().ElementRightButtonDblClk += new ElementRightButtonDblClkEventHandler(ThisProject_ElementRightButtonDblClk);

this.DynPictures().ElementLeftButtonDown += new ElementLeftButtonDownEventHandler(ThisProject_ElementLeftButtonDown);

this.DynPictures().ElementLeftButtonUp += new ElementLeftButtonUpEventHandler(ThisProject_ElementLeftButtonUp);

this.DynPictures().ElementRightButtonDown += new ElementRightButtonDownEventHandler(ThisProject_ElementRightButtonDown);

this.DynPictures().ElementRightButtonUp += new ElementRightButtonUpEventHandler(ThisProject_ElementRightButtonUp);

this.DynPictures().ElementMouseOver += new ElementMouseOverEventHandler(ThisProject_ElementMouseOver);

}

void ThisProject_ElementMouseOver(IDynPicture obDynPicture, IElement obElement, int lPosX, int lPosY, int lButton)

{

//Log Mouse over event

System.Diagnostics.Debug.Print("Mouse over event on " + lPosX + " / " + lPosY);

if (obElement != null)

System.Diagnostics.Debug.Print("Mouse over event on element '" + obElement.Name + "'");

}

void ThisProject_ElementRightButtonUp(IDynPicture obDynPicture, IElement obElement, int lPosX, int lPosY, int lButton)

{

//Log Mouse button up event

System.Diagnostics.Debug.Print("Right mouse button up event " + lPosX + " / " + lPosY);

if (obElement != null)

System.Diagnostics.Debug.Print("Right mouse button up event '" + obElement.Name + "'");

}

void ThisProject_ElementRightButtonDown(IDynPicture obDynPicture, IElement obElement, int lPosX, int lPosY, int lButton)

{

//Log Mouse button down event

System.Diagnostics.Debug.Print("Right mouse button down event " + lPosX + " / " + lPosY);

if (obElement != null)

System.Diagnostics.Debug.Print("Right mouse button down event '" + obElement.Name + "'");

}

void ThisProject_ElementLeftButtonUp(IDynPicture obDynPicture, IElement obElement, int lPosX, int lPosY, int lButton)

{

//Log Mouse button up event

System.Diagnostics.Debug.Print("Left mouse button up event " + lPosX + " / " + lPosY);

if (obElement != null)

System.Diagnostics.Debug.Print("Left mouse button up event '" + obElement.Name + "'");

}

void ThisProject_ElementLeftButtonDown(IDynPicture obDynPicture, IElement obElement, int lPosX, int lPosY, int lButton)

{

//Log Mouse button down event

System.Diagnostics.Debug.Print("Left mouse button down event " + lPosX + " / " + lPosY);

if (obElement != null)

System.Diagnostics.Debug.Print("Left mouse button down event '" + obElement.Name + "'");

}

void ThisProject_ElementRightButtonDblClk(IDynPicture obDynPicture, IElement obElement, int lPosX, int lPosY, int lButton)

{

//Log Right Click Event

System.Diagnostics.Debug.Print("Double Right Click on " + lPosX + " / " + lPosY);

if (obElement != null)

System.Diagnostics.Debug.Print("Double Right Click on " + obElement.Name);

}

void ThisProject_ElementLeftButtonDblClick(IDynPicture obDynPicture, IElement obElement, int lPosX, int lPosY, int lButton)

{

//Log Left Click event

System.Diagnostics.Debug.Print("Double Left Click on " + lPosX + " / " + lPosY);

if (obElement != null)

System.Diagnostics.Debug.Print("Double Left Click on " + obElement.Name);

}

void ThisProject_Inactive()

{

//Event handler cleanup

this.DynPictures().ElementLeftButtonDblClick -= ThisProject_ElementLeftButtonDblClick;

this.DynPictures().ElementRightButtonDblClk -= ThisProject_ElementRightButtonDblClk;

this.DynPictures().ElementLeftButtonDown -= ThisProject_ElementLeftButtonDown;

this.DynPictures().ElementLeftButtonUp -= ThisProject_ElementLeftButtonUp;

this.DynPictures().ElementRightButtonDown -= ThisProject_ElementRightButtonDown;

this.DynPictures().ElementRightButtonUp -= ThisProject_ElementRightButtonUp;

this.DynPictures().ElementMouseOver -= ThisProject_ElementMouseOver;

FreeObjects();

}

VB.NET

'

'**In this example the mouse interaction events are triggered. Note that the obElement parameter is in fact nullable if

'**the cursor is not hovering an element during the click / move event and therefore has to be checked against null

'**In the example some values given by the function are written to the debug command line.

'

Private Sub ThisProject_Active()

'Event handler initialization

Me.DynPictures().ElementLeftButtonDblClick += New ElementLeftButtonDblClickEventHandler(AddressOf ThisProject_ElementLeftButtonDblClick)

Me.DynPictures().ElementRightButtonDblClk += New ElementRightButtonDblClkEventHandler(AddressOf ThisProject_ElementRightButtonDblClk)

Me.DynPictures().ElementLeftButtonDown += New ElementLeftButtonDownEventHandler(AddressOf ThisProject_ElementLeftButtonDown)

Me.DynPictures().ElementLeftButtonUp += New ElementLeftButtonUpEventHandler(AddressOf ThisProject_ElementLeftButtonUp)

Me.DynPictures().ElementRightButtonDown += New ElementRightButtonDownEventHandler(AddressOf ThisProject_ElementRightButtonDown)

Me.DynPictures().ElementRightButtonUp += New ElementRightButtonUpEventHandler(AddressOf ThisProject_ElementRightButtonUp)

Me.DynPictures().ElementMouseOver += New ElementMouseOverEventHandler(AddressOf ThisProject_ElementMouseOver)

End Sub

Private Sub ThisProject_ElementMouseOver(obDynPicture As IDynPicture, obElement As IElement, lPosX As Integer, lPosY As Integer, lButton As Integer)

'Log Mouse over event

System.Diagnostics.Debug.Print("Mouse over event on " + lPosX + " / " + lPosY)

If obElement IsNot Nothing Then

System.Diagnostics.Debug.Print("Mouse over event on element '" + obElement.Name + "'")

End If

End Sub

Private Sub ThisProject_ElementRightButtonUp(obDynPicture As IDynPicture, obElement As IElement, lPosX As Integer, lPosY As Integer, lButton As Integer)

'Log Mouse button up event

System.Diagnostics.Debug.Print("Right mouse button up event " + lPosX + " / " + lPosY)

If obElement IsNot Nothing Then

System.Diagnostics.Debug.Print("Right mouse button up event '" + obElement.Name + "'")

End If

End Sub

Private Sub ThisProject_ElementRightButtonDown(obDynPicture As IDynPicture, obElement As IElement, lPosX As Integer, lPosY As Integer, lButton As Integer)

'Log Mouse button down event

System.Diagnostics.Debug.Print("Right mouse button down event " + lPosX + " / " + lPosY)

If obElement IsNot Nothing Then

System.Diagnostics.Debug.Print("Right mouse button down event '" + obElement.Name + "'")

End If

End Sub

Private Sub ThisProject_ElementLeftButtonUp(obDynPicture As IDynPicture, obElement As IElement, lPosX As Integer, lPosY As Integer, lButton As Integer)

'Log Mouse button up event

System.Diagnostics.Debug.Print("Left mouse button up event " + lPosX + " / " + lPosY)

If obElement IsNot Nothing Then

System.Diagnostics.Debug.Print("Left mouse button up event '" + obElement.Name + "'")

End If

End Sub

Private Sub ThisProject_ElementLeftButtonDown(obDynPicture As IDynPicture, obElement As IElement, lPosX As Integer, lPosY As Integer, lButton As Integer)

'Log Mouse button down event

System.Diagnostics.Debug.Print("Left mouse button down event " + lPosX + " / " + lPosY)

If obElement IsNot Nothing Then

System.Diagnostics.Debug.Print("Left mouse button down event '" + obElement.Name + "'")

End If

End Sub

Private Sub ThisProject_ElementRightButtonDblClk(obDynPicture As IDynPicture, obElement As IElement, lPosX As Integer, lPosY As Integer, lButton As Integer)

'Log Right Click Event

System.Diagnostics.Debug.Print("Double Right Click on " + lPosX + " / " + lPosY)

If obElement IsNot Nothing Then

System.Diagnostics.Debug.Print("Double Right Click on " + obElement.Name)

End If

End Sub

Private Sub ThisProject_ElementLeftButtonDblClick(obDynPicture As IDynPicture, obElement As IElement, lPosX As Integer, lPosY As Integer, lButton As Integer)

'Log Left Click event

System.Diagnostics.Debug.Print("Double Left Click on " + lPosX + " / " + lPosY)

If obElement IsNot Nothing Then

System.Diagnostics.Debug.Print("Double Left Click on " + obElement.Name)

End If

End Sub

Private Sub ThisProject_Inactive()

'Event handler cleanup

RemoveHandler Me.DynPictures().ElementLeftButtonDblClick, AddressOf ThisProject_ElementLeftButtonDblClick

RemoveHandler Me.DynPictures().ElementRightButtonDblClk, AddressOf ThisProject_ElementRightButtonDblClk

RemoveHandler Me.DynPictures().ElementLeftButtonDown, AddressOf ThisProject_ElementLeftButtonDown

RemoveHandler Me.DynPictures().ElementLeftButtonUp, AddressOf ThisProject_ElementLeftButtonUp

RemoveHandler Me.DynPictures().ElementRightButtonDown, AddressOf ThisProject_ElementRightButtonDown

RemoveHandler Me.DynPictures().ElementRightButtonUp, AddressOf ThisProject_ElementRightButtonUp

RemoveHandler Me.DynPictures().ElementMouseOver, AddressOf ThisProject_ElementMouseOver

FreeObjects()

End Sub

VBA

VBA-Syntax


ElementMouseOver

Manuel -> Interfaces de programmation -> Modèles d'objet -> DynPictures -> DynPictures-Events -> ElementMouseOver

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

ElementMouseOver(DynPicture obDynPicture, IElement obElement, long lPosX, long lPosY, long lButton) As void

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

/*

**In this example the mouse interaction events are triggered. Note that the obElement parameter is in fact nullable if

**the cursor is not hovering an element during the click / move event and therefore has to be checked against null

**In the example some values given by the function are written to the debug command line.

*/

void ThisProject_Active()

{

//Event handler initialization

this.DynPictures().ElementLeftButtonDblClick += new ElementLeftButtonDblClickEventHandler(ThisProject_ElementLeftButtonDblClick);

this.DynPictures().ElementRightButtonDblClk += new ElementRightButtonDblClkEventHandler(ThisProject_ElementRightButtonDblClk);

this.DynPictures().ElementLeftButtonDown += new ElementLeftButtonDownEventHandler(ThisProject_ElementLeftButtonDown);

this.DynPictures().ElementLeftButtonUp += new ElementLeftButtonUpEventHandler(ThisProject_ElementLeftButtonUp);

this.DynPictures().ElementRightButtonDown += new ElementRightButtonDownEventHandler(ThisProject_ElementRightButtonDown);

this.DynPictures().ElementRightButtonUp += new ElementRightButtonUpEventHandler(ThisProject_ElementRightButtonUp);

this.DynPictures().ElementMouseOver += new ElementMouseOverEventHandler(ThisProject_ElementMouseOver);

}

void ThisProject_ElementMouseOver(IDynPicture obDynPicture, IElement obElement, int lPosX, int lPosY, int lButton)

{

//Log Mouse over event

System.Diagnostics.Debug.Print("Mouse over event on " + lPosX + " / " + lPosY);

if (obElement != null)

System.Diagnostics.Debug.Print("Mouse over event on element '" + obElement.Name + "'");

}

void ThisProject_ElementRightButtonUp(IDynPicture obDynPicture, IElement obElement, int lPosX, int lPosY, int lButton)

{

//Log Mouse button up event

System.Diagnostics.Debug.Print("Right mouse button up event " + lPosX + " / " + lPosY);

if (obElement != null)

System.Diagnostics.Debug.Print("Right mouse button up event '" + obElement.Name + "'");

}

void ThisProject_ElementRightButtonDown(IDynPicture obDynPicture, IElement obElement, int lPosX, int lPosY, int lButton)

{

//Log Mouse button down event

System.Diagnostics.Debug.Print("Right mouse button down event " + lPosX + " / " + lPosY);

if (obElement != null)

System.Diagnostics.Debug.Print("Right mouse button down event '" + obElement.Name + "'");

}

void ThisProject_ElementLeftButtonUp(IDynPicture obDynPicture, IElement obElement, int lPosX, int lPosY, int lButton)

{

//Log Mouse button up event

System.Diagnostics.Debug.Print("Left mouse button up event " + lPosX + " / " + lPosY);

if (obElement != null)

System.Diagnostics.Debug.Print("Left mouse button up event '" + obElement.Name + "'");

}

void ThisProject_ElementLeftButtonDown(IDynPicture obDynPicture, IElement obElement, int lPosX, int lPosY, int lButton)

{

//Log Mouse button down event

System.Diagnostics.Debug.Print("Left mouse button down event " + lPosX + " / " + lPosY);

if (obElement != null)

System.Diagnostics.Debug.Print("Left mouse button down event '" + obElement.Name + "'");

}

void ThisProject_ElementRightButtonDblClk(IDynPicture obDynPicture, IElement obElement, int lPosX, int lPosY, int lButton)

{

//Log Right Click Event

System.Diagnostics.Debug.Print("Double Right Click on " + lPosX + " / " + lPosY);

if (obElement != null)

System.Diagnostics.Debug.Print("Double Right Click on " + obElement.Name);

}

void ThisProject_ElementLeftButtonDblClick(IDynPicture obDynPicture, IElement obElement, int lPosX, int lPosY, int lButton)

{

//Log Left Click event

System.Diagnostics.Debug.Print("Double Left Click on " + lPosX + " / " + lPosY);

if (obElement != null)

System.Diagnostics.Debug.Print("Double Left Click on " + obElement.Name);

}

void ThisProject_Inactive()

{

//Event handler cleanup

this.DynPictures().ElementLeftButtonDblClick -= ThisProject_ElementLeftButtonDblClick;

this.DynPictures().ElementRightButtonDblClk -= ThisProject_ElementRightButtonDblClk;

this.DynPictures().ElementLeftButtonDown -= ThisProject_ElementLeftButtonDown;

this.DynPictures().ElementLeftButtonUp -= ThisProject_ElementLeftButtonUp;

this.DynPictures().ElementRightButtonDown -= ThisProject_ElementRightButtonDown;

this.DynPictures().ElementRightButtonUp -= ThisProject_ElementRightButtonUp;

this.DynPictures().ElementMouseOver -= ThisProject_ElementMouseOver;

FreeObjects();

}

VB.NET

'

'**In this example the mouse interaction events are triggered. Note that the obElement parameter is in fact nullable if

'**the cursor is not hovering an element during the click / move event and therefore has to be checked against null

'**In the example some values given by the function are written to the debug command line.

'

Private Sub ThisProject_Active()

'Event handler initialization

Me.DynPictures().ElementLeftButtonDblClick += New ElementLeftButtonDblClickEventHandler(AddressOf ThisProject_ElementLeftButtonDblClick)

Me.DynPictures().ElementRightButtonDblClk += New ElementRightButtonDblClkEventHandler(AddressOf ThisProject_ElementRightButtonDblClk)

Me.DynPictures().ElementLeftButtonDown += New ElementLeftButtonDownEventHandler(AddressOf ThisProject_ElementLeftButtonDown)

Me.DynPictures().ElementLeftButtonUp += New ElementLeftButtonUpEventHandler(AddressOf ThisProject_ElementLeftButtonUp)

Me.DynPictures().ElementRightButtonDown += New ElementRightButtonDownEventHandler(AddressOf ThisProject_ElementRightButtonDown)

Me.DynPictures().ElementRightButtonUp += New ElementRightButtonUpEventHandler(AddressOf ThisProject_ElementRightButtonUp)

Me.DynPictures().ElementMouseOver += New ElementMouseOverEventHandler(AddressOf ThisProject_ElementMouseOver)

End Sub

Private Sub ThisProject_ElementMouseOver(obDynPicture As IDynPicture, obElement As IElement, lPosX As Integer, lPosY As Integer, lButton As Integer)

'Log Mouse over event

System.Diagnostics.Debug.Print("Mouse over event on " + lPosX + " / " + lPosY)

If obElement IsNot Nothing Then

System.Diagnostics.Debug.Print("Mouse over event on element '" + obElement.Name + "'")

End If

End Sub

Private Sub ThisProject_ElementRightButtonUp(obDynPicture As IDynPicture, obElement As IElement, lPosX As Integer, lPosY As Integer, lButton As Integer)

'Log Mouse button up event

System.Diagnostics.Debug.Print("Right mouse button up event " + lPosX + " / " + lPosY)

If obElement IsNot Nothing Then

System.Diagnostics.Debug.Print("Right mouse button up event '" + obElement.Name + "'")

End If

End Sub

Private Sub ThisProject_ElementRightButtonDown(obDynPicture As IDynPicture, obElement As IElement, lPosX As Integer, lPosY As Integer, lButton As Integer)

'Log Mouse button down event

System.Diagnostics.Debug.Print("Right mouse button down event " + lPosX + " / " + lPosY)

If obElement IsNot Nothing Then

System.Diagnostics.Debug.Print("Right mouse button down event '" + obElement.Name + "'")

End If

End Sub

Private Sub ThisProject_ElementLeftButtonUp(obDynPicture As IDynPicture, obElement As IElement, lPosX As Integer, lPosY As Integer, lButton As Integer)

'Log Mouse button up event

System.Diagnostics.Debug.Print("Left mouse button up event " + lPosX + " / " + lPosY)

If obElement IsNot Nothing Then

System.Diagnostics.Debug.Print("Left mouse button up event '" + obElement.Name + "'")

End If

End Sub

Private Sub ThisProject_ElementLeftButtonDown(obDynPicture As IDynPicture, obElement As IElement, lPosX As Integer, lPosY As Integer, lButton As Integer)

'Log Mouse button down event

System.Diagnostics.Debug.Print("Left mouse button down event " + lPosX + " / " + lPosY)

If obElement IsNot Nothing Then

System.Diagnostics.Debug.Print("Left mouse button down event '" + obElement.Name + "'")

End If

End Sub

Private Sub ThisProject_ElementRightButtonDblClk(obDynPicture As IDynPicture, obElement As IElement, lPosX As Integer, lPosY As Integer, lButton As Integer)

'Log Right Click Event

System.Diagnostics.Debug.Print("Double Right Click on " + lPosX + " / " + lPosY)

If obElement IsNot Nothing Then

System.Diagnostics.Debug.Print("Double Right Click on " + obElement.Name)

End If

End Sub

Private Sub ThisProject_ElementLeftButtonDblClick(obDynPicture As IDynPicture, obElement As IElement, lPosX As Integer, lPosY As Integer, lButton As Integer)

'Log Left Click event

System.Diagnostics.Debug.Print("Double Left Click on " + lPosX + " / " + lPosY)

If obElement IsNot Nothing Then

System.Diagnostics.Debug.Print("Double Left Click on " + obElement.Name)

End If

End Sub

Private Sub ThisProject_Inactive()

'Event handler cleanup

RemoveHandler Me.DynPictures().ElementLeftButtonDblClick, AddressOf ThisProject_ElementLeftButtonDblClick

RemoveHandler Me.DynPictures().ElementRightButtonDblClk, AddressOf ThisProject_ElementRightButtonDblClk

RemoveHandler Me.DynPictures().ElementLeftButtonDown, AddressOf ThisProject_ElementLeftButtonDown

RemoveHandler Me.DynPictures().ElementLeftButtonUp, AddressOf ThisProject_ElementLeftButtonUp

RemoveHandler Me.DynPictures().ElementRightButtonDown, AddressOf ThisProject_ElementRightButtonDown

RemoveHandler Me.DynPictures().ElementRightButtonUp, AddressOf ThisProject_ElementRightButtonUp

RemoveHandler Me.DynPictures().ElementMouseOver, AddressOf ThisProject_ElementMouseOver

FreeObjects()

End Sub

VBA

VBA-Syntax


PictureGesture

Manuel -> Interfaces de programmation -> Modèles d'objet -> DynPictures -> DynPictures-Events -> PictureGesture

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Defines the output of the Interaction Context object. See also:

INTERACTION_CONTEXT_OUTPUT

interaction_context_output (msdn)

Datatype

PictureGesture(IDynPicture* obDynPicture, VARIANT interactionContextOutput) As void

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | No
VSTA | yes

Parameters

C#

IDynPicture obDynPicture

object interactionContextOutput

VB.NET

obDynPicture As IDynPicture

interactionContextOutput As Object

Examples

C#

/// <summary>

/// event handler for the PictureGesture event

/// </summary>

/// <param name="obDynPicture">screen on which the event occured</param>

/// <param name="interactionContextOutput">object that contains the information about the gesture</param>

void DynPics_PictureGesture(zenOn.IDynPicture obDynPicture, object interactionContextOutput)

{

CELMakeSeperator();

string CelString = string.Format("VSTA: {0} on {1} ", System.Reflection.MethodBase.GetCurrentMethod().Name, obDynPicture.Name);

Cel().WriteCelString(CelString);

WriteInteractionContextOutputToCEL(interactionContextOutput);

}

VB.NET

/// <summary>

/// event handler for the PictureGesture event

/// </summary>

/// <param name="obDynPicture">screen on which the event occured</param>

/// <param name="interactionContextOutput">object that contains the information about the gesture</param>

Private Sub DynPics_PictureGesture(obDynPicture As zenOn.IDynPicture, interactionContextOutput As Object)

CELMakeSeperator()

Dim CelString As String = String.Format("VSTA: {0} on {1} ", System.Reflection.MethodBase.GetCurrentMethod().Name, obDynPicture.Name)

Cel().WriteCelString(CelString)

WriteInteractionContextOutputToCEL(interactionContextOutput)

End Sub


ElementGesture

Manuel -> Interfaces de programmation -> Modèles d'objet -> DynPictures -> DynPictures-Events -> ElementGesture

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Defines the output of the Interaction Context object. See also: interaction_context_output (msdn)

Datatype

ElementGesture(IElement* obElement, VARIANT interactionContextOutput) As void

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | No
VSTA | yes

Parameters

C#

IElement obElement

object interactionContextOutput

VB.NET

obElement As IElement

interactionContextOutput As Object

Examples

C#

/// <summary>

/// event handler for the ElementGesture event

/// </summary>

/// <param name="obElement">element on which the event occured</param>

/// <param name="interactionContextOutput">object that contains the information about the gesture</param>

void DynPics_ElementGesture(zenOn.IElement obElement, object interactionContextOutput)

{

CELMakeSeperator();

string CelString = string.Format("VSTA: {0} on {1} ", System.Reflection.MethodBase.GetCurrentMethod().Name, obElement.Name);

Cel().WriteCelString(CelString);

WriteInteractionContextOutputToCEL(interactionContextOutput);

}

VB.NET

/// <summary>

/// event handler for the ElementGesture event

/// </summary>

/// <param name="obElement">element on which the event occured</param>

/// <param name="interactionContextOutput">object that contains the information about the gesture</param>

Private Sub DynPics_ElementGesture(obElement As zenOn.IElement, interactionContextOutput As Object)

CELMakeSeperator()

Dim CelString As String = String.Format("VSTA: {0} on {1} ", System.Reflection.MethodBase.GetCurrentMethod().Name, obElement.Name)

Cel().WriteCelString(CelString)

WriteInteractionContextOutputToCEL(interactionContextOutput)

End Sub


PointerDown

Manuel -> Interfaces de programmation -> Modèles d'objet -> DynPictures -> DynPictures-Events -> PointerDown

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Posted when a pointer makes contact over the client area of a window. This input message targets the window over which the pointer makes contact, and the pointer is implicitly captured to the window so that the window continues to receive input for the pointer until it breaks contact.

Datatype

PointerDown (IDynPicture* obDynPicture, IElement* obElement, VARIANT vPointerId, VARIANT_BOOL bNew, VARIANT_BOOL bInRange, VARIANT_BOOL bInContact, VARIANT_BOOL bPrimary, VARIANT_BOOL bFirstButton, VARIANT_BOOL bSecondButton, VARIANT_BOOL bThirdButton, VARIANT_BOOL bFourthButton, VARIANT_BOOL bFifthButton, long lX, long lY) As void

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | No
VSTA | yes

Parameters

C#

IDynPicture obDynPicture

IElement obElement

object vPointerId

bool bNew

bool bInRange

bool bInContact

bool bPrimary

bool bFirstButton

bool bSecondButton

bool bThirdButton

bool bFourthButton

bool bFifthButton

int lX

int lY

VB.NET

obDynPicture As IDynPicture

obElement As IElement

vPointerId As Object

bNew As Boolean

bInRange As Boolean

bInContact As Boolean

bPrimary As Boolean

bFirstButton As Boolean

bSecondButton As Boolean

bThirdButton As Boolean

bFourthButton As Boolean

bFifthButton As Boolean

lX As Integer

lY As Integer

Examples

C#

void DynPics_PointerDown(zenOn.IDynPicture obDynPicture, zenOn.IElement obElement, object vPointerId, bool bNew, bool bInRange, bool bInContact, bool bPrimary, bool bFirstButton, bool bSecondButton, bool bThirdButton, bool bFourthButton, bool bFifthButton, int lX, int lY)

{

string CelString = string.Format("VSTA: {0} on {1} ", System.Reflection.MethodBase.GetCurrentMethod().Name, obDynPicture.Name);

string ButtonMatrix = "";

ButtonMatrix += (bFirstButton == true) ? "[1]" : "[x]";

ButtonMatrix += (bSecondButton == true) ? "[2]" : "[x]";

ButtonMatrix += (bThirdButton == true) ? "[3]" : "[x]";

ButtonMatrix += (bFourthButton == true) ? "[4]" : "[x]";

ButtonMatrix += (bFifthButton == true) ? "[5]" : "[x]";

CelString += string.Format("pointer-id: {0}, is-new: {1}, is-in-range: {2}, is-in-contact: {3}, is-primary: {4}, buttons: {5}, [X, Y]: {6},{7}", Convert.ToString(vPointerId), bNew, bInRange, bInContact, bPrimary, ButtonMatrix, lX, lY);

Cel().WriteCelString(CelString);

}

VB.NET

Private Sub DynPics_PointerDown(obDynPicture As zenOn.IDynPicture, obElement As zenOn.IElement, vPointerId As Object, bNew As Boolean, bInRange As Boolean, bInContact As Boolean, _

bPrimary As Boolean, bFirstButton As Boolean, bSecondButton As Boolean, bThirdButton As Boolean, bFourthButton As Boolean, bFifthButton As Boolean, _

lX As Integer, lY As Integer)

Dim CelString As String = String.Format("VSTA: {0} on {1} ", System.Reflection.MethodBase.GetCurrentMethod().Name, obDynPicture.Name)

Dim ButtonMatrix As String = ""

ButtonMatrix += If((bFirstButton = True), "[1]", "[x]")

ButtonMatrix += If((bSecondButton = True), "[2]", "[x]")

ButtonMatrix += If((bThirdButton = True), "[3]", "[x]")

ButtonMatrix += If((bFourthButton = True), "[4]", "[x]")

ButtonMatrix += If((bFifthButton = True), "[5]", "[x]")

CelString += String.Format("pointer-id: {0}, is-new: {1}, is-in-range: {2}, is-in-contact: {3}, is-primary: {4}, buttons: {5}, [X, Y]: {6},{7}", Convert.ToString(vPointerId), bNew, bInRange, bInContact, bPrimary, _

ButtonMatrix, lX, lY)

Cel().WriteCelString(CelString)

End Sub


PointerEnter

Manuel -> Interfaces de programmation -> Modèles d'objet -> DynPictures -> DynPictures-Events -> PointerEnter

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Sent to a window when a new pointer enters detection range over the window (hover) or when an existing pointer moves within the boundaries of the window.

The PointerEnter notification can be used by a window to provide feedback to the user while the pointer is over its surface or to otherwise react to the presence of a pointer over its surface.

Datatype

PointerEnter (IDynPicture* obDynPicture, IElement* obElement, VARIANT vPointerId, VARIANT_BOOL bNew, VARIANT_BOOL bInRange, VARIANT_BOOL bInContact) As void

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | No
VSTA | yes

Parameters

C#

IDynPicture obDynPicture

IElement obElement

object vPointerId

bool bNew

bool bInRange

bool bInContact

VB.NET

obDynPicture As IDynPicture

obElement As IElement

vPointerId As Object

bNew As Boolean

bInRange As Boolean

bInContact As Boolean

Examples

C#

void DynPics_PointerEnter(zenOn.IDynPicture obDynPicture, zenOn.IElement obElement, object vPointerId, bool bNew, bool bInRange, bool bInContact)

{

string CelString = string.Format("VSTA: {0} on {1} ", System.Reflection.MethodBase.GetCurrentMethod().Name, obDynPicture.Name);

if (obElement != null)

{

CelString += string.Format("on element {0}, ", obElement.Name);

}

CelString += string.Format("pointer-id: {0}, is-new: {1}, is-in-range: {2}, is-in-contact: {3}", Convert.ToString(vPointerId), bNew, bInRange, bInContact);

Cel().WriteCelString(CelString);

}

VB.NET

Private Sub DynPics_PointerEnter(obDynPicture As zenOn.IDynPicture, obElement As zenOn.IElement, vPointerId As Object, bNew As Boolean, bInRange As Boolean, bInContact As Boolean)

Dim CelString As String = String.Format("VSTA: {0} on {1} ", System.Reflection.MethodBase.GetCurrentMethod().Name, obDynPicture.Name)

If obElement IsNot Nothing Then

CelString += String.Format("on element {0}, ", obElement.Name)

End If

CelString += String.Format("pointer-id: {0}, is-new: {1}, is-in-range: {2}, is-in-contact: {3}", Convert.ToString(vPointerId), bNew, bInRange, bInContact)

Cel().WriteCelString(CelString)

End Sub


PointerLeave

Manuel -> Interfaces de programmation -> Modèles d'objet -> DynPictures -> DynPictures-Events -> PointerLeave

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Sent to a window when a pointer leaves detection range over the window (hover) or when a pointer moves outside the boundaries of the window.

The PointerLeave notification can be used by a window to change mode or stop any feedback to the user while the pointer is over the window surface.

Datatype

PointerLeave (IDynPicture* obDynPicture, IElement* obElement, VARIANT vPointerId, VARIANT_BOOL bInRange, VARIANT_BOOL bInContact) As void

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | No
VSTA | yes

Parameters

C#

IDynPicture obDynPicture

IElement obElement

object vPointerId

bool bInRange

bool bInContact

VB.NET

Dim obDynPicture As IDynPicture

Dim obElement As IElement

Dim vPointerId As Object

Dim bInRange As Boolean

Dim bInContact As Boolean

Examples

C#

void DynPics_PointerLeave(zenOn.IDynPicture obDynPicture, zenOn.IElement obElement, object vPointerId, bool bInRange, bool bInContact)

{

string CelString = string.Format("VSTA: {0} on {1} ", System.Reflection.MethodBase.GetCurrentMethod().Name, obDynPicture.Name);

CelString += string.Format("pointer-id: {0}, is-in-range: {1}, is-in-contact: {2}", Convert.ToString(vPointerId), bInRange, bInContact);

Cel().WriteCelString(CelString);

}

VB.NET

Private Sub DynPics_PointerLeave(obDynPicture As zenOn.IDynPicture, obElement As zenOn.IElement, vPointerId As Object, bInRange As Boolean, bInContact As Boolean)

Dim CelString As String = String.Format("VSTA: {0} on {1} ", System.Reflection.MethodBase.GetCurrentMethod().Name, obDynPicture.Name)

CelString += String.Format("pointer-id: {0}, is-in-range: {1}, is-in-contact: {2}", Convert.ToString(vPointerId), bInRange, bInContact)

Cel().WriteCelString(CelString)

End Sub


PointerUp

Manuel -> Interfaces de programmation -> Modèles d'objet -> DynPictures -> DynPictures-Events -> PointerUp

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Posted when a pointer that made contact over the client area of a window breaks contact. This input message targets the window over which the pointer makes contact and the pointer is, at that point, implicitly captured to the window so that the window continues to receive input messages including the PointerUp notification for the pointer until it breaks contact.

Important:

When a window loses capture of a pointer and it receives the PointerCaptureChanged notification, it typically will not receive any further notifications. For this reason, it is important that you not make any assumptions based on evenly paired PointerDown/PointerUp or PointerEnter/PointerLeave notifications.

Datatype

PointerUp (IDynPicture* obDynPicture, IElement* obElement, VARIANT vPointerId, VARIANT_BOOL bIsCanceled, VARIANT_BOOL bInRange, VARIANT_BOOL bInContact, VARIANT_BOOL bPrimary, VARIANT_BOOL bFirstButton, VARIANT_BOOL bSecondButton, VARIANT_BOOL bThirdButton, VARIANT_BOOL bFourthButton, VARIANT_BOOL bFifthButton, long lX, long lY) As void

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | No
VSTA | yes

Parameters

C#

IDynPicture obDynPictureI

Element obElement

object vPointerId

bool bIsCanceled

bool bInRange

bool bInContact

bool bPrimary

bool bFirstButton

bool bSecondButton

bool bThirdButton

bool bFourthButton

bool bFifthButton

int lX

int lY

VB.NET

Dim obDynPictureI As IDynPicture

Dim obElement As Element

Dim vPointerId As Object

Dim bIsCanceled As Boolean

Dim bInRange As Boolean

Dim bInContact As Boolean

Dim bPrimary As Boolean

Dim bFirstButton As Boolean

Dim bSecondButton As Boolean

Dim bThirdButton As Boolean

Dim bFourthButton As Boolean

Dim bFifthButton As Boolean

Dim lX As Integer

Dim lY As Integer

Examples

C#

void DynPics_PointerUp(zenOn.IDynPicture obDynPicture, zenOn.IElement obElement, object vPointerId, bool bIsCanceled, bool bInRange, bool bInContact, bool bPrimary, bool bFirstButton, bool bSecondButton, bool bThirdButton, bool bFourthButton, bool bFifthButton, int lX, int lY)

{

string CelString = string.Format("VSTA: {0} on {1} ", System.Reflection.MethodBase.GetCurrentMethod().Name, obDynPicture.Name);

string ButtonMatrix = "";

ButtonMatrix += (bFirstButton == true) ? "[1]" : "[x]";

ButtonMatrix += (bSecondButton == true) ? "[2]" : "[x]";

ButtonMatrix += (bThirdButton == true) ? "[3]" : "[x]";

ButtonMatrix += (bFourthButton == true) ? "[4]" : "[x]";

ButtonMatrix += (bFifthButton == true) ? "[5]" : "[x]";

CelString += string.Format("pointer-id: {0}, is-canceled: {1}, is-in-range: {2}, is-in-contact: {3}, is-primary: {4}, buttons: {5}, [X, Y]: {6},{7}", Convert.ToString(vPointerId), bIsCanceled, bInRange, bInContact, bPrimary, ButtonMatrix, lX, lY);

Cel().WriteCelString(CelString);

}

VB.NET

Private Sub DynPics_PointerUp(obDynPicture As zenOn.IDynPicture, obElement As zenOn.IElement, vPointerId As Object, bIsCanceled As Boolean, bInRange As Boolean, bInContact As Boolean, _

bPrimary As Boolean, bFirstButton As Boolean, bSecondButton As Boolean, bThirdButton As Boolean, bFourthButton As Boolean, bFifthButton As Boolean, _

lX As Integer, lY As Integer)

Dim CelString As String = String.Format("VSTA: {0} on {1} ", System.Reflection.MethodBase.GetCurrentMethod().Name, obDynPicture.Name)

Dim ButtonMatrix As String = ""

ButtonMatrix += If((bFirstButton = True), "[1]", "[x]")

ButtonMatrix += If((bSecondButton = True), "[2]", "[x]")

ButtonMatrix += If((bThirdButton = True), "[3]", "[x]")

ButtonMatrix += If((bFourthButton = True), "[4]", "[x]")

ButtonMatrix += If((bFifthButton = True), "[5]", "[x]")

CelString += String.Format("pointer-id: {0}, is-canceled: {1}, is-in-range: {2}, is-in-contact: {3}, is-primary: {4}, buttons: {5}, [X, Y]: {6},{7}", Convert.ToString(vPointerId), bIsCanceled, bInRange, bInContact, bPrimary, _

ButtonMatrix, lX, lY)

Cel().WriteCelString(CelString)

End Sub


PointerUpdate

Manuel -> Interfaces de programmation -> Modèles d'objet -> DynPictures -> DynPictures-Events -> PointerUpdate

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Posted to provide an update on a pointer that made contact over the non-client area of a window or when a hovering uncaptured contact moves over the non-client area of a window. While the pointer is hovering, the message targets whichever window the pointer happens to be over. While the pointer is in contact with the surface, the pointer is implicitly captured to the window over which the pointer made contact and that window continues to receive input for the pointer until it breaks contact.

If a window has captured this pointer, this message is not posted. Instead, a PointerUpdate is posted to the window that has captured this pointer.

Each pointer has a unique pointer identifier during its lifetime. The lifetime of a pointer begins when it is first detected.

A PointerEnter message is generated if a hovering pointer is detected. A PointerDown message followed by a PointerEnter message is generated if a non-hovering pointer is detected.

During its lifetime, a pointer may generate a series of PointerUpdate messages while it is hovering or in contact.

The lifetime of a pointer ends when it is no longer detected. This generates a PointerLeave message.

When a pointer is aborted, POINTER_FLAG_CANCELED is set.

A PointerLeave message may also be generated when a non-captured pointer moves outside the bounds of a window.

Datatype

PointerUpdate (IDynPicture* obDynPicture, IElement* obElement, VARIANT vPointerId, VARIANT_BOOL bNew, VARIANT_BOOL bInRange, VARIANT_BOOL bInContact, VARIANT_BOOL bPrimary, VARIANT_BOOL bFirstButton, VARIANT_BOOL bSecondButton, VARIANT_BOOL bThirdButton, VARIANT_BOOL bFourthButton, VARIANT_BOOL bFifthButton, long lX, long lY) As void

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | No
VSTA | yes

Parameters

C#

IDynPicture obDynPicture

IElement obElement

object vPointerId

bool bNew

bool bInRange

bool bInContact

bool bPrimary

bool bFirstButton

bool bSecondButton

bool bThirdButton

bool bFourthButton

bool bFifthButton

int lX

int lY

VB.NET

Dim obDynPicture As IDynPicture

Dim obElement As IElement

Dim vPointerId As Object

Dim bNew As Boolean

Dim bInRange As Boolean

Dim bInContact As Boolean

Dim bPrimary As Boolean

Dim bFirstButton As Boolean

Dim bSecondButton As Boolean

Dim bThirdButton As Boolean

Dim bFourthButton As Boolean

Dim bFifthButton As Boolean

Dim lX As Integer

Dim lY As Integer

Examples

C#

void DynPics_PointerUpdate(zenOn.IDynPicture obDynPicture, zenOn.IElement obElement, object vPointerId, bool bNew, bool bInRange, bool bInContact, bool bPrimary, bool bFirstButton, bool bSecondButton, bool bThirdButton, bool bFourthButton, bool bFifthButton, int lX, int lY)

{

string CelString = string.Format("VSTA: {0} on {1} ", System.Reflection.MethodBase.GetCurrentMethod().Name, obDynPicture.Name);

string ButtonMatrix = "";

ButtonMatrix += (bFirstButton == true) ? "[1]" : "[x]";

ButtonMatrix += (bSecondButton == true) ? "[2]" : "[x]";

ButtonMatrix += (bThirdButton == true) ? "[3]" : "[x]";

ButtonMatrix += (bFourthButton == true) ? "[4]" : "[x]";

ButtonMatrix += (bFifthButton == true) ? "[5]" : "[x]";

CelString += string.Format("pointer-id: {0}, is-new: {1}, is-in-range: {2}, is-in-contact: {3}, is-primary: {4}, buttons: {5}, [X, Y]: {6},{7}", Convert.ToString(vPointerId), bNew, bInRange, bInContact, bPrimary, ButtonMatrix, lX, lY);

Cel().WriteCelString(CelString);

}

VB.NET

Private Sub DynPics_PointerUpdate(obDynPicture As zenOn.IDynPicture, obElement As zenOn.IElement, vPointerId As Object, bNew As Boolean, bInRange As Boolean, bInContact As Boolean, _

bPrimary As Boolean, bFirstButton As Boolean, bSecondButton As Boolean, bThirdButton As Boolean, bFourthButton As Boolean, bFifthButton As Boolean, _

lX As Integer, lY As Integer)

Dim CelString As String = String.Format("VSTA: {0} on {1} ", System.Reflection.MethodBase.GetCurrentMethod().Name, obDynPicture.Name)

Dim ButtonMatrix As String = ""

ButtonMatrix += If((bFirstButton = True), "[1]", "[x]")

ButtonMatrix += If((bSecondButton = True), "[2]", "[x]")

ButtonMatrix += If((bThirdButton = True), "[3]", "[x]")

ButtonMatrix += If((bFourthButton = True), "[4]", "[x]")

ButtonMatrix += If((bFifthButton = True), "[5]", "[x]")

CelString += String.Format("pointer-id: {0}, is-new: {1}, is-in-range: {2}, is-in-contact: {3}, is-primary: {4}, buttons: {5}, [X, Y]: {6},{7}", Convert.ToString(vPointerId), bNew, bInRange, bInContact, bPrimary, _

ButtonMatrix, lX, lY)

Cel().WriteCelString(CelString)

End Sub


PointerWheel

Manuel -> Interfaces de programmation -> Modèles d'objet -> DynPictures -> DynPictures-Events -> PointerWheel

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Posted to the window with foreground keyboard focus when a horizontal scroll wheel is rotated.

To retrieve the wheel scroll units, use the inputData filed of the POINTER_INFO structure returned by calling GetPointerInfo function. This field contains a signed value and is expressed in a multiple of WHEEL_DELTA. A positive value indicates a rotation forward and a negative value indicates a rotation backward.

Note that the wheel inputs may be delivered even if the mouse cursor is located outside of application’s window. The wheel messages are delivered in a way very similar to the keyboard inputs. The focus window of the foregournd message queue receives the wheel messages.

POINTER_INFO structure:

//Helper array that stores the definition of the POINTER_INFO so we can have a look at it more nicely in the CEL

string[] Pointer_Info_Definition = {

"PointerType",

"PointerID",

"FrameID",

"PointerFlags",

"SourceDevice",

"hwndTarget",

"PixelLocation",

"HimetricLocation",

"PixelLocationRaw",

"HimetricLocationRaw",

"Time",

"historyCount",

"inputData",

"KeyStates",

"PerformanceCount",

"ButtonChangeType"

};

Datatype

PointerWheel (IDynPicture* obDynPicture, IElement* obElement, VARIANT vPointerId, long lWheelDelta, long lX, long lY) As void

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | No
VSTA | yes

Parameters

C#

IDynPicture obDynPicture

IElement obElement

object vPointerId

int lWheelDelta

int lX

int lY

VB.NET

Dim obDynPicture As IDynPicture

Dim obElement As IElement

Dim vPointerId As Object

Dim lWheelDelta As Integer

Dim lX As Integer

Dim lY As Integer

Examples

C#

void DynPics_PointerWheel(zenOn.IDynPicture obDynPicture, zenOn.IElement obElement, object vPointerId, int lWheelDelta, int lX, int lY)

{

string CelString = string.Format("VSTA: {0} on {1} ", System.Reflection.MethodBase.GetCurrentMethod().Name, obDynPicture.Name);

CelString += string.Format("pointer-id: {0}, wheel-delta: {1}, [X,Y]; {2}, {3}", Convert.ToString(vPointerId), lWheelDelta, lX, lY);

Cel().WriteCelString(CelString);

}

VB.NET

Private Sub DynPics_PointerWheel(obDynPicture As zenOn.IDynPicture, obElement As zenOn.IElement, vPointerId As Object, lWheelDelta As Integer, lX As Integer, lY As Integer)

Dim CelString As String = String.Format("VSTA: {0} on {1} ", System.Reflection.MethodBase.GetCurrentMethod().Name, obDynPicture.Name)

CelString += String.Format("pointer-id: {0}, wheel-delta: {1}, [X,Y]; {2}, {3}", Convert.ToString(vPointerId), lWheelDelta, lX, lY)

Cel().WriteCelString(CelString)

End Sub


PointerHWheel

Manuel -> Interfaces de programmation -> Modèles d'objet -> DynPictures -> DynPictures-Events -> PointerHWheel

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Posted to the window with foreground keyboard focus when a horizontal scroll wheel is rotated.

To retrieve the wheel scroll units, use the inputData filed of the POINTER_INFO structure returned by calling GetPointerInfo function. This field contains a signed value and is expressed in a multiple of WHEEL_DELTA. A positive value indicates a rotation forward and a negative value indicates a rotation backward.

Note that the wheel inputs may be delivered even if the mouse cursor is located outside of application’s window. The wheel messages are delivered in a way very similar to the keyboard inputs. The focus window of the foregournd message queue receives the wheel messages.

POINTER_INFO structure:

//Helper array that stores the definition of the POINTER_INFO so we can have a look at it more nicely in the CEL

string[] Pointer_Info_Definition = {

"PointerType",

"PointerID",

"FrameID",

"PointerFlags",

"SourceDevice",

"hwndTarget",

"PixelLocation",

"HimetricLocation",

"PixelLocationRaw",

"HimetricLocationRaw",

"Time",

"historyCount",

"inputData",

"KeyStates",

"PerformanceCount",

"ButtonChangeType"

};

Datatype

PointerHWheel (IDynPicture* obDynPicture, IElement* obElement, VARIANT vPointerId, long lWheelDelta, long lX, long lY) As void

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | No
VSTA | yes

Parameters

C#

IDynPicture obDynPicture

IElement obElement

object vPointerId

int lWheelDelta

int lX

int lY

VB.NET

obDynPicture As IDynPicture

obElement As IElement

vPointerId As Object

lWheelDelta As Integer

lX As Integer

lY As Integer

Examples

C#

void DynPics_PointerHWheel(zenOn.IDynPicture obDynPicture, zenOn.IElement obElement, object vPointerId, int lWheelDelta, int lX, int lY)

{

string CelString = string.Format("VSTA: {0} on {1} ", System.Reflection.MethodBase.GetCurrentMethod().Name, obDynPicture.Name);

CelString += string.Format("pointer-id: {0}, wheel-delta: {1}, [X,Y]; {2}, {3}", Convert.ToString(vPointerId), lWheelDelta, lX, lY);

Cel().WriteCelString(CelString);

}

VB.NET

Private Sub DynPics_PointerHWheel(obDynPicture As zenOn.IDynPicture, obElement As zenOn.IElement, vPointerId As Object, lWheelDelta As Integer, lX As Integer, lY As Integer)

Dim CelString As String = String.Format("VSTA: {0} on {1} ", System.Reflection.MethodBase.GetCurrentMethod().Name, obDynPicture.Name)

CelString += String.Format("pointer-id: {0}, wheel-delta: {1}, [X,Y]; {2}, {3}", Convert.ToString(vPointerId), lWheelDelta, lX, lY)

Cel().WriteCelString(CelString)

End Sub


NCPointerDown

Manuel -> Interfaces de programmation -> Modèles d'objet -> DynPictures -> DynPictures-Events -> NCPointerDown

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Posted when a pointer makes contact over the non-client area of a window. The message targets the window over which the pointer makes contact. The pointer is implicitly captured to the window so that the window continues to receive input for the pointer until it breaks contact.

If a window has captured this pointer, this message is not posted. Instead, a NCPointerDown is posted to the window that has captured this pointer.

If the application does not process this message, DefWindowProc may perform one or more system actions depending on the hit-test result included in the message. Typically, applications should not need to handle this message.

Datatype

NCPointerDown(IDynPicture*obDynPicture, VARIANT vPointerId, long lHitTestResult, long lX, long lY) As void

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | No
VSTA | yes

Parameters

C#

IDynPicture obDynPicture

int lPointerId

int lHitTestResult

int lX

int lY

VB.NET

obDynPicture As IDynPicture

lPointerId As Integer

lHitTestResult As Integer

lX As Integer

lY As Integer

Examples

C#

void DynPics_NCPointerDown(zenOn.IDynPicture obDynPicture, int lPointerId, int lHitTestResult, int lX, int lY)

{

string CelString = string.Format("VSTA: {0} on {1} ", System.Reflection.MethodBase.GetCurrentMethod().Name, obDynPicture.Name);

CelString += string.Format("pointer-id: {0}, hit-test-result: {1}, [X,Y]: {2}, {3}", lPointerId, lHitTestResult, lX, lY);

Cel().WriteCelString(CelString);

}

VB.NET

Private Sub DynPics_NCPointerDown(obDynPicture As zenOn.IDynPicture, lPointerId As Integer, lHitTestResult As Integer, lX As Integer, lY As Integer)

Dim CelString As String = String.Format("VSTA: {0} on {1} ", System.Reflection.MethodBase.GetCurrentMethod().Name, obDynPicture.Name)

CelString += String.Format("pointer-id: {0}, hit-test-result: {1}, [X,Y]: {2}, {3}", lPointerId, lHitTestResult, lX, lY)

Cel().WriteCelString(CelString)

End Sub


NCPointerUp

Manuel -> Interfaces de programmation -> Modèles d'objet -> DynPictures -> DynPictures-Events -> NCPointerUp

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Posted when a pointer that made contact over the non-client area of a window breaks contact. The message targets the window over which the pointer makes contact and the pointer is, at that point, implicitly captured to the window so that the window continues to receive input for the pointer until it breaks contact, including the NCPointerUp notification.

If a window has captured this pointer, this message is not posted. Instead, a NCPointerUp is posted to the window that has captured this pointer.

Datatype

NCPointerUp(IDynPicture*obDynPicture, VARIANT vPointerId, long lX, long lY) As void

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | No
VSTA | yes

Parameters

C#

IDynPicture obDynPicture

int lPointerId

int lX

int lY

VB.NET

obDynPicture As IDynPicture

lPointerId As Integer

lX As Integer

lY As Integer

Examples

C#

void DynPics_NCPointerUp(zenOn.IDynPicture obDynPicture, int lPointerId, int lX, int lY)

{

string CelString = string.Format("VSTA: {0} on {1} ", System.Reflection.MethodBase.GetCurrentMethod().Name, obDynPicture.Name);

CelString += string.Format("pointer-id: {0}, [X,Y]: {1}, {2}", lPointerId, lX, lY);

Cel().WriteCelString(CelString);

}

VB.NET

Private Sub DynPics_NCPointerUp(obDynPicture As zenOn.IDynPicture, lPointerId As Integer, lX As Integer, lY As Integer)

Dim CelString As String = String.Format("VSTA: {0} on {1} ", System.Reflection.MethodBase.GetCurrentMethod().Name, obDynPicture.Name)

CelString += String.Format("pointer-id: {0}, [X,Y]: {1}, {2}", lPointerId, lX, lY)

Cel().WriteCelString(CelString)

End Sub


NCPointerUpdate

Manuel -> Interfaces de programmation -> Modèles d'objet -> DynPictures -> DynPictures-Events -> NCPointerUpdate

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Posted to provide an update on a pointer that made contact over the non-client area of a window or when a hovering uncaptured contact moves over the non-client area of a window. While the pointer is hovering, the message targets whichever window the pointer happens to be over. While the pointer is in contact with the surface, the pointer is implicitly captured to the window over which the pointer made contact and that window continues to receive input for the pointer until it breaks contact.

If a window has captured this pointer, this message is not posted. Instead, a NCPointerUpdateis posted to the window that has captured this pointer.

Datatype

NCPointerUpdate(IDynPicture*obDynPicture, VARIANT vPointerId, long lHitTestResult, long lX, long lY) As void

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | No
VSTA | yes

Parameters

C#

IDynPicture obDynPicture

int lPointerId

int lHitTestResult

int lX

int lY

VB.NET

obDynPicture As IDynPicture

lPointerId As Integer

lHitTestResult As Integer

lX As Integer

lY As Integer

Examples

C#

void DynPics_NCPointerUpdate(zenOn.IDynPicture obDynPicture, int lPointerId, int lHitTestResult, int lX, int lY)

{

string CelString = string.Format("VSTA: {0} on {1} ", System.Reflection.MethodBase.GetCurrentMethod().Name, obDynPicture.Name);

CelString += string.Format("pointer-id: {0}, hit-test-result: {1}, [X,Y]: {2}, {3}", lPointerId, lHitTestResult, lX, lY);

Cel().WriteCelString(CelString);

}

VB.NET

Private Sub DynPics_NCPointerUpdate(obDynPicture As zenOn.IDynPicture, lPointerId As Integer, lHitTestResult As Integer, lX As Integer, lY As Integer)

Dim CelString As String = String.Format("VSTA: {0} on {1} ", System.Reflection.MethodBase.GetCurrentMethod().Name, obDynPicture.Name)

CelString += String.Format("pointer-id: {0}, hit-test-result: {1}, [X,Y]: {2}, {3}", lPointerId, lHitTestResult, lX, lY)

Cel().WriteCelString(CelString)

End Sub


PointerActivate

Manuel -> Interfaces de programmation -> Modèles d'objet -> DynPictures -> DynPictures-Events -> PointerActivate

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Sent to an inactive window when a primary pointer generates a PointerDown over the window. As long as the message remains unhandled, it travels up the parent window chain until it is reaches the top-level window. Applications can respond to this message to specify whether they wish to be activated.

Datatype

PointerActivate(IDynPicture*obDynPicture, OLE_HANDLE hWnd, long lHitTestResult, VARIANT vPointerId) As void

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | No
VSTA | yes

Parameters

C#

IDynPicture obDynPicture

int hWnd

int lHitTestResult

object vPointerId

VB.NET

obDynPicture As IDynPicture

hWnd As Integer

lHitTestResult As Integer

vPointerId As Object

Examples

C#

void DynPics_PointerActivate(zenOn.IDynPicture obDynPicture, int hWnd, int lHitTestResult, object vPointerId)

{

string CelString = string.Format("VSTA: {0} on {1} ", System.Reflection.MethodBase.GetCurrentMethod().Name, obDynPicture.Name);

CelString += string.Format("pointer-id: {0}, hit-test-result: {1}, hWnd = {2}", Convert.ToString(vPointerId), lHitTestResult, hWnd.ToString());

Cel().WriteCelString(CelString);

GetPointerInfo(obDynPicture, vPointerId);

}

VB.NET

Private Sub DynPics_PointerActivate(obDynPicture As zenOn.IDynPicture, hWnd As Integer, lHitTestResult As Integer, vPointerId As Object)

Dim CelString As String = String.Format("VSTA: {0} on {1} ", System.Reflection.MethodBase.GetCurrentMethod().Name, obDynPicture.Name)

CelString += String.Format("pointer-id: {0}, hit-test-result: {1}, hWnd = {2}", Convert.ToString(vPointerId), lHitTestResult, hWnd.ToString())

Cel().WriteCelString(CelString)

GetPointerInfo(obDynPicture, vPointerId)

End Sub


PointerCaptureChanged

Manuel -> Interfaces de programmation -> Modèles d'objet -> DynPictures -> DynPictures-Events -> PointerCaptureChanged

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Sent to a window that is losing capture of an input pointer. A window should use this notification to stop processing subsequent messages and initiate any cleanup required for the pointer being lost. Processing of gestures associated with the pointer should also be terminated and remaining contacts re-associated with the window.

Datatype

PointerCaptureChanged(IDynPicture*obDynPicture, VARIANT vPointerId, OLE_HANDLE hWnd) As void

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | No
VSTA | yes

Parameters

C#

IDynPicture obDynPicture

object vPointerId

int hWnd

VB.NET

obDynPicture As IDynPicture

vPointerId As Object

hWnd As Integer

Examples

C#

void DynPics_PointerCaptureChanged(zenOn.IDynPicture obDynPicture, object vPointerId, int hWnd)

{

string CelString = string.Format("VSTA: {0} on {1} ", System.Reflection.MethodBase.GetCurrentMethod().Name, obDynPicture.Name);

CelString += string.Format("pointer-id: {0}", Convert.ToString(vPointerId));

Cel().WriteCelString(CelString);

}

VB.NET

Private Sub DynPics_PointerCaptureChanged(obDynPicture As zenOn.IDynPicture, vPointerId As Object, hWnd As Integer)

Dim CelString As String = String.Format("VSTA: {0} on {1} ", System.Reflection.MethodBase.GetCurrentMethod().Name, obDynPicture.Name)

CelString += String.Format("pointer-id: {0}", Convert.ToString(vPointerId))

Cel().WriteCelString(CelString)

End Sub


EdLimit

Manuel -> Interfaces de programmation -> Modèles d'objet -> EdLimit

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

The object EDLimit is only availaible within the zenOn Editor and is not usable during Runtime. It represents the limits from the variables as well as from the datatypes.

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Examples

C#

public void MacroEdLimit()

{

IVariable zenonVariable = this.ActiveDocument.Variables().Item("WIZ_VAR_10");

//Get the EdLimit of a given variable...

IEdLimit zenonEdLimit = zenonVariable.EdLimitItem(0);

//... and print some of its properties

System.Diagnostics.Debug.Print("Active: " + zenonEdLimit.Active.ToString());

System.Diagnostics.Debug.Print("Alarm: " + zenonEdLimit.Alarm.ToString());

System.Diagnostics.Debug.Print("AlarmAck: " + zenonEdLimit.AlarmAck.ToString());

System.Diagnostics.Debug.Print("AlarmDelete: " + zenonEdLimit.AlarmDelete.ToString());

System.Diagnostics.Debug.Print("Blinking: " + zenonEdLimit.Cel.ToString());

System.Diagnostics.Debug.Print("Cel: " + zenonEdLimit.Active.ToString());

System.Diagnostics.Debug.Print("Color: " + zenonEdLimit.Color.ToString("X6"));

System.Diagnostics.Debug.Print("Delay: " + zenonEdLimit.Delay.ToString());

System.Diagnostics.Debug.Print("Group: " + zenonEdLimit.Group.ToString());

System.Diagnostics.Debug.Print("HelpCapture: " + zenonEdLimit.HelpCapture.ToString());

System.Diagnostics.Debug.Print("HelpFile: " + zenonEdLimit.HelpFile.ToString());

System.Diagnostics.Debug.Print("Invisible: " + zenonEdLimit.Invisible.ToString());

System.Diagnostics.Debug.Print("IsMax: " + zenonEdLimit.IsMax.ToString());

System.Diagnostics.Debug.Print("IsSimple: " + zenonEdLimit.IsSimple.ToString());

System.Diagnostics.Debug.Print("IsVariable: " + zenonEdLimit.IsVariable.ToString());

System.Diagnostics.Debug.Print("LimitValue: " + zenonEdLimit.LimitValue.ToString());

System.Diagnostics.Debug.Print("ParentID: " + zenonEdLimit.ParentID.ToString());

System.Diagnostics.Debug.Print("Print: " + zenonEdLimit.Print.ToString());

System.Diagnostics.Debug.Print("Text: " + zenonEdLimit.Text.ToString());

System.Diagnostics.Debug.Print("ThreshholdValue: " + zenonEdLimit.ThresholdValue.ToString());

//Read the dynproperties of the EdLimit object

var dynProperties = zenonEdLimit.get_DynPropertiesEnum("");

string[] castProperties = (string[])dynProperties;

foreach (string item in castProperties)

{

System.Diagnostics.Debug.Print("-----------------");

string propName = item.Substring(0, item.IndexOf(',', 0));

System.Diagnostics.Debug.Print(propName);

var obj = zenonEdLimit.get_DynProperties(propName);

if (obj != null)

{

System.Diagnostics.Debug.Print("Value: " + obj.ToString());

}

else

{

System.Diagnostics.Debug.Print("Value: Null");

}

}

}

VB.NET

Public Sub MacroEdLimit()

Dim zenonVariable As IVariable = Me.ActiveDocument.Variables().Item("WIZ_VAR_10")

'Get the EdLimit of a given variable...

Dim zenonEdLimit As IEdLimit = zenonVariable.EdLimitItem(0)

'... and print some of its properties

System.Diagnostics.Debug.Print("Active: " + zenonEdLimit.Active.ToString())

System.Diagnostics.Debug.Print("Alarm: " + zenonEdLimit.Alarm.ToString())

System.Diagnostics.Debug.Print("AlarmAck: " + zenonEdLimit.AlarmAck.ToString())

System.Diagnostics.Debug.Print("AlarmDelete: " + zenonEdLimit.AlarmDelete.ToString())

System.Diagnostics.Debug.Print("Blinking: " + zenonEdLimit.Cel.ToString())

System.Diagnostics.Debug.Print("Cel: " + zenonEdLimit.Active.ToString())

System.Diagnostics.Debug.Print("Color: " + zenonEdLimit.Color.ToString("X6"))

System.Diagnostics.Debug.Print("Delay: " + zenonEdLimit.Delay.ToString())

System.Diagnostics.Debug.Print("Group: " + zenonEdLimit.Group.ToString())

System.Diagnostics.Debug.Print("HelpCapture: " + zenonEdLimit.HelpCapture.ToString())

System.Diagnostics.Debug.Print("HelpFile: " + zenonEdLimit.HelpFile.ToString())

System.Diagnostics.Debug.Print("Invisible: " + zenonEdLimit.Invisible.ToString())

System.Diagnostics.Debug.Print("IsMax: " + zenonEdLimit.IsMax.ToString())

System.Diagnostics.Debug.Print("IsSimple: " + zenonEdLimit.IsSimple.ToString())

System.Diagnostics.Debug.Print("IsVariable: " + zenonEdLimit.IsVariable.ToString())

System.Diagnostics.Debug.Print("LimitValue: " + zenonEdLimit.LimitValue.ToString())

System.Diagnostics.Debug.Print("ParentID: " + zenonEdLimit.ParentID.ToString())

System.Diagnostics.Debug.Print("Print: " + zenonEdLimit.Print.ToString())

System.Diagnostics.Debug.Print("Text: " + zenonEdLimit.Text.ToString())

System.Diagnostics.Debug.Print("ThreshholdValue: " + zenonEdLimit.ThresholdValue.ToString())

'Read the dynproperties of the EdLimit object

Dim dynProperties = zenonEdLimit.get_DynPropertiesEnum("")

Dim castProperties As String() = DirectCast(dynProperties, String())

For Each item As String In castProperties

System.Diagnostics.Debug.Print("-----------------")

Dim propName As String = item.Substring(0, item.IndexOf(","C, 0))

System.Diagnostics.Debug.Print(propName)

Dim obj = zenonEdLimit.get_DynProperties(propName)

If obj IsNot Nothing Then

System.Diagnostics.Debug.Print("Value: " + obj.ToString())

Else

System.Diagnostics.Debug.Print("Value: Null")

End If

Next

End Sub

VBA

Public Sub test_EDLimit()
Dim zEDLimit As EdLimit
Dim zVAR As Variable
Dim vDynProps As Variant
Dim strDynProp As String

'FROM DataType
'Set zEDLimit = Myworkspace.ActiveDocument.VarTypes.Item("UINT").EdLimitItem(0)

'FROM Variable
Set zVAR = MyWorkspace.ActiveDocument.Variables.Item("WIZ_VAR_10")
Set zEDLimit = zVAR.EdLimitItem(0)

'READ SETTINGS of EDLimit for Variable and Datatype
Debug.Print "Active : " & zEDLimit.Active
Debug.Print "Alarm : " & zEDLimit.Alarm
Debug.Print "AlarmAck : " & zEDLimit.AlarmAck
Debug.Print "AlarmDelete : " & zEDLimit.AlarmDelete
Debug.Print "Blinking : " & zEDLimit.Blinking
Debug.Print "Cel : " & zEDLimit.Cel
Debug.Print "Class : " & zEDLimit.Class
Debug.Print "Color : " & zEDLimit.color
Debug.Print "Delay : " & zEDLimit.Delay
Debug.Print "Group : " & zEDLimit.Group
Debug.Print "HelpCapture : " & zEDLimit.HelpCapture
Debug.Print "HelpFile : " & zEDLimit.HelpFile
Debug.Print "Invisible : " & zEDLimit.Invisible
Debug.Print "IsMax : " & zEDLimit.IsMax
Debug.Print "IsSimple : " & zEDLimit.IsSimple
Debug.Print "IsVariable : " & zEDLimit.IsVariable
Debug.Print "LimitValue : " & zEDLimit.LimitValue
Debug.Print "ParentID : " & zEDLimit.ParentID
Debug.Print "Print : " & zEDLimit.Print
Debug.Print "Text : " & zEDLimit.Text
Debug.Print "ThresholdValue: " & zEDLimit.ThresholdValue

'READ DYNPROPERTIES of EDLimit for Variable and Datatype
vDynProps = zEDLimit.DynPropertiesEnum("")
For Each strItem In vDynProps
strDynProp = Mid(strItem, 1, InStr(1, strItem, ",") - 1)
Debug.Print "--------------------"
Debug.Print strItem
Debug.Print zEDLimit.DynProperties(strDynProp)
Next

End Sub

Other topics in this chapter

EdLimit-Properties

EdLimit-Methods


EdLimit-Properties

Manuel -> Interfaces de programmation -> Modèles d'objet -> EdLimit -> EdLimit-Properties

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description |  | Editor | Runtime | VBA | VSTA
VARIANT_BOOL | Active | Limit in/-active |  | available | not used | yes | yes
VARIANT_BOOL | Alarm |  |  | available | not used | yes | yes
VARIANT_BOOL | AlarmAck |  |  | available | not used | yes | yes
VARIANT_BOOL | AlarmComment |  |  | available | not used | yes | yes
VARIANT_BOOL | AlarmDelete |  |  | available | not used | yes | yes
VARIANT_BOOL | Blinking |  |  | available | not used | yes | yes
VARIANT_BOOL | Cel |  |  | available | not used | yes | yes
short | Class |  |  | available | not used | yes | yes
long | Color |  |  | available | not used | yes | yes
long | Delay |  |  | available | not used | yes | yes
short | Group |  |  | available | not used | yes | yes
BSTR | HelpCapture |  |  | available | not used | yes | yes
BSTR | HelpFile |  |  | available | not used | yes | yes
VARIANT_BOOL | Invisible |  |  | available | not used | yes | yes
VARIANT_BOOL | IsMax |  |  | available | not used | yes | yes
VARIANT_BOOL | IsSimple |  |  | available | not used | yes | yes
VARIANT_BOOL | IsVariable |  |  | available | not used | yes | yes
double | LimitValue |  |  | available | not used | yes | yes
IDispatch | Parent | Parent-object |  | read only | read only | yes | yes
long | ParentID | ID of the variable |  | available | not used | yes | yes
VARIANT_BOOL | Print |  |  | available | not used | yes | yes
BSTR | Text |  |  | available | not used | yes | yes
double | ThresholdValue |  |  | available | not used | yes | yes
IVariable | Variable |  |  | available | not used | yes | yes
VARIANT_BOOL | AlarmCause |  | available |  | not used | yes |  | yes

Other topics in this chapter

Parent

Active

ParentID

IsSimple

IsMax

IsVariable

LimitValue

Variable

ThresholdValue

Text

Color

Invisible

Blinking

Alarm

HelpFile

HelpCapture

AlarmAck

AlarmDelete

Cel

Print

Group

Class

Delay

AlarmComment

AlarmCause


Parent

Manuel -> Interfaces de programmation -> Modèles d'objet -> EdLimit -> EdLimit-Properties -> Parent

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the parent object

Datatype

Parent() As Dispatch

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


Active

Manuel -> Interfaces de programmation -> Modèles d'objet -> EdLimit -> EdLimit-Properties -> Active

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Limit in/-active

Datatype

Active() As Boolean

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes


ParentID

Manuel -> Interfaces de programmation -> Modèles d'objet -> EdLimit -> EdLimit-Properties -> ParentID

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

ID of the variable or datatype

Datatype

ParentID() As long

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes


IsSimple

Manuel -> Interfaces de programmation -> Modèles d'objet -> EdLimit -> EdLimit-Properties -> IsSimple

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

This method returns -1 when the datatype is a simple datatype and 0 when it is a complex datatype.

Datatype

IsSimple() As Boolean

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes


IsMax

Manuel -> Interfaces de programmation -> Modèles d'objet -> EdLimit -> EdLimit-Properties -> IsMax

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

MIN or MAXLimit will be reached on underrun the limit or on overflow the setting...

Datatype

IsMax() As Boolean

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes


IsVariable

Manuel -> Interfaces de programmation -> Modèles d'objet -> EdLimit -> EdLimit-Properties -> IsVariable

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

The limit value is not defined through a fixed technical assignment of value, but through the technical value of another variable.A 'Variable' has to be linked also with this limit.

Datatype

IsVariable() As Boolean

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes


LimitValue

Manuel -> Interfaces de programmation -> Modèles d'objet -> EdLimit -> EdLimit-Properties -> LimitValue

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Value when the Limit is reached.

Datatype

LimitValue() As double

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes


Variable

Manuel -> Interfaces de programmation -> Modèles d'objet -> EdLimit -> EdLimit-Properties -> Variable

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Variable as object, which should be used as dynamic limit value.Only available, if the dynamic limit is active!

Datatype

Variable() As Variable

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes


ThresholdValue

Manuel -> Interfaces de programmation -> Modèles d'objet -> EdLimit -> EdLimit-Properties -> ThresholdValue

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

A threshold value can be defined, that is used for the releasing of the limit violation. So undesired reactions on quick series of alarms for analog values can be avoided.

Example 1: Maximum value = 900, threshold = 10 makes 890Limit is violated above 900 and violation is released under 890.

Example 2: Minimum value = 900, threshold = 10 makes 910Limit is violated below 900 and violation is released over 910.

In differnce to the hysteresis this property does not influence the display of the value but only the alarm behaviour.

Datatype

ThresholdValue() As double

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes


Text

Manuel -> Interfaces de programmation -> Modèles d'objet -> EdLimit -> EdLimit-Properties -> Text

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Text of the limit as it is displayed in lists, in the status line, and in dynamic elements on a limit violation.

Datatype

Text() As String

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes


Color

Manuel -> Interfaces de programmation -> Modèles d'objet -> EdLimit -> EdLimit-Properties -> Color

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Color of this Limit

Datatype

Color() As long

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes


Invisible

Manuel -> Interfaces de programmation -> Modèles d'objet -> EdLimit -> EdLimit-Properties -> Invisible

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Invisible Flag can be used with the 'Status' element for example...

Datatype

Invisible() As Boolean

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes


Blinking

Manuel -> Interfaces de programmation -> Modèles d'objet -> EdLimit -> EdLimit-Properties -> Blinking

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Blinking will be enabled if this flag is set to true...

Datatype

Blinking() As Boolean

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes


Alarm

Manuel -> Interfaces de programmation -> Modèles d'objet -> EdLimit -> EdLimit-Properties -> Alarm

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Should the Limit raise an Alarm?

Datatype

Alarm() As Boolean

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes


HelpFile

Manuel -> Interfaces de programmation -> Modèles d'objet -> EdLimit -> EdLimit-Properties -> HelpFile

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Represents the HelpFile if you use the embedded help features of zenOn

Datatype

HelpFile() As String

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes


HelpCapture

Manuel -> Interfaces de programmation -> Modèles d'objet -> EdLimit -> EdLimit-Properties -> HelpCapture

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Represents the HelpCapture if you use the embedded help features of zenOn

Datatype

HelpCapture() As String

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes


AlarmAck

Manuel -> Interfaces de programmation -> Modèles d'objet -> EdLimit -> EdLimit-Properties -> AlarmAck

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

The Alarm has to be acknowledged by the user whe n this flag is set to true.

Datatype

AlarmAck() As Boolean

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes


AlarmDelete

Manuel -> Interfaces de programmation -> Modèles d'objet -> EdLimit -> EdLimit-Properties -> AlarmDelete

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

The Alarm has to be deleted by the user whe n this flag is set to true.

Datatype

AlarmDelete() As Boolean

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes


Cel

Manuel -> Interfaces de programmation -> Modèles d'objet -> EdLimit -> EdLimit-Properties -> Cel

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Write into CEL...

Datatype

Cel() As Boolean

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes


Print

Manuel -> Interfaces de programmation -> Modèles d'objet -> EdLimit -> EdLimit-Properties -> Print

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Alarm or limit violation (with set option "in CEL") is printed online.

Datatype

Print() As Boolean

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes


Group

Manuel -> Interfaces de programmation -> Modèles d'objet -> EdLimit -> EdLimit-Properties -> Group

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Group number of this Limit

Datatype

Group() As short

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes


Class

Manuel -> Interfaces de programmation -> Modèles d'objet -> EdLimit -> EdLimit-Properties -> Class

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Class of this Limit

Datatype

Class() As short

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes


Delay

Manuel -> Interfaces de programmation -> Modèles d'objet -> EdLimit -> EdLimit-Properties -> Delay

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Delay of this Limit in seconds

Datatype

Delay() As long

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes


AlarmComment

Manuel -> Interfaces de programmation -> Modèles d'objet -> EdLimit -> EdLimit-Properties -> AlarmComment

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

AlarmComment() As Boolean

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes


AlarmCause

Manuel -> Interfaces de programmation -> Modèles d'objet -> EdLimit -> EdLimit-Properties -> AlarmCause

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

AlarmCause() As VARIANT_BOOL

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes


EdLimit-Methods

Manuel -> Interfaces de programmation -> Modèles d'objet -> EdLimit -> EdLimit-Methods

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
void | DynProperties [PUT] | - | available | available | yes | yes
VARIANT | DynProperties [GET] | - | available | available | yes | yes
VARIANT | DynPropertiesEnum [GET] | - | read only | read only | yes | yes
IPropParam | DynPropertyParam [GET] | Returns the PropParam objekt of the given DynProperty | read only | not used | yes | yes

Other topics in this chapter

DynPropertyParam [GET]

DynPropertiesEnum [GET]

DynProperties [GET]

DynProperties [PUT]


DynPropertyParam [GET]

Manuel -> Interfaces de programmation -> Modèles d'objet -> EdLimit -> EdLimit-Methods -> DynPropertyParam [GET]

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

DynPropertyParam [GET](BSTR bsPath) As PropParam

Availability

Environment | Available
Editor | read only
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


DynPropertiesEnum [GET]

Manuel -> Interfaces de programmation -> Modèles d'objet -> EdLimit -> EdLimit-Methods -> DynPropertiesEnum [GET]

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

DynPropertiesEnum(String bsPath) As VARIANT

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes

Parameters

A String which defines the entry point to get out all available properties of the object.

A blank String like that returns the first layer of properties:

DynPropertiesEnum("")

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

bsPath As String

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Sub ReadDynProps()
End Sub


DynProperties [GET]

Manuel -> Interfaces de programmation -> Modèles d'objet -> EdLimit -> EdLimit-Methods -> DynProperties [GET]

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

DynProperties(String bsPath) As VARIANT

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

A String which defines the Property.

Example: "NetAktive"

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

bsPath As String

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Sub GetDynProp()
'Sample: GSet the Network Aktive Flag of the Project.
If MyWorkspace.ActiveDocument.DynProperties("NetActive") = True Then
'read the server - computername...
Debug.Print "Server: " & MyWorkspace.ActiveDocument.DynProperties("NetServer")
End If
End Sub


DynProperties [PUT]

Manuel -> Interfaces de programmation -> Modèles d'objet -> EdLimit -> EdLimit-Methods -> DynProperties [PUT]

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

DynProperties (String bsPath,VARIANT vValue) As void

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

A String which defines the Property.

Example: "NetAktive"

Returns a variant value depending to the property, it can be a boolean, a long, or a whole object.

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

bsPath As String

vValue As Variant

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Sub SetDynProp()
End Sub


Element

Manuel -> Interfaces de programmation -> Modèles d'objet -> Element

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

This object contains the most important information on a defined dynamic element, e.g. type, position, colour, ...

Dynamic elements are created in the Editor of the contol system. With a DynPicture you get the list of the defined elements. In the project the central list of the defined Screens is available.
Most of the dynamic elements can be linked to variables or functions. Additionally these elements can be linked to different VBA macros. The VBA macros are managed in the Macro Browser of the Editor and liked to the properties of the elements.

Hint:
The VBA macros are only available within the control system. External applications have no access to the defined macros.

The following VBA macros are available:

  • Init: available
  • LeftClickUp: available
  • LeftClickDown: Executed on releasing the left mouse button
  • LeftDClick: Executed on doubleclicking the left mouse button
  • RightClickUp: Executed on clicking the right mouse button
  • RightClickDown: Executed on releasing the right mouse button
  • RightDClick: Executed on doubleclicking the right mouse button
  • SetFocus: Executed on activating the element
  • KillFocus: Executed on leaving the element
  • Draw: Executed on drawing the element

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Examples

C#

//Reads all elements of a (defined) screen

public IElements GetElementsOnScreen(string screenName)

{

IDynPicture zenonChosenScreen = this.ActiveDocument.DynPictures().Item(screenName);

if (zenonChosenScreen == null)

return null;

return zenonChosenScreen.Elements();

}

//Print all the element names on the start screen to the debugger output

public void MacroElements()

{

IElements zenonElements = GetElementsOnScreen("Start");

for (int i = 0; i < zenonElements.Count; ++i)

{

IElement zenonElement = zenonElements.Item(i);

//Print some properties

System.Diagnostics.Debug.Print(

"Name: {0} - Width: {1} - Height: {2}",

zenonElement.Name, zenonElement.Width.ToString(),

zenonElement.Height.ToString());

}

}

VB.NET

'Reads all elements of a (defined) screen

Public Function GetElementsOnScreen(screenName As String) As IElements

Dim zenonChosenScreen As IDynPicture = Me.ActiveDocument.DynPictures().Item(screenName)

If zenonChosenScreen Is Nothing Then

Return Nothing

End If

Return zenonChosenScreen.Elements()

End Function

'Print all the element names on the start screen to the debugger output

Public Sub MacroElements()

Dim zenonElements As IElements = GetElementsOnScreen("Start")

For i As Integer = 0 To zenonElements.Count - 1

Dim zenonElement As IElement = zenonElements.Item(i)

'Print some properties

System.Diagnostics.Debug.Print("Name: {0} - Width: {1} - Height: {2}", zenonElement.Name, zenonElement.Width.ToString(), zenonElement.Height.ToString())

Next

End Sub

VBA

'Sample how to get all elements within a symbol...
Sub GetItAll()
'Define objects...
Dim zPIC As DynPicture
Dim zELE As Element
'allocate the Screen
Set zPIC = MyWorkspace.ActiveDocument.DynPictures.Item("ScreenName")
'check if Screen object is valid...
If zPIC Is Nothing Then Exit Sub
'allocate the element
Set zELE = zPIC.Elements.Item("SymbolName")
'check if element object is valid...
If zELE Is Nothing Then Exit Sub
'get all elements within the symbol an its sub symbols...
Call GetElements(zELE)
End Sub

'Procedure with recursive calls to get all subsymbols...
Sub GetElements(zElem As Element)
Dim i As Integer
For i = 0 To zElem.Elements.Count - 1
'check if element is of type symbol
If zElem.Elements.Item(i).Type = tpSymbol Then
'recursiv call
Call GetElements(zElem.Elements.Item(i))
Else
'print the name of each element...
Debug.Print i & ": " & zElem.Elements.Item(i).Name
End If
Next i
End Sub

Other topics in this chapter

Element-Properties

Element-Methods

Element-Dynamic properties


Element-Properties

Manuel -> Interfaces de programmation -> Modèles d'objet -> Element -> Element-Properties

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description |  | Editor | Runtime | VBA | VSTA
OLE_COLOR | BackColor | Background-Color |  | available | available | yes | yes
IVariable | BackColorVariable |  |  | available | not used | yes | yes
long | Bottom | Height of the element |  | available | read only | yes | yes
long | CountVariable | Count of linked variables |  | read only | read only | yes | yes
ISymbolElements | Elements | Returns the list of linked symbols |  | available | not used | yes | yes
VARIANT_BOOL | Enable | De/-Activates the element (only runtime) |  | read only | available | yes | yes
VARIANT_BOOL | Focus | Sets the focus to the element |  | read only | read only | yes | yes
OLE_COLOR | ForeColor | Text-Color |  | available | read only | yes | yes
long | Height | Height of the element |  | available | read only | yes | yes
BSTR | HelpCapture | Help-Index in the helpfile for context-sensitive help |  | available | read only | yes | yes
BSTR | HelpFile | Name of the linked helpfile |  | available | read only | yes | yes
VARIANT_BOOL | Hide | Show/Hide the element (only runtime) |  | not used | available | yes | yes
BYTE | HorizontalOrigin |  |  | available | read only | yes | yes
BSTR | HotKey | Hotkey for the element |  | available | read only | yes | yes
OLE_HANDLE | hWnd | Handle for picture |  | not used | read only | yes | yes
long | ID | ID of the element (unique) |  | read only | read only | yes | yes
long | Left | Left-coordinate of the element |  | available | read only | yes | yes
IVariable | LineColorVariable |  |  | available | not used | yes | yes
BSTR | MenuName | Name of the linked Menu | available |  | read only | yes |  | yes
BSTR | Name | Name of the element (optional) |  | available | read only | yes | yes
IElements | Parent | Parent-Object of the element |  | read only | read only | yes | yes
short | PasswordLevel | Password-Level for user-action |  | available | read only | yes | yes
long | Right | Width of the element |  | available | read only | yes | yes
BSTR | StationName |  |  | available | read only | yes | yes
VARIANT_BOOL | SymbolInLibrary | Insert the given symbol into the symbol-library |  | read only | not used | yes | yes
long | SymbolNo |  |  | read only | read only | yes | yes
BSTR | ToolTip | Info-Text for the element (is shown by mouseover in the runtime) |  | available | not used | yes | yes
long | Top | Top-coordinate of the element |  | available | read only | yes | yes
IVariable | TwistVariable |  |  | available | not used | yes | yes
double | TwistVarMax |  |  | available | read only | yes | yes
double | TwistVarMin |  |  | available | read only | yes | yes
long | TwistViewMax |  |  | available | read only | yes | yes
long | TwistViewMin |  |  | available | read only | yes | yes
long | Type | Type of the element () |  | read only | read only | yes | yes
BYTE | VerticalOrigin |  |  | available | read only | yes | yes
double | VisibilityFrom | Minimum value of the variable for visibility of the element | available |  | read only | yes |  | yes
VARIANT_BOOL | VisibilityFromLimit | Returns true if visibility is adopted from the limit value of the variable | available |  | read only | yes |  | yes
double | VisibilityTo | Maximum value of the variable for visibility of the element | available |  | read only | yes |  | yes
IVariable | VisibilityVariable | Returns the variable for visibility | available |  | read only | yes |  | yes
long | Width | Width of the element |  | available | read only | yes | yes
IVariable | XVariable |  |  | available | not used | yes | yes
double | XVarMax |  |  | available | read only | yes | yes
double | XVarMin |  |  | available | read only | yes | yes
long | XViewMax |  |  | available | read only | yes | yes
long | XViewMin |  |  | available | read only | yes | yes
IVariable | XZoomVariable |  |  | available | not used | yes | yes
double | XZoomVarMax |  |  | available | read only | yes | yes
double | XZoomVarMin |  |  | available | read only | yes | yes
long | XZoomViewMax |  |  | available | read only | yes | yes
long | XZoomViewMin |  |  | available | read only | yes | yes
IVariable | YVariable |  |  | available | not used | yes | yes
double | YVarMax |  |  | available | read only | yes | yes
double | YVarMin |  |  | available | read only | yes | yes
long | YViewMax |  |  | available | read only | yes | yes
long | YViewMin |  |  | available | read only | yes | yes
IVariable | YZoomVariable |  |  | available | not used | yes | yes
double | YZoomVarMax |  |  | available | read only | yes | yes
double | YZoomVarMin |  |  | available | read only | yes | yes
long | YZoomViewMax |  |  | available | read only | yes | yes
long | YZoomViewMin |  |  | available | read only | yes | yes
short | ZoomMax |  |  | available | read only | yes | yes
short | ZoomMin |  |  | available | read only | yes | yes
tpLockResult | InterlockingStatus | Returns whether the Element is currently interlocked. |  | not used | read only | yes | yes
IRtFunction | Function | Returns the linked Function. |  | read only | read only | yes | yes
IInterlocking | Interlocking | Returns the linked Interlocking. |  | read only | read only | yes | yes
IVariable | SelectionFeedbackVariable | Returns the variable for the Selection Feedback | available |  | not used | yes |  | yes
tpVisibilityType | VisibilityType | Returns the visibility type | available |  | read only | yes |  | yes
IInterlocking | VisibilityInterlocking | Returns the interlocking object for visibility | not used |  | read only | yes |  | yes
VARIANT_BOOL | VisibilityWhenInterlocked | Returns true if visible when interlocked | available |  | read only | yes |  | yes

Other topics in this chapter

Parent

Name

Type

Enable

Hide

Left

Top

Right

Bottom

Width

Height

BackColor

ForeColor

Focus

CountVariable

PasswordLevel

hWnd

ID

HotKey

MenuName

HelpFile

HelpCapture

ToolTip

StationName

ZoomMin

ZoomMax

HorizontalOrigin

VerticalOrigin

VisibilityVariable

VisibilityFromLimit

VisibilityFrom

VisibilityTo

VisibilityType

VisibilityInterlocking

VisibilityWhenInterlocked

LineColorVariable

BackColorVariable

XVariable

XVarMin

XVarMax

XViewMin

XViewMax

YVariable

YVarMin

YVarMax

YViewMin

YViewMax

XZoomVariable

XZoomVarMin

XZoomVarMax

XZoomViewMin

XZoomViewMax

YZoomVariable

YZoomVarMin

YZoomVarMax

YZoomViewMin

YZoomViewMax

TwistVariable

TwistVarMin

TwistVarMax

TwistViewMin

TwistViewMax

SymbolNo

SymbolInLibrary

Elements

InterlockingStatus

Function

Interlocking

SelectionFeedbackVariable


Parent

Manuel -> Interfaces de programmation -> Modèles d'objet -> Element -> Element-Properties -> Parent

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the parent object

Datatype

Parent() As Elements

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


Name

Manuel -> Interfaces de programmation -> Modèles d'objet -> Element -> Element-Properties -> Name

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the name of the dynamic element. This property is optional, i.e. if the user did not define a name, an empty string is returned.Hint: With this unique name a dynamic element can be found in the list of the dynamic elements of the picture.

Datatype

Name() As String

Availability

Environment | Available
Editor | available
Runtime | read only
VBA | yes
VSTA | yes


Type

Manuel -> Interfaces de programmation -> Modèles d'objet -> Element -> Element-Properties -> Type

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the type of the "Element" object.The following table gives an overview of the common element types:

Value | Hex | Name | Description
0 | &H0 | tpDynBargraph | Bar Graph
1 | read only | tpDynZahlenElem | Numerical value
2 | read only | tpDynText | Link Text
4 | yes | tpDynTrend | Trend Graph
5 | yes | tpDynZeiger | Indicating instrument
6 | &H6 | tpDynBewegt | Move element
7 | &H7 | tpDynBinaer | Binary element
8 | &H8 | tpDynBitmap | Bitmap button
9 | &H9 | tpDynVerkn | Invisible button
10 | &HA | tpDynButton | Text button
11 | &HB | tpDynSchalter | Switch
12 | &HC | tpDynMulitbin | Multi-binary element
13 | &HD | tpDynMeldung | Message
14 | &HE | tpDynUhr | Clock
15 | &HF | tpDynBefMdi | Command element
16 | &H10 | tpDynStatus | State element
17 | &H11 | tpDynBaButton | Picture alarm
18 | &H12 | tpDynControl | Control element
19 | &H13 | tpDynAegel |
20 | &H14 | tpDynActiveX | ActiveX element
21 | &H15 | tpDynTopLgt | Topological line
22 | &H16 | tpDynTopStrg | Topological branch
23 | &H17 | tpDynInstrument | Universal Slider
24 | &H18 | tpDynCombiList | ComboListBox
29 | &H1D | tpDynWPF | WPF Element
100 | &H64 | tpDot |
101 | &H65 | tpLine | Line
102 | &H66 | tpRectangle | Rectangle
103 | &H67 | tpCircle | Ellipse / Circle
104 | &H68 | tpPolyLine | Polyline
107 | &H6B | tpText | Text
108 | &H6C | tpArc | Arc of circle
109 | &H6D | tpSolid |
111 | &H6F | tpTraceDr |
114 | &H72 | tpKegel |
115 | &H73 | tpFillPara |
116 | &H74 | tpFillTria |
117 | &H75 | tpFillBlock |
121 | &H79 | tpPie | Pie
127 | &H7F | tpRoundRect | Rounded rectangle
128 | &H80 | tpPolygon | Polygon
129 | &H81 | tpSymbol | Embedded symbol
130 | &H82 | tpSymbolLnk | Linked symbol
131 | &H83 | tpSegme_Dxf | Graphical element of DXF
133 | &H85 | tpWMF | Graphical element of WMF
134 | &H86 | tpEMF | Graphical element of EMF
135 | &H87 | tpWinkel | 3D-angle
136 | &H88 |  | Tube

Datatype

Type() As long
VBA | yes | tpDynBargraph | Bar Graph
VSTA | yes | tpDynBargraph | Bar Graph

Availability

Environment | Available
Editor | read only
Runtime | read only


Enable

Manuel -> Interfaces de programmation -> Modèles d'objet -> Element -> Element-Properties -> Enable

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

De/activates the dynamic element. If deactivated, actions like setting a value are not executed.Usually this property returns True indicating, that the element is active. Setting it to False deactivates the element.Hint: VBA macros are also executed, if the element is deactivated. Standard actions, e.g. executing functions for a button are not executed when deactivated.The following example de/activates the dynamic element BITMAP_BTN_1, which is on the current picture, depending on the current status of the element.

Datatype

Enable() As Boolean

Availability

Environment | Available
Editor | read only
Runtime | available
VBA | yes
VSTA | yes

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

'*** De/-activate element BITMAP_BTN_1
Public Sub LeftClickUp_Element_Enabled(obElem As Element)
Dim obElement As Element
Dim obPicture As DynPicture

'*** Get picture-Object
Set obPicture = obElem.Parent.Parent
If (obPicture Is Nothing) Then
MsgBox "Error: Picture-object is invalid..."
Exit Sub
End If

'*** Get element BITMAP_BTN_1
Set obElement = obPicture.Elements.Item("BITMAP_BTN_1")
If (obElement Is Nothing) Then
MsgBox "Error: element BITMAP_BTN_1 doesn't exists..."
Exit Sub
End If

'*** De/-activate element
obElement.Enable = Not obElement.Enable
obElement.Update
End Sub


Hide

Manuel -> Interfaces de programmation -> Modèles d'objet -> Element -> Element-Properties -> Hide

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

This property can influence the visibility of the dynamic element. Usually this property returns False, i.e. the element is displayed.If the property is set to True, the element is hidden. And the element stays invisible, until this property is set back to False.Reopening the picture resets the element.The following example influences the visibility of the dynamic element BITMAP_BTN_1, which exists in the current picture.

Datatype

Hide() As Boolean

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

'*** Change visibility of BITMAP_BTN_1
Public Sub LeftClickUp_Element_Hide(obElem As Element)
Dim obElement As Element
Dim obPicture As DynPicture

'*** Get picture-Object
Set obPicture = obElem.Parent.Parent
If (obPicture Is Nothing) Then
MsgBox "Error: Picture-object is invalid..."
Exit Sub
End If

'*** Get element BITMAP_BTN_1
Set obElement = obPicture.Elements.Item("BITMAP_BTN_1")
If (obElement Is Nothing) Then
MsgBox "Error: element BITMAP_BTN_1 doesn't exists..."
Exit Sub
End If

'*** De/-activate element
obElement.Hide = Not obElement.Hide
obElement.Update
End Sub


Left

Manuel -> Interfaces de programmation -> Modèles d'objet -> Element -> Element-Properties -> Left

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the position of the left window border of the dynamic element in pixel. The value defines the distance from the left border of the screen.The following example moves a Bitmap-Button to the right by the width of the element. If the right border of the picture is reached, the element is moved to the left border.

Datatype

Left() As long

Availability

Environment | Available
Editor | available
Runtime | read only
VBA | yes
VSTA | yes

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

'*** Move picture
Public Sub LeftClickUp_Element_Move_Horizontal(obElem As Element)
Dim obElement As Element
Dim obPicture As DynPicture
Dim nWidth As Long

'*** Get picture-Object
Set obPicture = obElem.Parent.Parent
If (obPicture Is Nothing) Then
MsgBox "Error: Picture-object is invalid..."
Exit Sub
End If

'*** Get element BITMAP_BTN_1
Set obElement = obPicture.Elements.Item("BITMAP_BTN_1")
If (obElement Is Nothing) Then
MsgBox "Error: element BITMAP_BTN_1 doesn't exists..."
Exit Sub
End If

'*** moves element to top of the picture
nWidth = (obElement.Bottom - obElement.Top)

'*** moves element
If (obElement.Right <= obPicture.Width) Then
obElement.Move obElement.Right, obElement.Top,
(obElement.Right + nWidth), obElement.Bottom
Else
obElement.Move obPicture.Left, obElement.Top,
obPicture.Left + nWidth, obElement.Bottom
End If
End Sub


Top

Manuel -> Interfaces de programmation -> Modèles d'objet -> Element -> Element-Properties -> Top

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the position of the top window border of the dynamic element in pixel. The value defines the distance from the top border of the screen.The following example moves a Bitmap-Button down by the height of the element. If the bottom border of the picture is reached, the element is moved to the top border.

Datatype

Top() As long

Availability

Environment | Available
Editor | available
Runtime | read only
VBA | yes
VSTA | yes

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

'*** Move element BITMAP_BTN_1
Public Sub LeftClickUp_Element_Move(obElem As Element)

Dim obElement As Element
Dim obPicture As DynPicture
Dim nHeight As Long
Dim nOldTop As Long

Set obPicture = obElem.Parent.Parent
If (obPicture Is Nothing) Then
MsgBox "Error: Picture-object is invalid..."
Exit Sub
End If

Set obElement = obPicture.Elements.Item("BITMAP_BTN_1")
If (obElement Is Nothing) Then
MsgBox "Error: element BITMAP_BTN_1 doesn't exists..."
Exit Sub
End If

nHeight = (obElement.Bottom - obElement.Top)
nOldTop = obElement.Top

'*** moves element
If (obElement.Bottom > obPicture.Height) Then
obElement.Move obElement.Left, 0, obElement.Right, (nHeight)
Else
obElement.Move obElement.Left, obElement.Bottom, obElement.Right,
(obElement.Bottom + nHeight)
End If

'*** update picture
obElement.Update
obPicture.Update obElement.Left, nOldTop, obElement.Right,
(obElement.Bottom + nHeight)
obElem.LeftClickUp
End Sub


Right

Manuel -> Interfaces de programmation -> Modèles d'objet -> Element -> Element-Properties -> Right

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the position of the right window border of the dynamic element in pixel. The value defines the distance from the left border of the screen.

Datatype

Right() As long

Availability

Environment | Available
Editor | available
Runtime | read only
VBA | yes
VSTA | yes


Bottom

Manuel -> Interfaces de programmation -> Modèles d'objet -> Element -> Element-Properties -> Bottom

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the position of the bottom window border of the dynamic element in pixel. The value defines the distance from the top border of the screen.

Datatype

Bottom() As long

Availability

Environment | Available
Editor | available
Runtime | read only
VBA | yes
VSTA | yes


Width

Manuel -> Interfaces de programmation -> Modèles d'objet -> Element -> Element-Properties -> Width

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Width of the element (in pixel).

Datatype

Width() As long

Availability

Environment | Available
Editor | available
Runtime | read only
VBA | yes
VSTA | yes


Height

Manuel -> Interfaces de programmation -> Modèles d'objet -> Element -> Element-Properties -> Height

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Height of the element (in pixels).

Datatype

Height() As long

Availability

Environment | Available
Editor | available
Runtime | read only
VBA | yes
VSTA | yes


BackColor

Manuel -> Interfaces de programmation -> Modèles d'objet -> Element -> Element-Properties -> BackColor

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

BackColor() As OLE_COLOR

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes


ForeColor

Manuel -> Interfaces de programmation -> Modèles d'objet -> Element -> Element-Properties -> ForeColor

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

ForeColor() As OLE_COLOR

Availability

Environment | Available
Editor | available
Runtime | read only
VBA | yes
VSTA | yes


Focus

Manuel -> Interfaces de programmation -> Modèles d'objet -> Element -> Element-Properties -> Focus

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

This property checks, if the current element has the focus. Only one element per picture can have the focus at the same time.An element gets the focus, when clicking on it with the mouse or switching to it with the Tab key.In the later case the Tab functionality for the Runtime has to be activated.

Datatype

Focus() As Boolean

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


CountVariable

Manuel -> Interfaces de programmation -> Modèles d'objet -> Element -> Element-Properties -> CountVariable

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the number of variables linked to the dynamic element.Hint: With the method "ItemVariable" the single variables of the dynamic element can be found out.The following VBA example reads all variables of a Trend element and displays them in the Debug window of VBA. Then the user is asked if VBA should be opened, to let him read the messages.

Datatype

CountVariable() As long

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

'*** Get variables of trend TREND_1.

Public Sub LeftClickUp_Element_Variables(obElem As Element)
Dim obElement As Element
Dim obPicture As DynPicture
Dim obVariable As Variable
Dim obFunction As RtFunction
Dim nIndex As Long

'*** Get picture-Object
Set obPicture = obElem.Parent.Parent
If (obPicture Is Nothing) Then
MsgBox "Error: Picture-object is invalid..."
Exit Sub
End If

'*** Get element TREND_1
Set obElement = obPicture.Elements.Item("TREND_1")
If (obElement Is Nothing) Then
MsgBox "Error: element BITMAP_BTN_1 doesn't exists..."
Exit Sub
End If

'*** Get variables of trend
Debug.Print "TREND_1: " + CStr(obElement.CountVariable) + " variabls
End Sub


PasswordLevel

Manuel -> Interfaces de programmation -> Modèles d'objet -> Element -> Element-Properties -> PasswordLevel

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

This property returns the password level of the dynamic element. Usually this method returns 0 indicating, that no password level is set.If the value is > 0, only users with the defined password level are allowed to execute the action.

Datatype

PasswordLevel() As short

Availability

Environment | Available
Editor | available
Runtime | read only
VBA | yes
VSTA | yes


hWnd

Manuel -> Interfaces de programmation -> Modèles d'objet -> Element -> Element-Properties -> hWnd

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the handle for the dynamic element. Each window in Windows is identified by a handle. This handle is used for most of the standard routines, e.g. for drawing.

Datatype

hWnd() As OLE_HANDLE

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes


ID

Manuel -> Interfaces de programmation -> Modèles d'objet -> Element -> Element-Properties -> ID

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

ID of the element (unique)

Datatype

ID() As long

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


HotKey

Manuel -> Interfaces de programmation -> Modèles d'objet -> Element -> Element-Properties -> HotKey

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Hotkey for the element

Datatype

HotKey() As String

Availability

Environment | Available
Editor | available
Runtime | read only
VBA | yes
VSTA | yes


MenuName

Manuel -> Interfaces de programmation -> Modèles d'objet -> Element -> Element-Properties -> MenuName

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Name of the linked zenOn-Menu as string.

Datatype

MenuName() As BSTR

Availability

Environment | Available
Editor | available
Runtime | read only
VBA | yes
VSTA | yes


HelpFile

Manuel -> Interfaces de programmation -> Modèles d'objet -> Element -> Element-Properties -> HelpFile

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Name of the linked helpfile

Datatype

HelpFile() As String

Availability

Environment | Available
Editor | available
Runtime | read only
VBA | yes
VSTA | yes


HelpCapture

Manuel -> Interfaces de programmation -> Modèles d'objet -> Element -> Element-Properties -> HelpCapture

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Help-Index in the helpfile for context-sensitive help

Datatype

HelpCapture() As String

Availability

Environment | Available
Editor | available
Runtime | read only
VBA | yes
VSTA | yes


ToolTip

Manuel -> Interfaces de programmation -> Modèles d'objet -> Element -> Element-Properties -> ToolTip

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Info-Text for the element (is shown by mouseover in the runtime)

Datatype

ToolTip() As String

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes


StationName

Manuel -> Interfaces de programmation -> Modèles d'objet -> Element -> Element-Properties -> StationName

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Element is entered into the object list of the world view with the text defined with this property as string.

Datatype

StationName() As String

Availability

Environment | Available
Editor | available
Runtime | read only
VBA | yes
VSTA | yes


ZoomMin

Manuel -> Interfaces de programmation -> Modèles d'objet -> Element -> Element-Properties -> ZoomMin

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Lowest zoom step in which the element should be visible in the worldview. Default: -1.Hint: Where visible from zoom step -1 to -1 means, that the element is visible in all zoom steps.

Datatype

ZoomMin() As short

Availability

Environment | Available
Editor | available
Runtime | read only
VBA | yes
VSTA | yes


ZoomMax

Manuel -> Interfaces de programmation -> Modèles d'objet -> Element -> Element-Properties -> ZoomMax

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Highest zoom step in which the element should be visible in the worldview. Default: -1.Hint: Where visible from zoom step -1 to -1 means, that the element is visible in all zoom steps.

Datatype

ZoomMax() As short

Availability

Environment | Available
Editor | available
Runtime | read only
VBA | yes
VSTA | yes


HorizontalOrigin

Manuel -> Interfaces de programmation -> Modèles d'objet -> Element -> Element-Properties -> HorizontalOrigin

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

HorizontalOrigin() As BYTE

Availability

Environment | Available
Editor | available
Runtime | read only
VBA | yes
VSTA | yes


VerticalOrigin

Manuel -> Interfaces de programmation -> Modèles d'objet -> Element -> Element-Properties -> VerticalOrigin

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

VerticalOrigin() As BYTE

Availability

Environment | Available
Editor | available
Runtime | read only
VBA | yes
VSTA | yes


VisibilityVariable

Manuel -> Interfaces de programmation -> Modèles d'objet -> Element -> Element-Properties -> VisibilityVariable

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Name (as string) of the variable, whose value should influence the visibility of the element.Hint: If no variable is linked, the element is always visible.

Datatype

VisibilityVariable() As IVariable

Availability

Environment | Available
Editor | available
Runtime | read only
VBA | yes
VSTA | yes


VisibilityFromLimit

Manuel -> Interfaces de programmation -> Modèles d'objet -> Element -> Element-Properties -> VisibilityFromLimit

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

If set TRUE, the visibility of the element will be influenced by the limit definition of the variable.ATTENTION: At least for one limit of the variable the property "invisible" must be activated.Otherwise, the visibility is influenced by the properties "VisibilityFrom" and "VisibilityTo" of the element.Hint: Only available, after a variable has been assigned to the property "VisibilityVariable".

Datatype

VisibilityFromLimit() As VARIANT_BOOL

Availability

Environment | Available
Editor | available
Runtime | read only
VBA | yes
VSTA | yes


VisibilityFrom

Manuel -> Interfaces de programmation -> Modèles d'objet -> Element -> Element-Properties -> VisibilityFrom

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Lowest value of the variable, for which the element is visible.Hint: Only available, after a variable has been assigned to the property "VisibilityVariable" and the property "VisibilityFromLimit" is set to FALSE.

Datatype

VisibilityFrom() As double

Availability

Environment | Available
Editor | available
Runtime | read only
VBA | yes
VSTA | yes


VisibilityTo

Manuel -> Interfaces de programmation -> Modèles d'objet -> Element -> Element-Properties -> VisibilityTo

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Highest value of the variable, for which the element is visible.Hint: Only available, after a variable has been assigned to the property "VisibilityVariable" and the property "VisibilityFromLimit" is set to FALSE.

Datatype

VisibilityTo() As double

Availability

Environment | Available
Editor | available
Runtime | read only
VBA | yes
VSTA | yes


VisibilityType

Manuel -> Interfaces de programmation -> Modèles d'objet -> Element -> Element-Properties -> VisibilityType

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Example how to get Properties in the Editor:

public void Macro_ShowElementSettings()

{

zenOn.IProject myActiveProject = this.Application.MyWorkspace.ActiveDocument;

zenOn.IDynPictures myDynPics = myActiveProject.DynPictures();

zenOn.IElements myElementsBild0 = myDynPics.Item(0).Elements();

zenOn.IElement button1 = myElementsBild0.Item(0);

System.Windows.Forms.MessageBox.Show("VisibilityType: " + button1.VisibilityType);

System.Windows.Forms.MessageBox.Show(" Von Grenzw: " + button1.VisibilityFromLimit);

zenOn.IVariable anVariable = button1.VisibilityVariable;

System.Windows.Forms.MessageBox.Show("Var: " + anVariable.Name);

}

Example how to get Properties in the Runtime:

public void Macro_ShowElementsRT()

{

zenOn.IElements myElementsBild0 = this.DynPictures().Item(1).Elements();

zenOn.IElement button1 = myElementsBild0.Item(0);

zenOn.ICel theCel = this.Cel();

theCel.WriteCelString("Vis.Type " + button1.VisibilityType);

theCel.WriteCelString("Variable Name: " + button1.VisibilityVariable.Name);

theCel.WriteCelString("Von, bis: " + button1.VisibilityFrom + " - " + button1.VisibilityTo);

theCel.WriteCelString("VonGrenzwert: " + button1.VisibilityFromLimit);

theCel.WriteCelString("Interlocking: " + button1.VisibilityInterlocking.ToString());

theCel.WriteCelString("VisWhenInterl.: " + button1.VisibilityWhenInterlocked);

}

Datatype

VisibilityType() As tpVisibilityType

Availability

Environment | Available
Editor | available
Runtime | read only
VBA | yes
VSTA | yes


VisibilityInterlocking

Manuel -> Interfaces de programmation -> Modèles d'objet -> Element -> Element-Properties -> VisibilityInterlocking

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Example how to get Properties in the Runtime:

public void Macro_ShowElementsRT()

{

zenOn.IElements myElementsBild0 = this.DynPictures().Item(1).Elements();

zenOn.IElement button1 = myElementsBild0.Item(0);

zenOn.ICel theCel = this.Cel();

theCel.WriteCelString("Vis.Type " + button1.VisibilityType);

theCel.WriteCelString("Variable Name: " + button1.VisibilityVariable.Name);

theCel.WriteCelString("Von, bis: " + button1.VisibilityFrom + " - " + button1.VisibilityTo);

theCel.WriteCelString("VonGrenzwert: " + button1.VisibilityFromLimit);

theCel.WriteCelString("Interlocking: " + button1.VisibilityInterlocking.ToString());

theCel.WriteCelString("VisWhenInterl.: " + button1.VisibilityWhenInterlocked);

}

Datatype

VisibilityInterlocking() As IInterlocking

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes


VisibilityWhenInterlocked

Manuel -> Interfaces de programmation -> Modèles d'objet -> Element -> Element-Properties -> VisibilityWhenInterlocked

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Example how to get Properties in the Editor:

public void Macro_ShowElementSettings()

{

zenOn.IProject myActiveProject = this.Application.MyWorkspace.ActiveDocument;

zenOn.IDynPictures myDynPics = myActiveProject.DynPictures();

zenOn.IElements myElementsBild0 = myDynPics.Item(0).Elements();

zenOn.IElement button1 = myElementsBild0.Item(0);

System.Windows.Forms.MessageBox.Show("VisibilityType: " + button1.VisibilityType);

System.Windows.Forms.MessageBox.Show(" Von Grenzw: " + button1.VisibilityFromLimit);

zenOn.IVariable anVariable = button1.VisibilityVariable;

System.Windows.Forms.MessageBox.Show("Var: " + anVariable.Name);

}

Example how to get Properties in the Runtime:

public void Macro_ShowElementsRT()

{

zenOn.IElements myElementsBild0 = this.DynPictures().Item(1).Elements();

zenOn.IElement button1 = myElementsBild0.Item(0);

zenOn.ICel theCel = this.Cel();

theCel.WriteCelString("Vis.Type " + button1.VisibilityType);

theCel.WriteCelString("Variable Name: " + button1.VisibilityVariable.Name);

theCel.WriteCelString("Von, bis: " + button1.VisibilityFrom + " - " + button1.VisibilityTo);

theCel.WriteCelString("VonGrenzwert: " + button1.VisibilityFromLimit);

theCel.WriteCelString("Interlocking: " + button1.VisibilityInterlocking.ToString());

theCel.WriteCelString("VisWhenInterl.: " + button1.VisibilityWhenInterlocked);

}

Datatype

VisibilityWhenInterlocked() As VARIANT_BOOL

Availability

Environment | Available
Editor | available
Runtime | read only
VBA | yes
VSTA | yes


LineColorVariable

Manuel -> Interfaces de programmation -> Modèles d'objet -> Element -> Element-Properties -> LineColorVariable

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Name (as string) of the variable, whose limit colors should influence the line/text color of the element.

Datatype

LineColorVariable() As Variable

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes


BackColorVariable

Manuel -> Interfaces de programmation -> Modèles d'objet -> Element -> Element-Properties -> BackColorVariable

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Name (as string) of the variable, whose limit colors should influence the background/filling color of the element.

Datatype

BackColorVariable() As Variable

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes


XVariable

Manuel -> Interfaces de programmation -> Modèles d'objet -> Element -> Element-Properties -> XVariable

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Name of the variable for horizontal moving of the element as string.

Datatype

XVariable() As Variable

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes


XVarMin

Manuel -> Interfaces de programmation -> Modèles d'objet -> Element -> Element-Properties -> XVarMin

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Lowest variable value for horizontal moving of the element.Hint: A variable has to be assigned to the property "XVariable", in order to use this property.

Datatype

XVarMin() As double

Availability

Environment | Available
Editor | available
Runtime | read only
VBA | yes
VSTA | yes


XVarMax

Manuel -> Interfaces de programmation -> Modèles d'objet -> Element -> Element-Properties -> XVarMax

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Highest variable value for horizontal moving of the element.Hint: A variable has to be assigned to the property "XVariable", in order to use this property.

Datatype

XVarMax() As double

Availability

Environment | Available
Editor | available
Runtime | read only
VBA | yes
VSTA | yes


XViewMin

Manuel -> Interfaces de programmation -> Modèles d'objet -> Element -> Element-Properties -> XViewMin

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Horizontal position of the element for variable minimum (in pixels).Hint: A variable has to be assigned to the property "XVariable", in order to use this property.

Datatype

XViewMin() As long

Availability

Environment | Available
Editor | available
Runtime | read only
VBA | yes
VSTA | yes


XViewMax

Manuel -> Interfaces de programmation -> Modèles d'objet -> Element -> Element-Properties -> XViewMax

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Horizontal position of the element for variable maximum (in pixels).Hint: A variable has to be assigned to the property "XVariable", in order to use this property.

Datatype

XViewMax() As long

Availability

Environment | Available
Editor | available
Runtime | read only
VBA | yes
VSTA | yes


YVariable

Manuel -> Interfaces de programmation -> Modèles d'objet -> Element -> Element-Properties -> YVariable

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Name of the variable for vertical moving of the element as string.

Datatype

YVariable() As Variable

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes


YVarMin

Manuel -> Interfaces de programmation -> Modèles d'objet -> Element -> Element-Properties -> YVarMin

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Lowest variable value for vertical moving of the element.Hint: A variable has to be assigned to the property "YVariable", in order to use this property.

Datatype

YVarMin() As double

Availability

Environment | Available
Editor | available
Runtime | read only
VBA | yes
VSTA | yes


YVarMax

Manuel -> Interfaces de programmation -> Modèles d'objet -> Element -> Element-Properties -> YVarMax

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Highest variable value for vertical moving of the element.Hint: A variable has to be assigned to the property "YVariable", in order to use this property.

Datatype

YVarMax() As double

Availability

Environment | Available
Editor | available
Runtime | read only
VBA | yes
VSTA | yes


YViewMin

Manuel -> Interfaces de programmation -> Modèles d'objet -> Element -> Element-Properties -> YViewMin

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Vertical position of the element for variable minimum (in pixels).Hint: A variable has to be assigned to the property "YVariable", in order to use this property.

Datatype

YViewMin() As long

Availability

Environment | Available
Editor | available
Runtime | read only
VBA | yes
VSTA | yes


YViewMax

Manuel -> Interfaces de programmation -> Modèles d'objet -> Element -> Element-Properties -> YViewMax

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Vertical position of the element for variable maximum (in pixels).Hint: A variable has to be assigned to the property "YVariable", in order to use this property.

Datatype

YViewMax() As long

Availability

Environment | Available
Editor | available
Runtime | read only
VBA | yes
VSTA | yes


XZoomVariable

Manuel -> Interfaces de programmation -> Modèles d'objet -> Element -> Element-Properties -> XZoomVariable

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Name of the variable for zooming the width of the element as string.

Datatype

XZoomVariable() As Variable

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes


XZoomVarMin

Manuel -> Interfaces de programmation -> Modèles d'objet -> Element -> Element-Properties -> XZoomVarMin

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Lowest variable value for zooming the width of the element.Hint: A variable has to be assigned to the property "XZoomVariable", in order to use this property.

Datatype

XZoomVarMin() As double

Availability

Environment | Available
Editor | available
Runtime | read only
VBA | yes
VSTA | yes


XZoomVarMax

Manuel -> Interfaces de programmation -> Modèles d'objet -> Element -> Element-Properties -> XZoomVarMax

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Highest variable value for zooming the width of the element.Hint: A variable has to be assigned to the property "XZoomVariable", in order to use this property.

Datatype

XZoomVarMax() As double

Availability

Environment | Available
Editor | available
Runtime | read only
VBA | yes
VSTA | yes


XZoomViewMin

Manuel -> Interfaces de programmation -> Modèles d'objet -> Element -> Element-Properties -> XZoomViewMin

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Zoom factor of the width of the element for variable minimum (in %).Hint: A variable has to be assigned to the property "XZoomVariable", in order to use this property.

Datatype

XZoomViewMin() As long

Availability

Environment | Available
Editor | available
Runtime | read only
VBA | yes
VSTA | yes


XZoomViewMax

Manuel -> Interfaces de programmation -> Modèles d'objet -> Element -> Element-Properties -> XZoomViewMax

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Zoom factor of the width of the element for variable maximum (in %).Hint: A variable has to be assigned to the property "XZoomVariable", in order to use this property.

Datatype

XZoomViewMax() As long

Availability

Environment | Available
Editor | available
Runtime | read only
VBA | yes
VSTA | yes


YZoomVariable

Manuel -> Interfaces de programmation -> Modèles d'objet -> Element -> Element-Properties -> YZoomVariable

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Name of the variable for zooming the height of the element as string.

Datatype

YZoomVariable() As Variable

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes


YZoomVarMin

Manuel -> Interfaces de programmation -> Modèles d'objet -> Element -> Element-Properties -> YZoomVarMin

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Lowest variable value for zooming the height of the element.Hint: A variable has to be assigned to the property "YZoomVariable", in order to use this property.

Datatype

YZoomVarMin() As double

Availability

Environment | Available
Editor | available
Runtime | read only
VBA | yes
VSTA | yes


YZoomVarMax

Manuel -> Interfaces de programmation -> Modèles d'objet -> Element -> Element-Properties -> YZoomVarMax

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Highest variable value for zooming the height of the element.Hint: A variable has to be assigned to the property "YZoomVariable", in order to use this property.

Datatype

YZoomVarMax() As double

Availability

Environment | Available
Editor | available
Runtime | read only
VBA | yes
VSTA | yes


YZoomViewMin

Manuel -> Interfaces de programmation -> Modèles d'objet -> Element -> Element-Properties -> YZoomViewMin

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Zoom factor of the height of the element for variable minimum (in %).Hint: A variable has to be assigned to the property "YZoomVariable", in order to use this property.

Datatype

YZoomViewMin() As long

Availability

Environment | Available
Editor | available
Runtime | read only
VBA | yes
VSTA | yes


YZoomViewMax

Manuel -> Interfaces de programmation -> Modèles d'objet -> Element -> Element-Properties -> YZoomViewMax

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Zoom factor of the height of the element for variable maximum (in %).Hint: A variable has to be assigned to the property "YZoomVariable", in order to use this property.

Datatype

YZoomViewMax() As long

Availability

Environment | Available
Editor | available
Runtime | read only
VBA | yes
VSTA | yes


TwistVariable

Manuel -> Interfaces de programmation -> Modèles d'objet -> Element -> Element-Properties -> TwistVariable

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Name of the variable for rotating the element as string.

Datatype

TwistVariable() As Variable

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes


TwistVarMin

Manuel -> Interfaces de programmation -> Modèles d'objet -> Element -> Element-Properties -> TwistVarMin

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Lowest variable value for rotating the element.Hint: A variable has to be assigned to the property "TwistVariable", in order to use this property.

Datatype

TwistVarMin() As double

Availability

Environment | Available
Editor | available
Runtime | read only
VBA | yes
VSTA | yes


TwistVarMax

Manuel -> Interfaces de programmation -> Modèles d'objet -> Element -> Element-Properties -> TwistVarMax

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Highest variable value for rotating the element.Hint: A variable has to be assigned to the property "TwistVariable", in order to use this property.

Datatype

TwistVarMax() As double

Availability

Environment | Available
Editor | available
Runtime | read only
VBA | yes
VSTA | yes


TwistViewMin

Manuel -> Interfaces de programmation -> Modèles d'objet -> Element -> Element-Properties -> TwistViewMin

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Rotation angle of the element for variable minimum (in &#176;).Hint: A variable has to be assigned to the property "TwistVariable", in order to use this property.

Datatype

TwistViewMin() As long

Availability

Environment | Available
Editor | available
Runtime | read only
VBA | yes
VSTA | yes


TwistViewMax

Manuel -> Interfaces de programmation -> Modèles d'objet -> Element -> Element-Properties -> TwistViewMax

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Rotation angle of the element for variable maximum (in &#176;).Hint: A variable has to be assigned to the property "TwistVariable", in order to use this property.

Datatype

TwistViewMax() As long

Availability

Environment | Available
Editor | available
Runtime | read only
VBA | yes
VSTA | yes


SymbolNo

Manuel -> Interfaces de programmation -> Modèles d'objet -> Element -> Element-Properties -> SymbolNo

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Number of symbol within the picture

Datatype

SymbolNo() As long

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


SymbolInLibrary

Manuel -> Interfaces de programmation -> Modèles d'objet -> Element -> Element-Properties -> SymbolInLibrary

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Insert the given symbol into the symbol-library

Datatype

SymbolInLibrary() As Boolean

Availability

Environment | Available
Editor | read only
Runtime | not used
VBA | yes
VSTA | yes


Elements

Manuel -> Interfaces de programmation -> Modèles d'objet -> Element -> Element-Properties -> Elements

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the collection ("SymbolElements" object) of the embedded "Element" objects.

Datatype

Elements() As SymbolElements

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes


InterlockingStatus

Manuel -> Interfaces de programmation -> Modèles d'objet -> Element -> Element-Properties -> InterlockingStatus

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

InterlockingStatus() As tpLockResult

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes


Function

Manuel -> Interfaces de programmation -> Modèles d'objet -> Element -> Element-Properties -> Function

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

The result is a dispatch-interface object. In case there is no linkage the result can be NULL

id=97(Ele_dispidFunction)

Datatype

Function() As IRtFunction

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


Interlocking

Manuel -> Interfaces de programmation -> Modèles d'objet -> Element -> Element-Properties -> Interlocking

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

The result is a dispatch-interface object. In case there is no linkage the result can be NULL

id=98(Ele_dispidInterlocking)

Datatype

Interlocking() As IInterlocking

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


SelectionFeedbackVariable

Manuel -> Interfaces de programmation -> Modèles d'objet -> Element -> Element-Properties -> SelectionFeedbackVariable

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

SelectionFeedbackVariable() As IVariable

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes


Element-Methods

Manuel -> Interfaces de programmation -> Modèles d'objet -> Element -> Element-Methods

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description |  | Editor | Runtime | VBA | VSTA
VARIANT_BOOL | AddVariable | Add a link to a Variable | available |  | not used | yes |  | yes
IDispatch | AktiveX | Returns the linked Active-X control (Standard = Nothing) |  | not used | available | yes | yes
VARIANT_BOOL | CreateDynProperty | - |  | available | not used | yes | yes
void | DynProperties [PUT] | - |  | available | available | yes | yes
VARIANT | DynProperties [GET] | - |  | available | available | yes | yes
VARIANT | DynPropertiesEnum [GET] | - |  | read only | read only | yes | yes
IVariable | ItemVariable | Returns the linked variable on the given position (depent of the type) |  | available | available | yes | yes
void | LeftClickDown | - |  | not used | available | yes | yes
void | LeftClickUp | - |  | not used | available | yes | yes
void | LeftDClick | - |  | not used | available | yes | yes
void | Move | Moves the element to the given position |  | not used | available | yes | yes
VARIANT_BOOL | RemoveVariable | Remove the link to the variable on the position | available |  | not used | yes |  | yes
void | RightClickDown | - |  | not used | available | yes | yes
void | RightClickUp | - |  | not used | available | yes | yes
void | RightDClick | - |  | not used | available | yes | yes
void | SaveAktiveX | Saves the current ActiveX-settings into to picture (requires additional Save for the picture) |  | available | not used | yes | yes
void | Update | Updates the element |  | available | available | yes | yes
void | WPFProperty [PUT] | Get/Set a property of a certain WPF-Element. | not used |  | available | yes |  | yes
VARIANT | WPFProperty [GET] | Get/Set a property of a certain WPF-Element. | not used |  | available | yes |  | yes
IPropParam | DynPropertyParam [GET] | Returns the PropParam objekt of the given DynProperty |  | read only | not used | yes | yes
void | Move | Moves the element to the given position |  | not used | available | yes | yes
void | Move | Moves the element to the given position |  | not used | available | yes | yes
void | Move | Moves the element to the given position |  | not used | available | yes | yes
void | SaveAktiveX | Saves the current ActiveX-settings into to picture (requires additional Save for the picture) |  | available | not used | yes | yes
VARIANT_BOOL | RemoveVariable | Remove the link to the zenOn-variable on the position |  | available | not used | yes | yes
void | RightClickUp |  |  | not used | available | yes | yes
void | RightClickDown |  |  | not used | available | yes | yes
void | RightDClick |  |  | not used | available | yes | yes
void | Move | Moves the element to the given position | not used |  | available | yes |  | yes
void | SaveAktiveX | Saves the current ActiveX-settings into to picture (requires additional Save for the picture) | available |  | not used | yes |  | yes
VARIANT_BOOL | RemoveVariable | Remove the link to the zenOn-variable on the position | available |  | not used | yes |  | yes
void | RightClickUp |  | not used |  | available | yes |  | yes

Other topics in this chapter

DynPropertyParam [GET]

DynPropertiesEnum [GET]

DynProperties [GET]

DynProperties [PUT]

CreateDynProperty

WPFProperty [GET]

WPFProperty [PUT]

Move

Update

AktiveX

SaveAktiveX

ItemVariable

AddVariable

RemoveVariable

LeftClickUp

LeftClickDown

RightClickUp

RightClickDown

RightDClick

LeftDClick


DynPropertyParam [GET]

Manuel -> Interfaces de programmation -> Modèles d'objet -> Element -> Element-Methods -> DynPropertyParam [GET]

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

DynPropertyParam [GET](BSTR bsPath) As PropParam

Availability

Environment | Available
Editor | read only
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


DynPropertiesEnum [GET]

Manuel -> Interfaces de programmation -> Modèles d'objet -> Element -> Element-Methods -> DynPropertiesEnum [GET]

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

DynPropertiesEnum(String bsPath) As VARIANT

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes

Parameters

A String which defines the entry point to get out all available properties of the object.

A blank String like that returns the first layer of properties:

DynPropertiesEnum("")

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

bsPath As String

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Sub ReadDynProps()
End Sub


DynProperties [GET]

Manuel -> Interfaces de programmation -> Modèles d'objet -> Element -> Element-Methods -> DynProperties [GET]

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

DynProperties(String bsPath) As VARIANT

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

A String which defines the Property.

Example: "NetAktive"

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

bsPath As String

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Sub GetDynProp()
'Sample: GSet the Network Aktive Flag of the Project.
If MyWorkspace.ActiveDocument.DynProperties("NetActive") = True Then
'read the server - computername...
Debug.Print "Server: " & MyWorkspace.ActiveDocument.DynProperties("NetServer")
End If
End Sub


DynProperties [PUT]

Manuel -> Interfaces de programmation -> Modèles d'objet -> Element -> Element-Methods -> DynProperties [PUT]

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

DynProperties (String bsPath,VARIANT vValue) As void

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

A String which defines the Property.

Example: "NetAktive"

Returns a variant value depending to the property, it can be a boolean, a long, or a whole object.

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

bsPath As String

vValue As Variant

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Sub SetDynProp()
End Sub


CreateDynProperty

Manuel -> Interfaces de programmation -> Modèles d'objet -> Element -> Element-Methods -> CreateDynProperty

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

This method is able to create SubItems of the actual object. The parameter has to be the name of the SubItem to be created.

Datatype

CreateDynProperty(String bsPath) As Boolean

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


WPFProperty [GET]

Manuel -> Interfaces de programmation -> Modèles d'objet -> Element -> Element-Methods -> WPFProperty [GET]

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Grants access to the WPF properties of an object and reads them.

Datatype

WPFProperty(String bsElement,String bsProperty) As VARIANT

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


WPFProperty [PUT]

Manuel -> Interfaces de programmation -> Modèles d'objet -> Element -> Element-Methods -> WPFProperty [PUT]

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

WPFProperty (String bsElement,String bsProperty,VARIANT vValue) As void

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


Move

Manuel -> Interfaces de programmation -> Modèles d'objet -> Element -> Element-Methods -> Move

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Sets the dimensions of the element in the form of left, top, bottom, right.

Datatype

Move(long Left, long Top, long Right, long Bottom) As void

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

VB.NET

VBA

Examples

C#

public IElements GetElementsOnScreen(string screenName)

{

IDynPicture zenonChosenScreen = this.DynPictures().Item(screenName);

if (zenonChosenScreen == null)

return null;

return zenonChosenScreen.Elements();

}

public void MacroMoveElement()

{

IElements zenonElements = GetElementsOnScreen("Start");

IElement zenonMyElement = zenonElements.Item("my_test_element");

//Sets the element to position (100/100) with size (100/100)

zenonMyElement.Move(100, 100, 200, 200);

zenonMyElement.Update();

}

VB.NET

Public Function GetElementsOnScreen(screenName As String) As IElements

Dim zenonChosenScreen As IDynPicture = Me.DynPictures().Item(screenName)

If zenonChosenScreen Is Nothing Then

Return Nothing

End If

Return zenonChosenScreen.Elements()

End Function

Public Sub MacroMoveElement()

Dim zenonElements As IElements = GetElementsOnScreen("Start")

Dim zenonMyElement As IElement = zenonElements.Item("my_test_element")

'Sets the element to position (100/100) with size (100/100)

zenonMyElement.Move(100, 100, 200, 200)

zenonMyElement.Update()

End Sub

VBA


Update

Manuel -> Interfaces de programmation -> Modèles d'objet -> Element -> Element-Methods -> Update

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

This method updates a dynamic element. After changes with VBA always use this method to refresh the display.

Datatype

Update() As void

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

public IElements GetElementsOnScreen(string screenName)

{

IDynPicture zenonChosenScreen = this.DynPictures().Item(screenName);

if (zenonChosenScreen == null)

return null;

return zenonChosenScreen.Elements();

}

public void MacroMoveElement()

{

IElements zenonElements = GetElementsOnScreen("Start");

IElement zenonMyElement = zenonElements.Item("my_test_element");

//Sets the element to position (100/100) with size (100/100)

zenonMyElement.Move(100, 100, 200, 200);

zenonMyElement.Update();

}

VB.NET

Public Function GetElementsOnScreen(screenName As String) As IElements

Dim zenonChosenScreen As IDynPicture = Me.DynPictures().Item(screenName)

If zenonChosenScreen Is Nothing Then

Return Nothing

End If

Return zenonChosenScreen.Elements()

End Function

Public Sub MacroMoveElement()

Dim zenonElements As IElements = GetElementsOnScreen("Start")

Dim zenonMyElement As IElement = zenonElements.Item("my_test_element")

'Sets the element to position (100/100) with size (100/100)

zenonMyElement.Move(100, 100, 200, 200)

zenonMyElement.Update()

End Sub

VBA

VBA-Syntax


AktiveX

Manuel -> Interfaces de programmation -> Modèles d'objet -> Element -> Element-Methods -> AktiveX

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

This method returns the object for the linked Active-X Control, if the dynamic element is an ActiveX element of the control system. If this is not the case, this method returns "Nothing".Hint: The returned object should be checked on "Nothing", as only the ActiveX element of the control system needs this method.

Datatype

AktiveX() As Dispatch

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


SaveAktiveX

Manuel -> Interfaces de programmation -> Modèles d'objet -> Element -> Element-Methods -> SaveAktiveX

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

SaveAktiveX() As void

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

VB.NET

VBA

Examples

C#

VB.NET

VBA


ItemVariable

Manuel -> Interfaces de programmation -> Modèles d'objet -> Element -> Element-Methods -> ItemVariable

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the object Variable, which is identified by the parameter vID. Most of the dynamic elements can be linked to variables. The visualization of most elements depends on the linked variables.The parameter vID can have two values:

  • Index: Access with an index mostly is used in combination with the property Count to find out the position of the variable object in the list.
  • Variable name: The variable can also be accessed with its unique name.

Datatype

ItemVariable(VARIANT vPv) As Variable

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

//Reads all elements of a (defined) screen

public IElements GetElementsOnScreen(string screenName)

{

IDynPicture zenonChosenScreen = this.ActiveDocument.DynPictures().Item(screenName);

if (zenonChosenScreen == null)

return null;

return zenonChosenScreen.Elements();

}

//Get the variable of a graph element that represents a tank, the variable indicates how full the tank is

public void MacroGetVariableElement()

{

IElements zenonElements = GetElementsOnScreen("Start");

IElement zenonTank = zenonElements.Item("graph_tank");

System.Diagnostics.Debug.Print(zenonTank.CountVariable.ToString());

for (int i = 0; i < zenonTank.CountVariable; ++i)

{

IVariable zenonVariable = zenonTank.ItemVariable(i);

if (zenonVariable != null)

{

//Print the max range of the variable

System.Diagnostics.Debug.Print(zenonVariable.Name);

}

}

}

VB.NET

'Reads all elements of a (defined) screen

Public Function GetElementsOnScreen(screenName As String) As IElements

Dim zenonChosenScreen As IDynPicture = Me.ActiveDocument.DynPictures().Item(screenName)

If zenonChosenScreen Is Nothing Then

Return Nothing

End If

Return zenonChosenScreen.Elements()

End Function

'Get the variable of a graph element that represents a tank, the variable indicates how full the tank is

Public Sub MacroGetVariableElement()

Dim zenonElements As IElements = GetElementsOnScreen("Start")

Dim zenonTank As IElement = zenonElements.Item("graph_tank")

System.Diagnostics.Debug.Print(zenonTank.CountVariable.ToString())

For i As Integer = 0 To zenonTank.CountVariable - 1

Dim zenonVariable As IVariable = zenonTank.ItemVariable(i)

If zenonVariable IsNot Nothing Then

'Print the max range of the variable

System.Diagnostics.Debug.Print(zenonVariable.Name)

End If

Next

End Sub

VBA

VBA-Syntax


AddVariable

Manuel -> Interfaces de programmation -> Modèles d'objet -> Element -> Element-Methods -> AddVariable

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Assigns a variable to the object.

Datatype

AddVariable(LPDISPATCH lpVar) As VARIANT_BOOL

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

//Reads all elements of a (defined) screen

public IElements GetElementsOnScreen(string screenName)

{

IDynPicture zenonChosenScreen = this.ActiveDocument.DynPictures().Item(screenName);

if (zenonChosenScreen == null)

return null;

return zenonChosenScreen.Elements();

}

//Adds a variable to an element if there is non linked to it

public void MacroGetVariableElementAdd()

{

IElements zenonElements = GetElementsOnScreen("Start");

IElement zenonTank = zenonElements.Item("graph_tank");

System.Diagnostics.Debug.Print(zenonTank.CountVariable.ToString());

IVariable zenonVar = this.ActiveDocument.Variables().Item("WIZ_VAR_10");

//If there is no linked variable then add one to the tank graph

if (zenonTank.ItemVariable(0) == null)

zenonTank.AddVariable(zenonVar);

zenonTank.Update();

}

VB.NET

'Reads all elements of a (defined) screen

Public Function GetElementsOnScreen(screenName As String) As IElements

Dim zenonChosenScreen As IDynPicture = Me.ActiveDocument.DynPictures().Item(screenName)

If zenonChosenScreen Is Nothing Then

Return Nothing

End If

Return zenonChosenScreen.Elements()

End Function

'Adds a variable to an element if there is non linked to it

Public Sub MacroGetVariableElementAdd()

Dim zenonElements As IElements = GetElementsOnScreen("Start")

Dim zenonTank As IElement = zenonElements.Item("graph_tank")

System.Diagnostics.Debug.Print(zenonTank.CountVariable.ToString())

Dim zenonVar As IVariable = Me.ActiveDocument.Variables().Item("WIZ_VAR_10")

'If there is no linked variable then add one to the tank graph

If zenonTank.ItemVariable(0) Is Nothing Then

zenonTank.AddVariable(zenonVar)

End If

zenonTank.Update()

End Sub

VBA

VBA-Syntax


RemoveVariable

Manuel -> Interfaces de programmation -> Modèles d'objet -> Element -> Element-Methods -> RemoveVariable

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

RemoveVariable(long nPosition) As VARIANT_BOOL

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

VB.NET

VBA

Examples

C#

//Reads all elements of a (defined) screen

public IElements GetElementsOnScreen(string screenName)

{

IDynPicture zenonChosenScreen = this.ActiveDocument.DynPictures().Item(screenName);

if (zenonChosenScreen == null)

return null;

return zenonChosenScreen.Elements();

}

//Remove all linked variables from an element

public void MacroGetVariableElementRemove()

{

IElements zenonElements = GetElementsOnScreen("Start");

IElement zenonTank = zenonElements.Item("graph_tank");

System.Diagnostics.Debug.Print(zenonTank.CountVariable.ToString());

//Loop through available var spaces and remove them all

for (int i = 0; i < zenonTank.CountVariable; ++i)

{

if (zenonTank.ItemVariable(i) != null)

zenonTank.RemoveVariable(i);

}

}

VB.NET

'Reads all elements of a (defined) screen

Public Function GetElementsOnScreen(screenName As String) As IElements

Dim zenonChosenScreen As IDynPicture = Me.ActiveDocument.DynPictures().Item(screenName)

If zenonChosenScreen Is Nothing Then

Return Nothing

End If

Return zenonChosenScreen.Elements()

End Function

'Remove all linked variables from an element

Public Sub MacroGetVariableElementRemove()

Dim zenonElements As IElements = GetElementsOnScreen("Start")

Dim zenonTank As IElement = zenonElements.Item("graph_tank")

System.Diagnostics.Debug.Print(zenonTank.CountVariable.ToString())

'Loop through available var spaces and remove them all

For i As Integer = 0 To zenonTank.CountVariable - 1

If zenonTank.ItemVariable(i) IsNot Nothing Then

zenonTank.RemoveVariable(i)

End If

Next

End Sub

VBA


LeftClickUp

Manuel -> Interfaces de programmation -> Modèles d'objet -> Element -> Element-Methods -> LeftClickUp

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

This method executes the action of the dynamic element for releasing the left mouse button. This action can be a set value action or the execution of a function depending of the type of dynamic element.Hint: This method should be used in combination with the VBA macro LeftClickUp.

Datatype

LeftClickUp() As void

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

public IElements GetElementsOnScreen(string screenName)

{

IDynPicture zenonChosenScreen = this.DynPictures().Item(screenName);

if (zenonChosenScreen == null)

return null;

return zenonChosenScreen.Elements();

}

//Simulates a list of events on the element

public void MacroSimulateEvents()

{

IElements zenonElements = GetElementsOnScreen("Start");

IElement zenonMyElement = zenonElements.Item("my_test_element");

//Simulate left mouse button

zenonMyElement.LeftClickDown();

zenonMyElement.LeftClickUp();

zenonMyElement.LeftDClick();

//Simulate right mouse button

zenonMyElement.RightClickDown();

zenonMyElement.RightClickUp();

zenonMyElement.RightDClick();

}

VB.NET

Public Function GetElementsOnScreen(screenName As String) As IElements

Dim zenonChosenScreen As IDynPicture = Me.DynPictures().Item(screenName)

If zenonChosenScreen Is Nothing Then

Return Nothing

End If

Return zenonChosenScreen.Elements()

End Function

'Simulates a list of events on the element

Public Sub MacroSimulateEvents()

Dim zenonElements As IElements = GetElementsOnScreen("Start")

Dim zenonMyElement As IElement = zenonElements.Item("my_test_element")

'Simulate left mouse button

zenonMyElement.LeftClickDown()

zenonMyElement.LeftClickUp()

zenonMyElement.LeftDClick()

'Simulate right mouse button

zenonMyElement.RightClickDown()

zenonMyElement.RightClickUp()

zenonMyElement.RightDClick()

End Sub

VBA

VBA-Syntax


LeftClickDown

Manuel -> Interfaces de programmation -> Modèles d'objet -> Element -> Element-Methods -> LeftClickDown

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

This method executes the action of the dynamic element for pressing the left mouse button. This action can be a set value action or the execution of a function depending of the type of dynamic element.Hint: This method should be used in combination with the VBA macro LeftClickDown.

Datatype

LeftClickDown() As void

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

public IElements GetElementsOnScreen(string screenName)

{

IDynPicture zenonChosenScreen = this.DynPictures().Item(screenName);

if (zenonChosenScreen == null)

return null;

return zenonChosenScreen.Elements();

}

//Simulates a list of events on the element

public void MacroSimulateEvents()

{

IElements zenonElements = GetElementsOnScreen("Start");

IElement zenonMyElement = zenonElements.Item("my_test_element");

//Simulate left mouse button

zenonMyElement.LeftClickDown();

zenonMyElement.LeftClickUp();

zenonMyElement.LeftDClick();

//Simulate right mouse button

zenonMyElement.RightClickDown();

zenonMyElement.RightClickUp();

zenonMyElement.RightDClick();

}

VB.NET

Public Function GetElementsOnScreen(screenName As String) As IElements

Dim zenonChosenScreen As IDynPicture = Me.DynPictures().Item(screenName)

If zenonChosenScreen Is Nothing Then

Return Nothing

End If

Return zenonChosenScreen.Elements()

End Function

'Simulates a list of events on the element

Public Sub MacroSimulateEvents()

Dim zenonElements As IElements = GetElementsOnScreen("Start")

Dim zenonMyElement As IElement = zenonElements.Item("my_test_element")

'Simulate left mouse button

zenonMyElement.LeftClickDown()

zenonMyElement.LeftClickUp()

zenonMyElement.LeftDClick()

'Simulate right mouse button

zenonMyElement.RightClickDown()

zenonMyElement.RightClickUp()

zenonMyElement.RightDClick()

End Sub

VBA

VBA-Syntax


RightClickUp

Manuel -> Interfaces de programmation -> Modèles d'objet -> Element -> Element-Methods -> RightClickUp

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

RightClickUp() As void

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

VB.NET

VBA

Examples

C#

public IElements GetElementsOnScreen(string screenName)

{

IDynPicture zenonChosenScreen = this.DynPictures().Item(screenName);

if (zenonChosenScreen == null)

return null;

return zenonChosenScreen.Elements();

}

//Simulates a list of events on the element

public void MacroSimulateEvents()

{

IElements zenonElements = GetElementsOnScreen("Start");

IElement zenonMyElement = zenonElements.Item("my_test_element");

//Simulate left mouse button

zenonMyElement.LeftClickDown();

zenonMyElement.LeftClickUp();

zenonMyElement.LeftDClick();

//Simulate right mouse button

zenonMyElement.RightClickDown();

zenonMyElement.RightClickUp();

zenonMyElement.RightDClick();

}

VB.NET

Public Function GetElementsOnScreen(screenName As String) As IElements

Dim zenonChosenScreen As IDynPicture = Me.DynPictures().Item(screenName)

If zenonChosenScreen Is Nothing Then

Return Nothing

End If

Return zenonChosenScreen.Elements()

End Function

'Simulates a list of events on the element

Public Sub MacroSimulateEvents()

Dim zenonElements As IElements = GetElementsOnScreen("Start")

Dim zenonMyElement As IElement = zenonElements.Item("my_test_element")

'Simulate left mouse button

zenonMyElement.LeftClickDown()

zenonMyElement.LeftClickUp()

zenonMyElement.LeftDClick()

'Simulate right mouse button

zenonMyElement.RightClickDown()

zenonMyElement.RightClickUp()

zenonMyElement.RightDClick()

End Sub

VBA


RightClickDown

Manuel -> Interfaces de programmation -> Modèles d'objet -> Element -> Element-Methods -> RightClickDown

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

RightClickDown() As void

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

VB.NET

VBA

Examples

C#

{

IDynPicture zenonChosenScreen = this.DynPictures().Item(screenName);

if (zenonChosenScreen == null)

return null;

return zenonChosenScreen.Elements();

}

//Simulates a list of events on the element

public void MacroSimulateEvents()

{

IElements zenonElements = GetElementsOnScreen("Start");

IElement zenonMyElement = zenonElements.Item("my_test_element");

//Simulate left mouse button

zenonMyElement.LeftClickDown();

zenonMyElement.LeftClickUp();

zenonMyElement.LeftDClick();

//Simulate right mouse button

zenonMyElement.RightClickDown();

zenonMyElement.RightClickUp();

zenonMyElement.RightDClick();

}

VB.NET

Public Function GetElementsOnScreen(screenName As String) As IElements

Dim zenonChosenScreen As IDynPicture = Me.DynPictures().Item(screenName)

If zenonChosenScreen Is Nothing Then

Return Nothing

End If

Return zenonChosenScreen.Elements()

End Function

'Simulates a list of events on the element

Public Sub MacroSimulateEvents()

Dim zenonElements As IElements = GetElementsOnScreen("Start")

Dim zenonMyElement As IElement = zenonElements.Item("my_test_element")

'Simulate left mouse button

zenonMyElement.LeftClickDown()

zenonMyElement.LeftClickUp()

zenonMyElement.LeftDClick()

'Simulate right mouse button

zenonMyElement.RightClickDown()

zenonMyElement.RightClickUp()

zenonMyElement.RightDClick()

End Sub

VBA


RightDClick

Manuel -> Interfaces de programmation -> Modèles d'objet -> Element -> Element-Methods -> RightDClick

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

RightDClick() As void

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

VB.NET

VBA

Examples

C#

public IElements GetElementsOnScreen(string screenName)

{

IDynPicture zenonChosenScreen = this.DynPictures().Item(screenName);

if (zenonChosenScreen == null)

return null;

return zenonChosenScreen.Elements();

}

//Simulates a list of events on the element

public void MacroSimulateEvents()

{

IElements zenonElements = GetElementsOnScreen("Start");

IElement zenonMyElement = zenonElements.Item("my_test_element");

//Simulate left mouse button

zenonMyElement.LeftClickDown();

zenonMyElement.LeftClickUp();

zenonMyElement.LeftDClick();

//Simulate right mouse button

zenonMyElement.RightClickDown();

zenonMyElement.RightClickUp();

zenonMyElement.RightDClick();

}

VB.NET

Public Function GetElementsOnScreen(screenName As String) As IElements

Dim zenonChosenScreen As IDynPicture = Me.DynPictures().Item(screenName)

If zenonChosenScreen Is Nothing Then

Return Nothing

End If

Return zenonChosenScreen.Elements()

End Function

'Simulates a list of events on the element

Public Sub MacroSimulateEvents()

Dim zenonElements As IElements = GetElementsOnScreen("Start")

Dim zenonMyElement As IElement = zenonElements.Item("my_test_element")

'Simulate left mouse button

zenonMyElement.LeftClickDown()

zenonMyElement.LeftClickUp()

zenonMyElement.LeftDClick()

'Simulate right mouse button

zenonMyElement.RightClickDown()

zenonMyElement.RightClickUp()

zenonMyElement.RightDClick()

End Sub

VBA


LeftDClick

Manuel -> Interfaces de programmation -> Modèles d'objet -> Element -> Element-Methods -> LeftDClick

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

This method executes the action of the dynamic element for doubleclicking the left mouse button. This action can be a set value action or the execution of a function depending of the type of dynamic element.Hint: This method should be used in combination with the VBA macro LeftDClick.

Datatype

LeftDClick() As void

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

public IElements GetElementsOnScreen(string screenName)

{

IDynPicture zenonChosenScreen = this.DynPictures().Item(screenName);

if (zenonChosenScreen == null)

return null;

return zenonChosenScreen.Elements();

}

//Simulates a list of events on the element

public void MacroSimulateEvents()

{

IElements zenonElements = GetElementsOnScreen("Start");

IElement zenonMyElement = zenonElements.Item("my_test_element");

//Simulate left mouse button

zenonMyElement.LeftClickDown();

zenonMyElement.LeftClickUp();

zenonMyElement.LeftDClick();

//Simulate right mouse button

zenonMyElement.RightClickDown();

zenonMyElement.RightClickUp();

zenonMyElement.RightDClick();

}

VB.NET

Public Function GetElementsOnScreen(screenName As String) As IElements

Dim zenonChosenScreen As IDynPicture = Me.DynPictures().Item(screenName)

If zenonChosenScreen Is Nothing Then

Return Nothing

End If

Return zenonChosenScreen.Elements()

End Function

'Simulates a list of events on the element

Public Sub MacroSimulateEvents()

Dim zenonElements As IElements = GetElementsOnScreen("Start")

Dim zenonMyElement As IElement = zenonElements.Item("my_test_element")

'Simulate left mouse button

zenonMyElement.LeftClickDown()

zenonMyElement.LeftClickUp()

zenonMyElement.LeftDClick()

'Simulate right mouse button

zenonMyElement.RightClickDown()

zenonMyElement.RightClickUp()

zenonMyElement.RightDClick()

End Sub

VBA

VBA-Syntax


Element-Dynamic properties

Manuel -> Interfaces de programmation -> Modèles d'objet -> Element -> Element-Dynamic properties

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Dynproperties

Frame polygon

Frame vector

Batch recipe editor control

MDI element

CControlDynCalendarCtrl

Window

Combobox

Dynamic window list control

Dynamic window batch parameter list

Listbox

Listcontrol

Dynamic window no header list control

CCtrlDynWndFPPicCont

ActiveX

Angle

Arc of circle

Segment of circle

Picture alarm

Bargraph

Command

Move

Binary

Bitmap

Text button

Circle

Combo Listbox

Basisklasse dynamische Bildelemente

Link text

Universal slider

Line

Message

EMF WMF

Multibin

Base class picture elements

Tube

Polygon

Polyline

Picture elements

Rectangle

Switch

Combi

Symbol

Linked symbol

Template

Static text

Trend curve

Clock

Base class vector elements

Invisible button

WPF element

Numerical value

Indicating instrument

Topological wire

Topological line

Other topics in this chapter

CDynEleVar

Frame polygon

Frame vector

Batch recipe editor control

MDI element

CControlDynCalendarCtrl

Window

Combobox

Dynamic window list control

Dynamic window batch parameter list

Listbox

Listcontrol

Dynamic window no header list control

CCtrlDynWndFPPicCont

CZenonGestureManipulation

ActiveX

Angle

Arc of circle

Segment of circle

CDynEleFkt

Picture alarm

Bargraph

CDrawBefCommand

Command

Move

Binary

Bitmap

Text button

Circle

CDynEleVarMulti

Combo Listbox

Basisklasse dynamische Bildelemente

Link text

Universal slider

Line

Message

EMF WMF

Multibin

Base class picture elements

Tube

Polygon

Polyline

Picture elements

Rectangle

Switch

CStatusElemZustand

Combi

CSymbLibProp

Symbol

Linked symbol

Template

Static text

CDynEleVarTrend

Trend curve

Clock

Base class vector elements

Invisible button

CWPFConnectionBase

WPF element

Numerical value

Indicating instrument

Topological wire

Topological line


CDynEleVar

Manuel -> Interfaces de programmation -> Modèles d'objet -> Element -> Element-Dynamic properties -> CDynEleVar

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | VBA/VSTA Name | Display Name | Description
ZT_VARIABLE | ProjectVar | ProjectVar | This property returns a variable. It is also possible to link a new variable via this property.
VT_BSTR | SymVarName | SymVarName | This property returns the name of a variable.
VT_BSTR | SymVarTagNr | SymVarTagNr | This property returns the identification of a variable.


Frame polygon

Manuel -> Interfaces de programmation -> Modèles d'objet -> Element -> Element-Dynamic properties -> Frame polygon

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Type

VBA/VSTA Name

Display Name

Description

VT_I2

Combine

Utilisation domaine

Définit les effets qu’aura l’élément créé sur le cadre.

Les paramètres suivants sont disponibles :

Couverture : La surface de l’élément est utilisée en tant que zone du synoptique.

Couper : la surface de l’élément est supprimée des surfaces situées dessous.

ORed (Variable) : Cet élément est découpé ou couvert, en fonction de la présence d’un élément de couverture situé sous l’élément.

Remarque : La manière dont la surface est utilisée dépend toujours des surfaces situées sous l’élément.

Pour les nouveaux éléments, le dernier paramètre sélectionné est utilisé.

Plus de détails dans l’aide en ligne.

VT_BSTR

Coordinates

"With this property you can get/set the coordinates of the element via a string.
zElement.DynProperties(""Coordinates"") = ""197/118;260/200"""

VT_R4

SplineTension

Arrondir

Disponible uniquement si la propriété de projet Qualité graphique a été définie sur DirectX Hardware ou DirectX Software.

Définit l’arrondi des polylignes, polygones et tubes.

Valeurs : 0,0 (pas d’arrondi) à 1,0 (arrondi maximal)

Par défaut : 0

Plus de détails dans l’aide en ligne.

ZT_COLOR

LineColor

Couleur de ligne

Line color of the element.

VT_UI2

Offset_H

Distance horiz. [pixels]

Distance horizontale entre la fin de l’arrondi et le coin, en pixels.

Plus de détails dans l’aide en ligne.

VT_UI2

Offset_V

Distance vertic. [pixels]

Distance verticale entre la fin de l’arrondi du coin, en pixels.

Plus de détails dans l’aide en ligne.

ZT_STYLE

LineStyle

Style de ligne

Affichage et sélection du style de ligne attribué à l’élément.

Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de style.
Si plusieurs éléments ont été sélectionnés, ils peuvent être attribués à un style commun.

Remarque : Seules les propriétés compatibles avec l’élément correspondant sont prises en charge.

Plus de détails dans l’aide en ligne.

ZT_STYLE

FillStyle

Style de remplissage

Affichage et sélection du style de remplissage attribué à l’élément.

Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de style.
Si plusieurs éléments ont été sélectionnés, ils peuvent être attribués à un style commun.

Remarque : Seules les propriétés compatibles avec l’élément correspondant sont prises en charge.

Plus de détails dans l’aide en ligne.

ZT_VARIABLE_DYN

BackColorVariable2

Affichage aperçu couleur

Affichage de la valeur limite pour la propriété Couleur du dégradé définie pour la variable. Disponible uniquement si l’option Depuis la variable a été configurée pour la propriété Couleur du dégradé.

Un aperçu des propriétés définies pour la valeur limite est affiché dans le champ. Aucun aperçu n’est affiché pour les matrices de réaction.
Cliquez sur le bouton ... pour ouvrir la boîte de dialogue d’affichage des résultats. Les valeurs limite sont uniquement affichées ; elles ne peuvent pas être modifiées. Les modifications doivent être effectuées directement dans les propriétés de la variable pour Valeurs limite.

Plus de détails dans l’aide en ligne.

ZT_PREVIEW

BackColorVariable2Preview

Affichage aperçu couleur

Affichage de la valeur limite pour la propriété Couleur du dégradé définie pour la variable. Disponible uniquement si l’option Depuis la variable a été configurée pour la propriété Couleur du dégradé.

Un aperçu des propriétés définies pour la valeur limite est affiché dans le champ. Aucun aperçu n’est affiché pour les matrices de réaction.
Cliquez sur le bouton ... pour ouvrir la boîte de dialogue d’affichage des résultats. Les valeurs limite sont uniquement affichées ; elles ne peuvent pas être modifiées. Les modifications doivent être effectuées directement dans les propriétés de la variable pour Valeurs limite.

Plus de détails dans l’aide en ligne.

VT_I2

Align

Alignement

Direction of color shift.
horizontal
vertical

VT_I2

Shifted

Gradient de couleur 'décalé'

Wie weit soll der Lichteffekt von der Mitte des Elements versetzt sein.

Mehr im Online-Handbuch

VT_BOOL

Brightness

Par les valeurs de luminosité

Disponible uniquement si l’élément Remplissage (type) a été sélectionné pour la propriété Dégradé de couleurs.

Active : la luminosité du dégradé de couleurs peut être librement définie.
Inactive : la luminosité du dégradé de couleurs est définie automatiquement.

Remarque : le motif de remplissage ne peut plus être modifié si cette propriété est active. Il est également impossible de définir des coins arrondis. Si cette option est activée pour un élément utilisant des coins arrondis, l’élément est affiché avec des coins non arrondis.

Plus de détails dans l’aide en ligne.

VT_UI1

OuterBrightness

Luminosité à l'extérieur

Disponible uniquement si la propriété Par les valeurs de luminosité est active :
Luminosité au niveau du bord extérieur de l’élément.

Plus de détails dans l’aide en ligne.

VT_UI1

InnerBrightness

Luminosité à l'intérieur

Disponible uniquement si la propriété Par les valeurs de luminosité est active :
Luminosité au centre de l’élément.

Plus de détails dans l’aide en ligne.

VT_BOOL

ALCUseColor

Couleur définie par CAL

Disponible uniquement si vous possédez une licence pour la fonctionnalité Coloration Automatique des Lignes (CAL) :
Active : La couleur automatique de la source liée est utilisée.
Inactive : La couleur standard est utilisée.
Par défaut : inactive.

Plus de détails dans l’aide en ligne.

VT_I2

ALCPrecedence

Priorité pour l'affichage

Disponible uniquement si la propriété Couleur définie par CAL est active.

Définit la priorité de l’affichage lorsque l’élément est connecté à plusieurs sources actives.
Plusieurs sources d’alimentation : L’élément est affiché selon les règles de l’alimentation sécurisée.
Source d’alimentation sécurisée : L’élément est affiché selon les règles de l’alimentation sécurisée.
Aucune priorité : Les règles de coloration des paramètres Alimentation multiple et Alimentation sécurisée sont appliquées simultanément, si les deux critères sont satisfaits.

Par défaut : Alimentation multiple
Plus de détails dans l’aide en ligne.

VT_I2

ALCMultiSource

Affichage alimentation multiple

Disponible uniquement si la propriété Couleur définie par CAL est active.
Définit le type d’affichage lorsque l’élément est connecté à plusieurs sources :
Source la plus prioritaire : Seule la couleur de la source la plus prioritaire est utilisée.
Deux sources les plus prioritaires : Les différentes couleurs des deux sources comportant les priorités les plus élevées sont affichées sous forme de trait tireté.
Couleur de remplacement : Couleur de remplacement pour la fonction CAL avec des alimentations multiples.

Par défaut : La source la plus prioritaire

Plus de détails dans l’aide en ligne.

VT_I2

ALCDashLen

Longueur de pointillé fournie plusieurs fois

Disponible uniquement si la propriété Affichage alimentation multiple possède la valeur Deux sources antérieures les plus élevées.

Définit la longueur en pixels du trait tireté associé à la fonction CAL avec une alimentation multiple.

Minimum : 0 (longueur des tirets automatique)

Maximum : 32767

Par défaut : 0

Plus de détails dans l’aide en ligne.

ZT_COLOR

ALCAlternativeColor

Couleur alternative

Disponible uniquement si la propriété Affichage alimentation multiple possède la valeur Couleur de remplacement.

Couleur de remplacement pour la fonction CAL avec des alimentations multiples.

Plus de détails dans l’aide en ligne.

VT_I2

ALCMSecuredSupply

Affichage alimentation sécurisée

Disponible uniquement si Couleur définie par CAL est activée.

Définition de l’affichage de l’alimentation sécurisée :

  • double épaisseur
  • double luminosité
  • normal

Par défaut : normal

Plus de détails dans l’aide en ligne.

VT_BOOL

ALCAlias

Alias

Disponible uniquement si la propriété Couleur définie par CAL est active.

Élément source défini pour la propriété Utiliser alias. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue et sélectionner un élément existant.
Remarque : Les alias ne peuvent pas être utilisés pour des symboles dans la bibliothèque générale de symboles ou la bibliothèque de symboles du projet.

Plus de détails dans l’aide en ligne.

VT_BSTR

ALCAliasName

Alias

Disponible uniquement si la propriété Couleur définie par CAL est active.

Élément source défini pour la propriété Utiliser alias. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue et sélectionner un élément existant.
Remarque : Les alias ne peuvent pas être utilisés pour des symboles dans la bibliothèque générale de symboles ou la bibliothèque de symboles du projet.

Plus de détails dans l’aide en ligne.

VT_R8

ALCReact

Valeur de réactance du câble [Ohm]

Valeur maximale de réactance autorisée de la ligne, en ohms.

Plus de détails dans l’aide en ligne.

VT_R8

ALCResist

Valeur de la résistance de la ligne électrique [Ohm]

Valeur maximale de résistance autorisée de la ligne, en ohms.

Plus de détails dans l’aide en ligne.

VT_R8

ALCLength

Longueur de la ligne [km]

Ligne CAL : longueur de la ligne.

Plus de détails dans l’aide en ligne.

VT_I2

ALCMaxIType

Limite de la capacité de transport de courant

Commutation CAL : valeur limite de la capacité actuelle (sélection fixe/variable).

Plus de détails dans l’aide en ligne.

VT_R8

ALCMaxIVal

Limite fixe de la capacité de transport de courant [A]

Commutation CAL : Capacité de transport de courant définie par une valeur limite.

Plus de détails dans l’aide en ligne.

ZT_VARIABLE_DYN

ALCVarMaxI

Valeur limite dynamique pour la capacité de transport de courant

More...

ALCVarMaxIEx

ALCVarMaxIEx

ZT_VARIABLE_DYN

ALCVarCalcI

Valeur de la mesure du flux de courant calculé

Ligne CAL : Valeur de la mesure du flux de courant calculé.

Plus de détails dans l’aide en ligne.

More...

ALCVarCalcIEx

ALCVarCalcIEx

ALC Leitung: Messwert des berechneten Stromflusses für Export.

Mehr in der Online-Hilfe.

ZT_STYLE

StyleGroup

Groupe de styles

Affichage et sélection du groupe de styles attribué à l’élément.
Cliquez sur le bouton ... pour ouvrir la boîte de dialogue permettant de sélectionner un groupe de styles.
Si plusieurs éléments sont sélectionnés, elles peuvent être attribuées à un groupe de styles commun.

Remarque : Seules les propriétés compatibles avec l’élément correspondant sont prises en charge.

Plus de détails dans l’aide en ligne.

More...

LnClVariable

LnClVariable

"With this property you have the opportunity to get informations about the variable which is linked as ""line/text color"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""LnClVariable.SymVarName"") 'Return the name of the ""line/text color"" variable
zElement.DynProperties (""LnClVariable.SymVarTagNr"") 'Return the identification of the ""line/text color"" variable"

More...

BkClVariable

BkClVariable

"With this property you have the opportunity to get informations about the variable which is linked as ""background/filling color"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""BkClVariable.SymVarName"") 'Return the name of the ""background/filling color"" variable
zElement.DynProperties (""BkClVariable.SymVarTagNr"") 'Return the identification of the ""background/filling color"" variable"

More...

BkCl2Variable

"BkCl2Variable"

More...

XVar

XVar

"With this property you have the opportunity to get informations about the variable which is linked as ""dynamic x position"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""XVar.SymVarName"") 'Return the name of the ""dynamic x position"" variable
zElement.DynProperties (""XVar.SymVarTagNr"") 'Return the identification of the ""dynamic x position"" variable"

More...

YVar

YVar

"With this property you have the opportunity to get informations about the variable which is linked as ""dynamic y position"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""YVar.SymVarName"") 'Return the name of the ""dynamic y position"" variable
zElement.DynProperties (""YVar.SymVarTagNr"") 'Return the identification of the ""dynamic y position"" variable"

More...

XVarZoom

XVarZoom

"With this property you have the opportunity to get informations about the variable which is linked as ""change width"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""XVarZoom.SymVarName"") 'Return the name of the ""change width"" variable
zElement.DynProperties (""XVarZoom.SymVarTagNr"") 'Return the identification of the ""change width"" variable"

More...

YVarZoom

YVarZoom

"With this property you have the opportunity to get informations about the variable which is linked as ""change height"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""YVarZoom.SymVarName"") 'Return the name of the ""change height"" variable
zElement.DynProperties (""YVarZoom.SymVarName"") 'Return the name of the ""change height"" variable
zElement.DynProperties (""YVarZoom.SymVarTagNr"") 'Return the identification of the ""change height"" variable"

More...

TwistVar

TwistVar

"With this property you have the opportunity to get informations about the variable which is linked as ""rotate"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""TwistVar.SymVarName"") 'Return the name of the ""rotate"" variable
zElement.DynProperties (""TwistVar.SymVarTagNr"") 'Return the identification of the ""rotate"" variable"

More...

VisVariable

VisVariable

"With this property you have the opportunity to get informations about the variable which is linked as ""visibility"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""VisVariable.SymVarName"") 'Return the name of the ""visibility"" variable
zElement.DynProperties (""VisVariable.SymVarTagNr"") 'Return the identification of the ""visibility"" variable"

More...

BlinkVar

BlinkVar

More...

GlowEffectGlowColorVar

GlowEffectGlowColorVar

More...

GlowEffectVisibilityVar

GlowEffectVisibilityVar

More...

GlowEffectBlinkVar

GlowEffectBlinkVar

VT_BSTR

Name

Nom d'élément

Attribuez un nom d’élément.
Il ne doit pas être vide.

Attention : Cette propriété n’est pas disponible aux fins de la commutation de langue.

Remarques concernant les cadrans : Pour les conteneurs de synoptique, spécifiez des noms clairement identifiables pour faciliter la sélection lors de la configuration des appels de synoptique.

Plus de détails dans l’aide en ligne.

VT_UI1

Layer

Niveau de visibilité

Sélectionnez l’un des 16 niveaux de visibilité (0 à 15) dans la liste déroulante. À l’aide de la barre d’outils Niveau de visibilité, vous décidez des niveaux qui doivent être affichés dans Editor. Cette fonction garantit que les synoptiques les plus complexes peuvent être développés de manière simple. Les niveaux peuvent être utilisés immédiatement. Les niveaux n’ont aucune influence sur les informations affichées au premier plan ou en arrière-plan dans le Runtime.
Par défaut : 0.

Plus de détails dans l’aide en ligne.

VT_I4

StartX

Point de départ X [pixels]

Coordonnée Y du coin supérieur gauche du synoptique (en pixels).

Plus de détails dans l’aide en ligne.

VT_I4

EndX

Point final X [pixels]

Coordonnée X du coin inférieur droit du synoptique (en pixels).

Plus de détails dans l’aide en ligne.

VT_I4

StartY

Point de départ Y [pixels]

Coordonnée Y du coin supérieur gauche du synoptique (en pixels).

Plus de détails dans l’aide en ligne.

VT_I4

EndY

Point final Y [pixels]

Coordonnée Y du coin inférieur droit du synoptique (en pixels).

Plus de détails dans l’aide en ligne.

VT_I4

Width

Largeur [pixels]

Largeur des éléments en pixels.

Remarque : disponible uniquement pour les éléments Combinaison multiple, Élément combiné, Bouton et Interrupteur si la valeur Ajusté a été sélectionnée pour la propriété Taille du graphique.

Plus de détails dans l’aide en ligne.

VT_I4

Height

Hauteur [pixels]

Hauteur des éléments en pixels.

Remarque : disponible uniquement pour les éléments Combinaison multiple, Élément combiné, Bouton et Interrupteur si la valeur Ajusté a été sélectionnée pour la propriété Taille du graphique.

Plus de détails dans l’aide en ligne.

VT_I2

ZoomMin

Visible de

Incrément de zoom le plus bas auquel l’élément est visible dans la vue globale.
Par défaut : -1
Une valeur de visibilité avec des incréments de zoom de -1 à -1 signifie que l’élément est affiché, quel que soit l’incrément de zoom sélectionné.

Les niveaux de zoom affichés dans la vue globale peuvent être configurés avec la propriété Apparence graphique -> Généralités runtime -> Pas de zoom pour vue globale.

Attention : Ce niveau de zoom s’applique à tous les types de synoptiques et cadres. Si un niveau de zoom défini est supérieur à 0, l’élément est uniquement affiché dans la vue globale, car les autres types de synoptique sont automatiquement appelés avec le niveau de zoom 0.

Plus de détails dans l’aide en ligne.

VT_I2

ZoomMax

Visible jusqu'à

Incrément de zoom le plus élevé auquel l’élément est visible dans la vue globale.

Par défaut : -1
Une valeur de visibilité avec des incréments de zoom de -1 à -1 signifie que l’élément est affiché, quel que soit l’incrément de zoom sélectionné.

Les niveaux de zoom affichés dans la vue globale peuvent être configurés avec la propriété Apparence graphique -> Généralités runtime -> Pas de zoom pour vue globale.

Attention : Ce niveau de zoom s’applique à tous les types de synoptiques et cadres. Si un niveau de zoom défini est supérieur à 0, l’élément est uniquement affiché dans la vue globale, car les autres types de synoptique sont automatiquement appelés avec le niveau de zoom 0.

Plus de détails dans l’aide en ligne.

VT_BSTR

Stationname

Nom liste d'objets

L’élément est saisi directement dans la liste de stations du synoptique Vue globale, et le texte est saisi ici.

Plus de détails dans l’aide en ligne.

ZT_VARIABLE_DYN

LineColorVariable

Couleur de ligne

Nom des variables dont les couleurs de valeur limite doivent influencer la couleur de ligne/de texte de l’élément. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de variables.

Plus de détails dans l’aide en ligne.

ZT_PREVIEW

LineColorVarPreview

Affichage aperçu couleur

Affichage de la valeur limite pour la propriété Couleur de ligne définie pour la variable. Disponible uniquement si l’option Depuis la variable a été configurée pour la propriété Couleur de ligne.

Un aperçu des propriétés définies pour la valeur limite est affiché dans le champ. Aucun aperçu n’est affiché pour les matrices de réaction.
Cliquez sur le bouton ... pour ouvrir la boîte de dialogue d’affichage des résultats. Les valeurs limite sont uniquement affichées ; elles ne peuvent pas être modifiées. Les modifications doivent être effectuées directement dans les propriétés de la variable pour Valeurs limite.

Plus de détails dans l’aide en ligne.

ZT_VARIABLE_DYN

BackColorVariable

Couleur de remplissage

Nom de la variable dont les couleurs de valeur limite doivent influencer la couleur d’arrière-plan/de remplissage de l’élément.
Ouvre la boîte de dialogue de sélection de variables.

Plus de détails dans l’aide en ligne.

ZT_PREVIEW

BackColorVarPreview

Affichage aperçu couleur

Affichage de la valeur limite pour la propriété Couleur de remplissage définie pour la variable. Disponible uniquement si l’option Depuis la variable a été configurée pour la propriété Couleur de remplissage.

Un aperçu des propriétés définies pour la valeur limite est affiché dans le champ. Aucun aperçu n’est affiché pour les matrices de réaction.
Cliquez sur le bouton ... pour ouvrir la boîte de dialogue d’affichage des résultats. Les valeurs limite sont uniquement affichées ; elles ne peuvent pas être modifiées. Les modifications doivent être effectuées directement dans les propriétés de la variable pour Valeurs limite.

Plus de détails dans l’aide en ligne.

VT_UI1

HorizontalOrigin

Horizontal

Point de référence horizontal de l’événement. Les valeurs possibles sont : gauche, centré, droite.
Ce point est utilisé en tant que base de calcul de l’angle de départ de la rotation (statique et dynamique) et pour le changement dynamique de taille.

Par défaut : À gauche

Plus de détails dans l’aide en ligne.

VT_UI1

VerticalOrigin

Vertical

Point de référence vertical de l’événement. Les valeurs possibles sont : haut, centré, bas.
Ce point est utilisé en tant que base de calcul de l’angle de départ de la rotation (statique et dynamique) et pour le changement dynamique de taille.

Par défaut : En haut

Plus de détails dans l’aide en ligne.

VT_UI4

VisibilityType

Visibilité

Sélection depuis laquelle la visibilité d’un élément est déterminée :

  • Depuis une variable
  • Du verrrouillage

Par défaut : Depuis une variable

Plus de détails dans l’aide en ligne.

ZT_VARIABLE_DYN

VisibilityVariable

Variable

Disponible uniquement si l’option Depuis la variable a été configurée pour la propriété Visibilité.

Nom de la variable dont la valeur contrôle la visibilité de l’élément. La visibilité est soit reprise des propriétés de valeur limite de ces variables, soit définie par la plage de valeurs définie dans les propriétés de et À.
Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de variables. Vous pouvez également saisir manuellement le nom dans le champ de texte.
L'élément reste visible tant qu’aucune variable n’est liée.

Plus de détails dans l’aide en ligne.

ZT_PREVIEW

VisVarPreview

Affichage aperçu visibilité

Affichage des valeurs limite pour la visibilité définies pour la variable. Disponible uniquement si l’option Depuis la variable a été configurée pour la propriété Variable dans le groupe Visibilité.

Un aperçu des propriétés définies pour la valeur limite est affiché dans le champ. Aucun aperçu n’est affiché pour les matrices de réaction.
Cliquez sur le bouton ... pour ouvrir la boîte de dialogue d’affichage des résultats. Les valeurs limite sont uniquement affichées ; elles ne peuvent pas être modifiées. Les modifications doivent être effectuées directement dans les propriétés de la variable pour Valeurs limite.

Plus de détails dans l’aide en ligne.

VT_BOOL

VisibilityFromLimit

A partir des valeurs limites

Uniquement disponible après la sélection d’une variable :

  • Active : La visibilité de l’élément est influencée par la propriété de valeur limite de la variable.

    Attention : La propriété Invisible doit être active pour au moins une valeur limite de la variable.

  • Inactive : la visibilité est influencée par les propriétés de l’élément.

Par défaut : active

Plus de détails dans l’aide en ligne.

VT_R8

VisibilityFrom

de

Disponible uniquement après la sélection d’une variable, si la visibilité n’a pas été reprise par la valeur limite :

Valeur minimum de la variable à laquelle l’élément est visible.

  • Minimum : valeur minimum possible de la variable liée.
  • Maximum : valeur maximum possible de la variable liée.

Par défaut : valeur minimum possible de la variable liée.

Plus de détails dans l’aide en ligne.

VT_R8

VisibilityTo

À

Disponible uniquement après la sélection d’une variable, si la visibilité n’a pas été reprise par la valeur limite :

Valeur maximale de la variable à laquelle l’élément est visible.

  • Minimum : valeur minimum possible de la variable liée.
  • Maximum : valeur maximum possible de la variable liée.

Par défaut : valeur maximum possible de la variable liée.

Plus de détails dans l’aide en ligne.

VT_UI4

Interlocking

Verrouillage

Disponible uniquement si l’option Depuis le verrouillage est sélectionnée pour la propriété Visibilité.

Nom du verrouillage dont la valeur contrôle la visibilité de l’élément. Sélectionnez dans la liste déroulante. Celle-ci contient tous les verrouillages existants et utilisables. L’élément est toujours visible si aucun verrouillage n’est lié.

Plus de détails dans l’aide en ligne.

VT_BSTR

InterlockingName

InterlockingName

Description

VT_BOOL

VisibleWhenInterlocked

Visible si verrouillé

Contrôle la visibilité de l’élément lorsque le verrouillage est sélectionné :

  • Active : L’élément est visible s’il est verrouillé.
  • Inactive : L’élément est visible s’il n’est pas verrouillé.

Par défaut : inactive

Plus de détails dans l’aide en ligne.

ZT_VARIABLE_DYN

BlinkVariable

Affichage aperçu clignotement

Affichage des valeurs limite pour le clignotement définies pour la variable. Disponible uniquement si l’option Depuis la variable a été configurée pour la propriété Prendre le clignotement de la limite.

Un aperçu des propriétés définies pour la valeur limite est affiché dans le champ. Aucun aperçu n’est affiché pour les matrices de réaction.
Cliquez sur le bouton ... pour ouvrir la boîte de dialogue d’affichage des résultats. Les valeurs limite sont uniquement affichées ; elles ne peuvent pas être modifiées. Les modifications doivent être effectuées directement dans les propriétés de la variable pour Valeurs limite.

Plus de détails dans l’aide en ligne.

ZT_PREVIEW

BlinkVarPreview

Affichage aperçu clignotement

Affichage des valeurs limite pour le clignotement définies pour la variable. Disponible uniquement si l’option Depuis la variable a été configurée pour la propriété Prendre le clignotement de la limite.

Un aperçu des propriétés définies pour la valeur limite est affiché dans le champ. Aucun aperçu n’est affiché pour les matrices de réaction.
Cliquez sur le bouton ... pour ouvrir la boîte de dialogue d’affichage des résultats. Les valeurs limite sont uniquement affichées ; elles ne peuvent pas être modifiées. Les modifications doivent être effectuées directement dans les propriétés de la variable pour Valeurs limite.

Plus de détails dans l’aide en ligne.

VT_BOOL

UseBlinkColor

Couleur de clignotement par la limite

Active : Reprend la couleur d’arrière-plan du clignotement défini pour la valeur limite active de la variable pour Prendre le clignotement de la limite. Durant le clignotement, l’élément ne devient pas invisible, mais reprend la couleur d’arrière-plan active.

Par défaut : Inactive

Remarque : la couleur n’est pas prise en compte si la couleur d’arrière-plan Transparence est configurée.

Plus de détails dans l’aide en ligne.

ZT_VARIABLE_DYN

XVariable

Variable

Nom de la variable utilisée pour le déplacement horizontal de l’élément.
Ouvre la boîte de dialogue de sélection de variables.

Plus de détails dans l’aide en ligne.

VT_R8

XVarMin

Valeur min de la variable

Valeur minimale de la variable utilisée pour le déplacement horizontal de l’élément.

Plus de détails dans l’aide en ligne.

VT_R8

XVarMax

Valeur max de la variable

Valeur maximale de la variable utilisée pour le déplacement horizontal de l’élément.

Plus de détails dans l’aide en ligne.

VT_I4

XViewMin

Mouvement min [pixels]

Position horizontale de l’élément pour la valeur minimale de la variable (en pixels).

Plus de détails dans l’aide en ligne.

VT_I4

XViewMax

Mouvement max [pixels]

Position horizontale de l’élément pour la valeur minimale de la variable (en pixels).

Plus de détails dans l’aide en ligne.

ZT_VARIABLE_DYN

YVariable

Variable

Nom de la variable utilisée pour le déplacement vertical de l’élément.
Ouvre la boîte de dialogue de sélection de variables.

Plus de détails dans l’aide en ligne.

VT_R8

YVarMin

Valeur min de la variable

Valeur minimale de la variable utilisée pour le déplacement vertical de l’élément.

Plus de détails dans l’aide en ligne.

VT_R8

YVarMax

Valeur max de la variable

Valeur maximale de la variable utilisée pour le déplacement vertical de l’élément.

Plus de détails dans l’aide en ligne.

VT_I4

YViewMin

Mouvement min [pixels]

Position verticale de l’élément pour la valeur minimale de la variable (en pixels).

Plus de détails dans l’aide en ligne.

VT_I4

YViewMax

Mouvement max [pixels]

Position verticale de l’élément pour la valeur maximale de la variable (en pixels).

Plus de détails dans l’aide en ligne.

ZT_VARIABLE_DYN

XZoomVariable

Variable

Nom de la variable utilisée pour l’agrandissement de la largeur de l’élément.
Ouvre la boîte de dialogue de sélection de variables.

Plus de détails dans l’aide en ligne.

VT_R8

XZoomVarMin

Valeur min de la variable

Valeur minimale de la variable utilisée pour effectuer un zoom à la largeur de l’élément.

Plus de détails dans l’aide en ligne.

VT_R8

XZoomVarMax

Valeur max de la variable

Valeur maximale de la variable utilisée pour effectuer un zoom sur la largeur de l’élément.

Plus de détails dans l’aide en ligne.

VT_I4

XZoomViewMin

Largeur min [%]

Facteur de zoom correspondant à la largeur de l’élément pour la valeur minimale de la variable (en pixels).

Plus de détails dans l’aide en ligne.

VT_I4

XZoomViewMax

Largeur max [%]

Facteur de zoom correspondant à la largeur de l’élément pour la valeur maximale de la variable (en pixels).

Plus de détails dans l’aide en ligne.

ZT_VARIABLE_DYN

YZoomVariable

Variable

Nom de la variable utilisée pour l’agrandissement de la hauteur de l’élément.
Ouvre la boîte de dialogue de sélection de variables.

Plus de détails dans l’aide en ligne.

VT_R8

YZoomVarMin

Valeur min de la variable

Valeur minimum de la variable utilisée pour effectuer un zoom sur la hauteur de l’élément.

Plus de détails dans l’aide en ligne.

VT_R8

YZoomVarMax

Valeur max de la variable

Valeur maximum de la variable utilisée pour effectuer un zoom sur la hauteur de l’élément.

Plus de détails dans l’aide en ligne.

VT_I4

YZoomViewMin

Hauteur min [%]

Facteur de zoom correspondant à la hauteur de l’élément pour la valeur minimum de la variable (en %).

Plus de détails dans l’aide en ligne.

VT_I4

YZoomViewMax

Hauteur max [%]

Facteur de zoom correspondant à la hauteur de l’élément pour la valeur maximale de la variable (en pixels).

Plus de détails dans l’aide en ligne.

ZT_VARIABLE_DYN

TwistVariable

Variable

Nom de la variable utilisée pour la rotation de l’élément.

Plus de détails dans l’aide en ligne.

VT_R8

TwistVarMin

Valeur min de la variable

Valeur minimum de la variable utilisée pour la rotation de l’élément.

Plus de détails dans l’aide en ligne.

VT_R8

TwistVarMax

Valeur max de la variable

Valeur maximale de la variable utilisée pour la rotation de l’élément.

Plus de détails dans l’aide en ligne.

VT_I4

TwistViewMin

Rotation min [°]

Angle de rotation de l’élément pour la valeur minimum de la variable (en °).

Plus de détails dans l’aide en ligne.

VT_I4

TwistViewMax

Rotation max [°]

Angle de rotation de l’élément pour la valeur maximum de la variable (en °).

Plus de détails dans l’aide en ligne.

ZT_STYLE

ShadowEffectStyle

Style effet cadres/ombres

Affichage et sélection du style de cadre et d’ombre attribué à l’élément.

Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de style.
Si plusieurs éléments ont été sélectionnés, ils peuvent être attribués à un style commun.

Remarque : Seules les propriétés compatibles avec l’élément correspondant sont prises en charge.

Plus de détails dans l’aide en ligne.

VT_BOOL

EnablePunchFrame

Afficher le cadre

A frame around the element can be displayed.
Default: inactive.

ZT_STYLE

GlowEffectStyle

Style effet de rayonnement

Affichage et sélection du style des effets de luminescence attribués à l’élément.

Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de style.
Si plusieurs éléments ont été sélectionnés, ils peuvent être attribués à un style commun.

Remarque : Seules les propriétés compatibles avec l’élément correspondant sont prises en charge.

Plus de détails dans l’aide en ligne.

VT_BOOL

GlowEffectEvent

Actif seulement si cliqué

Disponible uniquement si la propriété Activer est active et l’élément est un bouton.

Active : l’effet de luminescence est uniquement affiché lorsque l’utilisateur clique sur le bouton. Cliquer sur le bouton permet de modifier la couleur, le clignotement ou l’invisibilité de l’effet de luminescence.

Par défaut : Inactive

Plus de détails dans l’aide en ligne.

ZT_VARIABLE_DYN

GlowEffectGlowColorVariable

Variable pour la couleur

Disponible uniquement si la propriété Activer est active. La propriété Coloration doit être activée.

Nom de la variable dont la couleur aux valeurs limites doit influencer la couleur de l’effet de luminescence pour l’élément. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de variables. Vous pouvez également saisir le nom manuellement dans le champ de texte. Si aucune variable n’est liée, la couleur définie dans la propriété Couleur est utilisée.

Par défaut : aucune variable liée

Plus de détails dans l’aide en ligne.

ZT_PREVIEW

GlowEffectGlowColorVariablePreview

Affichage aperçu couleur

Affichage de la valeur limite définie pour la variable de couleur lorsque l’effet de luminescence est actif. Disponible uniquement si l’option Depuis la variable a été configurée pour la propriété Variable pour la couleur.

Un aperçu des propriétés définies pour la valeur limite est affiché dans le champ. Aucun aperçu n’est affiché pour les matrices de réaction.
Cliquez sur le bouton ... pour ouvrir la boîte de dialogue d’affichage des résultats. Les valeurs limite sont uniquement affichées ; elles ne peuvent pas être modifiées. Les modifications doivent être effectuées directement dans les propriétés de la variable pour Valeurs limite.

Plus de détails dans l’aide en ligne.

ZT_VARIABLE_DYN

GlowEffectVisibilityVariable

Variable pour la visibilité

Disponible uniquement si la propriété Activer est active.

Nom de la variable dont la valeur influence la visibilité de l’effet de luminescence. La visibilité est soit reprise des propriétés de valeur limite de cette variable (propriété Visibilité depuis valeur limite active), soit définie par la plage de valeurs définie dans les propriétés Visible de et Visible jusqu'à. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de variables. Vous pouvez également saisir le nom manuellement dans le champ de texte.

Remarque : si aucune variable n’est liée, l’effet de luminescence est toujours visible.

Par défaut : aucune variable liée

Plus de détails dans l’aide en ligne.

ZT_PREVIEW

GlowEffectVisibilityVariablePreview

Affichage aperçu visibilité

Affichage de la valeur limite définie pour la variable de visibilité lorsque l’effet de luminescence est actif. Disponible uniquement si l’option Depuis la variable a été configurée pour la propriété Variable pour la visibilité.

Un aperçu des propriétés définies pour la valeur limite est affiché dans le champ. Aucun aperçu n’est affiché pour les matrices de réaction.
Cliquez sur le bouton ... pour ouvrir la boîte de dialogue d’affichage des résultats. Les valeurs limite sont uniquement affichées ; elles ne peuvent pas être modifiées. Les modifications doivent être effectuées directement dans les propriétés de la variable pour Valeurs limite.

Plus de détails dans l’aide en ligne.

VT_BOOL

GlowEffectVisibilityFromLimit

Visibilité depuis valeur limite

Disponible uniquement si la propriété Activer est active. Vous devez en outre définir une variable dans la propriété Variable pour la visibilité.

Active : La visibilité de l’effet de luminescence est influencée par la propriété de valeur limite de la variable.

Attention : Pour une valeur limite de la variable au moins, la propriété Invisible doit être active.

Inactive : la visibilité est influencée par les propriétés de l’élément.

Plus de détails dans l’aide en ligne.

VT_R8

GlowEffectVisibilityFrom

Visible de

Disponible uniquement si la propriété Activer est active. Vous devez en outre définir une variable dans la propriété Variable pour la visibilité ; la propriété Visibilité depuis valeur limite doit être inactive.

Définit la valeur à partir de laquelle l’effet de luminescence devient visible.
Minimum : valeur la moins élevée autorisée pour la variable liée dans Variable pour la visibilité.
Maximum : valeur la moins élevée autorisée pour la variable liée dans Variable pour la visibilité.
Par défaut : valeur la plus élevée autorisée pour la variable liée dans Variable pour la visibilité.

Plus de détails dans l’aide en ligne.

VT_R8

GlowEffectVisibilityTo

Visible jusqu'à

Disponible uniquement si la propriété Activer est active. Vous devez en outre définir une variable dans la propriété Variable pour la visibilité ; la propriété Visibilité depuis valeur limite doit être inactive.

Définit la valeur jusqu’à laquelle l’effet de luminescence reste visible.
Minimum : valeur la plus basse autorisée pour la variable liée dans Variable pour la visibilité.
Maximum : valeur la plus élevée autorisée pour la variable liée dans Variable pour la visibilité.
Par défaut : valeur la plus élevée autorisée pour la variable liée dans Variable pour la visibilité.

Plus de détails dans l’aide en ligne.

ZT_VARIABLE_DYN

GlowEffectBlinkVariable

Variable pour le clignotement

Variables dont les paramètres de clignotement de l’effet de luminescence aux valeurs limites doivent être repris. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de variables.

Par défaut : aucune variable liée

Plus de détails dans l’aide en ligne.

ZT_PREVIEW

GlowEffectBlinkVariablePreview

Affichage aperçu clignotement

Affichage de la valeur limite définie pour la variable de clignotement lorsque l’effet de luminescence est actif. Disponible uniquement si l’option Depuis la variable a été configurée pour la propriété Variable pour le clignotement.

Un aperçu des propriétés définies pour la valeur limite est affiché dans le champ. Aucun aperçu n’est affiché pour les matrices de réaction.
Cliquez sur le bouton ... pour ouvrir la boîte de dialogue d’affichage des résultats. Les valeurs limite sont uniquement affichées ; elles ne peuvent pas être modifiées. Les modifications doivent être effectuées directement dans les propriétés de la variable pour Valeurs limite.

Plus de détails dans l’aide en ligne.

VT_BOOL

GlowEffectUseBlinkColor

Clignotement depuis valeur limite

Disponible uniquement si la propriété Activer est active. Vous devez en outre définir une variable dans la propriété Variable pour le clignotement.

Active : Reprend, pour l’effet de luminescence, la couleur de clignotement de la valeur limite active pour la variable définie dans la propriété Couleur de clignotement par la limite. Cette propriété agit indépendamment de la propriété Coloration. En cas de clignotement, l’effet de luminescence ne devient pas invisible, mais reprend les paramètres de l’effet de luminescence actif.

Par défaut : Inactive

Plus de détails dans l’aide en ligne.

VT_BOOL

GlowEffect2ndBlinkStateVisible

2 états de clignotement invisibles

Disponible uniquement si la propriété Activer est active. Vous devez en outre définir une variable dans la propriété Variable pour le clignotement ; la propriété Clignotement depuis valeur limite doit être inactive.

Active : En cas de clignotement, l’effet de luminescence ne bascule pas vers l’effet de luminescence actif, mais devient invisible. Ceci permet de basculer entre l’invisibilité et la couleur de clignotement en cas de dépassement de la valeur limite.

Par défaut : Inactive

Plus de détails dans l’aide en ligne.


Frame vector

Manuel -> Interfaces de programmation -> Modèles d'objet -> Element -> Element-Dynamic properties -> Frame vector

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Type

VBA/VSTA Name

Display Name

Description

VT_I2

Combine

Utilisation domaine

Définit les effets qu’aura l’élément créé sur le cadre.

Les paramètres suivants sont disponibles :

Couverture : La surface de l’élément est utilisée en tant que zone du synoptique.

Couper : la surface de l’élément est supprimée des surfaces situées dessous.

ORed (Variable) : Cet élément est découpé ou couvert, en fonction de la présence d’un élément de couverture situé sous l’élément.

Remarque : La manière dont la surface est utilisée dépend toujours des surfaces situées sous l’élément.

Pour les nouveaux éléments, le dernier paramètre sélectionné est utilisé.

Plus de détails dans l’aide en ligne.

VT_BOOL

CornerProportional

Proportionnel

Disponible uniquement si la propriété Par les valeurs de luminosité est inactive.

Active : Lors de la création d’un coin arrondi, seule la valeur X peut être saisie. La valeur Y est toujours la même.

Le pourcentage défini pour la propriété Tous les x [%] désigne le côté le plus court (largeur ou hauteur) de l’élément.

Inactive : Les valeurs X et Y peuvent être librement définies. La valeur X fait référence à la largeur de l’élément. La valeur Y fait référence à la hauteur de l’élément.

Par défaut : active

Plus de détails dans l’aide en ligne.

VT_I4

CornerAll_X

Tous les x [%]

Disponible uniquement si la propriété Par les valeurs de luminosité est inactive.

Définit la valeur de l’arrondi de l’axe X (en pourcentage) pour tous les coins. Cette valeur est utilisée pour tous les coins dont les valeurs sont égales à -1. Les coins individuels peuvent ainsi être définis indépendamment.

Si la valeur de l’arrondi est modifiée, tous les coins reçoivent automatiquement la valeur -1. Dans ce cas, tous les coins reprennent leur valeur prédéfinie.

Plage de valeurs : 0 % à 100 %.

Par défaut : 20

Plus de détails dans l’aide en ligne.

VT_I4

CornerAll_Y

Tous les y [%]

Disponible uniquement si la propriété Proportionnel est active et la propriété Par les valeurs de luminosité est inactive.

Définit la valeur de l’arrondi de l’axe Y (en pourcentage) pour tous les coins. Cette valeur est utilisée pour tous les coins dont les valeurs sont égales à -1. Les coins individuels peuvent ainsi être définis indépendamment.

Si la valeur de l’arrondi est modifiée, tous les coins reçoivent automatiquement la valeur -1. Dans ce cas, tous les coins reprennent leur valeur prédéfinie.

Plage de valeurs : 0 % à 100 %

Par défaut : 20

Plus de détails dans l’aide en ligne.

VT_I4

CornerLeftTop_X

x haut/gauche [%]

Disponible uniquement si la propriété de projet Qualité graphique a été définie sur DirectX Hardware ou DirectX Software.
La propriété Par les valeurs de luminosité doit être activée.

Définit la valeur de rayon de l’axe X pour le coin supérieur gauche. Cliquez sur le bouton ... pour afficher une réglette qui vous permet de définir le rayon.
Valeurs possibles :

  • -1 : Le paramètre de Tous les x [%] est utilisé.
  • 0 à 100 : rayon, en pourcentage.

Par défaut : -1

Plus de détails dans l’aide en ligne.

VT_I4

CornerLeftTop_Y

y haut/gauche [%]

Disponible uniquement si la propriété de projet Qualité graphique a été définie sur DirectX Hardware ou DirectX Software.
Par ailleurs, la propriété Proportionnel doit être activée et la propriété Par les valeurs de luminosité doit être désactivée.

Définit la valeur de rayon de l’axe Y pour le coin supérieur gauche. Cliquez sur le bouton ... pour afficher une réglette qui vous permet de définir le rayon.
Valeurs possibles :

  • -1 : Le paramètre de Tous les y [%] est utilisé.
  • 0 à 100 : rayon, en pourcentage.

Par défaut : -1

Plus de détails dans l’aide en ligne.

VT_I4

CornerRightTop_X

x haut/droit [%]

Disponible uniquement si la propriété de projet Qualité graphique a été définie sur DirectX Hardware ou DirectX Software.
La propriété Par les valeurs de luminosité doit être activée.

Définit la valeur de rayon de l’axe X pour le coin supérieur droit. Cliquez sur le bouton ... pour afficher une réglette qui vous permet de définir le rayon.
Valeurs possibles :

  • -1 : Le paramètre de Tous les x [%] est utilisé.
  • 0 à 100 : rayon, en pourcentage.

Par défaut : -1

Plus de détails dans l’aide en ligne.

VT_I4

CornerRightTop_Y

y haut/droit [%]

Disponible uniquement si la propriété de projet Qualité graphique a été définie sur DirectX Hardware ou DirectX Software.
Par ailleurs, la propriété Proportionnel doit être activée et la propriété Par les valeurs de luminosité doit être désactivée.

Définit la valeur de rayon de l’axe Y pour le coin supérieur droit. Cliquez sur le bouton ... pour afficher une réglette qui vous permet de définir le rayon.
Valeurs possibles :

  • -1 : Le paramètre de Tous les y [%] est utilisé.
  • 0 à 100 : rayon, en pourcentage.

Par défaut : -1

Plus de détails dans l’aide en ligne.

VT_I4

CornerRightBottom_X

x bas/droit [%]

Disponible uniquement si la propriété Par les valeurs de luminosité est inactive.

Définit la valeur de l’arrondi de l’axe X pour le coin inférieur droit. Cliquez sur le bouton ... pour afficher une réglette qui vous permet de définir le rayon.

Valeurs possibles :

-1 : Le paramètre de Tous les x [%] est utilisé.

0 à 100 : valeur d’arrondi en pourcentage.

Par défaut : -1

Plus de détails dans l’aide en ligne.

VT_I4

CornerRightBottom_Y

y bas/droit [%]

Disponible uniquement si la propriété de projet Qualité graphique a été définie sur DirectX Hardware ou DirectX Software.
Par ailleurs, la propriété Proportionnel doit être activée et la propriété Par les valeurs de luminosité doit être désactivée.

Définit la valeur de rayon de l’axe Y pour le coin inférieur droit. Cliquez sur le bouton ... pour afficher une réglette qui vous permet de définir le rayon.
Valeurs possibles :

  • -1 : Le paramètre de Tous les y [%] est utilisé.
  • 0 à 100 : rayon, en pourcentage.

Par défaut : -1

Plus de détails dans l’aide en ligne.

VT_I4

CornerLeftBottom_X

x bas/gauche [%]

Disponible uniquement si la propriété de projet Qualité graphique a été définie sur DirectX Hardware ou DirectX Software.

La propriété Par les valeurs de luminosité doit être activée.

Définit la valeur de rayon de l’axe X pour le coin inférieur gauche. Cliquez sur le bouton ... pour afficher une réglette qui vous permet de définir le rayon. Valeurs possibles :

  • -1 : Le paramètre de Tous les x [%] est utilisé.
  • 0 à 100 : rayon, en pourcentage.

Par défaut : -1

Plus de détails dans l’aide en ligne.

VT_I4

CornerLeftBottom_Y

y bas/gauche [%]

Disponible uniquement si la propriété de projet Qualité graphique a été définie sur DirectX Hardware ou DirectX Software.
Par ailleurs, la propriété Proportionnel doit être activée et la propriété Par les valeurs de luminosité doit être désactivée.

Définit la valeur de rayon de l’axe Y pour le coin inférieur gauche. Cliquez sur le bouton ... pour afficher une réglette qui vous permet de définir le rayon. Valeurs possibles :

  • -1 : Le paramètre de Tous les y [%] est utilisé.
  • 0 à 100 : rayon, en pourcentage.

Par défaut : -1

Plus de détails dans l’aide en ligne.

ZT_COLOR

LineColor

Couleur de ligne

Line color of the element.

ZT_STYLE

LineStyle

Style de ligne

Affichage et sélection du style de ligne attribué à l’élément.

Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de style.
Si plusieurs éléments ont été sélectionnés, ils peuvent être attribués à un style commun.

Remarque : Seules les propriétés compatibles avec l’élément correspondant sont prises en charge.

Plus de détails dans l’aide en ligne.

ZT_STYLE

FillStyle

Style de remplissage

Affichage et sélection du style de remplissage attribué à l’élément.

Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de style.
Si plusieurs éléments ont été sélectionnés, ils peuvent être attribués à un style commun.

Remarque : Seules les propriétés compatibles avec l’élément correspondant sont prises en charge.

Plus de détails dans l’aide en ligne.

ZT_VARIABLE_DYN

BackColorVariable2

Affichage aperçu couleur

Affichage de la valeur limite pour la propriété Couleur du dégradé définie pour la variable. Disponible uniquement si l’option Depuis la variable a été configurée pour la propriété Couleur du dégradé.

Un aperçu des propriétés définies pour la valeur limite est affiché dans le champ. Aucun aperçu n’est affiché pour les matrices de réaction.
Cliquez sur le bouton ... pour ouvrir la boîte de dialogue d’affichage des résultats. Les valeurs limite sont uniquement affichées ; elles ne peuvent pas être modifiées. Les modifications doivent être effectuées directement dans les propriétés de la variable pour Valeurs limite.

Plus de détails dans l’aide en ligne.

ZT_PREVIEW

BackColorVariable2Preview

Affichage aperçu couleur

Affichage de la valeur limite pour la propriété Couleur du dégradé définie pour la variable. Disponible uniquement si l’option Depuis la variable a été configurée pour la propriété Couleur du dégradé.

Un aperçu des propriétés définies pour la valeur limite est affiché dans le champ. Aucun aperçu n’est affiché pour les matrices de réaction.
Cliquez sur le bouton ... pour ouvrir la boîte de dialogue d’affichage des résultats. Les valeurs limite sont uniquement affichées ; elles ne peuvent pas être modifiées. Les modifications doivent être effectuées directement dans les propriétés de la variable pour Valeurs limite.

Plus de détails dans l’aide en ligne.

VT_I2

Align

Alignement

Direction of color shift.
horizontal
vertical

VT_I2

Shifted

Gradient de couleur 'décalé'

Wie weit soll der Lichteffekt von der Mitte des Elements versetzt sein.

Mehr im Online-Handbuch

VT_BOOL

Brightness

Par les valeurs de luminosité

Disponible uniquement si l’élément Remplissage (type) a été sélectionné pour la propriété Dégradé de couleurs.

Active : la luminosité du dégradé de couleurs peut être librement définie.
Inactive : la luminosité du dégradé de couleurs est définie automatiquement.

Remarque : le motif de remplissage ne peut plus être modifié si cette propriété est active. Il est également impossible de définir des coins arrondis. Si cette option est activée pour un élément utilisant des coins arrondis, l’élément est affiché avec des coins non arrondis.

Plus de détails dans l’aide en ligne.

VT_UI1

OuterBrightness

Luminosité à l'extérieur

Disponible uniquement si la propriété Par les valeurs de luminosité est active :
Luminosité au niveau du bord extérieur de l’élément.

Plus de détails dans l’aide en ligne.

VT_UI1

InnerBrightness

Luminosité à l'intérieur

Disponible uniquement si la propriété Par les valeurs de luminosité est active :
Luminosité au centre de l’élément.

Plus de détails dans l’aide en ligne.

VT_BOOL

ALCUseColor

Couleur définie par CAL

Disponible uniquement si vous possédez une licence pour la fonctionnalité Coloration Automatique des Lignes (CAL) :
Active : La couleur automatique de la source liée est utilisée.
Inactive : La couleur standard est utilisée.
Par défaut : inactive.

Plus de détails dans l’aide en ligne.

VT_I2

ALCPrecedence

Priorité pour l'affichage

Disponible uniquement si la propriété Couleur définie par CAL est active.

Définit la priorité de l’affichage lorsque l’élément est connecté à plusieurs sources actives.
Plusieurs sources d’alimentation : L’élément est affiché selon les règles de l’alimentation sécurisée.
Source d’alimentation sécurisée : L’élément est affiché selon les règles de l’alimentation sécurisée.
Aucune priorité : Les règles de coloration des paramètres Alimentation multiple et Alimentation sécurisée sont appliquées simultanément, si les deux critères sont satisfaits.

Par défaut : Alimentation multiple
Plus de détails dans l’aide en ligne.

VT_I2

ALCMultiSource

Affichage alimentation multiple

Disponible uniquement si la propriété Couleur définie par CAL est active.
Définit le type d’affichage lorsque l’élément est connecté à plusieurs sources :
Source la plus prioritaire : Seule la couleur de la source la plus prioritaire est utilisée.
Deux sources les plus prioritaires : Les différentes couleurs des deux sources comportant les priorités les plus élevées sont affichées sous forme de trait tireté.
Couleur de remplacement : Couleur de remplacement pour la fonction CAL avec des alimentations multiples.

Par défaut : La source la plus prioritaire

Plus de détails dans l’aide en ligne.

VT_I2

ALCDashLen

Longueur de pointillé fournie plusieurs fois

Disponible uniquement si la propriété Affichage alimentation multiple possède la valeur Deux sources antérieures les plus élevées.

Définit la longueur en pixels du trait tireté associé à la fonction CAL avec une alimentation multiple.

Minimum : 0 (longueur des tirets automatique)

Maximum : 32767

Par défaut : 0

Plus de détails dans l’aide en ligne.

ZT_COLOR

ALCAlternativeColor

Couleur alternative

Disponible uniquement si la propriété Affichage alimentation multiple possède la valeur Couleur de remplacement.

Couleur de remplacement pour la fonction CAL avec des alimentations multiples.

Plus de détails dans l’aide en ligne.

VT_I2

ALCMSecuredSupply

Affichage alimentation sécurisée

Disponible uniquement si Couleur définie par CAL est activée.

Définition de l’affichage de l’alimentation sécurisée :

  • double épaisseur
  • double luminosité
  • normal

Par défaut : normal

Plus de détails dans l’aide en ligne.

VT_BOOL

ALCAlias

Alias

Disponible uniquement si la propriété Couleur définie par CAL est active.

Élément source défini pour la propriété Utiliser alias. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue et sélectionner un élément existant.
Remarque : Les alias ne peuvent pas être utilisés pour des symboles dans la bibliothèque générale de symboles ou la bibliothèque de symboles du projet.

Plus de détails dans l’aide en ligne.

VT_BSTR

ALCAliasName

Alias

Disponible uniquement si la propriété Couleur définie par CAL est active.

Élément source défini pour la propriété Utiliser alias. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue et sélectionner un élément existant.
Remarque : Les alias ne peuvent pas être utilisés pour des symboles dans la bibliothèque générale de symboles ou la bibliothèque de symboles du projet.

Plus de détails dans l’aide en ligne.

VT_R8

ALCReact

Valeur de réactance du câble [Ohm]

Valeur maximale de réactance autorisée de la ligne, en ohms.

Plus de détails dans l’aide en ligne.

VT_R8

ALCResist

Valeur de la résistance de la ligne électrique [Ohm]

Valeur maximale de résistance autorisée de la ligne, en ohms.

Plus de détails dans l’aide en ligne.

VT_R8

ALCLength

Longueur de la ligne [km]

Ligne CAL : longueur de la ligne.

Plus de détails dans l’aide en ligne.

VT_I2

ALCMaxIType

Limite de la capacité de transport de courant

Commutation CAL : valeur limite de la capacité actuelle (sélection fixe/variable).

Plus de détails dans l’aide en ligne.

VT_R8

ALCMaxIVal

Limite fixe de la capacité de transport de courant [A]

Commutation CAL : Capacité de transport de courant définie par une valeur limite.

Plus de détails dans l’aide en ligne.

ZT_VARIABLE_DYN

ALCVarMaxI

Valeur limite dynamique pour la capacité de transport de courant

More...

ALCVarMaxIEx

ALCVarMaxIEx

ZT_VARIABLE_DYN

ALCVarCalcI

Valeur de la mesure du flux de courant calculé

Ligne CAL : Valeur de la mesure du flux de courant calculé.

Plus de détails dans l’aide en ligne.

More...

ALCVarCalcIEx

ALCVarCalcIEx

ALC Leitung: Messwert des berechneten Stromflusses für Export.

Mehr in der Online-Hilfe.

ZT_STYLE

StyleGroup

Groupe de styles

Affichage et sélection du groupe de styles attribué à l’élément.
Cliquez sur le bouton ... pour ouvrir la boîte de dialogue permettant de sélectionner un groupe de styles.
Si plusieurs éléments sont sélectionnés, elles peuvent être attribuées à un groupe de styles commun.

Remarque : Seules les propriétés compatibles avec l’élément correspondant sont prises en charge.

Plus de détails dans l’aide en ligne.

More...

LnClVariable

LnClVariable

"With this property you have the opportunity to get informations about the variable which is linked as ""line/text color"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""LnClVariable.SymVarName"") 'Return the name of the ""line/text color"" variable
zElement.DynProperties (""LnClVariable.SymVarTagNr"") 'Return the identification of the ""line/text color"" variable"

More...

BkClVariable

BkClVariable

"With this property you have the opportunity to get informations about the variable which is linked as ""background/filling color"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""BkClVariable.SymVarName"") 'Return the name of the ""background/filling color"" variable
zElement.DynProperties (""BkClVariable.SymVarTagNr"") 'Return the identification of the ""background/filling color"" variable"

More...

BkCl2Variable

"BkCl2Variable"

More...

XVar

XVar

"With this property you have the opportunity to get informations about the variable which is linked as ""dynamic x position"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""XVar.SymVarName"") 'Return the name of the ""dynamic x position"" variable
zElement.DynProperties (""XVar.SymVarTagNr"") 'Return the identification of the ""dynamic x position"" variable"

More...

YVar

YVar

"With this property you have the opportunity to get informations about the variable which is linked as ""dynamic y position"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""YVar.SymVarName"") 'Return the name of the ""dynamic y position"" variable
zElement.DynProperties (""YVar.SymVarTagNr"") 'Return the identification of the ""dynamic y position"" variable"

More...

XVarZoom

XVarZoom

"With this property you have the opportunity to get informations about the variable which is linked as ""change width"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""XVarZoom.SymVarName"") 'Return the name of the ""change width"" variable
zElement.DynProperties (""XVarZoom.SymVarTagNr"") 'Return the identification of the ""change width"" variable"

More...

YVarZoom

YVarZoom

"With this property you have the opportunity to get informations about the variable which is linked as ""change height"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""YVarZoom.SymVarName"") 'Return the name of the ""change height"" variable
zElement.DynProperties (""YVarZoom.SymVarName"") 'Return the name of the ""change height"" variable
zElement.DynProperties (""YVarZoom.SymVarTagNr"") 'Return the identification of the ""change height"" variable"

More...

TwistVar

TwistVar

"With this property you have the opportunity to get informations about the variable which is linked as ""rotate"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""TwistVar.SymVarName"") 'Return the name of the ""rotate"" variable
zElement.DynProperties (""TwistVar.SymVarTagNr"") 'Return the identification of the ""rotate"" variable"

More...

VisVariable

VisVariable

"With this property you have the opportunity to get informations about the variable which is linked as ""visibility"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""VisVariable.SymVarName"") 'Return the name of the ""visibility"" variable
zElement.DynProperties (""VisVariable.SymVarTagNr"") 'Return the identification of the ""visibility"" variable"

More...

BlinkVar

BlinkVar

More...

GlowEffectGlowColorVar

GlowEffectGlowColorVar

More...

GlowEffectVisibilityVar

GlowEffectVisibilityVar

More...

GlowEffectBlinkVar

GlowEffectBlinkVar

VT_BSTR

Name

Nom d'élément

Attribuez un nom d’élément.
Il ne doit pas être vide.

Attention : Cette propriété n’est pas disponible aux fins de la commutation de langue.

Remarques concernant les cadrans : Pour les conteneurs de synoptique, spécifiez des noms clairement identifiables pour faciliter la sélection lors de la configuration des appels de synoptique.

Plus de détails dans l’aide en ligne.

VT_UI1

Layer

Niveau de visibilité

Sélectionnez l’un des 16 niveaux de visibilité (0 à 15) dans la liste déroulante. À l’aide de la barre d’outils Niveau de visibilité, vous décidez des niveaux qui doivent être affichés dans Editor. Cette fonction garantit que les synoptiques les plus complexes peuvent être développés de manière simple. Les niveaux peuvent être utilisés immédiatement. Les niveaux n’ont aucune influence sur les informations affichées au premier plan ou en arrière-plan dans le Runtime.
Par défaut : 0.

Plus de détails dans l’aide en ligne.

VT_I4

StartX

Point de départ X [pixels]

Coordonnée Y du coin supérieur gauche du synoptique (en pixels).

Plus de détails dans l’aide en ligne.

VT_I4

EndX

Point final X [pixels]

Coordonnée X du coin inférieur droit du synoptique (en pixels).

Plus de détails dans l’aide en ligne.

VT_I4

StartY

Point de départ Y [pixels]

Coordonnée Y du coin supérieur gauche du synoptique (en pixels).

Plus de détails dans l’aide en ligne.

VT_I4

EndY

Point final Y [pixels]

Coordonnée Y du coin inférieur droit du synoptique (en pixels).

Plus de détails dans l’aide en ligne.

VT_I4

Width

Largeur [pixels]

Largeur des éléments en pixels.

Remarque : disponible uniquement pour les éléments Combinaison multiple, Élément combiné, Bouton et Interrupteur si la valeur Ajusté a été sélectionnée pour la propriété Taille du graphique.

Plus de détails dans l’aide en ligne.

VT_I4

Height

Hauteur [pixels]

Hauteur des éléments en pixels.

Remarque : disponible uniquement pour les éléments Combinaison multiple, Élément combiné, Bouton et Interrupteur si la valeur Ajusté a été sélectionnée pour la propriété Taille du graphique.

Plus de détails dans l’aide en ligne.

VT_I2

ZoomMin

Visible de

Incrément de zoom le plus bas auquel l’élément est visible dans la vue globale.
Par défaut : -1
Une valeur de visibilité avec des incréments de zoom de -1 à -1 signifie que l’élément est affiché, quel que soit l’incrément de zoom sélectionné.

Les niveaux de zoom affichés dans la vue globale peuvent être configurés avec la propriété Apparence graphique -> Généralités runtime -> Pas de zoom pour vue globale.

Attention : Ce niveau de zoom s’applique à tous les types de synoptiques et cadres. Si un niveau de zoom défini est supérieur à 0, l’élément est uniquement affiché dans la vue globale, car les autres types de synoptique sont automatiquement appelés avec le niveau de zoom 0.

Plus de détails dans l’aide en ligne.

VT_I2

ZoomMax

Visible jusqu'à

Incrément de zoom le plus élevé auquel l’élément est visible dans la vue globale.

Par défaut : -1
Une valeur de visibilité avec des incréments de zoom de -1 à -1 signifie que l’élément est affiché, quel que soit l’incrément de zoom sélectionné.

Les niveaux de zoom affichés dans la vue globale peuvent être configurés avec la propriété Apparence graphique -> Généralités runtime -> Pas de zoom pour vue globale.

Attention : Ce niveau de zoom s’applique à tous les types de synoptiques et cadres. Si un niveau de zoom défini est supérieur à 0, l’élément est uniquement affiché dans la vue globale, car les autres types de synoptique sont automatiquement appelés avec le niveau de zoom 0.

Plus de détails dans l’aide en ligne.

VT_BSTR

Stationname

Nom liste d'objets

L’élément est saisi directement dans la liste de stations du synoptique Vue globale, et le texte est saisi ici.

Plus de détails dans l’aide en ligne.

ZT_VARIABLE_DYN

LineColorVariable

Couleur de ligne

Nom des variables dont les couleurs de valeur limite doivent influencer la couleur de ligne/de texte de l’élément. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de variables.

Plus de détails dans l’aide en ligne.

ZT_PREVIEW

LineColorVarPreview

Affichage aperçu couleur

Affichage de la valeur limite pour la propriété Couleur de ligne définie pour la variable. Disponible uniquement si l’option Depuis la variable a été configurée pour la propriété Couleur de ligne.

Un aperçu des propriétés définies pour la valeur limite est affiché dans le champ. Aucun aperçu n’est affiché pour les matrices de réaction.
Cliquez sur le bouton ... pour ouvrir la boîte de dialogue d’affichage des résultats. Les valeurs limite sont uniquement affichées ; elles ne peuvent pas être modifiées. Les modifications doivent être effectuées directement dans les propriétés de la variable pour Valeurs limite.

Plus de détails dans l’aide en ligne.

ZT_VARIABLE_DYN

BackColorVariable

Couleur de remplissage

Nom de la variable dont les couleurs de valeur limite doivent influencer la couleur d’arrière-plan/de remplissage de l’élément.
Ouvre la boîte de dialogue de sélection de variables.

Plus de détails dans l’aide en ligne.

ZT_PREVIEW

BackColorVarPreview

Affichage aperçu couleur

Affichage de la valeur limite pour la propriété Couleur de remplissage définie pour la variable. Disponible uniquement si l’option Depuis la variable a été configurée pour la propriété Couleur de remplissage.

Un aperçu des propriétés définies pour la valeur limite est affiché dans le champ. Aucun aperçu n’est affiché pour les matrices de réaction.
Cliquez sur le bouton ... pour ouvrir la boîte de dialogue d’affichage des résultats. Les valeurs limite sont uniquement affichées ; elles ne peuvent pas être modifiées. Les modifications doivent être effectuées directement dans les propriétés de la variable pour Valeurs limite.

Plus de détails dans l’aide en ligne.

VT_UI1

HorizontalOrigin

Horizontal

Point de référence horizontal de l’événement. Les valeurs possibles sont : gauche, centré, droite.
Ce point est utilisé en tant que base de calcul de l’angle de départ de la rotation (statique et dynamique) et pour le changement dynamique de taille.

Par défaut : À gauche

Plus de détails dans l’aide en ligne.

VT_UI1

VerticalOrigin

Vertical

Point de référence vertical de l’événement. Les valeurs possibles sont : haut, centré, bas.
Ce point est utilisé en tant que base de calcul de l’angle de départ de la rotation (statique et dynamique) et pour le changement dynamique de taille.

Par défaut : En haut

Plus de détails dans l’aide en ligne.

VT_UI4

VisibilityType

Visibilité

Sélection depuis laquelle la visibilité d’un élément est déterminée :

  • Depuis une variable
  • Du verrrouillage

Par défaut : Depuis une variable

Plus de détails dans l’aide en ligne.

ZT_VARIABLE_DYN

VisibilityVariable

Variable

Disponible uniquement si l’option Depuis la variable a été configurée pour la propriété Visibilité.

Nom de la variable dont la valeur contrôle la visibilité de l’élément. La visibilité est soit reprise des propriétés de valeur limite de ces variables, soit définie par la plage de valeurs définie dans les propriétés de et À.
Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de variables. Vous pouvez également saisir manuellement le nom dans le champ de texte.
L'élément reste visible tant qu’aucune variable n’est liée.

Plus de détails dans l’aide en ligne.

ZT_PREVIEW

VisVarPreview

Affichage aperçu visibilité

Affichage des valeurs limite pour la visibilité définies pour la variable. Disponible uniquement si l’option Depuis la variable a été configurée pour la propriété Variable dans le groupe Visibilité.

Un aperçu des propriétés définies pour la valeur limite est affiché dans le champ. Aucun aperçu n’est affiché pour les matrices de réaction.
Cliquez sur le bouton ... pour ouvrir la boîte de dialogue d’affichage des résultats. Les valeurs limite sont uniquement affichées ; elles ne peuvent pas être modifiées. Les modifications doivent être effectuées directement dans les propriétés de la variable pour Valeurs limite.

Plus de détails dans l’aide en ligne.

VT_BOOL

VisibilityFromLimit

A partir des valeurs limites

Uniquement disponible après la sélection d’une variable :

  • Active : La visibilité de l’élément est influencée par la propriété de valeur limite de la variable.

    Attention : La propriété Invisible doit être active pour au moins une valeur limite de la variable.

  • Inactive : la visibilité est influencée par les propriétés de l’élément.

Par défaut : active

Plus de détails dans l’aide en ligne.

VT_R8

VisibilityFrom

de

Disponible uniquement après la sélection d’une variable, si la visibilité n’a pas été reprise par la valeur limite :

Valeur minimum de la variable à laquelle l’élément est visible.

  • Minimum : valeur minimum possible de la variable liée.
  • Maximum : valeur maximum possible de la variable liée.

Par défaut : valeur minimum possible de la variable liée.

Plus de détails dans l’aide en ligne.

VT_R8

VisibilityTo

À

Disponible uniquement après la sélection d’une variable, si la visibilité n’a pas été reprise par la valeur limite :

Valeur maximale de la variable à laquelle l’élément est visible.

  • Minimum : valeur minimum possible de la variable liée.
  • Maximum : valeur maximum possible de la variable liée.

Par défaut : valeur maximum possible de la variable liée.

Plus de détails dans l’aide en ligne.

VT_UI4

Interlocking

Verrouillage

Disponible uniquement si l’option Depuis le verrouillage est sélectionnée pour la propriété Visibilité.

Nom du verrouillage dont la valeur contrôle la visibilité de l’élément. Sélectionnez dans la liste déroulante. Celle-ci contient tous les verrouillages existants et utilisables. L’élément est toujours visible si aucun verrouillage n’est lié.

Plus de détails dans l’aide en ligne.

VT_BSTR

InterlockingName

InterlockingName

Description

VT_BOOL

VisibleWhenInterlocked

Visible si verrouillé

Contrôle la visibilité de l’élément lorsque le verrouillage est sélectionné :

  • Active : L’élément est visible s’il est verrouillé.
  • Inactive : L’élément est visible s’il n’est pas verrouillé.

Par défaut : inactive

Plus de détails dans l’aide en ligne.

ZT_VARIABLE_DYN

BlinkVariable

Affichage aperçu clignotement

Affichage des valeurs limite pour le clignotement définies pour la variable. Disponible uniquement si l’option Depuis la variable a été configurée pour la propriété Prendre le clignotement de la limite.

Un aperçu des propriétés définies pour la valeur limite est affiché dans le champ. Aucun aperçu n’est affiché pour les matrices de réaction.
Cliquez sur le bouton ... pour ouvrir la boîte de dialogue d’affichage des résultats. Les valeurs limite sont uniquement affichées ; elles ne peuvent pas être modifiées. Les modifications doivent être effectuées directement dans les propriétés de la variable pour Valeurs limite.

Plus de détails dans l’aide en ligne.

ZT_PREVIEW

BlinkVarPreview

Affichage aperçu clignotement

Affichage des valeurs limite pour le clignotement définies pour la variable. Disponible uniquement si l’option Depuis la variable a été configurée pour la propriété Prendre le clignotement de la limite.

Un aperçu des propriétés définies pour la valeur limite est affiché dans le champ. Aucun aperçu n’est affiché pour les matrices de réaction.
Cliquez sur le bouton ... pour ouvrir la boîte de dialogue d’affichage des résultats. Les valeurs limite sont uniquement affichées ; elles ne peuvent pas être modifiées. Les modifications doivent être effectuées directement dans les propriétés de la variable pour Valeurs limite.

Plus de détails dans l’aide en ligne.

VT_BOOL

UseBlinkColor

Couleur de clignotement par la limite

Active : Reprend la couleur d’arrière-plan du clignotement défini pour la valeur limite active de la variable pour Prendre le clignotement de la limite. Durant le clignotement, l’élément ne devient pas invisible, mais reprend la couleur d’arrière-plan active.

Par défaut : Inactive

Remarque : la couleur n’est pas prise en compte si la couleur d’arrière-plan Transparence est configurée.

Plus de détails dans l’aide en ligne.

ZT_VARIABLE_DYN

XVariable

Variable

Nom de la variable utilisée pour le déplacement horizontal de l’élément.
Ouvre la boîte de dialogue de sélection de variables.

Plus de détails dans l’aide en ligne.

VT_R8

XVarMin

Valeur min de la variable

Valeur minimale de la variable utilisée pour le déplacement horizontal de l’élément.

Plus de détails dans l’aide en ligne.

VT_R8

XVarMax

Valeur max de la variable

Valeur maximale de la variable utilisée pour le déplacement horizontal de l’élément.

Plus de détails dans l’aide en ligne.

VT_I4

XViewMin

Mouvement min [pixels]

Position horizontale de l’élément pour la valeur minimale de la variable (en pixels).

Plus de détails dans l’aide en ligne.

VT_I4

XViewMax

Mouvement max [pixels]

Position horizontale de l’élément pour la valeur minimale de la variable (en pixels).

Plus de détails dans l’aide en ligne.

ZT_VARIABLE_DYN

YVariable

Variable

Nom de la variable utilisée pour le déplacement vertical de l’élément.
Ouvre la boîte de dialogue de sélection de variables.

Plus de détails dans l’aide en ligne.

VT_R8

YVarMin

Valeur min de la variable

Valeur minimale de la variable utilisée pour le déplacement vertical de l’élément.

Plus de détails dans l’aide en ligne.

VT_R8

YVarMax

Valeur max de la variable

Valeur maximale de la variable utilisée pour le déplacement vertical de l’élément.

Plus de détails dans l’aide en ligne.

VT_I4

YViewMin

Mouvement min [pixels]

Position verticale de l’élément pour la valeur minimale de la variable (en pixels).

Plus de détails dans l’aide en ligne.

VT_I4

YViewMax

Mouvement max [pixels]

Position verticale de l’élément pour la valeur maximale de la variable (en pixels).

Plus de détails dans l’aide en ligne.

ZT_VARIABLE_DYN

XZoomVariable

Variable

Nom de la variable utilisée pour l’agrandissement de la largeur de l’élément.
Ouvre la boîte de dialogue de sélection de variables.

Plus de détails dans l’aide en ligne.

VT_R8

XZoomVarMin

Valeur min de la variable

Valeur minimale de la variable utilisée pour effectuer un zoom à la largeur de l’élément.

Plus de détails dans l’aide en ligne.

VT_R8

XZoomVarMax

Valeur max de la variable

Valeur maximale de la variable utilisée pour effectuer un zoom sur la largeur de l’élément.

Plus de détails dans l’aide en ligne.

VT_I4

XZoomViewMin

Largeur min [%]

Facteur de zoom correspondant à la largeur de l’élément pour la valeur minimale de la variable (en pixels).

Plus de détails dans l’aide en ligne.

VT_I4

XZoomViewMax

Largeur max [%]

Facteur de zoom correspondant à la largeur de l’élément pour la valeur maximale de la variable (en pixels).

Plus de détails dans l’aide en ligne.

ZT_VARIABLE_DYN

YZoomVariable

Variable

Nom de la variable utilisée pour l’agrandissement de la hauteur de l’élément.
Ouvre la boîte de dialogue de sélection de variables.

Plus de détails dans l’aide en ligne.

VT_R8

YZoomVarMin

Valeur min de la variable

Valeur minimum de la variable utilisée pour effectuer un zoom sur la hauteur de l’élément.

Plus de détails dans l’aide en ligne.

VT_R8

YZoomVarMax

Valeur max de la variable

Valeur maximum de la variable utilisée pour effectuer un zoom sur la hauteur de l’élément.

Plus de détails dans l’aide en ligne.

VT_I4

YZoomViewMin

Hauteur min [%]

Facteur de zoom correspondant à la hauteur de l’élément pour la valeur minimum de la variable (en %).

Plus de détails dans l’aide en ligne.

VT_I4

YZoomViewMax

Hauteur max [%]

Facteur de zoom correspondant à la hauteur de l’élément pour la valeur maximale de la variable (en pixels).

Plus de détails dans l’aide en ligne.

ZT_VARIABLE_DYN

TwistVariable

Variable

Nom de la variable utilisée pour la rotation de l’élément.

Plus de détails dans l’aide en ligne.

VT_R8

TwistVarMin

Valeur min de la variable

Valeur minimum de la variable utilisée pour la rotation de l’élément.

Plus de détails dans l’aide en ligne.

VT_R8

TwistVarMax

Valeur max de la variable

Valeur maximale de la variable utilisée pour la rotation de l’élément.

Plus de détails dans l’aide en ligne.

VT_I4

TwistViewMin

Rotation min [°]

Angle de rotation de l’élément pour la valeur minimum de la variable (en °).

Plus de détails dans l’aide en ligne.

VT_I4

TwistViewMax

Rotation max [°]

Angle de rotation de l’élément pour la valeur maximum de la variable (en °).

Plus de détails dans l’aide en ligne.

ZT_STYLE

ShadowEffectStyle

Style effet cadres/ombres

Affichage et sélection du style de cadre et d’ombre attribué à l’élément.

Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de style.
Si plusieurs éléments ont été sélectionnés, ils peuvent être attribués à un style commun.

Remarque : Seules les propriétés compatibles avec l’élément correspondant sont prises en charge.

Plus de détails dans l’aide en ligne.

VT_BOOL

EnablePunchFrame

Afficher le cadre

A frame around the element can be displayed.
Default: inactive.

ZT_STYLE

GlowEffectStyle

Style effet de rayonnement

Affichage et sélection du style des effets de luminescence attribués à l’élément.

Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de style.
Si plusieurs éléments ont été sélectionnés, ils peuvent être attribués à un style commun.

Remarque : Seules les propriétés compatibles avec l’élément correspondant sont prises en charge.

Plus de détails dans l’aide en ligne.

VT_BOOL

GlowEffectEvent

Actif seulement si cliqué

Disponible uniquement si la propriété Activer est active et l’élément est un bouton.

Active : l’effet de luminescence est uniquement affiché lorsque l’utilisateur clique sur le bouton. Cliquer sur le bouton permet de modifier la couleur, le clignotement ou l’invisibilité de l’effet de luminescence.

Par défaut : Inactive

Plus de détails dans l’aide en ligne.

ZT_VARIABLE_DYN

GlowEffectGlowColorVariable

Variable pour la couleur

Disponible uniquement si la propriété Activer est active. La propriété Coloration doit être activée.

Nom de la variable dont la couleur aux valeurs limites doit influencer la couleur de l’effet de luminescence pour l’élément. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de variables. Vous pouvez également saisir le nom manuellement dans le champ de texte. Si aucune variable n’est liée, la couleur définie dans la propriété Couleur est utilisée.

Par défaut : aucune variable liée

Plus de détails dans l’aide en ligne.

ZT_PREVIEW

GlowEffectGlowColorVariablePreview

Affichage aperçu couleur

Affichage de la valeur limite définie pour la variable de couleur lorsque l’effet de luminescence est actif. Disponible uniquement si l’option Depuis la variable a été configurée pour la propriété Variable pour la couleur.

Un aperçu des propriétés définies pour la valeur limite est affiché dans le champ. Aucun aperçu n’est affiché pour les matrices de réaction.
Cliquez sur le bouton ... pour ouvrir la boîte de dialogue d’affichage des résultats. Les valeurs limite sont uniquement affichées ; elles ne peuvent pas être modifiées. Les modifications doivent être effectuées directement dans les propriétés de la variable pour Valeurs limite.

Plus de détails dans l’aide en ligne.

ZT_VARIABLE_DYN

GlowEffectVisibilityVariable

Variable pour la visibilité

Disponible uniquement si la propriété Activer est active.

Nom de la variable dont la valeur influence la visibilité de l’effet de luminescence. La visibilité est soit reprise des propriétés de valeur limite de cette variable (propriété Visibilité depuis valeur limite active), soit définie par la plage de valeurs définie dans les propriétés Visible de et Visible jusqu'à. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de variables. Vous pouvez également saisir le nom manuellement dans le champ de texte.

Remarque : si aucune variable n’est liée, l’effet de luminescence est toujours visible.

Par défaut : aucune variable liée

Plus de détails dans l’aide en ligne.

ZT_PREVIEW

GlowEffectVisibilityVariablePreview

Affichage aperçu visibilité

Affichage de la valeur limite définie pour la variable de visibilité lorsque l’effet de luminescence est actif. Disponible uniquement si l’option Depuis la variable a été configurée pour la propriété Variable pour la visibilité.

Un aperçu des propriétés définies pour la valeur limite est affiché dans le champ. Aucun aperçu n’est affiché pour les matrices de réaction.
Cliquez sur le bouton ... pour ouvrir la boîte de dialogue d’affichage des résultats. Les valeurs limite sont uniquement affichées ; elles ne peuvent pas être modifiées. Les modifications doivent être effectuées directement dans les propriétés de la variable pour Valeurs limite.

Plus de détails dans l’aide en ligne.

VT_BOOL

GlowEffectVisibilityFromLimit

Visibilité depuis valeur limite

Disponible uniquement si la propriété Activer est active. Vous devez en outre définir une variable dans la propriété Variable pour la visibilité.

Active : La visibilité de l’effet de luminescence est influencée par la propriété de valeur limite de la variable.

Attention : Pour une valeur limite de la variable au moins, la propriété Invisible doit être active.

Inactive : la visibilité est influencée par les propriétés de l’élément.

Plus de détails dans l’aide en ligne.

VT_R8

GlowEffectVisibilityFrom

Visible de

Disponible uniquement si la propriété Activer est active. Vous devez en outre définir une variable dans la propriété Variable pour la visibilité ; la propriété Visibilité depuis valeur limite doit être inactive.

Définit la valeur à partir de laquelle l’effet de luminescence devient visible.
Minimum : valeur la moins élevée autorisée pour la variable liée dans Variable pour la visibilité.
Maximum : valeur la moins élevée autorisée pour la variable liée dans Variable pour la visibilité.
Par défaut : valeur la plus élevée autorisée pour la variable liée dans Variable pour la visibilité.

Plus de détails dans l’aide en ligne.

VT_R8

GlowEffectVisibilityTo

Visible jusqu'à

Disponible uniquement si la propriété Activer est active. Vous devez en outre définir une variable dans la propriété Variable pour la visibilité ; la propriété Visibilité depuis valeur limite doit être inactive.

Définit la valeur jusqu’à laquelle l’effet de luminescence reste visible.
Minimum : valeur la plus basse autorisée pour la variable liée dans Variable pour la visibilité.
Maximum : valeur la plus élevée autorisée pour la variable liée dans Variable pour la visibilité.
Par défaut : valeur la plus élevée autorisée pour la variable liée dans Variable pour la visibilité.

Plus de détails dans l’aide en ligne.

ZT_VARIABLE_DYN

GlowEffectBlinkVariable

Variable pour le clignotement

Variables dont les paramètres de clignotement de l’effet de luminescence aux valeurs limites doivent être repris. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de variables.

Par défaut : aucune variable liée

Plus de détails dans l’aide en ligne.

ZT_PREVIEW

GlowEffectBlinkVariablePreview

Affichage aperçu clignotement

Affichage de la valeur limite définie pour la variable de clignotement lorsque l’effet de luminescence est actif. Disponible uniquement si l’option Depuis la variable a été configurée pour la propriété Variable pour le clignotement.

Un aperçu des propriétés définies pour la valeur limite est affiché dans le champ. Aucun aperçu n’est affiché pour les matrices de réaction.
Cliquez sur le bouton ... pour ouvrir la boîte de dialogue d’affichage des résultats. Les valeurs limite sont uniquement affichées ; elles ne peuvent pas être modifiées. Les modifications doivent être effectuées directement dans les propriétés de la variable pour Valeurs limite.

Plus de détails dans l’aide en ligne.

VT_BOOL

GlowEffectUseBlinkColor

Clignotement depuis valeur limite

Disponible uniquement si la propriété Activer est active. Vous devez en outre définir une variable dans la propriété Variable pour le clignotement.

Active : Reprend, pour l’effet de luminescence, la couleur de clignotement de la valeur limite active pour la variable définie dans la propriété Couleur de clignotement par la limite. Cette propriété agit indépendamment de la propriété Coloration. En cas de clignotement, l’effet de luminescence ne devient pas invisible, mais reprend les paramètres de l’effet de luminescence actif.

Par défaut : Inactive

Plus de détails dans l’aide en ligne.

VT_BOOL

GlowEffect2ndBlinkStateVisible

2 états de clignotement invisibles

Disponible uniquement si la propriété Activer est active. Vous devez en outre définir une variable dans la propriété Variable pour le clignotement ; la propriété Clignotement depuis valeur limite doit être inactive.

Active : En cas de clignotement, l’effet de luminescence ne bascule pas vers l’effet de luminescence actif, mais devient invisible. Ceci permet de basculer entre l’invisibilité et la couleur de clignotement en cas de dépassement de la valeur limite.

Par défaut : Inactive

Plus de détails dans l’aide en ligne.


Batch recipe editor control

Manuel -> Interfaces de programmation -> Modèles d'objet -> Element -> Element-Dynamic properties -> Batch recipe editor control

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Type

VBA/VSTA Name

Display Name

Description

VT_BOOL

WithTBs

Barres d'outils

Active : Les barres d’outils sont affichées dans l’éditeur de recettes.

Inactive : Les barres d’outils ne sont pas affichées dans l’éditeur de recettes. Ce choix est recommandé si les actions des symboles individuels sont attribuées à des boutons spécifiques.

Par défaut : active

Plus de détails dans l’aide en ligne.

VT_BOOL

WithPanes

Fenêtres ancrables

Active : La liste de fenêtres ancrables est affichée dans l’éditeur de recettes.

Inactive : La liste de fenêtres ancrables n’est pas affichée dans l’éditeur de recettes.

Par défaut : active

Plus de détails dans l’aide en ligne.

VT_BOOL

ShowBorder

Montrer le cadre

Permet d’afficher un cadre autour de l’élément. Les indicateurs des propriétés Style L et Style H sont masqués.

active : le cadre est affiché autour de l’élément correspondant.

(Par défaut) Inactive :

Plus de détails dans l’aide en ligne.

ZT_SCHRIFT

Font

Police

Sélection de la police utilisée pour l’affichage.

Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection. La police de caractères sélectionnée est liée.

Plus de détails dans l’aide en ligne.

VT_BOOL

TranslateText

Traduire le texte affiché
  • Active : le texte devant être affiché est traduit. Si un texte est modifié, la version provisoire est affichée avec la traduction.

Par défaut : Inactive

Plus de détails dans l’aide en ligne.

VT_UI2

StyleL

Style L

Style Windows de l’élément ; utilisation interne uniquement.

Plus de détails dans l’aide en ligne.

VT_UI2

StyleH

Style H

Style Windows de l’élément ; utilisation interne uniquement.

Plus de détails dans l’aide en ligne.

ZT_COLOR

TextColor

Couleur du texte

Couleur du texte de l’élément.

Plus de détails dans l’aide en ligne.

ZT_COLOR

BackColor

Couleur de remplissage

Disponible uniquement si la propriété Transparence est inactive.

Définit la couleur de remplissage de l’élément. Cliquez sur le bouton pour ouvrir la palette de couleurs prédéfinies. Vous pouvez également définir la couleur en saisissant manuellement le code hexadécimal (RVB) dans le champ. La couleur de remplissage peut être modifiée de manière dynamique à l’aide de la propriété Couleur de remplissage du groupe Couleur(s) de remplissage dynamique(s).

Remarque : La couleur du nouvel élément sera la couleur utilisée pour le précédent élément du même type.

Attention : dans la fenêtre Vue globale, les modifications des couleurs dans Editor n’ont aucune incidence dans le Runtime.

Plus de détails dans l’aide en ligne.

VT_BSTR

Legend

Texte

Intitulé de l’élément dans Editor.

Plus de détails dans l’aide en ligne.

VT_BOOL

Tab

Le focus est donné à l'élément

Active : L’élément dynamique peut être actionné à l’aide du clavier.
Inactive : L’élément dynamique n’est pas accessible à l’aide du clavier.
Par défaut : active.

Plus de détails dans l’aide en ligne.

VT_I4

TABOrderH

Position du focus gauche/droite

Définit la position horizontale pour l’utilisation à l’aide du clavier dans le Runtime. La position est définie par l’intermédiaire du menu contextuel et de l’utilisation de la souris dans la fenêtre principale ; elle ne peut pas être modifiée ici.

Plus de détails dans l’aide en ligne.

VT_I4

TABOrderV

Position focus haut / bas

Définit la position verticale pour l’utilisation à l’aide du clavier dans le Runtime. La position est définie par l’intermédiaire du menu contextuel et de l’utilisation de la souris dans la fenêtre principale ; elle ne peut pas être modifiée ici.

Plus de détails dans l’aide en ligne.

ZT_SHORTCUT

ShortCut

Raccourci-clavier

Les raccourcis autorisent l’exécution d’éléments actionnables. Par exemple :

- Exécution d’éléments de contrôle et de fonctions auxquelles un élément est attribué
- Écriture de valeurs prescrites (par ex. pour des interrupteurs)
- Configuration du focus pour certaines fenêtres (par ex. liste des courbes dans le module Extended Trend, ou liste déroulante dans le module RGM)

Cliquez sur le bouton du champ de saisie pour ouvrir la boîte de dialogue de définition des combinaisons de touches. Dans la boîte de dialogue, saisissez directement la combinaison souhaitée.

Plus de détails dans l’aide en ligne.

VT_BOOL

KbdUsage

Synoptique clavier

Disponible uniquement si la propriété Synoptique clavier est active.

Nom du synoptique de clavier lié.
Si aucun synoptique de clavier n’est saisi, le clavier correspondant est appelé dans le Runtime :

  • Variable String (chaîne) : SETSTRINGKBD
  • Variable numérique : SETVALUEKBD
  • Variable binaire : SETBOOLKBD

Remarque : Pour l’option Champ de saisie, aucun clavier n’est appelé si l’option Synoptique clavier est activée. Un synoptique de clavier doit être lié.

Plus de détails dans l’aide en ligne.

ZT_VBAMAKRO

DragDrop

DragDrop

Macro VBA à exécuter lorsque le bouton de la souris est relâché.

Plus de détails dans l’aide en ligne.

ZT_VBAMAKRO

DragOver

DragOver

Macro VBA à exécuter lorsque le curseur est déplacé au-dessus de l’élément pendant que le bouton gauche est enfoncé.

Plus de détails dans l’aide en ligne.

ZT_VBAMAKRO

DragBegin

DragBegin

Macro VBA à exécuter lorsque l’utilisateur commence à faire glisser l’objet.

Plus de détails dans l’aide en ligne.

ZT_STYLE

StyleGroup

Groupe de styles

Affichage et sélection du groupe de styles attribué à l’élément.
Cliquez sur le bouton ... pour ouvrir la boîte de dialogue permettant de sélectionner un groupe de styles.
Si plusieurs éléments sont sélectionnés, elles peuvent être attribuées à un groupe de styles commun.

Remarque : Seules les propriétés compatibles avec l’élément correspondant sont prises en charge.

Plus de détails dans l’aide en ligne.

More...

LnClVariable

LnClVariable

"With this property you have the opportunity to get informations about the variable which is linked as ""line/text color"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""LnClVariable.SymVarName"") 'Return the name of the ""line/text color"" variable
zElement.DynProperties (""LnClVariable.SymVarTagNr"") 'Return the identification of the ""line/text color"" variable"

More...

BkClVariable

BkClVariable

"With this property you have the opportunity to get informations about the variable which is linked as ""background/filling color"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""BkClVariable.SymVarName"") 'Return the name of the ""background/filling color"" variable
zElement.DynProperties (""BkClVariable.SymVarTagNr"") 'Return the identification of the ""background/filling color"" variable"

More...

BkCl2Variable

"BkCl2Variable"

More...

XVar

XVar

"With this property you have the opportunity to get informations about the variable which is linked as ""dynamic x position"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""XVar.SymVarName"") 'Return the name of the ""dynamic x position"" variable
zElement.DynProperties (""XVar.SymVarTagNr"") 'Return the identification of the ""dynamic x position"" variable"

More...

YVar

YVar

"With this property you have the opportunity to get informations about the variable which is linked as ""dynamic y position"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""YVar.SymVarName"") 'Return the name of the ""dynamic y position"" variable
zElement.DynProperties (""YVar.SymVarTagNr"") 'Return the identification of the ""dynamic y position"" variable"

More...

XVarZoom

XVarZoom

"With this property you have the opportunity to get informations about the variable which is linked as ""change width"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""XVarZoom.SymVarName"") 'Return the name of the ""change width"" variable
zElement.DynProperties (""XVarZoom.SymVarTagNr"") 'Return the identification of the ""change width"" variable"

More...

YVarZoom

YVarZoom

"With this property you have the opportunity to get informations about the variable which is linked as ""change height"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""YVarZoom.SymVarName"") 'Return the name of the ""change height"" variable
zElement.DynProperties (""YVarZoom.SymVarName"") 'Return the name of the ""change height"" variable
zElement.DynProperties (""YVarZoom.SymVarTagNr"") 'Return the identification of the ""change height"" variable"

More...

TwistVar

TwistVar

"With this property you have the opportunity to get informations about the variable which is linked as ""rotate"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""TwistVar.SymVarName"") 'Return the name of the ""rotate"" variable
zElement.DynProperties (""TwistVar.SymVarTagNr"") 'Return the identification of the ""rotate"" variable"

More...

VisVariable

VisVariable

"With this property you have the opportunity to get informations about the variable which is linked as ""visibility"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""VisVariable.SymVarName"") 'Return the name of the ""visibility"" variable
zElement.DynProperties (""VisVariable.SymVarTagNr"") 'Return the identification of the ""visibility"" variable"

More...

BlinkVar

BlinkVar

More...

GlowEffectGlowColorVar

GlowEffectGlowColorVar

More...

GlowEffectVisibilityVar

GlowEffectVisibilityVar

More...

GlowEffectBlinkVar

GlowEffectBlinkVar

VT_BSTR

Name

Nom d'élément

Attribuez un nom d’élément.
Il ne doit pas être vide.

Attention : Cette propriété n’est pas disponible aux fins de la commutation de langue.

Remarques concernant les cadrans : Pour les conteneurs de synoptique, spécifiez des noms clairement identifiables pour faciliter la sélection lors de la configuration des appels de synoptique.

Plus de détails dans l’aide en ligne.

VT_UI1

Layer

Niveau de visibilité

Sélectionnez l’un des 16 niveaux de visibilité (0 à 15) dans la liste déroulante. À l’aide de la barre d’outils Niveau de visibilité, vous décidez des niveaux qui doivent être affichés dans Editor. Cette fonction garantit que les synoptiques les plus complexes peuvent être développés de manière simple. Les niveaux peuvent être utilisés immédiatement. Les niveaux n’ont aucune influence sur les informations affichées au premier plan ou en arrière-plan dans le Runtime.
Par défaut : 0.

Plus de détails dans l’aide en ligne.

VT_I4

StartX

Point de départ X [pixels]

Coordonnée Y du coin supérieur gauche du synoptique (en pixels).

Plus de détails dans l’aide en ligne.

VT_I4

EndX

Point final X [pixels]

Coordonnée X du coin inférieur droit du synoptique (en pixels).

Plus de détails dans l’aide en ligne.

VT_I4

StartY

Point de départ Y [pixels]

Coordonnée Y du coin supérieur gauche du synoptique (en pixels).

Plus de détails dans l’aide en ligne.

VT_I4

EndY

Point final Y [pixels]

Coordonnée Y du coin inférieur droit du synoptique (en pixels).

Plus de détails dans l’aide en ligne.

VT_I4

Width

Largeur [pixels]

Largeur des éléments en pixels.

Remarque : disponible uniquement pour les éléments Combinaison multiple, Élément combiné, Bouton et Interrupteur si la valeur Ajusté a été sélectionnée pour la propriété Taille du graphique.

Plus de détails dans l’aide en ligne.

VT_I4

Height

Hauteur [pixels]

Hauteur des éléments en pixels.

Remarque : disponible uniquement pour les éléments Combinaison multiple, Élément combiné, Bouton et Interrupteur si la valeur Ajusté a été sélectionnée pour la propriété Taille du graphique.

Plus de détails dans l’aide en ligne.

VT_I4

Angle

Angle de rotation [°]

Angle libre autour selon lequel doit pivoter l’élément.
Les valeurs positives correspondent à une rotation dans le sens antihoraire, tandis que les valeurs négatives correspondent à une rotation dans le sens horaire. Les valeurs supérieures à 360° sont affichées sous forme d’écart par rapport à 360° (400° correspond à 40°). Seuls les nombres entiers sont autorisés.

Sur les éléments pivotés, les actions suivantes ne sont plus possibles :

  • Miroir
  • Rotation de +/- 90°
  • Redimensionnement à l’aide des touches fléchées

Par défaut : 0

Remarque : Ce paramètre est activé et réinitialisé lors de la configuration pour Windows CE.

Plus de détails dans l’aide en ligne.

VT_I2

ZoomMin

Visible de

Incrément de zoom le plus bas auquel l’élément est visible dans la vue globale.
Par défaut : -1
Une valeur de visibilité avec des incréments de zoom de -1 à -1 signifie que l’élément est affiché, quel que soit l’incrément de zoom sélectionné.

Les niveaux de zoom affichés dans la vue globale peuvent être configurés avec la propriété Apparence graphique -> Généralités runtime -> Pas de zoom pour vue globale.

Attention : Ce niveau de zoom s’applique à tous les types de synoptiques et cadres. Si un niveau de zoom défini est supérieur à 0, l’élément est uniquement affiché dans la vue globale, car les autres types de synoptique sont automatiquement appelés avec le niveau de zoom 0.

Plus de détails dans l’aide en ligne.

VT_I2

ZoomMax

Visible jusqu'à

Incrément de zoom le plus élevé auquel l’élément est visible dans la vue globale.

Par défaut : -1
Une valeur de visibilité avec des incréments de zoom de -1 à -1 signifie que l’élément est affiché, quel que soit l’incrément de zoom sélectionné.

Les niveaux de zoom affichés dans la vue globale peuvent être configurés avec la propriété Apparence graphique -> Généralités runtime -> Pas de zoom pour vue globale.

Attention : Ce niveau de zoom s’applique à tous les types de synoptiques et cadres. Si un niveau de zoom défini est supérieur à 0, l’élément est uniquement affiché dans la vue globale, car les autres types de synoptique sont automatiquement appelés avec le niveau de zoom 0.

Plus de détails dans l’aide en ligne.

VT_BSTR

Stationname

Nom liste d'objets

L’élément est saisi directement dans la liste de stations du synoptique Vue globale, et le texte est saisi ici.

Plus de détails dans l’aide en ligne.

ZT_VARIABLE_DYN

LineColorVariable

Couleur de ligne

Nom des variables dont les couleurs de valeur limite doivent influencer la couleur de ligne/de texte de l’élément. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de variables.

Plus de détails dans l’aide en ligne.

ZT_PREVIEW

LineColorVarPreview

Affichage aperçu couleur

Affichage de la valeur limite pour la propriété Couleur de ligne définie pour la variable. Disponible uniquement si l’option Depuis la variable a été configurée pour la propriété Couleur de ligne.

Un aperçu des propriétés définies pour la valeur limite est affiché dans le champ. Aucun aperçu n’est affiché pour les matrices de réaction.
Cliquez sur le bouton ... pour ouvrir la boîte de dialogue d’affichage des résultats. Les valeurs limite sont uniquement affichées ; elles ne peuvent pas être modifiées. Les modifications doivent être effectuées directement dans les propriétés de la variable pour Valeurs limite.

Plus de détails dans l’aide en ligne.

ZT_VARIABLE_DYN

BackColorVariable

Couleur de remplissage

Nom de la variable dont les couleurs de valeur limite doivent influencer la couleur d’arrière-plan/de remplissage de l’élément.
Ouvre la boîte de dialogue de sélection de variables.

Plus de détails dans l’aide en ligne.

ZT_PREVIEW

BackColorVarPreview

Affichage aperçu couleur

Affichage de la valeur limite pour la propriété Couleur de remplissage définie pour la variable. Disponible uniquement si l’option Depuis la variable a été configurée pour la propriété Couleur de remplissage.

Un aperçu des propriétés définies pour la valeur limite est affiché dans le champ. Aucun aperçu n’est affiché pour les matrices de réaction.
Cliquez sur le bouton ... pour ouvrir la boîte de dialogue d’affichage des résultats. Les valeurs limite sont uniquement affichées ; elles ne peuvent pas être modifiées. Les modifications doivent être effectuées directement dans les propriétés de la variable pour Valeurs limite.

Plus de détails dans l’aide en ligne.

VT_UI1

HorizontalOrigin

Horizontal

Point de référence horizontal de l’événement. Les valeurs possibles sont : gauche, centré, droite.
Ce point est utilisé en tant que base de calcul de l’angle de départ de la rotation (statique et dynamique) et pour le changement dynamique de taille.

Par défaut : À gauche

Plus de détails dans l’aide en ligne.

VT_UI1

VerticalOrigin

Vertical

Point de référence vertical de l’événement. Les valeurs possibles sont : haut, centré, bas.
Ce point est utilisé en tant que base de calcul de l’angle de départ de la rotation (statique et dynamique) et pour le changement dynamique de taille.

Par défaut : En haut

Plus de détails dans l’aide en ligne.

VT_UI4

VisibilityType

Visibilité

Sélection depuis laquelle la visibilité d’un élément est déterminée :

  • Depuis une variable
  • Du verrrouillage

Par défaut : Depuis une variable

Plus de détails dans l’aide en ligne.

ZT_VARIABLE_DYN

VisibilityVariable

Variable

Disponible uniquement si l’option Depuis la variable a été configurée pour la propriété Visibilité.

Nom de la variable dont la valeur contrôle la visibilité de l’élément. La visibilité est soit reprise des propriétés de valeur limite de ces variables, soit définie par la plage de valeurs définie dans les propriétés de et À.
Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de variables. Vous pouvez également saisir manuellement le nom dans le champ de texte.
L'élément reste visible tant qu’aucune variable n’est liée.

Plus de détails dans l’aide en ligne.

ZT_PREVIEW

VisVarPreview

Affichage aperçu visibilité

Affichage des valeurs limite pour la visibilité définies pour la variable. Disponible uniquement si l’option Depuis la variable a été configurée pour la propriété Variable dans le groupe Visibilité.

Un aperçu des propriétés définies pour la valeur limite est affiché dans le champ. Aucun aperçu n’est affiché pour les matrices de réaction.
Cliquez sur le bouton ... pour ouvrir la boîte de dialogue d’affichage des résultats. Les valeurs limite sont uniquement affichées ; elles ne peuvent pas être modifiées. Les modifications doivent être effectuées directement dans les propriétés de la variable pour Valeurs limite.

Plus de détails dans l’aide en ligne.

VT_BOOL

VisibilityFromLimit

A partir des valeurs limites

Uniquement disponible après la sélection d’une variable :

  • Active : La visibilité de l’élément est influencée par la propriété de valeur limite de la variable.

    Attention : La propriété Invisible doit être active pour au moins une valeur limite de la variable.

  • Inactive : la visibilité est influencée par les propriétés de l’élément.

Par défaut : active

Plus de détails dans l’aide en ligne.

VT_R8

VisibilityFrom

de

Disponible uniquement après la sélection d’une variable, si la visibilité n’a pas été reprise par la valeur limite :

Valeur minimum de la variable à laquelle l’élément est visible.

  • Minimum : valeur minimum possible de la variable liée.
  • Maximum : valeur maximum possible de la variable liée.

Par défaut : valeur minimum possible de la variable liée.

Plus de détails dans l’aide en ligne.

VT_R8

VisibilityTo

À

Disponible uniquement après la sélection d’une variable, si la visibilité n’a pas été reprise par la valeur limite :

Valeur maximale de la variable à laquelle l’élément est visible.

  • Minimum : valeur minimum possible de la variable liée.
  • Maximum : valeur maximum possible de la variable liée.

Par défaut : valeur maximum possible de la variable liée.

Plus de détails dans l’aide en ligne.

VT_UI4

Interlocking

Verrouillage

Disponible uniquement si l’option Depuis le verrouillage est sélectionnée pour la propriété Visibilité.

Nom du verrouillage dont la valeur contrôle la visibilité de l’élément. Sélectionnez dans la liste déroulante. Celle-ci contient tous les verrouillages existants et utilisables. L’élément est toujours visible si aucun verrouillage n’est lié.

Plus de détails dans l’aide en ligne.

VT_BSTR

InterlockingName

InterlockingName

Description

VT_BOOL

VisibleWhenInterlocked

Visible si verrouillé

Contrôle la visibilité de l’élément lorsque le verrouillage est sélectionné :

  • Active : L’élément est visible s’il est verrouillé.
  • Inactive : L’élément est visible s’il n’est pas verrouillé.

Par défaut : inactive

Plus de détails dans l’aide en ligne.

ZT_VARIABLE_DYN

BlinkVariable

Affichage aperçu clignotement

Affichage des valeurs limite pour le clignotement définies pour la variable. Disponible uniquement si l’option Depuis la variable a été configurée pour la propriété Prendre le clignotement de la limite.

Un aperçu des propriétés définies pour la valeur limite est affiché dans le champ. Aucun aperçu n’est affiché pour les matrices de réaction.
Cliquez sur le bouton ... pour ouvrir la boîte de dialogue d’affichage des résultats. Les valeurs limite sont uniquement affichées ; elles ne peuvent pas être modifiées. Les modifications doivent être effectuées directement dans les propriétés de la variable pour Valeurs limite.

Plus de détails dans l’aide en ligne.

ZT_PREVIEW

BlinkVarPreview

Affichage aperçu clignotement

Affichage des valeurs limite pour le clignotement définies pour la variable. Disponible uniquement si l’option Depuis la variable a été configurée pour la propriété Prendre le clignotement de la limite.

Un aperçu des propriétés définies pour la valeur limite est affiché dans le champ. Aucun aperçu n’est affiché pour les matrices de réaction.
Cliquez sur le bouton ... pour ouvrir la boîte de dialogue d’affichage des résultats. Les valeurs limite sont uniquement affichées ; elles ne peuvent pas être modifiées. Les modifications doivent être effectuées directement dans les propriétés de la variable pour Valeurs limite.

Plus de détails dans l’aide en ligne.

VT_BOOL

UseBlinkColor

Couleur de clignotement par la limite

Active : Reprend la couleur d’arrière-plan du clignotement défini pour la valeur limite active de la variable pour Prendre le clignotement de la limite. Durant le clignotement, l’élément ne devient pas invisible, mais reprend la couleur d’arrière-plan active.

Par défaut : Inactive

Remarque : la couleur n’est pas prise en compte si la couleur d’arrière-plan Transparence est configurée.

Plus de détails dans l’aide en ligne.

ZT_VARIABLE_DYN

XVariable

Variable

Nom de la variable utilisée pour le déplacement horizontal de l’élément.
Ouvre la boîte de dialogue de sélection de variables.

Plus de détails dans l’aide en ligne.

VT_R8

XVarMin

Valeur min de la variable

Valeur minimale de la variable utilisée pour le déplacement horizontal de l’élément.

Plus de détails dans l’aide en ligne.

VT_R8

XVarMax

Valeur max de la variable

Valeur maximale de la variable utilisée pour le déplacement horizontal de l’élément.

Plus de détails dans l’aide en ligne.

VT_I4

XViewMin

Mouvement min [pixels]

Position horizontale de l’élément pour la valeur minimale de la variable (en pixels).

Plus de détails dans l’aide en ligne.

VT_I4

XViewMax

Mouvement max [pixels]

Position horizontale de l’élément pour la valeur minimale de la variable (en pixels).

Plus de détails dans l’aide en ligne.

ZT_VARIABLE_DYN

YVariable

Variable

Nom de la variable utilisée pour le déplacement vertical de l’élément.
Ouvre la boîte de dialogue de sélection de variables.

Plus de détails dans l’aide en ligne.

VT_R8

YVarMin

Valeur min de la variable

Valeur minimale de la variable utilisée pour le déplacement vertical de l’élément.

Plus de détails dans l’aide en ligne.

VT_R8

YVarMax

Valeur max de la variable

Valeur maximale de la variable utilisée pour le déplacement vertical de l’élément.

Plus de détails dans l’aide en ligne.

VT_I4

YViewMin

Mouvement min [pixels]

Position verticale de l’élément pour la valeur minimale de la variable (en pixels).

Plus de détails dans l’aide en ligne.

VT_I4

YViewMax

Mouvement max [pixels]

Position verticale de l’élément pour la valeur maximale de la variable (en pixels).

Plus de détails dans l’aide en ligne.

ZT_VARIABLE_DYN

XZoomVariable

Variable

Nom de la variable utilisée pour l’agrandissement de la largeur de l’élément.
Ouvre la boîte de dialogue de sélection de variables.

Plus de détails dans l’aide en ligne.

VT_R8

XZoomVarMin

Valeur min de la variable

Valeur minimale de la variable utilisée pour effectuer un zoom à la largeur de l’élément.

Plus de détails dans l’aide en ligne.

VT_R8

XZoomVarMax

Valeur max de la variable

Valeur maximale de la variable utilisée pour effectuer un zoom sur la largeur de l’élément.

Plus de détails dans l’aide en ligne.

VT_I4

XZoomViewMin

Largeur min [%]

Facteur de zoom correspondant à la largeur de l’élément pour la valeur minimale de la variable (en pixels).

Plus de détails dans l’aide en ligne.

VT_I4

XZoomViewMax

Largeur max [%]

Facteur de zoom correspondant à la largeur de l’élément pour la valeur maximale de la variable (en pixels).

Plus de détails dans l’aide en ligne.

ZT_VARIABLE_DYN

YZoomVariable

Variable

Nom de la variable utilisée pour l’agrandissement de la hauteur de l’élément.
Ouvre la boîte de dialogue de sélection de variables.

Plus de détails dans l’aide en ligne.

VT_R8

YZoomVarMin

Valeur min de la variable

Valeur minimum de la variable utilisée pour effectuer un zoom sur la hauteur de l’élément.

Plus de détails dans l’aide en ligne.

VT_R8

YZoomVarMax

Valeur max de la variable

Valeur maximum de la variable utilisée pour effectuer un zoom sur la hauteur de l’élément.

Plus de détails dans l’aide en ligne.

VT_I4

YZoomViewMin

Hauteur min [%]

Facteur de zoom correspondant à la hauteur de l’élément pour la valeur minimum de la variable (en %).

Plus de détails dans l’aide en ligne.

VT_I4

YZoomViewMax

Hauteur max [%]

Facteur de zoom correspondant à la hauteur de l’élément pour la valeur maximale de la variable (en pixels).

Plus de détails dans l’aide en ligne.

ZT_VARIABLE_DYN

TwistVariable

Variable

Nom de la variable utilisée pour la rotation de l’élément.

Plus de détails dans l’aide en ligne.

VT_R8

TwistVarMin

Valeur min de la variable

Valeur minimum de la variable utilisée pour la rotation de l’élément.

Plus de détails dans l’aide en ligne.

VT_R8

TwistVarMax

Valeur max de la variable

Valeur maximale de la variable utilisée pour la rotation de l’élément.

Plus de détails dans l’aide en ligne.

VT_I4

TwistViewMin

Rotation min [°]

Angle de rotation de l’élément pour la valeur minimum de la variable (en °).

Plus de détails dans l’aide en ligne.

VT_I4

TwistViewMax

Rotation max [°]

Angle de rotation de l’élément pour la valeur maximum de la variable (en °).

Plus de détails dans l’aide en ligne.

ZT_STYLE

ShadowEffectStyle

Style effet cadres/ombres

Affichage et sélection du style de cadre et d’ombre attribué à l’élément.

Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de style.
Si plusieurs éléments ont été sélectionnés, ils peuvent être attribués à un style commun.

Remarque : Seules les propriétés compatibles avec l’élément correspondant sont prises en charge.

Plus de détails dans l’aide en ligne.

VT_BOOL

EnablePunchFrame

Afficher le cadre

A frame around the element can be displayed.
Default: inactive.

ZT_STYLE

GlowEffectStyle

Style effet de rayonnement

Affichage et sélection du style des effets de luminescence attribués à l’élément.

Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de style.
Si plusieurs éléments ont été sélectionnés, ils peuvent être attribués à un style commun.

Remarque : Seules les propriétés compatibles avec l’élément correspondant sont prises en charge.

Plus de détails dans l’aide en ligne.

VT_BOOL

GlowEffectEvent

Actif seulement si cliqué

Disponible uniquement si la propriété Activer est active et l’élément est un bouton.

Active : l’effet de luminescence est uniquement affiché lorsque l’utilisateur clique sur le bouton. Cliquer sur le bouton permet de modifier la couleur, le clignotement ou l’invisibilité de l’effet de luminescence.

Par défaut : Inactive

Plus de détails dans l’aide en ligne.

ZT_VARIABLE_DYN

GlowEffectGlowColorVariable

Variable pour la couleur

Disponible uniquement si la propriété Activer est active. La propriété Coloration doit être activée.

Nom de la variable dont la couleur aux valeurs limites doit influencer la couleur de l’effet de luminescence pour l’élément. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de variables. Vous pouvez également saisir le nom manuellement dans le champ de texte. Si aucune variable n’est liée, la couleur définie dans la propriété Couleur est utilisée.

Par défaut : aucune variable liée

Plus de détails dans l’aide en ligne.

ZT_PREVIEW

GlowEffectGlowColorVariablePreview

Affichage aperçu couleur

Affichage de la valeur limite définie pour la variable de couleur lorsque l’effet de luminescence est actif. Disponible uniquement si l’option Depuis la variable a été configurée pour la propriété Variable pour la couleur.

Un aperçu des propriétés définies pour la valeur limite est affiché dans le champ. Aucun aperçu n’est affiché pour les matrices de réaction.
Cliquez sur le bouton ... pour ouvrir la boîte de dialogue d’affichage des résultats. Les valeurs limite sont uniquement affichées ; elles ne peuvent pas être modifiées. Les modifications doivent être effectuées directement dans les propriétés de la variable pour Valeurs limite.

Plus de détails dans l’aide en ligne.

ZT_VARIABLE_DYN

GlowEffectVisibilityVariable

Variable pour la visibilité

Disponible uniquement si la propriété Activer est active.

Nom de la variable dont la valeur influence la visibilité de l’effet de luminescence. La visibilité est soit reprise des propriétés de valeur limite de cette variable (propriété Visibilité depuis valeur limite active), soit définie par la plage de valeurs définie dans les propriétés Visible de et Visible jusqu'à. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de variables. Vous pouvez également saisir le nom manuellement dans le champ de texte.

Remarque : si aucune variable n’est liée, l’effet de luminescence est toujours visible.

Par défaut : aucune variable liée

Plus de détails dans l’aide en ligne.

ZT_PREVIEW

GlowEffectVisibilityVariablePreview

Affichage aperçu visibilité

Affichage de la valeur limite définie pour la variable de visibilité lorsque l’effet de luminescence est actif. Disponible uniquement si l’option Depuis la variable a été configurée pour la propriété Variable pour la visibilité.

Un aperçu des propriétés définies pour la valeur limite est affiché dans le champ. Aucun aperçu n’est affiché pour les matrices de réaction.
Cliquez sur le bouton ... pour ouvrir la boîte de dialogue d’affichage des résultats. Les valeurs limite sont uniquement affichées ; elles ne peuvent pas être modifiées. Les modifications doivent être effectuées directement dans les propriétés de la variable pour Valeurs limite.

Plus de détails dans l’aide en ligne.

VT_BOOL

GlowEffectVisibilityFromLimit

Visibilité depuis valeur limite

Disponible uniquement si la propriété Activer est active. Vous devez en outre définir une variable dans la propriété Variable pour la visibilité.

Active : La visibilité de l’effet de luminescence est influencée par la propriété de valeur limite de la variable.

Attention : Pour une valeur limite de la variable au moins, la propriété Invisible doit être active.

Inactive : la visibilité est influencée par les propriétés de l’élément.

Plus de détails dans l’aide en ligne.

VT_R8

GlowEffectVisibilityFrom

Visible de

Disponible uniquement si la propriété Activer est active. Vous devez en outre définir une variable dans la propriété Variable pour la visibilité ; la propriété Visibilité depuis valeur limite doit être inactive.

Définit la valeur à partir de laquelle l’effet de luminescence devient visible.
Minimum : valeur la moins élevée autorisée pour la variable liée dans Variable pour la visibilité.
Maximum : valeur la moins élevée autorisée pour la variable liée dans Variable pour la visibilité.
Par défaut : valeur la plus élevée autorisée pour la variable liée dans Variable pour la visibilité.

Plus de détails dans l’aide en ligne.

VT_R8

GlowEffectVisibilityTo

Visible jusqu'à

Disponible uniquement si la propriété Activer est active. Vous devez en outre définir une variable dans la propriété Variable pour la visibilité ; la propriété Visibilité depuis valeur limite doit être inactive.

Définit la valeur jusqu’à laquelle l’effet de luminescence reste visible.
Minimum : valeur la plus basse autorisée pour la variable liée dans Variable pour la visibilité.
Maximum : valeur la plus élevée autorisée pour la variable liée dans Variable pour la visibilité.
Par défaut : valeur la plus élevée autorisée pour la variable liée dans Variable pour la visibilité.

Plus de détails dans l’aide en ligne.

ZT_VARIABLE_DYN

GlowEffectBlinkVariable

Variable pour le clignotement

Variables dont les paramètres de clignotement de l’effet de luminescence aux valeurs limites doivent être repris. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de variables.

Par défaut : aucune variable liée

Plus de détails dans l’aide en ligne.

ZT_PREVIEW

GlowEffectBlinkVariablePreview

Affichage aperçu clignotement

Affichage de la valeur limite définie pour la variable de clignotement lorsque l’effet de luminescence est actif. Disponible uniquement si l’option Depuis la variable a été configurée pour la propriété Variable pour le clignotement.

Un aperçu des propriétés définies pour la valeur limite est affiché dans le champ. Aucun aperçu n’est affiché pour les matrices de réaction.
Cliquez sur le bouton ... pour ouvrir la boîte de dialogue d’affichage des résultats. Les valeurs limite sont uniquement affichées ; elles ne peuvent pas être modifiées. Les modifications doivent être effectuées directement dans les propriétés de la variable pour Valeurs limite.

Plus de détails dans l’aide en ligne.

VT_BOOL

GlowEffectUseBlinkColor

Clignotement depuis valeur limite

Disponible uniquement si la propriété Activer est active. Vous devez en outre définir une variable dans la propriété Variable pour le clignotement.

Active : Reprend, pour l’effet de luminescence, la couleur de clignotement de la valeur limite active pour la variable définie dans la propriété Couleur de clignotement par la limite. Cette propriété agit indépendamment de la propriété Coloration. En cas de clignotement, l’effet de luminescence ne devient pas invisible, mais reprend les paramètres de l’effet de luminescence actif.

Par défaut : Inactive

Plus de détails dans l’aide en ligne.

VT_BOOL

GlowEffect2ndBlinkStateVisible

2 états de clignotement invisibles

Disponible uniquement si la propriété Activer est active. Vous devez en outre définir une variable dans la propriété Variable pour le clignotement ; la propriété Clignotement depuis valeur limite doit être inactive.

Active : En cas de clignotement, l’effet de luminescence ne bascule pas vers l’effet de luminescence actif, mais devient invisible. Ceci permet de basculer entre l’invisibilité et la couleur de clignotement en cas de dépassement de la valeur limite.

Par défaut : Inactive

Plus de détails dans l’aide en ligne.


MDI element

Manuel -> Interfaces de programmation -> Modèles d'objet -> Element -> Element-Dynamic properties -> MDI element

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Type

VBA/VSTA Name

Display Name

Description

ZT_SCHRIFT

Font

Police

Sélection de la police utilisée pour l’affichage.

Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection. La police de caractères sélectionnée est liée.

Plus de détails dans l’aide en ligne.

VT_BOOL

TranslateText

Traduire le texte affiché
  • Active : le texte devant être affiché est traduit. Si un texte est modifié, la version provisoire est affichée avec la traduction.

Par défaut : Inactive

Plus de détails dans l’aide en ligne.

VT_UI2

StyleL

Style L

Style Windows de l’élément ; utilisation interne uniquement.

Plus de détails dans l’aide en ligne.

VT_UI2

StyleH

Style H

Style Windows de l’élément ; utilisation interne uniquement.

Plus de détails dans l’aide en ligne.

ZT_COLOR

TextColor

Couleur du texte

Couleur du texte de l’élément.

Plus de détails dans l’aide en ligne.

ZT_COLOR

BackColor

Couleur de remplissage

Disponible uniquement si la propriété Transparence est inactive.

Définit la couleur de remplissage de l’élément. Cliquez sur le bouton pour ouvrir la palette de couleurs prédéfinies. Vous pouvez également définir la couleur en saisissant manuellement le code hexadécimal (RVB) dans le champ. La couleur de remplissage peut être modifiée de manière dynamique à l’aide de la propriété Couleur de remplissage du groupe Couleur(s) de remplissage dynamique(s).

Remarque : La couleur du nouvel élément sera la couleur utilisée pour le précédent élément du même type.

Attention : dans la fenêtre Vue globale, les modifications des couleurs dans Editor n’ont aucune incidence dans le Runtime.

Plus de détails dans l’aide en ligne.

VT_BSTR

Legend

Texte

Intitulé de l’élément dans Editor.

Plus de détails dans l’aide en ligne.

VT_BOOL

Tab

Le focus est donné à l'élément

Active : L’élément dynamique peut être actionné à l’aide du clavier.
Inactive : L’élément dynamique n’est pas accessible à l’aide du clavier.
Par défaut : active.

Plus de détails dans l’aide en ligne.

VT_I4

TABOrderH

Position du focus gauche/droite

Définit la position horizontale pour l’utilisation à l’aide du clavier dans le Runtime. La position est définie par l’intermédiaire du menu contextuel et de l’utilisation de la souris dans la fenêtre principale ; elle ne peut pas être modifiée ici.

Plus de détails dans l’aide en ligne.

VT_I4

TABOrderV

Position focus haut / bas

Définit la position verticale pour l’utilisation à l’aide du clavier dans le Runtime. La position est définie par l’intermédiaire du menu contextuel et de l’utilisation de la souris dans la fenêtre principale ; elle ne peut pas être modifiée ici.

Plus de détails dans l’aide en ligne.

ZT_SHORTCUT

ShortCut

Raccourci-clavier

Les raccourcis autorisent l’exécution d’éléments actionnables. Par exemple :

- Exécution d’éléments de contrôle et de fonctions auxquelles un élément est attribué
- Écriture de valeurs prescrites (par ex. pour des interrupteurs)
- Configuration du focus pour certaines fenêtres (par ex. liste des courbes dans le module Extended Trend, ou liste déroulante dans le module RGM)

Cliquez sur le bouton du champ de saisie pour ouvrir la boîte de dialogue de définition des combinaisons de touches. Dans la boîte de dialogue, saisissez directement la combinaison souhaitée.

Plus de détails dans l’aide en ligne.

VT_BOOL

KbdUsage

Synoptique clavier

Disponible uniquement si la propriété Synoptique clavier est active.

Nom du synoptique de clavier lié.
Si aucun synoptique de clavier n’est saisi, le clavier correspondant est appelé dans le Runtime :

  • Variable String (chaîne) : SETSTRINGKBD
  • Variable numérique : SETVALUEKBD
  • Variable binaire : SETBOOLKBD

Remarque : Pour l’option Champ de saisie, aucun clavier n’est appelé si l’option Synoptique clavier est activée. Un synoptique de clavier doit être lié.

Plus de détails dans l’aide en ligne.

ZT_VBAMAKRO

DragDrop

DragDrop

Macro VBA à exécuter lorsque le bouton de la souris est relâché.

Plus de détails dans l’aide en ligne.

ZT_VBAMAKRO

DragOver

DragOver

Macro VBA à exécuter lorsque le curseur est déplacé au-dessus de l’élément pendant que le bouton gauche est enfoncé.

Plus de détails dans l’aide en ligne.

ZT_VBAMAKRO

DragBegin

DragBegin

Macro VBA à exécuter lorsque l’utilisateur commence à faire glisser l’objet.

Plus de détails dans l’aide en ligne.

More...

LnClVariable

LnClVariable

"With this property you have the opportunity to get informations about the variable which is linked as ""line/text color"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""LnClVariable.SymVarName"") 'Return the name of the ""line/text color"" variable
zElement.DynProperties (""LnClVariable.SymVarTagNr"") 'Return the identification of the ""line/text color"" variable"

More...

BkClVariable

BkClVariable

"With this property you have the opportunity to get informations about the variable which is linked as ""background/filling color"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""BkClVariable.SymVarName"") 'Return the name of the ""background/filling color"" variable
zElement.DynProperties (""BkClVariable.SymVarTagNr"") 'Return the identification of the ""background/filling color"" variable"

More...

BkCl2Variable

"BkCl2Variable"

More...

XVar

XVar

"With this property you have the opportunity to get informations about the variable which is linked as ""dynamic x position"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""XVar.SymVarName"") 'Return the name of the ""dynamic x position"" variable
zElement.DynProperties (""XVar.SymVarTagNr"") 'Return the identification of the ""dynamic x position"" variable"

More...

YVar

YVar

"With this property you have the opportunity to get informations about the variable which is linked as ""dynamic y position"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""YVar.SymVarName"") 'Return the name of the ""dynamic y position"" variable
zElement.DynProperties (""YVar.SymVarTagNr"") 'Return the identification of the ""dynamic y position"" variable"

More...

XVarZoom

XVarZoom

"With this property you have the opportunity to get informations about the variable which is linked as ""change width"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""XVarZoom.SymVarName"") 'Return the name of the ""change width"" variable
zElement.DynProperties (""XVarZoom.SymVarTagNr"") 'Return the identification of the ""change width"" variable"

More...

YVarZoom

YVarZoom

"With this property you have the opportunity to get informations about the variable which is linked as ""change height"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""YVarZoom.SymVarName"") 'Return the name of the ""change height"" variable
zElement.DynProperties (""YVarZoom.SymVarName"") 'Return the name of the ""change height"" variable
zElement.DynProperties (""YVarZoom.SymVarTagNr"") 'Return the identification of the ""change height"" variable"

More...

TwistVar

TwistVar

"With this property you have the opportunity to get informations about the variable which is linked as ""rotate"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""TwistVar.SymVarName"") 'Return the name of the ""rotate"" variable
zElement.DynProperties (""TwistVar.SymVarTagNr"") 'Return the identification of the ""rotate"" variable"

More...

VisVariable

VisVariable

"With this property you have the opportunity to get informations about the variable which is linked as ""visibility"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""VisVariable.SymVarName"") 'Return the name of the ""visibility"" variable
zElement.DynProperties (""VisVariable.SymVarTagNr"") 'Return the identification of the ""visibility"" variable"

More...

BlinkVar

BlinkVar

More...

GlowEffectGlowColorVar

GlowEffectGlowColorVar

More...

GlowEffectVisibilityVar

GlowEffectVisibilityVar

More...

GlowEffectBlinkVar

GlowEffectBlinkVar

VT_BSTR

Name

Nom d'élément

Attribuez un nom d’élément.
Il ne doit pas être vide.

Attention : Cette propriété n’est pas disponible aux fins de la commutation de langue.

Remarques concernant les cadrans : Pour les conteneurs de synoptique, spécifiez des noms clairement identifiables pour faciliter la sélection lors de la configuration des appels de synoptique.

Plus de détails dans l’aide en ligne.

VT_UI1

Layer

Niveau de visibilité

Sélectionnez l’un des 16 niveaux de visibilité (0 à 15) dans la liste déroulante. À l’aide de la barre d’outils Niveau de visibilité, vous décidez des niveaux qui doivent être affichés dans Editor. Cette fonction garantit que les synoptiques les plus complexes peuvent être développés de manière simple. Les niveaux peuvent être utilisés immédiatement. Les niveaux n’ont aucune influence sur les informations affichées au premier plan ou en arrière-plan dans le Runtime.
Par défaut : 0.

Plus de détails dans l’aide en ligne.

VT_I4

StartX

Point de départ X [pixels]

Coordonnée Y du coin supérieur gauche du synoptique (en pixels).

Plus de détails dans l’aide en ligne.

VT_I4

EndX

Point final X [pixels]

Coordonnée X du coin inférieur droit du synoptique (en pixels).

Plus de détails dans l’aide en ligne.

VT_I4

StartY

Point de départ Y [pixels]

Coordonnée Y du coin supérieur gauche du synoptique (en pixels).

Plus de détails dans l’aide en ligne.

VT_I4

EndY

Point final Y [pixels]

Coordonnée Y du coin inférieur droit du synoptique (en pixels).

Plus de détails dans l’aide en ligne.

VT_I4

Width

Largeur [pixels]

Largeur des éléments en pixels.

Remarque : disponible uniquement pour les éléments Combinaison multiple, Élément combiné, Bouton et Interrupteur si la valeur Ajusté a été sélectionnée pour la propriété Taille du graphique.

Plus de détails dans l’aide en ligne.

VT_I4

Height

Hauteur [pixels]

Hauteur des éléments en pixels.

Remarque : disponible uniquement pour les éléments Combinaison multiple, Élément combiné, Bouton et Interrupteur si la valeur Ajusté a été sélectionnée pour la propriété Taille du graphique.

Plus de détails dans l’aide en ligne.

VT_I2

ZoomMin

Visible de

Incrément de zoom le plus bas auquel l’élément est visible dans la vue globale.
Par défaut : -1
Une valeur de visibilité avec des incréments de zoom de -1 à -1 signifie que l’élément est affiché, quel que soit l’incrément de zoom sélectionné.

Les niveaux de zoom affichés dans la vue globale peuvent être configurés avec la propriété Apparence graphique -> Généralités runtime -> Pas de zoom pour vue globale.

Attention : Ce niveau de zoom s’applique à tous les types de synoptiques et cadres. Si un niveau de zoom défini est supérieur à 0, l’élément est uniquement affiché dans la vue globale, car les autres types de synoptique sont automatiquement appelés avec le niveau de zoom 0.

Plus de détails dans l’aide en ligne.

VT_I2

ZoomMax

Visible jusqu'à

Incrément de zoom le plus élevé auquel l’élément est visible dans la vue globale.

Par défaut : -1
Une valeur de visibilité avec des incréments de zoom de -1 à -1 signifie que l’élément est affiché, quel que soit l’incrément de zoom sélectionné.

Les niveaux de zoom affichés dans la vue globale peuvent être configurés avec la propriété Apparence graphique -> Généralités runtime -> Pas de zoom pour vue globale.

Attention : Ce niveau de zoom s’applique à tous les types de synoptiques et cadres. Si un niveau de zoom défini est supérieur à 0, l’élément est uniquement affiché dans la vue globale, car les autres types de synoptique sont automatiquement appelés avec le niveau de zoom 0.

Plus de détails dans l’aide en ligne.

VT_BSTR

Stationname

Nom liste d'objets

L’élément est saisi directement dans la liste de stations du synoptique Vue globale, et le texte est saisi ici.

Plus de détails dans l’aide en ligne.

ZT_VARIABLE_DYN

LineColorVariable

Couleur de ligne

Nom des variables dont les couleurs de valeur limite doivent influencer la couleur de ligne/de texte de l’élément. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de variables.

Plus de détails dans l’aide en ligne.

ZT_PREVIEW

LineColorVarPreview

Affichage aperçu couleur

Affichage de la valeur limite pour la propriété Couleur de ligne définie pour la variable. Disponible uniquement si l’option Depuis la variable a été configurée pour la propriété Couleur de ligne.

Un aperçu des propriétés définies pour la valeur limite est affiché dans le champ. Aucun aperçu n’est affiché pour les matrices de réaction.
Cliquez sur le bouton ... pour ouvrir la boîte de dialogue d’affichage des résultats. Les valeurs limite sont uniquement affichées ; elles ne peuvent pas être modifiées. Les modifications doivent être effectuées directement dans les propriétés de la variable pour Valeurs limite.

Plus de détails dans l’aide en ligne.

ZT_VARIABLE_DYN

BackColorVariable

Couleur de remplissage

Nom de la variable dont les couleurs de valeur limite doivent influencer la couleur d’arrière-plan/de remplissage de l’élément.
Ouvre la boîte de dialogue de sélection de variables.

Plus de détails dans l’aide en ligne.

ZT_PREVIEW

BackColorVarPreview

Affichage aperçu couleur

Affichage de la valeur limite pour la propriété Couleur de remplissage définie pour la variable. Disponible uniquement si l’option Depuis la variable a été configurée pour la propriété Couleur de remplissage.

Un aperçu des propriétés définies pour la valeur limite est affiché dans le champ. Aucun aperçu n’est affiché pour les matrices de réaction.
Cliquez sur le bouton ... pour ouvrir la boîte de dialogue d’affichage des résultats. Les valeurs limite sont uniquement affichées ; elles ne peuvent pas être modifiées. Les modifications doivent être effectuées directement dans les propriétés de la variable pour Valeurs limite.

Plus de détails dans l’aide en ligne.

VT_UI1

HorizontalOrigin

Horizontal

Point de référence horizontal de l’événement. Les valeurs possibles sont : gauche, centré, droite.
Ce point est utilisé en tant que base de calcul de l’angle de départ de la rotation (statique et dynamique) et pour le changement dynamique de taille.

Par défaut : À gauche

Plus de détails dans l’aide en ligne.

VT_UI1

VerticalOrigin

Vertical

Point de référence vertical de l’événement. Les valeurs possibles sont : haut, centré, bas.
Ce point est utilisé en tant que base de calcul de l’angle de départ de la rotation (statique et dynamique) et pour le changement dynamique de taille.

Par défaut : En haut

Plus de détails dans l’aide en ligne.

VT_UI4

VisibilityType

Visibilité

Sélection depuis laquelle la visibilité d’un élément est déterminée :

  • Depuis une variable
  • Du verrrouillage

Par défaut : Depuis une variable

Plus de détails dans l’aide en ligne.

ZT_VARIABLE_DYN

VisibilityVariable

Variable

Disponible uniquement si l’option Depuis la variable a été configurée pour la propriété Visibilité.

Nom de la variable dont la valeur contrôle la visibilité de l’élément. La visibilité est soit reprise des propriétés de valeur limite de ces variables, soit définie par la plage de valeurs définie dans les propriétés de et À.
Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de variables. Vous pouvez également saisir manuellement le nom dans le champ de texte.
L'élément reste visible tant qu’aucune variable n’est liée.

Plus de détails dans l’aide en ligne.

ZT_PREVIEW

VisVarPreview

Affichage aperçu visibilité

Affichage des valeurs limite pour la visibilité définies pour la variable. Disponible uniquement si l’option Depuis la variable a été configurée pour la propriété Variable dans le groupe Visibilité.

Un aperçu des propriétés définies pour la valeur limite est affiché dans le champ. Aucun aperçu n’est affiché pour les matrices de réaction.
Cliquez sur le bouton ... pour ouvrir la boîte de dialogue d’affichage des résultats. Les valeurs limite sont uniquement affichées ; elles ne peuvent pas être modifiées. Les modifications doivent être effectuées directement dans les propriétés de la variable pour Valeurs limite.

Plus de détails dans l’aide en ligne.

VT_BOOL

VisibilityFromLimit

A partir des valeurs limites

Uniquement disponible après la sélection d’une variable :

  • Active : La visibilité de l’élément est influencée par la propriété de valeur limite de la variable.

    Attention : La propriété Invisible doit être active pour au moins une valeur limite de la variable.

  • Inactive : la visibilité est influencée par les propriétés de l’élément.

Par défaut : active

Plus de détails dans l’aide en ligne.

VT_R8

VisibilityFrom

de

Disponible uniquement après la sélection d’une variable, si la visibilité n’a pas été reprise par la valeur limite :

Valeur minimum de la variable à laquelle l’élément est visible.

  • Minimum : valeur minimum possible de la variable liée.
  • Maximum : valeur maximum possible de la variable liée.

Par défaut : valeur minimum possible de la variable liée.

Plus de détails dans l’aide en ligne.

VT_R8

VisibilityTo

À

Disponible uniquement après la sélection d’une variable, si la visibilité n’a pas été reprise par la valeur limite :

Valeur maximale de la variable à laquelle l’élément est visible.

  • Minimum : valeur minimum possible de la variable liée.
  • Maximum : valeur maximum possible de la variable liée.

Par défaut : valeur maximum possible de la variable liée.

Plus de détails dans l’aide en ligne.

VT_UI4

Interlocking

Verrouillage

Disponible uniquement si l’option Depuis le verrouillage est sélectionnée pour la propriété Visibilité.

Nom du verrouillage dont la valeur contrôle la visibilité de l’élément. Sélectionnez dans la liste déroulante. Celle-ci contient tous les verrouillages existants et utilisables. L’élément est toujours visible si aucun verrouillage n’est lié.

Plus de détails dans l’aide en ligne.

VT_BSTR

InterlockingName

InterlockingName

Description

VT_BOOL

VisibleWhenInterlocked

Visible si verrouillé

Contrôle la visibilité de l’élément lorsque le verrouillage est sélectionné :

  • Active : L’élément est visible s’il est verrouillé.
  • Inactive : L’élément est visible s’il n’est pas verrouillé.

Par défaut : inactive

Plus de détails dans l’aide en ligne.

ZT_VARIABLE_DYN

BlinkVariable

Affichage aperçu clignotement

Affichage des valeurs limite pour le clignotement définies pour la variable. Disponible uniquement si l’option Depuis la variable a été configurée pour la propriété Prendre le clignotement de la limite.

Un aperçu des propriétés définies pour la valeur limite est affiché dans le champ. Aucun aperçu n’est affiché pour les matrices de réaction.
Cliquez sur le bouton ... pour ouvrir la boîte de dialogue d’affichage des résultats. Les valeurs limite sont uniquement affichées ; elles ne peuvent pas être modifiées. Les modifications doivent être effectuées directement dans les propriétés de la variable pour Valeurs limite.

Plus de détails dans l’aide en ligne.

ZT_PREVIEW

BlinkVarPreview

Affichage aperçu clignotement

Affichage des valeurs limite pour le clignotement définies pour la variable. Disponible uniquement si l’option Depuis la variable a été configurée pour la propriété Prendre le clignotement de la limite.

Un aperçu des propriétés définies pour la valeur limite est affiché dans le champ. Aucun aperçu n’est affiché pour les matrices de réaction.
Cliquez sur le bouton ... pour ouvrir la boîte de dialogue d’affichage des résultats. Les valeurs limite sont uniquement affichées ; elles ne peuvent pas être modifiées. Les modifications doivent être effectuées directement dans les propriétés de la variable pour Valeurs limite.

Plus de détails dans l’aide en ligne.

VT_BOOL

UseBlinkColor

Couleur de clignotement par la limite

Active : Reprend la couleur d’arrière-plan du clignotement défini pour la valeur limite active de la variable pour Prendre le clignotement de la limite. Durant le clignotement, l’élément ne devient pas invisible, mais reprend la couleur d’arrière-plan active.

Par défaut : Inactive

Remarque : la couleur n’est pas prise en compte si la couleur d’arrière-plan Transparence est configurée.

Plus de détails dans l’aide en ligne.

ZT_VARIABLE_DYN

XVariable

Variable

Nom de la variable utilisée pour le déplacement horizontal de l’élément.
Ouvre la boîte de dialogue de sélection de variables.

Plus de détails dans l’aide en ligne.

VT_R8

XVarMin

Valeur min de la variable

Valeur minimale de la variable utilisée pour le déplacement horizontal de l’élément.

Plus de détails dans l’aide en ligne.

VT_R8

XVarMax

Valeur max de la variable

Valeur maximale de la variable utilisée pour le déplacement horizontal de l’élément.

Plus de détails dans l’aide en ligne.

VT_I4

XViewMin

Mouvement min [pixels]

Position horizontale de l’élément pour la valeur minimale de la variable (en pixels).

Plus de détails dans l’aide en ligne.

VT_I4

XViewMax

Mouvement max [pixels]

Position horizontale de l’élément pour la valeur minimale de la variable (en pixels).

Plus de détails dans l’aide en ligne.

ZT_VARIABLE_DYN

YVariable

Variable

Nom de la variable utilisée pour le déplacement vertical de l’élément.
Ouvre la boîte de dialogue de sélection de variables.

Plus de détails dans l’aide en ligne.

VT_R8

YVarMin

Valeur min de la variable

Valeur minimale de la variable utilisée pour le déplacement vertical de l’élément.

Plus de détails dans l’aide en ligne.

VT_R8

YVarMax

Valeur max de la variable

Valeur maximale de la variable utilisée pour le déplacement vertical de l’élément.

Plus de détails dans l’aide en ligne.

VT_I4

YViewMin

Mouvement min [pixels]

Position verticale de l’élément pour la valeur minimale de la variable (en pixels).

Plus de détails dans l’aide en ligne.

VT_I4

YViewMax

Mouvement max [pixels]

Position verticale de l’élément pour la valeur maximale de la variable (en pixels).

Plus de détails dans l’aide en ligne.

ZT_VARIABLE_DYN

XZoomVariable

Variable

Nom de la variable utilisée pour l’agrandissement de la largeur de l’élément.
Ouvre la boîte de dialogue de sélection de variables.

Plus de détails dans l’aide en ligne.

VT_R8

XZoomVarMin

Valeur min de la variable

Valeur minimale de la variable utilisée pour effectuer un zoom à la largeur de l’élément.

Plus de détails dans l’aide en ligne.

VT_R8

XZoomVarMax

Valeur max de la variable

Valeur maximale de la variable utilisée pour effectuer un zoom sur la largeur de l’élément.

Plus de détails dans l’aide en ligne.

VT_I4

XZoomViewMin

Largeur min [%]

Facteur de zoom correspondant à la largeur de l’élément pour la valeur minimale de la variable (en pixels).

Plus de détails dans l’aide en ligne.

VT_I4

XZoomViewMax

Largeur max [%]

Facteur de zoom correspondant à la largeur de l’élément pour la valeur maximale de la variable (en pixels).

Plus de détails dans l’aide en ligne.

ZT_VARIABLE_DYN

YZoomVariable

Variable

Nom de la variable utilisée pour l’agrandissement de la hauteur de l’élément.
Ouvre la boîte de dialogue de sélection de variables.

Plus de détails dans l’aide en ligne.

VT_R8

YZoomVarMin

Valeur min de la variable

Valeur minimum de la variable utilisée pour effectuer un zoom sur la hauteur de l’élément.

Plus de détails dans l’aide en ligne.

VT_R8

YZoomVarMax

Valeur max de la variable

Valeur maximum de la variable utilisée pour effectuer un zoom sur la hauteur de l’élément.

Plus de détails dans l’aide en ligne.

VT_I4

YZoomViewMin

Hauteur min [%]

Facteur de zoom correspondant à la hauteur de l’élément pour la valeur minimum de la variable (en %).

Plus de détails dans l’aide en ligne.

VT_I4

YZoomViewMax

Hauteur max [%]

Facteur de zoom correspondant à la hauteur de l’élément pour la valeur maximale de la variable (en pixels).

Plus de détails dans l’aide en ligne.

ZT_VARIABLE_DYN

TwistVariable

Variable

Nom de la variable utilisée pour la rotation de l’élément.

Plus de détails dans l’aide en ligne.

VT_R8

TwistVarMin

Valeur min de la variable

Valeur minimum de la variable utilisée pour la rotation de l’élément.

Plus de détails dans l’aide en ligne.

VT_R8

TwistVarMax

Valeur max de la variable

Valeur maximale de la variable utilisée pour la rotation de l’élément.

Plus de détails dans l’aide en ligne.

VT_I4

TwistViewMin

Rotation min [°]

Angle de rotation de l’élément pour la valeur minimum de la variable (en °).

Plus de détails dans l’aide en ligne.

VT_I4

TwistViewMax

Rotation max [°]

Angle de rotation de l’élément pour la valeur maximum de la variable (en °).

Plus de détails dans l’aide en ligne.

ZT_STYLE

ShadowEffectStyle

Style effet cadres/ombres

Affichage et sélection du style de cadre et d’ombre attribué à l’élément.

Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de style.
Si plusieurs éléments ont été sélectionnés, ils peuvent être attribués à un style commun.

Remarque : Seules les propriétés compatibles avec l’élément correspondant sont prises en charge.

Plus de détails dans l’aide en ligne.

VT_BOOL

EnablePunchFrame

Afficher le cadre

A frame around the element can be displayed.
Default: inactive.

ZT_STYLE

GlowEffectStyle

Style effet de rayonnement

Affichage et sélection du style des effets de luminescence attribués à l’élément.

Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de style.
Si plusieurs éléments ont été sélectionnés, ils peuvent être attribués à un style commun.

Remarque : Seules les propriétés compatibles avec l’élément correspondant sont prises en charge.

Plus de détails dans l’aide en ligne.

VT_BOOL

GlowEffectEvent

Actif seulement si cliqué

Disponible uniquement si la propriété Activer est active et l’élément est un bouton.

Active : l’effet de luminescence est uniquement affiché lorsque l’utilisateur clique sur le bouton. Cliquer sur le bouton permet de modifier la couleur, le clignotement ou l’invisibilité de l’effet de luminescence.

Par défaut : Inactive

Plus de détails dans l’aide en ligne.

ZT_VARIABLE_DYN

GlowEffectGlowColorVariable

Variable pour la couleur

Disponible uniquement si la propriété Activer est active. La propriété Coloration doit être activée.

Nom de la variable dont la couleur aux valeurs limites doit influencer la couleur de l’effet de luminescence pour l’élément. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de variables. Vous pouvez également saisir le nom manuellement dans le champ de texte. Si aucune variable n’est liée, la couleur définie dans la propriété Couleur est utilisée.

Par défaut : aucune variable liée

Plus de détails dans l’aide en ligne.

ZT_PREVIEW

GlowEffectGlowColorVariablePreview

Affichage aperçu couleur

Affichage de la valeur limite définie pour la variable de couleur lorsque l’effet de luminescence est actif. Disponible uniquement si l’option Depuis la variable a été configurée pour la propriété Variable pour la couleur.

Un aperçu des propriétés définies pour la valeur limite est affiché dans le champ. Aucun aperçu n’est affiché pour les matrices de réaction.
Cliquez sur le bouton ... pour ouvrir la boîte de dialogue d’affichage des résultats. Les valeurs limite sont uniquement affichées ; elles ne peuvent pas être modifiées. Les modifications doivent être effectuées directement dans les propriétés de la variable pour Valeurs limite.

Plus de détails dans l’aide en ligne.

ZT_VARIABLE_DYN

GlowEffectVisibilityVariable

Variable pour la visibilité

Disponible uniquement si la propriété Activer est active.

Nom de la variable dont la valeur influence la visibilité de l’effet de luminescence. La visibilité est soit reprise des propriétés de valeur limite de cette variable (propriété Visibilité depuis valeur limite active), soit définie par la plage de valeurs définie dans les propriétés Visible de et Visible jusqu'à. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de variables. Vous pouvez également saisir le nom manuellement dans le champ de texte.

Remarque : si aucune variable n’est liée, l’effet de luminescence est toujours visible.

Par défaut : aucune variable liée

Plus de détails dans l’aide en ligne.

ZT_PREVIEW

GlowEffectVisibilityVariablePreview

Affichage aperçu visibilité

Affichage de la valeur limite définie pour la variable de visibilité lorsque l’effet de luminescence est actif. Disponible uniquement si l’option Depuis la variable a été configurée pour la propriété Variable pour la visibilité.

Un aperçu des propriétés définies pour la valeur limite est affiché dans le champ. Aucun aperçu n’est affiché pour les matrices de réaction.
Cliquez sur le bouton ... pour ouvrir la boîte de dialogue d’affichage des résultats. Les valeurs limite sont uniquement affichées ; elles ne peuvent pas être modifiées. Les modifications doivent être effectuées directement dans les propriétés de la variable pour Valeurs limite.

Plus de détails dans l’aide en ligne.

VT_BOOL

GlowEffectVisibilityFromLimit

Visibilité depuis valeur limite

Disponible uniquement si la propriété Activer est active. Vous devez en outre définir une variable dans la propriété Variable pour la visibilité.

Active : La visibilité de l’effet de luminescence est influencée par la propriété de valeur limite de la variable.

Attention : Pour une valeur limite de la variable au moins, la propriété Invisible doit être active.

Inactive : la visibilité est influencée par les propriétés de l’élément.

Plus de détails dans l’aide en ligne.

VT_R8

GlowEffectVisibilityFrom

Visible de

Disponible uniquement si la propriété Activer est active. Vous devez en outre définir une variable dans la propriété Variable pour la visibilité ; la propriété Visibilité depuis valeur limite doit être inactive.

Définit la valeur à partir de laquelle l’effet de luminescence devient visible.
Minimum : valeur la moins élevée autorisée pour la variable liée dans Variable pour la visibilité.
Maximum : valeur la moins élevée autorisée pour la variable liée dans Variable pour la visibilité.
Par défaut : valeur la plus élevée autorisée pour la variable liée dans Variable pour la visibilité.

Plus de détails dans l’aide en ligne.

VT_R8

GlowEffectVisibilityTo

Visible jusqu'à

Disponible uniquement si la propriété Activer est active. Vous devez en outre définir une variable dans la propriété Variable pour la visibilité ; la propriété Visibilité depuis valeur limite doit être inactive.

Définit la valeur jusqu’à laquelle l’effet de luminescence reste visible.
Minimum : valeur la plus basse autorisée pour la variable liée dans Variable pour la visibilité.
Maximum : valeur la plus élevée autorisée pour la variable liée dans Variable pour la visibilité.
Par défaut : valeur la plus élevée autorisée pour la variable liée dans Variable pour la visibilité.

Plus de détails dans l’aide en ligne.

ZT_VARIABLE_DYN

GlowEffectBlinkVariable

Variable pour le clignotement

Variables dont les paramètres de clignotement de l’effet de luminescence aux valeurs limites doivent être repris. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de variables.

Par défaut : aucune variable liée

Plus de détails dans l’aide en ligne.

ZT_PREVIEW

GlowEffectBlinkVariablePreview

Affichage aperçu clignotement

Affichage de la valeur limite définie pour la variable de clignotement lorsque l’effet de luminescence est actif. Disponible uniquement si l’option Depuis la variable a été configurée pour la propriété Variable pour le clignotement.

Un aperçu des propriétés définies pour la valeur limite est affiché dans le champ. Aucun aperçu n’est affiché pour les matrices de réaction.
Cliquez sur le bouton ... pour ouvrir la boîte de dialogue d’affichage des résultats. Les valeurs limite sont uniquement affichées ; elles ne peuvent pas être modifiées. Les modifications doivent être effectuées directement dans les propriétés de la variable pour Valeurs limite.

Plus de détails dans l’aide en ligne.

VT_BOOL

GlowEffectUseBlinkColor

Clignotement depuis valeur limite

Disponible uniquement si la propriété Activer est active. Vous devez en outre définir une variable dans la propriété Variable pour le clignotement.

Active : Reprend, pour l’effet de luminescence, la couleur de clignotement de la valeur limite active pour la variable définie dans la propriété Couleur de clignotement par la limite. Cette propriété agit indépendamment de la propriété Coloration. En cas de clignotement, l’effet de luminescence ne devient pas invisible, mais reprend les paramètres de l’effet de luminescence actif.

Par défaut : Inactive

Plus de détails dans l’aide en ligne.

VT_BOOL

GlowEffect2ndBlinkStateVisible

2 états de clignotement invisibles

Disponible uniquement si la propriété Activer est active. Vous devez en outre définir une variable dans la propriété Variable pour le clignotement ; la propriété Clignotement depuis valeur limite doit être inactive.

Active : En cas de clignotement, l’effet de luminescence ne bascule pas vers l’effet de luminescence actif, mais devient invisible. Ceci permet de basculer entre l’invisibilité et la couleur de clignotement en cas de dépassement de la valeur limite.

Par défaut : Inactive

Plus de détails dans l’aide en ligne.


CControlDynCalendarCtrl

Manuel -> Interfaces de programmation -> Modèles d'objet -> Element -> Element-Dynamic properties -> CControlDynCalendarCtrl

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Type

VBA/VSTA Name

Display Name

Description

ZT_COLOR

ColorNonWorkingHours

Couleur de remplissage période d'inactivité

Couleur de remplissage des périodes non ouvrées.

Plus de détails dans l’aide en ligne.

ZT_COLOR

ColorWorkingHours

Couleur de remplissage période de travail

Couleur de remplissage des périodes ouvrées.

Plus de détails dans l’aide en ligne.

VT_BOOL

ShowBorder

Montrer le cadre

Permet d’afficher un cadre autour de l’élément. Les indicateurs des propriétés Style L et Style H sont masqués.

active : le cadre est affiché autour de l’élément correspondant.

(Par défaut) Inactive :

Plus de détails dans l’aide en ligne.

ZT_SCHRIFT

Font

Police

Sélection de la police utilisée pour l’affichage.

Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection. La police de caractères sélectionnée est liée.

Plus de détails dans l’aide en ligne.

VT_BOOL

TranslateText

Traduire le texte affiché
  • Active : le texte devant être affiché est traduit. Si un texte est modifié, la version provisoire est affichée avec la traduction.

Par défaut : Inactive

Plus de détails dans l’aide en ligne.

VT_UI2

StyleL

Style L

Style Windows de l’élément ; utilisation interne uniquement.

Plus de détails dans l’aide en ligne.

VT_UI2

StyleH

Style H

Style Windows de l’élément ; utilisation interne uniquement.

Plus de détails dans l’aide en ligne.

ZT_COLOR

TextColor

Couleur du texte

Couleur du texte de l’élément.

Plus de détails dans l’aide en ligne.

ZT_COLOR

BackColor

Couleur de remplissage

Disponible uniquement si la propriété Transparence est inactive.

Définit la couleur de remplissage de l’élément. Cliquez sur le bouton pour ouvrir la palette de couleurs prédéfinies. Vous pouvez également définir la couleur en saisissant manuellement le code hexadécimal (RVB) dans le champ. La couleur de remplissage peut être modifiée de manière dynamique à l’aide de la propriété Couleur de remplissage du groupe Couleur(s) de remplissage dynamique(s).

Remarque : La couleur du nouvel élément sera la couleur utilisée pour le précédent élément du même type.

Attention : dans la fenêtre Vue globale, les modifications des couleurs dans Editor n’ont aucune incidence dans le Runtime.

Plus de détails dans l’aide en ligne.

VT_BSTR

Legend

Texte

Intitulé de l’élément dans Editor.

Plus de détails dans l’aide en ligne.

VT_BOOL

Tab

Le focus est donné à l'élément

Active : L’élément dynamique peut être actionné à l’aide du clavier.
Inactive : L’élément dynamique n’est pas accessible à l’aide du clavier.
Par défaut : active.

Plus de détails dans l’aide en ligne.

VT_I4

TABOrderH

Position du focus gauche/droite

Définit la position horizontale pour l’utilisation à l’aide du clavier dans le Runtime. La position est définie par l’intermédiaire du menu contextuel et de l’utilisation de la souris dans la fenêtre principale ; elle ne peut pas être modifiée ici.

Plus de détails dans l’aide en ligne.

VT_I4

TABOrderV

Position focus haut / bas

Définit la position verticale pour l’utilisation à l’aide du clavier dans le Runtime. La position est définie par l’intermédiaire du menu contextuel et de l’utilisation de la souris dans la fenêtre principale ; elle ne peut pas être modifiée ici.

Plus de détails dans l’aide en ligne.

ZT_SHORTCUT

ShortCut

Raccourci-clavier

Les raccourcis autorisent l’exécution d’éléments actionnables. Par exemple :

- Exécution d’éléments de contrôle et de fonctions auxquelles un élément est attribué
- Écriture de valeurs prescrites (par ex. pour des interrupteurs)
- Configuration du focus pour certaines fenêtres (par ex. liste des courbes dans le module Extended Trend, ou liste déroulante dans le module RGM)

Cliquez sur le bouton du champ de saisie pour ouvrir la boîte de dialogue de définition des combinaisons de touches. Dans la boîte de dialogue, saisissez directement la combinaison souhaitée.

Plus de détails dans l’aide en ligne.

VT_BOOL

KbdUsage

Synoptique clavier

Disponible uniquement si la propriété Synoptique clavier est active.

Nom du synoptique de clavier lié.
Si aucun synoptique de clavier n’est saisi, le clavier correspondant est appelé dans le Runtime :

  • Variable String (chaîne) : SETSTRINGKBD
  • Variable numérique : SETVALUEKBD
  • Variable binaire : SETBOOLKBD

Remarque : Pour l’option Champ de saisie, aucun clavier n’est appelé si l’option Synoptique clavier est activée. Un synoptique de clavier doit être lié.

Plus de détails dans l’aide en ligne.

ZT_VBAMAKRO

DragDrop

DragDrop

Macro VBA à exécuter lorsque le bouton de la souris est relâché.

Plus de détails dans l’aide en ligne.

ZT_VBAMAKRO

DragOver

DragOver

Macro VBA à exécuter lorsque le curseur est déplacé au-dessus de l’élément pendant que le bouton gauche est enfoncé.

Plus de détails dans l’aide en ligne.

ZT_VBAMAKRO

DragBegin

DragBegin

Macro VBA à exécuter lorsque l’utilisateur commence à faire glisser l’objet.

Plus de détails dans l’aide en ligne.

ZT_STYLE

StyleGroup

Groupe de styles

Affichage et sélection du groupe de styles attribué à l’élément.
Cliquez sur le bouton ... pour ouvrir la boîte de dialogue permettant de sélectionner un groupe de styles.
Si plusieurs éléments sont sélectionnés, elles peuvent être attribuées à un groupe de styles commun.

Remarque : Seules les propriétés compatibles avec l’élément correspondant sont prises en charge.

Plus de détails dans l’aide en ligne.

More...

LnClVariable

LnClVariable

"With this property you have the opportunity to get informations about the variable which is linked as ""line/text color"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""LnClVariable.SymVarName"") 'Return the name of the ""line/text color"" variable
zElement.DynProperties (""LnClVariable.SymVarTagNr"") 'Return the identification of the ""line/text color"" variable"

More...

BkClVariable

BkClVariable

"With this property you have the opportunity to get informations about the variable which is linked as ""background/filling color"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""BkClVariable.SymVarName"") 'Return the name of the ""background/filling color"" variable
zElement.DynProperties (""BkClVariable.SymVarTagNr"") 'Return the identification of the ""background/filling color"" variable"

More...

BkCl2Variable

"BkCl2Variable"

More...

XVar

XVar

"With this property you have the opportunity to get informations about the variable which is linked as ""dynamic x position"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""XVar.SymVarName"") 'Return the name of the ""dynamic x position"" variable
zElement.DynProperties (""XVar.SymVarTagNr"") 'Return the identification of the ""dynamic x position"" variable"

More...

YVar

YVar

"With this property you have the opportunity to get informations about the variable which is linked as ""dynamic y position"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""YVar.SymVarName"") 'Return the name of the ""dynamic y position"" variable
zElement.DynProperties (""YVar.SymVarTagNr"") 'Return the identification of the ""dynamic y position"" variable"

More...

XVarZoom

XVarZoom

"With this property you have the opportunity to get informations about the variable which is linked as ""change width"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""XVarZoom.SymVarName"") 'Return the name of the ""change width"" variable
zElement.DynProperties (""XVarZoom.SymVarTagNr"") 'Return the identification of the ""change width"" variable"

More...

YVarZoom

YVarZoom

"With this property you have the opportunity to get informations about the variable which is linked as ""change height"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""YVarZoom.SymVarName"") 'Return the name of the ""change height"" variable
zElement.DynProperties (""YVarZoom.SymVarName"") 'Return the name of the ""change height"" variable
zElement.DynProperties (""YVarZoom.SymVarTagNr"") 'Return the identification of the ""change height"" variable"

More...

TwistVar

TwistVar

"With this property you have the opportunity to get informations about the variable which is linked as ""rotate"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""TwistVar.SymVarName"") 'Return the name of the ""rotate"" variable
zElement.DynProperties (""TwistVar.SymVarTagNr"") 'Return the identification of the ""rotate"" variable"

More...

VisVariable

VisVariable

"With this property you have the opportunity to get informations about the variable which is linked as ""visibility"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""VisVariable.SymVarName"") 'Return the name of the ""visibility"" variable
zElement.DynProperties (""VisVariable.SymVarTagNr"") 'Return the identification of the ""visibility"" variable"

More...

BlinkVar

BlinkVar

More...

GlowEffectGlowColorVar

GlowEffectGlowColorVar

More...

GlowEffectVisibilityVar

GlowEffectVisibilityVar

More...

GlowEffectBlinkVar

GlowEffectBlinkVar

VT_BSTR

Name

Nom d'élément

Attribuez un nom d’élément.
Il ne doit pas être vide.

Attention : Cette propriété n’est pas disponible aux fins de la commutation de langue.

Remarques concernant les cadrans : Pour les conteneurs de synoptique, spécifiez des noms clairement identifiables pour faciliter la sélection lors de la configuration des appels de synoptique.

Plus de détails dans l’aide en ligne.

VT_UI1

Layer

Niveau de visibilité

Sélectionnez l’un des 16 niveaux de visibilité (0 à 15) dans la liste déroulante. À l’aide de la barre d’outils Niveau de visibilité, vous décidez des niveaux qui doivent être affichés dans Editor. Cette fonction garantit que les synoptiques les plus complexes peuvent être développés de manière simple. Les niveaux peuvent être utilisés immédiatement. Les niveaux n’ont aucune influence sur les informations affichées au premier plan ou en arrière-plan dans le Runtime.
Par défaut : 0.

Plus de détails dans l’aide en ligne.

VT_I4

StartX

Point de départ X [pixels]

Coordonnée Y du coin supérieur gauche du synoptique (en pixels).

Plus de détails dans l’aide en ligne.

VT_I4

EndX

Point final X [pixels]

Coordonnée X du coin inférieur droit du synoptique (en pixels).

Plus de détails dans l’aide en ligne.

VT_I4

StartY

Point de départ Y [pixels]

Coordonnée Y du coin supérieur gauche du synoptique (en pixels).

Plus de détails dans l’aide en ligne.

VT_I4

EndY

Point final Y [pixels]

Coordonnée Y du coin inférieur droit du synoptique (en pixels).

Plus de détails dans l’aide en ligne.

VT_I4

Width

Largeur [pixels]

Largeur des éléments en pixels.

Remarque : disponible uniquement pour les éléments Combinaison multiple, Élément combiné, Bouton et Interrupteur si la valeur Ajusté a été sélectionnée pour la propriété Taille du graphique.

Plus de détails dans l’aide en ligne.

VT_I4

Height

Hauteur [pixels]

Hauteur des éléments en pixels.

Remarque : disponible uniquement pour les éléments Combinaison multiple, Élément combiné, Bouton et Interrupteur si la valeur Ajusté a été sélectionnée pour la propriété Taille du graphique.

Plus de détails dans l’aide en ligne.

VT_I4

Angle

Angle de rotation [°]

Angle libre autour selon lequel doit pivoter l’élément.
Les valeurs positives correspondent à une rotation dans le sens antihoraire, tandis que les valeurs négatives correspondent à une rotation dans le sens horaire. Les valeurs supérieures à 360° sont affichées sous forme d’écart par rapport à 360° (400° correspond à 40°). Seuls les nombres entiers sont autorisés.

Sur les éléments pivotés, les actions suivantes ne sont plus possibles :

  • Miroir
  • Rotation de +/- 90°
  • Redimensionnement à l’aide des touches fléchées

Par défaut : 0

Remarque : Ce paramètre est activé et réinitialisé lors de la configuration pour Windows CE.

Plus de détails dans l’aide en ligne.

VT_I2

ZoomMin

Visible de

Incrément de zoom le plus bas auquel l’élément est visible dans la vue globale.
Par défaut : -1
Une valeur de visibilité avec des incréments de zoom de -1 à -1 signifie que l’élément est affiché, quel que soit l’incrément de zoom sélectionné.

Les niveaux de zoom affichés dans la vue globale peuvent être configurés avec la propriété Apparence graphique -> Généralités runtime -> Pas de zoom pour vue globale.

Attention : Ce niveau de zoom s’applique à tous les types de synoptiques et cadres. Si un niveau de zoom défini est supérieur à 0, l’élément est uniquement affiché dans la vue globale, car les autres types de synoptique sont automatiquement appelés avec le niveau de zoom 0.

Plus de détails dans l’aide en ligne.

VT_I2

ZoomMax

Visible jusqu'à

Incrément de zoom le plus élevé auquel l’élément est visible dans la vue globale.

Par défaut : -1
Une valeur de visibilité avec des incréments de zoom de -1 à -1 signifie que l’élément est affiché, quel que soit l’incrément de zoom sélectionné.

Les niveaux de zoom affichés dans la vue globale peuvent être configurés avec la propriété Apparence graphique -> Généralités runtime -> Pas de zoom pour vue globale.

Attention : Ce niveau de zoom s’applique à tous les types de synoptiques et cadres. Si un niveau de zoom défini est supérieur à 0, l’élément est uniquement affiché dans la vue globale, car les autres types de synoptique sont automatiquement appelés avec le niveau de zoom 0.

Plus de détails dans l’aide en ligne.

VT_BSTR

Stationname

Nom liste d'objets

L’élément est saisi directement dans la liste de stations du synoptique Vue globale, et le texte est saisi ici.

Plus de détails dans l’aide en ligne.

ZT_VARIABLE_DYN

LineColorVariable

Couleur de ligne

Nom des variables dont les couleurs de valeur limite doivent influencer la couleur de ligne/de texte de l’élément. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de variables.

Plus de détails dans l’aide en ligne.

ZT_PREVIEW

LineColorVarPreview

Affichage aperçu couleur

Affichage de la valeur limite pour la propriété Couleur de ligne définie pour la variable. Disponible uniquement si l’option Depuis la variable a été configurée pour la propriété Couleur de ligne.

Un aperçu des propriétés définies pour la valeur limite est affiché dans le champ. Aucun aperçu n’est affiché pour les matrices de réaction.
Cliquez sur le bouton ... pour ouvrir la boîte de dialogue d’affichage des résultats. Les valeurs limite sont uniquement affichées ; elles ne peuvent pas être modifiées. Les modifications doivent être effectuées directement dans les propriétés de la variable pour Valeurs limite.

Plus de détails dans l’aide en ligne.

ZT_VARIABLE_DYN

BackColorVariable

Couleur de remplissage

Nom de la variable dont les couleurs de valeur limite doivent influencer la couleur d’arrière-plan/de remplissage de l’élément.
Ouvre la boîte de dialogue de sélection de variables.

Plus de détails dans l’aide en ligne.

ZT_PREVIEW

BackColorVarPreview

Affichage aperçu couleur

Affichage de la valeur limite pour la propriété Couleur de remplissage définie pour la variable. Disponible uniquement si l’option Depuis la variable a été configurée pour la propriété Couleur de remplissage.

Un aperçu des propriétés définies pour la valeur limite est affiché dans le champ. Aucun aperçu n’est affiché pour les matrices de réaction.
Cliquez sur le bouton ... pour ouvrir la boîte de dialogue d’affichage des résultats. Les valeurs limite sont uniquement affichées ; elles ne peuvent pas être modifiées. Les modifications doivent être effectuées directement dans les propriétés de la variable pour Valeurs limite.

Plus de détails dans l’aide en ligne.

VT_UI1

HorizontalOrigin

Horizontal

Point de référence horizontal de l’événement. Les valeurs possibles sont : gauche, centré, droite.
Ce point est utilisé en tant que base de calcul de l’angle de départ de la rotation (statique et dynamique) et pour le changement dynamique de taille.

Par défaut : À gauche

Plus de détails dans l’aide en ligne.

VT_UI1

VerticalOrigin

Vertical

Point de référence vertical de l’événement. Les valeurs possibles sont : haut, centré, bas.
Ce point est utilisé en tant que base de calcul de l’angle de départ de la rotation (statique et dynamique) et pour le changement dynamique de taille.

Par défaut : En haut

Plus de détails dans l’aide en ligne.

VT_UI4

VisibilityType

Visibilité

Sélection depuis laquelle la visibilité d’un élément est déterminée :

  • Depuis une variable
  • Du verrrouillage

Par défaut : Depuis une variable

Plus de détails dans l’aide en ligne.

ZT_VARIABLE_DYN

VisibilityVariable

Variable

Disponible uniquement si l’option Depuis la variable a été configurée pour la propriété Visibilité.

Nom de la variable dont la valeur contrôle la visibilité de l’élément. La visibilité est soit reprise des propriétés de valeur limite de ces variables, soit définie par la plage de valeurs définie dans les propriétés de et À.
Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de variables. Vous pouvez également saisir manuellement le nom dans le champ de texte.
L'élément reste visible tant qu’aucune variable n’est liée.

Plus de détails dans l’aide en ligne.

ZT_PREVIEW

VisVarPreview

Affichage aperçu visibilité

Affichage des valeurs limite pour la visibilité définies pour la variable. Disponible uniquement si l’option Depuis la variable a été configurée pour la propriété Variable dans le groupe Visibilité.

Un aperçu des propriétés définies pour la valeur limite est affiché dans le champ. Aucun aperçu n’est affiché pour les matrices de réaction.
Cliquez sur le bouton ... pour ouvrir la boîte de dialogue d’affichage des résultats. Les valeurs limite sont uniquement affichées ; elles ne peuvent pas être modifiées. Les modifications doivent être effectuées directement dans les propriétés de la variable pour Valeurs limite.

Plus de détails dans l’aide en ligne.

VT_BOOL

VisibilityFromLimit

A partir des valeurs limites

Uniquement disponible après la sélection d’une variable :

  • Active : La visibilité de l’élément est influencée par la propriété de valeur limite de la variable.

    Attention : La propriété Invisible doit être active pour au moins une valeur limite de la variable.

  • Inactive : la visibilité est influencée par les propriétés de l’élément.

Par défaut : active

Plus de détails dans l’aide en ligne.

VT_R8

VisibilityFrom

de

Disponible uniquement après la sélection d’une variable, si la visibilité n’a pas été reprise par la valeur limite :

Valeur minimum de la variable à laquelle l’élément est visible.

  • Minimum : valeur minimum possible de la variable liée.
  • Maximum : valeur maximum possible de la variable liée.

Par défaut : valeur minimum possible de la variable liée.

Plus de détails dans l’aide en ligne.

VT_R8

VisibilityTo

À

Disponible uniquement après la sélection d’une variable, si la visibilité n’a pas été reprise par la valeur limite :

Valeur maximale de la variable à laquelle l’élément est visible.

  • Minimum : valeur minimum possible de la variable liée.
  • Maximum : valeur maximum possible de la variable liée.

Par défaut : valeur maximum possible de la variable liée.

Plus de détails dans l’aide en ligne.

VT_UI4

Interlocking

Verrouillage

Disponible uniquement si l’option Depuis le verrouillage est sélectionnée pour la propriété Visibilité.

Nom du verrouillage dont la valeur contrôle la visibilité de l’élément. Sélectionnez dans la liste déroulante. Celle-ci contient tous les verrouillages existants et utilisables. L’élément est toujours visible si aucun verrouillage n’est lié.

Plus de détails dans l’aide en ligne.

VT_BSTR

InterlockingName

InterlockingName

Description

VT_BOOL

VisibleWhenInterlocked

Visible si verrouillé

Contrôle la visibilité de l’élément lorsque le verrouillage est sélectionné :

  • Active : L’élément est visible s’il est verrouillé.
  • Inactive : L’élément est visible s’il n’est pas verrouillé.

Par défaut : inactive

Plus de détails dans l’aide en ligne.

ZT_VARIABLE_DYN

BlinkVariable

Affichage aperçu clignotement

Affichage des valeurs limite pour le clignotement définies pour la variable. Disponible uniquement si l’option Depuis la variable a été configurée pour la propriété Prendre le clignotement de la limite.

Un aperçu des propriétés définies pour la valeur limite est affiché dans le champ. Aucun aperçu n’est affiché pour les matrices de réaction.
Cliquez sur le bouton ... pour ouvrir la boîte de dialogue d’affichage des résultats. Les valeurs limite sont uniquement affichées ; elles ne peuvent pas être modifiées. Les modifications doivent être effectuées directement dans les propriétés de la variable pour Valeurs limite.

Plus de détails dans l’aide en ligne.

ZT_PREVIEW

BlinkVarPreview

Affichage aperçu clignotement

Affichage des valeurs limite pour le clignotement définies pour la variable. Disponible uniquement si l’option Depuis la variable a été configurée pour la propriété Prendre le clignotement de la limite.

Un aperçu des propriétés définies pour la valeur limite est affiché dans le champ. Aucun aperçu n’est affiché pour les matrices de réaction.
Cliquez sur le bouton ... pour ouvrir la boîte de dialogue d’affichage des résultats. Les valeurs limite sont uniquement affichées ; elles ne peuvent pas être modifiées. Les modifications doivent être effectuées directement dans les propriétés de la variable pour Valeurs limite.

Plus de détails dans l’aide en ligne.

VT_BOOL

UseBlinkColor

Couleur de clignotement par la limite

Active : Reprend la couleur d’arrière-plan du clignotement défini pour la valeur limite active de la variable pour Prendre le clignotement de la limite. Durant le clignotement, l’élément ne devient pas invisible, mais reprend la couleur d’arrière-plan active.

Par défaut : Inactive

Remarque : la couleur n’est pas prise en compte si la couleur d’arrière-plan Transparence est configurée.

Plus de détails dans l’aide en ligne.

ZT_VARIABLE_DYN

XVariable

Variable

Nom de la variable utilisée pour le déplacement horizontal de l’élément.
Ouvre la boîte de dialogue de sélection de variables.

Plus de détails dans l’aide en ligne.

VT_R8

XVarMin

Valeur min de la variable

Valeur minimale de la variable utilisée pour le déplacement horizontal de l’élément.

Plus de détails dans l’aide en ligne.

VT_R8

XVarMax

Valeur max de la variable

Valeur maximale de la variable utilisée pour le déplacement horizontal de l’élément.

Plus de détails dans l’aide en ligne.

VT_I4

XViewMin

Mouvement min [pixels]

Position horizontale de l’élément pour la valeur minimale de la variable (en pixels).

Plus de détails dans l’aide en ligne.

VT_I4

XViewMax

Mouvement max [pixels]

Position horizontale de l’élément pour la valeur minimale de la variable (en pixels).

Plus de détails dans l’aide en ligne.

ZT_VARIABLE_DYN

YVariable

Variable

Nom de la variable utilisée pour le déplacement vertical de l’élément.
Ouvre la boîte de dialogue de sélection de variables.

Plus de détails dans l’aide en ligne.

VT_R8

YVarMin

Valeur min de la variable

Valeur minimale de la variable utilisée pour le déplacement vertical de l’élément.

Plus de détails dans l’aide en ligne.

VT_R8

YVarMax

Valeur max de la variable

Valeur maximale de la variable utilisée pour le déplacement vertical de l’élément.

Plus de détails dans l’aide en ligne.

VT_I4

YViewMin

Mouvement min [pixels]

Position verticale de l’élément pour la valeur minimale de la variable (en pixels).

Plus de détails dans l’aide en ligne.

VT_I4

YViewMax

Mouvement max [pixels]

Position verticale de l’élément pour la valeur maximale de la variable (en pixels).

Plus de détails dans l’aide en ligne.

ZT_VARIABLE_DYN

XZoomVariable

Variable

Nom de la variable utilisée pour l’agrandissement de la largeur de l’élément.
Ouvre la boîte de dialogue de sélection de variables.

Plus de détails dans l’aide en ligne.

VT_R8

XZoomVarMin

Valeur min de la variable

Valeur minimale de la variable utilisée pour effectuer un zoom à la largeur de l’élément.

Plus de détails dans l’aide en ligne.

VT_R8

XZoomVarMax

Valeur max de la variable

Valeur maximale de la variable utilisée pour effectuer un zoom sur la largeur de l’élément.

Plus de détails dans l’aide en ligne.

VT_I4

XZoomViewMin

Largeur min [%]

Facteur de zoom correspondant à la largeur de l’élément pour la valeur minimale de la variable (en pixels).

Plus de détails dans l’aide en ligne.

VT_I4

XZoomViewMax

Largeur max [%]

Facteur de zoom correspondant à la largeur de l’élément pour la valeur maximale de la variable (en pixels).

Plus de détails dans l’aide en ligne.

ZT_VARIABLE_DYN

YZoomVariable

Variable

Nom de la variable utilisée pour l’agrandissement de la hauteur de l’élément.
Ouvre la boîte de dialogue de sélection de variables.

Plus de détails dans l’aide en ligne.

VT_R8

YZoomVarMin

Valeur min de la variable

Valeur minimum de la variable utilisée pour effectuer un zoom sur la hauteur de l’élément.

Plus de détails dans l’aide en ligne.

VT_R8

YZoomVarMax

Valeur max de la variable

Valeur maximum de la variable utilisée pour effectuer un zoom sur la hauteur de l’élément.

Plus de détails dans l’aide en ligne.

VT_I4

YZoomViewMin

Hauteur min [%]

Facteur de zoom correspondant à la hauteur de l’élément pour la valeur minimum de la variable (en %).

Plus de détails dans l’aide en ligne.

VT_I4

YZoomViewMax

Hauteur max [%]

Facteur de zoom correspondant à la hauteur de l’élément pour la valeur maximale de la variable (en pixels).

Plus de détails dans l’aide en ligne.

ZT_VARIABLE_DYN

TwistVariable

Variable

Nom de la variable utilisée pour la rotation de l’élément.

Plus de détails dans l’aide en ligne.

VT_R8

TwistVarMin

Valeur min de la variable

Valeur minimum de la variable utilisée pour la rotation de l’élément.

Plus de détails dans l’aide en ligne.

VT_R8

TwistVarMax

Valeur max de la variable

Valeur maximale de la variable utilisée pour la rotation de l’élément.

Plus de détails dans l’aide en ligne.

VT_I4

TwistViewMin

Rotation min [°]

Angle de rotation de l’élément pour la valeur minimum de la variable (en °).

Plus de détails dans l’aide en ligne.

VT_I4

TwistViewMax

Rotation max [°]

Angle de rotation de l’élément pour la valeur maximum de la variable (en °).

Plus de détails dans l’aide en ligne.

ZT_STYLE

ShadowEffectStyle

Style effet cadres/ombres

Affichage et sélection du style de cadre et d’ombre attribué à l’élément.

Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de style.
Si plusieurs éléments ont été sélectionnés, ils peuvent être attribués à un style commun.

Remarque : Seules les propriétés compatibles avec l’élément correspondant sont prises en charge.

Plus de détails dans l’aide en ligne.

VT_BOOL

EnablePunchFrame

Afficher le cadre

A frame around the element can be displayed.
Default: inactive.

ZT_STYLE

GlowEffectStyle

Style effet de rayonnement

Affichage et sélection du style des effets de luminescence attribués à l’élément.

Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de style.
Si plusieurs éléments ont été sélectionnés, ils peuvent être attribués à un style commun.

Remarque : Seules les propriétés compatibles avec l’élément correspondant sont prises en charge.

Plus de détails dans l’aide en ligne.

VT_BOOL

GlowEffectEvent

Actif seulement si cliqué

Disponible uniquement si la propriété Activer est active et l’élément est un bouton.

Active : l’effet de luminescence est uniquement affiché lorsque l’utilisateur clique sur le bouton. Cliquer sur le bouton permet de modifier la couleur, le clignotement ou l’invisibilité de l’effet de luminescence.

Par défaut : Inactive

Plus de détails dans l’aide en ligne.

ZT_VARIABLE_DYN

GlowEffectGlowColorVariable

Variable pour la couleur

Disponible uniquement si la propriété Activer est active. La propriété Coloration doit être activée.

Nom de la variable dont la couleur aux valeurs limites doit influencer la couleur de l’effet de luminescence pour l’élément. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de variables. Vous pouvez également saisir le nom manuellement dans le champ de texte. Si aucune variable n’est liée, la couleur définie dans la propriété Couleur est utilisée.

Par défaut : aucune variable liée

Plus de détails dans l’aide en ligne.

ZT_PREVIEW

GlowEffectGlowColorVariablePreview

Affichage aperçu couleur

Affichage de la valeur limite définie pour la variable de couleur lorsque l’effet de luminescence est actif. Disponible uniquement si l’option Depuis la variable a été configurée pour la propriété Variable pour la couleur.

Un aperçu des propriétés définies pour la valeur limite est affiché dans le champ. Aucun aperçu n’est affiché pour les matrices de réaction.
Cliquez sur le bouton ... pour ouvrir la boîte de dialogue d’affichage des résultats. Les valeurs limite sont uniquement affichées ; elles ne peuvent pas être modifiées. Les modifications doivent être effectuées directement dans les propriétés de la variable pour Valeurs limite.

Plus de détails dans l’aide en ligne.

ZT_VARIABLE_DYN

GlowEffectVisibilityVariable

Variable pour la visibilité

Disponible uniquement si la propriété Activer est active.

Nom de la variable dont la valeur influence la visibilité de l’effet de luminescence. La visibilité est soit reprise des propriétés de valeur limite de cette variable (propriété Visibilité depuis valeur limite active), soit définie par la plage de valeurs définie dans les propriétés Visible de et Visible jusqu'à. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de variables. Vous pouvez également saisir le nom manuellement dans le champ de texte.

Remarque : si aucune variable n’est liée, l’effet de luminescence est toujours visible.

Par défaut : aucune variable liée

Plus de détails dans l’aide en ligne.

ZT_PREVIEW

GlowEffectVisibilityVariablePreview

Affichage aperçu visibilité

Affichage de la valeur limite définie pour la variable de visibilité lorsque l’effet de luminescence est actif. Disponible uniquement si l’option Depuis la variable a été configurée pour la propriété Variable pour la visibilité.

Un aperçu des propriétés définies pour la valeur limite est affiché dans le champ. Aucun aperçu n’est affiché pour les matrices de réaction.
Cliquez sur le bouton ... pour ouvrir la boîte de dialogue d’affichage des résultats. Les valeurs limite sont uniquement affichées ; elles ne peuvent pas être modifiées. Les modifications doivent être effectuées directement dans les propriétés de la variable pour Valeurs limite.

Plus de détails dans l’aide en ligne.

VT_BOOL

GlowEffectVisibilityFromLimit

Visibilité depuis valeur limite

Disponible uniquement si la propriété Activer est active. Vous devez en outre définir une variable dans la propriété Variable pour la visibilité.

Active : La visibilité de l’effet de luminescence est influencée par la propriété de valeur limite de la variable.

Attention : Pour une valeur limite de la variable au moins, la propriété Invisible doit être active.

Inactive : la visibilité est influencée par les propriétés de l’élément.

Plus de détails dans l’aide en ligne.

VT_R8

GlowEffectVisibilityFrom

Visible de

Disponible uniquement si la propriété Activer est active. Vous devez en outre définir une variable dans la propriété Variable pour la visibilité ; la propriété Visibilité depuis valeur limite doit être inactive.

Définit la valeur à partir de laquelle l’effet de luminescence devient visible.
Minimum : valeur la moins élevée autorisée pour la variable liée dans Variable pour la visibilité.
Maximum : valeur la moins élevée autorisée pour la variable liée dans Variable pour la visibilité.
Par défaut : valeur la plus élevée autorisée pour la variable liée dans Variable pour la visibilité.

Plus de détails dans l’aide en ligne.

VT_R8

GlowEffectVisibilityTo

Visible jusqu'à

Disponible uniquement si la propriété Activer est active. Vous devez en outre définir une variable dans la propriété Variable pour la visibilité ; la propriété Visibilité depuis valeur limite doit être inactive.

Définit la valeur jusqu’à laquelle l’effet de luminescence reste visible.
Minimum : valeur la plus basse autorisée pour la variable liée dans Variable pour la visibilité.
Maximum : valeur la plus élevée autorisée pour la variable liée dans Variable pour la visibilité.
Par défaut : valeur la plus élevée autorisée pour la variable liée dans Variable pour la visibilité.

Plus de détails dans l’aide en ligne.

ZT_VARIABLE_DYN

GlowEffectBlinkVariable

Variable pour le clignotement

Variables dont les paramètres de clignotement de l’effet de luminescence aux valeurs limites doivent être repris. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de variables.

Par défaut : aucune variable liée

Plus de détails dans l’aide en ligne.

ZT_PREVIEW

GlowEffectBlinkVariablePreview

Affichage aperçu clignotement

Affichage de la valeur limite définie pour la variable de clignotement lorsque l’effet de luminescence est actif. Disponible uniquement si l’option Depuis la variable a été configurée pour la propriété Variable pour le clignotement.

Un aperçu des propriétés définies pour la valeur limite est affiché dans le champ. Aucun aperçu n’est affiché pour les matrices de réaction.
Cliquez sur le bouton ... pour ouvrir la boîte de dialogue d’affichage des résultats. Les valeurs limite sont uniquement affichées ; elles ne peuvent pas être modifiées. Les modifications doivent être effectuées directement dans les propriétés de la variable pour Valeurs limite.

Plus de détails dans l’aide en ligne.

VT_BOOL

GlowEffectUseBlinkColor

Clignotement depuis valeur limite

Disponible uniquement si la propriété Activer est active. Vous devez en outre définir une variable dans la propriété Variable pour le clignotement.

Active : Reprend, pour l’effet de luminescence, la couleur de clignotement de la valeur limite active pour la variable définie dans la propriété Couleur de clignotement par la limite. Cette propriété agit indépendamment de la propriété Coloration. En cas de clignotement, l’effet de luminescence ne devient pas invisible, mais reprend les paramètres de l’effet de luminescence actif.

Par défaut : Inactive

Plus de détails dans l’aide en ligne.

VT_BOOL

GlowEffect2ndBlinkStateVisible

2 états de clignotement invisibles

Disponible uniquement si la propriété Activer est active. Vous devez en outre définir une variable dans la propriété Variable pour le clignotement ; la propriété Clignotement depuis valeur limite doit être inactive.

Active : En cas de clignotement, l’effet de luminescence ne bascule pas vers l’effet de luminescence actif, mais devient invisible. Ceci permet de basculer entre l’invisibilité et la couleur de clignotement en cas de dépassement de la valeur limite.

Par défaut : Inactive

Plus de détails dans l’aide en ligne.


Window

Manuel -> Interfaces de programmation -> Modèles d'objet -> Element -> Element-Dynamic properties -> Window

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Type

VBA/VSTA Name

Display Name

Description

VT_BOOL

ShowBorder

Montrer le cadre

Permet d’afficher un cadre autour de l’élément. Les indicateurs des propriétés Style L et Style H sont masqués.

active : le cadre est affiché autour de l’élément correspondant.

(Par défaut) Inactive :

Plus de détails dans l’aide en ligne.

ZT_SCHRIFT

Font

Police

Sélection de la police utilisée pour l’affichage.

Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection. La police de caractères sélectionnée est liée.

Plus de détails dans l’aide en ligne.

VT_BOOL

TranslateText

Traduire le texte affiché
  • Active : le texte devant être affiché est traduit. Si un texte est modifié, la version provisoire est affichée avec la traduction.

Par défaut : Inactive

Plus de détails dans l’aide en ligne.

VT_UI2

StyleL

Style L

Style Windows de l’élément ; utilisation interne uniquement.

Plus de détails dans l’aide en ligne.

VT_UI2

StyleH

Style H

Style Windows de l’élément ; utilisation interne uniquement.

Plus de détails dans l’aide en ligne.

ZT_COLOR

TextColor

Couleur du texte

Couleur du texte de l’élément.

Plus de détails dans l’aide en ligne.

ZT_COLOR

BackColor

Couleur de remplissage

Disponible uniquement si la propriété Transparence est inactive.

Définit la couleur de remplissage de l’élément. Cliquez sur le bouton pour ouvrir la palette de couleurs prédéfinies. Vous pouvez également définir la couleur en saisissant manuellement le code hexadécimal (RVB) dans le champ. La couleur de remplissage peut être modifiée de manière dynamique à l’aide de la propriété Couleur de remplissage du groupe Couleur(s) de remplissage dynamique(s).

Remarque : La couleur du nouvel élément sera la couleur utilisée pour le précédent élément du même type.

Attention : dans la fenêtre Vue globale, les modifications des couleurs dans Editor n’ont aucune incidence dans le Runtime.

Plus de détails dans l’aide en ligne.

VT_BSTR

Legend

Texte

Intitulé de l’élément dans Editor.

Plus de détails dans l’aide en ligne.

VT_BOOL

Tab

Le focus est donné à l'élément

Active : L’élément dynamique peut être actionné à l’aide du clavier.
Inactive : L’élément dynamique n’est pas accessible à l’aide du clavier.
Par défaut : active.

Plus de détails dans l’aide en ligne.

VT_I4

TABOrderH

Position du focus gauche/droite

Définit la position horizontale pour l’utilisation à l’aide du clavier dans le Runtime. La position est définie par l’intermédiaire du menu contextuel et de l’utilisation de la souris dans la fenêtre principale ; elle ne peut pas être modifiée ici.

Plus de détails dans l’aide en ligne.

VT_I4

TABOrderV

Position focus haut / bas

Définit la position verticale pour l’utilisation à l’aide du clavier dans le Runtime. La position est définie par l’intermédiaire du menu contextuel et de l’utilisation de la souris dans la fenêtre principale ; elle ne peut pas être modifiée ici.

Plus de détails dans l’aide en ligne.

ZT_SHORTCUT

ShortCut

Raccourci-clavier

Les raccourcis autorisent l’exécution d’éléments actionnables. Par exemple :

- Exécution d’éléments de contrôle et de fonctions auxquelles un élément est attribué
- Écriture de valeurs prescrites (par ex. pour des interrupteurs)
- Configuration du focus pour certaines fenêtres (par ex. liste des courbes dans le module Extended Trend, ou liste déroulante dans le module RGM)

Cliquez sur le bouton du champ de saisie pour ouvrir la boîte de dialogue de définition des combinaisons de touches. Dans la boîte de dialogue, saisissez directement la combinaison souhaitée.

Plus de détails dans l’aide en ligne.

VT_BOOL

KbdUsage

Synoptique clavier

Disponible uniquement si la propriété Synoptique clavier est active.

Nom du synoptique de clavier lié.
Si aucun synoptique de clavier n’est saisi, le clavier correspondant est appelé dans le Runtime :

  • Variable String (chaîne) : SETSTRINGKBD
  • Variable numérique : SETVALUEKBD
  • Variable binaire : SETBOOLKBD

Remarque : Pour l’option Champ de saisie, aucun clavier n’est appelé si l’option Synoptique clavier est activée. Un synoptique de clavier doit être lié.

Plus de détails dans l’aide en ligne.

ZT_VBAMAKRO

DragDrop

DragDrop

Macro VBA à exécuter lorsque le bouton de la souris est relâché.

Plus de détails dans l’aide en ligne.

ZT_VBAMAKRO

DragOver

DragOver

Macro VBA à exécuter lorsque le curseur est déplacé au-dessus de l’élément pendant que le bouton gauche est enfoncé.

Plus de détails dans l’aide en ligne.

ZT_VBAMAKRO

DragBegin

DragBegin

Macro VBA à exécuter lorsque l’utilisateur commence à faire glisser l’objet.

Plus de détails dans l’aide en ligne.

ZT_STYLE

StyleGroup

Groupe de styles

Affichage et sélection du groupe de styles attribué à l’élément.
Cliquez sur le bouton ... pour ouvrir la boîte de dialogue permettant de sélectionner un groupe de styles.
Si plusieurs éléments sont sélectionnés, elles peuvent être attribuées à un groupe de styles commun.

Remarque : Seules les propriétés compatibles avec l’élément correspondant sont prises en charge.

Plus de détails dans l’aide en ligne.

More...

LnClVariable

LnClVariable

"With this property you have the opportunity to get informations about the variable which is linked as ""line/text color"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""LnClVariable.SymVarName"") 'Return the name of the ""line/text color"" variable
zElement.DynProperties (""LnClVariable.SymVarTagNr"") 'Return the identification of the ""line/text color"" variable"

More...

BkClVariable

BkClVariable

"With this property you have the opportunity to get informations about the variable which is linked as ""background/filling color"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""BkClVariable.SymVarName"") 'Return the name of the ""background/filling color"" variable
zElement.DynProperties (""BkClVariable.SymVarTagNr"") 'Return the identification of the ""background/filling color"" variable"

More...

BkCl2Variable

"BkCl2Variable"

More...

XVar

XVar

"With this property you have the opportunity to get informations about the variable which is linked as ""dynamic x position"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""XVar.SymVarName"") 'Return the name of the ""dynamic x position"" variable
zElement.DynProperties (""XVar.SymVarTagNr"") 'Return the identification of the ""dynamic x position"" variable"

More...

YVar

YVar

"With this property you have the opportunity to get informations about the variable which is linked as ""dynamic y position"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""YVar.SymVarName"") 'Return the name of the ""dynamic y position"" variable
zElement.DynProperties (""YVar.SymVarTagNr"") 'Return the identification of the ""dynamic y position"" variable"

More...

XVarZoom

XVarZoom

"With this property you have the opportunity to get informations about the variable which is linked as ""change width"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""XVarZoom.SymVarName"") 'Return the name of the ""change width"" variable
zElement.DynProperties (""XVarZoom.SymVarTagNr"") 'Return the identification of the ""change width"" variable"

More...

YVarZoom

YVarZoom

"With this property you have the opportunity to get informations about the variable which is linked as ""change height"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""YVarZoom.SymVarName"") 'Return the name of the ""change height"" variable
zElement.DynProperties (""YVarZoom.SymVarName"") 'Return the name of the ""change height"" variable
zElement.DynProperties (""YVarZoom.SymVarTagNr"") 'Return the identification of the ""change height"" variable"

More...

TwistVar

TwistVar

"With this property you have the opportunity to get informations about the variable which is linked as ""rotate"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""TwistVar.SymVarName"") 'Return the name of the ""rotate"" variable
zElement.DynProperties (""TwistVar.SymVarTagNr"") 'Return the identification of the ""rotate"" variable"

More...

VisVariable

VisVariable

"With this property you have the opportunity to get informations about the variable which is linked as ""visibility"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""VisVariable.SymVarName"") 'Return the name of the ""visibility"" variable
zElement.DynProperties (""VisVariable.SymVarTagNr"") 'Return the identification of the ""visibility"" variable"

More...

BlinkVar

BlinkVar

More...

GlowEffectGlowColorVar

GlowEffectGlowColorVar

More...

GlowEffectVisibilityVar

GlowEffectVisibilityVar

More...

GlowEffectBlinkVar

GlowEffectBlinkVar

VT_BSTR

Name

Nom d'élément

Attribuez un nom d’élément.
Il ne doit pas être vide.

Attention : Cette propriété n’est pas disponible aux fins de la commutation de langue.

Remarques concernant les cadrans : Pour les conteneurs de synoptique, spécifiez des noms clairement identifiables pour faciliter la sélection lors de la configuration des appels de synoptique.

Plus de détails dans l’aide en ligne.

VT_UI1

Layer

Niveau de visibilité

Sélectionnez l’un des 16 niveaux de visibilité (0 à 15) dans la liste déroulante. À l’aide de la barre d’outils Niveau de visibilité, vous décidez des niveaux qui doivent être affichés dans Editor. Cette fonction garantit que les synoptiques les plus complexes peuvent être développés de manière simple. Les niveaux peuvent être utilisés immédiatement. Les niveaux n’ont aucune influence sur les informations affichées au premier plan ou en arrière-plan dans le Runtime.
Par défaut : 0.

Plus de détails dans l’aide en ligne.

VT_I4

StartX

Point de départ X [pixels]

Coordonnée Y du coin supérieur gauche du synoptique (en pixels).

Plus de détails dans l’aide en ligne.

VT_I4

EndX

Point final X [pixels]

Coordonnée X du coin inférieur droit du synoptique (en pixels).

Plus de détails dans l’aide en ligne.

VT_I4

StartY

Point de départ Y [pixels]

Coordonnée Y du coin supérieur gauche du synoptique (en pixels).

Plus de détails dans l’aide en ligne.

VT_I4

EndY

Point final Y [pixels]

Coordonnée Y du coin inférieur droit du synoptique (en pixels).

Plus de détails dans l’aide en ligne.

VT_I4

Width

Largeur [pixels]

Largeur des éléments en pixels.

Remarque : disponible uniquement pour les éléments Combinaison multiple, Élément combiné, Bouton et Interrupteur si la valeur Ajusté a été sélectionnée pour la propriété Taille du graphique.

Plus de détails dans l’aide en ligne.

VT_I4

Height

Hauteur [pixels]

Hauteur des éléments en pixels.

Remarque : disponible uniquement pour les éléments Combinaison multiple, Élément combiné, Bouton et Interrupteur si la valeur Ajusté a été sélectionnée pour la propriété Taille du graphique.

Plus de détails dans l’aide en ligne.

VT_I4

Angle

Angle de rotation [°]

Angle libre autour selon lequel doit pivoter l’élément.
Les valeurs positives correspondent à une rotation dans le sens antihoraire, tandis que les valeurs négatives correspondent à une rotation dans le sens horaire. Les valeurs supérieures à 360° sont affichées sous forme d’écart par rapport à 360° (400° correspond à 40°). Seuls les nombres entiers sont autorisés.

Sur les éléments pivotés, les actions suivantes ne sont plus possibles :

  • Miroir
  • Rotation de +/- 90°
  • Redimensionnement à l’aide des touches fléchées

Par défaut : 0

Remarque : Ce paramètre est activé et réinitialisé lors de la configuration pour Windows CE.

Plus de détails dans l’aide en ligne.

VT_I2

ZoomMin

Visible de

Incrément de zoom le plus bas auquel l’élément est visible dans la vue globale.
Par défaut : -1
Une valeur de visibilité avec des incréments de zoom de -1 à -1 signifie que l’élément est affiché, quel que soit l’incrément de zoom sélectionné.

Les niveaux de zoom affichés dans la vue globale peuvent être configurés avec la propriété Apparence graphique -> Généralités runtime -> Pas de zoom pour vue globale.

Attention : Ce niveau de zoom s’applique à tous les types de synoptiques et cadres. Si un niveau de zoom défini est supérieur à 0, l’élément est uniquement affiché dans la vue globale, car les autres types de synoptique sont automatiquement appelés avec le niveau de zoom 0.

Plus de détails dans l’aide en ligne.

VT_I2

ZoomMax

Visible jusqu'à

Incrément de zoom le plus élevé auquel l’élément est visible dans la vue globale.

Par défaut : -1
Une valeur de visibilité avec des incréments de zoom de -1 à -1 signifie que l’élément est affiché, quel que soit l’incrément de zoom sélectionné.

Les niveaux de zoom affichés dans la vue globale peuvent être configurés avec la propriété Apparence graphique -> Généralités runtime -> Pas de zoom pour vue globale.

Attention : Ce niveau de zoom s’applique à tous les types de synoptiques et cadres. Si un niveau de zoom défini est supérieur à 0, l’élément est uniquement affiché dans la vue globale, car les autres types de synoptique sont automatiquement appelés avec le niveau de zoom 0.

Plus de détails dans l’aide en ligne.

VT_BSTR

Stationname

Nom liste d'objets

L’élément est saisi directement dans la liste de stations du synoptique Vue globale, et le texte est saisi ici.

Plus de détails dans l’aide en ligne.

ZT_VARIABLE_DYN

LineColorVariable

Couleur de ligne

Nom des variables dont les couleurs de valeur limite doivent influencer la couleur de ligne/de texte de l’élément. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de variables.

Plus de détails dans l’aide en ligne.

ZT_PREVIEW

LineColorVarPreview

Affichage aperçu couleur

Affichage de la valeur limite pour la propriété Couleur de ligne définie pour la variable. Disponible uniquement si l’option Depuis la variable a été configurée pour la propriété Couleur de ligne.

Un aperçu des propriétés définies pour la valeur limite est affiché dans le champ. Aucun aperçu n’est affiché pour les matrices de réaction.
Cliquez sur le bouton ... pour ouvrir la boîte de dialogue d’affichage des résultats. Les valeurs limite sont uniquement affichées ; elles ne peuvent pas être modifiées. Les modifications doivent être effectuées directement dans les propriétés de la variable pour Valeurs limite.

Plus de détails dans l’aide en ligne.

ZT_VARIABLE_DYN

BackColorVariable

Couleur de remplissage

Nom de la variable dont les couleurs de valeur limite doivent influencer la couleur d’arrière-plan/de remplissage de l’élément.
Ouvre la boîte de dialogue de sélection de variables.

Plus de détails dans l’aide en ligne.

ZT_PREVIEW

BackColorVarPreview

Affichage aperçu couleur

Affichage de la valeur limite pour la propriété Couleur de remplissage définie pour la variable. Disponible uniquement si l’option Depuis la variable a été configurée pour la propriété Couleur de remplissage.

Un aperçu des propriétés définies pour la valeur limite est affiché dans le champ. Aucun aperçu n’est affiché pour les matrices de réaction.
Cliquez sur le bouton ... pour ouvrir la boîte de dialogue d’affichage des résultats. Les valeurs limite sont uniquement affichées ; elles ne peuvent pas être modifiées. Les modifications doivent être effectuées directement dans les propriétés de la variable pour Valeurs limite.

Plus de détails dans l’aide en ligne.

VT_UI1

HorizontalOrigin

Horizontal

Point de référence horizontal de l’événement. Les valeurs possibles sont : gauche, centré, droite.
Ce point est utilisé en tant que base de calcul de l’angle de départ de la rotation (statique et dynamique) et pour le changement dynamique de taille.

Par défaut : À gauche

Plus de détails dans l’aide en ligne.

VT_UI1

VerticalOrigin

Vertical

Point de référence vertical de l’événement. Les valeurs possibles sont : haut, centré, bas.
Ce point est utilisé en tant que base de calcul de l’angle de départ de la rotation (statique et dynamique) et pour le changement dynamique de taille.

Par défaut : En haut

Plus de détails dans l’aide en ligne.

VT_UI4

VisibilityType

Visibilité

Sélection depuis laquelle la visibilité d’un élément est déterminée :

  • Depuis une variable
  • Du verrrouillage

Par défaut : Depuis une variable

Plus de détails dans l’aide en ligne.

ZT_VARIABLE_DYN

VisibilityVariable

Variable

Disponible uniquement si l’option Depuis la variable a été configurée pour la propriété Visibilité.

Nom de la variable dont la valeur contrôle la visibilité de l’élément. La visibilité est soit reprise des propriétés de valeur limite de ces variables, soit définie par la plage de valeurs définie dans les propriétés de et À.
Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de variables. Vous pouvez également saisir manuellement le nom dans le champ de texte.
L'élément reste visible tant qu’aucune variable n’est liée.

Plus de détails dans l’aide en ligne.

ZT_PREVIEW

VisVarPreview

Affichage aperçu visibilité

Affichage des valeurs limite pour la visibilité définies pour la variable. Disponible uniquement si l’option Depuis la variable a été configurée pour la propriété Variable dans le groupe Visibilité.

Un aperçu des propriétés définies pour la valeur limite est affiché dans le champ. Aucun aperçu n’est affiché pour les matrices de réaction.
Cliquez sur le bouton ... pour ouvrir la boîte de dialogue d’affichage des résultats. Les valeurs limite sont uniquement affichées ; elles ne peuvent pas être modifiées. Les modifications doivent être effectuées directement dans les propriétés de la variable pour Valeurs limite.

Plus de détails dans l’aide en ligne.

VT_BOOL

VisibilityFromLimit

A partir des valeurs limites

Uniquement disponible après la sélection d’une variable :

  • Active : La visibilité de l’élément est influencée par la propriété de valeur limite de la variable.

    Attention : La propriété Invisible doit être active pour au moins une valeur limite de la variable.

  • Inactive : la visibilité est influencée par les propriétés de l’élément.

Par défaut : active

Plus de détails dans l’aide en ligne.

VT_R8

VisibilityFrom

de

Disponible uniquement après la sélection d’une variable, si la visibilité n’a pas été reprise par la valeur limite :

Valeur minimum de la variable à laquelle l’élément est visible.

  • Minimum : valeur minimum possible de la variable liée.
  • Maximum : valeur maximum possible de la variable liée.

Par défaut : valeur minimum possible de la variable liée.

Plus de détails dans l’aide en ligne.

VT_R8

VisibilityTo

À

Disponible uniquement après la sélection d’une variable, si la visibilité n’a pas été reprise par la valeur limite :

Valeur maximale de la variable à laquelle l’élément est visible.

  • Minimum : valeur minimum possible de la variable liée.
  • Maximum : valeur maximum possible de la variable liée.

Par défaut : valeur maximum possible de la variable liée.

Plus de détails dans l’aide en ligne.

VT_UI4

Interlocking

Verrouillage

Disponible uniquement si l’option Depuis le verrouillage est sélectionnée pour la propriété Visibilité.

Nom du verrouillage dont la valeur contrôle la visibilité de l’élément. Sélectionnez dans la liste déroulante. Celle-ci contient tous les verrouillages existants et utilisables. L’élément est toujours visible si aucun verrouillage n’est lié.

Plus de détails dans l’aide en ligne.

VT_BSTR

InterlockingName

InterlockingName

Description

VT_BOOL

VisibleWhenInterlocked

Visible si verrouillé

Contrôle la visibilité de l’élément lorsque le verrouillage est sélectionné :

  • Active : L’élément est visible s’il est verrouillé.
  • Inactive : L’élément est visible s’il n’est pas verrouillé.

Par défaut : inactive

Plus de détails dans l’aide en ligne.

ZT_VARIABLE_DYN

BlinkVariable

Affichage aperçu clignotement

Affichage des valeurs limite pour le clignotement définies pour la variable. Disponible uniquement si l’option Depuis la variable a été configurée pour la propriété Prendre le clignotement de la limite.

Un aperçu des propriétés définies pour la valeur limite est affiché dans le champ. Aucun aperçu n’est affiché pour les matrices de réaction.
Cliquez sur le bouton ... pour ouvrir la boîte de dialogue d’affichage des résultats. Les valeurs limite sont uniquement affichées ; elles ne peuvent pas être modifiées. Les modifications doivent être effectuées directement dans les propriétés de la variable pour Valeurs limite.

Plus de détails dans l’aide en ligne.

ZT_PREVIEW

BlinkVarPreview

Affichage aperçu clignotement

Affichage des valeurs limite pour le clignotement définies pour la variable. Disponible uniquement si l’option Depuis la variable a été configurée pour la propriété Prendre le clignotement de la limite.

Un aperçu des propriétés définies pour la valeur limite est affiché dans le champ. Aucun aperçu n’est affiché pour les matrices de réaction.
Cliquez sur le bouton ... pour ouvrir la boîte de dialogue d’affichage des résultats. Les valeurs limite sont uniquement affichées ; elles ne peuvent pas être modifiées. Les modifications doivent être effectuées directement dans les propriétés de la variable pour Valeurs limite.

Plus de détails dans l’aide en ligne.

VT_BOOL

UseBlinkColor

Couleur de clignotement par la limite

Active : Reprend la couleur d’arrière-plan du clignotement défini pour la valeur limite active de la variable pour Prendre le clignotement de la limite. Durant le clignotement, l’élément ne devient pas invisible, mais reprend la couleur d’arrière-plan active.

Par défaut : Inactive

Remarque : la couleur n’est pas prise en compte si la couleur d’arrière-plan Transparence est configurée.

Plus de détails dans l’aide en ligne.

ZT_VARIABLE_DYN

XVariable

Variable

Nom de la variable utilisée pour le déplacement horizontal de l’élément.
Ouvre la boîte de dialogue de sélection de variables.

Plus de détails dans l’aide en ligne.

VT_R8

XVarMin

Valeur min de la variable

Valeur minimale de la variable utilisée pour le déplacement horizontal de l’élément.

Plus de détails dans l’aide en ligne.

VT_R8

XVarMax

Valeur max de la variable

Valeur maximale de la variable utilisée pour le déplacement horizontal de l’élément.

Plus de détails dans l’aide en ligne.

VT_I4

XViewMin

Mouvement min [pixels]

Position horizontale de l’élément pour la valeur minimale de la variable (en pixels).

Plus de détails dans l’aide en ligne.

VT_I4

XViewMax

Mouvement max [pixels]

Position horizontale de l’élément pour la valeur minimale de la variable (en pixels).

Plus de détails dans l’aide en ligne.

ZT_VARIABLE_DYN

YVariable

Variable

Nom de la variable utilisée pour le déplacement vertical de l’élément.
Ouvre la boîte de dialogue de sélection de variables.

Plus de détails dans l’aide en ligne.

VT_R8

YVarMin

Valeur min de la variable

Valeur minimale de la variable utilisée pour le déplacement vertical de l’élément.

Plus de détails dans l’aide en ligne.

VT_R8

YVarMax

Valeur max de la variable

Valeur maximale de la variable utilisée pour le déplacement vertical de l’élément.

Plus de détails dans l’aide en ligne.

VT_I4

YViewMin

Mouvement min [pixels]

Position verticale de l’élément pour la valeur minimale de la variable (en pixels).

Plus de détails dans l’aide en ligne.

VT_I4

YViewMax

Mouvement max [pixels]

Position verticale de l’élément pour la valeur maximale de la variable (en pixels).

Plus de détails dans l’aide en ligne.

ZT_VARIABLE_DYN

XZoomVariable

Variable

Nom de la variable utilisée pour l’agrandissement de la largeur de l’élément.
Ouvre la boîte de dialogue de sélection de variables.

Plus de détails dans l’aide en ligne.

VT_R8

XZoomVarMin

Valeur min de la variable

Valeur minimale de la variable utilisée pour effectuer un zoom à la largeur de l’élément.

Plus de détails dans l’aide en ligne.

VT_R8

XZoomVarMax

Valeur max de la variable

Valeur maximale de la variable utilisée pour effectuer un zoom sur la largeur de l’élément.

Plus de détails dans l’aide en ligne.

VT_I4

XZoomViewMin

Largeur min [%]

Facteur de zoom correspondant à la largeur de l’élément pour la valeur minimale de la variable (en pixels).

Plus de détails dans l’aide en ligne.

VT_I4

XZoomViewMax

Largeur max [%]

Facteur de zoom correspondant à la largeur de l’élément pour la valeur maximale de la variable (en pixels).

Plus de détails dans l’aide en ligne.

ZT_VARIABLE_DYN

YZoomVariable

Variable

Nom de la variable utilisée pour l’agrandissement de la hauteur de l’élément.
Ouvre la boîte de dialogue de sélection de variables.

Plus de détails dans l’aide en ligne.

VT_R8

YZoomVarMin

Valeur min de la variable

Valeur minimum de la variable utilisée pour effectuer un zoom sur la hauteur de l’élément.

Plus de détails dans l’aide en ligne.

VT_R8

YZoomVarMax

Valeur max de la variable

Valeur maximum de la variable utilisée pour effectuer un zoom sur la hauteur de l’élément.

Plus de détails dans l’aide en ligne.

VT_I4

YZoomViewMin

Hauteur min [%]

Facteur de zoom correspondant à la hauteur de l’élément pour la valeur minimum de la variable (en %).

Plus de détails dans l’aide en ligne.

VT_I4

YZoomViewMax

Hauteur max [%]

Facteur de zoom correspondant à la hauteur de l’élément pour la valeur maximale de la variable (en pixels).

Plus de détails dans l’aide en ligne.

ZT_VARIABLE_DYN

TwistVariable

Variable

Nom de la variable utilisée pour la rotation de l’élément.

Plus de détails dans l’aide en ligne.

VT_R8

TwistVarMin

Valeur min de la variable

Valeur minimum de la variable utilisée pour la rotation de l’élément.

Plus de détails dans l’aide en ligne.

VT_R8

TwistVarMax

Valeur max de la variable

Valeur maximale de la variable utilisée pour la rotation de l’élément.

Plus de détails dans l’aide en ligne.

VT_I4

TwistViewMin

Rotation min [°]

Angle de rotation de l’élément pour la valeur minimum de la variable (en °).

Plus de détails dans l’aide en ligne.

VT_I4

TwistViewMax

Rotation max [°]

Angle de rotation de l’élément pour la valeur maximum de la variable (en °).

Plus de détails dans l’aide en ligne.

ZT_STYLE

ShadowEffectStyle

Style effet cadres/ombres

Affichage et sélection du style de cadre et d’ombre attribué à l’élément.

Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de style.
Si plusieurs éléments ont été sélectionnés, ils peuvent être attribués à un style commun.

Remarque : Seules les propriétés compatibles avec l’élément correspondant sont prises en charge.

Plus de détails dans l’aide en ligne.

VT_BOOL

EnablePunchFrame

Afficher le cadre

A frame around the element can be displayed.
Default: inactive.

ZT_STYLE

GlowEffectStyle

Style effet de rayonnement

Affichage et sélection du style des effets de luminescence attribués à l’élément.

Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de style.
Si plusieurs éléments ont été sélectionnés, ils peuvent être attribués à un style commun.

Remarque : Seules les propriétés compatibles avec l’élément correspondant sont prises en charge.

Plus de détails dans l’aide en ligne.

VT_BOOL

GlowEffectEvent

Actif seulement si cliqué

Disponible uniquement si la propriété Activer est active et l’élément est un bouton.

Active : l’effet de luminescence est uniquement affiché lorsque l’utilisateur clique sur le bouton. Cliquer sur le bouton permet de modifier la couleur, le clignotement ou l’invisibilité de l’effet de luminescence.

Par défaut : Inactive

Plus de détails dans l’aide en ligne.

ZT_VARIABLE_DYN

GlowEffectGlowColorVariable

Variable pour la couleur

Disponible uniquement si la propriété Activer est active. La propriété Coloration doit être activée.

Nom de la variable dont la couleur aux valeurs limites doit influencer la couleur de l’effet de luminescence pour l’élément. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de variables. Vous pouvez également saisir le nom manuellement dans le champ de texte. Si aucune variable n’est liée, la couleur définie dans la propriété Couleur est utilisée.

Par défaut : aucune variable liée

Plus de détails dans l’aide en ligne.

ZT_PREVIEW

GlowEffectGlowColorVariablePreview

Affichage aperçu couleur

Affichage de la valeur limite définie pour la variable de couleur lorsque l’effet de luminescence est actif. Disponible uniquement si l’option Depuis la variable a été configurée pour la propriété Variable pour la couleur.

Un aperçu des propriétés définies pour la valeur limite est affiché dans le champ. Aucun aperçu n’est affiché pour les matrices de réaction.
Cliquez sur le bouton ... pour ouvrir la boîte de dialogue d’affichage des résultats. Les valeurs limite sont uniquement affichées ; elles ne peuvent pas être modifiées. Les modifications doivent être effectuées directement dans les propriétés de la variable pour Valeurs limite.

Plus de détails dans l’aide en ligne.

ZT_VARIABLE_DYN

GlowEffectVisibilityVariable

Variable pour la visibilité

Disponible uniquement si la propriété Activer est active.

Nom de la variable dont la valeur influence la visibilité de l’effet de luminescence. La visibilité est soit reprise des propriétés de valeur limite de cette variable (propriété Visibilité depuis valeur limite active), soit définie par la plage de valeurs définie dans les propriétés Visible de et Visible jusqu'à. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de variables. Vous pouvez également saisir le nom manuellement dans le champ de texte.

Remarque : si aucune variable n’est liée, l’effet de luminescence est toujours visible.

Par défaut : aucune variable liée

Plus de détails dans l’aide en ligne.

ZT_PREVIEW

GlowEffectVisibilityVariablePreview

Affichage aperçu visibilité

Affichage de la valeur limite définie pour la variable de visibilité lorsque l’effet de luminescence est actif. Disponible uniquement si l’option Depuis la variable a été configurée pour la propriété Variable pour la visibilité.

Un aperçu des propriétés définies pour la valeur limite est affiché dans le champ. Aucun aperçu n’est affiché pour les matrices de réaction.
Cliquez sur le bouton ... pour ouvrir la boîte de dialogue d’affichage des résultats. Les valeurs limite sont uniquement affichées ; elles ne peuvent pas être modifiées. Les modifications doivent être effectuées directement dans les propriétés de la variable pour Valeurs limite.

Plus de détails dans l’aide en ligne.

VT_BOOL

GlowEffectVisibilityFromLimit

Visibilité depuis valeur limite

Disponible uniquement si la propriété Activer est active. Vous devez en outre définir une variable dans la propriété Variable pour la visibilité.

Active : La visibilité de l’effet de luminescence est influencée par la propriété de valeur limite de la variable.

Attention : Pour une valeur limite de la variable au moins, la propriété Invisible doit être active.

Inactive : la visibilité est influencée par les propriétés de l’élément.

Plus de détails dans l’aide en ligne.

VT_R8

GlowEffectVisibilityFrom

Visible de

Disponible uniquement si la propriété Activer est active. Vous devez en outre définir une variable dans la propriété Variable pour la visibilité ; la propriété Visibilité depuis valeur limite doit être inactive.

Définit la valeur à partir de laquelle l’effet de luminescence devient visible.
Minimum : valeur la moins élevée autorisée pour la variable liée dans Variable pour la visibilité.
Maximum : valeur la moins élevée autorisée pour la variable liée dans Variable pour la visibilité.
Par défaut : valeur la plus élevée autorisée pour la variable liée dans Variable pour la visibilité.

Plus de détails dans l’aide en ligne.

VT_R8

GlowEffectVisibilityTo

Visible jusqu'à

Disponible uniquement si la propriété Activer est active. Vous devez en outre définir une variable dans la propriété Variable pour la visibilité ; la propriété Visibilité depuis valeur limite doit être inactive.

Définit la valeur jusqu’à laquelle l’effet de luminescence reste visible.
Minimum : valeur la plus basse autorisée pour la variable liée dans Variable pour la visibilité.
Maximum : valeur la plus élevée autorisée pour la variable liée dans Variable pour la visibilité.
Par défaut : valeur la plus élevée autorisée pour la variable liée dans Variable pour la visibilité.

Plus de détails dans l’aide en ligne.

ZT_VARIABLE_DYN

GlowEffectBlinkVariable

Variable pour le clignotement

Variables dont les paramètres de clignotement de l’effet de luminescence aux valeurs limites doivent être repris. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de variables.

Par défaut : aucune variable liée

Plus de détails dans l’aide en ligne.

ZT_PREVIEW

GlowEffectBlinkVariablePreview

Affichage aperçu clignotement

Affichage de la valeur limite définie pour la variable de clignotement lorsque l’effet de luminescence est actif. Disponible uniquement si l’option Depuis la variable a été configurée pour la propriété Variable pour le clignotement.

Un aperçu des propriétés définies pour la valeur limite est affiché dans le champ. Aucun aperçu n’est affiché pour les matrices de réaction.
Cliquez sur le bouton ... pour ouvrir la boîte de dialogue d’affichage des résultats. Les valeurs limite sont uniquement affichées ; elles ne peuvent pas être modifiées. Les modifications doivent être effectuées directement dans les propriétés de la variable pour Valeurs limite.

Plus de détails dans l’aide en ligne.

VT_BOOL

GlowEffectUseBlinkColor

Clignotement depuis valeur limite

Disponible uniquement si la propriété Activer est active. Vous devez en outre définir une variable dans la propriété Variable pour le clignotement.

Active : Reprend, pour l’effet de luminescence, la couleur de clignotement de la valeur limite active pour la variable définie dans la propriété Couleur de clignotement par la limite. Cette propriété agit indépendamment de la propriété Coloration. En cas de clignotement, l’effet de luminescence ne devient pas invisible, mais reprend les paramètres de l’effet de luminescence actif.

Par défaut : Inactive

Plus de détails dans l’aide en ligne.

VT_BOOL

GlowEffect2ndBlinkStateVisible

2 états de clignotement invisibles

Disponible uniquement si la propriété Activer est active. Vous devez en outre définir une variable dans la propriété Variable pour le clignotement ; la propriété Clignotement depuis valeur limite doit être inactive.

Active : En cas de clignotement, l’effet de luminescence ne bascule pas vers l’effet de luminescence actif, mais devient invisible. Ceci permet de basculer entre l’invisibilité et la couleur de clignotement en cas de dépassement de la valeur limite.

Par défaut : Inactive

Plus de détails dans l’aide en ligne.


Combobox

Manuel -> Interfaces de programmation -> Modèles d'objet -> Element -> Element-Dynamic properties -> Combobox

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Type

VBA/VSTA Name

Display Name

Description

VT_BOOL

ShowBorder

Montrer le cadre

Permet d’afficher un cadre autour de l’élément. Les indicateurs des propriétés Style L et Style H sont masqués.

active : le cadre est affiché autour de l’élément correspondant.

(Par défaut) Inactive :

Plus de détails dans l’aide en ligne.

ZT_SCHRIFT

Font

Police

Sélection de la police utilisée pour l’affichage.

Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection. La police de caractères sélectionnée est liée.

Plus de détails dans l’aide en ligne.

VT_BOOL

TranslateText

Traduire le texte affiché
  • Active : le texte devant être affiché est traduit. Si un texte est modifié, la version provisoire est affichée avec la traduction.

Par défaut : Inactive

Plus de détails dans l’aide en ligne.

VT_UI2

StyleL

Style L

Style Windows de l’élément ; utilisation interne uniquement.

Plus de détails dans l’aide en ligne.

VT_UI2

StyleH

Style H

Style Windows de l’élément ; utilisation interne uniquement.

Plus de détails dans l’aide en ligne.

ZT_COLOR

TextColor

Couleur du texte

Couleur du texte de l’élément.

Plus de détails dans l’aide en ligne.

ZT_COLOR

BackColor

Couleur de remplissage

Disponible uniquement si la propriété Transparence est inactive.

Définit la couleur de remplissage de l’élément. Cliquez sur le bouton pour ouvrir la palette de couleurs prédéfinies. Vous pouvez également définir la couleur en saisissant manuellement le code hexadécimal (RVB) dans le champ. La couleur de remplissage peut être modifiée de manière dynamique à l’aide de la propriété Couleur de remplissage du groupe Couleur(s) de remplissage dynamique(s).

Remarque : La couleur du nouvel élément sera la couleur utilisée pour le précédent élément du même type.

Attention : dans la fenêtre Vue globale, les modifications des couleurs dans Editor n’ont aucune incidence dans le Runtime.

Plus de détails dans l’aide en ligne.

VT_BSTR

Legend

Texte

Intitulé de l’élément dans Editor.

Plus de détails dans l’aide en ligne.

VT_BOOL

Tab

Le focus est donné à l'élément

Active : L’élément dynamique peut être actionné à l’aide du clavier.
Inactive : L’élément dynamique n’est pas accessible à l’aide du clavier.
Par défaut : active.

Plus de détails dans l’aide en ligne.

VT_I4

TABOrderH

Position du focus gauche/droite

Définit la position horizontale pour l’utilisation à l’aide du clavier dans le Runtime. La position est définie par l’intermédiaire du menu contextuel et de l’utilisation de la souris dans la fenêtre principale ; elle ne peut pas être modifiée ici.

Plus de détails dans l’aide en ligne.

VT_I4

TABOrderV

Position focus haut / bas

Définit la position verticale pour l’utilisation à l’aide du clavier dans le Runtime. La position est définie par l’intermédiaire du menu contextuel et de l’utilisation de la souris dans la fenêtre principale ; elle ne peut pas être modifiée ici.

Plus de détails dans l’aide en ligne.

ZT_SHORTCUT

ShortCut

Raccourci-clavier

Les raccourcis autorisent l’exécution d’éléments actionnables. Par exemple :

- Exécution d’éléments de contrôle et de fonctions auxquelles un élément est attribué
- Écriture de valeurs prescrites (par ex. pour des interrupteurs)
- Configuration du focus pour certaines fenêtres (par ex. liste des courbes dans le module Extended Trend, ou liste déroulante dans le module RGM)

Cliquez sur le bouton du champ de saisie pour ouvrir la boîte de dialogue de définition des combinaisons de touches. Dans la boîte de dialogue, saisissez directement la combinaison souhaitée.

Plus de détails dans l’aide en ligne.

VT_BOOL

KbdUsage

Synoptique clavier

Disponible uniquement si la propriété Synoptique clavier est active.

Nom du synoptique de clavier lié.
Si aucun synoptique de clavier n’est saisi, le clavier correspondant est appelé dans le Runtime :

  • Variable String (chaîne) : SETSTRINGKBD
  • Variable numérique : SETVALUEKBD
  • Variable binaire : SETBOOLKBD

Remarque : Pour l’option Champ de saisie, aucun clavier n’est appelé si l’option Synoptique clavier est activée. Un synoptique de clavier doit être lié.

Plus de détails dans l’aide en ligne.

ZT_VBAMAKRO

DragDrop

DragDrop

Macro VBA à exécuter lorsque le bouton de la souris est relâché.

Plus de détails dans l’aide en ligne.

ZT_VBAMAKRO

DragOver

DragOver

Macro VBA à exécuter lorsque le curseur est déplacé au-dessus de l’élément pendant que le bouton gauche est enfoncé.

Plus de détails dans l’aide en ligne.

ZT_VBAMAKRO

DragBegin

DragBegin

Macro VBA à exécuter lorsque l’utilisateur commence à faire glisser l’objet.

Plus de détails dans l’aide en ligne.

ZT_STYLE

StyleGroup

Groupe de styles

Affichage et sélection du groupe de styles attribué à l’élément.
Cliquez sur le bouton ... pour ouvrir la boîte de dialogue permettant de sélectionner un groupe de styles.
Si plusieurs éléments sont sélectionnés, elles peuvent être attribuées à un groupe de styles commun.

Remarque : Seules les propriétés compatibles avec l’élément correspondant sont prises en charge.

Plus de détails dans l’aide en ligne.

More...

LnClVariable

LnClVariable

"With this property you have the opportunity to get informations about the variable which is linked as ""line/text color"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""LnClVariable.SymVarName"") 'Return the name of the ""line/text color"" variable
zElement.DynProperties (""LnClVariable.SymVarTagNr"") 'Return the identification of the ""line/text color"" variable"

More...

BkClVariable

BkClVariable

"With this property you have the opportunity to get informations about the variable which is linked as ""background/filling color"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""BkClVariable.SymVarName"") 'Return the name of the ""background/filling color"" variable
zElement.DynProperties (""BkClVariable.SymVarTagNr"") 'Return the identification of the ""background/filling color"" variable"

More...

BkCl2Variable

"BkCl2Variable"

More...

XVar

XVar

"With this property you have the opportunity to get informations about the variable which is linked as ""dynamic x position"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""XVar.SymVarName"") 'Return the name of the ""dynamic x position"" variable
zElement.DynProperties (""XVar.SymVarTagNr"") 'Return the identification of the ""dynamic x position"" variable"

More...

YVar

YVar

"With this property you have the opportunity to get informations about the variable which is linked as ""dynamic y position"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""YVar.SymVarName"") 'Return the name of the ""dynamic y position"" variable
zElement.DynProperties (""YVar.SymVarTagNr"") 'Return the identification of the ""dynamic y position"" variable"

More...

XVarZoom

XVarZoom

"With this property you have the opportunity to get informations about the variable which is linked as ""change width"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""XVarZoom.SymVarName"") 'Return the name of the ""change width"" variable
zElement.DynProperties (""XVarZoom.SymVarTagNr"") 'Return the identification of the ""change width"" variable"

More...

YVarZoom

YVarZoom

"With this property you have the opportunity to get informations about the variable which is linked as ""change height"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""YVarZoom.SymVarName"") 'Return the name of the ""change height"" variable
zElement.DynProperties (""YVarZoom.SymVarName"") 'Return the name of the ""change height"" variable
zElement.DynProperties (""YVarZoom.SymVarTagNr"") 'Return the identification of the ""change height"" variable"

More...

TwistVar

TwistVar

"With this property you have the opportunity to get informations about the variable which is linked as ""rotate"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""TwistVar.SymVarName"") 'Return the name of the ""rotate"" variable
zElement.DynProperties (""TwistVar.SymVarTagNr"") 'Return the identification of the ""rotate"" variable"

More...

VisVariable

VisVariable

"With this property you have the opportunity to get informations about the variable which is linked as ""visibility"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""VisVariable.SymVarName"") 'Return the name of the ""visibility"" variable
zElement.DynProperties (""VisVariable.SymVarTagNr"") 'Return the identification of the ""visibility"" variable"

More...

BlinkVar

BlinkVar

More...

GlowEffectGlowColorVar

GlowEffectGlowColorVar

More...

GlowEffectVisibilityVar

GlowEffectVisibilityVar

More...

GlowEffectBlinkVar

GlowEffectBlinkVar

VT_BSTR

Name

Nom d'élément

Attribuez un nom d’élément.
Il ne doit pas être vide.

Attention : Cette propriété n’est pas disponible aux fins de la commutation de langue.

Remarques concernant les cadrans : Pour les conteneurs de synoptique, spécifiez des noms clairement identifiables pour faciliter la sélection lors de la configuration des appels de synoptique.

Plus de détails dans l’aide en ligne.

VT_UI1

Layer

Niveau de visibilité

Sélectionnez l’un des 16 niveaux de visibilité (0 à 15) dans la liste déroulante. À l’aide de la barre d’outils Niveau de visibilité, vous décidez des niveaux qui doivent être affichés dans Editor. Cette fonction garantit que les synoptiques les plus complexes peuvent être développés de manière simple. Les niveaux peuvent être utilisés immédiatement. Les niveaux n’ont aucune influence sur les informations affichées au premier plan ou en arrière-plan dans le Runtime.
Par défaut : 0.

Plus de détails dans l’aide en ligne.

VT_I4

StartX

Point de départ X [pixels]

Coordonnée Y du coin supérieur gauche du synoptique (en pixels).

Plus de détails dans l’aide en ligne.

VT_I4

EndX

Point final X [pixels]

Coordonnée X du coin inférieur droit du synoptique (en pixels).

Plus de détails dans l’aide en ligne.

VT_I4

StartY

Point de départ Y [pixels]

Coordonnée Y du coin supérieur gauche du synoptique (en pixels).

Plus de détails dans l’aide en ligne.

VT_I4

EndY

Point final Y [pixels]

Coordonnée Y du coin inférieur droit du synoptique (en pixels).

Plus de détails dans l’aide en ligne.

VT_I4

Width

Largeur [pixels]

Largeur des éléments en pixels.

Remarque : disponible uniquement pour les éléments Combinaison multiple, Élément combiné, Bouton et Interrupteur si la valeur Ajusté a été sélectionnée pour la propriété Taille du graphique.

Plus de détails dans l’aide en ligne.

VT_I4

Height

Hauteur [pixels]

Hauteur des éléments en pixels.

Remarque : disponible uniquement pour les éléments Combinaison multiple, Élément combiné, Bouton et Interrupteur si la valeur Ajusté a été sélectionnée pour la propriété Taille du graphique.

Plus de détails dans l’aide en ligne.

VT_I4

Angle

Angle de rotation [°]

Angle libre autour selon lequel doit pivoter l’élément.
Les valeurs positives correspondent à une rotation dans le sens antihoraire, tandis que les valeurs négatives correspondent à une rotation dans le sens horaire. Les valeurs supérieures à 360° sont affichées sous forme d’écart par rapport à 360° (400° correspond à 40°). Seuls les nombres entiers sont autorisés.

Sur les éléments pivotés, les actions suivantes ne sont plus possibles :

  • Miroir
  • Rotation de +/- 90°
  • Redimensionnement à l’aide des touches fléchées

Par défaut : 0

Remarque : Ce paramètre est activé et réinitialisé lors de la configuration pour Windows CE.

Plus de détails dans l’aide en ligne.

VT_I2

ZoomMin

Visible de

Incrément de zoom le plus bas auquel l’élément est visible dans la vue globale.
Par défaut : -1
Une valeur de visibilité avec des incréments de zoom de -1 à -1 signifie que l’élément est affiché, quel que soit l’incrément de zoom sélectionné.

Les niveaux de zoom affichés dans la vue globale peuvent être configurés avec la propriété Apparence graphique -> Généralités runtime -> Pas de zoom pour vue globale.

Attention : Ce niveau de zoom s’applique à tous les types de synoptiques et cadres. Si un niveau de zoom défini est supérieur à 0, l’élément est uniquement affiché dans la vue globale, car les autres types de synoptique sont automatiquement appelés avec le niveau de zoom 0.

Plus de détails dans l’aide en ligne.

VT_I2

ZoomMax

Visible jusqu'à

Incrément de zoom le plus élevé auquel l’élément est visible dans la vue globale.

Par défaut : -1
Une valeur de visibilité avec des incréments de zoom de -1 à -1 signifie que l’élément est affiché, quel que soit l’incrément de zoom sélectionné.

Les niveaux de zoom affichés dans la vue globale peuvent être configurés avec la propriété Apparence graphique -> Généralités runtime -> Pas de zoom pour vue globale.

Attention : Ce niveau de zoom s’applique à tous les types de synoptiques et cadres. Si un niveau de zoom défini est supérieur à 0, l’élément est uniquement affiché dans la vue globale, car les autres types de synoptique sont automatiquement appelés avec le niveau de zoom 0.

Plus de détails dans l’aide en ligne.

VT_BSTR

Stationname

Nom liste d'objets

L’élément est saisi directement dans la liste de stations du synoptique Vue globale, et le texte est saisi ici.

Plus de détails dans l’aide en ligne.

ZT_VARIABLE_DYN

LineColorVariable

Couleur de ligne

Nom des variables dont les couleurs de valeur limite doivent influencer la couleur de ligne/de texte de l’élément. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de variables.

Plus de détails dans l’aide en ligne.

ZT_PREVIEW

LineColorVarPreview

Affichage aperçu couleur

Affichage de la valeur limite pour la propriété Couleur de ligne définie pour la variable. Disponible uniquement si l’option Depuis la variable a été configurée pour la propriété Couleur de ligne.

Un aperçu des propriétés définies pour la valeur limite est affiché dans le champ. Aucun aperçu n’est affiché pour les matrices de réaction.
Cliquez sur le bouton ... pour ouvrir la boîte de dialogue d’affichage des résultats. Les valeurs limite sont uniquement affichées ; elles ne peuvent pas être modifiées. Les modifications doivent être effectuées directement dans les propriétés de la variable pour Valeurs limite.

Plus de détails dans l’aide en ligne.

ZT_VARIABLE_DYN

BackColorVariable

Couleur de remplissage

Nom de la variable dont les couleurs de valeur limite doivent influencer la couleur d’arrière-plan/de remplissage de l’élément.
Ouvre la boîte de dialogue de sélection de variables.

Plus de détails dans l’aide en ligne.

ZT_PREVIEW

BackColorVarPreview

Affichage aperçu couleur

Affichage de la valeur limite pour la propriété Couleur de remplissage définie pour la variable. Disponible uniquement si l’option Depuis la variable a été configurée pour la propriété Couleur de remplissage.

Un aperçu des propriétés définies pour la valeur limite est affiché dans le champ. Aucun aperçu n’est affiché pour les matrices de réaction.
Cliquez sur le bouton ... pour ouvrir la boîte de dialogue d’affichage des résultats. Les valeurs limite sont uniquement affichées ; elles ne peuvent pas être modifiées. Les modifications doivent être effectuées directement dans les propriétés de la variable pour Valeurs limite.

Plus de détails dans l’aide en ligne.

VT_UI1

HorizontalOrigin

Horizontal

Point de référence horizontal de l’événement. Les valeurs possibles sont : gauche, centré, droite.
Ce point est utilisé en tant que base de calcul de l’angle de départ de la rotation (statique et dynamique) et pour le changement dynamique de taille.

Par défaut : À gauche

Plus de détails dans l’aide en ligne.

VT_UI1

VerticalOrigin

Vertical

Point de référence vertical de l’événement. Les valeurs possibles sont : haut, centré, bas.
Ce point est utilisé en tant que base de calcul de l’angle de départ de la rotation (statique et dynamique) et pour le changement dynamique de taille.

Par défaut : En haut

Plus de détails dans l’aide en ligne.

VT_UI4

VisibilityType

Visibilité

Sélection depuis laquelle la visibilité d’un élément est déterminée :

  • Depuis une variable
  • Du verrrouillage

Par défaut : Depuis une variable

Plus de détails dans l’aide en ligne.

ZT_VARIABLE_DYN

VisibilityVariable

Variable

Disponible uniquement si l’option Depuis la variable a été configurée pour la propriété Visibilité.

Nom de la variable dont la valeur contrôle la visibilité de l’élément. La visibilité est soit reprise des propriétés de valeur limite de ces variables, soit définie par la plage de valeurs définie dans les propriétés de et À.
Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de variables. Vous pouvez également saisir manuellement le nom dans le champ de texte.
L'élément reste visible tant qu’aucune variable n’est liée.

Plus de détails dans l’aide en ligne.

ZT_PREVIEW

VisVarPreview

Affichage aperçu visibilité

Affichage des valeurs limite pour la visibilité définies pour la variable. Disponible uniquement si l’option Depuis la variable a été configurée pour la propriété Variable dans le groupe Visibilité.

Un aperçu des propriétés définies pour la valeur limite est affiché dans le champ. Aucun aperçu n’est affiché pour les matrices de réaction.
Cliquez sur le bouton ... pour ouvrir la boîte de dialogue d’affichage des résultats. Les valeurs limite sont uniquement affichées ; elles ne peuvent pas être modifiées. Les modifications doivent être effectuées directement dans les propriétés de la variable pour Valeurs limite.

Plus de détails dans l’aide en ligne.

VT_BOOL

VisibilityFromLimit

A partir des valeurs limites

Uniquement disponible après la sélection d’une variable :

  • Active : La visibilité de l’élément est influencée par la propriété de valeur limite de la variable.

    Attention : La propriété Invisible doit être active pour au moins une valeur limite de la variable.

  • Inactive : la visibilité est influencée par les propriétés de l’élément.

Par défaut : active

Plus de détails dans l’aide en ligne.

VT_R8

VisibilityFrom

de

Disponible uniquement après la sélection d’une variable, si la visibilité n’a pas été reprise par la valeur limite :

Valeur minimum de la variable à laquelle l’élément est visible.

  • Minimum : valeur minimum possible de la variable liée.
  • Maximum : valeur maximum possible de la variable liée.

Par défaut : valeur minimum possible de la variable liée.

Plus de détails dans l’aide en ligne.

VT_R8

VisibilityTo

À

Disponible uniquement après la sélection d’une variable, si la visibilité n’a pas été reprise par la valeur limite :

Valeur maximale de la variable à laquelle l’élément est visible.

  • Minimum : valeur minimum possible de la variable liée.
  • Maximum : valeur maximum possible de la variable liée.

Par défaut : valeur maximum possible de la variable liée.

Plus de détails dans l’aide en ligne.

VT_UI4

Interlocking

Verrouillage

Disponible uniquement si l’option Depuis le verrouillage est sélectionnée pour la propriété Visibilité.

Nom du verrouillage dont la valeur contrôle la visibilité de l’élément. Sélectionnez dans la liste déroulante. Celle-ci contient tous les verrouillages existants et utilisables. L’élément est toujours visible si aucun verrouillage n’est lié.

Plus de détails dans l’aide en ligne.

VT_BSTR

InterlockingName

InterlockingName

Description

VT_BOOL

VisibleWhenInterlocked

Visible si verrouillé

Contrôle la visibilité de l’élément lorsque le verrouillage est sélectionné :

  • Active : L’élément est visible s’il est verrouillé.
  • Inactive : L’élément est visible s’il n’est pas verrouillé.

Par défaut : inactive

Plus de détails dans l’aide en ligne.

ZT_VARIABLE_DYN

BlinkVariable

Affichage aperçu clignotement

Affichage des valeurs limite pour le clignotement définies pour la variable. Disponible uniquement si l’option Depuis la variable a été configurée pour la propriété Prendre le clignotement de la limite.

Un aperçu des propriétés définies pour la valeur limite est affiché dans le champ. Aucun aperçu n’est affiché pour les matrices de réaction.
Cliquez sur le bouton ... pour ouvrir la boîte de dialogue d’affichage des résultats. Les valeurs limite sont uniquement affichées ; elles ne peuvent pas être modifiées. Les modifications doivent être effectuées directement dans les propriétés de la variable pour Valeurs limite.

Plus de détails dans l’aide en ligne.

ZT_PREVIEW

BlinkVarPreview

Affichage aperçu clignotement

Affichage des valeurs limite pour le clignotement définies pour la variable. Disponible uniquement si l’option Depuis la variable a été configurée pour la propriété Prendre le clignotement de la limite.

Un aperçu des propriétés définies pour la valeur limite est affiché dans le champ. Aucun aperçu n’est affiché pour les matrices de réaction.
Cliquez sur le bouton ... pour ouvrir la boîte de dialogue d’affichage des résultats. Les valeurs limite sont uniquement affichées ; elles ne peuvent pas être modifiées. Les modifications doivent être effectuées directement dans les propriétés de la variable pour Valeurs limite.

Plus de détails dans l’aide en ligne.

VT_BOOL

UseBlinkColor

Couleur de clignotement par la limite

Active : Reprend la couleur d’arrière-plan du clignotement défini pour la valeur limite active de la variable pour Prendre le clignotement de la limite. Durant le clignotement, l’élément ne devient pas invisible, mais reprend la couleur d’arrière-plan active.

Par défaut : Inactive

Remarque : la couleur n’est pas prise en compte si la couleur d’arrière-plan Transparence est configurée.

Plus de détails dans l’aide en ligne.

ZT_VARIABLE_DYN

XVariable

Variable

Nom de la variable utilisée pour le déplacement horizontal de l’élément.
Ouvre la boîte de dialogue de sélection de variables.

Plus de détails dans l’aide en ligne.

VT_R8

XVarMin

Valeur min de la variable

Valeur minimale de la variable utilisée pour le déplacement horizontal de l’élément.

Plus de détails dans l’aide en ligne.

VT_R8

XVarMax

Valeur max de la variable

Valeur maximale de la variable utilisée pour le déplacement horizontal de l’élément.

Plus de détails dans l’aide en ligne.

VT_I4

XViewMin

Mouvement min [pixels]

Position horizontale de l’élément pour la valeur minimale de la variable (en pixels).

Plus de détails dans l’aide en ligne.

VT_I4

XViewMax

Mouvement max [pixels]

Position horizontale de l’élément pour la valeur minimale de la variable (en pixels).

Plus de détails dans l’aide en ligne.

ZT_VARIABLE_DYN

YVariable

Variable

Nom de la variable utilisée pour le déplacement vertical de l’élément.
Ouvre la boîte de dialogue de sélection de variables.

Plus de détails dans l’aide en ligne.

VT_R8

YVarMin

Valeur min de la variable

Valeur minimale de la variable utilisée pour le déplacement vertical de l’élément.

Plus de détails dans l’aide en ligne.

VT_R8

YVarMax

Valeur max de la variable

Valeur maximale de la variable utilisée pour le déplacement vertical de l’élément.

Plus de détails dans l’aide en ligne.

VT_I4

YViewMin

Mouvement min [pixels]

Position verticale de l’élément pour la valeur minimale de la variable (en pixels).

Plus de détails dans l’aide en ligne.

VT_I4

YViewMax

Mouvement max [pixels]

Position verticale de l’élément pour la valeur maximale de la variable (en pixels).

Plus de détails dans l’aide en ligne.

ZT_VARIABLE_DYN

XZoomVariable

Variable

Nom de la variable utilisée pour l’agrandissement de la largeur de l’élément.
Ouvre la boîte de dialogue de sélection de variables.

Plus de détails dans l’aide en ligne.

VT_R8

XZoomVarMin

Valeur min de la variable

Valeur minimale de la variable utilisée pour effectuer un zoom à la largeur de l’élément.

Plus de détails dans l’aide en ligne.

VT_R8

XZoomVarMax

Valeur max de la variable

Valeur maximale de la variable utilisée pour effectuer un zoom sur la largeur de l’élément.

Plus de détails dans l’aide en ligne.

VT_I4

XZoomViewMin

Largeur min [%]

Facteur de zoom correspondant à la largeur de l’élément pour la valeur minimale de la variable (en pixels).

Plus de détails dans l’aide en ligne.

VT_I4

XZoomViewMax

Largeur max [%]

Facteur de zoom correspondant à la largeur de l’élément pour la valeur maximale de la variable (en pixels).

Plus de détails dans l’aide en ligne.

ZT_VARIABLE_DYN

YZoomVariable

Variable

Nom de la variable utilisée pour l’agrandissement de la hauteur de l’élément.
Ouvre la boîte de dialogue de sélection de variables.

Plus de détails dans l’aide en ligne.

VT_R8

YZoomVarMin

Valeur min de la variable

Valeur minimum de la variable utilisée pour effectuer un zoom sur la hauteur de l’élément.

Plus de détails dans l’aide en ligne.

VT_R8

YZoomVarMax

Valeur max de la variable

Valeur maximum de la variable utilisée pour effectuer un zoom sur la hauteur de l’élément.

Plus de détails dans l’aide en ligne.

VT_I4

YZoomViewMin

Hauteur min [%]

Facteur de zoom correspondant à la hauteur de l’élément pour la valeur minimum de la variable (en %).

Plus de détails dans l’aide en ligne.

VT_I4

YZoomViewMax

Hauteur max [%]

Facteur de zoom correspondant à la hauteur de l’élément pour la valeur maximale de la variable (en pixels).

Plus de détails dans l’aide en ligne.

ZT_VARIABLE_DYN

TwistVariable

Variable

Nom de la variable utilisée pour la rotation de l’élément.

Plus de détails dans l’aide en ligne.

VT_R8

TwistVarMin

Valeur min de la variable

Valeur minimum de la variable utilisée pour la rotation de l’élément.

Plus de détails dans l’aide en ligne.

VT_R8

TwistVarMax

Valeur max de la variable

Valeur maximale de la variable utilisée pour la rotation de l’élément.

Plus de détails dans l’aide en ligne.

VT_I4

TwistViewMin

Rotation min [°]

Angle de rotation de l’élément pour la valeur minimum de la variable (en °).

Plus de détails dans l’aide en ligne.

VT_I4

TwistViewMax

Rotation max [°]

Angle de rotation de l’élément pour la valeur maximum de la variable (en °).

Plus de détails dans l’aide en ligne.

ZT_STYLE

ShadowEffectStyle

Style effet cadres/ombres

Affichage et sélection du style de cadre et d’ombre attribué à l’élément.

Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de style.
Si plusieurs éléments ont été sélectionnés, ils peuvent être attribués à un style commun.

Remarque : Seules les propriétés compatibles avec l’élément correspondant sont prises en charge.

Plus de détails dans l’aide en ligne.

VT_BOOL

EnablePunchFrame

Afficher le cadre

A frame around the element can be displayed.
Default: inactive.

ZT_STYLE

GlowEffectStyle

Style effet de rayonnement

Affichage et sélection du style des effets de luminescence attribués à l’élément.

Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de style.
Si plusieurs éléments ont été sélectionnés, ils peuvent être attribués à un style commun.

Remarque : Seules les propriétés compatibles avec l’élément correspondant sont prises en charge.

Plus de détails dans l’aide en ligne.

VT_BOOL

GlowEffectEvent

Actif seulement si cliqué

Disponible uniquement si la propriété Activer est active et l’élément est un bouton.

Active : l’effet de luminescence est uniquement affiché lorsque l’utilisateur clique sur le bouton. Cliquer sur le bouton permet de modifier la couleur, le clignotement ou l’invisibilité de l’effet de luminescence.

Par défaut : Inactive

Plus de détails dans l’aide en ligne.

ZT_VARIABLE_DYN

GlowEffectGlowColorVariable

Variable pour la couleur

Disponible uniquement si la propriété Activer est active. La propriété Coloration doit être activée.

Nom de la variable dont la couleur aux valeurs limites doit influencer la couleur de l’effet de luminescence pour l’élément. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de variables. Vous pouvez également saisir le nom manuellement dans le champ de texte. Si aucune variable n’est liée, la couleur définie dans la propriété Couleur est utilisée.

Par défaut : aucune variable liée

Plus de détails dans l’aide en ligne.

ZT_PREVIEW

GlowEffectGlowColorVariablePreview

Affichage aperçu couleur

Affichage de la valeur limite définie pour la variable de couleur lorsque l’effet de luminescence est actif. Disponible uniquement si l’option Depuis la variable a été configurée pour la propriété Variable pour la couleur.

Un aperçu des propriétés définies pour la valeur limite est affiché dans le champ. Aucun aperçu n’est affiché pour les matrices de réaction.
Cliquez sur le bouton ... pour ouvrir la boîte de dialogue d’affichage des résultats. Les valeurs limite sont uniquement affichées ; elles ne peuvent pas être modifiées. Les modifications doivent être effectuées directement dans les propriétés de la variable pour Valeurs limite.

Plus de détails dans l’aide en ligne.

ZT_VARIABLE_DYN

GlowEffectVisibilityVariable

Variable pour la visibilité

Disponible uniquement si la propriété Activer est active.

Nom de la variable dont la valeur influence la visibilité de l’effet de luminescence. La visibilité est soit reprise des propriétés de valeur limite de cette variable (propriété Visibilité depuis valeur limite active), soit définie par la plage de valeurs définie dans les propriétés Visible de et Visible jusqu'à. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de variables. Vous pouvez également saisir le nom manuellement dans le champ de texte.

Remarque : si aucune variable n’est liée, l’effet de luminescence est toujours visible.

Par défaut : aucune variable liée

Plus de détails dans l’aide en ligne.

ZT_PREVIEW

GlowEffectVisibilityVariablePreview

Affichage aperçu visibilité

Affichage de la valeur limite définie pour la variable de visibilité lorsque l’effet de luminescence est actif. Disponible uniquement si l’option Depuis la variable a été configurée pour la propriété Variable pour la visibilité.

Un aperçu des propriétés définies pour la valeur limite est affiché dans le champ. Aucun aperçu n’est affiché pour les matrices de réaction.
Cliquez sur le bouton ... pour ouvrir la boîte de dialogue d’affichage des résultats. Les valeurs limite sont uniquement affichées ; elles ne peuvent pas être modifiées. Les modifications doivent être effectuées directement dans les propriétés de la variable pour Valeurs limite.

Plus de détails dans l’aide en ligne.

VT_BOOL

GlowEffectVisibilityFromLimit

Visibilité depuis valeur limite

Disponible uniquement si la propriété Activer est active. Vous devez en outre définir une variable dans la propriété Variable pour la visibilité.

Active : La visibilité de l’effet de luminescence est influencée par la propriété de valeur limite de la variable.

Attention : Pour une valeur limite de la variable au moins, la propriété Invisible doit être active.

Inactive : la visibilité est influencée par les propriétés de l’élément.

Plus de détails dans l’aide en ligne.

VT_R8

GlowEffectVisibilityFrom

Visible de

Disponible uniquement si la propriété Activer est active. Vous devez en outre définir une variable dans la propriété Variable pour la visibilité ; la propriété Visibilité depuis valeur limite doit être inactive.

Définit la valeur à partir de laquelle l’effet de luminescence devient visible.
Minimum : valeur la moins élevée autorisée pour la variable liée dans Variable pour la visibilité.
Maximum : valeur la moins élevée autorisée pour la variable liée dans Variable pour la visibilité.
Par défaut : valeur la plus élevée autorisée pour la variable liée dans Variable pour la visibilité.

Plus de détails dans l’aide en ligne.

VT_R8

GlowEffectVisibilityTo

Visible jusqu'à

Disponible uniquement si la propriété Activer est active. Vous devez en outre définir une variable dans la propriété Variable pour la visibilité ; la propriété Visibilité depuis valeur limite doit être inactive.

Définit la valeur jusqu’à laquelle l’effet de luminescence reste visible.
Minimum : valeur la plus basse autorisée pour la variable liée dans Variable pour la visibilité.
Maximum : valeur la plus élevée autorisée pour la variable liée dans Variable pour la visibilité.
Par défaut : valeur la plus élevée autorisée pour la variable liée dans Variable pour la visibilité.

Plus de détails dans l’aide en ligne.

ZT_VARIABLE_DYN

GlowEffectBlinkVariable

Variable pour le clignotement

Variables dont les paramètres de clignotement de l’effet de luminescence aux valeurs limites doivent être repris. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de variables.

Par défaut : aucune variable liée

Plus de détails dans l’aide en ligne.

ZT_PREVIEW

GlowEffectBlinkVariablePreview

Affichage aperçu clignotement

Affichage de la valeur limite définie pour la variable de clignotement lorsque l’effet de luminescence est actif. Disponible uniquement si l’option Depuis la variable a été configurée pour la propriété Variable pour le clignotement.

Un aperçu des propriétés définies pour la valeur limite est affiché dans le champ. Aucun aperçu n’est affiché pour les matrices de réaction.
Cliquez sur le bouton ... pour ouvrir la boîte de dialogue d’affichage des résultats. Les valeurs limite sont uniquement affichées ; elles ne peuvent pas être modifiées. Les modifications doivent être effectuées directement dans les propriétés de la variable pour Valeurs limite.

Plus de détails dans l’aide en ligne.

VT_BOOL

GlowEffectUseBlinkColor

Clignotement depuis valeur limite

Disponible uniquement si la propriété Activer est active. Vous devez en outre définir une variable dans la propriété Variable pour le clignotement.

Active : Reprend, pour l’effet de luminescence, la couleur de clignotement de la valeur limite active pour la variable définie dans la propriété Couleur de clignotement par la limite. Cette propriété agit indépendamment de la propriété Coloration. En cas de clignotement, l’effet de luminescence ne devient pas invisible, mais reprend les paramètres de l’effet de luminescence actif.

Par défaut : Inactive

Plus de détails dans l’aide en ligne.

VT_BOOL

GlowEffect2ndBlinkStateVisible

2 états de clignotement invisibles

Disponible uniquement si la propriété Activer est active. Vous devez en outre définir une variable dans la propriété Variable pour le clignotement ; la propriété Clignotement depuis valeur limite doit être inactive.

Active : En cas de clignotement, l’effet de luminescence ne bascule pas vers l’effet de luminescence actif, mais devient invisible. Ceci permet de basculer entre l’invisibilité et la couleur de clignotement en cas de dépassement de la valeur limite.

Par défaut : Inactive

Plus de détails dans l’aide en ligne.


Dynamic window list control

Manuel -> Interfaces de programmation -> Modèles d'objet -> Element -> Element-Dynamic properties -> Dynamic window list control

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Type

VBA/VSTA Name

Display Name

Description

VT_BOOL

ShowBoolAsNumber

Affichage numérique

Active : Les valeurs binaires sont affichées numériquement dans le Runtime. Si l’élément de liste l’autorise, les valeurs binaires peuvent également être saisies numériquement.

Plus de détails dans l’aide en ligne.

ZT_FILE

CheckOnImage

On (inactif)

Sélection d’un élément graphique affichant l’état La valeur est 1 et la propriété ne peut pas être modifiée.
Disponible uniquement si la propriété Affichage numérique est inactive.

Plus de détails dans l’aide en ligne.

ZT_FILE

CheckOffImage

Off (inactif)

Sélection d’un élément graphique affichant l’état La valeur est 0 et la propriété ne peut pas être modifiée.
Disponible uniquement si la propriété Affichage numérique est inactive.

Plus de détails dans l’aide en ligne.

ZT_FILE

CheckOnImageInActive

On (inactif)

Sélection d’un élément graphique affichant l’état La valeur est 1 et la propriété ne peut pas être modifiée.
Disponible uniquement si la propriété Affichage numérique est inactive.

Plus de détails dans l’aide en ligne.

ZT_FILE

CheckOffImageInActive

Off (inactif)

Sélection d’un élément graphique affichant l’état La valeur est 0 et la propriété ne peut pas être modifiée.
Disponible uniquement si la propriété Affichage numérique est inactive.

Plus de détails dans l’aide en ligne.

VT_BOOL

ShowHeader

Montrer l'en-tête
  • Active : L’en-tête est affiché dans le Runtime.
  • Inactive : L’en-tête n’est pas affiché dans le Runtime. Dans ce cas, la ligne de filtre n’est également pas affichée, mais les filtres configurés sont encore utilisés.

Plus de détails dans l’aide en ligne.

VT_BOOL

ShowFilter

Afficher la ligne de filtres
  • Active : La ligne de filtre est affichée dans le Runtime.
  • Inactive : La ligne de filtre n’est pas affichée dans le Runtime.
    Remarque : Les filtres configurés sont également appliqués si la ligne de filtre n’est pas affichée.

Plus de détails dans l’aide en ligne.

VT_BOOL

HeaderStatic

Kopfzeile statisch
  • Active : Les colonnes ne peuvent pas être déplacées par un glisser-déposer dans le Runtime, et ne peuvent également pas être triées. La largeur de la colonne peut être ajustée à nouveau.

Plus de détails dans l’aide en ligne.

VT_BOOL

ColumnOrderStatic

Figer la sélection des colonnes

Contrôle la possibilité de déplacer ou modifier la largeur des colonnes avec la souris dans le Runtime.

  • Active : les colonnes ne peuvent pas être déplacées en effectuant un glisser-déplacer, et leur largeur ne peut pas être modifiée.
  • Inactive : Les colonnes peuvent être réorganisées en effectuant un glisser-déplacer, et la largeur des colonnes peut être modifiée avec la souris.

Si un élément comportant l’action spécifique au type de synoptique Sélection de colonne est présent et ce paramètre est actif, l’élément est désactivé dans le Runtime.

Par défaut : Inactive

Remarque concernant la disponibilité pour les listes AML et CEL :

  • Liste AML : dans les paramètres du projet, dans le groupe Liste d'alarmes pour la propriété En-tête liste d'alarmes, l’option Actions autorisées sur les en-têtes de colonnes doit être sélectionnée.
    Plus de détails dans l’aide en ligne de la liste AML.
  • Liste CEL : dans les paramètres du projet, dans le groupe Liste d'événements pour la propriété En-tête liste d'événements, l’option Actions autorisées sur les en-têtes de colonnes doit être sélectionnée.
    Plus de détails dans l’aide en ligne de la liste d’événements (CEL).

VT_BOOL

NoSortHeader

Désactiver le tri

Contrôle la possibilité de trier le contenu du tableau dans le Runtime, en cliquant sur les en-têtes des colonnes.

  • Active : le contenu du tableau ne peut pas être trié en cliquant sur les en-têtes des colonnes.
  • inactive : le contenu du tableau peut être trié en cliquant sur les en-têtes des colonnes.

Par défaut : Inactive

Remarque concernant la disponibilité pour les listes AML et CEL :

  • Liste AML : dans les paramètres du projet, dans le groupe Liste d'alarmes pour la propriété En-tête liste d'alarmes, l’option Actions autorisées sur les en-têtes de colonnes doit être sélectionnée.
    Plus de détails dans l’aide en ligne de la liste AML.
  • Liste CEL : dans les paramètres du projet, dans le groupe Liste d'événements pour la propriété En-tête liste d'événements, l’option Actions autorisées sur les en-têtes de colonnes doit être sélectionnée.
    Plus de détails dans l’aide en ligne de la liste d’événements (CEL).

VT_BOOL

HideColumnSettingsMenu

Désactiver le menu contextuel

Permet d’afficher ou de masquer les menus contextuels des en-têtes.

  • Active : le menu contextuel est désactivé.
  • Inactive : le menu contextuel est activé. La liste peut également être configurée dans le Runtime.

Par défaut : Inactive

Plus de détails dans l’aide en ligne.

VT_UI4

HeaderHeight

Hauteur de l'en-tête [en pixels]

Configuration de la hauteur de l’en-tête, en pixels.

Minimum : 0 - La hauteur est automatiquement déterminée en fonction de la taille de la police de caractères.

Maximum : 255

Par défaut : 0

Plus de détails dans l’aide en ligne.

VT_BOOL

AdvancedStyleH

Ascenceurs

Propriétés des barres de défilement horizontale et verticale.

Plus de détails dans l’aide en ligne de la liste d’alarmes (AML).

Plus de détails dans l’aide en ligne de la liste d’événements (CEL).

Plus de détails dans l’aide en ligne du module ETM.

Plus de détails dans l’aide en ligne du module RGM.

VT_BOOL

WordWrap

Retour à la ligne automatique

Permet l’affichage de textes sur plusieurs lignes si la largeur de la colonne est insuffisante pour afficher correctement le texte. La hauteur des lignes est alors modifiée en conséquence.

  • Active :
    si la largeur de la colonne est insuffisante, un saut de ligne est inséré et la hauteur des lignes est augmentée.
  • Inactive :
    aucun retour à la ligne n’est effectué ; le texte est affiché sur une ligne.

Information : un retour à la ligne est uniquement effectué si le texte comporte des espaces vides devant être affichés (espaces, tabulations ou autres) ou si un saut de ligne est inséré manuellement, avec les caractères \n. Aucun saut de ligne n’est inséré pour les textes continus.

Par défaut : Inactive

Plus de détails dans l’aide en ligne de la liste d’alarmes

Plus de détails dans l’aide en ligne de la liste d’événements

VT_UI4

RowHeight

Hauteur de ligne [pixel]

Permet de définir la hauteur des lignes en pixels, indépendamment de la taille de la police.

Valeur maximale : 255 px
Valeur minimum : 0 pixel (la hauteur des lignes est adaptée à la taille de la police).

Par défaut : 0

Attention : si la hauteur de ligne

  • sélectionnée est trop élevée, dans certaines circonstances, aucune information ne sera affichée dans le Runtime.
  • sélectionnée est inférieure à la taille de la police, les éléments graphiques seront tronqués.

Plus de détails dans l’aide en ligne.

VT_I2

BarStyleH

Style d'affichage

Disponible uniquement si vous avez activé la propriété Paramètres du graphique étendu.

Définissez l’apparence de l’en-tête du champ de liste. Sélectionnez l’une des options suivantes :

Color gradient (Dégradé de couleurs) : utilise un dégradé de couleurs spécial pour l’en-tête. Vous pouvez personnaliser le dégradé de couleurs à l’aide des propriétés Couleur de remplissage, Gradient de couleur, Gradient de couleur, Offset [%] et Angle [°].

Fichier graphique : utilise les fichiers graphiques sélectionnés pour les zones individuelles. Si aucun fichier graphique n’a été sélectionné, l’affichage Color gradient (Dégradé de couleurs) est utilisé.

Standard : utilise le paramètre standard pour l’en-tête. Vous pouvez uniquement modifier la police de caractères et la couleur du texte à l’aide des paramètres correspondants.

Par défaut : Standard.

Plus de détails dans l’aide en ligne.

VT_I2

ButtonHeightH

Hauteur des flêches de l'ascenceur [Pixels]

Définit la hauteur en pixels de la flèche de défilement de la barre de défilement horizontale. Ajustez la valeur en fonction de vos préférences.

Par défaut : 12.

Plus de détails dans l’aide en ligne.

VT_I2

ButtonWidthH

Largeur des flêches de l'ascenceur [Pixels]

Définit la largeur en pixels de la flèche de défilement de la barre de défilement horizontale. Ajustez la valeur en fonction de vos préférences.

Par défaut : 12.

Plus de détails dans l’aide en ligne.

VT_I2

ThumbSizeH

Largeur boite de l'ascenceur [Pixels]

Définit la largeur en pixels de la case de défilement de la barre de défilement horizontale. Ajustez la valeur en fonction de vos préférences.

Par défaut : 20.

Plus de détails dans l’aide en ligne.

ZT_COLOR

BackColorH

Couleur de remplissage

Définit la première couleur de remplissage utilisée pour le dégradé de couleurs des barres de défilement horizontales. Cliquez sur le bouton pour ouvrir la palette de couleurs prédéfinies. Vous pouvez également définir la couleur en saisissant manuellement le code hexadécimal (RVB) dans le champ.

La couleur du nouvel élément sera la couleur utilisée pour le précédent élément du même type.

Plus de détails dans l’aide en ligne.

ZT_COLOR

BackColor2H

Gradient de couleur

Cette propriété a uniquement un effet si vous avez sélectionné le paramètre Dégradé de couleurs pour la propriété Style d'affichage.

Définit la deuxième couleur de remplissage utilisée pour le dégradé de couleurs des barres de défilement horizontales. Cliquez sur le bouton pour ouvrir la palette de couleurs prédéfinies. Vous pouvez également définir la couleur en saisissant manuellement le code hexadécimal (RVB) dans le champ. Si vous sélectionnez Automatique, la valeur de la couleur change en fonction de la valeur de la propriété Couleur de remplissage.

La couleur du nouvel élément sera la couleur utilisée pour le précédent élément du même type.

Plus de détails dans l’aide en ligne.

VT_I2

LightningH

Gradient de couleur

Sélectionnez le type de dégradé de couleurs pour la barre de défilement horizontale parmi les options suivantes :

Linéaire : dégradé continu

Point défini : le dégradé commence au niveau d’un point défini et s’étend jusqu’aux bords de l’élément.

À partir d’un point défini avec des rayons : le dégradé avec des rayons commence au niveau d’un point défini et s’étend jusqu’aux bords de l’élément.

Par défaut : Linéaire

Plus de détails dans l’aide en ligne.

VT_I2

ColorGradientOffsetH

Offset [%]

Définit la distance du dégradé de couleurs depuis le centre de la barre de défilement horizontale jusqu’au bord gauche ou droit, en pourcentage. 0 signifie le centre de la barre de défilement horizontale, 100 signifie le bord droit de la barre de défilement horizontale et -100 signifie le bord gauche de la barre de défilement horizontale.

Minimum : -100

Maximum : 100

Par défaut : 0

Plus de détails dans l’aide en ligne.

VT_I2

ColorGradientAngleH

Angle [°]

Disponible uniquement si vous avez activé la propriété Paramètres du graphique étendu.

Cette propriété a uniquement un effet si vous avez sélectionné le paramètre Dégradé de couleurs pour la propriété Style d'affichage.

Définit l’angle de déploiement du dégradé de couleurs. Le point défini dans la propriété Offset [%] est utilisé en tant que point de départ.

Minimum : 0

Maximum : 360

Par défaut : 0

Plus de détails dans l’aide en ligne.

ZT_FILE

BitmapLeftH

Flêche de gauche de l'ascenceur

Disponible uniquement si vous avez activé la propriété Paramètres du graphique étendu.

Sélectionnez un fichier graphique qui sera affiché dans le champ de liste pour la flèche de défilement gauche de la barre de défilement horizontale dans le Runtime. Ce fichier graphique est utilisé si vous sélectionnez Fichier graphique pour la propriété Style d'affichage.

Par défaut : aucun fichier

Plus de détails dans l’aide en ligne.

ZT_FILE

BitmapRightH

Flêche de droite de l'ascenceur

Disponible uniquement si vous avez activé la propriété Paramètres du graphique étendu.

Sélectionnez un fichier graphique qui sera affiché dans le champ de liste pour la flèche de défilement droite de la barre de défilement horizontale dans le Runtime. Ce fichier graphique est utilisé si vous sélectionnez Fichier graphique pour la propriété Style d'affichage.

Par défaut : aucun fichier

Plus de détails dans l’aide en ligne.

ZT_FILE

BitmapThumbH

Boite de l'ascenceur

Disponible uniquement si vous avez activé la propriété Paramètres du graphique étendu.

Sélectionnez un fichier graphique qui sera affiché dans le champ de liste pour la case de défilement de la barre de défilement horizontale dans le Runtime. Ce fichier graphique est utilisé si vous sélectionnez Fichier graphique pour la propriété Style d'affichage.

Par défaut : aucun fichier

Plus de détails dans l’aide en ligne.

ZT_FILE

BitmapSpanH

Fichier graphique d'arrière plan

Disponible uniquement si vous avez activé la propriété Paramètres du graphique étendu.

Sélectionnez un fichier graphique qui sera affiché en arrière-plan de la barre de défilement horizontale du champ de liste dans le Runtime. Ce fichier graphique est utilisé si vous sélectionnez Fichier graphique pour la propriété Style d'affichage.

Par défaut : aucun fichier

Plus de détails dans l’aide en ligne.

VT_I2

BarStyleV

Style d'affichage

Disponible uniquement si vous avez activé la propriété Paramètres du graphique étendu.

Définissez l’apparence de l’en-tête du champ de liste. Sélectionnez l’une des options suivantes :

Color gradient (Dégradé de couleurs) : utilise un dégradé de couleurs spécial pour l’en-tête. Vous pouvez personnaliser le dégradé de couleurs à l’aide des propriétés Couleur de remplissage, Couleur du dégradé, Gradient de couleur, Offset [%] et Angle [°].

Fichier graphique : utilise les fichiers graphiques sélectionnés pour les zones individuelles. Si aucun fichier graphique n’a été sélectionné, l’affichage Color gradient (Dégradé de couleurs) est utilisé.

Standard : utilise le paramètre standard pour l’en-tête. Vous pouvez uniquement modifier la police de caractères et la couleur du texte à l’aide des paramètres correspondants.

Par défaut : Standard.

Plus de détails dans l’aide en ligne.

VT_I2

ButtonHeightV

Hauteur des flêches de l'ascenceur [Pixels]

Définit la hauteur en pixels de la flèche de défilement de la barre de défilement verticale. Ajustez la valeur en fonction de vos préférences.

Par défaut : 12.

Plus de détails dans l’aide en ligne.

VT_I2

ButtonWidthV

Largeur des flêches de l'ascenceur [Pixels]

Définit la largeur en pixels de la flèche de défilement de la barre de défilement verticale. Ajustez la valeur en fonction de vos préférences.

Par défaut : 12.

Plus de détails dans l’aide en ligne.

VT_I2

ThumbSizeV

Largeur boite de l'ascenceur [Pixels]

Définit la largeur en pixels de la case de défilement de la barre de défilement verticale. Ajustez la valeur en fonction de vos préférences.

Par défaut : 20.

Plus de détails dans l’aide en ligne.

ZT_COLOR

BackColorV

Couleur de remplissage

Définit la première couleur de remplissage utilisée pour le dégradé de couleurs des barres de défilement verticales. Cliquez sur le bouton pour ouvrir la palette de couleurs prédéfinies. Vous pouvez également définir la couleur en saisissant manuellement le code hexadécimal (RVB) dans le champ.

La couleur du nouvel élément sera la couleur utilisée pour le précédent élément du même type.

Plus de détails dans l’aide en ligne.

ZT_COLOR

BackColor2V

Couleur du dégradé

Cette propriété a uniquement un effet si vous avez sélectionné le paramètre Dégradé de couleurs pour la propriété Style d'affichage.

Définit la deuxième couleur de remplissage utilisée pour le dégradé de couleurs des barres de défilement verticales. Cliquez sur le bouton pour ouvrir la palette de couleurs prédéfinies. Vous pouvez également définir la couleur en saisissant manuellement le code hexadécimal (RVB) dans le champ. Si vous sélectionnez Automatique, la valeur de la couleur change en fonction de la valeur de la propriété Couleur de remplissage.

La couleur du nouvel élément sera la couleur utilisée pour le précédent élément du même type.

Plus de détails dans l’aide en ligne.

VT_I2

LightningV

Gradient de couleur

Sélectionnez le type de dégradé de couleurs pour la barre de défilement verticale parmi les options suivantes :

Linéaire : dégradé continu

Point défini : le dégradé commence au niveau d’un point défini et s’étend jusqu’aux bords de l’élément.

À partir d’un point défini avec des rayons : le dégradé avec des rayons commence au niveau d’un point défini et s’étend jusqu’aux bords de l’élément.

Par défaut : Linéaire

Plus de détails dans l’aide en ligne.

VT_I2

ColorGradientOffsetV

Offset [%]

Définit la distance du dégradé de couleurs depuis le centre de la barre de défilement verticale jusqu’au bord gauche ou droit, en pourcentage. 0 signifie le centre de la barre de défilement verticale, 100 signifie le bord droit de la barre de défilement verticale et -100 signifie le bord gauche de la barre de défilement verticale.

Minimum : -100

Maximum : 100

Par défaut : 0

Plus de détails dans l’aide en ligne.

VT_I2

ColorGradientAngleV

Angle [°]

Disponible uniquement si vous avez activé la propriété Paramètres du graphique étendu.

Cette propriété a uniquement un effet si vous avez sélectionné le paramètre Dégradé de couleurs pour la propriété Style d'affichage.

Définit l’angle de déploiement du dégradé de couleurs. Le point défini dans la propriété Offset [%] est utilisé en tant que point de départ.

Minimum : 0

Maximum : 360

Par défaut : 0

Plus de détails dans l’aide en ligne.

ZT_FILE

BitmapLeftV

Flêche du haut de l'ascenceur

Disponible uniquement si vous avez activé la propriété Paramètres du graphique étendu.

Sélectionnez un fichier graphique qui sera affiché dans le champ de liste pour la flèche de défilement vers le haut de la barre de défilement verticale dans le Runtime. Ce fichier graphique est utilisé si vous sélectionnez Fichier graphique pour la propriété Style d'affichage.

Par défaut : aucun fichier

Plus de détails dans l’aide en ligne.

ZT_FILE

BitmapRightV

Flêche du bas de l'ascenceur

Disponible uniquement si vous avez activé la propriété Paramètres du graphique étendu.

Sélectionnez un fichier graphique qui sera affiché dans le champ de liste pour la flèche de défilement vers le bas de la barre de défilement verticale dans le Runtime. Ce fichier graphique est utilisé si vous sélectionnez Fichier graphique pour la propriété Style d'affichage.

Par défaut : aucun fichier

Plus de détails dans l’aide en ligne.

ZT_FILE

BitmapThumbV

Boite de l'ascenceur

Disponible uniquement si vous avez activé la propriété Paramètres du graphique étendu.

Sélectionnez un fichier graphique qui sera affiché dans le champ de liste pour la case de défilement de la barre de défilement verticale dans le Runtime. Ce fichier graphique est utilisé si vous sélectionnez Fichier graphique pour la propriété Style d'affichage.

Par défaut : aucun fichier

Plus de détails dans l’aide en ligne.

ZT_FILE

BitmapSpanV

Fichier graphique d'arrière plan

Disponible uniquement si vous avez activé la propriété Paramètres du graphique étendu.

Sélectionnez un fichier graphique qui sera affiché en arrière-plan de la barre de défilement verticale du champ de liste dans le Runtime. Ce fichier graphique est utilisé si vous sélectionnez Fichier graphique pour la propriété Style d'affichage.

Par défaut : aucun fichier

Plus de détails dans l’aide en ligne.

VT_BOOL

ShowHeader

Montrer l'en-tête

Disponible uniquement si vous avez sélectionné les paramètres Actions autorisées sur les en-têtes de colonne ou En-tête de colonne fixe pour ce groupe dans les paramètres du projet (dans le groupe Liste d'alarmes pour la propriété En-tête liste d'alarmes, ou dans le groupe Liste d'événements pour la propriété En-tête liste d'événements).
Disponibilité de la liste d’affichage du curseur et de la liste de courbes étendue dans le module Extended Trend.

Affiche l’en-tête du champ de liste correspondant. Dans le groupe En-tête, vous pouvez personnaliser l’apparence de l’en-tête.

  • active : l’en-tête est affiché.

Par défaut : active

Plus de détails dans l’aide en ligne de la liste d’alarmes

Plus de détails dans l’aide en ligne de la liste d’événements

Plus de détails dans l’aide en ligne du module Extended Trend Manager (ETM)

VT_BOOL

EnableHeader

En-tête éditable

Permet d’effectuer des actions sur l’en-tête du champ de liste correspondant. Vous pouvez modifier la largeur des colonnes et trier l’affichage en fonction de la colonne de votre choix dans le Runtime.

  • Active : vous pouvez effectuer des actions sur l’en-tête.

Par défaut : active

Disponibilité :

  • Disponible pour les listes AML et CEL aux conditions suivantes :
    Si vous savez sélectionné l’option Actions autorisées sur les en-têtes de colonne dans le groupe Liste d'alarmes pour la propriété En-tête liste d'alarmes, ou dans le groupe Liste d'événements pour la propriété En-tête liste d'événements.
  • Disponibilité de la liste d’affichage du curseur et de la liste de courbes étendue dans le module Extended Trend.

Plus de détails dans l’aide en ligne de la liste d’alarmes

Plus de détails dans l’aide en ligne de la liste d’événements

Plus de détails dans l’aide en ligne du module Extended Trend Manager (ETM)

VT_I2

HeaderStyle

Style d'affichage

Disponible uniquement si vous avez sélectionné les paramètres Actions autorisées sur les en-têtes de colonne ou En-tête de colonne fixe dans le groupe En-tête liste d'événements pour la propriété Liste d'alarmes, ou dans le groupe Liste d'événements pour la propriété En-tête liste d'événements. En outre, vous devez également activer les propriétés Paramètres du graphique étendu et Montrer l'en-tête pour la zone de liste correspondante.

Disponibilité de la liste d’affichage du curseur et de la liste de courbes étendue dans le module Extended Trend.

Définissez l’apparence de l’en-tête du champ de liste. Sélectionnez l’une des options suivantes :

Color gradient (Dégradé de couleurs) : utilise un dégradé de couleurs spécial pour l’en-tête. Vous pouvez personnaliser le dégradé de couleurs à l’aide des propriétés Couleur de remplissage, Couleur du dégradé, Effet de lumière, Offset et Angle.

Fichier graphique : utilise les fichiers graphiques sélectionnés pour les zones individuelles. Si aucun fichier graphique n’a été sélectionné, l’affichage Color gradient (Dégradé de couleurs) est utilisé.

Standard : utilise le paramètre standard pour l’en-tête. Vous pouvez uniquement modifier les éléments Police et Couleur du texte à l’aide des paramètres correspondants.

Par défaut : Standard.

Plus de détails dans l’aide en ligne de la liste d’alarmes

Plus de détails dans l’aide en ligne de la liste d’événements

Plus de détails dans l’aide en ligne du module Extended Trend Manager (ETM)

ZT_SCHRIFT

HeaderFont

Couleur du texte

Définit la couleur du texte de l’en-tête. Cliquez sur le bouton pour ouvrir la palette de couleurs prédéfinies. Vous pouvez également définir la couleur en saisissant manuellement le code hexadécimal (RVB) dans le champ.

La couleur du nouvel élément sera la couleur utilisée pour le précédent élément du même type.

Plus de détails dans l’aide en ligne de la liste d’alarmes

Plus de détails dans l’aide en ligne de la liste d’événements

Plus de détails dans l’aide en ligne du module Extended Trend Manager (ETM)

ZT_COLOR

HeaderBackColor

Couleur de remplissage

Définit la première couleur de remplissage utilisée pour le dégradé de couleurs dans l’en-tête. Cliquez sur le bouton pour ouvrir la palette de couleurs prédéfinies. Vous pouvez également définir la couleur en saisissant manuellement le code hexadécimal (RVB) dans le champ.

La couleur du nouvel élément sera la couleur utilisée pour le précédent élément du même type.

Plus de détails dans l’aide en ligne de la liste d’alarmes

Plus de détails dans l’aide en ligne de la liste d’événements

Plus de détails dans l’aide en ligne du module Extended Trend Manager (ETM)

ZT_COLOR

HeaderBackColor2

Couleur du dégradé

Disponible uniquement si vous avez sélectionné les paramètres Actions autorisées sur les en-têtes de colonne ou En-tête de colonne fixe dans le groupe En-tête liste d'événements pour la propriété Liste d'alarmes, ou dans le groupe Liste d'événements pour la propriété En-tête liste d'événements. En outre, vous devez également activer les propriétés Paramètres du graphique étendu et Montrer l'en-tête pour la zone de liste correspondante.

Disponibilité de la liste d’affichage du curseur et de la liste de courbes étendue dans le module Extended Trend.

Cette propriété a uniquement un effet si vous avez sélectionné le paramètre Dégradé de couleurs pour la propriété Style d'affichage.

Définit la deuxième couleur de remplissage utilisée pour le dégradé de couleurs dans l’en-tête. Cliquez sur le bouton pour ouvrir la palette de couleurs prédéfinies. Vous pouvez également définir la couleur en saisissant manuellement le code hexadécimal (RVB) dans le champ. Si vous sélectionnez Automatique, la valeur de la couleur change en fonction de la valeur de la propriété Couleur de remplissage.

La couleur du nouvel élément sera la couleur utilisée pour le précédent élément du même type.

Plus de détails dans l’aide en ligne de la liste d’alarmes

Plus de détails dans l’aide en ligne de la liste d’événements

Plus de détails dans l’aide en ligne du module Extended Trend Manager (ETM)

ZT_COLOR

HeaderFontColor

Couleur du texte

Définit la couleur du texte de l’en-tête. Cliquez sur le bouton pour ouvrir la palette de couleurs prédéfinies. Vous pouvez également définir la couleur en saisissant manuellement le code hexadécimal (RVB) dans le champ.

La couleur du nouvel élément sera la couleur utilisée pour le précédent élément du même type.

Plus de détails dans l’aide en ligne de la liste d’alarmes

Plus de détails dans l’aide en ligne de la liste d’événements

Plus de détails dans l’aide en ligne du module Extended Trend Manager (ETM)

VT_I2

HeaderLightning

Effet de lumière

Sélectionnez le type de dégradé de couleurs pour l’en-tête parmi les options suivantes :

Linéaire : dégradé continu

Point défini : le dégradé commence au niveau d’un point défini et s’étend jusqu’aux bords de l’élément.

À partir d’un point défini avec des rayons : le dégradé avec des rayons commence au niveau d’un point défini et s’étend jusqu’aux bords de l’élément.

Par défaut : Linéaire

Plus de détails dans l’aide en ligne de la liste d’alarmes

Plus de détails dans l’aide en ligne de la liste d’événements

Plus de détails dans l’aide en ligne du module Extended Trend Manager (ETM)

VT_I2

HeaderColorGradientOffset

Offset

Définit la distance du dégradé de couleurs depuis le centre de l’en-tête jusqu’au bord gauche ou droit, en pourcentage. 0 signifie le centre de l’en-tête, 100 signifie le bord droit de l’en-tête et -100 signifie le bord gauche de l’en-tête.

Minimum : -100

Maximum : 100

Par défaut : 0

Plus de détails dans l’aide en ligne de la liste d’alarmes

Plus de détails dans l’aide en ligne de la liste d’événements

Plus de détails dans l’aide en ligne du module Extended Trend Manager (ETM)

VT_I2

HeaderColorGradientAngle

Angle

Disponible uniquement si vous avez sélectionné les paramètres Actions autorisées sur les en-têtes de colonne ou En-tête de colonne fixe dans le groupe En-tête liste d'événements pour la propriété Liste d'alarmes, ou dans le groupe Liste d'événements pour la propriété En-tête liste d'événements. En outre, vous devez également activer les propriétés Paramètres du graphique étendu et Montrer l'en-tête pour la zone de liste correspondante.

Disponibilité de la liste d’affichage du curseur et de la liste de courbes étendue dans le module Extended Trend.

Cette propriété a uniquement un effet si vous avez sélectionné le paramètre Dégradé de couleurs pour la propriété Style d'affichage.

Définit l’angle de déploiement du dégradé de couleurs. Le point défini dans la propriété Offset est utilisé en tant que point de départ.

Minimum : 0

Maximum : 360

Par défaut : 0

Plus de détails dans l’aide en ligne de la liste d’alarmes

Plus de détails dans l’aide en ligne de la liste d’événements

Plus de détails dans l’aide en ligne du module Extended Trend Manager (ETM)

ZT_FILE

AscSortImage

Tri croissant

Disponible uniquement si vous avez activé la propriété Paramètres du graphique étendu.

Sélectionnez un fichier graphique devant être affiché dans l’en-tête du champ de liste lors du tri croissant dans le Runtime. Ce fichier graphique est utilisé si vous sélectionnez Fichier graphique pour la propriété Style d'affichage.

Par défaut : aucun fichier

Plus de détails dans l’aide en ligne de la liste d’alarmes

Plus de détails dans l’aide en ligne de la liste d’événements

Plus de détails dans l’aide en ligne du module Extended Trend Manager (ETM)

ZT_FILE

DescDownImage

Tri décroissant

Disponible uniquement si vous avez activé la propriété Paramètres du graphique étendu.

Sélectionnez un fichier graphique devant être affiché dans l’en-tête du champ de liste lors du tri décroissant dans le Runtime. Ce fichier graphique est utilisé si vous sélectionnez Fichier graphique pour la propriété Style d'affichage.

Par défaut : aucun fichier

Plus de détails dans l’aide en ligne de la liste d’alarmes

Plus de détails dans l’aide en ligne de la liste d’événements

Plus de détails dans l’aide en ligne du module Extended Trend Manager (ETM)

ZT_FILE

HeaderBarImage

Arrière-plan

Disponible uniquement si vous avez activé la propriété Paramètres du graphique étendu.

Sélectionnez un fichier graphique qui sera affiché dans l’en-tête du champ de liste sous forme d’arrière-plan dans le Runtime. Ce fichier graphique est utilisé si vous sélectionnez Fichier graphique pour la propriété Style d'affichage.

Par défaut : aucun fichier

Plus de détails dans l’aide en ligne de la liste d’alarmes

Plus de détails dans l’aide en ligne de la liste d’événements

Plus de détails dans l’aide en ligne du module Extended Trend Manager (ETM)

VT_UI2

GridSizeH

Epaisseur ligne horizontale [Pixels]

Largeur en pixels des lignes horizontales de la grille. Changez cette valeur pour modifier les lignes horizontales de la grille dans la vue de liste dans le Runtime. Si vous saisissez 0, les lignes horizontales sont masquées.

Par défaut : 1.

Plus de détails dans l’aide en ligne.

ZT_IMAGELIST

GridTypeH

Type de ligne horizontale

Définit le type des lignes horizontales de la grille dans la vue de liste dans le Runtime. Cliquez sur la ligne et sélectionnez le type de ligne souhaité (ligne pleine, ligne discontinue, ligne tiretée etc.).

Par défaut : ligne pleine.

Attention : cette propriété est disponible si la valeur de la propriété Epaisseur ligne horizontale [Pixels] est 1. Pour les valeurs >1, une ligne continue est utilisée.

Remarque : La grille est uniquement si l’option correspondante est activée dans la fonction d’appel de synoptique ou dans le filtre du Runtime.

Plus de détails dans l’aide en ligne.

ZT_COLOR

GridColorH

Couleur de la ligne horizontale

Définit la couleur de trait des lignes horizontales de la grille dans la vue de liste dans le Runtime. Cliquez sur le bouton gauche pour ouvrir la palette de couleurs prédéfinies. Vous pouvez également définir la couleur souhaitée en saisissant manuellement le code hexadécimal (RVB) dans le champ.

La couleur du nouvel élément sera la couleur utilisée pour le précédent élément du même type.

Plus de détails dans l’aide en ligne.

VT_UI2

GridSizeV

Epaisseur ligne verticale [Pixels]

Largeur en pixels des lignes verticales de la grille. Changez cette valeur pour modifier les lignes verticales de la grille dans la vue de liste dans le Runtime. Si vous saisissez 0, les lignes verticales sont masquées.

Par défaut : 1.

Plus de détails dans l’aide en ligne.

ZT_IMAGELIST

GridTypeV

Type de ligne verticale

Définit le type des lignes verticales de la grille dans la vue de liste dans le Runtime. Cliquez sur la ligne et sélectionnez le type de ligne souhaité (ligne pleine, ligne discontinue, ligne tiretée etc.).

Par défaut : ligne pleine.

Attention : cette propriété est disponible si la valeur de la propriété Epaisseur ligne verticale [Pixels] est 1. Pour les valeurs >1, une ligne continue est utilisée.

Remarque : La grille est uniquement si l’option correspondante est activée dans la fonction d’appel de synoptique ou dans le filtre du Runtime.

Plus de détails dans l’aide en ligne.

ZT_COLOR

GridColorV

Couleur de la ligne verticale

Définit la couleur de trait des lignes horizontales de la grille dans la vue de liste dans le Runtime. Cliquez sur le bouton gauche pour ouvrir la palette de couleurs prédéfinies. Vous pouvez également définir la couleur souhaitée en saisissant manuellement le code hexadécimal (RVB) dans le champ.

La couleur du nouvel élément sera la couleur utilisée pour le précédent élément du même type.

Plus de détails dans l’aide en ligne.

ZT_VARIABLE_DYN

SelectionActive

Sélection active

Liaison d’une variable de réponse pour les listes configurables.
La variable doit être de type BOOL. Elle indique, dans le Runtime, si un élément a été sélectionné dans la liste (1) ou pas (0).
Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection d’une variable

Plus de détails dans l’aide en ligne.

ZT_SCHRIFT

Font

Police

Sélection de la police utilisée pour l’affichage.

Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection. La police de caractères sélectionnée est liée.

Plus de détails dans l’aide en ligne.

VT_BOOL

TranslateText

Traduire le texte affiché
  • Active : le texte devant être affiché est traduit. Si un texte est modifié, la version provisoire est affichée avec la traduction.

Par défaut : Inactive

Plus de détails dans l’aide en ligne.

ZT_COLOR

TextColor

Couleur du texte

Couleur du texte de l’élément.

Plus de détails dans l’aide en ligne.

ZT_COLOR

BackColor

Couleur de remplissage

Disponible uniquement si la propriété Transparence est inactive.

Définit la couleur de remplissage de l’élément. Cliquez sur le bouton pour ouvrir la palette de couleurs prédéfinies. Vous pouvez également définir la couleur en saisissant manuellement le code hexadécimal (RVB) dans le champ. La couleur de remplissage peut être modifiée de manière dynamique à l’aide de la propriété Couleur de remplissage du groupe Couleur(s) de remplissage dynamique(s).

Remarque : La couleur du nouvel élément sera la couleur utilisée pour le précédent élément du même type.

Attention : dans la fenêtre Vue globale, les modifications des couleurs dans Editor n’ont aucune incidence dans le Runtime.

Plus de détails dans l’aide en ligne.

VT_BSTR

Legend

Texte

Intitulé de l’élément dans Editor.

Plus de détails dans l’aide en ligne.

VT_BOOL

Tab

Le focus est donné à l'élément

Active : L’élément dynamique peut être actionné à l’aide du clavier.
Inactive : L’élément dynamique n’est pas accessible à l’aide du clavier.
Par défaut : active.

Plus de détails dans l’aide en ligne.

VT_I4

TABOrderH

Position du focus gauche/droite

Définit la position horizontale pour l’utilisation à l’aide du clavier dans le Runtime. La position est définie par l’intermédiaire du menu contextuel et de l’utilisation de la souris dans la fenêtre principale ; elle ne peut pas être modifiée ici.

Plus de détails dans l’aide en ligne.

VT_I4

TABOrderV

Position focus haut / bas

Définit la position verticale pour l’utilisation à l’aide du clavier dans le Runtime. La position est définie par l’intermédiaire du menu contextuel et de l’utilisation de la souris dans la fenêtre principale ; elle ne peut pas être modifiée ici.

Plus de détails dans l’aide en ligne.

ZT_SHORTCUT

ShortCut

Raccourci-clavier

Les raccourcis autorisent l’exécution d’éléments actionnables. Par exemple :

- Exécution d’éléments de contrôle et de fonctions auxquelles un élément est attribué
- Écriture de valeurs prescrites (par ex. pour des interrupteurs)
- Configuration du focus pour certaines fenêtres (par ex. liste des courbes dans le module Extended Trend, ou liste déroulante dans le module RGM)

Cliquez sur le bouton du champ de saisie pour ouvrir la boîte de dialogue de définition des combinaisons de touches. Dans la boîte de dialogue, saisissez directement la combinaison souhaitée.

Plus de détails dans l’aide en ligne.

VT_BOOL

KbdUsage

Synoptique clavier

Disponible uniquement si la propriété Synoptique clavier est active.

Nom du synoptique de clavier lié.
Si aucun synoptique de clavier n’est saisi, le clavier correspondant est appelé dans le Runtime :

  • Variable String (chaîne) : SETSTRINGKBD
  • Variable numérique : SETVALUEKBD
  • Variable binaire : SETBOOLKBD

Remarque : Pour l’option Champ de saisie, aucun clavier n’est appelé si l’option Synoptique clavier est activée. Un synoptique de clavier doit être lié.

Plus de détails dans l’aide en ligne.

ZT_VBAMAKRO

DragDrop

DragDrop

Macro VBA à exécuter lorsque le bouton de la souris est relâché.

Plus de détails dans l’aide en ligne.

ZT_VBAMAKRO

DragOver

DragOver

Macro VBA à exécuter lorsque le curseur est déplacé au-dessus de l’élément pendant que le bouton gauche est enfoncé.

Plus de détails dans l’aide en ligne.

ZT_VBAMAKRO

DragBegin

DragBegin

Macro VBA à exécuter lorsque l’utilisateur commence à faire glisser l’objet.

Plus de détails dans l’aide en ligne.

ZT_STYLE

StyleGroup

Groupe de styles

Affichage et sélection du groupe de styles attribué à l’élément.
Cliquez sur le bouton ... pour ouvrir la boîte de dialogue permettant de sélectionner un groupe de styles.
Si plusieurs éléments sont sélectionnés, elles peuvent être attribuées à un groupe de styles commun.

Remarque : Seules les propriétés compatibles avec l’élément correspondant sont prises en charge.

Plus de détails dans l’aide en ligne.

More...

LnClVariable

LnClVariable

"With this property you have the opportunity to get informations about the variable which is linked as ""line/text color"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""LnClVariable.SymVarName"") 'Return the name of the ""line/text color"" variable
zElement.DynProperties (""LnClVariable.SymVarTagNr"") 'Return the identification of the ""line/text color"" variable"

More...

BkClVariable

BkClVariable

"With this property you have the opportunity to get informations about the variable which is linked as ""background/filling color"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""BkClVariable.SymVarName"") 'Return the name of the ""background/filling color"" variable
zElement.DynProperties (""BkClVariable.SymVarTagNr"") 'Return the identification of the ""background/filling color"" variable"

More...

BkCl2Variable

"BkCl2Variable"

More...

XVar

XVar

"With this property you have the opportunity to get informations about the variable which is linked as ""dynamic x position"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""XVar.SymVarName"") 'Return the name of the ""dynamic x position"" variable
zElement.DynProperties (""XVar.SymVarTagNr"") 'Return the identification of the ""dynamic x position"" variable"

More...

YVar

YVar

"With this property you have the opportunity to get informations about the variable which is linked as ""dynamic y position"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""YVar.SymVarName"") 'Return the name of the ""dynamic y position"" variable
zElement.DynProperties (""YVar.SymVarTagNr"") 'Return the identification of the ""dynamic y position"" variable"

More...

XVarZoom

XVarZoom

"With this property you have the opportunity to get informations about the variable which is linked as ""change width"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""XVarZoom.SymVarName"") 'Return the name of the ""change width"" variable
zElement.DynProperties (""XVarZoom.SymVarTagNr"") 'Return the identification of the ""change width"" variable"

More...

YVarZoom

YVarZoom

"With this property you have the opportunity to get informations about the variable which is linked as ""change height"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""YVarZoom.SymVarName"") 'Return the name of the ""change height"" variable
zElement.DynProperties (""YVarZoom.SymVarName"") 'Return the name of the ""change height"" variable
zElement.DynProperties (""YVarZoom.SymVarTagNr"") 'Return the identification of the ""change height"" variable"

More...

TwistVar

TwistVar

"With this property you have the opportunity to get informations about the variable which is linked as ""rotate"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""TwistVar.SymVarName"") 'Return the name of the ""rotate"" variable
zElement.DynProperties (""TwistVar.SymVarTagNr"") 'Return the identification of the ""rotate"" variable"

More...

VisVariable

VisVariable

"With this property you have the opportunity to get informations about the variable which is linked as ""visibility"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""VisVariable.SymVarName"") 'Return the name of the ""visibility"" variable
zElement.DynProperties (""VisVariable.SymVarTagNr"") 'Return the identification of the ""visibility"" variable"

More...

BlinkVar

BlinkVar

More...

GlowEffectGlowColorVar

GlowEffectGlowColorVar

More...

GlowEffectVisibilityVar

GlowEffectVisibilityVar

More...

GlowEffectBlinkVar

GlowEffectBlinkVar

VT_BSTR

Name

Nom d'élément

Attribuez un nom d’élément.
Il ne doit pas être vide.

Attention : Cette propriété n’est pas disponible aux fins de la commutation de langue.

Remarques concernant les cadrans : Pour les conteneurs de synoptique, spécifiez des noms clairement identifiables pour faciliter la sélection lors de la configuration des appels de synoptique.

Plus de détails dans l’aide en ligne.

VT_UI1

Layer

Niveau de visibilité

Sélectionnez l’un des 16 niveaux de visibilité (0 à 15) dans la liste déroulante. À l’aide de la barre d’outils Niveau de visibilité, vous décidez des niveaux qui doivent être affichés dans Editor. Cette fonction garantit que les synoptiques les plus complexes peuvent être développés de manière simple. Les niveaux peuvent être utilisés immédiatement. Les niveaux n’ont aucune influence sur les informations affichées au premier plan ou en arrière-plan dans le Runtime.
Par défaut : 0.

Plus de détails dans l’aide en ligne.

VT_I4

StartX

Point de départ X [pixels]

Coordonnée Y du coin supérieur gauche du synoptique (en pixels).

Plus de détails dans l’aide en ligne.

VT_I4

EndX

Point final X [pixels]

Coordonnée X du coin inférieur droit du synoptique (en pixels).

Plus de détails dans l’aide en ligne.

VT_I4

StartY

Point de départ Y [pixels]

Coordonnée Y du coin supérieur gauche du synoptique (en pixels).

Plus de détails dans l’aide en ligne.

VT_I4

EndY

Point final Y [pixels]

Coordonnée Y du coin inférieur droit du synoptique (en pixels).

Plus de détails dans l’aide en ligne.

VT_I4

Width

Largeur [pixels]

Largeur des éléments en pixels.

Remarque : disponible uniquement pour les éléments Combinaison multiple, Élément combiné, Bouton et Interrupteur si la valeur Ajusté a été sélectionnée pour la propriété Taille du graphique.

Plus de détails dans l’aide en ligne.

VT_I4

Height

Hauteur [pixels]

Hauteur des éléments en pixels.

Remarque : disponible uniquement pour les éléments Combinaison multiple, Élément combiné, Bouton et Interrupteur si la valeur Ajusté a été sélectionnée pour la propriété Taille du graphique.

Plus de détails dans l’aide en ligne.

VT_I4

Angle

Angle de rotation [°]

Angle libre autour selon lequel doit pivoter l’élément.
Les valeurs positives correspondent à une rotation dans le sens antihoraire, tandis que les valeurs négatives correspondent à une rotation dans le sens horaire. Les valeurs supérieures à 360° sont affichées sous forme d’écart par rapport à 360° (400° correspond à 40°). Seuls les nombres entiers sont autorisés.

Sur les éléments pivotés, les actions suivantes ne sont plus possibles :

  • Miroir
  • Rotation de +/- 90°
  • Redimensionnement à l’aide des touches fléchées

Par défaut : 0

Remarque : Ce paramètre est activé et réinitialisé lors de la configuration pour Windows CE.

Plus de détails dans l’aide en ligne.

VT_I2

ZoomMin

Visible de

Incrément de zoom le plus bas auquel l’élément est visible dans la vue globale.
Par défaut : -1
Une valeur de visibilité avec des incréments de zoom de -1 à -1 signifie que l’élément est affiché, quel que soit l’incrément de zoom sélectionné.

Les niveaux de zoom affichés dans la vue globale peuvent être configurés avec la propriété Apparence graphique -> Généralités runtime -> Pas de zoom pour vue globale.

Attention : Ce niveau de zoom s’applique à tous les types de synoptiques et cadres. Si un niveau de zoom défini est supérieur à 0, l’élément est uniquement affiché dans la vue globale, car les autres types de synoptique sont automatiquement appelés avec le niveau de zoom 0.

Plus de détails dans l’aide en ligne.

VT_I2

ZoomMax

Visible jusqu'à

Incrément de zoom le plus élevé auquel l’élément est visible dans la vue globale.

Par défaut : -1
Une valeur de visibilité avec des incréments de zoom de -1 à -1 signifie que l’élément est affiché, quel que soit l’incrément de zoom sélectionné.

Les niveaux de zoom affichés dans la vue globale peuvent être configurés avec la propriété Apparence graphique -> Généralités runtime -> Pas de zoom pour vue globale.

Attention : Ce niveau de zoom s’applique à tous les types de synoptiques et cadres. Si un niveau de zoom défini est supérieur à 0, l’élément est uniquement affiché dans la vue globale, car les autres types de synoptique sont automatiquement appelés avec le niveau de zoom 0.

Plus de détails dans l’aide en ligne.

VT_BSTR

Stationname

Nom liste d'objets

L’élément est saisi directement dans la liste de stations du synoptique Vue globale, et le texte est saisi ici.

Plus de détails dans l’aide en ligne.

ZT_VARIABLE_DYN

LineColorVariable

Couleur de ligne

Nom des variables dont les couleurs de valeur limite doivent influencer la couleur de ligne/de texte de l’élément. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de variables.

Plus de détails dans l’aide en ligne.

ZT_PREVIEW

LineColorVarPreview

Affichage aperçu couleur

Affichage de la valeur limite pour la propriété Couleur de ligne définie pour la variable. Disponible uniquement si l’option Depuis la variable a été configurée pour la propriété Couleur de ligne.

Un aperçu des propriétés définies pour la valeur limite est affiché dans le champ. Aucun aperçu n’est affiché pour les matrices de réaction.
Cliquez sur le bouton ... pour ouvrir la boîte de dialogue d’affichage des résultats. Les valeurs limite sont uniquement affichées ; elles ne peuvent pas être modifiées. Les modifications doivent être effectuées directement dans les propriétés de la variable pour Valeurs limite.

Plus de détails dans l’aide en ligne.

ZT_VARIABLE_DYN

BackColorVariable

Couleur de remplissage

Nom de la variable dont les couleurs de valeur limite doivent influencer la couleur d’arrière-plan/de remplissage de l’élément.
Ouvre la boîte de dialogue de sélection de variables.

Plus de détails dans l’aide en ligne.

ZT_PREVIEW

BackColorVarPreview

Affichage aperçu couleur

Affichage de la valeur limite pour la propriété Couleur de remplissage définie pour la variable. Disponible uniquement si l’option Depuis la variable a été configurée pour la propriété Couleur de remplissage.

Un aperçu des propriétés définies pour la valeur limite est affiché dans le champ. Aucun aperçu n’est affiché pour les matrices de réaction.
Cliquez sur le bouton ... pour ouvrir la boîte de dialogue d’affichage des résultats. Les valeurs limite sont uniquement affichées ; elles ne peuvent pas être modifiées. Les modifications doivent être effectuées directement dans les propriétés de la variable pour Valeurs limite.

Plus de détails dans l’aide en ligne.

VT_UI1

HorizontalOrigin

Horizontal

Point de référence horizontal de l’événement. Les valeurs possibles sont : gauche, centré, droite.
Ce point est utilisé en tant que base de calcul de l’angle de départ de la rotation (statique et dynamique) et pour le changement dynamique de taille.

Par défaut : À gauche

Plus de détails dans l’aide en ligne.

VT_UI1

VerticalOrigin

Vertical

Point de référence vertical de l’événement. Les valeurs possibles sont : haut, centré, bas.
Ce point est utilisé en tant que base de calcul de l’angle de départ de la rotation (statique et dynamique) et pour le changement dynamique de taille.

Par défaut : En haut

Plus de détails dans l’aide en ligne.

VT_UI4

VisibilityType

Visibilité

Sélection depuis laquelle la visibilité d’un élément est déterminée :

  • Depuis une variable
  • Du verrrouillage

Par défaut : Depuis une variable

Plus de détails dans l’aide en ligne.

ZT_VARIABLE_DYN

VisibilityVariable

Variable

Disponible uniquement si l’option Depuis la variable a été configurée pour la propriété Visibilité.

Nom de la variable dont la valeur contrôle la visibilité de l’élément. La visibilité est soit reprise des propriétés de valeur limite de ces variables, soit définie par la plage de valeurs définie dans les propriétés de et À.
Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de variables. Vous pouvez également saisir manuellement le nom dans le champ de texte.
L'élément reste visible tant qu’aucune variable n’est liée.

Plus de détails dans l’aide en ligne.

ZT_PREVIEW

VisVarPreview

Affichage aperçu visibilité

Affichage des valeurs limite pour la visibilité définies pour la variable. Disponible uniquement si l’option Depuis la variable a été configurée pour la propriété Variable dans le groupe Visibilité.

Un aperçu des propriétés définies pour la valeur limite est affiché dans le champ. Aucun aperçu n’est affiché pour les matrices de réaction.
Cliquez sur le bouton ... pour ouvrir la boîte de dialogue d’affichage des résultats. Les valeurs limite sont uniquement affichées ; elles ne peuvent pas être modifiées. Les modifications doivent être effectuées directement dans les propriétés de la variable pour Valeurs limite.

Plus de détails dans l’aide en ligne.

VT_BOOL

VisibilityFromLimit

A partir des valeurs limites

Uniquement disponible après la sélection d’une variable :

  • Active : La visibilité de l’élément est influencée par la propriété de valeur limite de la variable.

    Attention : La propriété Invisible doit être active pour au moins une valeur limite de la variable.

  • Inactive : la visibilité est influencée par les propriétés de l’élément.

Par défaut : active

Plus de détails dans l’aide en ligne.

VT_R8

VisibilityFrom

de

Disponible uniquement après la sélection d’une variable, si la visibilité n’a pas été reprise par la valeur limite :

Valeur minimum de la variable à laquelle l’élément est visible.

  • Minimum : valeur minimum possible de la variable liée.
  • Maximum : valeur maximum possible de la variable liée.

Par défaut : valeur minimum possible de la variable liée.

Plus de détails dans l’aide en ligne.

VT_R8

VisibilityTo

À

Disponible uniquement après la sélection d’une variable, si la visibilité n’a pas été reprise par la valeur limite :

Valeur maximale de la variable à laquelle l’élément est visible.

  • Minimum : valeur minimum possible de la variable liée.
  • Maximum : valeur maximum possible de la variable liée.

Par défaut : valeur maximum possible de la variable liée.

Plus de détails dans l’aide en ligne.

VT_UI4

Interlocking

Verrouillage

Disponible uniquement si l’option Depuis le verrouillage est sélectionnée pour la propriété Visibilité.

Nom du verrouillage dont la valeur contrôle la visibilité de l’élément. Sélectionnez dans la liste déroulante. Celle-ci contient tous les verrouillages existants et utilisables. L’élément est toujours visible si aucun verrouillage n’est lié.

Plus de détails dans l’aide en ligne.

VT_BSTR

InterlockingName

InterlockingName

Description

VT_BOOL

VisibleWhenInterlocked

Visible si verrouillé

Contrôle la visibilité de l’élément lorsque le verrouillage est sélectionné :

  • Active : L’élément est visible s’il est verrouillé.
  • Inactive : L’élément est visible s’il n’est pas verrouillé.

Par défaut : inactive

Plus de détails dans l’aide en ligne.

ZT_VARIABLE_DYN

BlinkVariable

Affichage aperçu clignotement

Affichage des valeurs limite pour le clignotement définies pour la variable. Disponible uniquement si l’option Depuis la variable a été configurée pour la propriété Prendre le clignotement de la limite.

Un aperçu des propriétés définies pour la valeur limite est affiché dans le champ. Aucun aperçu n’est affiché pour les matrices de réaction.
Cliquez sur le bouton ... pour ouvrir la boîte de dialogue d’affichage des résultats. Les valeurs limite sont uniquement affichées ; elles ne peuvent pas être modifiées. Les modifications doivent être effectuées directement dans les propriétés de la variable pour Valeurs limite.

Plus de détails dans l’aide en ligne.

ZT_PREVIEW

BlinkVarPreview

Affichage aperçu clignotement

Affichage des valeurs limite pour le clignotement définies pour la variable. Disponible uniquement si l’option Depuis la variable a été configurée pour la propriété Prendre le clignotement de la limite.

Un aperçu des propriétés définies pour la valeur limite est affiché dans le champ. Aucun aperçu n’est affiché pour les matrices de réaction.
Cliquez sur le bouton ... pour ouvrir la boîte de dialogue d’affichage des résultats. Les valeurs limite sont uniquement affichées ; elles ne peuvent pas être modifiées. Les modifications doivent être effectuées directement dans les propriétés de la variable pour Valeurs limite.

Plus de détails dans l’aide en ligne.

VT_BOOL

UseBlinkColor

Couleur de clignotement par la limite

Active : Reprend la couleur d’arrière-plan du clignotement défini pour la valeur limite active de la variable pour Prendre le clignotement de la limite. Durant le clignotement, l’élément ne devient pas invisible, mais reprend la couleur d’arrière-plan active.

Par défaut : Inactive

Remarque : la couleur n’est pas prise en compte si la couleur d’arrière-plan Transparence est configurée.

Plus de détails dans l’aide en ligne.

ZT_VARIABLE_DYN

XVariable

Variable

Nom de la variable utilisée pour le déplacement horizontal de l’élément.
Ouvre la boîte de dialogue de sélection de variables.

Plus de détails dans l’aide en ligne.

VT_R8

XVarMin

Valeur min de la variable

Valeur minimale de la variable utilisée pour le déplacement horizontal de l’élément.

Plus de détails dans l’aide en ligne.

VT_R8

XVarMax

Valeur max de la variable

Valeur maximale de la variable utilisée pour le déplacement horizontal de l’élément.

Plus de détails dans l’aide en ligne.

VT_I4

XViewMin

Mouvement min [pixels]

Position horizontale de l’élément pour la valeur minimale de la variable (en pixels).

Plus de détails dans l’aide en ligne.

VT_I4

XViewMax

Mouvement max [pixels]

Position horizontale de l’élément pour la valeur minimale de la variable (en pixels).

Plus de détails dans l’aide en ligne.

ZT_VARIABLE_DYN

YVariable

Variable

Nom de la variable utilisée pour le déplacement vertical de l’élément.
Ouvre la boîte de dialogue de sélection de variables.

Plus de détails dans l’aide en ligne.

VT_R8

YVarMin

Valeur min de la variable

Valeur minimale de la variable utilisée pour le déplacement vertical de l’élément.

Plus de détails dans l’aide en ligne.

VT_R8

YVarMax

Valeur max de la variable

Valeur maximale de la variable utilisée pour le déplacement vertical de l’élément.

Plus de détails dans l’aide en ligne.

VT_I4

YViewMin

Mouvement min [pixels]

Position verticale de l’élément pour la valeur minimale de la variable (en pixels).

Plus de détails dans l’aide en ligne.

VT_I4

YViewMax

Mouvement max [pixels]

Position verticale de l’élément pour la valeur maximale de la variable (en pixels).

Plus de détails dans l’aide en ligne.

ZT_VARIABLE_DYN

XZoomVariable

Variable

Nom de la variable utilisée pour l’agrandissement de la largeur de l’élément.
Ouvre la boîte de dialogue de sélection de variables.

Plus de détails dans l’aide en ligne.

VT_R8

XZoomVarMin

Valeur min de la variable

Valeur minimale de la variable utilisée pour effectuer un zoom à la largeur de l’élément.

Plus de détails dans l’aide en ligne.

VT_R8

XZoomVarMax

Valeur max de la variable

Valeur maximale de la variable utilisée pour effectuer un zoom sur la largeur de l’élément.

Plus de détails dans l’aide en ligne.

VT_I4

XZoomViewMin

Largeur min [%]

Facteur de zoom correspondant à la largeur de l’élément pour la valeur minimale de la variable (en pixels).

Plus de détails dans l’aide en ligne.

VT_I4

XZoomViewMax

Largeur max [%]

Facteur de zoom correspondant à la largeur de l’élément pour la valeur maximale de la variable (en pixels).

Plus de détails dans l’aide en ligne.

ZT_VARIABLE_DYN

YZoomVariable

Variable

Nom de la variable utilisée pour l’agrandissement de la hauteur de l’élément.
Ouvre la boîte de dialogue de sélection de variables.

Plus de détails dans l’aide en ligne.

VT_R8

YZoomVarMin

Valeur min de la variable

Valeur minimum de la variable utilisée pour effectuer un zoom sur la hauteur de l’élément.

Plus de détails dans l’aide en ligne.

VT_R8

YZoomVarMax

Valeur max de la variable

Valeur maximum de la variable utilisée pour effectuer un zoom sur la hauteur de l’élément.

Plus de détails dans l’aide en ligne.

VT_I4

YZoomViewMin

Hauteur min [%]

Facteur de zoom correspondant à la hauteur de l’élément pour la valeur minimum de la variable (en %).

Plus de détails dans l’aide en ligne.

VT_I4

YZoomViewMax

Hauteur max [%]

Facteur de zoom correspondant à la hauteur de l’élément pour la valeur maximale de la variable (en pixels).

Plus de détails dans l’aide en ligne.

ZT_VARIABLE_DYN

TwistVariable

Variable

Nom de la variable utilisée pour la rotation de l’élément.

Plus de détails dans l’aide en ligne.

VT_R8

TwistVarMin

Valeur min de la variable

Valeur minimum de la variable utilisée pour la rotation de l’élément.

Plus de détails dans l’aide en ligne.

VT_R8

TwistVarMax

Valeur max de la variable

Valeur maximale de la variable utilisée pour la rotation de l’élément.

Plus de détails dans l’aide en ligne.

VT_I4

TwistViewMin

Rotation min [°]

Angle de rotation de l’élément pour la valeur minimum de la variable (en °).

Plus de détails dans l’aide en ligne.

VT_I4

TwistViewMax

Rotation max [°]

Angle de rotation de l’élément pour la valeur maximum de la variable (en °).

Plus de détails dans l’aide en ligne.

ZT_STYLE

ShadowEffectStyle

Style effet cadres/ombres

Affichage et sélection du style de cadre et d’ombre attribué à l’élément.

Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de style.
Si plusieurs éléments ont été sélectionnés, ils peuvent être attribués à un style commun.

Remarque : Seules les propriétés compatibles avec l’élément correspondant sont prises en charge.

Plus de détails dans l’aide en ligne.

VT_BOOL

EnablePunchFrame

Afficher le cadre

A frame around the element can be displayed.
Default: inactive.

ZT_STYLE

GlowEffectStyle

Style effet de rayonnement

Affichage et sélection du style des effets de luminescence attribués à l’élément.

Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de style.
Si plusieurs éléments ont été sélectionnés, ils peuvent être attribués à un style commun.

Remarque : Seules les propriétés compatibles avec l’élément correspondant sont prises en charge.

Plus de détails dans l’aide en ligne.

VT_BOOL

GlowEffectEvent

Actif seulement si cliqué

Disponible uniquement si la propriété Activer est active et l’élément est un bouton.

Active : l’effet de luminescence est uniquement affiché lorsque l’utilisateur clique sur le bouton. Cliquer sur le bouton permet de modifier la couleur, le clignotement ou l’invisibilité de l’effet de luminescence.

Par défaut : Inactive

Plus de détails dans l’aide en ligne.

ZT_VARIABLE_DYN

GlowEffectGlowColorVariable

Variable pour la couleur

Disponible uniquement si la propriété Activer est active. La propriété Coloration doit être activée.

Nom de la variable dont la couleur aux valeurs limites doit influencer la couleur de l’effet de luminescence pour l’élément. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de variables. Vous pouvez également saisir le nom manuellement dans le champ de texte. Si aucune variable n’est liée, la couleur définie dans la propriété Couleur est utilisée.

Par défaut : aucune variable liée

Plus de détails dans l’aide en ligne.

ZT_PREVIEW

GlowEffectGlowColorVariablePreview

Affichage aperçu couleur

Affichage de la valeur limite définie pour la variable de couleur lorsque l’effet de luminescence est actif. Disponible uniquement si l’option Depuis la variable a été configurée pour la propriété Variable pour la couleur.

Un aperçu des propriétés définies pour la valeur limite est affiché dans le champ. Aucun aperçu n’est affiché pour les matrices de réaction.
Cliquez sur le bouton ... pour ouvrir la boîte de dialogue d’affichage des résultats. Les valeurs limite sont uniquement affichées ; elles ne peuvent pas être modifiées. Les modifications doivent être effectuées directement dans les propriétés de la variable pour Valeurs limite.

Plus de détails dans l’aide en ligne.

ZT_VARIABLE_DYN

GlowEffectVisibilityVariable

Variable pour la visibilité

Disponible uniquement si la propriété Activer est active.

Nom de la variable dont la valeur influence la visibilité de l’effet de luminescence. La visibilité est soit reprise des propriétés de valeur limite de cette variable (propriété Visibilité depuis valeur limite active), soit définie par la plage de valeurs définie dans les propriétés Visible de et Visible jusqu'à. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de variables. Vous pouvez également saisir le nom manuellement dans le champ de texte.

Remarque : si aucune variable n’est liée, l’effet de luminescence est toujours visible.

Par défaut : aucune variable liée

Plus de détails dans l’aide en ligne.

ZT_PREVIEW

GlowEffectVisibilityVariablePreview

Affichage aperçu visibilité

Affichage de la valeur limite définie pour la variable de visibilité lorsque l’effet de luminescence est actif. Disponible uniquement si l’option Depuis la variable a été configurée pour la propriété Variable pour la visibilité.

Un aperçu des propriétés définies pour la valeur limite est affiché dans le champ. Aucun aperçu n’est affiché pour les matrices de réaction.
Cliquez sur le bouton ... pour ouvrir la boîte de dialogue d’affichage des résultats. Les valeurs limite sont uniquement affichées ; elles ne peuvent pas être modifiées. Les modifications doivent être effectuées directement dans les propriétés de la variable pour Valeurs limite.

Plus de détails dans l’aide en ligne.

VT_BOOL

GlowEffectVisibilityFromLimit

Visibilité depuis valeur limite

Disponible uniquement si la propriété Activer est active. Vous devez en outre définir une variable dans la propriété Variable pour la visibilité.

Active : La visibilité de l’effet de luminescence est influencée par la propriété de valeur limite de la variable.

Attention : Pour une valeur limite de la variable au moins, la propriété Invisible doit être active.

Inactive : la visibilité est influencée par les propriétés de l’élément.

Plus de détails dans l’aide en ligne.

VT_R8

GlowEffectVisibilityFrom

Visible de

Disponible uniquement si la propriété Activer est active. Vous devez en outre définir une variable dans la propriété Variable pour la visibilité ; la propriété Visibilité depuis valeur limite doit être inactive.

Définit la valeur à partir de laquelle l’effet de luminescence devient visible.
Minimum : valeur la moins élevée autorisée pour la variable liée dans Variable pour la visibilité.
Maximum : valeur la moins élevée autorisée pour la variable liée dans Variable pour la visibilité.
Par défaut : valeur la plus élevée autorisée pour la variable liée dans Variable pour la visibilité.

Plus de détails dans l’aide en ligne.

VT_R8

GlowEffectVisibilityTo

Visible jusqu'à

Disponible uniquement si la propriété Activer est active. Vous devez en outre définir une variable dans la propriété Variable pour la visibilité ; la propriété Visibilité depuis valeur limite doit être inactive.

Définit la valeur jusqu’à laquelle l’effet de luminescence reste visible.
Minimum : valeur la plus basse autorisée pour la variable liée dans Variable pour la visibilité.
Maximum : valeur la plus élevée autorisée pour la variable liée dans Variable pour la visibilité.
Par défaut : valeur la plus élevée autorisée pour la variable liée dans Variable pour la visibilité.

Plus de détails dans l’aide en ligne.

ZT_VARIABLE_DYN

GlowEffectBlinkVariable

Variable pour le clignotement

Variables dont les paramètres de clignotement de l’effet de luminescence aux valeurs limites doivent être repris. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de variables.

Par défaut : aucune variable liée

Plus de détails dans l’aide en ligne.

ZT_PREVIEW

GlowEffectBlinkVariablePreview

Affichage aperçu clignotement

Affichage de la valeur limite définie pour la variable de clignotement lorsque l’effet de luminescence est actif. Disponible uniquement si l’option Depuis la variable a été configurée pour la propriété Variable pour le clignotement.

Un aperçu des propriétés définies pour la valeur limite est affiché dans le champ. Aucun aperçu n’est affiché pour les matrices de réaction.
Cliquez sur le bouton ... pour ouvrir la boîte de dialogue d’affichage des résultats. Les valeurs limite sont uniquement affichées ; elles ne peuvent pas être modifiées. Les modifications doivent être effectuées directement dans les propriétés de la variable pour Valeurs limite.

Plus de détails dans l’aide en ligne.

VT_BOOL

GlowEffectUseBlinkColor

Clignotement depuis valeur limite

Disponible uniquement si la propriété Activer est active. Vous devez en outre définir une variable dans la propriété Variable pour le clignotement.

Active : Reprend, pour l’effet de luminescence, la couleur de clignotement de la valeur limite active pour la variable définie dans la propriété Couleur de clignotement par la limite. Cette propriété agit indépendamment de la propriété Coloration. En cas de clignotement, l’effet de luminescence ne devient pas invisible, mais reprend les paramètres de l’effet de luminescence actif.

Par défaut : Inactive

Plus de détails dans l’aide en ligne.

VT_BOOL

GlowEffect2ndBlinkStateVisible

2 états de clignotement invisibles

Disponible uniquement si la propriété Activer est active. Vous devez en outre définir une variable dans la propriété Variable pour le clignotement ; la propriété Clignotement depuis valeur limite doit être inactive.

Active : En cas de clignotement, l’effet de luminescence ne bascule pas vers l’effet de luminescence actif, mais devient invisible. Ceci permet de basculer entre l’invisibilité et la couleur de clignotement en cas de dépassement de la valeur limite.

Par défaut : Inactive

Plus de détails dans l’aide en ligne.


Dynamic window batch parameter list

Manuel -> Interfaces de programmation -> Modèles d'objet -> Element -> Element-Dynamic properties -> Dynamic window batch parameter list

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Type

VBA/VSTA Name

Display Name

Description

VT_BOOL

IsSetValue

Ecrire valeur prescrite
  • Active : La configuration des valeurs prescrites pour cet élément dynamique est autorisée.
  • Inactive : L’élément est défini sur ReadOnly.

Indisponible pour l’élément Texte dynamique s’il a été défini sur read only dans le synoptique.

Plus de détails dans l’aide en ligne.

VT_BOOL

ShowBoolAsNumber

Affichage numérique

Active : Les valeurs binaires sont affichées numériquement dans le Runtime. Si l’élément de liste l’autorise, les valeurs binaires peuvent également être saisies numériquement.

Plus de détails dans l’aide en ligne.

ZT_FILE

CheckOnImage

On (inactif)

Sélection d’un élément graphique affichant l’état La valeur est 1 et la propriété ne peut pas être modifiée.
Disponible uniquement si la propriété Affichage numérique est inactive.

Plus de détails dans l’aide en ligne.

ZT_FILE

CheckOffImage

Off (inactif)

Sélection d’un élément graphique affichant l’état La valeur est 0 et la propriété ne peut pas être modifiée.
Disponible uniquement si la propriété Affichage numérique est inactive.

Plus de détails dans l’aide en ligne.

ZT_FILE

CheckOnImageInActive

On (inactif)

Sélection d’un élément graphique affichant l’état La valeur est 1 et la propriété ne peut pas être modifiée.
Disponible uniquement si la propriété Affichage numérique est inactive.

Plus de détails dans l’aide en ligne.

ZT_FILE

CheckOffImageInActive

Off (inactif)

Sélection d’un élément graphique affichant l’état La valeur est 0 et la propriété ne peut pas être modifiée.
Disponible uniquement si la propriété Affichage numérique est inactive.

Plus de détails dans l’aide en ligne.

VT_BOOL

ShowHeader

Montrer l'en-tête
  • Active : L’en-tête est affiché dans le Runtime.
  • Inactive : L’en-tête n’est pas affiché dans le Runtime. Dans ce cas, la ligne de filtre n’est également pas affichée, mais les filtres configurés sont encore utilisés.

Plus de détails dans l’aide en ligne.

VT_BOOL

ShowFilter

Afficher la ligne de filtres
  • Active : La ligne de filtre est affichée dans le Runtime.
  • Inactive : La ligne de filtre n’est pas affichée dans le Runtime.
    Remarque : Les filtres configurés sont également appliqués si la ligne de filtre n’est pas affichée.

Plus de détails dans l’aide en ligne.

VT_BOOL

HeaderStatic

Kopfzeile statisch
  • Active : Les colonnes ne peuvent pas être déplacées par un glisser-déposer dans le Runtime, et ne peuvent également pas être triées. La largeur de la colonne peut être ajustée à nouveau.

Plus de détails dans l’aide en ligne.

VT_BOOL

ColumnOrderStatic

Figer la sélection des colonnes

Contrôle la possibilité de déplacer ou modifier la largeur des colonnes avec la souris dans le Runtime.

  • Active : les colonnes ne peuvent pas être déplacées en effectuant un glisser-déplacer, et leur largeur ne peut pas être modifiée.
  • Inactive : Les colonnes peuvent être réorganisées en effectuant un glisser-déplacer, et la largeur des colonnes peut être modifiée avec la souris.

Si un élément comportant l’action spécifique au type de synoptique Sélection de colonne est présent et ce paramètre est actif, l’élément est désactivé dans le Runtime.

Par défaut : Inactive

Remarque concernant la disponibilité pour les listes AML et CEL :

  • Liste AML : dans les paramètres du projet, dans le groupe Liste d'alarmes pour la propriété En-tête liste d'alarmes, l’option Actions autorisées sur les en-têtes de colonnes doit être sélectionnée.
    Plus de détails dans l’aide en ligne de la liste AML.
  • Liste CEL : dans les paramètres du projet, dans le groupe Liste d'événements pour la propriété En-tête liste d'événements, l’option Actions autorisées sur les en-têtes de colonnes doit être sélectionnée.
    Plus de détails dans l’aide en ligne de la liste d’événements (CEL).

VT_BOOL

NoSortHeader

Désactiver le tri

Contrôle la possibilité de trier le contenu du tableau dans le Runtime, en cliquant sur les en-têtes des colonnes.

  • Active : le contenu du tableau ne peut pas être trié en cliquant sur les en-têtes des colonnes.
  • inactive : le contenu du tableau peut être trié en cliquant sur les en-têtes des colonnes.

Par défaut : Inactive

Remarque concernant la disponibilité pour les listes AML et CEL :

  • Liste AML : dans les paramètres du projet, dans le groupe Liste d'alarmes pour la propriété En-tête liste d'alarmes, l’option Actions autorisées sur les en-têtes de colonnes doit être sélectionnée.
    Plus de détails dans l’aide en ligne de la liste AML.
  • Liste CEL : dans les paramètres du projet, dans le groupe Liste d'événements pour la propriété En-tête liste d'événements, l’option Actions autorisées sur les en-têtes de colonnes doit être sélectionnée.
    Plus de détails dans l’aide en ligne de la liste d’événements (CEL).

VT_BOOL

HideColumnSettingsMenu

Désactiver le menu contextuel

Permet d’afficher ou de masquer les menus contextuels des en-têtes.

  • Active : le menu contextuel est désactivé.
  • Inactive : le menu contextuel est activé. La liste peut également être configurée dans le Runtime.

Par défaut : Inactive

Plus de détails dans l’aide en ligne.

VT_UI4

HeaderHeight

Hauteur de l'en-tête [en pixels]

Configuration de la hauteur de l’en-tête, en pixels.

Minimum : 0 - La hauteur est automatiquement déterminée en fonction de la taille de la police de caractères.

Maximum : 255

Par défaut : 0

Plus de détails dans l’aide en ligne.

VT_BOOL

HideSelection

Ne pas marquer la ligne sélectionnée

Ce paramètre permet de définir si la ligne sélectionnée est affichée en surbrillance dans la zone de liste. Si vous activez cette propriété, vous ne pouvez pas voir l’entrée que vous avez sélectionnée. Toutes les lignes de la liste sont identiques.

Par défaut : Inactive.

Plus de détails dans l’aide en ligne de la liste d’alarmes

Plus de détails dans l’aide en ligne de la liste d’événements

VT_BOOL

AdvancedStyleH

Ascenceurs

Propriétés des barres de défilement horizontale et verticale.

Plus de détails dans l’aide en ligne de la liste d’alarmes (AML).

Plus de détails dans l’aide en ligne de la liste d’événements (CEL).

Plus de détails dans l’aide en ligne du module ETM.

Plus de détails dans l’aide en ligne du module RGM.

VT_BOOL

WordWrap

Retour à la ligne automatique

Permet l’affichage de textes sur plusieurs lignes si la largeur de la colonne est insuffisante pour afficher correctement le texte. La hauteur des lignes est alors modifiée en conséquence.

  • Active :
    si la largeur de la colonne est insuffisante, un saut de ligne est inséré et la hauteur des lignes est augmentée.
  • Inactive :
    aucun retour à la ligne n’est effectué ; le texte est affiché sur une ligne.

Information : un retour à la ligne est uniquement effectué si le texte comporte des espaces vides devant être affichés (espaces, tabulations ou autres) ou si un saut de ligne est inséré manuellement, avec les caractères \n. Aucun saut de ligne n’est inséré pour les textes continus.

Par défaut : Inactive

Plus de détails dans l’aide en ligne de la liste d’alarmes

Plus de détails dans l’aide en ligne de la liste d’événements

VT_UI4

RowHeight

Hauteur de ligne [pixel]

Permet de définir la hauteur des lignes en pixels, indépendamment de la taille de la police.

Valeur maximale : 255 px
Valeur minimum : 0 pixel (la hauteur des lignes est adaptée à la taille de la police).

Par défaut : 0

Attention : si la hauteur de ligne

  • sélectionnée est trop élevée, dans certaines circonstances, aucune information ne sera affichée dans le Runtime.
  • sélectionnée est inférieure à la taille de la police, les éléments graphiques seront tronqués.

Plus de détails dans l’aide en ligne.

VT_I2

BarStyleH

Style d'affichage

Disponible uniquement si vous avez activé la propriété Paramètres du graphique étendu.

Définissez l’apparence de l’en-tête du champ de liste. Sélectionnez l’une des options suivantes :

Color gradient (Dégradé de couleurs) : utilise un dégradé de couleurs spécial pour l’en-tête. Vous pouvez personnaliser le dégradé de couleurs à l’aide des propriétés Couleur de remplissage, Gradient de couleur, Gradient de couleur, Offset [%] et Angle [°].

Fichier graphique : utilise les fichiers graphiques sélectionnés pour les zones individuelles. Si aucun fichier graphique n’a été sélectionné, l’affichage Color gradient (Dégradé de couleurs) est utilisé.

Standard : utilise le paramètre standard pour l’en-tête. Vous pouvez uniquement modifier la police de caractères et la couleur du texte à l’aide des paramètres correspondants.

Par défaut : Standard.

Plus de détails dans l’aide en ligne.

VT_I2

ButtonHeightH

Hauteur des flêches de l'ascenceur [Pixels]

Définit la hauteur en pixels de la flèche de défilement de la barre de défilement horizontale. Ajustez la valeur en fonction de vos préférences.

Par défaut : 12.

Plus de détails dans l’aide en ligne.

VT_I2

ButtonWidthH

Largeur des flêches de l'ascenceur [Pixels]

Définit la largeur en pixels de la flèche de défilement de la barre de défilement horizontale. Ajustez la valeur en fonction de vos préférences.

Par défaut : 12.

Plus de détails dans l’aide en ligne.

VT_I2

ThumbSizeH

Largeur boite de l'ascenceur [Pixels]

Définit la largeur en pixels de la case de défilement de la barre de défilement horizontale. Ajustez la valeur en fonction de vos préférences.

Par défaut : 20.

Plus de détails dans l’aide en ligne.

ZT_COLOR

BackColorH

Couleur de remplissage

Définit la première couleur de remplissage utilisée pour le dégradé de couleurs des barres de défilement horizontales. Cliquez sur le bouton pour ouvrir la palette de couleurs prédéfinies. Vous pouvez également définir la couleur en saisissant manuellement le code hexadécimal (RVB) dans le champ.

La couleur du nouvel élément sera la couleur utilisée pour le précédent élément du même type.

Plus de détails dans l’aide en ligne.

ZT_COLOR

BackColor2H

Gradient de couleur

Cette propriété a uniquement un effet si vous avez sélectionné le paramètre Dégradé de couleurs pour la propriété Style d'affichage.

Définit la deuxième couleur de remplissage utilisée pour le dégradé de couleurs des barres de défilement horizontales. Cliquez sur le bouton pour ouvrir la palette de couleurs prédéfinies. Vous pouvez également définir la couleur en saisissant manuellement le code hexadécimal (RVB) dans le champ. Si vous sélectionnez Automatique, la valeur de la couleur change en fonction de la valeur de la propriété Couleur de remplissage.

La couleur du nouvel élément sera la couleur utilisée pour le précédent élément du même type.

Plus de détails dans l’aide en ligne.

VT_I2

LightningH

Gradient de couleur

Sélectionnez le type de dégradé de couleurs pour la barre de défilement horizontale parmi les options suivantes :

Linéaire : dégradé continu

Point défini : le dégradé commence au niveau d’un point défini et s’étend jusqu’aux bords de l’élément.

À partir d’un point défini avec des rayons : le dégradé avec des rayons commence au niveau d’un point défini et s’étend jusqu’aux bords de l’élément.

Par défaut : Linéaire

Plus de détails dans l’aide en ligne.

VT_I2

ColorGradientOffsetH

Offset [%]

Définit la distance du dégradé de couleurs depuis le centre de la barre de défilement horizontale jusqu’au bord gauche ou droit, en pourcentage. 0 signifie le centre de la barre de défilement horizontale, 100 signifie le bord droit de la barre de défilement horizontale et -100 signifie le bord gauche de la barre de défilement horizontale.

Minimum : -100

Maximum : 100

Par défaut : 0

Plus de détails dans l’aide en ligne.

VT_I2

ColorGradientAngleH

Angle [°]

Disponible uniquement si vous avez activé la propriété Paramètres du graphique étendu.

Cette propriété a uniquement un effet si vous avez sélectionné le paramètre Dégradé de couleurs pour la propriété Style d'affichage.

Définit l’angle de déploiement du dégradé de couleurs. Le point défini dans la propriété Offset [%] est utilisé en tant que point de départ.

Minimum : 0

Maximum : 360

Par défaut : 0

Plus de détails dans l’aide en ligne.

ZT_FILE

BitmapLeftH

Flêche de gauche de l'ascenceur

Disponible uniquement si vous avez activé la propriété Paramètres du graphique étendu.

Sélectionnez un fichier graphique qui sera affiché dans le champ de liste pour la flèche de défilement gauche de la barre de défilement horizontale dans le Runtime. Ce fichier graphique est utilisé si vous sélectionnez Fichier graphique pour la propriété Style d'affichage.

Par défaut : aucun fichier

Plus de détails dans l’aide en ligne.

ZT_FILE

BitmapRightH

Flêche de droite de l'ascenceur

Disponible uniquement si vous avez activé la propriété Paramètres du graphique étendu.

Sélectionnez un fichier graphique qui sera affiché dans le champ de liste pour la flèche de défilement droite de la barre de défilement horizontale dans le Runtime. Ce fichier graphique est utilisé si vous sélectionnez Fichier graphique pour la propriété Style d'affichage.

Par défaut : aucun fichier

Plus de détails dans l’aide en ligne.

ZT_FILE

BitmapThumbH

Boite de l'ascenceur

Disponible uniquement si vous avez activé la propriété Paramètres du graphique étendu.

Sélectionnez un fichier graphique qui sera affiché dans le champ de liste pour la case de défilement de la barre de défilement horizontale dans le Runtime. Ce fichier graphique est utilisé si vous sélectionnez Fichier graphique pour la propriété Style d'affichage.

Par défaut : aucun fichier

Plus de détails dans l’aide en ligne.

ZT_FILE

BitmapSpanH

Fichier graphique d'arrière plan

Disponible uniquement si vous avez activé la propriété Paramètres du graphique étendu.

Sélectionnez un fichier graphique qui sera affiché en arrière-plan de la barre de défilement horizontale du champ de liste dans le Runtime. Ce fichier graphique est utilisé si vous sélectionnez Fichier graphique pour la propriété Style d'affichage.

Par défaut : aucun fichier

Plus de détails dans l’aide en ligne.

VT_I2

BarStyleV

Style d'affichage

Disponible uniquement si vous avez activé la propriété Paramètres du graphique étendu.

Définissez l’apparence de l’en-tête du champ de liste. Sélectionnez l’une des options suivantes :

Color gradient (Dégradé de couleurs) : utilise un dégradé de couleurs spécial pour l’en-tête. Vous pouvez personnaliser le dégradé de couleurs à l’aide des propriétés Couleur de remplissage, Couleur du dégradé, Gradient de couleur, Offset [%] et Angle [°].

Fichier graphique : utilise les fichiers graphiques sélectionnés pour les zones individuelles. Si aucun fichier graphique n’a été sélectionné, l’affichage Color gradient (Dégradé de couleurs) est utilisé.

Standard : utilise le paramètre standard pour l’en-tête. Vous pouvez uniquement modifier la police de caractères et la couleur du texte à l’aide des paramètres correspondants.

Par défaut : Standard.

Plus de détails dans l’aide en ligne.

VT_I2

ButtonHeightV

Hauteur des flêches de l'ascenceur [Pixels]

Définit la hauteur en pixels de la flèche de défilement de la barre de défilement verticale. Ajustez la valeur en fonction de vos préférences.

Par défaut : 12.

Plus de détails dans l’aide en ligne.

VT_I2

ButtonWidthV

Largeur des flêches de l'ascenceur [Pixels]

Définit la largeur en pixels de la flèche de défilement de la barre de défilement verticale. Ajustez la valeur en fonction de vos préférences.

Par défaut : 12.

Plus de détails dans l’aide en ligne.

VT_I2

ThumbSizeV

Largeur boite de l'ascenceur [Pixels]

Définit la largeur en pixels de la case de défilement de la barre de défilement verticale. Ajustez la valeur en fonction de vos préférences.

Par défaut : 20.

Plus de détails dans l’aide en ligne.

ZT_COLOR

BackColorV

Couleur de remplissage

Définit la première couleur de remplissage utilisée pour le dégradé de couleurs des barres de défilement verticales. Cliquez sur le bouton pour ouvrir la palette de couleurs prédéfinies. Vous pouvez également définir la couleur en saisissant manuellement le code hexadécimal (RVB) dans le champ.

La couleur du nouvel élément sera la couleur utilisée pour le précédent élément du même type.

Plus de détails dans l’aide en ligne.

ZT_COLOR

BackColor2V

Couleur du dégradé

Cette propriété a uniquement un effet si vous avez sélectionné le paramètre Dégradé de couleurs pour la propriété Style d'affichage.

Définit la deuxième couleur de remplissage utilisée pour le dégradé de couleurs des barres de défilement verticales. Cliquez sur le bouton pour ouvrir la palette de couleurs prédéfinies. Vous pouvez également définir la couleur en saisissant manuellement le code hexadécimal (RVB) dans le champ. Si vous sélectionnez Automatique, la valeur de la couleur change en fonction de la valeur de la propriété Couleur de remplissage.

La couleur du nouvel élément sera la couleur utilisée pour le précédent élément du même type.

Plus de détails dans l’aide en ligne.

VT_I2

LightningV

Gradient de couleur

Sélectionnez le type de dégradé de couleurs pour la barre de défilement verticale parmi les options suivantes :

Linéaire : dégradé continu

Point défini : le dégradé commence au niveau d’un point défini et s’étend jusqu’aux bords de l’élément.

À partir d’un point défini avec des rayons : le dégradé avec des rayons commence au niveau d’un point défini et s’étend jusqu’aux bords de l’élément.

Par défaut : Linéaire

Plus de détails dans l’aide en ligne.

VT_I2

ColorGradientOffsetV

Offset [%]

Définit la distance du dégradé de couleurs depuis le centre de la barre de défilement verticale jusqu’au bord gauche ou droit, en pourcentage. 0 signifie le centre de la barre de défilement verticale, 100 signifie le bord droit de la barre de défilement verticale et -100 signifie le bord gauche de la barre de défilement verticale.

Minimum : -100

Maximum : 100

Par défaut : 0

Plus de détails dans l’aide en ligne.

VT_I2

ColorGradientAngleV

Angle [°]

Disponible uniquement si vous avez activé la propriété Paramètres du graphique étendu.

Cette propriété a uniquement un effet si vous avez sélectionné le paramètre Dégradé de couleurs pour la propriété Style d'affichage.

Définit l’angle de déploiement du dégradé de couleurs. Le point défini dans la propriété Offset [%] est utilisé en tant que point de départ.

Minimum : 0

Maximum : 360

Par défaut : 0

Plus de détails dans l’aide en ligne.

ZT_FILE

BitmapLeftV

Flêche du haut de l'ascenceur

Disponible uniquement si vous avez activé la propriété Paramètres du graphique étendu.

Sélectionnez un fichier graphique qui sera affiché dans le champ de liste pour la flèche de défilement vers le haut de la barre de défilement verticale dans le Runtime. Ce fichier graphique est utilisé si vous sélectionnez Fichier graphique pour la propriété Style d'affichage.

Par défaut : aucun fichier

Plus de détails dans l’aide en ligne.

ZT_FILE

BitmapRightV

Flêche du bas de l'ascenceur

Disponible uniquement si vous avez activé la propriété Paramètres du graphique étendu.

Sélectionnez un fichier graphique qui sera affiché dans le champ de liste pour la flèche de défilement vers le bas de la barre de défilement verticale dans le Runtime. Ce fichier graphique est utilisé si vous sélectionnez Fichier graphique pour la propriété Style d'affichage.

Par défaut : aucun fichier

Plus de détails dans l’aide en ligne.

ZT_FILE

BitmapThumbV

Boite de l'ascenceur

Disponible uniquement si vous avez activé la propriété Paramètres du graphique étendu.

Sélectionnez un fichier graphique qui sera affiché dans le champ de liste pour la case de défilement de la barre de défilement verticale dans le Runtime. Ce fichier graphique est utilisé si vous sélectionnez Fichier graphique pour la propriété Style d'affichage.

Par défaut : aucun fichier

Plus de détails dans l’aide en ligne.

ZT_FILE

BitmapSpanV

Fichier graphique d'arrière plan

Disponible uniquement si vous avez activé la propriété Paramètres du graphique étendu.

Sélectionnez un fichier graphique qui sera affiché en arrière-plan de la barre de défilement verticale du champ de liste dans le Runtime. Ce fichier graphique est utilisé si vous sélectionnez Fichier graphique pour la propriété Style d'affichage.

Par défaut : aucun fichier

Plus de détails dans l’aide en ligne.

VT_BOOL

ShowHeader

Montrer l'en-tête

Disponible uniquement si vous avez sélectionné les paramètres Actions autorisées sur les en-têtes de colonne ou En-tête de colonne fixe pour ce groupe dans les paramètres du projet (dans le groupe Liste d'alarmes pour la propriété En-tête liste d'alarmes, ou dans le groupe Liste d'événements pour la propriété En-tête liste d'événements).
Disponibilité de la liste d’affichage du curseur et de la liste de courbes étendue dans le module Extended Trend.

Affiche l’en-tête du champ de liste correspondant. Dans le groupe En-tête, vous pouvez personnaliser l’apparence de l’en-tête.

  • active : l’en-tête est affiché.

Par défaut : active

Plus de détails dans l’aide en ligne de la liste d’alarmes

Plus de détails dans l’aide en ligne de la liste d’événements

Plus de détails dans l’aide en ligne du module Extended Trend Manager (ETM)

VT_BOOL

EnableHeader

En-tête éditable

Permet d’effectuer des actions sur l’en-tête du champ de liste correspondant. Vous pouvez modifier la largeur des colonnes et trier l’affichage en fonction de la colonne de votre choix dans le Runtime.

  • Active : vous pouvez effectuer des actions sur l’en-tête.

Par défaut : active

Disponibilité :

  • Disponible pour les listes AML et CEL aux conditions suivantes :
    Si vous savez sélectionné l’option Actions autorisées sur les en-têtes de colonne dans le groupe Liste d'alarmes pour la propriété En-tête liste d'alarmes, ou dans le groupe Liste d'événements pour la propriété En-tête liste d'événements.
  • Disponibilité de la liste d’affichage du curseur et de la liste de courbes étendue dans le module Extended Trend.

Plus de détails dans l’aide en ligne de la liste d’alarmes

Plus de détails dans l’aide en ligne de la liste d’événements

Plus de détails dans l’aide en ligne du module Extended Trend Manager (ETM)

VT_I2

HeaderStyle

Style d'affichage

Disponible uniquement si vous avez sélectionné les paramètres Actions autorisées sur les en-têtes de colonne ou En-tête de colonne fixe dans le groupe En-tête liste d'événements pour la propriété Liste d'alarmes, ou dans le groupe Liste d'événements pour la propriété En-tête liste d'événements. En outre, vous devez également activer les propriétés Paramètres du graphique étendu et Montrer l'en-tête pour la zone de liste correspondante.

Disponibilité de la liste d’affichage du curseur et de la liste de courbes étendue dans le module Extended Trend.

Définissez l’apparence de l’en-tête du champ de liste. Sélectionnez l’une des options suivantes :

Color gradient (Dégradé de couleurs) : utilise un dégradé de couleurs spécial pour l’en-tête. Vous pouvez personnaliser le dégradé de couleurs à l’aide des propriétés Couleur de remplissage, Couleur du dégradé, Effet de lumière, Offset et Angle.

Fichier graphique : utilise les fichiers graphiques sélectionnés pour les zones individuelles. Si aucun fichier graphique n’a été sélectionné, l’affichage Color gradient (Dégradé de couleurs) est utilisé.

Standard : utilise le paramètre standard pour l’en-tête. Vous pouvez uniquement modifier les éléments Police et Couleur du texte à l’aide des paramètres correspondants.

Par défaut : Standard.

Plus de détails dans l’aide en ligne de la liste d’alarmes

Plus de détails dans l’aide en ligne de la liste d’événements

Plus de détails dans l’aide en ligne du module Extended Trend Manager (ETM)

ZT_SCHRIFT

HeaderFont

Couleur du texte

Définit la couleur du texte de l’en-tête. Cliquez sur le bouton pour ouvrir la palette de couleurs prédéfinies. Vous pouvez également définir la couleur en saisissant manuellement le code hexadécimal (RVB) dans le champ.

La couleur du nouvel élément sera la couleur utilisée pour le précédent élément du même type.

Plus de détails dans l’aide en ligne de la liste d’alarmes

Plus de détails dans l’aide en ligne de la liste d’événements

Plus de détails dans l’aide en ligne du module Extended Trend Manager (ETM)

ZT_COLOR

HeaderBackColor

Couleur de remplissage

Définit la première couleur de remplissage utilisée pour le dégradé de couleurs dans l’en-tête. Cliquez sur le bouton pour ouvrir la palette de couleurs prédéfinies. Vous pouvez également définir la couleur en saisissant manuellement le code hexadécimal (RVB) dans le champ.

La couleur du nouvel élément sera la couleur utilisée pour le précédent élément du même type.

Plus de détails dans l’aide en ligne de la liste d’alarmes

Plus de détails dans l’aide en ligne de la liste d’événements

Plus de détails dans l’aide en ligne du module Extended Trend Manager (ETM)

ZT_COLOR

HeaderBackColor2

Couleur du dégradé

Disponible uniquement si vous avez sélectionné les paramètres Actions autorisées sur les en-têtes de colonne ou En-tête de colonne fixe dans le groupe En-tête liste d'événements pour la propriété Liste d'alarmes, ou dans le groupe Liste d'événements pour la propriété En-tête liste d'événements. En outre, vous devez également activer les propriétés Paramètres du graphique étendu et Montrer l'en-tête pour la zone de liste correspondante.

Disponibilité de la liste d’affichage du curseur et de la liste de courbes étendue dans le module Extended Trend.

Cette propriété a uniquement un effet si vous avez sélectionné le paramètre Dégradé de couleurs pour la propriété Style d'affichage.

Définit la deuxième couleur de remplissage utilisée pour le dégradé de couleurs dans l’en-tête. Cliquez sur le bouton pour ouvrir la palette de couleurs prédéfinies. Vous pouvez également définir la couleur en saisissant manuellement le code hexadécimal (RVB) dans le champ. Si vous sélectionnez Automatique, la valeur de la couleur change en fonction de la valeur de la propriété Couleur de remplissage.

La couleur du nouvel élément sera la couleur utilisée pour le précédent élément du même type.

Plus de détails dans l’aide en ligne de la liste d’alarmes

Plus de détails dans l’aide en ligne de la liste d’événements

Plus de détails dans l’aide en ligne du module Extended Trend Manager (ETM)

ZT_COLOR

HeaderFontColor

Couleur du texte

Définit la couleur du texte de l’en-tête. Cliquez sur le bouton pour ouvrir la palette de couleurs prédéfinies. Vous pouvez également définir la couleur en saisissant manuellement le code hexadécimal (RVB) dans le champ.

La couleur du nouvel élément sera la couleur utilisée pour le précédent élément du même type.

Plus de détails dans l’aide en ligne de la liste d’alarmes

Plus de détails dans l’aide en ligne de la liste d’événements

Plus de détails dans l’aide en ligne du module Extended Trend Manager (ETM)

VT_I2

HeaderLightning

Effet de lumière

Sélectionnez le type de dégradé de couleurs pour l’en-tête parmi les options suivantes :

Linéaire : dégradé continu

Point défini : le dégradé commence au niveau d’un point défini et s’étend jusqu’aux bords de l’élément.

À partir d’un point défini avec des rayons : le dégradé avec des rayons commence au niveau d’un point défini et s’étend jusqu’aux bords de l’élément.

Par défaut : Linéaire

Plus de détails dans l’aide en ligne de la liste d’alarmes

Plus de détails dans l’aide en ligne de la liste d’événements

Plus de détails dans l’aide en ligne du module Extended Trend Manager (ETM)

VT_I2

HeaderColorGradientOffset

Offset

Définit la distance du dégradé de couleurs depuis le centre de l’en-tête jusqu’au bord gauche ou droit, en pourcentage. 0 signifie le centre de l’en-tête, 100 signifie le bord droit de l’en-tête et -100 signifie le bord gauche de l’en-tête.

Minimum : -100

Maximum : 100

Par défaut : 0

Plus de détails dans l’aide en ligne de la liste d’alarmes

Plus de détails dans l’aide en ligne de la liste d’événements

Plus de détails dans l’aide en ligne du module Extended Trend Manager (ETM)

VT_I2

HeaderColorGradientAngle

Angle

Disponible uniquement si vous avez sélectionné les paramètres Actions autorisées sur les en-têtes de colonne ou En-tête de colonne fixe dans le groupe En-tête liste d'événements pour la propriété Liste d'alarmes, ou dans le groupe Liste d'événements pour la propriété En-tête liste d'événements. En outre, vous devez également activer les propriétés Paramètres du graphique étendu et Montrer l'en-tête pour la zone de liste correspondante.

Disponibilité de la liste d’affichage du curseur et de la liste de courbes étendue dans le module Extended Trend.

Cette propriété a uniquement un effet si vous avez sélectionné le paramètre Dégradé de couleurs pour la propriété Style d'affichage.

Définit l’angle de déploiement du dégradé de couleurs. Le point défini dans la propriété Offset est utilisé en tant que point de départ.

Minimum : 0

Maximum : 360

Par défaut : 0

Plus de détails dans l’aide en ligne de la liste d’alarmes

Plus de détails dans l’aide en ligne de la liste d’événements

Plus de détails dans l’aide en ligne du module Extended Trend Manager (ETM)

ZT_FILE

AscSortImage

Tri croissant

Disponible uniquement si vous avez activé la propriété Paramètres du graphique étendu.

Sélectionnez un fichier graphique devant être affiché dans l’en-tête du champ de liste lors du tri croissant dans le Runtime. Ce fichier graphique est utilisé si vous sélectionnez Fichier graphique pour la propriété Style d'affichage.

Par défaut : aucun fichier

Plus de détails dans l’aide en ligne de la liste d’alarmes

Plus de détails dans l’aide en ligne de la liste d’événements

Plus de détails dans l’aide en ligne du module Extended Trend Manager (ETM)

ZT_FILE

DescDownImage

Tri décroissant

Disponible uniquement si vous avez activé la propriété Paramètres du graphique étendu.

Sélectionnez un fichier graphique devant être affiché dans l’en-tête du champ de liste lors du tri décroissant dans le Runtime. Ce fichier graphique est utilisé si vous sélectionnez Fichier graphique pour la propriété Style d'affichage.

Par défaut : aucun fichier

Plus de détails dans l’aide en ligne de la liste d’alarmes

Plus de détails dans l’aide en ligne de la liste d’événements

Plus de détails dans l’aide en ligne du module Extended Trend Manager (ETM)

ZT_FILE

HeaderBarImage

Arrière-plan

Disponible uniquement si vous avez activé la propriété Paramètres du graphique étendu.

Sélectionnez un fichier graphique qui sera affiché dans l’en-tête du champ de liste sous forme d’arrière-plan dans le Runtime. Ce fichier graphique est utilisé si vous sélectionnez Fichier graphique pour la propriété Style d'affichage.

Par défaut : aucun fichier

Plus de détails dans l’aide en ligne de la liste d’alarmes

Plus de détails dans l’aide en ligne de la liste d’événements

Plus de détails dans l’aide en ligne du module Extended Trend Manager (ETM)

VT_UI2

GridSizeH

Epaisseur ligne horizontale [Pixels]

Largeur en pixels des lignes horizontales de la grille. Changez cette valeur pour modifier les lignes horizontales de la grille dans la vue de liste dans le Runtime. Si vous saisissez 0, les lignes horizontales sont masquées.

Par défaut : 1.

Plus de détails dans l’aide en ligne.

ZT_IMAGELIST

GridTypeH

Type de ligne horizontale

Définit le type des lignes horizontales de la grille dans la vue de liste dans le Runtime. Cliquez sur la ligne et sélectionnez le type de ligne souhaité (ligne pleine, ligne discontinue, ligne tiretée etc.).

Par défaut : ligne pleine.

Attention : cette propriété est disponible si la valeur de la propriété Epaisseur ligne horizontale [Pixels] est 1. Pour les valeurs >1, une ligne continue est utilisée.

Remarque : La grille est uniquement si l’option correspondante est activée dans la fonction d’appel de synoptique ou dans le filtre du Runtime.

Plus de détails dans l’aide en ligne.

ZT_COLOR

GridColorH

Couleur de la ligne horizontale

Définit la couleur de trait des lignes horizontales de la grille dans la vue de liste dans le Runtime. Cliquez sur le bouton gauche pour ouvrir la palette de couleurs prédéfinies. Vous pouvez également définir la couleur souhaitée en saisissant manuellement le code hexadécimal (RVB) dans le champ.

La couleur du nouvel élément sera la couleur utilisée pour le précédent élément du même type.

Plus de détails dans l’aide en ligne.

VT_UI2

GridSizeV

Epaisseur ligne verticale [Pixels]

Largeur en pixels des lignes verticales de la grille. Changez cette valeur pour modifier les lignes verticales de la grille dans la vue de liste dans le Runtime. Si vous saisissez 0, les lignes verticales sont masquées.

Par défaut : 1.

Plus de détails dans l’aide en ligne.

ZT_IMAGELIST

GridTypeV

Type de ligne verticale

Définit le type des lignes verticales de la grille dans la vue de liste dans le Runtime. Cliquez sur la ligne et sélectionnez le type de ligne souhaité (ligne pleine, ligne discontinue, ligne tiretée etc.).

Par défaut : ligne pleine.

Attention : cette propriété est disponible si la valeur de la propriété Epaisseur ligne verticale [Pixels] est 1. Pour les valeurs >1, une ligne continue est utilisée.

Remarque : La grille est uniquement si l’option correspondante est activée dans la fonction d’appel de synoptique ou dans le filtre du Runtime.

Plus de détails dans l’aide en ligne.

ZT_COLOR

GridColorV

Couleur de la ligne verticale

Définit la couleur de trait des lignes horizontales de la grille dans la vue de liste dans le Runtime. Cliquez sur le bouton gauche pour ouvrir la palette de couleurs prédéfinies. Vous pouvez également définir la couleur souhaitée en saisissant manuellement le code hexadécimal (RVB) dans le champ.

La couleur du nouvel élément sera la couleur utilisée pour le précédent élément du même type.

Plus de détails dans l’aide en ligne.

ZT_VARIABLE_DYN

SelectionActive

Sélection active

Liaison d’une variable de réponse pour les listes configurables.
La variable doit être de type BOOL. Elle indique, dans le Runtime, si un élément a été sélectionné dans la liste (1) ou pas (0).
Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection d’une variable

Plus de détails dans l’aide en ligne.

VT_BOOL

ShowBorder

Montrer le cadre

Permet d’afficher un cadre autour de l’élément. Les indicateurs des propriétés Style L et Style H sont masqués.

active : le cadre est affiché autour de l’élément correspondant.

(Par défaut) Inactive :

Plus de détails dans l’aide en ligne.

ZT_SCHRIFT

Font

Police

Sélection de la police utilisée pour l’affichage.

Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection. La police de caractères sélectionnée est liée.

Plus de détails dans l’aide en ligne.

VT_BOOL

TranslateText

Traduire le texte affiché
  • Active : le texte devant être affiché est traduit. Si un texte est modifié, la version provisoire est affichée avec la traduction.

Par défaut : Inactive

Plus de détails dans l’aide en ligne.

VT_UI2

StyleL

Style L

Style Windows de l’élément ; utilisation interne uniquement.

Plus de détails dans l’aide en ligne.

VT_UI2

StyleH

Style H

Style Windows de l’élément ; utilisation interne uniquement.

Plus de détails dans l’aide en ligne.

ZT_COLOR

TextColor

Couleur du texte

Couleur du texte de l’élément.

Plus de détails dans l’aide en ligne.

ZT_COLOR

BackColor

Couleur de remplissage

Disponible uniquement si la propriété Transparence est inactive.

Définit la couleur de remplissage de l’élément. Cliquez sur le bouton pour ouvrir la palette de couleurs prédéfinies. Vous pouvez également définir la couleur en saisissant manuellement le code hexadécimal (RVB) dans le champ. La couleur de remplissage peut être modifiée de manière dynamique à l’aide de la propriété Couleur de remplissage du groupe Couleur(s) de remplissage dynamique(s).

Remarque : La couleur du nouvel élément sera la couleur utilisée pour le précédent élément du même type.

Attention : dans la fenêtre Vue globale, les modifications des couleurs dans Editor n’ont aucune incidence dans le Runtime.

Plus de détails dans l’aide en ligne.

VT_BSTR

Legend

Texte

Intitulé de l’élément dans Editor.

Plus de détails dans l’aide en ligne.

VT_BOOL

Tab

Le focus est donné à l'élément

Active : L’élément dynamique peut être actionné à l’aide du clavier.
Inactive : L’élément dynamique n’est pas accessible à l’aide du clavier.
Par défaut : active.

Plus de détails dans l’aide en ligne.

VT_I4

TABOrderH

Position du focus gauche/droite

Définit la position horizontale pour l’utilisation à l’aide du clavier dans le Runtime. La position est définie par l’intermédiaire du menu contextuel et de l’utilisation de la souris dans la fenêtre principale ; elle ne peut pas être modifiée ici.

Plus de détails dans l’aide en ligne.

VT_I4

TABOrderV

Position focus haut / bas

Définit la position verticale pour l’utilisation à l’aide du clavier dans le Runtime. La position est définie par l’intermédiaire du menu contextuel et de l’utilisation de la souris dans la fenêtre principale ; elle ne peut pas être modifiée ici.

Plus de détails dans l’aide en ligne.

ZT_SHORTCUT

ShortCut

Raccourci-clavier

Les raccourcis autorisent l’exécution d’éléments actionnables. Par exemple :

- Exécution d’éléments de contrôle et de fonctions auxquelles un élément est attribué
- Écriture de valeurs prescrites (par ex. pour des interrupteurs)
- Configuration du focus pour certaines fenêtres (par ex. liste des courbes dans le module Extended Trend, ou liste déroulante dans le module RGM)

Cliquez sur le bouton du champ de saisie pour ouvrir la boîte de dialogue de définition des combinaisons de touches. Dans la boîte de dialogue, saisissez directement la combinaison souhaitée.

Plus de détails dans l’aide en ligne.

VT_BOOL

KbdUsage

Synoptique clavier

Disponible uniquement si la propriété Synoptique clavier est active.

Nom du synoptique de clavier lié.
Si aucun synoptique de clavier n’est saisi, le clavier correspondant est appelé dans le Runtime :

  • Variable String (chaîne) : SETSTRINGKBD
  • Variable numérique : SETVALUEKBD
  • Variable binaire : SETBOOLKBD

Remarque : Pour l’option Champ de saisie, aucun clavier n’est appelé si l’option Synoptique clavier est activée. Un synoptique de clavier doit être lié.

Plus de détails dans l’aide en ligne.

ZT_VBAMAKRO

DragDrop

DragDrop

Macro VBA à exécuter lorsque le bouton de la souris est relâché.

Plus de détails dans l’aide en ligne.

ZT_VBAMAKRO

DragOver

DragOver

Macro VBA à exécuter lorsque le curseur est déplacé au-dessus de l’élément pendant que le bouton gauche est enfoncé.

Plus de détails dans l’aide en ligne.

ZT_VBAMAKRO

DragBegin

DragBegin

Macro VBA à exécuter lorsque l’utilisateur commence à faire glisser l’objet.

Plus de détails dans l’aide en ligne.

ZT_STYLE

StyleGroup

Groupe de styles

Affichage et sélection du groupe de styles attribué à l’élément.
Cliquez sur le bouton ... pour ouvrir la boîte de dialogue permettant de sélectionner un groupe de styles.
Si plusieurs éléments sont sélectionnés, elles peuvent être attribuées à un groupe de styles commun.

Remarque : Seules les propriétés compatibles avec l’élément correspondant sont prises en charge.

Plus de détails dans l’aide en ligne.

More...

LnClVariable

LnClVariable

"With this property you have the opportunity to get informations about the variable which is linked as ""line/text color"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""LnClVariable.SymVarName"") 'Return the name of the ""line/text color"" variable
zElement.DynProperties (""LnClVariable.SymVarTagNr"") 'Return the identification of the ""line/text color"" variable"

More...

BkClVariable

BkClVariable

"With this property you have the opportunity to get informations about the variable which is linked as ""background/filling color"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""BkClVariable.SymVarName"") 'Return the name of the ""background/filling color"" variable
zElement.DynProperties (""BkClVariable.SymVarTagNr"") 'Return the identification of the ""background/filling color"" variable"

More...

BkCl2Variable

"BkCl2Variable"

More...

XVar

XVar

"With this property you have the opportunity to get informations about the variable which is linked as ""dynamic x position"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""XVar.SymVarName"") 'Return the name of the ""dynamic x position"" variable
zElement.DynProperties (""XVar.SymVarTagNr"") 'Return the identification of the ""dynamic x position"" variable"

More...

YVar

YVar

"With this property you have the opportunity to get informations about the variable which is linked as ""dynamic y position"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""YVar.SymVarName"") 'Return the name of the ""dynamic y position"" variable
zElement.DynProperties (""YVar.SymVarTagNr"") 'Return the identification of the ""dynamic y position"" variable"

More...

XVarZoom

XVarZoom

"With this property you have the opportunity to get informations about the variable which is linked as ""change width"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""XVarZoom.SymVarName"") 'Return the name of the ""change width"" variable
zElement.DynProperties (""XVarZoom.SymVarTagNr"") 'Return the identification of the ""change width"" variable"

More...

YVarZoom

YVarZoom

"With this property you have the opportunity to get informations about the variable which is linked as ""change height"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""YVarZoom.SymVarName"") 'Return the name of the ""change height"" variable
zElement.DynProperties (""YVarZoom.SymVarName"") 'Return the name of the ""change height"" variable
zElement.DynProperties (""YVarZoom.SymVarTagNr"") 'Return the identification of the ""change height"" variable"

More...

TwistVar

TwistVar

"With this property you have the opportunity to get informations about the variable which is linked as ""rotate"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""TwistVar.SymVarName"") 'Return the name of the ""rotate"" variable
zElement.DynProperties (""TwistVar.SymVarTagNr"") 'Return the identification of the ""rotate"" variable"

More...

VisVariable

VisVariable

"With this property you have the opportunity to get informations about the variable which is linked as ""visibility"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""VisVariable.SymVarName"") 'Return the name of the ""visibility"" variable
zElement.DynProperties (""VisVariable.SymVarTagNr"") 'Return the identification of the ""visibility"" variable"

More...

BlinkVar

BlinkVar

More...

GlowEffectGlowColorVar

GlowEffectGlowColorVar

More...

GlowEffectVisibilityVar

GlowEffectVisibilityVar

More...

GlowEffectBlinkVar

GlowEffectBlinkVar

VT_BSTR

Name

Nom d'élément

Attribuez un nom d’élément.
Il ne doit pas être vide.

Attention : Cette propriété n’est pas disponible aux fins de la commutation de langue.

Remarques concernant les cadrans : Pour les conteneurs de synoptique, spécifiez des noms clairement identifiables pour faciliter la sélection lors de la configuration des appels de synoptique.

Plus de détails dans l’aide en ligne.

VT_UI1

Layer

Niveau de visibilité

Sélectionnez l’un des 16 niveaux de visibilité (0 à 15) dans la liste déroulante. À l’aide de la barre d’outils Niveau de visibilité, vous décidez des niveaux qui doivent être affichés dans Editor. Cette fonction garantit que les synoptiques les plus complexes peuvent être développés de manière simple. Les niveaux peuvent être utilisés immédiatement. Les niveaux n’ont aucune influence sur les informations affichées au premier plan ou en arrière-plan dans le Runtime.
Par défaut : 0.

Plus de détails dans l’aide en ligne.

VT_I4

StartX

Point de départ X [pixels]

Coordonnée Y du coin supérieur gauche du synoptique (en pixels).

Plus de détails dans l’aide en ligne.

VT_I4

EndX

Point final X [pixels]

Coordonnée X du coin inférieur droit du synoptique (en pixels).

Plus de détails dans l’aide en ligne.

VT_I4

StartY

Point de départ Y [pixels]

Coordonnée Y du coin supérieur gauche du synoptique (en pixels).

Plus de détails dans l’aide en ligne.

VT_I4

EndY

Point final Y [pixels]

Coordonnée Y du coin inférieur droit du synoptique (en pixels).

Plus de détails dans l’aide en ligne.

VT_I4

Width

Largeur [pixels]

Largeur des éléments en pixels.

Remarque : disponible uniquement pour les éléments Combinaison multiple, Élément combiné, Bouton et Interrupteur si la valeur Ajusté a été sélectionnée pour la propriété Taille du graphique.

Plus de détails dans l’aide en ligne.

VT_I4

Height

Hauteur [pixels]

Hauteur des éléments en pixels.

Remarque : disponible uniquement pour les éléments Combinaison multiple, Élément combiné, Bouton et Interrupteur si la valeur Ajusté a été sélectionnée pour la propriété Taille du graphique.

Plus de détails dans l’aide en ligne.

VT_I4

Angle

Angle de rotation [°]

Angle libre autour selon lequel doit pivoter l’élément.
Les valeurs positives correspondent à une rotation dans le sens antihoraire, tandis que les valeurs négatives correspondent à une rotation dans le sens horaire. Les valeurs supérieures à 360° sont affichées sous forme d’écart par rapport à 360° (400° correspond à 40°). Seuls les nombres entiers sont autorisés.

Sur les éléments pivotés, les actions suivantes ne sont plus possibles :

  • Miroir
  • Rotation de +/- 90°
  • Redimensionnement à l’aide des touches fléchées

Par défaut : 0

Remarque : Ce paramètre est activé et réinitialisé lors de la configuration pour Windows CE.

Plus de détails dans l’aide en ligne.

VT_I2

ZoomMin

Visible de

Incrément de zoom le plus bas auquel l’élément est visible dans la vue globale.
Par défaut : -1
Une valeur de visibilité avec des incréments de zoom de -1 à -1 signifie que l’élément est affiché, quel que soit l’incrément de zoom sélectionné.

Les niveaux de zoom affichés dans la vue globale peuvent être configurés avec la propriété Apparence graphique -> Généralités runtime -> Pas de zoom pour vue globale.

Attention : Ce niveau de zoom s’applique à tous les types de synoptiques et cadres. Si un niveau de zoom défini est supérieur à 0, l’élément est uniquement affiché dans la vue globale, car les autres types de synoptique sont automatiquement appelés avec le niveau de zoom 0.

Plus de détails dans l’aide en ligne.

VT_I2

ZoomMax

Visible jusqu'à

Incrément de zoom le plus élevé auquel l’élément est visible dans la vue globale.

Par défaut : -1
Une valeur de visibilité avec des incréments de zoom de -1 à -1 signifie que l’élément est affiché, quel que soit l’incrément de zoom sélectionné.

Les niveaux de zoom affichés dans la vue globale peuvent être configurés avec la propriété Apparence graphique -> Généralités runtime -> Pas de zoom pour vue globale.

Attention : Ce niveau de zoom s’applique à tous les types de synoptiques et cadres. Si un niveau de zoom défini est supérieur à 0, l’élément est uniquement affiché dans la vue globale, car les autres types de synoptique sont automatiquement appelés avec le niveau de zoom 0.

Plus de détails dans l’aide en ligne.

VT_BSTR

Stationname

Nom liste d'objets

L’élément est saisi directement dans la liste de stations du synoptique Vue globale, et le texte est saisi ici.

Plus de détails dans l’aide en ligne.

ZT_VARIABLE_DYN

LineColorVariable

Couleur de ligne

Nom des variables dont les couleurs de valeur limite doivent influencer la couleur de ligne/de texte de l’élément. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de variables.

Plus de détails dans l’aide en ligne.

ZT_PREVIEW

LineColorVarPreview

Affichage aperçu couleur

Affichage de la valeur limite pour la propriété Couleur de ligne définie pour la variable. Disponible uniquement si l’option Depuis la variable a été configurée pour la propriété Couleur de ligne.

Un aperçu des propriétés définies pour la valeur limite est affiché dans le champ. Aucun aperçu n’est affiché pour les matrices de réaction.
Cliquez sur le bouton ... pour ouvrir la boîte de dialogue d’affichage des résultats. Les valeurs limite sont uniquement affichées ; elles ne peuvent pas être modifiées. Les modifications doivent être effectuées directement dans les propriétés de la variable pour Valeurs limite.

Plus de détails dans l’aide en ligne.

ZT_VARIABLE_DYN

BackColorVariable

Couleur de remplissage

Nom de la variable dont les couleurs de valeur limite doivent influencer la couleur d’arrière-plan/de remplissage de l’élément.
Ouvre la boîte de dialogue de sélection de variables.

Plus de détails dans l’aide en ligne.

ZT_PREVIEW

BackColorVarPreview

Affichage aperçu couleur

Affichage de la valeur limite pour la propriété Couleur de remplissage définie pour la variable. Disponible uniquement si l’option Depuis la variable a été configurée pour la propriété Couleur de remplissage.

Un aperçu des propriétés définies pour la valeur limite est affiché dans le champ. Aucun aperçu n’est affiché pour les matrices de réaction.
Cliquez sur le bouton ... pour ouvrir la boîte de dialogue d’affichage des résultats. Les valeurs limite sont uniquement affichées ; elles ne peuvent pas être modifiées. Les modifications doivent être effectuées directement dans les propriétés de la variable pour Valeurs limite.

Plus de détails dans l’aide en ligne.

VT_UI1

HorizontalOrigin

Horizontal

Point de référence horizontal de l’événement. Les valeurs possibles sont : gauche, centré, droite.
Ce point est utilisé en tant que base de calcul de l’angle de départ de la rotation (statique et dynamique) et pour le changement dynamique de taille.

Par défaut : À gauche

Plus de détails dans l’aide en ligne.

VT_UI1

VerticalOrigin

Vertical

Point de référence vertical de l’événement. Les valeurs possibles sont : haut, centré, bas.
Ce point est utilisé en tant que base de calcul de l’angle de départ de la rotation (statique et dynamique) et pour le changement dynamique de taille.

Par défaut : En haut

Plus de détails dans l’aide en ligne.

VT_UI4

VisibilityType

Visibilité

Sélection depuis laquelle la visibilité d’un élément est déterminée :

  • Depuis une variable
  • Du verrrouillage

Par défaut : Depuis une variable

Plus de détails dans l’aide en ligne.

ZT_VARIABLE_DYN

VisibilityVariable

Variable

Disponible uniquement si l’option Depuis la variable a été configurée pour la propriété Visibilité.

Nom de la variable dont la valeur contrôle la visibilité de l’élément. La visibilité est soit reprise des propriétés de valeur limite de ces variables, soit définie par la plage de valeurs définie dans les propriétés de et À.
Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de variables. Vous pouvez également saisir manuellement le nom dans le champ de texte.
L'élément reste visible tant qu’aucune variable n’est liée.

Plus de détails dans l’aide en ligne.

ZT_PREVIEW

VisVarPreview

Affichage aperçu visibilité

Affichage des valeurs limite pour la visibilité définies pour la variable. Disponible uniquement si l’option Depuis la variable a été configurée pour la propriété Variable dans le groupe Visibilité.

Un aperçu des propriétés définies pour la valeur limite est affiché dans le champ. Aucun aperçu n’est affiché pour les matrices de réaction.
Cliquez sur le bouton ... pour ouvrir la boîte de dialogue d’affichage des résultats. Les valeurs limite sont uniquement affichées ; elles ne peuvent pas être modifiées. Les modifications doivent être effectuées directement dans les propriétés de la variable pour Valeurs limite.

Plus de détails dans l’aide en ligne.

VT_BOOL

VisibilityFromLimit

A partir des valeurs limites

Uniquement disponible après la sélection d’une variable :

  • Active : La visibilité de l’élément est influencée par la propriété de valeur limite de la variable.

    Attention : La propriété Invisible doit être active pour au moins une valeur limite de la variable.

  • Inactive : la visibilité est influencée par les propriétés de l’élément.

Par défaut : active

Plus de détails dans l’aide en ligne.

VT_R8

VisibilityFrom

de

Disponible uniquement après la sélection d’une variable, si la visibilité n’a pas été reprise par la valeur limite :

Valeur minimum de la variable à laquelle l’élément est visible.

  • Minimum : valeur minimum possible de la variable liée.
  • Maximum : valeur maximum possible de la variable liée.

Par défaut : valeur minimum possible de la variable liée.

Plus de détails dans l’aide en ligne.

VT_R8

VisibilityTo

À

Disponible uniquement après la sélection d’une variable, si la visibilité n’a pas été reprise par la valeur limite :

Valeur maximale de la variable à laquelle l’élément est visible.

  • Minimum : valeur minimum possible de la variable liée.
  • Maximum : valeur maximum possible de la variable liée.

Par défaut : valeur maximum possible de la variable liée.

Plus de détails dans l’aide en ligne.

VT_UI4

Interlocking

Verrouillage

Disponible uniquement si l’option Depuis le verrouillage est sélectionnée pour la propriété Visibilité.

Nom du verrouillage dont la valeur contrôle la visibilité de l’élément. Sélectionnez dans la liste déroulante. Celle-ci contient tous les verrouillages existants et utilisables. L’élément est toujours visible si aucun verrouillage n’est lié.

Plus de détails dans l’aide en ligne.

VT_BSTR

InterlockingName

InterlockingName

Description

VT_BOOL

VisibleWhenInterlocked

Visible si verrouillé

Contrôle la visibilité de l’élément lorsque le verrouillage est sélectionné :

  • Active : L’élément est visible s’il est verrouillé.
  • Inactive : L’élément est visible s’il n’est pas verrouillé.

Par défaut : inactive

Plus de détails dans l’aide en ligne.

ZT_VARIABLE_DYN

BlinkVariable

Affichage aperçu clignotement

Affichage des valeurs limite pour le clignotement définies pour la variable. Disponible uniquement si l’option Depuis la variable a été configurée pour la propriété Prendre le clignotement de la limite.

Un aperçu des propriétés définies pour la valeur limite est affiché dans le champ. Aucun aperçu n’est affiché pour les matrices de réaction.
Cliquez sur le bouton ... pour ouvrir la boîte de dialogue d’affichage des résultats. Les valeurs limite sont uniquement affichées ; elles ne peuvent pas être modifiées. Les modifications doivent être effectuées directement dans les propriétés de la variable pour Valeurs limite.

Plus de détails dans l’aide en ligne.

ZT_PREVIEW

BlinkVarPreview

Affichage aperçu clignotement

Affichage des valeurs limite pour le clignotement définies pour la variable. Disponible uniquement si l’option Depuis la variable a été configurée pour la propriété Prendre le clignotement de la limite.

Un aperçu des propriétés définies pour la valeur limite est affiché dans le champ. Aucun aperçu n’est affiché pour les matrices de réaction.
Cliquez sur le bouton ... pour ouvrir la boîte de dialogue d’affichage des résultats. Les valeurs limite sont uniquement affichées ; elles ne peuvent pas être modifiées. Les modifications doivent être effectuées directement dans les propriétés de la variable pour Valeurs limite.

Plus de détails dans l’aide en ligne.

VT_BOOL

UseBlinkColor

Couleur de clignotement par la limite

Active : Reprend la couleur d’arrière-plan du clignotement défini pour la valeur limite active de la variable pour Prendre le clignotement de la limite. Durant le clignotement, l’élément ne devient pas invisible, mais reprend la couleur d’arrière-plan active.

Par défaut : Inactive

Remarque : la couleur n’est pas prise en compte si la couleur d’arrière-plan Transparence est configurée.

Plus de détails dans l’aide en ligne.

ZT_VARIABLE_DYN

XVariable

Variable

Nom de la variable utilisée pour le déplacement horizontal de l’élément.
Ouvre la boîte de dialogue de sélection de variables.

Plus de détails dans l’aide en ligne.

VT_R8

XVarMin

Valeur min de la variable

Valeur minimale de la variable utilisée pour le déplacement horizontal de l’élément.

Plus de détails dans l’aide en ligne.

VT_R8

XVarMax

Valeur max de la variable

Valeur maximale de la variable utilisée pour le déplacement horizontal de l’élément.

Plus de détails dans l’aide en ligne.

VT_I4

XViewMin

Mouvement min [pixels]

Position horizontale de l’élément pour la valeur minimale de la variable (en pixels).

Plus de détails dans l’aide en ligne.

VT_I4

XViewMax

Mouvement max [pixels]

Position horizontale de l’élément pour la valeur minimale de la variable (en pixels).

Plus de détails dans l’aide en ligne.

ZT_VARIABLE_DYN

YVariable

Variable

Nom de la variable utilisée pour le déplacement vertical de l’élément.
Ouvre la boîte de dialogue de sélection de variables.

Plus de détails dans l’aide en ligne.

VT_R8

YVarMin

Valeur min de la variable

Valeur minimale de la variable utilisée pour le déplacement vertical de l’élément.

Plus de détails dans l’aide en ligne.

VT_R8

YVarMax

Valeur max de la variable

Valeur maximale de la variable utilisée pour le déplacement vertical de l’élément.

Plus de détails dans l’aide en ligne.

VT_I4

YViewMin

Mouvement min [pixels]

Position verticale de l’élément pour la valeur minimale de la variable (en pixels).

Plus de détails dans l’aide en ligne.

VT_I4

YViewMax

Mouvement max [pixels]

Position verticale de l’élément pour la valeur maximale de la variable (en pixels).

Plus de détails dans l’aide en ligne.

ZT_VARIABLE_DYN

XZoomVariable

Variable

Nom de la variable utilisée pour l’agrandissement de la largeur de l’élément.
Ouvre la boîte de dialogue de sélection de variables.

Plus de détails dans l’aide en ligne.

VT_R8

XZoomVarMin

Valeur min de la variable

Valeur minimale de la variable utilisée pour effectuer un zoom à la largeur de l’élément.

Plus de détails dans l’aide en ligne.

VT_R8

XZoomVarMax

Valeur max de la variable

Valeur maximale de la variable utilisée pour effectuer un zoom sur la largeur de l’élément.

Plus de détails dans l’aide en ligne.

VT_I4

XZoomViewMin

Largeur min [%]

Facteur de zoom correspondant à la largeur de l’élément pour la valeur minimale de la variable (en pixels).

Plus de détails dans l’aide en ligne.

VT_I4

XZoomViewMax

Largeur max [%]

Facteur de zoom correspondant à la largeur de l’élément pour la valeur maximale de la variable (en pixels).

Plus de détails dans l’aide en ligne.

ZT_VARIABLE_DYN

YZoomVariable

Variable

Nom de la variable utilisée pour l’agrandissement de la hauteur de l’élément.
Ouvre la boîte de dialogue de sélection de variables.

Plus de détails dans l’aide en ligne.

VT_R8

YZoomVarMin

Valeur min de la variable

Valeur minimum de la variable utilisée pour effectuer un zoom sur la hauteur de l’élément.

Plus de détails dans l’aide en ligne.

VT_R8

YZoomVarMax

Valeur max de la variable

Valeur maximum de la variable utilisée pour effectuer un zoom sur la hauteur de l’élément.

Plus de détails dans l’aide en ligne.

VT_I4

YZoomViewMin

Hauteur min [%]

Facteur de zoom correspondant à la hauteur de l’élément pour la valeur minimum de la variable (en %).

Plus de détails dans l’aide en ligne.

VT_I4

YZoomViewMax

Hauteur max [%]

Facteur de zoom correspondant à la hauteur de l’élément pour la valeur maximale de la variable (en pixels).

Plus de détails dans l’aide en ligne.

ZT_VARIABLE_DYN

TwistVariable

Variable

Nom de la variable utilisée pour la rotation de l’élément.

Plus de détails dans l’aide en ligne.

VT_R8

TwistVarMin

Valeur min de la variable

Valeur minimum de la variable utilisée pour la rotation de l’élément.

Plus de détails dans l’aide en ligne.

VT_R8

TwistVarMax

Valeur max de la variable

Valeur maximale de la variable utilisée pour la rotation de l’élément.

Plus de détails dans l’aide en ligne.

VT_I4

TwistViewMin

Rotation min [°]

Angle de rotation de l’élément pour la valeur minimum de la variable (en °).

Plus de détails dans l’aide en ligne.

VT_I4

TwistViewMax

Rotation max [°]

Angle de rotation de l’élément pour la valeur maximum de la variable (en °).

Plus de détails dans l’aide en ligne.

ZT_STYLE

ShadowEffectStyle

Style effet cadres/ombres

Affichage et sélection du style de cadre et d’ombre attribué à l’élément.

Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de style.
Si plusieurs éléments ont été sélectionnés, ils peuvent être attribués à un style commun.

Remarque : Seules les propriétés compatibles avec l’élément correspondant sont prises en charge.

Plus de détails dans l’aide en ligne.

VT_BOOL

EnablePunchFrame

Afficher le cadre

A frame around the element can be displayed.
Default: inactive.

ZT_STYLE

GlowEffectStyle

Style effet de rayonnement

Affichage et sélection du style des effets de luminescence attribués à l’élément.

Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de style.
Si plusieurs éléments ont été sélectionnés, ils peuvent être attribués à un style commun.

Remarque : Seules les propriétés compatibles avec l’élément correspondant sont prises en charge.

Plus de détails dans l’aide en ligne.

VT_BOOL

GlowEffectEvent

Actif seulement si cliqué

Disponible uniquement si la propriété Activer est active et l’élément est un bouton.

Active : l’effet de luminescence est uniquement affiché lorsque l’utilisateur clique sur le bouton. Cliquer sur le bouton permet de modifier la couleur, le clignotement ou l’invisibilité de l’effet de luminescence.

Par défaut : Inactive

Plus de détails dans l’aide en ligne.

ZT_VARIABLE_DYN

GlowEffectGlowColorVariable

Variable pour la couleur

Disponible uniquement si la propriété Activer est active. La propriété Coloration doit être activée.

Nom de la variable dont la couleur aux valeurs limites doit influencer la couleur de l’effet de luminescence pour l’élément. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de variables. Vous pouvez également saisir le nom manuellement dans le champ de texte. Si aucune variable n’est liée, la couleur définie dans la propriété Couleur est utilisée.

Par défaut : aucune variable liée

Plus de détails dans l’aide en ligne.

ZT_PREVIEW

GlowEffectGlowColorVariablePreview

Affichage aperçu couleur

Affichage de la valeur limite définie pour la variable de couleur lorsque l’effet de luminescence est actif. Disponible uniquement si l’option Depuis la variable a été configurée pour la propriété Variable pour la couleur.

Un aperçu des propriétés définies pour la valeur limite est affiché dans le champ. Aucun aperçu n’est affiché pour les matrices de réaction.
Cliquez sur le bouton ... pour ouvrir la boîte de dialogue d’affichage des résultats. Les valeurs limite sont uniquement affichées ; elles ne peuvent pas être modifiées. Les modifications doivent être effectuées directement dans les propriétés de la variable pour Valeurs limite.

Plus de détails dans l’aide en ligne.

ZT_VARIABLE_DYN

GlowEffectVisibilityVariable

Variable pour la visibilité

Disponible uniquement si la propriété Activer est active.

Nom de la variable dont la valeur influence la visibilité de l’effet de luminescence. La visibilité est soit reprise des propriétés de valeur limite de cette variable (propriété Visibilité depuis valeur limite active), soit définie par la plage de valeurs définie dans les propriétés Visible de et Visible jusqu'à. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de variables. Vous pouvez également saisir le nom manuellement dans le champ de texte.

Remarque : si aucune variable n’est liée, l’effet de luminescence est toujours visible.

Par défaut : aucune variable liée

Plus de détails dans l’aide en ligne.

ZT_PREVIEW

GlowEffectVisibilityVariablePreview

Affichage aperçu visibilité

Affichage de la valeur limite définie pour la variable de visibilité lorsque l’effet de luminescence est actif. Disponible uniquement si l’option Depuis la variable a été configurée pour la propriété Variable pour la visibilité.

Un aperçu des propriétés définies pour la valeur limite est affiché dans le champ. Aucun aperçu n’est affiché pour les matrices de réaction.
Cliquez sur le bouton ... pour ouvrir la boîte de dialogue d’affichage des résultats. Les valeurs limite sont uniquement affichées ; elles ne peuvent pas être modifiées. Les modifications doivent être effectuées directement dans les propriétés de la variable pour Valeurs limite.

Plus de détails dans l’aide en ligne.

VT_BOOL

GlowEffectVisibilityFromLimit

Visibilité depuis valeur limite

Disponible uniquement si la propriété Activer est active. Vous devez en outre définir une variable dans la propriété Variable pour la visibilité.

Active : La visibilité de l’effet de luminescence est influencée par la propriété de valeur limite de la variable.

Attention : Pour une valeur limite de la variable au moins, la propriété Invisible doit être active.

Inactive : la visibilité est influencée par les propriétés de l’élément.

Plus de détails dans l’aide en ligne.

VT_R8

GlowEffectVisibilityFrom

Visible de

Disponible uniquement si la propriété Activer est active. Vous devez en outre définir une variable dans la propriété Variable pour la visibilité ; la propriété Visibilité depuis valeur limite doit être inactive.

Définit la valeur à partir de laquelle l’effet de luminescence devient visible.
Minimum : valeur la moins élevée autorisée pour la variable liée dans Variable pour la visibilité.
Maximum : valeur la moins élevée autorisée pour la variable liée dans Variable pour la visibilité.
Par défaut : valeur la plus élevée autorisée pour la variable liée dans Variable pour la visibilité.

Plus de détails dans l’aide en ligne.

VT_R8

GlowEffectVisibilityTo

Visible jusqu'à

Disponible uniquement si la propriété Activer est active. Vous devez en outre définir une variable dans la propriété Variable pour la visibilité ; la propriété Visibilité depuis valeur limite doit être inactive.

Définit la valeur jusqu’à laquelle l’effet de luminescence reste visible.
Minimum : valeur la plus basse autorisée pour la variable liée dans Variable pour la visibilité.
Maximum : valeur la plus élevée autorisée pour la variable liée dans Variable pour la visibilité.
Par défaut : valeur la plus élevée autorisée pour la variable liée dans Variable pour la visibilité.

Plus de détails dans l’aide en ligne.

ZT_VARIABLE_DYN

GlowEffectBlinkVariable

Variable pour le clignotement

Variables dont les paramètres de clignotement de l’effet de luminescence aux valeurs limites doivent être repris. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de variables.

Par défaut : aucune variable liée

Plus de détails dans l’aide en ligne.

ZT_PREVIEW

GlowEffectBlinkVariablePreview

Affichage aperçu clignotement

Affichage de la valeur limite définie pour la variable de clignotement lorsque l’effet de luminescence est actif. Disponible uniquement si l’option Depuis la variable a été configurée pour la propriété Variable pour le clignotement.

Un aperçu des propriétés définies pour la valeur limite est affiché dans le champ. Aucun aperçu n’est affiché pour les matrices de réaction.
Cliquez sur le bouton ... pour ouvrir la boîte de dialogue d’affichage des résultats. Les valeurs limite sont uniquement affichées ; elles ne peuvent pas être modifiées. Les modifications doivent être effectuées directement dans les propriétés de la variable pour Valeurs limite.

Plus de détails dans l’aide en ligne.

VT_BOOL

GlowEffectUseBlinkColor

Clignotement depuis valeur limite

Disponible uniquement si la propriété Activer est active. Vous devez en outre définir une variable dans la propriété Variable pour le clignotement.

Active : Reprend, pour l’effet de luminescence, la couleur de clignotement de la valeur limite active pour la variable définie dans la propriété Couleur de clignotement par la limite. Cette propriété agit indépendamment de la propriété Coloration. En cas de clignotement, l’effet de luminescence ne devient pas invisible, mais reprend les paramètres de l’effet de luminescence actif.

Par défaut : Inactive

Plus de détails dans l’aide en ligne.

VT_BOOL

GlowEffect2ndBlinkStateVisible

2 états de clignotement invisibles

Disponible uniquement si la propriété Activer est active. Vous devez en outre définir une variable dans la propriété Variable pour le clignotement ; la propriété Clignotement depuis valeur limite doit être inactive.

Active : En cas de clignotement, l’effet de luminescence ne bascule pas vers l’effet de luminescence actif, mais devient invisible. Ceci permet de basculer entre l’invisibilité et la couleur de clignotement en cas de dépassement de la valeur limite.

Par défaut : Inactive

Plus de détails dans l’aide en ligne.


Listbox

Manuel -> Interfaces de programmation -> Modèles d'objet -> Element -> Element-Dynamic properties -> Listbox

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Type

VBA/VSTA Name

Display Name

Description

VT_BOOL

ShowBorder

Montrer le cadre

Permet d’afficher un cadre autour de l’élément. Les indicateurs des propriétés Style L et Style H sont masqués.

active : le cadre est affiché autour de l’élément correspondant.

(Par défaut) Inactive :

Plus de détails dans l’aide en ligne.

ZT_SCHRIFT

Font

Police

Sélection de la police utilisée pour l’affichage.

Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection. La police de caractères sélectionnée est liée.

Plus de détails dans l’aide en ligne.

VT_BOOL

TranslateText

Traduire le texte affiché
  • Active : le texte devant être affiché est traduit. Si un texte est modifié, la version provisoire est affichée avec la traduction.

Par défaut : Inactive

Plus de détails dans l’aide en ligne.

VT_UI2

StyleL

Style L

Style Windows de l’élément ; utilisation interne uniquement.

Plus de détails dans l’aide en ligne.

VT_UI2

StyleH

Style H

Style Windows de l’élément ; utilisation interne uniquement.

Plus de détails dans l’aide en ligne.

ZT_COLOR

TextColor

Couleur du texte

Couleur du texte de l’élément.

Plus de détails dans l’aide en ligne.

ZT_COLOR

BackColor

Couleur de remplissage

Disponible uniquement si la propriété Transparence est inactive.

Définit la couleur de remplissage de l’élément. Cliquez sur le bouton pour ouvrir la palette de couleurs prédéfinies. Vous pouvez également définir la couleur en saisissant manuellement le code hexadécimal (RVB) dans le champ. La couleur de remplissage peut être modifiée de manière dynamique à l’aide de la propriété Couleur de remplissage du groupe Couleur(s) de remplissage dynamique(s).

Remarque : La couleur du nouvel élément sera la couleur utilisée pour le précédent élément du même type.

Attention : dans la fenêtre Vue globale, les modifications des couleurs dans Editor n’ont aucune incidence dans le Runtime.

Plus de détails dans l’aide en ligne.

VT_BSTR

Legend

Texte

Intitulé de l’élément dans Editor.

Plus de détails dans l’aide en ligne.

VT_BOOL

Tab

Le focus est donné à l'élément

Active : L’élément dynamique peut être actionné à l’aide du clavier.
Inactive : L’élément dynamique n’est pas accessible à l’aide du clavier.
Par défaut : active.

Plus de détails dans l’aide en ligne.

VT_I4

TABOrderH

Position du focus gauche/droite

Définit la position horizontale pour l’utilisation à l’aide du clavier dans le Runtime. La position est définie par l’intermédiaire du menu contextuel et de l’utilisation de la souris dans la fenêtre principale ; elle ne peut pas être modifiée ici.

Plus de détails dans l’aide en ligne.

VT_I4

TABOrderV

Position focus haut / bas

Définit la position verticale pour l’utilisation à l’aide du clavier dans le Runtime. La position est définie par l’intermédiaire du menu contextuel et de l’utilisation de la souris dans la fenêtre principale ; elle ne peut pas être modifiée ici.

Plus de détails dans l’aide en ligne.

ZT_SHORTCUT

ShortCut

Raccourci-clavier

Les raccourcis autorisent l’exécution d’éléments actionnables. Par exemple :

- Exécution d’éléments de contrôle et de fonctions auxquelles un élément est attribué
- Écriture de valeurs prescrites (par ex. pour des interrupteurs)
- Configuration du focus pour certaines fenêtres (par ex. liste des courbes dans le module Extended Trend, ou liste déroulante dans le module RGM)

Cliquez sur le bouton du champ de saisie pour ouvrir la boîte de dialogue de définition des combinaisons de touches. Dans la boîte de dialogue, saisissez directement la combinaison souhaitée.

Plus de détails dans l’aide en ligne.

VT_BOOL

KbdUsage

Synoptique clavier

Disponible uniquement si la propriété Synoptique clavier est active.

Nom du synoptique de clavier lié.
Si aucun synoptique de clavier n’est saisi, le clavier correspondant est appelé dans le Runtime :

  • Variable String (chaîne) : SETSTRINGKBD
  • Variable numérique : SETVALUEKBD
  • Variable binaire : SETBOOLKBD

Remarque : Pour l’option Champ de saisie, aucun clavier n’est appelé si l’option Synoptique clavier est activée. Un synoptique de clavier doit être lié.

Plus de détails dans l’aide en ligne.

ZT_VBAMAKRO

DragDrop

DragDrop

Macro VBA à exécuter lorsque le bouton de la souris est relâché.

Plus de détails dans l’aide en ligne.

ZT_VBAMAKRO

DragOver

DragOver

Macro VBA à exécuter lorsque le curseur est déplacé au-dessus de l’élément pendant que le bouton gauche est enfoncé.

Plus de détails dans l’aide en ligne.

ZT_VBAMAKRO

DragBegin

DragBegin

Macro VBA à exécuter lorsque l’utilisateur commence à faire glisser l’objet.

Plus de détails dans l’aide en ligne.

ZT_STYLE

StyleGroup

Groupe de styles

Affichage et sélection du groupe de styles attribué à l’élément.
Cliquez sur le bouton ... pour ouvrir la boîte de dialogue permettant de sélectionner un groupe de styles.
Si plusieurs éléments sont sélectionnés, elles peuvent être attribuées à un groupe de styles commun.

Remarque : Seules les propriétés compatibles avec l’élément correspondant sont prises en charge.

Plus de détails dans l’aide en ligne.

More...

LnClVariable

LnClVariable

"With this property you have the opportunity to get informations about the variable which is linked as ""line/text color"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""LnClVariable.SymVarName"") 'Return the name of the ""line/text color"" variable
zElement.DynProperties (""LnClVariable.SymVarTagNr"") 'Return the identification of the ""line/text color"" variable"

More...

BkClVariable

BkClVariable

"With this property you have the opportunity to get informations about the variable which is linked as ""background/filling color"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""BkClVariable.SymVarName"") 'Return the name of the ""background/filling color"" variable
zElement.DynProperties (""BkClVariable.SymVarTagNr"") 'Return the identification of the ""background/filling color"" variable"

More...

BkCl2Variable

"BkCl2Variable"

More...

XVar

XVar

"With this property you have the opportunity to get informations about the variable which is linked as ""dynamic x position"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""XVar.SymVarName"") 'Return the name of the ""dynamic x position"" variable
zElement.DynProperties (""XVar.SymVarTagNr"") 'Return the identification of the ""dynamic x position"" variable"

More...

YVar

YVar

"With this property you have the opportunity to get informations about the variable which is linked as ""dynamic y position"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""YVar.SymVarName"") 'Return the name of the ""dynamic y position"" variable
zElement.DynProperties (""YVar.SymVarTagNr"") 'Return the identification of the ""dynamic y position"" variable"

More...

XVarZoom

XVarZoom

"With this property you have the opportunity to get informations about the variable which is linked as ""change width"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""XVarZoom.SymVarName"") 'Return the name of the ""change width"" variable
zElement.DynProperties (""XVarZoom.SymVarTagNr"") 'Return the identification of the ""change width"" variable"

More...

YVarZoom

YVarZoom

"With this property you have the opportunity to get informations about the variable which is linked as ""change height"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""YVarZoom.SymVarName"") 'Return the name of the ""change height"" variable
zElement.DynProperties (""YVarZoom.SymVarName"") 'Return the name of the ""change height"" variable
zElement.DynProperties (""YVarZoom.SymVarTagNr"") 'Return the identification of the ""change height"" variable"

More...

TwistVar

TwistVar

"With this property you have the opportunity to get informations about the variable which is linked as ""rotate"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""TwistVar.SymVarName"") 'Return the name of the ""rotate"" variable
zElement.DynProperties (""TwistVar.SymVarTagNr"") 'Return the identification of the ""rotate"" variable"

More...

VisVariable

VisVariable

"With this property you have the opportunity to get informations about the variable which is linked as ""visibility"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""VisVariable.SymVarName"") 'Return the name of the ""visibility"" variable
zElement.DynProperties (""VisVariable.SymVarTagNr"") 'Return the identification of the ""visibility"" variable"

More...

BlinkVar

BlinkVar

More...

GlowEffectGlowColorVar

GlowEffectGlowColorVar

More...

GlowEffectVisibilityVar

GlowEffectVisibilityVar

More...

GlowEffectBlinkVar

GlowEffectBlinkVar

VT_BSTR

Name

Nom d'élément

Attribuez un nom d’élément.
Il ne doit pas être vide.

Attention : Cette propriété n’est pas disponible aux fins de la commutation de langue.

Remarques concernant les cadrans : Pour les conteneurs de synoptique, spécifiez des noms clairement identifiables pour faciliter la sélection lors de la configuration des appels de synoptique.

Plus de détails dans l’aide en ligne.

VT_UI1

Layer

Niveau de visibilité

Sélectionnez l’un des 16 niveaux de visibilité (0 à 15) dans la liste déroulante. À l’aide de la barre d’outils Niveau de visibilité, vous décidez des niveaux qui doivent être affichés dans Editor. Cette fonction garantit que les synoptiques les plus complexes peuvent être développés de manière simple. Les niveaux peuvent être utilisés immédiatement. Les niveaux n’ont aucune influence sur les informations affichées au premier plan ou en arrière-plan dans le Runtime.
Par défaut : 0.

Plus de détails dans l’aide en ligne.

VT_I4

StartX

Point de départ X [pixels]

Coordonnée Y du coin supérieur gauche du synoptique (en pixels).

Plus de détails dans l’aide en ligne.

VT_I4

EndX

Point final X [pixels]

Coordonnée X du coin inférieur droit du synoptique (en pixels).

Plus de détails dans l’aide en ligne.

VT_I4

StartY

Point de départ Y [pixels]

Coordonnée Y du coin supérieur gauche du synoptique (en pixels).

Plus de détails dans l’aide en ligne.

VT_I4

EndY

Point final Y [pixels]

Coordonnée Y du coin inférieur droit du synoptique (en pixels).

Plus de détails dans l’aide en ligne.

VT_I4

Width

Largeur [pixels]

Largeur des éléments en pixels.

Remarque : disponible uniquement pour les éléments Combinaison multiple, Élément combiné, Bouton et Interrupteur si la valeur Ajusté a été sélectionnée pour la propriété Taille du graphique.

Plus de détails dans l’aide en ligne.

VT_I4

Height

Hauteur [pixels]

Hauteur des éléments en pixels.

Remarque : disponible uniquement pour les éléments Combinaison multiple, Élément combiné, Bouton et Interrupteur si la valeur Ajusté a été sélectionnée pour la propriété Taille du graphique.

Plus de détails dans l’aide en ligne.

VT_I4

Angle

Angle de rotation [°]

Angle libre autour selon lequel doit pivoter l’élément.
Les valeurs positives correspondent à une rotation dans le sens antihoraire, tandis que les valeurs négatives correspondent à une rotation dans le sens horaire. Les valeurs supérieures à 360° sont affichées sous forme d’écart par rapport à 360° (400° correspond à 40°). Seuls les nombres entiers sont autorisés.

Sur les éléments pivotés, les actions suivantes ne sont plus possibles :

  • Miroir
  • Rotation de +/- 90°
  • Redimensionnement à l’aide des touches fléchées

Par défaut : 0

Remarque : Ce paramètre est activé et réinitialisé lors de la configuration pour Windows CE.

Plus de détails dans l’aide en ligne.

VT_I2

ZoomMin

Visible de

Incrément de zoom le plus bas auquel l’élément est visible dans la vue globale.
Par défaut : -1
Une valeur de visibilité avec des incréments de zoom de -1 à -1 signifie que l’élément est affiché, quel que soit l’incrément de zoom sélectionné.

Les niveaux de zoom affichés dans la vue globale peuvent être configurés avec la propriété Apparence graphique -> Généralités runtime -> Pas de zoom pour vue globale.

Attention : Ce niveau de zoom s’applique à tous les types de synoptiques et cadres. Si un niveau de zoom défini est supérieur à 0, l’élément est uniquement affiché dans la vue globale, car les autres types de synoptique sont automatiquement appelés avec le niveau de zoom 0.

Plus de détails dans l’aide en ligne.

VT_I2

ZoomMax

Visible jusqu'à

Incrément de zoom le plus élevé auquel l’élément est visible dans la vue globale.

Par défaut : -1
Une valeur de visibilité avec des incréments de zoom de -1 à -1 signifie que l’élément est affiché, quel que soit l’incrément de zoom sélectionné.

Les niveaux de zoom affichés dans la vue globale peuvent être configurés avec la propriété Apparence graphique -> Généralités runtime -> Pas de zoom pour vue globale.

Attention : Ce niveau de zoom s’applique à tous les types de synoptiques et cadres. Si un niveau de zoom défini est supérieur à 0, l’élément est uniquement affiché dans la vue globale, car les autres types de synoptique sont automatiquement appelés avec le niveau de zoom 0.

Plus de détails dans l’aide en ligne.

VT_BSTR

Stationname

Nom liste d'objets

L’élément est saisi directement dans la liste de stations du synoptique Vue globale, et le texte est saisi ici.

Plus de détails dans l’aide en ligne.

ZT_VARIABLE_DYN

LineColorVariable

Couleur de ligne

Nom des variables dont les couleurs de valeur limite doivent influencer la couleur de ligne/de texte de l’élément. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de variables.

Plus de détails dans l’aide en ligne.

ZT_PREVIEW

LineColorVarPreview

Affichage aperçu couleur

Affichage de la valeur limite pour la propriété Couleur de ligne définie pour la variable. Disponible uniquement si l’option Depuis la variable a été configurée pour la propriété Couleur de ligne.

Un aperçu des propriétés définies pour la valeur limite est affiché dans le champ. Aucun aperçu n’est affiché pour les matrices de réaction.
Cliquez sur le bouton ... pour ouvrir la boîte de dialogue d’affichage des résultats. Les valeurs limite sont uniquement affichées ; elles ne peuvent pas être modifiées. Les modifications doivent être effectuées directement dans les propriétés de la variable pour Valeurs limite.

Plus de détails dans l’aide en ligne.

ZT_VARIABLE_DYN

BackColorVariable

Couleur de remplissage

Nom de la variable dont les couleurs de valeur limite doivent influencer la couleur d’arrière-plan/de remplissage de l’élément.
Ouvre la boîte de dialogue de sélection de variables.

Plus de détails dans l’aide en ligne.

ZT_PREVIEW

BackColorVarPreview

Affichage aperçu couleur

Affichage de la valeur limite pour la propriété Couleur de remplissage définie pour la variable. Disponible uniquement si l’option Depuis la variable a été configurée pour la propriété Couleur de remplissage.

Un aperçu des propriétés définies pour la valeur limite est affiché dans le champ. Aucun aperçu n’est affiché pour les matrices de réaction.
Cliquez sur le bouton ... pour ouvrir la boîte de dialogue d’affichage des résultats. Les valeurs limite sont uniquement affichées ; elles ne peuvent pas être modifiées. Les modifications doivent être effectuées directement dans les propriétés de la variable pour Valeurs limite.

Plus de détails dans l’aide en ligne.

VT_UI1

HorizontalOrigin

Horizontal

Point de référence horizontal de l’événement. Les valeurs possibles sont : gauche, centré, droite.
Ce point est utilisé en tant que base de calcul de l’angle de départ de la rotation (statique et dynamique) et pour le changement dynamique de taille.

Par défaut : À gauche

Plus de détails dans l’aide en ligne.

VT_UI1

VerticalOrigin

Vertical

Point de référence vertical de l’événement. Les valeurs possibles sont : haut, centré, bas.
Ce point est utilisé en tant que base de calcul de l’angle de départ de la rotation (statique et dynamique) et pour le changement dynamique de taille.

Par défaut : En haut

Plus de détails dans l’aide en ligne.

VT_UI4

VisibilityType

Visibilité

Sélection depuis laquelle la visibilité d’un élément est déterminée :

  • Depuis une variable
  • Du verrrouillage

Par défaut : Depuis une variable

Plus de détails dans l’aide en ligne.

ZT_VARIABLE_DYN

VisibilityVariable

Variable

Disponible uniquement si l’option Depuis la variable a été configurée pour la propriété Visibilité.

Nom de la variable dont la valeur contrôle la visibilité de l’élément. La visibilité est soit reprise des propriétés de valeur limite de ces variables, soit définie par la plage de valeurs définie dans les propriétés de et À.
Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de variables. Vous pouvez également saisir manuellement le nom dans le champ de texte.
L'élément reste visible tant qu’aucune variable n’est liée.

Plus de détails dans l’aide en ligne.

ZT_PREVIEW

VisVarPreview

Affichage aperçu visibilité

Affichage des valeurs limite pour la visibilité définies pour la variable. Disponible uniquement si l’option Depuis la variable a été configurée pour la propriété Variable dans le groupe Visibilité.

Un aperçu des propriétés définies pour la valeur limite est affiché dans le champ. Aucun aperçu n’est affiché pour les matrices de réaction.
Cliquez sur le bouton ... pour ouvrir la boîte de dialogue d’affichage des résultats. Les valeurs limite sont uniquement affichées ; elles ne peuvent pas être modifiées. Les modifications doivent être effectuées directement dans les propriétés de la variable pour Valeurs limite.

Plus de détails dans l’aide en ligne.

VT_BOOL

VisibilityFromLimit

A partir des valeurs limites

Uniquement disponible après la sélection d’une variable :

  • Active : La visibilité de l’élément est influencée par la propriété de valeur limite de la variable.

    Attention : La propriété Invisible doit être active pour au moins une valeur limite de la variable.

  • Inactive : la visibilité est influencée par les propriétés de l’élément.

Par défaut : active

Plus de détails dans l’aide en ligne.

VT_R8

VisibilityFrom

de

Disponible uniquement après la sélection d’une variable, si la visibilité n’a pas été reprise par la valeur limite :

Valeur minimum de la variable à laquelle l’élément est visible.

  • Minimum : valeur minimum possible de la variable liée.
  • Maximum : valeur maximum possible de la variable liée.

Par défaut : valeur minimum possible de la variable liée.

Plus de détails dans l’aide en ligne.

VT_R8

VisibilityTo

À

Disponible uniquement après la sélection d’une variable, si la visibilité n’a pas été reprise par la valeur limite :

Valeur maximale de la variable à laquelle l’élément est visible.

  • Minimum : valeur minimum possible de la variable liée.
  • Maximum : valeur maximum possible de la variable liée.

Par défaut : valeur maximum possible de la variable liée.

Plus de détails dans l’aide en ligne.

VT_UI4

Interlocking

Verrouillage

Disponible uniquement si l’option Depuis le verrouillage est sélectionnée pour la propriété Visibilité.

Nom du verrouillage dont la valeur contrôle la visibilité de l’élément. Sélectionnez dans la liste déroulante. Celle-ci contient tous les verrouillages existants et utilisables. L’élément est toujours visible si aucun verrouillage n’est lié.

Plus de détails dans l’aide en ligne.

VT_BSTR

InterlockingName

InterlockingName

Description

VT_BOOL

VisibleWhenInterlocked

Visible si verrouillé

Contrôle la visibilité de l’élément lorsque le verrouillage est sélectionné :

  • Active : L’élément est visible s’il est verrouillé.
  • Inactive : L’élément est visible s’il n’est pas verrouillé.

Par défaut : inactive

Plus de détails dans l’aide en ligne.

ZT_VARIABLE_DYN

BlinkVariable

Affichage aperçu clignotement

Affichage des valeurs limite pour le clignotement définies pour la variable. Disponible uniquement si l’option Depuis la variable a été configurée pour la propriété Prendre le clignotement de la limite.

Un aperçu des propriétés définies pour la valeur limite est affiché dans le champ. Aucun aperçu n’est affiché pour les matrices de réaction.
Cliquez sur le bouton ... pour ouvrir la boîte de dialogue d’affichage des résultats. Les valeurs limite sont uniquement affichées ; elles ne peuvent pas être modifiées. Les modifications doivent être effectuées directement dans les propriétés de la variable pour Valeurs limite.

Plus de détails dans l’aide en ligne.

ZT_PREVIEW

BlinkVarPreview

Affichage aperçu clignotement

Affichage des valeurs limite pour le clignotement définies pour la variable. Disponible uniquement si l’option Depuis la variable a été configurée pour la propriété Prendre le clignotement de la limite.

Un aperçu des propriétés définies pour la valeur limite est affiché dans le champ. Aucun aperçu n’est affiché pour les matrices de réaction.
Cliquez sur le bouton ... pour ouvrir la boîte de dialogue d’affichage des résultats. Les valeurs limite sont uniquement affichées ; elles ne peuvent pas être modifiées. Les modifications doivent être effectuées directement dans les propriétés de la variable pour Valeurs limite.

Plus de détails dans l’aide en ligne.

VT_BOOL

UseBlinkColor

Couleur de clignotement par la limite

Active : Reprend la couleur d’arrière-plan du clignotement défini pour la valeur limite active de la variable pour Prendre le clignotement de la limite. Durant le clignotement, l’élément ne devient pas invisible, mais reprend la couleur d’arrière-plan active.

Par défaut : Inactive

Remarque : la couleur n’est pas prise en compte si la couleur d’arrière-plan Transparence est configurée.

Plus de détails dans l’aide en ligne.

ZT_VARIABLE_DYN

XVariable

Variable

Nom de la variable utilisée pour le déplacement horizontal de l’élément.
Ouvre la boîte de dialogue de sélection de variables.

Plus de détails dans l’aide en ligne.

VT_R8

XVarMin

Valeur min de la variable

Valeur minimale de la variable utilisée pour le déplacement horizontal de l’élément.

Plus de détails dans l’aide en ligne.

VT_R8

XVarMax

Valeur max de la variable

Valeur maximale de la variable utilisée pour le déplacement horizontal de l’élément.

Plus de détails dans l’aide en ligne.

VT_I4

XViewMin

Mouvement min [pixels]

Position horizontale de l’élément pour la valeur minimale de la variable (en pixels).

Plus de détails dans l’aide en ligne.

VT_I4

XViewMax

Mouvement max [pixels]

Position horizontale de l’élément pour la valeur minimale de la variable (en pixels).

Plus de détails dans l’aide en ligne.

ZT_VARIABLE_DYN

YVariable

Variable

Nom de la variable utilisée pour le déplacement vertical de l’élément.
Ouvre la boîte de dialogue de sélection de variables.

Plus de détails dans l’aide en ligne.

VT_R8

YVarMin

Valeur min de la variable

Valeur minimale de la variable utilisée pour le déplacement vertical de l’élément.

Plus de détails dans l’aide en ligne.

VT_R8

YVarMax

Valeur max de la variable

Valeur maximale de la variable utilisée pour le déplacement vertical de l’élément.

Plus de détails dans l’aide en ligne.

VT_I4

YViewMin

Mouvement min [pixels]

Position verticale de l’élément pour la valeur minimale de la variable (en pixels).

Plus de détails dans l’aide en ligne.

VT_I4

YViewMax

Mouvement max [pixels]

Position verticale de l’élément pour la valeur maximale de la variable (en pixels).

Plus de détails dans l’aide en ligne.

ZT_VARIABLE_DYN

XZoomVariable

Variable

Nom de la variable utilisée pour l’agrandissement de la largeur de l’élément.
Ouvre la boîte de dialogue de sélection de variables.

Plus de détails dans l’aide en ligne.

VT_R8

XZoomVarMin

Valeur min de la variable

Valeur minimale de la variable utilisée pour effectuer un zoom à la largeur de l’élément.

Plus de détails dans l’aide en ligne.

VT_R8

XZoomVarMax

Valeur max de la variable

Valeur maximale de la variable utilisée pour effectuer un zoom sur la largeur de l’élément.

Plus de détails dans l’aide en ligne.

VT_I4

XZoomViewMin

Largeur min [%]

Facteur de zoom correspondant à la largeur de l’élément pour la valeur minimale de la variable (en pixels).

Plus de détails dans l’aide en ligne.

VT_I4

XZoomViewMax

Largeur max [%]

Facteur de zoom correspondant à la largeur de l’élément pour la valeur maximale de la variable (en pixels).

Plus de détails dans l’aide en ligne.

ZT_VARIABLE_DYN

YZoomVariable

Variable

Nom de la variable utilisée pour l’agrandissement de la hauteur de l’élément.
Ouvre la boîte de dialogue de sélection de variables.

Plus de détails dans l’aide en ligne.

VT_R8

YZoomVarMin

Valeur min de la variable

Valeur minimum de la variable utilisée pour effectuer un zoom sur la hauteur de l’élément.

Plus de détails dans l’aide en ligne.

VT_R8

YZoomVarMax

Valeur max de la variable

Valeur maximum de la variable utilisée pour effectuer un zoom sur la hauteur de l’élément.

Plus de détails dans l’aide en ligne.

VT_I4

YZoomViewMin

Hauteur min [%]

Facteur de zoom correspondant à la hauteur de l’élément pour la valeur minimum de la variable (en %).

Plus de détails dans l’aide en ligne.

VT_I4

YZoomViewMax

Hauteur max [%]

Facteur de zoom correspondant à la hauteur de l’élément pour la valeur maximale de la variable (en pixels).

Plus de détails dans l’aide en ligne.

ZT_VARIABLE_DYN

TwistVariable

Variable

Nom de la variable utilisée pour la rotation de l’élément.

Plus de détails dans l’aide en ligne.

VT_R8

TwistVarMin

Valeur min de la variable

Valeur minimum de la variable utilisée pour la rotation de l’élément.

Plus de détails dans l’aide en ligne.

VT_R8

TwistVarMax

Valeur max de la variable

Valeur maximale de la variable utilisée pour la rotation de l’élément.

Plus de détails dans l’aide en ligne.

VT_I4

TwistViewMin

Rotation min [°]

Angle de rotation de l’élément pour la valeur minimum de la variable (en °).

Plus de détails dans l’aide en ligne.

VT_I4

TwistViewMax

Rotation max [°]

Angle de rotation de l’élément pour la valeur maximum de la variable (en °).

Plus de détails dans l’aide en ligne.

ZT_STYLE

ShadowEffectStyle

Style effet cadres/ombres

Affichage et sélection du style de cadre et d’ombre attribué à l’élément.

Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de style.
Si plusieurs éléments ont été sélectionnés, ils peuvent être attribués à un style commun.

Remarque : Seules les propriétés compatibles avec l’élément correspondant sont prises en charge.

Plus de détails dans l’aide en ligne.

VT_BOOL

EnablePunchFrame

Afficher le cadre

A frame around the element can be displayed.
Default: inactive.

ZT_STYLE

GlowEffectStyle

Style effet de rayonnement

Affichage et sélection du style des effets de luminescence attribués à l’élément.

Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de style.
Si plusieurs éléments ont été sélectionnés, ils peuvent être attribués à un style commun.

Remarque : Seules les propriétés compatibles avec l’élément correspondant sont prises en charge.

Plus de détails dans l’aide en ligne.

VT_BOOL

GlowEffectEvent

Actif seulement si cliqué

Disponible uniquement si la propriété Activer est active et l’élément est un bouton.

Active : l’effet de luminescence est uniquement affiché lorsque l’utilisateur clique sur le bouton. Cliquer sur le bouton permet de modifier la couleur, le clignotement ou l’invisibilité de l’effet de luminescence.

Par défaut : Inactive

Plus de détails dans l’aide en ligne.

ZT_VARIABLE_DYN

GlowEffectGlowColorVariable

Variable pour la couleur

Disponible uniquement si la propriété Activer est active. La propriété Coloration doit être activée.

Nom de la variable dont la couleur aux valeurs limites doit influencer la couleur de l’effet de luminescence pour l’élément. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de variables. Vous pouvez également saisir le nom manuellement dans le champ de texte. Si aucune variable n’est liée, la couleur définie dans la propriété Couleur est utilisée.

Par défaut : aucune variable liée

Plus de détails dans l’aide en ligne.

ZT_PREVIEW

GlowEffectGlowColorVariablePreview

Affichage aperçu couleur

Affichage de la valeur limite définie pour la variable de couleur lorsque l’effet de luminescence est actif. Disponible uniquement si l’option Depuis la variable a été configurée pour la propriété Variable pour la couleur.

Un aperçu des propriétés définies pour la valeur limite est affiché dans le champ. Aucun aperçu n’est affiché pour les matrices de réaction.
Cliquez sur le bouton ... pour ouvrir la boîte de dialogue d’affichage des résultats. Les valeurs limite sont uniquement affichées ; elles ne peuvent pas être modifiées. Les modifications doivent être effectuées directement dans les propriétés de la variable pour Valeurs limite.

Plus de détails dans l’aide en ligne.

ZT_VARIABLE_DYN

GlowEffectVisibilityVariable

Variable pour la visibilité

Disponible uniquement si la propriété Activer est active.

Nom de la variable dont la valeur influence la visibilité de l’effet de luminescence. La visibilité est soit reprise des propriétés de valeur limite de cette variable (propriété Visibilité depuis valeur limite active), soit définie par la plage de valeurs définie dans les propriétés Visible de et Visible jusqu'à. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de variables. Vous pouvez également saisir le nom manuellement dans le champ de texte.

Remarque : si aucune variable n’est liée, l’effet de luminescence est toujours visible.

Par défaut : aucune variable liée

Plus de détails dans l’aide en ligne.

ZT_PREVIEW

GlowEffectVisibilityVariablePreview

Affichage aperçu visibilité

Affichage de la valeur limite définie pour la variable de visibilité lorsque l’effet de luminescence est actif. Disponible uniquement si l’option Depuis la variable a été configurée pour la propriété Variable pour la visibilité.

Un aperçu des propriétés définies pour la valeur limite est affiché dans le champ. Aucun aperçu n’est affiché pour les matrices de réaction.
Cliquez sur le bouton ... pour ouvrir la boîte de dialogue d’affichage des résultats. Les valeurs limite sont uniquement affichées ; elles ne peuvent pas être modifiées. Les modifications doivent être effectuées directement dans les propriétés de la variable pour Valeurs limite.

Plus de détails dans l’aide en ligne.

VT_BOOL

GlowEffectVisibilityFromLimit

Visibilité depuis valeur limite

Disponible uniquement si la propriété Activer est active. Vous devez en outre définir une variable dans la propriété Variable pour la visibilité.

Active : La visibilité de l’effet de luminescence est influencée par la propriété de valeur limite de la variable.

Attention : Pour une valeur limite de la variable au moins, la propriété Invisible doit être active.

Inactive : la visibilité est influencée par les propriétés de l’élément.

Plus de détails dans l’aide en ligne.

VT_R8

GlowEffectVisibilityFrom

Visible de

Disponible uniquement si la propriété Activer est active. Vous devez en outre définir une variable dans la propriété Variable pour la visibilité ; la propriété Visibilité depuis valeur limite doit être inactive.

Définit la valeur à partir de laquelle l’effet de luminescence devient visible.
Minimum : valeur la moins élevée autorisée pour la variable liée dans Variable pour la visibilité.
Maximum : valeur la moins élevée autorisée pour la variable liée dans Variable pour la visibilité.
Par défaut : valeur la plus élevée autorisée pour la variable liée dans Variable pour la visibilité.

Plus de détails dans l’aide en ligne.

VT_R8

GlowEffectVisibilityTo

Visible jusqu'à

Disponible uniquement si la propriété Activer est active. Vous devez en outre définir une variable dans la propriété Variable pour la visibilité ; la propriété Visibilité depuis valeur limite doit être inactive.

Définit la valeur jusqu’à laquelle l’effet de luminescence reste visible.
Minimum : valeur la plus basse autorisée pour la variable liée dans Variable pour la visibilité.
Maximum : valeur la plus élevée autorisée pour la variable liée dans Variable pour la visibilité.
Par défaut : valeur la plus élevée autorisée pour la variable liée dans Variable pour la visibilité.

Plus de détails dans l’aide en ligne.

ZT_VARIABLE_DYN

GlowEffectBlinkVariable

Variable pour le clignotement

Variables dont les paramètres de clignotement de l’effet de luminescence aux valeurs limites doivent être repris. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de variables.

Par défaut : aucune variable liée

Plus de détails dans l’aide en ligne.

ZT_PREVIEW

GlowEffectBlinkVariablePreview

Affichage aperçu clignotement

Affichage de la valeur limite définie pour la variable de clignotement lorsque l’effet de luminescence est actif. Disponible uniquement si l’option Depuis la variable a été configurée pour la propriété Variable pour le clignotement.

Un aperçu des propriétés définies pour la valeur limite est affiché dans le champ. Aucun aperçu n’est affiché pour les matrices de réaction.
Cliquez sur le bouton ... pour ouvrir la boîte de dialogue d’affichage des résultats. Les valeurs limite sont uniquement affichées ; elles ne peuvent pas être modifiées. Les modifications doivent être effectuées directement dans les propriétés de la variable pour Valeurs limite.

Plus de détails dans l’aide en ligne.

VT_BOOL

GlowEffectUseBlinkColor

Clignotement depuis valeur limite

Disponible uniquement si la propriété Activer est active. Vous devez en outre définir une variable dans la propriété Variable pour le clignotement.

Active : Reprend, pour l’effet de luminescence, la couleur de clignotement de la valeur limite active pour la variable définie dans la propriété Couleur de clignotement par la limite. Cette propriété agit indépendamment de la propriété Coloration. En cas de clignotement, l’effet de luminescence ne devient pas invisible, mais reprend les paramètres de l’effet de luminescence actif.

Par défaut : Inactive

Plus de détails dans l’aide en ligne.

VT_BOOL

GlowEffect2ndBlinkStateVisible

2 états de clignotement invisibles

Disponible uniquement si la propriété Activer est active. Vous devez en outre définir une variable dans la propriété Variable pour le clignotement ; la propriété Clignotement depuis valeur limite doit être inactive.

Active : En cas de clignotement, l’effet de luminescence ne bascule pas vers l’effet de luminescence actif, mais devient invisible. Ceci permet de basculer entre l’invisibilité et la couleur de clignotement en cas de dépassement de la valeur limite.

Par défaut : Inactive

Plus de détails dans l’aide en ligne.


Listcontrol

Manuel -> Interfaces de programmation -> Modèles d'objet -> Element -> Element-Dynamic properties -> Listcontrol

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Type

VBA/VSTA Name

Display Name

Description

VT_BOOL

HideSelection

Ne pas marquer la ligne sélectionnée

Ce paramètre permet de définir si la ligne sélectionnée est affichée en surbrillance dans la zone de liste. Si vous activez cette propriété, vous ne pouvez pas voir l’entrée que vous avez sélectionnée. Toutes les lignes de la liste sont identiques.

Par défaut : Inactive.

Plus de détails dans l’aide en ligne de la liste d’alarmes

Plus de détails dans l’aide en ligne de la liste d’événements

VT_BOOL

AdvancedStyleH

Ascenceurs

Propriétés des barres de défilement horizontale et verticale.

Plus de détails dans l’aide en ligne de la liste d’alarmes (AML).

Plus de détails dans l’aide en ligne de la liste d’événements (CEL).

Plus de détails dans l’aide en ligne du module ETM.

Plus de détails dans l’aide en ligne du module RGM.

VT_BOOL

WordWrap

Retour à la ligne automatique

Permet l’affichage de textes sur plusieurs lignes si la largeur de la colonne est insuffisante pour afficher correctement le texte. La hauteur des lignes est alors modifiée en conséquence.

  • Active :
    si la largeur de la colonne est insuffisante, un saut de ligne est inséré et la hauteur des lignes est augmentée.
  • Inactive :
    aucun retour à la ligne n’est effectué ; le texte est affiché sur une ligne.

Information : un retour à la ligne est uniquement effectué si le texte comporte des espaces vides devant être affichés (espaces, tabulations ou autres) ou si un saut de ligne est inséré manuellement, avec les caractères \n. Aucun saut de ligne n’est inséré pour les textes continus.

Par défaut : Inactive

Plus de détails dans l’aide en ligne de la liste d’alarmes

Plus de détails dans l’aide en ligne de la liste d’événements

VT_UI4

RowHeight

Hauteur de ligne [pixel]

Permet de définir la hauteur des lignes en pixels, indépendamment de la taille de la police.

Valeur maximale : 255 px
Valeur minimum : 0 pixel (la hauteur des lignes est adaptée à la taille de la police).

Par défaut : 0

Attention : si la hauteur de ligne

  • sélectionnée est trop élevée, dans certaines circonstances, aucune information ne sera affichée dans le Runtime.
  • sélectionnée est inférieure à la taille de la police, les éléments graphiques seront tronqués.

Plus de détails dans l’aide en ligne.

VT_I2

BarStyleH

Style d'affichage

Disponible uniquement si vous avez activé la propriété Paramètres du graphique étendu.

Définissez l’apparence de l’en-tête du champ de liste. Sélectionnez l’une des options suivantes :

Color gradient (Dégradé de couleurs) : utilise un dégradé de couleurs spécial pour l’en-tête. Vous pouvez personnaliser le dégradé de couleurs à l’aide des propriétés Couleur de remplissage, Gradient de couleur, Gradient de couleur, Offset [%] et Angle [°].

Fichier graphique : utilise les fichiers graphiques sélectionnés pour les zones individuelles. Si aucun fichier graphique n’a été sélectionné, l’affichage Color gradient (Dégradé de couleurs) est utilisé.

Standard : utilise le paramètre standard pour l’en-tête. Vous pouvez uniquement modifier la police de caractères et la couleur du texte à l’aide des paramètres correspondants.

Par défaut : Standard.

Plus de détails dans l’aide en ligne.

VT_I2

ButtonHeightH

Hauteur des flêches de l'ascenceur [Pixels]

Définit la hauteur en pixels de la flèche de défilement de la barre de défilement horizontale. Ajustez la valeur en fonction de vos préférences.

Par défaut : 12.

Plus de détails dans l’aide en ligne.

VT_I2

ButtonWidthH

Largeur des flêches de l'ascenceur [Pixels]

Définit la largeur en pixels de la flèche de défilement de la barre de défilement horizontale. Ajustez la valeur en fonction de vos préférences.

Par défaut : 12.

Plus de détails dans l’aide en ligne.

VT_I2

ThumbSizeH

Largeur boite de l'ascenceur [Pixels]

Définit la largeur en pixels de la case de défilement de la barre de défilement horizontale. Ajustez la valeur en fonction de vos préférences.

Par défaut : 20.

Plus de détails dans l’aide en ligne.

ZT_COLOR

BackColorH

Couleur de remplissage

Définit la première couleur de remplissage utilisée pour le dégradé de couleurs des barres de défilement horizontales. Cliquez sur le bouton pour ouvrir la palette de couleurs prédéfinies. Vous pouvez également définir la couleur en saisissant manuellement le code hexadécimal (RVB) dans le champ.

La couleur du nouvel élément sera la couleur utilisée pour le précédent élément du même type.

Plus de détails dans l’aide en ligne.

ZT_COLOR

BackColor2H

Gradient de couleur

Cette propriété a uniquement un effet si vous avez sélectionné le paramètre Dégradé de couleurs pour la propriété Style d'affichage.

Définit la deuxième couleur de remplissage utilisée pour le dégradé de couleurs des barres de défilement horizontales. Cliquez sur le bouton pour ouvrir la palette de couleurs prédéfinies. Vous pouvez également définir la couleur en saisissant manuellement le code hexadécimal (RVB) dans le champ. Si vous sélectionnez Automatique, la valeur de la couleur change en fonction de la valeur de la propriété Couleur de remplissage.

La couleur du nouvel élément sera la couleur utilisée pour le précédent élément du même type.

Plus de détails dans l’aide en ligne.

VT_I2

LightningH

Gradient de couleur

Sélectionnez le type de dégradé de couleurs pour la barre de défilement horizontale parmi les options suivantes :

Linéaire : dégradé continu

Point défini : le dégradé commence au niveau d’un point défini et s’étend jusqu’aux bords de l’élément.

À partir d’un point défini avec des rayons : le dégradé avec des rayons commence au niveau d’un point défini et s’étend jusqu’aux bords de l’élément.

Par défaut : Linéaire

Plus de détails dans l’aide en ligne.

VT_I2

ColorGradientOffsetH

Offset [%]

Définit la distance du dégradé de couleurs depuis le centre de la barre de défilement horizontale jusqu’au bord gauche ou droit, en pourcentage. 0 signifie le centre de la barre de défilement horizontale, 100 signifie le bord droit de la barre de défilement horizontale et -100 signifie le bord gauche de la barre de défilement horizontale.

Minimum : -100

Maximum : 100

Par défaut : 0

Plus de détails dans l’aide en ligne.

VT_I2

ColorGradientAngleH

Angle [°]

Disponible uniquement si vous avez activé la propriété Paramètres du graphique étendu.

Cette propriété a uniquement un effet si vous avez sélectionné le paramètre Dégradé de couleurs pour la propriété Style d'affichage.

Définit l’angle de déploiement du dégradé de couleurs. Le point défini dans la propriété Offset [%] est utilisé en tant que point de départ.

Minimum : 0

Maximum : 360

Par défaut : 0

Plus de détails dans l’aide en ligne.

ZT_FILE

BitmapLeftH

Flêche de gauche de l'ascenceur

Disponible uniquement si vous avez activé la propriété Paramètres du graphique étendu.

Sélectionnez un fichier graphique qui sera affiché dans le champ de liste pour la flèche de défilement gauche de la barre de défilement horizontale dans le Runtime. Ce fichier graphique est utilisé si vous sélectionnez Fichier graphique pour la propriété Style d'affichage.

Par défaut : aucun fichier

Plus de détails dans l’aide en ligne.

ZT_FILE

BitmapRightH

Flêche de droite de l'ascenceur

Disponible uniquement si vous avez activé la propriété Paramètres du graphique étendu.

Sélectionnez un fichier graphique qui sera affiché dans le champ de liste pour la flèche de défilement droite de la barre de défilement horizontale dans le Runtime. Ce fichier graphique est utilisé si vous sélectionnez Fichier graphique pour la propriété Style d'affichage.

Par défaut : aucun fichier

Plus de détails dans l’aide en ligne.

ZT_FILE

BitmapThumbH

Boite de l'ascenceur

Disponible uniquement si vous avez activé la propriété Paramètres du graphique étendu.

Sélectionnez un fichier graphique qui sera affiché dans le champ de liste pour la case de défilement de la barre de défilement horizontale dans le Runtime. Ce fichier graphique est utilisé si vous sélectionnez Fichier graphique pour la propriété Style d'affichage.

Par défaut : aucun fichier

Plus de détails dans l’aide en ligne.

ZT_FILE

BitmapSpanH

Fichier graphique d'arrière plan

Disponible uniquement si vous avez activé la propriété Paramètres du graphique étendu.

Sélectionnez un fichier graphique qui sera affiché en arrière-plan de la barre de défilement horizontale du champ de liste dans le Runtime. Ce fichier graphique est utilisé si vous sélectionnez Fichier graphique pour la propriété Style d'affichage.

Par défaut : aucun fichier

Plus de détails dans l’aide en ligne.

VT_I2

BarStyleV

Style d'affichage

Disponible uniquement si vous avez activé la propriété Paramètres du graphique étendu.

Définissez l’apparence de l’en-tête du champ de liste. Sélectionnez l’une des options suivantes :

Color gradient (Dégradé de couleurs) : utilise un dégradé de couleurs spécial pour l’en-tête. Vous pouvez personnaliser le dégradé de couleurs à l’aide des propriétés Couleur de remplissage, Couleur du dégradé, Gradient de couleur, Offset [%] et Angle [°].

Fichier graphique : utilise les fichiers graphiques sélectionnés pour les zones individuelles. Si aucun fichier graphique n’a été sélectionné, l’affichage Color gradient (Dégradé de couleurs) est utilisé.

Standard : utilise le paramètre standard pour l’en-tête. Vous pouvez uniquement modifier la police de caractères et la couleur du texte à l’aide des paramètres correspondants.

Par défaut : Standard.

Plus de détails dans l’aide en ligne.

VT_I2

ButtonHeightV

Hauteur des flêches de l'ascenceur [Pixels]

Définit la hauteur en pixels de la flèche de défilement de la barre de défilement verticale. Ajustez la valeur en fonction de vos préférences.

Par défaut : 12.

Plus de détails dans l’aide en ligne.

VT_I2

ButtonWidthV

Largeur des flêches de l'ascenceur [Pixels]

Définit la largeur en pixels de la flèche de défilement de la barre de défilement verticale. Ajustez la valeur en fonction de vos préférences.

Par défaut : 12.

Plus de détails dans l’aide en ligne.

VT_I2

ThumbSizeV

Largeur boite de l'ascenceur [Pixels]

Définit la largeur en pixels de la case de défilement de la barre de défilement verticale. Ajustez la valeur en fonction de vos préférences.

Par défaut : 20.

Plus de détails dans l’aide en ligne.

ZT_COLOR

BackColorV

Couleur de remplissage

Définit la première couleur de remplissage utilisée pour le dégradé de couleurs des barres de défilement verticales. Cliquez sur le bouton pour ouvrir la palette de couleurs prédéfinies. Vous pouvez également définir la couleur en saisissant manuellement le code hexadécimal (RVB) dans le champ.

La couleur du nouvel élément sera la couleur utilisée pour le précédent élément du même type.

Plus de détails dans l’aide en ligne.

ZT_COLOR

BackColor2V

Couleur du dégradé

Cette propriété a uniquement un effet si vous avez sélectionné le paramètre Dégradé de couleurs pour la propriété Style d'affichage.

Définit la deuxième couleur de remplissage utilisée pour le dégradé de couleurs des barres de défilement verticales. Cliquez sur le bouton pour ouvrir la palette de couleurs prédéfinies. Vous pouvez également définir la couleur en saisissant manuellement le code hexadécimal (RVB) dans le champ. Si vous sélectionnez Automatique, la valeur de la couleur change en fonction de la valeur de la propriété Couleur de remplissage.

La couleur du nouvel élément sera la couleur utilisée pour le précédent élément du même type.

Plus de détails dans l’aide en ligne.

VT_I2

LightningV

Gradient de couleur

Sélectionnez le type de dégradé de couleurs pour la barre de défilement verticale parmi les options suivantes :

Linéaire : dégradé continu

Point défini : le dégradé commence au niveau d’un point défini et s’étend jusqu’aux bords de l’élément.

À partir d’un point défini avec des rayons : le dégradé avec des rayons commence au niveau d’un point défini et s’étend jusqu’aux bords de l’élément.

Par défaut : Linéaire

Plus de détails dans l’aide en ligne.

VT_I2

ColorGradientOffsetV

Offset [%]

Définit la distance du dégradé de couleurs depuis le centre de la barre de défilement verticale jusqu’au bord gauche ou droit, en pourcentage. 0 signifie le centre de la barre de défilement verticale, 100 signifie le bord droit de la barre de défilement verticale et -100 signifie le bord gauche de la barre de défilement verticale.

Minimum : -100

Maximum : 100

Par défaut : 0

Plus de détails dans l’aide en ligne.

VT_I2

ColorGradientAngleV

Angle [°]

Disponible uniquement si vous avez activé la propriété Paramètres du graphique étendu.

Cette propriété a uniquement un effet si vous avez sélectionné le paramètre Dégradé de couleurs pour la propriété Style d'affichage.

Définit l’angle de déploiement du dégradé de couleurs. Le point défini dans la propriété Offset [%] est utilisé en tant que point de départ.

Minimum : 0

Maximum : 360

Par défaut : 0

Plus de détails dans l’aide en ligne.

ZT_FILE

BitmapLeftV

Flêche du haut de l'ascenceur

Disponible uniquement si vous avez activé la propriété Paramètres du graphique étendu.

Sélectionnez un fichier graphique qui sera affiché dans le champ de liste pour la flèche de défilement vers le haut de la barre de défilement verticale dans le Runtime. Ce fichier graphique est utilisé si vous sélectionnez Fichier graphique pour la propriété Style d'affichage.

Par défaut : aucun fichier

Plus de détails dans l’aide en ligne.

ZT_FILE

BitmapRightV

Flêche du bas de l'ascenceur

Disponible uniquement si vous avez activé la propriété Paramètres du graphique étendu.

Sélectionnez un fichier graphique qui sera affiché dans le champ de liste pour la flèche de défilement vers le bas de la barre de défilement verticale dans le Runtime. Ce fichier graphique est utilisé si vous sélectionnez Fichier graphique pour la propriété Style d'affichage.

Par défaut : aucun fichier

Plus de détails dans l’aide en ligne.

ZT_FILE

BitmapThumbV

Boite de l'ascenceur

Disponible uniquement si vous avez activé la propriété Paramètres du graphique étendu.

Sélectionnez un fichier graphique qui sera affiché dans le champ de liste pour la case de défilement de la barre de défilement verticale dans le Runtime. Ce fichier graphique est utilisé si vous sélectionnez Fichier graphique pour la propriété Style d'affichage.

Par défaut : aucun fichier

Plus de détails dans l’aide en ligne.

ZT_FILE

BitmapSpanV

Fichier graphique d'arrière plan

Disponible uniquement si vous avez activé la propriété Paramètres du graphique étendu.

Sélectionnez un fichier graphique qui sera affiché en arrière-plan de la barre de défilement verticale du champ de liste dans le Runtime. Ce fichier graphique est utilisé si vous sélectionnez Fichier graphique pour la propriété Style d'affichage.

Par défaut : aucun fichier

Plus de détails dans l’aide en ligne.

VT_BOOL

ShowHeader

Montrer l'en-tête

Disponible uniquement si vous avez sélectionné les paramètres Actions autorisées sur les en-têtes de colonne ou En-tête de colonne fixe pour ce groupe dans les paramètres du projet (dans le groupe Liste d'alarmes pour la propriété En-tête liste d'alarmes, ou dans le groupe Liste d'événements pour la propriété En-tête liste d'événements).
Disponibilité de la liste d’affichage du curseur et de la liste de courbes étendue dans le module Extended Trend.

Affiche l’en-tête du champ de liste correspondant. Dans le groupe En-tête, vous pouvez personnaliser l’apparence de l’en-tête.

  • active : l’en-tête est affiché.

Par défaut : active

Plus de détails dans l’aide en ligne de la liste d’alarmes

Plus de détails dans l’aide en ligne de la liste d’événements

Plus de détails dans l’aide en ligne du module Extended Trend Manager (ETM)

VT_BOOL

EnableHeader

En-tête éditable

Permet d’effectuer des actions sur l’en-tête du champ de liste correspondant. Vous pouvez modifier la largeur des colonnes et trier l’affichage en fonction de la colonne de votre choix dans le Runtime.

  • Active : vous pouvez effectuer des actions sur l’en-tête.

Par défaut : active

Disponibilité :

  • Disponible pour les listes AML et CEL aux conditions suivantes :
    Si vous savez sélectionné l’option Actions autorisées sur les en-têtes de colonne dans le groupe Liste d'alarmes pour la propriété En-tête liste d'alarmes, ou dans le groupe Liste d'événements pour la propriété En-tête liste d'événements.
  • Disponibilité de la liste d’affichage du curseur et de la liste de courbes étendue dans le module Extended Trend.

Plus de détails dans l’aide en ligne de la liste d’alarmes

Plus de détails dans l’aide en ligne de la liste d’événements

Plus de détails dans l’aide en ligne du module Extended Trend Manager (ETM)

VT_BOOL

ColumnOrderStatic

Figer la sélection des colonnes

Contrôle la possibilité de déplacer ou modifier la largeur des colonnes avec la souris dans le Runtime.

  • Active : les colonnes ne peuvent pas être déplacées en effectuant un glisser-déplacer, et leur largeur ne peut pas être modifiée.
  • Inactive : Les colonnes peuvent être réorganisées en effectuant un glisser-déplacer, et la largeur des colonnes peut être modifiée avec la souris.

Si un élément comportant l’action spécifique au type de synoptique Sélection de colonne est présent et ce paramètre est actif, l’élément est désactivé dans le Runtime.

Par défaut : Inactive

Remarque concernant la disponibilité pour les listes AML et CEL :

  • Liste AML : dans les paramètres du projet, dans le groupe Liste d'alarmes pour la propriété En-tête liste d'alarmes, l’option Actions autorisées sur les en-têtes de colonnes doit être sélectionnée.
    Plus de détails dans l’aide en ligne de la liste AML.
  • Liste CEL : dans les paramètres du projet, dans le groupe Liste d'événements pour la propriété En-tête liste d'événements, l’option Actions autorisées sur les en-têtes de colonnes doit être sélectionnée.
    Plus de détails dans l’aide en ligne de la liste d’événements (CEL).

VT_BOOL

NoSortHeader

Désactiver le tri

Contrôle la possibilité de trier le contenu du tableau dans le Runtime, en cliquant sur les en-têtes des colonnes.

  • Active : le contenu du tableau ne peut pas être trié en cliquant sur les en-têtes des colonnes.
  • inactive : le contenu du tableau peut être trié en cliquant sur les en-têtes des colonnes.

Par défaut : Inactive

Remarque concernant la disponibilité pour les listes AML et CEL :

  • Liste AML : dans les paramètres du projet, dans le groupe Liste d'alarmes pour la propriété En-tête liste d'alarmes, l’option Actions autorisées sur les en-têtes de colonnes doit être sélectionnée.
    Plus de détails dans l’aide en ligne de la liste AML.
  • Liste CEL : dans les paramètres du projet, dans le groupe Liste d'événements pour la propriété En-tête liste d'événements, l’option Actions autorisées sur les en-têtes de colonnes doit être sélectionnée.
    Plus de détails dans l’aide en ligne de la liste d’événements (CEL).

VT_I2

HeaderStyle

Style d'affichage

Disponible uniquement si vous avez sélectionné les paramètres Actions autorisées sur les en-têtes de colonne ou En-tête de colonne fixe dans le groupe En-tête liste d'événements pour la propriété Liste d'alarmes, ou dans le groupe Liste d'événements pour la propriété En-tête liste d'événements. En outre, vous devez également activer les propriétés Paramètres du graphique étendu et Montrer l'en-tête pour la zone de liste correspondante.

Disponibilité de la liste d’affichage du curseur et de la liste de courbes étendue dans le module Extended Trend.

Définissez l’apparence de l’en-tête du champ de liste. Sélectionnez l’une des options suivantes :

Color gradient (Dégradé de couleurs) : utilise un dégradé de couleurs spécial pour l’en-tête. Vous pouvez personnaliser le dégradé de couleurs à l’aide des propriétés Couleur de remplissage, Couleur du dégradé, Effet de lumière, Offset et Angle.

Fichier graphique : utilise les fichiers graphiques sélectionnés pour les zones individuelles. Si aucun fichier graphique n’a été sélectionné, l’affichage Color gradient (Dégradé de couleurs) est utilisé.

Standard : utilise le paramètre standard pour l’en-tête. Vous pouvez uniquement modifier les éléments Police et Couleur du texte à l’aide des paramètres correspondants.

Par défaut : Standard.

Plus de détails dans l’aide en ligne de la liste d’alarmes

Plus de détails dans l’aide en ligne de la liste d’événements

Plus de détails dans l’aide en ligne du module Extended Trend Manager (ETM)

ZT_SCHRIFT

HeaderFont

Couleur du texte

Définit la couleur du texte de l’en-tête. Cliquez sur le bouton pour ouvrir la palette de couleurs prédéfinies. Vous pouvez également définir la couleur en saisissant manuellement le code hexadécimal (RVB) dans le champ.

La couleur du nouvel élément sera la couleur utilisée pour le précédent élément du même type.

Plus de détails dans l’aide en ligne de la liste d’alarmes

Plus de détails dans l’aide en ligne de la liste d’événements

Plus de détails dans l’aide en ligne du module Extended Trend Manager (ETM)

ZT_COLOR

HeaderBackColor

Couleur de remplissage

Définit la première couleur de remplissage utilisée pour le dégradé de couleurs dans l’en-tête. Cliquez sur le bouton pour ouvrir la palette de couleurs prédéfinies. Vous pouvez également définir la couleur en saisissant manuellement le code hexadécimal (RVB) dans le champ.

La couleur du nouvel élément sera la couleur utilisée pour le précédent élément du même type.

Plus de détails dans l’aide en ligne de la liste d’alarmes

Plus de détails dans l’aide en ligne de la liste d’événements

Plus de détails dans l’aide en ligne du module Extended Trend Manager (ETM)

ZT_COLOR

HeaderBackColor2

Couleur du dégradé

Disponible uniquement si vous avez sélectionné les paramètres Actions autorisées sur les en-têtes de colonne ou En-tête de colonne fixe dans le groupe En-tête liste d'événements pour la propriété Liste d'alarmes, ou dans le groupe Liste d'événements pour la propriété En-tête liste d'événements. En outre, vous devez également activer les propriétés Paramètres du graphique étendu et Montrer l'en-tête pour la zone de liste correspondante.

Disponibilité de la liste d’affichage du curseur et de la liste de courbes étendue dans le module Extended Trend.

Cette propriété a uniquement un effet si vous avez sélectionné le paramètre Dégradé de couleurs pour la propriété Style d'affichage.

Définit la deuxième couleur de remplissage utilisée pour le dégradé de couleurs dans l’en-tête. Cliquez sur le bouton pour ouvrir la palette de couleurs prédéfinies. Vous pouvez également définir la couleur en saisissant manuellement le code hexadécimal (RVB) dans le champ. Si vous sélectionnez Automatique, la valeur de la couleur change en fonction de la valeur de la propriété Couleur de remplissage.

La couleur du nouvel élément sera la couleur utilisée pour le précédent élément du même type.

Plus de détails dans l’aide en ligne de la liste d’alarmes

Plus de détails dans l’aide en ligne de la liste d’événements

Plus de détails dans l’aide en ligne du module Extended Trend Manager (ETM)

ZT_COLOR

HeaderFontColor

Couleur du texte

Définit la couleur du texte de l’en-tête. Cliquez sur le bouton pour ouvrir la palette de couleurs prédéfinies. Vous pouvez également définir la couleur en saisissant manuellement le code hexadécimal (RVB) dans le champ.

La couleur du nouvel élément sera la couleur utilisée pour le précédent élément du même type.

Plus de détails dans l’aide en ligne de la liste d’alarmes

Plus de détails dans l’aide en ligne de la liste d’événements

Plus de détails dans l’aide en ligne du module Extended Trend Manager (ETM)

VT_I2

HeaderLightning

Effet de lumière

Sélectionnez le type de dégradé de couleurs pour l’en-tête parmi les options suivantes :

Linéaire : dégradé continu

Point défini : le dégradé commence au niveau d’un point défini et s’étend jusqu’aux bords de l’élément.

À partir d’un point défini avec des rayons : le dégradé avec des rayons commence au niveau d’un point défini et s’étend jusqu’aux bords de l’élément.

Par défaut : Linéaire

Plus de détails dans l’aide en ligne de la liste d’alarmes

Plus de détails dans l’aide en ligne de la liste d’événements

Plus de détails dans l’aide en ligne du module Extended Trend Manager (ETM)

VT_I2

HeaderColorGradientOffset

Offset

Définit la distance du dégradé de couleurs depuis le centre de l’en-tête jusqu’au bord gauche ou droit, en pourcentage. 0 signifie le centre de l’en-tête, 100 signifie le bord droit de l’en-tête et -100 signifie le bord gauche de l’en-tête.

Minimum : -100

Maximum : 100

Par défaut : 0

Plus de détails dans l’aide en ligne de la liste d’alarmes

Plus de détails dans l’aide en ligne de la liste d’événements

Plus de détails dans l’aide en ligne du module Extended Trend Manager (ETM)

VT_I2

HeaderColorGradientAngle

Angle

Disponible uniquement si vous avez sélectionné les paramètres Actions autorisées sur les en-têtes de colonne ou En-tête de colonne fixe dans le groupe En-tête liste d'événements pour la propriété Liste d'alarmes, ou dans le groupe Liste d'événements pour la propriété En-tête liste d'événements. En outre, vous devez également activer les propriétés Paramètres du graphique étendu et Montrer l'en-tête pour la zone de liste correspondante.

Disponibilité de la liste d’affichage du curseur et de la liste de courbes étendue dans le module Extended Trend.

Cette propriété a uniquement un effet si vous avez sélectionné le paramètre Dégradé de couleurs pour la propriété Style d'affichage.

Définit l’angle de déploiement du dégradé de couleurs. Le point défini dans la propriété Offset est utilisé en tant que point de départ.

Minimum : 0

Maximum : 360

Par défaut : 0

Plus de détails dans l’aide en ligne de la liste d’alarmes

Plus de détails dans l’aide en ligne de la liste d’événements

Plus de détails dans l’aide en ligne du module Extended Trend Manager (ETM)

ZT_FILE

AscSortImage

Tri croissant

Disponible uniquement si vous avez activé la propriété Paramètres du graphique étendu.

Sélectionnez un fichier graphique devant être affiché dans l’en-tête du champ de liste lors du tri croissant dans le Runtime. Ce fichier graphique est utilisé si vous sélectionnez Fichier graphique pour la propriété Style d'affichage.

Par défaut : aucun fichier

Plus de détails dans l’aide en ligne de la liste d’alarmes

Plus de détails dans l’aide en ligne de la liste d’événements

Plus de détails dans l’aide en ligne du module Extended Trend Manager (ETM)

ZT_FILE

DescDownImage

Tri décroissant

Disponible uniquement si vous avez activé la propriété Paramètres du graphique étendu.

Sélectionnez un fichier graphique devant être affiché dans l’en-tête du champ de liste lors du tri décroissant dans le Runtime. Ce fichier graphique est utilisé si vous sélectionnez Fichier graphique pour la propriété Style d'affichage.

Par défaut : aucun fichier

Plus de détails dans l’aide en ligne de la liste d’alarmes

Plus de détails dans l’aide en ligne de la liste d’événements

Plus de détails dans l’aide en ligne du module Extended Trend Manager (ETM)

ZT_FILE

HeaderBarImage

Arrière-plan

Disponible uniquement si vous avez activé la propriété Paramètres du graphique étendu.

Sélectionnez un fichier graphique qui sera affiché dans l’en-tête du champ de liste sous forme d’arrière-plan dans le Runtime. Ce fichier graphique est utilisé si vous sélectionnez Fichier graphique pour la propriété Style d'affichage.

Par défaut : aucun fichier

Plus de détails dans l’aide en ligne de la liste d’alarmes

Plus de détails dans l’aide en ligne de la liste d’événements

Plus de détails dans l’aide en ligne du module Extended Trend Manager (ETM)

VT_UI2

GridSizeH

Epaisseur ligne horizontale [Pixels]

Largeur en pixels des lignes horizontales de la grille. Changez cette valeur pour modifier les lignes horizontales de la grille dans la vue de liste dans le Runtime. Si vous saisissez 0, les lignes horizontales sont masquées.

Par défaut : 1.

Plus de détails dans l’aide en ligne.

ZT_IMAGELIST

GridTypeH

Type de ligne horizontale

Définit le type des lignes horizontales de la grille dans la vue de liste dans le Runtime. Cliquez sur la ligne et sélectionnez le type de ligne souhaité (ligne pleine, ligne discontinue, ligne tiretée etc.).

Par défaut : ligne pleine.

Attention : cette propriété est disponible si la valeur de la propriété Epaisseur ligne horizontale [Pixels] est 1. Pour les valeurs >1, une ligne continue est utilisée.

Remarque : La grille est uniquement si l’option correspondante est activée dans la fonction d’appel de synoptique ou dans le filtre du Runtime.

Plus de détails dans l’aide en ligne.

ZT_COLOR

GridColorH

Couleur de la ligne horizontale

Définit la couleur de trait des lignes horizontales de la grille dans la vue de liste dans le Runtime. Cliquez sur le bouton gauche pour ouvrir la palette de couleurs prédéfinies. Vous pouvez également définir la couleur souhaitée en saisissant manuellement le code hexadécimal (RVB) dans le champ.

La couleur du nouvel élément sera la couleur utilisée pour le précédent élément du même type.

Plus de détails dans l’aide en ligne.

VT_UI2

GridSizeV

Epaisseur ligne verticale [Pixels]

Largeur en pixels des lignes verticales de la grille. Changez cette valeur pour modifier les lignes verticales de la grille dans la vue de liste dans le Runtime. Si vous saisissez 0, les lignes verticales sont masquées.

Par défaut : 1.

Plus de détails dans l’aide en ligne.

ZT_IMAGELIST

GridTypeV

Type de ligne verticale

Définit le type des lignes verticales de la grille dans la vue de liste dans le Runtime. Cliquez sur la ligne et sélectionnez le type de ligne souhaité (ligne pleine, ligne discontinue, ligne tiretée etc.).

Par défaut : ligne pleine.

Attention : cette propriété est disponible si la valeur de la propriété Epaisseur ligne verticale [Pixels] est 1. Pour les valeurs >1, une ligne continue est utilisée.

Remarque : La grille est uniquement si l’option correspondante est activée dans la fonction d’appel de synoptique ou dans le filtre du Runtime.

Plus de détails dans l’aide en ligne.

ZT_COLOR

GridColorV

Couleur de la ligne verticale

Définit la couleur de trait des lignes horizontales de la grille dans la vue de liste dans le Runtime. Cliquez sur le bouton gauche pour ouvrir la palette de couleurs prédéfinies. Vous pouvez également définir la couleur souhaitée en saisissant manuellement le code hexadécimal (RVB) dans le champ.

La couleur du nouvel élément sera la couleur utilisée pour le précédent élément du même type.

Plus de détails dans l’aide en ligne.

ZT_VARIABLE_DYN

SelectionActive

Sélection active

Liaison d’une variable de réponse pour les listes configurables.
La variable doit être de type BOOL. Elle indique, dans le Runtime, si un élément a été sélectionné dans la liste (1) ou pas (0).
Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection d’une variable

Plus de détails dans l’aide en ligne.

VT_BOOL

ShowBorder

Montrer le cadre

Permet d’afficher un cadre autour de l’élément. Les indicateurs des propriétés Style L et Style H sont masqués.

active : le cadre est affiché autour de l’élément correspondant.

(Par défaut) Inactive :

Plus de détails dans l’aide en ligne.

ZT_SCHRIFT

Font

Police

Sélection de la police utilisée pour l’affichage.

Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection. La police de caractères sélectionnée est liée.

Plus de détails dans l’aide en ligne.

VT_BOOL

TranslateText

Traduire le texte affiché
  • Active : le texte devant être affiché est traduit. Si un texte est modifié, la version provisoire est affichée avec la traduction.

Par défaut : Inactive

Plus de détails dans l’aide en ligne.

VT_UI2

StyleL

Style L

Style Windows de l’élément ; utilisation interne uniquement.

Plus de détails dans l’aide en ligne.

VT_UI2

StyleH

Style H

Style Windows de l’élément ; utilisation interne uniquement.

Plus de détails dans l’aide en ligne.

ZT_COLOR

TextColor

Couleur du texte

Couleur du texte de l’élément.

Plus de détails dans l’aide en ligne.

ZT_COLOR

BackColor

Couleur de remplissage

Disponible uniquement si la propriété Transparence est inactive.

Définit la couleur de remplissage de l’élément. Cliquez sur le bouton pour ouvrir la palette de couleurs prédéfinies. Vous pouvez également définir la couleur en saisissant manuellement le code hexadécimal (RVB) dans le champ. La couleur de remplissage peut être modifiée de manière dynamique à l’aide de la propriété Couleur de remplissage du groupe Couleur(s) de remplissage dynamique(s).

Remarque : La couleur du nouvel élément sera la couleur utilisée pour le précédent élément du même type.

Attention : dans la fenêtre Vue globale, les modifications des couleurs dans Editor n’ont aucune incidence dans le Runtime.

Plus de détails dans l’aide en ligne.

VT_BSTR

Legend

Texte

Intitulé de l’élément dans Editor.

Plus de détails dans l’aide en ligne.

VT_BOOL

Tab

Le focus est donné à l'élément

Active : L’élément dynamique peut être actionné à l’aide du clavier.
Inactive : L’élément dynamique n’est pas accessible à l’aide du clavier.
Par défaut : active.

Plus de détails dans l’aide en ligne.

VT_I4

TABOrderH

Position du focus gauche/droite

Définit la position horizontale pour l’utilisation à l’aide du clavier dans le Runtime. La position est définie par l’intermédiaire du menu contextuel et de l’utilisation de la souris dans la fenêtre principale ; elle ne peut pas être modifiée ici.

Plus de détails dans l’aide en ligne.

VT_I4

TABOrderV

Position focus haut / bas

Définit la position verticale pour l’utilisation à l’aide du clavier dans le Runtime. La position est définie par l’intermédiaire du menu contextuel et de l’utilisation de la souris dans la fenêtre principale ; elle ne peut pas être modifiée ici.

Plus de détails dans l’aide en ligne.

ZT_SHORTCUT

ShortCut

Raccourci-clavier

Les raccourcis autorisent l’exécution d’éléments actionnables. Par exemple :

- Exécution d’éléments de contrôle et de fonctions auxquelles un élément est attribué
- Écriture de valeurs prescrites (par ex. pour des interrupteurs)
- Configuration du focus pour certaines fenêtres (par ex. liste des courbes dans le module Extended Trend, ou liste déroulante dans le module RGM)

Cliquez sur le bouton du champ de saisie pour ouvrir la boîte de dialogue de définition des combinaisons de touches. Dans la boîte de dialogue, saisissez directement la combinaison souhaitée.

Plus de détails dans l’aide en ligne.

VT_BOOL

KbdUsage

Synoptique clavier

Disponible uniquement si la propriété Synoptique clavier est active.

Nom du synoptique de clavier lié.
Si aucun synoptique de clavier n’est saisi, le clavier correspondant est appelé dans le Runtime :

  • Variable String (chaîne) : SETSTRINGKBD
  • Variable numérique : SETVALUEKBD
  • Variable binaire : SETBOOLKBD

Remarque : Pour l’option Champ de saisie, aucun clavier n’est appelé si l’option Synoptique clavier est activée. Un synoptique de clavier doit être lié.

Plus de détails dans l’aide en ligne.

ZT_VBAMAKRO

DragDrop

DragDrop

Macro VBA à exécuter lorsque le bouton de la souris est relâché.

Plus de détails dans l’aide en ligne.

ZT_VBAMAKRO

DragOver

DragOver

Macro VBA à exécuter lorsque le curseur est déplacé au-dessus de l’élément pendant que le bouton gauche est enfoncé.

Plus de détails dans l’aide en ligne.

ZT_VBAMAKRO

DragBegin

DragBegin

Macro VBA à exécuter lorsque l’utilisateur commence à faire glisser l’objet.

Plus de détails dans l’aide en ligne.

ZT_STYLE

StyleGroup

Groupe de styles

Affichage et sélection du groupe de styles attribué à l’élément.
Cliquez sur le bouton ... pour ouvrir la boîte de dialogue permettant de sélectionner un groupe de styles.
Si plusieurs éléments sont sélectionnés, elles peuvent être attribuées à un groupe de styles commun.

Remarque : Seules les propriétés compatibles avec l’élément correspondant sont prises en charge.

Plus de détails dans l’aide en ligne.

More...

LnClVariable

LnClVariable

"With this property you have the opportunity to get informations about the variable which is linked as ""line/text color"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""LnClVariable.SymVarName"") 'Return the name of the ""line/text color"" variable
zElement.DynProperties (""LnClVariable.SymVarTagNr"") 'Return the identification of the ""line/text color"" variable"

More...

BkClVariable

BkClVariable

"With this property you have the opportunity to get informations about the variable which is linked as ""background/filling color"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""BkClVariable.SymVarName"") 'Return the name of the ""background/filling color"" variable
zElement.DynProperties (""BkClVariable.SymVarTagNr"") 'Return the identification of the ""background/filling color"" variable"

More...

BkCl2Variable

"BkCl2Variable"

More...

XVar

XVar

"With this property you have the opportunity to get informations about the variable which is linked as ""dynamic x position"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""XVar.SymVarName"") 'Return the name of the ""dynamic x position"" variable
zElement.DynProperties (""XVar.SymVarTagNr"") 'Return the identification of the ""dynamic x position"" variable"

More...

YVar

YVar

"With this property you have the opportunity to get informations about the variable which is linked as ""dynamic y position"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""YVar.SymVarName"") 'Return the name of the ""dynamic y position"" variable
zElement.DynProperties (""YVar.SymVarTagNr"") 'Return the identification of the ""dynamic y position"" variable"

More...

XVarZoom

XVarZoom

"With this property you have the opportunity to get informations about the variable which is linked as ""change width"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""XVarZoom.SymVarName"") 'Return the name of the ""change width"" variable
zElement.DynProperties (""XVarZoom.SymVarTagNr"") 'Return the identification of the ""change width"" variable"

More...

YVarZoom

YVarZoom

"With this property you have the opportunity to get informations about the variable which is linked as ""change height"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""YVarZoom.SymVarName"") 'Return the name of the ""change height"" variable
zElement.DynProperties (""YVarZoom.SymVarName"") 'Return the name of the ""change height"" variable
zElement.DynProperties (""YVarZoom.SymVarTagNr"") 'Return the identification of the ""change height"" variable"

More...

TwistVar

TwistVar

"With this property you have the opportunity to get informations about the variable which is linked as ""rotate"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""TwistVar.SymVarName"") 'Return the name of the ""rotate"" variable
zElement.DynProperties (""TwistVar.SymVarTagNr"") 'Return the identification of the ""rotate"" variable"

More...

VisVariable

VisVariable

"With this property you have the opportunity to get informations about the variable which is linked as ""visibility"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""VisVariable.SymVarName"") 'Return the name of the ""visibility"" variable
zElement.DynProperties (""VisVariable.SymVarTagNr"") 'Return the identification of the ""visibility"" variable"

More...

BlinkVar

BlinkVar

More...

GlowEffectGlowColorVar

GlowEffectGlowColorVar

More...

GlowEffectVisibilityVar

GlowEffectVisibilityVar

More...

GlowEffectBlinkVar

GlowEffectBlinkVar

VT_BSTR

Name

Nom d'élément

Attribuez un nom d’élément.
Il ne doit pas être vide.

Attention : Cette propriété n’est pas disponible aux fins de la commutation de langue.

Remarques concernant les cadrans : Pour les conteneurs de synoptique, spécifiez des noms clairement identifiables pour faciliter la sélection lors de la configuration des appels de synoptique.

Plus de détails dans l’aide en ligne.

VT_UI1

Layer

Niveau de visibilité

Sélectionnez l’un des 16 niveaux de visibilité (0 à 15) dans la liste déroulante. À l’aide de la barre d’outils Niveau de visibilité, vous décidez des niveaux qui doivent être affichés dans Editor. Cette fonction garantit que les synoptiques les plus complexes peuvent être développés de manière simple. Les niveaux peuvent être utilisés immédiatement. Les niveaux n’ont aucune influence sur les informations affichées au premier plan ou en arrière-plan dans le Runtime.
Par défaut : 0.

Plus de détails dans l’aide en ligne.

VT_I4

StartX

Point de départ X [pixels]

Coordonnée Y du coin supérieur gauche du synoptique (en pixels).

Plus de détails dans l’aide en ligne.

VT_I4

EndX

Point final X [pixels]

Coordonnée X du coin inférieur droit du synoptique (en pixels).

Plus de détails dans l’aide en ligne.

VT_I4

StartY

Point de départ Y [pixels]

Coordonnée Y du coin supérieur gauche du synoptique (en pixels).

Plus de détails dans l’aide en ligne.

VT_I4

EndY

Point final Y [pixels]

Coordonnée Y du coin inférieur droit du synoptique (en pixels).

Plus de détails dans l’aide en ligne.

VT_I4

Width

Largeur [pixels]

Largeur des éléments en pixels.

Remarque : disponible uniquement pour les éléments Combinaison multiple, Élément combiné, Bouton et Interrupteur si la valeur Ajusté a été sélectionnée pour la propriété Taille du graphique.

Plus de détails dans l’aide en ligne.

VT_I4

Height

Hauteur [pixels]

Hauteur des éléments en pixels.

Remarque : disponible uniquement pour les éléments Combinaison multiple, Élément combiné, Bouton et Interrupteur si la valeur Ajusté a été sélectionnée pour la propriété Taille du graphique.

Plus de détails dans l’aide en ligne.

VT_I4

Angle

Angle de rotation [°]

Angle libre autour selon lequel doit pivoter l’élément.
Les valeurs positives correspondent à une rotation dans le sens antihoraire, tandis que les valeurs négatives correspondent à une rotation dans le sens horaire. Les valeurs supérieures à 360° sont affichées sous forme d’écart par rapport à 360° (400° correspond à 40°). Seuls les nombres entiers sont autorisés.

Sur les éléments pivotés, les actions suivantes ne sont plus possibles :

  • Miroir
  • Rotation de +/- 90°
  • Redimensionnement à l’aide des touches fléchées

Par défaut : 0

Remarque : Ce paramètre est activé et réinitialisé lors de la configuration pour Windows CE.

Plus de détails dans l’aide en ligne.

VT_I2

ZoomMin

Visible de

Incrément de zoom le plus bas auquel l’élément est visible dans la vue globale.
Par défaut : -1
Une valeur de visibilité avec des incréments de zoom de -1 à -1 signifie que l’élément est affiché, quel que soit l’incrément de zoom sélectionné.

Les niveaux de zoom affichés dans la vue globale peuvent être configurés avec la propriété Apparence graphique -> Généralités runtime -> Pas de zoom pour vue globale.

Attention : Ce niveau de zoom s’applique à tous les types de synoptiques et cadres. Si un niveau de zoom défini est supérieur à 0, l’élément est uniquement affiché dans la vue globale, car les autres types de synoptique sont automatiquement appelés avec le niveau de zoom 0.

Plus de détails dans l’aide en ligne.

VT_I2

ZoomMax

Visible jusqu'à

Incrément de zoom le plus élevé auquel l’élément est visible dans la vue globale.

Par défaut : -1
Une valeur de visibilité avec des incréments de zoom de -1 à -1 signifie que l’élément est affiché, quel que soit l’incrément de zoom sélectionné.

Les niveaux de zoom affichés dans la vue globale peuvent être configurés avec la propriété Apparence graphique -> Généralités runtime -> Pas de zoom pour vue globale.

Attention : Ce niveau de zoom s’applique à tous les types de synoptiques et cadres. Si un niveau de zoom défini est supérieur à 0, l’élément est uniquement affiché dans la vue globale, car les autres types de synoptique sont automatiquement appelés avec le niveau de zoom 0.

Plus de détails dans l’aide en ligne.

VT_BSTR

Stationname

Nom liste d'objets

L’élément est saisi directement dans la liste de stations du synoptique Vue globale, et le texte est saisi ici.

Plus de détails dans l’aide en ligne.

ZT_VARIABLE_DYN

LineColorVariable

Couleur de ligne

Nom des variables dont les couleurs de valeur limite doivent influencer la couleur de ligne/de texte de l’élément. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de variables.

Plus de détails dans l’aide en ligne.

ZT_PREVIEW

LineColorVarPreview

Affichage aperçu couleur

Affichage de la valeur limite pour la propriété Couleur de ligne définie pour la variable. Disponible uniquement si l’option Depuis la variable a été configurée pour la propriété Couleur de ligne.

Un aperçu des propriétés définies pour la valeur limite est affiché dans le champ. Aucun aperçu n’est affiché pour les matrices de réaction.
Cliquez sur le bouton ... pour ouvrir la boîte de dialogue d’affichage des résultats. Les valeurs limite sont uniquement affichées ; elles ne peuvent pas être modifiées. Les modifications doivent être effectuées directement dans les propriétés de la variable pour Valeurs limite.

Plus de détails dans l’aide en ligne.

ZT_VARIABLE_DYN

BackColorVariable

Couleur de remplissage

Nom de la variable dont les couleurs de valeur limite doivent influencer la couleur d’arrière-plan/de remplissage de l’élément.
Ouvre la boîte de dialogue de sélection de variables.

Plus de détails dans l’aide en ligne.

ZT_PREVIEW

BackColorVarPreview

Affichage aperçu couleur

Affichage de la valeur limite pour la propriété Couleur de remplissage définie pour la variable. Disponible uniquement si l’option Depuis la variable a été configurée pour la propriété Couleur de remplissage.

Un aperçu des propriétés définies pour la valeur limite est affiché dans le champ. Aucun aperçu n’est affiché pour les matrices de réaction.
Cliquez sur le bouton ... pour ouvrir la boîte de dialogue d’affichage des résultats. Les valeurs limite sont uniquement affichées ; elles ne peuvent pas être modifiées. Les modifications doivent être effectuées directement dans les propriétés de la variable pour Valeurs limite.

Plus de détails dans l’aide en ligne.

VT_UI1

HorizontalOrigin

Horizontal

Point de référence horizontal de l’événement. Les valeurs possibles sont : gauche, centré, droite.
Ce point est utilisé en tant que base de calcul de l’angle de départ de la rotation (statique et dynamique) et pour le changement dynamique de taille.

Par défaut : À gauche

Plus de détails dans l’aide en ligne.

VT_UI1

VerticalOrigin

Vertical

Point de référence vertical de l’événement. Les valeurs possibles sont : haut, centré, bas.
Ce point est utilisé en tant que base de calcul de l’angle de départ de la rotation (statique et dynamique) et pour le changement dynamique de taille.

Par défaut : En haut

Plus de détails dans l’aide en ligne.

VT_UI4

VisibilityType

Visibilité

Sélection depuis laquelle la visibilité d’un élément est déterminée :

  • Depuis une variable
  • Du verrrouillage

Par défaut : Depuis une variable

Plus de détails dans l’aide en ligne.

ZT_VARIABLE_DYN

VisibilityVariable

Variable

Disponible uniquement si l’option Depuis la variable a été configurée pour la propriété Visibilité.

Nom de la variable dont la valeur contrôle la visibilité de l’élément. La visibilité est soit reprise des propriétés de valeur limite de ces variables, soit définie par la plage de valeurs définie dans les propriétés de et À.
Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de variables. Vous pouvez également saisir manuellement le nom dans le champ de texte.
L'élément reste visible tant qu’aucune variable n’est liée.

Plus de détails dans l’aide en ligne.

ZT_PREVIEW

VisVarPreview

Affichage aperçu visibilité

Affichage des valeurs limite pour la visibilité définies pour la variable. Disponible uniquement si l’option Depuis la variable a été configurée pour la propriété Variable dans le groupe Visibilité.

Un aperçu des propriétés définies pour la valeur limite est affiché dans le champ. Aucun aperçu n’est affiché pour les matrices de réaction.
Cliquez sur le bouton ... pour ouvrir la boîte de dialogue d’affichage des résultats. Les valeurs limite sont uniquement affichées ; elles ne peuvent pas être modifiées. Les modifications doivent être effectuées directement dans les propriétés de la variable pour Valeurs limite.

Plus de détails dans l’aide en ligne.

VT_BOOL

VisibilityFromLimit

A partir des valeurs limites

Uniquement disponible après la sélection d’une variable :

  • Active : La visibilité de l’élément est influencée par la propriété de valeur limite de la variable.

    Attention : La propriété Invisible doit être active pour au moins une valeur limite de la variable.

  • Inactive : la visibilité est influencée par les propriétés de l’élément.

Par défaut : active

Plus de détails dans l’aide en ligne.

VT_R8

VisibilityFrom

de

Disponible uniquement après la sélection d’une variable, si la visibilité n’a pas été reprise par la valeur limite :

Valeur minimum de la variable à laquelle l’élément est visible.

  • Minimum : valeur minimum possible de la variable liée.
  • Maximum : valeur maximum possible de la variable liée.

Par défaut : valeur minimum possible de la variable liée.

Plus de détails dans l’aide en ligne.

VT_R8

VisibilityTo

À

Disponible uniquement après la sélection d’une variable, si la visibilité n’a pas été reprise par la valeur limite :

Valeur maximale de la variable à laquelle l’élément est visible.

  • Minimum : valeur minimum possible de la variable liée.
  • Maximum : valeur maximum possible de la variable liée.

Par défaut : valeur maximum possible de la variable liée.

Plus de détails dans l’aide en ligne.

VT_UI4

Interlocking

Verrouillage

Disponible uniquement si l’option Depuis le verrouillage est sélectionnée pour la propriété Visibilité.

Nom du verrouillage dont la valeur contrôle la visibilité de l’élément. Sélectionnez dans la liste déroulante. Celle-ci contient tous les verrouillages existants et utilisables. L’élément est toujours visible si aucun verrouillage n’est lié.

Plus de détails dans l’aide en ligne.

VT_BSTR

InterlockingName

InterlockingName

Description

VT_BOOL

VisibleWhenInterlocked

Visible si verrouillé

Contrôle la visibilité de l’élément lorsque le verrouillage est sélectionné :

  • Active : L’élément est visible s’il est verrouillé.
  • Inactive : L’élément est visible s’il n’est pas verrouillé.

Par défaut : inactive

Plus de détails dans l’aide en ligne.

ZT_VARIABLE_DYN

BlinkVariable

Affichage aperçu clignotement

Affichage des valeurs limite pour le clignotement définies pour la variable. Disponible uniquement si l’option Depuis la variable a été configurée pour la propriété Prendre le clignotement de la limite.

Un aperçu des propriétés définies pour la valeur limite est affiché dans le champ. Aucun aperçu n’est affiché pour les matrices de réaction.
Cliquez sur le bouton ... pour ouvrir la boîte de dialogue d’affichage des résultats. Les valeurs limite sont uniquement affichées ; elles ne peuvent pas être modifiées. Les modifications doivent être effectuées directement dans les propriétés de la variable pour Valeurs limite.

Plus de détails dans l’aide en ligne.

ZT_PREVIEW

BlinkVarPreview

Affichage aperçu clignotement

Affichage des valeurs limite pour le clignotement définies pour la variable. Disponible uniquement si l’option Depuis la variable a été configurée pour la propriété Prendre le clignotement de la limite.

Un aperçu des propriétés définies pour la valeur limite est affiché dans le champ. Aucun aperçu n’est affiché pour les matrices de réaction.
Cliquez sur le bouton ... pour ouvrir la boîte de dialogue d’affichage des résultats. Les valeurs limite sont uniquement affichées ; elles ne peuvent pas être modifiées. Les modifications doivent être effectuées directement dans les propriétés de la variable pour Valeurs limite.

Plus de détails dans l’aide en ligne.

VT_BOOL

UseBlinkColor

Couleur de clignotement par la limite

Active : Reprend la couleur d’arrière-plan du clignotement défini pour la valeur limite active de la variable pour Prendre le clignotement de la limite. Durant le clignotement, l’élément ne devient pas invisible, mais reprend la couleur d’arrière-plan active.

Par défaut : Inactive

Remarque : la couleur n’est pas prise en compte si la couleur d’arrière-plan Transparence est configurée.

Plus de détails dans l’aide en ligne.

ZT_VARIABLE_DYN

XVariable

Variable

Nom de la variable utilisée pour le déplacement horizontal de l’élément.
Ouvre la boîte de dialogue de sélection de variables.

Plus de détails dans l’aide en ligne.

VT_R8

XVarMin

Valeur min de la variable

Valeur minimale de la variable utilisée pour le déplacement horizontal de l’élément.

Plus de détails dans l’aide en ligne.

VT_R8

XVarMax

Valeur max de la variable

Valeur maximale de la variable utilisée pour le déplacement horizontal de l’élément.

Plus de détails dans l’aide en ligne.

VT_I4

XViewMin

Mouvement min [pixels]

Position horizontale de l’élément pour la valeur minimale de la variable (en pixels).

Plus de détails dans l’aide en ligne.

VT_I4

XViewMax

Mouvement max [pixels]

Position horizontale de l’élément pour la valeur minimale de la variable (en pixels).

Plus de détails dans l’aide en ligne.

ZT_VARIABLE_DYN

YVariable

Variable

Nom de la variable utilisée pour le déplacement vertical de l’élément.
Ouvre la boîte de dialogue de sélection de variables.

Plus de détails dans l’aide en ligne.

VT_R8

YVarMin

Valeur min de la variable

Valeur minimale de la variable utilisée pour le déplacement vertical de l’élément.

Plus de détails dans l’aide en ligne.

VT_R8

YVarMax

Valeur max de la variable

Valeur maximale de la variable utilisée pour le déplacement vertical de l’élément.

Plus de détails dans l’aide en ligne.

VT_I4

YViewMin

Mouvement min [pixels]

Position verticale de l’élément pour la valeur minimale de la variable (en pixels).

Plus de détails dans l’aide en ligne.

VT_I4

YViewMax

Mouvement max [pixels]

Position verticale de l’élément pour la valeur maximale de la variable (en pixels).

Plus de détails dans l’aide en ligne.

ZT_VARIABLE_DYN

XZoomVariable

Variable

Nom de la variable utilisée pour l’agrandissement de la largeur de l’élément.
Ouvre la boîte de dialogue de sélection de variables.

Plus de détails dans l’aide en ligne.

VT_R8

XZoomVarMin

Valeur min de la variable

Valeur minimale de la variable utilisée pour effectuer un zoom à la largeur de l’élément.

Plus de détails dans l’aide en ligne.

VT_R8

XZoomVarMax

Valeur max de la variable

Valeur maximale de la variable utilisée pour effectuer un zoom sur la largeur de l’élément.

Plus de détails dans l’aide en ligne.

VT_I4

XZoomViewMin

Largeur min [%]

Facteur de zoom correspondant à la largeur de l’élément pour la valeur minimale de la variable (en pixels).

Plus de détails dans l’aide en ligne.

VT_I4

XZoomViewMax

Largeur max [%]

Facteur de zoom correspondant à la largeur de l’élément pour la valeur maximale de la variable (en pixels).

Plus de détails dans l’aide en ligne.

ZT_VARIABLE_DYN

YZoomVariable

Variable

Nom de la variable utilisée pour l’agrandissement de la hauteur de l’élément.
Ouvre la boîte de dialogue de sélection de variables.

Plus de détails dans l’aide en ligne.

VT_R8

YZoomVarMin

Valeur min de la variable

Valeur minimum de la variable utilisée pour effectuer un zoom sur la hauteur de l’élément.

Plus de détails dans l’aide en ligne.

VT_R8

YZoomVarMax

Valeur max de la variable

Valeur maximum de la variable utilisée pour effectuer un zoom sur la hauteur de l’élément.

Plus de détails dans l’aide en ligne.

VT_I4

YZoomViewMin

Hauteur min [%]

Facteur de zoom correspondant à la hauteur de l’élément pour la valeur minimum de la variable (en %).

Plus de détails dans l’aide en ligne.

VT_I4

YZoomViewMax

Hauteur max [%]

Facteur de zoom correspondant à la hauteur de l’élément pour la valeur maximale de la variable (en pixels).

Plus de détails dans l’aide en ligne.

ZT_VARIABLE_DYN

TwistVariable

Variable

Nom de la variable utilisée pour la rotation de l’élément.

Plus de détails dans l’aide en ligne.

VT_R8

TwistVarMin

Valeur min de la variable

Valeur minimum de la variable utilisée pour la rotation de l’élément.

Plus de détails dans l’aide en ligne.

VT_R8

TwistVarMax

Valeur max de la variable

Valeur maximale de la variable utilisée pour la rotation de l’élément.

Plus de détails dans l’aide en ligne.

VT_I4

TwistViewMin

Rotation min [°]

Angle de rotation de l’élément pour la valeur minimum de la variable (en °).

Plus de détails dans l’aide en ligne.

VT_I4

TwistViewMax

Rotation max [°]

Angle de rotation de l’élément pour la valeur maximum de la variable (en °).

Plus de détails dans l’aide en ligne.

ZT_STYLE

ShadowEffectStyle

Style effet cadres/ombres

Affichage et sélection du style de cadre et d’ombre attribué à l’élément.

Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de style.
Si plusieurs éléments ont été sélectionnés, ils peuvent être attribués à un style commun.

Remarque : Seules les propriétés compatibles avec l’élément correspondant sont prises en charge.

Plus de détails dans l’aide en ligne.

VT_BOOL

EnablePunchFrame

Afficher le cadre

A frame around the element can be displayed.
Default: inactive.

ZT_STYLE

GlowEffectStyle

Style effet de rayonnement

Affichage et sélection du style des effets de luminescence attribués à l’élément.

Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de style.
Si plusieurs éléments ont été sélectionnés, ils peuvent être attribués à un style commun.

Remarque : Seules les propriétés compatibles avec l’élément correspondant sont prises en charge.

Plus de détails dans l’aide en ligne.

VT_BOOL

GlowEffectEvent

Actif seulement si cliqué

Disponible uniquement si la propriété Activer est active et l’élément est un bouton.

Active : l’effet de luminescence est uniquement affiché lorsque l’utilisateur clique sur le bouton. Cliquer sur le bouton permet de modifier la couleur, le clignotement ou l’invisibilité de l’effet de luminescence.

Par défaut : Inactive

Plus de détails dans l’aide en ligne.

ZT_VARIABLE_DYN

GlowEffectGlowColorVariable

Variable pour la couleur

Disponible uniquement si la propriété Activer est active. La propriété Coloration doit être activée.

Nom de la variable dont la couleur aux valeurs limites doit influencer la couleur de l’effet de luminescence pour l’élément. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de variables. Vous pouvez également saisir le nom manuellement dans le champ de texte. Si aucune variable n’est liée, la couleur définie dans la propriété Couleur est utilisée.

Par défaut : aucune variable liée

Plus de détails dans l’aide en ligne.

ZT_PREVIEW

GlowEffectGlowColorVariablePreview

Affichage aperçu couleur

Affichage de la valeur limite définie pour la variable de couleur lorsque l’effet de luminescence est actif. Disponible uniquement si l’option Depuis la variable a été configurée pour la propriété Variable pour la couleur.

Un aperçu des propriétés définies pour la valeur limite est affiché dans le champ. Aucun aperçu n’est affiché pour les matrices de réaction.
Cliquez sur le bouton ... pour ouvrir la boîte de dialogue d’affichage des résultats. Les valeurs limite sont uniquement affichées ; elles ne peuvent pas être modifiées. Les modifications doivent être effectuées directement dans les propriétés de la variable pour Valeurs limite.

Plus de détails dans l’aide en ligne.

ZT_VARIABLE_DYN

GlowEffectVisibilityVariable

Variable pour la visibilité

Disponible uniquement si la propriété Activer est active.

Nom de la variable dont la valeur influence la visibilité de l’effet de luminescence. La visibilité est soit reprise des propriétés de valeur limite de cette variable (propriété Visibilité depuis valeur limite active), soit définie par la plage de valeurs définie dans les propriétés Visible de et Visible jusqu'à. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de variables. Vous pouvez également saisir le nom manuellement dans le champ de texte.

Remarque : si aucune variable n’est liée, l’effet de luminescence est toujours visible.

Par défaut : aucune variable liée

Plus de détails dans l’aide en ligne.

ZT_PREVIEW

GlowEffectVisibilityVariablePreview

Affichage aperçu visibilité

Affichage de la valeur limite définie pour la variable de visibilité lorsque l’effet de luminescence est actif. Disponible uniquement si l’option Depuis la variable a été configurée pour la propriété Variable pour la visibilité.

Un aperçu des propriétés définies pour la valeur limite est affiché dans le champ. Aucun aperçu n’est affiché pour les matrices de réaction.
Cliquez sur le bouton ... pour ouvrir la boîte de dialogue d’affichage des résultats. Les valeurs limite sont uniquement affichées ; elles ne peuvent pas être modifiées. Les modifications doivent être effectuées directement dans les propriétés de la variable pour Valeurs limite.

Plus de détails dans l’aide en ligne.

VT_BOOL

GlowEffectVisibilityFromLimit

Visibilité depuis valeur limite

Disponible uniquement si la propriété Activer est active. Vous devez en outre définir une variable dans la propriété Variable pour la visibilité.

Active : La visibilité de l’effet de luminescence est influencée par la propriété de valeur limite de la variable.

Attention : Pour une valeur limite de la variable au moins, la propriété Invisible doit être active.

Inactive : la visibilité est influencée par les propriétés de l’élément.

Plus de détails dans l’aide en ligne.

VT_R8

GlowEffectVisibilityFrom

Visible de

Disponible uniquement si la propriété Activer est active. Vous devez en outre définir une variable dans la propriété Variable pour la visibilité ; la propriété Visibilité depuis valeur limite doit être inactive.

Définit la valeur à partir de laquelle l’effet de luminescence devient visible.
Minimum : valeur la moins élevée autorisée pour la variable liée dans Variable pour la visibilité.
Maximum : valeur la moins élevée autorisée pour la variable liée dans Variable pour la visibilité.
Par défaut : valeur la plus élevée autorisée pour la variable liée dans Variable pour la visibilité.

Plus de détails dans l’aide en ligne.

VT_R8

GlowEffectVisibilityTo

Visible jusqu'à

Disponible uniquement si la propriété Activer est active. Vous devez en outre définir une variable dans la propriété Variable pour la visibilité ; la propriété Visibilité depuis valeur limite doit être inactive.

Définit la valeur jusqu’à laquelle l’effet de luminescence reste visible.
Minimum : valeur la plus basse autorisée pour la variable liée dans Variable pour la visibilité.
Maximum : valeur la plus élevée autorisée pour la variable liée dans Variable pour la visibilité.
Par défaut : valeur la plus élevée autorisée pour la variable liée dans Variable pour la visibilité.

Plus de détails dans l’aide en ligne.

ZT_VARIABLE_DYN

GlowEffectBlinkVariable

Variable pour le clignotement

Variables dont les paramètres de clignotement de l’effet de luminescence aux valeurs limites doivent être repris. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de variables.

Par défaut : aucune variable liée

Plus de détails dans l’aide en ligne.

ZT_PREVIEW

GlowEffectBlinkVariablePreview

Affichage aperçu clignotement

Affichage de la valeur limite définie pour la variable de clignotement lorsque l’effet de luminescence est actif. Disponible uniquement si l’option Depuis la variable a été configurée pour la propriété Variable pour le clignotement.

Un aperçu des propriétés définies pour la valeur limite est affiché dans le champ. Aucun aperçu n’est affiché pour les matrices de réaction.
Cliquez sur le bouton ... pour ouvrir la boîte de dialogue d’affichage des résultats. Les valeurs limite sont uniquement affichées ; elles ne peuvent pas être modifiées. Les modifications doivent être effectuées directement dans les propriétés de la variable pour Valeurs limite.

Plus de détails dans l’aide en ligne.

VT_BOOL

GlowEffectUseBlinkColor

Clignotement depuis valeur limite

Disponible uniquement si la propriété Activer est active. Vous devez en outre définir une variable dans la propriété Variable pour le clignotement.

Active : Reprend, pour l’effet de luminescence, la couleur de clignotement de la valeur limite active pour la variable définie dans la propriété Couleur de clignotement par la limite. Cette propriété agit indépendamment de la propriété Coloration. En cas de clignotement, l’effet de luminescence ne devient pas invisible, mais reprend les paramètres de l’effet de luminescence actif.

Par défaut : Inactive

Plus de détails dans l’aide en ligne.

VT_BOOL

GlowEffect2ndBlinkStateVisible

2 états de clignotement invisibles

Disponible uniquement si la propriété Activer est active. Vous devez en outre définir une variable dans la propriété Variable pour le clignotement ; la propriété Clignotement depuis valeur limite doit être inactive.

Active : En cas de clignotement, l’effet de luminescence ne bascule pas vers l’effet de luminescence actif, mais devient invisible. Ceci permet de basculer entre l’invisibilité et la couleur de clignotement en cas de dépassement de la valeur limite.

Par défaut : Inactive

Plus de détails dans l’aide en ligne.


Dynamic window no header list control

Manuel -> Interfaces de programmation -> Modèles d'objet -> Element -> Element-Dynamic properties -> Dynamic window no header list control

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Type

VBA/VSTA Name

Display Name

Description

ZT_COLOR

TextColorSelectFocus

Couleur du texte avec le focus

Couleur du texte d’une entrée de liste si le focus se trouve sur l’élément. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de couleurs ou de palettes de couleurs. La saisie peut également être effectuée directement dans le champ, sous forme de valeur hexadécimale précédée de #.

Par défaut : Valeur du système d’exploitation.

Plus de détails dans l’aide en ligne.

ZT_COLOR

BackColorSelectFocus

Couleur de fond avec le focus

Couleur d’arrière-plan d’une entrée de liste si le focus se trouve sur l’élément. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de couleurs ou de palettes de couleurs. La saisie peut également être effectuée directement dans le champ, sous forme de valeur hexadécimale précédée de #.

Par défaut : Valeur du système d’exploitation.

Plus de détails dans l’aide en ligne.

ZT_COLOR

TextColorSelectNoFocus

Couleur de texte sans le focus

Couleur du texte d’une entrée de liste si le focus ne se trouve pas sur l’élément. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de couleurs ou de palettes de couleurs. La saisie peut également être effectuée directement dans le champ, sous forme de valeur hexadécimale précédée de #.

Par défaut : Valeur du système d’exploitation.

Plus de détails dans l’aide en ligne.

ZT_COLOR

BackColorSelectNoFocus

Couleur de fond sans le focus

Couleur d’arrière-plan d’une entrée de liste si le focus ne se trouve pas sur l’élément. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de couleurs ou de palettes de couleurs. La saisie peut également être effectuée directement dans le champ, sous forme de valeur hexadécimale précédée de #.

Par défaut : Valeur du système d’exploitation.

Plus de détails dans l’aide en ligne.

VT_BOOL

HideSelection

Ne pas marquer la ligne sélectionnée

Ce paramètre permet de définir si la ligne sélectionnée est affichée en surbrillance dans la zone de liste. Si vous activez cette propriété, vous ne pouvez pas voir l’entrée que vous avez sélectionnée. Toutes les lignes de la liste sont identiques.

Par défaut : Inactive.

Plus de détails dans l’aide en ligne de la liste d’alarmes

Plus de détails dans l’aide en ligne de la liste d’événements

VT_BOOL

AdvancedStyleH

Ascenceurs

Propriétés des barres de défilement horizontale et verticale.

Plus de détails dans l’aide en ligne de la liste d’alarmes (AML).

Plus de détails dans l’aide en ligne de la liste d’événements (CEL).

Plus de détails dans l’aide en ligne du module ETM.

Plus de détails dans l’aide en ligne du module RGM.

VT_BOOL

WordWrap

Retour à la ligne automatique

Permet l’affichage de textes sur plusieurs lignes si la largeur de la colonne est insuffisante pour afficher correctement le texte. La hauteur des lignes est alors modifiée en conséquence.

  • Active :
    si la largeur de la colonne est insuffisante, un saut de ligne est inséré et la hauteur des lignes est augmentée.
  • Inactive :
    aucun retour à la ligne n’est effectué ; le texte est affiché sur une ligne.

Information : un retour à la ligne est uniquement effectué si le texte comporte des espaces vides devant être affichés (espaces, tabulations ou autres) ou si un saut de ligne est inséré manuellement, avec les caractères \n. Aucun saut de ligne n’est inséré pour les textes continus.

Par défaut : Inactive

Plus de détails dans l’aide en ligne de la liste d’alarmes

Plus de détails dans l’aide en ligne de la liste d’événements

VT_UI4

RowHeight

Hauteur de ligne [pixel]

Permet de définir la hauteur des lignes en pixels, indépendamment de la taille de la police.

Valeur maximale : 255 px
Valeur minimum : 0 pixel (la hauteur des lignes est adaptée à la taille de la police).

Par défaut : 0

Attention : si la hauteur de ligne

  • sélectionnée est trop élevée, dans certaines circonstances, aucune information ne sera affichée dans le Runtime.
  • sélectionnée est inférieure à la taille de la police, les éléments graphiques seront tronqués.

Plus de détails dans l’aide en ligne.

VT_I2

BarStyleH

Style d'affichage

Disponible uniquement si vous avez activé la propriété Paramètres du graphique étendu.

Définissez l’apparence de l’en-tête du champ de liste. Sélectionnez l’une des options suivantes :

Color gradient (Dégradé de couleurs) : utilise un dégradé de couleurs spécial pour l’en-tête. Vous pouvez personnaliser le dégradé de couleurs à l’aide des propriétés Couleur de remplissage, Gradient de couleur, Gradient de couleur, Offset [%] et Angle [°].

Fichier graphique : utilise les fichiers graphiques sélectionnés pour les zones individuelles. Si aucun fichier graphique n’a été sélectionné, l’affichage Color gradient (Dégradé de couleurs) est utilisé.

Standard : utilise le paramètre standard pour l’en-tête. Vous pouvez uniquement modifier la police de caractères et la couleur du texte à l’aide des paramètres correspondants.

Par défaut : Standard.

Plus de détails dans l’aide en ligne.

VT_I2

ButtonHeightH

Hauteur des flêches de l'ascenceur [Pixels]

Définit la hauteur en pixels de la flèche de défilement de la barre de défilement horizontale. Ajustez la valeur en fonction de vos préférences.

Par défaut : 12.

Plus de détails dans l’aide en ligne.

VT_I2

ButtonWidthH

Largeur des flêches de l'ascenceur [Pixels]

Définit la largeur en pixels de la flèche de défilement de la barre de défilement horizontale. Ajustez la valeur en fonction de vos préférences.

Par défaut : 12.

Plus de détails dans l’aide en ligne.

VT_I2

ThumbSizeH

Largeur boite de l'ascenceur [Pixels]

Définit la largeur en pixels de la case de défilement de la barre de défilement horizontale. Ajustez la valeur en fonction de vos préférences.

Par défaut : 20.

Plus de détails dans l’aide en ligne.

ZT_COLOR

BackColorH

Couleur de remplissage

Définit la première couleur de remplissage utilisée pour le dégradé de couleurs des barres de défilement horizontales. Cliquez sur le bouton pour ouvrir la palette de couleurs prédéfinies. Vous pouvez également définir la couleur en saisissant manuellement le code hexadécimal (RVB) dans le champ.

La couleur du nouvel élément sera la couleur utilisée pour le précédent élément du même type.

Plus de détails dans l’aide en ligne.

ZT_COLOR

BackColor2H

Gradient de couleur

Cette propriété a uniquement un effet si vous avez sélectionné le paramètre Dégradé de couleurs pour la propriété Style d'affichage.

Définit la deuxième couleur de remplissage utilisée pour le dégradé de couleurs des barres de défilement horizontales. Cliquez sur le bouton pour ouvrir la palette de couleurs prédéfinies. Vous pouvez également définir la couleur en saisissant manuellement le code hexadécimal (RVB) dans le champ. Si vous sélectionnez Automatique, la valeur de la couleur change en fonction de la valeur de la propriété Couleur de remplissage.

La couleur du nouvel élément sera la couleur utilisée pour le précédent élément du même type.

Plus de détails dans l’aide en ligne.

VT_I2

LightningH

Gradient de couleur

Sélectionnez le type de dégradé de couleurs pour la barre de défilement horizontale parmi les options suivantes :

Linéaire : dégradé continu

Point défini : le dégradé commence au niveau d’un point défini et s’étend jusqu’aux bords de l’élément.

À partir d’un point défini avec des rayons : le dégradé avec des rayons commence au niveau d’un point défini et s’étend jusqu’aux bords de l’élément.

Par défaut : Linéaire

Plus de détails dans l’aide en ligne.

VT_I2

ColorGradientOffsetH

Offset [%]

Définit la distance du dégradé de couleurs depuis le centre de la barre de défilement horizontale jusqu’au bord gauche ou droit, en pourcentage. 0 signifie le centre de la barre de défilement horizontale, 100 signifie le bord droit de la barre de défilement horizontale et -100 signifie le bord gauche de la barre de défilement horizontale.

Minimum : -100

Maximum : 100

Par défaut : 0

Plus de détails dans l’aide en ligne.

VT_I2

ColorGradientAngleH

Angle [°]

Disponible uniquement si vous avez activé la propriété Paramètres du graphique étendu.

Cette propriété a uniquement un effet si vous avez sélectionné le paramètre Dégradé de couleurs pour la propriété Style d'affichage.

Définit l’angle de déploiement du dégradé de couleurs. Le point défini dans la propriété Offset [%] est utilisé en tant que point de départ.

Minimum : 0

Maximum : 360

Par défaut : 0

Plus de détails dans l’aide en ligne.

ZT_FILE

BitmapLeftH

Flêche de gauche de l'ascenceur

Disponible uniquement si vous avez activé la propriété Paramètres du graphique étendu.

Sélectionnez un fichier graphique qui sera affiché dans le champ de liste pour la flèche de défilement gauche de la barre de défilement horizontale dans le Runtime. Ce fichier graphique est utilisé si vous sélectionnez Fichier graphique pour la propriété Style d'affichage.

Par défaut : aucun fichier

Plus de détails dans l’aide en ligne.

ZT_FILE

BitmapRightH

Flêche de droite de l'ascenceur

Disponible uniquement si vous avez activé la propriété Paramètres du graphique étendu.

Sélectionnez un fichier graphique qui sera affiché dans le champ de liste pour la flèche de défilement droite de la barre de défilement horizontale dans le Runtime. Ce fichier graphique est utilisé si vous sélectionnez Fichier graphique pour la propriété Style d'affichage.

Par défaut : aucun fichier

Plus de détails dans l’aide en ligne.

ZT_FILE

BitmapThumbH

Boite de l'ascenceur

Disponible uniquement si vous avez activé la propriété Paramètres du graphique étendu.

Sélectionnez un fichier graphique qui sera affiché dans le champ de liste pour la case de défilement de la barre de défilement horizontale dans le Runtime. Ce fichier graphique est utilisé si vous sélectionnez Fichier graphique pour la propriété Style d'affichage.

Par défaut : aucun fichier

Plus de détails dans l’aide en ligne.

ZT_FILE

BitmapSpanH

Fichier graphique d'arrière plan

Disponible uniquement si vous avez activé la propriété Paramètres du graphique étendu.

Sélectionnez un fichier graphique qui sera affiché en arrière-plan de la barre de défilement horizontale du champ de liste dans le Runtime. Ce fichier graphique est utilisé si vous sélectionnez Fichier graphique pour la propriété Style d'affichage.

Par défaut : aucun fichier

Plus de détails dans l’aide en ligne.

VT_I2

BarStyleV

Style d'affichage

Disponible uniquement si vous avez activé la propriété Paramètres du graphique étendu.

Définissez l’apparence de l’en-tête du champ de liste. Sélectionnez l’une des options suivantes :

Color gradient (Dégradé de couleurs) : utilise un dégradé de couleurs spécial pour l’en-tête. Vous pouvez personnaliser le dégradé de couleurs à l’aide des propriétés Couleur de remplissage, Couleur du dégradé, Gradient de couleur, Offset [%] et Angle [°].

Fichier graphique : utilise les fichiers graphiques sélectionnés pour les zones individuelles. Si aucun fichier graphique n’a été sélectionné, l’affichage Color gradient (Dégradé de couleurs) est utilisé.

Standard : utilise le paramètre standard pour l’en-tête. Vous pouvez uniquement modifier la police de caractères et la couleur du texte à l’aide des paramètres correspondants.

Par défaut : Standard.

Plus de détails dans l’aide en ligne.

VT_I2

ButtonHeightV

Hauteur des flêches de l'ascenceur [Pixels]

Définit la hauteur en pixels de la flèche de défilement de la barre de défilement verticale. Ajustez la valeur en fonction de vos préférences.

Par défaut : 12.

Plus de détails dans l’aide en ligne.

VT_I2

ButtonWidthV

Largeur des flêches de l'ascenceur [Pixels]

Définit la largeur en pixels de la flèche de défilement de la barre de défilement verticale. Ajustez la valeur en fonction de vos préférences.

Par défaut : 12.

Plus de détails dans l’aide en ligne.

VT_I2

ThumbSizeV

Largeur boite de l'ascenceur [Pixels]

Définit la largeur en pixels de la case de défilement de la barre de défilement verticale. Ajustez la valeur en fonction de vos préférences.

Par défaut : 20.

Plus de détails dans l’aide en ligne.

ZT_COLOR

BackColorV

Couleur de remplissage

Définit la première couleur de remplissage utilisée pour le dégradé de couleurs des barres de défilement verticales. Cliquez sur le bouton pour ouvrir la palette de couleurs prédéfinies. Vous pouvez également définir la couleur en saisissant manuellement le code hexadécimal (RVB) dans le champ.

La couleur du nouvel élément sera la couleur utilisée pour le précédent élément du même type.

Plus de détails dans l’aide en ligne.

ZT_COLOR

BackColor2V

Couleur du dégradé

Cette propriété a uniquement un effet si vous avez sélectionné le paramètre Dégradé de couleurs pour la propriété Style d'affichage.

Définit la deuxième couleur de remplissage utilisée pour le dégradé de couleurs des barres de défilement verticales. Cliquez sur le bouton pour ouvrir la palette de couleurs prédéfinies. Vous pouvez également définir la couleur en saisissant manuellement le code hexadécimal (RVB) dans le champ. Si vous sélectionnez Automatique, la valeur de la couleur change en fonction de la valeur de la propriété Couleur de remplissage.

La couleur du nouvel élément sera la couleur utilisée pour le précédent élément du même type.

Plus de détails dans l’aide en ligne.

VT_I2

LightningV

Gradient de couleur

Sélectionnez le type de dégradé de couleurs pour la barre de défilement verticale parmi les options suivantes :

Linéaire : dégradé continu

Point défini : le dégradé commence au niveau d’un point défini et s’étend jusqu’aux bords de l’élément.

À partir d’un point défini avec des rayons : le dégradé avec des rayons commence au niveau d’un point défini et s’étend jusqu’aux bords de l’élément.

Par défaut : Linéaire

Plus de détails dans l’aide en ligne.

VT_I2

ColorGradientOffsetV

Offset [%]

Définit la distance du dégradé de couleurs depuis le centre de la barre de défilement verticale jusqu’au bord gauche ou droit, en pourcentage. 0 signifie le centre de la barre de défilement verticale, 100 signifie le bord droit de la barre de défilement verticale et -100 signifie le bord gauche de la barre de défilement verticale.

Minimum : -100

Maximum : 100

Par défaut : 0

Plus de détails dans l’aide en ligne.

VT_I2

ColorGradientAngleV

Angle [°]

Disponible uniquement si vous avez activé la propriété Paramètres du graphique étendu.

Cette propriété a uniquement un effet si vous avez sélectionné le paramètre Dégradé de couleurs pour la propriété Style d'affichage.

Définit l’angle de déploiement du dégradé de couleurs. Le point défini dans la propriété Offset [%] est utilisé en tant que point de départ.

Minimum : 0

Maximum : 360

Par défaut : 0

Plus de détails dans l’aide en ligne.

ZT_FILE

BitmapLeftV

Flêche du haut de l'ascenceur

Disponible uniquement si vous avez activé la propriété Paramètres du graphique étendu.

Sélectionnez un fichier graphique qui sera affiché dans le champ de liste pour la flèche de défilement vers le haut de la barre de défilement verticale dans le Runtime. Ce fichier graphique est utilisé si vous sélectionnez Fichier graphique pour la propriété Style d'affichage.

Par défaut : aucun fichier

Plus de détails dans l’aide en ligne.

ZT_FILE

BitmapRightV

Flêche du bas de l'ascenceur

Disponible uniquement si vous avez activé la propriété Paramètres du graphique étendu.

Sélectionnez un fichier graphique qui sera affiché dans le champ de liste pour la flèche de défilement vers le bas de la barre de défilement verticale dans le Runtime. Ce fichier graphique est utilisé si vous sélectionnez Fichier graphique pour la propriété Style d'affichage.

Par défaut : aucun fichier

Plus de détails dans l’aide en ligne.

ZT_FILE

BitmapThumbV

Boite de l'ascenceur

Disponible uniquement si vous avez activé la propriété Paramètres du graphique étendu.

Sélectionnez un fichier graphique qui sera affiché dans le champ de liste pour la case de défilement de la barre de défilement verticale dans le Runtime. Ce fichier graphique est utilisé si vous sélectionnez Fichier graphique pour la propriété Style d'affichage.

Par défaut : aucun fichier

Plus de détails dans l’aide en ligne.

ZT_FILE

BitmapSpanV

Fichier graphique d'arrière plan

Disponible uniquement si vous avez activé la propriété Paramètres du graphique étendu.

Sélectionnez un fichier graphique qui sera affiché en arrière-plan de la barre de défilement verticale du champ de liste dans le Runtime. Ce fichier graphique est utilisé si vous sélectionnez Fichier graphique pour la propriété Style d'affichage.

Par défaut : aucun fichier

Plus de détails dans l’aide en ligne.

VT_BOOL

ShowHeader

Montrer l'en-tête

Disponible uniquement si vous avez sélectionné les paramètres Actions autorisées sur les en-têtes de colonne ou En-tête de colonne fixe pour ce groupe dans les paramètres du projet (dans le groupe Liste d'alarmes pour la propriété En-tête liste d'alarmes, ou dans le groupe Liste d'événements pour la propriété En-tête liste d'événements).
Disponibilité de la liste d’affichage du curseur et de la liste de courbes étendue dans le module Extended Trend.

Affiche l’en-tête du champ de liste correspondant. Dans le groupe En-tête, vous pouvez personnaliser l’apparence de l’en-tête.

  • active : l’en-tête est affiché.

Par défaut : active

Plus de détails dans l’aide en ligne de la liste d’alarmes

Plus de détails dans l’aide en ligne de la liste d’événements

Plus de détails dans l’aide en ligne du module Extended Trend Manager (ETM)

VT_BOOL

EnableHeader

En-tête éditable

Permet d’effectuer des actions sur l’en-tête du champ de liste correspondant. Vous pouvez modifier la largeur des colonnes et trier l’affichage en fonction de la colonne de votre choix dans le Runtime.

  • Active : vous pouvez effectuer des actions sur l’en-tête.

Par défaut : active

Disponibilité :

  • Disponible pour les listes AML et CEL aux conditions suivantes :
    Si vous savez sélectionné l’option Actions autorisées sur les en-têtes de colonne dans le groupe Liste d'alarmes pour la propriété En-tête liste d'alarmes, ou dans le groupe Liste d'événements pour la propriété En-tête liste d'événements.
  • Disponibilité de la liste d’affichage du curseur et de la liste de courbes étendue dans le module Extended Trend.

Plus de détails dans l’aide en ligne de la liste d’alarmes

Plus de détails dans l’aide en ligne de la liste d’événements

Plus de détails dans l’aide en ligne du module Extended Trend Manager (ETM)

VT_BOOL

ColumnOrderStatic

Figer la sélection des colonnes

Contrôle la possibilité de déplacer ou modifier la largeur des colonnes avec la souris dans le Runtime.

  • Active : les colonnes ne peuvent pas être déplacées en effectuant un glisser-déplacer, et leur largeur ne peut pas être modifiée.
  • Inactive : Les colonnes peuvent être réorganisées en effectuant un glisser-déplacer, et la largeur des colonnes peut être modifiée avec la souris.

Si un élément comportant l’action spécifique au type de synoptique Sélection de colonne est présent et ce paramètre est actif, l’élément est désactivé dans le Runtime.

Par défaut : Inactive

Remarque concernant la disponibilité pour les listes AML et CEL :

  • Liste AML : dans les paramètres du projet, dans le groupe Liste d'alarmes pour la propriété En-tête liste d'alarmes, l’option Actions autorisées sur les en-têtes de colonnes doit être sélectionnée.
    Plus de détails dans l’aide en ligne de la liste AML.
  • Liste CEL : dans les paramètres du projet, dans le groupe Liste d'événements pour la propriété En-tête liste d'événements, l’option Actions autorisées sur les en-têtes de colonnes doit être sélectionnée.
    Plus de détails dans l’aide en ligne de la liste d’événements (CEL).

VT_BOOL

NoSortHeader

Désactiver le tri

Contrôle la possibilité de trier le contenu du tableau dans le Runtime, en cliquant sur les en-têtes des colonnes.

  • Active : le contenu du tableau ne peut pas être trié en cliquant sur les en-têtes des colonnes.
  • inactive : le contenu du tableau peut être trié en cliquant sur les en-têtes des colonnes.

Par défaut : Inactive

Remarque concernant la disponibilité pour les listes AML et CEL :

  • Liste AML : dans les paramètres du projet, dans le groupe Liste d'alarmes pour la propriété En-tête liste d'alarmes, l’option Actions autorisées sur les en-têtes de colonnes doit être sélectionnée.
    Plus de détails dans l’aide en ligne de la liste AML.
  • Liste CEL : dans les paramètres du projet, dans le groupe Liste d'événements pour la propriété En-tête liste d'événements, l’option Actions autorisées sur les en-têtes de colonnes doit être sélectionnée.
    Plus de détails dans l’aide en ligne de la liste d’événements (CEL).

VT_I2

HeaderStyle

Style d'affichage

Disponible uniquement si vous avez sélectionné les paramètres Actions autorisées sur les en-têtes de colonne ou En-tête de colonne fixe dans le groupe En-tête liste d'événements pour la propriété Liste d'alarmes, ou dans le groupe Liste d'événements pour la propriété En-tête liste d'événements. En outre, vous devez également activer les propriétés Paramètres du graphique étendu et Montrer l'en-tête pour la zone de liste correspondante.

Disponibilité de la liste d’affichage du curseur et de la liste de courbes étendue dans le module Extended Trend.

Définissez l’apparence de l’en-tête du champ de liste. Sélectionnez l’une des options suivantes :

Color gradient (Dégradé de couleurs) : utilise un dégradé de couleurs spécial pour l’en-tête. Vous pouvez personnaliser le dégradé de couleurs à l’aide des propriétés Couleur de remplissage, Couleur du dégradé, Effet de lumière, Offset et Angle.

Fichier graphique : utilise les fichiers graphiques sélectionnés pour les zones individuelles. Si aucun fichier graphique n’a été sélectionné, l’affichage Color gradient (Dégradé de couleurs) est utilisé.

Standard : utilise le paramètre standard pour l’en-tête. Vous pouvez uniquement modifier les éléments Police et Couleur du texte à l’aide des paramètres correspondants.

Par défaut : Standard.

Plus de détails dans l’aide en ligne de la liste d’alarmes

Plus de détails dans l’aide en ligne de la liste d’événements

Plus de détails dans l’aide en ligne du module Extended Trend Manager (ETM)

ZT_SCHRIFT

HeaderFont

Couleur du texte

Définit la couleur du texte de l’en-tête. Cliquez sur le bouton pour ouvrir la palette de couleurs prédéfinies. Vous pouvez également définir la couleur en saisissant manuellement le code hexadécimal (RVB) dans le champ.

La couleur du nouvel élément sera la couleur utilisée pour le précédent élément du même type.

Plus de détails dans l’aide en ligne de la liste d’alarmes

Plus de détails dans l’aide en ligne de la liste d’événements

Plus de détails dans l’aide en ligne du module Extended Trend Manager (ETM)

ZT_COLOR

HeaderBackColor

Couleur de remplissage

Définit la première couleur de remplissage utilisée pour le dégradé de couleurs dans l’en-tête. Cliquez sur le bouton pour ouvrir la palette de couleurs prédéfinies. Vous pouvez également définir la couleur en saisissant manuellement le code hexadécimal (RVB) dans le champ.

La couleur du nouvel élément sera la couleur utilisée pour le précédent élément du même type.

Plus de détails dans l’aide en ligne de la liste d’alarmes

Plus de détails dans l’aide en ligne de la liste d’événements

Plus de détails dans l’aide en ligne du module Extended Trend Manager (ETM)

ZT_COLOR

HeaderBackColor2

Couleur du dégradé

Disponible uniquement si vous avez sélectionné les paramètres Actions autorisées sur les en-têtes de colonne ou En-tête de colonne fixe dans le groupe En-tête liste d'événements pour la propriété Liste d'alarmes, ou dans le groupe Liste d'événements pour la propriété En-tête liste d'événements. En outre, vous devez également activer les propriétés Paramètres du graphique étendu et Montrer l'en-tête pour la zone de liste correspondante.

Disponibilité de la liste d’affichage du curseur et de la liste de courbes étendue dans le module Extended Trend.

Cette propriété a uniquement un effet si vous avez sélectionné le paramètre Dégradé de couleurs pour la propriété Style d'affichage.

Définit la deuxième couleur de remplissage utilisée pour le dégradé de couleurs dans l’en-tête. Cliquez sur le bouton pour ouvrir la palette de couleurs prédéfinies. Vous pouvez également définir la couleur en saisissant manuellement le code hexadécimal (RVB) dans le champ. Si vous sélectionnez Automatique, la valeur de la couleur change en fonction de la valeur de la propriété Couleur de remplissage.

La couleur du nouvel élément sera la couleur utilisée pour le précédent élément du même type.

Plus de détails dans l’aide en ligne de la liste d’alarmes

Plus de détails dans l’aide en ligne de la liste d’événements

Plus de détails dans l’aide en ligne du module Extended Trend Manager (ETM)

ZT_COLOR

HeaderFontColor

Couleur du texte

Définit la couleur du texte de l’en-tête. Cliquez sur le bouton pour ouvrir la palette de couleurs prédéfinies. Vous pouvez également définir la couleur en saisissant manuellement le code hexadécimal (RVB) dans le champ.

La couleur du nouvel élément sera la couleur utilisée pour le précédent élément du même type.

Plus de détails dans l’aide en ligne de la liste d’alarmes

Plus de détails dans l’aide en ligne de la liste d’événements

Plus de détails dans l’aide en ligne du module Extended Trend Manager (ETM)

VT_I2

HeaderLightning

Effet de lumière

Sélectionnez le type de dégradé de couleurs pour l’en-tête parmi les options suivantes :

Linéaire : dégradé continu

Point défini : le dégradé commence au niveau d’un point défini et s’étend jusqu’aux bords de l’élément.

À partir d’un point défini avec des rayons : le dégradé avec des rayons commence au niveau d’un point défini et s’étend jusqu’aux bords de l’élément.

Par défaut : Linéaire

Plus de détails dans l’aide en ligne de la liste d’alarmes

Plus de détails dans l’aide en ligne de la liste d’événements

Plus de détails dans l’aide en ligne du module Extended Trend Manager (ETM)

VT_I2

HeaderColorGradientOffset

Offset

Définit la distance du dégradé de couleurs depuis le centre de l’en-tête jusqu’au bord gauche ou droit, en pourcentage. 0 signifie le centre de l’en-tête, 100 signifie le bord droit de l’en-tête et -100 signifie le bord gauche de l’en-tête.

Minimum : -100

Maximum : 100

Par défaut : 0

Plus de détails dans l’aide en ligne de la liste d’alarmes

Plus de détails dans l’aide en ligne de la liste d’événements

Plus de détails dans l’aide en ligne du module Extended Trend Manager (ETM)

VT_I2

HeaderColorGradientAngle

Angle

Disponible uniquement si vous avez sélectionné les paramètres Actions autorisées sur les en-têtes de colonne ou En-tête de colonne fixe dans le groupe En-tête liste d'événements pour la propriété Liste d'alarmes, ou dans le groupe Liste d'événements pour la propriété En-tête liste d'événements. En outre, vous devez également activer les propriétés Paramètres du graphique étendu et Montrer l'en-tête pour la zone de liste correspondante.

Disponibilité de la liste d’affichage du curseur et de la liste de courbes étendue dans le module Extended Trend.

Cette propriété a uniquement un effet si vous avez sélectionné le paramètre Dégradé de couleurs pour la propriété Style d'affichage.

Définit l’angle de déploiement du dégradé de couleurs. Le point défini dans la propriété Offset est utilisé en tant que point de départ.

Minimum : 0

Maximum : 360

Par défaut : 0

Plus de détails dans l’aide en ligne de la liste d’alarmes

Plus de détails dans l’aide en ligne de la liste d’événements

Plus de détails dans l’aide en ligne du module Extended Trend Manager (ETM)

ZT_FILE

AscSortImage

Tri croissant

Disponible uniquement si vous avez activé la propriété Paramètres du graphique étendu.

Sélectionnez un fichier graphique devant être affiché dans l’en-tête du champ de liste lors du tri croissant dans le Runtime. Ce fichier graphique est utilisé si vous sélectionnez Fichier graphique pour la propriété Style d'affichage.

Par défaut : aucun fichier

Plus de détails dans l’aide en ligne de la liste d’alarmes

Plus de détails dans l’aide en ligne de la liste d’événements

Plus de détails dans l’aide en ligne du module Extended Trend Manager (ETM)

ZT_FILE

DescDownImage

Tri décroissant

Disponible uniquement si vous avez activé la propriété Paramètres du graphique étendu.

Sélectionnez un fichier graphique devant être affiché dans l’en-tête du champ de liste lors du tri décroissant dans le Runtime. Ce fichier graphique est utilisé si vous sélectionnez Fichier graphique pour la propriété Style d'affichage.

Par défaut : aucun fichier

Plus de détails dans l’aide en ligne de la liste d’alarmes

Plus de détails dans l’aide en ligne de la liste d’événements

Plus de détails dans l’aide en ligne du module Extended Trend Manager (ETM)

ZT_FILE

HeaderBarImage

Arrière-plan

Disponible uniquement si vous avez activé la propriété Paramètres du graphique étendu.

Sélectionnez un fichier graphique qui sera affiché dans l’en-tête du champ de liste sous forme d’arrière-plan dans le Runtime. Ce fichier graphique est utilisé si vous sélectionnez Fichier graphique pour la propriété Style d'affichage.

Par défaut : aucun fichier

Plus de détails dans l’aide en ligne de la liste d’alarmes

Plus de détails dans l’aide en ligne de la liste d’événements

Plus de détails dans l’aide en ligne du module Extended Trend Manager (ETM)

VT_UI2

GridSizeH

Epaisseur ligne horizontale [Pixels]

Largeur en pixels des lignes horizontales de la grille. Changez cette valeur pour modifier les lignes horizontales de la grille dans la vue de liste dans le Runtime. Si vous saisissez 0, les lignes horizontales sont masquées.

Par défaut : 1.

Plus de détails dans l’aide en ligne.

ZT_IMAGELIST

GridTypeH

Type de ligne horizontale

Définit le type des lignes horizontales de la grille dans la vue de liste dans le Runtime. Cliquez sur la ligne et sélectionnez le type de ligne souhaité (ligne pleine, ligne discontinue, ligne tiretée etc.).

Par défaut : ligne pleine.

Attention : cette propriété est disponible si la valeur de la propriété Epaisseur ligne horizontale [Pixels] est 1. Pour les valeurs >1, une ligne continue est utilisée.

Remarque : La grille est uniquement si l’option correspondante est activée dans la fonction d’appel de synoptique ou dans le filtre du Runtime.

Plus de détails dans l’aide en ligne.

ZT_COLOR

GridColorH

Couleur de la ligne horizontale

Définit la couleur de trait des lignes horizontales de la grille dans la vue de liste dans le Runtime. Cliquez sur le bouton gauche pour ouvrir la palette de couleurs prédéfinies. Vous pouvez également définir la couleur souhaitée en saisissant manuellement le code hexadécimal (RVB) dans le champ.

La couleur du nouvel élément sera la couleur utilisée pour le précédent élément du même type.

Plus de détails dans l’aide en ligne.

VT_UI2

GridSizeV

Epaisseur ligne verticale [Pixels]

Largeur en pixels des lignes verticales de la grille. Changez cette valeur pour modifier les lignes verticales de la grille dans la vue de liste dans le Runtime. Si vous saisissez 0, les lignes verticales sont masquées.

Par défaut : 1.

Plus de détails dans l’aide en ligne.

ZT_IMAGELIST

GridTypeV

Type de ligne verticale

Définit le type des lignes verticales de la grille dans la vue de liste dans le Runtime. Cliquez sur la ligne et sélectionnez le type de ligne souhaité (ligne pleine, ligne discontinue, ligne tiretée etc.).

Par défaut : ligne pleine.

Attention : cette propriété est disponible si la valeur de la propriété Epaisseur ligne verticale [Pixels] est 1. Pour les valeurs >1, une ligne continue est utilisée.

Remarque : La grille est uniquement si l’option correspondante est activée dans la fonction d’appel de synoptique ou dans le filtre du Runtime.

Plus de détails dans l’aide en ligne.

ZT_COLOR

GridColorV

Couleur de la ligne verticale

Définit la couleur de trait des lignes horizontales de la grille dans la vue de liste dans le Runtime. Cliquez sur le bouton gauche pour ouvrir la palette de couleurs prédéfinies. Vous pouvez également définir la couleur souhaitée en saisissant manuellement le code hexadécimal (RVB) dans le champ.

La couleur du nouvel élément sera la couleur utilisée pour le précédent élément du même type.

Plus de détails dans l’aide en ligne.

ZT_VARIABLE_DYN

SelectionActive

Sélection active

Liaison d’une variable de réponse pour les listes configurables.
La variable doit être de type BOOL. Elle indique, dans le Runtime, si un élément a été sélectionné dans la liste (1) ou pas (0).
Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection d’une variable

Plus de détails dans l’aide en ligne.

VT_BOOL

ShowBorder

Montrer le cadre

Permet d’afficher un cadre autour de l’élément. Les indicateurs des propriétés Style L et Style H sont masqués.

active : le cadre est affiché autour de l’élément correspondant.

(Par défaut) Inactive :

Plus de détails dans l’aide en ligne.

ZT_SCHRIFT

Font

Police

Sélection de la police utilisée pour l’affichage.

Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection. La police de caractères sélectionnée est liée.

Plus de détails dans l’aide en ligne.

VT_BOOL

TranslateText

Traduire le texte affiché
  • Active : le texte devant être affiché est traduit. Si un texte est modifié, la version provisoire est affichée avec la traduction.

Par défaut : Inactive

Plus de détails dans l’aide en ligne.

VT_UI2

StyleL

Style L

Style Windows de l’élément ; utilisation interne uniquement.

Plus de détails dans l’aide en ligne.

VT_UI2

StyleH

Style H

Style Windows de l’élément ; utilisation interne uniquement.

Plus de détails dans l’aide en ligne.

ZT_COLOR

TextColor

Couleur du texte

Couleur du texte de l’élément.

Plus de détails dans l’aide en ligne.

ZT_COLOR

BackColor

Couleur de remplissage

Disponible uniquement si la propriété Transparence est inactive.

Définit la couleur de remplissage de l’élément. Cliquez sur le bouton pour ouvrir la palette de couleurs prédéfinies. Vous pouvez également définir la couleur en saisissant manuellement le code hexadécimal (RVB) dans le champ. La couleur de remplissage peut être modifiée de manière dynamique à l’aide de la propriété Couleur de remplissage du groupe Couleur(s) de remplissage dynamique(s).

Remarque : La couleur du nouvel élément sera la couleur utilisée pour le précédent élément du même type.

Attention : dans la fenêtre Vue globale, les modifications des couleurs dans Editor n’ont aucune incidence dans le Runtime.

Plus de détails dans l’aide en ligne.

VT_BSTR

Legend

Texte

Intitulé de l’élément dans Editor.

Plus de détails dans l’aide en ligne.

VT_BOOL

Tab

Le focus est donné à l'élément

Active : L’élément dynamique peut être actionné à l’aide du clavier.
Inactive : L’élément dynamique n’est pas accessible à l’aide du clavier.
Par défaut : active.

Plus de détails dans l’aide en ligne.

VT_I4

TABOrderH

Position du focus gauche/droite

Définit la position horizontale pour l’utilisation à l’aide du clavier dans le Runtime. La position est définie par l’intermédiaire du menu contextuel et de l’utilisation de la souris dans la fenêtre principale ; elle ne peut pas être modifiée ici.

Plus de détails dans l’aide en ligne.

VT_I4

TABOrderV

Position focus haut / bas

Définit la position verticale pour l’utilisation à l’aide du clavier dans le Runtime. La position est définie par l’intermédiaire du menu contextuel et de l’utilisation de la souris dans la fenêtre principale ; elle ne peut pas être modifiée ici.

Plus de détails dans l’aide en ligne.

ZT_SHORTCUT

ShortCut

Raccourci-clavier

Les raccourcis autorisent l’exécution d’éléments actionnables. Par exemple :

- Exécution d’éléments de contrôle et de fonctions auxquelles un élément est attribué
- Écriture de valeurs prescrites (par ex. pour des interrupteurs)
- Configuration du focus pour certaines fenêtres (par ex. liste des courbes dans le module Extended Trend, ou liste déroulante dans le module RGM)

Cliquez sur le bouton du champ de saisie pour ouvrir la boîte de dialogue de définition des combinaisons de touches. Dans la boîte de dialogue, saisissez directement la combinaison souhaitée.

Plus de détails dans l’aide en ligne.

VT_BOOL

KbdUsage

Synoptique clavier

Disponible uniquement si la propriété Synoptique clavier est active.

Nom du synoptique de clavier lié.
Si aucun synoptique de clavier n’est saisi, le clavier correspondant est appelé dans le Runtime :

  • Variable String (chaîne) : SETSTRINGKBD
  • Variable numérique : SETVALUEKBD
  • Variable binaire : SETBOOLKBD

Remarque : Pour l’option Champ de saisie, aucun clavier n’est appelé si l’option Synoptique clavier est activée. Un synoptique de clavier doit être lié.

Plus de détails dans l’aide en ligne.

ZT_VBAMAKRO

DragDrop

DragDrop

Macro VBA à exécuter lorsque le bouton de la souris est relâché.

Plus de détails dans l’aide en ligne.

ZT_VBAMAKRO

DragOver

DragOver

Macro VBA à exécuter lorsque le curseur est déplacé au-dessus de l’élément pendant que le bouton gauche est enfoncé.

Plus de détails dans l’aide en ligne.

ZT_VBAMAKRO

DragBegin

DragBegin

Macro VBA à exécuter lorsque l’utilisateur commence à faire glisser l’objet.

Plus de détails dans l’aide en ligne.

ZT_STYLE

StyleGroup

Groupe de styles

Affichage et sélection du groupe de styles attribué à l’élément.
Cliquez sur le bouton ... pour ouvrir la boîte de dialogue permettant de sélectionner un groupe de styles.
Si plusieurs éléments sont sélectionnés, elles peuvent être attribuées à un groupe de styles commun.

Remarque : Seules les propriétés compatibles avec l’élément correspondant sont prises en charge.

Plus de détails dans l’aide en ligne.

More...

LnClVariable

LnClVariable

"With this property you have the opportunity to get informations about the variable which is linked as ""line/text color"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""LnClVariable.SymVarName"") 'Return the name of the ""line/text color"" variable
zElement.DynProperties (""LnClVariable.SymVarTagNr"") 'Return the identification of the ""line/text color"" variable"

More...

BkClVariable

BkClVariable

"With this property you have the opportunity to get informations about the variable which is linked as ""background/filling color"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""BkClVariable.SymVarName"") 'Return the name of the ""background/filling color"" variable
zElement.DynProperties (""BkClVariable.SymVarTagNr"") 'Return the identification of the ""background/filling color"" variable"

More...

BkCl2Variable

"BkCl2Variable"

More...

XVar

XVar

"With this property you have the opportunity to get informations about the variable which is linked as ""dynamic x position"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""XVar.SymVarName"") 'Return the name of the ""dynamic x position"" variable
zElement.DynProperties (""XVar.SymVarTagNr"") 'Return the identification of the ""dynamic x position"" variable"

More...

YVar

YVar

"With this property you have the opportunity to get informations about the variable which is linked as ""dynamic y position"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""YVar.SymVarName"") 'Return the name of the ""dynamic y position"" variable
zElement.DynProperties (""YVar.SymVarTagNr"") 'Return the identification of the ""dynamic y position"" variable"

More...

XVarZoom

XVarZoom

"With this property you have the opportunity to get informations about the variable which is linked as ""change width"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""XVarZoom.SymVarName"") 'Return the name of the ""change width"" variable
zElement.DynProperties (""XVarZoom.SymVarTagNr"") 'Return the identification of the ""change width"" variable"

More...

YVarZoom

YVarZoom

"With this property you have the opportunity to get informations about the variable which is linked as ""change height"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""YVarZoom.SymVarName"") 'Return the name of the ""change height"" variable
zElement.DynProperties (""YVarZoom.SymVarName"") 'Return the name of the ""change height"" variable
zElement.DynProperties (""YVarZoom.SymVarTagNr"") 'Return the identification of the ""change height"" variable"

More...

TwistVar

TwistVar

"With this property you have the opportunity to get informations about the variable which is linked as ""rotate"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""TwistVar.SymVarName"") 'Return the name of the ""rotate"" variable
zElement.DynProperties (""TwistVar.SymVarTagNr"") 'Return the identification of the ""rotate"" variable"

More...

VisVariable

VisVariable

"With this property you have the opportunity to get informations about the variable which is linked as ""visibility"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""VisVariable.SymVarName"") 'Return the name of the ""visibility"" variable
zElement.DynProperties (""VisVariable.SymVarTagNr"") 'Return the identification of the ""visibility"" variable"

More...

BlinkVar

BlinkVar

More...

GlowEffectGlowColorVar

GlowEffectGlowColorVar

More...

GlowEffectVisibilityVar

GlowEffectVisibilityVar

More...

GlowEffectBlinkVar

GlowEffectBlinkVar

VT_BSTR

Name

Nom d'élément

Attribuez un nom d’élément.
Il ne doit pas être vide.

Attention : Cette propriété n’est pas disponible aux fins de la commutation de langue.

Remarques concernant les cadrans : Pour les conteneurs de synoptique, spécifiez des noms clairement identifiables pour faciliter la sélection lors de la configuration des appels de synoptique.

Plus de détails dans l’aide en ligne.

VT_UI1

Layer

Niveau de visibilité

Sélectionnez l’un des 16 niveaux de visibilité (0 à 15) dans la liste déroulante. À l’aide de la barre d’outils Niveau de visibilité, vous décidez des niveaux qui doivent être affichés dans Editor. Cette fonction garantit que les synoptiques les plus complexes peuvent être développés de manière simple. Les niveaux peuvent être utilisés immédiatement. Les niveaux n’ont aucune influence sur les informations affichées au premier plan ou en arrière-plan dans le Runtime.
Par défaut : 0.

Plus de détails dans l’aide en ligne.

VT_I4

StartX

Point de départ X [pixels]

Coordonnée Y du coin supérieur gauche du synoptique (en pixels).

Plus de détails dans l’aide en ligne.

VT_I4

EndX

Point final X [pixels]

Coordonnée X du coin inférieur droit du synoptique (en pixels).

Plus de détails dans l’aide en ligne.

VT_I4

StartY

Point de départ Y [pixels]

Coordonnée Y du coin supérieur gauche du synoptique (en pixels).

Plus de détails dans l’aide en ligne.

VT_I4

EndY

Point final Y [pixels]

Coordonnée Y du coin inférieur droit du synoptique (en pixels).

Plus de détails dans l’aide en ligne.

VT_I4

Width

Largeur [pixels]

Largeur des éléments en pixels.

Remarque : disponible uniquement pour les éléments Combinaison multiple, Élément combiné, Bouton et Interrupteur si la valeur Ajusté a été sélectionnée pour la propriété Taille du graphique.

Plus de détails dans l’aide en ligne.

VT_I4

Height

Hauteur [pixels]

Hauteur des éléments en pixels.

Remarque : disponible uniquement pour les éléments Combinaison multiple, Élément combiné, Bouton et Interrupteur si la valeur Ajusté a été sélectionnée pour la propriété Taille du graphique.

Plus de détails dans l’aide en ligne.

VT_I4

Angle

Angle de rotation [°]

Angle libre autour selon lequel doit pivoter l’élément.
Les valeurs positives correspondent à une rotation dans le sens antihoraire, tandis que les valeurs négatives correspondent à une rotation dans le sens horaire. Les valeurs supérieures à 360° sont affichées sous forme d’écart par rapport à 360° (400° correspond à 40°). Seuls les nombres entiers sont autorisés.

Sur les éléments pivotés, les actions suivantes ne sont plus possibles :

  • Miroir
  • Rotation de +/- 90°
  • Redimensionnement à l’aide des touches fléchées

Par défaut : 0

Remarque : Ce paramètre est activé et réinitialisé lors de la configuration pour Windows CE.

Plus de détails dans l’aide en ligne.

VT_I2

ZoomMin

Visible de

Incrément de zoom le plus bas auquel l’élément est visible dans la vue globale.
Par défaut : -1
Une valeur de visibilité avec des incréments de zoom de -1 à -1 signifie que l’élément est affiché, quel que soit l’incrément de zoom sélectionné.

Les niveaux de zoom affichés dans la vue globale peuvent être configurés avec la propriété Apparence graphique -> Généralités runtime -> Pas de zoom pour vue globale.

Attention : Ce niveau de zoom s’applique à tous les types de synoptiques et cadres. Si un niveau de zoom défini est supérieur à 0, l’élément est uniquement affiché dans la vue globale, car les autres types de synoptique sont automatiquement appelés avec le niveau de zoom 0.

Plus de détails dans l’aide en ligne.

VT_I2

ZoomMax

Visible jusqu'à

Incrément de zoom le plus élevé auquel l’élément est visible dans la vue globale.

Par défaut : -1
Une valeur de visibilité avec des incréments de zoom de -1 à -1 signifie que l’élément est affiché, quel que soit l’incrément de zoom sélectionné.

Les niveaux de zoom affichés dans la vue globale peuvent être configurés avec la propriété Apparence graphique -> Généralités runtime -> Pas de zoom pour vue globale.

Attention : Ce niveau de zoom s’applique à tous les types de synoptiques et cadres. Si un niveau de zoom défini est supérieur à 0, l’élément est uniquement affiché dans la vue globale, car les autres types de synoptique sont automatiquement appelés avec le niveau de zoom 0.

Plus de détails dans l’aide en ligne.

VT_BSTR

Stationname

Nom liste d'objets

L’élément est saisi directement dans la liste de stations du synoptique Vue globale, et le texte est saisi ici.

Plus de détails dans l’aide en ligne.

ZT_VARIABLE_DYN

LineColorVariable

Couleur de ligne

Nom des variables dont les couleurs de valeur limite doivent influencer la couleur de ligne/de texte de l’élément. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de variables.

Plus de détails dans l’aide en ligne.

ZT_PREVIEW

LineColorVarPreview

Affichage aperçu couleur

Affichage de la valeur limite pour la propriété Couleur de ligne définie pour la variable. Disponible uniquement si l’option Depuis la variable a été configurée pour la propriété Couleur de ligne.

Un aperçu des propriétés définies pour la valeur limite est affiché dans le champ. Aucun aperçu n’est affiché pour les matrices de réaction.
Cliquez sur le bouton ... pour ouvrir la boîte de dialogue d’affichage des résultats. Les valeurs limite sont uniquement affichées ; elles ne peuvent pas être modifiées. Les modifications doivent être effectuées directement dans les propriétés de la variable pour Valeurs limite.

Plus de détails dans l’aide en ligne.

ZT_VARIABLE_DYN

BackColorVariable

Couleur de remplissage

Nom de la variable dont les couleurs de valeur limite doivent influencer la couleur d’arrière-plan/de remplissage de l’élément.
Ouvre la boîte de dialogue de sélection de variables.

Plus de détails dans l’aide en ligne.

ZT_PREVIEW

BackColorVarPreview

Affichage aperçu couleur

Affichage de la valeur limite pour la propriété Couleur de remplissage définie pour la variable. Disponible uniquement si l’option Depuis la variable a été configurée pour la propriété Couleur de remplissage.

Un aperçu des propriétés définies pour la valeur limite est affiché dans le champ. Aucun aperçu n’est affiché pour les matrices de réaction.
Cliquez sur le bouton ... pour ouvrir la boîte de dialogue d’affichage des résultats. Les valeurs limite sont uniquement affichées ; elles ne peuvent pas être modifiées. Les modifications doivent être effectuées directement dans les propriétés de la variable pour Valeurs limite.

Plus de détails dans l’aide en ligne.

VT_UI1

HorizontalOrigin

Horizontal

Point de référence horizontal de l’événement. Les valeurs possibles sont : gauche, centré, droite.
Ce point est utilisé en tant que base de calcul de l’angle de départ de la rotation (statique et dynamique) et pour le changement dynamique de taille.

Par défaut : À gauche

Plus de détails dans l’aide en ligne.

VT_UI1

VerticalOrigin

Vertical

Point de référence vertical de l’événement. Les valeurs possibles sont : haut, centré, bas.
Ce point est utilisé en tant que base de calcul de l’angle de départ de la rotation (statique et dynamique) et pour le changement dynamique de taille.

Par défaut : En haut

Plus de détails dans l’aide en ligne.

VT_UI4

VisibilityType

Visibilité

Sélection depuis laquelle la visibilité d’un élément est déterminée :

  • Depuis une variable
  • Du verrrouillage

Par défaut : Depuis une variable

Plus de détails dans l’aide en ligne.

ZT_VARIABLE_DYN

VisibilityVariable

Variable

Disponible uniquement si l’option Depuis la variable a été configurée pour la propriété Visibilité.

Nom de la variable dont la valeur contrôle la visibilité de l’élément. La visibilité est soit reprise des propriétés de valeur limite de ces variables, soit définie par la plage de valeurs définie dans les propriétés de et À.
Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de variables. Vous pouvez également saisir manuellement le nom dans le champ de texte.
L'élément reste visible tant qu’aucune variable n’est liée.

Plus de détails dans l’aide en ligne.

ZT_PREVIEW

VisVarPreview

Affichage aperçu visibilité

Affichage des valeurs limite pour la visibilité définies pour la variable. Disponible uniquement si l’option Depuis la variable a été configurée pour la propriété Variable dans le groupe Visibilité.

Un aperçu des propriétés définies pour la valeur limite est affiché dans le champ. Aucun aperçu n’est affiché pour les matrices de réaction.
Cliquez sur le bouton ... pour ouvrir la boîte de dialogue d’affichage des résultats. Les valeurs limite sont uniquement affichées ; elles ne peuvent pas être modifiées. Les modifications doivent être effectuées directement dans les propriétés de la variable pour Valeurs limite.

Plus de détails dans l’aide en ligne.

VT_BOOL

VisibilityFromLimit

A partir des valeurs limites

Uniquement disponible après la sélection d’une variable :

  • Active : La visibilité de l’élément est influencée par la propriété de valeur limite de la variable.

    Attention : La propriété Invisible doit être active pour au moins une valeur limite de la variable.

  • Inactive : la visibilité est influencée par les propriétés de l’élément.

Par défaut : active

Plus de détails dans l’aide en ligne.

VT_R8

VisibilityFrom

de

Disponible uniquement après la sélection d’une variable, si la visibilité n’a pas été reprise par la valeur limite :

Valeur minimum de la variable à laquelle l’élément est visible.

  • Minimum : valeur minimum possible de la variable liée.
  • Maximum : valeur maximum possible de la variable liée.

Par défaut : valeur minimum possible de la variable liée.

Plus de détails dans l’aide en ligne.

VT_R8

VisibilityTo

À

Disponible uniquement après la sélection d’une variable, si la visibilité n’a pas été reprise par la valeur limite :

Valeur maximale de la variable à laquelle l’élément est visible.

  • Minimum : valeur minimum possible de la variable liée.
  • Maximum : valeur maximum possible de la variable liée.

Par défaut : valeur maximum possible de la variable liée.

Plus de détails dans l’aide en ligne.

VT_UI4

Interlocking

Verrouillage

Disponible uniquement si l’option Depuis le verrouillage est sélectionnée pour la propriété Visibilité.

Nom du verrouillage dont la valeur contrôle la visibilité de l’élément. Sélectionnez dans la liste déroulante. Celle-ci contient tous les verrouillages existants et utilisables. L’élément est toujours visible si aucun verrouillage n’est lié.

Plus de détails dans l’aide en ligne.

VT_BSTR

InterlockingName

InterlockingName

Description

VT_BOOL

VisibleWhenInterlocked

Visible si verrouillé

Contrôle la visibilité de l’élément lorsque le verrouillage est sélectionné :

  • Active : L’élément est visible s’il est verrouillé.
  • Inactive : L’élément est visible s’il n’est pas verrouillé.

Par défaut : inactive

Plus de détails dans l’aide en ligne.

ZT_VARIABLE_DYN

BlinkVariable

Affichage aperçu clignotement

Affichage des valeurs limite pour le clignotement définies pour la variable. Disponible uniquement si l’option Depuis la variable a été configurée pour la propriété Prendre le clignotement de la limite.

Un aperçu des propriétés définies pour la valeur limite est affiché dans le champ. Aucun aperçu n’est affiché pour les matrices de réaction.
Cliquez sur le bouton ... pour ouvrir la boîte de dialogue d’affichage des résultats. Les valeurs limite sont uniquement affichées ; elles ne peuvent pas être modifiées. Les modifications doivent être effectuées directement dans les propriétés de la variable pour Valeurs limite.

Plus de détails dans l’aide en ligne.

ZT_PREVIEW

BlinkVarPreview

Affichage aperçu clignotement

Affichage des valeurs limite pour le clignotement définies pour la variable. Disponible uniquement si l’option Depuis la variable a été configurée pour la propriété Prendre le clignotement de la limite.

Un aperçu des propriétés définies pour la valeur limite est affiché dans le champ. Aucun aperçu n’est affiché pour les matrices de réaction.
Cliquez sur le bouton ... pour ouvrir la boîte de dialogue d’affichage des résultats. Les valeurs limite sont uniquement affichées ; elles ne peuvent pas être modifiées. Les modifications doivent être effectuées directement dans les propriétés de la variable pour Valeurs limite.

Plus de détails dans l’aide en ligne.

VT_BOOL

UseBlinkColor

Couleur de clignotement par la limite

Active : Reprend la couleur d’arrière-plan du clignotement défini pour la valeur limite active de la variable pour Prendre le clignotement de la limite. Durant le clignotement, l’élément ne devient pas invisible, mais reprend la couleur d’arrière-plan active.

Par défaut : Inactive

Remarque : la couleur n’est pas prise en compte si la couleur d’arrière-plan Transparence est configurée.

Plus de détails dans l’aide en ligne.

ZT_VARIABLE_DYN

XVariable

Variable

Nom de la variable utilisée pour le déplacement horizontal de l’élément.
Ouvre la boîte de dialogue de sélection de variables.

Plus de détails dans l’aide en ligne.

VT_R8

XVarMin

Valeur min de la variable

Valeur minimale de la variable utilisée pour le déplacement horizontal de l’élément.

Plus de détails dans l’aide en ligne.

VT_R8

XVarMax

Valeur max de la variable

Valeur maximale de la variable utilisée pour le déplacement horizontal de l’élément.

Plus de détails dans l’aide en ligne.

VT_I4

XViewMin

Mouvement min [pixels]

Position horizontale de l’élément pour la valeur minimale de la variable (en pixels).

Plus de détails dans l’aide en ligne.

VT_I4

XViewMax

Mouvement max [pixels]

Position horizontale de l’élément pour la valeur minimale de la variable (en pixels).

Plus de détails dans l’aide en ligne.

ZT_VARIABLE_DYN

YVariable

Variable

Nom de la variable utilisée pour le déplacement vertical de l’élément.
Ouvre la boîte de dialogue de sélection de variables.

Plus de détails dans l’aide en ligne.

VT_R8

YVarMin

Valeur min de la variable

Valeur minimale de la variable utilisée pour le déplacement vertical de l’élément.

Plus de détails dans l’aide en ligne.

VT_R8

YVarMax

Valeur max de la variable

Valeur maximale de la variable utilisée pour le déplacement vertical de l’élément.

Plus de détails dans l’aide en ligne.

VT_I4

YViewMin

Mouvement min [pixels]

Position verticale de l’élément pour la valeur minimale de la variable (en pixels).

Plus de détails dans l’aide en ligne.

VT_I4

YViewMax

Mouvement max [pixels]

Position verticale de l’élément pour la valeur maximale de la variable (en pixels).

Plus de détails dans l’aide en ligne.

ZT_VARIABLE_DYN

XZoomVariable

Variable

Nom de la variable utilisée pour l’agrandissement de la largeur de l’élément.
Ouvre la boîte de dialogue de sélection de variables.

Plus de détails dans l’aide en ligne.

VT_R8

XZoomVarMin

Valeur min de la variable

Valeur minimale de la variable utilisée pour effectuer un zoom à la largeur de l’élément.

Plus de détails dans l’aide en ligne.

VT_R8

XZoomVarMax

Valeur max de la variable

Valeur maximale de la variable utilisée pour effectuer un zoom sur la largeur de l’élément.

Plus de détails dans l’aide en ligne.

VT_I4

XZoomViewMin

Largeur min [%]

Facteur de zoom correspondant à la largeur de l’élément pour la valeur minimale de la variable (en pixels).

Plus de détails dans l’aide en ligne.

VT_I4

XZoomViewMax

Largeur max [%]

Facteur de zoom correspondant à la largeur de l’élément pour la valeur maximale de la variable (en pixels).

Plus de détails dans l’aide en ligne.

ZT_VARIABLE_DYN

YZoomVariable

Variable

Nom de la variable utilisée pour l’agrandissement de la hauteur de l’élément.
Ouvre la boîte de dialogue de sélection de variables.

Plus de détails dans l’aide en ligne.

VT_R8

YZoomVarMin

Valeur min de la variable

Valeur minimum de la variable utilisée pour effectuer un zoom sur la hauteur de l’élément.

Plus de détails dans l’aide en ligne.

VT_R8

YZoomVarMax

Valeur max de la variable

Valeur maximum de la variable utilisée pour effectuer un zoom sur la hauteur de l’élément.

Plus de détails dans l’aide en ligne.

VT_I4

YZoomViewMin

Hauteur min [%]

Facteur de zoom correspondant à la hauteur de l’élément pour la valeur minimum de la variable (en %).

Plus de détails dans l’aide en ligne.

VT_I4

YZoomViewMax

Hauteur max [%]

Facteur de zoom correspondant à la hauteur de l’élément pour la valeur maximale de la variable (en pixels).

Plus de détails dans l’aide en ligne.

ZT_VARIABLE_DYN

TwistVariable

Variable

Nom de la variable utilisée pour la rotation de l’élément.

Plus de détails dans l’aide en ligne.

VT_R8

TwistVarMin

Valeur min de la variable

Valeur minimum de la variable utilisée pour la rotation de l’élément.

Plus de détails dans l’aide en ligne.

VT_R8

TwistVarMax

Valeur max de la variable

Valeur maximale de la variable utilisée pour la rotation de l’élément.

Plus de détails dans l’aide en ligne.

VT_I4

TwistViewMin

Rotation min [°]

Angle de rotation de l’élément pour la valeur minimum de la variable (en °).

Plus de détails dans l’aide en ligne.

VT_I4

TwistViewMax

Rotation max [°]

Angle de rotation de l’élément pour la valeur maximum de la variable (en °).

Plus de détails dans l’aide en ligne.

ZT_STYLE

ShadowEffectStyle

Style effet cadres/ombres

Affichage et sélection du style de cadre et d’ombre attribué à l’élément.

Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de style.
Si plusieurs éléments ont été sélectionnés, ils peuvent être attribués à un style commun.

Remarque : Seules les propriétés compatibles avec l’élément correspondant sont prises en charge.

Plus de détails dans l’aide en ligne.

VT_BOOL

EnablePunchFrame

Afficher le cadre

A frame around the element can be displayed.
Default: inactive.

ZT_STYLE

GlowEffectStyle

Style effet de rayonnement

Affichage et sélection du style des effets de luminescence attribués à l’élément.

Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de style.
Si plusieurs éléments ont été sélectionnés, ils peuvent être attribués à un style commun.

Remarque : Seules les propriétés compatibles avec l’élément correspondant sont prises en charge.

Plus de détails dans l’aide en ligne.

VT_BOOL

GlowEffectEvent

Actif seulement si cliqué

Disponible uniquement si la propriété Activer est active et l’élément est un bouton.

Active : l’effet de luminescence est uniquement affiché lorsque l’utilisateur clique sur le bouton. Cliquer sur le bouton permet de modifier la couleur, le clignotement ou l’invisibilité de l’effet de luminescence.

Par défaut : Inactive

Plus de détails dans l’aide en ligne.

ZT_VARIABLE_DYN

GlowEffectGlowColorVariable

Variable pour la couleur

Disponible uniquement si la propriété Activer est active. La propriété Coloration doit être activée.

Nom de la variable dont la couleur aux valeurs limites doit influencer la couleur de l’effet de luminescence pour l’élément. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de variables. Vous pouvez également saisir le nom manuellement dans le champ de texte. Si aucune variable n’est liée, la couleur définie dans la propriété Couleur est utilisée.

Par défaut : aucune variable liée

Plus de détails dans l’aide en ligne.

ZT_PREVIEW

GlowEffectGlowColorVariablePreview

Affichage aperçu couleur

Affichage de la valeur limite définie pour la variable de couleur lorsque l’effet de luminescence est actif. Disponible uniquement si l’option Depuis la variable a été configurée pour la propriété Variable pour la couleur.

Un aperçu des propriétés définies pour la valeur limite est affiché dans le champ. Aucun aperçu n’est affiché pour les matrices de réaction.
Cliquez sur le bouton ... pour ouvrir la boîte de dialogue d’affichage des résultats. Les valeurs limite sont uniquement affichées ; elles ne peuvent pas être modifiées. Les modifications doivent être effectuées directement dans les propriétés de la variable pour Valeurs limite.

Plus de détails dans l’aide en ligne.

ZT_VARIABLE_DYN

GlowEffectVisibilityVariable

Variable pour la visibilité

Disponible uniquement si la propriété Activer est active.

Nom de la variable dont la valeur influence la visibilité de l’effet de luminescence. La visibilité est soit reprise des propriétés de valeur limite de cette variable (propriété Visibilité depuis valeur limite active), soit définie par la plage de valeurs définie dans les propriétés Visible de et Visible jusqu'à. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de variables. Vous pouvez également saisir le nom manuellement dans le champ de texte.

Remarque : si aucune variable n’est liée, l’effet de luminescence est toujours visible.

Par défaut : aucune variable liée

Plus de détails dans l’aide en ligne.

ZT_PREVIEW

GlowEffectVisibilityVariablePreview

Affichage aperçu visibilité

Affichage de la valeur limite définie pour la variable de visibilité lorsque l’effet de luminescence est actif. Disponible uniquement si l’option Depuis la variable a été configurée pour la propriété Variable pour la visibilité.

Un aperçu des propriétés définies pour la valeur limite est affiché dans le champ. Aucun aperçu n’est affiché pour les matrices de réaction.
Cliquez sur le bouton ... pour ouvrir la boîte de dialogue d’affichage des résultats. Les valeurs limite sont uniquement affichées ; elles ne peuvent pas être modifiées. Les modifications doivent être effectuées directement dans les propriétés de la variable pour Valeurs limite.

Plus de détails dans l’aide en ligne.

VT_BOOL

GlowEffectVisibilityFromLimit

Visibilité depuis valeur limite

Disponible uniquement si la propriété Activer est active. Vous devez en outre définir une variable dans la propriété Variable pour la visibilité.

Active : La visibilité de l’effet de luminescence est influencée par la propriété de valeur limite de la variable.

Attention : Pour une valeur limite de la variable au moins, la propriété Invisible doit être active.

Inactive : la visibilité est influencée par les propriétés de l’élément.

Plus de détails dans l’aide en ligne.

VT_R8

GlowEffectVisibilityFrom

Visible de

Disponible uniquement si la propriété Activer est active. Vous devez en outre définir une variable dans la propriété Variable pour la visibilité ; la propriété Visibilité depuis valeur limite doit être inactive.

Définit la valeur à partir de laquelle l’effet de luminescence devient visible.
Minimum : valeur la moins élevée autorisée pour la variable liée dans Variable pour la visibilité.
Maximum : valeur la moins élevée autorisée pour la variable liée dans Variable pour la visibilité.
Par défaut : valeur la plus élevée autorisée pour la variable liée dans Variable pour la visibilité.

Plus de détails dans l’aide en ligne.

VT_R8

GlowEffectVisibilityTo

Visible jusqu'à

Disponible uniquement si la propriété Activer est active. Vous devez en outre définir une variable dans la propriété Variable pour la visibilité ; la propriété Visibilité depuis valeur limite doit être inactive.

Définit la valeur jusqu’à laquelle l’effet de luminescence reste visible.
Minimum : valeur la plus basse autorisée pour la variable liée dans Variable pour la visibilité.
Maximum : valeur la plus élevée autorisée pour la variable liée dans Variable pour la visibilité.
Par défaut : valeur la plus élevée autorisée pour la variable liée dans Variable pour la visibilité.

Plus de détails dans l’aide en ligne.

ZT_VARIABLE_DYN

GlowEffectBlinkVariable

Variable pour le clignotement

Variables dont les paramètres de clignotement de l’effet de luminescence aux valeurs limites doivent être repris. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de variables.

Par défaut : aucune variable liée

Plus de détails dans l’aide en ligne.

ZT_PREVIEW

GlowEffectBlinkVariablePreview

Affichage aperçu clignotement

Affichage de la valeur limite définie pour la variable de clignotement lorsque l’effet de luminescence est actif. Disponible uniquement si l’option Depuis la variable a été configurée pour la propriété Variable pour le clignotement.

Un aperçu des propriétés définies pour la valeur limite est affiché dans le champ. Aucun aperçu n’est affiché pour les matrices de réaction.
Cliquez sur le bouton ... pour ouvrir la boîte de dialogue d’affichage des résultats. Les valeurs limite sont uniquement affichées ; elles ne peuvent pas être modifiées. Les modifications doivent être effectuées directement dans les propriétés de la variable pour Valeurs limite.

Plus de détails dans l’aide en ligne.

VT_BOOL

GlowEffectUseBlinkColor

Clignotement depuis valeur limite

Disponible uniquement si la propriété Activer est active. Vous devez en outre définir une variable dans la propriété Variable pour le clignotement.

Active : Reprend, pour l’effet de luminescence, la couleur de clignotement de la valeur limite active pour la variable définie dans la propriété Couleur de clignotement par la limite. Cette propriété agit indépendamment de la propriété Coloration. En cas de clignotement, l’effet de luminescence ne devient pas invisible, mais reprend les paramètres de l’effet de luminescence actif.

Par défaut : Inactive

Plus de détails dans l’aide en ligne.

VT_BOOL

GlowEffect2ndBlinkStateVisible

2 états de clignotement invisibles

Disponible uniquement si la propriété Activer est active. Vous devez en outre définir une variable dans la propriété Variable pour le clignotement ; la propriété Clignotement depuis valeur limite doit être inactive.

Active : En cas de clignotement, l’effet de luminescence ne bascule pas vers l’effet de luminescence actif, mais devient invisible. Ceci permet de basculer entre l’invisibilité et la couleur de clignotement en cas de dépassement de la valeur limite.

Par défaut : Inactive

Plus de détails dans l’aide en ligne.


CCtrlDynWndFPPicCont

Manuel -> Interfaces de programmation -> Modèles d'objet -> Element -> Element-Dynamic properties -> CCtrlDynWndFPPicCont

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Type

VBA/VSTA Name

Display Name

Description

ZT_PICTURE

PictureContainerPictureName

Synoptique

Synoptique lié affiché sur le cadran. Cliquez sur le bouton ... pour ouvrir une boîte de dialogue permettant de sélectionner un synoptique.

Types de synoptiques autorisés : Liste AML, Filtre de liste AML, Modèle d’équipement, Liste CEL, Filtre de liste CEL, Module ETM, HTML, Report Generator, Report Viewer, Standard, Filtre de temps

Plus de détails dans l’aide en ligne.

VT_BOOL

ShowPreviewInEditor

Afficher l'aperçu dans Editor

Active : Un aperçu du synoptique lié est affiché dans Editor.
Il est recommandé de désactiver cette fonction en cas de problèmes de performances.

Standard : Active

Plus de détails dans l’aide en ligne

VT_BSTR

SubstituteSource

Source

Remplacement de variables ou de fonctions dans un symbole ou un conteneur de cadran.

Saisissez la variable source ou fonction source. Vous pouvez utiliser les opérateurs (?,*). Séparez les entrées multiples par un point-virgule (;).

Vous pouvez définir la cible à l’aide de la propriété Destination.
Exemple : Variables dans le symbole : Cuve1.niveau_remplissage et Cuve1.position_vanne. Ces variables doivent être remplacées par Cuve2.niveau de remplissage et Cuve2.position de la vanne.
Pour cela, saisissez ceci au niveau de Source : *1* ; et ceci, au niveau de Destination 2. Dans le Runtime, les variables contenant 1 sont remplacées par les variables contenant 2.

Des informations plus détaillées sont disponibles dans le manuel en ligne, dans les sections Symboles et Cadrans.

VT_BSTR

SubstituteDestination

Destination

Remplacement de variables ou de fonctions dans un symbole ou un conteneur de cadran :
Saisissez les nouvelles variables/fonctions à attribuer. Ici, aucun opérateur n’est autorisé. Séparez les entrées multiples par un point-virgule (;).

Vous pouvez définir les sources à l’aide de la propriété Source.
Exemple : Variables dans le symbole : Cuve1.niveau_remplissage et Cuve1.position_vanne. Ces variables doivent être remplacées par Cuve2.niveau de remplissage et Cuve2.position de la vanne.
Pour cela, saisissez ceci au niveau de Source : *1* ; et ceci, au niveau de Destination 2. Dans le Runtime, les variables contenant 1 sont remplacées par les variables contenant 2.

Des informations plus détaillées sont disponibles dans le manuel en ligne, dans les sections Symboles et Cadrans.

VT_BOOL

SubstituteOnName

Par le nom de variable

Remplacement de variables dans un symbole ou un conteneur de cadran à l’aide de variables :

  • Active : Le remplacement des liens est mis en œuvre par l’intermédiaire du nom des variables.
  • Inactif : Le remplacement des liens est mis en œuvre par l’intermédiaire du nom des variables.

Par défaut : Actif

Des informations plus détaillées sont disponibles dans le manuel en ligne, dans les sections Symboles et Cadrans.

Remarque : Cette propriété affecte également le comportement de la propriété Noms hiérarchiques.
Vous trouverez d’autres informations à ce sujet dans le manuel consacré aux synoptiques.

VT_BOOL

SubstituteMatchCase

Respecter la casse

La capitalisation (lettres majuscules/minuscules) est prise en compte lors de la saisie de la source et la cible pour le remplacement des variables ou des fonctions dans un symbole ou un conteneur de cadran.

  • Active : La capitalisation est prise en compte.
  • Inactive : La capitalisation n’est pas prise en compte.

Des informations plus détaillées sont disponibles dans le manuel en ligne, dans les sections Symboles et Cadrans.

VT_BSTR

Preview

Aperçu

Ouvre la boîte de dialogue de remplacement de liens. Les modifications de l’aperçu sont reprises et inversées dans les propriétés Source et Destination.
Représente les symboles et cadrans disponibles. Actif uniquement pour les symboles si des liens vers le symbole existent déjà ; pour les compteurs à cadran, actif uniquement si un synoptique est lié à un conteneur.

Des informations plus détaillées sont disponibles dans le manuel en ligne, dans les sections Symboles et Cadrans.

VT_UI2

StyleL

Style L

Style Windows de l’élément ; utilisation interne uniquement.

Plus de détails dans l’aide en ligne.

VT_UI2

StyleH

Style H

Style Windows de l’élément ; utilisation interne uniquement.

Plus de détails dans l’aide en ligne.

ZT_COLOR

TextColor

Couleur du texte

Couleur du texte de l’élément.

Plus de détails dans l’aide en ligne.

ZT_COLOR

BackColor

Couleur de remplissage

Disponible uniquement si la propriété Transparence est inactive.

Définit la couleur de remplissage de l’élément. Cliquez sur le bouton pour ouvrir la palette de couleurs prédéfinies. Vous pouvez également définir la couleur en saisissant manuellement le code hexadécimal (RVB) dans le champ. La couleur de remplissage peut être modifiée de manière dynamique à l’aide de la propriété Couleur de remplissage du groupe Couleur(s) de remplissage dynamique(s).

Remarque : La couleur du nouvel élément sera la couleur utilisée pour le précédent élément du même type.

Attention : dans la fenêtre Vue globale, les modifications des couleurs dans Editor n’ont aucune incidence dans le Runtime.

Plus de détails dans l’aide en ligne.

VT_BSTR

Legend

Texte

Intitulé de l’élément dans Editor.

Plus de détails dans l’aide en ligne.

VT_BOOL

Tab

Le focus est donné à l'élément

Active : L’élément dynamique peut être actionné à l’aide du clavier.
Inactive : L’élément dynamique n’est pas accessible à l’aide du clavier.
Par défaut : active.

Plus de détails dans l’aide en ligne.

VT_I4

TABOrderH

Position du focus gauche/droite

Définit la position horizontale pour l’utilisation à l’aide du clavier dans le Runtime. La position est définie par l’intermédiaire du menu contextuel et de l’utilisation de la souris dans la fenêtre principale ; elle ne peut pas être modifiée ici.

Plus de détails dans l’aide en ligne.

VT_I4

TABOrderV

Position focus haut / bas

Définit la position verticale pour l’utilisation à l’aide du clavier dans le Runtime. La position est définie par l’intermédiaire du menu contextuel et de l’utilisation de la souris dans la fenêtre principale ; elle ne peut pas être modifiée ici.

Plus de détails dans l’aide en ligne.

ZT_SHORTCUT

ShortCut

Raccourci-clavier

Les raccourcis autorisent l’exécution d’éléments actionnables. Par exemple :

- Exécution d’éléments de contrôle et de fonctions auxquelles un élément est attribué
- Écriture de valeurs prescrites (par ex. pour des interrupteurs)
- Configuration du focus pour certaines fenêtres (par ex. liste des courbes dans le module Extended Trend, ou liste déroulante dans le module RGM)

Cliquez sur le bouton du champ de saisie pour ouvrir la boîte de dialogue de définition des combinaisons de touches. Dans la boîte de dialogue, saisissez directement la combinaison souhaitée.

Plus de détails dans l’aide en ligne.

VT_BOOL

KbdUsage

Synoptique clavier

Disponible uniquement si la propriété Synoptique clavier est active.

Nom du synoptique de clavier lié.
Si aucun synoptique de clavier n’est saisi, le clavier correspondant est appelé dans le Runtime :

  • Variable String (chaîne) : SETSTRINGKBD
  • Variable numérique : SETVALUEKBD
  • Variable binaire : SETBOOLKBD

Remarque : Pour l’option Champ de saisie, aucun clavier n’est appelé si l’option Synoptique clavier est activée. Un synoptique de clavier doit être lié.

Plus de détails dans l’aide en ligne.

ZT_VBAMAKRO

DragDrop

DragDrop

Macro VBA à exécuter lorsque le bouton de la souris est relâché.

Plus de détails dans l’aide en ligne.

ZT_VBAMAKRO

DragOver

DragOver

Macro VBA à exécuter lorsque le curseur est déplacé au-dessus de l’élément pendant que le bouton gauche est enfoncé.

Plus de détails dans l’aide en ligne.

ZT_VBAMAKRO

DragBegin

DragBegin

Macro VBA à exécuter lorsque l’utilisateur commence à faire glisser l’objet.

Plus de détails dans l’aide en ligne.

ZT_STYLE

StyleGroup

Groupe de styles

Affichage et sélection du groupe de styles attribué à l’élément.
Cliquez sur le bouton ... pour ouvrir la boîte de dialogue permettant de sélectionner un groupe de styles.
Si plusieurs éléments sont sélectionnés, elles peuvent être attribuées à un groupe de styles commun.

Remarque : Seules les propriétés compatibles avec l’élément correspondant sont prises en charge.

Plus de détails dans l’aide en ligne.

More...

LnClVariable

LnClVariable

"With this property you have the opportunity to get informations about the variable which is linked as ""line/text color"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""LnClVariable.SymVarName"") 'Return the name of the ""line/text color"" variable
zElement.DynProperties (""LnClVariable.SymVarTagNr"") 'Return the identification of the ""line/text color"" variable"

More...

BkClVariable

BkClVariable

"With this property you have the opportunity to get informations about the variable which is linked as ""background/filling color"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""BkClVariable.SymVarName"") 'Return the name of the ""background/filling color"" variable
zElement.DynProperties (""BkClVariable.SymVarTagNr"") 'Return the identification of the ""background/filling color"" variable"

More...

BkCl2Variable

"BkCl2Variable"

More...

XVar

XVar

"With this property you have the opportunity to get informations about the variable which is linked as ""dynamic x position"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""XVar.SymVarName"") 'Return the name of the ""dynamic x position"" variable
zElement.DynProperties (""XVar.SymVarTagNr"") 'Return the identification of the ""dynamic x position"" variable"

More...

YVar

YVar

"With this property you have the opportunity to get informations about the variable which is linked as ""dynamic y position"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""YVar.SymVarName"") 'Return the name of the ""dynamic y position"" variable
zElement.DynProperties (""YVar.SymVarTagNr"") 'Return the identification of the ""dynamic y position"" variable"

More...

XVarZoom

XVarZoom

"With this property you have the opportunity to get informations about the variable which is linked as ""change width"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""XVarZoom.SymVarName"") 'Return the name of the ""change width"" variable
zElement.DynProperties (""XVarZoom.SymVarTagNr"") 'Return the identification of the ""change width"" variable"

More...

YVarZoom

YVarZoom

"With this property you have the opportunity to get informations about the variable which is linked as ""change height"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""YVarZoom.SymVarName"") 'Return the name of the ""change height"" variable
zElement.DynProperties (""YVarZoom.SymVarName"") 'Return the name of the ""change height"" variable
zElement.DynProperties (""YVarZoom.SymVarTagNr"") 'Return the identification of the ""change height"" variable"

More...

TwistVar

TwistVar

"With this property you have the opportunity to get informations about the variable which is linked as ""rotate"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""TwistVar.SymVarName"") 'Return the name of the ""rotate"" variable
zElement.DynProperties (""TwistVar.SymVarTagNr"") 'Return the identification of the ""rotate"" variable"

More...

VisVariable

VisVariable

"With this property you have the opportunity to get informations about the variable which is linked as ""visibility"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""VisVariable.SymVarName"") 'Return the name of the ""visibility"" variable
zElement.DynProperties (""VisVariable.SymVarTagNr"") 'Return the identification of the ""visibility"" variable"

More...

BlinkVar

BlinkVar

More...

GlowEffectGlowColorVar

GlowEffectGlowColorVar

More...

GlowEffectVisibilityVar

GlowEffectVisibilityVar

More...

GlowEffectBlinkVar

GlowEffectBlinkVar

VT_BSTR

Name

Nom d'élément

Attribuez un nom d’élément.
Il ne doit pas être vide.

Attention : Cette propriété n’est pas disponible aux fins de la commutation de langue.

Remarques concernant les cadrans : Pour les conteneurs de synoptique, spécifiez des noms clairement identifiables pour faciliter la sélection lors de la configuration des appels de synoptique.

Plus de détails dans l’aide en ligne.

VT_UI1

Layer

Niveau de visibilité

Sélectionnez l’un des 16 niveaux de visibilité (0 à 15) dans la liste déroulante. À l’aide de la barre d’outils Niveau de visibilité, vous décidez des niveaux qui doivent être affichés dans Editor. Cette fonction garantit que les synoptiques les plus complexes peuvent être développés de manière simple. Les niveaux peuvent être utilisés immédiatement. Les niveaux n’ont aucune influence sur les informations affichées au premier plan ou en arrière-plan dans le Runtime.
Par défaut : 0.

Plus de détails dans l’aide en ligne.

VT_I4

StartX

Point de départ X [pixels]

Coordonnée Y du coin supérieur gauche du synoptique (en pixels).

Plus de détails dans l’aide en ligne.

VT_I4

EndX

Point final X [pixels]

Coordonnée X du coin inférieur droit du synoptique (en pixels).

Plus de détails dans l’aide en ligne.

VT_I4

StartY

Point de départ Y [pixels]

Coordonnée Y du coin supérieur gauche du synoptique (en pixels).

Plus de détails dans l’aide en ligne.

VT_I4

EndY

Point final Y [pixels]

Coordonnée Y du coin inférieur droit du synoptique (en pixels).

Plus de détails dans l’aide en ligne.

VT_I4

Width

Largeur [pixels]

Largeur des éléments en pixels.

Remarque : disponible uniquement pour les éléments Combinaison multiple, Élément combiné, Bouton et Interrupteur si la valeur Ajusté a été sélectionnée pour la propriété Taille du graphique.

Plus de détails dans l’aide en ligne.

VT_I4

Height

Hauteur [pixels]

Hauteur des éléments en pixels.

Remarque : disponible uniquement pour les éléments Combinaison multiple, Élément combiné, Bouton et Interrupteur si la valeur Ajusté a été sélectionnée pour la propriété Taille du graphique.

Plus de détails dans l’aide en ligne.

VT_I4

Angle

Angle de rotation [°]

Angle libre autour selon lequel doit pivoter l’élément.
Les valeurs positives correspondent à une rotation dans le sens antihoraire, tandis que les valeurs négatives correspondent à une rotation dans le sens horaire. Les valeurs supérieures à 360° sont affichées sous forme d’écart par rapport à 360° (400° correspond à 40°). Seuls les nombres entiers sont autorisés.

Sur les éléments pivotés, les actions suivantes ne sont plus possibles :

  • Miroir
  • Rotation de +/- 90°
  • Redimensionnement à l’aide des touches fléchées

Par défaut : 0

Remarque : Ce paramètre est activé et réinitialisé lors de la configuration pour Windows CE.

Plus de détails dans l’aide en ligne.

VT_I2

ZoomMin

Visible de

Incrément de zoom le plus bas auquel l’élément est visible dans la vue globale.
Par défaut : -1
Une valeur de visibilité avec des incréments de zoom de -1 à -1 signifie que l’élément est affiché, quel que soit l’incrément de zoom sélectionné.

Les niveaux de zoom affichés dans la vue globale peuvent être configurés avec la propriété Apparence graphique -> Généralités runtime -> Pas de zoom pour vue globale.

Attention : Ce niveau de zoom s’applique à tous les types de synoptiques et cadres. Si un niveau de zoom défini est supérieur à 0, l’élément est uniquement affiché dans la vue globale, car les autres types de synoptique sont automatiquement appelés avec le niveau de zoom 0.

Plus de détails dans l’aide en ligne.

VT_I2

ZoomMax

Visible jusqu'à

Incrément de zoom le plus élevé auquel l’élément est visible dans la vue globale.

Par défaut : -1
Une valeur de visibilité avec des incréments de zoom de -1 à -1 signifie que l’élément est affiché, quel que soit l’incrément de zoom sélectionné.

Les niveaux de zoom affichés dans la vue globale peuvent être configurés avec la propriété Apparence graphique -> Généralités runtime -> Pas de zoom pour vue globale.

Attention : Ce niveau de zoom s’applique à tous les types de synoptiques et cadres. Si un niveau de zoom défini est supérieur à 0, l’élément est uniquement affiché dans la vue globale, car les autres types de synoptique sont automatiquement appelés avec le niveau de zoom 0.

Plus de détails dans l’aide en ligne.

VT_BSTR

Stationname

Nom liste d'objets

L’élément est saisi directement dans la liste de stations du synoptique Vue globale, et le texte est saisi ici.

Plus de détails dans l’aide en ligne.

ZT_VARIABLE_DYN

LineColorVariable

Couleur de ligne

Nom des variables dont les couleurs de valeur limite doivent influencer la couleur de ligne/de texte de l’élément. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de variables.

Plus de détails dans l’aide en ligne.

ZT_PREVIEW

LineColorVarPreview

Affichage aperçu couleur

Affichage de la valeur limite pour la propriété Couleur de ligne définie pour la variable. Disponible uniquement si l’option Depuis la variable a été configurée pour la propriété Couleur de ligne.

Un aperçu des propriétés définies pour la valeur limite est affiché dans le champ. Aucun aperçu n’est affiché pour les matrices de réaction.
Cliquez sur le bouton ... pour ouvrir la boîte de dialogue d’affichage des résultats. Les valeurs limite sont uniquement affichées ; elles ne peuvent pas être modifiées. Les modifications doivent être effectuées directement dans les propriétés de la variable pour Valeurs limite.

Plus de détails dans l’aide en ligne.

ZT_VARIABLE_DYN

BackColorVariable

Couleur de remplissage

Nom de la variable dont les couleurs de valeur limite doivent influencer la couleur d’arrière-plan/de remplissage de l’élément.
Ouvre la boîte de dialogue de sélection de variables.

Plus de détails dans l’aide en ligne.

ZT_PREVIEW

BackColorVarPreview

Affichage aperçu couleur

Affichage de la valeur limite pour la propriété Couleur de remplissage définie pour la variable. Disponible uniquement si l’option Depuis la variable a été configurée pour la propriété Couleur de remplissage.

Un aperçu des propriétés définies pour la valeur limite est affiché dans le champ. Aucun aperçu n’est affiché pour les matrices de réaction.
Cliquez sur le bouton ... pour ouvrir la boîte de dialogue d’affichage des résultats. Les valeurs limite sont uniquement affichées ; elles ne peuvent pas être modifiées. Les modifications doivent être effectuées directement dans les propriétés de la variable pour Valeurs limite.

Plus de détails dans l’aide en ligne.

VT_UI1

HorizontalOrigin

Horizontal

Point de référence horizontal de l’événement. Les valeurs possibles sont : gauche, centré, droite.
Ce point est utilisé en tant que base de calcul de l’angle de départ de la rotation (statique et dynamique) et pour le changement dynamique de taille.

Par défaut : À gauche

Plus de détails dans l’aide en ligne.

VT_UI1

VerticalOrigin

Vertical

Point de référence vertical de l’événement. Les valeurs possibles sont : haut, centré, bas.
Ce point est utilisé en tant que base de calcul de l’angle de départ de la rotation (statique et dynamique) et pour le changement dynamique de taille.

Par défaut : En haut

Plus de détails dans l’aide en ligne.

VT_UI4

VisibilityType

Visibilité

Sélection depuis laquelle la visibilité d’un élément est déterminée :

  • Depuis une variable
  • Du verrrouillage

Par défaut : Depuis une variable

Plus de détails dans l’aide en ligne.

ZT_VARIABLE_DYN

VisibilityVariable

Variable

Disponible uniquement si l’option Depuis la variable a été configurée pour la propriété Visibilité.

Nom de la variable dont la valeur contrôle la visibilité de l’élément. La visibilité est soit reprise des propriétés de valeur limite de ces variables, soit définie par la plage de valeurs définie dans les propriétés de et À.
Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de variables. Vous pouvez également saisir manuellement le nom dans le champ de texte.
L'élément reste visible tant qu’aucune variable n’est liée.

Plus de détails dans l’aide en ligne.

ZT_PREVIEW

VisVarPreview

Affichage aperçu visibilité

Affichage des valeurs limite pour la visibilité définies pour la variable. Disponible uniquement si l’option Depuis la variable a été configurée pour la propriété Variable dans le groupe Visibilité.

Un aperçu des propriétés définies pour la valeur limite est affiché dans le champ. Aucun aperçu n’est affiché pour les matrices de réaction.
Cliquez sur le bouton ... pour ouvrir la boîte de dialogue d’affichage des résultats. Les valeurs limite sont uniquement affichées ; elles ne peuvent pas être modifiées. Les modifications doivent être effectuées directement dans les propriétés de la variable pour Valeurs limite.

Plus de détails dans l’aide en ligne.

VT_BOOL

VisibilityFromLimit

A partir des valeurs limites

Uniquement disponible après la sélection d’une variable :

  • Active : La visibilité de l’élément est influencée par la propriété de valeur limite de la variable.

    Attention : La propriété Invisible doit être active pour au moins une valeur limite de la variable.

  • Inactive : la visibilité est influencée par les propriétés de l’élément.

Par défaut : active

Plus de détails dans l’aide en ligne.

VT_R8

VisibilityFrom

de

Disponible uniquement après la sélection d’une variable, si la visibilité n’a pas été reprise par la valeur limite :

Valeur minimum de la variable à laquelle l’élément est visible.

  • Minimum : valeur minimum possible de la variable liée.
  • Maximum : valeur maximum possible de la variable liée.

Par défaut : valeur minimum possible de la variable liée.

Plus de détails dans l’aide en ligne.

VT_R8

VisibilityTo

À

Disponible uniquement après la sélection d’une variable, si la visibilité n’a pas été reprise par la valeur limite :

Valeur maximale de la variable à laquelle l’élément est visible.

  • Minimum : valeur minimum possible de la variable liée.
  • Maximum : valeur maximum possible de la variable liée.

Par défaut : valeur maximum possible de la variable liée.

Plus de détails dans l’aide en ligne.

VT_UI4

Interlocking

Verrouillage

Disponible uniquement si l’option Depuis le verrouillage est sélectionnée pour la propriété Visibilité.

Nom du verrouillage dont la valeur contrôle la visibilité de l’élément. Sélectionnez dans la liste déroulante. Celle-ci contient tous les verrouillages existants et utilisables. L’élément est toujours visible si aucun verrouillage n’est lié.

Plus de détails dans l’aide en ligne.

VT_BSTR

InterlockingName

InterlockingName

Description

VT_BOOL

VisibleWhenInterlocked

Visible si verrouillé

Contrôle la visibilité de l’élément lorsque le verrouillage est sélectionné :

  • Active : L’élément est visible s’il est verrouillé.
  • Inactive : L’élément est visible s’il n’est pas verrouillé.

Par défaut : inactive

Plus de détails dans l’aide en ligne.

ZT_VARIABLE_DYN

BlinkVariable

Affichage aperçu clignotement

Affichage des valeurs limite pour le clignotement définies pour la variable. Disponible uniquement si l’option Depuis la variable a été configurée pour la propriété Prendre le clignotement de la limite.

Un aperçu des propriétés définies pour la valeur limite est affiché dans le champ. Aucun aperçu n’est affiché pour les matrices de réaction.
Cliquez sur le bouton ... pour ouvrir la boîte de dialogue d’affichage des résultats. Les valeurs limite sont uniquement affichées ; elles ne peuvent pas être modifiées. Les modifications doivent être effectuées directement dans les propriétés de la variable pour Valeurs limite.

Plus de détails dans l’aide en ligne.

ZT_PREVIEW

BlinkVarPreview

Affichage aperçu clignotement

Affichage des valeurs limite pour le clignotement définies pour la variable. Disponible uniquement si l’option Depuis la variable a été configurée pour la propriété Prendre le clignotement de la limite.

Un aperçu des propriétés définies pour la valeur limite est affiché dans le champ. Aucun aperçu n’est affiché pour les matrices de réaction.
Cliquez sur le bouton ... pour ouvrir la boîte de dialogue d’affichage des résultats. Les valeurs limite sont uniquement affichées ; elles ne peuvent pas être modifiées. Les modifications doivent être effectuées directement dans les propriétés de la variable pour Valeurs limite.

Plus de détails dans l’aide en ligne.

VT_BOOL

UseBlinkColor

Couleur de clignotement par la limite

Active : Reprend la couleur d’arrière-plan du clignotement défini pour la valeur limite active de la variable pour Prendre le clignotement de la limite. Durant le clignotement, l’élément ne devient pas invisible, mais reprend la couleur d’arrière-plan active.

Par défaut : Inactive

Remarque : la couleur n’est pas prise en compte si la couleur d’arrière-plan Transparence est configurée.

Plus de détails dans l’aide en ligne.

ZT_VARIABLE_DYN

XVariable

Variable

Nom de la variable utilisée pour le déplacement horizontal de l’élément.
Ouvre la boîte de dialogue de sélection de variables.

Plus de détails dans l’aide en ligne.

VT_R8

XVarMin

Valeur min de la variable

Valeur minimale de la variable utilisée pour le déplacement horizontal de l’élément.

Plus de détails dans l’aide en ligne.

VT_R8

XVarMax

Valeur max de la variable

Valeur maximale de la variable utilisée pour le déplacement horizontal de l’élément.

Plus de détails dans l’aide en ligne.

VT_I4

XViewMin

Mouvement min [pixels]

Position horizontale de l’élément pour la valeur minimale de la variable (en pixels).

Plus de détails dans l’aide en ligne.

VT_I4

XViewMax

Mouvement max [pixels]

Position horizontale de l’élément pour la valeur minimale de la variable (en pixels).

Plus de détails dans l’aide en ligne.

ZT_VARIABLE_DYN

YVariable

Variable

Nom de la variable utilisée pour le déplacement vertical de l’élément.
Ouvre la boîte de dialogue de sélection de variables.

Plus de détails dans l’aide en ligne.

VT_R8

YVarMin

Valeur min de la variable

Valeur minimale de la variable utilisée pour le déplacement vertical de l’élément.

Plus de détails dans l’aide en ligne.

VT_R8

YVarMax

Valeur max de la variable

Valeur maximale de la variable utilisée pour le déplacement vertical de l’élément.

Plus de détails dans l’aide en ligne.

VT_I4

YViewMin

Mouvement min [pixels]

Position verticale de l’élément pour la valeur minimale de la variable (en pixels).

Plus de détails dans l’aide en ligne.

VT_I4

YViewMax

Mouvement max [pixels]

Position verticale de l’élément pour la valeur maximale de la variable (en pixels).

Plus de détails dans l’aide en ligne.

ZT_VARIABLE_DYN

XZoomVariable

Variable

Nom de la variable utilisée pour l’agrandissement de la largeur de l’élément.
Ouvre la boîte de dialogue de sélection de variables.

Plus de détails dans l’aide en ligne.

VT_R8

XZoomVarMin

Valeur min de la variable

Valeur minimale de la variable utilisée pour effectuer un zoom à la largeur de l’élément.

Plus de détails dans l’aide en ligne.

VT_R8

XZoomVarMax

Valeur max de la variable

Valeur maximale de la variable utilisée pour effectuer un zoom sur la largeur de l’élément.

Plus de détails dans l’aide en ligne.

VT_I4

XZoomViewMin

Largeur min [%]

Facteur de zoom correspondant à la largeur de l’élément pour la valeur minimale de la variable (en pixels).

Plus de détails dans l’aide en ligne.

VT_I4

XZoomViewMax

Largeur max [%]

Facteur de zoom correspondant à la largeur de l’élément pour la valeur maximale de la variable (en pixels).

Plus de détails dans l’aide en ligne.

ZT_VARIABLE_DYN

YZoomVariable

Variable

Nom de la variable utilisée pour l’agrandissement de la hauteur de l’élément.
Ouvre la boîte de dialogue de sélection de variables.

Plus de détails dans l’aide en ligne.

VT_R8

YZoomVarMin

Valeur min de la variable

Valeur minimum de la variable utilisée pour effectuer un zoom sur la hauteur de l’élément.

Plus de détails dans l’aide en ligne.

VT_R8

YZoomVarMax

Valeur max de la variable

Valeur maximum de la variable utilisée pour effectuer un zoom sur la hauteur de l’élément.

Plus de détails dans l’aide en ligne.

VT_I4

YZoomViewMin

Hauteur min [%]

Facteur de zoom correspondant à la hauteur de l’élément pour la valeur minimum de la variable (en %).

Plus de détails dans l’aide en ligne.

VT_I4

YZoomViewMax

Hauteur max [%]

Facteur de zoom correspondant à la hauteur de l’élément pour la valeur maximale de la variable (en pixels).

Plus de détails dans l’aide en ligne.

ZT_VARIABLE_DYN

TwistVariable

Variable

Nom de la variable utilisée pour la rotation de l’élément.

Plus de détails dans l’aide en ligne.

VT_R8

TwistVarMin

Valeur min de la variable

Valeur minimum de la variable utilisée pour la rotation de l’élément.

Plus de détails dans l’aide en ligne.

VT_R8

TwistVarMax

Valeur max de la variable

Valeur maximale de la variable utilisée pour la rotation de l’élément.

Plus de détails dans l’aide en ligne.

VT_I4

TwistViewMin

Rotation min [°]

Angle de rotation de l’élément pour la valeur minimum de la variable (en °).

Plus de détails dans l’aide en ligne.

VT_I4

TwistViewMax

Rotation max [°]

Angle de rotation de l’élément pour la valeur maximum de la variable (en °).

Plus de détails dans l’aide en ligne.

ZT_STYLE

ShadowEffectStyle

Style effet cadres/ombres

Affichage et sélection du style de cadre et d’ombre attribué à l’élément.

Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de style.
Si plusieurs éléments ont été sélectionnés, ils peuvent être attribués à un style commun.

Remarque : Seules les propriétés compatibles avec l’élément correspondant sont prises en charge.

Plus de détails dans l’aide en ligne.

VT_BOOL

EnablePunchFrame

Afficher le cadre

A frame around the element can be displayed.
Default: inactive.

ZT_STYLE

GlowEffectStyle

Style effet de rayonnement

Affichage et sélection du style des effets de luminescence attribués à l’élément.

Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de style.
Si plusieurs éléments ont été sélectionnés, ils peuvent être attribués à un style commun.

Remarque : Seules les propriétés compatibles avec l’élément correspondant sont prises en charge.

Plus de détails dans l’aide en ligne.

VT_BOOL

GlowEffectEvent

Actif seulement si cliqué

Disponible uniquement si la propriété Activer est active et l’élément est un bouton.

Active : l’effet de luminescence est uniquement affiché lorsque l’utilisateur clique sur le bouton. Cliquer sur le bouton permet de modifier la couleur, le clignotement ou l’invisibilité de l’effet de luminescence.

Par défaut : Inactive

Plus de détails dans l’aide en ligne.

ZT_VARIABLE_DYN

GlowEffectGlowColorVariable

Variable pour la couleur

Disponible uniquement si la propriété Activer est active. La propriété Coloration doit être activée.

Nom de la variable dont la couleur aux valeurs limites doit influencer la couleur de l’effet de luminescence pour l’élément. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de variables. Vous pouvez également saisir le nom manuellement dans le champ de texte. Si aucune variable n’est liée, la couleur définie dans la propriété Couleur est utilisée.

Par défaut : aucune variable liée

Plus de détails dans l’aide en ligne.

ZT_PREVIEW

GlowEffectGlowColorVariablePreview

Affichage aperçu couleur

Affichage de la valeur limite définie pour la variable de couleur lorsque l’effet de luminescence est actif. Disponible uniquement si l’option Depuis la variable a été configurée pour la propriété Variable pour la couleur.

Un aperçu des propriétés définies pour la valeur limite est affiché dans le champ. Aucun aperçu n’est affiché pour les matrices de réaction.
Cliquez sur le bouton ... pour ouvrir la boîte de dialogue d’affichage des résultats. Les valeurs limite sont uniquement affichées ; elles ne peuvent pas être modifiées. Les modifications doivent être effectuées directement dans les propriétés de la variable pour Valeurs limite.

Plus de détails dans l’aide en ligne.

ZT_VARIABLE_DYN

GlowEffectVisibilityVariable

Variable pour la visibilité

Disponible uniquement si la propriété Activer est active.

Nom de la variable dont la valeur influence la visibilité de l’effet de luminescence. La visibilité est soit reprise des propriétés de valeur limite de cette variable (propriété Visibilité depuis valeur limite active), soit définie par la plage de valeurs définie dans les propriétés Visible de et Visible jusqu'à. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de variables. Vous pouvez également saisir le nom manuellement dans le champ de texte.

Remarque : si aucune variable n’est liée, l’effet de luminescence est toujours visible.

Par défaut : aucune variable liée

Plus de détails dans l’aide en ligne.

ZT_PREVIEW

GlowEffectVisibilityVariablePreview

Affichage aperçu visibilité

Affichage de la valeur limite définie pour la variable de visibilité lorsque l’effet de luminescence est actif. Disponible uniquement si l’option Depuis la variable a été configurée pour la propriété Variable pour la visibilité.

Un aperçu des propriétés définies pour la valeur limite est affiché dans le champ. Aucun aperçu n’est affiché pour les matrices de réaction.
Cliquez sur le bouton ... pour ouvrir la boîte de dialogue d’affichage des résultats. Les valeurs limite sont uniquement affichées ; elles ne peuvent pas être modifiées. Les modifications doivent être effectuées directement dans les propriétés de la variable pour Valeurs limite.

Plus de détails dans l’aide en ligne.

VT_BOOL

GlowEffectVisibilityFromLimit

Visibilité depuis valeur limite

Disponible uniquement si la propriété Activer est active. Vous devez en outre définir une variable dans la propriété Variable pour la visibilité.

Active : La visibilité de l’effet de luminescence est influencée par la propriété de valeur limite de la variable.

Attention : Pour une valeur limite de la variable au moins, la propriété Invisible doit être active.

Inactive : la visibilité est influencée par les propriétés de l’élément.

Plus de détails dans l’aide en ligne.

VT_R8

GlowEffectVisibilityFrom

Visible de

Disponible uniquement si la propriété Activer est active. Vous devez en outre définir une variable dans la propriété Variable pour la visibilité ; la propriété Visibilité depuis valeur limite doit être inactive.

Définit la valeur à partir de laquelle l’effet de luminescence devient visible.
Minimum : valeur la moins élevée autorisée pour la variable liée dans Variable pour la visibilité.
Maximum : valeur la moins élevée autorisée pour la variable liée dans Variable pour la visibilité.
Par défaut : valeur la plus élevée autorisée pour la variable liée dans Variable pour la visibilité.

Plus de détails dans l’aide en ligne.

VT_R8

GlowEffectVisibilityTo

Visible jusqu'à

Disponible uniquement si la propriété Activer est active. Vous devez en outre définir une variable dans la propriété Variable pour la visibilité ; la propriété Visibilité depuis valeur limite doit être inactive.

Définit la valeur jusqu’à laquelle l’effet de luminescence reste visible.
Minimum : valeur la plus basse autorisée pour la variable liée dans Variable pour la visibilité.
Maximum : valeur la plus élevée autorisée pour la variable liée dans Variable pour la visibilité.
Par défaut : valeur la plus élevée autorisée pour la variable liée dans Variable pour la visibilité.

Plus de détails dans l’aide en ligne.

ZT_VARIABLE_DYN

GlowEffectBlinkVariable

Variable pour le clignotement

Variables dont les paramètres de clignotement de l’effet de luminescence aux valeurs limites doivent être repris. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de variables.

Par défaut : aucune variable liée

Plus de détails dans l’aide en ligne.

ZT_PREVIEW

GlowEffectBlinkVariablePreview

Affichage aperçu clignotement

Affichage de la valeur limite définie pour la variable de clignotement lorsque l’effet de luminescence est actif. Disponible uniquement si l’option Depuis la variable a été configurée pour la propriété Variable pour le clignotement.

Un aperçu des propriétés définies pour la valeur limite est affiché dans le champ. Aucun aperçu n’est affiché pour les matrices de réaction.
Cliquez sur le bouton ... pour ouvrir la boîte de dialogue d’affichage des résultats. Les valeurs limite sont uniquement affichées ; elles ne peuvent pas être modifiées. Les modifications doivent être effectuées directement dans les propriétés de la variable pour Valeurs limite.

Plus de détails dans l’aide en ligne.

VT_BOOL

GlowEffectUseBlinkColor

Clignotement depuis valeur limite

Disponible uniquement si la propriété Activer est active. Vous devez en outre définir une variable dans la propriété Variable pour le clignotement.

Active : Reprend, pour l’effet de luminescence, la couleur de clignotement de la valeur limite active pour la variable définie dans la propriété Couleur de clignotement par la limite. Cette propriété agit indépendamment de la propriété Coloration. En cas de clignotement, l’effet de luminescence ne devient pas invisible, mais reprend les paramètres de l’effet de luminescence actif.

Par défaut : Inactive

Plus de détails dans l’aide en ligne.

VT_BOOL

GlowEffect2ndBlinkStateVisible

2 états de clignotement invisibles

Disponible uniquement si la propriété Activer est active. Vous devez en outre définir une variable dans la propriété Variable pour le clignotement ; la propriété Clignotement depuis valeur limite doit être inactive.

Active : En cas de clignotement, l’effet de luminescence ne bascule pas vers l’effet de luminescence actif, mais devient invisible. Ceci permet de basculer entre l’invisibilité et la couleur de clignotement en cas de dépassement de la valeur limite.

Par défaut : Inactive

Plus de détails dans l’aide en ligne.


CZenonGestureManipulation

Manuel -> Interfaces de programmation -> Modèles d'objet -> Element -> Element-Dynamic properties -> CZenonGestureManipulation

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Type

VBA/VSTA Name

Display Name

Description

More...

GestureManipulationGroup

Manipulation

Propriétés pour la manipulation de synoptiques et d’éléments de synoptique dans le cadre d’une utilisation tactile.

Plus de détails dans l’aide en ligne.

VT_UI4

GestureManipulationX

Déplacer

Définition de la réaction à différents gestes. La réaction configurable dépend du synoptique et/ou de l’élément de synoptique devant être configuré.

Plus de détails dans l’aide en ligne.

VT_UI4

GestureManipulationY

Déplacer verticalement

Définition de la réaction à un geste de déplacement vertical. La réaction configurable dépend du synoptique et/ou de l’élément de synoptique devant être configuré.

Interaction : La propriété Déplacer le gabarit avec la souris ne peut pas être activée en même temps que les propriétés Déplacer horizontalement et Déplacer verticalement. Le déplacement d’un cadre avec la souris ou le déplacement horizontal/vertical à l’aide de commandes tactiles peuvent tous deux être activés.

Tenez compte de ce cas de figure spécial : Dans le scénario suivant, les deux propriétés sont définies et restent ensuite non configurables :

  • La propriété Déplacer horizontalement ou Déplacer verticalement est activée.
  • La propriété de projet Reconnaissance pour Intéraction est définie sur Windows 7 ou Désactivé.
  • La propriété Déplacer le gabarit avec la souris est activée.
  • La propriété Reconnaissance est à nouveau définie sur Windows 8.

Solution :

  • Redéfinissez la propriété Reconnaissance sur Windows 7 ou Désactivé.
  • Désactivez la propriété Déplacer le gabarit avec la souris.

Plus de détails dans l’aide en ligne.

VT_UI4

GestureManipulationXY

Déplacer

Définition de la réaction à différents gestes. La réaction configurable dépend du synoptique et/ou de l’élément de synoptique devant être configuré.

Plus de détails dans l’aide en ligne.

VT_UI4

GestureManipulationZoom

Zoom

Définition de la réaction aux gestes de zoom. La réaction configurable dépend du synoptique et/ou de l’élément de synoptique devant être configuré.

Plus de détails dans l’aide en ligne.


ActiveX

Manuel -> Interfaces de programmation -> Modèles d'objet -> Element -> Element-Dynamic properties -> ActiveX

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Type

VBA/VSTA Name

Display Name

Description

ZT_AKTIVE_X

ActiveX

Paramètres ActiveX

Sélection de l’élément ActiveX et de la variable liée.

Plus de détails dans l’aide en ligne.

More...

DynEleVar

DynEleVar

"With this property you have the opportunity to get informations about the variable (projected via ""Variable assignment"" in the ActiveX selection dialog) which is linked at an ActiveX element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""DynEleVar.SymVarName"") 'Return the name of the variable which is assigned to the ActiveX
zElement.DynProperties (""DynEleVar.SymVarTagNr"") 'Return the identification of the variable which is assigned to the ActiveX"

VT_BOOL

UnderCE

Visible sous WinCE

Contrôle la visibilité des éléments dans les synoptiques sous Windows CE. Les projets qui sont utilisés sous CE et sur le PC peuvent être créés de manière plus flexible ; la gestion par l’utilisateur est ainsi améliorée. Par exemple, les boutons renvoyant l’utilisateur vers des synoptiques ne pouvant pas être affichés sous CE (par ex. IPA) peuvent être rendus invisibles.

Active : dans synoptique/l’élément est également visible sous Windows CE.

Par défaut : active

Plus de détails dans l’aide en ligne.

ZT_VBAMAKRO

Init

Init

Macro VBA à exécuter lors de l’initialisation de l’élément.

Plus de détails dans l’aide en ligne.

ZT_VBAMAKRO

SetFocus

SetFocus

Macro VBA à exécuter lorsque le focus est placé sur l’élément.

Plus de détails dans l’aide en ligne.

ZT_VBAMAKRO

KillFocus

KillFocus

Macro VBA à exécuter lorsque le focus n’est plus placé sur l’élément.

Plus de détails dans l’aide en ligne.

ZT_VBAMAKRO

LeftClickDown

LeftClickDown

Macro VBA à exécuter lorsque l’utilisateur effectue un clic gauche sur l’élément.

Plus de détails dans l’aide en ligne.

ZT_VBAMAKRO

RightClickDown

RightClickDown

Macro VBA à exécuter lorsque l’utilisateur effectue un clic droit sur l’élément.

Plus de détails dans l’aide en ligne.

ZT_VBAMAKRO

LeftClickUp

LeftClickUp

Macro VBA à exécuter lorsque l’utilisateur relâche le bouton gauche de la souris sur l’élément.

Plus de détails dans l’aide en ligne.

ZT_VBAMAKRO

RightClickUp

RightClickUp

Macro VBA à exécuter lorsque l’utilisateur relâche le bouton droit de la souris sur l’élément.

Plus de détails dans l’aide en ligne.

ZT_VBAMAKRO

LeftDClick

LeftDoubleClick

Macro VBA à exécuter lorsque l’utilisateur effectue un double-clic gauche sur l’élément.

Plus de détails dans l’aide en ligne.

ZT_VBAMAKRO

RightDClick

RightDoubleClick

Macro VBA à exécuter lorsque l’utilisateur effectue un double-clic droit sur l’élément.

Plus de détails dans l’aide en ligne.

ZT_VBAMAKRO

MouseOver

MouseOver

Macro VBA à exécuter si le pointeur de la souris est positionné sur l’élément.

Plus de détails dans l’aide en ligne.

ZT_VBAMAKRO

DragDrop

DragDrop

Macro VBA à exécuter lorsque le bouton de la souris est relâché.

Plus de détails dans l’aide en ligne.

ZT_VBAMAKRO

DragOver

DragOver

Macro VBA à exécuter lorsque le curseur est déplacé au-dessus de l’élément pendant que le bouton gauche est enfoncé.

Plus de détails dans l’aide en ligne.

ZT_VBAMAKRO

DragBegin

DragBegin

Macro VBA à exécuter lorsque l’utilisateur commence à faire glisser l’objet.

Plus de détails dans l’aide en ligne.

VT_BSTR

Menu

Menu contextuel

Menu contextuel de l’élément.
Cliquer avec le bouton droit de la souris sur l’élément pour ouvrir le menu contextuel dans le Runtime.

Plus de détails dans l’aide en ligne.

VT_BSTR

Tooltip

Info bulle

Texte à afficher en tant qu’info-bulle de l’élément dans le Runtime. Une info-bulle est automatiquement affichée dans le Runtime si le pointeur de la souris reste pendant quelques secondes sur l’élément. Des retours à la ligne automatiques peuvent être insérés avec les caractères "\n".

  • Maximum : 79 caractères
    Attention : La combinaison de caractères \n est également comptée dans la limite de 79 caractères.

Plus de détails dans l’aide en ligne.

VT_BOOL

LassoSelect

sélectionnable avec le lasso

La sélection avec le lasso dans le Runtime permet d’identifier les éléments dynamiques et de les utiliser avec des événements VBA.

  • Active : L’élément peut être sélectionné avec le lasso dans le Runtime.
  • Inactive : L’élément ne peut pas être sélectionné dans Runtime.

Par défaut : active

Attention : Pour que l’élément puisse être sélectionné dans le Runtime, vous devez activer la propriété Sélection multiple en runtime (lasso) dans les paramètres du projet !

Remarque concernant la gestion des commandes : Si la propriété Opération à deux mains est activée, le lasso de la commande Exécuter le 2ème niveau ne doit pas être activé.

Plus de détails dans l’aide en ligne.

More...

GestureManipulationGroup

Manipulation

Propriétés pour la manipulation de synoptiques et d’éléments de synoptique dans le cadre d’une utilisation tactile.

Plus de détails dans l’aide en ligne.

VT_BOOL

Tab

Le focus est donné à l'élément

Active : L’élément dynamique peut être actionné à l’aide du clavier.
Inactive : L’élément dynamique n’est pas accessible à l’aide du clavier.
Par défaut : active.

Plus de détails dans l’aide en ligne.

VT_I4

TABOrderH

Position du focus gauche/droite

Définit la position horizontale pour l’utilisation à l’aide du clavier dans le Runtime. La position est définie par l’intermédiaire du menu contextuel et de l’utilisation de la souris dans la fenêtre principale ; elle ne peut pas être modifiée ici.

Plus de détails dans l’aide en ligne.

VT_I4

TABOrderV

Position focus haut / bas

Définit la position verticale pour l’utilisation à l’aide du clavier dans le Runtime. La position est définie par l’intermédiaire du menu contextuel et de l’utilisation de la souris dans la fenêtre principale ; elle ne peut pas être modifiée ici.

Plus de détails dans l’aide en ligne.

ZT_FILE

Helpfile

Fichier d'aide

Fichier d’aide (*.chm) devant être utilisé pour cet élément, conjointement à un menu contextuel. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de fichiers.
Attention : seuls les fichiers d’aide ayant été ajoutés dans le nœud Fichiers/Aide sont disponibles.

Plus de détails dans l’aide en ligne.

VT_BSTR

HelpCapture

Chapitre d'aide

Chapitre d’aide (*.chm) devant être utilisé pour cet élément, conjointement à un menu contextuel. Nom de la page HTML sous-jacente.
Attention : cette entrée tient compte des minuscules et majuscules.

Plus de détails dans l’aide en ligne.

ZT_VARIABLE_DYN

SetValueDynMin

Minimum

Variable dont la valeur actuelle est applicable en tant que limite inférieure de la valeur prescrite de l’élément.
Disponible uniquement si Plages de la variable est inactive :
Plus de détails dans l’aide en ligne.

ZT_VARIABLE_DYN

SetValueDynMax

Maximum

Variable dont la valeur actuelle est applicable en tant que limite supérieure de la valeur prescrite de l’élément.

Disponible uniquement si la propriété Plages de la variable est inactive.

Plus de détails dans l’aide en ligne.

VT_BOOL

GestureRecognitionActive

Reconnaissance de geste active

Active l’évaluation des gestes. Les gestes sont définis à l’aide d’autres propriétés.

Uniquement disponible si, dans le groupe Intéraction des propriétés du projet, la propriété Reconnaissance Windows 8 a été définie.

Plus de détails dans l’aide en ligne.

VT_BOOL

Gestures_Manipulation

Exact

Active : Détection du paramètre Exact défini.

Plus de détails dans l’aide en ligne.

VT_BOOL

Gestures_Exact

Exact

Active : Détection du paramètre Exact défini.

Plus de détails dans l’aide en ligne.

VT_BOOL

Gestures_TranslationX

Translation X

Active : Détection du paramètre Translation X défini.

Plus de détails dans l’aide en ligne.

VT_BOOL

Gestures_TranslationY

Translation Y

Active : Détection du paramètre Translation Y défini.

Plus de détails dans l’aide en ligne.

VT_BOOL

Gestures_RailsX

Rails X

Active : Détection du paramètre Rails X défini.

Plus de détails dans l’aide en ligne.

VT_BOOL

Gestures_RailsY

Rails Y

Active : Détection du paramètre Rails Y défini.

Plus de détails dans l’aide en ligne.

VT_BOOL

Gestures_TranslationInertia

Translation inertia

Active : Détection du paramètre Translation Inertia (Inertie de translation) défini.

Plus de détails dans l’aide en ligne.

VT_BOOL

Gestures_Rotation

Inertie de rotation

Active : Détection du paramètre Rotation Inertia (Inertie de rotation) défini.

Plus de détails dans l’aide en ligne.

VT_BOOL

Gestures_RotationInertia

Inertie de rotation

Active : Détection du paramètre Rotation Inertia (Inertie de rotation) défini.

Plus de détails dans l’aide en ligne.

VT_BOOL

Gestures_Scaling

Scaling inertia

Active : Détection du paramètre Scaling Inertia (Inertie de redimensionnement) défini.

Plus de détails dans l’aide en ligne.

VT_BOOL

Gestures_ScalingInertia

Scaling inertia

Active : Détection du paramètre Scaling Inertia (Inertie de redimensionnement) défini.

Plus de détails dans l’aide en ligne.

VT_BOOL

Gestures_CrossSlide

Cross slide exact

Active : Détection du paramètre Cross Slide Exact (Glissement transversal exact) défini.

Plus de détails dans l’aide en ligne.

VT_BOOL

Gestures_CrossSlideHorizontal

Cross slide horizontal

Active : Détection du paramètre Cross Slide Horizontal (Glissement transversal horizontal) défini.

Plus de détails dans l’aide en ligne.

VT_BOOL

Gestures_CrossSlideSelect

Cross slide select

Active : Détection du paramètre Cross Slide Select (Glissement transversal, sélection) défini.

Plus de détails dans l’aide en ligne.

VT_BOOL

Gestures_CrossSlideSpeedBump

Cross slide speed bump

Active : Détection du paramètre Cross Slide Speed Bump (Glissement transversal, ralentisseur) défini.

Plus de détails dans l’aide en ligne.

VT_BOOL

Gestures_CrossSlideRearrange

Cross slide rearrange

Active : Détection du paramètre Cross Slide Rearrange (Glissement transversal, réorganisation) défini.

Plus de détails dans l’aide en ligne.

VT_BOOL

Gestures_CrossSlideExact

Cross slide exact

Active : Détection du paramètre Cross Slide Exact (Glissement transversal exact) défini.

Plus de détails dans l’aide en ligne.

VT_BOOL

Gestures_Tap

Tap double

Active : Détection du paramètre Tap Double (Double appui) défini.

Plus de détails dans l’aide en ligne.

VT_BOOL

Gestures_TapDouble

Tap double

Active : Détection du paramètre Tap Double (Double appui) défini.

Plus de détails dans l’aide en ligne.

VT_BOOL

Gestures_SecondaryTap

Secondary tap

Active : Détection du paramètre Secondary Tap (Appui secondaire) défini.

Plus de détails dans l’aide en ligne.

VT_BOOL

Gestures_Drag

Drag

Active : Détection du paramètre Drag (Glissement) défini.

Plus de détails dans l’aide en ligne.

VT_BOOL

Gestures_Hold

Hold (Mouse)

Active : Détection du paramètre Hold (Mouse) (Maintien [souris]) défini.

Plus de détails dans l’aide en ligne.

ZT_STYLE

StyleGroup

Groupe de styles

Affichage et sélection du groupe de styles attribué à l’élément.
Cliquez sur le bouton ... pour ouvrir la boîte de dialogue permettant de sélectionner un groupe de styles.
Si plusieurs éléments sont sélectionnés, elles peuvent être attribuées à un groupe de styles commun.

Remarque : Seules les propriétés compatibles avec l’élément correspondant sont prises en charge.

Plus de détails dans l’aide en ligne.

More...

LnClVariable

LnClVariable

"With this property you have the opportunity to get informations about the variable which is linked as ""line/text color"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""LnClVariable.SymVarName"") 'Return the name of the ""line/text color"" variable
zElement.DynProperties (""LnClVariable.SymVarTagNr"") 'Return the identification of the ""line/text color"" variable"

More...

BkClVariable

BkClVariable

"With this property you have the opportunity to get informations about the variable which is linked as ""background/filling color"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""BkClVariable.SymVarName"") 'Return the name of the ""background/filling color"" variable
zElement.DynProperties (""BkClVariable.SymVarTagNr"") 'Return the identification of the ""background/filling color"" variable"

More...

BkCl2Variable

"BkCl2Variable"

More...

XVar

XVar

"With this property you have the opportunity to get informations about the variable which is linked as ""dynamic x position"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""XVar.SymVarName"") 'Return the name of the ""dynamic x position"" variable
zElement.DynProperties (""XVar.SymVarTagNr"") 'Return the identification of the ""dynamic x position"" variable"

More...

YVar

YVar

"With this property you have the opportunity to get informations about the variable which is linked as ""dynamic y position"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""YVar.SymVarName"") 'Return the name of the ""dynamic y position"" variable
zElement.DynProperties (""YVar.SymVarTagNr"") 'Return the identification of the ""dynamic y position"" variable"

More...

XVarZoom

XVarZoom

"With this property you have the opportunity to get informations about the variable which is linked as ""change width"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""XVarZoom.SymVarName"") 'Return the name of the ""change width"" variable
zElement.DynProperties (""XVarZoom.SymVarTagNr"") 'Return the identification of the ""change width"" variable"

More...

YVarZoom

YVarZoom

"With this property you have the opportunity to get informations about the variable which is linked as ""change height"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""YVarZoom.SymVarName"") 'Return the name of the ""change height"" variable
zElement.DynProperties (""YVarZoom.SymVarName"") 'Return the name of the ""change height"" variable
zElement.DynProperties (""YVarZoom.SymVarTagNr"") 'Return the identification of the ""change height"" variable"

More...

TwistVar

TwistVar

"With this property you have the opportunity to get informations about the variable which is linked as ""rotate"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""TwistVar.SymVarName"") 'Return the name of the ""rotate"" variable
zElement.DynProperties (""TwistVar.SymVarTagNr"") 'Return the identification of the ""rotate"" variable"

More...

VisVariable

VisVariable

"With this property you have the opportunity to get informations about the variable which is linked as ""visibility"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""VisVariable.SymVarName"") 'Return the name of the ""visibility"" variable
zElement.DynProperties (""VisVariable.SymVarTagNr"") 'Return the identification of the ""visibility"" variable"

More...

BlinkVar

BlinkVar

More...

GlowEffectGlowColorVar

GlowEffectGlowColorVar

More...

GlowEffectVisibilityVar

GlowEffectVisibilityVar

More...

GlowEffectBlinkVar

GlowEffectBlinkVar

VT_BSTR

Name

Nom d'élément

Attribuez un nom d’élément.
Il ne doit pas être vide.

Attention : Cette propriété n’est pas disponible aux fins de la commutation de langue.

Remarques concernant les cadrans : Pour les conteneurs de synoptique, spécifiez des noms clairement identifiables pour faciliter la sélection lors de la configuration des appels de synoptique.

Plus de détails dans l’aide en ligne.

VT_UI1

Layer

Niveau de visibilité

Sélectionnez l’un des 16 niveaux de visibilité (0 à 15) dans la liste déroulante. À l’aide de la barre d’outils Niveau de visibilité, vous décidez des niveaux qui doivent être affichés dans Editor. Cette fonction garantit que les synoptiques les plus complexes peuvent être développés de manière simple. Les niveaux peuvent être utilisés immédiatement. Les niveaux n’ont aucune influence sur les informations affichées au premier plan ou en arrière-plan dans le Runtime.
Par défaut : 0.

Plus de détails dans l’aide en ligne.

VT_I4

StartX

Point de départ X [pixels]

Coordonnée Y du coin supérieur gauche du synoptique (en pixels).

Plus de détails dans l’aide en ligne.

VT_I4

EndX

Point final X [pixels]

Coordonnée X du coin inférieur droit du synoptique (en pixels).

Plus de détails dans l’aide en ligne.

VT_I4

StartY

Point de départ Y [pixels]

Coordonnée Y du coin supérieur gauche du synoptique (en pixels).

Plus de détails dans l’aide en ligne.

VT_I4

EndY

Point final Y [pixels]

Coordonnée Y du coin inférieur droit du synoptique (en pixels).

Plus de détails dans l’aide en ligne.

VT_I4

Width

Largeur [pixels]

Largeur des éléments en pixels.

Remarque : disponible uniquement pour les éléments Combinaison multiple, Élément combiné, Bouton et Interrupteur si la valeur Ajusté a été sélectionnée pour la propriété Taille du graphique.

Plus de détails dans l’aide en ligne.

VT_I4

Height

Hauteur [pixels]

Hauteur des éléments en pixels.

Remarque : disponible uniquement pour les éléments Combinaison multiple, Élément combiné, Bouton et Interrupteur si la valeur Ajusté a été sélectionnée pour la propriété Taille du graphique.

Plus de détails dans l’aide en ligne.

VT_I4

Angle

Angle de rotation [°]

Angle libre autour selon lequel doit pivoter l’élément.
Les valeurs positives correspondent à une rotation dans le sens antihoraire, tandis que les valeurs négatives correspondent à une rotation dans le sens horaire. Les valeurs supérieures à 360° sont affichées sous forme d’écart par rapport à 360° (400° correspond à 40°). Seuls les nombres entiers sont autorisés.

Sur les éléments pivotés, les actions suivantes ne sont plus possibles :

  • Miroir
  • Rotation de +/- 90°
  • Redimensionnement à l’aide des touches fléchées

Par défaut : 0

Remarque : Ce paramètre est activé et réinitialisé lors de la configuration pour Windows CE.

Plus de détails dans l’aide en ligne.

VT_I2

ZoomMin

Visible de

Incrément de zoom le plus bas auquel l’élément est visible dans la vue globale.
Par défaut : -1
Une valeur de visibilité avec des incréments de zoom de -1 à -1 signifie que l’élément est affiché, quel que soit l’incrément de zoom sélectionné.

Les niveaux de zoom affichés dans la vue globale peuvent être configurés avec la propriété Apparence graphique -> Généralités runtime -> Pas de zoom pour vue globale.

Attention : Ce niveau de zoom s’applique à tous les types de synoptiques et cadres. Si un niveau de zoom défini est supérieur à 0, l’élément est uniquement affiché dans la vue globale, car les autres types de synoptique sont automatiquement appelés avec le niveau de zoom 0.

Plus de détails dans l’aide en ligne.

VT_I2

ZoomMax

Visible jusqu'à

Incrément de zoom le plus élevé auquel l’élément est visible dans la vue globale.

Par défaut : -1
Une valeur de visibilité avec des incréments de zoom de -1 à -1 signifie que l’élément est affiché, quel que soit l’incrément de zoom sélectionné.

Les niveaux de zoom affichés dans la vue globale peuvent être configurés avec la propriété Apparence graphique -> Généralités runtime -> Pas de zoom pour vue globale.

Attention : Ce niveau de zoom s’applique à tous les types de synoptiques et cadres. Si un niveau de zoom défini est supérieur à 0, l’élément est uniquement affiché dans la vue globale, car les autres types de synoptique sont automatiquement appelés avec le niveau de zoom 0.

Plus de détails dans l’aide en ligne.

VT_BSTR

Stationname

Nom liste d'objets

L’élément est saisi directement dans la liste de stations du synoptique Vue globale, et le texte est saisi ici.

Plus de détails dans l’aide en ligne.

ZT_VARIABLE_DYN

BackColorVariable

Couleur de remplissage

Nom de la variable dont les couleurs de valeur limite doivent influencer la couleur d’arrière-plan/de remplissage de l’élément.
Ouvre la boîte de dialogue de sélection de variables.

Plus de détails dans l’aide en ligne.

ZT_PREVIEW

BackColorVarPreview

Affichage aperçu couleur

Affichage de la valeur limite pour la propriété Couleur de remplissage définie pour la variable. Disponible uniquement si l’option Depuis la variable a été configurée pour la propriété Couleur de remplissage.

Un aperçu des propriétés définies pour la valeur limite est affiché dans le champ. Aucun aperçu n’est affiché pour les matrices de réaction.
Cliquez sur le bouton ... pour ouvrir la boîte de dialogue d’affichage des résultats. Les valeurs limite sont uniquement affichées ; elles ne peuvent pas être modifiées. Les modifications doivent être effectuées directement dans les propriétés de la variable pour Valeurs limite.

Plus de détails dans l’aide en ligne.

VT_UI1

HorizontalOrigin

Horizontal

Point de référence horizontal de l’événement. Les valeurs possibles sont : gauche, centré, droite.
Ce point est utilisé en tant que base de calcul de l’angle de départ de la rotation (statique et dynamique) et pour le changement dynamique de taille.

Par défaut : À gauche

Plus de détails dans l’aide en ligne.

VT_UI1

VerticalOrigin

Vertical

Point de référence vertical de l’événement. Les valeurs possibles sont : haut, centré, bas.
Ce point est utilisé en tant que base de calcul de l’angle de départ de la rotation (statique et dynamique) et pour le changement dynamique de taille.

Par défaut : En haut

Plus de détails dans l’aide en ligne.

VT_UI4

VisibilityType

Visibilité

Sélection depuis laquelle la visibilité d’un élément est déterminée :

  • Depuis une variable
  • Du verrrouillage

Par défaut : Depuis une variable

Plus de détails dans l’aide en ligne.

ZT_VARIABLE_DYN

VisibilityVariable

Variable

Disponible uniquement si l’option Depuis la variable a été configurée pour la propriété Visibilité.

Nom de la variable dont la valeur contrôle la visibilité de l’élément. La visibilité est soit reprise des propriétés de valeur limite de ces variables, soit définie par la plage de valeurs définie dans les propriétés de et À.
Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de variables. Vous pouvez également saisir manuellement le nom dans le champ de texte.
L'élément reste visible tant qu’aucune variable n’est liée.

Plus de détails dans l’aide en ligne.

ZT_PREVIEW

VisVarPreview

Affichage aperçu visibilité

Affichage des valeurs limite pour la visibilité définies pour la variable. Disponible uniquement si l’option Depuis la variable a été configurée pour la propriété Variable dans le groupe Visibilité.

Un aperçu des propriétés définies pour la valeur limite est affiché dans le champ. Aucun aperçu n’est affiché pour les matrices de réaction.
Cliquez sur le bouton ... pour ouvrir la boîte de dialogue d’affichage des résultats. Les valeurs limite sont uniquement affichées ; elles ne peuvent pas être modifiées. Les modifications doivent être effectuées directement dans les propriétés de la variable pour Valeurs limite.

Plus de détails dans l’aide en ligne.

VT_BOOL

VisibilityFromLimit

A partir des valeurs limites

Uniquement disponible après la sélection d’une variable :

  • Active : La visibilité de l’élément est influencée par la propriété de valeur limite de la variable.

    Attention : La propriété Invisible doit être active pour au moins une valeur limite de la variable.

  • Inactive : la visibilité est influencée par les propriétés de l’élément.

Par défaut : active

Plus de détails dans l’aide en ligne.

VT_R8

VisibilityFrom

de

Disponible uniquement après la sélection d’une variable, si la visibilité n’a pas été reprise par la valeur limite :

Valeur minimum de la variable à laquelle l’élément est visible.

  • Minimum : valeur minimum possible de la variable liée.
  • Maximum : valeur maximum possible de la variable liée.

Par défaut : valeur minimum possible de la variable liée.

Plus de détails dans l’aide en ligne.

VT_R8

VisibilityTo

À

Disponible uniquement après la sélection d’une variable, si la visibilité n’a pas été reprise par la valeur limite :

Valeur maximale de la variable à laquelle l’élément est visible.

  • Minimum : valeur minimum possible de la variable liée.
  • Maximum : valeur maximum possible de la variable liée.

Par défaut : valeur maximum possible de la variable liée.

Plus de détails dans l’aide en ligne.

VT_UI4

Interlocking

Verrouillage

Disponible uniquement si l’option Depuis le verrouillage est sélectionnée pour la propriété Visibilité.

Nom du verrouillage dont la valeur contrôle la visibilité de l’élément. Sélectionnez dans la liste déroulante. Celle-ci contient tous les verrouillages existants et utilisables. L’élément est toujours visible si aucun verrouillage n’est lié.

Plus de détails dans l’aide en ligne.

VT_BSTR

InterlockingName

InterlockingName

Description

VT_BOOL

VisibleWhenInterlocked

Visible si verrouillé

Contrôle la visibilité de l’élément lorsque le verrouillage est sélectionné :

  • Active : L’élément est visible s’il est verrouillé.
  • Inactive : L’élément est visible s’il n’est pas verrouillé.

Par défaut : inactive

Plus de détails dans l’aide en ligne.

ZT_VARIABLE_DYN

BlinkVariable

Affichage aperçu clignotement

Affichage des valeurs limite pour le clignotement définies pour la variable. Disponible uniquement si l’option Depuis la variable a été configurée pour la propriété Prendre le clignotement de la limite.

Un aperçu des propriétés définies pour la valeur limite est affiché dans le champ. Aucun aperçu n’est affiché pour les matrices de réaction.
Cliquez sur le bouton ... pour ouvrir la boîte de dialogue d’affichage des résultats. Les valeurs limite sont uniquement affichées ; elles ne peuvent pas être modifiées. Les modifications doivent être effectuées directement dans les propriétés de la variable pour Valeurs limite.

Plus de détails dans l’aide en ligne.

ZT_PREVIEW

BlinkVarPreview

Affichage aperçu clignotement

Affichage des valeurs limite pour le clignotement définies pour la variable. Disponible uniquement si l’option Depuis la variable a été configurée pour la propriété Prendre le clignotement de la limite.

Un aperçu des propriétés définies pour la valeur limite est affiché dans le champ. Aucun aperçu n’est affiché pour les matrices de réaction.
Cliquez sur le bouton ... pour ouvrir la boîte de dialogue d’affichage des résultats. Les valeurs limite sont uniquement affichées ; elles ne peuvent pas être modifiées. Les modifications doivent être effectuées directement dans les propriétés de la variable pour Valeurs limite.

Plus de détails dans l’aide en ligne.

ZT_VARIABLE_DYN

XVariable

Variable

Nom de la variable utilisée pour le déplacement horizontal de l’élément.
Ouvre la boîte de dialogue de sélection de variables.

Plus de détails dans l’aide en ligne.

VT_R8

XVarMin

Valeur min de la variable

Valeur minimale de la variable utilisée pour le déplacement horizontal de l’élément.

Plus de détails dans l’aide en ligne.

VT_R8

XVarMax

Valeur max de la variable

Valeur maximale de la variable utilisée pour le déplacement horizontal de l’élément.

Plus de détails dans l’aide en ligne.

VT_I4

XViewMin

Mouvement min [pixels]

Position horizontale de l’élément pour la valeur minimale de la variable (en pixels).

Plus de détails dans l’aide en ligne.

VT_I4

XViewMax

Mouvement max [pixels]

Position horizontale de l’élément pour la valeur minimale de la variable (en pixels).

Plus de détails dans l’aide en ligne.

ZT_VARIABLE_DYN

YVariable

Variable

Nom de la variable utilisée pour le déplacement vertical de l’élément.
Ouvre la boîte de dialogue de sélection de variables.

Plus de détails dans l’aide en ligne.

VT_R8

YVarMin

Valeur min de la variable

Valeur minimale de la variable utilisée pour le déplacement vertical de l’élément.

Plus de détails dans l’aide en ligne.

VT_R8

YVarMax

Valeur max de la variable

Valeur maximale de la variable utilisée pour le déplacement vertical de l’élément.

Plus de détails dans l’aide en ligne.

VT_I4

YViewMin

Mouvement min [pixels]

Position verticale de l’élément pour la valeur minimale de la variable (en pixels).

Plus de détails dans l’aide en ligne.

VT_I4

YViewMax

Mouvement max [pixels]

Position verticale de l’élément pour la valeur maximale de la variable (en pixels).

Plus de détails dans l’aide en ligne.

ZT_VARIABLE_DYN

XZoomVariable

Variable

Nom de la variable utilisée pour l’agrandissement de la largeur de l’élément.
Ouvre la boîte de dialogue de sélection de variables.

Plus de détails dans l’aide en ligne.

VT_R8

XZoomVarMin

Valeur min de la variable

Valeur minimale de la variable utilisée pour effectuer un zoom à la largeur de l’élément.

Plus de détails dans l’aide en ligne.

VT_R8

XZoomVarMax

Valeur max de la variable

Valeur maximale de la variable utilisée pour effectuer un zoom sur la largeur de l’élément.

Plus de détails dans l’aide en ligne.

VT_I4

XZoomViewMin

Largeur min [%]

Facteur de zoom correspondant à la largeur de l’élément pour la valeur minimale de la variable (en pixels).

Plus de détails dans l’aide en ligne.

VT_I4

XZoomViewMax

Largeur max [%]

Facteur de zoom correspondant à la largeur de l’élément pour la valeur maximale de la variable (en pixels).

Plus de détails dans l’aide en ligne.

ZT_VARIABLE_DYN

YZoomVariable

Variable

Nom de la variable utilisée pour l’agrandissement de la hauteur de l’élément.
Ouvre la boîte de dialogue de sélection de variables.

Plus de détails dans l’aide en ligne.

VT_R8

YZoomVarMin

Valeur min de la variable

Valeur minimum de la variable utilisée pour effectuer un zoom sur la hauteur de l’élément.

Plus de détails dans l’aide en ligne.

VT_R8

YZoomVarMax

Valeur max de la variable

Valeur maximum de la variable utilisée pour effectuer un zoom sur la hauteur de l’élément.

Plus de détails dans l’aide en ligne.

VT_I4

YZoomViewMin

Hauteur min [%]

Facteur de zoom correspondant à la hauteur de l’élément pour la valeur minimum de la variable (en %).

Plus de détails dans l’aide en ligne.

VT_I4

YZoomViewMax

Hauteur max [%]

Facteur de zoom correspondant à la hauteur de l’élément pour la valeur maximale de la variable (en pixels).

Plus de détails dans l’aide en ligne.

ZT_VARIABLE_DYN

TwistVariable

Variable

Nom de la variable utilisée pour la rotation de l’élément.

Plus de détails dans l’aide en ligne.

VT_R8

TwistVarMin

Valeur min de la variable

Valeur minimum de la variable utilisée pour la rotation de l’élément.

Plus de détails dans l’aide en ligne.

VT_R8

TwistVarMax

Valeur max de la variable

Valeur maximale de la variable utilisée pour la rotation de l’élément.

Plus de détails dans l’aide en ligne.

VT_I4

TwistViewMin

Rotation min [°]

Angle de rotation de l’élément pour la valeur minimum de la variable (en °).

Plus de détails dans l’aide en ligne.

VT_I4

TwistViewMax

Rotation max [°]

Angle de rotation de l’élément pour la valeur maximum de la variable (en °).

Plus de détails dans l’aide en ligne.

ZT_STYLE

ShadowEffectStyle

Style effet cadres/ombres

Affichage et sélection du style de cadre et d’ombre attribué à l’élément.

Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de style.
Si plusieurs éléments ont été sélectionnés, ils peuvent être attribués à un style commun.

Remarque : Seules les propriétés compatibles avec l’élément correspondant sont prises en charge.

Plus de détails dans l’aide en ligne.

VT_BOOL

EnablePunchFrame

Afficher le cadre

A frame around the element can be displayed.
Default: inactive.

ZT_STYLE

GlowEffectStyle

Style effet de rayonnement

Affichage et sélection du style des effets de luminescence attribués à l’élément.

Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de style.
Si plusieurs éléments ont été sélectionnés, ils peuvent être attribués à un style commun.

Remarque : Seules les propriétés compatibles avec l’élément correspondant sont prises en charge.

Plus de détails dans l’aide en ligne.

VT_BOOL

GlowEffectEvent

Actif seulement si cliqué

Disponible uniquement si la propriété Activer est active et l’élément est un bouton.

Active : l’effet de luminescence est uniquement affiché lorsque l’utilisateur clique sur le bouton. Cliquer sur le bouton permet de modifier la couleur, le clignotement ou l’invisibilité de l’effet de luminescence.

Par défaut : Inactive

Plus de détails dans l’aide en ligne.

ZT_VARIABLE_DYN

GlowEffectGlowColorVariable

Variable pour la couleur

Disponible uniquement si la propriété Activer est active. La propriété Coloration doit être activée.

Nom de la variable dont la couleur aux valeurs limites doit influencer la couleur de l’effet de luminescence pour l’élément. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de variables. Vous pouvez également saisir le nom manuellement dans le champ de texte. Si aucune variable n’est liée, la couleur définie dans la propriété Couleur est utilisée.

Par défaut : aucune variable liée

Plus de détails dans l’aide en ligne.

ZT_PREVIEW

GlowEffectGlowColorVariablePreview

Affichage aperçu couleur

Affichage de la valeur limite définie pour la variable de couleur lorsque l’effet de luminescence est actif. Disponible uniquement si l’option Depuis la variable a été configurée pour la propriété Variable pour la couleur.

Un aperçu des propriétés définies pour la valeur limite est affiché dans le champ. Aucun aperçu n’est affiché pour les matrices de réaction.
Cliquez sur le bouton ... pour ouvrir la boîte de dialogue d’affichage des résultats. Les valeurs limite sont uniquement affichées ; elles ne peuvent pas être modifiées. Les modifications doivent être effectuées directement dans les propriétés de la variable pour Valeurs limite.

Plus de détails dans l’aide en ligne.

ZT_VARIABLE_DYN

GlowEffectVisibilityVariable

Variable pour la visibilité

Disponible uniquement si la propriété Activer est active.

Nom de la variable dont la valeur influence la visibilité de l’effet de luminescence. La visibilité est soit reprise des propriétés de valeur limite de cette variable (propriété Visibilité depuis valeur limite active), soit définie par la plage de valeurs définie dans les propriétés Visible de et Visible jusqu'à. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de variables. Vous pouvez également saisir le nom manuellement dans le champ de texte.

Remarque : si aucune variable n’est liée, l’effet de luminescence est toujours visible.

Par défaut : aucune variable liée

Plus de détails dans l’aide en ligne.

ZT_PREVIEW

GlowEffectVisibilityVariablePreview

Affichage aperçu visibilité

Affichage de la valeur limite définie pour la variable de visibilité lorsque l’effet de luminescence est actif. Disponible uniquement si l’option Depuis la variable a été configurée pour la propriété Variable pour la visibilité.

Un aperçu des propriétés définies pour la valeur limite est affiché dans le champ. Aucun aperçu n’est affiché pour les matrices de réaction.
Cliquez sur le bouton ... pour ouvrir la boîte de dialogue d’affichage des résultats. Les valeurs limite sont uniquement affichées ; elles ne peuvent pas être modifiées. Les modifications doivent être effectuées directement dans les propriétés de la variable pour Valeurs limite.

Plus de détails dans l’aide en ligne.

VT_BOOL

GlowEffectVisibilityFromLimit

Visibilité depuis valeur limite

Disponible uniquement si la propriété Activer est active. Vous devez en outre définir une variable dans la propriété Variable pour la visibilité.

Active : La visibilité de l’effet de luminescence est influencée par la propriété de valeur limite de la variable.

Attention : Pour une valeur limite de la variable au moins, la propriété Invisible doit être active.

Inactive : la visibilité est influencée par les propriétés de l’élément.

Plus de détails dans l’aide en ligne.

VT_R8

GlowEffectVisibilityFrom

Visible de

Disponible uniquement si la propriété Activer est active. Vous devez en outre définir une variable dans la propriété Variable pour la visibilité ; la propriété Visibilité depuis valeur limite doit être inactive.

Définit la valeur à partir de laquelle l’effet de luminescence devient visible.
Minimum : valeur la moins élevée autorisée pour la variable liée dans Variable pour la visibilité.
Maximum : valeur la moins élevée autorisée pour la variable liée dans Variable pour la visibilité.
Par défaut : valeur la plus élevée autorisée pour la variable liée dans Variable pour la visibilité.

Plus de détails dans l’aide en ligne.

VT_R8

GlowEffectVisibilityTo

Visible jusqu'à

Disponible uniquement si la propriété Activer est active. Vous devez en outre définir une variable dans la propriété Variable pour la visibilité ; la propriété Visibilité depuis valeur limite doit être inactive.

Définit la valeur jusqu’à laquelle l’effet de luminescence reste visible.
Minimum : valeur la plus basse autorisée pour la variable liée dans Variable pour la visibilité.
Maximum : valeur la plus élevée autorisée pour la variable liée dans Variable pour la visibilité.
Par défaut : valeur la plus élevée autorisée pour la variable liée dans Variable pour la visibilité.

Plus de détails dans l’aide en ligne.

ZT_VARIABLE_DYN

GlowEffectBlinkVariable

Variable pour le clignotement

Variables dont les paramètres de clignotement de l’effet de luminescence aux valeurs limites doivent être repris. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de variables.

Par défaut : aucune variable liée

Plus de détails dans l’aide en ligne.

ZT_PREVIEW

GlowEffectBlinkVariablePreview

Affichage aperçu clignotement

Affichage de la valeur limite définie pour la variable de clignotement lorsque l’effet de luminescence est actif. Disponible uniquement si l’option Depuis la variable a été configurée pour la propriété Variable pour le clignotement.

Un aperçu des propriétés définies pour la valeur limite est affiché dans le champ. Aucun aperçu n’est affiché pour les matrices de réaction.
Cliquez sur le bouton ... pour ouvrir la boîte de dialogue d’affichage des résultats. Les valeurs limite sont uniquement affichées ; elles ne peuvent pas être modifiées. Les modifications doivent être effectuées directement dans les propriétés de la variable pour Valeurs limite.

Plus de détails dans l’aide en ligne.

VT_BOOL

GlowEffectUseBlinkColor

Clignotement depuis valeur limite

Disponible uniquement si la propriété Activer est active. Vous devez en outre définir une variable dans la propriété Variable pour le clignotement.

Active : Reprend, pour l’effet de luminescence, la couleur de clignotement de la valeur limite active pour la variable définie dans la propriété Couleur de clignotement par la limite. Cette propriété agit indépendamment de la propriété Coloration. En cas de clignotement, l’effet de luminescence ne devient pas invisible, mais reprend les paramètres de l’effet de luminescence actif.

Par défaut : Inactive

Plus de détails dans l’aide en ligne.

VT_BOOL

GlowEffect2ndBlinkStateVisible

2 états de clignotement invisibles

Disponible uniquement si la propriété Activer est active. Vous devez en outre définir une variable dans la propriété Variable pour le clignotement ; la propriété Clignotement depuis valeur limite doit être inactive.

Active : En cas de clignotement, l’effet de luminescence ne bascule pas vers l’effet de luminescence actif, mais devient invisible. Ceci permet de basculer entre l’invisibilité et la couleur de clignotement en cas de dépassement de la valeur limite.

Par défaut : Inactive

Plus de détails dans l’aide en ligne.


Angle

Manuel -> Interfaces de programmation -> Modèles d'objet -> Element -> Element-Dynamic properties -> Angle

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Type

VBA/VSTA Name

Display Name

Description

ZT_COLOR

LineColor

Couleur de ligne

Line color of the element.

ZT_STYLE

LineStyle

Style de ligne

Affichage et sélection du style de ligne attribué à l’élément.

Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de style.
Si plusieurs éléments ont été sélectionnés, ils peuvent être attribués à un style commun.

Remarque : Seules les propriétés compatibles avec l’élément correspondant sont prises en charge.

Plus de détails dans l’aide en ligne.

ZT_STYLE

FillStyle

Style de remplissage

Affichage et sélection du style de remplissage attribué à l’élément.

Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de style.
Si plusieurs éléments ont été sélectionnés, ils peuvent être attribués à un style commun.

Remarque : Seules les propriétés compatibles avec l’élément correspondant sont prises en charge.

Plus de détails dans l’aide en ligne.

ZT_VARIABLE_DYN

BackColorVariable2

Affichage aperçu couleur

Affichage de la valeur limite pour la propriété Couleur du dégradé définie pour la variable. Disponible uniquement si l’option Depuis la variable a été configurée pour la propriété Couleur du dégradé.

Un aperçu des propriétés définies pour la valeur limite est affiché dans le champ. Aucun aperçu n’est affiché pour les matrices de réaction.
Cliquez sur le bouton ... pour ouvrir la boîte de dialogue d’affichage des résultats. Les valeurs limite sont uniquement affichées ; elles ne peuvent pas être modifiées. Les modifications doivent être effectuées directement dans les propriétés de la variable pour Valeurs limite.

Plus de détails dans l’aide en ligne.

ZT_PREVIEW

BackColorVariable2Preview

Affichage aperçu couleur

Affichage de la valeur limite pour la propriété Couleur du dégradé définie pour la variable. Disponible uniquement si l’option Depuis la variable a été configurée pour la propriété Couleur du dégradé.

Un aperçu des propriétés définies pour la valeur limite est affiché dans le champ. Aucun aperçu n’est affiché pour les matrices de réaction.
Cliquez sur le bouton ... pour ouvrir la boîte de dialogue d’affichage des résultats. Les valeurs limite sont uniquement affichées ; elles ne peuvent pas être modifiées. Les modifications doivent être effectuées directement dans les propriétés de la variable pour Valeurs limite.

Plus de détails dans l’aide en ligne.

VT_I2

Align

Alignement

Direction of color shift.
horizontal
vertical

VT_UI1

OuterBrightness

Luminosité à l'extérieur

Disponible uniquement si la propriété Par les valeurs de luminosité est active :
Luminosité au niveau du bord extérieur de l’élément.

Plus de détails dans l’aide en ligne.

VT_UI1

InnerBrightness

Luminosité à l'intérieur

Disponible uniquement si la propriété Par les valeurs de luminosité est active :
Luminosité au centre de l’élément.

Plus de détails dans l’aide en ligne.

VT_BOOL

ALCUseColor

Couleur définie par CAL

Disponible uniquement si vous possédez une licence pour la fonctionnalité Coloration Automatique des Lignes (CAL) :
Active : La couleur automatique de la source liée est utilisée.
Inactive : La couleur standard est utilisée.
Par défaut : inactive.

Plus de détails dans l’aide en ligne.

VT_I2

ALCPrecedence

Priorité pour l'affichage

Disponible uniquement si la propriété Couleur définie par CAL est active.

Définit la priorité de l’affichage lorsque l’élément est connecté à plusieurs sources actives.
Plusieurs sources d’alimentation : L’élément est affiché selon les règles de l’alimentation sécurisée.
Source d’alimentation sécurisée : L’élément est affiché selon les règles de l’alimentation sécurisée.
Aucune priorité : Les règles de coloration des paramètres Alimentation multiple et Alimentation sécurisée sont appliquées simultanément, si les deux critères sont satisfaits.

Par défaut : Alimentation multiple
Plus de détails dans l’aide en ligne.

VT_I2

ALCMultiSource

Affichage alimentation multiple

Disponible uniquement si la propriété Couleur définie par CAL est active.
Définit le type d’affichage lorsque l’élément est connecté à plusieurs sources :
Source la plus prioritaire : Seule la couleur de la source la plus prioritaire est utilisée.
Deux sources les plus prioritaires : Les différentes couleurs des deux sources comportant les priorités les plus élevées sont affichées sous forme de trait tireté.
Couleur de remplacement : Couleur de remplacement pour la fonction CAL avec des alimentations multiples.

Par défaut : La source la plus prioritaire

Plus de détails dans l’aide en ligne.

VT_I2

ALCDashLen

Longueur de pointillé fournie plusieurs fois

Disponible uniquement si la propriété Affichage alimentation multiple possède la valeur Deux sources antérieures les plus élevées.

Définit la longueur en pixels du trait tireté associé à la fonction CAL avec une alimentation multiple.

Minimum : 0 (longueur des tirets automatique)

Maximum : 32767

Par défaut : 0

Plus de détails dans l’aide en ligne.

ZT_COLOR

ALCAlternativeColor

Couleur alternative

Disponible uniquement si la propriété Affichage alimentation multiple possède la valeur Couleur de remplacement.

Couleur de remplacement pour la fonction CAL avec des alimentations multiples.

Plus de détails dans l’aide en ligne.

VT_I2

ALCMSecuredSupply

Affichage alimentation sécurisée

Disponible uniquement si Couleur définie par CAL est activée.

Définition de l’affichage de l’alimentation sécurisée :

  • double épaisseur
  • double luminosité
  • normal

Par défaut : normal

Plus de détails dans l’aide en ligne.

VT_BOOL

ALCAlias

Alias

Disponible uniquement si la propriété Couleur définie par CAL est active.

Élément source défini pour la propriété Utiliser alias. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue et sélectionner un élément existant.
Remarque : Les alias ne peuvent pas être utilisés pour des symboles dans la bibliothèque générale de symboles ou la bibliothèque de symboles du projet.

Plus de détails dans l’aide en ligne.

VT_BSTR

ALCAliasName

Alias

Disponible uniquement si la propriété Couleur définie par CAL est active.

Élément source défini pour la propriété Utiliser alias. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue et sélectionner un élément existant.
Remarque : Les alias ne peuvent pas être utilisés pour des symboles dans la bibliothèque générale de symboles ou la bibliothèque de symboles du projet.

Plus de détails dans l’aide en ligne.

VT_R8

ALCReact

Valeur de réactance du câble [Ohm]

Valeur maximale de réactance autorisée de la ligne, en ohms.

Plus de détails dans l’aide en ligne.

VT_R8

ALCResist

Valeur de la résistance de la ligne électrique [Ohm]

Valeur maximale de résistance autorisée de la ligne, en ohms.

Plus de détails dans l’aide en ligne.

VT_R8

ALCLength

Longueur de la ligne [km]

Ligne CAL : longueur de la ligne.

Plus de détails dans l’aide en ligne.

VT_I2

ALCMaxIType

Limite de la capacité de transport de courant

Commutation CAL : valeur limite de la capacité actuelle (sélection fixe/variable).

Plus de détails dans l’aide en ligne.

VT_R8

ALCMaxIVal

Limite fixe de la capacité de transport de courant [A]

Commutation CAL : Capacité de transport de courant définie par une valeur limite.

Plus de détails dans l’aide en ligne.

ZT_VARIABLE_DYN

ALCVarMaxI

Valeur limite dynamique pour la capacité de transport de courant

More...

ALCVarMaxIEx

ALCVarMaxIEx

ZT_VARIABLE_DYN

ALCVarCalcI

Valeur de la mesure du flux de courant calculé

Ligne CAL : Valeur de la mesure du flux de courant calculé.

Plus de détails dans l’aide en ligne.

More...

ALCVarCalcIEx

ALCVarCalcIEx

ALC Leitung: Messwert des berechneten Stromflusses für Export.

Mehr in der Online-Hilfe.

ZT_STYLE

StyleGroup

Groupe de styles

Affichage et sélection du groupe de styles attribué à l’élément.
Cliquez sur le bouton ... pour ouvrir la boîte de dialogue permettant de sélectionner un groupe de styles.
Si plusieurs éléments sont sélectionnés, elles peuvent être attribuées à un groupe de styles commun.

Remarque : Seules les propriétés compatibles avec l’élément correspondant sont prises en charge.

Plus de détails dans l’aide en ligne.

More...

LnClVariable

LnClVariable

"With this property you have the opportunity to get informations about the variable which is linked as ""line/text color"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""LnClVariable.SymVarName"") 'Return the name of the ""line/text color"" variable
zElement.DynProperties (""LnClVariable.SymVarTagNr"") 'Return the identification of the ""line/text color"" variable"

More...

BkClVariable

BkClVariable

"With this property you have the opportunity to get informations about the variable which is linked as ""background/filling color"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""BkClVariable.SymVarName"") 'Return the name of the ""background/filling color"" variable
zElement.DynProperties (""BkClVariable.SymVarTagNr"") 'Return the identification of the ""background/filling color"" variable"

More...

BkCl2Variable

"BkCl2Variable"

More...

XVar

XVar

"With this property you have the opportunity to get informations about the variable which is linked as ""dynamic x position"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""XVar.SymVarName"") 'Return the name of the ""dynamic x position"" variable
zElement.DynProperties (""XVar.SymVarTagNr"") 'Return the identification of the ""dynamic x position"" variable"

More...

YVar

YVar

"With this property you have the opportunity to get informations about the variable which is linked as ""dynamic y position"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""YVar.SymVarName"") 'Return the name of the ""dynamic y position"" variable
zElement.DynProperties (""YVar.SymVarTagNr"") 'Return the identification of the ""dynamic y position"" variable"

More...

XVarZoom

XVarZoom

"With this property you have the opportunity to get informations about the variable which is linked as ""change width"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""XVarZoom.SymVarName"") 'Return the name of the ""change width"" variable
zElement.DynProperties (""XVarZoom.SymVarTagNr"") 'Return the identification of the ""change width"" variable"

More...

YVarZoom

YVarZoom

"With this property you have the opportunity to get informations about the variable which is linked as ""change height"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""YVarZoom.SymVarName"") 'Return the name of the ""change height"" variable
zElement.DynProperties (""YVarZoom.SymVarName"") 'Return the name of the ""change height"" variable
zElement.DynProperties (""YVarZoom.SymVarTagNr"") 'Return the identification of the ""change height"" variable"

More...

TwistVar

TwistVar

"With this property you have the opportunity to get informations about the variable which is linked as ""rotate"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""TwistVar.SymVarName"") 'Return the name of the ""rotate"" variable
zElement.DynProperties (""TwistVar.SymVarTagNr"") 'Return the identification of the ""rotate"" variable"

More...

VisVariable

VisVariable

"With this property you have the opportunity to get informations about the variable which is linked as ""visibility"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""VisVariable.SymVarName"") 'Return the name of the ""visibility"" variable
zElement.DynProperties (""VisVariable.SymVarTagNr"") 'Return the identification of the ""visibility"" variable"

More...

BlinkVar

BlinkVar

More...

GlowEffectGlowColorVar

GlowEffectGlowColorVar

More...

GlowEffectVisibilityVar

GlowEffectVisibilityVar

More...

GlowEffectBlinkVar

GlowEffectBlinkVar

VT_BSTR

Name

Nom d'élément

Attribuez un nom d’élément.
Il ne doit pas être vide.

Attention : Cette propriété n’est pas disponible aux fins de la commutation de langue.

Remarques concernant les cadrans : Pour les conteneurs de synoptique, spécifiez des noms clairement identifiables pour faciliter la sélection lors de la configuration des appels de synoptique.

Plus de détails dans l’aide en ligne.

VT_UI1

Layer

Niveau de visibilité

Sélectionnez l’un des 16 niveaux de visibilité (0 à 15) dans la liste déroulante. À l’aide de la barre d’outils Niveau de visibilité, vous décidez des niveaux qui doivent être affichés dans Editor. Cette fonction garantit que les synoptiques les plus complexes peuvent être développés de manière simple. Les niveaux peuvent être utilisés immédiatement. Les niveaux n’ont aucune influence sur les informations affichées au premier plan ou en arrière-plan dans le Runtime.
Par défaut : 0.

Plus de détails dans l’aide en ligne.

VT_I4

StartX

Point de départ X [pixels]

Coordonnée Y du coin supérieur gauche du synoptique (en pixels).

Plus de détails dans l’aide en ligne.

VT_I4

EndX

Point final X [pixels]

Coordonnée X du coin inférieur droit du synoptique (en pixels).

Plus de détails dans l’aide en ligne.

VT_I4

StartY

Point de départ Y [pixels]

Coordonnée Y du coin supérieur gauche du synoptique (en pixels).

Plus de détails dans l’aide en ligne.

VT_I4

EndY

Point final Y [pixels]

Coordonnée Y du coin inférieur droit du synoptique (en pixels).

Plus de détails dans l’aide en ligne.

VT_I4

Width

Largeur [pixels]

Largeur des éléments en pixels.

Remarque : disponible uniquement pour les éléments Combinaison multiple, Élément combiné, Bouton et Interrupteur si la valeur Ajusté a été sélectionnée pour la propriété Taille du graphique.

Plus de détails dans l’aide en ligne.

VT_I4

Height

Hauteur [pixels]

Hauteur des éléments en pixels.

Remarque : disponible uniquement pour les éléments Combinaison multiple, Élément combiné, Bouton et Interrupteur si la valeur Ajusté a été sélectionnée pour la propriété Taille du graphique.

Plus de détails dans l’aide en ligne.

VT_I4

Angle

Angle de rotation [°]

Angle libre autour selon lequel doit pivoter l’élément.
Les valeurs positives correspondent à une rotation dans le sens antihoraire, tandis que les valeurs négatives correspondent à une rotation dans le sens horaire. Les valeurs supérieures à 360° sont affichées sous forme d’écart par rapport à 360° (400° correspond à 40°). Seuls les nombres entiers sont autorisés.

Sur les éléments pivotés, les actions suivantes ne sont plus possibles :

  • Miroir
  • Rotation de +/- 90°
  • Redimensionnement à l’aide des touches fléchées

Par défaut : 0

Remarque : Ce paramètre est activé et réinitialisé lors de la configuration pour Windows CE.

Plus de détails dans l’aide en ligne.

VT_I2

ZoomMin

Visible de

Incrément de zoom le plus bas auquel l’élément est visible dans la vue globale.
Par défaut : -1
Une valeur de visibilité avec des incréments de zoom de -1 à -1 signifie que l’élément est affiché, quel que soit l’incrément de zoom sélectionné.

Les niveaux de zoom affichés dans la vue globale peuvent être configurés avec la propriété Apparence graphique -> Généralités runtime -> Pas de zoom pour vue globale.

Attention : Ce niveau de zoom s’applique à tous les types de synoptiques et cadres. Si un niveau de zoom défini est supérieur à 0, l’élément est uniquement affiché dans la vue globale, car les autres types de synoptique sont automatiquement appelés avec le niveau de zoom 0.

Plus de détails dans l’aide en ligne.

VT_I2

ZoomMax

Visible jusqu'à

Incrément de zoom le plus élevé auquel l’élément est visible dans la vue globale.

Par défaut : -1
Une valeur de visibilité avec des incréments de zoom de -1 à -1 signifie que l’élément est affiché, quel que soit l’incrément de zoom sélectionné.

Les niveaux de zoom affichés dans la vue globale peuvent être configurés avec la propriété Apparence graphique -> Généralités runtime -> Pas de zoom pour vue globale.

Attention : Ce niveau de zoom s’applique à tous les types de synoptiques et cadres. Si un niveau de zoom défini est supérieur à 0, l’élément est uniquement affiché dans la vue globale, car les autres types de synoptique sont automatiquement appelés avec le niveau de zoom 0.

Plus de détails dans l’aide en ligne.

VT_BSTR

Stationname

Nom liste d'objets

L’élément est saisi directement dans la liste de stations du synoptique Vue globale, et le texte est saisi ici.

Plus de détails dans l’aide en ligne.

ZT_VARIABLE_DYN

LineColorVariable

Couleur de ligne

Nom des variables dont les couleurs de valeur limite doivent influencer la couleur de ligne/de texte de l’élément. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de variables.

Plus de détails dans l’aide en ligne.

ZT_PREVIEW

LineColorVarPreview

Affichage aperçu couleur

Affichage de la valeur limite pour la propriété Couleur de ligne définie pour la variable. Disponible uniquement si l’option Depuis la variable a été configurée pour la propriété Couleur de ligne.

Un aperçu des propriétés définies pour la valeur limite est affiché dans le champ. Aucun aperçu n’est affiché pour les matrices de réaction.
Cliquez sur le bouton ... pour ouvrir la boîte de dialogue d’affichage des résultats. Les valeurs limite sont uniquement affichées ; elles ne peuvent pas être modifiées. Les modifications doivent être effectuées directement dans les propriétés de la variable pour Valeurs limite.

Plus de détails dans l’aide en ligne.

ZT_VARIABLE_DYN

BackColorVariable

Couleur de remplissage

Nom de la variable dont les couleurs de valeur limite doivent influencer la couleur d’arrière-plan/de remplissage de l’élément.
Ouvre la boîte de dialogue de sélection de variables.

Plus de détails dans l’aide en ligne.

ZT_PREVIEW

BackColorVarPreview

Affichage aperçu couleur

Affichage de la valeur limite pour la propriété Couleur de remplissage définie pour la variable. Disponible uniquement si l’option Depuis la variable a été configurée pour la propriété Couleur de remplissage.

Un aperçu des propriétés définies pour la valeur limite est affiché dans le champ. Aucun aperçu n’est affiché pour les matrices de réaction.
Cliquez sur le bouton ... pour ouvrir la boîte de dialogue d’affichage des résultats. Les valeurs limite sont uniquement affichées ; elles ne peuvent pas être modifiées. Les modifications doivent être effectuées directement dans les propriétés de la variable pour Valeurs limite.

Plus de détails dans l’aide en ligne.

VT_UI1

HorizontalOrigin

Horizontal

Point de référence horizontal de l’événement. Les valeurs possibles sont : gauche, centré, droite.
Ce point est utilisé en tant que base de calcul de l’angle de départ de la rotation (statique et dynamique) et pour le changement dynamique de taille.

Par défaut : À gauche

Plus de détails dans l’aide en ligne.

VT_UI1

VerticalOrigin

Vertical

Point de référence vertical de l’événement. Les valeurs possibles sont : haut, centré, bas.
Ce point est utilisé en tant que base de calcul de l’angle de départ de la rotation (statique et dynamique) et pour le changement dynamique de taille.

Par défaut : En haut

Plus de détails dans l’aide en ligne.

VT_UI4

VisibilityType

Visibilité

Sélection depuis laquelle la visibilité d’un élément est déterminée :

  • Depuis une variable
  • Du verrrouillage

Par défaut : Depuis une variable

Plus de détails dans l’aide en ligne.

ZT_VARIABLE_DYN

VisibilityVariable

Variable

Disponible uniquement si l’option Depuis la variable a été configurée pour la propriété Visibilité.

Nom de la variable dont la valeur contrôle la visibilité de l’élément. La visibilité est soit reprise des propriétés de valeur limite de ces variables, soit définie par la plage de valeurs définie dans les propriétés de et À.
Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de variables. Vous pouvez également saisir manuellement le nom dans le champ de texte.
L'élément reste visible tant qu’aucune variable n’est liée.

Plus de détails dans l’aide en ligne.

ZT_PREVIEW

VisVarPreview

Affichage aperçu visibilité

Affichage des valeurs limite pour la visibilité définies pour la variable. Disponible uniquement si l’option Depuis la variable a été configurée pour la propriété Variable dans le groupe Visibilité.

Un aperçu des propriétés définies pour la valeur limite est affiché dans le champ. Aucun aperçu n’est affiché pour les matrices de réaction.
Cliquez sur le bouton ... pour ouvrir la boîte de dialogue d’affichage des résultats. Les valeurs limite sont uniquement affichées ; elles ne peuvent pas être modifiées. Les modifications doivent être effectuées directement dans les propriétés de la variable pour Valeurs limite.

Plus de détails dans l’aide en ligne.

VT_BOOL

VisibilityFromLimit

A partir des valeurs limites

Uniquement disponible après la sélection d’une variable :

  • Active : La visibilité de l’élément est influencée par la propriété de valeur limite de la variable.

    Attention : La propriété Invisible doit être active pour au moins une valeur limite de la variable.

  • Inactive : la visibilité est influencée par les propriétés de l’élément.

Par défaut : active

Plus de détails dans l’aide en ligne.

VT_R8

VisibilityFrom

de

Disponible uniquement après la sélection d’une variable, si la visibilité n’a pas été reprise par la valeur limite :

Valeur minimum de la variable à laquelle l’élément est visible.

  • Minimum : valeur minimum possible de la variable liée.
  • Maximum : valeur maximum possible de la variable liée.

Par défaut : valeur minimum possible de la variable liée.

Plus de détails dans l’aide en ligne.

VT_R8

VisibilityTo

À

Disponible uniquement après la sélection d’une variable, si la visibilité n’a pas été reprise par la valeur limite :

Valeur maximale de la variable à laquelle l’élément est visible.

  • Minimum : valeur minimum possible de la variable liée.
  • Maximum : valeur maximum possible de la variable liée.

Par défaut : valeur maximum possible de la variable liée.

Plus de détails dans l’aide en ligne.

VT_UI4

Interlocking

Verrouillage

Disponible uniquement si l’option Depuis le verrouillage est sélectionnée pour la propriété Visibilité.

Nom du verrouillage dont la valeur contrôle la visibilité de l’élément. Sélectionnez dans la liste déroulante. Celle-ci contient tous les verrouillages existants et utilisables. L’élément est toujours visible si aucun verrouillage n’est lié.

Plus de détails dans l’aide en ligne.

VT_BSTR

InterlockingName

InterlockingName

Description

VT_BOOL

VisibleWhenInterlocked

Visible si verrouillé

Contrôle la visibilité de l’élément lorsque le verrouillage est sélectionné :

  • Active : L’élément est visible s’il est verrouillé.
  • Inactive : L’élément est visible s’il n’est pas verrouillé.

Par défaut : inactive

Plus de détails dans l’aide en ligne.

ZT_VARIABLE_DYN

BlinkVariable

Affichage aperçu clignotement

Affichage des valeurs limite pour le clignotement définies pour la variable. Disponible uniquement si l’option Depuis la variable a été configurée pour la propriété Prendre le clignotement de la limite.

Un aperçu des propriétés définies pour la valeur limite est affiché dans le champ. Aucun aperçu n’est affiché pour les matrices de réaction.
Cliquez sur le bouton ... pour ouvrir la boîte de dialogue d’affichage des résultats. Les valeurs limite sont uniquement affichées ; elles ne peuvent pas être modifiées. Les modifications doivent être effectuées directement dans les propriétés de la variable pour Valeurs limite.

Plus de détails dans l’aide en ligne.

ZT_PREVIEW

BlinkVarPreview

Affichage aperçu clignotement

Affichage des valeurs limite pour le clignotement définies pour la variable. Disponible uniquement si l’option Depuis la variable a été configurée pour la propriété Prendre le clignotement de la limite.

Un aperçu des propriétés définies pour la valeur limite est affiché dans le champ. Aucun aperçu n’est affiché pour les matrices de réaction.
Cliquez sur le bouton ... pour ouvrir la boîte de dialogue d’affichage des résultats. Les valeurs limite sont uniquement affichées ; elles ne peuvent pas être modifiées. Les modifications doivent être effectuées directement dans les propriétés de la variable pour Valeurs limite.

Plus de détails dans l’aide en ligne.

VT_BOOL

UseBlinkColor

Couleur de clignotement par la limite

Active : Reprend la couleur d’arrière-plan du clignotement défini pour la valeur limite active de la variable pour Prendre le clignotement de la limite. Durant le clignotement, l’élément ne devient pas invisible, mais reprend la couleur d’arrière-plan active.

Par défaut : Inactive

Remarque : la couleur n’est pas prise en compte si la couleur d’arrière-plan Transparence est configurée.

Plus de détails dans l’aide en ligne.

ZT_VARIABLE_DYN

XVariable

Variable

Nom de la variable utilisée pour le déplacement horizontal de l’élément.
Ouvre la boîte de dialogue de sélection de variables.

Plus de détails dans l’aide en ligne.

VT_R8

XVarMin

Valeur min de la variable

Valeur minimale de la variable utilisée pour le déplacement horizontal de l’élément.

Plus de détails dans l’aide en ligne.

VT_R8

XVarMax

Valeur max de la variable

Valeur maximale de la variable utilisée pour le déplacement horizontal de l’élément.

Plus de détails dans l’aide en ligne.

VT_I4

XViewMin

Mouvement min [pixels]

Position horizontale de l’élément pour la valeur minimale de la variable (en pixels).

Plus de détails dans l’aide en ligne.

VT_I4

XViewMax

Mouvement max [pixels]

Position horizontale de l’élément pour la valeur minimale de la variable (en pixels).

Plus de détails dans l’aide en ligne.

ZT_VARIABLE_DYN

YVariable

Variable

Nom de la variable utilisée pour le déplacement vertical de l’élément.
Ouvre la boîte de dialogue de sélection de variables.

Plus de détails dans l’aide en ligne.

VT_R8

YVarMin

Valeur min de la variable

Valeur minimale de la variable utilisée pour le déplacement vertical de l’élément.

Plus de détails dans l’aide en ligne.

VT_R8

YVarMax

Valeur max de la variable

Valeur maximale de la variable utilisée pour le déplacement vertical de l’élément.

Plus de détails dans l’aide en ligne.

VT_I4

YViewMin

Mouvement min [pixels]

Position verticale de l’élément pour la valeur minimale de la variable (en pixels).

Plus de détails dans l’aide en ligne.

VT_I4

YViewMax

Mouvement max [pixels]

Position verticale de l’élément pour la valeur maximale de la variable (en pixels).

Plus de détails dans l’aide en ligne.

ZT_VARIABLE_DYN

XZoomVariable

Variable

Nom de la variable utilisée pour l’agrandissement de la largeur de l’élément.
Ouvre la boîte de dialogue de sélection de variables.

Plus de détails dans l’aide en ligne.

VT_R8

XZoomVarMin

Valeur min de la variable

Valeur minimale de la variable utilisée pour effectuer un zoom à la largeur de l’élément.

Plus de détails dans l’aide en ligne.

VT_R8

XZoomVarMax

Valeur max de la variable

Valeur maximale de la variable utilisée pour effectuer un zoom sur la largeur de l’élément.

Plus de détails dans l’aide en ligne.

VT_I4

XZoomViewMin

Largeur min [%]

Facteur de zoom correspondant à la largeur de l’élément pour la valeur minimale de la variable (en pixels).

Plus de détails dans l’aide en ligne.

VT_I4

XZoomViewMax

Largeur max [%]

Facteur de zoom correspondant à la largeur de l’élément pour la valeur maximale de la variable (en pixels).

Plus de détails dans l’aide en ligne.

ZT_VARIABLE_DYN

YZoomVariable

Variable

Nom de la variable utilisée pour l’agrandissement de la hauteur de l’élément.
Ouvre la boîte de dialogue de sélection de variables.

Plus de détails dans l’aide en ligne.

VT_R8

YZoomVarMin

Valeur min de la variable

Valeur minimum de la variable utilisée pour effectuer un zoom sur la hauteur de l’élément.

Plus de détails dans l’aide en ligne.

VT_R8

YZoomVarMax

Valeur max de la variable

Valeur maximum de la variable utilisée pour effectuer un zoom sur la hauteur de l’élément.

Plus de détails dans l’aide en ligne.

VT_I4

YZoomViewMin

Hauteur min [%]

Facteur de zoom correspondant à la hauteur de l’élément pour la valeur minimum de la variable (en %).

Plus de détails dans l’aide en ligne.

VT_I4

YZoomViewMax

Hauteur max [%]

Facteur de zoom correspondant à la hauteur de l’élément pour la valeur maximale de la variable (en pixels).

Plus de détails dans l’aide en ligne.

ZT_VARIABLE_DYN

TwistVariable

Variable

Nom de la variable utilisée pour la rotation de l’élément.

Plus de détails dans l’aide en ligne.

VT_R8

TwistVarMin

Valeur min de la variable

Valeur minimum de la variable utilisée pour la rotation de l’élément.

Plus de détails dans l’aide en ligne.

VT_R8

TwistVarMax

Valeur max de la variable

Valeur maximale de la variable utilisée pour la rotation de l’élément.

Plus de détails dans l’aide en ligne.

VT_I4

TwistViewMin

Rotation min [°]

Angle de rotation de l’élément pour la valeur minimum de la variable (en °).

Plus de détails dans l’aide en ligne.

VT_I4

TwistViewMax

Rotation max [°]

Angle de rotation de l’élément pour la valeur maximum de la variable (en °).

Plus de détails dans l’aide en ligne.

ZT_STYLE

ShadowEffectStyle

Style effet cadres/ombres

Affichage et sélection du style de cadre et d’ombre attribué à l’élément.

Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de style.
Si plusieurs éléments ont été sélectionnés, ils peuvent être attribués à un style commun.

Remarque : Seules les propriétés compatibles avec l’élément correspondant sont prises en charge.

Plus de détails dans l’aide en ligne.

VT_BOOL

EnablePunchFrame

Afficher le cadre

A frame around the element can be displayed.
Default: inactive.

ZT_STYLE

GlowEffectStyle

Style effet de rayonnement

Affichage et sélection du style des effets de luminescence attribués à l’élément.

Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de style.
Si plusieurs éléments ont été sélectionnés, ils peuvent être attribués à un style commun.

Remarque : Seules les propriétés compatibles avec l’élément correspondant sont prises en charge.

Plus de détails dans l’aide en ligne.

VT_BOOL

GlowEffectEvent

Actif seulement si cliqué

Disponible uniquement si la propriété Activer est active et l’élément est un bouton.

Active : l’effet de luminescence est uniquement affiché lorsque l’utilisateur clique sur le bouton. Cliquer sur le bouton permet de modifier la couleur, le clignotement ou l’invisibilité de l’effet de luminescence.

Par défaut : Inactive

Plus de détails dans l’aide en ligne.

ZT_VARIABLE_DYN

GlowEffectGlowColorVariable

Variable pour la couleur

Disponible uniquement si la propriété Activer est active. La propriété Coloration doit être activée.

Nom de la variable dont la couleur aux valeurs limites doit influencer la couleur de l’effet de luminescence pour l’élément. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de variables. Vous pouvez également saisir le nom manuellement dans le champ de texte. Si aucune variable n’est liée, la couleur définie dans la propriété Couleur est utilisée.

Par défaut : aucune variable liée

Plus de détails dans l’aide en ligne.

ZT_PREVIEW

GlowEffectGlowColorVariablePreview

Affichage aperçu couleur

Affichage de la valeur limite définie pour la variable de couleur lorsque l’effet de luminescence est actif. Disponible uniquement si l’option Depuis la variable a été configurée pour la propriété Variable pour la couleur.

Un aperçu des propriétés définies pour la valeur limite est affiché dans le champ. Aucun aperçu n’est affiché pour les matrices de réaction.
Cliquez sur le bouton ... pour ouvrir la boîte de dialogue d’affichage des résultats. Les valeurs limite sont uniquement affichées ; elles ne peuvent pas être modifiées. Les modifications doivent être effectuées directement dans les propriétés de la variable pour Valeurs limite.

Plus de détails dans l’aide en ligne.

ZT_VARIABLE_DYN

GlowEffectVisibilityVariable

Variable pour la visibilité

Disponible uniquement si la propriété Activer est active.

Nom de la variable dont la valeur influence la visibilité de l’effet de luminescence. La visibilité est soit reprise des propriétés de valeur limite de cette variable (propriété Visibilité depuis valeur limite active), soit définie par la plage de valeurs définie dans les propriétés Visible de et Visible jusqu'à. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de variables. Vous pouvez également saisir le nom manuellement dans le champ de texte.

Remarque : si aucune variable n’est liée, l’effet de luminescence est toujours visible.

Par défaut : aucune variable liée

Plus de détails dans l’aide en ligne.

ZT_PREVIEW

GlowEffectVisibilityVariablePreview

Affichage aperçu visibilité

Affichage de la valeur limite définie pour la variable de visibilité lorsque l’effet de luminescence est actif. Disponible uniquement si l’option Depuis la variable a été configurée pour la propriété Variable pour la visibilité.

Un aperçu des propriétés définies pour la valeur limite est affiché dans le champ. Aucun aperçu n’est affiché pour les matrices de réaction.
Cliquez sur le bouton ... pour ouvrir la boîte de dialogue d’affichage des résultats. Les valeurs limite sont uniquement affichées ; elles ne peuvent pas être modifiées. Les modifications doivent être effectuées directement dans les propriétés de la variable pour Valeurs limite.

Plus de détails dans l’aide en ligne.

VT_BOOL

GlowEffectVisibilityFromLimit

Visibilité depuis valeur limite

Disponible uniquement si la propriété Activer est active. Vous devez en outre définir une variable dans la propriété Variable pour la visibilité.

Active : La visibilité de l’effet de luminescence est influencée par la propriété de valeur limite de la variable.

Attention : Pour une valeur limite de la variable au moins, la propriété Invisible doit être active.

Inactive : la visibilité est influencée par les propriétés de l’élément.

Plus de détails dans l’aide en ligne.

VT_R8

GlowEffectVisibilityFrom

Visible de

Disponible uniquement si la propriété Activer est active. Vous devez en outre définir une variable dans la propriété Variable pour la visibilité ; la propriété Visibilité depuis valeur limite doit être inactive.

Définit la valeur à partir de laquelle l’effet de luminescence devient visible.
Minimum : valeur la moins élevée autorisée pour la variable liée dans Variable pour la visibilité.
Maximum : valeur la moins élevée autorisée pour la variable liée dans Variable pour la visibilité.
Par défaut : valeur la plus élevée autorisée pour la variable liée dans Variable pour la visibilité.

Plus de détails dans l’aide en ligne.

VT_R8

GlowEffectVisibilityTo

Visible jusqu'à

Disponible uniquement si la propriété Activer est active. Vous devez en outre définir une variable dans la propriété Variable pour la visibilité ; la propriété Visibilité depuis valeur limite doit être inactive.

Définit la valeur jusqu’à laquelle l’effet de luminescence reste visible.
Minimum : valeur la plus basse autorisée pour la variable liée dans Variable pour la visibilité.
Maximum : valeur la plus élevée autorisée pour la variable liée dans Variable pour la visibilité.
Par défaut : valeur la plus élevée autorisée pour la variable liée dans Variable pour la visibilité.

Plus de détails dans l’aide en ligne.

ZT_VARIABLE_DYN

GlowEffectBlinkVariable

Variable pour le clignotement

Variables dont les paramètres de clignotement de l’effet de luminescence aux valeurs limites doivent être repris. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de variables.

Par défaut : aucune variable liée

Plus de détails dans l’aide en ligne.

ZT_PREVIEW

GlowEffectBlinkVariablePreview

Affichage aperçu clignotement

Affichage de la valeur limite définie pour la variable de clignotement lorsque l’effet de luminescence est actif. Disponible uniquement si l’option Depuis la variable a été configurée pour la propriété Variable pour le clignotement.

Un aperçu des propriétés définies pour la valeur limite est affiché dans le champ. Aucun aperçu n’est affiché pour les matrices de réaction.
Cliquez sur le bouton ... pour ouvrir la boîte de dialogue d’affichage des résultats. Les valeurs limite sont uniquement affichées ; elles ne peuvent pas être modifiées. Les modifications doivent être effectuées directement dans les propriétés de la variable pour Valeurs limite.

Plus de détails dans l’aide en ligne.

VT_BOOL

GlowEffectUseBlinkColor

Clignotement depuis valeur limite

Disponible uniquement si la propriété Activer est active. Vous devez en outre définir une variable dans la propriété Variable pour le clignotement.

Active : Reprend, pour l’effet de luminescence, la couleur de clignotement de la valeur limite active pour la variable définie dans la propriété Couleur de clignotement par la limite. Cette propriété agit indépendamment de la propriété Coloration. En cas de clignotement, l’effet de luminescence ne devient pas invisible, mais reprend les paramètres de l’effet de luminescence actif.

Par défaut : Inactive

Plus de détails dans l’aide en ligne.

VT_BOOL

GlowEffect2ndBlinkStateVisible

2 états de clignotement invisibles

Disponible uniquement si la propriété Activer est active. Vous devez en outre définir une variable dans la propriété Variable pour le clignotement ; la propriété Clignotement depuis valeur limite doit être inactive.

Active : En cas de clignotement, l’effet de luminescence ne bascule pas vers l’effet de luminescence actif, mais devient invisible. Ceci permet de basculer entre l’invisibilité et la couleur de clignotement en cas de dépassement de la valeur limite.

Par défaut : Inactive

Plus de détails dans l’aide en ligne.


Arc of circle

Manuel -> Interfaces de programmation -> Modèles d'objet -> Element -> Element-Dynamic properties -> Arc of circle

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Type

VBA/VSTA Name

Display Name

Description

ZT_COLOR

LineColor

Couleur de ligne

Line color of the element.

ZT_STYLE

LineStyle

Style de ligne

Affichage et sélection du style de ligne attribué à l’élément.

Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de style.
Si plusieurs éléments ont été sélectionnés, ils peuvent être attribués à un style commun.

Remarque : Seules les propriétés compatibles avec l’élément correspondant sont prises en charge.

Plus de détails dans l’aide en ligne.

VT_I2

Align

Alignement

Direction of color shift.
horizontal
vertical

VT_I2

Shifted

Gradient de couleur 'décalé'

Wie weit soll der Lichteffekt von der Mitte des Elements versetzt sein.

Mehr im Online-Handbuch

VT_BOOL

Brightness

Par les valeurs de luminosité

Disponible uniquement si l’élément Remplissage (type) a été sélectionné pour la propriété Dégradé de couleurs.

Active : la luminosité du dégradé de couleurs peut être librement définie.
Inactive : la luminosité du dégradé de couleurs est définie automatiquement.

Remarque : le motif de remplissage ne peut plus être modifié si cette propriété est active. Il est également impossible de définir des coins arrondis. Si cette option est activée pour un élément utilisant des coins arrondis, l’élément est affiché avec des coins non arrondis.

Plus de détails dans l’aide en ligne.

VT_UI1

OuterBrightness

Luminosité à l'extérieur

Disponible uniquement si la propriété Par les valeurs de luminosité est active :
Luminosité au niveau du bord extérieur de l’élément.

Plus de détails dans l’aide en ligne.

VT_UI1

InnerBrightness

Luminosité à l'intérieur

Disponible uniquement si la propriété Par les valeurs de luminosité est active :
Luminosité au centre de l’élément.

Plus de détails dans l’aide en ligne.

VT_BOOL

ALCUseColor

Couleur définie par CAL

Disponible uniquement si vous possédez une licence pour la fonctionnalité Coloration Automatique des Lignes (CAL) :
Active : La couleur automatique de la source liée est utilisée.
Inactive : La couleur standard est utilisée.
Par défaut : inactive.

Plus de détails dans l’aide en ligne.

VT_I2

ALCPrecedence

Priorité pour l'affichage

Disponible uniquement si la propriété Couleur définie par CAL est active.

Définit la priorité de l’affichage lorsque l’élément est connecté à plusieurs sources actives.
Plusieurs sources d’alimentation : L’élément est affiché selon les règles de l’alimentation sécurisée.
Source d’alimentation sécurisée : L’élément est affiché selon les règles de l’alimentation sécurisée.
Aucune priorité : Les règles de coloration des paramètres Alimentation multiple et Alimentation sécurisée sont appliquées simultanément, si les deux critères sont satisfaits.

Par défaut : Alimentation multiple
Plus de détails dans l’aide en ligne.

VT_I2

ALCMultiSource

Affichage alimentation multiple

Disponible uniquement si la propriété Couleur définie par CAL est active.
Définit le type d’affichage lorsque l’élément est connecté à plusieurs sources :
Source la plus prioritaire : Seule la couleur de la source la plus prioritaire est utilisée.
Deux sources les plus prioritaires : Les différentes couleurs des deux sources comportant les priorités les plus élevées sont affichées sous forme de trait tireté.
Couleur de remplacement : Couleur de remplacement pour la fonction CAL avec des alimentations multiples.

Par défaut : La source la plus prioritaire

Plus de détails dans l’aide en ligne.

VT_I2

ALCDashLen

Longueur de pointillé fournie plusieurs fois

Disponible uniquement si la propriété Affichage alimentation multiple possède la valeur Deux sources antérieures les plus élevées.

Définit la longueur en pixels du trait tireté associé à la fonction CAL avec une alimentation multiple.

Minimum : 0 (longueur des tirets automatique)

Maximum : 32767

Par défaut : 0

Plus de détails dans l’aide en ligne.

ZT_COLOR

ALCAlternativeColor

Couleur alternative

Disponible uniquement si la propriété Affichage alimentation multiple possède la valeur Couleur de remplacement.

Couleur de remplacement pour la fonction CAL avec des alimentations multiples.

Plus de détails dans l’aide en ligne.

VT_I2

ALCMSecuredSupply

Affichage alimentation sécurisée

Disponible uniquement si Couleur définie par CAL est activée.

Définition de l’affichage de l’alimentation sécurisée :

  • double épaisseur
  • double luminosité
  • normal

Par défaut : normal

Plus de détails dans l’aide en ligne.

VT_BOOL

ALCAlias

Alias

Disponible uniquement si la propriété Couleur définie par CAL est active.

Élément source défini pour la propriété Utiliser alias. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue et sélectionner un élément existant.
Remarque : Les alias ne peuvent pas être utilisés pour des symboles dans la bibliothèque générale de symboles ou la bibliothèque de symboles du projet.

Plus de détails dans l’aide en ligne.

VT_BSTR

ALCAliasName

Alias

Disponible uniquement si la propriété Couleur définie par CAL est active.

Élément source défini pour la propriété Utiliser alias. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue et sélectionner un élément existant.
Remarque : Les alias ne peuvent pas être utilisés pour des symboles dans la bibliothèque générale de symboles ou la bibliothèque de symboles du projet.

Plus de détails dans l’aide en ligne.

VT_R8

ALCReact

Valeur de réactance du câble [Ohm]

Valeur maximale de réactance autorisée de la ligne, en ohms.

Plus de détails dans l’aide en ligne.

VT_R8

ALCResist

Valeur de la résistance de la ligne électrique [Ohm]

Valeur maximale de résistance autorisée de la ligne, en ohms.

Plus de détails dans l’aide en ligne.

VT_R8

ALCLength

Longueur de la ligne [km]

Ligne CAL : longueur de la ligne.

Plus de détails dans l’aide en ligne.

VT_I2

ALCMaxIType

Limite de la capacité de transport de courant

Commutation CAL : valeur limite de la capacité actuelle (sélection fixe/variable).

Plus de détails dans l’aide en ligne.

VT_R8

ALCMaxIVal

Limite fixe de la capacité de transport de courant [A]

Commutation CAL : Capacité de transport de courant définie par une valeur limite.

Plus de détails dans l’aide en ligne.

ZT_VARIABLE_DYN

ALCVarMaxI

Valeur limite dynamique pour la capacité de transport de courant

More...

ALCVarMaxIEx

ALCVarMaxIEx

ZT_VARIABLE_DYN

ALCVarCalcI

Valeur de la mesure du flux de courant calculé

Ligne CAL : Valeur de la mesure du flux de courant calculé.

Plus de détails dans l’aide en ligne.

More...

ALCVarCalcIEx

ALCVarCalcIEx

ALC Leitung: Messwert des berechneten Stromflusses für Export.

Mehr in der Online-Hilfe.

ZT_STYLE

StyleGroup

Groupe de styles

Affichage et sélection du groupe de styles attribué à l’élément.
Cliquez sur le bouton ... pour ouvrir la boîte de dialogue permettant de sélectionner un groupe de styles.
Si plusieurs éléments sont sélectionnés, elles peuvent être attribuées à un groupe de styles commun.

Remarque : Seules les propriétés compatibles avec l’élément correspondant sont prises en charge.

Plus de détails dans l’aide en ligne.

More...

LnClVariable

LnClVariable

"With this property you have the opportunity to get informations about the variable which is linked as ""line/text color"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""LnClVariable.SymVarName"") 'Return the name of the ""line/text color"" variable
zElement.DynProperties (""LnClVariable.SymVarTagNr"") 'Return the identification of the ""line/text color"" variable"

More...

BkClVariable

BkClVariable

"With this property you have the opportunity to get informations about the variable which is linked as ""background/filling color"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""BkClVariable.SymVarName"") 'Return the name of the ""background/filling color"" variable
zElement.DynProperties (""BkClVariable.SymVarTagNr"") 'Return the identification of the ""background/filling color"" variable"

More...

BkCl2Variable

"BkCl2Variable"

More...

XVar

XVar

"With this property you have the opportunity to get informations about the variable which is linked as ""dynamic x position"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""XVar.SymVarName"") 'Return the name of the ""dynamic x position"" variable
zElement.DynProperties (""XVar.SymVarTagNr"") 'Return the identification of the ""dynamic x position"" variable"

More...

YVar

YVar

"With this property you have the opportunity to get informations about the variable which is linked as ""dynamic y position"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""YVar.SymVarName"") 'Return the name of the ""dynamic y position"" variable
zElement.DynProperties (""YVar.SymVarTagNr"") 'Return the identification of the ""dynamic y position"" variable"

More...

XVarZoom

XVarZoom

"With this property you have the opportunity to get informations about the variable which is linked as ""change width"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""XVarZoom.SymVarName"") 'Return the name of the ""change width"" variable
zElement.DynProperties (""XVarZoom.SymVarTagNr"") 'Return the identification of the ""change width"" variable"

More...

YVarZoom

YVarZoom

"With this property you have the opportunity to get informations about the variable which is linked as ""change height"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""YVarZoom.SymVarName"") 'Return the name of the ""change height"" variable
zElement.DynProperties (""YVarZoom.SymVarName"") 'Return the name of the ""change height"" variable
zElement.DynProperties (""YVarZoom.SymVarTagNr"") 'Return the identification of the ""change height"" variable"

More...

TwistVar

TwistVar

"With this property you have the opportunity to get informations about the variable which is linked as ""rotate"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""TwistVar.SymVarName"") 'Return the name of the ""rotate"" variable
zElement.DynProperties (""TwistVar.SymVarTagNr"") 'Return the identification of the ""rotate"" variable"

More...

VisVariable

VisVariable

"With this property you have the opportunity to get informations about the variable which is linked as ""visibility"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""VisVariable.SymVarName"") 'Return the name of the ""visibility"" variable
zElement.DynProperties (""VisVariable.SymVarTagNr"") 'Return the identification of the ""visibility"" variable"

More...

BlinkVar

BlinkVar

More...

GlowEffectGlowColorVar

GlowEffectGlowColorVar

More...

GlowEffectVisibilityVar

GlowEffectVisibilityVar

More...

GlowEffectBlinkVar

GlowEffectBlinkVar

VT_BSTR

Name

Nom d'élément

Attribuez un nom d’élément.
Il ne doit pas être vide.

Attention : Cette propriété n’est pas disponible aux fins de la commutation de langue.

Remarques concernant les cadrans : Pour les conteneurs de synoptique, spécifiez des noms clairement identifiables pour faciliter la sélection lors de la configuration des appels de synoptique.

Plus de détails dans l’aide en ligne.

VT_UI1

Layer

Niveau de visibilité

Sélectionnez l’un des 16 niveaux de visibilité (0 à 15) dans la liste déroulante. À l’aide de la barre d’outils Niveau de visibilité, vous décidez des niveaux qui doivent être affichés dans Editor. Cette fonction garantit que les synoptiques les plus complexes peuvent être développés de manière simple. Les niveaux peuvent être utilisés immédiatement. Les niveaux n’ont aucune influence sur les informations affichées au premier plan ou en arrière-plan dans le Runtime.
Par défaut : 0.

Plus de détails dans l’aide en ligne.

VT_I4

StartX

Point de départ X [pixels]

Coordonnée Y du coin supérieur gauche du synoptique (en pixels).

Plus de détails dans l’aide en ligne.

VT_I4

EndX

Point final X [pixels]

Coordonnée X du coin inférieur droit du synoptique (en pixels).

Plus de détails dans l’aide en ligne.

VT_I4

StartY

Point de départ Y [pixels]

Coordonnée Y du coin supérieur gauche du synoptique (en pixels).

Plus de détails dans l’aide en ligne.

VT_I4

EndY

Point final Y [pixels]

Coordonnée Y du coin inférieur droit du synoptique (en pixels).

Plus de détails dans l’aide en ligne.

VT_I4

Width

Largeur [pixels]

Largeur des éléments en pixels.

Remarque : disponible uniquement pour les éléments Combinaison multiple, Élément combiné, Bouton et Interrupteur si la valeur Ajusté a été sélectionnée pour la propriété Taille du graphique.

Plus de détails dans l’aide en ligne.

VT_I4

Height

Hauteur [pixels]

Hauteur des éléments en pixels.

Remarque : disponible uniquement pour les éléments Combinaison multiple, Élément combiné, Bouton et Interrupteur si la valeur Ajusté a été sélectionnée pour la propriété Taille du graphique.

Plus de détails dans l’aide en ligne.

VT_I4

Angle

Angle de rotation [°]

Angle libre autour selon lequel doit pivoter l’élément.
Les valeurs positives correspondent à une rotation dans le sens antihoraire, tandis que les valeurs négatives correspondent à une rotation dans le sens horaire. Les valeurs supérieures à 360° sont affichées sous forme d’écart par rapport à 360° (400° correspond à 40°). Seuls les nombres entiers sont autorisés.

Sur les éléments pivotés, les actions suivantes ne sont plus possibles :

  • Miroir
  • Rotation de +/- 90°
  • Redimensionnement à l’aide des touches fléchées

Par défaut : 0

Remarque : Ce paramètre est activé et réinitialisé lors de la configuration pour Windows CE.

Plus de détails dans l’aide en ligne.

VT_I2

ZoomMin

Visible de

Incrément de zoom le plus bas auquel l’élément est visible dans la vue globale.
Par défaut : -1
Une valeur de visibilité avec des incréments de zoom de -1 à -1 signifie que l’élément est affiché, quel que soit l’incrément de zoom sélectionné.

Les niveaux de zoom affichés dans la vue globale peuvent être configurés avec la propriété Apparence graphique -> Généralités runtime -> Pas de zoom pour vue globale.

Attention : Ce niveau de zoom s’applique à tous les types de synoptiques et cadres. Si un niveau de zoom défini est supérieur à 0, l’élément est uniquement affiché dans la vue globale, car les autres types de synoptique sont automatiquement appelés avec le niveau de zoom 0.

Plus de détails dans l’aide en ligne.

VT_I2

ZoomMax

Visible jusqu'à

Incrément de zoom le plus élevé auquel l’élément est visible dans la vue globale.

Par défaut : -1
Une valeur de visibilité avec des incréments de zoom de -1 à -1 signifie que l’élément est affiché, quel que soit l’incrément de zoom sélectionné.

Les niveaux de zoom affichés dans la vue globale peuvent être configurés avec la propriété Apparence graphique -> Généralités runtime -> Pas de zoom pour vue globale.

Attention : Ce niveau de zoom s’applique à tous les types de synoptiques et cadres. Si un niveau de zoom défini est supérieur à 0, l’élément est uniquement affiché dans la vue globale, car les autres types de synoptique sont automatiquement appelés avec le niveau de zoom 0.

Plus de détails dans l’aide en ligne.

VT_BSTR

Stationname

Nom liste d'objets

L’élément est saisi directement dans la liste de stations du synoptique Vue globale, et le texte est saisi ici.

Plus de détails dans l’aide en ligne.

ZT_VARIABLE_DYN

LineColorVariable

Couleur de ligne

Nom des variables dont les couleurs de valeur limite doivent influencer la couleur de ligne/de texte de l’élément. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de variables.

Plus de détails dans l’aide en ligne.

ZT_PREVIEW

LineColorVarPreview

Affichage aperçu couleur

Affichage de la valeur limite pour la propriété Couleur de ligne définie pour la variable. Disponible uniquement si l’option Depuis la variable a été configurée pour la propriété Couleur de ligne.

Un aperçu des propriétés définies pour la valeur limite est affiché dans le champ. Aucun aperçu n’est affiché pour les matrices de réaction.
Cliquez sur le bouton ... pour ouvrir la boîte de dialogue d’affichage des résultats. Les valeurs limite sont uniquement affichées ; elles ne peuvent pas être modifiées. Les modifications doivent être effectuées directement dans les propriétés de la variable pour Valeurs limite.

Plus de détails dans l’aide en ligne.

VT_UI1

HorizontalOrigin

Horizontal

Point de référence horizontal de l’événement. Les valeurs possibles sont : gauche, centré, droite.
Ce point est utilisé en tant que base de calcul de l’angle de départ de la rotation (statique et dynamique) et pour le changement dynamique de taille.

Par défaut : À gauche

Plus de détails dans l’aide en ligne.

VT_UI1

VerticalOrigin

Vertical

Point de référence vertical de l’événement. Les valeurs possibles sont : haut, centré, bas.
Ce point est utilisé en tant que base de calcul de l’angle de départ de la rotation (statique et dynamique) et pour le changement dynamique de taille.

Par défaut : En haut

Plus de détails dans l’aide en ligne.

VT_UI4

VisibilityType

Visibilité

Sélection depuis laquelle la visibilité d’un élément est déterminée :

  • Depuis une variable
  • Du verrrouillage

Par défaut : Depuis une variable

Plus de détails dans l’aide en ligne.

ZT_VARIABLE_DYN

VisibilityVariable

Variable

Disponible uniquement si l’option Depuis la variable a été configurée pour la propriété Visibilité.

Nom de la variable dont la valeur contrôle la visibilité de l’élément. La visibilité est soit reprise des propriétés de valeur limite de ces variables, soit définie par la plage de valeurs définie dans les propriétés de et À.
Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de variables. Vous pouvez également saisir manuellement le nom dans le champ de texte.
L'élément reste visible tant qu’aucune variable n’est liée.

Plus de détails dans l’aide en ligne.

ZT_PREVIEW

VisVarPreview

Affichage aperçu visibilité

Affichage des valeurs limite pour la visibilité définies pour la variable. Disponible uniquement si l’option Depuis la variable a été configurée pour la propriété Variable dans le groupe Visibilité.

Un aperçu des propriétés définies pour la valeur limite est affiché dans le champ. Aucun aperçu n’est affiché pour les matrices de réaction.
Cliquez sur le bouton ... pour ouvrir la boîte de dialogue d’affichage des résultats. Les valeurs limite sont uniquement affichées ; elles ne peuvent pas être modifiées. Les modifications doivent être effectuées directement dans les propriétés de la variable pour Valeurs limite.

Plus de détails dans l’aide en ligne.

VT_BOOL

VisibilityFromLimit

A partir des valeurs limites

Uniquement disponible après la sélection d’une variable :

  • Active : La visibilité de l’élément est influencée par la propriété de valeur limite de la variable.

    Attention : La propriété Invisible doit être active pour au moins une valeur limite de la variable.

  • Inactive : la visibilité est influencée par les propriétés de l’élément.

Par défaut : active

Plus de détails dans l’aide en ligne.

VT_R8

VisibilityFrom

de

Disponible uniquement après la sélection d’une variable, si la visibilité n’a pas été reprise par la valeur limite :

Valeur minimum de la variable à laquelle l’élément est visible.

  • Minimum : valeur minimum possible de la variable liée.
  • Maximum : valeur maximum possible de la variable liée.

Par défaut : valeur minimum possible de la variable liée.

Plus de détails dans l’aide en ligne.

VT_R8

VisibilityTo

À

Disponible uniquement après la sélection d’une variable, si la visibilité n’a pas été reprise par la valeur limite :

Valeur maximale de la variable à laquelle l’élément est visible.

  • Minimum : valeur minimum possible de la variable liée.
  • Maximum : valeur maximum possible de la variable liée.

Par défaut : valeur maximum possible de la variable liée.

Plus de détails dans l’aide en ligne.

VT_UI4

Interlocking

Verrouillage

Disponible uniquement si l’option Depuis le verrouillage est sélectionnée pour la propriété Visibilité.

Nom du verrouillage dont la valeur contrôle la visibilité de l’élément. Sélectionnez dans la liste déroulante. Celle-ci contient tous les verrouillages existants et utilisables. L’élément est toujours visible si aucun verrouillage n’est lié.

Plus de détails dans l’aide en ligne.

VT_BSTR

InterlockingName

InterlockingName

Description

VT_BOOL

VisibleWhenInterlocked

Visible si verrouillé

Contrôle la visibilité de l’élément lorsque le verrouillage est sélectionné :

  • Active : L’élément est visible s’il est verrouillé.
  • Inactive : L’élément est visible s’il n’est pas verrouillé.

Par défaut : inactive

Plus de détails dans l’aide en ligne.

ZT_VARIABLE_DYN

BlinkVariable

Affichage aperçu clignotement

Affichage des valeurs limite pour le clignotement définies pour la variable. Disponible uniquement si l’option Depuis la variable a été configurée pour la propriété Prendre le clignotement de la limite.

Un aperçu des propriétés définies pour la valeur limite est affiché dans le champ. Aucun aperçu n’est affiché pour les matrices de réaction.
Cliquez sur le bouton ... pour ouvrir la boîte de dialogue d’affichage des résultats. Les valeurs limite sont uniquement affichées ; elles ne peuvent pas être modifiées. Les modifications doivent être effectuées directement dans les propriétés de la variable pour Valeurs limite.

Plus de détails dans l’aide en ligne.

ZT_PREVIEW

BlinkVarPreview

Affichage aperçu clignotement

Affichage des valeurs limite pour le clignotement définies pour la variable. Disponible uniquement si l’option Depuis la variable a été configurée pour la propriété Prendre le clignotement de la limite.

Un aperçu des propriétés définies pour la valeur limite est affiché dans le champ. Aucun aperçu n’est affiché pour les matrices de réaction.
Cliquez sur le bouton ... pour ouvrir la boîte de dialogue d’affichage des résultats. Les valeurs limite sont uniquement affichées ; elles ne peuvent pas être modifiées. Les modifications doivent être effectuées directement dans les propriétés de la variable pour Valeurs limite.

Plus de détails dans l’aide en ligne.

ZT_VARIABLE_DYN

XVariable

Variable

Nom de la variable utilisée pour le déplacement horizontal de l’élément.
Ouvre la boîte de dialogue de sélection de variables.

Plus de détails dans l’aide en ligne.

VT_R8

XVarMin

Valeur min de la variable

Valeur minimale de la variable utilisée pour le déplacement horizontal de l’élément.

Plus de détails dans l’aide en ligne.

VT_R8

XVarMax

Valeur max de la variable

Valeur maximale de la variable utilisée pour le déplacement horizontal de l’élément.

Plus de détails dans l’aide en ligne.

VT_I4

XViewMin

Mouvement min [pixels]

Position horizontale de l’élément pour la valeur minimale de la variable (en pixels).

Plus de détails dans l’aide en ligne.

VT_I4

XViewMax

Mouvement max [pixels]

Position horizontale de l’élément pour la valeur minimale de la variable (en pixels).

Plus de détails dans l’aide en ligne.

ZT_VARIABLE_DYN

YVariable

Variable

Nom de la variable utilisée pour le déplacement vertical de l’élément.
Ouvre la boîte de dialogue de sélection de variables.

Plus de détails dans l’aide en ligne.

VT_R8

YVarMin

Valeur min de la variable

Valeur minimale de la variable utilisée pour le déplacement vertical de l’élément.

Plus de détails dans l’aide en ligne.

VT_R8

YVarMax

Valeur max de la variable

Valeur maximale de la variable utilisée pour le déplacement vertical de l’élément.

Plus de détails dans l’aide en ligne.

VT_I4

YViewMin

Mouvement min [pixels]

Position verticale de l’élément pour la valeur minimale de la variable (en pixels).

Plus de détails dans l’aide en ligne.

VT_I4

YViewMax

Mouvement max [pixels]

Position verticale de l’élément pour la valeur maximale de la variable (en pixels).

Plus de détails dans l’aide en ligne.

ZT_VARIABLE_DYN

XZoomVariable

Variable

Nom de la variable utilisée pour l’agrandissement de la largeur de l’élément.
Ouvre la boîte de dialogue de sélection de variables.

Plus de détails dans l’aide en ligne.

VT_R8

XZoomVarMin

Valeur min de la variable

Valeur minimale de la variable utilisée pour effectuer un zoom à la largeur de l’élément.

Plus de détails dans l’aide en ligne.

VT_R8

XZoomVarMax

Valeur max de la variable

Valeur maximale de la variable utilisée pour effectuer un zoom sur la largeur de l’élément.

Plus de détails dans l’aide en ligne.

VT_I4

XZoomViewMin

Largeur min [%]

Facteur de zoom correspondant à la largeur de l’élément pour la valeur minimale de la variable (en pixels).

Plus de détails dans l’aide en ligne.

VT_I4

XZoomViewMax

Largeur max [%]

Facteur de zoom correspondant à la largeur de l’élément pour la valeur maximale de la variable (en pixels).

Plus de détails dans l’aide en ligne.

ZT_VARIABLE_DYN

YZoomVariable

Variable

Nom de la variable utilisée pour l’agrandissement de la hauteur de l’élément.
Ouvre la boîte de dialogue de sélection de variables.

Plus de détails dans l’aide en ligne.

VT_R8

YZoomVarMin

Valeur min de la variable

Valeur minimum de la variable utilisée pour effectuer un zoom sur la hauteur de l’élément.

Plus de détails dans l’aide en ligne.

VT_R8

YZoomVarMax

Valeur max de la variable

Valeur maximum de la variable utilisée pour effectuer un zoom sur la hauteur de l’élément.

Plus de détails dans l’aide en ligne.

VT_I4

YZoomViewMin

Hauteur min [%]

Facteur de zoom correspondant à la hauteur de l’élément pour la valeur minimum de la variable (en %).

Plus de détails dans l’aide en ligne.

VT_I4

YZoomViewMax

Hauteur max [%]

Facteur de zoom correspondant à la hauteur de l’élément pour la valeur maximale de la variable (en pixels).

Plus de détails dans l’aide en ligne.

ZT_VARIABLE_DYN

TwistVariable

Variable

Nom de la variable utilisée pour la rotation de l’élément.

Plus de détails dans l’aide en ligne.

VT_R8

TwistVarMin

Valeur min de la variable

Valeur minimum de la variable utilisée pour la rotation de l’élément.

Plus de détails dans l’aide en ligne.

VT_R8

TwistVarMax

Valeur max de la variable

Valeur maximale de la variable utilisée pour la rotation de l’élément.

Plus de détails dans l’aide en ligne.

VT_I4

TwistViewMin

Rotation min [°]

Angle de rotation de l’élément pour la valeur minimum de la variable (en °).

Plus de détails dans l’aide en ligne.

VT_I4

TwistViewMax

Rotation max [°]

Angle de rotation de l’élément pour la valeur maximum de la variable (en °).

Plus de détails dans l’aide en ligne.

ZT_STYLE

ShadowEffectStyle

Style effet cadres/ombres

Affichage et sélection du style de cadre et d’ombre attribué à l’élément.

Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de style.
Si plusieurs éléments ont été sélectionnés, ils peuvent être attribués à un style commun.

Remarque : Seules les propriétés compatibles avec l’élément correspondant sont prises en charge.

Plus de détails dans l’aide en ligne.

VT_BOOL

EnablePunchFrame

Afficher le cadre

A frame around the element can be displayed.
Default: inactive.

ZT_STYLE

GlowEffectStyle

Style effet de rayonnement

Affichage et sélection du style des effets de luminescence attribués à l’élément.

Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de style.
Si plusieurs éléments ont été sélectionnés, ils peuvent être attribués à un style commun.

Remarque : Seules les propriétés compatibles avec l’élément correspondant sont prises en charge.

Plus de détails dans l’aide en ligne.

VT_BOOL

GlowEffectEvent

Actif seulement si cliqué

Disponible uniquement si la propriété Activer est active et l’élément est un bouton.

Active : l’effet de luminescence est uniquement affiché lorsque l’utilisateur clique sur le bouton. Cliquer sur le bouton permet de modifier la couleur, le clignotement ou l’invisibilité de l’effet de luminescence.

Par défaut : Inactive

Plus de détails dans l’aide en ligne.

ZT_VARIABLE_DYN

GlowEffectGlowColorVariable

Variable pour la couleur

Disponible uniquement si la propriété Activer est active. La propriété Coloration doit être activée.

Nom de la variable dont la couleur aux valeurs limites doit influencer la couleur de l’effet de luminescence pour l’élément. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de variables. Vous pouvez également saisir le nom manuellement dans le champ de texte. Si aucune variable n’est liée, la couleur définie dans la propriété Couleur est utilisée.

Par défaut : aucune variable liée

Plus de détails dans l’aide en ligne.

ZT_PREVIEW

GlowEffectGlowColorVariablePreview

Affichage aperçu couleur

Affichage de la valeur limite définie pour la variable de couleur lorsque l’effet de luminescence est actif. Disponible uniquement si l’option Depuis la variable a été configurée pour la propriété Variable pour la couleur.

Un aperçu des propriétés définies pour la valeur limite est affiché dans le champ. Aucun aperçu n’est affiché pour les matrices de réaction.
Cliquez sur le bouton ... pour ouvrir la boîte de dialogue d’affichage des résultats. Les valeurs limite sont uniquement affichées ; elles ne peuvent pas être modifiées. Les modifications doivent être effectuées directement dans les propriétés de la variable pour Valeurs limite.

Plus de détails dans l’aide en ligne.

ZT_VARIABLE_DYN

GlowEffectVisibilityVariable

Variable pour la visibilité

Disponible uniquement si la propriété Activer est active.

Nom de la variable dont la valeur influence la visibilité de l’effet de luminescence. La visibilité est soit reprise des propriétés de valeur limite de cette variable (propriété Visibilité depuis valeur limite active), soit définie par la plage de valeurs définie dans les propriétés Visible de et Visible jusqu'à. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de variables. Vous pouvez également saisir le nom manuellement dans le champ de texte.

Remarque : si aucune variable n’est liée, l’effet de luminescence est toujours visible.

Par défaut : aucune variable liée

Plus de détails dans l’aide en ligne.

ZT_PREVIEW

GlowEffectVisibilityVariablePreview

Affichage aperçu visibilité

Affichage de la valeur limite définie pour la variable de visibilité lorsque l’effet de luminescence est actif. Disponible uniquement si l’option Depuis la variable a été configurée pour la propriété Variable pour la visibilité.

Un aperçu des propriétés définies pour la valeur limite est affiché dans le champ. Aucun aperçu n’est affiché pour les matrices de réaction.
Cliquez sur le bouton ... pour ouvrir la boîte de dialogue d’affichage des résultats. Les valeurs limite sont uniquement affichées ; elles ne peuvent pas être modifiées. Les modifications doivent être effectuées directement dans les propriétés de la variable pour Valeurs limite.

Plus de détails dans l’aide en ligne.

VT_BOOL

GlowEffectVisibilityFromLimit

Visibilité depuis valeur limite

Disponible uniquement si la propriété Activer est active. Vous devez en outre définir une variable dans la propriété Variable pour la visibilité.

Active : La visibilité de l’effet de luminescence est influencée par la propriété de valeur limite de la variable.

Attention : Pour une valeur limite de la variable au moins, la propriété Invisible doit être active.

Inactive : la visibilité est influencée par les propriétés de l’élément.

Plus de détails dans l’aide en ligne.

VT_R8

GlowEffectVisibilityFrom

Visible de

Disponible uniquement si la propriété Activer est active. Vous devez en outre définir une variable dans la propriété Variable pour la visibilité ; la propriété Visibilité depuis valeur limite doit être inactive.

Définit la valeur à partir de laquelle l’effet de luminescence devient visible.
Minimum : valeur la moins élevée autorisée pour la variable liée dans Variable pour la visibilité.
Maximum : valeur la moins élevée autorisée pour la variable liée dans Variable pour la visibilité.
Par défaut : valeur la plus élevée autorisée pour la variable liée dans Variable pour la visibilité.

Plus de détails dans l’aide en ligne.

VT_R8

GlowEffectVisibilityTo

Visible jusqu'à

Disponible uniquement si la propriété Activer est active. Vous devez en outre définir une variable dans la propriété Variable pour la visibilité ; la propriété Visibilité depuis valeur limite doit être inactive.

Définit la valeur jusqu’à laquelle l’effet de luminescence reste visible.
Minimum : valeur la plus basse autorisée pour la variable liée dans Variable pour la visibilité.
Maximum : valeur la plus élevée autorisée pour la variable liée dans Variable pour la visibilité.
Par défaut : valeur la plus élevée autorisée pour la variable liée dans Variable pour la visibilité.

Plus de détails dans l’aide en ligne.

ZT_VARIABLE_DYN

GlowEffectBlinkVariable

Variable pour le clignotement

Variables dont les paramètres de clignotement de l’effet de luminescence aux valeurs limites doivent être repris. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de variables.

Par défaut : aucune variable liée

Plus de détails dans l’aide en ligne.

ZT_PREVIEW

GlowEffectBlinkVariablePreview

Affichage aperçu clignotement

Affichage de la valeur limite définie pour la variable de clignotement lorsque l’effet de luminescence est actif. Disponible uniquement si l’option Depuis la variable a été configurée pour la propriété Variable pour le clignotement.

Un aperçu des propriétés définies pour la valeur limite est affiché dans le champ. Aucun aperçu n’est affiché pour les matrices de réaction.
Cliquez sur le bouton ... pour ouvrir la boîte de dialogue d’affichage des résultats. Les valeurs limite sont uniquement affichées ; elles ne peuvent pas être modifiées. Les modifications doivent être effectuées directement dans les propriétés de la variable pour Valeurs limite.

Plus de détails dans l’aide en ligne.

VT_BOOL

GlowEffectUseBlinkColor

Clignotement depuis valeur limite

Disponible uniquement si la propriété Activer est active. Vous devez en outre définir une variable dans la propriété Variable pour le clignotement.

Active : Reprend, pour l’effet de luminescence, la couleur de clignotement de la valeur limite active pour la variable définie dans la propriété Couleur de clignotement par la limite. Cette propriété agit indépendamment de la propriété Coloration. En cas de clignotement, l’effet de luminescence ne devient pas invisible, mais reprend les paramètres de l’effet de luminescence actif.

Par défaut : Inactive

Plus de détails dans l’aide en ligne.

VT_BOOL

GlowEffect2ndBlinkStateVisible

2 états de clignotement invisibles

Disponible uniquement si la propriété Activer est active. Vous devez en outre définir une variable dans la propriété Variable pour le clignotement ; la propriété Clignotement depuis valeur limite doit être inactive.

Active : En cas de clignotement, l’effet de luminescence ne bascule pas vers l’effet de luminescence actif, mais devient invisible. Ceci permet de basculer entre l’invisibilité et la couleur de clignotement en cas de dépassement de la valeur limite.

Par défaut : Inactive

Plus de détails dans l’aide en ligne.


Segment of circle

Manuel -> Interfaces de programmation -> Modèles d'objet -> Element -> Element-Dynamic properties -> Segment of circle

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Type

VBA/VSTA Name

Display Name

Description

VT_I2

SegStartX

Point de départ X [pixels]

VT_I2

SegEndX

Point final X [pixels]

VT_I2

SegStartY

Point de départ Y [pixels]

VT_I2

SegEndY

Point final Y [pixels]

VT_R8

SegStartAngle

Angle de début [degrés]

Début de l’angle d’ouverture. L’angle d’ouverture du quartier de cercle est affiché entre l’angle de début et l’angle de fin.

Plus de détails dans l’aide en ligne.

VT_R8

SegEndAngle

Angle de fin [degrés]

Fin de l’angle d’ouverture. L’angle d’ouverture du quartier de cercle est affiché entre l’angle de début et l’angle de fin.

Plus de détails dans l’aide en ligne.

VT_BOOL

OffsetAdjustable

Epaisseur de segment ajustable

Épaisseur du quartier pour un quartier de cercle Indisponible pour Qualité graphique Windows de base, pour Projet Windows CE actif ou pour Gradient de couleur Par les valeurs de luminosité.

Active : L’épaisseur d’un quartier de cercle peut être configurée individuellement.

Plus de détails dans l’aide en ligne.

VT_BOOL

OffsetEndEqualsStart

Epaisseur de fin égal épaisseur de début

Active : Définissez l’épaisseur du quartier pour l’angle de fin sur une valeur identique à celle de l’angle de début. La propriété Angle de fin du segment [pixel] est désactivée. Cela signifie que l’ensemble de l’élément est affiché avec une épaisseur de quartier homogène. Disponible uniquement si la propriété Epaisseur de segment ajustable a été activée.

Plus de détails dans l’aide en ligne

VT_R4

StartOffset

Angle de départ du segment [pixel]

Épaisseur en pixels du quartier à l’angle de fin, entre le bord extérieur de l’ellipse et le point central. Disponible uniquement si la propriété Epaisseur de segment ajustable est active.

Minimum : 0 pixel

Maximum : Une valeur inférieure à moins de la hauteur ou moins de la moitié de l’élément.

Par défaut : 00:00

Plus de détails dans l’aide en ligne.

VT_R4

EndOffset

Epaisseur de fin égal épaisseur de début

Active : Définissez l’épaisseur du quartier pour l’angle de fin sur une valeur identique à celle de l’angle de début. La propriété Angle de fin du segment [pixel] est désactivée. Cela signifie que l’ensemble de l’élément est affiché avec une épaisseur de quartier homogène. Disponible uniquement si la propriété Epaisseur de segment ajustable a été activée.

Plus de détails dans l’aide en ligne

ZT_COLOR

LineColor

Couleur de ligne

Line color of the element.

VT_UI2

Offset_H

Distance horiz. [pixels]

Distance horizontale entre la fin de l’arrondi et le coin, en pixels.

Plus de détails dans l’aide en ligne.

VT_UI2

Offset_V

Distance vertic. [pixels]

Distance verticale entre la fin de l’arrondi du coin, en pixels.

Plus de détails dans l’aide en ligne.

ZT_STYLE

LineStyle

Style de ligne

Affichage et sélection du style de ligne attribué à l’élément.

Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de style.
Si plusieurs éléments ont été sélectionnés, ils peuvent être attribués à un style commun.

Remarque : Seules les propriétés compatibles avec l’élément correspondant sont prises en charge.

Plus de détails dans l’aide en ligne.

ZT_STYLE

FillStyle

Style de remplissage

Affichage et sélection du style de remplissage attribué à l’élément.

Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de style.
Si plusieurs éléments ont été sélectionnés, ils peuvent être attribués à un style commun.

Remarque : Seules les propriétés compatibles avec l’élément correspondant sont prises en charge.

Plus de détails dans l’aide en ligne.

ZT_VARIABLE_DYN

BackColorVariable2

Affichage aperçu couleur

Affichage de la valeur limite pour la propriété Couleur du dégradé définie pour la variable. Disponible uniquement si l’option Depuis la variable a été configurée pour la propriété Couleur du dégradé.

Un aperçu des propriétés définies pour la valeur limite est affiché dans le champ. Aucun aperçu n’est affiché pour les matrices de réaction.
Cliquez sur le bouton ... pour ouvrir la boîte de dialogue d’affichage des résultats. Les valeurs limite sont uniquement affichées ; elles ne peuvent pas être modifiées. Les modifications doivent être effectuées directement dans les propriétés de la variable pour Valeurs limite.

Plus de détails dans l’aide en ligne.

ZT_PREVIEW

BackColorVariable2Preview

Affichage aperçu couleur

Affichage de la valeur limite pour la propriété Couleur du dégradé définie pour la variable. Disponible uniquement si l’option Depuis la variable a été configurée pour la propriété Couleur du dégradé.

Un aperçu des propriétés définies pour la valeur limite est affiché dans le champ. Aucun aperçu n’est affiché pour les matrices de réaction.
Cliquez sur le bouton ... pour ouvrir la boîte de dialogue d’affichage des résultats. Les valeurs limite sont uniquement affichées ; elles ne peuvent pas être modifiées. Les modifications doivent être effectuées directement dans les propriétés de la variable pour Valeurs limite.

Plus de détails dans l’aide en ligne.

VT_I2

Align

Alignement

Direction of color shift.
horizontal
vertical

VT_I2

Shifted

Gradient de couleur 'décalé'

Wie weit soll der Lichteffekt von der Mitte des Elements versetzt sein.

Mehr im Online-Handbuch

VT_BOOL

Brightness

Par les valeurs de luminosité

Disponible uniquement si l’élément Remplissage (type) a été sélectionné pour la propriété Dégradé de couleurs.

Active : la luminosité du dégradé de couleurs peut être librement définie.
Inactive : la luminosité du dégradé de couleurs est définie automatiquement.

Remarque : le motif de remplissage ne peut plus être modifié si cette propriété est active. Il est également impossible de définir des coins arrondis. Si cette option est activée pour un élément utilisant des coins arrondis, l’élément est affiché avec des coins non arrondis.

Plus de détails dans l’aide en ligne.

VT_UI1

OuterBrightness

Luminosité à l'extérieur

Disponible uniquement si la propriété Par les valeurs de luminosité est active :
Luminosité au niveau du bord extérieur de l’élément.

Plus de détails dans l’aide en ligne.

VT_UI1

InnerBrightness

Luminosité à l'intérieur

Disponible uniquement si la propriété Par les valeurs de luminosité est active :
Luminosité au centre de l’élément.

Plus de détails dans l’aide en ligne.

VT_BOOL

ALCUseColor

Couleur définie par CAL

Disponible uniquement si vous possédez une licence pour la fonctionnalité Coloration Automatique des Lignes (CAL) :
Active : La couleur automatique de la source liée est utilisée.
Inactive : La couleur standard est utilisée.
Par défaut : inactive.

Plus de détails dans l’aide en ligne.

VT_I2

ALCPrecedence

Priorité pour l'affichage

Disponible uniquement si la propriété Couleur définie par CAL est active.

Définit la priorité de l’affichage lorsque l’élément est connecté à plusieurs sources actives.
Plusieurs sources d’alimentation : L’élément est affiché selon les règles de l’alimentation sécurisée.
Source d’alimentation sécurisée : L’élément est affiché selon les règles de l’alimentation sécurisée.
Aucune priorité : Les règles de coloration des paramètres Alimentation multiple et Alimentation sécurisée sont appliquées simultanément, si les deux critères sont satisfaits.

Par défaut : Alimentation multiple
Plus de détails dans l’aide en ligne.

VT_I2

ALCMultiSource

Affichage alimentation multiple

Disponible uniquement si la propriété Couleur définie par CAL est active.
Définit le type d’affichage lorsque l’élément est connecté à plusieurs sources :
Source la plus prioritaire : Seule la couleur de la source la plus prioritaire est utilisée.
Deux sources les plus prioritaires : Les différentes couleurs des deux sources comportant les priorités les plus élevées sont affichées sous forme de trait tireté.
Couleur de remplacement : Couleur de remplacement pour la fonction CAL avec des alimentations multiples.

Par défaut : La source la plus prioritaire

Plus de détails dans l’aide en ligne.

VT_I2

ALCDashLen

Longueur de pointillé fournie plusieurs fois

Disponible uniquement si la propriété Affichage alimentation multiple possède la valeur Deux sources antérieures les plus élevées.

Définit la longueur en pixels du trait tireté associé à la fonction CAL avec une alimentation multiple.

Minimum : 0 (longueur des tirets automatique)

Maximum : 32767

Par défaut : 0

Plus de détails dans l’aide en ligne.

ZT_COLOR

ALCAlternativeColor

Couleur alternative

Disponible uniquement si la propriété Affichage alimentation multiple possède la valeur Couleur de remplacement.

Couleur de remplacement pour la fonction CAL avec des alimentations multiples.

Plus de détails dans l’aide en ligne.

VT_I2

ALCMSecuredSupply

Affichage alimentation sécurisée

Disponible uniquement si Couleur définie par CAL est activée.

Définition de l’affichage de l’alimentation sécurisée :

  • double épaisseur
  • double luminosité
  • normal

Par défaut : normal

Plus de détails dans l’aide en ligne.

VT_BOOL

ALCAlias

Alias

Disponible uniquement si la propriété Couleur définie par CAL est active.

Élément source défini pour la propriété Utiliser alias. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue et sélectionner un élément existant.
Remarque : Les alias ne peuvent pas être utilisés pour des symboles dans la bibliothèque générale de symboles ou la bibliothèque de symboles du projet.

Plus de détails dans l’aide en ligne.

VT_BSTR

ALCAliasName

Alias

Disponible uniquement si la propriété Couleur définie par CAL est active.

Élément source défini pour la propriété Utiliser alias. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue et sélectionner un élément existant.
Remarque : Les alias ne peuvent pas être utilisés pour des symboles dans la bibliothèque générale de symboles ou la bibliothèque de symboles du projet.

Plus de détails dans l’aide en ligne.

VT_R8

ALCReact

Valeur de réactance du câble [Ohm]

Valeur maximale de réactance autorisée de la ligne, en ohms.

Plus de détails dans l’aide en ligne.

VT_R8

ALCResist

Valeur de la résistance de la ligne électrique [Ohm]

Valeur maximale de résistance autorisée de la ligne, en ohms.

Plus de détails dans l’aide en ligne.

VT_R8

ALCLength

Longueur de la ligne [km]

Ligne CAL : longueur de la ligne.

Plus de détails dans l’aide en ligne.

VT_I2

ALCMaxIType

Limite de la capacité de transport de courant

Commutation CAL : valeur limite de la capacité actuelle (sélection fixe/variable).

Plus de détails dans l’aide en ligne.

VT_R8

ALCMaxIVal

Limite fixe de la capacité de transport de courant [A]

Commutation CAL : Capacité de transport de courant définie par une valeur limite.

Plus de détails dans l’aide en ligne.

ZT_VARIABLE_DYN

ALCVarMaxI

Valeur limite dynamique pour la capacité de transport de courant

More...

ALCVarMaxIEx

ALCVarMaxIEx

ZT_VARIABLE_DYN

ALCVarCalcI

Valeur de la mesure du flux de courant calculé

Ligne CAL : Valeur de la mesure du flux de courant calculé.

Plus de détails dans l’aide en ligne.

More...

ALCVarCalcIEx

ALCVarCalcIEx

ALC Leitung: Messwert des berechneten Stromflusses für Export.

Mehr in der Online-Hilfe.

ZT_STYLE

StyleGroup

Groupe de styles

Affichage et sélection du groupe de styles attribué à l’élément.
Cliquez sur le bouton ... pour ouvrir la boîte de dialogue permettant de sélectionner un groupe de styles.
Si plusieurs éléments sont sélectionnés, elles peuvent être attribuées à un groupe de styles commun.

Remarque : Seules les propriétés compatibles avec l’élément correspondant sont prises en charge.

Plus de détails dans l’aide en ligne.

More...

LnClVariable

LnClVariable

"With this property you have the opportunity to get informations about the variable which is linked as ""line/text color"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""LnClVariable.SymVarName"") 'Return the name of the ""line/text color"" variable
zElement.DynProperties (""LnClVariable.SymVarTagNr"") 'Return the identification of the ""line/text color"" variable"

More...

BkClVariable

BkClVariable

"With this property you have the opportunity to get informations about the variable which is linked as ""background/filling color"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""BkClVariable.SymVarName"") 'Return the name of the ""background/filling color"" variable
zElement.DynProperties (""BkClVariable.SymVarTagNr"") 'Return the identification of the ""background/filling color"" variable"

More...

BkCl2Variable

"BkCl2Variable"

More...

XVar

XVar

"With this property you have the opportunity to get informations about the variable which is linked as ""dynamic x position"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""XVar.SymVarName"") 'Return the name of the ""dynamic x position"" variable
zElement.DynProperties (""XVar.SymVarTagNr"") 'Return the identification of the ""dynamic x position"" variable"

More...

YVar

YVar

"With this property you have the opportunity to get informations about the variable which is linked as ""dynamic y position"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""YVar.SymVarName"") 'Return the name of the ""dynamic y position"" variable
zElement.DynProperties (""YVar.SymVarTagNr"") 'Return the identification of the ""dynamic y position"" variable"

More...

XVarZoom

XVarZoom

"With this property you have the opportunity to get informations about the variable which is linked as ""change width"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""XVarZoom.SymVarName"") 'Return the name of the ""change width"" variable
zElement.DynProperties (""XVarZoom.SymVarTagNr"") 'Return the identification of the ""change width"" variable"

More...

YVarZoom

YVarZoom

"With this property you have the opportunity to get informations about the variable which is linked as ""change height"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""YVarZoom.SymVarName"") 'Return the name of the ""change height"" variable
zElement.DynProperties (""YVarZoom.SymVarName"") 'Return the name of the ""change height"" variable
zElement.DynProperties (""YVarZoom.SymVarTagNr"") 'Return the identification of the ""change height"" variable"

More...

TwistVar

TwistVar

"With this property you have the opportunity to get informations about the variable which is linked as ""rotate"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""TwistVar.SymVarName"") 'Return the name of the ""rotate"" variable
zElement.DynProperties (""TwistVar.SymVarTagNr"") 'Return the identification of the ""rotate"" variable"

More...

VisVariable

VisVariable

"With this property you have the opportunity to get informations about the variable which is linked as ""visibility"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""VisVariable.SymVarName"") 'Return the name of the ""visibility"" variable
zElement.DynProperties (""VisVariable.SymVarTagNr"") 'Return the identification of the ""visibility"" variable"

More...

BlinkVar

BlinkVar

More...

GlowEffectGlowColorVar

GlowEffectGlowColorVar

More...

GlowEffectVisibilityVar

GlowEffectVisibilityVar

More...

GlowEffectBlinkVar

GlowEffectBlinkVar

VT_BSTR

Name

Nom d'élément

Attribuez un nom d’élément.
Il ne doit pas être vide.

Attention : Cette propriété n’est pas disponible aux fins de la commutation de langue.

Remarques concernant les cadrans : Pour les conteneurs de synoptique, spécifiez des noms clairement identifiables pour faciliter la sélection lors de la configuration des appels de synoptique.

Plus de détails dans l’aide en ligne.

VT_UI1

Layer

Niveau de visibilité

Sélectionnez l’un des 16 niveaux de visibilité (0 à 15) dans la liste déroulante. À l’aide de la barre d’outils Niveau de visibilité, vous décidez des niveaux qui doivent être affichés dans Editor. Cette fonction garantit que les synoptiques les plus complexes peuvent être développés de manière simple. Les niveaux peuvent être utilisés immédiatement. Les niveaux n’ont aucune influence sur les informations affichées au premier plan ou en arrière-plan dans le Runtime.
Par défaut : 0.

Plus de détails dans l’aide en ligne.

VT_I4

StartX

Point de départ X [pixels]

Coordonnée Y du coin supérieur gauche du synoptique (en pixels).

Plus de détails dans l’aide en ligne.

VT_I4

EndX

Point final X [pixels]

Coordonnée X du coin inférieur droit du synoptique (en pixels).

Plus de détails dans l’aide en ligne.

VT_I4

StartY

Point de départ Y [pixels]

Coordonnée Y du coin supérieur gauche du synoptique (en pixels).

Plus de détails dans l’aide en ligne.

VT_I4

EndY

Point final Y [pixels]

Coordonnée Y du coin inférieur droit du synoptique (en pixels).

Plus de détails dans l’aide en ligne.

VT_I4

Width

Largeur [pixels]

Largeur des éléments en pixels.

Remarque : disponible uniquement pour les éléments Combinaison multiple, Élément combiné, Bouton et Interrupteur si la valeur Ajusté a été sélectionnée pour la propriété Taille du graphique.

Plus de détails dans l’aide en ligne.

VT_I4

Height

Hauteur [pixels]

Hauteur des éléments en pixels.

Remarque : disponible uniquement pour les éléments Combinaison multiple, Élément combiné, Bouton et Interrupteur si la valeur Ajusté a été sélectionnée pour la propriété Taille du graphique.

Plus de détails dans l’aide en ligne.

VT_I4

Angle

Angle de rotation [°]

Angle libre autour selon lequel doit pivoter l’élément.
Les valeurs positives correspondent à une rotation dans le sens antihoraire, tandis que les valeurs négatives correspondent à une rotation dans le sens horaire. Les valeurs supérieures à 360° sont affichées sous forme d’écart par rapport à 360° (400° correspond à 40°). Seuls les nombres entiers sont autorisés.

Sur les éléments pivotés, les actions suivantes ne sont plus possibles :

  • Miroir
  • Rotation de +/- 90°
  • Redimensionnement à l’aide des touches fléchées

Par défaut : 0

Remarque : Ce paramètre est activé et réinitialisé lors de la configuration pour Windows CE.

Plus de détails dans l’aide en ligne.

VT_I2

ZoomMin

Visible de

Incrément de zoom le plus bas auquel l’élément est visible dans la vue globale.
Par défaut : -1
Une valeur de visibilité avec des incréments de zoom de -1 à -1 signifie que l’élément est affiché, quel que soit l’incrément de zoom sélectionné.

Les niveaux de zoom affichés dans la vue globale peuvent être configurés avec la propriété Apparence graphique -> Généralités runtime -> Pas de zoom pour vue globale.

Attention : Ce niveau de zoom s’applique à tous les types de synoptiques et cadres. Si un niveau de zoom défini est supérieur à 0, l’élément est uniquement affiché dans la vue globale, car les autres types de synoptique sont automatiquement appelés avec le niveau de zoom 0.

Plus de détails dans l’aide en ligne.

VT_I2

ZoomMax

Visible jusqu'à

Incrément de zoom le plus élevé auquel l’élément est visible dans la vue globale.

Par défaut : -1
Une valeur de visibilité avec des incréments de zoom de -1 à -1 signifie que l’élément est affiché, quel que soit l’incrément de zoom sélectionné.

Les niveaux de zoom affichés dans la vue globale peuvent être configurés avec la propriété Apparence graphique -> Généralités runtime -> Pas de zoom pour vue globale.

Attention : Ce niveau de zoom s’applique à tous les types de synoptiques et cadres. Si un niveau de zoom défini est supérieur à 0, l’élément est uniquement affiché dans la vue globale, car les autres types de synoptique sont automatiquement appelés avec le niveau de zoom 0.

Plus de détails dans l’aide en ligne.

VT_BSTR

Stationname

Nom liste d'objets

L’élément est saisi directement dans la liste de stations du synoptique Vue globale, et le texte est saisi ici.

Plus de détails dans l’aide en ligne.

ZT_VARIABLE_DYN

LineColorVariable

Couleur de ligne

Nom des variables dont les couleurs de valeur limite doivent influencer la couleur de ligne/de texte de l’élément. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de variables.

Plus de détails dans l’aide en ligne.

ZT_PREVIEW

LineColorVarPreview

Affichage aperçu couleur

Affichage de la valeur limite pour la propriété Couleur de ligne définie pour la variable. Disponible uniquement si l’option Depuis la variable a été configurée pour la propriété Couleur de ligne.

Un aperçu des propriétés définies pour la valeur limite est affiché dans le champ. Aucun aperçu n’est affiché pour les matrices de réaction.
Cliquez sur le bouton ... pour ouvrir la boîte de dialogue d’affichage des résultats. Les valeurs limite sont uniquement affichées ; elles ne peuvent pas être modifiées. Les modifications doivent être effectuées directement dans les propriétés de la variable pour Valeurs limite.

Plus de détails dans l’aide en ligne.

ZT_VARIABLE_DYN

BackColorVariable

Couleur de remplissage

Nom de la variable dont les couleurs de valeur limite doivent influencer la couleur d’arrière-plan/de remplissage de l’élément.
Ouvre la boîte de dialogue de sélection de variables.

Plus de détails dans l’aide en ligne.

ZT_PREVIEW

BackColorVarPreview

Affichage aperçu couleur

Affichage de la valeur limite pour la propriété Couleur de remplissage définie pour la variable. Disponible uniquement si l’option Depuis la variable a été configurée pour la propriété Couleur de remplissage.

Un aperçu des propriétés définies pour la valeur limite est affiché dans le champ. Aucun aperçu n’est affiché pour les matrices de réaction.
Cliquez sur le bouton ... pour ouvrir la boîte de dialogue d’affichage des résultats. Les valeurs limite sont uniquement affichées ; elles ne peuvent pas être modifiées. Les modifications doivent être effectuées directement dans les propriétés de la variable pour Valeurs limite.

Plus de détails dans l’aide en ligne.

VT_UI1

HorizontalOrigin

Horizontal

Point de référence horizontal de l’événement. Les valeurs possibles sont : gauche, centré, droite.
Ce point est utilisé en tant que base de calcul de l’angle de départ de la rotation (statique et dynamique) et pour le changement dynamique de taille.

Par défaut : À gauche

Plus de détails dans l’aide en ligne.

VT_UI1

VerticalOrigin

Vertical

Point de référence vertical de l’événement. Les valeurs possibles sont : haut, centré, bas.
Ce point est utilisé en tant que base de calcul de l’angle de départ de la rotation (statique et dynamique) et pour le changement dynamique de taille.

Par défaut : En haut

Plus de détails dans l’aide en ligne.

VT_UI4

VisibilityType

Visibilité

Sélection depuis laquelle la visibilité d’un élément est déterminée :

  • Depuis une variable
  • Du verrrouillage

Par défaut : Depuis une variable

Plus de détails dans l’aide en ligne.

ZT_VARIABLE_DYN

VisibilityVariable

Variable

Disponible uniquement si l’option Depuis la variable a été configurée pour la propriété Visibilité.

Nom de la variable dont la valeur contrôle la visibilité de l’élément. La visibilité est soit reprise des propriétés de valeur limite de ces variables, soit définie par la plage de valeurs définie dans les propriétés de et À.
Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de variables. Vous pouvez également saisir manuellement le nom dans le champ de texte.
L'élément reste visible tant qu’aucune variable n’est liée.

Plus de détails dans l’aide en ligne.

ZT_PREVIEW

VisVarPreview

Affichage aperçu visibilité

Affichage des valeurs limite pour la visibilité définies pour la variable. Disponible uniquement si l’option Depuis la variable a été configurée pour la propriété Variable dans le groupe Visibilité.

Un aperçu des propriétés définies pour la valeur limite est affiché dans le champ. Aucun aperçu n’est affiché pour les matrices de réaction.
Cliquez sur le bouton ... pour ouvrir la boîte de dialogue d’affichage des résultats. Les valeurs limite sont uniquement affichées ; elles ne peuvent pas être modifiées. Les modifications doivent être effectuées directement dans les propriétés de la variable pour Valeurs limite.

Plus de détails dans l’aide en ligne.

VT_BOOL

VisibilityFromLimit

A partir des valeurs limites

Uniquement disponible après la sélection d’une variable :

  • Active : La visibilité de l’élément est influencée par la propriété de valeur limite de la variable.

    Attention : La propriété Invisible doit être active pour au moins une valeur limite de la variable.

  • Inactive : la visibilité est influencée par les propriétés de l’élément.

Par défaut : active

Plus de détails dans l’aide en ligne.

VT_R8

VisibilityFrom

de

Disponible uniquement après la sélection d’une variable, si la visibilité n’a pas été reprise par la valeur limite :

Valeur minimum de la variable à laquelle l’élément est visible.

  • Minimum : valeur minimum possible de la variable liée.
  • Maximum : valeur maximum possible de la variable liée.

Par défaut : valeur minimum possible de la variable liée.

Plus de détails dans l’aide en ligne.

VT_R8

VisibilityTo

À

Disponible uniquement après la sélection d’une variable, si la visibilité n’a pas été reprise par la valeur limite :

Valeur maximale de la variable à laquelle l’élément est visible.

  • Minimum : valeur minimum possible de la variable liée.
  • Maximum : valeur maximum possible de la variable liée.

Par défaut : valeur maximum possible de la variable liée.

Plus de détails dans l’aide en ligne.

VT_UI4

Interlocking

Verrouillage

Disponible uniquement si l’option Depuis le verrouillage est sélectionnée pour la propriété Visibilité.

Nom du verrouillage dont la valeur contrôle la visibilité de l’élément. Sélectionnez dans la liste déroulante. Celle-ci contient tous les verrouillages existants et utilisables. L’élément est toujours visible si aucun verrouillage n’est lié.

Plus de détails dans l’aide en ligne.

VT_BSTR

InterlockingName

InterlockingName

Description

VT_BOOL

VisibleWhenInterlocked

Visible si verrouillé

Contrôle la visibilité de l’élément lorsque le verrouillage est sélectionné :

  • Active : L’élément est visible s’il est verrouillé.
  • Inactive : L’élément est visible s’il n’est pas verrouillé.

Par défaut : inactive

Plus de détails dans l’aide en ligne.

ZT_VARIABLE_DYN

BlinkVariable

Affichage aperçu clignotement

Affichage des valeurs limite pour le clignotement définies pour la variable. Disponible uniquement si l’option Depuis la variable a été configurée pour la propriété Prendre le clignotement de la limite.

Un aperçu des propriétés définies pour la valeur limite est affiché dans le champ. Aucun aperçu n’est affiché pour les matrices de réaction.
Cliquez sur le bouton ... pour ouvrir la boîte de dialogue d’affichage des résultats. Les valeurs limite sont uniquement affichées ; elles ne peuvent pas être modifiées. Les modifications doivent être effectuées directement dans les propriétés de la variable pour Valeurs limite.

Plus de détails dans l’aide en ligne.

ZT_PREVIEW

BlinkVarPreview

Affichage aperçu clignotement

Affichage des valeurs limite pour le clignotement définies pour la variable. Disponible uniquement si l’option Depuis la variable a été configurée pour la propriété Prendre le clignotement de la limite.

Un aperçu des propriétés définies pour la valeur limite est affiché dans le champ. Aucun aperçu n’est affiché pour les matrices de réaction.
Cliquez sur le bouton ... pour ouvrir la boîte de dialogue d’affichage des résultats. Les valeurs limite sont uniquement affichées ; elles ne peuvent pas être modifiées. Les modifications doivent être effectuées directement dans les propriétés de la variable pour Valeurs limite.

Plus de détails dans l’aide en ligne.

VT_BOOL

UseBlinkColor

Couleur de clignotement par la limite

Active : Reprend la couleur d’arrière-plan du clignotement défini pour la valeur limite active de la variable pour Prendre le clignotement de la limite. Durant le clignotement, l’élément ne devient pas invisible, mais reprend la couleur d’arrière-plan active.

Par défaut : Inactive

Remarque : la couleur n’est pas prise en compte si la couleur d’arrière-plan Transparence est configurée.

Plus de détails dans l’aide en ligne.

ZT_VARIABLE_DYN

XVariable

Variable

Nom de la variable utilisée pour le déplacement horizontal de l’élément.
Ouvre la boîte de dialogue de sélection de variables.

Plus de détails dans l’aide en ligne.

VT_R8

XVarMin

Valeur min de la variable

Valeur minimale de la variable utilisée pour le déplacement horizontal de l’élément.

Plus de détails dans l’aide en ligne.

VT_R8

XVarMax

Valeur max de la variable

Valeur maximale de la variable utilisée pour le déplacement horizontal de l’élément.

Plus de détails dans l’aide en ligne.

VT_I4

XViewMin

Mouvement min [pixels]

Position horizontale de l’élément pour la valeur minimale de la variable (en pixels).

Plus de détails dans l’aide en ligne.

VT_I4

XViewMax

Mouvement max [pixels]

Position horizontale de l’élément pour la valeur minimale de la variable (en pixels).

Plus de détails dans l’aide en ligne.

ZT_VARIABLE_DYN

YVariable

Variable

Nom de la variable utilisée pour le déplacement vertical de l’élément.
Ouvre la boîte de dialogue de sélection de variables.

Plus de détails dans l’aide en ligne.

VT_R8

YVarMin

Valeur min de la variable

Valeur minimale de la variable utilisée pour le déplacement vertical de l’élément.

Plus de détails dans l’aide en ligne.

VT_R8

YVarMax

Valeur max de la variable

Valeur maximale de la variable utilisée pour le déplacement vertical de l’élément.

Plus de détails dans l’aide en ligne.

VT_I4

YViewMin

Mouvement min [pixels]

Position verticale de l’élément pour la valeur minimale de la variable (en pixels).

Plus de détails dans l’aide en ligne.

VT_I4

YViewMax

Mouvement max [pixels]

Position verticale de l’élément pour la valeur maximale de la variable (en pixels).

Plus de détails dans l’aide en ligne.

ZT_VARIABLE_DYN

XZoomVariable

Variable

Nom de la variable utilisée pour l’agrandissement de la largeur de l’élément.
Ouvre la boîte de dialogue de sélection de variables.

Plus de détails dans l’aide en ligne.

VT_R8

XZoomVarMin

Valeur min de la variable

Valeur minimale de la variable utilisée pour effectuer un zoom à la largeur de l’élément.

Plus de détails dans l’aide en ligne.

VT_R8

XZoomVarMax

Valeur max de la variable

Valeur maximale de la variable utilisée pour effectuer un zoom sur la largeur de l’élément.

Plus de détails dans l’aide en ligne.

VT_I4

XZoomViewMin

Largeur min [%]

Facteur de zoom correspondant à la largeur de l’élément pour la valeur minimale de la variable (en pixels).

Plus de détails dans l’aide en ligne.

VT_I4

XZoomViewMax

Largeur max [%]

Facteur de zoom correspondant à la largeur de l’élément pour la valeur maximale de la variable (en pixels).

Plus de détails dans l’aide en ligne.

ZT_VARIABLE_DYN

YZoomVariable

Variable

Nom de la variable utilisée pour l’agrandissement de la hauteur de l’élément.
Ouvre la boîte de dialogue de sélection de variables.

Plus de détails dans l’aide en ligne.

VT_R8

YZoomVarMin

Valeur min de la variable

Valeur minimum de la variable utilisée pour effectuer un zoom sur la hauteur de l’élément.

Plus de détails dans l’aide en ligne.

VT_R8

YZoomVarMax

Valeur max de la variable

Valeur maximum de la variable utilisée pour effectuer un zoom sur la hauteur de l’élément.

Plus de détails dans l’aide en ligne.

VT_I4

YZoomViewMin

Hauteur min [%]

Facteur de zoom correspondant à la hauteur de l’élément pour la valeur minimum de la variable (en %).

Plus de détails dans l’aide en ligne.

VT_I4

YZoomViewMax

Hauteur max [%]

Facteur de zoom correspondant à la hauteur de l’élément pour la valeur maximale de la variable (en pixels).

Plus de détails dans l’aide en ligne.

ZT_VARIABLE_DYN

TwistVariable

Variable

Nom de la variable utilisée pour la rotation de l’élément.

Plus de détails dans l’aide en ligne.

VT_R8

TwistVarMin

Valeur min de la variable

Valeur minimum de la variable utilisée pour la rotation de l’élément.

Plus de détails dans l’aide en ligne.

VT_R8

TwistVarMax

Valeur max de la variable

Valeur maximale de la variable utilisée pour la rotation de l’élément.

Plus de détails dans l’aide en ligne.

VT_I4

TwistViewMin

Rotation min [°]

Angle de rotation de l’élément pour la valeur minimum de la variable (en °).

Plus de détails dans l’aide en ligne.

VT_I4

TwistViewMax

Rotation max [°]

Angle de rotation de l’élément pour la valeur maximum de la variable (en °).

Plus de détails dans l’aide en ligne.

ZT_STYLE

ShadowEffectStyle

Style effet cadres/ombres

Affichage et sélection du style de cadre et d’ombre attribué à l’élément.

Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de style.
Si plusieurs éléments ont été sélectionnés, ils peuvent être attribués à un style commun.

Remarque : Seules les propriétés compatibles avec l’élément correspondant sont prises en charge.

Plus de détails dans l’aide en ligne.

VT_BOOL

EnablePunchFrame

Afficher le cadre

A frame around the element can be displayed.
Default: inactive.

ZT_STYLE

GlowEffectStyle

Style effet de rayonnement

Affichage et sélection du style des effets de luminescence attribués à l’élément.

Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de style.
Si plusieurs éléments ont été sélectionnés, ils peuvent être attribués à un style commun.

Remarque : Seules les propriétés compatibles avec l’élément correspondant sont prises en charge.

Plus de détails dans l’aide en ligne.

VT_BOOL

GlowEffectEvent

Actif seulement si cliqué

Disponible uniquement si la propriété Activer est active et l’élément est un bouton.

Active : l’effet de luminescence est uniquement affiché lorsque l’utilisateur clique sur le bouton. Cliquer sur le bouton permet de modifier la couleur, le clignotement ou l’invisibilité de l’effet de luminescence.

Par défaut : Inactive

Plus de détails dans l’aide en ligne.

ZT_VARIABLE_DYN

GlowEffectGlowColorVariable

Variable pour la couleur

Disponible uniquement si la propriété Activer est active. La propriété Coloration doit être activée.

Nom de la variable dont la couleur aux valeurs limites doit influencer la couleur de l’effet de luminescence pour l’élément. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de variables. Vous pouvez également saisir le nom manuellement dans le champ de texte. Si aucune variable n’est liée, la couleur définie dans la propriété Couleur est utilisée.

Par défaut : aucune variable liée

Plus de détails dans l’aide en ligne.

ZT_PREVIEW

GlowEffectGlowColorVariablePreview

Affichage aperçu couleur

Affichage de la valeur limite définie pour la variable de couleur lorsque l’effet de luminescence est actif. Disponible uniquement si l’option Depuis la variable a été configurée pour la propriété Variable pour la couleur.

Un aperçu des propriétés définies pour la valeur limite est affiché dans le champ. Aucun aperçu n’est affiché pour les matrices de réaction.
Cliquez sur le bouton ... pour ouvrir la boîte de dialogue d’affichage des résultats. Les valeurs limite sont uniquement affichées ; elles ne peuvent pas être modifiées. Les modifications doivent être effectuées directement dans les propriétés de la variable pour Valeurs limite.

Plus de détails dans l’aide en ligne.

ZT_VARIABLE_DYN

GlowEffectVisibilityVariable

Variable pour la visibilité

Disponible uniquement si la propriété Activer est active.

Nom de la variable dont la valeur influence la visibilité de l’effet de luminescence. La visibilité est soit reprise des propriétés de valeur limite de cette variable (propriété Visibilité depuis valeur limite active), soit définie par la plage de valeurs définie dans les propriétés Visible de et Visible jusqu'à. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de variables. Vous pouvez également saisir le nom manuellement dans le champ de texte.

Remarque : si aucune variable n’est liée, l’effet de luminescence est toujours visible.

Par défaut : aucune variable liée

Plus de détails dans l’aide en ligne.

ZT_PREVIEW

GlowEffectVisibilityVariablePreview

Affichage aperçu visibilité

Affichage de la valeur limite définie pour la variable de visibilité lorsque l’effet de luminescence est actif. Disponible uniquement si l’option Depuis la variable a été configurée pour la propriété Variable pour la visibilité.

Un aperçu des propriétés définies pour la valeur limite est affiché dans le champ. Aucun aperçu n’est affiché pour les matrices de réaction.
Cliquez sur le bouton ... pour ouvrir la boîte de dialogue d’affichage des résultats. Les valeurs limite sont uniquement affichées ; elles ne peuvent pas être modifiées. Les modifications doivent être effectuées directement dans les propriétés de la variable pour Valeurs limite.

Plus de détails dans l’aide en ligne.

VT_BOOL

GlowEffectVisibilityFromLimit

Visibilité depuis valeur limite

Disponible uniquement si la propriété Activer est active. Vous devez en outre définir une variable dans la propriété Variable pour la visibilité.

Active : La visibilité de l’effet de luminescence est influencée par la propriété de valeur limite de la variable.

Attention : Pour une valeur limite de la variable au moins, la propriété Invisible doit être active.

Inactive : la visibilité est influencée par les propriétés de l’élément.

Plus de détails dans l’aide en ligne.

VT_R8

GlowEffectVisibilityFrom

Visible de

Disponible uniquement si la propriété Activer est active. Vous devez en outre définir une variable dans la propriété Variable pour la visibilité ; la propriété Visibilité depuis valeur limite doit être inactive.

Définit la valeur à partir de laquelle l’effet de luminescence devient visible.
Minimum : valeur la moins élevée autorisée pour la variable liée dans Variable pour la visibilité.
Maximum : valeur la moins élevée autorisée pour la variable liée dans Variable pour la visibilité.
Par défaut : valeur la plus élevée autorisée pour la variable liée dans Variable pour la visibilité.

Plus de détails dans l’aide en ligne.

VT_R8

GlowEffectVisibilityTo

Visible jusqu'à

Disponible uniquement si la propriété Activer est active. Vous devez en outre définir une variable dans la propriété Variable pour la visibilité ; la propriété Visibilité depuis valeur limite doit être inactive.

Définit la valeur jusqu’à laquelle l’effet de luminescence reste visible.
Minimum : valeur la plus basse autorisée pour la variable liée dans Variable pour la visibilité.
Maximum : valeur la plus élevée autorisée pour la variable liée dans Variable pour la visibilité.
Par défaut : valeur la plus élevée autorisée pour la variable liée dans Variable pour la visibilité.

Plus de détails dans l’aide en ligne.

ZT_VARIABLE_DYN

GlowEffectBlinkVariable

Variable pour le clignotement

Variables dont les paramètres de clignotement de l’effet de luminescence aux valeurs limites doivent être repris. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de variables.

Par défaut : aucune variable liée

Plus de détails dans l’aide en ligne.

ZT_PREVIEW

GlowEffectBlinkVariablePreview

Affichage aperçu clignotement

Affichage de la valeur limite définie pour la variable de clignotement lorsque l’effet de luminescence est actif. Disponible uniquement si l’option Depuis la variable a été configurée pour la propriété Variable pour le clignotement.

Un aperçu des propriétés définies pour la valeur limite est affiché dans le champ. Aucun aperçu n’est affiché pour les matrices de réaction.
Cliquez sur le bouton ... pour ouvrir la boîte de dialogue d’affichage des résultats. Les valeurs limite sont uniquement affichées ; elles ne peuvent pas être modifiées. Les modifications doivent être effectuées directement dans les propriétés de la variable pour Valeurs limite.

Plus de détails dans l’aide en ligne.

VT_BOOL

GlowEffectUseBlinkColor

Clignotement depuis valeur limite

Disponible uniquement si la propriété Activer est active. Vous devez en outre définir une variable dans la propriété Variable pour le clignotement.

Active : Reprend, pour l’effet de luminescence, la couleur de clignotement de la valeur limite active pour la variable définie dans la propriété Couleur de clignotement par la limite. Cette propriété agit indépendamment de la propriété Coloration. En cas de clignotement, l’effet de luminescence ne devient pas invisible, mais reprend les paramètres de l’effet de luminescence actif.

Par défaut : Inactive

Plus de détails dans l’aide en ligne.

VT_BOOL

GlowEffect2ndBlinkStateVisible

2 états de clignotement invisibles

Disponible uniquement si la propriété Activer est active. Vous devez en outre définir une variable dans la propriété Variable pour le clignotement ; la propriété Clignotement depuis valeur limite doit être inactive.

Active : En cas de clignotement, l’effet de luminescence ne bascule pas vers l’effet de luminescence actif, mais devient invisible. Ceci permet de basculer entre l’invisibilité et la couleur de clignotement en cas de dépassement de la valeur limite.

Par défaut : Inactive

Plus de détails dans l’aide en ligne.


CDynEleFkt

Manuel -> Interfaces de programmation -> Modèles d'objet -> Element -> Element-Dynamic properties -> CDynEleFkt

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | VBA/VSTA Name | Display Name | Description
ZT_FUNCTION | ProjectFunction | ProjectFunction |
VT_BSTR | Name | Name |


Picture alarm

Manuel -> Interfaces de programmation -> Modèles d'objet -> Element -> Element-Dynamic properties -> Picture alarm

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Type

VBA/VSTA Name

Display Name

Description

VT_BOOL

BAGlobal

Global

Les alarmes sont prises en compte au niveau du système.
Utilisation principale : somme des alarmes de la liste d’alarmes globale.
Actif : les alarmes sont prises en compte indépendamment du synoptique lié.
La fonction liée sera uniquement utilisée lors de l’appel de synoptique.

Inactive : seules les alarmes du synoptique lié sont prises en compte.

VT_BOOL

BAPriorit?t

Priorité

Hiérarchisation de la classe d’alarmes/d’événements.
Active : même si plusieurs classes d’alarmes/d’événements ont été sélectionnées, une seule sera affichée.
Règles de priorité :

  1. moins le numéro de classe est élevé, plus la priorité est élevée.
  2. Une alarme non acquittée est prioritaire sur une alarme acquittée.

Inactive : toutes les classes sélectionnées seront affichées (côte à côte).

VT_BOOL

BAUnsichtbar

Invisible

L’élément ne sera pas affiché dans le Runtime

Active : L’élément ne sera pas masqué dans le Runtime.
Cette option est appliquée si l’élément actionne simplement une variable de synoptique, mais n’est pas destiné à être affiché seul.

Inactive : l’élément sera affiché sous forme de bouton.

VT_UI2

BAProjekt

Projet

Sélection d’un projet unique ou de tous les projets.

Disponible uniquement si l’option Global est active.

Utilisé pour les projets à hiérarchies multiples.

ZT_ALARMKLASSE

BAKlassen

Classes d'alarmes/d'événements

Sélection des groupes d’alarmes/d’événements devant être affichés.

Ouvre le catalogue de sélection de classes.

VT_UI2

Offset

Première classe d'alarmes/d'événements à afficher

En commençant par cette classe, les états des classes seront écrits dans la variable d’image.

VT_BOOL

AbbModus

Image des classes d'alarmes/d'événements sélectionnées

Définit de quelle manière les classes d’états seront écrites dans la variable de synoptique.

Active : les états des classes d’alarmes/d’événements sélectionnées seront écrits dans la variable d’image, sans espaces.
Par ex. classes sélectionnées 1,3 -> classe 1 : bits 0,1 ; classe 3 : bits 2,3

Inactive : les états des classes d’alarmes/d’événements sélectionnées seront écrits avec des positions fixes dans la variable d’image.
Par ex. classes sélectionnées 1,3 -> classe 1 : bits 0,1 ; 0 (classe 2 : bits 2,3) ; classe 3 : bits 4,5

VT_BOOL

ThreeDimensional

3D

Active : L’élément est affiché en trois dimensions.
Inactive : L’élément est affiché en deux dimensions.

Plus de détails dans l’aide en ligne.

VT_UI2

BtnStyleBorder

Forme du bouton

Forme du bouton :

  • Anguleux : le bouton comporte des coins pointus. Les propriétés du groupe Coins arrondis vous permettent de transformer les coins pointus en coins arrondis.
  • Rond : le bouton est arrondi.

Par défaut : Anguleux

Les paramètres de la propriété Gradient de couleur dépendent de ce paramètre.

Plus de détails dans l’aide en ligne.

VT_BOOL

ShowState

Visualiser l'état de la variable

Affichage graphique de l’état de la variable. Sélection à l’aide d’une case à cocher.

  • Active : l’état des variables est indiqué par un carré de couleur au niveau de l’élément.

    Couleur :

    • Carré rouge :
      pas de communication avec l’automate.
      Exemple : INVALID, OFF, ALT_VAL, REVISION, TIMEOUT, ...
    • Carré bleu (N_UPDATE) :
      Sur le client réseau :
      La connexion entre le client et le serveur principal a été interrompue.

      Avec un projet d’intégration indépendant :
      Le serveur principal n’a pas encore fourni les données.
    • Carré jaune (PR_NR) :
      Indique, dans le Runtime, que la variable n’a pas été enregistrée pendant la lecture dans le module Process Recorder. Par conséquent, aucune valeur n’a été identifiée lors de la lecture.

    Position :
    La position du carré au niveau de l’élément dépend de la forme de l’élément :

    • Anguleux et tous autres éléments :
      Coin supérieur droit
    • Élément circulaire :
      En haut, au milieu
    • Élément arrondi :
      coin supérieur droit, légèrement décalé vers la gauche
  • Inactive : L’état n’est pas représenté.
    Désactive également la possibilité d’afficher les informations supplémentaires concernant la variable avec un clic droit.

Par défaut : Actif

Plus de détails dans l’aide en ligne.

ZT_STYLE

FrameStyle

Style de bordure d'élément

Affichage et sélection du style d’élément attribué à l’élément.

Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de style.
Si plusieurs éléments ont été sélectionnés, ils peuvent être attribués à un style commun.

Remarque : Seules les propriétés compatibles avec l’élément correspondant sont prises en charge.

Plus de détails dans l’aide en ligne.

VT_UI2

Frame

Cadre élément

Liste déroulante utilisée pour la sélection du type de cadre. Les possibilités suivantes sont disponibles :

Pour l’élément bouton

  • Cadre fin
  • 3D

Par défaut : Cadre fin

Pour les autres éléments dynamiques

  • Bords en hauteur
  • Bords enfoncés
  • Plat
  • En hauteur (classique)
  • Enfoncé (classique)
  • Marges en hauteur
  • Marges enfoncées

Par défaut : Plat

Plus de détails dans l’aide en ligne.

VT_BSTR

Text1

Texte ligne 1

Première ligne de texte du bouton.
En utilisant le caractère &, vous pouvez souligner le caractère suivant dans le Runtime. Pour afficher le caractère &, saisissez "&&".

La chaîne de caractères \n permet d’insérer un saut de ligne.

Attention : Pour utiliser \n, la propriété Texte ligne 2 doit être vide.

Plus de détails dans l’aide en ligne.

VT_BSTR

Text2

Texte ligne 2

Deuxième ligne de texte du bouton.
En utilisant le caractère &, vous pouvez souligner le caractère suivant dans le Runtime. Pour afficher le caractère &, saisissez "&&".

Remarque : cette propriété est utilisée à des fins de compatibilité avec les versions antérieures. Dans les versions actuelles : Utilisez la propriété Texte ligne 1 et commencez les nouvelles lignes par \n.

Attention :

  • cette ligne doit rester vide si le saut de ligne automatique doit être utilisé.
  • Si cette propriété est configurée, la propriété Texte lors de l'appui est désactivée et ne peut pas être utilisée dans le Runtime. Le contenu de la propriété Texte lors de l'appui déjà configuré est grisé et désactivé.
    Même un espace est considéré comme une configuration de projet valide et bloque l’affichage du texte si le bouton est maintenu enfoncé !
    La configuration de la propriété Texte ligne 2 désactive également la configuration de projet existante dans la propriété Texte lors de l'appui.

Plus de détails dans l’aide en ligne.

VT_BSTR

DownText

Texte lors de l'appui

Texte du bouton dans le Runtime lorsqu’il est enfoncé.
La séquence de caractères \n insère une nouvelle ligne dans le texte.

Attention : Si la propriété Texte ligne 2 est configurée, la propriété Texte lors de l'appui est désactivée et ne peut pas être utilisée dans le Runtime. Les contenus déjà configurés sont grisés et désactivés. Ceci est également vrai si la propriété Texte ligne 2 est ensuite remplie de contenu.

Plus de détails dans l’aide en ligne.

ZT_STYLE

TextStyle

Style de texte

Affichage et sélection du style de texte attribué à l’élément.

Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de style.
Si plusieurs éléments ont été sélectionnés, ils peuvent être attribués à un style commun.

Remarque : Seules les propriétés compatibles avec l’élément correspondant sont prises en charge.

Plus de détails dans l’aide en ligne.

ZT_VARIABLE_DYN

LineColorVariable

Couleur du texte

Nom de la variable dont la couleur de valeur limite doit influencer la couleur de texte de l’élément. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de variables.

Plus de détails dans l’aide en ligne.

ZT_PREVIEW

LineColorVarPreview

Affichage aperçu couleur

Affichage de la valeur limite pour la propriété Couleur de ligne définie pour la variable. Disponible uniquement si l’option Depuis la variable a été configurée pour la propriété Couleur de ligne.

Un aperçu des propriétés définies pour la valeur limite est affiché dans le champ. Aucun aperçu n’est affiché pour les matrices de réaction.
Cliquez sur le bouton ... pour ouvrir la boîte de dialogue d’affichage des résultats. Les valeurs limite sont uniquement affichées ; elles ne peuvent pas être modifiées. Les modifications doivent être effectuées directement dans les propriétés de la variable pour Valeurs limite.

Plus de détails dans l’aide en ligne.

ZT_STYLE

FillStyle

Style de remplissage

Affichage et sélection du style de remplissage attribué à l’élément.

Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de style.
Si plusieurs éléments ont été sélectionnés, ils peuvent être attribués à un style commun.

Remarque : Seules les propriétés compatibles avec l’élément correspondant sont prises en charge.

Plus de détails dans l’aide en ligne.

VT_UI2

BtnStyleFill

Remplissage

Remplissage du bouton :
Monochrome : Pas de dégradé
Linéaire : dégradé linéaire
Lumineux : du bas jusqu’à la moitié, couleur de remplissage 1 ; ensuite, dégradé du milieu jusqu’au sommet de l’élément.
Point défini : le dégradé commence au niveau d’un point défini et s’étend jusqu’aux bords de l’élément.

Sélectif avec bordures : le dégradé commence au niveau d’un point défini et comporte des rayons ; il s’étend jusqu’aux bords de l’élément.

Plus de détails dans l’aide en ligne.

VT_BOOL

Spot

Spot

Affichage de l’emplacement :

  • Active : le bouton est affiché avec un effet de luminescence.
  • Inactive : aucun effet de luminescence n’est affiché. Le paramètre de la propriété Gradient de couleur est utilisé.

Disponible uniquement si l’option circulaire est définie pour la propriété Forme du bouton.

Par défaut : Inactive

Plus de détails dans l’aide en ligne.

ZT_STYLE

GraphicsFillStyle

Style de remplissage pour le graphique si pressé/activé

Description sous forme de texte.

ZT_IMAGELIST

PredefinedBitmaps

Graphiques prédéfinis

Des bitmaps prédéfinis pour l’état LOW/HIGH peuvent être sélectionnés dans la liste.

Plus de détails dans l’aide en ligne.

ZT_VARIABLE_DYN

AnimateVar

Variable

Variable de bit permettant d’activer ou de désactiver l’animation.

Plus de détails dans l’aide en ligne.

ZT_STYLE

RoundingStyle

Style d'arrondi

Affichage et sélection du style d’arrondi attribué à l’élément.

Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de style.
Si plusieurs éléments ont été sélectionnés, ils peuvent être attribués à un style commun.

Remarque : Seules les propriétés compatibles avec l’élément correspondant sont prises en charge.

Plus de détails dans l’aide en ligne.

VT_BOOL

Transparent

Transparence

Active : Désactive la couleur d’arrière-plan de l’élément.

L’effet de cette option sur un bouton est un bouton invisible. Il peut être positionné au-dessus des autres éléments en tant que bouton invisible.

Plus de détails dans l’aide en ligne.

ZT_VARIABLE_DYN

BackColorVariable

Couleur de remplissage

Nom de la variable dont les couleurs de valeur limite doivent influencer la couleur d’arrière-plan/de remplissage de l’élément.
Ouvre la boîte de dialogue de sélection de variables.

Plus de détails dans l’aide en ligne.

ZT_PREVIEW

BackColorVarPreview

Affichage aperçu couleur

Affichage de la valeur limite pour la propriété Couleur de remplissage définie pour la variable. Disponible uniquement si l’option Depuis la variable a été configurée pour la propriété Couleur de remplissage.

Un aperçu des propriétés définies pour la valeur limite est affiché dans le champ. Aucun aperçu n’est affiché pour les matrices de réaction.
Cliquez sur le bouton ... pour ouvrir la boîte de dialogue d’affichage des résultats. Les valeurs limite sont uniquement affichées ; elles ne peuvent pas être modifiées. Les modifications doivent être effectuées directement dans les propriétés de la variable pour Valeurs limite.

Plus de détails dans l’aide en ligne.

ZT_VARIABLE_DYN

BackColorVariable2

Affichage aperçu couleur

Affichage de la valeur limite pour la propriété Couleur du dégradé définie pour la variable. Disponible uniquement si l’option Depuis la variable a été configurée pour la propriété Couleur du dégradé.

Un aperçu des propriétés définies pour la valeur limite est affiché dans le champ. Aucun aperçu n’est affiché pour les matrices de réaction.
Cliquez sur le bouton ... pour ouvrir la boîte de dialogue d’affichage des résultats. Les valeurs limite sont uniquement affichées ; elles ne peuvent pas être modifiées. Les modifications doivent être effectuées directement dans les propriétés de la variable pour Valeurs limite.

Plus de détails dans l’aide en ligne.

ZT_PREVIEW

BackColorVariable2Preview

Affichage aperçu couleur

Affichage de la valeur limite pour la propriété Couleur du dégradé définie pour la variable. Disponible uniquement si l’option Depuis la variable a été configurée pour la propriété Couleur du dégradé.

Un aperçu des propriétés définies pour la valeur limite est affiché dans le champ. Aucun aperçu n’est affiché pour les matrices de réaction.
Cliquez sur le bouton ... pour ouvrir la boîte de dialogue d’affichage des résultats. Les valeurs limite sont uniquement affichées ; elles ne peuvent pas être modifiées. Les modifications doivent être effectuées directement dans les propriétés de la variable pour Valeurs limite.

Plus de détails dans l’aide en ligne.

ZT_VARIABLE_DYN

BlinkVariable

Affichage aperçu clignotement

Affichage des valeurs limite pour le clignotement définies pour la variable. Disponible uniquement si l’option Depuis la variable a été configurée pour la propriété Prendre le clignotement de la limite.

Un aperçu des propriétés définies pour la valeur limite est affiché dans le champ. Aucun aperçu n’est affiché pour les matrices de réaction.
Cliquez sur le bouton ... pour ouvrir la boîte de dialogue d’affichage des résultats. Les valeurs limite sont uniquement affichées ; elles ne peuvent pas être modifiées. Les modifications doivent être effectuées directement dans les propriétés de la variable pour Valeurs limite.

Plus de détails dans l’aide en ligne.

ZT_PREVIEW

BlinkVarPreview

Affichage aperçu clignotement

Affichage des valeurs limite pour le clignotement définies pour la variable. Disponible uniquement si l’option Depuis la variable a été configurée pour la propriété Prendre le clignotement de la limite.

Un aperçu des propriétés définies pour la valeur limite est affiché dans le champ. Aucun aperçu n’est affiché pour les matrices de réaction.
Cliquez sur le bouton ... pour ouvrir la boîte de dialogue d’affichage des résultats. Les valeurs limite sont uniquement affichées ; elles ne peuvent pas être modifiées. Les modifications doivent être effectuées directement dans les propriétés de la variable pour Valeurs limite.

Plus de détails dans l’aide en ligne.

VT_BOOL

UseBlinkColor

Couleur de clignotement par la limite

Active : Reprend la couleur d’arrière-plan du clignotement défini pour la valeur limite active de la variable pour Prendre le clignotement de la limite. Durant le clignotement, l’élément ne devient pas invisible, mais reprend la couleur d’arrière-plan active.

Par défaut : Inactive

Remarque : la couleur n’est pas prise en compte si la couleur d’arrière-plan Transparence est configurée.

Plus de détails dans l’aide en ligne.

VT_BOOL

ChangeText

Changer texte selon touches

Disponible uniquement si vous avez activé Texte automatique dans les propriétés du synoptique.

Active : Utilisez Ligne 1 du texte normal à Texte ligne 2 avec Ctrl + Alt (Alt Gr) pour définir l’intitulé du bouton. Les entrées au niveau des propriétés Texte ligne 1 et Texte ligne 2 ne sont plus nécessaires.

Par défaut : Inactive

Plus de détails dans l’aide en ligne.

VT_BSTR

Text1Normal

Ligne 1 du texte normal

Disponible uniquement si la propriété Changer texte selon touches est active.
Permet de définir l’intitulé de la première ligne de texte sans appuyer sur une touche de contrôle.
Remarque : en utilisant le caractère &, vous pouvez souligner le caractère suivant dans le Runtime. Saisissez "&&" pour afficher le caractère &.

Plus de détails dans l’aide en ligne.

VT_BSTR

Text1Shift

Ligne 1 du texte avec Maj

Disponible uniquement si la propriété Changer texte selon touches est active.
Permet de définir l’intitulé de la première ligne de texte lorsque la touche MAJ est enfoncée.
Remarque : en utilisant le caractère &, vous pouvez souligner le caractère suivant dans le Runtime. Saisissez "&&" pour afficher le caractère &.

Plus de détails dans l’aide en ligne.

VT_BSTR

Text1Ctrl

Ligne 1 du texte avec Ctrl

Disponible uniquement si la propriété Changer texte selon touches est active.
Permet de définir l’intitulé de la première ligne de texte lorsque la touche Ctrl est enfoncée.
Remarque : en utilisant le caractère &, vous pouvez souligner le caractère suivant dans le Runtime. Saisissez "&&" pour afficher le caractère &.

Plus de détails dans l’aide en ligne.

VT_BSTR

Text1CtrlAlt

Texte ligne 1 avec Ctrl + Alt (Alt Gr)

Disponible uniquement si la propriété Changer texte selon touches est active.
Permet de définir l’intitulé de la première ligne de texte lorsque les touches CTRL et ALT GR sont enfoncées.
Remarque : en utilisant le caractère &, vous pouvez souligner le caractère suivant dans le Runtime. Saisissez "&&" pour afficher le caractère &.

Plus de détails dans l’aide en ligne.

VT_BSTR

Text2Normal

Ligne 2 du texte normal

Disponible uniquement si la propriété Changer texte selon touches est active.
Permet de définir l’intitulé de la deuxième ligne de texte sans appuyer sur une touche de contrôle.
Remarque : en utilisant le caractère &, vous pouvez souligner le caractère suivant dans le Runtime. Saisissez "&&" pour afficher le caractère &.

Plus de détails dans l’aide en ligne.

VT_BSTR

Text2Shift

Ligne 2 du texte avec Maj

Disponible uniquement si la propriété Changer texte selon touches est active.
Permet de définir l’intitulé de la deuxième ligne de texte lorsque la touche MAJ est enfoncée.
Remarque : en utilisant le caractère &, vous pouvez souligner le caractère suivant dans le Runtime. Saisissez "&&" pour afficher le caractère &.

Plus de détails dans l’aide en ligne.

VT_BSTR

Text2Ctrl

Ligne 2 du texte avec Ctrl

Disponible uniquement si la propriété Changer texte selon touches est active.
Permet de définir l’intitulé de la deuxième ligne de texte lorsque la touche CTRL est enfoncée.
Remarque : en utilisant le caractère &, vous pouvez souligner le caractère suivant dans le Runtime. Saisissez "&&" pour afficher le caractère &.

Plus de détails dans l’aide en ligne.

VT_BSTR

Text2CtrlAlt

Texte ligne 2 avec Ctrl + Alt (Alt Gr)

Disponible uniquement si la propriété Changer texte selon touches est active.
Permet de définir l’intitulé de la deuxième ligne de texte lorsque les touches CTRL et ALT GR sont enfoncées.
Remarque : en utilisant le caractère &, vous pouvez souligner le caractère suivant dans le Runtime. Saisissez "&&" pour afficher le caractère &.

Plus de détails dans l’aide en ligne.

More...

DynEleVar

DynEleVar

"With this property you have the opportunity to get informations about the variable (projected via ""Variable assignment"" in the ActiveX selection dialog) which is linked at an ActiveX element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""DynEleVar.SymVarName"") 'Return the name of the variable which is assigned to the ActiveX
zElement.DynProperties (""DynEleVar.SymVarTagNr"") 'Return the identification of the variable which is assigned to the ActiveX"

More...

DynEleFkt

ZT_FUNCTION_DYN

Function

Fonction

Nom de la fonction liée.
Ouvre la boîte de dialogue de sélection de fonctions.
Cette fonction sera exécutée lorsque l’utilisateur clique sur le bouton dans le Runtime ou lorsque le raccourci clavier défini est utilisé.
Si vous souhaitez exécuter plusieurs fonctions, vous devez créer un script comportant les fonctions requises et spécifier ici la fonction permettant d’exécuter le script.

SICAM 230 et élément Synoptique d’alarmes uniquement :

Outre la propriété Appel de synoptique standard, le synoptique dont les états d’alarmes doivent être affichés seront déterminés par la fonction liée.
Obligatoire (sauf si le paramètre Global est actif) !

Plus de détails dans l’aide en ligne.

VT_UI2

Passwordlevel

Niveau d'autorisation

Le niveau du mot de passe d’écriture de valeurs prescrites ou d’exécution de fonctions avec l’élément dynamique sélectionné.
Minimum : 0.
Maximum : 127
Par défaut : 0.

Plus de détails dans l’aide en ligne.

VT_UI4

Locking

Verrouillage

Lien vers un verrouillage existant avec cet élément.

Si une condition dans une des formules du verrouillage est vraie, cet élément est verrouillé de manière à ce qu’aucun fonctionnement ne soit possible. Si cela a été défini dans les propriétés du projet, un symbole représentant un verrou est affiché aussi longtemps que le verrouillage est actif.

Remarque : Les verrouillages ne peuvent pas être utilisés pour des symboles dans la bibliothèque générale de symboles ou la bibliothèque de symboles du projet.

Plus de détails dans l’aide en ligne.

VT_BSTR

LockingName

LockingName

"With this property you have the opportunity to assign an interlocking via its name.
zElement.DynProperties(""LockingName"") = ""Interlocking 1"""

ZT_SHORTCUT

ShortCut

Raccourci-clavier

Les raccourcis autorisent l’exécution d’éléments actionnables. Par exemple :

- Exécution d’éléments de contrôle et de fonctions auxquelles un élément est attribué
- Écriture de valeurs prescrites (par ex. pour des interrupteurs)
- Configuration du focus pour certaines fenêtres (par ex. liste des courbes dans le module Extended Trend, ou liste déroulante dans le module RGM)

Cliquez sur le bouton du champ de saisie pour ouvrir la boîte de dialogue de définition des combinaisons de touches. Dans la boîte de dialogue, saisissez directement la combinaison souhaitée.

Plus de détails dans l’aide en ligne.

VT_BOOL

UnderCE

Visible sous WinCE

Contrôle la visibilité des éléments dans les synoptiques sous Windows CE. Les projets qui sont utilisés sous CE et sur le PC peuvent être créés de manière plus flexible ; la gestion par l’utilisateur est ainsi améliorée. Par exemple, les boutons renvoyant l’utilisateur vers des synoptiques ne pouvant pas être affichés sous CE (par ex. IPA) peuvent être rendus invisibles.

Active : dans synoptique/l’élément est également visible sous Windows CE.

Par défaut : active

Plus de détails dans l’aide en ligne.

ZT_VBAMAKRO

Init

Init

Macro VBA à exécuter lors de l’initialisation de l’élément.

Plus de détails dans l’aide en ligne.

ZT_VBAMAKRO

SetFocus

SetFocus

Macro VBA à exécuter lorsque le focus est placé sur l’élément.

Plus de détails dans l’aide en ligne.

ZT_VBAMAKRO

KillFocus

KillFocus

Macro VBA à exécuter lorsque le focus n’est plus placé sur l’élément.

Plus de détails dans l’aide en ligne.

ZT_VBAMAKRO

LeftClickDown

LeftClickDown

Macro VBA à exécuter lorsque l’utilisateur effectue un clic gauche sur l’élément.

Plus de détails dans l’aide en ligne.

ZT_VBAMAKRO

RightClickDown

RightClickDown

Macro VBA à exécuter lorsque l’utilisateur effectue un clic droit sur l’élément.

Plus de détails dans l’aide en ligne.

ZT_VBAMAKRO

LeftClickUp

LeftClickUp

Macro VBA à exécuter lorsque l’utilisateur relâche le bouton gauche de la souris sur l’élément.

Plus de détails dans l’aide en ligne.

ZT_VBAMAKRO

RightClickUp

RightClickUp

Macro VBA à exécuter lorsque l’utilisateur relâche le bouton droit de la souris sur l’élément.

Plus de détails dans l’aide en ligne.

ZT_VBAMAKRO

LeftDClick

LeftDoubleClick

Macro VBA à exécuter lorsque l’utilisateur effectue un double-clic gauche sur l’élément.

Plus de détails dans l’aide en ligne.

ZT_VBAMAKRO

RightDClick

RightDoubleClick

Macro VBA à exécuter lorsque l’utilisateur effectue un double-clic droit sur l’élément.

Plus de détails dans l’aide en ligne.

ZT_VBAMAKRO

MouseOver

MouseOver

Macro VBA à exécuter si le pointeur de la souris est positionné sur l’élément.

Plus de détails dans l’aide en ligne.

ZT_VBAMAKRO

DragDrop

DragDrop

Macro VBA à exécuter lorsque le bouton de la souris est relâché.

Plus de détails dans l’aide en ligne.

ZT_VBAMAKRO

DragOver

DragOver

Macro VBA à exécuter lorsque le curseur est déplacé au-dessus de l’élément pendant que le bouton gauche est enfoncé.

Plus de détails dans l’aide en ligne.

ZT_VBAMAKRO

DragBegin

DragBegin

Macro VBA à exécuter lorsque l’utilisateur commence à faire glisser l’objet.

Plus de détails dans l’aide en ligne.

VT_BSTR

Menu

Menu contextuel

Menu contextuel de l’élément.
Cliquer avec le bouton droit de la souris sur l’élément pour ouvrir le menu contextuel dans le Runtime.

Plus de détails dans l’aide en ligne.

VT_BSTR

Tooltip

Info bulle

Texte à afficher en tant qu’info-bulle de l’élément dans le Runtime. Une info-bulle est automatiquement affichée dans le Runtime si le pointeur de la souris reste pendant quelques secondes sur l’élément. Des retours à la ligne automatiques peuvent être insérés avec les caractères "\n".

  • Maximum : 79 caractères
    Attention : La combinaison de caractères \n est également comptée dans la limite de 79 caractères.

Plus de détails dans l’aide en ligne.

VT_BOOL

LassoSelect

sélectionnable avec le lasso

La sélection avec le lasso dans le Runtime permet d’identifier les éléments dynamiques et de les utiliser avec des événements VBA.

  • Active : L’élément peut être sélectionné avec le lasso dans le Runtime.
  • Inactive : L’élément ne peut pas être sélectionné dans Runtime.

Par défaut : active

Attention : Pour que l’élément puisse être sélectionné dans le Runtime, vous devez activer la propriété Sélection multiple en runtime (lasso) dans les paramètres du projet !

Remarque concernant la gestion des commandes : Si la propriété Opération à deux mains est activée, le lasso de la commande Exécuter le 2ème niveau ne doit pas être activé.

Plus de détails dans l’aide en ligne.

More...

GestureManipulationGroup

Manipulation

Propriétés pour la manipulation de synoptiques et d’éléments de synoptique dans le cadre d’une utilisation tactile.

Plus de détails dans l’aide en ligne.

VT_BOOL

Tab

Le focus est donné à l'élément

Active : L’élément dynamique peut être actionné à l’aide du clavier.
Inactive : L’élément dynamique n’est pas accessible à l’aide du clavier.
Par défaut : active.

Plus de détails dans l’aide en ligne.

VT_I4

TABOrderH

Position du focus gauche/droite

Définit la position horizontale pour l’utilisation à l’aide du clavier dans le Runtime. La position est définie par l’intermédiaire du menu contextuel et de l’utilisation de la souris dans la fenêtre principale ; elle ne peut pas être modifiée ici.

Plus de détails dans l’aide en ligne.

VT_I4

TABOrderV

Position focus haut / bas

Définit la position verticale pour l’utilisation à l’aide du clavier dans le Runtime. La position est définie par l’intermédiaire du menu contextuel et de l’utilisation de la souris dans la fenêtre principale ; elle ne peut pas être modifiée ici.

Plus de détails dans l’aide en ligne.

VT_BOOL

Signature

Signature nécéssaire

Active : Une signature est nécessaire pour actionner l’élément.

Pour des raisons de sécurité, l’utilisateur sera invité à saisir son mot de passe même s’il est déjà connecté. Le texte de la signature est enregistré dans la liste d’événements (CEL) après que l’élément ait été utilisé avec succès.

Attention : seuls les utilisateurs connectés peuvent signer une action. La signature d’actions avec un identifiant temporaire n’est plus possible.

Inactive : aucune signature n’est requise.

(Par défaut) Inactive :

Plus de détails dans l’aide en ligne.

VT_BSTR

SignatureText

Texte de signature

Ce texte est également consigné lors de la signature dans la liste d’événements (CEL) ou est proposé par défaut dans le Runtime si la signature est définie comme modifiable dans les propriétés du projet.

Plus de détails dans l’aide en ligne.

VT_I2

SignatureEditModus

Texte de signature éditable

Définit si le texte de signature peut être édité. Sélectionnez dans la liste déroulante :

  • Appliquer les paramètres projet : Les paramètres de la propriété de projet Texte de signature éditable sont applicables.
  • Oui : Texte modifiables
  • Non : Le texte ne peut pas être édité.

Par défaut : Appliquer les paramètres projet

Plus de détails dans l’aide en ligne

ZT_FILE

Helpfile

Fichier d'aide

Fichier d’aide (*.chm) devant être utilisé pour cet élément, conjointement à un menu contextuel. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de fichiers.
Attention : seuls les fichiers d’aide ayant été ajoutés dans le nœud Fichiers/Aide sont disponibles.

Plus de détails dans l’aide en ligne.

VT_BSTR

HelpCapture

Chapitre d'aide

Chapitre d’aide (*.chm) devant être utilisé pour cet élément, conjointement à un menu contextuel. Nom de la page HTML sous-jacente.
Attention : cette entrée tient compte des minuscules et majuscules.

Plus de détails dans l’aide en ligne.

ZT_VARIABLE_DYN

SetValueDynMin

Minimum

Variable dont la valeur actuelle est applicable en tant que limite inférieure de la valeur prescrite de l’élément.
Disponible uniquement si Plages de la variable est inactive :
Plus de détails dans l’aide en ligne.

ZT_VARIABLE_DYN

SetValueDynMax

Maximum

Variable dont la valeur actuelle est applicable en tant que limite supérieure de la valeur prescrite de l’élément.

Disponible uniquement si la propriété Plages de la variable est inactive.

Plus de détails dans l’aide en ligne.

VT_BOOL

GestureRecognitionActive

Reconnaissance de geste active

Active l’évaluation des gestes. Les gestes sont définis à l’aide d’autres propriétés.

Uniquement disponible si, dans le groupe Intéraction des propriétés du projet, la propriété Reconnaissance Windows 8 a été définie.

Plus de détails dans l’aide en ligne.

VT_BOOL

Gestures_Manipulation

Exact

Active : Détection du paramètre Exact défini.

Plus de détails dans l’aide en ligne.

VT_BOOL

Gestures_Exact

Exact

Active : Détection du paramètre Exact défini.

Plus de détails dans l’aide en ligne.

VT_BOOL

Gestures_TranslationX

Translation X

Active : Détection du paramètre Translation X défini.

Plus de détails dans l’aide en ligne.

VT_BOOL

Gestures_TranslationY

Translation Y

Active : Détection du paramètre Translation Y défini.

Plus de détails dans l’aide en ligne.

VT_BOOL

Gestures_RailsX

Rails X

Active : Détection du paramètre Rails X défini.

Plus de détails dans l’aide en ligne.

VT_BOOL

Gestures_RailsY

Rails Y

Active : Détection du paramètre Rails Y défini.

Plus de détails dans l’aide en ligne.

VT_BOOL

Gestures_TranslationInertia

Translation inertia

Active : Détection du paramètre Translation Inertia (Inertie de translation) défini.

Plus de détails dans l’aide en ligne.

VT_BOOL

Gestures_Rotation

Inertie de rotation

Active : Détection du paramètre Rotation Inertia (Inertie de rotation) défini.

Plus de détails dans l’aide en ligne.

VT_BOOL

Gestures_RotationInertia

Inertie de rotation

Active : Détection du paramètre Rotation Inertia (Inertie de rotation) défini.

Plus de détails dans l’aide en ligne.

VT_BOOL

Gestures_Scaling

Scaling inertia

Active : Détection du paramètre Scaling Inertia (Inertie de redimensionnement) défini.

Plus de détails dans l’aide en ligne.

VT_BOOL

Gestures_ScalingInertia

Scaling inertia

Active : Détection du paramètre Scaling Inertia (Inertie de redimensionnement) défini.

Plus de détails dans l’aide en ligne.

VT_BOOL

Gestures_CrossSlide

Cross slide exact

Active : Détection du paramètre Cross Slide Exact (Glissement transversal exact) défini.

Plus de détails dans l’aide en ligne.

VT_BOOL

Gestures_CrossSlideHorizontal

Cross slide horizontal

Active : Détection du paramètre Cross Slide Horizontal (Glissement transversal horizontal) défini.

Plus de détails dans l’aide en ligne.

VT_BOOL

Gestures_CrossSlideSelect

Cross slide select

Active : Détection du paramètre Cross Slide Select (Glissement transversal, sélection) défini.

Plus de détails dans l’aide en ligne.

VT_BOOL

Gestures_CrossSlideSpeedBump

Cross slide speed bump

Active : Détection du paramètre Cross Slide Speed Bump (Glissement transversal, ralentisseur) défini.

Plus de détails dans l’aide en ligne.

VT_BOOL

Gestures_CrossSlideRearrange

Cross slide rearrange

Active : Détection du paramètre Cross Slide Rearrange (Glissement transversal, réorganisation) défini.

Plus de détails dans l’aide en ligne.

VT_BOOL

Gestures_CrossSlideExact

Cross slide exact

Active : Détection du paramètre Cross Slide Exact (Glissement transversal exact) défini.

Plus de détails dans l’aide en ligne.

VT_BOOL

Gestures_Tap

Tap double

Active : Détection du paramètre Tap Double (Double appui) défini.

Plus de détails dans l’aide en ligne.

VT_BOOL

Gestures_TapDouble

Tap double

Active : Détection du paramètre Tap Double (Double appui) défini.

Plus de détails dans l’aide en ligne.

VT_BOOL

Gestures_SecondaryTap

Secondary tap

Active : Détection du paramètre Secondary Tap (Appui secondaire) défini.

Plus de détails dans l’aide en ligne.

VT_BOOL

Gestures_Drag

Drag

Active : Détection du paramètre Drag (Glissement) défini.

Plus de détails dans l’aide en ligne.

VT_BOOL

Gestures_Hold

Hold (Mouse)

Active : Détection du paramètre Hold (Mouse) (Maintien [souris]) défini.

Plus de détails dans l’aide en ligne.

ZT_STYLE

StyleGroup

Groupe de styles

Affichage et sélection du groupe de styles attribué à l’élément.
Cliquez sur le bouton ... pour ouvrir la boîte de dialogue permettant de sélectionner un groupe de styles.
Si plusieurs éléments sont sélectionnés, elles peuvent être attribuées à un groupe de styles commun.

Remarque : Seules les propriétés compatibles avec l’élément correspondant sont prises en charge.

Plus de détails dans l’aide en ligne.

More...

LnClVariable

LnClVariable

"With this property you have the opportunity to get informations about the variable which is linked as ""line/text color"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""LnClVariable.SymVarName"") 'Return the name of the ""line/text color"" variable
zElement.DynProperties (""LnClVariable.SymVarTagNr"") 'Return the identification of the ""line/text color"" variable"

More...

BkClVariable

BkClVariable

"With this property you have the opportunity to get informations about the variable which is linked as ""background/filling color"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""BkClVariable.SymVarName"") 'Return the name of the ""background/filling color"" variable
zElement.DynProperties (""BkClVariable.SymVarTagNr"") 'Return the identification of the ""background/filling color"" variable"

More...

BkCl2Variable

"BkCl2Variable"

More...

XVar

XVar

"With this property you have the opportunity to get informations about the variable which is linked as ""dynamic x position"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""XVar.SymVarName"") 'Return the name of the ""dynamic x position"" variable
zElement.DynProperties (""XVar.SymVarTagNr"") 'Return the identification of the ""dynamic x position"" variable"

More...

YVar

YVar

"With this property you have the opportunity to get informations about the variable which is linked as ""dynamic y position"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""YVar.SymVarName"") 'Return the name of the ""dynamic y position"" variable
zElement.DynProperties (""YVar.SymVarTagNr"") 'Return the identification of the ""dynamic y position"" variable"

More...

XVarZoom

XVarZoom

"With this property you have the opportunity to get informations about the variable which is linked as ""change width"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""XVarZoom.SymVarName"") 'Return the name of the ""change width"" variable
zElement.DynProperties (""XVarZoom.SymVarTagNr"") 'Return the identification of the ""change width"" variable"

More...

YVarZoom

YVarZoom

"With this property you have the opportunity to get informations about the variable which is linked as ""change height"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""YVarZoom.SymVarName"") 'Return the name of the ""change height"" variable
zElement.DynProperties (""YVarZoom.SymVarName"") 'Return the name of the ""change height"" variable
zElement.DynProperties (""YVarZoom.SymVarTagNr"") 'Return the identification of the ""change height"" variable"

More...

TwistVar

TwistVar

"With this property you have the opportunity to get informations about the variable which is linked as ""rotate"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""TwistVar.SymVarName"") 'Return the name of the ""rotate"" variable
zElement.DynProperties (""TwistVar.SymVarTagNr"") 'Return the identification of the ""rotate"" variable"

More...

VisVariable

VisVariable

"With this property you have the opportunity to get informations about the variable which is linked as ""visibility"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""VisVariable.SymVarName"") 'Return the name of the ""visibility"" variable
zElement.DynProperties (""VisVariable.SymVarTagNr"") 'Return the identification of the ""visibility"" variable"

More...

BlinkVar

BlinkVar

More...

GlowEffectGlowColorVar

GlowEffectGlowColorVar

More...

GlowEffectVisibilityVar

GlowEffectVisibilityVar

More...

GlowEffectBlinkVar

GlowEffectBlinkVar

VT_BSTR

Name

Nom d'élément

Attribuez un nom d’élément.
Il ne doit pas être vide.

Attention : Cette propriété n’est pas disponible aux fins de la commutation de langue.

Remarques concernant les cadrans : Pour les conteneurs de synoptique, spécifiez des noms clairement identifiables pour faciliter la sélection lors de la configuration des appels de synoptique.

Plus de détails dans l’aide en ligne.

VT_UI1

Layer

Niveau de visibilité

Sélectionnez l’un des 16 niveaux de visibilité (0 à 15) dans la liste déroulante. À l’aide de la barre d’outils Niveau de visibilité, vous décidez des niveaux qui doivent être affichés dans Editor. Cette fonction garantit que les synoptiques les plus complexes peuvent être développés de manière simple. Les niveaux peuvent être utilisés immédiatement. Les niveaux n’ont aucune influence sur les informations affichées au premier plan ou en arrière-plan dans le Runtime.
Par défaut : 0.

Plus de détails dans l’aide en ligne.

VT_I4

StartX

Point de départ X [pixels]

Coordonnée Y du coin supérieur gauche du synoptique (en pixels).

Plus de détails dans l’aide en ligne.

VT_I4

EndX

Point final X [pixels]

Coordonnée X du coin inférieur droit du synoptique (en pixels).

Plus de détails dans l’aide en ligne.

VT_I4

StartY

Point de départ Y [pixels]

Coordonnée Y du coin supérieur gauche du synoptique (en pixels).

Plus de détails dans l’aide en ligne.

VT_I4

EndY

Point final Y [pixels]

Coordonnée Y du coin inférieur droit du synoptique (en pixels).

Plus de détails dans l’aide en ligne.

VT_I4

Width

Largeur [pixels]

Largeur des éléments en pixels.

Remarque : disponible uniquement pour les éléments Combinaison multiple, Élément combiné, Bouton et Interrupteur si la valeur Ajusté a été sélectionnée pour la propriété Taille du graphique.

Plus de détails dans l’aide en ligne.

VT_I4

Height

Hauteur [pixels]

Hauteur des éléments en pixels.

Remarque : disponible uniquement pour les éléments Combinaison multiple, Élément combiné, Bouton et Interrupteur si la valeur Ajusté a été sélectionnée pour la propriété Taille du graphique.

Plus de détails dans l’aide en ligne.

VT_I4

Angle

Angle de rotation [°]

Angle libre autour selon lequel doit pivoter l’élément.
Les valeurs positives correspondent à une rotation dans le sens antihoraire, tandis que les valeurs négatives correspondent à une rotation dans le sens horaire. Les valeurs supérieures à 360° sont affichées sous forme d’écart par rapport à 360° (400° correspond à 40°). Seuls les nombres entiers sont autorisés.

Sur les éléments pivotés, les actions suivantes ne sont plus possibles :

  • Miroir
  • Rotation de +/- 90°
  • Redimensionnement à l’aide des touches fléchées

Par défaut : 0

Remarque : Ce paramètre est activé et réinitialisé lors de la configuration pour Windows CE.

Plus de détails dans l’aide en ligne.

VT_I2

ZoomMin

Visible de

Incrément de zoom le plus bas auquel l’élément est visible dans la vue globale.
Par défaut : -1
Une valeur de visibilité avec des incréments de zoom de -1 à -1 signifie que l’élément est affiché, quel que soit l’incrément de zoom sélectionné.

Les niveaux de zoom affichés dans la vue globale peuvent être configurés avec la propriété Apparence graphique -> Généralités runtime -> Pas de zoom pour vue globale.

Attention : Ce niveau de zoom s’applique à tous les types de synoptiques et cadres. Si un niveau de zoom défini est supérieur à 0, l’élément est uniquement affiché dans la vue globale, car les autres types de synoptique sont automatiquement appelés avec le niveau de zoom 0.

Plus de détails dans l’aide en ligne.

VT_I2

ZoomMax

Visible jusqu'à

Incrément de zoom le plus élevé auquel l’élément est visible dans la vue globale.

Par défaut : -1
Une valeur de visibilité avec des incréments de zoom de -1 à -1 signifie que l’élément est affiché, quel que soit l’incrément de zoom sélectionné.

Les niveaux de zoom affichés dans la vue globale peuvent être configurés avec la propriété Apparence graphique -> Généralités runtime -> Pas de zoom pour vue globale.

Attention : Ce niveau de zoom s’applique à tous les types de synoptiques et cadres. Si un niveau de zoom défini est supérieur à 0, l’élément est uniquement affiché dans la vue globale, car les autres types de synoptique sont automatiquement appelés avec le niveau de zoom 0.

Plus de détails dans l’aide en ligne.

VT_BSTR

Stationname

Nom liste d'objets

L’élément est saisi directement dans la liste de stations du synoptique Vue globale, et le texte est saisi ici.

Plus de détails dans l’aide en ligne.

ZT_VARIABLE_DYN

LineColorVariable

Couleur de ligne

Nom des variables dont les couleurs de valeur limite doivent influencer la couleur de ligne/de texte de l’élément. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de variables.

Plus de détails dans l’aide en ligne.

ZT_PREVIEW

LineColorVarPreview

Affichage aperçu couleur

Affichage de la valeur limite pour la propriété Couleur de ligne définie pour la variable. Disponible uniquement si l’option Depuis la variable a été configurée pour la propriété Couleur de ligne.

Un aperçu des propriétés définies pour la valeur limite est affiché dans le champ. Aucun aperçu n’est affiché pour les matrices de réaction.
Cliquez sur le bouton ... pour ouvrir la boîte de dialogue d’affichage des résultats. Les valeurs limite sont uniquement affichées ; elles ne peuvent pas être modifiées. Les modifications doivent être effectuées directement dans les propriétés de la variable pour Valeurs limite.

Plus de détails dans l’aide en ligne.

VT_UI1

HorizontalOrigin

Horizontal

Point de référence horizontal de l’événement. Les valeurs possibles sont : gauche, centré, droite.
Ce point est utilisé en tant que base de calcul de l’angle de départ de la rotation (statique et dynamique) et pour le changement dynamique de taille.

Par défaut : À gauche

Plus de détails dans l’aide en ligne.

VT_UI1

VerticalOrigin

Vertical

Point de référence vertical de l’événement. Les valeurs possibles sont : haut, centré, bas.
Ce point est utilisé en tant que base de calcul de l’angle de départ de la rotation (statique et dynamique) et pour le changement dynamique de taille.

Par défaut : En haut

Plus de détails dans l’aide en ligne.

VT_UI4

VisibilityType

Visibilité

Sélection depuis laquelle la visibilité d’un élément est déterminée :

  • Depuis une variable
  • Du verrrouillage

Par défaut : Depuis une variable

Plus de détails dans l’aide en ligne.

ZT_VARIABLE_DYN

VisibilityVariable

Variable

Disponible uniquement si l’option Depuis la variable a été configurée pour la propriété Visibilité.

Nom de la variable dont la valeur contrôle la visibilité de l’élément. La visibilité est soit reprise des propriétés de valeur limite de ces variables, soit définie par la plage de valeurs définie dans les propriétés de et À.
Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de variables. Vous pouvez également saisir manuellement le nom dans le champ de texte.
L'élément reste visible tant qu’aucune variable n’est liée.

Plus de détails dans l’aide en ligne.

ZT_PREVIEW

VisVarPreview

Affichage aperçu visibilité

Affichage des valeurs limite pour la visibilité définies pour la variable. Disponible uniquement si l’option Depuis la variable a été configurée pour la propriété Variable dans le groupe Visibilité.

Un aperçu des propriétés définies pour la valeur limite est affiché dans le champ. Aucun aperçu n’est affiché pour les matrices de réaction.
Cliquez sur le bouton ... pour ouvrir la boîte de dialogue d’affichage des résultats. Les valeurs limite sont uniquement affichées ; elles ne peuvent pas être modifiées. Les modifications doivent être effectuées directement dans les propriétés de la variable pour Valeurs limite.

Plus de détails dans l’aide en ligne.

VT_BOOL

VisibilityFromLimit

A partir des valeurs limites

Uniquement disponible après la sélection d’une variable :

  • Active : La visibilité de l’élément est influencée par la propriété de valeur limite de la variable.

    Attention : La propriété Invisible doit être active pour au moins une valeur limite de la variable.

  • Inactive : la visibilité est influencée par les propriétés de l’élément.

Par défaut : active

Plus de détails dans l’aide en ligne.

VT_R8

VisibilityFrom

de

Disponible uniquement après la sélection d’une variable, si la visibilité n’a pas été reprise par la valeur limite :

Valeur minimum de la variable à laquelle l’élément est visible.

  • Minimum : valeur minimum possible de la variable liée.
  • Maximum : valeur maximum possible de la variable liée.

Par défaut : valeur minimum possible de la variable liée.

Plus de détails dans l’aide en ligne.

VT_R8

VisibilityTo

À

Disponible uniquement après la sélection d’une variable, si la visibilité n’a pas été reprise par la valeur limite :

Valeur maximale de la variable à laquelle l’élément est visible.

  • Minimum : valeur minimum possible de la variable liée.
  • Maximum : valeur maximum possible de la variable liée.

Par défaut : valeur maximum possible de la variable liée.

Plus de détails dans l’aide en ligne.

VT_UI4

Interlocking

Verrouillage

Disponible uniquement si l’option Depuis le verrouillage est sélectionnée pour la propriété Visibilité.

Nom du verrouillage dont la valeur contrôle la visibilité de l’élément. Sélectionnez dans la liste déroulante. Celle-ci contient tous les verrouillages existants et utilisables. L’élément est toujours visible si aucun verrouillage n’est lié.

Plus de détails dans l’aide en ligne.

VT_BSTR

InterlockingName

InterlockingName

Description

VT_BOOL

VisibleWhenInterlocked

Visible si verrouillé

Contrôle la visibilité de l’élément lorsque le verrouillage est sélectionné :

  • Active : L’élément est visible s’il est verrouillé.
  • Inactive : L’élément est visible s’il n’est pas verrouillé.

Par défaut : inactive

Plus de détails dans l’aide en ligne.

ZT_VARIABLE_DYN

XVariable

Variable

Nom de la variable utilisée pour le déplacement horizontal de l’élément.
Ouvre la boîte de dialogue de sélection de variables.

Plus de détails dans l’aide en ligne.

VT_R8

XVarMin

Valeur min de la variable

Valeur minimale de la variable utilisée pour le déplacement horizontal de l’élément.

Plus de détails dans l’aide en ligne.

VT_R8

XVarMax

Valeur max de la variable

Valeur maximale de la variable utilisée pour le déplacement horizontal de l’élément.

Plus de détails dans l’aide en ligne.

VT_I4

XViewMin

Mouvement min [pixels]

Position horizontale de l’élément pour la valeur minimale de la variable (en pixels).

Plus de détails dans l’aide en ligne.

VT_I4

XViewMax

Mouvement max [pixels]

Position horizontale de l’élément pour la valeur minimale de la variable (en pixels).

Plus de détails dans l’aide en ligne.

ZT_VARIABLE_DYN

YVariable

Variable

Nom de la variable utilisée pour le déplacement vertical de l’élément.
Ouvre la boîte de dialogue de sélection de variables.

Plus de détails dans l’aide en ligne.

VT_R8

YVarMin

Valeur min de la variable

Valeur minimale de la variable utilisée pour le déplacement vertical de l’élément.

Plus de détails dans l’aide en ligne.

VT_R8

YVarMax

Valeur max de la variable

Valeur maximale de la variable utilisée pour le déplacement vertical de l’élément.

Plus de détails dans l’aide en ligne.

VT_I4

YViewMin

Mouvement min [pixels]

Position verticale de l’élément pour la valeur minimale de la variable (en pixels).

Plus de détails dans l’aide en ligne.

VT_I4

YViewMax

Mouvement max [pixels]

Position verticale de l’élément pour la valeur maximale de la variable (en pixels).

Plus de détails dans l’aide en ligne.

ZT_VARIABLE_DYN

XZoomVariable

Variable

Nom de la variable utilisée pour l’agrandissement de la largeur de l’élément.
Ouvre la boîte de dialogue de sélection de variables.

Plus de détails dans l’aide en ligne.

VT_R8

XZoomVarMin

Valeur min de la variable

Valeur minimale de la variable utilisée pour effectuer un zoom à la largeur de l’élément.

Plus de détails dans l’aide en ligne.

VT_R8

XZoomVarMax

Valeur max de la variable

Valeur maximale de la variable utilisée pour effectuer un zoom sur la largeur de l’élément.

Plus de détails dans l’aide en ligne.

VT_I4

XZoomViewMin

Largeur min [%]

Facteur de zoom correspondant à la largeur de l’élément pour la valeur minimale de la variable (en pixels).

Plus de détails dans l’aide en ligne.

VT_I4

XZoomViewMax

Largeur max [%]

Facteur de zoom correspondant à la largeur de l’élément pour la valeur maximale de la variable (en pixels).

Plus de détails dans l’aide en ligne.

ZT_VARIABLE_DYN

YZoomVariable

Variable

Nom de la variable utilisée pour l’agrandissement de la hauteur de l’élément.
Ouvre la boîte de dialogue de sélection de variables.

Plus de détails dans l’aide en ligne.

VT_R8

YZoomVarMin

Valeur min de la variable

Valeur minimum de la variable utilisée pour effectuer un zoom sur la hauteur de l’élément.

Plus de détails dans l’aide en ligne.

VT_R8

YZoomVarMax

Valeur max de la variable

Valeur maximum de la variable utilisée pour effectuer un zoom sur la hauteur de l’élément.

Plus de détails dans l’aide en ligne.

VT_I4

YZoomViewMin

Hauteur min [%]

Facteur de zoom correspondant à la hauteur de l’élément pour la valeur minimum de la variable (en %).

Plus de détails dans l’aide en ligne.

VT_I4

YZoomViewMax

Hauteur max [%]

Facteur de zoom correspondant à la hauteur de l’élément pour la valeur maximale de la variable (en pixels).

Plus de détails dans l’aide en ligne.

ZT_VARIABLE_DYN

TwistVariable

Variable

Nom de la variable utilisée pour la rotation de l’élément.

Plus de détails dans l’aide en ligne.

VT_R8

TwistVarMin

Valeur min de la variable

Valeur minimum de la variable utilisée pour la rotation de l’élément.

Plus de détails dans l’aide en ligne.

VT_R8

TwistVarMax

Valeur max de la variable

Valeur maximale de la variable utilisée pour la rotation de l’élément.

Plus de détails dans l’aide en ligne.

VT_I4

TwistViewMin

Rotation min [°]

Angle de rotation de l’élément pour la valeur minimum de la variable (en °).

Plus de détails dans l’aide en ligne.

VT_I4

TwistViewMax

Rotation max [°]

Angle de rotation de l’élément pour la valeur maximum de la variable (en °).

Plus de détails dans l’aide en ligne.

ZT_STYLE

ShadowEffectStyle

Style effet cadres/ombres

Affichage et sélection du style de cadre et d’ombre attribué à l’élément.

Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de style.
Si plusieurs éléments ont été sélectionnés, ils peuvent être attribués à un style commun.

Remarque : Seules les propriétés compatibles avec l’élément correspondant sont prises en charge.

Plus de détails dans l’aide en ligne.

VT_BOOL

EnablePunchFrame

Afficher le cadre

A frame around the element can be displayed.
Default: inactive.

ZT_STYLE

GlowEffectStyle

Style effet de rayonnement

Affichage et sélection du style des effets de luminescence attribués à l’élément.

Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de style.
Si plusieurs éléments ont été sélectionnés, ils peuvent être attribués à un style commun.

Remarque : Seules les propriétés compatibles avec l’élément correspondant sont prises en charge.

Plus de détails dans l’aide en ligne.

VT_BOOL

GlowEffectEvent

Actif seulement si cliqué

Disponible uniquement si la propriété Activer est active et l’élément est un bouton.

Active : l’effet de luminescence est uniquement affiché lorsque l’utilisateur clique sur le bouton. Cliquer sur le bouton permet de modifier la couleur, le clignotement ou l’invisibilité de l’effet de luminescence.

Par défaut : Inactive

Plus de détails dans l’aide en ligne.

ZT_VARIABLE_DYN

GlowEffectGlowColorVariable

Variable pour la couleur

Disponible uniquement si la propriété Activer est active. La propriété Coloration doit être activée.

Nom de la variable dont la couleur aux valeurs limites doit influencer la couleur de l’effet de luminescence pour l’élément. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de variables. Vous pouvez également saisir le nom manuellement dans le champ de texte. Si aucune variable n’est liée, la couleur définie dans la propriété Couleur est utilisée.

Par défaut : aucune variable liée

Plus de détails dans l’aide en ligne.

ZT_PREVIEW

GlowEffectGlowColorVariablePreview

Affichage aperçu couleur

Affichage de la valeur limite définie pour la variable de couleur lorsque l’effet de luminescence est actif. Disponible uniquement si l’option Depuis la variable a été configurée pour la propriété Variable pour la couleur.

Un aperçu des propriétés définies pour la valeur limite est affiché dans le champ. Aucun aperçu n’est affiché pour les matrices de réaction.
Cliquez sur le bouton ... pour ouvrir la boîte de dialogue d’affichage des résultats. Les valeurs limite sont uniquement affichées ; elles ne peuvent pas être modifiées. Les modifications doivent être effectuées directement dans les propriétés de la variable pour Valeurs limite.

Plus de détails dans l’aide en ligne.

ZT_VARIABLE_DYN

GlowEffectVisibilityVariable

Variable pour la visibilité

Disponible uniquement si la propriété Activer est active.

Nom de la variable dont la valeur influence la visibilité de l’effet de luminescence. La visibilité est soit reprise des propriétés de valeur limite de cette variable (propriété Visibilité depuis valeur limite active), soit définie par la plage de valeurs définie dans les propriétés Visible de et Visible jusqu'à. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de variables. Vous pouvez également saisir le nom manuellement dans le champ de texte.

Remarque : si aucune variable n’est liée, l’effet de luminescence est toujours visible.

Par défaut : aucune variable liée

Plus de détails dans l’aide en ligne.

ZT_PREVIEW

GlowEffectVisibilityVariablePreview

Affichage aperçu visibilité

Affichage de la valeur limite définie pour la variable de visibilité lorsque l’effet de luminescence est actif. Disponible uniquement si l’option Depuis la variable a été configurée pour la propriété Variable pour la visibilité.

Un aperçu des propriétés définies pour la valeur limite est affiché dans le champ. Aucun aperçu n’est affiché pour les matrices de réaction.
Cliquez sur le bouton ... pour ouvrir la boîte de dialogue d’affichage des résultats. Les valeurs limite sont uniquement affichées ; elles ne peuvent pas être modifiées. Les modifications doivent être effectuées directement dans les propriétés de la variable pour Valeurs limite.

Plus de détails dans l’aide en ligne.

VT_BOOL

GlowEffectVisibilityFromLimit

Visibilité depuis valeur limite

Disponible uniquement si la propriété Activer est active. Vous devez en outre définir une variable dans la propriété Variable pour la visibilité.

Active : La visibilité de l’effet de luminescence est influencée par la propriété de valeur limite de la variable.

Attention : Pour une valeur limite de la variable au moins, la propriété Invisible doit être active.

Inactive : la visibilité est influencée par les propriétés de l’élément.

Plus de détails dans l’aide en ligne.

VT_R8

GlowEffectVisibilityFrom

Visible de

Disponible uniquement si la propriété Activer est active. Vous devez en outre définir une variable dans la propriété Variable pour la visibilité ; la propriété Visibilité depuis valeur limite doit être inactive.

Définit la valeur à partir de laquelle l’effet de luminescence devient visible.
Minimum : valeur la moins élevée autorisée pour la variable liée dans Variable pour la visibilité.
Maximum : valeur la moins élevée autorisée pour la variable liée dans Variable pour la visibilité.
Par défaut : valeur la plus élevée autorisée pour la variable liée dans Variable pour la visibilité.

Plus de détails dans l’aide en ligne.

VT_R8

GlowEffectVisibilityTo

Visible jusqu'à

Disponible uniquement si la propriété Activer est active. Vous devez en outre définir une variable dans la propriété Variable pour la visibilité ; la propriété Visibilité depuis valeur limite doit être inactive.

Définit la valeur jusqu’à laquelle l’effet de luminescence reste visible.
Minimum : valeur la plus basse autorisée pour la variable liée dans Variable pour la visibilité.
Maximum : valeur la plus élevée autorisée pour la variable liée dans Variable pour la visibilité.
Par défaut : valeur la plus élevée autorisée pour la variable liée dans Variable pour la visibilité.

Plus de détails dans l’aide en ligne.

ZT_VARIABLE_DYN

GlowEffectBlinkVariable

Variable pour le clignotement

Variables dont les paramètres de clignotement de l’effet de luminescence aux valeurs limites doivent être repris. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de variables.

Par défaut : aucune variable liée

Plus de détails dans l’aide en ligne.

ZT_PREVIEW

GlowEffectBlinkVariablePreview

Affichage aperçu clignotement

Affichage de la valeur limite définie pour la variable de clignotement lorsque l’effet de luminescence est actif. Disponible uniquement si l’option Depuis la variable a été configurée pour la propriété Variable pour le clignotement.

Un aperçu des propriétés définies pour la valeur limite est affiché dans le champ. Aucun aperçu n’est affiché pour les matrices de réaction.
Cliquez sur le bouton ... pour ouvrir la boîte de dialogue d’affichage des résultats. Les valeurs limite sont uniquement affichées ; elles ne peuvent pas être modifiées. Les modifications doivent être effectuées directement dans les propriétés de la variable pour Valeurs limite.

Plus de détails dans l’aide en ligne.

VT_BOOL

GlowEffectUseBlinkColor

Clignotement depuis valeur limite

Disponible uniquement si la propriété Activer est active. Vous devez en outre définir une variable dans la propriété Variable pour le clignotement.

Active : Reprend, pour l’effet de luminescence, la couleur de clignotement de la valeur limite active pour la variable définie dans la propriété Couleur de clignotement par la limite. Cette propriété agit indépendamment de la propriété Coloration. En cas de clignotement, l’effet de luminescence ne devient pas invisible, mais reprend les paramètres de l’effet de luminescence actif.

Par défaut : Inactive

Plus de détails dans l’aide en ligne.

VT_BOOL

GlowEffect2ndBlinkStateVisible

2 états de clignotement invisibles

Disponible uniquement si la propriété Activer est active. Vous devez en outre définir une variable dans la propriété Variable pour le clignotement ; la propriété Clignotement depuis valeur limite doit être inactive.

Active : En cas de clignotement, l’effet de luminescence ne bascule pas vers l’effet de luminescence actif, mais devient invisible. Ceci permet de basculer entre l’invisibilité et la couleur de clignotement en cas de dépassement de la valeur limite.

Par défaut : Inactive

Plus de détails dans l’aide en ligne.


Bargraph

Manuel -> Interfaces de programmation -> Modèles d'objet -> Element -> Element-Dynamic properties -> Bargraph

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Type

VBA/VSTA Name

Display Name

Description

More...

DynEleVar

DynEleVar

"With this property you have the opportunity to get informations about the variable (projected via ""Variable assignment"" in the ActiveX selection dialog) which is linked at an ActiveX element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""DynEleVar.SymVarName"") 'Return the name of the variable which is assigned to the ActiveX
zElement.DynProperties (""DynEleVar.SymVarTagNr"") 'Return the identification of the variable which is assigned to the ActiveX"

ZT_STYLE

FrameStyle

Style de bordure d'élément

Affichage et sélection du style d’élément attribué à l’élément.

Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de style.
Si plusieurs éléments ont été sélectionnés, ils peuvent être attribués à un style commun.

Remarque : Seules les propriétés compatibles avec l’élément correspondant sont prises en charge.

Plus de détails dans l’aide en ligne.

VT_BOOL

ShowState

Visualiser l'état de la variable

Affichage graphique de l’état de la variable. Sélection à l’aide d’une case à cocher.

  • Active : l’état des variables est indiqué par un carré de couleur au niveau de l’élément.

    Couleur :

    • Carré rouge :
      pas de communication avec l’automate.
      Exemple : INVALID, OFF, ALT_VAL, REVISION, TIMEOUT, ...
    • Carré bleu (N_UPDATE) :
      Sur le client réseau :
      La connexion entre le client et le serveur principal a été interrompue.

      Avec un projet d’intégration indépendant :
      Le serveur principal n’a pas encore fourni les données.
    • Carré jaune (PR_NR) :
      Indique, dans le Runtime, que la variable n’a pas été enregistrée pendant la lecture dans le module Process Recorder. Par conséquent, aucune valeur n’a été identifiée lors de la lecture.

    Position :
    La position du carré au niveau de l’élément dépend de la forme de l’élément :

    • Anguleux et tous autres éléments :
      Coin supérieur droit
    • Élément circulaire :
      En haut, au milieu
    • Élément arrondi :
      coin supérieur droit, légèrement décalé vers la gauche
  • Inactive : L’état n’est pas représenté.
    Désactive également la possibilité d’afficher les informations supplémentaires concernant la variable avec un clic droit.

Par défaut : Actif

Plus de détails dans l’aide en ligne.

ZT_STYLE

BarFillStyle

Style de remplissage pour le graphique si pressé/activé

Description sous forme de texte.

ZT_STYLE

TextStyle

Style de texte

Affichage et sélection du style de texte attribué à l’élément.

Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de style.
Si plusieurs éléments ont été sélectionnés, ils peuvent être attribués à un style commun.

Remarque : Seules les propriétés compatibles avec l’élément correspondant sont prises en charge.

Plus de détails dans l’aide en ligne.

VT_BOOL

LimitColor

Utiliser la couleur de la limite

Définit si la couleur de valeur limite pour la variable liée à l’élément est affichée dans le Runtime.
La couleur a un effet sur le texte affiché ou sur le curseur d’une réglette universelle.

  • Active : La couleur de valeur limite définie est affichée dans le Runtime.

Par défaut : active

Plus de détails dans l’aide en ligne.

VT_BOOL

FromZero

Autour de zéro

Affecte uniquement l’affichage de valeurs avec un signe :
Active : La barre s’étend de 0 jusqu’à la valeur actuelle de la variable liée.
Inactive : La barre s’étend de la valeur la plus basse affichée jusqu’à la valeur actuelle de la variable liée.
Par défaut :

Plus de détails dans l’aide en ligne.

VT_UI2

Direction

Sens de déplacement

Direction de la barre.
En haut : Valeur la plus basse en bas, valeur la plus élevée en haut.
Déplacer vers le bas : Valeur la plus basse en haut, valeur la plus élevée en bas.
Déplacer vers la gauche : Valeur la plus basse à droite, valeur la plus élevée à gauche.
Déplacer vers la droite : Valeur la plus basse à gauche, valeur la plus élevée à droite.

Plus de détails dans l’aide en ligne.

ZT_STYLE

ValueStyle

Style d'affichage de la valeur

Affichage et sélection du style d’affichage de la valeur attribué à l’élément.

Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de style.
Si plusieurs éléments ont été sélectionnés, ils peuvent être attribués à un style commun.

Remarque : Seules les propriétés compatibles avec l’élément correspondant sont prises en charge.

Plus de détails dans l’aide en ligne.

ZT_STYLE

ScaleStyle

Échelle de style

Affichage et sélection du style d’échelle attribué à l’élément.

Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de style.
Si plusieurs éléments ont été sélectionnés, ils peuvent être attribués à un style commun.

Remarque : Seules les propriétés compatibles avec l’élément correspondant sont prises en charge.

Plus de détails dans l’aide en ligne.

ZT_VARIABLE_DYN

Variable

Variable

Nom de la variable liée. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de variables.
La valeur de cette variable est affichée dans cet élément et peut également être définie ici.

Remarque : Disponible uniquement pour les boutons s’ils sont utilisés en tant qu’interrupteurs.

Conseil : si la valeur de la variable doit être basculée, nous vous recommandons d’activer la propriété Variable lue en permanence. Dans le cas contraire, le Runtime patiente jusqu’à ce que le driver connaisse la valeur des variables. Si la valeur n’est pas disponible en raison d’une interruption des communications avec le contrôleur, le délai d’attente correspond au délai d’attente avant expiration du driver.

SICAM 230 et élément Synoptique d’alarmes uniquement :
La description ci-dessus s’applique uniquement aux éléments Bouton texte, Bouton bitmap et Bouton invisible.
Signification dans SICAM 230 : Les états des classes d’alarmes/d’événements seront attribués à la variable sélectionnée (32 bits). Pour chaque classe, 2 bits seront utilisés (par numéro de classe, dans l’ordre croissant).

  • Bit inférieur : alarme active/inactive
  • Bit supérieur : alarme acquittée/non acquittée

Plus de détails dans l’aide en ligne.

VT_BOOL

ViewLimitFromVar

Appliquer la plage de visualisation à partir de la variable

Reprend la zone d’affichage de la variable liée. Vous pouvez actualiser cet affichage durant le remplacement par une variable comportant une plage de valeurs différente.

Plus de détails dans l’aide en ligne.

VT_R8

ViewMin

Minimum

Valeur la plus basse de la variable devant être affichée dans l’élément.

Plus de détails dans l’aide en ligne.

VT_R8

ViewMax

Maximum

Valeur la plus élevée de la variable devant être affichée dans l’élément.

Plus de détails dans l’aide en ligne.

ZT_VARIABLE_DYN

DynMinVar

Minimum

Variable définissant la valeur minimum de la plage d’affichage dans le Runtime.

Plus de détails dans l’aide en ligne.

ZT_VARIABLE_DYN

DynMaxVar

Maximum

Variable définissant la valeur maximum de la plage d’affichage dans le Runtime.

Plus de détails dans l’aide en ligne.

ZT_STYLE

FillStyle

Style de remplissage

Affichage et sélection du style de remplissage attribué à l’élément.

Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de style.
Si plusieurs éléments ont été sélectionnés, ils peuvent être attribués à un style commun.

Remarque : Seules les propriétés compatibles avec l’élément correspondant sont prises en charge.

Plus de détails dans l’aide en ligne.

VT_BOOL

Transparent

Transparence

Active : Désactive la couleur d’arrière-plan de l’élément.

L’effet de cette option sur un bouton est un bouton invisible. Il peut être positionné au-dessus des autres éléments en tant que bouton invisible.

Plus de détails dans l’aide en ligne.

VT_BOOL

IsSetValue

Ecrire valeur prescrite
  • Active : La configuration des valeurs prescrites pour cet élément dynamique est autorisée.
  • Inactive : L’élément est défini sur ReadOnly.

Indisponible pour l’élément Texte dynamique s’il a été défini sur read only dans le synoptique.

Plus de détails dans l’aide en ligne.

VT_BOOL

Preset

Proposer la valeur courante

Active : La valeur actuelle de la variable est proposée en tant que valeur prescrite.
Dans ce cas, la valeur est ajoutée sous "Valeur prescrite / Modification de valeur" avant la configuration de la valeur réelle (valeur positive) ou sa soustraction depuis celle-ci (valeur négative).
Inactive : La valeur définie dans la propriété "Valeur prescrite / Modification de valeur" est proposée.

Plus de détails dans l’aide en ligne.

VT_BOOL

HWDirect

Sans dialogue

Active : La valeur est transmise au matériel sans qu’il soit possible de la modifier dans Runtime.
Inactive : Il reste toutefois possible de modifier la valeur dans le Runtime avant son écriture sur le matériel.

Plus de détails dans l’aide en ligne.

VT_R8

SetValue

Valeur prescrite

Valeur devant être envoyée en tant que valeur prescrite ou valeur par défaut.
Si la propriété Proposer la valeur actuelle est active : Valeur ajoutée à la valeur actuelle.
Associée à la propriété "Sans boîte de dialogue", l’augmentation (valeur positive) ou la diminution (valeur négative) peut être mise en œuvre.

Plus de détails dans l’aide en ligne.

VT_UI1

SetValueWith

Écrire valeur prescrite par

Configuration de la définition de la valeur prescrite.
Sélection dans une liste déroulante :

  • Gestion de commande : La nouvelle valeur est définie à l’aide de la fonction Gestion de commandes. Le synoptique défini dans le groupe de commandes de la variable liée s’affiche aux fins de la saisie.
  • Boîte de dialogue standard : la nouvelle valeur est saisie à l’aide d’une boîte de dialogue standard. Si un synoptique de type "Clavier" avec le nom "SETVALUEKBD" (pour les valeurs numériques) ou "SETSTRINGKBD" (pour les variables de type STRING) existe, ce synoptique est utilisé à la place de la boîte de dialogue standard.
    Remarque : Si l’élément est lié à une fonction autorisant les entrées, la propriété est définie Utiliser le synoptique clavier automatiquement. Si un synoptique est lié dans la propriété Synoptique clavier, celui-ci est utilisé. Dans le cas contraire, un clavier SETSTRINGKBD est utilisé.
  • Élément : La valeur est saisie directement dans l’élément graphique (uniquement pour les éléments Valeur numérique et Texte).
  • Programme : La valeur est saisie dans un programme externe.

Plus de détails dans l’aide en ligne.

VT_BSTR

SetProgram

Programme externe

Disponible uniquement si un programme externe a été sélectionné pour la propriété Écrire valeur prescrite :
La valeur prescrite est écrite par un programme externe qui doit être sélectionné dans la boîte de dialogue affichée ici.

Ce programme est alors démarré et reçoit les paramètres suivants :
1) Nom de la variable liée
2) Valeur proposée, telle que définie dans les propriétés correspondantes
3) Coordonnée gauche de l’élément, en pixels
4) Coordonnée supérieure de l’élément, en pixels
5) Coordonnée droite de l’élément, en pixels
6) Coordonnée inférieure de l’élément, en pixels
7) Valeur minimum autorisée pour la valeur prescrite, telle qu’elle est définie dans les propriétés correspondantes
8) Valeur maximum autorisée pour la valeur prescrite, telle qu’elle est définie dans les propriétés correspondantes

Plus de détails dans l’aide en ligne.

VT_BOOL

KbdUsage

Synoptique clavier

Disponible uniquement si la propriété Synoptique clavier est active.

Nom du synoptique de clavier lié.
Si aucun synoptique de clavier n’est saisi, le clavier correspondant est appelé dans le Runtime :

  • Variable String (chaîne) : SETSTRINGKBD
  • Variable numérique : SETVALUEKBD
  • Variable binaire : SETBOOLKBD

Remarque : Pour l’option Champ de saisie, aucun clavier n’est appelé si l’option Synoptique clavier est activée. Un synoptique de clavier doit être lié.

Plus de détails dans l’aide en ligne.

ZT_PICTURE

KbdName

Synoptique clavier

Disponible uniquement si la propriété Synoptique clavier est active.

Nom du synoptique de clavier lié.
Si aucun synoptique de clavier n’est saisi, le clavier correspondant est appelé dans le Runtime :

  • Variable String (chaîne) : SETSTRINGKBD
  • Variable numérique : SETVALUEKBD
  • Variable binaire : SETBOOLKBD

Remarque : Pour l’option Champ de saisie, aucun clavier n’est appelé si l’option Synoptique clavier est activée. Un synoptique de clavier doit être lié.

Plus de détails dans l’aide en ligne.

VT_BOOL

LimitFromVar

Plages de la variable

Active : La limitation de la plage pour laquelle les valeurs prescrites peuvent être écrites n’est pas définie par l’intermédiaire des paramètres "Min" et "Max", mais est directement issue des définitions de variables (bouton "Étendue").
Inactive : La plage peut être directement limitée par les paramètres "Minimum" et "Maximum".

Plus de détails dans l’aide en ligne.

VT_R8

Min

Minimum

Limite inférieure de la plage de valeurs autorisées pour la valeur prescrite.
Disponible uniquement si la propriété Plages de la variable n’est pas active.

Attention : La valeur saisie ici sera ignorée si une variable est sélectionnée pour la valeur minimum de la valeur dynamique prescrite.

Plus de détails dans l’aide en ligne.

VT_R8

Max

Maximum

Limite supérieure de la plage de valeurs autorisées pour la valeur prescrite.
Disponible uniquement si la propriété Plages de la variable n’est pas active.

Attention : La valeur saisie ici sera ignorée si une variable est sélectionnée pour la valeur maximale de la valeur prescrite dynamique.

Plus de détails dans l’aide en ligne.

VT_UI2

Passwordlevel

Niveau d'autorisation

Le niveau du mot de passe d’écriture de valeurs prescrites ou d’exécution de fonctions avec l’élément dynamique sélectionné.
Minimum : 0.
Maximum : 127
Par défaut : 0.

Plus de détails dans l’aide en ligne.

VT_UI4

Locking

Verrouillage

Lien vers un verrouillage existant avec cet élément.

Si une condition dans une des formules du verrouillage est vraie, cet élément est verrouillé de manière à ce qu’aucun fonctionnement ne soit possible. Si cela a été défini dans les propriétés du projet, un symbole représentant un verrou est affiché aussi longtemps que le verrouillage est actif.

Remarque : Les verrouillages ne peuvent pas être utilisés pour des symboles dans la bibliothèque générale de symboles ou la bibliothèque de symboles du projet.

Plus de détails dans l’aide en ligne.

VT_BSTR

LockingName

LockingName

"With this property you have the opportunity to assign an interlocking via its name.
zElement.DynProperties(""LockingName"") = ""Interlocking 1"""

VT_BOOL

UnderCE

Visible sous WinCE

Contrôle la visibilité des éléments dans les synoptiques sous Windows CE. Les projets qui sont utilisés sous CE et sur le PC peuvent être créés de manière plus flexible ; la gestion par l’utilisateur est ainsi améliorée. Par exemple, les boutons renvoyant l’utilisateur vers des synoptiques ne pouvant pas être affichés sous CE (par ex. IPA) peuvent être rendus invisibles.

Active : dans synoptique/l’élément est également visible sous Windows CE.

Par défaut : active

Plus de détails dans l’aide en ligne.

ZT_VBAMAKRO

Init

Init

Macro VBA à exécuter lors de l’initialisation de l’élément.

Plus de détails dans l’aide en ligne.

ZT_VBAMAKRO

SetFocus

SetFocus

Macro VBA à exécuter lorsque le focus est placé sur l’élément.

Plus de détails dans l’aide en ligne.

ZT_VBAMAKRO

KillFocus

KillFocus

Macro VBA à exécuter lorsque le focus n’est plus placé sur l’élément.

Plus de détails dans l’aide en ligne.

ZT_VBAMAKRO

LeftClickDown

LeftClickDown

Macro VBA à exécuter lorsque l’utilisateur effectue un clic gauche sur l’élément.

Plus de détails dans l’aide en ligne.

ZT_VBAMAKRO

RightClickDown

RightClickDown

Macro VBA à exécuter lorsque l’utilisateur effectue un clic droit sur l’élément.

Plus de détails dans l’aide en ligne.

ZT_VBAMAKRO

LeftClickUp

LeftClickUp

Macro VBA à exécuter lorsque l’utilisateur relâche le bouton gauche de la souris sur l’élément.

Plus de détails dans l’aide en ligne.

ZT_VBAMAKRO

RightClickUp

RightClickUp

Macro VBA à exécuter lorsque l’utilisateur relâche le bouton droit de la souris sur l’élément.

Plus de détails dans l’aide en ligne.

ZT_VBAMAKRO

LeftDClick

LeftDoubleClick

Macro VBA à exécuter lorsque l’utilisateur effectue un double-clic gauche sur l’élément.

Plus de détails dans l’aide en ligne.

ZT_VBAMAKRO

RightDClick

RightDoubleClick

Macro VBA à exécuter lorsque l’utilisateur effectue un double-clic droit sur l’élément.

Plus de détails dans l’aide en ligne.

ZT_VBAMAKRO

MouseOver

MouseOver

Macro VBA à exécuter si le pointeur de la souris est positionné sur l’élément.

Plus de détails dans l’aide en ligne.

ZT_VBAMAKRO

DragDrop

DragDrop

Macro VBA à exécuter lorsque le bouton de la souris est relâché.

Plus de détails dans l’aide en ligne.

ZT_VBAMAKRO

DragOver

DragOver

Macro VBA à exécuter lorsque le curseur est déplacé au-dessus de l’élément pendant que le bouton gauche est enfoncé.

Plus de détails dans l’aide en ligne.

ZT_VBAMAKRO

DragBegin

DragBegin

Macro VBA à exécuter lorsque l’utilisateur commence à faire glisser l’objet.

Plus de détails dans l’aide en ligne.

VT_BSTR

Menu

Menu contextuel

Menu contextuel de l’élément.
Cliquer avec le bouton droit de la souris sur l’élément pour ouvrir le menu contextuel dans le Runtime.

Plus de détails dans l’aide en ligne.

VT_BSTR

Tooltip

Info bulle

Texte à afficher en tant qu’info-bulle de l’élément dans le Runtime. Une info-bulle est automatiquement affichée dans le Runtime si le pointeur de la souris reste pendant quelques secondes sur l’élément. Des retours à la ligne automatiques peuvent être insérés avec les caractères "\n".

  • Maximum : 79 caractères
    Attention : La combinaison de caractères \n est également comptée dans la limite de 79 caractères.

Plus de détails dans l’aide en ligne.

VT_BOOL

LassoSelect

sélectionnable avec le lasso

La sélection avec le lasso dans le Runtime permet d’identifier les éléments dynamiques et de les utiliser avec des événements VBA.

  • Active : L’élément peut être sélectionné avec le lasso dans le Runtime.
  • Inactive : L’élément ne peut pas être sélectionné dans Runtime.

Par défaut : active

Attention : Pour que l’élément puisse être sélectionné dans le Runtime, vous devez activer la propriété Sélection multiple en runtime (lasso) dans les paramètres du projet !

Remarque concernant la gestion des commandes : Si la propriété Opération à deux mains est activée, le lasso de la commande Exécuter le 2ème niveau ne doit pas être activé.

Plus de détails dans l’aide en ligne.

More...

GestureManipulationGroup

Manipulation

Propriétés pour la manipulation de synoptiques et d’éléments de synoptique dans le cadre d’une utilisation tactile.

Plus de détails dans l’aide en ligne.

VT_BOOL

Tab

Le focus est donné à l'élément

Active : L’élément dynamique peut être actionné à l’aide du clavier.
Inactive : L’élément dynamique n’est pas accessible à l’aide du clavier.
Par défaut : active.

Plus de détails dans l’aide en ligne.

VT_I4

TABOrderH

Position du focus gauche/droite

Définit la position horizontale pour l’utilisation à l’aide du clavier dans le Runtime. La position est définie par l’intermédiaire du menu contextuel et de l’utilisation de la souris dans la fenêtre principale ; elle ne peut pas être modifiée ici.

Plus de détails dans l’aide en ligne.

VT_I4

TABOrderV

Position focus haut / bas

Définit la position verticale pour l’utilisation à l’aide du clavier dans le Runtime. La position est définie par l’intermédiaire du menu contextuel et de l’utilisation de la souris dans la fenêtre principale ; elle ne peut pas être modifiée ici.

Plus de détails dans l’aide en ligne.

VT_BOOL

Signature

Signature nécéssaire

Active : Une signature est nécessaire pour actionner l’élément.

Pour des raisons de sécurité, l’utilisateur sera invité à saisir son mot de passe même s’il est déjà connecté. Le texte de la signature est enregistré dans la liste d’événements (CEL) après que l’élément ait été utilisé avec succès.

Attention : seuls les utilisateurs connectés peuvent signer une action. La signature d’actions avec un identifiant temporaire n’est plus possible.

Inactive : aucune signature n’est requise.

(Par défaut) Inactive :

Plus de détails dans l’aide en ligne.

VT_BSTR

SignatureText

Texte de signature

Ce texte est également consigné lors de la signature dans la liste d’événements (CEL) ou est proposé par défaut dans le Runtime si la signature est définie comme modifiable dans les propriétés du projet.

Plus de détails dans l’aide en ligne.

VT_I2

SignatureEditModus

Texte de signature éditable

Définit si le texte de signature peut être édité. Sélectionnez dans la liste déroulante :

  • Appliquer les paramètres projet : Les paramètres de la propriété de projet Texte de signature éditable sont applicables.
  • Oui : Texte modifiables
  • Non : Le texte ne peut pas être édité.

Par défaut : Appliquer les paramètres projet

Plus de détails dans l’aide en ligne

ZT_FILE

Helpfile

Fichier d'aide

Fichier d’aide (*.chm) devant être utilisé pour cet élément, conjointement à un menu contextuel. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de fichiers.
Attention : seuls les fichiers d’aide ayant été ajoutés dans le nœud Fichiers/Aide sont disponibles.

Plus de détails dans l’aide en ligne.

VT_BSTR

HelpCapture

Chapitre d'aide

Chapitre d’aide (*.chm) devant être utilisé pour cet élément, conjointement à un menu contextuel. Nom de la page HTML sous-jacente.
Attention : cette entrée tient compte des minuscules et majuscules.

Plus de détails dans l’aide en ligne.

ZT_VARIABLE_DYN

SetValueDynMin

Minimum

Variable dont la valeur actuelle est applicable en tant que limite inférieure de la valeur prescrite de l’élément.
Disponible uniquement si Plages de la variable est inactive :
Plus de détails dans l’aide en ligne.

ZT_VARIABLE_DYN

SetValueDynMax

Maximum

Variable dont la valeur actuelle est applicable en tant que limite supérieure de la valeur prescrite de l’élément.

Disponible uniquement si la propriété Plages de la variable est inactive.

Plus de détails dans l’aide en ligne.

VT_BOOL

GestureRecognitionActive

Reconnaissance de geste active

Active l’évaluation des gestes. Les gestes sont définis à l’aide d’autres propriétés.

Uniquement disponible si, dans le groupe Intéraction des propriétés du projet, la propriété Reconnaissance Windows 8 a été définie.

Plus de détails dans l’aide en ligne.

VT_BOOL

Gestures_Manipulation

Exact

Active : Détection du paramètre Exact défini.

Plus de détails dans l’aide en ligne.

VT_BOOL

Gestures_Exact

Exact

Active : Détection du paramètre Exact défini.

Plus de détails dans l’aide en ligne.

VT_BOOL

Gestures_TranslationX

Translation X

Active : Détection du paramètre Translation X défini.

Plus de détails dans l’aide en ligne.

VT_BOOL

Gestures_TranslationY

Translation Y

Active : Détection du paramètre Translation Y défini.

Plus de détails dans l’aide en ligne.

VT_BOOL

Gestures_RailsX

Rails X

Active : Détection du paramètre Rails X défini.

Plus de détails dans l’aide en ligne.

VT_BOOL

Gestures_RailsY

Rails Y

Active : Détection du paramètre Rails Y défini.

Plus de détails dans l’aide en ligne.

VT_BOOL

Gestures_TranslationInertia

Translation inertia

Active : Détection du paramètre Translation Inertia (Inertie de translation) défini.

Plus de détails dans l’aide en ligne.

VT_BOOL

Gestures_Rotation

Inertie de rotation

Active : Détection du paramètre Rotation Inertia (Inertie de rotation) défini.

Plus de détails dans l’aide en ligne.

VT_BOOL

Gestures_RotationInertia

Inertie de rotation

Active : Détection du paramètre Rotation Inertia (Inertie de rotation) défini.

Plus de détails dans l’aide en ligne.

VT_BOOL

Gestures_Scaling

Scaling inertia

Active : Détection du paramètre Scaling Inertia (Inertie de redimensionnement) défini.

Plus de détails dans l’aide en ligne.

VT_BOOL

Gestures_ScalingInertia

Scaling inertia

Active : Détection du paramètre Scaling Inertia (Inertie de redimensionnement) défini.

Plus de détails dans l’aide en ligne.

VT_BOOL

Gestures_CrossSlide

Cross slide exact

Active : Détection du paramètre Cross Slide Exact (Glissement transversal exact) défini.

Plus de détails dans l’aide en ligne.

VT_BOOL

Gestures_CrossSlideHorizontal

Cross slide horizontal

Active : Détection du paramètre Cross Slide Horizontal (Glissement transversal horizontal) défini.

Plus de détails dans l’aide en ligne.

VT_BOOL

Gestures_CrossSlideSelect

Cross slide select

Active : Détection du paramètre Cross Slide Select (Glissement transversal, sélection) défini.

Plus de détails dans l’aide en ligne.

VT_BOOL

Gestures_CrossSlideSpeedBump

Cross slide speed bump

Active : Détection du paramètre Cross Slide Speed Bump (Glissement transversal, ralentisseur) défini.

Plus de détails dans l’aide en ligne.

VT_BOOL

Gestures_CrossSlideRearrange

Cross slide rearrange

Active : Détection du paramètre Cross Slide Rearrange (Glissement transversal, réorganisation) défini.

Plus de détails dans l’aide en ligne.

VT_BOOL

Gestures_CrossSlideExact

Cross slide exact

Active : Détection du paramètre Cross Slide Exact (Glissement transversal exact) défini.

Plus de détails dans l’aide en ligne.

VT_BOOL

Gestures_Tap

Tap double

Active : Détection du paramètre Tap Double (Double appui) défini.

Plus de détails dans l’aide en ligne.

VT_BOOL

Gestures_TapDouble

Tap double

Active : Détection du paramètre Tap Double (Double appui) défini.

Plus de détails dans l’aide en ligne.

VT_BOOL

Gestures_SecondaryTap

Secondary tap

Active : Détection du paramètre Secondary Tap (Appui secondaire) défini.

Plus de détails dans l’aide en ligne.

VT_BOOL

Gestures_Drag

Drag

Active : Détection du paramètre Drag (Glissement) défini.

Plus de détails dans l’aide en ligne.

VT_BOOL

Gestures_Hold

Hold (Mouse)

Active : Détection du paramètre Hold (Mouse) (Maintien [souris]) défini.

Plus de détails dans l’aide en ligne.

ZT_STYLE

StyleGroup

Groupe de styles

Affichage et sélection du groupe de styles attribué à l’élément.
Cliquez sur le bouton ... pour ouvrir la boîte de dialogue permettant de sélectionner un groupe de styles.
Si plusieurs éléments sont sélectionnés, elles peuvent être attribuées à un groupe de styles commun.

Remarque : Seules les propriétés compatibles avec l’élément correspondant sont prises en charge.

Plus de détails dans l’aide en ligne.

More...

LnClVariable

LnClVariable

"With this property you have the opportunity to get informations about the variable which is linked as ""line/text color"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""LnClVariable.SymVarName"") 'Return the name of the ""line/text color"" variable
zElement.DynProperties (""LnClVariable.SymVarTagNr"") 'Return the identification of the ""line/text color"" variable"

More...

BkClVariable

BkClVariable

"With this property you have the opportunity to get informations about the variable which is linked as ""background/filling color"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""BkClVariable.SymVarName"") 'Return the name of the ""background/filling color"" variable
zElement.DynProperties (""BkClVariable.SymVarTagNr"") 'Return the identification of the ""background/filling color"" variable"

More...

BkCl2Variable

"BkCl2Variable"

More...

XVar

XVar

"With this property you have the opportunity to get informations about the variable which is linked as ""dynamic x position"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""XVar.SymVarName"") 'Return the name of the ""dynamic x position"" variable
zElement.DynProperties (""XVar.SymVarTagNr"") 'Return the identification of the ""dynamic x position"" variable"

More...

YVar

YVar

"With this property you have the opportunity to get informations about the variable which is linked as ""dynamic y position"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""YVar.SymVarName"") 'Return the name of the ""dynamic y position"" variable
zElement.DynProperties (""YVar.SymVarTagNr"") 'Return the identification of the ""dynamic y position"" variable"

More...

XVarZoom

XVarZoom

"With this property you have the opportunity to get informations about the variable which is linked as ""change width"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""XVarZoom.SymVarName"") 'Return the name of the ""change width"" variable
zElement.DynProperties (""XVarZoom.SymVarTagNr"") 'Return the identification of the ""change width"" variable"

More...

YVarZoom

YVarZoom

"With this property you have the opportunity to get informations about the variable which is linked as ""change height"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""YVarZoom.SymVarName"") 'Return the name of the ""change height"" variable
zElement.DynProperties (""YVarZoom.SymVarName"") 'Return the name of the ""change height"" variable
zElement.DynProperties (""YVarZoom.SymVarTagNr"") 'Return the identification of the ""change height"" variable"

More...

TwistVar

TwistVar

"With this property you have the opportunity to get informations about the variable which is linked as ""rotate"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""TwistVar.SymVarName"") 'Return the name of the ""rotate"" variable
zElement.DynProperties (""TwistVar.SymVarTagNr"") 'Return the identification of the ""rotate"" variable"

More...

VisVariable

VisVariable

"With this property you have the opportunity to get informations about the variable which is linked as ""visibility"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""VisVariable.SymVarName"") 'Return the name of the ""visibility"" variable
zElement.DynProperties (""VisVariable.SymVarTagNr"") 'Return the identification of the ""visibility"" variable"

More...

BlinkVar

BlinkVar

More...

GlowEffectGlowColorVar

GlowEffectGlowColorVar

More...

GlowEffectVisibilityVar

GlowEffectVisibilityVar

More...

GlowEffectBlinkVar

GlowEffectBlinkVar

VT_BSTR

Name

Nom d'élément

Attribuez un nom d’élément.
Il ne doit pas être vide.

Attention : Cette propriété n’est pas disponible aux fins de la commutation de langue.

Remarques concernant les cadrans : Pour les conteneurs de synoptique, spécifiez des noms clairement identifiables pour faciliter la sélection lors de la configuration des appels de synoptique.

Plus de détails dans l’aide en ligne.

VT_UI1

Layer

Niveau de visibilité

Sélectionnez l’un des 16 niveaux de visibilité (0 à 15) dans la liste déroulante. À l’aide de la barre d’outils Niveau de visibilité, vous décidez des niveaux qui doivent être affichés dans Editor. Cette fonction garantit que les synoptiques les plus complexes peuvent être développés de manière simple. Les niveaux peuvent être utilisés immédiatement. Les niveaux n’ont aucune influence sur les informations affichées au premier plan ou en arrière-plan dans le Runtime.
Par défaut : 0.

Plus de détails dans l’aide en ligne.

VT_I4

StartX

Point de départ X [pixels]

Coordonnée Y du coin supérieur gauche du synoptique (en pixels).

Plus de détails dans l’aide en ligne.

VT_I4

EndX

Point final X [pixels]

Coordonnée X du coin inférieur droit du synoptique (en pixels).

Plus de détails dans l’aide en ligne.

VT_I4

StartY

Point de départ Y [pixels]

Coordonnée Y du coin supérieur gauche du synoptique (en pixels).

Plus de détails dans l’aide en ligne.

VT_I4

EndY

Point final Y [pixels]

Coordonnée Y du coin inférieur droit du synoptique (en pixels).

Plus de détails dans l’aide en ligne.

VT_I4

Width

Largeur [pixels]

Largeur des éléments en pixels.

Remarque : disponible uniquement pour les éléments Combinaison multiple, Élément combiné, Bouton et Interrupteur si la valeur Ajusté a été sélectionnée pour la propriété Taille du graphique.

Plus de détails dans l’aide en ligne.

VT_I4

Height

Hauteur [pixels]

Hauteur des éléments en pixels.

Remarque : disponible uniquement pour les éléments Combinaison multiple, Élément combiné, Bouton et Interrupteur si la valeur Ajusté a été sélectionnée pour la propriété Taille du graphique.

Plus de détails dans l’aide en ligne.

VT_I4

Angle

Angle de rotation [°]

Angle libre autour selon lequel doit pivoter l’élément.
Les valeurs positives correspondent à une rotation dans le sens antihoraire, tandis que les valeurs négatives correspondent à une rotation dans le sens horaire. Les valeurs supérieures à 360° sont affichées sous forme d’écart par rapport à 360° (400° correspond à 40°). Seuls les nombres entiers sont autorisés.

Sur les éléments pivotés, les actions suivantes ne sont plus possibles :

  • Miroir
  • Rotation de +/- 90°
  • Redimensionnement à l’aide des touches fléchées

Par défaut : 0

Remarque : Ce paramètre est activé et réinitialisé lors de la configuration pour Windows CE.

Plus de détails dans l’aide en ligne.

VT_I2

ZoomMin

Visible de

Incrément de zoom le plus bas auquel l’élément est visible dans la vue globale.
Par défaut : -1
Une valeur de visibilité avec des incréments de zoom de -1 à -1 signifie que l’élément est affiché, quel que soit l’incrément de zoom sélectionné.

Les niveaux de zoom affichés dans la vue globale peuvent être configurés avec la propriété Apparence graphique -> Généralités runtime -> Pas de zoom pour vue globale.

Attention : Ce niveau de zoom s’applique à tous les types de synoptiques et cadres. Si un niveau de zoom défini est supérieur à 0, l’élément est uniquement affiché dans la vue globale, car les autres types de synoptique sont automatiquement appelés avec le niveau de zoom 0.

Plus de détails dans l’aide en ligne.

VT_I2

ZoomMax

Visible jusqu'à

Incrément de zoom le plus élevé auquel l’élément est visible dans la vue globale.

Par défaut : -1
Une valeur de visibilité avec des incréments de zoom de -1 à -1 signifie que l’élément est affiché, quel que soit l’incrément de zoom sélectionné.

Les niveaux de zoom affichés dans la vue globale peuvent être configurés avec la propriété Apparence graphique -> Généralités runtime -> Pas de zoom pour vue globale.

Attention : Ce niveau de zoom s’applique à tous les types de synoptiques et cadres. Si un niveau de zoom défini est supérieur à 0, l’élément est uniquement affiché dans la vue globale, car les autres types de synoptique sont automatiquement appelés avec le niveau de zoom 0.

Plus de détails dans l’aide en ligne.

VT_BSTR

Stationname

Nom liste d'objets

L’élément est saisi directement dans la liste de stations du synoptique Vue globale, et le texte est saisi ici.

Plus de détails dans l’aide en ligne.

ZT_VARIABLE_DYN

BackColorVariable

Couleur de remplissage

Nom de la variable dont les couleurs de valeur limite doivent influencer la couleur d’arrière-plan/de remplissage de l’élément.
Ouvre la boîte de dialogue de sélection de variables.

Plus de détails dans l’aide en ligne.

ZT_PREVIEW

BackColorVarPreview

Affichage aperçu couleur

Affichage de la valeur limite pour la propriété Couleur de remplissage définie pour la variable. Disponible uniquement si l’option Depuis la variable a été configurée pour la propriété Couleur de remplissage.

Un aperçu des propriétés définies pour la valeur limite est affiché dans le champ. Aucun aperçu n’est affiché pour les matrices de réaction.
Cliquez sur le bouton ... pour ouvrir la boîte de dialogue d’affichage des résultats. Les valeurs limite sont uniquement affichées ; elles ne peuvent pas être modifiées. Les modifications doivent être effectuées directement dans les propriétés de la variable pour Valeurs limite.

Plus de détails dans l’aide en ligne.

VT_UI1

HorizontalOrigin

Horizontal

Point de référence horizontal de l’événement. Les valeurs possibles sont : gauche, centré, droite.
Ce point est utilisé en tant que base de calcul de l’angle de départ de la rotation (statique et dynamique) et pour le changement dynamique de taille.

Par défaut : À gauche

Plus de détails dans l’aide en ligne.

VT_UI1

VerticalOrigin

Vertical

Point de référence vertical de l’événement. Les valeurs possibles sont : haut, centré, bas.
Ce point est utilisé en tant que base de calcul de l’angle de départ de la rotation (statique et dynamique) et pour le changement dynamique de taille.

Par défaut : En haut

Plus de détails dans l’aide en ligne.

VT_UI4

VisibilityType

Visibilité

Sélection depuis laquelle la visibilité d’un élément est déterminée :

  • Depuis une variable
  • Du verrrouillage

Par défaut : Depuis une variable

Plus de détails dans l’aide en ligne.

ZT_VARIABLE_DYN

VisibilityVariable

Variable

Disponible uniquement si l’option Depuis la variable a été configurée pour la propriété Visibilité.

Nom de la variable dont la valeur contrôle la visibilité de l’élément. La visibilité est soit reprise des propriétés de valeur limite de ces variables, soit définie par la plage de valeurs définie dans les propriétés de et À.
Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de variables. Vous pouvez également saisir manuellement le nom dans le champ de texte.
L'élément reste visible tant qu’aucune variable n’est liée.

Plus de détails dans l’aide en ligne.

ZT_PREVIEW

VisVarPreview

Affichage aperçu visibilité

Affichage des valeurs limite pour la visibilité définies pour la variable. Disponible uniquement si l’option Depuis la variable a été configurée pour la propriété Variable dans le groupe Visibilité.

Un aperçu des propriétés définies pour la valeur limite est affiché dans le champ. Aucun aperçu n’est affiché pour les matrices de réaction.
Cliquez sur le bouton ... pour ouvrir la boîte de dialogue d’affichage des résultats. Les valeurs limite sont uniquement affichées ; elles ne peuvent pas être modifiées. Les modifications doivent être effectuées directement dans les propriétés de la variable pour Valeurs limite.

Plus de détails dans l’aide en ligne.

VT_BOOL

VisibilityFromLimit

A partir des valeurs limites

Uniquement disponible après la sélection d’une variable :

  • Active : La visibilité de l’élément est influencée par la propriété de valeur limite de la variable.

    Attention : La propriété Invisible doit être active pour au moins une valeur limite de la variable.

  • Inactive : la visibilité est influencée par les propriétés de l’élément.

Par défaut : active

Plus de détails dans l’aide en ligne.

VT_R8

VisibilityFrom

de

Disponible uniquement après la sélection d’une variable, si la visibilité n’a pas été reprise par la valeur limite :

Valeur minimum de la variable à laquelle l’élément est visible.

  • Minimum : valeur minimum possible de la variable liée.
  • Maximum : valeur maximum possible de la variable liée.

Par défaut : valeur minimum possible de la variable liée.

Plus de détails dans l’aide en ligne.

VT_R8

VisibilityTo

À

Disponible uniquement après la sélection d’une variable, si la visibilité n’a pas été reprise par la valeur limite :

Valeur maximale de la variable à laquelle l’élément est visible.

  • Minimum : valeur minimum possible de la variable liée.
  • Maximum : valeur maximum possible de la variable liée.

Par défaut : valeur maximum possible de la variable liée.

Plus de détails dans l’aide en ligne.

VT_UI4

Interlocking

Verrouillage

Disponible uniquement si l’option Depuis le verrouillage est sélectionnée pour la propriété Visibilité.

Nom du verrouillage dont la valeur contrôle la visibilité de l’élément. Sélectionnez dans la liste déroulante. Celle-ci contient tous les verrouillages existants et utilisables. L’élément est toujours visible si aucun verrouillage n’est lié.

Plus de détails dans l’aide en ligne.

VT_BSTR

InterlockingName

InterlockingName

Description

VT_BOOL

VisibleWhenInterlocked

Visible si verrouillé

Contrôle la visibilité de l’élément lorsque le verrouillage est sélectionné :

  • Active : L’élément est visible s’il est verrouillé.
  • Inactive : L’élément est visible s’il n’est pas verrouillé.

Par défaut : inactive

Plus de détails dans l’aide en ligne.

ZT_VARIABLE_DYN

BlinkVariable

Affichage aperçu clignotement

Affichage des valeurs limite pour le clignotement définies pour la variable. Disponible uniquement si l’option Depuis la variable a été configurée pour la propriété Prendre le clignotement de la limite.

Un aperçu des propriétés définies pour la valeur limite est affiché dans le champ. Aucun aperçu n’est affiché pour les matrices de réaction.
Cliquez sur le bouton ... pour ouvrir la boîte de dialogue d’affichage des résultats. Les valeurs limite sont uniquement affichées ; elles ne peuvent pas être modifiées. Les modifications doivent être effectuées directement dans les propriétés de la variable pour Valeurs limite.

Plus de détails dans l’aide en ligne.

ZT_PREVIEW

BlinkVarPreview

Affichage aperçu clignotement

Affichage des valeurs limite pour le clignotement définies pour la variable. Disponible uniquement si l’option Depuis la variable a été configurée pour la propriété Prendre le clignotement de la limite.

Un aperçu des propriétés définies pour la valeur limite est affiché dans le champ. Aucun aperçu n’est affiché pour les matrices de réaction.
Cliquez sur le bouton ... pour ouvrir la boîte de dialogue d’affichage des résultats. Les valeurs limite sont uniquement affichées ; elles ne peuvent pas être modifiées. Les modifications doivent être effectuées directement dans les propriétés de la variable pour Valeurs limite.

Plus de détails dans l’aide en ligne.

VT_BOOL

UseBlinkColor

Couleur de clignotement par la limite

Active : Reprend la couleur d’arrière-plan du clignotement défini pour la valeur limite active de la variable pour Prendre le clignotement de la limite. Durant le clignotement, l’élément ne devient pas invisible, mais reprend la couleur d’arrière-plan active.

Par défaut : Inactive

Remarque : la couleur n’est pas prise en compte si la couleur d’arrière-plan Transparence est configurée.

Plus de détails dans l’aide en ligne.

ZT_VARIABLE_DYN

XVariable

Variable

Nom de la variable utilisée pour le déplacement horizontal de l’élément.
Ouvre la boîte de dialogue de sélection de variables.

Plus de détails dans l’aide en ligne.

VT_R8

XVarMin

Valeur min de la variable

Valeur minimale de la variable utilisée pour le déplacement horizontal de l’élément.

Plus de détails dans l’aide en ligne.

VT_R8

XVarMax

Valeur max de la variable

Valeur maximale de la variable utilisée pour le déplacement horizontal de l’élément.

Plus de détails dans l’aide en ligne.

VT_I4

XViewMin

Mouvement min [pixels]

Position horizontale de l’élément pour la valeur minimale de la variable (en pixels).

Plus de détails dans l’aide en ligne.

VT_I4

XViewMax

Mouvement max [pixels]

Position horizontale de l’élément pour la valeur minimale de la variable (en pixels).

Plus de détails dans l’aide en ligne.

ZT_VARIABLE_DYN

YVariable

Variable

Nom de la variable utilisée pour le déplacement vertical de l’élément.
Ouvre la boîte de dialogue de sélection de variables.

Plus de détails dans l’aide en ligne.

VT_R8

YVarMin

Valeur min de la variable

Valeur minimale de la variable utilisée pour le déplacement vertical de l’élément.

Plus de détails dans l’aide en ligne.

VT_R8

YVarMax

Valeur max de la variable

Valeur maximale de la variable utilisée pour le déplacement vertical de l’élément.

Plus de détails dans l’aide en ligne.

VT_I4

YViewMin

Mouvement min [pixels]

Position verticale de l’élément pour la valeur minimale de la variable (en pixels).

Plus de détails dans l’aide en ligne.

VT_I4

YViewMax

Mouvement max [pixels]

Position verticale de l’élément pour la valeur maximale de la variable (en pixels).

Plus de détails dans l’aide en ligne.

ZT_VARIABLE_DYN

XZoomVariable

Variable

Nom de la variable utilisée pour l’agrandissement de la largeur de l’élément.
Ouvre la boîte de dialogue de sélection de variables.

Plus de détails dans l’aide en ligne.

VT_R8

XZoomVarMin

Valeur min de la variable

Valeur minimale de la variable utilisée pour effectuer un zoom à la largeur de l’élément.

Plus de détails dans l’aide en ligne.

VT_R8

XZoomVarMax

Valeur max de la variable

Valeur maximale de la variable utilisée pour effectuer un zoom sur la largeur de l’élément.

Plus de détails dans l’aide en ligne.

VT_I4

XZoomViewMin

Largeur min [%]

Facteur de zoom correspondant à la largeur de l’élément pour la valeur minimale de la variable (en pixels).

Plus de détails dans l’aide en ligne.

VT_I4

XZoomViewMax

Largeur max [%]

Facteur de zoom correspondant à la largeur de l’élément pour la valeur maximale de la variable (en pixels).

Plus de détails dans l’aide en ligne.

ZT_VARIABLE_DYN

YZoomVariable

Variable

Nom de la variable utilisée pour l’agrandissement de la hauteur de l’élément.
Ouvre la boîte de dialogue de sélection de variables.

Plus de détails dans l’aide en ligne.

VT_R8

YZoomVarMin

Valeur min de la variable

Valeur minimum de la variable utilisée pour effectuer un zoom sur la hauteur de l’élément.

Plus de détails dans l’aide en ligne.

VT_R8

YZoomVarMax

Valeur max de la variable

Valeur maximum de la variable utilisée pour effectuer un zoom sur la hauteur de l’élément.

Plus de détails dans l’aide en ligne.

VT_I4

YZoomViewMin

Hauteur min [%]

Facteur de zoom correspondant à la hauteur de l’élément pour la valeur minimum de la variable (en %).

Plus de détails dans l’aide en ligne.

VT_I4

YZoomViewMax

Hauteur max [%]

Facteur de zoom correspondant à la hauteur de l’élément pour la valeur maximale de la variable (en pixels).

Plus de détails dans l’aide en ligne.

ZT_VARIABLE_DYN

TwistVariable

Variable

Nom de la variable utilisée pour la rotation de l’élément.

Plus de détails dans l’aide en ligne.

VT_R8

TwistVarMin

Valeur min de la variable

Valeur minimum de la variable utilisée pour la rotation de l’élément.

Plus de détails dans l’aide en ligne.

VT_R8

TwistVarMax

Valeur max de la variable

Valeur maximale de la variable utilisée pour la rotation de l’élément.

Plus de détails dans l’aide en ligne.

VT_I4

TwistViewMin

Rotation min [°]

Angle de rotation de l’élément pour la valeur minimum de la variable (en °).

Plus de détails dans l’aide en ligne.

VT_I4

TwistViewMax

Rotation max [°]

Angle de rotation de l’élément pour la valeur maximum de la variable (en °).

Plus de détails dans l’aide en ligne.

ZT_STYLE

ShadowEffectStyle

Style effet cadres/ombres

Affichage et sélection du style de cadre et d’ombre attribué à l’élément.

Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de style.
Si plusieurs éléments ont été sélectionnés, ils peuvent être attribués à un style commun.

Remarque : Seules les propriétés compatibles avec l’élément correspondant sont prises en charge.

Plus de détails dans l’aide en ligne.

VT_BOOL

EnablePunchFrame

Afficher le cadre

A frame around the element can be displayed.
Default: inactive.

ZT_STYLE

GlowEffectStyle

Style effet de rayonnement

Affichage et sélection du style des effets de luminescence attribués à l’élément.

Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de style.
Si plusieurs éléments ont été sélectionnés, ils peuvent être attribués à un style commun.

Remarque : Seules les propriétés compatibles avec l’élément correspondant sont prises en charge.

Plus de détails dans l’aide en ligne.

VT_BOOL

GlowEffectEvent

Actif seulement si cliqué

Disponible uniquement si la propriété Activer est active et l’élément est un bouton.

Active : l’effet de luminescence est uniquement affiché lorsque l’utilisateur clique sur le bouton. Cliquer sur le bouton permet de modifier la couleur, le clignotement ou l’invisibilité de l’effet de luminescence.

Par défaut : Inactive

Plus de détails dans l’aide en ligne.

ZT_VARIABLE_DYN

GlowEffectGlowColorVariable

Variable pour la couleur

Disponible uniquement si la propriété Activer est active. La propriété Coloration doit être activée.

Nom de la variable dont la couleur aux valeurs limites doit influencer la couleur de l’effet de luminescence pour l’élément. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de variables. Vous pouvez également saisir le nom manuellement dans le champ de texte. Si aucune variable n’est liée, la couleur définie dans la propriété Couleur est utilisée.

Par défaut : aucune variable liée

Plus de détails dans l’aide en ligne.

ZT_PREVIEW

GlowEffectGlowColorVariablePreview

Affichage aperçu couleur

Affichage de la valeur limite définie pour la variable de couleur lorsque l’effet de luminescence est actif. Disponible uniquement si l’option Depuis la variable a été configurée pour la propriété Variable pour la couleur.

Un aperçu des propriétés définies pour la valeur limite est affiché dans le champ. Aucun aperçu n’est affiché pour les matrices de réaction.
Cliquez sur le bouton ... pour ouvrir la boîte de dialogue d’affichage des résultats. Les valeurs limite sont uniquement affichées ; elles ne peuvent pas être modifiées. Les modifications doivent être effectuées directement dans les propriétés de la variable pour Valeurs limite.

Plus de détails dans l’aide en ligne.

ZT_VARIABLE_DYN

GlowEffectVisibilityVariable

Variable pour la visibilité

Disponible uniquement si la propriété Activer est active.

Nom de la variable dont la valeur influence la visibilité de l’effet de luminescence. La visibilité est soit reprise des propriétés de valeur limite de cette variable (propriété Visibilité depuis valeur limite active), soit définie par la plage de valeurs définie dans les propriétés Visible de et Visible jusqu'à. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de variables. Vous pouvez également saisir le nom manuellement dans le champ de texte.

Remarque : si aucune variable n’est liée, l’effet de luminescence est toujours visible.

Par défaut : aucune variable liée

Plus de détails dans l’aide en ligne.

ZT_PREVIEW

GlowEffectVisibilityVariablePreview

Affichage aperçu visibilité

Affichage de la valeur limite définie pour la variable de visibilité lorsque l’effet de luminescence est actif. Disponible uniquement si l’option Depuis la variable a été configurée pour la propriété Variable pour la visibilité.

Un aperçu des propriétés définies pour la valeur limite est affiché dans le champ. Aucun aperçu n’est affiché pour les matrices de réaction.
Cliquez sur le bouton ... pour ouvrir la boîte de dialogue d’affichage des résultats. Les valeurs limite sont uniquement affichées ; elles ne peuvent pas être modifiées. Les modifications doivent être effectuées directement dans les propriétés de la variable pour Valeurs limite.

Plus de détails dans l’aide en ligne.

VT_BOOL

GlowEffectVisibilityFromLimit

Visibilité depuis valeur limite

Disponible uniquement si la propriété Activer est active. Vous devez en outre définir une variable dans la propriété Variable pour la visibilité.

Active : La visibilité de l’effet de luminescence est influencée par la propriété de valeur limite de la variable.

Attention : Pour une valeur limite de la variable au moins, la propriété Invisible doit être active.

Inactive : la visibilité est influencée par les propriétés de l’élément.

Plus de détails dans l’aide en ligne.

VT_R8

GlowEffectVisibilityFrom

Visible de

Disponible uniquement si la propriété Activer est active. Vous devez en outre définir une variable dans la propriété Variable pour la visibilité ; la propriété Visibilité depuis valeur limite doit être inactive.

Définit la valeur à partir de laquelle l’effet de luminescence devient visible.
Minimum : valeur la moins élevée autorisée pour la variable liée dans Variable pour la visibilité.
Maximum : valeur la moins élevée autorisée pour la variable liée dans Variable pour la visibilité.
Par défaut : valeur la plus élevée autorisée pour la variable liée dans Variable pour la visibilité.

Plus de détails dans l’aide en ligne.

VT_R8

GlowEffectVisibilityTo

Visible jusqu'à

Disponible uniquement si la propriété Activer est active. Vous devez en outre définir une variable dans la propriété Variable pour la visibilité ; la propriété Visibilité depuis valeur limite doit être inactive.

Définit la valeur jusqu’à laquelle l’effet de luminescence reste visible.
Minimum : valeur la plus basse autorisée pour la variable liée dans Variable pour la visibilité.
Maximum : valeur la plus élevée autorisée pour la variable liée dans Variable pour la visibilité.
Par défaut : valeur la plus élevée autorisée pour la variable liée dans Variable pour la visibilité.

Plus de détails dans l’aide en ligne.

ZT_VARIABLE_DYN

GlowEffectBlinkVariable

Variable pour le clignotement

Variables dont les paramètres de clignotement de l’effet de luminescence aux valeurs limites doivent être repris. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de variables.

Par défaut : aucune variable liée

Plus de détails dans l’aide en ligne.

ZT_PREVIEW

GlowEffectBlinkVariablePreview

Affichage aperçu clignotement

Affichage de la valeur limite définie pour la variable de clignotement lorsque l’effet de luminescence est actif. Disponible uniquement si l’option Depuis la variable a été configurée pour la propriété Variable pour le clignotement.

Un aperçu des propriétés définies pour la valeur limite est affiché dans le champ. Aucun aperçu n’est affiché pour les matrices de réaction.
Cliquez sur le bouton ... pour ouvrir la boîte de dialogue d’affichage des résultats. Les valeurs limite sont uniquement affichées ; elles ne peuvent pas être modifiées. Les modifications doivent être effectuées directement dans les propriétés de la variable pour Valeurs limite.

Plus de détails dans l’aide en ligne.

VT_BOOL

GlowEffectUseBlinkColor

Clignotement depuis valeur limite

Disponible uniquement si la propriété Activer est active. Vous devez en outre définir une variable dans la propriété Variable pour le clignotement.

Active : Reprend, pour l’effet de luminescence, la couleur de clignotement de la valeur limite active pour la variable définie dans la propriété Couleur de clignotement par la limite. Cette propriété agit indépendamment de la propriété Coloration. En cas de clignotement, l’effet de luminescence ne devient pas invisible, mais reprend les paramètres de l’effet de luminescence actif.

Par défaut : Inactive

Plus de détails dans l’aide en ligne.

VT_BOOL

GlowEffect2ndBlinkStateVisible

2 états de clignotement invisibles

Disponible uniquement si la propriété Activer est active. Vous devez en outre définir une variable dans la propriété Variable pour le clignotement ; la propriété Clignotement depuis valeur limite doit être inactive.

Active : En cas de clignotement, l’effet de luminescence ne bascule pas vers l’effet de luminescence actif, mais devient invisible. Ceci permet de basculer entre l’invisibilité et la couleur de clignotement en cas de dépassement de la valeur limite.

Par défaut : Inactive

Plus de détails dans l’aide en ligne.


CDrawBefCommand

Manuel -> Interfaces de programmation -> Modèles d'objet -> Element -> Element-Dynamic properties -> CDrawBefCommand

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | VBA/VSTA Name | Display Name | Description
VT_UI2 | Mode | Mode | Utilisée pour sélectionner la fin souhaitée Entrée : L’élément de commande sera utilisé pour la saisie de commandes. Appel de fonction : L’élément de commande sera utilisé pour l’exécution de fonctions. Cette option est uniquement fournie pour des raisons de compatibilité avec des versions antérieures, et ne doit plus être utilisée.
ZT_FUNCTION | Function | Fonction | Spécifie la fonction devant être exécutée pour le mode : Fonction. N’est plus utilisée. Conservée uniquement pour raisons de compatibilité avec les versions précédentes.
VT_I2 | ActivationGroup | Groupe d'activation | Spécifies le groupe d’activation. Uniquement nécessaire en association avec la fonction de présélection.
VT_UI2 | Passwordlevel | Niveau d'autorisation | Le niveau du mot de passe d’écriture de valeurs prescrites ou d’exécution de fonctions avec l’élément dynamique sélectionné. Minimum : 0. Maximum : 127 Par défaut : 0. Plus de détails dans l’aide en ligne.
More... | PictSwitch | PictSwitch |


Command

Manuel -> Interfaces de programmation -> Modèles d'objet -> Element -> Element-Dynamic properties -> Command

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Type

VBA/VSTA Name

Display Name

Description

VT_BOOL

AlwaysSelectable

Toujours sélectionnable

Active : sélection de commande directement via un clic sur le bouton gauche de la souris.

Inactive : La sélection de commande est uniquement disponible après qu’une fonction ait été préalablement sélectionnée (Fonctions -> Application -> Activation de commande).
Après l’activation d’une commande dans le Runtime, une bordure sera affichée autour de tous les éléments configurés de cette manière.

Crée une nouvelle action de commande via un clic sur le bouton droit de la souris -> Nouvelle action.

Attention : disponible uniquement dans le volet gauche de la boîte de dialogue.

More...

Action

Action

Propriétés des actions de commande

Plus de détails dans l’aide en ligne.

VT_BOOL

UnderCE

Visible sous WinCE

Contrôle la visibilité des éléments dans les synoptiques sous Windows CE. Les projets qui sont utilisés sous CE et sur le PC peuvent être créés de manière plus flexible ; la gestion par l’utilisateur est ainsi améliorée. Par exemple, les boutons renvoyant l’utilisateur vers des synoptiques ne pouvant pas être affichés sous CE (par ex. IPA) peuvent être rendus invisibles.

Active : dans synoptique/l’élément est également visible sous Windows CE.

Par défaut : active

Plus de détails dans l’aide en ligne.

ZT_VBAMAKRO

Init

Init

Macro VBA à exécuter lors de l’initialisation de l’élément.

Plus de détails dans l’aide en ligne.

ZT_VBAMAKRO

SetFocus

SetFocus

Macro VBA à exécuter lorsque le focus est placé sur l’élément.

Plus de détails dans l’aide en ligne.

ZT_VBAMAKRO

KillFocus

KillFocus

Macro VBA à exécuter lorsque le focus n’est plus placé sur l’élément.

Plus de détails dans l’aide en ligne.

ZT_VBAMAKRO

LeftClickDown

LeftClickDown

Macro VBA à exécuter lorsque l’utilisateur effectue un clic gauche sur l’élément.

Plus de détails dans l’aide en ligne.

ZT_VBAMAKRO

RightClickDown

RightClickDown

Macro VBA à exécuter lorsque l’utilisateur effectue un clic droit sur l’élément.

Plus de détails dans l’aide en ligne.

ZT_VBAMAKRO

LeftClickUp

LeftClickUp

Macro VBA à exécuter lorsque l’utilisateur relâche le bouton gauche de la souris sur l’élément.

Plus de détails dans l’aide en ligne.

ZT_VBAMAKRO

RightClickUp

RightClickUp

Macro VBA à exécuter lorsque l’utilisateur relâche le bouton droit de la souris sur l’élément.

Plus de détails dans l’aide en ligne.

ZT_VBAMAKRO

LeftDClick

LeftDoubleClick

Macro VBA à exécuter lorsque l’utilisateur effectue un double-clic gauche sur l’élément.

Plus de détails dans l’aide en ligne.

ZT_VBAMAKRO

RightDClick

RightDoubleClick

Macro VBA à exécuter lorsque l’utilisateur effectue un double-clic droit sur l’élément.

Plus de détails dans l’aide en ligne.

ZT_VBAMAKRO

MouseOver

MouseOver

Macro VBA à exécuter si le pointeur de la souris est positionné sur l’élément.

Plus de détails dans l’aide en ligne.

ZT_VBAMAKRO

DragDrop

DragDrop

Macro VBA à exécuter lorsque le bouton de la souris est relâché.

Plus de détails dans l’aide en ligne.

ZT_VBAMAKRO

DragOver

DragOver

Macro VBA à exécuter lorsque le curseur est déplacé au-dessus de l’élément pendant que le bouton gauche est enfoncé.

Plus de détails dans l’aide en ligne.

ZT_VBAMAKRO

DragBegin

DragBegin

Macro VBA à exécuter lorsque l’utilisateur commence à faire glisser l’objet.

Plus de détails dans l’aide en ligne.

VT_BSTR

Menu

Menu contextuel

Menu contextuel de l’élément.
Cliquer avec le bouton droit de la souris sur l’élément pour ouvrir le menu contextuel dans le Runtime.

Plus de détails dans l’aide en ligne.

VT_BSTR

Tooltip

Info bulle

Texte à afficher en tant qu’info-bulle de l’élément dans le Runtime. Une info-bulle est automatiquement affichée dans le Runtime si le pointeur de la souris reste pendant quelques secondes sur l’élément. Des retours à la ligne automatiques peuvent être insérés avec les caractères "\n".

  • Maximum : 79 caractères
    Attention : La combinaison de caractères \n est également comptée dans la limite de 79 caractères.

Plus de détails dans l’aide en ligne.

VT_BOOL

LassoSelect

sélectionnable avec le lasso

La sélection avec le lasso dans le Runtime permet d’identifier les éléments dynamiques et de les utiliser avec des événements VBA.

  • Active : L’élément peut être sélectionné avec le lasso dans le Runtime.
  • Inactive : L’élément ne peut pas être sélectionné dans Runtime.

Par défaut : active

Attention : Pour que l’élément puisse être sélectionné dans le Runtime, vous devez activer la propriété Sélection multiple en runtime (lasso) dans les paramètres du projet !

Remarque concernant la gestion des commandes : Si la propriété Opération à deux mains est activée, le lasso de la commande Exécuter le 2ème niveau ne doit pas être activé.

Plus de détails dans l’aide en ligne.

More...

GestureManipulationGroup

Manipulation

Propriétés pour la manipulation de synoptiques et d’éléments de synoptique dans le cadre d’une utilisation tactile.

Plus de détails dans l’aide en ligne.

VT_BOOL

Tab

Le focus est donné à l'élément

Active : L’élément dynamique peut être actionné à l’aide du clavier.
Inactive : L’élément dynamique n’est pas accessible à l’aide du clavier.
Par défaut : active.

Plus de détails dans l’aide en ligne.

VT_I4

TABOrderH

Position du focus gauche/droite

Définit la position horizontale pour l’utilisation à l’aide du clavier dans le Runtime. La position est définie par l’intermédiaire du menu contextuel et de l’utilisation de la souris dans la fenêtre principale ; elle ne peut pas être modifiée ici.

Plus de détails dans l’aide en ligne.

VT_I4

TABOrderV

Position focus haut / bas

Définit la position verticale pour l’utilisation à l’aide du clavier dans le Runtime. La position est définie par l’intermédiaire du menu contextuel et de l’utilisation de la souris dans la fenêtre principale ; elle ne peut pas être modifiée ici.

Plus de détails dans l’aide en ligne.

ZT_FILE

Helpfile

Fichier d'aide

Fichier d’aide (*.chm) devant être utilisé pour cet élément, conjointement à un menu contextuel. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de fichiers.
Attention : seuls les fichiers d’aide ayant été ajoutés dans le nœud Fichiers/Aide sont disponibles.

Plus de détails dans l’aide en ligne.

VT_BSTR

HelpCapture

Chapitre d'aide

Chapitre d’aide (*.chm) devant être utilisé pour cet élément, conjointement à un menu contextuel. Nom de la page HTML sous-jacente.
Attention : cette entrée tient compte des minuscules et majuscules.

Plus de détails dans l’aide en ligne.

ZT_VARIABLE_DYN

SetValueDynMin

Minimum

Variable dont la valeur actuelle est applicable en tant que limite inférieure de la valeur prescrite de l’élément.
Disponible uniquement si Plages de la variable est inactive :
Plus de détails dans l’aide en ligne.

ZT_VARIABLE_DYN

SetValueDynMax

Maximum

Variable dont la valeur actuelle est applicable en tant que limite supérieure de la valeur prescrite de l’élément.

Disponible uniquement si la propriété Plages de la variable est inactive.

Plus de détails dans l’aide en ligne.

VT_BOOL

GestureRecognitionActive

Reconnaissance de geste active

Active l’évaluation des gestes. Les gestes sont définis à l’aide d’autres propriétés.

Uniquement disponible si, dans le groupe Intéraction des propriétés du projet, la propriété Reconnaissance Windows 8 a été définie.

Plus de détails dans l’aide en ligne.

VT_BOOL

Gestures_Manipulation

Exact

Active : Détection du paramètre Exact défini.

Plus de détails dans l’aide en ligne.

VT_BOOL

Gestures_Exact

Exact

Active : Détection du paramètre Exact défini.

Plus de détails dans l’aide en ligne.

VT_BOOL

Gestures_TranslationX

Translation X

Active : Détection du paramètre Translation X défini.

Plus de détails dans l’aide en ligne.

VT_BOOL

Gestures_TranslationY

Translation Y

Active : Détection du paramètre Translation Y défini.

Plus de détails dans l’aide en ligne.

VT_BOOL

Gestures_RailsX

Rails X

Active : Détection du paramètre Rails X défini.

Plus de détails dans l’aide en ligne.

VT_BOOL

Gestures_RailsY

Rails Y

Active : Détection du paramètre Rails Y défini.

Plus de détails dans l’aide en ligne.

VT_BOOL

Gestures_TranslationInertia

Translation inertia

Active : Détection du paramètre Translation Inertia (Inertie de translation) défini.

Plus de détails dans l’aide en ligne.

VT_BOOL

Gestures_Rotation

Inertie de rotation

Active : Détection du paramètre Rotation Inertia (Inertie de rotation) défini.

Plus de détails dans l’aide en ligne.

VT_BOOL

Gestures_RotationInertia

Inertie de rotation

Active : Détection du paramètre Rotation Inertia (Inertie de rotation) défini.

Plus de détails dans l’aide en ligne.

VT_BOOL

Gestures_Scaling

Scaling inertia

Active : Détection du paramètre Scaling Inertia (Inertie de redimensionnement) défini.

Plus de détails dans l’aide en ligne.

VT_BOOL

Gestures_ScalingInertia

Scaling inertia

Active : Détection du paramètre Scaling Inertia (Inertie de redimensionnement) défini.

Plus de détails dans l’aide en ligne.

VT_BOOL

Gestures_CrossSlide

Cross slide exact

Active : Détection du paramètre Cross Slide Exact (Glissement transversal exact) défini.

Plus de détails dans l’aide en ligne.

VT_BOOL

Gestures_CrossSlideHorizontal

Cross slide horizontal

Active : Détection du paramètre Cross Slide Horizontal (Glissement transversal horizontal) défini.

Plus de détails dans l’aide en ligne.

VT_BOOL

Gestures_CrossSlideSelect

Cross slide select

Active : Détection du paramètre Cross Slide Select (Glissement transversal, sélection) défini.

Plus de détails dans l’aide en ligne.

VT_BOOL

Gestures_CrossSlideSpeedBump

Cross slide speed bump

Active : Détection du paramètre Cross Slide Speed Bump (Glissement transversal, ralentisseur) défini.

Plus de détails dans l’aide en ligne.

VT_BOOL

Gestures_CrossSlideRearrange

Cross slide rearrange

Active : Détection du paramètre Cross Slide Rearrange (Glissement transversal, réorganisation) défini.

Plus de détails dans l’aide en ligne.

VT_BOOL

Gestures_CrossSlideExact

Cross slide exact

Active : Détection du paramètre Cross Slide Exact (Glissement transversal exact) défini.

Plus de détails dans l’aide en ligne.

VT_BOOL

Gestures_Tap

Tap double

Active : Détection du paramètre Tap Double (Double appui) défini.

Plus de détails dans l’aide en ligne.

VT_BOOL

Gestures_TapDouble

Tap double

Active : Détection du paramètre Tap Double (Double appui) défini.

Plus de détails dans l’aide en ligne.

VT_BOOL

Gestures_SecondaryTap

Secondary tap

Active : Détection du paramètre Secondary Tap (Appui secondaire) défini.

Plus de détails dans l’aide en ligne.

VT_BOOL

Gestures_Drag

Drag

Active : Détection du paramètre Drag (Glissement) défini.

Plus de détails dans l’aide en ligne.

VT_BOOL

Gestures_Hold

Hold (Mouse)

Active : Détection du paramètre Hold (Mouse) (Maintien [souris]) défini.

Plus de détails dans l’aide en ligne.

ZT_STYLE

StyleGroup

Groupe de styles

Affichage et sélection du groupe de styles attribué à l’élément.
Cliquez sur le bouton ... pour ouvrir la boîte de dialogue permettant de sélectionner un groupe de styles.
Si plusieurs éléments sont sélectionnés, elles peuvent être attribuées à un groupe de styles commun.

Remarque : Seules les propriétés compatibles avec l’élément correspondant sont prises en charge.

Plus de détails dans l’aide en ligne.

More...

LnClVariable

LnClVariable

"With this property you have the opportunity to get informations about the variable which is linked as ""line/text color"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""LnClVariable.SymVarName"") 'Return the name of the ""line/text color"" variable
zElement.DynProperties (""LnClVariable.SymVarTagNr"") 'Return the identification of the ""line/text color"" variable"

More...

BkClVariable

BkClVariable

"With this property you have the opportunity to get informations about the variable which is linked as ""background/filling color"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""BkClVariable.SymVarName"") 'Return the name of the ""background/filling color"" variable
zElement.DynProperties (""BkClVariable.SymVarTagNr"") 'Return the identification of the ""background/filling color"" variable"

More...

BkCl2Variable

"BkCl2Variable"

More...

XVar

XVar

"With this property you have the opportunity to get informations about the variable which is linked as ""dynamic x position"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""XVar.SymVarName"") 'Return the name of the ""dynamic x position"" variable
zElement.DynProperties (""XVar.SymVarTagNr"") 'Return the identification of the ""dynamic x position"" variable"

More...

YVar

YVar

"With this property you have the opportunity to get informations about the variable which is linked as ""dynamic y position"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""YVar.SymVarName"") 'Return the name of the ""dynamic y position"" variable
zElement.DynProperties (""YVar.SymVarTagNr"") 'Return the identification of the ""dynamic y position"" variable"

More...

XVarZoom

XVarZoom

"With this property you have the opportunity to get informations about the variable which is linked as ""change width"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""XVarZoom.SymVarName"") 'Return the name of the ""change width"" variable
zElement.DynProperties (""XVarZoom.SymVarTagNr"") 'Return the identification of the ""change width"" variable"

More...

YVarZoom

YVarZoom

"With this property you have the opportunity to get informations about the variable which is linked as ""change height"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""YVarZoom.SymVarName"") 'Return the name of the ""change height"" variable
zElement.DynProperties (""YVarZoom.SymVarName"") 'Return the name of the ""change height"" variable
zElement.DynProperties (""YVarZoom.SymVarTagNr"") 'Return the identification of the ""change height"" variable"

More...

TwistVar

TwistVar

"With this property you have the opportunity to get informations about the variable which is linked as ""rotate"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""TwistVar.SymVarName"") 'Return the name of the ""rotate"" variable
zElement.DynProperties (""TwistVar.SymVarTagNr"") 'Return the identification of the ""rotate"" variable"

More...

VisVariable

VisVariable

"With this property you have the opportunity to get informations about the variable which is linked as ""visibility"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""VisVariable.SymVarName"") 'Return the name of the ""visibility"" variable
zElement.DynProperties (""VisVariable.SymVarTagNr"") 'Return the identification of the ""visibility"" variable"

More...

BlinkVar

BlinkVar

More...

GlowEffectGlowColorVar

GlowEffectGlowColorVar

More...

GlowEffectVisibilityVar

GlowEffectVisibilityVar

More...

GlowEffectBlinkVar

GlowEffectBlinkVar

VT_BSTR

Name

Nom d'élément

Attribuez un nom d’élément.
Il ne doit pas être vide.

Attention : Cette propriété n’est pas disponible aux fins de la commutation de langue.

Remarques concernant les cadrans : Pour les conteneurs de synoptique, spécifiez des noms clairement identifiables pour faciliter la sélection lors de la configuration des appels de synoptique.

Plus de détails dans l’aide en ligne.

VT_UI1

Layer

Niveau de visibilité

Sélectionnez l’un des 16 niveaux de visibilité (0 à 15) dans la liste déroulante. À l’aide de la barre d’outils Niveau de visibilité, vous décidez des niveaux qui doivent être affichés dans Editor. Cette fonction garantit que les synoptiques les plus complexes peuvent être développés de manière simple. Les niveaux peuvent être utilisés immédiatement. Les niveaux n’ont aucune influence sur les informations affichées au premier plan ou en arrière-plan dans le Runtime.
Par défaut : 0.

Plus de détails dans l’aide en ligne.

VT_I4

StartX

Point de départ X [pixels]

Coordonnée Y du coin supérieur gauche du synoptique (en pixels).

Plus de détails dans l’aide en ligne.

VT_I4

EndX

Point final X [pixels]

Coordonnée X du coin inférieur droit du synoptique (en pixels).

Plus de détails dans l’aide en ligne.

VT_I4

StartY

Point de départ Y [pixels]

Coordonnée Y du coin supérieur gauche du synoptique (en pixels).

Plus de détails dans l’aide en ligne.

VT_I4

EndY

Point final Y [pixels]

Coordonnée Y du coin inférieur droit du synoptique (en pixels).

Plus de détails dans l’aide en ligne.

VT_I4

Width

Largeur [pixels]

Largeur des éléments en pixels.

Remarque : disponible uniquement pour les éléments Combinaison multiple, Élément combiné, Bouton et Interrupteur si la valeur Ajusté a été sélectionnée pour la propriété Taille du graphique.

Plus de détails dans l’aide en ligne.

VT_I4

Height

Hauteur [pixels]

Hauteur des éléments en pixels.

Remarque : disponible uniquement pour les éléments Combinaison multiple, Élément combiné, Bouton et Interrupteur si la valeur Ajusté a été sélectionnée pour la propriété Taille du graphique.

Plus de détails dans l’aide en ligne.

VT_I4

Angle

Angle de rotation [°]

Angle libre autour selon lequel doit pivoter l’élément.
Les valeurs positives correspondent à une rotation dans le sens antihoraire, tandis que les valeurs négatives correspondent à une rotation dans le sens horaire. Les valeurs supérieures à 360° sont affichées sous forme d’écart par rapport à 360° (400° correspond à 40°). Seuls les nombres entiers sont autorisés.

Sur les éléments pivotés, les actions suivantes ne sont plus possibles :

  • Miroir
  • Rotation de +/- 90°
  • Redimensionnement à l’aide des touches fléchées

Par défaut : 0

Remarque : Ce paramètre est activé et réinitialisé lors de la configuration pour Windows CE.

Plus de détails dans l’aide en ligne.

VT_I2

ZoomMin

Visible de

Incrément de zoom le plus bas auquel l’élément est visible dans la vue globale.
Par défaut : -1
Une valeur de visibilité avec des incréments de zoom de -1 à -1 signifie que l’élément est affiché, quel que soit l’incrément de zoom sélectionné.

Les niveaux de zoom affichés dans la vue globale peuvent être configurés avec la propriété Apparence graphique -> Généralités runtime -> Pas de zoom pour vue globale.

Attention : Ce niveau de zoom s’applique à tous les types de synoptiques et cadres. Si un niveau de zoom défini est supérieur à 0, l’élément est uniquement affiché dans la vue globale, car les autres types de synoptique sont automatiquement appelés avec le niveau de zoom 0.

Plus de détails dans l’aide en ligne.

VT_I2

ZoomMax

Visible jusqu'à

Incrément de zoom le plus élevé auquel l’élément est visible dans la vue globale.

Par défaut : -1
Une valeur de visibilité avec des incréments de zoom de -1 à -1 signifie que l’élément est affiché, quel que soit l’incrément de zoom sélectionné.

Les niveaux de zoom affichés dans la vue globale peuvent être configurés avec la propriété Apparence graphique -> Généralités runtime -> Pas de zoom pour vue globale.

Attention : Ce niveau de zoom s’applique à tous les types de synoptiques et cadres. Si un niveau de zoom défini est supérieur à 0, l’élément est uniquement affiché dans la vue globale, car les autres types de synoptique sont automatiquement appelés avec le niveau de zoom 0.

Plus de détails dans l’aide en ligne.

VT_BSTR

Stationname

Nom liste d'objets

L’élément est saisi directement dans la liste de stations du synoptique Vue globale, et le texte est saisi ici.

Plus de détails dans l’aide en ligne.

ZT_VARIABLE_DYN

LineColorVariable

Couleur de ligne

Nom des variables dont les couleurs de valeur limite doivent influencer la couleur de ligne/de texte de l’élément. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de variables.

Plus de détails dans l’aide en ligne.

ZT_PREVIEW

LineColorVarPreview

Affichage aperçu couleur

Affichage de la valeur limite pour la propriété Couleur de ligne définie pour la variable. Disponible uniquement si l’option Depuis la variable a été configurée pour la propriété Couleur de ligne.

Un aperçu des propriétés définies pour la valeur limite est affiché dans le champ. Aucun aperçu n’est affiché pour les matrices de réaction.
Cliquez sur le bouton ... pour ouvrir la boîte de dialogue d’affichage des résultats. Les valeurs limite sont uniquement affichées ; elles ne peuvent pas être modifiées. Les modifications doivent être effectuées directement dans les propriétés de la variable pour Valeurs limite.

Plus de détails dans l’aide en ligne.

ZT_VARIABLE_DYN

BackColorVariable

Couleur de remplissage

Nom de la variable dont les couleurs de valeur limite doivent influencer la couleur d’arrière-plan/de remplissage de l’élément.
Ouvre la boîte de dialogue de sélection de variables.

Plus de détails dans l’aide en ligne.

ZT_PREVIEW

BackColorVarPreview

Affichage aperçu couleur

Affichage de la valeur limite pour la propriété Couleur de remplissage définie pour la variable. Disponible uniquement si l’option Depuis la variable a été configurée pour la propriété Couleur de remplissage.

Un aperçu des propriétés définies pour la valeur limite est affiché dans le champ. Aucun aperçu n’est affiché pour les matrices de réaction.
Cliquez sur le bouton ... pour ouvrir la boîte de dialogue d’affichage des résultats. Les valeurs limite sont uniquement affichées ; elles ne peuvent pas être modifiées. Les modifications doivent être effectuées directement dans les propriétés de la variable pour Valeurs limite.

Plus de détails dans l’aide en ligne.

VT_UI1

HorizontalOrigin

Horizontal

Point de référence horizontal de l’événement. Les valeurs possibles sont : gauche, centré, droite.
Ce point est utilisé en tant que base de calcul de l’angle de départ de la rotation (statique et dynamique) et pour le changement dynamique de taille.

Par défaut : À gauche

Plus de détails dans l’aide en ligne.

VT_UI1

VerticalOrigin

Vertical

Point de référence vertical de l’événement. Les valeurs possibles sont : haut, centré, bas.
Ce point est utilisé en tant que base de calcul de l’angle de départ de la rotation (statique et dynamique) et pour le changement dynamique de taille.

Par défaut : En haut

Plus de détails dans l’aide en ligne.

VT_UI4

VisibilityType

Visibilité

Sélection depuis laquelle la visibilité d’un élément est déterminée :

  • Depuis une variable
  • Du verrrouillage

Par défaut : Depuis une variable

Plus de détails dans l’aide en ligne.

ZT_VARIABLE_DYN

VisibilityVariable

Variable

Disponible uniquement si l’option Depuis la variable a été configurée pour la propriété Visibilité.

Nom de la variable dont la valeur contrôle la visibilité de l’élément. La visibilité est soit reprise des propriétés de valeur limite de ces variables, soit définie par la plage de valeurs définie dans les propriétés de et À.
Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de variables. Vous pouvez également saisir manuellement le nom dans le champ de texte.
L'élément reste visible tant qu’aucune variable n’est liée.

Plus de détails dans l’aide en ligne.

ZT_PREVIEW

VisVarPreview

Affichage aperçu visibilité

Affichage des valeurs limite pour la visibilité définies pour la variable. Disponible uniquement si l’option Depuis la variable a été configurée pour la propriété Variable dans le groupe Visibilité.

Un aperçu des propriétés définies pour la valeur limite est affiché dans le champ. Aucun aperçu n’est affiché pour les matrices de réaction.
Cliquez sur le bouton ... pour ouvrir la boîte de dialogue d’affichage des résultats. Les valeurs limite sont uniquement affichées ; elles ne peuvent pas être modifiées. Les modifications doivent être effectuées directement dans les propriétés de la variable pour Valeurs limite.

Plus de détails dans l’aide en ligne.

VT_BOOL

VisibilityFromLimit

A partir des valeurs limites

Uniquement disponible après la sélection d’une variable :

  • Active : La visibilité de l’élément est influencée par la propriété de valeur limite de la variable.

    Attention : La propriété Invisible doit être active pour au moins une valeur limite de la variable.

  • Inactive : la visibilité est influencée par les propriétés de l’élément.

Par défaut : active

Plus de détails dans l’aide en ligne.

VT_R8

VisibilityFrom

de

Disponible uniquement après la sélection d’une variable, si la visibilité n’a pas été reprise par la valeur limite :

Valeur minimum de la variable à laquelle l’élément est visible.

  • Minimum : valeur minimum possible de la variable liée.
  • Maximum : valeur maximum possible de la variable liée.

Par défaut : valeur minimum possible de la variable liée.

Plus de détails dans l’aide en ligne.

VT_R8

VisibilityTo

À

Disponible uniquement après la sélection d’une variable, si la visibilité n’a pas été reprise par la valeur limite :

Valeur maximale de la variable à laquelle l’élément est visible.

  • Minimum : valeur minimum possible de la variable liée.
  • Maximum : valeur maximum possible de la variable liée.

Par défaut : valeur maximum possible de la variable liée.

Plus de détails dans l’aide en ligne.

VT_UI4

Interlocking

Verrouillage

Disponible uniquement si l’option Depuis le verrouillage est sélectionnée pour la propriété Visibilité.

Nom du verrouillage dont la valeur contrôle la visibilité de l’élément. Sélectionnez dans la liste déroulante. Celle-ci contient tous les verrouillages existants et utilisables. L’élément est toujours visible si aucun verrouillage n’est lié.

Plus de détails dans l’aide en ligne.

VT_BSTR

InterlockingName

InterlockingName

Description

VT_BOOL

VisibleWhenInterlocked

Visible si verrouillé

Contrôle la visibilité de l’élément lorsque le verrouillage est sélectionné :

  • Active : L’élément est visible s’il est verrouillé.
  • Inactive : L’élément est visible s’il n’est pas verrouillé.

Par défaut : inactive

Plus de détails dans l’aide en ligne.

ZT_VARIABLE_DYN

BlinkVariable

Affichage aperçu clignotement

Affichage des valeurs limite pour le clignotement définies pour la variable. Disponible uniquement si l’option Depuis la variable a été configurée pour la propriété Prendre le clignotement de la limite.

Un aperçu des propriétés définies pour la valeur limite est affiché dans le champ. Aucun aperçu n’est affiché pour les matrices de réaction.
Cliquez sur le bouton ... pour ouvrir la boîte de dialogue d’affichage des résultats. Les valeurs limite sont uniquement affichées ; elles ne peuvent pas être modifiées. Les modifications doivent être effectuées directement dans les propriétés de la variable pour Valeurs limite.

Plus de détails dans l’aide en ligne.

ZT_PREVIEW

BlinkVarPreview

Affichage aperçu clignotement

Affichage des valeurs limite pour le clignotement définies pour la variable. Disponible uniquement si l’option Depuis la variable a été configurée pour la propriété Prendre le clignotement de la limite.

Un aperçu des propriétés définies pour la valeur limite est affiché dans le champ. Aucun aperçu n’est affiché pour les matrices de réaction.
Cliquez sur le bouton ... pour ouvrir la boîte de dialogue d’affichage des résultats. Les valeurs limite sont uniquement affichées ; elles ne peuvent pas être modifiées. Les modifications doivent être effectuées directement dans les propriétés de la variable pour Valeurs limite.

Plus de détails dans l’aide en ligne.

VT_BOOL

UseBlinkColor

Couleur de clignotement par la limite

Active : Reprend la couleur d’arrière-plan du clignotement défini pour la valeur limite active de la variable pour Prendre le clignotement de la limite. Durant le clignotement, l’élément ne devient pas invisible, mais reprend la couleur d’arrière-plan active.

Par défaut : Inactive

Remarque : la couleur n’est pas prise en compte si la couleur d’arrière-plan Transparence est configurée.

Plus de détails dans l’aide en ligne.

ZT_VARIABLE_DYN

XVariable

Variable

Nom de la variable utilisée pour le déplacement horizontal de l’élément.
Ouvre la boîte de dialogue de sélection de variables.

Plus de détails dans l’aide en ligne.

VT_R8

XVarMin

Valeur min de la variable

Valeur minimale de la variable utilisée pour le déplacement horizontal de l’élément.

Plus de détails dans l’aide en ligne.

VT_R8

XVarMax

Valeur max de la variable

Valeur maximale de la variable utilisée pour le déplacement horizontal de l’élément.

Plus de détails dans l’aide en ligne.

VT_I4

XViewMin

Mouvement min [pixels]

Position horizontale de l’élément pour la valeur minimale de la variable (en pixels).

Plus de détails dans l’aide en ligne.

VT_I4

XViewMax

Mouvement max [pixels]

Position horizontale de l’élément pour la valeur minimale de la variable (en pixels).

Plus de détails dans l’aide en ligne.

ZT_VARIABLE_DYN

YVariable

Variable

Nom de la variable utilisée pour le déplacement vertical de l’élément.
Ouvre la boîte de dialogue de sélection de variables.

Plus de détails dans l’aide en ligne.

VT_R8

YVarMin

Valeur min de la variable

Valeur minimale de la variable utilisée pour le déplacement vertical de l’élément.

Plus de détails dans l’aide en ligne.

VT_R8

YVarMax

Valeur max de la variable

Valeur maximale de la variable utilisée pour le déplacement vertical de l’élément.

Plus de détails dans l’aide en ligne.

VT_I4

YViewMin

Mouvement min [pixels]

Position verticale de l’élément pour la valeur minimale de la variable (en pixels).

Plus de détails dans l’aide en ligne.

VT_I4

YViewMax

Mouvement max [pixels]

Position verticale de l’élément pour la valeur maximale de la variable (en pixels).

Plus de détails dans l’aide en ligne.

ZT_VARIABLE_DYN

XZoomVariable

Variable

Nom de la variable utilisée pour l’agrandissement de la largeur de l’élément.
Ouvre la boîte de dialogue de sélection de variables.

Plus de détails dans l’aide en ligne.

VT_R8

XZoomVarMin

Valeur min de la variable

Valeur minimale de la variable utilisée pour effectuer un zoom à la largeur de l’élément.

Plus de détails dans l’aide en ligne.

VT_R8

XZoomVarMax

Valeur max de la variable

Valeur maximale de la variable utilisée pour effectuer un zoom sur la largeur de l’élément.

Plus de détails dans l’aide en ligne.

VT_I4

XZoomViewMin

Largeur min [%]

Facteur de zoom correspondant à la largeur de l’élément pour la valeur minimale de la variable (en pixels).

Plus de détails dans l’aide en ligne.

VT_I4

XZoomViewMax

Largeur max [%]

Facteur de zoom correspondant à la largeur de l’élément pour la valeur maximale de la variable (en pixels).

Plus de détails dans l’aide en ligne.

ZT_VARIABLE_DYN

YZoomVariable

Variable

Nom de la variable utilisée pour l’agrandissement de la hauteur de l’élément.
Ouvre la boîte de dialogue de sélection de variables.

Plus de détails dans l’aide en ligne.

VT_R8

YZoomVarMin

Valeur min de la variable

Valeur minimum de la variable utilisée pour effectuer un zoom sur la hauteur de l’élément.

Plus de détails dans l’aide en ligne.

VT_R8

YZoomVarMax

Valeur max de la variable

Valeur maximum de la variable utilisée pour effectuer un zoom sur la hauteur de l’élément.

Plus de détails dans l’aide en ligne.

VT_I4

YZoomViewMin

Hauteur min [%]

Facteur de zoom correspondant à la hauteur de l’élément pour la valeur minimum de la variable (en %).

Plus de détails dans l’aide en ligne.

VT_I4

YZoomViewMax

Hauteur max [%]

Facteur de zoom correspondant à la hauteur de l’élément pour la valeur maximale de la variable (en pixels).

Plus de détails dans l’aide en ligne.

ZT_VARIABLE_DYN

TwistVariable

Variable

Nom de la variable utilisée pour la rotation de l’élément.

Plus de détails dans l’aide en ligne.

VT_R8

TwistVarMin

Valeur min de la variable

Valeur minimum de la variable utilisée pour la rotation de l’élément.

Plus de détails dans l’aide en ligne.

VT_R8

TwistVarMax

Valeur max de la variable

Valeur maximale de la variable utilisée pour la rotation de l’élément.

Plus de détails dans l’aide en ligne.

VT_I4

TwistViewMin

Rotation min [°]

Angle de rotation de l’élément pour la valeur minimum de la variable (en °).

Plus de détails dans l’aide en ligne.

VT_I4

TwistViewMax

Rotation max [°]

Angle de rotation de l’élément pour la valeur maximum de la variable (en °).

Plus de détails dans l’aide en ligne.

ZT_STYLE

ShadowEffectStyle

Style effet cadres/ombres

Affichage et sélection du style de cadre et d’ombre attribué à l’élément.

Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de style.
Si plusieurs éléments ont été sélectionnés, ils peuvent être attribués à un style commun.

Remarque : Seules les propriétés compatibles avec l’élément correspondant sont prises en charge.

Plus de détails dans l’aide en ligne.

VT_BOOL

EnablePunchFrame

Afficher le cadre

A frame around the element can be displayed.
Default: inactive.

ZT_STYLE

GlowEffectStyle

Style effet de rayonnement

Affichage et sélection du style des effets de luminescence attribués à l’élément.

Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de style.
Si plusieurs éléments ont été sélectionnés, ils peuvent être attribués à un style commun.

Remarque : Seules les propriétés compatibles avec l’élément correspondant sont prises en charge.

Plus de détails dans l’aide en ligne.

VT_BOOL

GlowEffectEvent

Actif seulement si cliqué

Disponible uniquement si la propriété Activer est active et l’élément est un bouton.

Active : l’effet de luminescence est uniquement affiché lorsque l’utilisateur clique sur le bouton. Cliquer sur le bouton permet de modifier la couleur, le clignotement ou l’invisibilité de l’effet de luminescence.

Par défaut : Inactive

Plus de détails dans l’aide en ligne.

ZT_VARIABLE_DYN

GlowEffectGlowColorVariable

Variable pour la couleur

Disponible uniquement si la propriété Activer est active. La propriété Coloration doit être activée.

Nom de la variable dont la couleur aux valeurs limites doit influencer la couleur de l’effet de luminescence pour l’élément. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de variables. Vous pouvez également saisir le nom manuellement dans le champ de texte. Si aucune variable n’est liée, la couleur définie dans la propriété Couleur est utilisée.

Par défaut : aucune variable liée

Plus de détails dans l’aide en ligne.

ZT_PREVIEW

GlowEffectGlowColorVariablePreview

Affichage aperçu couleur

Affichage de la valeur limite définie pour la variable de couleur lorsque l’effet de luminescence est actif. Disponible uniquement si l’option Depuis la variable a été configurée pour la propriété Variable pour la couleur.

Un aperçu des propriétés définies pour la valeur limite est affiché dans le champ. Aucun aperçu n’est affiché pour les matrices de réaction.
Cliquez sur le bouton ... pour ouvrir la boîte de dialogue d’affichage des résultats. Les valeurs limite sont uniquement affichées ; elles ne peuvent pas être modifiées. Les modifications doivent être effectuées directement dans les propriétés de la variable pour Valeurs limite.

Plus de détails dans l’aide en ligne.

ZT_VARIABLE_DYN

GlowEffectVisibilityVariable

Variable pour la visibilité

Disponible uniquement si la propriété Activer est active.

Nom de la variable dont la valeur influence la visibilité de l’effet de luminescence. La visibilité est soit reprise des propriétés de valeur limite de cette variable (propriété Visibilité depuis valeur limite active), soit définie par la plage de valeurs définie dans les propriétés Visible de et Visible jusqu'à. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de variables. Vous pouvez également saisir le nom manuellement dans le champ de texte.

Remarque : si aucune variable n’est liée, l’effet de luminescence est toujours visible.

Par défaut : aucune variable liée

Plus de détails dans l’aide en ligne.

ZT_PREVIEW

GlowEffectVisibilityVariablePreview

Affichage aperçu visibilité

Affichage de la valeur limite définie pour la variable de visibilité lorsque l’effet de luminescence est actif. Disponible uniquement si l’option Depuis la variable a été configurée pour la propriété Variable pour la visibilité.

Un aperçu des propriétés définies pour la valeur limite est affiché dans le champ. Aucun aperçu n’est affiché pour les matrices de réaction.
Cliquez sur le bouton ... pour ouvrir la boîte de dialogue d’affichage des résultats. Les valeurs limite sont uniquement affichées ; elles ne peuvent pas être modifiées. Les modifications doivent être effectuées directement dans les propriétés de la variable pour Valeurs limite.

Plus de détails dans l’aide en ligne.

VT_BOOL

GlowEffectVisibilityFromLimit

Visibilité depuis valeur limite

Disponible uniquement si la propriété Activer est active. Vous devez en outre définir une variable dans la propriété Variable pour la visibilité.

Active : La visibilité de l’effet de luminescence est influencée par la propriété de valeur limite de la variable.

Attention : Pour une valeur limite de la variable au moins, la propriété Invisible doit être active.

Inactive : la visibilité est influencée par les propriétés de l’élément.

Plus de détails dans l’aide en ligne.

VT_R8

GlowEffectVisibilityFrom

Visible de

Disponible uniquement si la propriété Activer est active. Vous devez en outre définir une variable dans la propriété Variable pour la visibilité ; la propriété Visibilité depuis valeur limite doit être inactive.

Définit la valeur à partir de laquelle l’effet de luminescence devient visible.
Minimum : valeur la moins élevée autorisée pour la variable liée dans Variable pour la visibilité.
Maximum : valeur la moins élevée autorisée pour la variable liée dans Variable pour la visibilité.
Par défaut : valeur la plus élevée autorisée pour la variable liée dans Variable pour la visibilité.

Plus de détails dans l’aide en ligne.

VT_R8

GlowEffectVisibilityTo

Visible jusqu'à

Disponible uniquement si la propriété Activer est active. Vous devez en outre définir une variable dans la propriété Variable pour la visibilité ; la propriété Visibilité depuis valeur limite doit être inactive.

Définit la valeur jusqu’à laquelle l’effet de luminescence reste visible.
Minimum : valeur la plus basse autorisée pour la variable liée dans Variable pour la visibilité.
Maximum : valeur la plus élevée autorisée pour la variable liée dans Variable pour la visibilité.
Par défaut : valeur la plus élevée autorisée pour la variable liée dans Variable pour la visibilité.

Plus de détails dans l’aide en ligne.

ZT_VARIABLE_DYN

GlowEffectBlinkVariable

Variable pour le clignotement

Variables dont les paramètres de clignotement de l’effet de luminescence aux valeurs limites doivent être repris. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de variables.

Par défaut : aucune variable liée

Plus de détails dans l’aide en ligne.

ZT_PREVIEW

GlowEffectBlinkVariablePreview

Affichage aperçu clignotement

Affichage de la valeur limite définie pour la variable de clignotement lorsque l’effet de luminescence est actif. Disponible uniquement si l’option Depuis la variable a été configurée pour la propriété Variable pour le clignotement.

Un aperçu des propriétés définies pour la valeur limite est affiché dans le champ. Aucun aperçu n’est affiché pour les matrices de réaction.
Cliquez sur le bouton ... pour ouvrir la boîte de dialogue d’affichage des résultats. Les valeurs limite sont uniquement affichées ; elles ne peuvent pas être modifiées. Les modifications doivent être effectuées directement dans les propriétés de la variable pour Valeurs limite.

Plus de détails dans l’aide en ligne.

VT_BOOL

GlowEffectUseBlinkColor

Clignotement depuis valeur limite

Disponible uniquement si la propriété Activer est active. Vous devez en outre définir une variable dans la propriété Variable pour le clignotement.

Active : Reprend, pour l’effet de luminescence, la couleur de clignotement de la valeur limite active pour la variable définie dans la propriété Couleur de clignotement par la limite. Cette propriété agit indépendamment de la propriété Coloration. En cas de clignotement, l’effet de luminescence ne devient pas invisible, mais reprend les paramètres de l’effet de luminescence actif.

Par défaut : Inactive

Plus de détails dans l’aide en ligne.

VT_BOOL

GlowEffect2ndBlinkStateVisible

2 états de clignotement invisibles

Disponible uniquement si la propriété Activer est active. Vous devez en outre définir une variable dans la propriété Variable pour le clignotement ; la propriété Clignotement depuis valeur limite doit être inactive.

Active : En cas de clignotement, l’effet de luminescence ne bascule pas vers l’effet de luminescence actif, mais devient invisible. Ceci permet de basculer entre l’invisibilité et la couleur de clignotement en cas de dépassement de la valeur limite.

Par défaut : Inactive

Plus de détails dans l’aide en ligne.


Move

Manuel -> Interfaces de programmation -> Modèles d'objet -> Element -> Element-Dynamic properties -> Move

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Type

VBA/VSTA Name

Display Name

Description

More...

DynEleVarX

DynEleVarX

"With this property you have the opportunity to get informations about the variable which is linked at the ""dynamic x position"" property.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""DynEleVarX.SymVarName"") 'Return the name of the ""x position dynamic"" variable
zElement.DynProperties (""DynEleVarX.SymVarTagNr"") 'Return the identification of the ""x position dynamic"" variable"

More...

DynEleVarY

DynEleVarY

"With this property you have the opportunity to get informations about the variable which is linked at the ""dynamic y position"" property.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""DynEleVarY.SymVarName"") 'Return the name of the ""y position dynamic"" variable
zElement.DynProperties (""DynEleVarY.SymVarTagNr"") 'Return the identification of the ""y position dynamic"" variable"

More...

DynEleVarXZoom

DynEleVarXZoom

"With this property you have the opportunity to get informations about the variable which is linked at the ""change width"" property.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""DynEleVarXZoom.SymVarName"") 'Return the name of the ""change width"" variable
zElement.DynProperties (""DynEleVarXZoom.SymVarTagNr"") 'Return the identification of the ""change width"" variable"

More...

DynEleVarYZoom

DynEleVarYZoom

"With this property you have the opportunity to get informations about the variable which is linked at the ""change height"" property.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""DynEleVarYZoom.SymVarName"") 'Return the name of the ""change height"" variable
zElement.DynProperties (""DynEleVarYZoom.SymVarTagNr"") 'Return the identification of the ""change height"" variable"

VT_UI2

Symbol

Symbole

Un symbole peut être sélectionné dans la liste de symboles affichée à l’écran.

Plus de détails dans l’aide en ligne.

VT_UI1

HorizontalOrigin

Horizontal

Point de référence horizontal de l’événement. Les valeurs possibles sont : gauche, centré, droite.
Ce point est utilisé en tant que base de calcul de l’angle de départ de la rotation (statique et dynamique) et pour le changement dynamique de taille.

Par défaut : À gauche

Plus de détails dans l’aide en ligne.

VT_UI1

VerticalOrigin

Vertical

Point de référence vertical de l’événement. Les valeurs possibles sont : haut, centré, bas.
Ce point est utilisé en tant que base de calcul de l’angle de départ de la rotation (statique et dynamique) et pour le changement dynamique de taille.

Par défaut : En haut

Plus de détails dans l’aide en ligne.

VT_BOOL

IsXActive

Modification direction X active

Active : Le déplacement horizontal de l’élément lié est disponible.
Inactive : Le déplacement horizontal n’est pas disponible.

Plus de détails dans l’aide en ligne.

ZT_VARIABLE_DYN

XVariable

Variable

Nom de la variable utilisée pour le déplacement horizontal de l’élément.
Ouvre la boîte de dialogue de sélection de variables.

Plus de détails dans l’aide en ligne.

VT_R8

XVarMin

Valeur min de la variable

Valeur minimale de la variable utilisée pour le déplacement horizontal de l’élément.

Plus de détails dans l’aide en ligne.

VT_R8

XVarMax

Valeur max de la variable

Valeur maximale de la variable utilisée pour le déplacement horizontal de l’élément.

Plus de détails dans l’aide en ligne.

VT_I4

XViewMin

Mouvement min [pixels]

Position horizontale de l’élément pour la valeur minimale de la variable (en pixels).

Plus de détails dans l’aide en ligne.

VT_I4

XViewMax

Mouvement max [pixels]

Position horizontale de l’élément pour la valeur minimale de la variable (en pixels).

Plus de détails dans l’aide en ligne.

VT_BOOL

IsYActive

Modification direction Y active

Active : Le déplacement vertical de l’élément lié est disponible.
Inactive : Le déplacement vertical n’est pas disponible.

Plus de détails dans l’aide en ligne.

ZT_VARIABLE_DYN

YVariable

Variable

Nom de la variable utilisée pour le déplacement vertical de l’élément.
Ouvre la boîte de dialogue de sélection de variables.

Plus de détails dans l’aide en ligne.

VT_R8

YVarMin

Valeur min de la variable

Valeur minimale de la variable utilisée pour le déplacement vertical de l’élément.

Plus de détails dans l’aide en ligne.

VT_R8

YVarMax

Valeur max de la variable

Valeur maximale de la variable utilisée pour le déplacement vertical de l’élément.

Plus de détails dans l’aide en ligne.

VT_I4

YViewMin

Mouvement min [pixels]

Position verticale de l’élément pour la valeur minimale de la variable (en pixels).

Plus de détails dans l’aide en ligne.

VT_I4

YViewMax

Mouvement max [pixels]

Position verticale de l’élément pour la valeur maximale de la variable (en pixels).

Plus de détails dans l’aide en ligne.

VT_BOOL

IsXZoomActive

Modification largeur active

Active : La fonction de zoom à la largeur de l’élément lié est disponible.
Inactive : La fonction de zoom à la largeur de l’élément n’est pas disponible.

Plus de détails dans l’aide en ligne.

ZT_VARIABLE_DYN

XZoomVariable

Variable

Nom de la variable utilisée pour l’agrandissement de la largeur de l’élément.
Ouvre la boîte de dialogue de sélection de variables.

Plus de détails dans l’aide en ligne.

VT_R8

XZoomVarMin

Valeur min de la variable

Valeur minimale de la variable utilisée pour effectuer un zoom à la largeur de l’élément.

Plus de détails dans l’aide en ligne.

VT_R8

XZoomVarMax

Valeur max de la variable

Valeur maximale de la variable utilisée pour effectuer un zoom sur la largeur de l’élément.

Plus de détails dans l’aide en ligne.

VT_I4

XZoomViewMin

Largeur min [%]

Facteur de zoom correspondant à la largeur de l’élément pour la valeur minimale de la variable (en pixels).

Plus de détails dans l’aide en ligne.

VT_I4

XZoomViewMax

Largeur max [%]

Facteur de zoom correspondant à la largeur de l’élément pour la valeur maximale de la variable (en pixels).

Plus de détails dans l’aide en ligne.

VT_BOOL

IsYZoomActive

Modification hauteur active

Activer la fonction de zoom à la hauteur de l’élément.

Plus de détails dans l’aide en ligne.

ZT_VARIABLE_DYN

YZoomVariable

Variable

Nom de la variable utilisée pour l’agrandissement de la hauteur de l’élément.
Ouvre la boîte de dialogue de sélection de variables.

Plus de détails dans l’aide en ligne.

VT_R8

YZoomVarMin

Valeur min de la variable

Valeur minimum de la variable utilisée pour effectuer un zoom sur la hauteur de l’élément.

Plus de détails dans l’aide en ligne.

VT_R8

YZoomVarMax

Valeur max de la variable

Valeur maximum de la variable utilisée pour effectuer un zoom sur la hauteur de l’élément.

Plus de détails dans l’aide en ligne.

VT_I4

YZoomViewMin

Hauteur min [%]

Facteur de zoom correspondant à la hauteur de l’élément pour la valeur minimum de la variable (en %).

Plus de détails dans l’aide en ligne.

VT_I4

YZoomViewMax

Hauteur max [%]

Facteur de zoom correspondant à la hauteur de l’élément pour la valeur maximale de la variable (en pixels).

Plus de détails dans l’aide en ligne.

VT_BOOL

UnderCE

Visible sous WinCE

Contrôle la visibilité des éléments dans les synoptiques sous Windows CE. Les projets qui sont utilisés sous CE et sur le PC peuvent être créés de manière plus flexible ; la gestion par l’utilisateur est ainsi améliorée. Par exemple, les boutons renvoyant l’utilisateur vers des synoptiques ne pouvant pas être affichés sous CE (par ex. IPA) peuvent être rendus invisibles.

Active : dans synoptique/l’élément est également visible sous Windows CE.

Par défaut : active

Plus de détails dans l’aide en ligne.

ZT_VBAMAKRO

Init

Init

Macro VBA à exécuter lors de l’initialisation de l’élément.

Plus de détails dans l’aide en ligne.

ZT_VBAMAKRO

SetFocus

SetFocus

Macro VBA à exécuter lorsque le focus est placé sur l’élément.

Plus de détails dans l’aide en ligne.

ZT_VBAMAKRO

KillFocus

KillFocus

Macro VBA à exécuter lorsque le focus n’est plus placé sur l’élément.

Plus de détails dans l’aide en ligne.

ZT_VBAMAKRO

LeftClickDown

LeftClickDown

Macro VBA à exécuter lorsque l’utilisateur effectue un clic gauche sur l’élément.

Plus de détails dans l’aide en ligne.

ZT_VBAMAKRO

RightClickDown

RightClickDown

Macro VBA à exécuter lorsque l’utilisateur effectue un clic droit sur l’élément.

Plus de détails dans l’aide en ligne.

ZT_VBAMAKRO

LeftClickUp

LeftClickUp

Macro VBA à exécuter lorsque l’utilisateur relâche le bouton gauche de la souris sur l’élément.

Plus de détails dans l’aide en ligne.

ZT_VBAMAKRO

RightClickUp

RightClickUp

Macro VBA à exécuter lorsque l’utilisateur relâche le bouton droit de la souris sur l’élément.

Plus de détails dans l’aide en ligne.

ZT_VBAMAKRO

LeftDClick

LeftDoubleClick

Macro VBA à exécuter lorsque l’utilisateur effectue un double-clic gauche sur l’élément.

Plus de détails dans l’aide en ligne.

ZT_VBAMAKRO

RightDClick

RightDoubleClick

Macro VBA à exécuter lorsque l’utilisateur effectue un double-clic droit sur l’élément.

Plus de détails dans l’aide en ligne.

ZT_VBAMAKRO

MouseOver

MouseOver

Macro VBA à exécuter si le pointeur de la souris est positionné sur l’élément.

Plus de détails dans l’aide en ligne.

ZT_VBAMAKRO

DragDrop

DragDrop

Macro VBA à exécuter lorsque le bouton de la souris est relâché.

Plus de détails dans l’aide en ligne.

ZT_VBAMAKRO

DragOver

DragOver

Macro VBA à exécuter lorsque le curseur est déplacé au-dessus de l’élément pendant que le bouton gauche est enfoncé.

Plus de détails dans l’aide en ligne.

ZT_VBAMAKRO

DragBegin

DragBegin

Macro VBA à exécuter lorsque l’utilisateur commence à faire glisser l’objet.

Plus de détails dans l’aide en ligne.

VT_BSTR

Tooltip

Info bulle

Texte à afficher en tant qu’info-bulle de l’élément dans le Runtime. Une info-bulle est automatiquement affichée dans le Runtime si le pointeur de la souris reste pendant quelques secondes sur l’élément. Des retours à la ligne automatiques peuvent être insérés avec les caractères "\n".

  • Maximum : 79 caractères
    Attention : La combinaison de caractères \n est également comptée dans la limite de 79 caractères.

Plus de détails dans l’aide en ligne.

VT_BOOL

LassoSelect

sélectionnable avec le lasso

La sélection avec le lasso dans le Runtime permet d’identifier les éléments dynamiques et de les utiliser avec des événements VBA.

  • Active : L’élément peut être sélectionné avec le lasso dans le Runtime.
  • Inactive : L’élément ne peut pas être sélectionné dans Runtime.

Par défaut : active

Attention : Pour que l’élément puisse être sélectionné dans le Runtime, vous devez activer la propriété Sélection multiple en runtime (lasso) dans les paramètres du projet !

Remarque concernant la gestion des commandes : Si la propriété Opération à deux mains est activée, le lasso de la commande Exécuter le 2ème niveau ne doit pas être activé.

Plus de détails dans l’aide en ligne.

More...

GestureManipulationGroup

Manipulation

Propriétés pour la manipulation de synoptiques et d’éléments de synoptique dans le cadre d’une utilisation tactile.

Plus de détails dans l’aide en ligne.

VT_BOOL

Tab

Le focus est donné à l'élément

Active : L’élément dynamique peut être actionné à l’aide du clavier.
Inactive : L’élément dynamique n’est pas accessible à l’aide du clavier.
Par défaut : active.

Plus de détails dans l’aide en ligne.

VT_I4

TABOrderH

Position du focus gauche/droite

Définit la position horizontale pour l’utilisation à l’aide du clavier dans le Runtime. La position est définie par l’intermédiaire du menu contextuel et de l’utilisation de la souris dans la fenêtre principale ; elle ne peut pas être modifiée ici.

Plus de détails dans l’aide en ligne.

VT_I4

TABOrderV

Position focus haut / bas

Définit la position verticale pour l’utilisation à l’aide du clavier dans le Runtime. La position est définie par l’intermédiaire du menu contextuel et de l’utilisation de la souris dans la fenêtre principale ; elle ne peut pas être modifiée ici.

Plus de détails dans l’aide en ligne.

ZT_FILE

Helpfile

Fichier d'aide

Fichier d’aide (*.chm) devant être utilisé pour cet élément, conjointement à un menu contextuel. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de fichiers.
Attention : seuls les fichiers d’aide ayant été ajoutés dans le nœud Fichiers/Aide sont disponibles.

Plus de détails dans l’aide en ligne.

VT_BSTR

HelpCapture

Chapitre d'aide

Chapitre d’aide (*.chm) devant être utilisé pour cet élément, conjointement à un menu contextuel. Nom de la page HTML sous-jacente.
Attention : cette entrée tient compte des minuscules et majuscules.

Plus de détails dans l’aide en ligne.

ZT_VARIABLE_DYN

SetValueDynMin

Minimum

Variable dont la valeur actuelle est applicable en tant que limite inférieure de la valeur prescrite de l’élément.
Disponible uniquement si Plages de la variable est inactive :
Plus de détails dans l’aide en ligne.

ZT_VARIABLE_DYN

SetValueDynMax

Maximum

Variable dont la valeur actuelle est applicable en tant que limite supérieure de la valeur prescrite de l’élément.

Disponible uniquement si la propriété Plages de la variable est inactive.

Plus de détails dans l’aide en ligne.

VT_BOOL

GestureRecognitionActive

Reconnaissance de geste active

Active l’évaluation des gestes. Les gestes sont définis à l’aide d’autres propriétés.

Uniquement disponible si, dans le groupe Intéraction des propriétés du projet, la propriété Reconnaissance Windows 8 a été définie.

Plus de détails dans l’aide en ligne.

VT_BOOL

Gestures_Manipulation

Exact

Active : Détection du paramètre Exact défini.

Plus de détails dans l’aide en ligne.

VT_BOOL

Gestures_Exact

Exact

Active : Détection du paramètre Exact défini.

Plus de détails dans l’aide en ligne.

VT_BOOL

Gestures_TranslationX

Translation X

Active : Détection du paramètre Translation X défini.

Plus de détails dans l’aide en ligne.

VT_BOOL

Gestures_TranslationY

Translation Y

Active : Détection du paramètre Translation Y défini.

Plus de détails dans l’aide en ligne.

VT_BOOL

Gestures_RailsX

Rails X

Active : Détection du paramètre Rails X défini.

Plus de détails dans l’aide en ligne.

VT_BOOL

Gestures_RailsY

Rails Y

Active : Détection du paramètre Rails Y défini.

Plus de détails dans l’aide en ligne.

VT_BOOL

Gestures_TranslationInertia

Translation inertia

Active : Détection du paramètre Translation Inertia (Inertie de translation) défini.

Plus de détails dans l’aide en ligne.

VT_BOOL

Gestures_Rotation

Inertie de rotation

Active : Détection du paramètre Rotation Inertia (Inertie de rotation) défini.

Plus de détails dans l’aide en ligne.

VT_BOOL

Gestures_RotationInertia

Inertie de rotation

Active : Détection du paramètre Rotation Inertia (Inertie de rotation) défini.

Plus de détails dans l’aide en ligne.

VT_BOOL

Gestures_Scaling

Scaling inertia

Active : Détection du paramètre Scaling Inertia (Inertie de redimensionnement) défini.

Plus de détails dans l’aide en ligne.

VT_BOOL

Gestures_ScalingInertia

Scaling inertia

Active : Détection du paramètre Scaling Inertia (Inertie de redimensionnement) défini.

Plus de détails dans l’aide en ligne.

VT_BOOL

Gestures_CrossSlide

Cross slide exact

Active : Détection du paramètre Cross Slide Exact (Glissement transversal exact) défini.

Plus de détails dans l’aide en ligne.

VT_BOOL

Gestures_CrossSlideHorizontal

Cross slide horizontal

Active : Détection du paramètre Cross Slide Horizontal (Glissement transversal horizontal) défini.

Plus de détails dans l’aide en ligne.

VT_BOOL

Gestures_CrossSlideSelect

Cross slide select

Active : Détection du paramètre Cross Slide Select (Glissement transversal, sélection) défini.

Plus de détails dans l’aide en ligne.

VT_BOOL

Gestures_CrossSlideSpeedBump

Cross slide speed bump

Active : Détection du paramètre Cross Slide Speed Bump (Glissement transversal, ralentisseur) défini.

Plus de détails dans l’aide en ligne.

VT_BOOL

Gestures_CrossSlideRearrange

Cross slide rearrange

Active : Détection du paramètre Cross Slide Rearrange (Glissement transversal, réorganisation) défini.

Plus de détails dans l’aide en ligne.

VT_BOOL

Gestures_CrossSlideExact

Cross slide exact

Active : Détection du paramètre Cross Slide Exact (Glissement transversal exact) défini.

Plus de détails dans l’aide en ligne.

VT_BOOL

Gestures_Tap

Tap double

Active : Détection du paramètre Tap Double (Double appui) défini.

Plus de détails dans l’aide en ligne.

VT_BOOL

Gestures_TapDouble

Tap double

Active : Détection du paramètre Tap Double (Double appui) défini.

Plus de détails dans l’aide en ligne.

VT_BOOL

Gestures_SecondaryTap

Secondary tap

Active : Détection du paramètre Secondary Tap (Appui secondaire) défini.

Plus de détails dans l’aide en ligne.

VT_BOOL

Gestures_Drag

Drag

Active : Détection du paramètre Drag (Glissement) défini.

Plus de détails dans l’aide en ligne.

VT_BOOL

Gestures_Hold

Hold (Mouse)

Active : Détection du paramètre Hold (Mouse) (Maintien [souris]) défini.

Plus de détails dans l’aide en ligne.

ZT_STYLE

StyleGroup

Groupe de styles

Affichage et sélection du groupe de styles attribué à l’élément.
Cliquez sur le bouton ... pour ouvrir la boîte de dialogue permettant de sélectionner un groupe de styles.
Si plusieurs éléments sont sélectionnés, elles peuvent être attribuées à un groupe de styles commun.

Remarque : Seules les propriétés compatibles avec l’élément correspondant sont prises en charge.

Plus de détails dans l’aide en ligne.

More...

LnClVariable

LnClVariable

"With this property you have the opportunity to get informations about the variable which is linked as ""line/text color"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""LnClVariable.SymVarName"") 'Return the name of the ""line/text color"" variable
zElement.DynProperties (""LnClVariable.SymVarTagNr"") 'Return the identification of the ""line/text color"" variable"

More...

BkClVariable

BkClVariable

"With this property you have the opportunity to get informations about the variable which is linked as ""background/filling color"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""BkClVariable.SymVarName"") 'Return the name of the ""background/filling color"" variable
zElement.DynProperties (""BkClVariable.SymVarTagNr"") 'Return the identification of the ""background/filling color"" variable"

More...

BkCl2Variable

"BkCl2Variable"

More...

XVar

XVar

"With this property you have the opportunity to get informations about the variable which is linked as ""dynamic x position"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""XVar.SymVarName"") 'Return the name of the ""dynamic x position"" variable
zElement.DynProperties (""XVar.SymVarTagNr"") 'Return the identification of the ""dynamic x position"" variable"

More...

YVar

YVar

"With this property you have the opportunity to get informations about the variable which is linked as ""dynamic y position"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""YVar.SymVarName"") 'Return the name of the ""dynamic y position"" variable
zElement.DynProperties (""YVar.SymVarTagNr"") 'Return the identification of the ""dynamic y position"" variable"

More...

XVarZoom

XVarZoom

"With this property you have the opportunity to get informations about the variable which is linked as ""change width"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""XVarZoom.SymVarName"") 'Return the name of the ""change width"" variable
zElement.DynProperties (""XVarZoom.SymVarTagNr"") 'Return the identification of the ""change width"" variable"

More...

YVarZoom

YVarZoom

"With this property you have the opportunity to get informations about the variable which is linked as ""change height"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""YVarZoom.SymVarName"") 'Return the name of the ""change height"" variable
zElement.DynProperties (""YVarZoom.SymVarName"") 'Return the name of the ""change height"" variable
zElement.DynProperties (""YVarZoom.SymVarTagNr"") 'Return the identification of the ""change height"" variable"

More...

TwistVar

TwistVar

"With this property you have the opportunity to get informations about the variable which is linked as ""rotate"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""TwistVar.SymVarName"") 'Return the name of the ""rotate"" variable
zElement.DynProperties (""TwistVar.SymVarTagNr"") 'Return the identification of the ""rotate"" variable"

More...

VisVariable

VisVariable

"With this property you have the opportunity to get informations about the variable which is linked as ""visibility"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""VisVariable.SymVarName"") 'Return the name of the ""visibility"" variable
zElement.DynProperties (""VisVariable.SymVarTagNr"") 'Return the identification of the ""visibility"" variable"

More...

BlinkVar

BlinkVar

More...

GlowEffectGlowColorVar

GlowEffectGlowColorVar

More...

GlowEffectVisibilityVar

GlowEffectVisibilityVar

More...

GlowEffectBlinkVar

GlowEffectBlinkVar

VT_BSTR

Name

Nom d'élément

Attribuez un nom d’élément.
Il ne doit pas être vide.

Attention : Cette propriété n’est pas disponible aux fins de la commutation de langue.

Remarques concernant les cadrans : Pour les conteneurs de synoptique, spécifiez des noms clairement identifiables pour faciliter la sélection lors de la configuration des appels de synoptique.

Plus de détails dans l’aide en ligne.

VT_UI1

Layer

Niveau de visibilité

Sélectionnez l’un des 16 niveaux de visibilité (0 à 15) dans la liste déroulante. À l’aide de la barre d’outils Niveau de visibilité, vous décidez des niveaux qui doivent être affichés dans Editor. Cette fonction garantit que les synoptiques les plus complexes peuvent être développés de manière simple. Les niveaux peuvent être utilisés immédiatement. Les niveaux n’ont aucune influence sur les informations affichées au premier plan ou en arrière-plan dans le Runtime.
Par défaut : 0.

Plus de détails dans l’aide en ligne.

VT_I4

StartX

Point de départ X [pixels]

Coordonnée Y du coin supérieur gauche du synoptique (en pixels).

Plus de détails dans l’aide en ligne.

VT_I4

EndX

Point final X [pixels]

Coordonnée X du coin inférieur droit du synoptique (en pixels).

Plus de détails dans l’aide en ligne.

VT_I4

StartY

Point de départ Y [pixels]

Coordonnée Y du coin supérieur gauche du synoptique (en pixels).

Plus de détails dans l’aide en ligne.

VT_I4

EndY

Point final Y [pixels]

Coordonnée Y du coin inférieur droit du synoptique (en pixels).

Plus de détails dans l’aide en ligne.

VT_I4

Width

Largeur [pixels]

Largeur des éléments en pixels.

Remarque : disponible uniquement pour les éléments Combinaison multiple, Élément combiné, Bouton et Interrupteur si la valeur Ajusté a été sélectionnée pour la propriété Taille du graphique.

Plus de détails dans l’aide en ligne.

VT_I4

Height

Hauteur [pixels]

Hauteur des éléments en pixels.

Remarque : disponible uniquement pour les éléments Combinaison multiple, Élément combiné, Bouton et Interrupteur si la valeur Ajusté a été sélectionnée pour la propriété Taille du graphique.

Plus de détails dans l’aide en ligne.

VT_I4

Angle

Angle de rotation [°]

Angle libre autour selon lequel doit pivoter l’élément.
Les valeurs positives correspondent à une rotation dans le sens antihoraire, tandis que les valeurs négatives correspondent à une rotation dans le sens horaire. Les valeurs supérieures à 360° sont affichées sous forme d’écart par rapport à 360° (400° correspond à 40°). Seuls les nombres entiers sont autorisés.

Sur les éléments pivotés, les actions suivantes ne sont plus possibles :

  • Miroir
  • Rotation de +/- 90°
  • Redimensionnement à l’aide des touches fléchées

Par défaut : 0

Remarque : Ce paramètre est activé et réinitialisé lors de la configuration pour Windows CE.

Plus de détails dans l’aide en ligne.

VT_I2

ZoomMin

Visible de

Incrément de zoom le plus bas auquel l’élément est visible dans la vue globale.
Par défaut : -1
Une valeur de visibilité avec des incréments de zoom de -1 à -1 signifie que l’élément est affiché, quel que soit l’incrément de zoom sélectionné.

Les niveaux de zoom affichés dans la vue globale peuvent être configurés avec la propriété Apparence graphique -> Généralités runtime -> Pas de zoom pour vue globale.

Attention : Ce niveau de zoom s’applique à tous les types de synoptiques et cadres. Si un niveau de zoom défini est supérieur à 0, l’élément est uniquement affiché dans la vue globale, car les autres types de synoptique sont automatiquement appelés avec le niveau de zoom 0.

Plus de détails dans l’aide en ligne.

VT_I2

ZoomMax

Visible jusqu'à

Incrément de zoom le plus élevé auquel l’élément est visible dans la vue globale.

Par défaut : -1
Une valeur de visibilité avec des incréments de zoom de -1 à -1 signifie que l’élément est affiché, quel que soit l’incrément de zoom sélectionné.

Les niveaux de zoom affichés dans la vue globale peuvent être configurés avec la propriété Apparence graphique -> Généralités runtime -> Pas de zoom pour vue globale.

Attention : Ce niveau de zoom s’applique à tous les types de synoptiques et cadres. Si un niveau de zoom défini est supérieur à 0, l’élément est uniquement affiché dans la vue globale, car les autres types de synoptique sont automatiquement appelés avec le niveau de zoom 0.

Plus de détails dans l’aide en ligne.

VT_BSTR

Stationname

Nom liste d'objets

L’élément est saisi directement dans la liste de stations du synoptique Vue globale, et le texte est saisi ici.

Plus de détails dans l’aide en ligne.

ZT_VARIABLE_DYN

LineColorVariable

Couleur de ligne

Nom des variables dont les couleurs de valeur limite doivent influencer la couleur de ligne/de texte de l’élément. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de variables.

Plus de détails dans l’aide en ligne.

ZT_PREVIEW

LineColorVarPreview

Affichage aperçu couleur

Affichage de la valeur limite pour la propriété Couleur de ligne définie pour la variable. Disponible uniquement si l’option Depuis la variable a été configurée pour la propriété Couleur de ligne.

Un aperçu des propriétés définies pour la valeur limite est affiché dans le champ. Aucun aperçu n’est affiché pour les matrices de réaction.
Cliquez sur le bouton ... pour ouvrir la boîte de dialogue d’affichage des résultats. Les valeurs limite sont uniquement affichées ; elles ne peuvent pas être modifiées. Les modifications doivent être effectuées directement dans les propriétés de la variable pour Valeurs limite.

Plus de détails dans l’aide en ligne.

ZT_VARIABLE_DYN

BackColorVariable

Couleur de remplissage

Nom de la variable dont les couleurs de valeur limite doivent influencer la couleur d’arrière-plan/de remplissage de l’élément.
Ouvre la boîte de dialogue de sélection de variables.

Plus de détails dans l’aide en ligne.

ZT_PREVIEW

BackColorVarPreview

Affichage aperçu couleur

Affichage de la valeur limite pour la propriété Couleur de remplissage définie pour la variable. Disponible uniquement si l’option Depuis la variable a été configurée pour la propriété Couleur de remplissage.

Un aperçu des propriétés définies pour la valeur limite est affiché dans le champ. Aucun aperçu n’est affiché pour les matrices de réaction.
Cliquez sur le bouton ... pour ouvrir la boîte de dialogue d’affichage des résultats. Les valeurs limite sont uniquement affichées ; elles ne peuvent pas être modifiées. Les modifications doivent être effectuées directement dans les propriétés de la variable pour Valeurs limite.

Plus de détails dans l’aide en ligne.

VT_UI4

VisibilityType

Visibilité

Sélection depuis laquelle la visibilité d’un élément est déterminée :

  • Depuis une variable
  • Du verrrouillage

Par défaut : Depuis une variable

Plus de détails dans l’aide en ligne.

ZT_VARIABLE_DYN

VisibilityVariable

Variable

Disponible uniquement si l’option Depuis la variable a été configurée pour la propriété Visibilité.

Nom de la variable dont la valeur contrôle la visibilité de l’élément. La visibilité est soit reprise des propriétés de valeur limite de ces variables, soit définie par la plage de valeurs définie dans les propriétés de et À.
Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de variables. Vous pouvez également saisir manuellement le nom dans le champ de texte.
L'élément reste visible tant qu’aucune variable n’est liée.

Plus de détails dans l’aide en ligne.

ZT_PREVIEW

VisVarPreview

Affichage aperçu visibilité

Affichage des valeurs limite pour la visibilité définies pour la variable. Disponible uniquement si l’option Depuis la variable a été configurée pour la propriété Variable dans le groupe Visibilité.

Un aperçu des propriétés définies pour la valeur limite est affiché dans le champ. Aucun aperçu n’est affiché pour les matrices de réaction.
Cliquez sur le bouton ... pour ouvrir la boîte de dialogue d’affichage des résultats. Les valeurs limite sont uniquement affichées ; elles ne peuvent pas être modifiées. Les modifications doivent être effectuées directement dans les propriétés de la variable pour Valeurs limite.

Plus de détails dans l’aide en ligne.

VT_BOOL

VisibilityFromLimit

A partir des valeurs limites

Uniquement disponible après la sélection d’une variable :

  • Active : La visibilité de l’élément est influencée par la propriété de valeur limite de la variable.

    Attention : La propriété Invisible doit être active pour au moins une valeur limite de la variable.

  • Inactive : la visibilité est influencée par les propriétés de l’élément.

Par défaut : active

Plus de détails dans l’aide en ligne.

VT_R8

VisibilityFrom

de

Disponible uniquement après la sélection d’une variable, si la visibilité n’a pas été reprise par la valeur limite :

Valeur minimum de la variable à laquelle l’élément est visible.

  • Minimum : valeur minimum possible de la variable liée.
  • Maximum : valeur maximum possible de la variable liée.

Par défaut : valeur minimum possible de la variable liée.

Plus de détails dans l’aide en ligne.

VT_R8

VisibilityTo

À

Disponible uniquement après la sélection d’une variable, si la visibilité n’a pas été reprise par la valeur limite :

Valeur maximale de la variable à laquelle l’élément est visible.

  • Minimum : valeur minimum possible de la variable liée.
  • Maximum : valeur maximum possible de la variable liée.

Par défaut : valeur maximum possible de la variable liée.

Plus de détails dans l’aide en ligne.

VT_UI4

Interlocking

Verrouillage

Disponible uniquement si l’option Depuis le verrouillage est sélectionnée pour la propriété Visibilité.

Nom du verrouillage dont la valeur contrôle la visibilité de l’élément. Sélectionnez dans la liste déroulante. Celle-ci contient tous les verrouillages existants et utilisables. L’élément est toujours visible si aucun verrouillage n’est lié.

Plus de détails dans l’aide en ligne.

VT_BSTR

InterlockingName

InterlockingName

Description

VT_BOOL

VisibleWhenInterlocked

Visible si verrouillé

Contrôle la visibilité de l’élément lorsque le verrouillage est sélectionné :

  • Active : L’élément est visible s’il est verrouillé.
  • Inactive : L’élément est visible s’il n’est pas verrouillé.

Par défaut : inactive

Plus de détails dans l’aide en ligne.

ZT_VARIABLE_DYN

TwistVariable

Variable

Nom de la variable utilisée pour la rotation de l’élément.

Plus de détails dans l’aide en ligne.

VT_R8

TwistVarMin

Valeur min de la variable

Valeur minimum de la variable utilisée pour la rotation de l’élément.

Plus de détails dans l’aide en ligne.

VT_R8

TwistVarMax

Valeur max de la variable

Valeur maximale de la variable utilisée pour la rotation de l’élément.

Plus de détails dans l’aide en ligne.

VT_I4

TwistViewMin

Rotation min [°]

Angle de rotation de l’élément pour la valeur minimum de la variable (en °).

Plus de détails dans l’aide en ligne.

VT_I4

TwistViewMax

Rotation max [°]

Angle de rotation de l’élément pour la valeur maximum de la variable (en °).

Plus de détails dans l’aide en ligne.

ZT_STYLE

ShadowEffectStyle

Style effet cadres/ombres

Affichage et sélection du style de cadre et d’ombre attribué à l’élément.

Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de style.
Si plusieurs éléments ont été sélectionnés, ils peuvent être attribués à un style commun.

Remarque : Seules les propriétés compatibles avec l’élément correspondant sont prises en charge.

Plus de détails dans l’aide en ligne.

VT_BOOL

EnablePunchFrame

Afficher le cadre

A frame around the element can be displayed.
Default: inactive.

ZT_STYLE

GlowEffectStyle

Style effet de rayonnement

Affichage et sélection du style des effets de luminescence attribués à l’élément.

Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de style.
Si plusieurs éléments ont été sélectionnés, ils peuvent être attribués à un style commun.

Remarque : Seules les propriétés compatibles avec l’élément correspondant sont prises en charge.

Plus de détails dans l’aide en ligne.

VT_BOOL

GlowEffectEvent

Actif seulement si cliqué

Disponible uniquement si la propriété Activer est active et l’élément est un bouton.

Active : l’effet de luminescence est uniquement affiché lorsque l’utilisateur clique sur le bouton. Cliquer sur le bouton permet de modifier la couleur, le clignotement ou l’invisibilité de l’effet de luminescence.

Par défaut : Inactive

Plus de détails dans l’aide en ligne.

ZT_VARIABLE_DYN

GlowEffectGlowColorVariable

Variable pour la couleur

Disponible uniquement si la propriété Activer est active. La propriété Coloration doit être activée.

Nom de la variable dont la couleur aux valeurs limites doit influencer la couleur de l’effet de luminescence pour l’élément. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de variables. Vous pouvez également saisir le nom manuellement dans le champ de texte. Si aucune variable n’est liée, la couleur définie dans la propriété Couleur est utilisée.

Par défaut : aucune variable liée

Plus de détails dans l’aide en ligne.

ZT_PREVIEW

GlowEffectGlowColorVariablePreview

Affichage aperçu couleur

Affichage de la valeur limite définie pour la variable de couleur lorsque l’effet de luminescence est actif. Disponible uniquement si l’option Depuis la variable a été configurée pour la propriété Variable pour la couleur.

Un aperçu des propriétés définies pour la valeur limite est affiché dans le champ. Aucun aperçu n’est affiché pour les matrices de réaction.
Cliquez sur le bouton ... pour ouvrir la boîte de dialogue d’affichage des résultats. Les valeurs limite sont uniquement affichées ; elles ne peuvent pas être modifiées. Les modifications doivent être effectuées directement dans les propriétés de la variable pour Valeurs limite.

Plus de détails dans l’aide en ligne.

ZT_VARIABLE_DYN

GlowEffectVisibilityVariable

Variable pour la visibilité

Disponible uniquement si la propriété Activer est active.

Nom de la variable dont la valeur influence la visibilité de l’effet de luminescence. La visibilité est soit reprise des propriétés de valeur limite de cette variable (propriété Visibilité depuis valeur limite active), soit définie par la plage de valeurs définie dans les propriétés Visible de et Visible jusqu'à. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de variables. Vous pouvez également saisir le nom manuellement dans le champ de texte.

Remarque : si aucune variable n’est liée, l’effet de luminescence est toujours visible.

Par défaut : aucune variable liée

Plus de détails dans l’aide en ligne.

ZT_PREVIEW

GlowEffectVisibilityVariablePreview

Affichage aperçu visibilité

Affichage de la valeur limite définie pour la variable de visibilité lorsque l’effet de luminescence est actif. Disponible uniquement si l’option Depuis la variable a été configurée pour la propriété Variable pour la visibilité.

Un aperçu des propriétés définies pour la valeur limite est affiché dans le champ. Aucun aperçu n’est affiché pour les matrices de réaction.
Cliquez sur le bouton ... pour ouvrir la boîte de dialogue d’affichage des résultats. Les valeurs limite sont uniquement affichées ; elles ne peuvent pas être modifiées. Les modifications doivent être effectuées directement dans les propriétés de la variable pour Valeurs limite.

Plus de détails dans l’aide en ligne.

VT_BOOL

GlowEffectVisibilityFromLimit

Visibilité depuis valeur limite

Disponible uniquement si la propriété Activer est active. Vous devez en outre définir une variable dans la propriété Variable pour la visibilité.

Active : La visibilité de l’effet de luminescence est influencée par la propriété de valeur limite de la variable.

Attention : Pour une valeur limite de la variable au moins, la propriété Invisible doit être active.

Inactive : la visibilité est influencée par les propriétés de l’élément.

Plus de détails dans l’aide en ligne.

VT_R8

GlowEffectVisibilityFrom

Visible de

Disponible uniquement si la propriété Activer est active. Vous devez en outre définir une variable dans la propriété Variable pour la visibilité ; la propriété Visibilité depuis valeur limite doit être inactive.

Définit la valeur à partir de laquelle l’effet de luminescence devient visible.
Minimum : valeur la moins élevée autorisée pour la variable liée dans Variable pour la visibilité.
Maximum : valeur la moins élevée autorisée pour la variable liée dans Variable pour la visibilité.
Par défaut : valeur la plus élevée autorisée pour la variable liée dans Variable pour la visibilité.

Plus de détails dans l’aide en ligne.

VT_R8

GlowEffectVisibilityTo

Visible jusqu'à

Disponible uniquement si la propriété Activer est active. Vous devez en outre définir une variable dans la propriété Variable pour la visibilité ; la propriété Visibilité depuis valeur limite doit être inactive.

Définit la valeur jusqu’à laquelle l’effet de luminescence reste visible.
Minimum : valeur la plus basse autorisée pour la variable liée dans Variable pour la visibilité.
Maximum : valeur la plus élevée autorisée pour la variable liée dans Variable pour la visibilité.
Par défaut : valeur la plus élevée autorisée pour la variable liée dans Variable pour la visibilité.

Plus de détails dans l’aide en ligne.

ZT_VARIABLE_DYN

GlowEffectBlinkVariable

Variable pour le clignotement

Variables dont les paramètres de clignotement de l’effet de luminescence aux valeurs limites doivent être repris. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de variables.

Par défaut : aucune variable liée

Plus de détails dans l’aide en ligne.

ZT_PREVIEW

GlowEffectBlinkVariablePreview

Affichage aperçu clignotement

Affichage de la valeur limite définie pour la variable de clignotement lorsque l’effet de luminescence est actif. Disponible uniquement si l’option Depuis la variable a été configurée pour la propriété Variable pour le clignotement.

Un aperçu des propriétés définies pour la valeur limite est affiché dans le champ. Aucun aperçu n’est affiché pour les matrices de réaction.
Cliquez sur le bouton ... pour ouvrir la boîte de dialogue d’affichage des résultats. Les valeurs limite sont uniquement affichées ; elles ne peuvent pas être modifiées. Les modifications doivent être effectuées directement dans les propriétés de la variable pour Valeurs limite.

Plus de détails dans l’aide en ligne.

VT_BOOL

GlowEffectUseBlinkColor

Clignotement depuis valeur limite

Disponible uniquement si la propriété Activer est active. Vous devez en outre définir une variable dans la propriété Variable pour le clignotement.

Active : Reprend, pour l’effet de luminescence, la couleur de clignotement de la valeur limite active pour la variable définie dans la propriété Couleur de clignotement par la limite. Cette propriété agit indépendamment de la propriété Coloration. En cas de clignotement, l’effet de luminescence ne devient pas invisible, mais reprend les paramètres de l’effet de luminescence actif.

Par défaut : Inactive

Plus de détails dans l’aide en ligne.

VT_BOOL

GlowEffect2ndBlinkStateVisible

2 états de clignotement invisibles

Disponible uniquement si la propriété Activer est active. Vous devez en outre définir une variable dans la propriété Variable pour le clignotement ; la propriété Clignotement depuis valeur limite doit être inactive.

Active : En cas de clignotement, l’effet de luminescence ne bascule pas vers l’effet de luminescence actif, mais devient invisible. Ceci permet de basculer entre l’invisibilité et la couleur de clignotement en cas de dépassement de la valeur limite.

Par défaut : Inactive

Plus de détails dans l’aide en ligne.


Binary

Manuel -> Interfaces de programmation -> Modèles d'objet -> Element -> Element-Dynamic properties -> Binary

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Type

VBA/VSTA Name

Display Name

Description

More...

DynEleVar

DynEleVar

"With this property you have the opportunity to get informations about the variable (projected via ""Variable assignment"" in the ActiveX selection dialog) which is linked at an ActiveX element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""DynEleVar.SymVarName"") 'Return the name of the variable which is assigned to the ActiveX
zElement.DynProperties (""DynEleVar.SymVarTagNr"") 'Return the identification of the variable which is assigned to the ActiveX"

ZT_SCHRIFT

Font

Police

Sélection de la police utilisée pour l’affichage.

Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection. La police de caractères sélectionnée est liée.

Plus de détails dans l’aide en ligne.

VT_UI2

Symbol

Symbole

Un symbole peut être sélectionné dans la liste de symboles affichée à l’écran.

Plus de détails dans l’aide en ligne.

VT_BOOL

ShowState

Visualiser l'état de la variable

Affichage graphique de l’état de la variable. Sélection à l’aide d’une case à cocher.

  • Active : l’état des variables est indiqué par un carré de couleur au niveau de l’élément.

    Couleur :

    • Carré rouge :
      pas de communication avec l’automate.
      Exemple : INVALID, OFF, ALT_VAL, REVISION, TIMEOUT, ...
    • Carré bleu (N_UPDATE) :
      Sur le client réseau :
      La connexion entre le client et le serveur principal a été interrompue.

      Avec un projet d’intégration indépendant :
      Le serveur principal n’a pas encore fourni les données.
    • Carré jaune (PR_NR) :
      Indique, dans le Runtime, que la variable n’a pas été enregistrée pendant la lecture dans le module Process Recorder. Par conséquent, aucune valeur n’a été identifiée lors de la lecture.

    Position :
    La position du carré au niveau de l’élément dépend de la forme de l’élément :

    • Anguleux et tous autres éléments :
      Coin supérieur droit
    • Élément circulaire :
      En haut, au milieu
    • Élément arrondi :
      coin supérieur droit, légèrement décalé vers la gauche
  • Inactive : L’état n’est pas représenté.
    Désactive également la possibilité d’afficher les informations supplémentaires concernant la variable avec un clic droit.

Par défaut : Actif

Plus de détails dans l’aide en ligne.

VT_BOOL

ContitionText

Affichage texte de valeur limite

Active : La valeur d’état/valeur limite de la variable attribuée est affichée dans l’élément.
Inactive : Aucun texte n’est affiché.

Plus de détails dans l’aide en ligne.

VT_BOOL

FillArea

Colorer uniquement la zone de remplissage

Active : dans les cercles, polygones et rectangles attribués à ce symbole lié, seule la couleur de remplissage change en fonction de la définition de couleur des variables. La couleur du cadre est conservée.
Inactive : La couleur du cadre est modifiée en conséquence.
Par défaut : inactive.

Plus de détails dans l’aide en ligne.

ZT_VARIABLE_DYN

Variable

Variable

Nom de la variable liée. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de variables.
La valeur de cette variable est affichée dans cet élément et peut également être définie ici.

Remarque : Disponible uniquement pour les boutons s’ils sont utilisés en tant qu’interrupteurs.

Conseil : si la valeur de la variable doit être basculée, nous vous recommandons d’activer la propriété Variable lue en permanence. Dans le cas contraire, le Runtime patiente jusqu’à ce que le driver connaisse la valeur des variables. Si la valeur n’est pas disponible en raison d’une interruption des communications avec le contrôleur, le délai d’attente correspond au délai d’attente avant expiration du driver.

SICAM 230 et élément Synoptique d’alarmes uniquement :
La description ci-dessus s’applique uniquement aux éléments Bouton texte, Bouton bitmap et Bouton invisible.
Signification dans SICAM 230 : Les états des classes d’alarmes/d’événements seront attribués à la variable sélectionnée (32 bits). Pour chaque classe, 2 bits seront utilisés (par numéro de classe, dans l’ordre croissant).

  • Bit inférieur : alarme active/inactive
  • Bit supérieur : alarme acquittée/non acquittée

Plus de détails dans l’aide en ligne.

VT_BOOL

IsSetValue

Ecrire valeur prescrite
  • Active : La configuration des valeurs prescrites pour cet élément dynamique est autorisée.
  • Inactive : L’élément est défini sur ReadOnly.

Indisponible pour l’élément Texte dynamique s’il a été défini sur read only dans le synoptique.

Plus de détails dans l’aide en ligne.

VT_BOOL

Preset

Proposer la valeur courante

Active : La valeur actuelle de la variable est proposée en tant que valeur prescrite.
Dans ce cas, la valeur est ajoutée sous "Valeur prescrite / Modification de valeur" avant la configuration de la valeur réelle (valeur positive) ou sa soustraction depuis celle-ci (valeur négative).
Inactive : La valeur définie dans la propriété "Valeur prescrite / Modification de valeur" est proposée.

Plus de détails dans l’aide en ligne.

VT_BOOL

HWDirect

Sans dialogue

Active : La valeur est transmise au matériel sans qu’il soit possible de la modifier dans Runtime.
Inactive : Il reste toutefois possible de modifier la valeur dans le Runtime avant son écriture sur le matériel.

Plus de détails dans l’aide en ligne.

VT_R8

SetValue

Valeur prescrite

Valeur devant être envoyée en tant que valeur prescrite ou valeur par défaut.
Si la propriété Proposer la valeur actuelle est active : Valeur ajoutée à la valeur actuelle.
Associée à la propriété "Sans boîte de dialogue", l’augmentation (valeur positive) ou la diminution (valeur négative) peut être mise en œuvre.

Plus de détails dans l’aide en ligne.

VT_UI1

SetValueWith

Écrire valeur prescrite par

Configuration de la définition de la valeur prescrite.
Sélection dans une liste déroulante :

  • Gestion de commande : La nouvelle valeur est définie à l’aide de la fonction Gestion de commandes. Le synoptique défini dans le groupe de commandes de la variable liée s’affiche aux fins de la saisie.
  • Boîte de dialogue standard : la nouvelle valeur est saisie à l’aide d’une boîte de dialogue standard. Si un synoptique de type "Clavier" avec le nom "SETVALUEKBD" (pour les valeurs numériques) ou "SETSTRINGKBD" (pour les variables de type STRING) existe, ce synoptique est utilisé à la place de la boîte de dialogue standard.
    Remarque : Si l’élément est lié à une fonction autorisant les entrées, la propriété est définie Utiliser le synoptique clavier automatiquement. Si un synoptique est lié dans la propriété Synoptique clavier, celui-ci est utilisé. Dans le cas contraire, un clavier SETSTRINGKBD est utilisé.
  • Élément : La valeur est saisie directement dans l’élément graphique (uniquement pour les éléments Valeur numérique et Texte).
  • Programme : La valeur est saisie dans un programme externe.

Plus de détails dans l’aide en ligne.

VT_BSTR

SetProgram

Programme externe

Disponible uniquement si un programme externe a été sélectionné pour la propriété Écrire valeur prescrite :
La valeur prescrite est écrite par un programme externe qui doit être sélectionné dans la boîte de dialogue affichée ici.

Ce programme est alors démarré et reçoit les paramètres suivants :
1) Nom de la variable liée
2) Valeur proposée, telle que définie dans les propriétés correspondantes
3) Coordonnée gauche de l’élément, en pixels
4) Coordonnée supérieure de l’élément, en pixels
5) Coordonnée droite de l’élément, en pixels
6) Coordonnée inférieure de l’élément, en pixels
7) Valeur minimum autorisée pour la valeur prescrite, telle qu’elle est définie dans les propriétés correspondantes
8) Valeur maximum autorisée pour la valeur prescrite, telle qu’elle est définie dans les propriétés correspondantes

Plus de détails dans l’aide en ligne.

VT_BOOL

LimitFromVar

Plages de la variable

Active : La limitation de la plage pour laquelle les valeurs prescrites peuvent être écrites n’est pas définie par l’intermédiaire des paramètres "Min" et "Max", mais est directement issue des définitions de variables (bouton "Étendue").
Inactive : La plage peut être directement limitée par les paramètres "Minimum" et "Maximum".

Plus de détails dans l’aide en ligne.

VT_R8

Min

Minimum

Limite inférieure de la plage de valeurs autorisées pour la valeur prescrite.
Disponible uniquement si la propriété Plages de la variable n’est pas active.

Attention : La valeur saisie ici sera ignorée si une variable est sélectionnée pour la valeur minimum de la valeur dynamique prescrite.

Plus de détails dans l’aide en ligne.

VT_R8

Max

Maximum

Limite supérieure de la plage de valeurs autorisées pour la valeur prescrite.
Disponible uniquement si la propriété Plages de la variable n’est pas active.

Attention : La valeur saisie ici sera ignorée si une variable est sélectionnée pour la valeur maximale de la valeur prescrite dynamique.

Plus de détails dans l’aide en ligne.

VT_UI2

Passwordlevel

Niveau d'autorisation

Le niveau du mot de passe d’écriture de valeurs prescrites ou d’exécution de fonctions avec l’élément dynamique sélectionné.
Minimum : 0.
Maximum : 127
Par défaut : 0.

Plus de détails dans l’aide en ligne.

VT_UI4

Locking

Verrouillage

Lien vers un verrouillage existant avec cet élément.

Si une condition dans une des formules du verrouillage est vraie, cet élément est verrouillé de manière à ce qu’aucun fonctionnement ne soit possible. Si cela a été défini dans les propriétés du projet, un symbole représentant un verrou est affiché aussi longtemps que le verrouillage est actif.

Remarque : Les verrouillages ne peuvent pas être utilisés pour des symboles dans la bibliothèque générale de symboles ou la bibliothèque de symboles du projet.

Plus de détails dans l’aide en ligne.

VT_BSTR

LockingName

LockingName

"With this property you have the opportunity to assign an interlocking via its name.
zElement.DynProperties(""LockingName"") = ""Interlocking 1"""

VT_BOOL

UnderCE

Visible sous WinCE

Contrôle la visibilité des éléments dans les synoptiques sous Windows CE. Les projets qui sont utilisés sous CE et sur le PC peuvent être créés de manière plus flexible ; la gestion par l’utilisateur est ainsi améliorée. Par exemple, les boutons renvoyant l’utilisateur vers des synoptiques ne pouvant pas être affichés sous CE (par ex. IPA) peuvent être rendus invisibles.

Active : dans synoptique/l’élément est également visible sous Windows CE.

Par défaut : active

Plus de détails dans l’aide en ligne.

ZT_VBAMAKRO

Init

Init

Macro VBA à exécuter lors de l’initialisation de l’élément.

Plus de détails dans l’aide en ligne.

ZT_VBAMAKRO

SetFocus

SetFocus

Macro VBA à exécuter lorsque le focus est placé sur l’élément.

Plus de détails dans l’aide en ligne.

ZT_VBAMAKRO

KillFocus

KillFocus

Macro VBA à exécuter lorsque le focus n’est plus placé sur l’élément.

Plus de détails dans l’aide en ligne.

ZT_VBAMAKRO

LeftClickDown

LeftClickDown

Macro VBA à exécuter lorsque l’utilisateur effectue un clic gauche sur l’élément.

Plus de détails dans l’aide en ligne.

ZT_VBAMAKRO

RightClickDown

RightClickDown

Macro VBA à exécuter lorsque l’utilisateur effectue un clic droit sur l’élément.

Plus de détails dans l’aide en ligne.

ZT_VBAMAKRO

LeftClickUp

LeftClickUp

Macro VBA à exécuter lorsque l’utilisateur relâche le bouton gauche de la souris sur l’élément.

Plus de détails dans l’aide en ligne.

ZT_VBAMAKRO

RightClickUp

RightClickUp

Macro VBA à exécuter lorsque l’utilisateur relâche le bouton droit de la souris sur l’élément.

Plus de détails dans l’aide en ligne.

ZT_VBAMAKRO

LeftDClick

LeftDoubleClick

Macro VBA à exécuter lorsque l’utilisateur effectue un double-clic gauche sur l’élément.

Plus de détails dans l’aide en ligne.

ZT_VBAMAKRO

RightDClick

RightDoubleClick

Macro VBA à exécuter lorsque l’utilisateur effectue un double-clic droit sur l’élément.

Plus de détails dans l’aide en ligne.

ZT_VBAMAKRO

MouseOver

MouseOver

Macro VBA à exécuter si le pointeur de la souris est positionné sur l’élément.

Plus de détails dans l’aide en ligne.

ZT_VBAMAKRO

DragDrop

DragDrop

Macro VBA à exécuter lorsque le bouton de la souris est relâché.

Plus de détails dans l’aide en ligne.

ZT_VBAMAKRO

DragOver

DragOver

Macro VBA à exécuter lorsque le curseur est déplacé au-dessus de l’élément pendant que le bouton gauche est enfoncé.

Plus de détails dans l’aide en ligne.

ZT_VBAMAKRO

DragBegin

DragBegin

Macro VBA à exécuter lorsque l’utilisateur commence à faire glisser l’objet.

Plus de détails dans l’aide en ligne.

VT_BSTR

Menu

Menu contextuel

Menu contextuel de l’élément.
Cliquer avec le bouton droit de la souris sur l’élément pour ouvrir le menu contextuel dans le Runtime.

Plus de détails dans l’aide en ligne.

VT_BSTR

Tooltip

Info bulle

Texte à afficher en tant qu’info-bulle de l’élément dans le Runtime. Une info-bulle est automatiquement affichée dans le Runtime si le pointeur de la souris reste pendant quelques secondes sur l’élément. Des retours à la ligne automatiques peuvent être insérés avec les caractères "\n".

  • Maximum : 79 caractères
    Attention : La combinaison de caractères \n est également comptée dans la limite de 79 caractères.

Plus de détails dans l’aide en ligne.

VT_BOOL

LassoSelect

sélectionnable avec le lasso

La sélection avec le lasso dans le Runtime permet d’identifier les éléments dynamiques et de les utiliser avec des événements VBA.

  • Active : L’élément peut être sélectionné avec le lasso dans le Runtime.
  • Inactive : L’élément ne peut pas être sélectionné dans Runtime.

Par défaut : active

Attention : Pour que l’élément puisse être sélectionné dans le Runtime, vous devez activer la propriété Sélection multiple en runtime (lasso) dans les paramètres du projet !

Remarque concernant la gestion des commandes : Si la propriété Opération à deux mains est activée, le lasso de la commande Exécuter le 2ème niveau ne doit pas être activé.

Plus de détails dans l’aide en ligne.

More...

GestureManipulationGroup

Manipulation

Propriétés pour la manipulation de synoptiques et d’éléments de synoptique dans le cadre d’une utilisation tactile.

Plus de détails dans l’aide en ligne.

VT_BOOL

Tab

Le focus est donné à l'élément

Active : L’élément dynamique peut être actionné à l’aide du clavier.
Inactive : L’élément dynamique n’est pas accessible à l’aide du clavier.
Par défaut : active.

Plus de détails dans l’aide en ligne.

VT_I4

TABOrderH

Position du focus gauche/droite

Définit la position horizontale pour l’utilisation à l’aide du clavier dans le Runtime. La position est définie par l’intermédiaire du menu contextuel et de l’utilisation de la souris dans la fenêtre principale ; elle ne peut pas être modifiée ici.

Plus de détails dans l’aide en ligne.

VT_I4

TABOrderV

Position focus haut / bas

Définit la position verticale pour l’utilisation à l’aide du clavier dans le Runtime. La position est définie par l’intermédiaire du menu contextuel et de l’utilisation de la souris dans la fenêtre principale ; elle ne peut pas être modifiée ici.

Plus de détails dans l’aide en ligne.

VT_BOOL

Signature

Signature nécéssaire

Active : Une signature est nécessaire pour actionner l’élément.

Pour des raisons de sécurité, l’utilisateur sera invité à saisir son mot de passe même s’il est déjà connecté. Le texte de la signature est enregistré dans la liste d’événements (CEL) après que l’élément ait été utilisé avec succès.

Attention : seuls les utilisateurs connectés peuvent signer une action. La signature d’actions avec un identifiant temporaire n’est plus possible.

Inactive : aucune signature n’est requise.

(Par défaut) Inactive :

Plus de détails dans l’aide en ligne.

VT_BSTR

SignatureText

Texte de signature

Ce texte est également consigné lors de la signature dans la liste d’événements (CEL) ou est proposé par défaut dans le Runtime si la signature est définie comme modifiable dans les propriétés du projet.

Plus de détails dans l’aide en ligne.

VT_I2

SignatureEditModus

Texte de signature éditable

Définit si le texte de signature peut être édité. Sélectionnez dans la liste déroulante :

  • Appliquer les paramètres projet : Les paramètres de la propriété de projet Texte de signature éditable sont applicables.
  • Oui : Texte modifiables
  • Non : Le texte ne peut pas être édité.

Par défaut : Appliquer les paramètres projet

Plus de détails dans l’aide en ligne

ZT_FILE

Helpfile

Fichier d'aide

Fichier d’aide (*.chm) devant être utilisé pour cet élément, conjointement à un menu contextuel. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de fichiers.
Attention : seuls les fichiers d’aide ayant été ajoutés dans le nœud Fichiers/Aide sont disponibles.

Plus de détails dans l’aide en ligne.

VT_BSTR

HelpCapture

Chapitre d'aide

Chapitre d’aide (*.chm) devant être utilisé pour cet élément, conjointement à un menu contextuel. Nom de la page HTML sous-jacente.
Attention : cette entrée tient compte des minuscules et majuscules.

Plus de détails dans l’aide en ligne.

ZT_VARIABLE_DYN

SetValueDynMin

Minimum

Variable dont la valeur actuelle est applicable en tant que limite inférieure de la valeur prescrite de l’élément.
Disponible uniquement si Plages de la variable est inactive :
Plus de détails dans l’aide en ligne.

ZT_VARIABLE_DYN

SetValueDynMax

Maximum

Variable dont la valeur actuelle est applicable en tant que limite supérieure de la valeur prescrite de l’élément.

Disponible uniquement si la propriété Plages de la variable est inactive.

Plus de détails dans l’aide en ligne.

VT_BOOL

GestureRecognitionActive

Reconnaissance de geste active

Active l’évaluation des gestes. Les gestes sont définis à l’aide d’autres propriétés.

Uniquement disponible si, dans le groupe Intéraction des propriétés du projet, la propriété Reconnaissance Windows 8 a été définie.

Plus de détails dans l’aide en ligne.

VT_BOOL

Gestures_Manipulation

Exact

Active : Détection du paramètre Exact défini.

Plus de détails dans l’aide en ligne.

VT_BOOL

Gestures_Exact

Exact

Active : Détection du paramètre Exact défini.

Plus de détails dans l’aide en ligne.

VT_BOOL

Gestures_TranslationX

Translation X

Active : Détection du paramètre Translation X défini.

Plus de détails dans l’aide en ligne.

VT_BOOL

Gestures_TranslationY

Translation Y

Active : Détection du paramètre Translation Y défini.

Plus de détails dans l’aide en ligne.

VT_BOOL

Gestures_RailsX

Rails X

Active : Détection du paramètre Rails X défini.

Plus de détails dans l’aide en ligne.

VT_BOOL

Gestures_RailsY

Rails Y

Active : Détection du paramètre Rails Y défini.

Plus de détails dans l’aide en ligne.

VT_BOOL

Gestures_TranslationInertia

Translation inertia

Active : Détection du paramètre Translation Inertia (Inertie de translation) défini.

Plus de détails dans l’aide en ligne.

VT_BOOL

Gestures_Rotation

Inertie de rotation

Active : Détection du paramètre Rotation Inertia (Inertie de rotation) défini.

Plus de détails dans l’aide en ligne.

VT_BOOL

Gestures_RotationInertia

Inertie de rotation

Active : Détection du paramètre Rotation Inertia (Inertie de rotation) défini.

Plus de détails dans l’aide en ligne.

VT_BOOL

Gestures_Scaling

Scaling inertia

Active : Détection du paramètre Scaling Inertia (Inertie de redimensionnement) défini.

Plus de détails dans l’aide en ligne.

VT_BOOL

Gestures_ScalingInertia

Scaling inertia

Active : Détection du paramètre Scaling Inertia (Inertie de redimensionnement) défini.

Plus de détails dans l’aide en ligne.

VT_BOOL

Gestures_CrossSlide

Cross slide exact

Active : Détection du paramètre Cross Slide Exact (Glissement transversal exact) défini.

Plus de détails dans l’aide en ligne.

VT_BOOL

Gestures_CrossSlideHorizontal

Cross slide horizontal

Active : Détection du paramètre Cross Slide Horizontal (Glissement transversal horizontal) défini.

Plus de détails dans l’aide en ligne.

VT_BOOL

Gestures_CrossSlideSelect

Cross slide select

Active : Détection du paramètre Cross Slide Select (Glissement transversal, sélection) défini.

Plus de détails dans l’aide en ligne.

VT_BOOL

Gestures_CrossSlideSpeedBump

Cross slide speed bump

Active : Détection du paramètre Cross Slide Speed Bump (Glissement transversal, ralentisseur) défini.

Plus de détails dans l’aide en ligne.

VT_BOOL

Gestures_CrossSlideRearrange

Cross slide rearrange

Active : Détection du paramètre Cross Slide Rearrange (Glissement transversal, réorganisation) défini.

Plus de détails dans l’aide en ligne.

VT_BOOL

Gestures_CrossSlideExact

Cross slide exact

Active : Détection du paramètre Cross Slide Exact (Glissement transversal exact) défini.

Plus de détails dans l’aide en ligne.

VT_BOOL

Gestures_Tap

Tap double

Active : Détection du paramètre Tap Double (Double appui) défini.

Plus de détails dans l’aide en ligne.

VT_BOOL

Gestures_TapDouble

Tap double

Active : Détection du paramètre Tap Double (Double appui) défini.

Plus de détails dans l’aide en ligne.

VT_BOOL

Gestures_SecondaryTap

Secondary tap

Active : Détection du paramètre Secondary Tap (Appui secondaire) défini.

Plus de détails dans l’aide en ligne.

VT_BOOL

Gestures_Drag

Drag

Active : Détection du paramètre Drag (Glissement) défini.

Plus de détails dans l’aide en ligne.

VT_BOOL

Gestures_Hold

Hold (Mouse)

Active : Détection du paramètre Hold (Mouse) (Maintien [souris]) défini.

Plus de détails dans l’aide en ligne.

ZT_STYLE

StyleGroup

Groupe de styles

Affichage et sélection du groupe de styles attribué à l’élément.
Cliquez sur le bouton ... pour ouvrir la boîte de dialogue permettant de sélectionner un groupe de styles.
Si plusieurs éléments sont sélectionnés, elles peuvent être attribuées à un groupe de styles commun.

Remarque : Seules les propriétés compatibles avec l’élément correspondant sont prises en charge.

Plus de détails dans l’aide en ligne.

More...

LnClVariable

LnClVariable

"With this property you have the opportunity to get informations about the variable which is linked as ""line/text color"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""LnClVariable.SymVarName"") 'Return the name of the ""line/text color"" variable
zElement.DynProperties (""LnClVariable.SymVarTagNr"") 'Return the identification of the ""line/text color"" variable"

More...

BkClVariable

BkClVariable

"With this property you have the opportunity to get informations about the variable which is linked as ""background/filling color"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""BkClVariable.SymVarName"") 'Return the name of the ""background/filling color"" variable
zElement.DynProperties (""BkClVariable.SymVarTagNr"") 'Return the identification of the ""background/filling color"" variable"

More...

BkCl2Variable

"BkCl2Variable"

More...

XVar

XVar

"With this property you have the opportunity to get informations about the variable which is linked as ""dynamic x position"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""XVar.SymVarName"") 'Return the name of the ""dynamic x position"" variable
zElement.DynProperties (""XVar.SymVarTagNr"") 'Return the identification of the ""dynamic x position"" variable"

More...

YVar

YVar

"With this property you have the opportunity to get informations about the variable which is linked as ""dynamic y position"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""YVar.SymVarName"") 'Return the name of the ""dynamic y position"" variable
zElement.DynProperties (""YVar.SymVarTagNr"") 'Return the identification of the ""dynamic y position"" variable"

More...

XVarZoom

XVarZoom

"With this property you have the opportunity to get informations about the variable which is linked as ""change width"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""XVarZoom.SymVarName"") 'Return the name of the ""change width"" variable
zElement.DynProperties (""XVarZoom.SymVarTagNr"") 'Return the identification of the ""change width"" variable"

More...

YVarZoom

YVarZoom

"With this property you have the opportunity to get informations about the variable which is linked as ""change height"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""YVarZoom.SymVarName"") 'Return the name of the ""change height"" variable
zElement.DynProperties (""YVarZoom.SymVarName"") 'Return the name of the ""change height"" variable
zElement.DynProperties (""YVarZoom.SymVarTagNr"") 'Return the identification of the ""change height"" variable"

More...

TwistVar

TwistVar

"With this property you have the opportunity to get informations about the variable which is linked as ""rotate"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""TwistVar.SymVarName"") 'Return the name of the ""rotate"" variable
zElement.DynProperties (""TwistVar.SymVarTagNr"") 'Return the identification of the ""rotate"" variable"

More...

VisVariable

VisVariable

"With this property you have the opportunity to get informations about the variable which is linked as ""visibility"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""VisVariable.SymVarName"") 'Return the name of the ""visibility"" variable
zElement.DynProperties (""VisVariable.SymVarTagNr"") 'Return the identification of the ""visibility"" variable"

More...

BlinkVar

BlinkVar

More...

GlowEffectGlowColorVar

GlowEffectGlowColorVar

More...

GlowEffectVisibilityVar

GlowEffectVisibilityVar

More...

GlowEffectBlinkVar

GlowEffectBlinkVar

VT_BSTR

Name

Nom d'élément

Attribuez un nom d’élément.
Il ne doit pas être vide.

Attention : Cette propriété n’est pas disponible aux fins de la commutation de langue.

Remarques concernant les cadrans : Pour les conteneurs de synoptique, spécifiez des noms clairement identifiables pour faciliter la sélection lors de la configuration des appels de synoptique.

Plus de détails dans l’aide en ligne.

VT_UI1

Layer

Niveau de visibilité

Sélectionnez l’un des 16 niveaux de visibilité (0 à 15) dans la liste déroulante. À l’aide de la barre d’outils Niveau de visibilité, vous décidez des niveaux qui doivent être affichés dans Editor. Cette fonction garantit que les synoptiques les plus complexes peuvent être développés de manière simple. Les niveaux peuvent être utilisés immédiatement. Les niveaux n’ont aucune influence sur les informations affichées au premier plan ou en arrière-plan dans le Runtime.
Par défaut : 0.

Plus de détails dans l’aide en ligne.

VT_I4

StartX

Point de départ X [pixels]

Coordonnée Y du coin supérieur gauche du synoptique (en pixels).

Plus de détails dans l’aide en ligne.

VT_I4

EndX

Point final X [pixels]

Coordonnée X du coin inférieur droit du synoptique (en pixels).

Plus de détails dans l’aide en ligne.

VT_I4

StartY

Point de départ Y [pixels]

Coordonnée Y du coin supérieur gauche du synoptique (en pixels).

Plus de détails dans l’aide en ligne.

VT_I4

EndY

Point final Y [pixels]

Coordonnée Y du coin inférieur droit du synoptique (en pixels).

Plus de détails dans l’aide en ligne.

VT_I4

Width

Largeur [pixels]

Largeur des éléments en pixels.

Remarque : disponible uniquement pour les éléments Combinaison multiple, Élément combiné, Bouton et Interrupteur si la valeur Ajusté a été sélectionnée pour la propriété Taille du graphique.

Plus de détails dans l’aide en ligne.

VT_I4

Height

Hauteur [pixels]

Hauteur des éléments en pixels.

Remarque : disponible uniquement pour les éléments Combinaison multiple, Élément combiné, Bouton et Interrupteur si la valeur Ajusté a été sélectionnée pour la propriété Taille du graphique.

Plus de détails dans l’aide en ligne.

VT_I4

Angle

Angle de rotation [°]

Angle libre autour selon lequel doit pivoter l’élément.
Les valeurs positives correspondent à une rotation dans le sens antihoraire, tandis que les valeurs négatives correspondent à une rotation dans le sens horaire. Les valeurs supérieures à 360° sont affichées sous forme d’écart par rapport à 360° (400° correspond à 40°). Seuls les nombres entiers sont autorisés.

Sur les éléments pivotés, les actions suivantes ne sont plus possibles :

  • Miroir
  • Rotation de +/- 90°
  • Redimensionnement à l’aide des touches fléchées

Par défaut : 0

Remarque : Ce paramètre est activé et réinitialisé lors de la configuration pour Windows CE.

Plus de détails dans l’aide en ligne.

VT_I2

ZoomMin

Visible de

Incrément de zoom le plus bas auquel l’élément est visible dans la vue globale.
Par défaut : -1
Une valeur de visibilité avec des incréments de zoom de -1 à -1 signifie que l’élément est affiché, quel que soit l’incrément de zoom sélectionné.

Les niveaux de zoom affichés dans la vue globale peuvent être configurés avec la propriété Apparence graphique -> Généralités runtime -> Pas de zoom pour vue globale.

Attention : Ce niveau de zoom s’applique à tous les types de synoptiques et cadres. Si un niveau de zoom défini est supérieur à 0, l’élément est uniquement affiché dans la vue globale, car les autres types de synoptique sont automatiquement appelés avec le niveau de zoom 0.

Plus de détails dans l’aide en ligne.

VT_I2

ZoomMax

Visible jusqu'à

Incrément de zoom le plus élevé auquel l’élément est visible dans la vue globale.

Par défaut : -1
Une valeur de visibilité avec des incréments de zoom de -1 à -1 signifie que l’élément est affiché, quel que soit l’incrément de zoom sélectionné.

Les niveaux de zoom affichés dans la vue globale peuvent être configurés avec la propriété Apparence graphique -> Généralités runtime -> Pas de zoom pour vue globale.

Attention : Ce niveau de zoom s’applique à tous les types de synoptiques et cadres. Si un niveau de zoom défini est supérieur à 0, l’élément est uniquement affiché dans la vue globale, car les autres types de synoptique sont automatiquement appelés avec le niveau de zoom 0.

Plus de détails dans l’aide en ligne.

VT_BSTR

Stationname

Nom liste d'objets

L’élément est saisi directement dans la liste de stations du synoptique Vue globale, et le texte est saisi ici.

Plus de détails dans l’aide en ligne.

VT_UI1

HorizontalOrigin

Horizontal

Point de référence horizontal de l’événement. Les valeurs possibles sont : gauche, centré, droite.
Ce point est utilisé en tant que base de calcul de l’angle de départ de la rotation (statique et dynamique) et pour le changement dynamique de taille.

Par défaut : À gauche

Plus de détails dans l’aide en ligne.

VT_UI1

VerticalOrigin

Vertical

Point de référence vertical de l’événement. Les valeurs possibles sont : haut, centré, bas.
Ce point est utilisé en tant que base de calcul de l’angle de départ de la rotation (statique et dynamique) et pour le changement dynamique de taille.

Par défaut : En haut

Plus de détails dans l’aide en ligne.

VT_UI4

VisibilityType

Visibilité

Sélection depuis laquelle la visibilité d’un élément est déterminée :

  • Depuis une variable
  • Du verrrouillage

Par défaut : Depuis une variable

Plus de détails dans l’aide en ligne.

ZT_VARIABLE_DYN

VisibilityVariable

Variable

Disponible uniquement si l’option Depuis la variable a été configurée pour la propriété Visibilité.

Nom de la variable dont la valeur contrôle la visibilité de l’élément. La visibilité est soit reprise des propriétés de valeur limite de ces variables, soit définie par la plage de valeurs définie dans les propriétés de et À.
Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de variables. Vous pouvez également saisir manuellement le nom dans le champ de texte.
L'élément reste visible tant qu’aucune variable n’est liée.

Plus de détails dans l’aide en ligne.

ZT_PREVIEW

VisVarPreview

Affichage aperçu visibilité

Affichage des valeurs limite pour la visibilité définies pour la variable. Disponible uniquement si l’option Depuis la variable a été configurée pour la propriété Variable dans le groupe Visibilité.

Un aperçu des propriétés définies pour la valeur limite est affiché dans le champ. Aucun aperçu n’est affiché pour les matrices de réaction.
Cliquez sur le bouton ... pour ouvrir la boîte de dialogue d’affichage des résultats. Les valeurs limite sont uniquement affichées ; elles ne peuvent pas être modifiées. Les modifications doivent être effectuées directement dans les propriétés de la variable pour Valeurs limite.

Plus de détails dans l’aide en ligne.

VT_BOOL

VisibilityFromLimit

A partir des valeurs limites

Uniquement disponible après la sélection d’une variable :

  • Active : La visibilité de l’élément est influencée par la propriété de valeur limite de la variable.

    Attention : La propriété Invisible doit être active pour au moins une valeur limite de la variable.

  • Inactive : la visibilité est influencée par les propriétés de l’élément.

Par défaut : active

Plus de détails dans l’aide en ligne.

VT_R8

VisibilityFrom

de

Disponible uniquement après la sélection d’une variable, si la visibilité n’a pas été reprise par la valeur limite :

Valeur minimum de la variable à laquelle l’élément est visible.

  • Minimum : valeur minimum possible de la variable liée.
  • Maximum : valeur maximum possible de la variable liée.

Par défaut : valeur minimum possible de la variable liée.

Plus de détails dans l’aide en ligne.

VT_R8

VisibilityTo

À

Disponible uniquement après la sélection d’une variable, si la visibilité n’a pas été reprise par la valeur limite :

Valeur maximale de la variable à laquelle l’élément est visible.

  • Minimum : valeur minimum possible de la variable liée.
  • Maximum : valeur maximum possible de la variable liée.

Par défaut : valeur maximum possible de la variable liée.

Plus de détails dans l’aide en ligne.

VT_UI4

Interlocking

Verrouillage

Disponible uniquement si l’option Depuis le verrouillage est sélectionnée pour la propriété Visibilité.

Nom du verrouillage dont la valeur contrôle la visibilité de l’élément. Sélectionnez dans la liste déroulante. Celle-ci contient tous les verrouillages existants et utilisables. L’élément est toujours visible si aucun verrouillage n’est lié.

Plus de détails dans l’aide en ligne.

VT_BSTR

InterlockingName

InterlockingName

Description

VT_BOOL

VisibleWhenInterlocked

Visible si verrouillé

Contrôle la visibilité de l’élément lorsque le verrouillage est sélectionné :

  • Active : L’élément est visible s’il est verrouillé.
  • Inactive : L’élément est visible s’il n’est pas verrouillé.

Par défaut : inactive

Plus de détails dans l’aide en ligne.

ZT_VARIABLE_DYN

BlinkVariable

Affichage aperçu clignotement

Affichage des valeurs limite pour le clignotement définies pour la variable. Disponible uniquement si l’option Depuis la variable a été configurée pour la propriété Prendre le clignotement de la limite.

Un aperçu des propriétés définies pour la valeur limite est affiché dans le champ. Aucun aperçu n’est affiché pour les matrices de réaction.
Cliquez sur le bouton ... pour ouvrir la boîte de dialogue d’affichage des résultats. Les valeurs limite sont uniquement affichées ; elles ne peuvent pas être modifiées. Les modifications doivent être effectuées directement dans les propriétés de la variable pour Valeurs limite.

Plus de détails dans l’aide en ligne.

ZT_PREVIEW

BlinkVarPreview

Affichage aperçu clignotement

Affichage des valeurs limite pour le clignotement définies pour la variable. Disponible uniquement si l’option Depuis la variable a été configurée pour la propriété Prendre le clignotement de la limite.

Un aperçu des propriétés définies pour la valeur limite est affiché dans le champ. Aucun aperçu n’est affiché pour les matrices de réaction.
Cliquez sur le bouton ... pour ouvrir la boîte de dialogue d’affichage des résultats. Les valeurs limite sont uniquement affichées ; elles ne peuvent pas être modifiées. Les modifications doivent être effectuées directement dans les propriétés de la variable pour Valeurs limite.

Plus de détails dans l’aide en ligne.

VT_BOOL

UseBlinkColor

Couleur de clignotement par la limite

Active : Reprend la couleur d’arrière-plan du clignotement défini pour la valeur limite active de la variable pour Prendre le clignotement de la limite. Durant le clignotement, l’élément ne devient pas invisible, mais reprend la couleur d’arrière-plan active.

Par défaut : Inactive

Remarque : la couleur n’est pas prise en compte si la couleur d’arrière-plan Transparence est configurée.

Plus de détails dans l’aide en ligne.

ZT_VARIABLE_DYN

XVariable

Variable

Nom de la variable utilisée pour le déplacement horizontal de l’élément.
Ouvre la boîte de dialogue de sélection de variables.

Plus de détails dans l’aide en ligne.

VT_R8

XVarMin

Valeur min de la variable

Valeur minimale de la variable utilisée pour le déplacement horizontal de l’élément.

Plus de détails dans l’aide en ligne.

VT_R8

XVarMax

Valeur max de la variable

Valeur maximale de la variable utilisée pour le déplacement horizontal de l’élément.

Plus de détails dans l’aide en ligne.

VT_I4

XViewMin

Mouvement min [pixels]

Position horizontale de l’élément pour la valeur minimale de la variable (en pixels).

Plus de détails dans l’aide en ligne.

VT_I4

XViewMax

Mouvement max [pixels]

Position horizontale de l’élément pour la valeur minimale de la variable (en pixels).

Plus de détails dans l’aide en ligne.

ZT_VARIABLE_DYN

YVariable

Variable

Nom de la variable utilisée pour le déplacement vertical de l’élément.
Ouvre la boîte de dialogue de sélection de variables.

Plus de détails dans l’aide en ligne.

VT_R8

YVarMin

Valeur min de la variable

Valeur minimale de la variable utilisée pour le déplacement vertical de l’élément.

Plus de détails dans l’aide en ligne.

VT_R8

YVarMax

Valeur max de la variable

Valeur maximale de la variable utilisée pour le déplacement vertical de l’élément.

Plus de détails dans l’aide en ligne.

VT_I4

YViewMin

Mouvement min [pixels]

Position verticale de l’élément pour la valeur minimale de la variable (en pixels).

Plus de détails dans l’aide en ligne.

VT_I4

YViewMax

Mouvement max [pixels]

Position verticale de l’élément pour la valeur maximale de la variable (en pixels).

Plus de détails dans l’aide en ligne.

ZT_VARIABLE_DYN

XZoomVariable

Variable

Nom de la variable utilisée pour l’agrandissement de la largeur de l’élément.
Ouvre la boîte de dialogue de sélection de variables.

Plus de détails dans l’aide en ligne.

VT_R8

XZoomVarMin

Valeur min de la variable

Valeur minimale de la variable utilisée pour effectuer un zoom à la largeur de l’élément.

Plus de détails dans l’aide en ligne.

VT_R8

XZoomVarMax

Valeur max de la variable

Valeur maximale de la variable utilisée pour effectuer un zoom sur la largeur de l’élément.

Plus de détails dans l’aide en ligne.

VT_I4

XZoomViewMin

Largeur min [%]

Facteur de zoom correspondant à la largeur de l’élément pour la valeur minimale de la variable (en pixels).

Plus de détails dans l’aide en ligne.

VT_I4

XZoomViewMax

Largeur max [%]

Facteur de zoom correspondant à la largeur de l’élément pour la valeur maximale de la variable (en pixels).

Plus de détails dans l’aide en ligne.

ZT_VARIABLE_DYN

YZoomVariable

Variable

Nom de la variable utilisée pour l’agrandissement de la hauteur de l’élément.
Ouvre la boîte de dialogue de sélection de variables.

Plus de détails dans l’aide en ligne.

VT_R8

YZoomVarMin

Valeur min de la variable

Valeur minimum de la variable utilisée pour effectuer un zoom sur la hauteur de l’élément.

Plus de détails dans l’aide en ligne.

VT_R8

YZoomVarMax

Valeur max de la variable

Valeur maximum de la variable utilisée pour effectuer un zoom sur la hauteur de l’élément.

Plus de détails dans l’aide en ligne.

VT_I4

YZoomViewMin

Hauteur min [%]

Facteur de zoom correspondant à la hauteur de l’élément pour la valeur minimum de la variable (en %).

Plus de détails dans l’aide en ligne.

VT_I4

YZoomViewMax

Hauteur max [%]

Facteur de zoom correspondant à la hauteur de l’élément pour la valeur maximale de la variable (en pixels).

Plus de détails dans l’aide en ligne.

ZT_VARIABLE_DYN

TwistVariable

Variable

Nom de la variable utilisée pour la rotation de l’élément.

Plus de détails dans l’aide en ligne.

VT_R8

TwistVarMin

Valeur min de la variable

Valeur minimum de la variable utilisée pour la rotation de l’élément.

Plus de détails dans l’aide en ligne.

VT_R8

TwistVarMax

Valeur max de la variable

Valeur maximale de la variable utilisée pour la rotation de l’élément.

Plus de détails dans l’aide en ligne.

VT_I4

TwistViewMin

Rotation min [°]

Angle de rotation de l’élément pour la valeur minimum de la variable (en °).

Plus de détails dans l’aide en ligne.

VT_I4

TwistViewMax

Rotation max [°]

Angle de rotation de l’élément pour la valeur maximum de la variable (en °).

Plus de détails dans l’aide en ligne.

ZT_STYLE

ShadowEffectStyle

Style effet cadres/ombres

Affichage et sélection du style de cadre et d’ombre attribué à l’élément.

Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de style.
Si plusieurs éléments ont été sélectionnés, ils peuvent être attribués à un style commun.

Remarque : Seules les propriétés compatibles avec l’élément correspondant sont prises en charge.

Plus de détails dans l’aide en ligne.

VT_BOOL

EnablePunchFrame

Afficher le cadre

A frame around the element can be displayed.
Default: inactive.

ZT_STYLE

GlowEffectStyle

Style effet de rayonnement

Affichage et sélection du style des effets de luminescence attribués à l’élément.

Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de style.
Si plusieurs éléments ont été sélectionnés, ils peuvent être attribués à un style commun.

Remarque : Seules les propriétés compatibles avec l’élément correspondant sont prises en charge.

Plus de détails dans l’aide en ligne.

VT_BOOL

GlowEffectEvent

Actif seulement si cliqué

Disponible uniquement si la propriété Activer est active et l’élément est un bouton.

Active : l’effet de luminescence est uniquement affiché lorsque l’utilisateur clique sur le bouton. Cliquer sur le bouton permet de modifier la couleur, le clignotement ou l’invisibilité de l’effet de luminescence.

Par défaut : Inactive

Plus de détails dans l’aide en ligne.

ZT_VARIABLE_DYN

GlowEffectGlowColorVariable

Variable pour la couleur

Disponible uniquement si la propriété Activer est active. La propriété Coloration doit être activée.

Nom de la variable dont la couleur aux valeurs limites doit influencer la couleur de l’effet de luminescence pour l’élément. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de variables. Vous pouvez également saisir le nom manuellement dans le champ de texte. Si aucune variable n’est liée, la couleur définie dans la propriété Couleur est utilisée.

Par défaut : aucune variable liée

Plus de détails dans l’aide en ligne.

ZT_PREVIEW

GlowEffectGlowColorVariablePreview

Affichage aperçu couleur

Affichage de la valeur limite définie pour la variable de couleur lorsque l’effet de luminescence est actif. Disponible uniquement si l’option Depuis la variable a été configurée pour la propriété Variable pour la couleur.

Un aperçu des propriétés définies pour la valeur limite est affiché dans le champ. Aucun aperçu n’est affiché pour les matrices de réaction.
Cliquez sur le bouton ... pour ouvrir la boîte de dialogue d’affichage des résultats. Les valeurs limite sont uniquement affichées ; elles ne peuvent pas être modifiées. Les modifications doivent être effectuées directement dans les propriétés de la variable pour Valeurs limite.

Plus de détails dans l’aide en ligne.

ZT_VARIABLE_DYN

GlowEffectVisibilityVariable

Variable pour la visibilité

Disponible uniquement si la propriété Activer est active.

Nom de la variable dont la valeur influence la visibilité de l’effet de luminescence. La visibilité est soit reprise des propriétés de valeur limite de cette variable (propriété Visibilité depuis valeur limite active), soit définie par la plage de valeurs définie dans les propriétés Visible de et Visible jusqu'à. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de variables. Vous pouvez également saisir le nom manuellement dans le champ de texte.

Remarque : si aucune variable n’est liée, l’effet de luminescence est toujours visible.

Par défaut : aucune variable liée

Plus de détails dans l’aide en ligne.

ZT_PREVIEW

GlowEffectVisibilityVariablePreview

Affichage aperçu visibilité

Affichage de la valeur limite définie pour la variable de visibilité lorsque l’effet de luminescence est actif. Disponible uniquement si l’option Depuis la variable a été configurée pour la propriété Variable pour la visibilité.

Un aperçu des propriétés définies pour la valeur limite est affiché dans le champ. Aucun aperçu n’est affiché pour les matrices de réaction.
Cliquez sur le bouton ... pour ouvrir la boîte de dialogue d’affichage des résultats. Les valeurs limite sont uniquement affichées ; elles ne peuvent pas être modifiées. Les modifications doivent être effectuées directement dans les propriétés de la variable pour Valeurs limite.

Plus de détails dans l’aide en ligne.

VT_BOOL

GlowEffectVisibilityFromLimit

Visibilité depuis valeur limite

Disponible uniquement si la propriété Activer est active. Vous devez en outre définir une variable dans la propriété Variable pour la visibilité.

Active : La visibilité de l’effet de luminescence est influencée par la propriété de valeur limite de la variable.

Attention : Pour une valeur limite de la variable au moins, la propriété Invisible doit être active.

Inactive : la visibilité est influencée par les propriétés de l’élément.

Plus de détails dans l’aide en ligne.

VT_R8

GlowEffectVisibilityFrom

Visible de

Disponible uniquement si la propriété Activer est active. Vous devez en outre définir une variable dans la propriété Variable pour la visibilité ; la propriété Visibilité depuis valeur limite doit être inactive.

Définit la valeur à partir de laquelle l’effet de luminescence devient visible.
Minimum : valeur la moins élevée autorisée pour la variable liée dans Variable pour la visibilité.
Maximum : valeur la moins élevée autorisée pour la variable liée dans Variable pour la visibilité.
Par défaut : valeur la plus élevée autorisée pour la variable liée dans Variable pour la visibilité.

Plus de détails dans l’aide en ligne.

VT_R8

GlowEffectVisibilityTo

Visible jusqu'à

Disponible uniquement si la propriété Activer est active. Vous devez en outre définir une variable dans la propriété Variable pour la visibilité ; la propriété Visibilité depuis valeur limite doit être inactive.

Définit la valeur jusqu’à laquelle l’effet de luminescence reste visible.
Minimum : valeur la plus basse autorisée pour la variable liée dans Variable pour la visibilité.
Maximum : valeur la plus élevée autorisée pour la variable liée dans Variable pour la visibilité.
Par défaut : valeur la plus élevée autorisée pour la variable liée dans Variable pour la visibilité.

Plus de détails dans l’aide en ligne.

ZT_VARIABLE_DYN

GlowEffectBlinkVariable

Variable pour le clignotement

Variables dont les paramètres de clignotement de l’effet de luminescence aux valeurs limites doivent être repris. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de variables.

Par défaut : aucune variable liée

Plus de détails dans l’aide en ligne.

ZT_PREVIEW

GlowEffectBlinkVariablePreview

Affichage aperçu clignotement

Affichage de la valeur limite définie pour la variable de clignotement lorsque l’effet de luminescence est actif. Disponible uniquement si l’option Depuis la variable a été configurée pour la propriété Variable pour le clignotement.

Un aperçu des propriétés définies pour la valeur limite est affiché dans le champ. Aucun aperçu n’est affiché pour les matrices de réaction.
Cliquez sur le bouton ... pour ouvrir la boîte de dialogue d’affichage des résultats. Les valeurs limite sont uniquement affichées ; elles ne peuvent pas être modifiées. Les modifications doivent être effectuées directement dans les propriétés de la variable pour Valeurs limite.

Plus de détails dans l’aide en ligne.

VT_BOOL

GlowEffectUseBlinkColor

Clignotement depuis valeur limite

Disponible uniquement si la propriété Activer est active. Vous devez en outre définir une variable dans la propriété Variable pour le clignotement.

Active : Reprend, pour l’effet de luminescence, la couleur de clignotement de la valeur limite active pour la variable définie dans la propriété Couleur de clignotement par la limite. Cette propriété agit indépendamment de la propriété Coloration. En cas de clignotement, l’effet de luminescence ne devient pas invisible, mais reprend les paramètres de l’effet de luminescence actif.

Par défaut : Inactive

Plus de détails dans l’aide en ligne.

VT_BOOL

GlowEffect2ndBlinkStateVisible

2 états de clignotement invisibles

Disponible uniquement si la propriété Activer est active. Vous devez en outre définir une variable dans la propriété Variable pour le clignotement ; la propriété Clignotement depuis valeur limite doit être inactive.

Active : En cas de clignotement, l’effet de luminescence ne bascule pas vers l’effet de luminescence actif, mais devient invisible. Ceci permet de basculer entre l’invisibilité et la couleur de clignotement en cas de dépassement de la valeur limite.

Par défaut : Inactive

Plus de détails dans l’aide en ligne.


Bitmap

Manuel -> Interfaces de programmation -> Modèles d'objet -> Element -> Element-Dynamic properties -> Bitmap

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Type

VBA/VSTA Name

Display Name

Description

VT_UI2

Passwordlevel

Niveau d'autorisation

Le niveau du mot de passe d’écriture de valeurs prescrites ou d’exécution de fonctions avec l’élément dynamique sélectionné.
Minimum : 0.
Maximum : 127
Par défaut : 0.

Plus de détails dans l’aide en ligne.

VT_UI4

Locking

Verrouillage

Lien vers un verrouillage existant avec cet élément.

Si une condition dans une des formules du verrouillage est vraie, cet élément est verrouillé de manière à ce qu’aucun fonctionnement ne soit possible. Si cela a été défini dans les propriétés du projet, un symbole représentant un verrou est affiché aussi longtemps que le verrouillage est actif.

Remarque : Les verrouillages ne peuvent pas être utilisés pour des symboles dans la bibliothèque générale de symboles ou la bibliothèque de symboles du projet.

Plus de détails dans l’aide en ligne.

VT_BSTR

LockingName

LockingName

"With this property you have the opportunity to assign an interlocking via its name.
zElement.DynProperties(""LockingName"") = ""Interlocking 1"""

ZT_FUNCTION_DYN

Function

Fonction

Nom de la fonction liée.
Ouvre la boîte de dialogue de sélection de fonctions.
Cette fonction sera exécutée lorsque l’utilisateur clique sur le bouton dans le Runtime ou lorsque le raccourci clavier défini est utilisé.
Si vous souhaitez exécuter plusieurs fonctions, vous devez créer un script comportant les fonctions requises et spécifier ici la fonction permettant d’exécuter le script.

SICAM 230 et élément Synoptique d’alarmes uniquement :

Outre la propriété Appel de synoptique standard, le synoptique dont les états d’alarmes doivent être affichés seront déterminés par la fonction liée.
Obligatoire (sauf si le paramètre Global est actif) !

Plus de détails dans l’aide en ligne.

ZT_MDIFUNKTION

MDIFunction

Fonction spécifique au type de synoptique

Uniquement disponible sur les synoptiques de type spécial (synoptiques de type autre que Standard) :
Liaison à une fonction spécifique au synoptique. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de fonctions spécifiques au synoptique. Cette fonction est exécutée si l’utilisateur effectue un clic dans le Runtime ou appuie sur une combinaison de touches liée.

Attention : Outre une fonction spécifique au type de synoptique, il est également possible de lier une fonction générale au bouton. Dans ce cas, notez l’ordre d’exécution lorsque vous cliquez sur le bouton : La fonction spécifique au type de synoptique est exécutée la première. Lorsque cette fonction est terminée, la fonction générale est exécutée. Si des événements VBA sont liés au bouton dans le Runtime, ces derniers sont exécutés avant les fonctions.

Plus de détails dans l’aide en ligne.

VT_BOOL

ThreeDimensional

3D

Active : L’élément est affiché en trois dimensions.
Inactive : L’élément est affiché en deux dimensions.

Plus de détails dans l’aide en ligne.

VT_I2

GraphicSize

Taille du graphique

Définition de la taille du fichier graphique.

  • Étiré : La taille du fichier est ajustée à la taille de l’élément.
  • Taille d’origine : Les fichiers graphiques liés sont affichés à leur taille d’origine.
    Lorsque cette option est sélectionnée, les propriétés Largeur [pixels] et Hauteur [pixels] ne peuvent plus être configurées individuellement pour les éléments Combinaison multiple, Élément combiné, Bouton et Interrupteur.
    Tous les fichiers graphiques doivent être de taille identique.

Par défaut : étiré

Plus de détails dans l’aide en ligne.

ZT_FILE

FileName

Fichier graphique

Éléments graphiques affichés sur le bouton lorsque le bouton n’est pas actionné (*.bmp, *.wmf, *.jpg, *.gif, *.png, *.tif). Cliquez sur le bouton ... La boîte de dialogue de sélection de fichiers s’ouvre.

Remarque : Si le paramètre Taille originale est sélectionné pour la propriété Taille du graphique, il est recommandé d’utiliser la même taille pour tous les éléments graphiques contenus dans l’élément, car la taille de l’élément est adaptée à celle de tous les éléments graphiques actuellement affichés.

Plus de détails dans l’aide en ligne.

ZT_SHORTCUT

ShortCut

Raccourci-clavier

Les raccourcis autorisent l’exécution d’éléments actionnables. Par exemple :

- Exécution d’éléments de contrôle et de fonctions auxquelles un élément est attribué
- Écriture de valeurs prescrites (par ex. pour des interrupteurs)
- Configuration du focus pour certaines fenêtres (par ex. liste des courbes dans le module Extended Trend, ou liste déroulante dans le module RGM)

Cliquez sur le bouton du champ de saisie pour ouvrir la boîte de dialogue de définition des combinaisons de touches. Dans la boîte de dialogue, saisissez directement la combinaison souhaitée.

Plus de détails dans l’aide en ligne.

VT_BOOL

Animate

Toujours animation GIF

Active : L’animation s’exécute toujours.
Inactive : L’animation ne s’exécute pas. Vous pouvez activer ou désactiver l’animation grâce au lien facultatif vers Variable.

Plus de détails dans l’aide en ligne.

ZT_VARIABLE_DYN

AnimateVar

Variable

Variable de bit permettant d’activer ou de désactiver l’animation.

Plus de détails dans l’aide en ligne.

VT_BOOL

UnderCE

Visible sous WinCE

Contrôle la visibilité des éléments dans les synoptiques sous Windows CE. Les projets qui sont utilisés sous CE et sur le PC peuvent être créés de manière plus flexible ; la gestion par l’utilisateur est ainsi améliorée. Par exemple, les boutons renvoyant l’utilisateur vers des synoptiques ne pouvant pas être affichés sous CE (par ex. IPA) peuvent être rendus invisibles.

Active : dans synoptique/l’élément est également visible sous Windows CE.

Par défaut : active

Plus de détails dans l’aide en ligne.

ZT_VBAMAKRO

Init

Init

Macro VBA à exécuter lors de l’initialisation de l’élément.

Plus de détails dans l’aide en ligne.

ZT_VBAMAKRO

SetFocus

SetFocus

Macro VBA à exécuter lorsque le focus est placé sur l’élément.

Plus de détails dans l’aide en ligne.

ZT_VBAMAKRO

KillFocus

KillFocus

Macro VBA à exécuter lorsque le focus n’est plus placé sur l’élément.

Plus de détails dans l’aide en ligne.

ZT_VBAMAKRO

LeftClickDown

LeftClickDown

Macro VBA à exécuter lorsque l’utilisateur effectue un clic gauche sur l’élément.

Plus de détails dans l’aide en ligne.

ZT_VBAMAKRO

RightClickDown

RightClickDown

Macro VBA à exécuter lorsque l’utilisateur effectue un clic droit sur l’élément.

Plus de détails dans l’aide en ligne.

ZT_VBAMAKRO

LeftClickUp

LeftClickUp

Macro VBA à exécuter lorsque l’utilisateur relâche le bouton gauche de la souris sur l’élément.

Plus de détails dans l’aide en ligne.

ZT_VBAMAKRO

RightClickUp

RightClickUp

Macro VBA à exécuter lorsque l’utilisateur relâche le bouton droit de la souris sur l’élément.

Plus de détails dans l’aide en ligne.

ZT_VBAMAKRO

LeftDClick

LeftDoubleClick

Macro VBA à exécuter lorsque l’utilisateur effectue un double-clic gauche sur l’élément.

Plus de détails dans l’aide en ligne.

ZT_VBAMAKRO

RightDClick

RightDoubleClick

Macro VBA à exécuter lorsque l’utilisateur effectue un double-clic droit sur l’élément.

Plus de détails dans l’aide en ligne.

ZT_VBAMAKRO

MouseOver

MouseOver

Macro VBA à exécuter si le pointeur de la souris est positionné sur l’élément.

Plus de détails dans l’aide en ligne.

ZT_VBAMAKRO

DragDrop

DragDrop

Macro VBA à exécuter lorsque le bouton de la souris est relâché.

Plus de détails dans l’aide en ligne.

ZT_VBAMAKRO

DragOver

DragOver

Macro VBA à exécuter lorsque le curseur est déplacé au-dessus de l’élément pendant que le bouton gauche est enfoncé.

Plus de détails dans l’aide en ligne.

ZT_VBAMAKRO

DragBegin

DragBegin

Macro VBA à exécuter lorsque l’utilisateur commence à faire glisser l’objet.

Plus de détails dans l’aide en ligne.

VT_BSTR

Menu

Menu contextuel

Menu contextuel de l’élément.
Cliquer avec le bouton droit de la souris sur l’élément pour ouvrir le menu contextuel dans le Runtime.

Plus de détails dans l’aide en ligne.

VT_BSTR

Tooltip

Info bulle

Texte à afficher en tant qu’info-bulle de l’élément dans le Runtime. Une info-bulle est automatiquement affichée dans le Runtime si le pointeur de la souris reste pendant quelques secondes sur l’élément. Des retours à la ligne automatiques peuvent être insérés avec les caractères "\n".

  • Maximum : 79 caractères
    Attention : La combinaison de caractères \n est également comptée dans la limite de 79 caractères.

Plus de détails dans l’aide en ligne.

VT_BOOL

LassoSelect

sélectionnable avec le lasso

La sélection avec le lasso dans le Runtime permet d’identifier les éléments dynamiques et de les utiliser avec des événements VBA.

  • Active : L’élément peut être sélectionné avec le lasso dans le Runtime.
  • Inactive : L’élément ne peut pas être sélectionné dans Runtime.

Par défaut : active

Attention : Pour que l’élément puisse être sélectionné dans le Runtime, vous devez activer la propriété Sélection multiple en runtime (lasso) dans les paramètres du projet !

Remarque concernant la gestion des commandes : Si la propriété Opération à deux mains est activée, le lasso de la commande Exécuter le 2ème niveau ne doit pas être activé.

Plus de détails dans l’aide en ligne.

More...

GestureManipulationGroup

Manipulation

Propriétés pour la manipulation de synoptiques et d’éléments de synoptique dans le cadre d’une utilisation tactile.

Plus de détails dans l’aide en ligne.

VT_BOOL

Tab

Le focus est donné à l'élément

Active : L’élément dynamique peut être actionné à l’aide du clavier.
Inactive : L’élément dynamique n’est pas accessible à l’aide du clavier.
Par défaut : active.

Plus de détails dans l’aide en ligne.

VT_I4

TABOrderH

Position du focus gauche/droite

Définit la position horizontale pour l’utilisation à l’aide du clavier dans le Runtime. La position est définie par l’intermédiaire du menu contextuel et de l’utilisation de la souris dans la fenêtre principale ; elle ne peut pas être modifiée ici.

Plus de détails dans l’aide en ligne.

VT_I4

TABOrderV

Position focus haut / bas

Définit la position verticale pour l’utilisation à l’aide du clavier dans le Runtime. La position est définie par l’intermédiaire du menu contextuel et de l’utilisation de la souris dans la fenêtre principale ; elle ne peut pas être modifiée ici.

Plus de détails dans l’aide en ligne.

VT_BOOL

Signature

Signature nécéssaire

Active : Une signature est nécessaire pour actionner l’élément.

Pour des raisons de sécurité, l’utilisateur sera invité à saisir son mot de passe même s’il est déjà connecté. Le texte de la signature est enregistré dans la liste d’événements (CEL) après que l’élément ait été utilisé avec succès.

Attention : seuls les utilisateurs connectés peuvent signer une action. La signature d’actions avec un identifiant temporaire n’est plus possible.

Inactive : aucune signature n’est requise.

(Par défaut) Inactive :

Plus de détails dans l’aide en ligne.

VT_BSTR

SignatureText

Texte de signature

Ce texte est également consigné lors de la signature dans la liste d’événements (CEL) ou est proposé par défaut dans le Runtime si la signature est définie comme modifiable dans les propriétés du projet.

Plus de détails dans l’aide en ligne.

VT_I2

SignatureEditModus

Texte de signature éditable

Définit si le texte de signature peut être édité. Sélectionnez dans la liste déroulante :

  • Appliquer les paramètres projet : Les paramètres de la propriété de projet Texte de signature éditable sont applicables.
  • Oui : Texte modifiables
  • Non : Le texte ne peut pas être édité.

Par défaut : Appliquer les paramètres projet

Plus de détails dans l’aide en ligne

ZT_FILE

Helpfile

Fichier d'aide

Fichier d’aide (*.chm) devant être utilisé pour cet élément, conjointement à un menu contextuel. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de fichiers.
Attention : seuls les fichiers d’aide ayant été ajoutés dans le nœud Fichiers/Aide sont disponibles.

Plus de détails dans l’aide en ligne.

VT_BSTR

HelpCapture

Chapitre d'aide

Chapitre d’aide (*.chm) devant être utilisé pour cet élément, conjointement à un menu contextuel. Nom de la page HTML sous-jacente.
Attention : cette entrée tient compte des minuscules et majuscules.

Plus de détails dans l’aide en ligne.

ZT_VARIABLE_DYN

SetValueDynMin

Minimum

Variable dont la valeur actuelle est applicable en tant que limite inférieure de la valeur prescrite de l’élément.
Disponible uniquement si Plages de la variable est inactive :
Plus de détails dans l’aide en ligne.

ZT_VARIABLE_DYN

SetValueDynMax

Maximum

Variable dont la valeur actuelle est applicable en tant que limite supérieure de la valeur prescrite de l’élément.

Disponible uniquement si la propriété Plages de la variable est inactive.

Plus de détails dans l’aide en ligne.

VT_BOOL

GestureRecognitionActive

Reconnaissance de geste active

Active l’évaluation des gestes. Les gestes sont définis à l’aide d’autres propriétés.

Uniquement disponible si, dans le groupe Intéraction des propriétés du projet, la propriété Reconnaissance Windows 8 a été définie.

Plus de détails dans l’aide en ligne.

VT_BOOL

Gestures_Manipulation

Exact

Active : Détection du paramètre Exact défini.

Plus de détails dans l’aide en ligne.

VT_BOOL

Gestures_Exact

Exact

Active : Détection du paramètre Exact défini.

Plus de détails dans l’aide en ligne.

VT_BOOL

Gestures_TranslationX

Translation X

Active : Détection du paramètre Translation X défini.

Plus de détails dans l’aide en ligne.

VT_BOOL

Gestures_TranslationY

Translation Y

Active : Détection du paramètre Translation Y défini.

Plus de détails dans l’aide en ligne.

VT_BOOL

Gestures_RailsX

Rails X

Active : Détection du paramètre Rails X défini.

Plus de détails dans l’aide en ligne.

VT_BOOL

Gestures_RailsY

Rails Y

Active : Détection du paramètre Rails Y défini.

Plus de détails dans l’aide en ligne.

VT_BOOL

Gestures_TranslationInertia

Translation inertia

Active : Détection du paramètre Translation Inertia (Inertie de translation) défini.

Plus de détails dans l’aide en ligne.

VT_BOOL

Gestures_Rotation

Inertie de rotation

Active : Détection du paramètre Rotation Inertia (Inertie de rotation) défini.

Plus de détails dans l’aide en ligne.

VT_BOOL

Gestures_RotationInertia

Inertie de rotation

Active : Détection du paramètre Rotation Inertia (Inertie de rotation) défini.

Plus de détails dans l’aide en ligne.

VT_BOOL

Gestures_Scaling

Scaling inertia

Active : Détection du paramètre Scaling Inertia (Inertie de redimensionnement) défini.

Plus de détails dans l’aide en ligne.

VT_BOOL

Gestures_ScalingInertia

Scaling inertia

Active : Détection du paramètre Scaling Inertia (Inertie de redimensionnement) défini.

Plus de détails dans l’aide en ligne.

VT_BOOL

Gestures_CrossSlide

Cross slide exact

Active : Détection du paramètre Cross Slide Exact (Glissement transversal exact) défini.

Plus de détails dans l’aide en ligne.

VT_BOOL

Gestures_CrossSlideHorizontal

Cross slide horizontal

Active : Détection du paramètre Cross Slide Horizontal (Glissement transversal horizontal) défini.

Plus de détails dans l’aide en ligne.

VT_BOOL

Gestures_CrossSlideSelect

Cross slide select

Active : Détection du paramètre Cross Slide Select (Glissement transversal, sélection) défini.

Plus de détails dans l’aide en ligne.

VT_BOOL

Gestures_CrossSlideSpeedBump

Cross slide speed bump

Active : Détection du paramètre Cross Slide Speed Bump (Glissement transversal, ralentisseur) défini.

Plus de détails dans l’aide en ligne.

VT_BOOL

Gestures_CrossSlideRearrange

Cross slide rearrange

Active : Détection du paramètre Cross Slide Rearrange (Glissement transversal, réorganisation) défini.

Plus de détails dans l’aide en ligne.

VT_BOOL

Gestures_CrossSlideExact

Cross slide exact

Active : Détection du paramètre Cross Slide Exact (Glissement transversal exact) défini.

Plus de détails dans l’aide en ligne.

VT_BOOL

Gestures_Tap

Tap double

Active : Détection du paramètre Tap Double (Double appui) défini.

Plus de détails dans l’aide en ligne.

VT_BOOL

Gestures_TapDouble

Tap double

Active : Détection du paramètre Tap Double (Double appui) défini.

Plus de détails dans l’aide en ligne.

VT_BOOL

Gestures_SecondaryTap

Secondary tap

Active : Détection du paramètre Secondary Tap (Appui secondaire) défini.

Plus de détails dans l’aide en ligne.

VT_BOOL

Gestures_Drag

Drag

Active : Détection du paramètre Drag (Glissement) défini.

Plus de détails dans l’aide en ligne.

VT_BOOL

Gestures_Hold

Hold (Mouse)

Active : Détection du paramètre Hold (Mouse) (Maintien [souris]) défini.

Plus de détails dans l’aide en ligne.

ZT_STYLE

StyleGroup

Groupe de styles

Affichage et sélection du groupe de styles attribué à l’élément.
Cliquez sur le bouton ... pour ouvrir la boîte de dialogue permettant de sélectionner un groupe de styles.
Si plusieurs éléments sont sélectionnés, elles peuvent être attribuées à un groupe de styles commun.

Remarque : Seules les propriétés compatibles avec l’élément correspondant sont prises en charge.

Plus de détails dans l’aide en ligne.

More...

LnClVariable

LnClVariable

"With this property you have the opportunity to get informations about the variable which is linked as ""line/text color"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""LnClVariable.SymVarName"") 'Return the name of the ""line/text color"" variable
zElement.DynProperties (""LnClVariable.SymVarTagNr"") 'Return the identification of the ""line/text color"" variable"

More...

BkClVariable

BkClVariable

"With this property you have the opportunity to get informations about the variable which is linked as ""background/filling color"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""BkClVariable.SymVarName"") 'Return the name of the ""background/filling color"" variable
zElement.DynProperties (""BkClVariable.SymVarTagNr"") 'Return the identification of the ""background/filling color"" variable"

More...

BkCl2Variable

"BkCl2Variable"

More...

XVar

XVar

"With this property you have the opportunity to get informations about the variable which is linked as ""dynamic x position"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""XVar.SymVarName"") 'Return the name of the ""dynamic x position"" variable
zElement.DynProperties (""XVar.SymVarTagNr"") 'Return the identification of the ""dynamic x position"" variable"

More...

YVar

YVar

"With this property you have the opportunity to get informations about the variable which is linked as ""dynamic y position"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""YVar.SymVarName"") 'Return the name of the ""dynamic y position"" variable
zElement.DynProperties (""YVar.SymVarTagNr"") 'Return the identification of the ""dynamic y position"" variable"

More...

XVarZoom

XVarZoom

"With this property you have the opportunity to get informations about the variable which is linked as ""change width"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""XVarZoom.SymVarName"") 'Return the name of the ""change width"" variable
zElement.DynProperties (""XVarZoom.SymVarTagNr"") 'Return the identification of the ""change width"" variable"

More...

YVarZoom

YVarZoom

"With this property you have the opportunity to get informations about the variable which is linked as ""change height"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""YVarZoom.SymVarName"") 'Return the name of the ""change height"" variable
zElement.DynProperties (""YVarZoom.SymVarName"") 'Return the name of the ""change height"" variable
zElement.DynProperties (""YVarZoom.SymVarTagNr"") 'Return the identification of the ""change height"" variable"

More...

TwistVar

TwistVar

"With this property you have the opportunity to get informations about the variable which is linked as ""rotate"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""TwistVar.SymVarName"") 'Return the name of the ""rotate"" variable
zElement.DynProperties (""TwistVar.SymVarTagNr"") 'Return the identification of the ""rotate"" variable"

More...

VisVariable

VisVariable

"With this property you have the opportunity to get informations about the variable which is linked as ""visibility"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""VisVariable.SymVarName"") 'Return the name of the ""visibility"" variable
zElement.DynProperties (""VisVariable.SymVarTagNr"") 'Return the identification of the ""visibility"" variable"

More...

BlinkVar

BlinkVar

More...

GlowEffectGlowColorVar

GlowEffectGlowColorVar

More...

GlowEffectVisibilityVar

GlowEffectVisibilityVar

More...

GlowEffectBlinkVar

GlowEffectBlinkVar

VT_BSTR

Name

Nom d'élément

Attribuez un nom d’élément.
Il ne doit pas être vide.

Attention : Cette propriété n’est pas disponible aux fins de la commutation de langue.

Remarques concernant les cadrans : Pour les conteneurs de synoptique, spécifiez des noms clairement identifiables pour faciliter la sélection lors de la configuration des appels de synoptique.

Plus de détails dans l’aide en ligne.

VT_UI1

Layer

Niveau de visibilité

Sélectionnez l’un des 16 niveaux de visibilité (0 à 15) dans la liste déroulante. À l’aide de la barre d’outils Niveau de visibilité, vous décidez des niveaux qui doivent être affichés dans Editor. Cette fonction garantit que les synoptiques les plus complexes peuvent être développés de manière simple. Les niveaux peuvent être utilisés immédiatement. Les niveaux n’ont aucune influence sur les informations affichées au premier plan ou en arrière-plan dans le Runtime.
Par défaut : 0.

Plus de détails dans l’aide en ligne.

VT_I4

StartX

Point de départ X [pixels]

Coordonnée Y du coin supérieur gauche du synoptique (en pixels).

Plus de détails dans l’aide en ligne.

VT_I4

EndX

Point final X [pixels]

Coordonnée X du coin inférieur droit du synoptique (en pixels).

Plus de détails dans l’aide en ligne.

VT_I4

StartY

Point de départ Y [pixels]

Coordonnée Y du coin supérieur gauche du synoptique (en pixels).

Plus de détails dans l’aide en ligne.

VT_I4

EndY

Point final Y [pixels]

Coordonnée Y du coin inférieur droit du synoptique (en pixels).

Plus de détails dans l’aide en ligne.

VT_I4

Width

Largeur [pixels]

Largeur des éléments en pixels.

Remarque : disponible uniquement pour les éléments Combinaison multiple, Élément combiné, Bouton et Interrupteur si la valeur Ajusté a été sélectionnée pour la propriété Taille du graphique.

Plus de détails dans l’aide en ligne.

VT_I4

Height

Hauteur [pixels]

Hauteur des éléments en pixels.

Remarque : disponible uniquement pour les éléments Combinaison multiple, Élément combiné, Bouton et Interrupteur si la valeur Ajusté a été sélectionnée pour la propriété Taille du graphique.

Plus de détails dans l’aide en ligne.

VT_I4

Angle

Angle de rotation [°]

Angle libre autour selon lequel doit pivoter l’élément.
Les valeurs positives correspondent à une rotation dans le sens antihoraire, tandis que les valeurs négatives correspondent à une rotation dans le sens horaire. Les valeurs supérieures à 360° sont affichées sous forme d’écart par rapport à 360° (400° correspond à 40°). Seuls les nombres entiers sont autorisés.

Sur les éléments pivotés, les actions suivantes ne sont plus possibles :

  • Miroir
  • Rotation de +/- 90°
  • Redimensionnement à l’aide des touches fléchées

Par défaut : 0

Remarque : Ce paramètre est activé et réinitialisé lors de la configuration pour Windows CE.

Plus de détails dans l’aide en ligne.

VT_I2

ZoomMin

Visible de

Incrément de zoom le plus bas auquel l’élément est visible dans la vue globale.
Par défaut : -1
Une valeur de visibilité avec des incréments de zoom de -1 à -1 signifie que l’élément est affiché, quel que soit l’incrément de zoom sélectionné.

Les niveaux de zoom affichés dans la vue globale peuvent être configurés avec la propriété Apparence graphique -> Généralités runtime -> Pas de zoom pour vue globale.

Attention : Ce niveau de zoom s’applique à tous les types de synoptiques et cadres. Si un niveau de zoom défini est supérieur à 0, l’élément est uniquement affiché dans la vue globale, car les autres types de synoptique sont automatiquement appelés avec le niveau de zoom 0.

Plus de détails dans l’aide en ligne.

VT_I2

ZoomMax

Visible jusqu'à

Incrément de zoom le plus élevé auquel l’élément est visible dans la vue globale.

Par défaut : -1
Une valeur de visibilité avec des incréments de zoom de -1 à -1 signifie que l’élément est affiché, quel que soit l’incrément de zoom sélectionné.

Les niveaux de zoom affichés dans la vue globale peuvent être configurés avec la propriété Apparence graphique -> Généralités runtime -> Pas de zoom pour vue globale.

Attention : Ce niveau de zoom s’applique à tous les types de synoptiques et cadres. Si un niveau de zoom défini est supérieur à 0, l’élément est uniquement affiché dans la vue globale, car les autres types de synoptique sont automatiquement appelés avec le niveau de zoom 0.

Plus de détails dans l’aide en ligne.

VT_BSTR

Stationname

Nom liste d'objets

L’élément est saisi directement dans la liste de stations du synoptique Vue globale, et le texte est saisi ici.

Plus de détails dans l’aide en ligne.

ZT_VARIABLE_DYN

LineColorVariable

Couleur de ligne

Nom des variables dont les couleurs de valeur limite doivent influencer la couleur de ligne/de texte de l’élément. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de variables.

Plus de détails dans l’aide en ligne.

ZT_PREVIEW

LineColorVarPreview

Affichage aperçu couleur

Affichage de la valeur limite pour la propriété Couleur de ligne définie pour la variable. Disponible uniquement si l’option Depuis la variable a été configurée pour la propriété Couleur de ligne.

Un aperçu des propriétés définies pour la valeur limite est affiché dans le champ. Aucun aperçu n’est affiché pour les matrices de réaction.
Cliquez sur le bouton ... pour ouvrir la boîte de dialogue d’affichage des résultats. Les valeurs limite sont uniquement affichées ; elles ne peuvent pas être modifiées. Les modifications doivent être effectuées directement dans les propriétés de la variable pour Valeurs limite.

Plus de détails dans l’aide en ligne.

ZT_VARIABLE_DYN

BackColorVariable

Couleur de remplissage

Nom de la variable dont les couleurs de valeur limite doivent influencer la couleur d’arrière-plan/de remplissage de l’élément.
Ouvre la boîte de dialogue de sélection de variables.

Plus de détails dans l’aide en ligne.

ZT_PREVIEW

BackColorVarPreview

Affichage aperçu couleur

Affichage de la valeur limite pour la propriété Couleur de remplissage définie pour la variable. Disponible uniquement si l’option Depuis la variable a été configurée pour la propriété Couleur de remplissage.

Un aperçu des propriétés définies pour la valeur limite est affiché dans le champ. Aucun aperçu n’est affiché pour les matrices de réaction.
Cliquez sur le bouton ... pour ouvrir la boîte de dialogue d’affichage des résultats. Les valeurs limite sont uniquement affichées ; elles ne peuvent pas être modifiées. Les modifications doivent être effectuées directement dans les propriétés de la variable pour Valeurs limite.

Plus de détails dans l’aide en ligne.

VT_UI1

HorizontalOrigin

Horizontal

Point de référence horizontal de l’événement. Les valeurs possibles sont : gauche, centré, droite.
Ce point est utilisé en tant que base de calcul de l’angle de départ de la rotation (statique et dynamique) et pour le changement dynamique de taille.

Par défaut : À gauche

Plus de détails dans l’aide en ligne.

VT_UI1

VerticalOrigin

Vertical

Point de référence vertical de l’événement. Les valeurs possibles sont : haut, centré, bas.
Ce point est utilisé en tant que base de calcul de l’angle de départ de la rotation (statique et dynamique) et pour le changement dynamique de taille.

Par défaut : En haut

Plus de détails dans l’aide en ligne.

VT_UI4

VisibilityType

Visibilité

Sélection depuis laquelle la visibilité d’un élément est déterminée :

  • Depuis une variable
  • Du verrrouillage

Par défaut : Depuis une variable

Plus de détails dans l’aide en ligne.

ZT_VARIABLE_DYN

VisibilityVariable

Variable

Disponible uniquement si l’option Depuis la variable a été configurée pour la propriété Visibilité.

Nom de la variable dont la valeur contrôle la visibilité de l’élément. La visibilité est soit reprise des propriétés de valeur limite de ces variables, soit définie par la plage de valeurs définie dans les propriétés de et À.
Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de variables. Vous pouvez également saisir manuellement le nom dans le champ de texte.
L'élément reste visible tant qu’aucune variable n’est liée.

Plus de détails dans l’aide en ligne.

ZT_PREVIEW

VisVarPreview

Affichage aperçu visibilité

Affichage des valeurs limite pour la visibilité définies pour la variable. Disponible uniquement si l’option Depuis la variable a été configurée pour la propriété Variable dans le groupe Visibilité.

Un aperçu des propriétés définies pour la valeur limite est affiché dans le champ. Aucun aperçu n’est affiché pour les matrices de réaction.
Cliquez sur le bouton ... pour ouvrir la boîte de dialogue d’affichage des résultats. Les valeurs limite sont uniquement affichées ; elles ne peuvent pas être modifiées. Les modifications doivent être effectuées directement dans les propriétés de la variable pour Valeurs limite.

Plus de détails dans l’aide en ligne.

VT_BOOL

VisibilityFromLimit

A partir des valeurs limites

Uniquement disponible après la sélection d’une variable :

  • Active : La visibilité de l’élément est influencée par la propriété de valeur limite de la variable.

    Attention : La propriété Invisible doit être active pour au moins une valeur limite de la variable.

  • Inactive : la visibilité est influencée par les propriétés de l’élément.

Par défaut : active

Plus de détails dans l’aide en ligne.

VT_R8

VisibilityFrom

de

Disponible uniquement après la sélection d’une variable, si la visibilité n’a pas été reprise par la valeur limite :

Valeur minimum de la variable à laquelle l’élément est visible.

  • Minimum : valeur minimum possible de la variable liée.
  • Maximum : valeur maximum possible de la variable liée.

Par défaut : valeur minimum possible de la variable liée.

Plus de détails dans l’aide en ligne.

VT_R8

VisibilityTo

À

Disponible uniquement après la sélection d’une variable, si la visibilité n’a pas été reprise par la valeur limite :

Valeur maximale de la variable à laquelle l’élément est visible.

  • Minimum : valeur minimum possible de la variable liée.
  • Maximum : valeur maximum possible de la variable liée.

Par défaut : valeur maximum possible de la variable liée.

Plus de détails dans l’aide en ligne.

VT_UI4

Interlocking

Verrouillage

Disponible uniquement si l’option Depuis le verrouillage est sélectionnée pour la propriété Visibilité.

Nom du verrouillage dont la valeur contrôle la visibilité de l’élément. Sélectionnez dans la liste déroulante. Celle-ci contient tous les verrouillages existants et utilisables. L’élément est toujours visible si aucun verrouillage n’est lié.

Plus de détails dans l’aide en ligne.

VT_BSTR

InterlockingName

InterlockingName

Description

VT_BOOL

VisibleWhenInterlocked

Visible si verrouillé

Contrôle la visibilité de l’élément lorsque le verrouillage est sélectionné :

  • Active : L’élément est visible s’il est verrouillé.
  • Inactive : L’élément est visible s’il n’est pas verrouillé.

Par défaut : inactive

Plus de détails dans l’aide en ligne.

ZT_VARIABLE_DYN

BlinkVariable

Affichage aperçu clignotement

Affichage des valeurs limite pour le clignotement définies pour la variable. Disponible uniquement si l’option Depuis la variable a été configurée pour la propriété Prendre le clignotement de la limite.

Un aperçu des propriétés définies pour la valeur limite est affiché dans le champ. Aucun aperçu n’est affiché pour les matrices de réaction.
Cliquez sur le bouton ... pour ouvrir la boîte de dialogue d’affichage des résultats. Les valeurs limite sont uniquement affichées ; elles ne peuvent pas être modifiées. Les modifications doivent être effectuées directement dans les propriétés de la variable pour Valeurs limite.

Plus de détails dans l’aide en ligne.

ZT_PREVIEW

BlinkVarPreview

Affichage aperçu clignotement

Affichage des valeurs limite pour le clignotement définies pour la variable. Disponible uniquement si l’option Depuis la variable a été configurée pour la propriété Prendre le clignotement de la limite.

Un aperçu des propriétés définies pour la valeur limite est affiché dans le champ. Aucun aperçu n’est affiché pour les matrices de réaction.
Cliquez sur le bouton ... pour ouvrir la boîte de dialogue d’affichage des résultats. Les valeurs limite sont uniquement affichées ; elles ne peuvent pas être modifiées. Les modifications doivent être effectuées directement dans les propriétés de la variable pour Valeurs limite.

Plus de détails dans l’aide en ligne.

ZT_VARIABLE_DYN

XVariable

Variable

Nom de la variable utilisée pour le déplacement horizontal de l’élément.
Ouvre la boîte de dialogue de sélection de variables.

Plus de détails dans l’aide en ligne.

VT_R8

XVarMin

Valeur min de la variable

Valeur minimale de la variable utilisée pour le déplacement horizontal de l’élément.

Plus de détails dans l’aide en ligne.

VT_R8

XVarMax

Valeur max de la variable

Valeur maximale de la variable utilisée pour le déplacement horizontal de l’élément.

Plus de détails dans l’aide en ligne.

VT_I4

XViewMin

Mouvement min [pixels]

Position horizontale de l’élément pour la valeur minimale de la variable (en pixels).

Plus de détails dans l’aide en ligne.

VT_I4

XViewMax

Mouvement max [pixels]

Position horizontale de l’élément pour la valeur minimale de la variable (en pixels).

Plus de détails dans l’aide en ligne.

ZT_VARIABLE_DYN

YVariable

Variable

Nom de la variable utilisée pour le déplacement vertical de l’élément.
Ouvre la boîte de dialogue de sélection de variables.

Plus de détails dans l’aide en ligne.

VT_R8

YVarMin

Valeur min de la variable

Valeur minimale de la variable utilisée pour le déplacement vertical de l’élément.

Plus de détails dans l’aide en ligne.

VT_R8

YVarMax

Valeur max de la variable

Valeur maximale de la variable utilisée pour le déplacement vertical de l’élément.

Plus de détails dans l’aide en ligne.

VT_I4

YViewMin

Mouvement min [pixels]

Position verticale de l’élément pour la valeur minimale de la variable (en pixels).

Plus de détails dans l’aide en ligne.

VT_I4

YViewMax

Mouvement max [pixels]

Position verticale de l’élément pour la valeur maximale de la variable (en pixels).

Plus de détails dans l’aide en ligne.

ZT_VARIABLE_DYN

XZoomVariable

Variable

Nom de la variable utilisée pour l’agrandissement de la largeur de l’élément.
Ouvre la boîte de dialogue de sélection de variables.

Plus de détails dans l’aide en ligne.

VT_R8

XZoomVarMin

Valeur min de la variable

Valeur minimale de la variable utilisée pour effectuer un zoom à la largeur de l’élément.

Plus de détails dans l’aide en ligne.

VT_R8

XZoomVarMax

Valeur max de la variable

Valeur maximale de la variable utilisée pour effectuer un zoom sur la largeur de l’élément.

Plus de détails dans l’aide en ligne.

VT_I4

XZoomViewMin

Largeur min [%]

Facteur de zoom correspondant à la largeur de l’élément pour la valeur minimale de la variable (en pixels).

Plus de détails dans l’aide en ligne.

VT_I4

XZoomViewMax

Largeur max [%]

Facteur de zoom correspondant à la largeur de l’élément pour la valeur maximale de la variable (en pixels).

Plus de détails dans l’aide en ligne.

ZT_VARIABLE_DYN

YZoomVariable

Variable

Nom de la variable utilisée pour l’agrandissement de la hauteur de l’élément.
Ouvre la boîte de dialogue de sélection de variables.

Plus de détails dans l’aide en ligne.

VT_R8

YZoomVarMin

Valeur min de la variable

Valeur minimum de la variable utilisée pour effectuer un zoom sur la hauteur de l’élément.

Plus de détails dans l’aide en ligne.

VT_R8

YZoomVarMax

Valeur max de la variable

Valeur maximum de la variable utilisée pour effectuer un zoom sur la hauteur de l’élément.

Plus de détails dans l’aide en ligne.

VT_I4

YZoomViewMin

Hauteur min [%]

Facteur de zoom correspondant à la hauteur de l’élément pour la valeur minimum de la variable (en %).

Plus de détails dans l’aide en ligne.

VT_I4

YZoomViewMax

Hauteur max [%]

Facteur de zoom correspondant à la hauteur de l’élément pour la valeur maximale de la variable (en pixels).

Plus de détails dans l’aide en ligne.

ZT_VARIABLE_DYN

TwistVariable

Variable

Nom de la variable utilisée pour la rotation de l’élément.

Plus de détails dans l’aide en ligne.

VT_R8

TwistVarMin

Valeur min de la variable

Valeur minimum de la variable utilisée pour la rotation de l’élément.

Plus de détails dans l’aide en ligne.

VT_R8

TwistVarMax

Valeur max de la variable

Valeur maximale de la variable utilisée pour la rotation de l’élément.

Plus de détails dans l’aide en ligne.

VT_I4

TwistViewMin

Rotation min [°]

Angle de rotation de l’élément pour la valeur minimum de la variable (en °).

Plus de détails dans l’aide en ligne.

VT_I4

TwistViewMax

Rotation max [°]

Angle de rotation de l’élément pour la valeur maximum de la variable (en °).

Plus de détails dans l’aide en ligne.

ZT_STYLE

ShadowEffectStyle

Style effet cadres/ombres

Affichage et sélection du style de cadre et d’ombre attribué à l’élément.

Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de style.
Si plusieurs éléments ont été sélectionnés, ils peuvent être attribués à un style commun.

Remarque : Seules les propriétés compatibles avec l’élément correspondant sont prises en charge.

Plus de détails dans l’aide en ligne.

VT_BOOL

EnablePunchFrame

Afficher le cadre

A frame around the element can be displayed.
Default: inactive.

ZT_STYLE

GlowEffectStyle

Style effet de rayonnement

Affichage et sélection du style des effets de luminescence attribués à l’élément.

Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de style.
Si plusieurs éléments ont été sélectionnés, ils peuvent être attribués à un style commun.

Remarque : Seules les propriétés compatibles avec l’élément correspondant sont prises en charge.

Plus de détails dans l’aide en ligne.

VT_BOOL

GlowEffectEvent

Actif seulement si cliqué

Disponible uniquement si la propriété Activer est active et l’élément est un bouton.

Active : l’effet de luminescence est uniquement affiché lorsque l’utilisateur clique sur le bouton. Cliquer sur le bouton permet de modifier la couleur, le clignotement ou l’invisibilité de l’effet de luminescence.

Par défaut : Inactive

Plus de détails dans l’aide en ligne.

ZT_VARIABLE_DYN

GlowEffectGlowColorVariable

Variable pour la couleur

Disponible uniquement si la propriété Activer est active. La propriété Coloration doit être activée.

Nom de la variable dont la couleur aux valeurs limites doit influencer la couleur de l’effet de luminescence pour l’élément. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de variables. Vous pouvez également saisir le nom manuellement dans le champ de texte. Si aucune variable n’est liée, la couleur définie dans la propriété Couleur est utilisée.

Par défaut : aucune variable liée

Plus de détails dans l’aide en ligne.

ZT_PREVIEW

GlowEffectGlowColorVariablePreview

Affichage aperçu couleur

Affichage de la valeur limite définie pour la variable de couleur lorsque l’effet de luminescence est actif. Disponible uniquement si l’option Depuis la variable a été configurée pour la propriété Variable pour la couleur.

Un aperçu des propriétés définies pour la valeur limite est affiché dans le champ. Aucun aperçu n’est affiché pour les matrices de réaction.
Cliquez sur le bouton ... pour ouvrir la boîte de dialogue d’affichage des résultats. Les valeurs limite sont uniquement affichées ; elles ne peuvent pas être modifiées. Les modifications doivent être effectuées directement dans les propriétés de la variable pour Valeurs limite.

Plus de détails dans l’aide en ligne.

ZT_VARIABLE_DYN

GlowEffectVisibilityVariable

Variable pour la visibilité

Disponible uniquement si la propriété Activer est active.

Nom de la variable dont la valeur influence la visibilité de l’effet de luminescence. La visibilité est soit reprise des propriétés de valeur limite de cette variable (propriété Visibilité depuis valeur limite active), soit définie par la plage de valeurs définie dans les propriétés Visible de et Visible jusqu'à. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de variables. Vous pouvez également saisir le nom manuellement dans le champ de texte.

Remarque : si aucune variable n’est liée, l’effet de luminescence est toujours visible.

Par défaut : aucune variable liée

Plus de détails dans l’aide en ligne.

ZT_PREVIEW

GlowEffectVisibilityVariablePreview

Affichage aperçu visibilité

Affichage de la valeur limite définie pour la variable de visibilité lorsque l’effet de luminescence est actif. Disponible uniquement si l’option Depuis la variable a été configurée pour la propriété Variable pour la visibilité.

Un aperçu des propriétés définies pour la valeur limite est affiché dans le champ. Aucun aperçu n’est affiché pour les matrices de réaction.
Cliquez sur le bouton ... pour ouvrir la boîte de dialogue d’affichage des résultats. Les valeurs limite sont uniquement affichées ; elles ne peuvent pas être modifiées. Les modifications doivent être effectuées directement dans les propriétés de la variable pour Valeurs limite.

Plus de détails dans l’aide en ligne.

VT_BOOL

GlowEffectVisibilityFromLimit

Visibilité depuis valeur limite

Disponible uniquement si la propriété Activer est active. Vous devez en outre définir une variable dans la propriété Variable pour la visibilité.

Active : La visibilité de l’effet de luminescence est influencée par la propriété de valeur limite de la variable.

Attention : Pour une valeur limite de la variable au moins, la propriété Invisible doit être active.

Inactive : la visibilité est influencée par les propriétés de l’élément.

Plus de détails dans l’aide en ligne.

VT_R8

GlowEffectVisibilityFrom

Visible de

Disponible uniquement si la propriété Activer est active. Vous devez en outre définir une variable dans la propriété Variable pour la visibilité ; la propriété Visibilité depuis valeur limite doit être inactive.

Définit la valeur à partir de laquelle l’effet de luminescence devient visible.
Minimum : valeur la moins élevée autorisée pour la variable liée dans Variable pour la visibilité.
Maximum : valeur la moins élevée autorisée pour la variable liée dans Variable pour la visibilité.
Par défaut : valeur la plus élevée autorisée pour la variable liée dans Variable pour la visibilité.

Plus de détails dans l’aide en ligne.

VT_R8

GlowEffectVisibilityTo

Visible jusqu'à

Disponible uniquement si la propriété Activer est active. Vous devez en outre définir une variable dans la propriété Variable pour la visibilité ; la propriété Visibilité depuis valeur limite doit être inactive.

Définit la valeur jusqu’à laquelle l’effet de luminescence reste visible.
Minimum : valeur la plus basse autorisée pour la variable liée dans Variable pour la visibilité.
Maximum : valeur la plus élevée autorisée pour la variable liée dans Variable pour la visibilité.
Par défaut : valeur la plus élevée autorisée pour la variable liée dans Variable pour la visibilité.

Plus de détails dans l’aide en ligne.

ZT_VARIABLE_DYN

GlowEffectBlinkVariable

Variable pour le clignotement

Variables dont les paramètres de clignotement de l’effet de luminescence aux valeurs limites doivent être repris. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de variables.

Par défaut : aucune variable liée

Plus de détails dans l’aide en ligne.

ZT_PREVIEW

GlowEffectBlinkVariablePreview

Affichage aperçu clignotement

Affichage de la valeur limite définie pour la variable de clignotement lorsque l’effet de luminescence est actif. Disponible uniquement si l’option Depuis la variable a été configurée pour la propriété Variable pour le clignotement.

Un aperçu des propriétés définies pour la valeur limite est affiché dans le champ. Aucun aperçu n’est affiché pour les matrices de réaction.
Cliquez sur le bouton ... pour ouvrir la boîte de dialogue d’affichage des résultats. Les valeurs limite sont uniquement affichées ; elles ne peuvent pas être modifiées. Les modifications doivent être effectuées directement dans les propriétés de la variable pour Valeurs limite.

Plus de détails dans l’aide en ligne.

VT_BOOL

GlowEffectUseBlinkColor

Clignotement depuis valeur limite

Disponible uniquement si la propriété Activer est active. Vous devez en outre définir une variable dans la propriété Variable pour le clignotement.

Active : Reprend, pour l’effet de luminescence, la couleur de clignotement de la valeur limite active pour la variable définie dans la propriété Couleur de clignotement par la limite. Cette propriété agit indépendamment de la propriété Coloration. En cas de clignotement, l’effet de luminescence ne devient pas invisible, mais reprend les paramètres de l’effet de luminescence actif.

Par défaut : Inactive

Plus de détails dans l’aide en ligne.

VT_BOOL

GlowEffect2ndBlinkStateVisible

2 états de clignotement invisibles

Disponible uniquement si la propriété Activer est active. Vous devez en outre définir une variable dans la propriété Variable pour le clignotement ; la propriété Clignotement depuis valeur limite doit être inactive.

Active : En cas de clignotement, l’effet de luminescence ne bascule pas vers l’effet de luminescence actif, mais devient invisible. Ceci permet de basculer entre l’invisibilité et la couleur de clignotement en cas de dépassement de la valeur limite.

Par défaut : Inactive

Plus de détails dans l’aide en ligne.


Text button

Manuel -> Interfaces de programmation -> Modèles d'objet -> Element -> Element-Dynamic properties -> Text button

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Type

VBA/VSTA Name

Display Name

Description

VT_BOOL

ThreeDimensional

3D

Active : L’élément est affiché en trois dimensions.
Inactive : L’élément est affiché en deux dimensions.

Plus de détails dans l’aide en ligne.

VT_UI2

BtnStyleBorder

Forme du bouton

Forme du bouton :

  • Anguleux : le bouton comporte des coins pointus. Les propriétés du groupe Coins arrondis vous permettent de transformer les coins pointus en coins arrondis.
  • Rond : le bouton est arrondi.

Par défaut : Anguleux

Les paramètres de la propriété Gradient de couleur dépendent de ce paramètre.

Plus de détails dans l’aide en ligne.

VT_BOOL

ShowState

Visualiser l'état de la variable

Affichage graphique de l’état de la variable. Sélection à l’aide d’une case à cocher.

  • Active : l’état des variables est indiqué par un carré de couleur au niveau de l’élément.

    Couleur :

    • Carré rouge :
      pas de communication avec l’automate.
      Exemple : INVALID, OFF, ALT_VAL, REVISION, TIMEOUT, ...
    • Carré bleu (N_UPDATE) :
      Sur le client réseau :
      La connexion entre le client et le serveur principal a été interrompue.

      Avec un projet d’intégration indépendant :
      Le serveur principal n’a pas encore fourni les données.
    • Carré jaune (PR_NR) :
      Indique, dans le Runtime, que la variable n’a pas été enregistrée pendant la lecture dans le module Process Recorder. Par conséquent, aucune valeur n’a été identifiée lors de la lecture.

    Position :
    La position du carré au niveau de l’élément dépend de la forme de l’élément :

    • Anguleux et tous autres éléments :
      Coin supérieur droit
    • Élément circulaire :
      En haut, au milieu
    • Élément arrondi :
      coin supérieur droit, légèrement décalé vers la gauche
  • Inactive : L’état n’est pas représenté.
    Désactive également la possibilité d’afficher les informations supplémentaires concernant la variable avec un clic droit.

Par défaut : Actif

Plus de détails dans l’aide en ligne.

ZT_STYLE

FrameStyle

Style de bordure d'élément

Affichage et sélection du style d’élément attribué à l’élément.

Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de style.
Si plusieurs éléments ont été sélectionnés, ils peuvent être attribués à un style commun.

Remarque : Seules les propriétés compatibles avec l’élément correspondant sont prises en charge.

Plus de détails dans l’aide en ligne.

VT_UI2

Frame

Cadre élément

Liste déroulante utilisée pour la sélection du type de cadre. Les possibilités suivantes sont disponibles :

Pour l’élément bouton

  • Cadre fin
  • 3D

Par défaut : Cadre fin

Pour les autres éléments dynamiques

  • Bords en hauteur
  • Bords enfoncés
  • Plat
  • En hauteur (classique)
  • Enfoncé (classique)
  • Marges en hauteur
  • Marges enfoncées

Par défaut : Plat

Plus de détails dans l’aide en ligne.

VT_BSTR

Text1

Texte ligne 1

Première ligne de texte du bouton.
En utilisant le caractère &, vous pouvez souligner le caractère suivant dans le Runtime. Pour afficher le caractère &, saisissez "&&".

La chaîne de caractères \n permet d’insérer un saut de ligne.

Attention : Pour utiliser \n, la propriété Texte ligne 2 doit être vide.

Plus de détails dans l’aide en ligne.

VT_BSTR

Text2

Texte ligne 2

Deuxième ligne de texte du bouton.
En utilisant le caractère &, vous pouvez souligner le caractère suivant dans le Runtime. Pour afficher le caractère &, saisissez "&&".

Remarque : cette propriété est utilisée à des fins de compatibilité avec les versions antérieures. Dans les versions actuelles : Utilisez la propriété Texte ligne 1 et commencez les nouvelles lignes par \n.

Attention :

  • cette ligne doit rester vide si le saut de ligne automatique doit être utilisé.
  • Si cette propriété est configurée, la propriété Texte lors de l'appui est désactivée et ne peut pas être utilisée dans le Runtime. Le contenu de la propriété Texte lors de l'appui déjà configuré est grisé et désactivé.
    Même un espace est considéré comme une configuration de projet valide et bloque l’affichage du texte si le bouton est maintenu enfoncé !
    La configuration de la propriété Texte ligne 2 désactive également la configuration de projet existante dans la propriété Texte lors de l'appui.

Plus de détails dans l’aide en ligne.

VT_BSTR

DownText

Texte lors de l'appui

Texte du bouton dans le Runtime lorsqu’il est enfoncé.
La séquence de caractères \n insère une nouvelle ligne dans le texte.

Attention : Si la propriété Texte ligne 2 est configurée, la propriété Texte lors de l'appui est désactivée et ne peut pas être utilisée dans le Runtime. Les contenus déjà configurés sont grisés et désactivés. Ceci est également vrai si la propriété Texte ligne 2 est ensuite remplie de contenu.

Plus de détails dans l’aide en ligne.

ZT_STYLE

TextStyle

Style de texte

Affichage et sélection du style de texte attribué à l’élément.

Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de style.
Si plusieurs éléments ont été sélectionnés, ils peuvent être attribués à un style commun.

Remarque : Seules les propriétés compatibles avec l’élément correspondant sont prises en charge.

Plus de détails dans l’aide en ligne.

ZT_VARIABLE_DYN

LineColorVariable

Couleur du texte

Nom de la variable dont la couleur de valeur limite doit influencer la couleur de texte de l’élément. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de variables.

Plus de détails dans l’aide en ligne.

ZT_PREVIEW

LineColorVarPreview

Affichage aperçu couleur

Affichage de la valeur limite pour la propriété Couleur de ligne définie pour la variable. Disponible uniquement si l’option Depuis la variable a été configurée pour la propriété Couleur de ligne.

Un aperçu des propriétés définies pour la valeur limite est affiché dans le champ. Aucun aperçu n’est affiché pour les matrices de réaction.
Cliquez sur le bouton ... pour ouvrir la boîte de dialogue d’affichage des résultats. Les valeurs limite sont uniquement affichées ; elles ne peuvent pas être modifiées. Les modifications doivent être effectuées directement dans les propriétés de la variable pour Valeurs limite.

Plus de détails dans l’aide en ligne.

ZT_STYLE

FillStyle

Style de remplissage

Affichage et sélection du style de remplissage attribué à l’élément.

Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de style.
Si plusieurs éléments ont été sélectionnés, ils peuvent être attribués à un style commun.

Remarque : Seules les propriétés compatibles avec l’élément correspondant sont prises en charge.

Plus de détails dans l’aide en ligne.

VT_UI2

BtnStyleFill

Remplissage

Remplissage du bouton :
Monochrome : Pas de dégradé
Linéaire : dégradé linéaire
Lumineux : du bas jusqu’à la moitié, couleur de remplissage 1 ; ensuite, dégradé du milieu jusqu’au sommet de l’élément.
Point défini : le dégradé commence au niveau d’un point défini et s’étend jusqu’aux bords de l’élément.

Sélectif avec bordures : le dégradé commence au niveau d’un point défini et comporte des rayons ; il s’étend jusqu’aux bords de l’élément.

Plus de détails dans l’aide en ligne.

VT_BOOL

Spot

Spot

Affichage de l’emplacement :

  • Active : le bouton est affiché avec un effet de luminescence.
  • Inactive : aucun effet de luminescence n’est affiché. Le paramètre de la propriété Gradient de couleur est utilisé.

Disponible uniquement si l’option circulaire est définie pour la propriété Forme du bouton.

Par défaut : Inactive

Plus de détails dans l’aide en ligne.

ZT_STYLE

GraphicsFillStyle

Style de remplissage pour le graphique si pressé/activé

Description sous forme de texte.

ZT_IMAGELIST

PredefinedBitmaps

Graphiques prédéfinis

Des bitmaps prédéfinis pour l’état LOW/HIGH peuvent être sélectionnés dans la liste.

Plus de détails dans l’aide en ligne.

ZT_VARIABLE_DYN

AnimateVar

Variable

Variable de bit permettant d’activer ou de désactiver l’animation.

Plus de détails dans l’aide en ligne.

ZT_STYLE

RoundingStyle

Style d'arrondi

Affichage et sélection du style d’arrondi attribué à l’élément.

Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de style.
Si plusieurs éléments ont été sélectionnés, ils peuvent être attribués à un style commun.

Remarque : Seules les propriétés compatibles avec l’élément correspondant sont prises en charge.

Plus de détails dans l’aide en ligne.

VT_BOOL

Transparent

Transparence

Active : Désactive la couleur d’arrière-plan de l’élément.

L’effet de cette option sur un bouton est un bouton invisible. Il peut être positionné au-dessus des autres éléments en tant que bouton invisible.

Plus de détails dans l’aide en ligne.

ZT_VARIABLE_DYN

BackColorVariable

Couleur de remplissage

Nom de la variable dont les couleurs de valeur limite doivent influencer la couleur d’arrière-plan/de remplissage de l’élément.
Ouvre la boîte de dialogue de sélection de variables.

Plus de détails dans l’aide en ligne.

ZT_PREVIEW

BackColorVarPreview

Affichage aperçu couleur

Affichage de la valeur limite pour la propriété Couleur de remplissage définie pour la variable. Disponible uniquement si l’option Depuis la variable a été configurée pour la propriété Couleur de remplissage.

Un aperçu des propriétés définies pour la valeur limite est affiché dans le champ. Aucun aperçu n’est affiché pour les matrices de réaction.
Cliquez sur le bouton ... pour ouvrir la boîte de dialogue d’affichage des résultats. Les valeurs limite sont uniquement affichées ; elles ne peuvent pas être modifiées. Les modifications doivent être effectuées directement dans les propriétés de la variable pour Valeurs limite.

Plus de détails dans l’aide en ligne.

ZT_VARIABLE_DYN

BackColorVariable2

Affichage aperçu couleur

Affichage de la valeur limite pour la propriété Couleur du dégradé définie pour la variable. Disponible uniquement si l’option Depuis la variable a été configurée pour la propriété Couleur du dégradé.

Un aperçu des propriétés définies pour la valeur limite est affiché dans le champ. Aucun aperçu n’est affiché pour les matrices de réaction.
Cliquez sur le bouton ... pour ouvrir la boîte de dialogue d’affichage des résultats. Les valeurs limite sont uniquement affichées ; elles ne peuvent pas être modifiées. Les modifications doivent être effectuées directement dans les propriétés de la variable pour Valeurs limite.

Plus de détails dans l’aide en ligne.

ZT_PREVIEW

BackColorVariable2Preview

Affichage aperçu couleur

Affichage de la valeur limite pour la propriété Couleur du dégradé définie pour la variable. Disponible uniquement si l’option Depuis la variable a été configurée pour la propriété Couleur du dégradé.

Un aperçu des propriétés définies pour la valeur limite est affiché dans le champ. Aucun aperçu n’est affiché pour les matrices de réaction.
Cliquez sur le bouton ... pour ouvrir la boîte de dialogue d’affichage des résultats. Les valeurs limite sont uniquement affichées ; elles ne peuvent pas être modifiées. Les modifications doivent être effectuées directement dans les propriétés de la variable pour Valeurs limite.

Plus de détails dans l’aide en ligne.

ZT_VARIABLE_DYN

BlinkVariable

Affichage aperçu clignotement

Affichage des valeurs limite pour le clignotement définies pour la variable. Disponible uniquement si l’option Depuis la variable a été configurée pour la propriété Prendre le clignotement de la limite.

Un aperçu des propriétés définies pour la valeur limite est affiché dans le champ. Aucun aperçu n’est affiché pour les matrices de réaction.
Cliquez sur le bouton ... pour ouvrir la boîte de dialogue d’affichage des résultats. Les valeurs limite sont uniquement affichées ; elles ne peuvent pas être modifiées. Les modifications doivent être effectuées directement dans les propriétés de la variable pour Valeurs limite.

Plus de détails dans l’aide en ligne.

ZT_PREVIEW

BlinkVarPreview

Affichage aperçu clignotement

Affichage des valeurs limite pour le clignotement définies pour la variable. Disponible uniquement si l’option Depuis la variable a été configurée pour la propriété Prendre le clignotement de la limite.

Un aperçu des propriétés définies pour la valeur limite est affiché dans le champ. Aucun aperçu n’est affiché pour les matrices de réaction.
Cliquez sur le bouton ... pour ouvrir la boîte de dialogue d’affichage des résultats. Les valeurs limite sont uniquement affichées ; elles ne peuvent pas être modifiées. Les modifications doivent être effectuées directement dans les propriétés de la variable pour Valeurs limite.

Plus de détails dans l’aide en ligne.

VT_BOOL

UseBlinkColor

Couleur de clignotement par la limite

Active : Reprend la couleur d’arrière-plan du clignotement défini pour la valeur limite active de la variable pour Prendre le clignotement de la limite. Durant le clignotement, l’élément ne devient pas invisible, mais reprend la couleur d’arrière-plan active.

Par défaut : Inactive

Remarque : la couleur n’est pas prise en compte si la couleur d’arrière-plan Transparence est configurée.

Plus de détails dans l’aide en ligne.

VT_BOOL

ChangeText

Changer texte selon touches

Disponible uniquement si vous avez activé Texte automatique dans les propriétés du synoptique.

Active : Utilisez Ligne 1 du texte normal à Texte ligne 2 avec Ctrl + Alt (Alt Gr) pour définir l’intitulé du bouton. Les entrées au niveau des propriétés Texte ligne 1 et Texte ligne 2 ne sont plus nécessaires.

Par défaut : Inactive

Plus de détails dans l’aide en ligne.

VT_BSTR

Text1Normal

Ligne 1 du texte normal

Disponible uniquement si la propriété Changer texte selon touches est active.
Permet de définir l’intitulé de la première ligne de texte sans appuyer sur une touche de contrôle.
Remarque : en utilisant le caractère &, vous pouvez souligner le caractère suivant dans le Runtime. Saisissez "&&" pour afficher le caractère &.

Plus de détails dans l’aide en ligne.

VT_BSTR

Text1Shift

Ligne 1 du texte avec Maj

Disponible uniquement si la propriété Changer texte selon touches est active.
Permet de définir l’intitulé de la première ligne de texte lorsque la touche MAJ est enfoncée.
Remarque : en utilisant le caractère &, vous pouvez souligner le caractère suivant dans le Runtime. Saisissez "&&" pour afficher le caractère &.

Plus de détails dans l’aide en ligne.

VT_BSTR

Text1Ctrl

Ligne 1 du texte avec Ctrl

Disponible uniquement si la propriété Changer texte selon touches est active.
Permet de définir l’intitulé de la première ligne de texte lorsque la touche Ctrl est enfoncée.
Remarque : en utilisant le caractère &, vous pouvez souligner le caractère suivant dans le Runtime. Saisissez "&&" pour afficher le caractère &.

Plus de détails dans l’aide en ligne.

VT_BSTR

Text1CtrlAlt

Texte ligne 1 avec Ctrl + Alt (Alt Gr)

Disponible uniquement si la propriété Changer texte selon touches est active.
Permet de définir l’intitulé de la première ligne de texte lorsque les touches CTRL et ALT GR sont enfoncées.
Remarque : en utilisant le caractère &, vous pouvez souligner le caractère suivant dans le Runtime. Saisissez "&&" pour afficher le caractère &.

Plus de détails dans l’aide en ligne.

VT_BSTR

Text2Normal

Ligne 2 du texte normal

Disponible uniquement si la propriété Changer texte selon touches est active.
Permet de définir l’intitulé de la deuxième ligne de texte sans appuyer sur une touche de contrôle.
Remarque : en utilisant le caractère &, vous pouvez souligner le caractère suivant dans le Runtime. Saisissez "&&" pour afficher le caractère &.

Plus de détails dans l’aide en ligne.

VT_BSTR

Text2Shift

Ligne 2 du texte avec Maj

Disponible uniquement si la propriété Changer texte selon touches est active.
Permet de définir l’intitulé de la deuxième ligne de texte lorsque la touche MAJ est enfoncée.
Remarque : en utilisant le caractère &, vous pouvez souligner le caractère suivant dans le Runtime. Saisissez "&&" pour afficher le caractère &.

Plus de détails dans l’aide en ligne.

VT_BSTR

Text2Ctrl

Ligne 2 du texte avec Ctrl

Disponible uniquement si la propriété Changer texte selon touches est active.
Permet de définir l’intitulé de la deuxième ligne de texte lorsque la touche CTRL est enfoncée.
Remarque : en utilisant le caractère &, vous pouvez souligner le caractère suivant dans le Runtime. Saisissez "&&" pour afficher le caractère &.

Plus de détails dans l’aide en ligne.

VT_BSTR

Text2CtrlAlt

Texte ligne 2 avec Ctrl + Alt (Alt Gr)

Disponible uniquement si la propriété Changer texte selon touches est active.
Permet de définir l’intitulé de la deuxième ligne de texte lorsque les touches CTRL et ALT GR sont enfoncées.
Remarque : en utilisant le caractère &, vous pouvez souligner le caractère suivant dans le Runtime. Saisissez "&&" pour afficher le caractère &.

Plus de détails dans l’aide en ligne.

More...

DynEleVar

DynEleVar

"With this property you have the opportunity to get informations about the variable (projected via ""Variable assignment"" in the ActiveX selection dialog) which is linked at an ActiveX element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""DynEleVar.SymVarName"") 'Return the name of the variable which is assigned to the ActiveX
zElement.DynProperties (""DynEleVar.SymVarTagNr"") 'Return the identification of the variable which is assigned to the ActiveX"

More...

DynEleFkt

ZT_VARIABLE_DYN

Variable

Variable

Nom de la variable liée. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de variables.
La valeur de cette variable est affichée dans cet élément et peut également être définie ici.

Remarque : Disponible uniquement pour les boutons s’ils sont utilisés en tant qu’interrupteurs.

Conseil : si la valeur de la variable doit être basculée, nous vous recommandons d’activer la propriété Variable lue en permanence. Dans le cas contraire, le Runtime patiente jusqu’à ce que le driver connaisse la valeur des variables. Si la valeur n’est pas disponible en raison d’une interruption des communications avec le contrôleur, le délai d’attente correspond au délai d’attente avant expiration du driver.

SICAM 230 et élément Synoptique d’alarmes uniquement :
La description ci-dessus s’applique uniquement aux éléments Bouton texte, Bouton bitmap et Bouton invisible.
Signification dans SICAM 230 : Les états des classes d’alarmes/d’événements seront attribués à la variable sélectionnée (32 bits). Pour chaque classe, 2 bits seront utilisés (par numéro de classe, dans l’ordre croissant).

  • Bit inférieur : alarme active/inactive
  • Bit supérieur : alarme acquittée/non acquittée

Plus de détails dans l’aide en ligne.

ZT_FUNCTION_DYN

Function

Fonction

Nom de la fonction liée.
Ouvre la boîte de dialogue de sélection de fonctions.
Cette fonction sera exécutée lorsque l’utilisateur clique sur le bouton dans le Runtime ou lorsque le raccourci clavier défini est utilisé.
Si vous souhaitez exécuter plusieurs fonctions, vous devez créer un script comportant les fonctions requises et spécifier ici la fonction permettant d’exécuter le script.

SICAM 230 et élément Synoptique d’alarmes uniquement :

Outre la propriété Appel de synoptique standard, le synoptique dont les états d’alarmes doivent être affichés seront déterminés par la fonction liée.
Obligatoire (sauf si le paramètre Global est actif) !

Plus de détails dans l’aide en ligne.

VT_BSTR

FunctionParameter

Paramètre pour la substitution

Saisie de la séquence de caractères pour le remplacement au moyen de paramètres. Remplace le mot-clé {PARAM} dans la boîte de dialogue de remplacement de la fonction d’appel de synoptique.

Remarque : Évitez les séquences de caractères également utilisées pour les paramètres d’indexation de variables, telles que {X01}.

Plus de détails dans l’aide en ligne.

ZT_MDIFUNKTION

MDIFunction

Fonction spécifique au type de synoptique

Uniquement disponible sur les synoptiques de type spécial (synoptiques de type autre que Standard) :
Liaison à une fonction spécifique au synoptique. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de fonctions spécifiques au synoptique. Cette fonction est exécutée si l’utilisateur effectue un clic dans le Runtime ou appuie sur une combinaison de touches liée.

Attention : Outre une fonction spécifique au type de synoptique, il est également possible de lier une fonction générale au bouton. Dans ce cas, notez l’ordre d’exécution lorsque vous cliquez sur le bouton : La fonction spécifique au type de synoptique est exécutée la première. Lorsque cette fonction est terminée, la fonction générale est exécutée. Si des événements VBA sont liés au bouton dans le Runtime, ces derniers sont exécutés avant les fonctions.

Plus de détails dans l’aide en ligne.

VT_BOOL

FktOnDown

Exécution sur appui

Active : La fonction liée est exécutée lorsque l’élément est actionné.
Inactive : La fonction liée est exécutée lorsque l’élément est relâché.
Par défaut : inactive.

Plus de détails dans l’aide en ligne.

VT_BOOL

Switch

Commutateur

Disponible uniquement si la propriété Ecrire valeur prescrite est inactive.

Active : l’élément modifie la valeur d’une variable de bit.
Inactive : l’élément exécute une fonction.
Par défaut : Inactive

Plus de détails dans l’aide en ligne.

VT_BOOL

Scanner

Mode temporaire

Disponible uniquement si la propriété Commutateur est active. (Exception : toujours disponible dans l’élément dynamique Interrupteur.)
Active : l’état cible (défini dans la propriété Activation temporaire) est maintenu seulement tant que le bouton gauche de la souris est enfoncé et au moins pendant le temps défini par Durée de maintien [ms].
Inactive : l’état cible persiste après que le bouton de la souris ait été relâché.
Par défaut : inactive.

Plus de détails dans l’aide en ligne.

VT_BOOL

ScannerOn

Activation temporaire

Disponible uniquement si Mode temporaire est active.
Active : bascule les commutateurs sur ON.
Inactive : bascule les commutateurs sur OFF.
Par défaut : Inactive.

Plus de détails dans l’aide en ligne.

VT_BOOL

ResetOnLeave

Remise à 0 en quittant

Disponible uniquement si la propriété Mode temporaire est active.
Maintenez le bouton de la souris enfoncé et éloignez le pointeur de la souris du bouton pour réinitialiser automatiquement la valeur de la variable.

Plus de détails dans l’aide en ligne.

VT_BOOL

FastReaction

Réaction immédiate

Disponible uniquement si Commutateur est active.
Active : Le commutateur change immédiatement de position dans le Runtime, indépendamment de la définition du bit lié au niveau l’automate. Lors du prochain cycle de mise à jour du driver, le bit sera lu depuis l’automate. Après cela, la position du commutateur sera de nouveau conforme à la position correcte du bit dans l’automate.
Attention : Le commutateur sera uniquement actionnable lorsque la valeur aura été lue sur l’automate.

Inactive : Le commutateur changera uniquement de position après que le bit ait été transmis à l’automate, puis lu sur l’automate.

(Par défaut) Inactive :

Plus de détails dans l’aide en ligne.

VT_UI2

ReactionTime

Durée de maintien [ms]

Disponible uniquement si la propriété Commutateur est active. Si la propriété Mode temporaire est active : Durée (en ms) pendant laquelle un état est maintenu à partir du moment où le clic gauche a été effectué sur l’élément correspondant.

Si la propriété Mode temporaire n’est pas cochée : l’effet est retardé à compter du clic gauche.

Plus de détails dans l’aide en ligne.

VT_BOOL

StayPressed

Garder l'état appuyé

Disponible uniquement si les propriétés Commutateur, Mode temporaire et Réaction immédiate sont actives.

Active : Tant que l’utilisateur maintient le bouton de souris appuyé sur cet élément, son affichage graphique ne change pas, indépendamment des changements de valeurs possibles au niveau de l’automate. Au niveau de l’élément Interrupteur, le paramètre 3D doit être actif pour que cela se produise.
Inactive : l’élément affiche toujours la valeur de la variable provenant de l’automate.

Plus de détails dans l’aide en ligne.

VT_UI2

Passwordlevel

Niveau d'autorisation

Le niveau du mot de passe d’écriture de valeurs prescrites ou d’exécution de fonctions avec l’élément dynamique sélectionné.
Minimum : 0.
Maximum : 127
Par défaut : 0.

Plus de détails dans l’aide en ligne.

VT_UI4

Locking

Verrouillage

Lien vers un verrouillage existant avec cet élément.

Si une condition dans une des formules du verrouillage est vraie, cet élément est verrouillé de manière à ce qu’aucun fonctionnement ne soit possible. Si cela a été défini dans les propriétés du projet, un symbole représentant un verrou est affiché aussi longtemps que le verrouillage est actif.

Remarque : Les verrouillages ne peuvent pas être utilisés pour des symboles dans la bibliothèque générale de symboles ou la bibliothèque de symboles du projet.

Plus de détails dans l’aide en ligne.

VT_BSTR

LockingName

LockingName

"With this property you have the opportunity to assign an interlocking via its name.
zElement.DynProperties(""LockingName"") = ""Interlocking 1"""

ZT_SHORTCUT

ShortCut

Raccourci-clavier

Les raccourcis autorisent l’exécution d’éléments actionnables. Par exemple :

- Exécution d’éléments de contrôle et de fonctions auxquelles un élément est attribué
- Écriture de valeurs prescrites (par ex. pour des interrupteurs)
- Configuration du focus pour certaines fenêtres (par ex. liste des courbes dans le module Extended Trend, ou liste déroulante dans le module RGM)

Cliquez sur le bouton du champ de saisie pour ouvrir la boîte de dialogue de définition des combinaisons de touches. Dans la boîte de dialogue, saisissez directement la combinaison souhaitée.

Plus de détails dans l’aide en ligne.

VT_BOOL

UnderCE

Visible sous WinCE

Contrôle la visibilité des éléments dans les synoptiques sous Windows CE. Les projets qui sont utilisés sous CE et sur le PC peuvent être créés de manière plus flexible ; la gestion par l’utilisateur est ainsi améliorée. Par exemple, les boutons renvoyant l’utilisateur vers des synoptiques ne pouvant pas être affichés sous CE (par ex. IPA) peuvent être rendus invisibles.

Active : dans synoptique/l’élément est également visible sous Windows CE.

Par défaut : active

Plus de détails dans l’aide en ligne.

ZT_VBAMAKRO

Init

Init

Macro VBA à exécuter lors de l’initialisation de l’élément.

Plus de détails dans l’aide en ligne.

ZT_VBAMAKRO

SetFocus

SetFocus

Macro VBA à exécuter lorsque le focus est placé sur l’élément.

Plus de détails dans l’aide en ligne.

ZT_VBAMAKRO

KillFocus

KillFocus

Macro VBA à exécuter lorsque le focus n’est plus placé sur l’élément.

Plus de détails dans l’aide en ligne.

ZT_VBAMAKRO

LeftClickDown

LeftClickDown

Macro VBA à exécuter lorsque l’utilisateur effectue un clic gauche sur l’élément.

Plus de détails dans l’aide en ligne.

ZT_VBAMAKRO

RightClickDown

RightClickDown

Macro VBA à exécuter lorsque l’utilisateur effectue un clic droit sur l’élément.

Plus de détails dans l’aide en ligne.

ZT_VBAMAKRO

LeftClickUp

LeftClickUp

Macro VBA à exécuter lorsque l’utilisateur relâche le bouton gauche de la souris sur l’élément.

Plus de détails dans l’aide en ligne.

ZT_VBAMAKRO

RightClickUp

RightClickUp

Macro VBA à exécuter lorsque l’utilisateur relâche le bouton droit de la souris sur l’élément.

Plus de détails dans l’aide en ligne.

ZT_VBAMAKRO

LeftDClick

LeftDoubleClick

Macro VBA à exécuter lorsque l’utilisateur effectue un double-clic gauche sur l’élément.

Plus de détails dans l’aide en ligne.

ZT_VBAMAKRO

RightDClick

RightDoubleClick

Macro VBA à exécuter lorsque l’utilisateur effectue un double-clic droit sur l’élément.

Plus de détails dans l’aide en ligne.

ZT_VBAMAKRO

MouseOver

MouseOver

Macro VBA à exécuter si le pointeur de la souris est positionné sur l’élément.

Plus de détails dans l’aide en ligne.

ZT_VBAMAKRO

DragDrop

DragDrop

Macro VBA à exécuter lorsque le bouton de la souris est relâché.

Plus de détails dans l’aide en ligne.

ZT_VBAMAKRO

DragOver

DragOver

Macro VBA à exécuter lorsque le curseur est déplacé au-dessus de l’élément pendant que le bouton gauche est enfoncé.

Plus de détails dans l’aide en ligne.

ZT_VBAMAKRO

DragBegin

DragBegin

Macro VBA à exécuter lorsque l’utilisateur commence à faire glisser l’objet.

Plus de détails dans l’aide en ligne.

VT_BSTR

Menu

Menu contextuel

Menu contextuel de l’élément.
Cliquer avec le bouton droit de la souris sur l’élément pour ouvrir le menu contextuel dans le Runtime.

Plus de détails dans l’aide en ligne.

VT_BSTR

Tooltip

Info bulle

Texte à afficher en tant qu’info-bulle de l’élément dans le Runtime. Une info-bulle est automatiquement affichée dans le Runtime si le pointeur de la souris reste pendant quelques secondes sur l’élément. Des retours à la ligne automatiques peuvent être insérés avec les caractères "\n".

  • Maximum : 79 caractères
    Attention : La combinaison de caractères \n est également comptée dans la limite de 79 caractères.

Plus de détails dans l’aide en ligne.

VT_BOOL

LassoSelect

sélectionnable avec le lasso

La sélection avec le lasso dans le Runtime permet d’identifier les éléments dynamiques et de les utiliser avec des événements VBA.

  • Active : L’élément peut être sélectionné avec le lasso dans le Runtime.
  • Inactive : L’élément ne peut pas être sélectionné dans Runtime.

Par défaut : active

Attention : Pour que l’élément puisse être sélectionné dans le Runtime, vous devez activer la propriété Sélection multiple en runtime (lasso) dans les paramètres du projet !

Remarque concernant la gestion des commandes : Si la propriété Opération à deux mains est activée, le lasso de la commande Exécuter le 2ème niveau ne doit pas être activé.

Plus de détails dans l’aide en ligne.

More...

GestureManipulationGroup

Manipulation

Propriétés pour la manipulation de synoptiques et d’éléments de synoptique dans le cadre d’une utilisation tactile.

Plus de détails dans l’aide en ligne.

VT_BOOL

Tab

Le focus est donné à l'élément

Active : L’élément dynamique peut être actionné à l’aide du clavier.
Inactive : L’élément dynamique n’est pas accessible à l’aide du clavier.
Par défaut : active.

Plus de détails dans l’aide en ligne.

VT_I4

TABOrderH

Position du focus gauche/droite

Définit la position horizontale pour l’utilisation à l’aide du clavier dans le Runtime. La position est définie par l’intermédiaire du menu contextuel et de l’utilisation de la souris dans la fenêtre principale ; elle ne peut pas être modifiée ici.

Plus de détails dans l’aide en ligne.

VT_I4

TABOrderV

Position focus haut / bas

Définit la position verticale pour l’utilisation à l’aide du clavier dans le Runtime. La position est définie par l’intermédiaire du menu contextuel et de l’utilisation de la souris dans la fenêtre principale ; elle ne peut pas être modifiée ici.

Plus de détails dans l’aide en ligne.

VT_BOOL

Signature

Signature nécéssaire

Active : Une signature est nécessaire pour actionner l’élément.

Pour des raisons de sécurité, l’utilisateur sera invité à saisir son mot de passe même s’il est déjà connecté. Le texte de la signature est enregistré dans la liste d’événements (CEL) après que l’élément ait été utilisé avec succès.

Attention : seuls les utilisateurs connectés peuvent signer une action. La signature d’actions avec un identifiant temporaire n’est plus possible.

Inactive : aucune signature n’est requise.

(Par défaut) Inactive :

Plus de détails dans l’aide en ligne.

VT_BSTR

SignatureText

Texte de signature

Ce texte est également consigné lors de la signature dans la liste d’événements (CEL) ou est proposé par défaut dans le Runtime si la signature est définie comme modifiable dans les propriétés du projet.

Plus de détails dans l’aide en ligne.

VT_I2

SignatureEditModus

Texte de signature éditable

Définit si le texte de signature peut être édité. Sélectionnez dans la liste déroulante :

  • Appliquer les paramètres projet : Les paramètres de la propriété de projet Texte de signature éditable sont applicables.
  • Oui : Texte modifiables
  • Non : Le texte ne peut pas être édité.

Par défaut : Appliquer les paramètres projet

Plus de détails dans l’aide en ligne

ZT_FILE

Helpfile

Fichier d'aide

Fichier d’aide (*.chm) devant être utilisé pour cet élément, conjointement à un menu contextuel. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de fichiers.
Attention : seuls les fichiers d’aide ayant été ajoutés dans le nœud Fichiers/Aide sont disponibles.

Plus de détails dans l’aide en ligne.

VT_BSTR

HelpCapture

Chapitre d'aide

Chapitre d’aide (*.chm) devant être utilisé pour cet élément, conjointement à un menu contextuel. Nom de la page HTML sous-jacente.
Attention : cette entrée tient compte des minuscules et majuscules.

Plus de détails dans l’aide en ligne.

ZT_VARIABLE_DYN

SetValueDynMin

Minimum

Variable dont la valeur actuelle est applicable en tant que limite inférieure de la valeur prescrite de l’élément.
Disponible uniquement si Plages de la variable est inactive :
Plus de détails dans l’aide en ligne.

ZT_VARIABLE_DYN

SetValueDynMax

Maximum

Variable dont la valeur actuelle est applicable en tant que limite supérieure de la valeur prescrite de l’élément.

Disponible uniquement si la propriété Plages de la variable est inactive.

Plus de détails dans l’aide en ligne.

VT_BOOL

GestureRecognitionActive

Reconnaissance de geste active

Active l’évaluation des gestes. Les gestes sont définis à l’aide d’autres propriétés.

Uniquement disponible si, dans le groupe Intéraction des propriétés du projet, la propriété Reconnaissance Windows 8 a été définie.

Plus de détails dans l’aide en ligne.

VT_BOOL

Gestures_Manipulation

Exact

Active : Détection du paramètre Exact défini.

Plus de détails dans l’aide en ligne.

VT_BOOL

Gestures_Exact

Exact

Active : Détection du paramètre Exact défini.

Plus de détails dans l’aide en ligne.

VT_BOOL

Gestures_TranslationX

Translation X

Active : Détection du paramètre Translation X défini.

Plus de détails dans l’aide en ligne.

VT_BOOL

Gestures_TranslationY

Translation Y

Active : Détection du paramètre Translation Y défini.

Plus de détails dans l’aide en ligne.

VT_BOOL

Gestures_RailsX

Rails X

Active : Détection du paramètre Rails X défini.

Plus de détails dans l’aide en ligne.

VT_BOOL

Gestures_RailsY

Rails Y

Active : Détection du paramètre Rails Y défini.

Plus de détails dans l’aide en ligne.

VT_BOOL

Gestures_TranslationInertia

Translation inertia

Active : Détection du paramètre Translation Inertia (Inertie de translation) défini.

Plus de détails dans l’aide en ligne.

VT_BOOL

Gestures_Rotation

Inertie de rotation

Active : Détection du paramètre Rotation Inertia (Inertie de rotation) défini.

Plus de détails dans l’aide en ligne.

VT_BOOL

Gestures_RotationInertia

Inertie de rotation

Active : Détection du paramètre Rotation Inertia (Inertie de rotation) défini.

Plus de détails dans l’aide en ligne.

VT_BOOL

Gestures_Scaling

Scaling inertia

Active : Détection du paramètre Scaling Inertia (Inertie de redimensionnement) défini.

Plus de détails dans l’aide en ligne.

VT_BOOL

Gestures_ScalingInertia

Scaling inertia

Active : Détection du paramètre Scaling Inertia (Inertie de redimensionnement) défini.

Plus de détails dans l’aide en ligne.

VT_BOOL

Gestures_CrossSlide

Cross slide exact

Active : Détection du paramètre Cross Slide Exact (Glissement transversal exact) défini.

Plus de détails dans l’aide en ligne.

VT_BOOL

Gestures_CrossSlideHorizontal

Cross slide horizontal

Active : Détection du paramètre Cross Slide Horizontal (Glissement transversal horizontal) défini.

Plus de détails dans l’aide en ligne.

VT_BOOL

Gestures_CrossSlideSelect

Cross slide select

Active : Détection du paramètre Cross Slide Select (Glissement transversal, sélection) défini.

Plus de détails dans l’aide en ligne.

VT_BOOL

Gestures_CrossSlideSpeedBump

Cross slide speed bump

Active : Détection du paramètre Cross Slide Speed Bump (Glissement transversal, ralentisseur) défini.

Plus de détails dans l’aide en ligne.

VT_BOOL

Gestures_CrossSlideRearrange

Cross slide rearrange

Active : Détection du paramètre Cross Slide Rearrange (Glissement transversal, réorganisation) défini.

Plus de détails dans l’aide en ligne.

VT_BOOL

Gestures_CrossSlideExact

Cross slide exact

Active : Détection du paramètre Cross Slide Exact (Glissement transversal exact) défini.

Plus de détails dans l’aide en ligne.

VT_BOOL

Gestures_Tap

Tap double

Active : Détection du paramètre Tap Double (Double appui) défini.

Plus de détails dans l’aide en ligne.

VT_BOOL

Gestures_TapDouble

Tap double

Active : Détection du paramètre Tap Double (Double appui) défini.

Plus de détails dans l’aide en ligne.

VT_BOOL

Gestures_SecondaryTap

Secondary tap

Active : Détection du paramètre Secondary Tap (Appui secondaire) défini.

Plus de détails dans l’aide en ligne.

VT_BOOL

Gestures_Drag

Drag

Active : Détection du paramètre Drag (Glissement) défini.

Plus de détails dans l’aide en ligne.

VT_BOOL

Gestures_Hold

Hold (Mouse)

Active : Détection du paramètre Hold (Mouse) (Maintien [souris]) défini.

Plus de détails dans l’aide en ligne.

ZT_STYLE

StyleGroup

Groupe de styles

Affichage et sélection du groupe de styles attribué à l’élément.
Cliquez sur le bouton ... pour ouvrir la boîte de dialogue permettant de sélectionner un groupe de styles.
Si plusieurs éléments sont sélectionnés, elles peuvent être attribuées à un groupe de styles commun.

Remarque : Seules les propriétés compatibles avec l’élément correspondant sont prises en charge.

Plus de détails dans l’aide en ligne.

More...

LnClVariable

LnClVariable

"With this property you have the opportunity to get informations about the variable which is linked as ""line/text color"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""LnClVariable.SymVarName"") 'Return the name of the ""line/text color"" variable
zElement.DynProperties (""LnClVariable.SymVarTagNr"") 'Return the identification of the ""line/text color"" variable"

More...

BkClVariable

BkClVariable

"With this property you have the opportunity to get informations about the variable which is linked as ""background/filling color"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""BkClVariable.SymVarName"") 'Return the name of the ""background/filling color"" variable
zElement.DynProperties (""BkClVariable.SymVarTagNr"") 'Return the identification of the ""background/filling color"" variable"

More...

BkCl2Variable

"BkCl2Variable"

More...

XVar

XVar

"With this property you have the opportunity to get informations about the variable which is linked as ""dynamic x position"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""XVar.SymVarName"") 'Return the name of the ""dynamic x position"" variable
zElement.DynProperties (""XVar.SymVarTagNr"") 'Return the identification of the ""dynamic x position"" variable"

More...

YVar

YVar

"With this property you have the opportunity to get informations about the variable which is linked as ""dynamic y position"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""YVar.SymVarName"") 'Return the name of the ""dynamic y position"" variable
zElement.DynProperties (""YVar.SymVarTagNr"") 'Return the identification of the ""dynamic y position"" variable"

More...

XVarZoom

XVarZoom

"With this property you have the opportunity to get informations about the variable which is linked as ""change width"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""XVarZoom.SymVarName"") 'Return the name of the ""change width"" variable
zElement.DynProperties (""XVarZoom.SymVarTagNr"") 'Return the identification of the ""change width"" variable"

More...

YVarZoom

YVarZoom

"With this property you have the opportunity to get informations about the variable which is linked as ""change height"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""YVarZoom.SymVarName"") 'Return the name of the ""change height"" variable
zElement.DynProperties (""YVarZoom.SymVarName"") 'Return the name of the ""change height"" variable
zElement.DynProperties (""YVarZoom.SymVarTagNr"") 'Return the identification of the ""change height"" variable"

More...

TwistVar

TwistVar

"With this property you have the opportunity to get informations about the variable which is linked as ""rotate"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""TwistVar.SymVarName"") 'Return the name of the ""rotate"" variable
zElement.DynProperties (""TwistVar.SymVarTagNr"") 'Return the identification of the ""rotate"" variable"

More...

VisVariable

VisVariable

"With this property you have the opportunity to get informations about the variable which is linked as ""visibility"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""VisVariable.SymVarName"") 'Return the name of the ""visibility"" variable
zElement.DynProperties (""VisVariable.SymVarTagNr"") 'Return the identification of the ""visibility"" variable"

More...

BlinkVar

BlinkVar

More...

GlowEffectGlowColorVar

GlowEffectGlowColorVar

More...

GlowEffectVisibilityVar

GlowEffectVisibilityVar

More...

GlowEffectBlinkVar

GlowEffectBlinkVar

VT_BSTR

Name

Nom d'élément

Attribuez un nom d’élément.
Il ne doit pas être vide.

Attention : Cette propriété n’est pas disponible aux fins de la commutation de langue.

Remarques concernant les cadrans : Pour les conteneurs de synoptique, spécifiez des noms clairement identifiables pour faciliter la sélection lors de la configuration des appels de synoptique.

Plus de détails dans l’aide en ligne.

VT_UI1

Layer

Niveau de visibilité

Sélectionnez l’un des 16 niveaux de visibilité (0 à 15) dans la liste déroulante. À l’aide de la barre d’outils Niveau de visibilité, vous décidez des niveaux qui doivent être affichés dans Editor. Cette fonction garantit que les synoptiques les plus complexes peuvent être développés de manière simple. Les niveaux peuvent être utilisés immédiatement. Les niveaux n’ont aucune influence sur les informations affichées au premier plan ou en arrière-plan dans le Runtime.
Par défaut : 0.

Plus de détails dans l’aide en ligne.

VT_I4

StartX

Point de départ X [pixels]

Coordonnée Y du coin supérieur gauche du synoptique (en pixels).

Plus de détails dans l’aide en ligne.

VT_I4

EndX

Point final X [pixels]

Coordonnée X du coin inférieur droit du synoptique (en pixels).

Plus de détails dans l’aide en ligne.

VT_I4

StartY

Point de départ Y [pixels]

Coordonnée Y du coin supérieur gauche du synoptique (en pixels).

Plus de détails dans l’aide en ligne.

VT_I4

EndY

Point final Y [pixels]

Coordonnée Y du coin inférieur droit du synoptique (en pixels).

Plus de détails dans l’aide en ligne.

VT_I4

Width

Largeur [pixels]

Largeur des éléments en pixels.

Remarque : disponible uniquement pour les éléments Combinaison multiple, Élément combiné, Bouton et Interrupteur si la valeur Ajusté a été sélectionnée pour la propriété Taille du graphique.

Plus de détails dans l’aide en ligne.

VT_I4

Height

Hauteur [pixels]

Hauteur des éléments en pixels.

Remarque : disponible uniquement pour les éléments Combinaison multiple, Élément combiné, Bouton et Interrupteur si la valeur Ajusté a été sélectionnée pour la propriété Taille du graphique.

Plus de détails dans l’aide en ligne.

VT_I4

Angle

Angle de rotation [°]

Angle libre autour selon lequel doit pivoter l’élément.
Les valeurs positives correspondent à une rotation dans le sens antihoraire, tandis que les valeurs négatives correspondent à une rotation dans le sens horaire. Les valeurs supérieures à 360° sont affichées sous forme d’écart par rapport à 360° (400° correspond à 40°). Seuls les nombres entiers sont autorisés.

Sur les éléments pivotés, les actions suivantes ne sont plus possibles :

  • Miroir
  • Rotation de +/- 90°
  • Redimensionnement à l’aide des touches fléchées

Par défaut : 0

Remarque : Ce paramètre est activé et réinitialisé lors de la configuration pour Windows CE.

Plus de détails dans l’aide en ligne.

VT_I2

ZoomMin

Visible de

Incrément de zoom le plus bas auquel l’élément est visible dans la vue globale.
Par défaut : -1
Une valeur de visibilité avec des incréments de zoom de -1 à -1 signifie que l’élément est affiché, quel que soit l’incrément de zoom sélectionné.

Les niveaux de zoom affichés dans la vue globale peuvent être configurés avec la propriété Apparence graphique -> Généralités runtime -> Pas de zoom pour vue globale.

Attention : Ce niveau de zoom s’applique à tous les types de synoptiques et cadres. Si un niveau de zoom défini est supérieur à 0, l’élément est uniquement affiché dans la vue globale, car les autres types de synoptique sont automatiquement appelés avec le niveau de zoom 0.

Plus de détails dans l’aide en ligne.

VT_I2

ZoomMax

Visible jusqu'à

Incrément de zoom le plus élevé auquel l’élément est visible dans la vue globale.

Par défaut : -1
Une valeur de visibilité avec des incréments de zoom de -1 à -1 signifie que l’élément est affiché, quel que soit l’incrément de zoom sélectionné.

Les niveaux de zoom affichés dans la vue globale peuvent être configurés avec la propriété Apparence graphique -> Généralités runtime -> Pas de zoom pour vue globale.

Attention : Ce niveau de zoom s’applique à tous les types de synoptiques et cadres. Si un niveau de zoom défini est supérieur à 0, l’élément est uniquement affiché dans la vue globale, car les autres types de synoptique sont automatiquement appelés avec le niveau de zoom 0.

Plus de détails dans l’aide en ligne.

VT_BSTR

Stationname

Nom liste d'objets

L’élément est saisi directement dans la liste de stations du synoptique Vue globale, et le texte est saisi ici.

Plus de détails dans l’aide en ligne.

VT_UI1

HorizontalOrigin

Horizontal

Point de référence horizontal de l’événement. Les valeurs possibles sont : gauche, centré, droite.
Ce point est utilisé en tant que base de calcul de l’angle de départ de la rotation (statique et dynamique) et pour le changement dynamique de taille.

Par défaut : À gauche

Plus de détails dans l’aide en ligne.

VT_UI1

VerticalOrigin

Vertical

Point de référence vertical de l’événement. Les valeurs possibles sont : haut, centré, bas.
Ce point est utilisé en tant que base de calcul de l’angle de départ de la rotation (statique et dynamique) et pour le changement dynamique de taille.

Par défaut : En haut

Plus de détails dans l’aide en ligne.

VT_UI4

VisibilityType

Visibilité

Sélection depuis laquelle la visibilité d’un élément est déterminée :

  • Depuis une variable
  • Du verrrouillage

Par défaut : Depuis une variable

Plus de détails dans l’aide en ligne.

ZT_VARIABLE_DYN

VisibilityVariable

Variable

Disponible uniquement si l’option Depuis la variable a été configurée pour la propriété Visibilité.

Nom de la variable dont la valeur contrôle la visibilité de l’élément. La visibilité est soit reprise des propriétés de valeur limite de ces variables, soit définie par la plage de valeurs définie dans les propriétés de et À.
Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de variables. Vous pouvez également saisir manuellement le nom dans le champ de texte.
L'élément reste visible tant qu’aucune variable n’est liée.

Plus de détails dans l’aide en ligne.

ZT_PREVIEW

VisVarPreview

Affichage aperçu visibilité

Affichage des valeurs limite pour la visibilité définies pour la variable. Disponible uniquement si l’option Depuis la variable a été configurée pour la propriété Variable dans le groupe Visibilité.

Un aperçu des propriétés définies pour la valeur limite est affiché dans le champ. Aucun aperçu n’est affiché pour les matrices de réaction.
Cliquez sur le bouton ... pour ouvrir la boîte de dialogue d’affichage des résultats. Les valeurs limite sont uniquement affichées ; elles ne peuvent pas être modifiées. Les modifications doivent être effectuées directement dans les propriétés de la variable pour Valeurs limite.

Plus de détails dans l’aide en ligne.

VT_BOOL

VisibilityFromLimit

A partir des valeurs limites

Uniquement disponible après la sélection d’une variable :

  • Active : La visibilité de l’élément est influencée par la propriété de valeur limite de la variable.

    Attention : La propriété Invisible doit être active pour au moins une valeur limite de la variable.

  • Inactive : la visibilité est influencée par les propriétés de l’élément.

Par défaut : active

Plus de détails dans l’aide en ligne.

VT_R8

VisibilityFrom

de

Disponible uniquement après la sélection d’une variable, si la visibilité n’a pas été reprise par la valeur limite :

Valeur minimum de la variable à laquelle l’élément est visible.

  • Minimum : valeur minimum possible de la variable liée.
  • Maximum : valeur maximum possible de la variable liée.

Par défaut : valeur minimum possible de la variable liée.

Plus de détails dans l’aide en ligne.

VT_R8

VisibilityTo

À

Disponible uniquement après la sélection d’une variable, si la visibilité n’a pas été reprise par la valeur limite :

Valeur maximale de la variable à laquelle l’élément est visible.

  • Minimum : valeur minimum possible de la variable liée.
  • Maximum : valeur maximum possible de la variable liée.

Par défaut : valeur maximum possible de la variable liée.

Plus de détails dans l’aide en ligne.

VT_UI4

Interlocking

Verrouillage

Disponible uniquement si l’option Depuis le verrouillage est sélectionnée pour la propriété Visibilité.

Nom du verrouillage dont la valeur contrôle la visibilité de l’élément. Sélectionnez dans la liste déroulante. Celle-ci contient tous les verrouillages existants et utilisables. L’élément est toujours visible si aucun verrouillage n’est lié.

Plus de détails dans l’aide en ligne.

VT_BSTR

InterlockingName

InterlockingName

Description

VT_BOOL

VisibleWhenInterlocked

Visible si verrouillé

Contrôle la visibilité de l’élément lorsque le verrouillage est sélectionné :

  • Active : L’élément est visible s’il est verrouillé.
  • Inactive : L’élément est visible s’il n’est pas verrouillé.

Par défaut : inactive

Plus de détails dans l’aide en ligne.

ZT_VARIABLE_DYN

XVariable

Variable

Nom de la variable utilisée pour le déplacement horizontal de l’élément.
Ouvre la boîte de dialogue de sélection de variables.

Plus de détails dans l’aide en ligne.

VT_R8

XVarMin

Valeur min de la variable

Valeur minimale de la variable utilisée pour le déplacement horizontal de l’élément.

Plus de détails dans l’aide en ligne.

VT_R8

XVarMax

Valeur max de la variable

Valeur maximale de la variable utilisée pour le déplacement horizontal de l’élément.

Plus de détails dans l’aide en ligne.

VT_I4

XViewMin

Mouvement min [pixels]

Position horizontale de l’élément pour la valeur minimale de la variable (en pixels).

Plus de détails dans l’aide en ligne.

VT_I4

XViewMax

Mouvement max [pixels]

Position horizontale de l’élément pour la valeur minimale de la variable (en pixels).

Plus de détails dans l’aide en ligne.

ZT_VARIABLE_DYN

YVariable

Variable

Nom de la variable utilisée pour le déplacement vertical de l’élément.
Ouvre la boîte de dialogue de sélection de variables.

Plus de détails dans l’aide en ligne.

VT_R8

YVarMin

Valeur min de la variable

Valeur minimale de la variable utilisée pour le déplacement vertical de l’élément.

Plus de détails dans l’aide en ligne.

VT_R8

YVarMax

Valeur max de la variable

Valeur maximale de la variable utilisée pour le déplacement vertical de l’élément.

Plus de détails dans l’aide en ligne.

VT_I4

YViewMin

Mouvement min [pixels]

Position verticale de l’élément pour la valeur minimale de la variable (en pixels).

Plus de détails dans l’aide en ligne.

VT_I4

YViewMax

Mouvement max [pixels]

Position verticale de l’élément pour la valeur maximale de la variable (en pixels).

Plus de détails dans l’aide en ligne.

ZT_VARIABLE_DYN

XZoomVariable

Variable

Nom de la variable utilisée pour l’agrandissement de la largeur de l’élément.
Ouvre la boîte de dialogue de sélection de variables.

Plus de détails dans l’aide en ligne.

VT_R8

XZoomVarMin

Valeur min de la variable

Valeur minimale de la variable utilisée pour effectuer un zoom à la largeur de l’élément.

Plus de détails dans l’aide en ligne.

VT_R8

XZoomVarMax

Valeur max de la variable

Valeur maximale de la variable utilisée pour effectuer un zoom sur la largeur de l’élément.

Plus de détails dans l’aide en ligne.

VT_I4

XZoomViewMin

Largeur min [%]

Facteur de zoom correspondant à la largeur de l’élément pour la valeur minimale de la variable (en pixels).

Plus de détails dans l’aide en ligne.

VT_I4

XZoomViewMax

Largeur max [%]

Facteur de zoom correspondant à la largeur de l’élément pour la valeur maximale de la variable (en pixels).

Plus de détails dans l’aide en ligne.

ZT_VARIABLE_DYN

YZoomVariable

Variable

Nom de la variable utilisée pour l’agrandissement de la hauteur de l’élément.
Ouvre la boîte de dialogue de sélection de variables.

Plus de détails dans l’aide en ligne.

VT_R8

YZoomVarMin

Valeur min de la variable

Valeur minimum de la variable utilisée pour effectuer un zoom sur la hauteur de l’élément.

Plus de détails dans l’aide en ligne.

VT_R8

YZoomVarMax

Valeur max de la variable

Valeur maximum de la variable utilisée pour effectuer un zoom sur la hauteur de l’élément.

Plus de détails dans l’aide en ligne.

VT_I4

YZoomViewMin

Hauteur min [%]

Facteur de zoom correspondant à la hauteur de l’élément pour la valeur minimum de la variable (en %).

Plus de détails dans l’aide en ligne.

VT_I4

YZoomViewMax

Hauteur max [%]

Facteur de zoom correspondant à la hauteur de l’élément pour la valeur maximale de la variable (en pixels).

Plus de détails dans l’aide en ligne.

ZT_VARIABLE_DYN

TwistVariable

Variable

Nom de la variable utilisée pour la rotation de l’élément.

Plus de détails dans l’aide en ligne.

VT_R8

TwistVarMin

Valeur min de la variable

Valeur minimum de la variable utilisée pour la rotation de l’élément.

Plus de détails dans l’aide en ligne.

VT_R8

TwistVarMax

Valeur max de la variable

Valeur maximale de la variable utilisée pour la rotation de l’élément.

Plus de détails dans l’aide en ligne.

VT_I4

TwistViewMin

Rotation min [°]

Angle de rotation de l’élément pour la valeur minimum de la variable (en °).

Plus de détails dans l’aide en ligne.

VT_I4

TwistViewMax

Rotation max [°]

Angle de rotation de l’élément pour la valeur maximum de la variable (en °).

Plus de détails dans l’aide en ligne.

ZT_STYLE

ShadowEffectStyle

Style effet cadres/ombres

Affichage et sélection du style de cadre et d’ombre attribué à l’élément.

Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de style.
Si plusieurs éléments ont été sélectionnés, ils peuvent être attribués à un style commun.

Remarque : Seules les propriétés compatibles avec l’élément correspondant sont prises en charge.

Plus de détails dans l’aide en ligne.

VT_BOOL

EnablePunchFrame

Afficher le cadre

A frame around the element can be displayed.
Default: inactive.

ZT_STYLE

GlowEffectStyle

Style effet de rayonnement

Affichage et sélection du style des effets de luminescence attribués à l’élément.

Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de style.
Si plusieurs éléments ont été sélectionnés, ils peuvent être attribués à un style commun.

Remarque : Seules les propriétés compatibles avec l’élément correspondant sont prises en charge.

Plus de détails dans l’aide en ligne.

VT_BOOL

GlowEffectEvent

Actif seulement si cliqué

Disponible uniquement si la propriété Activer est active et l’élément est un bouton.

Active : l’effet de luminescence est uniquement affiché lorsque l’utilisateur clique sur le bouton. Cliquer sur le bouton permet de modifier la couleur, le clignotement ou l’invisibilité de l’effet de luminescence.

Par défaut : Inactive

Plus de détails dans l’aide en ligne.

ZT_VARIABLE_DYN

GlowEffectGlowColorVariable

Variable pour la couleur

Disponible uniquement si la propriété Activer est active. La propriété Coloration doit être activée.

Nom de la variable dont la couleur aux valeurs limites doit influencer la couleur de l’effet de luminescence pour l’élément. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de variables. Vous pouvez également saisir le nom manuellement dans le champ de texte. Si aucune variable n’est liée, la couleur définie dans la propriété Couleur est utilisée.

Par défaut : aucune variable liée

Plus de détails dans l’aide en ligne.

ZT_PREVIEW

GlowEffectGlowColorVariablePreview

Affichage aperçu couleur

Affichage de la valeur limite définie pour la variable de couleur lorsque l’effet de luminescence est actif. Disponible uniquement si l’option Depuis la variable a été configurée pour la propriété Variable pour la couleur.

Un aperçu des propriétés définies pour la valeur limite est affiché dans le champ. Aucun aperçu n’est affiché pour les matrices de réaction.
Cliquez sur le bouton ... pour ouvrir la boîte de dialogue d’affichage des résultats. Les valeurs limite sont uniquement affichées ; elles ne peuvent pas être modifiées. Les modifications doivent être effectuées directement dans les propriétés de la variable pour Valeurs limite.

Plus de détails dans l’aide en ligne.

ZT_VARIABLE_DYN

GlowEffectVisibilityVariable

Variable pour la visibilité

Disponible uniquement si la propriété Activer est active.

Nom de la variable dont la valeur influence la visibilité de l’effet de luminescence. La visibilité est soit reprise des propriétés de valeur limite de cette variable (propriété Visibilité depuis valeur limite active), soit définie par la plage de valeurs définie dans les propriétés Visible de et Visible jusqu'à. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de variables. Vous pouvez également saisir le nom manuellement dans le champ de texte.

Remarque : si aucune variable n’est liée, l’effet de luminescence est toujours visible.

Par défaut : aucune variable liée

Plus de détails dans l’aide en ligne.

ZT_PREVIEW

GlowEffectVisibilityVariablePreview

Affichage aperçu visibilité

Affichage de la valeur limite définie pour la variable de visibilité lorsque l’effet de luminescence est actif. Disponible uniquement si l’option Depuis la variable a été configurée pour la propriété Variable pour la visibilité.

Un aperçu des propriétés définies pour la valeur limite est affiché dans le champ. Aucun aperçu n’est affiché pour les matrices de réaction.
Cliquez sur le bouton ... pour ouvrir la boîte de dialogue d’affichage des résultats. Les valeurs limite sont uniquement affichées ; elles ne peuvent pas être modifiées. Les modifications doivent être effectuées directement dans les propriétés de la variable pour Valeurs limite.

Plus de détails dans l’aide en ligne.

VT_BOOL

GlowEffectVisibilityFromLimit

Visibilité depuis valeur limite

Disponible uniquement si la propriété Activer est active. Vous devez en outre définir une variable dans la propriété Variable pour la visibilité.

Active : La visibilité de l’effet de luminescence est influencée par la propriété de valeur limite de la variable.

Attention : Pour une valeur limite de la variable au moins, la propriété Invisible doit être active.

Inactive : la visibilité est influencée par les propriétés de l’élément.

Plus de détails dans l’aide en ligne.

VT_R8

GlowEffectVisibilityFrom

Visible de

Disponible uniquement si la propriété Activer est active. Vous devez en outre définir une variable dans la propriété Variable pour la visibilité ; la propriété Visibilité depuis valeur limite doit être inactive.

Définit la valeur à partir de laquelle l’effet de luminescence devient visible.
Minimum : valeur la moins élevée autorisée pour la variable liée dans Variable pour la visibilité.
Maximum : valeur la moins élevée autorisée pour la variable liée dans Variable pour la visibilité.
Par défaut : valeur la plus élevée autorisée pour la variable liée dans Variable pour la visibilité.

Plus de détails dans l’aide en ligne.

VT_R8

GlowEffectVisibilityTo

Visible jusqu'à

Disponible uniquement si la propriété Activer est active. Vous devez en outre définir une variable dans la propriété Variable pour la visibilité ; la propriété Visibilité depuis valeur limite doit être inactive.

Définit la valeur jusqu’à laquelle l’effet de luminescence reste visible.
Minimum : valeur la plus basse autorisée pour la variable liée dans Variable pour la visibilité.
Maximum : valeur la plus élevée autorisée pour la variable liée dans Variable pour la visibilité.
Par défaut : valeur la plus élevée autorisée pour la variable liée dans Variable pour la visibilité.

Plus de détails dans l’aide en ligne.

ZT_VARIABLE_DYN

GlowEffectBlinkVariable

Variable pour le clignotement

Variables dont les paramètres de clignotement de l’effet de luminescence aux valeurs limites doivent être repris. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de variables.

Par défaut : aucune variable liée

Plus de détails dans l’aide en ligne.

ZT_PREVIEW

GlowEffectBlinkVariablePreview

Affichage aperçu clignotement

Affichage de la valeur limite définie pour la variable de clignotement lorsque l’effet de luminescence est actif. Disponible uniquement si l’option Depuis la variable a été configurée pour la propriété Variable pour le clignotement.

Un aperçu des propriétés définies pour la valeur limite est affiché dans le champ. Aucun aperçu n’est affiché pour les matrices de réaction.
Cliquez sur le bouton ... pour ouvrir la boîte de dialogue d’affichage des résultats. Les valeurs limite sont uniquement affichées ; elles ne peuvent pas être modifiées. Les modifications doivent être effectuées directement dans les propriétés de la variable pour Valeurs limite.

Plus de détails dans l’aide en ligne.

VT_BOOL

GlowEffectUseBlinkColor

Clignotement depuis valeur limite

Disponible uniquement si la propriété Activer est active. Vous devez en outre définir une variable dans la propriété Variable pour le clignotement.

Active : Reprend, pour l’effet de luminescence, la couleur de clignotement de la valeur limite active pour la variable définie dans la propriété Couleur de clignotement par la limite. Cette propriété agit indépendamment de la propriété Coloration. En cas de clignotement, l’effet de luminescence ne devient pas invisible, mais reprend les paramètres de l’effet de luminescence actif.

Par défaut : Inactive

Plus de détails dans l’aide en ligne.

VT_BOOL

GlowEffect2ndBlinkStateVisible

2 états de clignotement invisibles

Disponible uniquement si la propriété Activer est active. Vous devez en outre définir une variable dans la propriété Variable pour le clignotement ; la propriété Clignotement depuis valeur limite doit être inactive.

Active : En cas de clignotement, l’effet de luminescence ne bascule pas vers l’effet de luminescence actif, mais devient invisible. Ceci permet de basculer entre l’invisibilité et la couleur de clignotement en cas de dépassement de la valeur limite.

Par défaut : Inactive

Plus de détails dans l’aide en ligne.


Circle

Manuel -> Interfaces de programmation -> Modèles d'objet -> Element -> Element-Dynamic properties -> Circle

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Type

VBA/VSTA Name

Display Name

Description

ZT_COLOR

LineColor

Couleur de ligne

Line color of the element.

ZT_STYLE

LineStyle

Style de ligne

Affichage et sélection du style de ligne attribué à l’élément.

Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de style.
Si plusieurs éléments ont été sélectionnés, ils peuvent être attribués à un style commun.

Remarque : Seules les propriétés compatibles avec l’élément correspondant sont prises en charge.

Plus de détails dans l’aide en ligne.

ZT_STYLE

FillStyle

Style de remplissage

Affichage et sélection du style de remplissage attribué à l’élément.

Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de style.
Si plusieurs éléments ont été sélectionnés, ils peuvent être attribués à un style commun.

Remarque : Seules les propriétés compatibles avec l’élément correspondant sont prises en charge.

Plus de détails dans l’aide en ligne.

ZT_VARIABLE_DYN

BackColorVariable2

Affichage aperçu couleur

Affichage de la valeur limite pour la propriété Couleur du dégradé définie pour la variable. Disponible uniquement si l’option Depuis la variable a été configurée pour la propriété Couleur du dégradé.

Un aperçu des propriétés définies pour la valeur limite est affiché dans le champ. Aucun aperçu n’est affiché pour les matrices de réaction.
Cliquez sur le bouton ... pour ouvrir la boîte de dialogue d’affichage des résultats. Les valeurs limite sont uniquement affichées ; elles ne peuvent pas être modifiées. Les modifications doivent être effectuées directement dans les propriétés de la variable pour Valeurs limite.

Plus de détails dans l’aide en ligne.

ZT_PREVIEW

BackColorVariable2Preview

Affichage aperçu couleur

Affichage de la valeur limite pour la propriété Couleur du dégradé définie pour la variable. Disponible uniquement si l’option Depuis la variable a été configurée pour la propriété Couleur du dégradé.

Un aperçu des propriétés définies pour la valeur limite est affiché dans le champ. Aucun aperçu n’est affiché pour les matrices de réaction.
Cliquez sur le bouton ... pour ouvrir la boîte de dialogue d’affichage des résultats. Les valeurs limite sont uniquement affichées ; elles ne peuvent pas être modifiées. Les modifications doivent être effectuées directement dans les propriétés de la variable pour Valeurs limite.

Plus de détails dans l’aide en ligne.

VT_I2

Align

Alignement

Direction of color shift.
horizontal
vertical

VT_I2

Shifted

Gradient de couleur 'décalé'

Wie weit soll der Lichteffekt von der Mitte des Elements versetzt sein.

Mehr im Online-Handbuch

VT_BOOL

Brightness

Par les valeurs de luminosité

Disponible uniquement si l’élément Remplissage (type) a été sélectionné pour la propriété Dégradé de couleurs.

Active : la luminosité du dégradé de couleurs peut être librement définie.
Inactive : la luminosité du dégradé de couleurs est définie automatiquement.

Remarque : le motif de remplissage ne peut plus être modifié si cette propriété est active. Il est également impossible de définir des coins arrondis. Si cette option est activée pour un élément utilisant des coins arrondis, l’élément est affiché avec des coins non arrondis.

Plus de détails dans l’aide en ligne.

VT_UI1

OuterBrightness

Luminosité à l'extérieur

Disponible uniquement si la propriété Par les valeurs de luminosité est active :
Luminosité au niveau du bord extérieur de l’élément.

Plus de détails dans l’aide en ligne.

VT_UI1

InnerBrightness

Luminosité à l'intérieur

Disponible uniquement si la propriété Par les valeurs de luminosité est active :
Luminosité au centre de l’élément.

Plus de détails dans l’aide en ligne.

VT_BOOL

ALCUseColor

Couleur définie par CAL

Disponible uniquement si vous possédez une licence pour la fonctionnalité Coloration Automatique des Lignes (CAL) :
Active : La couleur automatique de la source liée est utilisée.
Inactive : La couleur standard est utilisée.
Par défaut : inactive.

Plus de détails dans l’aide en ligne.

VT_I2

ALCPrecedence

Priorité pour l'affichage

Disponible uniquement si la propriété Couleur définie par CAL est active.

Définit la priorité de l’affichage lorsque l’élément est connecté à plusieurs sources actives.
Plusieurs sources d’alimentation : L’élément est affiché selon les règles de l’alimentation sécurisée.
Source d’alimentation sécurisée : L’élément est affiché selon les règles de l’alimentation sécurisée.
Aucune priorité : Les règles de coloration des paramètres Alimentation multiple et Alimentation sécurisée sont appliquées simultanément, si les deux critères sont satisfaits.

Par défaut : Alimentation multiple
Plus de détails dans l’aide en ligne.

VT_I2

ALCMultiSource

Affichage alimentation multiple

Disponible uniquement si la propriété Couleur définie par CAL est active.
Définit le type d’affichage lorsque l’élément est connecté à plusieurs sources :
Source la plus prioritaire : Seule la couleur de la source la plus prioritaire est utilisée.
Deux sources les plus prioritaires : Les différentes couleurs des deux sources comportant les priorités les plus élevées sont affichées sous forme de trait tireté.
Couleur de remplacement : Couleur de remplacement pour la fonction CAL avec des alimentations multiples.

Par défaut : La source la plus prioritaire

Plus de détails dans l’aide en ligne.

VT_I2

ALCDashLen

Longueur de pointillé fournie plusieurs fois

Disponible uniquement si la propriété Affichage alimentation multiple possède la valeur Deux sources antérieures les plus élevées.

Définit la longueur en pixels du trait tireté associé à la fonction CAL avec une alimentation multiple.

Minimum : 0 (longueur des tirets automatique)

Maximum : 32767

Par défaut : 0

Plus de détails dans l’aide en ligne.

ZT_COLOR

ALCAlternativeColor

Couleur alternative

Disponible uniquement si la propriété Affichage alimentation multiple possède la valeur Couleur de remplacement.

Couleur de remplacement pour la fonction CAL avec des alimentations multiples.

Plus de détails dans l’aide en ligne.

VT_I2

ALCMSecuredSupply

Affichage alimentation sécurisée

Disponible uniquement si Couleur définie par CAL est activée.

Définition de l’affichage de l’alimentation sécurisée :

  • double épaisseur
  • double luminosité
  • normal

Par défaut : normal

Plus de détails dans l’aide en ligne.

VT_BOOL

ALCAlias

Alias

Disponible uniquement si la propriété Couleur définie par CAL est active.

Élément source défini pour la propriété Utiliser alias. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue et sélectionner un élément existant.
Remarque : Les alias ne peuvent pas être utilisés pour des symboles dans la bibliothèque générale de symboles ou la bibliothèque de symboles du projet.

Plus de détails dans l’aide en ligne.

VT_BSTR

ALCAliasName

Alias

Disponible uniquement si la propriété Couleur définie par CAL est active.

Élément source défini pour la propriété Utiliser alias. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue et sélectionner un élément existant.
Remarque : Les alias ne peuvent pas être utilisés pour des symboles dans la bibliothèque générale de symboles ou la bibliothèque de symboles du projet.

Plus de détails dans l’aide en ligne.

VT_R8

ALCReact

Valeur de réactance du câble [Ohm]

Valeur maximale de réactance autorisée de la ligne, en ohms.

Plus de détails dans l’aide en ligne.

VT_R8

ALCResist

Valeur de la résistance de la ligne électrique [Ohm]

Valeur maximale de résistance autorisée de la ligne, en ohms.

Plus de détails dans l’aide en ligne.

VT_R8

ALCLength

Longueur de la ligne [km]

Ligne CAL : longueur de la ligne.

Plus de détails dans l’aide en ligne.

VT_I2

ALCMaxIType

Limite de la capacité de transport de courant

Commutation CAL : valeur limite de la capacité actuelle (sélection fixe/variable).

Plus de détails dans l’aide en ligne.

VT_R8

ALCMaxIVal

Limite fixe de la capacité de transport de courant [A]

Commutation CAL : Capacité de transport de courant définie par une valeur limite.

Plus de détails dans l’aide en ligne.

ZT_VARIABLE_DYN

ALCVarMaxI

Valeur limite dynamique pour la capacité de transport de courant

More...

ALCVarMaxIEx

ALCVarMaxIEx

ZT_VARIABLE_DYN

ALCVarCalcI

Valeur de la mesure du flux de courant calculé

Ligne CAL : Valeur de la mesure du flux de courant calculé.

Plus de détails dans l’aide en ligne.

More...

ALCVarCalcIEx

ALCVarCalcIEx

ALC Leitung: Messwert des berechneten Stromflusses für Export.

Mehr in der Online-Hilfe.

ZT_STYLE

StyleGroup

Groupe de styles

Affichage et sélection du groupe de styles attribué à l’élément.
Cliquez sur le bouton ... pour ouvrir la boîte de dialogue permettant de sélectionner un groupe de styles.
Si plusieurs éléments sont sélectionnés, elles peuvent être attribuées à un groupe de styles commun.

Remarque : Seules les propriétés compatibles avec l’élément correspondant sont prises en charge.

Plus de détails dans l’aide en ligne.

More...

LnClVariable

LnClVariable

"With this property you have the opportunity to get informations about the variable which is linked as ""line/text color"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""LnClVariable.SymVarName"") 'Return the name of the ""line/text color"" variable
zElement.DynProperties (""LnClVariable.SymVarTagNr"") 'Return the identification of the ""line/text color"" variable"

More...

BkClVariable

BkClVariable

"With this property you have the opportunity to get informations about the variable which is linked as ""background/filling color"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""BkClVariable.SymVarName"") 'Return the name of the ""background/filling color"" variable
zElement.DynProperties (""BkClVariable.SymVarTagNr"") 'Return the identification of the ""background/filling color"" variable"

More...

BkCl2Variable

"BkCl2Variable"

More...

XVar

XVar

"With this property you have the opportunity to get informations about the variable which is linked as ""dynamic x position"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""XVar.SymVarName"") 'Return the name of the ""dynamic x position"" variable
zElement.DynProperties (""XVar.SymVarTagNr"") 'Return the identification of the ""dynamic x position"" variable"

More...

YVar

YVar

"With this property you have the opportunity to get informations about the variable which is linked as ""dynamic y position"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""YVar.SymVarName"") 'Return the name of the ""dynamic y position"" variable
zElement.DynProperties (""YVar.SymVarTagNr"") 'Return the identification of the ""dynamic y position"" variable"

More...

XVarZoom

XVarZoom

"With this property you have the opportunity to get informations about the variable which is linked as ""change width"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""XVarZoom.SymVarName"") 'Return the name of the ""change width"" variable
zElement.DynProperties (""XVarZoom.SymVarTagNr"") 'Return the identification of the ""change width"" variable"

More...

YVarZoom

YVarZoom

"With this property you have the opportunity to get informations about the variable which is linked as ""change height"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""YVarZoom.SymVarName"") 'Return the name of the ""change height"" variable
zElement.DynProperties (""YVarZoom.SymVarName"") 'Return the name of the ""change height"" variable
zElement.DynProperties (""YVarZoom.SymVarTagNr"") 'Return the identification of the ""change height"" variable"

More...

TwistVar

TwistVar

"With this property you have the opportunity to get informations about the variable which is linked as ""rotate"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""TwistVar.SymVarName"") 'Return the name of the ""rotate"" variable
zElement.DynProperties (""TwistVar.SymVarTagNr"") 'Return the identification of the ""rotate"" variable"

More...

VisVariable

VisVariable

"With this property you have the opportunity to get informations about the variable which is linked as ""visibility"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""VisVariable.SymVarName"") 'Return the name of the ""visibility"" variable
zElement.DynProperties (""VisVariable.SymVarTagNr"") 'Return the identification of the ""visibility"" variable"

More...

BlinkVar

BlinkVar

More...

GlowEffectGlowColorVar

GlowEffectGlowColorVar

More...

GlowEffectVisibilityVar

GlowEffectVisibilityVar

More...

GlowEffectBlinkVar

GlowEffectBlinkVar

VT_BSTR

Name

Nom d'élément

Attribuez un nom d’élément.
Il ne doit pas être vide.

Attention : Cette propriété n’est pas disponible aux fins de la commutation de langue.

Remarques concernant les cadrans : Pour les conteneurs de synoptique, spécifiez des noms clairement identifiables pour faciliter la sélection lors de la configuration des appels de synoptique.

Plus de détails dans l’aide en ligne.

VT_UI1

Layer

Niveau de visibilité

Sélectionnez l’un des 16 niveaux de visibilité (0 à 15) dans la liste déroulante. À l’aide de la barre d’outils Niveau de visibilité, vous décidez des niveaux qui doivent être affichés dans Editor. Cette fonction garantit que les synoptiques les plus complexes peuvent être développés de manière simple. Les niveaux peuvent être utilisés immédiatement. Les niveaux n’ont aucune influence sur les informations affichées au premier plan ou en arrière-plan dans le Runtime.
Par défaut : 0.

Plus de détails dans l’aide en ligne.

VT_I4

StartX

Point de départ X [pixels]

Coordonnée Y du coin supérieur gauche du synoptique (en pixels).

Plus de détails dans l’aide en ligne.

VT_I4

EndX

Point final X [pixels]

Coordonnée X du coin inférieur droit du synoptique (en pixels).

Plus de détails dans l’aide en ligne.

VT_I4

StartY

Point de départ Y [pixels]

Coordonnée Y du coin supérieur gauche du synoptique (en pixels).

Plus de détails dans l’aide en ligne.

VT_I4

EndY

Point final Y [pixels]

Coordonnée Y du coin inférieur droit du synoptique (en pixels).

Plus de détails dans l’aide en ligne.

VT_I4

Width

Largeur [pixels]

Largeur des éléments en pixels.

Remarque : disponible uniquement pour les éléments Combinaison multiple, Élément combiné, Bouton et Interrupteur si la valeur Ajusté a été sélectionnée pour la propriété Taille du graphique.

Plus de détails dans l’aide en ligne.

VT_I4

Height

Hauteur [pixels]

Hauteur des éléments en pixels.

Remarque : disponible uniquement pour les éléments Combinaison multiple, Élément combiné, Bouton et Interrupteur si la valeur Ajusté a été sélectionnée pour la propriété Taille du graphique.

Plus de détails dans l’aide en ligne.

VT_I4

Angle

Angle de rotation [°]

Angle libre autour selon lequel doit pivoter l’élément.
Les valeurs positives correspondent à une rotation dans le sens antihoraire, tandis que les valeurs négatives correspondent à une rotation dans le sens horaire. Les valeurs supérieures à 360° sont affichées sous forme d’écart par rapport à 360° (400° correspond à 40°). Seuls les nombres entiers sont autorisés.

Sur les éléments pivotés, les actions suivantes ne sont plus possibles :

  • Miroir
  • Rotation de +/- 90°
  • Redimensionnement à l’aide des touches fléchées

Par défaut : 0

Remarque : Ce paramètre est activé et réinitialisé lors de la configuration pour Windows CE.

Plus de détails dans l’aide en ligne.

VT_I2

ZoomMin

Visible de

Incrément de zoom le plus bas auquel l’élément est visible dans la vue globale.
Par défaut : -1
Une valeur de visibilité avec des incréments de zoom de -1 à -1 signifie que l’élément est affiché, quel que soit l’incrément de zoom sélectionné.

Les niveaux de zoom affichés dans la vue globale peuvent être configurés avec la propriété Apparence graphique -> Généralités runtime -> Pas de zoom pour vue globale.

Attention : Ce niveau de zoom s’applique à tous les types de synoptiques et cadres. Si un niveau de zoom défini est supérieur à 0, l’élément est uniquement affiché dans la vue globale, car les autres types de synoptique sont automatiquement appelés avec le niveau de zoom 0.

Plus de détails dans l’aide en ligne.

VT_I2

ZoomMax

Visible jusqu'à

Incrément de zoom le plus élevé auquel l’élément est visible dans la vue globale.

Par défaut : -1
Une valeur de visibilité avec des incréments de zoom de -1 à -1 signifie que l’élément est affiché, quel que soit l’incrément de zoom sélectionné.

Les niveaux de zoom affichés dans la vue globale peuvent être configurés avec la propriété Apparence graphique -> Généralités runtime -> Pas de zoom pour vue globale.

Attention : Ce niveau de zoom s’applique à tous les types de synoptiques et cadres. Si un niveau de zoom défini est supérieur à 0, l’élément est uniquement affiché dans la vue globale, car les autres types de synoptique sont automatiquement appelés avec le niveau de zoom 0.

Plus de détails dans l’aide en ligne.

VT_BSTR

Stationname

Nom liste d'objets

L’élément est saisi directement dans la liste de stations du synoptique Vue globale, et le texte est saisi ici.

Plus de détails dans l’aide en ligne.

ZT_VARIABLE_DYN

LineColorVariable

Couleur de ligne

Nom des variables dont les couleurs de valeur limite doivent influencer la couleur de ligne/de texte de l’élément. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de variables.

Plus de détails dans l’aide en ligne.

ZT_PREVIEW

LineColorVarPreview

Affichage aperçu couleur

Affichage de la valeur limite pour la propriété Couleur de ligne définie pour la variable. Disponible uniquement si l’option Depuis la variable a été configurée pour la propriété Couleur de ligne.

Un aperçu des propriétés définies pour la valeur limite est affiché dans le champ. Aucun aperçu n’est affiché pour les matrices de réaction.
Cliquez sur le bouton ... pour ouvrir la boîte de dialogue d’affichage des résultats. Les valeurs limite sont uniquement affichées ; elles ne peuvent pas être modifiées. Les modifications doivent être effectuées directement dans les propriétés de la variable pour Valeurs limite.

Plus de détails dans l’aide en ligne.

ZT_VARIABLE_DYN

BackColorVariable

Couleur de remplissage

Nom de la variable dont les couleurs de valeur limite doivent influencer la couleur d’arrière-plan/de remplissage de l’élément.
Ouvre la boîte de dialogue de sélection de variables.

Plus de détails dans l’aide en ligne.

ZT_PREVIEW

BackColorVarPreview

Affichage aperçu couleur

Affichage de la valeur limite pour la propriété Couleur de remplissage définie pour la variable. Disponible uniquement si l’option Depuis la variable a été configurée pour la propriété Couleur de remplissage.

Un aperçu des propriétés définies pour la valeur limite est affiché dans le champ. Aucun aperçu n’est affiché pour les matrices de réaction.
Cliquez sur le bouton ... pour ouvrir la boîte de dialogue d’affichage des résultats. Les valeurs limite sont uniquement affichées ; elles ne peuvent pas être modifiées. Les modifications doivent être effectuées directement dans les propriétés de la variable pour Valeurs limite.

Plus de détails dans l’aide en ligne.

VT_UI1

HorizontalOrigin

Horizontal

Point de référence horizontal de l’événement. Les valeurs possibles sont : gauche, centré, droite.
Ce point est utilisé en tant que base de calcul de l’angle de départ de la rotation (statique et dynamique) et pour le changement dynamique de taille.

Par défaut : À gauche

Plus de détails dans l’aide en ligne.

VT_UI1

VerticalOrigin

Vertical

Point de référence vertical de l’événement. Les valeurs possibles sont : haut, centré, bas.
Ce point est utilisé en tant que base de calcul de l’angle de départ de la rotation (statique et dynamique) et pour le changement dynamique de taille.

Par défaut : En haut

Plus de détails dans l’aide en ligne.

VT_UI4

VisibilityType

Visibilité

Sélection depuis laquelle la visibilité d’un élément est déterminée :

  • Depuis une variable
  • Du verrrouillage

Par défaut : Depuis une variable

Plus de détails dans l’aide en ligne.

ZT_VARIABLE_DYN

VisibilityVariable

Variable

Disponible uniquement si l’option Depuis la variable a été configurée pour la propriété Visibilité.

Nom de la variable dont la valeur contrôle la visibilité de l’élément. La visibilité est soit reprise des propriétés de valeur limite de ces variables, soit définie par la plage de valeurs définie dans les propriétés de et À.
Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de variables. Vous pouvez également saisir manuellement le nom dans le champ de texte.
L'élément reste visible tant qu’aucune variable n’est liée.

Plus de détails dans l’aide en ligne.

ZT_PREVIEW

VisVarPreview

Affichage aperçu visibilité

Affichage des valeurs limite pour la visibilité définies pour la variable. Disponible uniquement si l’option Depuis la variable a été configurée pour la propriété Variable dans le groupe Visibilité.

Un aperçu des propriétés définies pour la valeur limite est affiché dans le champ. Aucun aperçu n’est affiché pour les matrices de réaction.
Cliquez sur le bouton ... pour ouvrir la boîte de dialogue d’affichage des résultats. Les valeurs limite sont uniquement affichées ; elles ne peuvent pas être modifiées. Les modifications doivent être effectuées directement dans les propriétés de la variable pour Valeurs limite.

Plus de détails dans l’aide en ligne.

VT_BOOL

VisibilityFromLimit

A partir des valeurs limites

Uniquement disponible après la sélection d’une variable :

  • Active : La visibilité de l’élément est influencée par la propriété de valeur limite de la variable.

    Attention : La propriété Invisible doit être active pour au moins une valeur limite de la variable.

  • Inactive : la visibilité est influencée par les propriétés de l’élément.

Par défaut : active

Plus de détails dans l’aide en ligne.

VT_R8

VisibilityFrom

de

Disponible uniquement après la sélection d’une variable, si la visibilité n’a pas été reprise par la valeur limite :

Valeur minimum de la variable à laquelle l’élément est visible.

  • Minimum : valeur minimum possible de la variable liée.
  • Maximum : valeur maximum possible de la variable liée.

Par défaut : valeur minimum possible de la variable liée.

Plus de détails dans l’aide en ligne.

VT_R8

VisibilityTo

À

Disponible uniquement après la sélection d’une variable, si la visibilité n’a pas été reprise par la valeur limite :

Valeur maximale de la variable à laquelle l’élément est visible.

  • Minimum : valeur minimum possible de la variable liée.
  • Maximum : valeur maximum possible de la variable liée.

Par défaut : valeur maximum possible de la variable liée.

Plus de détails dans l’aide en ligne.

VT_UI4

Interlocking

Verrouillage

Disponible uniquement si l’option Depuis le verrouillage est sélectionnée pour la propriété Visibilité.

Nom du verrouillage dont la valeur contrôle la visibilité de l’élément. Sélectionnez dans la liste déroulante. Celle-ci contient tous les verrouillages existants et utilisables. L’élément est toujours visible si aucun verrouillage n’est lié.

Plus de détails dans l’aide en ligne.

VT_BSTR

InterlockingName

InterlockingName

Description

VT_BOOL

VisibleWhenInterlocked

Visible si verrouillé

Contrôle la visibilité de l’élément lorsque le verrouillage est sélectionné :

  • Active : L’élément est visible s’il est verrouillé.
  • Inactive : L’élément est visible s’il n’est pas verrouillé.

Par défaut : inactive

Plus de détails dans l’aide en ligne.

ZT_VARIABLE_DYN

BlinkVariable

Affichage aperçu clignotement

Affichage des valeurs limite pour le clignotement définies pour la variable. Disponible uniquement si l’option Depuis la variable a été configurée pour la propriété Prendre le clignotement de la limite.

Un aperçu des propriétés définies pour la valeur limite est affiché dans le champ. Aucun aperçu n’est affiché pour les matrices de réaction.
Cliquez sur le bouton ... pour ouvrir la boîte de dialogue d’affichage des résultats. Les valeurs limite sont uniquement affichées ; elles ne peuvent pas être modifiées. Les modifications doivent être effectuées directement dans les propriétés de la variable pour Valeurs limite.

Plus de détails dans l’aide en ligne.

ZT_PREVIEW

BlinkVarPreview

Affichage aperçu clignotement

Affichage des valeurs limite pour le clignotement définies pour la variable. Disponible uniquement si l’option Depuis la variable a été configurée pour la propriété Prendre le clignotement de la limite.

Un aperçu des propriétés définies pour la valeur limite est affiché dans le champ. Aucun aperçu n’est affiché pour les matrices de réaction.
Cliquez sur le bouton ... pour ouvrir la boîte de dialogue d’affichage des résultats. Les valeurs limite sont uniquement affichées ; elles ne peuvent pas être modifiées. Les modifications doivent être effectuées directement dans les propriétés de la variable pour Valeurs limite.

Plus de détails dans l’aide en ligne.

VT_BOOL

UseBlinkColor

Couleur de clignotement par la limite

Active : Reprend la couleur d’arrière-plan du clignotement défini pour la valeur limite active de la variable pour Prendre le clignotement de la limite. Durant le clignotement, l’élément ne devient pas invisible, mais reprend la couleur d’arrière-plan active.

Par défaut : Inactive

Remarque : la couleur n’est pas prise en compte si la couleur d’arrière-plan Transparence est configurée.

Plus de détails dans l’aide en ligne.

ZT_VARIABLE_DYN

XVariable

Variable

Nom de la variable utilisée pour le déplacement horizontal de l’élément.
Ouvre la boîte de dialogue de sélection de variables.

Plus de détails dans l’aide en ligne.

VT_R8

XVarMin

Valeur min de la variable

Valeur minimale de la variable utilisée pour le déplacement horizontal de l’élément.

Plus de détails dans l’aide en ligne.

VT_R8

XVarMax

Valeur max de la variable

Valeur maximale de la variable utilisée pour le déplacement horizontal de l’élément.

Plus de détails dans l’aide en ligne.

VT_I4

XViewMin

Mouvement min [pixels]

Position horizontale de l’élément pour la valeur minimale de la variable (en pixels).

Plus de détails dans l’aide en ligne.

VT_I4

XViewMax

Mouvement max [pixels]

Position horizontale de l’élément pour la valeur minimale de la variable (en pixels).

Plus de détails dans l’aide en ligne.

ZT_VARIABLE_DYN

YVariable

Variable

Nom de la variable utilisée pour le déplacement vertical de l’élément.
Ouvre la boîte de dialogue de sélection de variables.

Plus de détails dans l’aide en ligne.

VT_R8

YVarMin

Valeur min de la variable

Valeur minimale de la variable utilisée pour le déplacement vertical de l’élément.

Plus de détails dans l’aide en ligne.

VT_R8

YVarMax

Valeur max de la variable

Valeur maximale de la variable utilisée pour le déplacement vertical de l’élément.

Plus de détails dans l’aide en ligne.

VT_I4

YViewMin

Mouvement min [pixels]

Position verticale de l’élément pour la valeur minimale de la variable (en pixels).

Plus de détails dans l’aide en ligne.

VT_I4

YViewMax

Mouvement max [pixels]

Position verticale de l’élément pour la valeur maximale de la variable (en pixels).

Plus de détails dans l’aide en ligne.

ZT_VARIABLE_DYN

XZoomVariable

Variable

Nom de la variable utilisée pour l’agrandissement de la largeur de l’élément.
Ouvre la boîte de dialogue de sélection de variables.

Plus de détails dans l’aide en ligne.

VT_R8

XZoomVarMin

Valeur min de la variable

Valeur minimale de la variable utilisée pour effectuer un zoom à la largeur de l’élément.

Plus de détails dans l’aide en ligne.

VT_R8

XZoomVarMax

Valeur max de la variable

Valeur maximale de la variable utilisée pour effectuer un zoom sur la largeur de l’élément.

Plus de détails dans l’aide en ligne.

VT_I4

XZoomViewMin

Largeur min [%]

Facteur de zoom correspondant à la largeur de l’élément pour la valeur minimale de la variable (en pixels).

Plus de détails dans l’aide en ligne.

VT_I4

XZoomViewMax

Largeur max [%]

Facteur de zoom correspondant à la largeur de l’élément pour la valeur maximale de la variable (en pixels).

Plus de détails dans l’aide en ligne.

ZT_VARIABLE_DYN

YZoomVariable

Variable

Nom de la variable utilisée pour l’agrandissement de la hauteur de l’élément.
Ouvre la boîte de dialogue de sélection de variables.

Plus de détails dans l’aide en ligne.

VT_R8

YZoomVarMin

Valeur min de la variable

Valeur minimum de la variable utilisée pour effectuer un zoom sur la hauteur de l’élément.

Plus de détails dans l’aide en ligne.

VT_R8

YZoomVarMax

Valeur max de la variable

Valeur maximum de la variable utilisée pour effectuer un zoom sur la hauteur de l’élément.

Plus de détails dans l’aide en ligne.

VT_I4

YZoomViewMin

Hauteur min [%]

Facteur de zoom correspondant à la hauteur de l’élément pour la valeur minimum de la variable (en %).

Plus de détails dans l’aide en ligne.

VT_I4

YZoomViewMax

Hauteur max [%]

Facteur de zoom correspondant à la hauteur de l’élément pour la valeur maximale de la variable (en pixels).

Plus de détails dans l’aide en ligne.

ZT_VARIABLE_DYN

TwistVariable

Variable

Nom de la variable utilisée pour la rotation de l’élément.

Plus de détails dans l’aide en ligne.

VT_R8

TwistVarMin

Valeur min de la variable

Valeur minimum de la variable utilisée pour la rotation de l’élément.

Plus de détails dans l’aide en ligne.

VT_R8

TwistVarMax

Valeur max de la variable

Valeur maximale de la variable utilisée pour la rotation de l’élément.

Plus de détails dans l’aide en ligne.

VT_I4

TwistViewMin

Rotation min [°]

Angle de rotation de l’élément pour la valeur minimum de la variable (en °).

Plus de détails dans l’aide en ligne.

VT_I4

TwistViewMax

Rotation max [°]

Angle de rotation de l’élément pour la valeur maximum de la variable (en °).

Plus de détails dans l’aide en ligne.

ZT_STYLE

ShadowEffectStyle

Style effet cadres/ombres

Affichage et sélection du style de cadre et d’ombre attribué à l’élément.

Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de style.
Si plusieurs éléments ont été sélectionnés, ils peuvent être attribués à un style commun.

Remarque : Seules les propriétés compatibles avec l’élément correspondant sont prises en charge.

Plus de détails dans l’aide en ligne.

VT_BOOL

EnablePunchFrame

Afficher le cadre

A frame around the element can be displayed.
Default: inactive.

ZT_STYLE

GlowEffectStyle

Style effet de rayonnement

Affichage et sélection du style des effets de luminescence attribués à l’élément.

Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de style.
Si plusieurs éléments ont été sélectionnés, ils peuvent être attribués à un style commun.

Remarque : Seules les propriétés compatibles avec l’élément correspondant sont prises en charge.

Plus de détails dans l’aide en ligne.

VT_BOOL

GlowEffectEvent

Actif seulement si cliqué

Disponible uniquement si la propriété Activer est active et l’élément est un bouton.

Active : l’effet de luminescence est uniquement affiché lorsque l’utilisateur clique sur le bouton. Cliquer sur le bouton permet de modifier la couleur, le clignotement ou l’invisibilité de l’effet de luminescence.

Par défaut : Inactive

Plus de détails dans l’aide en ligne.

ZT_VARIABLE_DYN

GlowEffectGlowColorVariable

Variable pour la couleur

Disponible uniquement si la propriété Activer est active. La propriété Coloration doit être activée.

Nom de la variable dont la couleur aux valeurs limites doit influencer la couleur de l’effet de luminescence pour l’élément. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de variables. Vous pouvez également saisir le nom manuellement dans le champ de texte. Si aucune variable n’est liée, la couleur définie dans la propriété Couleur est utilisée.

Par défaut : aucune variable liée

Plus de détails dans l’aide en ligne.

ZT_PREVIEW

GlowEffectGlowColorVariablePreview

Affichage aperçu couleur

Affichage de la valeur limite définie pour la variable de couleur lorsque l’effet de luminescence est actif. Disponible uniquement si l’option Depuis la variable a été configurée pour la propriété Variable pour la couleur.

Un aperçu des propriétés définies pour la valeur limite est affiché dans le champ. Aucun aperçu n’est affiché pour les matrices de réaction.
Cliquez sur le bouton ... pour ouvrir la boîte de dialogue d’affichage des résultats. Les valeurs limite sont uniquement affichées ; elles ne peuvent pas être modifiées. Les modifications doivent être effectuées directement dans les propriétés de la variable pour Valeurs limite.

Plus de détails dans l’aide en ligne.

ZT_VARIABLE_DYN

GlowEffectVisibilityVariable

Variable pour la visibilité

Disponible uniquement si la propriété Activer est active.

Nom de la variable dont la valeur influence la visibilité de l’effet de luminescence. La visibilité est soit reprise des propriétés de valeur limite de cette variable (propriété Visibilité depuis valeur limite active), soit définie par la plage de valeurs définie dans les propriétés Visible de et Visible jusqu'à. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de variables. Vous pouvez également saisir le nom manuellement dans le champ de texte.

Remarque : si aucune variable n’est liée, l’effet de luminescence est toujours visible.

Par défaut : aucune variable liée

Plus de détails dans l’aide en ligne.

ZT_PREVIEW

GlowEffectVisibilityVariablePreview

Affichage aperçu visibilité

Affichage de la valeur limite définie pour la variable de visibilité lorsque l’effet de luminescence est actif. Disponible uniquement si l’option Depuis la variable a été configurée pour la propriété Variable pour la visibilité.

Un aperçu des propriétés définies pour la valeur limite est affiché dans le champ. Aucun aperçu n’est affiché pour les matrices de réaction.
Cliquez sur le bouton ... pour ouvrir la boîte de dialogue d’affichage des résultats. Les valeurs limite sont uniquement affichées ; elles ne peuvent pas être modifiées. Les modifications doivent être effectuées directement dans les propriétés de la variable pour Valeurs limite.

Plus de détails dans l’aide en ligne.

VT_BOOL

GlowEffectVisibilityFromLimit

Visibilité depuis valeur limite

Disponible uniquement si la propriété Activer est active. Vous devez en outre définir une variable dans la propriété Variable pour la visibilité.

Active : La visibilité de l’effet de luminescence est influencée par la propriété de valeur limite de la variable.

Attention : Pour une valeur limite de la variable au moins, la propriété Invisible doit être active.

Inactive : la visibilité est influencée par les propriétés de l’élément.

Plus de détails dans l’aide en ligne.

VT_R8

GlowEffectVisibilityFrom

Visible de

Disponible uniquement si la propriété Activer est active. Vous devez en outre définir une variable dans la propriété Variable pour la visibilité ; la propriété Visibilité depuis valeur limite doit être inactive.

Définit la valeur à partir de laquelle l’effet de luminescence devient visible.
Minimum : valeur la moins élevée autorisée pour la variable liée dans Variable pour la visibilité.
Maximum : valeur la moins élevée autorisée pour la variable liée dans Variable pour la visibilité.
Par défaut : valeur la plus élevée autorisée pour la variable liée dans Variable pour la visibilité.

Plus de détails dans l’aide en ligne.

VT_R8

GlowEffectVisibilityTo

Visible jusqu'à

Disponible uniquement si la propriété Activer est active. Vous devez en outre définir une variable dans la propriété Variable pour la visibilité ; la propriété Visibilité depuis valeur limite doit être inactive.

Définit la valeur jusqu’à laquelle l’effet de luminescence reste visible.
Minimum : valeur la plus basse autorisée pour la variable liée dans Variable pour la visibilité.
Maximum : valeur la plus élevée autorisée pour la variable liée dans Variable pour la visibilité.
Par défaut : valeur la plus élevée autorisée pour la variable liée dans Variable pour la visibilité.

Plus de détails dans l’aide en ligne.

ZT_VARIABLE_DYN

GlowEffectBlinkVariable

Variable pour le clignotement

Variables dont les paramètres de clignotement de l’effet de luminescence aux valeurs limites doivent être repris. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de variables.

Par défaut : aucune variable liée

Plus de détails dans l’aide en ligne.

ZT_PREVIEW

GlowEffectBlinkVariablePreview

Affichage aperçu clignotement

Affichage de la valeur limite définie pour la variable de clignotement lorsque l’effet de luminescence est actif. Disponible uniquement si l’option Depuis la variable a été configurée pour la propriété Variable pour le clignotement.

Un aperçu des propriétés définies pour la valeur limite est affiché dans le champ. Aucun aperçu n’est affiché pour les matrices de réaction.
Cliquez sur le bouton ... pour ouvrir la boîte de dialogue d’affichage des résultats. Les valeurs limite sont uniquement affichées ; elles ne peuvent pas être modifiées. Les modifications doivent être effectuées directement dans les propriétés de la variable pour Valeurs limite.

Plus de détails dans l’aide en ligne.

VT_BOOL

GlowEffectUseBlinkColor

Clignotement depuis valeur limite

Disponible uniquement si la propriété Activer est active. Vous devez en outre définir une variable dans la propriété Variable pour le clignotement.

Active : Reprend, pour l’effet de luminescence, la couleur de clignotement de la valeur limite active pour la variable définie dans la propriété Couleur de clignotement par la limite. Cette propriété agit indépendamment de la propriété Coloration. En cas de clignotement, l’effet de luminescence ne devient pas invisible, mais reprend les paramètres de l’effet de luminescence actif.

Par défaut : Inactive

Plus de détails dans l’aide en ligne.

VT_BOOL

GlowEffect2ndBlinkStateVisible

2 états de clignotement invisibles

Disponible uniquement si la propriété Activer est active. Vous devez en outre définir une variable dans la propriété Variable pour le clignotement ; la propriété Clignotement depuis valeur limite doit être inactive.

Active : En cas de clignotement, l’effet de luminescence ne bascule pas vers l’effet de luminescence actif, mais devient invisible. Ceci permet de basculer entre l’invisibilité et la couleur de clignotement en cas de dépassement de la valeur limite.

Par défaut : Inactive

Plus de détails dans l’aide en ligne.


CDynEleVarMulti

Manuel -> Interfaces de programmation -> Modèles d'objet -> Element -> Element-Dynamic properties -> CDynEleVarMulti

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | VBA/VSTA Name | Display Name | Description
VT_UI2 | Symbol | Symbole | Un symbole peut être sélectionné dans la liste de symboles affichée à l’écran. Plus de détails dans l’aide en ligne.
ZT_COLOR | ColorLow | ColorLow |
ZT_COLOR | ColorHigh | ColorHigh |
ZT_COLOR | BkColorLow | BkColorLow |
ZT_COLOR | BkColorHigh | BkColorHigh |
VT_BSTR | BitmapLow | BitmapLow | "With this item you have the opportunity to get/set the picture for the ""low"" state of a multibin element via a string."
VT_BSTR | BitmapHigh | BitmapHigh | "With this item you have the opportunity to get/set the picture for the ""high"" state of a multibin element via a string."
VT_BSTR | StateTextLow | StateTextLow | With this property you have the opportunity to get/set the text for the low state of the mulibin element.
VT_BSTR | StateTextHigh | StateTextHigh | With this property you have the opportunity to get/set the text for the high state of the mulibin element.
VT_UI4 | KeyFlags1 | KeyFlags1 | "A long value which sets the keys for the ""key combination"" property of the multibin element. This property is available when a bool variable is linked to the element. "
VT_UI4 | KeyFlags2 | KeyFlags2 | "A long value which sets the keys for the ""key combination"" property of the multibin element. This property is available when a bool variable is linked to the element. "
VT_I2 | KeyFlags3 | KeyFlags3 | "A long value which sets the keys for the ""key combination"" property of the multibin element. This property is available when a bool variable is linked to the element. "
VT_UI4 | Value | Value |
VT_BSTR | Bits | Bits |
ZT_VARIABLE | ProjectVar | ProjectVar | This property returns a variable. It is also possible to link a new variable via this property.
VT_BSTR | SymVarName | SymVarName | This property returns the name of a variable.
VT_BSTR | SymVarTagNr | SymVarTagNr | This property returns the identification of a variable.


Combo Listbox

Manuel -> Interfaces de programmation -> Modèles d'objet -> Element -> Element-Dynamic properties -> Combo Listbox

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Type

VBA/VSTA Name

Display Name

Description

More...

DynEleVar

DynEleVar

"With this property you have the opportunity to get informations about the variable (projected via ""Variable assignment"" in the ActiveX selection dialog) which is linked at an ActiveX element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""DynEleVar.SymVarName"") 'Return the name of the variable which is assigned to the ActiveX
zElement.DynProperties (""DynEleVar.SymVarTagNr"") 'Return the identification of the variable which is assigned to the ActiveX"

More...

States

States

With this property you have the opportunity to get/set some properties of the different statis. The settings can be handled via some subitems.

ZT_VARIABLE_DYN

Variable

Variable

Nom de la variable liée. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de variables.
La valeur de cette variable est affichée dans cet élément et peut également être définie ici.

Remarque : Disponible uniquement pour les boutons s’ils sont utilisés en tant qu’interrupteurs.

Conseil : si la valeur de la variable doit être basculée, nous vous recommandons d’activer la propriété Variable lue en permanence. Dans le cas contraire, le Runtime patiente jusqu’à ce que le driver connaisse la valeur des variables. Si la valeur n’est pas disponible en raison d’une interruption des communications avec le contrôleur, le délai d’attente correspond au délai d’attente avant expiration du driver.

SICAM 230 et élément Synoptique d’alarmes uniquement :
La description ci-dessus s’applique uniquement aux éléments Bouton texte, Bouton bitmap et Bouton invisible.
Signification dans SICAM 230 : Les états des classes d’alarmes/d’événements seront attribués à la variable sélectionnée (32 bits). Pour chaque classe, 2 bits seront utilisés (par numéro de classe, dans l’ordre croissant).

  • Bit inférieur : alarme active/inactive
  • Bit supérieur : alarme acquittée/non acquittée

Plus de détails dans l’aide en ligne.

ZT_STYLE

FillStyle

Style de remplissage

Affichage et sélection du style de remplissage attribué à l’élément.

Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de style.
Si plusieurs éléments ont été sélectionnés, ils peuvent être attribués à un style commun.

Remarque : Seules les propriétés compatibles avec l’élément correspondant sont prises en charge.

Plus de détails dans l’aide en ligne.

ZT_STYLE

FillStyleForSelected

Style de remplissage sur la sélection

Affichage et sélection du style de remplissage attribué à l’élément pendant la sélection.

Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de style.
Si plusieurs éléments ont été sélectionnés, ils peuvent être attribués à un style commun.

Remarque : Seules les propriétés compatibles avec l’élément correspondant sont prises en charge.

Plus de détails dans l’aide en ligne.

VT_UI2

ControlType

Type
  • Liste déroulante : cet élément est utilisé en tant que zone de liste déroulante.
  • Zone de liste : cet élément est utilisé en tant que zone de liste.

Par défaut : Zone de liste

Plus de détails dans l’aide en ligne.

VT_BOOL

ShowState

Visualiser l'état de la variable

Affichage graphique de l’état de la variable. Sélection à l’aide d’une case à cocher.

  • Active : l’état des variables est indiqué par un carré de couleur au niveau de l’élément.

    Couleur :

    • Carré rouge :
      pas de communication avec l’automate.
      Exemple : INVALID, OFF, ALT_VAL, REVISION, TIMEOUT, ...
    • Carré bleu (N_UPDATE) :
      Sur le client réseau :
      La connexion entre le client et le serveur principal a été interrompue.

      Avec un projet d’intégration indépendant :
      Le serveur principal n’a pas encore fourni les données.
    • Carré jaune (PR_NR) :
      Indique, dans le Runtime, que la variable n’a pas été enregistrée pendant la lecture dans le module Process Recorder. Par conséquent, aucune valeur n’a été identifiée lors de la lecture.

    Position :
    La position du carré au niveau de l’élément dépend de la forme de l’élément :

    • Anguleux et tous autres éléments :
      Coin supérieur droit
    • Élément circulaire :
      En haut, au milieu
    • Élément arrondi :
      coin supérieur droit, légèrement décalé vers la gauche
  • Inactive : L’état n’est pas représenté.
    Désactive également la possibilité d’afficher les informations supplémentaires concernant la variable avec un clic droit.

Par défaut : Actif

Plus de détails dans l’aide en ligne.

VT_BOOL

InstantReaction

Réaction immédiate

Vous permet d’afficher une réaction telle qu’elle s’est déjà produite, même si la réponse d’un driver dont la réaction est lente n’a pas encore été reçue.

active : affiche la réaction du driver telle qu’elle s’est déjà produite dans la visualisation, même si le système est toujours en attente de cette réaction.

Par défaut : active

Remarque : Si le driver ne réagit pas, l’absence de réaction ne sera pas prise en compte.

Plus de détails dans l’aide en ligne.

VT_BSTR

Status

Entrées

Disponible uniquement si la propriété Entrées depuis une variable chaine est inactive.

Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de définition des entrées pour une zone de liste statique ou modifiable.

Plus de détails dans l’aide en ligne.

ZT_STYLE

TextStyle

Style de texte

Affichage et sélection du style de texte attribué à l’élément.

Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de style.
Si plusieurs éléments ont été sélectionnés, ils peuvent être attribués à un style commun.

Remarque : Seules les propriétés compatibles avec l’élément correspondant sont prises en charge.

Plus de détails dans l’aide en ligne.

ZT_STYLE

TextStyleForSelected

Style de texte pour la sélection

Affichage et sélection du style de texte attribué à l’élément lors de la sélection.

Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de style.
Si plusieurs éléments ont été sélectionnés, ils peuvent être attribués à un style commun.

Remarque : Seules les propriétés compatibles avec l’élément correspondant sont prises en charge.

Plus de détails dans l’aide en ligne.

ZT_VARIABLE_DYN

LineColorVariable

Couleur du texte

Nom de la variable dont la couleur de valeur limite doit influencer la couleur de texte de l’élément. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de variables.

Plus de détails dans l’aide en ligne.

ZT_PREVIEW

LineColorVarPreview

Affichage aperçu couleur

Affichage de la valeur limite pour la propriété Couleur de ligne définie pour la variable. Disponible uniquement si l’option Depuis la variable a été configurée pour la propriété Couleur de ligne.

Un aperçu des propriétés définies pour la valeur limite est affiché dans le champ. Aucun aperçu n’est affiché pour les matrices de réaction.
Cliquez sur le bouton ... pour ouvrir la boîte de dialogue d’affichage des résultats. Les valeurs limite sont uniquement affichées ; elles ne peuvent pas être modifiées. Les modifications doivent être effectuées directement dans les propriétés de la variable pour Valeurs limite.

Plus de détails dans l’aide en ligne.

VT_BOOL

UseDynContent

Entrées depuis une variable chaine

Active : Les entrées dans la liste déroulante sont définies par le biais de la variable de chaîne sélectionnée dans la propriété Variable.

Inactive : les entrées sont définies par le biais de la boîte de dialogue de la propriété Entrées dans Editor.

Par défaut : Inactive

Plus de détails dans l’aide en ligne.

ZT_VARIABLE_DYN

DynContentVariable

Variable

Disponible uniquement si la propriété Entrées depuis une variable chaine est active.

Sélection de la variable de chaîne contenant les entrées de la liste déroulante. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de variables.

Plus de détails dans l’aide en ligne.

VT_BOOL

Signature

Signature nécéssaire

Active : Une signature est nécessaire pour actionner l’élément.

Pour des raisons de sécurité, l’utilisateur sera invité à saisir son mot de passe même s’il est déjà connecté. Le texte de la signature est enregistré dans la liste d’événements (CEL) après que l’élément ait été utilisé avec succès.

Attention : seuls les utilisateurs connectés peuvent signer une action. La signature d’actions avec un identifiant temporaire n’est plus possible.

Inactive : aucune signature n’est requise.

(Par défaut) Inactive :

Plus de détails dans l’aide en ligne.

VT_BSTR

SignatureText

Texte de signature

Ce texte est également consigné lors de la signature dans la liste d’événements (CEL) ou est proposé par défaut dans le Runtime si la signature est définie comme modifiable dans les propriétés du projet.

Plus de détails dans l’aide en ligne.

VT_I2

SignatureEditModus

Texte de signature éditable

Définit si le texte de signature peut être édité. Sélectionnez dans la liste déroulante :

  • Appliquer les paramètres projet : Les paramètres de la propriété de projet Texte de signature éditable sont applicables.
  • Oui : Texte modifiables
  • Non : Le texte ne peut pas être édité.

Par défaut : Appliquer les paramètres projet

Plus de détails dans l’aide en ligne

VT_UI2

Passwordlevel

Niveau d'autorisation

Le niveau du mot de passe d’écriture de valeurs prescrites ou d’exécution de fonctions avec l’élément dynamique sélectionné.
Minimum : 0.
Maximum : 127
Par défaut : 0.

Plus de détails dans l’aide en ligne.

VT_UI4

Locking

Verrouillage

Lien vers un verrouillage existant avec cet élément.

Si une condition dans une des formules du verrouillage est vraie, cet élément est verrouillé de manière à ce qu’aucun fonctionnement ne soit possible. Si cela a été défini dans les propriétés du projet, un symbole représentant un verrou est affiché aussi longtemps que le verrouillage est actif.

Remarque : Les verrouillages ne peuvent pas être utilisés pour des symboles dans la bibliothèque générale de symboles ou la bibliothèque de symboles du projet.

Plus de détails dans l’aide en ligne.

VT_BSTR

LockingName

LockingName

"With this property you have the opportunity to assign an interlocking via its name.
zElement.DynProperties(""LockingName"") = ""Interlocking 1"""

ZT_STYLE

StyleGroup

Groupe de styles

Affichage et sélection du groupe de styles attribué à l’élément.
Cliquez sur le bouton ... pour ouvrir la boîte de dialogue permettant de sélectionner un groupe de styles.
Si plusieurs éléments sont sélectionnés, elles peuvent être attribuées à un groupe de styles commun.

Remarque : Seules les propriétés compatibles avec l’élément correspondant sont prises en charge.

Plus de détails dans l’aide en ligne.

More...

LnClVariable

LnClVariable

"With this property you have the opportunity to get informations about the variable which is linked as ""line/text color"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""LnClVariable.SymVarName"") 'Return the name of the ""line/text color"" variable
zElement.DynProperties (""LnClVariable.SymVarTagNr"") 'Return the identification of the ""line/text color"" variable"

More...

BkClVariable

BkClVariable

"With this property you have the opportunity to get informations about the variable which is linked as ""background/filling color"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""BkClVariable.SymVarName"") 'Return the name of the ""background/filling color"" variable
zElement.DynProperties (""BkClVariable.SymVarTagNr"") 'Return the identification of the ""background/filling color"" variable"

More...

BkCl2Variable

"BkCl2Variable"

More...

XVar

XVar

"With this property you have the opportunity to get informations about the variable which is linked as ""dynamic x position"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""XVar.SymVarName"") 'Return the name of the ""dynamic x position"" variable
zElement.DynProperties (""XVar.SymVarTagNr"") 'Return the identification of the ""dynamic x position"" variable"

More...

YVar

YVar

"With this property you have the opportunity to get informations about the variable which is linked as ""dynamic y position"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""YVar.SymVarName"") 'Return the name of the ""dynamic y position"" variable
zElement.DynProperties (""YVar.SymVarTagNr"") 'Return the identification of the ""dynamic y position"" variable"

More...

XVarZoom

XVarZoom

"With this property you have the opportunity to get informations about the variable which is linked as ""change width"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""XVarZoom.SymVarName"") 'Return the name of the ""change width"" variable
zElement.DynProperties (""XVarZoom.SymVarTagNr"") 'Return the identification of the ""change width"" variable"

More...

YVarZoom

YVarZoom

"With this property you have the opportunity to get informations about the variable which is linked as ""change height"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""YVarZoom.SymVarName"") 'Return the name of the ""change height"" variable
zElement.DynProperties (""YVarZoom.SymVarName"") 'Return the name of the ""change height"" variable
zElement.DynProperties (""YVarZoom.SymVarTagNr"") 'Return the identification of the ""change height"" variable"

More...

TwistVar

TwistVar

"With this property you have the opportunity to get informations about the variable which is linked as ""rotate"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""TwistVar.SymVarName"") 'Return the name of the ""rotate"" variable
zElement.DynProperties (""TwistVar.SymVarTagNr"") 'Return the identification of the ""rotate"" variable"

More...

VisVariable

VisVariable

"With this property you have the opportunity to get informations about the variable which is linked as ""visibility"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""VisVariable.SymVarName"") 'Return the name of the ""visibility"" variable
zElement.DynProperties (""VisVariable.SymVarTagNr"") 'Return the identification of the ""visibility"" variable"

More...

BlinkVar

BlinkVar

More...

GlowEffectGlowColorVar

GlowEffectGlowColorVar

More...

GlowEffectVisibilityVar

GlowEffectVisibilityVar

More...

GlowEffectBlinkVar

GlowEffectBlinkVar

VT_BSTR

Name

Nom d'élément

Attribuez un nom d’élément.
Il ne doit pas être vide.

Attention : Cette propriété n’est pas disponible aux fins de la commutation de langue.

Remarques concernant les cadrans : Pour les conteneurs de synoptique, spécifiez des noms clairement identifiables pour faciliter la sélection lors de la configuration des appels de synoptique.

Plus de détails dans l’aide en ligne.

VT_UI1

Layer

Niveau de visibilité

Sélectionnez l’un des 16 niveaux de visibilité (0 à 15) dans la liste déroulante. À l’aide de la barre d’outils Niveau de visibilité, vous décidez des niveaux qui doivent être affichés dans Editor. Cette fonction garantit que les synoptiques les plus complexes peuvent être développés de manière simple. Les niveaux peuvent être utilisés immédiatement. Les niveaux n’ont aucune influence sur les informations affichées au premier plan ou en arrière-plan dans le Runtime.
Par défaut : 0.

Plus de détails dans l’aide en ligne.

VT_I4

StartX

Point de départ X [pixels]

Coordonnée Y du coin supérieur gauche du synoptique (en pixels).

Plus de détails dans l’aide en ligne.

VT_I4

EndX

Point final X [pixels]

Coordonnée X du coin inférieur droit du synoptique (en pixels).

Plus de détails dans l’aide en ligne.

VT_I4

StartY

Point de départ Y [pixels]

Coordonnée Y du coin supérieur gauche du synoptique (en pixels).

Plus de détails dans l’aide en ligne.

VT_I4

EndY

Point final Y [pixels]

Coordonnée Y du coin inférieur droit du synoptique (en pixels).

Plus de détails dans l’aide en ligne.

VT_I4

Width

Largeur [pixels]

Largeur des éléments en pixels.

Remarque : disponible uniquement pour les éléments Combinaison multiple, Élément combiné, Bouton et Interrupteur si la valeur Ajusté a été sélectionnée pour la propriété Taille du graphique.

Plus de détails dans l’aide en ligne.

VT_I4

Height

Hauteur [pixels]

Hauteur des éléments en pixels.

Remarque : disponible uniquement pour les éléments Combinaison multiple, Élément combiné, Bouton et Interrupteur si la valeur Ajusté a été sélectionnée pour la propriété Taille du graphique.

Plus de détails dans l’aide en ligne.

VT_I2

ZoomMin

Visible de

Incrément de zoom le plus bas auquel l’élément est visible dans la vue globale.
Par défaut : -1
Une valeur de visibilité avec des incréments de zoom de -1 à -1 signifie que l’élément est affiché, quel que soit l’incrément de zoom sélectionné.

Les niveaux de zoom affichés dans la vue globale peuvent être configurés avec la propriété Apparence graphique -> Généralités runtime -> Pas de zoom pour vue globale.

Attention : Ce niveau de zoom s’applique à tous les types de synoptiques et cadres. Si un niveau de zoom défini est supérieur à 0, l’élément est uniquement affiché dans la vue globale, car les autres types de synoptique sont automatiquement appelés avec le niveau de zoom 0.

Plus de détails dans l’aide en ligne.

VT_I2

ZoomMax

Visible jusqu'à

Incrément de zoom le plus élevé auquel l’élément est visible dans la vue globale.

Par défaut : -1
Une valeur de visibilité avec des incréments de zoom de -1 à -1 signifie que l’élément est affiché, quel que soit l’incrément de zoom sélectionné.

Les niveaux de zoom affichés dans la vue globale peuvent être configurés avec la propriété Apparence graphique -> Généralités runtime -> Pas de zoom pour vue globale.

Attention : Ce niveau de zoom s’applique à tous les types de synoptiques et cadres. Si un niveau de zoom défini est supérieur à 0, l’élément est uniquement affiché dans la vue globale, car les autres types de synoptique sont automatiquement appelés avec le niveau de zoom 0.

Plus de détails dans l’aide en ligne.

VT_BSTR

Stationname

Nom liste d'objets

L’élément est saisi directement dans la liste de stations du synoptique Vue globale, et le texte est saisi ici.

Plus de détails dans l’aide en ligne.

ZT_VARIABLE_DYN

BackColorVariable

Couleur de remplissage

Nom de la variable dont les couleurs de valeur limite doivent influencer la couleur d’arrière-plan/de remplissage de l’élément.
Ouvre la boîte de dialogue de sélection de variables.

Plus de détails dans l’aide en ligne.

ZT_PREVIEW

BackColorVarPreview

Affichage aperçu couleur

Affichage de la valeur limite pour la propriété Couleur de remplissage définie pour la variable. Disponible uniquement si l’option Depuis la variable a été configurée pour la propriété Couleur de remplissage.

Un aperçu des propriétés définies pour la valeur limite est affiché dans le champ. Aucun aperçu n’est affiché pour les matrices de réaction.
Cliquez sur le bouton ... pour ouvrir la boîte de dialogue d’affichage des résultats. Les valeurs limite sont uniquement affichées ; elles ne peuvent pas être modifiées. Les modifications doivent être effectuées directement dans les propriétés de la variable pour Valeurs limite.

Plus de détails dans l’aide en ligne.

VT_UI4

VisibilityType

Visibilité

Sélection depuis laquelle la visibilité d’un élément est déterminée :

  • Depuis une variable
  • Du verrrouillage

Par défaut : Depuis une variable

Plus de détails dans l’aide en ligne.

ZT_VARIABLE_DYN

VisibilityVariable

Variable

Disponible uniquement si l’option Depuis la variable a été configurée pour la propriété Visibilité.

Nom de la variable dont la valeur contrôle la visibilité de l’élément. La visibilité est soit reprise des propriétés de valeur limite de ces variables, soit définie par la plage de valeurs définie dans les propriétés de et À.
Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de variables. Vous pouvez également saisir manuellement le nom dans le champ de texte.
L'élément reste visible tant qu’aucune variable n’est liée.

Plus de détails dans l’aide en ligne.

ZT_PREVIEW

VisVarPreview

Affichage aperçu visibilité

Affichage des valeurs limite pour la visibilité définies pour la variable. Disponible uniquement si l’option Depuis la variable a été configurée pour la propriété Variable dans le groupe Visibilité.

Un aperçu des propriétés définies pour la valeur limite est affiché dans le champ. Aucun aperçu n’est affiché pour les matrices de réaction.
Cliquez sur le bouton ... pour ouvrir la boîte de dialogue d’affichage des résultats. Les valeurs limite sont uniquement affichées ; elles ne peuvent pas être modifiées. Les modifications doivent être effectuées directement dans les propriétés de la variable pour Valeurs limite.

Plus de détails dans l’aide en ligne.

VT_BOOL

VisibilityFromLimit

A partir des valeurs limites

Uniquement disponible après la sélection d’une variable :

  • Active : La visibilité de l’élément est influencée par la propriété de valeur limite de la variable.

    Attention : La propriété Invisible doit être active pour au moins une valeur limite de la variable.

  • Inactive : la visibilité est influencée par les propriétés de l’élément.

Par défaut : active

Plus de détails dans l’aide en ligne.

VT_R8

VisibilityFrom

de

Disponible uniquement après la sélection d’une variable, si la visibilité n’a pas été reprise par la valeur limite :

Valeur minimum de la variable à laquelle l’élément est visible.

  • Minimum : valeur minimum possible de la variable liée.
  • Maximum : valeur maximum possible de la variable liée.

Par défaut : valeur minimum possible de la variable liée.

Plus de détails dans l’aide en ligne.

VT_R8

VisibilityTo

À

Disponible uniquement après la sélection d’une variable, si la visibilité n’a pas été reprise par la valeur limite :

Valeur maximale de la variable à laquelle l’élément est visible.

  • Minimum : valeur minimum possible de la variable liée.
  • Maximum : valeur maximum possible de la variable liée.

Par défaut : valeur maximum possible de la variable liée.

Plus de détails dans l’aide en ligne.

VT_UI4

Interlocking

Verrouillage

Disponible uniquement si l’option Depuis le verrouillage est sélectionnée pour la propriété Visibilité.

Nom du verrouillage dont la valeur contrôle la visibilité de l’élément. Sélectionnez dans la liste déroulante. Celle-ci contient tous les verrouillages existants et utilisables. L’élément est toujours visible si aucun verrouillage n’est lié.

Plus de détails dans l’aide en ligne.

VT_BSTR

InterlockingName

InterlockingName

Description

VT_BOOL

VisibleWhenInterlocked

Visible si verrouillé

Contrôle la visibilité de l’élément lorsque le verrouillage est sélectionné :

  • Active : L’élément est visible s’il est verrouillé.
  • Inactive : L’élément est visible s’il n’est pas verrouillé.

Par défaut : inactive

Plus de détails dans l’aide en ligne.

ZT_VARIABLE_DYN

BlinkVariable

Affichage aperçu clignotement

Affichage des valeurs limite pour le clignotement définies pour la variable. Disponible uniquement si l’option Depuis la variable a été configurée pour la propriété Prendre le clignotement de la limite.

Un aperçu des propriétés définies pour la valeur limite est affiché dans le champ. Aucun aperçu n’est affiché pour les matrices de réaction.
Cliquez sur le bouton ... pour ouvrir la boîte de dialogue d’affichage des résultats. Les valeurs limite sont uniquement affichées ; elles ne peuvent pas être modifiées. Les modifications doivent être effectuées directement dans les propriétés de la variable pour Valeurs limite.

Plus de détails dans l’aide en ligne.

ZT_PREVIEW

BlinkVarPreview

Affichage aperçu clignotement

Affichage des valeurs limite pour le clignotement définies pour la variable. Disponible uniquement si l’option Depuis la variable a été configurée pour la propriété Prendre le clignotement de la limite.

Un aperçu des propriétés définies pour la valeur limite est affiché dans le champ. Aucun aperçu n’est affiché pour les matrices de réaction.
Cliquez sur le bouton ... pour ouvrir la boîte de dialogue d’affichage des résultats. Les valeurs limite sont uniquement affichées ; elles ne peuvent pas être modifiées. Les modifications doivent être effectuées directement dans les propriétés de la variable pour Valeurs limite.

Plus de détails dans l’aide en ligne.

VT_BOOL

UseBlinkColor

Couleur de clignotement par la limite

Active : Reprend la couleur d’arrière-plan du clignotement défini pour la valeur limite active de la variable pour Prendre le clignotement de la limite. Durant le clignotement, l’élément ne devient pas invisible, mais reprend la couleur d’arrière-plan active.

Par défaut : Inactive

Remarque : la couleur n’est pas prise en compte si la couleur d’arrière-plan Transparence est configurée.

Plus de détails dans l’aide en ligne.

ZT_STYLE

ShadowEffectStyle

Style effet cadres/ombres

Affichage et sélection du style de cadre et d’ombre attribué à l’élément.

Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de style.
Si plusieurs éléments ont été sélectionnés, ils peuvent être attribués à un style commun.

Remarque : Seules les propriétés compatibles avec l’élément correspondant sont prises en charge.

Plus de détails dans l’aide en ligne.

VT_BOOL

EnablePunchFrame

Afficher le cadre

A frame around the element can be displayed.
Default: inactive.

ZT_STYLE

GlowEffectStyle

Style effet de rayonnement

Affichage et sélection du style des effets de luminescence attribués à l’élément.

Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de style.
Si plusieurs éléments ont été sélectionnés, ils peuvent être attribués à un style commun.

Remarque : Seules les propriétés compatibles avec l’élément correspondant sont prises en charge.

Plus de détails dans l’aide en ligne.

VT_BOOL

GlowEffectEvent

Actif seulement si cliqué

Disponible uniquement si la propriété Activer est active et l’élément est un bouton.

Active : l’effet de luminescence est uniquement affiché lorsque l’utilisateur clique sur le bouton. Cliquer sur le bouton permet de modifier la couleur, le clignotement ou l’invisibilité de l’effet de luminescence.

Par défaut : Inactive

Plus de détails dans l’aide en ligne.

ZT_VARIABLE_DYN

GlowEffectGlowColorVariable

Variable pour la couleur

Disponible uniquement si la propriété Activer est active. La propriété Coloration doit être activée.

Nom de la variable dont la couleur aux valeurs limites doit influencer la couleur de l’effet de luminescence pour l’élément. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de variables. Vous pouvez également saisir le nom manuellement dans le champ de texte. Si aucune variable n’est liée, la couleur définie dans la propriété Couleur est utilisée.

Par défaut : aucune variable liée

Plus de détails dans l’aide en ligne.

ZT_PREVIEW

GlowEffectGlowColorVariablePreview

Affichage aperçu couleur

Affichage de la valeur limite définie pour la variable de couleur lorsque l’effet de luminescence est actif. Disponible uniquement si l’option Depuis la variable a été configurée pour la propriété Variable pour la couleur.

Un aperçu des propriétés définies pour la valeur limite est affiché dans le champ. Aucun aperçu n’est affiché pour les matrices de réaction.
Cliquez sur le bouton ... pour ouvrir la boîte de dialogue d’affichage des résultats. Les valeurs limite sont uniquement affichées ; elles ne peuvent pas être modifiées. Les modifications doivent être effectuées directement dans les propriétés de la variable pour Valeurs limite.

Plus de détails dans l’aide en ligne.

ZT_VARIABLE_DYN

GlowEffectVisibilityVariable

Variable pour la visibilité

Disponible uniquement si la propriété Activer est active.

Nom de la variable dont la valeur influence la visibilité de l’effet de luminescence. La visibilité est soit reprise des propriétés de valeur limite de cette variable (propriété Visibilité depuis valeur limite active), soit définie par la plage de valeurs définie dans les propriétés Visible de et Visible jusqu'à. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de variables. Vous pouvez également saisir le nom manuellement dans le champ de texte.

Remarque : si aucune variable n’est liée, l’effet de luminescence est toujours visible.

Par défaut : aucune variable liée

Plus de détails dans l’aide en ligne.

ZT_PREVIEW

GlowEffectVisibilityVariablePreview

Affichage aperçu visibilité

Affichage de la valeur limite définie pour la variable de visibilité lorsque l’effet de luminescence est actif. Disponible uniquement si l’option Depuis la variable a été configurée pour la propriété Variable pour la visibilité.

Un aperçu des propriétés définies pour la valeur limite est affiché dans le champ. Aucun aperçu n’est affiché pour les matrices de réaction.
Cliquez sur le bouton ... pour ouvrir la boîte de dialogue d’affichage des résultats. Les valeurs limite sont uniquement affichées ; elles ne peuvent pas être modifiées. Les modifications doivent être effectuées directement dans les propriétés de la variable pour Valeurs limite.

Plus de détails dans l’aide en ligne.

VT_BOOL

GlowEffectVisibilityFromLimit

Visibilité depuis valeur limite

Disponible uniquement si la propriété Activer est active. Vous devez en outre définir une variable dans la propriété Variable pour la visibilité.

Active : La visibilité de l’effet de luminescence est influencée par la propriété de valeur limite de la variable.

Attention : Pour une valeur limite de la variable au moins, la propriété Invisible doit être active.

Inactive : la visibilité est influencée par les propriétés de l’élément.

Plus de détails dans l’aide en ligne.

VT_R8

GlowEffectVisibilityFrom

Visible de

Disponible uniquement si la propriété Activer est active. Vous devez en outre définir une variable dans la propriété Variable pour la visibilité ; la propriété Visibilité depuis valeur limite doit être inactive.

Définit la valeur à partir de laquelle l’effet de luminescence devient visible.
Minimum : valeur la moins élevée autorisée pour la variable liée dans Variable pour la visibilité.
Maximum : valeur la moins élevée autorisée pour la variable liée dans Variable pour la visibilité.
Par défaut : valeur la plus élevée autorisée pour la variable liée dans Variable pour la visibilité.

Plus de détails dans l’aide en ligne.

VT_R8

GlowEffectVisibilityTo

Visible jusqu'à

Disponible uniquement si la propriété Activer est active. Vous devez en outre définir une variable dans la propriété Variable pour la visibilité ; la propriété Visibilité depuis valeur limite doit être inactive.

Définit la valeur jusqu’à laquelle l’effet de luminescence reste visible.
Minimum : valeur la plus basse autorisée pour la variable liée dans Variable pour la visibilité.
Maximum : valeur la plus élevée autorisée pour la variable liée dans Variable pour la visibilité.
Par défaut : valeur la plus élevée autorisée pour la variable liée dans Variable pour la visibilité.

Plus de détails dans l’aide en ligne.

ZT_VARIABLE_DYN

GlowEffectBlinkVariable

Variable pour le clignotement

Variables dont les paramètres de clignotement de l’effet de luminescence aux valeurs limites doivent être repris. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de variables.

Par défaut : aucune variable liée

Plus de détails dans l’aide en ligne.

ZT_PREVIEW

GlowEffectBlinkVariablePreview

Affichage aperçu clignotement

Affichage de la valeur limite définie pour la variable de clignotement lorsque l’effet de luminescence est actif. Disponible uniquement si l’option Depuis la variable a été configurée pour la propriété Variable pour le clignotement.

Un aperçu des propriétés définies pour la valeur limite est affiché dans le champ. Aucun aperçu n’est affiché pour les matrices de réaction.
Cliquez sur le bouton ... pour ouvrir la boîte de dialogue d’affichage des résultats. Les valeurs limite sont uniquement affichées ; elles ne peuvent pas être modifiées. Les modifications doivent être effectuées directement dans les propriétés de la variable pour Valeurs limite.

Plus de détails dans l’aide en ligne.

VT_BOOL

GlowEffectUseBlinkColor

Clignotement depuis valeur limite

Disponible uniquement si la propriété Activer est active. Vous devez en outre définir une variable dans la propriété Variable pour le clignotement.

Active : Reprend, pour l’effet de luminescence, la couleur de clignotement de la valeur limite active pour la variable définie dans la propriété Couleur de clignotement par la limite. Cette propriété agit indépendamment de la propriété Coloration. En cas de clignotement, l’effet de luminescence ne devient pas invisible, mais reprend les paramètres de l’effet de luminescence actif.

Par défaut : Inactive

Plus de détails dans l’aide en ligne.

VT_BOOL

GlowEffect2ndBlinkStateVisible

2 états de clignotement invisibles

Disponible uniquement si la propriété Activer est active. Vous devez en outre définir une variable dans la propriété Variable pour le clignotement ; la propriété Clignotement depuis valeur limite doit être inactive.

Active : En cas de clignotement, l’effet de luminescence ne bascule pas vers l’effet de luminescence actif, mais devient invisible. Ceci permet de basculer entre l’invisibilité et la couleur de clignotement en cas de dépassement de la valeur limite.

Par défaut : Inactive

Plus de détails dans l’aide en ligne.


Basisklasse dynamische Bildelemente

Manuel -> Interfaces de programmation -> Modèles d'objet -> Element -> Element-Dynamic properties -> Basisklasse dynamische Bildelemente

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Type

VBA/VSTA Name

Display Name

Description

VT_BOOL

UnderCE

Visible sous WinCE

Contrôle la visibilité des éléments dans les synoptiques sous Windows CE. Les projets qui sont utilisés sous CE et sur le PC peuvent être créés de manière plus flexible ; la gestion par l’utilisateur est ainsi améliorée. Par exemple, les boutons renvoyant l’utilisateur vers des synoptiques ne pouvant pas être affichés sous CE (par ex. IPA) peuvent être rendus invisibles.

Active : dans synoptique/l’élément est également visible sous Windows CE.

Par défaut : active

Plus de détails dans l’aide en ligne.

ZT_VBAMAKRO

Init

Init

Macro VBA à exécuter lors de l’initialisation de l’élément.

Plus de détails dans l’aide en ligne.

ZT_VBAMAKRO

SetFocus

SetFocus

Macro VBA à exécuter lorsque le focus est placé sur l’élément.

Plus de détails dans l’aide en ligne.

ZT_VBAMAKRO

KillFocus

KillFocus

Macro VBA à exécuter lorsque le focus n’est plus placé sur l’élément.

Plus de détails dans l’aide en ligne.

ZT_VBAMAKRO

LeftClickDown

LeftClickDown

Macro VBA à exécuter lorsque l’utilisateur effectue un clic gauche sur l’élément.

Plus de détails dans l’aide en ligne.

ZT_VBAMAKRO

RightClickDown

RightClickDown

Macro VBA à exécuter lorsque l’utilisateur effectue un clic droit sur l’élément.

Plus de détails dans l’aide en ligne.

ZT_VBAMAKRO

LeftClickUp

LeftClickUp

Macro VBA à exécuter lorsque l’utilisateur relâche le bouton gauche de la souris sur l’élément.

Plus de détails dans l’aide en ligne.

ZT_VBAMAKRO

RightClickUp

RightClickUp

Macro VBA à exécuter lorsque l’utilisateur relâche le bouton droit de la souris sur l’élément.

Plus de détails dans l’aide en ligne.

ZT_VBAMAKRO

LeftDClick

LeftDoubleClick

Macro VBA à exécuter lorsque l’utilisateur effectue un double-clic gauche sur l’élément.

Plus de détails dans l’aide en ligne.

ZT_VBAMAKRO

RightDClick

RightDoubleClick

Macro VBA à exécuter lorsque l’utilisateur effectue un double-clic droit sur l’élément.

Plus de détails dans l’aide en ligne.

ZT_VBAMAKRO

MouseOver

MouseOver

Macro VBA à exécuter si le pointeur de la souris est positionné sur l’élément.

Plus de détails dans l’aide en ligne.

ZT_VBAMAKRO

DragDrop

DragDrop

Macro VBA à exécuter lorsque le bouton de la souris est relâché.

Plus de détails dans l’aide en ligne.

ZT_VBAMAKRO

DragOver

DragOver

Macro VBA à exécuter lorsque le curseur est déplacé au-dessus de l’élément pendant que le bouton gauche est enfoncé.

Plus de détails dans l’aide en ligne.

ZT_VBAMAKRO

DragBegin

DragBegin

Macro VBA à exécuter lorsque l’utilisateur commence à faire glisser l’objet.

Plus de détails dans l’aide en ligne.

VT_BSTR

Menu

Menu contextuel

Menu contextuel de l’élément.
Cliquer avec le bouton droit de la souris sur l’élément pour ouvrir le menu contextuel dans le Runtime.

Plus de détails dans l’aide en ligne.

VT_BSTR

Tooltip

Info bulle

Texte à afficher en tant qu’info-bulle de l’élément dans le Runtime. Une info-bulle est automatiquement affichée dans le Runtime si le pointeur de la souris reste pendant quelques secondes sur l’élément. Des retours à la ligne automatiques peuvent être insérés avec les caractères "\n".

  • Maximum : 79 caractères
    Attention : La combinaison de caractères \n est également comptée dans la limite de 79 caractères.

Plus de détails dans l’aide en ligne.

VT_BOOL

LassoSelect

sélectionnable avec le lasso

La sélection avec le lasso dans le Runtime permet d’identifier les éléments dynamiques et de les utiliser avec des événements VBA.

  • Active : L’élément peut être sélectionné avec le lasso dans le Runtime.
  • Inactive : L’élément ne peut pas être sélectionné dans Runtime.

Par défaut : active

Attention : Pour que l’élément puisse être sélectionné dans le Runtime, vous devez activer la propriété Sélection multiple en runtime (lasso) dans les paramètres du projet !

Remarque concernant la gestion des commandes : Si la propriété Opération à deux mains est activée, le lasso de la commande Exécuter le 2ème niveau ne doit pas être activé.

Plus de détails dans l’aide en ligne.

More...

GestureManipulationGroup

Manipulation

Propriétés pour la manipulation de synoptiques et d’éléments de synoptique dans le cadre d’une utilisation tactile.

Plus de détails dans l’aide en ligne.

VT_BOOL

Tab

Le focus est donné à l'élément

Active : L’élément dynamique peut être actionné à l’aide du clavier.
Inactive : L’élément dynamique n’est pas accessible à l’aide du clavier.
Par défaut : active.

Plus de détails dans l’aide en ligne.

VT_I4

TABOrderH

Position du focus gauche/droite

Définit la position horizontale pour l’utilisation à l’aide du clavier dans le Runtime. La position est définie par l’intermédiaire du menu contextuel et de l’utilisation de la souris dans la fenêtre principale ; elle ne peut pas être modifiée ici.

Plus de détails dans l’aide en ligne.

VT_I4

TABOrderV

Position focus haut / bas

Définit la position verticale pour l’utilisation à l’aide du clavier dans le Runtime. La position est définie par l’intermédiaire du menu contextuel et de l’utilisation de la souris dans la fenêtre principale ; elle ne peut pas être modifiée ici.

Plus de détails dans l’aide en ligne.

VT_BOOL

Signature

Signature nécéssaire

Active : Une signature est nécessaire pour actionner l’élément.

Pour des raisons de sécurité, l’utilisateur sera invité à saisir son mot de passe même s’il est déjà connecté. Le texte de la signature est enregistré dans la liste d’événements (CEL) après que l’élément ait été utilisé avec succès.

Attention : seuls les utilisateurs connectés peuvent signer une action. La signature d’actions avec un identifiant temporaire n’est plus possible.

Inactive : aucune signature n’est requise.

(Par défaut) Inactive :

Plus de détails dans l’aide en ligne.

VT_BSTR

SignatureText

Texte de signature

Ce texte est également consigné lors de la signature dans la liste d’événements (CEL) ou est proposé par défaut dans le Runtime si la signature est définie comme modifiable dans les propriétés du projet.

Plus de détails dans l’aide en ligne.

VT_I2

SignatureEditModus

Texte de signature éditable

Définit si le texte de signature peut être édité. Sélectionnez dans la liste déroulante :

  • Appliquer les paramètres projet : Les paramètres de la propriété de projet Texte de signature éditable sont applicables.
  • Oui : Texte modifiables
  • Non : Le texte ne peut pas être édité.

Par défaut : Appliquer les paramètres projet

Plus de détails dans l’aide en ligne

ZT_FILE

Helpfile

Fichier d'aide

Fichier d’aide (*.chm) devant être utilisé pour cet élément, conjointement à un menu contextuel. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de fichiers.
Attention : seuls les fichiers d’aide ayant été ajoutés dans le nœud Fichiers/Aide sont disponibles.

Plus de détails dans l’aide en ligne.

VT_BSTR

HelpCapture

Chapitre d'aide

Chapitre d’aide (*.chm) devant être utilisé pour cet élément, conjointement à un menu contextuel. Nom de la page HTML sous-jacente.
Attention : cette entrée tient compte des minuscules et majuscules.

Plus de détails dans l’aide en ligne.

ZT_VARIABLE_DYN

SetValueDynMin

Minimum

Variable dont la valeur actuelle est applicable en tant que limite inférieure de la valeur prescrite de l’élément.
Disponible uniquement si Plages de la variable est inactive :
Plus de détails dans l’aide en ligne.

ZT_VARIABLE_DYN

SetValueDynMax

Maximum

Variable dont la valeur actuelle est applicable en tant que limite supérieure de la valeur prescrite de l’élément.

Disponible uniquement si la propriété Plages de la variable est inactive.

Plus de détails dans l’aide en ligne.

VT_BOOL

GestureRecognitionActive

Reconnaissance de geste active

Active l’évaluation des gestes. Les gestes sont définis à l’aide d’autres propriétés.

Uniquement disponible si, dans le groupe Intéraction des propriétés du projet, la propriété Reconnaissance Windows 8 a été définie.

Plus de détails dans l’aide en ligne.

VT_BOOL

Gestures_Manipulation

Exact

Active : Détection du paramètre Exact défini.

Plus de détails dans l’aide en ligne.

VT_BOOL

Gestures_Exact

Exact

Active : Détection du paramètre Exact défini.

Plus de détails dans l’aide en ligne.

VT_BOOL

Gestures_TranslationX

Translation X

Active : Détection du paramètre Translation X défini.

Plus de détails dans l’aide en ligne.

VT_BOOL

Gestures_TranslationY

Translation Y

Active : Détection du paramètre Translation Y défini.

Plus de détails dans l’aide en ligne.

VT_BOOL

Gestures_RailsX

Rails X

Active : Détection du paramètre Rails X défini.

Plus de détails dans l’aide en ligne.

VT_BOOL

Gestures_RailsY

Rails Y

Active : Détection du paramètre Rails Y défini.

Plus de détails dans l’aide en ligne.

VT_BOOL

Gestures_TranslationInertia

Translation inertia

Active : Détection du paramètre Translation Inertia (Inertie de translation) défini.

Plus de détails dans l’aide en ligne.

VT_BOOL

Gestures_Rotation

Inertie de rotation

Active : Détection du paramètre Rotation Inertia (Inertie de rotation) défini.

Plus de détails dans l’aide en ligne.

VT_BOOL

Gestures_RotationInertia

Inertie de rotation

Active : Détection du paramètre Rotation Inertia (Inertie de rotation) défini.

Plus de détails dans l’aide en ligne.

VT_BOOL

Gestures_Scaling

Scaling inertia

Active : Détection du paramètre Scaling Inertia (Inertie de redimensionnement) défini.

Plus de détails dans l’aide en ligne.

VT_BOOL

Gestures_ScalingInertia

Scaling inertia

Active : Détection du paramètre Scaling Inertia (Inertie de redimensionnement) défini.

Plus de détails dans l’aide en ligne.

VT_BOOL

Gestures_CrossSlide

Cross slide exact

Active : Détection du paramètre Cross Slide Exact (Glissement transversal exact) défini.

Plus de détails dans l’aide en ligne.

VT_BOOL

Gestures_CrossSlideHorizontal

Cross slide horizontal

Active : Détection du paramètre Cross Slide Horizontal (Glissement transversal horizontal) défini.

Plus de détails dans l’aide en ligne.

VT_BOOL

Gestures_CrossSlideSelect

Cross slide select

Active : Détection du paramètre Cross Slide Select (Glissement transversal, sélection) défini.

Plus de détails dans l’aide en ligne.

VT_BOOL

Gestures_CrossSlideSpeedBump

Cross slide speed bump

Active : Détection du paramètre Cross Slide Speed Bump (Glissement transversal, ralentisseur) défini.

Plus de détails dans l’aide en ligne.

VT_BOOL

Gestures_CrossSlideRearrange

Cross slide rearrange

Active : Détection du paramètre Cross Slide Rearrange (Glissement transversal, réorganisation) défini.

Plus de détails dans l’aide en ligne.

VT_BOOL

Gestures_CrossSlideExact

Cross slide exact

Active : Détection du paramètre Cross Slide Exact (Glissement transversal exact) défini.

Plus de détails dans l’aide en ligne.

VT_BOOL

Gestures_Tap

Tap double

Active : Détection du paramètre Tap Double (Double appui) défini.

Plus de détails dans l’aide en ligne.

VT_BOOL

Gestures_TapDouble

Tap double

Active : Détection du paramètre Tap Double (Double appui) défini.

Plus de détails dans l’aide en ligne.

VT_BOOL

Gestures_SecondaryTap

Secondary tap

Active : Détection du paramètre Secondary Tap (Appui secondaire) défini.

Plus de détails dans l’aide en ligne.

VT_BOOL

Gestures_Drag

Drag

Active : Détection du paramètre Drag (Glissement) défini.

Plus de détails dans l’aide en ligne.

VT_BOOL

Gestures_Hold

Hold (Mouse)

Active : Détection du paramètre Hold (Mouse) (Maintien [souris]) défini.

Plus de détails dans l’aide en ligne.

ZT_STYLE

StyleGroup

Groupe de styles

Affichage et sélection du groupe de styles attribué à l’élément.
Cliquez sur le bouton ... pour ouvrir la boîte de dialogue permettant de sélectionner un groupe de styles.
Si plusieurs éléments sont sélectionnés, elles peuvent être attribuées à un groupe de styles commun.

Remarque : Seules les propriétés compatibles avec l’élément correspondant sont prises en charge.

Plus de détails dans l’aide en ligne.

More...

LnClVariable

LnClVariable

"With this property you have the opportunity to get informations about the variable which is linked as ""line/text color"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""LnClVariable.SymVarName"") 'Return the name of the ""line/text color"" variable
zElement.DynProperties (""LnClVariable.SymVarTagNr"") 'Return the identification of the ""line/text color"" variable"

More...

BkClVariable

BkClVariable

"With this property you have the opportunity to get informations about the variable which is linked as ""background/filling color"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""BkClVariable.SymVarName"") 'Return the name of the ""background/filling color"" variable
zElement.DynProperties (""BkClVariable.SymVarTagNr"") 'Return the identification of the ""background/filling color"" variable"

More...

BkCl2Variable

"BkCl2Variable"

More...

XVar

XVar

"With this property you have the opportunity to get informations about the variable which is linked as ""dynamic x position"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""XVar.SymVarName"") 'Return the name of the ""dynamic x position"" variable
zElement.DynProperties (""XVar.SymVarTagNr"") 'Return the identification of the ""dynamic x position"" variable"

More...

YVar

YVar

"With this property you have the opportunity to get informations about the variable which is linked as ""dynamic y position"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""YVar.SymVarName"") 'Return the name of the ""dynamic y position"" variable
zElement.DynProperties (""YVar.SymVarTagNr"") 'Return the identification of the ""dynamic y position"" variable"

More...

XVarZoom

XVarZoom

"With this property you have the opportunity to get informations about the variable which is linked as ""change width"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""XVarZoom.SymVarName"") 'Return the name of the ""change width"" variable
zElement.DynProperties (""XVarZoom.SymVarTagNr"") 'Return the identification of the ""change width"" variable"

More...

YVarZoom

YVarZoom

"With this property you have the opportunity to get informations about the variable which is linked as ""change height"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""YVarZoom.SymVarName"") 'Return the name of the ""change height"" variable
zElement.DynProperties (""YVarZoom.SymVarName"") 'Return the name of the ""change height"" variable
zElement.DynProperties (""YVarZoom.SymVarTagNr"") 'Return the identification of the ""change height"" variable"

More...

TwistVar

TwistVar

"With this property you have the opportunity to get informations about the variable which is linked as ""rotate"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""TwistVar.SymVarName"") 'Return the name of the ""rotate"" variable
zElement.DynProperties (""TwistVar.SymVarTagNr"") 'Return the identification of the ""rotate"" variable"

More...

VisVariable

VisVariable

"With this property you have the opportunity to get informations about the variable which is linked as ""visibility"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""VisVariable.SymVarName"") 'Return the name of the ""visibility"" variable
zElement.DynProperties (""VisVariable.SymVarTagNr"") 'Return the identification of the ""visibility"" variable"

More...

BlinkVar

BlinkVar

More...

GlowEffectGlowColorVar

GlowEffectGlowColorVar

More...

GlowEffectVisibilityVar

GlowEffectVisibilityVar

More...

GlowEffectBlinkVar

GlowEffectBlinkVar

VT_BSTR

Name

Nom d'élément

Attribuez un nom d’élément.
Il ne doit pas être vide.

Attention : Cette propriété n’est pas disponible aux fins de la commutation de langue.

Remarques concernant les cadrans : Pour les conteneurs de synoptique, spécifiez des noms clairement identifiables pour faciliter la sélection lors de la configuration des appels de synoptique.

Plus de détails dans l’aide en ligne.

VT_UI1

Layer

Niveau de visibilité

Sélectionnez l’un des 16 niveaux de visibilité (0 à 15) dans la liste déroulante. À l’aide de la barre d’outils Niveau de visibilité, vous décidez des niveaux qui doivent être affichés dans Editor. Cette fonction garantit que les synoptiques les plus complexes peuvent être développés de manière simple. Les niveaux peuvent être utilisés immédiatement. Les niveaux n’ont aucune influence sur les informations affichées au premier plan ou en arrière-plan dans le Runtime.
Par défaut : 0.

Plus de détails dans l’aide en ligne.

VT_I4

StartX

Point de départ X [pixels]

Coordonnée Y du coin supérieur gauche du synoptique (en pixels).

Plus de détails dans l’aide en ligne.

VT_I4

EndX

Point final X [pixels]

Coordonnée X du coin inférieur droit du synoptique (en pixels).

Plus de détails dans l’aide en ligne.

VT_I4

StartY

Point de départ Y [pixels]

Coordonnée Y du coin supérieur gauche du synoptique (en pixels).

Plus de détails dans l’aide en ligne.

VT_I4

EndY

Point final Y [pixels]

Coordonnée Y du coin inférieur droit du synoptique (en pixels).

Plus de détails dans l’aide en ligne.

VT_I4

Width

Largeur [pixels]

Largeur des éléments en pixels.

Remarque : disponible uniquement pour les éléments Combinaison multiple, Élément combiné, Bouton et Interrupteur si la valeur Ajusté a été sélectionnée pour la propriété Taille du graphique.

Plus de détails dans l’aide en ligne.

VT_I4

Height

Hauteur [pixels]

Hauteur des éléments en pixels.

Remarque : disponible uniquement pour les éléments Combinaison multiple, Élément combiné, Bouton et Interrupteur si la valeur Ajusté a été sélectionnée pour la propriété Taille du graphique.

Plus de détails dans l’aide en ligne.

VT_I4

Angle

Angle de rotation [°]

Angle libre autour selon lequel doit pivoter l’élément.
Les valeurs positives correspondent à une rotation dans le sens antihoraire, tandis que les valeurs négatives correspondent à une rotation dans le sens horaire. Les valeurs supérieures à 360° sont affichées sous forme d’écart par rapport à 360° (400° correspond à 40°). Seuls les nombres entiers sont autorisés.

Sur les éléments pivotés, les actions suivantes ne sont plus possibles :

  • Miroir
  • Rotation de +/- 90°
  • Redimensionnement à l’aide des touches fléchées

Par défaut : 0

Remarque : Ce paramètre est activé et réinitialisé lors de la configuration pour Windows CE.

Plus de détails dans l’aide en ligne.

VT_I2

ZoomMin

Visible de

Incrément de zoom le plus bas auquel l’élément est visible dans la vue globale.
Par défaut : -1
Une valeur de visibilité avec des incréments de zoom de -1 à -1 signifie que l’élément est affiché, quel que soit l’incrément de zoom sélectionné.

Les niveaux de zoom affichés dans la vue globale peuvent être configurés avec la propriété Apparence graphique -> Généralités runtime -> Pas de zoom pour vue globale.

Attention : Ce niveau de zoom s’applique à tous les types de synoptiques et cadres. Si un niveau de zoom défini est supérieur à 0, l’élément est uniquement affiché dans la vue globale, car les autres types de synoptique sont automatiquement appelés avec le niveau de zoom 0.

Plus de détails dans l’aide en ligne.

VT_I2

ZoomMax

Visible jusqu'à

Incrément de zoom le plus élevé auquel l’élément est visible dans la vue globale.

Par défaut : -1
Une valeur de visibilité avec des incréments de zoom de -1 à -1 signifie que l’élément est affiché, quel que soit l’incrément de zoom sélectionné.

Les niveaux de zoom affichés dans la vue globale peuvent être configurés avec la propriété Apparence graphique -> Généralités runtime -> Pas de zoom pour vue globale.

Attention : Ce niveau de zoom s’applique à tous les types de synoptiques et cadres. Si un niveau de zoom défini est supérieur à 0, l’élément est uniquement affiché dans la vue globale, car les autres types de synoptique sont automatiquement appelés avec le niveau de zoom 0.

Plus de détails dans l’aide en ligne.

VT_BSTR

Stationname

Nom liste d'objets

L’élément est saisi directement dans la liste de stations du synoptique Vue globale, et le texte est saisi ici.

Plus de détails dans l’aide en ligne.

ZT_VARIABLE_DYN

LineColorVariable

Couleur de ligne

Nom des variables dont les couleurs de valeur limite doivent influencer la couleur de ligne/de texte de l’élément. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de variables.

Plus de détails dans l’aide en ligne.

ZT_PREVIEW

LineColorVarPreview

Affichage aperçu couleur

Affichage de la valeur limite pour la propriété Couleur de ligne définie pour la variable. Disponible uniquement si l’option Depuis la variable a été configurée pour la propriété Couleur de ligne.

Un aperçu des propriétés définies pour la valeur limite est affiché dans le champ. Aucun aperçu n’est affiché pour les matrices de réaction.
Cliquez sur le bouton ... pour ouvrir la boîte de dialogue d’affichage des résultats. Les valeurs limite sont uniquement affichées ; elles ne peuvent pas être modifiées. Les modifications doivent être effectuées directement dans les propriétés de la variable pour Valeurs limite.

Plus de détails dans l’aide en ligne.

ZT_VARIABLE_DYN

BackColorVariable

Couleur de remplissage

Nom de la variable dont les couleurs de valeur limite doivent influencer la couleur d’arrière-plan/de remplissage de l’élément.
Ouvre la boîte de dialogue de sélection de variables.

Plus de détails dans l’aide en ligne.

ZT_PREVIEW

BackColorVarPreview

Affichage aperçu couleur

Affichage de la valeur limite pour la propriété Couleur de remplissage définie pour la variable. Disponible uniquement si l’option Depuis la variable a été configurée pour la propriété Couleur de remplissage.

Un aperçu des propriétés définies pour la valeur limite est affiché dans le champ. Aucun aperçu n’est affiché pour les matrices de réaction.
Cliquez sur le bouton ... pour ouvrir la boîte de dialogue d’affichage des résultats. Les valeurs limite sont uniquement affichées ; elles ne peuvent pas être modifiées. Les modifications doivent être effectuées directement dans les propriétés de la variable pour Valeurs limite.

Plus de détails dans l’aide en ligne.

VT_UI1

HorizontalOrigin

Horizontal

Point de référence horizontal de l’événement. Les valeurs possibles sont : gauche, centré, droite.
Ce point est utilisé en tant que base de calcul de l’angle de départ de la rotation (statique et dynamique) et pour le changement dynamique de taille.

Par défaut : À gauche

Plus de détails dans l’aide en ligne.

VT_UI1

VerticalOrigin

Vertical

Point de référence vertical de l’événement. Les valeurs possibles sont : haut, centré, bas.
Ce point est utilisé en tant que base de calcul de l’angle de départ de la rotation (statique et dynamique) et pour le changement dynamique de taille.

Par défaut : En haut

Plus de détails dans l’aide en ligne.

VT_UI4

VisibilityType

Visibilité

Sélection depuis laquelle la visibilité d’un élément est déterminée :

  • Depuis une variable
  • Du verrrouillage

Par défaut : Depuis une variable

Plus de détails dans l’aide en ligne.

ZT_VARIABLE_DYN

VisibilityVariable

Variable

Disponible uniquement si l’option Depuis la variable a été configurée pour la propriété Visibilité.

Nom de la variable dont la valeur contrôle la visibilité de l’élément. La visibilité est soit reprise des propriétés de valeur limite de ces variables, soit définie par la plage de valeurs définie dans les propriétés de et À.
Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de variables. Vous pouvez également saisir manuellement le nom dans le champ de texte.
L'élément reste visible tant qu’aucune variable n’est liée.

Plus de détails dans l’aide en ligne.

ZT_PREVIEW

VisVarPreview

Affichage aperçu visibilité

Affichage des valeurs limite pour la visibilité définies pour la variable. Disponible uniquement si l’option Depuis la variable a été configurée pour la propriété Variable dans le groupe Visibilité.

Un aperçu des propriétés définies pour la valeur limite est affiché dans le champ. Aucun aperçu n’est affiché pour les matrices de réaction.
Cliquez sur le bouton ... pour ouvrir la boîte de dialogue d’affichage des résultats. Les valeurs limite sont uniquement affichées ; elles ne peuvent pas être modifiées. Les modifications doivent être effectuées directement dans les propriétés de la variable pour Valeurs limite.

Plus de détails dans l’aide en ligne.

VT_BOOL

VisibilityFromLimit

A partir des valeurs limites

Uniquement disponible après la sélection d’une variable :

  • Active : La visibilité de l’élément est influencée par la propriété de valeur limite de la variable.

    Attention : La propriété Invisible doit être active pour au moins une valeur limite de la variable.

  • Inactive : la visibilité est influencée par les propriétés de l’élément.

Par défaut : active

Plus de détails dans l’aide en ligne.

VT_R8

VisibilityFrom

de

Disponible uniquement après la sélection d’une variable, si la visibilité n’a pas été reprise par la valeur limite :

Valeur minimum de la variable à laquelle l’élément est visible.

  • Minimum : valeur minimum possible de la variable liée.
  • Maximum : valeur maximum possible de la variable liée.

Par défaut : valeur minimum possible de la variable liée.

Plus de détails dans l’aide en ligne.

VT_R8

VisibilityTo

À

Disponible uniquement après la sélection d’une variable, si la visibilité n’a pas été reprise par la valeur limite :

Valeur maximale de la variable à laquelle l’élément est visible.

  • Minimum : valeur minimum possible de la variable liée.
  • Maximum : valeur maximum possible de la variable liée.

Par défaut : valeur maximum possible de la variable liée.

Plus de détails dans l’aide en ligne.

VT_UI4

Interlocking

Verrouillage

Disponible uniquement si l’option Depuis le verrouillage est sélectionnée pour la propriété Visibilité.

Nom du verrouillage dont la valeur contrôle la visibilité de l’élément. Sélectionnez dans la liste déroulante. Celle-ci contient tous les verrouillages existants et utilisables. L’élément est toujours visible si aucun verrouillage n’est lié.

Plus de détails dans l’aide en ligne.

VT_BSTR

InterlockingName

InterlockingName

Description

VT_BOOL

VisibleWhenInterlocked

Visible si verrouillé

Contrôle la visibilité de l’élément lorsque le verrouillage est sélectionné :

  • Active : L’élément est visible s’il est verrouillé.
  • Inactive : L’élément est visible s’il n’est pas verrouillé.

Par défaut : inactive

Plus de détails dans l’aide en ligne.

ZT_VARIABLE_DYN

BlinkVariable

Affichage aperçu clignotement

Affichage des valeurs limite pour le clignotement définies pour la variable. Disponible uniquement si l’option Depuis la variable a été configurée pour la propriété Prendre le clignotement de la limite.

Un aperçu des propriétés définies pour la valeur limite est affiché dans le champ. Aucun aperçu n’est affiché pour les matrices de réaction.
Cliquez sur le bouton ... pour ouvrir la boîte de dialogue d’affichage des résultats. Les valeurs limite sont uniquement affichées ; elles ne peuvent pas être modifiées. Les modifications doivent être effectuées directement dans les propriétés de la variable pour Valeurs limite.

Plus de détails dans l’aide en ligne.

ZT_PREVIEW

BlinkVarPreview

Affichage aperçu clignotement

Affichage des valeurs limite pour le clignotement définies pour la variable. Disponible uniquement si l’option Depuis la variable a été configurée pour la propriété Prendre le clignotement de la limite.

Un aperçu des propriétés définies pour la valeur limite est affiché dans le champ. Aucun aperçu n’est affiché pour les matrices de réaction.
Cliquez sur le bouton ... pour ouvrir la boîte de dialogue d’affichage des résultats. Les valeurs limite sont uniquement affichées ; elles ne peuvent pas être modifiées. Les modifications doivent être effectuées directement dans les propriétés de la variable pour Valeurs limite.

Plus de détails dans l’aide en ligne.

VT_BOOL

UseBlinkColor

Couleur de clignotement par la limite

Active : Reprend la couleur d’arrière-plan du clignotement défini pour la valeur limite active de la variable pour Prendre le clignotement de la limite. Durant le clignotement, l’élément ne devient pas invisible, mais reprend la couleur d’arrière-plan active.

Par défaut : Inactive

Remarque : la couleur n’est pas prise en compte si la couleur d’arrière-plan Transparence est configurée.

Plus de détails dans l’aide en ligne.

ZT_VARIABLE_DYN

XVariable

Variable

Nom de la variable utilisée pour le déplacement horizontal de l’élément.
Ouvre la boîte de dialogue de sélection de variables.

Plus de détails dans l’aide en ligne.

VT_R8

XVarMin

Valeur min de la variable

Valeur minimale de la variable utilisée pour le déplacement horizontal de l’élément.

Plus de détails dans l’aide en ligne.

VT_R8

XVarMax

Valeur max de la variable

Valeur maximale de la variable utilisée pour le déplacement horizontal de l’élément.

Plus de détails dans l’aide en ligne.

VT_I4

XViewMin

Mouvement min [pixels]

Position horizontale de l’élément pour la valeur minimale de la variable (en pixels).

Plus de détails dans l’aide en ligne.

VT_I4

XViewMax

Mouvement max [pixels]

Position horizontale de l’élément pour la valeur minimale de la variable (en pixels).

Plus de détails dans l’aide en ligne.

ZT_VARIABLE_DYN

YVariable

Variable

Nom de la variable utilisée pour le déplacement vertical de l’élément.
Ouvre la boîte de dialogue de sélection de variables.

Plus de détails dans l’aide en ligne.

VT_R8

YVarMin

Valeur min de la variable

Valeur minimale de la variable utilisée pour le déplacement vertical de l’élément.

Plus de détails dans l’aide en ligne.

VT_R8

YVarMax

Valeur max de la variable

Valeur maximale de la variable utilisée pour le déplacement vertical de l’élément.

Plus de détails dans l’aide en ligne.

VT_I4

YViewMin

Mouvement min [pixels]

Position verticale de l’élément pour la valeur minimale de la variable (en pixels).

Plus de détails dans l’aide en ligne.

VT_I4

YViewMax

Mouvement max [pixels]

Position verticale de l’élément pour la valeur maximale de la variable (en pixels).

Plus de détails dans l’aide en ligne.

ZT_VARIABLE_DYN

XZoomVariable

Variable

Nom de la variable utilisée pour l’agrandissement de la largeur de l’élément.
Ouvre la boîte de dialogue de sélection de variables.

Plus de détails dans l’aide en ligne.

VT_R8

XZoomVarMin

Valeur min de la variable

Valeur minimale de la variable utilisée pour effectuer un zoom à la largeur de l’élément.

Plus de détails dans l’aide en ligne.

VT_R8

XZoomVarMax

Valeur max de la variable

Valeur maximale de la variable utilisée pour effectuer un zoom sur la largeur de l’élément.

Plus de détails dans l’aide en ligne.

VT_I4

XZoomViewMin

Largeur min [%]

Facteur de zoom correspondant à la largeur de l’élément pour la valeur minimale de la variable (en pixels).

Plus de détails dans l’aide en ligne.

VT_I4

XZoomViewMax

Largeur max [%]

Facteur de zoom correspondant à la largeur de l’élément pour la valeur maximale de la variable (en pixels).

Plus de détails dans l’aide en ligne.

ZT_VARIABLE_DYN

YZoomVariable

Variable

Nom de la variable utilisée pour l’agrandissement de la hauteur de l’élément.
Ouvre la boîte de dialogue de sélection de variables.

Plus de détails dans l’aide en ligne.

VT_R8

YZoomVarMin

Valeur min de la variable

Valeur minimum de la variable utilisée pour effectuer un zoom sur la hauteur de l’élément.

Plus de détails dans l’aide en ligne.

VT_R8

YZoomVarMax

Valeur max de la variable

Valeur maximum de la variable utilisée pour effectuer un zoom sur la hauteur de l’élément.

Plus de détails dans l’aide en ligne.

VT_I4

YZoomViewMin

Hauteur min [%]

Facteur de zoom correspondant à la hauteur de l’élément pour la valeur minimum de la variable (en %).

Plus de détails dans l’aide en ligne.

VT_I4

YZoomViewMax

Hauteur max [%]

Facteur de zoom correspondant à la hauteur de l’élément pour la valeur maximale de la variable (en pixels).

Plus de détails dans l’aide en ligne.

ZT_VARIABLE_DYN

TwistVariable

Variable

Nom de la variable utilisée pour la rotation de l’élément.

Plus de détails dans l’aide en ligne.

VT_R8

TwistVarMin

Valeur min de la variable

Valeur minimum de la variable utilisée pour la rotation de l’élément.

Plus de détails dans l’aide en ligne.

VT_R8

TwistVarMax

Valeur max de la variable

Valeur maximale de la variable utilisée pour la rotation de l’élément.

Plus de détails dans l’aide en ligne.

VT_I4

TwistViewMin

Rotation min [°]

Angle de rotation de l’élément pour la valeur minimum de la variable (en °).

Plus de détails dans l’aide en ligne.

VT_I4

TwistViewMax

Rotation max [°]

Angle de rotation de l’élément pour la valeur maximum de la variable (en °).

Plus de détails dans l’aide en ligne.

ZT_STYLE

ShadowEffectStyle

Style effet cadres/ombres

Affichage et sélection du style de cadre et d’ombre attribué à l’élément.

Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de style.
Si plusieurs éléments ont été sélectionnés, ils peuvent être attribués à un style commun.

Remarque : Seules les propriétés compatibles avec l’élément correspondant sont prises en charge.

Plus de détails dans l’aide en ligne.

VT_BOOL

EnablePunchFrame

Afficher le cadre

A frame around the element can be displayed.
Default: inactive.

ZT_STYLE

GlowEffectStyle

Style effet de rayonnement

Affichage et sélection du style des effets de luminescence attribués à l’élément.

Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de style.
Si plusieurs éléments ont été sélectionnés, ils peuvent être attribués à un style commun.

Remarque : Seules les propriétés compatibles avec l’élément correspondant sont prises en charge.

Plus de détails dans l’aide en ligne.

VT_BOOL

GlowEffectEvent

Actif seulement si cliqué

Disponible uniquement si la propriété Activer est active et l’élément est un bouton.

Active : l’effet de luminescence est uniquement affiché lorsque l’utilisateur clique sur le bouton. Cliquer sur le bouton permet de modifier la couleur, le clignotement ou l’invisibilité de l’effet de luminescence.

Par défaut : Inactive

Plus de détails dans l’aide en ligne.

ZT_VARIABLE_DYN

GlowEffectGlowColorVariable

Variable pour la couleur

Disponible uniquement si la propriété Activer est active. La propriété Coloration doit être activée.

Nom de la variable dont la couleur aux valeurs limites doit influencer la couleur de l’effet de luminescence pour l’élément. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de variables. Vous pouvez également saisir le nom manuellement dans le champ de texte. Si aucune variable n’est liée, la couleur définie dans la propriété Couleur est utilisée.

Par défaut : aucune variable liée

Plus de détails dans l’aide en ligne.

ZT_PREVIEW

GlowEffectGlowColorVariablePreview

Affichage aperçu couleur

Affichage de la valeur limite définie pour la variable de couleur lorsque l’effet de luminescence est actif. Disponible uniquement si l’option Depuis la variable a été configurée pour la propriété Variable pour la couleur.

Un aperçu des propriétés définies pour la valeur limite est affiché dans le champ. Aucun aperçu n’est affiché pour les matrices de réaction.
Cliquez sur le bouton ... pour ouvrir la boîte de dialogue d’affichage des résultats. Les valeurs limite sont uniquement affichées ; elles ne peuvent pas être modifiées. Les modifications doivent être effectuées directement dans les propriétés de la variable pour Valeurs limite.

Plus de détails dans l’aide en ligne.

ZT_VARIABLE_DYN

GlowEffectVisibilityVariable

Variable pour la visibilité

Disponible uniquement si la propriété Activer est active.

Nom de la variable dont la valeur influence la visibilité de l’effet de luminescence. La visibilité est soit reprise des propriétés de valeur limite de cette variable (propriété Visibilité depuis valeur limite active), soit définie par la plage de valeurs définie dans les propriétés Visible de et Visible jusqu'à. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de variables. Vous pouvez également saisir le nom manuellement dans le champ de texte.

Remarque : si aucune variable n’est liée, l’effet de luminescence est toujours visible.

Par défaut : aucune variable liée

Plus de détails dans l’aide en ligne.

ZT_PREVIEW

GlowEffectVisibilityVariablePreview

Affichage aperçu visibilité

Affichage de la valeur limite définie pour la variable de visibilité lorsque l’effet de luminescence est actif. Disponible uniquement si l’option Depuis la variable a été configurée pour la propriété Variable pour la visibilité.

Un aperçu des propriétés définies pour la valeur limite est affiché dans le champ. Aucun aperçu n’est affiché pour les matrices de réaction.
Cliquez sur le bouton ... pour ouvrir la boîte de dialogue d’affichage des résultats. Les valeurs limite sont uniquement affichées ; elles ne peuvent pas être modifiées. Les modifications doivent être effectuées directement dans les propriétés de la variable pour Valeurs limite.

Plus de détails dans l’aide en ligne.

VT_BOOL

GlowEffectVisibilityFromLimit

Visibilité depuis valeur limite

Disponible uniquement si la propriété Activer est active. Vous devez en outre définir une variable dans la propriété Variable pour la visibilité.

Active : La visibilité de l’effet de luminescence est influencée par la propriété de valeur limite de la variable.

Attention : Pour une valeur limite de la variable au moins, la propriété Invisible doit être active.

Inactive : la visibilité est influencée par les propriétés de l’élément.

Plus de détails dans l’aide en ligne.

VT_R8

GlowEffectVisibilityFrom

Visible de

Disponible uniquement si la propriété Activer est active. Vous devez en outre définir une variable dans la propriété Variable pour la visibilité ; la propriété Visibilité depuis valeur limite doit être inactive.

Définit la valeur à partir de laquelle l’effet de luminescence devient visible.
Minimum : valeur la moins élevée autorisée pour la variable liée dans Variable pour la visibilité.
Maximum : valeur la moins élevée autorisée pour la variable liée dans Variable pour la visibilité.
Par défaut : valeur la plus élevée autorisée pour la variable liée dans Variable pour la visibilité.

Plus de détails dans l’aide en ligne.

VT_R8

GlowEffectVisibilityTo

Visible jusqu'à

Disponible uniquement si la propriété Activer est active. Vous devez en outre définir une variable dans la propriété Variable pour la visibilité ; la propriété Visibilité depuis valeur limite doit être inactive.

Définit la valeur jusqu’à laquelle l’effet de luminescence reste visible.
Minimum : valeur la plus basse autorisée pour la variable liée dans Variable pour la visibilité.
Maximum : valeur la plus élevée autorisée pour la variable liée dans Variable pour la visibilité.
Par défaut : valeur la plus élevée autorisée pour la variable liée dans Variable pour la visibilité.

Plus de détails dans l’aide en ligne.

ZT_VARIABLE_DYN

GlowEffectBlinkVariable

Variable pour le clignotement

Variables dont les paramètres de clignotement de l’effet de luminescence aux valeurs limites doivent être repris. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de variables.

Par défaut : aucune variable liée

Plus de détails dans l’aide en ligne.

ZT_PREVIEW

GlowEffectBlinkVariablePreview

Affichage aperçu clignotement

Affichage de la valeur limite définie pour la variable de clignotement lorsque l’effet de luminescence est actif. Disponible uniquement si l’option Depuis la variable a été configurée pour la propriété Variable pour le clignotement.

Un aperçu des propriétés définies pour la valeur limite est affiché dans le champ. Aucun aperçu n’est affiché pour les matrices de réaction.
Cliquez sur le bouton ... pour ouvrir la boîte de dialogue d’affichage des résultats. Les valeurs limite sont uniquement affichées ; elles ne peuvent pas être modifiées. Les modifications doivent être effectuées directement dans les propriétés de la variable pour Valeurs limite.

Plus de détails dans l’aide en ligne.

VT_BOOL

GlowEffectUseBlinkColor

Clignotement depuis valeur limite

Disponible uniquement si la propriété Activer est active. Vous devez en outre définir une variable dans la propriété Variable pour le clignotement.

Active : Reprend, pour l’effet de luminescence, la couleur de clignotement de la valeur limite active pour la variable définie dans la propriété Couleur de clignotement par la limite. Cette propriété agit indépendamment de la propriété Coloration. En cas de clignotement, l’effet de luminescence ne devient pas invisible, mais reprend les paramètres de l’effet de luminescence actif.

Par défaut : Inactive

Plus de détails dans l’aide en ligne.

VT_BOOL

GlowEffect2ndBlinkStateVisible

2 états de clignotement invisibles

Disponible uniquement si la propriété Activer est active. Vous devez en outre définir une variable dans la propriété Variable pour le clignotement ; la propriété Clignotement depuis valeur limite doit être inactive.

Active : En cas de clignotement, l’effet de luminescence ne bascule pas vers l’effet de luminescence actif, mais devient invisible. Ceci permet de basculer entre l’invisibilité et la couleur de clignotement en cas de dépassement de la valeur limite.

Par défaut : Inactive

Plus de détails dans l’aide en ligne.


Link text

Manuel -> Interfaces de programmation -> Modèles d'objet -> Element -> Element-Dynamic properties -> Link text

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Type

VBA/VSTA Name

Display Name

Description

More...

DynEleVar

DynEleVar

"With this property you have the opportunity to get informations about the variable (projected via ""Variable assignment"" in the ActiveX selection dialog) which is linked at an ActiveX element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""DynEleVar.SymVarName"") 'Return the name of the variable which is assigned to the ActiveX
zElement.DynProperties (""DynEleVar.SymVarTagNr"") 'Return the identification of the variable which is assigned to the ActiveX"

ZT_STYLE

FrameStyle

Style de bordure d'élément

Affichage et sélection du style d’élément attribué à l’élément.

Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de style.
Si plusieurs éléments ont été sélectionnés, ils peuvent être attribués à un style commun.

Remarque : Seules les propriétés compatibles avec l’élément correspondant sont prises en charge.

Plus de détails dans l’aide en ligne.

VT_BOOL

ShowState

Visualiser l'état de la variable

Affichage graphique de l’état de la variable. Sélection à l’aide d’une case à cocher.

  • Active : l’état des variables est indiqué par un carré de couleur au niveau de l’élément.

    Couleur :

    • Carré rouge :
      pas de communication avec l’automate.
      Exemple : INVALID, OFF, ALT_VAL, REVISION, TIMEOUT, ...
    • Carré bleu (N_UPDATE) :
      Sur le client réseau :
      La connexion entre le client et le serveur principal a été interrompue.

      Avec un projet d’intégration indépendant :
      Le serveur principal n’a pas encore fourni les données.
    • Carré jaune (PR_NR) :
      Indique, dans le Runtime, que la variable n’a pas été enregistrée pendant la lecture dans le module Process Recorder. Par conséquent, aucune valeur n’a été identifiée lors de la lecture.

    Position :
    La position du carré au niveau de l’élément dépend de la forme de l’élément :

    • Anguleux et tous autres éléments :
      Coin supérieur droit
    • Élément circulaire :
      En haut, au milieu
    • Élément arrondi :
      coin supérieur droit, légèrement décalé vers la gauche
  • Inactive : L’état n’est pas représenté.
    Désactive également la possibilité d’afficher les informations supplémentaires concernant la variable avec un clic droit.

Par défaut : Actif

Plus de détails dans l’aide en ligne.

VT_BSTR

DynText

Texte

Disponible uniquement si une valeur numérique a été liée et l’option Texte de valeur limite a été sélectionnée pour la propriété Afficher le texte.

Saisie du texte affiché dans le Runtime si aucun dépassement de valeur limite n’est constaté. Si une valeur limite est dépassée, le texte de valeur limite configuré pour la variable est affiché.

Plus de détails dans l’aide en ligne.

VT_UI2

TextSource

Afficher le texte

Sélection du contenu à afficher dans le Runtime dans la liste déroulante :

  • Identifiant de ressource : Le contenu de la propriété de la variable Description externe est affiché.
  • Texte de valeur limite : Si aucune valeur limite n’a été dépassée, le contenu de la propriété de synoptique Texte est affiché. En cas de dépassement d’une valeur limite, le contenu de la propriété de variable Texte valeur limite est affiché.
  • Unité de mesure : Le contenu de la propriété de la variable Unité de mesure est affiché.
  • Identifiant de variable : Le contenu de la propriété de la variable Identification est affiché.
  • Nom de la variable : Le contenu de la propriété de la variable Nom est affiché.
  • Valeur de la variable : La valeur de la variable est affichée.

Par défaut : Texte de limite :

Le contenu sélectionné est affiché dans l’aperçu de l’élément dans la fenêtre principale, sous les variables liées.

Plus de détails dans l’aide en ligne.

VT_BOOL

TranslateText

Traduire le texte affiché
  • Active : le texte devant être affiché est traduit. Si un texte est modifié, la version provisoire est affichée avec la traduction.

Par défaut : Inactive

Plus de détails dans l’aide en ligne.

ZT_STYLE

TextStyle

Style de texte

Affichage et sélection du style de texte attribué à l’élément.

Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de style.
Si plusieurs éléments ont été sélectionnés, ils peuvent être attribués à un style commun.

Remarque : Seules les propriétés compatibles avec l’élément correspondant sont prises en charge.

Plus de détails dans l’aide en ligne.

ZT_VARIABLE_DYN

LineColorVariable

Couleur du texte

Nom de la variable dont la couleur de valeur limite doit influencer la couleur de texte de l’élément. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de variables.

Plus de détails dans l’aide en ligne.

ZT_PREVIEW

LineColorVarPreview

Affichage aperçu couleur

Affichage de la valeur limite pour la propriété Couleur de ligne définie pour la variable. Disponible uniquement si l’option Depuis la variable a été configurée pour la propriété Couleur de ligne.

Un aperçu des propriétés définies pour la valeur limite est affiché dans le champ. Aucun aperçu n’est affiché pour les matrices de réaction.
Cliquez sur le bouton ... pour ouvrir la boîte de dialogue d’affichage des résultats. Les valeurs limite sont uniquement affichées ; elles ne peuvent pas être modifiées. Les modifications doivent être effectuées directement dans les propriétés de la variable pour Valeurs limite.

Plus de détails dans l’aide en ligne.

VT_BOOL

LimitColor

Utiliser la couleur de la limite

Définit si la couleur de valeur limite pour la variable liée à l’élément est affichée dans le Runtime.
La couleur a un effet sur le texte affiché ou sur le curseur d’une réglette universelle.

  • Active : La couleur de valeur limite définie est affichée dans le Runtime.

Par défaut : active

Plus de détails dans l’aide en ligne.

ZT_VARIABLE_DYN

Variable

Variable

Nom de la variable liée. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de variables.
La valeur de cette variable est affichée dans cet élément et peut également être définie ici.

Remarque : Disponible uniquement pour les boutons s’ils sont utilisés en tant qu’interrupteurs.

Conseil : si la valeur de la variable doit être basculée, nous vous recommandons d’activer la propriété Variable lue en permanence. Dans le cas contraire, le Runtime patiente jusqu’à ce que le driver connaisse la valeur des variables. Si la valeur n’est pas disponible en raison d’une interruption des communications avec le contrôleur, le délai d’attente correspond au délai d’attente avant expiration du driver.

SICAM 230 et élément Synoptique d’alarmes uniquement :
La description ci-dessus s’applique uniquement aux éléments Bouton texte, Bouton bitmap et Bouton invisible.
Signification dans SICAM 230 : Les états des classes d’alarmes/d’événements seront attribués à la variable sélectionnée (32 bits). Pour chaque classe, 2 bits seront utilisés (par numéro de classe, dans l’ordre croissant).

  • Bit inférieur : alarme active/inactive
  • Bit supérieur : alarme acquittée/non acquittée

Plus de détails dans l’aide en ligne.

ZT_MDIFUNKTION

MDIFunction

Fonction spécifique au type de synoptique

Uniquement disponible sur les synoptiques de type spécial (synoptiques de type autre que Standard) :
Liaison à une fonction spécifique au synoptique. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de fonctions spécifiques au synoptique. Cette fonction est exécutée si l’utilisateur effectue un clic dans le Runtime ou appuie sur une combinaison de touches liée.

Attention : Outre une fonction spécifique au type de synoptique, il est également possible de lier une fonction générale au bouton. Dans ce cas, notez l’ordre d’exécution lorsque vous cliquez sur le bouton : La fonction spécifique au type de synoptique est exécutée la première. Lorsque cette fonction est terminée, la fonction générale est exécutée. Si des événements VBA sont liés au bouton dans le Runtime, ces derniers sont exécutés avant les fonctions.

Plus de détails dans l’aide en ligne.

ZT_STYLE

FillStyle

Style de remplissage

Affichage et sélection du style de remplissage attribué à l’élément.

Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de style.
Si plusieurs éléments ont été sélectionnés, ils peuvent être attribués à un style commun.

Remarque : Seules les propriétés compatibles avec l’élément correspondant sont prises en charge.

Plus de détails dans l’aide en ligne.

VT_BOOL

Transparent

Transparence

Active : Désactive la couleur d’arrière-plan de l’élément.

L’effet de cette option sur un bouton est un bouton invisible. Il peut être positionné au-dessus des autres éléments en tant que bouton invisible.

Plus de détails dans l’aide en ligne.

VT_BOOL

IsSetValue

Ecrire valeur prescrite
  • Active : La configuration des valeurs prescrites pour cet élément dynamique est autorisée.
  • Inactive : L’élément est défini sur ReadOnly.

Indisponible pour l’élément Texte dynamique s’il a été défini sur read only dans le synoptique.

Plus de détails dans l’aide en ligne.

VT_BOOL

Preset

Proposer la valeur courante

Active : La valeur actuelle de la variable est proposée en tant que valeur prescrite.
Dans ce cas, la valeur est ajoutée sous "Valeur prescrite / Modification de valeur" avant la configuration de la valeur réelle (valeur positive) ou sa soustraction depuis celle-ci (valeur négative).
Inactive : La valeur définie dans la propriété "Valeur prescrite / Modification de valeur" est proposée.

Plus de détails dans l’aide en ligne.

VT_BOOL

HWDirect

Sans dialogue

Active : La valeur est transmise au matériel sans qu’il soit possible de la modifier dans Runtime.
Inactive : Il reste toutefois possible de modifier la valeur dans le Runtime avant son écriture sur le matériel.

Plus de détails dans l’aide en ligne.

VT_BOOL

CommitOnKillFocus

Écriture en cas de perte de focus

Comportement d’un élément lors de l’écriture d’une valeur prescrite dans le Runtime :

  • Active : La valeur est écrite dès que l’élément de contrôle perd le focus.
    Pour annuler la saisie, appuyez sur la touche Échap ; la valeur n’est alors pas écrite.
  • Inactive : La valeur est écrite lorsque l’utilisateur appuie sur la touche Insér.
    Pour annuler la saisie, appuyez sur la touche Échap ; la valeur n’est alors pas définie.

Valeur par défaut

  • En tant qu’élément sur le synoptique : Inactive
  • Texte dynamique éditable provenant du menu Éléments de contrôle : active

Plus de détails dans l’aide en ligne.

VT_BSTR

SetValueText

Texte valeur prescrite

Texte utilisé dans le Runtime en tant que proposition d’écriture de valeur prescrite.

Disponible uniquement si les conditions suivantes sont applicables :

  • Propriété Ecrire valeur prescrite active :
  • Propriété Proposer la valeur courante inactive :
  • La variable liée est de type STRING

Longueur maximale du texte : dépend de la valeur de la propriété Longueur de la chaîne pour la variable liée

Remarque : Si cette propriété est utilisée lorsque la propriété Sans dialogue est désactivée, la valeur est directement écrite dans l’élément dans le Runtime.

Plus de détails dans l’aide en ligne.

VT_R8

SetValue

Valeur prescrite

Valeur devant être envoyée en tant que valeur prescrite ou valeur par défaut.
Si la propriété Proposer la valeur actuelle est active : Valeur ajoutée à la valeur actuelle.
Associée à la propriété "Sans boîte de dialogue", l’augmentation (valeur positive) ou la diminution (valeur négative) peut être mise en œuvre.

Plus de détails dans l’aide en ligne.

VT_UI1

SetValueWith

Écrire valeur prescrite par

Configuration de la définition de la valeur prescrite.
Sélection dans une liste déroulante :

  • Gestion de commande : La nouvelle valeur est définie à l’aide de la fonction Gestion de commandes. Le synoptique défini dans le groupe de commandes de la variable liée s’affiche aux fins de la saisie.
  • Boîte de dialogue standard : la nouvelle valeur est saisie à l’aide d’une boîte de dialogue standard. Si un synoptique de type "Clavier" avec le nom "SETVALUEKBD" (pour les valeurs numériques) ou "SETSTRINGKBD" (pour les variables de type STRING) existe, ce synoptique est utilisé à la place de la boîte de dialogue standard.
    Remarque : Si l’élément est lié à une fonction autorisant les entrées, la propriété est définie Utiliser le synoptique clavier automatiquement. Si un synoptique est lié dans la propriété Synoptique clavier, celui-ci est utilisé. Dans le cas contraire, un clavier SETSTRINGKBD est utilisé.
  • Élément : La valeur est saisie directement dans l’élément graphique (uniquement pour les éléments Valeur numérique et Texte).
  • Programme : La valeur est saisie dans un programme externe.

Plus de détails dans l’aide en ligne.

VT_BSTR

SetProgram

Programme externe

Disponible uniquement si un programme externe a été sélectionné pour la propriété Écrire valeur prescrite :
La valeur prescrite est écrite par un programme externe qui doit être sélectionné dans la boîte de dialogue affichée ici.

Ce programme est alors démarré et reçoit les paramètres suivants :
1) Nom de la variable liée
2) Valeur proposée, telle que définie dans les propriétés correspondantes
3) Coordonnée gauche de l’élément, en pixels
4) Coordonnée supérieure de l’élément, en pixels
5) Coordonnée droite de l’élément, en pixels
6) Coordonnée inférieure de l’élément, en pixels
7) Valeur minimum autorisée pour la valeur prescrite, telle qu’elle est définie dans les propriétés correspondantes
8) Valeur maximum autorisée pour la valeur prescrite, telle qu’elle est définie dans les propriétés correspondantes

Plus de détails dans l’aide en ligne.

VT_BOOL

KbdUsage

Synoptique clavier

Disponible uniquement si la propriété Synoptique clavier est active.

Nom du synoptique de clavier lié.
Si aucun synoptique de clavier n’est saisi, le clavier correspondant est appelé dans le Runtime :

  • Variable String (chaîne) : SETSTRINGKBD
  • Variable numérique : SETVALUEKBD
  • Variable binaire : SETBOOLKBD

Remarque : Pour l’option Champ de saisie, aucun clavier n’est appelé si l’option Synoptique clavier est activée. Un synoptique de clavier doit être lié.

Plus de détails dans l’aide en ligne.

ZT_PICTURE

KbdName

Synoptique clavier

Disponible uniquement si la propriété Synoptique clavier est active.

Nom du synoptique de clavier lié.
Si aucun synoptique de clavier n’est saisi, le clavier correspondant est appelé dans le Runtime :

  • Variable String (chaîne) : SETSTRINGKBD
  • Variable numérique : SETVALUEKBD
  • Variable binaire : SETBOOLKBD

Remarque : Pour l’option Champ de saisie, aucun clavier n’est appelé si l’option Synoptique clavier est activée. Un synoptique de clavier doit être lié.

Plus de détails dans l’aide en ligne.

VT_BOOL

LimitFromVar

Plages de la variable

Active : La limitation de la plage pour laquelle les valeurs prescrites peuvent être écrites n’est pas définie par l’intermédiaire des paramètres "Min" et "Max", mais est directement issue des définitions de variables (bouton "Étendue").
Inactive : La plage peut être directement limitée par les paramètres "Minimum" et "Maximum".

Plus de détails dans l’aide en ligne.

VT_R8

Min

Minimum

Limite inférieure de la plage de valeurs autorisées pour la valeur prescrite.
Disponible uniquement si la propriété Plages de la variable n’est pas active.

Attention : La valeur saisie ici sera ignorée si une variable est sélectionnée pour la valeur minimum de la valeur dynamique prescrite.

Plus de détails dans l’aide en ligne.

VT_R8

Max

Maximum

Limite supérieure de la plage de valeurs autorisées pour la valeur prescrite.
Disponible uniquement si la propriété Plages de la variable n’est pas active.

Attention : La valeur saisie ici sera ignorée si une variable est sélectionnée pour la valeur maximale de la valeur prescrite dynamique.

Plus de détails dans l’aide en ligne.

VT_UI2

Passwordlevel

Niveau d'autorisation

Le niveau du mot de passe d’écriture de valeurs prescrites ou d’exécution de fonctions avec l’élément dynamique sélectionné.
Minimum : 0.
Maximum : 127
Par défaut : 0.

Plus de détails dans l’aide en ligne.

VT_UI4

Locking

Verrouillage

Lien vers un verrouillage existant avec cet élément.

Si une condition dans une des formules du verrouillage est vraie, cet élément est verrouillé de manière à ce qu’aucun fonctionnement ne soit possible. Si cela a été défini dans les propriétés du projet, un symbole représentant un verrou est affiché aussi longtemps que le verrouillage est actif.

Remarque : Les verrouillages ne peuvent pas être utilisés pour des symboles dans la bibliothèque générale de symboles ou la bibliothèque de symboles du projet.

Plus de détails dans l’aide en ligne.

VT_BSTR

LockingName

LockingName

"With this property you have the opportunity to assign an interlocking via its name.
zElement.DynProperties(""LockingName"") = ""Interlocking 1"""

VT_BOOL

UnderCE

Visible sous WinCE

Contrôle la visibilité des éléments dans les synoptiques sous Windows CE. Les projets qui sont utilisés sous CE et sur le PC peuvent être créés de manière plus flexible ; la gestion par l’utilisateur est ainsi améliorée. Par exemple, les boutons renvoyant l’utilisateur vers des synoptiques ne pouvant pas être affichés sous CE (par ex. IPA) peuvent être rendus invisibles.

Active : dans synoptique/l’élément est également visible sous Windows CE.

Par défaut : active

Plus de détails dans l’aide en ligne.

ZT_VBAMAKRO

Init

Init

Macro VBA à exécuter lors de l’initialisation de l’élément.

Plus de détails dans l’aide en ligne.

ZT_VBAMAKRO

SetFocus

SetFocus

Macro VBA à exécuter lorsque le focus est placé sur l’élément.

Plus de détails dans l’aide en ligne.

ZT_VBAMAKRO

KillFocus

KillFocus

Macro VBA à exécuter lorsque le focus n’est plus placé sur l’élément.

Plus de détails dans l’aide en ligne.

ZT_VBAMAKRO

LeftClickDown

LeftClickDown

Macro VBA à exécuter lorsque l’utilisateur effectue un clic gauche sur l’élément.

Plus de détails dans l’aide en ligne.

ZT_VBAMAKRO

RightClickDown

RightClickDown

Macro VBA à exécuter lorsque l’utilisateur effectue un clic droit sur l’élément.

Plus de détails dans l’aide en ligne.

ZT_VBAMAKRO

LeftClickUp

LeftClickUp

Macro VBA à exécuter lorsque l’utilisateur relâche le bouton gauche de la souris sur l’élément.

Plus de détails dans l’aide en ligne.

ZT_VBAMAKRO

RightClickUp

RightClickUp

Macro VBA à exécuter lorsque l’utilisateur relâche le bouton droit de la souris sur l’élément.

Plus de détails dans l’aide en ligne.

ZT_VBAMAKRO

LeftDClick

LeftDoubleClick

Macro VBA à exécuter lorsque l’utilisateur effectue un double-clic gauche sur l’élément.

Plus de détails dans l’aide en ligne.

ZT_VBAMAKRO

RightDClick

RightDoubleClick

Macro VBA à exécuter lorsque l’utilisateur effectue un double-clic droit sur l’élément.

Plus de détails dans l’aide en ligne.

ZT_VBAMAKRO

MouseOver

MouseOver

Macro VBA à exécuter si le pointeur de la souris est positionné sur l’élément.

Plus de détails dans l’aide en ligne.

ZT_VBAMAKRO

DragDrop

DragDrop

Macro VBA à exécuter lorsque le bouton de la souris est relâché.

Plus de détails dans l’aide en ligne.

ZT_VBAMAKRO

DragOver

DragOver

Macro VBA à exécuter lorsque le curseur est déplacé au-dessus de l’élément pendant que le bouton gauche est enfoncé.

Plus de détails dans l’aide en ligne.

ZT_VBAMAKRO

DragBegin

DragBegin

Macro VBA à exécuter lorsque l’utilisateur commence à faire glisser l’objet.

Plus de détails dans l’aide en ligne.

VT_BSTR

Menu

Menu contextuel

Menu contextuel de l’élément.
Cliquer avec le bouton droit de la souris sur l’élément pour ouvrir le menu contextuel dans le Runtime.

Plus de détails dans l’aide en ligne.

VT_BSTR

Tooltip

Info bulle

Texte à afficher en tant qu’info-bulle de l’élément dans le Runtime. Une info-bulle est automatiquement affichée dans le Runtime si le pointeur de la souris reste pendant quelques secondes sur l’élément. Des retours à la ligne automatiques peuvent être insérés avec les caractères "\n".

  • Maximum : 79 caractères
    Attention : La combinaison de caractères \n est également comptée dans la limite de 79 caractères.

Plus de détails dans l’aide en ligne.

VT_BOOL

LassoSelect

sélectionnable avec le lasso

La sélection avec le lasso dans le Runtime permet d’identifier les éléments dynamiques et de les utiliser avec des événements VBA.

  • Active : L’élément peut être sélectionné avec le lasso dans le Runtime.
  • Inactive : L’élément ne peut pas être sélectionné dans Runtime.

Par défaut : active

Attention : Pour que l’élément puisse être sélectionné dans le Runtime, vous devez activer la propriété Sélection multiple en runtime (lasso) dans les paramètres du projet !

Remarque concernant la gestion des commandes : Si la propriété Opération à deux mains est activée, le lasso de la commande Exécuter le 2ème niveau ne doit pas être activé.

Plus de détails dans l’aide en ligne.

More...

GestureManipulationGroup

Manipulation

Propriétés pour la manipulation de synoptiques et d’éléments de synoptique dans le cadre d’une utilisation tactile.

Plus de détails dans l’aide en ligne.

VT_BOOL

Tab

Le focus est donné à l'élément

Active : L’élément dynamique peut être actionné à l’aide du clavier.
Inactive : L’élément dynamique n’est pas accessible à l’aide du clavier.
Par défaut : active.

Plus de détails dans l’aide en ligne.

VT_I4

TABOrderH

Position du focus gauche/droite

Définit la position horizontale pour l’utilisation à l’aide du clavier dans le Runtime. La position est définie par l’intermédiaire du menu contextuel et de l’utilisation de la souris dans la fenêtre principale ; elle ne peut pas être modifiée ici.

Plus de détails dans l’aide en ligne.

VT_I4

TABOrderV

Position focus haut / bas

Définit la position verticale pour l’utilisation à l’aide du clavier dans le Runtime. La position est définie par l’intermédiaire du menu contextuel et de l’utilisation de la souris dans la fenêtre principale ; elle ne peut pas être modifiée ici.

Plus de détails dans l’aide en ligne.

VT_BOOL

Signature

Signature nécéssaire

Active : Une signature est nécessaire pour actionner l’élément.

Pour des raisons de sécurité, l’utilisateur sera invité à saisir son mot de passe même s’il est déjà connecté. Le texte de la signature est enregistré dans la liste d’événements (CEL) après que l’élément ait été utilisé avec succès.

Attention : seuls les utilisateurs connectés peuvent signer une action. La signature d’actions avec un identifiant temporaire n’est plus possible.

Inactive : aucune signature n’est requise.

(Par défaut) Inactive :

Plus de détails dans l’aide en ligne.

VT_BSTR

SignatureText

Texte de signature

Ce texte est également consigné lors de la signature dans la liste d’événements (CEL) ou est proposé par défaut dans le Runtime si la signature est définie comme modifiable dans les propriétés du projet.

Plus de détails dans l’aide en ligne.

VT_I2

SignatureEditModus

Texte de signature éditable

Définit si le texte de signature peut être édité. Sélectionnez dans la liste déroulante :

  • Appliquer les paramètres projet : Les paramètres de la propriété de projet Texte de signature éditable sont applicables.
  • Oui : Texte modifiables
  • Non : Le texte ne peut pas être édité.

Par défaut : Appliquer les paramètres projet

Plus de détails dans l’aide en ligne

ZT_FILE

Helpfile

Fichier d'aide

Fichier d’aide (*.chm) devant être utilisé pour cet élément, conjointement à un menu contextuel. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de fichiers.
Attention : seuls les fichiers d’aide ayant été ajoutés dans le nœud Fichiers/Aide sont disponibles.

Plus de détails dans l’aide en ligne.

VT_BSTR

HelpCapture

Chapitre d'aide

Chapitre d’aide (*.chm) devant être utilisé pour cet élément, conjointement à un menu contextuel. Nom de la page HTML sous-jacente.
Attention : cette entrée tient compte des minuscules et majuscules.

Plus de détails dans l’aide en ligne.

ZT_VARIABLE_DYN

SetValueDynMin

Minimum

Variable dont la valeur actuelle est applicable en tant que limite inférieure de la valeur prescrite de l’élément.
Disponible uniquement si Plages de la variable est inactive :
Plus de détails dans l’aide en ligne.

ZT_VARIABLE_DYN

SetValueDynMax

Maximum

Variable dont la valeur actuelle est applicable en tant que limite supérieure de la valeur prescrite de l’élément.

Disponible uniquement si la propriété Plages de la variable est inactive.

Plus de détails dans l’aide en ligne.

VT_BOOL

GestureRecognitionActive

Reconnaissance de geste active

Active l’évaluation des gestes. Les gestes sont définis à l’aide d’autres propriétés.

Uniquement disponible si, dans le groupe Intéraction des propriétés du projet, la propriété Reconnaissance Windows 8 a été définie.

Plus de détails dans l’aide en ligne.

VT_BOOL

Gestures_Manipulation

Exact

Active : Détection du paramètre Exact défini.

Plus de détails dans l’aide en ligne.

VT_BOOL

Gestures_Exact

Exact

Active : Détection du paramètre Exact défini.

Plus de détails dans l’aide en ligne.

VT_BOOL

Gestures_TranslationX

Translation X

Active : Détection du paramètre Translation X défini.

Plus de détails dans l’aide en ligne.

VT_BOOL

Gestures_TranslationY

Translation Y

Active : Détection du paramètre Translation Y défini.

Plus de détails dans l’aide en ligne.

VT_BOOL

Gestures_RailsX

Rails X

Active : Détection du paramètre Rails X défini.

Plus de détails dans l’aide en ligne.

VT_BOOL

Gestures_RailsY

Rails Y

Active : Détection du paramètre Rails Y défini.

Plus de détails dans l’aide en ligne.

VT_BOOL

Gestures_TranslationInertia

Translation inertia

Active : Détection du paramètre Translation Inertia (Inertie de translation) défini.

Plus de détails dans l’aide en ligne.

VT_BOOL

Gestures_Rotation

Inertie de rotation

Active : Détection du paramètre Rotation Inertia (Inertie de rotation) défini.

Plus de détails dans l’aide en ligne.

VT_BOOL

Gestures_RotationInertia

Inertie de rotation

Active : Détection du paramètre Rotation Inertia (Inertie de rotation) défini.

Plus de détails dans l’aide en ligne.

VT_BOOL

Gestures_Scaling

Scaling inertia

Active : Détection du paramètre Scaling Inertia (Inertie de redimensionnement) défini.

Plus de détails dans l’aide en ligne.

VT_BOOL

Gestures_ScalingInertia

Scaling inertia

Active : Détection du paramètre Scaling Inertia (Inertie de redimensionnement) défini.

Plus de détails dans l’aide en ligne.

VT_BOOL

Gestures_CrossSlide

Cross slide exact

Active : Détection du paramètre Cross Slide Exact (Glissement transversal exact) défini.

Plus de détails dans l’aide en ligne.

VT_BOOL

Gestures_CrossSlideHorizontal

Cross slide horizontal

Active : Détection du paramètre Cross Slide Horizontal (Glissement transversal horizontal) défini.

Plus de détails dans l’aide en ligne.

VT_BOOL

Gestures_CrossSlideSelect

Cross slide select

Active : Détection du paramètre Cross Slide Select (Glissement transversal, sélection) défini.

Plus de détails dans l’aide en ligne.

VT_BOOL

Gestures_CrossSlideSpeedBump

Cross slide speed bump

Active : Détection du paramètre Cross Slide Speed Bump (Glissement transversal, ralentisseur) défini.

Plus de détails dans l’aide en ligne.

VT_BOOL

Gestures_CrossSlideRearrange

Cross slide rearrange

Active : Détection du paramètre Cross Slide Rearrange (Glissement transversal, réorganisation) défini.

Plus de détails dans l’aide en ligne.

VT_BOOL

Gestures_CrossSlideExact

Cross slide exact

Active : Détection du paramètre Cross Slide Exact (Glissement transversal exact) défini.

Plus de détails dans l’aide en ligne.

VT_BOOL

Gestures_Tap

Tap double

Active : Détection du paramètre Tap Double (Double appui) défini.

Plus de détails dans l’aide en ligne.

VT_BOOL

Gestures_TapDouble

Tap double

Active : Détection du paramètre Tap Double (Double appui) défini.

Plus de détails dans l’aide en ligne.

VT_BOOL

Gestures_SecondaryTap

Secondary tap

Active : Détection du paramètre Secondary Tap (Appui secondaire) défini.

Plus de détails dans l’aide en ligne.

VT_BOOL

Gestures_Drag

Drag

Active : Détection du paramètre Drag (Glissement) défini.

Plus de détails dans l’aide en ligne.

VT_BOOL

Gestures_Hold

Hold (Mouse)

Active : Détection du paramètre Hold (Mouse) (Maintien [souris]) défini.

Plus de détails dans l’aide en ligne.

ZT_STYLE

StyleGroup

Groupe de styles

Affichage et sélection du groupe de styles attribué à l’élément.
Cliquez sur le bouton ... pour ouvrir la boîte de dialogue permettant de sélectionner un groupe de styles.
Si plusieurs éléments sont sélectionnés, elles peuvent être attribuées à un groupe de styles commun.

Remarque : Seules les propriétés compatibles avec l’élément correspondant sont prises en charge.

Plus de détails dans l’aide en ligne.

More...

LnClVariable

LnClVariable

"With this property you have the opportunity to get informations about the variable which is linked as ""line/text color"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""LnClVariable.SymVarName"") 'Return the name of the ""line/text color"" variable
zElement.DynProperties (""LnClVariable.SymVarTagNr"") 'Return the identification of the ""line/text color"" variable"

More...

BkClVariable

BkClVariable

"With this property you have the opportunity to get informations about the variable which is linked as ""background/filling color"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""BkClVariable.SymVarName"") 'Return the name of the ""background/filling color"" variable
zElement.DynProperties (""BkClVariable.SymVarTagNr"") 'Return the identification of the ""background/filling color"" variable"

More...

BkCl2Variable

"BkCl2Variable"

More...

XVar

XVar

"With this property you have the opportunity to get informations about the variable which is linked as ""dynamic x position"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""XVar.SymVarName"") 'Return the name of the ""dynamic x position"" variable
zElement.DynProperties (""XVar.SymVarTagNr"") 'Return the identification of the ""dynamic x position"" variable"

More...

YVar

YVar

"With this property you have the opportunity to get informations about the variable which is linked as ""dynamic y position"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""YVar.SymVarName"") 'Return the name of the ""dynamic y position"" variable
zElement.DynProperties (""YVar.SymVarTagNr"") 'Return the identification of the ""dynamic y position"" variable"

More...

XVarZoom

XVarZoom

"With this property you have the opportunity to get informations about the variable which is linked as ""change width"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""XVarZoom.SymVarName"") 'Return the name of the ""change width"" variable
zElement.DynProperties (""XVarZoom.SymVarTagNr"") 'Return the identification of the ""change width"" variable"

More...

YVarZoom

YVarZoom

"With this property you have the opportunity to get informations about the variable which is linked as ""change height"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""YVarZoom.SymVarName"") 'Return the name of the ""change height"" variable
zElement.DynProperties (""YVarZoom.SymVarName"") 'Return the name of the ""change height"" variable
zElement.DynProperties (""YVarZoom.SymVarTagNr"") 'Return the identification of the ""change height"" variable"

More...

TwistVar

TwistVar

"With this property you have the opportunity to get informations about the variable which is linked as ""rotate"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""TwistVar.SymVarName"") 'Return the name of the ""rotate"" variable
zElement.DynProperties (""TwistVar.SymVarTagNr"") 'Return the identification of the ""rotate"" variable"

More...

VisVariable

VisVariable

"With this property you have the opportunity to get informations about the variable which is linked as ""visibility"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""VisVariable.SymVarName"") 'Return the name of the ""visibility"" variable
zElement.DynProperties (""VisVariable.SymVarTagNr"") 'Return the identification of the ""visibility"" variable"

More...

BlinkVar

BlinkVar

More...

GlowEffectGlowColorVar

GlowEffectGlowColorVar

More...

GlowEffectVisibilityVar

GlowEffectVisibilityVar

More...

GlowEffectBlinkVar

GlowEffectBlinkVar

VT_BSTR

Name

Nom d'élément

Attribuez un nom d’élément.
Il ne doit pas être vide.

Attention : Cette propriété n’est pas disponible aux fins de la commutation de langue.

Remarques concernant les cadrans : Pour les conteneurs de synoptique, spécifiez des noms clairement identifiables pour faciliter la sélection lors de la configuration des appels de synoptique.

Plus de détails dans l’aide en ligne.

VT_UI1

Layer

Niveau de visibilité

Sélectionnez l’un des 16 niveaux de visibilité (0 à 15) dans la liste déroulante. À l’aide de la barre d’outils Niveau de visibilité, vous décidez des niveaux qui doivent être affichés dans Editor. Cette fonction garantit que les synoptiques les plus complexes peuvent être développés de manière simple. Les niveaux peuvent être utilisés immédiatement. Les niveaux n’ont aucune influence sur les informations affichées au premier plan ou en arrière-plan dans le Runtime.
Par défaut : 0.

Plus de détails dans l’aide en ligne.

VT_I4

StartX

Point de départ X [pixels]

Coordonnée Y du coin supérieur gauche du synoptique (en pixels).

Plus de détails dans l’aide en ligne.

VT_I4

EndX

Point final X [pixels]

Coordonnée X du coin inférieur droit du synoptique (en pixels).

Plus de détails dans l’aide en ligne.

VT_I4

StartY

Point de départ Y [pixels]

Coordonnée Y du coin supérieur gauche du synoptique (en pixels).

Plus de détails dans l’aide en ligne.

VT_I4

EndY

Point final Y [pixels]

Coordonnée Y du coin inférieur droit du synoptique (en pixels).

Plus de détails dans l’aide en ligne.

VT_I4

Width

Largeur [pixels]

Largeur des éléments en pixels.

Remarque : disponible uniquement pour les éléments Combinaison multiple, Élément combiné, Bouton et Interrupteur si la valeur Ajusté a été sélectionnée pour la propriété Taille du graphique.

Plus de détails dans l’aide en ligne.

VT_I4

Height

Hauteur [pixels]

Hauteur des éléments en pixels.

Remarque : disponible uniquement pour les éléments Combinaison multiple, Élément combiné, Bouton et Interrupteur si la valeur Ajusté a été sélectionnée pour la propriété Taille du graphique.

Plus de détails dans l’aide en ligne.

VT_I4

Angle

Angle de rotation [°]

Angle libre autour selon lequel doit pivoter l’élément.
Les valeurs positives correspondent à une rotation dans le sens antihoraire, tandis que les valeurs négatives correspondent à une rotation dans le sens horaire. Les valeurs supérieures à 360° sont affichées sous forme d’écart par rapport à 360° (400° correspond à 40°). Seuls les nombres entiers sont autorisés.

Sur les éléments pivotés, les actions suivantes ne sont plus possibles :

  • Miroir
  • Rotation de +/- 90°
  • Redimensionnement à l’aide des touches fléchées

Par défaut : 0

Remarque : Ce paramètre est activé et réinitialisé lors de la configuration pour Windows CE.

Plus de détails dans l’aide en ligne.

VT_I2

ZoomMin

Visible de

Incrément de zoom le plus bas auquel l’élément est visible dans la vue globale.
Par défaut : -1
Une valeur de visibilité avec des incréments de zoom de -1 à -1 signifie que l’élément est affiché, quel que soit l’incrément de zoom sélectionné.

Les niveaux de zoom affichés dans la vue globale peuvent être configurés avec la propriété Apparence graphique -> Généralités runtime -> Pas de zoom pour vue globale.

Attention : Ce niveau de zoom s’applique à tous les types de synoptiques et cadres. Si un niveau de zoom défini est supérieur à 0, l’élément est uniquement affiché dans la vue globale, car les autres types de synoptique sont automatiquement appelés avec le niveau de zoom 0.

Plus de détails dans l’aide en ligne.

VT_I2

ZoomMax

Visible jusqu'à

Incrément de zoom le plus élevé auquel l’élément est visible dans la vue globale.

Par défaut : -1
Une valeur de visibilité avec des incréments de zoom de -1 à -1 signifie que l’élément est affiché, quel que soit l’incrément de zoom sélectionné.

Les niveaux de zoom affichés dans la vue globale peuvent être configurés avec la propriété Apparence graphique -> Généralités runtime -> Pas de zoom pour vue globale.

Attention : Ce niveau de zoom s’applique à tous les types de synoptiques et cadres. Si un niveau de zoom défini est supérieur à 0, l’élément est uniquement affiché dans la vue globale, car les autres types de synoptique sont automatiquement appelés avec le niveau de zoom 0.

Plus de détails dans l’aide en ligne.

VT_BSTR

Stationname

Nom liste d'objets

L’élément est saisi directement dans la liste de stations du synoptique Vue globale, et le texte est saisi ici.

Plus de détails dans l’aide en ligne.

ZT_VARIABLE_DYN

BackColorVariable

Couleur de remplissage

Nom de la variable dont les couleurs de valeur limite doivent influencer la couleur d’arrière-plan/de remplissage de l’élément.
Ouvre la boîte de dialogue de sélection de variables.

Plus de détails dans l’aide en ligne.

ZT_PREVIEW

BackColorVarPreview

Affichage aperçu couleur

Affichage de la valeur limite pour la propriété Couleur de remplissage définie pour la variable. Disponible uniquement si l’option Depuis la variable a été configurée pour la propriété Couleur de remplissage.

Un aperçu des propriétés définies pour la valeur limite est affiché dans le champ. Aucun aperçu n’est affiché pour les matrices de réaction.
Cliquez sur le bouton ... pour ouvrir la boîte de dialogue d’affichage des résultats. Les valeurs limite sont uniquement affichées ; elles ne peuvent pas être modifiées. Les modifications doivent être effectuées directement dans les propriétés de la variable pour Valeurs limite.

Plus de détails dans l’aide en ligne.

VT_UI1

HorizontalOrigin

Horizontal

Point de référence horizontal de l’événement. Les valeurs possibles sont : gauche, centré, droite.
Ce point est utilisé en tant que base de calcul de l’angle de départ de la rotation (statique et dynamique) et pour le changement dynamique de taille.

Par défaut : À gauche

Plus de détails dans l’aide en ligne.

VT_UI1

VerticalOrigin

Vertical

Point de référence vertical de l’événement. Les valeurs possibles sont : haut, centré, bas.
Ce point est utilisé en tant que base de calcul de l’angle de départ de la rotation (statique et dynamique) et pour le changement dynamique de taille.

Par défaut : En haut

Plus de détails dans l’aide en ligne.

VT_UI4

VisibilityType

Visibilité

Sélection depuis laquelle la visibilité d’un élément est déterminée :

  • Depuis une variable
  • Du verrrouillage

Par défaut : Depuis une variable

Plus de détails dans l’aide en ligne.

ZT_VARIABLE_DYN

VisibilityVariable

Variable

Disponible uniquement si l’option Depuis la variable a été configurée pour la propriété Visibilité.

Nom de la variable dont la valeur contrôle la visibilité de l’élément. La visibilité est soit reprise des propriétés de valeur limite de ces variables, soit définie par la plage de valeurs définie dans les propriétés de et À.
Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de variables. Vous pouvez également saisir manuellement le nom dans le champ de texte.
L'élément reste visible tant qu’aucune variable n’est liée.

Plus de détails dans l’aide en ligne.

ZT_PREVIEW

VisVarPreview

Affichage aperçu visibilité

Affichage des valeurs limite pour la visibilité définies pour la variable. Disponible uniquement si l’option Depuis la variable a été configurée pour la propriété Variable dans le groupe Visibilité.

Un aperçu des propriétés définies pour la valeur limite est affiché dans le champ. Aucun aperçu n’est affiché pour les matrices de réaction.
Cliquez sur le bouton ... pour ouvrir la boîte de dialogue d’affichage des résultats. Les valeurs limite sont uniquement affichées ; elles ne peuvent pas être modifiées. Les modifications doivent être effectuées directement dans les propriétés de la variable pour Valeurs limite.

Plus de détails dans l’aide en ligne.

VT_BOOL

VisibilityFromLimit

A partir des valeurs limites

Uniquement disponible après la sélection d’une variable :

  • Active : La visibilité de l’élément est influencée par la propriété de valeur limite de la variable.

    Attention : La propriété Invisible doit être active pour au moins une valeur limite de la variable.

  • Inactive : la visibilité est influencée par les propriétés de l’élément.

Par défaut : active

Plus de détails dans l’aide en ligne.

VT_R8

VisibilityFrom

de

Disponible uniquement après la sélection d’une variable, si la visibilité n’a pas été reprise par la valeur limite :

Valeur minimum de la variable à laquelle l’élément est visible.

  • Minimum : valeur minimum possible de la variable liée.
  • Maximum : valeur maximum possible de la variable liée.

Par défaut : valeur minimum possible de la variable liée.

Plus de détails dans l’aide en ligne.

VT_R8

VisibilityTo

À

Disponible uniquement après la sélection d’une variable, si la visibilité n’a pas été reprise par la valeur limite :

Valeur maximale de la variable à laquelle l’élément est visible.

  • Minimum : valeur minimum possible de la variable liée.
  • Maximum : valeur maximum possible de la variable liée.

Par défaut : valeur maximum possible de la variable liée.

Plus de détails dans l’aide en ligne.

VT_UI4

Interlocking

Verrouillage

Disponible uniquement si l’option Depuis le verrouillage est sélectionnée pour la propriété Visibilité.

Nom du verrouillage dont la valeur contrôle la visibilité de l’élément. Sélectionnez dans la liste déroulante. Celle-ci contient tous les verrouillages existants et utilisables. L’élément est toujours visible si aucun verrouillage n’est lié.

Plus de détails dans l’aide en ligne.

VT_BSTR

InterlockingName

InterlockingName

Description

VT_BOOL

VisibleWhenInterlocked

Visible si verrouillé

Contrôle la visibilité de l’élément lorsque le verrouillage est sélectionné :

  • Active : L’élément est visible s’il est verrouillé.
  • Inactive : L’élément est visible s’il n’est pas verrouillé.

Par défaut : inactive

Plus de détails dans l’aide en ligne.

ZT_VARIABLE_DYN

BlinkVariable

Affichage aperçu clignotement

Affichage des valeurs limite pour le clignotement définies pour la variable. Disponible uniquement si l’option Depuis la variable a été configurée pour la propriété Prendre le clignotement de la limite.

Un aperçu des propriétés définies pour la valeur limite est affiché dans le champ. Aucun aperçu n’est affiché pour les matrices de réaction.
Cliquez sur le bouton ... pour ouvrir la boîte de dialogue d’affichage des résultats. Les valeurs limite sont uniquement affichées ; elles ne peuvent pas être modifiées. Les modifications doivent être effectuées directement dans les propriétés de la variable pour Valeurs limite.

Plus de détails dans l’aide en ligne.

ZT_PREVIEW

BlinkVarPreview

Affichage aperçu clignotement

Affichage des valeurs limite pour le clignotement définies pour la variable. Disponible uniquement si l’option Depuis la variable a été configurée pour la propriété Prendre le clignotement de la limite.

Un aperçu des propriétés définies pour la valeur limite est affiché dans le champ. Aucun aperçu n’est affiché pour les matrices de réaction.
Cliquez sur le bouton ... pour ouvrir la boîte de dialogue d’affichage des résultats. Les valeurs limite sont uniquement affichées ; elles ne peuvent pas être modifiées. Les modifications doivent être effectuées directement dans les propriétés de la variable pour Valeurs limite.

Plus de détails dans l’aide en ligne.

VT_BOOL

UseBlinkColor

Couleur de clignotement par la limite

Active : Reprend la couleur d’arrière-plan du clignotement défini pour la valeur limite active de la variable pour Prendre le clignotement de la limite. Durant le clignotement, l’élément ne devient pas invisible, mais reprend la couleur d’arrière-plan active.

Par défaut : Inactive

Remarque : la couleur n’est pas prise en compte si la couleur d’arrière-plan Transparence est configurée.

Plus de détails dans l’aide en ligne.

ZT_VARIABLE_DYN

XVariable

Variable

Nom de la variable utilisée pour le déplacement horizontal de l’élément.
Ouvre la boîte de dialogue de sélection de variables.

Plus de détails dans l’aide en ligne.

VT_R8

XVarMin

Valeur min de la variable

Valeur minimale de la variable utilisée pour le déplacement horizontal de l’élément.

Plus de détails dans l’aide en ligne.

VT_R8

XVarMax

Valeur max de la variable

Valeur maximale de la variable utilisée pour le déplacement horizontal de l’élément.

Plus de détails dans l’aide en ligne.

VT_I4

XViewMin

Mouvement min [pixels]

Position horizontale de l’élément pour la valeur minimale de la variable (en pixels).

Plus de détails dans l’aide en ligne.

VT_I4

XViewMax

Mouvement max [pixels]

Position horizontale de l’élément pour la valeur minimale de la variable (en pixels).

Plus de détails dans l’aide en ligne.

ZT_VARIABLE_DYN

YVariable

Variable

Nom de la variable utilisée pour le déplacement vertical de l’élément.
Ouvre la boîte de dialogue de sélection de variables.

Plus de détails dans l’aide en ligne.

VT_R8

YVarMin

Valeur min de la variable

Valeur minimale de la variable utilisée pour le déplacement vertical de l’élément.

Plus de détails dans l’aide en ligne.

VT_R8

YVarMax

Valeur max de la variable

Valeur maximale de la variable utilisée pour le déplacement vertical de l’élément.

Plus de détails dans l’aide en ligne.

VT_I4

YViewMin

Mouvement min [pixels]

Position verticale de l’élément pour la valeur minimale de la variable (en pixels).

Plus de détails dans l’aide en ligne.

VT_I4

YViewMax

Mouvement max [pixels]

Position verticale de l’élément pour la valeur maximale de la variable (en pixels).

Plus de détails dans l’aide en ligne.

ZT_VARIABLE_DYN

XZoomVariable

Variable

Nom de la variable utilisée pour l’agrandissement de la largeur de l’élément.
Ouvre la boîte de dialogue de sélection de variables.

Plus de détails dans l’aide en ligne.

VT_R8

XZoomVarMin

Valeur min de la variable

Valeur minimale de la variable utilisée pour effectuer un zoom à la largeur de l’élément.

Plus de détails dans l’aide en ligne.

VT_R8

XZoomVarMax

Valeur max de la variable

Valeur maximale de la variable utilisée pour effectuer un zoom sur la largeur de l’élément.

Plus de détails dans l’aide en ligne.

VT_I4

XZoomViewMin

Largeur min [%]

Facteur de zoom correspondant à la largeur de l’élément pour la valeur minimale de la variable (en pixels).

Plus de détails dans l’aide en ligne.

VT_I4

XZoomViewMax

Largeur max [%]

Facteur de zoom correspondant à la largeur de l’élément pour la valeur maximale de la variable (en pixels).

Plus de détails dans l’aide en ligne.

ZT_VARIABLE_DYN

YZoomVariable

Variable

Nom de la variable utilisée pour l’agrandissement de la hauteur de l’élément.
Ouvre la boîte de dialogue de sélection de variables.

Plus de détails dans l’aide en ligne.

VT_R8

YZoomVarMin

Valeur min de la variable

Valeur minimum de la variable utilisée pour effectuer un zoom sur la hauteur de l’élément.

Plus de détails dans l’aide en ligne.

VT_R8

YZoomVarMax

Valeur max de la variable

Valeur maximum de la variable utilisée pour effectuer un zoom sur la hauteur de l’élément.

Plus de détails dans l’aide en ligne.

VT_I4

YZoomViewMin

Hauteur min [%]

Facteur de zoom correspondant à la hauteur de l’élément pour la valeur minimum de la variable (en %).

Plus de détails dans l’aide en ligne.

VT_I4

YZoomViewMax

Hauteur max [%]

Facteur de zoom correspondant à la hauteur de l’élément pour la valeur maximale de la variable (en pixels).

Plus de détails dans l’aide en ligne.

ZT_VARIABLE_DYN

TwistVariable

Variable

Nom de la variable utilisée pour la rotation de l’élément.

Plus de détails dans l’aide en ligne.

VT_R8

TwistVarMin

Valeur min de la variable

Valeur minimum de la variable utilisée pour la rotation de l’élément.

Plus de détails dans l’aide en ligne.

VT_R8

TwistVarMax

Valeur max de la variable

Valeur maximale de la variable utilisée pour la rotation de l’élément.

Plus de détails dans l’aide en ligne.

VT_I4

TwistViewMin

Rotation min [°]

Angle de rotation de l’élément pour la valeur minimum de la variable (en °).

Plus de détails dans l’aide en ligne.

VT_I4

TwistViewMax

Rotation max [°]

Angle de rotation de l’élément pour la valeur maximum de la variable (en °).

Plus de détails dans l’aide en ligne.

ZT_STYLE

ShadowEffectStyle

Style effet cadres/ombres

Affichage et sélection du style de cadre et d’ombre attribué à l’élément.

Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de style.
Si plusieurs éléments ont été sélectionnés, ils peuvent être attribués à un style commun.

Remarque : Seules les propriétés compatibles avec l’élément correspondant sont prises en charge.

Plus de détails dans l’aide en ligne.

VT_BOOL

EnablePunchFrame

Afficher le cadre

A frame around the element can be displayed.
Default: inactive.

ZT_STYLE

GlowEffectStyle

Style effet de rayonnement

Affichage et sélection du style des effets de luminescence attribués à l’élément.

Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de style.
Si plusieurs éléments ont été sélectionnés, ils peuvent être attribués à un style commun.

Remarque : Seules les propriétés compatibles avec l’élément correspondant sont prises en charge.

Plus de détails dans l’aide en ligne.

VT_BOOL

GlowEffectEvent

Actif seulement si cliqué

Disponible uniquement si la propriété Activer est active et l’élément est un bouton.

Active : l’effet de luminescence est uniquement affiché lorsque l’utilisateur clique sur le bouton. Cliquer sur le bouton permet de modifier la couleur, le clignotement ou l’invisibilité de l’effet de luminescence.

Par défaut : Inactive

Plus de détails dans l’aide en ligne.

ZT_VARIABLE_DYN

GlowEffectGlowColorVariable

Variable pour la couleur

Disponible uniquement si la propriété Activer est active. La propriété Coloration doit être activée.

Nom de la variable dont la couleur aux valeurs limites doit influencer la couleur de l’effet de luminescence pour l’élément. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de variables. Vous pouvez également saisir le nom manuellement dans le champ de texte. Si aucune variable n’est liée, la couleur définie dans la propriété Couleur est utilisée.

Par défaut : aucune variable liée

Plus de détails dans l’aide en ligne.

ZT_PREVIEW

GlowEffectGlowColorVariablePreview

Affichage aperçu couleur

Affichage de la valeur limite définie pour la variable de couleur lorsque l’effet de luminescence est actif. Disponible uniquement si l’option Depuis la variable a été configurée pour la propriété Variable pour la couleur.

Un aperçu des propriétés définies pour la valeur limite est affiché dans le champ. Aucun aperçu n’est affiché pour les matrices de réaction.
Cliquez sur le bouton ... pour ouvrir la boîte de dialogue d’affichage des résultats. Les valeurs limite sont uniquement affichées ; elles ne peuvent pas être modifiées. Les modifications doivent être effectuées directement dans les propriétés de la variable pour Valeurs limite.

Plus de détails dans l’aide en ligne.

ZT_VARIABLE_DYN

GlowEffectVisibilityVariable

Variable pour la visibilité

Disponible uniquement si la propriété Activer est active.

Nom de la variable dont la valeur influence la visibilité de l’effet de luminescence. La visibilité est soit reprise des propriétés de valeur limite de cette variable (propriété Visibilité depuis valeur limite active), soit définie par la plage de valeurs définie dans les propriétés Visible de et Visible jusqu'à. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de variables. Vous pouvez également saisir le nom manuellement dans le champ de texte.

Remarque : si aucune variable n’est liée, l’effet de luminescence est toujours visible.

Par défaut : aucune variable liée

Plus de détails dans l’aide en ligne.

ZT_PREVIEW

GlowEffectVisibilityVariablePreview

Affichage aperçu visibilité

Affichage de la valeur limite définie pour la variable de visibilité lorsque l’effet de luminescence est actif. Disponible uniquement si l’option Depuis la variable a été configurée pour la propriété Variable pour la visibilité.

Un aperçu des propriétés définies pour la valeur limite est affiché dans le champ. Aucun aperçu n’est affiché pour les matrices de réaction.
Cliquez sur le bouton ... pour ouvrir la boîte de dialogue d’affichage des résultats. Les valeurs limite sont uniquement affichées ; elles ne peuvent pas être modifiées. Les modifications doivent être effectuées directement dans les propriétés de la variable pour Valeurs limite.

Plus de détails dans l’aide en ligne.

VT_BOOL

GlowEffectVisibilityFromLimit

Visibilité depuis valeur limite

Disponible uniquement si la propriété Activer est active. Vous devez en outre définir une variable dans la propriété Variable pour la visibilité.

Active : La visibilité de l’effet de luminescence est influencée par la propriété de valeur limite de la variable.

Attention : Pour une valeur limite de la variable au moins, la propriété Invisible doit être active.

Inactive : la visibilité est influencée par les propriétés de l’élément.

Plus de détails dans l’aide en ligne.

VT_R8

GlowEffectVisibilityFrom

Visible de

Disponible uniquement si la propriété Activer est active. Vous devez en outre définir une variable dans la propriété Variable pour la visibilité ; la propriété Visibilité depuis valeur limite doit être inactive.

Définit la valeur à partir de laquelle l’effet de luminescence devient visible.
Minimum : valeur la moins élevée autorisée pour la variable liée dans Variable pour la visibilité.
Maximum : valeur la moins élevée autorisée pour la variable liée dans Variable pour la visibilité.
Par défaut : valeur la plus élevée autorisée pour la variable liée dans Variable pour la visibilité.

Plus de détails dans l’aide en ligne.

VT_R8

GlowEffectVisibilityTo

Visible jusqu'à

Disponible uniquement si la propriété Activer est active. Vous devez en outre définir une variable dans la propriété Variable pour la visibilité ; la propriété Visibilité depuis valeur limite doit être inactive.

Définit la valeur jusqu’à laquelle l’effet de luminescence reste visible.
Minimum : valeur la plus basse autorisée pour la variable liée dans Variable pour la visibilité.
Maximum : valeur la plus élevée autorisée pour la variable liée dans Variable pour la visibilité.
Par défaut : valeur la plus élevée autorisée pour la variable liée dans Variable pour la visibilité.

Plus de détails dans l’aide en ligne.

ZT_VARIABLE_DYN

GlowEffectBlinkVariable

Variable pour le clignotement

Variables dont les paramètres de clignotement de l’effet de luminescence aux valeurs limites doivent être repris. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de variables.

Par défaut : aucune variable liée

Plus de détails dans l’aide en ligne.

ZT_PREVIEW

GlowEffectBlinkVariablePreview

Affichage aperçu clignotement

Affichage de la valeur limite définie pour la variable de clignotement lorsque l’effet de luminescence est actif. Disponible uniquement si l’option Depuis la variable a été configurée pour la propriété Variable pour le clignotement.

Un aperçu des propriétés définies pour la valeur limite est affiché dans le champ. Aucun aperçu n’est affiché pour les matrices de réaction.
Cliquez sur le bouton ... pour ouvrir la boîte de dialogue d’affichage des résultats. Les valeurs limite sont uniquement affichées ; elles ne peuvent pas être modifiées. Les modifications doivent être effectuées directement dans les propriétés de la variable pour Valeurs limite.

Plus de détails dans l’aide en ligne.

VT_BOOL

GlowEffectUseBlinkColor

Clignotement depuis valeur limite

Disponible uniquement si la propriété Activer est active. Vous devez en outre définir une variable dans la propriété Variable pour le clignotement.

Active : Reprend, pour l’effet de luminescence, la couleur de clignotement de la valeur limite active pour la variable définie dans la propriété Couleur de clignotement par la limite. Cette propriété agit indépendamment de la propriété Coloration. En cas de clignotement, l’effet de luminescence ne devient pas invisible, mais reprend les paramètres de l’effet de luminescence actif.

Par défaut : Inactive

Plus de détails dans l’aide en ligne.

VT_BOOL

GlowEffect2ndBlinkStateVisible

2 états de clignotement invisibles

Disponible uniquement si la propriété Activer est active. Vous devez en outre définir une variable dans la propriété Variable pour le clignotement ; la propriété Clignotement depuis valeur limite doit être inactive.

Active : En cas de clignotement, l’effet de luminescence ne bascule pas vers l’effet de luminescence actif, mais devient invisible. Ceci permet de basculer entre l’invisibilité et la couleur de clignotement en cas de dépassement de la valeur limite.

Par défaut : Inactive

Plus de détails dans l’aide en ligne.


Universal slider

Manuel -> Interfaces de programmation -> Modèles d'objet -> Element -> Element-Dynamic properties -> Universal slider

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Type

VBA/VSTA Name

Display Name

Description

More...

DynEleVar

DynEleVar

"With this property you have the opportunity to get informations about the variable (projected via ""Variable assignment"" in the ActiveX selection dialog) which is linked at an ActiveX element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""DynEleVar.SymVarName"") 'Return the name of the variable which is assigned to the ActiveX
zElement.DynProperties (""DynEleVar.SymVarTagNr"") 'Return the identification of the variable which is assigned to the ActiveX"

ZT_STYLE

FrameStyle

Style de bordure d'élément

Affichage et sélection du style d’élément attribué à l’élément.

Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de style.
Si plusieurs éléments ont été sélectionnés, ils peuvent être attribués à un style commun.

Remarque : Seules les propriétés compatibles avec l’élément correspondant sont prises en charge.

Plus de détails dans l’aide en ligne.

VT_BOOL

ShowState

Visualiser l'état de la variable

Affichage graphique de l’état de la variable. Sélection à l’aide d’une case à cocher.

  • Active : l’état des variables est indiqué par un carré de couleur au niveau de l’élément.

    Couleur :

    • Carré rouge :
      pas de communication avec l’automate.
      Exemple : INVALID, OFF, ALT_VAL, REVISION, TIMEOUT, ...
    • Carré bleu (N_UPDATE) :
      Sur le client réseau :
      La connexion entre le client et le serveur principal a été interrompue.

      Avec un projet d’intégration indépendant :
      Le serveur principal n’a pas encore fourni les données.
    • Carré jaune (PR_NR) :
      Indique, dans le Runtime, que la variable n’a pas été enregistrée pendant la lecture dans le module Process Recorder. Par conséquent, aucune valeur n’a été identifiée lors de la lecture.

    Position :
    La position du carré au niveau de l’élément dépend de la forme de l’élément :

    • Anguleux et tous autres éléments :
      Coin supérieur droit
    • Élément circulaire :
      En haut, au milieu
    • Élément arrondi :
      coin supérieur droit, légèrement décalé vers la gauche
  • Inactive : L’état n’est pas représenté.
    Désactive également la possibilité d’afficher les informations supplémentaires concernant la variable avec un clic droit.

Par défaut : Actif

Plus de détails dans l’aide en ligne.

VT_BOOL

LimitColor

Utiliser la couleur de la limite

Définit si la couleur de valeur limite pour la variable liée à l’élément est affichée dans le Runtime.
La couleur a un effet sur le texte affiché ou sur le curseur d’une réglette universelle.

  • Active : La couleur de valeur limite définie est affichée dans le Runtime.

Par défaut : active

Plus de détails dans l’aide en ligne.

ZT_STYLE

ValueStyle

Style d'affichage de la valeur

Affichage et sélection du style d’affichage de la valeur attribué à l’élément.

Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de style.
Si plusieurs éléments ont été sélectionnés, ils peuvent être attribués à un style commun.

Remarque : Seules les propriétés compatibles avec l’élément correspondant sont prises en charge.

Plus de détails dans l’aide en ligne.

ZT_STYLE

TextStyle

Style de texte

Affichage et sélection du style de texte attribué à l’élément.

Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de style.
Si plusieurs éléments ont été sélectionnés, ils peuvent être attribués à un style commun.

Remarque : Seules les propriétés compatibles avec l’élément correspondant sont prises en charge.

Plus de détails dans l’aide en ligne.

VT_I2

ValuePos

Valeur de la position

Position de la valeur à afficher.

Plus de détails dans l’aide en ligne.

ZT_STYLE

TextStyle2

Style de texte pour la sélection

Affichage et sélection du style de texte attribué à l’élément lors de la sélection.

Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de style.
Si plusieurs éléments ont été sélectionnés, ils peuvent être attribués à un style commun.

Remarque : Seules les propriétés compatibles avec l’élément correspondant sont prises en charge.

Plus de détails dans l’aide en ligne.

VT_I2

TitlePos

Position titre

Emplacement du titre.

Plus de détails dans l’aide en ligne.

VT_BSTR

TitleText

Texte titre

Texte à afficher en tant que titre.

Plus de détails dans l’aide en ligne.

VT_BOOL

MouseMovement

Envoi valeur pendant le déplacement souris

Active : Envoi continu de nouvelles valeurs pendant le déplacement de la souris.
Inactive : Envoi unique de la nouvelle valeur lorsque le bouton de la souris est relâché.
(uniquement si l’option "Directement au matériel" est activée dans la section "Valeur prescrite")

Plus de détails dans l’aide en ligne.

VT_BOOL

Discrete

Echelonné

La configuration de valeurs s’effectue uniquement par étapes définies.

Plus de détails dans l’aide en ligne.

VT_I2

DiscreteSteps

Etapes échelonnées

Nombre d’incréments pour la propriété Etapes échelonnées.

Minimum : 2

Maximum : 20

Par défaut : 5

Plus de détails dans l’aide en ligne.

ZT_VARIABLE_DYN

Variable

Variable

Nom de la variable liée. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de variables.
La valeur de cette variable est affichée dans cet élément et peut également être définie ici.

Remarque : Disponible uniquement pour les boutons s’ils sont utilisés en tant qu’interrupteurs.

Conseil : si la valeur de la variable doit être basculée, nous vous recommandons d’activer la propriété Variable lue en permanence. Dans le cas contraire, le Runtime patiente jusqu’à ce que le driver connaisse la valeur des variables. Si la valeur n’est pas disponible en raison d’une interruption des communications avec le contrôleur, le délai d’attente correspond au délai d’attente avant expiration du driver.

SICAM 230 et élément Synoptique d’alarmes uniquement :
La description ci-dessus s’applique uniquement aux éléments Bouton texte, Bouton bitmap et Bouton invisible.
Signification dans SICAM 230 : Les états des classes d’alarmes/d’événements seront attribués à la variable sélectionnée (32 bits). Pour chaque classe, 2 bits seront utilisés (par numéro de classe, dans l’ordre croissant).

  • Bit inférieur : alarme active/inactive
  • Bit supérieur : alarme acquittée/non acquittée

Plus de détails dans l’aide en ligne.

ZT_STYLE

FillStyle

Style de remplissage

Affichage et sélection du style de remplissage attribué à l’élément.

Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de style.
Si plusieurs éléments ont été sélectionnés, ils peuvent être attribués à un style commun.

Remarque : Seules les propriétés compatibles avec l’élément correspondant sont prises en charge.

Plus de détails dans l’aide en ligne.

VT_BOOL

Transparent

Transparence

Active : Désactive la couleur d’arrière-plan de l’élément.

L’effet de cette option sur un bouton est un bouton invisible. Il peut être positionné au-dessus des autres éléments en tant que bouton invisible.

Plus de détails dans l’aide en ligne.

VT_BOOL

IsSetValue

Ecrire valeur prescrite
  • Active : La configuration des valeurs prescrites pour cet élément dynamique est autorisée.
  • Inactive : L’élément est défini sur ReadOnly.

Indisponible pour l’élément Texte dynamique s’il a été défini sur read only dans le synoptique.

Plus de détails dans l’aide en ligne.

VT_BOOL

Preset

Proposer la valeur courante

Active : La valeur actuelle de la variable est proposée en tant que valeur prescrite.
Dans ce cas, la valeur est ajoutée sous "Valeur prescrite / Modification de valeur" avant la configuration de la valeur réelle (valeur positive) ou sa soustraction depuis celle-ci (valeur négative).
Inactive : La valeur définie dans la propriété "Valeur prescrite / Modification de valeur" est proposée.

Plus de détails dans l’aide en ligne.

VT_BOOL

HWDirect

Sans dialogue

Active : La valeur est transmise au matériel sans qu’il soit possible de la modifier dans Runtime.
Inactive : Il reste toutefois possible de modifier la valeur dans le Runtime avant son écriture sur le matériel.

Plus de détails dans l’aide en ligne.

VT_R8

SetValue

Valeur prescrite

Valeur devant être envoyée en tant que valeur prescrite ou valeur par défaut.
Si la propriété Proposer la valeur actuelle est active : Valeur ajoutée à la valeur actuelle.
Associée à la propriété "Sans boîte de dialogue", l’augmentation (valeur positive) ou la diminution (valeur négative) peut être mise en œuvre.

Plus de détails dans l’aide en ligne.

VT_UI1

SetValueWith

Écrire valeur prescrite par

Configuration de la définition de la valeur prescrite.
Sélection dans une liste déroulante :

  • Gestion de commande : La nouvelle valeur est définie à l’aide de la fonction Gestion de commandes. Le synoptique défini dans le groupe de commandes de la variable liée s’affiche aux fins de la saisie.
  • Boîte de dialogue standard : la nouvelle valeur est saisie à l’aide d’une boîte de dialogue standard. Si un synoptique de type "Clavier" avec le nom "SETVALUEKBD" (pour les valeurs numériques) ou "SETSTRINGKBD" (pour les variables de type STRING) existe, ce synoptique est utilisé à la place de la boîte de dialogue standard.
    Remarque : Si l’élément est lié à une fonction autorisant les entrées, la propriété est définie Utiliser le synoptique clavier automatiquement. Si un synoptique est lié dans la propriété Synoptique clavier, celui-ci est utilisé. Dans le cas contraire, un clavier SETSTRINGKBD est utilisé.
  • Élément : La valeur est saisie directement dans l’élément graphique (uniquement pour les éléments Valeur numérique et Texte).
  • Programme : La valeur est saisie dans un programme externe.

Plus de détails dans l’aide en ligne.

VT_BSTR

SetProgram

Programme externe

Disponible uniquement si un programme externe a été sélectionné pour la propriété Écrire valeur prescrite :
La valeur prescrite est écrite par un programme externe qui doit être sélectionné dans la boîte de dialogue affichée ici.

Ce programme est alors démarré et reçoit les paramètres suivants :
1) Nom de la variable liée
2) Valeur proposée, telle que définie dans les propriétés correspondantes
3) Coordonnée gauche de l’élément, en pixels
4) Coordonnée supérieure de l’élément, en pixels
5) Coordonnée droite de l’élément, en pixels
6) Coordonnée inférieure de l’élément, en pixels
7) Valeur minimum autorisée pour la valeur prescrite, telle qu’elle est définie dans les propriétés correspondantes
8) Valeur maximum autorisée pour la valeur prescrite, telle qu’elle est définie dans les propriétés correspondantes

Plus de détails dans l’aide en ligne.

VT_BOOL

KbdUsage

Synoptique clavier

Disponible uniquement si la propriété Synoptique clavier est active.

Nom du synoptique de clavier lié.
Si aucun synoptique de clavier n’est saisi, le clavier correspondant est appelé dans le Runtime :

  • Variable String (chaîne) : SETSTRINGKBD
  • Variable numérique : SETVALUEKBD
  • Variable binaire : SETBOOLKBD

Remarque : Pour l’option Champ de saisie, aucun clavier n’est appelé si l’option Synoptique clavier est activée. Un synoptique de clavier doit être lié.

Plus de détails dans l’aide en ligne.

ZT_PICTURE

KbdName

Synoptique clavier

Disponible uniquement si la propriété Synoptique clavier est active.

Nom du synoptique de clavier lié.
Si aucun synoptique de clavier n’est saisi, le clavier correspondant est appelé dans le Runtime :

  • Variable String (chaîne) : SETSTRINGKBD
  • Variable numérique : SETVALUEKBD
  • Variable binaire : SETBOOLKBD

Remarque : Pour l’option Champ de saisie, aucun clavier n’est appelé si l’option Synoptique clavier est activée. Un synoptique de clavier doit être lié.

Plus de détails dans l’aide en ligne.

VT_BOOL

LimitFromVar

Plages de la variable

Active : La limitation de la plage pour laquelle les valeurs prescrites peuvent être écrites n’est pas définie par l’intermédiaire des paramètres "Min" et "Max", mais est directement issue des définitions de variables (bouton "Étendue").
Inactive : La plage peut être directement limitée par les paramètres "Minimum" et "Maximum".

Plus de détails dans l’aide en ligne.

VT_R8

Min

Minimum

Limite inférieure de la plage de valeurs autorisées pour la valeur prescrite.
Disponible uniquement si la propriété Plages de la variable n’est pas active.

Attention : La valeur saisie ici sera ignorée si une variable est sélectionnée pour la valeur minimum de la valeur dynamique prescrite.

Plus de détails dans l’aide en ligne.

VT_R8

Max

Maximum

Limite supérieure de la plage de valeurs autorisées pour la valeur prescrite.
Disponible uniquement si la propriété Plages de la variable n’est pas active.

Attention : La valeur saisie ici sera ignorée si une variable est sélectionnée pour la valeur maximale de la valeur prescrite dynamique.

Plus de détails dans l’aide en ligne.

VT_UI2

Passwordlevel

Niveau d'autorisation

Le niveau du mot de passe d’écriture de valeurs prescrites ou d’exécution de fonctions avec l’élément dynamique sélectionné.
Minimum : 0.
Maximum : 127
Par défaut : 0.

Plus de détails dans l’aide en ligne.

VT_UI4

Locking

Verrouillage

Lien vers un verrouillage existant avec cet élément.

Si une condition dans une des formules du verrouillage est vraie, cet élément est verrouillé de manière à ce qu’aucun fonctionnement ne soit possible. Si cela a été défini dans les propriétés du projet, un symbole représentant un verrou est affiché aussi longtemps que le verrouillage est actif.

Remarque : Les verrouillages ne peuvent pas être utilisés pour des symboles dans la bibliothèque générale de symboles ou la bibliothèque de symboles du projet.

Plus de détails dans l’aide en ligne.

VT_BSTR

LockingName

LockingName

"With this property you have the opportunity to assign an interlocking via its name.
zElement.DynProperties(""LockingName"") = ""Interlocking 1"""

VT_BOOL

ViewLimitFromVar

Appliquer la plage de visualisation à partir de la variable

Reprend la zone d’affichage de la variable liée. Vous pouvez actualiser cet affichage durant le remplacement par une variable comportant une plage de valeurs différente.

Plus de détails dans l’aide en ligne.

VT_R8

ViewMin

Minimum

Valeur la plus basse de la variable devant être affichée dans l’élément.

Plus de détails dans l’aide en ligne.

VT_R8

ViewMax

Maximum

Valeur la plus élevée de la variable devant être affichée dans l’élément.

Plus de détails dans l’aide en ligne.

ZT_VARIABLE_DYN

DynMinVar

Minimum

Variable définissant la valeur minimum de la plage d’affichage dans le Runtime.

Plus de détails dans l’aide en ligne.

ZT_VARIABLE_DYN

DynMaxVar

Maximum

Variable définissant la valeur maximum de la plage d’affichage dans le Runtime.

Plus de détails dans l’aide en ligne.

ZT_STYLE

UniversalSliderStyle

Style de curseur universel

Affichage et sélection du style de la réglette universelle attribuée à l’élément.

Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de style.
Si plusieurs éléments ont été sélectionnés, ils peuvent être attribués à un style commun.

Remarque : Seules les propriétés compatibles avec l’élément correspondant sont prises en charge.

Plus de détails dans l’aide en ligne.

ZT_STYLE

BarFillStyle

Style de remplissage pour le graphique si pressé/activé

Description sous forme de texte.

ZT_STYLE

ScaleStyle

Échelle de style

Affichage et sélection du style d’échelle attribué à l’élément.

Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de style.
Si plusieurs éléments ont été sélectionnés, ils peuvent être attribués à un style commun.

Remarque : Seules les propriétés compatibles avec l’élément correspondant sont prises en charge.

Plus de détails dans l’aide en ligne.

ZT_STYLE

PaddingStyle

Style de remplissage

Affichage et sélection du style de remplissage attribué à l’élément.

Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de style.
Si plusieurs éléments ont été sélectionnés, ils peuvent être attribués à un style commun.

Remarque : Seules les propriétés compatibles avec l’élément correspondant sont prises en charge.

Plus de détails dans l’aide en ligne.

VT_BOOL

UnderCE

Visible sous WinCE

Contrôle la visibilité des éléments dans les synoptiques sous Windows CE. Les projets qui sont utilisés sous CE et sur le PC peuvent être créés de manière plus flexible ; la gestion par l’utilisateur est ainsi améliorée. Par exemple, les boutons renvoyant l’utilisateur vers des synoptiques ne pouvant pas être affichés sous CE (par ex. IPA) peuvent être rendus invisibles.

Active : dans synoptique/l’élément est également visible sous Windows CE.

Par défaut : active

Plus de détails dans l’aide en ligne.

ZT_VBAMAKRO

Init

Init

Macro VBA à exécuter lors de l’initialisation de l’élément.

Plus de détails dans l’aide en ligne.

ZT_VBAMAKRO

SetFocus

SetFocus

Macro VBA à exécuter lorsque le focus est placé sur l’élément.

Plus de détails dans l’aide en ligne.

ZT_VBAMAKRO

KillFocus

KillFocus

Macro VBA à exécuter lorsque le focus n’est plus placé sur l’élément.

Plus de détails dans l’aide en ligne.

ZT_VBAMAKRO

LeftClickDown

LeftClickDown

Macro VBA à exécuter lorsque l’utilisateur effectue un clic gauche sur l’élément.

Plus de détails dans l’aide en ligne.

ZT_VBAMAKRO

RightClickDown

RightClickDown

Macro VBA à exécuter lorsque l’utilisateur effectue un clic droit sur l’élément.

Plus de détails dans l’aide en ligne.

ZT_VBAMAKRO

LeftClickUp

LeftClickUp

Macro VBA à exécuter lorsque l’utilisateur relâche le bouton gauche de la souris sur l’élément.

Plus de détails dans l’aide en ligne.

ZT_VBAMAKRO

RightClickUp

RightClickUp

Macro VBA à exécuter lorsque l’utilisateur relâche le bouton droit de la souris sur l’élément.

Plus de détails dans l’aide en ligne.

ZT_VBAMAKRO

LeftDClick

LeftDoubleClick

Macro VBA à exécuter lorsque l’utilisateur effectue un double-clic gauche sur l’élément.

Plus de détails dans l’aide en ligne.

ZT_VBAMAKRO

RightDClick

RightDoubleClick

Macro VBA à exécuter lorsque l’utilisateur effectue un double-clic droit sur l’élément.

Plus de détails dans l’aide en ligne.

ZT_VBAMAKRO

MouseOver

MouseOver

Macro VBA à exécuter si le pointeur de la souris est positionné sur l’élément.

Plus de détails dans l’aide en ligne.

ZT_VBAMAKRO

DragDrop

DragDrop

Macro VBA à exécuter lorsque le bouton de la souris est relâché.

Plus de détails dans l’aide en ligne.

ZT_VBAMAKRO

DragOver

DragOver

Macro VBA à exécuter lorsque le curseur est déplacé au-dessus de l’élément pendant que le bouton gauche est enfoncé.

Plus de détails dans l’aide en ligne.

ZT_VBAMAKRO

DragBegin

DragBegin

Macro VBA à exécuter lorsque l’utilisateur commence à faire glisser l’objet.

Plus de détails dans l’aide en ligne.

VT_BSTR

Menu

Menu contextuel

Menu contextuel de l’élément.
Cliquer avec le bouton droit de la souris sur l’élément pour ouvrir le menu contextuel dans le Runtime.

Plus de détails dans l’aide en ligne.

VT_BSTR

Tooltip

Info bulle

Texte à afficher en tant qu’info-bulle de l’élément dans le Runtime. Une info-bulle est automatiquement affichée dans le Runtime si le pointeur de la souris reste pendant quelques secondes sur l’élément. Des retours à la ligne automatiques peuvent être insérés avec les caractères "\n".

  • Maximum : 79 caractères
    Attention : La combinaison de caractères \n est également comptée dans la limite de 79 caractères.

Plus de détails dans l’aide en ligne.

VT_BOOL

LassoSelect

sélectionnable avec le lasso

La sélection avec le lasso dans le Runtime permet d’identifier les éléments dynamiques et de les utiliser avec des événements VBA.

  • Active : L’élément peut être sélectionné avec le lasso dans le Runtime.
  • Inactive : L’élément ne peut pas être sélectionné dans Runtime.

Par défaut : active

Attention : Pour que l’élément puisse être sélectionné dans le Runtime, vous devez activer la propriété Sélection multiple en runtime (lasso) dans les paramètres du projet !

Remarque concernant la gestion des commandes : Si la propriété Opération à deux mains est activée, le lasso de la commande Exécuter le 2ème niveau ne doit pas être activé.

Plus de détails dans l’aide en ligne.

More...

GestureManipulationGroup

Manipulation

Propriétés pour la manipulation de synoptiques et d’éléments de synoptique dans le cadre d’une utilisation tactile.

Plus de détails dans l’aide en ligne.

VT_BOOL

Tab

Le focus est donné à l'élément

Active : L’élément dynamique peut être actionné à l’aide du clavier.
Inactive : L’élément dynamique n’est pas accessible à l’aide du clavier.
Par défaut : active.

Plus de détails dans l’aide en ligne.

VT_I4

TABOrderH

Position du focus gauche/droite

Définit la position horizontale pour l’utilisation à l’aide du clavier dans le Runtime. La position est définie par l’intermédiaire du menu contextuel et de l’utilisation de la souris dans la fenêtre principale ; elle ne peut pas être modifiée ici.

Plus de détails dans l’aide en ligne.

VT_I4

TABOrderV

Position focus haut / bas

Définit la position verticale pour l’utilisation à l’aide du clavier dans le Runtime. La position est définie par l’intermédiaire du menu contextuel et de l’utilisation de la souris dans la fenêtre principale ; elle ne peut pas être modifiée ici.

Plus de détails dans l’aide en ligne.

VT_BOOL

Signature

Signature nécéssaire

Active : Une signature est nécessaire pour actionner l’élément.

Pour des raisons de sécurité, l’utilisateur sera invité à saisir son mot de passe même s’il est déjà connecté. Le texte de la signature est enregistré dans la liste d’événements (CEL) après que l’élément ait été utilisé avec succès.

Attention : seuls les utilisateurs connectés peuvent signer une action. La signature d’actions avec un identifiant temporaire n’est plus possible.

Inactive : aucune signature n’est requise.

(Par défaut) Inactive :

Plus de détails dans l’aide en ligne.

VT_BSTR

SignatureText

Texte de signature

Ce texte est également consigné lors de la signature dans la liste d’événements (CEL) ou est proposé par défaut dans le Runtime si la signature est définie comme modifiable dans les propriétés du projet.

Plus de détails dans l’aide en ligne.

VT_I2

SignatureEditModus

Texte de signature éditable

Définit si le texte de signature peut être édité. Sélectionnez dans la liste déroulante :

  • Appliquer les paramètres projet : Les paramètres de la propriété de projet Texte de signature éditable sont applicables.
  • Oui : Texte modifiables
  • Non : Le texte ne peut pas être édité.

Par défaut : Appliquer les paramètres projet

Plus de détails dans l’aide en ligne

ZT_FILE

Helpfile

Fichier d'aide

Fichier d’aide (*.chm) devant être utilisé pour cet élément, conjointement à un menu contextuel. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de fichiers.
Attention : seuls les fichiers d’aide ayant été ajoutés dans le nœud Fichiers/Aide sont disponibles.

Plus de détails dans l’aide en ligne.

VT_BSTR

HelpCapture

Chapitre d'aide

Chapitre d’aide (*.chm) devant être utilisé pour cet élément, conjointement à un menu contextuel. Nom de la page HTML sous-jacente.
Attention : cette entrée tient compte des minuscules et majuscules.

Plus de détails dans l’aide en ligne.

ZT_VARIABLE_DYN

SetValueDynMin

Minimum

Variable dont la valeur actuelle est applicable en tant que limite inférieure de la valeur prescrite de l’élément.
Disponible uniquement si Plages de la variable est inactive :
Plus de détails dans l’aide en ligne.

ZT_VARIABLE_DYN

SetValueDynMax

Maximum

Variable dont la valeur actuelle est applicable en tant que limite supérieure de la valeur prescrite de l’élément.

Disponible uniquement si la propriété Plages de la variable est inactive.

Plus de détails dans l’aide en ligne.

VT_BOOL

GestureRecognitionActive

Reconnaissance de geste active

Active l’évaluation des gestes. Les gestes sont définis à l’aide d’autres propriétés.

Uniquement disponible si, dans le groupe Intéraction des propriétés du projet, la propriété Reconnaissance Windows 8 a été définie.

Plus de détails dans l’aide en ligne.

VT_BOOL

Gestures_Manipulation

Exact

Active : Détection du paramètre Exact défini.

Plus de détails dans l’aide en ligne.

VT_BOOL

Gestures_Exact

Exact

Active : Détection du paramètre Exact défini.

Plus de détails dans l’aide en ligne.

VT_BOOL

Gestures_TranslationX

Translation X

Active : Détection du paramètre Translation X défini.

Plus de détails dans l’aide en ligne.

VT_BOOL

Gestures_TranslationY

Translation Y

Active : Détection du paramètre Translation Y défini.

Plus de détails dans l’aide en ligne.

VT_BOOL

Gestures_RailsX

Rails X

Active : Détection du paramètre Rails X défini.

Plus de détails dans l’aide en ligne.

VT_BOOL

Gestures_RailsY

Rails Y

Active : Détection du paramètre Rails Y défini.

Plus de détails dans l’aide en ligne.

VT_BOOL

Gestures_TranslationInertia

Translation inertia

Active : Détection du paramètre Translation Inertia (Inertie de translation) défini.

Plus de détails dans l’aide en ligne.

VT_BOOL

Gestures_Rotation

Inertie de rotation

Active : Détection du paramètre Rotation Inertia (Inertie de rotation) défini.

Plus de détails dans l’aide en ligne.

VT_BOOL

Gestures_RotationInertia

Inertie de rotation

Active : Détection du paramètre Rotation Inertia (Inertie de rotation) défini.

Plus de détails dans l’aide en ligne.

VT_BOOL

Gestures_Scaling

Scaling inertia

Active : Détection du paramètre Scaling Inertia (Inertie de redimensionnement) défini.

Plus de détails dans l’aide en ligne.

VT_BOOL

Gestures_ScalingInertia

Scaling inertia

Active : Détection du paramètre Scaling Inertia (Inertie de redimensionnement) défini.

Plus de détails dans l’aide en ligne.

VT_BOOL

Gestures_CrossSlide

Cross slide exact

Active : Détection du paramètre Cross Slide Exact (Glissement transversal exact) défini.

Plus de détails dans l’aide en ligne.

VT_BOOL

Gestures_CrossSlideHorizontal

Cross slide horizontal

Active : Détection du paramètre Cross Slide Horizontal (Glissement transversal horizontal) défini.

Plus de détails dans l’aide en ligne.

VT_BOOL

Gestures_CrossSlideSelect

Cross slide select

Active : Détection du paramètre Cross Slide Select (Glissement transversal, sélection) défini.

Plus de détails dans l’aide en ligne.

VT_BOOL

Gestures_CrossSlideSpeedBump

Cross slide speed bump

Active : Détection du paramètre Cross Slide Speed Bump (Glissement transversal, ralentisseur) défini.

Plus de détails dans l’aide en ligne.

VT_BOOL

Gestures_CrossSlideRearrange

Cross slide rearrange

Active : Détection du paramètre Cross Slide Rearrange (Glissement transversal, réorganisation) défini.

Plus de détails dans l’aide en ligne.

VT_BOOL

Gestures_CrossSlideExact

Cross slide exact

Active : Détection du paramètre Cross Slide Exact (Glissement transversal exact) défini.

Plus de détails dans l’aide en ligne.

VT_BOOL

Gestures_Tap

Tap double

Active : Détection du paramètre Tap Double (Double appui) défini.

Plus de détails dans l’aide en ligne.

VT_BOOL

Gestures_TapDouble

Tap double

Active : Détection du paramètre Tap Double (Double appui) défini.

Plus de détails dans l’aide en ligne.

VT_BOOL

Gestures_SecondaryTap

Secondary tap

Active : Détection du paramètre Secondary Tap (Appui secondaire) défini.

Plus de détails dans l’aide en ligne.

VT_BOOL

Gestures_Drag

Drag

Active : Détection du paramètre Drag (Glissement) défini.

Plus de détails dans l’aide en ligne.

VT_BOOL

Gestures_Hold

Hold (Mouse)

Active : Détection du paramètre Hold (Mouse) (Maintien [souris]) défini.

Plus de détails dans l’aide en ligne.

ZT_STYLE

StyleGroup

Groupe de styles

Affichage et sélection du groupe de styles attribué à l’élément.
Cliquez sur le bouton ... pour ouvrir la boîte de dialogue permettant de sélectionner un groupe de styles.
Si plusieurs éléments sont sélectionnés, elles peuvent être attribuées à un groupe de styles commun.

Remarque : Seules les propriétés compatibles avec l’élément correspondant sont prises en charge.

Plus de détails dans l’aide en ligne.

More...

LnClVariable

LnClVariable

"With this property you have the opportunity to get informations about the variable which is linked as ""line/text color"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""LnClVariable.SymVarName"") 'Return the name of the ""line/text color"" variable
zElement.DynProperties (""LnClVariable.SymVarTagNr"") 'Return the identification of the ""line/text color"" variable"

More...

BkClVariable

BkClVariable

"With this property you have the opportunity to get informations about the variable which is linked as ""background/filling color"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""BkClVariable.SymVarName"") 'Return the name of the ""background/filling color"" variable
zElement.DynProperties (""BkClVariable.SymVarTagNr"") 'Return the identification of the ""background/filling color"" variable"

More...

BkCl2Variable

"BkCl2Variable"

More...

XVar

XVar

"With this property you have the opportunity to get informations about the variable which is linked as ""dynamic x position"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""XVar.SymVarName"") 'Return the name of the ""dynamic x position"" variable
zElement.DynProperties (""XVar.SymVarTagNr"") 'Return the identification of the ""dynamic x position"" variable"

More...

YVar

YVar

"With this property you have the opportunity to get informations about the variable which is linked as ""dynamic y position"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""YVar.SymVarName"") 'Return the name of the ""dynamic y position"" variable
zElement.DynProperties (""YVar.SymVarTagNr"") 'Return the identification of the ""dynamic y position"" variable"

More...

XVarZoom

XVarZoom

"With this property you have the opportunity to get informations about the variable which is linked as ""change width"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""XVarZoom.SymVarName"") 'Return the name of the ""change width"" variable
zElement.DynProperties (""XVarZoom.SymVarTagNr"") 'Return the identification of the ""change width"" variable"

More...

YVarZoom

YVarZoom

"With this property you have the opportunity to get informations about the variable which is linked as ""change height"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""YVarZoom.SymVarName"") 'Return the name of the ""change height"" variable
zElement.DynProperties (""YVarZoom.SymVarName"") 'Return the name of the ""change height"" variable
zElement.DynProperties (""YVarZoom.SymVarTagNr"") 'Return the identification of the ""change height"" variable"

More...

TwistVar

TwistVar

"With this property you have the opportunity to get informations about the variable which is linked as ""rotate"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""TwistVar.SymVarName"") 'Return the name of the ""rotate"" variable
zElement.DynProperties (""TwistVar.SymVarTagNr"") 'Return the identification of the ""rotate"" variable"

More...

VisVariable

VisVariable

"With this property you have the opportunity to get informations about the variable which is linked as ""visibility"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""VisVariable.SymVarName"") 'Return the name of the ""visibility"" variable
zElement.DynProperties (""VisVariable.SymVarTagNr"") 'Return the identification of the ""visibility"" variable"

More...

BlinkVar

BlinkVar

More...

GlowEffectGlowColorVar

GlowEffectGlowColorVar

More...

GlowEffectVisibilityVar

GlowEffectVisibilityVar

More...

GlowEffectBlinkVar

GlowEffectBlinkVar

VT_BSTR

Name

Nom d'élément

Attribuez un nom d’élément.
Il ne doit pas être vide.

Attention : Cette propriété n’est pas disponible aux fins de la commutation de langue.

Remarques concernant les cadrans : Pour les conteneurs de synoptique, spécifiez des noms clairement identifiables pour faciliter la sélection lors de la configuration des appels de synoptique.

Plus de détails dans l’aide en ligne.

VT_UI1

Layer

Niveau de visibilité

Sélectionnez l’un des 16 niveaux de visibilité (0 à 15) dans la liste déroulante. À l’aide de la barre d’outils Niveau de visibilité, vous décidez des niveaux qui doivent être affichés dans Editor. Cette fonction garantit que les synoptiques les plus complexes peuvent être développés de manière simple. Les niveaux peuvent être utilisés immédiatement. Les niveaux n’ont aucune influence sur les informations affichées au premier plan ou en arrière-plan dans le Runtime.
Par défaut : 0.

Plus de détails dans l’aide en ligne.

VT_I4

StartX

Point de départ X [pixels]

Coordonnée Y du coin supérieur gauche du synoptique (en pixels).

Plus de détails dans l’aide en ligne.

VT_I4

EndX

Point final X [pixels]

Coordonnée X du coin inférieur droit du synoptique (en pixels).

Plus de détails dans l’aide en ligne.

VT_I4

StartY

Point de départ Y [pixels]

Coordonnée Y du coin supérieur gauche du synoptique (en pixels).

Plus de détails dans l’aide en ligne.

VT_I4

EndY

Point final Y [pixels]

Coordonnée Y du coin inférieur droit du synoptique (en pixels).

Plus de détails dans l’aide en ligne.

VT_I4

Width

Largeur [pixels]

Largeur des éléments en pixels.

Remarque : disponible uniquement pour les éléments Combinaison multiple, Élément combiné, Bouton et Interrupteur si la valeur Ajusté a été sélectionnée pour la propriété Taille du graphique.

Plus de détails dans l’aide en ligne.

VT_I4

Height

Hauteur [pixels]

Hauteur des éléments en pixels.

Remarque : disponible uniquement pour les éléments Combinaison multiple, Élément combiné, Bouton et Interrupteur si la valeur Ajusté a été sélectionnée pour la propriété Taille du graphique.

Plus de détails dans l’aide en ligne.

VT_I4

Angle

Angle de rotation [°]

Angle libre autour selon lequel doit pivoter l’élément.
Les valeurs positives correspondent à une rotation dans le sens antihoraire, tandis que les valeurs négatives correspondent à une rotation dans le sens horaire. Les valeurs supérieures à 360° sont affichées sous forme d’écart par rapport à 360° (400° correspond à 40°). Seuls les nombres entiers sont autorisés.

Sur les éléments pivotés, les actions suivantes ne sont plus possibles :

  • Miroir
  • Rotation de +/- 90°
  • Redimensionnement à l’aide des touches fléchées

Par défaut : 0

Remarque : Ce paramètre est activé et réinitialisé lors de la configuration pour Windows CE.

Plus de détails dans l’aide en ligne.

VT_I2

ZoomMin

Visible de

Incrément de zoom le plus bas auquel l’élément est visible dans la vue globale.
Par défaut : -1
Une valeur de visibilité avec des incréments de zoom de -1 à -1 signifie que l’élément est affiché, quel que soit l’incrément de zoom sélectionné.

Les niveaux de zoom affichés dans la vue globale peuvent être configurés avec la propriété Apparence graphique -> Généralités runtime -> Pas de zoom pour vue globale.

Attention : Ce niveau de zoom s’applique à tous les types de synoptiques et cadres. Si un niveau de zoom défini est supérieur à 0, l’élément est uniquement affiché dans la vue globale, car les autres types de synoptique sont automatiquement appelés avec le niveau de zoom 0.

Plus de détails dans l’aide en ligne.

VT_I2

ZoomMax

Visible jusqu'à

Incrément de zoom le plus élevé auquel l’élément est visible dans la vue globale.

Par défaut : -1
Une valeur de visibilité avec des incréments de zoom de -1 à -1 signifie que l’élément est affiché, quel que soit l’incrément de zoom sélectionné.

Les niveaux de zoom affichés dans la vue globale peuvent être configurés avec la propriété Apparence graphique -> Généralités runtime -> Pas de zoom pour vue globale.

Attention : Ce niveau de zoom s’applique à tous les types de synoptiques et cadres. Si un niveau de zoom défini est supérieur à 0, l’élément est uniquement affiché dans la vue globale, car les autres types de synoptique sont automatiquement appelés avec le niveau de zoom 0.

Plus de détails dans l’aide en ligne.

VT_BSTR

Stationname

Nom liste d'objets

L’élément est saisi directement dans la liste de stations du synoptique Vue globale, et le texte est saisi ici.

Plus de détails dans l’aide en ligne.

ZT_VARIABLE_DYN

BackColorVariable

Couleur de remplissage

Nom de la variable dont les couleurs de valeur limite doivent influencer la couleur d’arrière-plan/de remplissage de l’élément.
Ouvre la boîte de dialogue de sélection de variables.

Plus de détails dans l’aide en ligne.

ZT_PREVIEW

BackColorVarPreview

Affichage aperçu couleur

Affichage de la valeur limite pour la propriété Couleur de remplissage définie pour la variable. Disponible uniquement si l’option Depuis la variable a été configurée pour la propriété Couleur de remplissage.

Un aperçu des propriétés définies pour la valeur limite est affiché dans le champ. Aucun aperçu n’est affiché pour les matrices de réaction.
Cliquez sur le bouton ... pour ouvrir la boîte de dialogue d’affichage des résultats. Les valeurs limite sont uniquement affichées ; elles ne peuvent pas être modifiées. Les modifications doivent être effectuées directement dans les propriétés de la variable pour Valeurs limite.

Plus de détails dans l’aide en ligne.

VT_UI1

HorizontalOrigin

Horizontal

Point de référence horizontal de l’événement. Les valeurs possibles sont : gauche, centré, droite.
Ce point est utilisé en tant que base de calcul de l’angle de départ de la rotation (statique et dynamique) et pour le changement dynamique de taille.

Par défaut : À gauche

Plus de détails dans l’aide en ligne.

VT_UI1

VerticalOrigin

Vertical

Point de référence vertical de l’événement. Les valeurs possibles sont : haut, centré, bas.
Ce point est utilisé en tant que base de calcul de l’angle de départ de la rotation (statique et dynamique) et pour le changement dynamique de taille.

Par défaut : En haut

Plus de détails dans l’aide en ligne.

VT_UI4

VisibilityType

Visibilité

Sélection depuis laquelle la visibilité d’un élément est déterminée :

  • Depuis une variable
  • Du verrrouillage

Par défaut : Depuis une variable

Plus de détails dans l’aide en ligne.

ZT_VARIABLE_DYN

VisibilityVariable

Variable

Disponible uniquement si l’option Depuis la variable a été configurée pour la propriété Visibilité.

Nom de la variable dont la valeur contrôle la visibilité de l’élément. La visibilité est soit reprise des propriétés de valeur limite de ces variables, soit définie par la plage de valeurs définie dans les propriétés de et À.
Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de variables. Vous pouvez également saisir manuellement le nom dans le champ de texte.
L'élément reste visible tant qu’aucune variable n’est liée.

Plus de détails dans l’aide en ligne.

ZT_PREVIEW

VisVarPreview

Affichage aperçu visibilité

Affichage des valeurs limite pour la visibilité définies pour la variable. Disponible uniquement si l’option Depuis la variable a été configurée pour la propriété Variable dans le groupe Visibilité.

Un aperçu des propriétés définies pour la valeur limite est affiché dans le champ. Aucun aperçu n’est affiché pour les matrices de réaction.
Cliquez sur le bouton ... pour ouvrir la boîte de dialogue d’affichage des résultats. Les valeurs limite sont uniquement affichées ; elles ne peuvent pas être modifiées. Les modifications doivent être effectuées directement dans les propriétés de la variable pour Valeurs limite.

Plus de détails dans l’aide en ligne.

VT_BOOL

VisibilityFromLimit

A partir des valeurs limites

Uniquement disponible après la sélection d’une variable :

  • Active : La visibilité de l’élément est influencée par la propriété de valeur limite de la variable.

    Attention : La propriété Invisible doit être active pour au moins une valeur limite de la variable.

  • Inactive : la visibilité est influencée par les propriétés de l’élément.

Par défaut : active

Plus de détails dans l’aide en ligne.

VT_R8

VisibilityFrom

de

Disponible uniquement après la sélection d’une variable, si la visibilité n’a pas été reprise par la valeur limite :

Valeur minimum de la variable à laquelle l’élément est visible.

  • Minimum : valeur minimum possible de la variable liée.
  • Maximum : valeur maximum possible de la variable liée.

Par défaut : valeur minimum possible de la variable liée.

Plus de détails dans l’aide en ligne.

VT_R8

VisibilityTo

À

Disponible uniquement après la sélection d’une variable, si la visibilité n’a pas été reprise par la valeur limite :

Valeur maximale de la variable à laquelle l’élément est visible.

  • Minimum : valeur minimum possible de la variable liée.
  • Maximum : valeur maximum possible de la variable liée.

Par défaut : valeur maximum possible de la variable liée.

Plus de détails dans l’aide en ligne.

VT_UI4

Interlocking

Verrouillage

Disponible uniquement si l’option Depuis le verrouillage est sélectionnée pour la propriété Visibilité.

Nom du verrouillage dont la valeur contrôle la visibilité de l’élément. Sélectionnez dans la liste déroulante. Celle-ci contient tous les verrouillages existants et utilisables. L’élément est toujours visible si aucun verrouillage n’est lié.

Plus de détails dans l’aide en ligne.

VT_BSTR

InterlockingName

InterlockingName

Description

VT_BOOL

VisibleWhenInterlocked

Visible si verrouillé

Contrôle la visibilité de l’élément lorsque le verrouillage est sélectionné :

  • Active : L’élément est visible s’il est verrouillé.
  • Inactive : L’élément est visible s’il n’est pas verrouillé.

Par défaut : inactive

Plus de détails dans l’aide en ligne.

ZT_VARIABLE_DYN

BlinkVariable

Affichage aperçu clignotement

Affichage des valeurs limite pour le clignotement définies pour la variable. Disponible uniquement si l’option Depuis la variable a été configurée pour la propriété Prendre le clignotement de la limite.

Un aperçu des propriétés définies pour la valeur limite est affiché dans le champ. Aucun aperçu n’est affiché pour les matrices de réaction.
Cliquez sur le bouton ... pour ouvrir la boîte de dialogue d’affichage des résultats. Les valeurs limite sont uniquement affichées ; elles ne peuvent pas être modifiées. Les modifications doivent être effectuées directement dans les propriétés de la variable pour Valeurs limite.

Plus de détails dans l’aide en ligne.

ZT_PREVIEW

BlinkVarPreview

Affichage aperçu clignotement

Affichage des valeurs limite pour le clignotement définies pour la variable. Disponible uniquement si l’option Depuis la variable a été configurée pour la propriété Prendre le clignotement de la limite.

Un aperçu des propriétés définies pour la valeur limite est affiché dans le champ. Aucun aperçu n’est affiché pour les matrices de réaction.
Cliquez sur le bouton ... pour ouvrir la boîte de dialogue d’affichage des résultats. Les valeurs limite sont uniquement affichées ; elles ne peuvent pas être modifiées. Les modifications doivent être effectuées directement dans les propriétés de la variable pour Valeurs limite.

Plus de détails dans l’aide en ligne.

VT_BOOL

UseBlinkColor

Couleur de clignotement par la limite

Active : Reprend la couleur d’arrière-plan du clignotement défini pour la valeur limite active de la variable pour Prendre le clignotement de la limite. Durant le clignotement, l’élément ne devient pas invisible, mais reprend la couleur d’arrière-plan active.

Par défaut : Inactive

Remarque : la couleur n’est pas prise en compte si la couleur d’arrière-plan Transparence est configurée.

Plus de détails dans l’aide en ligne.

ZT_VARIABLE_DYN

XVariable

Variable

Nom de la variable utilisée pour le déplacement horizontal de l’élément.
Ouvre la boîte de dialogue de sélection de variables.

Plus de détails dans l’aide en ligne.

VT_R8

XVarMin

Valeur min de la variable

Valeur minimale de la variable utilisée pour le déplacement horizontal de l’élément.

Plus de détails dans l’aide en ligne.

VT_R8

XVarMax

Valeur max de la variable

Valeur maximale de la variable utilisée pour le déplacement horizontal de l’élément.

Plus de détails dans l’aide en ligne.

VT_I4

XViewMin

Mouvement min [pixels]

Position horizontale de l’élément pour la valeur minimale de la variable (en pixels).

Plus de détails dans l’aide en ligne.

VT_I4

XViewMax

Mouvement max [pixels]

Position horizontale de l’élément pour la valeur minimale de la variable (en pixels).

Plus de détails dans l’aide en ligne.

ZT_VARIABLE_DYN

YVariable

Variable

Nom de la variable utilisée pour le déplacement vertical de l’élément.
Ouvre la boîte de dialogue de sélection de variables.

Plus de détails dans l’aide en ligne.

VT_R8

YVarMin

Valeur min de la variable

Valeur minimale de la variable utilisée pour le déplacement vertical de l’élément.

Plus de détails dans l’aide en ligne.

VT_R8

YVarMax

Valeur max de la variable

Valeur maximale de la variable utilisée pour le déplacement vertical de l’élément.

Plus de détails dans l’aide en ligne.

VT_I4

YViewMin

Mouvement min [pixels]

Position verticale de l’élément pour la valeur minimale de la variable (en pixels).

Plus de détails dans l’aide en ligne.

VT_I4

YViewMax

Mouvement max [pixels]

Position verticale de l’élément pour la valeur maximale de la variable (en pixels).

Plus de détails dans l’aide en ligne.

ZT_VARIABLE_DYN

XZoomVariable

Variable

Nom de la variable utilisée pour l’agrandissement de la largeur de l’élément.
Ouvre la boîte de dialogue de sélection de variables.

Plus de détails dans l’aide en ligne.

VT_R8

XZoomVarMin

Valeur min de la variable

Valeur minimale de la variable utilisée pour effectuer un zoom à la largeur de l’élément.

Plus de détails dans l’aide en ligne.

VT_R8

XZoomVarMax

Valeur max de la variable

Valeur maximale de la variable utilisée pour effectuer un zoom sur la largeur de l’élément.

Plus de détails dans l’aide en ligne.

VT_I4

XZoomViewMin

Largeur min [%]

Facteur de zoom correspondant à la largeur de l’élément pour la valeur minimale de la variable (en pixels).

Plus de détails dans l’aide en ligne.

VT_I4

XZoomViewMax

Largeur max [%]

Facteur de zoom correspondant à la largeur de l’élément pour la valeur maximale de la variable (en pixels).

Plus de détails dans l’aide en ligne.

ZT_VARIABLE_DYN

YZoomVariable

Variable

Nom de la variable utilisée pour l’agrandissement de la hauteur de l’élément.
Ouvre la boîte de dialogue de sélection de variables.

Plus de détails dans l’aide en ligne.

VT_R8

YZoomVarMin

Valeur min de la variable

Valeur minimum de la variable utilisée pour effectuer un zoom sur la hauteur de l’élément.

Plus de détails dans l’aide en ligne.

VT_R8

YZoomVarMax

Valeur max de la variable

Valeur maximum de la variable utilisée pour effectuer un zoom sur la hauteur de l’élément.

Plus de détails dans l’aide en ligne.

VT_I4

YZoomViewMin

Hauteur min [%]

Facteur de zoom correspondant à la hauteur de l’élément pour la valeur minimum de la variable (en %).

Plus de détails dans l’aide en ligne.

VT_I4

YZoomViewMax

Hauteur max [%]

Facteur de zoom correspondant à la hauteur de l’élément pour la valeur maximale de la variable (en pixels).

Plus de détails dans l’aide en ligne.

ZT_VARIABLE_DYN

TwistVariable

Variable

Nom de la variable utilisée pour la rotation de l’élément.

Plus de détails dans l’aide en ligne.

VT_R8

TwistVarMin

Valeur min de la variable

Valeur minimum de la variable utilisée pour la rotation de l’élément.

Plus de détails dans l’aide en ligne.

VT_R8

TwistVarMax

Valeur max de la variable

Valeur maximale de la variable utilisée pour la rotation de l’élément.

Plus de détails dans l’aide en ligne.

VT_I4

TwistViewMin

Rotation min [°]

Angle de rotation de l’élément pour la valeur minimum de la variable (en °).

Plus de détails dans l’aide en ligne.

VT_I4

TwistViewMax

Rotation max [°]

Angle de rotation de l’élément pour la valeur maximum de la variable (en °).

Plus de détails dans l’aide en ligne.

ZT_STYLE

ShadowEffectStyle

Style effet cadres/ombres

Affichage et sélection du style de cadre et d’ombre attribué à l’élément.

Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de style.
Si plusieurs éléments ont été sélectionnés, ils peuvent être attribués à un style commun.

Remarque : Seules les propriétés compatibles avec l’élément correspondant sont prises en charge.

Plus de détails dans l’aide en ligne.

VT_BOOL

EnablePunchFrame

Afficher le cadre

A frame around the element can be displayed.
Default: inactive.

ZT_STYLE

GlowEffectStyle

Style effet de rayonnement

Affichage et sélection du style des effets de luminescence attribués à l’élément.

Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de style.
Si plusieurs éléments ont été sélectionnés, ils peuvent être attribués à un style commun.

Remarque : Seules les propriétés compatibles avec l’élément correspondant sont prises en charge.

Plus de détails dans l’aide en ligne.

VT_BOOL

GlowEffectEvent

Actif seulement si cliqué

Disponible uniquement si la propriété Activer est active et l’élément est un bouton.

Active : l’effet de luminescence est uniquement affiché lorsque l’utilisateur clique sur le bouton. Cliquer sur le bouton permet de modifier la couleur, le clignotement ou l’invisibilité de l’effet de luminescence.

Par défaut : Inactive

Plus de détails dans l’aide en ligne.

ZT_VARIABLE_DYN

GlowEffectGlowColorVariable

Variable pour la couleur

Disponible uniquement si la propriété Activer est active. La propriété Coloration doit être activée.

Nom de la variable dont la couleur aux valeurs limites doit influencer la couleur de l’effet de luminescence pour l’élément. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de variables. Vous pouvez également saisir le nom manuellement dans le champ de texte. Si aucune variable n’est liée, la couleur définie dans la propriété Couleur est utilisée.

Par défaut : aucune variable liée

Plus de détails dans l’aide en ligne.

ZT_PREVIEW

GlowEffectGlowColorVariablePreview

Affichage aperçu couleur

Affichage de la valeur limite définie pour la variable de couleur lorsque l’effet de luminescence est actif. Disponible uniquement si l’option Depuis la variable a été configurée pour la propriété Variable pour la couleur.

Un aperçu des propriétés définies pour la valeur limite est affiché dans le champ. Aucun aperçu n’est affiché pour les matrices de réaction.
Cliquez sur le bouton ... pour ouvrir la boîte de dialogue d’affichage des résultats. Les valeurs limite sont uniquement affichées ; elles ne peuvent pas être modifiées. Les modifications doivent être effectuées directement dans les propriétés de la variable pour Valeurs limite.

Plus de détails dans l’aide en ligne.

ZT_VARIABLE_DYN

GlowEffectVisibilityVariable

Variable pour la visibilité

Disponible uniquement si la propriété Activer est active.

Nom de la variable dont la valeur influence la visibilité de l’effet de luminescence. La visibilité est soit reprise des propriétés de valeur limite de cette variable (propriété Visibilité depuis valeur limite active), soit définie par la plage de valeurs définie dans les propriétés Visible de et Visible jusqu'à. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de variables. Vous pouvez également saisir le nom manuellement dans le champ de texte.

Remarque : si aucune variable n’est liée, l’effet de luminescence est toujours visible.

Par défaut : aucune variable liée

Plus de détails dans l’aide en ligne.

ZT_PREVIEW

GlowEffectVisibilityVariablePreview

Affichage aperçu visibilité

Affichage de la valeur limite définie pour la variable de visibilité lorsque l’effet de luminescence est actif. Disponible uniquement si l’option Depuis la variable a été configurée pour la propriété Variable pour la visibilité.

Un aperçu des propriétés définies pour la valeur limite est affiché dans le champ. Aucun aperçu n’est affiché pour les matrices de réaction.
Cliquez sur le bouton ... pour ouvrir la boîte de dialogue d’affichage des résultats. Les valeurs limite sont uniquement affichées ; elles ne peuvent pas être modifiées. Les modifications doivent être effectuées directement dans les propriétés de la variable pour Valeurs limite.

Plus de détails dans l’aide en ligne.

VT_BOOL

GlowEffectVisibilityFromLimit

Visibilité depuis valeur limite

Disponible uniquement si la propriété Activer est active. Vous devez en outre définir une variable dans la propriété Variable pour la visibilité.

Active : La visibilité de l’effet de luminescence est influencée par la propriété de valeur limite de la variable.

Attention : Pour une valeur limite de la variable au moins, la propriété Invisible doit être active.

Inactive : la visibilité est influencée par les propriétés de l’élément.

Plus de détails dans l’aide en ligne.

VT_R8

GlowEffectVisibilityFrom

Visible de

Disponible uniquement si la propriété Activer est active. Vous devez en outre définir une variable dans la propriété Variable pour la visibilité ; la propriété Visibilité depuis valeur limite doit être inactive.

Définit la valeur à partir de laquelle l’effet de luminescence devient visible.
Minimum : valeur la moins élevée autorisée pour la variable liée dans Variable pour la visibilité.
Maximum : valeur la moins élevée autorisée pour la variable liée dans Variable pour la visibilité.
Par défaut : valeur la plus élevée autorisée pour la variable liée dans Variable pour la visibilité.

Plus de détails dans l’aide en ligne.

VT_R8

GlowEffectVisibilityTo

Visible jusqu'à

Disponible uniquement si la propriété Activer est active. Vous devez en outre définir une variable dans la propriété Variable pour la visibilité ; la propriété Visibilité depuis valeur limite doit être inactive.

Définit la valeur jusqu’à laquelle l’effet de luminescence reste visible.
Minimum : valeur la plus basse autorisée pour la variable liée dans Variable pour la visibilité.
Maximum : valeur la plus élevée autorisée pour la variable liée dans Variable pour la visibilité.
Par défaut : valeur la plus élevée autorisée pour la variable liée dans Variable pour la visibilité.

Plus de détails dans l’aide en ligne.

ZT_VARIABLE_DYN

GlowEffectBlinkVariable

Variable pour le clignotement

Variables dont les paramètres de clignotement de l’effet de luminescence aux valeurs limites doivent être repris. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de variables.

Par défaut : aucune variable liée

Plus de détails dans l’aide en ligne.

ZT_PREVIEW

GlowEffectBlinkVariablePreview

Affichage aperçu clignotement

Affichage de la valeur limite définie pour la variable de clignotement lorsque l’effet de luminescence est actif. Disponible uniquement si l’option Depuis la variable a été configurée pour la propriété Variable pour le clignotement.

Un aperçu des propriétés définies pour la valeur limite est affiché dans le champ. Aucun aperçu n’est affiché pour les matrices de réaction.
Cliquez sur le bouton ... pour ouvrir la boîte de dialogue d’affichage des résultats. Les valeurs limite sont uniquement affichées ; elles ne peuvent pas être modifiées. Les modifications doivent être effectuées directement dans les propriétés de la variable pour Valeurs limite.

Plus de détails dans l’aide en ligne.

VT_BOOL

GlowEffectUseBlinkColor

Clignotement depuis valeur limite

Disponible uniquement si la propriété Activer est active. Vous devez en outre définir une variable dans la propriété Variable pour le clignotement.

Active : Reprend, pour l’effet de luminescence, la couleur de clignotement de la valeur limite active pour la variable définie dans la propriété Couleur de clignotement par la limite. Cette propriété agit indépendamment de la propriété Coloration. En cas de clignotement, l’effet de luminescence ne devient pas invisible, mais reprend les paramètres de l’effet de luminescence actif.

Par défaut : Inactive

Plus de détails dans l’aide en ligne.

VT_BOOL

GlowEffect2ndBlinkStateVisible

2 états de clignotement invisibles

Disponible uniquement si la propriété Activer est active. Vous devez en outre définir une variable dans la propriété Variable pour le clignotement ; la propriété Clignotement depuis valeur limite doit être inactive.

Active : En cas de clignotement, l’effet de luminescence ne bascule pas vers l’effet de luminescence actif, mais devient invisible. Ceci permet de basculer entre l’invisibilité et la couleur de clignotement en cas de dépassement de la valeur limite.

Par défaut : Inactive

Plus de détails dans l’aide en ligne.


Line

Manuel -> Interfaces de programmation -> Modèles d'objet -> Element -> Element-Dynamic properties -> Line

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Type

VBA/VSTA Name

Display Name

Description

ZT_COLOR

LineColor

Couleur de ligne

Line color of the element.

ZT_STYLE

LineStyle

Style de ligne

Affichage et sélection du style de ligne attribué à l’élément.

Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de style.
Si plusieurs éléments ont été sélectionnés, ils peuvent être attribués à un style commun.

Remarque : Seules les propriétés compatibles avec l’élément correspondant sont prises en charge.

Plus de détails dans l’aide en ligne.

ZT_VARIABLE_DYN

BackColorVariable2

Affichage aperçu couleur

Affichage de la valeur limite pour la propriété Couleur du dégradé définie pour la variable. Disponible uniquement si l’option Depuis la variable a été configurée pour la propriété Couleur du dégradé.

Un aperçu des propriétés définies pour la valeur limite est affiché dans le champ. Aucun aperçu n’est affiché pour les matrices de réaction.
Cliquez sur le bouton ... pour ouvrir la boîte de dialogue d’affichage des résultats. Les valeurs limite sont uniquement affichées ; elles ne peuvent pas être modifiées. Les modifications doivent être effectuées directement dans les propriétés de la variable pour Valeurs limite.

Plus de détails dans l’aide en ligne.

VT_BOOL

ALCUseColor

Couleur définie par CAL

Disponible uniquement si vous possédez une licence pour la fonctionnalité Coloration Automatique des Lignes (CAL) :
Active : La couleur automatique de la source liée est utilisée.
Inactive : La couleur standard est utilisée.
Par défaut : inactive.

Plus de détails dans l’aide en ligne.

VT_I2

ALCPrecedence

Priorité pour l'affichage

Disponible uniquement si la propriété Couleur définie par CAL est active.

Définit la priorité de l’affichage lorsque l’élément est connecté à plusieurs sources actives.
Plusieurs sources d’alimentation : L’élément est affiché selon les règles de l’alimentation sécurisée.
Source d’alimentation sécurisée : L’élément est affiché selon les règles de l’alimentation sécurisée.
Aucune priorité : Les règles de coloration des paramètres Alimentation multiple et Alimentation sécurisée sont appliquées simultanément, si les deux critères sont satisfaits.

Par défaut : Alimentation multiple
Plus de détails dans l’aide en ligne.

VT_I2

ALCMultiSource

Affichage alimentation multiple

Disponible uniquement si la propriété Couleur définie par CAL est active.
Définit le type d’affichage lorsque l’élément est connecté à plusieurs sources :
Source la plus prioritaire : Seule la couleur de la source la plus prioritaire est utilisée.
Deux sources les plus prioritaires : Les différentes couleurs des deux sources comportant les priorités les plus élevées sont affichées sous forme de trait tireté.
Couleur de remplacement : Couleur de remplacement pour la fonction CAL avec des alimentations multiples.

Par défaut : La source la plus prioritaire

Plus de détails dans l’aide en ligne.

VT_I2

ALCDashLen

Longueur de pointillé fournie plusieurs fois

Disponible uniquement si la propriété Affichage alimentation multiple possède la valeur Deux sources antérieures les plus élevées.

Définit la longueur en pixels du trait tireté associé à la fonction CAL avec une alimentation multiple.

Minimum : 0 (longueur des tirets automatique)

Maximum : 32767

Par défaut : 0

Plus de détails dans l’aide en ligne.

ZT_COLOR

ALCAlternativeColor

Couleur alternative

Disponible uniquement si la propriété Affichage alimentation multiple possède la valeur Couleur de remplacement.

Couleur de remplacement pour la fonction CAL avec des alimentations multiples.

Plus de détails dans l’aide en ligne.

VT_I2

ALCMSecuredSupply

Affichage alimentation sécurisée

Disponible uniquement si Couleur définie par CAL est activée.

Définition de l’affichage de l’alimentation sécurisée :

  • double épaisseur
  • double luminosité
  • normal

Par défaut : normal

Plus de détails dans l’aide en ligne.

VT_BOOL

ALCAlias

Alias

Disponible uniquement si la propriété Couleur définie par CAL est active.

Élément source défini pour la propriété Utiliser alias. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue et sélectionner un élément existant.
Remarque : Les alias ne peuvent pas être utilisés pour des symboles dans la bibliothèque générale de symboles ou la bibliothèque de symboles du projet.

Plus de détails dans l’aide en ligne.

VT_BSTR

ALCAliasName

Alias

Disponible uniquement si la propriété Couleur définie par CAL est active.

Élément source défini pour la propriété Utiliser alias. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue et sélectionner un élément existant.
Remarque : Les alias ne peuvent pas être utilisés pour des symboles dans la bibliothèque générale de symboles ou la bibliothèque de symboles du projet.

Plus de détails dans l’aide en ligne.

VT_R8

ALCReact

Valeur de réactance du câble [Ohm]

Valeur maximale de réactance autorisée de la ligne, en ohms.

Plus de détails dans l’aide en ligne.

VT_R8

ALCResist

Valeur de la résistance de la ligne électrique [Ohm]

Valeur maximale de résistance autorisée de la ligne, en ohms.

Plus de détails dans l’aide en ligne.

VT_R8

ALCLength

Longueur de la ligne [km]

Ligne CAL : longueur de la ligne.

Plus de détails dans l’aide en ligne.

VT_I2

ALCMaxIType

Limite de la capacité de transport de courant

Commutation CAL : valeur limite de la capacité actuelle (sélection fixe/variable).

Plus de détails dans l’aide en ligne.

VT_R8

ALCMaxIVal

Limite fixe de la capacité de transport de courant [A]

Commutation CAL : Capacité de transport de courant définie par une valeur limite.

Plus de détails dans l’aide en ligne.

ZT_VARIABLE_DYN

ALCVarMaxI

Valeur limite dynamique pour la capacité de transport de courant

More...

ALCVarMaxIEx

ALCVarMaxIEx

ZT_VARIABLE_DYN

ALCVarCalcI

Valeur de la mesure du flux de courant calculé

Ligne CAL : Valeur de la mesure du flux de courant calculé.

Plus de détails dans l’aide en ligne.

More...

ALCVarCalcIEx

ALCVarCalcIEx

ALC Leitung: Messwert des berechneten Stromflusses für Export.

Mehr in der Online-Hilfe.

ZT_STYLE

StyleGroup

Groupe de styles

Affichage et sélection du groupe de styles attribué à l’élément.
Cliquez sur le bouton ... pour ouvrir la boîte de dialogue permettant de sélectionner un groupe de styles.
Si plusieurs éléments sont sélectionnés, elles peuvent être attribuées à un groupe de styles commun.

Remarque : Seules les propriétés compatibles avec l’élément correspondant sont prises en charge.

Plus de détails dans l’aide en ligne.

More...

LnClVariable

LnClVariable

"With this property you have the opportunity to get informations about the variable which is linked as ""line/text color"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""LnClVariable.SymVarName"") 'Return the name of the ""line/text color"" variable
zElement.DynProperties (""LnClVariable.SymVarTagNr"") 'Return the identification of the ""line/text color"" variable"

More...

BkClVariable

BkClVariable

"With this property you have the opportunity to get informations about the variable which is linked as ""background/filling color"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""BkClVariable.SymVarName"") 'Return the name of the ""background/filling color"" variable
zElement.DynProperties (""BkClVariable.SymVarTagNr"") 'Return the identification of the ""background/filling color"" variable"

More...

BkCl2Variable

"BkCl2Variable"

More...

XVar

XVar

"With this property you have the opportunity to get informations about the variable which is linked as ""dynamic x position"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""XVar.SymVarName"") 'Return the name of the ""dynamic x position"" variable
zElement.DynProperties (""XVar.SymVarTagNr"") 'Return the identification of the ""dynamic x position"" variable"

More...

YVar

YVar

"With this property you have the opportunity to get informations about the variable which is linked as ""dynamic y position"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""YVar.SymVarName"") 'Return the name of the ""dynamic y position"" variable
zElement.DynProperties (""YVar.SymVarTagNr"") 'Return the identification of the ""dynamic y position"" variable"

More...

XVarZoom

XVarZoom

"With this property you have the opportunity to get informations about the variable which is linked as ""change width"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""XVarZoom.SymVarName"") 'Return the name of the ""change width"" variable
zElement.DynProperties (""XVarZoom.SymVarTagNr"") 'Return the identification of the ""change width"" variable"

More...

YVarZoom

YVarZoom

"With this property you have the opportunity to get informations about the variable which is linked as ""change height"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""YVarZoom.SymVarName"") 'Return the name of the ""change height"" variable
zElement.DynProperties (""YVarZoom.SymVarName"") 'Return the name of the ""change height"" variable
zElement.DynProperties (""YVarZoom.SymVarTagNr"") 'Return the identification of the ""change height"" variable"

More...

TwistVar

TwistVar

"With this property you have the opportunity to get informations about the variable which is linked as ""rotate"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""TwistVar.SymVarName"") 'Return the name of the ""rotate"" variable
zElement.DynProperties (""TwistVar.SymVarTagNr"") 'Return the identification of the ""rotate"" variable"

More...

VisVariable

VisVariable

"With this property you have the opportunity to get informations about the variable which is linked as ""visibility"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""VisVariable.SymVarName"") 'Return the name of the ""visibility"" variable
zElement.DynProperties (""VisVariable.SymVarTagNr"") 'Return the identification of the ""visibility"" variable"

More...

BlinkVar

BlinkVar

More...

GlowEffectGlowColorVar

GlowEffectGlowColorVar

More...

GlowEffectVisibilityVar

GlowEffectVisibilityVar

More...

GlowEffectBlinkVar

GlowEffectBlinkVar

VT_BSTR

Name

Nom d'élément

Attribuez un nom d’élément.
Il ne doit pas être vide.

Attention : Cette propriété n’est pas disponible aux fins de la commutation de langue.

Remarques concernant les cadrans : Pour les conteneurs de synoptique, spécifiez des noms clairement identifiables pour faciliter la sélection lors de la configuration des appels de synoptique.

Plus de détails dans l’aide en ligne.

VT_UI1

Layer

Niveau de visibilité

Sélectionnez l’un des 16 niveaux de visibilité (0 à 15) dans la liste déroulante. À l’aide de la barre d’outils Niveau de visibilité, vous décidez des niveaux qui doivent être affichés dans Editor. Cette fonction garantit que les synoptiques les plus complexes peuvent être développés de manière simple. Les niveaux peuvent être utilisés immédiatement. Les niveaux n’ont aucune influence sur les informations affichées au premier plan ou en arrière-plan dans le Runtime.
Par défaut : 0.

Plus de détails dans l’aide en ligne.

VT_I4

StartX

Point de départ X [pixels]

Coordonnée Y du coin supérieur gauche du synoptique (en pixels).

Plus de détails dans l’aide en ligne.

VT_I4

EndX

Point final X [pixels]

Coordonnée X du coin inférieur droit du synoptique (en pixels).

Plus de détails dans l’aide en ligne.

VT_I4

StartY

Point de départ Y [pixels]

Coordonnée Y du coin supérieur gauche du synoptique (en pixels).

Plus de détails dans l’aide en ligne.

VT_I4

EndY

Point final Y [pixels]

Coordonnée Y du coin inférieur droit du synoptique (en pixels).

Plus de détails dans l’aide en ligne.

VT_I4

Width

Largeur [pixels]

Largeur des éléments en pixels.

Remarque : disponible uniquement pour les éléments Combinaison multiple, Élément combiné, Bouton et Interrupteur si la valeur Ajusté a été sélectionnée pour la propriété Taille du graphique.

Plus de détails dans l’aide en ligne.

VT_I4

Height

Hauteur [pixels]

Hauteur des éléments en pixels.

Remarque : disponible uniquement pour les éléments Combinaison multiple, Élément combiné, Bouton et Interrupteur si la valeur Ajusté a été sélectionnée pour la propriété Taille du graphique.

Plus de détails dans l’aide en ligne.

VT_I4

Angle

Angle de rotation [°]

Angle libre autour selon lequel doit pivoter l’élément.
Les valeurs positives correspondent à une rotation dans le sens antihoraire, tandis que les valeurs négatives correspondent à une rotation dans le sens horaire. Les valeurs supérieures à 360° sont affichées sous forme d’écart par rapport à 360° (400° correspond à 40°). Seuls les nombres entiers sont autorisés.

Sur les éléments pivotés, les actions suivantes ne sont plus possibles :

  • Miroir
  • Rotation de +/- 90°
  • Redimensionnement à l’aide des touches fléchées

Par défaut : 0

Remarque : Ce paramètre est activé et réinitialisé lors de la configuration pour Windows CE.

Plus de détails dans l’aide en ligne.

VT_I2

ZoomMin

Visible de

Incrément de zoom le plus bas auquel l’élément est visible dans la vue globale.
Par défaut : -1
Une valeur de visibilité avec des incréments de zoom de -1 à -1 signifie que l’élément est affiché, quel que soit l’incrément de zoom sélectionné.

Les niveaux de zoom affichés dans la vue globale peuvent être configurés avec la propriété Apparence graphique -> Généralités runtime -> Pas de zoom pour vue globale.

Attention : Ce niveau de zoom s’applique à tous les types de synoptiques et cadres. Si un niveau de zoom défini est supérieur à 0, l’élément est uniquement affiché dans la vue globale, car les autres types de synoptique sont automatiquement appelés avec le niveau de zoom 0.

Plus de détails dans l’aide en ligne.

VT_I2

ZoomMax

Visible jusqu'à

Incrément de zoom le plus élevé auquel l’élément est visible dans la vue globale.

Par défaut : -1
Une valeur de visibilité avec des incréments de zoom de -1 à -1 signifie que l’élément est affiché, quel que soit l’incrément de zoom sélectionné.

Les niveaux de zoom affichés dans la vue globale peuvent être configurés avec la propriété Apparence graphique -> Généralités runtime -> Pas de zoom pour vue globale.

Attention : Ce niveau de zoom s’applique à tous les types de synoptiques et cadres. Si un niveau de zoom défini est supérieur à 0, l’élément est uniquement affiché dans la vue globale, car les autres types de synoptique sont automatiquement appelés avec le niveau de zoom 0.

Plus de détails dans l’aide en ligne.

VT_BSTR

Stationname

Nom liste d'objets

L’élément est saisi directement dans la liste de stations du synoptique Vue globale, et le texte est saisi ici.

Plus de détails dans l’aide en ligne.

ZT_VARIABLE_DYN

LineColorVariable

Couleur de ligne

Nom des variables dont les couleurs de valeur limite doivent influencer la couleur de ligne/de texte de l’élément. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de variables.

Plus de détails dans l’aide en ligne.

ZT_PREVIEW

LineColorVarPreview

Affichage aperçu couleur

Affichage de la valeur limite pour la propriété Couleur de ligne définie pour la variable. Disponible uniquement si l’option Depuis la variable a été configurée pour la propriété Couleur de ligne.

Un aperçu des propriétés définies pour la valeur limite est affiché dans le champ. Aucun aperçu n’est affiché pour les matrices de réaction.
Cliquez sur le bouton ... pour ouvrir la boîte de dialogue d’affichage des résultats. Les valeurs limite sont uniquement affichées ; elles ne peuvent pas être modifiées. Les modifications doivent être effectuées directement dans les propriétés de la variable pour Valeurs limite.

Plus de détails dans l’aide en ligne.

ZT_VARIABLE_DYN

BackColorVariable

Couleur de remplissage

Nom de la variable dont les couleurs de valeur limite doivent influencer la couleur d’arrière-plan/de remplissage de l’élément.
Ouvre la boîte de dialogue de sélection de variables.

Plus de détails dans l’aide en ligne.

VT_UI1

HorizontalOrigin

Horizontal

Point de référence horizontal de l’événement. Les valeurs possibles sont : gauche, centré, droite.
Ce point est utilisé en tant que base de calcul de l’angle de départ de la rotation (statique et dynamique) et pour le changement dynamique de taille.

Par défaut : À gauche

Plus de détails dans l’aide en ligne.

VT_UI1

VerticalOrigin

Vertical

Point de référence vertical de l’événement. Les valeurs possibles sont : haut, centré, bas.
Ce point est utilisé en tant que base de calcul de l’angle de départ de la rotation (statique et dynamique) et pour le changement dynamique de taille.

Par défaut : En haut

Plus de détails dans l’aide en ligne.

VT_UI4

VisibilityType

Visibilité

Sélection depuis laquelle la visibilité d’un élément est déterminée :

  • Depuis une variable
  • Du verrrouillage

Par défaut : Depuis une variable

Plus de détails dans l’aide en ligne.

ZT_VARIABLE_DYN

VisibilityVariable

Variable

Disponible uniquement si l’option Depuis la variable a été configurée pour la propriété Visibilité.

Nom de la variable dont la valeur contrôle la visibilité de l’élément. La visibilité est soit reprise des propriétés de valeur limite de ces variables, soit définie par la plage de valeurs définie dans les propriétés de et À.
Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de variables. Vous pouvez également saisir manuellement le nom dans le champ de texte.
L'élément reste visible tant qu’aucune variable n’est liée.

Plus de détails dans l’aide en ligne.

ZT_PREVIEW

VisVarPreview

Affichage aperçu visibilité

Affichage des valeurs limite pour la visibilité définies pour la variable. Disponible uniquement si l’option Depuis la variable a été configurée pour la propriété Variable dans le groupe Visibilité.

Un aperçu des propriétés définies pour la valeur limite est affiché dans le champ. Aucun aperçu n’est affiché pour les matrices de réaction.
Cliquez sur le bouton ... pour ouvrir la boîte de dialogue d’affichage des résultats. Les valeurs limite sont uniquement affichées ; elles ne peuvent pas être modifiées. Les modifications doivent être effectuées directement dans les propriétés de la variable pour Valeurs limite.

Plus de détails dans l’aide en ligne.

VT_BOOL

VisibilityFromLimit

A partir des valeurs limites

Uniquement disponible après la sélection d’une variable :

  • Active : La visibilité de l’élément est influencée par la propriété de valeur limite de la variable.

    Attention : La propriété Invisible doit être active pour au moins une valeur limite de la variable.

  • Inactive : la visibilité est influencée par les propriétés de l’élément.

Par défaut : active

Plus de détails dans l’aide en ligne.

VT_R8

VisibilityFrom

de

Disponible uniquement après la sélection d’une variable, si la visibilité n’a pas été reprise par la valeur limite :

Valeur minimum de la variable à laquelle l’élément est visible.

  • Minimum : valeur minimum possible de la variable liée.
  • Maximum : valeur maximum possible de la variable liée.

Par défaut : valeur minimum possible de la variable liée.

Plus de détails dans l’aide en ligne.

VT_R8

VisibilityTo

À

Disponible uniquement après la sélection d’une variable, si la visibilité n’a pas été reprise par la valeur limite :

Valeur maximale de la variable à laquelle l’élément est visible.

  • Minimum : valeur minimum possible de la variable liée.
  • Maximum : valeur maximum possible de la variable liée.

Par défaut : valeur maximum possible de la variable liée.

Plus de détails dans l’aide en ligne.

VT_UI4

Interlocking

Verrouillage

Disponible uniquement si l’option Depuis le verrouillage est sélectionnée pour la propriété Visibilité.

Nom du verrouillage dont la valeur contrôle la visibilité de l’élément. Sélectionnez dans la liste déroulante. Celle-ci contient tous les verrouillages existants et utilisables. L’élément est toujours visible si aucun verrouillage n’est lié.

Plus de détails dans l’aide en ligne.

VT_BSTR

InterlockingName

InterlockingName

Description

VT_BOOL

VisibleWhenInterlocked

Visible si verrouillé

Contrôle la visibilité de l’élément lorsque le verrouillage est sélectionné :

  • Active : L’élément est visible s’il est verrouillé.
  • Inactive : L’élément est visible s’il n’est pas verrouillé.

Par défaut : inactive

Plus de détails dans l’aide en ligne.

ZT_VARIABLE_DYN

BlinkVariable

Affichage aperçu clignotement

Affichage des valeurs limite pour le clignotement définies pour la variable. Disponible uniquement si l’option Depuis la variable a été configurée pour la propriété Prendre le clignotement de la limite.

Un aperçu des propriétés définies pour la valeur limite est affiché dans le champ. Aucun aperçu n’est affiché pour les matrices de réaction.
Cliquez sur le bouton ... pour ouvrir la boîte de dialogue d’affichage des résultats. Les valeurs limite sont uniquement affichées ; elles ne peuvent pas être modifiées. Les modifications doivent être effectuées directement dans les propriétés de la variable pour Valeurs limite.

Plus de détails dans l’aide en ligne.

ZT_PREVIEW

BlinkVarPreview

Affichage aperçu clignotement

Affichage des valeurs limite pour le clignotement définies pour la variable. Disponible uniquement si l’option Depuis la variable a été configurée pour la propriété Prendre le clignotement de la limite.

Un aperçu des propriétés définies pour la valeur limite est affiché dans le champ. Aucun aperçu n’est affiché pour les matrices de réaction.
Cliquez sur le bouton ... pour ouvrir la boîte de dialogue d’affichage des résultats. Les valeurs limite sont uniquement affichées ; elles ne peuvent pas être modifiées. Les modifications doivent être effectuées directement dans les propriétés de la variable pour Valeurs limite.

Plus de détails dans l’aide en ligne.

VT_BOOL

UseBlinkColor

Couleur de clignotement par la limite

Active : Reprend la couleur d’arrière-plan du clignotement défini pour la valeur limite active de la variable pour Prendre le clignotement de la limite. Durant le clignotement, l’élément ne devient pas invisible, mais reprend la couleur d’arrière-plan active.

Par défaut : Inactive

Remarque : la couleur n’est pas prise en compte si la couleur d’arrière-plan Transparence est configurée.

Plus de détails dans l’aide en ligne.

ZT_VARIABLE_DYN

XVariable

Variable

Nom de la variable utilisée pour le déplacement horizontal de l’élément.
Ouvre la boîte de dialogue de sélection de variables.

Plus de détails dans l’aide en ligne.

VT_R8

XVarMin

Valeur min de la variable

Valeur minimale de la variable utilisée pour le déplacement horizontal de l’élément.

Plus de détails dans l’aide en ligne.

VT_R8

XVarMax

Valeur max de la variable

Valeur maximale de la variable utilisée pour le déplacement horizontal de l’élément.

Plus de détails dans l’aide en ligne.

VT_I4

XViewMin

Mouvement min [pixels]

Position horizontale de l’élément pour la valeur minimale de la variable (en pixels).

Plus de détails dans l’aide en ligne.

VT_I4

XViewMax

Mouvement max [pixels]

Position horizontale de l’élément pour la valeur minimale de la variable (en pixels).

Plus de détails dans l’aide en ligne.

ZT_VARIABLE_DYN

YVariable

Variable

Nom de la variable utilisée pour le déplacement vertical de l’élément.
Ouvre la boîte de dialogue de sélection de variables.

Plus de détails dans l’aide en ligne.

VT_R8

YVarMin

Valeur min de la variable

Valeur minimale de la variable utilisée pour le déplacement vertical de l’élément.

Plus de détails dans l’aide en ligne.

VT_R8

YVarMax

Valeur max de la variable

Valeur maximale de la variable utilisée pour le déplacement vertical de l’élément.

Plus de détails dans l’aide en ligne.

VT_I4

YViewMin

Mouvement min [pixels]

Position verticale de l’élément pour la valeur minimale de la variable (en pixels).

Plus de détails dans l’aide en ligne.

VT_I4

YViewMax

Mouvement max [pixels]

Position verticale de l’élément pour la valeur maximale de la variable (en pixels).

Plus de détails dans l’aide en ligne.

ZT_VARIABLE_DYN

XZoomVariable

Variable

Nom de la variable utilisée pour l’agrandissement de la largeur de l’élément.
Ouvre la boîte de dialogue de sélection de variables.

Plus de détails dans l’aide en ligne.

VT_R8

XZoomVarMin

Valeur min de la variable

Valeur minimale de la variable utilisée pour effectuer un zoom à la largeur de l’élément.

Plus de détails dans l’aide en ligne.

VT_R8

XZoomVarMax

Valeur max de la variable

Valeur maximale de la variable utilisée pour effectuer un zoom sur la largeur de l’élément.

Plus de détails dans l’aide en ligne.

VT_I4

XZoomViewMin

Largeur min [%]

Facteur de zoom correspondant à la largeur de l’élément pour la valeur minimale de la variable (en pixels).

Plus de détails dans l’aide en ligne.

VT_I4

XZoomViewMax

Largeur max [%]

Facteur de zoom correspondant à la largeur de l’élément pour la valeur maximale de la variable (en pixels).

Plus de détails dans l’aide en ligne.

ZT_VARIABLE_DYN

YZoomVariable

Variable

Nom de la variable utilisée pour l’agrandissement de la hauteur de l’élément.
Ouvre la boîte de dialogue de sélection de variables.

Plus de détails dans l’aide en ligne.

VT_R8

YZoomVarMin

Valeur min de la variable

Valeur minimum de la variable utilisée pour effectuer un zoom sur la hauteur de l’élément.

Plus de détails dans l’aide en ligne.

VT_R8

YZoomVarMax

Valeur max de la variable

Valeur maximum de la variable utilisée pour effectuer un zoom sur la hauteur de l’élément.

Plus de détails dans l’aide en ligne.

VT_I4

YZoomViewMin

Hauteur min [%]

Facteur de zoom correspondant à la hauteur de l’élément pour la valeur minimum de la variable (en %).

Plus de détails dans l’aide en ligne.

VT_I4

YZoomViewMax

Hauteur max [%]

Facteur de zoom correspondant à la hauteur de l’élément pour la valeur maximale de la variable (en pixels).

Plus de détails dans l’aide en ligne.

ZT_VARIABLE_DYN

TwistVariable

Variable

Nom de la variable utilisée pour la rotation de l’élément.

Plus de détails dans l’aide en ligne.

VT_R8

TwistVarMin

Valeur min de la variable

Valeur minimum de la variable utilisée pour la rotation de l’élément.

Plus de détails dans l’aide en ligne.

VT_R8

TwistVarMax

Valeur max de la variable

Valeur maximale de la variable utilisée pour la rotation de l’élément.

Plus de détails dans l’aide en ligne.

VT_I4

TwistViewMin

Rotation min [°]

Angle de rotation de l’élément pour la valeur minimum de la variable (en °).

Plus de détails dans l’aide en ligne.

VT_I4

TwistViewMax

Rotation max [°]

Angle de rotation de l’élément pour la valeur maximum de la variable (en °).

Plus de détails dans l’aide en ligne.

ZT_STYLE

ShadowEffectStyle

Style effet cadres/ombres

Affichage et sélection du style de cadre et d’ombre attribué à l’élément.

Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de style.
Si plusieurs éléments ont été sélectionnés, ils peuvent être attribués à un style commun.

Remarque : Seules les propriétés compatibles avec l’élément correspondant sont prises en charge.

Plus de détails dans l’aide en ligne.

VT_BOOL

EnablePunchFrame

Afficher le cadre

A frame around the element can be displayed.
Default: inactive.

ZT_STYLE

GlowEffectStyle

Style effet de rayonnement

Affichage et sélection du style des effets de luminescence attribués à l’élément.

Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de style.
Si plusieurs éléments ont été sélectionnés, ils peuvent être attribués à un style commun.

Remarque : Seules les propriétés compatibles avec l’élément correspondant sont prises en charge.

Plus de détails dans l’aide en ligne.

VT_BOOL

GlowEffectEvent

Actif seulement si cliqué

Disponible uniquement si la propriété Activer est active et l’élément est un bouton.

Active : l’effet de luminescence est uniquement affiché lorsque l’utilisateur clique sur le bouton. Cliquer sur le bouton permet de modifier la couleur, le clignotement ou l’invisibilité de l’effet de luminescence.

Par défaut : Inactive

Plus de détails dans l’aide en ligne.

ZT_VARIABLE_DYN

GlowEffectGlowColorVariable

Variable pour la couleur

Disponible uniquement si la propriété Activer est active. La propriété Coloration doit être activée.

Nom de la variable dont la couleur aux valeurs limites doit influencer la couleur de l’effet de luminescence pour l’élément. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de variables. Vous pouvez également saisir le nom manuellement dans le champ de texte. Si aucune variable n’est liée, la couleur définie dans la propriété Couleur est utilisée.

Par défaut : aucune variable liée

Plus de détails dans l’aide en ligne.

ZT_PREVIEW

GlowEffectGlowColorVariablePreview

Affichage aperçu couleur

Affichage de la valeur limite définie pour la variable de couleur lorsque l’effet de luminescence est actif. Disponible uniquement si l’option Depuis la variable a été configurée pour la propriété Variable pour la couleur.

Un aperçu des propriétés définies pour la valeur limite est affiché dans le champ. Aucun aperçu n’est affiché pour les matrices de réaction.
Cliquez sur le bouton ... pour ouvrir la boîte de dialogue d’affichage des résultats. Les valeurs limite sont uniquement affichées ; elles ne peuvent pas être modifiées. Les modifications doivent être effectuées directement dans les propriétés de la variable pour Valeurs limite.

Plus de détails dans l’aide en ligne.

ZT_VARIABLE_DYN

GlowEffectVisibilityVariable

Variable pour la visibilité

Disponible uniquement si la propriété Activer est active.

Nom de la variable dont la valeur influence la visibilité de l’effet de luminescence. La visibilité est soit reprise des propriétés de valeur limite de cette variable (propriété Visibilité depuis valeur limite active), soit définie par la plage de valeurs définie dans les propriétés Visible de et Visible jusqu'à. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de variables. Vous pouvez également saisir le nom manuellement dans le champ de texte.

Remarque : si aucune variable n’est liée, l’effet de luminescence est toujours visible.

Par défaut : aucune variable liée

Plus de détails dans l’aide en ligne.

ZT_PREVIEW

GlowEffectVisibilityVariablePreview

Affichage aperçu visibilité

Affichage de la valeur limite définie pour la variable de visibilité lorsque l’effet de luminescence est actif. Disponible uniquement si l’option Depuis la variable a été configurée pour la propriété Variable pour la visibilité.

Un aperçu des propriétés définies pour la valeur limite est affiché dans le champ. Aucun aperçu n’est affiché pour les matrices de réaction.
Cliquez sur le bouton ... pour ouvrir la boîte de dialogue d’affichage des résultats. Les valeurs limite sont uniquement affichées ; elles ne peuvent pas être modifiées. Les modifications doivent être effectuées directement dans les propriétés de la variable pour Valeurs limite.

Plus de détails dans l’aide en ligne.

VT_BOOL

GlowEffectVisibilityFromLimit

Visibilité depuis valeur limite

Disponible uniquement si la propriété Activer est active. Vous devez en outre définir une variable dans la propriété Variable pour la visibilité.

Active : La visibilité de l’effet de luminescence est influencée par la propriété de valeur limite de la variable.

Attention : Pour une valeur limite de la variable au moins, la propriété Invisible doit être active.

Inactive : la visibilité est influencée par les propriétés de l’élément.

Plus de détails dans l’aide en ligne.

VT_R8

GlowEffectVisibilityFrom

Visible de

Disponible uniquement si la propriété Activer est active. Vous devez en outre définir une variable dans la propriété Variable pour la visibilité ; la propriété Visibilité depuis valeur limite doit être inactive.

Définit la valeur à partir de laquelle l’effet de luminescence devient visible.
Minimum : valeur la moins élevée autorisée pour la variable liée dans Variable pour la visibilité.
Maximum : valeur la moins élevée autorisée pour la variable liée dans Variable pour la visibilité.
Par défaut : valeur la plus élevée autorisée pour la variable liée dans Variable pour la visibilité.

Plus de détails dans l’aide en ligne.

VT_R8

GlowEffectVisibilityTo

Visible jusqu'à

Disponible uniquement si la propriété Activer est active. Vous devez en outre définir une variable dans la propriété Variable pour la visibilité ; la propriété Visibilité depuis valeur limite doit être inactive.

Définit la valeur jusqu’à laquelle l’effet de luminescence reste visible.
Minimum : valeur la plus basse autorisée pour la variable liée dans Variable pour la visibilité.
Maximum : valeur la plus élevée autorisée pour la variable liée dans Variable pour la visibilité.
Par défaut : valeur la plus élevée autorisée pour la variable liée dans Variable pour la visibilité.

Plus de détails dans l’aide en ligne.

ZT_VARIABLE_DYN

GlowEffectBlinkVariable

Variable pour le clignotement

Variables dont les paramètres de clignotement de l’effet de luminescence aux valeurs limites doivent être repris. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de variables.

Par défaut : aucune variable liée

Plus de détails dans l’aide en ligne.

ZT_PREVIEW

GlowEffectBlinkVariablePreview

Affichage aperçu clignotement

Affichage de la valeur limite définie pour la variable de clignotement lorsque l’effet de luminescence est actif. Disponible uniquement si l’option Depuis la variable a été configurée pour la propriété Variable pour le clignotement.

Un aperçu des propriétés définies pour la valeur limite est affiché dans le champ. Aucun aperçu n’est affiché pour les matrices de réaction.
Cliquez sur le bouton ... pour ouvrir la boîte de dialogue d’affichage des résultats. Les valeurs limite sont uniquement affichées ; elles ne peuvent pas être modifiées. Les modifications doivent être effectuées directement dans les propriétés de la variable pour Valeurs limite.

Plus de détails dans l’aide en ligne.

VT_BOOL

GlowEffectUseBlinkColor

Clignotement depuis valeur limite

Disponible uniquement si la propriété Activer est active. Vous devez en outre définir une variable dans la propriété Variable pour le clignotement.

Active : Reprend, pour l’effet de luminescence, la couleur de clignotement de la valeur limite active pour la variable définie dans la propriété Couleur de clignotement par la limite. Cette propriété agit indépendamment de la propriété Coloration. En cas de clignotement, l’effet de luminescence ne devient pas invisible, mais reprend les paramètres de l’effet de luminescence actif.

Par défaut : Inactive

Plus de détails dans l’aide en ligne.

VT_BOOL

GlowEffect2ndBlinkStateVisible

2 états de clignotement invisibles

Disponible uniquement si la propriété Activer est active. Vous devez en outre définir une variable dans la propriété Variable pour le clignotement ; la propriété Clignotement depuis valeur limite doit être inactive.

Active : En cas de clignotement, l’effet de luminescence ne bascule pas vers l’effet de luminescence actif, mais devient invisible. Ceci permet de basculer entre l’invisibilité et la couleur de clignotement en cas de dépassement de la valeur limite.

Par défaut : Inactive

Plus de détails dans l’aide en ligne.


Message

Manuel -> Interfaces de programmation -> Modèles d'objet -> Element -> Element-Dynamic properties -> Message

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Type

VBA/VSTA Name

Display Name

Description

ZT_SCHRIFT

Font

Police

Sélection de la police utilisée pour l’affichage.

Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection. La police de caractères sélectionnée est liée.

Plus de détails dans l’aide en ligne.

VT_BOOL

ThreeDimensional

3D

Active : L’élément est affiché en trois dimensions.
Inactive : L’élément est affiché en deux dimensions.

Plus de détails dans l’aide en ligne.

VT_UI4

TextChangeTime

Temps pour le changement de texte [s]

Si plusieurs bits sont définis dans les variables de ligne, le changement du texte se déroule automatiquement dans l’intervalle de temps configuré

Plus de détails dans l’aide en ligne.

ZT_MELDETEXT

MessageText

Fichier texte

Sélection du fichier texte.

Plus de détails dans l’aide en ligne.

VT_BSTR

Variable

Sélection colonne

La variable de colonne de la liste doit être une variable mot, et définit la position de la colonne depuis laquelle est extrait le texte.

Attention : La variable de colonne doit être sélectionnée avant la variable de ligne.

Plus de détails dans l’aide en ligne.

VT_BSTR

ColVars

Activation ligne

Les variables de ligne définissent la position de la ligne depuis laquelle est extrait le texte.

Plus de détails dans l’aide en ligne.

ZT_COLOR

TextColor

Couleur du texte

Couleur du texte de l’élément.

Plus de détails dans l’aide en ligne.

ZT_COLOR

BackColor

Couleur de remplissage

Disponible uniquement si la propriété Transparence est inactive.

Définit la couleur de remplissage de l’élément. Cliquez sur le bouton pour ouvrir la palette de couleurs prédéfinies. Vous pouvez également définir la couleur en saisissant manuellement le code hexadécimal (RVB) dans le champ. La couleur de remplissage peut être modifiée de manière dynamique à l’aide de la propriété Couleur de remplissage du groupe Couleur(s) de remplissage dynamique(s).

Remarque : La couleur du nouvel élément sera la couleur utilisée pour le précédent élément du même type.

Attention : dans la fenêtre Vue globale, les modifications des couleurs dans Editor n’ont aucune incidence dans le Runtime.

Plus de détails dans l’aide en ligne.

VT_BOOL

Transparent

Transparence

Active : Désactive la couleur d’arrière-plan de l’élément.

L’effet de cette option sur un bouton est un bouton invisible. Il peut être positionné au-dessus des autres éléments en tant que bouton invisible.

Plus de détails dans l’aide en ligne.

VT_BOOL

UnderCE

Visible sous WinCE

Contrôle la visibilité des éléments dans les synoptiques sous Windows CE. Les projets qui sont utilisés sous CE et sur le PC peuvent être créés de manière plus flexible ; la gestion par l’utilisateur est ainsi améliorée. Par exemple, les boutons renvoyant l’utilisateur vers des synoptiques ne pouvant pas être affichés sous CE (par ex. IPA) peuvent être rendus invisibles.

Active : dans synoptique/l’élément est également visible sous Windows CE.

Par défaut : active

Plus de détails dans l’aide en ligne.

ZT_VBAMAKRO

Init

Init

Macro VBA à exécuter lors de l’initialisation de l’élément.

Plus de détails dans l’aide en ligne.

ZT_VBAMAKRO

SetFocus

SetFocus

Macro VBA à exécuter lorsque le focus est placé sur l’élément.

Plus de détails dans l’aide en ligne.

ZT_VBAMAKRO

KillFocus

KillFocus

Macro VBA à exécuter lorsque le focus n’est plus placé sur l’élément.

Plus de détails dans l’aide en ligne.

ZT_VBAMAKRO

LeftClickDown

LeftClickDown

Macro VBA à exécuter lorsque l’utilisateur effectue un clic gauche sur l’élément.

Plus de détails dans l’aide en ligne.

ZT_VBAMAKRO

RightClickDown

RightClickDown

Macro VBA à exécuter lorsque l’utilisateur effectue un clic droit sur l’élément.

Plus de détails dans l’aide en ligne.

ZT_VBAMAKRO

LeftClickUp

LeftClickUp

Macro VBA à exécuter lorsque l’utilisateur relâche le bouton gauche de la souris sur l’élément.

Plus de détails dans l’aide en ligne.

ZT_VBAMAKRO

RightClickUp

RightClickUp

Macro VBA à exécuter lorsque l’utilisateur relâche le bouton droit de la souris sur l’élément.

Plus de détails dans l’aide en ligne.

ZT_VBAMAKRO

LeftDClick

LeftDoubleClick

Macro VBA à exécuter lorsque l’utilisateur effectue un double-clic gauche sur l’élément.

Plus de détails dans l’aide en ligne.

ZT_VBAMAKRO

RightDClick

RightDoubleClick

Macro VBA à exécuter lorsque l’utilisateur effectue un double-clic droit sur l’élément.

Plus de détails dans l’aide en ligne.

ZT_VBAMAKRO

MouseOver

MouseOver

Macro VBA à exécuter si le pointeur de la souris est positionné sur l’élément.

Plus de détails dans l’aide en ligne.

ZT_VBAMAKRO

DragDrop

DragDrop

Macro VBA à exécuter lorsque le bouton de la souris est relâché.

Plus de détails dans l’aide en ligne.

ZT_VBAMAKRO

DragOver

DragOver

Macro VBA à exécuter lorsque le curseur est déplacé au-dessus de l’élément pendant que le bouton gauche est enfoncé.

Plus de détails dans l’aide en ligne.

ZT_VBAMAKRO

DragBegin

DragBegin

Macro VBA à exécuter lorsque l’utilisateur commence à faire glisser l’objet.

Plus de détails dans l’aide en ligne.

VT_BSTR

Menu

Menu contextuel

Menu contextuel de l’élément.
Cliquer avec le bouton droit de la souris sur l’élément pour ouvrir le menu contextuel dans le Runtime.

Plus de détails dans l’aide en ligne.

VT_BSTR

Tooltip

Info bulle

Texte à afficher en tant qu’info-bulle de l’élément dans le Runtime. Une info-bulle est automatiquement affichée dans le Runtime si le pointeur de la souris reste pendant quelques secondes sur l’élément. Des retours à la ligne automatiques peuvent être insérés avec les caractères "\n".

  • Maximum : 79 caractères
    Attention : La combinaison de caractères \n est également comptée dans la limite de 79 caractères.

Plus de détails dans l’aide en ligne.

VT_BOOL

LassoSelect

sélectionnable avec le lasso

La sélection avec le lasso dans le Runtime permet d’identifier les éléments dynamiques et de les utiliser avec des événements VBA.

  • Active : L’élément peut être sélectionné avec le lasso dans le Runtime.
  • Inactive : L’élément ne peut pas être sélectionné dans Runtime.

Par défaut : active

Attention : Pour que l’élément puisse être sélectionné dans le Runtime, vous devez activer la propriété Sélection multiple en runtime (lasso) dans les paramètres du projet !

Remarque concernant la gestion des commandes : Si la propriété Opération à deux mains est activée, le lasso de la commande Exécuter le 2ème niveau ne doit pas être activé.

Plus de détails dans l’aide en ligne.

More...

GestureManipulationGroup

Manipulation

Propriétés pour la manipulation de synoptiques et d’éléments de synoptique dans le cadre d’une utilisation tactile.

Plus de détails dans l’aide en ligne.

VT_BOOL

Tab

Le focus est donné à l'élément

Active : L’élément dynamique peut être actionné à l’aide du clavier.
Inactive : L’élément dynamique n’est pas accessible à l’aide du clavier.
Par défaut : active.

Plus de détails dans l’aide en ligne.

VT_I4

TABOrderH

Position du focus gauche/droite

Définit la position horizontale pour l’utilisation à l’aide du clavier dans le Runtime. La position est définie par l’intermédiaire du menu contextuel et de l’utilisation de la souris dans la fenêtre principale ; elle ne peut pas être modifiée ici.

Plus de détails dans l’aide en ligne.

VT_I4

TABOrderV

Position focus haut / bas

Définit la position verticale pour l’utilisation à l’aide du clavier dans le Runtime. La position est définie par l’intermédiaire du menu contextuel et de l’utilisation de la souris dans la fenêtre principale ; elle ne peut pas être modifiée ici.

Plus de détails dans l’aide en ligne.

ZT_FILE

Helpfile

Fichier d'aide

Fichier d’aide (*.chm) devant être utilisé pour cet élément, conjointement à un menu contextuel. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de fichiers.
Attention : seuls les fichiers d’aide ayant été ajoutés dans le nœud Fichiers/Aide sont disponibles.

Plus de détails dans l’aide en ligne.

VT_BSTR

HelpCapture

Chapitre d'aide

Chapitre d’aide (*.chm) devant être utilisé pour cet élément, conjointement à un menu contextuel. Nom de la page HTML sous-jacente.
Attention : cette entrée tient compte des minuscules et majuscules.

Plus de détails dans l’aide en ligne.

ZT_VARIABLE_DYN

SetValueDynMin

Minimum

Variable dont la valeur actuelle est applicable en tant que limite inférieure de la valeur prescrite de l’élément.
Disponible uniquement si Plages de la variable est inactive :
Plus de détails dans l’aide en ligne.

ZT_VARIABLE_DYN

SetValueDynMax

Maximum

Variable dont la valeur actuelle est applicable en tant que limite supérieure de la valeur prescrite de l’élément.

Disponible uniquement si la propriété Plages de la variable est inactive.

Plus de détails dans l’aide en ligne.

VT_BOOL

GestureRecognitionActive

Reconnaissance de geste active

Active l’évaluation des gestes. Les gestes sont définis à l’aide d’autres propriétés.

Uniquement disponible si, dans le groupe Intéraction des propriétés du projet, la propriété Reconnaissance Windows 8 a été définie.

Plus de détails dans l’aide en ligne.

VT_BOOL

Gestures_Manipulation

Exact

Active : Détection du paramètre Exact défini.

Plus de détails dans l’aide en ligne.

VT_BOOL

Gestures_Exact

Exact

Active : Détection du paramètre Exact défini.

Plus de détails dans l’aide en ligne.

VT_BOOL

Gestures_TranslationX

Translation X

Active : Détection du paramètre Translation X défini.

Plus de détails dans l’aide en ligne.

VT_BOOL

Gestures_TranslationY

Translation Y

Active : Détection du paramètre Translation Y défini.

Plus de détails dans l’aide en ligne.

VT_BOOL

Gestures_RailsX

Rails X

Active : Détection du paramètre Rails X défini.

Plus de détails dans l’aide en ligne.

VT_BOOL

Gestures_RailsY

Rails Y

Active : Détection du paramètre Rails Y défini.

Plus de détails dans l’aide en ligne.

VT_BOOL

Gestures_TranslationInertia

Translation inertia

Active : Détection du paramètre Translation Inertia (Inertie de translation) défini.

Plus de détails dans l’aide en ligne.

VT_BOOL

Gestures_Rotation

Inertie de rotation

Active : Détection du paramètre Rotation Inertia (Inertie de rotation) défini.

Plus de détails dans l’aide en ligne.

VT_BOOL

Gestures_RotationInertia

Inertie de rotation

Active : Détection du paramètre Rotation Inertia (Inertie de rotation) défini.

Plus de détails dans l’aide en ligne.

VT_BOOL

Gestures_Scaling

Scaling inertia

Active : Détection du paramètre Scaling Inertia (Inertie de redimensionnement) défini.

Plus de détails dans l’aide en ligne.

VT_BOOL

Gestures_ScalingInertia

Scaling inertia

Active : Détection du paramètre Scaling Inertia (Inertie de redimensionnement) défini.

Plus de détails dans l’aide en ligne.

VT_BOOL

Gestures_CrossSlide

Cross slide exact

Active : Détection du paramètre Cross Slide Exact (Glissement transversal exact) défini.

Plus de détails dans l’aide en ligne.

VT_BOOL

Gestures_CrossSlideHorizontal

Cross slide horizontal

Active : Détection du paramètre Cross Slide Horizontal (Glissement transversal horizontal) défini.

Plus de détails dans l’aide en ligne.

VT_BOOL

Gestures_CrossSlideSelect

Cross slide select

Active : Détection du paramètre Cross Slide Select (Glissement transversal, sélection) défini.

Plus de détails dans l’aide en ligne.

VT_BOOL

Gestures_CrossSlideSpeedBump

Cross slide speed bump

Active : Détection du paramètre Cross Slide Speed Bump (Glissement transversal, ralentisseur) défini.

Plus de détails dans l’aide en ligne.

VT_BOOL

Gestures_CrossSlideRearrange

Cross slide rearrange

Active : Détection du paramètre Cross Slide Rearrange (Glissement transversal, réorganisation) défini.

Plus de détails dans l’aide en ligne.

VT_BOOL

Gestures_CrossSlideExact

Cross slide exact

Active : Détection du paramètre Cross Slide Exact (Glissement transversal exact) défini.

Plus de détails dans l’aide en ligne.

VT_BOOL

Gestures_Tap

Tap double

Active : Détection du paramètre Tap Double (Double appui) défini.

Plus de détails dans l’aide en ligne.

VT_BOOL

Gestures_TapDouble

Tap double

Active : Détection du paramètre Tap Double (Double appui) défini.

Plus de détails dans l’aide en ligne.

VT_BOOL

Gestures_SecondaryTap

Secondary tap

Active : Détection du paramètre Secondary Tap (Appui secondaire) défini.

Plus de détails dans l’aide en ligne.

VT_BOOL

Gestures_Drag

Drag

Active : Détection du paramètre Drag (Glissement) défini.

Plus de détails dans l’aide en ligne.

VT_BOOL

Gestures_Hold

Hold (Mouse)

Active : Détection du paramètre Hold (Mouse) (Maintien [souris]) défini.

Plus de détails dans l’aide en ligne.

ZT_STYLE

StyleGroup

Groupe de styles

Affichage et sélection du groupe de styles attribué à l’élément.
Cliquez sur le bouton ... pour ouvrir la boîte de dialogue permettant de sélectionner un groupe de styles.
Si plusieurs éléments sont sélectionnés, elles peuvent être attribuées à un groupe de styles commun.

Remarque : Seules les propriétés compatibles avec l’élément correspondant sont prises en charge.

Plus de détails dans l’aide en ligne.

More...

LnClVariable

LnClVariable

"With this property you have the opportunity to get informations about the variable which is linked as ""line/text color"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""LnClVariable.SymVarName"") 'Return the name of the ""line/text color"" variable
zElement.DynProperties (""LnClVariable.SymVarTagNr"") 'Return the identification of the ""line/text color"" variable"

More...

BkClVariable

BkClVariable

"With this property you have the opportunity to get informations about the variable which is linked as ""background/filling color"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""BkClVariable.SymVarName"") 'Return the name of the ""background/filling color"" variable
zElement.DynProperties (""BkClVariable.SymVarTagNr"") 'Return the identification of the ""background/filling color"" variable"

More...

BkCl2Variable

"BkCl2Variable"

More...

XVar

XVar

"With this property you have the opportunity to get informations about the variable which is linked as ""dynamic x position"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""XVar.SymVarName"") 'Return the name of the ""dynamic x position"" variable
zElement.DynProperties (""XVar.SymVarTagNr"") 'Return the identification of the ""dynamic x position"" variable"

More...

YVar

YVar

"With this property you have the opportunity to get informations about the variable which is linked as ""dynamic y position"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""YVar.SymVarName"") 'Return the name of the ""dynamic y position"" variable
zElement.DynProperties (""YVar.SymVarTagNr"") 'Return the identification of the ""dynamic y position"" variable"

More...

XVarZoom

XVarZoom

"With this property you have the opportunity to get informations about the variable which is linked as ""change width"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""XVarZoom.SymVarName"") 'Return the name of the ""change width"" variable
zElement.DynProperties (""XVarZoom.SymVarTagNr"") 'Return the identification of the ""change width"" variable"

More...

YVarZoom

YVarZoom

"With this property you have the opportunity to get informations about the variable which is linked as ""change height"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""YVarZoom.SymVarName"") 'Return the name of the ""change height"" variable
zElement.DynProperties (""YVarZoom.SymVarName"") 'Return the name of the ""change height"" variable
zElement.DynProperties (""YVarZoom.SymVarTagNr"") 'Return the identification of the ""change height"" variable"

More...

TwistVar

TwistVar

"With this property you have the opportunity to get informations about the variable which is linked as ""rotate"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""TwistVar.SymVarName"") 'Return the name of the ""rotate"" variable
zElement.DynProperties (""TwistVar.SymVarTagNr"") 'Return the identification of the ""rotate"" variable"

More...

VisVariable

VisVariable

"With this property you have the opportunity to get informations about the variable which is linked as ""visibility"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""VisVariable.SymVarName"") 'Return the name of the ""visibility"" variable
zElement.DynProperties (""VisVariable.SymVarTagNr"") 'Return the identification of the ""visibility"" variable"

More...

BlinkVar

BlinkVar

More...

GlowEffectGlowColorVar

GlowEffectGlowColorVar

More...

GlowEffectVisibilityVar

GlowEffectVisibilityVar

More...

GlowEffectBlinkVar

GlowEffectBlinkVar

VT_BSTR

Name

Nom d'élément

Attribuez un nom d’élément.
Il ne doit pas être vide.

Attention : Cette propriété n’est pas disponible aux fins de la commutation de langue.

Remarques concernant les cadrans : Pour les conteneurs de synoptique, spécifiez des noms clairement identifiables pour faciliter la sélection lors de la configuration des appels de synoptique.

Plus de détails dans l’aide en ligne.

VT_UI1

Layer

Niveau de visibilité

Sélectionnez l’un des 16 niveaux de visibilité (0 à 15) dans la liste déroulante. À l’aide de la barre d’outils Niveau de visibilité, vous décidez des niveaux qui doivent être affichés dans Editor. Cette fonction garantit que les synoptiques les plus complexes peuvent être développés de manière simple. Les niveaux peuvent être utilisés immédiatement. Les niveaux n’ont aucune influence sur les informations affichées au premier plan ou en arrière-plan dans le Runtime.
Par défaut : 0.

Plus de détails dans l’aide en ligne.

VT_I4

StartX

Point de départ X [pixels]

Coordonnée Y du coin supérieur gauche du synoptique (en pixels).

Plus de détails dans l’aide en ligne.

VT_I4

EndX

Point final X [pixels]

Coordonnée X du coin inférieur droit du synoptique (en pixels).

Plus de détails dans l’aide en ligne.

VT_I4

StartY

Point de départ Y [pixels]

Coordonnée Y du coin supérieur gauche du synoptique (en pixels).

Plus de détails dans l’aide en ligne.

VT_I4

EndY

Point final Y [pixels]

Coordonnée Y du coin inférieur droit du synoptique (en pixels).

Plus de détails dans l’aide en ligne.

VT_I4

Width

Largeur [pixels]

Largeur des éléments en pixels.

Remarque : disponible uniquement pour les éléments Combinaison multiple, Élément combiné, Bouton et Interrupteur si la valeur Ajusté a été sélectionnée pour la propriété Taille du graphique.

Plus de détails dans l’aide en ligne.

VT_I4

Height

Hauteur [pixels]

Hauteur des éléments en pixels.

Remarque : disponible uniquement pour les éléments Combinaison multiple, Élément combiné, Bouton et Interrupteur si la valeur Ajusté a été sélectionnée pour la propriété Taille du graphique.

Plus de détails dans l’aide en ligne.

VT_I4

Angle

Angle de rotation [°]

Angle libre autour selon lequel doit pivoter l’élément.
Les valeurs positives correspondent à une rotation dans le sens antihoraire, tandis que les valeurs négatives correspondent à une rotation dans le sens horaire. Les valeurs supérieures à 360° sont affichées sous forme d’écart par rapport à 360° (400° correspond à 40°). Seuls les nombres entiers sont autorisés.

Sur les éléments pivotés, les actions suivantes ne sont plus possibles :

  • Miroir
  • Rotation de +/- 90°
  • Redimensionnement à l’aide des touches fléchées

Par défaut : 0

Remarque : Ce paramètre est activé et réinitialisé lors de la configuration pour Windows CE.

Plus de détails dans l’aide en ligne.

VT_I2

ZoomMin

Visible de

Incrément de zoom le plus bas auquel l’élément est visible dans la vue globale.
Par défaut : -1
Une valeur de visibilité avec des incréments de zoom de -1 à -1 signifie que l’élément est affiché, quel que soit l’incrément de zoom sélectionné.

Les niveaux de zoom affichés dans la vue globale peuvent être configurés avec la propriété Apparence graphique -> Généralités runtime -> Pas de zoom pour vue globale.

Attention : Ce niveau de zoom s’applique à tous les types de synoptiques et cadres. Si un niveau de zoom défini est supérieur à 0, l’élément est uniquement affiché dans la vue globale, car les autres types de synoptique sont automatiquement appelés avec le niveau de zoom 0.

Plus de détails dans l’aide en ligne.

VT_I2

ZoomMax

Visible jusqu'à

Incrément de zoom le plus élevé auquel l’élément est visible dans la vue globale.

Par défaut : -1
Une valeur de visibilité avec des incréments de zoom de -1 à -1 signifie que l’élément est affiché, quel que soit l’incrément de zoom sélectionné.

Les niveaux de zoom affichés dans la vue globale peuvent être configurés avec la propriété Apparence graphique -> Généralités runtime -> Pas de zoom pour vue globale.

Attention : Ce niveau de zoom s’applique à tous les types de synoptiques et cadres. Si un niveau de zoom défini est supérieur à 0, l’élément est uniquement affiché dans la vue globale, car les autres types de synoptique sont automatiquement appelés avec le niveau de zoom 0.

Plus de détails dans l’aide en ligne.

VT_BSTR

Stationname

Nom liste d'objets

L’élément est saisi directement dans la liste de stations du synoptique Vue globale, et le texte est saisi ici.

Plus de détails dans l’aide en ligne.

ZT_VARIABLE_DYN

BackColorVariable

Couleur de remplissage

Nom de la variable dont les couleurs de valeur limite doivent influencer la couleur d’arrière-plan/de remplissage de l’élément.
Ouvre la boîte de dialogue de sélection de variables.

Plus de détails dans l’aide en ligne.

ZT_PREVIEW

BackColorVarPreview

Affichage aperçu couleur

Affichage de la valeur limite pour la propriété Couleur de remplissage définie pour la variable. Disponible uniquement si l’option Depuis la variable a été configurée pour la propriété Couleur de remplissage.

Un aperçu des propriétés définies pour la valeur limite est affiché dans le champ. Aucun aperçu n’est affiché pour les matrices de réaction.
Cliquez sur le bouton ... pour ouvrir la boîte de dialogue d’affichage des résultats. Les valeurs limite sont uniquement affichées ; elles ne peuvent pas être modifiées. Les modifications doivent être effectuées directement dans les propriétés de la variable pour Valeurs limite.

Plus de détails dans l’aide en ligne.

VT_UI1

HorizontalOrigin

Horizontal

Point de référence horizontal de l’événement. Les valeurs possibles sont : gauche, centré, droite.
Ce point est utilisé en tant que base de calcul de l’angle de départ de la rotation (statique et dynamique) et pour le changement dynamique de taille.

Par défaut : À gauche

Plus de détails dans l’aide en ligne.

VT_UI1

VerticalOrigin

Vertical

Point de référence vertical de l’événement. Les valeurs possibles sont : haut, centré, bas.
Ce point est utilisé en tant que base de calcul de l’angle de départ de la rotation (statique et dynamique) et pour le changement dynamique de taille.

Par défaut : En haut

Plus de détails dans l’aide en ligne.

VT_UI4

VisibilityType

Visibilité

Sélection depuis laquelle la visibilité d’un élément est déterminée :

  • Depuis une variable
  • Du verrrouillage

Par défaut : Depuis une variable

Plus de détails dans l’aide en ligne.

ZT_VARIABLE_DYN

VisibilityVariable

Variable

Disponible uniquement si l’option Depuis la variable a été configurée pour la propriété Visibilité.

Nom de la variable dont la valeur contrôle la visibilité de l’élément. La visibilité est soit reprise des propriétés de valeur limite de ces variables, soit définie par la plage de valeurs définie dans les propriétés de et À.
Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de variables. Vous pouvez également saisir manuellement le nom dans le champ de texte.
L'élément reste visible tant qu’aucune variable n’est liée.

Plus de détails dans l’aide en ligne.

ZT_PREVIEW

VisVarPreview

Affichage aperçu visibilité

Affichage des valeurs limite pour la visibilité définies pour la variable. Disponible uniquement si l’option Depuis la variable a été configurée pour la propriété Variable dans le groupe Visibilité.

Un aperçu des propriétés définies pour la valeur limite est affiché dans le champ. Aucun aperçu n’est affiché pour les matrices de réaction.
Cliquez sur le bouton ... pour ouvrir la boîte de dialogue d’affichage des résultats. Les valeurs limite sont uniquement affichées ; elles ne peuvent pas être modifiées. Les modifications doivent être effectuées directement dans les propriétés de la variable pour Valeurs limite.

Plus de détails dans l’aide en ligne.

VT_BOOL

VisibilityFromLimit

A partir des valeurs limites

Uniquement disponible après la sélection d’une variable :

  • Active : La visibilité de l’élément est influencée par la propriété de valeur limite de la variable.

    Attention : La propriété Invisible doit être active pour au moins une valeur limite de la variable.

  • Inactive : la visibilité est influencée par les propriétés de l’élément.

Par défaut : active

Plus de détails dans l’aide en ligne.

VT_R8

VisibilityFrom

de

Disponible uniquement après la sélection d’une variable, si la visibilité n’a pas été reprise par la valeur limite :

Valeur minimum de la variable à laquelle l’élément est visible.

  • Minimum : valeur minimum possible de la variable liée.
  • Maximum : valeur maximum possible de la variable liée.

Par défaut : valeur minimum possible de la variable liée.

Plus de détails dans l’aide en ligne.

VT_R8

VisibilityTo

À

Disponible uniquement après la sélection d’une variable, si la visibilité n’a pas été reprise par la valeur limite :

Valeur maximale de la variable à laquelle l’élément est visible.

  • Minimum : valeur minimum possible de la variable liée.
  • Maximum : valeur maximum possible de la variable liée.

Par défaut : valeur maximum possible de la variable liée.

Plus de détails dans l’aide en ligne.

VT_UI4

Interlocking

Verrouillage

Disponible uniquement si l’option Depuis le verrouillage est sélectionnée pour la propriété Visibilité.

Nom du verrouillage dont la valeur contrôle la visibilité de l’élément. Sélectionnez dans la liste déroulante. Celle-ci contient tous les verrouillages existants et utilisables. L’élément est toujours visible si aucun verrouillage n’est lié.

Plus de détails dans l’aide en ligne.

VT_BSTR

InterlockingName

InterlockingName

Description

VT_BOOL

VisibleWhenInterlocked

Visible si verrouillé

Contrôle la visibilité de l’élément lorsque le verrouillage est sélectionné :

  • Active : L’élément est visible s’il est verrouillé.
  • Inactive : L’élément est visible s’il n’est pas verrouillé.

Par défaut : inactive

Plus de détails dans l’aide en ligne.

ZT_VARIABLE_DYN

BlinkVariable

Affichage aperçu clignotement

Affichage des valeurs limite pour le clignotement définies pour la variable. Disponible uniquement si l’option Depuis la variable a été configurée pour la propriété Prendre le clignotement de la limite.

Un aperçu des propriétés définies pour la valeur limite est affiché dans le champ. Aucun aperçu n’est affiché pour les matrices de réaction.
Cliquez sur le bouton ... pour ouvrir la boîte de dialogue d’affichage des résultats. Les valeurs limite sont uniquement affichées ; elles ne peuvent pas être modifiées. Les modifications doivent être effectuées directement dans les propriétés de la variable pour Valeurs limite.

Plus de détails dans l’aide en ligne.

ZT_PREVIEW

BlinkVarPreview

Affichage aperçu clignotement

Affichage des valeurs limite pour le clignotement définies pour la variable. Disponible uniquement si l’option Depuis la variable a été configurée pour la propriété Prendre le clignotement de la limite.

Un aperçu des propriétés définies pour la valeur limite est affiché dans le champ. Aucun aperçu n’est affiché pour les matrices de réaction.
Cliquez sur le bouton ... pour ouvrir la boîte de dialogue d’affichage des résultats. Les valeurs limite sont uniquement affichées ; elles ne peuvent pas être modifiées. Les modifications doivent être effectuées directement dans les propriétés de la variable pour Valeurs limite.

Plus de détails dans l’aide en ligne.

VT_BOOL

UseBlinkColor

Couleur de clignotement par la limite

Active : Reprend la couleur d’arrière-plan du clignotement défini pour la valeur limite active de la variable pour Prendre le clignotement de la limite. Durant le clignotement, l’élément ne devient pas invisible, mais reprend la couleur d’arrière-plan active.

Par défaut : Inactive

Remarque : la couleur n’est pas prise en compte si la couleur d’arrière-plan Transparence est configurée.

Plus de détails dans l’aide en ligne.

ZT_VARIABLE_DYN

XVariable

Variable

Nom de la variable utilisée pour le déplacement horizontal de l’élément.
Ouvre la boîte de dialogue de sélection de variables.

Plus de détails dans l’aide en ligne.

VT_R8

XVarMin

Valeur min de la variable

Valeur minimale de la variable utilisée pour le déplacement horizontal de l’élément.

Plus de détails dans l’aide en ligne.

VT_R8

XVarMax

Valeur max de la variable

Valeur maximale de la variable utilisée pour le déplacement horizontal de l’élément.

Plus de détails dans l’aide en ligne.

VT_I4

XViewMin

Mouvement min [pixels]

Position horizontale de l’élément pour la valeur minimale de la variable (en pixels).

Plus de détails dans l’aide en ligne.

VT_I4

XViewMax

Mouvement max [pixels]

Position horizontale de l’élément pour la valeur minimale de la variable (en pixels).

Plus de détails dans l’aide en ligne.

ZT_VARIABLE_DYN

YVariable

Variable

Nom de la variable utilisée pour le déplacement vertical de l’élément.
Ouvre la boîte de dialogue de sélection de variables.

Plus de détails dans l’aide en ligne.

VT_R8

YVarMin

Valeur min de la variable

Valeur minimale de la variable utilisée pour le déplacement vertical de l’élément.

Plus de détails dans l’aide en ligne.

VT_R8

YVarMax

Valeur max de la variable

Valeur maximale de la variable utilisée pour le déplacement vertical de l’élément.

Plus de détails dans l’aide en ligne.

VT_I4

YViewMin

Mouvement min [pixels]

Position verticale de l’élément pour la valeur minimale de la variable (en pixels).

Plus de détails dans l’aide en ligne.

VT_I4

YViewMax

Mouvement max [pixels]

Position verticale de l’élément pour la valeur maximale de la variable (en pixels).

Plus de détails dans l’aide en ligne.

ZT_VARIABLE_DYN

XZoomVariable

Variable

Nom de la variable utilisée pour l’agrandissement de la largeur de l’élément.
Ouvre la boîte de dialogue de sélection de variables.

Plus de détails dans l’aide en ligne.

VT_R8

XZoomVarMin

Valeur min de la variable

Valeur minimale de la variable utilisée pour effectuer un zoom à la largeur de l’élément.

Plus de détails dans l’aide en ligne.

VT_R8

XZoomVarMax

Valeur max de la variable

Valeur maximale de la variable utilisée pour effectuer un zoom sur la largeur de l’élément.

Plus de détails dans l’aide en ligne.

VT_I4

XZoomViewMin

Largeur min [%]

Facteur de zoom correspondant à la largeur de l’élément pour la valeur minimale de la variable (en pixels).

Plus de détails dans l’aide en ligne.

VT_I4

XZoomViewMax

Largeur max [%]

Facteur de zoom correspondant à la largeur de l’élément pour la valeur maximale de la variable (en pixels).

Plus de détails dans l’aide en ligne.

ZT_VARIABLE_DYN

YZoomVariable

Variable

Nom de la variable utilisée pour l’agrandissement de la hauteur de l’élément.
Ouvre la boîte de dialogue de sélection de variables.

Plus de détails dans l’aide en ligne.

VT_R8

YZoomVarMin

Valeur min de la variable

Valeur minimum de la variable utilisée pour effectuer un zoom sur la hauteur de l’élément.

Plus de détails dans l’aide en ligne.

VT_R8

YZoomVarMax

Valeur max de la variable

Valeur maximum de la variable utilisée pour effectuer un zoom sur la hauteur de l’élément.

Plus de détails dans l’aide en ligne.

VT_I4

YZoomViewMin

Hauteur min [%]

Facteur de zoom correspondant à la hauteur de l’élément pour la valeur minimum de la variable (en %).

Plus de détails dans l’aide en ligne.

VT_I4

YZoomViewMax

Hauteur max [%]

Facteur de zoom correspondant à la hauteur de l’élément pour la valeur maximale de la variable (en pixels).

Plus de détails dans l’aide en ligne.

ZT_VARIABLE_DYN

TwistVariable

Variable

Nom de la variable utilisée pour la rotation de l’élément.

Plus de détails dans l’aide en ligne.

VT_R8

TwistVarMin

Valeur min de la variable

Valeur minimum de la variable utilisée pour la rotation de l’élément.

Plus de détails dans l’aide en ligne.

VT_R8

TwistVarMax

Valeur max de la variable

Valeur maximale de la variable utilisée pour la rotation de l’élément.

Plus de détails dans l’aide en ligne.

VT_I4

TwistViewMin

Rotation min [°]

Angle de rotation de l’élément pour la valeur minimum de la variable (en °).

Plus de détails dans l’aide en ligne.

VT_I4

TwistViewMax

Rotation max [°]

Angle de rotation de l’élément pour la valeur maximum de la variable (en °).

Plus de détails dans l’aide en ligne.

ZT_STYLE

ShadowEffectStyle

Style effet cadres/ombres

Affichage et sélection du style de cadre et d’ombre attribué à l’élément.

Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de style.
Si plusieurs éléments ont été sélectionnés, ils peuvent être attribués à un style commun.

Remarque : Seules les propriétés compatibles avec l’élément correspondant sont prises en charge.

Plus de détails dans l’aide en ligne.

VT_BOOL

EnablePunchFrame

Afficher le cadre

A frame around the element can be displayed.
Default: inactive.

ZT_STYLE

GlowEffectStyle

Style effet de rayonnement

Affichage et sélection du style des effets de luminescence attribués à l’élément.

Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de style.
Si plusieurs éléments ont été sélectionnés, ils peuvent être attribués à un style commun.

Remarque : Seules les propriétés compatibles avec l’élément correspondant sont prises en charge.

Plus de détails dans l’aide en ligne.

VT_BOOL

GlowEffectEvent

Actif seulement si cliqué

Disponible uniquement si la propriété Activer est active et l’élément est un bouton.

Active : l’effet de luminescence est uniquement affiché lorsque l’utilisateur clique sur le bouton. Cliquer sur le bouton permet de modifier la couleur, le clignotement ou l’invisibilité de l’effet de luminescence.

Par défaut : Inactive

Plus de détails dans l’aide en ligne.

ZT_VARIABLE_DYN

GlowEffectGlowColorVariable

Variable pour la couleur

Disponible uniquement si la propriété Activer est active. La propriété Coloration doit être activée.

Nom de la variable dont la couleur aux valeurs limites doit influencer la couleur de l’effet de luminescence pour l’élément. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de variables. Vous pouvez également saisir le nom manuellement dans le champ de texte. Si aucune variable n’est liée, la couleur définie dans la propriété Couleur est utilisée.

Par défaut : aucune variable liée

Plus de détails dans l’aide en ligne.

ZT_PREVIEW

GlowEffectGlowColorVariablePreview

Affichage aperçu couleur

Affichage de la valeur limite définie pour la variable de couleur lorsque l’effet de luminescence est actif. Disponible uniquement si l’option Depuis la variable a été configurée pour la propriété Variable pour la couleur.

Un aperçu des propriétés définies pour la valeur limite est affiché dans le champ. Aucun aperçu n’est affiché pour les matrices de réaction.
Cliquez sur le bouton ... pour ouvrir la boîte de dialogue d’affichage des résultats. Les valeurs limite sont uniquement affichées ; elles ne peuvent pas être modifiées. Les modifications doivent être effectuées directement dans les propriétés de la variable pour Valeurs limite.

Plus de détails dans l’aide en ligne.

ZT_VARIABLE_DYN

GlowEffectVisibilityVariable

Variable pour la visibilité

Disponible uniquement si la propriété Activer est active.

Nom de la variable dont la valeur influence la visibilité de l’effet de luminescence. La visibilité est soit reprise des propriétés de valeur limite de cette variable (propriété Visibilité depuis valeur limite active), soit définie par la plage de valeurs définie dans les propriétés Visible de et Visible jusqu'à. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de variables. Vous pouvez également saisir le nom manuellement dans le champ de texte.

Remarque : si aucune variable n’est liée, l’effet de luminescence est toujours visible.

Par défaut : aucune variable liée

Plus de détails dans l’aide en ligne.

ZT_PREVIEW

GlowEffectVisibilityVariablePreview

Affichage aperçu visibilité

Affichage de la valeur limite définie pour la variable de visibilité lorsque l’effet de luminescence est actif. Disponible uniquement si l’option Depuis la variable a été configurée pour la propriété Variable pour la visibilité.

Un aperçu des propriétés définies pour la valeur limite est affiché dans le champ. Aucun aperçu n’est affiché pour les matrices de réaction.
Cliquez sur le bouton ... pour ouvrir la boîte de dialogue d’affichage des résultats. Les valeurs limite sont uniquement affichées ; elles ne peuvent pas être modifiées. Les modifications doivent être effectuées directement dans les propriétés de la variable pour Valeurs limite.

Plus de détails dans l’aide en ligne.

VT_BOOL

GlowEffectVisibilityFromLimit

Visibilité depuis valeur limite

Disponible uniquement si la propriété Activer est active. Vous devez en outre définir une variable dans la propriété Variable pour la visibilité.

Active : La visibilité de l’effet de luminescence est influencée par la propriété de valeur limite de la variable.

Attention : Pour une valeur limite de la variable au moins, la propriété Invisible doit être active.

Inactive : la visibilité est influencée par les propriétés de l’élément.

Plus de détails dans l’aide en ligne.

VT_R8

GlowEffectVisibilityFrom

Visible de

Disponible uniquement si la propriété Activer est active. Vous devez en outre définir une variable dans la propriété Variable pour la visibilité ; la propriété Visibilité depuis valeur limite doit être inactive.

Définit la valeur à partir de laquelle l’effet de luminescence devient visible.
Minimum : valeur la moins élevée autorisée pour la variable liée dans Variable pour la visibilité.
Maximum : valeur la moins élevée autorisée pour la variable liée dans Variable pour la visibilité.
Par défaut : valeur la plus élevée autorisée pour la variable liée dans Variable pour la visibilité.

Plus de détails dans l’aide en ligne.

VT_R8

GlowEffectVisibilityTo

Visible jusqu'à

Disponible uniquement si la propriété Activer est active. Vous devez en outre définir une variable dans la propriété Variable pour la visibilité ; la propriété Visibilité depuis valeur limite doit être inactive.

Définit la valeur jusqu’à laquelle l’effet de luminescence reste visible.
Minimum : valeur la plus basse autorisée pour la variable liée dans Variable pour la visibilité.
Maximum : valeur la plus élevée autorisée pour la variable liée dans Variable pour la visibilité.
Par défaut : valeur la plus élevée autorisée pour la variable liée dans Variable pour la visibilité.

Plus de détails dans l’aide en ligne.

ZT_VARIABLE_DYN

GlowEffectBlinkVariable

Variable pour le clignotement

Variables dont les paramètres de clignotement de l’effet de luminescence aux valeurs limites doivent être repris. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de variables.

Par défaut : aucune variable liée

Plus de détails dans l’aide en ligne.

ZT_PREVIEW

GlowEffectBlinkVariablePreview

Affichage aperçu clignotement

Affichage de la valeur limite définie pour la variable de clignotement lorsque l’effet de luminescence est actif. Disponible uniquement si l’option Depuis la variable a été configurée pour la propriété Variable pour le clignotement.

Un aperçu des propriétés définies pour la valeur limite est affiché dans le champ. Aucun aperçu n’est affiché pour les matrices de réaction.
Cliquez sur le bouton ... pour ouvrir la boîte de dialogue d’affichage des résultats. Les valeurs limite sont uniquement affichées ; elles ne peuvent pas être modifiées. Les modifications doivent être effectuées directement dans les propriétés de la variable pour Valeurs limite.

Plus de détails dans l’aide en ligne.

VT_BOOL

GlowEffectUseBlinkColor

Clignotement depuis valeur limite

Disponible uniquement si la propriété Activer est active. Vous devez en outre définir une variable dans la propriété Variable pour le clignotement.

Active : Reprend, pour l’effet de luminescence, la couleur de clignotement de la valeur limite active pour la variable définie dans la propriété Couleur de clignotement par la limite. Cette propriété agit indépendamment de la propriété Coloration. En cas de clignotement, l’effet de luminescence ne devient pas invisible, mais reprend les paramètres de l’effet de luminescence actif.

Par défaut : Inactive

Plus de détails dans l’aide en ligne.

VT_BOOL

GlowEffect2ndBlinkStateVisible

2 états de clignotement invisibles

Disponible uniquement si la propriété Activer est active. Vous devez en outre définir une variable dans la propriété Variable pour le clignotement ; la propriété Clignotement depuis valeur limite doit être inactive.

Active : En cas de clignotement, l’effet de luminescence ne bascule pas vers l’effet de luminescence actif, mais devient invisible. Ceci permet de basculer entre l’invisibilité et la couleur de clignotement en cas de dépassement de la valeur limite.

Par défaut : Inactive

Plus de détails dans l’aide en ligne.


EMF WMF

Manuel -> Interfaces de programmation -> Modèles d'objet -> Element -> Element-Dynamic properties -> EMF WMF

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Type

VBA/VSTA Name

Display Name

Description

ZT_COLOR

LineColor

Couleur de ligne

Line color of the element.

ZT_STYLE

LineStyle

Style de ligne

Affichage et sélection du style de ligne attribué à l’élément.

Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de style.
Si plusieurs éléments ont été sélectionnés, ils peuvent être attribués à un style commun.

Remarque : Seules les propriétés compatibles avec l’élément correspondant sont prises en charge.

Plus de détails dans l’aide en ligne.

ZT_STYLE

FillStyle

Style de remplissage

Affichage et sélection du style de remplissage attribué à l’élément.

Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de style.
Si plusieurs éléments ont été sélectionnés, ils peuvent être attribués à un style commun.

Remarque : Seules les propriétés compatibles avec l’élément correspondant sont prises en charge.

Plus de détails dans l’aide en ligne.

ZT_VARIABLE_DYN

BackColorVariable2

Affichage aperçu couleur

Affichage de la valeur limite pour la propriété Couleur du dégradé définie pour la variable. Disponible uniquement si l’option Depuis la variable a été configurée pour la propriété Couleur du dégradé.

Un aperçu des propriétés définies pour la valeur limite est affiché dans le champ. Aucun aperçu n’est affiché pour les matrices de réaction.
Cliquez sur le bouton ... pour ouvrir la boîte de dialogue d’affichage des résultats. Les valeurs limite sont uniquement affichées ; elles ne peuvent pas être modifiées. Les modifications doivent être effectuées directement dans les propriétés de la variable pour Valeurs limite.

Plus de détails dans l’aide en ligne.

ZT_PREVIEW

BackColorVariable2Preview

Affichage aperçu couleur

Affichage de la valeur limite pour la propriété Couleur du dégradé définie pour la variable. Disponible uniquement si l’option Depuis la variable a été configurée pour la propriété Couleur du dégradé.

Un aperçu des propriétés définies pour la valeur limite est affiché dans le champ. Aucun aperçu n’est affiché pour les matrices de réaction.
Cliquez sur le bouton ... pour ouvrir la boîte de dialogue d’affichage des résultats. Les valeurs limite sont uniquement affichées ; elles ne peuvent pas être modifiées. Les modifications doivent être effectuées directement dans les propriétés de la variable pour Valeurs limite.

Plus de détails dans l’aide en ligne.

VT_I2

Align

Alignement

Direction of color shift.
horizontal
vertical

VT_I2

Shifted

Gradient de couleur 'décalé'

Wie weit soll der Lichteffekt von der Mitte des Elements versetzt sein.

Mehr im Online-Handbuch

VT_BOOL

Brightness

Par les valeurs de luminosité

Disponible uniquement si l’élément Remplissage (type) a été sélectionné pour la propriété Dégradé de couleurs.

Active : la luminosité du dégradé de couleurs peut être librement définie.
Inactive : la luminosité du dégradé de couleurs est définie automatiquement.

Remarque : le motif de remplissage ne peut plus être modifié si cette propriété est active. Il est également impossible de définir des coins arrondis. Si cette option est activée pour un élément utilisant des coins arrondis, l’élément est affiché avec des coins non arrondis.

Plus de détails dans l’aide en ligne.

VT_UI1

OuterBrightness

Luminosité à l'extérieur

Disponible uniquement si la propriété Par les valeurs de luminosité est active :
Luminosité au niveau du bord extérieur de l’élément.

Plus de détails dans l’aide en ligne.

VT_UI1

InnerBrightness

Luminosité à l'intérieur

Disponible uniquement si la propriété Par les valeurs de luminosité est active :
Luminosité au centre de l’élément.

Plus de détails dans l’aide en ligne.

VT_BOOL

ALCUseColor

Couleur définie par CAL

Disponible uniquement si vous possédez une licence pour la fonctionnalité Coloration Automatique des Lignes (CAL) :
Active : La couleur automatique de la source liée est utilisée.
Inactive : La couleur standard est utilisée.
Par défaut : inactive.

Plus de détails dans l’aide en ligne.

VT_I2

ALCPrecedence

Priorité pour l'affichage

Disponible uniquement si la propriété Couleur définie par CAL est active.

Définit la priorité de l’affichage lorsque l’élément est connecté à plusieurs sources actives.
Plusieurs sources d’alimentation : L’élément est affiché selon les règles de l’alimentation sécurisée.
Source d’alimentation sécurisée : L’élément est affiché selon les règles de l’alimentation sécurisée.
Aucune priorité : Les règles de coloration des paramètres Alimentation multiple et Alimentation sécurisée sont appliquées simultanément, si les deux critères sont satisfaits.

Par défaut : Alimentation multiple
Plus de détails dans l’aide en ligne.

VT_I2

ALCMultiSource

Affichage alimentation multiple

Disponible uniquement si la propriété Couleur définie par CAL est active.
Définit le type d’affichage lorsque l’élément est connecté à plusieurs sources :
Source la plus prioritaire : Seule la couleur de la source la plus prioritaire est utilisée.
Deux sources les plus prioritaires : Les différentes couleurs des deux sources comportant les priorités les plus élevées sont affichées sous forme de trait tireté.
Couleur de remplacement : Couleur de remplacement pour la fonction CAL avec des alimentations multiples.

Par défaut : La source la plus prioritaire

Plus de détails dans l’aide en ligne.

VT_I2

ALCDashLen

Longueur de pointillé fournie plusieurs fois

Disponible uniquement si la propriété Affichage alimentation multiple possède la valeur Deux sources antérieures les plus élevées.

Définit la longueur en pixels du trait tireté associé à la fonction CAL avec une alimentation multiple.

Minimum : 0 (longueur des tirets automatique)

Maximum : 32767

Par défaut : 0

Plus de détails dans l’aide en ligne.

ZT_COLOR

ALCAlternativeColor

Couleur alternative

Disponible uniquement si la propriété Affichage alimentation multiple possède la valeur Couleur de remplacement.

Couleur de remplacement pour la fonction CAL avec des alimentations multiples.

Plus de détails dans l’aide en ligne.

VT_I2

ALCMSecuredSupply

Affichage alimentation sécurisée

Disponible uniquement si Couleur définie par CAL est activée.

Définition de l’affichage de l’alimentation sécurisée :

  • double épaisseur
  • double luminosité
  • normal

Par défaut : normal

Plus de détails dans l’aide en ligne.

VT_BOOL

ALCAlias

Alias

Disponible uniquement si la propriété Couleur définie par CAL est active.

Élément source défini pour la propriété Utiliser alias. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue et sélectionner un élément existant.
Remarque : Les alias ne peuvent pas être utilisés pour des symboles dans la bibliothèque générale de symboles ou la bibliothèque de symboles du projet.

Plus de détails dans l’aide en ligne.

VT_BSTR

ALCAliasName

Alias

Disponible uniquement si la propriété Couleur définie par CAL est active.

Élément source défini pour la propriété Utiliser alias. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue et sélectionner un élément existant.
Remarque : Les alias ne peuvent pas être utilisés pour des symboles dans la bibliothèque générale de symboles ou la bibliothèque de symboles du projet.

Plus de détails dans l’aide en ligne.

VT_R8

ALCReact

Valeur de réactance du câble [Ohm]

Valeur maximale de réactance autorisée de la ligne, en ohms.

Plus de détails dans l’aide en ligne.

VT_R8

ALCResist

Valeur de la résistance de la ligne électrique [Ohm]

Valeur maximale de résistance autorisée de la ligne, en ohms.

Plus de détails dans l’aide en ligne.

VT_R8

ALCLength

Longueur de la ligne [km]

Ligne CAL : longueur de la ligne.

Plus de détails dans l’aide en ligne.

VT_I2

ALCMaxIType

Limite de la capacité de transport de courant

Commutation CAL : valeur limite de la capacité actuelle (sélection fixe/variable).

Plus de détails dans l’aide en ligne.

VT_R8

ALCMaxIVal

Limite fixe de la capacité de transport de courant [A]

Commutation CAL : Capacité de transport de courant définie par une valeur limite.

Plus de détails dans l’aide en ligne.

ZT_VARIABLE_DYN

ALCVarMaxI

Valeur limite dynamique pour la capacité de transport de courant

More...

ALCVarMaxIEx

ALCVarMaxIEx

ZT_VARIABLE_DYN

ALCVarCalcI

Valeur de la mesure du flux de courant calculé

Ligne CAL : Valeur de la mesure du flux de courant calculé.

Plus de détails dans l’aide en ligne.

More...

ALCVarCalcIEx

ALCVarCalcIEx

ALC Leitung: Messwert des berechneten Stromflusses für Export.

Mehr in der Online-Hilfe.

ZT_STYLE

StyleGroup

Groupe de styles

Affichage et sélection du groupe de styles attribué à l’élément.
Cliquez sur le bouton ... pour ouvrir la boîte de dialogue permettant de sélectionner un groupe de styles.
Si plusieurs éléments sont sélectionnés, elles peuvent être attribuées à un groupe de styles commun.

Remarque : Seules les propriétés compatibles avec l’élément correspondant sont prises en charge.

Plus de détails dans l’aide en ligne.

More...

LnClVariable

LnClVariable

"With this property you have the opportunity to get informations about the variable which is linked as ""line/text color"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""LnClVariable.SymVarName"") 'Return the name of the ""line/text color"" variable
zElement.DynProperties (""LnClVariable.SymVarTagNr"") 'Return the identification of the ""line/text color"" variable"

More...

BkClVariable

BkClVariable

"With this property you have the opportunity to get informations about the variable which is linked as ""background/filling color"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""BkClVariable.SymVarName"") 'Return the name of the ""background/filling color"" variable
zElement.DynProperties (""BkClVariable.SymVarTagNr"") 'Return the identification of the ""background/filling color"" variable"

More...

BkCl2Variable

"BkCl2Variable"

More...

XVar

XVar

"With this property you have the opportunity to get informations about the variable which is linked as ""dynamic x position"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""XVar.SymVarName"") 'Return the name of the ""dynamic x position"" variable
zElement.DynProperties (""XVar.SymVarTagNr"") 'Return the identification of the ""dynamic x position"" variable"

More...

YVar

YVar

"With this property you have the opportunity to get informations about the variable which is linked as ""dynamic y position"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""YVar.SymVarName"") 'Return the name of the ""dynamic y position"" variable
zElement.DynProperties (""YVar.SymVarTagNr"") 'Return the identification of the ""dynamic y position"" variable"

More...

XVarZoom

XVarZoom

"With this property you have the opportunity to get informations about the variable which is linked as ""change width"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""XVarZoom.SymVarName"") 'Return the name of the ""change width"" variable
zElement.DynProperties (""XVarZoom.SymVarTagNr"") 'Return the identification of the ""change width"" variable"

More...

YVarZoom

YVarZoom

"With this property you have the opportunity to get informations about the variable which is linked as ""change height"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""YVarZoom.SymVarName"") 'Return the name of the ""change height"" variable
zElement.DynProperties (""YVarZoom.SymVarName"") 'Return the name of the ""change height"" variable
zElement.DynProperties (""YVarZoom.SymVarTagNr"") 'Return the identification of the ""change height"" variable"

More...

TwistVar

TwistVar

"With this property you have the opportunity to get informations about the variable which is linked as ""rotate"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""TwistVar.SymVarName"") 'Return the name of the ""rotate"" variable
zElement.DynProperties (""TwistVar.SymVarTagNr"") 'Return the identification of the ""rotate"" variable"

More...

VisVariable

VisVariable

"With this property you have the opportunity to get informations about the variable which is linked as ""visibility"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""VisVariable.SymVarName"") 'Return the name of the ""visibility"" variable
zElement.DynProperties (""VisVariable.SymVarTagNr"") 'Return the identification of the ""visibility"" variable"

More...

BlinkVar

BlinkVar

More...

GlowEffectGlowColorVar

GlowEffectGlowColorVar

More...

GlowEffectVisibilityVar

GlowEffectVisibilityVar

More...

GlowEffectBlinkVar

GlowEffectBlinkVar

VT_BSTR

Name

Nom d'élément

Attribuez un nom d’élément.
Il ne doit pas être vide.

Attention : Cette propriété n’est pas disponible aux fins de la commutation de langue.

Remarques concernant les cadrans : Pour les conteneurs de synoptique, spécifiez des noms clairement identifiables pour faciliter la sélection lors de la configuration des appels de synoptique.

Plus de détails dans l’aide en ligne.

VT_UI1

Layer

Niveau de visibilité

Sélectionnez l’un des 16 niveaux de visibilité (0 à 15) dans la liste déroulante. À l’aide de la barre d’outils Niveau de visibilité, vous décidez des niveaux qui doivent être affichés dans Editor. Cette fonction garantit que les synoptiques les plus complexes peuvent être développés de manière simple. Les niveaux peuvent être utilisés immédiatement. Les niveaux n’ont aucune influence sur les informations affichées au premier plan ou en arrière-plan dans le Runtime.
Par défaut : 0.

Plus de détails dans l’aide en ligne.

VT_I4

StartX

Point de départ X [pixels]

Coordonnée Y du coin supérieur gauche du synoptique (en pixels).

Plus de détails dans l’aide en ligne.

VT_I4

EndX

Point final X [pixels]

Coordonnée X du coin inférieur droit du synoptique (en pixels).

Plus de détails dans l’aide en ligne.

VT_I4

StartY

Point de départ Y [pixels]

Coordonnée Y du coin supérieur gauche du synoptique (en pixels).

Plus de détails dans l’aide en ligne.

VT_I4

EndY

Point final Y [pixels]

Coordonnée Y du coin inférieur droit du synoptique (en pixels).

Plus de détails dans l’aide en ligne.

VT_I4

Width

Largeur [pixels]

Largeur des éléments en pixels.

Remarque : disponible uniquement pour les éléments Combinaison multiple, Élément combiné, Bouton et Interrupteur si la valeur Ajusté a été sélectionnée pour la propriété Taille du graphique.

Plus de détails dans l’aide en ligne.

VT_I4

Height

Hauteur [pixels]

Hauteur des éléments en pixels.

Remarque : disponible uniquement pour les éléments Combinaison multiple, Élément combiné, Bouton et Interrupteur si la valeur Ajusté a été sélectionnée pour la propriété Taille du graphique.

Plus de détails dans l’aide en ligne.

VT_I4

Angle

Angle de rotation [°]

Angle libre autour selon lequel doit pivoter l’élément.
Les valeurs positives correspondent à une rotation dans le sens antihoraire, tandis que les valeurs négatives correspondent à une rotation dans le sens horaire. Les valeurs supérieures à 360° sont affichées sous forme d’écart par rapport à 360° (400° correspond à 40°). Seuls les nombres entiers sont autorisés.

Sur les éléments pivotés, les actions suivantes ne sont plus possibles :

  • Miroir
  • Rotation de +/- 90°
  • Redimensionnement à l’aide des touches fléchées

Par défaut : 0

Remarque : Ce paramètre est activé et réinitialisé lors de la configuration pour Windows CE.

Plus de détails dans l’aide en ligne.

VT_I2

ZoomMin

Visible de

Incrément de zoom le plus bas auquel l’élément est visible dans la vue globale.
Par défaut : -1
Une valeur de visibilité avec des incréments de zoom de -1 à -1 signifie que l’élément est affiché, quel que soit l’incrément de zoom sélectionné.

Les niveaux de zoom affichés dans la vue globale peuvent être configurés avec la propriété Apparence graphique -> Généralités runtime -> Pas de zoom pour vue globale.

Attention : Ce niveau de zoom s’applique à tous les types de synoptiques et cadres. Si un niveau de zoom défini est supérieur à 0, l’élément est uniquement affiché dans la vue globale, car les autres types de synoptique sont automatiquement appelés avec le niveau de zoom 0.

Plus de détails dans l’aide en ligne.

VT_I2

ZoomMax

Visible jusqu'à

Incrément de zoom le plus élevé auquel l’élément est visible dans la vue globale.

Par défaut : -1
Une valeur de visibilité avec des incréments de zoom de -1 à -1 signifie que l’élément est affiché, quel que soit l’incrément de zoom sélectionné.

Les niveaux de zoom affichés dans la vue globale peuvent être configurés avec la propriété Apparence graphique -> Généralités runtime -> Pas de zoom pour vue globale.

Attention : Ce niveau de zoom s’applique à tous les types de synoptiques et cadres. Si un niveau de zoom défini est supérieur à 0, l’élément est uniquement affiché dans la vue globale, car les autres types de synoptique sont automatiquement appelés avec le niveau de zoom 0.

Plus de détails dans l’aide en ligne.

VT_BSTR

Stationname

Nom liste d'objets

L’élément est saisi directement dans la liste de stations du synoptique Vue globale, et le texte est saisi ici.

Plus de détails dans l’aide en ligne.

ZT_VARIABLE_DYN

LineColorVariable

Couleur de ligne

Nom des variables dont les couleurs de valeur limite doivent influencer la couleur de ligne/de texte de l’élément. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de variables.

Plus de détails dans l’aide en ligne.

ZT_PREVIEW

LineColorVarPreview

Affichage aperçu couleur

Affichage de la valeur limite pour la propriété Couleur de ligne définie pour la variable. Disponible uniquement si l’option Depuis la variable a été configurée pour la propriété Couleur de ligne.

Un aperçu des propriétés définies pour la valeur limite est affiché dans le champ. Aucun aperçu n’est affiché pour les matrices de réaction.
Cliquez sur le bouton ... pour ouvrir la boîte de dialogue d’affichage des résultats. Les valeurs limite sont uniquement affichées ; elles ne peuvent pas être modifiées. Les modifications doivent être effectuées directement dans les propriétés de la variable pour Valeurs limite.

Plus de détails dans l’aide en ligne.

ZT_VARIABLE_DYN

BackColorVariable

Couleur de remplissage

Nom de la variable dont les couleurs de valeur limite doivent influencer la couleur d’arrière-plan/de remplissage de l’élément.
Ouvre la boîte de dialogue de sélection de variables.

Plus de détails dans l’aide en ligne.

ZT_PREVIEW

BackColorVarPreview

Affichage aperçu couleur

Affichage de la valeur limite pour la propriété Couleur de remplissage définie pour la variable. Disponible uniquement si l’option Depuis la variable a été configurée pour la propriété Couleur de remplissage.

Un aperçu des propriétés définies pour la valeur limite est affiché dans le champ. Aucun aperçu n’est affiché pour les matrices de réaction.
Cliquez sur le bouton ... pour ouvrir la boîte de dialogue d’affichage des résultats. Les valeurs limite sont uniquement affichées ; elles ne peuvent pas être modifiées. Les modifications doivent être effectuées directement dans les propriétés de la variable pour Valeurs limite.

Plus de détails dans l’aide en ligne.

VT_UI1

HorizontalOrigin

Horizontal

Point de référence horizontal de l’événement. Les valeurs possibles sont : gauche, centré, droite.
Ce point est utilisé en tant que base de calcul de l’angle de départ de la rotation (statique et dynamique) et pour le changement dynamique de taille.

Par défaut : À gauche

Plus de détails dans l’aide en ligne.

VT_UI1

VerticalOrigin

Vertical

Point de référence vertical de l’événement. Les valeurs possibles sont : haut, centré, bas.
Ce point est utilisé en tant que base de calcul de l’angle de départ de la rotation (statique et dynamique) et pour le changement dynamique de taille.

Par défaut : En haut

Plus de détails dans l’aide en ligne.

VT_UI4

VisibilityType

Visibilité

Sélection depuis laquelle la visibilité d’un élément est déterminée :

  • Depuis une variable
  • Du verrrouillage

Par défaut : Depuis une variable

Plus de détails dans l’aide en ligne.

ZT_VARIABLE_DYN

VisibilityVariable

Variable

Disponible uniquement si l’option Depuis la variable a été configurée pour la propriété Visibilité.

Nom de la variable dont la valeur contrôle la visibilité de l’élément. La visibilité est soit reprise des propriétés de valeur limite de ces variables, soit définie par la plage de valeurs définie dans les propriétés de et À.
Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de variables. Vous pouvez également saisir manuellement le nom dans le champ de texte.
L'élément reste visible tant qu’aucune variable n’est liée.

Plus de détails dans l’aide en ligne.

ZT_PREVIEW

VisVarPreview

Affichage aperçu visibilité

Affichage des valeurs limite pour la visibilité définies pour la variable. Disponible uniquement si l’option Depuis la variable a été configurée pour la propriété Variable dans le groupe Visibilité.

Un aperçu des propriétés définies pour la valeur limite est affiché dans le champ. Aucun aperçu n’est affiché pour les matrices de réaction.
Cliquez sur le bouton ... pour ouvrir la boîte de dialogue d’affichage des résultats. Les valeurs limite sont uniquement affichées ; elles ne peuvent pas être modifiées. Les modifications doivent être effectuées directement dans les propriétés de la variable pour Valeurs limite.

Plus de détails dans l’aide en ligne.

VT_BOOL

VisibilityFromLimit

A partir des valeurs limites

Uniquement disponible après la sélection d’une variable :

  • Active : La visibilité de l’élément est influencée par la propriété de valeur limite de la variable.

    Attention : La propriété Invisible doit être active pour au moins une valeur limite de la variable.

  • Inactive : la visibilité est influencée par les propriétés de l’élément.

Par défaut : active

Plus de détails dans l’aide en ligne.

VT_R8

VisibilityFrom

de

Disponible uniquement après la sélection d’une variable, si la visibilité n’a pas été reprise par la valeur limite :

Valeur minimum de la variable à laquelle l’élément est visible.

  • Minimum : valeur minimum possible de la variable liée.
  • Maximum : valeur maximum possible de la variable liée.

Par défaut : valeur minimum possible de la variable liée.

Plus de détails dans l’aide en ligne.

VT_R8

VisibilityTo

À

Disponible uniquement après la sélection d’une variable, si la visibilité n’a pas été reprise par la valeur limite :

Valeur maximale de la variable à laquelle l’élément est visible.

  • Minimum : valeur minimum possible de la variable liée.
  • Maximum : valeur maximum possible de la variable liée.

Par défaut : valeur maximum possible de la variable liée.

Plus de détails dans l’aide en ligne.

VT_UI4

Interlocking

Verrouillage

Disponible uniquement si l’option Depuis le verrouillage est sélectionnée pour la propriété Visibilité.

Nom du verrouillage dont la valeur contrôle la visibilité de l’élément. Sélectionnez dans la liste déroulante. Celle-ci contient tous les verrouillages existants et utilisables. L’élément est toujours visible si aucun verrouillage n’est lié.

Plus de détails dans l’aide en ligne.

VT_BSTR

InterlockingName

InterlockingName

Description

VT_BOOL

VisibleWhenInterlocked

Visible si verrouillé

Contrôle la visibilité de l’élément lorsque le verrouillage est sélectionné :

  • Active : L’élément est visible s’il est verrouillé.
  • Inactive : L’élément est visible s’il n’est pas verrouillé.

Par défaut : inactive

Plus de détails dans l’aide en ligne.

ZT_VARIABLE_DYN

BlinkVariable

Affichage aperçu clignotement

Affichage des valeurs limite pour le clignotement définies pour la variable. Disponible uniquement si l’option Depuis la variable a été configurée pour la propriété Prendre le clignotement de la limite.

Un aperçu des propriétés définies pour la valeur limite est affiché dans le champ. Aucun aperçu n’est affiché pour les matrices de réaction.
Cliquez sur le bouton ... pour ouvrir la boîte de dialogue d’affichage des résultats. Les valeurs limite sont uniquement affichées ; elles ne peuvent pas être modifiées. Les modifications doivent être effectuées directement dans les propriétés de la variable pour Valeurs limite.

Plus de détails dans l’aide en ligne.

ZT_PREVIEW

BlinkVarPreview

Affichage aperçu clignotement

Affichage des valeurs limite pour le clignotement définies pour la variable. Disponible uniquement si l’option Depuis la variable a été configurée pour la propriété Prendre le clignotement de la limite.

Un aperçu des propriétés définies pour la valeur limite est affiché dans le champ. Aucun aperçu n’est affiché pour les matrices de réaction.
Cliquez sur le bouton ... pour ouvrir la boîte de dialogue d’affichage des résultats. Les valeurs limite sont uniquement affichées ; elles ne peuvent pas être modifiées. Les modifications doivent être effectuées directement dans les propriétés de la variable pour Valeurs limite.

Plus de détails dans l’aide en ligne.

VT_BOOL

UseBlinkColor

Couleur de clignotement par la limite

Active : Reprend la couleur d’arrière-plan du clignotement défini pour la valeur limite active de la variable pour Prendre le clignotement de la limite. Durant le clignotement, l’élément ne devient pas invisible, mais reprend la couleur d’arrière-plan active.

Par défaut : Inactive

Remarque : la couleur n’est pas prise en compte si la couleur d’arrière-plan Transparence est configurée.

Plus de détails dans l’aide en ligne.

ZT_VARIABLE_DYN

XVariable

Variable

Nom de la variable utilisée pour le déplacement horizontal de l’élément.
Ouvre la boîte de dialogue de sélection de variables.

Plus de détails dans l’aide en ligne.

VT_R8

XVarMin

Valeur min de la variable

Valeur minimale de la variable utilisée pour le déplacement horizontal de l’élément.

Plus de détails dans l’aide en ligne.

VT_R8

XVarMax

Valeur max de la variable

Valeur maximale de la variable utilisée pour le déplacement horizontal de l’élément.

Plus de détails dans l’aide en ligne.

VT_I4

XViewMin

Mouvement min [pixels]

Position horizontale de l’élément pour la valeur minimale de la variable (en pixels).

Plus de détails dans l’aide en ligne.

VT_I4

XViewMax

Mouvement max [pixels]

Position horizontale de l’élément pour la valeur minimale de la variable (en pixels).

Plus de détails dans l’aide en ligne.

ZT_VARIABLE_DYN

YVariable

Variable

Nom de la variable utilisée pour le déplacement vertical de l’élément.
Ouvre la boîte de dialogue de sélection de variables.

Plus de détails dans l’aide en ligne.

VT_R8

YVarMin

Valeur min de la variable

Valeur minimale de la variable utilisée pour le déplacement vertical de l’élément.

Plus de détails dans l’aide en ligne.

VT_R8

YVarMax

Valeur max de la variable

Valeur maximale de la variable utilisée pour le déplacement vertical de l’élément.

Plus de détails dans l’aide en ligne.

VT_I4

YViewMin

Mouvement min [pixels]

Position verticale de l’élément pour la valeur minimale de la variable (en pixels).

Plus de détails dans l’aide en ligne.

VT_I4

YViewMax

Mouvement max [pixels]

Position verticale de l’élément pour la valeur maximale de la variable (en pixels).

Plus de détails dans l’aide en ligne.

ZT_VARIABLE_DYN

XZoomVariable

Variable

Nom de la variable utilisée pour l’agrandissement de la largeur de l’élément.
Ouvre la boîte de dialogue de sélection de variables.

Plus de détails dans l’aide en ligne.

VT_R8

XZoomVarMin

Valeur min de la variable

Valeur minimale de la variable utilisée pour effectuer un zoom à la largeur de l’élément.

Plus de détails dans l’aide en ligne.

VT_R8

XZoomVarMax

Valeur max de la variable

Valeur maximale de la variable utilisée pour effectuer un zoom sur la largeur de l’élément.

Plus de détails dans l’aide en ligne.

VT_I4

XZoomViewMin

Largeur min [%]

Facteur de zoom correspondant à la largeur de l’élément pour la valeur minimale de la variable (en pixels).

Plus de détails dans l’aide en ligne.

VT_I4

XZoomViewMax

Largeur max [%]

Facteur de zoom correspondant à la largeur de l’élément pour la valeur maximale de la variable (en pixels).

Plus de détails dans l’aide en ligne.

ZT_VARIABLE_DYN

YZoomVariable

Variable

Nom de la variable utilisée pour l’agrandissement de la hauteur de l’élément.
Ouvre la boîte de dialogue de sélection de variables.

Plus de détails dans l’aide en ligne.

VT_R8

YZoomVarMin

Valeur min de la variable

Valeur minimum de la variable utilisée pour effectuer un zoom sur la hauteur de l’élément.

Plus de détails dans l’aide en ligne.

VT_R8

YZoomVarMax

Valeur max de la variable

Valeur maximum de la variable utilisée pour effectuer un zoom sur la hauteur de l’élément.

Plus de détails dans l’aide en ligne.

VT_I4

YZoomViewMin

Hauteur min [%]

Facteur de zoom correspondant à la hauteur de l’élément pour la valeur minimum de la variable (en %).

Plus de détails dans l’aide en ligne.

VT_I4

YZoomViewMax

Hauteur max [%]

Facteur de zoom correspondant à la hauteur de l’élément pour la valeur maximale de la variable (en pixels).

Plus de détails dans l’aide en ligne.

ZT_VARIABLE_DYN

TwistVariable

Variable

Nom de la variable utilisée pour la rotation de l’élément.

Plus de détails dans l’aide en ligne.

VT_R8

TwistVarMin

Valeur min de la variable

Valeur minimum de la variable utilisée pour la rotation de l’élément.

Plus de détails dans l’aide en ligne.

VT_R8

TwistVarMax

Valeur max de la variable

Valeur maximale de la variable utilisée pour la rotation de l’élément.

Plus de détails dans l’aide en ligne.

VT_I4

TwistViewMin

Rotation min [°]

Angle de rotation de l’élément pour la valeur minimum de la variable (en °).

Plus de détails dans l’aide en ligne.

VT_I4

TwistViewMax

Rotation max [°]

Angle de rotation de l’élément pour la valeur maximum de la variable (en °).

Plus de détails dans l’aide en ligne.

ZT_STYLE

ShadowEffectStyle

Style effet cadres/ombres

Affichage et sélection du style de cadre et d’ombre attribué à l’élément.

Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de style.
Si plusieurs éléments ont été sélectionnés, ils peuvent être attribués à un style commun.

Remarque : Seules les propriétés compatibles avec l’élément correspondant sont prises en charge.

Plus de détails dans l’aide en ligne.

VT_BOOL

EnablePunchFrame

Afficher le cadre

A frame around the element can be displayed.
Default: inactive.

ZT_STYLE

GlowEffectStyle

Style effet de rayonnement

Affichage et sélection du style des effets de luminescence attribués à l’élément.

Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de style.
Si plusieurs éléments ont été sélectionnés, ils peuvent être attribués à un style commun.

Remarque : Seules les propriétés compatibles avec l’élément correspondant sont prises en charge.

Plus de détails dans l’aide en ligne.

VT_BOOL

GlowEffectEvent

Actif seulement si cliqué

Disponible uniquement si la propriété Activer est active et l’élément est un bouton.

Active : l’effet de luminescence est uniquement affiché lorsque l’utilisateur clique sur le bouton. Cliquer sur le bouton permet de modifier la couleur, le clignotement ou l’invisibilité de l’effet de luminescence.

Par défaut : Inactive

Plus de détails dans l’aide en ligne.

ZT_VARIABLE_DYN

GlowEffectGlowColorVariable

Variable pour la couleur

Disponible uniquement si la propriété Activer est active. La propriété Coloration doit être activée.

Nom de la variable dont la couleur aux valeurs limites doit influencer la couleur de l’effet de luminescence pour l’élément. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de variables. Vous pouvez également saisir le nom manuellement dans le champ de texte. Si aucune variable n’est liée, la couleur définie dans la propriété Couleur est utilisée.

Par défaut : aucune variable liée

Plus de détails dans l’aide en ligne.

ZT_PREVIEW

GlowEffectGlowColorVariablePreview

Affichage aperçu couleur

Affichage de la valeur limite définie pour la variable de couleur lorsque l’effet de luminescence est actif. Disponible uniquement si l’option Depuis la variable a été configurée pour la propriété Variable pour la couleur.

Un aperçu des propriétés définies pour la valeur limite est affiché dans le champ. Aucun aperçu n’est affiché pour les matrices de réaction.
Cliquez sur le bouton ... pour ouvrir la boîte de dialogue d’affichage des résultats. Les valeurs limite sont uniquement affichées ; elles ne peuvent pas être modifiées. Les modifications doivent être effectuées directement dans les propriétés de la variable pour Valeurs limite.

Plus de détails dans l’aide en ligne.

ZT_VARIABLE_DYN

GlowEffectVisibilityVariable

Variable pour la visibilité

Disponible uniquement si la propriété Activer est active.

Nom de la variable dont la valeur influence la visibilité de l’effet de luminescence. La visibilité est soit reprise des propriétés de valeur limite de cette variable (propriété Visibilité depuis valeur limite active), soit définie par la plage de valeurs définie dans les propriétés Visible de et Visible jusqu'à. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de variables. Vous pouvez également saisir le nom manuellement dans le champ de texte.

Remarque : si aucune variable n’est liée, l’effet de luminescence est toujours visible.

Par défaut : aucune variable liée

Plus de détails dans l’aide en ligne.

ZT_PREVIEW

GlowEffectVisibilityVariablePreview

Affichage aperçu visibilité

Affichage de la valeur limite définie pour la variable de visibilité lorsque l’effet de luminescence est actif. Disponible uniquement si l’option Depuis la variable a été configurée pour la propriété Variable pour la visibilité.

Un aperçu des propriétés définies pour la valeur limite est affiché dans le champ. Aucun aperçu n’est affiché pour les matrices de réaction.
Cliquez sur le bouton ... pour ouvrir la boîte de dialogue d’affichage des résultats. Les valeurs limite sont uniquement affichées ; elles ne peuvent pas être modifiées. Les modifications doivent être effectuées directement dans les propriétés de la variable pour Valeurs limite.

Plus de détails dans l’aide en ligne.

VT_BOOL

GlowEffectVisibilityFromLimit

Visibilité depuis valeur limite

Disponible uniquement si la propriété Activer est active. Vous devez en outre définir une variable dans la propriété Variable pour la visibilité.

Active : La visibilité de l’effet de luminescence est influencée par la propriété de valeur limite de la variable.

Attention : Pour une valeur limite de la variable au moins, la propriété Invisible doit être active.

Inactive : la visibilité est influencée par les propriétés de l’élément.

Plus de détails dans l’aide en ligne.

VT_R8

GlowEffectVisibilityFrom

Visible de

Disponible uniquement si la propriété Activer est active. Vous devez en outre définir une variable dans la propriété Variable pour la visibilité ; la propriété Visibilité depuis valeur limite doit être inactive.

Définit la valeur à partir de laquelle l’effet de luminescence devient visible.
Minimum : valeur la moins élevée autorisée pour la variable liée dans Variable pour la visibilité.
Maximum : valeur la moins élevée autorisée pour la variable liée dans Variable pour la visibilité.
Par défaut : valeur la plus élevée autorisée pour la variable liée dans Variable pour la visibilité.

Plus de détails dans l’aide en ligne.

VT_R8

GlowEffectVisibilityTo

Visible jusqu'à

Disponible uniquement si la propriété Activer est active. Vous devez en outre définir une variable dans la propriété Variable pour la visibilité ; la propriété Visibilité depuis valeur limite doit être inactive.

Définit la valeur jusqu’à laquelle l’effet de luminescence reste visible.
Minimum : valeur la plus basse autorisée pour la variable liée dans Variable pour la visibilité.
Maximum : valeur la plus élevée autorisée pour la variable liée dans Variable pour la visibilité.
Par défaut : valeur la plus élevée autorisée pour la variable liée dans Variable pour la visibilité.

Plus de détails dans l’aide en ligne.

ZT_VARIABLE_DYN

GlowEffectBlinkVariable

Variable pour le clignotement

Variables dont les paramètres de clignotement de l’effet de luminescence aux valeurs limites doivent être repris. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de variables.

Par défaut : aucune variable liée

Plus de détails dans l’aide en ligne.

ZT_PREVIEW

GlowEffectBlinkVariablePreview

Affichage aperçu clignotement

Affichage de la valeur limite définie pour la variable de clignotement lorsque l’effet de luminescence est actif. Disponible uniquement si l’option Depuis la variable a été configurée pour la propriété Variable pour le clignotement.

Un aperçu des propriétés définies pour la valeur limite est affiché dans le champ. Aucun aperçu n’est affiché pour les matrices de réaction.
Cliquez sur le bouton ... pour ouvrir la boîte de dialogue d’affichage des résultats. Les valeurs limite sont uniquement affichées ; elles ne peuvent pas être modifiées. Les modifications doivent être effectuées directement dans les propriétés de la variable pour Valeurs limite.

Plus de détails dans l’aide en ligne.

VT_BOOL

GlowEffectUseBlinkColor

Clignotement depuis valeur limite

Disponible uniquement si la propriété Activer est active. Vous devez en outre définir une variable dans la propriété Variable pour le clignotement.

Active : Reprend, pour l’effet de luminescence, la couleur de clignotement de la valeur limite active pour la variable définie dans la propriété Couleur de clignotement par la limite. Cette propriété agit indépendamment de la propriété Coloration. En cas de clignotement, l’effet de luminescence ne devient pas invisible, mais reprend les paramètres de l’effet de luminescence actif.

Par défaut : Inactive

Plus de détails dans l’aide en ligne.

VT_BOOL

GlowEffect2ndBlinkStateVisible

2 états de clignotement invisibles

Disponible uniquement si la propriété Activer est active. Vous devez en outre définir une variable dans la propriété Variable pour le clignotement ; la propriété Clignotement depuis valeur limite doit être inactive.

Active : En cas de clignotement, l’effet de luminescence ne bascule pas vers l’effet de luminescence actif, mais devient invisible. Ceci permet de basculer entre l’invisibilité et la couleur de clignotement en cas de dépassement de la valeur limite.

Par défaut : Inactive

Plus de détails dans l’aide en ligne.


Multibin

Manuel -> Interfaces de programmation -> Modèles d'objet -> Element -> Element-Dynamic properties -> Multibin

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Type

VBA/VSTA Name

Display Name

Description

More...

States

States

With this property you have the opportunity to get/set some properties of the different statis. The settings can be handled via some subitems.

VT_UI1

LinkType

LinkType

VT_BOOL

OriginalSize

OriginalSize

VT_BOOL

RegardAllVarBlinking

RegardAllVarBlinking

VT_BOOL

IsText

IsText

VT_BOOL

IsBackColor

IsBackColor

ZT_COLOR

BlinkBackColor

BlinkBackColor

VT_BOOL

FillOnly

FillOnly

VT_UI2

SwitchFunction

SwitchFunction

"With this property you get/set the different switch modes when a bool variable is linked at the element.
zElement.DynProperties(""SwitchFunction"") = 0 'Set to ""Read only""
zElement.DynProperties(""SwitchFunction"") = 1 'Set to ""TOOGLE""
zElement.DynProperties(""SwitchFunction"") = 2 'Set to ""Momentary switch On""
zElement.DynProperties(""SwitchFunction"") = 3 'Set to ""Momentary switch Off"""

VT_BOOL

ShowState

Visualiser l'état de la variable

Affichage graphique de l’état de la variable. Sélection à l’aide d’une case à cocher.

  • Active : l’état des variables est indiqué par un carré de couleur au niveau de l’élément.

    Couleur :

    • Carré rouge :
      pas de communication avec l’automate.
      Exemple : INVALID, OFF, ALT_VAL, REVISION, TIMEOUT, ...
    • Carré bleu (N_UPDATE) :
      Sur le client réseau :
      La connexion entre le client et le serveur principal a été interrompue.

      Avec un projet d’intégration indépendant :
      Le serveur principal n’a pas encore fourni les données.
    • Carré jaune (PR_NR) :
      Indique, dans le Runtime, que la variable n’a pas été enregistrée pendant la lecture dans le module Process Recorder. Par conséquent, aucune valeur n’a été identifiée lors de la lecture.

    Position :
    La position du carré au niveau de l’élément dépend de la forme de l’élément :

    • Anguleux et tous autres éléments :
      Coin supérieur droit
    • Élément circulaire :
      En haut, au milieu
    • Élément arrondi :
      coin supérieur droit, légèrement décalé vers la gauche
  • Inactive : L’état n’est pas représenté.
    Désactive également la possibilité d’afficher les informations supplémentaires concernant la variable avec un clic droit.

Par défaut : Actif

Plus de détails dans l’aide en ligne.

ZT_SCHRIFT

Font

Police

Sélection de la police utilisée pour l’affichage.

Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection. La police de caractères sélectionnée est liée.

Plus de détails dans l’aide en ligne.

ZT_MULTI

Status

Configuration

Ouvre la boîte de dialogue de définition des états.

Plus de détails dans l’aide en ligne.

VT_UI2

Passwordlevel

Niveau d'autorisation

Le niveau du mot de passe d’écriture de valeurs prescrites ou d’exécution de fonctions avec l’élément dynamique sélectionné.
Minimum : 0.
Maximum : 127
Par défaut : 0.

Plus de détails dans l’aide en ligne.

VT_UI4

Locking

Verrouillage

Lien vers un verrouillage existant avec cet élément.

Si une condition dans une des formules du verrouillage est vraie, cet élément est verrouillé de manière à ce qu’aucun fonctionnement ne soit possible. Si cela a été défini dans les propriétés du projet, un symbole représentant un verrou est affiché aussi longtemps que le verrouillage est actif.

Remarque : Les verrouillages ne peuvent pas être utilisés pour des symboles dans la bibliothèque générale de symboles ou la bibliothèque de symboles du projet.

Plus de détails dans l’aide en ligne.

VT_BSTR

LockingName

LockingName

"With this property you have the opportunity to assign an interlocking via its name.
zElement.DynProperties(""LockingName"") = ""Interlocking 1"""

VT_UI2

ReactionTime

Durée de maintien [ms]

Disponible uniquement si la propriété Commutateur est active. Si la propriété Mode temporaire est active : Durée (en ms) pendant laquelle un état est maintenu à partir du moment où le clic gauche a été effectué sur l’élément correspondant.

Si la propriété Mode temporaire n’est pas cochée : l’effet est retardé à compter du clic gauche.

Plus de détails dans l’aide en ligne.

VT_BOOL

UnderCE

Visible sous WinCE

Contrôle la visibilité des éléments dans les synoptiques sous Windows CE. Les projets qui sont utilisés sous CE et sur le PC peuvent être créés de manière plus flexible ; la gestion par l’utilisateur est ainsi améliorée. Par exemple, les boutons renvoyant l’utilisateur vers des synoptiques ne pouvant pas être affichés sous CE (par ex. IPA) peuvent être rendus invisibles.

Active : dans synoptique/l’élément est également visible sous Windows CE.

Par défaut : active

Plus de détails dans l’aide en ligne.

ZT_VBAMAKRO

Init

Init

Macro VBA à exécuter lors de l’initialisation de l’élément.

Plus de détails dans l’aide en ligne.

ZT_VBAMAKRO

SetFocus

SetFocus

Macro VBA à exécuter lorsque le focus est placé sur l’élément.

Plus de détails dans l’aide en ligne.

ZT_VBAMAKRO

KillFocus

KillFocus

Macro VBA à exécuter lorsque le focus n’est plus placé sur l’élément.

Plus de détails dans l’aide en ligne.

ZT_VBAMAKRO

LeftClickDown

LeftClickDown

Macro VBA à exécuter lorsque l’utilisateur effectue un clic gauche sur l’élément.

Plus de détails dans l’aide en ligne.

ZT_VBAMAKRO

RightClickDown

RightClickDown

Macro VBA à exécuter lorsque l’utilisateur effectue un clic droit sur l’élément.

Plus de détails dans l’aide en ligne.

ZT_VBAMAKRO

LeftClickUp

LeftClickUp

Macro VBA à exécuter lorsque l’utilisateur relâche le bouton gauche de la souris sur l’élément.

Plus de détails dans l’aide en ligne.

ZT_VBAMAKRO

RightClickUp

RightClickUp

Macro VBA à exécuter lorsque l’utilisateur relâche le bouton droit de la souris sur l’élément.

Plus de détails dans l’aide en ligne.

ZT_VBAMAKRO

LeftDClick

LeftDoubleClick

Macro VBA à exécuter lorsque l’utilisateur effectue un double-clic gauche sur l’élément.

Plus de détails dans l’aide en ligne.

ZT_VBAMAKRO

RightDClick

RightDoubleClick

Macro VBA à exécuter lorsque l’utilisateur effectue un double-clic droit sur l’élément.

Plus de détails dans l’aide en ligne.

ZT_VBAMAKRO

MouseOver

MouseOver

Macro VBA à exécuter si le pointeur de la souris est positionné sur l’élément.

Plus de détails dans l’aide en ligne.

ZT_VBAMAKRO

DragDrop

DragDrop

Macro VBA à exécuter lorsque le bouton de la souris est relâché.

Plus de détails dans l’aide en ligne.

ZT_VBAMAKRO

DragOver

DragOver

Macro VBA à exécuter lorsque le curseur est déplacé au-dessus de l’élément pendant que le bouton gauche est enfoncé.

Plus de détails dans l’aide en ligne.

ZT_VBAMAKRO

DragBegin

DragBegin

Macro VBA à exécuter lorsque l’utilisateur commence à faire glisser l’objet.

Plus de détails dans l’aide en ligne.

VT_BSTR

Menu

Menu contextuel

Menu contextuel de l’élément.
Cliquer avec le bouton droit de la souris sur l’élément pour ouvrir le menu contextuel dans le Runtime.

Plus de détails dans l’aide en ligne.

VT_BSTR

Tooltip

Info bulle

Texte à afficher en tant qu’info-bulle de l’élément dans le Runtime. Une info-bulle est automatiquement affichée dans le Runtime si le pointeur de la souris reste pendant quelques secondes sur l’élément. Des retours à la ligne automatiques peuvent être insérés avec les caractères "\n".

  • Maximum : 79 caractères
    Attention : La combinaison de caractères \n est également comptée dans la limite de 79 caractères.

Plus de détails dans l’aide en ligne.

VT_BOOL

LassoSelect

sélectionnable avec le lasso

La sélection avec le lasso dans le Runtime permet d’identifier les éléments dynamiques et de les utiliser avec des événements VBA.

  • Active : L’élément peut être sélectionné avec le lasso dans le Runtime.
  • Inactive : L’élément ne peut pas être sélectionné dans Runtime.

Par défaut : active

Attention : Pour que l’élément puisse être sélectionné dans le Runtime, vous devez activer la propriété Sélection multiple en runtime (lasso) dans les paramètres du projet !

Remarque concernant la gestion des commandes : Si la propriété Opération à deux mains est activée, le lasso de la commande Exécuter le 2ème niveau ne doit pas être activé.

Plus de détails dans l’aide en ligne.

More...

GestureManipulationGroup

Manipulation

Propriétés pour la manipulation de synoptiques et d’éléments de synoptique dans le cadre d’une utilisation tactile.

Plus de détails dans l’aide en ligne.

VT_BOOL

Tab

Le focus est donné à l'élément

Active : L’élément dynamique peut être actionné à l’aide du clavier.
Inactive : L’élément dynamique n’est pas accessible à l’aide du clavier.
Par défaut : active.

Plus de détails dans l’aide en ligne.

VT_I4

TABOrderH

Position du focus gauche/droite

Définit la position horizontale pour l’utilisation à l’aide du clavier dans le Runtime. La position est définie par l’intermédiaire du menu contextuel et de l’utilisation de la souris dans la fenêtre principale ; elle ne peut pas être modifiée ici.

Plus de détails dans l’aide en ligne.

VT_I4

TABOrderV

Position focus haut / bas

Définit la position verticale pour l’utilisation à l’aide du clavier dans le Runtime. La position est définie par l’intermédiaire du menu contextuel et de l’utilisation de la souris dans la fenêtre principale ; elle ne peut pas être modifiée ici.

Plus de détails dans l’aide en ligne.

VT_BOOL

Signature

Signature nécéssaire

Active : Une signature est nécessaire pour actionner l’élément.

Pour des raisons de sécurité, l’utilisateur sera invité à saisir son mot de passe même s’il est déjà connecté. Le texte de la signature est enregistré dans la liste d’événements (CEL) après que l’élément ait été utilisé avec succès.

Attention : seuls les utilisateurs connectés peuvent signer une action. La signature d’actions avec un identifiant temporaire n’est plus possible.

Inactive : aucune signature n’est requise.

(Par défaut) Inactive :

Plus de détails dans l’aide en ligne.

VT_BSTR

SignatureText

Texte de signature

Ce texte est également consigné lors de la signature dans la liste d’événements (CEL) ou est proposé par défaut dans le Runtime si la signature est définie comme modifiable dans les propriétés du projet.

Plus de détails dans l’aide en ligne.

VT_I2

SignatureEditModus

Texte de signature éditable

Définit si le texte de signature peut être édité. Sélectionnez dans la liste déroulante :

  • Appliquer les paramètres projet : Les paramètres de la propriété de projet Texte de signature éditable sont applicables.
  • Oui : Texte modifiables
  • Non : Le texte ne peut pas être édité.

Par défaut : Appliquer les paramètres projet

Plus de détails dans l’aide en ligne

ZT_FILE

Helpfile

Fichier d'aide

Fichier d’aide (*.chm) devant être utilisé pour cet élément, conjointement à un menu contextuel. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de fichiers.
Attention : seuls les fichiers d’aide ayant été ajoutés dans le nœud Fichiers/Aide sont disponibles.

Plus de détails dans l’aide en ligne.

VT_BSTR

HelpCapture

Chapitre d'aide

Chapitre d’aide (*.chm) devant être utilisé pour cet élément, conjointement à un menu contextuel. Nom de la page HTML sous-jacente.
Attention : cette entrée tient compte des minuscules et majuscules.

Plus de détails dans l’aide en ligne.

ZT_VARIABLE_DYN

SetValueDynMin

Minimum

Variable dont la valeur actuelle est applicable en tant que limite inférieure de la valeur prescrite de l’élément.
Disponible uniquement si Plages de la variable est inactive :
Plus de détails dans l’aide en ligne.

ZT_VARIABLE_DYN

SetValueDynMax

Maximum

Variable dont la valeur actuelle est applicable en tant que limite supérieure de la valeur prescrite de l’élément.

Disponible uniquement si la propriété Plages de la variable est inactive.

Plus de détails dans l’aide en ligne.

VT_BOOL

GestureRecognitionActive

Reconnaissance de geste active

Active l’évaluation des gestes. Les gestes sont définis à l’aide d’autres propriétés.

Uniquement disponible si, dans le groupe Intéraction des propriétés du projet, la propriété Reconnaissance Windows 8 a été définie.

Plus de détails dans l’aide en ligne.

VT_BOOL

Gestures_Manipulation

Exact

Active : Détection du paramètre Exact défini.

Plus de détails dans l’aide en ligne.

VT_BOOL

Gestures_Exact

Exact

Active : Détection du paramètre Exact défini.

Plus de détails dans l’aide en ligne.

VT_BOOL

Gestures_TranslationX

Translation X

Active : Détection du paramètre Translation X défini.

Plus de détails dans l’aide en ligne.

VT_BOOL

Gestures_TranslationY

Translation Y

Active : Détection du paramètre Translation Y défini.

Plus de détails dans l’aide en ligne.

VT_BOOL

Gestures_RailsX

Rails X

Active : Détection du paramètre Rails X défini.

Plus de détails dans l’aide en ligne.

VT_BOOL

Gestures_RailsY

Rails Y

Active : Détection du paramètre Rails Y défini.

Plus de détails dans l’aide en ligne.

VT_BOOL

Gestures_TranslationInertia

Translation inertia

Active : Détection du paramètre Translation Inertia (Inertie de translation) défini.

Plus de détails dans l’aide en ligne.

VT_BOOL

Gestures_Rotation

Inertie de rotation

Active : Détection du paramètre Rotation Inertia (Inertie de rotation) défini.

Plus de détails dans l’aide en ligne.

VT_BOOL

Gestures_RotationInertia

Inertie de rotation

Active : Détection du paramètre Rotation Inertia (Inertie de rotation) défini.

Plus de détails dans l’aide en ligne.

VT_BOOL

Gestures_Scaling

Scaling inertia

Active : Détection du paramètre Scaling Inertia (Inertie de redimensionnement) défini.

Plus de détails dans l’aide en ligne.

VT_BOOL

Gestures_ScalingInertia

Scaling inertia

Active : Détection du paramètre Scaling Inertia (Inertie de redimensionnement) défini.

Plus de détails dans l’aide en ligne.

VT_BOOL

Gestures_CrossSlide

Cross slide exact

Active : Détection du paramètre Cross Slide Exact (Glissement transversal exact) défini.

Plus de détails dans l’aide en ligne.

VT_BOOL

Gestures_CrossSlideHorizontal

Cross slide horizontal

Active : Détection du paramètre Cross Slide Horizontal (Glissement transversal horizontal) défini.

Plus de détails dans l’aide en ligne.

VT_BOOL

Gestures_CrossSlideSelect

Cross slide select

Active : Détection du paramètre Cross Slide Select (Glissement transversal, sélection) défini.

Plus de détails dans l’aide en ligne.

VT_BOOL

Gestures_CrossSlideSpeedBump

Cross slide speed bump

Active : Détection du paramètre Cross Slide Speed Bump (Glissement transversal, ralentisseur) défini.

Plus de détails dans l’aide en ligne.

VT_BOOL

Gestures_CrossSlideRearrange

Cross slide rearrange

Active : Détection du paramètre Cross Slide Rearrange (Glissement transversal, réorganisation) défini.

Plus de détails dans l’aide en ligne.

VT_BOOL

Gestures_CrossSlideExact

Cross slide exact

Active : Détection du paramètre Cross Slide Exact (Glissement transversal exact) défini.

Plus de détails dans l’aide en ligne.

VT_BOOL

Gestures_Tap

Tap double

Active : Détection du paramètre Tap Double (Double appui) défini.

Plus de détails dans l’aide en ligne.

VT_BOOL

Gestures_TapDouble

Tap double

Active : Détection du paramètre Tap Double (Double appui) défini.

Plus de détails dans l’aide en ligne.

VT_BOOL

Gestures_SecondaryTap

Secondary tap

Active : Détection du paramètre Secondary Tap (Appui secondaire) défini.

Plus de détails dans l’aide en ligne.

VT_BOOL

Gestures_Drag

Drag

Active : Détection du paramètre Drag (Glissement) défini.

Plus de détails dans l’aide en ligne.

VT_BOOL

Gestures_Hold

Hold (Mouse)

Active : Détection du paramètre Hold (Mouse) (Maintien [souris]) défini.

Plus de détails dans l’aide en ligne.

ZT_STYLE

StyleGroup

Groupe de styles

Affichage et sélection du groupe de styles attribué à l’élément.
Cliquez sur le bouton ... pour ouvrir la boîte de dialogue permettant de sélectionner un groupe de styles.
Si plusieurs éléments sont sélectionnés, elles peuvent être attribuées à un groupe de styles commun.

Remarque : Seules les propriétés compatibles avec l’élément correspondant sont prises en charge.

Plus de détails dans l’aide en ligne.

More...

LnClVariable

LnClVariable

"With this property you have the opportunity to get informations about the variable which is linked as ""line/text color"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""LnClVariable.SymVarName"") 'Return the name of the ""line/text color"" variable
zElement.DynProperties (""LnClVariable.SymVarTagNr"") 'Return the identification of the ""line/text color"" variable"

More...

BkClVariable

BkClVariable

"With this property you have the opportunity to get informations about the variable which is linked as ""background/filling color"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""BkClVariable.SymVarName"") 'Return the name of the ""background/filling color"" variable
zElement.DynProperties (""BkClVariable.SymVarTagNr"") 'Return the identification of the ""background/filling color"" variable"

More...

BkCl2Variable

"BkCl2Variable"

More...

XVar

XVar

"With this property you have the opportunity to get informations about the variable which is linked as ""dynamic x position"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""XVar.SymVarName"") 'Return the name of the ""dynamic x position"" variable
zElement.DynProperties (""XVar.SymVarTagNr"") 'Return the identification of the ""dynamic x position"" variable"

More...

YVar

YVar

"With this property you have the opportunity to get informations about the variable which is linked as ""dynamic y position"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""YVar.SymVarName"") 'Return the name of the ""dynamic y position"" variable
zElement.DynProperties (""YVar.SymVarTagNr"") 'Return the identification of the ""dynamic y position"" variable"

More...

XVarZoom

XVarZoom

"With this property you have the opportunity to get informations about the variable which is linked as ""change width"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""XVarZoom.SymVarName"") 'Return the name of the ""change width"" variable
zElement.DynProperties (""XVarZoom.SymVarTagNr"") 'Return the identification of the ""change width"" variable"

More...

YVarZoom

YVarZoom

"With this property you have the opportunity to get informations about the variable which is linked as ""change height"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""YVarZoom.SymVarName"") 'Return the name of the ""change height"" variable
zElement.DynProperties (""YVarZoom.SymVarName"") 'Return the name of the ""change height"" variable
zElement.DynProperties (""YVarZoom.SymVarTagNr"") 'Return the identification of the ""change height"" variable"

More...

TwistVar

TwistVar

"With this property you have the opportunity to get informations about the variable which is linked as ""rotate"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""TwistVar.SymVarName"") 'Return the name of the ""rotate"" variable
zElement.DynProperties (""TwistVar.SymVarTagNr"") 'Return the identification of the ""rotate"" variable"

More...

VisVariable

VisVariable

"With this property you have the opportunity to get informations about the variable which is linked as ""visibility"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""VisVariable.SymVarName"") 'Return the name of the ""visibility"" variable
zElement.DynProperties (""VisVariable.SymVarTagNr"") 'Return the identification of the ""visibility"" variable"

More...

BlinkVar

BlinkVar

More...

GlowEffectGlowColorVar

GlowEffectGlowColorVar

More...

GlowEffectVisibilityVar

GlowEffectVisibilityVar

More...

GlowEffectBlinkVar

GlowEffectBlinkVar

VT_BSTR

Name

Nom d'élément

Attribuez un nom d’élément.
Il ne doit pas être vide.

Attention : Cette propriété n’est pas disponible aux fins de la commutation de langue.

Remarques concernant les cadrans : Pour les conteneurs de synoptique, spécifiez des noms clairement identifiables pour faciliter la sélection lors de la configuration des appels de synoptique.

Plus de détails dans l’aide en ligne.

VT_UI1

Layer

Niveau de visibilité

Sélectionnez l’un des 16 niveaux de visibilité (0 à 15) dans la liste déroulante. À l’aide de la barre d’outils Niveau de visibilité, vous décidez des niveaux qui doivent être affichés dans Editor. Cette fonction garantit que les synoptiques les plus complexes peuvent être développés de manière simple. Les niveaux peuvent être utilisés immédiatement. Les niveaux n’ont aucune influence sur les informations affichées au premier plan ou en arrière-plan dans le Runtime.
Par défaut : 0.

Plus de détails dans l’aide en ligne.

VT_I4

StartX

Point de départ X [pixels]

Coordonnée Y du coin supérieur gauche du synoptique (en pixels).

Plus de détails dans l’aide en ligne.

VT_I4

EndX

Point final X [pixels]

Coordonnée X du coin inférieur droit du synoptique (en pixels).

Plus de détails dans l’aide en ligne.

VT_I4

StartY

Point de départ Y [pixels]

Coordonnée Y du coin supérieur gauche du synoptique (en pixels).

Plus de détails dans l’aide en ligne.

VT_I4

EndY

Point final Y [pixels]

Coordonnée Y du coin inférieur droit du synoptique (en pixels).

Plus de détails dans l’aide en ligne.

VT_I4

Width

Largeur [pixels]

Largeur des éléments en pixels.

Remarque : disponible uniquement pour les éléments Combinaison multiple, Élément combiné, Bouton et Interrupteur si la valeur Ajusté a été sélectionnée pour la propriété Taille du graphique.

Plus de détails dans l’aide en ligne.

VT_I4

Height

Hauteur [pixels]

Hauteur des éléments en pixels.

Remarque : disponible uniquement pour les éléments Combinaison multiple, Élément combiné, Bouton et Interrupteur si la valeur Ajusté a été sélectionnée pour la propriété Taille du graphique.

Plus de détails dans l’aide en ligne.

VT_I4

Angle

Angle de rotation [°]

Angle libre autour selon lequel doit pivoter l’élément.
Les valeurs positives correspondent à une rotation dans le sens antihoraire, tandis que les valeurs négatives correspondent à une rotation dans le sens horaire. Les valeurs supérieures à 360° sont affichées sous forme d’écart par rapport à 360° (400° correspond à 40°). Seuls les nombres entiers sont autorisés.

Sur les éléments pivotés, les actions suivantes ne sont plus possibles :

  • Miroir
  • Rotation de +/- 90°
  • Redimensionnement à l’aide des touches fléchées

Par défaut : 0

Remarque : Ce paramètre est activé et réinitialisé lors de la configuration pour Windows CE.

Plus de détails dans l’aide en ligne.

VT_I2

ZoomMin

Visible de

Incrément de zoom le plus bas auquel l’élément est visible dans la vue globale.
Par défaut : -1
Une valeur de visibilité avec des incréments de zoom de -1 à -1 signifie que l’élément est affiché, quel que soit l’incrément de zoom sélectionné.

Les niveaux de zoom affichés dans la vue globale peuvent être configurés avec la propriété Apparence graphique -> Généralités runtime -> Pas de zoom pour vue globale.

Attention : Ce niveau de zoom s’applique à tous les types de synoptiques et cadres. Si un niveau de zoom défini est supérieur à 0, l’élément est uniquement affiché dans la vue globale, car les autres types de synoptique sont automatiquement appelés avec le niveau de zoom 0.

Plus de détails dans l’aide en ligne.

VT_I2

ZoomMax

Visible jusqu'à

Incrément de zoom le plus élevé auquel l’élément est visible dans la vue globale.

Par défaut : -1
Une valeur de visibilité avec des incréments de zoom de -1 à -1 signifie que l’élément est affiché, quel que soit l’incrément de zoom sélectionné.

Les niveaux de zoom affichés dans la vue globale peuvent être configurés avec la propriété Apparence graphique -> Généralités runtime -> Pas de zoom pour vue globale.

Attention : Ce niveau de zoom s’applique à tous les types de synoptiques et cadres. Si un niveau de zoom défini est supérieur à 0, l’élément est uniquement affiché dans la vue globale, car les autres types de synoptique sont automatiquement appelés avec le niveau de zoom 0.

Plus de détails dans l’aide en ligne.

VT_BSTR

Stationname

Nom liste d'objets

L’élément est saisi directement dans la liste de stations du synoptique Vue globale, et le texte est saisi ici.

Plus de détails dans l’aide en ligne.

ZT_VARIABLE_DYN

BackColorVariable

Couleur de remplissage

Nom de la variable dont les couleurs de valeur limite doivent influencer la couleur d’arrière-plan/de remplissage de l’élément.
Ouvre la boîte de dialogue de sélection de variables.

Plus de détails dans l’aide en ligne.

ZT_PREVIEW

BackColorVarPreview

Affichage aperçu couleur

Affichage de la valeur limite pour la propriété Couleur de remplissage définie pour la variable. Disponible uniquement si l’option Depuis la variable a été configurée pour la propriété Couleur de remplissage.

Un aperçu des propriétés définies pour la valeur limite est affiché dans le champ. Aucun aperçu n’est affiché pour les matrices de réaction.
Cliquez sur le bouton ... pour ouvrir la boîte de dialogue d’affichage des résultats. Les valeurs limite sont uniquement affichées ; elles ne peuvent pas être modifiées. Les modifications doivent être effectuées directement dans les propriétés de la variable pour Valeurs limite.

Plus de détails dans l’aide en ligne.

VT_UI1

HorizontalOrigin

Horizontal

Point de référence horizontal de l’événement. Les valeurs possibles sont : gauche, centré, droite.
Ce point est utilisé en tant que base de calcul de l’angle de départ de la rotation (statique et dynamique) et pour le changement dynamique de taille.

Par défaut : À gauche

Plus de détails dans l’aide en ligne.

VT_UI1

VerticalOrigin

Vertical

Point de référence vertical de l’événement. Les valeurs possibles sont : haut, centré, bas.
Ce point est utilisé en tant que base de calcul de l’angle de départ de la rotation (statique et dynamique) et pour le changement dynamique de taille.

Par défaut : En haut

Plus de détails dans l’aide en ligne.

VT_UI4

VisibilityType

Visibilité

Sélection depuis laquelle la visibilité d’un élément est déterminée :

  • Depuis une variable
  • Du verrrouillage

Par défaut : Depuis une variable

Plus de détails dans l’aide en ligne.

ZT_VARIABLE_DYN

VisibilityVariable

Variable

Disponible uniquement si l’option Depuis la variable a été configurée pour la propriété Visibilité.

Nom de la variable dont la valeur contrôle la visibilité de l’élément. La visibilité est soit reprise des propriétés de valeur limite de ces variables, soit définie par la plage de valeurs définie dans les propriétés de et À.
Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de variables. Vous pouvez également saisir manuellement le nom dans le champ de texte.
L'élément reste visible tant qu’aucune variable n’est liée.

Plus de détails dans l’aide en ligne.

ZT_PREVIEW

VisVarPreview

Affichage aperçu visibilité

Affichage des valeurs limite pour la visibilité définies pour la variable. Disponible uniquement si l’option Depuis la variable a été configurée pour la propriété Variable dans le groupe Visibilité.

Un aperçu des propriétés définies pour la valeur limite est affiché dans le champ. Aucun aperçu n’est affiché pour les matrices de réaction.
Cliquez sur le bouton ... pour ouvrir la boîte de dialogue d’affichage des résultats. Les valeurs limite sont uniquement affichées ; elles ne peuvent pas être modifiées. Les modifications doivent être effectuées directement dans les propriétés de la variable pour Valeurs limite.

Plus de détails dans l’aide en ligne.

VT_BOOL

VisibilityFromLimit

A partir des valeurs limites

Uniquement disponible après la sélection d’une variable :

  • Active : La visibilité de l’élément est influencée par la propriété de valeur limite de la variable.

    Attention : La propriété Invisible doit être active pour au moins une valeur limite de la variable.

  • Inactive : la visibilité est influencée par les propriétés de l’élément.

Par défaut : active

Plus de détails dans l’aide en ligne.

VT_R8

VisibilityFrom

de

Disponible uniquement après la sélection d’une variable, si la visibilité n’a pas été reprise par la valeur limite :

Valeur minimum de la variable à laquelle l’élément est visible.

  • Minimum : valeur minimum possible de la variable liée.
  • Maximum : valeur maximum possible de la variable liée.

Par défaut : valeur minimum possible de la variable liée.

Plus de détails dans l’aide en ligne.

VT_R8

VisibilityTo

À

Disponible uniquement après la sélection d’une variable, si la visibilité n’a pas été reprise par la valeur limite :

Valeur maximale de la variable à laquelle l’élément est visible.

  • Minimum : valeur minimum possible de la variable liée.
  • Maximum : valeur maximum possible de la variable liée.

Par défaut : valeur maximum possible de la variable liée.

Plus de détails dans l’aide en ligne.

VT_UI4

Interlocking

Verrouillage

Disponible uniquement si l’option Depuis le verrouillage est sélectionnée pour la propriété Visibilité.

Nom du verrouillage dont la valeur contrôle la visibilité de l’élément. Sélectionnez dans la liste déroulante. Celle-ci contient tous les verrouillages existants et utilisables. L’élément est toujours visible si aucun verrouillage n’est lié.

Plus de détails dans l’aide en ligne.

VT_BSTR

InterlockingName

InterlockingName

Description

VT_BOOL

VisibleWhenInterlocked

Visible si verrouillé

Contrôle la visibilité de l’élément lorsque le verrouillage est sélectionné :

  • Active : L’élément est visible s’il est verrouillé.
  • Inactive : L’élément est visible s’il n’est pas verrouillé.

Par défaut : inactive

Plus de détails dans l’aide en ligne.

ZT_VARIABLE_DYN

XVariable

Variable

Nom de la variable utilisée pour le déplacement horizontal de l’élément.
Ouvre la boîte de dialogue de sélection de variables.

Plus de détails dans l’aide en ligne.

VT_R8

XVarMin

Valeur min de la variable

Valeur minimale de la variable utilisée pour le déplacement horizontal de l’élément.

Plus de détails dans l’aide en ligne.

VT_R8

XVarMax

Valeur max de la variable

Valeur maximale de la variable utilisée pour le déplacement horizontal de l’élément.

Plus de détails dans l’aide en ligne.

VT_I4

XViewMin

Mouvement min [pixels]

Position horizontale de l’élément pour la valeur minimale de la variable (en pixels).

Plus de détails dans l’aide en ligne.

VT_I4

XViewMax

Mouvement max [pixels]

Position horizontale de l’élément pour la valeur minimale de la variable (en pixels).

Plus de détails dans l’aide en ligne.

ZT_VARIABLE_DYN

YVariable

Variable

Nom de la variable utilisée pour le déplacement vertical de l’élément.
Ouvre la boîte de dialogue de sélection de variables.

Plus de détails dans l’aide en ligne.

VT_R8

YVarMin

Valeur min de la variable

Valeur minimale de la variable utilisée pour le déplacement vertical de l’élément.

Plus de détails dans l’aide en ligne.

VT_R8

YVarMax

Valeur max de la variable

Valeur maximale de la variable utilisée pour le déplacement vertical de l’élément.

Plus de détails dans l’aide en ligne.

VT_I4

YViewMin

Mouvement min [pixels]

Position verticale de l’élément pour la valeur minimale de la variable (en pixels).

Plus de détails dans l’aide en ligne.

VT_I4

YViewMax

Mouvement max [pixels]

Position verticale de l’élément pour la valeur maximale de la variable (en pixels).

Plus de détails dans l’aide en ligne.

ZT_VARIABLE_DYN

XZoomVariable

Variable

Nom de la variable utilisée pour l’agrandissement de la largeur de l’élément.
Ouvre la boîte de dialogue de sélection de variables.

Plus de détails dans l’aide en ligne.

VT_R8

XZoomVarMin

Valeur min de la variable

Valeur minimale de la variable utilisée pour effectuer un zoom à la largeur de l’élément.

Plus de détails dans l’aide en ligne.

VT_R8

XZoomVarMax

Valeur max de la variable

Valeur maximale de la variable utilisée pour effectuer un zoom sur la largeur de l’élément.

Plus de détails dans l’aide en ligne.

VT_I4

XZoomViewMin

Largeur min [%]

Facteur de zoom correspondant à la largeur de l’élément pour la valeur minimale de la variable (en pixels).

Plus de détails dans l’aide en ligne.

VT_I4

XZoomViewMax

Largeur max [%]

Facteur de zoom correspondant à la largeur de l’élément pour la valeur maximale de la variable (en pixels).

Plus de détails dans l’aide en ligne.

ZT_VARIABLE_DYN

YZoomVariable

Variable

Nom de la variable utilisée pour l’agrandissement de la hauteur de l’élément.
Ouvre la boîte de dialogue de sélection de variables.

Plus de détails dans l’aide en ligne.

VT_R8

YZoomVarMin

Valeur min de la variable

Valeur minimum de la variable utilisée pour effectuer un zoom sur la hauteur de l’élément.

Plus de détails dans l’aide en ligne.

VT_R8

YZoomVarMax

Valeur max de la variable

Valeur maximum de la variable utilisée pour effectuer un zoom sur la hauteur de l’élément.

Plus de détails dans l’aide en ligne.

VT_I4

YZoomViewMin

Hauteur min [%]

Facteur de zoom correspondant à la hauteur de l’élément pour la valeur minimum de la variable (en %).

Plus de détails dans l’aide en ligne.

VT_I4

YZoomViewMax

Hauteur max [%]

Facteur de zoom correspondant à la hauteur de l’élément pour la valeur maximale de la variable (en pixels).

Plus de détails dans l’aide en ligne.

ZT_VARIABLE_DYN

TwistVariable

Variable

Nom de la variable utilisée pour la rotation de l’élément.

Plus de détails dans l’aide en ligne.

VT_R8

TwistVarMin

Valeur min de la variable

Valeur minimum de la variable utilisée pour la rotation de l’élément.

Plus de détails dans l’aide en ligne.

VT_R8

TwistVarMax

Valeur max de la variable

Valeur maximale de la variable utilisée pour la rotation de l’élément.

Plus de détails dans l’aide en ligne.

VT_I4

TwistViewMin

Rotation min [°]

Angle de rotation de l’élément pour la valeur minimum de la variable (en °).

Plus de détails dans l’aide en ligne.

VT_I4

TwistViewMax

Rotation max [°]

Angle de rotation de l’élément pour la valeur maximum de la variable (en °).

Plus de détails dans l’aide en ligne.

ZT_STYLE

ShadowEffectStyle

Style effet cadres/ombres

Affichage et sélection du style de cadre et d’ombre attribué à l’élément.

Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de style.
Si plusieurs éléments ont été sélectionnés, ils peuvent être attribués à un style commun.

Remarque : Seules les propriétés compatibles avec l’élément correspondant sont prises en charge.

Plus de détails dans l’aide en ligne.

VT_BOOL

EnablePunchFrame

Afficher le cadre

A frame around the element can be displayed.
Default: inactive.

ZT_STYLE

GlowEffectStyle

Style effet de rayonnement

Affichage et sélection du style des effets de luminescence attribués à l’élément.

Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de style.
Si plusieurs éléments ont été sélectionnés, ils peuvent être attribués à un style commun.

Remarque : Seules les propriétés compatibles avec l’élément correspondant sont prises en charge.

Plus de détails dans l’aide en ligne.

VT_BOOL

GlowEffectEvent

Actif seulement si cliqué

Disponible uniquement si la propriété Activer est active et l’élément est un bouton.

Active : l’effet de luminescence est uniquement affiché lorsque l’utilisateur clique sur le bouton. Cliquer sur le bouton permet de modifier la couleur, le clignotement ou l’invisibilité de l’effet de luminescence.

Par défaut : Inactive

Plus de détails dans l’aide en ligne.

ZT_VARIABLE_DYN

GlowEffectGlowColorVariable

Variable pour la couleur

Disponible uniquement si la propriété Activer est active. La propriété Coloration doit être activée.

Nom de la variable dont la couleur aux valeurs limites doit influencer la couleur de l’effet de luminescence pour l’élément. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de variables. Vous pouvez également saisir le nom manuellement dans le champ de texte. Si aucune variable n’est liée, la couleur définie dans la propriété Couleur est utilisée.

Par défaut : aucune variable liée

Plus de détails dans l’aide en ligne.

ZT_PREVIEW

GlowEffectGlowColorVariablePreview

Affichage aperçu couleur

Affichage de la valeur limite définie pour la variable de couleur lorsque l’effet de luminescence est actif. Disponible uniquement si l’option Depuis la variable a été configurée pour la propriété Variable pour la couleur.

Un aperçu des propriétés définies pour la valeur limite est affiché dans le champ. Aucun aperçu n’est affiché pour les matrices de réaction.
Cliquez sur le bouton ... pour ouvrir la boîte de dialogue d’affichage des résultats. Les valeurs limite sont uniquement affichées ; elles ne peuvent pas être modifiées. Les modifications doivent être effectuées directement dans les propriétés de la variable pour Valeurs limite.

Plus de détails dans l’aide en ligne.

ZT_VARIABLE_DYN

GlowEffectVisibilityVariable

Variable pour la visibilité

Disponible uniquement si la propriété Activer est active.

Nom de la variable dont la valeur influence la visibilité de l’effet de luminescence. La visibilité est soit reprise des propriétés de valeur limite de cette variable (propriété Visibilité depuis valeur limite active), soit définie par la plage de valeurs définie dans les propriétés Visible de et Visible jusqu'à. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de variables. Vous pouvez également saisir le nom manuellement dans le champ de texte.

Remarque : si aucune variable n’est liée, l’effet de luminescence est toujours visible.

Par défaut : aucune variable liée

Plus de détails dans l’aide en ligne.

ZT_PREVIEW

GlowEffectVisibilityVariablePreview

Affichage aperçu visibilité

Affichage de la valeur limite définie pour la variable de visibilité lorsque l’effet de luminescence est actif. Disponible uniquement si l’option Depuis la variable a été configurée pour la propriété Variable pour la visibilité.

Un aperçu des propriétés définies pour la valeur limite est affiché dans le champ. Aucun aperçu n’est affiché pour les matrices de réaction.
Cliquez sur le bouton ... pour ouvrir la boîte de dialogue d’affichage des résultats. Les valeurs limite sont uniquement affichées ; elles ne peuvent pas être modifiées. Les modifications doivent être effectuées directement dans les propriétés de la variable pour Valeurs limite.

Plus de détails dans l’aide en ligne.

VT_BOOL

GlowEffectVisibilityFromLimit

Visibilité depuis valeur limite

Disponible uniquement si la propriété Activer est active. Vous devez en outre définir une variable dans la propriété Variable pour la visibilité.

Active : La visibilité de l’effet de luminescence est influencée par la propriété de valeur limite de la variable.

Attention : Pour une valeur limite de la variable au moins, la propriété Invisible doit être active.

Inactive : la visibilité est influencée par les propriétés de l’élément.

Plus de détails dans l’aide en ligne.

VT_R8

GlowEffectVisibilityFrom

Visible de

Disponible uniquement si la propriété Activer est active. Vous devez en outre définir une variable dans la propriété Variable pour la visibilité ; la propriété Visibilité depuis valeur limite doit être inactive.

Définit la valeur à partir de laquelle l’effet de luminescence devient visible.
Minimum : valeur la moins élevée autorisée pour la variable liée dans Variable pour la visibilité.
Maximum : valeur la moins élevée autorisée pour la variable liée dans Variable pour la visibilité.
Par défaut : valeur la plus élevée autorisée pour la variable liée dans Variable pour la visibilité.

Plus de détails dans l’aide en ligne.

VT_R8

GlowEffectVisibilityTo

Visible jusqu'à

Disponible uniquement si la propriété Activer est active. Vous devez en outre définir une variable dans la propriété Variable pour la visibilité ; la propriété Visibilité depuis valeur limite doit être inactive.

Définit la valeur jusqu’à laquelle l’effet de luminescence reste visible.
Minimum : valeur la plus basse autorisée pour la variable liée dans Variable pour la visibilité.
Maximum : valeur la plus élevée autorisée pour la variable liée dans Variable pour la visibilité.
Par défaut : valeur la plus élevée autorisée pour la variable liée dans Variable pour la visibilité.

Plus de détails dans l’aide en ligne.

ZT_VARIABLE_DYN

GlowEffectBlinkVariable

Variable pour le clignotement

Variables dont les paramètres de clignotement de l’effet de luminescence aux valeurs limites doivent être repris. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de variables.

Par défaut : aucune variable liée

Plus de détails dans l’aide en ligne.

ZT_PREVIEW

GlowEffectBlinkVariablePreview

Affichage aperçu clignotement

Affichage de la valeur limite définie pour la variable de clignotement lorsque l’effet de luminescence est actif. Disponible uniquement si l’option Depuis la variable a été configurée pour la propriété Variable pour le clignotement.

Un aperçu des propriétés définies pour la valeur limite est affiché dans le champ. Aucun aperçu n’est affiché pour les matrices de réaction.
Cliquez sur le bouton ... pour ouvrir la boîte de dialogue d’affichage des résultats. Les valeurs limite sont uniquement affichées ; elles ne peuvent pas être modifiées. Les modifications doivent être effectuées directement dans les propriétés de la variable pour Valeurs limite.

Plus de détails dans l’aide en ligne.

VT_BOOL

GlowEffectUseBlinkColor

Clignotement depuis valeur limite

Disponible uniquement si la propriété Activer est active. Vous devez en outre définir une variable dans la propriété Variable pour le clignotement.

Active : Reprend, pour l’effet de luminescence, la couleur de clignotement de la valeur limite active pour la variable définie dans la propriété Couleur de clignotement par la limite. Cette propriété agit indépendamment de la propriété Coloration. En cas de clignotement, l’effet de luminescence ne devient pas invisible, mais reprend les paramètres de l’effet de luminescence actif.

Par défaut : Inactive

Plus de détails dans l’aide en ligne.

VT_BOOL

GlowEffect2ndBlinkStateVisible

2 états de clignotement invisibles

Disponible uniquement si la propriété Activer est active. Vous devez en outre définir une variable dans la propriété Variable pour le clignotement ; la propriété Clignotement depuis valeur limite doit être inactive.

Active : En cas de clignotement, l’effet de luminescence ne bascule pas vers l’effet de luminescence actif, mais devient invisible. Ceci permet de basculer entre l’invisibilité et la couleur de clignotement en cas de dépassement de la valeur limite.

Par défaut : Inactive

Plus de détails dans l’aide en ligne.


Base class picture elements

Manuel -> Interfaces de programmation -> Modèles d'objet -> Element -> Element-Dynamic properties -> Base class picture elements

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Type

VBA/VSTA Name

Display Name

Description

ZT_STYLE

StyleGroup

Groupe de styles

Affichage et sélection du groupe de styles attribué à l’élément.
Cliquez sur le bouton ... pour ouvrir la boîte de dialogue permettant de sélectionner un groupe de styles.
Si plusieurs éléments sont sélectionnés, elles peuvent être attribuées à un groupe de styles commun.

Remarque : Seules les propriétés compatibles avec l’élément correspondant sont prises en charge.

Plus de détails dans l’aide en ligne.

More...

LnClVariable

LnClVariable

"With this property you have the opportunity to get informations about the variable which is linked as ""line/text color"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""LnClVariable.SymVarName"") 'Return the name of the ""line/text color"" variable
zElement.DynProperties (""LnClVariable.SymVarTagNr"") 'Return the identification of the ""line/text color"" variable"

More...

BkClVariable

BkClVariable

"With this property you have the opportunity to get informations about the variable which is linked as ""background/filling color"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""BkClVariable.SymVarName"") 'Return the name of the ""background/filling color"" variable
zElement.DynProperties (""BkClVariable.SymVarTagNr"") 'Return the identification of the ""background/filling color"" variable"

More...

BkCl2Variable

"BkCl2Variable"

More...

XVar

XVar

"With this property you have the opportunity to get informations about the variable which is linked as ""dynamic x position"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""XVar.SymVarName"") 'Return the name of the ""dynamic x position"" variable
zElement.DynProperties (""XVar.SymVarTagNr"") 'Return the identification of the ""dynamic x position"" variable"

More...

YVar

YVar

"With this property you have the opportunity to get informations about the variable which is linked as ""dynamic y position"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""YVar.SymVarName"") 'Return the name of the ""dynamic y position"" variable
zElement.DynProperties (""YVar.SymVarTagNr"") 'Return the identification of the ""dynamic y position"" variable"

More...

XVarZoom

XVarZoom

"With this property you have the opportunity to get informations about the variable which is linked as ""change width"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""XVarZoom.SymVarName"") 'Return the name of the ""change width"" variable
zElement.DynProperties (""XVarZoom.SymVarTagNr"") 'Return the identification of the ""change width"" variable"

More...

YVarZoom

YVarZoom

"With this property you have the opportunity to get informations about the variable which is linked as ""change height"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""YVarZoom.SymVarName"") 'Return the name of the ""change height"" variable
zElement.DynProperties (""YVarZoom.SymVarName"") 'Return the name of the ""change height"" variable
zElement.DynProperties (""YVarZoom.SymVarTagNr"") 'Return the identification of the ""change height"" variable"

More...

TwistVar

TwistVar

"With this property you have the opportunity to get informations about the variable which is linked as ""rotate"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""TwistVar.SymVarName"") 'Return the name of the ""rotate"" variable
zElement.DynProperties (""TwistVar.SymVarTagNr"") 'Return the identification of the ""rotate"" variable"

More...

VisVariable

VisVariable

"With this property you have the opportunity to get informations about the variable which is linked as ""visibility"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""VisVariable.SymVarName"") 'Return the name of the ""visibility"" variable
zElement.DynProperties (""VisVariable.SymVarTagNr"") 'Return the identification of the ""visibility"" variable"

More...

BlinkVar

BlinkVar

More...

GlowEffectGlowColorVar

GlowEffectGlowColorVar

More...

GlowEffectVisibilityVar

GlowEffectVisibilityVar

More...

GlowEffectBlinkVar

GlowEffectBlinkVar

VT_BSTR

Name

Nom d'élément

Attribuez un nom d’élément.
Il ne doit pas être vide.

Attention : Cette propriété n’est pas disponible aux fins de la commutation de langue.

Remarques concernant les cadrans : Pour les conteneurs de synoptique, spécifiez des noms clairement identifiables pour faciliter la sélection lors de la configuration des appels de synoptique.

Plus de détails dans l’aide en ligne.

VT_UI1

Layer

Niveau de visibilité

Sélectionnez l’un des 16 niveaux de visibilité (0 à 15) dans la liste déroulante. À l’aide de la barre d’outils Niveau de visibilité, vous décidez des niveaux qui doivent être affichés dans Editor. Cette fonction garantit que les synoptiques les plus complexes peuvent être développés de manière simple. Les niveaux peuvent être utilisés immédiatement. Les niveaux n’ont aucune influence sur les informations affichées au premier plan ou en arrière-plan dans le Runtime.
Par défaut : 0.

Plus de détails dans l’aide en ligne.

VT_I4

StartX

Point de départ X [pixels]

Coordonnée Y du coin supérieur gauche du synoptique (en pixels).

Plus de détails dans l’aide en ligne.

VT_I4

EndX

Point final X [pixels]

Coordonnée X du coin inférieur droit du synoptique (en pixels).

Plus de détails dans l’aide en ligne.

VT_I4

StartY

Point de départ Y [pixels]

Coordonnée Y du coin supérieur gauche du synoptique (en pixels).

Plus de détails dans l’aide en ligne.

VT_I4

EndY

Point final Y [pixels]

Coordonnée Y du coin inférieur droit du synoptique (en pixels).

Plus de détails dans l’aide en ligne.

VT_I4

Width

Largeur [pixels]

Largeur des éléments en pixels.

Remarque : disponible uniquement pour les éléments Combinaison multiple, Élément combiné, Bouton et Interrupteur si la valeur Ajusté a été sélectionnée pour la propriété Taille du graphique.

Plus de détails dans l’aide en ligne.

VT_I4

Height

Hauteur [pixels]

Hauteur des éléments en pixels.

Remarque : disponible uniquement pour les éléments Combinaison multiple, Élément combiné, Bouton et Interrupteur si la valeur Ajusté a été sélectionnée pour la propriété Taille du graphique.

Plus de détails dans l’aide en ligne.

VT_I4

Angle

Angle de rotation [°]

Angle libre autour selon lequel doit pivoter l’élément.
Les valeurs positives correspondent à une rotation dans le sens antihoraire, tandis que les valeurs négatives correspondent à une rotation dans le sens horaire. Les valeurs supérieures à 360° sont affichées sous forme d’écart par rapport à 360° (400° correspond à 40°). Seuls les nombres entiers sont autorisés.

Sur les éléments pivotés, les actions suivantes ne sont plus possibles :

  • Miroir
  • Rotation de +/- 90°
  • Redimensionnement à l’aide des touches fléchées

Par défaut : 0

Remarque : Ce paramètre est activé et réinitialisé lors de la configuration pour Windows CE.

Plus de détails dans l’aide en ligne.

VT_I2

ZoomMin

Visible de

Incrément de zoom le plus bas auquel l’élément est visible dans la vue globale.
Par défaut : -1
Une valeur de visibilité avec des incréments de zoom de -1 à -1 signifie que l’élément est affiché, quel que soit l’incrément de zoom sélectionné.

Les niveaux de zoom affichés dans la vue globale peuvent être configurés avec la propriété Apparence graphique -> Généralités runtime -> Pas de zoom pour vue globale.

Attention : Ce niveau de zoom s’applique à tous les types de synoptiques et cadres. Si un niveau de zoom défini est supérieur à 0, l’élément est uniquement affiché dans la vue globale, car les autres types de synoptique sont automatiquement appelés avec le niveau de zoom 0.

Plus de détails dans l’aide en ligne.

VT_I2

ZoomMax

Visible jusqu'à

Incrément de zoom le plus élevé auquel l’élément est visible dans la vue globale.

Par défaut : -1
Une valeur de visibilité avec des incréments de zoom de -1 à -1 signifie que l’élément est affiché, quel que soit l’incrément de zoom sélectionné.

Les niveaux de zoom affichés dans la vue globale peuvent être configurés avec la propriété Apparence graphique -> Généralités runtime -> Pas de zoom pour vue globale.

Attention : Ce niveau de zoom s’applique à tous les types de synoptiques et cadres. Si un niveau de zoom défini est supérieur à 0, l’élément est uniquement affiché dans la vue globale, car les autres types de synoptique sont automatiquement appelés avec le niveau de zoom 0.

Plus de détails dans l’aide en ligne.

VT_BSTR

Stationname

Nom liste d'objets

L’élément est saisi directement dans la liste de stations du synoptique Vue globale, et le texte est saisi ici.

Plus de détails dans l’aide en ligne.

ZT_VARIABLE_DYN

LineColorVariable

Couleur de ligne

Nom des variables dont les couleurs de valeur limite doivent influencer la couleur de ligne/de texte de l’élément. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de variables.

Plus de détails dans l’aide en ligne.

ZT_PREVIEW

LineColorVarPreview

Affichage aperçu couleur

Affichage de la valeur limite pour la propriété Couleur de ligne définie pour la variable. Disponible uniquement si l’option Depuis la variable a été configurée pour la propriété Couleur de ligne.

Un aperçu des propriétés définies pour la valeur limite est affiché dans le champ. Aucun aperçu n’est affiché pour les matrices de réaction.
Cliquez sur le bouton ... pour ouvrir la boîte de dialogue d’affichage des résultats. Les valeurs limite sont uniquement affichées ; elles ne peuvent pas être modifiées. Les modifications doivent être effectuées directement dans les propriétés de la variable pour Valeurs limite.

Plus de détails dans l’aide en ligne.

ZT_VARIABLE_DYN

BackColorVariable

Couleur de remplissage

Nom de la variable dont les couleurs de valeur limite doivent influencer la couleur d’arrière-plan/de remplissage de l’élément.
Ouvre la boîte de dialogue de sélection de variables.

Plus de détails dans l’aide en ligne.

ZT_PREVIEW

BackColorVarPreview

Affichage aperçu couleur

Affichage de la valeur limite pour la propriété Couleur de remplissage définie pour la variable. Disponible uniquement si l’option Depuis la variable a été configurée pour la propriété Couleur de remplissage.

Un aperçu des propriétés définies pour la valeur limite est affiché dans le champ. Aucun aperçu n’est affiché pour les matrices de réaction.
Cliquez sur le bouton ... pour ouvrir la boîte de dialogue d’affichage des résultats. Les valeurs limite sont uniquement affichées ; elles ne peuvent pas être modifiées. Les modifications doivent être effectuées directement dans les propriétés de la variable pour Valeurs limite.

Plus de détails dans l’aide en ligne.

VT_UI1

HorizontalOrigin

Horizontal

Point de référence horizontal de l’événement. Les valeurs possibles sont : gauche, centré, droite.
Ce point est utilisé en tant que base de calcul de l’angle de départ de la rotation (statique et dynamique) et pour le changement dynamique de taille.

Par défaut : À gauche

Plus de détails dans l’aide en ligne.

VT_UI1

VerticalOrigin

Vertical

Point de référence vertical de l’événement. Les valeurs possibles sont : haut, centré, bas.
Ce point est utilisé en tant que base de calcul de l’angle de départ de la rotation (statique et dynamique) et pour le changement dynamique de taille.

Par défaut : En haut

Plus de détails dans l’aide en ligne.

VT_UI4

VisibilityType

Visibilité

Sélection depuis laquelle la visibilité d’un élément est déterminée :

  • Depuis une variable
  • Du verrrouillage

Par défaut : Depuis une variable

Plus de détails dans l’aide en ligne.

ZT_VARIABLE_DYN

VisibilityVariable

Variable

Disponible uniquement si l’option Depuis la variable a été configurée pour la propriété Visibilité.

Nom de la variable dont la valeur contrôle la visibilité de l’élément. La visibilité est soit reprise des propriétés de valeur limite de ces variables, soit définie par la plage de valeurs définie dans les propriétés de et À.
Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de variables. Vous pouvez également saisir manuellement le nom dans le champ de texte.
L'élément reste visible tant qu’aucune variable n’est liée.

Plus de détails dans l’aide en ligne.

ZT_PREVIEW

VisVarPreview

Affichage aperçu visibilité

Affichage des valeurs limite pour la visibilité définies pour la variable. Disponible uniquement si l’option Depuis la variable a été configurée pour la propriété Variable dans le groupe Visibilité.

Un aperçu des propriétés définies pour la valeur limite est affiché dans le champ. Aucun aperçu n’est affiché pour les matrices de réaction.
Cliquez sur le bouton ... pour ouvrir la boîte de dialogue d’affichage des résultats. Les valeurs limite sont uniquement affichées ; elles ne peuvent pas être modifiées. Les modifications doivent être effectuées directement dans les propriétés de la variable pour Valeurs limite.

Plus de détails dans l’aide en ligne.

VT_BOOL

VisibilityFromLimit

A partir des valeurs limites

Uniquement disponible après la sélection d’une variable :

  • Active : La visibilité de l’élément est influencée par la propriété de valeur limite de la variable.

    Attention : La propriété Invisible doit être active pour au moins une valeur limite de la variable.

  • Inactive : la visibilité est influencée par les propriétés de l’élément.

Par défaut : active

Plus de détails dans l’aide en ligne.

VT_R8

VisibilityFrom

de

Disponible uniquement après la sélection d’une variable, si la visibilité n’a pas été reprise par la valeur limite :

Valeur minimum de la variable à laquelle l’élément est visible.

  • Minimum : valeur minimum possible de la variable liée.
  • Maximum : valeur maximum possible de la variable liée.

Par défaut : valeur minimum possible de la variable liée.

Plus de détails dans l’aide en ligne.

VT_R8

VisibilityTo

À

Disponible uniquement après la sélection d’une variable, si la visibilité n’a pas été reprise par la valeur limite :

Valeur maximale de la variable à laquelle l’élément est visible.

  • Minimum : valeur minimum possible de la variable liée.
  • Maximum : valeur maximum possible de la variable liée.

Par défaut : valeur maximum possible de la variable liée.

Plus de détails dans l’aide en ligne.

VT_UI4

Interlocking

Verrouillage

Disponible uniquement si l’option Depuis le verrouillage est sélectionnée pour la propriété Visibilité.

Nom du verrouillage dont la valeur contrôle la visibilité de l’élément. Sélectionnez dans la liste déroulante. Celle-ci contient tous les verrouillages existants et utilisables. L’élément est toujours visible si aucun verrouillage n’est lié.

Plus de détails dans l’aide en ligne.

VT_BSTR

InterlockingName

InterlockingName

Description

VT_BOOL

VisibleWhenInterlocked

Visible si verrouillé

Contrôle la visibilité de l’élément lorsque le verrouillage est sélectionné :

  • Active : L’élément est visible s’il est verrouillé.
  • Inactive : L’élément est visible s’il n’est pas verrouillé.

Par défaut : inactive

Plus de détails dans l’aide en ligne.

ZT_VARIABLE_DYN

BlinkVariable

Affichage aperçu clignotement

Affichage des valeurs limite pour le clignotement définies pour la variable. Disponible uniquement si l’option Depuis la variable a été configurée pour la propriété Prendre le clignotement de la limite.

Un aperçu des propriétés définies pour la valeur limite est affiché dans le champ. Aucun aperçu n’est affiché pour les matrices de réaction.
Cliquez sur le bouton ... pour ouvrir la boîte de dialogue d’affichage des résultats. Les valeurs limite sont uniquement affichées ; elles ne peuvent pas être modifiées. Les modifications doivent être effectuées directement dans les propriétés de la variable pour Valeurs limite.

Plus de détails dans l’aide en ligne.

ZT_PREVIEW

BlinkVarPreview

Affichage aperçu clignotement

Affichage des valeurs limite pour le clignotement définies pour la variable. Disponible uniquement si l’option Depuis la variable a été configurée pour la propriété Prendre le clignotement de la limite.

Un aperçu des propriétés définies pour la valeur limite est affiché dans le champ. Aucun aperçu n’est affiché pour les matrices de réaction.
Cliquez sur le bouton ... pour ouvrir la boîte de dialogue d’affichage des résultats. Les valeurs limite sont uniquement affichées ; elles ne peuvent pas être modifiées. Les modifications doivent être effectuées directement dans les propriétés de la variable pour Valeurs limite.

Plus de détails dans l’aide en ligne.

VT_BOOL

UseBlinkColor

Couleur de clignotement par la limite

Active : Reprend la couleur d’arrière-plan du clignotement défini pour la valeur limite active de la variable pour Prendre le clignotement de la limite. Durant le clignotement, l’élément ne devient pas invisible, mais reprend la couleur d’arrière-plan active.

Par défaut : Inactive

Remarque : la couleur n’est pas prise en compte si la couleur d’arrière-plan Transparence est configurée.

Plus de détails dans l’aide en ligne.

ZT_VARIABLE_DYN

XVariable

Variable

Nom de la variable utilisée pour le déplacement horizontal de l’élément.
Ouvre la boîte de dialogue de sélection de variables.

Plus de détails dans l’aide en ligne.

VT_R8

XVarMin

Valeur min de la variable

Valeur minimale de la variable utilisée pour le déplacement horizontal de l’élément.

Plus de détails dans l’aide en ligne.

VT_R8

XVarMax

Valeur max de la variable

Valeur maximale de la variable utilisée pour le déplacement horizontal de l’élément.

Plus de détails dans l’aide en ligne.

VT_I4

XViewMin

Mouvement min [pixels]

Position horizontale de l’élément pour la valeur minimale de la variable (en pixels).

Plus de détails dans l’aide en ligne.

VT_I4

XViewMax

Mouvement max [pixels]

Position horizontale de l’élément pour la valeur minimale de la variable (en pixels).

Plus de détails dans l’aide en ligne.

ZT_VARIABLE_DYN

YVariable

Variable

Nom de la variable utilisée pour le déplacement vertical de l’élément.
Ouvre la boîte de dialogue de sélection de variables.

Plus de détails dans l’aide en ligne.

VT_R8

YVarMin

Valeur min de la variable

Valeur minimale de la variable utilisée pour le déplacement vertical de l’élément.

Plus de détails dans l’aide en ligne.

VT_R8

YVarMax

Valeur max de la variable

Valeur maximale de la variable utilisée pour le déplacement vertical de l’élément.

Plus de détails dans l’aide en ligne.

VT_I4

YViewMin

Mouvement min [pixels]

Position verticale de l’élément pour la valeur minimale de la variable (en pixels).

Plus de détails dans l’aide en ligne.

VT_I4

YViewMax

Mouvement max [pixels]

Position verticale de l’élément pour la valeur maximale de la variable (en pixels).

Plus de détails dans l’aide en ligne.

ZT_VARIABLE_DYN

XZoomVariable

Variable

Nom de la variable utilisée pour l’agrandissement de la largeur de l’élément.
Ouvre la boîte de dialogue de sélection de variables.

Plus de détails dans l’aide en ligne.

VT_R8

XZoomVarMin

Valeur min de la variable

Valeur minimale de la variable utilisée pour effectuer un zoom à la largeur de l’élément.

Plus de détails dans l’aide en ligne.

VT_R8

XZoomVarMax

Valeur max de la variable

Valeur maximale de la variable utilisée pour effectuer un zoom sur la largeur de l’élément.

Plus de détails dans l’aide en ligne.

VT_I4

XZoomViewMin

Largeur min [%]

Facteur de zoom correspondant à la largeur de l’élément pour la valeur minimale de la variable (en pixels).

Plus de détails dans l’aide en ligne.

VT_I4

XZoomViewMax

Largeur max [%]

Facteur de zoom correspondant à la largeur de l’élément pour la valeur maximale de la variable (en pixels).

Plus de détails dans l’aide en ligne.

ZT_VARIABLE_DYN

YZoomVariable

Variable

Nom de la variable utilisée pour l’agrandissement de la hauteur de l’élément.
Ouvre la boîte de dialogue de sélection de variables.

Plus de détails dans l’aide en ligne.

VT_R8

YZoomVarMin

Valeur min de la variable

Valeur minimum de la variable utilisée pour effectuer un zoom sur la hauteur de l’élément.

Plus de détails dans l’aide en ligne.

VT_R8

YZoomVarMax

Valeur max de la variable

Valeur maximum de la variable utilisée pour effectuer un zoom sur la hauteur de l’élément.

Plus de détails dans l’aide en ligne.

VT_I4

YZoomViewMin

Hauteur min [%]

Facteur de zoom correspondant à la hauteur de l’élément pour la valeur minimum de la variable (en %).

Plus de détails dans l’aide en ligne.

VT_I4

YZoomViewMax

Hauteur max [%]

Facteur de zoom correspondant à la hauteur de l’élément pour la valeur maximale de la variable (en pixels).

Plus de détails dans l’aide en ligne.

ZT_VARIABLE_DYN

TwistVariable

Variable

Nom de la variable utilisée pour la rotation de l’élément.

Plus de détails dans l’aide en ligne.

VT_R8

TwistVarMin

Valeur min de la variable

Valeur minimum de la variable utilisée pour la rotation de l’élément.

Plus de détails dans l’aide en ligne.

VT_R8

TwistVarMax

Valeur max de la variable

Valeur maximale de la variable utilisée pour la rotation de l’élément.

Plus de détails dans l’aide en ligne.

VT_I4

TwistViewMin

Rotation min [°]

Angle de rotation de l’élément pour la valeur minimum de la variable (en °).

Plus de détails dans l’aide en ligne.

VT_I4

TwistViewMax

Rotation max [°]

Angle de rotation de l’élément pour la valeur maximum de la variable (en °).

Plus de détails dans l’aide en ligne.

ZT_STYLE

ShadowEffectStyle

Style effet cadres/ombres

Affichage et sélection du style de cadre et d’ombre attribué à l’élément.

Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de style.
Si plusieurs éléments ont été sélectionnés, ils peuvent être attribués à un style commun.

Remarque : Seules les propriétés compatibles avec l’élément correspondant sont prises en charge.

Plus de détails dans l’aide en ligne.

VT_BOOL

EnablePunchFrame

Afficher le cadre

A frame around the element can be displayed.
Default: inactive.

ZT_STYLE

GlowEffectStyle

Style effet de rayonnement

Affichage et sélection du style des effets de luminescence attribués à l’élément.

Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de style.
Si plusieurs éléments ont été sélectionnés, ils peuvent être attribués à un style commun.

Remarque : Seules les propriétés compatibles avec l’élément correspondant sont prises en charge.

Plus de détails dans l’aide en ligne.

VT_BOOL

GlowEffectEvent

Actif seulement si cliqué

Disponible uniquement si la propriété Activer est active et l’élément est un bouton.

Active : l’effet de luminescence est uniquement affiché lorsque l’utilisateur clique sur le bouton. Cliquer sur le bouton permet de modifier la couleur, le clignotement ou l’invisibilité de l’effet de luminescence.

Par défaut : Inactive

Plus de détails dans l’aide en ligne.

ZT_VARIABLE_DYN

GlowEffectGlowColorVariable

Variable pour la couleur

Disponible uniquement si la propriété Activer est active. La propriété Coloration doit être activée.

Nom de la variable dont la couleur aux valeurs limites doit influencer la couleur de l’effet de luminescence pour l’élément. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de variables. Vous pouvez également saisir le nom manuellement dans le champ de texte. Si aucune variable n’est liée, la couleur définie dans la propriété Couleur est utilisée.

Par défaut : aucune variable liée

Plus de détails dans l’aide en ligne.

ZT_PREVIEW

GlowEffectGlowColorVariablePreview

Affichage aperçu couleur

Affichage de la valeur limite définie pour la variable de couleur lorsque l’effet de luminescence est actif. Disponible uniquement si l’option Depuis la variable a été configurée pour la propriété Variable pour la couleur.

Un aperçu des propriétés définies pour la valeur limite est affiché dans le champ. Aucun aperçu n’est affiché pour les matrices de réaction.
Cliquez sur le bouton ... pour ouvrir la boîte de dialogue d’affichage des résultats. Les valeurs limite sont uniquement affichées ; elles ne peuvent pas être modifiées. Les modifications doivent être effectuées directement dans les propriétés de la variable pour Valeurs limite.

Plus de détails dans l’aide en ligne.

ZT_VARIABLE_DYN

GlowEffectVisibilityVariable

Variable pour la visibilité

Disponible uniquement si la propriété Activer est active.

Nom de la variable dont la valeur influence la visibilité de l’effet de luminescence. La visibilité est soit reprise des propriétés de valeur limite de cette variable (propriété Visibilité depuis valeur limite active), soit définie par la plage de valeurs définie dans les propriétés Visible de et Visible jusqu'à. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de variables. Vous pouvez également saisir le nom manuellement dans le champ de texte.

Remarque : si aucune variable n’est liée, l’effet de luminescence est toujours visible.

Par défaut : aucune variable liée

Plus de détails dans l’aide en ligne.

ZT_PREVIEW

GlowEffectVisibilityVariablePreview

Affichage aperçu visibilité

Affichage de la valeur limite définie pour la variable de visibilité lorsque l’effet de luminescence est actif. Disponible uniquement si l’option Depuis la variable a été configurée pour la propriété Variable pour la visibilité.

Un aperçu des propriétés définies pour la valeur limite est affiché dans le champ. Aucun aperçu n’est affiché pour les matrices de réaction.
Cliquez sur le bouton ... pour ouvrir la boîte de dialogue d’affichage des résultats. Les valeurs limite sont uniquement affichées ; elles ne peuvent pas être modifiées. Les modifications doivent être effectuées directement dans les propriétés de la variable pour Valeurs limite.

Plus de détails dans l’aide en ligne.

VT_BOOL

GlowEffectVisibilityFromLimit

Visibilité depuis valeur limite

Disponible uniquement si la propriété Activer est active. Vous devez en outre définir une variable dans la propriété Variable pour la visibilité.

Active : La visibilité de l’effet de luminescence est influencée par la propriété de valeur limite de la variable.

Attention : Pour une valeur limite de la variable au moins, la propriété Invisible doit être active.

Inactive : la visibilité est influencée par les propriétés de l’élément.

Plus de détails dans l’aide en ligne.

VT_R8

GlowEffectVisibilityFrom

Visible de

Disponible uniquement si la propriété Activer est active. Vous devez en outre définir une variable dans la propriété Variable pour la visibilité ; la propriété Visibilité depuis valeur limite doit être inactive.

Définit la valeur à partir de laquelle l’effet de luminescence devient visible.
Minimum : valeur la moins élevée autorisée pour la variable liée dans Variable pour la visibilité.
Maximum : valeur la moins élevée autorisée pour la variable liée dans Variable pour la visibilité.
Par défaut : valeur la plus élevée autorisée pour la variable liée dans Variable pour la visibilité.

Plus de détails dans l’aide en ligne.

VT_R8

GlowEffectVisibilityTo

Visible jusqu'à

Disponible uniquement si la propriété Activer est active. Vous devez en outre définir une variable dans la propriété Variable pour la visibilité ; la propriété Visibilité depuis valeur limite doit être inactive.

Définit la valeur jusqu’à laquelle l’effet de luminescence reste visible.
Minimum : valeur la plus basse autorisée pour la variable liée dans Variable pour la visibilité.
Maximum : valeur la plus élevée autorisée pour la variable liée dans Variable pour la visibilité.
Par défaut : valeur la plus élevée autorisée pour la variable liée dans Variable pour la visibilité.

Plus de détails dans l’aide en ligne.

ZT_VARIABLE_DYN

GlowEffectBlinkVariable

Variable pour le clignotement

Variables dont les paramètres de clignotement de l’effet de luminescence aux valeurs limites doivent être repris. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de variables.

Par défaut : aucune variable liée

Plus de détails dans l’aide en ligne.

ZT_PREVIEW

GlowEffectBlinkVariablePreview

Affichage aperçu clignotement

Affichage de la valeur limite définie pour la variable de clignotement lorsque l’effet de luminescence est actif. Disponible uniquement si l’option Depuis la variable a été configurée pour la propriété Variable pour le clignotement.

Un aperçu des propriétés définies pour la valeur limite est affiché dans le champ. Aucun aperçu n’est affiché pour les matrices de réaction.
Cliquez sur le bouton ... pour ouvrir la boîte de dialogue d’affichage des résultats. Les valeurs limite sont uniquement affichées ; elles ne peuvent pas être modifiées. Les modifications doivent être effectuées directement dans les propriétés de la variable pour Valeurs limite.

Plus de détails dans l’aide en ligne.

VT_BOOL

GlowEffectUseBlinkColor

Clignotement depuis valeur limite

Disponible uniquement si la propriété Activer est active. Vous devez en outre définir une variable dans la propriété Variable pour le clignotement.

Active : Reprend, pour l’effet de luminescence, la couleur de clignotement de la valeur limite active pour la variable définie dans la propriété Couleur de clignotement par la limite. Cette propriété agit indépendamment de la propriété Coloration. En cas de clignotement, l’effet de luminescence ne devient pas invisible, mais reprend les paramètres de l’effet de luminescence actif.

Par défaut : Inactive

Plus de détails dans l’aide en ligne.

VT_BOOL

GlowEffect2ndBlinkStateVisible

2 états de clignotement invisibles

Disponible uniquement si la propriété Activer est active. Vous devez en outre définir une variable dans la propriété Variable pour le clignotement ; la propriété Clignotement depuis valeur limite doit être inactive.

Active : En cas de clignotement, l’effet de luminescence ne bascule pas vers l’effet de luminescence actif, mais devient invisible. Ceci permet de basculer entre l’invisibilité et la couleur de clignotement en cas de dépassement de la valeur limite.

Par défaut : Inactive

Plus de détails dans l’aide en ligne.


Tube

Manuel -> Interfaces de programmation -> Modèles d'objet -> Element -> Element-Dynamic properties -> Tube

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Type

VBA/VSTA Name

Display Name

Description

VT_BSTR

Coordinates

"With this property you can get/set the coordinates of the element via a string.
zElement.DynProperties(""Coordinates"") = ""197/118;260/200"""

VT_R4

SplineTension

Arrondir

Disponible uniquement si la propriété de projet Qualité graphique a été définie sur DirectX Hardware ou DirectX Software.

Définit l’arrondi des polylignes, polygones et tubes.

Valeurs : 0,0 (pas d’arrondi) à 1,0 (arrondi maximal)

Par défaut : 0

Plus de détails dans l’aide en ligne.

ZT_COLOR

LineColor

Couleur de ligne

Line color of the element.

VT_UI2

Offset_H

Distance horiz. [pixels]

Distance horizontale entre la fin de l’arrondi et le coin, en pixels.

Plus de détails dans l’aide en ligne.

VT_UI2

Offset_V

Distance vertic. [pixels]

Distance verticale entre la fin de l’arrondi du coin, en pixels.

Plus de détails dans l’aide en ligne.

ZT_STYLE

LineStyle

Style de ligne

Affichage et sélection du style de ligne attribué à l’élément.

Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de style.
Si plusieurs éléments ont été sélectionnés, ils peuvent être attribués à un style commun.

Remarque : Seules les propriétés compatibles avec l’élément correspondant sont prises en charge.

Plus de détails dans l’aide en ligne.

ZT_STYLE

FillStyle

Style de remplissage

Affichage et sélection du style de remplissage attribué à l’élément.

Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de style.
Si plusieurs éléments ont été sélectionnés, ils peuvent être attribués à un style commun.

Remarque : Seules les propriétés compatibles avec l’élément correspondant sont prises en charge.

Plus de détails dans l’aide en ligne.

VT_I2

Align

Alignement

Direction of color shift.
horizontal
vertical

VT_I2

Shifted

Gradient de couleur 'décalé'

Wie weit soll der Lichteffekt von der Mitte des Elements versetzt sein.

Mehr im Online-Handbuch

VT_BOOL

Brightness

Par les valeurs de luminosité

Disponible uniquement si l’élément Remplissage (type) a été sélectionné pour la propriété Dégradé de couleurs.

Active : la luminosité du dégradé de couleurs peut être librement définie.
Inactive : la luminosité du dégradé de couleurs est définie automatiquement.

Remarque : le motif de remplissage ne peut plus être modifié si cette propriété est active. Il est également impossible de définir des coins arrondis. Si cette option est activée pour un élément utilisant des coins arrondis, l’élément est affiché avec des coins non arrondis.

Plus de détails dans l’aide en ligne.

VT_UI1

OuterBrightness

Luminosité à l'extérieur

Disponible uniquement si la propriété Par les valeurs de luminosité est active :
Luminosité au niveau du bord extérieur de l’élément.

Plus de détails dans l’aide en ligne.

VT_UI1

InnerBrightness

Luminosité à l'intérieur

Disponible uniquement si la propriété Par les valeurs de luminosité est active :
Luminosité au centre de l’élément.

Plus de détails dans l’aide en ligne.

VT_BOOL

ALCUseColor

Couleur définie par CAL

Disponible uniquement si vous possédez une licence pour la fonctionnalité Coloration Automatique des Lignes (CAL) :
Active : La couleur automatique de la source liée est utilisée.
Inactive : La couleur standard est utilisée.
Par défaut : inactive.

Plus de détails dans l’aide en ligne.

VT_I2

ALCPrecedence

Priorité pour l'affichage

Disponible uniquement si la propriété Couleur définie par CAL est active.

Définit la priorité de l’affichage lorsque l’élément est connecté à plusieurs sources actives.
Plusieurs sources d’alimentation : L’élément est affiché selon les règles de l’alimentation sécurisée.
Source d’alimentation sécurisée : L’élément est affiché selon les règles de l’alimentation sécurisée.
Aucune priorité : Les règles de coloration des paramètres Alimentation multiple et Alimentation sécurisée sont appliquées simultanément, si les deux critères sont satisfaits.

Par défaut : Alimentation multiple
Plus de détails dans l’aide en ligne.

VT_I2

ALCMultiSource

Affichage alimentation multiple

Disponible uniquement si la propriété Couleur définie par CAL est active.
Définit le type d’affichage lorsque l’élément est connecté à plusieurs sources :
Source la plus prioritaire : Seule la couleur de la source la plus prioritaire est utilisée.
Deux sources les plus prioritaires : Les différentes couleurs des deux sources comportant les priorités les plus élevées sont affichées sous forme de trait tireté.
Couleur de remplacement : Couleur de remplacement pour la fonction CAL avec des alimentations multiples.

Par défaut : La source la plus prioritaire

Plus de détails dans l’aide en ligne.

VT_I2

ALCDashLen

Longueur de pointillé fournie plusieurs fois

Disponible uniquement si la propriété Affichage alimentation multiple possède la valeur Deux sources antérieures les plus élevées.

Définit la longueur en pixels du trait tireté associé à la fonction CAL avec une alimentation multiple.

Minimum : 0 (longueur des tirets automatique)

Maximum : 32767

Par défaut : 0

Plus de détails dans l’aide en ligne.

ZT_COLOR

ALCAlternativeColor

Couleur alternative

Disponible uniquement si la propriété Affichage alimentation multiple possède la valeur Couleur de remplacement.

Couleur de remplacement pour la fonction CAL avec des alimentations multiples.

Plus de détails dans l’aide en ligne.

VT_I2

ALCMSecuredSupply

Affichage alimentation sécurisée

Disponible uniquement si Couleur définie par CAL est activée.

Définition de l’affichage de l’alimentation sécurisée :

  • double épaisseur
  • double luminosité
  • normal

Par défaut : normal

Plus de détails dans l’aide en ligne.

VT_BOOL

ALCAlias

Alias

Disponible uniquement si la propriété Couleur définie par CAL est active.

Élément source défini pour la propriété Utiliser alias. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue et sélectionner un élément existant.
Remarque : Les alias ne peuvent pas être utilisés pour des symboles dans la bibliothèque générale de symboles ou la bibliothèque de symboles du projet.

Plus de détails dans l’aide en ligne.

VT_BSTR

ALCAliasName

Alias

Disponible uniquement si la propriété Couleur définie par CAL est active.

Élément source défini pour la propriété Utiliser alias. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue et sélectionner un élément existant.
Remarque : Les alias ne peuvent pas être utilisés pour des symboles dans la bibliothèque générale de symboles ou la bibliothèque de symboles du projet.

Plus de détails dans l’aide en ligne.

VT_R8

ALCReact

Valeur de réactance du câble [Ohm]

Valeur maximale de réactance autorisée de la ligne, en ohms.

Plus de détails dans l’aide en ligne.

VT_R8

ALCResist

Valeur de la résistance de la ligne électrique [Ohm]

Valeur maximale de résistance autorisée de la ligne, en ohms.

Plus de détails dans l’aide en ligne.

VT_R8

ALCLength

Longueur de la ligne [km]

Ligne CAL : longueur de la ligne.

Plus de détails dans l’aide en ligne.

VT_I2

ALCMaxIType

Limite de la capacité de transport de courant

Commutation CAL : valeur limite de la capacité actuelle (sélection fixe/variable).

Plus de détails dans l’aide en ligne.

VT_R8

ALCMaxIVal

Limite fixe de la capacité de transport de courant [A]

Commutation CAL : Capacité de transport de courant définie par une valeur limite.

Plus de détails dans l’aide en ligne.

ZT_VARIABLE_DYN

ALCVarMaxI

Valeur limite dynamique pour la capacité de transport de courant

More...

ALCVarMaxIEx

ALCVarMaxIEx

ZT_VARIABLE_DYN

ALCVarCalcI

Valeur de la mesure du flux de courant calculé

Ligne CAL : Valeur de la mesure du flux de courant calculé.

Plus de détails dans l’aide en ligne.

More...

ALCVarCalcIEx

ALCVarCalcIEx

ALC Leitung: Messwert des berechneten Stromflusses für Export.

Mehr in der Online-Hilfe.

ZT_STYLE

StyleGroup

Groupe de styles

Affichage et sélection du groupe de styles attribué à l’élément.
Cliquez sur le bouton ... pour ouvrir la boîte de dialogue permettant de sélectionner un groupe de styles.
Si plusieurs éléments sont sélectionnés, elles peuvent être attribuées à un groupe de styles commun.

Remarque : Seules les propriétés compatibles avec l’élément correspondant sont prises en charge.

Plus de détails dans l’aide en ligne.

More...

LnClVariable

LnClVariable

"With this property you have the opportunity to get informations about the variable which is linked as ""line/text color"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""LnClVariable.SymVarName"") 'Return the name of the ""line/text color"" variable
zElement.DynProperties (""LnClVariable.SymVarTagNr"") 'Return the identification of the ""line/text color"" variable"

More...

BkClVariable

BkClVariable

"With this property you have the opportunity to get informations about the variable which is linked as ""background/filling color"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""BkClVariable.SymVarName"") 'Return the name of the ""background/filling color"" variable
zElement.DynProperties (""BkClVariable.SymVarTagNr"") 'Return the identification of the ""background/filling color"" variable"

More...

BkCl2Variable

"BkCl2Variable"

More...

XVar

XVar

"With this property you have the opportunity to get informations about the variable which is linked as ""dynamic x position"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""XVar.SymVarName"") 'Return the name of the ""dynamic x position"" variable
zElement.DynProperties (""XVar.SymVarTagNr"") 'Return the identification of the ""dynamic x position"" variable"

More...

YVar

YVar

"With this property you have the opportunity to get informations about the variable which is linked as ""dynamic y position"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""YVar.SymVarName"") 'Return the name of the ""dynamic y position"" variable
zElement.DynProperties (""YVar.SymVarTagNr"") 'Return the identification of the ""dynamic y position"" variable"

More...

XVarZoom

XVarZoom

"With this property you have the opportunity to get informations about the variable which is linked as ""change width"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""XVarZoom.SymVarName"") 'Return the name of the ""change width"" variable
zElement.DynProperties (""XVarZoom.SymVarTagNr"") 'Return the identification of the ""change width"" variable"

More...

YVarZoom

YVarZoom

"With this property you have the opportunity to get informations about the variable which is linked as ""change height"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""YVarZoom.SymVarName"") 'Return the name of the ""change height"" variable
zElement.DynProperties (""YVarZoom.SymVarName"") 'Return the name of the ""change height"" variable
zElement.DynProperties (""YVarZoom.SymVarTagNr"") 'Return the identification of the ""change height"" variable"

More...

TwistVar

TwistVar

"With this property you have the opportunity to get informations about the variable which is linked as ""rotate"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""TwistVar.SymVarName"") 'Return the name of the ""rotate"" variable
zElement.DynProperties (""TwistVar.SymVarTagNr"") 'Return the identification of the ""rotate"" variable"

More...

VisVariable

VisVariable

"With this property you have the opportunity to get informations about the variable which is linked as ""visibility"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""VisVariable.SymVarName"") 'Return the name of the ""visibility"" variable
zElement.DynProperties (""VisVariable.SymVarTagNr"") 'Return the identification of the ""visibility"" variable"

More...

BlinkVar

BlinkVar

More...

GlowEffectGlowColorVar

GlowEffectGlowColorVar

More...

GlowEffectVisibilityVar

GlowEffectVisibilityVar

More...

GlowEffectBlinkVar

GlowEffectBlinkVar

VT_BSTR

Name

Nom d'élément

Attribuez un nom d’élément.
Il ne doit pas être vide.

Attention : Cette propriété n’est pas disponible aux fins de la commutation de langue.

Remarques concernant les cadrans : Pour les conteneurs de synoptique, spécifiez des noms clairement identifiables pour faciliter la sélection lors de la configuration des appels de synoptique.

Plus de détails dans l’aide en ligne.

VT_UI1

Layer

Niveau de visibilité

Sélectionnez l’un des 16 niveaux de visibilité (0 à 15) dans la liste déroulante. À l’aide de la barre d’outils Niveau de visibilité, vous décidez des niveaux qui doivent être affichés dans Editor. Cette fonction garantit que les synoptiques les plus complexes peuvent être développés de manière simple. Les niveaux peuvent être utilisés immédiatement. Les niveaux n’ont aucune influence sur les informations affichées au premier plan ou en arrière-plan dans le Runtime.
Par défaut : 0.

Plus de détails dans l’aide en ligne.

VT_I4

StartX

Point de départ X [pixels]

Coordonnée Y du coin supérieur gauche du synoptique (en pixels).

Plus de détails dans l’aide en ligne.

VT_I4

EndX

Point final X [pixels]

Coordonnée X du coin inférieur droit du synoptique (en pixels).

Plus de détails dans l’aide en ligne.

VT_I4

StartY

Point de départ Y [pixels]

Coordonnée Y du coin supérieur gauche du synoptique (en pixels).

Plus de détails dans l’aide en ligne.

VT_I4

EndY

Point final Y [pixels]

Coordonnée Y du coin inférieur droit du synoptique (en pixels).

Plus de détails dans l’aide en ligne.

VT_I4

Width

Largeur [pixels]

Largeur des éléments en pixels.

Remarque : disponible uniquement pour les éléments Combinaison multiple, Élément combiné, Bouton et Interrupteur si la valeur Ajusté a été sélectionnée pour la propriété Taille du graphique.

Plus de détails dans l’aide en ligne.

VT_I4

Height

Hauteur [pixels]

Hauteur des éléments en pixels.

Remarque : disponible uniquement pour les éléments Combinaison multiple, Élément combiné, Bouton et Interrupteur si la valeur Ajusté a été sélectionnée pour la propriété Taille du graphique.

Plus de détails dans l’aide en ligne.

VT_I4

Angle

Angle de rotation [°]

Angle libre autour selon lequel doit pivoter l’élément.
Les valeurs positives correspondent à une rotation dans le sens antihoraire, tandis que les valeurs négatives correspondent à une rotation dans le sens horaire. Les valeurs supérieures à 360° sont affichées sous forme d’écart par rapport à 360° (400° correspond à 40°). Seuls les nombres entiers sont autorisés.

Sur les éléments pivotés, les actions suivantes ne sont plus possibles :

  • Miroir
  • Rotation de +/- 90°
  • Redimensionnement à l’aide des touches fléchées

Par défaut : 0

Remarque : Ce paramètre est activé et réinitialisé lors de la configuration pour Windows CE.

Plus de détails dans l’aide en ligne.

VT_I2

ZoomMin

Visible de

Incrément de zoom le plus bas auquel l’élément est visible dans la vue globale.
Par défaut : -1
Une valeur de visibilité avec des incréments de zoom de -1 à -1 signifie que l’élément est affiché, quel que soit l’incrément de zoom sélectionné.

Les niveaux de zoom affichés dans la vue globale peuvent être configurés avec la propriété Apparence graphique -> Généralités runtime -> Pas de zoom pour vue globale.

Attention : Ce niveau de zoom s’applique à tous les types de synoptiques et cadres. Si un niveau de zoom défini est supérieur à 0, l’élément est uniquement affiché dans la vue globale, car les autres types de synoptique sont automatiquement appelés avec le niveau de zoom 0.

Plus de détails dans l’aide en ligne.

VT_I2

ZoomMax

Visible jusqu'à

Incrément de zoom le plus élevé auquel l’élément est visible dans la vue globale.

Par défaut : -1
Une valeur de visibilité avec des incréments de zoom de -1 à -1 signifie que l’élément est affiché, quel que soit l’incrément de zoom sélectionné.

Les niveaux de zoom affichés dans la vue globale peuvent être configurés avec la propriété Apparence graphique -> Généralités runtime -> Pas de zoom pour vue globale.

Attention : Ce niveau de zoom s’applique à tous les types de synoptiques et cadres. Si un niveau de zoom défini est supérieur à 0, l’élément est uniquement affiché dans la vue globale, car les autres types de synoptique sont automatiquement appelés avec le niveau de zoom 0.

Plus de détails dans l’aide en ligne.

VT_BSTR

Stationname

Nom liste d'objets

L’élément est saisi directement dans la liste de stations du synoptique Vue globale, et le texte est saisi ici.

Plus de détails dans l’aide en ligne.

ZT_VARIABLE_DYN

LineColorVariable

Couleur de ligne

Nom des variables dont les couleurs de valeur limite doivent influencer la couleur de ligne/de texte de l’élément. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de variables.

Plus de détails dans l’aide en ligne.

ZT_PREVIEW

LineColorVarPreview

Affichage aperçu couleur

Affichage de la valeur limite pour la propriété Couleur de ligne définie pour la variable. Disponible uniquement si l’option Depuis la variable a été configurée pour la propriété Couleur de ligne.

Un aperçu des propriétés définies pour la valeur limite est affiché dans le champ. Aucun aperçu n’est affiché pour les matrices de réaction.
Cliquez sur le bouton ... pour ouvrir la boîte de dialogue d’affichage des résultats. Les valeurs limite sont uniquement affichées ; elles ne peuvent pas être modifiées. Les modifications doivent être effectuées directement dans les propriétés de la variable pour Valeurs limite.

Plus de détails dans l’aide en ligne.

ZT_VARIABLE_DYN

BackColorVariable

Couleur de remplissage

Nom de la variable dont les couleurs de valeur limite doivent influencer la couleur d’arrière-plan/de remplissage de l’élément.
Ouvre la boîte de dialogue de sélection de variables.

Plus de détails dans l’aide en ligne.

ZT_PREVIEW

BackColorVarPreview

Affichage aperçu couleur

Affichage de la valeur limite pour la propriété Couleur de remplissage définie pour la variable. Disponible uniquement si l’option Depuis la variable a été configurée pour la propriété Couleur de remplissage.

Un aperçu des propriétés définies pour la valeur limite est affiché dans le champ. Aucun aperçu n’est affiché pour les matrices de réaction.
Cliquez sur le bouton ... pour ouvrir la boîte de dialogue d’affichage des résultats. Les valeurs limite sont uniquement affichées ; elles ne peuvent pas être modifiées. Les modifications doivent être effectuées directement dans les propriétés de la variable pour Valeurs limite.

Plus de détails dans l’aide en ligne.

VT_UI1

HorizontalOrigin

Horizontal

Point de référence horizontal de l’événement. Les valeurs possibles sont : gauche, centré, droite.
Ce point est utilisé en tant que base de calcul de l’angle de départ de la rotation (statique et dynamique) et pour le changement dynamique de taille.

Par défaut : À gauche

Plus de détails dans l’aide en ligne.

VT_UI1

VerticalOrigin

Vertical

Point de référence vertical de l’événement. Les valeurs possibles sont : haut, centré, bas.
Ce point est utilisé en tant que base de calcul de l’angle de départ de la rotation (statique et dynamique) et pour le changement dynamique de taille.

Par défaut : En haut

Plus de détails dans l’aide en ligne.

VT_UI4

VisibilityType

Visibilité

Sélection depuis laquelle la visibilité d’un élément est déterminée :

  • Depuis une variable
  • Du verrrouillage

Par défaut : Depuis une variable

Plus de détails dans l’aide en ligne.

ZT_VARIABLE_DYN

VisibilityVariable

Variable

Disponible uniquement si l’option Depuis la variable a été configurée pour la propriété Visibilité.

Nom de la variable dont la valeur contrôle la visibilité de l’élément. La visibilité est soit reprise des propriétés de valeur limite de ces variables, soit définie par la plage de valeurs définie dans les propriétés de et À.
Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de variables. Vous pouvez également saisir manuellement le nom dans le champ de texte.
L'élément reste visible tant qu’aucune variable n’est liée.

Plus de détails dans l’aide en ligne.

ZT_PREVIEW

VisVarPreview

Affichage aperçu visibilité

Affichage des valeurs limite pour la visibilité définies pour la variable. Disponible uniquement si l’option Depuis la variable a été configurée pour la propriété Variable dans le groupe Visibilité.

Un aperçu des propriétés définies pour la valeur limite est affiché dans le champ. Aucun aperçu n’est affiché pour les matrices de réaction.
Cliquez sur le bouton ... pour ouvrir la boîte de dialogue d’affichage des résultats. Les valeurs limite sont uniquement affichées ; elles ne peuvent pas être modifiées. Les modifications doivent être effectuées directement dans les propriétés de la variable pour Valeurs limite.

Plus de détails dans l’aide en ligne.

VT_BOOL

VisibilityFromLimit

A partir des valeurs limites

Uniquement disponible après la sélection d’une variable :

  • Active : La visibilité de l’élément est influencée par la propriété de valeur limite de la variable.

    Attention : La propriété Invisible doit être active pour au moins une valeur limite de la variable.

  • Inactive : la visibilité est influencée par les propriétés de l’élément.

Par défaut : active

Plus de détails dans l’aide en ligne.

VT_R8

VisibilityFrom

de

Disponible uniquement après la sélection d’une variable, si la visibilité n’a pas été reprise par la valeur limite :

Valeur minimum de la variable à laquelle l’élément est visible.

  • Minimum : valeur minimum possible de la variable liée.
  • Maximum : valeur maximum possible de la variable liée.

Par défaut : valeur minimum possible de la variable liée.

Plus de détails dans l’aide en ligne.

VT_R8

VisibilityTo

À

Disponible uniquement après la sélection d’une variable, si la visibilité n’a pas été reprise par la valeur limite :

Valeur maximale de la variable à laquelle l’élément est visible.

  • Minimum : valeur minimum possible de la variable liée.
  • Maximum : valeur maximum possible de la variable liée.

Par défaut : valeur maximum possible de la variable liée.

Plus de détails dans l’aide en ligne.

VT_UI4

Interlocking

Verrouillage

Disponible uniquement si l’option Depuis le verrouillage est sélectionnée pour la propriété Visibilité.

Nom du verrouillage dont la valeur contrôle la visibilité de l’élément. Sélectionnez dans la liste déroulante. Celle-ci contient tous les verrouillages existants et utilisables. L’élément est toujours visible si aucun verrouillage n’est lié.

Plus de détails dans l’aide en ligne.

VT_BSTR

InterlockingName

InterlockingName

Description

VT_BOOL

VisibleWhenInterlocked

Visible si verrouillé

Contrôle la visibilité de l’élément lorsque le verrouillage est sélectionné :

  • Active : L’élément est visible s’il est verrouillé.
  • Inactive : L’élément est visible s’il n’est pas verrouillé.

Par défaut : inactive

Plus de détails dans l’aide en ligne.

ZT_VARIABLE_DYN

BlinkVariable

Affichage aperçu clignotement

Affichage des valeurs limite pour le clignotement définies pour la variable. Disponible uniquement si l’option Depuis la variable a été configurée pour la propriété Prendre le clignotement de la limite.

Un aperçu des propriétés définies pour la valeur limite est affiché dans le champ. Aucun aperçu n’est affiché pour les matrices de réaction.
Cliquez sur le bouton ... pour ouvrir la boîte de dialogue d’affichage des résultats. Les valeurs limite sont uniquement affichées ; elles ne peuvent pas être modifiées. Les modifications doivent être effectuées directement dans les propriétés de la variable pour Valeurs limite.

Plus de détails dans l’aide en ligne.

ZT_PREVIEW

BlinkVarPreview

Affichage aperçu clignotement

Affichage des valeurs limite pour le clignotement définies pour la variable. Disponible uniquement si l’option Depuis la variable a été configurée pour la propriété Prendre le clignotement de la limite.

Un aperçu des propriétés définies pour la valeur limite est affiché dans le champ. Aucun aperçu n’est affiché pour les matrices de réaction.
Cliquez sur le bouton ... pour ouvrir la boîte de dialogue d’affichage des résultats. Les valeurs limite sont uniquement affichées ; elles ne peuvent pas être modifiées. Les modifications doivent être effectuées directement dans les propriétés de la variable pour Valeurs limite.

Plus de détails dans l’aide en ligne.

VT_BOOL

UseBlinkColor

Couleur de clignotement par la limite

Active : Reprend la couleur d’arrière-plan du clignotement défini pour la valeur limite active de la variable pour Prendre le clignotement de la limite. Durant le clignotement, l’élément ne devient pas invisible, mais reprend la couleur d’arrière-plan active.

Par défaut : Inactive

Remarque : la couleur n’est pas prise en compte si la couleur d’arrière-plan Transparence est configurée.

Plus de détails dans l’aide en ligne.

ZT_VARIABLE_DYN

XVariable

Variable

Nom de la variable utilisée pour le déplacement horizontal de l’élément.
Ouvre la boîte de dialogue de sélection de variables.

Plus de détails dans l’aide en ligne.

VT_R8

XVarMin

Valeur min de la variable

Valeur minimale de la variable utilisée pour le déplacement horizontal de l’élément.

Plus de détails dans l’aide en ligne.

VT_R8

XVarMax

Valeur max de la variable

Valeur maximale de la variable utilisée pour le déplacement horizontal de l’élément.

Plus de détails dans l’aide en ligne.

VT_I4

XViewMin

Mouvement min [pixels]

Position horizontale de l’élément pour la valeur minimale de la variable (en pixels).

Plus de détails dans l’aide en ligne.

VT_I4

XViewMax

Mouvement max [pixels]

Position horizontale de l’élément pour la valeur minimale de la variable (en pixels).

Plus de détails dans l’aide en ligne.

ZT_VARIABLE_DYN

YVariable

Variable

Nom de la variable utilisée pour le déplacement vertical de l’élément.
Ouvre la boîte de dialogue de sélection de variables.

Plus de détails dans l’aide en ligne.

VT_R8

YVarMin

Valeur min de la variable

Valeur minimale de la variable utilisée pour le déplacement vertical de l’élément.

Plus de détails dans l’aide en ligne.

VT_R8

YVarMax

Valeur max de la variable

Valeur maximale de la variable utilisée pour le déplacement vertical de l’élément.

Plus de détails dans l’aide en ligne.

VT_I4

YViewMin

Mouvement min [pixels]

Position verticale de l’élément pour la valeur minimale de la variable (en pixels).

Plus de détails dans l’aide en ligne.

VT_I4

YViewMax

Mouvement max [pixels]

Position verticale de l’élément pour la valeur maximale de la variable (en pixels).

Plus de détails dans l’aide en ligne.

ZT_VARIABLE_DYN

XZoomVariable

Variable

Nom de la variable utilisée pour l’agrandissement de la largeur de l’élément.
Ouvre la boîte de dialogue de sélection de variables.

Plus de détails dans l’aide en ligne.

VT_R8

XZoomVarMin

Valeur min de la variable

Valeur minimale de la variable utilisée pour effectuer un zoom à la largeur de l’élément.

Plus de détails dans l’aide en ligne.

VT_R8

XZoomVarMax

Valeur max de la variable

Valeur maximale de la variable utilisée pour effectuer un zoom sur la largeur de l’élément.

Plus de détails dans l’aide en ligne.

VT_I4

XZoomViewMin

Largeur min [%]

Facteur de zoom correspondant à la largeur de l’élément pour la valeur minimale de la variable (en pixels).

Plus de détails dans l’aide en ligne.

VT_I4

XZoomViewMax

Largeur max [%]

Facteur de zoom correspondant à la largeur de l’élément pour la valeur maximale de la variable (en pixels).

Plus de détails dans l’aide en ligne.

ZT_VARIABLE_DYN

YZoomVariable

Variable

Nom de la variable utilisée pour l’agrandissement de la hauteur de l’élément.
Ouvre la boîte de dialogue de sélection de variables.

Plus de détails dans l’aide en ligne.

VT_R8

YZoomVarMin

Valeur min de la variable

Valeur minimum de la variable utilisée pour effectuer un zoom sur la hauteur de l’élément.

Plus de détails dans l’aide en ligne.

VT_R8

YZoomVarMax

Valeur max de la variable

Valeur maximum de la variable utilisée pour effectuer un zoom sur la hauteur de l’élément.

Plus de détails dans l’aide en ligne.

VT_I4

YZoomViewMin

Hauteur min [%]

Facteur de zoom correspondant à la hauteur de l’élément pour la valeur minimum de la variable (en %).

Plus de détails dans l’aide en ligne.

VT_I4

YZoomViewMax

Hauteur max [%]

Facteur de zoom correspondant à la hauteur de l’élément pour la valeur maximale de la variable (en pixels).

Plus de détails dans l’aide en ligne.

ZT_VARIABLE_DYN

TwistVariable

Variable

Nom de la variable utilisée pour la rotation de l’élément.

Plus de détails dans l’aide en ligne.

VT_R8

TwistVarMin

Valeur min de la variable

Valeur minimum de la variable utilisée pour la rotation de l’élément.

Plus de détails dans l’aide en ligne.

VT_R8

TwistVarMax

Valeur max de la variable

Valeur maximale de la variable utilisée pour la rotation de l’élément.

Plus de détails dans l’aide en ligne.

VT_I4

TwistViewMin

Rotation min [°]

Angle de rotation de l’élément pour la valeur minimum de la variable (en °).

Plus de détails dans l’aide en ligne.

VT_I4

TwistViewMax

Rotation max [°]

Angle de rotation de l’élément pour la valeur maximum de la variable (en °).

Plus de détails dans l’aide en ligne.

ZT_STYLE

ShadowEffectStyle

Style effet cadres/ombres

Affichage et sélection du style de cadre et d’ombre attribué à l’élément.

Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de style.
Si plusieurs éléments ont été sélectionnés, ils peuvent être attribués à un style commun.

Remarque : Seules les propriétés compatibles avec l’élément correspondant sont prises en charge.

Plus de détails dans l’aide en ligne.

VT_BOOL

EnablePunchFrame

Afficher le cadre

A frame around the element can be displayed.
Default: inactive.

ZT_STYLE

GlowEffectStyle

Style effet de rayonnement

Affichage et sélection du style des effets de luminescence attribués à l’élément.

Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de style.
Si plusieurs éléments ont été sélectionnés, ils peuvent être attribués à un style commun.

Remarque : Seules les propriétés compatibles avec l’élément correspondant sont prises en charge.

Plus de détails dans l’aide en ligne.

VT_BOOL

GlowEffectEvent

Actif seulement si cliqué

Disponible uniquement si la propriété Activer est active et l’élément est un bouton.

Active : l’effet de luminescence est uniquement affiché lorsque l’utilisateur clique sur le bouton. Cliquer sur le bouton permet de modifier la couleur, le clignotement ou l’invisibilité de l’effet de luminescence.

Par défaut : Inactive

Plus de détails dans l’aide en ligne.

ZT_VARIABLE_DYN

GlowEffectGlowColorVariable

Variable pour la couleur

Disponible uniquement si la propriété Activer est active. La propriété Coloration doit être activée.

Nom de la variable dont la couleur aux valeurs limites doit influencer la couleur de l’effet de luminescence pour l’élément. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de variables. Vous pouvez également saisir le nom manuellement dans le champ de texte. Si aucune variable n’est liée, la couleur définie dans la propriété Couleur est utilisée.

Par défaut : aucune variable liée

Plus de détails dans l’aide en ligne.

ZT_PREVIEW

GlowEffectGlowColorVariablePreview

Affichage aperçu couleur

Affichage de la valeur limite définie pour la variable de couleur lorsque l’effet de luminescence est actif. Disponible uniquement si l’option Depuis la variable a été configurée pour la propriété Variable pour la couleur.

Un aperçu des propriétés définies pour la valeur limite est affiché dans le champ. Aucun aperçu n’est affiché pour les matrices de réaction.
Cliquez sur le bouton ... pour ouvrir la boîte de dialogue d’affichage des résultats. Les valeurs limite sont uniquement affichées ; elles ne peuvent pas être modifiées. Les modifications doivent être effectuées directement dans les propriétés de la variable pour Valeurs limite.

Plus de détails dans l’aide en ligne.

ZT_VARIABLE_DYN

GlowEffectVisibilityVariable

Variable pour la visibilité

Disponible uniquement si la propriété Activer est active.

Nom de la variable dont la valeur influence la visibilité de l’effet de luminescence. La visibilité est soit reprise des propriétés de valeur limite de cette variable (propriété Visibilité depuis valeur limite active), soit définie par la plage de valeurs définie dans les propriétés Visible de et Visible jusqu'à. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de variables. Vous pouvez également saisir le nom manuellement dans le champ de texte.

Remarque : si aucune variable n’est liée, l’effet de luminescence est toujours visible.

Par défaut : aucune variable liée

Plus de détails dans l’aide en ligne.

ZT_PREVIEW

GlowEffectVisibilityVariablePreview

Affichage aperçu visibilité

Affichage de la valeur limite définie pour la variable de visibilité lorsque l’effet de luminescence est actif. Disponible uniquement si l’option Depuis la variable a été configurée pour la propriété Variable pour la visibilité.

Un aperçu des propriétés définies pour la valeur limite est affiché dans le champ. Aucun aperçu n’est affiché pour les matrices de réaction.
Cliquez sur le bouton ... pour ouvrir la boîte de dialogue d’affichage des résultats. Les valeurs limite sont uniquement affichées ; elles ne peuvent pas être modifiées. Les modifications doivent être effectuées directement dans les propriétés de la variable pour Valeurs limite.

Plus de détails dans l’aide en ligne.

VT_BOOL

GlowEffectVisibilityFromLimit

Visibilité depuis valeur limite

Disponible uniquement si la propriété Activer est active. Vous devez en outre définir une variable dans la propriété Variable pour la visibilité.

Active : La visibilité de l’effet de luminescence est influencée par la propriété de valeur limite de la variable.

Attention : Pour une valeur limite de la variable au moins, la propriété Invisible doit être active.

Inactive : la visibilité est influencée par les propriétés de l’élément.

Plus de détails dans l’aide en ligne.

VT_R8

GlowEffectVisibilityFrom

Visible de

Disponible uniquement si la propriété Activer est active. Vous devez en outre définir une variable dans la propriété Variable pour la visibilité ; la propriété Visibilité depuis valeur limite doit être inactive.

Définit la valeur à partir de laquelle l’effet de luminescence devient visible.
Minimum : valeur la moins élevée autorisée pour la variable liée dans Variable pour la visibilité.
Maximum : valeur la moins élevée autorisée pour la variable liée dans Variable pour la visibilité.
Par défaut : valeur la plus élevée autorisée pour la variable liée dans Variable pour la visibilité.

Plus de détails dans l’aide en ligne.

VT_R8

GlowEffectVisibilityTo

Visible jusqu'à

Disponible uniquement si la propriété Activer est active. Vous devez en outre définir une variable dans la propriété Variable pour la visibilité ; la propriété Visibilité depuis valeur limite doit être inactive.

Définit la valeur jusqu’à laquelle l’effet de luminescence reste visible.
Minimum : valeur la plus basse autorisée pour la variable liée dans Variable pour la visibilité.
Maximum : valeur la plus élevée autorisée pour la variable liée dans Variable pour la visibilité.
Par défaut : valeur la plus élevée autorisée pour la variable liée dans Variable pour la visibilité.

Plus de détails dans l’aide en ligne.

ZT_VARIABLE_DYN

GlowEffectBlinkVariable

Variable pour le clignotement

Variables dont les paramètres de clignotement de l’effet de luminescence aux valeurs limites doivent être repris. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de variables.

Par défaut : aucune variable liée

Plus de détails dans l’aide en ligne.

ZT_PREVIEW

GlowEffectBlinkVariablePreview

Affichage aperçu clignotement

Affichage de la valeur limite définie pour la variable de clignotement lorsque l’effet de luminescence est actif. Disponible uniquement si l’option Depuis la variable a été configurée pour la propriété Variable pour le clignotement.

Un aperçu des propriétés définies pour la valeur limite est affiché dans le champ. Aucun aperçu n’est affiché pour les matrices de réaction.
Cliquez sur le bouton ... pour ouvrir la boîte de dialogue d’affichage des résultats. Les valeurs limite sont uniquement affichées ; elles ne peuvent pas être modifiées. Les modifications doivent être effectuées directement dans les propriétés de la variable pour Valeurs limite.

Plus de détails dans l’aide en ligne.

VT_BOOL

GlowEffectUseBlinkColor

Clignotement depuis valeur limite

Disponible uniquement si la propriété Activer est active. Vous devez en outre définir une variable dans la propriété Variable pour le clignotement.

Active : Reprend, pour l’effet de luminescence, la couleur de clignotement de la valeur limite active pour la variable définie dans la propriété Couleur de clignotement par la limite. Cette propriété agit indépendamment de la propriété Coloration. En cas de clignotement, l’effet de luminescence ne devient pas invisible, mais reprend les paramètres de l’effet de luminescence actif.

Par défaut : Inactive

Plus de détails dans l’aide en ligne.

VT_BOOL

GlowEffect2ndBlinkStateVisible

2 états de clignotement invisibles

Disponible uniquement si la propriété Activer est active. Vous devez en outre définir une variable dans la propriété Variable pour le clignotement ; la propriété Clignotement depuis valeur limite doit être inactive.

Active : En cas de clignotement, l’effet de luminescence ne bascule pas vers l’effet de luminescence actif, mais devient invisible. Ceci permet de basculer entre l’invisibilité et la couleur de clignotement en cas de dépassement de la valeur limite.

Par défaut : Inactive

Plus de détails dans l’aide en ligne.


Polygon

Manuel -> Interfaces de programmation -> Modèles d'objet -> Element -> Element-Dynamic properties -> Polygon

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Type

VBA/VSTA Name

Display Name

Description

VT_BSTR

Coordinates

"With this property you can get/set the coordinates of the element via a string.
zElement.DynProperties(""Coordinates"") = ""197/118;260/200"""

VT_R4

SplineTension

Arrondir

Disponible uniquement si la propriété de projet Qualité graphique a été définie sur DirectX Hardware ou DirectX Software.

Définit l’arrondi des polylignes, polygones et tubes.

Valeurs : 0,0 (pas d’arrondi) à 1,0 (arrondi maximal)

Par défaut : 0

Plus de détails dans l’aide en ligne.

ZT_COLOR

LineColor

Couleur de ligne

Line color of the element.

ZT_STYLE

LineStyle

Style de ligne

Affichage et sélection du style de ligne attribué à l’élément.

Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de style.
Si plusieurs éléments ont été sélectionnés, ils peuvent être attribués à un style commun.

Remarque : Seules les propriétés compatibles avec l’élément correspondant sont prises en charge.

Plus de détails dans l’aide en ligne.

ZT_STYLE

FillStyle

Style de remplissage

Affichage et sélection du style de remplissage attribué à l’élément.

Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de style.
Si plusieurs éléments ont été sélectionnés, ils peuvent être attribués à un style commun.

Remarque : Seules les propriétés compatibles avec l’élément correspondant sont prises en charge.

Plus de détails dans l’aide en ligne.

ZT_VARIABLE_DYN

BackColorVariable2

Affichage aperçu couleur

Affichage de la valeur limite pour la propriété Couleur du dégradé définie pour la variable. Disponible uniquement si l’option Depuis la variable a été configurée pour la propriété Couleur du dégradé.

Un aperçu des propriétés définies pour la valeur limite est affiché dans le champ. Aucun aperçu n’est affiché pour les matrices de réaction.
Cliquez sur le bouton ... pour ouvrir la boîte de dialogue d’affichage des résultats. Les valeurs limite sont uniquement affichées ; elles ne peuvent pas être modifiées. Les modifications doivent être effectuées directement dans les propriétés de la variable pour Valeurs limite.

Plus de détails dans l’aide en ligne.

ZT_PREVIEW

BackColorVariable2Preview

Affichage aperçu couleur

Affichage de la valeur limite pour la propriété Couleur du dégradé définie pour la variable. Disponible uniquement si l’option Depuis la variable a été configurée pour la propriété Couleur du dégradé.

Un aperçu des propriétés définies pour la valeur limite est affiché dans le champ. Aucun aperçu n’est affiché pour les matrices de réaction.
Cliquez sur le bouton ... pour ouvrir la boîte de dialogue d’affichage des résultats. Les valeurs limite sont uniquement affichées ; elles ne peuvent pas être modifiées. Les modifications doivent être effectuées directement dans les propriétés de la variable pour Valeurs limite.

Plus de détails dans l’aide en ligne.

VT_I2

Align

Alignement

Direction of color shift.
horizontal
vertical

VT_I2

Shifted

Gradient de couleur 'décalé'

Wie weit soll der Lichteffekt von der Mitte des Elements versetzt sein.

Mehr im Online-Handbuch

VT_BOOL

ALCUseColor

Couleur définie par CAL

Disponible uniquement si vous possédez une licence pour la fonctionnalité Coloration Automatique des Lignes (CAL) :
Active : La couleur automatique de la source liée est utilisée.
Inactive : La couleur standard est utilisée.
Par défaut : inactive.

Plus de détails dans l’aide en ligne.

VT_I2

ALCPrecedence

Priorité pour l'affichage

Disponible uniquement si la propriété Couleur définie par CAL est active.

Définit la priorité de l’affichage lorsque l’élément est connecté à plusieurs sources actives.
Plusieurs sources d’alimentation : L’élément est affiché selon les règles de l’alimentation sécurisée.
Source d’alimentation sécurisée : L’élément est affiché selon les règles de l’alimentation sécurisée.
Aucune priorité : Les règles de coloration des paramètres Alimentation multiple et Alimentation sécurisée sont appliquées simultanément, si les deux critères sont satisfaits.

Par défaut : Alimentation multiple
Plus de détails dans l’aide en ligne.

VT_I2

ALCMultiSource

Affichage alimentation multiple

Disponible uniquement si la propriété Couleur définie par CAL est active.
Définit le type d’affichage lorsque l’élément est connecté à plusieurs sources :
Source la plus prioritaire : Seule la couleur de la source la plus prioritaire est utilisée.
Deux sources les plus prioritaires : Les différentes couleurs des deux sources comportant les priorités les plus élevées sont affichées sous forme de trait tireté.
Couleur de remplacement : Couleur de remplacement pour la fonction CAL avec des alimentations multiples.

Par défaut : La source la plus prioritaire

Plus de détails dans l’aide en ligne.

VT_I2

ALCDashLen

Longueur de pointillé fournie plusieurs fois

Disponible uniquement si la propriété Affichage alimentation multiple possède la valeur Deux sources antérieures les plus élevées.

Définit la longueur en pixels du trait tireté associé à la fonction CAL avec une alimentation multiple.

Minimum : 0 (longueur des tirets automatique)

Maximum : 32767

Par défaut : 0

Plus de détails dans l’aide en ligne.

ZT_COLOR

ALCAlternativeColor

Couleur alternative

Disponible uniquement si la propriété Affichage alimentation multiple possède la valeur Couleur de remplacement.

Couleur de remplacement pour la fonction CAL avec des alimentations multiples.

Plus de détails dans l’aide en ligne.

VT_I2

ALCMSecuredSupply

Affichage alimentation sécurisée

Disponible uniquement si Couleur définie par CAL est activée.

Définition de l’affichage de l’alimentation sécurisée :

  • double épaisseur
  • double luminosité
  • normal

Par défaut : normal

Plus de détails dans l’aide en ligne.

VT_BOOL

ALCAlias

Alias

Disponible uniquement si la propriété Couleur définie par CAL est active.

Élément source défini pour la propriété Utiliser alias. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue et sélectionner un élément existant.
Remarque : Les alias ne peuvent pas être utilisés pour des symboles dans la bibliothèque générale de symboles ou la bibliothèque de symboles du projet.

Plus de détails dans l’aide en ligne.

VT_BSTR

ALCAliasName

Alias

Disponible uniquement si la propriété Couleur définie par CAL est active.

Élément source défini pour la propriété Utiliser alias. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue et sélectionner un élément existant.
Remarque : Les alias ne peuvent pas être utilisés pour des symboles dans la bibliothèque générale de symboles ou la bibliothèque de symboles du projet.

Plus de détails dans l’aide en ligne.

VT_R8

ALCReact

Valeur de réactance du câble [Ohm]

Valeur maximale de réactance autorisée de la ligne, en ohms.

Plus de détails dans l’aide en ligne.

VT_R8

ALCResist

Valeur de la résistance de la ligne électrique [Ohm]

Valeur maximale de résistance autorisée de la ligne, en ohms.

Plus de détails dans l’aide en ligne.

VT_R8

ALCLength

Longueur de la ligne [km]

Ligne CAL : longueur de la ligne.

Plus de détails dans l’aide en ligne.

VT_I2

ALCMaxIType

Limite de la capacité de transport de courant

Commutation CAL : valeur limite de la capacité actuelle (sélection fixe/variable).

Plus de détails dans l’aide en ligne.

VT_R8

ALCMaxIVal

Limite fixe de la capacité de transport de courant [A]

Commutation CAL : Capacité de transport de courant définie par une valeur limite.

Plus de détails dans l’aide en ligne.

ZT_VARIABLE_DYN

ALCVarMaxI

Valeur limite dynamique pour la capacité de transport de courant

More...

ALCVarMaxIEx

ALCVarMaxIEx

ZT_VARIABLE_DYN

ALCVarCalcI

Valeur de la mesure du flux de courant calculé

Ligne CAL : Valeur de la mesure du flux de courant calculé.

Plus de détails dans l’aide en ligne.

More...

ALCVarCalcIEx

ALCVarCalcIEx

ALC Leitung: Messwert des berechneten Stromflusses für Export.

Mehr in der Online-Hilfe.

ZT_STYLE

StyleGroup

Groupe de styles

Affichage et sélection du groupe de styles attribué à l’élément.
Cliquez sur le bouton ... pour ouvrir la boîte de dialogue permettant de sélectionner un groupe de styles.
Si plusieurs éléments sont sélectionnés, elles peuvent être attribuées à un groupe de styles commun.

Remarque : Seules les propriétés compatibles avec l’élément correspondant sont prises en charge.

Plus de détails dans l’aide en ligne.

More...

LnClVariable

LnClVariable

"With this property you have the opportunity to get informations about the variable which is linked as ""line/text color"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""LnClVariable.SymVarName"") 'Return the name of the ""line/text color"" variable
zElement.DynProperties (""LnClVariable.SymVarTagNr"") 'Return the identification of the ""line/text color"" variable"

More...

BkClVariable

BkClVariable

"With this property you have the opportunity to get informations about the variable which is linked as ""background/filling color"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""BkClVariable.SymVarName"") 'Return the name of the ""background/filling color"" variable
zElement.DynProperties (""BkClVariable.SymVarTagNr"") 'Return the identification of the ""background/filling color"" variable"

More...

BkCl2Variable

"BkCl2Variable"

More...

XVar

XVar

"With this property you have the opportunity to get informations about the variable which is linked as ""dynamic x position"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""XVar.SymVarName"") 'Return the name of the ""dynamic x position"" variable
zElement.DynProperties (""XVar.SymVarTagNr"") 'Return the identification of the ""dynamic x position"" variable"

More...

YVar

YVar

"With this property you have the opportunity to get informations about the variable which is linked as ""dynamic y position"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""YVar.SymVarName"") 'Return the name of the ""dynamic y position"" variable
zElement.DynProperties (""YVar.SymVarTagNr"") 'Return the identification of the ""dynamic y position"" variable"

More...

XVarZoom

XVarZoom

"With this property you have the opportunity to get informations about the variable which is linked as ""change width"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""XVarZoom.SymVarName"") 'Return the name of the ""change width"" variable
zElement.DynProperties (""XVarZoom.SymVarTagNr"") 'Return the identification of the ""change width"" variable"

More...

YVarZoom

YVarZoom

"With this property you have the opportunity to get informations about the variable which is linked as ""change height"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""YVarZoom.SymVarName"") 'Return the name of the ""change height"" variable
zElement.DynProperties (""YVarZoom.SymVarName"") 'Return the name of the ""change height"" variable
zElement.DynProperties (""YVarZoom.SymVarTagNr"") 'Return the identification of the ""change height"" variable"

More...

TwistVar

TwistVar

"With this property you have the opportunity to get informations about the variable which is linked as ""rotate"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""TwistVar.SymVarName"") 'Return the name of the ""rotate"" variable
zElement.DynProperties (""TwistVar.SymVarTagNr"") 'Return the identification of the ""rotate"" variable"

More...

VisVariable

VisVariable

"With this property you have the opportunity to get informations about the variable which is linked as ""visibility"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""VisVariable.SymVarName"") 'Return the name of the ""visibility"" variable
zElement.DynProperties (""VisVariable.SymVarTagNr"") 'Return the identification of the ""visibility"" variable"

More...

BlinkVar

BlinkVar

More...

GlowEffectGlowColorVar

GlowEffectGlowColorVar

More...

GlowEffectVisibilityVar

GlowEffectVisibilityVar

More...

GlowEffectBlinkVar

GlowEffectBlinkVar

VT_BSTR

Name

Nom d'élément

Attribuez un nom d’élément.
Il ne doit pas être vide.

Attention : Cette propriété n’est pas disponible aux fins de la commutation de langue.

Remarques concernant les cadrans : Pour les conteneurs de synoptique, spécifiez des noms clairement identifiables pour faciliter la sélection lors de la configuration des appels de synoptique.

Plus de détails dans l’aide en ligne.

VT_UI1

Layer

Niveau de visibilité

Sélectionnez l’un des 16 niveaux de visibilité (0 à 15) dans la liste déroulante. À l’aide de la barre d’outils Niveau de visibilité, vous décidez des niveaux qui doivent être affichés dans Editor. Cette fonction garantit que les synoptiques les plus complexes peuvent être développés de manière simple. Les niveaux peuvent être utilisés immédiatement. Les niveaux n’ont aucune influence sur les informations affichées au premier plan ou en arrière-plan dans le Runtime.
Par défaut : 0.

Plus de détails dans l’aide en ligne.

VT_I4

StartX

Point de départ X [pixels]

Coordonnée Y du coin supérieur gauche du synoptique (en pixels).

Plus de détails dans l’aide en ligne.

VT_I4

EndX

Point final X [pixels]

Coordonnée X du coin inférieur droit du synoptique (en pixels).

Plus de détails dans l’aide en ligne.

VT_I4

StartY

Point de départ Y [pixels]

Coordonnée Y du coin supérieur gauche du synoptique (en pixels).

Plus de détails dans l’aide en ligne.

VT_I4

EndY

Point final Y [pixels]

Coordonnée Y du coin inférieur droit du synoptique (en pixels).

Plus de détails dans l’aide en ligne.

VT_I4

Width

Largeur [pixels]

Largeur des éléments en pixels.

Remarque : disponible uniquement pour les éléments Combinaison multiple, Élément combiné, Bouton et Interrupteur si la valeur Ajusté a été sélectionnée pour la propriété Taille du graphique.

Plus de détails dans l’aide en ligne.

VT_I4

Height

Hauteur [pixels]

Hauteur des éléments en pixels.

Remarque : disponible uniquement pour les éléments Combinaison multiple, Élément combiné, Bouton et Interrupteur si la valeur Ajusté a été sélectionnée pour la propriété Taille du graphique.

Plus de détails dans l’aide en ligne.

VT_I4

Angle

Angle de rotation [°]

Angle libre autour selon lequel doit pivoter l’élément.
Les valeurs positives correspondent à une rotation dans le sens antihoraire, tandis que les valeurs négatives correspondent à une rotation dans le sens horaire. Les valeurs supérieures à 360° sont affichées sous forme d’écart par rapport à 360° (400° correspond à 40°). Seuls les nombres entiers sont autorisés.

Sur les éléments pivotés, les actions suivantes ne sont plus possibles :

  • Miroir
  • Rotation de +/- 90°
  • Redimensionnement à l’aide des touches fléchées

Par défaut : 0

Remarque : Ce paramètre est activé et réinitialisé lors de la configuration pour Windows CE.

Plus de détails dans l’aide en ligne.

VT_I2

ZoomMin

Visible de

Incrément de zoom le plus bas auquel l’élément est visible dans la vue globale.
Par défaut : -1
Une valeur de visibilité avec des incréments de zoom de -1 à -1 signifie que l’élément est affiché, quel que soit l’incrément de zoom sélectionné.

Les niveaux de zoom affichés dans la vue globale peuvent être configurés avec la propriété Apparence graphique -> Généralités runtime -> Pas de zoom pour vue globale.

Attention : Ce niveau de zoom s’applique à tous les types de synoptiques et cadres. Si un niveau de zoom défini est supérieur à 0, l’élément est uniquement affiché dans la vue globale, car les autres types de synoptique sont automatiquement appelés avec le niveau de zoom 0.

Plus de détails dans l’aide en ligne.

VT_I2

ZoomMax

Visible jusqu'à

Incrément de zoom le plus élevé auquel l’élément est visible dans la vue globale.

Par défaut : -1
Une valeur de visibilité avec des incréments de zoom de -1 à -1 signifie que l’élément est affiché, quel que soit l’incrément de zoom sélectionné.

Les niveaux de zoom affichés dans la vue globale peuvent être configurés avec la propriété Apparence graphique -> Généralités runtime -> Pas de zoom pour vue globale.

Attention : Ce niveau de zoom s’applique à tous les types de synoptiques et cadres. Si un niveau de zoom défini est supérieur à 0, l’élément est uniquement affiché dans la vue globale, car les autres types de synoptique sont automatiquement appelés avec le niveau de zoom 0.

Plus de détails dans l’aide en ligne.

VT_BSTR

Stationname

Nom liste d'objets

L’élément est saisi directement dans la liste de stations du synoptique Vue globale, et le texte est saisi ici.

Plus de détails dans l’aide en ligne.

ZT_VARIABLE_DYN

LineColorVariable

Couleur de ligne

Nom des variables dont les couleurs de valeur limite doivent influencer la couleur de ligne/de texte de l’élément. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de variables.

Plus de détails dans l’aide en ligne.

ZT_PREVIEW

LineColorVarPreview

Affichage aperçu couleur

Affichage de la valeur limite pour la propriété Couleur de ligne définie pour la variable. Disponible uniquement si l’option Depuis la variable a été configurée pour la propriété Couleur de ligne.

Un aperçu des propriétés définies pour la valeur limite est affiché dans le champ. Aucun aperçu n’est affiché pour les matrices de réaction.
Cliquez sur le bouton ... pour ouvrir la boîte de dialogue d’affichage des résultats. Les valeurs limite sont uniquement affichées ; elles ne peuvent pas être modifiées. Les modifications doivent être effectuées directement dans les propriétés de la variable pour Valeurs limite.

Plus de détails dans l’aide en ligne.

ZT_VARIABLE_DYN

BackColorVariable

Couleur de remplissage

Nom de la variable dont les couleurs de valeur limite doivent influencer la couleur d’arrière-plan/de remplissage de l’élément.
Ouvre la boîte de dialogue de sélection de variables.

Plus de détails dans l’aide en ligne.

ZT_PREVIEW

BackColorVarPreview

Affichage aperçu couleur

Affichage de la valeur limite pour la propriété Couleur de remplissage définie pour la variable. Disponible uniquement si l’option Depuis la variable a été configurée pour la propriété Couleur de remplissage.

Un aperçu des propriétés définies pour la valeur limite est affiché dans le champ. Aucun aperçu n’est affiché pour les matrices de réaction.
Cliquez sur le bouton ... pour ouvrir la boîte de dialogue d’affichage des résultats. Les valeurs limite sont uniquement affichées ; elles ne peuvent pas être modifiées. Les modifications doivent être effectuées directement dans les propriétés de la variable pour Valeurs limite.

Plus de détails dans l’aide en ligne.

VT_UI1

HorizontalOrigin

Horizontal

Point de référence horizontal de l’événement. Les valeurs possibles sont : gauche, centré, droite.
Ce point est utilisé en tant que base de calcul de l’angle de départ de la rotation (statique et dynamique) et pour le changement dynamique de taille.

Par défaut : À gauche

Plus de détails dans l’aide en ligne.

VT_UI1

VerticalOrigin

Vertical

Point de référence vertical de l’événement. Les valeurs possibles sont : haut, centré, bas.
Ce point est utilisé en tant que base de calcul de l’angle de départ de la rotation (statique et dynamique) et pour le changement dynamique de taille.

Par défaut : En haut

Plus de détails dans l’aide en ligne.

VT_UI4

VisibilityType

Visibilité

Sélection depuis laquelle la visibilité d’un élément est déterminée :

  • Depuis une variable
  • Du verrrouillage

Par défaut : Depuis une variable

Plus de détails dans l’aide en ligne.

ZT_VARIABLE_DYN

VisibilityVariable

Variable

Disponible uniquement si l’option Depuis la variable a été configurée pour la propriété Visibilité.

Nom de la variable dont la valeur contrôle la visibilité de l’élément. La visibilité est soit reprise des propriétés de valeur limite de ces variables, soit définie par la plage de valeurs définie dans les propriétés de et À.
Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de variables. Vous pouvez également saisir manuellement le nom dans le champ de texte.
L'élément reste visible tant qu’aucune variable n’est liée.

Plus de détails dans l’aide en ligne.

ZT_PREVIEW

VisVarPreview

Affichage aperçu visibilité

Affichage des valeurs limite pour la visibilité définies pour la variable. Disponible uniquement si l’option Depuis la variable a été configurée pour la propriété Variable dans le groupe Visibilité.

Un aperçu des propriétés définies pour la valeur limite est affiché dans le champ. Aucun aperçu n’est affiché pour les matrices de réaction.
Cliquez sur le bouton ... pour ouvrir la boîte de dialogue d’affichage des résultats. Les valeurs limite sont uniquement affichées ; elles ne peuvent pas être modifiées. Les modifications doivent être effectuées directement dans les propriétés de la variable pour Valeurs limite.

Plus de détails dans l’aide en ligne.

VT_BOOL

VisibilityFromLimit

A partir des valeurs limites

Uniquement disponible après la sélection d’une variable :

  • Active : La visibilité de l’élément est influencée par la propriété de valeur limite de la variable.

    Attention : La propriété Invisible doit être active pour au moins une valeur limite de la variable.

  • Inactive : la visibilité est influencée par les propriétés de l’élément.

Par défaut : active

Plus de détails dans l’aide en ligne.

VT_R8

VisibilityFrom

de

Disponible uniquement après la sélection d’une variable, si la visibilité n’a pas été reprise par la valeur limite :

Valeur minimum de la variable à laquelle l’élément est visible.

  • Minimum : valeur minimum possible de la variable liée.
  • Maximum : valeur maximum possible de la variable liée.

Par défaut : valeur minimum possible de la variable liée.

Plus de détails dans l’aide en ligne.

VT_R8

VisibilityTo

À

Disponible uniquement après la sélection d’une variable, si la visibilité n’a pas été reprise par la valeur limite :

Valeur maximale de la variable à laquelle l’élément est visible.

  • Minimum : valeur minimum possible de la variable liée.
  • Maximum : valeur maximum possible de la variable liée.

Par défaut : valeur maximum possible de la variable liée.

Plus de détails dans l’aide en ligne.

VT_UI4

Interlocking

Verrouillage

Disponible uniquement si l’option Depuis le verrouillage est sélectionnée pour la propriété Visibilité.

Nom du verrouillage dont la valeur contrôle la visibilité de l’élément. Sélectionnez dans la liste déroulante. Celle-ci contient tous les verrouillages existants et utilisables. L’élément est toujours visible si aucun verrouillage n’est lié.

Plus de détails dans l’aide en ligne.

VT_BSTR

InterlockingName

InterlockingName

Description

VT_BOOL

VisibleWhenInterlocked

Visible si verrouillé

Contrôle la visibilité de l’élément lorsque le verrouillage est sélectionné :

  • Active : L’élément est visible s’il est verrouillé.
  • Inactive : L’élément est visible s’il n’est pas verrouillé.

Par défaut : inactive

Plus de détails dans l’aide en ligne.

ZT_VARIABLE_DYN

BlinkVariable

Affichage aperçu clignotement

Affichage des valeurs limite pour le clignotement définies pour la variable. Disponible uniquement si l’option Depuis la variable a été configurée pour la propriété Prendre le clignotement de la limite.

Un aperçu des propriétés définies pour la valeur limite est affiché dans le champ. Aucun aperçu n’est affiché pour les matrices de réaction.
Cliquez sur le bouton ... pour ouvrir la boîte de dialogue d’affichage des résultats. Les valeurs limite sont uniquement affichées ; elles ne peuvent pas être modifiées. Les modifications doivent être effectuées directement dans les propriétés de la variable pour Valeurs limite.

Plus de détails dans l’aide en ligne.

ZT_PREVIEW

BlinkVarPreview

Affichage aperçu clignotement

Affichage des valeurs limite pour le clignotement définies pour la variable. Disponible uniquement si l’option Depuis la variable a été configurée pour la propriété Prendre le clignotement de la limite.

Un aperçu des propriétés définies pour la valeur limite est affiché dans le champ. Aucun aperçu n’est affiché pour les matrices de réaction.
Cliquez sur le bouton ... pour ouvrir la boîte de dialogue d’affichage des résultats. Les valeurs limite sont uniquement affichées ; elles ne peuvent pas être modifiées. Les modifications doivent être effectuées directement dans les propriétés de la variable pour Valeurs limite.

Plus de détails dans l’aide en ligne.

VT_BOOL

UseBlinkColor

Couleur de clignotement par la limite

Active : Reprend la couleur d’arrière-plan du clignotement défini pour la valeur limite active de la variable pour Prendre le clignotement de la limite. Durant le clignotement, l’élément ne devient pas invisible, mais reprend la couleur d’arrière-plan active.

Par défaut : Inactive

Remarque : la couleur n’est pas prise en compte si la couleur d’arrière-plan Transparence est configurée.

Plus de détails dans l’aide en ligne.

ZT_VARIABLE_DYN

XVariable

Variable

Nom de la variable utilisée pour le déplacement horizontal de l’élément.
Ouvre la boîte de dialogue de sélection de variables.

Plus de détails dans l’aide en ligne.

VT_R8

XVarMin

Valeur min de la variable

Valeur minimale de la variable utilisée pour le déplacement horizontal de l’élément.

Plus de détails dans l’aide en ligne.

VT_R8

XVarMax

Valeur max de la variable

Valeur maximale de la variable utilisée pour le déplacement horizontal de l’élément.

Plus de détails dans l’aide en ligne.

VT_I4

XViewMin

Mouvement min [pixels]

Position horizontale de l’élément pour la valeur minimale de la variable (en pixels).

Plus de détails dans l’aide en ligne.

VT_I4

XViewMax

Mouvement max [pixels]

Position horizontale de l’élément pour la valeur minimale de la variable (en pixels).

Plus de détails dans l’aide en ligne.

ZT_VARIABLE_DYN

YVariable

Variable

Nom de la variable utilisée pour le déplacement vertical de l’élément.
Ouvre la boîte de dialogue de sélection de variables.

Plus de détails dans l’aide en ligne.

VT_R8

YVarMin

Valeur min de la variable

Valeur minimale de la variable utilisée pour le déplacement vertical de l’élément.

Plus de détails dans l’aide en ligne.

VT_R8

YVarMax

Valeur max de la variable

Valeur maximale de la variable utilisée pour le déplacement vertical de l’élément.

Plus de détails dans l’aide en ligne.

VT_I4

YViewMin

Mouvement min [pixels]

Position verticale de l’élément pour la valeur minimale de la variable (en pixels).

Plus de détails dans l’aide en ligne.

VT_I4

YViewMax

Mouvement max [pixels]

Position verticale de l’élément pour la valeur maximale de la variable (en pixels).

Plus de détails dans l’aide en ligne.

ZT_VARIABLE_DYN

XZoomVariable

Variable

Nom de la variable utilisée pour l’agrandissement de la largeur de l’élément.
Ouvre la boîte de dialogue de sélection de variables.

Plus de détails dans l’aide en ligne.

VT_R8

XZoomVarMin

Valeur min de la variable

Valeur minimale de la variable utilisée pour effectuer un zoom à la largeur de l’élément.

Plus de détails dans l’aide en ligne.

VT_R8

XZoomVarMax

Valeur max de la variable

Valeur maximale de la variable utilisée pour effectuer un zoom sur la largeur de l’élément.

Plus de détails dans l’aide en ligne.

VT_I4

XZoomViewMin

Largeur min [%]

Facteur de zoom correspondant à la largeur de l’élément pour la valeur minimale de la variable (en pixels).

Plus de détails dans l’aide en ligne.

VT_I4

XZoomViewMax

Largeur max [%]

Facteur de zoom correspondant à la largeur de l’élément pour la valeur maximale de la variable (en pixels).

Plus de détails dans l’aide en ligne.

ZT_VARIABLE_DYN

YZoomVariable

Variable

Nom de la variable utilisée pour l’agrandissement de la hauteur de l’élément.
Ouvre la boîte de dialogue de sélection de variables.

Plus de détails dans l’aide en ligne.

VT_R8

YZoomVarMin

Valeur min de la variable

Valeur minimum de la variable utilisée pour effectuer un zoom sur la hauteur de l’élément.

Plus de détails dans l’aide en ligne.

VT_R8

YZoomVarMax

Valeur max de la variable

Valeur maximum de la variable utilisée pour effectuer un zoom sur la hauteur de l’élément.

Plus de détails dans l’aide en ligne.

VT_I4

YZoomViewMin

Hauteur min [%]

Facteur de zoom correspondant à la hauteur de l’élément pour la valeur minimum de la variable (en %).

Plus de détails dans l’aide en ligne.

VT_I4

YZoomViewMax

Hauteur max [%]

Facteur de zoom correspondant à la hauteur de l’élément pour la valeur maximale de la variable (en pixels).

Plus de détails dans l’aide en ligne.

ZT_VARIABLE_DYN

TwistVariable

Variable

Nom de la variable utilisée pour la rotation de l’élément.

Plus de détails dans l’aide en ligne.

VT_R8

TwistVarMin

Valeur min de la variable

Valeur minimum de la variable utilisée pour la rotation de l’élément.

Plus de détails dans l’aide en ligne.

VT_R8

TwistVarMax

Valeur max de la variable

Valeur maximale de la variable utilisée pour la rotation de l’élément.

Plus de détails dans l’aide en ligne.

VT_I4

TwistViewMin

Rotation min [°]

Angle de rotation de l’élément pour la valeur minimum de la variable (en °).

Plus de détails dans l’aide en ligne.

VT_I4

TwistViewMax

Rotation max [°]

Angle de rotation de l’élément pour la valeur maximum de la variable (en °).

Plus de détails dans l’aide en ligne.

ZT_STYLE

ShadowEffectStyle

Style effet cadres/ombres

Affichage et sélection du style de cadre et d’ombre attribué à l’élément.

Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de style.
Si plusieurs éléments ont été sélectionnés, ils peuvent être attribués à un style commun.

Remarque : Seules les propriétés compatibles avec l’élément correspondant sont prises en charge.

Plus de détails dans l’aide en ligne.

VT_BOOL

EnablePunchFrame

Afficher le cadre

A frame around the element can be displayed.
Default: inactive.

ZT_STYLE

GlowEffectStyle

Style effet de rayonnement

Affichage et sélection du style des effets de luminescence attribués à l’élément.

Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de style.
Si plusieurs éléments ont été sélectionnés, ils peuvent être attribués à un style commun.

Remarque : Seules les propriétés compatibles avec l’élément correspondant sont prises en charge.

Plus de détails dans l’aide en ligne.

VT_BOOL

GlowEffectEvent

Actif seulement si cliqué

Disponible uniquement si la propriété Activer est active et l’élément est un bouton.

Active : l’effet de luminescence est uniquement affiché lorsque l’utilisateur clique sur le bouton. Cliquer sur le bouton permet de modifier la couleur, le clignotement ou l’invisibilité de l’effet de luminescence.

Par défaut : Inactive

Plus de détails dans l’aide en ligne.

ZT_VARIABLE_DYN

GlowEffectGlowColorVariable

Variable pour la couleur

Disponible uniquement si la propriété Activer est active. La propriété Coloration doit être activée.

Nom de la variable dont la couleur aux valeurs limites doit influencer la couleur de l’effet de luminescence pour l’élément. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de variables. Vous pouvez également saisir le nom manuellement dans le champ de texte. Si aucune variable n’est liée, la couleur définie dans la propriété Couleur est utilisée.

Par défaut : aucune variable liée

Plus de détails dans l’aide en ligne.

ZT_PREVIEW

GlowEffectGlowColorVariablePreview

Affichage aperçu couleur

Affichage de la valeur limite définie pour la variable de couleur lorsque l’effet de luminescence est actif. Disponible uniquement si l’option Depuis la variable a été configurée pour la propriété Variable pour la couleur.

Un aperçu des propriétés définies pour la valeur limite est affiché dans le champ. Aucun aperçu n’est affiché pour les matrices de réaction.
Cliquez sur le bouton ... pour ouvrir la boîte de dialogue d’affichage des résultats. Les valeurs limite sont uniquement affichées ; elles ne peuvent pas être modifiées. Les modifications doivent être effectuées directement dans les propriétés de la variable pour Valeurs limite.

Plus de détails dans l’aide en ligne.

ZT_VARIABLE_DYN

GlowEffectVisibilityVariable

Variable pour la visibilité

Disponible uniquement si la propriété Activer est active.

Nom de la variable dont la valeur influence la visibilité de l’effet de luminescence. La visibilité est soit reprise des propriétés de valeur limite de cette variable (propriété Visibilité depuis valeur limite active), soit définie par la plage de valeurs définie dans les propriétés Visible de et Visible jusqu'à. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de variables. Vous pouvez également saisir le nom manuellement dans le champ de texte.

Remarque : si aucune variable n’est liée, l’effet de luminescence est toujours visible.

Par défaut : aucune variable liée

Plus de détails dans l’aide en ligne.

ZT_PREVIEW

GlowEffectVisibilityVariablePreview

Affichage aperçu visibilité

Affichage de la valeur limite définie pour la variable de visibilité lorsque l’effet de luminescence est actif. Disponible uniquement si l’option Depuis la variable a été configurée pour la propriété Variable pour la visibilité.

Un aperçu des propriétés définies pour la valeur limite est affiché dans le champ. Aucun aperçu n’est affiché pour les matrices de réaction.
Cliquez sur le bouton ... pour ouvrir la boîte de dialogue d’affichage des résultats. Les valeurs limite sont uniquement affichées ; elles ne peuvent pas être modifiées. Les modifications doivent être effectuées directement dans les propriétés de la variable pour Valeurs limite.

Plus de détails dans l’aide en ligne.

VT_BOOL

GlowEffectVisibilityFromLimit

Visibilité depuis valeur limite

Disponible uniquement si la propriété Activer est active. Vous devez en outre définir une variable dans la propriété Variable pour la visibilité.

Active : La visibilité de l’effet de luminescence est influencée par la propriété de valeur limite de la variable.

Attention : Pour une valeur limite de la variable au moins, la propriété Invisible doit être active.

Inactive : la visibilité est influencée par les propriétés de l’élément.

Plus de détails dans l’aide en ligne.

VT_R8

GlowEffectVisibilityFrom

Visible de

Disponible uniquement si la propriété Activer est active. Vous devez en outre définir une variable dans la propriété Variable pour la visibilité ; la propriété Visibilité depuis valeur limite doit être inactive.

Définit la valeur à partir de laquelle l’effet de luminescence devient visible.
Minimum : valeur la moins élevée autorisée pour la variable liée dans Variable pour la visibilité.
Maximum : valeur la moins élevée autorisée pour la variable liée dans Variable pour la visibilité.
Par défaut : valeur la plus élevée autorisée pour la variable liée dans Variable pour la visibilité.

Plus de détails dans l’aide en ligne.

VT_R8

GlowEffectVisibilityTo

Visible jusqu'à

Disponible uniquement si la propriété Activer est active. Vous devez en outre définir une variable dans la propriété Variable pour la visibilité ; la propriété Visibilité depuis valeur limite doit être inactive.

Définit la valeur jusqu’à laquelle l’effet de luminescence reste visible.
Minimum : valeur la plus basse autorisée pour la variable liée dans Variable pour la visibilité.
Maximum : valeur la plus élevée autorisée pour la variable liée dans Variable pour la visibilité.
Par défaut : valeur la plus élevée autorisée pour la variable liée dans Variable pour la visibilité.

Plus de détails dans l’aide en ligne.

ZT_VARIABLE_DYN

GlowEffectBlinkVariable

Variable pour le clignotement

Variables dont les paramètres de clignotement de l’effet de luminescence aux valeurs limites doivent être repris. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de variables.

Par défaut : aucune variable liée

Plus de détails dans l’aide en ligne.

ZT_PREVIEW

GlowEffectBlinkVariablePreview

Affichage aperçu clignotement

Affichage de la valeur limite définie pour la variable de clignotement lorsque l’effet de luminescence est actif. Disponible uniquement si l’option Depuis la variable a été configurée pour la propriété Variable pour le clignotement.

Un aperçu des propriétés définies pour la valeur limite est affiché dans le champ. Aucun aperçu n’est affiché pour les matrices de réaction.
Cliquez sur le bouton ... pour ouvrir la boîte de dialogue d’affichage des résultats. Les valeurs limite sont uniquement affichées ; elles ne peuvent pas être modifiées. Les modifications doivent être effectuées directement dans les propriétés de la variable pour Valeurs limite.

Plus de détails dans l’aide en ligne.

VT_BOOL

GlowEffectUseBlinkColor

Clignotement depuis valeur limite

Disponible uniquement si la propriété Activer est active. Vous devez en outre définir une variable dans la propriété Variable pour le clignotement.

Active : Reprend, pour l’effet de luminescence, la couleur de clignotement de la valeur limite active pour la variable définie dans la propriété Couleur de clignotement par la limite. Cette propriété agit indépendamment de la propriété Coloration. En cas de clignotement, l’effet de luminescence ne devient pas invisible, mais reprend les paramètres de l’effet de luminescence actif.

Par défaut : Inactive

Plus de détails dans l’aide en ligne.

VT_BOOL

GlowEffect2ndBlinkStateVisible

2 états de clignotement invisibles

Disponible uniquement si la propriété Activer est active. Vous devez en outre définir une variable dans la propriété Variable pour le clignotement ; la propriété Clignotement depuis valeur limite doit être inactive.

Active : En cas de clignotement, l’effet de luminescence ne bascule pas vers l’effet de luminescence actif, mais devient invisible. Ceci permet de basculer entre l’invisibilité et la couleur de clignotement en cas de dépassement de la valeur limite.

Par défaut : Inactive

Plus de détails dans l’aide en ligne.


Polyline

Manuel -> Interfaces de programmation -> Modèles d'objet -> Element -> Element-Dynamic properties -> Polyline

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Type

VBA/VSTA Name

Display Name

Description

VT_BSTR

Coordinates

"With this property you can get/set the coordinates of the element via a string.
zElement.DynProperties(""Coordinates"") = ""197/118;260/200"""

VT_R4

SplineTension

Arrondir

Disponible uniquement si la propriété de projet Qualité graphique a été définie sur DirectX Hardware ou DirectX Software.

Définit l’arrondi des polylignes, polygones et tubes.

Valeurs : 0,0 (pas d’arrondi) à 1,0 (arrondi maximal)

Par défaut : 0

Plus de détails dans l’aide en ligne.

ZT_COLOR

LineColor

Couleur de ligne

Line color of the element.

VT_UI2

Offset_H

Distance horiz. [pixels]

Distance horizontale entre la fin de l’arrondi et le coin, en pixels.

Plus de détails dans l’aide en ligne.

VT_UI2

Offset_V

Distance vertic. [pixels]

Distance verticale entre la fin de l’arrondi du coin, en pixels.

Plus de détails dans l’aide en ligne.

ZT_STYLE

LineStyle

Style de ligne

Affichage et sélection du style de ligne attribué à l’élément.

Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de style.
Si plusieurs éléments ont été sélectionnés, ils peuvent être attribués à un style commun.

Remarque : Seules les propriétés compatibles avec l’élément correspondant sont prises en charge.

Plus de détails dans l’aide en ligne.

VT_BOOL

ALCUseColor

Couleur définie par CAL

Disponible uniquement si vous possédez une licence pour la fonctionnalité Coloration Automatique des Lignes (CAL) :
Active : La couleur automatique de la source liée est utilisée.
Inactive : La couleur standard est utilisée.
Par défaut : inactive.

Plus de détails dans l’aide en ligne.

VT_I2

ALCPrecedence

Priorité pour l'affichage

Disponible uniquement si la propriété Couleur définie par CAL est active.

Définit la priorité de l’affichage lorsque l’élément est connecté à plusieurs sources actives.
Plusieurs sources d’alimentation : L’élément est affiché selon les règles de l’alimentation sécurisée.
Source d’alimentation sécurisée : L’élément est affiché selon les règles de l’alimentation sécurisée.
Aucune priorité : Les règles de coloration des paramètres Alimentation multiple et Alimentation sécurisée sont appliquées simultanément, si les deux critères sont satisfaits.

Par défaut : Alimentation multiple
Plus de détails dans l’aide en ligne.

VT_I2

ALCMultiSource

Affichage alimentation multiple

Disponible uniquement si la propriété Couleur définie par CAL est active.
Définit le type d’affichage lorsque l’élément est connecté à plusieurs sources :
Source la plus prioritaire : Seule la couleur de la source la plus prioritaire est utilisée.
Deux sources les plus prioritaires : Les différentes couleurs des deux sources comportant les priorités les plus élevées sont affichées sous forme de trait tireté.
Couleur de remplacement : Couleur de remplacement pour la fonction CAL avec des alimentations multiples.

Par défaut : La source la plus prioritaire

Plus de détails dans l’aide en ligne.

VT_I2

ALCDashLen

Longueur de pointillé fournie plusieurs fois

Disponible uniquement si la propriété Affichage alimentation multiple possède la valeur Deux sources antérieures les plus élevées.

Définit la longueur en pixels du trait tireté associé à la fonction CAL avec une alimentation multiple.

Minimum : 0 (longueur des tirets automatique)

Maximum : 32767

Par défaut : 0

Plus de détails dans l’aide en ligne.

ZT_COLOR

ALCAlternativeColor

Couleur alternative

Disponible uniquement si la propriété Affichage alimentation multiple possède la valeur Couleur de remplacement.

Couleur de remplacement pour la fonction CAL avec des alimentations multiples.

Plus de détails dans l’aide en ligne.

VT_I2

ALCMSecuredSupply

Affichage alimentation sécurisée

Disponible uniquement si Couleur définie par CAL est activée.

Définition de l’affichage de l’alimentation sécurisée :

  • double épaisseur
  • double luminosité
  • normal

Par défaut : normal

Plus de détails dans l’aide en ligne.

VT_BOOL

ALCAlias

Alias

Disponible uniquement si la propriété Couleur définie par CAL est active.

Élément source défini pour la propriété Utiliser alias. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue et sélectionner un élément existant.
Remarque : Les alias ne peuvent pas être utilisés pour des symboles dans la bibliothèque générale de symboles ou la bibliothèque de symboles du projet.

Plus de détails dans l’aide en ligne.

VT_BSTR

ALCAliasName

Alias

Disponible uniquement si la propriété Couleur définie par CAL est active.

Élément source défini pour la propriété Utiliser alias. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue et sélectionner un élément existant.
Remarque : Les alias ne peuvent pas être utilisés pour des symboles dans la bibliothèque générale de symboles ou la bibliothèque de symboles du projet.

Plus de détails dans l’aide en ligne.

VT_R8

ALCReact

Valeur de réactance du câble [Ohm]

Valeur maximale de réactance autorisée de la ligne, en ohms.

Plus de détails dans l’aide en ligne.

VT_R8

ALCResist

Valeur de la résistance de la ligne électrique [Ohm]

Valeur maximale de résistance autorisée de la ligne, en ohms.

Plus de détails dans l’aide en ligne.

VT_R8

ALCLength

Longueur de la ligne [km]

Ligne CAL : longueur de la ligne.

Plus de détails dans l’aide en ligne.

VT_I2

ALCMaxIType

Limite de la capacité de transport de courant

Commutation CAL : valeur limite de la capacité actuelle (sélection fixe/variable).

Plus de détails dans l’aide en ligne.

VT_R8

ALCMaxIVal

Limite fixe de la capacité de transport de courant [A]

Commutation CAL : Capacité de transport de courant définie par une valeur limite.

Plus de détails dans l’aide en ligne.

ZT_VARIABLE_DYN

ALCVarMaxI

Valeur limite dynamique pour la capacité de transport de courant

More...

ALCVarMaxIEx

ALCVarMaxIEx

ZT_VARIABLE_DYN

ALCVarCalcI

Valeur de la mesure du flux de courant calculé

Ligne CAL : Valeur de la mesure du flux de courant calculé.

Plus de détails dans l’aide en ligne.

More...

ALCVarCalcIEx

ALCVarCalcIEx

ALC Leitung: Messwert des berechneten Stromflusses für Export.

Mehr in der Online-Hilfe.

ZT_STYLE

StyleGroup

Groupe de styles

Affichage et sélection du groupe de styles attribué à l’élément.
Cliquez sur le bouton ... pour ouvrir la boîte de dialogue permettant de sélectionner un groupe de styles.
Si plusieurs éléments sont sélectionnés, elles peuvent être attribuées à un groupe de styles commun.

Remarque : Seules les propriétés compatibles avec l’élément correspondant sont prises en charge.

Plus de détails dans l’aide en ligne.

More...

LnClVariable

LnClVariable

"With this property you have the opportunity to get informations about the variable which is linked as ""line/text color"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""LnClVariable.SymVarName"") 'Return the name of the ""line/text color"" variable
zElement.DynProperties (""LnClVariable.SymVarTagNr"") 'Return the identification of the ""line/text color"" variable"

More...

BkClVariable

BkClVariable

"With this property you have the opportunity to get informations about the variable which is linked as ""background/filling color"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""BkClVariable.SymVarName"") 'Return the name of the ""background/filling color"" variable
zElement.DynProperties (""BkClVariable.SymVarTagNr"") 'Return the identification of the ""background/filling color"" variable"

More...

BkCl2Variable

"BkCl2Variable"

More...

XVar

XVar

"With this property you have the opportunity to get informations about the variable which is linked as ""dynamic x position"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""XVar.SymVarName"") 'Return the name of the ""dynamic x position"" variable
zElement.DynProperties (""XVar.SymVarTagNr"") 'Return the identification of the ""dynamic x position"" variable"

More...

YVar

YVar

"With this property you have the opportunity to get informations about the variable which is linked as ""dynamic y position"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""YVar.SymVarName"") 'Return the name of the ""dynamic y position"" variable
zElement.DynProperties (""YVar.SymVarTagNr"") 'Return the identification of the ""dynamic y position"" variable"

More...

XVarZoom

XVarZoom

"With this property you have the opportunity to get informations about the variable which is linked as ""change width"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""XVarZoom.SymVarName"") 'Return the name of the ""change width"" variable
zElement.DynProperties (""XVarZoom.SymVarTagNr"") 'Return the identification of the ""change width"" variable"

More...

YVarZoom

YVarZoom

"With this property you have the opportunity to get informations about the variable which is linked as ""change height"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""YVarZoom.SymVarName"") 'Return the name of the ""change height"" variable
zElement.DynProperties (""YVarZoom.SymVarName"") 'Return the name of the ""change height"" variable
zElement.DynProperties (""YVarZoom.SymVarTagNr"") 'Return the identification of the ""change height"" variable"

More...

TwistVar

TwistVar

"With this property you have the opportunity to get informations about the variable which is linked as ""rotate"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""TwistVar.SymVarName"") 'Return the name of the ""rotate"" variable
zElement.DynProperties (""TwistVar.SymVarTagNr"") 'Return the identification of the ""rotate"" variable"

More...

VisVariable

VisVariable

"With this property you have the opportunity to get informations about the variable which is linked as ""visibility"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""VisVariable.SymVarName"") 'Return the name of the ""visibility"" variable
zElement.DynProperties (""VisVariable.SymVarTagNr"") 'Return the identification of the ""visibility"" variable"

More...

BlinkVar

BlinkVar

More...

GlowEffectGlowColorVar

GlowEffectGlowColorVar

More...

GlowEffectVisibilityVar

GlowEffectVisibilityVar

More...

GlowEffectBlinkVar

GlowEffectBlinkVar

VT_BSTR

Name

Nom d'élément

Attribuez un nom d’élément.
Il ne doit pas être vide.

Attention : Cette propriété n’est pas disponible aux fins de la commutation de langue.

Remarques concernant les cadrans : Pour les conteneurs de synoptique, spécifiez des noms clairement identifiables pour faciliter la sélection lors de la configuration des appels de synoptique.

Plus de détails dans l’aide en ligne.

VT_UI1

Layer

Niveau de visibilité

Sélectionnez l’un des 16 niveaux de visibilité (0 à 15) dans la liste déroulante. À l’aide de la barre d’outils Niveau de visibilité, vous décidez des niveaux qui doivent être affichés dans Editor. Cette fonction garantit que les synoptiques les plus complexes peuvent être développés de manière simple. Les niveaux peuvent être utilisés immédiatement. Les niveaux n’ont aucune influence sur les informations affichées au premier plan ou en arrière-plan dans le Runtime.
Par défaut : 0.

Plus de détails dans l’aide en ligne.

VT_I4

StartX

Point de départ X [pixels]

Coordonnée Y du coin supérieur gauche du synoptique (en pixels).

Plus de détails dans l’aide en ligne.

VT_I4

EndX

Point final X [pixels]

Coordonnée X du coin inférieur droit du synoptique (en pixels).

Plus de détails dans l’aide en ligne.

VT_I4

StartY

Point de départ Y [pixels]

Coordonnée Y du coin supérieur gauche du synoptique (en pixels).

Plus de détails dans l’aide en ligne.

VT_I4

EndY

Point final Y [pixels]

Coordonnée Y du coin inférieur droit du synoptique (en pixels).

Plus de détails dans l’aide en ligne.

VT_I4

Width

Largeur [pixels]

Largeur des éléments en pixels.

Remarque : disponible uniquement pour les éléments Combinaison multiple, Élément combiné, Bouton et Interrupteur si la valeur Ajusté a été sélectionnée pour la propriété Taille du graphique.

Plus de détails dans l’aide en ligne.

VT_I4

Height

Hauteur [pixels]

Hauteur des éléments en pixels.

Remarque : disponible uniquement pour les éléments Combinaison multiple, Élément combiné, Bouton et Interrupteur si la valeur Ajusté a été sélectionnée pour la propriété Taille du graphique.

Plus de détails dans l’aide en ligne.

VT_I4

Angle

Angle de rotation [°]

Angle libre autour selon lequel doit pivoter l’élément.
Les valeurs positives correspondent à une rotation dans le sens antihoraire, tandis que les valeurs négatives correspondent à une rotation dans le sens horaire. Les valeurs supérieures à 360° sont affichées sous forme d’écart par rapport à 360° (400° correspond à 40°). Seuls les nombres entiers sont autorisés.

Sur les éléments pivotés, les actions suivantes ne sont plus possibles :

  • Miroir
  • Rotation de +/- 90°
  • Redimensionnement à l’aide des touches fléchées

Par défaut : 0

Remarque : Ce paramètre est activé et réinitialisé lors de la configuration pour Windows CE.

Plus de détails dans l’aide en ligne.

VT_I2

ZoomMin

Visible de

Incrément de zoom le plus bas auquel l’élément est visible dans la vue globale.
Par défaut : -1
Une valeur de visibilité avec des incréments de zoom de -1 à -1 signifie que l’élément est affiché, quel que soit l’incrément de zoom sélectionné.

Les niveaux de zoom affichés dans la vue globale peuvent être configurés avec la propriété Apparence graphique -> Généralités runtime -> Pas de zoom pour vue globale.

Attention : Ce niveau de zoom s’applique à tous les types de synoptiques et cadres. Si un niveau de zoom défini est supérieur à 0, l’élément est uniquement affiché dans la vue globale, car les autres types de synoptique sont automatiquement appelés avec le niveau de zoom 0.

Plus de détails dans l’aide en ligne.

VT_I2

ZoomMax

Visible jusqu'à

Incrément de zoom le plus élevé auquel l’élément est visible dans la vue globale.

Par défaut : -1
Une valeur de visibilité avec des incréments de zoom de -1 à -1 signifie que l’élément est affiché, quel que soit l’incrément de zoom sélectionné.

Les niveaux de zoom affichés dans la vue globale peuvent être configurés avec la propriété Apparence graphique -> Généralités runtime -> Pas de zoom pour vue globale.

Attention : Ce niveau de zoom s’applique à tous les types de synoptiques et cadres. Si un niveau de zoom défini est supérieur à 0, l’élément est uniquement affiché dans la vue globale, car les autres types de synoptique sont automatiquement appelés avec le niveau de zoom 0.

Plus de détails dans l’aide en ligne.

VT_BSTR

Stationname

Nom liste d'objets

L’élément est saisi directement dans la liste de stations du synoptique Vue globale, et le texte est saisi ici.

Plus de détails dans l’aide en ligne.

ZT_VARIABLE_DYN

LineColorVariable

Couleur de ligne

Nom des variables dont les couleurs de valeur limite doivent influencer la couleur de ligne/de texte de l’élément. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de variables.

Plus de détails dans l’aide en ligne.

ZT_PREVIEW

LineColorVarPreview

Affichage aperçu couleur

Affichage de la valeur limite pour la propriété Couleur de ligne définie pour la variable. Disponible uniquement si l’option Depuis la variable a été configurée pour la propriété Couleur de ligne.

Un aperçu des propriétés définies pour la valeur limite est affiché dans le champ. Aucun aperçu n’est affiché pour les matrices de réaction.
Cliquez sur le bouton ... pour ouvrir la boîte de dialogue d’affichage des résultats. Les valeurs limite sont uniquement affichées ; elles ne peuvent pas être modifiées. Les modifications doivent être effectuées directement dans les propriétés de la variable pour Valeurs limite.

Plus de détails dans l’aide en ligne.

VT_UI1

HorizontalOrigin

Horizontal

Point de référence horizontal de l’événement. Les valeurs possibles sont : gauche, centré, droite.
Ce point est utilisé en tant que base de calcul de l’angle de départ de la rotation (statique et dynamique) et pour le changement dynamique de taille.

Par défaut : À gauche

Plus de détails dans l’aide en ligne.

VT_UI1

VerticalOrigin

Vertical

Point de référence vertical de l’événement. Les valeurs possibles sont : haut, centré, bas.
Ce point est utilisé en tant que base de calcul de l’angle de départ de la rotation (statique et dynamique) et pour le changement dynamique de taille.

Par défaut : En haut

Plus de détails dans l’aide en ligne.

VT_UI4

VisibilityType

Visibilité

Sélection depuis laquelle la visibilité d’un élément est déterminée :

  • Depuis une variable
  • Du verrrouillage

Par défaut : Depuis une variable

Plus de détails dans l’aide en ligne.

ZT_VARIABLE_DYN

VisibilityVariable

Variable

Disponible uniquement si l’option Depuis la variable a été configurée pour la propriété Visibilité.

Nom de la variable dont la valeur contrôle la visibilité de l’élément. La visibilité est soit reprise des propriétés de valeur limite de ces variables, soit définie par la plage de valeurs définie dans les propriétés de et À.
Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de variables. Vous pouvez également saisir manuellement le nom dans le champ de texte.
L'élément reste visible tant qu’aucune variable n’est liée.

Plus de détails dans l’aide en ligne.

ZT_PREVIEW

VisVarPreview

Affichage aperçu visibilité

Affichage des valeurs limite pour la visibilité définies pour la variable. Disponible uniquement si l’option Depuis la variable a été configurée pour la propriété Variable dans le groupe Visibilité.

Un aperçu des propriétés définies pour la valeur limite est affiché dans le champ. Aucun aperçu n’est affiché pour les matrices de réaction.
Cliquez sur le bouton ... pour ouvrir la boîte de dialogue d’affichage des résultats. Les valeurs limite sont uniquement affichées ; elles ne peuvent pas être modifiées. Les modifications doivent être effectuées directement dans les propriétés de la variable pour Valeurs limite.

Plus de détails dans l’aide en ligne.

VT_BOOL

VisibilityFromLimit

A partir des valeurs limites

Uniquement disponible après la sélection d’une variable :

  • Active : La visibilité de l’élément est influencée par la propriété de valeur limite de la variable.

    Attention : La propriété Invisible doit être active pour au moins une valeur limite de la variable.

  • Inactive : la visibilité est influencée par les propriétés de l’élément.

Par défaut : active

Plus de détails dans l’aide en ligne.

VT_R8

VisibilityFrom

de

Disponible uniquement après la sélection d’une variable, si la visibilité n’a pas été reprise par la valeur limite :

Valeur minimum de la variable à laquelle l’élément est visible.

  • Minimum : valeur minimum possible de la variable liée.
  • Maximum : valeur maximum possible de la variable liée.

Par défaut : valeur minimum possible de la variable liée.

Plus de détails dans l’aide en ligne.

VT_R8

VisibilityTo

À

Disponible uniquement après la sélection d’une variable, si la visibilité n’a pas été reprise par la valeur limite :

Valeur maximale de la variable à laquelle l’élément est visible.

  • Minimum : valeur minimum possible de la variable liée.
  • Maximum : valeur maximum possible de la variable liée.

Par défaut : valeur maximum possible de la variable liée.

Plus de détails dans l’aide en ligne.

VT_UI4

Interlocking

Verrouillage

Disponible uniquement si l’option Depuis le verrouillage est sélectionnée pour la propriété Visibilité.

Nom du verrouillage dont la valeur contrôle la visibilité de l’élément. Sélectionnez dans la liste déroulante. Celle-ci contient tous les verrouillages existants et utilisables. L’élément est toujours visible si aucun verrouillage n’est lié.

Plus de détails dans l’aide en ligne.

VT_BSTR

InterlockingName

InterlockingName

Description

VT_BOOL

VisibleWhenInterlocked

Visible si verrouillé

Contrôle la visibilité de l’élément lorsque le verrouillage est sélectionné :

  • Active : L’élément est visible s’il est verrouillé.
  • Inactive : L’élément est visible s’il n’est pas verrouillé.

Par défaut : inactive

Plus de détails dans l’aide en ligne.

ZT_VARIABLE_DYN

BlinkVariable

Affichage aperçu clignotement

Affichage des valeurs limite pour le clignotement définies pour la variable. Disponible uniquement si l’option Depuis la variable a été configurée pour la propriété Prendre le clignotement de la limite.

Un aperçu des propriétés définies pour la valeur limite est affiché dans le champ. Aucun aperçu n’est affiché pour les matrices de réaction.
Cliquez sur le bouton ... pour ouvrir la boîte de dialogue d’affichage des résultats. Les valeurs limite sont uniquement affichées ; elles ne peuvent pas être modifiées. Les modifications doivent être effectuées directement dans les propriétés de la variable pour Valeurs limite.

Plus de détails dans l’aide en ligne.

ZT_PREVIEW

BlinkVarPreview

Affichage aperçu clignotement

Affichage des valeurs limite pour le clignotement définies pour la variable. Disponible uniquement si l’option Depuis la variable a été configurée pour la propriété Prendre le clignotement de la limite.

Un aperçu des propriétés définies pour la valeur limite est affiché dans le champ. Aucun aperçu n’est affiché pour les matrices de réaction.
Cliquez sur le bouton ... pour ouvrir la boîte de dialogue d’affichage des résultats. Les valeurs limite sont uniquement affichées ; elles ne peuvent pas être modifiées. Les modifications doivent être effectuées directement dans les propriétés de la variable pour Valeurs limite.

Plus de détails dans l’aide en ligne.

ZT_VARIABLE_DYN

XVariable

Variable

Nom de la variable utilisée pour le déplacement horizontal de l’élément.
Ouvre la boîte de dialogue de sélection de variables.

Plus de détails dans l’aide en ligne.

VT_R8

XVarMin

Valeur min de la variable

Valeur minimale de la variable utilisée pour le déplacement horizontal de l’élément.

Plus de détails dans l’aide en ligne.

VT_R8

XVarMax

Valeur max de la variable

Valeur maximale de la variable utilisée pour le déplacement horizontal de l’élément.

Plus de détails dans l’aide en ligne.

VT_I4

XViewMin

Mouvement min [pixels]

Position horizontale de l’élément pour la valeur minimale de la variable (en pixels).

Plus de détails dans l’aide en ligne.

VT_I4

XViewMax

Mouvement max [pixels]

Position horizontale de l’élément pour la valeur minimale de la variable (en pixels).

Plus de détails dans l’aide en ligne.

ZT_VARIABLE_DYN

YVariable

Variable

Nom de la variable utilisée pour le déplacement vertical de l’élément.
Ouvre la boîte de dialogue de sélection de variables.

Plus de détails dans l’aide en ligne.

VT_R8

YVarMin

Valeur min de la variable

Valeur minimale de la variable utilisée pour le déplacement vertical de l’élément.

Plus de détails dans l’aide en ligne.

VT_R8

YVarMax

Valeur max de la variable

Valeur maximale de la variable utilisée pour le déplacement vertical de l’élément.

Plus de détails dans l’aide en ligne.

VT_I4

YViewMin

Mouvement min [pixels]

Position verticale de l’élément pour la valeur minimale de la variable (en pixels).

Plus de détails dans l’aide en ligne.

VT_I4

YViewMax

Mouvement max [pixels]

Position verticale de l’élément pour la valeur maximale de la variable (en pixels).

Plus de détails dans l’aide en ligne.

ZT_VARIABLE_DYN

XZoomVariable

Variable

Nom de la variable utilisée pour l’agrandissement de la largeur de l’élément.
Ouvre la boîte de dialogue de sélection de variables.

Plus de détails dans l’aide en ligne.

VT_R8

XZoomVarMin

Valeur min de la variable

Valeur minimale de la variable utilisée pour effectuer un zoom à la largeur de l’élément.

Plus de détails dans l’aide en ligne.

VT_R8

XZoomVarMax

Valeur max de la variable

Valeur maximale de la variable utilisée pour effectuer un zoom sur la largeur de l’élément.

Plus de détails dans l’aide en ligne.

VT_I4

XZoomViewMin

Largeur min [%]

Facteur de zoom correspondant à la largeur de l’élément pour la valeur minimale de la variable (en pixels).

Plus de détails dans l’aide en ligne.

VT_I4

XZoomViewMax

Largeur max [%]

Facteur de zoom correspondant à la largeur de l’élément pour la valeur maximale de la variable (en pixels).

Plus de détails dans l’aide en ligne.

ZT_VARIABLE_DYN

YZoomVariable

Variable

Nom de la variable utilisée pour l’agrandissement de la hauteur de l’élément.
Ouvre la boîte de dialogue de sélection de variables.

Plus de détails dans l’aide en ligne.

VT_R8

YZoomVarMin

Valeur min de la variable

Valeur minimum de la variable utilisée pour effectuer un zoom sur la hauteur de l’élément.

Plus de détails dans l’aide en ligne.

VT_R8

YZoomVarMax

Valeur max de la variable

Valeur maximum de la variable utilisée pour effectuer un zoom sur la hauteur de l’élément.

Plus de détails dans l’aide en ligne.

VT_I4

YZoomViewMin

Hauteur min [%]

Facteur de zoom correspondant à la hauteur de l’élément pour la valeur minimum de la variable (en %).

Plus de détails dans l’aide en ligne.

VT_I4

YZoomViewMax

Hauteur max [%]

Facteur de zoom correspondant à la hauteur de l’élément pour la valeur maximale de la variable (en pixels).

Plus de détails dans l’aide en ligne.

ZT_VARIABLE_DYN

TwistVariable

Variable

Nom de la variable utilisée pour la rotation de l’élément.

Plus de détails dans l’aide en ligne.

VT_R8

TwistVarMin

Valeur min de la variable

Valeur minimum de la variable utilisée pour la rotation de l’élément.

Plus de détails dans l’aide en ligne.

VT_R8

TwistVarMax

Valeur max de la variable

Valeur maximale de la variable utilisée pour la rotation de l’élément.

Plus de détails dans l’aide en ligne.

VT_I4

TwistViewMin

Rotation min [°]

Angle de rotation de l’élément pour la valeur minimum de la variable (en °).

Plus de détails dans l’aide en ligne.

VT_I4

TwistViewMax

Rotation max [°]

Angle de rotation de l’élément pour la valeur maximum de la variable (en °).

Plus de détails dans l’aide en ligne.

ZT_STYLE

ShadowEffectStyle

Style effet cadres/ombres

Affichage et sélection du style de cadre et d’ombre attribué à l’élément.

Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de style.
Si plusieurs éléments ont été sélectionnés, ils peuvent être attribués à un style commun.

Remarque : Seules les propriétés compatibles avec l’élément correspondant sont prises en charge.

Plus de détails dans l’aide en ligne.

VT_BOOL

EnablePunchFrame

Afficher le cadre

A frame around the element can be displayed.
Default: inactive.

ZT_STYLE

GlowEffectStyle

Style effet de rayonnement

Affichage et sélection du style des effets de luminescence attribués à l’élément.

Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de style.
Si plusieurs éléments ont été sélectionnés, ils peuvent être attribués à un style commun.

Remarque : Seules les propriétés compatibles avec l’élément correspondant sont prises en charge.

Plus de détails dans l’aide en ligne.

VT_BOOL

GlowEffectEvent

Actif seulement si cliqué

Disponible uniquement si la propriété Activer est active et l’élément est un bouton.

Active : l’effet de luminescence est uniquement affiché lorsque l’utilisateur clique sur le bouton. Cliquer sur le bouton permet de modifier la couleur, le clignotement ou l’invisibilité de l’effet de luminescence.

Par défaut : Inactive

Plus de détails dans l’aide en ligne.

ZT_VARIABLE_DYN

GlowEffectGlowColorVariable

Variable pour la couleur

Disponible uniquement si la propriété Activer est active. La propriété Coloration doit être activée.

Nom de la variable dont la couleur aux valeurs limites doit influencer la couleur de l’effet de luminescence pour l’élément. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de variables. Vous pouvez également saisir le nom manuellement dans le champ de texte. Si aucune variable n’est liée, la couleur définie dans la propriété Couleur est utilisée.

Par défaut : aucune variable liée

Plus de détails dans l’aide en ligne.

ZT_PREVIEW

GlowEffectGlowColorVariablePreview

Affichage aperçu couleur

Affichage de la valeur limite définie pour la variable de couleur lorsque l’effet de luminescence est actif. Disponible uniquement si l’option Depuis la variable a été configurée pour la propriété Variable pour la couleur.

Un aperçu des propriétés définies pour la valeur limite est affiché dans le champ. Aucun aperçu n’est affiché pour les matrices de réaction.
Cliquez sur le bouton ... pour ouvrir la boîte de dialogue d’affichage des résultats. Les valeurs limite sont uniquement affichées ; elles ne peuvent pas être modifiées. Les modifications doivent être effectuées directement dans les propriétés de la variable pour Valeurs limite.

Plus de détails dans l’aide en ligne.

ZT_VARIABLE_DYN

GlowEffectVisibilityVariable

Variable pour la visibilité

Disponible uniquement si la propriété Activer est active.

Nom de la variable dont la valeur influence la visibilité de l’effet de luminescence. La visibilité est soit reprise des propriétés de valeur limite de cette variable (propriété Visibilité depuis valeur limite active), soit définie par la plage de valeurs définie dans les propriétés Visible de et Visible jusqu'à. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de variables. Vous pouvez également saisir le nom manuellement dans le champ de texte.

Remarque : si aucune variable n’est liée, l’effet de luminescence est toujours visible.

Par défaut : aucune variable liée

Plus de détails dans l’aide en ligne.

ZT_PREVIEW

GlowEffectVisibilityVariablePreview

Affichage aperçu visibilité

Affichage de la valeur limite définie pour la variable de visibilité lorsque l’effet de luminescence est actif. Disponible uniquement si l’option Depuis la variable a été configurée pour la propriété Variable pour la visibilité.

Un aperçu des propriétés définies pour la valeur limite est affiché dans le champ. Aucun aperçu n’est affiché pour les matrices de réaction.
Cliquez sur le bouton ... pour ouvrir la boîte de dialogue d’affichage des résultats. Les valeurs limite sont uniquement affichées ; elles ne peuvent pas être modifiées. Les modifications doivent être effectuées directement dans les propriétés de la variable pour Valeurs limite.

Plus de détails dans l’aide en ligne.

VT_BOOL

GlowEffectVisibilityFromLimit

Visibilité depuis valeur limite

Disponible uniquement si la propriété Activer est active. Vous devez en outre définir une variable dans la propriété Variable pour la visibilité.

Active : La visibilité de l’effet de luminescence est influencée par la propriété de valeur limite de la variable.

Attention : Pour une valeur limite de la variable au moins, la propriété Invisible doit être active.

Inactive : la visibilité est influencée par les propriétés de l’élément.

Plus de détails dans l’aide en ligne.

VT_R8

GlowEffectVisibilityFrom

Visible de

Disponible uniquement si la propriété Activer est active. Vous devez en outre définir une variable dans la propriété Variable pour la visibilité ; la propriété Visibilité depuis valeur limite doit être inactive.

Définit la valeur à partir de laquelle l’effet de luminescence devient visible.
Minimum : valeur la moins élevée autorisée pour la variable liée dans Variable pour la visibilité.
Maximum : valeur la moins élevée autorisée pour la variable liée dans Variable pour la visibilité.
Par défaut : valeur la plus élevée autorisée pour la variable liée dans Variable pour la visibilité.

Plus de détails dans l’aide en ligne.

VT_R8

GlowEffectVisibilityTo

Visible jusqu'à

Disponible uniquement si la propriété Activer est active. Vous devez en outre définir une variable dans la propriété Variable pour la visibilité ; la propriété Visibilité depuis valeur limite doit être inactive.

Définit la valeur jusqu’à laquelle l’effet de luminescence reste visible.
Minimum : valeur la plus basse autorisée pour la variable liée dans Variable pour la visibilité.
Maximum : valeur la plus élevée autorisée pour la variable liée dans Variable pour la visibilité.
Par défaut : valeur la plus élevée autorisée pour la variable liée dans Variable pour la visibilité.

Plus de détails dans l’aide en ligne.

ZT_VARIABLE_DYN

GlowEffectBlinkVariable

Variable pour le clignotement

Variables dont les paramètres de clignotement de l’effet de luminescence aux valeurs limites doivent être repris. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de variables.

Par défaut : aucune variable liée

Plus de détails dans l’aide en ligne.

ZT_PREVIEW

GlowEffectBlinkVariablePreview

Affichage aperçu clignotement

Affichage de la valeur limite définie pour la variable de clignotement lorsque l’effet de luminescence est actif. Disponible uniquement si l’option Depuis la variable a été configurée pour la propriété Variable pour le clignotement.

Un aperçu des propriétés définies pour la valeur limite est affiché dans le champ. Aucun aperçu n’est affiché pour les matrices de réaction.
Cliquez sur le bouton ... pour ouvrir la boîte de dialogue d’affichage des résultats. Les valeurs limite sont uniquement affichées ; elles ne peuvent pas être modifiées. Les modifications doivent être effectuées directement dans les propriétés de la variable pour Valeurs limite.

Plus de détails dans l’aide en ligne.

VT_BOOL

GlowEffectUseBlinkColor

Clignotement depuis valeur limite

Disponible uniquement si la propriété Activer est active. Vous devez en outre définir une variable dans la propriété Variable pour le clignotement.

Active : Reprend, pour l’effet de luminescence, la couleur de clignotement de la valeur limite active pour la variable définie dans la propriété Couleur de clignotement par la limite. Cette propriété agit indépendamment de la propriété Coloration. En cas de clignotement, l’effet de luminescence ne devient pas invisible, mais reprend les paramètres de l’effet de luminescence actif.

Par défaut : Inactive

Plus de détails dans l’aide en ligne.

VT_BOOL

GlowEffect2ndBlinkStateVisible

2 états de clignotement invisibles

Disponible uniquement si la propriété Activer est active. Vous devez en outre définir une variable dans la propriété Variable pour le clignotement ; la propriété Clignotement depuis valeur limite doit être inactive.

Active : En cas de clignotement, l’effet de luminescence ne bascule pas vers l’effet de luminescence actif, mais devient invisible. Ceci permet de basculer entre l’invisibilité et la couleur de clignotement en cas de dépassement de la valeur limite.

Par défaut : Inactive

Plus de détails dans l’aide en ligne.


Picture elements

Manuel -> Interfaces de programmation -> Modèles d'objet -> Element -> Element-Dynamic properties -> Picture elements

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Type

VBA/VSTA Name

Display Name

Description

ZT_STYLE

StyleGroup

Groupe de styles

Affichage et sélection du groupe de styles attribué à l’élément.
Cliquez sur le bouton ... pour ouvrir la boîte de dialogue permettant de sélectionner un groupe de styles.
Si plusieurs éléments sont sélectionnés, elles peuvent être attribuées à un groupe de styles commun.

Remarque : Seules les propriétés compatibles avec l’élément correspondant sont prises en charge.

Plus de détails dans l’aide en ligne.

More...

LnClVariable

LnClVariable

"With this property you have the opportunity to get informations about the variable which is linked as ""line/text color"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""LnClVariable.SymVarName"") 'Return the name of the ""line/text color"" variable
zElement.DynProperties (""LnClVariable.SymVarTagNr"") 'Return the identification of the ""line/text color"" variable"

More...

BkClVariable

BkClVariable

"With this property you have the opportunity to get informations about the variable which is linked as ""background/filling color"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""BkClVariable.SymVarName"") 'Return the name of the ""background/filling color"" variable
zElement.DynProperties (""BkClVariable.SymVarTagNr"") 'Return the identification of the ""background/filling color"" variable"

More...

BkCl2Variable

"BkCl2Variable"

More...

XVar

XVar

"With this property you have the opportunity to get informations about the variable which is linked as ""dynamic x position"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""XVar.SymVarName"") 'Return the name of the ""dynamic x position"" variable
zElement.DynProperties (""XVar.SymVarTagNr"") 'Return the identification of the ""dynamic x position"" variable"

More...

YVar

YVar

"With this property you have the opportunity to get informations about the variable which is linked as ""dynamic y position"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""YVar.SymVarName"") 'Return the name of the ""dynamic y position"" variable
zElement.DynProperties (""YVar.SymVarTagNr"") 'Return the identification of the ""dynamic y position"" variable"

More...

XVarZoom

XVarZoom

"With this property you have the opportunity to get informations about the variable which is linked as ""change width"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""XVarZoom.SymVarName"") 'Return the name of the ""change width"" variable
zElement.DynProperties (""XVarZoom.SymVarTagNr"") 'Return the identification of the ""change width"" variable"

More...

YVarZoom

YVarZoom

"With this property you have the opportunity to get informations about the variable which is linked as ""change height"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""YVarZoom.SymVarName"") 'Return the name of the ""change height"" variable
zElement.DynProperties (""YVarZoom.SymVarName"") 'Return the name of the ""change height"" variable
zElement.DynProperties (""YVarZoom.SymVarTagNr"") 'Return the identification of the ""change height"" variable"

More...

TwistVar

TwistVar

"With this property you have the opportunity to get informations about the variable which is linked as ""rotate"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""TwistVar.SymVarName"") 'Return the name of the ""rotate"" variable
zElement.DynProperties (""TwistVar.SymVarTagNr"") 'Return the identification of the ""rotate"" variable"

More...

VisVariable

VisVariable

"With this property you have the opportunity to get informations about the variable which is linked as ""visibility"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""VisVariable.SymVarName"") 'Return the name of the ""visibility"" variable
zElement.DynProperties (""VisVariable.SymVarTagNr"") 'Return the identification of the ""visibility"" variable"

More...

BlinkVar

BlinkVar

More...

GlowEffectGlowColorVar

GlowEffectGlowColorVar

More...

GlowEffectVisibilityVar

GlowEffectVisibilityVar

More...

GlowEffectBlinkVar

GlowEffectBlinkVar

VT_BSTR

Name

Nom d'élément

Attribuez un nom d’élément.
Il ne doit pas être vide.

Attention : Cette propriété n’est pas disponible aux fins de la commutation de langue.

Remarques concernant les cadrans : Pour les conteneurs de synoptique, spécifiez des noms clairement identifiables pour faciliter la sélection lors de la configuration des appels de synoptique.

Plus de détails dans l’aide en ligne.

VT_UI1

Layer

Niveau de visibilité

Sélectionnez l’un des 16 niveaux de visibilité (0 à 15) dans la liste déroulante. À l’aide de la barre d’outils Niveau de visibilité, vous décidez des niveaux qui doivent être affichés dans Editor. Cette fonction garantit que les synoptiques les plus complexes peuvent être développés de manière simple. Les niveaux peuvent être utilisés immédiatement. Les niveaux n’ont aucune influence sur les informations affichées au premier plan ou en arrière-plan dans le Runtime.
Par défaut : 0.

Plus de détails dans l’aide en ligne.

VT_I4

StartX

Point de départ X [pixels]

Coordonnée Y du coin supérieur gauche du synoptique (en pixels).

Plus de détails dans l’aide en ligne.

VT_I4

EndX

Point final X [pixels]

Coordonnée X du coin inférieur droit du synoptique (en pixels).

Plus de détails dans l’aide en ligne.

VT_I4

StartY

Point de départ Y [pixels]

Coordonnée Y du coin supérieur gauche du synoptique (en pixels).

Plus de détails dans l’aide en ligne.

VT_I4

EndY

Point final Y [pixels]

Coordonnée Y du coin inférieur droit du synoptique (en pixels).

Plus de détails dans l’aide en ligne.

VT_I4

Width

Largeur [pixels]

Largeur des éléments en pixels.

Remarque : disponible uniquement pour les éléments Combinaison multiple, Élément combiné, Bouton et Interrupteur si la valeur Ajusté a été sélectionnée pour la propriété Taille du graphique.

Plus de détails dans l’aide en ligne.

VT_I4

Height

Hauteur [pixels]

Hauteur des éléments en pixels.

Remarque : disponible uniquement pour les éléments Combinaison multiple, Élément combiné, Bouton et Interrupteur si la valeur Ajusté a été sélectionnée pour la propriété Taille du graphique.

Plus de détails dans l’aide en ligne.

VT_I4

Angle

Angle de rotation [°]

Angle libre autour selon lequel doit pivoter l’élément.
Les valeurs positives correspondent à une rotation dans le sens antihoraire, tandis que les valeurs négatives correspondent à une rotation dans le sens horaire. Les valeurs supérieures à 360° sont affichées sous forme d’écart par rapport à 360° (400° correspond à 40°). Seuls les nombres entiers sont autorisés.

Sur les éléments pivotés, les actions suivantes ne sont plus possibles :

  • Miroir
  • Rotation de +/- 90°
  • Redimensionnement à l’aide des touches fléchées

Par défaut : 0

Remarque : Ce paramètre est activé et réinitialisé lors de la configuration pour Windows CE.

Plus de détails dans l’aide en ligne.

VT_I2

ZoomMin

Visible de

Incrément de zoom le plus bas auquel l’élément est visible dans la vue globale.
Par défaut : -1
Une valeur de visibilité avec des incréments de zoom de -1 à -1 signifie que l’élément est affiché, quel que soit l’incrément de zoom sélectionné.

Les niveaux de zoom affichés dans la vue globale peuvent être configurés avec la propriété Apparence graphique -> Généralités runtime -> Pas de zoom pour vue globale.

Attention : Ce niveau de zoom s’applique à tous les types de synoptiques et cadres. Si un niveau de zoom défini est supérieur à 0, l’élément est uniquement affiché dans la vue globale, car les autres types de synoptique sont automatiquement appelés avec le niveau de zoom 0.

Plus de détails dans l’aide en ligne.

VT_I2

ZoomMax

Visible jusqu'à

Incrément de zoom le plus élevé auquel l’élément est visible dans la vue globale.

Par défaut : -1
Une valeur de visibilité avec des incréments de zoom de -1 à -1 signifie que l’élément est affiché, quel que soit l’incrément de zoom sélectionné.

Les niveaux de zoom affichés dans la vue globale peuvent être configurés avec la propriété Apparence graphique -> Généralités runtime -> Pas de zoom pour vue globale.

Attention : Ce niveau de zoom s’applique à tous les types de synoptiques et cadres. Si un niveau de zoom défini est supérieur à 0, l’élément est uniquement affiché dans la vue globale, car les autres types de synoptique sont automatiquement appelés avec le niveau de zoom 0.

Plus de détails dans l’aide en ligne.

VT_BSTR

Stationname

Nom liste d'objets

L’élément est saisi directement dans la liste de stations du synoptique Vue globale, et le texte est saisi ici.

Plus de détails dans l’aide en ligne.

ZT_VARIABLE_DYN

LineColorVariable

Couleur de ligne

Nom des variables dont les couleurs de valeur limite doivent influencer la couleur de ligne/de texte de l’élément. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de variables.

Plus de détails dans l’aide en ligne.

ZT_PREVIEW

LineColorVarPreview

Affichage aperçu couleur

Affichage de la valeur limite pour la propriété Couleur de ligne définie pour la variable. Disponible uniquement si l’option Depuis la variable a été configurée pour la propriété Couleur de ligne.

Un aperçu des propriétés définies pour la valeur limite est affiché dans le champ. Aucun aperçu n’est affiché pour les matrices de réaction.
Cliquez sur le bouton ... pour ouvrir la boîte de dialogue d’affichage des résultats. Les valeurs limite sont uniquement affichées ; elles ne peuvent pas être modifiées. Les modifications doivent être effectuées directement dans les propriétés de la variable pour Valeurs limite.

Plus de détails dans l’aide en ligne.

ZT_VARIABLE_DYN

BackColorVariable

Couleur de remplissage

Nom de la variable dont les couleurs de valeur limite doivent influencer la couleur d’arrière-plan/de remplissage de l’élément.
Ouvre la boîte de dialogue de sélection de variables.

Plus de détails dans l’aide en ligne.

ZT_PREVIEW

BackColorVarPreview

Affichage aperçu couleur

Affichage de la valeur limite pour la propriété Couleur de remplissage définie pour la variable. Disponible uniquement si l’option Depuis la variable a été configurée pour la propriété Couleur de remplissage.

Un aperçu des propriétés définies pour la valeur limite est affiché dans le champ. Aucun aperçu n’est affiché pour les matrices de réaction.
Cliquez sur le bouton ... pour ouvrir la boîte de dialogue d’affichage des résultats. Les valeurs limite sont uniquement affichées ; elles ne peuvent pas être modifiées. Les modifications doivent être effectuées directement dans les propriétés de la variable pour Valeurs limite.

Plus de détails dans l’aide en ligne.

VT_UI1

HorizontalOrigin

Horizontal

Point de référence horizontal de l’événement. Les valeurs possibles sont : gauche, centré, droite.
Ce point est utilisé en tant que base de calcul de l’angle de départ de la rotation (statique et dynamique) et pour le changement dynamique de taille.

Par défaut : À gauche

Plus de détails dans l’aide en ligne.

VT_UI1

VerticalOrigin

Vertical

Point de référence vertical de l’événement. Les valeurs possibles sont : haut, centré, bas.
Ce point est utilisé en tant que base de calcul de l’angle de départ de la rotation (statique et dynamique) et pour le changement dynamique de taille.

Par défaut : En haut

Plus de détails dans l’aide en ligne.

VT_UI4

VisibilityType

Visibilité

Sélection depuis laquelle la visibilité d’un élément est déterminée :

  • Depuis une variable
  • Du verrrouillage

Par défaut : Depuis une variable

Plus de détails dans l’aide en ligne.

ZT_VARIABLE_DYN

VisibilityVariable

Variable

Disponible uniquement si l’option Depuis la variable a été configurée pour la propriété Visibilité.

Nom de la variable dont la valeur contrôle la visibilité de l’élément. La visibilité est soit reprise des propriétés de valeur limite de ces variables, soit définie par la plage de valeurs définie dans les propriétés de et À.
Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de variables. Vous pouvez également saisir manuellement le nom dans le champ de texte.
L'élément reste visible tant qu’aucune variable n’est liée.

Plus de détails dans l’aide en ligne.

ZT_PREVIEW

VisVarPreview

Affichage aperçu visibilité

Affichage des valeurs limite pour la visibilité définies pour la variable. Disponible uniquement si l’option Depuis la variable a été configurée pour la propriété Variable dans le groupe Visibilité.

Un aperçu des propriétés définies pour la valeur limite est affiché dans le champ. Aucun aperçu n’est affiché pour les matrices de réaction.
Cliquez sur le bouton ... pour ouvrir la boîte de dialogue d’affichage des résultats. Les valeurs limite sont uniquement affichées ; elles ne peuvent pas être modifiées. Les modifications doivent être effectuées directement dans les propriétés de la variable pour Valeurs limite.

Plus de détails dans l’aide en ligne.

VT_BOOL

VisibilityFromLimit

A partir des valeurs limites

Uniquement disponible après la sélection d’une variable :

  • Active : La visibilité de l’élément est influencée par la propriété de valeur limite de la variable.

    Attention : La propriété Invisible doit être active pour au moins une valeur limite de la variable.

  • Inactive : la visibilité est influencée par les propriétés de l’élément.

Par défaut : active

Plus de détails dans l’aide en ligne.

VT_R8

VisibilityFrom

de

Disponible uniquement après la sélection d’une variable, si la visibilité n’a pas été reprise par la valeur limite :

Valeur minimum de la variable à laquelle l’élément est visible.

  • Minimum : valeur minimum possible de la variable liée.
  • Maximum : valeur maximum possible de la variable liée.

Par défaut : valeur minimum possible de la variable liée.

Plus de détails dans l’aide en ligne.

VT_R8

VisibilityTo

À

Disponible uniquement après la sélection d’une variable, si la visibilité n’a pas été reprise par la valeur limite :

Valeur maximale de la variable à laquelle l’élément est visible.

  • Minimum : valeur minimum possible de la variable liée.
  • Maximum : valeur maximum possible de la variable liée.

Par défaut : valeur maximum possible de la variable liée.

Plus de détails dans l’aide en ligne.

VT_UI4

Interlocking

Verrouillage

Disponible uniquement si l’option Depuis le verrouillage est sélectionnée pour la propriété Visibilité.

Nom du verrouillage dont la valeur contrôle la visibilité de l’élément. Sélectionnez dans la liste déroulante. Celle-ci contient tous les verrouillages existants et utilisables. L’élément est toujours visible si aucun verrouillage n’est lié.

Plus de détails dans l’aide en ligne.

VT_BSTR

InterlockingName

InterlockingName

Description

VT_BOOL

VisibleWhenInterlocked

Visible si verrouillé

Contrôle la visibilité de l’élément lorsque le verrouillage est sélectionné :

  • Active : L’élément est visible s’il est verrouillé.
  • Inactive : L’élément est visible s’il n’est pas verrouillé.

Par défaut : inactive

Plus de détails dans l’aide en ligne.

ZT_VARIABLE_DYN

BlinkVariable

Affichage aperçu clignotement

Affichage des valeurs limite pour le clignotement définies pour la variable. Disponible uniquement si l’option Depuis la variable a été configurée pour la propriété Prendre le clignotement de la limite.

Un aperçu des propriétés définies pour la valeur limite est affiché dans le champ. Aucun aperçu n’est affiché pour les matrices de réaction.
Cliquez sur le bouton ... pour ouvrir la boîte de dialogue d’affichage des résultats. Les valeurs limite sont uniquement affichées ; elles ne peuvent pas être modifiées. Les modifications doivent être effectuées directement dans les propriétés de la variable pour Valeurs limite.

Plus de détails dans l’aide en ligne.

ZT_PREVIEW

BlinkVarPreview

Affichage aperçu clignotement

Affichage des valeurs limite pour le clignotement définies pour la variable. Disponible uniquement si l’option Depuis la variable a été configurée pour la propriété Prendre le clignotement de la limite.

Un aperçu des propriétés définies pour la valeur limite est affiché dans le champ. Aucun aperçu n’est affiché pour les matrices de réaction.
Cliquez sur le bouton ... pour ouvrir la boîte de dialogue d’affichage des résultats. Les valeurs limite sont uniquement affichées ; elles ne peuvent pas être modifiées. Les modifications doivent être effectuées directement dans les propriétés de la variable pour Valeurs limite.

Plus de détails dans l’aide en ligne.

VT_BOOL

UseBlinkColor

Couleur de clignotement par la limite

Active : Reprend la couleur d’arrière-plan du clignotement défini pour la valeur limite active de la variable pour Prendre le clignotement de la limite. Durant le clignotement, l’élément ne devient pas invisible, mais reprend la couleur d’arrière-plan active.

Par défaut : Inactive

Remarque : la couleur n’est pas prise en compte si la couleur d’arrière-plan Transparence est configurée.

Plus de détails dans l’aide en ligne.

ZT_VARIABLE_DYN

XVariable

Variable

Nom de la variable utilisée pour le déplacement horizontal de l’élément.
Ouvre la boîte de dialogue de sélection de variables.

Plus de détails dans l’aide en ligne.

VT_R8

XVarMin

Valeur min de la variable

Valeur minimale de la variable utilisée pour le déplacement horizontal de l’élément.

Plus de détails dans l’aide en ligne.

VT_R8

XVarMax

Valeur max de la variable

Valeur maximale de la variable utilisée pour le déplacement horizontal de l’élément.

Plus de détails dans l’aide en ligne.

VT_I4

XViewMin

Mouvement min [pixels]

Position horizontale de l’élément pour la valeur minimale de la variable (en pixels).

Plus de détails dans l’aide en ligne.

VT_I4

XViewMax

Mouvement max [pixels]

Position horizontale de l’élément pour la valeur minimale de la variable (en pixels).

Plus de détails dans l’aide en ligne.

ZT_VARIABLE_DYN

YVariable

Variable

Nom de la variable utilisée pour le déplacement vertical de l’élément.
Ouvre la boîte de dialogue de sélection de variables.

Plus de détails dans l’aide en ligne.

VT_R8

YVarMin

Valeur min de la variable

Valeur minimale de la variable utilisée pour le déplacement vertical de l’élément.

Plus de détails dans l’aide en ligne.

VT_R8

YVarMax

Valeur max de la variable

Valeur maximale de la variable utilisée pour le déplacement vertical de l’élément.

Plus de détails dans l’aide en ligne.

VT_I4

YViewMin

Mouvement min [pixels]

Position verticale de l’élément pour la valeur minimale de la variable (en pixels).

Plus de détails dans l’aide en ligne.

VT_I4

YViewMax

Mouvement max [pixels]

Position verticale de l’élément pour la valeur maximale de la variable (en pixels).

Plus de détails dans l’aide en ligne.

ZT_VARIABLE_DYN

XZoomVariable

Variable

Nom de la variable utilisée pour l’agrandissement de la largeur de l’élément.
Ouvre la boîte de dialogue de sélection de variables.

Plus de détails dans l’aide en ligne.

VT_R8

XZoomVarMin

Valeur min de la variable

Valeur minimale de la variable utilisée pour effectuer un zoom à la largeur de l’élément.

Plus de détails dans l’aide en ligne.

VT_R8

XZoomVarMax

Valeur max de la variable

Valeur maximale de la variable utilisée pour effectuer un zoom sur la largeur de l’élément.

Plus de détails dans l’aide en ligne.

VT_I4

XZoomViewMin

Largeur min [%]

Facteur de zoom correspondant à la largeur de l’élément pour la valeur minimale de la variable (en pixels).

Plus de détails dans l’aide en ligne.

VT_I4

XZoomViewMax

Largeur max [%]

Facteur de zoom correspondant à la largeur de l’élément pour la valeur maximale de la variable (en pixels).

Plus de détails dans l’aide en ligne.

ZT_VARIABLE_DYN

YZoomVariable

Variable

Nom de la variable utilisée pour l’agrandissement de la hauteur de l’élément.
Ouvre la boîte de dialogue de sélection de variables.

Plus de détails dans l’aide en ligne.

VT_R8

YZoomVarMin

Valeur min de la variable

Valeur minimum de la variable utilisée pour effectuer un zoom sur la hauteur de l’élément.

Plus de détails dans l’aide en ligne.

VT_R8

YZoomVarMax

Valeur max de la variable

Valeur maximum de la variable utilisée pour effectuer un zoom sur la hauteur de l’élément.

Plus de détails dans l’aide en ligne.

VT_I4

YZoomViewMin

Hauteur min [%]

Facteur de zoom correspondant à la hauteur de l’élément pour la valeur minimum de la variable (en %).

Plus de détails dans l’aide en ligne.

VT_I4

YZoomViewMax

Hauteur max [%]

Facteur de zoom correspondant à la hauteur de l’élément pour la valeur maximale de la variable (en pixels).

Plus de détails dans l’aide en ligne.

ZT_VARIABLE_DYN

TwistVariable

Variable

Nom de la variable utilisée pour la rotation de l’élément.

Plus de détails dans l’aide en ligne.

VT_R8

TwistVarMin

Valeur min de la variable

Valeur minimum de la variable utilisée pour la rotation de l’élément.

Plus de détails dans l’aide en ligne.

VT_R8

TwistVarMax

Valeur max de la variable

Valeur maximale de la variable utilisée pour la rotation de l’élément.

Plus de détails dans l’aide en ligne.

VT_I4

TwistViewMin

Rotation min [°]

Angle de rotation de l’élément pour la valeur minimum de la variable (en °).

Plus de détails dans l’aide en ligne.

VT_I4

TwistViewMax

Rotation max [°]

Angle de rotation de l’élément pour la valeur maximum de la variable (en °).

Plus de détails dans l’aide en ligne.

ZT_STYLE

ShadowEffectStyle

Style effet cadres/ombres

Affichage et sélection du style de cadre et d’ombre attribué à l’élément.

Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de style.
Si plusieurs éléments ont été sélectionnés, ils peuvent être attribués à un style commun.

Remarque : Seules les propriétés compatibles avec l’élément correspondant sont prises en charge.

Plus de détails dans l’aide en ligne.

VT_BOOL

EnablePunchFrame

Afficher le cadre

A frame around the element can be displayed.
Default: inactive.

ZT_STYLE

GlowEffectStyle

Style effet de rayonnement

Affichage et sélection du style des effets de luminescence attribués à l’élément.

Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de style.
Si plusieurs éléments ont été sélectionnés, ils peuvent être attribués à un style commun.

Remarque : Seules les propriétés compatibles avec l’élément correspondant sont prises en charge.

Plus de détails dans l’aide en ligne.

VT_BOOL

GlowEffectEvent

Actif seulement si cliqué

Disponible uniquement si la propriété Activer est active et l’élément est un bouton.

Active : l’effet de luminescence est uniquement affiché lorsque l’utilisateur clique sur le bouton. Cliquer sur le bouton permet de modifier la couleur, le clignotement ou l’invisibilité de l’effet de luminescence.

Par défaut : Inactive

Plus de détails dans l’aide en ligne.

ZT_VARIABLE_DYN

GlowEffectGlowColorVariable

Variable pour la couleur

Disponible uniquement si la propriété Activer est active. La propriété Coloration doit être activée.

Nom de la variable dont la couleur aux valeurs limites doit influencer la couleur de l’effet de luminescence pour l’élément. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de variables. Vous pouvez également saisir le nom manuellement dans le champ de texte. Si aucune variable n’est liée, la couleur définie dans la propriété Couleur est utilisée.

Par défaut : aucune variable liée

Plus de détails dans l’aide en ligne.

ZT_PREVIEW

GlowEffectGlowColorVariablePreview

Affichage aperçu couleur

Affichage de la valeur limite définie pour la variable de couleur lorsque l’effet de luminescence est actif. Disponible uniquement si l’option Depuis la variable a été configurée pour la propriété Variable pour la couleur.

Un aperçu des propriétés définies pour la valeur limite est affiché dans le champ. Aucun aperçu n’est affiché pour les matrices de réaction.
Cliquez sur le bouton ... pour ouvrir la boîte de dialogue d’affichage des résultats. Les valeurs limite sont uniquement affichées ; elles ne peuvent pas être modifiées. Les modifications doivent être effectuées directement dans les propriétés de la variable pour Valeurs limite.

Plus de détails dans l’aide en ligne.

ZT_VARIABLE_DYN

GlowEffectVisibilityVariable

Variable pour la visibilité

Disponible uniquement si la propriété Activer est active.

Nom de la variable dont la valeur influence la visibilité de l’effet de luminescence. La visibilité est soit reprise des propriétés de valeur limite de cette variable (propriété Visibilité depuis valeur limite active), soit définie par la plage de valeurs définie dans les propriétés Visible de et Visible jusqu'à. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de variables. Vous pouvez également saisir le nom manuellement dans le champ de texte.

Remarque : si aucune variable n’est liée, l’effet de luminescence est toujours visible.

Par défaut : aucune variable liée

Plus de détails dans l’aide en ligne.

ZT_PREVIEW

GlowEffectVisibilityVariablePreview

Affichage aperçu visibilité

Affichage de la valeur limite définie pour la variable de visibilité lorsque l’effet de luminescence est actif. Disponible uniquement si l’option Depuis la variable a été configurée pour la propriété Variable pour la visibilité.

Un aperçu des propriétés définies pour la valeur limite est affiché dans le champ. Aucun aperçu n’est affiché pour les matrices de réaction.
Cliquez sur le bouton ... pour ouvrir la boîte de dialogue d’affichage des résultats. Les valeurs limite sont uniquement affichées ; elles ne peuvent pas être modifiées. Les modifications doivent être effectuées directement dans les propriétés de la variable pour Valeurs limite.

Plus de détails dans l’aide en ligne.

VT_BOOL

GlowEffectVisibilityFromLimit

Visibilité depuis valeur limite

Disponible uniquement si la propriété Activer est active. Vous devez en outre définir une variable dans la propriété Variable pour la visibilité.

Active : La visibilité de l’effet de luminescence est influencée par la propriété de valeur limite de la variable.

Attention : Pour une valeur limite de la variable au moins, la propriété Invisible doit être active.

Inactive : la visibilité est influencée par les propriétés de l’élément.

Plus de détails dans l’aide en ligne.

VT_R8

GlowEffectVisibilityFrom

Visible de

Disponible uniquement si la propriété Activer est active. Vous devez en outre définir une variable dans la propriété Variable pour la visibilité ; la propriété Visibilité depuis valeur limite doit être inactive.

Définit la valeur à partir de laquelle l’effet de luminescence devient visible.
Minimum : valeur la moins élevée autorisée pour la variable liée dans Variable pour la visibilité.
Maximum : valeur la moins élevée autorisée pour la variable liée dans Variable pour la visibilité.
Par défaut : valeur la plus élevée autorisée pour la variable liée dans Variable pour la visibilité.

Plus de détails dans l’aide en ligne.

VT_R8

GlowEffectVisibilityTo

Visible jusqu'à

Disponible uniquement si la propriété Activer est active. Vous devez en outre définir une variable dans la propriété Variable pour la visibilité ; la propriété Visibilité depuis valeur limite doit être inactive.

Définit la valeur jusqu’à laquelle l’effet de luminescence reste visible.
Minimum : valeur la plus basse autorisée pour la variable liée dans Variable pour la visibilité.
Maximum : valeur la plus élevée autorisée pour la variable liée dans Variable pour la visibilité.
Par défaut : valeur la plus élevée autorisée pour la variable liée dans Variable pour la visibilité.

Plus de détails dans l’aide en ligne.

ZT_VARIABLE_DYN

GlowEffectBlinkVariable

Variable pour le clignotement

Variables dont les paramètres de clignotement de l’effet de luminescence aux valeurs limites doivent être repris. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de variables.

Par défaut : aucune variable liée

Plus de détails dans l’aide en ligne.

ZT_PREVIEW

GlowEffectBlinkVariablePreview

Affichage aperçu clignotement

Affichage de la valeur limite définie pour la variable de clignotement lorsque l’effet de luminescence est actif. Disponible uniquement si l’option Depuis la variable a été configurée pour la propriété Variable pour le clignotement.

Un aperçu des propriétés définies pour la valeur limite est affiché dans le champ. Aucun aperçu n’est affiché pour les matrices de réaction.
Cliquez sur le bouton ... pour ouvrir la boîte de dialogue d’affichage des résultats. Les valeurs limite sont uniquement affichées ; elles ne peuvent pas être modifiées. Les modifications doivent être effectuées directement dans les propriétés de la variable pour Valeurs limite.

Plus de détails dans l’aide en ligne.

VT_BOOL

GlowEffectUseBlinkColor

Clignotement depuis valeur limite

Disponible uniquement si la propriété Activer est active. Vous devez en outre définir une variable dans la propriété Variable pour le clignotement.

Active : Reprend, pour l’effet de luminescence, la couleur de clignotement de la valeur limite active pour la variable définie dans la propriété Couleur de clignotement par la limite. Cette propriété agit indépendamment de la propriété Coloration. En cas de clignotement, l’effet de luminescence ne devient pas invisible, mais reprend les paramètres de l’effet de luminescence actif.

Par défaut : Inactive

Plus de détails dans l’aide en ligne.

VT_BOOL

GlowEffect2ndBlinkStateVisible

2 états de clignotement invisibles

Disponible uniquement si la propriété Activer est active. Vous devez en outre définir une variable dans la propriété Variable pour le clignotement ; la propriété Clignotement depuis valeur limite doit être inactive.

Active : En cas de clignotement, l’effet de luminescence ne bascule pas vers l’effet de luminescence actif, mais devient invisible. Ceci permet de basculer entre l’invisibilité et la couleur de clignotement en cas de dépassement de la valeur limite.

Par défaut : Inactive

Plus de détails dans l’aide en ligne.


Rectangle

Manuel -> Interfaces de programmation -> Modèles d'objet -> Element -> Element-Dynamic properties -> Rectangle

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Type

VBA/VSTA Name

Display Name

Description

ZT_STYLE

RoundingStyle

Style d'arrondi

Affichage et sélection du style d’arrondi attribué à l’élément.

Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de style.
Si plusieurs éléments ont été sélectionnés, ils peuvent être attribués à un style commun.

Remarque : Seules les propriétés compatibles avec l’élément correspondant sont prises en charge.

Plus de détails dans l’aide en ligne.

ZT_COLOR

LineColor

Couleur de ligne

Line color of the element.

ZT_STYLE

LineStyle

Style de ligne

Affichage et sélection du style de ligne attribué à l’élément.

Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de style.
Si plusieurs éléments ont été sélectionnés, ils peuvent être attribués à un style commun.

Remarque : Seules les propriétés compatibles avec l’élément correspondant sont prises en charge.

Plus de détails dans l’aide en ligne.

ZT_STYLE

FillStyle

Style de remplissage

Affichage et sélection du style de remplissage attribué à l’élément.

Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de style.
Si plusieurs éléments ont été sélectionnés, ils peuvent être attribués à un style commun.

Remarque : Seules les propriétés compatibles avec l’élément correspondant sont prises en charge.

Plus de détails dans l’aide en ligne.

ZT_VARIABLE_DYN

BackColorVariable2

Affichage aperçu couleur

Affichage de la valeur limite pour la propriété Couleur du dégradé définie pour la variable. Disponible uniquement si l’option Depuis la variable a été configurée pour la propriété Couleur du dégradé.

Un aperçu des propriétés définies pour la valeur limite est affiché dans le champ. Aucun aperçu n’est affiché pour les matrices de réaction.
Cliquez sur le bouton ... pour ouvrir la boîte de dialogue d’affichage des résultats. Les valeurs limite sont uniquement affichées ; elles ne peuvent pas être modifiées. Les modifications doivent être effectuées directement dans les propriétés de la variable pour Valeurs limite.

Plus de détails dans l’aide en ligne.

ZT_PREVIEW

BackColorVariable2Preview

Affichage aperçu couleur

Affichage de la valeur limite pour la propriété Couleur du dégradé définie pour la variable. Disponible uniquement si l’option Depuis la variable a été configurée pour la propriété Couleur du dégradé.

Un aperçu des propriétés définies pour la valeur limite est affiché dans le champ. Aucun aperçu n’est affiché pour les matrices de réaction.
Cliquez sur le bouton ... pour ouvrir la boîte de dialogue d’affichage des résultats. Les valeurs limite sont uniquement affichées ; elles ne peuvent pas être modifiées. Les modifications doivent être effectuées directement dans les propriétés de la variable pour Valeurs limite.

Plus de détails dans l’aide en ligne.

VT_I2

Align

Alignement

Direction of color shift.
horizontal
vertical

VT_I2

Shifted

Gradient de couleur 'décalé'

Wie weit soll der Lichteffekt von der Mitte des Elements versetzt sein.

Mehr im Online-Handbuch

VT_BOOL

Brightness

Par les valeurs de luminosité

Disponible uniquement si l’élément Remplissage (type) a été sélectionné pour la propriété Dégradé de couleurs.

Active : la luminosité du dégradé de couleurs peut être librement définie.
Inactive : la luminosité du dégradé de couleurs est définie automatiquement.

Remarque : le motif de remplissage ne peut plus être modifié si cette propriété est active. Il est également impossible de définir des coins arrondis. Si cette option est activée pour un élément utilisant des coins arrondis, l’élément est affiché avec des coins non arrondis.

Plus de détails dans l’aide en ligne.

VT_UI1

OuterBrightness

Luminosité à l'extérieur

Disponible uniquement si la propriété Par les valeurs de luminosité est active :
Luminosité au niveau du bord extérieur de l’élément.

Plus de détails dans l’aide en ligne.

VT_UI1

InnerBrightness

Luminosité à l'intérieur

Disponible uniquement si la propriété Par les valeurs de luminosité est active :
Luminosité au centre de l’élément.

Plus de détails dans l’aide en ligne.

VT_BOOL

ALCUseColor

Couleur définie par CAL

Disponible uniquement si vous possédez une licence pour la fonctionnalité Coloration Automatique des Lignes (CAL) :
Active : La couleur automatique de la source liée est utilisée.
Inactive : La couleur standard est utilisée.
Par défaut : inactive.

Plus de détails dans l’aide en ligne.

VT_I2

ALCPrecedence

Priorité pour l'affichage

Disponible uniquement si la propriété Couleur définie par CAL est active.

Définit la priorité de l’affichage lorsque l’élément est connecté à plusieurs sources actives.
Plusieurs sources d’alimentation : L’élément est affiché selon les règles de l’alimentation sécurisée.
Source d’alimentation sécurisée : L’élément est affiché selon les règles de l’alimentation sécurisée.
Aucune priorité : Les règles de coloration des paramètres Alimentation multiple et Alimentation sécurisée sont appliquées simultanément, si les deux critères sont satisfaits.

Par défaut : Alimentation multiple
Plus de détails dans l’aide en ligne.

VT_I2

ALCMultiSource

Affichage alimentation multiple

Disponible uniquement si la propriété Couleur définie par CAL est active.
Définit le type d’affichage lorsque l’élément est connecté à plusieurs sources :
Source la plus prioritaire : Seule la couleur de la source la plus prioritaire est utilisée.
Deux sources les plus prioritaires : Les différentes couleurs des deux sources comportant les priorités les plus élevées sont affichées sous forme de trait tireté.
Couleur de remplacement : Couleur de remplacement pour la fonction CAL avec des alimentations multiples.

Par défaut : La source la plus prioritaire

Plus de détails dans l’aide en ligne.

VT_I2

ALCDashLen

Longueur de pointillé fournie plusieurs fois

Disponible uniquement si la propriété Affichage alimentation multiple possède la valeur Deux sources antérieures les plus élevées.

Définit la longueur en pixels du trait tireté associé à la fonction CAL avec une alimentation multiple.

Minimum : 0 (longueur des tirets automatique)

Maximum : 32767

Par défaut : 0

Plus de détails dans l’aide en ligne.

ZT_COLOR

ALCAlternativeColor

Couleur alternative

Disponible uniquement si la propriété Affichage alimentation multiple possède la valeur Couleur de remplacement.

Couleur de remplacement pour la fonction CAL avec des alimentations multiples.

Plus de détails dans l’aide en ligne.

VT_I2

ALCMSecuredSupply

Affichage alimentation sécurisée

Disponible uniquement si Couleur définie par CAL est activée.

Définition de l’affichage de l’alimentation sécurisée :

  • double épaisseur
  • double luminosité
  • normal

Par défaut : normal

Plus de détails dans l’aide en ligne.

VT_BOOL

ALCAlias

Alias

Disponible uniquement si la propriété Couleur définie par CAL est active.

Élément source défini pour la propriété Utiliser alias. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue et sélectionner un élément existant.
Remarque : Les alias ne peuvent pas être utilisés pour des symboles dans la bibliothèque générale de symboles ou la bibliothèque de symboles du projet.

Plus de détails dans l’aide en ligne.

VT_BSTR

ALCAliasName

Alias

Disponible uniquement si la propriété Couleur définie par CAL est active.

Élément source défini pour la propriété Utiliser alias. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue et sélectionner un élément existant.
Remarque : Les alias ne peuvent pas être utilisés pour des symboles dans la bibliothèque générale de symboles ou la bibliothèque de symboles du projet.

Plus de détails dans l’aide en ligne.

VT_R8

ALCReact

Valeur de réactance du câble [Ohm]

Valeur maximale de réactance autorisée de la ligne, en ohms.

Plus de détails dans l’aide en ligne.

VT_R8

ALCResist

Valeur de la résistance de la ligne électrique [Ohm]

Valeur maximale de résistance autorisée de la ligne, en ohms.

Plus de détails dans l’aide en ligne.

VT_R8

ALCLength

Longueur de la ligne [km]

Ligne CAL : longueur de la ligne.

Plus de détails dans l’aide en ligne.

VT_I2

ALCMaxIType

Limite de la capacité de transport de courant

Commutation CAL : valeur limite de la capacité actuelle (sélection fixe/variable).

Plus de détails dans l’aide en ligne.

VT_R8

ALCMaxIVal

Limite fixe de la capacité de transport de courant [A]

Commutation CAL : Capacité de transport de courant définie par une valeur limite.

Plus de détails dans l’aide en ligne.

ZT_VARIABLE_DYN

ALCVarMaxI

Valeur limite dynamique pour la capacité de transport de courant

More...

ALCVarMaxIEx

ALCVarMaxIEx

ZT_VARIABLE_DYN

ALCVarCalcI

Valeur de la mesure du flux de courant calculé

Ligne CAL : Valeur de la mesure du flux de courant calculé.

Plus de détails dans l’aide en ligne.

More...

ALCVarCalcIEx

ALCVarCalcIEx

ALC Leitung: Messwert des berechneten Stromflusses für Export.

Mehr in der Online-Hilfe.

ZT_STYLE

StyleGroup

Groupe de styles

Affichage et sélection du groupe de styles attribué à l’élément.
Cliquez sur le bouton ... pour ouvrir la boîte de dialogue permettant de sélectionner un groupe de styles.
Si plusieurs éléments sont sélectionnés, elles peuvent être attribuées à un groupe de styles commun.

Remarque : Seules les propriétés compatibles avec l’élément correspondant sont prises en charge.

Plus de détails dans l’aide en ligne.

More...

LnClVariable

LnClVariable

"With this property you have the opportunity to get informations about the variable which is linked as ""line/text color"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""LnClVariable.SymVarName"") 'Return the name of the ""line/text color"" variable
zElement.DynProperties (""LnClVariable.SymVarTagNr"") 'Return the identification of the ""line/text color"" variable"

More...

BkClVariable

BkClVariable

"With this property you have the opportunity to get informations about the variable which is linked as ""background/filling color"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""BkClVariable.SymVarName"") 'Return the name of the ""background/filling color"" variable
zElement.DynProperties (""BkClVariable.SymVarTagNr"") 'Return the identification of the ""background/filling color"" variable"

More...

BkCl2Variable

"BkCl2Variable"

More...

XVar

XVar

"With this property you have the opportunity to get informations about the variable which is linked as ""dynamic x position"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""XVar.SymVarName"") 'Return the name of the ""dynamic x position"" variable
zElement.DynProperties (""XVar.SymVarTagNr"") 'Return the identification of the ""dynamic x position"" variable"

More...

YVar

YVar

"With this property you have the opportunity to get informations about the variable which is linked as ""dynamic y position"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""YVar.SymVarName"") 'Return the name of the ""dynamic y position"" variable
zElement.DynProperties (""YVar.SymVarTagNr"") 'Return the identification of the ""dynamic y position"" variable"

More...

XVarZoom

XVarZoom

"With this property you have the opportunity to get informations about the variable which is linked as ""change width"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""XVarZoom.SymVarName"") 'Return the name of the ""change width"" variable
zElement.DynProperties (""XVarZoom.SymVarTagNr"") 'Return the identification of the ""change width"" variable"

More...

YVarZoom

YVarZoom

"With this property you have the opportunity to get informations about the variable which is linked as ""change height"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""YVarZoom.SymVarName"") 'Return the name of the ""change height"" variable
zElement.DynProperties (""YVarZoom.SymVarName"") 'Return the name of the ""change height"" variable
zElement.DynProperties (""YVarZoom.SymVarTagNr"") 'Return the identification of the ""change height"" variable"

More...

TwistVar

TwistVar

"With this property you have the opportunity to get informations about the variable which is linked as ""rotate"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""TwistVar.SymVarName"") 'Return the name of the ""rotate"" variable
zElement.DynProperties (""TwistVar.SymVarTagNr"") 'Return the identification of the ""rotate"" variable"

More...

VisVariable

VisVariable

"With this property you have the opportunity to get informations about the variable which is linked as ""visibility"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""VisVariable.SymVarName"") 'Return the name of the ""visibility"" variable
zElement.DynProperties (""VisVariable.SymVarTagNr"") 'Return the identification of the ""visibility"" variable"

More...

BlinkVar

BlinkVar

More...

GlowEffectGlowColorVar

GlowEffectGlowColorVar

More...

GlowEffectVisibilityVar

GlowEffectVisibilityVar

More...

GlowEffectBlinkVar

GlowEffectBlinkVar

VT_BSTR

Name

Nom d'élément

Attribuez un nom d’élément.
Il ne doit pas être vide.

Attention : Cette propriété n’est pas disponible aux fins de la commutation de langue.

Remarques concernant les cadrans : Pour les conteneurs de synoptique, spécifiez des noms clairement identifiables pour faciliter la sélection lors de la configuration des appels de synoptique.

Plus de détails dans l’aide en ligne.

VT_UI1

Layer

Niveau de visibilité

Sélectionnez l’un des 16 niveaux de visibilité (0 à 15) dans la liste déroulante. À l’aide de la barre d’outils Niveau de visibilité, vous décidez des niveaux qui doivent être affichés dans Editor. Cette fonction garantit que les synoptiques les plus complexes peuvent être développés de manière simple. Les niveaux peuvent être utilisés immédiatement. Les niveaux n’ont aucune influence sur les informations affichées au premier plan ou en arrière-plan dans le Runtime.
Par défaut : 0.

Plus de détails dans l’aide en ligne.

VT_I4

StartX

Point de départ X [pixels]

Coordonnée Y du coin supérieur gauche du synoptique (en pixels).

Plus de détails dans l’aide en ligne.

VT_I4

EndX

Point final X [pixels]

Coordonnée X du coin inférieur droit du synoptique (en pixels).

Plus de détails dans l’aide en ligne.

VT_I4

StartY

Point de départ Y [pixels]

Coordonnée Y du coin supérieur gauche du synoptique (en pixels).

Plus de détails dans l’aide en ligne.

VT_I4

EndY

Point final Y [pixels]

Coordonnée Y du coin inférieur droit du synoptique (en pixels).

Plus de détails dans l’aide en ligne.

VT_I4

Width

Largeur [pixels]

Largeur des éléments en pixels.

Remarque : disponible uniquement pour les éléments Combinaison multiple, Élément combiné, Bouton et Interrupteur si la valeur Ajusté a été sélectionnée pour la propriété Taille du graphique.

Plus de détails dans l’aide en ligne.

VT_I4

Height

Hauteur [pixels]

Hauteur des éléments en pixels.

Remarque : disponible uniquement pour les éléments Combinaison multiple, Élément combiné, Bouton et Interrupteur si la valeur Ajusté a été sélectionnée pour la propriété Taille du graphique.

Plus de détails dans l’aide en ligne.

VT_I4

Angle

Angle de rotation [°]

Angle libre autour selon lequel doit pivoter l’élément.
Les valeurs positives correspondent à une rotation dans le sens antihoraire, tandis que les valeurs négatives correspondent à une rotation dans le sens horaire. Les valeurs supérieures à 360° sont affichées sous forme d’écart par rapport à 360° (400° correspond à 40°). Seuls les nombres entiers sont autorisés.

Sur les éléments pivotés, les actions suivantes ne sont plus possibles :

  • Miroir
  • Rotation de +/- 90°
  • Redimensionnement à l’aide des touches fléchées

Par défaut : 0

Remarque : Ce paramètre est activé et réinitialisé lors de la configuration pour Windows CE.

Plus de détails dans l’aide en ligne.

VT_I2

ZoomMin

Visible de

Incrément de zoom le plus bas auquel l’élément est visible dans la vue globale.
Par défaut : -1
Une valeur de visibilité avec des incréments de zoom de -1 à -1 signifie que l’élément est affiché, quel que soit l’incrément de zoom sélectionné.

Les niveaux de zoom affichés dans la vue globale peuvent être configurés avec la propriété Apparence graphique -> Généralités runtime -> Pas de zoom pour vue globale.

Attention : Ce niveau de zoom s’applique à tous les types de synoptiques et cadres. Si un niveau de zoom défini est supérieur à 0, l’élément est uniquement affiché dans la vue globale, car les autres types de synoptique sont automatiquement appelés avec le niveau de zoom 0.

Plus de détails dans l’aide en ligne.

VT_I2

ZoomMax

Visible jusqu'à

Incrément de zoom le plus élevé auquel l’élément est visible dans la vue globale.

Par défaut : -1
Une valeur de visibilité avec des incréments de zoom de -1 à -1 signifie que l’élément est affiché, quel que soit l’incrément de zoom sélectionné.

Les niveaux de zoom affichés dans la vue globale peuvent être configurés avec la propriété Apparence graphique -> Généralités runtime -> Pas de zoom pour vue globale.

Attention : Ce niveau de zoom s’applique à tous les types de synoptiques et cadres. Si un niveau de zoom défini est supérieur à 0, l’élément est uniquement affiché dans la vue globale, car les autres types de synoptique sont automatiquement appelés avec le niveau de zoom 0.

Plus de détails dans l’aide en ligne.

VT_BSTR

Stationname

Nom liste d'objets

L’élément est saisi directement dans la liste de stations du synoptique Vue globale, et le texte est saisi ici.

Plus de détails dans l’aide en ligne.

ZT_VARIABLE_DYN

LineColorVariable

Couleur de ligne

Nom des variables dont les couleurs de valeur limite doivent influencer la couleur de ligne/de texte de l’élément. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de variables.

Plus de détails dans l’aide en ligne.

ZT_PREVIEW

LineColorVarPreview

Affichage aperçu couleur

Affichage de la valeur limite pour la propriété Couleur de ligne définie pour la variable. Disponible uniquement si l’option Depuis la variable a été configurée pour la propriété Couleur de ligne.

Un aperçu des propriétés définies pour la valeur limite est affiché dans le champ. Aucun aperçu n’est affiché pour les matrices de réaction.
Cliquez sur le bouton ... pour ouvrir la boîte de dialogue d’affichage des résultats. Les valeurs limite sont uniquement affichées ; elles ne peuvent pas être modifiées. Les modifications doivent être effectuées directement dans les propriétés de la variable pour Valeurs limite.

Plus de détails dans l’aide en ligne.

ZT_VARIABLE_DYN

BackColorVariable

Couleur de remplissage

Nom de la variable dont les couleurs de valeur limite doivent influencer la couleur d’arrière-plan/de remplissage de l’élément.
Ouvre la boîte de dialogue de sélection de variables.

Plus de détails dans l’aide en ligne.

ZT_PREVIEW

BackColorVarPreview

Affichage aperçu couleur

Affichage de la valeur limite pour la propriété Couleur de remplissage définie pour la variable. Disponible uniquement si l’option Depuis la variable a été configurée pour la propriété Couleur de remplissage.

Un aperçu des propriétés définies pour la valeur limite est affiché dans le champ. Aucun aperçu n’est affiché pour les matrices de réaction.
Cliquez sur le bouton ... pour ouvrir la boîte de dialogue d’affichage des résultats. Les valeurs limite sont uniquement affichées ; elles ne peuvent pas être modifiées. Les modifications doivent être effectuées directement dans les propriétés de la variable pour Valeurs limite.

Plus de détails dans l’aide en ligne.

VT_UI1

HorizontalOrigin

Horizontal

Point de référence horizontal de l’événement. Les valeurs possibles sont : gauche, centré, droite.
Ce point est utilisé en tant que base de calcul de l’angle de départ de la rotation (statique et dynamique) et pour le changement dynamique de taille.

Par défaut : À gauche

Plus de détails dans l’aide en ligne.

VT_UI1

VerticalOrigin

Vertical

Point de référence vertical de l’événement. Les valeurs possibles sont : haut, centré, bas.
Ce point est utilisé en tant que base de calcul de l’angle de départ de la rotation (statique et dynamique) et pour le changement dynamique de taille.

Par défaut : En haut

Plus de détails dans l’aide en ligne.

VT_UI4

VisibilityType

Visibilité

Sélection depuis laquelle la visibilité d’un élément est déterminée :

  • Depuis une variable
  • Du verrrouillage

Par défaut : Depuis une variable

Plus de détails dans l’aide en ligne.

ZT_VARIABLE_DYN

VisibilityVariable

Variable

Disponible uniquement si l’option Depuis la variable a été configurée pour la propriété Visibilité.

Nom de la variable dont la valeur contrôle la visibilité de l’élément. La visibilité est soit reprise des propriétés de valeur limite de ces variables, soit définie par la plage de valeurs définie dans les propriétés de et À.
Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de variables. Vous pouvez également saisir manuellement le nom dans le champ de texte.
L'élément reste visible tant qu’aucune variable n’est liée.

Plus de détails dans l’aide en ligne.

ZT_PREVIEW

VisVarPreview

Affichage aperçu visibilité

Affichage des valeurs limite pour la visibilité définies pour la variable. Disponible uniquement si l’option Depuis la variable a été configurée pour la propriété Variable dans le groupe Visibilité.

Un aperçu des propriétés définies pour la valeur limite est affiché dans le champ. Aucun aperçu n’est affiché pour les matrices de réaction.
Cliquez sur le bouton ... pour ouvrir la boîte de dialogue d’affichage des résultats. Les valeurs limite sont uniquement affichées ; elles ne peuvent pas être modifiées. Les modifications doivent être effectuées directement dans les propriétés de la variable pour Valeurs limite.

Plus de détails dans l’aide en ligne.

VT_BOOL

VisibilityFromLimit

A partir des valeurs limites

Uniquement disponible après la sélection d’une variable :

  • Active : La visibilité de l’élément est influencée par la propriété de valeur limite de la variable.

    Attention : La propriété Invisible doit être active pour au moins une valeur limite de la variable.

  • Inactive : la visibilité est influencée par les propriétés de l’élément.

Par défaut : active

Plus de détails dans l’aide en ligne.

VT_R8

VisibilityFrom

de

Disponible uniquement après la sélection d’une variable, si la visibilité n’a pas été reprise par la valeur limite :

Valeur minimum de la variable à laquelle l’élément est visible.

  • Minimum : valeur minimum possible de la variable liée.
  • Maximum : valeur maximum possible de la variable liée.

Par défaut : valeur minimum possible de la variable liée.

Plus de détails dans l’aide en ligne.

VT_R8

VisibilityTo

À

Disponible uniquement après la sélection d’une variable, si la visibilité n’a pas été reprise par la valeur limite :

Valeur maximale de la variable à laquelle l’élément est visible.

  • Minimum : valeur minimum possible de la variable liée.
  • Maximum : valeur maximum possible de la variable liée.

Par défaut : valeur maximum possible de la variable liée.

Plus de détails dans l’aide en ligne.

VT_UI4

Interlocking

Verrouillage

Disponible uniquement si l’option Depuis le verrouillage est sélectionnée pour la propriété Visibilité.

Nom du verrouillage dont la valeur contrôle la visibilité de l’élément. Sélectionnez dans la liste déroulante. Celle-ci contient tous les verrouillages existants et utilisables. L’élément est toujours visible si aucun verrouillage n’est lié.

Plus de détails dans l’aide en ligne.

VT_BSTR

InterlockingName

InterlockingName

Description

VT_BOOL

VisibleWhenInterlocked

Visible si verrouillé

Contrôle la visibilité de l’élément lorsque le verrouillage est sélectionné :

  • Active : L’élément est visible s’il est verrouillé.
  • Inactive : L’élément est visible s’il n’est pas verrouillé.

Par défaut : inactive

Plus de détails dans l’aide en ligne.

ZT_VARIABLE_DYN

BlinkVariable

Affichage aperçu clignotement

Affichage des valeurs limite pour le clignotement définies pour la variable. Disponible uniquement si l’option Depuis la variable a été configurée pour la propriété Prendre le clignotement de la limite.

Un aperçu des propriétés définies pour la valeur limite est affiché dans le champ. Aucun aperçu n’est affiché pour les matrices de réaction.
Cliquez sur le bouton ... pour ouvrir la boîte de dialogue d’affichage des résultats. Les valeurs limite sont uniquement affichées ; elles ne peuvent pas être modifiées. Les modifications doivent être effectuées directement dans les propriétés de la variable pour Valeurs limite.

Plus de détails dans l’aide en ligne.

ZT_PREVIEW

BlinkVarPreview

Affichage aperçu clignotement

Affichage des valeurs limite pour le clignotement définies pour la variable. Disponible uniquement si l’option Depuis la variable a été configurée pour la propriété Prendre le clignotement de la limite.

Un aperçu des propriétés définies pour la valeur limite est affiché dans le champ. Aucun aperçu n’est affiché pour les matrices de réaction.
Cliquez sur le bouton ... pour ouvrir la boîte de dialogue d’affichage des résultats. Les valeurs limite sont uniquement affichées ; elles ne peuvent pas être modifiées. Les modifications doivent être effectuées directement dans les propriétés de la variable pour Valeurs limite.

Plus de détails dans l’aide en ligne.

VT_BOOL

UseBlinkColor

Couleur de clignotement par la limite

Active : Reprend la couleur d’arrière-plan du clignotement défini pour la valeur limite active de la variable pour Prendre le clignotement de la limite. Durant le clignotement, l’élément ne devient pas invisible, mais reprend la couleur d’arrière-plan active.

Par défaut : Inactive

Remarque : la couleur n’est pas prise en compte si la couleur d’arrière-plan Transparence est configurée.

Plus de détails dans l’aide en ligne.

ZT_VARIABLE_DYN

XVariable

Variable

Nom de la variable utilisée pour le déplacement horizontal de l’élément.
Ouvre la boîte de dialogue de sélection de variables.

Plus de détails dans l’aide en ligne.

VT_R8

XVarMin

Valeur min de la variable

Valeur minimale de la variable utilisée pour le déplacement horizontal de l’élément.

Plus de détails dans l’aide en ligne.

VT_R8

XVarMax

Valeur max de la variable

Valeur maximale de la variable utilisée pour le déplacement horizontal de l’élément.

Plus de détails dans l’aide en ligne.

VT_I4

XViewMin

Mouvement min [pixels]

Position horizontale de l’élément pour la valeur minimale de la variable (en pixels).

Plus de détails dans l’aide en ligne.

VT_I4

XViewMax

Mouvement max [pixels]

Position horizontale de l’élément pour la valeur minimale de la variable (en pixels).

Plus de détails dans l’aide en ligne.

ZT_VARIABLE_DYN

YVariable

Variable

Nom de la variable utilisée pour le déplacement vertical de l’élément.
Ouvre la boîte de dialogue de sélection de variables.

Plus de détails dans l’aide en ligne.

VT_R8

YVarMin

Valeur min de la variable

Valeur minimale de la variable utilisée pour le déplacement vertical de l’élément.

Plus de détails dans l’aide en ligne.

VT_R8

YVarMax

Valeur max de la variable

Valeur maximale de la variable utilisée pour le déplacement vertical de l’élément.

Plus de détails dans l’aide en ligne.

VT_I4

YViewMin

Mouvement min [pixels]

Position verticale de l’élément pour la valeur minimale de la variable (en pixels).

Plus de détails dans l’aide en ligne.

VT_I4

YViewMax

Mouvement max [pixels]

Position verticale de l’élément pour la valeur maximale de la variable (en pixels).

Plus de détails dans l’aide en ligne.

ZT_VARIABLE_DYN

XZoomVariable

Variable

Nom de la variable utilisée pour l’agrandissement de la largeur de l’élément.
Ouvre la boîte de dialogue de sélection de variables.

Plus de détails dans l’aide en ligne.

VT_R8

XZoomVarMin

Valeur min de la variable

Valeur minimale de la variable utilisée pour effectuer un zoom à la largeur de l’élément.

Plus de détails dans l’aide en ligne.

VT_R8

XZoomVarMax

Valeur max de la variable

Valeur maximale de la variable utilisée pour effectuer un zoom sur la largeur de l’élément.

Plus de détails dans l’aide en ligne.

VT_I4

XZoomViewMin

Largeur min [%]

Facteur de zoom correspondant à la largeur de l’élément pour la valeur minimale de la variable (en pixels).

Plus de détails dans l’aide en ligne.

VT_I4

XZoomViewMax

Largeur max [%]

Facteur de zoom correspondant à la largeur de l’élément pour la valeur maximale de la variable (en pixels).

Plus de détails dans l’aide en ligne.

ZT_VARIABLE_DYN

YZoomVariable

Variable

Nom de la variable utilisée pour l’agrandissement de la hauteur de l’élément.
Ouvre la boîte de dialogue de sélection de variables.

Plus de détails dans l’aide en ligne.

VT_R8

YZoomVarMin

Valeur min de la variable

Valeur minimum de la variable utilisée pour effectuer un zoom sur la hauteur de l’élément.

Plus de détails dans l’aide en ligne.

VT_R8

YZoomVarMax

Valeur max de la variable

Valeur maximum de la variable utilisée pour effectuer un zoom sur la hauteur de l’élément.

Plus de détails dans l’aide en ligne.

VT_I4

YZoomViewMin

Hauteur min [%]

Facteur de zoom correspondant à la hauteur de l’élément pour la valeur minimum de la variable (en %).

Plus de détails dans l’aide en ligne.

VT_I4

YZoomViewMax

Hauteur max [%]

Facteur de zoom correspondant à la hauteur de l’élément pour la valeur maximale de la variable (en pixels).

Plus de détails dans l’aide en ligne.

ZT_VARIABLE_DYN

TwistVariable

Variable

Nom de la variable utilisée pour la rotation de l’élément.

Plus de détails dans l’aide en ligne.

VT_R8

TwistVarMin

Valeur min de la variable

Valeur minimum de la variable utilisée pour la rotation de l’élément.

Plus de détails dans l’aide en ligne.

VT_R8

TwistVarMax

Valeur max de la variable

Valeur maximale de la variable utilisée pour la rotation de l’élément.

Plus de détails dans l’aide en ligne.

VT_I4

TwistViewMin

Rotation min [°]

Angle de rotation de l’élément pour la valeur minimum de la variable (en °).

Plus de détails dans l’aide en ligne.

VT_I4

TwistViewMax

Rotation max [°]

Angle de rotation de l’élément pour la valeur maximum de la variable (en °).

Plus de détails dans l’aide en ligne.

ZT_STYLE

ShadowEffectStyle

Style effet cadres/ombres

Affichage et sélection du style de cadre et d’ombre attribué à l’élément.

Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de style.
Si plusieurs éléments ont été sélectionnés, ils peuvent être attribués à un style commun.

Remarque : Seules les propriétés compatibles avec l’élément correspondant sont prises en charge.

Plus de détails dans l’aide en ligne.

VT_BOOL

EnablePunchFrame

Afficher le cadre

A frame around the element can be displayed.
Default: inactive.

ZT_STYLE

GlowEffectStyle

Style effet de rayonnement

Affichage et sélection du style des effets de luminescence attribués à l’élément.

Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de style.
Si plusieurs éléments ont été sélectionnés, ils peuvent être attribués à un style commun.

Remarque : Seules les propriétés compatibles avec l’élément correspondant sont prises en charge.

Plus de détails dans l’aide en ligne.

VT_BOOL

GlowEffectEvent

Actif seulement si cliqué

Disponible uniquement si la propriété Activer est active et l’élément est un bouton.

Active : l’effet de luminescence est uniquement affiché lorsque l’utilisateur clique sur le bouton. Cliquer sur le bouton permet de modifier la couleur, le clignotement ou l’invisibilité de l’effet de luminescence.

Par défaut : Inactive

Plus de détails dans l’aide en ligne.

ZT_VARIABLE_DYN

GlowEffectGlowColorVariable

Variable pour la couleur

Disponible uniquement si la propriété Activer est active. La propriété Coloration doit être activée.

Nom de la variable dont la couleur aux valeurs limites doit influencer la couleur de l’effet de luminescence pour l’élément. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de variables. Vous pouvez également saisir le nom manuellement dans le champ de texte. Si aucune variable n’est liée, la couleur définie dans la propriété Couleur est utilisée.

Par défaut : aucune variable liée

Plus de détails dans l’aide en ligne.

ZT_PREVIEW

GlowEffectGlowColorVariablePreview

Affichage aperçu couleur

Affichage de la valeur limite définie pour la variable de couleur lorsque l’effet de luminescence est actif. Disponible uniquement si l’option Depuis la variable a été configurée pour la propriété Variable pour la couleur.

Un aperçu des propriétés définies pour la valeur limite est affiché dans le champ. Aucun aperçu n’est affiché pour les matrices de réaction.
Cliquez sur le bouton ... pour ouvrir la boîte de dialogue d’affichage des résultats. Les valeurs limite sont uniquement affichées ; elles ne peuvent pas être modifiées. Les modifications doivent être effectuées directement dans les propriétés de la variable pour Valeurs limite.

Plus de détails dans l’aide en ligne.

ZT_VARIABLE_DYN

GlowEffectVisibilityVariable

Variable pour la visibilité

Disponible uniquement si la propriété Activer est active.

Nom de la variable dont la valeur influence la visibilité de l’effet de luminescence. La visibilité est soit reprise des propriétés de valeur limite de cette variable (propriété Visibilité depuis valeur limite active), soit définie par la plage de valeurs définie dans les propriétés Visible de et Visible jusqu'à. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de variables. Vous pouvez également saisir le nom manuellement dans le champ de texte.

Remarque : si aucune variable n’est liée, l’effet de luminescence est toujours visible.

Par défaut : aucune variable liée

Plus de détails dans l’aide en ligne.

ZT_PREVIEW

GlowEffectVisibilityVariablePreview

Affichage aperçu visibilité

Affichage de la valeur limite définie pour la variable de visibilité lorsque l’effet de luminescence est actif. Disponible uniquement si l’option Depuis la variable a été configurée pour la propriété Variable pour la visibilité.

Un aperçu des propriétés définies pour la valeur limite est affiché dans le champ. Aucun aperçu n’est affiché pour les matrices de réaction.
Cliquez sur le bouton ... pour ouvrir la boîte de dialogue d’affichage des résultats. Les valeurs limite sont uniquement affichées ; elles ne peuvent pas être modifiées. Les modifications doivent être effectuées directement dans les propriétés de la variable pour Valeurs limite.

Plus de détails dans l’aide en ligne.

VT_BOOL

GlowEffectVisibilityFromLimit

Visibilité depuis valeur limite

Disponible uniquement si la propriété Activer est active. Vous devez en outre définir une variable dans la propriété Variable pour la visibilité.

Active : La visibilité de l’effet de luminescence est influencée par la propriété de valeur limite de la variable.

Attention : Pour une valeur limite de la variable au moins, la propriété Invisible doit être active.

Inactive : la visibilité est influencée par les propriétés de l’élément.

Plus de détails dans l’aide en ligne.

VT_R8

GlowEffectVisibilityFrom

Visible de

Disponible uniquement si la propriété Activer est active. Vous devez en outre définir une variable dans la propriété Variable pour la visibilité ; la propriété Visibilité depuis valeur limite doit être inactive.

Définit la valeur à partir de laquelle l’effet de luminescence devient visible.
Minimum : valeur la moins élevée autorisée pour la variable liée dans Variable pour la visibilité.
Maximum : valeur la moins élevée autorisée pour la variable liée dans Variable pour la visibilité.
Par défaut : valeur la plus élevée autorisée pour la variable liée dans Variable pour la visibilité.

Plus de détails dans l’aide en ligne.

VT_R8

GlowEffectVisibilityTo

Visible jusqu'à

Disponible uniquement si la propriété Activer est active. Vous devez en outre définir une variable dans la propriété Variable pour la visibilité ; la propriété Visibilité depuis valeur limite doit être inactive.

Définit la valeur jusqu’à laquelle l’effet de luminescence reste visible.
Minimum : valeur la plus basse autorisée pour la variable liée dans Variable pour la visibilité.
Maximum : valeur la plus élevée autorisée pour la variable liée dans Variable pour la visibilité.
Par défaut : valeur la plus élevée autorisée pour la variable liée dans Variable pour la visibilité.

Plus de détails dans l’aide en ligne.

ZT_VARIABLE_DYN

GlowEffectBlinkVariable

Variable pour le clignotement

Variables dont les paramètres de clignotement de l’effet de luminescence aux valeurs limites doivent être repris. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de variables.

Par défaut : aucune variable liée

Plus de détails dans l’aide en ligne.

ZT_PREVIEW

GlowEffectBlinkVariablePreview

Affichage aperçu clignotement

Affichage de la valeur limite définie pour la variable de clignotement lorsque l’effet de luminescence est actif. Disponible uniquement si l’option Depuis la variable a été configurée pour la propriété Variable pour le clignotement.

Un aperçu des propriétés définies pour la valeur limite est affiché dans le champ. Aucun aperçu n’est affiché pour les matrices de réaction.
Cliquez sur le bouton ... pour ouvrir la boîte de dialogue d’affichage des résultats. Les valeurs limite sont uniquement affichées ; elles ne peuvent pas être modifiées. Les modifications doivent être effectuées directement dans les propriétés de la variable pour Valeurs limite.

Plus de détails dans l’aide en ligne.

VT_BOOL

GlowEffectUseBlinkColor

Clignotement depuis valeur limite

Disponible uniquement si la propriété Activer est active. Vous devez en outre définir une variable dans la propriété Variable pour le clignotement.

Active : Reprend, pour l’effet de luminescence, la couleur de clignotement de la valeur limite active pour la variable définie dans la propriété Couleur de clignotement par la limite. Cette propriété agit indépendamment de la propriété Coloration. En cas de clignotement, l’effet de luminescence ne devient pas invisible, mais reprend les paramètres de l’effet de luminescence actif.

Par défaut : Inactive

Plus de détails dans l’aide en ligne.

VT_BOOL

GlowEffect2ndBlinkStateVisible

2 états de clignotement invisibles

Disponible uniquement si la propriété Activer est active. Vous devez en outre définir une variable dans la propriété Variable pour le clignotement ; la propriété Clignotement depuis valeur limite doit être inactive.

Active : En cas de clignotement, l’effet de luminescence ne bascule pas vers l’effet de luminescence actif, mais devient invisible. Ceci permet de basculer entre l’invisibilité et la couleur de clignotement en cas de dépassement de la valeur limite.

Par défaut : Inactive

Plus de détails dans l’aide en ligne.


Switch

Manuel -> Interfaces de programmation -> Modèles d'objet -> Element -> Element-Dynamic properties -> Switch

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Type

VBA/VSTA Name

Display Name

Description

More...

DynEleVar

DynEleVar

"With this property you have the opportunity to get informations about the variable (projected via ""Variable assignment"" in the ActiveX selection dialog) which is linked at an ActiveX element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""DynEleVar.SymVarName"") 'Return the name of the variable which is assigned to the ActiveX
zElement.DynProperties (""DynEleVar.SymVarTagNr"") 'Return the identification of the variable which is assigned to the ActiveX"

ZT_VARIABLE_DYN

Variable

Variable

Nom de la variable liée. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de variables.
La valeur de cette variable est affichée dans cet élément et peut également être définie ici.

Remarque : Disponible uniquement pour les boutons s’ils sont utilisés en tant qu’interrupteurs.

Conseil : si la valeur de la variable doit être basculée, nous vous recommandons d’activer la propriété Variable lue en permanence. Dans le cas contraire, le Runtime patiente jusqu’à ce que le driver connaisse la valeur des variables. Si la valeur n’est pas disponible en raison d’une interruption des communications avec le contrôleur, le délai d’attente correspond au délai d’attente avant expiration du driver.

SICAM 230 et élément Synoptique d’alarmes uniquement :
La description ci-dessus s’applique uniquement aux éléments Bouton texte, Bouton bitmap et Bouton invisible.
Signification dans SICAM 230 : Les états des classes d’alarmes/d’événements seront attribués à la variable sélectionnée (32 bits). Pour chaque classe, 2 bits seront utilisés (par numéro de classe, dans l’ordre croissant).

  • Bit inférieur : alarme active/inactive
  • Bit supérieur : alarme acquittée/non acquittée

Plus de détails dans l’aide en ligne.

ZT_MDIFUNKTION

MDIFunction

Fonction spécifique au type de synoptique

Uniquement disponible sur les synoptiques de type spécial (synoptiques de type autre que Standard) :
Liaison à une fonction spécifique au synoptique. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de fonctions spécifiques au synoptique. Cette fonction est exécutée si l’utilisateur effectue un clic dans le Runtime ou appuie sur une combinaison de touches liée.

Attention : Outre une fonction spécifique au type de synoptique, il est également possible de lier une fonction générale au bouton. Dans ce cas, notez l’ordre d’exécution lorsque vous cliquez sur le bouton : La fonction spécifique au type de synoptique est exécutée la première. Lorsque cette fonction est terminée, la fonction générale est exécutée. Si des événements VBA sont liés au bouton dans le Runtime, ces derniers sont exécutés avant les fonctions.

Plus de détails dans l’aide en ligne.

VT_BOOL

Scanner

Mode temporaire

Disponible uniquement si la propriété Commutateur est active. (Exception : toujours disponible dans l’élément dynamique Interrupteur.)
Active : l’état cible (défini dans la propriété Activation temporaire) est maintenu seulement tant que le bouton gauche de la souris est enfoncé et au moins pendant le temps défini par Durée de maintien [ms].
Inactive : l’état cible persiste après que le bouton de la souris ait été relâché.
Par défaut : inactive.

Plus de détails dans l’aide en ligne.

VT_BOOL

ScannerOn

Activation temporaire

Disponible uniquement si Mode temporaire est active.
Active : bascule les commutateurs sur ON.
Inactive : bascule les commutateurs sur OFF.
Par défaut : Inactive.

Plus de détails dans l’aide en ligne.

VT_BOOL

ResetOnLeave

Remise à 0 en quittant

Disponible uniquement si la propriété Mode temporaire est active.
Maintenez le bouton de la souris enfoncé et éloignez le pointeur de la souris du bouton pour réinitialiser automatiquement la valeur de la variable.

Plus de détails dans l’aide en ligne.

VT_BOOL

FastReaction

Réaction immédiate

Disponible uniquement si Commutateur est active.
Active : Le commutateur change immédiatement de position dans le Runtime, indépendamment de la définition du bit lié au niveau l’automate. Lors du prochain cycle de mise à jour du driver, le bit sera lu depuis l’automate. Après cela, la position du commutateur sera de nouveau conforme à la position correcte du bit dans l’automate.
Attention : Le commutateur sera uniquement actionnable lorsque la valeur aura été lue sur l’automate.

Inactive : Le commutateur changera uniquement de position après que le bit ait été transmis à l’automate, puis lu sur l’automate.

(Par défaut) Inactive :

Plus de détails dans l’aide en ligne.

VT_UI2

ReactionTime

Durée de maintien [ms]

Disponible uniquement si la propriété Commutateur est active. Si la propriété Mode temporaire est active : Durée (en ms) pendant laquelle un état est maintenu à partir du moment où le clic gauche a été effectué sur l’élément correspondant.

Si la propriété Mode temporaire n’est pas cochée : l’effet est retardé à compter du clic gauche.

Plus de détails dans l’aide en ligne.

VT_BOOL

StayPressed

Garder l'état appuyé

Disponible uniquement si les propriétés Commutateur, Mode temporaire et Réaction immédiate sont actives.

Active : Tant que l’utilisateur maintient le bouton de souris appuyé sur cet élément, son affichage graphique ne change pas, indépendamment des changements de valeurs possibles au niveau de l’automate. Au niveau de l’élément Interrupteur, le paramètre 3D doit être actif pour que cela se produise.
Inactive : l’élément affiche toujours la valeur de la variable provenant de l’automate.

Plus de détails dans l’aide en ligne.

VT_BOOL

ThreeDimensional

3D

Active : L’élément est affiché en trois dimensions.
Inactive : L’élément est affiché en deux dimensions.

Plus de détails dans l’aide en ligne.

VT_BOOL

ShowState

Visualiser l'état de la variable

Affichage graphique de l’état de la variable. Sélection à l’aide d’une case à cocher.

  • Active : l’état des variables est indiqué par un carré de couleur au niveau de l’élément.

    Couleur :

    • Carré rouge :
      pas de communication avec l’automate.
      Exemple : INVALID, OFF, ALT_VAL, REVISION, TIMEOUT, ...
    • Carré bleu (N_UPDATE) :
      Sur le client réseau :
      La connexion entre le client et le serveur principal a été interrompue.

      Avec un projet d’intégration indépendant :
      Le serveur principal n’a pas encore fourni les données.
    • Carré jaune (PR_NR) :
      Indique, dans le Runtime, que la variable n’a pas été enregistrée pendant la lecture dans le module Process Recorder. Par conséquent, aucune valeur n’a été identifiée lors de la lecture.

    Position :
    La position du carré au niveau de l’élément dépend de la forme de l’élément :

    • Anguleux et tous autres éléments :
      Coin supérieur droit
    • Élément circulaire :
      En haut, au milieu
    • Élément arrondi :
      coin supérieur droit, légèrement décalé vers la gauche
  • Inactive : L’état n’est pas représenté.
    Désactive également la possibilité d’afficher les informations supplémentaires concernant la variable avec un clic droit.

Par défaut : Actif

Plus de détails dans l’aide en ligne.

ZT_STYLE

FillStyle

Style de remplissage

Affichage et sélection du style de remplissage attribué à l’élément.

Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de style.
Si plusieurs éléments ont été sélectionnés, ils peuvent être attribués à un style commun.

Remarque : Seules les propriétés compatibles avec l’élément correspondant sont prises en charge.

Plus de détails dans l’aide en ligne.

ZT_STYLE

GraphicsFillStyle

Style de remplissage pour le graphique si pressé/activé

Description sous forme de texte.

ZT_IMAGELIST

PredefinedBitmaps

Graphiques prédéfinis

Des bitmaps prédéfinis pour l’état LOW/HIGH peuvent être sélectionnés dans la liste.

Plus de détails dans l’aide en ligne.

ZT_VARIABLE_DYN

AnimateVar

Variable

Variable de bit permettant d’activer ou de désactiver l’animation.

Plus de détails dans l’aide en ligne.

ZT_SHORTCUT

ShortCut

Raccourci-clavier

Les raccourcis autorisent l’exécution d’éléments actionnables. Par exemple :

- Exécution d’éléments de contrôle et de fonctions auxquelles un élément est attribué
- Écriture de valeurs prescrites (par ex. pour des interrupteurs)
- Configuration du focus pour certaines fenêtres (par ex. liste des courbes dans le module Extended Trend, ou liste déroulante dans le module RGM)

Cliquez sur le bouton du champ de saisie pour ouvrir la boîte de dialogue de définition des combinaisons de touches. Dans la boîte de dialogue, saisissez directement la combinaison souhaitée.

Plus de détails dans l’aide en ligne.

VT_UI2

Passwordlevel

Niveau d'autorisation

Le niveau du mot de passe d’écriture de valeurs prescrites ou d’exécution de fonctions avec l’élément dynamique sélectionné.
Minimum : 0.
Maximum : 127
Par défaut : 0.

Plus de détails dans l’aide en ligne.

VT_UI4

Locking

Verrouillage

Lien vers un verrouillage existant avec cet élément.

Si une condition dans une des formules du verrouillage est vraie, cet élément est verrouillé de manière à ce qu’aucun fonctionnement ne soit possible. Si cela a été défini dans les propriétés du projet, un symbole représentant un verrou est affiché aussi longtemps que le verrouillage est actif.

Remarque : Les verrouillages ne peuvent pas être utilisés pour des symboles dans la bibliothèque générale de symboles ou la bibliothèque de symboles du projet.

Plus de détails dans l’aide en ligne.

VT_BSTR

LockingName

LockingName

"With this property you have the opportunity to assign an interlocking via its name.
zElement.DynProperties(""LockingName"") = ""Interlocking 1"""

VT_BOOL

UnderCE

Visible sous WinCE

Contrôle la visibilité des éléments dans les synoptiques sous Windows CE. Les projets qui sont utilisés sous CE et sur le PC peuvent être créés de manière plus flexible ; la gestion par l’utilisateur est ainsi améliorée. Par exemple, les boutons renvoyant l’utilisateur vers des synoptiques ne pouvant pas être affichés sous CE (par ex. IPA) peuvent être rendus invisibles.

Active : dans synoptique/l’élément est également visible sous Windows CE.

Par défaut : active

Plus de détails dans l’aide en ligne.

ZT_VBAMAKRO

Init

Init

Macro VBA à exécuter lors de l’initialisation de l’élément.

Plus de détails dans l’aide en ligne.

ZT_VBAMAKRO

SetFocus

SetFocus

Macro VBA à exécuter lorsque le focus est placé sur l’élément.

Plus de détails dans l’aide en ligne.

ZT_VBAMAKRO

KillFocus

KillFocus

Macro VBA à exécuter lorsque le focus n’est plus placé sur l’élément.

Plus de détails dans l’aide en ligne.

ZT_VBAMAKRO

LeftClickDown

LeftClickDown

Macro VBA à exécuter lorsque l’utilisateur effectue un clic gauche sur l’élément.

Plus de détails dans l’aide en ligne.

ZT_VBAMAKRO

RightClickDown

RightClickDown

Macro VBA à exécuter lorsque l’utilisateur effectue un clic droit sur l’élément.

Plus de détails dans l’aide en ligne.

ZT_VBAMAKRO

LeftClickUp

LeftClickUp

Macro VBA à exécuter lorsque l’utilisateur relâche le bouton gauche de la souris sur l’élément.

Plus de détails dans l’aide en ligne.

ZT_VBAMAKRO

RightClickUp

RightClickUp

Macro VBA à exécuter lorsque l’utilisateur relâche le bouton droit de la souris sur l’élément.

Plus de détails dans l’aide en ligne.

ZT_VBAMAKRO

LeftDClick

LeftDoubleClick

Macro VBA à exécuter lorsque l’utilisateur effectue un double-clic gauche sur l’élément.

Plus de détails dans l’aide en ligne.

ZT_VBAMAKRO

RightDClick

RightDoubleClick

Macro VBA à exécuter lorsque l’utilisateur effectue un double-clic droit sur l’élément.

Plus de détails dans l’aide en ligne.

ZT_VBAMAKRO

MouseOver

MouseOver

Macro VBA à exécuter si le pointeur de la souris est positionné sur l’élément.

Plus de détails dans l’aide en ligne.

ZT_VBAMAKRO

DragDrop

DragDrop

Macro VBA à exécuter lorsque le bouton de la souris est relâché.

Plus de détails dans l’aide en ligne.

ZT_VBAMAKRO

DragOver

DragOver

Macro VBA à exécuter lorsque le curseur est déplacé au-dessus de l’élément pendant que le bouton gauche est enfoncé.

Plus de détails dans l’aide en ligne.

ZT_VBAMAKRO

DragBegin

DragBegin

Macro VBA à exécuter lorsque l’utilisateur commence à faire glisser l’objet.

Plus de détails dans l’aide en ligne.

VT_BSTR

Menu

Menu contextuel

Menu contextuel de l’élément.
Cliquer avec le bouton droit de la souris sur l’élément pour ouvrir le menu contextuel dans le Runtime.

Plus de détails dans l’aide en ligne.

VT_BSTR

Tooltip

Info bulle

Texte à afficher en tant qu’info-bulle de l’élément dans le Runtime. Une info-bulle est automatiquement affichée dans le Runtime si le pointeur de la souris reste pendant quelques secondes sur l’élément. Des retours à la ligne automatiques peuvent être insérés avec les caractères "\n".

  • Maximum : 79 caractères
    Attention : La combinaison de caractères \n est également comptée dans la limite de 79 caractères.

Plus de détails dans l’aide en ligne.

VT_BOOL

LassoSelect

sélectionnable avec le lasso

La sélection avec le lasso dans le Runtime permet d’identifier les éléments dynamiques et de les utiliser avec des événements VBA.

  • Active : L’élément peut être sélectionné avec le lasso dans le Runtime.
  • Inactive : L’élément ne peut pas être sélectionné dans Runtime.

Par défaut : active

Attention : Pour que l’élément puisse être sélectionné dans le Runtime, vous devez activer la propriété Sélection multiple en runtime (lasso) dans les paramètres du projet !

Remarque concernant la gestion des commandes : Si la propriété Opération à deux mains est activée, le lasso de la commande Exécuter le 2ème niveau ne doit pas être activé.

Plus de détails dans l’aide en ligne.

More...

GestureManipulationGroup

Manipulation

Propriétés pour la manipulation de synoptiques et d’éléments de synoptique dans le cadre d’une utilisation tactile.

Plus de détails dans l’aide en ligne.

VT_BOOL

Tab

Le focus est donné à l'élément

Active : L’élément dynamique peut être actionné à l’aide du clavier.
Inactive : L’élément dynamique n’est pas accessible à l’aide du clavier.
Par défaut : active.

Plus de détails dans l’aide en ligne.

VT_I4

TABOrderH

Position du focus gauche/droite

Définit la position horizontale pour l’utilisation à l’aide du clavier dans le Runtime. La position est définie par l’intermédiaire du menu contextuel et de l’utilisation de la souris dans la fenêtre principale ; elle ne peut pas être modifiée ici.

Plus de détails dans l’aide en ligne.

VT_I4

TABOrderV

Position focus haut / bas

Définit la position verticale pour l’utilisation à l’aide du clavier dans le Runtime. La position est définie par l’intermédiaire du menu contextuel et de l’utilisation de la souris dans la fenêtre principale ; elle ne peut pas être modifiée ici.

Plus de détails dans l’aide en ligne.

VT_BOOL

Signature

Signature nécéssaire

Active : Une signature est nécessaire pour actionner l’élément.

Pour des raisons de sécurité, l’utilisateur sera invité à saisir son mot de passe même s’il est déjà connecté. Le texte de la signature est enregistré dans la liste d’événements (CEL) après que l’élément ait été utilisé avec succès.

Attention : seuls les utilisateurs connectés peuvent signer une action. La signature d’actions avec un identifiant temporaire n’est plus possible.

Inactive : aucune signature n’est requise.

(Par défaut) Inactive :

Plus de détails dans l’aide en ligne.

VT_BSTR

SignatureText

Texte de signature

Ce texte est également consigné lors de la signature dans la liste d’événements (CEL) ou est proposé par défaut dans le Runtime si la signature est définie comme modifiable dans les propriétés du projet.

Plus de détails dans l’aide en ligne.

VT_I2

SignatureEditModus

Texte de signature éditable

Définit si le texte de signature peut être édité. Sélectionnez dans la liste déroulante :

  • Appliquer les paramètres projet : Les paramètres de la propriété de projet Texte de signature éditable sont applicables.
  • Oui : Texte modifiables
  • Non : Le texte ne peut pas être édité.

Par défaut : Appliquer les paramètres projet

Plus de détails dans l’aide en ligne

ZT_FILE

Helpfile

Fichier d'aide

Fichier d’aide (*.chm) devant être utilisé pour cet élément, conjointement à un menu contextuel. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de fichiers.
Attention : seuls les fichiers d’aide ayant été ajoutés dans le nœud Fichiers/Aide sont disponibles.

Plus de détails dans l’aide en ligne.

VT_BSTR

HelpCapture

Chapitre d'aide

Chapitre d’aide (*.chm) devant être utilisé pour cet élément, conjointement à un menu contextuel. Nom de la page HTML sous-jacente.
Attention : cette entrée tient compte des minuscules et majuscules.

Plus de détails dans l’aide en ligne.

ZT_VARIABLE_DYN

SetValueDynMin

Minimum

Variable dont la valeur actuelle est applicable en tant que limite inférieure de la valeur prescrite de l’élément.
Disponible uniquement si Plages de la variable est inactive :
Plus de détails dans l’aide en ligne.

ZT_VARIABLE_DYN

SetValueDynMax

Maximum

Variable dont la valeur actuelle est applicable en tant que limite supérieure de la valeur prescrite de l’élément.

Disponible uniquement si la propriété Plages de la variable est inactive.

Plus de détails dans l’aide en ligne.

VT_BOOL

GestureRecognitionActive

Reconnaissance de geste active

Active l’évaluation des gestes. Les gestes sont définis à l’aide d’autres propriétés.

Uniquement disponible si, dans le groupe Intéraction des propriétés du projet, la propriété Reconnaissance Windows 8 a été définie.

Plus de détails dans l’aide en ligne.

VT_BOOL

Gestures_Manipulation

Exact

Active : Détection du paramètre Exact défini.

Plus de détails dans l’aide en ligne.

VT_BOOL

Gestures_Exact

Exact

Active : Détection du paramètre Exact défini.

Plus de détails dans l’aide en ligne.

VT_BOOL

Gestures_TranslationX

Translation X

Active : Détection du paramètre Translation X défini.

Plus de détails dans l’aide en ligne.

VT_BOOL

Gestures_TranslationY

Translation Y

Active : Détection du paramètre Translation Y défini.

Plus de détails dans l’aide en ligne.

VT_BOOL

Gestures_RailsX

Rails X

Active : Détection du paramètre Rails X défini.

Plus de détails dans l’aide en ligne.

VT_BOOL

Gestures_RailsY

Rails Y

Active : Détection du paramètre Rails Y défini.

Plus de détails dans l’aide en ligne.

VT_BOOL

Gestures_TranslationInertia

Translation inertia

Active : Détection du paramètre Translation Inertia (Inertie de translation) défini.

Plus de détails dans l’aide en ligne.

VT_BOOL

Gestures_Rotation

Inertie de rotation

Active : Détection du paramètre Rotation Inertia (Inertie de rotation) défini.

Plus de détails dans l’aide en ligne.

VT_BOOL

Gestures_RotationInertia

Inertie de rotation

Active : Détection du paramètre Rotation Inertia (Inertie de rotation) défini.

Plus de détails dans l’aide en ligne.

VT_BOOL

Gestures_Scaling

Scaling inertia

Active : Détection du paramètre Scaling Inertia (Inertie de redimensionnement) défini.

Plus de détails dans l’aide en ligne.

VT_BOOL

Gestures_ScalingInertia

Scaling inertia

Active : Détection du paramètre Scaling Inertia (Inertie de redimensionnement) défini.

Plus de détails dans l’aide en ligne.

VT_BOOL

Gestures_CrossSlide

Cross slide exact

Active : Détection du paramètre Cross Slide Exact (Glissement transversal exact) défini.

Plus de détails dans l’aide en ligne.

VT_BOOL

Gestures_CrossSlideHorizontal

Cross slide horizontal

Active : Détection du paramètre Cross Slide Horizontal (Glissement transversal horizontal) défini.

Plus de détails dans l’aide en ligne.

VT_BOOL

Gestures_CrossSlideSelect

Cross slide select

Active : Détection du paramètre Cross Slide Select (Glissement transversal, sélection) défini.

Plus de détails dans l’aide en ligne.

VT_BOOL

Gestures_CrossSlideSpeedBump

Cross slide speed bump

Active : Détection du paramètre Cross Slide Speed Bump (Glissement transversal, ralentisseur) défini.

Plus de détails dans l’aide en ligne.

VT_BOOL

Gestures_CrossSlideRearrange

Cross slide rearrange

Active : Détection du paramètre Cross Slide Rearrange (Glissement transversal, réorganisation) défini.

Plus de détails dans l’aide en ligne.

VT_BOOL

Gestures_CrossSlideExact

Cross slide exact

Active : Détection du paramètre Cross Slide Exact (Glissement transversal exact) défini.

Plus de détails dans l’aide en ligne.

VT_BOOL

Gestures_Tap

Tap double

Active : Détection du paramètre Tap Double (Double appui) défini.

Plus de détails dans l’aide en ligne.

VT_BOOL

Gestures_TapDouble

Tap double

Active : Détection du paramètre Tap Double (Double appui) défini.

Plus de détails dans l’aide en ligne.

VT_BOOL

Gestures_SecondaryTap

Secondary tap

Active : Détection du paramètre Secondary Tap (Appui secondaire) défini.

Plus de détails dans l’aide en ligne.

VT_BOOL

Gestures_Drag

Drag

Active : Détection du paramètre Drag (Glissement) défini.

Plus de détails dans l’aide en ligne.

VT_BOOL

Gestures_Hold

Hold (Mouse)

Active : Détection du paramètre Hold (Mouse) (Maintien [souris]) défini.

Plus de détails dans l’aide en ligne.

ZT_STYLE

StyleGroup

Groupe de styles

Affichage et sélection du groupe de styles attribué à l’élément.
Cliquez sur le bouton ... pour ouvrir la boîte de dialogue permettant de sélectionner un groupe de styles.
Si plusieurs éléments sont sélectionnés, elles peuvent être attribuées à un groupe de styles commun.

Remarque : Seules les propriétés compatibles avec l’élément correspondant sont prises en charge.

Plus de détails dans l’aide en ligne.

More...

LnClVariable

LnClVariable

"With this property you have the opportunity to get informations about the variable which is linked as ""line/text color"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""LnClVariable.SymVarName"") 'Return the name of the ""line/text color"" variable
zElement.DynProperties (""LnClVariable.SymVarTagNr"") 'Return the identification of the ""line/text color"" variable"

More...

BkClVariable

BkClVariable

"With this property you have the opportunity to get informations about the variable which is linked as ""background/filling color"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""BkClVariable.SymVarName"") 'Return the name of the ""background/filling color"" variable
zElement.DynProperties (""BkClVariable.SymVarTagNr"") 'Return the identification of the ""background/filling color"" variable"

More...

BkCl2Variable

"BkCl2Variable"

More...

XVar

XVar

"With this property you have the opportunity to get informations about the variable which is linked as ""dynamic x position"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""XVar.SymVarName"") 'Return the name of the ""dynamic x position"" variable
zElement.DynProperties (""XVar.SymVarTagNr"") 'Return the identification of the ""dynamic x position"" variable"

More...

YVar

YVar

"With this property you have the opportunity to get informations about the variable which is linked as ""dynamic y position"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""YVar.SymVarName"") 'Return the name of the ""dynamic y position"" variable
zElement.DynProperties (""YVar.SymVarTagNr"") 'Return the identification of the ""dynamic y position"" variable"

More...

XVarZoom

XVarZoom

"With this property you have the opportunity to get informations about the variable which is linked as ""change width"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""XVarZoom.SymVarName"") 'Return the name of the ""change width"" variable
zElement.DynProperties (""XVarZoom.SymVarTagNr"") 'Return the identification of the ""change width"" variable"

More...

YVarZoom

YVarZoom

"With this property you have the opportunity to get informations about the variable which is linked as ""change height"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""YVarZoom.SymVarName"") 'Return the name of the ""change height"" variable
zElement.DynProperties (""YVarZoom.SymVarName"") 'Return the name of the ""change height"" variable
zElement.DynProperties (""YVarZoom.SymVarTagNr"") 'Return the identification of the ""change height"" variable"

More...

TwistVar

TwistVar

"With this property you have the opportunity to get informations about the variable which is linked as ""rotate"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""TwistVar.SymVarName"") 'Return the name of the ""rotate"" variable
zElement.DynProperties (""TwistVar.SymVarTagNr"") 'Return the identification of the ""rotate"" variable"

More...

VisVariable

VisVariable

"With this property you have the opportunity to get informations about the variable which is linked as ""visibility"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""VisVariable.SymVarName"") 'Return the name of the ""visibility"" variable
zElement.DynProperties (""VisVariable.SymVarTagNr"") 'Return the identification of the ""visibility"" variable"

More...

BlinkVar

BlinkVar

More...

GlowEffectGlowColorVar

GlowEffectGlowColorVar

More...

GlowEffectVisibilityVar

GlowEffectVisibilityVar

More...

GlowEffectBlinkVar

GlowEffectBlinkVar

VT_BSTR

Name

Nom d'élément

Attribuez un nom d’élément.
Il ne doit pas être vide.

Attention : Cette propriété n’est pas disponible aux fins de la commutation de langue.

Remarques concernant les cadrans : Pour les conteneurs de synoptique, spécifiez des noms clairement identifiables pour faciliter la sélection lors de la configuration des appels de synoptique.

Plus de détails dans l’aide en ligne.

VT_UI1

Layer

Niveau de visibilité

Sélectionnez l’un des 16 niveaux de visibilité (0 à 15) dans la liste déroulante. À l’aide de la barre d’outils Niveau de visibilité, vous décidez des niveaux qui doivent être affichés dans Editor. Cette fonction garantit que les synoptiques les plus complexes peuvent être développés de manière simple. Les niveaux peuvent être utilisés immédiatement. Les niveaux n’ont aucune influence sur les informations affichées au premier plan ou en arrière-plan dans le Runtime.
Par défaut : 0.

Plus de détails dans l’aide en ligne.

VT_I4

StartX

Point de départ X [pixels]

Coordonnée Y du coin supérieur gauche du synoptique (en pixels).

Plus de détails dans l’aide en ligne.

VT_I4

EndX

Point final X [pixels]

Coordonnée X du coin inférieur droit du synoptique (en pixels).

Plus de détails dans l’aide en ligne.

VT_I4

StartY

Point de départ Y [pixels]

Coordonnée Y du coin supérieur gauche du synoptique (en pixels).

Plus de détails dans l’aide en ligne.

VT_I4

EndY

Point final Y [pixels]

Coordonnée Y du coin inférieur droit du synoptique (en pixels).

Plus de détails dans l’aide en ligne.

VT_I4

Width

Largeur [pixels]

Largeur des éléments en pixels.

Remarque : disponible uniquement pour les éléments Combinaison multiple, Élément combiné, Bouton et Interrupteur si la valeur Ajusté a été sélectionnée pour la propriété Taille du graphique.

Plus de détails dans l’aide en ligne.

VT_I4

Height

Hauteur [pixels]

Hauteur des éléments en pixels.

Remarque : disponible uniquement pour les éléments Combinaison multiple, Élément combiné, Bouton et Interrupteur si la valeur Ajusté a été sélectionnée pour la propriété Taille du graphique.

Plus de détails dans l’aide en ligne.

VT_I4

Angle

Angle de rotation [°]

Angle libre autour selon lequel doit pivoter l’élément.
Les valeurs positives correspondent à une rotation dans le sens antihoraire, tandis que les valeurs négatives correspondent à une rotation dans le sens horaire. Les valeurs supérieures à 360° sont affichées sous forme d’écart par rapport à 360° (400° correspond à 40°). Seuls les nombres entiers sont autorisés.

Sur les éléments pivotés, les actions suivantes ne sont plus possibles :

  • Miroir
  • Rotation de +/- 90°
  • Redimensionnement à l’aide des touches fléchées

Par défaut : 0

Remarque : Ce paramètre est activé et réinitialisé lors de la configuration pour Windows CE.

Plus de détails dans l’aide en ligne.

VT_I2

ZoomMin

Visible de

Incrément de zoom le plus bas auquel l’élément est visible dans la vue globale.
Par défaut : -1
Une valeur de visibilité avec des incréments de zoom de -1 à -1 signifie que l’élément est affiché, quel que soit l’incrément de zoom sélectionné.

Les niveaux de zoom affichés dans la vue globale peuvent être configurés avec la propriété Apparence graphique -> Généralités runtime -> Pas de zoom pour vue globale.

Attention : Ce niveau de zoom s’applique à tous les types de synoptiques et cadres. Si un niveau de zoom défini est supérieur à 0, l’élément est uniquement affiché dans la vue globale, car les autres types de synoptique sont automatiquement appelés avec le niveau de zoom 0.

Plus de détails dans l’aide en ligne.

VT_I2

ZoomMax

Visible jusqu'à

Incrément de zoom le plus élevé auquel l’élément est visible dans la vue globale.

Par défaut : -1
Une valeur de visibilité avec des incréments de zoom de -1 à -1 signifie que l’élément est affiché, quel que soit l’incrément de zoom sélectionné.

Les niveaux de zoom affichés dans la vue globale peuvent être configurés avec la propriété Apparence graphique -> Généralités runtime -> Pas de zoom pour vue globale.

Attention : Ce niveau de zoom s’applique à tous les types de synoptiques et cadres. Si un niveau de zoom défini est supérieur à 0, l’élément est uniquement affiché dans la vue globale, car les autres types de synoptique sont automatiquement appelés avec le niveau de zoom 0.

Plus de détails dans l’aide en ligne.

VT_BSTR

Stationname

Nom liste d'objets

L’élément est saisi directement dans la liste de stations du synoptique Vue globale, et le texte est saisi ici.

Plus de détails dans l’aide en ligne.

ZT_VARIABLE_DYN

BackColorVariable

Couleur de remplissage

Nom de la variable dont les couleurs de valeur limite doivent influencer la couleur d’arrière-plan/de remplissage de l’élément.
Ouvre la boîte de dialogue de sélection de variables.

Plus de détails dans l’aide en ligne.

ZT_PREVIEW

BackColorVarPreview

Affichage aperçu couleur

Affichage de la valeur limite pour la propriété Couleur de remplissage définie pour la variable. Disponible uniquement si l’option Depuis la variable a été configurée pour la propriété Couleur de remplissage.

Un aperçu des propriétés définies pour la valeur limite est affiché dans le champ. Aucun aperçu n’est affiché pour les matrices de réaction.
Cliquez sur le bouton ... pour ouvrir la boîte de dialogue d’affichage des résultats. Les valeurs limite sont uniquement affichées ; elles ne peuvent pas être modifiées. Les modifications doivent être effectuées directement dans les propriétés de la variable pour Valeurs limite.

Plus de détails dans l’aide en ligne.

VT_UI1

HorizontalOrigin

Horizontal

Point de référence horizontal de l’événement. Les valeurs possibles sont : gauche, centré, droite.
Ce point est utilisé en tant que base de calcul de l’angle de départ de la rotation (statique et dynamique) et pour le changement dynamique de taille.

Par défaut : À gauche

Plus de détails dans l’aide en ligne.

VT_UI1

VerticalOrigin

Vertical

Point de référence vertical de l’événement. Les valeurs possibles sont : haut, centré, bas.
Ce point est utilisé en tant que base de calcul de l’angle de départ de la rotation (statique et dynamique) et pour le changement dynamique de taille.

Par défaut : En haut

Plus de détails dans l’aide en ligne.

VT_UI4

VisibilityType

Visibilité

Sélection depuis laquelle la visibilité d’un élément est déterminée :

  • Depuis une variable
  • Du verrrouillage

Par défaut : Depuis une variable

Plus de détails dans l’aide en ligne.

ZT_VARIABLE_DYN

VisibilityVariable

Variable

Disponible uniquement si l’option Depuis la variable a été configurée pour la propriété Visibilité.

Nom de la variable dont la valeur contrôle la visibilité de l’élément. La visibilité est soit reprise des propriétés de valeur limite de ces variables, soit définie par la plage de valeurs définie dans les propriétés de et À.
Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de variables. Vous pouvez également saisir manuellement le nom dans le champ de texte.
L'élément reste visible tant qu’aucune variable n’est liée.

Plus de détails dans l’aide en ligne.

ZT_PREVIEW

VisVarPreview

Affichage aperçu visibilité

Affichage des valeurs limite pour la visibilité définies pour la variable. Disponible uniquement si l’option Depuis la variable a été configurée pour la propriété Variable dans le groupe Visibilité.

Un aperçu des propriétés définies pour la valeur limite est affiché dans le champ. Aucun aperçu n’est affiché pour les matrices de réaction.
Cliquez sur le bouton ... pour ouvrir la boîte de dialogue d’affichage des résultats. Les valeurs limite sont uniquement affichées ; elles ne peuvent pas être modifiées. Les modifications doivent être effectuées directement dans les propriétés de la variable pour Valeurs limite.

Plus de détails dans l’aide en ligne.

VT_BOOL

VisibilityFromLimit

A partir des valeurs limites

Uniquement disponible après la sélection d’une variable :

  • Active : La visibilité de l’élément est influencée par la propriété de valeur limite de la variable.

    Attention : La propriété Invisible doit être active pour au moins une valeur limite de la variable.

  • Inactive : la visibilité est influencée par les propriétés de l’élément.

Par défaut : active

Plus de détails dans l’aide en ligne.

VT_R8

VisibilityFrom

de

Disponible uniquement après la sélection d’une variable, si la visibilité n’a pas été reprise par la valeur limite :

Valeur minimum de la variable à laquelle l’élément est visible.

  • Minimum : valeur minimum possible de la variable liée.
  • Maximum : valeur maximum possible de la variable liée.

Par défaut : valeur minimum possible de la variable liée.

Plus de détails dans l’aide en ligne.

VT_R8

VisibilityTo

À

Disponible uniquement après la sélection d’une variable, si la visibilité n’a pas été reprise par la valeur limite :

Valeur maximale de la variable à laquelle l’élément est visible.

  • Minimum : valeur minimum possible de la variable liée.
  • Maximum : valeur maximum possible de la variable liée.

Par défaut : valeur maximum possible de la variable liée.

Plus de détails dans l’aide en ligne.

VT_UI4

Interlocking

Verrouillage

Disponible uniquement si l’option Depuis le verrouillage est sélectionnée pour la propriété Visibilité.

Nom du verrouillage dont la valeur contrôle la visibilité de l’élément. Sélectionnez dans la liste déroulante. Celle-ci contient tous les verrouillages existants et utilisables. L’élément est toujours visible si aucun verrouillage n’est lié.

Plus de détails dans l’aide en ligne.

VT_BSTR

InterlockingName

InterlockingName

Description

VT_BOOL

VisibleWhenInterlocked

Visible si verrouillé

Contrôle la visibilité de l’élément lorsque le verrouillage est sélectionné :

  • Active : L’élément est visible s’il est verrouillé.
  • Inactive : L’élément est visible s’il n’est pas verrouillé.

Par défaut : inactive

Plus de détails dans l’aide en ligne.

ZT_VARIABLE_DYN

BlinkVariable

Affichage aperçu clignotement

Affichage des valeurs limite pour le clignotement définies pour la variable. Disponible uniquement si l’option Depuis la variable a été configurée pour la propriété Prendre le clignotement de la limite.

Un aperçu des propriétés définies pour la valeur limite est affiché dans le champ. Aucun aperçu n’est affiché pour les matrices de réaction.
Cliquez sur le bouton ... pour ouvrir la boîte de dialogue d’affichage des résultats. Les valeurs limite sont uniquement affichées ; elles ne peuvent pas être modifiées. Les modifications doivent être effectuées directement dans les propriétés de la variable pour Valeurs limite.

Plus de détails dans l’aide en ligne.

ZT_PREVIEW

BlinkVarPreview

Affichage aperçu clignotement

Affichage des valeurs limite pour le clignotement définies pour la variable. Disponible uniquement si l’option Depuis la variable a été configurée pour la propriété Prendre le clignotement de la limite.

Un aperçu des propriétés définies pour la valeur limite est affiché dans le champ. Aucun aperçu n’est affiché pour les matrices de réaction.
Cliquez sur le bouton ... pour ouvrir la boîte de dialogue d’affichage des résultats. Les valeurs limite sont uniquement affichées ; elles ne peuvent pas être modifiées. Les modifications doivent être effectuées directement dans les propriétés de la variable pour Valeurs limite.

Plus de détails dans l’aide en ligne.

VT_BOOL

UseBlinkColor

Couleur de clignotement par la limite

Active : Reprend la couleur d’arrière-plan du clignotement défini pour la valeur limite active de la variable pour Prendre le clignotement de la limite. Durant le clignotement, l’élément ne devient pas invisible, mais reprend la couleur d’arrière-plan active.

Par défaut : Inactive

Remarque : la couleur n’est pas prise en compte si la couleur d’arrière-plan Transparence est configurée.

Plus de détails dans l’aide en ligne.

ZT_VARIABLE_DYN

XVariable

Variable

Nom de la variable utilisée pour le déplacement horizontal de l’élément.
Ouvre la boîte de dialogue de sélection de variables.

Plus de détails dans l’aide en ligne.

VT_R8

XVarMin

Valeur min de la variable

Valeur minimale de la variable utilisée pour le déplacement horizontal de l’élément.

Plus de détails dans l’aide en ligne.

VT_R8

XVarMax

Valeur max de la variable

Valeur maximale de la variable utilisée pour le déplacement horizontal de l’élément.

Plus de détails dans l’aide en ligne.

VT_I4

XViewMin

Mouvement min [pixels]

Position horizontale de l’élément pour la valeur minimale de la variable (en pixels).

Plus de détails dans l’aide en ligne.

VT_I4

XViewMax

Mouvement max [pixels]

Position horizontale de l’élément pour la valeur minimale de la variable (en pixels).

Plus de détails dans l’aide en ligne.

ZT_VARIABLE_DYN

YVariable

Variable

Nom de la variable utilisée pour le déplacement vertical de l’élément.
Ouvre la boîte de dialogue de sélection de variables.

Plus de détails dans l’aide en ligne.

VT_R8

YVarMin

Valeur min de la variable

Valeur minimale de la variable utilisée pour le déplacement vertical de l’élément.

Plus de détails dans l’aide en ligne.

VT_R8

YVarMax

Valeur max de la variable

Valeur maximale de la variable utilisée pour le déplacement vertical de l’élément.

Plus de détails dans l’aide en ligne.

VT_I4

YViewMin

Mouvement min [pixels]

Position verticale de l’élément pour la valeur minimale de la variable (en pixels).

Plus de détails dans l’aide en ligne.

VT_I4

YViewMax

Mouvement max [pixels]

Position verticale de l’élément pour la valeur maximale de la variable (en pixels).

Plus de détails dans l’aide en ligne.

ZT_VARIABLE_DYN

XZoomVariable

Variable

Nom de la variable utilisée pour l’agrandissement de la largeur de l’élément.
Ouvre la boîte de dialogue de sélection de variables.

Plus de détails dans l’aide en ligne.

VT_R8

XZoomVarMin

Valeur min de la variable

Valeur minimale de la variable utilisée pour effectuer un zoom à la largeur de l’élément.

Plus de détails dans l’aide en ligne.

VT_R8

XZoomVarMax

Valeur max de la variable

Valeur maximale de la variable utilisée pour effectuer un zoom sur la largeur de l’élément.

Plus de détails dans l’aide en ligne.

VT_I4

XZoomViewMin

Largeur min [%]

Facteur de zoom correspondant à la largeur de l’élément pour la valeur minimale de la variable (en pixels).

Plus de détails dans l’aide en ligne.

VT_I4

XZoomViewMax

Largeur max [%]

Facteur de zoom correspondant à la largeur de l’élément pour la valeur maximale de la variable (en pixels).

Plus de détails dans l’aide en ligne.

ZT_VARIABLE_DYN

YZoomVariable

Variable

Nom de la variable utilisée pour l’agrandissement de la hauteur de l’élément.
Ouvre la boîte de dialogue de sélection de variables.

Plus de détails dans l’aide en ligne.

VT_R8

YZoomVarMin

Valeur min de la variable

Valeur minimum de la variable utilisée pour effectuer un zoom sur la hauteur de l’élément.

Plus de détails dans l’aide en ligne.

VT_R8

YZoomVarMax

Valeur max de la variable

Valeur maximum de la variable utilisée pour effectuer un zoom sur la hauteur de l’élément.

Plus de détails dans l’aide en ligne.

VT_I4

YZoomViewMin

Hauteur min [%]

Facteur de zoom correspondant à la hauteur de l’élément pour la valeur minimum de la variable (en %).

Plus de détails dans l’aide en ligne.

VT_I4

YZoomViewMax

Hauteur max [%]

Facteur de zoom correspondant à la hauteur de l’élément pour la valeur maximale de la variable (en pixels).

Plus de détails dans l’aide en ligne.

ZT_VARIABLE_DYN

TwistVariable

Variable

Nom de la variable utilisée pour la rotation de l’élément.

Plus de détails dans l’aide en ligne.

VT_R8

TwistVarMin

Valeur min de la variable

Valeur minimum de la variable utilisée pour la rotation de l’élément.

Plus de détails dans l’aide en ligne.

VT_R8

TwistVarMax

Valeur max de la variable

Valeur maximale de la variable utilisée pour la rotation de l’élément.

Plus de détails dans l’aide en ligne.

VT_I4

TwistViewMin

Rotation min [°]

Angle de rotation de l’élément pour la valeur minimum de la variable (en °).

Plus de détails dans l’aide en ligne.

VT_I4

TwistViewMax

Rotation max [°]

Angle de rotation de l’élément pour la valeur maximum de la variable (en °).

Plus de détails dans l’aide en ligne.

ZT_STYLE

ShadowEffectStyle

Style effet cadres/ombres

Affichage et sélection du style de cadre et d’ombre attribué à l’élément.

Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de style.
Si plusieurs éléments ont été sélectionnés, ils peuvent être attribués à un style commun.

Remarque : Seules les propriétés compatibles avec l’élément correspondant sont prises en charge.

Plus de détails dans l’aide en ligne.

VT_BOOL

EnablePunchFrame

Afficher le cadre

A frame around the element can be displayed.
Default: inactive.

ZT_STYLE

GlowEffectStyle

Style effet de rayonnement

Affichage et sélection du style des effets de luminescence attribués à l’élément.

Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de style.
Si plusieurs éléments ont été sélectionnés, ils peuvent être attribués à un style commun.

Remarque : Seules les propriétés compatibles avec l’élément correspondant sont prises en charge.

Plus de détails dans l’aide en ligne.

VT_BOOL

GlowEffectEvent

Actif seulement si cliqué

Disponible uniquement si la propriété Activer est active et l’élément est un bouton.

Active : l’effet de luminescence est uniquement affiché lorsque l’utilisateur clique sur le bouton. Cliquer sur le bouton permet de modifier la couleur, le clignotement ou l’invisibilité de l’effet de luminescence.

Par défaut : Inactive

Plus de détails dans l’aide en ligne.

ZT_VARIABLE_DYN

GlowEffectGlowColorVariable

Variable pour la couleur

Disponible uniquement si la propriété Activer est active. La propriété Coloration doit être activée.

Nom de la variable dont la couleur aux valeurs limites doit influencer la couleur de l’effet de luminescence pour l’élément. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de variables. Vous pouvez également saisir le nom manuellement dans le champ de texte. Si aucune variable n’est liée, la couleur définie dans la propriété Couleur est utilisée.

Par défaut : aucune variable liée

Plus de détails dans l’aide en ligne.

ZT_PREVIEW

GlowEffectGlowColorVariablePreview

Affichage aperçu couleur

Affichage de la valeur limite définie pour la variable de couleur lorsque l’effet de luminescence est actif. Disponible uniquement si l’option Depuis la variable a été configurée pour la propriété Variable pour la couleur.

Un aperçu des propriétés définies pour la valeur limite est affiché dans le champ. Aucun aperçu n’est affiché pour les matrices de réaction.
Cliquez sur le bouton ... pour ouvrir la boîte de dialogue d’affichage des résultats. Les valeurs limite sont uniquement affichées ; elles ne peuvent pas être modifiées. Les modifications doivent être effectuées directement dans les propriétés de la variable pour Valeurs limite.

Plus de détails dans l’aide en ligne.

ZT_VARIABLE_DYN

GlowEffectVisibilityVariable

Variable pour la visibilité

Disponible uniquement si la propriété Activer est active.

Nom de la variable dont la valeur influence la visibilité de l’effet de luminescence. La visibilité est soit reprise des propriétés de valeur limite de cette variable (propriété Visibilité depuis valeur limite active), soit définie par la plage de valeurs définie dans les propriétés Visible de et Visible jusqu'à. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de variables. Vous pouvez également saisir le nom manuellement dans le champ de texte.

Remarque : si aucune variable n’est liée, l’effet de luminescence est toujours visible.

Par défaut : aucune variable liée

Plus de détails dans l’aide en ligne.

ZT_PREVIEW

GlowEffectVisibilityVariablePreview

Affichage aperçu visibilité

Affichage de la valeur limite définie pour la variable de visibilité lorsque l’effet de luminescence est actif. Disponible uniquement si l’option Depuis la variable a été configurée pour la propriété Variable pour la visibilité.

Un aperçu des propriétés définies pour la valeur limite est affiché dans le champ. Aucun aperçu n’est affiché pour les matrices de réaction.
Cliquez sur le bouton ... pour ouvrir la boîte de dialogue d’affichage des résultats. Les valeurs limite sont uniquement affichées ; elles ne peuvent pas être modifiées. Les modifications doivent être effectuées directement dans les propriétés de la variable pour Valeurs limite.

Plus de détails dans l’aide en ligne.

VT_BOOL

GlowEffectVisibilityFromLimit

Visibilité depuis valeur limite

Disponible uniquement si la propriété Activer est active. Vous devez en outre définir une variable dans la propriété Variable pour la visibilité.

Active : La visibilité de l’effet de luminescence est influencée par la propriété de valeur limite de la variable.

Attention : Pour une valeur limite de la variable au moins, la propriété Invisible doit être active.

Inactive : la visibilité est influencée par les propriétés de l’élément.

Plus de détails dans l’aide en ligne.

VT_R8

GlowEffectVisibilityFrom

Visible de

Disponible uniquement si la propriété Activer est active. Vous devez en outre définir une variable dans la propriété Variable pour la visibilité ; la propriété Visibilité depuis valeur limite doit être inactive.

Définit la valeur à partir de laquelle l’effet de luminescence devient visible.
Minimum : valeur la moins élevée autorisée pour la variable liée dans Variable pour la visibilité.
Maximum : valeur la moins élevée autorisée pour la variable liée dans Variable pour la visibilité.
Par défaut : valeur la plus élevée autorisée pour la variable liée dans Variable pour la visibilité.

Plus de détails dans l’aide en ligne.

VT_R8

GlowEffectVisibilityTo

Visible jusqu'à

Disponible uniquement si la propriété Activer est active. Vous devez en outre définir une variable dans la propriété Variable pour la visibilité ; la propriété Visibilité depuis valeur limite doit être inactive.

Définit la valeur jusqu’à laquelle l’effet de luminescence reste visible.
Minimum : valeur la plus basse autorisée pour la variable liée dans Variable pour la visibilité.
Maximum : valeur la plus élevée autorisée pour la variable liée dans Variable pour la visibilité.
Par défaut : valeur la plus élevée autorisée pour la variable liée dans Variable pour la visibilité.

Plus de détails dans l’aide en ligne.

ZT_VARIABLE_DYN

GlowEffectBlinkVariable

Variable pour le clignotement

Variables dont les paramètres de clignotement de l’effet de luminescence aux valeurs limites doivent être repris. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de variables.

Par défaut : aucune variable liée

Plus de détails dans l’aide en ligne.

ZT_PREVIEW

GlowEffectBlinkVariablePreview

Affichage aperçu clignotement

Affichage de la valeur limite définie pour la variable de clignotement lorsque l’effet de luminescence est actif. Disponible uniquement si l’option Depuis la variable a été configurée pour la propriété Variable pour le clignotement.

Un aperçu des propriétés définies pour la valeur limite est affiché dans le champ. Aucun aperçu n’est affiché pour les matrices de réaction.
Cliquez sur le bouton ... pour ouvrir la boîte de dialogue d’affichage des résultats. Les valeurs limite sont uniquement affichées ; elles ne peuvent pas être modifiées. Les modifications doivent être effectuées directement dans les propriétés de la variable pour Valeurs limite.

Plus de détails dans l’aide en ligne.

VT_BOOL

GlowEffectUseBlinkColor

Clignotement depuis valeur limite

Disponible uniquement si la propriété Activer est active. Vous devez en outre définir une variable dans la propriété Variable pour le clignotement.

Active : Reprend, pour l’effet de luminescence, la couleur de clignotement de la valeur limite active pour la variable définie dans la propriété Couleur de clignotement par la limite. Cette propriété agit indépendamment de la propriété Coloration. En cas de clignotement, l’effet de luminescence ne devient pas invisible, mais reprend les paramètres de l’effet de luminescence actif.

Par défaut : Inactive

Plus de détails dans l’aide en ligne.

VT_BOOL

GlowEffect2ndBlinkStateVisible

2 états de clignotement invisibles

Disponible uniquement si la propriété Activer est active. Vous devez en outre définir une variable dans la propriété Variable pour le clignotement ; la propriété Clignotement depuis valeur limite doit être inactive.

Active : En cas de clignotement, l’effet de luminescence ne bascule pas vers l’effet de luminescence actif, mais devient invisible. Ceci permet de basculer entre l’invisibilité et la couleur de clignotement en cas de dépassement de la valeur limite.

Par défaut : Inactive

Plus de détails dans l’aide en ligne.


CStatusElemZustand

Manuel -> Interfaces de programmation -> Modèles d'objet -> Element -> Element-Dynamic properties -> CStatusElemZustand

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | VBA/VSTA Name | Display Name | Description
VT_UI4 | Value | Value |
VT_UI4 | ValueMask | ValueMask |
VT_UI8 | Status | Status |
VT_UI8 | StatusMask | StatusMask |
ZT_COLOR | Color | Color |
ZT_COLOR | BkColor | BkColor |
VT_BOOL | Blinking | Blinking |
VT_BOOL | BkTransparent | BkTransparent |
VT_BOOL | LayerTransparent | LayerTransparent |
VT_BOOL | IsSymbolColor | IsSymbolColor |
VT_BOOL | IsTopologyColor | IsTopologyColor |
VT_BOOL | IsTopologyBkColor | IsTopologyBkColor |
VT_UI4 | Additive | Additive |
VT_UI4 | AdditiveMask | AdditiveMask |
VT_BSTR | TextOrBitmap | TextOrBitmap |
VT_BSTR | SymbolName | SymbolName |
VT_BSTR | SymbolPath | SymbolPath |
VT_BSTR | Formula | Formula |
VT_BSTR | DownText | DownText |


Combi

Manuel -> Interfaces de programmation -> Modèles d'objet -> Element -> Element-Dynamic properties -> Combi

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Type

VBA/VSTA Name

Display Name

Description

More...

States

States

More...

DynEleVar

DynEleVar

"With this property you have the opportunity to get informations about the variable (projected via ""Variable assignment"" in the ActiveX selection dialog) which is linked at an ActiveX element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""DynEleVar.SymVarName"") 'Return the name of the variable which is assigned to the ActiveX
zElement.DynProperties (""DynEleVar.SymVarTagNr"") 'Return the identification of the variable which is assigned to the ActiveX"

More...

DynEleFkt

ZT_VARIABLE_DYN

Variable

Variable

Nom de la variable liée. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de variables.
La valeur de cette variable est affichée dans cet élément et peut également être définie ici.

Remarque : Disponible uniquement pour les boutons s’ils sont utilisés en tant qu’interrupteurs.

Conseil : si la valeur de la variable doit être basculée, nous vous recommandons d’activer la propriété Variable lue en permanence. Dans le cas contraire, le Runtime patiente jusqu’à ce que le driver connaisse la valeur des variables. Si la valeur n’est pas disponible en raison d’une interruption des communications avec le contrôleur, le délai d’attente correspond au délai d’attente avant expiration du driver.

SICAM 230 et élément Synoptique d’alarmes uniquement :
La description ci-dessus s’applique uniquement aux éléments Bouton texte, Bouton bitmap et Bouton invisible.
Signification dans SICAM 230 : Les états des classes d’alarmes/d’événements seront attribués à la variable sélectionnée (32 bits). Pour chaque classe, 2 bits seront utilisés (par numéro de classe, dans l’ordre croissant).

  • Bit inférieur : alarme active/inactive
  • Bit supérieur : alarme acquittée/non acquittée

Plus de détails dans l’aide en ligne.

ZT_FUNCTION_DYN

Function

Fonction

Nom de la fonction liée.
Ouvre la boîte de dialogue de sélection de fonctions.
Cette fonction sera exécutée lorsque l’utilisateur clique sur le bouton dans le Runtime ou lorsque le raccourci clavier défini est utilisé.
Si vous souhaitez exécuter plusieurs fonctions, vous devez créer un script comportant les fonctions requises et spécifier ici la fonction permettant d’exécuter le script.

SICAM 230 et élément Synoptique d’alarmes uniquement :

Outre la propriété Appel de synoptique standard, le synoptique dont les états d’alarmes doivent être affichés seront déterminés par la fonction liée.
Obligatoire (sauf si le paramètre Global est actif) !

Plus de détails dans l’aide en ligne.

VT_BSTR

FunctionParameter

Paramètre pour la substitution

Saisie de la séquence de caractères pour le remplacement au moyen de paramètres. Remplace le mot-clé {PARAM} dans la boîte de dialogue de remplacement de la fonction d’appel de synoptique.

Remarque : Évitez les séquences de caractères également utilisées pour les paramètres d’indexation de variables, telles que {X01}.

Plus de détails dans l’aide en ligne.

VT_BOOL

FktOnDown

Exécution sur appui

Active : La fonction liée est exécutée lorsque l’élément est actionné.
Inactive : La fonction liée est exécutée lorsque l’élément est relâché.
Par défaut : inactive.

Plus de détails dans l’aide en ligne.

ZT_STYLE

TextStyle

Style de texte

Affichage et sélection du style de texte attribué à l’élément.

Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de style.
Si plusieurs éléments ont été sélectionnés, ils peuvent être attribués à un style commun.

Remarque : Seules les propriétés compatibles avec l’élément correspondant sont prises en charge.

Plus de détails dans l’aide en ligne.

VT_BOOL

ThreeDimensional

3D

Active : L’élément est affiché en trois dimensions.
Inactive : L’élément est affiché en deux dimensions.

Plus de détails dans l’aide en ligne.

VT_BOOL

ShowState

Visualiser l'état de la variable principale

Si l’option Afficher l’état est sélectionnée, l’attribution actuelle du bit d’état à la variable est affichée durant le fonctionnement en ligne, conjointement à l’affichage de la variable, lorsque l’utilisateur appuie sur le bouton droit de la souris.

Plus de détails dans l’aide en ligne.

VT_BOOL

RedPoint

Visualiser l'état avec le carré

Si un état d’exception (par ex. "Dérangé") est présent, une marque rouge s’affiche dans l’angle supérieur droit de la zone de l’élément.

Plus de détails dans l’aide en ligne.

VT_UI2

RepresentationStyle

Type d'affichage

Sélection du type d’affichage dans la liste déroulante :

  • Fichier graphique et symbole de synoptique : Vous pouvez définir un fichier graphique ou un symbole de synoptique (symbole ou groupe d’éléments) pour chaque état.
    En outre, la couleur d’un symbole de synoptique peut également être modifiée.
  • Seulement symbole de synoptique : Pour chaque état, vous pouvez attribuer une couleur à un symbole déjà existant du synoptique.
  • Symbole de la bibliothèque : Pour chaque état, vous pouvez sélectionner un symbole de la bibliothèque, ainsi qu’une couleur de ligne et de remplissage.
  • Signe : Pour chaque état, vous pouvez définir un caractère (SICAM 230) uniquement.
  • Texte d’état et symbole de synoptique : vous pouvez définir un texte pour chaque état.
    En outre, vous pouvez également modifier la couleur d’un symbole de synoptique.

Plus de détails dans l’aide en ligne.

ZT_COMBI

StateAndTest

Configuration et test

Ouvre la boîte de dialogue de définition des états.

Plus de détails dans l’aide en ligne.

VT_BOOL

DisabledStyleAsButtons

Appliquer les propriétés projet pour "verrouillé"

Paramètre définissant la reprise des actions-clé issues de la propriété de projet. Pour cela, la configuration des propriétés de projet suivantes est prise en compte :

  • Connexion et signature -> Boutons protégés
  • Eléments verrouillés -> Boutons verrouillés

Paramètres possibles :

  • Active : Les paramètres issus des propriétés de projet sont acceptés.
    Remarque : Le paramètre Grisé est sans effet sur le texte dans les symboles.
  • Inactive : Les paramètres sont ignorés.

Par défaut : Inactive

Plus de détails dans l’aide en ligne.

ZT_STYLE

FillStyle

Style de remplissage

Affichage et sélection du style de remplissage attribué à l’élément.

Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de style.
Si plusieurs éléments ont été sélectionnés, ils peuvent être attribués à un style commun.

Remarque : Seules les propriétés compatibles avec l’élément correspondant sont prises en charge.

Plus de détails dans l’aide en ligne.

VT_BOOL

FillColor

Transparence

Active : L’arrière-plan du symbole est transparent.
Inactive : L’arrière-plan du symbole peut être défini individuellement pour chaque état.
Par défaut : inactive.

Plus de détails dans l’aide en ligne.

VT_BOOL

ColorFromVariable

Prendre la couleur de la variable principale

Active : La couleur de remplissage des symboles embarqués et des symboles de la bibliothèque est définie par la variable principale avec l’état Par défaut en cas de dépassement d’une valeur limite au niveau de la variable.
Ceci signifie : En cas de dépassement d’une valeur limite de la variable principale, la couleur de remplissage provient de la couleur définie pour la limite. La couleur définie sur les états est écrasée. Les attributs d’état supplémentaires tels que le clignotement, transparence ou la couleur de symbole originale sont en revanche dérivée de la définition d’état. Cette propriété n’affecte pas la notation du bitmap.

Exception : Si la propriété Couleur de symbole originale est activée pour l’état Par défaut, la couleur de symbole originale est toujours utilisée.
Inactive : la couleur de la variable principale n’affecte pas la couleur affichée de l’élément combiné.
Par défaut : Inactive.

Plus de détails dans l’aide en ligne.

VT_BOOL

BlinkingFromVariable

Reprendre clignotement de la variable principale

Active : L’attribut de clignotement des variables principales est utilisé et peut être acquitté au niveau de l’élément.
Inactive : Pas de clignotement.

Plus de détails dans l’aide en ligne.

VT_BOOL

BlinkingFromAllVariables

Reprendre le clignotement de toutes les variables

Disponible uniquement si l’option Nom issu de la variable st désactivée.
Active : L’attribut de clignotement de toutes les variables est utilisé.
Inactive : Seul l’attribut de clignotement de la variable principale est utilisé, ou aucun clignotement n’est défini (selon l’état de l’option Reprendre clignotement de la variable principale).

Plus de détails dans l’aide en ligne.

VT_BOOL

BlinkingBackGroundTransparent

Arrière-plan clignotement transparent

Active : L’arrière-plan du symbole est transparent lors du clignotement (l’arrière-plan d’un bitmap ne peut pas être affiché comme transparent).
Inactive : L’arrière-plan du symbole n’est pas transparent.

Plus de détails dans l’aide en ligne.

ZT_COLOR

BlinkingBackColor

Couleur de clignotement

La couleur d’arrière-plan avec l’option Arrière-plan clignotant n’est pas définie.

Plus de détails dans l’aide en ligne.

VT_BOOL

OriginalSize

Avec dimension originale

Active : Les fichiers graphiques sont affichés à leur taille d’origine.
Inactive : les fichiers graphiques sont étirés à la taille de l’élément.
Par défaut : active

Remarque : Si la propriété Avec dimension originale est active, il est recommandé d’utiliser la même taille pour tous les fichiers graphiques contenus dans l’élément, car la taille de l’élément est adaptée à celle de tous les fichiers graphiques actuellement affichés.

Plus de détails dans l’aide en ligne.

VT_BOOL

IsPictureSymbol

Symbole de synoptique actif

Disponible uniquement si, pour la propriété Type d'affichage, les options Fichier graphique et symbole de synoptique ou Texte d’état et symbole de synoptique ont été sélectionnées.

  • Active : Outre le fichier graphique animé ou le texte d’état, un symbole de synoptique peut être affiché.
  • Inactive : Aucun symbole de synoptique n’est utilisé.

Plus de détails dans l’aide en ligne.

VT_BOOL

FillAreaOnly

Colorer uniquement remplissage

Active : Le changement de couleur concerne uniquement la zone de remplissage. Le changement de couleur affecte également les lignes.
Par défaut : inactive.

Plus de détails dans l’aide en ligne.

VT_UI2

PictureSymbol

Symbole de synoptique

Disponible uniquement si, pour la propriété Type d'affichage, l’option Seulement symbole de synoptique a été sélectionnée ou si la propriété Symbole de synoptique actif a été activée.
Sélection du symbole de synoptique dont la couleur doit être changée en fonction de l’état. Il peut s’agir d’un symbole ou d’un groupe d’éléments.

Plus de détails dans l’aide en ligne.

VT_BOOL

Overlapping

Superposer

Disponible uniquement pour un type d’affichage Symbole de la bibliothèque :
Active : Si plusieurs attributions de valeurs sont actives, l’affichage sera superposé (c’est-à-dire que tous les états actifs seront affichés).
Inactive : Seul l’état comportant la priorité la plus élevée est affiché.
Par défaut : inactive.

Plus de détails dans l’aide en ligne.

VT_BOOL

SeparateColors

Couleurs séparées

Disponible uniquement si le chevauchement est actif.
Active : Chaque état est affiché dans sa propre couleur.
Inactive : La couleur de l’état actif comportant la priorité la plus élevée sera utilisée.
Par défaut : inactive.

Plus de détails dans l’aide en ligne.

VT_BOOL

SeparateBlinking

Clignotement séparé

Disponible uniquement si le chevauchement est actif.
Active : Le clignotement de chaque état est affiché séparément.
Inactive : Le clignotement de l’état actif comportant la priorité la plus élevée sera utilisé.
Par défaut : inactive.

Plus de détails dans l’aide en ligne.

VT_BOOL

SymbolFormClickArea

La forme du symbole définie la zone de clic

Permet de créer un bouton à cliquer sous n’importe quelle forme. Disponible uniquement pour l ’option Symbole de la bibliothèque de l’élément combiné.

Active : la forme du symbole est utilisée en tant que zone cliquable. Chaque élément du symbole est pris en compte individuellement pour la zone de clic.

Inactive : La forme de l’élément combiné (rectangle entier) est utilisée en tant que zone de clic.

Par défaut : Inactive

Attention : Indisponible pour for Windows CE.

Cette propriété est disponible à compter de la version 6.51. Pour les projets destinés aux précédentes versions du logiciel, la propriété est considérée comme inactive.

Plus de détails dans l’aide en ligne.

VT_BOOL

Chained

Textes chaînés

Disponible uniquement pour le type de représentation Texte d’état :
Active : lorsque plusieurs états sont concernés, les textes d’état individuels sont affichés sous forme de chaîne combinée.
Inactive : Le texte de l’état actif comportant la priorité la plus élevée sera utilisé.
Par défaut : inactive.

Plus de détails dans l’aide en ligne.

VT_I2

TopologyType

Type topologie

Type topologie

VT_UI1

TransformerSide

Coté transformateur

Côté transformateur

VT_UI1

SupplyNumber

Numéro d'alimentation

Numéro d’alimentation

VT_BOOL

TopologyLRChanged

Bascule direction entrée/sortie (gauche / droite)

Bascule la connexion à gauche/droite des éléments topologiques comportant une connexion directe.

VT_BOOL

TopologyUseFrame

Utiliser effets/bordures pour découpage

Si la propriété est définie : Le cadre configuré dans Effets -> Cadre (paramètres Largeur et Distance) est utilisé pour renforcer la bordure, y compris celle d’éléments combinés.

VT_BOOL

TopologyBorderSV

Limite pour le calcul de la distribution de courant

VT_BOOL

TopologyBorderFOS

Limite pour la localisation des défauts de protection

VT_BOOL

TopologyBorderSHL

Limite pour "selfhealing"

Si la propriété est définie : L’élément est considéré comme une limite d’une région à reconfiguration dynamique.

VT_BOOL

TopologyBorderWBR

Limite pour régulation large

Si la propriété est définie : L’élément est considéré comme une limite d’une région à régulation large.

VT_UI4

TopologyResourceNr

Type de ressource

VT_I2

ALCType

Type de fonction

Disponible uniquement si vous possédez une licence pour la fonctionnalité Coloration Automatique des Lignes (CAL).

Sélection du type de fonction de l’élément. Cliquez sur le type de fonction pour ouvrir une liste déroulante de sélection :

  • Conclusion : Pour le côté barre omnibus ; bloque l’affichage du message d’erreur Ligne connectée d’un côté seulement lors de la compilation dans Editor.
  • Générateur : l’élément fonctionne comme un générateur (semblable à Source) ; si cette fonction est active, la couleur est transmise à la ligne suivante.
  • Aucune fonction : l’élément ne comporte aucune fonction dans le module Coloration Automatique des Lignes.
  • Lien : les informations de coloration automatique des lignes sont transférées d’un lien source vers un lien cible.
  • Source : si la source est active, la couleur est transmise à la ligne suivante.
  • Commutateur : La couleur est transmise à la ligne suivante si le sectionneur est fermé et s’il est alimenté par une source.
  • Vanne : fonctionne de la même manière que le paramètre commutateur. La couleur est transmise à la ligne suivante si la vanne est ouverte ou partiellement ouverte et si elle est alimentée par une source. Pour les valeurs de la variable principale : se reporter au manuel.
  • Drain : ce type de fonction n’a aucune incidence sur la coloration. VBA vous permet toutefois d’exécuter une requête pour déterminer si cet équipement est alimenté.
  • Clapet antiretour : Si le clapet antiretour est ouvert, les informations CAL sont uniquement transmises dans une direction pour ce type de fonction. La direction est toujours de l’entrée vers la sortie, et non dans le sens inverse. La transmission est uniquement effectuée si le clapet antiretour est alimenté par une source.
  • Transformateur : si l’élément est alimenté, il transforme une source (couleur) en une autre.
  • Sectionneur fonctionne de la même manière que le paramètre Commutateur, mais contient toutefois un verrouillage topologique (Sectionneur en charge). La couleur est transmise à la ligne suivante si le sectionneur est fermé et s’il est alimenté par une source.

Par défaut : Aucune fonction

Plus de détails dans l’aide en ligne.

VT_I2

ALCSourceID

Source

Uniquement active si le type de fonction est Source ou Transformateur :
Sélection de la source/des transformateurs liés.

Plus de détails dans l’aide en ligne.

VT_I2

ALCReverseSourceID

Source pour alimentation inverse

Uniquement disponible si vous avez sélectionné l’option Transformateur pour la propriété Type de fonction.

Sélection des transformateurs liés.

Si vous sélectionnez une autre source comme UNDEFINED [0], le transformateur peut assurer une production réversible. Cela signifie que le transformateur se comporte de la même manière dans les deux directions : de l’entrée vers la sortie (en avant), mais également de la sortie vers l’entrée (en arrière). La seule différence est que la propriété Source pour alimentation inverse est utilisée pour la distribution ultérieure du numéro de source, et non la propriété Source.

Remarque : Les états de réseau défaillants ou les configurations manquantes, tels qu’un signal provenant de l’entrée et de la sortie en même temps ou qu’un court-circuit à l’entrée et à la sortie, ne sont pas colorés de manière particulière. Cela signifie que le transformateur capable d’assurer une production réversible se comporte comme deux transformateurs commutés de manière antiparallèle, qui ne sont pas capables d’assurer une production réversible.

Plus de détails dans l’aide en ligne.

VT_BOOL

ALCExchangeInOut

Commuter entrée/sortie

Disponible uniquement si vous avez sélectionné Transformateur, Interrupteur, Vanne, Clapet antiretour ou Séparateur pour l’option Type de fonction.

Active : Déplace l’entrée de l’élément du module de coloration automatique des lignes vers la droite ou vers le bas et la sortie de l’élément vers la gauche ou vers le haut.

Par défaut : Inactive

Plus de détails dans l’aide en ligne.

VT_I2

ALCLinkID

Numéro de lien

Disponible uniquement si le type de fonction Lien a été sélectionné.
Numéro d’identification du lien. Un autre lien sur un écran différent doté du même numéro d’identification reprendra les données du lien source.

Plus de détails dans l’aide en ligne.

VT_BOOL

ALCAlias

Alias

Disponible uniquement si la propriété Couleur définie par CAL est active.

Élément source défini pour la propriété Utiliser alias. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue et sélectionner un élément existant.
Remarque : Les alias ne peuvent pas être utilisés pour des symboles dans la bibliothèque générale de symboles ou la bibliothèque de symboles du projet.

Plus de détails dans l’aide en ligne.

VT_BSTR

ALCAliasName

Alias

Disponible uniquement si la propriété Couleur définie par CAL est active.

Élément source défini pour la propriété Utiliser alias. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue et sélectionner un élément existant.
Remarque : Les alias ne peuvent pas être utilisés pour des symboles dans la bibliothèque générale de symboles ou la bibliothèque de symboles du projet.

Plus de détails dans l’aide en ligne.

VT_I2

ALCGroundFaultType

Type

Disponible uniquement si vous avez sélectionné l’option Interrupteur pour la propriété Type de fonction.

Définit la direction (Devant/Derrière) et le type de traitement du message (Aucun, Message permanent ou Variable) :

Aucun : interrupteur normal

Message permanent : le message est considéré comme un déclenchement de défaut de terre.

Variable : les messages reçus durant une recherche de courant sont supprimés.

Retard : vous devez attendre 2 secondes avant le premier flanc montant d’une direction.

Avance : l’état actuel de la direction est utilisé.

Par défaut : Aucun

Plus de détails dans l’ aide en ligne .

ZT_VARIABLE_DYN

ALCGroundFaultVarTrg

Déclenchement

Disponible uniquement si un élément Type a été sélectionné.
Définit la variable affichant la détection d’un défaut de terre. Pour les équipements utilisant une détection de défaut de terre directionnelle, la direction (Reculer ou Avancer) doit également être définie. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de variables.

Plus de détails dans l’aide en ligne.

More...

ALCGroundFaultVarTrgEx

ALCGroundFaultVarTrgEx

ZT_VARIABLE_DYN

ALCGroundFaultVarDisp

Afficher

Disponible uniquement si un élément Type a été sélectionné.
Définit la variable de sortie de la détection d’erreur de manière à afficher l’état de l’équipement de détection de défaut de terre. La variable liée ici doit être une variable locale afin d’éviter tout problème de fonctionnement du réseau. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de variables.

Plus de détails dans l’aide en ligne.

More...

ALCGroundFaultVarDispEx

ALCGroundFaultVarDispEx

ZT_VARIABLE_DYN

ALCGroundFaultVarFwd

Avancer

Disponible uniquement si un élément Type a été sélectionné.
Définit la variable de détection de défaut de terre en avant. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de variables.

Plus de détails dans l’aide en ligne.

More...

ALCGroundFaultVarFwdEx

ALCGroundFaultVarFwdEx

ZT_VARIABLE_DYN

ALCGroundFaultVarRev

Reculer

Disponible uniquement si un élément Type a été sélectionné.
Définit la variable de détection de défaut de terre en arrière. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de variables.

Plus de détails dans l’aide en ligne.

More...

ALCGroundFaultVarRevEx

ALCGroundFaultVarRevEx

VT_I2

ALCShortFaultType

Type

Disponible uniquement si vous avez sélectionné l’option Interrupteur pour la propriété Type de fonction.

Définit le traitement du message (Aucun ou Message permanent et sa direction (Devant/Derrière).

Aucun : interrupteur normal

Message permanent : le message est considéré comme un déclenchement de défaut de terre.

Retard : vous devez attendre le premier flanc montant d’une direction.

Avance : l’état actuel de la direction est utilisé.

Par défaut : Aucun

Plus de détails dans l’aide en ligne.

ZT_VARIABLE_DYN

ALCShortFaultVarTrg

Déclenchement

Disponible uniquement si un élément Type a été sélectionné.

Définit la variable du message de l’équipement de détection de court-circuit. Pour les équipements utilisant une détection de court-circuit directionnelle, la direction (Avancer ou Reculer) doit également être définie. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de variables.

Plus de détails dans l’aide en ligne.

More...

ALCShortFaultVarTrgEx

ALCShortFaultVarTrgEx

ZT_VARIABLE_DYN

ALCShortFaultVarDisp

Afficher

Disponible uniquement si un élément Type a été sélectionné.

Définit la variable de sortie de la détection d’erreur de manière à afficher l’état de l’équipement de détection de court-circuit. La variable liée ici doit être une variable locale afin d’éviter tout problème de fonctionnement du réseau. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de variables.

Plus de détails dans l’aide en ligne.

More...

ALCShortFaultVarDispEx

ALCShortFaultVarDispEx

ZT_VARIABLE_DYN

ALCShortFaultVarFwd

Avancer

Disponible uniquement si un élément Type a été sélectionné.
Définit la variable de détection de court-circuit en avant. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de variables.

Plus de détails dans l’aide en ligne.

More...

ALCShortFaultVarFwdEx

ALCShortFaultVarFwdEx

ZT_VARIABLE_DYN

ALCShortFaultVarRev

Reculer

Disponible uniquement si un élément Type a été sélectionné.
Définit la variable de détection de court-circuit en arrière. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de variables.

Plus de détails dans l’aide en ligne.

More...

ALCShortFaultVarRevEx

ALCShortFaultVarRevEx

ZT_COLOR

ALCShortFaultMarkerColor

Couleur du marqueur

Couleur du marqueur représentant l’emplacement d’un problème sur un synoptique de zenon pendant la localisation de défauts basée sur l’impédance.

Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection des couleurs.

La configuration de projet suivante doit être définie pour utiliser cette propriété :

  • Type de fonction : Commutation
  • Valeur de réactance de la protection : cette propriété doit être liée à une variable du type de données REAL.

Remarque : Disponible uniquement si la propriété de projet Localisation de défaut basée sur l'impédance est active.

Plus de détails dans l’aide en ligne.

ZT_VARIABLE_DYN

ALCVarProtReact

Valeur de réactance de la protection

More...

ALCVarProtReactEx

ALCVarProtReactEx

VT_I2

ALCMaxIType

Limite de la capacité de transport de courant

Commutation CAL : valeur limite de la capacité actuelle (sélection fixe/variable).

Plus de détails dans l’aide en ligne.

VT_R8

ALCMaxIVal

Limite fixe de la capacité de transport de courant [A]

Commutation CAL : Capacité de transport de courant définie par une valeur limite.

Plus de détails dans l’aide en ligne.

ZT_VARIABLE_DYN

ALCVarMaxI

Valeur limite dynamique pour la capacité de transport de courant

More...

ALCVarMaxIEx

ALCVarMaxIEx

ZT_VARIABLE_DYN

ALCVarCurI

Valeur mesurée du courant pour le flux actuel

More...

ALCVarCurIEx

ALCVarCurIEx

ZT_VARIABLE_DYN

ALCVarCalcI

Valeur de la mesure du flux de courant calculé

Ligne CAL : Valeur de la mesure du flux de courant calculé.

Plus de détails dans l’aide en ligne.

More...

ALCVarCalcIEx

ALCVarCalcIEx

ALC Leitung: Messwert des berechneten Stromflusses für Export.

Mehr in der Online-Hilfe.

ZT_VARIABLE_DYN

ALCVarCurP

Valeur mesurée de la puissance apparente actuelle

More...

ALCVarCurPEx

ALCVarCurPEx

VT_I2

ALCLoadType

Charge

VT_R8

ALCLoadVal

Charge fixe [A]

ZT_VARIABLE_DYN

ALCVarLoad

Variable Charge

More...

ALCVarLoadEx

ALCVarLoadEx

VT_UI2

Passwordlevel

Niveau d'autorisation

Le niveau du mot de passe d’écriture de valeurs prescrites ou d’exécution de fonctions avec l’élément dynamique sélectionné.
Minimum : 0.
Maximum : 127
Par défaut : 0.

Plus de détails dans l’aide en ligne.

VT_UI4

Locking

Verrouillage

Lien vers un verrouillage existant avec cet élément.

Si une condition dans une des formules du verrouillage est vraie, cet élément est verrouillé de manière à ce qu’aucun fonctionnement ne soit possible. Si cela a été défini dans les propriétés du projet, un symbole représentant un verrou est affiché aussi longtemps que le verrouillage est actif.

Remarque : Les verrouillages ne peuvent pas être utilisés pour des symboles dans la bibliothèque générale de symboles ou la bibliothèque de symboles du projet.

Plus de détails dans l’aide en ligne.

VT_BSTR

LockingName

LockingName

"With this property you have the opportunity to assign an interlocking via its name.
zElement.DynProperties(""LockingName"") = ""Interlocking 1"""

ZT_SHORTCUT

ShortCut

Raccourci-clavier

Les raccourcis autorisent l’exécution d’éléments actionnables. Par exemple :

- Exécution d’éléments de contrôle et de fonctions auxquelles un élément est attribué
- Écriture de valeurs prescrites (par ex. pour des interrupteurs)
- Configuration du focus pour certaines fenêtres (par ex. liste des courbes dans le module Extended Trend, ou liste déroulante dans le module RGM)

Cliquez sur le bouton du champ de saisie pour ouvrir la boîte de dialogue de définition des combinaisons de touches. Dans la boîte de dialogue, saisissez directement la combinaison souhaitée.

Plus de détails dans l’aide en ligne.

VT_BOOL

Switch

Commutateur

Disponible uniquement si la propriété Ecrire valeur prescrite est inactive.

Active : l’élément modifie la valeur d’une variable de bit.
Inactive : l’élément exécute une fonction.
Par défaut : Inactive

Plus de détails dans l’aide en ligne.

VT_BOOL

Scanner

Mode temporaire

Disponible uniquement si la propriété Commutateur est active. (Exception : toujours disponible dans l’élément dynamique Interrupteur.)
Active : l’état cible (défini dans la propriété Activation temporaire) est maintenu seulement tant que le bouton gauche de la souris est enfoncé et au moins pendant le temps défini par Durée de maintien [ms].
Inactive : l’état cible persiste après que le bouton de la souris ait été relâché.
Par défaut : inactive.

Plus de détails dans l’aide en ligne.

VT_BOOL

ScannerOn

Activation temporaire

Disponible uniquement si Mode temporaire est active.
Active : bascule les commutateurs sur ON.
Inactive : bascule les commutateurs sur OFF.
Par défaut : Inactive.

Plus de détails dans l’aide en ligne.

VT_BOOL

ResetOnLeave

Remise à 0 en quittant

Disponible uniquement si la propriété Mode temporaire est active.
Maintenez le bouton de la souris enfoncé et éloignez le pointeur de la souris du bouton pour réinitialiser automatiquement la valeur de la variable.

Plus de détails dans l’aide en ligne.

VT_BOOL

FastReaction

Réaction immédiate

Disponible uniquement si Commutateur est active.
Active : Le commutateur change immédiatement de position dans le Runtime, indépendamment de la définition du bit lié au niveau l’automate. Lors du prochain cycle de mise à jour du driver, le bit sera lu depuis l’automate. Après cela, la position du commutateur sera de nouveau conforme à la position correcte du bit dans l’automate.
Attention : Le commutateur sera uniquement actionnable lorsque la valeur aura été lue sur l’automate.

Inactive : Le commutateur changera uniquement de position après que le bit ait été transmis à l’automate, puis lu sur l’automate.

(Par défaut) Inactive :

Plus de détails dans l’aide en ligne.

VT_BOOL

StayPressed

Garder l'état appuyé

Disponible uniquement si les propriétés Commutateur, Mode temporaire et Réaction immédiate sont actives.

Active : Tant que l’utilisateur maintient le bouton de souris appuyé sur cet élément, son affichage graphique ne change pas, indépendamment des changements de valeurs possibles au niveau de l’automate. Au niveau de l’élément Interrupteur, le paramètre 3D doit être actif pour que cela se produise.
Inactive : l’élément affiche toujours la valeur de la variable provenant de l’automate.

Plus de détails dans l’aide en ligne.

VT_UI2

ReactionTime

Durée de maintien [ms]

Disponible uniquement si la propriété Commutateur est active. Si la propriété Mode temporaire est active : Durée (en ms) pendant laquelle un état est maintenu à partir du moment où le clic gauche a été effectué sur l’élément correspondant.

Si la propriété Mode temporaire n’est pas cochée : l’effet est retardé à compter du clic gauche.

Plus de détails dans l’aide en ligne.

VT_BOOL

IsSetValue

Ecrire valeur prescrite
  • Active : La configuration des valeurs prescrites pour cet élément dynamique est autorisée.
  • Inactive : L’élément est défini sur ReadOnly.

Indisponible pour l’élément Texte dynamique s’il a été défini sur read only dans le synoptique.

Plus de détails dans l’aide en ligne.

VT_BOOL

Preset

Proposer la valeur courante

Active : La valeur actuelle de la variable est proposée en tant que valeur prescrite.
Dans ce cas, la valeur est ajoutée sous "Valeur prescrite / Modification de valeur" avant la configuration de la valeur réelle (valeur positive) ou sa soustraction depuis celle-ci (valeur négative).
Inactive : La valeur définie dans la propriété "Valeur prescrite / Modification de valeur" est proposée.

Plus de détails dans l’aide en ligne.

VT_BOOL

HWDirect

Sans dialogue

Active : La valeur est transmise au matériel sans qu’il soit possible de la modifier dans Runtime.
Inactive : Il reste toutefois possible de modifier la valeur dans le Runtime avant son écriture sur le matériel.

Plus de détails dans l’aide en ligne.

VT_R8

SetValue

Valeur prescrite

Valeur devant être envoyée en tant que valeur prescrite ou valeur par défaut.
Si la propriété Proposer la valeur actuelle est active : Valeur ajoutée à la valeur actuelle.
Associée à la propriété "Sans boîte de dialogue", l’augmentation (valeur positive) ou la diminution (valeur négative) peut être mise en œuvre.

Plus de détails dans l’aide en ligne.

VT_UI1

SetValueWith

Écrire valeur prescrite par

Configuration de la définition de la valeur prescrite.
Sélection dans une liste déroulante :

  • Gestion de commande : La nouvelle valeur est définie à l’aide de la fonction Gestion de commandes. Le synoptique défini dans le groupe de commandes de la variable liée s’affiche aux fins de la saisie.
  • Boîte de dialogue standard : la nouvelle valeur est saisie à l’aide d’une boîte de dialogue standard. Si un synoptique de type "Clavier" avec le nom "SETVALUEKBD" (pour les valeurs numériques) ou "SETSTRINGKBD" (pour les variables de type STRING) existe, ce synoptique est utilisé à la place de la boîte de dialogue standard.
    Remarque : Si l’élément est lié à une fonction autorisant les entrées, la propriété est définie Utiliser le synoptique clavier automatiquement. Si un synoptique est lié dans la propriété Synoptique clavier, celui-ci est utilisé. Dans le cas contraire, un clavier SETSTRINGKBD est utilisé.
  • Élément : La valeur est saisie directement dans l’élément graphique (uniquement pour les éléments Valeur numérique et Texte).
  • Programme : La valeur est saisie dans un programme externe.

Plus de détails dans l’aide en ligne.

VT_BSTR

SetProgram

Programme externe

Disponible uniquement si un programme externe a été sélectionné pour la propriété Écrire valeur prescrite :
La valeur prescrite est écrite par un programme externe qui doit être sélectionné dans la boîte de dialogue affichée ici.

Ce programme est alors démarré et reçoit les paramètres suivants :
1) Nom de la variable liée
2) Valeur proposée, telle que définie dans les propriétés correspondantes
3) Coordonnée gauche de l’élément, en pixels
4) Coordonnée supérieure de l’élément, en pixels
5) Coordonnée droite de l’élément, en pixels
6) Coordonnée inférieure de l’élément, en pixels
7) Valeur minimum autorisée pour la valeur prescrite, telle qu’elle est définie dans les propriétés correspondantes
8) Valeur maximum autorisée pour la valeur prescrite, telle qu’elle est définie dans les propriétés correspondantes

Plus de détails dans l’aide en ligne.

VT_BOOL

KbdUsage

Synoptique clavier

Disponible uniquement si la propriété Synoptique clavier est active.

Nom du synoptique de clavier lié.
Si aucun synoptique de clavier n’est saisi, le clavier correspondant est appelé dans le Runtime :

  • Variable String (chaîne) : SETSTRINGKBD
  • Variable numérique : SETVALUEKBD
  • Variable binaire : SETBOOLKBD

Remarque : Pour l’option Champ de saisie, aucun clavier n’est appelé si l’option Synoptique clavier est activée. Un synoptique de clavier doit être lié.

Plus de détails dans l’aide en ligne.

ZT_PICTURE

KbdName

Synoptique clavier

Disponible uniquement si la propriété Synoptique clavier est active.

Nom du synoptique de clavier lié.
Si aucun synoptique de clavier n’est saisi, le clavier correspondant est appelé dans le Runtime :

  • Variable String (chaîne) : SETSTRINGKBD
  • Variable numérique : SETVALUEKBD
  • Variable binaire : SETBOOLKBD

Remarque : Pour l’option Champ de saisie, aucun clavier n’est appelé si l’option Synoptique clavier est activée. Un synoptique de clavier doit être lié.

Plus de détails dans l’aide en ligne.

VT_BOOL

LimitFromVar

Plages de la variable

Active : La limitation de la plage pour laquelle les valeurs prescrites peuvent être écrites n’est pas définie par l’intermédiaire des paramètres "Min" et "Max", mais est directement issue des définitions de variables (bouton "Étendue").
Inactive : La plage peut être directement limitée par les paramètres "Minimum" et "Maximum".

Plus de détails dans l’aide en ligne.

VT_R8

Min

Minimum

Limite inférieure de la plage de valeurs autorisées pour la valeur prescrite.
Disponible uniquement si la propriété Plages de la variable n’est pas active.

Attention : La valeur saisie ici sera ignorée si une variable est sélectionnée pour la valeur minimum de la valeur dynamique prescrite.

Plus de détails dans l’aide en ligne.

VT_R8

Max

Maximum

Limite supérieure de la plage de valeurs autorisées pour la valeur prescrite.
Disponible uniquement si la propriété Plages de la variable n’est pas active.

Attention : La valeur saisie ici sera ignorée si une variable est sélectionnée pour la valeur maximale de la valeur prescrite dynamique.

Plus de détails dans l’aide en ligne.

VT_BOOL

UnderCE

Visible sous WinCE

Contrôle la visibilité des éléments dans les synoptiques sous Windows CE. Les projets qui sont utilisés sous CE et sur le PC peuvent être créés de manière plus flexible ; la gestion par l’utilisateur est ainsi améliorée. Par exemple, les boutons renvoyant l’utilisateur vers des synoptiques ne pouvant pas être affichés sous CE (par ex. IPA) peuvent être rendus invisibles.

Active : dans synoptique/l’élément est également visible sous Windows CE.

Par défaut : active

Plus de détails dans l’aide en ligne.

ZT_VBAMAKRO

Init

Init

Macro VBA à exécuter lors de l’initialisation de l’élément.

Plus de détails dans l’aide en ligne.

ZT_VBAMAKRO

SetFocus

SetFocus

Macro VBA à exécuter lorsque le focus est placé sur l’élément.

Plus de détails dans l’aide en ligne.

ZT_VBAMAKRO

KillFocus

KillFocus

Macro VBA à exécuter lorsque le focus n’est plus placé sur l’élément.

Plus de détails dans l’aide en ligne.

ZT_VBAMAKRO

LeftClickDown

LeftClickDown

Macro VBA à exécuter lorsque l’utilisateur effectue un clic gauche sur l’élément.

Plus de détails dans l’aide en ligne.

ZT_VBAMAKRO

RightClickDown

RightClickDown

Macro VBA à exécuter lorsque l’utilisateur effectue un clic droit sur l’élément.

Plus de détails dans l’aide en ligne.

ZT_VBAMAKRO

LeftClickUp

LeftClickUp

Macro VBA à exécuter lorsque l’utilisateur relâche le bouton gauche de la souris sur l’élément.

Plus de détails dans l’aide en ligne.

ZT_VBAMAKRO

RightClickUp

RightClickUp

Macro VBA à exécuter lorsque l’utilisateur relâche le bouton droit de la souris sur l’élément.

Plus de détails dans l’aide en ligne.

ZT_VBAMAKRO

LeftDClick

LeftDoubleClick

Macro VBA à exécuter lorsque l’utilisateur effectue un double-clic gauche sur l’élément.

Plus de détails dans l’aide en ligne.

ZT_VBAMAKRO

RightDClick

RightDoubleClick

Macro VBA à exécuter lorsque l’utilisateur effectue un double-clic droit sur l’élément.

Plus de détails dans l’aide en ligne.

ZT_VBAMAKRO

MouseOver

MouseOver

Macro VBA à exécuter si le pointeur de la souris est positionné sur l’élément.

Plus de détails dans l’aide en ligne.

ZT_VBAMAKRO

DragDrop

DragDrop

Macro VBA à exécuter lorsque le bouton de la souris est relâché.

Plus de détails dans l’aide en ligne.

ZT_VBAMAKRO

DragOver

DragOver

Macro VBA à exécuter lorsque le curseur est déplacé au-dessus de l’élément pendant que le bouton gauche est enfoncé.

Plus de détails dans l’aide en ligne.

ZT_VBAMAKRO

DragBegin

DragBegin

Macro VBA à exécuter lorsque l’utilisateur commence à faire glisser l’objet.

Plus de détails dans l’aide en ligne.

VT_BSTR

Menu

Menu contextuel

Menu contextuel de l’élément.
Cliquer avec le bouton droit de la souris sur l’élément pour ouvrir le menu contextuel dans le Runtime.

Plus de détails dans l’aide en ligne.

VT_BSTR

Tooltip

Info bulle

Texte à afficher en tant qu’info-bulle de l’élément dans le Runtime. Une info-bulle est automatiquement affichée dans le Runtime si le pointeur de la souris reste pendant quelques secondes sur l’élément. Des retours à la ligne automatiques peuvent être insérés avec les caractères "\n".

  • Maximum : 79 caractères
    Attention : La combinaison de caractères \n est également comptée dans la limite de 79 caractères.

Plus de détails dans l’aide en ligne.

VT_BOOL

LassoSelect

sélectionnable avec le lasso

La sélection avec le lasso dans le Runtime permet d’identifier les éléments dynamiques et de les utiliser avec des événements VBA.

  • Active : L’élément peut être sélectionné avec le lasso dans le Runtime.
  • Inactive : L’élément ne peut pas être sélectionné dans Runtime.

Par défaut : active

Attention : Pour que l’élément puisse être sélectionné dans le Runtime, vous devez activer la propriété Sélection multiple en runtime (lasso) dans les paramètres du projet !

Remarque concernant la gestion des commandes : Si la propriété Opération à deux mains est activée, le lasso de la commande Exécuter le 2ème niveau ne doit pas être activé.

Plus de détails dans l’aide en ligne.

More...

GestureManipulationGroup

Manipulation

Propriétés pour la manipulation de synoptiques et d’éléments de synoptique dans le cadre d’une utilisation tactile.

Plus de détails dans l’aide en ligne.

VT_BOOL

Tab

Le focus est donné à l'élément

Active : L’élément dynamique peut être actionné à l’aide du clavier.
Inactive : L’élément dynamique n’est pas accessible à l’aide du clavier.
Par défaut : active.

Plus de détails dans l’aide en ligne.

VT_I4

TABOrderH

Position du focus gauche/droite

Définit la position horizontale pour l’utilisation à l’aide du clavier dans le Runtime. La position est définie par l’intermédiaire du menu contextuel et de l’utilisation de la souris dans la fenêtre principale ; elle ne peut pas être modifiée ici.

Plus de détails dans l’aide en ligne.

VT_I4

TABOrderV

Position focus haut / bas

Définit la position verticale pour l’utilisation à l’aide du clavier dans le Runtime. La position est définie par l’intermédiaire du menu contextuel et de l’utilisation de la souris dans la fenêtre principale ; elle ne peut pas être modifiée ici.

Plus de détails dans l’aide en ligne.

VT_BOOL

Signature

Signature nécéssaire

Active : Une signature est nécessaire pour actionner l’élément.

Pour des raisons de sécurité, l’utilisateur sera invité à saisir son mot de passe même s’il est déjà connecté. Le texte de la signature est enregistré dans la liste d’événements (CEL) après que l’élément ait été utilisé avec succès.

Attention : seuls les utilisateurs connectés peuvent signer une action. La signature d’actions avec un identifiant temporaire n’est plus possible.

Inactive : aucune signature n’est requise.

(Par défaut) Inactive :

Plus de détails dans l’aide en ligne.

VT_BSTR

SignatureText

Texte de signature

Ce texte est également consigné lors de la signature dans la liste d’événements (CEL) ou est proposé par défaut dans le Runtime si la signature est définie comme modifiable dans les propriétés du projet.

Plus de détails dans l’aide en ligne.

VT_I2

SignatureEditModus

Texte de signature éditable

Définit si le texte de signature peut être édité. Sélectionnez dans la liste déroulante :

  • Appliquer les paramètres projet : Les paramètres de la propriété de projet Texte de signature éditable sont applicables.
  • Oui : Texte modifiables
  • Non : Le texte ne peut pas être édité.

Par défaut : Appliquer les paramètres projet

Plus de détails dans l’aide en ligne

ZT_FILE

Helpfile

Fichier d'aide

Fichier d’aide (*.chm) devant être utilisé pour cet élément, conjointement à un menu contextuel. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de fichiers.
Attention : seuls les fichiers d’aide ayant été ajoutés dans le nœud Fichiers/Aide sont disponibles.

Plus de détails dans l’aide en ligne.

VT_BSTR

HelpCapture

Chapitre d'aide

Chapitre d’aide (*.chm) devant être utilisé pour cet élément, conjointement à un menu contextuel. Nom de la page HTML sous-jacente.
Attention : cette entrée tient compte des minuscules et majuscules.

Plus de détails dans l’aide en ligne.

ZT_VARIABLE_DYN

SetValueDynMin

Minimum

Variable dont la valeur actuelle est applicable en tant que limite inférieure de la valeur prescrite de l’élément.
Disponible uniquement si Plages de la variable est inactive :
Plus de détails dans l’aide en ligne.

ZT_VARIABLE_DYN

SetValueDynMax

Maximum

Variable dont la valeur actuelle est applicable en tant que limite supérieure de la valeur prescrite de l’élément.

Disponible uniquement si la propriété Plages de la variable est inactive.

Plus de détails dans l’aide en ligne.

VT_BOOL

GestureRecognitionActive

Reconnaissance de geste active

Active l’évaluation des gestes. Les gestes sont définis à l’aide d’autres propriétés.

Uniquement disponible si, dans le groupe Intéraction des propriétés du projet, la propriété Reconnaissance Windows 8 a été définie.

Plus de détails dans l’aide en ligne.

VT_BOOL

Gestures_Manipulation

Exact

Active : Détection du paramètre Exact défini.

Plus de détails dans l’aide en ligne.

VT_BOOL

Gestures_Exact

Exact

Active : Détection du paramètre Exact défini.

Plus de détails dans l’aide en ligne.

VT_BOOL

Gestures_TranslationX

Translation X

Active : Détection du paramètre Translation X défini.

Plus de détails dans l’aide en ligne.

VT_BOOL

Gestures_TranslationY

Translation Y

Active : Détection du paramètre Translation Y défini.

Plus de détails dans l’aide en ligne.

VT_BOOL

Gestures_RailsX

Rails X

Active : Détection du paramètre Rails X défini.

Plus de détails dans l’aide en ligne.

VT_BOOL

Gestures_RailsY

Rails Y

Active : Détection du paramètre Rails Y défini.

Plus de détails dans l’aide en ligne.

VT_BOOL

Gestures_TranslationInertia

Translation inertia

Active : Détection du paramètre Translation Inertia (Inertie de translation) défini.

Plus de détails dans l’aide en ligne.

VT_BOOL

Gestures_Rotation

Inertie de rotation

Active : Détection du paramètre Rotation Inertia (Inertie de rotation) défini.

Plus de détails dans l’aide en ligne.

VT_BOOL

Gestures_RotationInertia

Inertie de rotation

Active : Détection du paramètre Rotation Inertia (Inertie de rotation) défini.

Plus de détails dans l’aide en ligne.

VT_BOOL

Gestures_Scaling

Scaling inertia

Active : Détection du paramètre Scaling Inertia (Inertie de redimensionnement) défini.

Plus de détails dans l’aide en ligne.

VT_BOOL

Gestures_ScalingInertia

Scaling inertia

Active : Détection du paramètre Scaling Inertia (Inertie de redimensionnement) défini.

Plus de détails dans l’aide en ligne.

VT_BOOL

Gestures_CrossSlide

Cross slide exact

Active : Détection du paramètre Cross Slide Exact (Glissement transversal exact) défini.

Plus de détails dans l’aide en ligne.

VT_BOOL

Gestures_CrossSlideHorizontal

Cross slide horizontal

Active : Détection du paramètre Cross Slide Horizontal (Glissement transversal horizontal) défini.

Plus de détails dans l’aide en ligne.

VT_BOOL

Gestures_CrossSlideSelect

Cross slide select

Active : Détection du paramètre Cross Slide Select (Glissement transversal, sélection) défini.

Plus de détails dans l’aide en ligne.

VT_BOOL

Gestures_CrossSlideSpeedBump

Cross slide speed bump

Active : Détection du paramètre Cross Slide Speed Bump (Glissement transversal, ralentisseur) défini.

Plus de détails dans l’aide en ligne.

VT_BOOL

Gestures_CrossSlideRearrange

Cross slide rearrange

Active : Détection du paramètre Cross Slide Rearrange (Glissement transversal, réorganisation) défini.

Plus de détails dans l’aide en ligne.

VT_BOOL

Gestures_CrossSlideExact

Cross slide exact

Active : Détection du paramètre Cross Slide Exact (Glissement transversal exact) défini.

Plus de détails dans l’aide en ligne.

VT_BOOL

Gestures_Tap

Tap double

Active : Détection du paramètre Tap Double (Double appui) défini.

Plus de détails dans l’aide en ligne.

VT_BOOL

Gestures_TapDouble

Tap double

Active : Détection du paramètre Tap Double (Double appui) défini.

Plus de détails dans l’aide en ligne.

VT_BOOL

Gestures_SecondaryTap

Secondary tap

Active : Détection du paramètre Secondary Tap (Appui secondaire) défini.

Plus de détails dans l’aide en ligne.

VT_BOOL

Gestures_Drag

Drag

Active : Détection du paramètre Drag (Glissement) défini.

Plus de détails dans l’aide en ligne.

VT_BOOL

Gestures_Hold

Hold (Mouse)

Active : Détection du paramètre Hold (Mouse) (Maintien [souris]) défini.

Plus de détails dans l’aide en ligne.

ZT_STYLE

StyleGroup

Groupe de styles

Affichage et sélection du groupe de styles attribué à l’élément.
Cliquez sur le bouton ... pour ouvrir la boîte de dialogue permettant de sélectionner un groupe de styles.
Si plusieurs éléments sont sélectionnés, elles peuvent être attribuées à un groupe de styles commun.

Remarque : Seules les propriétés compatibles avec l’élément correspondant sont prises en charge.

Plus de détails dans l’aide en ligne.

More...

LnClVariable

LnClVariable

"With this property you have the opportunity to get informations about the variable which is linked as ""line/text color"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""LnClVariable.SymVarName"") 'Return the name of the ""line/text color"" variable
zElement.DynProperties (""LnClVariable.SymVarTagNr"") 'Return the identification of the ""line/text color"" variable"

More...

BkClVariable

BkClVariable

"With this property you have the opportunity to get informations about the variable which is linked as ""background/filling color"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""BkClVariable.SymVarName"") 'Return the name of the ""background/filling color"" variable
zElement.DynProperties (""BkClVariable.SymVarTagNr"") 'Return the identification of the ""background/filling color"" variable"

More...

BkCl2Variable

"BkCl2Variable"

More...

XVar

XVar

"With this property you have the opportunity to get informations about the variable which is linked as ""dynamic x position"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""XVar.SymVarName"") 'Return the name of the ""dynamic x position"" variable
zElement.DynProperties (""XVar.SymVarTagNr"") 'Return the identification of the ""dynamic x position"" variable"

More...

YVar

YVar

"With this property you have the opportunity to get informations about the variable which is linked as ""dynamic y position"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""YVar.SymVarName"") 'Return the name of the ""dynamic y position"" variable
zElement.DynProperties (""YVar.SymVarTagNr"") 'Return the identification of the ""dynamic y position"" variable"

More...

XVarZoom

XVarZoom

"With this property you have the opportunity to get informations about the variable which is linked as ""change width"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""XVarZoom.SymVarName"") 'Return the name of the ""change width"" variable
zElement.DynProperties (""XVarZoom.SymVarTagNr"") 'Return the identification of the ""change width"" variable"

More...

YVarZoom

YVarZoom

"With this property you have the opportunity to get informations about the variable which is linked as ""change height"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""YVarZoom.SymVarName"") 'Return the name of the ""change height"" variable
zElement.DynProperties (""YVarZoom.SymVarName"") 'Return the name of the ""change height"" variable
zElement.DynProperties (""YVarZoom.SymVarTagNr"") 'Return the identification of the ""change height"" variable"

More...

TwistVar

TwistVar

"With this property you have the opportunity to get informations about the variable which is linked as ""rotate"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""TwistVar.SymVarName"") 'Return the name of the ""rotate"" variable
zElement.DynProperties (""TwistVar.SymVarTagNr"") 'Return the identification of the ""rotate"" variable"

More...

VisVariable

VisVariable

"With this property you have the opportunity to get informations about the variable which is linked as ""visibility"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""VisVariable.SymVarName"") 'Return the name of the ""visibility"" variable
zElement.DynProperties (""VisVariable.SymVarTagNr"") 'Return the identification of the ""visibility"" variable"

More...

BlinkVar

BlinkVar

More...

GlowEffectGlowColorVar

GlowEffectGlowColorVar

More...

GlowEffectVisibilityVar

GlowEffectVisibilityVar

More...

GlowEffectBlinkVar

GlowEffectBlinkVar

VT_BSTR

Name

Nom d'élément

Attribuez un nom d’élément.
Il ne doit pas être vide.

Attention : Cette propriété n’est pas disponible aux fins de la commutation de langue.

Remarques concernant les cadrans : Pour les conteneurs de synoptique, spécifiez des noms clairement identifiables pour faciliter la sélection lors de la configuration des appels de synoptique.

Plus de détails dans l’aide en ligne.

VT_UI1

Layer

Niveau de visibilité

Sélectionnez l’un des 16 niveaux de visibilité (0 à 15) dans la liste déroulante. À l’aide de la barre d’outils Niveau de visibilité, vous décidez des niveaux qui doivent être affichés dans Editor. Cette fonction garantit que les synoptiques les plus complexes peuvent être développés de manière simple. Les niveaux peuvent être utilisés immédiatement. Les niveaux n’ont aucune influence sur les informations affichées au premier plan ou en arrière-plan dans le Runtime.
Par défaut : 0.

Plus de détails dans l’aide en ligne.

VT_I4

StartX

Point de départ X [pixels]

Coordonnée Y du coin supérieur gauche du synoptique (en pixels).

Plus de détails dans l’aide en ligne.

VT_I4

EndX

Point final X [pixels]

Coordonnée X du coin inférieur droit du synoptique (en pixels).

Plus de détails dans l’aide en ligne.

VT_I4

StartY

Point de départ Y [pixels]

Coordonnée Y du coin supérieur gauche du synoptique (en pixels).

Plus de détails dans l’aide en ligne.

VT_I4

EndY

Point final Y [pixels]

Coordonnée Y du coin inférieur droit du synoptique (en pixels).

Plus de détails dans l’aide en ligne.

VT_I4

Width

Largeur [pixels]

Largeur des éléments en pixels.

Remarque : disponible uniquement pour les éléments Combinaison multiple, Élément combiné, Bouton et Interrupteur si la valeur Ajusté a été sélectionnée pour la propriété Taille du graphique.

Plus de détails dans l’aide en ligne.

VT_I4

Height

Hauteur [pixels]

Hauteur des éléments en pixels.

Remarque : disponible uniquement pour les éléments Combinaison multiple, Élément combiné, Bouton et Interrupteur si la valeur Ajusté a été sélectionnée pour la propriété Taille du graphique.

Plus de détails dans l’aide en ligne.

VT_I4

Angle

Angle de rotation [°]

Angle libre autour selon lequel doit pivoter l’élément.
Les valeurs positives correspondent à une rotation dans le sens antihoraire, tandis que les valeurs négatives correspondent à une rotation dans le sens horaire. Les valeurs supérieures à 360° sont affichées sous forme d’écart par rapport à 360° (400° correspond à 40°). Seuls les nombres entiers sont autorisés.

Sur les éléments pivotés, les actions suivantes ne sont plus possibles :

  • Miroir
  • Rotation de +/- 90°
  • Redimensionnement à l’aide des touches fléchées

Par défaut : 0

Remarque : Ce paramètre est activé et réinitialisé lors de la configuration pour Windows CE.

Plus de détails dans l’aide en ligne.

VT_I2

ZoomMin

Visible de

Incrément de zoom le plus bas auquel l’élément est visible dans la vue globale.
Par défaut : -1
Une valeur de visibilité avec des incréments de zoom de -1 à -1 signifie que l’élément est affiché, quel que soit l’incrément de zoom sélectionné.

Les niveaux de zoom affichés dans la vue globale peuvent être configurés avec la propriété Apparence graphique -> Généralités runtime -> Pas de zoom pour vue globale.

Attention : Ce niveau de zoom s’applique à tous les types de synoptiques et cadres. Si un niveau de zoom défini est supérieur à 0, l’élément est uniquement affiché dans la vue globale, car les autres types de synoptique sont automatiquement appelés avec le niveau de zoom 0.

Plus de détails dans l’aide en ligne.

VT_I2

ZoomMax

Visible jusqu'à

Incrément de zoom le plus élevé auquel l’élément est visible dans la vue globale.

Par défaut : -1
Une valeur de visibilité avec des incréments de zoom de -1 à -1 signifie que l’élément est affiché, quel que soit l’incrément de zoom sélectionné.

Les niveaux de zoom affichés dans la vue globale peuvent être configurés avec la propriété Apparence graphique -> Généralités runtime -> Pas de zoom pour vue globale.

Attention : Ce niveau de zoom s’applique à tous les types de synoptiques et cadres. Si un niveau de zoom défini est supérieur à 0, l’élément est uniquement affiché dans la vue globale, car les autres types de synoptique sont automatiquement appelés avec le niveau de zoom 0.

Plus de détails dans l’aide en ligne.

VT_BSTR

Stationname

Nom liste d'objets

L’élément est saisi directement dans la liste de stations du synoptique Vue globale, et le texte est saisi ici.

Plus de détails dans l’aide en ligne.

ZT_VARIABLE_DYN

BackColorVariable

Couleur de remplissage

Nom de la variable dont les couleurs de valeur limite doivent influencer la couleur d’arrière-plan/de remplissage de l’élément.
Ouvre la boîte de dialogue de sélection de variables.

Plus de détails dans l’aide en ligne.

ZT_PREVIEW

BackColorVarPreview

Affichage aperçu couleur

Affichage de la valeur limite pour la propriété Couleur de remplissage définie pour la variable. Disponible uniquement si l’option Depuis la variable a été configurée pour la propriété Couleur de remplissage.

Un aperçu des propriétés définies pour la valeur limite est affiché dans le champ. Aucun aperçu n’est affiché pour les matrices de réaction.
Cliquez sur le bouton ... pour ouvrir la boîte de dialogue d’affichage des résultats. Les valeurs limite sont uniquement affichées ; elles ne peuvent pas être modifiées. Les modifications doivent être effectuées directement dans les propriétés de la variable pour Valeurs limite.

Plus de détails dans l’aide en ligne.

VT_UI1

HorizontalOrigin

Horizontal

Point de référence horizontal de l’événement. Les valeurs possibles sont : gauche, centré, droite.
Ce point est utilisé en tant que base de calcul de l’angle de départ de la rotation (statique et dynamique) et pour le changement dynamique de taille.

Par défaut : À gauche

Plus de détails dans l’aide en ligne.

VT_UI1

VerticalOrigin

Vertical

Point de référence vertical de l’événement. Les valeurs possibles sont : haut, centré, bas.
Ce point est utilisé en tant que base de calcul de l’angle de départ de la rotation (statique et dynamique) et pour le changement dynamique de taille.

Par défaut : En haut

Plus de détails dans l’aide en ligne.

VT_UI4

VisibilityType

Visibilité

Sélection depuis laquelle la visibilité d’un élément est déterminée :

  • Depuis une variable
  • Du verrrouillage

Par défaut : Depuis une variable

Plus de détails dans l’aide en ligne.

ZT_VARIABLE_DYN

VisibilityVariable

Variable

Disponible uniquement si l’option Depuis la variable a été configurée pour la propriété Visibilité.

Nom de la variable dont la valeur contrôle la visibilité de l’élément. La visibilité est soit reprise des propriétés de valeur limite de ces variables, soit définie par la plage de valeurs définie dans les propriétés de et À.
Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de variables. Vous pouvez également saisir manuellement le nom dans le champ de texte.
L'élément reste visible tant qu’aucune variable n’est liée.

Plus de détails dans l’aide en ligne.

ZT_PREVIEW

VisVarPreview

Affichage aperçu visibilité

Affichage des valeurs limite pour la visibilité définies pour la variable. Disponible uniquement si l’option Depuis la variable a été configurée pour la propriété Variable dans le groupe Visibilité.

Un aperçu des propriétés définies pour la valeur limite est affiché dans le champ. Aucun aperçu n’est affiché pour les matrices de réaction.
Cliquez sur le bouton ... pour ouvrir la boîte de dialogue d’affichage des résultats. Les valeurs limite sont uniquement affichées ; elles ne peuvent pas être modifiées. Les modifications doivent être effectuées directement dans les propriétés de la variable pour Valeurs limite.

Plus de détails dans l’aide en ligne.

VT_BOOL

VisibilityFromLimit

A partir des valeurs limites

Uniquement disponible après la sélection d’une variable :

  • Active : La visibilité de l’élément est influencée par la propriété de valeur limite de la variable.

    Attention : La propriété Invisible doit être active pour au moins une valeur limite de la variable.

  • Inactive : la visibilité est influencée par les propriétés de l’élément.

Par défaut : active

Plus de détails dans l’aide en ligne.

VT_R8

VisibilityFrom

de

Disponible uniquement après la sélection d’une variable, si la visibilité n’a pas été reprise par la valeur limite :

Valeur minimum de la variable à laquelle l’élément est visible.

  • Minimum : valeur minimum possible de la variable liée.
  • Maximum : valeur maximum possible de la variable liée.

Par défaut : valeur minimum possible de la variable liée.

Plus de détails dans l’aide en ligne.

VT_R8

VisibilityTo

À

Disponible uniquement après la sélection d’une variable, si la visibilité n’a pas été reprise par la valeur limite :

Valeur maximale de la variable à laquelle l’élément est visible.

  • Minimum : valeur minimum possible de la variable liée.
  • Maximum : valeur maximum possible de la variable liée.

Par défaut : valeur maximum possible de la variable liée.

Plus de détails dans l’aide en ligne.

VT_UI4

Interlocking

Verrouillage

Disponible uniquement si l’option Depuis le verrouillage est sélectionnée pour la propriété Visibilité.

Nom du verrouillage dont la valeur contrôle la visibilité de l’élément. Sélectionnez dans la liste déroulante. Celle-ci contient tous les verrouillages existants et utilisables. L’élément est toujours visible si aucun verrouillage n’est lié.

Plus de détails dans l’aide en ligne.

VT_BSTR

InterlockingName

InterlockingName

Description

VT_BOOL

VisibleWhenInterlocked

Visible si verrouillé

Contrôle la visibilité de l’élément lorsque le verrouillage est sélectionné :

  • Active : L’élément est visible s’il est verrouillé.
  • Inactive : L’élément est visible s’il n’est pas verrouillé.

Par défaut : inactive

Plus de détails dans l’aide en ligne.

ZT_VARIABLE_DYN

XVariable

Variable

Nom de la variable utilisée pour le déplacement horizontal de l’élément.
Ouvre la boîte de dialogue de sélection de variables.

Plus de détails dans l’aide en ligne.

VT_R8

XVarMin

Valeur min de la variable

Valeur minimale de la variable utilisée pour le déplacement horizontal de l’élément.

Plus de détails dans l’aide en ligne.

VT_R8

XVarMax

Valeur max de la variable

Valeur maximale de la variable utilisée pour le déplacement horizontal de l’élément.

Plus de détails dans l’aide en ligne.

VT_I4

XViewMin

Mouvement min [pixels]

Position horizontale de l’élément pour la valeur minimale de la variable (en pixels).

Plus de détails dans l’aide en ligne.

VT_I4

XViewMax

Mouvement max [pixels]

Position horizontale de l’élément pour la valeur minimale de la variable (en pixels).

Plus de détails dans l’aide en ligne.

ZT_VARIABLE_DYN

YVariable

Variable

Nom de la variable utilisée pour le déplacement vertical de l’élément.
Ouvre la boîte de dialogue de sélection de variables.

Plus de détails dans l’aide en ligne.

VT_R8

YVarMin

Valeur min de la variable

Valeur minimale de la variable utilisée pour le déplacement vertical de l’élément.

Plus de détails dans l’aide en ligne.

VT_R8

YVarMax

Valeur max de la variable

Valeur maximale de la variable utilisée pour le déplacement vertical de l’élément.

Plus de détails dans l’aide en ligne.

VT_I4

YViewMin

Mouvement min [pixels]

Position verticale de l’élément pour la valeur minimale de la variable (en pixels).

Plus de détails dans l’aide en ligne.

VT_I4

YViewMax

Mouvement max [pixels]

Position verticale de l’élément pour la valeur maximale de la variable (en pixels).

Plus de détails dans l’aide en ligne.

ZT_VARIABLE_DYN

XZoomVariable

Variable

Nom de la variable utilisée pour l’agrandissement de la largeur de l’élément.
Ouvre la boîte de dialogue de sélection de variables.

Plus de détails dans l’aide en ligne.

VT_R8

XZoomVarMin

Valeur min de la variable

Valeur minimale de la variable utilisée pour effectuer un zoom à la largeur de l’élément.

Plus de détails dans l’aide en ligne.

VT_R8

XZoomVarMax

Valeur max de la variable

Valeur maximale de la variable utilisée pour effectuer un zoom sur la largeur de l’élément.

Plus de détails dans l’aide en ligne.

VT_I4

XZoomViewMin

Largeur min [%]

Facteur de zoom correspondant à la largeur de l’élément pour la valeur minimale de la variable (en pixels).

Plus de détails dans l’aide en ligne.

VT_I4

XZoomViewMax

Largeur max [%]

Facteur de zoom correspondant à la largeur de l’élément pour la valeur maximale de la variable (en pixels).

Plus de détails dans l’aide en ligne.

ZT_VARIABLE_DYN

YZoomVariable

Variable

Nom de la variable utilisée pour l’agrandissement de la hauteur de l’élément.
Ouvre la boîte de dialogue de sélection de variables.

Plus de détails dans l’aide en ligne.

VT_R8

YZoomVarMin

Valeur min de la variable

Valeur minimum de la variable utilisée pour effectuer un zoom sur la hauteur de l’élément.

Plus de détails dans l’aide en ligne.

VT_R8

YZoomVarMax

Valeur max de la variable

Valeur maximum de la variable utilisée pour effectuer un zoom sur la hauteur de l’élément.

Plus de détails dans l’aide en ligne.

VT_I4

YZoomViewMin

Hauteur min [%]

Facteur de zoom correspondant à la hauteur de l’élément pour la valeur minimum de la variable (en %).

Plus de détails dans l’aide en ligne.

VT_I4

YZoomViewMax

Hauteur max [%]

Facteur de zoom correspondant à la hauteur de l’élément pour la valeur maximale de la variable (en pixels).

Plus de détails dans l’aide en ligne.

ZT_VARIABLE_DYN

TwistVariable

Variable

Nom de la variable utilisée pour la rotation de l’élément.

Plus de détails dans l’aide en ligne.

VT_R8

TwistVarMin

Valeur min de la variable

Valeur minimum de la variable utilisée pour la rotation de l’élément.

Plus de détails dans l’aide en ligne.

VT_R8

TwistVarMax

Valeur max de la variable

Valeur maximale de la variable utilisée pour la rotation de l’élément.

Plus de détails dans l’aide en ligne.

VT_I4

TwistViewMin

Rotation min [°]

Angle de rotation de l’élément pour la valeur minimum de la variable (en °).

Plus de détails dans l’aide en ligne.

VT_I4

TwistViewMax

Rotation max [°]

Angle de rotation de l’élément pour la valeur maximum de la variable (en °).

Plus de détails dans l’aide en ligne.

ZT_STYLE

ShadowEffectStyle

Style effet cadres/ombres

Affichage et sélection du style de cadre et d’ombre attribué à l’élément.

Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de style.
Si plusieurs éléments ont été sélectionnés, ils peuvent être attribués à un style commun.

Remarque : Seules les propriétés compatibles avec l’élément correspondant sont prises en charge.

Plus de détails dans l’aide en ligne.

VT_BOOL

EnablePunchFrame

Afficher le cadre

A frame around the element can be displayed.
Default: inactive.

ZT_STYLE

GlowEffectStyle

Style effet de rayonnement

Affichage et sélection du style des effets de luminescence attribués à l’élément.

Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de style.
Si plusieurs éléments ont été sélectionnés, ils peuvent être attribués à un style commun.

Remarque : Seules les propriétés compatibles avec l’élément correspondant sont prises en charge.

Plus de détails dans l’aide en ligne.

VT_BOOL

GlowEffectEvent

Actif seulement si cliqué

Disponible uniquement si la propriété Activer est active et l’élément est un bouton.

Active : l’effet de luminescence est uniquement affiché lorsque l’utilisateur clique sur le bouton. Cliquer sur le bouton permet de modifier la couleur, le clignotement ou l’invisibilité de l’effet de luminescence.

Par défaut : Inactive

Plus de détails dans l’aide en ligne.

ZT_VARIABLE_DYN

GlowEffectGlowColorVariable

Variable pour la couleur

Disponible uniquement si la propriété Activer est active. La propriété Coloration doit être activée.

Nom de la variable dont la couleur aux valeurs limites doit influencer la couleur de l’effet de luminescence pour l’élément. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de variables. Vous pouvez également saisir le nom manuellement dans le champ de texte. Si aucune variable n’est liée, la couleur définie dans la propriété Couleur est utilisée.

Par défaut : aucune variable liée

Plus de détails dans l’aide en ligne.

ZT_PREVIEW

GlowEffectGlowColorVariablePreview

Affichage aperçu couleur

Affichage de la valeur limite définie pour la variable de couleur lorsque l’effet de luminescence est actif. Disponible uniquement si l’option Depuis la variable a été configurée pour la propriété Variable pour la couleur.

Un aperçu des propriétés définies pour la valeur limite est affiché dans le champ. Aucun aperçu n’est affiché pour les matrices de réaction.
Cliquez sur le bouton ... pour ouvrir la boîte de dialogue d’affichage des résultats. Les valeurs limite sont uniquement affichées ; elles ne peuvent pas être modifiées. Les modifications doivent être effectuées directement dans les propriétés de la variable pour Valeurs limite.

Plus de détails dans l’aide en ligne.

ZT_VARIABLE_DYN

GlowEffectVisibilityVariable

Variable pour la visibilité

Disponible uniquement si la propriété Activer est active.

Nom de la variable dont la valeur influence la visibilité de l’effet de luminescence. La visibilité est soit reprise des propriétés de valeur limite de cette variable (propriété Visibilité depuis valeur limite active), soit définie par la plage de valeurs définie dans les propriétés Visible de et Visible jusqu'à. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de variables. Vous pouvez également saisir le nom manuellement dans le champ de texte.

Remarque : si aucune variable n’est liée, l’effet de luminescence est toujours visible.

Par défaut : aucune variable liée

Plus de détails dans l’aide en ligne.

ZT_PREVIEW

GlowEffectVisibilityVariablePreview

Affichage aperçu visibilité

Affichage de la valeur limite définie pour la variable de visibilité lorsque l’effet de luminescence est actif. Disponible uniquement si l’option Depuis la variable a été configurée pour la propriété Variable pour la visibilité.

Un aperçu des propriétés définies pour la valeur limite est affiché dans le champ. Aucun aperçu n’est affiché pour les matrices de réaction.
Cliquez sur le bouton ... pour ouvrir la boîte de dialogue d’affichage des résultats. Les valeurs limite sont uniquement affichées ; elles ne peuvent pas être modifiées. Les modifications doivent être effectuées directement dans les propriétés de la variable pour Valeurs limite.

Plus de détails dans l’aide en ligne.

VT_BOOL

GlowEffectVisibilityFromLimit

Visibilité depuis valeur limite

Disponible uniquement si la propriété Activer est active. Vous devez en outre définir une variable dans la propriété Variable pour la visibilité.

Active : La visibilité de l’effet de luminescence est influencée par la propriété de valeur limite de la variable.

Attention : Pour une valeur limite de la variable au moins, la propriété Invisible doit être active.

Inactive : la visibilité est influencée par les propriétés de l’élément.

Plus de détails dans l’aide en ligne.

VT_R8

GlowEffectVisibilityFrom

Visible de

Disponible uniquement si la propriété Activer est active. Vous devez en outre définir une variable dans la propriété Variable pour la visibilité ; la propriété Visibilité depuis valeur limite doit être inactive.

Définit la valeur à partir de laquelle l’effet de luminescence devient visible.
Minimum : valeur la moins élevée autorisée pour la variable liée dans Variable pour la visibilité.
Maximum : valeur la moins élevée autorisée pour la variable liée dans Variable pour la visibilité.
Par défaut : valeur la plus élevée autorisée pour la variable liée dans Variable pour la visibilité.

Plus de détails dans l’aide en ligne.

VT_R8

GlowEffectVisibilityTo

Visible jusqu'à

Disponible uniquement si la propriété Activer est active. Vous devez en outre définir une variable dans la propriété Variable pour la visibilité ; la propriété Visibilité depuis valeur limite doit être inactive.

Définit la valeur jusqu’à laquelle l’effet de luminescence reste visible.
Minimum : valeur la plus basse autorisée pour la variable liée dans Variable pour la visibilité.
Maximum : valeur la plus élevée autorisée pour la variable liée dans Variable pour la visibilité.
Par défaut : valeur la plus élevée autorisée pour la variable liée dans Variable pour la visibilité.

Plus de détails dans l’aide en ligne.

ZT_VARIABLE_DYN

GlowEffectBlinkVariable

Variable pour le clignotement

Variables dont les paramètres de clignotement de l’effet de luminescence aux valeurs limites doivent être repris. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de variables.

Par défaut : aucune variable liée

Plus de détails dans l’aide en ligne.

ZT_PREVIEW

GlowEffectBlinkVariablePreview

Affichage aperçu clignotement

Affichage de la valeur limite définie pour la variable de clignotement lorsque l’effet de luminescence est actif. Disponible uniquement si l’option Depuis la variable a été configurée pour la propriété Variable pour le clignotement.

Un aperçu des propriétés définies pour la valeur limite est affiché dans le champ. Aucun aperçu n’est affiché pour les matrices de réaction.
Cliquez sur le bouton ... pour ouvrir la boîte de dialogue d’affichage des résultats. Les valeurs limite sont uniquement affichées ; elles ne peuvent pas être modifiées. Les modifications doivent être effectuées directement dans les propriétés de la variable pour Valeurs limite.

Plus de détails dans l’aide en ligne.

VT_BOOL

GlowEffectUseBlinkColor

Clignotement depuis valeur limite

Disponible uniquement si la propriété Activer est active. Vous devez en outre définir une variable dans la propriété Variable pour le clignotement.

Active : Reprend, pour l’effet de luminescence, la couleur de clignotement de la valeur limite active pour la variable définie dans la propriété Couleur de clignotement par la limite. Cette propriété agit indépendamment de la propriété Coloration. En cas de clignotement, l’effet de luminescence ne devient pas invisible, mais reprend les paramètres de l’effet de luminescence actif.

Par défaut : Inactive

Plus de détails dans l’aide en ligne.

VT_BOOL

GlowEffect2ndBlinkStateVisible

2 états de clignotement invisibles

Disponible uniquement si la propriété Activer est active. Vous devez en outre définir une variable dans la propriété Variable pour le clignotement ; la propriété Clignotement depuis valeur limite doit être inactive.

Active : En cas de clignotement, l’effet de luminescence ne bascule pas vers l’effet de luminescence actif, mais devient invisible. Ceci permet de basculer entre l’invisibilité et la couleur de clignotement en cas de dépassement de la valeur limite.

Par défaut : Inactive

Plus de détails dans l’aide en ligne.


CSymbLibProp

Manuel -> Interfaces de programmation -> Modèles d'objet -> Element -> Element-Dynamic properties -> CSymbLibProp

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Type

VBA/VSTA Name

Display Name

Description


Symbol

Manuel -> Interfaces de programmation -> Modèles d'objet -> Element -> Element-Dynamic properties -> Symbol

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Type

VBA/VSTA Name

Display Name

Description

More...

ExpProps

ExpProps

VT_UI2

PropSymbolNumber

Numéro symbole

Numéro unique du symbole ou du groupe d’éléments.

Plus de détails dans l’aide en ligne.

VT_BSTR

Category

Catégorie

Concept de répartition par catégorie. Vous pouvez également filtrer ou regrouper les informations en fonction de cette propriété.

Plus de détails dans l’aide en ligne.

VT_BSTR

Description

Description

Description détaillée du symbole ou du groupe d’éléments. Vous pouvez également filtrer les informations en fonction de cette propriété.

Plus de détails dans l’aide en ligne.

More...

LnClVariable

LnClVariable

"With this property you have the opportunity to get informations about the variable which is linked as ""line/text color"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""LnClVariable.SymVarName"") 'Return the name of the ""line/text color"" variable
zElement.DynProperties (""LnClVariable.SymVarTagNr"") 'Return the identification of the ""line/text color"" variable"

More...

BkClVariable

BkClVariable

"With this property you have the opportunity to get informations about the variable which is linked as ""background/filling color"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""BkClVariable.SymVarName"") 'Return the name of the ""background/filling color"" variable
zElement.DynProperties (""BkClVariable.SymVarTagNr"") 'Return the identification of the ""background/filling color"" variable"

More...

BkCl2Variable

"BkCl2Variable"

More...

XVar

XVar

"With this property you have the opportunity to get informations about the variable which is linked as ""dynamic x position"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""XVar.SymVarName"") 'Return the name of the ""dynamic x position"" variable
zElement.DynProperties (""XVar.SymVarTagNr"") 'Return the identification of the ""dynamic x position"" variable"

More...

YVar

YVar

"With this property you have the opportunity to get informations about the variable which is linked as ""dynamic y position"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""YVar.SymVarName"") 'Return the name of the ""dynamic y position"" variable
zElement.DynProperties (""YVar.SymVarTagNr"") 'Return the identification of the ""dynamic y position"" variable"

More...

XVarZoom

XVarZoom

"With this property you have the opportunity to get informations about the variable which is linked as ""change width"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""XVarZoom.SymVarName"") 'Return the name of the ""change width"" variable
zElement.DynProperties (""XVarZoom.SymVarTagNr"") 'Return the identification of the ""change width"" variable"

More...

YVarZoom

YVarZoom

"With this property you have the opportunity to get informations about the variable which is linked as ""change height"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""YVarZoom.SymVarName"") 'Return the name of the ""change height"" variable
zElement.DynProperties (""YVarZoom.SymVarName"") 'Return the name of the ""change height"" variable
zElement.DynProperties (""YVarZoom.SymVarTagNr"") 'Return the identification of the ""change height"" variable"

More...

TwistVar

TwistVar

"With this property you have the opportunity to get informations about the variable which is linked as ""rotate"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""TwistVar.SymVarName"") 'Return the name of the ""rotate"" variable
zElement.DynProperties (""TwistVar.SymVarTagNr"") 'Return the identification of the ""rotate"" variable"

More...

VisVariable

VisVariable

"With this property you have the opportunity to get informations about the variable which is linked as ""visibility"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""VisVariable.SymVarName"") 'Return the name of the ""visibility"" variable
zElement.DynProperties (""VisVariable.SymVarTagNr"") 'Return the identification of the ""visibility"" variable"

More...

BlinkVar

BlinkVar

More...

GlowEffectGlowColorVar

GlowEffectGlowColorVar

More...

GlowEffectVisibilityVar

GlowEffectVisibilityVar

More...

GlowEffectBlinkVar

GlowEffectBlinkVar

VT_BSTR

Name

Nom d'élément

Attribuez un nom d’élément.
Il ne doit pas être vide.

Attention : Cette propriété n’est pas disponible aux fins de la commutation de langue.

Remarques concernant les cadrans : Pour les conteneurs de synoptique, spécifiez des noms clairement identifiables pour faciliter la sélection lors de la configuration des appels de synoptique.

Plus de détails dans l’aide en ligne.

VT_UI1

Layer

Niveau de visibilité

Sélectionnez l’un des 16 niveaux de visibilité (0 à 15) dans la liste déroulante. À l’aide de la barre d’outils Niveau de visibilité, vous décidez des niveaux qui doivent être affichés dans Editor. Cette fonction garantit que les synoptiques les plus complexes peuvent être développés de manière simple. Les niveaux peuvent être utilisés immédiatement. Les niveaux n’ont aucune influence sur les informations affichées au premier plan ou en arrière-plan dans le Runtime.
Par défaut : 0.

Plus de détails dans l’aide en ligne.

VT_I4

StartX

Point de départ X [pixels]

Coordonnée Y du coin supérieur gauche du synoptique (en pixels).

Plus de détails dans l’aide en ligne.

VT_I4

EndX

Point final X [pixels]

Coordonnée X du coin inférieur droit du synoptique (en pixels).

Plus de détails dans l’aide en ligne.

VT_I4

StartY

Point de départ Y [pixels]

Coordonnée Y du coin supérieur gauche du synoptique (en pixels).

Plus de détails dans l’aide en ligne.

VT_I4

EndY

Point final Y [pixels]

Coordonnée Y du coin inférieur droit du synoptique (en pixels).

Plus de détails dans l’aide en ligne.

VT_I4

Width

Largeur [pixels]

Largeur des éléments en pixels.

Remarque : disponible uniquement pour les éléments Combinaison multiple, Élément combiné, Bouton et Interrupteur si la valeur Ajusté a été sélectionnée pour la propriété Taille du graphique.

Plus de détails dans l’aide en ligne.

VT_I4

Height

Hauteur [pixels]

Hauteur des éléments en pixels.

Remarque : disponible uniquement pour les éléments Combinaison multiple, Élément combiné, Bouton et Interrupteur si la valeur Ajusté a été sélectionnée pour la propriété Taille du graphique.

Plus de détails dans l’aide en ligne.

VT_I4

Angle

Angle de rotation [°]

Angle libre autour selon lequel doit pivoter l’élément.
Les valeurs positives correspondent à une rotation dans le sens antihoraire, tandis que les valeurs négatives correspondent à une rotation dans le sens horaire. Les valeurs supérieures à 360° sont affichées sous forme d’écart par rapport à 360° (400° correspond à 40°). Seuls les nombres entiers sont autorisés.

Sur les éléments pivotés, les actions suivantes ne sont plus possibles :

  • Miroir
  • Rotation de +/- 90°
  • Redimensionnement à l’aide des touches fléchées

Par défaut : 0

Remarque : Ce paramètre est activé et réinitialisé lors de la configuration pour Windows CE.

Plus de détails dans l’aide en ligne.

VT_I2

ZoomMin

Visible de

Incrément de zoom le plus bas auquel l’élément est visible dans la vue globale.
Par défaut : -1
Une valeur de visibilité avec des incréments de zoom de -1 à -1 signifie que l’élément est affiché, quel que soit l’incrément de zoom sélectionné.

Les niveaux de zoom affichés dans la vue globale peuvent être configurés avec la propriété Apparence graphique -> Généralités runtime -> Pas de zoom pour vue globale.

Attention : Ce niveau de zoom s’applique à tous les types de synoptiques et cadres. Si un niveau de zoom défini est supérieur à 0, l’élément est uniquement affiché dans la vue globale, car les autres types de synoptique sont automatiquement appelés avec le niveau de zoom 0.

Plus de détails dans l’aide en ligne.

VT_I2

ZoomMax

Visible jusqu'à

Incrément de zoom le plus élevé auquel l’élément est visible dans la vue globale.

Par défaut : -1
Une valeur de visibilité avec des incréments de zoom de -1 à -1 signifie que l’élément est affiché, quel que soit l’incrément de zoom sélectionné.

Les niveaux de zoom affichés dans la vue globale peuvent être configurés avec la propriété Apparence graphique -> Généralités runtime -> Pas de zoom pour vue globale.

Attention : Ce niveau de zoom s’applique à tous les types de synoptiques et cadres. Si un niveau de zoom défini est supérieur à 0, l’élément est uniquement affiché dans la vue globale, car les autres types de synoptique sont automatiquement appelés avec le niveau de zoom 0.

Plus de détails dans l’aide en ligne.

VT_BSTR

Stationname

Nom liste d'objets

L’élément est saisi directement dans la liste de stations du synoptique Vue globale, et le texte est saisi ici.

Plus de détails dans l’aide en ligne.

ZT_VARIABLE_DYN

LineColorVariable

Couleur de ligne

Nom des variables dont les couleurs de valeur limite doivent influencer la couleur de ligne/de texte de l’élément. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de variables.

Plus de détails dans l’aide en ligne.

ZT_PREVIEW

LineColorVarPreview

Affichage aperçu couleur

Affichage de la valeur limite pour la propriété Couleur de ligne définie pour la variable. Disponible uniquement si l’option Depuis la variable a été configurée pour la propriété Couleur de ligne.

Un aperçu des propriétés définies pour la valeur limite est affiché dans le champ. Aucun aperçu n’est affiché pour les matrices de réaction.
Cliquez sur le bouton ... pour ouvrir la boîte de dialogue d’affichage des résultats. Les valeurs limite sont uniquement affichées ; elles ne peuvent pas être modifiées. Les modifications doivent être effectuées directement dans les propriétés de la variable pour Valeurs limite.

Plus de détails dans l’aide en ligne.

ZT_VARIABLE_DYN

BackColorVariable

Couleur de remplissage

Nom de la variable dont les couleurs de valeur limite doivent influencer la couleur d’arrière-plan/de remplissage de l’élément.
Ouvre la boîte de dialogue de sélection de variables.

Plus de détails dans l’aide en ligne.

ZT_PREVIEW

BackColorVarPreview

Affichage aperçu couleur

Affichage de la valeur limite pour la propriété Couleur de remplissage définie pour la variable. Disponible uniquement si l’option Depuis la variable a été configurée pour la propriété Couleur de remplissage.

Un aperçu des propriétés définies pour la valeur limite est affiché dans le champ. Aucun aperçu n’est affiché pour les matrices de réaction.
Cliquez sur le bouton ... pour ouvrir la boîte de dialogue d’affichage des résultats. Les valeurs limite sont uniquement affichées ; elles ne peuvent pas être modifiées. Les modifications doivent être effectuées directement dans les propriétés de la variable pour Valeurs limite.

Plus de détails dans l’aide en ligne.

VT_UI1

HorizontalOrigin

Horizontal

Point de référence horizontal de l’événement. Les valeurs possibles sont : gauche, centré, droite.
Ce point est utilisé en tant que base de calcul de l’angle de départ de la rotation (statique et dynamique) et pour le changement dynamique de taille.

Par défaut : À gauche

Plus de détails dans l’aide en ligne.

VT_UI1

VerticalOrigin

Vertical

Point de référence vertical de l’événement. Les valeurs possibles sont : haut, centré, bas.
Ce point est utilisé en tant que base de calcul de l’angle de départ de la rotation (statique et dynamique) et pour le changement dynamique de taille.

Par défaut : En haut

Plus de détails dans l’aide en ligne.

VT_UI4

VisibilityType

Visibilité

Sélection depuis laquelle la visibilité d’un élément est déterminée :

  • Depuis une variable
  • Du verrrouillage

Par défaut : Depuis une variable

Plus de détails dans l’aide en ligne.

ZT_VARIABLE_DYN

VisibilityVariable

Variable

Disponible uniquement si l’option Depuis la variable a été configurée pour la propriété Visibilité.

Nom de la variable dont la valeur contrôle la visibilité de l’élément. La visibilité est soit reprise des propriétés de valeur limite de ces variables, soit définie par la plage de valeurs définie dans les propriétés de et À.
Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de variables. Vous pouvez également saisir manuellement le nom dans le champ de texte.
L'élément reste visible tant qu’aucune variable n’est liée.

Plus de détails dans l’aide en ligne.

ZT_PREVIEW

VisVarPreview

Affichage aperçu visibilité

Affichage des valeurs limite pour la visibilité définies pour la variable. Disponible uniquement si l’option Depuis la variable a été configurée pour la propriété Variable dans le groupe Visibilité.

Un aperçu des propriétés définies pour la valeur limite est affiché dans le champ. Aucun aperçu n’est affiché pour les matrices de réaction.
Cliquez sur le bouton ... pour ouvrir la boîte de dialogue d’affichage des résultats. Les valeurs limite sont uniquement affichées ; elles ne peuvent pas être modifiées. Les modifications doivent être effectuées directement dans les propriétés de la variable pour Valeurs limite.

Plus de détails dans l’aide en ligne.

VT_BOOL

VisibilityFromLimit

A partir des valeurs limites

Uniquement disponible après la sélection d’une variable :

  • Active : La visibilité de l’élément est influencée par la propriété de valeur limite de la variable.

    Attention : La propriété Invisible doit être active pour au moins une valeur limite de la variable.

  • Inactive : la visibilité est influencée par les propriétés de l’élément.

Par défaut : active

Plus de détails dans l’aide en ligne.

VT_R8

VisibilityFrom

de

Disponible uniquement après la sélection d’une variable, si la visibilité n’a pas été reprise par la valeur limite :

Valeur minimum de la variable à laquelle l’élément est visible.

  • Minimum : valeur minimum possible de la variable liée.
  • Maximum : valeur maximum possible de la variable liée.

Par défaut : valeur minimum possible de la variable liée.

Plus de détails dans l’aide en ligne.

VT_R8

VisibilityTo

À

Disponible uniquement après la sélection d’une variable, si la visibilité n’a pas été reprise par la valeur limite :

Valeur maximale de la variable à laquelle l’élément est visible.

  • Minimum : valeur minimum possible de la variable liée.
  • Maximum : valeur maximum possible de la variable liée.

Par défaut : valeur maximum possible de la variable liée.

Plus de détails dans l’aide en ligne.

VT_UI4

Interlocking

Verrouillage

Disponible uniquement si l’option Depuis le verrouillage est sélectionnée pour la propriété Visibilité.

Nom du verrouillage dont la valeur contrôle la visibilité de l’élément. Sélectionnez dans la liste déroulante. Celle-ci contient tous les verrouillages existants et utilisables. L’élément est toujours visible si aucun verrouillage n’est lié.

Plus de détails dans l’aide en ligne.

VT_BSTR

InterlockingName

InterlockingName

Description

VT_BOOL

VisibleWhenInterlocked

Visible si verrouillé

Contrôle la visibilité de l’élément lorsque le verrouillage est sélectionné :

  • Active : L’élément est visible s’il est verrouillé.
  • Inactive : L’élément est visible s’il n’est pas verrouillé.

Par défaut : inactive

Plus de détails dans l’aide en ligne.

ZT_VARIABLE_DYN

BlinkVariable

Affichage aperçu clignotement

Affichage des valeurs limite pour le clignotement définies pour la variable. Disponible uniquement si l’option Depuis la variable a été configurée pour la propriété Prendre le clignotement de la limite.

Un aperçu des propriétés définies pour la valeur limite est affiché dans le champ. Aucun aperçu n’est affiché pour les matrices de réaction.
Cliquez sur le bouton ... pour ouvrir la boîte de dialogue d’affichage des résultats. Les valeurs limite sont uniquement affichées ; elles ne peuvent pas être modifiées. Les modifications doivent être effectuées directement dans les propriétés de la variable pour Valeurs limite.

Plus de détails dans l’aide en ligne.

ZT_PREVIEW

BlinkVarPreview

Affichage aperçu clignotement

Affichage des valeurs limite pour le clignotement définies pour la variable. Disponible uniquement si l’option Depuis la variable a été configurée pour la propriété Prendre le clignotement de la limite.

Un aperçu des propriétés définies pour la valeur limite est affiché dans le champ. Aucun aperçu n’est affiché pour les matrices de réaction.
Cliquez sur le bouton ... pour ouvrir la boîte de dialogue d’affichage des résultats. Les valeurs limite sont uniquement affichées ; elles ne peuvent pas être modifiées. Les modifications doivent être effectuées directement dans les propriétés de la variable pour Valeurs limite.

Plus de détails dans l’aide en ligne.

VT_BOOL

UseBlinkColor

Couleur de clignotement par la limite

Active : Reprend la couleur d’arrière-plan du clignotement défini pour la valeur limite active de la variable pour Prendre le clignotement de la limite. Durant le clignotement, l’élément ne devient pas invisible, mais reprend la couleur d’arrière-plan active.

Par défaut : Inactive

Remarque : la couleur n’est pas prise en compte si la couleur d’arrière-plan Transparence est configurée.

Plus de détails dans l’aide en ligne.

ZT_VARIABLE_DYN

XVariable

Variable

Nom de la variable utilisée pour le déplacement horizontal de l’élément.
Ouvre la boîte de dialogue de sélection de variables.

Plus de détails dans l’aide en ligne.

VT_R8

XVarMin

Valeur min de la variable

Valeur minimale de la variable utilisée pour le déplacement horizontal de l’élément.

Plus de détails dans l’aide en ligne.

VT_R8

XVarMax

Valeur max de la variable

Valeur maximale de la variable utilisée pour le déplacement horizontal de l’élément.

Plus de détails dans l’aide en ligne.

VT_I4

XViewMin

Mouvement min [pixels]

Position horizontale de l’élément pour la valeur minimale de la variable (en pixels).

Plus de détails dans l’aide en ligne.

VT_I4

XViewMax

Mouvement max [pixels]

Position horizontale de l’élément pour la valeur minimale de la variable (en pixels).

Plus de détails dans l’aide en ligne.

ZT_VARIABLE_DYN

YVariable

Variable

Nom de la variable utilisée pour le déplacement vertical de l’élément.
Ouvre la boîte de dialogue de sélection de variables.

Plus de détails dans l’aide en ligne.

VT_R8

YVarMin

Valeur min de la variable

Valeur minimale de la variable utilisée pour le déplacement vertical de l’élément.

Plus de détails dans l’aide en ligne.

VT_R8

YVarMax

Valeur max de la variable

Valeur maximale de la variable utilisée pour le déplacement vertical de l’élément.

Plus de détails dans l’aide en ligne.

VT_I4

YViewMin

Mouvement min [pixels]

Position verticale de l’élément pour la valeur minimale de la variable (en pixels).

Plus de détails dans l’aide en ligne.

VT_I4

YViewMax

Mouvement max [pixels]

Position verticale de l’élément pour la valeur maximale de la variable (en pixels).

Plus de détails dans l’aide en ligne.

ZT_VARIABLE_DYN

XZoomVariable

Variable

Nom de la variable utilisée pour l’agrandissement de la largeur de l’élément.
Ouvre la boîte de dialogue de sélection de variables.

Plus de détails dans l’aide en ligne.

VT_R8

XZoomVarMin

Valeur min de la variable

Valeur minimale de la variable utilisée pour effectuer un zoom à la largeur de l’élément.

Plus de détails dans l’aide en ligne.

VT_R8

XZoomVarMax

Valeur max de la variable

Valeur maximale de la variable utilisée pour effectuer un zoom sur la largeur de l’élément.

Plus de détails dans l’aide en ligne.

VT_I4

XZoomViewMin

Largeur min [%]

Facteur de zoom correspondant à la largeur de l’élément pour la valeur minimale de la variable (en pixels).

Plus de détails dans l’aide en ligne.

VT_I4

XZoomViewMax

Largeur max [%]

Facteur de zoom correspondant à la largeur de l’élément pour la valeur maximale de la variable (en pixels).

Plus de détails dans l’aide en ligne.

ZT_VARIABLE_DYN

YZoomVariable

Variable

Nom de la variable utilisée pour l’agrandissement de la hauteur de l’élément.
Ouvre la boîte de dialogue de sélection de variables.

Plus de détails dans l’aide en ligne.

VT_R8

YZoomVarMin

Valeur min de la variable

Valeur minimum de la variable utilisée pour effectuer un zoom sur la hauteur de l’élément.

Plus de détails dans l’aide en ligne.

VT_R8

YZoomVarMax

Valeur max de la variable

Valeur maximum de la variable utilisée pour effectuer un zoom sur la hauteur de l’élément.

Plus de détails dans l’aide en ligne.

VT_I4

YZoomViewMin

Hauteur min [%]

Facteur de zoom correspondant à la hauteur de l’élément pour la valeur minimum de la variable (en %).

Plus de détails dans l’aide en ligne.

VT_I4

YZoomViewMax

Hauteur max [%]

Facteur de zoom correspondant à la hauteur de l’élément pour la valeur maximale de la variable (en pixels).

Plus de détails dans l’aide en ligne.

ZT_VARIABLE_DYN

TwistVariable

Variable

Nom de la variable utilisée pour la rotation de l’élément.

Plus de détails dans l’aide en ligne.

VT_R8

TwistVarMin

Valeur min de la variable

Valeur minimum de la variable utilisée pour la rotation de l’élément.

Plus de détails dans l’aide en ligne.

VT_R8

TwistVarMax

Valeur max de la variable

Valeur maximale de la variable utilisée pour la rotation de l’élément.

Plus de détails dans l’aide en ligne.

VT_I4

TwistViewMin

Rotation min [°]

Angle de rotation de l’élément pour la valeur minimum de la variable (en °).

Plus de détails dans l’aide en ligne.

VT_I4

TwistViewMax

Rotation max [°]

Angle de rotation de l’élément pour la valeur maximum de la variable (en °).

Plus de détails dans l’aide en ligne.

ZT_STYLE

ShadowEffectStyle

Style effet cadres/ombres

Affichage et sélection du style de cadre et d’ombre attribué à l’élément.

Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de style.
Si plusieurs éléments ont été sélectionnés, ils peuvent être attribués à un style commun.

Remarque : Seules les propriétés compatibles avec l’élément correspondant sont prises en charge.

Plus de détails dans l’aide en ligne.

VT_BOOL

EnablePunchFrame

Afficher le cadre

A frame around the element can be displayed.
Default: inactive.

ZT_STYLE

GlowEffectStyle

Style effet de rayonnement

Affichage et sélection du style des effets de luminescence attribués à l’élément.

Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de style.
Si plusieurs éléments ont été sélectionnés, ils peuvent être attribués à un style commun.

Remarque : Seules les propriétés compatibles avec l’élément correspondant sont prises en charge.

Plus de détails dans l’aide en ligne.

VT_BOOL

GlowEffectEvent

Actif seulement si cliqué

Disponible uniquement si la propriété Activer est active et l’élément est un bouton.

Active : l’effet de luminescence est uniquement affiché lorsque l’utilisateur clique sur le bouton. Cliquer sur le bouton permet de modifier la couleur, le clignotement ou l’invisibilité de l’effet de luminescence.

Par défaut : Inactive

Plus de détails dans l’aide en ligne.

ZT_VARIABLE_DYN

GlowEffectGlowColorVariable

Variable pour la couleur

Disponible uniquement si la propriété Activer est active. La propriété Coloration doit être activée.

Nom de la variable dont la couleur aux valeurs limites doit influencer la couleur de l’effet de luminescence pour l’élément. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de variables. Vous pouvez également saisir le nom manuellement dans le champ de texte. Si aucune variable n’est liée, la couleur définie dans la propriété Couleur est utilisée.

Par défaut : aucune variable liée

Plus de détails dans l’aide en ligne.

ZT_PREVIEW

GlowEffectGlowColorVariablePreview

Affichage aperçu couleur

Affichage de la valeur limite définie pour la variable de couleur lorsque l’effet de luminescence est actif. Disponible uniquement si l’option Depuis la variable a été configurée pour la propriété Variable pour la couleur.

Un aperçu des propriétés définies pour la valeur limite est affiché dans le champ. Aucun aperçu n’est affiché pour les matrices de réaction.
Cliquez sur le bouton ... pour ouvrir la boîte de dialogue d’affichage des résultats. Les valeurs limite sont uniquement affichées ; elles ne peuvent pas être modifiées. Les modifications doivent être effectuées directement dans les propriétés de la variable pour Valeurs limite.

Plus de détails dans l’aide en ligne.

ZT_VARIABLE_DYN

GlowEffectVisibilityVariable

Variable pour la visibilité

Disponible uniquement si la propriété Activer est active.

Nom de la variable dont la valeur influence la visibilité de l’effet de luminescence. La visibilité est soit reprise des propriétés de valeur limite de cette variable (propriété Visibilité depuis valeur limite active), soit définie par la plage de valeurs définie dans les propriétés Visible de et Visible jusqu'à. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de variables. Vous pouvez également saisir le nom manuellement dans le champ de texte.

Remarque : si aucune variable n’est liée, l’effet de luminescence est toujours visible.

Par défaut : aucune variable liée

Plus de détails dans l’aide en ligne.

ZT_PREVIEW

GlowEffectVisibilityVariablePreview

Affichage aperçu visibilité

Affichage de la valeur limite définie pour la variable de visibilité lorsque l’effet de luminescence est actif. Disponible uniquement si l’option Depuis la variable a été configurée pour la propriété Variable pour la visibilité.

Un aperçu des propriétés définies pour la valeur limite est affiché dans le champ. Aucun aperçu n’est affiché pour les matrices de réaction.
Cliquez sur le bouton ... pour ouvrir la boîte de dialogue d’affichage des résultats. Les valeurs limite sont uniquement affichées ; elles ne peuvent pas être modifiées. Les modifications doivent être effectuées directement dans les propriétés de la variable pour Valeurs limite.

Plus de détails dans l’aide en ligne.

VT_BOOL

GlowEffectVisibilityFromLimit

Visibilité depuis valeur limite

Disponible uniquement si la propriété Activer est active. Vous devez en outre définir une variable dans la propriété Variable pour la visibilité.

Active : La visibilité de l’effet de luminescence est influencée par la propriété de valeur limite de la variable.

Attention : Pour une valeur limite de la variable au moins, la propriété Invisible doit être active.

Inactive : la visibilité est influencée par les propriétés de l’élément.

Plus de détails dans l’aide en ligne.

VT_R8

GlowEffectVisibilityFrom

Visible de

Disponible uniquement si la propriété Activer est active. Vous devez en outre définir une variable dans la propriété Variable pour la visibilité ; la propriété Visibilité depuis valeur limite doit être inactive.

Définit la valeur à partir de laquelle l’effet de luminescence devient visible.
Minimum : valeur la moins élevée autorisée pour la variable liée dans Variable pour la visibilité.
Maximum : valeur la moins élevée autorisée pour la variable liée dans Variable pour la visibilité.
Par défaut : valeur la plus élevée autorisée pour la variable liée dans Variable pour la visibilité.

Plus de détails dans l’aide en ligne.

VT_R8

GlowEffectVisibilityTo

Visible jusqu'à

Disponible uniquement si la propriété Activer est active. Vous devez en outre définir une variable dans la propriété Variable pour la visibilité ; la propriété Visibilité depuis valeur limite doit être inactive.

Définit la valeur jusqu’à laquelle l’effet de luminescence reste visible.
Minimum : valeur la plus basse autorisée pour la variable liée dans Variable pour la visibilité.
Maximum : valeur la plus élevée autorisée pour la variable liée dans Variable pour la visibilité.
Par défaut : valeur la plus élevée autorisée pour la variable liée dans Variable pour la visibilité.

Plus de détails dans l’aide en ligne.

ZT_VARIABLE_DYN

GlowEffectBlinkVariable

Variable pour le clignotement

Variables dont les paramètres de clignotement de l’effet de luminescence aux valeurs limites doivent être repris. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de variables.

Par défaut : aucune variable liée

Plus de détails dans l’aide en ligne.

ZT_PREVIEW

GlowEffectBlinkVariablePreview

Affichage aperçu clignotement

Affichage de la valeur limite définie pour la variable de clignotement lorsque l’effet de luminescence est actif. Disponible uniquement si l’option Depuis la variable a été configurée pour la propriété Variable pour le clignotement.

Un aperçu des propriétés définies pour la valeur limite est affiché dans le champ. Aucun aperçu n’est affiché pour les matrices de réaction.
Cliquez sur le bouton ... pour ouvrir la boîte de dialogue d’affichage des résultats. Les valeurs limite sont uniquement affichées ; elles ne peuvent pas être modifiées. Les modifications doivent être effectuées directement dans les propriétés de la variable pour Valeurs limite.

Plus de détails dans l’aide en ligne.

VT_BOOL

GlowEffectUseBlinkColor

Clignotement depuis valeur limite

Disponible uniquement si la propriété Activer est active. Vous devez en outre définir une variable dans la propriété Variable pour le clignotement.

Active : Reprend, pour l’effet de luminescence, la couleur de clignotement de la valeur limite active pour la variable définie dans la propriété Couleur de clignotement par la limite. Cette propriété agit indépendamment de la propriété Coloration. En cas de clignotement, l’effet de luminescence ne devient pas invisible, mais reprend les paramètres de l’effet de luminescence actif.

Par défaut : Inactive

Plus de détails dans l’aide en ligne.

VT_BOOL

GlowEffect2ndBlinkStateVisible

2 états de clignotement invisibles

Disponible uniquement si la propriété Activer est active. Vous devez en outre définir une variable dans la propriété Variable pour le clignotement ; la propriété Clignotement depuis valeur limite doit être inactive.

Active : En cas de clignotement, l’effet de luminescence ne bascule pas vers l’effet de luminescence actif, mais devient invisible. Ceci permet de basculer entre l’invisibilité et la couleur de clignotement en cas de dépassement de la valeur limite.

Par défaut : Inactive

Plus de détails dans l’aide en ligne.


Linked symbol

Manuel -> Interfaces de programmation -> Modèles d'objet -> Element -> Element-Dynamic properties -> Linked symbol

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Type

VBA/VSTA Name

Display Name

Description

More...

ExpProps

ExpProps

VT_UI2

PropSymbolNumber

Numéro symbole

Numéro unique du symbole ou du groupe d’éléments.

Plus de détails dans l’aide en ligne.

VT_UI2

GraphicSize

Taille du graphique

Définition de la taille du fichier graphique.

  • Étiré : La taille du fichier est ajustée à la taille de l’élément.
  • Taille d’origine : Les fichiers graphiques liés sont affichés à leur taille d’origine.
    Lorsque cette option est sélectionnée, les propriétés Largeur [pixels] et Hauteur [pixels] ne peuvent plus être configurées individuellement pour les éléments Combinaison multiple, Élément combiné, Bouton et Interrupteur.
    Tous les fichiers graphiques doivent être de taille identique.

Par défaut : étiré

Plus de détails dans l’aide en ligne.

VT_BSTR

LinkName

Nom du symbole

Nom du symbole.

Plus de détails dans l’aide en ligne.

VT_BSTR

SubstituteSource

Source

Remplacement de variables ou de fonctions dans un symbole ou un conteneur de cadran.

Saisissez la variable source ou fonction source. Vous pouvez utiliser les opérateurs (?,*). Séparez les entrées multiples par un point-virgule (;).

Vous pouvez définir la cible à l’aide de la propriété Destination.
Exemple : Variables dans le symbole : Cuve1.niveau_remplissage et Cuve1.position_vanne. Ces variables doivent être remplacées par Cuve2.niveau de remplissage et Cuve2.position de la vanne.
Pour cela, saisissez ceci au niveau de Source : *1* ; et ceci, au niveau de Destination 2. Dans le Runtime, les variables contenant 1 sont remplacées par les variables contenant 2.

Des informations plus détaillées sont disponibles dans le manuel en ligne, dans les sections Symboles et Cadrans.

VT_BSTR

SubstituteDestination

Destination

Remplacement de variables ou de fonctions dans un symbole ou un conteneur de cadran :
Saisissez les nouvelles variables/fonctions à attribuer. Ici, aucun opérateur n’est autorisé. Séparez les entrées multiples par un point-virgule (;).

Vous pouvez définir les sources à l’aide de la propriété Source.
Exemple : Variables dans le symbole : Cuve1.niveau_remplissage et Cuve1.position_vanne. Ces variables doivent être remplacées par Cuve2.niveau de remplissage et Cuve2.position de la vanne.
Pour cela, saisissez ceci au niveau de Source : *1* ; et ceci, au niveau de Destination 2. Dans le Runtime, les variables contenant 1 sont remplacées par les variables contenant 2.

Des informations plus détaillées sont disponibles dans le manuel en ligne, dans les sections Symboles et Cadrans.

VT_BOOL

SubstituteOnName

Par le nom de variable

Remplacement de variables dans un symbole ou un conteneur de cadran à l’aide de variables :

  • Active : Le remplacement des liens est mis en œuvre par l’intermédiaire du nom des variables.
  • Inactif : Le remplacement des liens est mis en œuvre par l’intermédiaire du nom des variables.

Par défaut : Actif

Des informations plus détaillées sont disponibles dans le manuel en ligne, dans les sections Symboles et Cadrans.

Remarque : Cette propriété affecte également le comportement de la propriété Noms hiérarchiques.
Vous trouverez d’autres informations à ce sujet dans le manuel consacré aux synoptiques.

VT_BOOL

SubstituteMatchCase

Respecter la casse

La capitalisation (lettres majuscules/minuscules) est prise en compte lors de la saisie de la source et la cible pour le remplacement des variables ou des fonctions dans un symbole ou un conteneur de cadran.

  • Active : La capitalisation est prise en compte.
  • Inactive : La capitalisation n’est pas prise en compte.

Des informations plus détaillées sont disponibles dans le manuel en ligne, dans les sections Symboles et Cadrans.

VT_BOOL

SubstituteCombinedName

Noms hiérarchiques

Remplacement des variables d’un symbole.

Le comportement de cette propriété est directement lié aux paramètres de la propriété Par le nom de variable :
Si la propriété Par le nom de variable est activée, le nom de la variable (propriété Nom) est utilisé. Si la propriété Par le nom de variable n’est pas active, l’identifiant de variable (propriété Identification) est utilisé.

Propriété Noms hiérarchiques

  • Active : Les noms des variables/identifiants lié(e)s sont formés à partir du nom d’objet du symbole et des variables définies dans le symbole. Les deux noms sont séparés par un point : "Nom du symbole.Variable" ou "Nom du symbole.Identifiant"
  • Inactive : Le nom de la variable ou l’identifiant de la variable est utilisé(e) :

Par défaut : Inactive

Attention : Si la propriété Noms hiérarchiques est active, mais la propriété Par le nom de variable n’est pas active, l’identifiant de variable est utilisé. Toutefois, si cette Identification est vide, l’association échouera !

Plus de détails dans l’aide en ligne.

VT_BSTR

Preview

Aperçu

Ouvre la boîte de dialogue de remplacement de liens. Les modifications de l’aperçu sont reprises et inversées dans les propriétés Source et Destination.
Représente les symboles et cadrans disponibles. Actif uniquement pour les symboles si des liens vers le symbole existent déjà ; pour les compteurs à cadran, actif uniquement si un synoptique est lié à un conteneur.

Des informations plus détaillées sont disponibles dans le manuel en ligne, dans les sections Symboles et Cadrans.

VT_BOOL

Tab

Le focus est donné à l'élément

Active : L’élément dynamique peut être actionné à l’aide du clavier.
Inactive : L’élément dynamique n’est pas accessible à l’aide du clavier.
Par défaut : active.

Plus de détails dans l’aide en ligne.

VT_I4

TABOrderH

Position du focus gauche/droite

Définit la position horizontale pour l’utilisation à l’aide du clavier dans le Runtime. La position est définie par l’intermédiaire du menu contextuel et de l’utilisation de la souris dans la fenêtre principale ; elle ne peut pas être modifiée ici.

Plus de détails dans l’aide en ligne.

VT_I4

TABOrderV

Position focus haut / bas

Définit la position verticale pour l’utilisation à l’aide du clavier dans le Runtime. La position est définie par l’intermédiaire du menu contextuel et de l’utilisation de la souris dans la fenêtre principale ; elle ne peut pas être modifiée ici.

Plus de détails dans l’aide en ligne.

More...

LnClVariable

LnClVariable

"With this property you have the opportunity to get informations about the variable which is linked as ""line/text color"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""LnClVariable.SymVarName"") 'Return the name of the ""line/text color"" variable
zElement.DynProperties (""LnClVariable.SymVarTagNr"") 'Return the identification of the ""line/text color"" variable"

More...

BkClVariable

BkClVariable

"With this property you have the opportunity to get informations about the variable which is linked as ""background/filling color"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""BkClVariable.SymVarName"") 'Return the name of the ""background/filling color"" variable
zElement.DynProperties (""BkClVariable.SymVarTagNr"") 'Return the identification of the ""background/filling color"" variable"

More...

BkCl2Variable

"BkCl2Variable"

More...

XVar

XVar

"With this property you have the opportunity to get informations about the variable which is linked as ""dynamic x position"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""XVar.SymVarName"") 'Return the name of the ""dynamic x position"" variable
zElement.DynProperties (""XVar.SymVarTagNr"") 'Return the identification of the ""dynamic x position"" variable"

More...

YVar

YVar

"With this property you have the opportunity to get informations about the variable which is linked as ""dynamic y position"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""YVar.SymVarName"") 'Return the name of the ""dynamic y position"" variable
zElement.DynProperties (""YVar.SymVarTagNr"") 'Return the identification of the ""dynamic y position"" variable"

More...

XVarZoom

XVarZoom

"With this property you have the opportunity to get informations about the variable which is linked as ""change width"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""XVarZoom.SymVarName"") 'Return the name of the ""change width"" variable
zElement.DynProperties (""XVarZoom.SymVarTagNr"") 'Return the identification of the ""change width"" variable"

More...

YVarZoom

YVarZoom

"With this property you have the opportunity to get informations about the variable which is linked as ""change height"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""YVarZoom.SymVarName"") 'Return the name of the ""change height"" variable
zElement.DynProperties (""YVarZoom.SymVarName"") 'Return the name of the ""change height"" variable
zElement.DynProperties (""YVarZoom.SymVarTagNr"") 'Return the identification of the ""change height"" variable"

More...

TwistVar

TwistVar

"With this property you have the opportunity to get informations about the variable which is linked as ""rotate"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""TwistVar.SymVarName"") 'Return the name of the ""rotate"" variable
zElement.DynProperties (""TwistVar.SymVarTagNr"") 'Return the identification of the ""rotate"" variable"

More...

VisVariable

VisVariable

"With this property you have the opportunity to get informations about the variable which is linked as ""visibility"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""VisVariable.SymVarName"") 'Return the name of the ""visibility"" variable
zElement.DynProperties (""VisVariable.SymVarTagNr"") 'Return the identification of the ""visibility"" variable"

More...

BlinkVar

BlinkVar

More...

GlowEffectGlowColorVar

GlowEffectGlowColorVar

More...

GlowEffectVisibilityVar

GlowEffectVisibilityVar

More...

GlowEffectBlinkVar

GlowEffectBlinkVar

VT_BSTR

Name

Nom d'élément

Attribuez un nom d’élément.
Il ne doit pas être vide.

Attention : Cette propriété n’est pas disponible aux fins de la commutation de langue.

Remarques concernant les cadrans : Pour les conteneurs de synoptique, spécifiez des noms clairement identifiables pour faciliter la sélection lors de la configuration des appels de synoptique.

Plus de détails dans l’aide en ligne.

VT_UI1

Layer

Niveau de visibilité

Sélectionnez l’un des 16 niveaux de visibilité (0 à 15) dans la liste déroulante. À l’aide de la barre d’outils Niveau de visibilité, vous décidez des niveaux qui doivent être affichés dans Editor. Cette fonction garantit que les synoptiques les plus complexes peuvent être développés de manière simple. Les niveaux peuvent être utilisés immédiatement. Les niveaux n’ont aucune influence sur les informations affichées au premier plan ou en arrière-plan dans le Runtime.
Par défaut : 0.

Plus de détails dans l’aide en ligne.

VT_I4

StartX

Point de départ X [pixels]

Coordonnée Y du coin supérieur gauche du synoptique (en pixels).

Plus de détails dans l’aide en ligne.

VT_I4

EndX

Point final X [pixels]

Coordonnée X du coin inférieur droit du synoptique (en pixels).

Plus de détails dans l’aide en ligne.

VT_I4

StartY

Point de départ Y [pixels]

Coordonnée Y du coin supérieur gauche du synoptique (en pixels).

Plus de détails dans l’aide en ligne.

VT_I4

EndY

Point final Y [pixels]

Coordonnée Y du coin inférieur droit du synoptique (en pixels).

Plus de détails dans l’aide en ligne.

VT_I4

Width

Largeur [pixels]

Largeur des éléments en pixels.

Remarque : disponible uniquement pour les éléments Combinaison multiple, Élément combiné, Bouton et Interrupteur si la valeur Ajusté a été sélectionnée pour la propriété Taille du graphique.

Plus de détails dans l’aide en ligne.

VT_I4

Height

Hauteur [pixels]

Hauteur des éléments en pixels.

Remarque : disponible uniquement pour les éléments Combinaison multiple, Élément combiné, Bouton et Interrupteur si la valeur Ajusté a été sélectionnée pour la propriété Taille du graphique.

Plus de détails dans l’aide en ligne.

VT_I4

Angle

Angle de rotation [°]

Angle libre autour selon lequel doit pivoter l’élément.
Les valeurs positives correspondent à une rotation dans le sens antihoraire, tandis que les valeurs négatives correspondent à une rotation dans le sens horaire. Les valeurs supérieures à 360° sont affichées sous forme d’écart par rapport à 360° (400° correspond à 40°). Seuls les nombres entiers sont autorisés.

Sur les éléments pivotés, les actions suivantes ne sont plus possibles :

  • Miroir
  • Rotation de +/- 90°
  • Redimensionnement à l’aide des touches fléchées

Par défaut : 0

Remarque : Ce paramètre est activé et réinitialisé lors de la configuration pour Windows CE.

Plus de détails dans l’aide en ligne.

VT_I2

ZoomMin

Visible de

Incrément de zoom le plus bas auquel l’élément est visible dans la vue globale.
Par défaut : -1
Une valeur de visibilité avec des incréments de zoom de -1 à -1 signifie que l’élément est affiché, quel que soit l’incrément de zoom sélectionné.

Les niveaux de zoom affichés dans la vue globale peuvent être configurés avec la propriété Apparence graphique -> Généralités runtime -> Pas de zoom pour vue globale.

Attention : Ce niveau de zoom s’applique à tous les types de synoptiques et cadres. Si un niveau de zoom défini est supérieur à 0, l’élément est uniquement affiché dans la vue globale, car les autres types de synoptique sont automatiquement appelés avec le niveau de zoom 0.

Plus de détails dans l’aide en ligne.

VT_I2

ZoomMax

Visible jusqu'à

Incrément de zoom le plus élevé auquel l’élément est visible dans la vue globale.

Par défaut : -1
Une valeur de visibilité avec des incréments de zoom de -1 à -1 signifie que l’élément est affiché, quel que soit l’incrément de zoom sélectionné.

Les niveaux de zoom affichés dans la vue globale peuvent être configurés avec la propriété Apparence graphique -> Généralités runtime -> Pas de zoom pour vue globale.

Attention : Ce niveau de zoom s’applique à tous les types de synoptiques et cadres. Si un niveau de zoom défini est supérieur à 0, l’élément est uniquement affiché dans la vue globale, car les autres types de synoptique sont automatiquement appelés avec le niveau de zoom 0.

Plus de détails dans l’aide en ligne.

VT_BSTR

Stationname

Nom liste d'objets

L’élément est saisi directement dans la liste de stations du synoptique Vue globale, et le texte est saisi ici.

Plus de détails dans l’aide en ligne.

ZT_VARIABLE_DYN

LineColorVariable

Couleur de ligne

Nom des variables dont les couleurs de valeur limite doivent influencer la couleur de ligne/de texte de l’élément. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de variables.

Plus de détails dans l’aide en ligne.

ZT_PREVIEW

LineColorVarPreview

Affichage aperçu couleur

Affichage de la valeur limite pour la propriété Couleur de ligne définie pour la variable. Disponible uniquement si l’option Depuis la variable a été configurée pour la propriété Couleur de ligne.

Un aperçu des propriétés définies pour la valeur limite est affiché dans le champ. Aucun aperçu n’est affiché pour les matrices de réaction.
Cliquez sur le bouton ... pour ouvrir la boîte de dialogue d’affichage des résultats. Les valeurs limite sont uniquement affichées ; elles ne peuvent pas être modifiées. Les modifications doivent être effectuées directement dans les propriétés de la variable pour Valeurs limite.

Plus de détails dans l’aide en ligne.

ZT_VARIABLE_DYN

BackColorVariable

Couleur de remplissage

Nom de la variable dont les couleurs de valeur limite doivent influencer la couleur d’arrière-plan/de remplissage de l’élément.
Ouvre la boîte de dialogue de sélection de variables.

Plus de détails dans l’aide en ligne.

ZT_PREVIEW

BackColorVarPreview

Affichage aperçu couleur

Affichage de la valeur limite pour la propriété Couleur de remplissage définie pour la variable. Disponible uniquement si l’option Depuis la variable a été configurée pour la propriété Couleur de remplissage.

Un aperçu des propriétés définies pour la valeur limite est affiché dans le champ. Aucun aperçu n’est affiché pour les matrices de réaction.
Cliquez sur le bouton ... pour ouvrir la boîte de dialogue d’affichage des résultats. Les valeurs limite sont uniquement affichées ; elles ne peuvent pas être modifiées. Les modifications doivent être effectuées directement dans les propriétés de la variable pour Valeurs limite.

Plus de détails dans l’aide en ligne.

VT_UI1

HorizontalOrigin

Horizontal

Point de référence horizontal de l’événement. Les valeurs possibles sont : gauche, centré, droite.
Ce point est utilisé en tant que base de calcul de l’angle de départ de la rotation (statique et dynamique) et pour le changement dynamique de taille.

Par défaut : À gauche

Plus de détails dans l’aide en ligne.

VT_UI1

VerticalOrigin

Vertical

Point de référence vertical de l’événement. Les valeurs possibles sont : haut, centré, bas.
Ce point est utilisé en tant que base de calcul de l’angle de départ de la rotation (statique et dynamique) et pour le changement dynamique de taille.

Par défaut : En haut

Plus de détails dans l’aide en ligne.

VT_UI4

VisibilityType

Visibilité

Sélection depuis laquelle la visibilité d’un élément est déterminée :

  • Depuis une variable
  • Du verrrouillage

Par défaut : Depuis une variable

Plus de détails dans l’aide en ligne.

ZT_VARIABLE_DYN

VisibilityVariable

Variable

Disponible uniquement si l’option Depuis la variable a été configurée pour la propriété Visibilité.

Nom de la variable dont la valeur contrôle la visibilité de l’élément. La visibilité est soit reprise des propriétés de valeur limite de ces variables, soit définie par la plage de valeurs définie dans les propriétés de et À.
Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de variables. Vous pouvez également saisir manuellement le nom dans le champ de texte.
L'élément reste visible tant qu’aucune variable n’est liée.

Plus de détails dans l’aide en ligne.

ZT_PREVIEW

VisVarPreview

Affichage aperçu visibilité

Affichage des valeurs limite pour la visibilité définies pour la variable. Disponible uniquement si l’option Depuis la variable a été configurée pour la propriété Variable dans le groupe Visibilité.

Un aperçu des propriétés définies pour la valeur limite est affiché dans le champ. Aucun aperçu n’est affiché pour les matrices de réaction.
Cliquez sur le bouton ... pour ouvrir la boîte de dialogue d’affichage des résultats. Les valeurs limite sont uniquement affichées ; elles ne peuvent pas être modifiées. Les modifications doivent être effectuées directement dans les propriétés de la variable pour Valeurs limite.

Plus de détails dans l’aide en ligne.

VT_BOOL

VisibilityFromLimit

A partir des valeurs limites

Uniquement disponible après la sélection d’une variable :

  • Active : La visibilité de l’élément est influencée par la propriété de valeur limite de la variable.

    Attention : La propriété Invisible doit être active pour au moins une valeur limite de la variable.

  • Inactive : la visibilité est influencée par les propriétés de l’élément.

Par défaut : active

Plus de détails dans l’aide en ligne.

VT_R8

VisibilityFrom

de

Disponible uniquement après la sélection d’une variable, si la visibilité n’a pas été reprise par la valeur limite :

Valeur minimum de la variable à laquelle l’élément est visible.

  • Minimum : valeur minimum possible de la variable liée.
  • Maximum : valeur maximum possible de la variable liée.

Par défaut : valeur minimum possible de la variable liée.

Plus de détails dans l’aide en ligne.

VT_R8

VisibilityTo

À

Disponible uniquement après la sélection d’une variable, si la visibilité n’a pas été reprise par la valeur limite :

Valeur maximale de la variable à laquelle l’élément est visible.

  • Minimum : valeur minimum possible de la variable liée.
  • Maximum : valeur maximum possible de la variable liée.

Par défaut : valeur maximum possible de la variable liée.

Plus de détails dans l’aide en ligne.

VT_UI4

Interlocking

Verrouillage

Disponible uniquement si l’option Depuis le verrouillage est sélectionnée pour la propriété Visibilité.

Nom du verrouillage dont la valeur contrôle la visibilité de l’élément. Sélectionnez dans la liste déroulante. Celle-ci contient tous les verrouillages existants et utilisables. L’élément est toujours visible si aucun verrouillage n’est lié.

Plus de détails dans l’aide en ligne.

VT_BSTR

InterlockingName

InterlockingName

Description

VT_BOOL

VisibleWhenInterlocked

Visible si verrouillé

Contrôle la visibilité de l’élément lorsque le verrouillage est sélectionné :

  • Active : L’élément est visible s’il est verrouillé.
  • Inactive : L’élément est visible s’il n’est pas verrouillé.

Par défaut : inactive

Plus de détails dans l’aide en ligne.

ZT_VARIABLE_DYN

BlinkVariable

Affichage aperçu clignotement

Affichage des valeurs limite pour le clignotement définies pour la variable. Disponible uniquement si l’option Depuis la variable a été configurée pour la propriété Prendre le clignotement de la limite.

Un aperçu des propriétés définies pour la valeur limite est affiché dans le champ. Aucun aperçu n’est affiché pour les matrices de réaction.
Cliquez sur le bouton ... pour ouvrir la boîte de dialogue d’affichage des résultats. Les valeurs limite sont uniquement affichées ; elles ne peuvent pas être modifiées. Les modifications doivent être effectuées directement dans les propriétés de la variable pour Valeurs limite.

Plus de détails dans l’aide en ligne.

ZT_PREVIEW

BlinkVarPreview

Affichage aperçu clignotement

Affichage des valeurs limite pour le clignotement définies pour la variable. Disponible uniquement si l’option Depuis la variable a été configurée pour la propriété Prendre le clignotement de la limite.

Un aperçu des propriétés définies pour la valeur limite est affiché dans le champ. Aucun aperçu n’est affiché pour les matrices de réaction.
Cliquez sur le bouton ... pour ouvrir la boîte de dialogue d’affichage des résultats. Les valeurs limite sont uniquement affichées ; elles ne peuvent pas être modifiées. Les modifications doivent être effectuées directement dans les propriétés de la variable pour Valeurs limite.

Plus de détails dans l’aide en ligne.

VT_BOOL

UseBlinkColor

Couleur de clignotement par la limite

Active : Reprend la couleur d’arrière-plan du clignotement défini pour la valeur limite active de la variable pour Prendre le clignotement de la limite. Durant le clignotement, l’élément ne devient pas invisible, mais reprend la couleur d’arrière-plan active.

Par défaut : Inactive

Remarque : la couleur n’est pas prise en compte si la couleur d’arrière-plan Transparence est configurée.

Plus de détails dans l’aide en ligne.

ZT_VARIABLE_DYN

XVariable

Variable

Nom de la variable utilisée pour le déplacement horizontal de l’élément.
Ouvre la boîte de dialogue de sélection de variables.

Plus de détails dans l’aide en ligne.

VT_R8

XVarMin

Valeur min de la variable

Valeur minimale de la variable utilisée pour le déplacement horizontal de l’élément.

Plus de détails dans l’aide en ligne.

VT_R8

XVarMax

Valeur max de la variable

Valeur maximale de la variable utilisée pour le déplacement horizontal de l’élément.

Plus de détails dans l’aide en ligne.

VT_I4

XViewMin

Mouvement min [pixels]

Position horizontale de l’élément pour la valeur minimale de la variable (en pixels).

Plus de détails dans l’aide en ligne.

VT_I4

XViewMax

Mouvement max [pixels]

Position horizontale de l’élément pour la valeur minimale de la variable (en pixels).

Plus de détails dans l’aide en ligne.

ZT_VARIABLE_DYN

YVariable

Variable

Nom de la variable utilisée pour le déplacement vertical de l’élément.
Ouvre la boîte de dialogue de sélection de variables.

Plus de détails dans l’aide en ligne.

VT_R8

YVarMin

Valeur min de la variable

Valeur minimale de la variable utilisée pour le déplacement vertical de l’élément.

Plus de détails dans l’aide en ligne.

VT_R8

YVarMax

Valeur max de la variable

Valeur maximale de la variable utilisée pour le déplacement vertical de l’élément.

Plus de détails dans l’aide en ligne.

VT_I4

YViewMin

Mouvement min [pixels]

Position verticale de l’élément pour la valeur minimale de la variable (en pixels).

Plus de détails dans l’aide en ligne.

VT_I4

YViewMax

Mouvement max [pixels]

Position verticale de l’élément pour la valeur maximale de la variable (en pixels).

Plus de détails dans l’aide en ligne.

ZT_VARIABLE_DYN

XZoomVariable

Variable

Nom de la variable utilisée pour l’agrandissement de la largeur de l’élément.
Ouvre la boîte de dialogue de sélection de variables.

Plus de détails dans l’aide en ligne.

VT_R8

XZoomVarMin

Valeur min de la variable

Valeur minimale de la variable utilisée pour effectuer un zoom à la largeur de l’élément.

Plus de détails dans l’aide en ligne.

VT_R8

XZoomVarMax

Valeur max de la variable

Valeur maximale de la variable utilisée pour effectuer un zoom sur la largeur de l’élément.

Plus de détails dans l’aide en ligne.

VT_I4

XZoomViewMin

Largeur min [%]

Facteur de zoom correspondant à la largeur de l’élément pour la valeur minimale de la variable (en pixels).

Plus de détails dans l’aide en ligne.

VT_I4

XZoomViewMax

Largeur max [%]

Facteur de zoom correspondant à la largeur de l’élément pour la valeur maximale de la variable (en pixels).

Plus de détails dans l’aide en ligne.

ZT_VARIABLE_DYN

YZoomVariable

Variable

Nom de la variable utilisée pour l’agrandissement de la hauteur de l’élément.
Ouvre la boîte de dialogue de sélection de variables.

Plus de détails dans l’aide en ligne.

VT_R8

YZoomVarMin

Valeur min de la variable

Valeur minimum de la variable utilisée pour effectuer un zoom sur la hauteur de l’élément.

Plus de détails dans l’aide en ligne.

VT_R8

YZoomVarMax

Valeur max de la variable

Valeur maximum de la variable utilisée pour effectuer un zoom sur la hauteur de l’élément.

Plus de détails dans l’aide en ligne.

VT_I4

YZoomViewMin

Hauteur min [%]

Facteur de zoom correspondant à la hauteur de l’élément pour la valeur minimum de la variable (en %).

Plus de détails dans l’aide en ligne.

VT_I4

YZoomViewMax

Hauteur max [%]

Facteur de zoom correspondant à la hauteur de l’élément pour la valeur maximale de la variable (en pixels).

Plus de détails dans l’aide en ligne.

ZT_VARIABLE_DYN

TwistVariable

Variable

Nom de la variable utilisée pour la rotation de l’élément.

Plus de détails dans l’aide en ligne.

VT_R8

TwistVarMin

Valeur min de la variable

Valeur minimum de la variable utilisée pour la rotation de l’élément.

Plus de détails dans l’aide en ligne.

VT_R8

TwistVarMax

Valeur max de la variable

Valeur maximale de la variable utilisée pour la rotation de l’élément.

Plus de détails dans l’aide en ligne.

VT_I4

TwistViewMin

Rotation min [°]

Angle de rotation de l’élément pour la valeur minimum de la variable (en °).

Plus de détails dans l’aide en ligne.

VT_I4

TwistViewMax

Rotation max [°]

Angle de rotation de l’élément pour la valeur maximum de la variable (en °).

Plus de détails dans l’aide en ligne.

ZT_STYLE

ShadowEffectStyle

Style effet cadres/ombres

Affichage et sélection du style de cadre et d’ombre attribué à l’élément.

Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de style.
Si plusieurs éléments ont été sélectionnés, ils peuvent être attribués à un style commun.

Remarque : Seules les propriétés compatibles avec l’élément correspondant sont prises en charge.

Plus de détails dans l’aide en ligne.

VT_BOOL

EnablePunchFrame

Afficher le cadre

A frame around the element can be displayed.
Default: inactive.

ZT_STYLE

GlowEffectStyle

Style effet de rayonnement

Affichage et sélection du style des effets de luminescence attribués à l’élément.

Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de style.
Si plusieurs éléments ont été sélectionnés, ils peuvent être attribués à un style commun.

Remarque : Seules les propriétés compatibles avec l’élément correspondant sont prises en charge.

Plus de détails dans l’aide en ligne.

VT_BOOL

GlowEffectEvent

Actif seulement si cliqué

Disponible uniquement si la propriété Activer est active et l’élément est un bouton.

Active : l’effet de luminescence est uniquement affiché lorsque l’utilisateur clique sur le bouton. Cliquer sur le bouton permet de modifier la couleur, le clignotement ou l’invisibilité de l’effet de luminescence.

Par défaut : Inactive

Plus de détails dans l’aide en ligne.

ZT_VARIABLE_DYN

GlowEffectGlowColorVariable

Variable pour la couleur

Disponible uniquement si la propriété Activer est active. La propriété Coloration doit être activée.

Nom de la variable dont la couleur aux valeurs limites doit influencer la couleur de l’effet de luminescence pour l’élément. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de variables. Vous pouvez également saisir le nom manuellement dans le champ de texte. Si aucune variable n’est liée, la couleur définie dans la propriété Couleur est utilisée.

Par défaut : aucune variable liée

Plus de détails dans l’aide en ligne.

ZT_PREVIEW

GlowEffectGlowColorVariablePreview

Affichage aperçu couleur

Affichage de la valeur limite définie pour la variable de couleur lorsque l’effet de luminescence est actif. Disponible uniquement si l’option Depuis la variable a été configurée pour la propriété Variable pour la couleur.

Un aperçu des propriétés définies pour la valeur limite est affiché dans le champ. Aucun aperçu n’est affiché pour les matrices de réaction.
Cliquez sur le bouton ... pour ouvrir la boîte de dialogue d’affichage des résultats. Les valeurs limite sont uniquement affichées ; elles ne peuvent pas être modifiées. Les modifications doivent être effectuées directement dans les propriétés de la variable pour Valeurs limite.

Plus de détails dans l’aide en ligne.

ZT_VARIABLE_DYN

GlowEffectVisibilityVariable

Variable pour la visibilité

Disponible uniquement si la propriété Activer est active.

Nom de la variable dont la valeur influence la visibilité de l’effet de luminescence. La visibilité est soit reprise des propriétés de valeur limite de cette variable (propriété Visibilité depuis valeur limite active), soit définie par la plage de valeurs définie dans les propriétés Visible de et Visible jusqu'à. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de variables. Vous pouvez également saisir le nom manuellement dans le champ de texte.

Remarque : si aucune variable n’est liée, l’effet de luminescence est toujours visible.

Par défaut : aucune variable liée

Plus de détails dans l’aide en ligne.

ZT_PREVIEW

GlowEffectVisibilityVariablePreview

Affichage aperçu visibilité

Affichage de la valeur limite définie pour la variable de visibilité lorsque l’effet de luminescence est actif. Disponible uniquement si l’option Depuis la variable a été configurée pour la propriété Variable pour la visibilité.

Un aperçu des propriétés définies pour la valeur limite est affiché dans le champ. Aucun aperçu n’est affiché pour les matrices de réaction.
Cliquez sur le bouton ... pour ouvrir la boîte de dialogue d’affichage des résultats. Les valeurs limite sont uniquement affichées ; elles ne peuvent pas être modifiées. Les modifications doivent être effectuées directement dans les propriétés de la variable pour Valeurs limite.

Plus de détails dans l’aide en ligne.

VT_BOOL

GlowEffectVisibilityFromLimit

Visibilité depuis valeur limite

Disponible uniquement si la propriété Activer est active. Vous devez en outre définir une variable dans la propriété Variable pour la visibilité.

Active : La visibilité de l’effet de luminescence est influencée par la propriété de valeur limite de la variable.

Attention : Pour une valeur limite de la variable au moins, la propriété Invisible doit être active.

Inactive : la visibilité est influencée par les propriétés de l’élément.

Plus de détails dans l’aide en ligne.

VT_R8

GlowEffectVisibilityFrom

Visible de

Disponible uniquement si la propriété Activer est active. Vous devez en outre définir une variable dans la propriété Variable pour la visibilité ; la propriété Visibilité depuis valeur limite doit être inactive.

Définit la valeur à partir de laquelle l’effet de luminescence devient visible.
Minimum : valeur la moins élevée autorisée pour la variable liée dans Variable pour la visibilité.
Maximum : valeur la moins élevée autorisée pour la variable liée dans Variable pour la visibilité.
Par défaut : valeur la plus élevée autorisée pour la variable liée dans Variable pour la visibilité.

Plus de détails dans l’aide en ligne.

VT_R8

GlowEffectVisibilityTo

Visible jusqu'à

Disponible uniquement si la propriété Activer est active. Vous devez en outre définir une variable dans la propriété Variable pour la visibilité ; la propriété Visibilité depuis valeur limite doit être inactive.

Définit la valeur jusqu’à laquelle l’effet de luminescence reste visible.
Minimum : valeur la plus basse autorisée pour la variable liée dans Variable pour la visibilité.
Maximum : valeur la plus élevée autorisée pour la variable liée dans Variable pour la visibilité.
Par défaut : valeur la plus élevée autorisée pour la variable liée dans Variable pour la visibilité.

Plus de détails dans l’aide en ligne.

ZT_VARIABLE_DYN

GlowEffectBlinkVariable

Variable pour le clignotement

Variables dont les paramètres de clignotement de l’effet de luminescence aux valeurs limites doivent être repris. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de variables.

Par défaut : aucune variable liée

Plus de détails dans l’aide en ligne.

ZT_PREVIEW

GlowEffectBlinkVariablePreview

Affichage aperçu clignotement

Affichage de la valeur limite définie pour la variable de clignotement lorsque l’effet de luminescence est actif. Disponible uniquement si l’option Depuis la variable a été configurée pour la propriété Variable pour le clignotement.

Un aperçu des propriétés définies pour la valeur limite est affiché dans le champ. Aucun aperçu n’est affiché pour les matrices de réaction.
Cliquez sur le bouton ... pour ouvrir la boîte de dialogue d’affichage des résultats. Les valeurs limite sont uniquement affichées ; elles ne peuvent pas être modifiées. Les modifications doivent être effectuées directement dans les propriétés de la variable pour Valeurs limite.

Plus de détails dans l’aide en ligne.

VT_BOOL

GlowEffectUseBlinkColor

Clignotement depuis valeur limite

Disponible uniquement si la propriété Activer est active. Vous devez en outre définir une variable dans la propriété Variable pour le clignotement.

Active : Reprend, pour l’effet de luminescence, la couleur de clignotement de la valeur limite active pour la variable définie dans la propriété Couleur de clignotement par la limite. Cette propriété agit indépendamment de la propriété Coloration. En cas de clignotement, l’effet de luminescence ne devient pas invisible, mais reprend les paramètres de l’effet de luminescence actif.

Par défaut : Inactive

Plus de détails dans l’aide en ligne.

VT_BOOL

GlowEffect2ndBlinkStateVisible

2 états de clignotement invisibles

Disponible uniquement si la propriété Activer est active. Vous devez en outre définir une variable dans la propriété Variable pour le clignotement ; la propriété Clignotement depuis valeur limite doit être inactive.

Active : En cas de clignotement, l’effet de luminescence ne bascule pas vers l’effet de luminescence actif, mais devient invisible. Ceci permet de basculer entre l’invisibilité et la couleur de clignotement en cas de dépassement de la valeur limite.

Par défaut : Inactive

Plus de détails dans l’aide en ligne.


Template

Manuel -> Interfaces de programmation -> Modèles d'objet -> Element -> Element-Dynamic properties -> Template

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Type

VBA/VSTA Name

Display Name

Description

ZT_STYLE

StyleGroup

Groupe de styles

Affichage et sélection du groupe de styles attribué à l’élément.
Cliquez sur le bouton ... pour ouvrir la boîte de dialogue permettant de sélectionner un groupe de styles.
Si plusieurs éléments sont sélectionnés, elles peuvent être attribuées à un groupe de styles commun.

Remarque : Seules les propriétés compatibles avec l’élément correspondant sont prises en charge.

Plus de détails dans l’aide en ligne.

More...

LnClVariable

LnClVariable

"With this property you have the opportunity to get informations about the variable which is linked as ""line/text color"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""LnClVariable.SymVarName"") 'Return the name of the ""line/text color"" variable
zElement.DynProperties (""LnClVariable.SymVarTagNr"") 'Return the identification of the ""line/text color"" variable"

More...

BkClVariable

BkClVariable

"With this property you have the opportunity to get informations about the variable which is linked as ""background/filling color"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""BkClVariable.SymVarName"") 'Return the name of the ""background/filling color"" variable
zElement.DynProperties (""BkClVariable.SymVarTagNr"") 'Return the identification of the ""background/filling color"" variable"

More...

BkCl2Variable

"BkCl2Variable"

More...

XVar

XVar

"With this property you have the opportunity to get informations about the variable which is linked as ""dynamic x position"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""XVar.SymVarName"") 'Return the name of the ""dynamic x position"" variable
zElement.DynProperties (""XVar.SymVarTagNr"") 'Return the identification of the ""dynamic x position"" variable"

More...

YVar

YVar

"With this property you have the opportunity to get informations about the variable which is linked as ""dynamic y position"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""YVar.SymVarName"") 'Return the name of the ""dynamic y position"" variable
zElement.DynProperties (""YVar.SymVarTagNr"") 'Return the identification of the ""dynamic y position"" variable"

More...

XVarZoom

XVarZoom

"With this property you have the opportunity to get informations about the variable which is linked as ""change width"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""XVarZoom.SymVarName"") 'Return the name of the ""change width"" variable
zElement.DynProperties (""XVarZoom.SymVarTagNr"") 'Return the identification of the ""change width"" variable"

More...

YVarZoom

YVarZoom

"With this property you have the opportunity to get informations about the variable which is linked as ""change height"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""YVarZoom.SymVarName"") 'Return the name of the ""change height"" variable
zElement.DynProperties (""YVarZoom.SymVarName"") 'Return the name of the ""change height"" variable
zElement.DynProperties (""YVarZoom.SymVarTagNr"") 'Return the identification of the ""change height"" variable"

More...

TwistVar

TwistVar

"With this property you have the opportunity to get informations about the variable which is linked as ""rotate"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""TwistVar.SymVarName"") 'Return the name of the ""rotate"" variable
zElement.DynProperties (""TwistVar.SymVarTagNr"") 'Return the identification of the ""rotate"" variable"

More...

VisVariable

VisVariable

"With this property you have the opportunity to get informations about the variable which is linked as ""visibility"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""VisVariable.SymVarName"") 'Return the name of the ""visibility"" variable
zElement.DynProperties (""VisVariable.SymVarTagNr"") 'Return the identification of the ""visibility"" variable"

More...

BlinkVar

BlinkVar

More...

GlowEffectGlowColorVar

GlowEffectGlowColorVar

More...

GlowEffectVisibilityVar

GlowEffectVisibilityVar

More...

GlowEffectBlinkVar

GlowEffectBlinkVar

VT_BSTR

Name

Nom d'élément

Attribuez un nom d’élément.
Il ne doit pas être vide.

Attention : Cette propriété n’est pas disponible aux fins de la commutation de langue.

Remarques concernant les cadrans : Pour les conteneurs de synoptique, spécifiez des noms clairement identifiables pour faciliter la sélection lors de la configuration des appels de synoptique.

Plus de détails dans l’aide en ligne.

VT_UI1

Layer

Niveau de visibilité

Sélectionnez l’un des 16 niveaux de visibilité (0 à 15) dans la liste déroulante. À l’aide de la barre d’outils Niveau de visibilité, vous décidez des niveaux qui doivent être affichés dans Editor. Cette fonction garantit que les synoptiques les plus complexes peuvent être développés de manière simple. Les niveaux peuvent être utilisés immédiatement. Les niveaux n’ont aucune influence sur les informations affichées au premier plan ou en arrière-plan dans le Runtime.
Par défaut : 0.

Plus de détails dans l’aide en ligne.

VT_I4

StartX

Point de départ X [pixels]

Coordonnée Y du coin supérieur gauche du synoptique (en pixels).

Plus de détails dans l’aide en ligne.

VT_I4

EndX

Point final X [pixels]

Coordonnée X du coin inférieur droit du synoptique (en pixels).

Plus de détails dans l’aide en ligne.

VT_I4

StartY

Point de départ Y [pixels]

Coordonnée Y du coin supérieur gauche du synoptique (en pixels).

Plus de détails dans l’aide en ligne.

VT_I4

EndY

Point final Y [pixels]

Coordonnée Y du coin inférieur droit du synoptique (en pixels).

Plus de détails dans l’aide en ligne.

VT_I4

Width

Largeur [pixels]

Largeur des éléments en pixels.

Remarque : disponible uniquement pour les éléments Combinaison multiple, Élément combiné, Bouton et Interrupteur si la valeur Ajusté a été sélectionnée pour la propriété Taille du graphique.

Plus de détails dans l’aide en ligne.

VT_I4

Height

Hauteur [pixels]

Hauteur des éléments en pixels.

Remarque : disponible uniquement pour les éléments Combinaison multiple, Élément combiné, Bouton et Interrupteur si la valeur Ajusté a été sélectionnée pour la propriété Taille du graphique.

Plus de détails dans l’aide en ligne.

VT_I4

Angle

Angle de rotation [°]

Angle libre autour selon lequel doit pivoter l’élément.
Les valeurs positives correspondent à une rotation dans le sens antihoraire, tandis que les valeurs négatives correspondent à une rotation dans le sens horaire. Les valeurs supérieures à 360° sont affichées sous forme d’écart par rapport à 360° (400° correspond à 40°). Seuls les nombres entiers sont autorisés.

Sur les éléments pivotés, les actions suivantes ne sont plus possibles :

  • Miroir
  • Rotation de +/- 90°
  • Redimensionnement à l’aide des touches fléchées

Par défaut : 0

Remarque : Ce paramètre est activé et réinitialisé lors de la configuration pour Windows CE.

Plus de détails dans l’aide en ligne.

VT_I2

ZoomMin

Visible de

Incrément de zoom le plus bas auquel l’élément est visible dans la vue globale.
Par défaut : -1
Une valeur de visibilité avec des incréments de zoom de -1 à -1 signifie que l’élément est affiché, quel que soit l’incrément de zoom sélectionné.

Les niveaux de zoom affichés dans la vue globale peuvent être configurés avec la propriété Apparence graphique -> Généralités runtime -> Pas de zoom pour vue globale.

Attention : Ce niveau de zoom s’applique à tous les types de synoptiques et cadres. Si un niveau de zoom défini est supérieur à 0, l’élément est uniquement affiché dans la vue globale, car les autres types de synoptique sont automatiquement appelés avec le niveau de zoom 0.

Plus de détails dans l’aide en ligne.

VT_I2

ZoomMax

Visible jusqu'à

Incrément de zoom le plus élevé auquel l’élément est visible dans la vue globale.

Par défaut : -1
Une valeur de visibilité avec des incréments de zoom de -1 à -1 signifie que l’élément est affiché, quel que soit l’incrément de zoom sélectionné.

Les niveaux de zoom affichés dans la vue globale peuvent être configurés avec la propriété Apparence graphique -> Généralités runtime -> Pas de zoom pour vue globale.

Attention : Ce niveau de zoom s’applique à tous les types de synoptiques et cadres. Si un niveau de zoom défini est supérieur à 0, l’élément est uniquement affiché dans la vue globale, car les autres types de synoptique sont automatiquement appelés avec le niveau de zoom 0.

Plus de détails dans l’aide en ligne.

VT_BSTR

Stationname

Nom liste d'objets

L’élément est saisi directement dans la liste de stations du synoptique Vue globale, et le texte est saisi ici.

Plus de détails dans l’aide en ligne.

ZT_VARIABLE_DYN

LineColorVariable

Couleur de ligne

Nom des variables dont les couleurs de valeur limite doivent influencer la couleur de ligne/de texte de l’élément. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de variables.

Plus de détails dans l’aide en ligne.

ZT_PREVIEW

LineColorVarPreview

Affichage aperçu couleur

Affichage de la valeur limite pour la propriété Couleur de ligne définie pour la variable. Disponible uniquement si l’option Depuis la variable a été configurée pour la propriété Couleur de ligne.

Un aperçu des propriétés définies pour la valeur limite est affiché dans le champ. Aucun aperçu n’est affiché pour les matrices de réaction.
Cliquez sur le bouton ... pour ouvrir la boîte de dialogue d’affichage des résultats. Les valeurs limite sont uniquement affichées ; elles ne peuvent pas être modifiées. Les modifications doivent être effectuées directement dans les propriétés de la variable pour Valeurs limite.

Plus de détails dans l’aide en ligne.

ZT_VARIABLE_DYN

BackColorVariable

Couleur de remplissage

Nom de la variable dont les couleurs de valeur limite doivent influencer la couleur d’arrière-plan/de remplissage de l’élément.
Ouvre la boîte de dialogue de sélection de variables.

Plus de détails dans l’aide en ligne.

ZT_PREVIEW

BackColorVarPreview

Affichage aperçu couleur

Affichage de la valeur limite pour la propriété Couleur de remplissage définie pour la variable. Disponible uniquement si l’option Depuis la variable a été configurée pour la propriété Couleur de remplissage.

Un aperçu des propriétés définies pour la valeur limite est affiché dans le champ. Aucun aperçu n’est affiché pour les matrices de réaction.
Cliquez sur le bouton ... pour ouvrir la boîte de dialogue d’affichage des résultats. Les valeurs limite sont uniquement affichées ; elles ne peuvent pas être modifiées. Les modifications doivent être effectuées directement dans les propriétés de la variable pour Valeurs limite.

Plus de détails dans l’aide en ligne.

VT_UI1

HorizontalOrigin

Horizontal

Point de référence horizontal de l’événement. Les valeurs possibles sont : gauche, centré, droite.
Ce point est utilisé en tant que base de calcul de l’angle de départ de la rotation (statique et dynamique) et pour le changement dynamique de taille.

Par défaut : À gauche

Plus de détails dans l’aide en ligne.

VT_UI1

VerticalOrigin

Vertical

Point de référence vertical de l’événement. Les valeurs possibles sont : haut, centré, bas.
Ce point est utilisé en tant que base de calcul de l’angle de départ de la rotation (statique et dynamique) et pour le changement dynamique de taille.

Par défaut : En haut

Plus de détails dans l’aide en ligne.

VT_UI4

VisibilityType

Visibilité

Sélection depuis laquelle la visibilité d’un élément est déterminée :

  • Depuis une variable
  • Du verrrouillage

Par défaut : Depuis une variable

Plus de détails dans l’aide en ligne.

ZT_VARIABLE_DYN

VisibilityVariable

Variable

Disponible uniquement si l’option Depuis la variable a été configurée pour la propriété Visibilité.

Nom de la variable dont la valeur contrôle la visibilité de l’élément. La visibilité est soit reprise des propriétés de valeur limite de ces variables, soit définie par la plage de valeurs définie dans les propriétés de et À.
Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de variables. Vous pouvez également saisir manuellement le nom dans le champ de texte.
L'élément reste visible tant qu’aucune variable n’est liée.

Plus de détails dans l’aide en ligne.

ZT_PREVIEW

VisVarPreview

Affichage aperçu visibilité

Affichage des valeurs limite pour la visibilité définies pour la variable. Disponible uniquement si l’option Depuis la variable a été configurée pour la propriété Variable dans le groupe Visibilité.

Un aperçu des propriétés définies pour la valeur limite est affiché dans le champ. Aucun aperçu n’est affiché pour les matrices de réaction.
Cliquez sur le bouton ... pour ouvrir la boîte de dialogue d’affichage des résultats. Les valeurs limite sont uniquement affichées ; elles ne peuvent pas être modifiées. Les modifications doivent être effectuées directement dans les propriétés de la variable pour Valeurs limite.

Plus de détails dans l’aide en ligne.

VT_BOOL

VisibilityFromLimit

A partir des valeurs limites

Uniquement disponible après la sélection d’une variable :

  • Active : La visibilité de l’élément est influencée par la propriété de valeur limite de la variable.

    Attention : La propriété Invisible doit être active pour au moins une valeur limite de la variable.

  • Inactive : la visibilité est influencée par les propriétés de l’élément.

Par défaut : active

Plus de détails dans l’aide en ligne.

VT_R8

VisibilityFrom

de

Disponible uniquement après la sélection d’une variable, si la visibilité n’a pas été reprise par la valeur limite :

Valeur minimum de la variable à laquelle l’élément est visible.

  • Minimum : valeur minimum possible de la variable liée.
  • Maximum : valeur maximum possible de la variable liée.

Par défaut : valeur minimum possible de la variable liée.

Plus de détails dans l’aide en ligne.

VT_R8

VisibilityTo

À

Disponible uniquement après la sélection d’une variable, si la visibilité n’a pas été reprise par la valeur limite :

Valeur maximale de la variable à laquelle l’élément est visible.

  • Minimum : valeur minimum possible de la variable liée.
  • Maximum : valeur maximum possible de la variable liée.

Par défaut : valeur maximum possible de la variable liée.

Plus de détails dans l’aide en ligne.

VT_UI4

Interlocking

Verrouillage

Disponible uniquement si l’option Depuis le verrouillage est sélectionnée pour la propriété Visibilité.

Nom du verrouillage dont la valeur contrôle la visibilité de l’élément. Sélectionnez dans la liste déroulante. Celle-ci contient tous les verrouillages existants et utilisables. L’élément est toujours visible si aucun verrouillage n’est lié.

Plus de détails dans l’aide en ligne.

VT_BSTR

InterlockingName

InterlockingName

Description

VT_BOOL

VisibleWhenInterlocked

Visible si verrouillé

Contrôle la visibilité de l’élément lorsque le verrouillage est sélectionné :

  • Active : L’élément est visible s’il est verrouillé.
  • Inactive : L’élément est visible s’il n’est pas verrouillé.

Par défaut : inactive

Plus de détails dans l’aide en ligne.

ZT_VARIABLE_DYN

BlinkVariable

Affichage aperçu clignotement

Affichage des valeurs limite pour le clignotement définies pour la variable. Disponible uniquement si l’option Depuis la variable a été configurée pour la propriété Prendre le clignotement de la limite.

Un aperçu des propriétés définies pour la valeur limite est affiché dans le champ. Aucun aperçu n’est affiché pour les matrices de réaction.
Cliquez sur le bouton ... pour ouvrir la boîte de dialogue d’affichage des résultats. Les valeurs limite sont uniquement affichées ; elles ne peuvent pas être modifiées. Les modifications doivent être effectuées directement dans les propriétés de la variable pour Valeurs limite.

Plus de détails dans l’aide en ligne.

ZT_PREVIEW

BlinkVarPreview

Affichage aperçu clignotement

Affichage des valeurs limite pour le clignotement définies pour la variable. Disponible uniquement si l’option Depuis la variable a été configurée pour la propriété Prendre le clignotement de la limite.

Un aperçu des propriétés définies pour la valeur limite est affiché dans le champ. Aucun aperçu n’est affiché pour les matrices de réaction.
Cliquez sur le bouton ... pour ouvrir la boîte de dialogue d’affichage des résultats. Les valeurs limite sont uniquement affichées ; elles ne peuvent pas être modifiées. Les modifications doivent être effectuées directement dans les propriétés de la variable pour Valeurs limite.

Plus de détails dans l’aide en ligne.

VT_BOOL

UseBlinkColor

Couleur de clignotement par la limite

Active : Reprend la couleur d’arrière-plan du clignotement défini pour la valeur limite active de la variable pour Prendre le clignotement de la limite. Durant le clignotement, l’élément ne devient pas invisible, mais reprend la couleur d’arrière-plan active.

Par défaut : Inactive

Remarque : la couleur n’est pas prise en compte si la couleur d’arrière-plan Transparence est configurée.

Plus de détails dans l’aide en ligne.

ZT_VARIABLE_DYN

XVariable

Variable

Nom de la variable utilisée pour le déplacement horizontal de l’élément.
Ouvre la boîte de dialogue de sélection de variables.

Plus de détails dans l’aide en ligne.

VT_R8

XVarMin

Valeur min de la variable

Valeur minimale de la variable utilisée pour le déplacement horizontal de l’élément.

Plus de détails dans l’aide en ligne.

VT_R8

XVarMax

Valeur max de la variable

Valeur maximale de la variable utilisée pour le déplacement horizontal de l’élément.

Plus de détails dans l’aide en ligne.

VT_I4

XViewMin

Mouvement min [pixels]

Position horizontale de l’élément pour la valeur minimale de la variable (en pixels).

Plus de détails dans l’aide en ligne.

VT_I4

XViewMax

Mouvement max [pixels]

Position horizontale de l’élément pour la valeur minimale de la variable (en pixels).

Plus de détails dans l’aide en ligne.

ZT_VARIABLE_DYN

YVariable

Variable

Nom de la variable utilisée pour le déplacement vertical de l’élément.
Ouvre la boîte de dialogue de sélection de variables.

Plus de détails dans l’aide en ligne.

VT_R8

YVarMin

Valeur min de la variable

Valeur minimale de la variable utilisée pour le déplacement vertical de l’élément.

Plus de détails dans l’aide en ligne.

VT_R8

YVarMax

Valeur max de la variable

Valeur maximale de la variable utilisée pour le déplacement vertical de l’élément.

Plus de détails dans l’aide en ligne.

VT_I4

YViewMin

Mouvement min [pixels]

Position verticale de l’élément pour la valeur minimale de la variable (en pixels).

Plus de détails dans l’aide en ligne.

VT_I4

YViewMax

Mouvement max [pixels]

Position verticale de l’élément pour la valeur maximale de la variable (en pixels).

Plus de détails dans l’aide en ligne.

ZT_VARIABLE_DYN

XZoomVariable

Variable

Nom de la variable utilisée pour l’agrandissement de la largeur de l’élément.
Ouvre la boîte de dialogue de sélection de variables.

Plus de détails dans l’aide en ligne.

VT_R8

XZoomVarMin

Valeur min de la variable

Valeur minimale de la variable utilisée pour effectuer un zoom à la largeur de l’élément.

Plus de détails dans l’aide en ligne.

VT_R8

XZoomVarMax

Valeur max de la variable

Valeur maximale de la variable utilisée pour effectuer un zoom sur la largeur de l’élément.

Plus de détails dans l’aide en ligne.

VT_I4

XZoomViewMin

Largeur min [%]

Facteur de zoom correspondant à la largeur de l’élément pour la valeur minimale de la variable (en pixels).

Plus de détails dans l’aide en ligne.

VT_I4

XZoomViewMax

Largeur max [%]

Facteur de zoom correspondant à la largeur de l’élément pour la valeur maximale de la variable (en pixels).

Plus de détails dans l’aide en ligne.

ZT_VARIABLE_DYN

YZoomVariable

Variable

Nom de la variable utilisée pour l’agrandissement de la hauteur de l’élément.
Ouvre la boîte de dialogue de sélection de variables.

Plus de détails dans l’aide en ligne.

VT_R8

YZoomVarMin

Valeur min de la variable

Valeur minimum de la variable utilisée pour effectuer un zoom sur la hauteur de l’élément.

Plus de détails dans l’aide en ligne.

VT_R8

YZoomVarMax

Valeur max de la variable

Valeur maximum de la variable utilisée pour effectuer un zoom sur la hauteur de l’élément.

Plus de détails dans l’aide en ligne.

VT_I4

YZoomViewMin

Hauteur min [%]

Facteur de zoom correspondant à la hauteur de l’élément pour la valeur minimum de la variable (en %).

Plus de détails dans l’aide en ligne.

VT_I4

YZoomViewMax

Hauteur max [%]

Facteur de zoom correspondant à la hauteur de l’élément pour la valeur maximale de la variable (en pixels).

Plus de détails dans l’aide en ligne.

ZT_VARIABLE_DYN

TwistVariable

Variable

Nom de la variable utilisée pour la rotation de l’élément.

Plus de détails dans l’aide en ligne.

VT_R8

TwistVarMin

Valeur min de la variable

Valeur minimum de la variable utilisée pour la rotation de l’élément.

Plus de détails dans l’aide en ligne.

VT_R8

TwistVarMax

Valeur max de la variable

Valeur maximale de la variable utilisée pour la rotation de l’élément.

Plus de détails dans l’aide en ligne.

VT_I4

TwistViewMin

Rotation min [°]

Angle de rotation de l’élément pour la valeur minimum de la variable (en °).

Plus de détails dans l’aide en ligne.

VT_I4

TwistViewMax

Rotation max [°]

Angle de rotation de l’élément pour la valeur maximum de la variable (en °).

Plus de détails dans l’aide en ligne.

ZT_STYLE

ShadowEffectStyle

Style effet cadres/ombres

Affichage et sélection du style de cadre et d’ombre attribué à l’élément.

Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de style.
Si plusieurs éléments ont été sélectionnés, ils peuvent être attribués à un style commun.

Remarque : Seules les propriétés compatibles avec l’élément correspondant sont prises en charge.

Plus de détails dans l’aide en ligne.

VT_BOOL

EnablePunchFrame

Afficher le cadre

A frame around the element can be displayed.
Default: inactive.

ZT_STYLE

GlowEffectStyle

Style effet de rayonnement

Affichage et sélection du style des effets de luminescence attribués à l’élément.

Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de style.
Si plusieurs éléments ont été sélectionnés, ils peuvent être attribués à un style commun.

Remarque : Seules les propriétés compatibles avec l’élément correspondant sont prises en charge.

Plus de détails dans l’aide en ligne.

VT_BOOL

GlowEffectEvent

Actif seulement si cliqué

Disponible uniquement si la propriété Activer est active et l’élément est un bouton.

Active : l’effet de luminescence est uniquement affiché lorsque l’utilisateur clique sur le bouton. Cliquer sur le bouton permet de modifier la couleur, le clignotement ou l’invisibilité de l’effet de luminescence.

Par défaut : Inactive

Plus de détails dans l’aide en ligne.

ZT_VARIABLE_DYN

GlowEffectGlowColorVariable

Variable pour la couleur

Disponible uniquement si la propriété Activer est active. La propriété Coloration doit être activée.

Nom de la variable dont la couleur aux valeurs limites doit influencer la couleur de l’effet de luminescence pour l’élément. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de variables. Vous pouvez également saisir le nom manuellement dans le champ de texte. Si aucune variable n’est liée, la couleur définie dans la propriété Couleur est utilisée.

Par défaut : aucune variable liée

Plus de détails dans l’aide en ligne.

ZT_PREVIEW

GlowEffectGlowColorVariablePreview

Affichage aperçu couleur

Affichage de la valeur limite définie pour la variable de couleur lorsque l’effet de luminescence est actif. Disponible uniquement si l’option Depuis la variable a été configurée pour la propriété Variable pour la couleur.

Un aperçu des propriétés définies pour la valeur limite est affiché dans le champ. Aucun aperçu n’est affiché pour les matrices de réaction.
Cliquez sur le bouton ... pour ouvrir la boîte de dialogue d’affichage des résultats. Les valeurs limite sont uniquement affichées ; elles ne peuvent pas être modifiées. Les modifications doivent être effectuées directement dans les propriétés de la variable pour Valeurs limite.

Plus de détails dans l’aide en ligne.

ZT_VARIABLE_DYN

GlowEffectVisibilityVariable

Variable pour la visibilité

Disponible uniquement si la propriété Activer est active.

Nom de la variable dont la valeur influence la visibilité de l’effet de luminescence. La visibilité est soit reprise des propriétés de valeur limite de cette variable (propriété Visibilité depuis valeur limite active), soit définie par la plage de valeurs définie dans les propriétés Visible de et Visible jusqu'à. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de variables. Vous pouvez également saisir le nom manuellement dans le champ de texte.

Remarque : si aucune variable n’est liée, l’effet de luminescence est toujours visible.

Par défaut : aucune variable liée

Plus de détails dans l’aide en ligne.

ZT_PREVIEW

GlowEffectVisibilityVariablePreview

Affichage aperçu visibilité

Affichage de la valeur limite définie pour la variable de visibilité lorsque l’effet de luminescence est actif. Disponible uniquement si l’option Depuis la variable a été configurée pour la propriété Variable pour la visibilité.

Un aperçu des propriétés définies pour la valeur limite est affiché dans le champ. Aucun aperçu n’est affiché pour les matrices de réaction.
Cliquez sur le bouton ... pour ouvrir la boîte de dialogue d’affichage des résultats. Les valeurs limite sont uniquement affichées ; elles ne peuvent pas être modifiées. Les modifications doivent être effectuées directement dans les propriétés de la variable pour Valeurs limite.

Plus de détails dans l’aide en ligne.

VT_BOOL

GlowEffectVisibilityFromLimit

Visibilité depuis valeur limite

Disponible uniquement si la propriété Activer est active. Vous devez en outre définir une variable dans la propriété Variable pour la visibilité.

Active : La visibilité de l’effet de luminescence est influencée par la propriété de valeur limite de la variable.

Attention : Pour une valeur limite de la variable au moins, la propriété Invisible doit être active.

Inactive : la visibilité est influencée par les propriétés de l’élément.

Plus de détails dans l’aide en ligne.

VT_R8

GlowEffectVisibilityFrom

Visible de

Disponible uniquement si la propriété Activer est active. Vous devez en outre définir une variable dans la propriété Variable pour la visibilité ; la propriété Visibilité depuis valeur limite doit être inactive.

Définit la valeur à partir de laquelle l’effet de luminescence devient visible.
Minimum : valeur la moins élevée autorisée pour la variable liée dans Variable pour la visibilité.
Maximum : valeur la moins élevée autorisée pour la variable liée dans Variable pour la visibilité.
Par défaut : valeur la plus élevée autorisée pour la variable liée dans Variable pour la visibilité.

Plus de détails dans l’aide en ligne.

VT_R8

GlowEffectVisibilityTo

Visible jusqu'à

Disponible uniquement si la propriété Activer est active. Vous devez en outre définir une variable dans la propriété Variable pour la visibilité ; la propriété Visibilité depuis valeur limite doit être inactive.

Définit la valeur jusqu’à laquelle l’effet de luminescence reste visible.
Minimum : valeur la plus basse autorisée pour la variable liée dans Variable pour la visibilité.
Maximum : valeur la plus élevée autorisée pour la variable liée dans Variable pour la visibilité.
Par défaut : valeur la plus élevée autorisée pour la variable liée dans Variable pour la visibilité.

Plus de détails dans l’aide en ligne.

ZT_VARIABLE_DYN

GlowEffectBlinkVariable

Variable pour le clignotement

Variables dont les paramètres de clignotement de l’effet de luminescence aux valeurs limites doivent être repris. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de variables.

Par défaut : aucune variable liée

Plus de détails dans l’aide en ligne.

ZT_PREVIEW

GlowEffectBlinkVariablePreview

Affichage aperçu clignotement

Affichage de la valeur limite définie pour la variable de clignotement lorsque l’effet de luminescence est actif. Disponible uniquement si l’option Depuis la variable a été configurée pour la propriété Variable pour le clignotement.

Un aperçu des propriétés définies pour la valeur limite est affiché dans le champ. Aucun aperçu n’est affiché pour les matrices de réaction.
Cliquez sur le bouton ... pour ouvrir la boîte de dialogue d’affichage des résultats. Les valeurs limite sont uniquement affichées ; elles ne peuvent pas être modifiées. Les modifications doivent être effectuées directement dans les propriétés de la variable pour Valeurs limite.

Plus de détails dans l’aide en ligne.

VT_BOOL

GlowEffectUseBlinkColor

Clignotement depuis valeur limite

Disponible uniquement si la propriété Activer est active. Vous devez en outre définir une variable dans la propriété Variable pour le clignotement.

Active : Reprend, pour l’effet de luminescence, la couleur de clignotement de la valeur limite active pour la variable définie dans la propriété Couleur de clignotement par la limite. Cette propriété agit indépendamment de la propriété Coloration. En cas de clignotement, l’effet de luminescence ne devient pas invisible, mais reprend les paramètres de l’effet de luminescence actif.

Par défaut : Inactive

Plus de détails dans l’aide en ligne.

VT_BOOL

GlowEffect2ndBlinkStateVisible

2 états de clignotement invisibles

Disponible uniquement si la propriété Activer est active. Vous devez en outre définir une variable dans la propriété Variable pour le clignotement ; la propriété Clignotement depuis valeur limite doit être inactive.

Active : En cas de clignotement, l’effet de luminescence ne bascule pas vers l’effet de luminescence actif, mais devient invisible. Ceci permet de basculer entre l’invisibilité et la couleur de clignotement en cas de dépassement de la valeur limite.

Par défaut : Inactive

Plus de détails dans l’aide en ligne.


Static text

Manuel -> Interfaces de programmation -> Modèles d'objet -> Element -> Element-Dynamic properties -> Static text

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Type

VBA/VSTA Name

Display Name

Description

VT_BSTR

Text

Texte

Texte à afficher sur le synoptique.

en utilisant le caractère &, vous pouvez souligner le caractère suivant dans le Runtime. Pour afficher le caractère &, saisissez "&&".

La chaîne de caractères \n permet d’insérer un saut de ligne.

Plus de détails dans l’aide en ligne.

ZT_STYLE

TextStyle

Style de texte

Affichage et sélection du style de texte attribué à l’élément.

Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de style.
Si plusieurs éléments ont été sélectionnés, ils peuvent être attribués à un style commun.

Remarque : Seules les propriétés compatibles avec l’élément correspondant sont prises en charge.

Plus de détails dans l’aide en ligne.

ZT_LOGSCHRIFT

Font

Police

Sélection de la police utilisée pour l’affichage.

Attention : cette option concerne uniquement les polices incorporées.

Plus de détails dans l’aide en ligne.

ZT_VARIABLE_DYN

LineColorVariable

Couleur du texte

Nom de la variable dont la couleur de valeur limite doit influencer la couleur de texte de l’élément. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de variables.

Plus de détails dans l’aide en ligne.

ZT_PREVIEW

LineColorVarPreview

Affichage aperçu couleur

Affichage de la valeur limite pour la propriété Couleur de ligne définie pour la variable. Disponible uniquement si l’option Depuis la variable a été configurée pour la propriété Couleur de ligne.

Un aperçu des propriétés définies pour la valeur limite est affiché dans le champ. Aucun aperçu n’est affiché pour les matrices de réaction.
Cliquez sur le bouton ... pour ouvrir la boîte de dialogue d’affichage des résultats. Les valeurs limite sont uniquement affichées ; elles ne peuvent pas être modifiées. Les modifications doivent être effectuées directement dans les propriétés de la variable pour Valeurs limite.

Plus de détails dans l’aide en ligne.

ZT_STYLE

FillStyle

Style de remplissage

Affichage et sélection du style de remplissage attribué à l’élément.

Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de style.
Si plusieurs éléments ont été sélectionnés, ils peuvent être attribués à un style commun.

Remarque : Seules les propriétés compatibles avec l’élément correspondant sont prises en charge.

Plus de détails dans l’aide en ligne.

VT_BOOL

Transparent

Transparence

Active : Désactive la couleur d’arrière-plan de l’élément.

L’effet de cette option sur un bouton est un bouton invisible. Il peut être positionné au-dessus des autres éléments en tant que bouton invisible.

Plus de détails dans l’aide en ligne.

ZT_STYLE

StyleGroup

Groupe de styles

Affichage et sélection du groupe de styles attribué à l’élément.
Cliquez sur le bouton ... pour ouvrir la boîte de dialogue permettant de sélectionner un groupe de styles.
Si plusieurs éléments sont sélectionnés, elles peuvent être attribuées à un groupe de styles commun.

Remarque : Seules les propriétés compatibles avec l’élément correspondant sont prises en charge.

Plus de détails dans l’aide en ligne.

More...

LnClVariable

LnClVariable

"With this property you have the opportunity to get informations about the variable which is linked as ""line/text color"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""LnClVariable.SymVarName"") 'Return the name of the ""line/text color"" variable
zElement.DynProperties (""LnClVariable.SymVarTagNr"") 'Return the identification of the ""line/text color"" variable"

More...

BkClVariable

BkClVariable

"With this property you have the opportunity to get informations about the variable which is linked as ""background/filling color"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""BkClVariable.SymVarName"") 'Return the name of the ""background/filling color"" variable
zElement.DynProperties (""BkClVariable.SymVarTagNr"") 'Return the identification of the ""background/filling color"" variable"

More...

BkCl2Variable

"BkCl2Variable"

More...

XVar

XVar

"With this property you have the opportunity to get informations about the variable which is linked as ""dynamic x position"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""XVar.SymVarName"") 'Return the name of the ""dynamic x position"" variable
zElement.DynProperties (""XVar.SymVarTagNr"") 'Return the identification of the ""dynamic x position"" variable"

More...

YVar

YVar

"With this property you have the opportunity to get informations about the variable which is linked as ""dynamic y position"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""YVar.SymVarName"") 'Return the name of the ""dynamic y position"" variable
zElement.DynProperties (""YVar.SymVarTagNr"") 'Return the identification of the ""dynamic y position"" variable"

More...

XVarZoom

XVarZoom

"With this property you have the opportunity to get informations about the variable which is linked as ""change width"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""XVarZoom.SymVarName"") 'Return the name of the ""change width"" variable
zElement.DynProperties (""XVarZoom.SymVarTagNr"") 'Return the identification of the ""change width"" variable"

More...

YVarZoom

YVarZoom

"With this property you have the opportunity to get informations about the variable which is linked as ""change height"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""YVarZoom.SymVarName"") 'Return the name of the ""change height"" variable
zElement.DynProperties (""YVarZoom.SymVarName"") 'Return the name of the ""change height"" variable
zElement.DynProperties (""YVarZoom.SymVarTagNr"") 'Return the identification of the ""change height"" variable"

More...

TwistVar

TwistVar

"With this property you have the opportunity to get informations about the variable which is linked as ""rotate"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""TwistVar.SymVarName"") 'Return the name of the ""rotate"" variable
zElement.DynProperties (""TwistVar.SymVarTagNr"") 'Return the identification of the ""rotate"" variable"

More...

VisVariable

VisVariable

"With this property you have the opportunity to get informations about the variable which is linked as ""visibility"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""VisVariable.SymVarName"") 'Return the name of the ""visibility"" variable
zElement.DynProperties (""VisVariable.SymVarTagNr"") 'Return the identification of the ""visibility"" variable"

More...

BlinkVar

BlinkVar

More...

GlowEffectGlowColorVar

GlowEffectGlowColorVar

More...

GlowEffectVisibilityVar

GlowEffectVisibilityVar

More...

GlowEffectBlinkVar

GlowEffectBlinkVar

VT_BSTR

Name

Nom d'élément

Attribuez un nom d’élément.
Il ne doit pas être vide.

Attention : Cette propriété n’est pas disponible aux fins de la commutation de langue.

Remarques concernant les cadrans : Pour les conteneurs de synoptique, spécifiez des noms clairement identifiables pour faciliter la sélection lors de la configuration des appels de synoptique.

Plus de détails dans l’aide en ligne.

VT_UI1

Layer

Niveau de visibilité

Sélectionnez l’un des 16 niveaux de visibilité (0 à 15) dans la liste déroulante. À l’aide de la barre d’outils Niveau de visibilité, vous décidez des niveaux qui doivent être affichés dans Editor. Cette fonction garantit que les synoptiques les plus complexes peuvent être développés de manière simple. Les niveaux peuvent être utilisés immédiatement. Les niveaux n’ont aucune influence sur les informations affichées au premier plan ou en arrière-plan dans le Runtime.
Par défaut : 0.

Plus de détails dans l’aide en ligne.

VT_I4

StartX

Point de départ X [pixels]

Coordonnée Y du coin supérieur gauche du synoptique (en pixels).

Plus de détails dans l’aide en ligne.

VT_I4

EndX

Point final X [pixels]

Coordonnée X du coin inférieur droit du synoptique (en pixels).

Plus de détails dans l’aide en ligne.

VT_I4

StartY

Point de départ Y [pixels]

Coordonnée Y du coin supérieur gauche du synoptique (en pixels).

Plus de détails dans l’aide en ligne.

VT_I4

EndY

Point final Y [pixels]

Coordonnée Y du coin inférieur droit du synoptique (en pixels).

Plus de détails dans l’aide en ligne.

VT_I4

Width

Largeur [pixels]

Largeur des éléments en pixels.

Remarque : disponible uniquement pour les éléments Combinaison multiple, Élément combiné, Bouton et Interrupteur si la valeur Ajusté a été sélectionnée pour la propriété Taille du graphique.

Plus de détails dans l’aide en ligne.

VT_I4

Height

Hauteur [pixels]

Hauteur des éléments en pixels.

Remarque : disponible uniquement pour les éléments Combinaison multiple, Élément combiné, Bouton et Interrupteur si la valeur Ajusté a été sélectionnée pour la propriété Taille du graphique.

Plus de détails dans l’aide en ligne.

VT_I4

Angle

Angle de rotation [°]

Angle libre autour selon lequel doit pivoter l’élément.
Les valeurs positives correspondent à une rotation dans le sens antihoraire, tandis que les valeurs négatives correspondent à une rotation dans le sens horaire. Les valeurs supérieures à 360° sont affichées sous forme d’écart par rapport à 360° (400° correspond à 40°). Seuls les nombres entiers sont autorisés.

Sur les éléments pivotés, les actions suivantes ne sont plus possibles :

  • Miroir
  • Rotation de +/- 90°
  • Redimensionnement à l’aide des touches fléchées

Par défaut : 0

Remarque : Ce paramètre est activé et réinitialisé lors de la configuration pour Windows CE.

Plus de détails dans l’aide en ligne.

VT_I2

ZoomMin

Visible de

Incrément de zoom le plus bas auquel l’élément est visible dans la vue globale.
Par défaut : -1
Une valeur de visibilité avec des incréments de zoom de -1 à -1 signifie que l’élément est affiché, quel que soit l’incrément de zoom sélectionné.

Les niveaux de zoom affichés dans la vue globale peuvent être configurés avec la propriété Apparence graphique -> Généralités runtime -> Pas de zoom pour vue globale.

Attention : Ce niveau de zoom s’applique à tous les types de synoptiques et cadres. Si un niveau de zoom défini est supérieur à 0, l’élément est uniquement affiché dans la vue globale, car les autres types de synoptique sont automatiquement appelés avec le niveau de zoom 0.

Plus de détails dans l’aide en ligne.

VT_I2

ZoomMax

Visible jusqu'à

Incrément de zoom le plus élevé auquel l’élément est visible dans la vue globale.

Par défaut : -1
Une valeur de visibilité avec des incréments de zoom de -1 à -1 signifie que l’élément est affiché, quel que soit l’incrément de zoom sélectionné.

Les niveaux de zoom affichés dans la vue globale peuvent être configurés avec la propriété Apparence graphique -> Généralités runtime -> Pas de zoom pour vue globale.

Attention : Ce niveau de zoom s’applique à tous les types de synoptiques et cadres. Si un niveau de zoom défini est supérieur à 0, l’élément est uniquement affiché dans la vue globale, car les autres types de synoptique sont automatiquement appelés avec le niveau de zoom 0.

Plus de détails dans l’aide en ligne.

VT_BSTR

Stationname

Nom liste d'objets

L’élément est saisi directement dans la liste de stations du synoptique Vue globale, et le texte est saisi ici.

Plus de détails dans l’aide en ligne.

ZT_VARIABLE_DYN

BackColorVariable

Couleur de remplissage

Nom de la variable dont les couleurs de valeur limite doivent influencer la couleur d’arrière-plan/de remplissage de l’élément.
Ouvre la boîte de dialogue de sélection de variables.

Plus de détails dans l’aide en ligne.

ZT_PREVIEW

BackColorVarPreview

Affichage aperçu couleur

Affichage de la valeur limite pour la propriété Couleur de remplissage définie pour la variable. Disponible uniquement si l’option Depuis la variable a été configurée pour la propriété Couleur de remplissage.

Un aperçu des propriétés définies pour la valeur limite est affiché dans le champ. Aucun aperçu n’est affiché pour les matrices de réaction.
Cliquez sur le bouton ... pour ouvrir la boîte de dialogue d’affichage des résultats. Les valeurs limite sont uniquement affichées ; elles ne peuvent pas être modifiées. Les modifications doivent être effectuées directement dans les propriétés de la variable pour Valeurs limite.

Plus de détails dans l’aide en ligne.

VT_UI1

HorizontalOrigin

Horizontal

Point de référence horizontal de l’événement. Les valeurs possibles sont : gauche, centré, droite.
Ce point est utilisé en tant que base de calcul de l’angle de départ de la rotation (statique et dynamique) et pour le changement dynamique de taille.

Par défaut : À gauche

Plus de détails dans l’aide en ligne.

VT_UI1

VerticalOrigin

Vertical

Point de référence vertical de l’événement. Les valeurs possibles sont : haut, centré, bas.
Ce point est utilisé en tant que base de calcul de l’angle de départ de la rotation (statique et dynamique) et pour le changement dynamique de taille.

Par défaut : En haut

Plus de détails dans l’aide en ligne.

VT_UI4

VisibilityType

Visibilité

Sélection depuis laquelle la visibilité d’un élément est déterminée :

  • Depuis une variable
  • Du verrrouillage

Par défaut : Depuis une variable

Plus de détails dans l’aide en ligne.

ZT_VARIABLE_DYN

VisibilityVariable

Variable

Disponible uniquement si l’option Depuis la variable a été configurée pour la propriété Visibilité.

Nom de la variable dont la valeur contrôle la visibilité de l’élément. La visibilité est soit reprise des propriétés de valeur limite de ces variables, soit définie par la plage de valeurs définie dans les propriétés de et À.
Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de variables. Vous pouvez également saisir manuellement le nom dans le champ de texte.
L'élément reste visible tant qu’aucune variable n’est liée.

Plus de détails dans l’aide en ligne.

ZT_PREVIEW

VisVarPreview

Affichage aperçu visibilité

Affichage des valeurs limite pour la visibilité définies pour la variable. Disponible uniquement si l’option Depuis la variable a été configurée pour la propriété Variable dans le groupe Visibilité.

Un aperçu des propriétés définies pour la valeur limite est affiché dans le champ. Aucun aperçu n’est affiché pour les matrices de réaction.
Cliquez sur le bouton ... pour ouvrir la boîte de dialogue d’affichage des résultats. Les valeurs limite sont uniquement affichées ; elles ne peuvent pas être modifiées. Les modifications doivent être effectuées directement dans les propriétés de la variable pour Valeurs limite.

Plus de détails dans l’aide en ligne.

VT_BOOL

VisibilityFromLimit

A partir des valeurs limites

Uniquement disponible après la sélection d’une variable :

  • Active : La visibilité de l’élément est influencée par la propriété de valeur limite de la variable.

    Attention : La propriété Invisible doit être active pour au moins une valeur limite de la variable.

  • Inactive : la visibilité est influencée par les propriétés de l’élément.

Par défaut : active

Plus de détails dans l’aide en ligne.

VT_R8

VisibilityFrom

de

Disponible uniquement après la sélection d’une variable, si la visibilité n’a pas été reprise par la valeur limite :

Valeur minimum de la variable à laquelle l’élément est visible.

  • Minimum : valeur minimum possible de la variable liée.
  • Maximum : valeur maximum possible de la variable liée.

Par défaut : valeur minimum possible de la variable liée.

Plus de détails dans l’aide en ligne.

VT_R8

VisibilityTo

À

Disponible uniquement après la sélection d’une variable, si la visibilité n’a pas été reprise par la valeur limite :

Valeur maximale de la variable à laquelle l’élément est visible.

  • Minimum : valeur minimum possible de la variable liée.
  • Maximum : valeur maximum possible de la variable liée.

Par défaut : valeur maximum possible de la variable liée.

Plus de détails dans l’aide en ligne.

VT_UI4

Interlocking

Verrouillage

Disponible uniquement si l’option Depuis le verrouillage est sélectionnée pour la propriété Visibilité.

Nom du verrouillage dont la valeur contrôle la visibilité de l’élément. Sélectionnez dans la liste déroulante. Celle-ci contient tous les verrouillages existants et utilisables. L’élément est toujours visible si aucun verrouillage n’est lié.

Plus de détails dans l’aide en ligne.

VT_BSTR

InterlockingName

InterlockingName

Description

VT_BOOL

VisibleWhenInterlocked

Visible si verrouillé

Contrôle la visibilité de l’élément lorsque le verrouillage est sélectionné :

  • Active : L’élément est visible s’il est verrouillé.
  • Inactive : L’élément est visible s’il n’est pas verrouillé.

Par défaut : inactive

Plus de détails dans l’aide en ligne.

ZT_VARIABLE_DYN

BlinkVariable

Affichage aperçu clignotement

Affichage des valeurs limite pour le clignotement définies pour la variable. Disponible uniquement si l’option Depuis la variable a été configurée pour la propriété Prendre le clignotement de la limite.

Un aperçu des propriétés définies pour la valeur limite est affiché dans le champ. Aucun aperçu n’est affiché pour les matrices de réaction.
Cliquez sur le bouton ... pour ouvrir la boîte de dialogue d’affichage des résultats. Les valeurs limite sont uniquement affichées ; elles ne peuvent pas être modifiées. Les modifications doivent être effectuées directement dans les propriétés de la variable pour Valeurs limite.

Plus de détails dans l’aide en ligne.

ZT_PREVIEW

BlinkVarPreview

Affichage aperçu clignotement

Affichage des valeurs limite pour le clignotement définies pour la variable. Disponible uniquement si l’option Depuis la variable a été configurée pour la propriété Prendre le clignotement de la limite.

Un aperçu des propriétés définies pour la valeur limite est affiché dans le champ. Aucun aperçu n’est affiché pour les matrices de réaction.
Cliquez sur le bouton ... pour ouvrir la boîte de dialogue d’affichage des résultats. Les valeurs limite sont uniquement affichées ; elles ne peuvent pas être modifiées. Les modifications doivent être effectuées directement dans les propriétés de la variable pour Valeurs limite.

Plus de détails dans l’aide en ligne.

VT_BOOL

UseBlinkColor

Couleur de clignotement par la limite

Active : Reprend la couleur d’arrière-plan du clignotement défini pour la valeur limite active de la variable pour Prendre le clignotement de la limite. Durant le clignotement, l’élément ne devient pas invisible, mais reprend la couleur d’arrière-plan active.

Par défaut : Inactive

Remarque : la couleur n’est pas prise en compte si la couleur d’arrière-plan Transparence est configurée.

Plus de détails dans l’aide en ligne.

ZT_VARIABLE_DYN

XVariable

Variable

Nom de la variable utilisée pour le déplacement horizontal de l’élément.
Ouvre la boîte de dialogue de sélection de variables.

Plus de détails dans l’aide en ligne.

VT_R8

XVarMin

Valeur min de la variable

Valeur minimale de la variable utilisée pour le déplacement horizontal de l’élément.

Plus de détails dans l’aide en ligne.

VT_R8

XVarMax

Valeur max de la variable

Valeur maximale de la variable utilisée pour le déplacement horizontal de l’élément.

Plus de détails dans l’aide en ligne.

VT_I4

XViewMin

Mouvement min [pixels]

Position horizontale de l’élément pour la valeur minimale de la variable (en pixels).

Plus de détails dans l’aide en ligne.

VT_I4

XViewMax

Mouvement max [pixels]

Position horizontale de l’élément pour la valeur minimale de la variable (en pixels).

Plus de détails dans l’aide en ligne.

ZT_VARIABLE_DYN

YVariable

Variable

Nom de la variable utilisée pour le déplacement vertical de l’élément.
Ouvre la boîte de dialogue de sélection de variables.

Plus de détails dans l’aide en ligne.

VT_R8

YVarMin

Valeur min de la variable

Valeur minimale de la variable utilisée pour le déplacement vertical de l’élément.

Plus de détails dans l’aide en ligne.

VT_R8

YVarMax

Valeur max de la variable

Valeur maximale de la variable utilisée pour le déplacement vertical de l’élément.

Plus de détails dans l’aide en ligne.

VT_I4

YViewMin

Mouvement min [pixels]

Position verticale de l’élément pour la valeur minimale de la variable (en pixels).

Plus de détails dans l’aide en ligne.

VT_I4

YViewMax

Mouvement max [pixels]

Position verticale de l’élément pour la valeur maximale de la variable (en pixels).

Plus de détails dans l’aide en ligne.

ZT_VARIABLE_DYN

XZoomVariable

Variable

Nom de la variable utilisée pour l’agrandissement de la largeur de l’élément.
Ouvre la boîte de dialogue de sélection de variables.

Plus de détails dans l’aide en ligne.

VT_R8

XZoomVarMin

Valeur min de la variable

Valeur minimale de la variable utilisée pour effectuer un zoom à la largeur de l’élément.

Plus de détails dans l’aide en ligne.

VT_R8

XZoomVarMax

Valeur max de la variable

Valeur maximale de la variable utilisée pour effectuer un zoom sur la largeur de l’élément.

Plus de détails dans l’aide en ligne.

VT_I4

XZoomViewMin

Largeur min [%]

Facteur de zoom correspondant à la largeur de l’élément pour la valeur minimale de la variable (en pixels).

Plus de détails dans l’aide en ligne.

VT_I4

XZoomViewMax

Largeur max [%]

Facteur de zoom correspondant à la largeur de l’élément pour la valeur maximale de la variable (en pixels).

Plus de détails dans l’aide en ligne.

ZT_VARIABLE_DYN

YZoomVariable

Variable

Nom de la variable utilisée pour l’agrandissement de la hauteur de l’élément.
Ouvre la boîte de dialogue de sélection de variables.

Plus de détails dans l’aide en ligne.

VT_R8

YZoomVarMin

Valeur min de la variable

Valeur minimum de la variable utilisée pour effectuer un zoom sur la hauteur de l’élément.

Plus de détails dans l’aide en ligne.

VT_R8

YZoomVarMax

Valeur max de la variable

Valeur maximum de la variable utilisée pour effectuer un zoom sur la hauteur de l’élément.

Plus de détails dans l’aide en ligne.

VT_I4

YZoomViewMin

Hauteur min [%]

Facteur de zoom correspondant à la hauteur de l’élément pour la valeur minimum de la variable (en %).

Plus de détails dans l’aide en ligne.

VT_I4

YZoomViewMax

Hauteur max [%]

Facteur de zoom correspondant à la hauteur de l’élément pour la valeur maximale de la variable (en pixels).

Plus de détails dans l’aide en ligne.

ZT_VARIABLE_DYN

TwistVariable

Variable

Nom de la variable utilisée pour la rotation de l’élément.

Plus de détails dans l’aide en ligne.

VT_R8

TwistVarMin

Valeur min de la variable

Valeur minimum de la variable utilisée pour la rotation de l’élément.

Plus de détails dans l’aide en ligne.

VT_R8

TwistVarMax

Valeur max de la variable

Valeur maximale de la variable utilisée pour la rotation de l’élément.

Plus de détails dans l’aide en ligne.

VT_I4

TwistViewMin

Rotation min [°]

Angle de rotation de l’élément pour la valeur minimum de la variable (en °).

Plus de détails dans l’aide en ligne.

VT_I4

TwistViewMax

Rotation max [°]

Angle de rotation de l’élément pour la valeur maximum de la variable (en °).

Plus de détails dans l’aide en ligne.

ZT_STYLE

ShadowEffectStyle

Style effet cadres/ombres

Affichage et sélection du style de cadre et d’ombre attribué à l’élément.

Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de style.
Si plusieurs éléments ont été sélectionnés, ils peuvent être attribués à un style commun.

Remarque : Seules les propriétés compatibles avec l’élément correspondant sont prises en charge.

Plus de détails dans l’aide en ligne.

VT_BOOL

EnablePunchFrame

Afficher le cadre

A frame around the element can be displayed.
Default: inactive.

ZT_STYLE

GlowEffectStyle

Style effet de rayonnement

Affichage et sélection du style des effets de luminescence attribués à l’élément.

Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de style.
Si plusieurs éléments ont été sélectionnés, ils peuvent être attribués à un style commun.

Remarque : Seules les propriétés compatibles avec l’élément correspondant sont prises en charge.

Plus de détails dans l’aide en ligne.

VT_BOOL

GlowEffectEvent

Actif seulement si cliqué

Disponible uniquement si la propriété Activer est active et l’élément est un bouton.

Active : l’effet de luminescence est uniquement affiché lorsque l’utilisateur clique sur le bouton. Cliquer sur le bouton permet de modifier la couleur, le clignotement ou l’invisibilité de l’effet de luminescence.

Par défaut : Inactive

Plus de détails dans l’aide en ligne.

ZT_VARIABLE_DYN

GlowEffectGlowColorVariable

Variable pour la couleur

Disponible uniquement si la propriété Activer est active. La propriété Coloration doit être activée.

Nom de la variable dont la couleur aux valeurs limites doit influencer la couleur de l’effet de luminescence pour l’élément. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de variables. Vous pouvez également saisir le nom manuellement dans le champ de texte. Si aucune variable n’est liée, la couleur définie dans la propriété Couleur est utilisée.

Par défaut : aucune variable liée

Plus de détails dans l’aide en ligne.

ZT_PREVIEW

GlowEffectGlowColorVariablePreview

Affichage aperçu couleur

Affichage de la valeur limite définie pour la variable de couleur lorsque l’effet de luminescence est actif. Disponible uniquement si l’option Depuis la variable a été configurée pour la propriété Variable pour la couleur.

Un aperçu des propriétés définies pour la valeur limite est affiché dans le champ. Aucun aperçu n’est affiché pour les matrices de réaction.
Cliquez sur le bouton ... pour ouvrir la boîte de dialogue d’affichage des résultats. Les valeurs limite sont uniquement affichées ; elles ne peuvent pas être modifiées. Les modifications doivent être effectuées directement dans les propriétés de la variable pour Valeurs limite.

Plus de détails dans l’aide en ligne.

ZT_VARIABLE_DYN

GlowEffectVisibilityVariable

Variable pour la visibilité

Disponible uniquement si la propriété Activer est active.

Nom de la variable dont la valeur influence la visibilité de l’effet de luminescence. La visibilité est soit reprise des propriétés de valeur limite de cette variable (propriété Visibilité depuis valeur limite active), soit définie par la plage de valeurs définie dans les propriétés Visible de et Visible jusqu'à. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de variables. Vous pouvez également saisir le nom manuellement dans le champ de texte.

Remarque : si aucune variable n’est liée, l’effet de luminescence est toujours visible.

Par défaut : aucune variable liée

Plus de détails dans l’aide en ligne.

ZT_PREVIEW

GlowEffectVisibilityVariablePreview

Affichage aperçu visibilité

Affichage de la valeur limite définie pour la variable de visibilité lorsque l’effet de luminescence est actif. Disponible uniquement si l’option Depuis la variable a été configurée pour la propriété Variable pour la visibilité.

Un aperçu des propriétés définies pour la valeur limite est affiché dans le champ. Aucun aperçu n’est affiché pour les matrices de réaction.
Cliquez sur le bouton ... pour ouvrir la boîte de dialogue d’affichage des résultats. Les valeurs limite sont uniquement affichées ; elles ne peuvent pas être modifiées. Les modifications doivent être effectuées directement dans les propriétés de la variable pour Valeurs limite.

Plus de détails dans l’aide en ligne.

VT_BOOL

GlowEffectVisibilityFromLimit

Visibilité depuis valeur limite

Disponible uniquement si la propriété Activer est active. Vous devez en outre définir une variable dans la propriété Variable pour la visibilité.

Active : La visibilité de l’effet de luminescence est influencée par la propriété de valeur limite de la variable.

Attention : Pour une valeur limite de la variable au moins, la propriété Invisible doit être active.

Inactive : la visibilité est influencée par les propriétés de l’élément.

Plus de détails dans l’aide en ligne.

VT_R8

GlowEffectVisibilityFrom

Visible de

Disponible uniquement si la propriété Activer est active. Vous devez en outre définir une variable dans la propriété Variable pour la visibilité ; la propriété Visibilité depuis valeur limite doit être inactive.

Définit la valeur à partir de laquelle l’effet de luminescence devient visible.
Minimum : valeur la moins élevée autorisée pour la variable liée dans Variable pour la visibilité.
Maximum : valeur la moins élevée autorisée pour la variable liée dans Variable pour la visibilité.
Par défaut : valeur la plus élevée autorisée pour la variable liée dans Variable pour la visibilité.

Plus de détails dans l’aide en ligne.

VT_R8

GlowEffectVisibilityTo

Visible jusqu'à

Disponible uniquement si la propriété Activer est active. Vous devez en outre définir une variable dans la propriété Variable pour la visibilité ; la propriété Visibilité depuis valeur limite doit être inactive.

Définit la valeur jusqu’à laquelle l’effet de luminescence reste visible.
Minimum : valeur la plus basse autorisée pour la variable liée dans Variable pour la visibilité.
Maximum : valeur la plus élevée autorisée pour la variable liée dans Variable pour la visibilité.
Par défaut : valeur la plus élevée autorisée pour la variable liée dans Variable pour la visibilité.

Plus de détails dans l’aide en ligne.

ZT_VARIABLE_DYN

GlowEffectBlinkVariable

Variable pour le clignotement

Variables dont les paramètres de clignotement de l’effet de luminescence aux valeurs limites doivent être repris. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de variables.

Par défaut : aucune variable liée

Plus de détails dans l’aide en ligne.

ZT_PREVIEW

GlowEffectBlinkVariablePreview

Affichage aperçu clignotement

Affichage de la valeur limite définie pour la variable de clignotement lorsque l’effet de luminescence est actif. Disponible uniquement si l’option Depuis la variable a été configurée pour la propriété Variable pour le clignotement.

Un aperçu des propriétés définies pour la valeur limite est affiché dans le champ. Aucun aperçu n’est affiché pour les matrices de réaction.
Cliquez sur le bouton ... pour ouvrir la boîte de dialogue d’affichage des résultats. Les valeurs limite sont uniquement affichées ; elles ne peuvent pas être modifiées. Les modifications doivent être effectuées directement dans les propriétés de la variable pour Valeurs limite.

Plus de détails dans l’aide en ligne.

VT_BOOL

GlowEffectUseBlinkColor

Clignotement depuis valeur limite

Disponible uniquement si la propriété Activer est active. Vous devez en outre définir une variable dans la propriété Variable pour le clignotement.

Active : Reprend, pour l’effet de luminescence, la couleur de clignotement de la valeur limite active pour la variable définie dans la propriété Couleur de clignotement par la limite. Cette propriété agit indépendamment de la propriété Coloration. En cas de clignotement, l’effet de luminescence ne devient pas invisible, mais reprend les paramètres de l’effet de luminescence actif.

Par défaut : Inactive

Plus de détails dans l’aide en ligne.

VT_BOOL

GlowEffect2ndBlinkStateVisible

2 états de clignotement invisibles

Disponible uniquement si la propriété Activer est active. Vous devez en outre définir une variable dans la propriété Variable pour le clignotement ; la propriété Clignotement depuis valeur limite doit être inactive.

Active : En cas de clignotement, l’effet de luminescence ne bascule pas vers l’effet de luminescence actif, mais devient invisible. Ceci permet de basculer entre l’invisibilité et la couleur de clignotement en cas de dépassement de la valeur limite.

Par défaut : Inactive

Plus de détails dans l’aide en ligne.


CDynEleVarTrend

Manuel -> Interfaces de programmation -> Modèles d'objet -> Element -> Element-Dynamic properties -> CDynEleVarTrend

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | VBA/VSTA Name | Display Name | Description
VT_UI2 | LineStyle | Type de ligne | Ligne continue, tirets, tiret-point. Plus de détails dans l’aide en ligne.
VT_BSTR | TrendText | Nom de la courbe | Afficher si l’option "Afficher information courbe" est définie. Si cette propriété reste vide, le nom de la variable est affiché. Plus de détails dans l’aide en ligne.
VT_BOOL | ViewLimitFromVar | Appliquer la plage de visualisation à partir de la variable | Reprend la zone d’affichage de la variable liée. Vous pouvez actualiser cet affichage durant le remplacement par une variable comportant une plage de valeurs différente. Plus de détails dans l’aide en ligne.
VT_R8 | ViewMin | Plage d'affichage min. | Valeur minimale de la plage d’affichage technique de la courbe (extrait agrandi). Minimum : Valeur minimum de la variable. Maximum : Valeur maximum de la variable. Par défaut : Valeur minimum de la variable. Plus de détails dans l’aide en ligne.
VT_R8 | ViewMax | Plage d'affichage max. | Valeur maximale de la plage d’affichage technique de la courbe (extrait agrandi). Minimum : Valeur minimum de la variable. Maximum : Valeur maximum de la variable. Par défaut : Valeur maximum de la variable. Plus de détails dans l’aide en ligne.
ZT_VARIABLE | ProjectVar | ProjectVar | This property returns a variable. It is also possible to link a new variable via this property.
VT_BSTR | SymVarName | SymVarName | This property returns the name of a variable.
VT_BSTR | SymVarTagNr | SymVarTagNr | This property returns the identification of a variable.


Trend curve

Manuel -> Interfaces de programmation -> Modèles d'objet -> Element -> Element-Dynamic properties -> Trend curve

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Type

VBA/VSTA Name

Display Name

Description

More...

Curves

Courbes

Propriétés des courbes des éléments tendance.

Plus de détails dans l’aide en ligne.

VT_BOOL

ThreeDimensional

3D

Active : L’élément est affiché en trois dimensions.
Inactive : L’élément est affiché en deux dimensions.

Plus de détails dans l’aide en ligne.

VT_I2

ScrollWidth

Largeur de défilement [%]

Cette propriété définit le pourcentage suivant lequel la courbe sera déplacée lorsque la limite d’affichage est atteinte ; des valeurs comprises entre 0 et 100 % sont autorisées.
0% : Supprimer l’entrée la plus ancienne pour chaque nouvelle entrée.
50% : En cas de dépassement de valeur limite, la moitié de la plage d’affichage est supprimée et l’écriture se poursuit.
100% : En cas de dépassement de valeur limite, la totalité de la plage d’affichage est supprimée et l’écriture reprend depuis le début.
Par défaut : 0.

Plus de détails dans l’aide en ligne.

VT_UI2

Direction

Sens de déplacement

Cette propriété définit la disposition de l’axe de temps affiché.
À droite : valeur la plus ancienne à gauche, valeur la plus récente à droite.
À gauche : valeur la plus ancienne à droite, valeur la plus récente à gauche.
En haut : valeur la plus ancienne en bas, valeur la plus récente en haut.
En bas : valeur la plus ancienne en haut, valeur la plus récente en bas.
Si les axes sont affichés, une flèche fans le coin inférieur de l’élément indique la direction.
Par défaut : Droite.

Plus de détails dans l’aide en ligne.

VT_BOOL

Area

Visualiser courbes en tant que surfaces

Active : Les courbes sont représentées sous forme d’appels de fonctions.
Inactive : Les courbes sont affichées sous forme de lignes.
Par défaut : inactive.

Plus de détails dans l’aide en ligne.

VT_BOOL

Axes

Visualiser axes

Active : L’axe de temps et de pourcentage est affiché.
Inactive : Aucun axe n’est affiché.
Par défaut : inactive.

Plus de détails dans l’aide en ligne.

VT_BOOL

Addresses

Afficher information courbe

Active : Le nom ou le texte source modifié et la plage de mesure des variables liées sont affichés dans une légende.
Inactive : Aucune légende n’est affichée.
Par défaut : active.

Plus de détails dans l’aide en ligne.

VT_BOOL

NoInterpolation

Ne pas interpoler

Active : Les valeurs sont liées sans interpolation, par étapes.
Inactive : Les valeurs sont liées avec interpolation.
Par défaut : inactive.

Plus de détails dans l’aide en ligne.

ZT_STYLE

ValueStyle

Style d'affichage de la valeur

Affichage et sélection du style d’affichage de la valeur attribué à l’élément.

Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de style.
Si plusieurs éléments ont été sélectionnés, ils peuvent être attribués à un style commun.

Remarque : Seules les propriétés compatibles avec l’élément correspondant sont prises en charge.

Plus de détails dans l’aide en ligne.

ZT_STYLE

FillStyle

Style de remplissage

Affichage et sélection du style de remplissage attribué à l’élément.

Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de style.
Si plusieurs éléments ont été sélectionnés, ils peuvent être attribués à un style commun.

Remarque : Seules les propriétés compatibles avec l’élément correspondant sont prises en charge.

Plus de détails dans l’aide en ligne.

VT_UI4

RefreshHour

Heures

Heures de l’heure de mise à jour.
Minimum : 0.
Maximum : 119304
Par défaut : 0.

Plus de détails dans l’aide en ligne.

VT_UI2

RefreshMinute

Min.

Minutes de l’heure de mise à jour.
Minimum : 0.
Maximum : 59
Par défaut : 0.

Plus de détails dans l’aide en ligne.

VT_UI2

RefreshSecond

secondes

Secondes de l’heure de mise à jour.
Minimum : 0.
Maximum : 59
Par défaut : 1.

Plus de détails dans l’aide en ligne.

VT_UI2

RefreshMilliSecond

Millisecondes

Millièmes de seconde de l’heure de mise à jour.
Minimum : 0.
Maximum : 999
Par défaut : 0.

Plus de détails dans l’aide en ligne.

VT_UI4

RepresentationHour

Heures

Représentation des heures de la période
Par défaut : 0.

Plus de détails dans l’aide en ligne.

VT_UI2

RepresentationMinute

Min.

Représentation des minutes de la période
Minimum : 0.
Maximum : 59
Par défaut : 0.

Plus de détails dans l’aide en ligne.

VT_UI2

RepresentationSecond

secondes

Représentation des secondes de la période.
Minimum : 0.
Maximum : 59
Par défaut : 0.

Plus de détails dans l’aide en ligne.

VT_BOOL

UnderCE

Visible sous WinCE

Contrôle la visibilité des éléments dans les synoptiques sous Windows CE. Les projets qui sont utilisés sous CE et sur le PC peuvent être créés de manière plus flexible ; la gestion par l’utilisateur est ainsi améliorée. Par exemple, les boutons renvoyant l’utilisateur vers des synoptiques ne pouvant pas être affichés sous CE (par ex. IPA) peuvent être rendus invisibles.

Active : dans synoptique/l’élément est également visible sous Windows CE.

Par défaut : active

Plus de détails dans l’aide en ligne.

ZT_VBAMAKRO

Init

Init

Macro VBA à exécuter lors de l’initialisation de l’élément.

Plus de détails dans l’aide en ligne.

ZT_VBAMAKRO

SetFocus

SetFocus

Macro VBA à exécuter lorsque le focus est placé sur l’élément.

Plus de détails dans l’aide en ligne.

ZT_VBAMAKRO

KillFocus

KillFocus

Macro VBA à exécuter lorsque le focus n’est plus placé sur l’élément.

Plus de détails dans l’aide en ligne.

ZT_VBAMAKRO

LeftClickDown

LeftClickDown

Macro VBA à exécuter lorsque l’utilisateur effectue un clic gauche sur l’élément.

Plus de détails dans l’aide en ligne.

ZT_VBAMAKRO

RightClickDown

RightClickDown

Macro VBA à exécuter lorsque l’utilisateur effectue un clic droit sur l’élément.

Plus de détails dans l’aide en ligne.

ZT_VBAMAKRO

LeftClickUp

LeftClickUp

Macro VBA à exécuter lorsque l’utilisateur relâche le bouton gauche de la souris sur l’élément.

Plus de détails dans l’aide en ligne.

ZT_VBAMAKRO

RightClickUp

RightClickUp

Macro VBA à exécuter lorsque l’utilisateur relâche le bouton droit de la souris sur l’élément.

Plus de détails dans l’aide en ligne.

ZT_VBAMAKRO

LeftDClick

LeftDoubleClick

Macro VBA à exécuter lorsque l’utilisateur effectue un double-clic gauche sur l’élément.

Plus de détails dans l’aide en ligne.

ZT_VBAMAKRO

RightDClick

RightDoubleClick

Macro VBA à exécuter lorsque l’utilisateur effectue un double-clic droit sur l’élément.

Plus de détails dans l’aide en ligne.

ZT_VBAMAKRO

MouseOver

MouseOver

Macro VBA à exécuter si le pointeur de la souris est positionné sur l’élément.

Plus de détails dans l’aide en ligne.

ZT_VBAMAKRO

DragDrop

DragDrop

Macro VBA à exécuter lorsque le bouton de la souris est relâché.

Plus de détails dans l’aide en ligne.

ZT_VBAMAKRO

DragOver

DragOver

Macro VBA à exécuter lorsque le curseur est déplacé au-dessus de l’élément pendant que le bouton gauche est enfoncé.

Plus de détails dans l’aide en ligne.

ZT_VBAMAKRO

DragBegin

DragBegin

Macro VBA à exécuter lorsque l’utilisateur commence à faire glisser l’objet.

Plus de détails dans l’aide en ligne.

VT_BSTR

Menu

Menu contextuel

Menu contextuel de l’élément.
Cliquer avec le bouton droit de la souris sur l’élément pour ouvrir le menu contextuel dans le Runtime.

Plus de détails dans l’aide en ligne.

VT_BSTR

Tooltip

Info bulle

Texte à afficher en tant qu’info-bulle de l’élément dans le Runtime. Une info-bulle est automatiquement affichée dans le Runtime si le pointeur de la souris reste pendant quelques secondes sur l’élément. Des retours à la ligne automatiques peuvent être insérés avec les caractères "\n".

  • Maximum : 79 caractères
    Attention : La combinaison de caractères \n est également comptée dans la limite de 79 caractères.

Plus de détails dans l’aide en ligne.

VT_BOOL

LassoSelect

sélectionnable avec le lasso

La sélection avec le lasso dans le Runtime permet d’identifier les éléments dynamiques et de les utiliser avec des événements VBA.

  • Active : L’élément peut être sélectionné avec le lasso dans le Runtime.
  • Inactive : L’élément ne peut pas être sélectionné dans Runtime.

Par défaut : active

Attention : Pour que l’élément puisse être sélectionné dans le Runtime, vous devez activer la propriété Sélection multiple en runtime (lasso) dans les paramètres du projet !

Remarque concernant la gestion des commandes : Si la propriété Opération à deux mains est activée, le lasso de la commande Exécuter le 2ème niveau ne doit pas être activé.

Plus de détails dans l’aide en ligne.

More...

GestureManipulationGroup

Manipulation

Propriétés pour la manipulation de synoptiques et d’éléments de synoptique dans le cadre d’une utilisation tactile.

Plus de détails dans l’aide en ligne.

ZT_FILE

Helpfile

Fichier d'aide

Fichier d’aide (*.chm) devant être utilisé pour cet élément, conjointement à un menu contextuel. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de fichiers.
Attention : seuls les fichiers d’aide ayant été ajoutés dans le nœud Fichiers/Aide sont disponibles.

Plus de détails dans l’aide en ligne.

VT_BSTR

HelpCapture

Chapitre d'aide

Chapitre d’aide (*.chm) devant être utilisé pour cet élément, conjointement à un menu contextuel. Nom de la page HTML sous-jacente.
Attention : cette entrée tient compte des minuscules et majuscules.

Plus de détails dans l’aide en ligne.

ZT_VARIABLE_DYN

SetValueDynMin

Minimum

Variable dont la valeur actuelle est applicable en tant que limite inférieure de la valeur prescrite de l’élément.
Disponible uniquement si Plages de la variable est inactive :
Plus de détails dans l’aide en ligne.

ZT_VARIABLE_DYN

SetValueDynMax

Maximum

Variable dont la valeur actuelle est applicable en tant que limite supérieure de la valeur prescrite de l’élément.

Disponible uniquement si la propriété Plages de la variable est inactive.

Plus de détails dans l’aide en ligne.

VT_BOOL

GestureRecognitionActive

Reconnaissance de geste active

Active l’évaluation des gestes. Les gestes sont définis à l’aide d’autres propriétés.

Uniquement disponible si, dans le groupe Intéraction des propriétés du projet, la propriété Reconnaissance Windows 8 a été définie.

Plus de détails dans l’aide en ligne.

VT_BOOL

Gestures_Manipulation

Exact

Active : Détection du paramètre Exact défini.

Plus de détails dans l’aide en ligne.

VT_BOOL

Gestures_Exact

Exact

Active : Détection du paramètre Exact défini.

Plus de détails dans l’aide en ligne.

VT_BOOL

Gestures_TranslationX

Translation X

Active : Détection du paramètre Translation X défini.

Plus de détails dans l’aide en ligne.

VT_BOOL

Gestures_TranslationY

Translation Y

Active : Détection du paramètre Translation Y défini.

Plus de détails dans l’aide en ligne.

VT_BOOL

Gestures_RailsX

Rails X

Active : Détection du paramètre Rails X défini.

Plus de détails dans l’aide en ligne.

VT_BOOL

Gestures_RailsY

Rails Y

Active : Détection du paramètre Rails Y défini.

Plus de détails dans l’aide en ligne.

VT_BOOL

Gestures_TranslationInertia

Translation inertia

Active : Détection du paramètre Translation Inertia (Inertie de translation) défini.

Plus de détails dans l’aide en ligne.

VT_BOOL

Gestures_Rotation

Inertie de rotation

Active : Détection du paramètre Rotation Inertia (Inertie de rotation) défini.

Plus de détails dans l’aide en ligne.

VT_BOOL

Gestures_RotationInertia

Inertie de rotation

Active : Détection du paramètre Rotation Inertia (Inertie de rotation) défini.

Plus de détails dans l’aide en ligne.

VT_BOOL

Gestures_Scaling

Scaling inertia

Active : Détection du paramètre Scaling Inertia (Inertie de redimensionnement) défini.

Plus de détails dans l’aide en ligne.

VT_BOOL

Gestures_ScalingInertia

Scaling inertia

Active : Détection du paramètre Scaling Inertia (Inertie de redimensionnement) défini.

Plus de détails dans l’aide en ligne.

VT_BOOL

Gestures_CrossSlide

Cross slide exact

Active : Détection du paramètre Cross Slide Exact (Glissement transversal exact) défini.

Plus de détails dans l’aide en ligne.

VT_BOOL

Gestures_CrossSlideHorizontal

Cross slide horizontal

Active : Détection du paramètre Cross Slide Horizontal (Glissement transversal horizontal) défini.

Plus de détails dans l’aide en ligne.

VT_BOOL

Gestures_CrossSlideSelect

Cross slide select

Active : Détection du paramètre Cross Slide Select (Glissement transversal, sélection) défini.

Plus de détails dans l’aide en ligne.

VT_BOOL

Gestures_CrossSlideSpeedBump

Cross slide speed bump

Active : Détection du paramètre Cross Slide Speed Bump (Glissement transversal, ralentisseur) défini.

Plus de détails dans l’aide en ligne.

VT_BOOL

Gestures_CrossSlideRearrange

Cross slide rearrange

Active : Détection du paramètre Cross Slide Rearrange (Glissement transversal, réorganisation) défini.

Plus de détails dans l’aide en ligne.

VT_BOOL

Gestures_CrossSlideExact

Cross slide exact

Active : Détection du paramètre Cross Slide Exact (Glissement transversal exact) défini.

Plus de détails dans l’aide en ligne.

VT_BOOL

Gestures_Tap

Tap double

Active : Détection du paramètre Tap Double (Double appui) défini.

Plus de détails dans l’aide en ligne.

VT_BOOL

Gestures_TapDouble

Tap double

Active : Détection du paramètre Tap Double (Double appui) défini.

Plus de détails dans l’aide en ligne.

VT_BOOL

Gestures_SecondaryTap

Secondary tap

Active : Détection du paramètre Secondary Tap (Appui secondaire) défini.

Plus de détails dans l’aide en ligne.

VT_BOOL

Gestures_Drag

Drag

Active : Détection du paramètre Drag (Glissement) défini.

Plus de détails dans l’aide en ligne.

VT_BOOL

Gestures_Hold

Hold (Mouse)

Active : Détection du paramètre Hold (Mouse) (Maintien [souris]) défini.

Plus de détails dans l’aide en ligne.

ZT_STYLE

StyleGroup

Groupe de styles

Affichage et sélection du groupe de styles attribué à l’élément.
Cliquez sur le bouton ... pour ouvrir la boîte de dialogue permettant de sélectionner un groupe de styles.
Si plusieurs éléments sont sélectionnés, elles peuvent être attribuées à un groupe de styles commun.

Remarque : Seules les propriétés compatibles avec l’élément correspondant sont prises en charge.

Plus de détails dans l’aide en ligne.

More...

LnClVariable

LnClVariable

"With this property you have the opportunity to get informations about the variable which is linked as ""line/text color"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""LnClVariable.SymVarName"") 'Return the name of the ""line/text color"" variable
zElement.DynProperties (""LnClVariable.SymVarTagNr"") 'Return the identification of the ""line/text color"" variable"

More...

BkClVariable

BkClVariable

"With this property you have the opportunity to get informations about the variable which is linked as ""background/filling color"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""BkClVariable.SymVarName"") 'Return the name of the ""background/filling color"" variable
zElement.DynProperties (""BkClVariable.SymVarTagNr"") 'Return the identification of the ""background/filling color"" variable"

More...

BkCl2Variable

"BkCl2Variable"

More...

XVar

XVar

"With this property you have the opportunity to get informations about the variable which is linked as ""dynamic x position"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""XVar.SymVarName"") 'Return the name of the ""dynamic x position"" variable
zElement.DynProperties (""XVar.SymVarTagNr"") 'Return the identification of the ""dynamic x position"" variable"

More...

YVar

YVar

"With this property you have the opportunity to get informations about the variable which is linked as ""dynamic y position"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""YVar.SymVarName"") 'Return the name of the ""dynamic y position"" variable
zElement.DynProperties (""YVar.SymVarTagNr"") 'Return the identification of the ""dynamic y position"" variable"

More...

XVarZoom

XVarZoom

"With this property you have the opportunity to get informations about the variable which is linked as ""change width"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""XVarZoom.SymVarName"") 'Return the name of the ""change width"" variable
zElement.DynProperties (""XVarZoom.SymVarTagNr"") 'Return the identification of the ""change width"" variable"

More...

YVarZoom

YVarZoom

"With this property you have the opportunity to get informations about the variable which is linked as ""change height"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""YVarZoom.SymVarName"") 'Return the name of the ""change height"" variable
zElement.DynProperties (""YVarZoom.SymVarName"") 'Return the name of the ""change height"" variable
zElement.DynProperties (""YVarZoom.SymVarTagNr"") 'Return the identification of the ""change height"" variable"

More...

TwistVar

TwistVar

"With this property you have the opportunity to get informations about the variable which is linked as ""rotate"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""TwistVar.SymVarName"") 'Return the name of the ""rotate"" variable
zElement.DynProperties (""TwistVar.SymVarTagNr"") 'Return the identification of the ""rotate"" variable"

More...

VisVariable

VisVariable

"With this property you have the opportunity to get informations about the variable which is linked as ""visibility"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""VisVariable.SymVarName"") 'Return the name of the ""visibility"" variable
zElement.DynProperties (""VisVariable.SymVarTagNr"") 'Return the identification of the ""visibility"" variable"

More...

BlinkVar

BlinkVar

More...

GlowEffectGlowColorVar

GlowEffectGlowColorVar

More...

GlowEffectVisibilityVar

GlowEffectVisibilityVar

More...

GlowEffectBlinkVar

GlowEffectBlinkVar

VT_BSTR

Name

Nom d'élément

Attribuez un nom d’élément.
Il ne doit pas être vide.

Attention : Cette propriété n’est pas disponible aux fins de la commutation de langue.

Remarques concernant les cadrans : Pour les conteneurs de synoptique, spécifiez des noms clairement identifiables pour faciliter la sélection lors de la configuration des appels de synoptique.

Plus de détails dans l’aide en ligne.

VT_UI1

Layer

Niveau de visibilité

Sélectionnez l’un des 16 niveaux de visibilité (0 à 15) dans la liste déroulante. À l’aide de la barre d’outils Niveau de visibilité, vous décidez des niveaux qui doivent être affichés dans Editor. Cette fonction garantit que les synoptiques les plus complexes peuvent être développés de manière simple. Les niveaux peuvent être utilisés immédiatement. Les niveaux n’ont aucune influence sur les informations affichées au premier plan ou en arrière-plan dans le Runtime.
Par défaut : 0.

Plus de détails dans l’aide en ligne.

VT_I4

StartX

Point de départ X [pixels]

Coordonnée Y du coin supérieur gauche du synoptique (en pixels).

Plus de détails dans l’aide en ligne.

VT_I4

EndX

Point final X [pixels]

Coordonnée X du coin inférieur droit du synoptique (en pixels).

Plus de détails dans l’aide en ligne.

VT_I4

StartY

Point de départ Y [pixels]

Coordonnée Y du coin supérieur gauche du synoptique (en pixels).

Plus de détails dans l’aide en ligne.

VT_I4

EndY

Point final Y [pixels]

Coordonnée Y du coin inférieur droit du synoptique (en pixels).

Plus de détails dans l’aide en ligne.

VT_I4

Width

Largeur [pixels]

Largeur des éléments en pixels.

Remarque : disponible uniquement pour les éléments Combinaison multiple, Élément combiné, Bouton et Interrupteur si la valeur Ajusté a été sélectionnée pour la propriété Taille du graphique.

Plus de détails dans l’aide en ligne.

VT_I4

Height

Hauteur [pixels]

Hauteur des éléments en pixels.

Remarque : disponible uniquement pour les éléments Combinaison multiple, Élément combiné, Bouton et Interrupteur si la valeur Ajusté a été sélectionnée pour la propriété Taille du graphique.

Plus de détails dans l’aide en ligne.

VT_I4

Angle

Angle de rotation [°]

Angle libre autour selon lequel doit pivoter l’élément.
Les valeurs positives correspondent à une rotation dans le sens antihoraire, tandis que les valeurs négatives correspondent à une rotation dans le sens horaire. Les valeurs supérieures à 360° sont affichées sous forme d’écart par rapport à 360° (400° correspond à 40°). Seuls les nombres entiers sont autorisés.

Sur les éléments pivotés, les actions suivantes ne sont plus possibles :

  • Miroir
  • Rotation de +/- 90°
  • Redimensionnement à l’aide des touches fléchées

Par défaut : 0

Remarque : Ce paramètre est activé et réinitialisé lors de la configuration pour Windows CE.

Plus de détails dans l’aide en ligne.

VT_I2

ZoomMin

Visible de

Incrément de zoom le plus bas auquel l’élément est visible dans la vue globale.
Par défaut : -1
Une valeur de visibilité avec des incréments de zoom de -1 à -1 signifie que l’élément est affiché, quel que soit l’incrément de zoom sélectionné.

Les niveaux de zoom affichés dans la vue globale peuvent être configurés avec la propriété Apparence graphique -> Généralités runtime -> Pas de zoom pour vue globale.

Attention : Ce niveau de zoom s’applique à tous les types de synoptiques et cadres. Si un niveau de zoom défini est supérieur à 0, l’élément est uniquement affiché dans la vue globale, car les autres types de synoptique sont automatiquement appelés avec le niveau de zoom 0.

Plus de détails dans l’aide en ligne.

VT_I2

ZoomMax

Visible jusqu'à

Incrément de zoom le plus élevé auquel l’élément est visible dans la vue globale.

Par défaut : -1
Une valeur de visibilité avec des incréments de zoom de -1 à -1 signifie que l’élément est affiché, quel que soit l’incrément de zoom sélectionné.

Les niveaux de zoom affichés dans la vue globale peuvent être configurés avec la propriété Apparence graphique -> Généralités runtime -> Pas de zoom pour vue globale.

Attention : Ce niveau de zoom s’applique à tous les types de synoptiques et cadres. Si un niveau de zoom défini est supérieur à 0, l’élément est uniquement affiché dans la vue globale, car les autres types de synoptique sont automatiquement appelés avec le niveau de zoom 0.

Plus de détails dans l’aide en ligne.

VT_BSTR

Stationname

Nom liste d'objets

L’élément est saisi directement dans la liste de stations du synoptique Vue globale, et le texte est saisi ici.

Plus de détails dans l’aide en ligne.

ZT_VARIABLE_DYN

BackColorVariable

Couleur de remplissage

Nom de la variable dont les couleurs de valeur limite doivent influencer la couleur d’arrière-plan/de remplissage de l’élément.
Ouvre la boîte de dialogue de sélection de variables.

Plus de détails dans l’aide en ligne.

ZT_PREVIEW

BackColorVarPreview

Affichage aperçu couleur

Affichage de la valeur limite pour la propriété Couleur de remplissage définie pour la variable. Disponible uniquement si l’option Depuis la variable a été configurée pour la propriété Couleur de remplissage.

Un aperçu des propriétés définies pour la valeur limite est affiché dans le champ. Aucun aperçu n’est affiché pour les matrices de réaction.
Cliquez sur le bouton ... pour ouvrir la boîte de dialogue d’affichage des résultats. Les valeurs limite sont uniquement affichées ; elles ne peuvent pas être modifiées. Les modifications doivent être effectuées directement dans les propriétés de la variable pour Valeurs limite.

Plus de détails dans l’aide en ligne.

VT_UI1

HorizontalOrigin

Horizontal

Point de référence horizontal de l’événement. Les valeurs possibles sont : gauche, centré, droite.
Ce point est utilisé en tant que base de calcul de l’angle de départ de la rotation (statique et dynamique) et pour le changement dynamique de taille.

Par défaut : À gauche

Plus de détails dans l’aide en ligne.

VT_UI1

VerticalOrigin

Vertical

Point de référence vertical de l’événement. Les valeurs possibles sont : haut, centré, bas.
Ce point est utilisé en tant que base de calcul de l’angle de départ de la rotation (statique et dynamique) et pour le changement dynamique de taille.

Par défaut : En haut

Plus de détails dans l’aide en ligne.

VT_UI4

VisibilityType

Visibilité

Sélection depuis laquelle la visibilité d’un élément est déterminée :

  • Depuis une variable
  • Du verrrouillage

Par défaut : Depuis une variable

Plus de détails dans l’aide en ligne.

ZT_VARIABLE_DYN

VisibilityVariable

Variable

Disponible uniquement si l’option Depuis la variable a été configurée pour la propriété Visibilité.

Nom de la variable dont la valeur contrôle la visibilité de l’élément. La visibilité est soit reprise des propriétés de valeur limite de ces variables, soit définie par la plage de valeurs définie dans les propriétés de et À.
Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de variables. Vous pouvez également saisir manuellement le nom dans le champ de texte.
L'élément reste visible tant qu’aucune variable n’est liée.

Plus de détails dans l’aide en ligne.

ZT_PREVIEW

VisVarPreview

Affichage aperçu visibilité

Affichage des valeurs limite pour la visibilité définies pour la variable. Disponible uniquement si l’option Depuis la variable a été configurée pour la propriété Variable dans le groupe Visibilité.

Un aperçu des propriétés définies pour la valeur limite est affiché dans le champ. Aucun aperçu n’est affiché pour les matrices de réaction.
Cliquez sur le bouton ... pour ouvrir la boîte de dialogue d’affichage des résultats. Les valeurs limite sont uniquement affichées ; elles ne peuvent pas être modifiées. Les modifications doivent être effectuées directement dans les propriétés de la variable pour Valeurs limite.

Plus de détails dans l’aide en ligne.

VT_BOOL

VisibilityFromLimit

A partir des valeurs limites

Uniquement disponible après la sélection d’une variable :

  • Active : La visibilité de l’élément est influencée par la propriété de valeur limite de la variable.

    Attention : La propriété Invisible doit être active pour au moins une valeur limite de la variable.

  • Inactive : la visibilité est influencée par les propriétés de l’élément.

Par défaut : active

Plus de détails dans l’aide en ligne.

VT_R8

VisibilityFrom

de

Disponible uniquement après la sélection d’une variable, si la visibilité n’a pas été reprise par la valeur limite :

Valeur minimum de la variable à laquelle l’élément est visible.

  • Minimum : valeur minimum possible de la variable liée.
  • Maximum : valeur maximum possible de la variable liée.

Par défaut : valeur minimum possible de la variable liée.

Plus de détails dans l’aide en ligne.

VT_R8

VisibilityTo

À

Disponible uniquement après la sélection d’une variable, si la visibilité n’a pas été reprise par la valeur limite :

Valeur maximale de la variable à laquelle l’élément est visible.

  • Minimum : valeur minimum possible de la variable liée.
  • Maximum : valeur maximum possible de la variable liée.

Par défaut : valeur maximum possible de la variable liée.

Plus de détails dans l’aide en ligne.

VT_UI4

Interlocking

Verrouillage

Disponible uniquement si l’option Depuis le verrouillage est sélectionnée pour la propriété Visibilité.

Nom du verrouillage dont la valeur contrôle la visibilité de l’élément. Sélectionnez dans la liste déroulante. Celle-ci contient tous les verrouillages existants et utilisables. L’élément est toujours visible si aucun verrouillage n’est lié.

Plus de détails dans l’aide en ligne.

VT_BSTR

InterlockingName

InterlockingName

Description

VT_BOOL

VisibleWhenInterlocked

Visible si verrouillé

Contrôle la visibilité de l’élément lorsque le verrouillage est sélectionné :

  • Active : L’élément est visible s’il est verrouillé.
  • Inactive : L’élément est visible s’il n’est pas verrouillé.

Par défaut : inactive

Plus de détails dans l’aide en ligne.

ZT_VARIABLE_DYN

BlinkVariable

Affichage aperçu clignotement

Affichage des valeurs limite pour le clignotement définies pour la variable. Disponible uniquement si l’option Depuis la variable a été configurée pour la propriété Prendre le clignotement de la limite.

Un aperçu des propriétés définies pour la valeur limite est affiché dans le champ. Aucun aperçu n’est affiché pour les matrices de réaction.
Cliquez sur le bouton ... pour ouvrir la boîte de dialogue d’affichage des résultats. Les valeurs limite sont uniquement affichées ; elles ne peuvent pas être modifiées. Les modifications doivent être effectuées directement dans les propriétés de la variable pour Valeurs limite.

Plus de détails dans l’aide en ligne.

ZT_PREVIEW

BlinkVarPreview

Affichage aperçu clignotement

Affichage des valeurs limite pour le clignotement définies pour la variable. Disponible uniquement si l’option Depuis la variable a été configurée pour la propriété Prendre le clignotement de la limite.

Un aperçu des propriétés définies pour la valeur limite est affiché dans le champ. Aucun aperçu n’est affiché pour les matrices de réaction.
Cliquez sur le bouton ... pour ouvrir la boîte de dialogue d’affichage des résultats. Les valeurs limite sont uniquement affichées ; elles ne peuvent pas être modifiées. Les modifications doivent être effectuées directement dans les propriétés de la variable pour Valeurs limite.

Plus de détails dans l’aide en ligne.

ZT_VARIABLE_DYN

XVariable

Variable

Nom de la variable utilisée pour le déplacement horizontal de l’élément.
Ouvre la boîte de dialogue de sélection de variables.

Plus de détails dans l’aide en ligne.

VT_R8

XVarMin

Valeur min de la variable

Valeur minimale de la variable utilisée pour le déplacement horizontal de l’élément.

Plus de détails dans l’aide en ligne.

VT_R8

XVarMax

Valeur max de la variable

Valeur maximale de la variable utilisée pour le déplacement horizontal de l’élément.

Plus de détails dans l’aide en ligne.

VT_I4

XViewMin

Mouvement min [pixels]

Position horizontale de l’élément pour la valeur minimale de la variable (en pixels).

Plus de détails dans l’aide en ligne.

VT_I4

XViewMax

Mouvement max [pixels]

Position horizontale de l’élément pour la valeur minimale de la variable (en pixels).

Plus de détails dans l’aide en ligne.

ZT_VARIABLE_DYN

YVariable

Variable

Nom de la variable utilisée pour le déplacement vertical de l’élément.
Ouvre la boîte de dialogue de sélection de variables.

Plus de détails dans l’aide en ligne.

VT_R8

YVarMin

Valeur min de la variable

Valeur minimale de la variable utilisée pour le déplacement vertical de l’élément.

Plus de détails dans l’aide en ligne.

VT_R8

YVarMax

Valeur max de la variable

Valeur maximale de la variable utilisée pour le déplacement vertical de l’élément.

Plus de détails dans l’aide en ligne.

VT_I4

YViewMin

Mouvement min [pixels]

Position verticale de l’élément pour la valeur minimale de la variable (en pixels).

Plus de détails dans l’aide en ligne.

VT_I4

YViewMax

Mouvement max [pixels]

Position verticale de l’élément pour la valeur maximale de la variable (en pixels).

Plus de détails dans l’aide en ligne.

ZT_VARIABLE_DYN

XZoomVariable

Variable

Nom de la variable utilisée pour l’agrandissement de la largeur de l’élément.
Ouvre la boîte de dialogue de sélection de variables.

Plus de détails dans l’aide en ligne.

VT_R8

XZoomVarMin

Valeur min de la variable

Valeur minimale de la variable utilisée pour effectuer un zoom à la largeur de l’élément.

Plus de détails dans l’aide en ligne.

VT_R8

XZoomVarMax

Valeur max de la variable

Valeur maximale de la variable utilisée pour effectuer un zoom sur la largeur de l’élément.

Plus de détails dans l’aide en ligne.

VT_I4

XZoomViewMin

Largeur min [%]

Facteur de zoom correspondant à la largeur de l’élément pour la valeur minimale de la variable (en pixels).

Plus de détails dans l’aide en ligne.

VT_I4

XZoomViewMax

Largeur max [%]

Facteur de zoom correspondant à la largeur de l’élément pour la valeur maximale de la variable (en pixels).

Plus de détails dans l’aide en ligne.

ZT_VARIABLE_DYN

YZoomVariable

Variable

Nom de la variable utilisée pour l’agrandissement de la hauteur de l’élément.
Ouvre la boîte de dialogue de sélection de variables.

Plus de détails dans l’aide en ligne.

VT_R8

YZoomVarMin

Valeur min de la variable

Valeur minimum de la variable utilisée pour effectuer un zoom sur la hauteur de l’élément.

Plus de détails dans l’aide en ligne.

VT_R8

YZoomVarMax

Valeur max de la variable

Valeur maximum de la variable utilisée pour effectuer un zoom sur la hauteur de l’élément.

Plus de détails dans l’aide en ligne.

VT_I4

YZoomViewMin

Hauteur min [%]

Facteur de zoom correspondant à la hauteur de l’élément pour la valeur minimum de la variable (en %).

Plus de détails dans l’aide en ligne.

VT_I4

YZoomViewMax

Hauteur max [%]

Facteur de zoom correspondant à la hauteur de l’élément pour la valeur maximale de la variable (en pixels).

Plus de détails dans l’aide en ligne.

ZT_VARIABLE_DYN

TwistVariable

Variable

Nom de la variable utilisée pour la rotation de l’élément.

Plus de détails dans l’aide en ligne.

VT_R8

TwistVarMin

Valeur min de la variable

Valeur minimum de la variable utilisée pour la rotation de l’élément.

Plus de détails dans l’aide en ligne.

VT_R8

TwistVarMax

Valeur max de la variable

Valeur maximale de la variable utilisée pour la rotation de l’élément.

Plus de détails dans l’aide en ligne.

VT_I4

TwistViewMin

Rotation min [°]

Angle de rotation de l’élément pour la valeur minimum de la variable (en °).

Plus de détails dans l’aide en ligne.

VT_I4

TwistViewMax

Rotation max [°]

Angle de rotation de l’élément pour la valeur maximum de la variable (en °).

Plus de détails dans l’aide en ligne.

ZT_STYLE

ShadowEffectStyle

Style effet cadres/ombres

Affichage et sélection du style de cadre et d’ombre attribué à l’élément.

Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de style.
Si plusieurs éléments ont été sélectionnés, ils peuvent être attribués à un style commun.

Remarque : Seules les propriétés compatibles avec l’élément correspondant sont prises en charge.

Plus de détails dans l’aide en ligne.

VT_BOOL

EnablePunchFrame

Afficher le cadre

A frame around the element can be displayed.
Default: inactive.

ZT_STYLE

GlowEffectStyle

Style effet de rayonnement

Affichage et sélection du style des effets de luminescence attribués à l’élément.

Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de style.
Si plusieurs éléments ont été sélectionnés, ils peuvent être attribués à un style commun.

Remarque : Seules les propriétés compatibles avec l’élément correspondant sont prises en charge.

Plus de détails dans l’aide en ligne.

VT_BOOL

GlowEffectEvent

Actif seulement si cliqué

Disponible uniquement si la propriété Activer est active et l’élément est un bouton.

Active : l’effet de luminescence est uniquement affiché lorsque l’utilisateur clique sur le bouton. Cliquer sur le bouton permet de modifier la couleur, le clignotement ou l’invisibilité de l’effet de luminescence.

Par défaut : Inactive

Plus de détails dans l’aide en ligne.

ZT_VARIABLE_DYN

GlowEffectGlowColorVariable

Variable pour la couleur

Disponible uniquement si la propriété Activer est active. La propriété Coloration doit être activée.

Nom de la variable dont la couleur aux valeurs limites doit influencer la couleur de l’effet de luminescence pour l’élément. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de variables. Vous pouvez également saisir le nom manuellement dans le champ de texte. Si aucune variable n’est liée, la couleur définie dans la propriété Couleur est utilisée.

Par défaut : aucune variable liée

Plus de détails dans l’aide en ligne.

ZT_PREVIEW

GlowEffectGlowColorVariablePreview

Affichage aperçu couleur

Affichage de la valeur limite définie pour la variable de couleur lorsque l’effet de luminescence est actif. Disponible uniquement si l’option Depuis la variable a été configurée pour la propriété Variable pour la couleur.

Un aperçu des propriétés définies pour la valeur limite est affiché dans le champ. Aucun aperçu n’est affiché pour les matrices de réaction.
Cliquez sur le bouton ... pour ouvrir la boîte de dialogue d’affichage des résultats. Les valeurs limite sont uniquement affichées ; elles ne peuvent pas être modifiées. Les modifications doivent être effectuées directement dans les propriétés de la variable pour Valeurs limite.

Plus de détails dans l’aide en ligne.

ZT_VARIABLE_DYN

GlowEffectVisibilityVariable

Variable pour la visibilité

Disponible uniquement si la propriété Activer est active.

Nom de la variable dont la valeur influence la visibilité de l’effet de luminescence. La visibilité est soit reprise des propriétés de valeur limite de cette variable (propriété Visibilité depuis valeur limite active), soit définie par la plage de valeurs définie dans les propriétés Visible de et Visible jusqu'à. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de variables. Vous pouvez également saisir le nom manuellement dans le champ de texte.

Remarque : si aucune variable n’est liée, l’effet de luminescence est toujours visible.

Par défaut : aucune variable liée

Plus de détails dans l’aide en ligne.

ZT_PREVIEW

GlowEffectVisibilityVariablePreview

Affichage aperçu visibilité

Affichage de la valeur limite définie pour la variable de visibilité lorsque l’effet de luminescence est actif. Disponible uniquement si l’option Depuis la variable a été configurée pour la propriété Variable pour la visibilité.

Un aperçu des propriétés définies pour la valeur limite est affiché dans le champ. Aucun aperçu n’est affiché pour les matrices de réaction.
Cliquez sur le bouton ... pour ouvrir la boîte de dialogue d’affichage des résultats. Les valeurs limite sont uniquement affichées ; elles ne peuvent pas être modifiées. Les modifications doivent être effectuées directement dans les propriétés de la variable pour Valeurs limite.

Plus de détails dans l’aide en ligne.

VT_BOOL

GlowEffectVisibilityFromLimit

Visibilité depuis valeur limite

Disponible uniquement si la propriété Activer est active. Vous devez en outre définir une variable dans la propriété Variable pour la visibilité.

Active : La visibilité de l’effet de luminescence est influencée par la propriété de valeur limite de la variable.

Attention : Pour une valeur limite de la variable au moins, la propriété Invisible doit être active.

Inactive : la visibilité est influencée par les propriétés de l’élément.

Plus de détails dans l’aide en ligne.

VT_R8

GlowEffectVisibilityFrom

Visible de

Disponible uniquement si la propriété Activer est active. Vous devez en outre définir une variable dans la propriété Variable pour la visibilité ; la propriété Visibilité depuis valeur limite doit être inactive.

Définit la valeur à partir de laquelle l’effet de luminescence devient visible.
Minimum : valeur la moins élevée autorisée pour la variable liée dans Variable pour la visibilité.
Maximum : valeur la moins élevée autorisée pour la variable liée dans Variable pour la visibilité.
Par défaut : valeur la plus élevée autorisée pour la variable liée dans Variable pour la visibilité.

Plus de détails dans l’aide en ligne.

VT_R8

GlowEffectVisibilityTo

Visible jusqu'à

Disponible uniquement si la propriété Activer est active. Vous devez en outre définir une variable dans la propriété Variable pour la visibilité ; la propriété Visibilité depuis valeur limite doit être inactive.

Définit la valeur jusqu’à laquelle l’effet de luminescence reste visible.
Minimum : valeur la plus basse autorisée pour la variable liée dans Variable pour la visibilité.
Maximum : valeur la plus élevée autorisée pour la variable liée dans Variable pour la visibilité.
Par défaut : valeur la plus élevée autorisée pour la variable liée dans Variable pour la visibilité.

Plus de détails dans l’aide en ligne.

ZT_VARIABLE_DYN

GlowEffectBlinkVariable

Variable pour le clignotement

Variables dont les paramètres de clignotement de l’effet de luminescence aux valeurs limites doivent être repris. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de variables.

Par défaut : aucune variable liée

Plus de détails dans l’aide en ligne.

ZT_PREVIEW

GlowEffectBlinkVariablePreview

Affichage aperçu clignotement

Affichage de la valeur limite définie pour la variable de clignotement lorsque l’effet de luminescence est actif. Disponible uniquement si l’option Depuis la variable a été configurée pour la propriété Variable pour le clignotement.

Un aperçu des propriétés définies pour la valeur limite est affiché dans le champ. Aucun aperçu n’est affiché pour les matrices de réaction.
Cliquez sur le bouton ... pour ouvrir la boîte de dialogue d’affichage des résultats. Les valeurs limite sont uniquement affichées ; elles ne peuvent pas être modifiées. Les modifications doivent être effectuées directement dans les propriétés de la variable pour Valeurs limite.

Plus de détails dans l’aide en ligne.

VT_BOOL

GlowEffectUseBlinkColor

Clignotement depuis valeur limite

Disponible uniquement si la propriété Activer est active. Vous devez en outre définir une variable dans la propriété Variable pour le clignotement.

Active : Reprend, pour l’effet de luminescence, la couleur de clignotement de la valeur limite active pour la variable définie dans la propriété Couleur de clignotement par la limite. Cette propriété agit indépendamment de la propriété Coloration. En cas de clignotement, l’effet de luminescence ne devient pas invisible, mais reprend les paramètres de l’effet de luminescence actif.

Par défaut : Inactive

Plus de détails dans l’aide en ligne.

VT_BOOL

GlowEffect2ndBlinkStateVisible

2 états de clignotement invisibles

Disponible uniquement si la propriété Activer est active. Vous devez en outre définir une variable dans la propriété Variable pour le clignotement ; la propriété Clignotement depuis valeur limite doit être inactive.

Active : En cas de clignotement, l’effet de luminescence ne bascule pas vers l’effet de luminescence actif, mais devient invisible. Ceci permet de basculer entre l’invisibilité et la couleur de clignotement en cas de dépassement de la valeur limite.

Par défaut : Inactive

Plus de détails dans l’aide en ligne.


Clock

Manuel -> Interfaces de programmation -> Modèles d'objet -> Element -> Element-Dynamic properties -> Clock

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Type

VBA/VSTA Name

Display Name

Description

More...

DynEleVar

DynEleVar

"With this property you have the opportunity to get informations about the variable (projected via ""Variable assignment"" in the ActiveX selection dialog) which is linked at an ActiveX element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""DynEleVar.SymVarName"") 'Return the name of the variable which is assigned to the ActiveX
zElement.DynProperties (""DynEleVar.SymVarTagNr"") 'Return the identification of the variable which is assigned to the ActiveX"

ZT_VARIABLE_DYN

Variable

Variable

Nom de la variable liée. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de variables.
La valeur de cette variable est affichée dans cet élément et peut également être définie ici.

Remarque : Disponible uniquement pour les boutons s’ils sont utilisés en tant qu’interrupteurs.

Conseil : si la valeur de la variable doit être basculée, nous vous recommandons d’activer la propriété Variable lue en permanence. Dans le cas contraire, le Runtime patiente jusqu’à ce que le driver connaisse la valeur des variables. Si la valeur n’est pas disponible en raison d’une interruption des communications avec le contrôleur, le délai d’attente correspond au délai d’attente avant expiration du driver.

SICAM 230 et élément Synoptique d’alarmes uniquement :
La description ci-dessus s’applique uniquement aux éléments Bouton texte, Bouton bitmap et Bouton invisible.
Signification dans SICAM 230 : Les états des classes d’alarmes/d’événements seront attribués à la variable sélectionnée (32 bits). Pour chaque classe, 2 bits seront utilisés (par numéro de classe, dans l’ordre croissant).

  • Bit inférieur : alarme active/inactive
  • Bit supérieur : alarme acquittée/non acquittée

Plus de détails dans l’aide en ligne.

VT_BOOL

ShowState

Visualiser l'état de la variable

Affichage graphique de l’état de la variable. Sélection à l’aide d’une case à cocher.

  • Active : l’état des variables est indiqué par un carré de couleur au niveau de l’élément.

    Couleur :

    • Carré rouge :
      pas de communication avec l’automate.
      Exemple : INVALID, OFF, ALT_VAL, REVISION, TIMEOUT, ...
    • Carré bleu (N_UPDATE) :
      Sur le client réseau :
      La connexion entre le client et le serveur principal a été interrompue.

      Avec un projet d’intégration indépendant :
      Le serveur principal n’a pas encore fourni les données.
    • Carré jaune (PR_NR) :
      Indique, dans le Runtime, que la variable n’a pas été enregistrée pendant la lecture dans le module Process Recorder. Par conséquent, aucune valeur n’a été identifiée lors de la lecture.

    Position :
    La position du carré au niveau de l’élément dépend de la forme de l’élément :

    • Anguleux et tous autres éléments :
      Coin supérieur droit
    • Élément circulaire :
      En haut, au milieu
    • Élément arrondi :
      coin supérieur droit, légèrement décalé vers la gauche
  • Inactive : L’état n’est pas représenté.
    Désactive également la possibilité d’afficher les informations supplémentaires concernant la variable avec un clic droit.

Par défaut : Actif

Plus de détails dans l’aide en ligne.

ZT_STYLE

TextStyle

Style de texte

Affichage et sélection du style de texte attribué à l’élément.

Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de style.
Si plusieurs éléments ont été sélectionnés, ils peuvent être attribués à un style commun.

Remarque : Seules les propriétés compatibles avec l’élément correspondant sont prises en charge.

Plus de détails dans l’aide en ligne.

ZT_STYLE

ValueStyle

Style d'affichage de la valeur

Affichage et sélection du style d’affichage de la valeur attribué à l’élément.

Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de style.
Si plusieurs éléments ont été sélectionnés, ils peuvent être attribués à un style commun.

Remarque : Seules les propriétés compatibles avec l’élément correspondant sont prises en charge.

Plus de détails dans l’aide en ligne.

ZT_STYLE

TimeStyle

Style de représentation du temps

Affichage et sélection du style d’affichage de l’heure attribué à l’élément.

Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de style.
Si plusieurs éléments ont été sélectionnés, ils peuvent être attribués à un style commun.

Remarque : Seules les propriétés compatibles avec l’élément correspondant sont prises en charge.

Plus de détails dans l’aide en ligne.

ZT_VARIABLE_DYN

LineColorVariable

Couleur du texte

Nom de la variable dont la couleur de valeur limite doit influencer la couleur de texte de l’élément. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de variables.

Plus de détails dans l’aide en ligne.

ZT_PREVIEW

LineColorVarPreview

Affichage aperçu couleur

Affichage de la valeur limite pour la propriété Couleur de ligne définie pour la variable. Disponible uniquement si l’option Depuis la variable a été configurée pour la propriété Couleur de ligne.

Un aperçu des propriétés définies pour la valeur limite est affiché dans le champ. Aucun aperçu n’est affiché pour les matrices de réaction.
Cliquez sur le bouton ... pour ouvrir la boîte de dialogue d’affichage des résultats. Les valeurs limite sont uniquement affichées ; elles ne peuvent pas être modifiées. Les modifications doivent être effectuées directement dans les propriétés de la variable pour Valeurs limite.

Plus de détails dans l’aide en ligne.

VT_BOOL

LimitColor

Utiliser la couleur de la limite

Définit si la couleur de valeur limite pour la variable liée à l’élément est affichée dans le Runtime.
La couleur a un effet sur le texte affiché ou sur le curseur d’une réglette universelle.

  • Active : La couleur de valeur limite définie est affichée dans le Runtime.

Par défaut : active

Plus de détails dans l’aide en ligne.

ZT_STYLE

FillStyle

Style de remplissage

Affichage et sélection du style de remplissage attribué à l’élément.

Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de style.
Si plusieurs éléments ont été sélectionnés, ils peuvent être attribués à un style commun.

Remarque : Seules les propriétés compatibles avec l’élément correspondant sont prises en charge.

Plus de détails dans l’aide en ligne.

VT_BOOL

Transparent

Transparence

Active : Désactive la couleur d’arrière-plan de l’élément.

L’effet de cette option sur un bouton est un bouton invisible. Il peut être positionné au-dessus des autres éléments en tant que bouton invisible.

Plus de détails dans l’aide en ligne.

VT_BOOL

IsSetValue

Ecrire valeur prescrite
  • Active : La configuration des valeurs prescrites pour cet élément dynamique est autorisée.
  • Inactive : L’élément est défini sur ReadOnly.

Indisponible pour l’élément Texte dynamique s’il a été défini sur read only dans le synoptique.

Plus de détails dans l’aide en ligne.

VT_BOOL

Preset

Proposer la valeur courante

Active : La valeur actuelle de la variable est proposée en tant que valeur prescrite.
Dans ce cas, la valeur est ajoutée sous "Valeur prescrite / Modification de valeur" avant la configuration de la valeur réelle (valeur positive) ou sa soustraction depuis celle-ci (valeur négative).
Inactive : La valeur définie dans la propriété "Valeur prescrite / Modification de valeur" est proposée.

Plus de détails dans l’aide en ligne.

VT_BOOL

HWDirect

Sans dialogue

Active : La valeur est transmise au matériel sans qu’il soit possible de la modifier dans Runtime.
Inactive : Il reste toutefois possible de modifier la valeur dans le Runtime avant son écriture sur le matériel.

Plus de détails dans l’aide en ligne.

VT_R8

SetValue

Valeur prescrite

Valeur devant être envoyée en tant que valeur prescrite ou valeur par défaut.
Si la propriété Proposer la valeur actuelle est active : Valeur ajoutée à la valeur actuelle.
Associée à la propriété "Sans boîte de dialogue", l’augmentation (valeur positive) ou la diminution (valeur négative) peut être mise en œuvre.

Plus de détails dans l’aide en ligne.

VT_UI1

SetValueWith

Écrire valeur prescrite par

Configuration de la définition de la valeur prescrite.
Sélection dans une liste déroulante :

  • Gestion de commande : La nouvelle valeur est définie à l’aide de la fonction Gestion de commandes. Le synoptique défini dans le groupe de commandes de la variable liée s’affiche aux fins de la saisie.
  • Boîte de dialogue standard : la nouvelle valeur est saisie à l’aide d’une boîte de dialogue standard. Si un synoptique de type "Clavier" avec le nom "SETVALUEKBD" (pour les valeurs numériques) ou "SETSTRINGKBD" (pour les variables de type STRING) existe, ce synoptique est utilisé à la place de la boîte de dialogue standard.
    Remarque : Si l’élément est lié à une fonction autorisant les entrées, la propriété est définie Utiliser le synoptique clavier automatiquement. Si un synoptique est lié dans la propriété Synoptique clavier, celui-ci est utilisé. Dans le cas contraire, un clavier SETSTRINGKBD est utilisé.
  • Élément : La valeur est saisie directement dans l’élément graphique (uniquement pour les éléments Valeur numérique et Texte).
  • Programme : La valeur est saisie dans un programme externe.

Plus de détails dans l’aide en ligne.

VT_BSTR

SetProgram

Programme externe

Disponible uniquement si un programme externe a été sélectionné pour la propriété Écrire valeur prescrite :
La valeur prescrite est écrite par un programme externe qui doit être sélectionné dans la boîte de dialogue affichée ici.

Ce programme est alors démarré et reçoit les paramètres suivants :
1) Nom de la variable liée
2) Valeur proposée, telle que définie dans les propriétés correspondantes
3) Coordonnée gauche de l’élément, en pixels
4) Coordonnée supérieure de l’élément, en pixels
5) Coordonnée droite de l’élément, en pixels
6) Coordonnée inférieure de l’élément, en pixels
7) Valeur minimum autorisée pour la valeur prescrite, telle qu’elle est définie dans les propriétés correspondantes
8) Valeur maximum autorisée pour la valeur prescrite, telle qu’elle est définie dans les propriétés correspondantes

Plus de détails dans l’aide en ligne.

VT_BOOL

KbdUsage

Synoptique clavier

Disponible uniquement si la propriété Synoptique clavier est active.

Nom du synoptique de clavier lié.
Si aucun synoptique de clavier n’est saisi, le clavier correspondant est appelé dans le Runtime :

  • Variable String (chaîne) : SETSTRINGKBD
  • Variable numérique : SETVALUEKBD
  • Variable binaire : SETBOOLKBD

Remarque : Pour l’option Champ de saisie, aucun clavier n’est appelé si l’option Synoptique clavier est activée. Un synoptique de clavier doit être lié.

Plus de détails dans l’aide en ligne.

ZT_PICTURE

KbdName

Synoptique clavier

Disponible uniquement si la propriété Synoptique clavier est active.

Nom du synoptique de clavier lié.
Si aucun synoptique de clavier n’est saisi, le clavier correspondant est appelé dans le Runtime :

  • Variable String (chaîne) : SETSTRINGKBD
  • Variable numérique : SETVALUEKBD
  • Variable binaire : SETBOOLKBD

Remarque : Pour l’option Champ de saisie, aucun clavier n’est appelé si l’option Synoptique clavier est activée. Un synoptique de clavier doit être lié.

Plus de détails dans l’aide en ligne.

VT_BOOL

LimitFromVar

Plages de la variable

Active : La limitation de la plage pour laquelle les valeurs prescrites peuvent être écrites n’est pas définie par l’intermédiaire des paramètres "Min" et "Max", mais est directement issue des définitions de variables (bouton "Étendue").
Inactive : La plage peut être directement limitée par les paramètres "Minimum" et "Maximum".

Plus de détails dans l’aide en ligne.

VT_R8

Min

Minimum

Limite inférieure de la plage de valeurs autorisées pour la valeur prescrite.
Disponible uniquement si la propriété Plages de la variable n’est pas active.

Attention : La valeur saisie ici sera ignorée si une variable est sélectionnée pour la valeur minimum de la valeur dynamique prescrite.

Plus de détails dans l’aide en ligne.

VT_R8

Max

Maximum

Limite supérieure de la plage de valeurs autorisées pour la valeur prescrite.
Disponible uniquement si la propriété Plages de la variable n’est pas active.

Attention : La valeur saisie ici sera ignorée si une variable est sélectionnée pour la valeur maximale de la valeur prescrite dynamique.

Plus de détails dans l’aide en ligne.

VT_UI2

Passwordlevel

Niveau d'autorisation

Le niveau du mot de passe d’écriture de valeurs prescrites ou d’exécution de fonctions avec l’élément dynamique sélectionné.
Minimum : 0.
Maximum : 127
Par défaut : 0.

Plus de détails dans l’aide en ligne.

VT_UI4

Locking

Verrouillage

Lien vers un verrouillage existant avec cet élément.

Si une condition dans une des formules du verrouillage est vraie, cet élément est verrouillé de manière à ce qu’aucun fonctionnement ne soit possible. Si cela a été défini dans les propriétés du projet, un symbole représentant un verrou est affiché aussi longtemps que le verrouillage est actif.

Remarque : Les verrouillages ne peuvent pas être utilisés pour des symboles dans la bibliothèque générale de symboles ou la bibliothèque de symboles du projet.

Plus de détails dans l’aide en ligne.

VT_BSTR

LockingName

LockingName

"With this property you have the opportunity to assign an interlocking via its name.
zElement.DynProperties(""LockingName"") = ""Interlocking 1"""

VT_BOOL

UnderCE

Visible sous WinCE

Contrôle la visibilité des éléments dans les synoptiques sous Windows CE. Les projets qui sont utilisés sous CE et sur le PC peuvent être créés de manière plus flexible ; la gestion par l’utilisateur est ainsi améliorée. Par exemple, les boutons renvoyant l’utilisateur vers des synoptiques ne pouvant pas être affichés sous CE (par ex. IPA) peuvent être rendus invisibles.

Active : dans synoptique/l’élément est également visible sous Windows CE.

Par défaut : active

Plus de détails dans l’aide en ligne.

ZT_VBAMAKRO

Init

Init

Macro VBA à exécuter lors de l’initialisation de l’élément.

Plus de détails dans l’aide en ligne.

ZT_VBAMAKRO

SetFocus

SetFocus

Macro VBA à exécuter lorsque le focus est placé sur l’élément.

Plus de détails dans l’aide en ligne.

ZT_VBAMAKRO

KillFocus

KillFocus

Macro VBA à exécuter lorsque le focus n’est plus placé sur l’élément.

Plus de détails dans l’aide en ligne.

ZT_VBAMAKRO

LeftClickDown

LeftClickDown

Macro VBA à exécuter lorsque l’utilisateur effectue un clic gauche sur l’élément.

Plus de détails dans l’aide en ligne.

ZT_VBAMAKRO

RightClickDown

RightClickDown

Macro VBA à exécuter lorsque l’utilisateur effectue un clic droit sur l’élément.

Plus de détails dans l’aide en ligne.

ZT_VBAMAKRO

LeftClickUp

LeftClickUp

Macro VBA à exécuter lorsque l’utilisateur relâche le bouton gauche de la souris sur l’élément.

Plus de détails dans l’aide en ligne.

ZT_VBAMAKRO

RightClickUp

RightClickUp

Macro VBA à exécuter lorsque l’utilisateur relâche le bouton droit de la souris sur l’élément.

Plus de détails dans l’aide en ligne.

ZT_VBAMAKRO

LeftDClick

LeftDoubleClick

Macro VBA à exécuter lorsque l’utilisateur effectue un double-clic gauche sur l’élément.

Plus de détails dans l’aide en ligne.

ZT_VBAMAKRO

RightDClick

RightDoubleClick

Macro VBA à exécuter lorsque l’utilisateur effectue un double-clic droit sur l’élément.

Plus de détails dans l’aide en ligne.

ZT_VBAMAKRO

MouseOver

MouseOver

Macro VBA à exécuter si le pointeur de la souris est positionné sur l’élément.

Plus de détails dans l’aide en ligne.

ZT_VBAMAKRO

DragDrop

DragDrop

Macro VBA à exécuter lorsque le bouton de la souris est relâché.

Plus de détails dans l’aide en ligne.

ZT_VBAMAKRO

DragOver

DragOver

Macro VBA à exécuter lorsque le curseur est déplacé au-dessus de l’élément pendant que le bouton gauche est enfoncé.

Plus de détails dans l’aide en ligne.

ZT_VBAMAKRO

DragBegin

DragBegin

Macro VBA à exécuter lorsque l’utilisateur commence à faire glisser l’objet.

Plus de détails dans l’aide en ligne.

VT_BSTR

Menu

Menu contextuel

Menu contextuel de l’élément.
Cliquer avec le bouton droit de la souris sur l’élément pour ouvrir le menu contextuel dans le Runtime.

Plus de détails dans l’aide en ligne.

VT_BSTR

Tooltip

Info bulle

Texte à afficher en tant qu’info-bulle de l’élément dans le Runtime. Une info-bulle est automatiquement affichée dans le Runtime si le pointeur de la souris reste pendant quelques secondes sur l’élément. Des retours à la ligne automatiques peuvent être insérés avec les caractères "\n".

  • Maximum : 79 caractères
    Attention : La combinaison de caractères \n est également comptée dans la limite de 79 caractères.

Plus de détails dans l’aide en ligne.

VT_BOOL

LassoSelect

sélectionnable avec le lasso

La sélection avec le lasso dans le Runtime permet d’identifier les éléments dynamiques et de les utiliser avec des événements VBA.

  • Active : L’élément peut être sélectionné avec le lasso dans le Runtime.
  • Inactive : L’élément ne peut pas être sélectionné dans Runtime.

Par défaut : active

Attention : Pour que l’élément puisse être sélectionné dans le Runtime, vous devez activer la propriété Sélection multiple en runtime (lasso) dans les paramètres du projet !

Remarque concernant la gestion des commandes : Si la propriété Opération à deux mains est activée, le lasso de la commande Exécuter le 2ème niveau ne doit pas être activé.

Plus de détails dans l’aide en ligne.

More...

GestureManipulationGroup

Manipulation

Propriétés pour la manipulation de synoptiques et d’éléments de synoptique dans le cadre d’une utilisation tactile.

Plus de détails dans l’aide en ligne.

VT_BOOL

Tab

Le focus est donné à l'élément

Active : L’élément dynamique peut être actionné à l’aide du clavier.
Inactive : L’élément dynamique n’est pas accessible à l’aide du clavier.
Par défaut : active.

Plus de détails dans l’aide en ligne.

VT_I4

TABOrderH

Position du focus gauche/droite

Définit la position horizontale pour l’utilisation à l’aide du clavier dans le Runtime. La position est définie par l’intermédiaire du menu contextuel et de l’utilisation de la souris dans la fenêtre principale ; elle ne peut pas être modifiée ici.

Plus de détails dans l’aide en ligne.

VT_I4

TABOrderV

Position focus haut / bas

Définit la position verticale pour l’utilisation à l’aide du clavier dans le Runtime. La position est définie par l’intermédiaire du menu contextuel et de l’utilisation de la souris dans la fenêtre principale ; elle ne peut pas être modifiée ici.

Plus de détails dans l’aide en ligne.

VT_BOOL

Signature

Signature nécéssaire

Active : Une signature est nécessaire pour actionner l’élément.

Pour des raisons de sécurité, l’utilisateur sera invité à saisir son mot de passe même s’il est déjà connecté. Le texte de la signature est enregistré dans la liste d’événements (CEL) après que l’élément ait été utilisé avec succès.

Attention : seuls les utilisateurs connectés peuvent signer une action. La signature d’actions avec un identifiant temporaire n’est plus possible.

Inactive : aucune signature n’est requise.

(Par défaut) Inactive :

Plus de détails dans l’aide en ligne.

VT_BSTR

SignatureText

Texte de signature

Ce texte est également consigné lors de la signature dans la liste d’événements (CEL) ou est proposé par défaut dans le Runtime si la signature est définie comme modifiable dans les propriétés du projet.

Plus de détails dans l’aide en ligne.

VT_I2

SignatureEditModus

Texte de signature éditable

Définit si le texte de signature peut être édité. Sélectionnez dans la liste déroulante :

  • Appliquer les paramètres projet : Les paramètres de la propriété de projet Texte de signature éditable sont applicables.
  • Oui : Texte modifiables
  • Non : Le texte ne peut pas être édité.

Par défaut : Appliquer les paramètres projet

Plus de détails dans l’aide en ligne

ZT_FILE

Helpfile

Fichier d'aide

Fichier d’aide (*.chm) devant être utilisé pour cet élément, conjointement à un menu contextuel. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de fichiers.
Attention : seuls les fichiers d’aide ayant été ajoutés dans le nœud Fichiers/Aide sont disponibles.

Plus de détails dans l’aide en ligne.

VT_BSTR

HelpCapture

Chapitre d'aide

Chapitre d’aide (*.chm) devant être utilisé pour cet élément, conjointement à un menu contextuel. Nom de la page HTML sous-jacente.
Attention : cette entrée tient compte des minuscules et majuscules.

Plus de détails dans l’aide en ligne.

ZT_VARIABLE_DYN

SetValueDynMin

Minimum

Variable dont la valeur actuelle est applicable en tant que limite inférieure de la valeur prescrite de l’élément.
Disponible uniquement si Plages de la variable est inactive :
Plus de détails dans l’aide en ligne.

ZT_VARIABLE_DYN

SetValueDynMax

Maximum

Variable dont la valeur actuelle est applicable en tant que limite supérieure de la valeur prescrite de l’élément.

Disponible uniquement si la propriété Plages de la variable est inactive.

Plus de détails dans l’aide en ligne.

VT_BOOL

GestureRecognitionActive

Reconnaissance de geste active

Active l’évaluation des gestes. Les gestes sont définis à l’aide d’autres propriétés.

Uniquement disponible si, dans le groupe Intéraction des propriétés du projet, la propriété Reconnaissance Windows 8 a été définie.

Plus de détails dans l’aide en ligne.

VT_BOOL

Gestures_Manipulation

Exact

Active : Détection du paramètre Exact défini.

Plus de détails dans l’aide en ligne.

VT_BOOL

Gestures_Exact

Exact

Active : Détection du paramètre Exact défini.

Plus de détails dans l’aide en ligne.

VT_BOOL

Gestures_TranslationX

Translation X

Active : Détection du paramètre Translation X défini.

Plus de détails dans l’aide en ligne.

VT_BOOL

Gestures_TranslationY

Translation Y

Active : Détection du paramètre Translation Y défini.

Plus de détails dans l’aide en ligne.

VT_BOOL

Gestures_RailsX

Rails X

Active : Détection du paramètre Rails X défini.

Plus de détails dans l’aide en ligne.

VT_BOOL

Gestures_RailsY

Rails Y

Active : Détection du paramètre Rails Y défini.

Plus de détails dans l’aide en ligne.

VT_BOOL

Gestures_TranslationInertia

Translation inertia

Active : Détection du paramètre Translation Inertia (Inertie de translation) défini.

Plus de détails dans l’aide en ligne.

VT_BOOL

Gestures_Rotation

Inertie de rotation

Active : Détection du paramètre Rotation Inertia (Inertie de rotation) défini.

Plus de détails dans l’aide en ligne.

VT_BOOL

Gestures_RotationInertia

Inertie de rotation

Active : Détection du paramètre Rotation Inertia (Inertie de rotation) défini.

Plus de détails dans l’aide en ligne.

VT_BOOL

Gestures_Scaling

Scaling inertia

Active : Détection du paramètre Scaling Inertia (Inertie de redimensionnement) défini.

Plus de détails dans l’aide en ligne.

VT_BOOL

Gestures_ScalingInertia

Scaling inertia

Active : Détection du paramètre Scaling Inertia (Inertie de redimensionnement) défini.

Plus de détails dans l’aide en ligne.

VT_BOOL

Gestures_CrossSlide

Cross slide exact

Active : Détection du paramètre Cross Slide Exact (Glissement transversal exact) défini.

Plus de détails dans l’aide en ligne.

VT_BOOL

Gestures_CrossSlideHorizontal

Cross slide horizontal

Active : Détection du paramètre Cross Slide Horizontal (Glissement transversal horizontal) défini.

Plus de détails dans l’aide en ligne.

VT_BOOL

Gestures_CrossSlideSelect

Cross slide select

Active : Détection du paramètre Cross Slide Select (Glissement transversal, sélection) défini.

Plus de détails dans l’aide en ligne.

VT_BOOL

Gestures_CrossSlideSpeedBump

Cross slide speed bump

Active : Détection du paramètre Cross Slide Speed Bump (Glissement transversal, ralentisseur) défini.

Plus de détails dans l’aide en ligne.

VT_BOOL

Gestures_CrossSlideRearrange

Cross slide rearrange

Active : Détection du paramètre Cross Slide Rearrange (Glissement transversal, réorganisation) défini.

Plus de détails dans l’aide en ligne.

VT_BOOL

Gestures_CrossSlideExact

Cross slide exact

Active : Détection du paramètre Cross Slide Exact (Glissement transversal exact) défini.

Plus de détails dans l’aide en ligne.

VT_BOOL

Gestures_Tap

Tap double

Active : Détection du paramètre Tap Double (Double appui) défini.

Plus de détails dans l’aide en ligne.

VT_BOOL

Gestures_TapDouble

Tap double

Active : Détection du paramètre Tap Double (Double appui) défini.

Plus de détails dans l’aide en ligne.

VT_BOOL

Gestures_SecondaryTap

Secondary tap

Active : Détection du paramètre Secondary Tap (Appui secondaire) défini.

Plus de détails dans l’aide en ligne.

VT_BOOL

Gestures_Drag

Drag

Active : Détection du paramètre Drag (Glissement) défini.

Plus de détails dans l’aide en ligne.

VT_BOOL

Gestures_Hold

Hold (Mouse)

Active : Détection du paramètre Hold (Mouse) (Maintien [souris]) défini.

Plus de détails dans l’aide en ligne.

ZT_STYLE

StyleGroup

Groupe de styles

Affichage et sélection du groupe de styles attribué à l’élément.
Cliquez sur le bouton ... pour ouvrir la boîte de dialogue permettant de sélectionner un groupe de styles.
Si plusieurs éléments sont sélectionnés, elles peuvent être attribuées à un groupe de styles commun.

Remarque : Seules les propriétés compatibles avec l’élément correspondant sont prises en charge.

Plus de détails dans l’aide en ligne.

More...

LnClVariable

LnClVariable

"With this property you have the opportunity to get informations about the variable which is linked as ""line/text color"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""LnClVariable.SymVarName"") 'Return the name of the ""line/text color"" variable
zElement.DynProperties (""LnClVariable.SymVarTagNr"") 'Return the identification of the ""line/text color"" variable"

More...

BkClVariable

BkClVariable

"With this property you have the opportunity to get informations about the variable which is linked as ""background/filling color"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""BkClVariable.SymVarName"") 'Return the name of the ""background/filling color"" variable
zElement.DynProperties (""BkClVariable.SymVarTagNr"") 'Return the identification of the ""background/filling color"" variable"

More...

BkCl2Variable

"BkCl2Variable"

More...

XVar

XVar

"With this property you have the opportunity to get informations about the variable which is linked as ""dynamic x position"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""XVar.SymVarName"") 'Return the name of the ""dynamic x position"" variable
zElement.DynProperties (""XVar.SymVarTagNr"") 'Return the identification of the ""dynamic x position"" variable"

More...

YVar

YVar

"With this property you have the opportunity to get informations about the variable which is linked as ""dynamic y position"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""YVar.SymVarName"") 'Return the name of the ""dynamic y position"" variable
zElement.DynProperties (""YVar.SymVarTagNr"") 'Return the identification of the ""dynamic y position"" variable"

More...

XVarZoom

XVarZoom

"With this property you have the opportunity to get informations about the variable which is linked as ""change width"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""XVarZoom.SymVarName"") 'Return the name of the ""change width"" variable
zElement.DynProperties (""XVarZoom.SymVarTagNr"") 'Return the identification of the ""change width"" variable"

More...

YVarZoom

YVarZoom

"With this property you have the opportunity to get informations about the variable which is linked as ""change height"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""YVarZoom.SymVarName"") 'Return the name of the ""change height"" variable
zElement.DynProperties (""YVarZoom.SymVarName"") 'Return the name of the ""change height"" variable
zElement.DynProperties (""YVarZoom.SymVarTagNr"") 'Return the identification of the ""change height"" variable"

More...

TwistVar

TwistVar

"With this property you have the opportunity to get informations about the variable which is linked as ""rotate"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""TwistVar.SymVarName"") 'Return the name of the ""rotate"" variable
zElement.DynProperties (""TwistVar.SymVarTagNr"") 'Return the identification of the ""rotate"" variable"

More...

VisVariable

VisVariable

"With this property you have the opportunity to get informations about the variable which is linked as ""visibility"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""VisVariable.SymVarName"") 'Return the name of the ""visibility"" variable
zElement.DynProperties (""VisVariable.SymVarTagNr"") 'Return the identification of the ""visibility"" variable"

More...

BlinkVar

BlinkVar

More...

GlowEffectGlowColorVar

GlowEffectGlowColorVar

More...

GlowEffectVisibilityVar

GlowEffectVisibilityVar

More...

GlowEffectBlinkVar

GlowEffectBlinkVar

VT_BSTR

Name

Nom d'élément

Attribuez un nom d’élément.
Il ne doit pas être vide.

Attention : Cette propriété n’est pas disponible aux fins de la commutation de langue.

Remarques concernant les cadrans : Pour les conteneurs de synoptique, spécifiez des noms clairement identifiables pour faciliter la sélection lors de la configuration des appels de synoptique.

Plus de détails dans l’aide en ligne.

VT_UI1

Layer

Niveau de visibilité

Sélectionnez l’un des 16 niveaux de visibilité (0 à 15) dans la liste déroulante. À l’aide de la barre d’outils Niveau de visibilité, vous décidez des niveaux qui doivent être affichés dans Editor. Cette fonction garantit que les synoptiques les plus complexes peuvent être développés de manière simple. Les niveaux peuvent être utilisés immédiatement. Les niveaux n’ont aucune influence sur les informations affichées au premier plan ou en arrière-plan dans le Runtime.
Par défaut : 0.

Plus de détails dans l’aide en ligne.

VT_I4

StartX

Point de départ X [pixels]

Coordonnée Y du coin supérieur gauche du synoptique (en pixels).

Plus de détails dans l’aide en ligne.

VT_I4

EndX

Point final X [pixels]

Coordonnée X du coin inférieur droit du synoptique (en pixels).

Plus de détails dans l’aide en ligne.

VT_I4

StartY

Point de départ Y [pixels]

Coordonnée Y du coin supérieur gauche du synoptique (en pixels).

Plus de détails dans l’aide en ligne.

VT_I4

EndY

Point final Y [pixels]

Coordonnée Y du coin inférieur droit du synoptique (en pixels).

Plus de détails dans l’aide en ligne.

VT_I4

Width

Largeur [pixels]

Largeur des éléments en pixels.

Remarque : disponible uniquement pour les éléments Combinaison multiple, Élément combiné, Bouton et Interrupteur si la valeur Ajusté a été sélectionnée pour la propriété Taille du graphique.

Plus de détails dans l’aide en ligne.

VT_I4

Height

Hauteur [pixels]

Hauteur des éléments en pixels.

Remarque : disponible uniquement pour les éléments Combinaison multiple, Élément combiné, Bouton et Interrupteur si la valeur Ajusté a été sélectionnée pour la propriété Taille du graphique.

Plus de détails dans l’aide en ligne.

VT_I4

Angle

Angle de rotation [°]

Angle libre autour selon lequel doit pivoter l’élément.
Les valeurs positives correspondent à une rotation dans le sens antihoraire, tandis que les valeurs négatives correspondent à une rotation dans le sens horaire. Les valeurs supérieures à 360° sont affichées sous forme d’écart par rapport à 360° (400° correspond à 40°). Seuls les nombres entiers sont autorisés.

Sur les éléments pivotés, les actions suivantes ne sont plus possibles :

  • Miroir
  • Rotation de +/- 90°
  • Redimensionnement à l’aide des touches fléchées

Par défaut : 0

Remarque : Ce paramètre est activé et réinitialisé lors de la configuration pour Windows CE.

Plus de détails dans l’aide en ligne.

VT_I2

ZoomMin

Visible de

Incrément de zoom le plus bas auquel l’élément est visible dans la vue globale.
Par défaut : -1
Une valeur de visibilité avec des incréments de zoom de -1 à -1 signifie que l’élément est affiché, quel que soit l’incrément de zoom sélectionné.

Les niveaux de zoom affichés dans la vue globale peuvent être configurés avec la propriété Apparence graphique -> Généralités runtime -> Pas de zoom pour vue globale.

Attention : Ce niveau de zoom s’applique à tous les types de synoptiques et cadres. Si un niveau de zoom défini est supérieur à 0, l’élément est uniquement affiché dans la vue globale, car les autres types de synoptique sont automatiquement appelés avec le niveau de zoom 0.

Plus de détails dans l’aide en ligne.

VT_I2

ZoomMax

Visible jusqu'à

Incrément de zoom le plus élevé auquel l’élément est visible dans la vue globale.

Par défaut : -1
Une valeur de visibilité avec des incréments de zoom de -1 à -1 signifie que l’élément est affiché, quel que soit l’incrément de zoom sélectionné.

Les niveaux de zoom affichés dans la vue globale peuvent être configurés avec la propriété Apparence graphique -> Généralités runtime -> Pas de zoom pour vue globale.

Attention : Ce niveau de zoom s’applique à tous les types de synoptiques et cadres. Si un niveau de zoom défini est supérieur à 0, l’élément est uniquement affiché dans la vue globale, car les autres types de synoptique sont automatiquement appelés avec le niveau de zoom 0.

Plus de détails dans l’aide en ligne.

VT_BSTR

Stationname

Nom liste d'objets

L’élément est saisi directement dans la liste de stations du synoptique Vue globale, et le texte est saisi ici.

Plus de détails dans l’aide en ligne.

ZT_VARIABLE_DYN

BackColorVariable

Couleur de remplissage

Nom de la variable dont les couleurs de valeur limite doivent influencer la couleur d’arrière-plan/de remplissage de l’élément.
Ouvre la boîte de dialogue de sélection de variables.

Plus de détails dans l’aide en ligne.

ZT_PREVIEW

BackColorVarPreview

Affichage aperçu couleur

Affichage de la valeur limite pour la propriété Couleur de remplissage définie pour la variable. Disponible uniquement si l’option Depuis la variable a été configurée pour la propriété Couleur de remplissage.

Un aperçu des propriétés définies pour la valeur limite est affiché dans le champ. Aucun aperçu n’est affiché pour les matrices de réaction.
Cliquez sur le bouton ... pour ouvrir la boîte de dialogue d’affichage des résultats. Les valeurs limite sont uniquement affichées ; elles ne peuvent pas être modifiées. Les modifications doivent être effectuées directement dans les propriétés de la variable pour Valeurs limite.

Plus de détails dans l’aide en ligne.

VT_UI1

HorizontalOrigin

Horizontal

Point de référence horizontal de l’événement. Les valeurs possibles sont : gauche, centré, droite.
Ce point est utilisé en tant que base de calcul de l’angle de départ de la rotation (statique et dynamique) et pour le changement dynamique de taille.

Par défaut : À gauche

Plus de détails dans l’aide en ligne.

VT_UI1

VerticalOrigin

Vertical

Point de référence vertical de l’événement. Les valeurs possibles sont : haut, centré, bas.
Ce point est utilisé en tant que base de calcul de l’angle de départ de la rotation (statique et dynamique) et pour le changement dynamique de taille.

Par défaut : En haut

Plus de détails dans l’aide en ligne.

VT_UI4

VisibilityType

Visibilité

Sélection depuis laquelle la visibilité d’un élément est déterminée :

  • Depuis une variable
  • Du verrrouillage

Par défaut : Depuis une variable

Plus de détails dans l’aide en ligne.

ZT_VARIABLE_DYN

VisibilityVariable

Variable

Disponible uniquement si l’option Depuis la variable a été configurée pour la propriété Visibilité.

Nom de la variable dont la valeur contrôle la visibilité de l’élément. La visibilité est soit reprise des propriétés de valeur limite de ces variables, soit définie par la plage de valeurs définie dans les propriétés de et À.
Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de variables. Vous pouvez également saisir manuellement le nom dans le champ de texte.
L'élément reste visible tant qu’aucune variable n’est liée.

Plus de détails dans l’aide en ligne.

ZT_PREVIEW

VisVarPreview

Affichage aperçu visibilité

Affichage des valeurs limite pour la visibilité définies pour la variable. Disponible uniquement si l’option Depuis la variable a été configurée pour la propriété Variable dans le groupe Visibilité.

Un aperçu des propriétés définies pour la valeur limite est affiché dans le champ. Aucun aperçu n’est affiché pour les matrices de réaction.
Cliquez sur le bouton ... pour ouvrir la boîte de dialogue d’affichage des résultats. Les valeurs limite sont uniquement affichées ; elles ne peuvent pas être modifiées. Les modifications doivent être effectuées directement dans les propriétés de la variable pour Valeurs limite.

Plus de détails dans l’aide en ligne.

VT_BOOL

VisibilityFromLimit

A partir des valeurs limites

Uniquement disponible après la sélection d’une variable :

  • Active : La visibilité de l’élément est influencée par la propriété de valeur limite de la variable.

    Attention : La propriété Invisible doit être active pour au moins une valeur limite de la variable.

  • Inactive : la visibilité est influencée par les propriétés de l’élément.

Par défaut : active

Plus de détails dans l’aide en ligne.

VT_R8

VisibilityFrom

de

Disponible uniquement après la sélection d’une variable, si la visibilité n’a pas été reprise par la valeur limite :

Valeur minimum de la variable à laquelle l’élément est visible.

  • Minimum : valeur minimum possible de la variable liée.
  • Maximum : valeur maximum possible de la variable liée.

Par défaut : valeur minimum possible de la variable liée.

Plus de détails dans l’aide en ligne.

VT_R8

VisibilityTo

À

Disponible uniquement après la sélection d’une variable, si la visibilité n’a pas été reprise par la valeur limite :

Valeur maximale de la variable à laquelle l’élément est visible.

  • Minimum : valeur minimum possible de la variable liée.
  • Maximum : valeur maximum possible de la variable liée.

Par défaut : valeur maximum possible de la variable liée.

Plus de détails dans l’aide en ligne.

VT_UI4

Interlocking

Verrouillage

Disponible uniquement si l’option Depuis le verrouillage est sélectionnée pour la propriété Visibilité.

Nom du verrouillage dont la valeur contrôle la visibilité de l’élément. Sélectionnez dans la liste déroulante. Celle-ci contient tous les verrouillages existants et utilisables. L’élément est toujours visible si aucun verrouillage n’est lié.

Plus de détails dans l’aide en ligne.

VT_BSTR

InterlockingName

InterlockingName

Description

VT_BOOL

VisibleWhenInterlocked

Visible si verrouillé

Contrôle la visibilité de l’élément lorsque le verrouillage est sélectionné :

  • Active : L’élément est visible s’il est verrouillé.
  • Inactive : L’élément est visible s’il n’est pas verrouillé.

Par défaut : inactive

Plus de détails dans l’aide en ligne.

ZT_VARIABLE_DYN

BlinkVariable

Affichage aperçu clignotement

Affichage des valeurs limite pour le clignotement définies pour la variable. Disponible uniquement si l’option Depuis la variable a été configurée pour la propriété Prendre le clignotement de la limite.

Un aperçu des propriétés définies pour la valeur limite est affiché dans le champ. Aucun aperçu n’est affiché pour les matrices de réaction.
Cliquez sur le bouton ... pour ouvrir la boîte de dialogue d’affichage des résultats. Les valeurs limite sont uniquement affichées ; elles ne peuvent pas être modifiées. Les modifications doivent être effectuées directement dans les propriétés de la variable pour Valeurs limite.

Plus de détails dans l’aide en ligne.

ZT_PREVIEW

BlinkVarPreview

Affichage aperçu clignotement

Affichage des valeurs limite pour le clignotement définies pour la variable. Disponible uniquement si l’option Depuis la variable a été configurée pour la propriété Prendre le clignotement de la limite.

Un aperçu des propriétés définies pour la valeur limite est affiché dans le champ. Aucun aperçu n’est affiché pour les matrices de réaction.
Cliquez sur le bouton ... pour ouvrir la boîte de dialogue d’affichage des résultats. Les valeurs limite sont uniquement affichées ; elles ne peuvent pas être modifiées. Les modifications doivent être effectuées directement dans les propriétés de la variable pour Valeurs limite.

Plus de détails dans l’aide en ligne.

VT_BOOL

UseBlinkColor

Couleur de clignotement par la limite

Active : Reprend la couleur d’arrière-plan du clignotement défini pour la valeur limite active de la variable pour Prendre le clignotement de la limite. Durant le clignotement, l’élément ne devient pas invisible, mais reprend la couleur d’arrière-plan active.

Par défaut : Inactive

Remarque : la couleur n’est pas prise en compte si la couleur d’arrière-plan Transparence est configurée.

Plus de détails dans l’aide en ligne.

ZT_VARIABLE_DYN

XVariable

Variable

Nom de la variable utilisée pour le déplacement horizontal de l’élément.
Ouvre la boîte de dialogue de sélection de variables.

Plus de détails dans l’aide en ligne.

VT_R8

XVarMin

Valeur min de la variable

Valeur minimale de la variable utilisée pour le déplacement horizontal de l’élément.

Plus de détails dans l’aide en ligne.

VT_R8

XVarMax

Valeur max de la variable

Valeur maximale de la variable utilisée pour le déplacement horizontal de l’élément.

Plus de détails dans l’aide en ligne.

VT_I4

XViewMin

Mouvement min [pixels]

Position horizontale de l’élément pour la valeur minimale de la variable (en pixels).

Plus de détails dans l’aide en ligne.

VT_I4

XViewMax

Mouvement max [pixels]

Position horizontale de l’élément pour la valeur minimale de la variable (en pixels).

Plus de détails dans l’aide en ligne.

ZT_VARIABLE_DYN

YVariable

Variable

Nom de la variable utilisée pour le déplacement vertical de l’élément.
Ouvre la boîte de dialogue de sélection de variables.

Plus de détails dans l’aide en ligne.

VT_R8

YVarMin

Valeur min de la variable

Valeur minimale de la variable utilisée pour le déplacement vertical de l’élément.

Plus de détails dans l’aide en ligne.

VT_R8

YVarMax

Valeur max de la variable

Valeur maximale de la variable utilisée pour le déplacement vertical de l’élément.

Plus de détails dans l’aide en ligne.

VT_I4

YViewMin

Mouvement min [pixels]

Position verticale de l’élément pour la valeur minimale de la variable (en pixels).

Plus de détails dans l’aide en ligne.

VT_I4

YViewMax

Mouvement max [pixels]

Position verticale de l’élément pour la valeur maximale de la variable (en pixels).

Plus de détails dans l’aide en ligne.

ZT_VARIABLE_DYN

XZoomVariable

Variable

Nom de la variable utilisée pour l’agrandissement de la largeur de l’élément.
Ouvre la boîte de dialogue de sélection de variables.

Plus de détails dans l’aide en ligne.

VT_R8

XZoomVarMin

Valeur min de la variable

Valeur minimale de la variable utilisée pour effectuer un zoom à la largeur de l’élément.

Plus de détails dans l’aide en ligne.

VT_R8

XZoomVarMax

Valeur max de la variable

Valeur maximale de la variable utilisée pour effectuer un zoom sur la largeur de l’élément.

Plus de détails dans l’aide en ligne.

VT_I4

XZoomViewMin

Largeur min [%]

Facteur de zoom correspondant à la largeur de l’élément pour la valeur minimale de la variable (en pixels).

Plus de détails dans l’aide en ligne.

VT_I4

XZoomViewMax

Largeur max [%]

Facteur de zoom correspondant à la largeur de l’élément pour la valeur maximale de la variable (en pixels).

Plus de détails dans l’aide en ligne.

ZT_VARIABLE_DYN

YZoomVariable

Variable

Nom de la variable utilisée pour l’agrandissement de la hauteur de l’élément.
Ouvre la boîte de dialogue de sélection de variables.

Plus de détails dans l’aide en ligne.

VT_R8

YZoomVarMin

Valeur min de la variable

Valeur minimum de la variable utilisée pour effectuer un zoom sur la hauteur de l’élément.

Plus de détails dans l’aide en ligne.

VT_R8

YZoomVarMax

Valeur max de la variable

Valeur maximum de la variable utilisée pour effectuer un zoom sur la hauteur de l’élément.

Plus de détails dans l’aide en ligne.

VT_I4

YZoomViewMin

Hauteur min [%]

Facteur de zoom correspondant à la hauteur de l’élément pour la valeur minimum de la variable (en %).

Plus de détails dans l’aide en ligne.

VT_I4

YZoomViewMax

Hauteur max [%]

Facteur de zoom correspondant à la hauteur de l’élément pour la valeur maximale de la variable (en pixels).

Plus de détails dans l’aide en ligne.

ZT_VARIABLE_DYN

TwistVariable

Variable

Nom de la variable utilisée pour la rotation de l’élément.

Plus de détails dans l’aide en ligne.

VT_R8

TwistVarMin

Valeur min de la variable

Valeur minimum de la variable utilisée pour la rotation de l’élément.

Plus de détails dans l’aide en ligne.

VT_R8

TwistVarMax

Valeur max de la variable

Valeur maximale de la variable utilisée pour la rotation de l’élément.

Plus de détails dans l’aide en ligne.

VT_I4

TwistViewMin

Rotation min [°]

Angle de rotation de l’élément pour la valeur minimum de la variable (en °).

Plus de détails dans l’aide en ligne.

VT_I4

TwistViewMax

Rotation max [°]

Angle de rotation de l’élément pour la valeur maximum de la variable (en °).

Plus de détails dans l’aide en ligne.

ZT_STYLE

ShadowEffectStyle

Style effet cadres/ombres

Affichage et sélection du style de cadre et d’ombre attribué à l’élément.

Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de style.
Si plusieurs éléments ont été sélectionnés, ils peuvent être attribués à un style commun.

Remarque : Seules les propriétés compatibles avec l’élément correspondant sont prises en charge.

Plus de détails dans l’aide en ligne.

VT_BOOL

EnablePunchFrame

Afficher le cadre

A frame around the element can be displayed.
Default: inactive.

ZT_STYLE

GlowEffectStyle

Style effet de rayonnement

Affichage et sélection du style des effets de luminescence attribués à l’élément.

Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de style.
Si plusieurs éléments ont été sélectionnés, ils peuvent être attribués à un style commun.

Remarque : Seules les propriétés compatibles avec l’élément correspondant sont prises en charge.

Plus de détails dans l’aide en ligne.

VT_BOOL

GlowEffectEvent

Actif seulement si cliqué

Disponible uniquement si la propriété Activer est active et l’élément est un bouton.

Active : l’effet de luminescence est uniquement affiché lorsque l’utilisateur clique sur le bouton. Cliquer sur le bouton permet de modifier la couleur, le clignotement ou l’invisibilité de l’effet de luminescence.

Par défaut : Inactive

Plus de détails dans l’aide en ligne.

ZT_VARIABLE_DYN

GlowEffectGlowColorVariable

Variable pour la couleur

Disponible uniquement si la propriété Activer est active. La propriété Coloration doit être activée.

Nom de la variable dont la couleur aux valeurs limites doit influencer la couleur de l’effet de luminescence pour l’élément. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de variables. Vous pouvez également saisir le nom manuellement dans le champ de texte. Si aucune variable n’est liée, la couleur définie dans la propriété Couleur est utilisée.

Par défaut : aucune variable liée

Plus de détails dans l’aide en ligne.

ZT_PREVIEW

GlowEffectGlowColorVariablePreview

Affichage aperçu couleur

Affichage de la valeur limite définie pour la variable de couleur lorsque l’effet de luminescence est actif. Disponible uniquement si l’option Depuis la variable a été configurée pour la propriété Variable pour la couleur.

Un aperçu des propriétés définies pour la valeur limite est affiché dans le champ. Aucun aperçu n’est affiché pour les matrices de réaction.
Cliquez sur le bouton ... pour ouvrir la boîte de dialogue d’affichage des résultats. Les valeurs limite sont uniquement affichées ; elles ne peuvent pas être modifiées. Les modifications doivent être effectuées directement dans les propriétés de la variable pour Valeurs limite.

Plus de détails dans l’aide en ligne.

ZT_VARIABLE_DYN

GlowEffectVisibilityVariable

Variable pour la visibilité

Disponible uniquement si la propriété Activer est active.

Nom de la variable dont la valeur influence la visibilité de l’effet de luminescence. La visibilité est soit reprise des propriétés de valeur limite de cette variable (propriété Visibilité depuis valeur limite active), soit définie par la plage de valeurs définie dans les propriétés Visible de et Visible jusqu'à. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de variables. Vous pouvez également saisir le nom manuellement dans le champ de texte.

Remarque : si aucune variable n’est liée, l’effet de luminescence est toujours visible.

Par défaut : aucune variable liée

Plus de détails dans l’aide en ligne.

ZT_PREVIEW

GlowEffectVisibilityVariablePreview

Affichage aperçu visibilité

Affichage de la valeur limite définie pour la variable de visibilité lorsque l’effet de luminescence est actif. Disponible uniquement si l’option Depuis la variable a été configurée pour la propriété Variable pour la visibilité.

Un aperçu des propriétés définies pour la valeur limite est affiché dans le champ. Aucun aperçu n’est affiché pour les matrices de réaction.
Cliquez sur le bouton ... pour ouvrir la boîte de dialogue d’affichage des résultats. Les valeurs limite sont uniquement affichées ; elles ne peuvent pas être modifiées. Les modifications doivent être effectuées directement dans les propriétés de la variable pour Valeurs limite.

Plus de détails dans l’aide en ligne.

VT_BOOL

GlowEffectVisibilityFromLimit

Visibilité depuis valeur limite

Disponible uniquement si la propriété Activer est active. Vous devez en outre définir une variable dans la propriété Variable pour la visibilité.

Active : La visibilité de l’effet de luminescence est influencée par la propriété de valeur limite de la variable.

Attention : Pour une valeur limite de la variable au moins, la propriété Invisible doit être active.

Inactive : la visibilité est influencée par les propriétés de l’élément.

Plus de détails dans l’aide en ligne.

VT_R8

GlowEffectVisibilityFrom

Visible de

Disponible uniquement si la propriété Activer est active. Vous devez en outre définir une variable dans la propriété Variable pour la visibilité ; la propriété Visibilité depuis valeur limite doit être inactive.

Définit la valeur à partir de laquelle l’effet de luminescence devient visible.
Minimum : valeur la moins élevée autorisée pour la variable liée dans Variable pour la visibilité.
Maximum : valeur la moins élevée autorisée pour la variable liée dans Variable pour la visibilité.
Par défaut : valeur la plus élevée autorisée pour la variable liée dans Variable pour la visibilité.

Plus de détails dans l’aide en ligne.

VT_R8

GlowEffectVisibilityTo

Visible jusqu'à

Disponible uniquement si la propriété Activer est active. Vous devez en outre définir une variable dans la propriété Variable pour la visibilité ; la propriété Visibilité depuis valeur limite doit être inactive.

Définit la valeur jusqu’à laquelle l’effet de luminescence reste visible.
Minimum : valeur la plus basse autorisée pour la variable liée dans Variable pour la visibilité.
Maximum : valeur la plus élevée autorisée pour la variable liée dans Variable pour la visibilité.
Par défaut : valeur la plus élevée autorisée pour la variable liée dans Variable pour la visibilité.

Plus de détails dans l’aide en ligne.

ZT_VARIABLE_DYN

GlowEffectBlinkVariable

Variable pour le clignotement

Variables dont les paramètres de clignotement de l’effet de luminescence aux valeurs limites doivent être repris. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de variables.

Par défaut : aucune variable liée

Plus de détails dans l’aide en ligne.

ZT_PREVIEW

GlowEffectBlinkVariablePreview

Affichage aperçu clignotement

Affichage de la valeur limite définie pour la variable de clignotement lorsque l’effet de luminescence est actif. Disponible uniquement si l’option Depuis la variable a été configurée pour la propriété Variable pour le clignotement.

Un aperçu des propriétés définies pour la valeur limite est affiché dans le champ. Aucun aperçu n’est affiché pour les matrices de réaction.
Cliquez sur le bouton ... pour ouvrir la boîte de dialogue d’affichage des résultats. Les valeurs limite sont uniquement affichées ; elles ne peuvent pas être modifiées. Les modifications doivent être effectuées directement dans les propriétés de la variable pour Valeurs limite.

Plus de détails dans l’aide en ligne.

VT_BOOL

GlowEffectUseBlinkColor

Clignotement depuis valeur limite

Disponible uniquement si la propriété Activer est active. Vous devez en outre définir une variable dans la propriété Variable pour le clignotement.

Active : Reprend, pour l’effet de luminescence, la couleur de clignotement de la valeur limite active pour la variable définie dans la propriété Couleur de clignotement par la limite. Cette propriété agit indépendamment de la propriété Coloration. En cas de clignotement, l’effet de luminescence ne devient pas invisible, mais reprend les paramètres de l’effet de luminescence actif.

Par défaut : Inactive

Plus de détails dans l’aide en ligne.

VT_BOOL

GlowEffect2ndBlinkStateVisible

2 états de clignotement invisibles

Disponible uniquement si la propriété Activer est active. Vous devez en outre définir une variable dans la propriété Variable pour le clignotement ; la propriété Clignotement depuis valeur limite doit être inactive.

Active : En cas de clignotement, l’effet de luminescence ne bascule pas vers l’effet de luminescence actif, mais devient invisible. Ceci permet de basculer entre l’invisibilité et la couleur de clignotement en cas de dépassement de la valeur limite.

Par défaut : Inactive

Plus de détails dans l’aide en ligne.


Base class vector elements

Manuel -> Interfaces de programmation -> Modèles d'objet -> Element -> Element-Dynamic properties -> Base class vector elements

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Type

VBA/VSTA Name

Display Name

Description

ZT_COLOR

LineColor

Couleur de ligne

Line color of the element.

VT_UI2

Offset_H

Distance horiz. [pixels]

Distance horizontale entre la fin de l’arrondi et le coin, en pixels.

Plus de détails dans l’aide en ligne.

VT_UI2

Offset_V

Distance vertic. [pixels]

Distance verticale entre la fin de l’arrondi du coin, en pixels.

Plus de détails dans l’aide en ligne.

ZT_STYLE

LineStyle

Style de ligne

Affichage et sélection du style de ligne attribué à l’élément.

Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de style.
Si plusieurs éléments ont été sélectionnés, ils peuvent être attribués à un style commun.

Remarque : Seules les propriétés compatibles avec l’élément correspondant sont prises en charge.

Plus de détails dans l’aide en ligne.

ZT_STYLE

FillStyle

Style de remplissage

Affichage et sélection du style de remplissage attribué à l’élément.

Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de style.
Si plusieurs éléments ont été sélectionnés, ils peuvent être attribués à un style commun.

Remarque : Seules les propriétés compatibles avec l’élément correspondant sont prises en charge.

Plus de détails dans l’aide en ligne.

ZT_VARIABLE_DYN

BackColorVariable2

Affichage aperçu couleur

Affichage de la valeur limite pour la propriété Couleur du dégradé définie pour la variable. Disponible uniquement si l’option Depuis la variable a été configurée pour la propriété Couleur du dégradé.

Un aperçu des propriétés définies pour la valeur limite est affiché dans le champ. Aucun aperçu n’est affiché pour les matrices de réaction.
Cliquez sur le bouton ... pour ouvrir la boîte de dialogue d’affichage des résultats. Les valeurs limite sont uniquement affichées ; elles ne peuvent pas être modifiées. Les modifications doivent être effectuées directement dans les propriétés de la variable pour Valeurs limite.

Plus de détails dans l’aide en ligne.

ZT_PREVIEW

BackColorVariable2Preview

Affichage aperçu couleur

Affichage de la valeur limite pour la propriété Couleur du dégradé définie pour la variable. Disponible uniquement si l’option Depuis la variable a été configurée pour la propriété Couleur du dégradé.

Un aperçu des propriétés définies pour la valeur limite est affiché dans le champ. Aucun aperçu n’est affiché pour les matrices de réaction.
Cliquez sur le bouton ... pour ouvrir la boîte de dialogue d’affichage des résultats. Les valeurs limite sont uniquement affichées ; elles ne peuvent pas être modifiées. Les modifications doivent être effectuées directement dans les propriétés de la variable pour Valeurs limite.

Plus de détails dans l’aide en ligne.

VT_I2

Align

Alignement

Direction of color shift.
horizontal
vertical

VT_I2

Shifted

Gradient de couleur 'décalé'

Wie weit soll der Lichteffekt von der Mitte des Elements versetzt sein.

Mehr im Online-Handbuch

VT_BOOL

Brightness

Par les valeurs de luminosité

Disponible uniquement si l’élément Remplissage (type) a été sélectionné pour la propriété Dégradé de couleurs.

Active : la luminosité du dégradé de couleurs peut être librement définie.
Inactive : la luminosité du dégradé de couleurs est définie automatiquement.

Remarque : le motif de remplissage ne peut plus être modifié si cette propriété est active. Il est également impossible de définir des coins arrondis. Si cette option est activée pour un élément utilisant des coins arrondis, l’élément est affiché avec des coins non arrondis.

Plus de détails dans l’aide en ligne.

VT_UI1

OuterBrightness

Luminosité à l'extérieur

Disponible uniquement si la propriété Par les valeurs de luminosité est active :
Luminosité au niveau du bord extérieur de l’élément.

Plus de détails dans l’aide en ligne.

VT_UI1

InnerBrightness

Luminosité à l'intérieur

Disponible uniquement si la propriété Par les valeurs de luminosité est active :
Luminosité au centre de l’élément.

Plus de détails dans l’aide en ligne.

VT_BOOL

ALCUseColor

Couleur définie par CAL

Disponible uniquement si vous possédez une licence pour la fonctionnalité Coloration Automatique des Lignes (CAL) :
Active : La couleur automatique de la source liée est utilisée.
Inactive : La couleur standard est utilisée.
Par défaut : inactive.

Plus de détails dans l’aide en ligne.

VT_I2

ALCPrecedence

Priorité pour l'affichage

Disponible uniquement si la propriété Couleur définie par CAL est active.

Définit la priorité de l’affichage lorsque l’élément est connecté à plusieurs sources actives.
Plusieurs sources d’alimentation : L’élément est affiché selon les règles de l’alimentation sécurisée.
Source d’alimentation sécurisée : L’élément est affiché selon les règles de l’alimentation sécurisée.
Aucune priorité : Les règles de coloration des paramètres Alimentation multiple et Alimentation sécurisée sont appliquées simultanément, si les deux critères sont satisfaits.

Par défaut : Alimentation multiple
Plus de détails dans l’aide en ligne.

VT_I2

ALCMultiSource

Affichage alimentation multiple

Disponible uniquement si la propriété Couleur définie par CAL est active.
Définit le type d’affichage lorsque l’élément est connecté à plusieurs sources :
Source la plus prioritaire : Seule la couleur de la source la plus prioritaire est utilisée.
Deux sources les plus prioritaires : Les différentes couleurs des deux sources comportant les priorités les plus élevées sont affichées sous forme de trait tireté.
Couleur de remplacement : Couleur de remplacement pour la fonction CAL avec des alimentations multiples.

Par défaut : La source la plus prioritaire

Plus de détails dans l’aide en ligne.

VT_I2

ALCDashLen

Longueur de pointillé fournie plusieurs fois

Disponible uniquement si la propriété Affichage alimentation multiple possède la valeur Deux sources antérieures les plus élevées.

Définit la longueur en pixels du trait tireté associé à la fonction CAL avec une alimentation multiple.

Minimum : 0 (longueur des tirets automatique)

Maximum : 32767

Par défaut : 0

Plus de détails dans l’aide en ligne.

ZT_COLOR

ALCAlternativeColor

Couleur alternative

Disponible uniquement si la propriété Affichage alimentation multiple possède la valeur Couleur de remplacement.

Couleur de remplacement pour la fonction CAL avec des alimentations multiples.

Plus de détails dans l’aide en ligne.

VT_I2

ALCMSecuredSupply

Affichage alimentation sécurisée

Disponible uniquement si Couleur définie par CAL est activée.

Définition de l’affichage de l’alimentation sécurisée :

  • double épaisseur
  • double luminosité
  • normal

Par défaut : normal

Plus de détails dans l’aide en ligne.

VT_BOOL

ALCAlias

Alias

Disponible uniquement si la propriété Couleur définie par CAL est active.

Élément source défini pour la propriété Utiliser alias. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue et sélectionner un élément existant.
Remarque : Les alias ne peuvent pas être utilisés pour des symboles dans la bibliothèque générale de symboles ou la bibliothèque de symboles du projet.

Plus de détails dans l’aide en ligne.

VT_BSTR

ALCAliasName

Alias

Disponible uniquement si la propriété Couleur définie par CAL est active.

Élément source défini pour la propriété Utiliser alias. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue et sélectionner un élément existant.
Remarque : Les alias ne peuvent pas être utilisés pour des symboles dans la bibliothèque générale de symboles ou la bibliothèque de symboles du projet.

Plus de détails dans l’aide en ligne.

VT_R8

ALCReact

Valeur de réactance du câble [Ohm]

Valeur maximale de réactance autorisée de la ligne, en ohms.

Plus de détails dans l’aide en ligne.

VT_R8

ALCResist

Valeur de la résistance de la ligne électrique [Ohm]

Valeur maximale de résistance autorisée de la ligne, en ohms.

Plus de détails dans l’aide en ligne.

VT_R8

ALCLength

Longueur de la ligne [km]

Ligne CAL : longueur de la ligne.

Plus de détails dans l’aide en ligne.

VT_I2

ALCMaxIType

Limite de la capacité de transport de courant

Commutation CAL : valeur limite de la capacité actuelle (sélection fixe/variable).

Plus de détails dans l’aide en ligne.

VT_R8

ALCMaxIVal

Limite fixe de la capacité de transport de courant [A]

Commutation CAL : Capacité de transport de courant définie par une valeur limite.

Plus de détails dans l’aide en ligne.

ZT_VARIABLE_DYN

ALCVarMaxI

Valeur limite dynamique pour la capacité de transport de courant

More...

ALCVarMaxIEx

ALCVarMaxIEx

ZT_VARIABLE_DYN

ALCVarCalcI

Valeur de la mesure du flux de courant calculé

Ligne CAL : Valeur de la mesure du flux de courant calculé.

Plus de détails dans l’aide en ligne.

More...

ALCVarCalcIEx

ALCVarCalcIEx

ALC Leitung: Messwert des berechneten Stromflusses für Export.

Mehr in der Online-Hilfe.

ZT_STYLE

StyleGroup

Groupe de styles

Affichage et sélection du groupe de styles attribué à l’élément.
Cliquez sur le bouton ... pour ouvrir la boîte de dialogue permettant de sélectionner un groupe de styles.
Si plusieurs éléments sont sélectionnés, elles peuvent être attribuées à un groupe de styles commun.

Remarque : Seules les propriétés compatibles avec l’élément correspondant sont prises en charge.

Plus de détails dans l’aide en ligne.

More...

LnClVariable

LnClVariable

"With this property you have the opportunity to get informations about the variable which is linked as ""line/text color"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""LnClVariable.SymVarName"") 'Return the name of the ""line/text color"" variable
zElement.DynProperties (""LnClVariable.SymVarTagNr"") 'Return the identification of the ""line/text color"" variable"

More...

BkClVariable

BkClVariable

"With this property you have the opportunity to get informations about the variable which is linked as ""background/filling color"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""BkClVariable.SymVarName"") 'Return the name of the ""background/filling color"" variable
zElement.DynProperties (""BkClVariable.SymVarTagNr"") 'Return the identification of the ""background/filling color"" variable"

More...

BkCl2Variable

"BkCl2Variable"

More...

XVar

XVar

"With this property you have the opportunity to get informations about the variable which is linked as ""dynamic x position"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""XVar.SymVarName"") 'Return the name of the ""dynamic x position"" variable
zElement.DynProperties (""XVar.SymVarTagNr"") 'Return the identification of the ""dynamic x position"" variable"

More...

YVar

YVar

"With this property you have the opportunity to get informations about the variable which is linked as ""dynamic y position"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""YVar.SymVarName"") 'Return the name of the ""dynamic y position"" variable
zElement.DynProperties (""YVar.SymVarTagNr"") 'Return the identification of the ""dynamic y position"" variable"

More...

XVarZoom

XVarZoom

"With this property you have the opportunity to get informations about the variable which is linked as ""change width"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""XVarZoom.SymVarName"") 'Return the name of the ""change width"" variable
zElement.DynProperties (""XVarZoom.SymVarTagNr"") 'Return the identification of the ""change width"" variable"

More...

YVarZoom

YVarZoom

"With this property you have the opportunity to get informations about the variable which is linked as ""change height"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""YVarZoom.SymVarName"") 'Return the name of the ""change height"" variable
zElement.DynProperties (""YVarZoom.SymVarName"") 'Return the name of the ""change height"" variable
zElement.DynProperties (""YVarZoom.SymVarTagNr"") 'Return the identification of the ""change height"" variable"

More...

TwistVar

TwistVar

"With this property you have the opportunity to get informations about the variable which is linked as ""rotate"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""TwistVar.SymVarName"") 'Return the name of the ""rotate"" variable
zElement.DynProperties (""TwistVar.SymVarTagNr"") 'Return the identification of the ""rotate"" variable"

More...

VisVariable

VisVariable

"With this property you have the opportunity to get informations about the variable which is linked as ""visibility"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""VisVariable.SymVarName"") 'Return the name of the ""visibility"" variable
zElement.DynProperties (""VisVariable.SymVarTagNr"") 'Return the identification of the ""visibility"" variable"

More...

BlinkVar

BlinkVar

More...

GlowEffectGlowColorVar

GlowEffectGlowColorVar

More...

GlowEffectVisibilityVar

GlowEffectVisibilityVar

More...

GlowEffectBlinkVar

GlowEffectBlinkVar

VT_BSTR

Name

Nom d'élément

Attribuez un nom d’élément.
Il ne doit pas être vide.

Attention : Cette propriété n’est pas disponible aux fins de la commutation de langue.

Remarques concernant les cadrans : Pour les conteneurs de synoptique, spécifiez des noms clairement identifiables pour faciliter la sélection lors de la configuration des appels de synoptique.

Plus de détails dans l’aide en ligne.

VT_UI1

Layer

Niveau de visibilité

Sélectionnez l’un des 16 niveaux de visibilité (0 à 15) dans la liste déroulante. À l’aide de la barre d’outils Niveau de visibilité, vous décidez des niveaux qui doivent être affichés dans Editor. Cette fonction garantit que les synoptiques les plus complexes peuvent être développés de manière simple. Les niveaux peuvent être utilisés immédiatement. Les niveaux n’ont aucune influence sur les informations affichées au premier plan ou en arrière-plan dans le Runtime.
Par défaut : 0.

Plus de détails dans l’aide en ligne.

VT_I4

StartX

Point de départ X [pixels]

Coordonnée Y du coin supérieur gauche du synoptique (en pixels).

Plus de détails dans l’aide en ligne.

VT_I4

EndX

Point final X [pixels]

Coordonnée X du coin inférieur droit du synoptique (en pixels).

Plus de détails dans l’aide en ligne.

VT_I4

StartY

Point de départ Y [pixels]

Coordonnée Y du coin supérieur gauche du synoptique (en pixels).

Plus de détails dans l’aide en ligne.

VT_I4

EndY

Point final Y [pixels]

Coordonnée Y du coin inférieur droit du synoptique (en pixels).

Plus de détails dans l’aide en ligne.

VT_I4

Width

Largeur [pixels]

Largeur des éléments en pixels.

Remarque : disponible uniquement pour les éléments Combinaison multiple, Élément combiné, Bouton et Interrupteur si la valeur Ajusté a été sélectionnée pour la propriété Taille du graphique.

Plus de détails dans l’aide en ligne.

VT_I4

Height

Hauteur [pixels]

Hauteur des éléments en pixels.

Remarque : disponible uniquement pour les éléments Combinaison multiple, Élément combiné, Bouton et Interrupteur si la valeur Ajusté a été sélectionnée pour la propriété Taille du graphique.

Plus de détails dans l’aide en ligne.

VT_I4

Angle

Angle de rotation [°]

Angle libre autour selon lequel doit pivoter l’élément.
Les valeurs positives correspondent à une rotation dans le sens antihoraire, tandis que les valeurs négatives correspondent à une rotation dans le sens horaire. Les valeurs supérieures à 360° sont affichées sous forme d’écart par rapport à 360° (400° correspond à 40°). Seuls les nombres entiers sont autorisés.

Sur les éléments pivotés, les actions suivantes ne sont plus possibles :

  • Miroir
  • Rotation de +/- 90°
  • Redimensionnement à l’aide des touches fléchées

Par défaut : 0

Remarque : Ce paramètre est activé et réinitialisé lors de la configuration pour Windows CE.

Plus de détails dans l’aide en ligne.

VT_I2

ZoomMin

Visible de

Incrément de zoom le plus bas auquel l’élément est visible dans la vue globale.
Par défaut : -1
Une valeur de visibilité avec des incréments de zoom de -1 à -1 signifie que l’élément est affiché, quel que soit l’incrément de zoom sélectionné.

Les niveaux de zoom affichés dans la vue globale peuvent être configurés avec la propriété Apparence graphique -> Généralités runtime -> Pas de zoom pour vue globale.

Attention : Ce niveau de zoom s’applique à tous les types de synoptiques et cadres. Si un niveau de zoom défini est supérieur à 0, l’élément est uniquement affiché dans la vue globale, car les autres types de synoptique sont automatiquement appelés avec le niveau de zoom 0.

Plus de détails dans l’aide en ligne.

VT_I2

ZoomMax

Visible jusqu'à

Incrément de zoom le plus élevé auquel l’élément est visible dans la vue globale.

Par défaut : -1
Une valeur de visibilité avec des incréments de zoom de -1 à -1 signifie que l’élément est affiché, quel que soit l’incrément de zoom sélectionné.

Les niveaux de zoom affichés dans la vue globale peuvent être configurés avec la propriété Apparence graphique -> Généralités runtime -> Pas de zoom pour vue globale.

Attention : Ce niveau de zoom s’applique à tous les types de synoptiques et cadres. Si un niveau de zoom défini est supérieur à 0, l’élément est uniquement affiché dans la vue globale, car les autres types de synoptique sont automatiquement appelés avec le niveau de zoom 0.

Plus de détails dans l’aide en ligne.

VT_BSTR

Stationname

Nom liste d'objets

L’élément est saisi directement dans la liste de stations du synoptique Vue globale, et le texte est saisi ici.

Plus de détails dans l’aide en ligne.

ZT_VARIABLE_DYN

LineColorVariable

Couleur de ligne

Nom des variables dont les couleurs de valeur limite doivent influencer la couleur de ligne/de texte de l’élément. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de variables.

Plus de détails dans l’aide en ligne.

ZT_PREVIEW

LineColorVarPreview

Affichage aperçu couleur

Affichage de la valeur limite pour la propriété Couleur de ligne définie pour la variable. Disponible uniquement si l’option Depuis la variable a été configurée pour la propriété Couleur de ligne.

Un aperçu des propriétés définies pour la valeur limite est affiché dans le champ. Aucun aperçu n’est affiché pour les matrices de réaction.
Cliquez sur le bouton ... pour ouvrir la boîte de dialogue d’affichage des résultats. Les valeurs limite sont uniquement affichées ; elles ne peuvent pas être modifiées. Les modifications doivent être effectuées directement dans les propriétés de la variable pour Valeurs limite.

Plus de détails dans l’aide en ligne.

ZT_VARIABLE_DYN

BackColorVariable

Couleur de remplissage

Nom de la variable dont les couleurs de valeur limite doivent influencer la couleur d’arrière-plan/de remplissage de l’élément.
Ouvre la boîte de dialogue de sélection de variables.

Plus de détails dans l’aide en ligne.

ZT_PREVIEW

BackColorVarPreview

Affichage aperçu couleur

Affichage de la valeur limite pour la propriété Couleur de remplissage définie pour la variable. Disponible uniquement si l’option Depuis la variable a été configurée pour la propriété Couleur de remplissage.

Un aperçu des propriétés définies pour la valeur limite est affiché dans le champ. Aucun aperçu n’est affiché pour les matrices de réaction.
Cliquez sur le bouton ... pour ouvrir la boîte de dialogue d’affichage des résultats. Les valeurs limite sont uniquement affichées ; elles ne peuvent pas être modifiées. Les modifications doivent être effectuées directement dans les propriétés de la variable pour Valeurs limite.

Plus de détails dans l’aide en ligne.

VT_UI1

HorizontalOrigin

Horizontal

Point de référence horizontal de l’événement. Les valeurs possibles sont : gauche, centré, droite.
Ce point est utilisé en tant que base de calcul de l’angle de départ de la rotation (statique et dynamique) et pour le changement dynamique de taille.

Par défaut : À gauche

Plus de détails dans l’aide en ligne.

VT_UI1

VerticalOrigin

Vertical

Point de référence vertical de l’événement. Les valeurs possibles sont : haut, centré, bas.
Ce point est utilisé en tant que base de calcul de l’angle de départ de la rotation (statique et dynamique) et pour le changement dynamique de taille.

Par défaut : En haut

Plus de détails dans l’aide en ligne.

VT_UI4

VisibilityType

Visibilité

Sélection depuis laquelle la visibilité d’un élément est déterminée :

  • Depuis une variable
  • Du verrrouillage

Par défaut : Depuis une variable

Plus de détails dans l’aide en ligne.

ZT_VARIABLE_DYN

VisibilityVariable

Variable

Disponible uniquement si l’option Depuis la variable a été configurée pour la propriété Visibilité.

Nom de la variable dont la valeur contrôle la visibilité de l’élément. La visibilité est soit reprise des propriétés de valeur limite de ces variables, soit définie par la plage de valeurs définie dans les propriétés de et À.
Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de variables. Vous pouvez également saisir manuellement le nom dans le champ de texte.
L'élément reste visible tant qu’aucune variable n’est liée.

Plus de détails dans l’aide en ligne.

ZT_PREVIEW

VisVarPreview

Affichage aperçu visibilité

Affichage des valeurs limite pour la visibilité définies pour la variable. Disponible uniquement si l’option Depuis la variable a été configurée pour la propriété Variable dans le groupe Visibilité.

Un aperçu des propriétés définies pour la valeur limite est affiché dans le champ. Aucun aperçu n’est affiché pour les matrices de réaction.
Cliquez sur le bouton ... pour ouvrir la boîte de dialogue d’affichage des résultats. Les valeurs limite sont uniquement affichées ; elles ne peuvent pas être modifiées. Les modifications doivent être effectuées directement dans les propriétés de la variable pour Valeurs limite.

Plus de détails dans l’aide en ligne.

VT_BOOL

VisibilityFromLimit

A partir des valeurs limites

Uniquement disponible après la sélection d’une variable :

  • Active : La visibilité de l’élément est influencée par la propriété de valeur limite de la variable.

    Attention : La propriété Invisible doit être active pour au moins une valeur limite de la variable.

  • Inactive : la visibilité est influencée par les propriétés de l’élément.

Par défaut : active

Plus de détails dans l’aide en ligne.

VT_R8

VisibilityFrom

de

Disponible uniquement après la sélection d’une variable, si la visibilité n’a pas été reprise par la valeur limite :

Valeur minimum de la variable à laquelle l’élément est visible.

  • Minimum : valeur minimum possible de la variable liée.
  • Maximum : valeur maximum possible de la variable liée.

Par défaut : valeur minimum possible de la variable liée.

Plus de détails dans l’aide en ligne.

VT_R8

VisibilityTo

À

Disponible uniquement après la sélection d’une variable, si la visibilité n’a pas été reprise par la valeur limite :

Valeur maximale de la variable à laquelle l’élément est visible.

  • Minimum : valeur minimum possible de la variable liée.
  • Maximum : valeur maximum possible de la variable liée.

Par défaut : valeur maximum possible de la variable liée.

Plus de détails dans l’aide en ligne.

VT_UI4

Interlocking

Verrouillage

Disponible uniquement si l’option Depuis le verrouillage est sélectionnée pour la propriété Visibilité.

Nom du verrouillage dont la valeur contrôle la visibilité de l’élément. Sélectionnez dans la liste déroulante. Celle-ci contient tous les verrouillages existants et utilisables. L’élément est toujours visible si aucun verrouillage n’est lié.

Plus de détails dans l’aide en ligne.

VT_BSTR

InterlockingName

InterlockingName

Description

VT_BOOL

VisibleWhenInterlocked

Visible si verrouillé

Contrôle la visibilité de l’élément lorsque le verrouillage est sélectionné :

  • Active : L’élément est visible s’il est verrouillé.
  • Inactive : L’élément est visible s’il n’est pas verrouillé.

Par défaut : inactive

Plus de détails dans l’aide en ligne.

ZT_VARIABLE_DYN

BlinkVariable

Affichage aperçu clignotement

Affichage des valeurs limite pour le clignotement définies pour la variable. Disponible uniquement si l’option Depuis la variable a été configurée pour la propriété Prendre le clignotement de la limite.

Un aperçu des propriétés définies pour la valeur limite est affiché dans le champ. Aucun aperçu n’est affiché pour les matrices de réaction.
Cliquez sur le bouton ... pour ouvrir la boîte de dialogue d’affichage des résultats. Les valeurs limite sont uniquement affichées ; elles ne peuvent pas être modifiées. Les modifications doivent être effectuées directement dans les propriétés de la variable pour Valeurs limite.

Plus de détails dans l’aide en ligne.

ZT_PREVIEW

BlinkVarPreview

Affichage aperçu clignotement

Affichage des valeurs limite pour le clignotement définies pour la variable. Disponible uniquement si l’option Depuis la variable a été configurée pour la propriété Prendre le clignotement de la limite.

Un aperçu des propriétés définies pour la valeur limite est affiché dans le champ. Aucun aperçu n’est affiché pour les matrices de réaction.
Cliquez sur le bouton ... pour ouvrir la boîte de dialogue d’affichage des résultats. Les valeurs limite sont uniquement affichées ; elles ne peuvent pas être modifiées. Les modifications doivent être effectuées directement dans les propriétés de la variable pour Valeurs limite.

Plus de détails dans l’aide en ligne.

VT_BOOL

UseBlinkColor

Couleur de clignotement par la limite

Active : Reprend la couleur d’arrière-plan du clignotement défini pour la valeur limite active de la variable pour Prendre le clignotement de la limite. Durant le clignotement, l’élément ne devient pas invisible, mais reprend la couleur d’arrière-plan active.

Par défaut : Inactive

Remarque : la couleur n’est pas prise en compte si la couleur d’arrière-plan Transparence est configurée.

Plus de détails dans l’aide en ligne.

ZT_VARIABLE_DYN

XVariable

Variable

Nom de la variable utilisée pour le déplacement horizontal de l’élément.
Ouvre la boîte de dialogue de sélection de variables.

Plus de détails dans l’aide en ligne.

VT_R8

XVarMin

Valeur min de la variable

Valeur minimale de la variable utilisée pour le déplacement horizontal de l’élément.

Plus de détails dans l’aide en ligne.

VT_R8

XVarMax

Valeur max de la variable

Valeur maximale de la variable utilisée pour le déplacement horizontal de l’élément.

Plus de détails dans l’aide en ligne.

VT_I4

XViewMin

Mouvement min [pixels]

Position horizontale de l’élément pour la valeur minimale de la variable (en pixels).

Plus de détails dans l’aide en ligne.

VT_I4

XViewMax

Mouvement max [pixels]

Position horizontale de l’élément pour la valeur minimale de la variable (en pixels).

Plus de détails dans l’aide en ligne.

ZT_VARIABLE_DYN

YVariable

Variable

Nom de la variable utilisée pour le déplacement vertical de l’élément.
Ouvre la boîte de dialogue de sélection de variables.

Plus de détails dans l’aide en ligne.

VT_R8

YVarMin

Valeur min de la variable

Valeur minimale de la variable utilisée pour le déplacement vertical de l’élément.

Plus de détails dans l’aide en ligne.

VT_R8

YVarMax

Valeur max de la variable

Valeur maximale de la variable utilisée pour le déplacement vertical de l’élément.

Plus de détails dans l’aide en ligne.

VT_I4

YViewMin

Mouvement min [pixels]

Position verticale de l’élément pour la valeur minimale de la variable (en pixels).

Plus de détails dans l’aide en ligne.

VT_I4

YViewMax

Mouvement max [pixels]

Position verticale de l’élément pour la valeur maximale de la variable (en pixels).

Plus de détails dans l’aide en ligne.

ZT_VARIABLE_DYN

XZoomVariable

Variable

Nom de la variable utilisée pour l’agrandissement de la largeur de l’élément.
Ouvre la boîte de dialogue de sélection de variables.

Plus de détails dans l’aide en ligne.

VT_R8

XZoomVarMin

Valeur min de la variable

Valeur minimale de la variable utilisée pour effectuer un zoom à la largeur de l’élément.

Plus de détails dans l’aide en ligne.

VT_R8

XZoomVarMax

Valeur max de la variable

Valeur maximale de la variable utilisée pour effectuer un zoom sur la largeur de l’élément.

Plus de détails dans l’aide en ligne.

VT_I4

XZoomViewMin

Largeur min [%]

Facteur de zoom correspondant à la largeur de l’élément pour la valeur minimale de la variable (en pixels).

Plus de détails dans l’aide en ligne.

VT_I4

XZoomViewMax

Largeur max [%]

Facteur de zoom correspondant à la largeur de l’élément pour la valeur maximale de la variable (en pixels).

Plus de détails dans l’aide en ligne.

ZT_VARIABLE_DYN

YZoomVariable

Variable

Nom de la variable utilisée pour l’agrandissement de la hauteur de l’élément.
Ouvre la boîte de dialogue de sélection de variables.

Plus de détails dans l’aide en ligne.

VT_R8

YZoomVarMin

Valeur min de la variable

Valeur minimum de la variable utilisée pour effectuer un zoom sur la hauteur de l’élément.

Plus de détails dans l’aide en ligne.

VT_R8

YZoomVarMax

Valeur max de la variable

Valeur maximum de la variable utilisée pour effectuer un zoom sur la hauteur de l’élément.

Plus de détails dans l’aide en ligne.

VT_I4

YZoomViewMin

Hauteur min [%]

Facteur de zoom correspondant à la hauteur de l’élément pour la valeur minimum de la variable (en %).

Plus de détails dans l’aide en ligne.

VT_I4

YZoomViewMax

Hauteur max [%]

Facteur de zoom correspondant à la hauteur de l’élément pour la valeur maximale de la variable (en pixels).

Plus de détails dans l’aide en ligne.

ZT_VARIABLE_DYN

TwistVariable

Variable

Nom de la variable utilisée pour la rotation de l’élément.

Plus de détails dans l’aide en ligne.

VT_R8

TwistVarMin

Valeur min de la variable

Valeur minimum de la variable utilisée pour la rotation de l’élément.

Plus de détails dans l’aide en ligne.

VT_R8

TwistVarMax

Valeur max de la variable

Valeur maximale de la variable utilisée pour la rotation de l’élément.

Plus de détails dans l’aide en ligne.

VT_I4

TwistViewMin

Rotation min [°]

Angle de rotation de l’élément pour la valeur minimum de la variable (en °).

Plus de détails dans l’aide en ligne.

VT_I4

TwistViewMax

Rotation max [°]

Angle de rotation de l’élément pour la valeur maximum de la variable (en °).

Plus de détails dans l’aide en ligne.

ZT_STYLE

ShadowEffectStyle

Style effet cadres/ombres

Affichage et sélection du style de cadre et d’ombre attribué à l’élément.

Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de style.
Si plusieurs éléments ont été sélectionnés, ils peuvent être attribués à un style commun.

Remarque : Seules les propriétés compatibles avec l’élément correspondant sont prises en charge.

Plus de détails dans l’aide en ligne.

VT_BOOL

EnablePunchFrame

Afficher le cadre

A frame around the element can be displayed.
Default: inactive.

ZT_STYLE

GlowEffectStyle

Style effet de rayonnement

Affichage et sélection du style des effets de luminescence attribués à l’élément.

Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de style.
Si plusieurs éléments ont été sélectionnés, ils peuvent être attribués à un style commun.

Remarque : Seules les propriétés compatibles avec l’élément correspondant sont prises en charge.

Plus de détails dans l’aide en ligne.

VT_BOOL

GlowEffectEvent

Actif seulement si cliqué

Disponible uniquement si la propriété Activer est active et l’élément est un bouton.

Active : l’effet de luminescence est uniquement affiché lorsque l’utilisateur clique sur le bouton. Cliquer sur le bouton permet de modifier la couleur, le clignotement ou l’invisibilité de l’effet de luminescence.

Par défaut : Inactive

Plus de détails dans l’aide en ligne.

ZT_VARIABLE_DYN

GlowEffectGlowColorVariable

Variable pour la couleur

Disponible uniquement si la propriété Activer est active. La propriété Coloration doit être activée.

Nom de la variable dont la couleur aux valeurs limites doit influencer la couleur de l’effet de luminescence pour l’élément. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de variables. Vous pouvez également saisir le nom manuellement dans le champ de texte. Si aucune variable n’est liée, la couleur définie dans la propriété Couleur est utilisée.

Par défaut : aucune variable liée

Plus de détails dans l’aide en ligne.

ZT_PREVIEW

GlowEffectGlowColorVariablePreview

Affichage aperçu couleur

Affichage de la valeur limite définie pour la variable de couleur lorsque l’effet de luminescence est actif. Disponible uniquement si l’option Depuis la variable a été configurée pour la propriété Variable pour la couleur.

Un aperçu des propriétés définies pour la valeur limite est affiché dans le champ. Aucun aperçu n’est affiché pour les matrices de réaction.
Cliquez sur le bouton ... pour ouvrir la boîte de dialogue d’affichage des résultats. Les valeurs limite sont uniquement affichées ; elles ne peuvent pas être modifiées. Les modifications doivent être effectuées directement dans les propriétés de la variable pour Valeurs limite.

Plus de détails dans l’aide en ligne.

ZT_VARIABLE_DYN

GlowEffectVisibilityVariable

Variable pour la visibilité

Disponible uniquement si la propriété Activer est active.

Nom de la variable dont la valeur influence la visibilité de l’effet de luminescence. La visibilité est soit reprise des propriétés de valeur limite de cette variable (propriété Visibilité depuis valeur limite active), soit définie par la plage de valeurs définie dans les propriétés Visible de et Visible jusqu'à. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de variables. Vous pouvez également saisir le nom manuellement dans le champ de texte.

Remarque : si aucune variable n’est liée, l’effet de luminescence est toujours visible.

Par défaut : aucune variable liée

Plus de détails dans l’aide en ligne.

ZT_PREVIEW

GlowEffectVisibilityVariablePreview

Affichage aperçu visibilité

Affichage de la valeur limite définie pour la variable de visibilité lorsque l’effet de luminescence est actif. Disponible uniquement si l’option Depuis la variable a été configurée pour la propriété Variable pour la visibilité.

Un aperçu des propriétés définies pour la valeur limite est affiché dans le champ. Aucun aperçu n’est affiché pour les matrices de réaction.
Cliquez sur le bouton ... pour ouvrir la boîte de dialogue d’affichage des résultats. Les valeurs limite sont uniquement affichées ; elles ne peuvent pas être modifiées. Les modifications doivent être effectuées directement dans les propriétés de la variable pour Valeurs limite.

Plus de détails dans l’aide en ligne.

VT_BOOL

GlowEffectVisibilityFromLimit

Visibilité depuis valeur limite

Disponible uniquement si la propriété Activer est active. Vous devez en outre définir une variable dans la propriété Variable pour la visibilité.

Active : La visibilité de l’effet de luminescence est influencée par la propriété de valeur limite de la variable.

Attention : Pour une valeur limite de la variable au moins, la propriété Invisible doit être active.

Inactive : la visibilité est influencée par les propriétés de l’élément.

Plus de détails dans l’aide en ligne.

VT_R8

GlowEffectVisibilityFrom

Visible de

Disponible uniquement si la propriété Activer est active. Vous devez en outre définir une variable dans la propriété Variable pour la visibilité ; la propriété Visibilité depuis valeur limite doit être inactive.

Définit la valeur à partir de laquelle l’effet de luminescence devient visible.
Minimum : valeur la moins élevée autorisée pour la variable liée dans Variable pour la visibilité.
Maximum : valeur la moins élevée autorisée pour la variable liée dans Variable pour la visibilité.
Par défaut : valeur la plus élevée autorisée pour la variable liée dans Variable pour la visibilité.

Plus de détails dans l’aide en ligne.

VT_R8

GlowEffectVisibilityTo

Visible jusqu'à

Disponible uniquement si la propriété Activer est active. Vous devez en outre définir une variable dans la propriété Variable pour la visibilité ; la propriété Visibilité depuis valeur limite doit être inactive.

Définit la valeur jusqu’à laquelle l’effet de luminescence reste visible.
Minimum : valeur la plus basse autorisée pour la variable liée dans Variable pour la visibilité.
Maximum : valeur la plus élevée autorisée pour la variable liée dans Variable pour la visibilité.
Par défaut : valeur la plus élevée autorisée pour la variable liée dans Variable pour la visibilité.

Plus de détails dans l’aide en ligne.

ZT_VARIABLE_DYN

GlowEffectBlinkVariable

Variable pour le clignotement

Variables dont les paramètres de clignotement de l’effet de luminescence aux valeurs limites doivent être repris. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de variables.

Par défaut : aucune variable liée

Plus de détails dans l’aide en ligne.

ZT_PREVIEW

GlowEffectBlinkVariablePreview

Affichage aperçu clignotement

Affichage de la valeur limite définie pour la variable de clignotement lorsque l’effet de luminescence est actif. Disponible uniquement si l’option Depuis la variable a été configurée pour la propriété Variable pour le clignotement.

Un aperçu des propriétés définies pour la valeur limite est affiché dans le champ. Aucun aperçu n’est affiché pour les matrices de réaction.
Cliquez sur le bouton ... pour ouvrir la boîte de dialogue d’affichage des résultats. Les valeurs limite sont uniquement affichées ; elles ne peuvent pas être modifiées. Les modifications doivent être effectuées directement dans les propriétés de la variable pour Valeurs limite.

Plus de détails dans l’aide en ligne.

VT_BOOL

GlowEffectUseBlinkColor

Clignotement depuis valeur limite

Disponible uniquement si la propriété Activer est active. Vous devez en outre définir une variable dans la propriété Variable pour le clignotement.

Active : Reprend, pour l’effet de luminescence, la couleur de clignotement de la valeur limite active pour la variable définie dans la propriété Couleur de clignotement par la limite. Cette propriété agit indépendamment de la propriété Coloration. En cas de clignotement, l’effet de luminescence ne devient pas invisible, mais reprend les paramètres de l’effet de luminescence actif.

Par défaut : Inactive

Plus de détails dans l’aide en ligne.

VT_BOOL

GlowEffect2ndBlinkStateVisible

2 états de clignotement invisibles

Disponible uniquement si la propriété Activer est active. Vous devez en outre définir une variable dans la propriété Variable pour le clignotement ; la propriété Clignotement depuis valeur limite doit être inactive.

Active : En cas de clignotement, l’effet de luminescence ne bascule pas vers l’effet de luminescence actif, mais devient invisible. Ceci permet de basculer entre l’invisibilité et la couleur de clignotement en cas de dépassement de la valeur limite.

Par défaut : Inactive

Plus de détails dans l’aide en ligne.


Invisible button

Manuel -> Interfaces de programmation -> Modèles d'objet -> Element -> Element-Dynamic properties -> Invisible button

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Type

VBA/VSTA Name

Display Name

Description

More...

DynEleVar

DynEleVar

"With this property you have the opportunity to get informations about the variable (projected via ""Variable assignment"" in the ActiveX selection dialog) which is linked at an ActiveX element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""DynEleVar.SymVarName"") 'Return the name of the variable which is assigned to the ActiveX
zElement.DynProperties (""DynEleVar.SymVarTagNr"") 'Return the identification of the variable which is assigned to the ActiveX"

More...

DynEleFkt

ZT_VARIABLE_DYN

Variable

Variable

Nom de la variable liée. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de variables.
La valeur de cette variable est affichée dans cet élément et peut également être définie ici.

Remarque : Disponible uniquement pour les boutons s’ils sont utilisés en tant qu’interrupteurs.

Conseil : si la valeur de la variable doit être basculée, nous vous recommandons d’activer la propriété Variable lue en permanence. Dans le cas contraire, le Runtime patiente jusqu’à ce que le driver connaisse la valeur des variables. Si la valeur n’est pas disponible en raison d’une interruption des communications avec le contrôleur, le délai d’attente correspond au délai d’attente avant expiration du driver.

SICAM 230 et élément Synoptique d’alarmes uniquement :
La description ci-dessus s’applique uniquement aux éléments Bouton texte, Bouton bitmap et Bouton invisible.
Signification dans SICAM 230 : Les états des classes d’alarmes/d’événements seront attribués à la variable sélectionnée (32 bits). Pour chaque classe, 2 bits seront utilisés (par numéro de classe, dans l’ordre croissant).

  • Bit inférieur : alarme active/inactive
  • Bit supérieur : alarme acquittée/non acquittée

Plus de détails dans l’aide en ligne.

ZT_FUNCTION_DYN

Function

Fonction

Nom de la fonction liée.
Ouvre la boîte de dialogue de sélection de fonctions.
Cette fonction sera exécutée lorsque l’utilisateur clique sur le bouton dans le Runtime ou lorsque le raccourci clavier défini est utilisé.
Si vous souhaitez exécuter plusieurs fonctions, vous devez créer un script comportant les fonctions requises et spécifier ici la fonction permettant d’exécuter le script.

SICAM 230 et élément Synoptique d’alarmes uniquement :

Outre la propriété Appel de synoptique standard, le synoptique dont les états d’alarmes doivent être affichés seront déterminés par la fonction liée.
Obligatoire (sauf si le paramètre Global est actif) !

Plus de détails dans l’aide en ligne.

VT_BSTR

FunctionParameter

Paramètre pour la substitution

Saisie de la séquence de caractères pour le remplacement au moyen de paramètres. Remplace le mot-clé {PARAM} dans la boîte de dialogue de remplacement de la fonction d’appel de synoptique.

Remarque : Évitez les séquences de caractères également utilisées pour les paramètres d’indexation de variables, telles que {X01}.

Plus de détails dans l’aide en ligne.

ZT_MDIFUNKTION

MDIFunction

Fonction spécifique au type de synoptique

Uniquement disponible sur les synoptiques de type spécial (synoptiques de type autre que Standard) :
Liaison à une fonction spécifique au synoptique. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de fonctions spécifiques au synoptique. Cette fonction est exécutée si l’utilisateur effectue un clic dans le Runtime ou appuie sur une combinaison de touches liée.

Attention : Outre une fonction spécifique au type de synoptique, il est également possible de lier une fonction générale au bouton. Dans ce cas, notez l’ordre d’exécution lorsque vous cliquez sur le bouton : La fonction spécifique au type de synoptique est exécutée la première. Lorsque cette fonction est terminée, la fonction générale est exécutée. Si des événements VBA sont liés au bouton dans le Runtime, ces derniers sont exécutés avant les fonctions.

Plus de détails dans l’aide en ligne.

VT_BOOL

FktOnDown

Exécution sur appui

Active : La fonction liée est exécutée lorsque l’élément est actionné.
Inactive : La fonction liée est exécutée lorsque l’élément est relâché.
Par défaut : inactive.

Plus de détails dans l’aide en ligne.

VT_BOOL

Switch

Commutateur

Disponible uniquement si la propriété Ecrire valeur prescrite est inactive.

Active : l’élément modifie la valeur d’une variable de bit.
Inactive : l’élément exécute une fonction.
Par défaut : Inactive

Plus de détails dans l’aide en ligne.

VT_BOOL

Scanner

Mode temporaire

Disponible uniquement si la propriété Commutateur est active. (Exception : toujours disponible dans l’élément dynamique Interrupteur.)
Active : l’état cible (défini dans la propriété Activation temporaire) est maintenu seulement tant que le bouton gauche de la souris est enfoncé et au moins pendant le temps défini par Durée de maintien [ms].
Inactive : l’état cible persiste après que le bouton de la souris ait été relâché.
Par défaut : inactive.

Plus de détails dans l’aide en ligne.

VT_BOOL

ScannerOn

Activation temporaire

Disponible uniquement si Mode temporaire est active.
Active : bascule les commutateurs sur ON.
Inactive : bascule les commutateurs sur OFF.
Par défaut : Inactive.

Plus de détails dans l’aide en ligne.

VT_BOOL

ResetOnLeave

Remise à 0 en quittant

Disponible uniquement si la propriété Mode temporaire est active.
Maintenez le bouton de la souris enfoncé et éloignez le pointeur de la souris du bouton pour réinitialiser automatiquement la valeur de la variable.

Plus de détails dans l’aide en ligne.

VT_BOOL

FastReaction

Réaction immédiate

Disponible uniquement si Commutateur est active.
Active : Le commutateur change immédiatement de position dans le Runtime, indépendamment de la définition du bit lié au niveau l’automate. Lors du prochain cycle de mise à jour du driver, le bit sera lu depuis l’automate. Après cela, la position du commutateur sera de nouveau conforme à la position correcte du bit dans l’automate.
Attention : Le commutateur sera uniquement actionnable lorsque la valeur aura été lue sur l’automate.

Inactive : Le commutateur changera uniquement de position après que le bit ait été transmis à l’automate, puis lu sur l’automate.

(Par défaut) Inactive :

Plus de détails dans l’aide en ligne.

VT_UI2

ReactionTime

Durée de maintien [ms]

Disponible uniquement si la propriété Commutateur est active. Si la propriété Mode temporaire est active : Durée (en ms) pendant laquelle un état est maintenu à partir du moment où le clic gauche a été effectué sur l’élément correspondant.

Si la propriété Mode temporaire n’est pas cochée : l’effet est retardé à compter du clic gauche.

Plus de détails dans l’aide en ligne.

VT_BOOL

StayPressed

Garder l'état appuyé

Disponible uniquement si les propriétés Commutateur, Mode temporaire et Réaction immédiate sont actives.

Active : Tant que l’utilisateur maintient le bouton de souris appuyé sur cet élément, son affichage graphique ne change pas, indépendamment des changements de valeurs possibles au niveau de l’automate. Au niveau de l’élément Interrupteur, le paramètre 3D doit être actif pour que cela se produise.
Inactive : l’élément affiche toujours la valeur de la variable provenant de l’automate.

Plus de détails dans l’aide en ligne.

VT_UI2

Passwordlevel

Niveau d'autorisation

Le niveau du mot de passe d’écriture de valeurs prescrites ou d’exécution de fonctions avec l’élément dynamique sélectionné.
Minimum : 0.
Maximum : 127
Par défaut : 0.

Plus de détails dans l’aide en ligne.

VT_UI4

Locking

Verrouillage

Lien vers un verrouillage existant avec cet élément.

Si une condition dans une des formules du verrouillage est vraie, cet élément est verrouillé de manière à ce qu’aucun fonctionnement ne soit possible. Si cela a été défini dans les propriétés du projet, un symbole représentant un verrou est affiché aussi longtemps que le verrouillage est actif.

Remarque : Les verrouillages ne peuvent pas être utilisés pour des symboles dans la bibliothèque générale de symboles ou la bibliothèque de symboles du projet.

Plus de détails dans l’aide en ligne.

VT_BSTR

LockingName

LockingName

"With this property you have the opportunity to assign an interlocking via its name.
zElement.DynProperties(""LockingName"") = ""Interlocking 1"""

ZT_SHORTCUT

ShortCut

Raccourci-clavier

Les raccourcis autorisent l’exécution d’éléments actionnables. Par exemple :

- Exécution d’éléments de contrôle et de fonctions auxquelles un élément est attribué
- Écriture de valeurs prescrites (par ex. pour des interrupteurs)
- Configuration du focus pour certaines fenêtres (par ex. liste des courbes dans le module Extended Trend, ou liste déroulante dans le module RGM)

Cliquez sur le bouton du champ de saisie pour ouvrir la boîte de dialogue de définition des combinaisons de touches. Dans la boîte de dialogue, saisissez directement la combinaison souhaitée.

Plus de détails dans l’aide en ligne.

VT_BOOL

UnderCE

Visible sous WinCE

Contrôle la visibilité des éléments dans les synoptiques sous Windows CE. Les projets qui sont utilisés sous CE et sur le PC peuvent être créés de manière plus flexible ; la gestion par l’utilisateur est ainsi améliorée. Par exemple, les boutons renvoyant l’utilisateur vers des synoptiques ne pouvant pas être affichés sous CE (par ex. IPA) peuvent être rendus invisibles.

Active : dans synoptique/l’élément est également visible sous Windows CE.

Par défaut : active

Plus de détails dans l’aide en ligne.

ZT_VBAMAKRO

Init

Init

Macro VBA à exécuter lors de l’initialisation de l’élément.

Plus de détails dans l’aide en ligne.

ZT_VBAMAKRO

SetFocus

SetFocus

Macro VBA à exécuter lorsque le focus est placé sur l’élément.

Plus de détails dans l’aide en ligne.

ZT_VBAMAKRO

KillFocus

KillFocus

Macro VBA à exécuter lorsque le focus n’est plus placé sur l’élément.

Plus de détails dans l’aide en ligne.

ZT_VBAMAKRO

LeftClickDown

LeftClickDown

Macro VBA à exécuter lorsque l’utilisateur effectue un clic gauche sur l’élément.

Plus de détails dans l’aide en ligne.

ZT_VBAMAKRO

RightClickDown

RightClickDown

Macro VBA à exécuter lorsque l’utilisateur effectue un clic droit sur l’élément.

Plus de détails dans l’aide en ligne.

ZT_VBAMAKRO

LeftClickUp

LeftClickUp

Macro VBA à exécuter lorsque l’utilisateur relâche le bouton gauche de la souris sur l’élément.

Plus de détails dans l’aide en ligne.

ZT_VBAMAKRO

RightClickUp

RightClickUp

Macro VBA à exécuter lorsque l’utilisateur relâche le bouton droit de la souris sur l’élément.

Plus de détails dans l’aide en ligne.

ZT_VBAMAKRO

LeftDClick

LeftDoubleClick

Macro VBA à exécuter lorsque l’utilisateur effectue un double-clic gauche sur l’élément.

Plus de détails dans l’aide en ligne.

ZT_VBAMAKRO

RightDClick

RightDoubleClick

Macro VBA à exécuter lorsque l’utilisateur effectue un double-clic droit sur l’élément.

Plus de détails dans l’aide en ligne.

ZT_VBAMAKRO

MouseOver

MouseOver

Macro VBA à exécuter si le pointeur de la souris est positionné sur l’élément.

Plus de détails dans l’aide en ligne.

ZT_VBAMAKRO

DragDrop

DragDrop

Macro VBA à exécuter lorsque le bouton de la souris est relâché.

Plus de détails dans l’aide en ligne.

ZT_VBAMAKRO

DragOver

DragOver

Macro VBA à exécuter lorsque le curseur est déplacé au-dessus de l’élément pendant que le bouton gauche est enfoncé.

Plus de détails dans l’aide en ligne.

ZT_VBAMAKRO

DragBegin

DragBegin

Macro VBA à exécuter lorsque l’utilisateur commence à faire glisser l’objet.

Plus de détails dans l’aide en ligne.

VT_BSTR

Menu

Menu contextuel

Menu contextuel de l’élément.
Cliquer avec le bouton droit de la souris sur l’élément pour ouvrir le menu contextuel dans le Runtime.

Plus de détails dans l’aide en ligne.

VT_BSTR

Tooltip

Info bulle

Texte à afficher en tant qu’info-bulle de l’élément dans le Runtime. Une info-bulle est automatiquement affichée dans le Runtime si le pointeur de la souris reste pendant quelques secondes sur l’élément. Des retours à la ligne automatiques peuvent être insérés avec les caractères "\n".

  • Maximum : 79 caractères
    Attention : La combinaison de caractères \n est également comptée dans la limite de 79 caractères.

Plus de détails dans l’aide en ligne.

VT_BOOL

LassoSelect

sélectionnable avec le lasso

La sélection avec le lasso dans le Runtime permet d’identifier les éléments dynamiques et de les utiliser avec des événements VBA.

  • Active : L’élément peut être sélectionné avec le lasso dans le Runtime.
  • Inactive : L’élément ne peut pas être sélectionné dans Runtime.

Par défaut : active

Attention : Pour que l’élément puisse être sélectionné dans le Runtime, vous devez activer la propriété Sélection multiple en runtime (lasso) dans les paramètres du projet !

Remarque concernant la gestion des commandes : Si la propriété Opération à deux mains est activée, le lasso de la commande Exécuter le 2ème niveau ne doit pas être activé.

Plus de détails dans l’aide en ligne.

More...

GestureManipulationGroup

Manipulation

Propriétés pour la manipulation de synoptiques et d’éléments de synoptique dans le cadre d’une utilisation tactile.

Plus de détails dans l’aide en ligne.

VT_BOOL

Tab

Le focus est donné à l'élément

Active : L’élément dynamique peut être actionné à l’aide du clavier.
Inactive : L’élément dynamique n’est pas accessible à l’aide du clavier.
Par défaut : active.

Plus de détails dans l’aide en ligne.

VT_I4

TABOrderH

Position du focus gauche/droite

Définit la position horizontale pour l’utilisation à l’aide du clavier dans le Runtime. La position est définie par l’intermédiaire du menu contextuel et de l’utilisation de la souris dans la fenêtre principale ; elle ne peut pas être modifiée ici.

Plus de détails dans l’aide en ligne.

VT_I4

TABOrderV

Position focus haut / bas

Définit la position verticale pour l’utilisation à l’aide du clavier dans le Runtime. La position est définie par l’intermédiaire du menu contextuel et de l’utilisation de la souris dans la fenêtre principale ; elle ne peut pas être modifiée ici.

Plus de détails dans l’aide en ligne.

VT_BOOL

Signature

Signature nécéssaire

Active : Une signature est nécessaire pour actionner l’élément.

Pour des raisons de sécurité, l’utilisateur sera invité à saisir son mot de passe même s’il est déjà connecté. Le texte de la signature est enregistré dans la liste d’événements (CEL) après que l’élément ait été utilisé avec succès.

Attention : seuls les utilisateurs connectés peuvent signer une action. La signature d’actions avec un identifiant temporaire n’est plus possible.

Inactive : aucune signature n’est requise.

(Par défaut) Inactive :

Plus de détails dans l’aide en ligne.

VT_BSTR

SignatureText

Texte de signature

Ce texte est également consigné lors de la signature dans la liste d’événements (CEL) ou est proposé par défaut dans le Runtime si la signature est définie comme modifiable dans les propriétés du projet.

Plus de détails dans l’aide en ligne.

VT_I2

SignatureEditModus

Texte de signature éditable

Définit si le texte de signature peut être édité. Sélectionnez dans la liste déroulante :

  • Appliquer les paramètres projet : Les paramètres de la propriété de projet Texte de signature éditable sont applicables.
  • Oui : Texte modifiables
  • Non : Le texte ne peut pas être édité.

Par défaut : Appliquer les paramètres projet

Plus de détails dans l’aide en ligne

ZT_FILE

Helpfile

Fichier d'aide

Fichier d’aide (*.chm) devant être utilisé pour cet élément, conjointement à un menu contextuel. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de fichiers.
Attention : seuls les fichiers d’aide ayant été ajoutés dans le nœud Fichiers/Aide sont disponibles.

Plus de détails dans l’aide en ligne.

VT_BSTR

HelpCapture

Chapitre d'aide

Chapitre d’aide (*.chm) devant être utilisé pour cet élément, conjointement à un menu contextuel. Nom de la page HTML sous-jacente.
Attention : cette entrée tient compte des minuscules et majuscules.

Plus de détails dans l’aide en ligne.

ZT_VARIABLE_DYN

SetValueDynMin

Minimum

Variable dont la valeur actuelle est applicable en tant que limite inférieure de la valeur prescrite de l’élément.
Disponible uniquement si Plages de la variable est inactive :
Plus de détails dans l’aide en ligne.

ZT_VARIABLE_DYN

SetValueDynMax

Maximum

Variable dont la valeur actuelle est applicable en tant que limite supérieure de la valeur prescrite de l’élément.

Disponible uniquement si la propriété Plages de la variable est inactive.

Plus de détails dans l’aide en ligne.

VT_BOOL

GestureRecognitionActive

Reconnaissance de geste active

Active l’évaluation des gestes. Les gestes sont définis à l’aide d’autres propriétés.

Uniquement disponible si, dans le groupe Intéraction des propriétés du projet, la propriété Reconnaissance Windows 8 a été définie.

Plus de détails dans l’aide en ligne.

VT_BOOL

Gestures_Manipulation

Exact

Active : Détection du paramètre Exact défini.

Plus de détails dans l’aide en ligne.

VT_BOOL

Gestures_Exact

Exact

Active : Détection du paramètre Exact défini.

Plus de détails dans l’aide en ligne.

VT_BOOL

Gestures_TranslationX

Translation X

Active : Détection du paramètre Translation X défini.

Plus de détails dans l’aide en ligne.

VT_BOOL

Gestures_TranslationY

Translation Y

Active : Détection du paramètre Translation Y défini.

Plus de détails dans l’aide en ligne.

VT_BOOL

Gestures_RailsX

Rails X

Active : Détection du paramètre Rails X défini.

Plus de détails dans l’aide en ligne.

VT_BOOL

Gestures_RailsY

Rails Y

Active : Détection du paramètre Rails Y défini.

Plus de détails dans l’aide en ligne.

VT_BOOL

Gestures_TranslationInertia

Translation inertia

Active : Détection du paramètre Translation Inertia (Inertie de translation) défini.

Plus de détails dans l’aide en ligne.

VT_BOOL

Gestures_Rotation

Inertie de rotation

Active : Détection du paramètre Rotation Inertia (Inertie de rotation) défini.

Plus de détails dans l’aide en ligne.

VT_BOOL

Gestures_RotationInertia

Inertie de rotation

Active : Détection du paramètre Rotation Inertia (Inertie de rotation) défini.

Plus de détails dans l’aide en ligne.

VT_BOOL

Gestures_Scaling

Scaling inertia

Active : Détection du paramètre Scaling Inertia (Inertie de redimensionnement) défini.

Plus de détails dans l’aide en ligne.

VT_BOOL

Gestures_ScalingInertia

Scaling inertia

Active : Détection du paramètre Scaling Inertia (Inertie de redimensionnement) défini.

Plus de détails dans l’aide en ligne.

VT_BOOL

Gestures_CrossSlide

Cross slide exact

Active : Détection du paramètre Cross Slide Exact (Glissement transversal exact) défini.

Plus de détails dans l’aide en ligne.

VT_BOOL

Gestures_CrossSlideHorizontal

Cross slide horizontal

Active : Détection du paramètre Cross Slide Horizontal (Glissement transversal horizontal) défini.

Plus de détails dans l’aide en ligne.

VT_BOOL

Gestures_CrossSlideSelect

Cross slide select

Active : Détection du paramètre Cross Slide Select (Glissement transversal, sélection) défini.

Plus de détails dans l’aide en ligne.

VT_BOOL

Gestures_CrossSlideSpeedBump

Cross slide speed bump

Active : Détection du paramètre Cross Slide Speed Bump (Glissement transversal, ralentisseur) défini.

Plus de détails dans l’aide en ligne.

VT_BOOL

Gestures_CrossSlideRearrange

Cross slide rearrange

Active : Détection du paramètre Cross Slide Rearrange (Glissement transversal, réorganisation) défini.

Plus de détails dans l’aide en ligne.

VT_BOOL

Gestures_CrossSlideExact

Cross slide exact

Active : Détection du paramètre Cross Slide Exact (Glissement transversal exact) défini.

Plus de détails dans l’aide en ligne.

VT_BOOL

Gestures_Tap

Tap double

Active : Détection du paramètre Tap Double (Double appui) défini.

Plus de détails dans l’aide en ligne.

VT_BOOL

Gestures_TapDouble

Tap double

Active : Détection du paramètre Tap Double (Double appui) défini.

Plus de détails dans l’aide en ligne.

VT_BOOL

Gestures_SecondaryTap

Secondary tap

Active : Détection du paramètre Secondary Tap (Appui secondaire) défini.

Plus de détails dans l’aide en ligne.

VT_BOOL

Gestures_Drag

Drag

Active : Détection du paramètre Drag (Glissement) défini.

Plus de détails dans l’aide en ligne.

VT_BOOL

Gestures_Hold

Hold (Mouse)

Active : Détection du paramètre Hold (Mouse) (Maintien [souris]) défini.

Plus de détails dans l’aide en ligne.

ZT_STYLE

StyleGroup

Groupe de styles

Affichage et sélection du groupe de styles attribué à l’élément.
Cliquez sur le bouton ... pour ouvrir la boîte de dialogue permettant de sélectionner un groupe de styles.
Si plusieurs éléments sont sélectionnés, elles peuvent être attribuées à un groupe de styles commun.

Remarque : Seules les propriétés compatibles avec l’élément correspondant sont prises en charge.

Plus de détails dans l’aide en ligne.

More...

LnClVariable

LnClVariable

"With this property you have the opportunity to get informations about the variable which is linked as ""line/text color"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""LnClVariable.SymVarName"") 'Return the name of the ""line/text color"" variable
zElement.DynProperties (""LnClVariable.SymVarTagNr"") 'Return the identification of the ""line/text color"" variable"

More...

BkClVariable

BkClVariable

"With this property you have the opportunity to get informations about the variable which is linked as ""background/filling color"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""BkClVariable.SymVarName"") 'Return the name of the ""background/filling color"" variable
zElement.DynProperties (""BkClVariable.SymVarTagNr"") 'Return the identification of the ""background/filling color"" variable"

More...

BkCl2Variable

"BkCl2Variable"

More...

XVar

XVar

"With this property you have the opportunity to get informations about the variable which is linked as ""dynamic x position"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""XVar.SymVarName"") 'Return the name of the ""dynamic x position"" variable
zElement.DynProperties (""XVar.SymVarTagNr"") 'Return the identification of the ""dynamic x position"" variable"

More...

YVar

YVar

"With this property you have the opportunity to get informations about the variable which is linked as ""dynamic y position"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""YVar.SymVarName"") 'Return the name of the ""dynamic y position"" variable
zElement.DynProperties (""YVar.SymVarTagNr"") 'Return the identification of the ""dynamic y position"" variable"

More...

XVarZoom

XVarZoom

"With this property you have the opportunity to get informations about the variable which is linked as ""change width"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""XVarZoom.SymVarName"") 'Return the name of the ""change width"" variable
zElement.DynProperties (""XVarZoom.SymVarTagNr"") 'Return the identification of the ""change width"" variable"

More...

YVarZoom

YVarZoom

"With this property you have the opportunity to get informations about the variable which is linked as ""change height"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""YVarZoom.SymVarName"") 'Return the name of the ""change height"" variable
zElement.DynProperties (""YVarZoom.SymVarName"") 'Return the name of the ""change height"" variable
zElement.DynProperties (""YVarZoom.SymVarTagNr"") 'Return the identification of the ""change height"" variable"

More...

TwistVar

TwistVar

"With this property you have the opportunity to get informations about the variable which is linked as ""rotate"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""TwistVar.SymVarName"") 'Return the name of the ""rotate"" variable
zElement.DynProperties (""TwistVar.SymVarTagNr"") 'Return the identification of the ""rotate"" variable"

More...

VisVariable

VisVariable

"With this property you have the opportunity to get informations about the variable which is linked as ""visibility"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""VisVariable.SymVarName"") 'Return the name of the ""visibility"" variable
zElement.DynProperties (""VisVariable.SymVarTagNr"") 'Return the identification of the ""visibility"" variable"

More...

BlinkVar

BlinkVar

More...

GlowEffectGlowColorVar

GlowEffectGlowColorVar

More...

GlowEffectVisibilityVar

GlowEffectVisibilityVar

More...

GlowEffectBlinkVar

GlowEffectBlinkVar

VT_BSTR

Name

Nom d'élément

Attribuez un nom d’élément.
Il ne doit pas être vide.

Attention : Cette propriété n’est pas disponible aux fins de la commutation de langue.

Remarques concernant les cadrans : Pour les conteneurs de synoptique, spécifiez des noms clairement identifiables pour faciliter la sélection lors de la configuration des appels de synoptique.

Plus de détails dans l’aide en ligne.

VT_UI1

Layer

Niveau de visibilité

Sélectionnez l’un des 16 niveaux de visibilité (0 à 15) dans la liste déroulante. À l’aide de la barre d’outils Niveau de visibilité, vous décidez des niveaux qui doivent être affichés dans Editor. Cette fonction garantit que les synoptiques les plus complexes peuvent être développés de manière simple. Les niveaux peuvent être utilisés immédiatement. Les niveaux n’ont aucune influence sur les informations affichées au premier plan ou en arrière-plan dans le Runtime.
Par défaut : 0.

Plus de détails dans l’aide en ligne.

VT_I4

StartX

Point de départ X [pixels]

Coordonnée Y du coin supérieur gauche du synoptique (en pixels).

Plus de détails dans l’aide en ligne.

VT_I4

EndX

Point final X [pixels]

Coordonnée X du coin inférieur droit du synoptique (en pixels).

Plus de détails dans l’aide en ligne.

VT_I4

StartY

Point de départ Y [pixels]

Coordonnée Y du coin supérieur gauche du synoptique (en pixels).

Plus de détails dans l’aide en ligne.

VT_I4

EndY

Point final Y [pixels]

Coordonnée Y du coin inférieur droit du synoptique (en pixels).

Plus de détails dans l’aide en ligne.

VT_I4

Width

Largeur [pixels]

Largeur des éléments en pixels.

Remarque : disponible uniquement pour les éléments Combinaison multiple, Élément combiné, Bouton et Interrupteur si la valeur Ajusté a été sélectionnée pour la propriété Taille du graphique.

Plus de détails dans l’aide en ligne.

VT_I4

Height

Hauteur [pixels]

Hauteur des éléments en pixels.

Remarque : disponible uniquement pour les éléments Combinaison multiple, Élément combiné, Bouton et Interrupteur si la valeur Ajusté a été sélectionnée pour la propriété Taille du graphique.

Plus de détails dans l’aide en ligne.

VT_I4

Angle

Angle de rotation [°]

Angle libre autour selon lequel doit pivoter l’élément.
Les valeurs positives correspondent à une rotation dans le sens antihoraire, tandis que les valeurs négatives correspondent à une rotation dans le sens horaire. Les valeurs supérieures à 360° sont affichées sous forme d’écart par rapport à 360° (400° correspond à 40°). Seuls les nombres entiers sont autorisés.

Sur les éléments pivotés, les actions suivantes ne sont plus possibles :

  • Miroir
  • Rotation de +/- 90°
  • Redimensionnement à l’aide des touches fléchées

Par défaut : 0

Remarque : Ce paramètre est activé et réinitialisé lors de la configuration pour Windows CE.

Plus de détails dans l’aide en ligne.

VT_I2

ZoomMin

Visible de

Incrément de zoom le plus bas auquel l’élément est visible dans la vue globale.
Par défaut : -1
Une valeur de visibilité avec des incréments de zoom de -1 à -1 signifie que l’élément est affiché, quel que soit l’incrément de zoom sélectionné.

Les niveaux de zoom affichés dans la vue globale peuvent être configurés avec la propriété Apparence graphique -> Généralités runtime -> Pas de zoom pour vue globale.

Attention : Ce niveau de zoom s’applique à tous les types de synoptiques et cadres. Si un niveau de zoom défini est supérieur à 0, l’élément est uniquement affiché dans la vue globale, car les autres types de synoptique sont automatiquement appelés avec le niveau de zoom 0.

Plus de détails dans l’aide en ligne.

VT_I2

ZoomMax

Visible jusqu'à

Incrément de zoom le plus élevé auquel l’élément est visible dans la vue globale.

Par défaut : -1
Une valeur de visibilité avec des incréments de zoom de -1 à -1 signifie que l’élément est affiché, quel que soit l’incrément de zoom sélectionné.

Les niveaux de zoom affichés dans la vue globale peuvent être configurés avec la propriété Apparence graphique -> Généralités runtime -> Pas de zoom pour vue globale.

Attention : Ce niveau de zoom s’applique à tous les types de synoptiques et cadres. Si un niveau de zoom défini est supérieur à 0, l’élément est uniquement affiché dans la vue globale, car les autres types de synoptique sont automatiquement appelés avec le niveau de zoom 0.

Plus de détails dans l’aide en ligne.

VT_BSTR

Stationname

Nom liste d'objets

L’élément est saisi directement dans la liste de stations du synoptique Vue globale, et le texte est saisi ici.

Plus de détails dans l’aide en ligne.

ZT_VARIABLE_DYN

LineColorVariable

Couleur de ligne

Nom des variables dont les couleurs de valeur limite doivent influencer la couleur de ligne/de texte de l’élément. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de variables.

Plus de détails dans l’aide en ligne.

ZT_PREVIEW

LineColorVarPreview

Affichage aperçu couleur

Affichage de la valeur limite pour la propriété Couleur de ligne définie pour la variable. Disponible uniquement si l’option Depuis la variable a été configurée pour la propriété Couleur de ligne.

Un aperçu des propriétés définies pour la valeur limite est affiché dans le champ. Aucun aperçu n’est affiché pour les matrices de réaction.
Cliquez sur le bouton ... pour ouvrir la boîte de dialogue d’affichage des résultats. Les valeurs limite sont uniquement affichées ; elles ne peuvent pas être modifiées. Les modifications doivent être effectuées directement dans les propriétés de la variable pour Valeurs limite.

Plus de détails dans l’aide en ligne.

ZT_VARIABLE_DYN

BackColorVariable

Couleur de remplissage

Nom de la variable dont les couleurs de valeur limite doivent influencer la couleur d’arrière-plan/de remplissage de l’élément.
Ouvre la boîte de dialogue de sélection de variables.

Plus de détails dans l’aide en ligne.

ZT_PREVIEW

BackColorVarPreview

Affichage aperçu couleur

Affichage de la valeur limite pour la propriété Couleur de remplissage définie pour la variable. Disponible uniquement si l’option Depuis la variable a été configurée pour la propriété Couleur de remplissage.

Un aperçu des propriétés définies pour la valeur limite est affiché dans le champ. Aucun aperçu n’est affiché pour les matrices de réaction.
Cliquez sur le bouton ... pour ouvrir la boîte de dialogue d’affichage des résultats. Les valeurs limite sont uniquement affichées ; elles ne peuvent pas être modifiées. Les modifications doivent être effectuées directement dans les propriétés de la variable pour Valeurs limite.

Plus de détails dans l’aide en ligne.

VT_UI1

HorizontalOrigin

Horizontal

Point de référence horizontal de l’événement. Les valeurs possibles sont : gauche, centré, droite.
Ce point est utilisé en tant que base de calcul de l’angle de départ de la rotation (statique et dynamique) et pour le changement dynamique de taille.

Par défaut : À gauche

Plus de détails dans l’aide en ligne.

VT_UI1

VerticalOrigin

Vertical

Point de référence vertical de l’événement. Les valeurs possibles sont : haut, centré, bas.
Ce point est utilisé en tant que base de calcul de l’angle de départ de la rotation (statique et dynamique) et pour le changement dynamique de taille.

Par défaut : En haut

Plus de détails dans l’aide en ligne.

VT_UI4

VisibilityType

Visibilité

Sélection depuis laquelle la visibilité d’un élément est déterminée :

  • Depuis une variable
  • Du verrrouillage

Par défaut : Depuis une variable

Plus de détails dans l’aide en ligne.

ZT_VARIABLE_DYN

VisibilityVariable

Variable

Disponible uniquement si l’option Depuis la variable a été configurée pour la propriété Visibilité.

Nom de la variable dont la valeur contrôle la visibilité de l’élément. La visibilité est soit reprise des propriétés de valeur limite de ces variables, soit définie par la plage de valeurs définie dans les propriétés de et À.
Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de variables. Vous pouvez également saisir manuellement le nom dans le champ de texte.
L'élément reste visible tant qu’aucune variable n’est liée.

Plus de détails dans l’aide en ligne.

ZT_PREVIEW

VisVarPreview

Affichage aperçu visibilité

Affichage des valeurs limite pour la visibilité définies pour la variable. Disponible uniquement si l’option Depuis la variable a été configurée pour la propriété Variable dans le groupe Visibilité.

Un aperçu des propriétés définies pour la valeur limite est affiché dans le champ. Aucun aperçu n’est affiché pour les matrices de réaction.
Cliquez sur le bouton ... pour ouvrir la boîte de dialogue d’affichage des résultats. Les valeurs limite sont uniquement affichées ; elles ne peuvent pas être modifiées. Les modifications doivent être effectuées directement dans les propriétés de la variable pour Valeurs limite.

Plus de détails dans l’aide en ligne.

VT_BOOL

VisibilityFromLimit

A partir des valeurs limites

Uniquement disponible après la sélection d’une variable :

  • Active : La visibilité de l’élément est influencée par la propriété de valeur limite de la variable.

    Attention : La propriété Invisible doit être active pour au moins une valeur limite de la variable.

  • Inactive : la visibilité est influencée par les propriétés de l’élément.

Par défaut : active

Plus de détails dans l’aide en ligne.

VT_R8

VisibilityFrom

de

Disponible uniquement après la sélection d’une variable, si la visibilité n’a pas été reprise par la valeur limite :

Valeur minimum de la variable à laquelle l’élément est visible.

  • Minimum : valeur minimum possible de la variable liée.
  • Maximum : valeur maximum possible de la variable liée.

Par défaut : valeur minimum possible de la variable liée.

Plus de détails dans l’aide en ligne.

VT_R8

VisibilityTo

À

Disponible uniquement après la sélection d’une variable, si la visibilité n’a pas été reprise par la valeur limite :

Valeur maximale de la variable à laquelle l’élément est visible.

  • Minimum : valeur minimum possible de la variable liée.
  • Maximum : valeur maximum possible de la variable liée.

Par défaut : valeur maximum possible de la variable liée.

Plus de détails dans l’aide en ligne.

VT_UI4

Interlocking

Verrouillage

Disponible uniquement si l’option Depuis le verrouillage est sélectionnée pour la propriété Visibilité.

Nom du verrouillage dont la valeur contrôle la visibilité de l’élément. Sélectionnez dans la liste déroulante. Celle-ci contient tous les verrouillages existants et utilisables. L’élément est toujours visible si aucun verrouillage n’est lié.

Plus de détails dans l’aide en ligne.

VT_BSTR

InterlockingName

InterlockingName

Description

VT_BOOL

VisibleWhenInterlocked

Visible si verrouillé

Contrôle la visibilité de l’élément lorsque le verrouillage est sélectionné :

  • Active : L’élément est visible s’il est verrouillé.
  • Inactive : L’élément est visible s’il n’est pas verrouillé.

Par défaut : inactive

Plus de détails dans l’aide en ligne.

ZT_VARIABLE_DYN

XVariable

Variable

Nom de la variable utilisée pour le déplacement horizontal de l’élément.
Ouvre la boîte de dialogue de sélection de variables.

Plus de détails dans l’aide en ligne.

VT_R8

XVarMin

Valeur min de la variable

Valeur minimale de la variable utilisée pour le déplacement horizontal de l’élément.

Plus de détails dans l’aide en ligne.

VT_R8

XVarMax

Valeur max de la variable

Valeur maximale de la variable utilisée pour le déplacement horizontal de l’élément.

Plus de détails dans l’aide en ligne.

VT_I4

XViewMin

Mouvement min [pixels]

Position horizontale de l’élément pour la valeur minimale de la variable (en pixels).

Plus de détails dans l’aide en ligne.

VT_I4

XViewMax

Mouvement max [pixels]

Position horizontale de l’élément pour la valeur minimale de la variable (en pixels).

Plus de détails dans l’aide en ligne.

ZT_VARIABLE_DYN

YVariable

Variable

Nom de la variable utilisée pour le déplacement vertical de l’élément.
Ouvre la boîte de dialogue de sélection de variables.

Plus de détails dans l’aide en ligne.

VT_R8

YVarMin

Valeur min de la variable

Valeur minimale de la variable utilisée pour le déplacement vertical de l’élément.

Plus de détails dans l’aide en ligne.

VT_R8

YVarMax

Valeur max de la variable

Valeur maximale de la variable utilisée pour le déplacement vertical de l’élément.

Plus de détails dans l’aide en ligne.

VT_I4

YViewMin

Mouvement min [pixels]

Position verticale de l’élément pour la valeur minimale de la variable (en pixels).

Plus de détails dans l’aide en ligne.

VT_I4

YViewMax

Mouvement max [pixels]

Position verticale de l’élément pour la valeur maximale de la variable (en pixels).

Plus de détails dans l’aide en ligne.

ZT_VARIABLE_DYN

XZoomVariable

Variable

Nom de la variable utilisée pour l’agrandissement de la largeur de l’élément.
Ouvre la boîte de dialogue de sélection de variables.

Plus de détails dans l’aide en ligne.

VT_R8

XZoomVarMin

Valeur min de la variable

Valeur minimale de la variable utilisée pour effectuer un zoom à la largeur de l’élément.

Plus de détails dans l’aide en ligne.

VT_R8

XZoomVarMax

Valeur max de la variable

Valeur maximale de la variable utilisée pour effectuer un zoom sur la largeur de l’élément.

Plus de détails dans l’aide en ligne.

VT_I4

XZoomViewMin

Largeur min [%]

Facteur de zoom correspondant à la largeur de l’élément pour la valeur minimale de la variable (en pixels).

Plus de détails dans l’aide en ligne.

VT_I4

XZoomViewMax

Largeur max [%]

Facteur de zoom correspondant à la largeur de l’élément pour la valeur maximale de la variable (en pixels).

Plus de détails dans l’aide en ligne.

ZT_VARIABLE_DYN

YZoomVariable

Variable

Nom de la variable utilisée pour l’agrandissement de la hauteur de l’élément.
Ouvre la boîte de dialogue de sélection de variables.

Plus de détails dans l’aide en ligne.

VT_R8

YZoomVarMin

Valeur min de la variable

Valeur minimum de la variable utilisée pour effectuer un zoom sur la hauteur de l’élément.

Plus de détails dans l’aide en ligne.

VT_R8

YZoomVarMax

Valeur max de la variable

Valeur maximum de la variable utilisée pour effectuer un zoom sur la hauteur de l’élément.

Plus de détails dans l’aide en ligne.

VT_I4

YZoomViewMin

Hauteur min [%]

Facteur de zoom correspondant à la hauteur de l’élément pour la valeur minimum de la variable (en %).

Plus de détails dans l’aide en ligne.

VT_I4

YZoomViewMax

Hauteur max [%]

Facteur de zoom correspondant à la hauteur de l’élément pour la valeur maximale de la variable (en pixels).

Plus de détails dans l’aide en ligne.

ZT_VARIABLE_DYN

TwistVariable

Variable

Nom de la variable utilisée pour la rotation de l’élément.

Plus de détails dans l’aide en ligne.

VT_R8

TwistVarMin

Valeur min de la variable

Valeur minimum de la variable utilisée pour la rotation de l’élément.

Plus de détails dans l’aide en ligne.

VT_R8

TwistVarMax

Valeur max de la variable

Valeur maximale de la variable utilisée pour la rotation de l’élément.

Plus de détails dans l’aide en ligne.

VT_I4

TwistViewMin

Rotation min [°]

Angle de rotation de l’élément pour la valeur minimum de la variable (en °).

Plus de détails dans l’aide en ligne.

VT_I4

TwistViewMax

Rotation max [°]

Angle de rotation de l’élément pour la valeur maximum de la variable (en °).

Plus de détails dans l’aide en ligne.

ZT_STYLE

ShadowEffectStyle

Style effet cadres/ombres

Affichage et sélection du style de cadre et d’ombre attribué à l’élément.

Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de style.
Si plusieurs éléments ont été sélectionnés, ils peuvent être attribués à un style commun.

Remarque : Seules les propriétés compatibles avec l’élément correspondant sont prises en charge.

Plus de détails dans l’aide en ligne.

VT_BOOL

EnablePunchFrame

Afficher le cadre

A frame around the element can be displayed.
Default: inactive.

ZT_STYLE

GlowEffectStyle

Style effet de rayonnement

Affichage et sélection du style des effets de luminescence attribués à l’élément.

Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de style.
Si plusieurs éléments ont été sélectionnés, ils peuvent être attribués à un style commun.

Remarque : Seules les propriétés compatibles avec l’élément correspondant sont prises en charge.

Plus de détails dans l’aide en ligne.

VT_BOOL

GlowEffectEvent

Actif seulement si cliqué

Disponible uniquement si la propriété Activer est active et l’élément est un bouton.

Active : l’effet de luminescence est uniquement affiché lorsque l’utilisateur clique sur le bouton. Cliquer sur le bouton permet de modifier la couleur, le clignotement ou l’invisibilité de l’effet de luminescence.

Par défaut : Inactive

Plus de détails dans l’aide en ligne.

ZT_VARIABLE_DYN

GlowEffectGlowColorVariable

Variable pour la couleur

Disponible uniquement si la propriété Activer est active. La propriété Coloration doit être activée.

Nom de la variable dont la couleur aux valeurs limites doit influencer la couleur de l’effet de luminescence pour l’élément. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de variables. Vous pouvez également saisir le nom manuellement dans le champ de texte. Si aucune variable n’est liée, la couleur définie dans la propriété Couleur est utilisée.

Par défaut : aucune variable liée

Plus de détails dans l’aide en ligne.

ZT_PREVIEW

GlowEffectGlowColorVariablePreview

Affichage aperçu couleur

Affichage de la valeur limite définie pour la variable de couleur lorsque l’effet de luminescence est actif. Disponible uniquement si l’option Depuis la variable a été configurée pour la propriété Variable pour la couleur.

Un aperçu des propriétés définies pour la valeur limite est affiché dans le champ. Aucun aperçu n’est affiché pour les matrices de réaction.
Cliquez sur le bouton ... pour ouvrir la boîte de dialogue d’affichage des résultats. Les valeurs limite sont uniquement affichées ; elles ne peuvent pas être modifiées. Les modifications doivent être effectuées directement dans les propriétés de la variable pour Valeurs limite.

Plus de détails dans l’aide en ligne.

ZT_VARIABLE_DYN

GlowEffectVisibilityVariable

Variable pour la visibilité

Disponible uniquement si la propriété Activer est active.

Nom de la variable dont la valeur influence la visibilité de l’effet de luminescence. La visibilité est soit reprise des propriétés de valeur limite de cette variable (propriété Visibilité depuis valeur limite active), soit définie par la plage de valeurs définie dans les propriétés Visible de et Visible jusqu'à. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de variables. Vous pouvez également saisir le nom manuellement dans le champ de texte.

Remarque : si aucune variable n’est liée, l’effet de luminescence est toujours visible.

Par défaut : aucune variable liée

Plus de détails dans l’aide en ligne.

ZT_PREVIEW

GlowEffectVisibilityVariablePreview

Affichage aperçu visibilité

Affichage de la valeur limite définie pour la variable de visibilité lorsque l’effet de luminescence est actif. Disponible uniquement si l’option Depuis la variable a été configurée pour la propriété Variable pour la visibilité.

Un aperçu des propriétés définies pour la valeur limite est affiché dans le champ. Aucun aperçu n’est affiché pour les matrices de réaction.
Cliquez sur le bouton ... pour ouvrir la boîte de dialogue d’affichage des résultats. Les valeurs limite sont uniquement affichées ; elles ne peuvent pas être modifiées. Les modifications doivent être effectuées directement dans les propriétés de la variable pour Valeurs limite.

Plus de détails dans l’aide en ligne.

VT_BOOL

GlowEffectVisibilityFromLimit

Visibilité depuis valeur limite

Disponible uniquement si la propriété Activer est active. Vous devez en outre définir une variable dans la propriété Variable pour la visibilité.

Active : La visibilité de l’effet de luminescence est influencée par la propriété de valeur limite de la variable.

Attention : Pour une valeur limite de la variable au moins, la propriété Invisible doit être active.

Inactive : la visibilité est influencée par les propriétés de l’élément.

Plus de détails dans l’aide en ligne.

VT_R8

GlowEffectVisibilityFrom

Visible de

Disponible uniquement si la propriété Activer est active. Vous devez en outre définir une variable dans la propriété Variable pour la visibilité ; la propriété Visibilité depuis valeur limite doit être inactive.

Définit la valeur à partir de laquelle l’effet de luminescence devient visible.
Minimum : valeur la moins élevée autorisée pour la variable liée dans Variable pour la visibilité.
Maximum : valeur la moins élevée autorisée pour la variable liée dans Variable pour la visibilité.
Par défaut : valeur la plus élevée autorisée pour la variable liée dans Variable pour la visibilité.

Plus de détails dans l’aide en ligne.

VT_R8

GlowEffectVisibilityTo

Visible jusqu'à

Disponible uniquement si la propriété Activer est active. Vous devez en outre définir une variable dans la propriété Variable pour la visibilité ; la propriété Visibilité depuis valeur limite doit être inactive.

Définit la valeur jusqu’à laquelle l’effet de luminescence reste visible.
Minimum : valeur la plus basse autorisée pour la variable liée dans Variable pour la visibilité.
Maximum : valeur la plus élevée autorisée pour la variable liée dans Variable pour la visibilité.
Par défaut : valeur la plus élevée autorisée pour la variable liée dans Variable pour la visibilité.

Plus de détails dans l’aide en ligne.

ZT_VARIABLE_DYN

GlowEffectBlinkVariable

Variable pour le clignotement

Variables dont les paramètres de clignotement de l’effet de luminescence aux valeurs limites doivent être repris. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de variables.

Par défaut : aucune variable liée

Plus de détails dans l’aide en ligne.

ZT_PREVIEW

GlowEffectBlinkVariablePreview

Affichage aperçu clignotement

Affichage de la valeur limite définie pour la variable de clignotement lorsque l’effet de luminescence est actif. Disponible uniquement si l’option Depuis la variable a été configurée pour la propriété Variable pour le clignotement.

Un aperçu des propriétés définies pour la valeur limite est affiché dans le champ. Aucun aperçu n’est affiché pour les matrices de réaction.
Cliquez sur le bouton ... pour ouvrir la boîte de dialogue d’affichage des résultats. Les valeurs limite sont uniquement affichées ; elles ne peuvent pas être modifiées. Les modifications doivent être effectuées directement dans les propriétés de la variable pour Valeurs limite.

Plus de détails dans l’aide en ligne.

VT_BOOL

GlowEffectUseBlinkColor

Clignotement depuis valeur limite

Disponible uniquement si la propriété Activer est active. Vous devez en outre définir une variable dans la propriété Variable pour le clignotement.

Active : Reprend, pour l’effet de luminescence, la couleur de clignotement de la valeur limite active pour la variable définie dans la propriété Couleur de clignotement par la limite. Cette propriété agit indépendamment de la propriété Coloration. En cas de clignotement, l’effet de luminescence ne devient pas invisible, mais reprend les paramètres de l’effet de luminescence actif.

Par défaut : Inactive

Plus de détails dans l’aide en ligne.

VT_BOOL

GlowEffect2ndBlinkStateVisible

2 états de clignotement invisibles

Disponible uniquement si la propriété Activer est active. Vous devez en outre définir une variable dans la propriété Variable pour le clignotement ; la propriété Clignotement depuis valeur limite doit être inactive.

Active : En cas de clignotement, l’effet de luminescence ne bascule pas vers l’effet de luminescence actif, mais devient invisible. Ceci permet de basculer entre l’invisibilité et la couleur de clignotement en cas de dépassement de la valeur limite.

Par défaut : Inactive

Plus de détails dans l’aide en ligne.


CWPFConnectionBase

Manuel -> Interfaces de programmation -> Modèles d'objet -> Element -> Element-Dynamic properties -> CWPFConnectionBase

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | VBA/VSTA Name | Display Name | Description
VT_BSTR | Element | Nom élément |
VT_BSTR | Link | Nom élément |


WPF element

Manuel -> Interfaces de programmation -> Modèles d'objet -> Element -> Element-Dynamic properties -> WPF element

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Type

VBA/VSTA Name

Display Name

Description

More...

Links

Links

ZT_FILE

FileName

Fichier XAML

Sélection du fichier XAML pour l’élément WPF. Cliquez sur .... Ouvre la boîte de dialogue de sélection. Vous devez déjà avoir créé le fichier dans la partie Fichier / Graphiques dans le gestionnaire de projet ou l’avoir sélectionné dans la boîte de dialogue à l’aide du symbole Ajouter fichier.

Plus de détails dans l’aide en ligne.

VT_BSTR

LinksConfig

Configuration

Ouvre la boîte de dialogue de configuration du fichier XAML. Les propriétés, événements, transformations et niveaux d’autorisation peuvent être attribués.

Plus de détails dans l’aide en ligne.

VT_UI2

Passwordlevel

Niveau d'autorisation

Le niveau du mot de passe d’écriture de valeurs prescrites ou d’exécution de fonctions avec l’élément dynamique sélectionné.
Minimum : 0.
Maximum : 127
Par défaut : 0.

Plus de détails dans l’aide en ligne.

VT_UI4

Locking

Verrouillage

Lien vers un verrouillage existant avec cet élément.

Si une condition dans une des formules du verrouillage est vraie, cet élément est verrouillé de manière à ce qu’aucun fonctionnement ne soit possible. Si cela a été défini dans les propriétés du projet, un symbole représentant un verrou est affiché aussi longtemps que le verrouillage est actif.

Remarque : Les verrouillages ne peuvent pas être utilisés pour des symboles dans la bibliothèque générale de symboles ou la bibliothèque de symboles du projet.

Plus de détails dans l’aide en ligne.

VT_BSTR

LockingName

LockingName

"With this property you have the opportunity to assign an interlocking via its name.
zElement.DynProperties(""LockingName"") = ""Interlocking 1"""

ZT_STYLE

StyleGroup

Groupe de styles

Affichage et sélection du groupe de styles attribué à l’élément.
Cliquez sur le bouton ... pour ouvrir la boîte de dialogue permettant de sélectionner un groupe de styles.
Si plusieurs éléments sont sélectionnés, elles peuvent être attribuées à un groupe de styles commun.

Remarque : Seules les propriétés compatibles avec l’élément correspondant sont prises en charge.

Plus de détails dans l’aide en ligne.

More...

LnClVariable

LnClVariable

"With this property you have the opportunity to get informations about the variable which is linked as ""line/text color"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""LnClVariable.SymVarName"") 'Return the name of the ""line/text color"" variable
zElement.DynProperties (""LnClVariable.SymVarTagNr"") 'Return the identification of the ""line/text color"" variable"

More...

BkClVariable

BkClVariable

"With this property you have the opportunity to get informations about the variable which is linked as ""background/filling color"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""BkClVariable.SymVarName"") 'Return the name of the ""background/filling color"" variable
zElement.DynProperties (""BkClVariable.SymVarTagNr"") 'Return the identification of the ""background/filling color"" variable"

More...

BkCl2Variable

"BkCl2Variable"

More...

XVar

XVar

"With this property you have the opportunity to get informations about the variable which is linked as ""dynamic x position"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""XVar.SymVarName"") 'Return the name of the ""dynamic x position"" variable
zElement.DynProperties (""XVar.SymVarTagNr"") 'Return the identification of the ""dynamic x position"" variable"

More...

YVar

YVar

"With this property you have the opportunity to get informations about the variable which is linked as ""dynamic y position"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""YVar.SymVarName"") 'Return the name of the ""dynamic y position"" variable
zElement.DynProperties (""YVar.SymVarTagNr"") 'Return the identification of the ""dynamic y position"" variable"

More...

XVarZoom

XVarZoom

"With this property you have the opportunity to get informations about the variable which is linked as ""change width"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""XVarZoom.SymVarName"") 'Return the name of the ""change width"" variable
zElement.DynProperties (""XVarZoom.SymVarTagNr"") 'Return the identification of the ""change width"" variable"

More...

YVarZoom

YVarZoom

"With this property you have the opportunity to get informations about the variable which is linked as ""change height"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""YVarZoom.SymVarName"") 'Return the name of the ""change height"" variable
zElement.DynProperties (""YVarZoom.SymVarName"") 'Return the name of the ""change height"" variable
zElement.DynProperties (""YVarZoom.SymVarTagNr"") 'Return the identification of the ""change height"" variable"

More...

TwistVar

TwistVar

"With this property you have the opportunity to get informations about the variable which is linked as ""rotate"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""TwistVar.SymVarName"") 'Return the name of the ""rotate"" variable
zElement.DynProperties (""TwistVar.SymVarTagNr"") 'Return the identification of the ""rotate"" variable"

More...

VisVariable

VisVariable

"With this property you have the opportunity to get informations about the variable which is linked as ""visibility"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""VisVariable.SymVarName"") 'Return the name of the ""visibility"" variable
zElement.DynProperties (""VisVariable.SymVarTagNr"") 'Return the identification of the ""visibility"" variable"

More...

BlinkVar

BlinkVar

More...

GlowEffectGlowColorVar

GlowEffectGlowColorVar

More...

GlowEffectVisibilityVar

GlowEffectVisibilityVar

More...

GlowEffectBlinkVar

GlowEffectBlinkVar

VT_BSTR

Name

Nom d'élément

Attribuez un nom d’élément.
Il ne doit pas être vide.

Attention : Cette propriété n’est pas disponible aux fins de la commutation de langue.

Remarques concernant les cadrans : Pour les conteneurs de synoptique, spécifiez des noms clairement identifiables pour faciliter la sélection lors de la configuration des appels de synoptique.

Plus de détails dans l’aide en ligne.

VT_UI1

Layer

Niveau de visibilité

Sélectionnez l’un des 16 niveaux de visibilité (0 à 15) dans la liste déroulante. À l’aide de la barre d’outils Niveau de visibilité, vous décidez des niveaux qui doivent être affichés dans Editor. Cette fonction garantit que les synoptiques les plus complexes peuvent être développés de manière simple. Les niveaux peuvent être utilisés immédiatement. Les niveaux n’ont aucune influence sur les informations affichées au premier plan ou en arrière-plan dans le Runtime.
Par défaut : 0.

Plus de détails dans l’aide en ligne.

VT_I4

StartX

Point de départ X [pixels]

Coordonnée Y du coin supérieur gauche du synoptique (en pixels).

Plus de détails dans l’aide en ligne.

VT_I4

EndX

Point final X [pixels]

Coordonnée X du coin inférieur droit du synoptique (en pixels).

Plus de détails dans l’aide en ligne.

VT_I4

StartY

Point de départ Y [pixels]

Coordonnée Y du coin supérieur gauche du synoptique (en pixels).

Plus de détails dans l’aide en ligne.

VT_I4

EndY

Point final Y [pixels]

Coordonnée Y du coin inférieur droit du synoptique (en pixels).

Plus de détails dans l’aide en ligne.

VT_I4

Width

Largeur [pixels]

Largeur des éléments en pixels.

Remarque : disponible uniquement pour les éléments Combinaison multiple, Élément combiné, Bouton et Interrupteur si la valeur Ajusté a été sélectionnée pour la propriété Taille du graphique.

Plus de détails dans l’aide en ligne.

VT_I4

Height

Hauteur [pixels]

Hauteur des éléments en pixels.

Remarque : disponible uniquement pour les éléments Combinaison multiple, Élément combiné, Bouton et Interrupteur si la valeur Ajusté a été sélectionnée pour la propriété Taille du graphique.

Plus de détails dans l’aide en ligne.

VT_I2

ZoomMin

Visible de

Incrément de zoom le plus bas auquel l’élément est visible dans la vue globale.
Par défaut : -1
Une valeur de visibilité avec des incréments de zoom de -1 à -1 signifie que l’élément est affiché, quel que soit l’incrément de zoom sélectionné.

Les niveaux de zoom affichés dans la vue globale peuvent être configurés avec la propriété Apparence graphique -> Généralités runtime -> Pas de zoom pour vue globale.

Attention : Ce niveau de zoom s’applique à tous les types de synoptiques et cadres. Si un niveau de zoom défini est supérieur à 0, l’élément est uniquement affiché dans la vue globale, car les autres types de synoptique sont automatiquement appelés avec le niveau de zoom 0.

Plus de détails dans l’aide en ligne.

VT_I2

ZoomMax

Visible jusqu'à

Incrément de zoom le plus élevé auquel l’élément est visible dans la vue globale.

Par défaut : -1
Une valeur de visibilité avec des incréments de zoom de -1 à -1 signifie que l’élément est affiché, quel que soit l’incrément de zoom sélectionné.

Les niveaux de zoom affichés dans la vue globale peuvent être configurés avec la propriété Apparence graphique -> Généralités runtime -> Pas de zoom pour vue globale.

Attention : Ce niveau de zoom s’applique à tous les types de synoptiques et cadres. Si un niveau de zoom défini est supérieur à 0, l’élément est uniquement affiché dans la vue globale, car les autres types de synoptique sont automatiquement appelés avec le niveau de zoom 0.

Plus de détails dans l’aide en ligne.

VT_BSTR

Stationname

Nom liste d'objets

L’élément est saisi directement dans la liste de stations du synoptique Vue globale, et le texte est saisi ici.

Plus de détails dans l’aide en ligne.

ZT_VARIABLE_DYN

BackColorVariable

Couleur de remplissage

Nom de la variable dont les couleurs de valeur limite doivent influencer la couleur d’arrière-plan/de remplissage de l’élément.
Ouvre la boîte de dialogue de sélection de variables.

Plus de détails dans l’aide en ligne.

ZT_PREVIEW

BackColorVarPreview

Affichage aperçu couleur

Affichage de la valeur limite pour la propriété Couleur de remplissage définie pour la variable. Disponible uniquement si l’option Depuis la variable a été configurée pour la propriété Couleur de remplissage.

Un aperçu des propriétés définies pour la valeur limite est affiché dans le champ. Aucun aperçu n’est affiché pour les matrices de réaction.
Cliquez sur le bouton ... pour ouvrir la boîte de dialogue d’affichage des résultats. Les valeurs limite sont uniquement affichées ; elles ne peuvent pas être modifiées. Les modifications doivent être effectuées directement dans les propriétés de la variable pour Valeurs limite.

Plus de détails dans l’aide en ligne.

VT_UI4

VisibilityType

Visibilité

Sélection depuis laquelle la visibilité d’un élément est déterminée :

  • Depuis une variable
  • Du verrrouillage

Par défaut : Depuis une variable

Plus de détails dans l’aide en ligne.

ZT_VARIABLE_DYN

VisibilityVariable

Variable

Disponible uniquement si l’option Depuis la variable a été configurée pour la propriété Visibilité.

Nom de la variable dont la valeur contrôle la visibilité de l’élément. La visibilité est soit reprise des propriétés de valeur limite de ces variables, soit définie par la plage de valeurs définie dans les propriétés de et À.
Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de variables. Vous pouvez également saisir manuellement le nom dans le champ de texte.
L'élément reste visible tant qu’aucune variable n’est liée.

Plus de détails dans l’aide en ligne.

ZT_PREVIEW

VisVarPreview

Affichage aperçu visibilité

Affichage des valeurs limite pour la visibilité définies pour la variable. Disponible uniquement si l’option Depuis la variable a été configurée pour la propriété Variable dans le groupe Visibilité.

Un aperçu des propriétés définies pour la valeur limite est affiché dans le champ. Aucun aperçu n’est affiché pour les matrices de réaction.
Cliquez sur le bouton ... pour ouvrir la boîte de dialogue d’affichage des résultats. Les valeurs limite sont uniquement affichées ; elles ne peuvent pas être modifiées. Les modifications doivent être effectuées directement dans les propriétés de la variable pour Valeurs limite.

Plus de détails dans l’aide en ligne.

VT_BOOL

VisibilityFromLimit

A partir des valeurs limites

Uniquement disponible après la sélection d’une variable :

  • Active : La visibilité de l’élément est influencée par la propriété de valeur limite de la variable.

    Attention : La propriété Invisible doit être active pour au moins une valeur limite de la variable.

  • Inactive : la visibilité est influencée par les propriétés de l’élément.

Par défaut : active

Plus de détails dans l’aide en ligne.

VT_R8

VisibilityFrom

de

Disponible uniquement après la sélection d’une variable, si la visibilité n’a pas été reprise par la valeur limite :

Valeur minimum de la variable à laquelle l’élément est visible.

  • Minimum : valeur minimum possible de la variable liée.
  • Maximum : valeur maximum possible de la variable liée.

Par défaut : valeur minimum possible de la variable liée.

Plus de détails dans l’aide en ligne.

VT_R8

VisibilityTo

À

Disponible uniquement après la sélection d’une variable, si la visibilité n’a pas été reprise par la valeur limite :

Valeur maximale de la variable à laquelle l’élément est visible.

  • Minimum : valeur minimum possible de la variable liée.
  • Maximum : valeur maximum possible de la variable liée.

Par défaut : valeur maximum possible de la variable liée.

Plus de détails dans l’aide en ligne.

VT_UI4

Interlocking

Verrouillage

Disponible uniquement si l’option Depuis le verrouillage est sélectionnée pour la propriété Visibilité.

Nom du verrouillage dont la valeur contrôle la visibilité de l’élément. Sélectionnez dans la liste déroulante. Celle-ci contient tous les verrouillages existants et utilisables. L’élément est toujours visible si aucun verrouillage n’est lié.

Plus de détails dans l’aide en ligne.

VT_BSTR

InterlockingName

InterlockingName

Description

VT_BOOL

VisibleWhenInterlocked

Visible si verrouillé

Contrôle la visibilité de l’élément lorsque le verrouillage est sélectionné :

  • Active : L’élément est visible s’il est verrouillé.
  • Inactive : L’élément est visible s’il n’est pas verrouillé.

Par défaut : inactive

Plus de détails dans l’aide en ligne.

ZT_VARIABLE_DYN

BlinkVariable

Affichage aperçu clignotement

Affichage des valeurs limite pour le clignotement définies pour la variable. Disponible uniquement si l’option Depuis la variable a été configurée pour la propriété Prendre le clignotement de la limite.

Un aperçu des propriétés définies pour la valeur limite est affiché dans le champ. Aucun aperçu n’est affiché pour les matrices de réaction.
Cliquez sur le bouton ... pour ouvrir la boîte de dialogue d’affichage des résultats. Les valeurs limite sont uniquement affichées ; elles ne peuvent pas être modifiées. Les modifications doivent être effectuées directement dans les propriétés de la variable pour Valeurs limite.

Plus de détails dans l’aide en ligne.

ZT_PREVIEW

BlinkVarPreview

Affichage aperçu clignotement

Affichage des valeurs limite pour le clignotement définies pour la variable. Disponible uniquement si l’option Depuis la variable a été configurée pour la propriété Prendre le clignotement de la limite.

Un aperçu des propriétés définies pour la valeur limite est affiché dans le champ. Aucun aperçu n’est affiché pour les matrices de réaction.
Cliquez sur le bouton ... pour ouvrir la boîte de dialogue d’affichage des résultats. Les valeurs limite sont uniquement affichées ; elles ne peuvent pas être modifiées. Les modifications doivent être effectuées directement dans les propriétés de la variable pour Valeurs limite.

Plus de détails dans l’aide en ligne.

VT_BOOL

UseBlinkColor

Couleur de clignotement par la limite

Active : Reprend la couleur d’arrière-plan du clignotement défini pour la valeur limite active de la variable pour Prendre le clignotement de la limite. Durant le clignotement, l’élément ne devient pas invisible, mais reprend la couleur d’arrière-plan active.

Par défaut : Inactive

Remarque : la couleur n’est pas prise en compte si la couleur d’arrière-plan Transparence est configurée.

Plus de détails dans l’aide en ligne.

ZT_STYLE

ShadowEffectStyle

Style effet cadres/ombres

Affichage et sélection du style de cadre et d’ombre attribué à l’élément.

Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de style.
Si plusieurs éléments ont été sélectionnés, ils peuvent être attribués à un style commun.

Remarque : Seules les propriétés compatibles avec l’élément correspondant sont prises en charge.

Plus de détails dans l’aide en ligne.

VT_BOOL

EnablePunchFrame

Afficher le cadre

A frame around the element can be displayed.
Default: inactive.

ZT_STYLE

GlowEffectStyle

Style effet de rayonnement

Affichage et sélection du style des effets de luminescence attribués à l’élément.

Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de style.
Si plusieurs éléments ont été sélectionnés, ils peuvent être attribués à un style commun.

Remarque : Seules les propriétés compatibles avec l’élément correspondant sont prises en charge.

Plus de détails dans l’aide en ligne.

VT_BOOL

GlowEffectEvent

Actif seulement si cliqué

Disponible uniquement si la propriété Activer est active et l’élément est un bouton.

Active : l’effet de luminescence est uniquement affiché lorsque l’utilisateur clique sur le bouton. Cliquer sur le bouton permet de modifier la couleur, le clignotement ou l’invisibilité de l’effet de luminescence.

Par défaut : Inactive

Plus de détails dans l’aide en ligne.

ZT_VARIABLE_DYN

GlowEffectGlowColorVariable

Variable pour la couleur

Disponible uniquement si la propriété Activer est active. La propriété Coloration doit être activée.

Nom de la variable dont la couleur aux valeurs limites doit influencer la couleur de l’effet de luminescence pour l’élément. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de variables. Vous pouvez également saisir le nom manuellement dans le champ de texte. Si aucune variable n’est liée, la couleur définie dans la propriété Couleur est utilisée.

Par défaut : aucune variable liée

Plus de détails dans l’aide en ligne.

ZT_PREVIEW

GlowEffectGlowColorVariablePreview

Affichage aperçu couleur

Affichage de la valeur limite définie pour la variable de couleur lorsque l’effet de luminescence est actif. Disponible uniquement si l’option Depuis la variable a été configurée pour la propriété Variable pour la couleur.

Un aperçu des propriétés définies pour la valeur limite est affiché dans le champ. Aucun aperçu n’est affiché pour les matrices de réaction.
Cliquez sur le bouton ... pour ouvrir la boîte de dialogue d’affichage des résultats. Les valeurs limite sont uniquement affichées ; elles ne peuvent pas être modifiées. Les modifications doivent être effectuées directement dans les propriétés de la variable pour Valeurs limite.

Plus de détails dans l’aide en ligne.

ZT_VARIABLE_DYN

GlowEffectVisibilityVariable

Variable pour la visibilité

Disponible uniquement si la propriété Activer est active.

Nom de la variable dont la valeur influence la visibilité de l’effet de luminescence. La visibilité est soit reprise des propriétés de valeur limite de cette variable (propriété Visibilité depuis valeur limite active), soit définie par la plage de valeurs définie dans les propriétés Visible de et Visible jusqu'à. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de variables. Vous pouvez également saisir le nom manuellement dans le champ de texte.

Remarque : si aucune variable n’est liée, l’effet de luminescence est toujours visible.

Par défaut : aucune variable liée

Plus de détails dans l’aide en ligne.

ZT_PREVIEW

GlowEffectVisibilityVariablePreview

Affichage aperçu visibilité

Affichage de la valeur limite définie pour la variable de visibilité lorsque l’effet de luminescence est actif. Disponible uniquement si l’option Depuis la variable a été configurée pour la propriété Variable pour la visibilité.

Un aperçu des propriétés définies pour la valeur limite est affiché dans le champ. Aucun aperçu n’est affiché pour les matrices de réaction.
Cliquez sur le bouton ... pour ouvrir la boîte de dialogue d’affichage des résultats. Les valeurs limite sont uniquement affichées ; elles ne peuvent pas être modifiées. Les modifications doivent être effectuées directement dans les propriétés de la variable pour Valeurs limite.

Plus de détails dans l’aide en ligne.

VT_BOOL

GlowEffectVisibilityFromLimit

Visibilité depuis valeur limite

Disponible uniquement si la propriété Activer est active. Vous devez en outre définir une variable dans la propriété Variable pour la visibilité.

Active : La visibilité de l’effet de luminescence est influencée par la propriété de valeur limite de la variable.

Attention : Pour une valeur limite de la variable au moins, la propriété Invisible doit être active.

Inactive : la visibilité est influencée par les propriétés de l’élément.

Plus de détails dans l’aide en ligne.

VT_R8

GlowEffectVisibilityFrom

Visible de

Disponible uniquement si la propriété Activer est active. Vous devez en outre définir une variable dans la propriété Variable pour la visibilité ; la propriété Visibilité depuis valeur limite doit être inactive.

Définit la valeur à partir de laquelle l’effet de luminescence devient visible.
Minimum : valeur la moins élevée autorisée pour la variable liée dans Variable pour la visibilité.
Maximum : valeur la moins élevée autorisée pour la variable liée dans Variable pour la visibilité.
Par défaut : valeur la plus élevée autorisée pour la variable liée dans Variable pour la visibilité.

Plus de détails dans l’aide en ligne.

VT_R8

GlowEffectVisibilityTo

Visible jusqu'à

Disponible uniquement si la propriété Activer est active. Vous devez en outre définir une variable dans la propriété Variable pour la visibilité ; la propriété Visibilité depuis valeur limite doit être inactive.

Définit la valeur jusqu’à laquelle l’effet de luminescence reste visible.
Minimum : valeur la plus basse autorisée pour la variable liée dans Variable pour la visibilité.
Maximum : valeur la plus élevée autorisée pour la variable liée dans Variable pour la visibilité.
Par défaut : valeur la plus élevée autorisée pour la variable liée dans Variable pour la visibilité.

Plus de détails dans l’aide en ligne.

ZT_VARIABLE_DYN

GlowEffectBlinkVariable

Variable pour le clignotement

Variables dont les paramètres de clignotement de l’effet de luminescence aux valeurs limites doivent être repris. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de variables.

Par défaut : aucune variable liée

Plus de détails dans l’aide en ligne.

ZT_PREVIEW

GlowEffectBlinkVariablePreview

Affichage aperçu clignotement

Affichage de la valeur limite définie pour la variable de clignotement lorsque l’effet de luminescence est actif. Disponible uniquement si l’option Depuis la variable a été configurée pour la propriété Variable pour le clignotement.

Un aperçu des propriétés définies pour la valeur limite est affiché dans le champ. Aucun aperçu n’est affiché pour les matrices de réaction.
Cliquez sur le bouton ... pour ouvrir la boîte de dialogue d’affichage des résultats. Les valeurs limite sont uniquement affichées ; elles ne peuvent pas être modifiées. Les modifications doivent être effectuées directement dans les propriétés de la variable pour Valeurs limite.

Plus de détails dans l’aide en ligne.

VT_BOOL

GlowEffectUseBlinkColor

Clignotement depuis valeur limite

Disponible uniquement si la propriété Activer est active. Vous devez en outre définir une variable dans la propriété Variable pour le clignotement.

Active : Reprend, pour l’effet de luminescence, la couleur de clignotement de la valeur limite active pour la variable définie dans la propriété Couleur de clignotement par la limite. Cette propriété agit indépendamment de la propriété Coloration. En cas de clignotement, l’effet de luminescence ne devient pas invisible, mais reprend les paramètres de l’effet de luminescence actif.

Par défaut : Inactive

Plus de détails dans l’aide en ligne.

VT_BOOL

GlowEffect2ndBlinkStateVisible

2 états de clignotement invisibles

Disponible uniquement si la propriété Activer est active. Vous devez en outre définir une variable dans la propriété Variable pour le clignotement ; la propriété Clignotement depuis valeur limite doit être inactive.

Active : En cas de clignotement, l’effet de luminescence ne bascule pas vers l’effet de luminescence actif, mais devient invisible. Ceci permet de basculer entre l’invisibilité et la couleur de clignotement en cas de dépassement de la valeur limite.

Par défaut : Inactive

Plus de détails dans l’aide en ligne.


Numerical value

Manuel -> Interfaces de programmation -> Modèles d'objet -> Element -> Element-Dynamic properties -> Numerical value

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Type

VBA/VSTA Name

Display Name

Description

More...

DynEleVar

DynEleVar

"With this property you have the opportunity to get informations about the variable (projected via ""Variable assignment"" in the ActiveX selection dialog) which is linked at an ActiveX element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""DynEleVar.SymVarName"") 'Return the name of the variable which is assigned to the ActiveX
zElement.DynProperties (""DynEleVar.SymVarTagNr"") 'Return the identification of the variable which is assigned to the ActiveX"

ZT_STYLE

FrameStyle

Style de bordure d'élément

Affichage et sélection du style d’élément attribué à l’élément.

Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de style.
Si plusieurs éléments ont été sélectionnés, ils peuvent être attribués à un style commun.

Remarque : Seules les propriétés compatibles avec l’élément correspondant sont prises en charge.

Plus de détails dans l’aide en ligne.

VT_BOOL

ShowState

Visualiser l'état de la variable

Affichage graphique de l’état de la variable. Sélection à l’aide d’une case à cocher.

  • Active : l’état des variables est indiqué par un carré de couleur au niveau de l’élément.

    Couleur :

    • Carré rouge :
      pas de communication avec l’automate.
      Exemple : INVALID, OFF, ALT_VAL, REVISION, TIMEOUT, ...
    • Carré bleu (N_UPDATE) :
      Sur le client réseau :
      La connexion entre le client et le serveur principal a été interrompue.

      Avec un projet d’intégration indépendant :
      Le serveur principal n’a pas encore fourni les données.
    • Carré jaune (PR_NR) :
      Indique, dans le Runtime, que la variable n’a pas été enregistrée pendant la lecture dans le module Process Recorder. Par conséquent, aucune valeur n’a été identifiée lors de la lecture.

    Position :
    La position du carré au niveau de l’élément dépend de la forme de l’élément :

    • Anguleux et tous autres éléments :
      Coin supérieur droit
    • Élément circulaire :
      En haut, au milieu
    • Élément arrondi :
      coin supérieur droit, légèrement décalé vers la gauche
  • Inactive : L’état n’est pas représenté.
    Désactive également la possibilité d’afficher les informations supplémentaires concernant la variable avec un clic droit.

Par défaut : Actif

Plus de détails dans l’aide en ligne.

ZT_STYLE

TextStyle

Style de texte

Affichage et sélection du style de texte attribué à l’élément.

Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de style.
Si plusieurs éléments ont été sélectionnés, ils peuvent être attribués à un style commun.

Remarque : Seules les propriétés compatibles avec l’élément correspondant sont prises en charge.

Plus de détails dans l’aide en ligne.

ZT_STYLE

ValueStyle

Style d'affichage de la valeur

Affichage et sélection du style d’affichage de la valeur attribué à l’élément.

Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de style.
Si plusieurs éléments ont été sélectionnés, ils peuvent être attribués à un style commun.

Remarque : Seules les propriétés compatibles avec l’élément correspondant sont prises en charge.

Plus de détails dans l’aide en ligne.

ZT_VARIABLE_DYN

LineColorVariable

Couleur du texte

Nom de la variable dont la couleur de valeur limite doit influencer la couleur de texte de l’élément. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de variables.

Plus de détails dans l’aide en ligne.

ZT_PREVIEW

LineColorVarPreview

Affichage aperçu couleur

Affichage de la valeur limite pour la propriété Couleur de ligne définie pour la variable. Disponible uniquement si l’option Depuis la variable a été configurée pour la propriété Couleur de ligne.

Un aperçu des propriétés définies pour la valeur limite est affiché dans le champ. Aucun aperçu n’est affiché pour les matrices de réaction.
Cliquez sur le bouton ... pour ouvrir la boîte de dialogue d’affichage des résultats. Les valeurs limite sont uniquement affichées ; elles ne peuvent pas être modifiées. Les modifications doivent être effectuées directement dans les propriétés de la variable pour Valeurs limite.

Plus de détails dans l’aide en ligne.

VT_BOOL

LimitColor

Utiliser la couleur de la limite

Définit si la couleur de valeur limite pour la variable liée à l’élément est affichée dans le Runtime.
La couleur a un effet sur le texte affiché ou sur le curseur d’une réglette universelle.

  • Active : La couleur de valeur limite définie est affichée dans le Runtime.

Par défaut : active

Plus de détails dans l’aide en ligne.

ZT_VARIABLE_DYN

Variable

Variable

Nom de la variable liée. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de variables.
La valeur de cette variable est affichée dans cet élément et peut également être définie ici.

Remarque : Disponible uniquement pour les boutons s’ils sont utilisés en tant qu’interrupteurs.

Conseil : si la valeur de la variable doit être basculée, nous vous recommandons d’activer la propriété Variable lue en permanence. Dans le cas contraire, le Runtime patiente jusqu’à ce que le driver connaisse la valeur des variables. Si la valeur n’est pas disponible en raison d’une interruption des communications avec le contrôleur, le délai d’attente correspond au délai d’attente avant expiration du driver.

SICAM 230 et élément Synoptique d’alarmes uniquement :
La description ci-dessus s’applique uniquement aux éléments Bouton texte, Bouton bitmap et Bouton invisible.
Signification dans SICAM 230 : Les états des classes d’alarmes/d’événements seront attribués à la variable sélectionnée (32 bits). Pour chaque classe, 2 bits seront utilisés (par numéro de classe, dans l’ordre croissant).

  • Bit inférieur : alarme active/inactive
  • Bit supérieur : alarme acquittée/non acquittée

Plus de détails dans l’aide en ligne.

ZT_STYLE

FillStyle

Style de remplissage

Affichage et sélection du style de remplissage attribué à l’élément.

Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de style.
Si plusieurs éléments ont été sélectionnés, ils peuvent être attribués à un style commun.

Remarque : Seules les propriétés compatibles avec l’élément correspondant sont prises en charge.

Plus de détails dans l’aide en ligne.

VT_BOOL

Transparent

Transparence

Active : Désactive la couleur d’arrière-plan de l’élément.

L’effet de cette option sur un bouton est un bouton invisible. Il peut être positionné au-dessus des autres éléments en tant que bouton invisible.

Plus de détails dans l’aide en ligne.

VT_BOOL

IsSetValue

Ecrire valeur prescrite
  • Active : La configuration des valeurs prescrites pour cet élément dynamique est autorisée.
  • Inactive : L’élément est défini sur ReadOnly.

Indisponible pour l’élément Texte dynamique s’il a été défini sur read only dans le synoptique.

Plus de détails dans l’aide en ligne.

VT_BOOL

Preset

Proposer la valeur courante

Active : La valeur actuelle de la variable est proposée en tant que valeur prescrite.
Dans ce cas, la valeur est ajoutée sous "Valeur prescrite / Modification de valeur" avant la configuration de la valeur réelle (valeur positive) ou sa soustraction depuis celle-ci (valeur négative).
Inactive : La valeur définie dans la propriété "Valeur prescrite / Modification de valeur" est proposée.

Plus de détails dans l’aide en ligne.

VT_BOOL

HWDirect

Sans dialogue

Active : La valeur est transmise au matériel sans qu’il soit possible de la modifier dans Runtime.
Inactive : Il reste toutefois possible de modifier la valeur dans le Runtime avant son écriture sur le matériel.

Plus de détails dans l’aide en ligne.

VT_R8

SetValue

Valeur prescrite

Valeur devant être envoyée en tant que valeur prescrite ou valeur par défaut.
Si la propriété Proposer la valeur actuelle est active : Valeur ajoutée à la valeur actuelle.
Associée à la propriété "Sans boîte de dialogue", l’augmentation (valeur positive) ou la diminution (valeur négative) peut être mise en œuvre.

Plus de détails dans l’aide en ligne.

VT_UI1

SetValueWith

Écrire valeur prescrite par

Configuration de la définition de la valeur prescrite.
Sélection dans une liste déroulante :

  • Gestion de commande : La nouvelle valeur est définie à l’aide de la fonction Gestion de commandes. Le synoptique défini dans le groupe de commandes de la variable liée s’affiche aux fins de la saisie.
  • Boîte de dialogue standard : la nouvelle valeur est saisie à l’aide d’une boîte de dialogue standard. Si un synoptique de type "Clavier" avec le nom "SETVALUEKBD" (pour les valeurs numériques) ou "SETSTRINGKBD" (pour les variables de type STRING) existe, ce synoptique est utilisé à la place de la boîte de dialogue standard.
    Remarque : Si l’élément est lié à une fonction autorisant les entrées, la propriété est définie Utiliser le synoptique clavier automatiquement. Si un synoptique est lié dans la propriété Synoptique clavier, celui-ci est utilisé. Dans le cas contraire, un clavier SETSTRINGKBD est utilisé.
  • Élément : La valeur est saisie directement dans l’élément graphique (uniquement pour les éléments Valeur numérique et Texte).
  • Programme : La valeur est saisie dans un programme externe.

Plus de détails dans l’aide en ligne.

VT_BSTR

SetProgram

Programme externe

Disponible uniquement si un programme externe a été sélectionné pour la propriété Écrire valeur prescrite :
La valeur prescrite est écrite par un programme externe qui doit être sélectionné dans la boîte de dialogue affichée ici.

Ce programme est alors démarré et reçoit les paramètres suivants :
1) Nom de la variable liée
2) Valeur proposée, telle que définie dans les propriétés correspondantes
3) Coordonnée gauche de l’élément, en pixels
4) Coordonnée supérieure de l’élément, en pixels
5) Coordonnée droite de l’élément, en pixels
6) Coordonnée inférieure de l’élément, en pixels
7) Valeur minimum autorisée pour la valeur prescrite, telle qu’elle est définie dans les propriétés correspondantes
8) Valeur maximum autorisée pour la valeur prescrite, telle qu’elle est définie dans les propriétés correspondantes

Plus de détails dans l’aide en ligne.

VT_BOOL

KbdUsage

Synoptique clavier

Disponible uniquement si la propriété Synoptique clavier est active.

Nom du synoptique de clavier lié.
Si aucun synoptique de clavier n’est saisi, le clavier correspondant est appelé dans le Runtime :

  • Variable String (chaîne) : SETSTRINGKBD
  • Variable numérique : SETVALUEKBD
  • Variable binaire : SETBOOLKBD

Remarque : Pour l’option Champ de saisie, aucun clavier n’est appelé si l’option Synoptique clavier est activée. Un synoptique de clavier doit être lié.

Plus de détails dans l’aide en ligne.

ZT_PICTURE

KbdName

Synoptique clavier

Disponible uniquement si la propriété Synoptique clavier est active.

Nom du synoptique de clavier lié.
Si aucun synoptique de clavier n’est saisi, le clavier correspondant est appelé dans le Runtime :

  • Variable String (chaîne) : SETSTRINGKBD
  • Variable numérique : SETVALUEKBD
  • Variable binaire : SETBOOLKBD

Remarque : Pour l’option Champ de saisie, aucun clavier n’est appelé si l’option Synoptique clavier est activée. Un synoptique de clavier doit être lié.

Plus de détails dans l’aide en ligne.

VT_BOOL

LimitFromVar

Plages de la variable

Active : La limitation de la plage pour laquelle les valeurs prescrites peuvent être écrites n’est pas définie par l’intermédiaire des paramètres "Min" et "Max", mais est directement issue des définitions de variables (bouton "Étendue").
Inactive : La plage peut être directement limitée par les paramètres "Minimum" et "Maximum".

Plus de détails dans l’aide en ligne.

VT_R8

Min

Minimum

Limite inférieure de la plage de valeurs autorisées pour la valeur prescrite.
Disponible uniquement si la propriété Plages de la variable n’est pas active.

Attention : La valeur saisie ici sera ignorée si une variable est sélectionnée pour la valeur minimum de la valeur dynamique prescrite.

Plus de détails dans l’aide en ligne.

VT_R8

Max

Maximum

Limite supérieure de la plage de valeurs autorisées pour la valeur prescrite.
Disponible uniquement si la propriété Plages de la variable n’est pas active.

Attention : La valeur saisie ici sera ignorée si une variable est sélectionnée pour la valeur maximale de la valeur prescrite dynamique.

Plus de détails dans l’aide en ligne.

VT_UI2

Passwordlevel

Niveau d'autorisation

Le niveau du mot de passe d’écriture de valeurs prescrites ou d’exécution de fonctions avec l’élément dynamique sélectionné.
Minimum : 0.
Maximum : 127
Par défaut : 0.

Plus de détails dans l’aide en ligne.

VT_UI4

Locking

Verrouillage

Lien vers un verrouillage existant avec cet élément.

Si une condition dans une des formules du verrouillage est vraie, cet élément est verrouillé de manière à ce qu’aucun fonctionnement ne soit possible. Si cela a été défini dans les propriétés du projet, un symbole représentant un verrou est affiché aussi longtemps que le verrouillage est actif.

Remarque : Les verrouillages ne peuvent pas être utilisés pour des symboles dans la bibliothèque générale de symboles ou la bibliothèque de symboles du projet.

Plus de détails dans l’aide en ligne.

VT_BSTR

LockingName

LockingName

"With this property you have the opportunity to assign an interlocking via its name.
zElement.DynProperties(""LockingName"") = ""Interlocking 1"""

VT_BOOL

UnderCE

Visible sous WinCE

Contrôle la visibilité des éléments dans les synoptiques sous Windows CE. Les projets qui sont utilisés sous CE et sur le PC peuvent être créés de manière plus flexible ; la gestion par l’utilisateur est ainsi améliorée. Par exemple, les boutons renvoyant l’utilisateur vers des synoptiques ne pouvant pas être affichés sous CE (par ex. IPA) peuvent être rendus invisibles.

Active : dans synoptique/l’élément est également visible sous Windows CE.

Par défaut : active

Plus de détails dans l’aide en ligne.

ZT_VBAMAKRO

Init

Init

Macro VBA à exécuter lors de l’initialisation de l’élément.

Plus de détails dans l’aide en ligne.

ZT_VBAMAKRO

SetFocus

SetFocus

Macro VBA à exécuter lorsque le focus est placé sur l’élément.

Plus de détails dans l’aide en ligne.

ZT_VBAMAKRO

KillFocus

KillFocus

Macro VBA à exécuter lorsque le focus n’est plus placé sur l’élément.

Plus de détails dans l’aide en ligne.

ZT_VBAMAKRO

LeftClickDown

LeftClickDown

Macro VBA à exécuter lorsque l’utilisateur effectue un clic gauche sur l’élément.

Plus de détails dans l’aide en ligne.

ZT_VBAMAKRO

RightClickDown

RightClickDown

Macro VBA à exécuter lorsque l’utilisateur effectue un clic droit sur l’élément.

Plus de détails dans l’aide en ligne.

ZT_VBAMAKRO

LeftClickUp

LeftClickUp

Macro VBA à exécuter lorsque l’utilisateur relâche le bouton gauche de la souris sur l’élément.

Plus de détails dans l’aide en ligne.

ZT_VBAMAKRO

RightClickUp

RightClickUp

Macro VBA à exécuter lorsque l’utilisateur relâche le bouton droit de la souris sur l’élément.

Plus de détails dans l’aide en ligne.

ZT_VBAMAKRO

LeftDClick

LeftDoubleClick

Macro VBA à exécuter lorsque l’utilisateur effectue un double-clic gauche sur l’élément.

Plus de détails dans l’aide en ligne.

ZT_VBAMAKRO

RightDClick

RightDoubleClick

Macro VBA à exécuter lorsque l’utilisateur effectue un double-clic droit sur l’élément.

Plus de détails dans l’aide en ligne.

ZT_VBAMAKRO

MouseOver

MouseOver

Macro VBA à exécuter si le pointeur de la souris est positionné sur l’élément.

Plus de détails dans l’aide en ligne.

ZT_VBAMAKRO

DragDrop

DragDrop

Macro VBA à exécuter lorsque le bouton de la souris est relâché.

Plus de détails dans l’aide en ligne.

ZT_VBAMAKRO

DragOver

DragOver

Macro VBA à exécuter lorsque le curseur est déplacé au-dessus de l’élément pendant que le bouton gauche est enfoncé.

Plus de détails dans l’aide en ligne.

ZT_VBAMAKRO

DragBegin

DragBegin

Macro VBA à exécuter lorsque l’utilisateur commence à faire glisser l’objet.

Plus de détails dans l’aide en ligne.

VT_BSTR

Menu

Menu contextuel

Menu contextuel de l’élément.
Cliquer avec le bouton droit de la souris sur l’élément pour ouvrir le menu contextuel dans le Runtime.

Plus de détails dans l’aide en ligne.

VT_BSTR

Tooltip

Info bulle

Texte à afficher en tant qu’info-bulle de l’élément dans le Runtime. Une info-bulle est automatiquement affichée dans le Runtime si le pointeur de la souris reste pendant quelques secondes sur l’élément. Des retours à la ligne automatiques peuvent être insérés avec les caractères "\n".

  • Maximum : 79 caractères
    Attention : La combinaison de caractères \n est également comptée dans la limite de 79 caractères.

Plus de détails dans l’aide en ligne.

VT_BOOL

LassoSelect

sélectionnable avec le lasso

La sélection avec le lasso dans le Runtime permet d’identifier les éléments dynamiques et de les utiliser avec des événements VBA.

  • Active : L’élément peut être sélectionné avec le lasso dans le Runtime.
  • Inactive : L’élément ne peut pas être sélectionné dans Runtime.

Par défaut : active

Attention : Pour que l’élément puisse être sélectionné dans le Runtime, vous devez activer la propriété Sélection multiple en runtime (lasso) dans les paramètres du projet !

Remarque concernant la gestion des commandes : Si la propriété Opération à deux mains est activée, le lasso de la commande Exécuter le 2ème niveau ne doit pas être activé.

Plus de détails dans l’aide en ligne.

More...

GestureManipulationGroup

Manipulation

Propriétés pour la manipulation de synoptiques et d’éléments de synoptique dans le cadre d’une utilisation tactile.

Plus de détails dans l’aide en ligne.

VT_BOOL

Tab

Le focus est donné à l'élément

Active : L’élément dynamique peut être actionné à l’aide du clavier.
Inactive : L’élément dynamique n’est pas accessible à l’aide du clavier.
Par défaut : active.

Plus de détails dans l’aide en ligne.

VT_I4

TABOrderH

Position du focus gauche/droite

Définit la position horizontale pour l’utilisation à l’aide du clavier dans le Runtime. La position est définie par l’intermédiaire du menu contextuel et de l’utilisation de la souris dans la fenêtre principale ; elle ne peut pas être modifiée ici.

Plus de détails dans l’aide en ligne.

VT_I4

TABOrderV

Position focus haut / bas

Définit la position verticale pour l’utilisation à l’aide du clavier dans le Runtime. La position est définie par l’intermédiaire du menu contextuel et de l’utilisation de la souris dans la fenêtre principale ; elle ne peut pas être modifiée ici.

Plus de détails dans l’aide en ligne.

VT_BOOL

Signature

Signature nécéssaire

Active : Une signature est nécessaire pour actionner l’élément.

Pour des raisons de sécurité, l’utilisateur sera invité à saisir son mot de passe même s’il est déjà connecté. Le texte de la signature est enregistré dans la liste d’événements (CEL) après que l’élément ait été utilisé avec succès.

Attention : seuls les utilisateurs connectés peuvent signer une action. La signature d’actions avec un identifiant temporaire n’est plus possible.

Inactive : aucune signature n’est requise.

(Par défaut) Inactive :

Plus de détails dans l’aide en ligne.

VT_BSTR

SignatureText

Texte de signature

Ce texte est également consigné lors de la signature dans la liste d’événements (CEL) ou est proposé par défaut dans le Runtime si la signature est définie comme modifiable dans les propriétés du projet.

Plus de détails dans l’aide en ligne.

VT_I2

SignatureEditModus

Texte de signature éditable

Définit si le texte de signature peut être édité. Sélectionnez dans la liste déroulante :

  • Appliquer les paramètres projet : Les paramètres de la propriété de projet Texte de signature éditable sont applicables.
  • Oui : Texte modifiables
  • Non : Le texte ne peut pas être édité.

Par défaut : Appliquer les paramètres projet

Plus de détails dans l’aide en ligne

ZT_FILE

Helpfile

Fichier d'aide

Fichier d’aide (*.chm) devant être utilisé pour cet élément, conjointement à un menu contextuel. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de fichiers.
Attention : seuls les fichiers d’aide ayant été ajoutés dans le nœud Fichiers/Aide sont disponibles.

Plus de détails dans l’aide en ligne.

VT_BSTR

HelpCapture

Chapitre d'aide

Chapitre d’aide (*.chm) devant être utilisé pour cet élément, conjointement à un menu contextuel. Nom de la page HTML sous-jacente.
Attention : cette entrée tient compte des minuscules et majuscules.

Plus de détails dans l’aide en ligne.

ZT_VARIABLE_DYN

SetValueDynMin

Minimum

Variable dont la valeur actuelle est applicable en tant que limite inférieure de la valeur prescrite de l’élément.
Disponible uniquement si Plages de la variable est inactive :
Plus de détails dans l’aide en ligne.

ZT_VARIABLE_DYN

SetValueDynMax

Maximum

Variable dont la valeur actuelle est applicable en tant que limite supérieure de la valeur prescrite de l’élément.

Disponible uniquement si la propriété Plages de la variable est inactive.

Plus de détails dans l’aide en ligne.

VT_BOOL

GestureRecognitionActive

Reconnaissance de geste active

Active l’évaluation des gestes. Les gestes sont définis à l’aide d’autres propriétés.

Uniquement disponible si, dans le groupe Intéraction des propriétés du projet, la propriété Reconnaissance Windows 8 a été définie.

Plus de détails dans l’aide en ligne.

VT_BOOL

Gestures_Manipulation

Exact

Active : Détection du paramètre Exact défini.

Plus de détails dans l’aide en ligne.

VT_BOOL

Gestures_Exact

Exact

Active : Détection du paramètre Exact défini.

Plus de détails dans l’aide en ligne.

VT_BOOL

Gestures_TranslationX

Translation X

Active : Détection du paramètre Translation X défini.

Plus de détails dans l’aide en ligne.

VT_BOOL

Gestures_TranslationY

Translation Y

Active : Détection du paramètre Translation Y défini.

Plus de détails dans l’aide en ligne.

VT_BOOL

Gestures_RailsX

Rails X

Active : Détection du paramètre Rails X défini.

Plus de détails dans l’aide en ligne.

VT_BOOL

Gestures_RailsY

Rails Y

Active : Détection du paramètre Rails Y défini.

Plus de détails dans l’aide en ligne.

VT_BOOL

Gestures_TranslationInertia

Translation inertia

Active : Détection du paramètre Translation Inertia (Inertie de translation) défini.

Plus de détails dans l’aide en ligne.

VT_BOOL

Gestures_Rotation

Inertie de rotation

Active : Détection du paramètre Rotation Inertia (Inertie de rotation) défini.

Plus de détails dans l’aide en ligne.

VT_BOOL

Gestures_RotationInertia

Inertie de rotation

Active : Détection du paramètre Rotation Inertia (Inertie de rotation) défini.

Plus de détails dans l’aide en ligne.

VT_BOOL

Gestures_Scaling

Scaling inertia

Active : Détection du paramètre Scaling Inertia (Inertie de redimensionnement) défini.

Plus de détails dans l’aide en ligne.

VT_BOOL

Gestures_ScalingInertia

Scaling inertia

Active : Détection du paramètre Scaling Inertia (Inertie de redimensionnement) défini.

Plus de détails dans l’aide en ligne.

VT_BOOL

Gestures_CrossSlide

Cross slide exact

Active : Détection du paramètre Cross Slide Exact (Glissement transversal exact) défini.

Plus de détails dans l’aide en ligne.

VT_BOOL

Gestures_CrossSlideHorizontal

Cross slide horizontal

Active : Détection du paramètre Cross Slide Horizontal (Glissement transversal horizontal) défini.

Plus de détails dans l’aide en ligne.

VT_BOOL

Gestures_CrossSlideSelect

Cross slide select

Active : Détection du paramètre Cross Slide Select (Glissement transversal, sélection) défini.

Plus de détails dans l’aide en ligne.

VT_BOOL

Gestures_CrossSlideSpeedBump

Cross slide speed bump

Active : Détection du paramètre Cross Slide Speed Bump (Glissement transversal, ralentisseur) défini.

Plus de détails dans l’aide en ligne.

VT_BOOL

Gestures_CrossSlideRearrange

Cross slide rearrange

Active : Détection du paramètre Cross Slide Rearrange (Glissement transversal, réorganisation) défini.

Plus de détails dans l’aide en ligne.

VT_BOOL

Gestures_CrossSlideExact

Cross slide exact

Active : Détection du paramètre Cross Slide Exact (Glissement transversal exact) défini.

Plus de détails dans l’aide en ligne.

VT_BOOL

Gestures_Tap

Tap double

Active : Détection du paramètre Tap Double (Double appui) défini.

Plus de détails dans l’aide en ligne.

VT_BOOL

Gestures_TapDouble

Tap double

Active : Détection du paramètre Tap Double (Double appui) défini.

Plus de détails dans l’aide en ligne.

VT_BOOL

Gestures_SecondaryTap

Secondary tap

Active : Détection du paramètre Secondary Tap (Appui secondaire) défini.

Plus de détails dans l’aide en ligne.

VT_BOOL

Gestures_Drag

Drag

Active : Détection du paramètre Drag (Glissement) défini.

Plus de détails dans l’aide en ligne.

VT_BOOL

Gestures_Hold

Hold (Mouse)

Active : Détection du paramètre Hold (Mouse) (Maintien [souris]) défini.

Plus de détails dans l’aide en ligne.

ZT_STYLE

StyleGroup

Groupe de styles

Affichage et sélection du groupe de styles attribué à l’élément.
Cliquez sur le bouton ... pour ouvrir la boîte de dialogue permettant de sélectionner un groupe de styles.
Si plusieurs éléments sont sélectionnés, elles peuvent être attribuées à un groupe de styles commun.

Remarque : Seules les propriétés compatibles avec l’élément correspondant sont prises en charge.

Plus de détails dans l’aide en ligne.

More...

LnClVariable

LnClVariable

"With this property you have the opportunity to get informations about the variable which is linked as ""line/text color"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""LnClVariable.SymVarName"") 'Return the name of the ""line/text color"" variable
zElement.DynProperties (""LnClVariable.SymVarTagNr"") 'Return the identification of the ""line/text color"" variable"

More...

BkClVariable

BkClVariable

"With this property you have the opportunity to get informations about the variable which is linked as ""background/filling color"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""BkClVariable.SymVarName"") 'Return the name of the ""background/filling color"" variable
zElement.DynProperties (""BkClVariable.SymVarTagNr"") 'Return the identification of the ""background/filling color"" variable"

More...

BkCl2Variable

"BkCl2Variable"

More...

XVar

XVar

"With this property you have the opportunity to get informations about the variable which is linked as ""dynamic x position"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""XVar.SymVarName"") 'Return the name of the ""dynamic x position"" variable
zElement.DynProperties (""XVar.SymVarTagNr"") 'Return the identification of the ""dynamic x position"" variable"

More...

YVar

YVar

"With this property you have the opportunity to get informations about the variable which is linked as ""dynamic y position"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""YVar.SymVarName"") 'Return the name of the ""dynamic y position"" variable
zElement.DynProperties (""YVar.SymVarTagNr"") 'Return the identification of the ""dynamic y position"" variable"

More...

XVarZoom

XVarZoom

"With this property you have the opportunity to get informations about the variable which is linked as ""change width"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""XVarZoom.SymVarName"") 'Return the name of the ""change width"" variable
zElement.DynProperties (""XVarZoom.SymVarTagNr"") 'Return the identification of the ""change width"" variable"

More...

YVarZoom

YVarZoom

"With this property you have the opportunity to get informations about the variable which is linked as ""change height"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""YVarZoom.SymVarName"") 'Return the name of the ""change height"" variable
zElement.DynProperties (""YVarZoom.SymVarName"") 'Return the name of the ""change height"" variable
zElement.DynProperties (""YVarZoom.SymVarTagNr"") 'Return the identification of the ""change height"" variable"

More...

TwistVar

TwistVar

"With this property you have the opportunity to get informations about the variable which is linked as ""rotate"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""TwistVar.SymVarName"") 'Return the name of the ""rotate"" variable
zElement.DynProperties (""TwistVar.SymVarTagNr"") 'Return the identification of the ""rotate"" variable"

More...

VisVariable

VisVariable

"With this property you have the opportunity to get informations about the variable which is linked as ""visibility"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""VisVariable.SymVarName"") 'Return the name of the ""visibility"" variable
zElement.DynProperties (""VisVariable.SymVarTagNr"") 'Return the identification of the ""visibility"" variable"

More...

BlinkVar

BlinkVar

More...

GlowEffectGlowColorVar

GlowEffectGlowColorVar

More...

GlowEffectVisibilityVar

GlowEffectVisibilityVar

More...

GlowEffectBlinkVar

GlowEffectBlinkVar

VT_BSTR

Name

Nom d'élément

Attribuez un nom d’élément.
Il ne doit pas être vide.

Attention : Cette propriété n’est pas disponible aux fins de la commutation de langue.

Remarques concernant les cadrans : Pour les conteneurs de synoptique, spécifiez des noms clairement identifiables pour faciliter la sélection lors de la configuration des appels de synoptique.

Plus de détails dans l’aide en ligne.

VT_UI1

Layer

Niveau de visibilité

Sélectionnez l’un des 16 niveaux de visibilité (0 à 15) dans la liste déroulante. À l’aide de la barre d’outils Niveau de visibilité, vous décidez des niveaux qui doivent être affichés dans Editor. Cette fonction garantit que les synoptiques les plus complexes peuvent être développés de manière simple. Les niveaux peuvent être utilisés immédiatement. Les niveaux n’ont aucune influence sur les informations affichées au premier plan ou en arrière-plan dans le Runtime.
Par défaut : 0.

Plus de détails dans l’aide en ligne.

VT_I4

StartX

Point de départ X [pixels]

Coordonnée Y du coin supérieur gauche du synoptique (en pixels).

Plus de détails dans l’aide en ligne.

VT_I4

EndX

Point final X [pixels]

Coordonnée X du coin inférieur droit du synoptique (en pixels).

Plus de détails dans l’aide en ligne.

VT_I4

StartY

Point de départ Y [pixels]

Coordonnée Y du coin supérieur gauche du synoptique (en pixels).

Plus de détails dans l’aide en ligne.

VT_I4

EndY

Point final Y [pixels]

Coordonnée Y du coin inférieur droit du synoptique (en pixels).

Plus de détails dans l’aide en ligne.

VT_I4

Width

Largeur [pixels]

Largeur des éléments en pixels.

Remarque : disponible uniquement pour les éléments Combinaison multiple, Élément combiné, Bouton et Interrupteur si la valeur Ajusté a été sélectionnée pour la propriété Taille du graphique.

Plus de détails dans l’aide en ligne.

VT_I4

Height

Hauteur [pixels]

Hauteur des éléments en pixels.

Remarque : disponible uniquement pour les éléments Combinaison multiple, Élément combiné, Bouton et Interrupteur si la valeur Ajusté a été sélectionnée pour la propriété Taille du graphique.

Plus de détails dans l’aide en ligne.

VT_I4

Angle

Angle de rotation [°]

Angle libre autour selon lequel doit pivoter l’élément.
Les valeurs positives correspondent à une rotation dans le sens antihoraire, tandis que les valeurs négatives correspondent à une rotation dans le sens horaire. Les valeurs supérieures à 360° sont affichées sous forme d’écart par rapport à 360° (400° correspond à 40°). Seuls les nombres entiers sont autorisés.

Sur les éléments pivotés, les actions suivantes ne sont plus possibles :

  • Miroir
  • Rotation de +/- 90°
  • Redimensionnement à l’aide des touches fléchées

Par défaut : 0

Remarque : Ce paramètre est activé et réinitialisé lors de la configuration pour Windows CE.

Plus de détails dans l’aide en ligne.

VT_I2

ZoomMin

Visible de

Incrément de zoom le plus bas auquel l’élément est visible dans la vue globale.
Par défaut : -1
Une valeur de visibilité avec des incréments de zoom de -1 à -1 signifie que l’élément est affiché, quel que soit l’incrément de zoom sélectionné.

Les niveaux de zoom affichés dans la vue globale peuvent être configurés avec la propriété Apparence graphique -> Généralités runtime -> Pas de zoom pour vue globale.

Attention : Ce niveau de zoom s’applique à tous les types de synoptiques et cadres. Si un niveau de zoom défini est supérieur à 0, l’élément est uniquement affiché dans la vue globale, car les autres types de synoptique sont automatiquement appelés avec le niveau de zoom 0.

Plus de détails dans l’aide en ligne.

VT_I2

ZoomMax

Visible jusqu'à

Incrément de zoom le plus élevé auquel l’élément est visible dans la vue globale.

Par défaut : -1
Une valeur de visibilité avec des incréments de zoom de -1 à -1 signifie que l’élément est affiché, quel que soit l’incrément de zoom sélectionné.

Les niveaux de zoom affichés dans la vue globale peuvent être configurés avec la propriété Apparence graphique -> Généralités runtime -> Pas de zoom pour vue globale.

Attention : Ce niveau de zoom s’applique à tous les types de synoptiques et cadres. Si un niveau de zoom défini est supérieur à 0, l’élément est uniquement affiché dans la vue globale, car les autres types de synoptique sont automatiquement appelés avec le niveau de zoom 0.

Plus de détails dans l’aide en ligne.

VT_BSTR

Stationname

Nom liste d'objets

L’élément est saisi directement dans la liste de stations du synoptique Vue globale, et le texte est saisi ici.

Plus de détails dans l’aide en ligne.

ZT_VARIABLE_DYN

BackColorVariable

Couleur de remplissage

Nom de la variable dont les couleurs de valeur limite doivent influencer la couleur d’arrière-plan/de remplissage de l’élément.
Ouvre la boîte de dialogue de sélection de variables.

Plus de détails dans l’aide en ligne.

ZT_PREVIEW

BackColorVarPreview

Affichage aperçu couleur

Affichage de la valeur limite pour la propriété Couleur de remplissage définie pour la variable. Disponible uniquement si l’option Depuis la variable a été configurée pour la propriété Couleur de remplissage.

Un aperçu des propriétés définies pour la valeur limite est affiché dans le champ. Aucun aperçu n’est affiché pour les matrices de réaction.
Cliquez sur le bouton ... pour ouvrir la boîte de dialogue d’affichage des résultats. Les valeurs limite sont uniquement affichées ; elles ne peuvent pas être modifiées. Les modifications doivent être effectuées directement dans les propriétés de la variable pour Valeurs limite.

Plus de détails dans l’aide en ligne.

VT_UI1

HorizontalOrigin

Horizontal

Point de référence horizontal de l’événement. Les valeurs possibles sont : gauche, centré, droite.
Ce point est utilisé en tant que base de calcul de l’angle de départ de la rotation (statique et dynamique) et pour le changement dynamique de taille.

Par défaut : À gauche

Plus de détails dans l’aide en ligne.

VT_UI1

VerticalOrigin

Vertical

Point de référence vertical de l’événement. Les valeurs possibles sont : haut, centré, bas.
Ce point est utilisé en tant que base de calcul de l’angle de départ de la rotation (statique et dynamique) et pour le changement dynamique de taille.

Par défaut : En haut

Plus de détails dans l’aide en ligne.

VT_UI4

VisibilityType

Visibilité

Sélection depuis laquelle la visibilité d’un élément est déterminée :

  • Depuis une variable
  • Du verrrouillage

Par défaut : Depuis une variable

Plus de détails dans l’aide en ligne.

ZT_VARIABLE_DYN

VisibilityVariable

Variable

Disponible uniquement si l’option Depuis la variable a été configurée pour la propriété Visibilité.

Nom de la variable dont la valeur contrôle la visibilité de l’élément. La visibilité est soit reprise des propriétés de valeur limite de ces variables, soit définie par la plage de valeurs définie dans les propriétés de et À.
Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de variables. Vous pouvez également saisir manuellement le nom dans le champ de texte.
L'élément reste visible tant qu’aucune variable n’est liée.

Plus de détails dans l’aide en ligne.

ZT_PREVIEW

VisVarPreview

Affichage aperçu visibilité

Affichage des valeurs limite pour la visibilité définies pour la variable. Disponible uniquement si l’option Depuis la variable a été configurée pour la propriété Variable dans le groupe Visibilité.

Un aperçu des propriétés définies pour la valeur limite est affiché dans le champ. Aucun aperçu n’est affiché pour les matrices de réaction.
Cliquez sur le bouton ... pour ouvrir la boîte de dialogue d’affichage des résultats. Les valeurs limite sont uniquement affichées ; elles ne peuvent pas être modifiées. Les modifications doivent être effectuées directement dans les propriétés de la variable pour Valeurs limite.

Plus de détails dans l’aide en ligne.

VT_BOOL

VisibilityFromLimit

A partir des valeurs limites

Uniquement disponible après la sélection d’une variable :

  • Active : La visibilité de l’élément est influencée par la propriété de valeur limite de la variable.

    Attention : La propriété Invisible doit être active pour au moins une valeur limite de la variable.

  • Inactive : la visibilité est influencée par les propriétés de l’élément.

Par défaut : active

Plus de détails dans l’aide en ligne.

VT_R8

VisibilityFrom

de

Disponible uniquement après la sélection d’une variable, si la visibilité n’a pas été reprise par la valeur limite :

Valeur minimum de la variable à laquelle l’élément est visible.

  • Minimum : valeur minimum possible de la variable liée.
  • Maximum : valeur maximum possible de la variable liée.

Par défaut : valeur minimum possible de la variable liée.

Plus de détails dans l’aide en ligne.

VT_R8

VisibilityTo

À

Disponible uniquement après la sélection d’une variable, si la visibilité n’a pas été reprise par la valeur limite :

Valeur maximale de la variable à laquelle l’élément est visible.

  • Minimum : valeur minimum possible de la variable liée.
  • Maximum : valeur maximum possible de la variable liée.

Par défaut : valeur maximum possible de la variable liée.

Plus de détails dans l’aide en ligne.

VT_UI4

Interlocking

Verrouillage

Disponible uniquement si l’option Depuis le verrouillage est sélectionnée pour la propriété Visibilité.

Nom du verrouillage dont la valeur contrôle la visibilité de l’élément. Sélectionnez dans la liste déroulante. Celle-ci contient tous les verrouillages existants et utilisables. L’élément est toujours visible si aucun verrouillage n’est lié.

Plus de détails dans l’aide en ligne.

VT_BSTR

InterlockingName

InterlockingName

Description

VT_BOOL

VisibleWhenInterlocked

Visible si verrouillé

Contrôle la visibilité de l’élément lorsque le verrouillage est sélectionné :

  • Active : L’élément est visible s’il est verrouillé.
  • Inactive : L’élément est visible s’il n’est pas verrouillé.

Par défaut : inactive

Plus de détails dans l’aide en ligne.

ZT_VARIABLE_DYN

BlinkVariable

Affichage aperçu clignotement

Affichage des valeurs limite pour le clignotement définies pour la variable. Disponible uniquement si l’option Depuis la variable a été configurée pour la propriété Prendre le clignotement de la limite.

Un aperçu des propriétés définies pour la valeur limite est affiché dans le champ. Aucun aperçu n’est affiché pour les matrices de réaction.
Cliquez sur le bouton ... pour ouvrir la boîte de dialogue d’affichage des résultats. Les valeurs limite sont uniquement affichées ; elles ne peuvent pas être modifiées. Les modifications doivent être effectuées directement dans les propriétés de la variable pour Valeurs limite.

Plus de détails dans l’aide en ligne.

ZT_PREVIEW

BlinkVarPreview

Affichage aperçu clignotement

Affichage des valeurs limite pour le clignotement définies pour la variable. Disponible uniquement si l’option Depuis la variable a été configurée pour la propriété Prendre le clignotement de la limite.

Un aperçu des propriétés définies pour la valeur limite est affiché dans le champ. Aucun aperçu n’est affiché pour les matrices de réaction.
Cliquez sur le bouton ... pour ouvrir la boîte de dialogue d’affichage des résultats. Les valeurs limite sont uniquement affichées ; elles ne peuvent pas être modifiées. Les modifications doivent être effectuées directement dans les propriétés de la variable pour Valeurs limite.

Plus de détails dans l’aide en ligne.

VT_BOOL

UseBlinkColor

Couleur de clignotement par la limite

Active : Reprend la couleur d’arrière-plan du clignotement défini pour la valeur limite active de la variable pour Prendre le clignotement de la limite. Durant le clignotement, l’élément ne devient pas invisible, mais reprend la couleur d’arrière-plan active.

Par défaut : Inactive

Remarque : la couleur n’est pas prise en compte si la couleur d’arrière-plan Transparence est configurée.

Plus de détails dans l’aide en ligne.

ZT_VARIABLE_DYN

XVariable

Variable

Nom de la variable utilisée pour le déplacement horizontal de l’élément.
Ouvre la boîte de dialogue de sélection de variables.

Plus de détails dans l’aide en ligne.

VT_R8

XVarMin

Valeur min de la variable

Valeur minimale de la variable utilisée pour le déplacement horizontal de l’élément.

Plus de détails dans l’aide en ligne.

VT_R8

XVarMax

Valeur max de la variable

Valeur maximale de la variable utilisée pour le déplacement horizontal de l’élément.

Plus de détails dans l’aide en ligne.

VT_I4

XViewMin

Mouvement min [pixels]

Position horizontale de l’élément pour la valeur minimale de la variable (en pixels).

Plus de détails dans l’aide en ligne.

VT_I4

XViewMax

Mouvement max [pixels]

Position horizontale de l’élément pour la valeur minimale de la variable (en pixels).

Plus de détails dans l’aide en ligne.

ZT_VARIABLE_DYN

YVariable

Variable

Nom de la variable utilisée pour le déplacement vertical de l’élément.
Ouvre la boîte de dialogue de sélection de variables.

Plus de détails dans l’aide en ligne.

VT_R8

YVarMin

Valeur min de la variable

Valeur minimale de la variable utilisée pour le déplacement vertical de l’élément.

Plus de détails dans l’aide en ligne.

VT_R8

YVarMax

Valeur max de la variable

Valeur maximale de la variable utilisée pour le déplacement vertical de l’élément.

Plus de détails dans l’aide en ligne.

VT_I4

YViewMin

Mouvement min [pixels]

Position verticale de l’élément pour la valeur minimale de la variable (en pixels).

Plus de détails dans l’aide en ligne.

VT_I4

YViewMax

Mouvement max [pixels]

Position verticale de l’élément pour la valeur maximale de la variable (en pixels).

Plus de détails dans l’aide en ligne.

ZT_VARIABLE_DYN

XZoomVariable

Variable

Nom de la variable utilisée pour l’agrandissement de la largeur de l’élément.
Ouvre la boîte de dialogue de sélection de variables.

Plus de détails dans l’aide en ligne.

VT_R8

XZoomVarMin

Valeur min de la variable

Valeur minimale de la variable utilisée pour effectuer un zoom à la largeur de l’élément.

Plus de détails dans l’aide en ligne.

VT_R8

XZoomVarMax

Valeur max de la variable

Valeur maximale de la variable utilisée pour effectuer un zoom sur la largeur de l’élément.

Plus de détails dans l’aide en ligne.

VT_I4

XZoomViewMin

Largeur min [%]

Facteur de zoom correspondant à la largeur de l’élément pour la valeur minimale de la variable (en pixels).

Plus de détails dans l’aide en ligne.

VT_I4

XZoomViewMax

Largeur max [%]

Facteur de zoom correspondant à la largeur de l’élément pour la valeur maximale de la variable (en pixels).

Plus de détails dans l’aide en ligne.

ZT_VARIABLE_DYN

YZoomVariable

Variable

Nom de la variable utilisée pour l’agrandissement de la hauteur de l’élément.
Ouvre la boîte de dialogue de sélection de variables.

Plus de détails dans l’aide en ligne.

VT_R8

YZoomVarMin

Valeur min de la variable

Valeur minimum de la variable utilisée pour effectuer un zoom sur la hauteur de l’élément.

Plus de détails dans l’aide en ligne.

VT_R8

YZoomVarMax

Valeur max de la variable

Valeur maximum de la variable utilisée pour effectuer un zoom sur la hauteur de l’élément.

Plus de détails dans l’aide en ligne.

VT_I4

YZoomViewMin

Hauteur min [%]

Facteur de zoom correspondant à la hauteur de l’élément pour la valeur minimum de la variable (en %).

Plus de détails dans l’aide en ligne.

VT_I4

YZoomViewMax

Hauteur max [%]

Facteur de zoom correspondant à la hauteur de l’élément pour la valeur maximale de la variable (en pixels).

Plus de détails dans l’aide en ligne.

ZT_VARIABLE_DYN

TwistVariable

Variable

Nom de la variable utilisée pour la rotation de l’élément.

Plus de détails dans l’aide en ligne.

VT_R8

TwistVarMin

Valeur min de la variable

Valeur minimum de la variable utilisée pour la rotation de l’élément.

Plus de détails dans l’aide en ligne.

VT_R8

TwistVarMax

Valeur max de la variable

Valeur maximale de la variable utilisée pour la rotation de l’élément.

Plus de détails dans l’aide en ligne.

VT_I4

TwistViewMin

Rotation min [°]

Angle de rotation de l’élément pour la valeur minimum de la variable (en °).

Plus de détails dans l’aide en ligne.

VT_I4

TwistViewMax

Rotation max [°]

Angle de rotation de l’élément pour la valeur maximum de la variable (en °).

Plus de détails dans l’aide en ligne.

ZT_STYLE

ShadowEffectStyle

Style effet cadres/ombres

Affichage et sélection du style de cadre et d’ombre attribué à l’élément.

Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de style.
Si plusieurs éléments ont été sélectionnés, ils peuvent être attribués à un style commun.

Remarque : Seules les propriétés compatibles avec l’élément correspondant sont prises en charge.

Plus de détails dans l’aide en ligne.

VT_BOOL

EnablePunchFrame

Afficher le cadre

A frame around the element can be displayed.
Default: inactive.

ZT_STYLE

GlowEffectStyle

Style effet de rayonnement

Affichage et sélection du style des effets de luminescence attribués à l’élément.

Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de style.
Si plusieurs éléments ont été sélectionnés, ils peuvent être attribués à un style commun.

Remarque : Seules les propriétés compatibles avec l’élément correspondant sont prises en charge.

Plus de détails dans l’aide en ligne.

VT_BOOL

GlowEffectEvent

Actif seulement si cliqué

Disponible uniquement si la propriété Activer est active et l’élément est un bouton.

Active : l’effet de luminescence est uniquement affiché lorsque l’utilisateur clique sur le bouton. Cliquer sur le bouton permet de modifier la couleur, le clignotement ou l’invisibilité de l’effet de luminescence.

Par défaut : Inactive

Plus de détails dans l’aide en ligne.

ZT_VARIABLE_DYN

GlowEffectGlowColorVariable

Variable pour la couleur

Disponible uniquement si la propriété Activer est active. La propriété Coloration doit être activée.

Nom de la variable dont la couleur aux valeurs limites doit influencer la couleur de l’effet de luminescence pour l’élément. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de variables. Vous pouvez également saisir le nom manuellement dans le champ de texte. Si aucune variable n’est liée, la couleur définie dans la propriété Couleur est utilisée.

Par défaut : aucune variable liée

Plus de détails dans l’aide en ligne.

ZT_PREVIEW

GlowEffectGlowColorVariablePreview

Affichage aperçu couleur

Affichage de la valeur limite définie pour la variable de couleur lorsque l’effet de luminescence est actif. Disponible uniquement si l’option Depuis la variable a été configurée pour la propriété Variable pour la couleur.

Un aperçu des propriétés définies pour la valeur limite est affiché dans le champ. Aucun aperçu n’est affiché pour les matrices de réaction.
Cliquez sur le bouton ... pour ouvrir la boîte de dialogue d’affichage des résultats. Les valeurs limite sont uniquement affichées ; elles ne peuvent pas être modifiées. Les modifications doivent être effectuées directement dans les propriétés de la variable pour Valeurs limite.

Plus de détails dans l’aide en ligne.

ZT_VARIABLE_DYN

GlowEffectVisibilityVariable

Variable pour la visibilité

Disponible uniquement si la propriété Activer est active.

Nom de la variable dont la valeur influence la visibilité de l’effet de luminescence. La visibilité est soit reprise des propriétés de valeur limite de cette variable (propriété Visibilité depuis valeur limite active), soit définie par la plage de valeurs définie dans les propriétés Visible de et Visible jusqu'à. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de variables. Vous pouvez également saisir le nom manuellement dans le champ de texte.

Remarque : si aucune variable n’est liée, l’effet de luminescence est toujours visible.

Par défaut : aucune variable liée

Plus de détails dans l’aide en ligne.

ZT_PREVIEW

GlowEffectVisibilityVariablePreview

Affichage aperçu visibilité

Affichage de la valeur limite définie pour la variable de visibilité lorsque l’effet de luminescence est actif. Disponible uniquement si l’option Depuis la variable a été configurée pour la propriété Variable pour la visibilité.

Un aperçu des propriétés définies pour la valeur limite est affiché dans le champ. Aucun aperçu n’est affiché pour les matrices de réaction.
Cliquez sur le bouton ... pour ouvrir la boîte de dialogue d’affichage des résultats. Les valeurs limite sont uniquement affichées ; elles ne peuvent pas être modifiées. Les modifications doivent être effectuées directement dans les propriétés de la variable pour Valeurs limite.

Plus de détails dans l’aide en ligne.

VT_BOOL

GlowEffectVisibilityFromLimit

Visibilité depuis valeur limite

Disponible uniquement si la propriété Activer est active. Vous devez en outre définir une variable dans la propriété Variable pour la visibilité.

Active : La visibilité de l’effet de luminescence est influencée par la propriété de valeur limite de la variable.

Attention : Pour une valeur limite de la variable au moins, la propriété Invisible doit être active.

Inactive : la visibilité est influencée par les propriétés de l’élément.

Plus de détails dans l’aide en ligne.

VT_R8

GlowEffectVisibilityFrom

Visible de

Disponible uniquement si la propriété Activer est active. Vous devez en outre définir une variable dans la propriété Variable pour la visibilité ; la propriété Visibilité depuis valeur limite doit être inactive.

Définit la valeur à partir de laquelle l’effet de luminescence devient visible.
Minimum : valeur la moins élevée autorisée pour la variable liée dans Variable pour la visibilité.
Maximum : valeur la moins élevée autorisée pour la variable liée dans Variable pour la visibilité.
Par défaut : valeur la plus élevée autorisée pour la variable liée dans Variable pour la visibilité.

Plus de détails dans l’aide en ligne.

VT_R8

GlowEffectVisibilityTo

Visible jusqu'à

Disponible uniquement si la propriété Activer est active. Vous devez en outre définir une variable dans la propriété Variable pour la visibilité ; la propriété Visibilité depuis valeur limite doit être inactive.

Définit la valeur jusqu’à laquelle l’effet de luminescence reste visible.
Minimum : valeur la plus basse autorisée pour la variable liée dans Variable pour la visibilité.
Maximum : valeur la plus élevée autorisée pour la variable liée dans Variable pour la visibilité.
Par défaut : valeur la plus élevée autorisée pour la variable liée dans Variable pour la visibilité.

Plus de détails dans l’aide en ligne.

ZT_VARIABLE_DYN

GlowEffectBlinkVariable

Variable pour le clignotement

Variables dont les paramètres de clignotement de l’effet de luminescence aux valeurs limites doivent être repris. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de variables.

Par défaut : aucune variable liée

Plus de détails dans l’aide en ligne.

ZT_PREVIEW

GlowEffectBlinkVariablePreview

Affichage aperçu clignotement

Affichage de la valeur limite définie pour la variable de clignotement lorsque l’effet de luminescence est actif. Disponible uniquement si l’option Depuis la variable a été configurée pour la propriété Variable pour le clignotement.

Un aperçu des propriétés définies pour la valeur limite est affiché dans le champ. Aucun aperçu n’est affiché pour les matrices de réaction.
Cliquez sur le bouton ... pour ouvrir la boîte de dialogue d’affichage des résultats. Les valeurs limite sont uniquement affichées ; elles ne peuvent pas être modifiées. Les modifications doivent être effectuées directement dans les propriétés de la variable pour Valeurs limite.

Plus de détails dans l’aide en ligne.

VT_BOOL

GlowEffectUseBlinkColor

Clignotement depuis valeur limite

Disponible uniquement si la propriété Activer est active. Vous devez en outre définir une variable dans la propriété Variable pour le clignotement.

Active : Reprend, pour l’effet de luminescence, la couleur de clignotement de la valeur limite active pour la variable définie dans la propriété Couleur de clignotement par la limite. Cette propriété agit indépendamment de la propriété Coloration. En cas de clignotement, l’effet de luminescence ne devient pas invisible, mais reprend les paramètres de l’effet de luminescence actif.

Par défaut : Inactive

Plus de détails dans l’aide en ligne.

VT_BOOL

GlowEffect2ndBlinkStateVisible

2 états de clignotement invisibles

Disponible uniquement si la propriété Activer est active. Vous devez en outre définir une variable dans la propriété Variable pour le clignotement ; la propriété Clignotement depuis valeur limite doit être inactive.

Active : En cas de clignotement, l’effet de luminescence ne bascule pas vers l’effet de luminescence actif, mais devient invisible. Ceci permet de basculer entre l’invisibilité et la couleur de clignotement en cas de dépassement de la valeur limite.

Par défaut : Inactive

Plus de détails dans l’aide en ligne.


Indicating instrument

Manuel -> Interfaces de programmation -> Modèles d'objet -> Element -> Element-Dynamic properties -> Indicating instrument

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Type

VBA/VSTA Name

Display Name

Description

More...

DynEleVar

DynEleVar

"With this property you have the opportunity to get informations about the variable (projected via ""Variable assignment"" in the ActiveX selection dialog) which is linked at an ActiveX element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""DynEleVar.SymVarName"") 'Return the name of the variable which is assigned to the ActiveX
zElement.DynProperties (""DynEleVar.SymVarTagNr"") 'Return the identification of the variable which is assigned to the ActiveX"

VT_BOOL

Ribbon

Bande

Disponible uniquement si la propriété Arc de cercle est inactive.

  • Active : la valeur est affichée par le biais d’une barre, de la valeur minimale jusqu’à la valeur actuelle.
  • Inactive : aucune barre n’est affichée.

Plus de détails dans l’aide en ligne.

VT_BOOL

Pie

Arc de cercle

Disponible uniquement si la propriété Bande est inactive.

  • Active : La valeur est affichée au moyen d’un cercle gradué, de la valeur minimum jusqu’à la valeur actuelle.
  • Inactive : Aucun cercle gradué n’est affiché.

Plus de détails dans l’aide en ligne.

VT_UI2

OpeningAngle

Angle d'ouverture

Angle d’ouverture du déplacement du pointeur (angle de début max. 360°)

Plus de détails dans l’aide en ligne.

VT_BOOL

ThreeDimensional

3D

Active : L’élément est affiché en trois dimensions.
Inactive : L’élément est affiché en deux dimensions.

Plus de détails dans l’aide en ligne.

VT_BOOL

ShowState

Visualiser l'état de la variable

Affichage graphique de l’état de la variable. Sélection à l’aide d’une case à cocher.

  • Active : l’état des variables est indiqué par un carré de couleur au niveau de l’élément.

    Couleur :

    • Carré rouge :
      pas de communication avec l’automate.
      Exemple : INVALID, OFF, ALT_VAL, REVISION, TIMEOUT, ...
    • Carré bleu (N_UPDATE) :
      Sur le client réseau :
      La connexion entre le client et le serveur principal a été interrompue.

      Avec un projet d’intégration indépendant :
      Le serveur principal n’a pas encore fourni les données.
    • Carré jaune (PR_NR) :
      Indique, dans le Runtime, que la variable n’a pas été enregistrée pendant la lecture dans le module Process Recorder. Par conséquent, aucune valeur n’a été identifiée lors de la lecture.

    Position :
    La position du carré au niveau de l’élément dépend de la forme de l’élément :

    • Anguleux et tous autres éléments :
      Coin supérieur droit
    • Élément circulaire :
      En haut, au milieu
    • Élément arrondi :
      coin supérieur droit, légèrement décalé vers la gauche
  • Inactive : L’état n’est pas représenté.
    Désactive également la possibilité d’afficher les informations supplémentaires concernant la variable avec un clic droit.

Par défaut : Actif

Plus de détails dans l’aide en ligne.

ZT_STYLE

FillStyle4Pointer

Style de remplissage pour le pointer

Affichage et sélection du style de remplissage de l’indicateur attribué à l’élément.

Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de style.
Si plusieurs éléments ont été sélectionnés, ils peuvent être attribués à un style commun.

Remarque : Seules les propriétés compatibles avec l’élément correspondant sont prises en charge.

Plus de détails dans l’aide en ligne.

ZT_STYLE

ValueStyle

Style d'affichage de la valeur

Affichage et sélection du style d’affichage de la valeur attribué à l’élément.

Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de style.
Si plusieurs éléments ont été sélectionnés, ils peuvent être attribués à un style commun.

Remarque : Seules les propriétés compatibles avec l’élément correspondant sont prises en charge.

Plus de détails dans l’aide en ligne.

ZT_STYLE

TextStyle

Style de texte

Affichage et sélection du style de texte attribué à l’élément.

Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de style.
Si plusieurs éléments ont été sélectionnés, ils peuvent être attribués à un style commun.

Remarque : Seules les propriétés compatibles avec l’élément correspondant sont prises en charge.

Plus de détails dans l’aide en ligne.

VT_BOOL

LimitColor

Utiliser la couleur de la limite

Définit si la couleur de valeur limite pour la variable liée à l’élément est affichée dans le Runtime.
La couleur a un effet sur le texte affiché ou sur le curseur d’une réglette universelle.

  • Active : La couleur de valeur limite définie est affichée dans le Runtime.

Par défaut : active

Plus de détails dans l’aide en ligne.

ZT_VARIABLE_DYN

Variable

Variable

Nom de la variable liée. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de variables.
La valeur de cette variable est affichée dans cet élément et peut également être définie ici.

Remarque : Disponible uniquement pour les boutons s’ils sont utilisés en tant qu’interrupteurs.

Conseil : si la valeur de la variable doit être basculée, nous vous recommandons d’activer la propriété Variable lue en permanence. Dans le cas contraire, le Runtime patiente jusqu’à ce que le driver connaisse la valeur des variables. Si la valeur n’est pas disponible en raison d’une interruption des communications avec le contrôleur, le délai d’attente correspond au délai d’attente avant expiration du driver.

SICAM 230 et élément Synoptique d’alarmes uniquement :
La description ci-dessus s’applique uniquement aux éléments Bouton texte, Bouton bitmap et Bouton invisible.
Signification dans SICAM 230 : Les états des classes d’alarmes/d’événements seront attribués à la variable sélectionnée (32 bits). Pour chaque classe, 2 bits seront utilisés (par numéro de classe, dans l’ordre croissant).

  • Bit inférieur : alarme active/inactive
  • Bit supérieur : alarme acquittée/non acquittée

Plus de détails dans l’aide en ligne.

VT_R8

ViewMin

Minimum

Valeur la plus basse de la variable devant être affichée dans l’élément.

Plus de détails dans l’aide en ligne.

VT_R8

ViewMax

Maximum

Valeur la plus élevée de la variable devant être affichée dans l’élément.

Plus de détails dans l’aide en ligne.

VT_R8

MainTicks

Graduations principales

Définit les graduations principales de l’échelle.
La valeur définit la distance entre les graduations principales. La valeur doit être supérieure ou égale à la valeur de la propriété Graduations secondaires. Si la valeur est identique, aucun élément Graduations secondaires n’est affiché.

Plus de détails dans l’aide en ligne.

VT_R8

SmallTicks

Graduations secondaires

Définit la division de l’échelle entre Graduations principales.

La valeur définit la distance entre les graduations secondaires. La valeur doit être inférieure ou égale à la valeur de la propriété Graduations principales. Si la valeur est identique, aucune graduation secondaire n’est affichée.

Plus de détails dans l’aide en ligne.

ZT_STYLE

FillStyle

Style de remplissage

Affichage et sélection du style de remplissage attribué à l’élément.

Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de style.
Si plusieurs éléments ont été sélectionnés, ils peuvent être attribués à un style commun.

Remarque : Seules les propriétés compatibles avec l’élément correspondant sont prises en charge.

Plus de détails dans l’aide en ligne.

VT_BOOL

IsSetValue

Ecrire valeur prescrite
  • Active : La configuration des valeurs prescrites pour cet élément dynamique est autorisée.
  • Inactive : L’élément est défini sur ReadOnly.

Indisponible pour l’élément Texte dynamique s’il a été défini sur read only dans le synoptique.

Plus de détails dans l’aide en ligne.

VT_BOOL

Preset

Proposer la valeur courante

Active : La valeur actuelle de la variable est proposée en tant que valeur prescrite.
Dans ce cas, la valeur est ajoutée sous "Valeur prescrite / Modification de valeur" avant la configuration de la valeur réelle (valeur positive) ou sa soustraction depuis celle-ci (valeur négative).
Inactive : La valeur définie dans la propriété "Valeur prescrite / Modification de valeur" est proposée.

Plus de détails dans l’aide en ligne.

VT_BOOL

HWDirect

Sans dialogue

Active : La valeur est transmise au matériel sans qu’il soit possible de la modifier dans Runtime.
Inactive : Il reste toutefois possible de modifier la valeur dans le Runtime avant son écriture sur le matériel.

Plus de détails dans l’aide en ligne.

VT_R8

SetValue

Valeur prescrite

Valeur devant être envoyée en tant que valeur prescrite ou valeur par défaut.
Si la propriété Proposer la valeur actuelle est active : Valeur ajoutée à la valeur actuelle.
Associée à la propriété "Sans boîte de dialogue", l’augmentation (valeur positive) ou la diminution (valeur négative) peut être mise en œuvre.

Plus de détails dans l’aide en ligne.

VT_UI1

SetValueWith

Écrire valeur prescrite par

Configuration de la définition de la valeur prescrite.
Sélection dans une liste déroulante :

  • Gestion de commande : La nouvelle valeur est définie à l’aide de la fonction Gestion de commandes. Le synoptique défini dans le groupe de commandes de la variable liée s’affiche aux fins de la saisie.
  • Boîte de dialogue standard : la nouvelle valeur est saisie à l’aide d’une boîte de dialogue standard. Si un synoptique de type "Clavier" avec le nom "SETVALUEKBD" (pour les valeurs numériques) ou "SETSTRINGKBD" (pour les variables de type STRING) existe, ce synoptique est utilisé à la place de la boîte de dialogue standard.
    Remarque : Si l’élément est lié à une fonction autorisant les entrées, la propriété est définie Utiliser le synoptique clavier automatiquement. Si un synoptique est lié dans la propriété Synoptique clavier, celui-ci est utilisé. Dans le cas contraire, un clavier SETSTRINGKBD est utilisé.
  • Élément : La valeur est saisie directement dans l’élément graphique (uniquement pour les éléments Valeur numérique et Texte).
  • Programme : La valeur est saisie dans un programme externe.

Plus de détails dans l’aide en ligne.

VT_BSTR

SetProgram

Programme externe

Disponible uniquement si un programme externe a été sélectionné pour la propriété Écrire valeur prescrite :
La valeur prescrite est écrite par un programme externe qui doit être sélectionné dans la boîte de dialogue affichée ici.

Ce programme est alors démarré et reçoit les paramètres suivants :
1) Nom de la variable liée
2) Valeur proposée, telle que définie dans les propriétés correspondantes
3) Coordonnée gauche de l’élément, en pixels
4) Coordonnée supérieure de l’élément, en pixels
5) Coordonnée droite de l’élément, en pixels
6) Coordonnée inférieure de l’élément, en pixels
7) Valeur minimum autorisée pour la valeur prescrite, telle qu’elle est définie dans les propriétés correspondantes
8) Valeur maximum autorisée pour la valeur prescrite, telle qu’elle est définie dans les propriétés correspondantes

Plus de détails dans l’aide en ligne.

VT_BOOL

KbdUsage

Synoptique clavier

Disponible uniquement si la propriété Synoptique clavier est active.

Nom du synoptique de clavier lié.
Si aucun synoptique de clavier n’est saisi, le clavier correspondant est appelé dans le Runtime :

  • Variable String (chaîne) : SETSTRINGKBD
  • Variable numérique : SETVALUEKBD
  • Variable binaire : SETBOOLKBD

Remarque : Pour l’option Champ de saisie, aucun clavier n’est appelé si l’option Synoptique clavier est activée. Un synoptique de clavier doit être lié.

Plus de détails dans l’aide en ligne.

ZT_PICTURE

KbdName

Synoptique clavier

Disponible uniquement si la propriété Synoptique clavier est active.

Nom du synoptique de clavier lié.
Si aucun synoptique de clavier n’est saisi, le clavier correspondant est appelé dans le Runtime :

  • Variable String (chaîne) : SETSTRINGKBD
  • Variable numérique : SETVALUEKBD
  • Variable binaire : SETBOOLKBD

Remarque : Pour l’option Champ de saisie, aucun clavier n’est appelé si l’option Synoptique clavier est activée. Un synoptique de clavier doit être lié.

Plus de détails dans l’aide en ligne.

VT_BOOL

LimitFromVar

Plages de la variable

Active : La limitation de la plage pour laquelle les valeurs prescrites peuvent être écrites n’est pas définie par l’intermédiaire des paramètres "Min" et "Max", mais est directement issue des définitions de variables (bouton "Étendue").
Inactive : La plage peut être directement limitée par les paramètres "Minimum" et "Maximum".

Plus de détails dans l’aide en ligne.

VT_R8

Min

Minimum

Limite inférieure de la plage de valeurs autorisées pour la valeur prescrite.
Disponible uniquement si la propriété Plages de la variable n’est pas active.

Attention : La valeur saisie ici sera ignorée si une variable est sélectionnée pour la valeur minimum de la valeur dynamique prescrite.

Plus de détails dans l’aide en ligne.

VT_R8

Max

Maximum

Limite supérieure de la plage de valeurs autorisées pour la valeur prescrite.
Disponible uniquement si la propriété Plages de la variable n’est pas active.

Attention : La valeur saisie ici sera ignorée si une variable est sélectionnée pour la valeur maximale de la valeur prescrite dynamique.

Plus de détails dans l’aide en ligne.

VT_UI2

Passwordlevel

Niveau d'autorisation

Le niveau du mot de passe d’écriture de valeurs prescrites ou d’exécution de fonctions avec l’élément dynamique sélectionné.
Minimum : 0.
Maximum : 127
Par défaut : 0.

Plus de détails dans l’aide en ligne.

VT_UI4

Locking

Verrouillage

Lien vers un verrouillage existant avec cet élément.

Si une condition dans une des formules du verrouillage est vraie, cet élément est verrouillé de manière à ce qu’aucun fonctionnement ne soit possible. Si cela a été défini dans les propriétés du projet, un symbole représentant un verrou est affiché aussi longtemps que le verrouillage est actif.

Remarque : Les verrouillages ne peuvent pas être utilisés pour des symboles dans la bibliothèque générale de symboles ou la bibliothèque de symboles du projet.

Plus de détails dans l’aide en ligne.

VT_BSTR

LockingName

LockingName

"With this property you have the opportunity to assign an interlocking via its name.
zElement.DynProperties(""LockingName"") = ""Interlocking 1"""

VT_BOOL

UnderCE

Visible sous WinCE

Contrôle la visibilité des éléments dans les synoptiques sous Windows CE. Les projets qui sont utilisés sous CE et sur le PC peuvent être créés de manière plus flexible ; la gestion par l’utilisateur est ainsi améliorée. Par exemple, les boutons renvoyant l’utilisateur vers des synoptiques ne pouvant pas être affichés sous CE (par ex. IPA) peuvent être rendus invisibles.

Active : dans synoptique/l’élément est également visible sous Windows CE.

Par défaut : active

Plus de détails dans l’aide en ligne.

ZT_VBAMAKRO

Init

Init

Macro VBA à exécuter lors de l’initialisation de l’élément.

Plus de détails dans l’aide en ligne.

ZT_VBAMAKRO

SetFocus

SetFocus

Macro VBA à exécuter lorsque le focus est placé sur l’élément.

Plus de détails dans l’aide en ligne.

ZT_VBAMAKRO

KillFocus

KillFocus

Macro VBA à exécuter lorsque le focus n’est plus placé sur l’élément.

Plus de détails dans l’aide en ligne.

ZT_VBAMAKRO

LeftClickDown

LeftClickDown

Macro VBA à exécuter lorsque l’utilisateur effectue un clic gauche sur l’élément.

Plus de détails dans l’aide en ligne.

ZT_VBAMAKRO

RightClickDown

RightClickDown

Macro VBA à exécuter lorsque l’utilisateur effectue un clic droit sur l’élément.

Plus de détails dans l’aide en ligne.

ZT_VBAMAKRO

LeftClickUp

LeftClickUp

Macro VBA à exécuter lorsque l’utilisateur relâche le bouton gauche de la souris sur l’élément.

Plus de détails dans l’aide en ligne.

ZT_VBAMAKRO

RightClickUp

RightClickUp

Macro VBA à exécuter lorsque l’utilisateur relâche le bouton droit de la souris sur l’élément.

Plus de détails dans l’aide en ligne.

ZT_VBAMAKRO

LeftDClick

LeftDoubleClick

Macro VBA à exécuter lorsque l’utilisateur effectue un double-clic gauche sur l’élément.

Plus de détails dans l’aide en ligne.

ZT_VBAMAKRO

RightDClick

RightDoubleClick

Macro VBA à exécuter lorsque l’utilisateur effectue un double-clic droit sur l’élément.

Plus de détails dans l’aide en ligne.

ZT_VBAMAKRO

MouseOver

MouseOver

Macro VBA à exécuter si le pointeur de la souris est positionné sur l’élément.

Plus de détails dans l’aide en ligne.

ZT_VBAMAKRO

DragDrop

DragDrop

Macro VBA à exécuter lorsque le bouton de la souris est relâché.

Plus de détails dans l’aide en ligne.

ZT_VBAMAKRO

DragOver

DragOver

Macro VBA à exécuter lorsque le curseur est déplacé au-dessus de l’élément pendant que le bouton gauche est enfoncé.

Plus de détails dans l’aide en ligne.

ZT_VBAMAKRO

DragBegin

DragBegin

Macro VBA à exécuter lorsque l’utilisateur commence à faire glisser l’objet.

Plus de détails dans l’aide en ligne.

VT_BSTR

Menu

Menu contextuel

Menu contextuel de l’élément.
Cliquer avec le bouton droit de la souris sur l’élément pour ouvrir le menu contextuel dans le Runtime.

Plus de détails dans l’aide en ligne.

VT_BSTR

Tooltip

Info bulle

Texte à afficher en tant qu’info-bulle de l’élément dans le Runtime. Une info-bulle est automatiquement affichée dans le Runtime si le pointeur de la souris reste pendant quelques secondes sur l’élément. Des retours à la ligne automatiques peuvent être insérés avec les caractères "\n".

  • Maximum : 79 caractères
    Attention : La combinaison de caractères \n est également comptée dans la limite de 79 caractères.

Plus de détails dans l’aide en ligne.

VT_BOOL

LassoSelect

sélectionnable avec le lasso

La sélection avec le lasso dans le Runtime permet d’identifier les éléments dynamiques et de les utiliser avec des événements VBA.

  • Active : L’élément peut être sélectionné avec le lasso dans le Runtime.
  • Inactive : L’élément ne peut pas être sélectionné dans Runtime.

Par défaut : active

Attention : Pour que l’élément puisse être sélectionné dans le Runtime, vous devez activer la propriété Sélection multiple en runtime (lasso) dans les paramètres du projet !

Remarque concernant la gestion des commandes : Si la propriété Opération à deux mains est activée, le lasso de la commande Exécuter le 2ème niveau ne doit pas être activé.

Plus de détails dans l’aide en ligne.

More...

GestureManipulationGroup

Manipulation

Propriétés pour la manipulation de synoptiques et d’éléments de synoptique dans le cadre d’une utilisation tactile.

Plus de détails dans l’aide en ligne.

VT_BOOL

Tab

Le focus est donné à l'élément

Active : L’élément dynamique peut être actionné à l’aide du clavier.
Inactive : L’élément dynamique n’est pas accessible à l’aide du clavier.
Par défaut : active.

Plus de détails dans l’aide en ligne.

VT_I4

TABOrderH

Position du focus gauche/droite

Définit la position horizontale pour l’utilisation à l’aide du clavier dans le Runtime. La position est définie par l’intermédiaire du menu contextuel et de l’utilisation de la souris dans la fenêtre principale ; elle ne peut pas être modifiée ici.

Plus de détails dans l’aide en ligne.

VT_I4

TABOrderV

Position focus haut / bas

Définit la position verticale pour l’utilisation à l’aide du clavier dans le Runtime. La position est définie par l’intermédiaire du menu contextuel et de l’utilisation de la souris dans la fenêtre principale ; elle ne peut pas être modifiée ici.

Plus de détails dans l’aide en ligne.

VT_BOOL

Signature

Signature nécéssaire

Active : Une signature est nécessaire pour actionner l’élément.

Pour des raisons de sécurité, l’utilisateur sera invité à saisir son mot de passe même s’il est déjà connecté. Le texte de la signature est enregistré dans la liste d’événements (CEL) après que l’élément ait été utilisé avec succès.

Attention : seuls les utilisateurs connectés peuvent signer une action. La signature d’actions avec un identifiant temporaire n’est plus possible.

Inactive : aucune signature n’est requise.

(Par défaut) Inactive :

Plus de détails dans l’aide en ligne.

VT_BSTR

SignatureText

Texte de signature

Ce texte est également consigné lors de la signature dans la liste d’événements (CEL) ou est proposé par défaut dans le Runtime si la signature est définie comme modifiable dans les propriétés du projet.

Plus de détails dans l’aide en ligne.

VT_I2

SignatureEditModus

Texte de signature éditable

Définit si le texte de signature peut être édité. Sélectionnez dans la liste déroulante :

  • Appliquer les paramètres projet : Les paramètres de la propriété de projet Texte de signature éditable sont applicables.
  • Oui : Texte modifiables
  • Non : Le texte ne peut pas être édité.

Par défaut : Appliquer les paramètres projet

Plus de détails dans l’aide en ligne

ZT_FILE

Helpfile

Fichier d'aide

Fichier d’aide (*.chm) devant être utilisé pour cet élément, conjointement à un menu contextuel. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de fichiers.
Attention : seuls les fichiers d’aide ayant été ajoutés dans le nœud Fichiers/Aide sont disponibles.

Plus de détails dans l’aide en ligne.

VT_BSTR

HelpCapture

Chapitre d'aide

Chapitre d’aide (*.chm) devant être utilisé pour cet élément, conjointement à un menu contextuel. Nom de la page HTML sous-jacente.
Attention : cette entrée tient compte des minuscules et majuscules.

Plus de détails dans l’aide en ligne.

ZT_VARIABLE_DYN

SetValueDynMin

Minimum

Variable dont la valeur actuelle est applicable en tant que limite inférieure de la valeur prescrite de l’élément.
Disponible uniquement si Plages de la variable est inactive :
Plus de détails dans l’aide en ligne.

ZT_VARIABLE_DYN

SetValueDynMax

Maximum

Variable dont la valeur actuelle est applicable en tant que limite supérieure de la valeur prescrite de l’élément.

Disponible uniquement si la propriété Plages de la variable est inactive.

Plus de détails dans l’aide en ligne.

VT_BOOL

GestureRecognitionActive

Reconnaissance de geste active

Active l’évaluation des gestes. Les gestes sont définis à l’aide d’autres propriétés.

Uniquement disponible si, dans le groupe Intéraction des propriétés du projet, la propriété Reconnaissance Windows 8 a été définie.

Plus de détails dans l’aide en ligne.

VT_BOOL

Gestures_Manipulation

Exact

Active : Détection du paramètre Exact défini.

Plus de détails dans l’aide en ligne.

VT_BOOL

Gestures_Exact

Exact

Active : Détection du paramètre Exact défini.

Plus de détails dans l’aide en ligne.

VT_BOOL

Gestures_TranslationX

Translation X

Active : Détection du paramètre Translation X défini.

Plus de détails dans l’aide en ligne.

VT_BOOL

Gestures_TranslationY

Translation Y

Active : Détection du paramètre Translation Y défini.

Plus de détails dans l’aide en ligne.

VT_BOOL

Gestures_RailsX

Rails X

Active : Détection du paramètre Rails X défini.

Plus de détails dans l’aide en ligne.

VT_BOOL

Gestures_RailsY

Rails Y

Active : Détection du paramètre Rails Y défini.

Plus de détails dans l’aide en ligne.

VT_BOOL

Gestures_TranslationInertia

Translation inertia

Active : Détection du paramètre Translation Inertia (Inertie de translation) défini.

Plus de détails dans l’aide en ligne.

VT_BOOL

Gestures_Rotation

Inertie de rotation

Active : Détection du paramètre Rotation Inertia (Inertie de rotation) défini.

Plus de détails dans l’aide en ligne.

VT_BOOL

Gestures_RotationInertia

Inertie de rotation

Active : Détection du paramètre Rotation Inertia (Inertie de rotation) défini.

Plus de détails dans l’aide en ligne.

VT_BOOL

Gestures_Scaling

Scaling inertia

Active : Détection du paramètre Scaling Inertia (Inertie de redimensionnement) défini.

Plus de détails dans l’aide en ligne.

VT_BOOL

Gestures_ScalingInertia

Scaling inertia

Active : Détection du paramètre Scaling Inertia (Inertie de redimensionnement) défini.

Plus de détails dans l’aide en ligne.

VT_BOOL

Gestures_CrossSlide

Cross slide exact

Active : Détection du paramètre Cross Slide Exact (Glissement transversal exact) défini.

Plus de détails dans l’aide en ligne.

VT_BOOL

Gestures_CrossSlideHorizontal

Cross slide horizontal

Active : Détection du paramètre Cross Slide Horizontal (Glissement transversal horizontal) défini.

Plus de détails dans l’aide en ligne.

VT_BOOL

Gestures_CrossSlideSelect

Cross slide select

Active : Détection du paramètre Cross Slide Select (Glissement transversal, sélection) défini.

Plus de détails dans l’aide en ligne.

VT_BOOL

Gestures_CrossSlideSpeedBump

Cross slide speed bump

Active : Détection du paramètre Cross Slide Speed Bump (Glissement transversal, ralentisseur) défini.

Plus de détails dans l’aide en ligne.

VT_BOOL

Gestures_CrossSlideRearrange

Cross slide rearrange

Active : Détection du paramètre Cross Slide Rearrange (Glissement transversal, réorganisation) défini.

Plus de détails dans l’aide en ligne.

VT_BOOL

Gestures_CrossSlideExact

Cross slide exact

Active : Détection du paramètre Cross Slide Exact (Glissement transversal exact) défini.

Plus de détails dans l’aide en ligne.

VT_BOOL

Gestures_Tap

Tap double

Active : Détection du paramètre Tap Double (Double appui) défini.

Plus de détails dans l’aide en ligne.

VT_BOOL

Gestures_TapDouble

Tap double

Active : Détection du paramètre Tap Double (Double appui) défini.

Plus de détails dans l’aide en ligne.

VT_BOOL

Gestures_SecondaryTap

Secondary tap

Active : Détection du paramètre Secondary Tap (Appui secondaire) défini.

Plus de détails dans l’aide en ligne.

VT_BOOL

Gestures_Drag

Drag

Active : Détection du paramètre Drag (Glissement) défini.

Plus de détails dans l’aide en ligne.

VT_BOOL

Gestures_Hold

Hold (Mouse)

Active : Détection du paramètre Hold (Mouse) (Maintien [souris]) défini.

Plus de détails dans l’aide en ligne.

ZT_STYLE

StyleGroup

Groupe de styles

Affichage et sélection du groupe de styles attribué à l’élément.
Cliquez sur le bouton ... pour ouvrir la boîte de dialogue permettant de sélectionner un groupe de styles.
Si plusieurs éléments sont sélectionnés, elles peuvent être attribuées à un groupe de styles commun.

Remarque : Seules les propriétés compatibles avec l’élément correspondant sont prises en charge.

Plus de détails dans l’aide en ligne.

More...

LnClVariable

LnClVariable

"With this property you have the opportunity to get informations about the variable which is linked as ""line/text color"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""LnClVariable.SymVarName"") 'Return the name of the ""line/text color"" variable
zElement.DynProperties (""LnClVariable.SymVarTagNr"") 'Return the identification of the ""line/text color"" variable"

More...

BkClVariable

BkClVariable

"With this property you have the opportunity to get informations about the variable which is linked as ""background/filling color"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""BkClVariable.SymVarName"") 'Return the name of the ""background/filling color"" variable
zElement.DynProperties (""BkClVariable.SymVarTagNr"") 'Return the identification of the ""background/filling color"" variable"

More...

BkCl2Variable

"BkCl2Variable"

More...

XVar

XVar

"With this property you have the opportunity to get informations about the variable which is linked as ""dynamic x position"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""XVar.SymVarName"") 'Return the name of the ""dynamic x position"" variable
zElement.DynProperties (""XVar.SymVarTagNr"") 'Return the identification of the ""dynamic x position"" variable"

More...

YVar

YVar

"With this property you have the opportunity to get informations about the variable which is linked as ""dynamic y position"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""YVar.SymVarName"") 'Return the name of the ""dynamic y position"" variable
zElement.DynProperties (""YVar.SymVarTagNr"") 'Return the identification of the ""dynamic y position"" variable"

More...

XVarZoom

XVarZoom

"With this property you have the opportunity to get informations about the variable which is linked as ""change width"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""XVarZoom.SymVarName"") 'Return the name of the ""change width"" variable
zElement.DynProperties (""XVarZoom.SymVarTagNr"") 'Return the identification of the ""change width"" variable"

More...

YVarZoom

YVarZoom

"With this property you have the opportunity to get informations about the variable which is linked as ""change height"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""YVarZoom.SymVarName"") 'Return the name of the ""change height"" variable
zElement.DynProperties (""YVarZoom.SymVarName"") 'Return the name of the ""change height"" variable
zElement.DynProperties (""YVarZoom.SymVarTagNr"") 'Return the identification of the ""change height"" variable"

More...

TwistVar

TwistVar

"With this property you have the opportunity to get informations about the variable which is linked as ""rotate"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""TwistVar.SymVarName"") 'Return the name of the ""rotate"" variable
zElement.DynProperties (""TwistVar.SymVarTagNr"") 'Return the identification of the ""rotate"" variable"

More...

VisVariable

VisVariable

"With this property you have the opportunity to get informations about the variable which is linked as ""visibility"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""VisVariable.SymVarName"") 'Return the name of the ""visibility"" variable
zElement.DynProperties (""VisVariable.SymVarTagNr"") 'Return the identification of the ""visibility"" variable"

More...

BlinkVar

BlinkVar

More...

GlowEffectGlowColorVar

GlowEffectGlowColorVar

More...

GlowEffectVisibilityVar

GlowEffectVisibilityVar

More...

GlowEffectBlinkVar

GlowEffectBlinkVar

VT_BSTR

Name

Nom d'élément

Attribuez un nom d’élément.
Il ne doit pas être vide.

Attention : Cette propriété n’est pas disponible aux fins de la commutation de langue.

Remarques concernant les cadrans : Pour les conteneurs de synoptique, spécifiez des noms clairement identifiables pour faciliter la sélection lors de la configuration des appels de synoptique.

Plus de détails dans l’aide en ligne.

VT_UI1

Layer

Niveau de visibilité

Sélectionnez l’un des 16 niveaux de visibilité (0 à 15) dans la liste déroulante. À l’aide de la barre d’outils Niveau de visibilité, vous décidez des niveaux qui doivent être affichés dans Editor. Cette fonction garantit que les synoptiques les plus complexes peuvent être développés de manière simple. Les niveaux peuvent être utilisés immédiatement. Les niveaux n’ont aucune influence sur les informations affichées au premier plan ou en arrière-plan dans le Runtime.
Par défaut : 0.

Plus de détails dans l’aide en ligne.

VT_I4

StartX

Point de départ X [pixels]

Coordonnée Y du coin supérieur gauche du synoptique (en pixels).

Plus de détails dans l’aide en ligne.

VT_I4

EndX

Point final X [pixels]

Coordonnée X du coin inférieur droit du synoptique (en pixels).

Plus de détails dans l’aide en ligne.

VT_I4

StartY

Point de départ Y [pixels]

Coordonnée Y du coin supérieur gauche du synoptique (en pixels).

Plus de détails dans l’aide en ligne.

VT_I4

EndY

Point final Y [pixels]

Coordonnée Y du coin inférieur droit du synoptique (en pixels).

Plus de détails dans l’aide en ligne.

VT_I4

Width

Largeur [pixels]

Largeur des éléments en pixels.

Remarque : disponible uniquement pour les éléments Combinaison multiple, Élément combiné, Bouton et Interrupteur si la valeur Ajusté a été sélectionnée pour la propriété Taille du graphique.

Plus de détails dans l’aide en ligne.

VT_I4

Height

Hauteur [pixels]

Hauteur des éléments en pixels.

Remarque : disponible uniquement pour les éléments Combinaison multiple, Élément combiné, Bouton et Interrupteur si la valeur Ajusté a été sélectionnée pour la propriété Taille du graphique.

Plus de détails dans l’aide en ligne.

VT_I4

Angle

Angle de rotation [°]

Angle libre autour selon lequel doit pivoter l’élément.
Les valeurs positives correspondent à une rotation dans le sens antihoraire, tandis que les valeurs négatives correspondent à une rotation dans le sens horaire. Les valeurs supérieures à 360° sont affichées sous forme d’écart par rapport à 360° (400° correspond à 40°). Seuls les nombres entiers sont autorisés.

Sur les éléments pivotés, les actions suivantes ne sont plus possibles :

  • Miroir
  • Rotation de +/- 90°
  • Redimensionnement à l’aide des touches fléchées

Par défaut : 0

Remarque : Ce paramètre est activé et réinitialisé lors de la configuration pour Windows CE.

Plus de détails dans l’aide en ligne.

VT_I2

ZoomMin

Visible de

Incrément de zoom le plus bas auquel l’élément est visible dans la vue globale.
Par défaut : -1
Une valeur de visibilité avec des incréments de zoom de -1 à -1 signifie que l’élément est affiché, quel que soit l’incrément de zoom sélectionné.

Les niveaux de zoom affichés dans la vue globale peuvent être configurés avec la propriété Apparence graphique -> Généralités runtime -> Pas de zoom pour vue globale.

Attention : Ce niveau de zoom s’applique à tous les types de synoptiques et cadres. Si un niveau de zoom défini est supérieur à 0, l’élément est uniquement affiché dans la vue globale, car les autres types de synoptique sont automatiquement appelés avec le niveau de zoom 0.

Plus de détails dans l’aide en ligne.

VT_I2

ZoomMax

Visible jusqu'à

Incrément de zoom le plus élevé auquel l’élément est visible dans la vue globale.

Par défaut : -1
Une valeur de visibilité avec des incréments de zoom de -1 à -1 signifie que l’élément est affiché, quel que soit l’incrément de zoom sélectionné.

Les niveaux de zoom affichés dans la vue globale peuvent être configurés avec la propriété Apparence graphique -> Généralités runtime -> Pas de zoom pour vue globale.

Attention : Ce niveau de zoom s’applique à tous les types de synoptiques et cadres. Si un niveau de zoom défini est supérieur à 0, l’élément est uniquement affiché dans la vue globale, car les autres types de synoptique sont automatiquement appelés avec le niveau de zoom 0.

Plus de détails dans l’aide en ligne.

VT_BSTR

Stationname

Nom liste d'objets

L’élément est saisi directement dans la liste de stations du synoptique Vue globale, et le texte est saisi ici.

Plus de détails dans l’aide en ligne.

ZT_VARIABLE_DYN

BackColorVariable

Couleur de remplissage

Nom de la variable dont les couleurs de valeur limite doivent influencer la couleur d’arrière-plan/de remplissage de l’élément.
Ouvre la boîte de dialogue de sélection de variables.

Plus de détails dans l’aide en ligne.

ZT_PREVIEW

BackColorVarPreview

Affichage aperçu couleur

Affichage de la valeur limite pour la propriété Couleur de remplissage définie pour la variable. Disponible uniquement si l’option Depuis la variable a été configurée pour la propriété Couleur de remplissage.

Un aperçu des propriétés définies pour la valeur limite est affiché dans le champ. Aucun aperçu n’est affiché pour les matrices de réaction.
Cliquez sur le bouton ... pour ouvrir la boîte de dialogue d’affichage des résultats. Les valeurs limite sont uniquement affichées ; elles ne peuvent pas être modifiées. Les modifications doivent être effectuées directement dans les propriétés de la variable pour Valeurs limite.

Plus de détails dans l’aide en ligne.

VT_UI1

HorizontalOrigin

Horizontal

Point de référence horizontal de l’événement. Les valeurs possibles sont : gauche, centré, droite.
Ce point est utilisé en tant que base de calcul de l’angle de départ de la rotation (statique et dynamique) et pour le changement dynamique de taille.

Par défaut : À gauche

Plus de détails dans l’aide en ligne.

VT_UI1

VerticalOrigin

Vertical

Point de référence vertical de l’événement. Les valeurs possibles sont : haut, centré, bas.
Ce point est utilisé en tant que base de calcul de l’angle de départ de la rotation (statique et dynamique) et pour le changement dynamique de taille.

Par défaut : En haut

Plus de détails dans l’aide en ligne.

VT_UI4

VisibilityType

Visibilité

Sélection depuis laquelle la visibilité d’un élément est déterminée :

  • Depuis une variable
  • Du verrrouillage

Par défaut : Depuis une variable

Plus de détails dans l’aide en ligne.

ZT_VARIABLE_DYN

VisibilityVariable

Variable

Disponible uniquement si l’option Depuis la variable a été configurée pour la propriété Visibilité.

Nom de la variable dont la valeur contrôle la visibilité de l’élément. La visibilité est soit reprise des propriétés de valeur limite de ces variables, soit définie par la plage de valeurs définie dans les propriétés de et À.
Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de variables. Vous pouvez également saisir manuellement le nom dans le champ de texte.
L'élément reste visible tant qu’aucune variable n’est liée.

Plus de détails dans l’aide en ligne.

ZT_PREVIEW

VisVarPreview

Affichage aperçu visibilité

Affichage des valeurs limite pour la visibilité définies pour la variable. Disponible uniquement si l’option Depuis la variable a été configurée pour la propriété Variable dans le groupe Visibilité.

Un aperçu des propriétés définies pour la valeur limite est affiché dans le champ. Aucun aperçu n’est affiché pour les matrices de réaction.
Cliquez sur le bouton ... pour ouvrir la boîte de dialogue d’affichage des résultats. Les valeurs limite sont uniquement affichées ; elles ne peuvent pas être modifiées. Les modifications doivent être effectuées directement dans les propriétés de la variable pour Valeurs limite.

Plus de détails dans l’aide en ligne.

VT_BOOL

VisibilityFromLimit

A partir des valeurs limites

Uniquement disponible après la sélection d’une variable :

  • Active : La visibilité de l’élément est influencée par la propriété de valeur limite de la variable.

    Attention : La propriété Invisible doit être active pour au moins une valeur limite de la variable.

  • Inactive : la visibilité est influencée par les propriétés de l’élément.

Par défaut : active

Plus de détails dans l’aide en ligne.

VT_R8

VisibilityFrom

de

Disponible uniquement après la sélection d’une variable, si la visibilité n’a pas été reprise par la valeur limite :

Valeur minimum de la variable à laquelle l’élément est visible.

  • Minimum : valeur minimum possible de la variable liée.
  • Maximum : valeur maximum possible de la variable liée.

Par défaut : valeur minimum possible de la variable liée.

Plus de détails dans l’aide en ligne.

VT_R8

VisibilityTo

À

Disponible uniquement après la sélection d’une variable, si la visibilité n’a pas été reprise par la valeur limite :

Valeur maximale de la variable à laquelle l’élément est visible.

  • Minimum : valeur minimum possible de la variable liée.
  • Maximum : valeur maximum possible de la variable liée.

Par défaut : valeur maximum possible de la variable liée.

Plus de détails dans l’aide en ligne.

VT_UI4

Interlocking

Verrouillage

Disponible uniquement si l’option Depuis le verrouillage est sélectionnée pour la propriété Visibilité.

Nom du verrouillage dont la valeur contrôle la visibilité de l’élément. Sélectionnez dans la liste déroulante. Celle-ci contient tous les verrouillages existants et utilisables. L’élément est toujours visible si aucun verrouillage n’est lié.

Plus de détails dans l’aide en ligne.

VT_BSTR

InterlockingName

InterlockingName

Description

VT_BOOL

VisibleWhenInterlocked

Visible si verrouillé

Contrôle la visibilité de l’élément lorsque le verrouillage est sélectionné :

  • Active : L’élément est visible s’il est verrouillé.
  • Inactive : L’élément est visible s’il n’est pas verrouillé.

Par défaut : inactive

Plus de détails dans l’aide en ligne.

ZT_VARIABLE_DYN

BlinkVariable

Affichage aperçu clignotement

Affichage des valeurs limite pour le clignotement définies pour la variable. Disponible uniquement si l’option Depuis la variable a été configurée pour la propriété Prendre le clignotement de la limite.

Un aperçu des propriétés définies pour la valeur limite est affiché dans le champ. Aucun aperçu n’est affiché pour les matrices de réaction.
Cliquez sur le bouton ... pour ouvrir la boîte de dialogue d’affichage des résultats. Les valeurs limite sont uniquement affichées ; elles ne peuvent pas être modifiées. Les modifications doivent être effectuées directement dans les propriétés de la variable pour Valeurs limite.

Plus de détails dans l’aide en ligne.

ZT_PREVIEW

BlinkVarPreview

Affichage aperçu clignotement

Affichage des valeurs limite pour le clignotement définies pour la variable. Disponible uniquement si l’option Depuis la variable a été configurée pour la propriété Prendre le clignotement de la limite.

Un aperçu des propriétés définies pour la valeur limite est affiché dans le champ. Aucun aperçu n’est affiché pour les matrices de réaction.
Cliquez sur le bouton ... pour ouvrir la boîte de dialogue d’affichage des résultats. Les valeurs limite sont uniquement affichées ; elles ne peuvent pas être modifiées. Les modifications doivent être effectuées directement dans les propriétés de la variable pour Valeurs limite.

Plus de détails dans l’aide en ligne.

VT_BOOL

UseBlinkColor

Couleur de clignotement par la limite

Active : Reprend la couleur d’arrière-plan du clignotement défini pour la valeur limite active de la variable pour Prendre le clignotement de la limite. Durant le clignotement, l’élément ne devient pas invisible, mais reprend la couleur d’arrière-plan active.

Par défaut : Inactive

Remarque : la couleur n’est pas prise en compte si la couleur d’arrière-plan Transparence est configurée.

Plus de détails dans l’aide en ligne.

ZT_VARIABLE_DYN

XVariable

Variable

Nom de la variable utilisée pour le déplacement horizontal de l’élément.
Ouvre la boîte de dialogue de sélection de variables.

Plus de détails dans l’aide en ligne.

VT_R8

XVarMin

Valeur min de la variable

Valeur minimale de la variable utilisée pour le déplacement horizontal de l’élément.

Plus de détails dans l’aide en ligne.

VT_R8

XVarMax

Valeur max de la variable

Valeur maximale de la variable utilisée pour le déplacement horizontal de l’élément.

Plus de détails dans l’aide en ligne.

VT_I4

XViewMin

Mouvement min [pixels]

Position horizontale de l’élément pour la valeur minimale de la variable (en pixels).

Plus de détails dans l’aide en ligne.

VT_I4

XViewMax

Mouvement max [pixels]

Position horizontale de l’élément pour la valeur minimale de la variable (en pixels).

Plus de détails dans l’aide en ligne.

ZT_VARIABLE_DYN

YVariable

Variable

Nom de la variable utilisée pour le déplacement vertical de l’élément.
Ouvre la boîte de dialogue de sélection de variables.

Plus de détails dans l’aide en ligne.

VT_R8

YVarMin

Valeur min de la variable

Valeur minimale de la variable utilisée pour le déplacement vertical de l’élément.

Plus de détails dans l’aide en ligne.

VT_R8

YVarMax

Valeur max de la variable

Valeur maximale de la variable utilisée pour le déplacement vertical de l’élément.

Plus de détails dans l’aide en ligne.

VT_I4

YViewMin

Mouvement min [pixels]

Position verticale de l’élément pour la valeur minimale de la variable (en pixels).

Plus de détails dans l’aide en ligne.

VT_I4

YViewMax

Mouvement max [pixels]

Position verticale de l’élément pour la valeur maximale de la variable (en pixels).

Plus de détails dans l’aide en ligne.

ZT_VARIABLE_DYN

XZoomVariable

Variable

Nom de la variable utilisée pour l’agrandissement de la largeur de l’élément.
Ouvre la boîte de dialogue de sélection de variables.

Plus de détails dans l’aide en ligne.

VT_R8

XZoomVarMin

Valeur min de la variable

Valeur minimale de la variable utilisée pour effectuer un zoom à la largeur de l’élément.

Plus de détails dans l’aide en ligne.

VT_R8

XZoomVarMax

Valeur max de la variable

Valeur maximale de la variable utilisée pour effectuer un zoom sur la largeur de l’élément.

Plus de détails dans l’aide en ligne.

VT_I4

XZoomViewMin

Largeur min [%]

Facteur de zoom correspondant à la largeur de l’élément pour la valeur minimale de la variable (en pixels).

Plus de détails dans l’aide en ligne.

VT_I4

XZoomViewMax

Largeur max [%]

Facteur de zoom correspondant à la largeur de l’élément pour la valeur maximale de la variable (en pixels).

Plus de détails dans l’aide en ligne.

ZT_VARIABLE_DYN

YZoomVariable

Variable

Nom de la variable utilisée pour l’agrandissement de la hauteur de l’élément.
Ouvre la boîte de dialogue de sélection de variables.

Plus de détails dans l’aide en ligne.

VT_R8

YZoomVarMin

Valeur min de la variable

Valeur minimum de la variable utilisée pour effectuer un zoom sur la hauteur de l’élément.

Plus de détails dans l’aide en ligne.

VT_R8

YZoomVarMax

Valeur max de la variable

Valeur maximum de la variable utilisée pour effectuer un zoom sur la hauteur de l’élément.

Plus de détails dans l’aide en ligne.

VT_I4

YZoomViewMin

Hauteur min [%]

Facteur de zoom correspondant à la hauteur de l’élément pour la valeur minimum de la variable (en %).

Plus de détails dans l’aide en ligne.

VT_I4

YZoomViewMax

Hauteur max [%]

Facteur de zoom correspondant à la hauteur de l’élément pour la valeur maximale de la variable (en pixels).

Plus de détails dans l’aide en ligne.

ZT_VARIABLE_DYN

TwistVariable

Variable

Nom de la variable utilisée pour la rotation de l’élément.

Plus de détails dans l’aide en ligne.

VT_R8

TwistVarMin

Valeur min de la variable

Valeur minimum de la variable utilisée pour la rotation de l’élément.

Plus de détails dans l’aide en ligne.

VT_R8

TwistVarMax

Valeur max de la variable

Valeur maximale de la variable utilisée pour la rotation de l’élément.

Plus de détails dans l’aide en ligne.

VT_I4

TwistViewMin

Rotation min [°]

Angle de rotation de l’élément pour la valeur minimum de la variable (en °).

Plus de détails dans l’aide en ligne.

VT_I4

TwistViewMax

Rotation max [°]

Angle de rotation de l’élément pour la valeur maximum de la variable (en °).

Plus de détails dans l’aide en ligne.

ZT_STYLE

ShadowEffectStyle

Style effet cadres/ombres

Affichage et sélection du style de cadre et d’ombre attribué à l’élément.

Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de style.
Si plusieurs éléments ont été sélectionnés, ils peuvent être attribués à un style commun.

Remarque : Seules les propriétés compatibles avec l’élément correspondant sont prises en charge.

Plus de détails dans l’aide en ligne.

VT_BOOL

EnablePunchFrame

Afficher le cadre

A frame around the element can be displayed.
Default: inactive.

ZT_STYLE

GlowEffectStyle

Style effet de rayonnement

Affichage et sélection du style des effets de luminescence attribués à l’élément.

Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de style.
Si plusieurs éléments ont été sélectionnés, ils peuvent être attribués à un style commun.

Remarque : Seules les propriétés compatibles avec l’élément correspondant sont prises en charge.

Plus de détails dans l’aide en ligne.

VT_BOOL

GlowEffectEvent

Actif seulement si cliqué

Disponible uniquement si la propriété Activer est active et l’élément est un bouton.

Active : l’effet de luminescence est uniquement affiché lorsque l’utilisateur clique sur le bouton. Cliquer sur le bouton permet de modifier la couleur, le clignotement ou l’invisibilité de l’effet de luminescence.

Par défaut : Inactive

Plus de détails dans l’aide en ligne.

ZT_VARIABLE_DYN

GlowEffectGlowColorVariable

Variable pour la couleur

Disponible uniquement si la propriété Activer est active. La propriété Coloration doit être activée.

Nom de la variable dont la couleur aux valeurs limites doit influencer la couleur de l’effet de luminescence pour l’élément. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de variables. Vous pouvez également saisir le nom manuellement dans le champ de texte. Si aucune variable n’est liée, la couleur définie dans la propriété Couleur est utilisée.

Par défaut : aucune variable liée

Plus de détails dans l’aide en ligne.

ZT_PREVIEW

GlowEffectGlowColorVariablePreview

Affichage aperçu couleur

Affichage de la valeur limite définie pour la variable de couleur lorsque l’effet de luminescence est actif. Disponible uniquement si l’option Depuis la variable a été configurée pour la propriété Variable pour la couleur.

Un aperçu des propriétés définies pour la valeur limite est affiché dans le champ. Aucun aperçu n’est affiché pour les matrices de réaction.
Cliquez sur le bouton ... pour ouvrir la boîte de dialogue d’affichage des résultats. Les valeurs limite sont uniquement affichées ; elles ne peuvent pas être modifiées. Les modifications doivent être effectuées directement dans les propriétés de la variable pour Valeurs limite.

Plus de détails dans l’aide en ligne.

ZT_VARIABLE_DYN

GlowEffectVisibilityVariable

Variable pour la visibilité

Disponible uniquement si la propriété Activer est active.

Nom de la variable dont la valeur influence la visibilité de l’effet de luminescence. La visibilité est soit reprise des propriétés de valeur limite de cette variable (propriété Visibilité depuis valeur limite active), soit définie par la plage de valeurs définie dans les propriétés Visible de et Visible jusqu'à. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de variables. Vous pouvez également saisir le nom manuellement dans le champ de texte.

Remarque : si aucune variable n’est liée, l’effet de luminescence est toujours visible.

Par défaut : aucune variable liée

Plus de détails dans l’aide en ligne.

ZT_PREVIEW

GlowEffectVisibilityVariablePreview

Affichage aperçu visibilité

Affichage de la valeur limite définie pour la variable de visibilité lorsque l’effet de luminescence est actif. Disponible uniquement si l’option Depuis la variable a été configurée pour la propriété Variable pour la visibilité.

Un aperçu des propriétés définies pour la valeur limite est affiché dans le champ. Aucun aperçu n’est affiché pour les matrices de réaction.
Cliquez sur le bouton ... pour ouvrir la boîte de dialogue d’affichage des résultats. Les valeurs limite sont uniquement affichées ; elles ne peuvent pas être modifiées. Les modifications doivent être effectuées directement dans les propriétés de la variable pour Valeurs limite.

Plus de détails dans l’aide en ligne.

VT_BOOL

GlowEffectVisibilityFromLimit

Visibilité depuis valeur limite

Disponible uniquement si la propriété Activer est active. Vous devez en outre définir une variable dans la propriété Variable pour la visibilité.

Active : La visibilité de l’effet de luminescence est influencée par la propriété de valeur limite de la variable.

Attention : Pour une valeur limite de la variable au moins, la propriété Invisible doit être active.

Inactive : la visibilité est influencée par les propriétés de l’élément.

Plus de détails dans l’aide en ligne.

VT_R8

GlowEffectVisibilityFrom

Visible de

Disponible uniquement si la propriété Activer est active. Vous devez en outre définir une variable dans la propriété Variable pour la visibilité ; la propriété Visibilité depuis valeur limite doit être inactive.

Définit la valeur à partir de laquelle l’effet de luminescence devient visible.
Minimum : valeur la moins élevée autorisée pour la variable liée dans Variable pour la visibilité.
Maximum : valeur la moins élevée autorisée pour la variable liée dans Variable pour la visibilité.
Par défaut : valeur la plus élevée autorisée pour la variable liée dans Variable pour la visibilité.

Plus de détails dans l’aide en ligne.

VT_R8

GlowEffectVisibilityTo

Visible jusqu'à

Disponible uniquement si la propriété Activer est active. Vous devez en outre définir une variable dans la propriété Variable pour la visibilité ; la propriété Visibilité depuis valeur limite doit être inactive.

Définit la valeur jusqu’à laquelle l’effet de luminescence reste visible.
Minimum : valeur la plus basse autorisée pour la variable liée dans Variable pour la visibilité.
Maximum : valeur la plus élevée autorisée pour la variable liée dans Variable pour la visibilité.
Par défaut : valeur la plus élevée autorisée pour la variable liée dans Variable pour la visibilité.

Plus de détails dans l’aide en ligne.

ZT_VARIABLE_DYN

GlowEffectBlinkVariable

Variable pour le clignotement

Variables dont les paramètres de clignotement de l’effet de luminescence aux valeurs limites doivent être repris. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de variables.

Par défaut : aucune variable liée

Plus de détails dans l’aide en ligne.

ZT_PREVIEW

GlowEffectBlinkVariablePreview

Affichage aperçu clignotement

Affichage de la valeur limite définie pour la variable de clignotement lorsque l’effet de luminescence est actif. Disponible uniquement si l’option Depuis la variable a été configurée pour la propriété Variable pour le clignotement.

Un aperçu des propriétés définies pour la valeur limite est affiché dans le champ. Aucun aperçu n’est affiché pour les matrices de réaction.
Cliquez sur le bouton ... pour ouvrir la boîte de dialogue d’affichage des résultats. Les valeurs limite sont uniquement affichées ; elles ne peuvent pas être modifiées. Les modifications doivent être effectuées directement dans les propriétés de la variable pour Valeurs limite.

Plus de détails dans l’aide en ligne.

VT_BOOL

GlowEffectUseBlinkColor

Clignotement depuis valeur limite

Disponible uniquement si la propriété Activer est active. Vous devez en outre définir une variable dans la propriété Variable pour le clignotement.

Active : Reprend, pour l’effet de luminescence, la couleur de clignotement de la valeur limite active pour la variable définie dans la propriété Couleur de clignotement par la limite. Cette propriété agit indépendamment de la propriété Coloration. En cas de clignotement, l’effet de luminescence ne devient pas invisible, mais reprend les paramètres de l’effet de luminescence actif.

Par défaut : Inactive

Plus de détails dans l’aide en ligne.

VT_BOOL

GlowEffect2ndBlinkStateVisible

2 états de clignotement invisibles

Disponible uniquement si la propriété Activer est active. Vous devez en outre définir une variable dans la propriété Variable pour le clignotement ; la propriété Clignotement depuis valeur limite doit être inactive.

Active : En cas de clignotement, l’effet de luminescence ne bascule pas vers l’effet de luminescence actif, mais devient invisible. Ceci permet de basculer entre l’invisibilité et la couleur de clignotement en cas de dépassement de la valeur limite.

Par défaut : Inactive

Plus de détails dans l’aide en ligne.


Topological wire

Manuel -> Interfaces de programmation -> Modèles d'objet -> Element -> Element-Dynamic properties -> Topological wire

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Type

VBA/VSTA Name

Display Name

Description

VT_BOOL

RTInvisible

invisible en runtime

VT_BOOL

OBJNameLink

Nom d'objet comme lien

Nom d’objet comme lien

VT_UI4

DisplayMode

Mode de visualisation

Affichage du mode

VT_UI4

BrokenLine1

Ligne de séparation 1

Ligne de séparation 1

VT_UI4

BrokenLine2

Ligne de séparation 2

Ligne de séparation 2

VT_UI4

LineWidth

Épaisseur du trait

Épaisseur du trait

VT_UI4

LineWidthFGES

Epaisseur de trait protégée

Épaisseur de trait protégée

VT_UI4

SaumWidth

Epaisseur bord

Épaisseur bord

VT_UI1

NotSuppliedColor

2ième couleur pour \"Non alimenté\"

Bord du symbole

VT_UI2

SymbolF1

Symbole F1

Symbole F1

VT_UI4

SymbolF1_Mode

Couleurs symbole F1

Couleurs symbole F1

VT_UI2

SymbolF2

Symbole F2

Symbole F2

VT_UI4

SymbolF2_Mode

Couleurs symbole F2

Couleurs symbole F2

VT_UI2

SymbolFGES

Symbole FGES

Symbole FGES

VT_UI4

SymbolFGES_Mode

Couleurs symbole FGES

Couleurs symbole FGES

VT_I2

NCType

Type

ZT_VARIABLE_DYN

NCMappingVarOut

NCMappingVarEx

More...

NCMappingVarOutEx

NCMappingVarEx

ZT_VARIABLE_DYN

NCCurrentVar

NCCurrentVarEx

More...

NCCurrentVarEx

NCCurrentVarEx

ZT_VARIABLE_DYN

NCVoltageVar

NCVoltageVarEx

More...

NCVoltageVarEx

NCVoltageVarEx

VT_R4

NCCurrentVal

Charge [A]

VT_R4

NCVoltageVal

Niveau de tension [V]

VT_R4

NCCurrentMax

Charge max. attribuable

Maximal load which can be assigned.

VT_I2

NCCableType

Type de câble

VT_R4

NCCLength

Longueur [m]

VT_R4

NCCReactance

Réactance [Ohm]

VT_R4

NCCResistance

Résistance [Ohm]

VT_R4

NCCCurrentMax

Capacité de courant porteur [A]

VT_BSTR

Coordinates

"With this property you can get/set the coordinates of the element via a string.
zElement.DynProperties(""Coordinates"") = ""197/118;260/200"""

VT_BOOL

UnderCE

Visible sous WinCE

Contrôle la visibilité des éléments dans les synoptiques sous Windows CE. Les projets qui sont utilisés sous CE et sur le PC peuvent être créés de manière plus flexible ; la gestion par l’utilisateur est ainsi améliorée. Par exemple, les boutons renvoyant l’utilisateur vers des synoptiques ne pouvant pas être affichés sous CE (par ex. IPA) peuvent être rendus invisibles.

Active : dans synoptique/l’élément est également visible sous Windows CE.

Par défaut : active

Plus de détails dans l’aide en ligne.

ZT_VBAMAKRO

Init

Init

Macro VBA à exécuter lors de l’initialisation de l’élément.

Plus de détails dans l’aide en ligne.

ZT_VBAMAKRO

SetFocus

SetFocus

Macro VBA à exécuter lorsque le focus est placé sur l’élément.

Plus de détails dans l’aide en ligne.

ZT_VBAMAKRO

KillFocus

KillFocus

Macro VBA à exécuter lorsque le focus n’est plus placé sur l’élément.

Plus de détails dans l’aide en ligne.

ZT_VBAMAKRO

LeftClickDown

LeftClickDown

Macro VBA à exécuter lorsque l’utilisateur effectue un clic gauche sur l’élément.

Plus de détails dans l’aide en ligne.

ZT_VBAMAKRO

RightClickDown

RightClickDown

Macro VBA à exécuter lorsque l’utilisateur effectue un clic droit sur l’élément.

Plus de détails dans l’aide en ligne.

ZT_VBAMAKRO

LeftClickUp

LeftClickUp

Macro VBA à exécuter lorsque l’utilisateur relâche le bouton gauche de la souris sur l’élément.

Plus de détails dans l’aide en ligne.

ZT_VBAMAKRO

RightClickUp

RightClickUp

Macro VBA à exécuter lorsque l’utilisateur relâche le bouton droit de la souris sur l’élément.

Plus de détails dans l’aide en ligne.

ZT_VBAMAKRO

LeftDClick

LeftDoubleClick

Macro VBA à exécuter lorsque l’utilisateur effectue un double-clic gauche sur l’élément.

Plus de détails dans l’aide en ligne.

ZT_VBAMAKRO

RightDClick

RightDoubleClick

Macro VBA à exécuter lorsque l’utilisateur effectue un double-clic droit sur l’élément.

Plus de détails dans l’aide en ligne.

ZT_VBAMAKRO

MouseOver

MouseOver

Macro VBA à exécuter si le pointeur de la souris est positionné sur l’élément.

Plus de détails dans l’aide en ligne.

ZT_VBAMAKRO

DragDrop

DragDrop

Macro VBA à exécuter lorsque le bouton de la souris est relâché.

Plus de détails dans l’aide en ligne.

ZT_VBAMAKRO

DragOver

DragOver

Macro VBA à exécuter lorsque le curseur est déplacé au-dessus de l’élément pendant que le bouton gauche est enfoncé.

Plus de détails dans l’aide en ligne.

ZT_VBAMAKRO

DragBegin

DragBegin

Macro VBA à exécuter lorsque l’utilisateur commence à faire glisser l’objet.

Plus de détails dans l’aide en ligne.

VT_BSTR

Menu

Menu contextuel

Menu contextuel de l’élément.
Cliquer avec le bouton droit de la souris sur l’élément pour ouvrir le menu contextuel dans le Runtime.

Plus de détails dans l’aide en ligne.

VT_BSTR

Tooltip

Info bulle

Texte à afficher en tant qu’info-bulle de l’élément dans le Runtime. Une info-bulle est automatiquement affichée dans le Runtime si le pointeur de la souris reste pendant quelques secondes sur l’élément. Des retours à la ligne automatiques peuvent être insérés avec les caractères "\n".

  • Maximum : 79 caractères
    Attention : La combinaison de caractères \n est également comptée dans la limite de 79 caractères.

Plus de détails dans l’aide en ligne.

VT_BOOL

LassoSelect

sélectionnable avec le lasso

La sélection avec le lasso dans le Runtime permet d’identifier les éléments dynamiques et de les utiliser avec des événements VBA.

  • Active : L’élément peut être sélectionné avec le lasso dans le Runtime.
  • Inactive : L’élément ne peut pas être sélectionné dans Runtime.

Par défaut : active

Attention : Pour que l’élément puisse être sélectionné dans le Runtime, vous devez activer la propriété Sélection multiple en runtime (lasso) dans les paramètres du projet !

Remarque concernant la gestion des commandes : Si la propriété Opération à deux mains est activée, le lasso de la commande Exécuter le 2ème niveau ne doit pas être activé.

Plus de détails dans l’aide en ligne.

More...

GestureManipulationGroup

Manipulation

Propriétés pour la manipulation de synoptiques et d’éléments de synoptique dans le cadre d’une utilisation tactile.

Plus de détails dans l’aide en ligne.

VT_BOOL

Tab

Le focus est donné à l'élément

Active : L’élément dynamique peut être actionné à l’aide du clavier.
Inactive : L’élément dynamique n’est pas accessible à l’aide du clavier.
Par défaut : active.

Plus de détails dans l’aide en ligne.

VT_I4

TABOrderH

Position du focus gauche/droite

Définit la position horizontale pour l’utilisation à l’aide du clavier dans le Runtime. La position est définie par l’intermédiaire du menu contextuel et de l’utilisation de la souris dans la fenêtre principale ; elle ne peut pas être modifiée ici.

Plus de détails dans l’aide en ligne.

VT_I4

TABOrderV

Position focus haut / bas

Définit la position verticale pour l’utilisation à l’aide du clavier dans le Runtime. La position est définie par l’intermédiaire du menu contextuel et de l’utilisation de la souris dans la fenêtre principale ; elle ne peut pas être modifiée ici.

Plus de détails dans l’aide en ligne.

VT_BOOL

Signature

Signature nécéssaire

Active : Une signature est nécessaire pour actionner l’élément.

Pour des raisons de sécurité, l’utilisateur sera invité à saisir son mot de passe même s’il est déjà connecté. Le texte de la signature est enregistré dans la liste d’événements (CEL) après que l’élément ait été utilisé avec succès.

Attention : seuls les utilisateurs connectés peuvent signer une action. La signature d’actions avec un identifiant temporaire n’est plus possible.

Inactive : aucune signature n’est requise.

(Par défaut) Inactive :

Plus de détails dans l’aide en ligne.

VT_BSTR

SignatureText

Texte de signature

Ce texte est également consigné lors de la signature dans la liste d’événements (CEL) ou est proposé par défaut dans le Runtime si la signature est définie comme modifiable dans les propriétés du projet.

Plus de détails dans l’aide en ligne.

VT_I2

SignatureEditModus

Texte de signature éditable

Définit si le texte de signature peut être édité. Sélectionnez dans la liste déroulante :

  • Appliquer les paramètres projet : Les paramètres de la propriété de projet Texte de signature éditable sont applicables.
  • Oui : Texte modifiables
  • Non : Le texte ne peut pas être édité.

Par défaut : Appliquer les paramètres projet

Plus de détails dans l’aide en ligne

ZT_FILE

Helpfile

Fichier d'aide

Fichier d’aide (*.chm) devant être utilisé pour cet élément, conjointement à un menu contextuel. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de fichiers.
Attention : seuls les fichiers d’aide ayant été ajoutés dans le nœud Fichiers/Aide sont disponibles.

Plus de détails dans l’aide en ligne.

VT_BSTR

HelpCapture

Chapitre d'aide

Chapitre d’aide (*.chm) devant être utilisé pour cet élément, conjointement à un menu contextuel. Nom de la page HTML sous-jacente.
Attention : cette entrée tient compte des minuscules et majuscules.

Plus de détails dans l’aide en ligne.

ZT_VARIABLE_DYN

SetValueDynMin

Minimum

Variable dont la valeur actuelle est applicable en tant que limite inférieure de la valeur prescrite de l’élément.
Disponible uniquement si Plages de la variable est inactive :
Plus de détails dans l’aide en ligne.

ZT_VARIABLE_DYN

SetValueDynMax

Maximum

Variable dont la valeur actuelle est applicable en tant que limite supérieure de la valeur prescrite de l’élément.

Disponible uniquement si la propriété Plages de la variable est inactive.

Plus de détails dans l’aide en ligne.

VT_BOOL

GestureRecognitionActive

Reconnaissance de geste active

Active l’évaluation des gestes. Les gestes sont définis à l’aide d’autres propriétés.

Uniquement disponible si, dans le groupe Intéraction des propriétés du projet, la propriété Reconnaissance Windows 8 a été définie.

Plus de détails dans l’aide en ligne.

VT_BOOL

Gestures_Manipulation

Exact

Active : Détection du paramètre Exact défini.

Plus de détails dans l’aide en ligne.

VT_BOOL

Gestures_Exact

Exact

Active : Détection du paramètre Exact défini.

Plus de détails dans l’aide en ligne.

VT_BOOL

Gestures_TranslationX

Translation X

Active : Détection du paramètre Translation X défini.

Plus de détails dans l’aide en ligne.

VT_BOOL

Gestures_TranslationY

Translation Y

Active : Détection du paramètre Translation Y défini.

Plus de détails dans l’aide en ligne.

VT_BOOL

Gestures_RailsX

Rails X

Active : Détection du paramètre Rails X défini.

Plus de détails dans l’aide en ligne.

VT_BOOL

Gestures_RailsY

Rails Y

Active : Détection du paramètre Rails Y défini.

Plus de détails dans l’aide en ligne.

VT_BOOL

Gestures_TranslationInertia

Translation inertia

Active : Détection du paramètre Translation Inertia (Inertie de translation) défini.

Plus de détails dans l’aide en ligne.

VT_BOOL

Gestures_Rotation

Inertie de rotation

Active : Détection du paramètre Rotation Inertia (Inertie de rotation) défini.

Plus de détails dans l’aide en ligne.

VT_BOOL

Gestures_RotationInertia

Inertie de rotation

Active : Détection du paramètre Rotation Inertia (Inertie de rotation) défini.

Plus de détails dans l’aide en ligne.

VT_BOOL

Gestures_Scaling

Scaling inertia

Active : Détection du paramètre Scaling Inertia (Inertie de redimensionnement) défini.

Plus de détails dans l’aide en ligne.

VT_BOOL

Gestures_ScalingInertia

Scaling inertia

Active : Détection du paramètre Scaling Inertia (Inertie de redimensionnement) défini.

Plus de détails dans l’aide en ligne.

VT_BOOL

Gestures_CrossSlide

Cross slide exact

Active : Détection du paramètre Cross Slide Exact (Glissement transversal exact) défini.

Plus de détails dans l’aide en ligne.

VT_BOOL

Gestures_CrossSlideHorizontal

Cross slide horizontal

Active : Détection du paramètre Cross Slide Horizontal (Glissement transversal horizontal) défini.

Plus de détails dans l’aide en ligne.

VT_BOOL

Gestures_CrossSlideSelect

Cross slide select

Active : Détection du paramètre Cross Slide Select (Glissement transversal, sélection) défini.

Plus de détails dans l’aide en ligne.

VT_BOOL

Gestures_CrossSlideSpeedBump

Cross slide speed bump

Active : Détection du paramètre Cross Slide Speed Bump (Glissement transversal, ralentisseur) défini.

Plus de détails dans l’aide en ligne.

VT_BOOL

Gestures_CrossSlideRearrange

Cross slide rearrange

Active : Détection du paramètre Cross Slide Rearrange (Glissement transversal, réorganisation) défini.

Plus de détails dans l’aide en ligne.

VT_BOOL

Gestures_CrossSlideExact

Cross slide exact

Active : Détection du paramètre Cross Slide Exact (Glissement transversal exact) défini.

Plus de détails dans l’aide en ligne.

VT_BOOL

Gestures_Tap

Tap double

Active : Détection du paramètre Tap Double (Double appui) défini.

Plus de détails dans l’aide en ligne.

VT_BOOL

Gestures_TapDouble

Tap double

Active : Détection du paramètre Tap Double (Double appui) défini.

Plus de détails dans l’aide en ligne.

VT_BOOL

Gestures_SecondaryTap

Secondary tap

Active : Détection du paramètre Secondary Tap (Appui secondaire) défini.

Plus de détails dans l’aide en ligne.

VT_BOOL

Gestures_Drag

Drag

Active : Détection du paramètre Drag (Glissement) défini.

Plus de détails dans l’aide en ligne.

VT_BOOL

Gestures_Hold

Hold (Mouse)

Active : Détection du paramètre Hold (Mouse) (Maintien [souris]) défini.

Plus de détails dans l’aide en ligne.

ZT_STYLE

StyleGroup

Groupe de styles

Affichage et sélection du groupe de styles attribué à l’élément.
Cliquez sur le bouton ... pour ouvrir la boîte de dialogue permettant de sélectionner un groupe de styles.
Si plusieurs éléments sont sélectionnés, elles peuvent être attribuées à un groupe de styles commun.

Remarque : Seules les propriétés compatibles avec l’élément correspondant sont prises en charge.

Plus de détails dans l’aide en ligne.

More...

LnClVariable

LnClVariable

"With this property you have the opportunity to get informations about the variable which is linked as ""line/text color"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""LnClVariable.SymVarName"") 'Return the name of the ""line/text color"" variable
zElement.DynProperties (""LnClVariable.SymVarTagNr"") 'Return the identification of the ""line/text color"" variable"

More...

BkClVariable

BkClVariable

"With this property you have the opportunity to get informations about the variable which is linked as ""background/filling color"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""BkClVariable.SymVarName"") 'Return the name of the ""background/filling color"" variable
zElement.DynProperties (""BkClVariable.SymVarTagNr"") 'Return the identification of the ""background/filling color"" variable"

More...

BkCl2Variable

"BkCl2Variable"

More...

XVar

XVar

"With this property you have the opportunity to get informations about the variable which is linked as ""dynamic x position"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""XVar.SymVarName"") 'Return the name of the ""dynamic x position"" variable
zElement.DynProperties (""XVar.SymVarTagNr"") 'Return the identification of the ""dynamic x position"" variable"

More...

YVar

YVar

"With this property you have the opportunity to get informations about the variable which is linked as ""dynamic y position"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""YVar.SymVarName"") 'Return the name of the ""dynamic y position"" variable
zElement.DynProperties (""YVar.SymVarTagNr"") 'Return the identification of the ""dynamic y position"" variable"

More...

XVarZoom

XVarZoom

"With this property you have the opportunity to get informations about the variable which is linked as ""change width"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""XVarZoom.SymVarName"") 'Return the name of the ""change width"" variable
zElement.DynProperties (""XVarZoom.SymVarTagNr"") 'Return the identification of the ""change width"" variable"

More...

YVarZoom

YVarZoom

"With this property you have the opportunity to get informations about the variable which is linked as ""change height"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""YVarZoom.SymVarName"") 'Return the name of the ""change height"" variable
zElement.DynProperties (""YVarZoom.SymVarName"") 'Return the name of the ""change height"" variable
zElement.DynProperties (""YVarZoom.SymVarTagNr"") 'Return the identification of the ""change height"" variable"

More...

TwistVar

TwistVar

"With this property you have the opportunity to get informations about the variable which is linked as ""rotate"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""TwistVar.SymVarName"") 'Return the name of the ""rotate"" variable
zElement.DynProperties (""TwistVar.SymVarTagNr"") 'Return the identification of the ""rotate"" variable"

More...

VisVariable

VisVariable

"With this property you have the opportunity to get informations about the variable which is linked as ""visibility"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""VisVariable.SymVarName"") 'Return the name of the ""visibility"" variable
zElement.DynProperties (""VisVariable.SymVarTagNr"") 'Return the identification of the ""visibility"" variable"

More...

BlinkVar

BlinkVar

More...

GlowEffectGlowColorVar

GlowEffectGlowColorVar

More...

GlowEffectVisibilityVar

GlowEffectVisibilityVar

More...

GlowEffectBlinkVar

GlowEffectBlinkVar

VT_BSTR

Name

Nom d'élément

Attribuez un nom d’élément.
Il ne doit pas être vide.

Attention : Cette propriété n’est pas disponible aux fins de la commutation de langue.

Remarques concernant les cadrans : Pour les conteneurs de synoptique, spécifiez des noms clairement identifiables pour faciliter la sélection lors de la configuration des appels de synoptique.

Plus de détails dans l’aide en ligne.

VT_UI1

Layer

Niveau de visibilité

Sélectionnez l’un des 16 niveaux de visibilité (0 à 15) dans la liste déroulante. À l’aide de la barre d’outils Niveau de visibilité, vous décidez des niveaux qui doivent être affichés dans Editor. Cette fonction garantit que les synoptiques les plus complexes peuvent être développés de manière simple. Les niveaux peuvent être utilisés immédiatement. Les niveaux n’ont aucune influence sur les informations affichées au premier plan ou en arrière-plan dans le Runtime.
Par défaut : 0.

Plus de détails dans l’aide en ligne.

VT_I4

StartX

Point de départ X [pixels]

Coordonnée Y du coin supérieur gauche du synoptique (en pixels).

Plus de détails dans l’aide en ligne.

VT_I4

EndX

Point final X [pixels]

Coordonnée X du coin inférieur droit du synoptique (en pixels).

Plus de détails dans l’aide en ligne.

VT_I4

StartY

Point de départ Y [pixels]

Coordonnée Y du coin supérieur gauche du synoptique (en pixels).

Plus de détails dans l’aide en ligne.

VT_I4

EndY

Point final Y [pixels]

Coordonnée Y du coin inférieur droit du synoptique (en pixels).

Plus de détails dans l’aide en ligne.

VT_I4

Width

Largeur [pixels]

Largeur des éléments en pixels.

Remarque : disponible uniquement pour les éléments Combinaison multiple, Élément combiné, Bouton et Interrupteur si la valeur Ajusté a été sélectionnée pour la propriété Taille du graphique.

Plus de détails dans l’aide en ligne.

VT_I4

Height

Hauteur [pixels]

Hauteur des éléments en pixels.

Remarque : disponible uniquement pour les éléments Combinaison multiple, Élément combiné, Bouton et Interrupteur si la valeur Ajusté a été sélectionnée pour la propriété Taille du graphique.

Plus de détails dans l’aide en ligne.

VT_I4

Angle

Angle de rotation [°]

Angle libre autour selon lequel doit pivoter l’élément.
Les valeurs positives correspondent à une rotation dans le sens antihoraire, tandis que les valeurs négatives correspondent à une rotation dans le sens horaire. Les valeurs supérieures à 360° sont affichées sous forme d’écart par rapport à 360° (400° correspond à 40°). Seuls les nombres entiers sont autorisés.

Sur les éléments pivotés, les actions suivantes ne sont plus possibles :

  • Miroir
  • Rotation de +/- 90°
  • Redimensionnement à l’aide des touches fléchées

Par défaut : 0

Remarque : Ce paramètre est activé et réinitialisé lors de la configuration pour Windows CE.

Plus de détails dans l’aide en ligne.

VT_I2

ZoomMin

Visible de

Incrément de zoom le plus bas auquel l’élément est visible dans la vue globale.
Par défaut : -1
Une valeur de visibilité avec des incréments de zoom de -1 à -1 signifie que l’élément est affiché, quel que soit l’incrément de zoom sélectionné.

Les niveaux de zoom affichés dans la vue globale peuvent être configurés avec la propriété Apparence graphique -> Généralités runtime -> Pas de zoom pour vue globale.

Attention : Ce niveau de zoom s’applique à tous les types de synoptiques et cadres. Si un niveau de zoom défini est supérieur à 0, l’élément est uniquement affiché dans la vue globale, car les autres types de synoptique sont automatiquement appelés avec le niveau de zoom 0.

Plus de détails dans l’aide en ligne.

VT_I2

ZoomMax

Visible jusqu'à

Incrément de zoom le plus élevé auquel l’élément est visible dans la vue globale.

Par défaut : -1
Une valeur de visibilité avec des incréments de zoom de -1 à -1 signifie que l’élément est affiché, quel que soit l’incrément de zoom sélectionné.

Les niveaux de zoom affichés dans la vue globale peuvent être configurés avec la propriété Apparence graphique -> Généralités runtime -> Pas de zoom pour vue globale.

Attention : Ce niveau de zoom s’applique à tous les types de synoptiques et cadres. Si un niveau de zoom défini est supérieur à 0, l’élément est uniquement affiché dans la vue globale, car les autres types de synoptique sont automatiquement appelés avec le niveau de zoom 0.

Plus de détails dans l’aide en ligne.

VT_BSTR

Stationname

Nom liste d'objets

L’élément est saisi directement dans la liste de stations du synoptique Vue globale, et le texte est saisi ici.

Plus de détails dans l’aide en ligne.

ZT_VARIABLE_DYN

LineColorVariable

Couleur de ligne

Nom des variables dont les couleurs de valeur limite doivent influencer la couleur de ligne/de texte de l’élément. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de variables.

Plus de détails dans l’aide en ligne.

ZT_PREVIEW

LineColorVarPreview

Affichage aperçu couleur

Affichage de la valeur limite pour la propriété Couleur de ligne définie pour la variable. Disponible uniquement si l’option Depuis la variable a été configurée pour la propriété Couleur de ligne.

Un aperçu des propriétés définies pour la valeur limite est affiché dans le champ. Aucun aperçu n’est affiché pour les matrices de réaction.
Cliquez sur le bouton ... pour ouvrir la boîte de dialogue d’affichage des résultats. Les valeurs limite sont uniquement affichées ; elles ne peuvent pas être modifiées. Les modifications doivent être effectuées directement dans les propriétés de la variable pour Valeurs limite.

Plus de détails dans l’aide en ligne.

ZT_VARIABLE_DYN

BackColorVariable

Couleur de remplissage

Nom de la variable dont les couleurs de valeur limite doivent influencer la couleur d’arrière-plan/de remplissage de l’élément.
Ouvre la boîte de dialogue de sélection de variables.

Plus de détails dans l’aide en ligne.

ZT_PREVIEW

BackColorVarPreview

Affichage aperçu couleur

Affichage de la valeur limite pour la propriété Couleur de remplissage définie pour la variable. Disponible uniquement si l’option Depuis la variable a été configurée pour la propriété Couleur de remplissage.

Un aperçu des propriétés définies pour la valeur limite est affiché dans le champ. Aucun aperçu n’est affiché pour les matrices de réaction.
Cliquez sur le bouton ... pour ouvrir la boîte de dialogue d’affichage des résultats. Les valeurs limite sont uniquement affichées ; elles ne peuvent pas être modifiées. Les modifications doivent être effectuées directement dans les propriétés de la variable pour Valeurs limite.

Plus de détails dans l’aide en ligne.

VT_UI1

HorizontalOrigin

Horizontal

Point de référence horizontal de l’événement. Les valeurs possibles sont : gauche, centré, droite.
Ce point est utilisé en tant que base de calcul de l’angle de départ de la rotation (statique et dynamique) et pour le changement dynamique de taille.

Par défaut : À gauche

Plus de détails dans l’aide en ligne.

VT_UI1

VerticalOrigin

Vertical

Point de référence vertical de l’événement. Les valeurs possibles sont : haut, centré, bas.
Ce point est utilisé en tant que base de calcul de l’angle de départ de la rotation (statique et dynamique) et pour le changement dynamique de taille.

Par défaut : En haut

Plus de détails dans l’aide en ligne.

VT_UI4

VisibilityType

Visibilité

Sélection depuis laquelle la visibilité d’un élément est déterminée :

  • Depuis une variable
  • Du verrrouillage

Par défaut : Depuis une variable

Plus de détails dans l’aide en ligne.

ZT_VARIABLE_DYN

VisibilityVariable

Variable

Disponible uniquement si l’option Depuis la variable a été configurée pour la propriété Visibilité.

Nom de la variable dont la valeur contrôle la visibilité de l’élément. La visibilité est soit reprise des propriétés de valeur limite de ces variables, soit définie par la plage de valeurs définie dans les propriétés de et À.
Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de variables. Vous pouvez également saisir manuellement le nom dans le champ de texte.
L'élément reste visible tant qu’aucune variable n’est liée.

Plus de détails dans l’aide en ligne.

ZT_PREVIEW

VisVarPreview

Affichage aperçu visibilité

Affichage des valeurs limite pour la visibilité définies pour la variable. Disponible uniquement si l’option Depuis la variable a été configurée pour la propriété Variable dans le groupe Visibilité.

Un aperçu des propriétés définies pour la valeur limite est affiché dans le champ. Aucun aperçu n’est affiché pour les matrices de réaction.
Cliquez sur le bouton ... pour ouvrir la boîte de dialogue d’affichage des résultats. Les valeurs limite sont uniquement affichées ; elles ne peuvent pas être modifiées. Les modifications doivent être effectuées directement dans les propriétés de la variable pour Valeurs limite.

Plus de détails dans l’aide en ligne.

VT_BOOL

VisibilityFromLimit

A partir des valeurs limites

Uniquement disponible après la sélection d’une variable :

  • Active : La visibilité de l’élément est influencée par la propriété de valeur limite de la variable.

    Attention : La propriété Invisible doit être active pour au moins une valeur limite de la variable.

  • Inactive : la visibilité est influencée par les propriétés de l’élément.

Par défaut : active

Plus de détails dans l’aide en ligne.

VT_R8

VisibilityFrom

de

Disponible uniquement après la sélection d’une variable, si la visibilité n’a pas été reprise par la valeur limite :

Valeur minimum de la variable à laquelle l’élément est visible.

  • Minimum : valeur minimum possible de la variable liée.
  • Maximum : valeur maximum possible de la variable liée.

Par défaut : valeur minimum possible de la variable liée.

Plus de détails dans l’aide en ligne.

VT_R8

VisibilityTo

À

Disponible uniquement après la sélection d’une variable, si la visibilité n’a pas été reprise par la valeur limite :

Valeur maximale de la variable à laquelle l’élément est visible.

  • Minimum : valeur minimum possible de la variable liée.
  • Maximum : valeur maximum possible de la variable liée.

Par défaut : valeur maximum possible de la variable liée.

Plus de détails dans l’aide en ligne.

VT_UI4

Interlocking

Verrouillage

Disponible uniquement si l’option Depuis le verrouillage est sélectionnée pour la propriété Visibilité.

Nom du verrouillage dont la valeur contrôle la visibilité de l’élément. Sélectionnez dans la liste déroulante. Celle-ci contient tous les verrouillages existants et utilisables. L’élément est toujours visible si aucun verrouillage n’est lié.

Plus de détails dans l’aide en ligne.

VT_BSTR

InterlockingName

InterlockingName

Description

VT_BOOL

VisibleWhenInterlocked

Visible si verrouillé

Contrôle la visibilité de l’élément lorsque le verrouillage est sélectionné :

  • Active : L’élément est visible s’il est verrouillé.
  • Inactive : L’élément est visible s’il n’est pas verrouillé.

Par défaut : inactive

Plus de détails dans l’aide en ligne.

ZT_VARIABLE_DYN

BlinkVariable

Affichage aperçu clignotement

Affichage des valeurs limite pour le clignotement définies pour la variable. Disponible uniquement si l’option Depuis la variable a été configurée pour la propriété Prendre le clignotement de la limite.

Un aperçu des propriétés définies pour la valeur limite est affiché dans le champ. Aucun aperçu n’est affiché pour les matrices de réaction.
Cliquez sur le bouton ... pour ouvrir la boîte de dialogue d’affichage des résultats. Les valeurs limite sont uniquement affichées ; elles ne peuvent pas être modifiées. Les modifications doivent être effectuées directement dans les propriétés de la variable pour Valeurs limite.

Plus de détails dans l’aide en ligne.

ZT_PREVIEW

BlinkVarPreview

Affichage aperçu clignotement

Affichage des valeurs limite pour le clignotement définies pour la variable. Disponible uniquement si l’option Depuis la variable a été configurée pour la propriété Prendre le clignotement de la limite.

Un aperçu des propriétés définies pour la valeur limite est affiché dans le champ. Aucun aperçu n’est affiché pour les matrices de réaction.
Cliquez sur le bouton ... pour ouvrir la boîte de dialogue d’affichage des résultats. Les valeurs limite sont uniquement affichées ; elles ne peuvent pas être modifiées. Les modifications doivent être effectuées directement dans les propriétés de la variable pour Valeurs limite.

Plus de détails dans l’aide en ligne.

VT_BOOL

UseBlinkColor

Couleur de clignotement par la limite

Active : Reprend la couleur d’arrière-plan du clignotement défini pour la valeur limite active de la variable pour Prendre le clignotement de la limite. Durant le clignotement, l’élément ne devient pas invisible, mais reprend la couleur d’arrière-plan active.

Par défaut : Inactive

Remarque : la couleur n’est pas prise en compte si la couleur d’arrière-plan Transparence est configurée.

Plus de détails dans l’aide en ligne.

ZT_VARIABLE_DYN

XVariable

Variable

Nom de la variable utilisée pour le déplacement horizontal de l’élément.
Ouvre la boîte de dialogue de sélection de variables.

Plus de détails dans l’aide en ligne.

VT_R8

XVarMin

Valeur min de la variable

Valeur minimale de la variable utilisée pour le déplacement horizontal de l’élément.

Plus de détails dans l’aide en ligne.

VT_R8

XVarMax

Valeur max de la variable

Valeur maximale de la variable utilisée pour le déplacement horizontal de l’élément.

Plus de détails dans l’aide en ligne.

VT_I4

XViewMin

Mouvement min [pixels]

Position horizontale de l’élément pour la valeur minimale de la variable (en pixels).

Plus de détails dans l’aide en ligne.

VT_I4

XViewMax

Mouvement max [pixels]

Position horizontale de l’élément pour la valeur minimale de la variable (en pixels).

Plus de détails dans l’aide en ligne.

ZT_VARIABLE_DYN

YVariable

Variable

Nom de la variable utilisée pour le déplacement vertical de l’élément.
Ouvre la boîte de dialogue de sélection de variables.

Plus de détails dans l’aide en ligne.

VT_R8

YVarMin

Valeur min de la variable

Valeur minimale de la variable utilisée pour le déplacement vertical de l’élément.

Plus de détails dans l’aide en ligne.

VT_R8

YVarMax

Valeur max de la variable

Valeur maximale de la variable utilisée pour le déplacement vertical de l’élément.

Plus de détails dans l’aide en ligne.

VT_I4

YViewMin

Mouvement min [pixels]

Position verticale de l’élément pour la valeur minimale de la variable (en pixels).

Plus de détails dans l’aide en ligne.

VT_I4

YViewMax

Mouvement max [pixels]

Position verticale de l’élément pour la valeur maximale de la variable (en pixels).

Plus de détails dans l’aide en ligne.

ZT_VARIABLE_DYN

XZoomVariable

Variable

Nom de la variable utilisée pour l’agrandissement de la largeur de l’élément.
Ouvre la boîte de dialogue de sélection de variables.

Plus de détails dans l’aide en ligne.

VT_R8

XZoomVarMin

Valeur min de la variable

Valeur minimale de la variable utilisée pour effectuer un zoom à la largeur de l’élément.

Plus de détails dans l’aide en ligne.

VT_R8

XZoomVarMax

Valeur max de la variable

Valeur maximale de la variable utilisée pour effectuer un zoom sur la largeur de l’élément.

Plus de détails dans l’aide en ligne.

VT_I4

XZoomViewMin

Largeur min [%]

Facteur de zoom correspondant à la largeur de l’élément pour la valeur minimale de la variable (en pixels).

Plus de détails dans l’aide en ligne.

VT_I4

XZoomViewMax

Largeur max [%]

Facteur de zoom correspondant à la largeur de l’élément pour la valeur maximale de la variable (en pixels).

Plus de détails dans l’aide en ligne.

ZT_VARIABLE_DYN

YZoomVariable

Variable

Nom de la variable utilisée pour l’agrandissement de la hauteur de l’élément.
Ouvre la boîte de dialogue de sélection de variables.

Plus de détails dans l’aide en ligne.

VT_R8

YZoomVarMin

Valeur min de la variable

Valeur minimum de la variable utilisée pour effectuer un zoom sur la hauteur de l’élément.

Plus de détails dans l’aide en ligne.

VT_R8

YZoomVarMax

Valeur max de la variable

Valeur maximum de la variable utilisée pour effectuer un zoom sur la hauteur de l’élément.

Plus de détails dans l’aide en ligne.

VT_I4

YZoomViewMin

Hauteur min [%]

Facteur de zoom correspondant à la hauteur de l’élément pour la valeur minimum de la variable (en %).

Plus de détails dans l’aide en ligne.

VT_I4

YZoomViewMax

Hauteur max [%]

Facteur de zoom correspondant à la hauteur de l’élément pour la valeur maximale de la variable (en pixels).

Plus de détails dans l’aide en ligne.

ZT_VARIABLE_DYN

TwistVariable

Variable

Nom de la variable utilisée pour la rotation de l’élément.

Plus de détails dans l’aide en ligne.

VT_R8

TwistVarMin

Valeur min de la variable

Valeur minimum de la variable utilisée pour la rotation de l’élément.

Plus de détails dans l’aide en ligne.

VT_R8

TwistVarMax

Valeur max de la variable

Valeur maximale de la variable utilisée pour la rotation de l’élément.

Plus de détails dans l’aide en ligne.

VT_I4

TwistViewMin

Rotation min [°]

Angle de rotation de l’élément pour la valeur minimum de la variable (en °).

Plus de détails dans l’aide en ligne.

VT_I4

TwistViewMax

Rotation max [°]

Angle de rotation de l’élément pour la valeur maximum de la variable (en °).

Plus de détails dans l’aide en ligne.

ZT_STYLE

ShadowEffectStyle

Style effet cadres/ombres

Affichage et sélection du style de cadre et d’ombre attribué à l’élément.

Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de style.
Si plusieurs éléments ont été sélectionnés, ils peuvent être attribués à un style commun.

Remarque : Seules les propriétés compatibles avec l’élément correspondant sont prises en charge.

Plus de détails dans l’aide en ligne.

VT_BOOL

EnablePunchFrame

Afficher le cadre

A frame around the element can be displayed.
Default: inactive.

ZT_STYLE

GlowEffectStyle

Style effet de rayonnement

Affichage et sélection du style des effets de luminescence attribués à l’élément.

Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de style.
Si plusieurs éléments ont été sélectionnés, ils peuvent être attribués à un style commun.

Remarque : Seules les propriétés compatibles avec l’élément correspondant sont prises en charge.

Plus de détails dans l’aide en ligne.

VT_BOOL

GlowEffectEvent

Actif seulement si cliqué

Disponible uniquement si la propriété Activer est active et l’élément est un bouton.

Active : l’effet de luminescence est uniquement affiché lorsque l’utilisateur clique sur le bouton. Cliquer sur le bouton permet de modifier la couleur, le clignotement ou l’invisibilité de l’effet de luminescence.

Par défaut : Inactive

Plus de détails dans l’aide en ligne.

ZT_VARIABLE_DYN

GlowEffectGlowColorVariable

Variable pour la couleur

Disponible uniquement si la propriété Activer est active. La propriété Coloration doit être activée.

Nom de la variable dont la couleur aux valeurs limites doit influencer la couleur de l’effet de luminescence pour l’élément. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de variables. Vous pouvez également saisir le nom manuellement dans le champ de texte. Si aucune variable n’est liée, la couleur définie dans la propriété Couleur est utilisée.

Par défaut : aucune variable liée

Plus de détails dans l’aide en ligne.

ZT_PREVIEW

GlowEffectGlowColorVariablePreview

Affichage aperçu couleur

Affichage de la valeur limite définie pour la variable de couleur lorsque l’effet de luminescence est actif. Disponible uniquement si l’option Depuis la variable a été configurée pour la propriété Variable pour la couleur.

Un aperçu des propriétés définies pour la valeur limite est affiché dans le champ. Aucun aperçu n’est affiché pour les matrices de réaction.
Cliquez sur le bouton ... pour ouvrir la boîte de dialogue d’affichage des résultats. Les valeurs limite sont uniquement affichées ; elles ne peuvent pas être modifiées. Les modifications doivent être effectuées directement dans les propriétés de la variable pour Valeurs limite.

Plus de détails dans l’aide en ligne.

ZT_VARIABLE_DYN

GlowEffectVisibilityVariable

Variable pour la visibilité

Disponible uniquement si la propriété Activer est active.

Nom de la variable dont la valeur influence la visibilité de l’effet de luminescence. La visibilité est soit reprise des propriétés de valeur limite de cette variable (propriété Visibilité depuis valeur limite active), soit définie par la plage de valeurs définie dans les propriétés Visible de et Visible jusqu'à. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de variables. Vous pouvez également saisir le nom manuellement dans le champ de texte.

Remarque : si aucune variable n’est liée, l’effet de luminescence est toujours visible.

Par défaut : aucune variable liée

Plus de détails dans l’aide en ligne.

ZT_PREVIEW

GlowEffectVisibilityVariablePreview

Affichage aperçu visibilité

Affichage de la valeur limite définie pour la variable de visibilité lorsque l’effet de luminescence est actif. Disponible uniquement si l’option Depuis la variable a été configurée pour la propriété Variable pour la visibilité.

Un aperçu des propriétés définies pour la valeur limite est affiché dans le champ. Aucun aperçu n’est affiché pour les matrices de réaction.
Cliquez sur le bouton ... pour ouvrir la boîte de dialogue d’affichage des résultats. Les valeurs limite sont uniquement affichées ; elles ne peuvent pas être modifiées. Les modifications doivent être effectuées directement dans les propriétés de la variable pour Valeurs limite.

Plus de détails dans l’aide en ligne.

VT_BOOL

GlowEffectVisibilityFromLimit

Visibilité depuis valeur limite

Disponible uniquement si la propriété Activer est active. Vous devez en outre définir une variable dans la propriété Variable pour la visibilité.

Active : La visibilité de l’effet de luminescence est influencée par la propriété de valeur limite de la variable.

Attention : Pour une valeur limite de la variable au moins, la propriété Invisible doit être active.

Inactive : la visibilité est influencée par les propriétés de l’élément.

Plus de détails dans l’aide en ligne.

VT_R8

GlowEffectVisibilityFrom

Visible de

Disponible uniquement si la propriété Activer est active. Vous devez en outre définir une variable dans la propriété Variable pour la visibilité ; la propriété Visibilité depuis valeur limite doit être inactive.

Définit la valeur à partir de laquelle l’effet de luminescence devient visible.
Minimum : valeur la moins élevée autorisée pour la variable liée dans Variable pour la visibilité.
Maximum : valeur la moins élevée autorisée pour la variable liée dans Variable pour la visibilité.
Par défaut : valeur la plus élevée autorisée pour la variable liée dans Variable pour la visibilité.

Plus de détails dans l’aide en ligne.

VT_R8

GlowEffectVisibilityTo

Visible jusqu'à

Disponible uniquement si la propriété Activer est active. Vous devez en outre définir une variable dans la propriété Variable pour la visibilité ; la propriété Visibilité depuis valeur limite doit être inactive.

Définit la valeur jusqu’à laquelle l’effet de luminescence reste visible.
Minimum : valeur la plus basse autorisée pour la variable liée dans Variable pour la visibilité.
Maximum : valeur la plus élevée autorisée pour la variable liée dans Variable pour la visibilité.
Par défaut : valeur la plus élevée autorisée pour la variable liée dans Variable pour la visibilité.

Plus de détails dans l’aide en ligne.

ZT_VARIABLE_DYN

GlowEffectBlinkVariable

Variable pour le clignotement

Variables dont les paramètres de clignotement de l’effet de luminescence aux valeurs limites doivent être repris. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de variables.

Par défaut : aucune variable liée

Plus de détails dans l’aide en ligne.

ZT_PREVIEW

GlowEffectBlinkVariablePreview

Affichage aperçu clignotement

Affichage de la valeur limite définie pour la variable de clignotement lorsque l’effet de luminescence est actif. Disponible uniquement si l’option Depuis la variable a été configurée pour la propriété Variable pour le clignotement.

Un aperçu des propriétés définies pour la valeur limite est affiché dans le champ. Aucun aperçu n’est affiché pour les matrices de réaction.
Cliquez sur le bouton ... pour ouvrir la boîte de dialogue d’affichage des résultats. Les valeurs limite sont uniquement affichées ; elles ne peuvent pas être modifiées. Les modifications doivent être effectuées directement dans les propriétés de la variable pour Valeurs limite.

Plus de détails dans l’aide en ligne.

VT_BOOL

GlowEffectUseBlinkColor

Clignotement depuis valeur limite

Disponible uniquement si la propriété Activer est active. Vous devez en outre définir une variable dans la propriété Variable pour le clignotement.

Active : Reprend, pour l’effet de luminescence, la couleur de clignotement de la valeur limite active pour la variable définie dans la propriété Couleur de clignotement par la limite. Cette propriété agit indépendamment de la propriété Coloration. En cas de clignotement, l’effet de luminescence ne devient pas invisible, mais reprend les paramètres de l’effet de luminescence actif.

Par défaut : Inactive

Plus de détails dans l’aide en ligne.

VT_BOOL

GlowEffect2ndBlinkStateVisible

2 états de clignotement invisibles

Disponible uniquement si la propriété Activer est active. Vous devez en outre définir une variable dans la propriété Variable pour le clignotement ; la propriété Clignotement depuis valeur limite doit être inactive.

Active : En cas de clignotement, l’effet de luminescence ne bascule pas vers l’effet de luminescence actif, mais devient invisible. Ceci permet de basculer entre l’invisibilité et la couleur de clignotement en cas de dépassement de la valeur limite.

Par défaut : Inactive

Plus de détails dans l’aide en ligne.


Topological line

Manuel -> Interfaces de programmation -> Modèles d'objet -> Element -> Element-Dynamic properties -> Topological line

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Type

VBA/VSTA Name

Display Name

Description

VT_UI4

BrokenLine1

Ligne de séparation 1

Ligne de séparation 1

VT_UI4

BrokenLine2

Ligne de séparation 2

Ligne de séparation 2

VT_UI4

LineWidth

Épaisseur du trait

Épaisseur du trait

VT_UI4

DisplayMode

Mode de visualisation

Affichage du mode

VT_UI4

LineWidthFGES

Epaisseur de trait protégée

Épaisseur de trait protégée

VT_UI4

SaumWidth

Epaisseur bord

Épaisseur bord

ZT_VARIABLE_DYN

Variable_SS_1_1

Variable SS_1_1

Variable SS_1_1

ZT_VARIABLE_DYN

Variable_SS_1_2

Variable SS_1_2

Variable SS_1_2

ZT_VARIABLE_DYN

Variable_SS_1_3

Variable SS_1_4

Variable SS_1_4

ZT_VARIABLE_DYN

Variable_SS_1_4

Variable SS_1_4

Variable SS_1_4

ZT_VARIABLE_DYN

Variable_Start1

Variable Start1

Variable Start1

ZT_VARIABLE_DYN

VariableStandardIsolatingPoint

Point de division variable

Point de division variable

ZT_VARIABLE_DYN

Variable_Start2

Variable Start2

Variable Start2

ZT_VARIABLE_DYN

Variable_SS_2_1

Variable SS_2_1

Variable SS_2_1

ZT_VARIABLE_DYN

Variable_SS_2_2

Variable SS_2_2

Variable SS_2_2

ZT_VARIABLE_DYN

Variable_SS_2_3

Variable SS_2_3

Variable SS_2_3

ZT_VARIABLE_DYN

Variable_SS_2_4

Variable SS_2_4

Variable SS_2_4

VT_BSTR

DistributionLineCharacter

Caractère divisé dans un autre endroit

Caractère divisé dans un autre endroit

ZT_SCHRIFT

Font

Police

Sélection de la police utilisée pour l’affichage.

Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection. La police de caractères sélectionnée est liée.

Plus de détails dans l’aide en ligne.

ZT_VARIABLE_DYN

Variable

Variable

Nom de la variable liée. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de variables.
La valeur de cette variable est affichée dans cet élément et peut également être définie ici.

Remarque : Disponible uniquement pour les boutons s’ils sont utilisés en tant qu’interrupteurs.

Conseil : si la valeur de la variable doit être basculée, nous vous recommandons d’activer la propriété Variable lue en permanence. Dans le cas contraire, le Runtime patiente jusqu’à ce que le driver connaisse la valeur des variables. Si la valeur n’est pas disponible en raison d’une interruption des communications avec le contrôleur, le délai d’attente correspond au délai d’attente avant expiration du driver.

SICAM 230 et élément Synoptique d’alarmes uniquement :
La description ci-dessus s’applique uniquement aux éléments Bouton texte, Bouton bitmap et Bouton invisible.
Signification dans SICAM 230 : Les états des classes d’alarmes/d’événements seront attribués à la variable sélectionnée (32 bits). Pour chaque classe, 2 bits seront utilisés (par numéro de classe, dans l’ordre croissant).

  • Bit inférieur : alarme active/inactive
  • Bit supérieur : alarme acquittée/non acquittée

Plus de détails dans l’aide en ligne.

VT_BSTR

Coordinates

"With this property you can get/set the coordinates of the element via a string.
zElement.DynProperties(""Coordinates"") = ""197/118;260/200"""

VT_BSTR

ExtraPoints

Interruption multiple du caractère

Sign (several times) interrupted

VT_BOOL

UnderCE

Visible sous WinCE

Contrôle la visibilité des éléments dans les synoptiques sous Windows CE. Les projets qui sont utilisés sous CE et sur le PC peuvent être créés de manière plus flexible ; la gestion par l’utilisateur est ainsi améliorée. Par exemple, les boutons renvoyant l’utilisateur vers des synoptiques ne pouvant pas être affichés sous CE (par ex. IPA) peuvent être rendus invisibles.

Active : dans synoptique/l’élément est également visible sous Windows CE.

Par défaut : active

Plus de détails dans l’aide en ligne.

ZT_VBAMAKRO

Init

Init

Macro VBA à exécuter lors de l’initialisation de l’élément.

Plus de détails dans l’aide en ligne.

ZT_VBAMAKRO

SetFocus

SetFocus

Macro VBA à exécuter lorsque le focus est placé sur l’élément.

Plus de détails dans l’aide en ligne.

ZT_VBAMAKRO

KillFocus

KillFocus

Macro VBA à exécuter lorsque le focus n’est plus placé sur l’élément.

Plus de détails dans l’aide en ligne.

ZT_VBAMAKRO

LeftClickDown

LeftClickDown

Macro VBA à exécuter lorsque l’utilisateur effectue un clic gauche sur l’élément.

Plus de détails dans l’aide en ligne.

ZT_VBAMAKRO

RightClickDown

RightClickDown

Macro VBA à exécuter lorsque l’utilisateur effectue un clic droit sur l’élément.

Plus de détails dans l’aide en ligne.

ZT_VBAMAKRO

LeftClickUp

LeftClickUp

Macro VBA à exécuter lorsque l’utilisateur relâche le bouton gauche de la souris sur l’élément.

Plus de détails dans l’aide en ligne.

ZT_VBAMAKRO

RightClickUp

RightClickUp

Macro VBA à exécuter lorsque l’utilisateur relâche le bouton droit de la souris sur l’élément.

Plus de détails dans l’aide en ligne.

ZT_VBAMAKRO

LeftDClick

LeftDoubleClick

Macro VBA à exécuter lorsque l’utilisateur effectue un double-clic gauche sur l’élément.

Plus de détails dans l’aide en ligne.

ZT_VBAMAKRO

RightDClick

RightDoubleClick

Macro VBA à exécuter lorsque l’utilisateur effectue un double-clic droit sur l’élément.

Plus de détails dans l’aide en ligne.

ZT_VBAMAKRO

MouseOver

MouseOver

Macro VBA à exécuter si le pointeur de la souris est positionné sur l’élément.

Plus de détails dans l’aide en ligne.

ZT_VBAMAKRO

DragDrop

DragDrop

Macro VBA à exécuter lorsque le bouton de la souris est relâché.

Plus de détails dans l’aide en ligne.

ZT_VBAMAKRO

DragOver

DragOver

Macro VBA à exécuter lorsque le curseur est déplacé au-dessus de l’élément pendant que le bouton gauche est enfoncé.

Plus de détails dans l’aide en ligne.

ZT_VBAMAKRO

DragBegin

DragBegin

Macro VBA à exécuter lorsque l’utilisateur commence à faire glisser l’objet.

Plus de détails dans l’aide en ligne.

VT_BSTR

Menu

Menu contextuel

Menu contextuel de l’élément.
Cliquer avec le bouton droit de la souris sur l’élément pour ouvrir le menu contextuel dans le Runtime.

Plus de détails dans l’aide en ligne.

VT_BSTR

Tooltip

Info bulle

Texte à afficher en tant qu’info-bulle de l’élément dans le Runtime. Une info-bulle est automatiquement affichée dans le Runtime si le pointeur de la souris reste pendant quelques secondes sur l’élément. Des retours à la ligne automatiques peuvent être insérés avec les caractères "\n".

  • Maximum : 79 caractères
    Attention : La combinaison de caractères \n est également comptée dans la limite de 79 caractères.

Plus de détails dans l’aide en ligne.

VT_BOOL

LassoSelect

sélectionnable avec le lasso

La sélection avec le lasso dans le Runtime permet d’identifier les éléments dynamiques et de les utiliser avec des événements VBA.

  • Active : L’élément peut être sélectionné avec le lasso dans le Runtime.
  • Inactive : L’élément ne peut pas être sélectionné dans Runtime.

Par défaut : active

Attention : Pour que l’élément puisse être sélectionné dans le Runtime, vous devez activer la propriété Sélection multiple en runtime (lasso) dans les paramètres du projet !

Remarque concernant la gestion des commandes : Si la propriété Opération à deux mains est activée, le lasso de la commande Exécuter le 2ème niveau ne doit pas être activé.

Plus de détails dans l’aide en ligne.

More...

GestureManipulationGroup

Manipulation

Propriétés pour la manipulation de synoptiques et d’éléments de synoptique dans le cadre d’une utilisation tactile.

Plus de détails dans l’aide en ligne.

VT_BOOL

Tab

Le focus est donné à l'élément

Active : L’élément dynamique peut être actionné à l’aide du clavier.
Inactive : L’élément dynamique n’est pas accessible à l’aide du clavier.
Par défaut : active.

Plus de détails dans l’aide en ligne.

VT_I4

TABOrderH

Position du focus gauche/droite

Définit la position horizontale pour l’utilisation à l’aide du clavier dans le Runtime. La position est définie par l’intermédiaire du menu contextuel et de l’utilisation de la souris dans la fenêtre principale ; elle ne peut pas être modifiée ici.

Plus de détails dans l’aide en ligne.

VT_I4

TABOrderV

Position focus haut / bas

Définit la position verticale pour l’utilisation à l’aide du clavier dans le Runtime. La position est définie par l’intermédiaire du menu contextuel et de l’utilisation de la souris dans la fenêtre principale ; elle ne peut pas être modifiée ici.

Plus de détails dans l’aide en ligne.

ZT_FILE

Helpfile

Fichier d'aide

Fichier d’aide (*.chm) devant être utilisé pour cet élément, conjointement à un menu contextuel. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de fichiers.
Attention : seuls les fichiers d’aide ayant été ajoutés dans le nœud Fichiers/Aide sont disponibles.

Plus de détails dans l’aide en ligne.

VT_BSTR

HelpCapture

Chapitre d'aide

Chapitre d’aide (*.chm) devant être utilisé pour cet élément, conjointement à un menu contextuel. Nom de la page HTML sous-jacente.
Attention : cette entrée tient compte des minuscules et majuscules.

Plus de détails dans l’aide en ligne.

ZT_VARIABLE_DYN

SetValueDynMin

Minimum

Variable dont la valeur actuelle est applicable en tant que limite inférieure de la valeur prescrite de l’élément.
Disponible uniquement si Plages de la variable est inactive :
Plus de détails dans l’aide en ligne.

ZT_VARIABLE_DYN

SetValueDynMax

Maximum

Variable dont la valeur actuelle est applicable en tant que limite supérieure de la valeur prescrite de l’élément.

Disponible uniquement si la propriété Plages de la variable est inactive.

Plus de détails dans l’aide en ligne.

VT_BOOL

GestureRecognitionActive

Reconnaissance de geste active

Active l’évaluation des gestes. Les gestes sont définis à l’aide d’autres propriétés.

Uniquement disponible si, dans le groupe Intéraction des propriétés du projet, la propriété Reconnaissance Windows 8 a été définie.

Plus de détails dans l’aide en ligne.

VT_BOOL

Gestures_Manipulation

Exact

Active : Détection du paramètre Exact défini.

Plus de détails dans l’aide en ligne.

VT_BOOL

Gestures_Exact

Exact

Active : Détection du paramètre Exact défini.

Plus de détails dans l’aide en ligne.

VT_BOOL

Gestures_TranslationX

Translation X

Active : Détection du paramètre Translation X défini.

Plus de détails dans l’aide en ligne.

VT_BOOL

Gestures_TranslationY

Translation Y

Active : Détection du paramètre Translation Y défini.

Plus de détails dans l’aide en ligne.

VT_BOOL

Gestures_RailsX

Rails X

Active : Détection du paramètre Rails X défini.

Plus de détails dans l’aide en ligne.

VT_BOOL

Gestures_RailsY

Rails Y

Active : Détection du paramètre Rails Y défini.

Plus de détails dans l’aide en ligne.

VT_BOOL

Gestures_TranslationInertia

Translation inertia

Active : Détection du paramètre Translation Inertia (Inertie de translation) défini.

Plus de détails dans l’aide en ligne.

VT_BOOL

Gestures_Rotation

Inertie de rotation

Active : Détection du paramètre Rotation Inertia (Inertie de rotation) défini.

Plus de détails dans l’aide en ligne.

VT_BOOL

Gestures_RotationInertia

Inertie de rotation

Active : Détection du paramètre Rotation Inertia (Inertie de rotation) défini.

Plus de détails dans l’aide en ligne.

VT_BOOL

Gestures_Scaling

Scaling inertia

Active : Détection du paramètre Scaling Inertia (Inertie de redimensionnement) défini.

Plus de détails dans l’aide en ligne.

VT_BOOL

Gestures_ScalingInertia

Scaling inertia

Active : Détection du paramètre Scaling Inertia (Inertie de redimensionnement) défini.

Plus de détails dans l’aide en ligne.

VT_BOOL

Gestures_CrossSlide

Cross slide exact

Active : Détection du paramètre Cross Slide Exact (Glissement transversal exact) défini.

Plus de détails dans l’aide en ligne.

VT_BOOL

Gestures_CrossSlideHorizontal

Cross slide horizontal

Active : Détection du paramètre Cross Slide Horizontal (Glissement transversal horizontal) défini.

Plus de détails dans l’aide en ligne.

VT_BOOL

Gestures_CrossSlideSelect

Cross slide select

Active : Détection du paramètre Cross Slide Select (Glissement transversal, sélection) défini.

Plus de détails dans l’aide en ligne.

VT_BOOL

Gestures_CrossSlideSpeedBump

Cross slide speed bump

Active : Détection du paramètre Cross Slide Speed Bump (Glissement transversal, ralentisseur) défini.

Plus de détails dans l’aide en ligne.

VT_BOOL

Gestures_CrossSlideRearrange

Cross slide rearrange

Active : Détection du paramètre Cross Slide Rearrange (Glissement transversal, réorganisation) défini.

Plus de détails dans l’aide en ligne.

VT_BOOL

Gestures_CrossSlideExact

Cross slide exact

Active : Détection du paramètre Cross Slide Exact (Glissement transversal exact) défini.

Plus de détails dans l’aide en ligne.

VT_BOOL

Gestures_Tap

Tap double

Active : Détection du paramètre Tap Double (Double appui) défini.

Plus de détails dans l’aide en ligne.

VT_BOOL

Gestures_TapDouble

Tap double

Active : Détection du paramètre Tap Double (Double appui) défini.

Plus de détails dans l’aide en ligne.

VT_BOOL

Gestures_SecondaryTap

Secondary tap

Active : Détection du paramètre Secondary Tap (Appui secondaire) défini.

Plus de détails dans l’aide en ligne.

VT_BOOL

Gestures_Drag

Drag

Active : Détection du paramètre Drag (Glissement) défini.

Plus de détails dans l’aide en ligne.

VT_BOOL

Gestures_Hold

Hold (Mouse)

Active : Détection du paramètre Hold (Mouse) (Maintien [souris]) défini.

Plus de détails dans l’aide en ligne.

ZT_STYLE

StyleGroup

Groupe de styles

Affichage et sélection du groupe de styles attribué à l’élément.
Cliquez sur le bouton ... pour ouvrir la boîte de dialogue permettant de sélectionner un groupe de styles.
Si plusieurs éléments sont sélectionnés, elles peuvent être attribuées à un groupe de styles commun.

Remarque : Seules les propriétés compatibles avec l’élément correspondant sont prises en charge.

Plus de détails dans l’aide en ligne.

More...

LnClVariable

LnClVariable

"With this property you have the opportunity to get informations about the variable which is linked as ""line/text color"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""LnClVariable.SymVarName"") 'Return the name of the ""line/text color"" variable
zElement.DynProperties (""LnClVariable.SymVarTagNr"") 'Return the identification of the ""line/text color"" variable"

More...

BkClVariable

BkClVariable

"With this property you have the opportunity to get informations about the variable which is linked as ""background/filling color"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""BkClVariable.SymVarName"") 'Return the name of the ""background/filling color"" variable
zElement.DynProperties (""BkClVariable.SymVarTagNr"") 'Return the identification of the ""background/filling color"" variable"

More...

BkCl2Variable

"BkCl2Variable"

More...

XVar

XVar

"With this property you have the opportunity to get informations about the variable which is linked as ""dynamic x position"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""XVar.SymVarName"") 'Return the name of the ""dynamic x position"" variable
zElement.DynProperties (""XVar.SymVarTagNr"") 'Return the identification of the ""dynamic x position"" variable"

More...

YVar

YVar

"With this property you have the opportunity to get informations about the variable which is linked as ""dynamic y position"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""YVar.SymVarName"") 'Return the name of the ""dynamic y position"" variable
zElement.DynProperties (""YVar.SymVarTagNr"") 'Return the identification of the ""dynamic y position"" variable"

More...

XVarZoom

XVarZoom

"With this property you have the opportunity to get informations about the variable which is linked as ""change width"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""XVarZoom.SymVarName"") 'Return the name of the ""change width"" variable
zElement.DynProperties (""XVarZoom.SymVarTagNr"") 'Return the identification of the ""change width"" variable"

More...

YVarZoom

YVarZoom

"With this property you have the opportunity to get informations about the variable which is linked as ""change height"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""YVarZoom.SymVarName"") 'Return the name of the ""change height"" variable
zElement.DynProperties (""YVarZoom.SymVarName"") 'Return the name of the ""change height"" variable
zElement.DynProperties (""YVarZoom.SymVarTagNr"") 'Return the identification of the ""change height"" variable"

More...

TwistVar

TwistVar

"With this property you have the opportunity to get informations about the variable which is linked as ""rotate"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""TwistVar.SymVarName"") 'Return the name of the ""rotate"" variable
zElement.DynProperties (""TwistVar.SymVarTagNr"") 'Return the identification of the ""rotate"" variable"

More...

VisVariable

VisVariable

"With this property you have the opportunity to get informations about the variable which is linked as ""visibility"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""VisVariable.SymVarName"") 'Return the name of the ""visibility"" variable
zElement.DynProperties (""VisVariable.SymVarTagNr"") 'Return the identification of the ""visibility"" variable"

More...

BlinkVar

BlinkVar

More...

GlowEffectGlowColorVar

GlowEffectGlowColorVar

More...

GlowEffectVisibilityVar

GlowEffectVisibilityVar

More...

GlowEffectBlinkVar

GlowEffectBlinkVar

VT_BSTR

Name

Nom d'élément

Attribuez un nom d’élément.
Il ne doit pas être vide.

Attention : Cette propriété n’est pas disponible aux fins de la commutation de langue.

Remarques concernant les cadrans : Pour les conteneurs de synoptique, spécifiez des noms clairement identifiables pour faciliter la sélection lors de la configuration des appels de synoptique.

Plus de détails dans l’aide en ligne.

VT_UI1

Layer

Niveau de visibilité

Sélectionnez l’un des 16 niveaux de visibilité (0 à 15) dans la liste déroulante. À l’aide de la barre d’outils Niveau de visibilité, vous décidez des niveaux qui doivent être affichés dans Editor. Cette fonction garantit que les synoptiques les plus complexes peuvent être développés de manière simple. Les niveaux peuvent être utilisés immédiatement. Les niveaux n’ont aucune influence sur les informations affichées au premier plan ou en arrière-plan dans le Runtime.
Par défaut : 0.

Plus de détails dans l’aide en ligne.

VT_I4

StartX

Point de départ X [pixels]

Coordonnée Y du coin supérieur gauche du synoptique (en pixels).

Plus de détails dans l’aide en ligne.

VT_I4

EndX

Point final X [pixels]

Coordonnée X du coin inférieur droit du synoptique (en pixels).

Plus de détails dans l’aide en ligne.

VT_I4

StartY

Point de départ Y [pixels]

Coordonnée Y du coin supérieur gauche du synoptique (en pixels).

Plus de détails dans l’aide en ligne.

VT_I4

EndY

Point final Y [pixels]

Coordonnée Y du coin inférieur droit du synoptique (en pixels).

Plus de détails dans l’aide en ligne.

VT_I4

Width

Largeur [pixels]

Largeur des éléments en pixels.

Remarque : disponible uniquement pour les éléments Combinaison multiple, Élément combiné, Bouton et Interrupteur si la valeur Ajusté a été sélectionnée pour la propriété Taille du graphique.

Plus de détails dans l’aide en ligne.

VT_I4

Height

Hauteur [pixels]

Hauteur des éléments en pixels.

Remarque : disponible uniquement pour les éléments Combinaison multiple, Élément combiné, Bouton et Interrupteur si la valeur Ajusté a été sélectionnée pour la propriété Taille du graphique.

Plus de détails dans l’aide en ligne.

VT_I4

Angle

Angle de rotation [°]

Angle libre autour selon lequel doit pivoter l’élément.
Les valeurs positives correspondent à une rotation dans le sens antihoraire, tandis que les valeurs négatives correspondent à une rotation dans le sens horaire. Les valeurs supérieures à 360° sont affichées sous forme d’écart par rapport à 360° (400° correspond à 40°). Seuls les nombres entiers sont autorisés.

Sur les éléments pivotés, les actions suivantes ne sont plus possibles :

  • Miroir
  • Rotation de +/- 90°
  • Redimensionnement à l’aide des touches fléchées

Par défaut : 0

Remarque : Ce paramètre est activé et réinitialisé lors de la configuration pour Windows CE.

Plus de détails dans l’aide en ligne.

VT_I2

ZoomMin

Visible de

Incrément de zoom le plus bas auquel l’élément est visible dans la vue globale.
Par défaut : -1
Une valeur de visibilité avec des incréments de zoom de -1 à -1 signifie que l’élément est affiché, quel que soit l’incrément de zoom sélectionné.

Les niveaux de zoom affichés dans la vue globale peuvent être configurés avec la propriété Apparence graphique -> Généralités runtime -> Pas de zoom pour vue globale.

Attention : Ce niveau de zoom s’applique à tous les types de synoptiques et cadres. Si un niveau de zoom défini est supérieur à 0, l’élément est uniquement affiché dans la vue globale, car les autres types de synoptique sont automatiquement appelés avec le niveau de zoom 0.

Plus de détails dans l’aide en ligne.

VT_I2

ZoomMax

Visible jusqu'à

Incrément de zoom le plus élevé auquel l’élément est visible dans la vue globale.

Par défaut : -1
Une valeur de visibilité avec des incréments de zoom de -1 à -1 signifie que l’élément est affiché, quel que soit l’incrément de zoom sélectionné.

Les niveaux de zoom affichés dans la vue globale peuvent être configurés avec la propriété Apparence graphique -> Généralités runtime -> Pas de zoom pour vue globale.

Attention : Ce niveau de zoom s’applique à tous les types de synoptiques et cadres. Si un niveau de zoom défini est supérieur à 0, l’élément est uniquement affiché dans la vue globale, car les autres types de synoptique sont automatiquement appelés avec le niveau de zoom 0.

Plus de détails dans l’aide en ligne.

VT_BSTR

Stationname

Nom liste d'objets

L’élément est saisi directement dans la liste de stations du synoptique Vue globale, et le texte est saisi ici.

Plus de détails dans l’aide en ligne.

ZT_VARIABLE_DYN

LineColorVariable

Couleur de ligne

Nom des variables dont les couleurs de valeur limite doivent influencer la couleur de ligne/de texte de l’élément. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de variables.

Plus de détails dans l’aide en ligne.

ZT_PREVIEW

LineColorVarPreview

Affichage aperçu couleur

Affichage de la valeur limite pour la propriété Couleur de ligne définie pour la variable. Disponible uniquement si l’option Depuis la variable a été configurée pour la propriété Couleur de ligne.

Un aperçu des propriétés définies pour la valeur limite est affiché dans le champ. Aucun aperçu n’est affiché pour les matrices de réaction.
Cliquez sur le bouton ... pour ouvrir la boîte de dialogue d’affichage des résultats. Les valeurs limite sont uniquement affichées ; elles ne peuvent pas être modifiées. Les modifications doivent être effectuées directement dans les propriétés de la variable pour Valeurs limite.

Plus de détails dans l’aide en ligne.

ZT_VARIABLE_DYN

BackColorVariable

Couleur de remplissage

Nom de la variable dont les couleurs de valeur limite doivent influencer la couleur d’arrière-plan/de remplissage de l’élément.
Ouvre la boîte de dialogue de sélection de variables.

Plus de détails dans l’aide en ligne.

ZT_PREVIEW

BackColorVarPreview

Affichage aperçu couleur

Affichage de la valeur limite pour la propriété Couleur de remplissage définie pour la variable. Disponible uniquement si l’option Depuis la variable a été configurée pour la propriété Couleur de remplissage.

Un aperçu des propriétés définies pour la valeur limite est affiché dans le champ. Aucun aperçu n’est affiché pour les matrices de réaction.
Cliquez sur le bouton ... pour ouvrir la boîte de dialogue d’affichage des résultats. Les valeurs limite sont uniquement affichées ; elles ne peuvent pas être modifiées. Les modifications doivent être effectuées directement dans les propriétés de la variable pour Valeurs limite.

Plus de détails dans l’aide en ligne.

VT_UI1

HorizontalOrigin

Horizontal

Point de référence horizontal de l’événement. Les valeurs possibles sont : gauche, centré, droite.
Ce point est utilisé en tant que base de calcul de l’angle de départ de la rotation (statique et dynamique) et pour le changement dynamique de taille.

Par défaut : À gauche

Plus de détails dans l’aide en ligne.

VT_UI1

VerticalOrigin

Vertical

Point de référence vertical de l’événement. Les valeurs possibles sont : haut, centré, bas.
Ce point est utilisé en tant que base de calcul de l’angle de départ de la rotation (statique et dynamique) et pour le changement dynamique de taille.

Par défaut : En haut

Plus de détails dans l’aide en ligne.

VT_UI4

VisibilityType

Visibilité

Sélection depuis laquelle la visibilité d’un élément est déterminée :

  • Depuis une variable
  • Du verrrouillage

Par défaut : Depuis une variable

Plus de détails dans l’aide en ligne.

ZT_VARIABLE_DYN

VisibilityVariable

Variable

Disponible uniquement si l’option Depuis la variable a été configurée pour la propriété Visibilité.

Nom de la variable dont la valeur contrôle la visibilité de l’élément. La visibilité est soit reprise des propriétés de valeur limite de ces variables, soit définie par la plage de valeurs définie dans les propriétés de et À.
Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de variables. Vous pouvez également saisir manuellement le nom dans le champ de texte.
L'élément reste visible tant qu’aucune variable n’est liée.

Plus de détails dans l’aide en ligne.

ZT_PREVIEW

VisVarPreview

Affichage aperçu visibilité

Affichage des valeurs limite pour la visibilité définies pour la variable. Disponible uniquement si l’option Depuis la variable a été configurée pour la propriété Variable dans le groupe Visibilité.

Un aperçu des propriétés définies pour la valeur limite est affiché dans le champ. Aucun aperçu n’est affiché pour les matrices de réaction.
Cliquez sur le bouton ... pour ouvrir la boîte de dialogue d’affichage des résultats. Les valeurs limite sont uniquement affichées ; elles ne peuvent pas être modifiées. Les modifications doivent être effectuées directement dans les propriétés de la variable pour Valeurs limite.

Plus de détails dans l’aide en ligne.

VT_BOOL

VisibilityFromLimit

A partir des valeurs limites

Uniquement disponible après la sélection d’une variable :

  • Active : La visibilité de l’élément est influencée par la propriété de valeur limite de la variable.

    Attention : La propriété Invisible doit être active pour au moins une valeur limite de la variable.

  • Inactive : la visibilité est influencée par les propriétés de l’élément.

Par défaut : active

Plus de détails dans l’aide en ligne.

VT_R8

VisibilityFrom

de

Disponible uniquement après la sélection d’une variable, si la visibilité n’a pas été reprise par la valeur limite :

Valeur minimum de la variable à laquelle l’élément est visible.

  • Minimum : valeur minimum possible de la variable liée.
  • Maximum : valeur maximum possible de la variable liée.

Par défaut : valeur minimum possible de la variable liée.

Plus de détails dans l’aide en ligne.

VT_R8

VisibilityTo

À

Disponible uniquement après la sélection d’une variable, si la visibilité n’a pas été reprise par la valeur limite :

Valeur maximale de la variable à laquelle l’élément est visible.

  • Minimum : valeur minimum possible de la variable liée.
  • Maximum : valeur maximum possible de la variable liée.

Par défaut : valeur maximum possible de la variable liée.

Plus de détails dans l’aide en ligne.

VT_UI4

Interlocking

Verrouillage

Disponible uniquement si l’option Depuis le verrouillage est sélectionnée pour la propriété Visibilité.

Nom du verrouillage dont la valeur contrôle la visibilité de l’élément. Sélectionnez dans la liste déroulante. Celle-ci contient tous les verrouillages existants et utilisables. L’élément est toujours visible si aucun verrouillage n’est lié.

Plus de détails dans l’aide en ligne.

VT_BSTR

InterlockingName

InterlockingName

Description

VT_BOOL

VisibleWhenInterlocked

Visible si verrouillé

Contrôle la visibilité de l’élément lorsque le verrouillage est sélectionné :

  • Active : L’élément est visible s’il est verrouillé.
  • Inactive : L’élément est visible s’il n’est pas verrouillé.

Par défaut : inactive

Plus de détails dans l’aide en ligne.

ZT_VARIABLE_DYN

BlinkVariable

Affichage aperçu clignotement

Affichage des valeurs limite pour le clignotement définies pour la variable. Disponible uniquement si l’option Depuis la variable a été configurée pour la propriété Prendre le clignotement de la limite.

Un aperçu des propriétés définies pour la valeur limite est affiché dans le champ. Aucun aperçu n’est affiché pour les matrices de réaction.
Cliquez sur le bouton ... pour ouvrir la boîte de dialogue d’affichage des résultats. Les valeurs limite sont uniquement affichées ; elles ne peuvent pas être modifiées. Les modifications doivent être effectuées directement dans les propriétés de la variable pour Valeurs limite.

Plus de détails dans l’aide en ligne.

ZT_PREVIEW

BlinkVarPreview

Affichage aperçu clignotement

Affichage des valeurs limite pour le clignotement définies pour la variable. Disponible uniquement si l’option Depuis la variable a été configurée pour la propriété Prendre le clignotement de la limite.

Un aperçu des propriétés définies pour la valeur limite est affiché dans le champ. Aucun aperçu n’est affiché pour les matrices de réaction.
Cliquez sur le bouton ... pour ouvrir la boîte de dialogue d’affichage des résultats. Les valeurs limite sont uniquement affichées ; elles ne peuvent pas être modifiées. Les modifications doivent être effectuées directement dans les propriétés de la variable pour Valeurs limite.

Plus de détails dans l’aide en ligne.

VT_BOOL

UseBlinkColor

Couleur de clignotement par la limite

Active : Reprend la couleur d’arrière-plan du clignotement défini pour la valeur limite active de la variable pour Prendre le clignotement de la limite. Durant le clignotement, l’élément ne devient pas invisible, mais reprend la couleur d’arrière-plan active.

Par défaut : Inactive

Remarque : la couleur n’est pas prise en compte si la couleur d’arrière-plan Transparence est configurée.

Plus de détails dans l’aide en ligne.

ZT_VARIABLE_DYN

XVariable

Variable

Nom de la variable utilisée pour le déplacement horizontal de l’élément.
Ouvre la boîte de dialogue de sélection de variables.

Plus de détails dans l’aide en ligne.

VT_R8

XVarMin

Valeur min de la variable

Valeur minimale de la variable utilisée pour le déplacement horizontal de l’élément.

Plus de détails dans l’aide en ligne.

VT_R8

XVarMax

Valeur max de la variable

Valeur maximale de la variable utilisée pour le déplacement horizontal de l’élément.

Plus de détails dans l’aide en ligne.

VT_I4

XViewMin

Mouvement min [pixels]

Position horizontale de l’élément pour la valeur minimale de la variable (en pixels).

Plus de détails dans l’aide en ligne.

VT_I4

XViewMax

Mouvement max [pixels]

Position horizontale de l’élément pour la valeur minimale de la variable (en pixels).

Plus de détails dans l’aide en ligne.

ZT_VARIABLE_DYN

YVariable

Variable

Nom de la variable utilisée pour le déplacement vertical de l’élément.
Ouvre la boîte de dialogue de sélection de variables.

Plus de détails dans l’aide en ligne.

VT_R8

YVarMin

Valeur min de la variable

Valeur minimale de la variable utilisée pour le déplacement vertical de l’élément.

Plus de détails dans l’aide en ligne.

VT_R8

YVarMax

Valeur max de la variable

Valeur maximale de la variable utilisée pour le déplacement vertical de l’élément.

Plus de détails dans l’aide en ligne.

VT_I4

YViewMin

Mouvement min [pixels]

Position verticale de l’élément pour la valeur minimale de la variable (en pixels).

Plus de détails dans l’aide en ligne.

VT_I4

YViewMax

Mouvement max [pixels]

Position verticale de l’élément pour la valeur maximale de la variable (en pixels).

Plus de détails dans l’aide en ligne.

ZT_VARIABLE_DYN

XZoomVariable

Variable

Nom de la variable utilisée pour l’agrandissement de la largeur de l’élément.
Ouvre la boîte de dialogue de sélection de variables.

Plus de détails dans l’aide en ligne.

VT_R8

XZoomVarMin

Valeur min de la variable

Valeur minimale de la variable utilisée pour effectuer un zoom à la largeur de l’élément.

Plus de détails dans l’aide en ligne.

VT_R8

XZoomVarMax

Valeur max de la variable

Valeur maximale de la variable utilisée pour effectuer un zoom sur la largeur de l’élément.

Plus de détails dans l’aide en ligne.

VT_I4

XZoomViewMin

Largeur min [%]

Facteur de zoom correspondant à la largeur de l’élément pour la valeur minimale de la variable (en pixels).

Plus de détails dans l’aide en ligne.

VT_I4

XZoomViewMax

Largeur max [%]

Facteur de zoom correspondant à la largeur de l’élément pour la valeur maximale de la variable (en pixels).

Plus de détails dans l’aide en ligne.

ZT_VARIABLE_DYN

YZoomVariable

Variable

Nom de la variable utilisée pour l’agrandissement de la hauteur de l’élément.
Ouvre la boîte de dialogue de sélection de variables.

Plus de détails dans l’aide en ligne.

VT_R8

YZoomVarMin

Valeur min de la variable

Valeur minimum de la variable utilisée pour effectuer un zoom sur la hauteur de l’élément.

Plus de détails dans l’aide en ligne.

VT_R8

YZoomVarMax

Valeur max de la variable

Valeur maximum de la variable utilisée pour effectuer un zoom sur la hauteur de l’élément.

Plus de détails dans l’aide en ligne.

VT_I4

YZoomViewMin

Hauteur min [%]

Facteur de zoom correspondant à la hauteur de l’élément pour la valeur minimum de la variable (en %).

Plus de détails dans l’aide en ligne.

VT_I4

YZoomViewMax

Hauteur max [%]

Facteur de zoom correspondant à la hauteur de l’élément pour la valeur maximale de la variable (en pixels).

Plus de détails dans l’aide en ligne.

ZT_VARIABLE_DYN

TwistVariable

Variable

Nom de la variable utilisée pour la rotation de l’élément.

Plus de détails dans l’aide en ligne.

VT_R8

TwistVarMin

Valeur min de la variable

Valeur minimum de la variable utilisée pour la rotation de l’élément.

Plus de détails dans l’aide en ligne.

VT_R8

TwistVarMax

Valeur max de la variable

Valeur maximale de la variable utilisée pour la rotation de l’élément.

Plus de détails dans l’aide en ligne.

VT_I4

TwistViewMin

Rotation min [°]

Angle de rotation de l’élément pour la valeur minimum de la variable (en °).

Plus de détails dans l’aide en ligne.

VT_I4

TwistViewMax

Rotation max [°]

Angle de rotation de l’élément pour la valeur maximum de la variable (en °).

Plus de détails dans l’aide en ligne.

ZT_STYLE

ShadowEffectStyle

Style effet cadres/ombres

Affichage et sélection du style de cadre et d’ombre attribué à l’élément.

Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de style.
Si plusieurs éléments ont été sélectionnés, ils peuvent être attribués à un style commun.

Remarque : Seules les propriétés compatibles avec l’élément correspondant sont prises en charge.

Plus de détails dans l’aide en ligne.

VT_BOOL

EnablePunchFrame

Afficher le cadre

A frame around the element can be displayed.
Default: inactive.

ZT_STYLE

GlowEffectStyle

Style effet de rayonnement

Affichage et sélection du style des effets de luminescence attribués à l’élément.

Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de style.
Si plusieurs éléments ont été sélectionnés, ils peuvent être attribués à un style commun.

Remarque : Seules les propriétés compatibles avec l’élément correspondant sont prises en charge.

Plus de détails dans l’aide en ligne.

VT_BOOL

GlowEffectEvent

Actif seulement si cliqué

Disponible uniquement si la propriété Activer est active et l’élément est un bouton.

Active : l’effet de luminescence est uniquement affiché lorsque l’utilisateur clique sur le bouton. Cliquer sur le bouton permet de modifier la couleur, le clignotement ou l’invisibilité de l’effet de luminescence.

Par défaut : Inactive

Plus de détails dans l’aide en ligne.

ZT_VARIABLE_DYN

GlowEffectGlowColorVariable

Variable pour la couleur

Disponible uniquement si la propriété Activer est active. La propriété Coloration doit être activée.

Nom de la variable dont la couleur aux valeurs limites doit influencer la couleur de l’effet de luminescence pour l’élément. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de variables. Vous pouvez également saisir le nom manuellement dans le champ de texte. Si aucune variable n’est liée, la couleur définie dans la propriété Couleur est utilisée.

Par défaut : aucune variable liée

Plus de détails dans l’aide en ligne.

ZT_PREVIEW

GlowEffectGlowColorVariablePreview

Affichage aperçu couleur

Affichage de la valeur limite définie pour la variable de couleur lorsque l’effet de luminescence est actif. Disponible uniquement si l’option Depuis la variable a été configurée pour la propriété Variable pour la couleur.

Un aperçu des propriétés définies pour la valeur limite est affiché dans le champ. Aucun aperçu n’est affiché pour les matrices de réaction.
Cliquez sur le bouton ... pour ouvrir la boîte de dialogue d’affichage des résultats. Les valeurs limite sont uniquement affichées ; elles ne peuvent pas être modifiées. Les modifications doivent être effectuées directement dans les propriétés de la variable pour Valeurs limite.

Plus de détails dans l’aide en ligne.

ZT_VARIABLE_DYN

GlowEffectVisibilityVariable

Variable pour la visibilité

Disponible uniquement si la propriété Activer est active.

Nom de la variable dont la valeur influence la visibilité de l’effet de luminescence. La visibilité est soit reprise des propriétés de valeur limite de cette variable (propriété Visibilité depuis valeur limite active), soit définie par la plage de valeurs définie dans les propriétés Visible de et Visible jusqu'à. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de variables. Vous pouvez également saisir le nom manuellement dans le champ de texte.

Remarque : si aucune variable n’est liée, l’effet de luminescence est toujours visible.

Par défaut : aucune variable liée

Plus de détails dans l’aide en ligne.

ZT_PREVIEW

GlowEffectVisibilityVariablePreview

Affichage aperçu visibilité

Affichage de la valeur limite définie pour la variable de visibilité lorsque l’effet de luminescence est actif. Disponible uniquement si l’option Depuis la variable a été configurée pour la propriété Variable pour la visibilité.

Un aperçu des propriétés définies pour la valeur limite est affiché dans le champ. Aucun aperçu n’est affiché pour les matrices de réaction.
Cliquez sur le bouton ... pour ouvrir la boîte de dialogue d’affichage des résultats. Les valeurs limite sont uniquement affichées ; elles ne peuvent pas être modifiées. Les modifications doivent être effectuées directement dans les propriétés de la variable pour Valeurs limite.

Plus de détails dans l’aide en ligne.

VT_BOOL

GlowEffectVisibilityFromLimit

Visibilité depuis valeur limite

Disponible uniquement si la propriété Activer est active. Vous devez en outre définir une variable dans la propriété Variable pour la visibilité.

Active : La visibilité de l’effet de luminescence est influencée par la propriété de valeur limite de la variable.

Attention : Pour une valeur limite de la variable au moins, la propriété Invisible doit être active.

Inactive : la visibilité est influencée par les propriétés de l’élément.

Plus de détails dans l’aide en ligne.

VT_R8

GlowEffectVisibilityFrom

Visible de

Disponible uniquement si la propriété Activer est active. Vous devez en outre définir une variable dans la propriété Variable pour la visibilité ; la propriété Visibilité depuis valeur limite doit être inactive.

Définit la valeur à partir de laquelle l’effet de luminescence devient visible.
Minimum : valeur la moins élevée autorisée pour la variable liée dans Variable pour la visibilité.
Maximum : valeur la moins élevée autorisée pour la variable liée dans Variable pour la visibilité.
Par défaut : valeur la plus élevée autorisée pour la variable liée dans Variable pour la visibilité.

Plus de détails dans l’aide en ligne.

VT_R8

GlowEffectVisibilityTo

Visible jusqu'à

Disponible uniquement si la propriété Activer est active. Vous devez en outre définir une variable dans la propriété Variable pour la visibilité ; la propriété Visibilité depuis valeur limite doit être inactive.

Définit la valeur jusqu’à laquelle l’effet de luminescence reste visible.
Minimum : valeur la plus basse autorisée pour la variable liée dans Variable pour la visibilité.
Maximum : valeur la plus élevée autorisée pour la variable liée dans Variable pour la visibilité.
Par défaut : valeur la plus élevée autorisée pour la variable liée dans Variable pour la visibilité.

Plus de détails dans l’aide en ligne.

ZT_VARIABLE_DYN

GlowEffectBlinkVariable

Variable pour le clignotement

Variables dont les paramètres de clignotement de l’effet de luminescence aux valeurs limites doivent être repris. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de variables.

Par défaut : aucune variable liée

Plus de détails dans l’aide en ligne.

ZT_PREVIEW

GlowEffectBlinkVariablePreview

Affichage aperçu clignotement

Affichage de la valeur limite définie pour la variable de clignotement lorsque l’effet de luminescence est actif. Disponible uniquement si l’option Depuis la variable a été configurée pour la propriété Variable pour le clignotement.

Un aperçu des propriétés définies pour la valeur limite est affiché dans le champ. Aucun aperçu n’est affiché pour les matrices de réaction.
Cliquez sur le bouton ... pour ouvrir la boîte de dialogue d’affichage des résultats. Les valeurs limite sont uniquement affichées ; elles ne peuvent pas être modifiées. Les modifications doivent être effectuées directement dans les propriétés de la variable pour Valeurs limite.

Plus de détails dans l’aide en ligne.

VT_BOOL

GlowEffectUseBlinkColor

Clignotement depuis valeur limite

Disponible uniquement si la propriété Activer est active. Vous devez en outre définir une variable dans la propriété Variable pour le clignotement.

Active : Reprend, pour l’effet de luminescence, la couleur de clignotement de la valeur limite active pour la variable définie dans la propriété Couleur de clignotement par la limite. Cette propriété agit indépendamment de la propriété Coloration. En cas de clignotement, l’effet de luminescence ne devient pas invisible, mais reprend les paramètres de l’effet de luminescence actif.

Par défaut : Inactive

Plus de détails dans l’aide en ligne.

VT_BOOL

GlowEffect2ndBlinkStateVisible

2 états de clignotement invisibles

Disponible uniquement si la propriété Activer est active. Vous devez en outre définir une variable dans la propriété Variable pour le clignotement ; la propriété Clignotement depuis valeur limite doit être inactive.

Active : En cas de clignotement, l’effet de luminescence ne bascule pas vers l’effet de luminescence actif, mais devient invisible. Ceci permet de basculer entre l’invisibilité et la couleur de clignotement en cas de dépassement de la valeur limite.

Par défaut : Inactive

Plus de détails dans l’aide en ligne.


Elements

Manuel -> Interfaces de programmation -> Modèles d'objet -> Elements

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

This collection contains the defined dynamic elements of a Screen.The single dynamic elements contain the most important properties, e.g. type, position, colour, ...The single dynamic elements can be found in the collection by their unique name or by the index.Hint for older Versions:Giving a name to a dynamic element is optional.If a dynamic element has no name, it is not found under certain circumstances.So the result of the method Item should always be checked on Nothing / null.

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Examples

C#

//Reads all elements of a (defined) screen

public IElements GetElementsOnScreen(string screenName)

{

IDynPicture zenonChosenScreen = this.ActiveDocument.DynPictures().Item(screenName);

if (zenonChosenScreen == null)

return null;

return zenonChosenScreen.Elements();

}

//Print all the element names on the start screen to the debugger output

public void MacroElements()

{

IElements zenonElements = GetElementsOnScreen("Start");

for (int i = 0; i < zenonElements.Count; ++i)

{

System.Diagnostics.Debug.Print(zenonElements.Item(i).Name);

}

}

VB.NET

'Reads all elements of a (defined) screen

Public Function GetElementsOnScreen(screenName As String) As IElements

Dim zenonChosenScreen As IDynPicture = Me.ActiveDocument.DynPictures().Item(screenName)

If zenonChosenScreen Is Nothing Then

Return Nothing

End If

Return zenonChosenScreen.Elements()

End Function

'Print all the element names on the start screen to the debugger output

Public Sub MacroElements()

Dim zenonElements As IElements = GetElementsOnScreen("Start")

For i As Integer = 0 To zenonElements.Count - 1

System.Diagnostics.Debug.Print(zenonElements.Item(i).Name)

Next

End Sub

VBA

Other topics in this chapter

Elements-Properties

Elements-Methods


Elements-Properties

Manuel -> Interfaces de programmation -> Modèles d'objet -> Elements -> Elements-Properties

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
long | Count | Returns count of the elements | read only | read only | yes | yes
IDynPicture | Parent | The parent object of the current object | read only | read only | yes | yes

Other topics in this chapter

Parent

Count


Parent

Manuel -> Interfaces de programmation -> Modèles d'objet -> Elements -> Elements-Properties -> Parent

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the parent object

Datatype

Parent() As DynPicture

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


Count

Manuel -> Interfaces de programmation -> Modèles d'objet -> Elements -> Elements-Properties -> Count

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

The method returns the number of available objects. This property is mostly used for the method Item to run through each single object.Hint: For running through entries care, that the minimum is 0 and the maximum is Count-1.

Datatype

Count() As long

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


Elements-Methods

Manuel -> Interfaces de programmation -> Modèles d'objet -> Elements -> Elements-Methods

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
IElement | Create | Creates and returns a new Object | available | not used | yes | yes
VARIANT_BOOL | Delete | Deletes the objects from collection | available | not used | yes | yes
IElement | Item | Returns a object at a position or by a specified key | available | available | yes | yes
IElement | ItemById | Returns a object with the given Id | available | available | yes | yes

Other topics in this chapter

Item

ItemById

Create

Delete


Item

Manuel -> Interfaces de programmation -> Modèles d'objet -> Elements -> Elements-Methods -> Item

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the object Element from the collection, which is identified by the parameter vID. The parameter vID can have two values:

  • Index: Access with an index is mostly used in combination with the property Count to find out the position of the variable object in the list.
  • Element name: The element can also be accessed with its unique name.

Hint:The returned object should be checked on Nothing, if no object for the search criteria was found.

Datatype

Item(VARIANT vIndex) As Element

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

//Reads all elements of a (defined) screen

public IElements GetElementsOnScreen(string screenName)

{

IDynPicture zenonChosenScreen = this.ActiveDocument.DynPictures().Item(screenName);

if (zenonChosenScreen == null)

return null;

return zenonChosenScreen.Elements();

}

//Print all the element names on the start screen to the debugger output

public void MacroElements()

{

IElements zenonElements = GetElementsOnScreen("Start");

for (int i = 0; i < zenonElements.Count; ++i)

{

System.Diagnostics.Debug.Print(zenonElements.Item(i).Name);

}

}

VB.NET

'Reads all elements of a (defined) screen

Public Function GetElementsOnScreen(screenName As String) As IElements

Dim zenonChosenScreen As IDynPicture = Me.ActiveDocument.DynPictures().Item(screenName)

If zenonChosenScreen Is Nothing Then

Return Nothing

End If

Return zenonChosenScreen.Elements()

End Function

'Print all the element names on the start screen to the debugger output

Public Sub MacroElements()

Dim zenonElements As IElements = GetElementsOnScreen("Start")

For i As Integer = 0 To zenonElements.Count - 1

System.Diagnostics.Debug.Print(zenonElements.Item(i).Name)

Next

End Sub

VBA

VBA-Syntax


ItemById

Manuel -> Interfaces de programmation -> Modèles d'objet -> Elements -> Elements-Methods -> ItemById

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns an element object which is identified by its unique (one based) ID.

Datatype

ItemById(VARIANT vElementId) As Element

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

//Reads all elements of a (defined) screen

public IElements GetElementsOnScreen(string screenName)

{

IDynPicture zenonChosenScreen = this.ActiveDocument.DynPictures().Item(screenName);

if (zenonChosenScreen == null)

return null;

return zenonChosenScreen.Elements();

}

//Print all the element names on the start screen to the debugger output

public void MacroElementsById()

{

IElements zenonElements = GetElementsOnScreen("Start");

//Gets the element with unique identifier "5" of the picture "start"

IElement zenonUniqueElement = zenonElements.ItemById(5);

//Prints the name of the element to check if we got the right one

System.Diagnostics.Debug.Print(zenonUniqueElement.Name);

}

VB.NET

'Reads all elements of a (defined) screen

Public Function GetElementsOnScreen(screenName As String) As IElements

Dim zenonChosenScreen As IDynPicture = Me.ActiveDocument.DynPictures().Item(screenName)

If zenonChosenScreen Is Nothing Then

Return Nothing

End If

Return zenonChosenScreen.Elements()

End Function

'Print all the element names on the start screen to the debugger output

Public Sub MacroElementsById()

Dim zenonElements As IElements = GetElementsOnScreen("Start")

'Gets the element with unique identifier "5" of the picture "start"

Dim zenonUniqueElement As IElement = zenonElements.ItemById(5)

'Prints the name of the element to check if we got the right one

System.Diagnostics.Debug.Print(zenonUniqueElement.Name)

End Sub

VBA

VBA-Syntax


Create

Manuel -> Interfaces de programmation -> Modèles d'objet -> Elements -> Elements-Methods -> Create

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Creates a new "Element" object by its name as string and its "Element" type.

Datatype

Create(String bsName,tpElementTypes tpType) As Element

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

//Reads all elements of a (defined) screen

public IElements GetElementsOnScreen(string screenName)

{

IDynPicture zenonChosenScreen = this.ActiveDocument.DynPictures().Item(screenName);

if (zenonChosenScreen == null)

return null;

return zenonChosenScreen.Elements();

}

//Adds a new Button element to the start screen

public void MacroAddElement()

{

IElements zenonElements = GetElementsOnScreen("Start");

//Create a new element on the elements list for dynPicture "Start"

zenonElements.Create("my_test_element", tpElementTypes.tpDynButton);

//Set some properties of the new element

zenonElements.Item("my_test_element").Width = 200;

zenonElements.Item("my_test_element").Height = 200;

}

VB.NET

'Reads all elements of a (defined) screen

Public Function GetElementsOnScreen(screenName As String) As IElements

Dim zenonChosenScreen As IDynPicture = Me.ActiveDocument.DynPictures().Item(screenName)

If zenonChosenScreen Is Nothing Then

Return Nothing

End If

Return zenonChosenScreen.Elements()

End Function

'Adds a new Button element to the start screen

Public Sub MacroAddElement()

Dim zenonElements As IElements = GetElementsOnScreen("Start")

'Create a new element on the elements list for dynPicture "Start"

zenonElements.Create("my_test_element", tpElementTypes.tpDynButton)

'Set some properties of the new element

zenonElements.Item("my_test_element").Width = 200

zenonElements.Item("my_test_element").Height = 200

End Sub

VBA

VBA-Syntax


Delete

Manuel -> Interfaces de programmation -> Modèles d'objet -> Elements -> Elements-Methods -> Delete

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Deletes an existing "Element" object by its name as string.

Datatype

Delete(String nElemId) As Boolean

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

//Reads all elements of a (defined) screen

public IElements GetElementsOnScreen(string screenName)

{

IDynPicture zenonChosenScreen = this.ActiveDocument.DynPictures().Item(screenName);

if (zenonChosenScreen == null)

return null;

return zenonChosenScreen.Elements();

}

public void MacroDeleteElement()

{

IElements zenonElements = GetElementsOnScreen("Start");

//Delete an element of the list we got

zenonElements.Delete("my_test_element");

}

VB.NET

'Reads all elements of a (defined) screen

Public Function GetElementsOnScreen(screenName As String) As IElements

Dim zenonChosenScreen As IDynPicture = Me.ActiveDocument.DynPictures().Item(screenName)

If zenonChosenScreen Is Nothing Then

Return Nothing

End If

Return zenonChosenScreen.Elements()

End Function

Public Sub MacroDeleteElement()

Dim zenonElements As IElements = GetElementsOnScreen("Start")

'Delete an element of the list we got

zenonElements.Delete("my_test_element")

End Sub

VBA

VBA-Syntax


FileManager

Manuel -> Interfaces de programmation -> Modèles d'objet -> FileManager

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

This collection represents the directories and files of the files node.

The following Enumerators are supported for the FileManager:

Name | Value | Correspondent directory/zenon module
tpPathBMP | 2 | Files - Graphics
tpPathList | 4 | Files - Texts and Formats
tpPathMedia | 5 | Files - Multimedia
tpPathReport | 6 | Report Generator files (*.xrs)
tpPathLanguage | 9 | Language Table files
tpPathHelp | 10 | Files - Help
tpPathDrivers | 15 | Files - Driver
tpPathAdditional | 17 | Files - Additional
tpPathRDLC | 18 | Files - Report Viewer (*.rdl)

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Examples

C#

public void MacroFileManager()

{

//Get the current filemanager

IFileManager zenonFileManager = this.ActiveDocument.FileManager();

//Get the language directory

IFileManagerFolder zenonFolder = zenonFileManager.FolderItem(tpModulePaths.tpPathLanguage);

//Add a language file

zenonFolder.AddItem(@"C:\Language_Tables\English.txt");

}

VB.NET

'Gets the current file manager and uses it to add a new language file

Public Sub MacroFileManager()

'Get the current filemanager

Dim zenonFileManager As IFileManager = Me.ActiveDocument.FileManager()

'Get the language directory

Dim zenonFolder As IFileManagerFolder = zenonFileManager.FolderItem(tpModulePaths.tpPathLanguage)

'Add a language file

zenonFolder.AddItem("C:\Language_Tables\English.txt")

End Sub

VBA

Sub FileManager()

Dim zFileManager As FileManager 'Object from type FileManager
Dim zFileManagerFolder As FileManagerFolder 'Object from type FileManagerFolder

'Fill the object
Set zFileManager = MyWorkspace.ActiveDocument.FileManager

'Set the folder for the language tables
Set zFileManagerFolder =

zFileManager.FolderItem(zenOn.tpModulePaths.tpPathLanguage)
'Add a new item
zFileManagerFolder.AddItem ("C:\Language_Tables\English.txt")

End Sub

Other topics in this chapter

FileManager-Properties

FileManager-Methods


FileManager-Properties

Manuel -> Interfaces de programmation -> Modèles d'objet -> FileManager -> FileManager-Properties

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
IProject | Parent | Returns the parent of the FileManager Object. | read only | read only | yes | yes

Other topics in this chapter

Parent


Parent

Manuel -> Interfaces de programmation -> Modèles d'objet -> FileManager -> FileManager-Properties -> Parent

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the parent object

Datatype

Parent() As Project

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


FileManager-Methods

Manuel -> Interfaces de programmation -> Modèles d'objet -> FileManager -> FileManager-Methods

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
IFileManagerFolder | FolderItem | Returns the folder object for the given folder. | available | not used | yes | yes

Other topics in this chapter

FolderItem


FolderItem

Manuel -> Interfaces de programmation -> Modèles d'objet -> FileManager -> FileManager-Methods -> FolderItem

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns a FileManagerFolder object corresponding the path given in this method. The path is a constant specified in the FileManager Table:

Name | Value | Correspondent directory/zenon module
tpPathBMP | 2 | Files - Graphics
tpPathList | 4 | Files - Texts and Formats
tpPathMedia | 5 | Files - Multimedia
tpPathReport | 6 | Report Generator files (*.xrs)
tpPathLanguage | 9 | Language Table files
tpPathHelp | 10 | Files - Help
tpPathDrivers | 15 | Files - Driver
tpPathAdditional | 17 | Files - Additional
tpPathRDLC | 18 | Files - Report Viewer (*.rdl)

Datatype

FolderItem(tpModulePaths lModule) As FileManagerFolder

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

A constant which defines the specific folder.

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

lModule As tpModulePaths

Examples

C#

//Gets the current file manager and uses it to add a new language file

public void MacroFileManager()

{

//Get the current filemanager

IFileManager zenonFileManager = this.ActiveDocument.FileManager();

//Get the language directory

IFileManagerFolder zenonFolder = zenonFileManager.FolderItem(tpModulePaths.tpPathLanguage);

//Add a language file

zenonFolder.AddItem(@"C:\Language_Tables\English.txt");

}

VB.NET

'Gets the current file manager and uses it to add a new language file

Public Sub MacroFileManager()

'Get the current filemanager

Dim zenonFileManager As IFileManager = Me.ActiveDocument.FileManager()

'Get the language directory

Dim zenonFolder As IFileManagerFolder = zenonFileManager.FolderItem(tpModulePaths.tpPathLanguage)

'Add a language file

zenonFolder.AddItem("C:\Language_Tables\English.txt")

End Sub

VBA

Sub FolderItem()

Dim zFileManager As FileManager 'Object from type FileManager
Dim zFileManagerFolder As FileManagerFolder 'Object from type FileManagerFolder

'Fill the object
Set zFileManager = MyWorkspace.ActiveDocument.FileManager

'Read the "language list"
Set zFileManagerFolder = zFileManager.FolderItem(9)
'Add a new item into the list
zFileManagerFolder.AddItem ("C:\Language_Tables\English.txt")

'Read the "graphics list"
Set zFileManagerFolder = zFileManager.FolderItem(2)
'Add a new item into the list
zFileManagerFolder.AddItem ("C:\Graphics\zenOn_Logo.jpg")

'Read the "help list"
Set zFileManagerFolder = zFileManager.FolderItem(10)
'Add a new item into the list
zFileManagerFolder.AddItem ("C:\Help\help.chm")

'Read the "multimedia list"
Set zFileManagerFolder = zFileManager.FolderItem(5)
'Add a new item into the list
zFileManagerFolder.AddItem ("C:\Media\intro.wav")

'Read the "lists list"
Set zFileManagerFolder = zFileManager.FolderItem(4)
'Add a new item into the list
zFileManagerFolder.AddItem ("C:\Lists\List.doc")

'Read the "drivers list"
Set zFileManagerFolder = zFileManager.FolderItem(15)
'Add a new item into the list
zFileManagerFolder.AddItem ("C:\Drivers\driver.exe")

'Read the "others list"
Set zFileManagerFolder = zFileManager.FolderItem(17)
'Add a new item into the list
zFileManagerFolder.AddItem ("C:\Others\infos.pdf")

End Sub


FileManagerFileItem

Manuel -> Interfaces de programmation -> Modèles d'objet -> FileManagerFileItem

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

This collection makes it possible to manage the files in a list.

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Examples

C#

//Gets the current file manager and loops through all the files in the language directory

public void MacroFileManager()

{

//Get the current filemanager

IFileManager zenonFileManager = this.ActiveDocument.FileManager();

//Get the language directory

IFileManagerFolder zenonFolder = zenonFileManager.FolderItem(tpModulePaths.tpPathLanguage);

//Loop through all the files and print the names on the debug window

for (int i = 0; i < zenonFolder.FileCount; ++i)

{

System.Diagnostics.Debug.Print(zenonFolder.FileItem(i).FileName);

}

}

VB.NET

'Gets the current file manager and loops through all the files in the language directory

Public Sub MacroFileManager()

'Get the current filemanager

Dim zenonFileManager As IFileManager = Me.ActiveDocument.FileManager()

'Get the language directory

Dim zenonFolder As IFileManagerFolder = zenonFileManager.FolderItem(tpModulePaths.tpPathLanguage)

'Loop through all the files and print the names on the debug window

For i As Integer = 0 To zenonFolder.FileCount - 1

System.Diagnostics.Debug.Print(zenonFolder.FileItem(i).FileName)

Next

End Sub

VBA

Sub FileItem()

Dim zFileManager As FileManager 'Object from type FileManager
Dim zFileManagerFolder As FileManagerFolder 'Child object from type FileManager
Dim zFileManagerItem As FileManagerFileItem 'Child object from type FileManagerFolder

'Fill the object
Set zFileManager = MyWorkspace.ActiveDocument.FileManager

'Read the "help list"
Set zFileManagerFolder = zFileManager.FolderItem(10)
'Read the first file in the list
Set zFileManagerItem = zFileManagerFolder.FileItem(0)
'Returns the filename of the file in the list
Debug.Print "Filename = " & zFileManagerItem.FileName

End Sub

Other topics in this chapter

FileManagerFileItem-Properties

FileManagerFileItem-Methods

FileManagerFileItem-Dynamic properties


FileManagerFileItem-Properties

Manuel -> Interfaces de programmation -> Modèles d'objet -> FileManagerFileItem -> FileManagerFileItem-Properties

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
BSTR | FileName | Returns the name of the File. | available | read only | yes | yes

Other topics in this chapter

FileName


FileName

Manuel -> Interfaces de programmation -> Modèles d'objet -> FileManagerFileItem -> FileManagerFileItem-Properties -> FileName

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the filename of the selected file.

Datatype

FileName() As String

Availability

Environment | Available
Editor | available
Runtime | read only
VBA | yes
VSTA | yes


FileManagerFileItem-Methods

Manuel -> Interfaces de programmation -> Modèles d'objet -> FileManagerFileItem -> FileManagerFileItem-Methods

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description |  | Editor | Runtime | VBA | VSTA
VARIANT_BOOL | CheckIn | Save module modifications to server (editor). |  | available | not used | yes | yes
VARIANT_BOOL | CheckOut | Allow module modifications (editor). |  | available | not used | yes | yes
VARIANT_BOOL | Get | Get the latest version from the server (editor). |  | available | not used | yes | yes
VARIANT_BOOL | IsCheckedOut | Returns true when the current module checked out by the current user (editor). |  | read only | not used | yes | yes
VARIANT_BOOL | IsDifferent | Returns true when the local and server version are different (editor). | read only |  | not used | yes |  | yes
VARIANT_BOOL | IsLocked | Returns true when the current module is Locked by another user (editor). |  | read only | not used | yes | yes
VARIANT_BOOL | UndoCheckOut | Undo module modifications (editor). |  | available | not used | yes | yes

Other topics in this chapter

Get

CheckOut

CheckIn

UndoCheckOut

IsLocked

IsCheckedOut

IsDifferent


Get

Manuel -> Interfaces de programmation -> Modèles d'objet -> FileManagerFileItem -> FileManagerFileItem-Methods -> Get

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Get the latest version from the server (editor). This option is only working for multi-user projects.

Datatype

Get() As Boolean

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

//Gets the current file manager and uses multiuser methods to edit files

public void MacroFileManager()

{

//Get the current filemanager

IFileManager zenonFileManager = this.ActiveDocument.FileManager();

//Get the language directory

IFileManagerFolder zenonFolder = zenonFileManager.FolderItem(tpModulePaths.tpPathLanguage);

//Get the first item in the directory to work with

IFileManagerFileItem zenonFileItem = zenonFolder.FileItem(0);

if (!zenonFileItem.IsCheckedOut())

{

if (zenonFileItem.CheckOut())

{

//The File was checked out by the user who executed this macro

if (zenonFileItem.Get())

{

//Got the latest version of the File

//Edit some properties of the File

zenonFileItem.FileName = "NewFileName";

//Check in the file again so others can check it out

zenonFileItem.CheckIn();

}

else

{

zenonFileItem.UndoCheckOut();

//The latest version could not be received, undo the checkout

}

}

else

{

//The File can't currently be checked out

}

}

else

{

//Someone else has the File checked out!

}

}

VB.NET

'Gets the current file manager and uses multiuser methods to edit files

Public Sub MacroFileManager()

'Get the current filemanager

Dim zenonFileManager As IFileManager = Me.ActiveDocument.FileManager()

'Get the language directory

Dim zenonFolder As IFileManagerFolder = zenonFileManager.FolderItem(tpModulePaths.tpPathLanguage)

'Get the first item in the directory to work with

Dim zenonFileItem As IFileManagerFileItem = zenonFolder.FileItem(0)

If Not zenonFileItem.IsCheckedOut() Then

If zenonFileItem.CheckOut() Then

'The File was checked out by the user who executed this macro

If zenonFileItem.[Get]() Then

'Got the latest version of the File

'Edit some properties of the File

zenonFileItem.FileName = "NewFileName"

'Check in the file again so others can check it out

zenonFileItem.CheckIn()

Else

'The latest version could not be received, undo the checkout

zenonFileItem.UndoCheckOut()

End If

'The File can't currently be checked out

Else

End If

'Someone else has the File checked out!

Else

End If

End Sub

VBA

VBA-Syntax


CheckOut

Manuel -> Interfaces de programmation -> Modèles d'objet -> FileManagerFileItem -> FileManagerFileItem-Methods -> CheckOut

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Allow module modifications (editor). This option is only working for multi-user projects.

Datatype

CheckOut() As Boolean

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

//Gets the current file manager and uses multiuser methods to edit files

public void MacroFileManager()

{

//Get the current filemanager

IFileManager zenonFileManager = this.ActiveDocument.FileManager();

//Get the language directory

IFileManagerFolder zenonFolder = zenonFileManager.FolderItem(tpModulePaths.tpPathLanguage);

//Get the first item in the directory to work with

IFileManagerFileItem zenonFileItem = zenonFolder.FileItem(0);

if (!zenonFileItem.IsCheckedOut())

{

if (zenonFileItem.CheckOut())

{

//The File was checked out by the user who executed this macro

if (zenonFileItem.Get())

{

//Got the latest version of the File

//Edit some properties of the File

zenonFileItem.FileName = "NewFileName";

//Check in the file again so others can check it out

zenonFileItem.CheckIn();

}

else

{

zenonFileItem.UndoCheckOut();

//The latest version could not be received, undo the checkout

}

}

else

{

//The File can't currently be checked out

}

}

else

{

//Someone else has the File checked out!

}

}

VB.NET

'Gets the current file manager and uses multiuser methods to edit files

Public Sub MacroFileManager()

'Get the current filemanager

Dim zenonFileManager As IFileManager = Me.ActiveDocument.FileManager()

'Get the language directory

Dim zenonFolder As IFileManagerFolder = zenonFileManager.FolderItem(tpModulePaths.tpPathLanguage)

'Get the first item in the directory to work with

Dim zenonFileItem As IFileManagerFileItem = zenonFolder.FileItem(0)

If Not zenonFileItem.IsCheckedOut() Then

If zenonFileItem.CheckOut() Then

'The File was checked out by the user who executed this macro

If zenonFileItem.[Get]() Then

'Got the latest version of the File

'Edit some properties of the File

zenonFileItem.FileName = "NewFileName"

'Check in the file again so others can check it out

zenonFileItem.CheckIn()

Else

'The latest version could not be received, undo the checkout

zenonFileItem.UndoCheckOut()

End If

'The File can't currently be checked out

Else

End If

'Someone else has the File checked out!

Else

End If

End Sub

VBA

VBA-Syntax


CheckIn

Manuel -> Interfaces de programmation -> Modèles d'objet -> FileManagerFileItem -> FileManagerFileItem-Methods -> CheckIn

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Save module modifications to server (editor). This option is only working for multi-user projects.

Datatype

CheckIn() As Boolean

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

//Gets the current file manager and uses multiuser methods to edit files

public void MacroFileManager()

{

//Get the current filemanager

IFileManager zenonFileManager = this.ActiveDocument.FileManager();

//Get the language directory

IFileManagerFolder zenonFolder = zenonFileManager.FolderItem(tpModulePaths.tpPathLanguage);

//Get the first item in the directory to work with

IFileManagerFileItem zenonFileItem = zenonFolder.FileItem(0);

if (!zenonFileItem.IsCheckedOut())

{

if (zenonFileItem.CheckOut())

{

//The File was checked out by the user who executed this macro

if (zenonFileItem.Get())

{

//Got the latest version of the File

//Edit some properties of the File

zenonFileItem.FileName = "NewFileName";

//Check in the file again so others can check it out

zenonFileItem.CheckIn();

}

else

{

zenonFileItem.UndoCheckOut();

//The latest version could not be received, undo the checkout

}

}

else

{

//The File can't currently be checked out

}

}

else

{

//Someone else has the File checked out!

}

}

VB.NET

'Gets the current file manager and uses multiuser methods to edit files

Public Sub MacroFileManager()

'Get the current filemanager

Dim zenonFileManager As IFileManager = Me.ActiveDocument.FileManager()

'Get the language directory

Dim zenonFolder As IFileManagerFolder = zenonFileManager.FolderItem(tpModulePaths.tpPathLanguage)

'Get the first item in the directory to work with

Dim zenonFileItem As IFileManagerFileItem = zenonFolder.FileItem(0)

If Not zenonFileItem.IsCheckedOut() Then

If zenonFileItem.CheckOut() Then

'The File was checked out by the user who executed this macro

If zenonFileItem.[Get]() Then

'Got the latest version of the File

'Edit some properties of the File

zenonFileItem.FileName = "NewFileName"

'Check in the file again so others can check it out

zenonFileItem.CheckIn()

Else

'The latest version could not be received, undo the checkout

zenonFileItem.UndoCheckOut()

End If

'The File can't currently be checked out

Else

End If

'Someone else has the File checked out!

Else

End If

End Sub

VBA

VBA-Syntax


UndoCheckOut

Manuel -> Interfaces de programmation -> Modèles d'objet -> FileManagerFileItem -> FileManagerFileItem-Methods -> UndoCheckOut

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Undo module modifications (editor). This option is only working for multi-user projects.

Datatype

UndoCheckOut() As Boolean

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

//Gets the current file manager and uses multiuser methods to edit files

public void MacroFileManager()

{

//Get the current filemanager

IFileManager zenonFileManager = this.ActiveDocument.FileManager();

//Get the language directory

IFileManagerFolder zenonFolder = zenonFileManager.FolderItem(tpModulePaths.tpPathLanguage);

//Get the first item in the directory to work with

IFileManagerFileItem zenonFileItem = zenonFolder.FileItem(0);

if (!zenonFileItem.IsCheckedOut())

{

if (zenonFileItem.CheckOut())

{

//The File was checked out by the user who executed this macro

if (zenonFileItem.Get())

{

//Got the latest version of the File

//Edit some properties of the File

zenonFileItem.FileName = "NewFileName";

//Check in the file again so others can check it out

zenonFileItem.CheckIn();

}

else

{

zenonFileItem.UndoCheckOut();

//The latest version could not be received, undo the checkout

}

}

else

{

//The File can't currently be checked out

}

}

else

{

//Someone else has the File checked out!

}

}

VB.NET

'Gets the current file manager and uses multiuser methods to edit files

Public Sub MacroFileManager()

'Get the current filemanager

Dim zenonFileManager As IFileManager = Me.ActiveDocument.FileManager()

'Get the language directory

Dim zenonFolder As IFileManagerFolder = zenonFileManager.FolderItem(tpModulePaths.tpPathLanguage)

'Get the first item in the directory to work with

Dim zenonFileItem As IFileManagerFileItem = zenonFolder.FileItem(0)

If Not zenonFileItem.IsCheckedOut() Then

If zenonFileItem.CheckOut() Then

'The File was checked out by the user who executed this macro

If zenonFileItem.[Get]() Then

'Got the latest version of the File

'Edit some properties of the File

zenonFileItem.FileName = "NewFileName"

'Check in the file again so others can check it out

zenonFileItem.CheckIn()

Else

'The latest version could not be received, undo the checkout

zenonFileItem.UndoCheckOut()

End If

'The File can't currently be checked out

Else

End If

'Someone else has the File checked out!

Else

End If

End Sub

VBA

VBA-Syntax


IsLocked

Manuel -> Interfaces de programmation -> Modèles d'objet -> FileManagerFileItem -> FileManagerFileItem-Methods -> IsLocked

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns true if modification changes are locked due to a checkout. This option is only working for multi-user projects.

Datatype

IsLocked() As Boolean

Availability

Environment | Available
Editor | read only
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

//Gets the current file manager and uses multiuser methods to edit files

public void MacroFileManager()

{

//Get the current filemanager

IFileManager zenonFileManager = this.ActiveDocument.FileManager();

//Get the language directory

IFileManagerFolder zenonFolder = zenonFileManager.FolderItem(tpModulePaths.tpPathLanguage);

//Get the first item in the directory to work with

IFileManagerFileItem zenonFileItem = zenonFolder.FileItem(0);

if (!zenonFileItem.IsCheckedOut())

{

if (zenonFileItem.CheckOut())

{

//The File was checked out by the user who executed this macro

if (zenonFileItem.Get())

{

//Got the latest version of the File

//Edit some properties of the File

zenonFileItem.FileName = "NewFileName";

//Check in the file again so others can check it out

zenonFileItem.CheckIn();

}

else

{

zenonFileItem.UndoCheckOut();

//The latest version could not be received, undo the checkout

}

}

else

{

//The File can't currently be checked out

}

}

else

{

//Someone else has the File checked out!

}

}

VB.NET

'Gets the current file manager and uses multiuser methods to edit files

Public Sub MacroFileManager()

'Get the current filemanager

Dim zenonFileManager As IFileManager = Me.ActiveDocument.FileManager()

'Get the language directory

Dim zenonFolder As IFileManagerFolder = zenonFileManager.FolderItem(tpModulePaths.tpPathLanguage)

'Get the first item in the directory to work with

Dim zenonFileItem As IFileManagerFileItem = zenonFolder.FileItem(0)

If Not zenonFileItem.IsCheckedOut() Then

If zenonFileItem.CheckOut() Then

'The File was checked out by the user who executed this macro

If zenonFileItem.[Get]() Then

'Got the latest version of the File

'Edit some properties of the File

zenonFileItem.FileName = "NewFileName"

'Check in the file again so others can check it out

zenonFileItem.CheckIn()

Else

'The latest version could not be received, undo the checkout

zenonFileItem.UndoCheckOut()

End If

'The File can't currently be checked out

Else

End If

'Someone else has the File checked out!

Else

End If

End Sub

VBA

VBA-Syntax


IsCheckedOut

Manuel -> Interfaces de programmation -> Modèles d'objet -> FileManagerFileItem -> FileManagerFileItem-Methods -> IsCheckedOut

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns true if scripts are checked out. This option is only working for multi-user projects.

Datatype

IsCheckedOut() As Boolean

Availability

Environment | Available
Editor | read only
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

//Gets the current file manager and uses multiuser methods to edit files

public void MacroFileManager()

{

//Get the current filemanager

IFileManager zenonFileManager = this.ActiveDocument.FileManager();

//Get the language directory

IFileManagerFolder zenonFolder = zenonFileManager.FolderItem(tpModulePaths.tpPathLanguage);

//Get the first item in the directory to work with

IFileManagerFileItem zenonFileItem = zenonFolder.FileItem(0);

if (!zenonFileItem.IsCheckedOut())

{

if (zenonFileItem.CheckOut())

{

//The File was checked out by the user who executed this macro

if (zenonFileItem.Get())

{

//Got the latest version of the File

//Edit some properties of the File

zenonFileItem.FileName = "NewFileName";

//Check in the file again so others can check it out

zenonFileItem.CheckIn();

}

else

{

zenonFileItem.UndoCheckOut();

//The latest version could not be received, undo the checkout

}

}

else

{

//The File can't currently be checked out

}

}

else

{

//Someone else has the File checked out!

}

}

VB.NET

'Gets the current file manager and uses multiuser methods to edit files

Public Sub MacroFileManager()

'Get the current filemanager

Dim zenonFileManager As IFileManager = Me.ActiveDocument.FileManager()

'Get the language directory

Dim zenonFolder As IFileManagerFolder = zenonFileManager.FolderItem(tpModulePaths.tpPathLanguage)

'Get the first item in the directory to work with

Dim zenonFileItem As IFileManagerFileItem = zenonFolder.FileItem(0)

If Not zenonFileItem.IsCheckedOut() Then

If zenonFileItem.CheckOut() Then

'The File was checked out by the user who executed this macro

If zenonFileItem.[Get]() Then

'Got the latest version of the File

'Edit some properties of the File

zenonFileItem.FileName = "NewFileName"

'Check in the file again so others can check it out

zenonFileItem.CheckIn()

Else

'The latest version could not be received, undo the checkout

zenonFileItem.UndoCheckOut()

End If

'The File can't currently be checked out

Else

End If

'Someone else has the File checked out!

Else

End If

End Sub

VBA

VBA-Syntax


IsDifferent

Manuel -> Interfaces de programmation -> Modèles d'objet -> FileManagerFileItem -> FileManagerFileItem-Methods -> IsDifferent

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns true if local version differs from server (editor) version. This option is only working for multi-user projects.

Datatype

IsDifferent() As VARIANT_BOOL

Availability

Environment | Available
Editor | read only
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

//Gets the current file manager and uses multiuser methods to edit files

public void MacroFileManager()

{

//Get the current filemanager

IFileManager zenonFileManager = this.ActiveDocument.FileManager();

//Get the language directory

IFileManagerFolder zenonFolder = zenonFileManager.FolderItem(tpModulePaths.tpPathLanguage);

//Get the first item in the directory to work with

IFileManagerFileItem zenonFileItem = zenonFolder.FileItem(0);

if (!zenonFileItem.IsCheckedOut())

{

if (zenonFileItem.CheckOut())

{

//The File was checked out by the user who executed this macro

if (zenonFileItem.Get())

{

//Got the latest version of the File

//Edit some properties of the File

zenonFileItem.FileName = "NewFileName";

//Check in the file again so others can check it out

zenonFileItem.CheckIn();

}

else

{

zenonFileItem.UndoCheckOut();

//The latest version could not be received, undo the checkout

}

}

else

{

//The File can't currently be checked out

}

}

else

{

//Someone else has the File checked out!

}

}

VB.NET

'Gets the current file manager and uses multiuser methods to edit files

Public Sub MacroFileManager()

'Get the current filemanager

Dim zenonFileManager As IFileManager = Me.ActiveDocument.FileManager()

'Get the language directory

Dim zenonFolder As IFileManagerFolder = zenonFileManager.FolderItem(tpModulePaths.tpPathLanguage)

'Get the first item in the directory to work with

Dim zenonFileItem As IFileManagerFileItem = zenonFolder.FileItem(0)

If Not zenonFileItem.IsCheckedOut() Then

If zenonFileItem.CheckOut() Then

'The File was checked out by the user who executed this macro

If zenonFileItem.[Get]() Then

'Got the latest version of the File

'Edit some properties of the File

zenonFileItem.FileName = "NewFileName"

'Check in the file again so others can check it out

zenonFileItem.CheckIn()

Else

'The latest version could not be received, undo the checkout

zenonFileItem.UndoCheckOut()

End If

'The File can't currently be checked out

Else

End If

'Someone else has the File checked out!

Else

End If

End Sub

VBA

VBA-Syntax


FileManagerFileItem-Dynamic properties

Manuel -> Interfaces de programmation -> Modèles d'objet -> FileManagerFileItem -> FileManagerFileItem-Dynamic properties

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Dynproperties

File object

Other topics in this chapter

File object


File object

Manuel -> Interfaces de programmation -> Modèles d'objet -> FileManagerFileItem -> FileManagerFileItem-Dynamic properties -> File object

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | VBA/VSTA Name | Display Name | Description
VT_BSTR | Name | Nom de fichier | Nom du fichier intégré. Les fichiers externes intégrés de cette manière sont enregistrés dans le dossier du Runtime et dans le dossier de la base de données du projet. Attention : chaque fois que des nouveaux fichiers de Runtime sont créés, les fichiers dans le dossier du Runtime sont remplacés par les fichiers provenant du dossier de la base de données. Les fichiers externes doivent donc uniquement être modifiés à l’aide du menu contextuel du fichier correspondant, et non depuis une interface externe. Cette méthode garantit que les fichiers sont également modifiés dans le dossier de la base de données. Plus de détails dans l’aide en ligne.


FileManagerFolder

Manuel -> Interfaces de programmation -> Modèles d'objet -> FileManagerFolder

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

This collection contains the folder object for the specified folder. The folder item object allows different methods for different tpModulepaths. Not all methods are supported for all tpModulepaths

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Examples

C#

//Loops through the help folder and prints every subdirectory

public void MacroFileManager()

{

//Get the current filemanager

IFileManager zenonFileManager = this.ActiveDocument.FileManager();

//Get the language directory

IFileManagerFolder zenonFolder = zenonFileManager.FolderItem(tpModulePaths.tpPathHelp);

//Loop through all subfolders and print them

for (int i = 0; i < zenonFolder.FolderCount; ++i)

{

System.Diagnostics.Debug.Print(zenonFolder.FolderItem(i).Name);

}

}

VB.NET

'Loops through the help folder and prints every subdirectory

Public Sub MacroFileManager()

'Get the current filemanager

Dim zenonFileManager As IFileManager = Me.ActiveDocument.FileManager()

'Get the language directory

Dim zenonFolder As IFileManagerFolder = zenonFileManager.FolderItem(tpModulePaths.tpPathHelp)

'Loop through all subfolders and print them

For i As Integer = 0 To zenonFolder.FolderCount - 1

System.Diagnostics.Debug.Print(zenonFolder.FolderItem(i).Name)

Next

End Sub

VBA

Sub AddItem()

Dim zFileManager As FileManager 'Object from type FileManager
Dim zFileManagerFolder As FileManagerFolder 'Child object from type FileManager

'Fill the object
Set zFileManager = MyWorkspace.ActiveDocument.FileManager

'Read the "help list"
Set zFileManagerFolder = zFileManager.FolderItem(10)
'Add a new item into the list
zFileManagerFolder.AddItem ("C:\Language_Tables\English.txt")

Call CreateFolder

End Sub

Sub CreateFolder()

Dim zFileManager As FileManager 'Object from type FileManager
Dim zFileManagerFolder As FileManagerFolder 'Child object from type FileManager

'Fill the object
Set zFileManager = MyWorkspace.ActiveDocument.FileManager

'Read the "help list"
Set zFileManagerFolder = zFileManager.FolderItem(10)
'Create a new folder in the list
zFileManagerFolder.CreateFolder ("My_Folder")

Call FolderItem

End Sub

Sub FolderItem()

Dim zFileManager As FileManager 'Object from type FileManager
Dim zFileManagerFolder As FileManagerFolder 'Child object from type FileManager
Dim zFileManagerItem As FileManagerFileItem 'Child object from type FileManagerFolder
Dim zFolderItem As FileManagerFolder 'Child object from type FileManager

'Fill the object
Set zFileManager = MyWorkspace.ActiveDocument.FileManager

'Read the "help list"
Set zFileManagerFolder = zFileManager.FolderItem(10)
'Read a sub folder item
Set zFolderItem = zFileManagerFolder.FolderItem(0)
'Add a file at the created sub-folder
zFolderItem.AddItem ("C:\Programme\COPA-DATA\Help\editor.chm")

End Sub

Other topics in this chapter

FileManagerFolder-Properties

FileManagerFolder-Methods


FileManagerFolder-Properties

Manuel -> Interfaces de programmation -> Modèles d'objet -> FileManagerFolder -> FileManagerFolder-Properties

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
long | FileCount | Returns the amount of files located in the folder. | available | available | yes | yes
long | FolderCount | Returns the amount of folders located in the folder. | available | available | yes | yes
BSTR | Name | Name of the folder. | available | read only | yes | yes

Other topics in this chapter

FolderCount

FileCount

Name


FolderCount

Manuel -> Interfaces de programmation -> Modèles d'objet -> FileManagerFolder -> FileManagerFolder-Properties -> FolderCount

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the number of sub-directories in this directory.

Datatype

FolderCount() As long

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes


FileCount

Manuel -> Interfaces de programmation -> Modèles d'objet -> FileManagerFolder -> FileManagerFolder-Properties -> FileCount

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the number of files in a directory.

Datatype

FileCount() As long

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes


Name

Manuel -> Interfaces de programmation -> Modèles d'objet -> FileManagerFolder -> FileManagerFolder-Properties -> Name

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the name of the directory.

Datatype

Name() As String

Availability

Environment | Available
Editor | available
Runtime | read only
VBA | yes
VSTA | yes


FileManagerFolder-Methods

Manuel -> Interfaces de programmation -> Modèles d'objet -> FileManagerFolder -> FileManagerFolder-Methods

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
VARIANT_BOOL | AddItem | Inserts the given file into the folder. | available | not used | yes | yes
VARIANT_BOOL | CreateFolder | Creates a subfolder. | available | not used | yes | yes
VARIANT_BOOL | DeleteFile | Deletes the file from the folder. | available | not used | yes | yes
VARIANT_BOOL | DeleteFolder | Deletes the folder. | available | not used | yes | yes
IFileManagerFileItem | FileItem | Returns the file, at given index, from the folder. | available | available | yes | yes
IFileManagerFolder | FolderItem | Returns the sub-folder, at given index, from the folder. | available | available | yes | yes

Other topics in this chapter

FolderItem

AddItem

CreateFolder

FileItem

DeleteFile

DeleteFolder


FolderItem

Manuel -> Interfaces de programmation -> Modèles d'objet -> FileManagerFolder -> FileManagerFolder-Methods -> FolderItem

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

This method returns a sub-folder from type "FileManagerFolder".

Datatype

FolderItem(long lIndex) As FileManagerFolder

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

Defines the position of the sub folder.

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

lIndex As Long

Examples

C#

//Loops through the help folder and prints every subdirectory

public void MacroFileManager()

{

//Get the current filemanager

IFileManager zenonFileManager = this.ActiveDocument.FileManager();

//Get the language directory

IFileManagerFolder zenonFolder = zenonFileManager.FolderItem(tpModulePaths.tpPathHelp);

//Loop through all subfolders and print them

for (int i = 0; i < zenonFolder.FolderCount; ++i)

{

System.Diagnostics.Debug.Print(zenonFolder.FolderItem(i).Name);

}

}

VB.NET

'Loops through the help folder and prints every subdirectory

Public Sub MacroFileManager()

'Get the current filemanager

Dim zenonFileManager As IFileManager = Me.ActiveDocument.FileManager()

'Get the language directory

Dim zenonFolder As IFileManagerFolder = zenonFileManager.FolderItem(tpModulePaths.tpPathHelp)

'Loop through all subfolders and print them

For i As Integer = 0 To zenonFolder.FolderCount - 1

System.Diagnostics.Debug.Print(zenonFolder.FolderItem(i).Name)

Next

End Sub

VBA

Sub FolderItem()

Dim zFileManager As FileManager 'Object from type FileManager
Dim zFileManagerFolder As FileManagerFolder 'Child object from type FileManager
Dim zFileManagerItem As FileManagerFileItem 'Child object from type FileManagerFolder
Dim zFolderItem As FileManagerFolder 'Child object from type FileManager

'Fill the object
Set zFileManager = MyWorkspace.ActiveDocument.FileManager

'Read the "help list"
Set zFileManagerFolder = zFileManager.FolderItem(10)
'Read a sub folder item
Set zFolderItem = zFileManagerFolder.FolderItem(0)
'Add a file at the created sub-folder
zFolderItem.AddItem ("C:\Programme\COPA-DATA\Help\editor.chm")

End Sub


AddItem

Manuel -> Interfaces de programmation -> Modèles d'objet -> FileManagerFolder -> FileManagerFolder-Methods -> AddItem

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

This method allows adding files to the directory.

Datatype

AddItem(String bsFileName) As Boolean

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

Filename (path) as string.

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

bsFileName As String

Examples

C#

//Gets the current file manager and uses it to add a new language file

public void MacroFileManager()

{

//Get the current filemanager

IFileManager zenonFileManager = this.ActiveDocument.FileManager();

//Get the language directory

IFileManagerFolder zenonFolder = zenonFileManager.FolderItem(tpModulePaths.tpPathLanguage);

//Add a language file

zenonFolder.AddItem(@"C:\Language_Tables\English.txt");

}

VB.NET

'Gets the current file manager and uses it to add a new language file

Public Sub MacroFileManager()

'Get the current filemanager

Dim zenonFileManager As IFileManager = Me.ActiveDocument.FileManager()

'Get the language directory

Dim zenonFolder As IFileManagerFolder = zenonFileManager.FolderItem(tpModulePaths.tpPathLanguage)

'Add a language file

zenonFolder.AddItem("C:\Language_Tables\English.txt")

End Sub

VBA

Sub AddItem()

Dim zFileManager As FileManager 'Object from type FileManager
Dim zFileManagerFolder As FileManagerFolder 'Child object from type FileManager

'Fill the object
Set zFileManager = MyWorkspace.ActiveDocument.FileManager

'Read the "language list"
Set zFileManagerFolder = zFileManager.FolderItem(9)
'Add a new item into the list
zFileManagerFolder.AddItem ("C:\Language_Tables\English.txt")

End Sub


CreateFolder

Manuel -> Interfaces de programmation -> Modèles d'objet -> FileManagerFolder -> FileManagerFolder-Methods -> CreateFolder

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

This method creates a new directory. It is not supported for all tpModulepaths directories. Returns True if successfull

Datatype

CreateFolder(String bsFolderName) As Boolean

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

The folder name is defined by a string.

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

bsFolderName As String

Examples

C#

//Creates a new folder

public void MacroFileManager()

{

//Get the current filemanager

IFileManager zenonFileManager = this.ActiveDocument.FileManager();

//Get the language directory

IFileManagerFolder zenonFolder = zenonFileManager.FolderItem(tpModulePaths.tpPathHelp);

//Create a new directory in the help path

zenonFolder.CreateFolder("new_folder");

}

VB.NET

'Creates a new folder

Public Sub MacroFileManager()

'Get the current filemanager

Dim zenonFileManager As IFileManager = Me.ActiveDocument.FileManager()

'Get the language directory

Dim zenonFolder As IFileManagerFolder = zenonFileManager.FolderItem(tpModulePaths.tpPathHelp)

'Create a new directory in the help path

zenonFolder.CreateFolder("new_folder")

End Sub

VBA

Sub CreateFolder()

Dim zFileManager As FileManager 'Object from type FileManager
Dim zFileManagerFolder As FileManagerFolder 'Child object from type FileManager

'Fill the object
Set zFileManager = MyWorkspace.ActiveDocument.FileManager

'Read the "help list"
Set zFileManagerFolder = zFileManager.FolderItem(10)
'Create a new folder in the list
zFileManagerFolder.CreateFolder ("My_Folder")

End Sub


FileItem

Manuel -> Interfaces de programmation -> Modèles d'objet -> FileManagerFolder -> FileManagerFolder-Methods -> FileItem

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

This method returns an object from type FileManagerFileItem.

Datatype

FileItem(long lIndex) As FileManagerFileItem

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

Defines the position of the file.

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

lIndex As Long

Examples

C#

//Gets the current file manager and loops through all the files in the language directory

public void MacroFileManager()

{

//Get the current filemanager

IFileManager zenonFileManager = this.ActiveDocument.FileManager();

//Get the language directory

IFileManagerFolder zenonFolder = zenonFileManager.FolderItem(tpModulePaths.tpPathLanguage);

//Loop through all the files and print the names on the debug window

for (int i = 0; i < zenonFolder.FileCount; ++i)

{

System.Diagnostics.Debug.Print(zenonFolder.FileItem(i).FileName);

}

}

VB.NET

'Gets the current file manager and loops through all the files in the language directory

Public Sub MacroFileManager()

'Get the current filemanager

Dim zenonFileManager As IFileManager = Me.ActiveDocument.FileManager()

'Get the language directory

Dim zenonFolder As IFileManagerFolder = zenonFileManager.FolderItem(tpModulePaths.tpPathLanguage)

'Loop through all the files and print the names on the debug window

For i As Integer = 0 To zenonFolder.FileCount - 1

System.Diagnostics.Debug.Print(zenonFolder.FileItem(i).FileName)

Next

End Sub

VBA

Sub FileItem()

Dim zFileManager As FileManager 'Object from type FileManager
Dim zFileManagerFolder As FileManagerFolder 'Child object from type FileManager
Dim zFileManagerItem As FileManagerFileItem 'Child object from type FileManagerFolder

'Fill the object
Set zFileManager = MyWorkspace.ActiveDocument.FileManager

'Read the "help list"
Set zFileManagerFolder = zFileManager.FolderItem(10)
'Read the first file in the list
Set zFileManagerItem = zFileManagerFolder.FileItem(0)
'Returns the filename of the file in the list
Debug.Print "Filename = " & zFileManagerItem.FileName

End Sub


DeleteFile

Manuel -> Interfaces de programmation -> Modèles d'objet -> FileManagerFolder -> FileManagerFolder-Methods -> DeleteFile

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

This method allows the deletion of files. Returns true if successfull.

Datatype

DeleteFile(long lIndex) As Boolean

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

Defines the position of the file.

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

lIndex As Long

Examples

C#

//Delete files in a folder

public void MacroFileManager()

{

//Get the current filemanager

IFileManager zenonFileManager = this.ActiveDocument.FileManager();

//Get the language directory

IFileManagerFolder zenonFolder = zenonFileManager.FolderItem(tpModulePaths.tpPathHelp);

//loop through all files and delete them

for (int i = 0; i < zenonFolder.FileCount; ++i)

{

zenonFolder.DeleteFile(i);

}

}

VB.NET

'Delete files in a folder

Public Sub MacroFileManager()

'Get the current filemanager

Dim zenonFileManager As IFileManager = Me.ActiveDocument.FileManager()

'Get the language directory

Dim zenonFolder As IFileManagerFolder = zenonFileManager.FolderItem(tpModulePaths.tpPathHelp)

'loop through all files and delete them

For i As Integer = 0 To zenonFolder.FileCount - 1

zenonFolder.DeleteFile(i)

Next

End Sub

VBA

Sub DeleteFile()

Dim zFileManager As FileManager 'Object from type FileManager
Dim zFileManagerFolder As FileManagerFolder 'Child object from type FileManager

'Fill the object
Set zFileManager = MyWorkspace.ActiveDocument.FileManager

'Read the "language list"
Set zFileManagerFolder = zFileManager.FolderItem(9)
'Delete the first file in the list
zFileManagerFolder.DeleteFile (0)

End Sub


DeleteFolder

Manuel -> Interfaces de programmation -> Modèles d'objet -> FileManagerFolder -> FileManagerFolder-Methods -> DeleteFolder

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

With this method a list folder can be deleted.

Datatype

DeleteFolder(long lIndex) As Boolean

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

Defines the position of the folder.

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

lIndex As Long

Examples

C#

//Delete all folders in a folder

public void MacroDeleteFolder()

{

//Get the current filemanager

IFileManager zenonFileManager = this.ActiveDocument.FileManager();

//Get the language directory

IFileManagerFolder zenonFolder = zenonFileManager.FolderItem(tpModulePaths.tpPathHelp);

//loop through all files and delete them

for (int i = 0; i < zenonFolder.FolderCount; ++i)

{

zenonFolder.DeleteFolder(i);

}

}

VB.NET

'Delete all folders in a folder

Public Sub MacroDeleteFolder()

'Get the current filemanager

Dim zenonFileManager As IFileManager = Me.ActiveDocument.FileManager()

'Get the language directory

Dim zenonFolder As IFileManagerFolder = zenonFileManager.FolderItem(tpModulePaths.tpPathHelp)

'loop through all files and delete them

For i As Integer = 0 To zenonFolder.FolderCount - 1

zenonFolder.DeleteFolder(i)

Next

End Sub

VBA

Sub DeleteFolder()

Dim zFileManager As FileManager 'Object from type FileManager
Dim zFileManagerFolder As FileManagerFolder 'Child object from type FileManager

'Fill the object
Set zFileManager = MyWorkspace.ActiveDocument.FileManager

'Read the "help list"
Set zFileManagerFolder = zFileManager.FolderItem(10)
'Delete the first folder
zFileManagerFolder.DeleteFolder (0)

End Sub


FontItem

Manuel -> Interfaces de programmation -> Modèles d'objet -> FontItem

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Defines a font item, for encoding the fontItem strings into proper LogFont objects take a look at the LOGFONT structure and the LogFont class in the code examples. In order to use that class make sure to include the namespace

System.Runtime.InteropServices

either via using or Import when working on VSTA.

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Examples

C#

[StructLayout(LayoutKind.Sequential, CharSet = CharSet.Auto)]

public class LogFont

{

[MarshalAs(UnmanagedType.ByValTStr, SizeConst = 32)]

private string _faceName;

public int Height { get; set; }

public int Width { get; set; }

public int Escapement { get; set; }

public int Orientation { get; set; }

public int Weight { get; set; }

public byte Italic { get; set; }

public byte Underline { get; set; }

public byte StrikeOut { get; set; }

public byte FontCharSet { get; set; }

public byte OutPrecision { get; set; }

public byte ClipPrecision { get; set; }

public byte Quality { get; set; }

public byte PitchAndFamily { get; set; }

public string FaceName

{

get

{

return _faceName;

}

set

{

if (value.Length > 32)

_faceName = value.Substring(0, 32);

else

_faceName = value;

}

}

public LogFont(int height, int width, int escape, int orient, int weight,

byte italic, byte underline, byte strikeout, byte charSet, byte outPrecision,

byte clipPrecision, byte quality, byte pitchAndFamily, string faceName)

{

this.Height = height;

this.Width = width;

this.Escapement = escape;

this.Orientation = orient;

this.Weight = weight;

this.Italic = italic;

this.Underline = underline;

this.StrikeOut = strikeout;

this.FontCharSet = charSet;

this.OutPrecision = outPrecision;

this.ClipPrecision = clipPrecision;

this.Quality = quality;

this.PitchAndFamily = pitchAndFamily;

this.FaceName = faceName;

}

public LogFont(string s)

{

string[] parseSplit = s.Split(' ');

this.Height = int.Parse(parseSplit[0]);

this.Width = int.Parse(parseSplit[1]);

this.Escapement = int.Parse(parseSplit[2]);

this.Orientation = int.Parse(parseSplit[3]);

this.Weight = int.Parse(parseSplit[4]);

this.Italic = byte.Parse(parseSplit[5]);

this.Underline = byte.Parse(parseSplit[6]);

this.StrikeOut = byte.Parse(parseSplit[7]);

this.FontCharSet = byte.Parse(parseSplit[8]);

this.OutPrecision = byte.Parse(parseSplit[9]);

this.ClipPrecision = byte.Parse(parseSplit[10]);

this.Quality = byte.Parse(parseSplit[11]);

this.PitchAndFamily = byte.Parse(parseSplit[12]);

this.FaceName = parseSplit[13];

}

public override string ToString()

{

return string.Format("{0} {1} {2} {3} {4} {5} {6} {7} {8} {9} {10} {11} {12} {13}",

this.Height, this.Width, this.Escapement, this.Orientation, this.Weight,

this.Italic, this.Underline, this.StrikeOut, this.FontCharSet, this.OutPrecision,

this.ClipPrecision, this.Quality, this.PitchAndFamily, this.FaceName);

}

}

public void MacroFont()

{

IFontLists zenonFontLists = this.ActiveDocument.FontLists;

for (int i = 0; i < zenonFontLists.Count; ++i )

{

IFontList zenonFontList = zenonFontLists.Item(i);

//Loop through all fonts and set the height to 10

for (int j = 0; j < zenonFontList.Count; ++j)

{

IFontItem zenonFont = zenonFontList.Item(j);

//Parse the LogFont string of the font

LogFont lf = new LogFont((string)zenonFont.get_DynProperties("Font"));

lf.Height = -27;

//Change the height value and set the Font property again

zenonFont.set_DynProperties("Font", lf.ToString());

}

}

}

VB.NET

<StructLayout(LayoutKind.Sequential, CharSet := CharSet.Auto)> _

Public Class LogFont

<MarshalAs(UnmanagedType.ByValTStr, SizeConst := 32)> _

Private _faceName As String

Public Property Height() As Integer

Get

Return m_Height

End Get

Set

m_Height = Value

End Set

End Property

Private m_Height As Integer

Public Property Width() As Integer

Get

Return m_Width

End Get

Set

m_Width = Value

End Set

End Property

Private m_Width As Integer

Public Property Escapement() As Integer

Get

Return m_Escapement

End Get

Set

m_Escapement = Value

End Set

End Property

Private m_Escapement As Integer

Public Property Orientation() As Integer

Get

Return m_Orientation

End Get

Set

m_Orientation = Value

End Set

End Property

Private m_Orientation As Integer

Public Property Weight() As Integer

Get

Return m_Weight

End Get

Set

m_Weight = Value

End Set

End Property

Private m_Weight As Integer

Public Property Italic() As Byte

Get

Return m_Italic

End Get

Set

m_Italic = Value

End Set

End Property

Private m_Italic As Byte

Public Property Underline() As Byte

Get

Return m_Underline

End Get

Set

m_Underline = Value

End Set

End Property

Private m_Underline As Byte

Public Property StrikeOut() As Byte

Get

Return m_StrikeOut

End Get

Set

m_StrikeOut = Value

End Set

End Property

Private m_StrikeOut As Byte

Public Property FontCharSet() As Byte

Get

Return m_FontCharSet

End Get

Set

m_FontCharSet = Value

End Set

End Property

Private m_FontCharSet As Byte

Public Property OutPrecision() As Byte

Get

Return m_OutPrecision

End Get

Set

m_OutPrecision = Value

End Set

End Property

Private m_OutPrecision As Byte

Public Property ClipPrecision() As Byte

Get

Return m_ClipPrecision

End Get

Set

m_ClipPrecision = Value

End Set

End Property

Private m_ClipPrecision As Byte

Public Property Quality() As Byte

Get

Return m_Quality

End Get

Set

m_Quality = Value

End Set

End Property

Private m_Quality As Byte

Public Property PitchAndFamily() As Byte

Get

Return m_PitchAndFamily

End Get

Set

m_PitchAndFamily = Value

End Set

End Property

Private m_PitchAndFamily As Byte

Public Property FaceName() As String

Get

Return _faceName

End Get

Set

If value.Length > 32 Then

_faceName = value.Substring(0, 32)

Else

_faceName = value

End If

End Set

End Property

Public Sub New(height As Integer, width As Integer, escape As Integer, orient As Integer, weight As Integer, italic As Byte, _

underline As Byte, strikeout As Byte, charSet As Byte, outPrecision As Byte, clipPrecision As Byte, quality As Byte, _

pitchAndFamily As Byte, faceName As String)

Me.Height = height

Me.Width = width

Me.Escapement = escape

Me.Orientation = orient

Me.Weight = weight

Me.Italic = italic

Me.Underline = underline

Me.StrikeOut = strikeout

Me.FontCharSet = charSet

Me.OutPrecision = outPrecision

Me.ClipPrecision = clipPrecision

Me.Quality = quality

Me.PitchAndFamily = pitchAndFamily

Me.FaceName = faceName

End Sub

Public Sub New(s As String)

Dim parseSplit As String() = s.Split(" "C)

Me.Height = Integer.Parse(parseSplit(0))

Me.Width = Integer.Parse(parseSplit(1))

Me.Escapement = Integer.Parse(parseSplit(2))

Me.Orientation = Integer.Parse(parseSplit(3))

Me.Weight = Integer.Parse(parseSplit(4))

Me.Italic = Byte.Parse(parseSplit(5))

Me.Underline = Byte.Parse(parseSplit(6))

Me.StrikeOut = Byte.Parse(parseSplit(7))

Me.FontCharSet = Byte.Parse(parseSplit(8))

Me.OutPrecision = Byte.Parse(parseSplit(9))

Me.ClipPrecision = Byte.Parse(parseSplit(10))

Me.Quality = Byte.Parse(parseSplit(11))

Me.PitchAndFamily = Byte.Parse(parseSplit(12))

Me.FaceName = parseSplit(13)

End Sub

Public Overrides Function ToString() As String

Return String.Format("{0} {1} {2} {3} {4} {5} {6} {7} {8} {9} {10} {11} {12} {13}", Me.Height, Me.Width, Me.Escapement, Me.Orientation, Me.Weight, _

Me.Italic, Me.Underline, Me.StrikeOut, Me.FontCharSet, Me.OutPrecision, Me.ClipPrecision, _

Me.Quality, Me.PitchAndFamily, Me.FaceName)

End Function

End Class

Public Sub MacroFont()

Dim zenonFontLists As IFontLists = Me.ActiveDocument.FontLists

For i As Integer = 0 To zenonFontLists.Count - 1

Dim zenonFontList As IFontList = zenonFontLists.Item(i)

'Loop through all fonts and set the height to 10

For j As Integer = 0 To zenonFontList.Count - 1

Dim zenonFont As IFontItem = zenonFontList.Item(j)

'Parse the LogFont string of the font

Dim lf As New LogFont(DirectCast(zenonFont.get_DynProperties("Font"), String))

lf.Height = -27

'Change the height value and set the Font property again

zenonFont.set_DynProperties("Font", lf.ToString())

Next

Next

End Sub

VBA

'Type definition of LOGFONT type (see MSDN)
Type LOGFONT
Height As Long
Width As Long
Escapement As Long
Orientation As Long
Weight As Long
Italic As Byte
Underline As Byte
StrikeOut As Byte
CharSet As Byte
OutPrecision As Byte
ClipPrecision As Byte
Quality As Byte
PitchAndFamily As Byte
FaceName As String * 32
End Type

Sub GetFontList()
Dim zPRJ As Project
Dim zFLs As FontLists
Dim zFL As FontList
Dim zFI As FontItem
Dim i As Integer
Dim n As Integer
Dim lf As LOGFONT

Set zPRJ = MyWorkspace.ActiveDocument
Set zFLs = zPRJ.FontLists
'enumerate all fontlists of the active project
For i = 0 To zFLs.Count - 1
Set zFL = zFLs.Item(i)
Debug.Print "Fontlist: " & zFL.DynProperties("Name")
'enumrate fonts of a fontlist
For n = 0 To zFL.Count - 1
Set zFI = zFL.Item(n)
Debug.Print zFI.DynProperties("Number")
Debug.Print zFI.DynProperties("Name")
Debug.Print zFI.DynProperties("Font")
'convert string to LOGFONT type in a function
lf = GetLogFontFromString(zFI.DynProperties("Font"))
Next n
Next i
End Sub

Sub CreateFontList()
Dim zPRJ As Project
Dim zFLs As FontLists
Dim zFL As FontList
Dim zFI As FontItem
Dim i As Integer
Dim lf As LOGFONT

Set zPRJ = MyWorkspace.ActiveDocument
Set zFLs = zPRJ.FontLists

'define font (LOGFONT)
lf.Height = 10
lf.Width = 0
lf.Escapement = 0
lf.Orientation = 0
lf.Weight = 400
lf.Italic = 0
lf.Underline = 0
lf.StrikeOut = 0
lf.CharSet = 0
lf.OutPrecision = 3
lf.ClipPrecision = 2
lf.Quality = 5
lf.PitchAndFamily = 34
lf.FaceName = String(25, " ") & "Courier" '32 - 7

'create new fontlist
Set zFL = zFLs.Create
With zFL
'set name of new fontlist
.DynProperties("Name") = "VBA_FontList3"
For i = 1 To 10
'create fonts in fontlist
Set zFI = zFL.Create(i)
zFI.DynProperties("Name") = "VBA_Font_" & Format(i, "00")
zFI.DynProperties("Font") = strFont
'modify LOGFONT definition
lf.Height = 10 + (i * 2)
'set font
zFI.DynProperties("Font") = GetStringFromLogFont(lf)
Next i
End With

End Sub

'CONVERT A STRING TO LOGFONT TYPE
Function GetLogFontFromString(strFont As String) As LOGFONT
Dim vSplit As Variant
Dim sFaceName As String
Dim i As Integer

vSplit = Split(strFont, " ")

GetLogFontFromString.Height = vSplit(0)
GetLogFontFromString.Width = vSplit(1)
GetLogFontFromString.Escapement = vSplit(2)
GetLogFontFromString.Orientation = vSplit(3)
GetLogFontFromString.Weight = vSplit(4)
GetLogFontFromString.Italic = vSplit(5)
GetLogFontFromString.Underline = vSplit(6)
GetLogFontFromString.StrikeOut = vSplit(7)
GetLogFontFromString.CharSet = vSplit(8)
GetLogFontFromString.OutPrecision = vSplit(9)
GetLogFontFromString.ClipPrecision = vSplit(10)
GetLogFontFromString.Quality = vSplit(11)
GetLogFontFromString.PitchAndFamily = vSplit(12)
For i = 13 To UBound(vSplit)
sFaceName = sFaceName & vSplit(i) & " "
Next i
sFaceName = RTrim(sFaceName)
sFaceName = String(32 - Len(sFaceName), " ") & sFaceName

GetLogFontFromString.FaceName = sFaceName
End Function

'CONVERT A LOGFONT TO STRING
Function GetStringFromLogFont(lfFont As LOGFONT) As String
GetStringFromLogFont = lfFont.Height & " " & _
lfFont.Width & " " & _
lfFont.Escapement & " " & _
lfFont.Orientation & " " & _
lfFont.Weight & " " & _
lfFont.Italic & " " & _
lfFont.Underline & " " & _
lfFont.StrikeOut & " " & _
lfFont.CharSet & " " & _
lfFont.OutPrecision & " " & _
lfFont.ClipPrecision & " " & _
lfFont.Quality & " " & _
lfFont.PitchAndFamily & " " & _
lfFont.FaceName
End Function

Other topics in this chapter

FontItem-Methods

FontItem-Dynamic properties


FontItem-Methods

Manuel -> Interfaces de programmation -> Modèles d'objet -> FontItem -> FontItem-Methods

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
void | DynProperties [PUT] | - | available | not used | yes | yes
VARIANT | DynProperties [GET] | - | available | not used | yes | yes
VARIANT | DynPropertiesEnum [GET] | - | available | not used | yes | yes
IPropParam | DynPropertyParam [GET] | Returns the PropParam objekt of the given DynProperty | read only | not used | yes | yes

Other topics in this chapter

DynPropertyParam [GET]

DynPropertiesEnum [GET]

DynProperties [GET]

DynProperties [PUT]


DynPropertyParam [GET]

Manuel -> Interfaces de programmation -> Modèles d'objet -> FontItem -> FontItem-Methods -> DynPropertyParam [GET]

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

DynPropertyParam [GET](BSTR bsPath) As PropParam

Availability

Environment | Available
Editor | read only
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


DynPropertiesEnum [GET]

Manuel -> Interfaces de programmation -> Modèles d'objet -> FontItem -> FontItem-Methods -> DynPropertiesEnum [GET]

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

DynPropertiesEnum(String bsPath) As VARIANT

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

A String which defines the Property.

Example: "NetAktive"

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

bsPath As String

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Sub ReadDynProps()
End Sub


DynProperties [GET]

Manuel -> Interfaces de programmation -> Modèles d'objet -> FontItem -> FontItem-Methods -> DynProperties [GET]

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

DynProperties(String bsPath) As VARIANT

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

A String which defines the Property.

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

bsPath As String

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Sub GetDynProp()
'Sample: GSet the Network Aktive Flag of the Project.
If MyWorkspace.ActiveDocument.DynProperties("NetActive") = True Then
'read the server - computername...
Debug.Print "Server: " & MyWorkspace.ActiveDocument.DynProperties("NetServer")
End If
End Sub


DynProperties [PUT]

Manuel -> Interfaces de programmation -> Modèles d'objet -> FontItem -> FontItem-Methods -> DynProperties [PUT]

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

DynProperties (String bsPath,VARIANT vValue) As void

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

A String which defines the Property.

Example: "NetAktive"

Returns a variant value depending to the property, it can be a boolean, a long, or a whole object.

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

bsPath As String

vValue As Variant

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Sub SetDynProp()
End Sub


FontItem-Dynamic properties

Manuel -> Interfaces de programmation -> Modèles d'objet -> FontItem -> FontItem-Dynamic properties

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Dynproperties

Font

Other topics in this chapter

Font


Font

Manuel -> Interfaces de programmation -> Modèles d'objet -> FontItem -> FontItem-Dynamic properties -> Font

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Type

VBA/VSTA Name

Display Name

Description

VT_BSTR

Name

Nom

Identifiant librement défini. Pour information uniquement.
Par défaut : Nouvelle police x (où x est un nombre consécutif).

Attention : Cette propriété n’est pas disponible aux fins de la commutation de langue.

Plus de détails dans l’aide en ligne.

ZT_LOGSCHRIFT

Font

Police

Sélection du type de police parmi les types de polices disponibles sur l’ordinateur.
Remarque : la boîte de dialogue de sélection du type de police est une boîte de dialogue standard de Windows.

Plus de détails dans l’aide en ligne.

VT_UI2

Number

Numéro

Numéro unique de la police.
Le numéro est défini par le système lors de la création de la police. Les numéros 1 et 2 sont attribués de manière fixe et ne peuvent pas être modifiés. Tous les autres numéros de police peuvent être modifiés ultérieurement, tant que les nouveaux numéros attribués ne sont pas déjà utilisés pour d’autres polices.

Remarque : Si les mêmes numéros sont utilisés dans le projet global et le projet, la police du projet est utilisée.

Plus de détails dans l’aide en ligne.


FontList

Manuel -> Interfaces de programmation -> Modèles d'objet -> FontList

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Defines a FontList object which contains single FontItem objects.

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Examples

C#

[StructLayout(LayoutKind.Sequential, CharSet = CharSet.Auto)]

public class LogFont

{

[MarshalAs(UnmanagedType.ByValTStr, SizeConst = 32)]

private string _faceName;

public int Height { get; set; }

public int Width { get; set; }

public int Escapement { get; set; }

public int Orientation { get; set; }

public int Weight { get; set; }

public byte Italic { get; set; }

public byte Underline { get; set; }

public byte StrikeOut { get; set; }

public byte FontCharSet { get; set; }

public byte OutPrecision { get; set; }

public byte ClipPrecision { get; set; }

public byte Quality { get; set; }

public byte PitchAndFamily { get; set; }

public string FaceName

{

get

{

return _faceName;

}

set

{

if (value.Length > 32)

_faceName = value.Substring(0, 32);

else

_faceName = value;

}

}

public LogFont(int height, int width, int escape, int orient, int weight,

byte italic, byte underline, byte strikeout, byte charSet, byte outPrecision,

byte clipPrecision, byte quality, byte pitchAndFamily, string faceName)

{

this.Height = height;

this.Width = width;

this.Escapement = escape;

this.Orientation = orient;

this.Weight = weight;

this.Italic = italic;

this.Underline = underline;

this.StrikeOut = strikeout;

this.FontCharSet = charSet;

this.OutPrecision = outPrecision;

this.ClipPrecision = clipPrecision;

this.Quality = quality;

this.PitchAndFamily = pitchAndFamily;

this.FaceName = faceName;

}

public LogFont(string s)

{

string[] parseSplit = s.Split(' ');

this.Height = int.Parse(parseSplit[0]);

this.Width = int.Parse(parseSplit[1]);

this.Escapement = int.Parse(parseSplit[2]);

this.Orientation = int.Parse(parseSplit[3]);

this.Weight = int.Parse(parseSplit[4]);

this.Italic = byte.Parse(parseSplit[5]);

this.Underline = byte.Parse(parseSplit[6]);

this.StrikeOut = byte.Parse(parseSplit[7]);

this.FontCharSet = byte.Parse(parseSplit[8]);

this.OutPrecision = byte.Parse(parseSplit[9]);

this.ClipPrecision = byte.Parse(parseSplit[10]);

this.Quality = byte.Parse(parseSplit[11]);

this.PitchAndFamily = byte.Parse(parseSplit[12]);

this.FaceName = parseSplit[13];

}

public override string ToString()

{

return string.Format("{0} {1} {2} {3} {4} {5} {6} {7} {8} {9} {10} {11} {12} {13}",

this.Height, this.Width, this.Escapement, this.Orientation, this.Weight,

this.Italic, this.Underline, this.StrikeOut, this.FontCharSet, this.OutPrecision,

this.ClipPrecision, this.Quality, this.PitchAndFamily, this.FaceName);

}

}

public void MacroFont()

{

IFontLists zenonFontLists = this.ActiveDocument.FontLists;

for (int i = 0; i < zenonFontLists.Count; ++i )

{

IFontList zenonFontList = zenonFontLists.Item(i);

//Loop through all fonts and set the height to 10

for (int j = 0; j < zenonFontList.Count; ++j)

{

IFontItem zenonFont = zenonFontList.Item(j);

//Parse the LogFont string of the font

LogFont lf = new LogFont((string)zenonFont.get_DynProperties("Font"));

lf.Height = -27;

//Change the height value and set the Font property again

zenonFont.set_DynProperties("Font", lf.ToString());

}

}

}

VB.NET

<StructLayout(LayoutKind.Sequential, CharSet := CharSet.Auto)> _

Public Class LogFont

<MarshalAs(UnmanagedType.ByValTStr, SizeConst := 32)> _

Private _faceName As String

Public Property Height() As Integer

Get

Return m_Height

End Get

Set

m_Height = Value

End Set

End Property

Private m_Height As Integer

Public Property Width() As Integer

Get

Return m_Width

End Get

Set

m_Width = Value

End Set

End Property

Private m_Width As Integer

Public Property Escapement() As Integer

Get

Return m_Escapement

End Get

Set

m_Escapement = Value

End Set

End Property

Private m_Escapement As Integer

Public Property Orientation() As Integer

Get

Return m_Orientation

End Get

Set

m_Orientation = Value

End Set

End Property

Private m_Orientation As Integer

Public Property Weight() As Integer

Get

Return m_Weight

End Get

Set

m_Weight = Value

End Set

End Property

Private m_Weight As Integer

Public Property Italic() As Byte

Get

Return m_Italic

End Get

Set

m_Italic = Value

End Set

End Property

Private m_Italic As Byte

Public Property Underline() As Byte

Get

Return m_Underline

End Get

Set

m_Underline = Value

End Set

End Property

Private m_Underline As Byte

Public Property StrikeOut() As Byte

Get

Return m_StrikeOut

End Get

Set

m_StrikeOut = Value

End Set

End Property

Private m_StrikeOut As Byte

Public Property FontCharSet() As Byte

Get

Return m_FontCharSet

End Get

Set

m_FontCharSet = Value

End Set

End Property

Private m_FontCharSet As Byte

Public Property OutPrecision() As Byte

Get

Return m_OutPrecision

End Get

Set

m_OutPrecision = Value

End Set

End Property

Private m_OutPrecision As Byte

Public Property ClipPrecision() As Byte

Get

Return m_ClipPrecision

End Get

Set

m_ClipPrecision = Value

End Set

End Property

Private m_ClipPrecision As Byte

Public Property Quality() As Byte

Get

Return m_Quality

End Get

Set

m_Quality = Value

End Set

End Property

Private m_Quality As Byte

Public Property PitchAndFamily() As Byte

Get

Return m_PitchAndFamily

End Get

Set

m_PitchAndFamily = Value

End Set

End Property

Private m_PitchAndFamily As Byte

Public Property FaceName() As String

Get

Return _faceName

End Get

Set

If value.Length > 32 Then

_faceName = value.Substring(0, 32)

Else

_faceName = value

End If

End Set

End Property

Public Sub New(height As Integer, width As Integer, escape As Integer, orient As Integer, weight As Integer, italic As Byte, _

underline As Byte, strikeout As Byte, charSet As Byte, outPrecision As Byte, clipPrecision As Byte, quality As Byte, _

pitchAndFamily As Byte, faceName As String)

Me.Height = height

Me.Width = width

Me.Escapement = escape

Me.Orientation = orient

Me.Weight = weight

Me.Italic = italic

Me.Underline = underline

Me.StrikeOut = strikeout

Me.FontCharSet = charSet

Me.OutPrecision = outPrecision

Me.ClipPrecision = clipPrecision

Me.Quality = quality

Me.PitchAndFamily = pitchAndFamily

Me.FaceName = faceName

End Sub

Public Sub New(s As String)

Dim parseSplit As String() = s.Split(" "C)

Me.Height = Integer.Parse(parseSplit(0))

Me.Width = Integer.Parse(parseSplit(1))

Me.Escapement = Integer.Parse(parseSplit(2))

Me.Orientation = Integer.Parse(parseSplit(3))

Me.Weight = Integer.Parse(parseSplit(4))

Me.Italic = Byte.Parse(parseSplit(5))

Me.Underline = Byte.Parse(parseSplit(6))

Me.StrikeOut = Byte.Parse(parseSplit(7))

Me.FontCharSet = Byte.Parse(parseSplit(8))

Me.OutPrecision = Byte.Parse(parseSplit(9))

Me.ClipPrecision = Byte.Parse(parseSplit(10))

Me.Quality = Byte.Parse(parseSplit(11))

Me.PitchAndFamily = Byte.Parse(parseSplit(12))

Me.FaceName = parseSplit(13)

End Sub

Public Overrides Function ToString() As String

Return String.Format("{0} {1} {2} {3} {4} {5} {6} {7} {8} {9} {10} {11} {12} {13}", Me.Height, Me.Width, Me.Escapement, Me.Orientation, Me.Weight, _

Me.Italic, Me.Underline, Me.StrikeOut, Me.FontCharSet, Me.OutPrecision, Me.ClipPrecision, _

Me.Quality, Me.PitchAndFamily, Me.FaceName)

End Function

End Class

Public Sub MacroFont()

Dim zenonFontLists As IFontLists = Me.ActiveDocument.FontLists

For i As Integer = 0 To zenonFontLists.Count - 1

Dim zenonFontList As IFontList = zenonFontLists.Item(i)

'Loop through all fonts and set the height to 10

For j As Integer = 0 To zenonFontList.Count - 1

Dim zenonFont As IFontItem = zenonFontList.Item(j)

'Parse the LogFont string of the font

Dim lf As New LogFont(DirectCast(zenonFont.get_DynProperties("Font"), String))

lf.Height = -27

'Change the height value and set the Font property again

zenonFont.set_DynProperties("Font", lf.ToString())

Next

Next

End Sub

VBA

'Type definition of LOGFONT type (see MSDN)
Type LOGFONT
Height As Long
Width As Long
Escapement As Long
Orientation As Long
Weight As Long
Italic As Byte
Underline As Byte
StrikeOut As Byte
CharSet As Byte
OutPrecision As Byte
ClipPrecision As Byte
Quality As Byte
PitchAndFamily As Byte
FaceName As String * 32
End Type

Sub GetFontList()
Dim zPRJ As Project
Dim zFLs As FontLists
Dim zFL As FontList
Dim zFI As FontItem
Dim i As Integer
Dim n As Integer
Dim lf As LOGFONT

Set zPRJ = MyWorkspace.ActiveDocument
Set zFLs = zPRJ.FontLists
'enumerate all fontlists of the active project
For i = 0 To zFLs.Count - 1
Set zFL = zFLs.Item(i)
Debug.Print "Fontlist: " & zFL.DynProperties("Name")
'enumrate fonts of a fontlist
For n = 0 To zFL.Count - 1
Set zFI = zFL.Item(n)
Debug.Print zFI.DynProperties("Number")
Debug.Print zFI.DynProperties("Name")
Debug.Print zFI.DynProperties("Font")
'convert string to LOGFONT type in a function
lf = GetLogFontFromString(zFI.DynProperties("Font"))
Next n
Next i
End Sub

Sub CreateFontList()
Dim zPRJ As Project
Dim zFLs As FontLists
Dim zFL As FontList
Dim zFI As FontItem
Dim i As Integer
Dim lf As LOGFONT

Set zPRJ = MyWorkspace.ActiveDocument
Set zFLs = zPRJ.FontLists

'define font (LOGFONT)
lf.Height = 10
lf.Width = 0
lf.Escapement = 0
lf.Orientation = 0
lf.Weight = 400
lf.Italic = 0
lf.Underline = 0
lf.StrikeOut = 0
lf.CharSet = 0
lf.OutPrecision = 3
lf.ClipPrecision = 2
lf.Quality = 5
lf.PitchAndFamily = 34
lf.FaceName = String(25, " ") & "Courier" '32 - 7

'create new fontlist
Set zFL = zFLs.Create
With zFL
'set name of new fontlist
.DynProperties("Name") = "VBA_FontList3"
For i = 1 To 10
'create fonts in fontlist
Set zFI = zFL.Create(i)
zFI.DynProperties("Name") = "VBA_Font_" & Format(i, "00")
zFI.DynProperties("Font") = strFont
'modify LOGFONT definition
lf.Height = 10 + (i * 2)
'set font
zFI.DynProperties("Font") = GetStringFromLogFont(lf)
Next i
End With

End Sub

'CONVERT A STRING TO LOGFONT TYPE
Function GetLogFontFromString(strFont As String) As LOGFONT
Dim vSplit As Variant
Dim sFaceName As String
Dim i As Integer

vSplit = Split(strFont, " ")

GetLogFontFromString.Height = vSplit(0)
GetLogFontFromString.Width = vSplit(1)
GetLogFontFromString.Escapement = vSplit(2)
GetLogFontFromString.Orientation = vSplit(3)
GetLogFontFromString.Weight = vSplit(4)
GetLogFontFromString.Italic = vSplit(5)
GetLogFontFromString.Underline = vSplit(6)
GetLogFontFromString.StrikeOut = vSplit(7)
GetLogFontFromString.CharSet = vSplit(8)
GetLogFontFromString.OutPrecision = vSplit(9)
GetLogFontFromString.ClipPrecision = vSplit(10)
GetLogFontFromString.Quality = vSplit(11)
GetLogFontFromString.PitchAndFamily = vSplit(12)
For i = 13 To UBound(vSplit)
sFaceName = sFaceName & vSplit(i) & " "
Next i
sFaceName = RTrim(sFaceName)
sFaceName = String(32 - Len(sFaceName), " ") & sFaceName

GetLogFontFromString.FaceName = sFaceName
End Function

'CONVERT A LOGFONT TO STRING
Function GetStringFromLogFont(lfFont As LOGFONT) As String
GetStringFromLogFont = lfFont.Height & " " & _
lfFont.Width & " " & _
lfFont.Escapement & " " & _
lfFont.Orientation & " " & _
lfFont.Weight & " " & _
lfFont.Italic & " " & _
lfFont.Underline & " " & _
lfFont.StrikeOut & " " & _
lfFont.CharSet & " " & _
lfFont.OutPrecision & " " & _
lfFont.ClipPrecision & " " & _
lfFont.Quality & " " & _
lfFont.PitchAndFamily & " " & _
lfFont.FaceName
End Function

Other topics in this chapter

FontList-Properties

FontList-Methods

FontList-Dynamic properties


FontList-Properties

Manuel -> Interfaces de programmation -> Modèles d'objet -> FontList -> FontList-Properties

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
long | Count | Returns the amount of Font objects. | available | not used | yes | yes

Other topics in this chapter

Count


Count

Manuel -> Interfaces de programmation -> Modèles d'objet -> FontList -> FontList-Properties -> Count

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

Count() As long

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes


FontList-Methods

Manuel -> Interfaces de programmation -> Modèles d'objet -> FontList -> FontList-Methods

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
IFontItem | Create | Create a new Font. | available | not used | yes | yes
void | DynProperties [PUT] | - | available | not used | yes | yes
VARIANT | DynProperties [GET] | - | available | not used | yes | yes
VARIANT | DynPropertiesEnum [GET] | - | available | not used | yes | yes
IFontItem | Item | Returns the Font at the given index. | available | not used | yes | yes
IFontItem | ItemById | Returns the Font with the given Id. | available | not used | yes | yes
IPropParam | DynPropertyParam [GET] | Returns the PropParam objekt of the given DynProperty | read only | not used | yes | yes

Other topics in this chapter

Item

ItemById

Create

DynPropertyParam [GET]

DynPropertiesEnum [GET]

DynProperties [GET]

DynProperties [PUT]


Item

Manuel -> Interfaces de programmation -> Modèles d'objet -> FontList -> FontList-Methods -> Item

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

Item(long lIndex) As FontItem

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

[StructLayout(LayoutKind.Sequential, CharSet = CharSet.Auto)]

public class LogFont

{

[MarshalAs(UnmanagedType.ByValTStr, SizeConst = 32)]

private string _faceName;

public int Height { get; set; }

public int Width { get; set; }

public int Escapement { get; set; }

public int Orientation { get; set; }

public int Weight { get; set; }

public byte Italic { get; set; }

public byte Underline { get; set; }

public byte StrikeOut { get; set; }

public byte FontCharSet { get; set; }

public byte OutPrecision { get; set; }

public byte ClipPrecision { get; set; }

public byte Quality { get; set; }

public byte PitchAndFamily { get; set; }

public string FaceName

{

get

{

return _faceName;

}

set

{

if (value.Length > 32)

_faceName = value.Substring(0, 32);

else

_faceName = value;

}

}

public LogFont(int height, int width, int escape, int orient, int weight,

byte italic, byte underline, byte strikeout, byte charSet, byte outPrecision,

byte clipPrecision, byte quality, byte pitchAndFamily, string faceName)

{

this.Height = height;

this.Width = width;

this.Escapement = escape;

this.Orientation = orient;

this.Weight = weight;

this.Italic = italic;

this.Underline = underline;

this.StrikeOut = strikeout;

this.FontCharSet = charSet;

this.OutPrecision = outPrecision;

this.ClipPrecision = clipPrecision;

this.Quality = quality;

this.PitchAndFamily = pitchAndFamily;

this.FaceName = faceName;

}

public LogFont(string s)

{

string[] parseSplit = s.Split(' ');

this.Height = int.Parse(parseSplit[0]);

this.Width = int.Parse(parseSplit[1]);

this.Escapement = int.Parse(parseSplit[2]);

this.Orientation = int.Parse(parseSplit[3]);

this.Weight = int.Parse(parseSplit[4]);

this.Italic = byte.Parse(parseSplit[5]);

this.Underline = byte.Parse(parseSplit[6]);

this.StrikeOut = byte.Parse(parseSplit[7]);

this.FontCharSet = byte.Parse(parseSplit[8]);

this.OutPrecision = byte.Parse(parseSplit[9]);

this.ClipPrecision = byte.Parse(parseSplit[10]);

this.Quality = byte.Parse(parseSplit[11]);

this.PitchAndFamily = byte.Parse(parseSplit[12]);

this.FaceName = parseSplit[13];

}

public override string ToString()

{

return string.Format("{0} {1} {2} {3} {4} {5} {6} {7} {8} {9} {10} {11} {12} {13}",

this.Height, this.Width, this.Escapement, this.Orientation, this.Weight,

this.Italic, this.Underline, this.StrikeOut, this.FontCharSet, this.OutPrecision,

this.ClipPrecision, this.Quality, this.PitchAndFamily, this.FaceName);

}

}

public void MacroFont()

{

IFontLists zenonFontLists = this.ActiveDocument.FontLists;

for (int i = 0; i < zenonFontLists.Count; ++i )

{

IFontList zenonFontList = zenonFontLists.Item(i);

//Loop through all fonts and set the height to 10

for (int j = 0; j < zenonFontList.Count; ++j)

{

IFontItem zenonFont = zenonFontList.Item(j);

//Parse the LogFont string of the font

LogFont lf = new LogFont((string)zenonFont.get_DynProperties("Font"));

lf.Height = -27;

//Change the height value and set the Font property again

zenonFont.set_DynProperties("Font", lf.ToString());

}

}

}

VB.NET

'Define LogFont Structure

<StructLayout(LayoutKind.Sequential, CharSet := CharSet.Auto)> _

Public Class LogFont

<MarshalAs(UnmanagedType.ByValTStr, SizeConst := 32)> _

Private _faceName As String

Public Property Height() As Integer

Get

Return m_Height

End Get

Set

m_Height = Value

End Set

End Property

Private m_Height As Integer

Public Property Width() As Integer

Get

Return m_Width

End Get

Set

m_Width = Value

End Set

End Property

Private m_Width As Integer

Public Property Escapement() As Integer

Get

Return m_Escapement

End Get

Set

m_Escapement = Value

End Set

End Property

Private m_Escapement As Integer

Public Property Orientation() As Integer

Get

Return m_Orientation

End Get

Set

m_Orientation = Value

End Set

End Property

Private m_Orientation As Integer

Public Property Weight() As Integer

Get

Return m_Weight

End Get

Set

m_Weight = Value

End Set

End Property

Private m_Weight As Integer

Public Property Italic() As Byte

Get

Return m_Italic

End Get

Set

m_Italic = Value

End Set

End Property

Private m_Italic As Byte

Public Property Underline() As Byte

Get

Return m_Underline

End Get

Set

m_Underline = Value

End Set

End Property

Private m_Underline As Byte

Public Property StrikeOut() As Byte

Get

Return m_StrikeOut

End Get

Set

m_StrikeOut = Value

End Set

End Property

Private m_StrikeOut As Byte

Public Property FontCharSet() As Byte

Get

Return m_FontCharSet

End Get

Set

m_FontCharSet = Value

End Set

End Property

Private m_FontCharSet As Byte

Public Property OutPrecision() As Byte

Get

Return m_OutPrecision

End Get

Set

m_OutPrecision = Value

End Set

End Property

Private m_OutPrecision As Byte

Public Property ClipPrecision() As Byte

Get

Return m_ClipPrecision

End Get

Set

m_ClipPrecision = Value

End Set

End Property

Private m_ClipPrecision As Byte

Public Property Quality() As Byte

Get

Return m_Quality

End Get

Set

m_Quality = Value

End Set

End Property

Private m_Quality As Byte

Public Property PitchAndFamily() As Byte

Get

Return m_PitchAndFamily

End Get

Set

m_PitchAndFamily = Value

End Set

End Property

Private m_PitchAndFamily As Byte

Public Property FaceName() As String

Get

Return _faceName

End Get

Set

If value.Length > 32 Then

_faceName = value.Substring(0, 32)

Else

_faceName = value

End If

End Set

End Property

Public Sub New(height As Integer, width As Integer, escape As Integer, orient As Integer, weight As Integer, italic As Byte, _

underline As Byte, strikeout As Byte, charSet As Byte, outPrecision As Byte, clipPrecision As Byte, quality As Byte, _

pitchAndFamily As Byte, faceName As String)

Me.Height = height

Me.Width = width

Me.Escapement = escape

Me.Orientation = orient

Me.Weight = weight

Me.Italic = italic

Me.Underline = underline

Me.StrikeOut = strikeout

Me.FontCharSet = charSet

Me.OutPrecision = outPrecision

Me.ClipPrecision = clipPrecision

Me.Quality = quality

Me.PitchAndFamily = pitchAndFamily

Me.FaceName = faceName

End Sub

Public Sub New(s As String)

Dim parseSplit As String() = s.Split(" "C)

Me.Height = Integer.Parse(parseSplit(0))

Me.Width = Integer.Parse(parseSplit(1))

Me.Escapement = Integer.Parse(parseSplit(2))

Me.Orientation = Integer.Parse(parseSplit(3))

Me.Weight = Integer.Parse(parseSplit(4))

Me.Italic = Byte.Parse(parseSplit(5))

Me.Underline = Byte.Parse(parseSplit(6))

Me.StrikeOut = Byte.Parse(parseSplit(7))

Me.FontCharSet = Byte.Parse(parseSplit(8))

Me.OutPrecision = Byte.Parse(parseSplit(9))

Me.ClipPrecision = Byte.Parse(parseSplit(10))

Me.Quality = Byte.Parse(parseSplit(11))

Me.PitchAndFamily = Byte.Parse(parseSplit(12))

Me.FaceName = parseSplit(13)

End Sub

Public Overrides Function ToString() As String

Return String.Format("{0} {1} {2} {3} {4} {5} {6} {7} {8} {9} {10} {11} {12} {13}", Me.Height, Me.Width, Me.Escapement, Me.Orientation, Me.Weight, _

Me.Italic, Me.Underline, Me.StrikeOut, Me.FontCharSet, Me.OutPrecision, Me.ClipPrecision, _

Me.Quality, Me.PitchAndFamily, Me.FaceName)

End Function

End Class

Public Sub MacroFont()

Dim zenonFontLists As IFontLists = Me.ActiveDocument.FontLists

For i As Integer = 0 To zenonFontLists.Count - 1

Dim zenonFontList As IFontList = zenonFontLists.Item(i)

'Loop through all fonts and set the height to 10

For j As Integer = 0 To zenonFontList.Count - 1

Dim zenonFont As IFontItem = zenonFontList.Item(j)

'Parse the LogFont string of the font

Dim lf As New LogFont(DirectCast(zenonFont.get_DynProperties("Font"), String))

lf.Height = -27

'Change the height value and set the Font property again

zenonFont.set_DynProperties("Font", lf.ToString())

Next

Next

End Sub

VBA

VBA-Syntax


ItemById

Manuel -> Interfaces de programmation -> Modèles d'objet -> FontList -> FontList-Methods -> ItemById

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Gets a specific FontItem object from the list by its unique identifier (Which can be found in the editor) - Use this if you want to access a specific object instead of enumerating through the list as a whole.

Datatype

ItemById(long lId) As FontItem

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

[StructLayout(LayoutKind.Sequential, CharSet = CharSet.Auto)]

public class LogFont

{

[MarshalAs(UnmanagedType.ByValTStr, SizeConst = 32)]

private string _faceName;

public int Height { get; set; }

public int Width { get; set; }

public int Escapement { get; set; }

public int Orientation { get; set; }

public int Weight { get; set; }

public byte Italic { get; set; }

public byte Underline { get; set; }

public byte StrikeOut { get; set; }

public byte FontCharSet { get; set; }

public byte OutPrecision { get; set; }

public byte ClipPrecision { get; set; }

public byte Quality { get; set; }

public byte PitchAndFamily { get; set; }

public string FaceName

{

get

{

return _faceName;

}

set

{

if (value.Length > 32)

_faceName = value.Substring(0, 32);

else

_faceName = value;

}

}

public LogFont(int height, int width, int escape, int orient, int weight,

byte italic, byte underline, byte strikeout, byte charSet, byte outPrecision,

byte clipPrecision, byte quality, byte pitchAndFamily, string faceName)

{

this.Height = height;

this.Width = width;

this.Escapement = escape;

this.Orientation = orient;

this.Weight = weight;

this.Italic = italic;

this.Underline = underline;

this.StrikeOut = strikeout;

this.FontCharSet = charSet;

this.OutPrecision = outPrecision;

this.ClipPrecision = clipPrecision;

this.Quality = quality;

this.PitchAndFamily = pitchAndFamily;

this.FaceName = faceName;

}

public LogFont(string s)

{

string[] parseSplit = s.Split(' ');

this.Height = int.Parse(parseSplit[0]);

this.Width = int.Parse(parseSplit[1]);

this.Escapement = int.Parse(parseSplit[2]);

this.Orientation = int.Parse(parseSplit[3]);

this.Weight = int.Parse(parseSplit[4]);

this.Italic = byte.Parse(parseSplit[5]);

this.Underline = byte.Parse(parseSplit[6]);

this.StrikeOut = byte.Parse(parseSplit[7]);

this.FontCharSet = byte.Parse(parseSplit[8]);

this.OutPrecision = byte.Parse(parseSplit[9]);

this.ClipPrecision = byte.Parse(parseSplit[10]);

this.Quality = byte.Parse(parseSplit[11]);

this.PitchAndFamily = byte.Parse(parseSplit[12]);

this.FaceName = parseSplit[13];

}

public override string ToString()

{

return string.Format("{0} {1} {2} {3} {4} {5} {6} {7} {8} {9} {10} {11} {12} {13}",

this.Height, this.Width, this.Escapement, this.Orientation, this.Weight,

this.Italic, this.Underline, this.StrikeOut, this.FontCharSet, this.OutPrecision,

this.ClipPrecision, this.Quality, this.PitchAndFamily, this.FaceName);

}

}

public void MacroFont()

{

IFontLists zenonFontLists = this.ActiveDocument.FontLists;

for (int i = 0; i < zenonFontLists.Count; ++i)

{

IFontList zenonFontList = zenonFontLists.Item(i);

//Gets a specific font specified by its unique identifier

IFontItem zenonFont = zenonFontList.ItemById(4);

//Parse the LogFont string of the font

LogFont lf = new LogFont((string)zenonFont.get_DynProperties("Font"));

lf.Height = -27;

//Change the height value and set the Font property again

zenonFont.set_DynProperties("Font", lf.ToString());

}

}

VB.NET

'Define LogFont Structure

<StructLayout(LayoutKind.Sequential, CharSet := CharSet.Auto)> _

Public Class LogFont

<MarshalAs(UnmanagedType.ByValTStr, SizeConst := 32)> _

Private _faceName As String

Public Property Height() As Integer

Get

Return m_Height

End Get

Set

m_Height = Value

End Set

End Property

Private m_Height As Integer

Public Property Width() As Integer

Get

Return m_Width

End Get

Set

m_Width = Value

End Set

End Property

Private m_Width As Integer

Public Property Escapement() As Integer

Get

Return m_Escapement

End Get

Set

m_Escapement = Value

End Set

End Property

Private m_Escapement As Integer

Public Property Orientation() As Integer

Get

Return m_Orientation

End Get

Set

m_Orientation = Value

End Set

End Property

Private m_Orientation As Integer

Public Property Weight() As Integer

Get

Return m_Weight

End Get

Set

m_Weight = Value

End Set

End Property

Private m_Weight As Integer

Public Property Italic() As Byte

Get

Return m_Italic

End Get

Set

m_Italic = Value

End Set

End Property

Private m_Italic As Byte

Public Property Underline() As Byte

Get

Return m_Underline

End Get

Set

m_Underline = Value

End Set

End Property

Private m_Underline As Byte

Public Property StrikeOut() As Byte

Get

Return m_StrikeOut

End Get

Set

m_StrikeOut = Value

End Set

End Property

Private m_StrikeOut As Byte

Public Property FontCharSet() As Byte

Get

Return m_FontCharSet

End Get

Set

m_FontCharSet = Value

End Set

End Property

Private m_FontCharSet As Byte

Public Property OutPrecision() As Byte

Get

Return m_OutPrecision

End Get

Set

m_OutPrecision = Value

End Set

End Property

Private m_OutPrecision As Byte

Public Property ClipPrecision() As Byte

Get

Return m_ClipPrecision

End Get

Set

m_ClipPrecision = Value

End Set

End Property

Private m_ClipPrecision As Byte

Public Property Quality() As Byte

Get

Return m_Quality

End Get

Set

m_Quality = Value

End Set

End Property

Private m_Quality As Byte

Public Property PitchAndFamily() As Byte

Get

Return m_PitchAndFamily

End Get

Set

m_PitchAndFamily = Value

End Set

End Property

Private m_PitchAndFamily As Byte

Public Property FaceName() As String

Get

Return _faceName

End Get

Set

If value.Length > 32 Then

_faceName = value.Substring(0, 32)

Else

_faceName = value

End If

End Set

End Property

Public Sub New(height As Integer, width As Integer, escape As Integer, orient As Integer, weight As Integer, italic As Byte, _

underline As Byte, strikeout As Byte, charSet As Byte, outPrecision As Byte, clipPrecision As Byte, quality As Byte, _

pitchAndFamily As Byte, faceName As String)

Me.Height = height

Me.Width = width

Me.Escapement = escape

Me.Orientation = orient

Me.Weight = weight

Me.Italic = italic

Me.Underline = underline

Me.StrikeOut = strikeout

Me.FontCharSet = charSet

Me.OutPrecision = outPrecision

Me.ClipPrecision = clipPrecision

Me.Quality = quality

Me.PitchAndFamily = pitchAndFamily

Me.FaceName = faceName

End Sub

Public Sub New(s As String)

Dim parseSplit As String() = s.Split(" "C)

Me.Height = Integer.Parse(parseSplit(0))

Me.Width = Integer.Parse(parseSplit(1))

Me.Escapement = Integer.Parse(parseSplit(2))

Me.Orientation = Integer.Parse(parseSplit(3))

Me.Weight = Integer.Parse(parseSplit(4))

Me.Italic = Byte.Parse(parseSplit(5))

Me.Underline = Byte.Parse(parseSplit(6))

Me.StrikeOut = Byte.Parse(parseSplit(7))

Me.FontCharSet = Byte.Parse(parseSplit(8))

Me.OutPrecision = Byte.Parse(parseSplit(9))

Me.ClipPrecision = Byte.Parse(parseSplit(10))

Me.Quality = Byte.Parse(parseSplit(11))

Me.PitchAndFamily = Byte.Parse(parseSplit(12))

Me.FaceName = parseSplit(13)

End Sub

Public Overrides Function ToString() As String

Return String.Format("{0} {1} {2} {3} {4} {5} {6} {7} {8} {9} {10} {11} {12} {13}", Me.Height, Me.Width, Me.Escapement, Me.Orientation, Me.Weight, _

Me.Italic, Me.Underline, Me.StrikeOut, Me.FontCharSet, Me.OutPrecision, Me.ClipPrecision, _

Me.Quality, Me.PitchAndFamily, Me.FaceName)

End Function

End Class

Public Sub MacroFont()

Dim zenonFontLists As IFontLists = Me.ActiveDocument.FontLists

For i As Integer = 0 To zenonFontLists.Count - 1

Dim zenonFontList As IFontList = zenonFontLists.Item(i)

'Gets a specific font specified by its unique identifier

Dim zenonFont As IFontItem = zenonFontList.ItemById(4)

'Parse the LogFont string of the font

Dim lf As New LogFont(DirectCast(zenonFont.get_DynProperties("Font"), String))

lf.Height = -27

'Change the height value and set the Font property again

zenonFont.set_DynProperties("Font", lf.ToString())

Next

End Sub

VBA

VBA-Syntax


Create

Manuel -> Interfaces de programmation -> Modèles d'objet -> FontList -> FontList-Methods -> Create

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Creates a new FontItem object in the font list and returns it.

Datatype

Create(long lFontId) As FontItem

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

[StructLayout(LayoutKind.Sequential, CharSet = CharSet.Auto)]

public class LogFont

{

[MarshalAs(UnmanagedType.ByValTStr, SizeConst = 32)]

private string _faceName;

public int Height { get; set; }

public int Width { get; set; }

public int Escapement { get; set; }

public int Orientation { get; set; }

public int Weight { get; set; }

public byte Italic { get; set; }

public byte Underline { get; set; }

public byte StrikeOut { get; set; }

public byte FontCharSet { get; set; }

public byte OutPrecision { get; set; }

public byte ClipPrecision { get; set; }

public byte Quality { get; set; }

public byte PitchAndFamily { get; set; }

public string FaceName

{

get

{

return _faceName;

}

set

{

if (value.Length > 32)

_faceName = value.Substring(0, 32);

else

_faceName = value;

}

}

public LogFont(int height, int width, int escape, int orient, int weight,

byte italic, byte underline, byte strikeout, byte charSet, byte outPrecision,

byte clipPrecision, byte quality, byte pitchAndFamily, string faceName)

{

this.Height = height;

this.Width = width;

this.Escapement = escape;

this.Orientation = orient;

this.Weight = weight;

this.Italic = italic;

this.Underline = underline;

this.StrikeOut = strikeout;

this.FontCharSet = charSet;

this.OutPrecision = outPrecision;

this.ClipPrecision = clipPrecision;

this.Quality = quality;

this.PitchAndFamily = pitchAndFamily;

this.FaceName = faceName;

}

public LogFont(string s)

{

string[] parseSplit = s.Split(' ');

this.Height = int.Parse(parseSplit[0]);

this.Width = int.Parse(parseSplit[1]);

this.Escapement = int.Parse(parseSplit[2]);

this.Orientation = int.Parse(parseSplit[3]);

this.Weight = int.Parse(parseSplit[4]);

this.Italic = byte.Parse(parseSplit[5]);

this.Underline = byte.Parse(parseSplit[6]);

this.StrikeOut = byte.Parse(parseSplit[7]);

this.FontCharSet = byte.Parse(parseSplit[8]);

this.OutPrecision = byte.Parse(parseSplit[9]);

this.ClipPrecision = byte.Parse(parseSplit[10]);

this.Quality = byte.Parse(parseSplit[11]);

this.PitchAndFamily = byte.Parse(parseSplit[12]);

this.FaceName = parseSplit[13];

}

public override string ToString()

{

return string.Format("{0} {1} {2} {3} {4} {5} {6} {7} {8} {9} {10} {11} {12} {13}",

this.Height, this.Width, this.Escapement, this.Orientation, this.Weight,

this.Italic, this.Underline, this.StrikeOut, this.FontCharSet, this.OutPrecision,

this.ClipPrecision, this.Quality, this.PitchAndFamily, this.FaceName);

}

}

public void MacroFont()

{

IFontLists zenonFontLists = this.ActiveDocument.FontLists;

IFontList zenonFontList = zenonFontLists.Item(0);

//Create new font with id 6

zenonFontList.Create(6);

IFontItem zenonFont = zenonFontList.ItemById(6);

//Creates a new Webdings LogFont

LogFont newFont = new LogFont(-22, 0, 0, 0, 0, 0, 0, 0, 0, 3, 2, 5, 34, "Webdings");

zenonFont.set_DynProperties("Font", newFont.ToString());

zenonFont.set_DynProperties("Name", "Webdings Font");

}

VB.NET

<StructLayout(LayoutKind.Sequential, CharSet := CharSet.Auto)> _

Public Class LogFont

<MarshalAs(UnmanagedType.ByValTStr, SizeConst := 32)> _

Private _faceName As String

Public Property Height() As Integer

Get

Return m_Height

End Get

Set

m_Height = Value

End Set

End Property

Private m_Height As Integer

Public Property Width() As Integer

Get

Return m_Width

End Get

Set

m_Width = Value

End Set

End Property

Private m_Width As Integer

Public Property Escapement() As Integer

Get

Return m_Escapement

End Get

Set

m_Escapement = Value

End Set

End Property

Private m_Escapement As Integer

Public Property Orientation() As Integer

Get

Return m_Orientation

End Get

Set

m_Orientation = Value

End Set

End Property

Private m_Orientation As Integer

Public Property Weight() As Integer

Get

Return m_Weight

End Get

Set

m_Weight = Value

End Set

End Property

Private m_Weight As Integer

Public Property Italic() As Byte

Get

Return m_Italic

End Get

Set

m_Italic = Value

End Set

End Property

Private m_Italic As Byte

Public Property Underline() As Byte

Get

Return m_Underline

End Get

Set

m_Underline = Value

End Set

End Property

Private m_Underline As Byte

Public Property StrikeOut() As Byte

Get

Return m_StrikeOut

End Get

Set

m_StrikeOut = Value

End Set

End Property

Private m_StrikeOut As Byte

Public Property FontCharSet() As Byte

Get

Return m_FontCharSet

End Get

Set

m_FontCharSet = Value

End Set

End Property

Private m_FontCharSet As Byte

Public Property OutPrecision() As Byte

Get

Return m_OutPrecision

End Get

Set

m_OutPrecision = Value

End Set

End Property

Private m_OutPrecision As Byte

Public Property ClipPrecision() As Byte

Get

Return m_ClipPrecision

End Get

Set

m_ClipPrecision = Value

End Set

End Property

Private m_ClipPrecision As Byte

Public Property Quality() As Byte

Get

Return m_Quality

End Get

Set

m_Quality = Value

End Set

End Property

Private m_Quality As Byte

Public Property PitchAndFamily() As Byte

Get

Return m_PitchAndFamily

End Get

Set

m_PitchAndFamily = Value

End Set

End Property

Private m_PitchAndFamily As Byte

Public Property FaceName() As String

Get

Return _faceName

End Get

Set

If value.Length > 32 Then

_faceName = value.Substring(0, 32)

Else

_faceName = value

End If

End Set

End Property

Public Sub New(height As Integer, width As Integer, escape As Integer, orient As Integer, weight As Integer, italic As Byte, _

underline As Byte, strikeout As Byte, charSet As Byte, outPrecision As Byte, clipPrecision As Byte, quality As Byte, _

pitchAndFamily As Byte, faceName As String)

Me.Height = height

Me.Width = width

Me.Escapement = escape

Me.Orientation = orient

Me.Weight = weight

Me.Italic = italic

Me.Underline = underline

Me.StrikeOut = strikeout

Me.FontCharSet = charSet

Me.OutPrecision = outPrecision

Me.ClipPrecision = clipPrecision

Me.Quality = quality

Me.PitchAndFamily = pitchAndFamily

Me.FaceName = faceName

End Sub

Public Sub New(s As String)

Dim parseSplit As String() = s.Split(" "C)

Me.Height = Integer.Parse(parseSplit(0))

Me.Width = Integer.Parse(parseSplit(1))

Me.Escapement = Integer.Parse(parseSplit(2))

Me.Orientation = Integer.Parse(parseSplit(3))

Me.Weight = Integer.Parse(parseSplit(4))

Me.Italic = Byte.Parse(parseSplit(5))

Me.Underline = Byte.Parse(parseSplit(6))

Me.StrikeOut = Byte.Parse(parseSplit(7))

Me.FontCharSet = Byte.Parse(parseSplit(8))

Me.OutPrecision = Byte.Parse(parseSplit(9))

Me.ClipPrecision = Byte.Parse(parseSplit(10))

Me.Quality = Byte.Parse(parseSplit(11))

Me.PitchAndFamily = Byte.Parse(parseSplit(12))

Me.FaceName = parseSplit(13)

End Sub

Public Overrides Function ToString() As String

Return String.Format("{0} {1} {2} {3} {4} {5} {6} {7} {8} {9} {10} {11} {12} {13}", Me.Height, Me.Width, Me.Escapement, Me.Orientation, Me.Weight, _

Me.Italic, Me.Underline, Me.StrikeOut, Me.FontCharSet, Me.OutPrecision, Me.ClipPrecision, _

Me.Quality, Me.PitchAndFamily, Me.FaceName)

End Function

End Class

Public Sub MacroFont()

Dim zenonFontLists As IFontLists = Me.ActiveDocument.FontLists

Dim zenonFontList As IFontList = zenonFontLists.Item(0)

'Create new font with id 6

zenonFontList.Create(6)

Dim zenonFont As IFontItem = zenonFontList.ItemById(6)

'Creates a new Webdings LogFont

Dim newFont As New LogFont(-22, 0, 0, 0, 0, 0, _

0, 0, 0, 3, 2, 5, _

34, "Webdings")

zenonFont.set_DynProperties("Font", newFont.ToString())

zenonFont.set_DynProperties("Name", "Webdings Font")

End Sub

VBA

VBA-Syntax


DynPropertyParam [GET]

Manuel -> Interfaces de programmation -> Modèles d'objet -> FontList -> FontList-Methods -> DynPropertyParam [GET]

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

DynPropertyParam [GET](BSTR bsPath) As PropParam

Availability

Environment | Available
Editor | read only
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


DynPropertiesEnum [GET]

Manuel -> Interfaces de programmation -> Modèles d'objet -> FontList -> FontList-Methods -> DynPropertiesEnum [GET]

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

DynPropertiesEnum(String bsPath) As VARIANT

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

A String which defines the Property.

Example: "NetAktive"

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

bsPath As String

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Sub ReadDynProps()
End Sub


DynProperties [GET]

Manuel -> Interfaces de programmation -> Modèles d'objet -> FontList -> FontList-Methods -> DynProperties [GET]

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

DynProperties(String bsPath) As VARIANT

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

A String which defines the Property.

Example: "NetAktive"

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

bsPath As String

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Sub GetDynProp()
'Sample: GSet the Network Aktive Flag of the Project.
If MyWorkspace.ActiveDocument.DynProperties("NetActive") = True Then
'read the server - computername...
Debug.Print "Server: " & MyWorkspace.ActiveDocument.DynProperties("NetServer")
End If
End Sub


DynProperties [PUT]

Manuel -> Interfaces de programmation -> Modèles d'objet -> FontList -> FontList-Methods -> DynProperties [PUT]

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

DynProperties (String bsPath,VARIANT vValue) As void

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

A String which defines the Property.

Example: "NetAktive"

Returns a variant value depending to the property, it can be a boolean, a long, or a whole object.

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

bsPath As String

vValue As Variant

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Sub SetDynProp()
End Sub


FontList-Dynamic properties

Manuel -> Interfaces de programmation -> Modèles d'objet -> FontList -> FontList-Dynamic properties

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Dynproperties

Fontlist

Other topics in this chapter

Fontlist


Fontlist

Manuel -> Interfaces de programmation -> Modèles d'objet -> FontList -> FontList-Dynamic properties -> Fontlist

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | VBA/VSTA Name | Display Name | Description
VT_BSTR | Name | Nom | Nom de la liste de caractères. Plus de détails dans l’aide en ligne.


FontLists

Manuel -> Interfaces de programmation -> Modèles d'objet -> FontLists

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Contains the FontList objects of a project. Since a project can have multiple font lists this is an enumerator class to access them.

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Examples

C#

[StructLayout(LayoutKind.Sequential, CharSet = CharSet.Auto)]

public class LogFont

{

[MarshalAs(UnmanagedType.ByValTStr, SizeConst = 32)]

private string _faceName;

public int Height { get; set; }

public int Width { get; set; }

public int Escapement { get; set; }

public int Orientation { get; set; }

public int Weight { get; set; }

public byte Italic { get; set; }

public byte Underline { get; set; }

public byte StrikeOut { get; set; }

public byte FontCharSet { get; set; }

public byte OutPrecision { get; set; }

public byte ClipPrecision { get; set; }

public byte Quality { get; set; }

public byte PitchAndFamily { get; set; }

public string FaceName

{

get

{

return _faceName;

}

set

{

if (value.Length > 32)

_faceName = value.Substring(0, 32);

else

_faceName = value;

}

}

public LogFont(int height, int width, int escape, int orient, int weight,

byte italic, byte underline, byte strikeout, byte charSet, byte outPrecision,

byte clipPrecision, byte quality, byte pitchAndFamily, string faceName)

{

this.Height = height;

this.Width = width;

this.Escapement = escape;

this.Orientation = orient;

this.Weight = weight;

this.Italic = italic;

this.Underline = underline;

this.StrikeOut = strikeout;

this.FontCharSet = charSet;

this.OutPrecision = outPrecision;

this.ClipPrecision = clipPrecision;

this.Quality = quality;

this.PitchAndFamily = pitchAndFamily;

this.FaceName = faceName;

}

public LogFont(string s)

{

string[] parseSplit = s.Split(' ');

this.Height = int.Parse(parseSplit[0]);

this.Width = int.Parse(parseSplit[1]);

this.Escapement = int.Parse(parseSplit[2]);

this.Orientation = int.Parse(parseSplit[3]);

this.Weight = int.Parse(parseSplit[4]);

this.Italic = byte.Parse(parseSplit[5]);

this.Underline = byte.Parse(parseSplit[6]);

this.StrikeOut = byte.Parse(parseSplit[7]);

this.FontCharSet = byte.Parse(parseSplit[8]);

this.OutPrecision = byte.Parse(parseSplit[9]);

this.ClipPrecision = byte.Parse(parseSplit[10]);

this.Quality = byte.Parse(parseSplit[11]);

this.PitchAndFamily = byte.Parse(parseSplit[12]);

this.FaceName = parseSplit[13];

}

public override string ToString()

{

return string.Format("{0} {1} {2} {3} {4} {5} {6} {7} {8} {9} {10} {11} {12} {13}",

this.Height, this.Width, this.Escapement, this.Orientation, this.Weight,

this.Italic, this.Underline, this.StrikeOut, this.FontCharSet, this.OutPrecision,

this.ClipPrecision, this.Quality, this.PitchAndFamily, this.FaceName);

}

}

public void MacroFont()

{

IFontLists zenonFontLists = this.ActiveDocument.FontLists;

for (int i = 0; i < zenonFontLists.Count; ++i )

{

IFontList zenonFontList = zenonFontLists.Item(i);

//Loop through all fonts and set the height to 10

for (int j = 0; j < zenonFontList.Count; ++j)

{

IFontItem zenonFont = zenonFontList.Item(j);

//Parse the LogFont string of the font

LogFont lf = new LogFont((string)zenonFont.get_DynProperties("Font"));

lf.Height = -27;

//Change the height value and set the Font property again

zenonFont.set_DynProperties("Font", lf.ToString());

}

}

}

VB.NET

<StructLayout(LayoutKind.Sequential, CharSet := CharSet.Auto)> _

Public Class LogFont

<MarshalAs(UnmanagedType.ByValTStr, SizeConst := 32)> _

Private _faceName As String

Public Property Height() As Integer

Get

Return m_Height

End Get

Set

m_Height = Value

End Set

End Property

Private m_Height As Integer

Public Property Width() As Integer

Get

Return m_Width

End Get

Set

m_Width = Value

End Set

End Property

Private m_Width As Integer

Public Property Escapement() As Integer

Get

Return m_Escapement

End Get

Set

m_Escapement = Value

End Set

End Property

Private m_Escapement As Integer

Public Property Orientation() As Integer

Get

Return m_Orientation

End Get

Set

m_Orientation = Value

End Set

End Property

Private m_Orientation As Integer

Public Property Weight() As Integer

Get

Return m_Weight

End Get

Set

m_Weight = Value

End Set

End Property

Private m_Weight As Integer

Public Property Italic() As Byte

Get

Return m_Italic

End Get

Set

m_Italic = Value

End Set

End Property

Private m_Italic As Byte

Public Property Underline() As Byte

Get

Return m_Underline

End Get

Set

m_Underline = Value

End Set

End Property

Private m_Underline As Byte

Public Property StrikeOut() As Byte

Get

Return m_StrikeOut

End Get

Set

m_StrikeOut = Value

End Set

End Property

Private m_StrikeOut As Byte

Public Property FontCharSet() As Byte

Get

Return m_FontCharSet

End Get

Set

m_FontCharSet = Value

End Set

End Property

Private m_FontCharSet As Byte

Public Property OutPrecision() As Byte

Get

Return m_OutPrecision

End Get

Set

m_OutPrecision = Value

End Set

End Property

Private m_OutPrecision As Byte

Public Property ClipPrecision() As Byte

Get

Return m_ClipPrecision

End Get

Set

m_ClipPrecision = Value

End Set

End Property

Private m_ClipPrecision As Byte

Public Property Quality() As Byte

Get

Return m_Quality

End Get

Set

m_Quality = Value

End Set

End Property

Private m_Quality As Byte

Public Property PitchAndFamily() As Byte

Get

Return m_PitchAndFamily

End Get

Set

m_PitchAndFamily = Value

End Set

End Property

Private m_PitchAndFamily As Byte

Public Property FaceName() As String

Get

Return _faceName

End Get

Set

If value.Length > 32 Then

_faceName = value.Substring(0, 32)

Else

_faceName = value

End If

End Set

End Property

Public Sub New(height As Integer, width As Integer, escape As Integer, orient As Integer, weight As Integer, italic As Byte, _

underline As Byte, strikeout As Byte, charSet As Byte, outPrecision As Byte, clipPrecision As Byte, quality As Byte, _

pitchAndFamily As Byte, faceName As String)

Me.Height = height

Me.Width = width

Me.Escapement = escape

Me.Orientation = orient

Me.Weight = weight

Me.Italic = italic

Me.Underline = underline

Me.StrikeOut = strikeout

Me.FontCharSet = charSet

Me.OutPrecision = outPrecision

Me.ClipPrecision = clipPrecision

Me.Quality = quality

Me.PitchAndFamily = pitchAndFamily

Me.FaceName = faceName

End Sub

Public Sub New(s As String)

Dim parseSplit As String() = s.Split(" "C)

Me.Height = Integer.Parse(parseSplit(0))

Me.Width = Integer.Parse(parseSplit(1))

Me.Escapement = Integer.Parse(parseSplit(2))

Me.Orientation = Integer.Parse(parseSplit(3))

Me.Weight = Integer.Parse(parseSplit(4))

Me.Italic = Byte.Parse(parseSplit(5))

Me.Underline = Byte.Parse(parseSplit(6))

Me.StrikeOut = Byte.Parse(parseSplit(7))

Me.FontCharSet = Byte.Parse(parseSplit(8))

Me.OutPrecision = Byte.Parse(parseSplit(9))

Me.ClipPrecision = Byte.Parse(parseSplit(10))

Me.Quality = Byte.Parse(parseSplit(11))

Me.PitchAndFamily = Byte.Parse(parseSplit(12))

Me.FaceName = parseSplit(13)

End Sub

Public Overrides Function ToString() As String

Return String.Format("{0} {1} {2} {3} {4} {5} {6} {7} {8} {9} {10} {11} {12} {13}", Me.Height, Me.Width, Me.Escapement, Me.Orientation, Me.Weight, _

Me.Italic, Me.Underline, Me.StrikeOut, Me.FontCharSet, Me.OutPrecision, Me.ClipPrecision, _

Me.Quality, Me.PitchAndFamily, Me.FaceName)

End Function

End Class

Public Sub MacroFont()

Dim zenonFontLists As IFontLists = Me.ActiveDocument.FontLists

For i As Integer = 0 To zenonFontLists.Count - 1

Dim zenonFontList As IFontList = zenonFontLists.Item(i)

'Loop through all fonts and set the height to 10

For j As Integer = 0 To zenonFontList.Count - 1

Dim zenonFont As IFontItem = zenonFontList.Item(j)

'Parse the LogFont string of the font

Dim lf As New LogFont(DirectCast(zenonFont.get_DynProperties("Font"), String))

lf.Height = -27

'Change the height value and set the Font property again

zenonFont.set_DynProperties("Font", lf.ToString())

Next

Next

End Sub

VBA

'Type definition of LOGFONT type (see MSDN)
Type LOGFONT
Height As Long
Width As Long
Escapement As Long
Orientation As Long
Weight As Long
Italic As Byte
Underline As Byte
StrikeOut As Byte
CharSet As Byte
OutPrecision As Byte
ClipPrecision As Byte
Quality As Byte
PitchAndFamily As Byte
FaceName As String * 32
End Type

Sub GetFontList()
Dim zPRJ As Project
Dim zFLs As FontLists
Dim zFL As FontList
Dim zFI As FontItem
Dim i As Integer
Dim n As Integer
Dim lf As LOGFONT

Set zPRJ = MyWorkspace.ActiveDocument
Set zFLs = zPRJ.FontLists
'enumerate all fontlists of the active project
For i = 0 To zFLs.Count - 1
Set zFL = zFLs.Item(i)
Debug.Print "Fontlist: " & zFL.DynProperties("Name")
'enumrate fonts of a fontlist
For n = 0 To zFL.Count - 1
Set zFI = zFL.Item(n)
Debug.Print zFI.DynProperties("Number")
Debug.Print zFI.DynProperties("Name")
Debug.Print zFI.DynProperties("Font")
'convert string to LOGFONT type in a function
lf = GetLogFontFromString(zFI.DynProperties("Font"))
Next n
Next i
End Sub

Sub CreateFontList()
Dim zPRJ As Project
Dim zFLs As FontLists
Dim zFL As FontList
Dim zFI As FontItem
Dim i As Integer
Dim lf As LOGFONT

Set zPRJ = MyWorkspace.ActiveDocument
Set zFLs = zPRJ.FontLists

'define font (LOGFONT)
lf.Height = 10
lf.Width = 0
lf.Escapement = 0
lf.Orientation = 0
lf.Weight = 400
lf.Italic = 0
lf.Underline = 0
lf.StrikeOut = 0
lf.CharSet = 0
lf.OutPrecision = 3
lf.ClipPrecision = 2
lf.Quality = 5
lf.PitchAndFamily = 34
lf.FaceName = String(25, " ") & "Courier" '32 - 7

'create new fontlist
Set zFL = zFLs.Create
With zFL
'set name of new fontlist
.DynProperties("Name") = "VBA_FontList3"
For i = 1 To 10
'create fonts in fontlist
Set zFI = zFL.Create(i)
zFI.DynProperties("Name") = "VBA_Font_" & Format(i, "00")
zFI.DynProperties("Font") = strFont
'modify LOGFONT definition
lf.Height = 10 + (i * 2)
'set font
zFI.DynProperties("Font") = GetStringFromLogFont(lf)
Next i
End With

End Sub

'CONVERT A STRING TO LOGFONT TYPE
Function GetLogFontFromString(strFont As String) As LOGFONT
Dim vSplit As Variant
Dim sFaceName As String
Dim i As Integer

vSplit = Split(strFont, " ")

GetLogFontFromString.Height = vSplit(0)
GetLogFontFromString.Width = vSplit(1)
GetLogFontFromString.Escapement = vSplit(2)
GetLogFontFromString.Orientation = vSplit(3)
GetLogFontFromString.Weight = vSplit(4)
GetLogFontFromString.Italic = vSplit(5)
GetLogFontFromString.Underline = vSplit(6)
GetLogFontFromString.StrikeOut = vSplit(7)
GetLogFontFromString.CharSet = vSplit(8)
GetLogFontFromString.OutPrecision = vSplit(9)
GetLogFontFromString.ClipPrecision = vSplit(10)
GetLogFontFromString.Quality = vSplit(11)
GetLogFontFromString.PitchAndFamily = vSplit(12)
For i = 13 To UBound(vSplit)
sFaceName = sFaceName & vSplit(i) & " "
Next i
sFaceName = RTrim(sFaceName)
sFaceName = String(32 - Len(sFaceName), " ") & sFaceName

GetLogFontFromString.FaceName = sFaceName
End Function

'CONVERT A LOGFONT TO STRING
Function GetStringFromLogFont(lfFont As LOGFONT) As String
GetStringFromLogFont = lfFont.Height & " " & _
lfFont.Width & " " & _
lfFont.Escapement & " " & _
lfFont.Orientation & " " & _
lfFont.Weight & " " & _
lfFont.Italic & " " & _
lfFont.Underline & " " & _
lfFont.StrikeOut & " " & _
lfFont.CharSet & " " & _
lfFont.OutPrecision & " " & _
lfFont.ClipPrecision & " " & _
lfFont.Quality & " " & _
lfFont.PitchAndFamily & " " & _
lfFont.FaceName
End Function

Other topics in this chapter

FontLists-Properties

FontLists-Methods


FontLists-Properties

Manuel -> Interfaces de programmation -> Modèles d'objet -> FontLists -> FontLists-Properties

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
long | Count | Returns the amount of Fontlist objects. | available | not used | yes | yes

Other topics in this chapter

Count


Count

Manuel -> Interfaces de programmation -> Modèles d'objet -> FontLists -> FontLists-Properties -> Count

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

Count() As long

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes


FontLists-Methods

Manuel -> Interfaces de programmation -> Modèles d'objet -> FontLists -> FontLists-Methods

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
IFontList | Create | Create a new FontList. | available | not used | yes | yes
VARIANT_BOOL | Export | Exports the selected object to a XML file | available | not used | yes | yes
VARIANT_BOOL | Import | Imports the selected XML file | available | not used | yes | yes
IFontList | Item | Returns the FontList at the given index. | available | not used | yes | yes
VARIANT_BOOL | SingleExport | Exports the Item with given Name oder Index | available | not used | yes | yes
VARIANT_BOOL | SingleExport | Exports the Item with given Name oder Index | available | not used | yes | yes

Other topics in this chapter

Item

Create

SingleExport

Export

Import


Item

Manuel -> Interfaces de programmation -> Modèles d'objet -> FontLists -> FontLists-Methods -> Item

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns a single FontList object in the collection identified by its index. (Enumerable)

Datatype

Item(long lIndex) As FontList

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

[StructLayout(LayoutKind.Sequential, CharSet = CharSet.Auto)]

public class LogFont

{

[MarshalAs(UnmanagedType.ByValTStr, SizeConst = 32)]

private string _faceName;

public int Height { get; set; }

public int Width { get; set; }

public int Escapement { get; set; }

public int Orientation { get; set; }

public int Weight { get; set; }

public byte Italic { get; set; }

public byte Underline { get; set; }

public byte StrikeOut { get; set; }

public byte FontCharSet { get; set; }

public byte OutPrecision { get; set; }

public byte ClipPrecision { get; set; }

public byte Quality { get; set; }

public byte PitchAndFamily { get; set; }

public string FaceName

{

get

{

return _faceName;

}

set

{

if (value.Length > 32)

_faceName = value.Substring(0, 32);

else

_faceName = value;

}

}

public LogFont(int height, int width, int escape, int orient, int weight,

byte italic, byte underline, byte strikeout, byte charSet, byte outPrecision,

byte clipPrecision, byte quality, byte pitchAndFamily, string faceName)

{

this.Height = height;

this.Width = width;

this.Escapement = escape;

this.Orientation = orient;

this.Weight = weight;

this.Italic = italic;

this.Underline = underline;

this.StrikeOut = strikeout;

this.FontCharSet = charSet;

this.OutPrecision = outPrecision;

this.ClipPrecision = clipPrecision;

this.Quality = quality;

this.PitchAndFamily = pitchAndFamily;

this.FaceName = faceName;

}

public LogFont(string s)

{

string[] parseSplit = s.Split(' ');

this.Height = int.Parse(parseSplit[0]);

this.Width = int.Parse(parseSplit[1]);

this.Escapement = int.Parse(parseSplit[2]);

this.Orientation = int.Parse(parseSplit[3]);

this.Weight = int.Parse(parseSplit[4]);

this.Italic = byte.Parse(parseSplit[5]);

this.Underline = byte.Parse(parseSplit[6]);

this.StrikeOut = byte.Parse(parseSplit[7]);

this.FontCharSet = byte.Parse(parseSplit[8]);

this.OutPrecision = byte.Parse(parseSplit[9]);

this.ClipPrecision = byte.Parse(parseSplit[10]);

this.Quality = byte.Parse(parseSplit[11]);

this.PitchAndFamily = byte.Parse(parseSplit[12]);

this.FaceName = parseSplit[13];

}

public override string ToString()

{

return string.Format("{0} {1} {2} {3} {4} {5} {6} {7} {8} {9} {10} {11} {12} {13}",

this.Height, this.Width, this.Escapement, this.Orientation, this.Weight,

this.Italic, this.Underline, this.StrikeOut, this.FontCharSet, this.OutPrecision,

this.ClipPrecision, this.Quality, this.PitchAndFamily, this.FaceName);

}

}

public void MacroFont()

{

IFontLists zenonFontLists = this.ActiveDocument.FontLists;

for (int i = 0; i < zenonFontLists.Count; ++i )

{

IFontList zenonFontList = zenonFontLists.Item(i);

//Loop through all fonts and set the height to 10

for (int j = 0; j < zenonFontList.Count; ++j)

{

IFontItem zenonFont = zenonFontList.Item(j);

//Parse the LogFont string of the font

LogFont lf = new LogFont((string)zenonFont.get_DynProperties("Font"));

lf.Height = -27;

//Change the height value and set the Font property again

zenonFont.set_DynProperties("Font", lf.ToString());

}

}

}

VB.NET

<StructLayout(LayoutKind.Sequential, CharSet := CharSet.Auto)> _

Public Class LogFont

<MarshalAs(UnmanagedType.ByValTStr, SizeConst := 32)> _

Private _faceName As String

Public Property Height() As Integer

Get

Return m_Height

End Get

Set

m_Height = Value

End Set

End Property

Private m_Height As Integer

Public Property Width() As Integer

Get

Return m_Width

End Get

Set

m_Width = Value

End Set

End Property

Private m_Width As Integer

Public Property Escapement() As Integer

Get

Return m_Escapement

End Get

Set

m_Escapement = Value

End Set

End Property

Private m_Escapement As Integer

Public Property Orientation() As Integer

Get

Return m_Orientation

End Get

Set

m_Orientation = Value

End Set

End Property

Private m_Orientation As Integer

Public Property Weight() As Integer

Get

Return m_Weight

End Get

Set

m_Weight = Value

End Set

End Property

Private m_Weight As Integer

Public Property Italic() As Byte

Get

Return m_Italic

End Get

Set

m_Italic = Value

End Set

End Property

Private m_Italic As Byte

Public Property Underline() As Byte

Get

Return m_Underline

End Get

Set

m_Underline = Value

End Set

End Property

Private m_Underline As Byte

Public Property StrikeOut() As Byte

Get

Return m_StrikeOut

End Get

Set

m_StrikeOut = Value

End Set

End Property

Private m_StrikeOut As Byte

Public Property FontCharSet() As Byte

Get

Return m_FontCharSet

End Get

Set

m_FontCharSet = Value

End Set

End Property

Private m_FontCharSet As Byte

Public Property OutPrecision() As Byte

Get

Return m_OutPrecision

End Get

Set

m_OutPrecision = Value

End Set

End Property

Private m_OutPrecision As Byte

Public Property ClipPrecision() As Byte

Get

Return m_ClipPrecision

End Get

Set

m_ClipPrecision = Value

End Set

End Property

Private m_ClipPrecision As Byte

Public Property Quality() As Byte

Get

Return m_Quality

End Get

Set

m_Quality = Value

End Set

End Property

Private m_Quality As Byte

Public Property PitchAndFamily() As Byte

Get

Return m_PitchAndFamily

End Get

Set

m_PitchAndFamily = Value

End Set

End Property

Private m_PitchAndFamily As Byte

Public Property FaceName() As String

Get

Return _faceName

End Get

Set

If value.Length > 32 Then

_faceName = value.Substring(0, 32)

Else

_faceName = value

End If

End Set

End Property

Public Sub New(height As Integer, width As Integer, escape As Integer, orient As Integer, weight As Integer, italic As Byte, _

underline As Byte, strikeout As Byte, charSet As Byte, outPrecision As Byte, clipPrecision As Byte, quality As Byte, _

pitchAndFamily As Byte, faceName As String)

Me.Height = height

Me.Width = width

Me.Escapement = escape

Me.Orientation = orient

Me.Weight = weight

Me.Italic = italic

Me.Underline = underline

Me.StrikeOut = strikeout

Me.FontCharSet = charSet

Me.OutPrecision = outPrecision

Me.ClipPrecision = clipPrecision

Me.Quality = quality

Me.PitchAndFamily = pitchAndFamily

Me.FaceName = faceName

End Sub

Public Sub New(s As String)

Dim parseSplit As String() = s.Split(" "C)

Me.Height = Integer.Parse(parseSplit(0))

Me.Width = Integer.Parse(parseSplit(1))

Me.Escapement = Integer.Parse(parseSplit(2))

Me.Orientation = Integer.Parse(parseSplit(3))

Me.Weight = Integer.Parse(parseSplit(4))

Me.Italic = Byte.Parse(parseSplit(5))

Me.Underline = Byte.Parse(parseSplit(6))

Me.StrikeOut = Byte.Parse(parseSplit(7))

Me.FontCharSet = Byte.Parse(parseSplit(8))

Me.OutPrecision = Byte.Parse(parseSplit(9))

Me.ClipPrecision = Byte.Parse(parseSplit(10))

Me.Quality = Byte.Parse(parseSplit(11))

Me.PitchAndFamily = Byte.Parse(parseSplit(12))

Me.FaceName = parseSplit(13)

End Sub

Public Overrides Function ToString() As String

Return String.Format("{0} {1} {2} {3} {4} {5} {6} {7} {8} {9} {10} {11} {12} {13}", Me.Height, Me.Width, Me.Escapement, Me.Orientation, Me.Weight, _

Me.Italic, Me.Underline, Me.StrikeOut, Me.FontCharSet, Me.OutPrecision, Me.ClipPrecision, _

Me.Quality, Me.PitchAndFamily, Me.FaceName)

End Function

End Class

Public Sub MacroFont()

Dim zenonFontLists As IFontLists = Me.ActiveDocument.FontLists

For i As Integer = 0 To zenonFontLists.Count - 1

Dim zenonFontList As IFontList = zenonFontLists.Item(i)

'Loop through all fonts and set the height to 10

For j As Integer = 0 To zenonFontList.Count - 1

Dim zenonFont As IFontItem = zenonFontList.Item(j)

'Parse the LogFont string of the font

Dim lf As New LogFont(DirectCast(zenonFont.get_DynProperties("Font"), String))

lf.Height = -27

'Change the height value and set the Font property again

zenonFont.set_DynProperties("Font", lf.ToString())

Next

Next

End Sub

VBA

VBA-Syntax


Create

Manuel -> Interfaces de programmation -> Modèles d'objet -> FontLists -> FontLists-Methods -> Create

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Creates a new FontList object in the collection.

Datatype

Create() As FontList

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

public void MacroFontListCreate()

{

//Simply creates a new empty font list

IFontLists zenonFontLists = this.ActiveDocument.FontLists;

zenonFontLists.Create();

}

VB.NET

Public Sub MacroFontListCreate()

'Simply creates a new empty font list

Dim zenonFontLists As IFontLists = Me.ActiveDocument.FontLists

zenonFontLists.Create()

End Sub

VBA

VBA-Syntax


SingleExport

Manuel -> Interfaces de programmation -> Modèles d'objet -> FontLists -> FontLists-Methods -> SingleExport

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Exports a single FontList object to an xml formatted file.

Datatype

SingleExport(VARIANT vIndexOrName,BSTR bsFileName) As VARIANT_BOOL

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

VB.NET

VBA

Examples

C#

public void MacroFontListSingleExport()

{

IFontLists zenonFontLists = this.ActiveDocument.FontLists;

for (int i = 0; i < zenonFontLists.Count; ++i)

{

//Export each list to a single file

zenonFontLists.SingleExport(i, @"C:\FontLists\" + i.ToString() + ".xml");

}

}

VB.NET

Public Sub MacroFontListSingleExport()

Dim zenonFontLists As IFontLists = Me.ActiveDocument.FontLists

For i As Integer = 0 To zenonFontLists.Count - 1

'Export each list to a single file

zenonFontLists.SingleExport(i, "C:\FontLists\" + i.ToString() + ".xml")

Next

End Sub

VBA


Export

Manuel -> Interfaces de programmation -> Modèles d'objet -> FontLists -> FontLists-Methods -> Export

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Exports all font lists to a single xml file.

Datatype

Export(String bsFileName) As Boolean

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

public void MacroFontListExport()

{

//Export all font lists to a single xml file

IFontLists zenonFontLists = this.ActiveDocument.FontLists;

zenonFontLists.Export(@"C:\FontLists\exported.xml");

}

VB.NET

Public Sub MacroFontListExport()

'Export all font lists to a single xml file

Dim zenonFontLists As IFontLists = Me.ActiveDocument.FontLists

zenonFontLists.Export("C:\FontLists\exported.xml")

End Sub

VBA

VBA-Syntax


Import

Manuel -> Interfaces de programmation -> Modèles d'objet -> FontLists -> FontLists-Methods -> Import

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Imports settings using a xml file. New settings are added, existing settings will be replaced.

Datatype

Import(String bsFileName) As Boolean

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

Filename (path) as string of the xml file to import.

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

bsFileName As String

Examples

C#

public void MacroFontListImport()

{

//Import all font lists from a single xml file

IFontLists zenonFontLists = this.ActiveDocument.FontLists;

zenonFontLists.Import(@"C:\FontLists\exported.xml");

}

VB.NET

Public Sub MacroFontListExport()

'Import all font lists from a single xml file

Dim zenonFontLists As IFontLists = Me.ActiveDocument.FontLists

zenonFontLists.Import("C:\FontLists\exported.xml")

End Sub

VBA

Private Sub zenOn_ExportImportSettings(ByRef zenOnObject As Object)

'Export settings to an xml file
zenOnObject.Export ("C:\zenOn_eXaMpLe.xml, False")

'Import settings from an xml file
zenOnObject.Import ("C:\zenOn_eXaMpLe.xml, False")

End Sub


Interlocking

Manuel -> Interfaces de programmation -> Modèles d'objet -> Interlocking

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

With the interlocking object you have the opportunity to edit standard interlockings and command interlockings (zenOn Energy edition)

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Examples

C#

public void Macro_Interlocking()

{

IInterlockings zenonInterlockings = this.ActiveDocument.Interlockings();

IInterlocking zenonInterlocking = zenonInterlockings.Item("switches");

//Get an interlocking object called "switches" and print values of its first action

//Note: In order to get human readable values you might have to cast the returned objects to their appropriate type or parse them

System.Diagnostics.Debug.Print("Action type = " + zenonInterlocking.get_DynProperties("Actions[0].Type"));

System.Diagnostics.Debug.Print("Variable = " + zenonInterlocking.get_DynProperties("Actions[0].TTA"));

System.Diagnostics.Debug.Print("Switching direction = " + zenonInterlocking.get_DynProperties("Actions[0].Direction"));

System.Diagnostics.Debug.Print("Command setting status = " + zenonInterlocking.get_DynProperties("Actions[0].CommandState"));

System.Diagnostics.Debug.Print("Entries are suppressed = " + zenonInterlocking.get_DynProperties("Actions[0].CELBlock"));

System.Diagnostics.Debug.Print("Timeout (s) = " + zenonInterlocking.get_DynProperties("Actions[0].Timeout"));

System.Diagnostics.Debug.Print("Edge delay (ms) = " + zenonInterlocking.get_DynProperties("Actions[0].EdgeDelay"));

System.Diagnostics.Debug.Print("Modifyable stati = " + zenonInterlocking.get_DynProperties("Actions[0].State"));

System.Diagnostics.Debug.Print("Nominal/actual value comparison is activated = " + zenonInterlocking.get_DynProperties("Actions[0].Picture"));

System.Diagnostics.Debug.Print("Menu specific picture = " + zenonInterlocking.get_DynProperties("Actions[0].TTA"));

System.Diagnostics.Debug.Print("Close automatically is activated = " + zenonInterlocking.get_DynProperties("Actions[0].CloseMDIWnd"));

System.Diagnostics.Debug.Print("Two-stage is activated = " + zenonInterlocking.get_DynProperties("Actions[0].TwoLevel"));

System.Diagnostics.Debug.Print("Two-hand operation is activated = " + zenonInterlocking.get_DynProperties("Actions[0].TwoHand"));

}

VB.NET

Public Sub Macro_Interlocking()

Dim zenonInterlockings As IInterlockings = Me.ActiveDocument.Interlockings()

Dim zenonInterlocking As IInterlocking = zenonInterlockings.Item("switches")

'Get an interlocking object called "switches" and print values of its first action

'Note: In order to get human readable values you might have to cast the returned objects to their appropriate type or parse them

System.Diagnostics.Debug.Print("Action type = " + zenonInterlocking.get_DynProperties("Actions[0].Type"))

System.Diagnostics.Debug.Print("Variable = " + zenonInterlocking.get_DynProperties("Actions[0].TTA"))

System.Diagnostics.Debug.Print("Switching direction = " + zenonInterlocking.get_DynProperties("Actions[0].Direction"))

System.Diagnostics.Debug.Print("Command setting status = " + zenonInterlocking.get_DynProperties("Actions[0].CommandState"))

System.Diagnostics.Debug.Print("Entries are suppressed = " + zenonInterlocking.get_DynProperties("Actions[0].CELBlock"))

System.Diagnostics.Debug.Print("Timeout (s) = " + zenonInterlocking.get_DynProperties("Actions[0].Timeout"))

System.Diagnostics.Debug.Print("Edge delay (ms) = " + zenonInterlocking.get_DynProperties("Actions[0].EdgeDelay"))

System.Diagnostics.Debug.Print("Modifyable stati = " + zenonInterlocking.get_DynProperties("Actions[0].State"))

System.Diagnostics.Debug.Print("Nominal/actual value comparison is activated = " + zenonInterlocking.get_DynProperties("Actions[0].Picture"))

System.Diagnostics.Debug.Print("Menu specific picture = " + zenonInterlocking.get_DynProperties("Actions[0].TTA"))

System.Diagnostics.Debug.Print("Close automatically is activated = " + zenonInterlocking.get_DynProperties("Actions[0].CloseMDIWnd"))

System.Diagnostics.Debug.Print("Two-stage is activated = " + zenonInterlocking.get_DynProperties("Actions[0].TwoLevel"))

System.Diagnostics.Debug.Print("Two-hand operation is activated = " + zenonInterlocking.get_DynProperties("Actions[0].TwoHand"))

End Sub

VBA

Sub Get_Interlocking_Information()

Dim zInterlockings As Interlockings 'Object from type Interlockings
Dim zInterlocking As Interlocking 'Child object from type Interlocking

'Load the available Interlockings
Set zInterlockings = thisProject.Interlockings
'Select a command interlocking called "switches"
Set zInterlocking = zInterlockings.Item("switches")

'Get all projected informations of the first action
'Get action type
Debug.Print "Action type = " & zInterlocking.DynProperties("Actions[0].Type")
'Get the linked variable
Debug.Print "Variable = " & zInterlocking.DynProperties("Actions[0].TTA")
'Get the "switching direction"
Debug.Print "Switching direction = " & zInterlocking.DynProperties("Actions[0].Direction")
'Get the "command setting status"
Debug.Print "Command setting status = " & zInterlocking.DynProperties("Actions[0].CommandState")
'Get state "CEL entries suppressed"
Debug.Print "CEL entries are suppressed = " & zInterlocking.DynProperties("Actions[0].CELBlock")
'Get the "timeout" in seconds
Debug.Print "Timeout (s) = " & zInterlocking.DynProperties("Actions[0].Timeout")
'Get the "edge delay" in milliseconds
Debug.Print "Edge delay (ms) = " & zInterlocking.DynProperties("Actions[0].EdgeDelay")
'Get the "modifyable stati"
Debug.Print "Modifyable stati = " & zInterlocking.DynProperties("Actions[0].State")
'Get state "nominal/actual value comparison"
Debug.Print "Nominal/actual value comparison is activated = " & zInterlocking.DynProperties("Actions[0].Actual")
'Get the "menu specific Screen"
Debug.Print "Menu specific picture = " & zInterlocking.DynProperties("Actions[0].Picture")
'Get state "close automatically"
Debug.Print "Close automatically is activated = " & zInterlocking.DynProperties("Actions[0].CloseMDIWnd")
'Get state "two-stage"
Debug.Print "Two-stage is activated = " & zInterlocking.DynProperties("Actions[0].TwoLevel")
'Get state "two-hand operation"
Debug.Print "Two-hand operation is activated = " & zInterlocking.DynProperties("Actions[0].TwoHand")

End Sub

Other topics in this chapter

Interlocking-Methods

Interlocking-Dynamic properties


Interlocking-Methods

Manuel -> Interfaces de programmation -> Modèles d'objet -> Interlocking -> Interlocking-Methods

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
VARIANT_BOOL | CreateDynProperty | - | available | not used | yes | yes
void | DynProperties [PUT] | - | available | available | yes | yes
VARIANT | DynProperties [GET] | - | available | available | yes | yes
VARIANT | DynPropertiesEnum [GET] | - | read only | read only | yes | yes
IPropParam | DynPropertyParam [GET] | Returns the PropParam objekt of the given DynProperty | read only | not used | yes | yes

Other topics in this chapter

CreateDynProperty

DynPropertyParam [GET]

DynPropertiesEnum [GET]

DynProperties [GET]

DynProperties [PUT]


CreateDynProperty

Manuel -> Interfaces de programmation -> Modèles d'objet -> Interlocking -> Interlocking-Methods -> CreateDynProperty

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

With the DynProperties "Variables" and "Actions" you have the opportunity to create a variable at an interlocking and to create an action at a command interlocking (special interlockings for zenOn Energy).

Datatype

CreateDynProperty(String bsPath) As Boolean

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

Name of DynProperty to be created as string

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

bsPath As String

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Sub Command_Interlockings()

Dim zInterlockings As Interlockings 'Object from type Interlockings
Dim zInterlocking As Interlocking 'Child object from type Interlocking

'Load the available Interlockings
Set zInterlockings = thisProject.Interlockings
'Select a command interlocking
Set zInterlocking = zInterlockings.Item("Verriegelung 1")

'Create a "variable" at the command interlocking
zInterlocking.CreateDynProperty ("Variables")
'Allocate the first variable of the project variables list
zInterlocking.DynProperties("Variables[0].Name") = thisProject.Variables.Item(0)

'Create an "action" at the command interlocking
zInterlocking.CreateDynProperty ("Actions")
'The action should be from type "Double command"
zInterlocking.DynProperties("Actions[0].Type") = 1
'Set the "variable" via a string
zInterlocking.DynProperties("Actions[0].TTA") = "switch_1"
'Set the "switching direction" to ON
zInterlocking.DynProperties("Actions[0].Direction") = 1
'Set the "command setting status" to 1
zInterlocking.DynProperties("Actions[0].CommandState") = 1
'Set that CEL entries should be suppressed
zInterlocking.DynProperties("Actions[0].CELBlock") = True
'Set the "timeout" to 60 sec
zInterlocking.DynProperties("Actions[0].Timeout") = 60
'Set the edge "delay" to 2000 msec
zInterlocking.DynProperties("Actions[0].EdgeDelay") = 2000
'Read the "modifyable stati"
Debug.Print zInterlocking.DynProperties("Actions[0].State")
'Set the "nominal/actual value comparison" active
zInterlocking.DynProperties("Actions[0].Actual") = True
'Set the "menu specific picture" (menu type = commands) via a string
zInterlocking.DynProperties("Actions[0].Picture") = "Picture 1"
'Set the "close automatically" property active
zInterlocking.DynProperties("Actions[0].CloseMDIWnd") = True
'Set the "two-stage" property active
zInterlocking.DynProperties("Actions[0].TwoLevel") = True
'Set the "two-hand operation" property active
zInterlocking.DynProperties("Actions[0].TwoHand") = True

End Sub


DynPropertyParam [GET]

Manuel -> Interfaces de programmation -> Modèles d'objet -> Interlocking -> Interlocking-Methods -> DynPropertyParam [GET]

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

DynPropertyParam [GET](BSTR bsPath) As PropParam

Availability

Environment | Available
Editor | read only
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


DynPropertiesEnum [GET]

Manuel -> Interfaces de programmation -> Modèles d'objet -> Interlocking -> Interlocking-Methods -> DynPropertiesEnum [GET]

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

DynPropertiesEnum(String bsPath) As VARIANT

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes

Parameters

A String which defines the entry point to get out all available properties of the object.

A blank String like that returns the first layer of properties:

DynPropertiesEnum("")

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

bsPath As String

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Sub ReadDynProps()
End Sub


DynProperties [GET]

Manuel -> Interfaces de programmation -> Modèles d'objet -> Interlocking -> Interlocking-Methods -> DynProperties [GET]

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

DynProperties(String bsPath) As VARIANT

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

A String which defines the Property.

Example: "NetAktive"

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

bsPath As String

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Sub GetDynProp()
'Sample: GSet the Network Aktive Flag of the Project.
If MyWorkspace.ActiveDocument.DynProperties("NetActive") = True Then
'read the server - computername...
Debug.Print "Server: " & MyWorkspace.ActiveDocument.DynProperties("NetServer")
End If
End Sub


DynProperties [PUT]

Manuel -> Interfaces de programmation -> Modèles d'objet -> Interlocking -> Interlocking-Methods -> DynProperties [PUT]

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

DynProperties (String bsPath,VARIANT vValue) As void

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

A String which defines the Property.

Example: "NetAktive"

Returns a variant value depending to the property, it can be a boolean, a long, or a whole object.

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

bsPath As String

vValue As Variant

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Sub SetDynProp()
End Sub


Interlocking-Dynamic properties

Manuel -> Interfaces de programmation -> Modèles d'objet -> Interlocking -> Interlocking-Dynamic properties

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Dynproperties

Interlocking

Other topics in this chapter

CBefPara

CVerVar

Interlocking


CBefPara

Manuel -> Interfaces de programmation -> Modèles d'objet -> Interlocking -> Interlocking-Dynamic properties -> CBefPara

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Type

VBA/VSTA Name

Display Name

Description

More...

LockingCondition

Conditions de verrouillage

Properties for the conditions.

ZT_VARIABLE_DYN

Name

Variable de l'action

Nom de la variable liée au groupe de commandes.
Ouvre la boîte de dialogue de sélection de variables.

Plus de détails dans l’aide en ligne.

VT_BSTR

TTA

Imp/Exp TTA

VT_UI2

Type

Type action

Disponible uniquement pour l’action Commande :
Type de commande..
Commande commutation : Écrit la valeur de la propriété Commande.
Commande impulsion : Écrit la valeur de la propriété Commande. La valeur 0 est écrite après la propriété Durée d'impulsion. Cette réécriture n’est plus contrôlée par le Runtime.

Remarque : Disponible uniquement pour l’action Commande impulsion. Si d’autres actions sont sélectionnées dans la fenêtre de gestion des commandes, celles-ci sont préalablement entrées dans la propriété Type action et sont grisées ; elles ne peuvent dès lors plus être modifiées.

Par défaut : Commande commutation.

Plus de détails dans l’aide en ligne.

VT_UI2

Direction

État de la réponse/direction de commutation

Définit la valeur attendue et/ou l’état de la variable de réponse après l’exécution de l’action.

Les entrées possibles varient en fonction de l’action.

  • OFF : L’état de retour est désactivé ; la valeur est égale à 0
  • DIFF : État provisoire, compris entre 0 et 1.
  • ON (Activer) : L’état de retour est activé ; la valeur est égale à 1
  • aucune : L’état de retour est ignoré ; la valeur ne change pas
  • DIR: xx (uniquement disponible pour la commande Saisir valeur prescrite)
  • Valeur prescrite : xx (uniquement disponible pour la commande Saisir valeur prescrite)
  • DIST : Erreur.

Indisponible pour les actions suivantes : Bloquer, Verrouiller et Approuver.

Plus de détails dans l’aide en ligne.

VT_UI2

CommandState

Commande

Disponible uniquement pour l’action Commande :
Définit la valeur écrite sous forme de valeur dans la variable de commande durant l’action Commande.
Remarque : inactive pour les commandes Bloquer, Remplacer, Valider, Surveiller, Révision, Saisir valeur prescrite et Définir l’état.

0 : La variable de commande est réinitialisée à 0.
1 : La variable de commande est réinitialisée à 1.
Par défaut : 1

Plus de détails dans l’aide en ligne.

VT_UI4

EdgeDelay

Durée d'impulsion

Disponible uniquement si, dans la propriété Type action, l’option Commande impulsion a été sélectionnée.
Après expiration de ce délai en millisecondes, la valeur de la variable de commande est réinitialisée sur 0 ou 1, en fonction du sens de commutation. La valeur n’est pas réinitialisée si vous avez activé la propriété Select Before Operate de la variable d’action.

Remarque : Si, dans la fenêtre de gestion des commandes, l’action Commande auto/à distance ou Commande obligatoire a été sélectionnée, ces commandes sont préalablement entrées dans l’élément Type action et ne peuvent plus être modifiées.

Remarque :
Minimum : 0
Maximum : 4294967295
Par défaut : 1000
Attention : Le système n’attend pas que la temporisation de la commande de surveillance soit terminée.

Plus de détails dans l’aide en ligne.

VT_R8

ValueDirectly

Spécifier valeur prescrite

Disponible uniquement si la propriété État de la réponse/direction de commutation a été définie sur DIR. Ceci est ensuite uniquement possible pour les commandes Remplacement, Surveillance et Saisir valeur prescrite.

Définit les valeurs prescrites devant être écrites.

Par défaut : 0

Plus de détails dans l’aide en ligne.

ZT_ALARMKLASSE

State

États modifiables

Disponible uniquement pour l’action de traitement de la commande Définir l’état :

Par défaut : aucun.

Plus de détails dans l’aide en ligne.

VT_BOOL

CELBlock

Supprimer l'entrée de la liste d'événements

Active : Aucune entrée n’est créée dans la liste d’événements (CEL) lors de l’exécution de l’action.
Inactive : Une entrée est créée dans la liste d’événements (CEL) lors de l’exécution de l’action.
Par défaut : inactive.

Plus de détails dans l’aide en ligne.

VT_UI4

Timeout

Timeout

Délai d’attente avant expiration de la surveillance du Runtime en secondes pour les actions commande de commutation et commande impulsion.

Ce paramètre est également utilisable comme délai d’attente pour la sélection d’I/O. Uniquement disponible pour les actions Commande, Commande auto/à distance, Vérifier la réponse, Saisie de valeur prescrite et Commande forcée.

  • Minimum : 0
  • Maximum : 4294967295
  • Par défaut : 30

Plus de détails dans l’aide en ligne.

VT_BOOL

TimeoutAbortable

Le délai d'attente peut être annulé

Autorise l’annulation des délais d’attente avant expiration dans la fonction de surveillance du Runtime.

Si la commande Execute- a déjà été exécutée (après réception de COT_actcon), le bouton Annuler permet d’annuler la surveillance du Runtime. Les boutons sont à nouveau actifs et utilisables.
Toutefois : En cas d’annulation durant l’exécution, le module ne transfère pas les désactivations (Cancel) au driver.
Si cette propriété est active durant la surveillance du Runtime, le bouton Cancel du synoptique de gestion des commandes devient actif. Par conséquent, l’utilisateur peut arrêter la surveillance du Runtime en cliquant sur ce bouton.

Par défaut : Inactive

Remarque : Disponible seulement pour le groupe de commandes Commande et Saisir valeur prescrite. Aucun bit d’expiration de délai d’attente n’est défini.

Plus de détails dans l’aide en ligne.

VT_BOOL

UseQOC

Utiliser le qualificatif de commande

Disponible uniquement si vous possédez une licence pour le module Energy Edition.

Vous pouvez ajouter des informations supplémentaires aux commandes (qualificatif de commande) si cette capacité est prise en charge par le driver. Drivers possibles : IEC850, IEC870 et DNP3.

Active : Active la saisie sous la propriété Qualificatif de commande.

Remarque : Uniquement disponible pour les actions Commande auto/à distance, Commande impulsion et Commande obligatoire.

Par défaut : Inactive

VT_UI1

QOC

Qualificatif de commande

Saisissez une valeur numérique qui sera transmise au driver sous forme de paramètre de commande. En fonction du driver, ce paramètre aura des effets différents.

  • IEC850: les valeurs comprises entre 0 et 3 seront insérées dans le champ Vérification des commandes ; les autres valeurs seront ignorées.
  • IEC870: les valeurs comprises entre 0 et 31 seront insérées dans le champ QU des commandes ; les autres valeurs seront ignorées.
  • DNP3: la valeur 1 signifie Envoyer une impulsion, toutes les autres signifient Verrouiller.

Minimum : 0
Maximum : 127
Par défaut : 0

Remarque : Cette possibilité de saisie est uniquement disponible si le paramètre Utiliser le qualificatif de commande a été activé.

Plus de détails dans l’aide en ligne.

VT_BSTR

Picture

Menu exp. synopt. spéc.

VT_BSTR

SubstiAction

Remplacer dans le synoptique

Remplacement pour l’action de commande : Règle de substitution des synoptiques de commande : La cible de la substitution est configurée dans cette propriété. Le texte devant être remplacé est configuré.

Plusieurs règles de substitution doivent être séparées par un point-virgule (;). Dans ce cas, les substitutions configurées sont traitées de gauche à droite.

Si aucun caractère * n’est présent dans la variable de réponse ou la variable d’action, aucune substitution n’a lieu. Aucune distinction n’est faite entre les lettres minuscules et majuscules dans la configuration du projet.

Exemple :

  • Nom de la variable de réponse : abc_RV.
  • Variable de réponse configurée pour le groupe de commandes : *_RV
  • Variables supplémentaires sur le synoptique : xyz_lock, xy_Switch
  • Remplacement dans le synoptique configuré : xyz;xy
  • Variables existantes dans le projet : abc_lock et abc_Switch.
  • Résultat : Affichage des variables sur le synoptique : abc_lock et abc_Switch.

Remarque : actif uniquement si un synoptique de commande est attribué dans la propriété Synoptique.

Plus de détails dans l’aide en ligne.

VT_BOOL

Actual

Comparaison valeur nominale/actuelle

Active : Une vérification est effectuée afin de déterminer si la valeur de la variable de réponse correspond déjà à la direction de la commutation à effectuer. Si c’est le cas, un message déverrouillable est affiché dans la fenêtre de gestion des commandes.
Inactive : La direction de commutation n’est pas vérifiée.
Remarque : Disponible uniquement pour la commande Commande de commutation (= action => nouvelle commande).

Par défaut : inactive

Plus de détails dans l’aide en ligne.

VT_BOOL

DisableOnActual

Exécutable uniquement si défini <> actuel

Cette propriété est uniquement disponible si la propriété Comparaison valeur nominale/actuelle est activée, et est uniquement disponible pour l’action de commande Command (commande de commutation ou d’impulsion).

Désactive un bouton d’action sur le synoptique de commande si la valeur de la variable de réponse correspond déjà à la valeur de la valeur prescrite. Si la valeur d’une variable de réponse est modifiée, le bouton d’action correspondant est de nouveau actif.
Cela s’applique également aux entrées de menus contextuels. L’action de commande correspondante n’est pas affichée dans le menu, ici.

Par défaut : Inactive

Remarque : Cette propriété permet d’interroger l’état actuel d’un synoptique de commande ou d’une application de menu contextuel avant l’ouverture.

Plus de détails dans l’aide en ligne.

VT_BOOL

TwoLevel

A deux étapes

Active : L’action sera exécutée après confirmation du contrôle "Exécuter la 2ème étape".

Inactive : L’action sera exécutée :

  • après déverrouillage du dernier verrouillage.
  • immédiatement, si aucun verrouillage n’est actif.

Inactif si le type d’action Commande auto/à distance est actif.

Par défaut : active

Plus de détails dans l’aide en ligne.

VT_BOOL

TwoHand

Opération à deux mains

Disponible seulement pour les exécutions en deux étapes.

  • Active : l’élément de contrôle Exécuter la 2ème étape peut uniquement être actionné si l’utilisateur appuie simultanément sur la touche Ctrl.
    Attention : Pour l’élément de contrôle Exécuter la 2ème étape, la propriété sélectionnable avec le lasso ne doit pas être active pour l’utilisation à deux mains.
  • Inactive : L’élément de contrôle peut toujours être actionné.

Par défaut : Inactive
Inactif si le type d’action Commande auto/à distance est actif.

Plus de détails dans l’aide en ligne.

VT_BOOL

CloseMDIWnd

Fermer automatiquement

Active : Le synoptique de commande est automatiquement fermé lorsque l’action a été exécutée.
Inactive : Le synoptique de commande n’est pas automatiquement fermé.
Inactif si le type d’action Commande auto/à distance est actif.

Par défaut : inactive

Plus de détails dans l’aide en ligne.

VT_BSTR

CmdMenuID

ID du menu

ID unique de l’action. L’ID de menu est utilisé pour la création des menus contextuels dans le Runtime. Si deux actions comportent le même ID, elles sont identifiées à l’aide d’un symbole spécial dans l’arborescence des actions. Lors de la compilation, une vérification est également effectuée afin d’assurer qu’une même commande (valeur) ne peut être utilisée qu’une fois par variable.

Plus de détails dans l’aide en ligne.

VT_BSTR

CmdName

Nom de l'action

Nom librement configurable de l’action de commande.

Pour le module Command Sequencer, ce nom peut être affiché dans le Runtime avec la saisie de commande, dans le champ Nom de l’action du groupe Informations.

Dans le module Command Sequencer, ce nom doit être utilisé pour l’étape. Pour cela, la propriété Nom d'étape dans la grille de la séquence de commandes du groupe de propriétés Séquenceur de commandes doit être configurée sur Nom de l’action.
Par défaut : Nom de l’action : DIR, valeur
Le nom d’action par défaut est ensuite restauré à nouveau si un nom d’action défini par l’utilisateur est supprimé.

  • DIR : Direction de l’action, indisponible pour les actions Verrouiller, Bloquer, Déverrouiller
  • Valeur : Valeur pour l’action. Disponible uniquement pour les actions Valeur prescrite directe ou Correction directe

Remarque : Si deux actions portent le même nom, une icône d’avertissement est affichée dans l’arborescence des commandes, même si les identifiants de menu sont différents. La macro $NAME$ peut être utilisée pour la configuration des menus et fournit le nom de l’action dont la langue peut également être changée dans le Runtime.

Plus de détails dans l’aide en ligne.

VT_BOOL

Ignore2Stage

Ignorer \"2-étapes\"

Comportement d’une action à deux étapes dans le module Command Sequencer.
Si la propriété est activée, les actions à deux étapes sont immédiatement exécutées dans le module Command Sequencer. L’exécution à deux étapes configurée pour la saisie de commande est ignorée durant le processus. Dans le module Command Sequencer, l’action est immédiatement exécutée sous forme d’étape de la séquence de commandes, sans ouvrir une fenêtre de commande.

Par défaut : Inactive

Indisponible si :

  • A deux étapes est désactivée
  • Le type d’action est une commande auto/à distance
  • Le type d’action est bloquer

Remarque : Si un verrouillage est configuré, il est néanmoins pris en compte durant l’exécution.

Plus de détails dans l’aide en ligne.

VT_BOOL

BypassOnActual

Ignorer l'action lorsque la valeur prescrite et la valeur réelle sont identiques

Comportement d’une action si la valeur dans le module Command Sequencer est déjà en instance.

Cette propriété est uniquement disponible pour l’action de commande (commutation ou impulsion).

Si la propriété est activée et la valeur réelle correspond à la valeur prescrite attendue, l’action est ignorée dans le Runtime dans une séquence de commande.

Par défaut : Inactive

Une entrée de liste CEL correspondante est générée dans le Runtime si la propriété Supprimer l'entrée de la liste d'événements n’est pas activée.

Plus de détails dans l’aide en ligne.

VT_UI2

PwlExecute

Niveau d'autorisation pour l'exécution

Définissez le niveau d’autorisation requis pour procéder au verrouillage. Cliquez sur le niveau pour ouvrir une liste déroulante de sélection.

Plus de détails dans l’aide en ligne.

VT_UI2

PwlUnlock

Niveau d'autorisation pour déverrouiller

Définit le niveau d’autorisation requis pour le déverrouillage. Cliquez sur le niveau pour ouvrir une liste déroulante de sélection.

Remarque : inactive pour l’action de commande Commande forcée.

Plus de détails dans l’aide en ligne.


CVerVar

Manuel -> Interfaces de programmation -> Modèles d'objet -> Interlocking -> Interlocking-Dynamic properties -> CVerVar

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | VBA/VSTA Name | Display Name | Description
ZT_VARIABLE_DYN | Name | Variable de verrouillage | Variable pouvant être utilisée pour la condition de verrouillage. En cliquant sur le bouton ..., vous pouvez échanger la variable sans devoir adapter la formule. Plus de détails dans l’aide en ligne.
VT_BSTR | NameExp | Verriegelungsvariable | Description


Interlocking

Manuel -> Interfaces de programmation -> Modèles d'objet -> Interlocking -> Interlocking-Dynamic properties -> Interlocking

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Type

VBA/VSTA Name

Display Name

Description

More...

Actions

Actions

More...

Variables

Variables

VT_BOOL

IsGeneral

IsGeneral

VT_BSTR

Name

Nom

Nom unique du verrouillage ou de la gestion des commandes.
Par défaut : verrouillage/groupe de commandes (où x représente un nombre consécutif).

Attention : Cette propriété n’est pas disponible aux fins de la commutation de langue.

D’autres informations concernant la création des éléments suivants sont disponibles dans l’aide en ligne :

  • Verrouillage

Gestion de commande

VT_BSTR

TTA

Imp/Exp TTA

ZT_VARIABLE_DYN

ValueVariable

Variable résultat

Affiche le résultat de la condition de verrouillage sur la variable sélectionnée.

Cliquez sur le bouton pour ouvrir la boîte de dialogue de sélection de variables. Vous pouvez également saisir le nom de la variable directement dans le champ de saisie.

Plus de détails dans l’aide en ligne.

ZT_VARIABLE_DYN

ReturnInformation

Nom de variable de réponse

Nom de variable ou masque de remplacement de la variable de réaction.
L'opérateur utilisé pour le texte de remplacement est le caractère "*" dans un nom. Un seul caractère générique est possible. Lors de l’accès au masque, veillez à ce que ce nom aboutisse à une variable existante après l’opération de remplacement.
Si la variable utilisée ici (remplacée ou absolue) n’existe pas durant la création des fichiers du Runtime, le groupe de commandes ne sera pas disponible dans le Runtime. Un message correspondant annonce cette erreur durant la création des fichiers du Runtime.
Saisie directe ou ouverture de la boîte de dialogue de sélection de variables.

Plus de détails dans l’aide en ligne.

VT_UI1

WatchDogTimer

Tempo watchdog

Détermine le procédé de temporisation de la commande de surveillance.

Remarque : cette surveillance du Runtime est uniquement active pour les types d’action Commande de commutation et Commande impulsion.

Paramètres possibles :

  • aucune :
    Pas de surveillance du Runtime.
  • Suivant variable de réponse uniquement (RV) :
    La valeur de la variable de réponse est utilisée pour déterminer si le procédé s’est correctement déroulé. Le suivi est activé seulement si la valeur à écrire n’est pas égale à la valeur courante de la variable d’action.
  • Suivant paramètre Cause of Transmission uniquement (COT) :
    Le paramètre COT (Cause of Transmission) est utilisé pour vérifier le bon déroulement du processus.
    Pour l’action Commande, les bits d’état du paramètre Cause of Transmission (COTx) sont évalués. La surveillance se termine si COT_actterm (10) est atteint.
  • Par cause de transmission (COT) et variable de réponse :
    Attend et réagit en fonction du paramètre COT et des changements de valeur de la variable de réaction. Associe les propriétés des paramètres Par variable de réponse uniquement (RV) et Cause of Transmission uniquement (CoT).

En règle générale, les dispositions suivantes s’appliquent : Si la surveillance du Runtime ne s’achève pas correctement durant le Timeout configuré pour l’action, le bit d’état TIMEOUT est défini.

Par défaut : aucun.

Plus de détails dans l’aide en ligne.

VT_BOOL

DesiredDirection

Définir état PROGRESS

Active : Pour les actions Commande et Correction manuelle, le bit d’état In progress (PROGRESS) est défini au niveau de la variable de réaction si les actions sont déclenchées dans le Runtime.
Le bit est utilisé pour déployer un affichage graphique, afin de montrer à l’utilisateur qu’une action est actuellement en cours d’exécution. À l’aide de l’élément combiné ou d’une matrice de réaction, vous pouvez contrôler le bit d’état et déployer un affichage graphique.

Inactive : Le bit d’état n’est pas défini.

Par défaut : Inactive.

Plus de détails dans l’aide en ligne.

VT_BSTR

Picture

Menu exp. synopt. spéc.

VT_BOOL

SubstiGroup

Remplacer dans le synoptique

Remplacement pour les groupes de commandes : Règle de substitution des synoptiques de commande : La cible de la substitution est configurée dans cette propriété. Le texte devant être remplacé est configuré.

Plusieurs règles de substitution doivent être séparées par un point-virgule (;). Dans ce cas, les substitutions configurées sont traitées de gauche à droite.

Si aucun caractère * n’est présent dans la variable de réponse ou la variable d’action, aucune substitution n’a lieu. Aucune distinction n’est faite entre les lettres minuscules et majuscules dans la configuration du projet.

Exemple :

  • Nom de la variable de réponse : abc_RV.
  • Variable de réponse configurée pour le groupe de commandes : *_RV
  • Variables supplémentaires sur le synoptique : xyz_lock, xy_Switch
  • Remplacement dans le synoptique configuré : xyz;xy
  • Variables existantes dans le projet : abc_lock et abc_Switch.
  • Résultat : Affichage des variables sur le synoptique : abc_lock et abc_Switch.

Remarque : actif uniquement si un synoptique de commande est attribué dans la propriété Synoptique.

Plus de détails dans l’aide en ligne.

VT_BOOL

Modal

Synoptique modal

Active : La commande bascule en mode modal, indépendamment de la propriété Boîte de dialogue modale du synoptique. Cela signifie que les autres synoptiques peuvent uniquement être actionnés lorsque le synoptique a été fermé.
Inactive : le synoptique de commande est basculé normalement.
Default: inactive.

Plus de détails dans l’aide en ligne.

VT_BOOL

RM-Titel

Titre de synoptique depuis la variable de réponse

Active : l’identification de la variable de réponse est utilisée en tant que titre du synoptique.
Inactive : le nom du synoptique est utilisé en tant que titre du synoptique.
Par défaut : inactive.
Attention : pour activer le titre de synoptique, vous devez en outre activer la propriété Titre dans le cadre concerné.

Plus de détails dans l’aide en ligne.

ZT_KNOTEN

ListConfigEXP

Listenkonfiguration Export

Description

VT_BOOL

CBTR_Act

Détection déclenchement disjoncteur

Disponible uniquement si la propriété Définir état PROGRESS est active.

Active : La variable de réponse est surveillée afin de déceler tout changement inattendu entre <>0 et 0.

Par défaut : Inactive

Plus de détails dans l’aide en ligne.

VT_BSTR

CBTR_Formula

Supprimer détection

Saisissez la formule avec laquelle la détection de déclenchement d’un disjoncteur peut être supprimée. Cliquez sur le bouton ... pour ouvrir l’éditeur de formules.

Pour la formule, toutes les variables provenant de la liste de groupes de commandes peuvent être utilisées ; les remplacements de noms avec l’opérateur * sont autorisés, comme lors de la définition des conditions de verrouillage d’une action.

Remarque : Les variables utilisées dans la formule ne peuvent pas être supprimées de la liste du groupe de commandes.

Plus de détails dans l’aide en ligne.

ZT_AKZ

SystemModelGroup

Groupes d'équipements

Lie l’élément à un modèle d’équipement. Cliquez sur le bouton ... pour ouvrir la boîte de sélection d’un groupe d’équipements.
L'affichage du groupe d’équipements sélectionné inclut également les niveaux supérieurs à ce groupe. Les niveaux sont séparés par un point dans l’affichage.

Dans le cas d’une sélection multiple, les groupes d’équipements individuels sont séparés par un point-virgule (;).

Plus de détails dans l’aide en ligne.


Interlockings

Manuel -> Interfaces de programmation -> Modèles d'objet -> Interlockings

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

With the interlockings object you have the opportunity to create and edit interlockings in the list.

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Examples

C#

public void Macro_Interlocking()

{

IInterlockings zenonInterlockings = this.ActiveDocument.Interlockings();

IInterlocking zenonInterlocking = zenonInterlockings.Item("switches");

//Get an interlocking object called "switches" and print values of its first action

//Note: In order to get human readable values you might have to cast the returned objects to their appropriate type or parse them

System.Diagnostics.Debug.Print("Action type = " + zenonInterlocking.get_DynProperties("Actions[0].Type"));

System.Diagnostics.Debug.Print("Variable = " + zenonInterlocking.get_DynProperties("Actions[0].TTA"));

System.Diagnostics.Debug.Print("Switching direction = " + zenonInterlocking.get_DynProperties("Actions[0].Direction"));

System.Diagnostics.Debug.Print("Command setting status = " + zenonInterlocking.get_DynProperties("Actions[0].CommandState"));

System.Diagnostics.Debug.Print("Entries are suppressed = " + zenonInterlocking.get_DynProperties("Actions[0].CELBlock"));

System.Diagnostics.Debug.Print("Timeout (s) = " + zenonInterlocking.get_DynProperties("Actions[0].Timeout"));

System.Diagnostics.Debug.Print("Edge delay (ms) = " + zenonInterlocking.get_DynProperties("Actions[0].EdgeDelay"));

System.Diagnostics.Debug.Print("Modifyable stati = " + zenonInterlocking.get_DynProperties("Actions[0].State"));

System.Diagnostics.Debug.Print("Nominal/actual value comparison is activated = " + zenonInterlocking.get_DynProperties("Actions[0].Picture"));

System.Diagnostics.Debug.Print("Menu specific picture = " + zenonInterlocking.get_DynProperties("Actions[0].TTA"));

System.Diagnostics.Debug.Print("Close automatically is activated = " + zenonInterlocking.get_DynProperties("Actions[0].CloseMDIWnd"));

System.Diagnostics.Debug.Print("Two-stage is activated = " + zenonInterlocking.get_DynProperties("Actions[0].TwoLevel"));

System.Diagnostics.Debug.Print("Two-hand operation is activated = " + zenonInterlocking.get_DynProperties("Actions[0].TwoHand"));

}

VB.NET

Public Sub Macro_Interlocking()

Dim zenonInterlockings As IInterlockings = Me.ActiveDocument.Interlockings()

Dim zenonInterlocking As IInterlocking = zenonInterlockings.Item("switches")

'Get an interlocking object called "switches" and print values of its first action

'Note: In order to get human readable values you might have to cast the returned objects to their appropriate type or parse them

System.Diagnostics.Debug.Print("Action type = " + zenonInterlocking.get_DynProperties("Actions[0].Type"))

System.Diagnostics.Debug.Print("Variable = " + zenonInterlocking.get_DynProperties("Actions[0].TTA"))

System.Diagnostics.Debug.Print("Switching direction = " + zenonInterlocking.get_DynProperties("Actions[0].Direction"))

System.Diagnostics.Debug.Print("Command setting status = " + zenonInterlocking.get_DynProperties("Actions[0].CommandState"))

System.Diagnostics.Debug.Print("Entries are suppressed = " + zenonInterlocking.get_DynProperties("Actions[0].CELBlock"))

System.Diagnostics.Debug.Print("Timeout (s) = " + zenonInterlocking.get_DynProperties("Actions[0].Timeout"))

System.Diagnostics.Debug.Print("Edge delay (ms) = " + zenonInterlocking.get_DynProperties("Actions[0].EdgeDelay"))

System.Diagnostics.Debug.Print("Modifyable stati = " + zenonInterlocking.get_DynProperties("Actions[0].State"))

System.Diagnostics.Debug.Print("Nominal/actual value comparison is activated = " + zenonInterlocking.get_DynProperties("Actions[0].Picture"))

System.Diagnostics.Debug.Print("Menu specific picture = " + zenonInterlocking.get_DynProperties("Actions[0].TTA"))

System.Diagnostics.Debug.Print("Close automatically is activated = " + zenonInterlocking.get_DynProperties("Actions[0].CloseMDIWnd"))

System.Diagnostics.Debug.Print("Two-stage is activated = " + zenonInterlocking.get_DynProperties("Actions[0].TwoLevel"))

System.Diagnostics.Debug.Print("Two-hand operation is activated = " + zenonInterlocking.get_DynProperties("Actions[0].TwoHand"))

End Sub

VBA

Sub Interlockings()

Dim zInterlockings As Interlockings 'Object from type Interlockings
Dim zInterlocking As Interlocking 'Child object from type Interlockings

'Fill the objects
Set zInterlockings = MyWorkspace.ActiveDocument.Interlockings
'Creates an interlocking called "Interlocking" with an assignment
Set zInterlocking = zInterlockings.Create("Interlocking", False)
Call InterlockingsItem

End Sub

Sub InterlockingsItem()

Dim zInterlockings As Interlockings 'Object from type Interlockings
Dim zInterlocking As Interlocking 'Child object from type Interlockings

'Fill the objects
Set zInterlockings = MyWorkspace.ActiveDocument.Interlockings
'Returns an interlocking out of the list
Set zInterlocking = zInterlockings.Item("Interlocking")
'Rename the interlocking
zInterlocking.DynProperties("Name") = "My_Interlocking"

End Sub

Other topics in this chapter

Interlockings-Properties

Interlockings-Methods


Interlockings-Properties

Manuel -> Interfaces de programmation -> Modèles d'objet -> Interlockings -> Interlockings-Properties

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
long | Count | Returns the amount of interlockings. | read only | read only | yes | yes
IProject | Parent | Returns the parent of the interlockings object. | read only | read only | yes | yes

Other topics in this chapter

Parent

Count


Parent

Manuel -> Interfaces de programmation -> Modèles d'objet -> Interlockings -> Interlockings-Properties -> Parent

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the parent object.

Datatype

Parent() As Project

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


Count

Manuel -> Interfaces de programmation -> Modèles d'objet -> Interlockings -> Interlockings-Properties -> Count

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

The method returns the number of available objects. This property is mostly used for the method Item to run through each single object.Hint: For running through entries care, that the minimum is 0 and the maximum is Count-1.

Datatype

Count() As long

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


Interlockings-Methods

Manuel -> Interfaces de programmation -> Modèles d'objet -> Interlockings -> Interlockings-Methods

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
IInterlocking | Create | Creates a new interlocking. | available | not used | yes | yes
VARIANT_BOOL | Export | Exports the selected object to a XML file | available | not used | yes | yes
VARIANT_BOOL | Import | Imports the selected XML file | available | not used | yes | yes
IInterlocking | Item | Returns the interlocking at the given index. | available | not used | yes | yes
VARIANT_BOOL | SingleExport | Exports the Item with given Name oder Index | available | not used | yes | yes

Other topics in this chapter

Item

Create

SingleExport

Export

Import


Item

Manuel -> Interfaces de programmation -> Modèles d'objet -> Interlockings -> Interlockings-Methods -> Item

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the object "Interlocking" from the collection, which is identified by the parameter vItem.The parameter vItem can have two values:<ul><li>Index: Access with an index mostly is used in combination with the property Count to find out the position of the object in the list.</li><li>Name: The interlocking can also be accessed with its unique name.</li></ul>Hint:The returned object should always be checked on Nothing, for the case that no object was found for the search criteria.

Datatype

Item(VARIANT vItem) As Interlocking

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

Index or name of the "Interlocking" object within the collection.

If the parameter is a numerical value, the object is searched by its index (>= 0 and <= Count-1).
If it is an alphanumerical value, the object is searched by its unique name.

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

vItem As Variant

Examples

C#

public void Macro_Interlocking()

{

IInterlockings zenonInterlockings = this.ActiveDocument.Interlockings();

IInterlocking zenonInterlocking = zenonInterlockings.Item("switches");

//Get an interlocking object called "switches" and print values of its first action

//Note: In order to get human readable values you might have to cast the returned objects to their appropriate type or parse them

System.Diagnostics.Debug.Print("Action type = " + zenonInterlocking.get_DynProperties("Actions[0].Type"));

System.Diagnostics.Debug.Print("Variable = " + zenonInterlocking.get_DynProperties("Actions[0].TTA"));

System.Diagnostics.Debug.Print("Switching direction = " + zenonInterlocking.get_DynProperties("Actions[0].Direction"));

System.Diagnostics.Debug.Print("Command setting status = " + zenonInterlocking.get_DynProperties("Actions[0].CommandState"));

System.Diagnostics.Debug.Print("Entries are suppressed = " + zenonInterlocking.get_DynProperties("Actions[0].CELBlock"));

System.Diagnostics.Debug.Print("Timeout (s) = " + zenonInterlocking.get_DynProperties("Actions[0].Timeout"));

System.Diagnostics.Debug.Print("Edge delay (ms) = " + zenonInterlocking.get_DynProperties("Actions[0].EdgeDelay"));

System.Diagnostics.Debug.Print("Modifyable stati = " + zenonInterlocking.get_DynProperties("Actions[0].State"));

System.Diagnostics.Debug.Print("Nominal/actual value comparison is activated = " + zenonInterlocking.get_DynProperties("Actions[0].Picture"));

System.Diagnostics.Debug.Print("Menu specific picture = " + zenonInterlocking.get_DynProperties("Actions[0].TTA"));

System.Diagnostics.Debug.Print("Close automatically is activated = " + zenonInterlocking.get_DynProperties("Actions[0].CloseMDIWnd"));

System.Diagnostics.Debug.Print("Two-stage is activated = " + zenonInterlocking.get_DynProperties("Actions[0].TwoLevel"));

System.Diagnostics.Debug.Print("Two-hand operation is activated = " + zenonInterlocking.get_DynProperties("Actions[0].TwoHand"));

}

VB.NET

Public Sub Macro_Interlocking()

Dim zenonInterlockings As IInterlockings = Me.ActiveDocument.Interlockings()

Dim zenonInterlocking As IInterlocking = zenonInterlockings.Item("switches")

'Get an interlocking object called "switches" and print values of its first action

'Note: In order to get human readable values you might have to cast the returned objects to their appropriate type or parse them

System.Diagnostics.Debug.Print("Action type = " + zenonInterlocking.get_DynProperties("Actions[0].Type"))

System.Diagnostics.Debug.Print("Variable = " + zenonInterlocking.get_DynProperties("Actions[0].TTA"))

System.Diagnostics.Debug.Print("Switching direction = " + zenonInterlocking.get_DynProperties("Actions[0].Direction"))

System.Diagnostics.Debug.Print("Command setting status = " + zenonInterlocking.get_DynProperties("Actions[0].CommandState"))

System.Diagnostics.Debug.Print("Entries are suppressed = " + zenonInterlocking.get_DynProperties("Actions[0].CELBlock"))

System.Diagnostics.Debug.Print("Timeout (s) = " + zenonInterlocking.get_DynProperties("Actions[0].Timeout"))

System.Diagnostics.Debug.Print("Edge delay (ms) = " + zenonInterlocking.get_DynProperties("Actions[0].EdgeDelay"))

System.Diagnostics.Debug.Print("Modifyable stati = " + zenonInterlocking.get_DynProperties("Actions[0].State"))

System.Diagnostics.Debug.Print("Nominal/actual value comparison is activated = " + zenonInterlocking.get_DynProperties("Actions[0].Picture"))

System.Diagnostics.Debug.Print("Menu specific picture = " + zenonInterlocking.get_DynProperties("Actions[0].TTA"))

System.Diagnostics.Debug.Print("Close automatically is activated = " + zenonInterlocking.get_DynProperties("Actions[0].CloseMDIWnd"))

System.Diagnostics.Debug.Print("Two-stage is activated = " + zenonInterlocking.get_DynProperties("Actions[0].TwoLevel"))

System.Diagnostics.Debug.Print("Two-hand operation is activated = " + zenonInterlocking.get_DynProperties("Actions[0].TwoHand"))

End Sub

VBA

Sub InterlockingsItem()

Dim zInterlockings As Interlockings 'Object from type Interlockings
Dim zInterlocking As Interlocking 'Child object from type Interlockings

'Fill the objects
Set zInterlockings = MyWorkspace.ActiveDocument.Interlockings
'Returns an interlocking out of the list
Set zInterlocking = zInterlockings.Item("Interlocking 1")
'Rename the interlocking
zInterlocking.DynProperties("Name") = "My_Interlocking"

End Sub


Create

Manuel -> Interfaces de programmation -> Modèles d'objet -> Interlockings -> Interlockings-Methods -> Create

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Creates a new Interlocking an returns this new object.

Datatype

Create(String bsName,Boolean bCommand) As Interlocking

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

Name as string.

If this value is set to 'True' then a "Command" is created instead of an "Assignment".
"Commands" are only available within an "Energy Edition - License"!

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

bsName As String

bCommand As Boolean

Examples

C#

public void MacroCreateInterlocking()

{

IInterlockings zenonInterlockings = this.ActiveDocument.Interlockings();

//Creates a new interlocking that is not a command

IInterlocking zenonNewInterlocking = zenonInterlockings.Create("new_interlocking", false);

}

VB.NET

Public Sub MacroCreateInterlocking()

Dim zenonInterlockings As IInterlockings = Me.ActiveDocument.Interlockings()

'Creates a new interlocking that is not a command

Dim zenonNewInterlocking As IInterlocking = zenonInterlockings.Create("new_interlocking", False)

End Sub

VBA

Sub Interlockings()

Dim zInterlockings As Interlockings 'Object from type Interlockings
Dim zInterlocking As Interlocking 'Object from type Interlocking

'Fill the objects
Set zInterlockings = MyWorkspace.ActiveDocument.Interlockings
'Creates an interlocking called "Interl_1" with an assignment
Set zInterlocking = zInterlockings.Create("Interl_1", False)
Debug.Print "Count = " & zInterlockings.Count

End Sub


SingleExport

Manuel -> Interfaces de programmation -> Modèles d'objet -> Interlockings -> Interlockings-Methods -> SingleExport

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Exports a single interlocking to an xml formatted file.

Datatype

SingleExport(VARIANT vIndexOrName,String bsFileName,Boolean bCommand) As Boolean

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

public void MacroInterlockingSingleExport()

{

IInterlockings zenonInterlockings = this.ActiveDocument.Interlockings();

zenonInterlockings.SingleExport("switches", @"C:\Interlockings\switches.xml", true);

}

VB.NET

Public Sub MacroInterlockingSingleExport()

Dim zenonInterlockings As IInterlockings = Me.ActiveDocument.Interlockings()

zenonInterlockings.SingleExport("switches", "C:\Interlockings\switches.xml", True)

End Sub

VBA

VBA-Syntax


Export

Manuel -> Interfaces de programmation -> Modèles d'objet -> Interlockings -> Interlockings-Methods -> Export

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Export settings to an xml file

Datatype

Export(String bsFileName, Boolean bCommand) As Boolean

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

Filename (path) as string of the xml file to export.

Interlocking | False
Command | True
C#
C#-Syntax

VB.NET

VB.NET-Syntax

VBA

bsFileName As String

bCommand As Boolean

Examples

C#

public void MacroInterlockingExport()

{

IInterlockings zenonInterlockings = this.ActiveDocument.Interlockings();

zenonInterlockings.Export(@"C:\Interlockings\interlockings.xml", true);

}

VB.NET

Public Sub MacroInterlockingExport()

Dim zenonInterlockings As IInterlockings = Me.ActiveDocument.Interlockings()

zenonInterlockings.Export("C:\Interlockings\interlockings.xml", True)

End Sub

VBA

Private Sub zenOn_ExportImportSettings(ByRef zenOnObject As Object)

'Export settings to an xml file
zenOnObject.Export ("C:\zenOn_eXaMpLe.xml, False") 'Interlocking

'Import settings from an xml file
zenOnObject.Import ("C:\zenOn_eXaMpLe.xml, False") 'Interlocking

End Sub


Import

Manuel -> Interfaces de programmation -> Modèles d'objet -> Interlockings -> Interlockings-Methods -> Import

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Import settings from an xml file. New settings are added, existing settings will be replaced.

Datatype

Import(String bsFileName, Boolean bCommand) As Boolean

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

Filename (path) as string of the xml file to export.

Interlocking | False
Command | True
C#
C#-Syntax

VB.NET

VB.NET-Syntax

VBA

bsFileName As String

bCommand As Boolean

Examples

C#

public void MacroInterlockingImport()

{

IInterlockings zenonInterlockings = this.ActiveDocument.Interlockings();

zenonInterlockings.Import(@"C:\Interlockings\interlockings.xml", true);

}

VB.NET

Public Sub MacroInterlockingImport()

Dim zenonInterlockings As IInterlockings = Me.ActiveDocument.Interlockings()

zenonInterlockings.Import("C:\Interlockings\interlockings.xml", True)

End Sub

VBA

Private Sub zenOn_ExportImportSettings(ByRef zenOnObject As Object)

'Export settings to an xml file
zenOnObject.Export ("C:\zenOn_eXaMpLe.xml, False") 'Interlocking

'Import settings from an xml file
zenOnObject.Import ("C:\zenOn_eXaMpLe.xml, False") 'Interlocking

End Sub


LanguageTable

Manuel -> Interfaces de programmation -> Modèles d'objet -> LanguageTable

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Represents the language table of the project.

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Examples

C#

public void MacroLanguageTable()

{

//Prints the number of language table entries in the current active project

ILanguageTable zenonLanguageTable = this.ActiveDocument.LanguageTable;

System.Diagnostics.Debug.Print(zenonLanguageTable.Count.ToString());

}

VB.NET

Public Sub MacroLanguageTable()

'Prints the number of language table entries in the current active project

Dim zenonLanguageTable As ILanguageTable = Me.ActiveDocument.LanguageTable

System.Diagnostics.Debug.Print(zenonLanguageTable.Count.ToString())

End Sub

VBA

Dim ILang As LanguageTable

Set ILang = MyWorkspace.ActiveDocument.LanguageTable

Other topics in this chapter

LanguageTable-Properties

LanguageTable-Methods


LanguageTable-Properties

Manuel -> Interfaces de programmation -> Modèles d'objet -> LanguageTable -> LanguageTable-Properties

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
long | Count | Count of Files in the Language Table | available | not used | yes | yes
IProject | Parent | Parent-object | available | not used | yes | yes

Other topics in this chapter

Parent

Count


Parent

Manuel -> Interfaces de programmation -> Modèles d'objet -> LanguageTable -> LanguageTable-Properties -> Parent

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

The property „Parent" is a reference to the parent object, the project to which the language table corresponds.

Datatype

Parent() As Project

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes


Count

Manuel -> Interfaces de programmation -> Modèles d'objet -> LanguageTable -> LanguageTable-Properties -> Count

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

The property „Count" contains the number of all files from the language table.

Datatype

Count() As long

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes


LanguageTable-Methods

Manuel -> Interfaces de programmation -> Modèles d'objet -> LanguageTable -> LanguageTable-Methods

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description |  | Editor | Runtime | VBA | VSTA
VARIANT_BOOL | CreateFile | Creates a new File in the Language Table |  | available | not used | yes | yes
VARIANT_BOOL | DeleteFile | Deletes a File from the Language Table |  | available | not used | yes | yes
VARIANT_BOOL | DeleteKey | Deletes a Key from all Files of the Language Table |  | available | not used | yes | yes
BSTR | GetString | Returns a String from the Language Table |  | available | not used | yes | yes
VARIANT_BOOL | ImportFile | Imports (and merges) an existing File into the Language Table |  | available | not used | yes | yes
IFileManagerFileItem | Item | Returns the File by Name or Position |  | available | not used | yes | yes
VARIANT_BOOL | SetString | Sets a String in the Language Table |  | available | not used | yes | yes
VARIANT_BOOL | Save | Saves the Language Table |  | available | not used | yes | yes
VARIANT_BOOL | ExportFile | Exports an existing File from the Language Table | available |  | not used | yes |  | yes
VARIANT_BOOL | ImportCSV | Imports the Language Table from a CSV file | available |  | not used | yes |  | yes
VARIANT_BOOL | ExportCSV | Exports the Language Table to a CSV file | available |  | not used | yes |  | yes

Other topics in this chapter

Item

CreateFile

DeleteFile

SetString

GetString

DeleteKey

ImportFile

ExportFile

ImportCSV

ExportCSV

Save


Item

Manuel -> Interfaces de programmation -> Modèles d'objet -> LanguageTable -> LanguageTable-Methods -> Item

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

The method „Item" returns a language table file as „FileManagerFileItem" object. The file can be chosen either by the name or by the index.

The file can as well be renamed over the returned object FileManagerItem.

In case of multi user projects, the files have to be "checked out" (allow changes) in order to be editable.

Datatype

Item(VARIANT vID) As FileManagerFileItem

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

public void MacroLanguageTableItem()

{

ILanguageTable zenonLanguageTable = this.ActiveDocument.LanguageTable;

IFileManagerFileItem zenonEnglishFile = zenonLanguageTable.Item(0);

System.Diagnostics.Debug.Print(zenonEnglishFile.FileName);

//rename the file to "ENGLISH.TXT"

zenonEnglishFile.FileName = "ENGLISH.TXT";

}

VB.NET

Public Sub MacroLanguageTableItem()

Dim zenonLanguageTable As ILanguageTable = Me.ActiveDocument.LanguageTable

Dim zenonEnglishFile As IFileManagerFileItem = zenonLanguageTable.Item(0)

System.Diagnostics.Debug.Print(zenonEnglishFile.FileName)

'rename the file to "ENGLISH.TXT"

zenonEnglishFile.FileName = "ENGLISH.TXT"

End Sub

VBA

Private Sub LangItem()
Dim ILang As LanguageTable
Dim IFile As FileManagerFileItem

Set ILang = MyWorkspace.ActiveDocument.LanguageTable
Set IFile = ILang.Item("ENGLISH.TXT")
Debug.Print IFile.FileName
Set IFile = ILang.Item(3)
Debug.Print IFile.FileName
End Sub

Private Sub LangRename()

Dim ILang As LanguageTable

Dim IFile As FileManagerFileItem

Set ILang = MyWorkspace.ActiveDocument.LanguageTable

Set IFile = ILang.Item("ENGLISH.TXT")

If Not IFile Is Nothing Then

IFile.FileName = "FRENCH.TXT"

End If

End Sub

Private Function CheckOutAll() As Boolean

Dim Ok As Boolean

Dim Cnt, i As Integer

Dim ILang As LanguageTable

Dim IFile As FileManagerFileItem

Set ILang = MyWorkspace.ActiveDocument.LanguageTable

CheckOutAll = True

Cnt = ILang.Count

For i = 0 To Cnt - 1

Set IFile = ILang.Item(i)

If Not IFile Is Nothing Then

If Not IFile.IsLocked And Not IFile.IsCheckedOut Then

CheckOutAll = CheckOutAll And IFile.CheckOut

End If

End If

Next

End Function


CreateFile

Manuel -> Interfaces de programmation -> Modèles d'objet -> LanguageTable -> LanguageTable-Methods -> CreateFile

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

The method „CreateFile" creates a new, empty file in the language table.

Datatype

CreateFile(String Name) As Boolean

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

public void MacroLanguageTableCreate()

{

ILanguageTable zenonLanguageTable = this.ActiveDocument.LanguageTable;

//Create a new LanguageTable file called "FRENCH.TXT"

zenonLanguageTable.CreateFile("FRENCH.TXT");

}

VB.NET

Public Sub MacroLanguageTableCreate()

Dim zenonLanguageTable As ILanguageTable = Me.ActiveDocument.LanguageTable

'Create a new LanguageTable file called "FRENCH.TXT"

zenonLanguageTable.CreateFile("FRENCH.TXT")

End Sub

VBA

Private Sub LangCreate()
Dim ILang As LanguageTable
Dim IFile As FileManagerFileItem
Set ILang = MyWorkspace.ActiveDocument.LanguageTable
'Create a new empty file
ILang.CreateFile("ENGLISH.TXT")
End Sub


DeleteFile

Manuel -> Interfaces de programmation -> Modèles d'objet -> LanguageTable -> LanguageTable-Methods -> DeleteFile

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

The method „DeleteFile" removes a file from the language table.

Datatype

DeleteFile(String Name) As Boolean

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

public void MacroLanguageTableDelete()

{

ILanguageTable zenonLanguageTable = this.ActiveDocument.LanguageTable;

//Delete the french language file

zenonLanguageTable.DeleteFile("FRENCH.TXT");

}

VB.NET

Public Sub MacroLanguageTableDelete()

Dim zenonLanguageTable As ILanguageTable = Me.ActiveDocument.LanguageTable

'Delete the french language file

zenonLanguageTable.DeleteFile("FRENCH.TXT")

End Sub

VBA

Private Sub LangDelete()
Dim ILang As LanguageTable
Set ILang = MyWorkspace.ActiveDocument.LanguageTable
ILang.DeleteFile("ENGLISH.TXT")
End Sub


SetString

Manuel -> Interfaces de programmation -> Modèles d'objet -> LanguageTable -> LanguageTable-Methods -> SetString

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

The method "SetString" inserts a new key word/translation pair into the language table.

Datatype

SetString(String File, String Key, String Text) As Boolean

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

public void MacroLanguageTableSetString()

{

ILanguageTable zenonLanguageTable = this.ActiveDocument.LanguageTable;

IFileManagerFileItem zenonEnglishFile = zenonLanguageTable.Item("ENGLISH.TXT");

if (zenonEnglishFile != null)

{

if (!zenonEnglishFile.IsLocked() && !zenonEnglishFile.IsCheckedOut())

zenonEnglishFile.CheckOut();

if (zenonEnglishFile.IsCheckedOut())

{

//Provide basic english translation of the german words Motor for engine and Schalter for switch

zenonLanguageTable.SetString("ENGLISH.TXT", "Motor", "Engine");

zenonLanguageTable.SetString("ENGLISH.TXT", "Schalter", "Switch");

zenonEnglishFile.CheckIn();

}

}

}

VB.NET

Public Sub MacroLanguageTableSetString()

Dim zenonLanguageTable As ILanguageTable = Me.ActiveDocument.LanguageTable

Dim zenonEnglishFile As IFileManagerFileItem = zenonLanguageTable.Item("ENGLISH.TXT")

If zenonEnglishFile IsNot Nothing Then

If Not zenonEnglishFile.IsLocked() AndAlso Not zenonEnglishFile.IsCheckedOut() Then

zenonEnglishFile.CheckOut()

End If

If zenonEnglishFile.IsCheckedOut() Then

'Provide basic english translation of the german words Motor for engine and Schalter for switch

zenonLanguageTable.SetString("ENGLISH.TXT", "Motor", "Engine")

zenonLanguageTable.SetString("ENGLISH.TXT", "Schalter", "Switch")

zenonEnglishFile.CheckIn()

End If

End If

End Sub

VBA

Private Sub LangFill()
Dim i As Integer
Dim Ok As Boolean
Dim ILang As LanguageTable
Dim IFile As FileManagerFileItem
Set ILang = MyWorkspace.ActiveDocument.LanguageTable
Set IFile = ILang.Item("ENGLISH.TXT")
If Not IFile Is Nothing Then
If Not IFile.IsLocked And Not IFile.IsCheckedOut Then IFile.CheckOut
If IFile.IsCheckedOut Then
Ok = ILang.SetString("ENGLISH.TXT", "Motor", "Engine")
Ok = ILang.SetString("ENGLISH.TXT", "Schalter", "Switch")
End If
End If
End Sub

'create keywords

Public Sub CreateLangTableKey()

Dim bRet As Boolean

Dim obLangTable As LanguageTable

Dim obLangFile As FileManagerFileItem

'create object of the language table

Set obLangTable = MyWorkspace.ActiveDocument.LanguageTable

'create object of the language file

Set obLangFile = obLangTable.Item("ZENONSTR.TXT")

'check if the given language file exists

If Not obLangFile Is Nothing Then

'create the keyword

bRet = obLangTable.SetString("ZENONSTR.TXT", "Hallo", "Du")

Else

MsgBox ("error getting defined language file")

End If

'check if the keyword was written

If bRet <> True Then

MsgBox ("something happend... and it was not good.... ")

End If

End Sub


GetString

Manuel -> Interfaces de programmation -> Modèles d'objet -> LanguageTable -> LanguageTable-Methods -> GetString

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

The method "GetString" returns the translation of a key text.

Datatype

GetString(String File, String Key) As String

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

public void MacroLanguageTableGetString()

{

ILanguageTable zenonLanguageTable = this.ActiveDocument.LanguageTable;

//Get the english translation for the german word Motor (Engine)

System.Diagnostics.Debug.Print(zenonLanguageTable.GetString("ENGLISH.TXT", "Motor"));

}

VB.NET

Public Sub MacroLanguageTableGetString()

Dim zenonLanguageTable As ILanguageTable = Me.ActiveDocument.LanguageTable

'Get the english translation for the german word Motor (Engine)

System.Diagnostics.Debug.Print(zenonLanguageTable.GetString("ENGLISH.TXT", "Motor"))

End Sub

VBA

Private Sub GetKey()
Dim ILang As LanguageTable
Set ILang = MyWorkspace.ActiveDocument.LanguageTable
Debug.Print ILang.GetString("ENGLISH.TXT", "Motor")
End Sub


DeleteKey

Manuel -> Interfaces de programmation -> Modèles d'objet -> LanguageTable -> LanguageTable-Methods -> DeleteKey

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

The method "DeleteKey" deletes a key text and all its translations from the language table.

Datatype

DeleteKey(String Key) As Boolean

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

public void MacroLanguageTableDeleteKey()

{

ILanguageTable zenonLanguageTable = this.ActiveDocument.LanguageTable;

//Deletes the translation for Motor (Engine) in all language files

zenonLanguageTable.DeleteKey("Motor");

}

VB.NET

Public Sub MacroLanguageTableDeleteKey()

Dim zenonLanguageTable As ILanguageTable = Me.ActiveDocument.LanguageTable

'Deletes the translation for Motor (Engine) in all language files

zenonLanguageTable.DeleteKey("Motor")

End Sub

VBA

Private Sub KeyDelete()
Dim ILang As LanguageTable
Set ILang = MyWorkspace.ActiveDocument.LanguageTable
If CheckOutAll Then
ILang.DeleteKey("Motor")
End If
End Sub


ImportFile

Manuel -> Interfaces de programmation -> Modèles d'objet -> LanguageTable -> LanguageTable-Methods -> ImportFile

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

The method „ImportFile" imports a file into the language table. The translations of the imported file are inserted to an already existing file with the same name (see above "import from text file") or if any other file with the same name exists, it will be inserted as a new file.

Datatype

ImportFile(String Name) As Boolean

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

public void MacroLanguageTableDeleteKey()

{

ILanguageTable zenonLanguageTable = this.ActiveDocument.LanguageTable;

//Adds an existing file for german translations to the table

zenonLanguageTable.ImportFile(@"C:\DEUTSCH.TXT");

}

VB.NET

Public Sub MacroLanguageTableDeleteKey()

Dim zenonLanguageTable As ILanguageTable = Me.ActiveDocument.LanguageTable

'Adds an existing file for german translations to the table

zenonLanguageTable.ImportFile("C:\DEUTSCH.TXT")

End Sub

VBA

Private Sub LangImport()

Dim Ok As Boolean

Dim ILang As LanguageTable

Dim IFile As FileManagerFileItem

Set ILang = MyWorkspace.ActiveDocument.LanguageTable

Set IFile = ILang.Item("DEUTSCH.TXT")

If Not IFile Is Nothing Then

If Not IFile.IsLocked And Not IFile.IsCheckedOut Then IFile.CheckOut

End If

Ok = ILang.ImportFile("C:\DEUTSCH.TXT")

End Sub


ExportFile

Manuel -> Interfaces de programmation -> Modèles d'objet -> LanguageTable -> LanguageTable-Methods -> ExportFile

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Exports (copies) the given LanguageTable file to the specified location

vID = index or filename of LanguageTable
sFileName = file location

Datatype

ExportFile(VARIANT vID, BSTR Name) As VARIANT_BOOL

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

VB.NET

VBA

Examples

C#

VB.NET

VBA

Private Sub LangExport()

Dim Ok As Boolean

Dim LangTab As LanguageTable

Set LangTab = MyWorkspace.ActiveDocument.LanguageTable

Ok = LangTab.ExportFile("ENGLISH.TXT", "C:\Test\ENGLISH.TXT")

End Sub


ImportCSV

Manuel -> Interfaces de programmation -> Modèles d'objet -> LanguageTable -> LanguageTable-Methods -> ImportCSV

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Imports (and merges) the given file into the language table. (like the gui-command "CSV importieren...)
sFileName = file location

Datatype

ImportCSV(BSTR Name) As VARIANT_BOOL

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

VB.NET

VBA

Examples

C#

VB.NET

VBA

Private Sub LangImportCSV()

Dim Ok As Boolean

Dim LangTab As LanguageTable

Set LangTab = MyWorkspace.ActiveDocument.LanguageTable

Ok = LangTab.ImportCSV("C:\Test\Language.csv")

End Sub


ExportCSV

Manuel -> Interfaces de programmation -> Modèles d'objet -> LanguageTable -> LanguageTable-Methods -> ExportCSV

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Exports the whole language table into the given file as CSV. Output is exactly like the GUI-Command "CSV exportieren" alle".
sFileName = file location

Datatype

ExportCSV(BSTR Name) As VARIANT_BOOL

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

VB.NET

VBA

Examples

C#

VB.NET

VBA

Private Sub LangExportCSV()

Dim Ok As Boolean

Dim LangTab As LanguageTable

Set LangTab = MyWorkspace.ActiveDocument.LanguageTable

Ok = LangTab.ExportCSV("C:\Test\Language.csv")

End Sub


Save

Manuel -> Interfaces de programmation -> Modèles d'objet -> LanguageTable -> LanguageTable-Methods -> Save

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Saves the language table

Datatype

Save() As VARIANT_BOOL

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

VB.NET

VBA

Examples

C#

public void MacroLanguageTableSave()

{

ILanguageTable zenonLanguageTable = this.ActiveDocument.LanguageTable;

//Do some changes to the table before saving it...

//Writes the language table to disk

zenonLanguageTable.Save();

}

VB.NET

Public Sub MacroLanguageTableSave()

Dim zenonLanguageTable As ILanguageTable = Me.ActiveDocument.LanguageTable

'Do some changes to the table before saving it...

'Writes the language table to disk

zenonLanguageTable.Save()

End Sub

VBA


Limit

Manuel -> Interfaces de programmation -> Modèles d'objet -> Limit

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

The collection Variables contains all defined limits of a variable.

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Examples

C#

public void MacroLimit()

{

IVariable zenonVariable = this.Variables().Item("WIZ_VAR_10");

//Get the first limit of a specified variable

ILimit zenonLimit = zenonVariable.Limits().Item(0);

System.Diagnostics.Debug.Print("Text: " + zenonLimit.Text);

System.Diagnostics.Debug.Print("Value: " + zenonLimit.Value);

System.Diagnostics.Debug.Print("AlarmClass: " + zenonLimit.AlarmClass);

System.Diagnostics.Debug.Print("AlarmGroup: " + zenonLimit.AlarmGroup);

string[] enumDynProp = (string[])zenonLimit.get_DynPropertiesEnum("");

foreach (string item in enumDynProp)

{

string propertyName = item.Split(',')[0];

//Note: This just prints the ToString() method of each dynamic property

//If you want to use the objects you want to look up the object type and

//cast the dynamic property

System.Diagnostics.Debug.Print(propertyName +" = " +

zenonLimit.get_DynProperties(propertyName));

}

}

VB.NET

Public Sub MacroLimit()

Dim zenonVariable As IVariable = Me.Variables().Item("WIZ_VAR_10")

'Get the first limit of a specified variable

Dim zenonLimit As ILimit = zenonVariable.Limits().Item(0)

System.Diagnostics.Debug.Print("Text: " + zenonLimit.Text)

System.Diagnostics.Debug.Print("Value: " + zenonLimit.Value)

System.Diagnostics.Debug.Print("AlarmClass: " + zenonLimit.AlarmClass)

System.Diagnostics.Debug.Print("AlarmGroup: " + zenonLimit.AlarmGroup)

Dim enumDynProp As String() = DirectCast(zenonLimit.get_DynPropertiesEnum(""), String())

For Each item As String In enumDynProp

Dim propertyName As String = item.Split(","C)(0)

'Note: This just prints the ToString() method of each dynamic property

'If you want to use the objects you want to look up the object type and

'cast the dynamic property

System.Diagnostics.Debug.Print((propertyName & Convert.ToString(" = ")) + zenonLimit.get_DynProperties(propertyName))

Next

End Sub

VBA

Public Sub zenOn_Limit()
Dim zVAR As Variable
Dim zLimit As Limit
Dim vDynProps As Variant
Dim strDynProp As String

'set variable object to get the limits collection
Set zVAR = thisProject.Variables.Item("WIZ_VAR_10")
'set limit object
Set zLimit = zVAR.Limits.Item(0)

'read all Default Properties from a limit
With zLimit
'generate some output information
Debug.Print "Text: " & .Text
Debug.Print "Value: " & .Value
Debug.Print "AlarmClass: " & .AlarmClass
Debug.Print "AlarmGroup: " & .AlarmGroup
End With

'read all DynProperties from a limit
vDynProps = zLimit.DynPropertiesEnum("")
For Each strItem In vDynProps
strDynProp = Mid(strItem, 1, InStr(1, strItem, ",") - 1)
Debug.Print "--------------------"
Debug.Print strItem
Debug.Print zLimit.DynProperties(strDynProp)
Next
End Sub

Other topics in this chapter

Limit-Properties

Limit-Methods


Limit-Properties

Manuel -> Interfaces de programmation -> Modèles d'objet -> Limit -> Limit-Properties

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
short | AlarmClass | Alarmclass | not used | read only | yes | yes
short | AlarmGroup | Alarmgroup | not used | read only | yes | yes
Limits | Parent | Parent-object | read only | read only | yes | yes
BSTR | Text | Alarmtext | not used | read only | yes | yes
double | Value | Value | not used | read only | yes | yes

Other topics in this chapter

Parent

Value

Text

AlarmGroup

AlarmClass


Parent

Manuel -> Interfaces de programmation -> Modèles d'objet -> Limit -> Limit-Properties -> Parent

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the parent object

Datatype

Parent() As Limits

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


Value

Manuel -> Interfaces de programmation -> Modèles d'objet -> Limit -> Limit-Properties -> Value

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns/sets the limit, at which the current status occurs. The current status occurs – depending on the setting Min or Max – on violating this limit.The setting Min or Max cannot be changed via VBA. The methods IsMin and IsMax can check the type of the limit.

Datatype

Value() As double

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes


Text

Manuel -> Interfaces de programmation -> Modèles d'objet -> Limit -> Limit-Properties -> Text

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns/sets the limit text. For reading operations the translated string – in the current language of the Runtime – is returned.Allocating a limit directly changes the key of the entry – i.e. different to reading access, where the string is translated to the current language of the project.

Datatype

Text() As String

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes


AlarmGroup

Manuel -> Interfaces de programmation -> Modèles d'objet -> Limit -> Limit-Properties -> AlarmGroup

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the ID of the defined alarm group for the actual limit.At the moment the alarm group is not available as an object.

Datatype

AlarmGroup() As short

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes


AlarmClass

Manuel -> Interfaces de programmation -> Modèles d'objet -> Limit -> Limit-Properties -> AlarmClass

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the ID of the defined alarm class for the actual limit.At the moment the alarm class is not available as an object.

Datatype

AlarmClass() As short

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes


Limit-Methods

Manuel -> Interfaces de programmation -> Modèles d'objet -> Limit -> Limit-Methods

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
void | DynProperties [PUT] | - | available | available | yes | yes
VARIANT | DynProperties [GET] | - | available | available | yes | yes
VARIANT | DynPropertiesEnum [GET] | - | read only | read only | yes | yes
VARIANT_BOOL | IsMax | - | available | not used | yes | yes
VARIANT_BOOL | IsMin | - | available | not used | yes | yes
IPropParam | DynPropertyParam [GET] | Returns the PropParam objekt of the given DynProperty | read only | not used | yes | yes

Other topics in this chapter

DynPropertyParam [GET]

DynPropertiesEnum [GET]

DynProperties [GET]

DynProperties [PUT]

IsMin

IsMax


DynPropertyParam [GET]

Manuel -> Interfaces de programmation -> Modèles d'objet -> Limit -> Limit-Methods -> DynPropertyParam [GET]

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

DynPropertyParam [GET](BSTR bsPath) As PropParam

Availability

Environment | Available
Editor | read only
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


DynPropertiesEnum [GET]

Manuel -> Interfaces de programmation -> Modèles d'objet -> Limit -> Limit-Methods -> DynPropertiesEnum [GET]

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

DynPropertiesEnum(String bsPath) As VARIANT

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

bsPath As String

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Sub ReadDynProps()
End Sub


DynProperties [GET]

Manuel -> Interfaces de programmation -> Modèles d'objet -> Limit -> Limit-Methods -> DynProperties [GET]

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

DynProperties(String bsPath) As VARIANT

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

A String which defines the Property.

Example: "NetAktive"

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

bsPath As String

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Sub
'Sample: GSet the Network Aktive Flag of the Project.
If MyWorkspace.ActiveDocument.DynProperties("NetActive") = True Then
'read the server - computername...
Debug.Print "Server: " & MyWorkspace.ActiveDocument.DynProperties("NetServer")
End If
End Sub


DynProperties [PUT]

Manuel -> Interfaces de programmation -> Modèles d'objet -> Limit -> Limit-Methods -> DynProperties [PUT]

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

DynProperties (String bsPath,VARIANT vValue) As void

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

A String which defines the Property.

Example: "NetAktive"

Returns a variant value depending to the property, it can be a boolean, a long, or a whole object.

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

bsPath As String

vValue As Variant

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Sub SetDynProp()
End Sub


IsMin

Manuel -> Interfaces de programmation -> Modèles d'objet -> Limit -> Limit-Methods -> IsMin

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns 'True' if the type of the current limit is 'Min', violated as soon as the current value is lower. Otherwise it is a maximal limit.

Datatype

IsMin() As Boolean

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Examples

C#

public void MacroLimitMinMax()

{

IVariable zenonVariable = this.ActiveDocument.Variables().Item("WIZ_VAR_10");

//Get the first limit of a specified variable

ILimit zenonLimit = zenonVariable.Limits().Item(0);

if (zenonLimit.IsMax())

{

this.Application.DebugPrint("Limit 0 of WIZ_WAR_10 currently at its max value",

tpDebugPrintStyle.tpMsg);

}

else if (zenonLimit.IsMin())

{

this.Application.DebugPrint("Limit 0 of WIZ_WAR_10 currently at its min value",

tpDebugPrintStyle.tpMsg);

}

}

VB.NET

Public Sub MacroLimitMinMax()

Dim zenonVariable As IVariable = Me.ActiveDocument.Variables().Item("WIZ_VAR_10")

'Get the first limit of a specified variable

Dim zenonLimit As ILimit = zenonVariable.Limits().Item(0)

If zenonLimit.IsMax() Then

Me.Application.DebugPrint("Limit 0 of WIZ_WAR_10 currently at its max value", tpDebugPrintStyle.tpMsg)

ElseIf zenonLimit.IsMin() Then

Me.Application.DebugPrint("Limit 0 of WIZ_WAR_10 currently at its min value", tpDebugPrintStyle.tpMsg)

End If

End Sub

VBA

VBA-Syntax


IsMax

Manuel -> Interfaces de programmation -> Modèles d'objet -> Limit -> Limit-Methods -> IsMax

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns 'True' if the type of the current limit is 'Max', violated as soon as the current value is higher. Otherwise it is a minimum limit.

Datatype

IsMax() As Boolean

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Examples

C#

public void MacroLimitMinMax()

{

IVariable zenonVariable = this.ActiveDocument.Variables().Item("WIZ_VAR_10");

//Get the first limit of a specified variable

ILimit zenonLimit = zenonVariable.Limits().Item(0);

if (zenonLimit.IsMax())

{

this.Application.DebugPrint("Limit 0 of WIZ_WAR_10 currently at its max value",

tpDebugPrintStyle.tpMsg);

}

else if (zenonLimit.IsMin())

{

this.Application.DebugPrint("Limit 0 of WIZ_WAR_10 currently at its min value",

tpDebugPrintStyle.tpMsg);

}

}

VB.NET

Public Sub MacroLimitMinMax()

Dim zenonVariable As IVariable = Me.ActiveDocument.Variables().Item("WIZ_VAR_10")

'Get the first limit of a specified variable

Dim zenonLimit As ILimit = zenonVariable.Limits().Item(0)

If zenonLimit.IsMax() Then

Me.Application.DebugPrint("Limit 0 of WIZ_WAR_10 currently at its max value", tpDebugPrintStyle.tpMsg)

ElseIf zenonLimit.IsMin() Then

Me.Application.DebugPrint("Limit 0 of WIZ_WAR_10 currently at its min value", tpDebugPrintStyle.tpMsg)

End If

End Sub

VBA

VBA-Syntax


Limits

Manuel -> Interfaces de programmation -> Modèles d'objet -> Limits

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

The collection Limits contains the defined limits of a variable. With this collection you can access the defined limits.

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Examples

C#

public void MacroLimit()

{

IVariable zenonVariable = this.Variables().Item("WIZ_VAR_10");

//Get the first limit of a specified variable

ILimit zenonLimit = zenonVariable.Limits().Item(0);

System.Diagnostics.Debug.Print("Text: " + zenonLimit.Text);

System.Diagnostics.Debug.Print("Value: " + zenonLimit.Value);

System.Diagnostics.Debug.Print("AlarmClass: " + zenonLimit.AlarmClass);

System.Diagnostics.Debug.Print("AlarmGroup: " + zenonLimit.AlarmGroup);

string[] enumDynProp = (string[])zenonLimit.get_DynPropertiesEnum("");

foreach (string item in enumDynProp)

{

string propertyName = item.Split(',')[0];

//Note: This just prints the ToString() method of each dynamic property

//If you want to use the objects you want to look up the object type and

//cast the dynamic property

System.Diagnostics.Debug.Print(propertyName +" = " +

zenonLimit.get_DynProperties(propertyName));

}

}

VB.NET

Public Sub MacroLimit()

Dim zenonVariable As IVariable = Me.Variables().Item("WIZ_VAR_10")

'Get the first limit of a specified variable

Dim zenonLimit As ILimit = zenonVariable.Limits().Item(0)

System.Diagnostics.Debug.Print("Text: " + zenonLimit.Text)

System.Diagnostics.Debug.Print("Value: " + zenonLimit.Value)

System.Diagnostics.Debug.Print("AlarmClass: " + zenonLimit.AlarmClass)

System.Diagnostics.Debug.Print("AlarmGroup: " + zenonLimit.AlarmGroup)

Dim enumDynProp As String() = DirectCast(zenonLimit.get_DynPropertiesEnum(""), String())

For Each item As String In enumDynProp

Dim propertyName As String = item.Split(","C)(0)

'Note: This just prints the ToString() method of each dynamic property

'If you want to use the objects you want to look up the object type and

'cast the dynamic property

System.Diagnostics.Debug.Print((propertyName & Convert.ToString(" = ")) + zenonLimit.get_DynProperties(propertyName))

Next

End Sub

VBA

Public Sub zenOn_Limits()
Dim zVAR As Variable
Dim zLimit As Limit
Dim i As Integer

'set variable object to get the limits collection
Set zVAR = thisProject.Variables.Item("WIZ_VAR_10")

'enumerate all limits of the variable
For i = 0 To zVAR.Limits.Count - 1
Set zLimit = zVAR.Limits.Item(i)
Debug.Print "LIMIT " & (i + 1) & ":"
With zLimit
'generate some output information
Debug.Print "Text: " & .Text
Debug.Print "Value: " & .Value
Debug.Print "AlarmClass: " & .AlarmClass
Debug.Print "AlarmGroup: " & .AlarmGroup
Debug.Print "Status: " & .DynProperties("Status")
End With
Next i
End Sub

Other topics in this chapter

Limits-Properties

Limits-Methods


Limits-Properties

Manuel -> Interfaces de programmation -> Modèles d'objet -> Limits -> Limits-Properties

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
long | Count | Count of defined limits | read only | read only | yes | yes
IVariable | Parent | Parent-object | read only | read only | yes | yes

Other topics in this chapter

Parent

Count


Parent

Manuel -> Interfaces de programmation -> Modèles d'objet -> Limits -> Limits-Properties -> Parent

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the parent object

Datatype

Parent() As Variable

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


Count

Manuel -> Interfaces de programmation -> Modèles d'objet -> Limits -> Limits-Properties -> Count

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

The method returns the number of available objects. This property is mostly used for the method Item to run through each single object.Hint: For running through entries care, that the minimum is 0 and the maximum is Count-1.

Datatype

Count() As long

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


Limits-Methods

Manuel -> Interfaces de programmation -> Modèles d'objet -> Limits -> Limits-Methods

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
ILimit | Item | Returns limit on the given position | available | available | yes | yes

Other topics in this chapter

Item


Item

Manuel -> Interfaces de programmation -> Modèles d'objet -> Limits -> Limits-Methods -> Item

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns a "Limit" object by its position.

Datatype

Item(long iIndex) As Limit

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

long iIndex

VB.NET

ByVal iIndex As Long

VBA

VBA-Syntax

Examples

C#

public void MacroLimit()

{

IVariable zenonVariable = this.Variables().Item("WIZ_VAR_10");

//Get the first limit of a specified variable

ILimit zenonLimit = zenonVariable.Limits().Item(0);

System.Diagnostics.Debug.Print("Text: " + zenonLimit.Text);

System.Diagnostics.Debug.Print("Value: " + zenonLimit.Value);

System.Diagnostics.Debug.Print("AlarmClass: " + zenonLimit.AlarmClass);

System.Diagnostics.Debug.Print("AlarmGroup: " + zenonLimit.AlarmGroup);

string[] enumDynProp = (string[])zenonLimit.get_DynPropertiesEnum("");

foreach (string item in enumDynProp)

{

string propertyName = item.Split(',')[0];

//Note: This just prints the ToString() method of each dynamic property

//If you want to use the objects you want to look up the object type and

//cast the dynamic property

System.Diagnostics.Debug.Print(propertyName +" = " +

zenonLimit.get_DynProperties(propertyName));

}

}

VB.NET

Public Sub MacroLimit()

Dim zenonVariable As IVariable = Me.Variables().Item("WIZ_VAR_10")

'Get the first limit of a specified variable

Dim zenonLimit As ILimit = zenonVariable.Limits().Item(0)

System.Diagnostics.Debug.Print("Text: " + zenonLimit.Text)

System.Diagnostics.Debug.Print("Value: " + zenonLimit.Value)

System.Diagnostics.Debug.Print("AlarmClass: " + zenonLimit.AlarmClass)

System.Diagnostics.Debug.Print("AlarmGroup: " + zenonLimit.AlarmGroup)

Dim enumDynProp As String() = DirectCast(zenonLimit.get_DynPropertiesEnum(""), String())

For Each item As String In enumDynProp

Dim propertyName As String = item.Split(","C)(0)

'Note: This just prints the ToString() method of each dynamic property

'If you want to use the objects you want to look up the object type and

'cast the dynamic property

System.Diagnostics.Debug.Print((propertyName & Convert.ToString(" = ")) + zenonLimit.get_DynProperties(propertyName))

Next

End Sub

VBA

VBA-Syntax


MdiElement

Manuel -> Interfaces de programmation -> Modèles d'objet -> MdiElement

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

The availibility and functionality of MDI elements, also called control elements within zenOn, depend on the corresponding Screen type. This collection returns the default settings of the MDI elements.

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Examples

C#

public void MacroMdiElements()

{

IDynPicture zenonDynPicture = this.ActiveDocument.DynPictures().Item("AML");

IMdiElements zenonMdiElements = zenonDynPicture.MdiElements();

for (int i = 0; i < zenonMdiElements.Count; ++i)

{

System.Diagnostics.Debug.Print("Caption: " +

zenonMdiElements.Item(i).Caption);

System.Diagnostics.Debug.Print("Position Left: " +

zenonMdiElements.Item(i).Left);

System.Diagnostics.Debug.Print("Position Top: " +

zenonMdiElements.Item(i).Top);

System.Diagnostics.Debug.Print("Width: " +

zenonMdiElements.Item(i).Width);

System.Diagnostics.Debug.Print("Height: " +

zenonMdiElements.Item(i).Height);

}

}

VB.NET

Public Sub MacroMdiElements()

Dim zenonDynPicture As IDynPicture = Me.ActiveDocument.DynPictures().Item("AML")

Dim zenonMdiElements As IMdiElements = zenonDynPicture.MdiElements()

For i As Integer = 0 To zenonMdiElements.Count - 1

System.Diagnostics.Debug.Print("Caption: " + zenonMdiElements.Item(i).Caption)

System.Diagnostics.Debug.Print("Position Left: " + zenonMdiElements.Item(i).Left)

System.Diagnostics.Debug.Print("Position Top: " + zenonMdiElements.Item(i).Top)

System.Diagnostics.Debug.Print("Width: " + zenonMdiElements.Item(i).Width)

System.Diagnostics.Debug.Print("Height: " + zenonMdiElements.Item(i).Height)

Next

End Sub

VBA

Sub zenOn_MdiElements()
'Declarations
Dim zPIC As DynPicture
Dim zMDIs As MdiElements
Dim i As Integer

'Initialize zPIC with the ALARM Screen
Set zPIC = MyWorkspace.ActiveDocument.DynPictures.Item("ALARM")
'Initialize zMDIs with the available MDI elements for the ALARM Screen
Set zMDIs = zPIC.MdiElements

'For every MDI element in the ALARM Screen...
For i = 0 To zMDIs.Count - 1
'... output the details
With zMDIs.Item(i)
Debug.Print "Caption: " & .Caption
Debug.Print "Position left: " & .Left
Debug.Print "Position top: " & .Top
Debug.Print "Width: " & .Width
Debug.Print "Height: " & .Height
End With
Next i
End Sub

Other topics in this chapter

MdiElement-Properties

MdiElement-Methods

MdiElement-Dynamic properties


MdiElement-Properties

Manuel -> Interfaces de programmation -> Modèles d'objet -> MdiElement -> MdiElement-Properties

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
long | Type |  | read only | available | yes | yes
OLE_COLOR | BackColor |  | available | read only | yes | yes
BSTR | Caption |  | available | not used | yes | yes
OLE_COLOR | ForeColor |  | available | read only | yes | yes
long | Height |  | available | read only | yes | yes
long | ID |  | available | not used | yes | yes
VARIANT_BOOL | IsDefault |  | available | not used | yes | yes
long | Left |  | available | read only | yes | yes
IMdiElements | Parent |  | read only | read only | yes | yes
long | Top |  | available | read only | yes | yes
tpElementTypes | Type |  | read only | available | yes | yes
long | Width |  | available | read only | yes | yes

Other topics in this chapter

Parent

IsDefault

Type

ID

Caption

ForeColor

BackColor

Left

Top

Width

Height


Parent

Manuel -> Interfaces de programmation -> Modèles d'objet -> MdiElement -> MdiElement-Properties -> Parent

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the parent object

Datatype

Parent() As MdiElements

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


IsDefault

Manuel -> Interfaces de programmation -> Modèles d'objet -> MdiElement -> MdiElement-Properties -> IsDefault

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns TRUE, if the "MdiElement" object belongs to the default elements.

Datatype

IsDefault() As Boolean

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes


Type

Manuel -> Interfaces de programmation -> Modèles d'objet -> MdiElement -> MdiElement-Properties -> Type

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Type of the "Element" object.

Datatype

Type() As long

Availability

Environment | Available
Editor | read only
Runtime | available
VBA | yes
VSTA | yes


ID

Manuel -> Interfaces de programmation -> Modèles d'objet -> MdiElement -> MdiElement-Properties -> ID

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the unique ID of the "MdiElement" object.

Datatype

ID() As long

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes


Caption

Manuel -> Interfaces de programmation -> Modèles d'objet -> MdiElement -> MdiElement-Properties -> Caption

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Name of the linked picture type specific function.

Datatype

Caption() As String

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes


ForeColor

Manuel -> Interfaces de programmation -> Modèles d'objet -> MdiElement -> MdiElement-Properties -> ForeColor

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

ForeColor() As OLE_COLOR

Availability

Environment | Available
Editor | available
Runtime | read only
VBA | yes
VSTA | yes


BackColor

Manuel -> Interfaces de programmation -> Modèles d'objet -> MdiElement -> MdiElement-Properties -> BackColor

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

BackColor() As OLE_COLOR

Availability

Environment | Available
Editor | available
Runtime | read only
VBA | yes
VSTA | yes


Left

Manuel -> Interfaces de programmation -> Modèles d'objet -> MdiElement -> MdiElement-Properties -> Left

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the position of the left window border of the element in pixel. The value defines the distance from the top border of the screen.

Datatype

Left() As long

Availability

Environment | Available
Editor | available
Runtime | read only
VBA | yes
VSTA | yes


Top

Manuel -> Interfaces de programmation -> Modèles d'objet -> MdiElement -> MdiElement-Properties -> Top

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the position of the top window border of the element in pixel. The value defines the distance from the top border of the screen.

Datatype

Top() As long

Availability

Environment | Available
Editor | available
Runtime | read only
VBA | yes
VSTA | yes


Width

Manuel -> Interfaces de programmation -> Modèles d'objet -> MdiElement -> MdiElement-Properties -> Width

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Width of the element (in pixel).

Datatype

Width() As long

Availability

Environment | Available
Editor | available
Runtime | read only
VBA | yes
VSTA | yes


Height

Manuel -> Interfaces de programmation -> Modèles d'objet -> MdiElement -> MdiElement-Properties -> Height

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Height of the element (in pixels).

Datatype

Height() As long

Availability

Environment | Available
Editor | available
Runtime | read only
VBA | yes
VSTA | yes


MdiElement-Methods

Manuel -> Interfaces de programmation -> Modèles d'objet -> MdiElement -> MdiElement-Methods

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
void | DynProperties [PUT] | - | available | available | yes | yes
VARIANT | DynProperties [GET] | - | available | available | yes | yes
VARIANT | DynPropertiesEnum [GET] | - | read only | read only | yes | yes
IPropParam | DynPropertyParam [GET] | Returns the PropParam objekt of the given DynProperty | read only | not used | yes | yes

Other topics in this chapter

DynPropertyParam [GET]

DynPropertiesEnum [GET]

DynProperties [GET]

DynProperties [PUT]


DynPropertyParam [GET]

Manuel -> Interfaces de programmation -> Modèles d'objet -> MdiElement -> MdiElement-Methods -> DynPropertyParam [GET]

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

DynPropertyParam [GET](BSTR bsPath) As PropParam

Availability

Environment | Available
Editor | read only
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


DynPropertiesEnum [GET]

Manuel -> Interfaces de programmation -> Modèles d'objet -> MdiElement -> MdiElement-Methods -> DynPropertiesEnum [GET]

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

DynPropertiesEnum(String bsPath) As VARIANT

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes

Parameters

A String which defines the entry point to get out all available properties of the object.

A blank String like that returns the first layer of properties:

DynPropertiesEnum("")

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

bsPath As String

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Sub ReadDynProps()
End Sub


DynProperties [GET]

Manuel -> Interfaces de programmation -> Modèles d'objet -> MdiElement -> MdiElement-Methods -> DynProperties [GET]

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

DynProperties(String bsPath) As VARIANT

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


DynProperties [PUT]

Manuel -> Interfaces de programmation -> Modèles d'objet -> MdiElement -> MdiElement-Methods -> DynProperties [PUT]

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

DynProperties (String bsPath,VARIANT vValue) As void

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

A String which defines the Property.

Example: "NetAktive"

Returns a variant value depending to the property, it can be a boolean, a long, or a whole object.

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

bsPath As String

vValue As Variant

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Sub SetDynProp()
End Sub


MdiElement-Dynamic properties

Manuel -> Interfaces de programmation -> Modèles d'objet -> MdiElement -> MdiElement-Dynamic properties

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Dynproperties

MDI elements default list

Other topics in this chapter

MDI elements default list


MDI elements default list

Manuel -> Interfaces de programmation -> Modèles d'objet -> MdiElement -> MdiElement-Dynamic properties -> MDI elements default list

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | VBA/VSTA Name | Display Name | Description
VT_UI4 | MenuID | MenuID |
VT_BOOL | Default | Default |
VT_UI2 | Type | Type |
VT_I4 | ID | ID |
VT_BSTR | Text | Text | The dialog for the definition of the formula for the Mathematics variable is opened.
VT_UI4 | Style | Style |
VT_UI4 | StyleMask | StyleMask |
VT_UI4 | TextColor | TextColor |
VT_UI4 | BackColor | BackColor |
VT_UI4 | Info | Info |
VT_I4 | Top | Top |
VT_I4 | Left | Left |
VT_I4 | Height | Height |
VT_I4 | Width | Width | Name of the inserted file.


MdiElements

Manuel -> Interfaces de programmation -> Modèles d'objet -> MdiElements

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

This object manages "MdiElement" objects.

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Examples

C#

public void MacroMdiElements()

{

IDynPicture zenonDynPicture = this.ActiveDocument.DynPictures().Item("AML");

IMdiElements zenonMdiElements = zenonDynPicture.MdiElements();

for (int i = 0; i < zenonMdiElements.Count; ++i)

{

System.Diagnostics.Debug.Print("Caption: " +

zenonMdiElements.Item(i).Caption);

System.Diagnostics.Debug.Print("Position Left: " +

zenonMdiElements.Item(i).Left);

System.Diagnostics.Debug.Print("Position Top: " +

zenonMdiElements.Item(i).Top);

System.Diagnostics.Debug.Print("Width: " +

zenonMdiElements.Item(i).Width);

System.Diagnostics.Debug.Print("Height: " +

zenonMdiElements.Item(i).Height);

}

}

VB.NET

Public Sub MacroMdiElements()

Dim zenonDynPicture As IDynPicture = Me.ActiveDocument.DynPictures().Item("AML")

Dim zenonMdiElements As IMdiElements = zenonDynPicture.MdiElements()

For i As Integer = 0 To zenonMdiElements.Count - 1

System.Diagnostics.Debug.Print("Caption: " + zenonMdiElements.Item(i).Caption)

System.Diagnostics.Debug.Print("Position Left: " + zenonMdiElements.Item(i).Left)

System.Diagnostics.Debug.Print("Position Top: " + zenonMdiElements.Item(i).Top)

System.Diagnostics.Debug.Print("Width: " + zenonMdiElements.Item(i).Width)

System.Diagnostics.Debug.Print("Height: " + zenonMdiElements.Item(i).Height)

Next

End Sub

VBA

Sub zenOn_MdiElements()
'Declarations
Dim zPIC As DynPicture
Dim zMDIs As MdiElements
Dim i As Integer

'Initialize zPIC with the ALARM Screen
Set zPIC = MyWorkspace.ActiveDocument.DynPictures.Item("ALARM")
'Initialize zMDIs with the available MDI elements for the ALARM Screen
Set zMDIs = zPIC.MdiElements

'For every MDI element in the ALARM Screen...
For i = 0 To zMDIs.Count - 1
'... which is not a default element...
If Not zMDIs.Item(i).IsDefault Then
'... output the caption of the element.
Debug.Print zMDIs.Item(i).Caption
End If
Next i
End Sub

Other topics in this chapter

MdiElements-Properties

MdiElements-Methods


MdiElements-Properties

Manuel -> Interfaces de programmation -> Modèles d'objet -> MdiElements -> MdiElements-Properties

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
long | Count | Returns count of the elements | read only | read only | yes | yes
IDynPicture | Parent | The parent object of the current object | read only | read only | yes | yes
VARIANT_BOOL | UseProfile | - | read only | not used | yes | yes

Other topics in this chapter

Parent

Count

UseProfile


Parent

Manuel -> Interfaces de programmation -> Modèles d'objet -> MdiElements -> MdiElements-Properties -> Parent

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the parent object

Datatype

Parent() As DynPicture

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


Count

Manuel -> Interfaces de programmation -> Modèles d'objet -> MdiElements -> MdiElements-Properties -> Count

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

The method returns the number of available objects. This property is mostly used for the method Item to run through each single object.Hint: For running through entries care, that the minimum is 0 and the maximum is Count-1.

Datatype

Count() As long

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


UseProfile

Manuel -> Interfaces de programmation -> Modèles d'objet -> MdiElements -> MdiElements-Properties -> UseProfile

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns TRUE, if profile elements are available for this type of object.

Datatype

UseProfile() As Boolean

Availability

Environment | Available
Editor | read only
Runtime | not used
VBA | yes
VSTA | yes


MdiElements-Methods

Manuel -> Interfaces de programmation -> Modèles d'objet -> MdiElements -> MdiElements-Methods

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
IMdiElement | Item | Returns a object at a position or by a specified key | available | available | yes | yes

Other topics in this chapter

Item


Item

Manuel -> Interfaces de programmation -> Modèles d'objet -> MdiElements -> MdiElements-Methods -> Item

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the object Element from the collection, which is identified by the parameter vID. The parameter vID can have two values:

  • Index: Access with an index is mostly used in combination with the property Count to find out the position of the variable object in the list.
  • Element name: The element can also be accessed with its unique name.

Hint:The returned object should be checked on Nothing, if no object for the search criteria was found.

Datatype

Item(VARIANT vElementID) As MdiElement

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

object vElementID

VB.NET

ByVal vElementID As Object

VBA

VBA-Syntax

Examples

C#

Public Sub MacroMdiElements()

Dim zenonDynPicture As IDynPicture = Me.ActiveDocument.DynPictures().Item("AML")

Dim zenonMdiElements As IMdiElements = zenonDynPicture.MdiElements()

For i As Integer = 0 To zenonMdiElements.Count - 1

System.Diagnostics.Debug.Print("Caption: " + zenonMdiElements.Item(i).Caption)

System.Diagnostics.Debug.Print("Position Left: " + zenonMdiElements.Item(i).Left)

System.Diagnostics.Debug.Print("Position Top: " + zenonMdiElements.Item(i).Top)

System.Diagnostics.Debug.Print("Width: " + zenonMdiElements.Item(i).Width)

System.Diagnostics.Debug.Print("Height: " + zenonMdiElements.Item(i).Height)

Next

End Sub

VB.NET

Public Sub MacroMdiElements()

Dim zenonDynPicture As IDynPicture = Me.ActiveDocument.DynPictures().Item("AML")

Dim zenonMdiElements As IMdiElements = zenonDynPicture.MdiElements()

For i As Integer = 0 To zenonMdiElements.Count - 1

System.Diagnostics.Debug.Print("Caption: " + zenonMdiElements.Item(i).Caption)

System.Diagnostics.Debug.Print("Position Left: " + zenonMdiElements.Item(i).Left)

System.Diagnostics.Debug.Print("Position Top: " + zenonMdiElements.Item(i).Top)

System.Diagnostics.Debug.Print("Width: " + zenonMdiElements.Item(i).Width)

System.Diagnostics.Debug.Print("Height: " + zenonMdiElements.Item(i).Height)

Next

End Sub

VBA

VBA-Syntax


MDITemplate

Manuel -> Interfaces de programmation -> Modèles d'objet -> MDITemplate

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Examples

C#

public void MacroMdiTemplate()

{

//Print the properties of all "Keyboard" MDITemplates

IMDITemplates zenonMDITemplates = this.GetMDiTemplates("Keyboard");

if (zenonMDITemplates != null)

{

for (int i = 0; i < zenonMDITemplates.Count; ++i)

{

IMDITemplate zenonMdiTemplate = zenonMDITemplates.Item(i);

System.Diagnostics.Debug.Print(

zenonMdiTemplate.get_DynProperties("Name").ToString());

System.Diagnostics.Debug.Print(

zenonMdiTemplate.get_DynProperties("GUID").ToString());

System.Diagnostics.Debug.Print(

zenonMdiTemplate.get_DynProperties("ImportPath").ToString());

System.Diagnostics.Debug.Print(

zenonMdiTemplate.get_DynProperties("Folder").ToString());

System.Diagnostics.Debug.Print(

zenonMdiTemplate.get_DynProperties("MDIType").ToString());

System.Diagnostics.Debug.Print(

zenonMdiTemplate.get_DynProperties("Language").ToString());

System.Diagnostics.Debug.Print(

zenonMdiTemplate.get_DynProperties("Description").ToString());

System.Diagnostics.Debug.Print(

zenonMdiTemplate.get_DynProperties("CopaDataTemplate").ToString());

System.Diagnostics.Debug.Print(

zenonMdiTemplate.get_DynProperties("DefaultTemplate").ToString());

}

}

}

VB.NET

Public Sub MacroMdiTemplate()

'Print the properties of all "Keyboard" MDITemplates

Dim zenonMDITemplates As IMDITemplates = Me.GetMDiTemplates("Keyboard")

If zenonMDITemplates IsNot Nothing Then

For i As Integer = 0 To zenonMDITemplates.Count - 1

Dim zenonMdiTemplate As IMDITemplate = zenonMDITemplates.Item(i)

System.Diagnostics.Debug.Print(zenonMdiTemplate.get_DynProperties("Name").ToString())

System.Diagnostics.Debug.Print(zenonMdiTemplate.get_DynProperties("GUID").ToString())

System.Diagnostics.Debug.Print(zenonMdiTemplate.get_DynProperties("ImportPath").ToString())

System.Diagnostics.Debug.Print(zenonMdiTemplate.get_DynProperties("Folder").ToString())

System.Diagnostics.Debug.Print(zenonMdiTemplate.get_DynProperties("MDIType").ToString())

System.Diagnostics.Debug.Print(zenonMdiTemplate.get_DynProperties("Language").ToString())

System.Diagnostics.Debug.Print(zenonMdiTemplate.get_DynProperties("Description").ToString())

System.Diagnostics.Debug.Print(zenonMdiTemplate.get_DynProperties("CopaDataTemplate").ToString())

System.Diagnostics.Debug.Print(zenonMdiTemplate.get_DynProperties("DefaultTemplate").ToString())

Next

End If

End Sub

VBA

Private Sub GetTemplates()
Dim IMDITemplates As MDITemplates
Dim IMDITemplate As MDITemplate
Dim Count As Integer
Dim Ok As Boolean
Dim i As Integer

' --- Selection by Name
Set IMDITemplates = MyWorkspace.GetMDiTemplates("Keyboard")
If Not IMDITemplates Is Nothing Then
Set IMDITemplate = IMDITemplates.Item("Test 3")
Ok = PrintTemplate(IMDITemplate)
End If

' --- Selection by index (zenon Constant)
Set IMDITemplates = MyWorkspace.GetMDiTemplates(tpKeyboard)
If Not IMDITemplates Is Nothing Then
Count = IMDITemplates.Count
For i = 0 To Count - 1
Set IMDITemplate = IMDITemplates.Item(i)
Ok = PrintTemplate(IMDITemplate)
Next
End If
End Sub

Private Function PrintTemplate(IMDITemplate As MDITemplate) As Boolean
If Not IMDITemplate Is Nothing Then
Debug.Print ("Name: " & IMDITemplate.DynProperties("Name"))
Debug.Print ("GUID: " & IMDITemplate.DynProperties("GUID"))
Debug.Print ("ImportPath: " & IMDITemplate.DynProperties("ImportPath"))
Debug.Print ("Folder: " & IMDITemplate.DynProperties("Folder"))
Debug.Print ("MDIType: " & IMDITemplate.DynProperties("MDIType"))
Debug.Print ("Language: " & IMDITemplate.DynProperties("Language"))
Debug.Print ("Description: " & IMDITemplate.DynProperties("Description"))
Debug.Print ("CopaDataTemplate: " & IMDITemplate.DynProperties("CopaDataTemplate"))
Debug.Print ("DefaultTemplate: " & IMDITemplate.DynProperties("DefaultTemplate"))
PrintTemplate = True
Else
PrintTemplate = False
End If
End Function

Other topics in this chapter

MDITemplate-Methods

MDITemplate-Dynamic properties


MDITemplate-Methods

Manuel -> Interfaces de programmation -> Modèles d'objet -> MDITemplate -> MDITemplate-Methods

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
VARIANT | DynProperties [GET] | - | read only | not used | yes | yes
VARIANT | DynPropertiesEnum [GET] | - | read only | not used | yes | yes
IPropParam | DynPropertyParam [GET] | Returns the PropParam objekt of the given DynProperty | read only | not used | yes | yes

Other topics in this chapter

DynPropertyParam [GET]

DynPropertiesEnum [GET]

DynProperties [GET]


DynPropertyParam [GET]

Manuel -> Interfaces de programmation -> Modèles d'objet -> MDITemplate -> MDITemplate-Methods -> DynPropertyParam [GET]

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

DynPropertyParam [GET](BSTR bsPath) As PropParam

Availability

Environment | Available
Editor | read only
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


DynPropertiesEnum [GET]

Manuel -> Interfaces de programmation -> Modèles d'objet -> MDITemplate -> MDITemplate-Methods -> DynPropertiesEnum [GET]

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

DynPropertiesEnum(String bsPath) As VARIANT

Availability

Environment | Available
Editor | read only
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Sub ReadDynProps()
End Sub


DynProperties [GET]

Manuel -> Interfaces de programmation -> Modèles d'objet -> MDITemplate -> MDITemplate-Methods -> DynProperties [GET]

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

DynProperties(String bsPath) As VARIANT

Availability

Environment | Available
Editor | read only
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Private Sub GetTemplates()
Dim IMDITemplates As MDITemplates
Dim IMDITemplate As MDITemplate
Dim Count As Integer
Dim Ok As Boolean
Dim i As Integer

' --- Selection by Name
Set IMDITemplates = MyWorkspace.GetMDiTemplates("Keyboard")
If Not IMDITemplates Is Nothing Then
Set IMDITemplate = IMDITemplates.Item("Test 3")
Ok = PrintTemplate(IMDITemplate)
End If

' --- Selection by index (zenon Constant)
Set IMDITemplates = MyWorkspace.GetMDiTemplates(tpKeyboard)
If Not IMDITemplates Is Nothing Then
Count = IMDITemplates.Count
For i = 0 To Count - 1
Set IMDITemplate = IMDITemplates.Item(i)
Ok = PrintTemplate(IMDITemplate)
Next
End If
End Sub

Private Function PrintTemplate(IMDITemplate As MDITemplate) As Boolean
If Not IMDITemplate Is Nothing Then
Debug.Print ("Name: " & IMDITemplate.DynProperties("Name"))
Debug.Print ("GUID: " & IMDITemplate.DynProperties("GUID"))
Debug.Print ("ImportPath: " & IMDITemplate.DynProperties("ImportPath"))
Debug.Print ("Folder: " & IMDITemplate.DynProperties("Folder"))
Debug.Print ("MDIType: " & IMDITemplate.DynProperties("MDIType"))
Debug.Print ("Language: " & IMDITemplate.DynProperties("Language"))
Debug.Print ("Description: " & IMDITemplate.DynProperties("Description"))
Debug.Print ("CopaDataTemplate: " & IMDITemplate.DynProperties("CopaDataTemplate"))
Debug.Print ("DefaultTemplate: " & IMDITemplate.DynProperties("DefaultTemplate"))
PrintTemplate = True
Else
PrintTemplate = False
End If
End Function


MDITemplate-Dynamic properties

Manuel -> Interfaces de programmation -> Modèles d'objet -> MDITemplate -> MDITemplate-Dynamic properties

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Dynproperties

MDI data template

Other topics in this chapter

MDI data template


MDI data template

Manuel -> Interfaces de programmation -> Modèles d'objet -> MDITemplate -> MDITemplate-Dynamic properties -> MDI data template

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | VBA/VSTA Name | Display Name | Description
VT_BSTR | Name | Name | Given name of the template.
VT_BSTR | GUID | GUID | Guid of the Template. E.g. 5d1c2408-29b4-4cb9-95578-562jj458990
VT_BSTR | ImportPath | ImportPath | Import path of the template.
VT_BSTR | Folder | Folder | Path where the templates is stored. eg. C:\ProgramData\COPA-DATA\zenon700\Templates\ScreenTypes\ENGLISH\Alarm Message list\5d1c2408-29b4-4cb9-95578-562jj458990.zip
VT_UI4 | MDIType | MDIType | Type of the templates ( Constants tpDynPicturesTypes)
VT_BSTR | Language | Language | Language of the template.
VT_BSTR | Description | Description | Description of the template.
VT_BOOL | CopaDataTemplate | CopaDataTemplate | True=Copa Date template False= Customer created templated
VT_BOOL | DefaultTemplate | DefaultTemplate | TRUE= Default template FALSE= none default template
VT_UI4 | ScreenX | ScreenX | Screen width.
VT_UI4 | ScreenY | ScreenY | Screen height.
VT_UI4 | Width | Width | Widthof the template.
VT_UI4 | Height | Height | Heigth of the template.


MDITemplates

Manuel -> Interfaces de programmation -> Modèles d'objet -> MDITemplates

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Examples

C#

public void MacroMdiTemplate()

{

//Print the properties of all "Keyboard" MDITemplates

IMDITemplates zenonMDITemplates = this.GetMDiTemplates("Keyboard");

if (zenonMDITemplates != null)

{

for (int i = 0; i < zenonMDITemplates.Count; ++i)

{

IMDITemplate zenonMdiTemplate = zenonMDITemplates.Item(i);

System.Diagnostics.Debug.Print(

zenonMdiTemplate.get_DynProperties("Name").ToString());

System.Diagnostics.Debug.Print(

zenonMdiTemplate.get_DynProperties("GUID").ToString());

System.Diagnostics.Debug.Print(

zenonMdiTemplate.get_DynProperties("ImportPath").ToString());

System.Diagnostics.Debug.Print(

zenonMdiTemplate.get_DynProperties("Folder").ToString());

System.Diagnostics.Debug.Print(

zenonMdiTemplate.get_DynProperties("MDIType").ToString());

System.Diagnostics.Debug.Print(

zenonMdiTemplate.get_DynProperties("Language").ToString());

System.Diagnostics.Debug.Print(

zenonMdiTemplate.get_DynProperties("Description").ToString());

System.Diagnostics.Debug.Print(

zenonMdiTemplate.get_DynProperties("CopaDataTemplate").ToString());

System.Diagnostics.Debug.Print(

zenonMdiTemplate.get_DynProperties("DefaultTemplate").ToString());

}

}

}

VB.NET

Public Sub MacroMdiTemplate()

'Print the properties of all "Keyboard" MDITemplates

Dim zenonMDITemplates As IMDITemplates = Me.GetMDiTemplates("Keyboard")

If zenonMDITemplates IsNot Nothing Then

For i As Integer = 0 To zenonMDITemplates.Count - 1

Dim zenonMdiTemplate As IMDITemplate = zenonMDITemplates.Item(i)

System.Diagnostics.Debug.Print(zenonMdiTemplate.get_DynProperties("Name").ToString())

System.Diagnostics.Debug.Print(zenonMdiTemplate.get_DynProperties("GUID").ToString())

System.Diagnostics.Debug.Print(zenonMdiTemplate.get_DynProperties("ImportPath").ToString())

System.Diagnostics.Debug.Print(zenonMdiTemplate.get_DynProperties("Folder").ToString())

System.Diagnostics.Debug.Print(zenonMdiTemplate.get_DynProperties("MDIType").ToString())

System.Diagnostics.Debug.Print(zenonMdiTemplate.get_DynProperties("Language").ToString())

System.Diagnostics.Debug.Print(zenonMdiTemplate.get_DynProperties("Description").ToString())

System.Diagnostics.Debug.Print(zenonMdiTemplate.get_DynProperties("CopaDataTemplate").ToString())

System.Diagnostics.Debug.Print(zenonMdiTemplate.get_DynProperties("DefaultTemplate").ToString())

Next

End If

End Sub

VBA

Private Sub GetTemplates()
Dim IMDITemplates As MDITemplates
Dim IMDITemplate As MDITemplate
Dim Count As Integer
Dim Ok As Boolean
Dim i As Integer

' --- Selection by Name
Set IMDITemplates = MyWorkspace.GetMDiTemplates("Keyboard")
If Not IMDITemplates Is Nothing Then
Set IMDITemplate = IMDITemplates.Item("Test 3")
Ok = PrintTemplate(IMDITemplate)
End If

' --- Selection by index (zenon Constant)
Set IMDITemplates = MyWorkspace.GetMDiTemplates(tpKeyboard)
If Not IMDITemplates Is Nothing Then
Count = IMDITemplates.Count
For i = 0 To Count - 1
Set IMDITemplate = IMDITemplates.Item(i)
Ok = PrintTemplate(IMDITemplate)
Next
End If
End Sub

Private Function PrintTemplate(IMDITemplate As MDITemplate) As Boolean
If Not IMDITemplate Is Nothing Then
Debug.Print ("Name: " & IMDITemplate.DynProperties("Name"))
Debug.Print ("GUID: " & IMDITemplate.DynProperties("GUID"))
Debug.Print ("ImportPath: " & IMDITemplate.DynProperties("ImportPath"))
Debug.Print ("Folder: " & IMDITemplate.DynProperties("Folder"))
Debug.Print ("MDIType: " & IMDITemplate.DynProperties("MDIType"))
Debug.Print ("Language: " & IMDITemplate.DynProperties("Language"))
Debug.Print ("Description: " & IMDITemplate.DynProperties("Description"))
Debug.Print ("CopaDataTemplate: " & IMDITemplate.DynProperties("CopaDataTemplate"))
Debug.Print ("DefaultTemplate: " & IMDITemplate.DynProperties("DefaultTemplate"))
PrintTemplate = True
Else
PrintTemplate = False
End If
End Function

Other topics in this chapter

MDITemplates-Properties

MDITemplates-Methods


MDITemplates-Properties

Manuel -> Interfaces de programmation -> Modèles d'objet -> MDITemplates -> MDITemplates-Properties

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
long | Count | Count of MDI Templates in the Collection | available | not used | yes | yes

Other topics in this chapter

Count


Count

Manuel -> Interfaces de programmation -> Modèles d'objet -> MDITemplates -> MDITemplates-Properties -> Count

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

Count() As long

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes


MDITemplates-Methods

Manuel -> Interfaces de programmation -> Modèles d'objet -> MDITemplates -> MDITemplates-Methods

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
IMDITemplate | Item | Returns the MDI Template by Name or Position | available | not used | yes | yes

Other topics in this chapter

Item


Item

Manuel -> Interfaces de programmation -> Modèles d'objet -> MDITemplates -> MDITemplates-Methods -> Item

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

Item(VARIANT vPosOrName) As MDITemplate

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

object vPosOrName

VB.NET

ByVal vPosOrName As Object

VBA

VBA-Syntax

Examples

C#

public void MacroMdiTemplate()

{

//Print the properties of all "Keyboard" MDITemplates

IMDITemplates zenonMDITemplates = this.GetMDiTemplates("Keyboard");

if (zenonMDITemplates != null)

{

for (int i = 0; i < zenonMDITemplates.Count; ++i)

{

IMDITemplate zenonMdiTemplate = zenonMDITemplates.Item(i);

System.Diagnostics.Debug.Print(

zenonMdiTemplate.get_DynProperties("Name").ToString());

System.Diagnostics.Debug.Print(

zenonMdiTemplate.get_DynProperties("GUID").ToString());

System.Diagnostics.Debug.Print(

zenonMdiTemplate.get_DynProperties("ImportPath").ToString());

System.Diagnostics.Debug.Print(

zenonMdiTemplate.get_DynProperties("Folder").ToString());

System.Diagnostics.Debug.Print(

zenonMdiTemplate.get_DynProperties("MDIType").ToString());

System.Diagnostics.Debug.Print(

zenonMdiTemplate.get_DynProperties("Language").ToString());

System.Diagnostics.Debug.Print(

zenonMdiTemplate.get_DynProperties("Description").ToString());

System.Diagnostics.Debug.Print(

zenonMdiTemplate.get_DynProperties("CopaDataTemplate").ToString());

System.Diagnostics.Debug.Print(

zenonMdiTemplate.get_DynProperties("DefaultTemplate").ToString());

}

}

}

VB.NET

Public Sub MacroMdiTemplate()

'Print the properties of all "Keyboard" MDITemplates

Dim zenonMDITemplates As IMDITemplates = Me.GetMDiTemplates("Keyboard")

If zenonMDITemplates IsNot Nothing Then

For i As Integer = 0 To zenonMDITemplates.Count - 1

Dim zenonMdiTemplate As IMDITemplate = zenonMDITemplates.Item(i)

System.Diagnostics.Debug.Print(zenonMdiTemplate.get_DynProperties("Name").ToString())

System.Diagnostics.Debug.Print(zenonMdiTemplate.get_DynProperties("GUID").ToString())

System.Diagnostics.Debug.Print(zenonMdiTemplate.get_DynProperties("ImportPath").ToString())

System.Diagnostics.Debug.Print(zenonMdiTemplate.get_DynProperties("Folder").ToString())

System.Diagnostics.Debug.Print(zenonMdiTemplate.get_DynProperties("MDIType").ToString())

System.Diagnostics.Debug.Print(zenonMdiTemplate.get_DynProperties("Language").ToString())

System.Diagnostics.Debug.Print(zenonMdiTemplate.get_DynProperties("Description").ToString())

System.Diagnostics.Debug.Print(zenonMdiTemplate.get_DynProperties("CopaDataTemplate").ToString())

System.Diagnostics.Debug.Print(zenonMdiTemplate.get_DynProperties("DefaultTemplate").ToString())

Next

End If

End Sub

VBA

VBA-Syntax


MessageControl

Manuel -> Interfaces de programmation -> Modèles d'objet -> MessageControl

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

The collection Projects contains all projects loaded in the Runtime. The single projects of the Runtime are available as objects Project in VBA. It is not possible to create an object of this type with the attribute New.

Availability

Environment | Available
Editor | available
Runtime | read only
VBA | yes
VSTA | yes

Examples

C#

public void MacroMessageControl()

{

//Print properties of the message control

IMessageControl zenonMessageControl =

this.ActiveDocument.MessageControl;

System.Diagnostics.Debug.Print("Message Control active during Runtime start: "

+ zenonMessageControl.ActiveAtStartup);

System.Diagnostics.Debug.Print("Max number of attempts: "

+ zenonMessageControl.Attempts);

System.Diagnostics.Debug.Print("Detail level for log in CEL: "

+ zenonMessageControl.CelDetail);

System.Diagnostics.Debug.Print("Waiting period between two attempts[min]: "

+ zenonMessageControl.TimeToWait);

System.Diagnostics.Debug.Print("Log manual deletion of messages in CEL: "

+ zenonMessageControl.LogMessageDeleteActions);

}

VB.NET

Public Sub MacroMessageControl()

'Print properties of the message control

Dim zenonMessageControl As IMessageControl = Me.ActiveDocument.MessageControl

System.Diagnostics.Debug.Print("Message Control active during Runtime start: " + zenonMessageControl.ActiveAtStartup)

System.Diagnostics.Debug.Print("Max number of attempts: " + zenonMessageControl.Attempts)

System.Diagnostics.Debug.Print("Detail level for log in CEL: " + zenonMessageControl.CelDetail)

System.Diagnostics.Debug.Print("Waiting period between two attempts[min]: " + zenonMessageControl.TimeToWait)

System.Diagnostics.Debug.Print("Log manual deletion of messages in CEL: " + zenonMessageControl.LogMessageDeleteActions)

End Sub

VBA

'====================================================================================================
' MessageControl Workspace
'====================================================================================================
Private Sub MessageControl_Sample()
Dim zMessage As MessageControlMessage
Dim zMessageControl As MessageControl
Dim i As Integer
Dim count As Integer

On Error GoTo ErrorHandler
Stop
'Get Message Control Properties
Set zMessageControl = MyWorkspace.ActiveDocument.MessageControl
With zMessageControl
Debug.Print ("Message Control active during Runtime start: " & CStr(.ActiveAtStartup))
Debug.Print ("Max. number of attemtps: " & CStr(.Attempts))
Debug.Print ("Detail level for Log in CEL: " & CStr(.CelDetail))
Debug.Print ("Waiting period between two attempts[min] : " & CStr(.TimeToWait))
Debug.Print ("Log manuel deletion of messages in the CEL : " & CStr(.LogMessageDeleteActions));
'Set Message Control Properties
.ActiveAtStartup = False
.Attempts = 5
.CelDetail = tpCelDetailNone
.TimeToWait = 15
.LogMessageDeleteActions = True
End With
Exit Sub
ErrorHandler:
Debug.Print ("Error :" & Err.Description & " " & Err.Number)
End Sub

Other topics in this chapter

MessageControl-Properties

MessageControl-Methods

MessageControl-Events

MessageControl-Dynamic properties


MessageControl-Properties

Manuel -> Interfaces de programmation -> Modèles d'objet -> MessageControl -> MessageControl-Properties

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
VARIANT_BOOL | ActiveAtStartup |  | available | read only | yes | yes
short | Attempts |  | available | read only | yes | yes
tpMsgCtrlCelDetail | CelDetail |  | available | read only | yes | yes
VARIANT | CurrentQueue |  | not used | read only | yes | yes
VARIANT_BOOL | LogMessageDeleteActions |  | available | read only | yes | yes
short | TimeToWait |  | available | read only | yes | yes

Other topics in this chapter

TimeToWait

ActiveAtStartup

Attempts

CelDetail

CurrentQueue

LogMessageDeleteActions


TimeToWait

Manuel -> Interfaces de programmation -> Modèles d'objet -> MessageControl -> MessageControl-Properties -> TimeToWait

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

TimeToWait() As short

Availability

Environment | Available
Editor | available
Runtime | read only
VBA | yes
VSTA | yes

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

'====================================================================================================
' MessageControl Workspace
'====================================================================================================
Private Sub MessageControl_Sample()
Dim zMessage As MessageControlMessage
Dim zMessageControl As MessageControl
Dim i As Integer
Dim count As Integer

On Error GoTo ErrorHandler
Stop
'Get Message Control Properties
Set zMessageControl = MyWorkspace.ActiveDocument.MessageControl
With zMessageControl
Debug.Print ("Message Control active during Runtime start: " & CStr(.ActiveAtStartup))
Debug.Print ("Max. number of attemtps: " & CStr(.Attempts))
Debug.Print ("Detail level for Log in CEL: " & CStr(.CelDetail))
Debug.Print ("Waiting period between two attempts[min] : " & CStr(.TimeToWait))
Debug.Print ("Log manuel deletion of messages in the CEL : " & CStr(.LogMessageDeleteActions));
'Set Message Control Properties
.ActiveAtStartup = False
.Attempts = 5
.CelDetail = tpCelDetailNone
.TimeToWait = 15
.LogMessageDeleteActions = True
End With
Exit Sub
ErrorHandler:
Debug.Print ("Error :" & Err.Description & " " & Err.Number)
End Sub


ActiveAtStartup

Manuel -> Interfaces de programmation -> Modèles d'objet -> MessageControl -> MessageControl-Properties -> ActiveAtStartup

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

ActiveAtStartup() As Boolean

Availability

Environment | Available
Editor | available
Runtime | read only
VBA | yes
VSTA | yes


Attempts

Manuel -> Interfaces de programmation -> Modèles d'objet -> MessageControl -> MessageControl-Properties -> Attempts

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

Attempts() As short

Availability

Environment | Available
Editor | available
Runtime | read only
VBA | yes
VSTA | yes


CelDetail

Manuel -> Interfaces de programmation -> Modèles d'objet -> MessageControl -> MessageControl-Properties -> CelDetail

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

CelDetail() As tpMsgCtrlCelDetail

Availability

Environment | Available
Editor | available
Runtime | read only
VBA | yes
VSTA | yes

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

'====================================================================================================
' MessageControl Workspace
'====================================================================================================
Private Sub MessageControl_Sample()
Dim zMessage As MessageControlMessage
Dim zMessageControl As MessageControl
Dim i As Integer
Dim count As Integer

On Error GoTo ErrorHandler
Stop
'Get Message Control Properties
Set zMessageControl = MyWorkspace.ActiveDocument.MessageControl
With zMessageControl
Debug.Print ("Message Control active during Runtime start: " & CStr(.ActiveAtStartup))
Debug.Print ("Max. number of attemtps: " & CStr(.Attempts))
Debug.Print ("Detail level for Log in CEL: " & CStr(.CelDetail))
Debug.Print ("Waiting period between two attempts[min] : " & CStr(.TimeToWait))
Debug.Print ("Log manuel deletion of messages in the CEL : " & CStr(.LogMessageDeleteActions));
'Set Message Control Properties
.ActiveAtStartup = False
.Attempts = 5
.CelDetail = tpCelDetailNone
.TimeToWait = 15
.LogMessageDeleteActions = True
End With
Exit Sub
ErrorHandler:
Debug.Print ("Error :" & Err.Description & " " & Err.Number)
End Sub


CurrentQueue

Manuel -> Interfaces de programmation -> Modèles d'objet -> MessageControl -> MessageControl-Properties -> CurrentQueue

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

CurrentQueue() As VARIANT

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Dim WithEvents zMessageControl As MessageControl

Private Sub Project_Active()
Set zMessageControl = thisProject.MessageControl
End Sub

'====================================================================================================
' MessageControl Runtime
'====================================================================================================
Public Sub Macro_MessageControl()
Dim zMessageQueue As Variant
Dim zMessage As MessageControlMessage

Dim i As Integer
Dim count As Integer

On Error GoTo ErrorHandler
Stop
'Get Message Control Properties
Set zMessageControl = MyWorkspace.ActiveDocument.MessageControl
Debug.Print ("Message Control active druing Runtime start: " & CStr(zMessageControl.ActiveAtStartup))
Debug.Print ("Max. number of attemtps: " & CStr(zMessageControl.Attempts))
Debug.Print ("Detail level for Log in CEL: " & CStr(zMessageControl.CelDetail))
Debug.Print ("Waiting period between two attempts[min] : " & CStr(zMessageControl.TimeToWait))
Debug.Print ("Log manuel deletion of messages in the CEL : " & CStr(zMessageControl.LogMessageDeleteActions));

'Get Message Queue
zMessageQueue = zMessageControl.CurrentQueue
If zMessageQueue <> Empty Then
For i = 0 To UBound(zMessageQueue)
'Get Message Item informations (Read only)
Set zMessage = zMessageQueue(i)
Call ShowMessageInformation(zMessageQueue(i))
Next i
Else
Debug.Print ("No messages")
End If

Exit Sub
ErrorHandler:
Debug.Print ("Error :" & Err.Description & " " & Err.Number)
End Sub

Public Function ShowMessageInformation(ByVal obMessage As MessageControlMessage)
Debug.Print ("========================================================")
Debug.Print ("Message Guid: " & obMessage.Guid)
Debug.Print ("Numbers of attempt: " & CStr(obMessage.Attempts))
Debug.Print ("Max. number of attempts:" & CStr(obMessage.MaxAttempts))
Debug.Print ("Waiting period between two attempts [min]: " & CStr(obMessage.TimeToWait))
Debug.Print ("Used dispatcher type: " & CStr(obMessage.DispatcherType))
Debug.Print ("Destination: " & obMessage.Destination)
Debug.Print ("Customer identifier: " & obMessage.CustomIdentifier)
Debug.Print ("Title of the message: " & obMessage.Title)
Debug.Print ("Current message text: " & obMessage.MessageText)
Debug.Print ("Time stamp when message is sending: " & CStr(obMessage.Send))
Debug.Print ("Time stamp when message was sent: " & CStr(obMessage.Sent))
Debug.Print ("Acknowledge required: " & CStr(obMessage.AcknowledgeRequired))
Debug.Print ("Time limit when message must be acknowledged: " & CStr(obMessage.AcknowledgeTimeOut))
Debug.Print ("Dispatch type style: " & CStr(obMessage.TypeStyle)) 'User, Usergroup....
Debug.Print ("Destination type: " & CStr(obMessage.DestinationType))
Debug.Print ("Codes from function: " & CStr(obMessage.CodesFromFunction))
Debug.Print ("Cycle Counter: " & CStr(obMessage.CycleCounter))
Debug.Print ("========================================================")
End Function


LogMessageDeleteActions

Manuel -> Interfaces de programmation -> Modèles d'objet -> MessageControl -> MessageControl-Properties -> LogMessageDeleteActions

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

LogMessageDeleteActions() As Boolean

Availability

Environment | Available
Editor | available
Runtime | read only
VBA | yes
VSTA | yes

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

'====================================================================================================
' MessageControl Workspace
'====================================================================================================
Private Sub MessageControl_Sample()
Dim zMessage As MessageControlMessage
Dim zMessageControl As MessageControl
Dim i As Integer
Dim count As Integer

On Error GoTo ErrorHandler
Stop
'Get Message Control Properties
Set zMessageControl = MyWorkspace.ActiveDocument.MessageControl
With zMessageControl
Debug.Print ("Message Control active during Runtime start: " & CStr(.ActiveAtStartup))
Debug.Print ("Max. number of attemtps: " & CStr(.Attempts))
Debug.Print ("Detail level for Log in CEL: " & CStr(.CelDetail))
Debug.Print ("Waiting period between two attempts[min] : " & CStr(.TimeToWait))
Debug.Print ("Log manuel deletion of messages in the CEL : " & Str(.LogMessageDeleteActions));
'Set Message Control Properties
.ActiveAtStartup = False
.Attempts = 5
.CelDetail = tpCelDetailNone
.TimeToWait = 15
.LogMessageDeleteActions = True
End With
Exit Sub
ErrorHandler:
Debug.Print ("Error :" & Err.Description & " " & Err.Number)
End Sub


MessageControl-Methods

Manuel -> Interfaces de programmation -> Modèles d'objet -> MessageControl -> MessageControl-Methods

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
void | DynProperties [PUT] | - | available | read only | yes | yes
VARIANT | DynProperties [GET] | - | available | read only | yes | yes
VARIANT | DynPropertiesEnum [GET] | - | available | read only | yes | yes
IPropParam | DynPropertyParam [GET] | Returns the PropParam objekt of the given DynProperty | read only | not used | yes | yes

Other topics in this chapter

DynPropertyParam [GET]

DynPropertiesEnum [GET]

DynProperties [GET]

DynProperties [PUT]


DynPropertyParam [GET]

Manuel -> Interfaces de programmation -> Modèles d'objet -> MessageControl -> MessageControl-Methods -> DynPropertyParam [GET]

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

DynPropertyParam [GET](BSTR bsPath) As PropParam

Availability

Environment | Available
Editor | read only
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


DynPropertiesEnum [GET]

Manuel -> Interfaces de programmation -> Modèles d'objet -> MessageControl -> MessageControl-Methods -> DynPropertiesEnum [GET]

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

DynPropertiesEnum(String bsPath) As VARIANT

Availability

Environment | Available
Editor | available
Runtime | read only
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Sub ReadDynProps()
End Sub


DynProperties [GET]

Manuel -> Interfaces de programmation -> Modèles d'objet -> MessageControl -> MessageControl-Methods -> DynProperties [GET]

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

DynProperties(String bsPath) As VARIANT

Availability

Environment | Available
Editor | available
Runtime | read only
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


DynProperties [PUT]

Manuel -> Interfaces de programmation -> Modèles d'objet -> MessageControl -> MessageControl-Methods -> DynProperties [PUT]

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

DynProperties (String bsPath,VARIANT vValue) As void

Availability

Environment | Available
Editor | available
Runtime | read only
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


MessageControl-Events

Manuel -> Interfaces de programmation -> Modèles d'objet -> MessageControl -> MessageControl-Events

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
void | MessageAcknowledged |  | not used | read only | yes | yes
void | MessageAcknowledgeTimeOut |  | not used | read only | yes | yes
void | MessageCreated |  | not used | available | yes | yes
void | MessageDeleted |  | not used | read only | yes | yes
void | MessageIn |  | not used | read only | yes | yes
void | MessageNegAcknowledged |  | not used | read only | yes | yes
void | MessageSendError |  | not used | read only | yes | yes
void | MessageSent |  | not used | read only | yes | yes
void | SelectionChanged |  | not used | read only | yes | yes

Other topics in this chapter

MessageCreated

MessageSent

MessageSendError

MessageAcknowledged

MessageNegAcknowledged

MessageAcknowledgeTimeOut

MessageDeleted

MessageIn

SelectionChanged


MessageCreated

Manuel -> Interfaces de programmation -> Modèles d'objet -> MessageControl -> MessageControl-Events -> MessageCreated

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Event is fired once a new event is created.

Datatype

MessageCreated(AlarmItem obAlarmItem,IMessageControlMessage obMessage) As void

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

IAlarmItem obAlarmItem

IMessageControlMessage obMessage

VB.NET

ByVal obAlarmItem As IAlarmItem

ByVal obMessage As IMessageControlMessage

VBA

VBA-Syntax

Examples

C#

//Initialize event handlers

private IMessageControl _zenonMessageControl;

void ThisProject_Active()

{

_zenonMessageControl = this.MessageControl;

_zenonMessageControl.MessageCreated += new MessageCreatedEventHandler(_zenonMessageControl_MessageCreated);

}

void _zenonMessageControl_MessageCreated(IAlarmItem obAlarmItem, IMessageControlMessage obMessage)

{

if (obAlarmItem != null)

System.Diagnostics.Debug.Print(obAlarmItem.Name);

if (obMessage != null)

{

System.Diagnostics.Debug.Print("Current message text: " +

obMessage.MessageText);

obMessage.MessageText = "New Message Text";

//In this event the message has not been sent yet and it is

//possible to change the message text.

}

}

//Destroy event handlers

void ThisProject_Inactive()

{

_zenonMessageControl.MessageCreated -= _zenonMessageControl_MessageCreated;

FreeObjects();

}

VB.NET

'Initialize event handlers

Private _zenonMessageControl As IMessageControl

Private Sub ThisProject_Active()

_zenonMessageControl = Me.MessageControl

_zenonMessageControl.MessageCreated += New MessageCreatedEventHandler(AddressOf _zenonMessageControl_MessageCreated)

End Sub

Private Sub _zenonMessageControl_MessageCreated(obAlarmItem As IAlarmItem, obMessage As IMessageControlMessage)

If obAlarmItem IsNot Nothing Then

System.Diagnostics.Debug.Print(obAlarmItem.Name)

End If

If obMessage IsNot Nothing Then

System.Diagnostics.Debug.Print("Current message text: " + obMessage.MessageText)

'In this event the message has not been sent yet and it is

'possible to change the message text.

obMessage.MessageText = "New Message Text"

End If

End Sub

'Destroy event handlers

Private Sub ThisProject_Inactive()

RemoveHandler _zenonMessageControl.MessageCreated, AddressOf _zenonMessageControl_MessageCreated

FreeObjects()

End Sub

VBA

Dim WithEvents zMessageControl As MessageControl

Private Sub Project_Active()
Set zMessageControl = thisProject.MessageControl
End Sub

'====================================================================================================
' MessageControl Runtime
' It has been generates a new message in the system. The Message Control Message object
' corresponding to the actual message object which will be shipped later.
' Access to this object is only allowed within the event handler.
'====================================================================================================
Private Sub zMessageControl_MessageCreated(ByVal obAlarmItem As IAlarmItem, ByVal obMessage As IMessageControlMessage)
Stop
If Not obAlarmItem Is Nothing Then
Debug.Print (obAlarmItem.Name)
End If

If Not obMessage Is Nothing Then
Debug.Print ("Current message text: " & obMessage.MessageText)
' Only in this event it is possible to overrite the MessageControlMessage Object
obMessage.MessageText = "New message text"
End If
End Sub


MessageSent

Manuel -> Interfaces de programmation -> Modèles d'objet -> MessageControl -> MessageControl-Events -> MessageSent

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Event is fired once a message has been sent.

Datatype

MessageSent(MessageControlMessage obMessage) As void

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes

Parameters

C#

IMessageControlMessage obMessage

VB.NET

ByVal obMessage As IMessageControlMessage

VBA

VBA-Syntax

Examples

C#

//Initialize event handlers

private IMessageControl _zenonMessageControl;

void ThisProject_Active()

{

_zenonMessageControl = this.MessageControl;

_zenonMessageControl.MessageSent += new MessageSentEventHandler(_zenonMessageControl_MessageSent);

}

void _zenonMessageControl_MessageSent(IMessageControlMessage obMessage)

{

System.Diagnostics.Debug.Print("A new message was sent.");

System.Diagnostics.Debug.Print("Message text: " + obMessage.MessageText);

}

//Destroy event handlers

void ThisProject_Inactive()

{

_zenonMessageControl.MessageSent -= _zenonMessageControl_MessageSent;

FreeObjects();

}

VB.NET

'Initialize event handlers

Private _zenonMessageControl As IMessageControl

Private Sub ThisProject_Active()

_zenonMessageControl = Me.MessageControl

_zenonMessageControl.MessageSent += New MessageSentEventHandler(AddressOf _zenonMessageControl_MessageSent)

End Sub

Private Sub _zenonMessageControl_MessageSent(obMessage As IMessageControlMessage)

System.Diagnostics.Debug.Print("A new message was sent.")

System.Diagnostics.Debug.Print("Message text: " + obMessage.MessageText)

End Sub

'Destroy event handlers

Private Sub ThisProject_Inactive()

RemoveHandler _zenonMessageControl.MessageSent, AddressOf _zenonMessageControl_MessageSent

FreeObjects()

End Sub

VBA

VBA-Syntax


MessageSendError

Manuel -> Interfaces de programmation -> Modèles d'objet -> MessageControl -> MessageControl-Events -> MessageSendError

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Event is fired once an error occurs during the message sending process.

Datatype

MessageSendError(MessageControlMessage obMessage) As void

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes

Parameters

C#

IMessageControlMessage obMessage

VB.NET

ByVal obMessage As IMessageControlMessage

VBA

VBA-Syntax

Examples

C#

//Initialize event handlers

private IMessageControl _zenonMessageControl;

void ThisProject_Active()

{

_zenonMessageControl = this.MessageControl;

_zenonMessageControl.MessageSendError += new MessageSendErrorEventHandler(_zenonMessageControl_MessageSendError);

}

void _zenonMessageControl_MessageSendError(IMessageControlMessage obMessage)

{

System.Diagnostics.Debug.Print("An error occured while sending \""

+ obMessage.MessageText + "\"");

}

//Destroy event handlers

void ThisProject_Inactive()

{

_zenonMessageControl.MessageSendError -= _zenonMessageControl_MessageSendError;

FreeObjects();

}

VB.NET

'Initialize event handlers

Private _zenonMessageControl As IMessageControl

Private Sub ThisProject_Active()

_zenonMessageControl = Me.MessageControl

_zenonMessageControl.MessageSendError += New MessageSendErrorEventHandler(AddressOf _zenonMessageControl_MessageSendError)

End Sub

Private Sub _zenonMessageControl_MessageSendError(obMessage As IMessageControlMessage)

System.Diagnostics.Debug.Print("An error occured while sending """ + obMessage.MessageText + """")

End Sub

'Destroy event handlers

Private Sub ThisProject_Inactive()

RemoveHandler _zenonMessageControl.MessageSendError, AddressOf _zenonMessageControl_MessageSendError

FreeObjects()

End Sub

VBA

VBA-Syntax


MessageAcknowledged

Manuel -> Interfaces de programmation -> Modèles d'objet -> MessageControl -> MessageControl-Events -> MessageAcknowledged

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

MessageAcknowledged(MessageControlMessage obMessage) As void

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes

Parameters

C#

IMessageControlMessage obMessage

VB.NET

ByVal obMessage As IMessageControlMessage

VBA

VBA-Syntax

Examples

C#

//Initialize event handlers

private IMessageControl _zenonMessageControl;

void ThisProject_Active()

{

_zenonMessageControl = this.MessageControl;

_zenonMessageControl.MessageAcknowledged += new MessageAcknowledgedEventHandler(_zenonMessageControl_MessageAcknowledged);

_zenonMessageControl.MessageNegAcknowledged += new MessageNegAcknowledgedEventHandler(_zenonMessageControl_MessageNegAcknowledged);

_zenonMessageControl.MessageAcknowledgeTimeOut += new MessageAcknowledgeTimeOutEventHandler(_zenonMessageControl_MessageAcknowledgeTimeOut);

}

void _zenonMessageControl_MessageAcknowledgeTimeOut(IMessageControlMessage obMessage)

{

System.Diagnostics.Debug.Print("Message's \"" +

obMessage.MessageText + "\" acknowledge timed out.");

}

void _zenonMessageControl_MessageNegAcknowledged(IMessageControlMessage obMessage)

{

System.Diagnostics.Debug.Print("Message \"" +

obMessage.MessageText + "\" has had its acknowledge status reset.");

}

void _zenonMessageControl_MessageAcknowledged(IMessageControlMessage obMessage)

{

System.Diagnostics.Debug.Print("Message \"" +

obMessage.MessageText + "\" has been acknowledged.");

}

//Destroy event handlers

void ThisProject_Inactive()

{

_zenonMessageControl.MessageAcknowledgeTimeOut -= _zenonMessageControl_MessageAcknowledgeTimeOut;

_zenonMessageControl.MessageAcknowledged -= _zenonMessageControl_MessageAcknowledged;

_zenonMessageControl.MessageNegAcknowledged -= _zenonMessageControl_MessageNegAcknowledged;

FreeObjects();

}

VB.NET

'Initialize event handlers

Private _zenonMessageControl As IMessageControl

Private Sub ThisProject_Active()

_zenonMessageControl = Me.MessageControl

_zenonMessageControl.MessageAcknowledged += New MessageAcknowledgedEventHandler(AddressOf _zenonMessageControl_MessageAcknowledged)

_zenonMessageControl.MessageNegAcknowledged += New MessageNegAcknowledgedEventHandler(AddressOf _zenonMessageControl_MessageNegAcknowledged)

_zenonMessageControl.MessageAcknowledgeTimeOut += New MessageAcknowledgeTimeOutEventHandler(AddressOf _zenonMessageControl_MessageAcknowledgeTimeOut)

End Sub

Private Sub _zenonMessageControl_MessageAcknowledgeTimeOut(obMessage As IMessageControlMessage)

System.Diagnostics.Debug.Print("Message's """ + obMessage.MessageText + """ acknowledge timed out.")

End Sub

Private Sub _zenonMessageControl_MessageNegAcknowledged(obMessage As IMessageControlMessage)

System.Diagnostics.Debug.Print("Message """ + obMessage.MessageText + """ has had its acknowledge status reset.")

End Sub

Private Sub _zenonMessageControl_MessageAcknowledged(obMessage As IMessageControlMessage)

System.Diagnostics.Debug.Print("Message """ + obMessage.MessageText + """ has been acknowledged.")

End Sub

'Destroy event handlers

Private Sub ThisProject_Inactive()

RemoveHandler _zenonMessageControl.MessageAcknowledgeTimeOut, AddressOf _zenonMessageControl_MessageAcknowledgeTimeOut

RemoveHandler _zenonMessageControl.MessageAcknowledged, AddressOf _zenonMessageControl_MessageAcknowledged

RemoveHandler _zenonMessageControl.MessageNegAcknowledged, AddressOf _zenonMessageControl_MessageNegAcknowledged

FreeObjects()

End Sub

VBA

VBA-Syntax


MessageNegAcknowledged

Manuel -> Interfaces de programmation -> Modèles d'objet -> MessageControl -> MessageControl-Events -> MessageNegAcknowledged

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

MessageNegAcknowledged(MessageControlMessage obMessage) As void

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes

Parameters

C#

IMessageControlMessage obMessage

VB.NET

ByVal obMessage As IMessageControlMessage

VBA

VBA-Syntax

Examples

C#

//Initialize event handlers

private IMessageControl _zenonMessageControl;

void ThisProject_Active()

{

_zenonMessageControl = this.MessageControl;

_zenonMessageControl.MessageAcknowledged += new MessageAcknowledgedEventHandler(_zenonMessageControl_MessageAcknowledged);

_zenonMessageControl.MessageNegAcknowledged += new MessageNegAcknowledgedEventHandler(_zenonMessageControl_MessageNegAcknowledged);

_zenonMessageControl.MessageAcknowledgeTimeOut += new MessageAcknowledgeTimeOutEventHandler(_zenonMessageControl_MessageAcknowledgeTimeOut);

}

void _zenonMessageControl_MessageAcknowledgeTimeOut(IMessageControlMessage obMessage)

{

System.Diagnostics.Debug.Print("Message's \"" +

obMessage.MessageText + "\" acknowledge timed out.");

}

void _zenonMessageControl_MessageNegAcknowledged(IMessageControlMessage obMessage)

{

System.Diagnostics.Debug.Print("Message \"" +

obMessage.MessageText + "\" has had its acknowledge status reset.");

}

void _zenonMessageControl_MessageAcknowledged(IMessageControlMessage obMessage)

{

System.Diagnostics.Debug.Print("Message \"" +

obMessage.MessageText + "\" has been acknowledged.");

}

//Destroy event handlers

void ThisProject_Inactive()

{

_zenonMessageControl.MessageAcknowledgeTimeOut -= _zenonMessageControl_MessageAcknowledgeTimeOut;

_zenonMessageControl.MessageAcknowledged -= _zenonMessageControl_MessageAcknowledged;

_zenonMessageControl.MessageNegAcknowledged -= _zenonMessageControl_MessageNegAcknowledged;

FreeObjects();

}

VB.NET

'Initialize event handlers

Private _zenonMessageControl As IMessageControl

Private Sub ThisProject_Active()

_zenonMessageControl = Me.MessageControl

_zenonMessageControl.MessageAcknowledged += New MessageAcknowledgedEventHandler(AddressOf _zenonMessageControl_MessageAcknowledged)

_zenonMessageControl.MessageNegAcknowledged += New MessageNegAcknowledgedEventHandler(AddressOf _zenonMessageControl_MessageNegAcknowledged)

_zenonMessageControl.MessageAcknowledgeTimeOut += New MessageAcknowledgeTimeOutEventHandler(AddressOf _zenonMessageControl_MessageAcknowledgeTimeOut)

End Sub

Private Sub _zenonMessageControl_MessageAcknowledgeTimeOut(obMessage As IMessageControlMessage)

System.Diagnostics.Debug.Print("Message's """ + obMessage.MessageText + """ acknowledge timed out.")

End Sub

Private Sub _zenonMessageControl_MessageNegAcknowledged(obMessage As IMessageControlMessage)

System.Diagnostics.Debug.Print("Message """ + obMessage.MessageText + """ has had its acknowledge status reset.")

End Sub

Private Sub _zenonMessageControl_MessageAcknowledged(obMessage As IMessageControlMessage)

System.Diagnostics.Debug.Print("Message """ + obMessage.MessageText + """ has been acknowledged.")

End Sub

'Destroy event handlers

Private Sub ThisProject_Inactive()

RemoveHandler _zenonMessageControl.MessageAcknowledgeTimeOut, AddressOf _zenonMessageControl_MessageAcknowledgeTimeOut

RemoveHandler _zenonMessageControl.MessageAcknowledged, AddressOf _zenonMessageControl_MessageAcknowledged

RemoveHandler _zenonMessageControl.MessageNegAcknowledged, AddressOf _zenonMessageControl_MessageNegAcknowledged

FreeObjects()

End Sub

VBA

VBA-Syntax


MessageAcknowledgeTimeOut

Manuel -> Interfaces de programmation -> Modèles d'objet -> MessageControl -> MessageControl-Events -> MessageAcknowledgeTimeOut

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

MessageAcknowledgeTimeOut(MessageControlMessage obMessage) As void

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes

Parameters

C#

IMessageControlMessage obMessage

VB.NET

ByVal obMessage As IMessageControlMessage

VBA

VBA-Syntax

Examples

C#

//Initialize event handlers

private IMessageControl _zenonMessageControl;

void ThisProject_Active()

{

_zenonMessageControl = this.MessageControl;

_zenonMessageControl.MessageAcknowledged += new MessageAcknowledgedEventHandler(_zenonMessageControl_MessageAcknowledged);

_zenonMessageControl.MessageNegAcknowledged += new MessageNegAcknowledgedEventHandler(_zenonMessageControl_MessageNegAcknowledged);

_zenonMessageControl.MessageAcknowledgeTimeOut += new MessageAcknowledgeTimeOutEventHandler(_zenonMessageControl_MessageAcknowledgeTimeOut);

}

void _zenonMessageControl_MessageAcknowledgeTimeOut(IMessageControlMessage obMessage)

{

System.Diagnostics.Debug.Print("Message's \"" +

obMessage.MessageText + "\" acknowledge timed out.");

}

void _zenonMessageControl_MessageNegAcknowledged(IMessageControlMessage obMessage)

{

System.Diagnostics.Debug.Print("Message \"" +

obMessage.MessageText + "\" has had its acknowledge status reset.");

}

void _zenonMessageControl_MessageAcknowledged(IMessageControlMessage obMessage)

{

System.Diagnostics.Debug.Print("Message \"" +

obMessage.MessageText + "\" has been acknowledged.");

}

//Destroy event handlers

void ThisProject_Inactive()

{

_zenonMessageControl.MessageAcknowledgeTimeOut -= _zenonMessageControl_MessageAcknowledgeTimeOut;

_zenonMessageControl.MessageAcknowledged -= _zenonMessageControl_MessageAcknowledged;

_zenonMessageControl.MessageNegAcknowledged -= _zenonMessageControl_MessageNegAcknowledged;

FreeObjects();

}

VB.NET

'Initialize event handlers

Private _zenonMessageControl As IMessageControl

Private Sub ThisProject_Active()

_zenonMessageControl = Me.MessageControl

_zenonMessageControl.MessageAcknowledged += New MessageAcknowledgedEventHandler(AddressOf _zenonMessageControl_MessageAcknowledged)

_zenonMessageControl.MessageNegAcknowledged += New MessageNegAcknowledgedEventHandler(AddressOf _zenonMessageControl_MessageNegAcknowledged)

_zenonMessageControl.MessageAcknowledgeTimeOut += New MessageAcknowledgeTimeOutEventHandler(AddressOf _zenonMessageControl_MessageAcknowledgeTimeOut)

End Sub

Private Sub _zenonMessageControl_MessageAcknowledgeTimeOut(obMessage As IMessageControlMessage)

System.Diagnostics.Debug.Print("Message's """ + obMessage.MessageText + """ acknowledge timed out.")

End Sub

Private Sub _zenonMessageControl_MessageNegAcknowledged(obMessage As IMessageControlMessage)

System.Diagnostics.Debug.Print("Message """ + obMessage.MessageText + """ has had its acknowledge status reset.")

End Sub

Private Sub _zenonMessageControl_MessageAcknowledged(obMessage As IMessageControlMessage)

System.Diagnostics.Debug.Print("Message """ + obMessage.MessageText + """ has been acknowledged.")

End Sub

'Destroy event handlers

Private Sub ThisProject_Inactive()

RemoveHandler _zenonMessageControl.MessageAcknowledgeTimeOut, AddressOf _zenonMessageControl_MessageAcknowledgeTimeOut

RemoveHandler _zenonMessageControl.MessageAcknowledged, AddressOf _zenonMessageControl_MessageAcknowledged

RemoveHandler _zenonMessageControl.MessageNegAcknowledged, AddressOf _zenonMessageControl_MessageNegAcknowledged

FreeObjects()

End Sub

VBA

VBA-Syntax


MessageDeleted

Manuel -> Interfaces de programmation -> Modèles d'objet -> MessageControl -> MessageControl-Events -> MessageDeleted

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Event is fired once a message gets deleted.

Datatype

MessageDeleted(MessageControlMessage obMessage) As void

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes

Parameters

C#

IMessageControlMessage obMessage

VB.NET

ByVal obMessage As IMessageControlMessage

VBA

VBA-Syntax

Examples

C#

//Initialize event handlers

private IMessageControl _zenonMessageControl;

void ThisProject_Active()

{

_zenonMessageControl = this.MessageControl;

_zenonMessageControl.MessageAcknowledged += new MessageAcknowledgedEventHandler(_zenonMessageControl_MessageAcknowledged);

_zenonMessageControl.MessageNegAcknowledged += new MessageNegAcknowledgedEventHandler(_zenonMessageControl_MessageNegAcknowledged);

_zenonMessageControl.MessageAcknowledgeTimeOut += new MessageAcknowledgeTimeOutEventHandler(_zenonMessageControl_MessageAcknowledgeTimeOut);

}

void _zenonMessageControl_MessageAcknowledgeTimeOut(IMessageControlMessage obMessage)

{

System.Diagnostics.Debug.Print("Message's \"" +

obMessage.MessageText + "\" acknowledge timed out.");

}

void _zenonMessageControl_MessageNegAcknowledged(IMessageControlMessage obMessage)

{

System.Diagnostics.Debug.Print("Message \"" +

obMessage.MessageText + "\" has had its acknowledge status reset.");

}

void _zenonMessageControl_MessageAcknowledged(IMessageControlMessage obMessage)

{

System.Diagnostics.Debug.Print("Message \"" +

obMessage.MessageText + "\" has been acknowledged.");

}

//Destroy event handlers

void ThisProject_Inactive()

{

_zenonMessageControl.MessageAcknowledgeTimeOut -= _zenonMessageControl_MessageAcknowledgeTimeOut;

_zenonMessageControl.MessageAcknowledged -= _zenonMessageControl_MessageAcknowledged;

_zenonMessageControl.MessageNegAcknowledged -= _zenonMessageControl_MessageNegAcknowledged;

FreeObjects();

}

VB.NET

'Initialize event handlers

Private _zenonMessageControl As IMessageControl

Private Sub ThisProject_Active()

_zenonMessageControl = Me.MessageControl

_zenonMessageControl.MessageAcknowledged += New MessageAcknowledgedEventHandler(AddressOf _zenonMessageControl_MessageAcknowledged)

_zenonMessageControl.MessageNegAcknowledged += New MessageNegAcknowledgedEventHandler(AddressOf _zenonMessageControl_MessageNegAcknowledged)

_zenonMessageControl.MessageAcknowledgeTimeOut += New MessageAcknowledgeTimeOutEventHandler(AddressOf _zenonMessageControl_MessageAcknowledgeTimeOut)

End Sub

Private Sub _zenonMessageControl_MessageAcknowledgeTimeOut(obMessage As IMessageControlMessage)

System.Diagnostics.Debug.Print("Message's """ + obMessage.MessageText + """ acknowledge timed out.")

End Sub

Private Sub _zenonMessageControl_MessageNegAcknowledged(obMessage As IMessageControlMessage)

System.Diagnostics.Debug.Print("Message """ + obMessage.MessageText + """ has had its acknowledge status reset.")

End Sub

Private Sub _zenonMessageControl_MessageAcknowledged(obMessage As IMessageControlMessage)

System.Diagnostics.Debug.Print("Message """ + obMessage.MessageText + """ has been acknowledged.")

End Sub

'Destroy event handlers

Private Sub ThisProject_Inactive()

RemoveHandler _zenonMessageControl.MessageAcknowledgeTimeOut, AddressOf _zenonMessageControl_MessageAcknowledgeTimeOut

RemoveHandler _zenonMessageControl.MessageAcknowledged, AddressOf _zenonMessageControl_MessageAcknowledged

RemoveHandler _zenonMessageControl.MessageNegAcknowledged, AddressOf _zenonMessageControl_MessageNegAcknowledged

FreeObjects()

End Sub

VBA

VBA-Syntax


MessageIn

Manuel -> Interfaces de programmation -> Modèles d'objet -> MessageControl -> MessageControl-Events -> MessageIn

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Event is fired once a message comes in.

Datatype

MessageIn(String bsIdentifier,String bsMessage) As void

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes

Parameters

C#

string bsIdentifier

string bsMessage

VB.NET

ByVal bsIdentifier As String

ByVal bsMessage As String

VBA

VBA-Syntax

Examples

C#

//Initialize event handlers

private IMessageControl _zenonMessageControl;

void ThisProject_Active()

{

_zenonMessageControl = this.MessageControl;

_zenonMessageControl.MessageIn += new MessageInEventHandler(_zenonMessageControl_MessageIn);

}

void _zenonMessageControl_MessageIn(ref string bsIdentifier, ref string bsMessage)

{

System.Diagnostics.Debug.Print("Message came: " + bsMessage);

}

//Destroy event handlers

void ThisProject_Inactive()

{

FreeObjects();

_zenonMessageControl.MessageIn -= _zenonMessageControl_MessageIn;

}

VB.NET

'Initialize event handlers

Private _zenonMessageControl As IMessageControl

Private Sub ThisProject_Active()

_zenonMessageControl = Me.MessageControl

_zenonMessageControl.MessageIn += New MessageInEventHandler(AddressOf _zenonMessageControl_MessageIn)

End Sub

Private Sub _zenonMessageControl_MessageIn(ByRef bsIdentifier As String, ByRef bsMessage As String)

System.Diagnostics.Debug.Print(Convert.ToString("Message came: ") & bsMessage)

End Sub

'Destroy event handlers

Private Sub ThisProject_Inactive()

FreeObjects()

RemoveHandler _zenonMessageControl.MessageIn, AddressOf _zenonMessageControl_MessageIn

End Sub

VBA

VBA-Syntax


SelectionChanged

Manuel -> Interfaces de programmation -> Modèles d'objet -> MessageControl -> MessageControl-Events -> SelectionChanged

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

SelectionChanged(LPVARIANT obSelection) As void

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


MessageControl-Dynamic properties

Manuel -> Interfaces de programmation -> Modèles d'objet -> MessageControl -> MessageControl-Dynamic properties

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Dynproperties

Message control

Other topics in this chapter

Message control


Message control

Manuel -> Interfaces de programmation -> Modèles d'objet -> MessageControl -> MessageControl-Dynamic properties -> Message control

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Type

VBA/VSTA Name

Display Name

Description

VT_BOOL

ActiveAtStartup

Actif lors du démarrage du runtime

Active : Le module Message Control est démarré conjointement au Runtime.

Par défaut : active

Plus de détails dans l’aide en ligne.

VT_BSTR

SubjectDyn

Partie dynamique du sujet

Définit la partie spécifique au projet du sujet des messages reçus et envoyés. Utilisé avec les propriétés Message e-mail (Outlook)/Sujet (ID) ou Paramètres e-mail (SMTP)/Sujet pour les e-mails sortants dans les paramètres d’envoi généraux de Module Message Control. Les messages entrants sont filtrés pour ce contenu, pour être transmis au module Message Control.

Le texte peut contenir des opérateurs.

  • Légende de la table de langues
  • Nom d’une variable
  • Entrée composée dans la table de langues

Syntaxe :

  • Les sections de texte sont séparées par un point-virgule (;),
  • $ désigne le texte contenant le paramètre
  • @ désigne le changement de langue
  • % désigne les variables
  • Le texte doit se terminer par un point-virgule (;).

Exemple : $@Attention;%Var1;

Plus de détails dans l’aide en ligne.

VT_I2

Attempts

Nombre maximum d'essais

Nombre maximum de tentatives d’envoi en cas d’erreur d’envoi reconnue comme une erreur matérielle.
Remarque : si un message est transféré à un autre utilisateur, il est considéré comme un nouveau message. Le compteur est automatiquement réinitialisé à 1.
Si la demande du système contacté est annulée sans confirmation ou refus, aucune nouvelle tentative n’est effectuée.

  • Maximum : 100
  • Minimum : 1

Par défaut : 3

Remarque : Ce paramètre dépend des paramètres définis dans l’option Méthodes de la fonction Envoi d'un message.

Plus de détails dans l’aide en ligne.

VT_I2

TimeToWait

Délai d'attente entre deux tentatives et délai d'attente avant expiration

Délai d’attente, en minutes, entre deux tentatives d’envoi ou de retransmission d’un message.

Par défaut : 6

Plus de détails dans l’aide en ligne.

VT_I2

CelDetail

Enregistrer dans liste d'événements

Définit les événements consignés dans la liste d’événements. Sélectionnez dans la liste déroulante :

  • Confirmer tous :
    Tous les messages
  • Pas de confirmation :
    Aucun message
  • Confirmations négatives uniquement :
    Uniquement les messages refusés ou n’ayant pas reçu de réponse (répétitions incluses)
  • Confirmations positives uniquement :
    Uniquement les messages ayant déjà été acquittés

Plus de détails dans l’aide en ligne.

VT_BOOL

LogDeleteActions

Tracer la suppression manuelle des messages dans liste d'événements.

Active : Toute suppression manuelle d’entrées de la liste CEL est consignée dans la liste CEL.

Plus de détails dans l’aide en ligne.

ZT_FILE

SentImage

Le message a été envoyé

Définit un fichier graphique affiché dans la colonne d’état d’un synoptique de type Message Control en cas d’envoi réussi d’un message. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection d’un fichier graphique.

Plus de détails dans l’aide en ligne.

ZT_FILE

SendingImage

Le message en cours d'envoie

Définit un fichier graphique affiché dans la colonne d’état d’un synoptique de type Message Control durant l’envoi d’un message. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection d’un fichier graphique.

Plus de détails dans l’aide en ligne.

ZT_FILE

ErrorImage

Erreur lors de l'envoi

Définit un fichier graphique affiché dans la colonne d’état d’un synoptique de type Message Control en cas d’échec de l’envoi d’un message. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection d’un fichier graphique.

Plus de détails dans l’aide en ligne.

ZT_COLOR

SentColor

Le message a été envoyé

Définit le code de couleurs correspondant à l’envoi réussi d’un message dans la colonne d’état d’un synoptique de type Message Control. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de couleurs.

Plus de détails dans l’aide en ligne.

ZT_COLOR

SendingColor

Le message en cours d'envoie

Définit le code de couleurs correspondant à l’envoi d’un message dans la colonne d’état d’un synoptique de type Message Control. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de couleurs.

Plus de détails dans l’aide en ligne.

ZT_COLOR

ErrorColor

Erreur lors de l'envoi

Définit le code de couleurs correspondant à l’échec de l’envoi d’un message dans la colonne d’état d’un synoptique de type Message Control. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de couleurs.

Plus de détails dans l’aide en ligne.


MessageControlMessage

Manuel -> Interfaces de programmation -> Modèles d'objet -> MessageControlMessage

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

This object represents the user administration of the current project.With this object new users can be created and existing users can be edited/deleted during online operation. These changes can be imported into the Editor with decompiling. See the documentation of the control system for further information on decompiling.Users also can be logged in and out with this collection. Additionally this objects offers information on the currently logged in user.A user login executes the event UserChange with which you can execute user defined actions.Hint: For the event the object has to be defined with the attribute WithEvents in Visual Basic or VBA.

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes

Examples

C#

//Initialize event handlers

private IMessageControl _zenonMessageControl;

void ThisProject_Active()

{

_zenonMessageControl = this.MessageControl;

_zenonMessageControl.MessageCreated += new MessageCreatedEventHandler(_zenonMessageControl_MessageCreated);

}

void _zenonMessageControl_MessageCreated(IAlarmItem obAlarmItem, IMessageControlMessage obMessage)

{

if (obAlarmItem != null)

System.Diagnostics.Debug.Print(obAlarmItem.Name);

if (obMessage != null)

{

PrintMessage(obMessage);

}

}

void PrintMessage(IMessageControlMessage zenonMessage)

{

//Print some detail about the given message

System.Diagnostics.Debug.Print("GUID: " + zenonMessage.Guid);

System.Diagnostics.Debug.Print("Numbers of attempt: " + zenonMessage.Attempts);

System.Diagnostics.Debug.Print("Max number of attempts: " + zenonMessage.MaxAttempts);

System.Diagnostics.Debug.Print("Customer identifier: " + zenonMessage.CustomIdentifier);

System.Diagnostics.Debug.Print("Title: " + zenonMessage.Title);

System.Diagnostics.Debug.Print("Message text: " + zenonMessage.MessageText);

}

//Destroy event handlers

void ThisProject_Inactive()

{

_zenonMessageControl.MessageCreated -= _zenonMessageControl_MessageCreated;

FreeObjects();

}

VB.NET

'Initialize event handlers

Private _zenonMessageControl As IMessageControl

Private Sub ThisProject_Active()

_zenonMessageControl = Me.MessageControl

_zenonMessageControl.MessageCreated += New MessageCreatedEventHandler(AddressOf _zenonMessageControl_MessageCreated)

End Sub

Private Sub _zenonMessageControl_MessageCreated(obAlarmItem As IAlarmItem, obMessage As IMessageControlMessage)

If obAlarmItem IsNot Nothing Then

System.Diagnostics.Debug.Print(obAlarmItem.Name)

End If

If obMessage IsNot Nothing Then

PrintMessage(obMessage)

End If

End Sub

Private Sub PrintMessage(zenonMessage As IMessageControlMessage)

'Print some detail about the given message

System.Diagnostics.Debug.Print("GUID: " + zenonMessage.Guid)

System.Diagnostics.Debug.Print("Numbers of attempt: " + zenonMessage.Attempts)

System.Diagnostics.Debug.Print("Max number of attempts: " + zenonMessage.MaxAttempts)

System.Diagnostics.Debug.Print("Customer identifier: " + zenonMessage.CustomIdentifier)

System.Diagnostics.Debug.Print("Title: " + zenonMessage.Title)

System.Diagnostics.Debug.Print("Message text: " + zenonMessage.MessageText)

End Sub

'Destroy event handlers

Private Sub ThisProject_Inactive()

RemoveHandler _zenonMessageControl.MessageCreated, AddressOf _zenonMessageControl_MessageCreated

FreeObjects()

End Sub

VBA

Dim WithEvents zMessageControl As MessageControl

Private Sub Project_Active()
Set zMessageControl = thisProject.MessageControl
End Sub

'====================================================================================================
' MessageControl Runtime
' It has been generates a new message in the system. The Message Control Message object
' corresponding to the actual message object which will be shipped later.
' Access to this object is only allowed within the event handler.
'====================================================================================================
Private Sub zMessageControl_MessageCreated(ByVal obAlarmItem As IAlarmItem, ByVal obMessage As IMessageControlMessage)
Stop
If Not obAlarmItem Is Nothing Then
Debug.Print (obAlarmItem.Name)
End If

If Not obMessage Is Nothing Then
Debug.Print ("Current message text: " & obMessage.MessageText)
' Only in this event it is possible to overrite the MessageControlMessage Object
obMessage.MessageText = "New message text"
Call ShowMessageInformation(obMessage)
End If
End Sub

Public Function ShowMessageInformation(ByVal obMessage As MessageControlMessage)
Debug.Print ("========================================================")
Debug.Print ("Message Guid: " & obMessage.Guid)
Debug.Print ("Numbers of attempt: " & CStr(obMessage.Attempts))
Debug.Print ("Max. number of attempts:" & CStr(obMessage.MaxAttempts))
Debug.Print ("Waiting period between two attempts [min]: " & CStr(obMessage.TimeToWait))
Debug.Print ("Used dispatcher type: " & CStr(obMessage.DispatcherType))
Debug.Print ("Destination: " & obMessage.Destination)
Debug.Print ("Customer identifier: " & obMessage.CustomIdentifier)
Debug.Print ("Title of the message: " & obMessage.Title)
Debug.Print ("Current message text: " & obMessage.MessageText)
Debug.Print ("Time stamp when message is sending: " & CStr(obMessage.Send))
Debug.Print ("Time stamp when message was sent: " & CStr(obMessage.Sent))
Debug.Print ("Acknowledge required: " & CStr(obMessage.AcknowledgeRequired))
Debug.Print ("Time limit when message must be acknowledged: " & CStr(obMessage.AcknowledgeTimeOut))
Debug.Print ("Dispatch type style: " & CStr(obMessage.TypeStyle)) 'User, Usergroup....
Debug.Print ("Destination type: " & CStr(obMessage.DestinationType))
Debug.Print ("Codes from function: " & CStr(obMessage.CodesFromFunction))
Debug.Print ("Cycle Counter: " & CStr(obMessage.CycleCounter))
Debug.Print ("========================================================")
End Function

Other topics in this chapter

MessageControlMessage-Properties

MessageControlMessage-Methods

MessageControlMessage-Dynamic properties


MessageControlMessage-Properties

Manuel -> Interfaces de programmation -> Modèles d'objet -> MessageControlMessage -> MessageControlMessage-Properties

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
VARIANT_BOOL | AcknowledgeRequired |  | not used | available | yes | yes
DATE | AcknowledgeTimeOut |  | not used | available | yes | yes
BSTR | Attachment |  | not used | available | yes | yes
short | Attempts |  | not used | available | yes | yes
VARIANT_BOOL | CodesFromFunction |  | not used | available | yes | yes
BSTR | CustomIdentifier |  | not used | available | yes | yes
long | CycleCounter |  | not used | available | yes | yes
BSTR | Destination |  | not used | available | yes | yes
short | DestinationType |  | not used | available | yes | yes
short | DispatcherType |  | not used | available | yes | yes
BSTR | Guid |  | not used | available | yes | yes
short | MaxAttempts |  | not used | read only | yes | yes
BSTR | MessageText |  | not used | available | yes | yes
DATE | Send |  | not used | available | yes | yes
DATE | Sent |  | not used | available | yes | yes
short | TimeToWait |  | not used | available | yes | yes
BSTR | Title |  | not used | available | yes | yes
short | TypeStyle |  | not used | available | yes | yes
BSTR | UserName | Return the name of the target User. | not used | available | yes | yes

Other topics in this chapter

Guid

UserName

Attempts

MaxAttempts

TimeToWait

DispatcherType

Destination

CustomIdentifier

Title

MessageText

Send

Sent

AcknowledgeTimeOut

AcknowledgeRequired

TypeStyle

DestinationType

Attachment

CodesFromFunction

CycleCounter


Guid

Manuel -> Interfaces de programmation -> Modèles d'objet -> MessageControlMessage -> MessageControlMessage-Properties -> Guid

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

Guid() As String

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes


UserName

Manuel -> Interfaces de programmation -> Modèles d'objet -> MessageControlMessage -> MessageControlMessage-Properties -> UserName

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

UserName() As BSTR

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes


Attempts

Manuel -> Interfaces de programmation -> Modèles d'objet -> MessageControlMessage -> MessageControlMessage-Properties -> Attempts

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

Attempts() As short

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes


MaxAttempts

Manuel -> Interfaces de programmation -> Modèles d'objet -> MessageControlMessage -> MessageControlMessage-Properties -> MaxAttempts

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

MaxAttempts() As short

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes


TimeToWait

Manuel -> Interfaces de programmation -> Modèles d'objet -> MessageControlMessage -> MessageControlMessage-Properties -> TimeToWait

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

TimeToWait() As short

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes


DispatcherType

Manuel -> Interfaces de programmation -> Modèles d'objet -> MessageControlMessage -> MessageControlMessage-Properties -> DispatcherType

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

DispatcherType() As short

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes


Destination

Manuel -> Interfaces de programmation -> Modèles d'objet -> MessageControlMessage -> MessageControlMessage-Properties -> Destination

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

Destination() As String

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes


CustomIdentifier

Manuel -> Interfaces de programmation -> Modèles d'objet -> MessageControlMessage -> MessageControlMessage-Properties -> CustomIdentifier

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

CustomIdentifier() As String

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes


Title

Manuel -> Interfaces de programmation -> Modèles d'objet -> MessageControlMessage -> MessageControlMessage-Properties -> Title

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

Title() As String

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes


MessageText

Manuel -> Interfaces de programmation -> Modèles d'objet -> MessageControlMessage -> MessageControlMessage-Properties -> MessageText

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

MessageText() As String

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes


Send

Manuel -> Interfaces de programmation -> Modèles d'objet -> MessageControlMessage -> MessageControlMessage-Properties -> Send

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

Send() As DATE

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes


Sent

Manuel -> Interfaces de programmation -> Modèles d'objet -> MessageControlMessage -> MessageControlMessage-Properties -> Sent

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

Sent() As DATE

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes


AcknowledgeTimeOut

Manuel -> Interfaces de programmation -> Modèles d'objet -> MessageControlMessage -> MessageControlMessage-Properties -> AcknowledgeTimeOut

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

AcknowledgeTimeOut() As DATE

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes


AcknowledgeRequired

Manuel -> Interfaces de programmation -> Modèles d'objet -> MessageControlMessage -> MessageControlMessage-Properties -> AcknowledgeRequired

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

AcknowledgeRequired() As Boolean

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes


TypeStyle

Manuel -> Interfaces de programmation -> Modèles d'objet -> MessageControlMessage -> MessageControlMessage-Properties -> TypeStyle

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

TypeStyle() As short

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes


DestinationType

Manuel -> Interfaces de programmation -> Modèles d'objet -> MessageControlMessage -> MessageControlMessage-Properties -> DestinationType

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

DestinationType() As short

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes


Attachment

Manuel -> Interfaces de programmation -> Modèles d'objet -> MessageControlMessage -> MessageControlMessage-Properties -> Attachment

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

Attachment() As String

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes


CodesFromFunction

Manuel -> Interfaces de programmation -> Modèles d'objet -> MessageControlMessage -> MessageControlMessage-Properties -> CodesFromFunction

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

CodesFromFunction() As Boolean

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes


CycleCounter

Manuel -> Interfaces de programmation -> Modèles d'objet -> MessageControlMessage -> MessageControlMessage-Properties -> CycleCounter

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

CycleCounter() As long

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes


MessageControlMessage-Methods

Manuel -> Interfaces de programmation -> Modèles d'objet -> MessageControlMessage -> MessageControlMessage-Methods

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
void | DynProperties [PUT] | - | not used | available | yes | yes
VARIANT | DynProperties [GET] | - | not used | available | yes | yes
VARIANT | DynPropertiesEnum [GET] | - | not used | available | yes | yes
IPropParam | DynPropertyParam [GET] | Returns the PropParam objekt of the given DynProperty | read only | not used | yes | yes

Other topics in this chapter

DynPropertyParam [GET]

DynPropertiesEnum [GET]

DynProperties [GET]

DynProperties [PUT]


DynPropertyParam [GET]

Manuel -> Interfaces de programmation -> Modèles d'objet -> MessageControlMessage -> MessageControlMessage-Methods -> DynPropertyParam [GET]

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

DynPropertyParam [GET](BSTR bsPath) As PropParam

Availability

Environment | Available
Editor | read only
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


DynPropertiesEnum [GET]

Manuel -> Interfaces de programmation -> Modèles d'objet -> MessageControlMessage -> MessageControlMessage-Methods -> DynPropertiesEnum [GET]

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

DynPropertiesEnum(String bsPath) As VARIANT

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Sub ReadDynProps()
End Sub


DynProperties [GET]

Manuel -> Interfaces de programmation -> Modèles d'objet -> MessageControlMessage -> MessageControlMessage-Methods -> DynProperties [GET]

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

DynProperties(String bsPath) As VARIANT

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


DynProperties [PUT]

Manuel -> Interfaces de programmation -> Modèles d'objet -> MessageControlMessage -> MessageControlMessage-Methods -> DynProperties [PUT]

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

DynProperties (String bsPath,VARIANT vValue) As void

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


MessageControlMessage-Dynamic properties

Manuel -> Interfaces de programmation -> Modèles d'objet -> MessageControlMessage -> MessageControlMessage-Dynamic properties

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Dynproperties

Send parameter

Other topics in this chapter

Send parameter


Send parameter

Manuel -> Interfaces de programmation -> Modèles d'objet -> MessageControlMessage -> MessageControlMessage-Dynamic properties -> Send parameter

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | VBA/VSTA Name | Display Name | Description
VT_BSTR | Title | Sujet |
VT_BSTR | MessageText | Message | Texte du message. Plus de détails dans l’aide en ligne.
VT_I2 | Attempts | Essais | Nombre de tentatives. Plus de détails dans l’aide en ligne.
VT_I2 | MaxAttempts | Nombre d'essais | Nombre Maximum de tentatives d’envoi. Plus de détails dans l’aide en ligne.
ZT_DATETIME | Sent | Créé / dernier envoi | Heure de création du message ou heure de la dernière tentative d’envoi. Plus de détails dans l’aide en ligne.
ZT_DATETIME | Send | Essai suivant | Heure de la prochaine tentative d’envoi du message. Plus de détails dans l’aide en ligne.
VT_BSTR | Destination | Cible | Adresse de destination du message (adresse e-mail, numéro de téléphone). Plus de détails dans l’aide en ligne.
VT_I2 | DispatchType | Mode d'envoi |
VT_UI4 | CycleCounter | Compteur de cycles envoyés | Nombre de retransmissions du message. Plus de détails dans l’aide en ligne.
VT_I2 | TimeToWait | Période d'attente | Délai d’attente, en minutes, pour la surveillance du délai d’attente et la retransmission de messages. Plus de détails dans l’aide en ligne.
VT_BOOL | AckReq | Acquittement nécessaire | Le message doit être acquitté à réception. Plus de détails dans l’aide en ligne.
VT_UI2 | TypeStyle | Style du type d'envoi |
VT_BSTR | Attachment | Pièce jointe | Nom de la pièce jointe au message. Concerne uniquement les e-mails envoyés via SMTP. Plus de détails dans l’aide en ligne.
VT_BOOL | CodesFromFunction | Codes spécifiques à la fonction | Indiquer si un code individuel est utilisé pour l’acquittement. Plus de détails dans l’aide en ligne.
ZT_DATETIME | AckTimeOut | Time-out d'acquittement | Délai d’acquittement du message. Plus de détails dans l’aide en ligne.
VT_I2 | DestiType | Type de cible |
VT_BSTR | CustomIdentifier | Identifiant personnalisé | Identifiant personnalisé. Peut uniquement défini par le biais de code VBA/VSTA dans l’événement MessageCreated. Plus de détails dans l’aide en ligne.
VT_BSTR | GUID | GUID | Identifiant unique (GUID) du message. Plus de détails dans l’aide en ligne.
VT_BSTR | UserName | Nom du destinataire |


OnlineAlarm

Manuel -> Interfaces de programmation -> Modèles d'objet -> OnlineAlarm

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes

Examples

C#

VB.NET

VBA

Dim WithEvents obOnlineAlarm1 As OnlineAlarm

Dim WithEvents obOnlineAlarm2 As OnlineAlarm

Private Sub obOnlineAlarm1_Changed(ByVal Reason As AlarmEventReason, ByVal strKey As String, ByVal obItem As AlarmItem)

Debug.Print "AML: " + Str$(Reason) + " / " + Str$(obItem.Timecomes) + " / " + obItem.Variable.Name + " / " + obItem.Text

End Sub

Private Sub obOnlineAlarm2_BulkChanged(ByVal strXml As String)

Debug.Print "AML: " + strXml

End Sub

Public Sub StartOnlineAlarm()

Dim obOnlineAlarms As OnlineAlarmCollection

Set obOnlineAlarms = Alarm.OnlineAlarmCollection

Set obOnlineAlarm1 = obOnlineAlarms.CreateOnlineAlarm("")

obOnlineAlarm1.AlarmEventMode = AlarmEventMode_Single

obOnlineAlarm1.SetFilter ("<?xml version=""1.0"" encoding=""utf-16""?><Subject><VarFilter>WIZ_VAR_10</VarFilter></Subject>")

obOnlineAlarm1.Activate

Set obOnlineAlarm2 = obOnlineAlarms.CreateOnlineAlarm("")

obOnlineAlarm2.AlarmEventMode = AlarmEventMode_BulkAsXml

obOnlineAlarm2.Activate

End Sub

Other topics in this chapter

OnlineAlarm-Properties

OnlineAlarm-Methods

OnlineAlarm-Events


OnlineAlarm-Properties

Manuel -> Interfaces de programmation -> Modèles d'objet -> OnlineAlarm -> OnlineAlarm-Properties

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
IOnlineAlarms | Parent | Parent-object | not used | read only | yes | yes
BSTR | Name | Name of the online-alarm | not used | read only | yes | yes
VARIANT_BOOL | Active | Returns if the online-alarm is active | not used | read only | yes | yes
tpAlarmCelEventMode | EventMode | Returns and sets event mode of the online-alarm | not used | available | yes | yes
AlarmEventMode | AlarmEventMode | Returns and sets event mode of the online-alarm | not used | available | yes | yes

Other topics in this chapter

AlarmEventMode


AlarmEventMode

Manuel -> Interfaces de programmation -> Modèles d'objet -> OnlineAlarm -> OnlineAlarm-Properties -> AlarmEventMode

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns or sets event mode. tpAmlCelEvModeSingle and tpAmlCelEvModeBulkAsXml are possible.

Datatype

AlarmEventMode() As AlarmEventMode

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes


OnlineAlarm-Methods

Manuel -> Interfaces de programmation -> Modèles d'objet -> OnlineAlarm -> OnlineAlarm-Methods

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
VARIANT_BOOL | SetFilterAsXml | Sets the filter criteria as XML string | not used | available | yes | yes
VARIANT_BOOL | Define | Activates the online-alarm | not used | available | yes | yes
void | Undefine | Deactivates the online-alarm | not used | available | yes | yes
IOnlineAlarmCollection | Parent [GET] | Parent-object | not used | read only | yes | yes
BSTR | Name [GET] | Name of the online-alarm | not used | read only | yes | yes
VARIANT_BOOL | IsActive [GET] | Returns if the online-alarm is active | not used | read only | yes | yes
VARIANT_BOOL | SetFilter | Sets the filter criteria as XML string | not used | available | yes | yes
VARIANT_BOOL | Activate | Activates the online-alarm | not used | available | yes | yes
void | Deactivate | Deactivates the online-alarm | not used | available | yes | yes

Other topics in this chapter

Parent [GET]

Name [GET]

IsActive [GET]

SetFilter

Activate

Deactivate


Parent [GET]

Manuel -> Interfaces de programmation -> Modèles d'objet -> OnlineAlarm -> OnlineAlarm-Methods -> Parent [GET]

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the object for OnlineAlarms.

Datatype

Parent [GET]() As IOnlineAlarmCollection

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes

Parameters

C#

VB.NET

VBA

Examples

C#

VB.NET

VBA


Name [GET]

Manuel -> Interfaces de programmation -> Modèles d'objet -> OnlineAlarm -> OnlineAlarm-Methods -> Name [GET]

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the name of the object.

Datatype

Name [GET]() As BSTR

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes

Parameters

C#

VB.NET

VBA

Examples

C#

VB.NET

VBA


IsActive [GET]

Manuel -> Interfaces de programmation -> Modèles d'objet -> OnlineAlarm -> OnlineAlarm-Methods -> IsActive [GET]

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns whether the connection is active as a result.

Datatype

IsActive [GET]() As VARIANT_BOOL

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes

Parameters

C#

VB.NET

VBA

Examples

C#

VB.NET

VBA


SetFilter

Manuel -> Interfaces de programmation -> Modèles d'objet -> OnlineAlarm -> OnlineAlarm-Methods -> SetFilter

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Sets the filter for the entries (see Alarm.AlarmItemsAsXml). The return value is TRUE if successful.

Datatype

SetFilter(BSTR p_filterXml) As VARIANT_BOOL

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

VB.NET

VBA

Examples

C#

VB.NET

VBA


Activate

Manuel -> Interfaces de programmation -> Modèles d'objet -> OnlineAlarm -> OnlineAlarm-Methods -> Activate

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Activates the connection and returns the initial list of the alarms in the filter. The return value is TRUE if successful.

Datatype

Activate() As VARIANT_BOOL

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

VB.NET

VBA

Examples

C#

VB.NET

VBA


Deactivate

Manuel -> Interfaces de programmation -> Modèles d'objet -> OnlineAlarm -> OnlineAlarm-Methods -> Deactivate

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Deactivates the connection.

Datatype

Deactivate() As void

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

VB.NET

VBA

Examples

C#

VB.NET

VBA


OnlineAlarm-Events

Manuel -> Interfaces de programmation -> Modèles d'objet -> OnlineAlarm -> OnlineAlarm-Events

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
void | EventChange | Event: Is fired for alarm object change | not used | available | yes | yes
void | EventChangesAsXml | Event: Is fired with a list of alarm object changes | not used | available | yes | yes
void | Changed | Event: Is fired for alarm object change | not used | available | yes | yes
void | BulkChanged | Event: Is fired with a list of alarm object changes | not used | available | yes | yes

Other topics in this chapter

Changed

BulkChanged


Changed

Manuel -> Interfaces de programmation -> Modèles d'objet -> OnlineAlarm -> OnlineAlarm-Events -> Changed

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

Changed(AlarmEventReason p_reason, BSTR p_alarmKey, IAlarmItem p_alarm) As void

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

VB.NET

VBA

Examples

C#

VB.NET

VBA


BulkChanged

Manuel -> Interfaces de programmation -> Modèles d'objet -> OnlineAlarm -> OnlineAlarm-Events -> BulkChanged

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

BulkChanged(BSTR p_xml) As void

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

VB.NET

VBA

Examples

C#

VB.NET

VBA


OnlineAlarmCollection

Manuel -> Interfaces de programmation -> Modèles d'objet -> OnlineAlarmCollection

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes

Examples

C#

VB.NET

VBA

Other topics in this chapter

OnlineAlarmCollection-Methods


OnlineAlarmCollection-Methods

Manuel -> Interfaces de programmation -> Modèles d'objet -> OnlineAlarmCollection -> OnlineAlarmCollection-Methods

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
IAlarm | Parent [GET] | Parent-object | not used | read only | yes | yes
long | Count [GET] | Count of contained online-alarm objects | not used | read only | yes | yes
IOnlineAlarm | CreateOnlineAlarm | Creates a new online-alarm object | not used | available | yes | yes
VARIANT_BOOL | DeleteOnlineAlarm | Deletes the given online-alarm object | not used | available | yes | yes
IOnlineAlarm | GetItem | Returns the online-alarm by name or position | not used | available | yes | yes

Other topics in this chapter

Parent [GET]

Count [GET]

CreateOnlineAlarm

DeleteOnlineAlarm

GetItem


Parent [GET]

Manuel -> Interfaces de programmation -> Modèles d'objet -> OnlineAlarmCollection -> OnlineAlarmCollection-Methods -> Parent [GET]

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

Parent [GET]() As IAlarm

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes

Parameters

C#

VB.NET

VBA

Examples

C#

VB.NET

VBA


Count [GET]

Manuel -> Interfaces de programmation -> Modèles d'objet -> OnlineAlarmCollection -> OnlineAlarmCollection-Methods -> Count [GET]

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the number of contained OnlineAlarm objects.

Datatype

Count [GET]() As long

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes

Parameters

C#

VB.NET

VBA

Examples

C#

VB.NET

VBA


CreateOnlineAlarm

Manuel -> Interfaces de programmation -> Modèles d'objet -> OnlineAlarmCollection -> OnlineAlarmCollection-Methods -> CreateOnlineAlarm

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

CreateOnlineAlarm(BSTR p_name) As IOnlineAlarm

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

VB.NET

VBA

Examples

C#

VB.NET

VBA


DeleteOnlineAlarm

Manuel -> Interfaces de programmation -> Modèles d'objet -> OnlineAlarmCollection -> OnlineAlarmCollection-Methods -> DeleteOnlineAlarm

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

DeleteOnlineAlarm(BSTR p_name) As VARIANT_BOOL

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

VB.NET

VBA

Examples

C#

VB.NET

VBA


GetItem

Manuel -> Interfaces de programmation -> Modèles d'objet -> OnlineAlarmCollection -> OnlineAlarmCollection-Methods -> GetItem

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

GetItem(VARIANT p_nameOrIndex) As IOnlineAlarm

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

VB.NET

VBA

Examples

C#

VB.NET

VBA


OnlineCel

Manuel -> Interfaces de programmation -> Modèles d'objet -> OnlineCel

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes

Examples

C#

VB.NET

VBA

Dim WithEvents obOnlineCel1 As OnlineCel

Dim WithEvents obOnlineCel2 As OnlineCel

Private Sub obOnlineCel1_Changed(ByVal Reason As AlarmEventReason, ByVal strKey As String, ByVal obItem As CelItem)

Debug.Print "CEL: " + Str$(Reason) + " / " + Str$(obItem.Time) + " / " + obItem.VariableName + " / " + obItem.Text

End Sub

Private Sub obOnlineCel2_BulkChanged(ByVal strXml As String)

Debug.Print "CEL: " + strXml

End Sub

Public Sub StartOnlineCel()

Dim obOnlineCels As OnlineCelCollection

Set obOnlineCels = Cel.OnlineCelCollection

Set obOnlineCel1 = obOnlineCels.CreateOnlineCel("")

obOnlineCel1.CelEventMode = CelEventMode_Single

obOnlineCel1.SetFilter ("<?xml version=""1.0"" encoding=""utf-16""?><Subject><VarFilter>WIZ_VAR_10</VarFilter></Subject>")

obOnlineCel1.Activate

Set obOnlineCel2 = obOnlineCels.CreateOnlineCel("")

obOnlineCel2.CelEventMode = CelEventMode_BulkAsXml

obOnlineCel2.Activate

End Sub

Public Sub StopOnlineCel()

obOnlineCel1.Deactivate

Set obOnlineCel1 = Nothing

obOnlineCel2.Deactivate

Set obOnlineCel2 = Nothing

End Sub

Other topics in this chapter

OnlineCel-Properties

OnlineCel-Methods

OnlineCel-Events


OnlineCel-Properties

Manuel -> Interfaces de programmation -> Modèles d'objet -> OnlineCel -> OnlineCel-Properties

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
IOnlineCels | Parent | Parent-object | not used | read only | yes | yes
BSTR | Name | Name of the online-CEL | not used | read only | yes | yes
VARIANT_BOOL | Active | Returns if the online-CEL is active | not used | read only | yes | yes
tpAlarmCelEventMode | EventMode | Returns and sets event mode of the online-CEL | not used | available | yes | yes
CelEventMode | CelEventMode | Returns and sets event mode of the online-CEL | not used | available | yes | yes

Other topics in this chapter

CelEventMode


CelEventMode

Manuel -> Interfaces de programmation -> Modèles d'objet -> OnlineCel -> OnlineCel-Properties -> CelEventMode

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns or sets event mode. tpAmlCelEvModeSingle and tpAmlCelEvModeBulkAsXml are possible.

Datatype

CelEventMode() As CelEventMode

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes


OnlineCel-Methods

Manuel -> Interfaces de programmation -> Modèles d'objet -> OnlineCel -> OnlineCel-Methods

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
VARIANT_BOOL | SetFilterAsXml | Sets the filter criteria as XML string | not used | available | yes | yes
VARIANT_BOOL | Define | Activates the online-CEL | not used | available | yes | yes
void | Undefine | Deactivates the online-CEL | not used | available | yes | yes
IOnlineCelCollection | Parent [GET] | Parent-object | not used | read only | yes | yes
BSTR | Name [GET] | Name of the online-CEL | not used | read only | yes | yes
VARIANT_BOOL | IsActive [GET] | Returns if the online-CEL is active | not used | read only | yes | yes
VARIANT_BOOL | SetFilter | Sets the filter criteria as XML string | not used | available | yes | yes
VARIANT_BOOL | Activate | Activates the online-CEL | not used | available | yes | yes
void | Deactivate | Deactivates the online-CEL | not used | available | yes | yes

Other topics in this chapter

Parent [GET]

Name [GET]

IsActive [GET]

SetFilter

Activate

Deactivate


Parent [GET]

Manuel -> Interfaces de programmation -> Modèles d'objet -> OnlineCel -> OnlineCel-Methods -> Parent [GET]

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the object for OnlineAlarms.

Datatype

Parent [GET]() As IOnlineCelCollection

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes

Parameters

C#

VB.NET

VBA

Examples

C#

VB.NET

VBA


Name [GET]

Manuel -> Interfaces de programmation -> Modèles d'objet -> OnlineCel -> OnlineCel-Methods -> Name [GET]

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the name of the object.

Datatype

Name [GET]() As BSTR

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes

Parameters

C#

VB.NET

VBA

Examples

C#

VB.NET

VBA


IsActive [GET]

Manuel -> Interfaces de programmation -> Modèles d'objet -> OnlineCel -> OnlineCel-Methods -> IsActive [GET]

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns whether the connection is active as a result.

Datatype

IsActive [GET]() As VARIANT_BOOL

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes

Parameters

C#

VB.NET

VBA

Examples

C#

VB.NET

VBA


SetFilter

Manuel -> Interfaces de programmation -> Modèles d'objet -> OnlineCel -> OnlineCel-Methods -> SetFilter

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Sets the filter for the entries (see Alarm.AlarmItemsAsXml). The return value is TRUE if successful.

Datatype

SetFilter(BSTR p_filterXml) As VARIANT_BOOL

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

VB.NET

VBA

Examples

C#

VB.NET

VBA


Activate

Manuel -> Interfaces de programmation -> Modèles d'objet -> OnlineCel -> OnlineCel-Methods -> Activate

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Activates the connection and returns the initial list of the alarms in the filter. The return value is TRUE if successful.

Datatype

Activate() As VARIANT_BOOL

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

VB.NET

VBA

Examples

C#

VB.NET

VBA


Deactivate

Manuel -> Interfaces de programmation -> Modèles d'objet -> OnlineCel -> OnlineCel-Methods -> Deactivate

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Deactivates the connection.

Datatype

Deactivate() As void

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

VB.NET

VBA

Examples

C#

VB.NET

VBA


OnlineCel-Events

Manuel -> Interfaces de programmation -> Modèles d'objet -> OnlineCel -> OnlineCel-Events

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
void | EventChange | Event: Is fired for CEL object change | not used | available | yes | yes
void | EventChangesAsXml | Event: Is fired with a list of CEL object changes | not used | available | yes | yes
void | Changed | Event: Is fired for CEL object change | not used | available | yes | yes
void | BulkChanged | Event: Is fired with a list of CEL object changes | not used | available | yes | yes

Other topics in this chapter

Changed

BulkChanged


Changed

Manuel -> Interfaces de programmation -> Modèles d'objet -> OnlineCel -> OnlineCel-Events -> Changed

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

Changed(CelEventReason p_reason, BSTR p_celKey, ICelItem p_cel) As void

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

VB.NET

VBA

Examples

C#

VB.NET

VBA


BulkChanged

Manuel -> Interfaces de programmation -> Modèles d'objet -> OnlineCel -> OnlineCel-Events -> BulkChanged

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

BulkChanged(BSTR p_xml) As void

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

VB.NET

VBA

Examples

C#

VB.NET

VBA


OnlineCelCollection

Manuel -> Interfaces de programmation -> Modèles d'objet -> OnlineCelCollection

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes

Examples

C#

VB.NET

VBA

Other topics in this chapter

OnlineCelCollection-Methods


OnlineCelCollection-Methods

Manuel -> Interfaces de programmation -> Modèles d'objet -> OnlineCelCollection -> OnlineCelCollection-Methods

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
ICel | Parent [GET] | Parent-object | not used | read only | yes | yes
long | Count [GET] | Count of contained online-CEL objects | not used | read only | yes | yes
IOnlineCel | CreateOnlineCel | Creates a new online-CEL object | not used | available | yes | yes
VARIANT_BOOL | DeleteOnlineCel | Deletes the given online-CEL object | not used | available | yes | yes
IOnlineCel | GetItem | Returns the online-CEL by name or position | not used | available | yes | yes

Other topics in this chapter

Parent [GET]

Count [GET]

CreateOnlineCel

DeleteOnlineCel

GetItem


Parent [GET]

Manuel -> Interfaces de programmation -> Modèles d'objet -> OnlineCelCollection -> OnlineCelCollection-Methods -> Parent [GET]

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

Parent [GET]() As ICel

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes

Parameters

C#

VB.NET

VBA

Examples

C#

VB.NET

VBA


Count [GET]

Manuel -> Interfaces de programmation -> Modèles d'objet -> OnlineCelCollection -> OnlineCelCollection-Methods -> Count [GET]

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

Count [GET]() As long

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes

Parameters

C#

VB.NET

VBA

Examples

C#

VB.NET

VBA


CreateOnlineCel

Manuel -> Interfaces de programmation -> Modèles d'objet -> OnlineCelCollection -> OnlineCelCollection-Methods -> CreateOnlineCel

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

CreateOnlineCel(BSTR p_name) As IOnlineCel

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

VB.NET

VBA

Examples

C#

VB.NET

VBA


DeleteOnlineCel

Manuel -> Interfaces de programmation -> Modèles d'objet -> OnlineCelCollection -> OnlineCelCollection-Methods -> DeleteOnlineCel

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

DeleteOnlineCel(BSTR p_name) As VARIANT_BOOL

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

VB.NET

VBA

Examples

C#

VB.NET

VBA


GetItem

Manuel -> Interfaces de programmation -> Modèles d'objet -> OnlineCelCollection -> OnlineCelCollection-Methods -> GetItem

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

GetItem(VARIANT p_nameOrIndex) As IOnlineCel

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

VB.NET

VBA

Examples

C#

VB.NET

VBA


OnlineVariable

Manuel -> Interfaces de programmation -> Modèles d'objet -> OnlineVariable

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

The object OnlineVariable is a container for variables.The method Define of this object requests all variables, that are linked to that object. The same thing happens whenever a Screen is opened in the Runtime. On initializing the variable or changing the value an event is executed, in which the changed variable can be edited as a parameter.This object should always be used, if one or more variable(s) are needed, that perhaps are not yet requested. As the request for the value of a variable takes most time, the performance here is increased, as you can be sure, that the values of the linked variables always are requested because of the method Define.Hint: For the event the object Visual Basic has to be defined with the attribute WithEvents.Using online variables always needs the following procedure:· Linking the online variable to variables of the control system. For each variable the method Add has to be executed with the unique name of the variable. Alternatively you can also use the method AddBulk. In this case a dynamic string array is created, that contains the variables‘ names. This array then is passed to the method AddBulk.· Executing the method Define to activate monitoring the variables. A VBA event is executed, when a variable changes. The event contains the canges variable object as a parameter. In the routine the different actions are executed.· Executing the method Undefine of the object to stop monitoring the variables. From now on changes of the variables are no longer reported via the VBA event.

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes

Examples

C#

public void MacroOnlineVariables()

{

//Get a online variable container from the project

IOnlineVariable zenonOlv = this.OnlineVariables().Item(0);

//Print the active status of the OLV - if its not active the OLV does not

//monitor the variables added to it

//NOTE: The object zenonOlv might be null if there is no Online Variable in the collection

//In this scenario we assume that there is at least one object in the collection

System.Diagnostics.Debug.Print(zenonOlv.Aktiv.ToString());

for (int i = 0; i < zenonOlv.Count; ++i)

{

//Print the name of every Variable in the container

System.Diagnostics.Debug.Print(zenonOlv.Item(i).Name);

}

}

VB.NET

Public Sub MacroOnlineVariables()

'Get a online variable container from the project

Dim zenonOlv As IOnlineVariable = Me.OnlineVariables().Item(0)

'Print the active status of the OLV - if its not active the OLV does not

'monitor the variables added to it

'NOTE: The object zenonOlv might be null if there is no Online Variable in the collection

'In this scenario we assume that there is at least one object in the collection

System.Diagnostics.Debug.Print(zenonOlv.Aktiv.ToString())

For i As Integer = 0 To zenonOlv.Count - 1

'Print the name of every Variable in the container

System.Diagnostics.Debug.Print(zenonOlv.Item(i).Name)

Next

End Sub

VBA

Sub VariablesOfOLV()
Dim i As Integer
Dim obOLV As OnlineVariable
Dim obVAR As Variable
'get OnlineVariable
Set obOLV = thisProject.OnlineVariables.Item(0)
Debug.Print "Active: " & obOLV.Aktiv
'enum linked variables
For i = 0 To obOLV.Count - 1
Set obVAR = obOLV.Item(i)
Debug.Print obVAR.Name & " - " & obVAR.Tagname
Next i
End Sub

Remarque : Les caractères spéciaux, tels que ß et /\, ne sont pas autorisés dans les noms de projets zenon. Les caractères suivants sont autorisés : Chiffres, lettres et caractère de soulignement (_). Vous trouverez d'autres informations à ce sujet dans le manuel Gestion de projets et espace de travail, au chapitre Créer un nouveau projet.

Other topics in this chapter

OnlineVariable-Properties

OnlineVariable-Methods

OnlineVariable-Events


OnlineVariable-Properties

Manuel -> Interfaces de programmation -> Modèles d'objet -> OnlineVariable -> OnlineVariable-Properties

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
VARIANT_BOOL | Aktiv |  | not used | available | yes | yes
long | Count |  | read only | read only | yes | yes
long | EventMode | Activated event mode | not used | read only | yes | yes
BSTR | Name | Name of the online-variable (unique) | not used | available | yes | yes
IOnlineVariables | Parent | Parent-object | read only | read only | yes | yes

Other topics in this chapter

Parent

Name

Aktiv

Count

EventMode


Parent

Manuel -> Interfaces de programmation -> Modèles d'objet -> OnlineVariable -> OnlineVariable-Properties -> Parent

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the parent object

Datatype

Parent() As OnlineVariables

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


Name

Manuel -> Interfaces de programmation -> Modèles d'objet -> OnlineVariable -> OnlineVariable-Properties -> Name

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the unique name of the current online variable. With this name the online variable can be accessed in the collection OnlineVariables of the current project.

Datatype

Name() As String

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes


Aktiv

Manuel -> Interfaces de programmation -> Modèles d'objet -> OnlineVariable -> OnlineVariable-Properties -> Aktiv

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the communication status of the online variable.The communication is set to True on executing the method Define. On deleting the object or executing the method Undefine the communication status is set to False.From this moment on the event VariableChange is no longer executed.

Datatype

Aktiv() As Boolean

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes


Count

Manuel -> Interfaces de programmation -> Modèles d'objet -> OnlineVariable -> OnlineVariable-Properties -> Count

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

The method returns the number of available objects. This property is mostly used for the method Item to run through each single object.Hint: For running through entries care, that the minimum is 0 and the maximum is Count-1.

Datatype

Count() As long

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


EventMode

Manuel -> Interfaces de programmation -> Modèles d'objet -> OnlineVariable -> OnlineVariable-Properties -> EventMode

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

EventMode() As long

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes


OnlineVariable-Methods

Manuel -> Interfaces de programmation -> Modèles d'objet -> OnlineVariable -> OnlineVariable-Methods

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
VARIANT_BOOL | ActivateBulkMode | Activate bulk event mode | not used | available | yes | yes
VARIANT_BOOL | Add | - | not used | available | yes | yes
VARIANT_BOOL | AddBulk | - | not used | available | yes | yes
VARIANT_BOOL | Define | - | not used | available | yes | yes
void | DynProperties [PUT] | - | available | available | yes | yes
VARIANT | DynProperties [GET] | - | available | available | yes | yes
VARIANT | DynPropertiesEnum [GET] | - | read only | read only | yes | yes
IVariable | Item | - | available | not used | yes | yes
VARIANT_BOOL | Remove | - | not used | available | yes | yes
VARIANT_BOOL | SetMemCfg | - | not used | available | yes | yes
void | Undefine | - | not used | available | yes | yes
VARIANT_BOOL | WriteBack | - | not used | available | yes | yes
IPropParam | DynPropertyParam [GET] | Returns the PropParam objekt of the given DynProperty | read only | not used | yes | yes
VARIANT_BOOL | Add | - | not used | available | yes | yes
VARIANT_BOOL | AddBulk | - | not used | available | yes | yes
VARIANT_BOOL | Remove | - | not used | available | yes | yes
IVariable | Item | - | available | not used | yes | yes
VARIANT_BOOL | SetMemCfg | - | not used | available | yes | yes
VARIANT_BOOL | WriteBack | - | not used | available | yes | yes
VARIANT_BOOL | ActivateBulkMode | Activate bulk event mode | not used | available | yes | yes

Other topics in this chapter

DynPropertyParam [GET]

DynPropertiesEnum [GET]

DynProperties [GET]

DynProperties [PUT]

Add

AddBulk

Remove

Item

Define

Undefine

SetMemCfg

WriteBack

ActivateBulkMode


DynPropertyParam [GET]

Manuel -> Interfaces de programmation -> Modèles d'objet -> OnlineVariable -> OnlineVariable-Methods -> DynPropertyParam [GET]

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

DynPropertyParam [GET](BSTR bsPath) As PropParam

Availability

Environment | Available
Editor | read only
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


DynPropertiesEnum [GET]

Manuel -> Interfaces de programmation -> Modèles d'objet -> OnlineVariable -> OnlineVariable-Methods -> DynPropertiesEnum [GET]

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

DynPropertiesEnum(String bsPath) As VARIANT

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes

Parameters

A String which defines the entry point to get out all available properties of the object.

A blank String like that returns the first layer of properties:

DynPropertiesEnum("")

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

bsPath As String

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Sub ReadDynProps()
End Sub


DynProperties [GET]

Manuel -> Interfaces de programmation -> Modèles d'objet -> OnlineVariable -> OnlineVariable-Methods -> DynProperties [GET]

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

DynProperties(String bsPath) As VARIANT

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

A String which defines the Property.

Example: "NetAktive"

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

bsPath As String

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Sub GetDynProp()
'Sample: GSet the Network Aktive Flag of the Project.
If MyWorkspace.ActiveDocument.DynProperties("NetActive") = True Then
'read the server - computername...
Debug.Print "Server: " & MyWorkspace.ActiveDocument.DynProperties("NetServer")
End If
End Sub


DynProperties [PUT]

Manuel -> Interfaces de programmation -> Modèles d'objet -> OnlineVariable -> OnlineVariable-Methods -> DynProperties [PUT]

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

DynProperties (String bsPath,VARIANT vValue) As void

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

A String which defines the Property.

Example: "NetAktive"

Returns a variant value depending to the property, it can be a boolean, a long, or a whole object.

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

bsPath As String

vValue As Variant

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Sub SetDynProp()
End Sub


Add

Manuel -> Interfaces de programmation -> Modèles d'objet -> OnlineVariable -> OnlineVariable-Methods -> Add

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

The add method adds a new IVariable item to the online variable container. It returns true if the operation was successful, false otherwise. The method takes a string as a parameter which identifies the variable you want to add by its unique name.

Datatype

Add(BSTR szPvName) As VARIANT_BOOL

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

string szPVname

VB.NET

szPVname As String

VBA

Examples

C#

public void MacroOnlineVariablesAdd()

{

IOnlineVariable zenonNewOlv = this.OnlineVariables()

.CreateOnlineVariables("New Container");

//Add a new variable to the collection we created above.

zenonNewOlv.Add("WIZ_VAR_10");

}

VB.NET

Public Sub MacroOnlineVariablesAdd()

Dim zenonNewOlv As IOnlineVariable = Me.OnlineVariables().CreateOnlineVariables("New Container")

'Add a new variable to the collection we created above.

zenonNewOlv.Add("WIZ_VAR_10")

End Sub

VBA


AddBulk

Manuel -> Interfaces de programmation -> Modèles d'objet -> OnlineVariable -> OnlineVariable-Methods -> AddBulk

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

AddBulk() As VARIANT_BOOL

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

ref string[] szPVnames

VB.NET

ByRef szPVnames As String()

VBA

Examples

C#

public void MacroOnlineVariablesAdd()

{

IOnlineVariable zenonNewOlv = this.OnlineVariables()

.CreateOnlineVariables("New Container");

string[] bulkAdd = new string[] { "WIZ_VAR_10", "WIZ_VAR_11" };

//Add a list of variables to the collection.

zenonNewOlv.AddBulk(ref bulkAdd);

}

VB.NET

Public Sub MacroOnlineVariablesAdd()

Dim zenonNewOlv As IOnlineVariable = Me.OnlineVariables().CreateOnlineVariables("New Container")

Dim bulkAdd As String() = New String() {"WIZ_VAR_10", "WIZ_VAR_11"}

'Add a list of variables to the collection.

zenonNewOlv.AddBulk(bulkAdd)

End Sub

VBA


Remove

Manuel -> Interfaces de programmation -> Modèles d'objet -> OnlineVariable -> OnlineVariable-Methods -> Remove

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Removes a variable from the online variable container, the parameter is a string which identifies the variable you want to remove by its unique name.

Datatype

Remove(BSTR szPvName) As VARIANT_BOOL

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

string szPvName

VB.NET

ByVal szPvName As String

VBA

Examples

C#

public void MacroOnlineVariablesRemove()

{

IOnlineVariable zenonNewOlv = this.OnlineVariables().Item(0);

//Remove a variable from the container

zenonNewOlv.Remove("WIZ_VAR_10");

}

VB.NET

Public Sub MacroOnlineVariablesRemove()

Dim zenonNewOlv As IOnlineVariable = Me.OnlineVariables().Item(0)

'Remove a variable from the container

zenonNewOlv.Remove("WIZ_VAR_10")

End Sub

VBA


Item

Manuel -> Interfaces de programmation -> Modèles d'objet -> OnlineVariable -> OnlineVariable-Methods -> Item

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

Item(VARIANT vID) As IVariable

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

object vID

VB.NET

ByVal vID As Object

VBA

Examples

C#

public void MacroOnlineVariables()

{

//Get a online variable container from the project

IOnlineVariable zenonOlv = this.OnlineVariables().Item(0);

//Print the active status of the OLV - if its not active the OLV does not

//monitor the variables added to it

//NOTE: The object zenonOlv might be null if there is no Online Variable in the collection

//In this scenario we assume that there is at least one object in the collection

System.Diagnostics.Debug.Print(zenonOlv.Aktiv.ToString());

for (int i = 0; i < zenonOlv.Count; ++i)

{

//Print the name of every Variable in the container

System.Diagnostics.Debug.Print(zenonOlv.Item(i).Name);

}

}

VB.NET

Public Sub MacroOnlineVariables()

'Get a online variable container from the project

Dim zenonOlv As IOnlineVariable = Me.OnlineVariables().Item(0)

'Print the active status of the OLV - if its not active the OLV does not

'monitor the variables added to it

'NOTE: The object zenonOlv might be null if there is no Online Variable in the collection

'In this scenario we assume that there is at least one object in the collection

System.Diagnostics.Debug.Print(zenonOlv.Aktiv.ToString())

For i As Integer = 0 To zenonOlv.Count - 1

'Print the name of every Variable in the container

System.Diagnostics.Debug.Print(zenonOlv.Item(i).Name)

Next

End Sub

VBA


Define

Manuel -> Interfaces de programmation -> Modèles d'objet -> OnlineVariable -> OnlineVariable-Methods -> Define

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

This method activates monitoring of all variables linked to this object.Before executing this method control system variables have to be linked to the object with the methods Add or AddBulk.Now on the initialization of a variable or on changing ist value a VBA event is executed, in which the linked variable is available as a parameter. In this event you can e.g. request the value, ...On executing this method the property Aktiv returns True. It is set to False, when the object is deleted or the methof Undefine is executed to stop monitoring.

Datatype

Define() As Boolean

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes

Examples

C#

public void MacroOnlineVariablesDefine()

{

IOnlineVariable zenonNewOlv = this.OnlineVariables()

.CreateOnlineVariables("New Container");

string[] bulkAdd = new string[] { "WIZ_VAR_10", "WIZ_VAR_11" };

//Add a list of variables to the collection.

zenonNewOlv.AddBulk(ref bulkAdd);

//Activate monitoring of the OLV

zenonNewOlv.Define();

}

VB.NET

Public Sub MacroOnlineVariablesDefine()

Dim zenonNewOlv As IOnlineVariable = Me.OnlineVariables().CreateOnlineVariables("New Container")

Dim bulkAdd As String() = New String() {"WIZ_VAR_10", "WIZ_VAR_11"}

'Add a list of variables to the collection.

zenonNewOlv.AddBulk(bulkAdd)

'Activate monitoring of the OLV

zenonNewOlv.Define()

End Sub

VBA

VBA-Syntax


Undefine

Manuel -> Interfaces de programmation -> Modèles d'objet -> OnlineVariable -> OnlineVariable-Methods -> Undefine

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

This method deactivates monitoring of the linked control system variables.The event VariableChange, usually executed on changing the value of a linked variable, is no longer executed.Hint: This is not necessary, if the online variables are used in combination with zenOn VBA and the events FireActive or FireInactive of the project, as the method Undefine is executed internally at the time of the FireInactive.

Datatype

Undefine() As void

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes

Examples

C#

public void MacroOnlineVariablesUndefine()

{

IOnlineVariable zenonOlv = this.OnlineVariables().Item(0);

zenonOlv.Undefine();

}

VB.NET

Public Sub MacroOnlineVariablesUndefine()

Dim zenonOlv As IOnlineVariable = Me.OnlineVariables().Item(0)

zenonOlv.Undefine()

End Sub

VBA

VBA-Syntax


SetMemCfg

Manuel -> Interfaces de programmation -> Modèles d'objet -> OnlineVariable -> OnlineVariable-Methods -> SetMemCfg

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

SetMemCfg() As VARIANT_BOOL

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

VB.NET

VBA

Examples

C#

VB.NET

VBA


WriteBack

Manuel -> Interfaces de programmation -> Modèles d'objet -> OnlineVariable -> OnlineVariable-Methods -> WriteBack

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

WriteBack() As VARIANT_BOOL

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

VB.NET

VBA

Examples

C#

VB.NET

VBA


ActivateBulkMode

Manuel -> Interfaces de programmation -> Modèles d'objet -> OnlineVariable -> OnlineVariable-Methods -> ActivateBulkMode

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

ActivateBulkMode() As VARIANT_BOOL

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

VB.NET

VBA

Examples

C#

VB.NET

VBA


OnlineVariable-Events

Manuel -> Interfaces de programmation -> Modèles d'objet -> OnlineVariable -> OnlineVariable-Events

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
void | VariableBulkChange | Event: Is fired to handle a bulk of changed variable values | not used | available | yes | yes
void | VariableChange | Event: Is fired by changing the value of a variable | not used | available | yes | yes
void | VariableChange | Event: Is fired by changing the value of a variable | not used | available | yes | yes
void | VariableBulkChange | Event: Is fired to handle a bulk of changed variable values | not used | available | yes | yes

Other topics in this chapter

VariableChange

VariableBulkChange


VariableChange

Manuel -> Interfaces de programmation -> Modèles d'objet -> OnlineVariable -> OnlineVariable-Events -> VariableChange

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

The VariableChange event is fired once a variable in the collection changes. It gets the variable in question as a parameter.

Datatype

VariableChange(IVariable obVar) As void

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

IVariable obVar

VB.NET

ByVal obVar As IVariable

VBA

Examples

C#

public void MacroOnlineVariablesEvents()

{

IOnlineVariable zenonNewOlv = this.OnlineVariables()

.CreateOnlineVariables("New Container");

//Add a new variable to the collection we created above.

zenonNewOlv.Add("WIZ_VAR_10");

//Activate monitoring, without Define the events won't be fired

zenonNewOlv.Define();

//Register a new event handler, normally you would do this at runtime start and not inside a macro,

//This is only for demonstration

zenonNewOlv.VariableChange += new VariableChangeEventHandler(zenonNewOlv_VariableChange);

}

void zenonNewOlv_VariableChange(IVariable obVar)

{

System.Diagnostics.Debug.Print("Variable " + obVar.Name + " was changed");

}

VB.NET

Public Sub MacroOnlineVariablesEvents()

Dim zenonNewOlv As IOnlineVariable = Me.OnlineVariables().CreateOnlineVariables("New Container")

'Add a new variable to the collection we created above.

zenonNewOlv.Add("WIZ_VAR_10")

'Activate monitoring, without Define the events won't be fired

zenonNewOlv.Define()

'Register a new event handler, normally you would do this at runtime start and not inside a macro,

'This is only for demonstration

zenonNewOlv.VariableChange += New VariableChangeEventHandler(AddressOf zenonNewOlv_VariableChange)

End Sub

Private Sub zenonNewOlv_VariableChange(obVar As IVariable)

System.Diagnostics.Debug.Print("Variable " + obVar.Name + " was changed")

End Sub

VBA


VariableBulkChange

Manuel -> Interfaces de programmation -> Modèles d'objet -> OnlineVariable -> OnlineVariable-Events -> VariableBulkChange

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

VariableBulkChange(LPVARIANT pvVars, LPVARIANT pvPvIDs, LPVARIANT pvValues, LPVARIANT pvStatesLo, LPVARIANT pvStatesHi, LPVARIANT pvTimes) As void

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

VB.NET

VBA

Examples

C#

VB.NET

VBA


OnlineVariables

Manuel -> Interfaces de programmation -> Modèles d'objet -> OnlineVariables

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

This collection contains the single objects OnlineVariable. An online variable is an object, in which control system variables are linked, which on being initialized or changed execute a VBA event. In this VBA event user defined actions can be defined.The usage of online variables is recommended for the reading of variable values, as all variables linked to the online variable can be ordered with one action. This enhances the performance.An online variable can be compared to a container or – even better – a Screen of the control system without display. In such a Screen of the control system also all values are ordered from the driver when the Screen is opened.

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes

Examples

C#

void ThisProject_Active()

{

IOnlineVariable zenonOLV = this.OnlineVariables().Item("test_container");

if (zenonOLV == null)

{

//if the container does not exist create it and add variables to it

zenonOLV = this.OnlineVariables().CreateOnlineVariables("test_container");

zenonOLV.Add("WIZ_VAR_10");

zenonOLV.Add("WIZ_VAR_11");

zenonOLV.Add("WIZ_VAR_12");

}

zenonOLV.Define();

zenonOLV.VariableChange += new VariableChangeEventHandler(zenonOLV_VariableChange);

}

void zenonOLV_VariableChange(IVariable obVar)

{

System.Diagnostics.Debug.Print("Variable " + obVar.Name + " was changed.");

}

void ThisProject_Inactive()

{

IOnlineVariable zenonOLV = this.OnlineVariables().Item("test_container");

if (zenonOLV != null)

{

zenonOLV.VariableChange -= zenonOLV_VariableChange;

zenonOLV.Undefine();

this.OnlineVariables().DeleteOnlineVariables("test_container");

}

FreeObjects();

}

VB.NET

Private Sub ThisProject_Active()

Dim zenonOLV As IOnlineVariable = Me.OnlineVariables().Item("test_container")

If zenonOLV Is Nothing Then

'if the container does not exist create it and add variables to it

zenonOLV = Me.OnlineVariables().CreateOnlineVariables("test_container")

zenonOLV.Add("WIZ_VAR_10")

zenonOLV.Add("WIZ_VAR_11")

zenonOLV.Add("WIZ_VAR_12")

End If

zenonOLV.Define()

zenonOLV.VariableChange += New VariableChangeEventHandler(AddressOf zenonOLV_VariableChange)

End Sub

Private Sub zenonOLV_VariableChange(obVar As IVariable)

System.Diagnostics.Debug.Print("Variable " + obVar.Name + " was changed.")

End Sub

Private Sub ThisProject_Inactive()

Dim zenonOLV As IOnlineVariable = Me.OnlineVariables().Item("test_container")

If zenonOLV IsNot Nothing Then

RemoveHandler zenonOLV.VariableChange, AddressOf zenonOLV_VariableChange

zenonOLV.Undefine()

Me.OnlineVariables().DeleteOnlineVariables("test_container")

End If

FreeObjects()

End Sub

VBA

Dim WithEvents zOLV As OnlineVariable
Const strOLV As String = "MyOnlineVariableContainer"

'initialize event on runtime startup
Private Sub Project_Active()
'get object if already exists
Set zOLV = thisProject.OnlineVariables.Item(strOLV)
If zOLV Is Nothing Then
'if not exitst, create a new OnlineVariable container
Set zOLV = thisProject.OnlineVariables.CreateOnlineVariables(strOLV)
'add variables to the container
zOLV.Add "Variable1"
zOLV.Add "Variable2"
zOLV.Add "Variable3"
End If
'activate 'VariableChange' event
zOLV.Define
End Sub

'event is fired when a variable value changes
Private Sub zOLV_VariableChange(ByVal obVar As IVariable)
Dim vValue As Variant
vValue = obVar.Value
'ignore error values (i.e. on startup)
If IsError(vValue) Then Exit Sub
D ebug.Print obVar.Name & " = " & vValue
End Sub

'release objects on closing the runtime
Private Sub Project_Inactive()
'deactivate 'VariableChange' event
If Not zOLV Is Nothing Then zOLV.Undefine
Set zOLV = Nothing
End Sub

Remarque : Les caractères spéciaux, tels que ß et /\, ne sont pas autorisés dans les noms de projets zenon. Les caractères suivants sont autorisés : Chiffres, lettres et caractère de soulignement (_). Vous trouverez d'autres informations à ce sujet dans le manuel Gestion de projets et espace de travail, au chapitre Créer un nouveau projet.

Other topics in this chapter

OnlineVariables-Properties

OnlineVariables-Methods


OnlineVariables-Properties

Manuel -> Interfaces de programmation -> Modèles d'objet -> OnlineVariables -> OnlineVariables-Properties

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
long | Count | Count of defined online-variables | read only | read only | yes | yes
IProject | Parent | Parent-object | read only | read only | yes | yes

Other topics in this chapter

Parent

Count


Parent

Manuel -> Interfaces de programmation -> Modèles d'objet -> OnlineVariables -> OnlineVariables-Properties -> Parent

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the parent object

Datatype

Parent() As Project

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


Count

Manuel -> Interfaces de programmation -> Modèles d'objet -> OnlineVariables -> OnlineVariables-Properties -> Count

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

The method returns the number of available objects. This property is mostly used for the method Item to run through each single object.Hint: For running through entries care, that the minimum is 0 and the maximum is Count-1.

Datatype

Count() As long

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


OnlineVariables-Methods

Manuel -> Interfaces de programmation -> Modèles d'objet -> OnlineVariables -> OnlineVariables-Methods

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
IOnlineVariable | CreateOnlineVariables | Creates a new online-variable (unique name) | not used | available | yes | yes
VARIANT_BOOL | DeleteOnlineVariables | Deletes the given variable | not used | available | yes | yes
IOnlineVariable | Item | Returns the variable by name or position | available | available | yes | yes
IOnlineVariable | CreateOnlineVariables | Creates a new online-variable (unique name) | not used | available | yes | yes
VARIANT_BOOL | DeleteOnlineVariables | Deletes the given variable | not used | available | yes | yes

Other topics in this chapter

CreateOnlineVariables

DeleteOnlineVariables

Item


CreateOnlineVariables

Manuel -> Interfaces de programmation -> Modèles d'objet -> OnlineVariables -> OnlineVariables-Methods -> CreateOnlineVariables

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

CreateOnlineVariables(BSTR Name) As IOnlineVariable

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

string Name

VB.NET

ByVal Name As String

VBA

Examples

C#

void ThisProject_Active()

{

IOnlineVariable zenonOLV = this.OnlineVariables().Item("test_container");

if (zenonOLV == null)

{

//if the container does not exist create it and add variables to it

zenonOLV = this.OnlineVariables().CreateOnlineVariables("test_container");

zenonOLV.Add("WIZ_VAR_10");

zenonOLV.Add("WIZ_VAR_11");

zenonOLV.Add("WIZ_VAR_12");

}

zenonOLV.Define();

zenonOLV.VariableChange += new VariableChangeEventHandler(zenonOLV_VariableChange);

}

void zenonOLV_VariableChange(IVariable obVar)

{

System.Diagnostics.Debug.Print("Variable " + obVar.Name + " was changed.");

}

void ThisProject_Inactive()

{

IOnlineVariable zenonOLV = this.OnlineVariables().Item("test_container");

if (zenonOLV != null)

{

zenonOLV.VariableChange -= zenonOLV_VariableChange;

zenonOLV.Undefine();

this.OnlineVariables().DeleteOnlineVariables("test_container");

}

FreeObjects();

}

VB.NET

Private Sub ThisProject_Active()

Dim zenonOLV As IOnlineVariable = Me.OnlineVariables().Item("test_container")

If zenonOLV Is Nothing Then

'if the container does not exist create it and add variables to it

zenonOLV = Me.OnlineVariables().CreateOnlineVariables("test_container")

zenonOLV.Add("WIZ_VAR_10")

zenonOLV.Add("WIZ_VAR_11")

zenonOLV.Add("WIZ_VAR_12")

End If

zenonOLV.Define()

zenonOLV.VariableChange += New VariableChangeEventHandler(AddressOf zenonOLV_VariableChange)

End Sub

Private Sub zenonOLV_VariableChange(obVar As IVariable)

System.Diagnostics.Debug.Print("Variable " + obVar.Name + " was changed.")

End Sub

Private Sub ThisProject_Inactive()

Dim zenonOLV As IOnlineVariable = Me.OnlineVariables().Item("test_container")

If zenonOLV IsNot Nothing Then

RemoveHandler zenonOLV.VariableChange, AddressOf zenonOLV_VariableChange

zenonOLV.Undefine()

Me.OnlineVariables().DeleteOnlineVariables("test_container")

End If

FreeObjects()

End Sub

VBA


DeleteOnlineVariables

Manuel -> Interfaces de programmation -> Modèles d'objet -> OnlineVariables -> OnlineVariables-Methods -> DeleteOnlineVariables

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

DeleteOnlineVariables(BSTR Name) As VARIANT_BOOL

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

string Name

VB.NET

ByVal Name As String

VBA

Examples

C#

void ThisProject_Active()

{

IOnlineVariable zenonOLV = this.OnlineVariables().Item("test_container");

if (zenonOLV == null)

{

//if the container does not exist create it and add variables to it

zenonOLV = this.OnlineVariables().CreateOnlineVariables("test_container");

zenonOLV.Add("WIZ_VAR_10");

zenonOLV.Add("WIZ_VAR_11");

zenonOLV.Add("WIZ_VAR_12");

}

zenonOLV.Define();

zenonOLV.VariableChange += new VariableChangeEventHandler(zenonOLV_VariableChange);

}

void zenonOLV_VariableChange(IVariable obVar)

{

System.Diagnostics.Debug.Print("Variable " + obVar.Name + " was changed.");

}

void ThisProject_Inactive()

{

IOnlineVariable zenonOLV = this.OnlineVariables().Item("test_container");

if (zenonOLV != null)

{

zenonOLV.VariableChange -= zenonOLV_VariableChange;

zenonOLV.Undefine();

this.OnlineVariables().DeleteOnlineVariables("test_container");

}

FreeObjects();

}

VB.NET

Private Sub ThisProject_Active()

Dim zenonOLV As IOnlineVariable = Me.OnlineVariables().Item("test_container")

If zenonOLV Is Nothing Then

'if the container does not exist create it and add variables to it

zenonOLV = Me.OnlineVariables().CreateOnlineVariables("test_container")

zenonOLV.Add("WIZ_VAR_10")

zenonOLV.Add("WIZ_VAR_11")

zenonOLV.Add("WIZ_VAR_12")

End If

zenonOLV.Define()

zenonOLV.VariableChange += New VariableChangeEventHandler(AddressOf zenonOLV_VariableChange)

End Sub

Private Sub zenonOLV_VariableChange(obVar As IVariable)

System.Diagnostics.Debug.Print("Variable " + obVar.Name + " was changed.")

End Sub

Private Sub ThisProject_Inactive()

Dim zenonOLV As IOnlineVariable = Me.OnlineVariables().Item("test_container")

If zenonOLV IsNot Nothing Then

RemoveHandler zenonOLV.VariableChange, AddressOf zenonOLV_VariableChange

zenonOLV.Undefine()

Me.OnlineVariables().DeleteOnlineVariables("test_container")

End If

FreeObjects()

End Sub

VBA


Item

Manuel -> Interfaces de programmation -> Modèles d'objet -> OnlineVariables -> OnlineVariables-Methods -> Item

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the object OnlineVariable from the collection, which is identified by the parameter vID.The parameter vID can have two values:· Index: Access with an index mostly is used in combination with the property Count to find out the position of the online variable object in the list.· Variable name: The online variable can also be accessed with its unique name.

Datatype

Item(VARIANT vID) As OnlineVariable

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

Index or name as Variant
If the parameter is a numerical value, the variable is searched by its index (>= 0 and <= Count-1). If it is an alphanumerical value, the variable is searched by its unique name.

C#

object vID

VB.NET

ByVal vID As Object

VBA

vID As Variant

Examples

C#

void ThisProject_Active()

{

IOnlineVariable zenonOLV = this.OnlineVariables().Item("test_container");

if (zenonOLV == null)

{

//if the container does not exist create it and add variables to it

zenonOLV = this.OnlineVariables().CreateOnlineVariables("test_container");

zenonOLV.Add("WIZ_VAR_10");

zenonOLV.Add("WIZ_VAR_11");

zenonOLV.Add("WIZ_VAR_12");

}

zenonOLV.Define();

zenonOLV.VariableChange += new VariableChangeEventHandler(zenonOLV_VariableChange);

}

void zenonOLV_VariableChange(IVariable obVar)

{

System.Diagnostics.Debug.Print("Variable " + obVar.Name + " was changed.");

}

void ThisProject_Inactive()

{

IOnlineVariable zenonOLV = this.OnlineVariables().Item("test_container");

if (zenonOLV != null)

{

zenonOLV.VariableChange -= zenonOLV_VariableChange;

zenonOLV.Undefine();

this.OnlineVariables().DeleteOnlineVariables("test_container");

}

FreeObjects();

}

VB.NET

Private Sub ThisProject_Active()

Dim zenonOLV As IOnlineVariable = Me.OnlineVariables().Item("test_container")

If zenonOLV Is Nothing Then

'if the container does not exist create it and add variables to it

zenonOLV = Me.OnlineVariables().CreateOnlineVariables("test_container")

zenonOLV.Add("WIZ_VAR_10")

zenonOLV.Add("WIZ_VAR_11")

zenonOLV.Add("WIZ_VAR_12")

End If

zenonOLV.Define()

zenonOLV.VariableChange += New VariableChangeEventHandler(AddressOf zenonOLV_VariableChange)

End Sub

Private Sub zenonOLV_VariableChange(obVar As IVariable)

System.Diagnostics.Debug.Print("Variable " + obVar.Name + " was changed.")

End Sub

Private Sub ThisProject_Inactive()

Dim zenonOLV As IOnlineVariable = Me.OnlineVariables().Item("test_container")

If zenonOLV IsNot Nothing Then

RemoveHandler zenonOLV.VariableChange, AddressOf zenonOLV_VariableChange

zenonOLV.Undefine()

Me.OnlineVariables().DeleteOnlineVariables("test_container")

End If

FreeObjects()

End Sub

VBA

'enumerate all OnlineVariables
Sub EnumOLVs()
Dim i As Integer
Dim obOLV As OnlineVariable
For i = 0 To thisProject.OnlineVariables.Count - 1
Set obOLV = thisProject.OnlineVariables.Item(i)
Debug.Print obOLV.Name & " (Vars: " & obOLV.Count & ")"
Next i
End Sub


Passwords

Manuel -> Interfaces de programmation -> Modèles d'objet -> Passwords

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

This object represents the user administration of the current project.With this object new users can be created and existing users can be edited/deleted during online operation. These changes can be imported into the Editor with decompiling. See the documentation of the control system for further information on decompiling.Users also can be logged in and out with this collection. Additionally this objects offers information on the currently logged in user.A user login executes the event UserChange with which you can execute user defined actions.Hint: For the event the object has to be defined with the attribute WithEvents in Visual Basic or VBA.

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Examples

C#

VB.NET

VB.NET-Syntax

VBA

Dim WithEvents zUserAdministration As Passwords

'initialize event on runtime startup
Private Sub Project_Active()
Set zUserAdministration = thisProject.Passwords
End Sub

Private Sub zUserAdministration_UserChange()
Debug.Print zUserAdministration.LoggedUser; " is logged in!"
End Sub

'create a new user
Sub CreateUser()
Dim zUser As User
'12345 = Levels: 0,3,4,5,12,13
Set zUser = thisProject.Passwords.CreateUser("Full Name", "Username", "P@ssword", 12345)
With zUser
.Active = True
.Admin = True
.Locked = False
End With
End Sub

'change some user properties
Sub ChangeUser()
Dim zUser As User
Dim vResult As Variant

Set zUser = thisProject.Passwords.ItemUser(0)
Debug.Print zUser.Name & " will be changed"

'change the identification of the user
vResult = zUser.IdentificationChange("NewLogonName")

'change the password for the user
vResult = zUser.PasswordChange("P@ssword", "NewPassword")

End Sub

'login a user with its password...
Sub LoginUser()
Dim bResult As Boolean
bResult = zUserAdministration.LoginPassword("LogonName", "P@ssword")
End Sub

'release objects on closing the runtime
Private Sub Project_Inactive()
Set zUserAdministration = Nothing
End Sub

Other topics in this chapter

Passwords-Properties

Passwords-Methods

Passwords-Events


Passwords-Properties

Manuel -> Interfaces de programmation -> Modèles d'objet -> Passwords -> Passwords-Properties

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
long | CountUser | Count of defined users | available | available | yes | yes
long | CountUserGroup | Count of defined usergroups | read only | read only | yes | yes
BSTR | LoggedUser | Current logged on user | available | available | yes | yes
BSTR | LoggedUsername | TagName of the logged on user | available | available | yes | yes
IProject | Parent | Parent-object | read only | read only | yes | yes

Other topics in this chapter

Parent

LoggedUser

LoggedUsername

CountUser

CountUserGroup


Parent

Manuel -> Interfaces de programmation -> Modèles d'objet -> Passwords -> Passwords-Properties -> Parent

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the parent object

Datatype

Parent() As Project

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


LoggedUser

Manuel -> Interfaces de programmation -> Modèles d'objet -> Passwords -> Passwords-Properties -> LoggedUser

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the identification of the user currently logged in.The identification can have up to 14 characters. The identification is the unique Id for the user, i.e. with this parameter the user can be identified.E.g. the identification for the user System is 0000.

Datatype

LoggedUser() As String

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes


LoggedUsername

Manuel -> Interfaces de programmation -> Modèles d'objet -> Passwords -> Passwords-Properties -> LoggedUsername

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the name of the currently logged in user.The name of the user is defined in the control system.

Datatype

LoggedUsername() As String

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes


CountUser

Manuel -> Interfaces de programmation -> Modèles d'objet -> Passwords -> Passwords-Properties -> CountUser

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the number of defined users, created in the user adminsitration of the control system.This method mostly is used for the iteration, i.e. to run through all the users in combination with the method ItemUser.

Datatype

CountUser() As long

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes


CountUserGroup

Manuel -> Interfaces de programmation -> Modèles d'objet -> Passwords -> Passwords-Properties -> CountUserGroup

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the number of defined usergroups, created in the user adminsitration of the control system.This method mostly is used for the iteration, i.e. to run through all the usergroups in combination with the method ItemUserGroup.

Datatype

CountUserGroup() As long

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


Passwords-Methods

Manuel -> Interfaces de programmation -> Modèles d'objet -> Passwords -> Passwords-Methods

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description |  | Editor | Runtime | VBA | VSTA
VARIANT_BOOL | CheckIn | Save module modifications to server (editor). |  | available | not used | yes | yes
tpLoginResult | CheckLogin | Checks the Login of a user with given ID and password |  | not used | available | yes | yes
VARIANT_BOOL | CheckOut | Allow module modifications (editor). |  | available | not used | yes | yes
IUser | CreateUser | Creates a new user |  | available | available | yes | yes
IUser | CreateUserEx | Creates a new user |  | available | available | yes | yes
IUserGroup | CreateUserGroup | Creates a new usergroup |  | available | not used | yes | yes
VARIANT_BOOL | DeleteUser | Deletes the given user |  | available | available | yes | yes
VARIANT_BOOL | DeleteUserGroup | Deletes the given usergroup |  | available | not used | yes | yes
VARIANT_BOOL | Export | Exports the user list |  | available | not used | yes | yes
VARIANT_BOOL | ExportGroup | Exports the usergroup list |  | available | not used | yes | yes
VARIANT_BOOL | Get | Get the latest version from the server (editor). |  | available | not used | yes | yes
VARIANT_BOOL | Import | Imports the user list |  | available | not used | yes | yes
VARIANT_BOOL | ImportGroup | Imports the usergroup list |  | available | not used | yes | yes
VARIANT_BOOL | IsCheckedOut | Returns true when the current module checked out by the current user (editor). |  | read only | not used | yes | yes
VARIANT_BOOL | IsDifferent | Returns true when the local and server version are different (editor). | read only |  | not used | yes |  | yes
VARIANT_BOOL | IsLocked | Returns true when the current module is Locked by another user (editor). |  | read only | not used | yes | yes
IUser | ItemUser | Returns user by position or by name |  | available | available | yes | yes
IUserGroup | ItemUserGroup | Returns usergroup by position or by name |  | available | available | yes | yes
VARIANT_BOOL | Login | Logs in the user with the given ID |  | available | available | yes | yes
VARIANT_BOOL | LoginPassword | Logs in the user with the given ID and the given password |  | available | available | yes | yes
void | Logoff | Log out the current user |  | available | available | yes | yes
VARIANT_BOOL | SingleExport | Exports the Item with given Name oder Index |  | available | available | yes | yes
VARIANT_BOOL | SingleExportGroup | Exports the Item with given Name oder Index |  | available | available | yes | yes
VARIANT_BOOL | UndoCheckOut | Undo module modifications (editor). |  | available | not used | yes | yes
tpLoginResult | CheckLoginEx | Checks the Login of a user with given ID and password hash |  | not used | available | yes | yes

Other topics in this chapter

Login

LoginPassword

CheckLogin

CheckLoginEx

Logoff

CreateUser

CreateUserEx

DeleteUser

ItemUser

SingleExport

Export

Import

CreateUserGroup

DeleteUserGroup

ItemUserGroup

ExportGroup

SingleExportGroup

ImportGroup

Get

CheckOut

CheckIn

UndoCheckOut

IsLocked

IsCheckedOut

IsDifferent


Login

Manuel -> Interfaces de programmation -> Modèles d'objet -> Passwords -> Passwords-Methods -> Login

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Searches for the user with the identification szIdentification and tries to log him in, if he is not the currently logged in user.If a user with the given identification cannot be found, an entry in the CEL is generated.Otherwise the user is logged in and the following further actions are executed:·System variable for current user level is actualized·System variable for the name of the current user is updated.·Alarming is informed about the user change·All opened MDI windows are informed about the user change.·A CEL entry for the user is generated. The·UserChange event for the object Passwords is fired.

Datatype

Login(String szIdentification) As Boolean

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

Index or name as variant.
If the parameter is a numerical value, the user is searched by its index (>= 0 and <= Count-1).
If it is an alphanumerical value, the user is searched by its unique name.

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

vIndex As Variant

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

'login a user...
Sub LoginUser()
Dim bResult As Boolean
bResult = zUserAdministration.Login("LogonName")
End Sub


LoginPassword

Manuel -> Interfaces de programmation -> Modèles d'objet -> Passwords -> Passwords-Methods -> LoginPassword

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Searches for the user with the identification szIdentification and tries to log him in, if he is not the currently logged in user.In this case also the new password is compared to the current one.If a user with thie identification cannot be found, an entry in the CEL is generated.Otherwise the user is logged in and the following further actions are executed:·System variable for current user level is actualized·System variable for the name of the current user is actualized·Alarming is informed about user change·All opened MDI windows are informed about user change·CEL entry for user is generated·UserChange event for the object Passwords is executed

Datatype

LoginPassword(String szIdentification,String szPassword) As Boolean

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

Password of the user as string.

Identification of a user as string.

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

szPassword As String

szIdentification As String

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

'login a user with its password...
Sub LoginUser()
Dim bResult As Boolean
bResult = zUserAdministration.LoginPassword("LogonName", "P@ssword")
End Sub


CheckLogin

Manuel -> Interfaces de programmation -> Modèles d'objet -> Passwords -> Passwords-Methods -> CheckLogin

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Function CheckLogin(szUser As String, szPassword As String, vLevels) As tpLogin

Besides a new enumeration tpLogin with the following values:

tpDefaultError, tpLoginOk, tpPasswordExpired, tpSystemLocked, tpUserDeactivated, tpUserLocked, tpWrongPassword, tpWrongPasswordUserLocked, tpWrongUser, tpWrongUserSystemLocked

The committed user name and password are checked, the result is returned and a corresponding CEL entry is generated. Error entries on user name and password have the same consequences as on normal log in. (for ex. blocking the user or systems after a certain number). Is the user authenticated successfully, his authority levels are returned as an array of 4 longs (in the variant vLevels).

Datatype

CheckLogin(String szUser,String szPassword,LPVARIANT vLevels) As tpLoginResult

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Public Sub Macro_CheckLogin()
Dim zPassword As Passwords
Dim tpResult As tpLoginResult
Dim vLevels As Variant
Dim vUserLevel As Variant
Dim i As Integer
Dim j As Integer
Dim mask As Double
Dim userLevels As String

Set zPassword = thisProject.Passwords
'Get Login result
tpResult = zPassword.CheckLogin("John", "123456", vLevels)
' Show result
getTpResultInformaion (tpResult)

For i = 0 To UBound(vLevels) 'User levels split in 4 groups with 32 bits
j = 0
mask = 0

If vLevels(i) > 0 Then
For j = 0 To 31 - 1 ' iterate the 32 bits
mask = 2 ^ j ' 0,2,4,8,16,32,64....
If vLevels(i) And mask Then ' If bit is set the user has this level
userLevels = userLevels + CStr(j + (32 * i)) & " "
End If
Next j
End If
Next i
Debug.Print ("User Levels: " & userLevels)
End Sub

Private Function getTpResultInformaion(tpResult As tpLoginResult)

Select Case tpResult
Case tpLoginResult.tpLoginOk
Debug.Print ("Login Ok: " & tpLoginResult.tpLoginOk)
Case tpLoginResult.tpPasswordExpired
Debug.Print ("Password expired: " & tpLoginResult.tpPasswordExpired)
Case tpLoginResult.tpSystemLocked
Debug.Print ("System locked: " & tpLoginResult.tpSystemLocked)
Case tpLoginResult.tpUserDeactivated
Debug.Print ("User deactivated: " & tpLoginResult.tpUserDeactivated)
Case tpLoginResult.tpUserLocked
Debug.Print ("User locked: " & tpLoginResult.tpUserLocked)
Case tpLoginResult.tpWrongPassword
Debug.Print ("Wrong password: " & tpLoginResult.tpWrongPassword)
Case tpLoginResult.tpWrongPasswordUserLocked
Debug.Print ("Wrong password - User locked: " & tpLoginResult.tpWrongPasswordUserLocked)
Case tpLoginResult.tpWrongUser
Debug.Print ("Wrong user: " & tpLoginResult.tpWrongUser)
Case tpLoginResult.tpWrongUserSystemLocked
Debug.Print ("Wrong user- System locked: " & tpLoginResult.tpWrongUserSystemLocked)
Case tpLoginResult.tpDefaultError
Debug.Print ("Default Error: " & tpLoginResult.tpDefaultError)
End Select

End Function


CheckLoginEx

Manuel -> Interfaces de programmation -> Modèles d'objet -> Passwords -> Passwords-Methods -> CheckLoginEx

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

CheckLoginEx(BSTR szUser,BSTR szPwdHash,BSTR szServerSalt,BSTR szClientSalt,tpLoginType eLoginType,LPVARIANT vLevels) As tpLoginResult

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

VB.NET

VBA

Examples

C#

VB.NET

VBA


Logoff

Manuel -> Interfaces de programmation -> Modèles d'objet -> Passwords -> Passwords-Methods -> Logoff

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

This method logs out the current user and logs in the user SYSTEM.If the user SYSTEM is already active, no further steps are taken.

Datatype

Logoff() As void

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


CreateUser

Manuel -> Interfaces de programmation -> Modèles d'objet -> Passwords -> Passwords-Methods -> CreateUser

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

This method creates new users during online operation. If the identification is an empty string or an user with the same identification already exists, this method returns Nothing.Hint: Therefore the returned object always should be checked on Nothing.If the identification is valid, a new object User is created and the defined parameters are transferred to the object. Then the object is handed over to the central user administration and the changes are saved.

Datatype

CreateUser(String szIdentification,String szUsername,String szPassword,long dwLevel) As User

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

Password level of the user as long.

Password of the user as string.

Unique name of the user as string.

Identification of a user as string.

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

dwLevel As Long

szPassword As String

szUsername As String

szIdentification As String

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

'create a new user
Sub CreateUser()
Dim zUser As User
'12345 = Levels: 0,3,4,5,12,13
Set zUser = thisProject.Passwords.CreateUser("Full Name", "Username", "P@ssword", 12345)
With zUser
.Active = True
.Admin = True
.Locked = False
End With
End Sub


CreateUserEx

Manuel -> Interfaces de programmation -> Modèles d'objet -> Passwords -> Passwords-Methods -> CreateUserEx

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

This method creates new users during online operation. If the identification is an empty string or an user with the same identification already exists, this method returns Nothing.Hint: Therefore the returned object always should be checked on Nothing.If the identification is valid, a new object User is created and the defined parameters are transferred to the object. Then the object is handed over to the central user administration and the changes are saved.

Datatype

CreateUserEx(String szIdentification,String szUsername,String szPassword,long dwLevel1,long dwLevel2,long dwLevel3,long dwLevel4) As User

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

Password levels 0 to 31 of the user as long.

Password levels 32 to 63 of the user as long.

Password levels 64 to 95 of the user as long.

Password of the user as string.

Password levels 96 to 127 of the user as long.

Unique name of the user as string.

Identification of a user as string.

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

dwLevel1 As Long

dwLevel2 As Long

dwLevel3 As Long

szPassword As String

dwLevel4 As Long

szUsername As String

szIdentification As String

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

'create a new user
Sub CreateUser()
Dim zUser As User
'12345 = Levels: 0,3,4,5,12,13
' 4711 = Levels: 32,33,34,37,38,41,44
' 555 = Levels: 64,65,67,69,73
' 1234 = Levels: 97,100,102,103,106
Set zUser = thisProject.Passwords.CreateUserEx("LogonName", "Full Username", "P@ssword", 12345, 4711, 555, 1234)
With zUser
.Active = True
.Admin = True
.Locked = False
End With
End Sub


DeleteUser

Manuel -> Interfaces de programmation -> Modèles d'objet -> Passwords -> Passwords-Methods -> DeleteUser

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

This method deletes the user with the identification szIdentification from the central user administration.This change is immediately saved, i.e. after deleting a user he is no longer available for the system.If no user with this identification can be found, the method returns False.

Datatype

DeleteUser(String szIdentification) As Boolean

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

Identification of a user as string.

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

szIdentification As String

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

'delete a user
Sub DeleteUSer()
Dim bResult As Boolean
bResult = thisProject.Passwords.DeleteUSer("LogonName")
End Sub


ItemUser

Manuel -> Interfaces de programmation -> Modèles d'objet -> Passwords -> Passwords-Methods -> ItemUser

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the user from the collection, who is identified by the parameter vIndex.The parameter vIndex can have two values:· Index: Access with an index mostly is used in combination with the property Count to find out the position of the variable object in the list.· Identification: The user can also be accessed with his unique identification.Hint: The returned object should be checked on Nothing to find out, if no object for the search creteria was found.

Datatype

ItemUser(VARIANT vIndex) As User

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

Index or name as variant.
If the parameter is a numerical value, the user is searched by its index (>= 0 and <= Count-1).
If it is an alphanumerical value, the user is searched by its unique name.

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

vIndex As Variant

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

'enumerate all users
Sub EnumUsers()
Dim zUser As User
Dim i As Integer

For i = 0 To thisProject.Passwords.CountUser - 1
'get user object
Set zUser = thisProject.Passwords.ItemUser(i)
Debug.Print zUser.Identification & " > " & zUser.Name
Next i
End Sub


SingleExport

Manuel -> Interfaces de programmation -> Modèles d'objet -> Passwords -> Passwords-Methods -> SingleExport

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

SingleExport(VARIANT vIndexOrName,String bsFileName) As Boolean

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


Export

Manuel -> Interfaces de programmation -> Modèles d'objet -> Passwords -> Passwords-Methods -> Export

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Export settings to an xml file

Datatype

Export(String bsFileName) As Boolean

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

Filename (path) as string of the xml file to import.

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

bsFileName As String

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Private Sub zenOn_ExportImportSettings(ByRef zenOnObject As Object)
End Sub


Import

Manuel -> Interfaces de programmation -> Modèles d'objet -> Passwords -> Passwords-Methods -> Import

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Import settings from an xml file. New settings are added, existing settings will be replaced.

Datatype

Import(String bsFileName) As Boolean

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

Filename (path) as string of the xml file to import.

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

bsFileName As String

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Private Sub zenOn_ExportImportSettings(ByRef zenOnObject As Object)
End Sub


CreateUserGroup

Manuel -> Interfaces de programmation -> Modèles d'objet -> Passwords -> Passwords-Methods -> CreateUserGroup

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

CreateUserGroup(String szName,long dwLevel) As UserGroup

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


DeleteUserGroup

Manuel -> Interfaces de programmation -> Modèles d'objet -> Passwords -> Passwords-Methods -> DeleteUserGroup

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

DeleteUserGroup(String szName) As Boolean

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


ItemUserGroup

Manuel -> Interfaces de programmation -> Modèles d'objet -> Passwords -> Passwords-Methods -> ItemUserGroup

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

ItemUserGroup(VARIANT vIndex) As UserGroup

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


ExportGroup

Manuel -> Interfaces de programmation -> Modèles d'objet -> Passwords -> Passwords-Methods -> ExportGroup

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

ExportGroup(String bsFileName) As Boolean

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

Filename (path) as string of the xml file to export.

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

bsFileName As String

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Private Sub zenOn_ExportImportSettings(ByRef zenOnObject As Object)
End Sub


SingleExportGroup

Manuel -> Interfaces de programmation -> Modèles d'objet -> Passwords -> Passwords-Methods -> SingleExportGroup

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

SingleExportGroup(VARIANT vIndexOrName,String bsFileName) As Boolean

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


ImportGroup

Manuel -> Interfaces de programmation -> Modèles d'objet -> Passwords -> Passwords-Methods -> ImportGroup

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

ImportGroup(String bsFileName) As Boolean

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

Filename (path) as string of the xml file to import.

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

bsFileName As String

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Private Sub zenOn_ExportImportSettings(ByRef zenOnObject As Object)
End Sub


Get

Manuel -> Interfaces de programmation -> Modèles d'objet -> Passwords -> Passwords-Methods -> Get

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Get the latest version from the server (editor). This option is only working for multi-user projects.

Datatype

Get() As Boolean

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


CheckOut

Manuel -> Interfaces de programmation -> Modèles d'objet -> Passwords -> Passwords-Methods -> CheckOut

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Allow module modifications (editor). This option is only working for multi-user projects.

Datatype

CheckOut() As Boolean

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


CheckIn

Manuel -> Interfaces de programmation -> Modèles d'objet -> Passwords -> Passwords-Methods -> CheckIn

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Save module modifications to server (editor). This option is only working for multi-user projects.

Datatype

CheckIn() As Boolean

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


UndoCheckOut

Manuel -> Interfaces de programmation -> Modèles d'objet -> Passwords -> Passwords-Methods -> UndoCheckOut

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Undo module modifications (editor). This option is only working for multi-user projects.

Datatype

UndoCheckOut() As Boolean

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


IsLocked

Manuel -> Interfaces de programmation -> Modèles d'objet -> Passwords -> Passwords-Methods -> IsLocked

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns true if modification changes are locked due to a checkout. This option is only working for multi-user projects.

Datatype

IsLocked() As Boolean

Availability

Environment | Available
Editor | read only
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


IsCheckedOut

Manuel -> Interfaces de programmation -> Modèles d'objet -> Passwords -> Passwords-Methods -> IsCheckedOut

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns true if scripts are checked out. This option is only working for multi-user projects.

Datatype

IsCheckedOut() As Boolean

Availability

Environment | Available
Editor | read only
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


IsDifferent

Manuel -> Interfaces de programmation -> Modèles d'objet -> Passwords -> Passwords-Methods -> IsDifferent

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns true if local version differs from server (editor) version. This option is only working for multi-user projects.

Datatype

IsDifferent() As VARIANT_BOOL

Availability

Environment | Available
Editor | read only
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


Passwords-Events

Manuel -> Interfaces de programmation -> Modèles d'objet -> Passwords -> Passwords-Events

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
void | UserChange |  | available | available | yes | yes
void | ValidatePassword |  | not used | available | yes | yes

Other topics in this chapter

UserChange

ValidatePassword


UserChange

Manuel -> Interfaces de programmation -> Modèles d'objet -> Passwords -> Passwords-Events -> UserChange

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

This event is executed, when a user is logged into the system.In this event you can execute your user defined actions.With the property LoggedUser and the method ItemUser you can find out the newly logged in user.Hint: For the event the object has to be defined with the attribute WithEvents in Visual Basic or VBA.

Datatype

UserChange() As void

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


ValidatePassword

Manuel -> Interfaces de programmation -> Modèles d'objet -> Passwords -> Passwords-Events -> ValidatePassword

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

ValidatePassword(String bsIdentification, String bsPassword, Boolean bOK) As void

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes

Parameters

Contains the Identification of the User who tries to change his password...

Contains the new password wich was entered by the actual user...

Defines if the new password is valid or not.
Set the "bOK" to "False" if the password is not valid.
Default value = True

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

bsIdentification As String

bsPassword As String

bOK As Boolean

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

'The following Code is used in the "thisProject" classmodule...
Dim WithEvents zPWD As Passwords

Private Sub Project_Active()
Set zPWD = thisProject.Passwords
End Sub

Private Sub zPWD_ValidatePassword(ByVal bsIdentification As String, ByVal bsPassword As String, bOK As Boolean)
'check password length
If Len(bsPassword) < 8 Then
bOK = False
Else
'check if password contains username
If InStr(1, UCase(bsPassword), UCase(bsIdentification)) <> 0 Then
bOK = False
End If
End If

End Sub


PfsCalendar

Manuel -> Interfaces de programmation -> Modèles d'objet -> PfsCalendar

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Examples

C#

VB.NET

VBA

Other topics in this chapter

PfsCalendar-Methods


PfsCalendar-Methods

Manuel -> Interfaces de programmation -> Modèles d'objet -> PfsCalendar -> PfsCalendar-Methods

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
VARIANT | SchedulesForDay | Returns the linked schedules for the day | available | available | yes | yes
IPfsTimeModell | TimeModelForDay | Returns the linked time model for the day | available | available | yes | yes
IPfsSwitchingPointFilter | CreateSwitchingPointFilter | Creates a switching point filter that can be configured and then used to call the SwitchingPointPreview method | available | available | yes | yes

Other topics in this chapter

SchedulesForDay

TimeModelForDay

CreateSwitchingPointFilter


SchedulesForDay

Manuel -> Interfaces de programmation -> Modèles d'objet -> PfsCalendar -> PfsCalendar-Methods -> SchedulesForDay

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Get scheduals for a specific day.

Datatype

SchedulesForDay(DATE date, BSTR bstrGroup) As VARIANT

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

VB.NET

VBA

Examples

C#

VB.NET

VBA

Public Sub ShowTodaysScheduleType()

Set PfsSchedule = thisProject.pfs.Groups.Item(0).Schedules.Item(0)

Dim link As tpPfsDayLink

link = PfsSchedule.IsOnDay(Date)

If link = tpPfsExecute Then

MsgBox "Einzeltag"

End If

If link = tpPfsSkip Then

MsgBox "Übersprungen"

End If

If link = tpPfsDefaultDay Then

MsgBox "Defaultbelegung"

End If

If link = tpPfsUnused Then

MsgBox "Nicht verwendet"

End If

End Sub

Public Sub SetTodaysSchedule()

Dim PfsSchedule As PfsSchedule

Set PfsSchedule = thisProject.pfs.Groups.Item(0).Schedules.Item(0)

Call PfsSchedule.AddToDay(Date, tpPfsExecute)

thisProject.pfs.Save

End Sub

Public Sub DeleteTodaysSchedule()

Dim PfsSchedule As PfsSchedule

Set PfsSchedule = thisProject.pfs.Groups.Item(0).Schedules.Item(0)

Call PfsSchedule.RemoveFromDay(Date, True)

thisProject.pfs.Save

End Sub

Public Sub GetCalendar()

Dim Engine As PfsEngine

Dim Calendar As PfsCalendar

Set Engine = thisProject.Pfs

Set Calendar = Engine.Calendar

End Sub

Public Sub GetSchedules()

Dim calendar As pfsCalendar

Dim schedules() As pfsSchedule

Set calendar = thisProject.Pfs.calendar

schedules = calendar.SchedulesForDay(Now, "ZMG1")

Dim text As String

For I = 0 To UBound(schedules)

text = text + schedules(I).Name + "/"

Next I

MsgBox text

End Sub


TimeModelForDay

Manuel -> Interfaces de programmation -> Modèles d'objet -> PfsCalendar -> PfsCalendar-Methods -> TimeModelForDay

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Connect a timemodel to a single day.

Datatype

TimeModelForDay(DATE date, BSTR bstrGroup) As IPfsTimeModell

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

VB.NET

VBA

Examples

C#

VB.NET

VBA

Public Sub ConnectTimeModelToDay()

Dim pfsTM As PfsTimeModell

Set pfsTM = thisProject.Pfs.Groups.Item(0).TimeModells.Item(0)

Call pfsTM.AddToDay(Date, tpPfsExecute)

thisProject.Pfs.Save

End Sub

Public Sub Macro0()

Dim pfsTM As PfsTimeModell

Set pfsTM = thisProject.pfs.Groups.Item(0).TimeModells.Item(0)

Dim link As tpPfsDayLink

link = pfsTM.IsOnDay(Date)

If link = tpPfsExecute Then

MsgBox "Einzeltag"

End If

If link = tpPfsDefaultDay Then

MsgBox "Defaultbelegung"

End If

If link = tpPfsUnused Then

MsgBox "Nicht verwendet"

End If

End Sub

Public Sub GetTimeModel()

Dim calendar As pfsCalendar

Dim timemodel As PfsTimeModell

Set calendar = thisProject.Pfs.calendar

Set timemodel = calendar.TimeModelForDay(Now, "ZMG1")

If Not timemodel Is Nothing Then

MsgBox timemodel.Name

Else

MsgBox "Kein Zeitmodell verknüpft"

End If

End Sub


CreateSwitchingPointFilter

Manuel -> Interfaces de programmation -> Modèles d'objet -> PfsCalendar -> PfsCalendar-Methods -> CreateSwitchingPointFilter

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Creates a switching point filter that can then be used to get a switching point preview.

Datatype

CreateSwitchingPointFilter() As IPfsSwitchingPointFilter

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

VB.NET

VBA

Examples

C#

public void Macro_SwitchingPointPreview()

{

// create a switching point filter

var filter = Pfs().Calendar().CreateSwitchingPointFilter();

// configure the filter

filter.StartTime = System.DateTime.Now;

filter.EndTime = System.DateTime.Now + new System.TimeSpan(7, 0, 0, 0);

filter.TimeModelGroup = "z*";

filter.Schedule = "N*";

filter.Variable = "*";

filter.Function = "*";

filter.SearchData = zenOn.tpPfsData.tpPfsStoredData;

// get the preview for the configuration

string output = "";

object[] switchtingPoints = (object[])filter.SwitchingPointPreview();

foreach (object switchingPoint in switchtingPoints)

{

zenOn.IPfsSwitchingPoint p = (zenOn.IPfsSwitchingPoint)switchingPoint;

output = output + "Active: " + p.Active.ToString();

output = output + " TimeModelGroup: " + p.ScheduleValue.Parent.Parent.Parent.Parent.Parent.Parent.Name;

output = output + " Schedule: " + p.ScheduleValue.Parent.Parent.Parent.Parent.KeyNote;

output = output + " ExecTime: " + p.ExecutionTime.ToString();

output = output + " LinkedType: " + p.ScheduleValue.Type.ToString();

output = output + " LinkedObject: " + p.ScheduleValue.GetScheduleLink().Name;

if (p.ScheduleValue.Value != null)

{

output = output + " SetValue: " + p.ScheduleValue.Value.ToString();

}

output = output + " PasswordLevel: " + p.ScheduleValue.PasswordLevel.ToString();

output = output + " TriggerType: " + p.ScheduleValue.Parent.Parent.Type.ToString();

output = output + " EventId: " + p.ScheduleValue.Parent.Parent.EventId.ToString();

output = output + "\n\n";

}

// show output

System.Windows.Forms.MessageBox.Show(output);

}

VB.NET

VBA

Public Sub Preview()

'create a switching point filter

Dim filter As PfsSwitchingPointFilter

Set filter = thisProject.Pfs.Calendar.CreateSwitchingPointFilter

'configure the filter

filter.StartTime = Now

filter.EndTime = Now + 7

filter.TimeModelGroup = "z*"

filter.Schedule = "N*"

filter.Variable = "*"

filter.Function = "*"

filter.SearchData = tpPfsStoredData

'get the preview for the filter configuration

Dim points() As PfsSwitchingPoint

points = filter.SwitchingPointPreview

'build an output message

Dim output As String

Dim idx As Integer

For idx = 0 To UBound(points)

output = output & "Active: " & CStr(points(idx).Active)

output = output & " TimeModelGroup: " & points(idx).ScheduleValue.Parent.Parent.Parent.Parent.Parent.Parent.Name

output = output & " Schedule: " & points(idx).ScheduleValue.Parent.Parent.Parent.Parent.KeyNote

output = output & " ExecTime: " & CStr(points(idx).ExecutionTime)

output = output & " LinkedType: " & CStr(points(idx).ScheduleValue.Type)

output = output & " LinkedObject: " & CStr(points(idx).ScheduleValue.GetScheduleLink.Name)

output = output & " SetValue: " & CStr(points(idx).ScheduleValue.value)

output = output & " PasswordLevel: " & CStr(points(idx).ScheduleValue.PasswordLevel)

output = output & " TriggerType: " & CStr(points(idx).ScheduleValue.Parent.Parent.Type)

output = output & " EventId: " & CStr(points(idx).ScheduleValue.Parent.Parent.EventId)

output = output & vbNewLine & vbNewLine

Next idx

'show the output

MsgBox output

End Sub


PfsEngine

Manuel -> Interfaces de programmation -> Modèles d'objet -> PfsEngine

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

The PfsEngine object is the entry point into the Pfs object model.With the property CountryName you can define the country for the holiday definition. The method events returns a list of the user-defined events.The Groups method returns the definition of the existing PFS equipments.

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Examples

C#

VB.NET

VB.NET-Syntax

VBA

'''''''''''''''''''''''''''''''''''''''''''''
''''''Define PFS Engine with Events!'''''''''
'''''''''''''''''''''''''''''''''''''''''''''
Dim WithEvents myPFS As PfsEngine

'''''''''''''''''''''''''''''''''''''''''''''
''''''''Define Events for PFS Engine'''''''''
'''''''''''''''''''''''''''''''''''''''''''''
Private Sub myPFS_OnCreateGroup(ByVal obNewGroup As IPfsGroup)
Debug.Print "myPFS_OnCreateGroup " & " " & obNewGroup.Name & " was created!"
End Sub

Private Sub myPFS_OnCreateEvent(ByVal obNewEvent As IPfsEvent)
Debug.Print "myPFS_OnCreateEvent " & " " & obNewEvent.Name & " was created!"
End Sub

'''''''''''''''''''''''''''''''''''''''''''''
''''''''''Excecute the defined Events,'''''''
'''''''''''by creating new objects'''''''''''
'''''''''''''''''''''''''''''''''''''''''''''
Sub TestEvents()
Set myPFS = MyWorkspace.ActiveDocument.Pfs
myPFS.Groups.CreateGroup ("TestGroup1")
myPFS.Events.CreateEvent ("TestEvent1")
End Sub

'''''''''''''''''''''''''''''''''''''''''''''''''''''
'''''''''Creation of a PFS Engine object'''''''''''''
'''''''''''''''Giving out Group Names''''''''''''''''
'''''''''''''''''''''''''''''''''''''''''''''''''''''
Private Sub EnumGroups()
Dim i As Double
Dim myPFS As PfsEngine

Set myPFS = MyWorkspace.ActiveDocument.Pfs
For i = 0 To myPFS.Groups.Count - 1
Debug.Print myPFS.Groups.Item(i).Name
Next i
End Sub

Other topics in this chapter

PfsEngine-Properties

PfsEngine-Methods

PfsEngine-Events


PfsEngine-Properties

Manuel -> Interfaces de programmation -> Modèles d'objet -> PfsEngine -> PfsEngine-Properties

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
BSTR | CountryName |  | available | available | yes | yes
IProject | Parent |  | read only | read only | yes | yes

Other topics in this chapter

Parent

CountryName


Parent

Manuel -> Interfaces de programmation -> Modèles d'objet -> PfsEngine -> PfsEngine-Properties -> Parent

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the parent object

Datatype

Parent() As Project

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


CountryName

Manuel -> Interfaces de programmation -> Modèles d'objet -> PfsEngine -> PfsEngine-Properties -> CountryName

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

This property contains the value for the selected country. This is important because of the statutory holidays, which change automatically in the calendar, when a different country is selected.

Datatype

CountryName() As String

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes


PfsEngine-Methods

Manuel -> Interfaces de programmation -> Modèles d'objet -> PfsEngine -> PfsEngine-Methods

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
IPfsEvents | Events | - | available | available | yes | yes
IPfsGroups | Groups | - | available | available | yes | yes
IPfsHolidays | Holidays | - | available | available | yes | yes
VARIANT_BOOL | Save | - | available | available | yes | yes
IPfsCalendar | Calendar | Retrieves the object for the pfs calendar | available | available | yes | yes

Other topics in this chapter

Groups

Events

Holidays

Save

Calendar


Groups

Manuel -> Interfaces de programmation -> Modèles d'objet -> PfsEngine -> PfsEngine-Methods -> Groups

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

The "Groups" object manages the "Group" objects.

Datatype

Groups() As PfsGroups

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


Events

Manuel -> Interfaces de programmation -> Modèles d'objet -> PfsEngine -> PfsEngine-Methods -> Events

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

The "Event" Object is a collection of all "Event" objects, which are created from the user.

Datatype

Events() As PfsEvents

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


Holidays

Manuel -> Interfaces de programmation -> Modèles d'objet -> PfsEngine -> PfsEngine-Methods -> Holidays

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

In the "Holidays" object all "Holiday" objects are managed.

Datatype

Holidays() As PfsHolidays

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


Save

Manuel -> Interfaces de programmation -> Modèles d'objet -> PfsEngine -> PfsEngine-Methods -> Save

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

With the "Save" methode all changes made in the PFS module can be saved.

Datatype

Save() As Boolean

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


Calendar

Manuel -> Interfaces de programmation -> Modèles d'objet -> PfsEngine -> PfsEngine-Methods -> Calendar

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

Calendar() As IPfsCalendar

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

VB.NET

VBA

Examples

C#

VB.NET

VBA


PfsEngine-Events

Manuel -> Interfaces de programmation -> Modèles d'objet -> PfsEngine -> PfsEngine-Events

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
void | AfterUpdate |  | available | available | yes | yes
void | BeforeUpdate |  | available | available | yes | yes
void | OnCreateBreak |  | available | available | yes | yes
void | OnCreateEvent |  | available | available | yes | yes
void | OnCreateGroup |  | available | available | yes | yes
void | OnCreateSchedule |  | available | available | yes | yes
void | OnCreateScheduleTime |  | available | available | yes | yes
void | OnCreateScheduleValue |  | available | available | yes | yes
void | OnCreateShift |  | available | available | yes | yes
void | OnCreateTimeModell |  | available | available | yes | yes
void | OnDeleteBreak |  | available | available | yes | yes
void | OnDeleteEvent |  | available | available | yes | yes
void | OnDeleteGroup |  | available | available | yes | yes
void | OnDeleteSchedule |  | available | available | yes | yes
void | OnDeleteScheduleTime |  | available | available | yes | yes
void | OnDeleteScheduleValue |  | available | available | yes | yes
void | OnDeleteShift |  | available | available | yes | yes
void | OnDeleteTimeModell |  | available | available | yes | yes
void | OnRenameBreak |  | available | available | yes | yes
void | OnRenameEvent |  | available | available | yes | yes
void | OnRenameGroup |  | available | available | yes | yes
void | OnRenameSchedule |  | available | available | yes | yes
void | OnRenameShift |  | available | available | yes | yes
void | OnRenameTimeModell |  | available | available | yes | yes
void | OnSave |  | available | available | yes | yes

Other topics in this chapter

BeforeUpdate

AfterUpdate

OnSave

OnCreateGroup

OnDeleteGroup

OnRenameGroup

OnCreateSchedule

OnDeleteSchedule

OnRenameSchedule

OnCreateTimeModell

OnDeleteTimeModell

OnRenameTimeModell

OnCreateEvent

OnDeleteEvent

OnRenameEvent

OnCreateShift

OnDeleteShift

OnRenameShift

OnCreateBreak

OnDeleteBreak

OnRenameBreak

OnCreateScheduleTime

OnDeleteScheduleTime

OnCreateScheduleValue

OnDeleteScheduleValue


BeforeUpdate

Manuel -> Interfaces de programmation -> Modèles d'objet -> PfsEngine -> PfsEngine-Events -> BeforeUpdate

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

This event is fired, before the Save methode has been excecuted.

Datatype

BeforeUpdate() As void

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


AfterUpdate

Manuel -> Interfaces de programmation -> Modèles d'objet -> PfsEngine -> PfsEngine-Events -> AfterUpdate

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

This event is fired, after the Save methode has been excecuted.

Datatype

AfterUpdate() As void

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


OnSave

Manuel -> Interfaces de programmation -> Modèles d'objet -> PfsEngine -> PfsEngine-Events -> OnSave

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

This event is fired, when the Save methode is excecuted.

Datatype

OnSave() As void

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


OnCreateGroup

Manuel -> Interfaces de programmation -> Modèles d'objet -> PfsEngine -> PfsEngine-Events -> OnCreateGroup

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

This event is fired, when a new group has been created.

Datatype

OnCreateGroup(PfsGroup obNewGroup) As void

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


OnDeleteGroup

Manuel -> Interfaces de programmation -> Modèles d'objet -> PfsEngine -> PfsEngine-Events -> OnDeleteGroup

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

This event is fired, when a group has been deleted.

Datatype

OnDeleteGroup(String strString) As void

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


OnRenameGroup

Manuel -> Interfaces de programmation -> Modèles d'objet -> PfsEngine -> PfsEngine-Events -> OnRenameGroup

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

This event is fired, when the rename methode of a group is excecuted.

Datatype

OnRenameGroup(String strOld,String strNew) As void

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


OnCreateSchedule

Manuel -> Interfaces de programmation -> Modèles d'objet -> PfsEngine -> PfsEngine-Events -> OnCreateSchedule

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

This event is fired, when a new schedule has been created.

Datatype

OnCreateSchedule(PfsSchedule obNewSchedule) As void

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


OnDeleteSchedule

Manuel -> Interfaces de programmation -> Modèles d'objet -> PfsEngine -> PfsEngine-Events -> OnDeleteSchedule

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

This event is fired, when a schedule has been deleted.

Datatype

OnDeleteSchedule(String strString) As void

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


OnRenameSchedule

Manuel -> Interfaces de programmation -> Modèles d'objet -> PfsEngine -> PfsEngine-Events -> OnRenameSchedule

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

This event is fired, when the rename methode of a schedule is excecuted.

Datatype

OnRenameSchedule(String strOld,String strNew) As void

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


OnCreateTimeModell

Manuel -> Interfaces de programmation -> Modèles d'objet -> PfsEngine -> PfsEngine-Events -> OnCreateTimeModell

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

This event is fired, when a new time model has been created.-ll--?????

Datatype

OnCreateTimeModell(PfsTimeModell obNewModell) As void

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


OnDeleteTimeModell

Manuel -> Interfaces de programmation -> Modèles d'objet -> PfsEngine -> PfsEngine-Events -> OnDeleteTimeModell

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

This event is fired, when a time model has been deleted.

Datatype

OnDeleteTimeModell(String strString) As void

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


OnRenameTimeModell

Manuel -> Interfaces de programmation -> Modèles d'objet -> PfsEngine -> PfsEngine-Events -> OnRenameTimeModell

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

This event is fired, when the rename methode of a time model is excecuted.

Datatype

OnRenameTimeModell(String strOld,String strNew) As void

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


OnCreateEvent

Manuel -> Interfaces de programmation -> Modèles d'objet -> PfsEngine -> PfsEngine-Events -> OnCreateEvent

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

This event is fired, when a new event has been created.

Datatype

OnCreateEvent(PfsEvent obNewEvent) As void

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


OnDeleteEvent

Manuel -> Interfaces de programmation -> Modèles d'objet -> PfsEngine -> PfsEngine-Events -> OnDeleteEvent

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

This event is fired, when an event has been deleted.

Datatype

OnDeleteEvent(String strString) As void

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


OnRenameEvent

Manuel -> Interfaces de programmation -> Modèles d'objet -> PfsEngine -> PfsEngine-Events -> OnRenameEvent

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

This event is fired, when the Rename methode of an event has been excecuted.

Datatype

OnRenameEvent(String strOld,String strNew) As void

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


OnCreateShift

Manuel -> Interfaces de programmation -> Modèles d'objet -> PfsEngine -> PfsEngine-Events -> OnCreateShift

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

This event is fired, when a new shift has been created.

Datatype

OnCreateShift(PfsModellShift obNewShift) As void

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


OnDeleteShift

Manuel -> Interfaces de programmation -> Modèles d'objet -> PfsEngine -> PfsEngine-Events -> OnDeleteShift

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

This event is fired, when a shift has been deleted.

Datatype

OnDeleteShift(String strString) As void

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


OnRenameShift

Manuel -> Interfaces de programmation -> Modèles d'objet -> PfsEngine -> PfsEngine-Events -> OnRenameShift

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

This event is fired, when the rename methode of a shift is excecuted.

Datatype

OnRenameShift(String strOld,String strNew) As void

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


OnCreateBreak

Manuel -> Interfaces de programmation -> Modèles d'objet -> PfsEngine -> PfsEngine-Events -> OnCreateBreak

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

This event is fired, when a new break has been created.

Datatype

OnCreateBreak(PfsModellBreak obNewBreak) As void

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


OnDeleteBreak

Manuel -> Interfaces de programmation -> Modèles d'objet -> PfsEngine -> PfsEngine-Events -> OnDeleteBreak

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

This event is fired, when a break has been deleted.

Datatype

OnDeleteBreak(String strString) As void

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


OnRenameBreak

Manuel -> Interfaces de programmation -> Modèles d'objet -> PfsEngine -> PfsEngine-Events -> OnRenameBreak

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

This event is fired, when the rename methode of a break is excecuted.

Datatype

OnRenameBreak(String strOld,String strNew) As void

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


OnCreateScheduleTime

Manuel -> Interfaces de programmation -> Modèles d'objet -> PfsEngine -> PfsEngine-Events -> OnCreateScheduleTime

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

This event is fired, when a new schedule time has been created.

Datatype

OnCreateScheduleTime(PfsScheduleTime obNewTime) As void

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


OnDeleteScheduleTime

Manuel -> Interfaces de programmation -> Modèles d'objet -> PfsEngine -> PfsEngine-Events -> OnDeleteScheduleTime

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

This event is fired, when a schedule time has been deleted.

Datatype

OnDeleteScheduleTime(String strGuid) As void

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


OnCreateScheduleValue

Manuel -> Interfaces de programmation -> Modèles d'objet -> PfsEngine -> PfsEngine-Events -> OnCreateScheduleValue

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

This event is fired, when a new schedule value has been created.

Datatype

OnCreateScheduleValue(PfsScheduleValue obNewValue) As void

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


OnDeleteScheduleValue

Manuel -> Interfaces de programmation -> Modèles d'objet -> PfsEngine -> PfsEngine-Events -> OnDeleteScheduleValue

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

This event is fired, when a schedule value has been deleted.

Datatype

OnDeleteScheduleValue(String strGuid) As void

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


PfsEvent

Manuel -> Interfaces de programmation -> Modèles d'objet -> PfsEvent

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

The PFSEvent object is an user defined event, which can be linked to the schedules as relative switching operations.

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Examples

C#

VB.NET

VB.NET-Syntax

VBA

'''''''''''''''''''''''''''''''''''''''''''''''''''''
'''''''''''''''Renaming of an event''''''''''''''''''
'''''''''''''''''''''''''''''''''''''''''''''''''''''

Private Sub test()

Dim mypfs As PfsEngine
Set mypfs = MyWorkspace.ActiveDocument.Pfs

mypfs.Events.Item(0).Rename ("my event")
Debug.Print mypfs.Events.Item(0).Name

End Sub

Other topics in this chapter

PfsEvent-Properties

PfsEvent-Methods


PfsEvent-Properties

Manuel -> Interfaces de programmation -> Modèles d'objet -> PfsEvent -> PfsEvent-Properties

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
BSTR | Guid |  | read only | read only | yes | yes
long | ID |  | read only | read only | yes | yes
BSTR | Name |  | read only | read only | yes | yes
IPfsEvents | Parent |  | read only | read only | yes | yes
IProject | Session |  | read only | read only | yes | yes

Other topics in this chapter

Parent

Name

ID

Guid

Session


Parent

Manuel -> Interfaces de programmation -> Modèles d'objet -> PfsEvent -> PfsEvent-Properties -> Parent

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the parent object

Datatype

Parent() As PfsEvents

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


Name

Manuel -> Interfaces de programmation -> Modèles d'objet -> PfsEvent -> PfsEvent-Properties -> Name

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

is the name of the event

Datatype

Name() As String

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


ID

Manuel -> Interfaces de programmation -> Modèles d'objet -> PfsEvent -> PfsEvent-Properties -> ID

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

is the ID of the event

Datatype

ID() As long

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


Guid

Manuel -> Interfaces de programmation -> Modèles d'objet -> PfsEvent -> PfsEvent-Properties -> Guid

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Is the Guid of the event which is unique and can be used to identify the object.

Datatype

Guid() As String

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


Session

Manuel -> Interfaces de programmation -> Modèles d'objet -> PfsEvent -> PfsEvent-Properties -> Session

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Contains the "Project" object.

Datatype

Session() As Project

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


PfsEvent-Methods

Manuel -> Interfaces de programmation -> Modèles d'objet -> PfsEvent -> PfsEvent-Methods

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
VARIANT_BOOL | Execute | - | available | available | yes | yes
VARIANT_BOOL | Rename | - | available | available | yes | yes
IPfsSchedules | Schedules | - | available | available | yes | yes
void | SetModify | - | available | available | yes | yes

Other topics in this chapter

SetModify

Execute

Rename


SetModify

Manuel -> Interfaces de programmation -> Modèles d'objet -> PfsEvent -> PfsEvent-Methods -> SetModify

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

With this methode you can set the modify flag, so that the save option in the context menu of the PFS object is available.

Datatype

SetModify() As void

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


Execute

Manuel -> Interfaces de programmation -> Modèles d'objet -> PfsEvent -> PfsEvent-Methods -> Execute

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

With this methode you can manualy excecute an event.

Datatype

Execute() As Boolean

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


Rename

Manuel -> Interfaces de programmation -> Modèles d'objet -> PfsEvent -> PfsEvent-Methods -> Rename

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

With this methode you can rename the event.

Datatype

Rename(String bstrNewName) As Boolean

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


PfsEvents

Manuel -> Interfaces de programmation -> Modèles d'objet -> PfsEvents

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

The Events collection contains the user-defined events of the PFS.User-defined events can be linked to the schedules as relative switching operations.When execution the function Execute PFS event for an event, the linked switching operations in the schedule are executed.

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Examples

C#

VB.NET

VB.NET-Syntax

VBA

'''''''''''''''''''''''''''''''''''''''''''''''''''''
'''''''''''''''Reading out Event Names ''''''''''''''
'''''''''''''''''''''''''''''''''''''''''''''''''''''

Private Sub test()

Dim mypfs As PfsEngine
Set mypfs = MyWorkspace.ActiveDocument.Pfs

Dim i As Double

For i = 0 To mypfs.Events.Count - 1
Debug.Print mypfs.Events.Item(i).Name
Next i

End Sub

Other topics in this chapter

PfsEvents-Properties

PfsEvents-Methods


PfsEvents-Properties

Manuel -> Interfaces de programmation -> Modèles d'objet -> PfsEvents -> PfsEvents-Properties

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
long | Count |  | read only | read only | yes | yes
IPfsEngine | Parent |  | read only | read only | yes | yes
IProject | Session |  | read only | read only | yes | yes

Other topics in this chapter

Parent

Count

Session


Parent

Manuel -> Interfaces de programmation -> Modèles d'objet -> PfsEvents -> PfsEvents-Properties -> Parent

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the parent object

Datatype

Parent() As PfsEngine

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


Count

Manuel -> Interfaces de programmation -> Modèles d'objet -> PfsEvents -> PfsEvents-Properties -> Count

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

The method returns the number of available objects. This property is mostly used for the method Item to run through each single object.Hint: For running through entries care, that the minimum is 0 and the maximum is Count-1.

Datatype

Count() As long

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


Session

Manuel -> Interfaces de programmation -> Modèles d'objet -> PfsEvents -> PfsEvents-Properties -> Session

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Contains the "Project" object.

Datatype

Session() As Project

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


PfsEvents-Methods

Manuel -> Interfaces de programmation -> Modèles d'objet -> PfsEvents -> PfsEvents-Methods

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
IPfsEvent | CreateEvent | - | available | available | yes | yes
VARIANT_BOOL | DeleteEvent | - | available | available | yes | yes
IPfsEvent | Item | - | available | available | yes | yes
IPfsEvent | ItemByID | - | available | available | yes | yes
IPfsEvent | ItemById | - | available | available | yes | yes

Other topics in this chapter

Item

CreateEvent

DeleteEvent

ItemById


Item

Manuel -> Interfaces de programmation -> Modèles d'objet -> PfsEvents -> PfsEvents-Methods -> Item

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the object Event from the collection, which is identified by the parameter vNameOrPos. The parameter vNameOrPos can have two values:

  • Index: Access with an index is mostly used in combination with the property Count to find out the position of the variable object in the list.
  • Event name: The element can also be accessed with its unique name.

Hint:The returned object should be checked on Nothing, if no object for the search criteria was found.

Datatype

Item(VARIANT vNameOrPos) As PfsEvent

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


CreateEvent

Manuel -> Interfaces de programmation -> Modèles d'objet -> PfsEvents -> PfsEvents-Methods -> CreateEvent

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Is the methode to create a new event.

Datatype

CreateEvent(String bstrName) As PfsEvent

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


DeleteEvent

Manuel -> Interfaces de programmation -> Modèles d'objet -> PfsEvents -> PfsEvents-Methods -> DeleteEvent

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

With this methode you can delete an event.

Datatype

DeleteEvent(VARIANT vNameOrId) As Boolean

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


ItemById

Manuel -> Interfaces de programmation -> Modèles d'objet -> PfsEvents -> PfsEvents-Methods -> ItemById

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

ItemById(VARIANT vPosition) As IPfsEvent

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

VB.NET

VBA

Examples

C#

VB.NET

VBA


PfsGroup

Manuel -> Interfaces de programmation -> Modèles d'objet -> PfsGroup

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

The IPfsGroup object is an object which describes an equipment object in the PFS module.

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Examples

C#

VB.NET

VB.NET-Syntax

VBA

'''''''''''''''''''''''''''''''''''''''''''''''''''''
'''''''''''''Giving out all group names''''''''''''''
'''''''''''''''''''''''''''''''''''''''''''''''''''''

Private Sub test()

Dim mypfs As PfsEngine
Set mypfs = MyWorkspace.ActiveDocument.Pfs

Dim i As Double

For i = 0 To mypfs.Groups.Count - 1
Debug.Print mypfs.Groups.Item(i).Name
Next i

End Sub

Other topics in this chapter

PfsGroup-Properties

PfsGroup-Methods


PfsGroup-Properties

Manuel -> Interfaces de programmation -> Modèles d'objet -> PfsGroup -> PfsGroup-Properties

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
long | CycleEnd |  | available | available | yes | yes
long | CycleStart |  | available | available | yes | yes
BSTR | Guid |  | read only | read only | yes | yes
BSTR | Name |  | read only | read only | yes | yes
IPfsGroups | Parent |  | read only | read only | yes | yes
IProject | Session |  | read only | read only | yes | yes

Other topics in this chapter

Parent

Name

CycleStart

CycleEnd

Guid

Session


Parent

Manuel -> Interfaces de programmation -> Modèles d'objet -> PfsGroup -> PfsGroup-Properties -> Parent

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the parent object

Datatype

Parent() As PfsGroups

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


Name

Manuel -> Interfaces de programmation -> Modèles d'objet -> PfsGroup -> PfsGroup-Properties -> Name

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Is the name of the group.

Datatype

Name() As String

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


CycleStart

Manuel -> Interfaces de programmation -> Modèles d'objet -> PfsGroup -> PfsGroup-Properties -> CycleStart

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Is the start time of the group in seconds.

Datatype

CycleStart() As long

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes


CycleEnd

Manuel -> Interfaces de programmation -> Modèles d'objet -> PfsGroup -> PfsGroup-Properties -> CycleEnd

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Is the end time of the group in seconds.

Datatype

CycleEnd() As long

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes


Guid

Manuel -> Interfaces de programmation -> Modèles d'objet -> PfsGroup -> PfsGroup-Properties -> Guid

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Is the Guid of the group which is unique and can be used to identify the object.

Datatype

Guid() As String

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


Session

Manuel -> Interfaces de programmation -> Modèles d'objet -> PfsGroup -> PfsGroup-Properties -> Session

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Contains the "Project" object.

Datatype

Session() As Project

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


PfsGroup-Methods

Manuel -> Interfaces de programmation -> Modèles d'objet -> PfsGroup -> PfsGroup-Methods

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
VARIANT_BOOL | Rename | - | available | available | yes | yes
IPfsSchedules | Schedules | - | available | available | yes | yes
void | SetModify | - | available | available | yes | yes
ISystemModelGroup | SystemModelGroupAtIndex | - | available | available | yes | yes
long | SystemModelGroupCount | - | available | available | yes | yes
IPfsTimeModells | TimeModells | - | available | available | yes | yes

Other topics in this chapter

Schedules

TimeModells

SetModify

Rename

SystemModelGroupCount

SystemModelGroupAtIndex


Schedules

Manuel -> Interfaces de programmation -> Modèles d'objet -> PfsGroup -> PfsGroup-Methods -> Schedules

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

The "Schedules" object manages the "Schedule" objects.

Datatype

Schedules() As PfsSchedules

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


TimeModells

Manuel -> Interfaces de programmation -> Modèles d'objet -> PfsGroup -> PfsGroup-Methods -> TimeModells

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

The "TimeModels" object manages the "TimeModel" objects.

Datatype

TimeModells() As PfsTimeModells

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


SetModify

Manuel -> Interfaces de programmation -> Modèles d'objet -> PfsGroup -> PfsGroup-Methods -> SetModify

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

With this methode you can set the modify flag, so that the save option in the context menu of the PFS object is available.

Datatype

SetModify() As void

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


Rename

Manuel -> Interfaces de programmation -> Modèles d'objet -> PfsGroup -> PfsGroup-Methods -> Rename

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

With this methode you can rename the group.

Datatype

Rename(String bstrNewName) As Boolean

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


SystemModelGroupCount

Manuel -> Interfaces de programmation -> Modèles d'objet -> PfsGroup -> PfsGroup-Methods -> SystemModelGroupCount

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

SystemModelGroupCount() As long

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


SystemModelGroupAtIndex

Manuel -> Interfaces de programmation -> Modèles d'objet -> PfsGroup -> PfsGroup-Methods -> SystemModelGroupAtIndex

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

SystemModelGroupAtIndex(long nIndex) As SystemModelGroup

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


PfsGroups

Manuel -> Interfaces de programmation -> Modèles d'objet -> PfsGroups

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

The Groups collection contains the groups of the PFS module (in the editor also called "equipments).

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Examples

C#

VB.NET

VB.NET-Syntax

VBA

'''''''''''''''''''''''''''''''''''''''''''''
''''''''''''''Test Groups''''''''''''''''''''
'''''''''''''''''''''''''''''''''''''''''''''
Private Sub TEST()

Dim myPFS As PfsEngine
Set myPFS = MyWorkspace.ActiveDocument.PFS

Call CreateGroups(myPFS)
Call ReadGroups(myPFS)

Call DeleteGroups(myPFS)
DoEvents

Call ReadGroups(myPFS)

End Sub
''''''''''''''''''''''''''''''''''''''''''''''
''''''''''Creates 5 Test Groups'''''''''''''''
''''''''''''''''''''''''''''''''''''''''''''''
Function CreateGroups(myPFS As PfsEngine)

Dim i As Integer
Dim myString As String

For i = 0 To 4
myString = "testgruppe " & i
myPFS.Groups.CreateGroup (myString)
Next i

Debug.Print "Groups were created!"

End Function
''''''''''''''''''''''''''''''''''''''''''''''
''''''''''Read out all Group names''''''''''''
''''''''''''''''''''''''''''''''''''''''''''''
Function ReadGroups(myPFS As PfsEngine)

Dim i As Integer

For i = 0 To myPFS.Groups.Count - 1
Debug.Print myPFS.Groups.Item(i).Name
Next i

End Function
''''''''''''''''''''''''''''''''''''''''''''''
'''''''''''''Delete all Groups''''''''''''''''
''''''''''''''''''''''''''''''''''''''''''''''
Function DeleteGroups(myPFS As PfsEngine)

Dim strTMP As String
Dim i As Double

Debug.Print myPFS.Groups.Count & " Groups to delete!"

For i = myPFS.Groups.Count - 1 To 0 Step -1
strTMP = myPFS.Groups.Item(i).Name
Debug.Print "Group deleted! - " & strTMP & " - " & myPFS.Groups.DeleteGroup(strTMP)
Next i

myPFS.Save

End Function

Other topics in this chapter

PfsGroups-Properties

PfsGroups-Methods


PfsGroups-Properties

Manuel -> Interfaces de programmation -> Modèles d'objet -> PfsGroups -> PfsGroups-Properties

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
long | Count |  | read only | read only | yes | yes
IPfsEngine | Parent |  | read only | read only | yes | yes
IProject | Session |  | read only | read only | yes | yes

Other topics in this chapter

Parent

Count

Session


Parent

Manuel -> Interfaces de programmation -> Modèles d'objet -> PfsGroups -> PfsGroups-Properties -> Parent

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the parent object

Datatype

Parent() As PfsEngine

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


Count

Manuel -> Interfaces de programmation -> Modèles d'objet -> PfsGroups -> PfsGroups-Properties -> Count

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

The method returns the number of available objects. This property is mostly used for the method Item to run through each single object.Hint: For running through entries care, that the minimum is 0 and the maximum is Count-1.

Datatype

Count() As long

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


Session

Manuel -> Interfaces de programmation -> Modèles d'objet -> PfsGroups -> PfsGroups-Properties -> Session

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Contains the "Project" object.

Datatype

Session() As Project

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


PfsGroups-Methods

Manuel -> Interfaces de programmation -> Modèles d'objet -> PfsGroups -> PfsGroups-Methods

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
IPfsGroup | CreateGroup | - | available | available | yes | yes
VARIANT_BOOL | DeleteGroup | - | available | available | yes | yes
IPfsGroup | Item | - | available | available | yes | yes

Other topics in this chapter

Item

CreateGroup

DeleteGroup


Item

Manuel -> Interfaces de programmation -> Modèles d'objet -> PfsGroups -> PfsGroups-Methods -> Item

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the group object from the collection, which is identified by the parameter vNameOrPos. The parameter vNameOrPos can have two values:

  • Index: Access with an index is mostly used in combination with the property Count to find out the position of the variable object in the list.
  • Group name: The group can also be accessed with its unique name.

Hint:The returned object should be checked on Nothing, if no object for the search criteria was found.

Datatype

Item(VARIANT vNameOrPos) As PfsGroup

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


CreateGroup

Manuel -> Interfaces de programmation -> Modèles d'objet -> PfsGroups -> PfsGroups-Methods -> CreateGroup

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

With this method you can create a new group.

Datatype

CreateGroup(String bstrName) As PfsGroup

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


DeleteGroup

Manuel -> Interfaces de programmation -> Modèles d'objet -> PfsGroups -> PfsGroups-Methods -> DeleteGroup

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

With this methode you can delete a group.

Datatype

DeleteGroup(VARIANT vName) As Boolean

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


PfsHoliday

Manuel -> Interfaces de programmation -> Modèles d'objet -> PfsHoliday

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

The Holiday object contains information on a holiday from the feiertage.txt. This object contains a name and a date for the holiday.On loading the project only the holidays of the current year are acquired.

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Examples

C#

VB.NET

VB.NET-Syntax

VBA

Other topics in this chapter

PfsHoliday-Properties


PfsHoliday-Properties

Manuel -> Interfaces de programmation -> Modèles d'objet -> PfsHoliday -> PfsHoliday-Properties

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description |  | Editor | Runtime | VBA | VSTA
DATE | Date |  |  | read only | read only | yes | yes
BSTR | Name |  |  | read only | read only | yes | yes
IPfsHolidays | Parent |  |  | read only | read only | yes | yes
IProject | Session |  |  | read only | read only | yes | yes
DATE | date |  | read only |  | read only | yes |  | yes

Other topics in this chapter

Parent

Name

date

Session


Parent

Manuel -> Interfaces de programmation -> Modèles d'objet -> PfsHoliday -> PfsHoliday-Properties -> Parent

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the parent object

Datatype

Parent() As PfsHolidays

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


Name

Manuel -> Interfaces de programmation -> Modèles d'objet -> PfsHoliday -> PfsHoliday-Properties -> Name

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the unique name of the holiday.

Datatype

Name() As String

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


date

Manuel -> Interfaces de programmation -> Modèles d'objet -> PfsHoliday -> PfsHoliday-Properties -> date

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

date() As DATE

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


Session

Manuel -> Interfaces de programmation -> Modèles d'objet -> PfsHoliday -> PfsHoliday-Properties -> Session

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Contains the "Project" object.

Datatype

Session() As Project

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


PfsHolidays

Manuel -> Interfaces de programmation -> Modèles d'objet -> PfsHolidays

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

The Holidays collection contains all holiday definitions of the defined country for the current year. The holiday definition is saved in the Feiertage.txt.On activating a project these are acquired for the defined country.

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Examples

C#

VB.NET

VB.NET-Syntax

VBA

''''''''''''''''''''''''''''''''''''''''''''''
'''''''Giving out the Count of Holidays'''''''
''''''''''''''''''''''''''''''''''''''''''''''
Sub holidaytest()

Dim mypfs As PfsEngine
Set mypfs = MyWorkspace.ActiveDocument.PFS
Dim i As Double

Debug.Print mypfs.Holidays.Count

End Sub

Other topics in this chapter

PfsHolidays-Properties

PfsHolidays-Methods


PfsHolidays-Properties

Manuel -> Interfaces de programmation -> Modèles d'objet -> PfsHolidays -> PfsHolidays-Properties

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
long | Count |  | read only | read only | yes | yes
IPfsEngine | Parent |  | read only | read only | yes | yes
IProject | Session |  | read only | read only | yes | yes

Other topics in this chapter

Parent

Count

Session


Parent

Manuel -> Interfaces de programmation -> Modèles d'objet -> PfsHolidays -> PfsHolidays-Properties -> Parent

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the parent object

Datatype

Parent() As PfsEngine

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


Count

Manuel -> Interfaces de programmation -> Modèles d'objet -> PfsHolidays -> PfsHolidays-Properties -> Count

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

The method returns the number of available objects. This property is mostly used for the method Item to run through each single object.Hint: For running through entries care, that the minimum is 0 and the maximum is Count-1.

Datatype

Count() As long

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


Session

Manuel -> Interfaces de programmation -> Modèles d'objet -> PfsHolidays -> PfsHolidays-Properties -> Session

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Contains the "Project" object.

Datatype

Session() As Project

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


PfsHolidays-Methods

Manuel -> Interfaces de programmation -> Modèles d'objet -> PfsHolidays -> PfsHolidays-Methods

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
IPfsHoliday | Item | - | available | available | yes | yes

Other topics in this chapter

Item


Item

Manuel -> Interfaces de programmation -> Modèles d'objet -> PfsHolidays -> PfsHolidays-Methods -> Item

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the holiday object from the collection, which is identified by the parameter vPosition.The parameter vPosition is the index of the element you want to get.Hint:The returned object should be checked on Nothing, if no object for the search criteria was found.

Datatype

Item(VARIANT vPosition) As PfsHoliday

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


PfsModellBreak

Manuel -> Interfaces de programmation -> Modèles d'objet -> PfsModellBreak

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

The ModellBreak object is a break within a shift in a time model. During the defined period of time the production should be interrupted.The breaks consist of an unique name and an unique period of time.

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Examples

C#

VB.NET

VB.NET-Syntax

VBA

Other topics in this chapter

PfsModellBreak-Properties

PfsModellBreak-Methods


PfsModellBreak-Properties

Manuel -> Interfaces de programmation -> Modèles d'objet -> PfsModellBreak -> PfsModellBreak-Properties

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
DATE | EndTime |  | available | available | yes | yes
BSTR | Guid |  | read only | read only | yes | yes
BSTR | KeyNote |  | read only | read only | yes | yes
BSTR | Name |  | read only | read only | yes | yes
BSTR | Notes |  | read only | read only | yes | yes
IPfsModellBreaks | Parent |  | read only | read only | yes | yes
IProject | Session |  | read only | read only | yes | yes
DATE | StartTime |  | available | available | yes | yes

Other topics in this chapter

Parent

Name

StartTime

EndTime

Notes

KeyNote

Guid

Session


Parent

Manuel -> Interfaces de programmation -> Modèles d'objet -> PfsModellBreak -> PfsModellBreak-Properties -> Parent

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the parent object

Datatype

Parent() As PfsModellBreaks

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


Name

Manuel -> Interfaces de programmation -> Modèles d'objet -> PfsModellBreak -> PfsModellBreak-Properties -> Name

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Is the name of the break.

Datatype

Name() As String

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


StartTime

Manuel -> Interfaces de programmation -> Modèles d'objet -> PfsModellBreak -> PfsModellBreak-Properties -> StartTime

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Is the start time of the break.

Datatype

StartTime() As DATE

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes


EndTime

Manuel -> Interfaces de programmation -> Modèles d'objet -> PfsModellBreak -> PfsModellBreak-Properties -> EndTime

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Is the end time of the break.

Datatype

EndTime() As DATE

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes


Notes

Manuel -> Interfaces de programmation -> Modèles d'objet -> PfsModellBreak -> PfsModellBreak-Properties -> Notes

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Notes can be added and read out, this property contains the notes to a selected break.

Datatype

Notes() As String

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


KeyNote

Manuel -> Interfaces de programmation -> Modèles d'objet -> PfsModellBreak -> PfsModellBreak-Properties -> KeyNote

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

The Keynote returns the name of one or more main objects and of the current object sepperated with a dot. For instance "shift1.break1" is the keynote of the break1 which is an element of the shift1.

Datatype

KeyNote() As String

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


Guid

Manuel -> Interfaces de programmation -> Modèles d'objet -> PfsModellBreak -> PfsModellBreak-Properties -> Guid

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Is the Guid of the group which is unique and can be used to identify the object.

Datatype

Guid() As String

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


Session

Manuel -> Interfaces de programmation -> Modèles d'objet -> PfsModellBreak -> PfsModellBreak-Properties -> Session

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Contains the "Project" object.

Datatype

Session() As Project

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


PfsModellBreak-Methods

Manuel -> Interfaces de programmation -> Modèles d'objet -> PfsModellBreak -> PfsModellBreak-Methods

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
VARIANT_BOOL | Rename | - | available | available | yes | yes

Other topics in this chapter

Rename


Rename

Manuel -> Interfaces de programmation -> Modèles d'objet -> PfsModellBreak -> PfsModellBreak-Methods -> Rename

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

With this method you can rename a break.

Datatype

Rename(String bstrNewName) As Boolean

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


PfsModellBreaks

Manuel -> Interfaces de programmation -> Modèles d'objet -> PfsModellBreaks

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

The ModellBreaks collection allows the access to the breaks of a shift. The breaks are the production-free times in a shift.The breaks consist of a unique name and a unique period of time.

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Examples

C#

VB.NET

VB.NET-Syntax

VBA

''''''''''''''''''''''''''''''''''''''''''''''
'''''''''''''Creating some breaks'''''''''''''
''''''''''''''''''''''''''''''''''''''''''''''
Sub holidaytest()

Dim mypfs As PfsEngine
Set mypfs = MyWorkspace.ActiveDocument.PFS
Dim mystring As String
Dim i As Double

For i = 0 To 5

mystring = "testbreak" & i

mypfs.Groups.Item(0).TimeModells.Item(0).Shifts.Item(0).Breaks.CreateBreak (mystring)
Debug.Print mystring & " was created!"

Next i

End Sub

Other topics in this chapter

PfsModellBreaks-Properties

PfsModellBreaks-Methods


PfsModellBreaks-Properties

Manuel -> Interfaces de programmation -> Modèles d'objet -> PfsModellBreaks -> PfsModellBreaks-Properties

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
long | Count |  | read only | read only | yes | yes
IPfsModellShift | Parent |  | read only | read only | yes | yes
IProject | Session |  | read only | read only | yes | yes

Other topics in this chapter

Parent

Count

Session


Parent

Manuel -> Interfaces de programmation -> Modèles d'objet -> PfsModellBreaks -> PfsModellBreaks-Properties -> Parent

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the parent object

Datatype

Parent() As PfsModellShift

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


Count

Manuel -> Interfaces de programmation -> Modèles d'objet -> PfsModellBreaks -> PfsModellBreaks-Properties -> Count

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

The method returns the number of available objects. This property is mostly used for the method Item to run through each single object.Hint: For running through entries care, that the minimum is 0 and the maximum is Count-1.

Datatype

Count() As long

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


Session

Manuel -> Interfaces de programmation -> Modèles d'objet -> PfsModellBreaks -> PfsModellBreaks-Properties -> Session

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Contains the "Project" object.

Datatype

Session() As Project

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


PfsModellBreaks-Methods

Manuel -> Interfaces de programmation -> Modèles d'objet -> PfsModellBreaks -> PfsModellBreaks-Methods

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
IPfsModellBreak | CreateBreak | - | available | available | yes | yes
VARIANT_BOOL | DeleteBreak | - | available | available | yes | yes
IPfsModellBreak | Item | - | available | available | yes | yes

Other topics in this chapter

Item

CreateBreak

DeleteBreak


Item

Manuel -> Interfaces de programmation -> Modèles d'objet -> PfsModellBreaks -> PfsModellBreaks-Methods -> Item

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the ModelBreak object from the collection, which is identified by the parameter vNameOrPos. The parameter vNameOrPos can have two values:

  • Index: Access with an index is mostly used in combination with the property Count to find out the position of the variable object in the list.
  • ModelBreak name: The ModelBreak can also be accessed with its unique name.

Hint:The returned object should be checked on Nothing, if no object for the search criteria was found.

Datatype

Item(VARIANT vNameOrPos) As PfsModellBreak

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


CreateBreak

Manuel -> Interfaces de programmation -> Modèles d'objet -> PfsModellBreaks -> PfsModellBreaks-Methods -> CreateBreak

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Creates a new break in the current shift and returns it.

Datatype

CreateBreak(LPCTSTR lpszName) As PfsModellBreak

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


DeleteBreak

Manuel -> Interfaces de programmation -> Modèles d'objet -> PfsModellBreaks -> PfsModellBreaks-Methods -> DeleteBreak

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Deletes the defined break from the current shift.

Datatype

DeleteBreak(VARIANT vNameOrId) As Boolean

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


PfsModellShift

Manuel -> Interfaces de programmation -> Modèles d'objet -> PfsModellShift

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

The ModellShift object is a shift in a time model.Each shift consists of an unique name and a period of time (from/to). This period of time is the active production cycle.The defined period of time must be unique, i.e. you cannot define more than one shift for the same time.Each shift can contain any number of breaks, that interrupt the production cycle.

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Examples

C#

VB.NET

VB.NET-Syntax

VBA

''''''''''''''''''''''''''''''''''''''''''''''
'''''''''''''Creating, Reading out''''''''''''
''''''''''and Deletion of some shifts'''''''''
''''''''''''''''''''''''''''''''''''''''''''''
Private Sub shifttest()

Dim mypfs As PfsEngine
Set mypfs = MyWorkspace.ActiveDocument.PFS

'''''''Creation''''''''
Dim i As Double
Dim mystring As String
Debug.Print "--Creation:"

For i = 0 To 5
mystring = "testshift " & i
mypfs.Groups.Item(0).TimeModells.Item(0).Shifts.CreateShift (mystring)
Debug.Print mystring & " was created!"
Next i

mypfs.Save

''''Reading Out''''''
Dim o As Double
Debug.Print "--Reading Out:"

For o = 0 To mypfs.Groups.Item(0).TimeModells.Item(0).Shifts.Count - 1
Debug.Print mypfs.Groups.Item(0).TimeModells.Item(0).Shifts.Item(o).Name
Next o

''''''Deletion''''''''
Dim f As Double
Debug.Print "--Deletion:"

For f = mypfs.Groups.Item(0).TimeModells.Item(0).Shifts.Count - 1 To f = 1 Step -1
mypfs.Groups.Item(0).TimeModells.Item(0).Shifts.DeleteShift (f)
Debug.Print "shift " & f; " was deleted!"
Next f

End Sub

Other topics in this chapter

PfsModellShift-Properties

PfsModellShift-Methods


PfsModellShift-Properties

Manuel -> Interfaces de programmation -> Modèles d'objet -> PfsModellShift -> PfsModellShift-Properties

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
DATE | EndTime |  | available | available | yes | yes
BSTR | Guid |  | read only | read only | yes | yes
BSTR | KeyNote |  | read only | read only | yes | yes
BSTR | Name |  | read only | read only | yes | yes
BSTR | Notes |  | read only | read only | yes | yes
IPfsModellShifts | Parent |  | read only | read only | yes | yes
IProject | Session |  | read only | read only | yes | yes
DATE | StartTime |  | available | available | yes | yes

Other topics in this chapter

Parent

Name

StartTime

EndTime

Notes

KeyNote

Guid

Session


Parent

Manuel -> Interfaces de programmation -> Modèles d'objet -> PfsModellShift -> PfsModellShift-Properties -> Parent

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the parent object

Datatype

Parent() As PfsModellShifts

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


Name

Manuel -> Interfaces de programmation -> Modèles d'objet -> PfsModellShift -> PfsModellShift-Properties -> Name

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Is the name of the shift.

Datatype

Name() As String

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


StartTime

Manuel -> Interfaces de programmation -> Modèles d'objet -> PfsModellShift -> PfsModellShift-Properties -> StartTime

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Is the start time of the shift.

Datatype

StartTime() As DATE

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes


EndTime

Manuel -> Interfaces de programmation -> Modèles d'objet -> PfsModellShift -> PfsModellShift-Properties -> EndTime

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Is the end time of the shift.

Datatype

EndTime() As DATE

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes


Notes

Manuel -> Interfaces de programmation -> Modèles d'objet -> PfsModellShift -> PfsModellShift-Properties -> Notes

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Notes can be added and read out, this property contains the notes to a selected shift.

Datatype

Notes() As String

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


KeyNote

Manuel -> Interfaces de programmation -> Modèles d'objet -> PfsModellShift -> PfsModellShift-Properties -> KeyNote

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

The Keynote returns the name of one or more main objects and of the current object sepperated with a dot. For instance "group1.timemodel1.shift1" is the keynote of the break1 which is an element of the shift1.

Datatype

KeyNote() As String

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


Guid

Manuel -> Interfaces de programmation -> Modèles d'objet -> PfsModellShift -> PfsModellShift-Properties -> Guid

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Is the Guid of the ModelShift which is unique and can be used to identify the object.

Datatype

Guid() As String

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


Session

Manuel -> Interfaces de programmation -> Modèles d'objet -> PfsModellShift -> PfsModellShift-Properties -> Session

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Contains the "Project" object.

Datatype

Session() As Project

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


PfsModellShift-Methods

Manuel -> Interfaces de programmation -> Modèles d'objet -> PfsModellShift -> PfsModellShift-Methods

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
IPfsModellBreaks | Breaks | - | available | available | yes | yes
VARIANT_BOOL | Rename | - | available | available | yes | yes

Other topics in this chapter

Breaks

Rename


Breaks

Manuel -> Interfaces de programmation -> Modèles d'objet -> PfsModellShift -> PfsModellShift-Methods -> Breaks

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

The "Breaks" object manages the "Break" objects.

Datatype

Breaks() As PfsModellBreaks

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


Rename

Manuel -> Interfaces de programmation -> Modèles d'objet -> PfsModellShift -> PfsModellShift-Methods -> Rename

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

With this methode a shift can be renamed.

Datatype

Rename(String bstrName) As Boolean

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


PfsModellShifts

Manuel -> Interfaces de programmation -> Modèles d'objet -> PfsModellShifts

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

The ModellShifts collection allows the access to the shifts of a time model. The single shifts consist of a number and a period of time (from/to), when the shift is active.Any number of breaks can be defined for each shift. The breaks interrupt the production and are inactive states.The period of time of a shift has to be unique, i.e. it is not possible to define a shift within a shift.

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Examples

C#

VB.NET

VB.NET-Syntax

VBA

''''''''''''''''''''''''''''''''''''''''''''''
'''''''''Reading out Count of shifts''''''''''
''''''''''''''''''''''''''''''''''''''''''''''
Private Sub shifttest()

Dim mypfs As PfsEngine
Set mypfs = MyWorkspace.ActiveDocument.Pfs
Debug.Print mypfs.Groups.Item(0).TimeModells.Item(0).Shifts.Count

End Sub

Other topics in this chapter

PfsModellShifts-Properties

PfsModellShifts-Methods


PfsModellShifts-Properties

Manuel -> Interfaces de programmation -> Modèles d'objet -> PfsModellShifts -> PfsModellShifts-Properties

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
long | Count |  | read only | read only | yes | yes
IPfsTimeModell | Parent |  | read only | read only | yes | yes
IProject | Session |  | read only | read only | yes | yes

Other topics in this chapter

Parent

Count

Session


Parent

Manuel -> Interfaces de programmation -> Modèles d'objet -> PfsModellShifts -> PfsModellShifts-Properties -> Parent

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the parent object

Datatype

Parent() As PfsTimeModell

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


Count

Manuel -> Interfaces de programmation -> Modèles d'objet -> PfsModellShifts -> PfsModellShifts-Properties -> Count

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

The method returns the number of available objects. This property is mostly used for the method Item to run through each single object.Hint: For running through entries care, that the minimum is 0 and the maximum is Count-1.

Datatype

Count() As long

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


Session

Manuel -> Interfaces de programmation -> Modèles d'objet -> PfsModellShifts -> PfsModellShifts-Properties -> Session

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the current project reference.

Datatype

Session() As Project

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


PfsModellShifts-Methods

Manuel -> Interfaces de programmation -> Modèles d'objet -> PfsModellShifts -> PfsModellShifts-Methods

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
IPfsModellShift | CreateShift | - | available | available | yes | yes
VARIANT_BOOL | DeleteShift | - | available | available | yes | yes
IPfsModellShift | Item | - | available | available | yes | yes

Other topics in this chapter

Item

CreateShift

DeleteShift


Item

Manuel -> Interfaces de programmation -> Modèles d'objet -> PfsModellShifts -> PfsModellShifts-Methods -> Item

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the linked shift on the defined position or with the unique name.

Datatype

Item(VARIANT vNameOrPos) As PfsModellShift

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


CreateShift

Manuel -> Interfaces de programmation -> Modèles d'objet -> PfsModellShifts -> PfsModellShifts-Methods -> CreateShift

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Creates a new shift.

Datatype

CreateShift(String bstrName) As PfsModellShift

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


DeleteShift

Manuel -> Interfaces de programmation -> Modèles d'objet -> PfsModellShifts -> PfsModellShifts-Methods -> DeleteShift

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Deletes the defined shift.

Datatype

DeleteShift(VARIANT vNameOrId) As Boolean

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


PfsSchedule

Manuel -> Interfaces de programmation -> Modèles d'objet -> PfsSchedule

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

In a schedule object you can create absolute and relativ times and link them with switching points, so that a funktion is excecuted or a the value of a variable can be changed.

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Examples

C#

VB.NET

VB.NET-Syntax

VBA

''''''''''''''''''''''''''''''''''''''''''''''
'''''''''''''Creation, Reading out''''''''''''
'''''''''''and Deletion of schedules''''''''''
''''''''''''''''''''''''''''''''''''''''''''''
Private Sub shifttest()

Dim mypfs As PfsEngine
Set mypfs = MyWorkspace.ActiveDocument.PFS
Dim mystring As String

''''''Creation''''''''
Dim i As Double
Debug.Print "---Creation:"

For i = 0 To 5
mystring = "schedule" & i
mypfs.Groups.Item(0).Schedules.CreateSchedule (mystring)
Debug.Print mystring & " was created!"
Next i

''''''Reading out'''''
Dim f As Double
Debug.Print "---Reading Out:"

For f = 0 To mypfs.Groups.Item(0).Schedules.Count - 1
Debug.Print mypfs.Groups.Item(0).Schedules.Item(f).Name
Debug.Print mypfs.Groups.Item(0).Schedules.Item(f).GUID
Debug.Print mystring & " was created!"
Next f

''''''Deletion'''''
Dim t As Double
Debug.Print "---Deletion:"

For t = mypfs.Groups.Item(0).Schedules.Count - 1 To 1 Step -1
mystring = mypfs.Groups.Item(0).Schedules.Item(t).Name
mypfs.Groups.Item(0).Schedules.DeleteSchedule (t)
Debug.Print mystring & " was deleted!"
Next t

End Sub

Other topics in this chapter

PfsSchedule-Properties

PfsSchedule-Methods


PfsSchedule-Properties

Manuel -> Interfaces de programmation -> Modèles d'objet -> PfsSchedule -> PfsSchedule-Properties

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
VARIANT_BOOL | Active |  | available | available | yes | yes
BSTR | Guid |  | read only | read only | yes | yes
BSTR | KeyNote |  | read only | read only | yes | yes
BSTR | Name |  | read only | read only | yes | yes
IPfsSchedules | Parent |  | read only | read only | yes | yes
IProject | Session |  | read only | read only | yes | yes
VARIANT_BOOL | Structure |  | available | available | yes | yes

Other topics in this chapter

Parent

Name

Structure

Active

KeyNote

Guid

Session


Parent

Manuel -> Interfaces de programmation -> Modèles d'objet -> PfsSchedule -> PfsSchedule-Properties -> Parent

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the parent object

Datatype

Parent() As PfsSchedules

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


Name

Manuel -> Interfaces de programmation -> Modèles d'objet -> PfsSchedule -> PfsSchedule-Properties -> Name

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Is the name of the schedule.

Datatype

Name() As String

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


Structure

Manuel -> Interfaces de programmation -> Modèles d'objet -> PfsSchedule -> PfsSchedule-Properties -> Structure

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

The Structure property is true if the schedule is marked as "structured schedule".

Datatype

Structure() As Boolean

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes


Active

Manuel -> Interfaces de programmation -> Modèles d'objet -> PfsSchedule -> PfsSchedule-Properties -> Active

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

With this property the schedule can be activated or deactivated.

Datatype

Active() As Boolean

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes


KeyNote

Manuel -> Interfaces de programmation -> Modèles d'objet -> PfsSchedule -> PfsSchedule-Properties -> KeyNote

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

The Keynote returns the name of one or more main objects and of the current object sepperated with a dot. For instance "group1.schedule1" is the keynote of the schedule1.

Datatype

KeyNote() As String

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


Guid

Manuel -> Interfaces de programmation -> Modèles d'objet -> PfsSchedule -> PfsSchedule-Properties -> Guid

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Is the Guid of the Schedule which is unique and can be used to identify the object.

Datatype

Guid() As String

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


Session

Manuel -> Interfaces de programmation -> Modèles d'objet -> PfsSchedule -> PfsSchedule-Properties -> Session

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Contains the "Project" object.

Datatype

Session() As Project

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


PfsSchedule-Methods

Manuel -> Interfaces de programmation -> Modèles d'objet -> PfsSchedule -> PfsSchedule-Methods

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
VARIANT_BOOL | AddToDay | - | available | available | yes | yes
IPfsScheduleDays | ExecutionDays | - | available | available | yes | yes
VARIANT_BOOL | IsDefaultDay | - | available | available | yes | yes
tpPfsDayLink | IsOnDay | - | available | available | yes | yes
VARIANT_BOOL | RemoveFromDay | - | available | available | yes | yes
VARIANT_BOOL | Rename | - | available | available | yes | yes
IPfsScheduleLinks | ScheduleLinks | - | available | available | yes | yes
IPfsSchedules | Schedules | - | available | available | yes | yes
IPfsScheduleTimes | ScheduleTimes | - | available | available | yes | yes
void | SetDefaultDay | - | available | available | yes | yes
IPfsScheduleDays | SkippedDays | - | available | available | yes | yes

Other topics in this chapter

Schedules

ScheduleTimes

ScheduleLinks

ExecutionDays

SkippedDays

IsOnDay

AddToDay

RemoveFromDay

IsDefaultDay

SetDefaultDay

Rename


Schedules

Manuel -> Interfaces de programmation -> Modèles d'objet -> PfsSchedule -> PfsSchedule-Methods -> Schedules

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

A Schedule can also be a container for other schedules, with the "Schedules" collection you can access the sub schedules of a schedule.

Datatype

Schedules() As PfsSchedules

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


ScheduleTimes

Manuel -> Interfaces de programmation -> Modèles d'objet -> PfsSchedule -> PfsSchedule-Methods -> ScheduleTimes

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

This object manages the schedule times of the schedule.

Datatype

ScheduleTimes() As PfsScheduleTimes

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


ScheduleLinks

Manuel -> Interfaces de programmation -> Modèles d'objet -> PfsSchedule -> PfsSchedule-Methods -> ScheduleLinks

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

This collecton manages the functions and variables which are linked to the schedule.

Datatype

ScheduleLinks() As PfsScheduleLinks

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


ExecutionDays

Manuel -> Interfaces de programmation -> Modèles d'objet -> PfsSchedule -> PfsSchedule-Methods -> ExecutionDays

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

This Collection contains all days where a schedule is linked but not as default.

Datatype

ExecutionDays() As PfsScheduleDays

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


SkippedDays

Manuel -> Interfaces de programmation -> Modèles d'objet -> PfsSchedule -> PfsSchedule-Methods -> SkippedDays

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Manages the days which are manualy linked to a schedule for some specific dates as skipped days.

Datatype

SkippedDays() As PfsScheduleDays

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


IsOnDay

Manuel -> Interfaces de programmation -> Modèles d'objet -> PfsSchedule -> PfsSchedule-Methods -> IsOnDay

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

With this methode you can check with which link type the schedule is linked on a specific date. The methode returns a tpPFSDayLink.

Datatype

IsOnDay(DATE vDay) As tpPfsDayLink

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


AddToDay

Manuel -> Interfaces de programmation -> Modèles d'objet -> PfsSchedule -> PfsSchedule-Methods -> AddToDay

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

With this methode a schedule can be linked to a day. As parameters you have to give the methode the date and the type of the link.

Datatype

AddToDay(DATE vDay, tpPfsDayLink sType) As Boolean

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


RemoveFromDay

Manuel -> Interfaces de programmation -> Modèles d'objet -> PfsSchedule -> PfsSchedule-Methods -> RemoveFromDay

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

With this methode a schedule can be removed from a specific date.

Datatype

RemoveFromDay(DATE vDate, [optional] VARIANT bDayOnly) As Boolean

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

#region VSTA generated code (DO NOT MODIFY THIS REGION!)

private void InternalStartup()

{

//(DO NOT modify this event handler!)

this.Startup += new System.EventHandler(MyWorkspace_Startup);

this.Shutdown += new System.EventHandler(MyWorkspace_Shutdown);

}

#endregion

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


IsDefaultDay

Manuel -> Interfaces de programmation -> Modèles d'objet -> PfsSchedule -> PfsSchedule-Methods -> IsDefaultDay

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

With this methode you can check if a schedule is linked as default schedule to a daytype. For instance IsDefaultDay(tppfsMonday) would be true if the schedule is linked to all mondays, instead it would be false.

Datatype

IsDefaultDay(tpPfsDefaultDays sDayOfWeek) As Boolean

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


SetDefaultDay

Manuel -> Interfaces de programmation -> Modèles d'objet -> PfsSchedule -> PfsSchedule-Methods -> SetDefaultDay

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

With this methode you can link a schedule as default to a day type.

Datatype

SetDefaultDay(tpPfsDefaultDays sDayOfWeek) As void

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


Rename

Manuel -> Interfaces de programmation -> Modèles d'objet -> PfsSchedule -> PfsSchedule-Methods -> Rename

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

With this methode you can rename a schedule.

Datatype

Rename(String bstrNewName) As Boolean

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


PfsScheduleDay

Manuel -> Interfaces de programmation -> Modèles d'objet -> PfsScheduleDay

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

A Schedule day object is a specific date on which a schedule is excecuted or not.

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Examples

C#

VB.NET

VB.NET-Syntax

VBA

''''''''''''''''''''''''''''''''''''''''''''''
'''''''''''''Reading out all Dates''''''''''''
'''''''of the ExecutionDays of a Schedule'''''
''''''''''''''''''''''''''''''''''''''''''''''
Private Sub test23()

Dim pfs As PfsEngine
Dim i As Integer
Set pfs = MyWorkspace.ActiveDocument.pfs

''''''Giving out the Count of all Execution Days
Debug.Print pfs.Groups.Item(0).Schedules.Item(0).ExecutionDays.Count

For i = 0 To pfs.Groups.Item(0).Schedules.Item(0).ExecutionDays.Count - 1
Debug.Print pfs.Groups.Item(0).Schedules.Item(0).ExecutionDays.Item(i).Date
Next i

End Sub

Other topics in this chapter

PfsScheduleDay-Properties


PfsScheduleDay-Properties

Manuel -> Interfaces de programmation -> Modèles d'objet -> PfsScheduleDay -> PfsScheduleDay-Properties

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description |  | Editor | Runtime | VBA | VSTA
DATE | Date |  |  | read only | read only | yes | yes
IPfsSchedule | Parent |  |  | read only | read only | yes | yes
IProject | Session |  |  | read only | read only | yes | yes
short | Type |  |  | read only | read only | yes | yes
DATE | date |  | read only |  | read only | yes |  | yes

Other topics in this chapter

Parent

date

Type

Session


Parent

Manuel -> Interfaces de programmation -> Modèles d'objet -> PfsScheduleDay -> PfsScheduleDay-Properties -> Parent

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the parent object

Datatype

Parent() As PfsSchedule

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


date

Manuel -> Interfaces de programmation -> Modèles d'objet -> PfsScheduleDay -> PfsScheduleDay-Properties -> date

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

date() As DATE

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


Type

Manuel -> Interfaces de programmation -> Modèles d'objet -> PfsScheduleDay -> PfsScheduleDay-Properties -> Type

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Contains the type of the schedule day. Can contain the following values:

  • tpPfsExecute = 0x30,
  • tpPfsSkip = 0x31,
  • tpPfsDefaultDay = 0x32,
  • tpPfsDefaultHDay = 0x33,
  • tpPfsUnused = 0x34,

Datatype

Type() As short

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


Session

Manuel -> Interfaces de programmation -> Modèles d'objet -> PfsScheduleDay -> PfsScheduleDay-Properties -> Session

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Contains the "Project" object.

Datatype

Session() As Project

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


PfsScheduleDays

Manuel -> Interfaces de programmation -> Modèles d'objet -> PfsScheduleDays

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

The ScheduleDay collection contains a date, on which the schedule should be executed or not.With the Type property you can find out, if the schadule should be executed or not on the given day.

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Examples

C#

VB.NET

VB.NET-Syntax

VBA

''''''''''''''''''''''''''''''''''''''''''''''
'''''''''''''Reading out all Dates''''''''''''
'''''''of the ExecutionDays of a Schedule'''''
''''''''''''''''''''''''''''''''''''''''''''''
Private Sub test23()

Dim pfs As PfsEngine
Dim i As Integer
Set pfs = MyWorkspace.ActiveDocument.pfs

''''''Giving out the Count of all Execution Days
Debug.Print pfs.Groups.Item(0).Schedules.Item(0).ExecutionDays.Count

For i = 0 To pfs.Groups.Item(0).Schedules.Item(0).ExecutionDays.Count - 1
Debug.Print pfs.Groups.Item(0).Schedules.Item(0).ExecutionDays.Item(i).Date
Next i

End Sub

Other topics in this chapter

PfsScheduleDays-Properties

PfsScheduleDays-Methods


PfsScheduleDays-Properties

Manuel -> Interfaces de programmation -> Modèles d'objet -> PfsScheduleDays -> PfsScheduleDays-Properties

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
long | Count |  | read only | read only | yes | yes
IPfsSchedule | Parent |  | read only | read only | yes | yes
IProject | Session |  | read only | read only | yes | yes

Other topics in this chapter

Parent

Count

Session


Parent

Manuel -> Interfaces de programmation -> Modèles d'objet -> PfsScheduleDays -> PfsScheduleDays-Properties -> Parent

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the parent object

Datatype

Parent() As PfsSchedule

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


Count

Manuel -> Interfaces de programmation -> Modèles d'objet -> PfsScheduleDays -> PfsScheduleDays-Properties -> Count

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

The method returns the number of available objects. This property is mostly used for the method Item to run through each single object.Hint: For running through entries care, that the minimum is 0 and the maximum is Count-1.

Datatype

Count() As long

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


Session

Manuel -> Interfaces de programmation -> Modèles d'objet -> PfsScheduleDays -> PfsScheduleDays-Properties -> Session

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Contains the "Project" object.

Datatype

Session() As Project

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


PfsScheduleDays-Methods

Manuel -> Interfaces de programmation -> Modèles d'objet -> PfsScheduleDays -> PfsScheduleDays-Methods

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
IPfsScheduleDay | Item | - | available | available | yes | yes

Other topics in this chapter

Item


Item

Manuel -> Interfaces de programmation -> Modèles d'objet -> PfsScheduleDays -> PfsScheduleDays-Methods -> Item

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the ScheduleDay object from the collection, which is identified by the parameter vNameOrPos. The parameter vNameOrPos can have two values:

  • Index: Access with an index is mostly used in combination with the property Count to find out the position of the variable object in the list.
  • ScheduleDay name: The ScheduleDay can also be accessed with its unique name.

Hint:The returned object should be checked on Nothing, if no object for the search criteria was found.

Datatype

Item(VARIANT vNameOrPos) As PfsScheduleDay

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


PfsScheduleLink

Manuel -> Interfaces de programmation -> Modèles d'objet -> PfsScheduleLink

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

The ScheduleLink object is a link to the variable/function. Depending on the Type property you can access the linked variable/function with the methods ItemVariable resp. ItemRtFunction.

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Examples

C#

VB.NET

VB.NET-Syntax

VBA

'''''''''''''''''''''''''''''''''''''''''''''
''''''''Giving out all Names, function-''''''
'''''''or variable names of a schedule'''''''
'''''''''''''''''''''''''''''''''''''''''''''
Private Sub test()

Dim pfs As PfsEngine
Dim i As Integer
Set pfs = MyWorkspace.ActiveDocument.pfs
Dim mytype As Integer

Debug.Print pfs.Groups.Item(0).Schedules.Item(1).ScheduleLinks.Count - 1

For i = 0 To pfs.Groups.Item(0).Schedules.Item(1).ScheduleLinks.Count - 1
mytype = pfs.Groups.Item(0).Schedules.Item(1).ScheduleLinks.Item(i).Type
Debug.Print pfs.Groups.Item(0).Schedules.Item(1).ScheduleLinks.Item(i).Type
Debug.Print pfs.Groups.Item(0).Schedules.Item(1).ScheduleLinks.Item(i).Name
Debug.Print pfs.Groups.Item(0).Schedules.Item(1).ScheduleLinks.Item(i).GUID

If mytype = 32 Or mytype = 34 Then
Debug.Print pfs.Groups.Item(0).Schedules.Item(1).ScheduleLinks.Item(i).Variable.Driver.Name
Else
Debug.Print pfs.Groups.Item(0).Schedules.Item(1).ScheduleLinks.Item(i).RtFunction.Name
End If

Next i
End Sub

Other topics in this chapter

PfsScheduleLink-Properties

PfsScheduleLink-Methods


PfsScheduleLink-Properties

Manuel -> Interfaces de programmation -> Modèles d'objet -> PfsScheduleLink -> PfsScheduleLink-Properties

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
BSTR | Guid |  | read only | read only | yes | yes
BSTR | Name |  | read only | read only | yes | yes
IPfsScheduleLinks | Parent |  | read only | read only | yes | yes
IProject | Session |  | read only | read only | yes | yes
tpPfsLinkTypes | Type |  | read only | read only | yes | yes

Other topics in this chapter

Parent

Name

Type

Guid

Session


Parent

Manuel -> Interfaces de programmation -> Modèles d'objet -> PfsScheduleLink -> PfsScheduleLink-Properties -> Parent

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the parent object

Datatype

Parent() As PfsScheduleLinks

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


Name

Manuel -> Interfaces de programmation -> Modèles d'objet -> PfsScheduleLink -> PfsScheduleLink-Properties -> Name

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Is the name of the ScheduleLink.

Datatype

Name() As String

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


Type

Manuel -> Interfaces de programmation -> Modèles d'objet -> PfsScheduleLink -> PfsScheduleLink-Properties -> Type

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

Type() As tpPfsLinkTypes

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


Guid

Manuel -> Interfaces de programmation -> Modèles d'objet -> PfsScheduleLink -> PfsScheduleLink-Properties -> Guid

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Is the Guid of the ScheduleLink which is unique and can be used to identify the object.

Datatype

Guid() As String

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


Session

Manuel -> Interfaces de programmation -> Modèles d'objet -> PfsScheduleLink -> PfsScheduleLink-Properties -> Session

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Contains the "Project" object.

Datatype

Session() As Project

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


PfsScheduleLink-Methods

Manuel -> Interfaces de programmation -> Modèles d'objet -> PfsScheduleLink -> PfsScheduleLink-Methods

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
IRtFunction | RtFunction | - | read only | read only | yes | yes
IVariable | Variable | - | read only | read only | yes | yes

Other topics in this chapter

RtFunction

Variable


RtFunction

Manuel -> Interfaces de programmation -> Modèles d'objet -> PfsScheduleLink -> PfsScheduleLink-Methods -> RtFunction

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the function which is linked to the switching point. Is just available if the Type of the Link is correctly set.

Datatype

RtFunction() As RtFunction

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


Variable

Manuel -> Interfaces de programmation -> Modèles d'objet -> PfsScheduleLink -> PfsScheduleLink-Methods -> Variable

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the variable which is linked to the switching point. Is just available if the Type of the Link is correctly set.

Datatype

Variable() As Variable

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


PfsScheduleLinks

Manuel -> Interfaces de programmation -> Modèles d'objet -> PfsScheduleLinks

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

The "IPfsScheduleLinks" object manages the collection of the "IPfsScheduleLink" objects.

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Examples

C#

VB.NET

VB.NET-Syntax

VBA

Sub PFS_Sample()
Dim i As Integer
Dim zPFS As PfsEngine
Dim zPFS_GRP As PfsGroup
Dim zPFS_SCD As PfsSchedule
Dim zPFS_SCL As PfsScheduleLink
Dim zFCT As RtFunction
Dim zVAR As Variable

'get PFS Engine
Set zPFS = MyWorkspace.ActiveDocument.Pfs
'get 1st found group
Set zPFS_GRP = zPFS.Groups.Item(0)
'get 1st found schedule
Set zPFS_SCD = zPFS_GRP.Schedules.Item(0)
'get count of ScheduleLinks
Debug.Print "ScheduleLinks: " & zPFS_SCD.ScheduleLinks.Count
'create new FunctionLink
Set zFCT = MyWorkspace.ActiveDocument.RtFunctions.Item("myFunction")
Set zPFS_SCL = zPFS_SCD.ScheduleLinks.CreateFktLink(zFCT)
Debug.Print zPFS_SCL.Name
'create new VariableLink
Set zVAR = MyWorkspace.ActiveDocument.Variables.Item("myVAR")
Set zPFS_SCL = zPFS_SCD.ScheduleLinks.CreateVarLink(zVAR)
Debug.Print zPFS_SCL.Name
'enumerate ScheduleLinks
For i = 0 To zPFS_SCD.ScheduleLinks.Count - 1
Set zPFS_SCL = zPFS_SCD.ScheduleLinks.Item(i)
Debug.Print "Nr." & i & ": " & zPFS_SCL.Name & " [" & zPFS_SCL.Type & "]"
Next i
Set zPFS_SCL = Nothing
'delete ScheduleLinks
zPFS_SCD.ScheduleLinks.DeleteVarLink ("MyVAR")
'save changes
zPFS.Save
End Sub

Other topics in this chapter

PfsScheduleLinks-Properties

PfsScheduleLinks-Methods


PfsScheduleLinks-Properties

Manuel -> Interfaces de programmation -> Modèles d'objet -> PfsScheduleLinks -> PfsScheduleLinks-Properties

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
long | Count |  | read only | read only | yes | yes
IPfsSchedule | Parent |  | read only | read only | yes | yes
IProject | Session |  | read only | read only | yes | yes

Other topics in this chapter

Parent

Count

Session


Parent

Manuel -> Interfaces de programmation -> Modèles d'objet -> PfsScheduleLinks -> PfsScheduleLinks-Properties -> Parent

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the parent object

Datatype

Parent() As PfsSchedule

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


Count

Manuel -> Interfaces de programmation -> Modèles d'objet -> PfsScheduleLinks -> PfsScheduleLinks-Properties -> Count

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

The method returns the number of available objects. This property is mostly used for the method Item to run through each single object.Hint: For running through entries care, that the minimum is 0 and the maximum is Count-1.

Datatype

Count() As long

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


Session

Manuel -> Interfaces de programmation -> Modèles d'objet -> PfsScheduleLinks -> PfsScheduleLinks-Properties -> Session

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Contains the "Project" object.

Datatype

Session() As Project

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


PfsScheduleLinks-Methods

Manuel -> Interfaces de programmation -> Modèles d'objet -> PfsScheduleLinks -> PfsScheduleLinks-Methods

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
IPfsScheduleLink | CreateFktLink | - | available | available | yes | yes
IPfsScheduleLink | CreateVarLink | - | available | available | yes | yes
VARIANT_BOOL | DeleteFktLink | - | available | available | yes | yes
VARIANT_BOOL | DeleteVarLink | - | available | available | yes | yes
IPfsScheduleLink | Item | - | available | available | yes | yes

Other topics in this chapter

Item

CreateVarLink

CreateFktLink

DeleteVarLink

DeleteFktLink


Item

Manuel -> Interfaces de programmation -> Modèles d'objet -> PfsScheduleLinks -> PfsScheduleLinks-Methods -> Item

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the ScheduleLink object at the specified position.

Datatype

Item(VARIANT vPosition) As PfsScheduleLink

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


CreateVarLink

Manuel -> Interfaces de programmation -> Modèles d'objet -> PfsScheduleLinks -> PfsScheduleLinks-Methods -> CreateVarLink

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

With this methode you can create a new variable link.

Datatype

CreateVarLink(IVariable pVariable) As PfsScheduleLink

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


CreateFktLink

Manuel -> Interfaces de programmation -> Modèles d'objet -> PfsScheduleLinks -> PfsScheduleLinks-Methods -> CreateFktLink

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

With this methode you can create a new function link.

Datatype

CreateFktLink(IRtFunction pFunction) As PfsScheduleLink

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


DeleteVarLink

Manuel -> Interfaces de programmation -> Modèles d'objet -> PfsScheduleLinks -> PfsScheduleLinks-Methods -> DeleteVarLink

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

With this methode a variable link can be deleted.

Datatype

DeleteVarLink(VARIANT vNameOrPos) As Boolean

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


DeleteFktLink

Manuel -> Interfaces de programmation -> Modèles d'objet -> PfsScheduleLinks -> PfsScheduleLinks-Methods -> DeleteFktLink

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

With this methode a function link can be deleted.

Datatype

DeleteFktLink(VARIANT vNameOrPos) As Boolean

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


PfsSchedules

Manuel -> Interfaces de programmation -> Modèles d'objet -> PfsSchedules

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

The Schedules collection contains the existing schedules of an equipment or a parent schedule. The single schedules contain the execution times and a pool of links, e.g. variables/functions. The times are linked to any number of switching points, that execute switching operations.With the Item method combined with the Count property you can iterate through the existing schedules.

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Examples

C#

VB.NET

VB.NET-Syntax

VBA

''''''''''''''''''''''''''''''''''''''''''''''
''''''''Reading out Count of schedules''''''''
''''''Creating and Deleting of Schedules''''''
''''''''''''''''''''''''''''''''''''''''''''''

Private Sub shifttest()

Dim mypfs As PfsEngine
Set mypfs = MyWorkspace.ActiveDocument.pfs

Debug.Print mypfs.Groups.Item(0).Schedules.Count

mypfs.Groups.Item(0).Schedules.CreateSchedule ("myschedule1")
mypfs.Groups.Item(0).Schedules.CreateSchedule ("myschedule2")
mypfs.Groups.Item(0).Schedules.CreateSchedule ("myschedule3")

Debug.Print mypfs.Groups.Item(0).Schedules.Count

mypfs.Groups.Item(0).Schedules.DeleteSchedule ("myschedule1")
mypfs.Groups.Item(0).Schedules.DeleteSchedule ("myschedule2")
mypfs.Groups.Item(0).Schedules.DeleteSchedule ("myschedule3")

Debug.Print mypfs.Groups.Item(0).Schedules.Count

End Sub

Other topics in this chapter

PfsSchedules-Properties

PfsSchedules-Methods


PfsSchedules-Properties

Manuel -> Interfaces de programmation -> Modèles d'objet -> PfsSchedules -> PfsSchedules-Properties

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
long | Count |  | read only | read only | yes | yes
IPfsGroup | Parent |  | read only | read only | yes | yes
IProject | Session |  | read only | read only | yes | yes

Other topics in this chapter

Parent

Count

Session


Parent

Manuel -> Interfaces de programmation -> Modèles d'objet -> PfsSchedules -> PfsSchedules-Properties -> Parent

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the parent object

Datatype

Parent() As PfsGroup

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


Count

Manuel -> Interfaces de programmation -> Modèles d'objet -> PfsSchedules -> PfsSchedules-Properties -> Count

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

The method returns the number of available objects. This property is mostly used for the method Item to run through each single object.Hint: For running through entries care, that the minimum is 0 and the maximum is Count-1.

Datatype

Count() As long

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


Session

Manuel -> Interfaces de programmation -> Modèles d'objet -> PfsSchedules -> PfsSchedules-Properties -> Session

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Contains the "Project" object.

Datatype

Session() As Project

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


PfsSchedules-Methods

Manuel -> Interfaces de programmation -> Modèles d'objet -> PfsSchedules -> PfsSchedules-Methods

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
IPfsSchedule | CreateSchedule | - | available | available | yes | yes
VARIANT_BOOL | DeleteSchedule | - | available | available | yes | yes
IPfsSchedule | Item | - | available | available | yes | yes
IPfsSchedule | DuplicateSchedule |  | available | available | yes | yes

Other topics in this chapter

Item

CreateSchedule

DeleteSchedule

DuplicateSchedule


Item

Manuel -> Interfaces de programmation -> Modèles d'objet -> PfsSchedules -> PfsSchedules-Methods -> Item

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the Schedule object from the collection, which is identified by the parameter vNameOrPos. The parameter vNameOrPos can have two values:

  • Index: Access with an index is mostly used in combination with the property Count to find out the position of the variable object in the list.
  • Schedule name: The Schedule can also be accessed with its unique name.

Hint:The returned object should be checked on Nothing, if no object for the search criteria was found.

Datatype

Item(VARIANT vNameOrPos) As PfsSchedule

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


CreateSchedule

Manuel -> Interfaces de programmation -> Modèles d'objet -> PfsSchedules -> PfsSchedules-Methods -> CreateSchedule

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

With this methode you can create a new Schedule.

Datatype

CreateSchedule(String bstrName) As PfsSchedule

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


DeleteSchedule

Manuel -> Interfaces de programmation -> Modèles d'objet -> PfsSchedules -> PfsSchedules-Methods -> DeleteSchedule

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

With this methode you can delete a Schedule.

Datatype

DeleteSchedule(VARIANT vNameOrPos) As Boolean

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


DuplicateSchedule

Manuel -> Interfaces de programmation -> Modèles d'objet -> PfsSchedules -> PfsSchedules-Methods -> DuplicateSchedule

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

This method will copy the schedule identified by bstrFullSourceName into the PfsSchedules collection. It will return a pointer to the newly created PfsSchedule.

Note: The name of the copy will be made unique the same way as over the GUI.

bstrFullSourceName: Name with all parent names of a PfsSchedule. May be found in the PfsSchedule.KeyNote Property

bCopyChildSchedules: If true, all Child Schedules of the Source Schedule will be copied as well. If false, the source Schedule will be copied without any children.

Datatype

DuplicateSchedule(BSTR bstrFullSourceName, BOOL bCopyChildSchedules) As IPfsSchedule

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

VB.NET

VBA

Examples

C#

public void Macro_DuplicateSchedule()

{

// Get the Schedule we want to copy

var sourceSchedule = this.Pfs().Groups().Item("someGroupName").Schedules().Item("theScheduleIWantToCopy");

// Get the Collection into which we want to paste the new copy

var targetSchedules = this.Pfs().Groups().Item("theGroupIWantToCopyTheScheduleInto").Schedules();

// Create a Copy

var newSchedule = targetSchedules.DuplicateSchedule(sourceSchedule.KeyNote, 1);

this.Pfs().Save();

// Inspect the result

System.Windows.Forms.MessageBox.Show("newObject: " + newSchedule.KeyNote);

}

VB.NET

VBA

Public Sub SimpleDuplicate()

'Get the Schedule we want to copy

Dim sourceSchedule As PfsSchedule

Set sourceSchedule = thisProject.pfs.Groups.Item("someGroupName").schedules.Item("theScheduleIWantToCopy")

'Get the Collection into which we want to paste the new copy

Dim targetSchedules As PfsSchedules

Set targetSchedules = thisProject.pfs.Groups.Item("theGroupIWantToCopyTheScheduleInto").schedules

'Create a Copy

Set newSchedule = targetSchedules.DuplicateSchedule(sourceSchedule.KeyNote, True)

thisProject.pfs.save

'Inspect the result

Debug.Print "newObject: " + newSchedule.KeyNote

End Sub


PfsScheduleTime

Manuel -> Interfaces de programmation -> Modèles d'objet -> PfsScheduleTime

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Schedule Times are the entries in a schedule which can contain switching points for functions or variables.

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Examples

C#

VB.NET

VB.NET-Syntax

VBA

''''''''''''''''''''''''''''''''''''''''''''''
''''''''Reading out Types and times of '''''''
''''''''''''''''all Schedule Times''''''''''''
''''''''''''''''''''''''''''''''''''''''''''''
Private Sub mytest1()

Dim mypfs As PfsEngine
Set mypfs = MyWorkspace.ActiveDocument.pfs
Dim i As Integer

For i = 0 To mypfs.Groups.Item(0).Schedules.Item(0).ScheduleTimes.Count - 1

Debug.Print mypfs.Groups.Item(0).Schedules.Item(0).ScheduleTimes.Item(0).Type
Debug.Print mypfs.Groups.Item(0).Schedules.Item(0).ScheduleTimes.Item(0).Time
Next i

End Sub

Public Sub TestMacro_UserEvent()

Dim pfsTime As PfsScheduleTime

Dim pfsEvent As pfsEvent

Set pfsTime = thisProject.Pfs.Groups.Item(0).Schedules.Item(0).ScheduleTimes.Item(0)

Set pfsEvent = thisProject.Pfs.Events.Item(0)

pfsTime.UserEventId = pfsEvent.ID

thisProject.Pfs.Save

End Sub

Public Sub TestMacro_PredefniedEvent()

Dim pfsTime As PfsScheduleTime

Dim pfsEvent As pfsEvent

Set pfsTime = thisProject.Pfs.Groups.Item(0).Schedules.Item(0).ScheduleTimes.Item(0)

pfsTime.EventId = tpPfsShiftStart

thisProject.Pfs.Save

End Sub

Other topics in this chapter

PfsScheduleTime-Properties

PfsScheduleTime-Methods


PfsScheduleTime-Properties

Manuel -> Interfaces de programmation -> Modèles d'objet -> PfsScheduleTime -> PfsScheduleTime-Properties

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
tpPfsEventTypes | EventId |  | not used | not used | yes | yes
BSTR | Guid |  | read only | read only | yes | yes
double | Offset |  | available | available | yes | yes
IPfsScheduleTimes | Parent |  | read only | read only | yes | yes
IProject | Session |  | read only | read only | yes | yes
DATE | Time |  | available | available | yes | yes
tpPfsTimeTypes | Type |  | available | available | yes | yes
long | UserEventId |  | not used | not used | yes | yes

Other topics in this chapter

Parent

Time

Type

EventId

Offset

UserEventId

Guid

Session


Parent

Manuel -> Interfaces de programmation -> Modèles d'objet -> PfsScheduleTime -> PfsScheduleTime-Properties -> Parent

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the parent object

Datatype

Parent() As PfsScheduleTimes

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


Time

Manuel -> Interfaces de programmation -> Modèles d'objet -> PfsScheduleTime -> PfsScheduleTime-Properties -> Time

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Is the Time which is set to the Schedule Time.

Datatype

Time() As DATE

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes


Type

Manuel -> Interfaces de programmation -> Modèles d'objet -> PfsScheduleTime -> PfsScheduleTime-Properties -> Type

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

Type() As tpPfsTimeTypes

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes


EventId

Manuel -> Interfaces de programmation -> Modèles d'objet -> PfsScheduleTime -> PfsScheduleTime-Properties -> EventId

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Adds a pre-defined event to a relative switch point.

Datatype

EventId() As tpPfsEventTypes

Availability

Environment | Available
Editor | not used
Runtime | not used
VBA | yes
VSTA | yes


Offset

Manuel -> Interfaces de programmation -> Modèles d'objet -> PfsScheduleTime -> PfsScheduleTime-Properties -> Offset

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Is the deviation of the set time.

Datatype

Offset() As double

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes


UserEventId

Manuel -> Interfaces de programmation -> Modèles d'objet -> PfsScheduleTime -> PfsScheduleTime-Properties -> UserEventId

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Adds a user defined event to a relative switch point.

Datatype

UserEventId() As long

Availability

Environment | Available
Editor | not used
Runtime | not used
VBA | yes
VSTA | yes


Guid

Manuel -> Interfaces de programmation -> Modèles d'objet -> PfsScheduleTime -> PfsScheduleTime-Properties -> Guid

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Is the Guid of the ScheduleLink which is unique and can be used to identify the object.

Datatype

Guid() As String

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


Session

Manuel -> Interfaces de programmation -> Modèles d'objet -> PfsScheduleTime -> PfsScheduleTime-Properties -> Session

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Contains the "Project" object.

Datatype

Session() As Project

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


PfsScheduleTime-Methods

Manuel -> Interfaces de programmation -> Modèles d'objet -> PfsScheduleTime -> PfsScheduleTime-Methods

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
IPfsEvent | Event | - | not used | not used | yes | yes
IPfsScheduleValues | ScheduleValues | - | available | available | yes | yes

Other topics in this chapter

ScheduleValues

Event


ScheduleValues

Manuel -> Interfaces de programmation -> Modèles d'objet -> PfsScheduleTime -> PfsScheduleTime-Methods -> ScheduleValues

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Contains all linked values of the schedule time.

Datatype

ScheduleValues() As PfsScheduleValues

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


Event

Manuel -> Interfaces de programmation -> Modèles d'objet -> PfsScheduleTime -> PfsScheduleTime-Methods -> Event

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

[MISSING DESCRIPTION]

Datatype

Event() As PfsEvent

Availability

Environment | Available
Editor | not used
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


PfsScheduleTimes

Manuel -> Interfaces de programmation -> Modèles d'objet -> PfsScheduleTimes

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

The ScheduleTimes collection contains the times of the schedule. As the times of a schedule are inherited to its children, this list contains all times of the schedule itself and all the times of parent schedules.Several switching operations can be executed at any time! With the Item method combined with the Count property you can iterate through the existing times.

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Examples

C#

VB.NET

VB.NET-Syntax

VBA

''''''''''''''''''''''''''''''''''''''''''''''
''''''''''Creating and Deletion of 5''''''''''
'''''''''''''''Schedule Times'''''''''''''''''
''''''''''''''''''''''''''''''''''''''''''''''
Private Sub test()

Dim pfs As PfsEngine
Dim i As Integer
Dim g As Integer
Set pfs = MyWorkspace.ActiveDocument.pfs
Dim mytime As tpPfsTimeTypes

mytime = tpPfsRelativeTime
g = pfs.Groups.Item(0).Schedules.Item(0).ScheduleTimes.Count
Debug.Print g

Debug.Print "-------Creation-------"

For i = 0 To 4
Debug.Print g
pfs.Groups.Item(0).Schedules.Item(0).ScheduleTimes.CreateTime (mytime)
pfs.Save
g = pfs.Groups.Item(0).Schedules.Item(0).ScheduleTimes.Count
Next i

Debug.Print "-------Deletion-------"

For i = g - 1 To 0 Step -1
pfs.Groups.Item(0).Schedules.Item(0).ScheduleTimes.DeleteTime (i)
pfs.Save
g = pfs.Groups.Item(0).Schedules.Item(0).ScheduleTimes.Count
Debug.Print g
Next i

End Sub

Other topics in this chapter

PfsScheduleTimes-Properties

PfsScheduleTimes-Methods


PfsScheduleTimes-Properties

Manuel -> Interfaces de programmation -> Modèles d'objet -> PfsScheduleTimes -> PfsScheduleTimes-Properties

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
long | Count |  | read only | read only | yes | yes
IPfsSchedule | Parent |  | read only | read only | yes | yes
IProject | Session |  | read only | read only | yes | yes

Other topics in this chapter

Parent

Count

Session


Parent

Manuel -> Interfaces de programmation -> Modèles d'objet -> PfsScheduleTimes -> PfsScheduleTimes-Properties -> Parent

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the parent object

Datatype

Parent() As PfsSchedule

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


Count

Manuel -> Interfaces de programmation -> Modèles d'objet -> PfsScheduleTimes -> PfsScheduleTimes-Properties -> Count

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

This property returns the number of available objects. This property is mostly used for the method Item to run through each single object.Hint: For running through entries care, that the minimum is 0 and the maximum is Count-1.

Datatype

Count() As long

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


Session

Manuel -> Interfaces de programmation -> Modèles d'objet -> PfsScheduleTimes -> PfsScheduleTimes-Properties -> Session

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Contains the "Project" object.

Datatype

Session() As Project

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


PfsScheduleTimes-Methods

Manuel -> Interfaces de programmation -> Modèles d'objet -> PfsScheduleTimes -> PfsScheduleTimes-Methods

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
IPfsScheduleTime | CreateTime | - | available | available | yes | yes
VARIANT_BOOL | DeleteTime | - | available | available | yes | yes
IPfsScheduleTime | Item | - | available | available | yes | yes

Other topics in this chapter

Item

CreateTime

DeleteTime


Item

Manuel -> Interfaces de programmation -> Modèles d'objet -> PfsScheduleTimes -> PfsScheduleTimes-Methods -> Item

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the ScheduleTime object from the collection, which is identified by the parameter vPosition.The parameter vPosition is the index of the element you want to get.Hint:The returned object should be checked on Nothing, if no object for the search criteria was found.

Datatype

Item(VARIANT vPosition) As PfsScheduleTime

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


CreateTime

Manuel -> Interfaces de programmation -> Modèles d'objet -> PfsScheduleTimes -> PfsScheduleTimes-Methods -> CreateTime

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

With this methode you can create a new ScheduleTime.

Datatype

CreateTime(tpPfsTimeTypes tpTimeType) As PfsScheduleTime

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


DeleteTime

Manuel -> Interfaces de programmation -> Modèles d'objet -> PfsScheduleTimes -> PfsScheduleTimes-Methods -> DeleteTime

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

With this methode you can delete a ScheduleTime.

Datatype

DeleteTime(long lIndex) As Boolean

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


PfsScheduleValue

Manuel -> Interfaces de programmation -> Modèles d'objet -> PfsScheduleValue

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

A ScheduleValue is a subelement of a ScheduleTime. One ScheduleTime can have many ScheduleValues. For Instance: An absolute ScheduleTime is configured at 12:00am. If you want to change the value of three variables and excecute two functions at 12:00am you need to add five ScheduleValues.

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Examples

C#

VB.NET

VB.NET-Syntax

VBA

''''''''''''''''''''''''''''''''''''''''''''''
'''''''''''Reading out Count, Value'''''''''''
''''''''''Active Status and type of'''''''''''
'''''''''''''''Schedule Values''''''''''''''''
''''''''''''''''''''''''''''''''''''''''''''''
Private Sub test()

Dim pfs As PfsEngine
Dim i As Integer
Dim g As Integer
Set pfs = MyWorkspace.ActiveDocument.pfs

Debug.Print "------>Count:"
Debug.Print pfs.Groups.Item(0).Schedules.Item(0).ScheduleTimes.Item(0).ScheduleValues.Count

For i = 0 To pfs.Groups.Item(0).Schedules.Item(0).ScheduleTimes.Item(0).ScheduleValues.Count - 1
Debug.Print "--->Item " & i & ": "
Debug.Print pfs.Groups.Item(0).Schedules.Item(0).ScheduleTimes.Item(0).ScheduleValues.Item(i).value
Debug.Print pfs.Groups.Item(0).Schedules.Item(0).ScheduleTimes.Item(0).ScheduleValues.Item(i).Active
Debug.Print pfs.Groups.Item(0).Schedules.Item(0).ScheduleTimes.Item(0).ScheduleValues.Item(i).Type
Next i
End Sub

Other topics in this chapter

PfsScheduleValue-Properties

PfsScheduleValue-Methods


PfsScheduleValue-Properties

Manuel -> Interfaces de programmation -> Modèles d'objet -> PfsScheduleValue -> PfsScheduleValue-Properties

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
VARIANT_BOOL | Active |  | available | available | yes | yes
BSTR | Guid |  | available | available | yes | yes
IPfsScheduleValues | Parent |  | read only | read only | yes | yes
IProject | Session |  | read only | read only | yes | yes
tpPfsLinkTypes | Type |  | read only | read only | yes | yes
VARIANT | Value |  | available | available | yes | yes
short | PasswordLevel |  | read only | read only | yes | yes

Other topics in this chapter

Parent

Active

Type

Value

Guid

Session

PasswordLevel


Parent

Manuel -> Interfaces de programmation -> Modèles d'objet -> PfsScheduleValue -> PfsScheduleValue-Properties -> Parent

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the parent object

Datatype

Parent() As PfsScheduleValues

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


Active

Manuel -> Interfaces de programmation -> Modèles d'objet -> PfsScheduleValue -> PfsScheduleValue-Properties -> Active

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

This property gives you the possibility to activate or deactivate single ScheduleValues.

Datatype

Active() As Boolean

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes


Type

Manuel -> Interfaces de programmation -> Modèles d'objet -> PfsScheduleValue -> PfsScheduleValue-Properties -> Type

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

Type() As tpPfsLinkTypes

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


Value

Manuel -> Interfaces de programmation -> Modèles d'objet -> PfsScheduleValue -> PfsScheduleValue-Properties -> Value

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Is the Value which is written to a variable when the ScheduleValue is executed.

Datatype

Value() As VARIANT

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes


Guid

Manuel -> Interfaces de programmation -> Modèles d'objet -> PfsScheduleValue -> PfsScheduleValue-Properties -> Guid

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Is the Guid of the ScheduleValue which is unique and can be used to identify the object.

Datatype

Guid() As String

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes


Session

Manuel -> Interfaces de programmation -> Modèles d'objet -> PfsScheduleValue -> PfsScheduleValue-Properties -> Session

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Contains the "Project" object.

Datatype

Session() As Project

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


PasswordLevel

Manuel -> Interfaces de programmation -> Modèles d'objet -> PfsScheduleValue -> PfsScheduleValue-Properties -> PasswordLevel

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

PasswordLevel() As short

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


PfsScheduleValue-Methods

Manuel -> Interfaces de programmation -> Modèles d'objet -> PfsScheduleValue -> PfsScheduleValue-Methods

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
IPfsScheduleLink | GetScheduleLink | - | available | available | yes | yes
IPfsScheduleLink | ScheduleLink | For internal use only | available | available | yes | yes
VARIANT_BOOL | SetScheduleLink | - | available | available | yes | yes

Other topics in this chapter

ScheduleLink

GetScheduleLink

SetScheduleLink


ScheduleLink

Manuel -> Interfaces de programmation -> Modèles d'objet -> PfsScheduleValue -> PfsScheduleValue-Methods -> ScheduleLink

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

-

Datatype

ScheduleLink() As PfsScheduleLink

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


GetScheduleLink

Manuel -> Interfaces de programmation -> Modèles d'objet -> PfsScheduleValue -> PfsScheduleValue-Methods -> GetScheduleLink

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

This methode returns the ScheduleLink object of the ScheduleValue.

Datatype

GetScheduleLink() As PfsScheduleLink

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


SetScheduleLink

Manuel -> Interfaces de programmation -> Modèles d'objet -> PfsScheduleValue -> PfsScheduleValue-Methods -> SetScheduleLink

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

With this methode you can manually set the ScheduleLink.

Datatype

SetScheduleLink(IPfsScheduleLink pLink) As Boolean

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


PfsScheduleValues

Manuel -> Interfaces de programmation -> Modèles d'objet -> PfsScheduleValues

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

The ScheduleValues collection contains the switching points of a schedule. A switching point is linked to a point of time, a variable/function and a value or VBA macro.The execution of the switching point is defined with a status (in-/active). The linked point of time can also be taken from a parent schedule.With this Item method combined with the Count property you can iterate through the switching points of a schedule.

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Examples

C#

VB.NET

VB.NET-Syntax

VBA

''''''''''''''''''''''''''''''''''''''''''''''
'''''''''''Creation and Deletion''''''''''''''
'''''''''''of 5 Schedule Values''''''''''''''
''''''''''''''''''''''''''''''''''''''''''''''
Private Sub test()
Dim pfs As PfsEngine
Dim i As Integer
Dim g As Integer
Set pfs = MyWorkspace.ActiveDocument.pfs

Dim mytype As tpPfsLinkTypes
mytype = tpPfsFunction

Debug.Print "---->Creation:"
For i = 0 To 4
Debug.Print pfs.Groups.Item(0).Schedules.Item(0).ScheduleTimes.Item(0).ScheduleValues.Count
pfs.Groups.Item(0).Schedules.Item(0).ScheduleTimes.Item(0).ScheduleValues.CreateValue (mytype)
Next i

Debug.Print "---->Deletion:"
For i = pfs.Groups.Item(0).Schedules.Item(0).ScheduleTimes.Item(0).ScheduleValues.Count - 1 To 0 Step -1
pfs.Groups.Item(0).Schedules.Item(0).ScheduleTimes.Item(0).ScheduleValues.DeleteValue (i)
Debug.Print pfs.Groups.Item(0).Schedules.Item(0).ScheduleTimes.Item(0).ScheduleValues.Count
Next i
End Sub

Other topics in this chapter

PfsScheduleValues-Properties

PfsScheduleValues-Methods


PfsScheduleValues-Properties

Manuel -> Interfaces de programmation -> Modèles d'objet -> PfsScheduleValues -> PfsScheduleValues-Properties

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
long | Count |  | read only | read only | yes | yes
IPfsScheduleTime | Parent |  | read only | read only | yes | yes
IProject | Session |  | read only | read only | yes | yes

Other topics in this chapter

Parent

Count

Session


Parent

Manuel -> Interfaces de programmation -> Modèles d'objet -> PfsScheduleValues -> PfsScheduleValues-Properties -> Parent

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the parent object

Datatype

Parent() As IPfsScheduleTime

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


Count

Manuel -> Interfaces de programmation -> Modèles d'objet -> PfsScheduleValues -> PfsScheduleValues-Properties -> Count

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

The method returns the number of available objects. This property is mostly used for the method Item to run through each single object.Hint: For running through entries care, that the minimum is 0 and the maximum is Count-1.

Datatype

Count() As long

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


Session

Manuel -> Interfaces de programmation -> Modèles d'objet -> PfsScheduleValues -> PfsScheduleValues-Properties -> Session

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Contains the "Project" object.

Datatype

Session() As Project

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


PfsScheduleValues-Methods

Manuel -> Interfaces de programmation -> Modèles d'objet -> PfsScheduleValues -> PfsScheduleValues-Methods

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
IPfsScheduleValue | CreateValue | - | available | available | yes | yes
VARIANT_BOOL | DeleteValue | - | available | available | yes | yes
IPfsScheduleValue | Item | - | available | available | yes | yes

Other topics in this chapter

Item

CreateValue

DeleteValue


Item

Manuel -> Interfaces de programmation -> Modèles d'objet -> PfsScheduleValues -> PfsScheduleValues-Methods -> Item

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the ScheduleValue object from the collection, which is identified by the parameter vPosition.The parameter vPosition is the index of the element you want to get.Hint:The returned object should be checked on Nothing, if no object for the search criteria was found.

Datatype

Item(VARIANT vPosition) As PfsScheduleValue

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


CreateValue

Manuel -> Interfaces de programmation -> Modèles d'objet -> PfsScheduleValues -> PfsScheduleValues-Methods -> CreateValue

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

With this methode you can create new Schedule Values at a specific ScheduleTime.

Datatype

CreateValue(tpPfsLinkTypes tpLinkType) As PfsScheduleValue

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


DeleteValue

Manuel -> Interfaces de programmation -> Modèles d'objet -> PfsScheduleValues -> PfsScheduleValues-Methods -> DeleteValue

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

With this methode you can delete a ScheduleValue.

Datatype

DeleteValue(long lIndex) As Boolean

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


PfsSwitchingPoint

Manuel -> Interfaces de programmation -> Modèles d'objet -> PfsSwitchingPoint

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Examples

C#

public void Macro_SwitchingPointPreview()

{

// create a switching point filter

var filter = Pfs().Calendar().CreateSwitchingPointFilter();

// configure the filter

filter.StartTime = System.DateTime.Now;

filter.EndTime = System.DateTime.Now + new System.TimeSpan(7, 0, 0, 0);

filter.TimeModelGroup = "z*";

filter.Schedule = "N*";

filter.Variable = "*";

filter.Function = "*";

filter.SearchData = zenOn.tpPfsData.tpPfsStoredData;

// get the preview for the configuration

string output = "";

object[] switchtingPoints = (object[])filter.SwitchingPointPreview();

foreach (object switchingPoint in switchtingPoints)

{

zenOn.IPfsSwitchingPoint p = (zenOn.IPfsSwitchingPoint)switchingPoint;

output = output + "Active: " + p.Active.ToString();

output = output + " TimeModelGroup: " + p.ScheduleValue.Parent.Parent.Parent.Parent.Parent.Parent.Name;

output = output + " Schedule: " + p.ScheduleValue.Parent.Parent.Parent.Parent.KeyNote;

output = output + " ExecTime: " + p.ExecutionTime.ToString();

output = output + " LinkedType: " + p.ScheduleValue.Type.ToString();

output = output + " LinkedObject: " + p.ScheduleValue.GetScheduleLink().Name;

if (p.ScheduleValue.Value != null)

{

output = output + " SetValue: " + p.ScheduleValue.Value.ToString();

}

output = output + " PasswordLevel: " + p.ScheduleValue.PasswordLevel.ToString();

output = output + " TriggerType: " + p.ScheduleValue.Parent.Parent.Type.ToString();

output = output + " EventId: " + p.ScheduleValue.Parent.Parent.EventId.ToString();

output = output + "\n\n";

}

// show output

System.Windows.Forms.MessageBox.Show(output);

}

VB.NET

VBA

Public Sub Preview()

'create a switching point filter

Dim filter As PfsSwitchingPointFilter

Set filter = thisProject.Pfs.Calendar.CreateSwitchingPointFilter

'configure the filter

filter.StartTime = Now

filter.EndTime = Now + 7

filter.TimeModelGroup = "z*"

filter.Schedule = "N*"

filter.Variable = "*"

filter.Function = "*"

filter.SearchData = tpPfsStoredData

'get the preview for the filter configuration

Dim points() As PfsSwitchingPoint

points = filter.SwitchingPointPreview

'build an output message

Dim output As String

Dim idx As Integer

For idx = 0 To UBound(points)

output = output & "Active: " & CStr(points(idx).Active)

output = output & " TimeModelGroup: " & points(idx).ScheduleValue.Parent.Parent.Parent.Parent.Parent.Parent.Name

output = output & " Schedule: " & points(idx).ScheduleValue.Parent.Parent.Parent.Parent.KeyNote

output = output & " ExecTime: " & CStr(points(idx).ExecutionTime)

output = output & " LinkedType: " & CStr(points(idx).ScheduleValue.Type)

output = output & " LinkedObject: " & CStr(points(idx).ScheduleValue.GetScheduleLink.Name)

output = output & " SetValue: " & CStr(points(idx).ScheduleValue.value)

output = output & " PasswordLevel: " & CStr(points(idx).ScheduleValue.PasswordLevel)

output = output & " TriggerType: " & CStr(points(idx).ScheduleValue.Parent.Parent.Type)

output = output & " EventId: " & CStr(points(idx).ScheduleValue.Parent.Parent.EventId)

output = output & vbNewLine & vbNewLine

Next idx

'show the output

MsgBox output

End Sub

Other topics in this chapter

PfsSwitchingPoint-Properties


PfsSwitchingPoint-Properties

Manuel -> Interfaces de programmation -> Modèles d'objet -> PfsSwitchingPoint -> PfsSwitchingPoint-Properties

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
IPfsScheduleValue | ScheduleValue | Schedule value to be executed at the execution time | available | available | yes | yes
Date | ExecutionTime | Time on which the schedule value is executed | available | available | yes | yes
VARIANT_BOOL | Active | If the switching point is to be executed | available | available | yes | yes

Other topics in this chapter

ScheduleValue

ExecutionTime

Active


ScheduleValue

Manuel -> Interfaces de programmation -> Modèles d'objet -> PfsSwitchingPoint -> PfsSwitchingPoint-Properties -> ScheduleValue

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

short PasswordLevel.

Datatype

ScheduleValue() As IPfsScheduleValue

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes


ExecutionTime

Manuel -> Interfaces de programmation -> Modèles d'objet -> PfsSwitchingPoint -> PfsSwitchingPoint-Properties -> ExecutionTime

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Time when this particular switching point is executed.

Datatype

ExecutionTime() As Date

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes


Active

Manuel -> Interfaces de programmation -> Modèles d'objet -> PfsSwitchingPoint -> PfsSwitchingPoint-Properties -> Active

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

true, when the switching point is Active and will be executed.

Datatype

Active() As VARIANT_BOOL

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes


PfsSwitchingPointFilter

Manuel -> Interfaces de programmation -> Modèles d'objet -> PfsSwitchingPointFilter

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

The object that is used to get a filtered subset of the switching points that are to be executed in a defined timeframe. To use this class first define the filteroptions in the properties of the object, and then call the SwitchingPointPreview() method to get the results for your current filter as an array. Note that the objects in this array are only allowed to be used while the IPfsSwitchingPointFilter object is still alive or until the next call of SwitchingPointPreview().

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Examples

C#

VB.NET

VBA

Other topics in this chapter

PfsSwitchingPointFilter-Properties

PfsSwitchingPointFilter-Methods


PfsSwitchingPointFilter-Properties

Manuel -> Interfaces de programmation -> Modèles d'objet -> PfsSwitchingPointFilter -> PfsSwitchingPointFilter-Properties

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
BSTR | TimeModelGroup | Filter string for the names of the time model groups that are to be searched | available | available | yes | yes
BSTR | Schedule | Filter string for the names of the schedules that are to be searched | available | available | yes | yes
BSTR | Variable | Filter string for the names of variables that are set by the schedule values | available | available | yes | yes
BSTR | Function | Filter string for the names of the functions that are triggered by the schedule values | available | available | yes | yes
tpPfsData | SearchData | Data that is to be searched. The locally edited version or the stored one | available | available | yes | yes
DATE | StartTime | Start of the time frame in which we search | available | available | yes | yes
DATE | EndTime | End of the timeframe in which we search | available | available | yes | yes

Other topics in this chapter

TimeModelGroup

Schedule

Variable

Function

SearchData

StartTime

EndTime


TimeModelGroup

Manuel -> Interfaces de programmation -> Modèles d'objet -> PfsSwitchingPointFilter -> PfsSwitchingPointFilter-Properties -> TimeModelGroup

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Filter string for the names of the time model groups that are to be considered.text.

Datatype

TimeModelGroup() As BSTR

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes


Schedule

Manuel -> Interfaces de programmation -> Modèles d'objet -> PfsSwitchingPointFilter -> PfsSwitchingPointFilter-Properties -> Schedule

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Filter string for the names of the schedules that are to be considered.

Datatype

Schedule() As BSTR

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes


Variable

Manuel -> Interfaces de programmation -> Modèles d'objet -> PfsSwitchingPointFilter -> PfsSwitchingPointFilter-Properties -> Variable

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Filter string for the names of the variables that will be set by the switching point.

Datatype

Variable() As BSTR

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes


Function

Manuel -> Interfaces de programmation -> Modèles d'objet -> PfsSwitchingPointFilter -> PfsSwitchingPointFilter-Properties -> Function

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Filter string for the names of the functions that are to be executed by the switching point.

Datatype

Function() As BSTR

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes


SearchData

Manuel -> Interfaces de programmation -> Modèles d'objet -> PfsSwitchingPointFilter -> PfsSwitchingPointFilter-Properties -> SearchData

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

use tpPfsStoredData to only check the saved configuration or tpPfsEditData to consider the unsaved changes as well.

Datatype

SearchData() As tpPfsData

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes


StartTime

Manuel -> Interfaces de programmation -> Modèles d'objet -> PfsSwitchingPointFilter -> PfsSwitchingPointFilter-Properties -> StartTime

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Start time of your filter timeframe.

Datatype

StartTime() As DATE

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes


EndTime

Manuel -> Interfaces de programmation -> Modèles d'objet -> PfsSwitchingPointFilter -> PfsSwitchingPointFilter-Properties -> EndTime

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

End time of your filter timeframe.

Datatype

EndTime() As DATE

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes


PfsSwitchingPointFilter-Methods

Manuel -> Interfaces de programmation -> Modèles d'objet -> PfsSwitchingPointFilter -> PfsSwitchingPointFilter-Methods

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
VARIANT | SwitchingPointPreview | Returns an array of switching points that match the filter | available | available | yes | yes

Other topics in this chapter

SwitchingPointPreview


SwitchingPointPreview

Manuel -> Interfaces de programmation -> Modèles d'objet -> PfsSwitchingPointFilter -> PfsSwitchingPointFilter-Methods -> SwitchingPointPreview

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

This method returns an array of switching points that match the filtering set in its properties. Note that the objects in this array are only valid until you next call SwitchingPointPreview() or the IPfsSwitchingPointFilter is destroyed.

Datatype

SwitchingPointPreview() As VARIANT

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

VB.NET

VBA

Examples

C#

public void Macro_SwitchingPointPreview()

{

// create a switching point filter

var filter = Pfs().Calendar().CreateSwitchingPointFilter();

// configure the filter

filter.StartTime = System.DateTime.Now;

filter.EndTime = System.DateTime.Now + new System.TimeSpan(7, 0, 0, 0);

filter.TimeModelGroup = "z*";

filter.Schedule = "N*";

filter.Variable = "*";

filter.Function = "*";

filter.SearchData = zenOn.tpPfsData.tpPfsStoredData;

// get the preview for the configuration

string output = "";

object[] switchtingPoints = (object[])filter.SwitchingPointPreview();

foreach (object switchingPoint in switchtingPoints)

{

zenOn.IPfsSwitchingPoint p = (zenOn.IPfsSwitchingPoint)switchingPoint;

output = output + "Active: " + p.Active.ToString();

output = output + " TimeModelGroup: " + p.ScheduleValue.Parent.Parent.Parent.Parent.Parent.Parent.Name;

output = output + " Schedule: " + p.ScheduleValue.Parent.Parent.Parent.Parent.KeyNote;

output = output + " ExecTime: " + p.ExecutionTime.ToString();

output = output + " LinkedType: " + p.ScheduleValue.Type.ToString();

output = output + " LinkedObject: " + p.ScheduleValue.GetScheduleLink().Name;

if (p.ScheduleValue.Value != null)

{

output = output + " SetValue: " + p.ScheduleValue.Value.ToString();

}

output = output + " PasswordLevel: " + p.ScheduleValue.PasswordLevel.ToString();

output = output + " TriggerType: " + p.ScheduleValue.Parent.Parent.Type.ToString();

output = output + " EventId: " + p.ScheduleValue.Parent.Parent.EventId.ToString();

output = output + "\n\n";

}

// show output

System.Windows.Forms.MessageBox.Show(output);

}

VB.NET

VBA

Public Sub Preview()

'create a switching point filter

Dim filter As PfsSwitchingPointFilter

Set filter = thisProject.Pfs.Calendar.CreateSwitchingPointFilter

'configure the filter

filter.StartTime = Now

filter.EndTime = Now + 7

filter.TimeModelGroup = "z*"

filter.Schedule = "N*"

filter.Variable = "*"

filter.Function = "*"

filter.SearchData = tpPfsStoredData

'get the preview for the filter configuration

Dim points() As PfsSwitchingPoint

points = filter.SwitchingPointPreview

'build an output message

Dim output As String

Dim idx As Integer

For idx = 0 To UBound(points)

output = output & "Active: " & CStr(points(idx).Active)

output = output & " TimeModelGroup: " & points(idx).ScheduleValue.Parent.Parent.Parent.Parent.Parent.Parent.Name

output = output & " Schedule: " & points(idx).ScheduleValue.Parent.Parent.Parent.Parent.KeyNote

output = output & " ExecTime: " & CStr(points(idx).ExecutionTime)

output = output & " LinkedType: " & CStr(points(idx).ScheduleValue.Type)

output = output & " LinkedObject: " & CStr(points(idx).ScheduleValue.GetScheduleLink.Name)

output = output & " SetValue: " & CStr(points(idx).ScheduleValue.value)

output = output & " PasswordLevel: " & CStr(points(idx).ScheduleValue.PasswordLevel)

output = output & " TriggerType: " & CStr(points(idx).ScheduleValue.Parent.Parent.Type)

output = output & " EventId: " & CStr(points(idx).ScheduleValue.Parent.Parent.EventId)

output = output & vbNewLine & vbNewLine

Next idx

'show the output

MsgBox output

End Sub


PfsTimeModell

Manuel -> Interfaces de programmation -> Modèles d'objet -> PfsTimeModell

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

A TimeModell contains shifts and breaks and defines the operating time of an equipment.

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Examples

C#

VB.NET

VB.NET-Syntax

VBA

Sub PFS_Sample()
Dim i As Integer
Dim zPFS As PfsEngine
Dim zPFS_GRP As PfsGroup
Dim zPFS_TML As PfsTimeModell
'get PFS Engine
Set zPFS = MyWorkspace.ActiveDocument.Pfs
'get 1st found group
Set zPFS_GRP = zPFS.Groups.Item(0)
'get count of TimeModels
Debug.Print "TimeModels: " & zPFS_GRP.TimeModells.Count
'enumerate TimeModels
For i = 0 To zPFS_GRP.TimeModells.Count - 1
Set zPFS_TML = zPFS_GRP.TimeModells.Item(i)
Debug.Print "Nr." & i & ": " & zPFS_TML.Name
'check actual day...
Select Case zPFS_TML.IsOnDay(Now)
Case tpPfsDefaultDay
Debug.Print " tpPfsDefaultDay"
Case tpPfsDefaultHDay
Debug.Print " tpPfsDefaultHDay"
Case tpPfsExecute
Debug.Print " tpPfsExecute"
Case tpPfsSkip
Debug.Print " tpPfsSkip"
Case tpPfsUnused
Debug.Print " tpPfsUnused"
End Select
Next i
End Sub

Other topics in this chapter

PfsTimeModell-Properties

PfsTimeModell-Methods


PfsTimeModell-Properties

Manuel -> Interfaces de programmation -> Modèles d'objet -> PfsTimeModell -> PfsTimeModell-Properties

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
BSTR | Guid |  | read only | read only | yes | yes
BSTR | KeyNote |  | read only | read only | yes | yes
BSTR | Name |  | read only | read only | yes | yes
IPfsTimeModells | Parent |  | read only | read only | yes | yes
IProject | Session |  | read only | read only | yes | yes

Other topics in this chapter

Parent

Name

KeyNote

Guid

Session


Parent

Manuel -> Interfaces de programmation -> Modèles d'objet -> PfsTimeModell -> PfsTimeModell-Properties -> Parent

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the parent object

Datatype

Parent() As PfsTimeModells

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


Name

Manuel -> Interfaces de programmation -> Modèles d'objet -> PfsTimeModell -> PfsTimeModell-Properties -> Name

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Is the name of the Time Model.

Datatype

Name() As String

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


KeyNote

Manuel -> Interfaces de programmation -> Modèles d'objet -> PfsTimeModell -> PfsTimeModell-Properties -> KeyNote

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

The Keynote returns the path from the equipment to the TimeModell seperated with dots.. For instance "group1.timemodel1" is the keynote of the timemodel1.

Datatype

KeyNote() As String

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


Guid

Manuel -> Interfaces de programmation -> Modèles d'objet -> PfsTimeModell -> PfsTimeModell-Properties -> Guid

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Is the Guid of the TimeMoedel which is unique and can be used to identify the object.

Datatype

Guid() As String

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


Session

Manuel -> Interfaces de programmation -> Modèles d'objet -> PfsTimeModell -> PfsTimeModell-Properties -> Session

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Contains the "Project" object.

Datatype

Session() As Project

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


PfsTimeModell-Methods

Manuel -> Interfaces de programmation -> Modèles d'objet -> PfsTimeModell -> PfsTimeModell-Methods

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
VARIANT_BOOL | AddToDay | - | available | available | yes | yes
tpPfsDayLink | IsDefaultDay | - | available | available | yes | yes
tpPfsDayLink | IsOnDay | - | available | available | yes | yes
VARIANT_BOOL | RemoveFromDay | - | not used | not used | yes | yes
VARIANT_BOOL | Rename | - | available | available | yes | yes
void | SetDefaultDay | - | not used | not used | yes | yes
IPfsModellShifts | Shifts | - | available | available | yes | yes

Other topics in this chapter

Shifts

IsOnDay

AddToDay

RemoveFromDay

IsDefaultDay

SetDefaultDay

Rename


Shifts

Manuel -> Interfaces de programmation -> Modèles d'objet -> PfsTimeModell -> PfsTimeModell-Methods -> Shifts

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

This collection contains the shifts of the time model.

Datatype

Shifts() As PfsModellShifts

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


IsOnDay

Manuel -> Interfaces de programmation -> Modèles d'objet -> PfsTimeModell -> PfsTimeModell-Methods -> IsOnDay

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

With this methode you can check how a time model is linked to a day.

The methode returns a tpPfsDayLink.

Datatype

IsOnDay(DATE vDate) As tpPfsDayLink

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

vDate As Date

This parameter is of type Date like 'Now' or 'CDate("24.11.2007")'.

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


AddToDay

Manuel -> Interfaces de programmation -> Modèles d'objet -> PfsTimeModell -> PfsTimeModell-Methods -> AddToDay

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

With this methode a TimeModel can be linked to a Day. As parameters you have to hand over the Date of the day and a Boolean, which defines if the Schedule should be linked to all types of this day or just to this Date.

Datatype

AddToDay(DATE vDay, tpPfsDayLink sType) As Boolean

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


RemoveFromDay

Manuel -> Interfaces de programmation -> Modèles d'objet -> PfsTimeModell -> PfsTimeModell-Methods -> RemoveFromDay

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

[MISSING DESCRIPTION]

Datatype

RemoveFromDay(DATE vDay) As Boolean

Availability

Environment | Available
Editor | not used
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


IsDefaultDay

Manuel -> Interfaces de programmation -> Modèles d'objet -> PfsTimeModell -> PfsTimeModell-Methods -> IsDefaultDay

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

With this methode you can check the tpPfsDefaultDays.

Datatype

IsDefaultDay(tpPfsDefaultDays sDayOfWeek) As tpPfsDayLink

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

sDayOfWeek As tpPfsDefaultDays

see tpPfsDefaultDays

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


SetDefaultDay

Manuel -> Interfaces de programmation -> Modèles d'objet -> PfsTimeModell -> PfsTimeModell-Methods -> SetDefaultDay

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

[MISSING DESCRIPTION]

Datatype

SetDefaultDay(tpPfsDefaultDays nDayOfWeek) As void

Availability

Environment | Available
Editor | not used
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


Rename

Manuel -> Interfaces de programmation -> Modèles d'objet -> PfsTimeModell -> PfsTimeModell-Methods -> Rename

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

With this methode a Time Model can be renamed.

Datatype

Rename(String bstrNewName) As Boolean

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


PfsTimeModells

Manuel -> Interfaces de programmation -> Modèles d'objet -> PfsTimeModells

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

The TimeModells collection contains the existing time models of a PFS equipment. The time models contain the shift/break times of an equipment. Any number of time models can exist in an equipment.Time models have to be unique within an equipment.With the Item method you can access a time model. With the Item method combined with the Count property you can iterate through the existing models.

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Examples

C#

VB.NET

VB.NET-Syntax

VBA

Sub PFS_Sample()
Dim i As Integer
Dim zPFS As PfsEngine
Dim zPFS_GRP As PfsGroup
Dim zPFS_TML As PfsTimeModell
'get PFS Engine
Set zPFS = MyWorkspace.ActiveDocument.Pfs
'get 1st found group
Set zPFS_GRP = zPFS.Groups.Item(0)
'get count of TimeModels
Debug.Print "TimeModels: " & zPFS_GRP.TimeModells.Count
'create new TimeModel
Set zPFS_TML = zPFS_GRP.TimeModells.CreateModell("Temporary")
'enumerate TimeModels
For i = 0 To zPFS_GRP.TimeModells.Count - 1
Set zPFS_TML = zPFS_GRP.TimeModells.Item(i)
Debug.Print "Nr." & i & ": " & zPFS_TML.Name
Next i
Set zPFS_TML = Nothing
'delete TimeModel
zPFS_GRP.TimeModells.DeleteModell ("Temporary")
'save changes
zPFS.Save
End Sub

Other topics in this chapter

PfsTimeModells-Properties

PfsTimeModells-Methods


PfsTimeModells-Properties

Manuel -> Interfaces de programmation -> Modèles d'objet -> PfsTimeModells -> PfsTimeModells-Properties

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
long | Count |  | read only | read only | yes | yes
IPfsGroup | Parent |  | read only | read only | yes | yes
IProject | Session |  | read only | read only | yes | yes

Other topics in this chapter

Parent

Count

Session


Parent

Manuel -> Interfaces de programmation -> Modèles d'objet -> PfsTimeModells -> PfsTimeModells-Properties -> Parent

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the parent object

Datatype

Parent() As PfsGroup

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


Count

Manuel -> Interfaces de programmation -> Modèles d'objet -> PfsTimeModells -> PfsTimeModells-Properties -> Count

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

The method returns the number of available objects. This property is mostly used for the method Item to run through each single object.Hint: For running through entries care, that the minimum is 0 and the maximum is Count-1.

Datatype

Count() As long

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


Session

Manuel -> Interfaces de programmation -> Modèles d'objet -> PfsTimeModells -> PfsTimeModells-Properties -> Session

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Contains the "Project" object.

Datatype

Session() As Project

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


PfsTimeModells-Methods

Manuel -> Interfaces de programmation -> Modèles d'objet -> PfsTimeModells -> PfsTimeModells-Methods

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
IPfsTimeModell | CreateModell | - | available | available | yes | yes
VARIANT_BOOL | DeleteModell | - | available | available | yes | yes
IPfsTimeModell | Item | - | available | available | yes | yes

Other topics in this chapter

Item

CreateModell

DeleteModell


Item

Manuel -> Interfaces de programmation -> Modèles d'objet -> PfsTimeModells -> PfsTimeModells-Methods -> Item

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the TimeModel object from the collection, which is identified by the parameter vNameOrPos. The parameter vNameOrPos can have two values:

  • Index: Access with an index is mostly used in combination with the property Count to find out the position of the variable object in the list.
  • ModelBreak name: The TimeModel can also be accessed with its unique name.

Hint:The returned object should be checked on Nothing, if no object for the search criteria was found.

Datatype

Item(VARIANT vNameOrPos) As PfsTimeModell

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


CreateModell

Manuel -> Interfaces de programmation -> Modèles d'objet -> PfsTimeModells -> PfsTimeModells-Methods -> CreateModell

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

With this methode you can create a Time Model.

Datatype

CreateModell(String bstrName) As PfsTimeModell

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


DeleteModell

Manuel -> Interfaces de programmation -> Modèles d'objet -> PfsTimeModells -> PfsTimeModells-Methods -> DeleteModell

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

With this methode you can delete a Time Model.

Datatype

DeleteModell(VARIANT vName) As Boolean

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


PictureFilter

Manuel -> Interfaces de programmation -> Modèles d'objet -> PictureFilter

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes

Examples

C#

VB.NET

VB.NET-Syntax

VBA

Public Sub ShowAlarms()
Dim zPicCEL As DynPicture
Dim zPicFilter As PictureFilter
Dim zFctAML As RtFunction

'Name of the CEL Screen
Const strCELPicture As String = "EVENTS"
'Name of the PictureSwitch Funktion to open the AML Screen
Const strAMLFunction As String = "picALARM"

'get CEL Screen objects
Set zPicCEL = thisProject.DynPictures.Item(strCELPicture)
'get AML function object
Set zFctAML = thisProject.RtFunctions.Item(strAMLFunction)

'check if Screen and Function exists
If Not zPicCEL Is Nothing And Not zFctAML Is Nothing Then
'if picture is not opened, then exit...
If zPicCEL.Online = False Then Exit Sub

'get actual PictureFilter
Set zPicFilter = zPicCEL.PictureFilter

'change Filter Settings in 'Picture Switch' function...
zFctAML.DynProperties("PictFilter.TimeFilter.ARVTime1") = zPicFilter.DynProperties("TimeFilter.ARVTime1")
zFctAML.DynProperties("PictFilter.TimeFilter.ARVTime2") = zPicFilter.DynProperties("TimeFilter.ARVTime2")
'execute function
zFctAML.Start
End If
End Sub

Other topics in this chapter

PictureFilter-Methods


PictureFilter-Methods

Manuel -> Interfaces de programmation -> Modèles d'objet -> PictureFilter -> PictureFilter-Methods

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
VARIANT_BOOL | CreateDynProperty | - | read only | read only | yes | yes
void | DynProperties [PUT] | - | not used | available | yes | yes
VARIANT | DynProperties [GET] | - | not used | available | yes | yes
VARIANT | DynPropertiesEnum [GET] | - | not used | available | yes | yes
IPropParam | DynPropertyParam [GET] | Returns the PropParam objekt of the given DynProperty | read only | not used | yes | yes

Other topics in this chapter

DynPropertyParam [GET]

DynPropertiesEnum [GET]

DynProperties [GET]

DynProperties [PUT]

CreateDynProperty


DynPropertyParam [GET]

Manuel -> Interfaces de programmation -> Modèles d'objet -> PictureFilter -> PictureFilter-Methods -> DynPropertyParam [GET]

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

DynPropertyParam [GET](BSTR bsPath) As PropParam

Availability

Environment | Available
Editor | read only
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


DynPropertiesEnum [GET]

Manuel -> Interfaces de programmation -> Modèles d'objet -> PictureFilter -> PictureFilter-Methods -> DynPropertiesEnum [GET]

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

DynPropertiesEnum(String bsPath) As VARIANT

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes

Parameters

A String which defines the Property.
Example: "NetAktive"

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

bsPath As String

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Sub ReadDynProps()
End Sub


DynProperties [GET]

Manuel -> Interfaces de programmation -> Modèles d'objet -> PictureFilter -> PictureFilter-Methods -> DynProperties [GET]

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

DynProperties(String bsPath) As VARIANT

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes

Parameters

A String which defines the Property.
Example: "NetAktive"

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

bsPath As String

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Sub GetDynProp()
'Sample: GSet the Network Aktive Flag of the Project.
If MyWorkspace.ActiveDocument.DynProperties("NetActive") = True Then
'read the server - computername...
Debug.Print "Server: " & MyWorkspace.ActiveDocument.DynProperties("NetServer")
End If
End Sub


DynProperties [PUT]

Manuel -> Interfaces de programmation -> Modèles d'objet -> PictureFilter -> PictureFilter-Methods -> DynProperties [PUT]

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

DynProperties (String bsPath,VARIANT vValue) As void

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes

Parameters

A String which defines the Property.
Example: "NetAktive"

Returns a variant value depending to the property, it can be a boolean, a long, or a whole object.

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

bsPath As String

vValue As Variant

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Sub SetDynProp()
End Sub


CreateDynProperty

Manuel -> Interfaces de programmation -> Modèles d'objet -> PictureFilter -> PictureFilter-Methods -> CreateDynProperty

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

CreateDynProperty(String bsPath) As Boolean

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


Project

Manuel -> Interfaces de programmation -> Modèles d'objet -> Project

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

The object Project is the most central VBA object, as it contains the single modules, as e.g. variables, drivers, ....The single objects of Project can be found in the collection Projects of the object Application. This way is needed for external applications, that are written e.g. in VB or VC++ and access the COM interface of the control system.In Visual Basic for Applications (VBA) the current project always is available via thisProject. The validity in ths case is restricted to the current project. If you need to access a project from within another project, then you have to get the appropriate project from the central collection Projects.

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Examples

C#

VB.NET

VB.NET-Syntax

VBA

Sub ProjectExample()

'Return the name of the actual project
MsgBox "Name of the actual project = " & thisProject.Name
'Return the SQL path of the project
MsgBox "Project path = " & thisProject.Path
'Return the unique GUID of the project
MsgBox "GUID of the project = " & thisProject.DynProperties("GUID")
'Return the number of pictures in the project
MsgBox "Number of pictures = " & thisProject.DynPictures.Count
'Return the number of variables in the project
MsgBox "Number of variables = " & thisProject.Variables.Count
'Return the number of templates in the project
MsgBox "Number of templates = " & thisProject.Templates.Count
'Return the number of functions in the project
MsgBox "Number of functions = " & thisProject.RtFunctions.Count

End Sub

Other topics in this chapter

Project-Properties

Project-Methods

Project-Events


Project-Properties

Manuel -> Interfaces de programmation -> Modèles d'objet -> Project -> Project-Properties

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description |  | Editor | Runtime | VBA | VSTA
IFontLists | FontLists | Returns the FontList object. |  | available | not used | yes | yes
BSTR | Guid | Returns the unique Project guid(Read Only). |  | read only | read only | yes | yes
VARIANT_BOOL | IsGlobal |  |  | read only | read only | yes | yes
VARIANT_BOOL | IsNet |  |  | available | read only | yes | yes
ILanguageTable | LanguageTable | Returns the Language Table |  | available | not used | yes | yes
IMessageControl | MessageControl | Returns the MessageControl object. |  | available | not used | yes | yes
BSTR | Name |  |  | read only | read only | yes | yes
tpProjectNetTypes | NetType |  |  | not used | read only | yes | yes
IProjects | Parent |  |  | read only | read only | yes | yes
BSTR | Path |  |  | read only | read only | yes | yes
IRemoteTransport | RemoteTransport | Returns the remote transport object. |  | available | not used | yes | yes
long | ScreenHeight | Sets the height of the screen (Editor Only). |  | available | not used | yes | yes
long | ScreenWidth | Sets the width of the screen (Editor Only). |  | available | not used | yes | yes
ISymbols | Symbols | Returns the Symbols object. |  | read only | not used | yes | yes
IUnits | Units | Returns the Units object. |  | available | not used | yes | yes
IShiftManagement | ShiftManagement | The shift management object |  | not used | available | yes | yes
IScheduler | Scheduler | The scheduler object | available |  | available | yes |  | yes
ITextListManager | TextListManager | Returns the TextListManager object | not used |  | available | yes |  | yes
IStyleManager | StyleManager | Returns the StyleManager object | not used |  | not used | yes |  | yes

Other topics in this chapter

Parent

Name

Guid

Path

IsNet

IsGlobal

NetType

ScreenWidth

ScreenHeight

Symbols

Units

RemoteTransport

FontLists

MessageControl

LanguageTable

ShiftManagement

Scheduler

TextListManager

StyleManager


Parent

Manuel -> Interfaces de programmation -> Modèles d'objet -> Project -> Project-Properties -> Parent

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the parent object

Datatype

Parent() As Projects

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


Name

Manuel -> Interfaces de programmation -> Modèles d'objet -> Project -> Project-Properties -> Name

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the name of the project. The project name has to be unique within a workspace. Otherwise it cannot be loaded in the Editor.

Datatype

Name() As String

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


Guid

Manuel -> Interfaces de programmation -> Modèles d'objet -> Project -> Project-Properties -> Guid

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

Guid() As String

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


Path

Manuel -> Interfaces de programmation -> Modèles d'objet -> Project -> Project-Properties -> Path

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the path of the project.

Datatype

Path() As String

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


IsNet

Manuel -> Interfaces de programmation -> Modèles d'objet -> Project -> Project-Properties -> IsNet

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns true if the project is a network project and false if its not.

Datatype

IsNet() As Boolean

Availability

Environment | Available
Editor | available
Runtime | read only
VBA | yes
VSTA | yes


IsGlobal

Manuel -> Interfaces de programmation -> Modèles d'objet -> Project -> Project-Properties -> IsGlobal

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns true if it is a global project and false if its not.

Datatype

IsGlobal() As Boolean

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


NetType

Manuel -> Interfaces de programmation -> Modèles d'objet -> Project -> Project-Properties -> NetType

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

NetType() As tpProjectNetTypes

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes


ScreenWidth

Manuel -> Interfaces de programmation -> Modèles d'objet -> Project -> Project-Properties -> ScreenWidth

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the resolution (width) of the project.

Datatype

ScreenWidth() As long

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes


ScreenHeight

Manuel -> Interfaces de programmation -> Modèles d'objet -> Project -> Project-Properties -> ScreenHeight

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the resolution (height) of the project.

Datatype

ScreenHeight() As long

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes


Symbols

Manuel -> Interfaces de programmation -> Modèles d'objet -> Project -> Project-Properties -> Symbols

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

Symbols() As Symbols

Availability

Environment | Available
Editor | read only
Runtime | not used
VBA | yes
VSTA | yes


Units

Manuel -> Interfaces de programmation -> Modèles d'objet -> Project -> Project-Properties -> Units

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

Units() As Units

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes


RemoteTransport

Manuel -> Interfaces de programmation -> Modèles d'objet -> Project -> Project-Properties -> RemoteTransport

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

RemoteTransport() As RemoteTransport

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes


FontLists

Manuel -> Interfaces de programmation -> Modèles d'objet -> Project -> Project-Properties -> FontLists

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

FontLists() As FontLists

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes


MessageControl

Manuel -> Interfaces de programmation -> Modèles d'objet -> Project -> Project-Properties -> MessageControl

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

MessageControl() As MessageControl

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes


LanguageTable

Manuel -> Interfaces de programmation -> Modèles d'objet -> Project -> Project-Properties -> LanguageTable

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

LanguageTable() As LanguageTable

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes


ShiftManagement

Manuel -> Interfaces de programmation -> Modèles d'objet -> Project -> Project-Properties -> ShiftManagement

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

ShiftManagement() As IShiftManagement

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes


Scheduler

Manuel -> Interfaces de programmation -> Modèles d'objet -> Project -> Project-Properties -> Scheduler

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

Scheduler() As IScheduler

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes


TextListManager

Manuel -> Interfaces de programmation -> Modèles d'objet -> Project -> Project-Properties -> TextListManager

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

TextListManager() As ITextListManager

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes


StyleManager

Manuel -> Interfaces de programmation -> Modèles d'objet -> Project -> Project-Properties -> StyleManager

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

StyleManager() As IStyleManager

Availability

Environment | Available
Editor | not used
Runtime | not used
VBA | yes
VSTA | yes


Project-Methods

Manuel -> Interfaces de programmation -> Modèles d'objet -> Project -> Project-Methods

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description |  | Editor | Runtime | VBA | VSTA
IAlarm | Alarm | - |  | not used | available | yes | yes
IALCEngine | ALCEngine | - |  | available | available | yes | yes
IArchives | Archives | - |  | not used | available | yes | yes
IArchivesED | ArchivesED | - |  | available | not used | yes | yes
VARIANT_BOOL | Build | - |  | available | not used | yes | yes
ICel | Cel | - |  | not used | available | yes | yes
VARIANT_BOOL | CheckIn | Save module modifications to server (editor). |  | available | not used | yes | yes
VARIANT_BOOL | CheckOut | Allow module modifications (editor). |  | available | not used | yes | yes
IColorPalettes | ColorPalettes | Return the ColorPalettes object. |  | available | not used | yes | yes
VARIANT_BOOL | CreateDynProperty | - |  | available | not used | yes | yes
void | Decompile | - |  | available | not used | yes | yes
IDrivers | Drivers | - |  | available | available | yes | yes
IDynPictures | DynPictures | - |  | available | available | yes | yes
void | DynProperties [PUT] | - |  | available | available | yes | yes
VARIANT | DynProperties [GET] | - |  | available | available | yes | yes
VARIANT | DynPropertiesEnum [GET] | - |  | read only | read only | yes | yes
IFileManager | FileManager | - |  | available | available | yes | yes
VARIANT_BOOL | Get | Get the latest version from the server (editor). |  | available | not used | yes | yes
IInterlockings | Interlockings | Returns the Interlockings object. |  | available | not used | yes | yes
VARIANT_BOOL | IsCheckedOut | Returns true when the current module checked out by the current user (editor). |  | read only | not used | yes | yes
VARIANT_BOOL | IsDifferent | Returns true when the local and server version are different (editor). | read only |  | not used | yes |  | yes
VARIANT_BOOL | IsLocked | Returns true when the current module is Locked by another user (editor). |  | read only | not used | yes | yes
void | ModulePath [PUT] | - |  | available | not used | yes | yes
BSTR | ModulePath [GET] | - |  | available | not used | yes | yes
VARIANT_BOOL | NetSend | By use of this methode, VBA-Data can be send to another System |  | not used | available | yes | yes
IOnlineVariables | OnlineVariables | - |  | not used | available | yes | yes
VARIANT_BOOL | ParentProject | Sets the parent project of the current project. |  | available | not used | yes | yes
IPasswords | Passwords | - |  | available | available | yes | yes
IPfsEngine | Pfs | - |  | available | available | yes | yes
IRecipes | Recipes | - |  | available | available | yes | yes
void | Reload | - |  | not used | available | yes | yes
IRemas | Remas | - |  | available | available | yes | yes
VARIANT_BOOL | ReplaceLinks | Replaces project links to 'bsSource' with 'bsTarget'. |  | not used | available | yes | yes
IRGMRecipeGroups | RGMGroups | - |  | available | available | yes | yes
IRtFunctions | RtFunctions | - |  | available | available | yes | yes
ISapFunctions | SapFunctions | - |  | not used | available | yes | yes
IScripts | Scripts | - |  | available | read only | yes | yes
VARIANT_BOOL | SetUserPropertyStrings | With this methode the Strings for the UserProperties (Rema and Limits) can be set |  | available | not used | yes | yes
BSTR | String | - |  | not used | available | yes | yes
ISystemModelManager | SystemModelManager | Return the SystemModelManager object. |  | available | not used | yes | yes
ITasks | Tasks | - |  | available | available | yes | yes
ITemplates | Templates | - |  | available | available | yes | yes
ITimeFunctions | TimeFunctions | - |  | available | available | yes | yes
VARIANT_BOOL | UndoCheckOut | Undo module modifications (editor). |  | available | not used | yes | yes
IVarAssignments | VarAssignments | - |  | available | available | yes | yes
IVariables | Variables | - |  | available | available | yes | yes
IVarTypes | VarTypes | - |  | available | available | yes | yes
IZenMenus | ZenMenus | - |  | available | available | yes | yes
IPropParam | DynPropertyParam [GET] | Returns the PropParam objekt of the given DynProperty |  | read only | not used | yes | yes
IBatchManager | BatchManager | Returns the BatchManager object |  | not used | read only | yes | yes
void | Reload | - |  | not used | available | yes | yes
void | Reload | - |  | not used | available | yes | yes
IScripts | Scripts | - |  | available | read only | yes | yes
void | Reload | - |  | not used | available | yes | yes
IScripts | Scripts | - |  | available | read only | yes | yes
IScripts | Scripts | - |  | available | read only | yes | yes
void | Reload |  |  | not used | available | yes | yes
IRtFunctions | RtFunctions |  |  | available | available | yes | yes
ITemplates | Templates |  |  | available | available | yes | yes
BSTR | String |  |  | not used | available | yes | yes
IRemas | Remas |  |  | available | available | yes | yes
ITasks | Tasks |  |  | available | available | yes | yes
IScripts | Scripts |  |  | available | read only | yes | yes
IRGMRecipeGroups | RGMGroups |  |  | available | available | yes | yes
VARIANT_BOOL | SetUserPropertyStrings | With this methode the Strings for the UserProperties (Rema and Limits) can be set |  | available | not used | yes | yes
VARIANT_BOOL | ReplaceLinks | Replaces project links to 'bsSource' with 'bsTarget'. |  | not used | available | yes | yes
ISystemModelManager | SystemModelManager | Return the SystemModelManager object. |  | available | not used | yes | yes
ISapFunctions | SapFunctions |  |  | not used | available | yes | yes

Other topics in this chapter

DynPropertyParam [GET]

DynPropertiesEnum [GET]

DynProperties [GET]

DynProperties [PUT]

CreateDynProperty

Reload

ModulePath [GET]

ModulePath [PUT]

Drivers

Variables

OnlineVariables

RtFunctions

Templates

DynPictures

Passwords

String

Alarm

Cel

Remas

Pfs

Archives

Tasks

VarTypes

Scripts

ZenMenus

TimeFunctions

VarAssignments

Recipes

RGMGroups

ArchivesED

FileManager

Build

Decompile

Get

CheckOut

CheckIn

UndoCheckOut

IsLocked

IsCheckedOut

IsDifferent

ALCEngine

NetSend

SetUserPropertyStrings

Interlockings

ParentProject

ReplaceLinks

SystemModelManager

ColorPalettes

SapFunctions

BatchManager


DynPropertyParam [GET]

Manuel -> Interfaces de programmation -> Modèles d'objet -> Project -> Project-Methods -> DynPropertyParam [GET]

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

DynPropertyParam [GET](BSTR bsPath) As PropParam

Availability

Environment | Available
Editor | read only
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


DynPropertiesEnum [GET]

Manuel -> Interfaces de programmation -> Modèles d'objet -> Project -> Project-Methods -> DynPropertiesEnum [GET]

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

DynPropertiesEnum(String bsPath) As VARIANT

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


DynProperties [GET]

Manuel -> Interfaces de programmation -> Modèles d'objet -> Project -> Project-Methods -> DynProperties [GET]

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

DynProperties(String bsPath) As VARIANT

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

A String which defines the Property.

Example: "NetAktive"

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

bsPath As String

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Sub GetDynProp()
'Sample: GSet the Network Aktive Flag of the Project.
If MyWorkspace.ActiveDocument.DynProperties("NetActive") = True Then
'read the server - computername...
Debug.Print "Server: " & MyWorkspace.ActiveDocument.DynProperties("NetServer")
End If
End Sub


DynProperties [PUT]

Manuel -> Interfaces de programmation -> Modèles d'objet -> Project -> Project-Methods -> DynProperties [PUT]

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

DynProperties (String bsPath,VARIANT vValue) As void

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

A String which defines the Property.

Example: "NetAktive"

Returns a variant value depending to the property, it can be a boolean, a long, or a whole object.

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

bsPath As String

vValue As Variant

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Sub SetDynProp()
End Sub


CreateDynProperty

Manuel -> Interfaces de programmation -> Modèles d'objet -> Project -> Project-Methods -> CreateDynProperty

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

New Items like AlarmClasses can be created.

Datatype

CreateDynProperty(String bsPath) As Boolean

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

DynProperty as String to be created.

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

bsPath As String

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

'Create/Change 3 AlarmClasses...
Sub CreateAlarmClasses()
Dim zPRJ As Project
Dim i As Integer
Dim bResult As Boolean

Set zPRJ = MyWorkspace.ActiveDocument
For i = 1 To 3
'check if AlarmClass exists
If CInt(zPRJ.DynProperties("AlarmClasses[-1]")) < i Then
'Create new AlarmClass
bResult = zPRJ.CreateDynProperty("AlarmClasses")
If bResult Then
zPRJ.DynProperties("AlarmClasses[" & i - 1 & "].Name") = "Class_" & i
zPRJ.DynProperties("AlarmClasses[" & i - 1 & "].Color") = RGB(120 + ((i - 1) * 63), 0, 0)
zPRJ.DynProperties("AlarmClasses[" & i - 1 & "].Description") = "created by VBA"
End If
Else
'change existing classes
zPRJ.DynProperties("AlarmClasses[" & i - 1 & "].Name") = "Class_" & i
zPRJ.DynProperties("AlarmClasses[" & i - 1 & "].Color") = RGB(120 + ((i - 1) * 63), 0, 0)
zPRJ.DynProperties("AlarmClasses[" & i - 1 & "].Description") = "created by VBA"
End If
Next i
End Sub


Reload

Manuel -> Interfaces de programmation -> Modèles d'objet -> Project -> Project-Methods -> Reload

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

Reload(VARIANT_BOOL bMody) As void

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

VB.NET

VBA

Examples

C#

VB.NET

VBA


ModulePath [GET]

Manuel -> Interfaces de programmation -> Modèles d'objet -> Project -> Project-Methods -> ModulePath [GET]

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

ModulePath(tpModulePaths lModule) As String

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


ModulePath [PUT]

Manuel -> Interfaces de programmation -> Modèles d'objet -> Project -> Project-Methods -> ModulePath [PUT]

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

ModulePath (tpModulePaths lModule, String szNewValue) As void

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


Drivers

Manuel -> Interfaces de programmation -> Modèles d'objet -> Project -> Project-Methods -> Drivers

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the VBA object for the driver administration. In the driver administration all defined drivers are available. The single driver objects offer important information, e.g. status, driver name, ...

Datatype

Drivers() As Drivers

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


Variables

Manuel -> Interfaces de programmation -> Modèles d'objet -> Project -> Project-Methods -> Variables

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

This method returns the variables list. The single variables contain on the one hand most of their defined properties, e.g. signal resolution, limits, name, .... and on the other hand Runtime data, e.g. current value, status, ...

Datatype

Variables() As Variables

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


OnlineVariables

Manuel -> Interfaces de programmation -> Modèles d'objet -> Project -> Project-Methods -> OnlineVariables

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the VBA object for the online variables administration. The online variables enable a very performant access on changed variables values. With this object you can create an online variable dynamically and link it with a control system variable. The variable is identified with an unique name.With the method Define of the online variable checking the variable is activated.On initializing/changing a variable, that was linked to the online variable, in VBA a Event is executed. In the event handler you now can react on the changed value.

Datatype

OnlineVariables() As OnlineVariables

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


RtFunctions

Manuel -> Interfaces de programmation -> Modèles d'objet -> Project -> Project-Methods -> RtFunctions

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

RtFunctions() As IRtFunctions

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

VB.NET

VBA

Examples

C#

VB.NET

VBA


Templates

Manuel -> Interfaces de programmation -> Modèles d'objet -> Project -> Project-Methods -> Templates

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

Templates() As ITemplates

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

VB.NET

VBA

Examples

C#

VB.NET

VBA


DynPictures

Manuel -> Interfaces de programmation -> Modèles d'objet -> Project -> Project-Methods -> DynPictures

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the VBA object for the defined pictures (*.zp). With the name or the index a picture can be accessed. The different elements DynPicture contain information on the display (position, colour, status, ... ), the linked Frame and a list of the dynamic elements of the picture.

Datatype

DynPictures() As DynPictures

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


Passwords

Manuel -> Interfaces de programmation -> Modèles d'objet -> Project -> Project-Methods -> Passwords

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the object of the user administration. This object contains the defined users of the project. You also have the possibility to create new users or edit/delete existing users.Additionally you can use this object to find out the currently logged in user.

Datatype

Passwords() As Passwords

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


String

Manuel -> Interfaces de programmation -> Modèles d'objet -> Project -> Project-Methods -> String

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

String(BSTR strKeyId) As BSTR

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

VB.NET

VBA

Examples

C#

VB.NET

VBA


Alarm

Manuel -> Interfaces de programmation -> Modèles d'objet -> Project -> Project-Methods -> Alarm

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the object for alarming.With this object the single alarms can be accessed and the properties of the alarms can be read.With Events you have the possibility, to execute actions on the occurance of events.

Datatype

Alarm() As Alarm

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


Cel

Manuel -> Interfaces de programmation -> Modèles d'objet -> Project -> Project-Methods -> Cel

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the 'Cel' object for the Chronologic Event List. With this object CEL entries can be created or inherited.

Datatype

Cel() As Cel

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


Remas

Manuel -> Interfaces de programmation -> Modèles d'objet -> Project -> Project-Methods -> Remas

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

Remas() As IRemas

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

VB.NET

VBA

Examples

C#

VB.NET

VBA


Pfs

Manuel -> Interfaces de programmation -> Modèles d'objet -> Project -> Project-Methods -> Pfs

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

This method returns the PfsEngine object. With this object you have the opportunity to handle the hole production and facility scheduler.

Datatype

Pfs() As PfsEngine

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


Archives

Manuel -> Interfaces de programmation -> Modèles d'objet -> Project -> Project-Methods -> Archives

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the 'Archives' object to read and write archive values.

Datatype

Archives() As Archives

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


Tasks

Manuel -> Interfaces de programmation -> Modèles d'objet -> Project -> Project-Methods -> Tasks

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

Tasks() As ITasks

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

VB.NET

VBA

Examples

C#

VB.NET

VBA


VarTypes

Manuel -> Interfaces de programmation -> Modèles d'objet -> Project -> Project-Methods -> VarTypes

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

This method returns an object for the datatypes. With this object datatypes can be created, edited and deleted.

Datatype

VarTypes() As VarTypes

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


Scripts

Manuel -> Interfaces de programmation -> Modèles d'objet -> Project -> Project-Methods -> Scripts

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

Scripts() As IScripts

Availability

Environment | Available
Editor | available
Runtime | read only
VBA | yes
VSTA | yes

Parameters

C#

VB.NET

VBA

Examples

C#

VB.NET

VBA


ZenMenus

Manuel -> Interfaces de programmation -> Modèles d'objet -> Project -> Project-Methods -> ZenMenus

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

This method returns an object for the menus. With this object menus can be created, edited and deleted.

Datatype

ZenMenus() As ZenMenus

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


TimeFunctions

Manuel -> Interfaces de programmation -> Modèles d'objet -> Project -> Project-Methods -> TimeFunctions

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

This method returns the list of defined time functions. With this object time functions can be created, edited and deleted.

Datatype

TimeFunctions() As TimeFunctions

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


VarAssignments

Manuel -> Interfaces de programmation -> Modèles d'objet -> Project -> Project-Methods -> VarAssignments

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

This method returns an object for the VarAssignments. The VarAssignments collection contains all existing allocations of the current project. With this collection you can access all or certain allocations.

Datatype

VarAssignments() As VarAssignments

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


Recipes

Manuel -> Interfaces de programmation -> Modèles d'objet -> Project -> Project-Methods -> Recipes

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

This method returns the recipes object. With this object you have the opportunity to handle standard recipes.

Datatype

Recipes() As Recipes

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


RGMGroups

Manuel -> Interfaces de programmation -> Modèles d'objet -> Project -> Project-Methods -> RGMGroups

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

RGMGroups() As IRGMRecipeGroups

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

VB.NET

VBA

Examples

C#

VB.NET

VBA


ArchivesED

Manuel -> Interfaces de programmation -> Modèles d'objet -> Project -> Project-Methods -> ArchivesED

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the 'ArchivesED' object to create archives in the editor.

Datatype

ArchivesED() As ArchivesED

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


FileManager

Manuel -> Interfaces de programmation -> Modèles d'objet -> Project -> Project-Methods -> FileManager

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the VBA object for the file manager. With this object graphics, language, help, multimedia, lists, driver and other files can be managed.

Datatype

FileManager() As FileManager

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


Build

Manuel -> Interfaces de programmation -> Modèles d'objet -> Project -> Project-Methods -> Build

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

This method starts an rebuild of the runtime files, depending to given parameter all or only the changed files are created.

Datatype

Build(tpBuildMethod lMethod) As Boolean

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

A constant which defines the kind of compilation. tpAll = 0, tpIncremental = 1

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

lMethod As tpBuildMethod

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Sub BuildRtFiles()
'build only changed
MyWorkspace.ActiveDocument.Build tpIncremental
'build all
MyWorkspace.ActiveDocument.Build tpAll
End Sub


Decompile

Manuel -> Interfaces de programmation -> Modèles d'objet -> Project -> Project-Methods -> Decompile

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

This method starts an import of the runtime files, depending to given parameter there will be a warning message or not.

Datatype

Decompile(Boolean bPromptForOverwrite) As void

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

True for a message in the editor which asks you if the projected files should be replaced by the runtime files. False if no message should appear.

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

bPromptForOverwrite As Boolean

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Sub DeCompileRTFiles()
'Runtime files will be imported with warning message
MyWorkspace.ActiveDocument.Decompile True
End Sub


Get

Manuel -> Interfaces de programmation -> Modèles d'objet -> Project -> Project-Methods -> Get

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Get the latest version from the server (editor). This option is only working for multi-user projects.

Datatype

Get() As Boolean

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


CheckOut

Manuel -> Interfaces de programmation -> Modèles d'objet -> Project -> Project-Methods -> CheckOut

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Allow module modifications (editor). This option is only working for multi-user projects.

Datatype

CheckOut() As Boolean

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


CheckIn

Manuel -> Interfaces de programmation -> Modèles d'objet -> Project -> Project-Methods -> CheckIn

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Save module modifications to server (editor). This option is only working for multi-user projects.

Datatype

CheckIn() As Boolean

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


UndoCheckOut

Manuel -> Interfaces de programmation -> Modèles d'objet -> Project -> Project-Methods -> UndoCheckOut

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Undo module modifications (editor). This option is only working for multi-user projects.

Datatype

UndoCheckOut() As Boolean

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


IsLocked

Manuel -> Interfaces de programmation -> Modèles d'objet -> Project -> Project-Methods -> IsLocked

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns true if modification changes are locked due to a checkout. This option is only working for multi-user projects.

Datatype

IsLocked() As Boolean

Availability

Environment | Available
Editor | read only
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


IsCheckedOut

Manuel -> Interfaces de programmation -> Modèles d'objet -> Project -> Project-Methods -> IsCheckedOut

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns true if scripts are checked out. This option is only working for multi-user projects.

Datatype

IsCheckedOut() As Boolean

Availability

Environment | Available
Editor | read only
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


IsDifferent

Manuel -> Interfaces de programmation -> Modèles d'objet -> Project -> Project-Methods -> IsDifferent

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns true if local version differs from server (editor) version. This option is only working for multi-user projects.

Datatype

IsDifferent() As VARIANT_BOOL

Availability

Environment | Available
Editor | read only
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


ALCEngine

Manuel -> Interfaces de programmation -> Modèles d'objet -> Project -> Project-Methods -> ALCEngine

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the 'ALCEngine' object of the automatic line coloring mechanism.

Datatype

ALCEngine() As ALCEngine

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


NetSend

Manuel -> Interfaces de programmation -> Modèles d'objet -> Project -> Project-Methods -> NetSend

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

NetSend(tpNetSendType NetSendType, String strDestination, long lId, VARIANT pvData) As Boolean

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes

Parameters

A string wich defines the destination computer. For example: "Workstation_1". This parameter is only evaluated when tpNetSendType = tpToSpecificClient is used.

Defines the data which should be sent with the message.

Hint: No zenOn objects can be sent!

A constant which defines the different sending types.

This ID specifies a message and makes it possible to differ it from other messages.

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

strDestination As String

pvData As Variant

NetSendType As tpNetSendType

lId As Long

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Sub ServerNetSend()

'Server should send to all clients whith an ID = 99 and data = "This is a test"
Debug.Print thisProject.NetSend(2, "", 99, "This is a test")

End Sub


SetUserPropertyStrings

Manuel -> Interfaces de programmation -> Modèles d'objet -> Project -> Project-Methods -> SetUserPropertyStrings

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

SetUserPropertyStrings(BSTR strProperty, VARIANT vStrings) As VARIANT_BOOL

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

VB.NET

VBA

Examples

C#

VB.NET

VBA


Interlockings

Manuel -> Interfaces de programmation -> Modèles d'objet -> Project -> Project-Methods -> Interlockings

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the VBA object for the interlockings. With this object you have the opportunity to edit interlockings.

Datatype

Interlockings() As Interlockings

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


ParentProject

Manuel -> Interfaces de programmation -> Modèles d'objet -> Project -> Project-Methods -> ParentProject

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

ParentProject(String bsProjectName) As Boolean

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


ReplaceLinks

Manuel -> Interfaces de programmation -> Modèles d'objet -> Project -> Project-Methods -> ReplaceLinks

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

ReplaceLinks(BSTR bsSourcePrjName,BSTR bsTargetPrjName) As VARIANT_BOOL

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

VB.NET

VBA

Examples

C#

VB.NET

VBA


SystemModelManager

Manuel -> Interfaces de programmation -> Modèles d'objet -> Project -> Project-Methods -> SystemModelManager

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

SystemModelManager() As ISystemModelManager

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

VB.NET

VBA

Examples

C#

VB.NET

VBA


ColorPalettes

Manuel -> Interfaces de programmation -> Modèles d'objet -> Project -> Project-Methods -> ColorPalettes

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

ColorPalettes() As ColorPalettes

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


SapFunctions

Manuel -> Interfaces de programmation -> Modèles d'objet -> Project -> Project-Methods -> SapFunctions

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

SapFunctions() As ISapFunctions

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

VB.NET

VBA

Examples

C#

VB.NET

VBA


BatchManager

Manuel -> Interfaces de programmation -> Modèles d'objet -> Project -> Project-Methods -> BatchManager

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

BatchManager() As IBatchManager

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes

Parameters

C#

VB.NET

VBA

Examples

C#

VB.NET

VBA


Project-Events

Manuel -> Interfaces de programmation -> Modèles d'objet -> Project -> Project-Events

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
void | Active |  | available | available | yes | yes
void | FirePostReload |  | not used | available | yes | yes
void | FirePreReload |  | not used | available | yes | yes
void | Inactive |  | not used | available | yes | yes
void | OnMessageSetDestination | Fired before a message is send. | not used | available | yes | yes
void | OnNetReceive | This event is fired when NetData is received, it contains the Data-Source, an Id and the actual Data | not used | available | yes | yes
void | OnPostVSTAUpdate | For internal use only | not used | available | yes | yes
void | OnPreVSTADebugStart | For internal use only | not used | available | yes | yes
void | OnPreVSTADebugStop | For internal use only | not used | available | yes | yes
void | OnPreVSTAUpdate | For internal use only | not used | available | yes | yes
void | OnVSTADebugStart | For internal use only | not used | available | yes | yes
void | OnVSTADebugStopped | For internal use only | not used | available | yes | yes
void | SbToServer |  | not used | available | yes | yes
void | ServerToSb |  | not used | available | yes | yes

Other topics in this chapter

Active

Inactive

ServerToSb

SbToServer

FirePreReload

FirePostReload

OnNetReceive

OnPreVSTADebugStart

OnVSTADebugStart

OnPreVSTADebugStop

OnVSTADebugStopped

OnPreVSTAUpdate

OnPostVSTAUpdate

OnMessageSetDestination


Active

Manuel -> Interfaces de programmation -> Modèles d'objet -> Project -> Project-Events -> Active

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

This event is executed on activating the project in the Runtime.A project is activated at the following actions:· Starting the Runtime· Reloading· Redundancy update

Datatype

Active() As void

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


Inactive

Manuel -> Interfaces de programmation -> Modèles d'objet -> Project -> Project-Events -> Inactive

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

This event is executed on deactivating the project in the Runtime. A project is deactivated at the following actions:· Closing the Runtime · Reloading · Redundancy update

Datatype

Inactive() As void

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


ServerToSb

Manuel -> Interfaces de programmation -> Modèles d'objet -> Project -> Project-Events -> ServerToSb

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

This event is executed when a standby which has been uplevelled to server is downlevelled to standby again. The event occurs on the standby server.

Datatype

ServerToSb() As void

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


SbToServer

Manuel -> Interfaces de programmation -> Modèles d'objet -> Project -> Project-Events -> SbToServer

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

This event is executed when the server crashes and so the standby gets server. It is also executed when the server restarts and the standby is downlevelled.

Datatype

SbToServer() As void

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


FirePreReload

Manuel -> Interfaces de programmation -> Modèles d'objet -> Project -> Project-Events -> FirePreReload

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

This action is fired on client or standby-server when a reload of the project is started.

Datatype

FirePreReload() As void

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


FirePostReload

Manuel -> Interfaces de programmation -> Modèles d'objet -> Project -> Project-Events -> FirePostReload

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

This action is fired after the FirePreReload on client or standby-server when a reload of the project is started.

Datatype

FirePostReload() As void

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


OnNetReceive

Manuel -> Interfaces de programmation -> Modèles d'objet -> Project -> Project-Events -> OnNetReceive

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

This event reacts on receiving a NetSend message.

Datatype

OnNetReceive(String strSource, long lId, LPVARIANT pvData) As void

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes

Parameters

This parameter reads out the data of the NetSend message.

This string provides the name of the sending computer.

This parameter reads out the ID of the NetSend message.

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

pvData As Variant

strSource As String

lId As Long

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

'This event will be executed when the client receives the NetSend message
Private Sub Project_OnNetReceive(ByVal strSource As String, ByVal lID As Long, pvData As Variant)

MsgBox "Source string = " & strSource
MsgBox "lID = " & lID
MsgBox "Data = " & pvData

End Sub


OnPreVSTADebugStart

Manuel -> Interfaces de programmation -> Modèles d'objet -> Project -> Project-Events -> OnPreVSTADebugStart

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

OnPreVSTADebugStart() As void

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


OnVSTADebugStart

Manuel -> Interfaces de programmation -> Modèles d'objet -> Project -> Project-Events -> OnVSTADebugStart

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

OnVSTADebugStart() As void

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


OnPreVSTADebugStop

Manuel -> Interfaces de programmation -> Modèles d'objet -> Project -> Project-Events -> OnPreVSTADebugStop

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

OnPreVSTADebugStop() As void

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


OnVSTADebugStopped

Manuel -> Interfaces de programmation -> Modèles d'objet -> Project -> Project-Events -> OnVSTADebugStopped

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

OnVSTADebugStopped() As void

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


OnPreVSTAUpdate

Manuel -> Interfaces de programmation -> Modèles d'objet -> Project -> Project-Events -> OnPreVSTAUpdate

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

OnPreVSTAUpdate() As void

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


OnPostVSTAUpdate

Manuel -> Interfaces de programmation -> Modèles d'objet -> Project -> Project-Events -> OnPostVSTAUpdate

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

OnPostVSTAUpdate() As void

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


OnMessageSetDestination

Manuel -> Interfaces de programmation -> Modèles d'objet -> Project -> Project-Events -> OnMessageSetDestination

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

OnMessageSetDestination(String bsDestinationGuid, String bsDestination) As void

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Private Sub Project_OnMessageSetDestination(ByVal bsDestinationGuid As String, bsDestination As String)
Dim strGuid As String
Dim strNewDestination

strGuid = "cdd44b4a-5951-43bb-a9d9-e0810dfb9bc3"
If bsDestinationGuid = strGuid Then
'Now we change the destination before a message is send!
strNewDestination = ""
bsDestination = strNewDestination
End If
End Sub


Projects

Manuel -> Interfaces de programmation -> Modèles d'objet -> Projects

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

The collection Projects contains all projects loaded in the Runtime. The single projects of the Runtime are available as objects Project in VBA. It is not possible to create an object of this type with the attribute New.

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Examples

C#

VB.NET

VB.NET-Syntax

VBA

Sub GetProjects()
Dim i As Integer
'enumerate all projects
'"Application" instead of "ApplicationED" at runtime!
For i = 0 To ApplicationED.Projects.Count - 1
Debug.Print ApplicationED.Projects.Item(i).Name & _
ApplicationED.Projects.Item(i).DynProperties("GUID")
Next i
End Sub

Sub CreateProject()
'create a new project
ApplicationED.Projects.Create
End Sub

Other topics in this chapter

Projects-Properties

Projects-Methods


Projects-Properties

Manuel -> Interfaces de programmation -> Modèles d'objet -> Projects -> Projects-Properties

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
long | Count |  | read only | read only | yes | yes
long | CountHidden | For internal use only | not used | not used | yes | yes
IApplication | Parent |  | read only | read only | yes | yes

Other topics in this chapter

Parent

Count

CountHidden


Parent

Manuel -> Interfaces de programmation -> Modèles d'objet -> Projects -> Projects-Properties -> Parent

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the parent object

Datatype

Parent() As Application

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


Count

Manuel -> Interfaces de programmation -> Modèles d'objet -> Projects -> Projects-Properties -> Count

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

The method returns the number of available objects. This property is mostly used for the method Item to run through each single object.Hint: For running through entries care, that the minimum is 0 and the maximum is Count-1.

Datatype

Count() As long

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


CountHidden

Manuel -> Interfaces de programmation -> Modèles d'objet -> Projects -> Projects-Properties -> CountHidden

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

CountHidden() As long

Availability

Environment | Available
Editor | not used
Runtime | not used
VBA | yes
VSTA | yes


Projects-Methods

Manuel -> Interfaces de programmation -> Modèles d'objet -> Projects -> Projects-Methods

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
VARIANT_BOOL | Create | Shows the dialog to create a new project and/or workspace. | available | not used | yes | yes
VARIANT_BOOL | CreateEx | Creates a new project without dialog. | available | not used | yes | yes
IProject | Item | - | available | not used | yes | yes
IProject | ItemHidden | For internal use only | not used | not used | yes | yes

Other topics in this chapter

Item

ItemHidden

Create

CreateEx


Item

Manuel -> Interfaces de programmation -> Modèles d'objet -> Projects -> Projects-Methods -> Item

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the object Project from the collection, identified by the parameter vID.The parameter vID can have two values:- Index: The access with the index is often used in combination with the property Count to find an object Project by its position in the list. For „simple“ (not hierarchical) projects the index 0 always is the current project.- Project name: The project can be found by its name.

Datatype

Item(VARIANT vID) As Project

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


ItemHidden

Manuel -> Interfaces de programmation -> Modèles d'objet -> Projects -> Projects-Methods -> ItemHidden

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

ItemHidden(VARIANT vID) As Project

Availability

Environment | Available
Editor | not used
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


Create

Manuel -> Interfaces de programmation -> Modèles d'objet -> Projects -> Projects-Methods -> Create

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Opens the dialog to create a new project.

Datatype

Create() As Boolean

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


CreateEx

Manuel -> Interfaces de programmation -> Modèles d'objet -> Projects -> Projects-Methods -> CreateEx

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

The Projects-Collection has received a new method CreateEx(), in order to generate projects without dialogs:

Project name and project basis path can be specified as parameter, in order to define whether it is a global project or a multi user project and in the last case its server name. The new project is basically attached to the open workspace and no error messages or queries will be displayed as dialogs or message boxes.

Datatype

CreateEx(String bsName, String bsPath, Boolean bGlobal, Boolean bMultiUser, String bsServer) As Boolean

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Call MyWorkspace.Application.Projects.CreateEx("Hugo", "D:\TEMP\HUGO", False, False, "")


PropParam

Manuel -> Interfaces de programmation -> Modèles d'objet -> PropParam

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

PropParam

Possibility to determine PropertyOptions and read,write status for properties.

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Examples

C#

public void Macronew()

{

zenOn.IPropParam Param = this.ActiveDocument.get_DynPropertyParam("MultitouchMode");

if (Param.OptionCount > 0)

{

for (int i = 0; i < Param.OptionCount; i++)

{

this.Application.DebugPrint(Param.OptionText(i).ToString(), zenOn.tpDebugPrintStyle.tpErr);

this.Application.DebugPrint(Param.OptionValue(i).ToString(), zenOn.tpDebugPrintStyle.tpErr);

}

}

}

VB.NET

Public Sub Macronew()

Dim Param As zenOn.IPropParam = Me.ActiveDocument.get_DynPropertyParam("MultitouchMode")

If Param.OptionCount > 0 Then

For i As Integer = 0 To Param.OptionCount - 1

Me.Application.DebugPrint(Param.OptionText(i).ToString(), zenOn.tpDebugPrintStyle.tpErr)

Me.Application.DebugPrint(Param.OptionValue(i).ToString(), zenOn.tpDebugPrintStyle.tpErr)

Next

End If

End Sub

VBA

Public Sub VBAMacro()

Dim obparm As PropParam

Dim n As Integer

Set obparm = thisProject.DynPropertyParam("MultitouchMode")

If (Not obparm Is Nothing) Then

If obparm.OptionCount > 0 Then

For n = 0 To obparm.OptionCount - 1

Debug.Print "Option:" & obparm.OptionText(n)

Debug.Print "Option:" & obparm.OptionValue(n)

Next

End If

End If

End Sub

Other topics in this chapter

PropParam-Properties

PropParam-Methods


PropParam-Properties

Manuel -> Interfaces de programmation -> Modèles d'objet -> PropParam -> PropParam-Properties

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
VARIANT_BOOL | Enabled | Returns whether or not the property is enabled. | read only | read only | yes | yes
long | OptionCount | Returns the amount of options. | read only | read only | yes | yes

Other topics in this chapter

OptionCount

Enabled


OptionCount

Manuel -> Interfaces de programmation -> Modèles d'objet -> PropParam -> PropParam-Properties -> OptionCount

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the amount of available Options, in case there are no Options this value will be: 0.

Datatype

OptionCount() As long

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


Enabled

Manuel -> Interfaces de programmation -> Modèles d'objet -> PropParam -> PropParam-Properties -> Enabled

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns a value that determines if the property is usable or not.

Datatype

Enabled() As VARIANT_BOOL

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


PropParam-Methods

Manuel -> Interfaces de programmation -> Modèles d'objet -> PropParam -> PropParam-Methods

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
BSTR | OptionText | Returns the text of the option at the given index | read only | read only | yes | yes
VARIANT | OptionValue | Returns the value of the option at the given index | read only | read only | yes | yes

Other topics in this chapter

OptionText

OptionValue


OptionText

Manuel -> Interfaces de programmation -> Modèles d'objet -> PropParam -> PropParam-Methods -> OptionText

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the text of Option lIndex

Datatype

OptionText(long lIndex) As BSTR

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes

Parameters

C#

long lIndex

VB.NET

Dim lIndex As Long

VBA

Dim lIndex As Long

Examples

C#

public void Macronew()

{

zenOn.IPropParam Param = this.ActiveDocument.get_DynPropertyParam("MultitouchMode");

if (Param.OptionCount > 0)

{

for (int i = 0; i < Param.OptionCount; i++)

{

this.Application.DebugPrint(Param.OptionText(i).ToString(), zenOn.tpDebugPrintStyle.tpErr);

this.Application.DebugPrint(Param.OptionValue(i).ToString(), zenOn.tpDebugPrintStyle.tpErr);

}

}

}

VB.NET

Public Sub Macronew()

Dim Param As zenOn.IPropParam = Me.ActiveDocument.get_DynPropertyParam("MultitouchMode")

If Param.OptionCount > 0 Then

For i As Integer = 0 To Param.OptionCount - 1

Me.Application.DebugPrint(Param.OptionText(i).ToString(), zenOn.tpDebugPrintStyle.tpErr)

Me.Application.DebugPrint(Param.OptionValue(i).ToString(), zenOn.tpDebugPrintStyle.tpErr)

Next

End If

End Sub

VBA

Public Sub VBAMacro()

Dim obparm As PropParam

Dim n As Integer

Set obparm = thisProject.DynPropertyParam("MultitouchMode")

If (Not obparm Is Nothing) Then

If obparm.OptionCount > 0 Then

For n = 0 To obparm.OptionCount - 1

Debug.Print "Option:" & obparm.OptionText(n)

Debug.Print "Option:" & obparm.OptionValue(n)

Next

End If

End If

End Sub


OptionValue

Manuel -> Interfaces de programmation -> Modèles d'objet -> PropParam -> PropParam-Methods -> OptionValue

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the value of Option lIndex.

Datatype

OptionValue(long lIndex) As VARIANT

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes

Parameters

C#

long lIndex

VB.NET

Dim lIndex As Long

VBA

Dim lIndex As Long

Examples

C#

public void Macronew()

{

zenOn.IPropParam Param = this.ActiveDocument.get_DynPropertyParam("MultitouchMode");

if (Param.OptionCount > 0)

{

for (int i = 0; i < Param.OptionCount; i++)

{

this.Application.DebugPrint(Param.OptionText(i).ToString(), zenOn.tpDebugPrintStyle.tpErr);

this.Application.DebugPrint(Param.OptionValue(i).ToString(), zenOn.tpDebugPrintStyle.tpErr);

}

}

}

VB.NET

Public Sub Macronew()

Dim Param As zenOn.IPropParam = Me.ActiveDocument.get_DynPropertyParam("MultitouchMode")

If Param.OptionCount > 0 Then

For i As Integer = 0 To Param.OptionCount - 1

Me.Application.DebugPrint(Param.OptionText(i).ToString(), zenOn.tpDebugPrintStyle.tpErr)

Me.Application.DebugPrint(Param.OptionValue(i).ToString(), zenOn.tpDebugPrintStyle.tpErr)

Next

End If

End Sub

VBA

Public Sub VBAMacro()

Dim obparm As PropParam

Dim n As Integer

Set obparm = thisProject.DynPropertyParam("MultitouchMode")

If (Not obparm Is Nothing) Then

If obparm.OptionCount > 0 Then

For n = 0 To obparm.OptionCount - 1

Debug.Print "Option:" & obparm.OptionText(n)

Debug.Print "Option:" & obparm.OptionValue(n)

Next

End If

End If

End Sub


Recipe

Manuel -> Interfaces de programmation -> Modèles d'objet -> Recipe

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Recipes serve for the assembling of input lists for setpoint values and commands which in online operation are executed with a function call.

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Examples

C#

VB.NET

VB.NET-Syntax

VBA

Sub zenOn_Recipe(ByRef zRecipes As Recipes)
'Declarations
Dim zRecipe As recipe
Dim zVariable As Variable
Dim i As Integer

'Initialization of zRecipe with the first element in the "zRecipes" object
Set zRecipe = zRecipes.Item(0)
'Initialization of zVariable with the first element in the "Variables" object
Set zVariable = thisProject.Variables.Item(0)

'Create new "RecipeValue" object
'Assign zVariable with a default value of 50
zRecipe.Create zVariable.PvID, 50

'For every "RecipeValue" object in zRecipe,...
For i = 0 To zRecipe.Count - 1
'... output the name
Debug.Print "Name: " & zRecipe.Item(i).ItemVariable.Name
'and value
Debug.Print "Value: " & zRecipe.Item(i).Value
Next i

'Delete the former created "RecipeValue" object
zRecipe.Delete (zVariable.PvID)

End Sub

Other topics in this chapter

Recipe-Properties

Recipe-Methods

Recipe-Dynamic properties


Recipe-Properties

Manuel -> Interfaces de programmation -> Modèles d'objet -> Recipe -> Recipe-Properties

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
long | Count |  | read only | read only | yes | yes
BSTR | Name |  | available | available | yes | yes
IRecipes | Parent |  | read only | read only | yes | yes

Other topics in this chapter

Parent

Name

Count


Parent

Manuel -> Interfaces de programmation -> Modèles d'objet -> Recipe -> Recipe-Properties -> Parent

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the parent object

Datatype

Parent() As Recipes

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


Name

Manuel -> Interfaces de programmation -> Modèles d'objet -> Recipe -> Recipe-Properties -> Name

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Gets or sets the name of the recipe.

Datatype

Name() As String

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes


Count

Manuel -> Interfaces de programmation -> Modèles d'objet -> Recipe -> Recipe-Properties -> Count

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

The method returns the number of available objects. This property is mostly used for the method Item to run through each single object.Hint: For running through entries care, that the minimum is 0 and the maximum is Count-1.

Datatype

Count() As long

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


Recipe-Methods

Manuel -> Interfaces de programmation -> Modèles d'objet -> Recipe -> Recipe-Methods

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
IRecipeValue | Create | Creates and returns a new Object | available | available | yes | yes
VARIANT_BOOL | Delete | Deletes the objects from collection | available | available | yes | yes
void | DynProperties [PUT] | - | available | available | yes | yes
VARIANT | DynProperties [GET] | - | available | available | yes | yes
VARIANT | DynPropertiesEnum [GET] | - | read only | read only | yes | yes
VARIANT_BOOL | ExecuteValues | - | not used | available | yes | yes
VARIANT_BOOL | Export | Exports the selected object to a XML file | available | available | yes | yes
VARIANT_BOOL | ExportXML | Exports the selected object to a XML file | available | not used | yes | yes
VARIANT_BOOL | ImportXML | Imports the selected XML file | available | not used | yes | yes
IRecipeValue | Item | Returns a object at a position or by a specified key | available | not used | yes | yes
VARIANT_BOOL | ReadValues | - | not used | available | yes | yes
VARIANT_BOOL | Save | - | available | available | yes | yes
IPropParam | DynPropertyParam [GET] | Returns the PropParam objekt of the given DynProperty | read only | not used | yes | yes

Other topics in this chapter

Item

Create

Delete

Export

ExecuteValues

ReadValues

Save

DynPropertyParam [GET]

DynPropertiesEnum [GET]

DynProperties [GET]

DynProperties [PUT]

ExportXML

ImportXML


Item

Manuel -> Interfaces de programmation -> Modèles d'objet -> Recipe -> Recipe-Methods -> Item

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns a "RecipeValue"object at a position or by a specified key.

Datatype

Item(VARIANT vID) As RecipeValue

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


Create

Manuel -> Interfaces de programmation -> Modèles d'objet -> Recipe -> Recipe-Methods -> Create

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Creates a new "RecipeValue" object.

Datatype

Create(long PvID,double dfValue,[optional]VARIANT vProjekt) As RecipeValue

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

PvID from the "Variable" object that should be assigned.

Default value of the assigned variable.

Defines the project, where the "RecipeValue" object should be created. If this value is not specified, the current project will be selected.

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

PvID As Long

dfValue As double

vProjekt As [optional]Variant

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Private Sub CreateRecipeValue(ByRef zRecipe As recipe)
'Declarations
Dim zVariable As Variable
Dim i As Integer

'Initialization of zVariable with the first "Variable" object within the "Variables" object
Set zVariable = thisProject.Variables.Item(0)

'Create new "RecipeValue" object within zRecipe
'zVariable.PvID assigns zVariable to the recipe
'22 will be the default value of zVariable
zRecipe.Create zVariable.PvID, 22

'For every "RecipeValue" object within zRecipe...
For i = 0 To zRecipe.Count - 1
'...output the value
Debug.Print i + 1 & ". value: " & zRecipe.Item(i).Value
Next i

End Sub


Delete

Manuel -> Interfaces de programmation -> Modèles d'objet -> Recipe -> Recipe-Methods -> Delete

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Deletes a "RecipeValue" object from the collection by the PvID of the "Variable" object that was assigned to the "RecipeValue" object.

Datatype

Delete(long PvID,[optional]VARIANT vProjekt) As Boolean

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

PvID from the "Variable" object that should be deleted.

Defines the project, where the "RecipeValue" object should be deleted. If this value is not specified the current project will be selected.

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

PvID As Long

vProjekt As [optional]Variant

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Private Sub DeleteRecipeValue(ByRef zRecipe As recipe)

'Declarations
Dim zVariable As Variable
Dim i As Integer

'Initialization of zVariable with the variable that is named "zenOn_Test"
Set zVariable = thisProject.Variables.Item("zenOn_Test")

'Deletes the variable "zenOn_Test" from the recipe
zRecipe.Delete zVariable.PvID

'For every "RecipeValue" object within zRecipe...
For i = 0 To zRecipe.Count - 1
'...output the value
Debug.Print i + 1 & ". value: " & zRecipe.Item(i).Value
Next i

End Sub


Export

Manuel -> Interfaces de programmation -> Modèles d'objet -> Recipe -> Recipe-Methods -> Export

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Exports the recipe into a textfile.

Datatype

Export(String strFileName) As Boolean

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


ExecuteValues

Manuel -> Interfaces de programmation -> Modèles d'objet -> Recipe -> Recipe-Methods -> ExecuteValues

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Overwrites the current values of the variables in the recipe with the recipe values.

Datatype

ExecuteValues() As Boolean

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


ReadValues

Manuel -> Interfaces de programmation -> Modèles d'objet -> Recipe -> Recipe-Methods -> ReadValues

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Reads the current values.

Datatype

ReadValues() As Boolean

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


Save

Manuel -> Interfaces de programmation -> Modèles d'objet -> Recipe -> Recipe-Methods -> Save

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Saves the current values as the new recipe values.

Datatype

Save() As Boolean

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


DynPropertyParam [GET]

Manuel -> Interfaces de programmation -> Modèles d'objet -> Recipe -> Recipe-Methods -> DynPropertyParam [GET]

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

DynPropertyParam [GET](BSTR bsPath) As PropParam

Availability

Environment | Available
Editor | read only
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


DynPropertiesEnum [GET]

Manuel -> Interfaces de programmation -> Modèles d'objet -> Recipe -> Recipe-Methods -> DynPropertiesEnum [GET]

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

DynPropertiesEnum(String bsPath) As VARIANT

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes

Parameters

A String which defines the entry point to get out all available properties of the object.

A blank String like that returns the first layer of properties:

DynPropertiesEnum("")

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

bsPath As String

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Sub ReadDynProps()
End Sub


DynProperties [GET]

Manuel -> Interfaces de programmation -> Modèles d'objet -> Recipe -> Recipe-Methods -> DynProperties [GET]

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

DynProperties(String bsPath) As VARIANT

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

A String which defines the Property.

Example: "NetAktive"

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

bsPath As String

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Sub GetDynProp()
'Sample: GSet the Network Aktive Flag of the Project.
If MyWorkspace.ActiveDocument.DynProperties("NetActive") = True Then
'read the server - computername...
Debug.Print "Server: " & MyWorkspace.ActiveDocument.DynProperties("NetServer")
End If
End Sub


DynProperties [PUT]

Manuel -> Interfaces de programmation -> Modèles d'objet -> Recipe -> Recipe-Methods -> DynProperties [PUT]

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

DynProperties (String bsPath,VARIANT vValue) As void

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

A String which defines the Property.

Example: "NetAktive"

Returns a variant value depending to the property, it can be a boolean, a long, or a whole object.

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

bsPath As String

vValue As Variant

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Sub SetDynProp()
End Sub


ExportXML

Manuel -> Interfaces de programmation -> Modèles d'objet -> Recipe -> Recipe-Methods -> ExportXML

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Export settings to an xml file

Datatype

ExportXML(String bsFileName) As Boolean

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

Filename (path) as string of the xml file to export.

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

bsFileName As String

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Private Sub zenOn_ExportImportSettings(ByRef zenOnObject As Object)
End Sub


ImportXML

Manuel -> Interfaces de programmation -> Modèles d'objet -> Recipe -> Recipe-Methods -> ImportXML

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Import settings from an xml file. New settings are added, existing settings will be merged.

Datatype

ImportXML(String bsFileName) As Boolean

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

Filename (path) as string of the xml file to import.

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

bsFileName As String

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Private Sub zenOn_ExportImportSettings(ByRef zenOnObject As Object)
End Sub


Recipe-Dynamic properties

Manuel -> Interfaces de programmation -> Modèles d'objet -> Recipe -> Recipe-Dynamic properties

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Dynproperties

Formulation

Other topics in this chapter

Formulation


Formulation

Manuel -> Interfaces de programmation -> Modèles d'objet -> Recipe -> Recipe-Dynamic properties -> Formulation

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Type

VBA/VSTA Name

Display Name

Description

VT_BSTR

RecipeName

Nom

Nom unique du la recette.
Par défaut : Recette_x (x représente un nombre défini de manière consécutive).

Plus de détails dans l’aide en ligne.

VT_UI2

PasswordLevel

Niveau d'autorisation

Groupes d’autorisations requis pour modifier la recette dans le Runtime.
Un utilisateur peut uniquement modifier les valeurs de la recette (lecture, édition manuelle, suppression) si elles sont conformes au niveau d’autorisation du mot de passe défini.
Minimum : 0.
Maximum : 127
Par défaut : 0.

Plus de détails dans l’aide en ligne.

VT_BOOL

SyncWrite

Timeout [ms]

Un délai d’attente peut être saisi ici si la propriété Écriture synchrone a été activée.
Si une valeur de 0 est saisie ici, le système de contrôle calcule le délai d’attente de la façon suivante :
3000+(100*Nombre de points de of data points de données)
Minimum : 0.
Maximum : 4294967295
Par défaut : 0.

Plus de détails dans l’aide en ligne.

VT_UI4

SyncWriteTimeout

Timeout [ms]

Un délai d’attente peut être saisi ici si la propriété Écriture synchrone a été activée.
Si une valeur de 0 est saisie ici, le système de contrôle calcule le délai d’attente de la façon suivante :
3000+(100*Nombre de points de of data points de données)
Minimum : 0.
Maximum : 4294967295
Par défaut : 0.

Plus de détails dans l’aide en ligne.

ZT_AKZ

SystemModelGroup

Groupes d'équipements

Lie l’élément à un modèle d’équipement. Cliquez sur le bouton ... pour ouvrir la boîte de sélection d’un groupe d’équipements.
L'affichage du groupe d’équipements sélectionné inclut également les niveaux supérieurs à ce groupe. Les niveaux sont séparés par un point dans l’affichage.

Dans le cas d’une sélection multiple, les groupes d’équipements individuels sont séparés par un point-virgule (;).

Plus de détails dans l’aide en ligne.


Recipes

Manuel -> Interfaces de programmation -> Modèles d'objet -> Recipes

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

This object manages "Recipe" objects.

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Examples

C#

VB.NET

VB.NET-Syntax

VBA

Public Sub zenOn_Recipes()
'Declarations
Dim zWork As Project
Dim zRecipes As Recipes
Dim zRecipe As recipe
Dim zRecipeValue As RecipeValue
Dim zVariable As Variable

'Initialization of zWork with current project
Set zWork = thisProject
'Initialization of zRecipes with the recipe list of the project
Set zRecipes = zWork.Recipes
'Initialization of zRecipe with the new "Recipe" object
Set zRecipe = zRecipes.Create("zenOn_Recipe")
'Initialization of zVariable with the first element in the "Variables" object
Set zVariable = zWork.Variables.Item(0)
'Initialization of zRecipeValue with the new assigned variable. Default-Value = 5
Set zRecipeValue = zRecipe.Create(zVariable.PvID, 5)

'Deletes the recipe "zenOn_Recipe"
zRecipes.Delete (zRecipe.Name)

End Sub

Other topics in this chapter

Recipes-Properties

Recipes-Methods


Recipes-Properties

Manuel -> Interfaces de programmation -> Modèles d'objet -> Recipes -> Recipes-Properties

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
long | Count |  | read only | read only | yes | yes
IProject | Parent |  | read only | read only | yes | yes

Other topics in this chapter

Parent

Count


Parent

Manuel -> Interfaces de programmation -> Modèles d'objet -> Recipes -> Recipes-Properties -> Parent

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the parent object

Datatype

Parent() As Project

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


Count

Manuel -> Interfaces de programmation -> Modèles d'objet -> Recipes -> Recipes-Properties -> Count

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

The method returns the number of available objects. This property is mostly used for the method Item to run through each single object.Hint: For running through entries care, that the minimum is 0 and the maximum is Count-1.

Datatype

Count() As long

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


Recipes-Methods

Manuel -> Interfaces de programmation -> Modèles d'objet -> Recipes -> Recipes-Methods

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description |  | Editor | Runtime | VBA | VSTA
IRecipe | Create | Creates and returns a new Object |  | available | available | yes | yes
VARIANT_BOOL | Delete | Deletes the objects from collection |  | available | available | yes | yes
VARIANT_BOOL | ExportXML | Exports the selected object to a XML file |  | available | not used | yes | yes
VARIANT_BOOL | Import | Imports the selected XML file |  | not used | available | yes | yes
VARIANT_BOOL | ImportXML | Imports the selected XML file |  | available | not used | yes | yes
IRecipe | Item | Returns a object at a position or by a specified key |  | available | available | yes | yes
VARIANT_BOOL | SingleExport | Exports the Item with given Name oder Index |  | available | available | yes | yes
VARIANT_BOOL | SingleExport | Exports the Item with given Name oder Index |  | available | available | yes | yes
VARIANT_BOOL | Get | Get the latest version from the server (editor). |  | available | not used | yes | yes
VARIANT_BOOL | CheckOut | Allow module modifications (editor). |  | available | not used | yes | yes
VARIANT_BOOL | CheckIn | Save module modifications to server (editor). |  | available | not used | yes | yes
VARIANT_BOOL | UndoCheckOut | Undo module modifications (editor). |  | available | not used | yes | yes
VARIANT_BOOL | IsLocked | Returns true when the current module is Locked by another user (editor). |  | read only | not used | yes | yes
VARIANT_BOOL | IsCheckedOut | Returns true when the current module checked out by the current user (editor). |  | read only | not used | yes | yes
VARIANT_BOOL | IsDifferent | Returns true when the local and server version are different (editor). | read only |  | not used | yes |  | yes

Other topics in this chapter

Item

Create

Delete

Import

ExportXML

SingleExport

ImportXML

Get

CheckOut

CheckIn

UndoCheckOut

IsLocked

IsCheckedOut

IsDifferent


Item

Manuel -> Interfaces de programmation -> Modèles d'objet -> Recipes -> Recipes-Methods -> Item

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns a "Recipe" object at a position or by a specified key.

Datatype

Item(VARIANT vID) As Recipe

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


Create

Manuel -> Interfaces de programmation -> Modèles d'objet -> Recipes -> Recipes-Methods -> Create

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Creates a new "Recipe" object by name as string parameter.

Datatype

Create(String strName) As Recipe

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

Name of the new "Recipe" object as string.

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

strName As String

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Sub CreateNewRecipe()
'Declarations
Dim zRecipes As Recipes
Dim zRecipe As recipe

'Initialization of zRecipes with the recipes list of the current project
Set zRecipes = thisProject.Recipes
'Initialization of zRecipe with the new "Recipe" object
Set zRecipe = zRecipes.Create("zenOn_Recipe")

End Sub


Delete

Manuel -> Interfaces de programmation -> Modèles d'objet -> Recipes -> Recipes-Methods -> Delete

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Deletes a "Recipe" object from the collection.

Datatype

Delete(String strName) As Boolean

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

Name of the former created "Recipe" object as string.

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

strName As String

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Sub DeleteRecipe()
'Declarations
Dim zRecipes As Recipes

'Initialization of zRecipes with the recipes list of the current project
Set zRecipes = thisProject.Recipes

'Deletes the recipe with the name "zenOn_Recipe"
zRecipes.Delete ("zenOn_Recipe")
End Sub


Import

Manuel -> Interfaces de programmation -> Modèles d'objet -> Recipes -> Recipes-Methods -> Import

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Imports a recipe from a textfile.

Datatype

Import(String strFileName) As Boolean

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


ExportXML

Manuel -> Interfaces de programmation -> Modèles d'objet -> Recipes -> Recipes-Methods -> ExportXML

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Export settings to an xml file.

Datatype

ExportXML(String bsFileName) As Boolean

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

Filename (path) as string of the xml file to export.

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

bsFileName As String

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Private Sub zenOn_ExportImportSettings(ByRef zenOnObject As Object)
End Sub


SingleExport

Manuel -> Interfaces de programmation -> Modèles d'objet -> Recipes -> Recipes-Methods -> SingleExport

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

SingleExport(VARIANT vIndexOrName,BSTR bsFileName) As VARIANT_BOOL

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

VB.NET

VBA

Examples

C#

VB.NET

VBA


ImportXML

Manuel -> Interfaces de programmation -> Modèles d'objet -> Recipes -> Recipes-Methods -> ImportXML

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Import settings from an xml file. New settings are added, existing settings will be merged.

Datatype

ImportXML(String bsFileName) As Boolean

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

Filename (path) as string of the xml file to import.

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

bsFileName As String

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Private Sub zenOn_ExportImportSettings(ByRef zenOnObject As Object)
End Sub


Get

Manuel -> Interfaces de programmation -> Modèles d'objet -> Recipes -> Recipes-Methods -> Get

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

Get() As VARIANT_BOOL

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

VB.NET

VBA

Examples

C#

VB.NET

VBA


CheckOut

Manuel -> Interfaces de programmation -> Modèles d'objet -> Recipes -> Recipes-Methods -> CheckOut

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

CheckOut() As VARIANT_BOOL

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

VB.NET

VBA

Examples

C#

VB.NET

VBA


CheckIn

Manuel -> Interfaces de programmation -> Modèles d'objet -> Recipes -> Recipes-Methods -> CheckIn

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

CheckIn() As VARIANT_BOOL

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

VB.NET

VBA

Examples

C#

VB.NET

VBA


UndoCheckOut

Manuel -> Interfaces de programmation -> Modèles d'objet -> Recipes -> Recipes-Methods -> UndoCheckOut

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

UndoCheckOut() As VARIANT_BOOL

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

VB.NET

VBA

Examples

C#

VB.NET

VBA


IsLocked

Manuel -> Interfaces de programmation -> Modèles d'objet -> Recipes -> Recipes-Methods -> IsLocked

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

IsLocked() As VARIANT_BOOL

Availability

Environment | Available
Editor | read only
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

VB.NET

VBA

Examples

C#

VB.NET

VBA


IsCheckedOut

Manuel -> Interfaces de programmation -> Modèles d'objet -> Recipes -> Recipes-Methods -> IsCheckedOut

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

IsCheckedOut() As VARIANT_BOOL

Availability

Environment | Available
Editor | read only
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

VB.NET

VBA

Examples

C#

VB.NET

VBA


IsDifferent

Manuel -> Interfaces de programmation -> Modèles d'objet -> Recipes -> Recipes-Methods -> IsDifferent

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

IsDifferent() As VARIANT_BOOL

Availability

Environment | Available
Editor | read only
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

VB.NET

VBA

Examples

C#

VB.NET

VBA


RecipeValue

Manuel -> Interfaces de programmation -> Modèles d'objet -> RecipeValue

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

The "RecipeValue" object is utilized by the "Recipe" object, in order to define the characteristics.

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Examples

C#

VB.NET

VB.NET-Syntax

VBA

Sub zenOn_RecipeValue(ByRef zRecipe As recipe)
'Declarations
Dim zRecipeValue As RecipeValue
Dim zVariable As Variable

'Initialization of zVariable with the first element in the "Variables" object
Set zVariable = thisProject.Variables.Item(0)

'Initialization of zRecipeValue by creating a new "RecipeValue" object
'Assigns zVariable with a default value of 50
Set zRecipeValue = zRecipe.Create(zVariable.PvID, 50)

'Delete the former created "RecipeValue" object
zRecipe.Delete (zVariable.PvID)
End Sub

Other topics in this chapter

RecipeValue-Properties

RecipeValue-Methods

RecipeValue-Dynamic properties


RecipeValue-Properties

Manuel -> Interfaces de programmation -> Modèles d'objet -> RecipeValue -> RecipeValue-Properties

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
IRecipe | Parent |  | read only | read only | yes | yes
long | Type |  | read only | read only | yes | yes
double | Value |  | available | available | yes | yes

Other topics in this chapter

Parent

Type

Value


Parent

Manuel -> Interfaces de programmation -> Modèles d'objet -> RecipeValue -> RecipeValue-Properties -> Parent

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the parent object

Datatype

Parent() As Recipe

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


Type

Manuel -> Interfaces de programmation -> Modèles d'objet -> RecipeValue -> RecipeValue-Properties -> Type

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the type of the "RecipeValue" object.

Datatype

Type() As long

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


Value

Manuel -> Interfaces de programmation -> Modèles d'objet -> RecipeValue -> RecipeValue-Properties -> Value

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Gets or sets the value of the "RecipeValue" object.

Datatype

Value() As double

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes


RecipeValue-Methods

Manuel -> Interfaces de programmation -> Modèles d'objet -> RecipeValue -> RecipeValue-Methods

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
void | DynProperties [PUT] | - | available | available | yes | yes
VARIANT | DynProperties [GET] | - | available | available | yes | yes
VARIANT | DynPropertiesEnum [GET] | - | read only | read only | yes | yes
IVariable | ItemVariable | - | available | available | yes | yes
IPropParam | DynPropertyParam [GET] | Returns the PropParam objekt of the given DynProperty | read only | not used | yes | yes

Other topics in this chapter

ItemVariable

DynPropertyParam [GET]

DynPropertiesEnum [GET]

DynProperties [GET]

DynProperties [PUT]


ItemVariable

Manuel -> Interfaces de programmation -> Modèles d'objet -> RecipeValue -> RecipeValue-Methods -> ItemVariable

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Gets, sets or modifies the assigend "Variable" object. For further information, please have a look at the "Variable" object part.

Datatype

ItemVariable() As Variable

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


DynPropertyParam [GET]

Manuel -> Interfaces de programmation -> Modèles d'objet -> RecipeValue -> RecipeValue-Methods -> DynPropertyParam [GET]

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

DynPropertyParam [GET](BSTR bsPath) As PropParam

Availability

Environment | Available
Editor | read only
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


DynPropertiesEnum [GET]

Manuel -> Interfaces de programmation -> Modèles d'objet -> RecipeValue -> RecipeValue-Methods -> DynPropertiesEnum [GET]

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

DynPropertiesEnum(String bsPath) As VARIANT

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes

Parameters

A String which defines the entry point to get out all available properties of the object.

A blank String like that returns the first layer of properties:

DynPropertiesEnum("")

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

bsPath As String

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Sub ReadDynProps()
End Sub


DynProperties [GET]

Manuel -> Interfaces de programmation -> Modèles d'objet -> RecipeValue -> RecipeValue-Methods -> DynProperties [GET]

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

DynProperties(String bsPath) As VARIANT

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

A String which defines the Property.

Example: "NetAktive"

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

bsPath As String

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Sub GetDynProp()
'Sample: GSet the Network Aktive Flag of the Project.
If MyWorkspace.ActiveDocument.DynProperties("NetActive") = True Then
'read the server - computername...
Debug.Print "Server: " & MyWorkspace.ActiveDocument.DynProperties("NetServer")
End If
End Sub


DynProperties [PUT]

Manuel -> Interfaces de programmation -> Modèles d'objet -> RecipeValue -> RecipeValue-Methods -> DynProperties [PUT]

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

DynProperties (String bsPath,VARIANT vValue) As void

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

A String which defines the Property.

Example: "NetAktive"

Returns a variant value depending to the property, it can be a boolean, a long, or a whole object.

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

bsPath As String

vValue As Variant

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Sub SetDynProp()
End Sub


RecipeValue-Dynamic properties

Manuel -> Interfaces de programmation -> Modèles d'objet -> RecipeValue -> RecipeValue-Dynamic properties

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Dynproperties

Recipe set value

Other topics in this chapter

Recipe set value


Recipe set value

Manuel -> Interfaces de programmation -> Modèles d'objet -> RecipeValue -> RecipeValue-Dynamic properties -> Recipe set value

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | VBA/VSTA Name | Display Name | Description
VT_BSTR | VarName | Variable | Variable
VT_BSTR | VarTagName | Identification | Identification
VT_BSTR | VarUnit | Unité de mesure | Unit
VT_R8 | Minimum | Minimum | Minimum
VT_R8 | SetValue | Valeur prescrite | Set value
VT_R8 | Maximum | Maximum | Maximum


Rema

Manuel -> Interfaces de programmation -> Modèles d'objet -> Rema

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

The Reaction Matrices are the most sophisticated way to deal with stati.Here single stati can be evaluated and cause alarms. Basically a status can be treated like a value. As with a value it is also possible with a status to cause certain actions.

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Examples

C#

VB.NET

VB.NET-Syntax

VBA

Public Sub zenOn_CreateAnalogRema()
'*************** Use this code in the editor ***************

'Declaration zRema
Dim zRema As Rema

'Initialize zRema by creating a new analog rema with the name "zenOn_AnalogRemaExample"
Set zRema = MyWorkspace.ActiveDocument.Remas.Create(tpAnalog, "zenOn_AnalogRemaExample")

'Create a new state...
zRema.CreateState

'... and intialize the state by handing the rema over to the initialization example for state objects
Call zenOn_SetStateForAnalogRema(zRema)

End Sub

Private Sub zenOn_SetStateForAnalogRema(ByRef zRema As Rema)

'Declaration zState
Dim zState As State

'Intialize zState with the first state inside the passed analog rema
Set zState = zRema.StateItem(1)

'Sets the comparision mode to "greater"
zState.CheckArt = 1

'This definition constitutes the threshold value, where the alarm will be triggered
zState.ReaAlarm = 11

'This definition means that the system will be set back to its normal configuration, when "ReaAlarm" goes below 10 (hysteresis)
zState.Hysterese = 1

'User message that will be displayed when the event occurs
zState.Text = "Limit is reached!"

'Moreover, the first defined function will be called when the event occurs
zState.Function = MyWorkspace.ActiveDocument.RtFunctions.Item(0).ID
'The function will only be executed when the tpBitFkt is set. Additionaly the tpBitAlarm flag is set too.
zState.Status = tpBitFkt Or tpBitAlarm

End Sub

Other topics in this chapter

Rema-Properties

Rema-Methods


Rema-Properties

Manuel -> Interfaces de programmation -> Modèles d'objet -> Rema -> Rema-Properties

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
VARIANT_BOOL | IsAlarm |  | read only | read only | yes | yes
VARIANT_BOOL | IsBTB |  | read only | read only | yes | yes
VARIANT_BOOL | IsFunction |  | read only | read only | yes | yes
VARIANT_BOOL | IsFunctionClient |  | read only | read only | yes | yes
VARIANT_BOOL | IsFunctionServer |  | read only | read only | yes | yes
VARIANT_BOOL | IsStateBlinking |  | read only | read only | yes | yes
BSTR | Name |  | available | read only | yes | yes
IRemas | Parent |  | read only | read only | yes | yes
long | StateCount |  | read only | read only | yes | yes
tpStateBit | Status |  | read only | read only | yes | yes
tpRema | Type |  | read only | read only | yes | yes

Other topics in this chapter

Parent

Name

Type

Status

IsAlarm

IsBTB

IsFunction

IsFunctionServer

IsFunctionClient

IsStateBlinking

StateCount


Parent

Manuel -> Interfaces de programmation -> Modèles d'objet -> Rema -> Rema-Properties -> Parent

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the parent object

Datatype

Parent() As Remas

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


Name

Manuel -> Interfaces de programmation -> Modèles d'objet -> Rema -> Rema-Properties -> Name

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Gets or sets the name of the Reaction Matrix.

Datatype

Name() As String

Availability

Environment | Available
Editor | available
Runtime | read only
VBA | yes
VSTA | yes


Type

Manuel -> Interfaces de programmation -> Modèles d'objet -> Rema -> Rema-Properties -> Type

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

Type() As tpRema

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


Status

Manuel -> Interfaces de programmation -> Modèles d'objet -> Rema -> Rema-Properties -> Status

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

Status() As tpStateBit

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


IsAlarm

Manuel -> Interfaces de programmation -> Modèles d'objet -> Rema -> Rema-Properties -> IsAlarm

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

At least one status of the reaction matrix is defined as an alarm.

Datatype

IsAlarm() As Boolean

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


IsBTB

Manuel -> Interfaces de programmation -> Modèles d'objet -> Rema -> Rema-Properties -> IsBTB

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

At least one status of the reaction matrix is also logged in the Chronologic Event List (CEL).

Datatype

IsBTB() As Boolean

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


IsFunction

Manuel -> Interfaces de programmation -> Modèles d'objet -> Rema -> Rema-Properties -> IsFunction

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

At least one status of the reaction matrix is linked to a function.

Datatype

IsFunction() As Boolean

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


IsFunctionServer

Manuel -> Interfaces de programmation -> Modèles d'objet -> Rema -> Rema-Properties -> IsFunctionServer

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

At least one status of the reaction matrix is linked to a function that runs on the server.

Datatype

IsFunctionServer() As Boolean

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


IsFunctionClient

Manuel -> Interfaces de programmation -> Modèles d'objet -> Rema -> Rema-Properties -> IsFunctionClient

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

At least one status of the reaction matrix is linked to a function that runs on the client.

Datatype

IsFunctionClient() As Boolean

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


IsStateBlinking

Manuel -> Interfaces de programmation -> Modèles d'objet -> Rema -> Rema-Properties -> IsStateBlinking

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

At least for one status of the reaction matrix the property "flashing" is activated.

Datatype

IsStateBlinking() As Boolean

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


StateCount

Manuel -> Interfaces de programmation -> Modèles d'objet -> Rema -> Rema-Properties -> StateCount

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the amount of states within the Reaction Matrix.

Datatype

StateCount() As long

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


Rema-Methods

Manuel -> Interfaces de programmation -> Modèles d'objet -> Rema -> Rema-Methods

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
VARIANT_BOOL | CreateDynProperty | - | available | not used | yes | yes
IState | CreateState | - | available | not used | yes | yes
void | DeleteState | - | available | not used | yes | yes
void | DynProperties [PUT] | - | available | available | yes | yes
VARIANT | DynProperties [GET] | - | available | available | yes | yes
VARIANT | DynPropertiesEnum [GET] | - | read only | read only | yes | yes
long | GetColor | - | available | read only | yes | yes
long | GetDelayZeit | For internal use only | available | available | yes | yes
tpStateBit | GetStatus | - | available | available | yes | yes
BSTR | GetText | - | available | available | yes | yes
VARIANT_BOOL | StateIsAlarm | - | read only | read only | yes | yes
VARIANT_BOOL | StateIsBTB | - | read only | read only | yes | yes
VARIANT_BOOL | StateIsFunction | - | read only | read only | yes | yes
VARIANT_BOOL | StateIsFunctionClient | - | read only | read only | yes | yes
VARIANT_BOOL | StateIsFunctionServer | - | read only | read only | yes | yes
VARIANT_BOOL | StateIsStateBlinking | - | read only | read only | yes | yes
IState | StateItem | - | available | read only | yes | yes
IPropParam | DynPropertyParam [GET] | Returns the PropParam objekt of the given DynProperty | read only | not used | yes | yes

Other topics in this chapter

DynPropertyParam [GET]

DynPropertiesEnum [GET]

DynProperties [GET]

DynProperties [PUT]

CreateDynProperty

GetColor

GetStatus

GetDelayZeit

GetText

StateIsAlarm

StateIsBTB

StateIsFunction

StateIsFunctionServer

StateIsFunctionClient

StateIsStateBlinking

CreateState

DeleteState

StateItem


DynPropertyParam [GET]

Manuel -> Interfaces de programmation -> Modèles d'objet -> Rema -> Rema-Methods -> DynPropertyParam [GET]

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

DynPropertyParam [GET](BSTR bsPath) As PropParam

Availability

Environment | Available
Editor | read only
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


DynPropertiesEnum [GET]

Manuel -> Interfaces de programmation -> Modèles d'objet -> Rema -> Rema-Methods -> DynPropertiesEnum [GET]

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

DynPropertiesEnum(String bsPath) As VARIANT

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes

Parameters

A String which defines the entry point to get out all available properties of the object.

A blank String like that returns the first layer of properties:

DynPropertiesEnum("")

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

bsPath As String

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Sub ReadDynProps()
End Sub


DynProperties [GET]

Manuel -> Interfaces de programmation -> Modèles d'objet -> Rema -> Rema-Methods -> DynProperties [GET]

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

DynProperties(String bsPath) As VARIANT

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

A String which defines the Property.

Example: "NetAktive"

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

bsPath As String

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Sub GetDynProp()
'Sample: GSet the Network Aktive Flag of the Project.
If MyWorkspace.ActiveDocument.DynProperties("NetActive") = True Then
'read the server - computername...
Debug.Print "Server: " & MyWorkspace.ActiveDocument.DynProperties("NetServer")
End If
End Sub


DynProperties [PUT]

Manuel -> Interfaces de programmation -> Modèles d'objet -> Rema -> Rema-Methods -> DynProperties [PUT]

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

DynProperties (String bsPath,VARIANT vValue) As void

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

A String which defines the Property.

Example: "NetAktive"

Returns a variant value depending to the property, it can be a boolean, a long, or a whole object.

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

bsPath As String

vValue As Variant

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Sub SetDynProp()
End Sub


CreateDynProperty

Manuel -> Interfaces de programmation -> Modèles d'objet -> Rema -> Rema-Methods -> CreateDynProperty

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

This Method is able to create SubItems of the actual object, the Parameter has to be the Name of the SubItem to be created.

Datatype

CreateDynProperty(String bsPath) As Boolean

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

Name of Subitem as String

Example: "State"

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

bsPath As String

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Sub Base()
Dim zProject As Project
Dim zRema As Rema
Dim bResult As Boolean

'get Project and Rema object
Set zProject = MyWorkspace.ActiveDocument
Set zRema = zProject.Remas.Item("MyRema")

'create SubItem States....
bResult = CreateSubItem(zRema, "State")

If bResult Then
MsgBox "SubItem 'State' was created successfully!"
Else
MsgBox "SubItem 'State' already exists or could not be created!"
End If

End Sub

Function CreateSubItem(zenOnObject As Object, strDynProperty As String) As Boolean
Dim nCount As Integer
'get count of given DynProperty
nCount = zenOnObject.DynProperties(strDynProperty & "[-1]")
If nCount = 0 Then '0 = DynProperty-SubItem not found
'create SubItem with given parameters...
CreateSubItem = zenOnObject.CreateDynProperty(strDynProperty)
Exit Function
End If
CreateSubItem = False
End Function


GetColor

Manuel -> Interfaces de programmation -> Modèles d'objet -> Rema -> Rema-Methods -> GetColor

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the Color of the corresponding state object.

Datatype

GetColor(long iIndex) As long

Availability

Environment | Available
Editor | available
Runtime | read only
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


GetStatus

Manuel -> Interfaces de programmation -> Modèles d'objet -> Rema -> Rema-Methods -> GetStatus

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the "Status" flags from the corresponding state object. For further information have a look at the "Status" description in the "State" object part.

Datatype

GetStatus(long iIndex) As tpStateBit

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


GetDelayZeit

Manuel -> Interfaces de programmation -> Modèles d'objet -> Rema -> Rema-Methods -> GetDelayZeit

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

HIDDEN

Datatype

GetDelayZeit(long iIndex) As long

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


GetText

Manuel -> Interfaces de programmation -> Modèles d'objet -> Rema -> Rema-Methods -> GetText

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the set text that will be displayed, if the defined limit is reached.

Datatype

GetText(long iIndex) As String

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


StateIsAlarm

Manuel -> Interfaces de programmation -> Modèles d'objet -> Rema -> Rema-Methods -> StateIsAlarm

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns TRUE, if inside the "Status" DWORD of the corresponding "State" object the "tpBitAlarm" is set TRUE.

Datatype

StateIsAlarm(long iIndex) As Boolean

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


StateIsBTB

Manuel -> Interfaces de programmation -> Modèles d'objet -> Rema -> Rema-Methods -> StateIsBTB

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns TRUE, if inside the "Status" DWORD of the corresponding "State" object the "tpBitBtb" is set TRUE.

Datatype

StateIsBTB(long iIndex) As Boolean

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


StateIsFunction

Manuel -> Interfaces de programmation -> Modèles d'objet -> Rema -> Rema-Methods -> StateIsFunction

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns TRUE, if inside the "Status" DWORD of the corresponding "State" object the "tpBitFkt" is set TRUE.

Datatype

StateIsFunction(long iIndex) As Boolean

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


StateIsFunctionServer

Manuel -> Interfaces de programmation -> Modèles d'objet -> Rema -> Rema-Methods -> StateIsFunctionServer

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns TRUE, if inside the "Status" DWORD of the corresponding "State" object the "tpBitFktServer" is set TRUE.

Datatype

StateIsFunctionServer(long iIndex) As Boolean

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


StateIsFunctionClient

Manuel -> Interfaces de programmation -> Modèles d'objet -> Rema -> Rema-Methods -> StateIsFunctionClient

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns TRUE, if inside the "Status" DWORD of the corresponding "State" object the "tpBitFktClient" is set TRUE.

Datatype

StateIsFunctionClient(long iIndex) As Boolean

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


StateIsStateBlinking

Manuel -> Interfaces de programmation -> Modèles d'objet -> Rema -> Rema-Methods -> StateIsStateBlinking

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns TRUE, if inside the "Status" DWORD of the corresponding "State" object the "tpBitBlink" is set TRUE.

Datatype

StateIsStateBlinking(long iIndex) As Boolean

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


CreateState

Manuel -> Interfaces de programmation -> Modèles d'objet -> Rema -> Rema-Methods -> CreateState

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Creates a new state within the Reaction matrix.

Datatype

CreateState() As State

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


DeleteState

Manuel -> Interfaces de programmation -> Modèles d'objet -> Rema -> Rema-Methods -> DeleteState

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Deletes an existing state within the Reaction Matrix.

Datatype

DeleteState(VARIANT vPos) As void

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


StateItem

Manuel -> Interfaces de programmation -> Modèles d'objet -> Rema -> Rema-Methods -> StateItem

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns a "State" object with the selected state from the Reaction Matrix.

Datatype

StateItem(VARIANT vPos) As State

Availability

Environment | Available
Editor | available
Runtime | read only
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


Remas

Manuel -> Interfaces de programmation -> Modèles d'objet -> Remas

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

This object manages "Rema" objects.

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Examples

C#

VB.NET

VB.NET-Syntax

VBA

Public Sub zenOn_RemasExample()

'Declarations
Dim zRemas As Remas
Dim zBinRema As Rema
Dim zAnaRema As Rema
Dim i As Integer

'Initialization of zRemas
Set zRemas = MyWorkspace.ActiveDocument.Remas
'Intialization of zBinRema by creating a new binary rema
Set zBinRema = zRemas.Create(tpBinaer, "zenOn_BinaryRema")
'Intialization of zAnaRema by creating a new analog rema
Set zAnaRema = zRemas.Create(tpAnalog, "zenOn_AnalogRema")

'Output some details on the remas
For i = 0 To zRemas.Count - 1
'Display name
Debug.Print "Name: " & zRemas.Item(i).Name
'Show type of Reaction Matrix
Select Case zRemas.Item(i).Type
Case Is = 1
Debug.Print "Type: Binary"
Case Is = 2
Debug.Print "Type: Analog"
Case Is = 3
Debug.Print "Type: MultiBinary"
Case Is = 4
Debug.Print "Type: MultiAnalog"
Case Is = 5
Debug.Print "Type: String"
End Select
Next i

'Delete the binary rema by its position
Debug.Print zRemas.Delete(1)
'Delete the analog rema by its name
Debug.Print zRemas.Delete("zenOn_AnalogRema")

End Sub

Other topics in this chapter

Remas-Properties

Remas-Methods


Remas-Properties

Manuel -> Interfaces de programmation -> Modèles d'objet -> Remas -> Remas-Properties

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
long | Count | Count of remas | read only | read only | yes | yes
IProject | Parent | Parent-object | read only | read only | yes | yes

Other topics in this chapter

Parent

Count


Parent

Manuel -> Interfaces de programmation -> Modèles d'objet -> Remas -> Remas-Properties -> Parent

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the parent object

Datatype

Parent() As Project

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


Count

Manuel -> Interfaces de programmation -> Modèles d'objet -> Remas -> Remas-Properties -> Count

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

The method returns the number of available objects. This property is mostly used for the method Item to run through each single object.Hint: For running through entries care, that the minimum is 0 and the maximum is Count-1.

Datatype

Count() As long

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


Remas-Methods

Manuel -> Interfaces de programmation -> Modèles d'objet -> Remas -> Remas-Methods

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description |  | Editor | Runtime | VBA | VSTA
VARIANT_BOOL | CheckIn | Save module modifications to server (editor). |  | available | not used | yes | yes
VARIANT_BOOL | CheckOut | Allow module modifications (editor). |  | available | not used | yes | yes
IRema | Create | Creates a new rema (unique name) |  | available | not used | yes | yes
VARIANT_BOOL | Delete | Delete the given rema |  | available | not used | yes | yes
VARIANT_BOOL | Export | Exports the selected object to a XML file |  | available | not used | yes | yes
VARIANT_BOOL | Get | Get the latest version from the server (editor). |  | available | not used | yes | yes
VARIANT_BOOL | Import | Imports the selected XML file |  | available | not used | yes | yes
VARIANT_BOOL | IsCheckedOut | Returns true when the current module checked out by the current user (editor). |  | read only | not used | yes | yes
VARIANT_BOOL | IsDifferent | Returns true when the local and server version are different (editor). | read only |  | not used | yes |  | yes
VARIANT_BOOL | IsLocked | Returns true when the current module is Locked by another user (editor). |  | read only | not used | yes | yes
IRema | Item | Returns the rema on the given position or name |  | available | available | yes | yes
IRema | ItemById | Returns the rema with the given id |  | available | available | yes | yes
VARIANT_BOOL | SingleExport | Exports the Item with given Name oder Index |  | available | not used | yes | yes
VARIANT_BOOL | UndoCheckOut | Undo module modifications (editor). |  | available | not used | yes | yes
VARIANT_BOOL | SingleExport | Exports the Item with given Name oder Index |  | available | not used | yes | yes

Other topics in this chapter

Item

ItemById

Create

Delete

SingleExport

Export

Import

Get

CheckOut

CheckIn

UndoCheckOut

IsLocked

IsCheckedOut

IsDifferent


Item

Manuel -> Interfaces de programmation -> Modèles d'objet -> Remas -> Remas-Methods -> Item

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns a "Rema" object with the Reaction Matrix at the given position.

Datatype

Item(VARIANT vNamePos) As Rema

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


ItemById

Manuel -> Interfaces de programmation -> Modèles d'objet -> Remas -> Remas-Methods -> ItemById

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns a "Rema" object with the Reaction Matrix with the given ID.

Datatype

ItemById(VARIANT vID) As Rema

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


Create

Manuel -> Interfaces de programmation -> Modèles d'objet -> Remas -> Remas-Methods -> Create

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

Create(tpRema rID, String strName) As Rema

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


Delete

Manuel -> Interfaces de programmation -> Modèles d'objet -> Remas -> Remas-Methods -> Delete

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Deletes an existing Reaction Matrix by its position or by name.

Datatype

Delete(VARIANT vID) As Boolean

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


SingleExport

Manuel -> Interfaces de programmation -> Modèles d'objet -> Remas -> Remas-Methods -> SingleExport

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

SingleExport(VARIANT vIndexOrName,BSTR bsFileName) As VARIANT_BOOL

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

VB.NET

VBA

Examples

C#

VB.NET

VBA


Export

Manuel -> Interfaces de programmation -> Modèles d'objet -> Remas -> Remas-Methods -> Export

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Export settings to an xml file

Datatype

Export(String bsFileName) As Boolean

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

Filename (path) as string of the xml file to export.

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

bsFileName As String

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Private Sub zenOn_ExportImportSettings(ByRef zenOnObject As Object)
End Sub


Import

Manuel -> Interfaces de programmation -> Modèles d'objet -> Remas -> Remas-Methods -> Import

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Import settings from an xml file. New settings are added, existing settings will not be replaced.

Datatype

Import(String bsFileName) As Boolean

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

Filename (path) as string of the xml file to import.

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

bsFileName As String

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Private Sub zenOn_ExportImportSettings(ByRef zenOnObject As Object)
End Sub


Get

Manuel -> Interfaces de programmation -> Modèles d'objet -> Remas -> Remas-Methods -> Get

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Get the latest version from the server (editor). This option is only working for multi-user projects.

Datatype

Get() As Boolean

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


CheckOut

Manuel -> Interfaces de programmation -> Modèles d'objet -> Remas -> Remas-Methods -> CheckOut

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Allow module modifications (editor). This option is only working for multi-user projects.

Datatype

CheckOut() As Boolean

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


CheckIn

Manuel -> Interfaces de programmation -> Modèles d'objet -> Remas -> Remas-Methods -> CheckIn

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Save module modifications to server (editor). This option is only working for multi-user projects.

Datatype

CheckIn() As Boolean

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


UndoCheckOut

Manuel -> Interfaces de programmation -> Modèles d'objet -> Remas -> Remas-Methods -> UndoCheckOut

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Undo module modifications (editor). This option is only working for multi-user projects.

Datatype

UndoCheckOut() As Boolean

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


IsLocked

Manuel -> Interfaces de programmation -> Modèles d'objet -> Remas -> Remas-Methods -> IsLocked

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns true if modification changes are locked due to a checkout. This option is only working for multi-user projects.

Datatype

IsLocked() As Boolean

Availability

Environment | Available
Editor | read only
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


IsCheckedOut

Manuel -> Interfaces de programmation -> Modèles d'objet -> Remas -> Remas-Methods -> IsCheckedOut

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns true if scripts are checked out. This option is only working for multi-user projects.

Datatype

IsCheckedOut() As Boolean

Availability

Environment | Available
Editor | read only
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


IsDifferent

Manuel -> Interfaces de programmation -> Modèles d'objet -> Remas -> Remas-Methods -> IsDifferent

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns true if local version differs from server (editor) version. This option is only working for multi-user projects.

Datatype

IsDifferent() As VARIANT_BOOL

Availability

Environment | Available
Editor | read only
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


RemoteTransport

Manuel -> Interfaces de programmation -> Modèles d'objet -> RemoteTransport

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Examples

C#

VB.NET

VB.NET-Syntax

VBA

Private Sub CreateCustomOption()
Dim obRemoteTP As RemoteTransport

Set obRemoteTP = MyWorkspace.ActiveDocument.RemoteTransport
'define basic remote transport settings
obRemoteTP.HidePasswordDialog = True
obRemoteTP.TransportType = tpTCP
obRemoteTP.TcpByIp = False
obRemoteTP.TcpIpName = "COMPUTERNAME"
'create custom options for the remote transport
obRemoteTP.CreateCustom
obRemoteTP.CustomItem(0).Comment = "TEST: Copy - Execute"
obRemoteTP.CustomItem(0).ActionType = tpCopyExecute
obRemoteTP.CustomItem(0).Active = True
obRemoteTP.CustomItem(0).SourcePath = "source"
obRemoteTP.CustomItem(0).TargetPath = "target"
obRemoteTP.CreateCustom
obRemoteTP.CustomItem(1).Comment = "TEST: Copy"
obRemoteTP.CustomItem(1).ActionType = tpCopy
obRemoteTP.CustomItem(1).Active = False
obRemoteTP.CustomItem(1).SourcePath = "source1"
obRemoteTP.CustomItem(1).TargetPath = "target1"
obRemoteTP.CreateCustom
obRemoteTP.CustomItem(2).Comment = "TEST: Copy - Register"
obRemoteTP.CustomItem(2).ActionType = tpCopyRegister
obRemoteTP.CustomItem(2).Active = True
obRemoteTP.CustomItem(2).SourcePath = "source2"
obRemoteTP.CustomItem(2).TargetPath = "target2"
'save the changes...
obRemoteTP.Save
End Sub

Other topics in this chapter

RemoteTransport-Properties

RemoteTransport-Methods


RemoteTransport-Properties

Manuel -> Interfaces de programmation -> Modèles d'objet -> RemoteTransport -> RemoteTransport-Properties

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
long | CustomCount | Returns the amount of custom entries. | available | not used | yes | yes
BSTR | CEFolder | Get/Set the CE folder. | available | not used | yes | yes
VARIANT_BOOL | HidePasswordDialog | Get/Set whether the password dialog is shown. | available | not used | yes | yes
VARIANT_BOOL | IncludeAdditional | Get/Set whether the Additional folder is to be transported. | available | not used | yes | yes
VARIANT_BOOL | IncludeDrivers | Get/Set whether the Drivers folder is to be transported. | available | not used | yes | yes
VARIANT_BOOL | IncludeGraphics | Get/Set whether the Graphic folder is to be transported. | available | not used | yes | yes
VARIANT_BOOL | IncludeHelp | Get/Set whether the Help folder is to be transported. | available | not used | yes | yes
VARIANT_BOOL | IncludeLists | Get/Set whether the Lists folder is to be transported. | available | not used | yes | yes
VARIANT_BOOL | IncludeMedia | Get/Set whether the Media folder is to be transported. | available | not used | yes | yes
VARIANT_BOOL | IncludeReports | Get/Set whether the Reports folder is to be transported. | available | not used | yes | yes
VARIANT_BOOL | IncludeStraton | Get/Set whether the Straton folder is to be transported. | available | not used | yes | yes
BSTR | Password | Get/Set the connection password. | available | not used | yes | yes
BSTR | ProjectBase | Get/Set the project base. | available | not used | yes | yes
BSTR | SerialName | Get/Set the Serial connection address. | available | not used | yes | yes
BSTR | TcpIpName | Get/Set the TCP Name. | available | not used | yes | yes
tpRemoteTransportType | TransportType | Get/Set the connection type. | available | not used | yes | yes
VARIANT_BOOL | UseCEFolderSetting | Get/Set whether the CE folder setting is to be used. | available | not used | yes | yes

Other topics in this chapter

ProjectBase

UseCEFolderSetting

CEFolder

IncludeGraphics

IncludeLists

IncludeMedia

IncludeReports

IncludeHelp

IncludeAdditional

IncludeDrivers

IncludeStraton

TcpIpName

SerialName

TransportType

CustomCount

Password

HidePasswordDialog


ProjectBase

Manuel -> Interfaces de programmation -> Modèles d'objet -> RemoteTransport -> RemoteTransport-Properties -> ProjectBase

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

ProjectBase() As BSTR

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes


UseCEFolderSetting

Manuel -> Interfaces de programmation -> Modèles d'objet -> RemoteTransport -> RemoteTransport-Properties -> UseCEFolderSetting

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

UseCEFolderSetting() As VARIANT_BOOL

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes


CEFolder

Manuel -> Interfaces de programmation -> Modèles d'objet -> RemoteTransport -> RemoteTransport-Properties -> CEFolder

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

CEFolder() As BSTR

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes


IncludeGraphics

Manuel -> Interfaces de programmation -> Modèles d'objet -> RemoteTransport -> RemoteTransport-Properties -> IncludeGraphics

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

IncludeGraphics() As VARIANT_BOOL

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes


IncludeLists

Manuel -> Interfaces de programmation -> Modèles d'objet -> RemoteTransport -> RemoteTransport-Properties -> IncludeLists

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

IncludeLists() As VARIANT_BOOL

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes


IncludeMedia

Manuel -> Interfaces de programmation -> Modèles d'objet -> RemoteTransport -> RemoteTransport-Properties -> IncludeMedia

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

IncludeMedia() As VARIANT_BOOL

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes


IncludeReports

Manuel -> Interfaces de programmation -> Modèles d'objet -> RemoteTransport -> RemoteTransport-Properties -> IncludeReports

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

IncludeReports() As VARIANT_BOOL

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes


IncludeHelp

Manuel -> Interfaces de programmation -> Modèles d'objet -> RemoteTransport -> RemoteTransport-Properties -> IncludeHelp

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

IncludeHelp() As VARIANT_BOOL

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes


IncludeAdditional

Manuel -> Interfaces de programmation -> Modèles d'objet -> RemoteTransport -> RemoteTransport-Properties -> IncludeAdditional

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

IncludeAdditional() As VARIANT_BOOL

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes


IncludeDrivers

Manuel -> Interfaces de programmation -> Modèles d'objet -> RemoteTransport -> RemoteTransport-Properties -> IncludeDrivers

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

IncludeDrivers() As VARIANT_BOOL

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes


IncludeStraton

Manuel -> Interfaces de programmation -> Modèles d'objet -> RemoteTransport -> RemoteTransport-Properties -> IncludeStraton

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

IncludeStraton() As VARIANT_BOOL

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes


TcpIpName

Manuel -> Interfaces de programmation -> Modèles d'objet -> RemoteTransport -> RemoteTransport-Properties -> TcpIpName

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

TcpIpName() As BSTR

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes


SerialName

Manuel -> Interfaces de programmation -> Modèles d'objet -> RemoteTransport -> RemoteTransport-Properties -> SerialName

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

SerialName() As BSTR

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes


TransportType

Manuel -> Interfaces de programmation -> Modèles d'objet -> RemoteTransport -> RemoteTransport-Properties -> TransportType

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

TransportType() As tpRemoteTransportType

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes


CustomCount

Manuel -> Interfaces de programmation -> Modèles d'objet -> RemoteTransport -> RemoteTransport-Properties -> CustomCount

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

CustomCount() As long

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes


Password

Manuel -> Interfaces de programmation -> Modèles d'objet -> RemoteTransport -> RemoteTransport-Properties -> Password

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

Password() As BSTR

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes


HidePasswordDialog

Manuel -> Interfaces de programmation -> Modèles d'objet -> RemoteTransport -> RemoteTransport-Properties -> HidePasswordDialog

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

HidePasswordDialog() As VARIANT_BOOL

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes


RemoteTransport-Methods

Manuel -> Interfaces de programmation -> Modèles d'objet -> RemoteTransport -> RemoteTransport-Methods

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
void | Connect | Start a remote transport connection. | available | not used | yes | yes
IRemoteTransportCustom | CreateCustom | Adds a new custom entry. | available | not used | yes | yes
IRemoteTransportCustom | CustomItem | Returns the custom entry at the given index. | available | not used | yes | yes
BOOL | DeleteCustom | Deletes the custom entry at the given index. | available | not used | yes | yes
void | Disconnect | Stop the current remote transport connection. | available | not used | yes | yes
void | RebootOS | Reboots the remote OS. | available | not used | yes | yes
void | ReloadRT | Reload the remote runtime. | available | not used | yes | yes
void | Retrieve | Retrieve all. | available | not used | yes | yes
BOOL | Save | Saves current remote transport setting. | available | not used | yes | yes
void | SetStartProject | Set start project. | available | not used | yes | yes
void | StartRT | Start the remote runtime. | available | not used | yes | yes
void | StopRT | Stop the remote runtime. | available | not used | yes | yes
void | TransferAll | Transfer all. | available | not used | yes | yes
void | TransferChanged | Transfer changes. | available | not used | yes | yes

Other topics in this chapter

CustomItem

CreateCustom

DeleteCustom

Save

Connect

Disconnect

TransferAll

TransferChanged

Retrieve

SetStartProject

StartRT

StopRT

ReloadRT

RebootOS


CustomItem

Manuel -> Interfaces de programmation -> Modèles d'objet -> RemoteTransport -> RemoteTransport-Methods -> CustomItem

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

CustomItem(long lIndex) As RemoteTransportCustom

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


CreateCustom

Manuel -> Interfaces de programmation -> Modèles d'objet -> RemoteTransport -> RemoteTransport-Methods -> CreateCustom

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

CreateCustom() As RemoteTransportCustom

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


DeleteCustom

Manuel -> Interfaces de programmation -> Modèles d'objet -> RemoteTransport -> RemoteTransport-Methods -> DeleteCustom

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

DeleteCustom(long lIndex) As BOOL

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


Save

Manuel -> Interfaces de programmation -> Modèles d'objet -> RemoteTransport -> RemoteTransport-Methods -> Save

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

Save() As BOOL

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


Connect

Manuel -> Interfaces de programmation -> Modèles d'objet -> RemoteTransport -> RemoteTransport-Methods -> Connect

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

Connect() As void

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


Disconnect

Manuel -> Interfaces de programmation -> Modèles d'objet -> RemoteTransport -> RemoteTransport-Methods -> Disconnect

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

Disconnect() As void

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


TransferAll

Manuel -> Interfaces de programmation -> Modèles d'objet -> RemoteTransport -> RemoteTransport-Methods -> TransferAll

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

TransferAll() As void

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


TransferChanged

Manuel -> Interfaces de programmation -> Modèles d'objet -> RemoteTransport -> RemoteTransport-Methods -> TransferChanged

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

TransferChanged() As void

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


Retrieve

Manuel -> Interfaces de programmation -> Modèles d'objet -> RemoteTransport -> RemoteTransport-Methods -> Retrieve

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

Retrieve() As void

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


SetStartProject

Manuel -> Interfaces de programmation -> Modèles d'objet -> RemoteTransport -> RemoteTransport-Methods -> SetStartProject

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

SetStartProject() As void

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


StartRT

Manuel -> Interfaces de programmation -> Modèles d'objet -> RemoteTransport -> RemoteTransport-Methods -> StartRT

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

StartRT() As void

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


StopRT

Manuel -> Interfaces de programmation -> Modèles d'objet -> RemoteTransport -> RemoteTransport-Methods -> StopRT

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

StopRT() As void

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


ReloadRT

Manuel -> Interfaces de programmation -> Modèles d'objet -> RemoteTransport -> RemoteTransport-Methods -> ReloadRT

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

ReloadRT() As void

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


RebootOS

Manuel -> Interfaces de programmation -> Modèles d'objet -> RemoteTransport -> RemoteTransport-Methods -> RebootOS

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

RebootOS() As void

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


RemoteTransportCustom

Manuel -> Interfaces de programmation -> Modèles d'objet -> RemoteTransportCustom

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Examples

C#

VB.NET

VB.NET-Syntax

VBA

Private Sub CreateCustomOption()
Dim obRemoteTP As RemoteTransport

Set obRemoteTP = MyWorkspace.ActiveDocument.RemoteTransport
'define basic remote transport settings
obRemoteTP.HidePasswordDialog = True
obRemoteTP.TransportType = tpTCP
obRemoteTP.TcpByIp = False
obRemoteTP.TcpIpName = "COMPUTERNAME"
'create custom options for the remote transport
obRemoteTP.CreateCustom
obRemoteTP.CustomItem(0).Comment = "TEST: Copy - Execute"
obRemoteTP.CustomItem(0).ActionType = tpCopyExecute
obRemoteTP.CustomItem(0).Active = True
obRemoteTP.CustomItem(0).SourcePath = "source"
obRemoteTP.CustomItem(0).TargetPath = "target"
obRemoteTP.CreateCustom
obRemoteTP.CustomItem(1).Comment = "TEST: Copy"
obRemoteTP.CustomItem(1).ActionType = tpCopy
obRemoteTP.CustomItem(1).Active = False
obRemoteTP.CustomItem(1).SourcePath = "source1"
obRemoteTP.CustomItem(1).TargetPath = "target1"
obRemoteTP.CreateCustom
obRemoteTP.CustomItem(2).Comment = "TEST: Copy - Register"
obRemoteTP.CustomItem(2).ActionType = tpCopyRegister
obRemoteTP.CustomItem(2).Active = True
obRemoteTP.CustomItem(2).SourcePath = "source2"
obRemoteTP.CustomItem(2).TargetPath = "target2"
'save the changes...
obRemoteTP.Save
End Sub

Other topics in this chapter

RemoteTransportCustom-Properties


RemoteTransportCustom-Properties

Manuel -> Interfaces de programmation -> Modèles d'objet -> RemoteTransportCustom -> RemoteTransportCustom-Properties

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
tpRTCustomAction | ActionType | Get/Set the action type. | available | not used | yes | yes
VARIANT_BOOL | Active | Activate/deactivate the custom entry. | available | not used | yes | yes
BSTR | Comment | Get/Set the comment of the custom entry. | available | not used | yes | yes
BSTR | SourcePath | Get/Set the source path. | available | not used | yes | yes
BSTR | TargetPath | Get/Set the target path. | available | not used | yes | yes

Other topics in this chapter

SourcePath

TargetPath

Active

ActionType

Comment


SourcePath

Manuel -> Interfaces de programmation -> Modèles d'objet -> RemoteTransportCustom -> RemoteTransportCustom-Properties -> SourcePath

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

SourcePath() As String

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes


TargetPath

Manuel -> Interfaces de programmation -> Modèles d'objet -> RemoteTransportCustom -> RemoteTransportCustom-Properties -> TargetPath

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

TargetPath() As String

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes


Active

Manuel -> Interfaces de programmation -> Modèles d'objet -> RemoteTransportCustom -> RemoteTransportCustom-Properties -> Active

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

Active() As Boolean

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes


ActionType

Manuel -> Interfaces de programmation -> Modèles d'objet -> RemoteTransportCustom -> RemoteTransportCustom-Properties -> ActionType

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

ActionType() As tpRTCustomAction

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes


Comment

Manuel -> Interfaces de programmation -> Modèles d'objet -> RemoteTransportCustom -> RemoteTransportCustom-Properties -> Comment

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

Comment() As String

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes


RGMRecipe

Manuel -> Interfaces de programmation -> Modèles d'objet -> RGMRecipe

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Recipes serve for the assembling of input lists for setpoint values and commands which in online operation are executed with a function call.

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Examples

C#

VB.NET

VB.NET-Syntax

VBA

Public Sub zenOn_RGMRecipe()
'Declarations
Dim zRGM_Recipe As RGMRecipe

'Initialization of zRGM_Recipe with the first recipe within the first recipe group
Set zRGM_Recipe = MyWorkspace.ActiveDocument.RGMGroups.Item(0).RecipeItem(0)

'Modify a Recipe:
Call Modify_RGMRecipe(zRGM_Recipe)

'Write Values from Recipe to variables
Call Write_RGMRecipe(zRGM_Recipe)

'Read from Variables and save as raceipe
Call Read_RGMRecipe(zRGM_Recipe)
End Sub

Sub Modify_RGMRecipe(zRGM_Recipe As RGMRecipe)
'Declarations
Dim i As Integer

For i = 0 To zRGM_Recipe.ValueCount - 1
'Set action type to "Modify spontaneous value"
zRGM_Recipe.ValueItem(i).DynProperties("Type") = 2
'Set value...
zRGM_Recipe.ValueItem(i).DynProperties("Value") = (i + 1) * 25
Next i
'Save the current value to the recipe
zRGM_Recipe.Save
End Sub

Sub Read_RGMRecipe(zRGM_Recipe As RGMRecipe)
'Read the current variable value and output the result
zRGM_Recipe.Read
'Save the current value to the recipe
zRGM_Recipe.Save
End Sub

Sub Write_RGMRecipe(zRGM_Recipe As RGMRecipe)
'Read the current variable value and output the result
zRGM_Recipe.Execute
'Save the current value to the recipe
zRGM_Recipe.Save
End Sub

Other topics in this chapter

RGMRecipe-Properties

RGMRecipe-Methods

RGMRecipe-Dynamic properties


RGMRecipe-Properties

Manuel -> Interfaces de programmation -> Modèles d'objet -> RGMRecipe -> RGMRecipe-Properties

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
long | Number | The identification number of the recipe | available | available | yes | yes
IRGMRecipeGroup | Parent | Parent of object | read only | read only | yes | yes
long | Status | The numeric status value of the recipe | available | available | yes | yes
long | ValueCount |  | read only | read only | yes | yes
long | Version | The version of the recipe | available | available | yes | yes
BSTR | Name | The name of the recipe | available | available | yes | yes

Other topics in this chapter

Parent

ValueCount

Name

Number

Status

Version


Parent

Manuel -> Interfaces de programmation -> Modèles d'objet -> RGMRecipe -> RGMRecipe-Properties -> Parent

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the parent object

Datatype

Parent() As RGMRecipeGroup

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


ValueCount

Manuel -> Interfaces de programmation -> Modèles d'objet -> RGMRecipe -> RGMRecipe-Properties -> ValueCount

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the amount of "RGMRecipeValue" objects within the "RGMRecipe" object, i.e. the amount of variables assigned to the recipe.

Datatype

ValueCount() As long

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


Name

Manuel -> Interfaces de programmation -> Modèles d'objet -> RGMRecipe -> RGMRecipe-Properties -> Name

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

Name() As BSTR

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes


Number

Manuel -> Interfaces de programmation -> Modèles d'objet -> RGMRecipe -> RGMRecipe-Properties -> Number

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

Number() As long

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes


Status

Manuel -> Interfaces de programmation -> Modèles d'objet -> RGMRecipe -> RGMRecipe-Properties -> Status

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

Status() As long

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes


Version

Manuel -> Interfaces de programmation -> Modèles d'objet -> RGMRecipe -> RGMRecipe-Properties -> Version

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

Version() As long

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes


RGMRecipe-Methods

Manuel -> Interfaces de programmation -> Modèles d'objet -> RGMRecipe -> RGMRecipe-Methods

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
long | Check | Get differences between recipe and actual values | not used | available | yes | yes
VARIANT_BOOL | Duplicate | Duplicate this recipe | available | available | yes | yes
VARIANT_BOOL | DuplicateAsVersion | Duplicate this recipe into a new version | available | available | yes | yes
void | DynProperties [PUT] | - | available | available | yes | yes
VARIANT | DynProperties [GET] | - | available | available | yes | yes
VARIANT | DynPropertiesEnum [GET] | - | read only | read only | yes | yes
VARIANT_BOOL | Execute | - | available | available | yes | yes
VARIANT_BOOL | Export | Exports the selected object to a XML file | available | available | yes | yes
VARIANT_BOOL | ExportXML | Export the data of this recipe to a xml file for documentation purpose | not used | available | yes | yes
VARIANT_BOOL | Read | - | available | available | yes | yes
VARIANT_BOOL | Save | - | available | available | yes | yes
IRGMRecipeValue | ValueItem | - | available | available | yes | yes
IPropParam | DynPropertyParam [GET] | Returns the PropParam objekt of the given DynProperty | read only | not used | yes | yes

Other topics in this chapter

ValueItem

Execute

Read

Save

Check

ExportXML

Duplicate

DuplicateAsVersion

Export

DynPropertyParam [GET]

DynPropertiesEnum [GET]

DynProperties [GET]

DynProperties [PUT]


ValueItem

Manuel -> Interfaces de programmation -> Modèles d'objet -> RGMRecipe -> RGMRecipe-Methods -> ValueItem

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

ValueItem(VARIANT vPosOrName) As RGMRecipeValue

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


Execute

Manuel -> Interfaces de programmation -> Modèles d'objet -> RGMRecipe -> RGMRecipe-Methods -> Execute

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Overwrites the current values of the variables in the recipe with the recipe values.

Datatype

Execute() As Boolean

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


Read

Manuel -> Interfaces de programmation -> Modèles d'objet -> RGMRecipe -> RGMRecipe-Methods -> Read

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Reads the current values.

Datatype

Read() As Boolean

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


Save

Manuel -> Interfaces de programmation -> Modèles d'objet -> RGMRecipe -> RGMRecipe-Methods -> Save

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Saves the current values as the new recipe values.

Datatype

Save() As Boolean

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


Check

Manuel -> Interfaces de programmation -> Modèles d'objet -> RGMRecipe -> RGMRecipe-Methods -> Check

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

Check(LPVARIANT pDifferences) As long

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


ExportXML

Manuel -> Interfaces de programmation -> Modèles d'objet -> RGMRecipe -> RGMRecipe-Methods -> ExportXML

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Export the RGMRecipe to an XML File.

Datatype

ExportXML(String strExportPath) As Boolean

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


Duplicate

Manuel -> Interfaces de programmation -> Modèles d'objet -> RGMRecipe -> RGMRecipe-Methods -> Duplicate

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Method to create a duplicate of the actual RGMRecipe.The given string parameter represents the duplicates name.A boolean result will be returned.

Datatype

Duplicate(String bsDuplicate) As Boolean

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


DuplicateAsVersion

Manuel -> Interfaces de programmation -> Modèles d'objet -> RGMRecipe -> RGMRecipe-Methods -> DuplicateAsVersion

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

DuplicateAsVersion() As Boolean

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


Export

Manuel -> Interfaces de programmation -> Modèles d'objet -> RGMRecipe -> RGMRecipe-Methods -> Export

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

Export(String bsFileName) As Boolean

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


DynPropertyParam [GET]

Manuel -> Interfaces de programmation -> Modèles d'objet -> RGMRecipe -> RGMRecipe-Methods -> DynPropertyParam [GET]

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

DynPropertyParam [GET](BSTR bsPath) As PropParam

Availability

Environment | Available
Editor | read only
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


DynPropertiesEnum [GET]

Manuel -> Interfaces de programmation -> Modèles d'objet -> RGMRecipe -> RGMRecipe-Methods -> DynPropertiesEnum [GET]

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

DynPropertiesEnum(String bsPath) As VARIANT

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes

Parameters

A String which defines the entry point to get out all available properties of the object.

A blank String like that returns the first layer of properties:

DynPropertiesEnum("")

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

bsPath As String

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Sub ReadDynProps()
End Sub


DynProperties [GET]

Manuel -> Interfaces de programmation -> Modèles d'objet -> RGMRecipe -> RGMRecipe-Methods -> DynProperties [GET]

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

DynProperties(String bsPath) As VARIANT

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

A String which defines the Property.

Example: "NetAktive"

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

bsPath As String

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Sub GetDynProp()
'Sample: GSet the Network Aktive Flag of the Project.
If MyWorkspace.ActiveDocument.DynProperties("NetActive") = True Then
'read the server - computername...
Debug.Print "Server: " & MyWorkspace.ActiveDocument.DynProperties("NetServer")
End If
End Sub


DynProperties [PUT]

Manuel -> Interfaces de programmation -> Modèles d'objet -> RGMRecipe -> RGMRecipe-Methods -> DynProperties [PUT]

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

DynProperties (String bsPath,VARIANT vValue) As void

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

A String which defines the Property.

Example: "NetAktive"

Returns a variant value depending to the property, it can be a boolean, a long, or a whole object.

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

bsPath As String

vValue As Variant

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Sub SetDynProp()
End Sub


RGMRecipe-Dynamic properties

Manuel -> Interfaces de programmation -> Modèles d'objet -> RGMRecipe -> RGMRecipe-Dynamic properties

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Dynproperties

Object recipe

Other topics in this chapter

Object recipe


Object recipe

Manuel -> Interfaces de programmation -> Modèles d'objet -> RGMRecipe -> RGMRecipe-Dynamic properties -> Object recipe

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Type

VBA/VSTA Name

Display Name

Description

VT_BSTR

RecipeName

Nom de la recette

Nom de la recette. Le nom de la recette doit être unique. SI vous sélectionnez l’option Fichiers binaires pour la propriété DataSource, le nom doit uniquement contenir des caractères alphanumériques.

Plus de détails dans l’aide en ligne.

VT_UI4

RecipeNumber

Numéro de la recette

Numéro de la recette

Plus de détails dans l’aide en ligne.

VT_UI4

RecipeVersion

Version de la recette

Affichage du numéro de version de la recette sélectionnée. Cette boîte de dialogue sert uniquement à l’affichage d’informations ; aucune modification n’est possible. Le numéro de version est automatiquement défini par le système. Au maximum, 89 999 versions d’une recette peuvent être créées.

Plus de détails dans l’aide en ligne.

VT_UI2

Status

État

Sélectionnez l’état de la recette dans la liste déroulante. (Configuration de l’état dans la propriété Recipe Group Manager/Identifiant d'état de recette.) L’état de la recette peut être défini différemment pour chaque Version de la recette. Cette propriété peut également être modifiée dans Runtime.

Plus de détails dans l’aide en ligne.

VT_R8

TimeChange

TimeChange

"this property returns the time the recipe was saved last. When editing the recipe via the automation interface, this property must be set manually by the user"

VT_BSTR

UserChange

Utilisateur lors de la dernière modification

"This property returns the name of the user who has created / modified the recipe. When editing the recipe via the automation interface, this property must be set manually by the user "

VT_R8

TimeSent

TimeSent

for compatibility reasons only

VT_BSTR

UserSent

Utilisateur lors de la dernière écriture

for compatibility reasons only

VT_BOOL

WriteSync

Ecrire de façon synchrone

Définie au niveau du groupe de recettes pour toutes les recettes de ce groupe ; peut être remplacée au niveau de chaque recette.

Active : Lors de l’écriture d’une recette, tous les éléments de contrôle sont verrouillés sur le synoptique de module Recipegroup Manager jusqu’à ce que le driver confirme que toutes les valeurs ont été écrites avec succès ou que le Timeout [ms] défini a expiré.

Inactive : Les valeurs de la recette sont écrites sans attendre de confirmation. Les éléments de contrôle peuvent être immédiatement réutilisés. La confirmation du driver est faite sur le bit d’état WR-SUC de chaque variable : il est mis à 1 lorsque la valeur a été écrite avec succès.

Plus de détails dans l’aide en ligne.

VT_BOOL

WriteSync_IsLocal

WriteSync_IsLocal

VT_UI4

WriteTimeout

Timeout [ms]

Définie au niveau du groupe de recettes pour toutes les recettes de ce groupe ; peut être remplacée au niveau de chaque recette.

Si vous avez activé la propriété Ecrire de façon synchrone, vous pouvez saisir un délai d’attente ici. Les éléments de contrôle du module Recipegroup Manager peuvent être actionnés une dernière fois après ce délai. Si la valeur 0 est saisie dans Délai d’attente, zenon calcule le délai d’attente avant expiration comme suit : 30000+(100*nombre de points de données)

Plus de détails dans l’aide en ligne.

VT_BOOL

WriteTimeout_IsLocal

WriteTimeout_IsLocal

VT_UI2

PWLevel

Niveau d'autorisation

Sélection du niveau d’autorisation souhaité dans la liste déroulante.

Plus de détails dans l’aide en ligne.

VT_BSTR

Comment1

Commentaire 1

Lignes de commentaire 1 de la recette actuelle.

Plus de détails dans l’aide en ligne.

VT_BSTR

Comment2

Commentaire 2

Lignes de commentaire 2 de la recette actuelle.

Plus de détails dans l’aide en ligne.

VT_BSTR

Comment3

Commentaire 3

Lignes de commentaire 3 de la recette actuelle.

Plus de détails dans l’aide en ligne.

VT_BSTR

Comment4

Commentaire 4

Lignes de commentaire 4 de la recette actuelle.

Plus de détails dans l’aide en ligne.

VT_BSTR

Comment5

Commentaire 5

Lignes de commentaire 5 de la recette actuelle.

Plus de détails dans l’aide en ligne.

VT_BSTR

Comment6

Commentaire 6

Lignes de commentaire 6 de la recette actuelle.

Plus de détails dans l’aide en ligne.

VT_BSTR

Comment7

Commentaire 7

Lignes de commentaire 7 de la recette actuelle.

Plus de détails dans l’aide en ligne.

VT_BSTR

Comment8

Commentaire 8

Lignes de commentaire 8 de la recette actuelle.

Plus de détails dans l’aide en ligne.


RGMRecipeGroup

Manuel -> Interfaces de programmation -> Modèles d'objet -> RGMRecipeGroup

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

The "RGMRecipeGroup" object manages the "RGMRecipe" collection and the utilized "RGMRecipeVar" variables.

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Examples

C#

VB.NET

VB.NET-Syntax

VBA

Public Sub zenOn_RGMGroup()

'Declarations
Dim zRGM_Group As RGMRecipeGroup
Dim zVariable As Variable
Dim zRGMGroup_Name As String

'Initialization of zRGMGroup_Name with the name of the created group
'zRGMGroup_Name = "zenOn_RGMGroup"
zRGMGroup_Name = MyWorkspace.ActiveDocument.RGMGroups.CreateGroup("zenOn_RGMGroup").DynProperties("Name")
'Initialization of zRGM_Group with the former created group
Set zRGM_Group = MyWorkspace.ActiveDocument.RGMGroups.Item(zRGMGroup_Name)

'Initialization of zVariable with the first element in the "Variables" object of the current project
Set zVariable = MyWorkspace.ActiveDocument.Variables.Item(0)

'Add variable to the recipe group
zRGM_Group.AddVariable zVariable
'Create a new recipe in the recipe group
zRGM_Group.CreateRecipe ("zenOn_RGMRecipe")

'Output the number of variables and recipes in the group
Debug.Print "Number of variables: " & zRGM_Group.VariableCount
Debug.Print "Number of recipes: " & zRGM_Group.RecipeCount & vbNewLine

'Rename the recipe
zRGM_Group.RenameRecipe "zenOn_RGMRecipe", "zenOn_RGMRecipeRenamed"

'Delete the whole recipe group
zRGM_Group.Parent.DeleteGroup (zRGM_Group.DynProperties("Name"))

End Sub

Other topics in this chapter

RGMRecipeGroup-Properties

RGMRecipeGroup-Methods

RGMRecipeGroup-Dynamic properties


RGMRecipeGroup-Properties

Manuel -> Interfaces de programmation -> Modèles d'objet -> RGMRecipeGroup -> RGMRecipeGroup-Properties

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
BSTR | Name |  | available | available | yes | yes
IRGMRecipeGroups | Parent | Parent of object | read only | read only | yes | yes
long | VariableCount |  | available | available | yes | yes
long | RecipeCount |  | available | available | yes | yes

Other topics in this chapter

Parent

VariableCount

RecipeCount

Name


Parent

Manuel -> Interfaces de programmation -> Modèles d'objet -> RGMRecipeGroup -> RGMRecipeGroup-Properties -> Parent

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the parent object

Datatype

Parent() As RGMRecipeGroups

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


VariableCount

Manuel -> Interfaces de programmation -> Modèles d'objet -> RGMRecipeGroup -> RGMRecipeGroup-Properties -> VariableCount

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the amount of "RGMVar" objects within the collection, i.e. the amount of variables that are assigned.

Datatype

VariableCount() As long

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes


RecipeCount

Manuel -> Interfaces de programmation -> Modèles d'objet -> RGMRecipeGroup -> RGMRecipeGroup-Properties -> RecipeCount

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

RecipeCount() As long

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes


Name

Manuel -> Interfaces de programmation -> Modèles d'objet -> RGMRecipeGroup -> RGMRecipeGroup-Properties -> Name

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

Name() As String

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes


RGMRecipeGroup-Methods

Manuel -> Interfaces de programmation -> Modèles d'objet -> RGMRecipeGroup -> RGMRecipeGroup-Methods

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description |  | Editor | Runtime | VBA | VSTA
VARIANT_BOOL | AddVariable | - |  | available | available | yes | yes
LPDISPATCH | CreateRecipe | - |  | available | available | yes | yes
LPDISPATCH | CreateRecipeVersion | Creates a new recipe version for the given recipe name |  | available | available | yes | yes
VARIANT_BOOL | DeleteRecipe | Delete a recipe object by name OR by nummeric index (for name all recipe versions are deleted) |  | available | available | yes | yes
VARIANT_BOOL | DeleteRecipeVersion | Delete a recipe object by name and version OR by nummeric index (for indexes the version is ignored) |  | available | available | yes | yes
VARIANT_BOOL | DeleteVariable | - |  | available | available | yes | yes
VARIANT_BOOL | Duplicate | Duplicate this recipe group |  | available | available | yes | yes
void | DynProperties [PUT] | - |  | available | available | yes | yes
VARIANT | DynProperties [GET] | - |  | available | available | yes | yes
VARIANT | DynPropertiesEnum [GET] | - |  | read only | read only | yes | yes
VARIANT_BOOL | Export | Exports the selected object to a XML file |  | available | available | yes | yes
VARIANT_BOOL | Import | Imports the selected XML file |  | available | available | yes | yes
VARIANT | ListRecipesName | Passes an array with all recipes name of this group |  | available | available | yes | yes
VARIANT | ListRecipeVersions | Passes an array with all versions of a specified recipe |  | available | available | yes | yes
VARIANT | ListVariablesName | List all variable names from this group |  | available | available | yes | yes
IRGMRecipe | RecipeItem | Get a recipe object by name OR by nummeric index (for name the lowest version is returned) |  | available | available | yes | yes
IRGMRecipe | RecipeItemVersion | Get a recipe object by name and version OR by nummeric index (for indexes the version is ignored) |  | available | available | yes | yes
VARIANT_BOOL | RenameRecipe | - |  | available | available | yes | yes
VARIANT_BOOL | ReorderVariables | Reorders the variables in the group |  | available | available | yes | yes
VARIANT_BOOL | Save | Save the Recipegroup and all Recipegroup Variables |  | available | available | yes | yes
IRGMRecipeVar | VariableItem | - |  | available | available | yes | yes
IPropParam | DynPropertyParam [GET] | Returns the PropParam objekt of the given DynProperty |  | read only | not used | yes | yes
VARIANT | ListRecipeInfo | Returns a list containing the name, number, version and status of all recipes in the group. | available |  | available | yes |  | yes
VARIANT_BOOL | AddBulk | Adds a bulk of variables to the RGM | available |  | available | yes |  | yes

Other topics in this chapter

RecipeItem

RecipeItemVersion

VariableItem

DeleteVariable

DeleteRecipe

DeleteRecipeVersion

AddVariable

CreateRecipe

CreateRecipeVersion

RenameRecipe

Save

Duplicate

ListRecipesName

ListRecipeVersions

ReorderVariables

ListVariablesName

ListRecipeInfo

Export

Import

DynPropertyParam [GET]

DynPropertiesEnum [GET]

DynProperties [GET]

DynProperties [PUT]

AddBulk


RecipeItem

Manuel -> Interfaces de programmation -> Modèles d'objet -> RGMRecipeGroup -> RGMRecipeGroup-Methods -> RecipeItem

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

The function was extended by the parameter nversion.

For nVersion, the desired version number of the recipe is specified.

Hint: You can get a list with all possible recipe versions through the method RGMRecipeGroup.ListRecipeVersions.

Datatype

RecipeItem(VARIANT vPosOrName) As RGMRecipe

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


RecipeItemVersion

Manuel -> Interfaces de programmation -> Modèles d'objet -> RGMRecipeGroup -> RGMRecipeGroup-Methods -> RecipeItemVersion

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

RecipeItemVersion(VARIANT vPosOrName, long nVersion) As RGMRecipe

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


VariableItem

Manuel -> Interfaces de programmation -> Modèles d'objet -> RGMRecipeGroup -> RGMRecipeGroup-Methods -> VariableItem

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns a "RGMRecipeVar" object from the collection, selected by its name as string or position within the collection.

Datatype

VariableItem(VARIANT vPosOrName) As RGMRecipeVar

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


DeleteVariable

Manuel -> Interfaces de programmation -> Modèles d'objet -> RGMRecipeGroup -> RGMRecipeGroup-Methods -> DeleteVariable

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Deletes an existing "RGMRecipeVar" object from the collection by its name as string or position.

Datatype

DeleteVariable(VARIANT vPosOrName) As Boolean

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


DeleteRecipe

Manuel -> Interfaces de programmation -> Modèles d'objet -> RGMRecipeGroup -> RGMRecipeGroup-Methods -> DeleteRecipe

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

The function for deleting recipes was extended by the parameter nversion.

For nVersion, either the recipe version to be deleted is specified or 0 if the whole recipe with all its versions should be deleted.

Datatype

DeleteRecipe(VARIANT vPosOrName) As Boolean

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


DeleteRecipeVersion

Manuel -> Interfaces de programmation -> Modèles d'objet -> RGMRecipeGroup -> RGMRecipeGroup-Methods -> DeleteRecipeVersion

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

DeleteRecipeVersion(VARIANT vPosOrName, long nVersion) As Boolean

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


AddVariable

Manuel -> Interfaces de programmation -> Modèles d'objet -> RGMRecipeGroup -> RGMRecipeGroup-Methods -> AddVariable

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Adds a "Variable" object to the collection.

Datatype

AddVariable(LPDISPATCH lpVariable) As Boolean

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

"Variable" object that should be passed.

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

lpVariable As LPDISPATCH

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Sub AddRemoveVariable(ByRef zRGMGroup As RGMRecipeGroup)
'Declarations
Dim zVariable As Variable

'Initialization of zVariable with the first element of collection within the "Variables" object
Set zVariable = MyWorkspace.ActiveDocument.Variables.Item(0)

'Add the variable to the recipe group
zRGMGroup.AddVariable zVariable

'Remove the variable from the recipe group by its name
zRGMGroup.DeleteVariable (zVariable.Name)

End Sub


CreateRecipe

Manuel -> Interfaces de programmation -> Modèles d'objet -> RGMRecipeGroup -> RGMRecipeGroup-Methods -> CreateRecipe

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Creates a new recipe by its name as a string.

Datatype

CreateRecipe(String bstrName) As LPDISPATCH

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


CreateRecipeVersion

Manuel -> Interfaces de programmation -> Modèles d'objet -> RGMRecipeGroup -> RGMRecipeGroup-Methods -> CreateRecipeVersion

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Creates a new version of a recipe.

bstrName The recipe name of a recipe fo which has to be created a new version.

Return value The new created recipe version as RGMRecipe.

Datatype

CreateRecipeVersion(String bstrName) As LPDISPATCH

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Public Sub Macro_Recipes()
Dim zRecipeGroups As RGMRecipeGroups
Dim zRecipeGroup As RGMRecipeGroup
Dim zRecipe As RGMRecipe

Set zRecipeGroups = thisProject.RGMGroups

If zRecipeGroups.count > 0 Then
Set zRecipeGroup = zRecipeGroups.Item(0)
Set zRecipe = zRecipeGroup.CreateRecipeVersion("Recipe_A")
If Not zRecipe Is Nothing Then
Debug.Print ("Created new recipe version")
Debug.Print ("Version: " & zRecipe.Version)
End If
End If
End Sub


RenameRecipe

Manuel -> Interfaces de programmation -> Modèles d'objet -> RGMRecipeGroup -> RGMRecipeGroup-Methods -> RenameRecipe

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Renames a recipe by passing the old and new name as string.

Datatype

RenameRecipe(String bstrOldName,String bstrNewName) As Boolean

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


Save

Manuel -> Interfaces de programmation -> Modèles d'objet -> RGMRecipeGroup -> RGMRecipeGroup-Methods -> Save

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

Save() As Boolean

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


Duplicate

Manuel -> Interfaces de programmation -> Modèles d'objet -> RGMRecipeGroup -> RGMRecipeGroup-Methods -> Duplicate

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Method to create a duplicate of the actual RGMRecipeGroup.The given string parameter represents the duplicates name.A boolean result will be returned.

Datatype

Duplicate(String bsDuplicate) As Boolean

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


ListRecipesName

Manuel -> Interfaces de programmation -> Modèles d'objet -> RGMRecipeGroup -> RGMRecipeGroup-Methods -> ListRecipesName

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Generates an array with all recipe names of this group.

Return value An array with all recipe names as variant.

Datatype

ListRecipesName() As VARIANT

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Public Sub Macro_RecipesList()
Dim zRecipeGroups As RGMRecipeGroups
Dim zRecipeGroup As RGMRecipeGroup
Dim vRecipeList As Variant
Dim i As Integer

Set zRecipeGroups = MyWorkspace.ActiveDocument.RGMGroups

If zRecipeGroups.Count > 0 Then
Set zRecipeGroup = zRecipeGroups.Item(0)
vRecipeList = zRecipeGroup.ListRecipesName()
For i = 0 To UBound(vRecipeList)
Debug.Print (vRecipeList(i))
Next i
End If
End Sub


ListRecipeVersions

Manuel -> Interfaces de programmation -> Modèles d'objet -> RGMRecipeGroup -> RGMRecipeGroup-Methods -> ListRecipeVersions

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Generates an array with all recipe versions of a recipe of this group.

bsRecipeName The recipe name of the recipe for which the array has to be created.

Return value An array with all recipe version numbers as variant.

Datatype

ListRecipeVersions(String bsRecipeName) As VARIANT

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Public Sub Macro_RecipesVersionList()
Dim zRecipeGroups As RGMRecipeGroups
Dim zRecipeGroup As RGMRecipeGroup
Dim vRecipeList As Variant
Dim i As Integer

Set zRecipeGroups = MyWorkspace.ActiveDocument.RGMGroups

If zRecipeGroups.Count > 0 Then
Set zRecipeGroup = zRecipeGroups.Item(0)
If Not zRecipeGroup.RecipeItem("Recipe_A") Is Nothing Then
Debug.Print ("Show Version of Recipe: " & zRecipeGroup.RecipeItem("Recipe_A").name)
' Get an array of the RecipeVersion
vRecipeList = zRecipeGroup.ListRecipeVersions("Recipe_A")

For i = 0 To UBound(vRecipeList)
Debug.Print ("Version: " & vRecipeList(i))
Next i
End If
Set zRecipeGroup = Nothing
End If
Set zRecipeGroups = Nothing
End Sub


ReorderVariables

Manuel -> Interfaces de programmation -> Modèles d'objet -> RGMRecipeGroup -> RGMRecipeGroup-Methods -> ReorderVariables

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

ReorderVariables(VARIANT vNamesInNewOrder) As Boolean

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Sub Macro_SortVars()
Dim zRecipeGroup As RGMRecipeGroup
Dim sVars1() As String
Dim sVars2() As String
Dim i As Integer

Set zRecipeGroup = MyWorkspace.ActiveDocument.RGMGroups.Item(0)

'Get list of variable names
sVars1 = zRecipeGroup.ListVariablesName
Debug.Print ("Before reorder")
For i = 0 To UBound(sVars1)
Debug.Print (i & ": " & sVars1(i))
Next i
' Move first variable down
ReDim sVars2(UBound(sVars1, 1))
Dim length As Integer
length = UBound(sVars1)
For i = 0 To length
If (i < length) Then
sVars2(i) = sVars1((i + 1)) ' set variable to next index
Else
sVars2(i) = sVars1(0) ' set last variable to first position
End If
Next i
' set new order
Dim b As Boolean
b = zRecipeGroup.ReorderVariables(sVars2)
Debug.Print ("After reorder")
'Get list of variable names
sVars1 = zRecipeGroup.ListVariablesName
For i = 0 To UBound(sVars1)
Debug.Print (i & ": " & sVars1(i))
Next i
End Sub


ListVariablesName

Manuel -> Interfaces de programmation -> Modèles d'objet -> RGMRecipeGroup -> RGMRecipeGroup-Methods -> ListVariablesName

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

ListVariablesName() As VARIANT

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Public Sub Macro_RecipesVariableList()
Dim zRecipeGroups As RGMRecipeGroups
Dim zRecipeGroup As RGMRecipeGroup
Dim vVariableList As Variant
Dim i As Integer

Set zRecipeGroups = MyWorkspace.ActiveDocument.RGMGroups

If zRecipeGroups.Count > 0 Then
Set zRecipeGroup = zRecipeGroups.Item(0)
If Not zRecipeGroup.RecipeItem("Recipe_A") Is Nothing Then
Debug.Print ("Show Version of Recipe: " & zRecipeGroup.RecipeItem("Recipe_A").name)
' Get an array with the variable names
vVariableList = zRecipeGroup.ListVariablesName()

For i = 0 To UBound(vVariableList)
Debug.Print ("Variable name: " & vVariableList(i))
Next i
End If
Set zRecipeGroup = Nothing
End If
Set zRecipeGroups = Nothing
End Sub


ListRecipeInfo

Manuel -> Interfaces de programmation -> Modèles d'objet -> RGMRecipeGroup -> RGMRecipeGroup-Methods -> ListRecipeInfo

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

This methode generates one array with all the following information from all recipes in this group.

RecipeName|RecipeNumber|RecipeVersion|RecipeStatus

The seperator is a Pipe |

Datatype

ListRecipeInfo() As VARIANT

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

VB.NET

VBA

Examples

C#

VB.NET

VBA

Public Sub Macro_RecipesList()
Dim zRecipeGroups As RGMRecipeGroups
Dim zRecipeGroup As RGMRecipeGroup
Dim vRecipeList As Variant
Dim i As Integer

Set zRecipeGroups = MyWorkspace.ActiveDocument.RGMGroups

If zRecipeGroups.Count > 0 Then
Set zRecipeGroup = zRecipeGroups.Item(0)
vRecipeList = zRecipeGroup.ListRecipeVersions()
For i = 0 To UBound(vRecipeList)
Debug.Print (vRecipeList(i))
Next i
End If
End Sub


Export

Manuel -> Interfaces de programmation -> Modèles d'objet -> RGMRecipeGroup -> RGMRecipeGroup-Methods -> Export

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

Export(String bsFileName) As Boolean

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Public Sub Macro_ExportRecipeGroup()
Dim zRGMGroups As RGMRecipeGroups
Dim zRGMGroup As RGMRecipeGroup
Dim zFile As String
Dim i As Integer

Set zRGMGroups = thisProject.RGMGroups ' Get all recipe groups
zFile = zRGMGroups.Parent.ModulePath(tpModulePaths.tpPathExport)

For i = 0 To zRGMGroups.count - 1
Set zRGMGroup = zRGMGroups.Item(i) ' Get a recipe group
With zRGMGroup
Debug.Print ("Export: " & .Name & " To '" & zFile & .Name & ".XML'")
If Dir(zFile & .Name & ".XML") <> "" Then 'Check if file exist
Debug.Print ("File exist!")
Else
If zRGMGroups.Item(i).Export(.Name & ".XML") Then ' Export with relative path
Debug.Print ("Exported!")
Else
Debug.Print ("ERROR!")
End If
End If
End With
Set zRGMGroup = Nothing
Next i

End Sub


Import

Manuel -> Interfaces de programmation -> Modèles d'objet -> RGMRecipeGroup -> RGMRecipeGroup-Methods -> Import

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Import settings from an xml file. Existing settings will be replaced.

Datatype

Import(String bsFileName) As Boolean

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Public Sub Macro_ImportRecipeGroup()
Dim zRGMGroups As RGMRecipeGroups
Dim zRGMGroup As RGMRecipeGroup
Dim zFile As String
Dim i As Integer

Set zRGMGroups = thisProject.RGMGroups 'Get all recipe groups
zFile = zRGMGroups.Parent.ModulePath(tpModulePaths.tpPathExport) & "Group_B.XML" 'RuntimeFolder\Export\Group_B.XML

Debug.Print ("Import: " & zFile)
If Dir(zFile) <> "" Then 'Check if file exist
Debug.Print ("File exist!")
If zRGMGroups.Item("Group_B") Is Nothing Then
Set zRGMGroup = zRGMGroups.CreateGroup("Group_B") 'Create new RGMGroup
If zRGMGroup.Import(zFile) Then 'Import recipes with relative path
Debug.Print ("Imported!")
Else
Debug.Print ("Error!")
End If
Set zRGMGroup = Nothing
End If
End If

End Sub


DynPropertyParam [GET]

Manuel -> Interfaces de programmation -> Modèles d'objet -> RGMRecipeGroup -> RGMRecipeGroup-Methods -> DynPropertyParam [GET]

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

DynPropertyParam [GET](BSTR bsPath) As PropParam

Availability

Environment | Available
Editor | read only
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


DynPropertiesEnum [GET]

Manuel -> Interfaces de programmation -> Modèles d'objet -> RGMRecipeGroup -> RGMRecipeGroup-Methods -> DynPropertiesEnum [GET]

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

DynPropertiesEnum(String bsPath) As VARIANT

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes

Parameters

A String which defines the entry point to get out all available properties of the object.

A blank String like that returns the first layer of properties:

DynPropertiesEnum("")

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

bsPath As String

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Sub ReadDynProps()
End Sub


DynProperties [GET]

Manuel -> Interfaces de programmation -> Modèles d'objet -> RGMRecipeGroup -> RGMRecipeGroup-Methods -> DynProperties [GET]

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

DynProperties(String bsPath) As VARIANT

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

A String which defines the Property.

Example: "NetAktive"

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

bsPath As String

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Sub GetDynProp()
'Sample: GSet the Network Aktive Flag of the Project.
If MyWorkspace.ActiveDocument.DynProperties("NetActive") = True Then
'read the server - computername...
Debug.Print "Server: " & MyWorkspace.ActiveDocument.DynProperties("NetServer")
End If
End Sub


DynProperties [PUT]

Manuel -> Interfaces de programmation -> Modèles d'objet -> RGMRecipeGroup -> RGMRecipeGroup-Methods -> DynProperties [PUT]

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

DynProperties (String bsPath,VARIANT vValue) As void

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

A String which defines the Property.

Example: "NetAktive"

Returns a variant value depending to the property, it can be a boolean, a long, or a whole object.

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

bsPath As String

vValue As Variant

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Sub SetDynProp()
End Sub


AddBulk

Manuel -> Interfaces de programmation -> Modèles d'objet -> RGMRecipeGroup -> RGMRecipeGroup-Methods -> AddBulk

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

The AddBulk function takes a Stringarray of Variablenames as a parameter and adds all variables from the array to the Recipegroup.

If a variable is multiple times in the list or added in different bulks, it will be ignored and no error will occure.

Datatype

AddBulk() As VARIANT_BOOL

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

VB.NET

VBA

Examples

C#

thisProject.RGMGroups.Item("zenon").AddBulk(VariablesNames)

VB.NET

VBA


RGMRecipeGroup-Dynamic properties

Manuel -> Interfaces de programmation -> Modèles d'objet -> RGMRecipeGroup -> RGMRecipeGroup-Dynamic properties

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Dynproperties

Object recipes

Other topics in this chapter

Object recipes


Object recipes

Manuel -> Interfaces de programmation -> Modèles d'objet -> RGMRecipeGroup -> RGMRecipeGroup-Dynamic properties -> Object recipes

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Type

VBA/VSTA Name

Display Name

Description

VT_BSTR

Name

Nom de groupe

Nom du groupe de recettes.

Si vous sélectionnez l’option Fichiers binaires pour la propriété DataSource, seuls les caractères alphanumériques sont autorisés.

Plus de détails dans l’aide en ligne.

ZT_AKZ

SystemModelGroup

Groupes d'équipements

Lie l’élément à un modèle d’équipement. Cliquez sur le bouton ... pour ouvrir la boîte de sélection d’un groupe d’équipements.
L'affichage du groupe d’équipements sélectionné inclut également les niveaux supérieurs à ce groupe. Les niveaux sont séparés par un point dans l’affichage.

Dans le cas d’une sélection multiple, les groupes d’équipements individuels sont séparés par un point-virgule (;).

Plus de détails dans l’aide en ligne.

VT_BOOL

WriteSync

Ecrire de façon synchrone

Définie au niveau du groupe de recettes pour toutes les recettes de ce groupe ; peut être remplacée au niveau de chaque recette.

Active : Lors de l’écriture d’une recette, tous les éléments de contrôle sont verrouillés sur le synoptique de module Recipegroup Manager jusqu’à ce que le driver confirme que toutes les valeurs ont été écrites avec succès ou que le Timeout [ms] défini a expiré.

Inactive : Les valeurs de la recette sont écrites sans attendre de confirmation. Les éléments de contrôle peuvent être immédiatement réutilisés. La confirmation du driver est faite sur le bit d’état WR-SUC de chaque variable : il est mis à 1 lorsque la valeur a été écrite avec succès.

Plus de détails dans l’aide en ligne.

VT_UI4

WriteTimeout

Timeout [ms]

Définie au niveau du groupe de recettes pour toutes les recettes de ce groupe ; peut être remplacée au niveau de chaque recette.

Si vous avez activé la propriété Ecrire de façon synchrone, vous pouvez saisir un délai d’attente ici. Les éléments de contrôle du module Recipegroup Manager peuvent être actionnés une dernière fois après ce délai. Si la valeur 0 est saisie dans Délai d’attente, zenon calcule le délai d’attente avant expiration comme suit : 30000+(100*nombre de points de données)

Plus de détails dans l’aide en ligne.

VT_BSTR

Feedback_Write_Result

Ecriture recette terminée

Résultat de l’écriture de la recette sous forme de valeur numérique.

VT_BSTR

Feedback_Write_Name

Nom de la recette

Nom de la dernière recette écrite.

VT_BSTR

Feedback_Write_Number

Numéro de la recette

Numéro de la dernière recette écrite.

VT_BSTR

Feedback_Write_Version

Version de la recette

Version de la dernière recette écrite.

VT_BSTR

Feedback_Write_Rights

Niveau d'autorisation

Niveau d’autorisation de la dernière recette écrite.

VT_BSTR

Feedback_Write_Status_Txt

Texte d'état de la recette

État de la dernière recette écrite. Le texte est constitué de la façon suivante : 1 - @Texte
Ce texte est écrit sous forme de texte brut dans la variable. Pour afficher le texte traduit, vous devez activer la propriété Traduire le texte affiché pour l’élément affiché (texte dynamique).

Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de variables.

Valeurs : Reportez-vous à la section Variables du driver système - Recettes standard et du module Recipe Group Manager (RGM).

Plus de détails dans l’aide en ligne.

VT_BSTR

Feedback_Write_Status_Nr

Numéro d'état de la recette

État de la dernière recette écrite sous forme de nombre.

VT_BSTR

Feedback_Write_Userchange

Editer utilisateur

Nom de l’utilisateur connecté lors de la dernière modification de la dernière recette écrite.

VT_BSTR

Feedback_Write_Timechange

Modifier un horodatage

Heure de la dernière modification de la dernière recette écrite.

VT_BSTR

Feedback_Write_Comment1

Commentaire 1

Commentaire 1 de la dernière recette écrite.

VT_BSTR

Feedback_Write_Comment2

Commentaire 2

Commentaire 2 de la dernière recette écrite.

VT_BSTR

Feedback_Write_Comment3

Commentaire 3

Commentaire 3 de la dernière recette écrite.

VT_BSTR

Feedback_Write_Comment4

Commentaire 4

Commentaire 4 de la dernière recette écrite.

VT_BSTR

Feedback_Write_Comment5

Commentaire 5

Commentaire 5 de la dernière recette écrite.

VT_BSTR

Feedback_Write_Comment6

Commentaire 6

Commentaire 6 de la dernière recette écrite.

VT_BSTR

Feedback_Write_Comment7

Commentaire 7

Commentaire 7 de la dernière recette écrite.

VT_BSTR

Feedback_Write_Comment8

Commentaire 8

Commentaire 8 de la dernière recette écrite.

VT_BSTR

Feedback_Read_Result

Lecture recette terminée

Résultat de la recette lue sous forme de valeur numérique.

VT_BSTR

Feedback_Read_Name

Nom de la recette

Nom de la dernière recette lue.

VT_BSTR

Feedback_Read_Number

Numéro de la recette

Numéro de la dernière recette lue.

VT_BSTR

Feedback_Read_Version

Version de la recette

Version de la dernière recette lue.

VT_BSTR

Feedback_Read_Rights

Niveau d'autorisation

Niveau d’autorisation de la dernière recette lue.

VT_BSTR

Feedback_Read_Status_Txt

Texte d'état de la recette

État de la dernière recette lue. Le texte est constitué de la façon suivante : 1 - @Texte
Ce texte est écrit sous forme de texte brut dans la variable. Pour afficher le texte traduit, vous devez activer la propriété Traduire le texte affiché pour l’élément affiché (texte dynamique).

Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de variables.

Valeurs : Reportez-vous à la section Variables du driver système - Recettes standard et du module Recipe Group Manager (RGM).

Plus de détails dans l’aide en ligne.

VT_BSTR

Feedback_Read_Status_Nr

Numéro d'état de la recette

État de la dernière recette lue sous forme de nombre.

VT_BSTR

Feedback_Read_Userchange

Editer utilisateur

Nom de l’utilisateur connecté lors de la dernière modification de la dernière recette lue.

VT_BSTR

Feedback_Read_Timechange

Modifier un horodatage

Heure de la dernière modification de la dernière recette lue.

VT_BSTR

Feedback_Read_Comment1

Commentaire 1

Commentaire 1 de la dernière recette lue.

VT_BSTR

Feedback_Read_Comment2

Commentaire 2

Commentaire 2 de la dernière recette lue.

VT_BSTR

Feedback_Read_Comment3

Commentaire 3

Commentaire 3 de la dernière recette lue.

VT_BSTR

Feedback_Read_Comment4

Commentaire 4

Commentaire 4 de la dernière recette lue.

VT_BSTR

Feedback_Read_Comment5

Commentaire 5

Commentaire 5 de la dernière recette lue.

VT_BSTR

Feedback_Read_Comment6

Commentaire 6

Commentaire 6 de la dernière recette lue.

VT_BSTR

Feedback_Read_Comment7

Commentaire 7

Commentaire 7 de la dernière recette lue.

VT_BSTR

Feedback_Read_Comment8

Commentaire 8

Commentaire 8 de la dernière recette lue.

VT_BSTR

Feedback_Check_Result

Vérification valeur recette - résultat

Résultat de la vérification de la recette sous forme de valeur numérique.

VT_BSTR

Feedback_Check_Different

Vérification valeur recette - écart

Les écarts sont le résultat de la vérification de la recette sous forme de texte.

VT_BSTR

Feedback_Check_Name

Nom de la recette

Nom de la dernière recette vérifiée.

VT_BSTR

Feedback_Check_Number

Numéro de la recette

Numéro de la dernière recette vérifiée.

VT_BSTR

Feedback_Check_Version

Version de la recette

Version de la dernière recette vérifiée.

VT_BSTR

Feedback_Check_Rights

Niveau d'autorisation

Niveau d’autorisation de la dernière recette vérifiée.

VT_BSTR

Feedback_Check_Status_Txt

Texte d'état de la recette

État de la dernière recette vérifiée. Le texte est constitué de la façon suivante : 1 - @Texte
Ce texte est écrit sous forme de texte brut dans la variable. Pour afficher le texte traduit, vous devez activer la propriété Traduire le texte affiché pour l’élément affiché (texte dynamique).

Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de variables.

Valeurs : Reportez-vous à la section Variables du driver système - Recettes standard et du module Recipe Group Manager (RGM).

Plus de détails dans l’aide en ligne.

VT_BSTR

Feedback_Check_Status_Nr

Numéro d'état de la recette

État de la dernière recette vérifiée sous forme de nombre.

VT_BSTR

Feedback_Check_Userchange

Editer utilisateur

Nom de l’utilisateur connecté lors de la dernière modification de la dernière recette vérifiée.

VT_BSTR

Feedback_Check_Timechange

Modifier un horodatage

Heure de la dernière modification de la dernière recette vérifiée.

VT_BSTR

Feedback_Check_Comment1

Commentaire 1

Commentaire 1 de la dernière recette vérifiée.

VT_BSTR

Feedback_Check_Comment2

Commentaire 2

Commentaire 2 de la dernière recette vérifiée.

VT_BSTR

Feedback_Check_Comment3

Commentaire 3

Commentaire 3 de la dernière recette vérifiée.

VT_BSTR

Feedback_Check_Comment4

Commentaire 4

Commentaire 4 de la dernière recette vérifiée.

VT_BSTR

Feedback_Check_Comment5

Commentaire 5

Commentaire 5 de la dernière recette vérifiée.

VT_BSTR

Feedback_Check_Comment6

Commentaire 6

Commentaire 6 de la dernière recette vérifiée.

VT_BSTR

Feedback_Check_Comment7

Commentaire 7

Commentaire 7 de la dernière recette vérifiée.

VT_BSTR

Feedback_Check_Comment8

Commentaire 8

Commentaire 8 de la dernière recette vérifiée.

VT_BSTR

Feedback_XMLImport_Result

Résultat de l'importation

Réussite de l’importation au format XML.


RGMRecipeGroups

Manuel -> Interfaces de programmation -> Modèles d'objet -> RGMRecipeGroups

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

This object manages "RGMRecipeGroup" objects.

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Examples

C#

VB.NET

VB.NET-Syntax

VBA

Public Sub zenOn_RGMGroups()
'Declarations
Dim zRGM_Groups As RGMRecipeGroups
Dim zRGM_Group As RGMRecipeGroup
Dim i As Integer

'Initialize zRGM_Groups with the "RGMGroups" object of the current project
Set zRGM_Groups = MyWorkspace.ActiveDocument.RGMGroups

'Create a new group called "zenOn_RGMGroup"
zRGM_Groups.CreateGroup ("zenOn_RGMGroup")

'Enumerate all recipe groups
For i = 0 To zRGM_Groups.Count - 1
'Assign the current item to zRGM_Group
Set zRGM_Group = zRGM_Groups.Item(i)

'Enumerate the groups
Debug.Print i + 1 & ". Group: "
'Output name of the group
Debug.Print " Name: " & zRGM_Group.DynProperties("Name")
'Output amount of recipes within the collection
Debug.Print " Recipes: " & zRGM_Group.RecipeCount
'Output amount of variables within the collection
Debug.Print " Variables: " & zRGM_Group.VariableCount
'Output a blank line
Debug.Print ""

'If there are recipes available, then output them
If zRGM_Group.RecipeCount > 0 Then
Call GetRecipesOfGroup(zRGM_Group)
End If

'If there are variables available, then output them
If zRGM_Group.VariableCount > 0 Then
Call GetVariablesOfGroup(zRGM_Group)
End If

Next i

'Delete the former created group
zRGM_Groups.DeleteGroup ("zenOn_RGMGroup")

Debug.Print ""
End Sub

Sub GetRecipesOfGroup(myRGMGroup As RGMRecipeGroup)
'Declarations
Dim zRGM_Recipe As RGMRecipe
Dim i As Integer

Debug.Print "Recipes"
'Enumerate all recipes in the group
For i = 0 To myRGMGroup.RecipeCount - 1
'Assign the current recipe item to zRGM_Recipe
Set zRGM_Recipe = myRGMGroup.RecipeItem(i)
'Output the recipe
Debug.Print " Recipe" & i + 1 & ": " & zRGM_Recipe.DynProperties("RecipeName")
Next i
'Output a blank line
Debug.Print ""
End Sub

Sub GetVariablesOfGroup(myRGMGroup As RGMRecipeGroup)
'Declarations
Dim zRGM_Variable As RGMRecipeVar
Dim i As Integer

'Enumerate all variables of the group
Debug.Print "Variables"
For i = 0 To myRGMGroup.VariableCount - 1
'Assign the current variable item to zRGM_Variable
Set zRGM_Variable = myRGMGroup.VariableItem(i)
'Output the variable
Debug.Print " Var" & i + 1 & ": " & zRGM_Variable.Name
Next i
'Output a blank line
Debug.Print ""
End Sub

Other topics in this chapter

RGMRecipeGroups-Properties

RGMRecipeGroups-Methods

RGMRecipeGroups-Events

RGMRecipeGroups-Dynamic properties


RGMRecipeGroups-Properties

Manuel -> Interfaces de programmation -> Modèles d'objet -> RGMRecipeGroups -> RGMRecipeGroups-Properties

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
long | Count |  | read only | read only | yes | yes
IProject | Parent | Parent of object | read only | read only | yes | yes

Other topics in this chapter

Parent

Count


Parent

Manuel -> Interfaces de programmation -> Modèles d'objet -> RGMRecipeGroups -> RGMRecipeGroups-Properties -> Parent

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the parent object

Datatype

Parent() As Project

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


Count

Manuel -> Interfaces de programmation -> Modèles d'objet -> RGMRecipeGroups -> RGMRecipeGroups-Properties -> Count

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

The method returns the number of available objects. This property is mostly used for the method Item to run through each single object.Hint: For running through entries care, that the minimum is 0 and the maximum is Count-1.

Datatype

Count() As long

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


RGMRecipeGroups-Methods

Manuel -> Interfaces de programmation -> Modèles d'objet -> RGMRecipeGroups -> RGMRecipeGroups-Methods

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description |  | Editor | Runtime | VBA | VSTA
VARIANT_BOOL | CheckIn | Save module modifications to server (editor). |  | available | not used | yes | yes
VARIANT_BOOL | CheckOut | Allow module modifications (editor). |  | available | not used | yes | yes
IRGMRecipeGroup | CreateGroup | - |  | available | available | yes | yes
VARIANT_BOOL | DeleteGroup | - |  | available | available | yes | yes
VARIANT_BOOL | Export | Exports the selected object to a XML file |  | available | not used | yes | yes
VARIANT_BOOL | Get | Get the latest version from the server (editor). |  | available | not used | yes | yes
VARIANT_BOOL | Import | Imports the selected XML file |  | available | available | yes | yes
VARIANT_BOOL | IsCheckedOut | Returns true when the current module checked out by the current user (editor). |  | read only | not used | yes | yes
VARIANT_BOOL | IsDifferent | Returns true when the local and server version are different (editor). | read only |  | not used | yes |  | yes
VARIANT_BOOL | IsLocked | Returns true when the current module is Locked by another user (editor). |  | read only | not used | yes | yes
IRGMRecipeGroup | Item | - |  | available | available | yes | yes
VARIANT_BOOL | RenameGroup | - |  | available | available | yes | yes
VARIANT_BOOL | SingleExport | Exports the Item with given Name oder Index |  | available | available | yes | yes
VARIANT_BOOL | UndoCheckOut | Undo module modifications (editor). |  | available | not used | yes | yes
VARIANT_BOOL | SingleExport | Exports the Item with given Name oder Index |  | available | available | yes | yes

Other topics in this chapter

Item

CreateGroup

DeleteGroup

RenameGroup

Get

CheckOut

CheckIn

UndoCheckOut

IsLocked

IsCheckedOut

IsDifferent

SingleExport

Export

Import


Item

Manuel -> Interfaces de programmation -> Modèles d'objet -> RGMRecipeGroups -> RGMRecipeGroups-Methods -> Item

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns a "RGMRecipeGroup" object by its name as a string or by its position.

Datatype

Item(VARIANT vPosOrName) As RGMRecipeGroup

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


CreateGroup

Manuel -> Interfaces de programmation -> Modèles d'objet -> RGMRecipeGroups -> RGMRecipeGroups-Methods -> CreateGroup

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Creates a new group by its name as string.

Datatype

CreateGroup(String bstrName) As RGMRecipeGroup

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


DeleteGroup

Manuel -> Interfaces de programmation -> Modèles d'objet -> RGMRecipeGroups -> RGMRecipeGroups-Methods -> DeleteGroup

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Deletes a group by its name as string.

Datatype

DeleteGroup(String bstrName) As Boolean

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


RenameGroup

Manuel -> Interfaces de programmation -> Modèles d'objet -> RGMRecipeGroups -> RGMRecipeGroups-Methods -> RenameGroup

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Renames a group by passing the old and new name as string.

Datatype

RenameGroup(String bstrOldName,String bstrNewName) As Boolean

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


Get

Manuel -> Interfaces de programmation -> Modèles d'objet -> RGMRecipeGroups -> RGMRecipeGroups-Methods -> Get

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Get the latest version from the server (editor). This option is only working for multi-user projects.

Datatype

Get() As Boolean

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


CheckOut

Manuel -> Interfaces de programmation -> Modèles d'objet -> RGMRecipeGroups -> RGMRecipeGroups-Methods -> CheckOut

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Allow module modifications (editor). This option is only working for multi-user projects.

Datatype

CheckOut() As Boolean

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


CheckIn

Manuel -> Interfaces de programmation -> Modèles d'objet -> RGMRecipeGroups -> RGMRecipeGroups-Methods -> CheckIn

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Save module modifications to server (editor). This option is only working for multi-user projects.

Datatype

CheckIn() As Boolean

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


UndoCheckOut

Manuel -> Interfaces de programmation -> Modèles d'objet -> RGMRecipeGroups -> RGMRecipeGroups-Methods -> UndoCheckOut

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Undo module modifications (editor). This option is only working for multi-user projects.

Datatype

UndoCheckOut() As Boolean

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


IsLocked

Manuel -> Interfaces de programmation -> Modèles d'objet -> RGMRecipeGroups -> RGMRecipeGroups-Methods -> IsLocked

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns true if modification changes are locked due to a checkout. This option is only working for multi-user projects.

Datatype

IsLocked() As Boolean

Availability

Environment | Available
Editor | read only
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


IsCheckedOut

Manuel -> Interfaces de programmation -> Modèles d'objet -> RGMRecipeGroups -> RGMRecipeGroups-Methods -> IsCheckedOut

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns true if scripts are checked out. This option is only working for multi-user projects.

Datatype

IsCheckedOut() As Boolean

Availability

Environment | Available
Editor | read only
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


IsDifferent

Manuel -> Interfaces de programmation -> Modèles d'objet -> RGMRecipeGroups -> RGMRecipeGroups-Methods -> IsDifferent

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns true if local version differs from server (editor) version. This option is only working for multi-user projects.

Datatype

IsDifferent() As VARIANT_BOOL

Availability

Environment | Available
Editor | read only
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


SingleExport

Manuel -> Interfaces de programmation -> Modèles d'objet -> RGMRecipeGroups -> RGMRecipeGroups-Methods -> SingleExport

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

SingleExport(VARIANT vIndexOrName,BSTR bsFileName) As VARIANT_BOOL

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

VB.NET

VBA

Examples

C#

VB.NET

VBA


Export

Manuel -> Interfaces de programmation -> Modèles d'objet -> RGMRecipeGroups -> RGMRecipeGroups-Methods -> Export

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Export settings to an xml file

Datatype

Export(String bsFileName) As Boolean

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

Filename (path) as string of the xml file to export.

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

bsFileName As String

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Private Sub zenOn_ExportImportSettings(ByRef zenOnObject As Object)
End Sub


Import

Manuel -> Interfaces de programmation -> Modèles d'objet -> RGMRecipeGroups -> RGMRecipeGroups-Methods -> Import

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Import settings from an xml file. New settings are added, existing settings will be replaced.

Datatype

Import(String bsFileName) As Boolean

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

Filename (path) as string of the xml file to import.

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

bsFileName As String

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Private Sub zenOn_ExportImportSettings(ByRef zenOnObject As Object)
End Sub


RGMRecipeGroups-Events

Manuel -> Interfaces de programmation -> Modèles d'objet -> RGMRecipeGroups -> RGMRecipeGroups-Events

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description |  | Editor | Runtime | VBA | VSTA
void | RecipeCreate | A new recipe is going to be created |  | available | available | yes | yes
void | RecipeCreated | A new recipe was created (from the RGM MDI screen). | not used |  | available | yes |  | yes
void | RecipeDelete | A recipe is going to be deleted |  | available | available | yes | yes
void | RecipeDuplicate | A recipe is going to be created as a duplicate |  | available | available | yes | yes
void | RecipeDuplicated | A recipe was created (from the RGM MDI screen) as a duplicate. | not used |  | available | yes |  | yes
void | RecipeRename | A recipe is going to be renamed |  | available | available | yes | yes
void | RecipeXMLImport | A recipe is going to be imported from a XML file. |  | available | available | yes | yes
void | StatusChange | A recipe status is going to be changed |  | available | available | yes | yes
void | VersionCreate | A new recipe version is going to be created |  | available | available | yes | yes
void | VersionCreated | A new recipe version was created (from the RGM MDI screen). | not used |  | available | yes |  | yes
void | VersionDelete | A recipe version is going to be deleted |  | available | available | yes | yes
void | VersionDuplicate | A recipe version is going to be created as a duplicate |  | available | available | yes | yes
void | VersionDuplicated | A recipe version was created (from the RGM MDI screen) as a duplicate | not used |  | available | yes |  | yes
void | VersionDuplicatedRead | A recipe version was created (from the RGM MDI screen) as a duplicate and read from the PLC | not used |  | available | yes |  | yes
void | VersionDuplicateRead | A recipe version is going to be created as a duplicate and read |  | available | available | yes | yes

Other topics in this chapter

StatusChange

RecipeCreate

VersionCreate

RecipeDuplicate

VersionDuplicate

VersionDuplicateRead

RecipeCreated

VersionCreated

RecipeDuplicated

VersionDuplicated

VersionDuplicatedRead

RecipeRename

RecipeDelete

VersionDelete

RecipeXMLImport


StatusChange

Manuel -> Interfaces de programmation -> Modèles d'objet -> RGMRecipeGroups -> RGMRecipeGroups-Events -> StatusChange

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Is requested before changing the status.

obRecipe The concerned recipe.

nStatusNew [ByRef]The wanted status in the way how the operater would like to change it.

bCancel [ByRef]Flag to cancel this action. If true, the action will be canceled.

Datatype

StatusChange(RGMRecipe obRecipe, long nStatusNew, Boolean bCancel) As void

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


RecipeCreate

Manuel -> Interfaces de programmation -> Modèles d'objet -> RGMRecipeGroups -> RGMRecipeGroups-Events -> RecipeCreate

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Is requested for validation before creating a recipe.

obRecipeGroup The concerned recipe group which the recipe is added to.

strNewName [ByRef]The recipe name to be assigned.

nNewNumber [ByRef]The recipe number to be assigned.

bCancel [ByRef]Flag to cancel this action. If true, the action will be canceled.

Datatype

RecipeCreate(RGMRecipeGroup obRecipeGroup, String strNewName, long nNewNumber, Boolean bCancel) As void

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


VersionCreate

Manuel -> Interfaces de programmation -> Modèles d'objet -> RGMRecipeGroups -> RGMRecipeGroups-Events -> VersionCreate

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Is requested for validation before creating a recipe version.

obRecipeGroup The concerned recipe group which the recipe is added to.

strNewName The recipe name.

nNewNumber [ByRef]The recipe number to be assigned.

bCancel [ByRef]Flag to cancel this action. If true, the action will be canceled.

Datatype

VersionCreate(RGMRecipeGroup obRecipeGroup, String strName, long nNewNumber, Boolean bCancel) As void

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


RecipeDuplicate

Manuel -> Interfaces de programmation -> Modèles d'objet -> RGMRecipeGroups -> RGMRecipeGroups-Events -> RecipeDuplicate

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Is requested for validation before duplicating (save recipe under) a recipe.

obRecipeGroup The concerned recipe group which the recipe is added to.

strNewName [ByRef]The recipe name to be assigned.

nNewNumber [ByRef]The recipe number to be assigned.

bCancel [ByRef]Flag to cancel this action. If true, the action will be canceled.

Datatype

RecipeDuplicate(RGMRecipeGroup obRecipeGroup, String strNewName, long nNewNumber, Boolean bCancel) As void

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


VersionDuplicate

Manuel -> Interfaces de programmation -> Modèles d'objet -> RGMRecipeGroups -> RGMRecipeGroups-Events -> VersionDuplicate

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Wird zur Validierung vor dem Anlegen der Rezeptversion beim Duplizieren aufgerufen.

obRecipeGroup Die betroffene Rezeptgruppe zu welcher das Rezept hinzugefügt wird.

strNewName Der Rezeptname.

nNewNumber [ByRef]Die zu vergebende Rezeptnummer.

bCancel [ByRef]Das Flag um diese Aktion abzubrechen. Bei True wird die Aktion abgebrochen.

Datatype

VersionDuplicate(RGMRecipeGroup obRecipeGroup, String strName, long nNewNumber, Boolean bCancel) As void

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


VersionDuplicateRead

Manuel -> Interfaces de programmation -> Modèles d'objet -> RGMRecipeGroups -> RGMRecipeGroups-Events -> VersionDuplicateRead

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

It is requested for validation before creating a recipe version on "duplicate and read".

obRecipeGroup The concerned recipe group which the recipe is added to.

strNewName The recipe name.

nNewNumber [ByRef]The recipe number to be assigned.

bCancel [ByRef]The Flag to cancel the action. If true, the action will be canceled.

Datatype

VersionDuplicateRead(RGMRecipeGroup obRecipeGroup, String strName, long nNewNumber, Boolean bCancel) As void

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


RecipeCreated

Manuel -> Interfaces de programmation -> Modèles d'objet -> RGMRecipeGroups -> RGMRecipeGroups-Events -> RecipeCreated

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

RecipeCreated(RGMRecipe obRecipe) As void

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


VersionCreated

Manuel -> Interfaces de programmation -> Modèles d'objet -> RGMRecipeGroups -> RGMRecipeGroups-Events -> VersionCreated

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

VersionCreated(RGMRecipe obRecipe) As void

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


RecipeDuplicated

Manuel -> Interfaces de programmation -> Modèles d'objet -> RGMRecipeGroups -> RGMRecipeGroups-Events -> RecipeDuplicated

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Is requested after duplicating a recipe.

obRecipe [ByRef] The new created recipe.

Datatype

RecipeDuplicated(RGMRecipe obRecipe) As void

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


VersionDuplicated

Manuel -> Interfaces de programmation -> Modèles d'objet -> RGMRecipeGroups -> RGMRecipeGroups-Events -> VersionDuplicated

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Is requested after duplicating a recipe version.

obRecipe [ByRef]The new recipe version which has been created.

Datatype

VersionDuplicated(RGMRecipe obRecipe) As void

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


VersionDuplicatedRead

Manuel -> Interfaces de programmation -> Modèles d'objet -> RGMRecipeGroups -> RGMRecipeGroups-Events -> VersionDuplicatedRead

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Is requested after „duplicate and read" of a recipe version.

obRecipe [ByRef]The recipe version which has been created new.

Datatype

VersionDuplicatedRead(RGMRecipe obRecipe) As void

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


RecipeRename

Manuel -> Interfaces de programmation -> Modèles d'objet -> RGMRecipeGroups -> RGMRecipeGroups-Events -> RecipeRename

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Is requested for validation before renaming a recipe.

obRecipe The lowest version of the concerned recipe.

strNewName [ByRef]The new recipe name.

bCancel [ByRef]Flag to cancel this action. If true, the action will be canceled.

Datatype

RecipeRename(RGMRecipe obRecipe, String strNewName, Boolean bCancel) As void

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


RecipeDelete

Manuel -> Interfaces de programmation -> Modèles d'objet -> RGMRecipeGroups -> RGMRecipeGroups-Events -> RecipeDelete

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Is requested for validation before deleting a recipe (with all its versions).

obRecipe The lowest version of the concerned recipe.

bCancel [ByRef]Flag to cancel this action. If true, the action will be canceled.

Datatype

RecipeDelete(RGMRecipe obRecipe, Boolean bCancel) As void

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


VersionDelete

Manuel -> Interfaces de programmation -> Modèles d'objet -> RGMRecipeGroups -> RGMRecipeGroups-Events -> VersionDelete

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Is requested for validation before deleting a recipe version.

obRecipe The recipe version to be deleted.

bCancel [ByRef]Flag to cancel this action. If true, the action is canceled.

Datatype

VersionDelete(RGMRecipe obRecipe, Boolean bCancel) As void

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


RecipeXMLImport

Manuel -> Interfaces de programmation -> Modèles d'objet -> RGMRecipeGroups -> RGMRecipeGroups-Events -> RecipeXMLImport

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

RecipeXMLImport(tpRGMRecipeImport nEventTopic, IRGMRecipeGroup obRecipeGroup, String strRecipeName, long nRecipeVersion, long lCancel) As void

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Dim WithEvents zRGMRecipeGroups As RGMRecipeGroups

Private Sub Project_Active()
Set zRGMRecipeGroups = thisProject.RGMGroups
End Sub

Public Sub zRGMRecipeGroups_RecipeXMLImport(ByVal nEventTopic As tpRGMRecipeImport, _
ByVal obRecipeGroup As IRGMRecipeGroup, _
ByVal strRecipeName As String, _
ByVal nRecipeVersion As Long, _
lCancel As Long)
Select Case nEventTopic
Case tpRGMRecipeImport.tpOverwriteRecipe
Debug.Print ("Overwrite recipe: " & tpRGMRecipeImport.tpOverwriteRecipe)
Case tpRGMRecipeImport.tpCreateNewRecipe
Debug.Print ("Create new recipe: " & tpRGMRecipeImport.tpCreateNewRecipe)
Case tpRGMRecipeImport.tpValuesDiffer
Debug.Print ("Values differ: " & tpRGMRecipeImport.tpValuesDiffer)
End Select
Debug.Print ("=======================================")
Debug.Print ("Recipe Group: " & obRecipeGroup.Name)
Debug.Print ("Recipe Name: " & strRecipeName)
Debug.Print ("Recipe Count: " & obRecipeGroup.RecipeCount)
Debug.Print ("Recipe Version: " & nRecipeVersion)

If (obRecipeGroup.RecipeCount = 1) Then
'Continue import
lCancel = 0
ElseIf (obRecipeGroup.RecipeCount = 2) Then
'Cancel the import for the current recipe and proceed with the next recipe.
lCancel = 1
ElseIf obRecipeGroup.RecipeCount > 2 Then
'Cancel the import for the current recipe and proceed with the next recipegroup
lCancel = 2
End If
End Sub


RGMRecipeGroups-Dynamic properties

Manuel -> Interfaces de programmation -> Modèles d'objet -> RGMRecipeGroups -> RGMRecipeGroups-Dynamic properties

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Dynproperties

Base recipes

Other topics in this chapter

Base recipes


Base recipes

Manuel -> Interfaces de programmation -> Modèles d'objet -> RGMRecipeGroups -> RGMRecipeGroups-Dynamic properties -> Base recipes

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Type

VBA/VSTA Name

Display Name

Description

ZT_MEMFILE

StatusList

Identifiant d'état de recette

Configuration de l’identifiant d’état. Cliquez sur la propriété pour ouvrir la boîte de dialogue de configuration. Une liste d’états est utilisée lors de la sélection de l’état dans la recette.

Plus de détails dans l’aide en ligne.

VT_BOOL

WriteInvalidRecipes

Recettes invalides écrites via la fonction

Définit si les recettes comportant des valeurs non conformes à la plage de valeurs valides peuvent être écrites à l’aide du module Recipe Group Manager.

  • Active : les recettes non valides peuvent être écrites.
  • Inactive : les recettes non valides ne peuvent pas être écrites.

Par défaut : Inactive

Plus de détails dans l’aide en ligne.

ZT_PICTURE

BoolKbd

Tags binaires

Sélection d’un clavier pour les saisies de valeurs binaires. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection d’un synoptique de type Clavier.

Plus de détails dans l’aide en ligne.

ZT_PICTURE

NumKbd

Tags numériques

Sélection d’un clavier pour les saisies de valeurs numériques. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection d’un synoptique de type Clavier.

Plus de détails dans l’aide en ligne.

ZT_PICTURE

StringKbd

Tags de chaîne

Sélection d’un clavier pour les saisies de chaînes. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection d’un synoptique de type Clavier.

Plus de détails dans l’aide en ligne.

ZT_COLOR

TextColorInvalidValue

Couleur de texte valeurs recette invalides

Sélection de la couleur de texte pour les cellules contenant des valeurs non valides. Ceci met en évidence les paramètres non conformes à la valeur minimum/maximum définie ou dont l’action est liée à une valeur qui n’est pas présente ou pas accessible. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de couleurs ou de palettes de couleurs. La saisie peut également être effectuée directement dans le champ, sous forme de valeur hexadécimale précédée de #.

Par défaut : Blanc (#FFFFFF)

Plus de détails dans l’aide en ligne.

ZT_COLOR

BackColorInvalidValue

Couleur de fond valeurs recette invalides

Sélection de la couleur d’arrière-plan pour les cellules contenant des valeurs non valides. Ceci met en évidence les paramètres non conformes à la valeur minimum/maximum définie ou dont l’action est liée à une valeur qui n’est pas présente ou pas accessible. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de couleurs ou de palettes de couleurs. La saisie peut également être effectuée directement dans le champ, sous forme de valeur hexadécimale précédée de #.

Par défaut : Rouge (#DD4814)

Plus de détails dans l’aide en ligne.

ZT_COLOR

TextColorMatchPLC

Couleur de texte valeur recette égale valeur automate

Sélection de la couleur de texte pour les valeurs correspondantes. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de couleurs ou de palettes de couleurs. La saisie peut également être effectuée directement dans le champ, sous forme de valeur hexadécimale précédée de #.

Par défaut : Blanc (#FFFFFF)

Plus de détails dans l’aide en ligne.

ZT_COLOR

BackColorMatchPLC

Couleur de fond valeur recette égale valeur automate

Sélection de la couleur d’arrière-plan des valeurs correspondantes. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de couleurs ou de palettes de couleurs. La saisie peut également être effectuée directement dans le champ, sous forme de valeur hexadécimale précédée de #.

Par défaut : Vert (#96BD33)

Plus de détails dans l’aide en ligne.

ZT_COLOR

TextColorNoMatchPLC

Couleur de texte valeur recette différente valeur automate

Sélection de la couleur de texte pour les différentes valeurs d’automate. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de couleurs ou de palettes de couleurs. La saisie peut également être effectuée directement dans le champ, sous forme de valeur hexadécimale précédée de #.

Par défaut : Blanc (#FFFFFF)

Plus de détails dans l’aide en ligne.

ZT_COLOR

BackColorNoMatchPLC

Couleur de fond valeur recette différente valeur automate

Sélection de la couleur d’arrière-plan pour les différentes valeurs d’automate. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de couleurs ou de palettes de couleurs. La saisie peut également être effectuée directement dans le champ, sous forme de valeur hexadécimale précédée de #.

Par défaut : Rouge (#DD4814)

Plus de détails dans l’aide en ligne.

ZT_COLOR

TextColorInvalidPLC

Couleur de texte pour valeurs automate invalides

Sélection de la couleur de texte pour les valeurs d’automate non valides. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de couleurs ou de palettes de couleurs. La saisie peut également être effectuée directement dans le champ, sous forme de valeur hexadécimale précédée de #.

Par défaut : Blanc (#FFFFFF)

Plus de détails dans l’aide en ligne.

ZT_COLOR

BackColorInvalidPLC

Couleur de fond pour valeurs automate invalides

Sélection de la couleur d’arrière-plan texte pour les valeurs d’automate non valides. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de couleurs ou de palettes de couleurs. La saisie peut également être effectuée directement dans le champ, sous forme de valeur hexadécimale précédée de #.

Par défaut : Bleu (#3D6894)

Plus de détails dans l’aide en ligne.

ZT_COLOR

TextColorInterlockedParameter

Couleur de texte pour paramètres recette verrouillée

Sélection de la couleur de texte pour les paramètres de recette verrouillés.Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de couleurs ou de palettes de couleurs. La saisie peut également être effectuée directement dans le champ, sous forme de valeur hexadécimale précédée de #.

Par défaut : Noir (#000000)

Plus de détails dans l’aide en ligne.

ZT_COLOR

BackColorInterlockedParameter

Couleur de fond pour paramètres recette verrouillée

Sélection de la couleur d’arrière-plan des paramètres de recette verrouillés. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de couleurs ou de palettes de couleurs. La saisie peut également être effectuée directement dans le champ, sous forme de valeur hexadécimale précédée de #.

Par défaut : Gris (#D3D3D3)

Plus de détails dans l’aide en ligne.


RGMRecipeValue

Manuel -> Interfaces de programmation -> Modèles d'objet -> RGMRecipeValue

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

The "RGMRecipeValue" object is utilized by the "RGMRecipe" object, in order to define the characteristics.

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Examples

C#

VB.NET

VB.NET-Syntax

VBA

Sub GetValuesOfRecipe(myRGMRecipe As RGMRecipe)
'Declarations
Dim zRGM_Value As RGMRecipeValue
Dim i As Integer

'enum all values of the recipe
For i = 0 To myRGMRecipe.ValueCount - 1
Set zRGM_Value = myRGMRecipe.ValueItem(i)
Debug.Print "Value: " & zRGM_Value.VarName & " = " & zRGM_Value.DynProperties("Value")
Next i

End Sub

Other topics in this chapter

RGMRecipeValue-Properties

RGMRecipeValue-Methods

RGMRecipeValue-Dynamic properties


RGMRecipeValue-Properties

Manuel -> Interfaces de programmation -> Modèles d'objet -> RGMRecipeValue -> RGMRecipeValue-Properties

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
IRGMRecipe | Parent | Parent of object | read only | read only | yes | yes
BSTR | VarName | Name of the Variable | read only | read only | yes | yes

Other topics in this chapter

Parent

VarName


Parent

Manuel -> Interfaces de programmation -> Modèles d'objet -> RGMRecipeValue -> RGMRecipeValue-Properties -> Parent

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the parent object

Datatype

Parent() As RGMRecipe

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


VarName

Manuel -> Interfaces de programmation -> Modèles d'objet -> RGMRecipeValue -> RGMRecipeValue-Properties -> VarName

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the name of the assigned variable.

Datatype

VarName() As String

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


RGMRecipeValue-Methods

Manuel -> Interfaces de programmation -> Modèles d'objet -> RGMRecipeValue -> RGMRecipeValue-Methods

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
void | DynProperties [PUT] | - | available | available | yes | yes
VARIANT | DynProperties [GET] | - | available | available | yes | yes
VARIANT | DynPropertiesEnum [GET] | - | read only | read only | yes | yes
IPropParam | DynPropertyParam [GET] | Returns the PropParam objekt of the given DynProperty | read only | not used | yes | yes

Other topics in this chapter

DynPropertyParam [GET]

DynPropertiesEnum [GET]

DynProperties [GET]

DynProperties [PUT]


DynPropertyParam [GET]

Manuel -> Interfaces de programmation -> Modèles d'objet -> RGMRecipeValue -> RGMRecipeValue-Methods -> DynPropertyParam [GET]

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

DynPropertyParam [GET](BSTR bsPath) As PropParam

Availability

Environment | Available
Editor | read only
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


DynPropertiesEnum [GET]

Manuel -> Interfaces de programmation -> Modèles d'objet -> RGMRecipeValue -> RGMRecipeValue-Methods -> DynPropertiesEnum [GET]

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

DynPropertiesEnum(String bsPath) As VARIANT

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes

Parameters

A String which defines the entry point to get out all available properties of the object.

A blank String like that returns the first layer of properties:

DynPropertiesEnum("")

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

bsPath As String

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Sub ReadDynProps()
End Sub


DynProperties [GET]

Manuel -> Interfaces de programmation -> Modèles d'objet -> RGMRecipeValue -> RGMRecipeValue-Methods -> DynProperties [GET]

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

DynProperties(String bsPath) As VARIANT

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

A String which defines the Property.

Example: "NetAktive"

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

bsPath As String

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Sub GetDynProp()
'Sample: GSet the Network Aktive Flag of the Project.
If MyWorkspace.ActiveDocument.DynProperties("NetActive") = True Then
'read the server - computername...
Debug.Print "Server: " & MyWorkspace.ActiveDocument.DynProperties("NetServer")
End If
End Sub


DynProperties [PUT]

Manuel -> Interfaces de programmation -> Modèles d'objet -> RGMRecipeValue -> RGMRecipeValue-Methods -> DynProperties [PUT]

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

DynProperties (String bsPath,VARIANT vValue) As void

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

A String which defines the Property.

Example: "NetAktive"

Returns a variant value depending to the property, it can be a boolean, a long, or a whole object.

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

bsPath As String

vValue As Variant

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Sub SetDynProp()
End Sub


RGMRecipeValue-Dynamic properties

Manuel -> Interfaces de programmation -> Modèles d'objet -> RGMRecipeValue -> RGMRecipeValue-Dynamic properties

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Dynproperties

Object value

Other topics in this chapter

Object value


Object value

Manuel -> Interfaces de programmation -> Modèles d'objet -> RGMRecipeValue -> RGMRecipeValue-Dynamic properties -> Object value

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | VBA/VSTA Name | Display Name | Description
VT_UI4 | Type | Action | This property defines the action type on a recipe variable.
ZT_VARIABLE | Variable | Variable | This property returns the recipe variable.
VT_I4 | Offset | Offset | "This property returns the offset for variables with an old-style array. It returns ""-1"" when a normal variable is used. ""0"" is the first element in the old style array."
ZT_VARIABLE | SourceVar | SourceVar | "This property returns the variable which is linked to the recipe variable when action type ""Link to PV"" is used."
VT_I4 | SourceOffset | SourceOffset | "this property returns the index of the old array when ""link with PV"" is used and the source variable has an old-style array. It returns ""-1"" in normal cases, where the source variable is a normal variable."
VT_R8 | Value | Valeur ou variable | "This property returns the projected value when action type: ""Modify spontaneous value"", ""Switch to and modify spontaneous value"", ""modify substitute value"" or Switch to and modify alternate value is projected."
VT_BSTR | StringValue | StringValue | "This property returns the project string when action type ""user status"" is used."


RGMRecipeVar

Manuel -> Interfaces de programmation -> Modèles d'objet -> RGMRecipeVar

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

This object is utilized by the "RGMRecipeGroup" object, in order to define which Variable is assigned to it.

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Examples

C#

VB.NET

VB.NET-Syntax

VBA

Sub GetVariablesOfGroup(myRGMGroup As RGMRecipeGroup)
'Declarations
Dim zRGM_Variable As RGMRecipeVar
Dim i As Integer

'enum all variables of the group
For i = 0 To myRGMGroup.VariableCount - 1
Set zRGM_Variable = myRGMGroup.VariableItem(i)
Debug.Print "Variable: " & zRGM_Variable.Name
Next i

End Sub

Other topics in this chapter

RGMRecipeVar-Properties

RGMRecipeVar-Methods

RGMRecipeVar-Dynamic properties


RGMRecipeVar-Properties

Manuel -> Interfaces de programmation -> Modèles d'objet -> RGMRecipeVar -> RGMRecipeVar-Properties

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
BSTR | Name | Name of the Variable | read only | read only | yes | yes
IRGMRecipeGroup | Parent | Parent of object | read only | read only | yes | yes

Other topics in this chapter

Parent

Name


Parent

Manuel -> Interfaces de programmation -> Modèles d'objet -> RGMRecipeVar -> RGMRecipeVar-Properties -> Parent

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the parent object

Datatype

Parent() As RGMRecipeGroup

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


Name

Manuel -> Interfaces de programmation -> Modèles d'objet -> RGMRecipeVar -> RGMRecipeVar-Properties -> Name

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the name of the assigned variable.

Datatype

Name() As String

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


RGMRecipeVar-Methods

Manuel -> Interfaces de programmation -> Modèles d'objet -> RGMRecipeVar -> RGMRecipeVar-Methods

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
void | DynProperties [PUT] | - | available | available | yes | yes
VARIANT | DynProperties [GET] | - | available | available | yes | yes
VARIANT | DynPropertiesEnum [GET] | - | read only | read only | yes | yes
IPropParam | DynPropertyParam [GET] | Returns the PropParam objekt of the given DynProperty | read only | not used | yes | yes

Other topics in this chapter

DynPropertyParam [GET]

DynPropertiesEnum [GET]

DynProperties [GET]

DynProperties [PUT]


DynPropertyParam [GET]

Manuel -> Interfaces de programmation -> Modèles d'objet -> RGMRecipeVar -> RGMRecipeVar-Methods -> DynPropertyParam [GET]

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

DynPropertyParam [GET](BSTR bsPath) As PropParam

Availability

Environment | Available
Editor | read only
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


DynPropertiesEnum [GET]

Manuel -> Interfaces de programmation -> Modèles d'objet -> RGMRecipeVar -> RGMRecipeVar-Methods -> DynPropertiesEnum [GET]

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

DynPropertiesEnum(String bsPath) As VARIANT

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes

Parameters

A String which defines the entry point to get out all available properties of the object.

A blank String like that returns the first layer of properties:

DynPropertiesEnum("")

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

bsPath As String

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Sub ReadDynProps()
End Sub


DynProperties [GET]

Manuel -> Interfaces de programmation -> Modèles d'objet -> RGMRecipeVar -> RGMRecipeVar-Methods -> DynProperties [GET]

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

DynProperties(String bsPath) As VARIANT

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Sub GetDynProp()
'Sample: GSet the Network Aktive Flag of the Project.
If MyWorkspace.ActiveDocument.DynProperties("NetActive") = True Then
'read the server - computername...
Debug.Print "Server: " & MyWorkspace.ActiveDocument.DynProperties("NetServer")
End If
End Sub


DynProperties [PUT]

Manuel -> Interfaces de programmation -> Modèles d'objet -> RGMRecipeVar -> RGMRecipeVar-Methods -> DynProperties [PUT]

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

DynProperties (String bsPath,VARIANT vValue) As void

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

A String which defines the Property.

Example: "NetAktive"

Returns a variant value depending to the property, it can be a boolean, a long, or a whole object.

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

bsPath As String

vValue As Variant

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Sub SetDynProp()
End Sub


RGMRecipeVar-Dynamic properties

Manuel -> Interfaces de programmation -> Modèles d'objet -> RGMRecipeVar -> RGMRecipeVar-Dynamic properties

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Dynproperties

Object channell

Other topics in this chapter

Object channell


Object channell

Manuel -> Interfaces de programmation -> Modèles d'objet -> RGMRecipeVar -> RGMRecipeVar-Dynamic properties -> Object channell

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Type

VBA/VSTA Name

Display Name

Description

VT_BOOL

RangeFromVar

Plages de la variable

Active : Les valeurs limite définies sont dynamiquement dérivées de la variable, et ne sont pas définies de manière fixe dans le groupe de recettes.

Plus de détails dans l’aide en ligne.

VT_R8

Min

Valeur min.

Valeur minimum de la variable.
Disponible uniquement si la propriété Plages de la variable n’a pas été activée.

Plus de détails dans l’aide en ligne.

VT_R8

Max

Valeur max.

Valeur maximum de la variable.
Disponible uniquement si la propriété Plages de la variable n’a pas été activée.

Plus de détails dans l’aide en ligne.

VT_BSTR

Interlocking

Verrouillage

Attribution d’un verrouillage à une variable. Sélectionnez dans la liste déroulante.

Plus de détails dans l’aide en ligne.

ZT_VARIABLE

VisibilityVar

Variable de visibilité

Sélectionnez une variable pour contrôler la visibilité. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection.

Plus de détails dans l’aide en ligne.

VT_BSTR

Filter

ColOrderAll

ZT_PICTURE

Keyboard

Synoptique clavier

Lien d’un synoptique de type Clavier devant être appelé par un clic gauche sur la variable pour saisir une valeur dans le Runtime. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection.

Plus de détails dans l’aide en ligne.

ZT_VARIABLE

ShadowVariable

Variable de recette graphique

Les variables de recette graphique permettent de modifier une valeur d’une recette du module RGM par le biais d’un synoptique dans le Runtime. Une variable de recette graphique peut être définie pour chaque variable dans une recette. Dans le Runtime, la variable du module RGM est remplacée par une variable de recette graphique via la fonction Recipe Group Manager, avec l’action Écrire la valeur de la recette dans une variable de sauvegarde, puis réécrite, en cas de modification dans le module RGM, avec l’action Écrire la variable de sauvegarde dans la valeur de la recette.

Cliquez sur le bouton pour afficher une boîte de dialogue de sélection des variables de sauvegarde. Chaque variable de recette graphique peut uniquement être utilisée une fois par groupe de recettes.

Plus de détails dans l’aide en ligne.

ZT_VARIABLE

Variable

Nom de la variable

This property returns the recipe variable.

VT_I4

Offset

Offset

"This property returns the offset for variables with an old-style array. It returns ""-1"" when a normal variable is used. ""0"" is the first element in the old style array."


RtFunction

Manuel -> Interfaces de programmation -> Modèles d'objet -> RtFunction

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

This object is a zenOn function and contains the most important information about the function.A function can be accessed by a unique name, that has to be defined for it, or you can run through all functions by its index.

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Examples

C#

VB.NET

VB.NET-Syntax

VBA

'########################################################################'
'# Procedure to change the properties of a function with replacing... #'
'# -------------------------------------------------------------------- #'
'# In the picture to show there are several linked variables, #'
'# beginning with 'Dummy/Dummy' this string will be replaced with the #'
'# given parameter 'strDest' and the function will be executed. #'
'########################################################################'
Sub ChangeFunction(strName As String, strDest As String)
Dim zFCT As RtFunction
Dim strTemp As String
Dim i As Integer

Set zFCT = thisProject.RtFunctions.Item(strName)
If zFCT Is Nothing Then
MsgBox "A function called: " & strName & " is missing!"
Exit Sub
End If
With zFCT
For i = 0 To CLng(.DynProperties("PictSwitch.SubstiVar")) - 1
strTemp = .DynProperties("PictSwitch.SubstiVar[" & i & "].Source")
strTemp = Replace(strTemp, "Dummy/Dummy", strDest)
.DynProperties("PictSwitch.SubstiVar[" & i & "].Destination") = strTemp
Next i
For i = 0 To CLng(.DynProperties("PictSwitch.SubstiFkt")) - 1
strTemp = .DynProperties("PictSwitch.SubstiFkt[" & i & "].Source")
strTemp = Replace(strTemp, "Dummy/Dummy", strDest)
.DynProperties("PictSwitch.SubstiFkt[" & i & "].Destination") = strTemp
Next i
End With
End Sub

Other topics in this chapter

RtFunction-Properties

RtFunction-Methods

RtFunction-Dynamic properties


RtFunction-Properties

Manuel -> Interfaces de programmation -> Modèles d'objet -> RtFunction -> RtFunction-Properties

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
VARIANT_BOOL | Actual |  | available | read only | yes | yes
VARIANT_BOOL | Client |  | available | read only | yes | yes
BSTR | Name |  | available | read only | yes | yes
BSTR | ParamString |  | read only | read only | yes | yes
IRtFunctions | Parent |  | read only | read only | yes | yes
VARIANT_BOOL | Server |  | available | read only | yes | yes
VARIANT_BOOL | StandBy |  | available | read only | yes | yes
long | Type |  | read only | read only | yes | yes
long | ID |  | read only | read only | yes | yes

Other topics in this chapter

Parent

Name

ParamString

Type

Actual

Server

StandBy

Client

ID


Parent

Manuel -> Interfaces de programmation -> Modèles d'objet -> RtFunction -> RtFunction-Properties -> Parent

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the parent object

Datatype

Parent() As RtFunctions

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


Name

Manuel -> Interfaces de programmation -> Modèles d'objet -> RtFunction -> RtFunction-Properties -> Name

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

This property returns the name to identify the function. This name can be (but may not in earlier version) defined in the Editor on creating the function. The user has to define the name explicitely.This name has to be unique.

Datatype

Name() As String

Availability

Environment | Available
Editor | available
Runtime | read only
VBA | yes
VSTA | yes


ParamString

Manuel -> Interfaces de programmation -> Modèles d'objet -> RtFunction -> RtFunction-Properties -> ParamString

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the string wich is shown in the editor.

Datatype

ParamString() As String

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


Type

Manuel -> Interfaces de programmation -> Modèles d'objet -> RtFunction -> RtFunction-Properties -> Type

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

Type() As long

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


Actual

Manuel -> Interfaces de programmation -> Modèles d'objet -> RtFunction -> RtFunction-Properties -> Actual

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

The function will be executed on the PC on which it was started. Only available in network projects!

Datatype

Actual() As Boolean

Availability

Environment | Available
Editor | available
Runtime | read only
VBA | yes
VSTA | yes


Server

Manuel -> Interfaces de programmation -> Modèles d'objet -> RtFunction -> RtFunction-Properties -> Server

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

The function will be executed on the server of the project. Only available in network projects!

Datatype

Server() As Boolean

Availability

Environment | Available
Editor | available
Runtime | read only
VBA | yes
VSTA | yes


StandBy

Manuel -> Interfaces de programmation -> Modèles d'objet -> RtFunction -> RtFunction-Properties -> StandBy

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

The function will be executed on the standby server of the project. Only available in network projects!

Datatype

StandBy() As Boolean

Availability

Environment | Available
Editor | available
Runtime | read only
VBA | yes
VSTA | yes


Client

Manuel -> Interfaces de programmation -> Modèles d'objet -> RtFunction -> RtFunction-Properties -> Client

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

The function will be executed on all clients of the project. Only available in network projects!

Datatype

Client() As Boolean

Availability

Environment | Available
Editor | available
Runtime | read only
VBA | yes
VSTA | yes


ID

Manuel -> Interfaces de programmation -> Modèles d'objet -> RtFunction -> RtFunction-Properties -> ID

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

ID() As long

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


RtFunction-Methods

Manuel -> Interfaces de programmation -> Modèles d'objet -> RtFunction -> RtFunction-Methods

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description |  | Editor | Runtime | VBA | VSTA
VARIANT_BOOL | CheckIn | Save module modifications to server (editor). |  | available | not used | yes | yes
VARIANT_BOOL | CheckOut | Allow module modifications (editor). |  | available | not used | yes | yes
VARIANT_BOOL | Copy | - |  | available | not used | yes | yes
VARIANT_BOOL | CreateDynProperty | - |  | available | available | yes | yes
void | DynProperties [PUT] | - |  | available | available | yes | yes
VARIANT | DynProperties [GET] | - |  | available | available | yes | yes
VARIANT | DynPropertiesEnum [GET] | - |  | read only | read only | yes | yes
VARIANT_BOOL | Get | Get the latest version from the server (editor). |  | available | not used | yes | yes
VARIANT_BOOL | IsCheckedOut | Returns true when the current module checked out by the current user (editor). |  | read only | not used | yes | yes
VARIANT_BOOL | IsDifferent | Returns true when the local and server version are different (editor). | read only |  | not used | yes |  | yes
VARIANT_BOOL | IsLocked | Returns true when the current module is Locked by another user (editor). |  | read only | not used | yes | yes
VARIANT_BOOL | Parameter | - |  | available | not used | yes | yes
VARIANT_BOOL | Start | - |  | not used | available | yes | yes
VARIANT_BOOL | UndoCheckOut | Undo module modifications (editor). |  | available | not used | yes | yes
IPropParam | DynPropertyParam [GET] | Returns the PropParam objekt of the given DynProperty |  | read only | not used | yes | yes

Other topics in this chapter

DynPropertyParam [GET]

DynPropertiesEnum [GET]

DynProperties [GET]

DynProperties [PUT]

CreateDynProperty

Start

Parameter

Copy

Get

CheckOut

CheckIn

UndoCheckOut

IsLocked

IsCheckedOut

IsDifferent


DynPropertyParam [GET]

Manuel -> Interfaces de programmation -> Modèles d'objet -> RtFunction -> RtFunction-Methods -> DynPropertyParam [GET]

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

DynPropertyParam [GET](BSTR bsPath) As PropParam

Availability

Environment | Available
Editor | read only
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


DynPropertiesEnum [GET]

Manuel -> Interfaces de programmation -> Modèles d'objet -> RtFunction -> RtFunction-Methods -> DynPropertiesEnum [GET]

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

DynPropertiesEnum(String bsPath) As VARIANT

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes

Parameters

A String which defines the entry point to get out all available properties of the object.

A blank String like that returns the first layer of properties:

DynPropertiesEnum("")

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

bsPath As String

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Sub ReadDynProps()
End Sub


DynProperties [GET]

Manuel -> Interfaces de programmation -> Modèles d'objet -> RtFunction -> RtFunction-Methods -> DynProperties [GET]

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

DynProperties(String bsPath) As VARIANT

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

A String which defines the Property.

Example: "NetAktive"

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

bsPath As String

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Sub GetDynProp()
'Sample: GSet the Network Aktive Flag of the Project.
If MyWorkspace.ActiveDocument.DynProperties("NetActive") = True Then
'read the server - computername...
Debug.Print "Server: " & MyWorkspace.ActiveDocument.DynProperties("NetServer")
End If
End Sub


DynProperties [PUT]

Manuel -> Interfaces de programmation -> Modèles d'objet -> RtFunction -> RtFunction-Methods -> DynProperties [PUT]

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

DynProperties (String bsPath,VARIANT vValue) As void

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

A String which defines the Property.

Example: "NetAktive"

Returns a variant value depending to the property, it can be a boolean, a long, or a whole object.

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

bsPath As String

vValue As Variant

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Sub SetDynProp()
End Sub


CreateDynProperty

Manuel -> Interfaces de programmation -> Modèles d'objet -> RtFunction -> RtFunction-Methods -> CreateDynProperty

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

A new Subitem of the Function (i.e. Filter settings) can be created.

Datatype

CreateDynProperty(String bsPath) As Boolean

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

DynProperty as String to be created.

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

bsPath As String

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

'Create Function for TREND - PICTURE
Sub TrendFunction()
Dim zFCT As RtFunction
Dim i As Integer

'Get function
Set zFCT = MyWorkspace.ActiveDocument.RtFunctions.Item("picTREND")
'function settings...
With zFCT
'check amount of 'PictFilter' subitems (normaly 1)
i = .DynProperties("PictFilter[-1]")
'if 0 (not exists) then create it...
If i = 0 Then .CreateDynProperty "PictFilter"
'change some settings
.DynProperties("PictFilter[0].RefreshRate") = 1

'enum CURVES
For i = 0 To CInt(.DynProperties("PictFilter[0].Curve[-1]")) - 1
'print curve settings
Debug.Print .DynProperties("PictFilter[0].Curve[" & i & "].GraphName")
Debug.Print .DynProperties("PictFilter[0].Curve[" & i & "].VarInfo.VarName")
Debug.Print .DynProperties("PictFilter[0].Curve[" & i & "].YAxe.Scale.ScaleTop")
Debug.Print .DynProperties("PictFilter[0].Curve[" & i & "].YAxe.Scale.ScaleBotton")
Next i
End With
End Sub


Start

Manuel -> Interfaces de programmation -> Modèles d'objet -> RtFunction -> RtFunction-Methods -> Start

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

This method executes the function with its defined parameters (also the parameter 'with filter dialog').The parameters cannot be changed with VBA.

Datatype

Start() As Boolean

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


Parameter

Manuel -> Interfaces de programmation -> Modèles d'objet -> RtFunction -> RtFunction-Methods -> Parameter

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Opens the dialog in the editor to configure the actual function.

Datatype

Parameter() As Boolean

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


Copy

Manuel -> Interfaces de programmation -> Modèles d'objet -> RtFunction -> RtFunction-Methods -> Copy

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Copies the settings of an existing function to the function object.

Datatype

Copy(IRtFunction pSource) As Boolean

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

Existing function to be copied as object

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

pSource As RtFunction

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Sub CopyFunction()
Dim zFct As RtFunction
Dim zFctCopy As RtFunction
'get existing function
Set zFct = MyWorkspace.ActiveDocument.RtFunctions.Item("picSTART")
'create new function
Set zFctCopy = MyWorkspace.ActiveDocument.RtFunctions.Create("TESTING", tpPicture)
'copy existing function settings to new one...
Debug.Print zFctCopy.Copy(zFct)
End Sub


Get

Manuel -> Interfaces de programmation -> Modèles d'objet -> RtFunction -> RtFunction-Methods -> Get

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Get the latest version from the server (editor). This option is only working for multi-user projects.

Datatype

Get() As Boolean

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


CheckOut

Manuel -> Interfaces de programmation -> Modèles d'objet -> RtFunction -> RtFunction-Methods -> CheckOut

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Allow module modifications (editor). This option is only working for multi-user projects.

Datatype

CheckOut() As Boolean

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


CheckIn

Manuel -> Interfaces de programmation -> Modèles d'objet -> RtFunction -> RtFunction-Methods -> CheckIn

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Save module modifications to server (editor). This option is only working for multi-user projects.

Datatype

CheckIn() As Boolean

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


UndoCheckOut

Manuel -> Interfaces de programmation -> Modèles d'objet -> RtFunction -> RtFunction-Methods -> UndoCheckOut

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Undo module modifications (editor). This option is only working for multi-user projects.

Datatype

UndoCheckOut() As Boolean

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


IsLocked

Manuel -> Interfaces de programmation -> Modèles d'objet -> RtFunction -> RtFunction-Methods -> IsLocked

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns true if modification changes are locked due to a checkout. This option is only working for multi-user projects.

Datatype

IsLocked() As Boolean

Availability

Environment | Available
Editor | read only
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


IsCheckedOut

Manuel -> Interfaces de programmation -> Modèles d'objet -> RtFunction -> RtFunction-Methods -> IsCheckedOut

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns true if scripts are checked out. This option is only working for multi-user projects.

Datatype

IsCheckedOut() As Boolean

Availability

Environment | Available
Editor | read only
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


IsDifferent

Manuel -> Interfaces de programmation -> Modèles d'objet -> RtFunction -> RtFunction-Methods -> IsDifferent

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns true if local version differs from server (editor) version. This option is only working for multi-user projects.

Datatype

IsDifferent() As VARIANT_BOOL

Availability

Environment | Available
Editor | read only
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


RtFunction-Dynamic properties

Manuel -> Interfaces de programmation -> Modèles d'objet -> RtFunction -> RtFunction-Dynamic properties

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Dynproperties

CAnalyzerReportFunction

Batch create function

Batch command function state

CCommandSequenceExportFunction

CCommandSequenceImportFunction

CExecuteAddInWizardFunction

Alarming

Alarms flashing'

Alarms Groups Classes

Alarmgroup connection

Simulation image

Print alarm or CEL list

Export alarms

Open help

Reload

Switch palette

Language change

Index archive

List of active archives

Export archive

Base function

CFktBatchRecipeExport

CFktBatchRecipeImport

Screen switch function

Focus set

Show menu

Screen.center

Monitor assign

Overview window function

Screen with index

Screen return

Call SAP function

Check maintanances

Print trend

EMS

Fault location

Graph7 Heuristics

Create IPA document

Send message

Suppress message function

Client simulatio'

Authorization in network

CFktNetzRudundanzUmschaltung

Toggle online printing

Switch online printer

PFS event

Login without password

Print report function

Recipegroup

Recipegroup manager

Standard recipe

Runtime profiles

SAT command activation

Save remanent data

Script execute select online

Start SEA

Setpoint

Report execute

Earth fault topology

Shedding load topology

Unit switch

Export data function

Read dBase file

Print actual values function

Send value to hardware

Driver commands

Read Write time variable

VBA execute macro

VSTA execute macro

Play sound file

File operations

Print a hard copy function

CLicenceInfoFunction

CManageAddInServicesFunction

CMtConcurrentExecutionFunction

CPRPlaybackModeFunction

CSequenceCmdFunction

CSequenceTeachingFunction

CSmSqlExportFunction

Other topics in this chapter

CAnalyzerReportFilter

CAnalyzerReportFunction

CBatchCrCreateFunctionFilter

Batch create function

CBatchCmdFuncFilter

Batch command function state

CCommandSequenceExportFunction

CCommandSequenceImportFunction

CExecuteAddInWizardFunction

CD_CAmlCelFilter

Alarming

CD_CBildumschaltung

Alarms flashing

Alarms Groups Classes

Alarmgroup connection

CDrvProperty

Simulation image

Print alarm or CEL list

Export alarms

Open help

Reload

Switch palette

Language change

Index archive

List of active archives

CD_CArchivExportFilter

Export archive

Base function

CRecipeExportFilter

CFktBatchRecipeExport

CRecipeImportFilter

CFktBatchRecipeImport

Screen switch function

CD_CSetFocus

Focus set

Show menu

CDBildMittelPunktPara

Screen.center

Monitor assign

COverviewInfo

Overview window function

Screen with index

Screen return

Call SAP function

CPlantStatusVar

Check maintanances

CDiagram

Print trend

EMS

CProjektVariableProp

Fault location

Graph7 Heuristics

CD_CAsmFilter

Create IPA document

CD_CMessageFilter

Send message

CSystemModelFilter

Suppress message function

Client simulatio

Authorization in network

CFktNetzRudundanzUmschaltung

Toggle online printing

Switch online printer

CFPUserEventFilter

PFS event

Login without password

CReportViewerFilter

Print report function

Recipegroup

CRezeptFilter

Recipegroup manager

Standard recipe

Runtime profiles

SAT command activation

Save remanent data

Script execute select online

Start SEA

Setpoint

CD_CTabellenFilter

Report execute

Earth fault topology

CLoadSheddingVerbraucher

Shedding load topology

Unit switch

CExportInitStrukt

Export data function

Read dBase file

CFormatInfo

Print actual values function

CFktSwNeu

Send value to hardware

CTreiberCommand

Driver commands

CUhrzeit

Read Write time variable

CD_CVbaMacroFilter

VBA execute macro

VSTA execute macro

Play sound file

CDateiOperationParameter

File operations

CHardCopyPrintInfo

Print a hard copy function

CLicenceInfoFunction

CManageAddInServicesFunction

CMtConcurrentExecutionFunction

CPRPlaybackModeFunction

CSequenceCmdFunction

CSequenceTeachingFunction

CSmSqlExportFunction


CAnalyzerReportFilter

Manuel -> Interfaces de programmation -> Modèles d'objet -> RtFunction -> RtFunction-Dynamic properties -> CAnalyzerReportFilter

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | VBA/VSTA Name | Display Name | Description
More... | ParameterList | ParameterListCfg | Provides access to the column settings of the GFX list. Typ = ZT_KNOTEN Array-Members = CAnalyzerParamListCfg
VT_UI2 | ServerVersion | ServerVersion | Provides access to the server version. Typ = VT_UI2
VT_BSTR | ServerName | ServerName | Provides access to the server name. Type = VT_BSTR
VT_BOOL | UseRuntimeUser | UseRuntimeUser | Provides access to the windows authentification flag. Type = VT_BOOL
VT_BSTR | UserName | UserName | Provides access to the username used for the authentification. Type = VT_BSTR
VT_BSTR | CryptedPassword | CryptedPassword | Provides access to the crypted password used for the authentification. Type = VT_BSTR
VT_BOOL | SecureConnection | SecureConnection | Description
VT_I4 | ConnectionTimeout | ConnectionTimeout | Description
VT_BSTR | SelectedReport | SelectedReport | Provides access to the selected report. Type = VT_BSTR
VT_BSTR | RenderingEngine | RenderingEngine | Provides access to the selected rendering extension. Type = VT_BSTR
VT_BOOL | IncludeTimestamp | IncludeTimestamp | Provides access to the timestamp flag. Type = VT_BOOL
ZT_VARIABLE | VariableForOutputFilePath | VariableForOutputFilePath | Provides access to the variable which includes the path of the file. Type = ZT_VARIABLE


CAnalyzerReportFunction

Manuel -> Interfaces de programmation -> Modèles d'objet -> RtFunction -> RtFunction-Dynamic properties -> CAnalyzerReportFunction

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Type

VBA/VSTA Name

Display Name

Description

More...

ReportFilter

ReportFilter

Provides access to the filter function.

Typ = ZT_KNOTEN

Array-Members = CAnalyzerReportFilter

VT_BSTR

Name

Nom

Description unique de la fonction.
La description est diffusée lorsqu’une nouvelle fonction est créée par le système, mais peut être ultérieurement modifiée si la nouvelle description n’est pas déjà utilisée pour une autre fonction.

Maximum : 128 caractères

Par défaut : Fonction_x (où x est un numéro consécutif).

Attention : Cette propriété n’est pas disponible aux fins de la commutation de langue.

Plus de détails dans l’aide en ligne.

ZT_FKTPARAM

Parameters

Paramètre

Paramètres de transfert de la fonction ; les paramètres dépendent du type de fonction.
Cliquez sur le bouton ... pour ouvrir une boîte de dialogue de configuration de la fonction.
La boîte de dialogue de configuration des paramètres s’ouvre, selon le type de fonction sélectionné.

Plus de détails dans l’aide en ligne .

VT_BOOL

IsActual

Ordinateur actuel

Disponible uniquement dans les projets en réseau :
La fonction est exécutée sur l’ordinateur sur lequel elle a été exécutée.

Plus de détails dans l’aide en ligne.

VT_BOOL

IsClient

Client

Disponible seulement pour les projets réseau :
La fonction est exécutée sur tous les clients du projet.

Plus de détails dans l’aide en ligne.

VT_BOOL

IsServer

Serveur principal

Disponible uniquement dans les projets en réseau :
la fonction est propagée à tous les clients du projet.

Plus de détails dans l’aide en ligne.

VT_BOOL

IsStandBy

Serveur redondant

Disponible seulement pour les projets en réseau :
La fonction est exécutée sur le serveur redondant du projet.

Plus de détails dans l’aide en ligne.

VT_BOOL

IsUrlStartWeb

URL fonction de démarrage pour le web

URL d’exécution de fonction pour le Web :

  • Active : La fonction peut être exécutée au moyen d’une extension d’URL dans HTML Web Client au démarrage de la session.
  • Inactive : La fonction ne peut pas être exécutée au moyen d’une extension d’URL dans HTML Web Client au démarrage de la session.

Par défaut : Inactive

Plus de détails dans l’aide en ligne.

VT_UI4

ID

ID

Internal unique ID of the function.

VT_UI4

Type

Type

With this property you have the opportunity to get/set the source bit in the status routing list.


CBatchCrCreateFunctionFilter

Manuel -> Interfaces de programmation -> Modèles d'objet -> RtFunction -> RtFunction-Dynamic properties -> CBatchCrCreateFunctionFilter

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | VBA/VSTA Name | Display Name | Description
VT_I4 | CrNameCreation | CrNameCreation | Description as text.
ZT_VARIABLE | CrNameCreationVar | CrNameCreationVar | Description as text.
VT_BOOL | LinkJobId | LinkJobId | Description as text.
ZT_VARIABLE | IndividualJobVariable | IndividualJobVariable | Description as text.
VT_I4 | IndividualJobIdLinkType | IndividualJobIdLinkType | Description as text.
VT_BOOL | CaseSensitive | CaseSensitive | Description
VT_I4 | SettingMR | SettingMR | Description as text.
VT_BSTR | MRTextFilter | MRTextFilter | Description as text.
ZT_VARIABLE | PV_MR | PV_MR | Description as text.
VT_I4 | MrCurrentness | MrCurrentness | Description as text.
VT_I4 | MrState | MrState | Description as text.
VT_I4 | VersionSearchType | VersionSearchType | Description as text.
ZT_VARIABLE | VersionVar | VersionVar | Description as text.
VT_UI4 | VersionNum | VersionNum | Description as text.


Batch create function

Manuel -> Interfaces de programmation -> Modèles d'objet -> RtFunction -> RtFunction-Dynamic properties -> Batch create function

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Type

VBA/VSTA Name

Display Name

Description

More...

CrCreateFilter

CrCreateFilter

Description as text.

VT_BSTR

Name

Nom

Description unique de la fonction.
La description est diffusée lorsqu’une nouvelle fonction est créée par le système, mais peut être ultérieurement modifiée si la nouvelle description n’est pas déjà utilisée pour une autre fonction.

Maximum : 128 caractères

Par défaut : Fonction_x (où x est un numéro consécutif).

Attention : Cette propriété n’est pas disponible aux fins de la commutation de langue.

Plus de détails dans l’aide en ligne.

ZT_FKTPARAM

Parameters

Paramètre

Paramètres de transfert de la fonction ; les paramètres dépendent du type de fonction.
Cliquez sur le bouton ... pour ouvrir une boîte de dialogue de configuration de la fonction.
La boîte de dialogue de configuration des paramètres s’ouvre, selon le type de fonction sélectionné.

Plus de détails dans l’aide en ligne .

VT_BOOL

IsActual

Ordinateur actuel

Disponible uniquement dans les projets en réseau :
La fonction est exécutée sur l’ordinateur sur lequel elle a été exécutée.

Plus de détails dans l’aide en ligne.

VT_BOOL

IsClient

Client

Disponible seulement pour les projets réseau :
La fonction est exécutée sur tous les clients du projet.

Plus de détails dans l’aide en ligne.

VT_BOOL

IsServer

Serveur principal

Disponible uniquement dans les projets en réseau :
la fonction est propagée à tous les clients du projet.

Plus de détails dans l’aide en ligne.

VT_BOOL

IsStandBy

Serveur redondant

Disponible seulement pour les projets en réseau :
La fonction est exécutée sur le serveur redondant du projet.

Plus de détails dans l’aide en ligne.

VT_BOOL

IsUrlStartWeb

URL fonction de démarrage pour le web

URL d’exécution de fonction pour le Web :

  • Active : La fonction peut être exécutée au moyen d’une extension d’URL dans HTML Web Client au démarrage de la session.
  • Inactive : La fonction ne peut pas être exécutée au moyen d’une extension d’URL dans HTML Web Client au démarrage de la session.

Par défaut : Inactive

Plus de détails dans l’aide en ligne.

VT_UI4

ID

ID

Internal unique ID of the function.

VT_UI4

Type

Type

With this property you have the opportunity to get/set the source bit in the status routing list.


CBatchCmdFuncFilter

Manuel -> Interfaces de programmation -> Modèles d'objet -> RtFunction -> RtFunction-Dynamic properties -> CBatchCmdFuncFilter

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | VBA/VSTA Name | Display Name | Description
VT_I4 | StateCmd | StateCmd | Description as text.
VT_I4 | StateCmdMode | StateCmdMode | Description as text.
VT_I4 | FilterForRecipeType | FilterForRecipeType | Description as text.
VT_I4 | SettingCR | SettingCR | Description as text.
VT_BSTR | CRTextFilter | CRTextFilter | Description as text.
ZT_VARIABLE | PV_CR | PV_CR | Description as text.
VT_I4 | CrCurrentness | CrCurrentness | Description as text.
VT_I4 | CrState | CrState | Description as text.
VT_BOOL | CaseSensitive | CaseSensitive | Description
VT_I4 | SettingMR | SettingMR | Description as text.
VT_BSTR | MRTextFilter | MRTextFilter | Description as text.
ZT_VARIABLE | PV_MR | PV_MR | Description as text.
VT_I4 | MrCurrentness | MrCurrentness | Description as text.
VT_I4 | MrState | MrState | Description as text.
VT_I4 | VersionSearchType | VersionSearchType | Description as text.
ZT_VARIABLE | VersionVar | VersionVar | Description as text.
VT_UI4 | VersionNum | VersionNum | Description as text.


Batch command function state

Manuel -> Interfaces de programmation -> Modèles d'objet -> RtFunction -> RtFunction-Dynamic properties -> Batch command function state

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Type

VBA/VSTA Name

Display Name

Description

More...

StateCmdFilter

StateCmdFilter

Description as text.

VT_BSTR

Name

Nom

Description unique de la fonction.
La description est diffusée lorsqu’une nouvelle fonction est créée par le système, mais peut être ultérieurement modifiée si la nouvelle description n’est pas déjà utilisée pour une autre fonction.

Maximum : 128 caractères

Par défaut : Fonction_x (où x est un numéro consécutif).

Attention : Cette propriété n’est pas disponible aux fins de la commutation de langue.

Plus de détails dans l’aide en ligne.

ZT_FKTPARAM

Parameters

Paramètre

Paramètres de transfert de la fonction ; les paramètres dépendent du type de fonction.
Cliquez sur le bouton ... pour ouvrir une boîte de dialogue de configuration de la fonction.
La boîte de dialogue de configuration des paramètres s’ouvre, selon le type de fonction sélectionné.

Plus de détails dans l’aide en ligne .

VT_BOOL

IsActual

Ordinateur actuel

Disponible uniquement dans les projets en réseau :
La fonction est exécutée sur l’ordinateur sur lequel elle a été exécutée.

Plus de détails dans l’aide en ligne.

VT_BOOL

IsClient

Client

Disponible seulement pour les projets réseau :
La fonction est exécutée sur tous les clients du projet.

Plus de détails dans l’aide en ligne.

VT_BOOL

IsServer

Serveur principal

Disponible uniquement dans les projets en réseau :
la fonction est propagée à tous les clients du projet.

Plus de détails dans l’aide en ligne.

VT_BOOL

IsStandBy

Serveur redondant

Disponible seulement pour les projets en réseau :
La fonction est exécutée sur le serveur redondant du projet.

Plus de détails dans l’aide en ligne.

VT_BOOL

IsUrlStartWeb

URL fonction de démarrage pour le web

URL d’exécution de fonction pour le Web :

  • Active : La fonction peut être exécutée au moyen d’une extension d’URL dans HTML Web Client au démarrage de la session.
  • Inactive : La fonction ne peut pas être exécutée au moyen d’une extension d’URL dans HTML Web Client au démarrage de la session.

Par défaut : Inactive

Plus de détails dans l’aide en ligne.

VT_UI4

ID

ID

Internal unique ID of the function.

VT_UI4

Type

Type

With this property you have the opportunity to get/set the source bit in the status routing list.


CCommandSequenceExportFunction

Manuel -> Interfaces de programmation -> Modèles d'objet -> RtFunction -> RtFunction-Dynamic properties -> CCommandSequenceExportFunction

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Type

VBA/VSTA Name

Display Name

Description

VT_BSTR

Name

Nom

Description unique de la fonction.
La description est diffusée lorsqu’une nouvelle fonction est créée par le système, mais peut être ultérieurement modifiée si la nouvelle description n’est pas déjà utilisée pour une autre fonction.

Maximum : 128 caractères

Par défaut : Fonction_x (où x est un numéro consécutif).

Attention : Cette propriété n’est pas disponible aux fins de la commutation de langue.

Plus de détails dans l’aide en ligne.

ZT_FKTPARAM

Parameters

Paramètre

Paramètres de transfert de la fonction ; les paramètres dépendent du type de fonction.
Cliquez sur le bouton ... pour ouvrir une boîte de dialogue de configuration de la fonction.
La boîte de dialogue de configuration des paramètres s’ouvre, selon le type de fonction sélectionné.

Plus de détails dans l’aide en ligne .

VT_BOOL

IsActual

Ordinateur actuel

Disponible uniquement dans les projets en réseau :
La fonction est exécutée sur l’ordinateur sur lequel elle a été exécutée.

Plus de détails dans l’aide en ligne.

VT_BOOL

IsClient

Client

Disponible seulement pour les projets réseau :
La fonction est exécutée sur tous les clients du projet.

Plus de détails dans l’aide en ligne.

VT_BOOL

IsServer

Serveur principal

Disponible uniquement dans les projets en réseau :
la fonction est propagée à tous les clients du projet.

Plus de détails dans l’aide en ligne.

VT_BOOL

IsStandBy

Serveur redondant

Disponible seulement pour les projets en réseau :
La fonction est exécutée sur le serveur redondant du projet.

Plus de détails dans l’aide en ligne.

VT_BOOL

IsUrlStartWeb

URL fonction de démarrage pour le web

URL d’exécution de fonction pour le Web :

  • Active : La fonction peut être exécutée au moyen d’une extension d’URL dans HTML Web Client au démarrage de la session.
  • Inactive : La fonction ne peut pas être exécutée au moyen d’une extension d’URL dans HTML Web Client au démarrage de la session.

Par défaut : Inactive

Plus de détails dans l’aide en ligne.

VT_UI4

ID

ID

Internal unique ID of the function.

VT_UI4

Type

Type

With this property you have the opportunity to get/set the source bit in the status routing list.


CCommandSequenceImportFunction

Manuel -> Interfaces de programmation -> Modèles d'objet -> RtFunction -> RtFunction-Dynamic properties -> CCommandSequenceImportFunction

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Type

VBA/VSTA Name

Display Name

Description

VT_BSTR

Name

Nom

Description unique de la fonction.
La description est diffusée lorsqu’une nouvelle fonction est créée par le système, mais peut être ultérieurement modifiée si la nouvelle description n’est pas déjà utilisée pour une autre fonction.

Maximum : 128 caractères

Par défaut : Fonction_x (où x est un numéro consécutif).

Attention : Cette propriété n’est pas disponible aux fins de la commutation de langue.

Plus de détails dans l’aide en ligne.

ZT_FKTPARAM

Parameters

Paramètre

Paramètres de transfert de la fonction ; les paramètres dépendent du type de fonction.
Cliquez sur le bouton ... pour ouvrir une boîte de dialogue de configuration de la fonction.
La boîte de dialogue de configuration des paramètres s’ouvre, selon le type de fonction sélectionné.

Plus de détails dans l’aide en ligne .

VT_BOOL

IsActual

Ordinateur actuel

Disponible uniquement dans les projets en réseau :
La fonction est exécutée sur l’ordinateur sur lequel elle a été exécutée.

Plus de détails dans l’aide en ligne.

VT_BOOL

IsClient

Client

Disponible seulement pour les projets réseau :
La fonction est exécutée sur tous les clients du projet.

Plus de détails dans l’aide en ligne.

VT_BOOL

IsServer

Serveur principal

Disponible uniquement dans les projets en réseau :
la fonction est propagée à tous les clients du projet.

Plus de détails dans l’aide en ligne.

VT_BOOL

IsStandBy

Serveur redondant

Disponible seulement pour les projets en réseau :
La fonction est exécutée sur le serveur redondant du projet.

Plus de détails dans l’aide en ligne.

VT_BOOL

IsUrlStartWeb

URL fonction de démarrage pour le web

URL d’exécution de fonction pour le Web :

  • Active : La fonction peut être exécutée au moyen d’une extension d’URL dans HTML Web Client au démarrage de la session.
  • Inactive : La fonction ne peut pas être exécutée au moyen d’une extension d’URL dans HTML Web Client au démarrage de la session.

Par défaut : Inactive

Plus de détails dans l’aide en ligne.

VT_UI4

ID

ID

Internal unique ID of the function.

VT_UI4

Type

Type

With this property you have the opportunity to get/set the source bit in the status routing list.


CExecuteAddInWizardFunction

Manuel -> Interfaces de programmation -> Modèles d'objet -> RtFunction -> RtFunction-Dynamic properties -> CExecuteAddInWizardFunction

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Type

VBA/VSTA Name

Display Name

Description

VT_BSTR

WizardEntryPointId

WizardEntryPointId

Description

VT_BSTR

FrameWorkId

FrameWorkId

Description

VT_BOOL

ShowRT

ShowRT

Description

VT_BSTR

Name

Nom

Description unique de la fonction.
La description est diffusée lorsqu’une nouvelle fonction est créée par le système, mais peut être ultérieurement modifiée si la nouvelle description n’est pas déjà utilisée pour une autre fonction.

Maximum : 128 caractères

Par défaut : Fonction_x (où x est un numéro consécutif).

Attention : Cette propriété n’est pas disponible aux fins de la commutation de langue.

Plus de détails dans l’aide en ligne.

ZT_FKTPARAM

Parameters

Paramètre

Paramètres de transfert de la fonction ; les paramètres dépendent du type de fonction.
Cliquez sur le bouton ... pour ouvrir une boîte de dialogue de configuration de la fonction.
La boîte de dialogue de configuration des paramètres s’ouvre, selon le type de fonction sélectionné.

Plus de détails dans l’aide en ligne .

VT_BOOL

IsActual

Ordinateur actuel

Disponible uniquement dans les projets en réseau :
La fonction est exécutée sur l’ordinateur sur lequel elle a été exécutée.

Plus de détails dans l’aide en ligne.

VT_BOOL

IsClient

Client

Disponible seulement pour les projets réseau :
La fonction est exécutée sur tous les clients du projet.

Plus de détails dans l’aide en ligne.

VT_BOOL

IsServer

Serveur principal

Disponible uniquement dans les projets en réseau :
la fonction est propagée à tous les clients du projet.

Plus de détails dans l’aide en ligne.

VT_BOOL

IsStandBy

Serveur redondant

Disponible seulement pour les projets en réseau :
La fonction est exécutée sur le serveur redondant du projet.

Plus de détails dans l’aide en ligne.

VT_BOOL

IsUrlStartWeb

URL fonction de démarrage pour le web

URL d’exécution de fonction pour le Web :

  • Active : La fonction peut être exécutée au moyen d’une extension d’URL dans HTML Web Client au démarrage de la session.
  • Inactive : La fonction ne peut pas être exécutée au moyen d’une extension d’URL dans HTML Web Client au démarrage de la session.

Par défaut : Inactive

Plus de détails dans l’aide en ligne.

VT_UI4

ID

ID

Internal unique ID of the function.

VT_UI4

Type

Type

With this property you have the opportunity to get/set the source bit in the status routing list.


CD_CAmlCelFilter

Manuel -> Interfaces de programmation -> Modèles d'objet -> RtFunction -> RtFunction-Dynamic properties -> CD_CAmlCelFilter

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Type

VBA/VSTA Name

Display Name

Description

VT_BSTR

FileName

FileName

With this property you get/set the file name for the different export mechanism.

VT_BSTR

VarFilter

VarFilter

"Filters for variable names, where system messages are masked out, as they are not linked to a variable.
Wildcards can be used here. Default = ""*"" (All variables)"

VT_BSTR

FilterTitel

FilterTitel

"Filters for the identifictaion of variables, where system messages are masked out, as they are not linked to a variable.
Wildcards can be used here. Default = ""*"""

VT_BOOL

IsFilterRT

IsFilterRT

"Displays the configuration dialog within the runtime, if set TRUE."

VT_BOOL

IsMatchCase

IsMatchCase

"Filter is case sensitive, if set TRUE. Otherwise the case sensitivity is ignored."

VT_BOOL

IsFromFiles

IsFromFiles

"Filter is applied to file entries, if set TRUE. Otherwise, the filter is applied to the entries from the memory.
Hint: The maximum amount of entries which should be filtered from the file is specified by the ""EntriesCount"" DynProperty."

VT_BOOL

IsReadAll

IsReadAll

VT_BOOL

IsAutoName

IsAutoName

VT_BOOL

IsAML

IsAML

"Prints the alarm list, if set TRUE. Otherwise the CEL list will be printed."

VT_BOOL

IsDBASE

IsDBASE

VT_BOOL

IsXML

IsXML

VT_BOOL

IsRelationTime

IsRelationTime

"Display of relative times (relative to selected entries), if set TRUE."

VT_BOOL

IsUnicode

IsUnicode

VT_BOOL

IsIncremental

IsIncremental

VT_BOOL

IsFilterExp

IsFilterExp

"Opens the list stopped, if set TRUE.
"

VT_BOOL

IsAcknowledged

IsAcknowledged

"Filters unacknowledged alarms, if set TRUE."

VT_BOOL

IsAscentOnly

IsAscentOnly

"Prints only current alarms, if set TRUE."

VT_UI2

EntriesCount

EntriesCount

"Specifies the maximum amount of entries that should be filtered from a file.
Hint: Only available, if the DynProperty ""IsFromFiles"" is set TRUE."

ZT_SCHRIFT

Font

Font

"Specifies the font that should be used.
The parameter that is passed, is the index of the font within the specified font list.
0 = Standard font
1 = Default font 1
...
5 = Default font 5
6 = User specified font 1
... = etc.
"

VT_BSTR

Classes

Classes

"Filters for alarm classes, where system messages are marked out, as they are not linked to a variable.
Multiple class numbers have to be seperated with a semicolon.
zFct.DynProperties(""PictFilter.Classes"") = ""1;2;"""

VT_BSTR

Groups

Groups

"Filters for alarm groups, where system messages are marked out, as they are not linked to a variable.
Multiple group numbers have to be seperated with a semicolon.
zFct.DynProperties(""PictFilter.Groups"") = ""1;2;"""

VT_BSTR

ResString

ResString

ZT_ZEIT

IncTime

IncTime

"Gets or sets the minimal time for current alarms in seconds.
Hint: Milliseconds can be specified with the ""mSeconds"" DynProperty."

VT_UI2

mSeconds

mSeconds

"Gets or sets the milliseconds in addition to the ""IncTime"" DynProperty."

More...

TimeFilter

TimeFilter

More...

ListInfo

ListInfo

VT_BSTR

ProjectNames

ProjectNames

"Specifies the names of the projects. Multiple project names are seperated with a semicolon.
zFct.DynProperties(""PictFilter.ProjectNames"") = ""PROJECT1;PROJECT2;"""

More...

TextFilter

TextFilter

More...

StatusFilter

StatusFilter

VT_BOOL

IsSQL

SQLBase

VT_BSTR

SQLBase

SQLBase

VT_BSTR

SQLTable

SQLTable

More...

SystemModelGroup

Groupes d'équipements

Lie l’élément à un modèle d’équipement. Cliquez sur le bouton ... pour ouvrir la boîte de sélection d’un groupe d’équipements.
L'affichage du groupe d’équipements sélectionné inclut également les niveaux supérieurs à ce groupe. Les niveaux sont séparés par un point dans l’affichage.

Dans le cas d’une sélection multiple, les groupes d’équipements individuels sont séparés par un point-virgule (;).

Plus de détails dans l’aide en ligne.

More...

RTMDIFilterScreen

RTMDIFilterScreen

VT_BSTR

Areas

Areas

VT_BOOL

IsGoneOnly

IsGoneOnly

VT_BOOL

NeedComment

NeedComment

VT_BOOL

NeedAlarmCause

NeedAlarmCause

Description

ZT_GUID

FilterPartGUID

FilterPartGUID

Description as text.

VT_BOOL

EditableInRT

EditableInRT

Description as text.


Alarming

Manuel -> Interfaces de programmation -> Modèles d'objet -> RtFunction -> RtFunction-Dynamic properties -> Alarming

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Type

VBA/VSTA Name

Display Name

Description

More...

Filter

Filter

VT_BSTR

Name

Nom

Description unique de la fonction.
La description est diffusée lorsqu’une nouvelle fonction est créée par le système, mais peut être ultérieurement modifiée si la nouvelle description n’est pas déjà utilisée pour une autre fonction.

Maximum : 128 caractères

Par défaut : Fonction_x (où x est un numéro consécutif).

Attention : Cette propriété n’est pas disponible aux fins de la commutation de langue.

Plus de détails dans l’aide en ligne.

ZT_FKTPARAM

Parameters

Paramètre

Paramètres de transfert de la fonction ; les paramètres dépendent du type de fonction.
Cliquez sur le bouton ... pour ouvrir une boîte de dialogue de configuration de la fonction.
La boîte de dialogue de configuration des paramètres s’ouvre, selon le type de fonction sélectionné.

Plus de détails dans l’aide en ligne .

VT_BOOL

IsActual

Ordinateur actuel

Disponible uniquement dans les projets en réseau :
La fonction est exécutée sur l’ordinateur sur lequel elle a été exécutée.

Plus de détails dans l’aide en ligne.

VT_BOOL

IsClient

Client

Disponible seulement pour les projets réseau :
La fonction est exécutée sur tous les clients du projet.

Plus de détails dans l’aide en ligne.

VT_BOOL

IsServer

Serveur principal

Disponible uniquement dans les projets en réseau :
la fonction est propagée à tous les clients du projet.

Plus de détails dans l’aide en ligne.

VT_BOOL

IsStandBy

Serveur redondant

Disponible seulement pour les projets en réseau :
La fonction est exécutée sur le serveur redondant du projet.

Plus de détails dans l’aide en ligne.

VT_BOOL

IsUrlStartWeb

URL fonction de démarrage pour le web

URL d’exécution de fonction pour le Web :

  • Active : La fonction peut être exécutée au moyen d’une extension d’URL dans HTML Web Client au démarrage de la session.
  • Inactive : La fonction ne peut pas être exécutée au moyen d’une extension d’URL dans HTML Web Client au démarrage de la session.

Par défaut : Inactive

Plus de détails dans l’aide en ligne.

VT_UI4

ID

ID

Internal unique ID of the function.

VT_UI4

Type

Type

With this property you have the opportunity to get/set the source bit in the status routing list.


CD_CBildumschaltung

Manuel -> Interfaces de programmation -> Modèles d'objet -> RtFunction -> RtFunction-Dynamic properties -> CD_CBildumschaltung

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Type

VBA/VSTA Name

Display Name

Description

VT_BSTR

ProjectName

ProjectName

"Gets or sets the project name where the picture is defined.
Hint: The current project will be used, if this property is not specified."

VT_BSTR

Picture

Picture

Gets or sets the name of the switching picture.

VT_I2

Monitor

Monitor

Defines on which monitor the picture is displayed.
-2 = Relative to caller
0 = Display 0 (default display)
1 = Display 1 (only for multi-monitor projects)
... = etc.

VT_BOOL

IsFilterRT

IsFilterRT

"Displays the picture selection dialog within the runtime, if set TRUE."

VT_BOOL

IsMonScroll

IsMonScroll

"Scrolls to the corresponding monitor on picture switch, if set TRUE."

VT_UI4

WndType

WndType

Only users with the appropriate user authorization can edit entries in the database of the Industrial Performance Analyzer (IPA).

More...

SubstiVar

SubstiVar

"Variable substitution
Debug.Print zFct.DynProperties(""PictSwitch.SubstiVar[-1]"") 'Outputs the amount of substituted variables
Debug.Print zFct.DynProperties(""PictSwitch.SubstiVar[0].Source"") 'Access the name of the first source variable
Debug.Print zFct.DynProperties(""PictSwitch.SubstiVar[0].Destination"") 'Name of the corresponding substitution variable"

More...

SubstiFkt

SubstiFkt

"Function substitution
Debug.Print zFct.DynProperties(""PictSwitch.SubstiFkt[-1]"") 'Outputs the amount of substituted functions
Debug.Print zFct.DynProperties(""PictSwitch.SubstiFkt[0].Source"") 'Access the name of the first source function
Debug.Print zFct.DynProperties(""PictSwitch.SubstiFkt[0].Destination"") 'Name of the corresponding substitution function"

VT_BOOL

CaseSensitive

CaseSensitive

"Indices substitution is case sensitive, if set TRUE."

More...

IndexVar

IndexVar

"Accesses the assigned variables for the index substitution.
Debug.Print zFct.DynProperties(""PictSwitch.IndexVar[-1]"") 'Amount of assigned variables
Debug.Print zFct.DynProperties(""PictSwitch.IndexVar[0].Title"").Name 'Name of first variable"

More...

IndexSubstitution

IndexSubstitution

"Replaces the indices
Debug.Print zFct.DynProperties(""PictSwitch.IndexSubstitution[-1]"") 'Output the amount of substituted indices
Debug.Print zFct.DynProperties(""PictSwitch.IndexSubstitution[0].Source"") 'Access the name of the first variable
Debug.Print zFct.DynProperties(""PictSwitch.IndexSubstitution[0].Destination"") 'Name of the corresponding substitution variable"

More...

ALCSubstitution

ALCSubstitution

VT_BOOL

IsCallingPic

IsCallingPic

Specifies the variable unit.


Alarms flashing

Manuel -> Interfaces de programmation -> Modèles d'objet -> RtFunction -> RtFunction-Dynamic properties -> Alarms flashing

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Type

VBA/VSTA Name

Display Name

Description

More...

PictSwitch

PictSwitch

VT_BSTR

Name

Nom

Description unique de la fonction.
La description est diffusée lorsqu’une nouvelle fonction est créée par le système, mais peut être ultérieurement modifiée si la nouvelle description n’est pas déjà utilisée pour une autre fonction.

Maximum : 128 caractères

Par défaut : Fonction_x (où x est un numéro consécutif).

Attention : Cette propriété n’est pas disponible aux fins de la commutation de langue.

Plus de détails dans l’aide en ligne.

ZT_FKTPARAM

Parameters

Paramètre

Paramètres de transfert de la fonction ; les paramètres dépendent du type de fonction.
Cliquez sur le bouton ... pour ouvrir une boîte de dialogue de configuration de la fonction.
La boîte de dialogue de configuration des paramètres s’ouvre, selon le type de fonction sélectionné.

Plus de détails dans l’aide en ligne .

VT_BOOL

IsActual

Ordinateur actuel

Disponible uniquement dans les projets en réseau :
La fonction est exécutée sur l’ordinateur sur lequel elle a été exécutée.

Plus de détails dans l’aide en ligne.

VT_BOOL

IsClient

Client

Disponible seulement pour les projets réseau :
La fonction est exécutée sur tous les clients du projet.

Plus de détails dans l’aide en ligne.

VT_BOOL

IsServer

Serveur principal

Disponible uniquement dans les projets en réseau :
la fonction est propagée à tous les clients du projet.

Plus de détails dans l’aide en ligne.

VT_BOOL

IsStandBy

Serveur redondant

Disponible seulement pour les projets en réseau :
La fonction est exécutée sur le serveur redondant du projet.

Plus de détails dans l’aide en ligne.

VT_BOOL

IsUrlStartWeb

URL fonction de démarrage pour le web

URL d’exécution de fonction pour le Web :

  • Active : La fonction peut être exécutée au moyen d’une extension d’URL dans HTML Web Client au démarrage de la session.
  • Inactive : La fonction ne peut pas être exécutée au moyen d’une extension d’URL dans HTML Web Client au démarrage de la session.

Par défaut : Inactive

Plus de détails dans l’aide en ligne.

VT_UI4

ID

ID

Internal unique ID of the function.

VT_UI4

Type

Type

With this property you have the opportunity to get/set the source bit in the status routing list.


Alarms Groups Classes

Manuel -> Interfaces de programmation -> Modèles d'objet -> RtFunction -> RtFunction-Dynamic properties -> Alarms Groups Classes

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Type

VBA/VSTA Name

Display Name

Description

VT_UI2

ActionType

ActionType

Gets or sets the type of alarm selection.
0 = Total alarm administration
1 = Alarms of group
2 = Alarms of class

VT_UI2

Action

Action

Gets or sets the action that should be executed.
0 = Activate alarms/groups/classes
1 = Deactivate
2 = Toggle

VT_UI2

Index

Index

With this property you have the opportunity to get/set the alarm group or class.

VT_BSTR

Name

Nom

Description unique de la fonction.
La description est diffusée lorsqu’une nouvelle fonction est créée par le système, mais peut être ultérieurement modifiée si la nouvelle description n’est pas déjà utilisée pour une autre fonction.

Maximum : 128 caractères

Par défaut : Fonction_x (où x est un numéro consécutif).

Attention : Cette propriété n’est pas disponible aux fins de la commutation de langue.

Plus de détails dans l’aide en ligne.

ZT_FKTPARAM

Parameters

Paramètre

Paramètres de transfert de la fonction ; les paramètres dépendent du type de fonction.
Cliquez sur le bouton ... pour ouvrir une boîte de dialogue de configuration de la fonction.
La boîte de dialogue de configuration des paramètres s’ouvre, selon le type de fonction sélectionné.

Plus de détails dans l’aide en ligne .

VT_BOOL

IsActual

Ordinateur actuel

Disponible uniquement dans les projets en réseau :
La fonction est exécutée sur l’ordinateur sur lequel elle a été exécutée.

Plus de détails dans l’aide en ligne.

VT_BOOL

IsClient

Client

Disponible seulement pour les projets réseau :
La fonction est exécutée sur tous les clients du projet.

Plus de détails dans l’aide en ligne.

VT_BOOL

IsServer

Serveur principal

Disponible uniquement dans les projets en réseau :
la fonction est propagée à tous les clients du projet.

Plus de détails dans l’aide en ligne.

VT_BOOL

IsStandBy

Serveur redondant

Disponible seulement pour les projets en réseau :
La fonction est exécutée sur le serveur redondant du projet.

Plus de détails dans l’aide en ligne.

VT_BOOL

IsUrlStartWeb

URL fonction de démarrage pour le web

URL d’exécution de fonction pour le Web :

  • Active : La fonction peut être exécutée au moyen d’une extension d’URL dans HTML Web Client au démarrage de la session.
  • Inactive : La fonction ne peut pas être exécutée au moyen d’une extension d’URL dans HTML Web Client au démarrage de la session.

Par défaut : Inactive

Plus de détails dans l’aide en ligne.

VT_UI4

ID

ID

Internal unique ID of the function.

VT_UI4

Type

Type

With this property you have the opportunity to get/set the source bit in the status routing list.


Alarmgroup connection

Manuel -> Interfaces de programmation -> Modèles d'objet -> RtFunction -> RtFunction-Dynamic properties -> Alarmgroup connection

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Type

VBA/VSTA Name

Display Name

Description

VT_BOOL

IsAdvise

IsAdvise

With this property you have the opportunity to activate/deactivate the alarm group connection.

VT_I2

GroupNr

GroupNr

With this property you have the opportunity to get/set the alarm group via an index.

VT_BSTR

GroupName

GroupName

With this property you have the opportunity to get/set the alarm group.

VT_BSTR

Name

Nom

Description unique de la fonction.
La description est diffusée lorsqu’une nouvelle fonction est créée par le système, mais peut être ultérieurement modifiée si la nouvelle description n’est pas déjà utilisée pour une autre fonction.

Maximum : 128 caractères

Par défaut : Fonction_x (où x est un numéro consécutif).

Attention : Cette propriété n’est pas disponible aux fins de la commutation de langue.

Plus de détails dans l’aide en ligne.

ZT_FKTPARAM

Parameters

Paramètre

Paramètres de transfert de la fonction ; les paramètres dépendent du type de fonction.
Cliquez sur le bouton ... pour ouvrir une boîte de dialogue de configuration de la fonction.
La boîte de dialogue de configuration des paramètres s’ouvre, selon le type de fonction sélectionné.

Plus de détails dans l’aide en ligne .

VT_BOOL

IsActual

Ordinateur actuel

Disponible uniquement dans les projets en réseau :
La fonction est exécutée sur l’ordinateur sur lequel elle a été exécutée.

Plus de détails dans l’aide en ligne.

VT_BOOL

IsClient

Client

Disponible seulement pour les projets réseau :
La fonction est exécutée sur tous les clients du projet.

Plus de détails dans l’aide en ligne.

VT_BOOL

IsServer

Serveur principal

Disponible uniquement dans les projets en réseau :
la fonction est propagée à tous les clients du projet.

Plus de détails dans l’aide en ligne.

VT_BOOL

IsStandBy

Serveur redondant

Disponible seulement pour les projets en réseau :
La fonction est exécutée sur le serveur redondant du projet.

Plus de détails dans l’aide en ligne.

VT_BOOL

IsUrlStartWeb

URL fonction de démarrage pour le web

URL d’exécution de fonction pour le Web :

  • Active : La fonction peut être exécutée au moyen d’une extension d’URL dans HTML Web Client au démarrage de la session.
  • Inactive : La fonction ne peut pas être exécutée au moyen d’une extension d’URL dans HTML Web Client au démarrage de la session.

Par défaut : Inactive

Plus de détails dans l’aide en ligne.

VT_UI4

ID

ID

Internal unique ID of the function.

VT_UI4

Type

Type

With this property you have the opportunity to get/set the source bit in the status routing list.


CDrvProperty

Manuel -> Interfaces de programmation -> Modèles d'objet -> RtFunction -> RtFunction-Dynamic properties -> CDrvProperty

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | VBA/VSTA Name | Display Name | Description
VT_BSTR | FileName | FileName |
VT_BSTR | Description | Description |


Simulation image

Manuel -> Interfaces de programmation -> Modèles d'objet -> RtFunction -> RtFunction-Dynamic properties -> Simulation image

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Type

VBA/VSTA Name

Display Name

Description

More...

Drivers

Description

VT_BSTR

Name

Nom

Description unique de la fonction.
La description est diffusée lorsqu’une nouvelle fonction est créée par le système, mais peut être ultérieurement modifiée si la nouvelle description n’est pas déjà utilisée pour une autre fonction.

Maximum : 128 caractères

Par défaut : Fonction_x (où x est un numéro consécutif).

Attention : Cette propriété n’est pas disponible aux fins de la commutation de langue.

Plus de détails dans l’aide en ligne.

ZT_FKTPARAM

Parameters

Paramètre

Paramètres de transfert de la fonction ; les paramètres dépendent du type de fonction.
Cliquez sur le bouton ... pour ouvrir une boîte de dialogue de configuration de la fonction.
La boîte de dialogue de configuration des paramètres s’ouvre, selon le type de fonction sélectionné.

Plus de détails dans l’aide en ligne .

VT_BOOL

IsActual

Ordinateur actuel

Disponible uniquement dans les projets en réseau :
La fonction est exécutée sur l’ordinateur sur lequel elle a été exécutée.

Plus de détails dans l’aide en ligne.

VT_BOOL

IsClient

Client

Disponible seulement pour les projets réseau :
La fonction est exécutée sur tous les clients du projet.

Plus de détails dans l’aide en ligne.

VT_BOOL

IsServer

Serveur principal

Disponible uniquement dans les projets en réseau :
la fonction est propagée à tous les clients du projet.

Plus de détails dans l’aide en ligne.

VT_BOOL

IsStandBy

Serveur redondant

Disponible seulement pour les projets en réseau :
La fonction est exécutée sur le serveur redondant du projet.

Plus de détails dans l’aide en ligne.

VT_BOOL

IsUrlStartWeb

URL fonction de démarrage pour le web

URL d’exécution de fonction pour le Web :

  • Active : La fonction peut être exécutée au moyen d’une extension d’URL dans HTML Web Client au démarrage de la session.
  • Inactive : La fonction ne peut pas être exécutée au moyen d’une extension d’URL dans HTML Web Client au démarrage de la session.

Par défaut : Inactive

Plus de détails dans l’aide en ligne.

VT_UI4

ID

ID

Internal unique ID of the function.

VT_UI4

Type

Type

With this property you have the opportunity to get/set the source bit in the status routing list.


Print alarm or CEL list

Manuel -> Interfaces de programmation -> Modèles d'objet -> RtFunction -> RtFunction-Dynamic properties -> Print alarm or CEL list

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Type

VBA/VSTA Name

Display Name

Description

VT_BOOL

IsCEL

IsCEL

Description

More...

Filter

Filter

VT_BSTR

Name

Nom

Description unique de la fonction.
La description est diffusée lorsqu’une nouvelle fonction est créée par le système, mais peut être ultérieurement modifiée si la nouvelle description n’est pas déjà utilisée pour une autre fonction.

Maximum : 128 caractères

Par défaut : Fonction_x (où x est un numéro consécutif).

Attention : Cette propriété n’est pas disponible aux fins de la commutation de langue.

Plus de détails dans l’aide en ligne.

ZT_FKTPARAM

Parameters

Paramètre

Paramètres de transfert de la fonction ; les paramètres dépendent du type de fonction.
Cliquez sur le bouton ... pour ouvrir une boîte de dialogue de configuration de la fonction.
La boîte de dialogue de configuration des paramètres s’ouvre, selon le type de fonction sélectionné.

Plus de détails dans l’aide en ligne .

VT_BOOL

IsActual

Ordinateur actuel

Disponible uniquement dans les projets en réseau :
La fonction est exécutée sur l’ordinateur sur lequel elle a été exécutée.

Plus de détails dans l’aide en ligne.

VT_BOOL

IsClient

Client

Disponible seulement pour les projets réseau :
La fonction est exécutée sur tous les clients du projet.

Plus de détails dans l’aide en ligne.

VT_BOOL

IsServer

Serveur principal

Disponible uniquement dans les projets en réseau :
la fonction est propagée à tous les clients du projet.

Plus de détails dans l’aide en ligne.

VT_BOOL

IsStandBy

Serveur redondant

Disponible seulement pour les projets en réseau :
La fonction est exécutée sur le serveur redondant du projet.

Plus de détails dans l’aide en ligne.

VT_BOOL

IsUrlStartWeb

URL fonction de démarrage pour le web

URL d’exécution de fonction pour le Web :

  • Active : La fonction peut être exécutée au moyen d’une extension d’URL dans HTML Web Client au démarrage de la session.
  • Inactive : La fonction ne peut pas être exécutée au moyen d’une extension d’URL dans HTML Web Client au démarrage de la session.

Par défaut : Inactive

Plus de détails dans l’aide en ligne.

VT_UI4

ID

ID

Internal unique ID of the function.

VT_UI4

Type

Type

With this property you have the opportunity to get/set the source bit in the status routing list.


Export alarms

Manuel -> Interfaces de programmation -> Modèles d'objet -> RtFunction -> RtFunction-Dynamic properties -> Export alarms

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Type

VBA/VSTA Name

Display Name

Description

More...

Filter

Filter

VT_BSTR

Name

Nom

Description unique de la fonction.
La description est diffusée lorsqu’une nouvelle fonction est créée par le système, mais peut être ultérieurement modifiée si la nouvelle description n’est pas déjà utilisée pour une autre fonction.

Maximum : 128 caractères

Par défaut : Fonction_x (où x est un numéro consécutif).

Attention : Cette propriété n’est pas disponible aux fins de la commutation de langue.

Plus de détails dans l’aide en ligne.

ZT_FKTPARAM

Parameters

Paramètre

Paramètres de transfert de la fonction ; les paramètres dépendent du type de fonction.
Cliquez sur le bouton ... pour ouvrir une boîte de dialogue de configuration de la fonction.
La boîte de dialogue de configuration des paramètres s’ouvre, selon le type de fonction sélectionné.

Plus de détails dans l’aide en ligne .

VT_BOOL

IsActual

Ordinateur actuel

Disponible uniquement dans les projets en réseau :
La fonction est exécutée sur l’ordinateur sur lequel elle a été exécutée.

Plus de détails dans l’aide en ligne.

VT_BOOL

IsClient

Client

Disponible seulement pour les projets réseau :
La fonction est exécutée sur tous les clients du projet.

Plus de détails dans l’aide en ligne.

VT_BOOL

IsServer

Serveur principal

Disponible uniquement dans les projets en réseau :
la fonction est propagée à tous les clients du projet.

Plus de détails dans l’aide en ligne.

VT_BOOL

IsStandBy

Serveur redondant

Disponible seulement pour les projets en réseau :
La fonction est exécutée sur le serveur redondant du projet.

Plus de détails dans l’aide en ligne.

VT_BOOL

IsUrlStartWeb

URL fonction de démarrage pour le web

URL d’exécution de fonction pour le Web :

  • Active : La fonction peut être exécutée au moyen d’une extension d’URL dans HTML Web Client au démarrage de la session.
  • Inactive : La fonction ne peut pas être exécutée au moyen d’une extension d’URL dans HTML Web Client au démarrage de la session.

Par défaut : Inactive

Plus de détails dans l’aide en ligne.

VT_UI4

ID

ID

Internal unique ID of the function.

VT_UI4

Type

Type

With this property you have the opportunity to get/set the source bit in the status routing list.


Open help

Manuel -> Interfaces de programmation -> Modèles d'objet -> RtFunction -> RtFunction-Dynamic properties -> Open help

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Type

VBA/VSTA Name

Display Name

Description

VT_BSTR

CHMFile

CHMFile

VT_BSTR

HTMFile

HTMFile

VT_BSTR

Name

Nom

Description unique de la fonction.
La description est diffusée lorsqu’une nouvelle fonction est créée par le système, mais peut être ultérieurement modifiée si la nouvelle description n’est pas déjà utilisée pour une autre fonction.

Maximum : 128 caractères

Par défaut : Fonction_x (où x est un numéro consécutif).

Attention : Cette propriété n’est pas disponible aux fins de la commutation de langue.

Plus de détails dans l’aide en ligne.

ZT_FKTPARAM

Parameters

Paramètre

Paramètres de transfert de la fonction ; les paramètres dépendent du type de fonction.
Cliquez sur le bouton ... pour ouvrir une boîte de dialogue de configuration de la fonction.
La boîte de dialogue de configuration des paramètres s’ouvre, selon le type de fonction sélectionné.

Plus de détails dans l’aide en ligne .

VT_BOOL

IsActual

Ordinateur actuel

Disponible uniquement dans les projets en réseau :
La fonction est exécutée sur l’ordinateur sur lequel elle a été exécutée.

Plus de détails dans l’aide en ligne.

VT_BOOL

IsClient

Client

Disponible seulement pour les projets réseau :
La fonction est exécutée sur tous les clients du projet.

Plus de détails dans l’aide en ligne.

VT_BOOL

IsServer

Serveur principal

Disponible uniquement dans les projets en réseau :
la fonction est propagée à tous les clients du projet.

Plus de détails dans l’aide en ligne.

VT_BOOL

IsStandBy

Serveur redondant

Disponible seulement pour les projets en réseau :
La fonction est exécutée sur le serveur redondant du projet.

Plus de détails dans l’aide en ligne.

VT_BOOL

IsUrlStartWeb

URL fonction de démarrage pour le web

URL d’exécution de fonction pour le Web :

  • Active : La fonction peut être exécutée au moyen d’une extension d’URL dans HTML Web Client au démarrage de la session.
  • Inactive : La fonction ne peut pas être exécutée au moyen d’une extension d’URL dans HTML Web Client au démarrage de la session.

Par défaut : Inactive

Plus de détails dans l’aide en ligne.

VT_UI4

ID

ID

Internal unique ID of the function.

VT_UI4

Type

Type

With this property you have the opportunity to get/set the source bit in the status routing list.


Reload

Manuel -> Interfaces de programmation -> Modèles d'objet -> RtFunction -> RtFunction-Dynamic properties -> Reload

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Type

VBA/VSTA Name

Display Name

Description

VT_BOOL

IsAll

IsAll

VT_BSTR

Name

Nom

Description unique de la fonction.
La description est diffusée lorsqu’une nouvelle fonction est créée par le système, mais peut être ultérieurement modifiée si la nouvelle description n’est pas déjà utilisée pour une autre fonction.

Maximum : 128 caractères

Par défaut : Fonction_x (où x est un numéro consécutif).

Attention : Cette propriété n’est pas disponible aux fins de la commutation de langue.

Plus de détails dans l’aide en ligne.

ZT_FKTPARAM

Parameters

Paramètre

Paramètres de transfert de la fonction ; les paramètres dépendent du type de fonction.
Cliquez sur le bouton ... pour ouvrir une boîte de dialogue de configuration de la fonction.
La boîte de dialogue de configuration des paramètres s’ouvre, selon le type de fonction sélectionné.

Plus de détails dans l’aide en ligne .

VT_BOOL

IsActual

Ordinateur actuel

Disponible uniquement dans les projets en réseau :
La fonction est exécutée sur l’ordinateur sur lequel elle a été exécutée.

Plus de détails dans l’aide en ligne.

VT_BOOL

IsClient

Client

Disponible seulement pour les projets réseau :
La fonction est exécutée sur tous les clients du projet.

Plus de détails dans l’aide en ligne.

VT_BOOL

IsServer

Serveur principal

Disponible uniquement dans les projets en réseau :
la fonction est propagée à tous les clients du projet.

Plus de détails dans l’aide en ligne.

VT_BOOL

IsStandBy

Serveur redondant

Disponible seulement pour les projets en réseau :
La fonction est exécutée sur le serveur redondant du projet.

Plus de détails dans l’aide en ligne.

VT_BOOL

IsUrlStartWeb

URL fonction de démarrage pour le web

URL d’exécution de fonction pour le Web :

  • Active : La fonction peut être exécutée au moyen d’une extension d’URL dans HTML Web Client au démarrage de la session.
  • Inactive : La fonction ne peut pas être exécutée au moyen d’une extension d’URL dans HTML Web Client au démarrage de la session.

Par défaut : Inactive

Plus de détails dans l’aide en ligne.

VT_UI4

ID

ID

Internal unique ID of the function.

VT_UI4

Type

Type

With this property you have the opportunity to get/set the source bit in the status routing list.


Switch palette

Manuel -> Interfaces de programmation -> Modèles d'objet -> RtFunction -> RtFunction-Dynamic properties -> Switch palette

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Type

VBA/VSTA Name

Display Name

Description

VT_BSTR

PaletteName

Nom palette

Nom de la palette.

Par défaut : Palette de couleur suivi d’un numéro d’indice, par exemple Palette de couleur 1.

Plus de détails dans l’aide en ligne.

VT_BOOL

IsDialogRT

IsDialogRT

"Displays the printer selection dialog in the runtime, if set TRUE."

VT_BSTR

Name

Nom

Description unique de la fonction.
La description est diffusée lorsqu’une nouvelle fonction est créée par le système, mais peut être ultérieurement modifiée si la nouvelle description n’est pas déjà utilisée pour une autre fonction.

Maximum : 128 caractères

Par défaut : Fonction_x (où x est un numéro consécutif).

Attention : Cette propriété n’est pas disponible aux fins de la commutation de langue.

Plus de détails dans l’aide en ligne.

ZT_FKTPARAM

Parameters

Paramètre

Paramètres de transfert de la fonction ; les paramètres dépendent du type de fonction.
Cliquez sur le bouton ... pour ouvrir une boîte de dialogue de configuration de la fonction.
La boîte de dialogue de configuration des paramètres s’ouvre, selon le type de fonction sélectionné.

Plus de détails dans l’aide en ligne .

VT_BOOL

IsActual

Ordinateur actuel

Disponible uniquement dans les projets en réseau :
La fonction est exécutée sur l’ordinateur sur lequel elle a été exécutée.

Plus de détails dans l’aide en ligne.

VT_BOOL

IsClient

Client

Disponible seulement pour les projets réseau :
La fonction est exécutée sur tous les clients du projet.

Plus de détails dans l’aide en ligne.

VT_BOOL

IsServer

Serveur principal

Disponible uniquement dans les projets en réseau :
la fonction est propagée à tous les clients du projet.

Plus de détails dans l’aide en ligne.

VT_BOOL

IsStandBy

Serveur redondant

Disponible seulement pour les projets en réseau :
La fonction est exécutée sur le serveur redondant du projet.

Plus de détails dans l’aide en ligne.

VT_BOOL

IsUrlStartWeb

URL fonction de démarrage pour le web

URL d’exécution de fonction pour le Web :

  • Active : La fonction peut être exécutée au moyen d’une extension d’URL dans HTML Web Client au démarrage de la session.
  • Inactive : La fonction ne peut pas être exécutée au moyen d’une extension d’URL dans HTML Web Client au démarrage de la session.

Par défaut : Inactive

Plus de détails dans l’aide en ligne.

VT_UI4

ID

ID

Internal unique ID of the function.

VT_UI4

Type

Type

With this property you have the opportunity to get/set the source bit in the status routing list.


Language change

Manuel -> Interfaces de programmation -> Modèles d'objet -> RtFunction -> RtFunction-Dynamic properties -> Language change

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Type

VBA/VSTA Name

Display Name

Description

VT_BSTR

FileName

FileName

VT_BSTR

FontList

FontList

VT_BSTR

FileDirectory

FileDirectory

VT_BSTR

MediaDirectory

MediaDirectory

VT_BSTR

HelpDirectory

HelpDirectory

VT_BSTR

GraphicsDirectory

GraphicsDirectory

VT_BSTR

RDLDirectory

RDLDirectory

VT_BSTR

Name

Nom

Description unique de la fonction.
La description est diffusée lorsqu’une nouvelle fonction est créée par le système, mais peut être ultérieurement modifiée si la nouvelle description n’est pas déjà utilisée pour une autre fonction.

Maximum : 128 caractères

Par défaut : Fonction_x (où x est un numéro consécutif).

Attention : Cette propriété n’est pas disponible aux fins de la commutation de langue.

Plus de détails dans l’aide en ligne.

ZT_FKTPARAM

Parameters

Paramètre

Paramètres de transfert de la fonction ; les paramètres dépendent du type de fonction.
Cliquez sur le bouton ... pour ouvrir une boîte de dialogue de configuration de la fonction.
La boîte de dialogue de configuration des paramètres s’ouvre, selon le type de fonction sélectionné.

Plus de détails dans l’aide en ligne .

VT_BOOL

IsActual

Ordinateur actuel

Disponible uniquement dans les projets en réseau :
La fonction est exécutée sur l’ordinateur sur lequel elle a été exécutée.

Plus de détails dans l’aide en ligne.

VT_BOOL

IsClient

Client

Disponible seulement pour les projets réseau :
La fonction est exécutée sur tous les clients du projet.

Plus de détails dans l’aide en ligne.

VT_BOOL

IsServer

Serveur principal

Disponible uniquement dans les projets en réseau :
la fonction est propagée à tous les clients du projet.

Plus de détails dans l’aide en ligne.

VT_BOOL

IsStandBy

Serveur redondant

Disponible seulement pour les projets en réseau :
La fonction est exécutée sur le serveur redondant du projet.

Plus de détails dans l’aide en ligne.

VT_BOOL

IsUrlStartWeb

URL fonction de démarrage pour le web

URL d’exécution de fonction pour le Web :

  • Active : La fonction peut être exécutée au moyen d’une extension d’URL dans HTML Web Client au démarrage de la session.
  • Inactive : La fonction ne peut pas être exécutée au moyen d’une extension d’URL dans HTML Web Client au démarrage de la session.

Par défaut : Inactive

Plus de détails dans l’aide en ligne.

VT_UI4

ID

ID

Internal unique ID of the function.

VT_UI4

Type

Type

With this property you have the opportunity to get/set the source bit in the status routing list.


Index archive

Manuel -> Interfaces de programmation -> Modèles d'objet -> RtFunction -> RtFunction-Dynamic properties -> Index archive

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Type

VBA/VSTA Name

Display Name

Description

VT_BSTR

ArvName

ArvName

VT_BOOL

ArvBackup

@Utiliser le répertoire de sauvegarde@

VT_BSTR

Name

Nom

Description unique de la fonction.
La description est diffusée lorsqu’une nouvelle fonction est créée par le système, mais peut être ultérieurement modifiée si la nouvelle description n’est pas déjà utilisée pour une autre fonction.

Maximum : 128 caractères

Par défaut : Fonction_x (où x est un numéro consécutif).

Attention : Cette propriété n’est pas disponible aux fins de la commutation de langue.

Plus de détails dans l’aide en ligne.

ZT_FKTPARAM

Parameters

Paramètre

Paramètres de transfert de la fonction ; les paramètres dépendent du type de fonction.
Cliquez sur le bouton ... pour ouvrir une boîte de dialogue de configuration de la fonction.
La boîte de dialogue de configuration des paramètres s’ouvre, selon le type de fonction sélectionné.

Plus de détails dans l’aide en ligne .

VT_BOOL

IsActual

Ordinateur actuel

Disponible uniquement dans les projets en réseau :
La fonction est exécutée sur l’ordinateur sur lequel elle a été exécutée.

Plus de détails dans l’aide en ligne.

VT_BOOL

IsClient

Client

Disponible seulement pour les projets réseau :
La fonction est exécutée sur tous les clients du projet.

Plus de détails dans l’aide en ligne.

VT_BOOL

IsServer

Serveur principal

Disponible uniquement dans les projets en réseau :
la fonction est propagée à tous les clients du projet.

Plus de détails dans l’aide en ligne.

VT_BOOL

IsStandBy

Serveur redondant

Disponible seulement pour les projets en réseau :
La fonction est exécutée sur le serveur redondant du projet.

Plus de détails dans l’aide en ligne.

VT_BOOL

IsUrlStartWeb

URL fonction de démarrage pour le web

URL d’exécution de fonction pour le Web :

  • Active : La fonction peut être exécutée au moyen d’une extension d’URL dans HTML Web Client au démarrage de la session.
  • Inactive : La fonction ne peut pas être exécutée au moyen d’une extension d’URL dans HTML Web Client au démarrage de la session.

Par défaut : Inactive

Plus de détails dans l’aide en ligne.

VT_UI4

ID

ID

Internal unique ID of the function.

VT_UI4

Type

Type

With this property you have the opportunity to get/set the source bit in the status routing list.


List of active archives

Manuel -> Interfaces de programmation -> Modèles d'objet -> RtFunction -> RtFunction-Dynamic properties -> List of active archives

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Type

VBA/VSTA Name

Display Name

Description

VT_BSTR

ArvName

ArvName

VT_BSTR

Name

Nom

Description unique de la fonction.
La description est diffusée lorsqu’une nouvelle fonction est créée par le système, mais peut être ultérieurement modifiée si la nouvelle description n’est pas déjà utilisée pour une autre fonction.

Maximum : 128 caractères

Par défaut : Fonction_x (où x est un numéro consécutif).

Attention : Cette propriété n’est pas disponible aux fins de la commutation de langue.

Plus de détails dans l’aide en ligne.

ZT_FKTPARAM

Parameters

Paramètre

Paramètres de transfert de la fonction ; les paramètres dépendent du type de fonction.
Cliquez sur le bouton ... pour ouvrir une boîte de dialogue de configuration de la fonction.
La boîte de dialogue de configuration des paramètres s’ouvre, selon le type de fonction sélectionné.

Plus de détails dans l’aide en ligne .

VT_BOOL

IsActual

Ordinateur actuel

Disponible uniquement dans les projets en réseau :
La fonction est exécutée sur l’ordinateur sur lequel elle a été exécutée.

Plus de détails dans l’aide en ligne.

VT_BOOL

IsClient

Client

Disponible seulement pour les projets réseau :
La fonction est exécutée sur tous les clients du projet.

Plus de détails dans l’aide en ligne.

VT_BOOL

IsServer

Serveur principal

Disponible uniquement dans les projets en réseau :
la fonction est propagée à tous les clients du projet.

Plus de détails dans l’aide en ligne.

VT_BOOL

IsStandBy

Serveur redondant

Disponible seulement pour les projets en réseau :
La fonction est exécutée sur le serveur redondant du projet.

Plus de détails dans l’aide en ligne.

VT_BOOL

IsUrlStartWeb

URL fonction de démarrage pour le web

URL d’exécution de fonction pour le Web :

  • Active : La fonction peut être exécutée au moyen d’une extension d’URL dans HTML Web Client au démarrage de la session.
  • Inactive : La fonction ne peut pas être exécutée au moyen d’une extension d’URL dans HTML Web Client au démarrage de la session.

Par défaut : Inactive

Plus de détails dans l’aide en ligne.

VT_UI4

ID

ID

Internal unique ID of the function.

VT_UI4

Type

Type

With this property you have the opportunity to get/set the source bit in the status routing list.


CD_CArchivExportFilter

Manuel -> Interfaces de programmation -> Modèles d'objet -> RtFunction -> RtFunction-Dynamic properties -> CD_CArchivExportFilter

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | VBA/VSTA Name | Display Name | Description
VT_I4 | ExportType | ExportType | Description
VT_BOOL | IsUnicode | IsUnicode |
VT_BSTR | Name | Name |
VT_BSTR | ArvName | ArvName |
VT_BSTR | Format | Format |
VT_BOOL | IsFilterRT | IsFilterRT |
VT_BOOL | AutomaticNameGeneration | IsMatchCase |
VT_BOOL | UseLotForNameGeneration | UseLotForNameGeneration | Description
VT_UI1 | Backup | Backup |
VT_BSTR | ResString | ResString |
VT_BSTR | Database | Database |
VT_BSTR | DBTable | DBTable |
More... | TimeFilter | TimeFilter |


Export archive

Manuel -> Interfaces de programmation -> Modèles d'objet -> RtFunction -> RtFunction-Dynamic properties -> Export archive

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Type

VBA/VSTA Name

Display Name

Description

More...

Filter

Filter

VT_BSTR

Name

Nom

Description unique de la fonction.
La description est diffusée lorsqu’une nouvelle fonction est créée par le système, mais peut être ultérieurement modifiée si la nouvelle description n’est pas déjà utilisée pour une autre fonction.

Maximum : 128 caractères

Par défaut : Fonction_x (où x est un numéro consécutif).

Attention : Cette propriété n’est pas disponible aux fins de la commutation de langue.

Plus de détails dans l’aide en ligne.

ZT_FKTPARAM

Parameters

Paramètre

Paramètres de transfert de la fonction ; les paramètres dépendent du type de fonction.
Cliquez sur le bouton ... pour ouvrir une boîte de dialogue de configuration de la fonction.
La boîte de dialogue de configuration des paramètres s’ouvre, selon le type de fonction sélectionné.

Plus de détails dans l’aide en ligne .

VT_BOOL

IsActual

Ordinateur actuel

Disponible uniquement dans les projets en réseau :
La fonction est exécutée sur l’ordinateur sur lequel elle a été exécutée.

Plus de détails dans l’aide en ligne.

VT_BOOL

IsClient

Client

Disponible seulement pour les projets réseau :
La fonction est exécutée sur tous les clients du projet.

Plus de détails dans l’aide en ligne.

VT_BOOL

IsServer

Serveur principal

Disponible uniquement dans les projets en réseau :
la fonction est propagée à tous les clients du projet.

Plus de détails dans l’aide en ligne.

VT_BOOL

IsStandBy

Serveur redondant

Disponible seulement pour les projets en réseau :
La fonction est exécutée sur le serveur redondant du projet.

Plus de détails dans l’aide en ligne.

VT_BOOL

IsUrlStartWeb

URL fonction de démarrage pour le web

URL d’exécution de fonction pour le Web :

  • Active : La fonction peut être exécutée au moyen d’une extension d’URL dans HTML Web Client au démarrage de la session.
  • Inactive : La fonction ne peut pas être exécutée au moyen d’une extension d’URL dans HTML Web Client au démarrage de la session.

Par défaut : Inactive

Plus de détails dans l’aide en ligne.

VT_UI4

ID

ID

Internal unique ID of the function.

VT_UI4

Type

Type

With this property you have the opportunity to get/set the source bit in the status routing list.


Base function

Manuel -> Interfaces de programmation -> Modèles d'objet -> RtFunction -> RtFunction-Dynamic properties -> Base function

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Type

VBA/VSTA Name

Display Name

Description

VT_BSTR

Name

Nom

Description unique de la fonction.
La description est diffusée lorsqu’une nouvelle fonction est créée par le système, mais peut être ultérieurement modifiée si la nouvelle description n’est pas déjà utilisée pour une autre fonction.

Maximum : 128 caractères

Par défaut : Fonction_x (où x est un numéro consécutif).

Attention : Cette propriété n’est pas disponible aux fins de la commutation de langue.

Plus de détails dans l’aide en ligne.

ZT_FKTPARAM

Parameters

Paramètre

Paramètres de transfert de la fonction ; les paramètres dépendent du type de fonction.
Cliquez sur le bouton ... pour ouvrir une boîte de dialogue de configuration de la fonction.
La boîte de dialogue de configuration des paramètres s’ouvre, selon le type de fonction sélectionné.

Plus de détails dans l’aide en ligne .

VT_BOOL

IsActual

Ordinateur actuel

Disponible uniquement dans les projets en réseau :
La fonction est exécutée sur l’ordinateur sur lequel elle a été exécutée.

Plus de détails dans l’aide en ligne.

VT_BOOL

IsClient

Client

Disponible seulement pour les projets réseau :
La fonction est exécutée sur tous les clients du projet.

Plus de détails dans l’aide en ligne.

VT_BOOL

IsServer

Serveur principal

Disponible uniquement dans les projets en réseau :
la fonction est propagée à tous les clients du projet.

Plus de détails dans l’aide en ligne.

VT_BOOL

IsStandBy

Serveur redondant

Disponible seulement pour les projets en réseau :
La fonction est exécutée sur le serveur redondant du projet.

Plus de détails dans l’aide en ligne.

VT_BOOL

IsUrlStartWeb

URL fonction de démarrage pour le web

URL d’exécution de fonction pour le Web :

  • Active : La fonction peut être exécutée au moyen d’une extension d’URL dans HTML Web Client au démarrage de la session.
  • Inactive : La fonction ne peut pas être exécutée au moyen d’une extension d’URL dans HTML Web Client au démarrage de la session.

Par défaut : Inactive

Plus de détails dans l’aide en ligne.

VT_UI4

ID

ID

Internal unique ID of the function.

VT_UI4

Type

Type

With this property you have the opportunity to get/set the source bit in the status routing list.

ZT_AKZ

SystemModelGroup

Groupes d'équipements

Lie l’élément à un modèle d’équipement. Cliquez sur le bouton ... pour ouvrir la boîte de sélection d’un groupe d’équipements.
L'affichage du groupe d’équipements sélectionné inclut également les niveaux supérieurs à ce groupe. Les niveaux sont séparés par un point dans l’affichage.

Dans le cas d’une sélection multiple, les groupes d’équipements individuels sont séparés par un point-virgule (;).

Plus de détails dans l’aide en ligne.


CRecipeExportFilter

Manuel -> Interfaces de programmation -> Modèles d'objet -> RtFunction -> RtFunction-Dynamic properties -> CRecipeExportFilter

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | VBA/VSTA Name | Display Name | Description
VT_I2 | FilterType | FilterType | Description
ZT_KNOTEN | RecipeFilter | RecipeFilter | Description
ZT_KNOTEN | OperationFilter | OperationFilter | Description
VT_I2 | FileNaming | FileNaming | Description
VT_BSTR | FileName | FileNamePv | Description
ZT_VARIABLE | FileNamePv | FileNamePv | Description
VT_BOOL | OverwriteExistingFile | OverwriteExistingFile | Description
VT_BOOL | ShowRT | ShowRT | Description


CFktBatchRecipeExport

Manuel -> Interfaces de programmation -> Modèles d'objet -> RtFunction -> RtFunction-Dynamic properties -> CFktBatchRecipeExport

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Type

VBA/VSTA Name

Display Name

Description

More...

RecipeExportFilter

RecipeExportFilter

Description

VT_BSTR

Name

Nom

Description unique de la fonction.
La description est diffusée lorsqu’une nouvelle fonction est créée par le système, mais peut être ultérieurement modifiée si la nouvelle description n’est pas déjà utilisée pour une autre fonction.

Maximum : 128 caractères

Par défaut : Fonction_x (où x est un numéro consécutif).

Attention : Cette propriété n’est pas disponible aux fins de la commutation de langue.

Plus de détails dans l’aide en ligne.

ZT_FKTPARAM

Parameters

Paramètre

Paramètres de transfert de la fonction ; les paramètres dépendent du type de fonction.
Cliquez sur le bouton ... pour ouvrir une boîte de dialogue de configuration de la fonction.
La boîte de dialogue de configuration des paramètres s’ouvre, selon le type de fonction sélectionné.

Plus de détails dans l’aide en ligne .

VT_BOOL

IsActual

Ordinateur actuel

Disponible uniquement dans les projets en réseau :
La fonction est exécutée sur l’ordinateur sur lequel elle a été exécutée.

Plus de détails dans l’aide en ligne.

VT_BOOL

IsClient

Client

Disponible seulement pour les projets réseau :
La fonction est exécutée sur tous les clients du projet.

Plus de détails dans l’aide en ligne.

VT_BOOL

IsServer

Serveur principal

Disponible uniquement dans les projets en réseau :
la fonction est propagée à tous les clients du projet.

Plus de détails dans l’aide en ligne.

VT_BOOL

IsStandBy

Serveur redondant

Disponible seulement pour les projets en réseau :
La fonction est exécutée sur le serveur redondant du projet.

Plus de détails dans l’aide en ligne.

VT_BOOL

IsUrlStartWeb

URL fonction de démarrage pour le web

URL d’exécution de fonction pour le Web :

  • Active : La fonction peut être exécutée au moyen d’une extension d’URL dans HTML Web Client au démarrage de la session.
  • Inactive : La fonction ne peut pas être exécutée au moyen d’une extension d’URL dans HTML Web Client au démarrage de la session.

Par défaut : Inactive

Plus de détails dans l’aide en ligne.

VT_UI4

ID

ID

Internal unique ID of the function.

VT_UI4

Type

Type

With this property you have the opportunity to get/set the source bit in the status routing list.

ZT_AKZ

SystemModelGroup

Groupes d'équipements

Lie l’élément à un modèle d’équipement. Cliquez sur le bouton ... pour ouvrir la boîte de sélection d’un groupe d’équipements.
L'affichage du groupe d’équipements sélectionné inclut également les niveaux supérieurs à ce groupe. Les niveaux sont séparés par un point dans l’affichage.

Dans le cas d’une sélection multiple, les groupes d’équipements individuels sont séparés par un point-virgule (;).

Plus de détails dans l’aide en ligne.


CRecipeImportFilter

Manuel -> Interfaces de programmation -> Modèles d'objet -> RtFunction -> RtFunction-Dynamic properties -> CRecipeImportFilter

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | VBA/VSTA Name | Display Name | Description
VT_BOOL | ShowRT | ShowRT | Description
VT_BOOL | FileNameFromVariable | FileNameFromVariable | Description
VT_BSTR | FileName | FileNameFromVariable | Description
ZT_VARIABLE | FileNameVariable | FileNameVariable | Description
VT_I2 | MrNameConflictAction | MrNameConflictAction | Description
VT_I2 | MrOpNameConflictAction | MrOpNameConflictAction | Description
VT_BOOL | LinkJobId | LinkJobId | Description as text.
ZT_VARIABLE | IndividualJobVariable | IndividualJobVariable | Description as text.
VT_I2 | IndividualJobIdLinkType | IndividualJobIdLinkType | Description as text.


CFktBatchRecipeImport

Manuel -> Interfaces de programmation -> Modèles d'objet -> RtFunction -> RtFunction-Dynamic properties -> CFktBatchRecipeImport

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Type

VBA/VSTA Name

Display Name

Description

More...

RecipeImportFilter

RecipeImportFilter

Description

VT_BSTR

Name

Nom

Description unique de la fonction.
La description est diffusée lorsqu’une nouvelle fonction est créée par le système, mais peut être ultérieurement modifiée si la nouvelle description n’est pas déjà utilisée pour une autre fonction.

Maximum : 128 caractères

Par défaut : Fonction_x (où x est un numéro consécutif).

Attention : Cette propriété n’est pas disponible aux fins de la commutation de langue.

Plus de détails dans l’aide en ligne.

ZT_FKTPARAM

Parameters

Paramètre

Paramètres de transfert de la fonction ; les paramètres dépendent du type de fonction.
Cliquez sur le bouton ... pour ouvrir une boîte de dialogue de configuration de la fonction.
La boîte de dialogue de configuration des paramètres s’ouvre, selon le type de fonction sélectionné.

Plus de détails dans l’aide en ligne .

VT_BOOL

IsActual

Ordinateur actuel

Disponible uniquement dans les projets en réseau :
La fonction est exécutée sur l’ordinateur sur lequel elle a été exécutée.

Plus de détails dans l’aide en ligne.

VT_BOOL

IsClient

Client

Disponible seulement pour les projets réseau :
La fonction est exécutée sur tous les clients du projet.

Plus de détails dans l’aide en ligne.

VT_BOOL

IsServer

Serveur principal

Disponible uniquement dans les projets en réseau :
la fonction est propagée à tous les clients du projet.

Plus de détails dans l’aide en ligne.

VT_BOOL

IsStandBy

Serveur redondant

Disponible seulement pour les projets en réseau :
La fonction est exécutée sur le serveur redondant du projet.

Plus de détails dans l’aide en ligne.

VT_BOOL

IsUrlStartWeb

URL fonction de démarrage pour le web

URL d’exécution de fonction pour le Web :

  • Active : La fonction peut être exécutée au moyen d’une extension d’URL dans HTML Web Client au démarrage de la session.
  • Inactive : La fonction ne peut pas être exécutée au moyen d’une extension d’URL dans HTML Web Client au démarrage de la session.

Par défaut : Inactive

Plus de détails dans l’aide en ligne.

VT_UI4

ID

ID

Internal unique ID of the function.

VT_UI4

Type

Type

With this property you have the opportunity to get/set the source bit in the status routing list.

ZT_AKZ

SystemModelGroup

Groupes d'équipements

Lie l’élément à un modèle d’équipement. Cliquez sur le bouton ... pour ouvrir la boîte de sélection d’un groupe d’équipements.
L'affichage du groupe d’équipements sélectionné inclut également les niveaux supérieurs à ce groupe. Les niveaux sont séparés par un point dans l’affichage.

Dans le cas d’une sélection multiple, les groupes d’équipements individuels sont séparés par un point-virgule (;).

Plus de détails dans l’aide en ligne.


Screen switch function

Manuel -> Interfaces de programmation -> Modèles d'objet -> RtFunction -> RtFunction-Dynamic properties -> Screen switch function

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Type

VBA/VSTA Name

Display Name

Description

More...

PictSwitch

PictSwitch

VT_BSTR

Picture

Picture

Gets or sets the name of the switching picture.

VT_UI4

WndType

WndType

Only users with the appropriate user authorization can edit entries in the database of the Industrial Performance Analyzer (IPA).

VT_BSTR

Name

Nom

Description unique de la fonction.
La description est diffusée lorsqu’une nouvelle fonction est créée par le système, mais peut être ultérieurement modifiée si la nouvelle description n’est pas déjà utilisée pour une autre fonction.

Maximum : 128 caractères

Par défaut : Fonction_x (où x est un numéro consécutif).

Attention : Cette propriété n’est pas disponible aux fins de la commutation de langue.

Plus de détails dans l’aide en ligne.

ZT_FKTPARAM

Parameters

Paramètre

Paramètres de transfert de la fonction ; les paramètres dépendent du type de fonction.
Cliquez sur le bouton ... pour ouvrir une boîte de dialogue de configuration de la fonction.
La boîte de dialogue de configuration des paramètres s’ouvre, selon le type de fonction sélectionné.

Plus de détails dans l’aide en ligne .

VT_BOOL

IsActual

Ordinateur actuel

Disponible uniquement dans les projets en réseau :
La fonction est exécutée sur l’ordinateur sur lequel elle a été exécutée.

Plus de détails dans l’aide en ligne.

VT_BOOL

IsClient

Client

Disponible seulement pour les projets réseau :
La fonction est exécutée sur tous les clients du projet.

Plus de détails dans l’aide en ligne.

VT_BOOL

IsServer

Serveur principal

Disponible uniquement dans les projets en réseau :
la fonction est propagée à tous les clients du projet.

Plus de détails dans l’aide en ligne.

VT_BOOL

IsStandBy

Serveur redondant

Disponible seulement pour les projets en réseau :
La fonction est exécutée sur le serveur redondant du projet.

Plus de détails dans l’aide en ligne.

VT_BOOL

IsUrlStartWeb

URL fonction de démarrage pour le web

URL d’exécution de fonction pour le Web :

  • Active : La fonction peut être exécutée au moyen d’une extension d’URL dans HTML Web Client au démarrage de la session.
  • Inactive : La fonction ne peut pas être exécutée au moyen d’une extension d’URL dans HTML Web Client au démarrage de la session.

Par défaut : Inactive

Plus de détails dans l’aide en ligne.

VT_UI4

ID

ID

Internal unique ID of the function.

VT_UI4

Type

Type

With this property you have the opportunity to get/set the source bit in the status routing list.

ZT_AKZ

SystemModelGroup

Groupes d'équipements

Lie l’élément à un modèle d’équipement. Cliquez sur le bouton ... pour ouvrir la boîte de sélection d’un groupe d’équipements.
L'affichage du groupe d’équipements sélectionné inclut également les niveaux supérieurs à ce groupe. Les niveaux sont séparés par un point dans l’affichage.

Dans le cas d’une sélection multiple, les groupes d’équipements individuels sont séparés par un point-virgule (;).

Plus de détails dans l’aide en ligne.


CD_CSetFocus

Manuel -> Interfaces de programmation -> Modèles d'objet -> RtFunction -> RtFunction-Dynamic properties -> CD_CSetFocus

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | VBA/VSTA Name | Display Name | Description
VT_I2 | Direction | Direction |
VT_BOOL | IsOnElement | IsOnElement |
VT_BSTR | IsElementName | IsElementName |


Focus set

Manuel -> Interfaces de programmation -> Modèles d'objet -> RtFunction -> RtFunction-Dynamic properties -> Focus set

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Type

VBA/VSTA Name

Display Name

Description

More...

Focus

Focus

VT_BSTR

Name

Nom

Description unique de la fonction.
La description est diffusée lorsqu’une nouvelle fonction est créée par le système, mais peut être ultérieurement modifiée si la nouvelle description n’est pas déjà utilisée pour une autre fonction.

Maximum : 128 caractères

Par défaut : Fonction_x (où x est un numéro consécutif).

Attention : Cette propriété n’est pas disponible aux fins de la commutation de langue.

Plus de détails dans l’aide en ligne.

ZT_FKTPARAM

Parameters

Paramètre

Paramètres de transfert de la fonction ; les paramètres dépendent du type de fonction.
Cliquez sur le bouton ... pour ouvrir une boîte de dialogue de configuration de la fonction.
La boîte de dialogue de configuration des paramètres s’ouvre, selon le type de fonction sélectionné.

Plus de détails dans l’aide en ligne .

VT_BOOL

IsActual

Ordinateur actuel

Disponible uniquement dans les projets en réseau :
La fonction est exécutée sur l’ordinateur sur lequel elle a été exécutée.

Plus de détails dans l’aide en ligne.

VT_BOOL

IsClient

Client

Disponible seulement pour les projets réseau :
La fonction est exécutée sur tous les clients du projet.

Plus de détails dans l’aide en ligne.

VT_BOOL

IsServer

Serveur principal

Disponible uniquement dans les projets en réseau :
la fonction est propagée à tous les clients du projet.

Plus de détails dans l’aide en ligne.

VT_BOOL

IsStandBy

Serveur redondant

Disponible seulement pour les projets en réseau :
La fonction est exécutée sur le serveur redondant du projet.

Plus de détails dans l’aide en ligne.

VT_BOOL

IsUrlStartWeb

URL fonction de démarrage pour le web

URL d’exécution de fonction pour le Web :

  • Active : La fonction peut être exécutée au moyen d’une extension d’URL dans HTML Web Client au démarrage de la session.
  • Inactive : La fonction ne peut pas être exécutée au moyen d’une extension d’URL dans HTML Web Client au démarrage de la session.

Par défaut : Inactive

Plus de détails dans l’aide en ligne.

VT_UI4

ID

ID

Internal unique ID of the function.

VT_UI4

Type

Type

With this property you have the opportunity to get/set the source bit in the status routing list.

ZT_AKZ

SystemModelGroup

Groupes d'équipements

Lie l’élément à un modèle d’équipement. Cliquez sur le bouton ... pour ouvrir la boîte de sélection d’un groupe d’équipements.
L'affichage du groupe d’équipements sélectionné inclut également les niveaux supérieurs à ce groupe. Les niveaux sont séparés par un point dans l’affichage.

Dans le cas d’une sélection multiple, les groupes d’équipements individuels sont séparés par un point-virgule (;).

Plus de détails dans l’aide en ligne.


Show menu

Manuel -> Interfaces de programmation -> Modèles d'objet -> RtFunction -> RtFunction-Dynamic properties -> Show menu

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Type

VBA/VSTA Name

Display Name

Description

VT_I2

ActionType

ActionType

"Gets or sets the action that should be executed.
0 = Show menu (specified by ""MenuName"")
1 = Hide menu
2 = Change menu (specified by ""MenuName"")
3 = If no menu exists, then show menu specified by ""MenuName"""

VT_BOOL

FilterInRT

FilterInRT

"Shows the dialog in the runtime, if set TRUE."

VT_BSTR

MenuName

Displayname~Link

Gets or sets the name of the menu as string.

VT_BSTR

Name

Nom

Description unique de la fonction.
La description est diffusée lorsqu’une nouvelle fonction est créée par le système, mais peut être ultérieurement modifiée si la nouvelle description n’est pas déjà utilisée pour une autre fonction.

Maximum : 128 caractères

Par défaut : Fonction_x (où x est un numéro consécutif).

Attention : Cette propriété n’est pas disponible aux fins de la commutation de langue.

Plus de détails dans l’aide en ligne.

ZT_FKTPARAM

Parameters

Paramètre

Paramètres de transfert de la fonction ; les paramètres dépendent du type de fonction.
Cliquez sur le bouton ... pour ouvrir une boîte de dialogue de configuration de la fonction.
La boîte de dialogue de configuration des paramètres s’ouvre, selon le type de fonction sélectionné.

Plus de détails dans l’aide en ligne .

VT_BOOL

IsActual

Ordinateur actuel

Disponible uniquement dans les projets en réseau :
La fonction est exécutée sur l’ordinateur sur lequel elle a été exécutée.

Plus de détails dans l’aide en ligne.

VT_BOOL

IsClient

Client

Disponible seulement pour les projets réseau :
La fonction est exécutée sur tous les clients du projet.

Plus de détails dans l’aide en ligne.

VT_BOOL

IsServer

Serveur principal

Disponible uniquement dans les projets en réseau :
la fonction est propagée à tous les clients du projet.

Plus de détails dans l’aide en ligne.

VT_BOOL

IsStandBy

Serveur redondant

Disponible seulement pour les projets en réseau :
La fonction est exécutée sur le serveur redondant du projet.

Plus de détails dans l’aide en ligne.

VT_BOOL

IsUrlStartWeb

URL fonction de démarrage pour le web

URL d’exécution de fonction pour le Web :

  • Active : La fonction peut être exécutée au moyen d’une extension d’URL dans HTML Web Client au démarrage de la session.
  • Inactive : La fonction ne peut pas être exécutée au moyen d’une extension d’URL dans HTML Web Client au démarrage de la session.

Par défaut : Inactive

Plus de détails dans l’aide en ligne.

VT_UI4

ID

ID

Internal unique ID of the function.

VT_UI4

Type

Type

With this property you have the opportunity to get/set the source bit in the status routing list.

ZT_AKZ

SystemModelGroup

Groupes d'équipements

Lie l’élément à un modèle d’équipement. Cliquez sur le bouton ... pour ouvrir la boîte de sélection d’un groupe d’équipements.
L'affichage du groupe d’équipements sélectionné inclut également les niveaux supérieurs à ce groupe. Les niveaux sont séparés par un point dans l’affichage.

Dans le cas d’une sélection multiple, les groupes d’équipements individuels sont séparés par un point-virgule (;).

Plus de détails dans l’aide en ligne.


CDBildMittelPunktPara

Manuel -> Interfaces de programmation -> Modèles d'objet -> RtFunction -> RtFunction-Dynamic properties -> CDBildMittelPunktPara

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | VBA/VSTA Name | Display Name | Description
VT_I2 | Type | Type | "Specifies the centering method: 0 = Centering deactivated 1 = Set desired center via an object (DynProperty ""Station"") 3 = Set desired center via coordinates (DynProperties ""X"" and ""Y"") "
VT_BSTR | Station | Station | "Name of the object, which should be the reference for the new center. Hint: Only available, if DynProperty ""Type"" is set to 1."
VT_I2 | X | X | "X coordinate of the new center. Hint: Only available, if DynProperty ""Type"" is set to 3."
VT_I2 | Y | Y | "Y coordinate of the new center. Hint: Only available, if DynProperty ""Type"" is set to 3."
VT_I2 | ZoomType | ZoomType | "Specifies the zoom method: 0 = Zoom deactivated 1 = Set desired zoom factor in percent (DynProperty ""ZoomPercent"") 3 = Set desired zoom factor via the defined zoom steps (DynProperty ""ZoomLevel"") "
VT_I2 | ZoomPercent | ZoomPercent | "Specifies the zoom factor in percent. Hint: Only available, if DynProperty ""ZoomType"" is set to 1."
VT_I2 | ZoomLevel | ZoomLevel | "Specifies the zoom steps. Hint: Only available, if DynProperty ""ZoomType"" is set to 3."


Screen.center

Manuel -> Interfaces de programmation -> Modèles d'objet -> RtFunction -> RtFunction-Dynamic properties -> Screen.center

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Type

VBA/VSTA Name

Display Name

Description

More...

PictSwitch

PictSwitch

More...

MidParameter

MidParameter

Parameters for centering and zooming

VT_BSTR

Picture

Picture

Specifies the GUID of the picture that should be centered and/or zoomed.

VT_BSTR

Name

Nom

Description unique de la fonction.
La description est diffusée lorsqu’une nouvelle fonction est créée par le système, mais peut être ultérieurement modifiée si la nouvelle description n’est pas déjà utilisée pour une autre fonction.

Maximum : 128 caractères

Par défaut : Fonction_x (où x est un numéro consécutif).

Attention : Cette propriété n’est pas disponible aux fins de la commutation de langue.

Plus de détails dans l’aide en ligne.

ZT_FKTPARAM

Parameters

Paramètre

Paramètres de transfert de la fonction ; les paramètres dépendent du type de fonction.
Cliquez sur le bouton ... pour ouvrir une boîte de dialogue de configuration de la fonction.
La boîte de dialogue de configuration des paramètres s’ouvre, selon le type de fonction sélectionné.

Plus de détails dans l’aide en ligne .

VT_BOOL

IsActual

Ordinateur actuel

Disponible uniquement dans les projets en réseau :
La fonction est exécutée sur l’ordinateur sur lequel elle a été exécutée.

Plus de détails dans l’aide en ligne.

VT_BOOL

IsClient

Client

Disponible seulement pour les projets réseau :
La fonction est exécutée sur tous les clients du projet.

Plus de détails dans l’aide en ligne.

VT_BOOL

IsServer

Serveur principal

Disponible uniquement dans les projets en réseau :
la fonction est propagée à tous les clients du projet.

Plus de détails dans l’aide en ligne.

VT_BOOL

IsStandBy

Serveur redondant

Disponible seulement pour les projets en réseau :
La fonction est exécutée sur le serveur redondant du projet.

Plus de détails dans l’aide en ligne.

VT_BOOL

IsUrlStartWeb

URL fonction de démarrage pour le web

URL d’exécution de fonction pour le Web :

  • Active : La fonction peut être exécutée au moyen d’une extension d’URL dans HTML Web Client au démarrage de la session.
  • Inactive : La fonction ne peut pas être exécutée au moyen d’une extension d’URL dans HTML Web Client au démarrage de la session.

Par défaut : Inactive

Plus de détails dans l’aide en ligne.

VT_UI4

ID

ID

Internal unique ID of the function.

VT_UI4

Type

Type

With this property you have the opportunity to get/set the source bit in the status routing list.

ZT_AKZ

SystemModelGroup

Groupes d'équipements

Lie l’élément à un modèle d’équipement. Cliquez sur le bouton ... pour ouvrir la boîte de sélection d’un groupe d’équipements.
L'affichage du groupe d’équipements sélectionné inclut également les niveaux supérieurs à ce groupe. Les niveaux sont séparés par un point dans l’affichage.

Dans le cas d’une sélection multiple, les groupes d’équipements individuels sont séparés par un point-virgule (;).

Plus de détails dans l’aide en ligne.


Monitor assign

Manuel -> Interfaces de programmation -> Modèles d'objet -> RtFunction -> RtFunction-Dynamic properties -> Monitor assign

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Type

VBA/VSTA Name

Display Name

Description

VT_I2

SrcNum

SrcNum

VT_I2

DstNum

DstNum

VT_BSTR

Name

Nom

Description unique de la fonction.
La description est diffusée lorsqu’une nouvelle fonction est créée par le système, mais peut être ultérieurement modifiée si la nouvelle description n’est pas déjà utilisée pour une autre fonction.

Maximum : 128 caractères

Par défaut : Fonction_x (où x est un numéro consécutif).

Attention : Cette propriété n’est pas disponible aux fins de la commutation de langue.

Plus de détails dans l’aide en ligne.

ZT_FKTPARAM

Parameters

Paramètre

Paramètres de transfert de la fonction ; les paramètres dépendent du type de fonction.
Cliquez sur le bouton ... pour ouvrir une boîte de dialogue de configuration de la fonction.
La boîte de dialogue de configuration des paramètres s’ouvre, selon le type de fonction sélectionné.

Plus de détails dans l’aide en ligne .

VT_BOOL

IsActual

Ordinateur actuel

Disponible uniquement dans les projets en réseau :
La fonction est exécutée sur l’ordinateur sur lequel elle a été exécutée.

Plus de détails dans l’aide en ligne.

VT_BOOL

IsClient

Client

Disponible seulement pour les projets réseau :
La fonction est exécutée sur tous les clients du projet.

Plus de détails dans l’aide en ligne.

VT_BOOL

IsServer

Serveur principal

Disponible uniquement dans les projets en réseau :
la fonction est propagée à tous les clients du projet.

Plus de détails dans l’aide en ligne.

VT_BOOL

IsStandBy

Serveur redondant

Disponible seulement pour les projets en réseau :
La fonction est exécutée sur le serveur redondant du projet.

Plus de détails dans l’aide en ligne.

VT_BOOL

IsUrlStartWeb

URL fonction de démarrage pour le web

URL d’exécution de fonction pour le Web :

  • Active : La fonction peut être exécutée au moyen d’une extension d’URL dans HTML Web Client au démarrage de la session.
  • Inactive : La fonction ne peut pas être exécutée au moyen d’une extension d’URL dans HTML Web Client au démarrage de la session.

Par défaut : Inactive

Plus de détails dans l’aide en ligne.

VT_UI4

ID

ID

Internal unique ID of the function.

VT_UI4

Type

Type

With this property you have the opportunity to get/set the source bit in the status routing list.

ZT_AKZ

SystemModelGroup

Groupes d'équipements

Lie l’élément à un modèle d’équipement. Cliquez sur le bouton ... pour ouvrir la boîte de sélection d’un groupe d’équipements.
L'affichage du groupe d’équipements sélectionné inclut également les niveaux supérieurs à ce groupe. Les niveaux sont séparés par un point dans l’affichage.

Dans le cas d’une sélection multiple, les groupes d’équipements individuels sont séparés par un point-virgule (;).

Plus de détails dans l’aide en ligne.


COverviewInfo

Manuel -> Interfaces de programmation -> Modèles d'objet -> RtFunction -> RtFunction-Dynamic properties -> COverviewInfo

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | VBA/VSTA Name | Display Name | Description
VT_I2 | Type | Type | "Selects, if monitors or templates are shown as frames in the overview window: 0 = Templates 1 = Montiors "
VT_I2 | Action | Action | "The function can display, toggle or close the overview window: 0 = Display 1 = Toggle 2 = Close "
VT_UI4 | Style | Style | Specifies the style settings for the overview window: Hint: Multiple style settings have to be combined by ORing (Logical OR).
VT_UI4 | Color1 | Color1 | Specifies the background color of the overview picture.
VT_UI4 | Color2 | Color2 | Specifies the color of the current view.
VT_UI4 | Color3 | Color3 | Specifies the frame color.
VT_UI4 | Color4 | Color4 | Specifies the selection color.
VT_I4 | PosLeft | PosLeft | Specifies the left position of the overview window on the screen (in pixel).
VT_I4 | PosTop | PosTop | Specifies the top position of the overview window on the screen (in pixel).
VT_I4 | PosRight | PosRight | Specifies the right position of the overview window on the screen (in pixel).
VT_I4 | PosBottom | PosBottom | Specifies the bottom position of the overview window on the screen (in pixel).


Overview window function

Manuel -> Interfaces de programmation -> Modèles d'objet -> RtFunction -> RtFunction-Dynamic properties -> Overview window function

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Type

VBA/VSTA Name

Display Name

Description

More...

OverviewInfo

OverviewInfo

Properties for the overview window

VT_BSTR

Name

Nom

Description unique de la fonction.
La description est diffusée lorsqu’une nouvelle fonction est créée par le système, mais peut être ultérieurement modifiée si la nouvelle description n’est pas déjà utilisée pour une autre fonction.

Maximum : 128 caractères

Par défaut : Fonction_x (où x est un numéro consécutif).

Attention : Cette propriété n’est pas disponible aux fins de la commutation de langue.

Plus de détails dans l’aide en ligne.

ZT_FKTPARAM

Parameters

Paramètre

Paramètres de transfert de la fonction ; les paramètres dépendent du type de fonction.
Cliquez sur le bouton ... pour ouvrir une boîte de dialogue de configuration de la fonction.
La boîte de dialogue de configuration des paramètres s’ouvre, selon le type de fonction sélectionné.

Plus de détails dans l’aide en ligne .

VT_BOOL

IsActual

Ordinateur actuel

Disponible uniquement dans les projets en réseau :
La fonction est exécutée sur l’ordinateur sur lequel elle a été exécutée.

Plus de détails dans l’aide en ligne.

VT_BOOL

IsClient

Client

Disponible seulement pour les projets réseau :
La fonction est exécutée sur tous les clients du projet.

Plus de détails dans l’aide en ligne.

VT_BOOL

IsServer

Serveur principal

Disponible uniquement dans les projets en réseau :
la fonction est propagée à tous les clients du projet.

Plus de détails dans l’aide en ligne.

VT_BOOL

IsStandBy

Serveur redondant

Disponible seulement pour les projets en réseau :
La fonction est exécutée sur le serveur redondant du projet.

Plus de détails dans l’aide en ligne.

VT_BOOL

IsUrlStartWeb

URL fonction de démarrage pour le web

URL d’exécution de fonction pour le Web :

  • Active : La fonction peut être exécutée au moyen d’une extension d’URL dans HTML Web Client au démarrage de la session.
  • Inactive : La fonction ne peut pas être exécutée au moyen d’une extension d’URL dans HTML Web Client au démarrage de la session.

Par défaut : Inactive

Plus de détails dans l’aide en ligne.

VT_UI4

ID

ID

Internal unique ID of the function.

VT_UI4

Type

Type

With this property you have the opportunity to get/set the source bit in the status routing list.

ZT_AKZ

SystemModelGroup

Groupes d'équipements

Lie l’élément à un modèle d’équipement. Cliquez sur le bouton ... pour ouvrir la boîte de sélection d’un groupe d’équipements.
L'affichage du groupe d’équipements sélectionné inclut également les niveaux supérieurs à ce groupe. Les niveaux sont séparés par un point dans l’affichage.

Dans le cas d’une sélection multiple, les groupes d’équipements individuels sont séparés par un point-virgule (;).

Plus de détails dans l’aide en ligne.


Screen with index

Manuel -> Interfaces de programmation -> Modèles d'objet -> RtFunction -> RtFunction-Dynamic properties -> Screen with index

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Type

VBA/VSTA Name

Display Name

Description

VT_BSTR

Variable

Variable

VT_BSTR

Name

Nom

Description unique de la fonction.
La description est diffusée lorsqu’une nouvelle fonction est créée par le système, mais peut être ultérieurement modifiée si la nouvelle description n’est pas déjà utilisée pour une autre fonction.

Maximum : 128 caractères

Par défaut : Fonction_x (où x est un numéro consécutif).

Attention : Cette propriété n’est pas disponible aux fins de la commutation de langue.

Plus de détails dans l’aide en ligne.

ZT_FKTPARAM

Parameters

Paramètre

Paramètres de transfert de la fonction ; les paramètres dépendent du type de fonction.
Cliquez sur le bouton ... pour ouvrir une boîte de dialogue de configuration de la fonction.
La boîte de dialogue de configuration des paramètres s’ouvre, selon le type de fonction sélectionné.

Plus de détails dans l’aide en ligne .

VT_BOOL

IsActual

Ordinateur actuel

Disponible uniquement dans les projets en réseau :
La fonction est exécutée sur l’ordinateur sur lequel elle a été exécutée.

Plus de détails dans l’aide en ligne.

VT_BOOL

IsClient

Client

Disponible seulement pour les projets réseau :
La fonction est exécutée sur tous les clients du projet.

Plus de détails dans l’aide en ligne.

VT_BOOL

IsServer

Serveur principal

Disponible uniquement dans les projets en réseau :
la fonction est propagée à tous les clients du projet.

Plus de détails dans l’aide en ligne.

VT_BOOL

IsStandBy

Serveur redondant

Disponible seulement pour les projets en réseau :
La fonction est exécutée sur le serveur redondant du projet.

Plus de détails dans l’aide en ligne.

VT_BOOL

IsUrlStartWeb

URL fonction de démarrage pour le web

URL d’exécution de fonction pour le Web :

  • Active : La fonction peut être exécutée au moyen d’une extension d’URL dans HTML Web Client au démarrage de la session.
  • Inactive : La fonction ne peut pas être exécutée au moyen d’une extension d’URL dans HTML Web Client au démarrage de la session.

Par défaut : Inactive

Plus de détails dans l’aide en ligne.

VT_UI4

ID

ID

Internal unique ID of the function.

VT_UI4

Type

Type

With this property you have the opportunity to get/set the source bit in the status routing list.

ZT_AKZ

SystemModelGroup

Groupes d'équipements

Lie l’élément à un modèle d’équipement. Cliquez sur le bouton ... pour ouvrir la boîte de sélection d’un groupe d’équipements.
L'affichage du groupe d’équipements sélectionné inclut également les niveaux supérieurs à ce groupe. Les niveaux sont séparés par un point dans l’affichage.

Dans le cas d’une sélection multiple, les groupes d’équipements individuels sont séparés par un point-virgule (;).

Plus de détails dans l’aide en ligne.


Screen return

Manuel -> Interfaces de programmation -> Modèles d'objet -> RtFunction -> RtFunction-Dynamic properties -> Screen return

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Type

VBA/VSTA Name

Display Name

Description

VT_BSTR

Templates

Templates

VT_BSTR

Name

Nom

Description unique de la fonction.
La description est diffusée lorsqu’une nouvelle fonction est créée par le système, mais peut être ultérieurement modifiée si la nouvelle description n’est pas déjà utilisée pour une autre fonction.

Maximum : 128 caractères

Par défaut : Fonction_x (où x est un numéro consécutif).

Attention : Cette propriété n’est pas disponible aux fins de la commutation de langue.

Plus de détails dans l’aide en ligne.

ZT_FKTPARAM

Parameters

Paramètre

Paramètres de transfert de la fonction ; les paramètres dépendent du type de fonction.
Cliquez sur le bouton ... pour ouvrir une boîte de dialogue de configuration de la fonction.
La boîte de dialogue de configuration des paramètres s’ouvre, selon le type de fonction sélectionné.

Plus de détails dans l’aide en ligne .

VT_BOOL

IsActual

Ordinateur actuel

Disponible uniquement dans les projets en réseau :
La fonction est exécutée sur l’ordinateur sur lequel elle a été exécutée.

Plus de détails dans l’aide en ligne.

VT_BOOL

IsClient

Client

Disponible seulement pour les projets réseau :
La fonction est exécutée sur tous les clients du projet.

Plus de détails dans l’aide en ligne.

VT_BOOL

IsServer

Serveur principal

Disponible uniquement dans les projets en réseau :
la fonction est propagée à tous les clients du projet.

Plus de détails dans l’aide en ligne.

VT_BOOL

IsStandBy

Serveur redondant

Disponible seulement pour les projets en réseau :
La fonction est exécutée sur le serveur redondant du projet.

Plus de détails dans l’aide en ligne.

VT_BOOL

IsUrlStartWeb

URL fonction de démarrage pour le web

URL d’exécution de fonction pour le Web :

  • Active : La fonction peut être exécutée au moyen d’une extension d’URL dans HTML Web Client au démarrage de la session.
  • Inactive : La fonction ne peut pas être exécutée au moyen d’une extension d’URL dans HTML Web Client au démarrage de la session.

Par défaut : Inactive

Plus de détails dans l’aide en ligne.

VT_UI4

ID

ID

Internal unique ID of the function.

VT_UI4

Type

Type

With this property you have the opportunity to get/set the source bit in the status routing list.

ZT_AKZ

SystemModelGroup

Groupes d'équipements

Lie l’élément à un modèle d’équipement. Cliquez sur le bouton ... pour ouvrir la boîte de sélection d’un groupe d’équipements.
L'affichage du groupe d’équipements sélectionné inclut également les niveaux supérieurs à ce groupe. Les niveaux sont séparés par un point dans l’affichage.

Dans le cas d’une sélection multiple, les groupes d’équipements individuels sont séparés par un point-virgule (;).

Plus de détails dans l’aide en ligne.


Call SAP function

Manuel -> Interfaces de programmation -> Modèles d'objet -> RtFunction -> RtFunction-Dynamic properties -> Call SAP function

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Type

VBA/VSTA Name

Display Name

Description

VT_UI4

FunctionId

Numéro fonction

VT_BOOL

IsDialogRT

IsDialogRT

"Displays the printer selection dialog in the runtime, if set TRUE."

VT_BSTR

Name

Nom

Description unique de la fonction.
La description est diffusée lorsqu’une nouvelle fonction est créée par le système, mais peut être ultérieurement modifiée si la nouvelle description n’est pas déjà utilisée pour une autre fonction.

Maximum : 128 caractères

Par défaut : Fonction_x (où x est un numéro consécutif).

Attention : Cette propriété n’est pas disponible aux fins de la commutation de langue.

Plus de détails dans l’aide en ligne.

ZT_FKTPARAM

Parameters

Paramètre

Paramètres de transfert de la fonction ; les paramètres dépendent du type de fonction.
Cliquez sur le bouton ... pour ouvrir une boîte de dialogue de configuration de la fonction.
La boîte de dialogue de configuration des paramètres s’ouvre, selon le type de fonction sélectionné.

Plus de détails dans l’aide en ligne .

VT_BOOL

IsActual

Ordinateur actuel

Disponible uniquement dans les projets en réseau :
La fonction est exécutée sur l’ordinateur sur lequel elle a été exécutée.

Plus de détails dans l’aide en ligne.

VT_BOOL

IsClient

Client

Disponible seulement pour les projets réseau :
La fonction est exécutée sur tous les clients du projet.

Plus de détails dans l’aide en ligne.

VT_BOOL

IsServer

Serveur principal

Disponible uniquement dans les projets en réseau :
la fonction est propagée à tous les clients du projet.

Plus de détails dans l’aide en ligne.

VT_BOOL

IsStandBy

Serveur redondant

Disponible seulement pour les projets en réseau :
La fonction est exécutée sur le serveur redondant du projet.

Plus de détails dans l’aide en ligne.

VT_BOOL

IsUrlStartWeb

URL fonction de démarrage pour le web

URL d’exécution de fonction pour le Web :

  • Active : La fonction peut être exécutée au moyen d’une extension d’URL dans HTML Web Client au démarrage de la session.
  • Inactive : La fonction ne peut pas être exécutée au moyen d’une extension d’URL dans HTML Web Client au démarrage de la session.

Par défaut : Inactive

Plus de détails dans l’aide en ligne.

VT_UI4

ID

ID

Internal unique ID of the function.

VT_UI4

Type

Type

With this property you have the opportunity to get/set the source bit in the status routing list.

ZT_AKZ

SystemModelGroup

Groupes d'équipements

Lie l’élément à un modèle d’équipement. Cliquez sur le bouton ... pour ouvrir la boîte de sélection d’un groupe d’équipements.
L'affichage du groupe d’équipements sélectionné inclut également les niveaux supérieurs à ce groupe. Les niveaux sont séparés par un point dans l’affichage.

Dans le cas d’une sélection multiple, les groupes d’équipements individuels sont séparés par un point-virgule (;).

Plus de détails dans l’aide en ligne.


CPlantStatusVar

Manuel -> Interfaces de programmation -> Modèles d'objet -> RtFunction -> RtFunction-Dynamic properties -> CPlantStatusVar

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | VBA/VSTA Name | Display Name | Description
VT_BSTR | Plants | Plants |
ZT_VARIABLE | ProjectVar | ProjectVar |


Check maintanances

Manuel -> Interfaces de programmation -> Modèles d'objet -> RtFunction -> RtFunction-Dynamic properties -> Check maintanances

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Type

VBA/VSTA Name

Display Name

Description

VT_UI4

TimeSpan

TimeSpan

More...

VarList

VarList

VT_BSTR

Name

Nom

Description unique de la fonction.
La description est diffusée lorsqu’une nouvelle fonction est créée par le système, mais peut être ultérieurement modifiée si la nouvelle description n’est pas déjà utilisée pour une autre fonction.

Maximum : 128 caractères

Par défaut : Fonction_x (où x est un numéro consécutif).

Attention : Cette propriété n’est pas disponible aux fins de la commutation de langue.

Plus de détails dans l’aide en ligne.

ZT_FKTPARAM

Parameters

Paramètre

Paramètres de transfert de la fonction ; les paramètres dépendent du type de fonction.
Cliquez sur le bouton ... pour ouvrir une boîte de dialogue de configuration de la fonction.
La boîte de dialogue de configuration des paramètres s’ouvre, selon le type de fonction sélectionné.

Plus de détails dans l’aide en ligne .

VT_BOOL

IsActual

Ordinateur actuel

Disponible uniquement dans les projets en réseau :
La fonction est exécutée sur l’ordinateur sur lequel elle a été exécutée.

Plus de détails dans l’aide en ligne.

VT_BOOL

IsClient

Client

Disponible seulement pour les projets réseau :
La fonction est exécutée sur tous les clients du projet.

Plus de détails dans l’aide en ligne.

VT_BOOL

IsServer

Serveur principal

Disponible uniquement dans les projets en réseau :
la fonction est propagée à tous les clients du projet.

Plus de détails dans l’aide en ligne.

VT_BOOL

IsStandBy

Serveur redondant

Disponible seulement pour les projets en réseau :
La fonction est exécutée sur le serveur redondant du projet.

Plus de détails dans l’aide en ligne.

VT_BOOL

IsUrlStartWeb

URL fonction de démarrage pour le web

URL d’exécution de fonction pour le Web :

  • Active : La fonction peut être exécutée au moyen d’une extension d’URL dans HTML Web Client au démarrage de la session.
  • Inactive : La fonction ne peut pas être exécutée au moyen d’une extension d’URL dans HTML Web Client au démarrage de la session.

Par défaut : Inactive

Plus de détails dans l’aide en ligne.

VT_UI4

ID

ID

Internal unique ID of the function.

VT_UI4

Type

Type

With this property you have the opportunity to get/set the source bit in the status routing list.

ZT_AKZ

SystemModelGroup

Groupes d'équipements

Lie l’élément à un modèle d’équipement. Cliquez sur le bouton ... pour ouvrir la boîte de sélection d’un groupe d’équipements.
L'affichage du groupe d’équipements sélectionné inclut également les niveaux supérieurs à ce groupe. Les niveaux sont séparés par un point dans l’affichage.

Dans le cas d’une sélection multiple, les groupes d’équipements individuels sont séparés par un point-virgule (;).

Plus de détails dans l’aide en ligne.


CDiagram

Manuel -> Interfaces de programmation -> Modèles d'objet -> RtFunction -> RtFunction-Dynamic properties -> CDiagram

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | VBA/VSTA Name | Display Name | Description
VT_UI4 | DelayRefresh | DelayRefresh |
VT_UI4 | XYStart | XYStart |
VT_I4 | BordLeft | BordLeft | Distance between the lower edge of the control element and the X-axis (Origin 0%-Y-axis) ATTENTION: Room for the left-hand side labelling of the Y-axis for the configured user defined font.
VT_I4 | BordTop | BordTop | Distance between the upper edge of the control element and the trend curves represented inside it. ATTENTION: Room for later optional showing of stored details with active pointer.
VT_I4 | BordRight | BordRight | Distance between the lower edge of the control element and the X-axis (Origin 100%-Y-axis) ATTENTION: Room for the right-hand side labelling of the Y-axis for the configured user defined font.
VT_I4 | BordBottom | BordBottom | Distance between the lower edge of the control element and the X-axis (Origin 0%-Y-axis) ATTENTION: Room for two-line labelling of the X-axis for the configured user defined font.
VT_I2 | ScrollWidth | ScrollWidth | "Specifies the screen scrolling, if the right edge of the diagram has been reached. ATTENTION: Only for diagrams with online values."
VT_R4 | RefreshRate | RefreshRate | Definition of the screen updating in seconds. Minimum: 0.1
VT_UI4 | HGColor | HGColor | Background colour of the displayed graphics.
VT_UI4 | GridColor | GridColor | Color of the overlaying grid.
VT_I2 | DateWidth | DateWidth | Column width for the time stamp in the legend.
VT_I2 | VarWidth | VarWidth | Column width for the variable name in the legend.
VT_I2 | ValueWidth | ValueWidth | Column width for the variable value in the legend.
VT_I2 | UnitsWidth | UnitsWidth | Column width for the unit in the legend.
VT_I2 | StateWidth | StateWidth | "Column width for the condition in the legend. Hint: Activation/deactivation of the condition with ""IsStateAct""."
VT_I2 | StatusWidth | StatusWidth | "Column width for the status in the legend. Hint: Activation/deactivation of the status with DynProperty ""IsStatusAct""."
VT_I2 | MinWidth | MinWidth | "Column width for the minimum of the variable value in the displayed time period in the legend. Hint: Activation/deactivation of the minimum with DynProperty ""IsMinAct""."
VT_I2 | MWWidth | MWWidth | "Column width for the mean value of the variable value in the displayed time period in the legend. Hint: Activation/deactivation of the mean value with DynProperty ""IsMWAct"". "
VT_I2 | MaxWidth | MaxWidth | "Column width for the maximum of the variable value in the displayed time period in the legend. Hint: Activation/deactivation of the maximum with DynProperty ""IsMaxAct""."
VT_BOOL | IsStateAct | IsStateAct | "Activation (TRUE) / deactivation (FALSE) of DynProperty ""StateWidth""."
VT_BOOL | IsStatusAct | IsStatusAct | "Activation (TRUE) / deactivation (FALSE) of DynProperty ""StatusWidth""."
VT_BOOL | IsMinAct | IsMinAct | "Activation (TRUE) / deactivation (FALSE) of DynProperty ""MinWidth""."
VT_BOOL | IsMWAct | IsMWAct | "Activation (TRUE) / deactivation (FALSE) of DynProperty ""MWWidth""."
VT_BOOL | IsMaxAct | IsMaxAct | "Activation (TRUE) / deactivation (FALSE) of DynProperty ""MaxWidth""."
VT_UI2 | Font | Font | Selection or setting of the user defined font for the axis labels and the value indicators.
VT_BOOL | IsArchive | IsArchive |
VT_I2 | DataSource | DataSource |
VT_BOOL | IsBorder | IsBorder |
VT_BOOL | IsExponent | IsExponent |
VT_BOOL | IsBackup | IsBackup | "Use of historic archives from the backup path, if set TRUE. Hint: Only available, if DynProperty ""IsArchive"" is set TRUE."
VT_BOOL | IsXAxis | IsXAxis | "If set TRUE, the XY (X-Axis) diagram style is used. Otherwise (FALSE) the standard XT (Time axis) representation is utilized."
VT_BSTR | Name | Name | "Freely configurable diagram name. Can be shown in the control element. If the string in the diagram name contains the character combination %c, this combination is replaced by the name of the batch(es) reaching into the defined filter during online operation. e.g. Diagram name = ""Diagram1_%C%_End"" = ""Diagram1_Batch1_End"" in the runtime"
ZT_VARIABLE | FirstCursorVar | FirstCursorVar | Description
ZT_VARIABLE | SecondCursorVar | SecondCursorVar | Description
More... | PrintData | PrintData |
More... | TimeAxe | TimeAxe |
More... | Curve | Curve |
More... | XAxe | XAxe |
VT_BOOL | IsDateAct | IsDateAct |
VT_BOOL | IsVarAct | IsVarAct |
VT_BOOL | IsValueAct | IsValueAct |
VT_BOOL | IsUnitsAct | IsUnitsAct |
VT_I2 | TimeDiffWidth | TimeDiffWidth |
VT_BOOL | IsTimeDiffAct | IsTimeDiffAct |
VT_I2 | ValueDiffWidth | ValueDiffWidth |
VT_BOOL | IsValueDiffAct | IsValueDiffAct |
VT_I2 | SumWidth | SumWidth |
VT_BOOL | IsSumAct | IsSumAct |
VT_I2 | StdDevWidth | StdDevWidth |
VT_BOOL | IsStdDevAct | IsStdDevAct |
VT_I2 | QuantityWidth | QuantityWidth |
VT_BOOL | IsQuantityAct | IsQuantityAct |
VT_BOOL | IsHeaderAct | IsHeaderAct |
VT_BOOL | IsDeltaData | IsDeltaData | Description as text.
VT_BOOL | IsSortData | IsSortData | Description as text.
VT_BOOL | IsSmartArchive | "IsSmartArchive" |
VT_BOOL | IsShowXYCross | IsShowXYCross | Description
ZT_GUID | FilterPartGUID | FilterPartGUID | Description as text.
VT_BOOL | EditableInRT | EditableInRT | Description as text.


Print trend

Manuel -> Interfaces de programmation -> Modèles d'objet -> RtFunction -> RtFunction-Dynamic properties -> Print trend

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Type

VBA/VSTA Name

Display Name

Description

More...

Diagram

FileName

VT_BSTR

Name

Nom

Description unique de la fonction.
La description est diffusée lorsqu’une nouvelle fonction est créée par le système, mais peut être ultérieurement modifiée si la nouvelle description n’est pas déjà utilisée pour une autre fonction.

Maximum : 128 caractères

Par défaut : Fonction_x (où x est un numéro consécutif).

Attention : Cette propriété n’est pas disponible aux fins de la commutation de langue.

Plus de détails dans l’aide en ligne.

ZT_FKTPARAM

Parameters

Paramètre

Paramètres de transfert de la fonction ; les paramètres dépendent du type de fonction.
Cliquez sur le bouton ... pour ouvrir une boîte de dialogue de configuration de la fonction.
La boîte de dialogue de configuration des paramètres s’ouvre, selon le type de fonction sélectionné.

Plus de détails dans l’aide en ligne .

VT_BOOL

IsActual

Ordinateur actuel

Disponible uniquement dans les projets en réseau :
La fonction est exécutée sur l’ordinateur sur lequel elle a été exécutée.

Plus de détails dans l’aide en ligne.

VT_BOOL

IsClient

Client

Disponible seulement pour les projets réseau :
La fonction est exécutée sur tous les clients du projet.

Plus de détails dans l’aide en ligne.

VT_BOOL

IsServer

Serveur principal

Disponible uniquement dans les projets en réseau :
la fonction est propagée à tous les clients du projet.

Plus de détails dans l’aide en ligne.

VT_BOOL

IsStandBy

Serveur redondant

Disponible seulement pour les projets en réseau :
La fonction est exécutée sur le serveur redondant du projet.

Plus de détails dans l’aide en ligne.

VT_BOOL

IsUrlStartWeb

URL fonction de démarrage pour le web

URL d’exécution de fonction pour le Web :

  • Active : La fonction peut être exécutée au moyen d’une extension d’URL dans HTML Web Client au démarrage de la session.
  • Inactive : La fonction ne peut pas être exécutée au moyen d’une extension d’URL dans HTML Web Client au démarrage de la session.

Par défaut : Inactive

Plus de détails dans l’aide en ligne.

VT_UI4

ID

ID

Internal unique ID of the function.

VT_UI4

Type

Type

With this property you have the opportunity to get/set the source bit in the status routing list.

ZT_AKZ

SystemModelGroup

Groupes d'équipements

Lie l’élément à un modèle d’équipement. Cliquez sur le bouton ... pour ouvrir la boîte de sélection d’un groupe d’équipements.
L'affichage du groupe d’équipements sélectionné inclut également les niveaux supérieurs à ce groupe. Les niveaux sont séparés par un point dans l’affichage.

Dans le cas d’une sélection multiple, les groupes d’équipements individuels sont séparés par un point-virgule (;).

Plus de détails dans l’aide en ligne.


EMS

Manuel -> Interfaces de programmation -> Modèles d'objet -> RtFunction -> RtFunction-Dynamic properties -> EMS

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Type

VBA/VSTA Name

Display Name

Description

VT_BSTR

EMSNet

EMSNet

VT_BSTR

EMSArea

EMSArea

VT_BSTR

EMSAlgo

EMSAlgo

VT_BSTR

Name

Nom

Description unique de la fonction.
La description est diffusée lorsqu’une nouvelle fonction est créée par le système, mais peut être ultérieurement modifiée si la nouvelle description n’est pas déjà utilisée pour une autre fonction.

Maximum : 128 caractères

Par défaut : Fonction_x (où x est un numéro consécutif).

Attention : Cette propriété n’est pas disponible aux fins de la commutation de langue.

Plus de détails dans l’aide en ligne.

ZT_FKTPARAM

Parameters

Paramètre

Paramètres de transfert de la fonction ; les paramètres dépendent du type de fonction.
Cliquez sur le bouton ... pour ouvrir une boîte de dialogue de configuration de la fonction.
La boîte de dialogue de configuration des paramètres s’ouvre, selon le type de fonction sélectionné.

Plus de détails dans l’aide en ligne .

VT_BOOL

IsActual

Ordinateur actuel

Disponible uniquement dans les projets en réseau :
La fonction est exécutée sur l’ordinateur sur lequel elle a été exécutée.

Plus de détails dans l’aide en ligne.

VT_BOOL

IsClient

Client

Disponible seulement pour les projets réseau :
La fonction est exécutée sur tous les clients du projet.

Plus de détails dans l’aide en ligne.

VT_BOOL

IsServer

Serveur principal

Disponible uniquement dans les projets en réseau :
la fonction est propagée à tous les clients du projet.

Plus de détails dans l’aide en ligne.

VT_BOOL

IsStandBy

Serveur redondant

Disponible seulement pour les projets en réseau :
La fonction est exécutée sur le serveur redondant du projet.

Plus de détails dans l’aide en ligne.

VT_BOOL

IsUrlStartWeb

URL fonction de démarrage pour le web

URL d’exécution de fonction pour le Web :

  • Active : La fonction peut être exécutée au moyen d’une extension d’URL dans HTML Web Client au démarrage de la session.
  • Inactive : La fonction ne peut pas être exécutée au moyen d’une extension d’URL dans HTML Web Client au démarrage de la session.

Par défaut : Inactive

Plus de détails dans l’aide en ligne.

VT_UI4

ID

ID

Internal unique ID of the function.

VT_UI4

Type

Type

With this property you have the opportunity to get/set the source bit in the status routing list.

ZT_AKZ

SystemModelGroup

Groupes d'équipements

Lie l’élément à un modèle d’équipement. Cliquez sur le bouton ... pour ouvrir la boîte de sélection d’un groupe d’équipements.
L'affichage du groupe d’équipements sélectionné inclut également les niveaux supérieurs à ce groupe. Les niveaux sont séparés par un point dans l’affichage.

Dans le cas d’une sélection multiple, les groupes d’équipements individuels sont séparés par un point-virgule (;).

Plus de détails dans l’aide en ligne.


CProjektVariableProp

Manuel -> Interfaces de programmation -> Modèles d'objet -> RtFunction -> RtFunction-Dynamic properties -> CProjektVariableProp

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | VBA/VSTA Name | Display Name | Description
ZT_VARIABLE | Title | Title | Gets or sets a variable object.


Fault location

Manuel -> Interfaces de programmation -> Modèles d'objet -> RtFunction -> RtFunction-Dynamic properties -> Fault location

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Type

VBA/VSTA Name

Display Name

Description

More...

Vars

Vars

VT_I2

SourceID

SourceID

ZT_COLOR

SourceColor

SourceColor

ZT_COLOR

SourceBackground

SourceBackground

VT_BSTR

Name

Nom

Description unique de la fonction.
La description est diffusée lorsqu’une nouvelle fonction est créée par le système, mais peut être ultérieurement modifiée si la nouvelle description n’est pas déjà utilisée pour une autre fonction.

Maximum : 128 caractères

Par défaut : Fonction_x (où x est un numéro consécutif).

Attention : Cette propriété n’est pas disponible aux fins de la commutation de langue.

Plus de détails dans l’aide en ligne.

ZT_FKTPARAM

Parameters

Paramètre

Paramètres de transfert de la fonction ; les paramètres dépendent du type de fonction.
Cliquez sur le bouton ... pour ouvrir une boîte de dialogue de configuration de la fonction.
La boîte de dialogue de configuration des paramètres s’ouvre, selon le type de fonction sélectionné.

Plus de détails dans l’aide en ligne .

VT_BOOL

IsActual

Ordinateur actuel

Disponible uniquement dans les projets en réseau :
La fonction est exécutée sur l’ordinateur sur lequel elle a été exécutée.

Plus de détails dans l’aide en ligne.

VT_BOOL

IsClient

Client

Disponible seulement pour les projets réseau :
La fonction est exécutée sur tous les clients du projet.

Plus de détails dans l’aide en ligne.

VT_BOOL

IsServer

Serveur principal

Disponible uniquement dans les projets en réseau :
la fonction est propagée à tous les clients du projet.

Plus de détails dans l’aide en ligne.

VT_BOOL

IsStandBy

Serveur redondant

Disponible seulement pour les projets en réseau :
La fonction est exécutée sur le serveur redondant du projet.

Plus de détails dans l’aide en ligne.

VT_BOOL

IsUrlStartWeb

URL fonction de démarrage pour le web

URL d’exécution de fonction pour le Web :

  • Active : La fonction peut être exécutée au moyen d’une extension d’URL dans HTML Web Client au démarrage de la session.
  • Inactive : La fonction ne peut pas être exécutée au moyen d’une extension d’URL dans HTML Web Client au démarrage de la session.

Par défaut : Inactive

Plus de détails dans l’aide en ligne.

VT_UI4

ID

ID

Internal unique ID of the function.

VT_UI4

Type

Type

With this property you have the opportunity to get/set the source bit in the status routing list.

ZT_AKZ

SystemModelGroup

Groupes d'équipements

Lie l’élément à un modèle d’équipement. Cliquez sur le bouton ... pour ouvrir la boîte de sélection d’un groupe d’équipements.
L'affichage du groupe d’équipements sélectionné inclut également les niveaux supérieurs à ce groupe. Les niveaux sont séparés par un point dans l’affichage.

Dans le cas d’une sélection multiple, les groupes d’équipements individuels sont séparés par un point-virgule (;).

Plus de détails dans l’aide en ligne.


Graph7 Heuristics

Manuel -> Interfaces de programmation -> Modèles d'objet -> RtFunction -> RtFunction-Dynamic properties -> Graph7 Heuristics

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Type

VBA/VSTA Name

Display Name

Description

ZT_VARIABLE

ComBlock

ComBlock

ZT_VARIABLE

DestVar

DestVar

VT_BSTR

G7File

G7File

VT_BSTR

ZuliFile

ZuliFile

VT_BSTR

Name

Nom

Description unique de la fonction.
La description est diffusée lorsqu’une nouvelle fonction est créée par le système, mais peut être ultérieurement modifiée si la nouvelle description n’est pas déjà utilisée pour une autre fonction.

Maximum : 128 caractères

Par défaut : Fonction_x (où x est un numéro consécutif).

Attention : Cette propriété n’est pas disponible aux fins de la commutation de langue.

Plus de détails dans l’aide en ligne.

ZT_FKTPARAM

Parameters

Paramètre

Paramètres de transfert de la fonction ; les paramètres dépendent du type de fonction.
Cliquez sur le bouton ... pour ouvrir une boîte de dialogue de configuration de la fonction.
La boîte de dialogue de configuration des paramètres s’ouvre, selon le type de fonction sélectionné.

Plus de détails dans l’aide en ligne .

VT_BOOL

IsActual

Ordinateur actuel

Disponible uniquement dans les projets en réseau :
La fonction est exécutée sur l’ordinateur sur lequel elle a été exécutée.

Plus de détails dans l’aide en ligne.

VT_BOOL

IsClient

Client

Disponible seulement pour les projets réseau :
La fonction est exécutée sur tous les clients du projet.

Plus de détails dans l’aide en ligne.

VT_BOOL

IsServer

Serveur principal

Disponible uniquement dans les projets en réseau :
la fonction est propagée à tous les clients du projet.

Plus de détails dans l’aide en ligne.

VT_BOOL

IsStandBy

Serveur redondant

Disponible seulement pour les projets en réseau :
La fonction est exécutée sur le serveur redondant du projet.

Plus de détails dans l’aide en ligne.

VT_BOOL

IsUrlStartWeb

URL fonction de démarrage pour le web

URL d’exécution de fonction pour le Web :

  • Active : La fonction peut être exécutée au moyen d’une extension d’URL dans HTML Web Client au démarrage de la session.
  • Inactive : La fonction ne peut pas être exécutée au moyen d’une extension d’URL dans HTML Web Client au démarrage de la session.

Par défaut : Inactive

Plus de détails dans l’aide en ligne.

VT_UI4

ID

ID

Internal unique ID of the function.

VT_UI4

Type

Type

With this property you have the opportunity to get/set the source bit in the status routing list.

ZT_AKZ

SystemModelGroup

Groupes d'équipements

Lie l’élément à un modèle d’équipement. Cliquez sur le bouton ... pour ouvrir la boîte de sélection d’un groupe d’équipements.
L'affichage du groupe d’équipements sélectionné inclut également les niveaux supérieurs à ce groupe. Les niveaux sont séparés par un point dans l’affichage.

Dans le cas d’une sélection multiple, les groupes d’équipements individuels sont séparés par un point-virgule (;).

Plus de détails dans l’aide en ligne.


CD_CAsmFilter

Manuel -> Interfaces de programmation -> Modèles d'objet -> RtFunction -> RtFunction-Dynamic properties -> CD_CAsmFilter

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | VBA/VSTA Name | Display Name | Description
VT_BOOL | ShowFilter | ShowFilter |
VT_BOOL | ShowRaster | ShowRaster |
More... | DBConnection | DBConnection |
More... | SubFilter | SubFilter |
More... | ListConfig | ListConfig |
ZT_GUID | FilterPartGUID | FilterPartGUID | Description as text.
VT_BOOL | EditableInRT | EditableInRT | Description as text.


Create IPA document

Manuel -> Interfaces de programmation -> Modèles d'objet -> RtFunction -> RtFunction-Dynamic properties -> Create IPA document

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Type

VBA/VSTA Name

Display Name

Description

More...

Filter

Filter

VT_BOOL

ToFile

ToFile

VT_BSTR

Filename

Filename

VT_BSTR

Name

Nom

Description unique de la fonction.
La description est diffusée lorsqu’une nouvelle fonction est créée par le système, mais peut être ultérieurement modifiée si la nouvelle description n’est pas déjà utilisée pour une autre fonction.

Maximum : 128 caractères

Par défaut : Fonction_x (où x est un numéro consécutif).

Attention : Cette propriété n’est pas disponible aux fins de la commutation de langue.

Plus de détails dans l’aide en ligne.

ZT_FKTPARAM

Parameters

Paramètre

Paramètres de transfert de la fonction ; les paramètres dépendent du type de fonction.
Cliquez sur le bouton ... pour ouvrir une boîte de dialogue de configuration de la fonction.
La boîte de dialogue de configuration des paramètres s’ouvre, selon le type de fonction sélectionné.

Plus de détails dans l’aide en ligne .

VT_BOOL

IsActual

Ordinateur actuel

Disponible uniquement dans les projets en réseau :
La fonction est exécutée sur l’ordinateur sur lequel elle a été exécutée.

Plus de détails dans l’aide en ligne.

VT_BOOL

IsClient

Client

Disponible seulement pour les projets réseau :
La fonction est exécutée sur tous les clients du projet.

Plus de détails dans l’aide en ligne.

VT_BOOL

IsServer

Serveur principal

Disponible uniquement dans les projets en réseau :
la fonction est propagée à tous les clients du projet.

Plus de détails dans l’aide en ligne.

VT_BOOL

IsStandBy

Serveur redondant

Disponible seulement pour les projets en réseau :
La fonction est exécutée sur le serveur redondant du projet.

Plus de détails dans l’aide en ligne.

VT_BOOL

IsUrlStartWeb

URL fonction de démarrage pour le web

URL d’exécution de fonction pour le Web :

  • Active : La fonction peut être exécutée au moyen d’une extension d’URL dans HTML Web Client au démarrage de la session.
  • Inactive : La fonction ne peut pas être exécutée au moyen d’une extension d’URL dans HTML Web Client au démarrage de la session.

Par défaut : Inactive

Plus de détails dans l’aide en ligne.

VT_UI4

ID

ID

Internal unique ID of the function.

VT_UI4

Type

Type

With this property you have the opportunity to get/set the source bit in the status routing list.

ZT_AKZ

SystemModelGroup

Groupes d'équipements

Lie l’élément à un modèle d’équipement. Cliquez sur le bouton ... pour ouvrir la boîte de sélection d’un groupe d’équipements.
L'affichage du groupe d’équipements sélectionné inclut également les niveaux supérieurs à ce groupe. Les niveaux sont séparés par un point dans l’affichage.

Dans le cas d’une sélection multiple, les groupes d’équipements individuels sont séparés par un point-virgule (;).

Plus de détails dans l’aide en ligne.


CD_CMessageFilter

Manuel -> Interfaces de programmation -> Modèles d'objet -> RtFunction -> RtFunction-Dynamic properties -> CD_CMessageFilter

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | VBA/VSTA Name | Display Name | Description
VT_UI2 | MsgType | MsgType | Defines the transfer medium for sending messages. Following message types are supported: 1 = E-Mail 3 = Telephone 4 = Paging / SMS 5 = GSM-SMS 6 = Telephone (speech)
VT_UI2 | UserType | UserType | Specifies to whom the message should be sent: 2 = Group 3 = Recipient 6 = Current shift
VT_BSTR | GUID | GUID | "Gets or sets the GUID of the group or recipient (depending on DynProperty ""UserType"") that should be informed."
ZT_VARIABLE | Var | Var | "Gets or sets a ""Variable"" object that contains the limit text, which will be added to the constant text. Hint: Only available, if DynProperty ""IsVar"" is set TRUE."
VT_BOOL | IsTextDlg | IsTextDlg | "Displays the message control dialog within the runtime, if set TRUE."
VT_BOOL | IsDynLimits | IsDynLimits | "Adds information about the violated variable to the constant text, if set TRUE. Hint: Only available, if DynProperty ""IsVar"" is set FALSE and DynProperty ""IsUseVariable"" is set TRUE."
VT_BOOL | IsUseVariable | IsUseVariable | "With this option the limit text of a defined variable or a violated variable can be added to the message, if set TRUE. Hint: Available for all message types, except option ""Telephone"" within DynProperty ""MsgType""."
VT_BSTR | ConstText | ConstText | "Specifies the constant text that will be sent or played (if option ""Telephone speech"" is selected within DynProperty ""MsgType""). ATTENTION: This property always requires an entry, except option ""Telephone"" (not ""Telephone speech"") within DynProperty ""MsgType""."
VT_BSTR | HeaderFile | HeaderFile | "Specifies the text (""Telephone speech"") or the name of the soundfile (""Telephone"") that will be played, after getting connection to the phone of the recipient. This file should ask the recipient to enter his PIN code. If the pin is correct, the specified text within DynProperty ""ConstText"" (option ""Telephone speech"") or the soundfile specified within DynProperty ""WaveFile"" (option ""Telephone"") is played. Otherwise, the text or file specified within ""ErrorFile"" (both options ""Telephone speech"" and ""Telephone"") is played. Hint: This property is only available for the options ""Telephone"" and ""Telephone speech"" within DynProperty ""MsgType""."
VT_BSTR | WaveFile | WaveFile | "Specifies the name of the soundfile that will be played, if the correct pin was entered. Hint: This property is only available for the option ""Telephone"" within DynProperty ""MsgType""."
VT_BSTR | ErrorFile | ErrorFile | "Specifies the text (""Telephone speech"") or the name of the soundfile (""Telephone"") that will be played, if the wrong pin was entered. Hint: This property is only available for the options ""Telephone"" and ""Telephone speech"" within DynProperty ""MsgType""."
VT_BOOL | IsResign | IsResign | "For security purposes, it is often necessary to acknowledge sent messages. If this property is set true, acknowledging will be activated. ATTENTION: For options ""Telephone"" and ""Telephone speech"" (see DynProperty ""MsgType""), this property has always to be activated."
VT_I2 | ResignTime | ResignTime | "The property defines, how long the Message Control waits for the acknowledging of the recipient, before his replacement is informed. If no replacement is entered, an corresponding entry in the CEL is generated. "
VT_I4 | OldUserId | OldUserId |
VT_BSTR | AcknowledgeFunctions | AcknowledgeFunctions |
VT_BSTR | NegativeAcknowledgeFunctions | NegativeAcknowledgeFunctions |
VT_BSTR | AcknowledgeTimeOutFunctions | AcknowledgeTimeOutFunctions |
VT_UI2 | MsgTypeStyle | MsgTypeStyle |
VT_BOOL | DestinationFromVariable | DestinationFromVariable |
ZT_VARIABLE | DestinationVar | DestinationVar |
VT_BSTR | AckCode | AckCode |
VT_BSTR | NackCode | NackCode |
VT_BOOL | UseFuncCodes | UseFuncCodes |
ZT_VARIABLE | AttachmentVar | AttachmentVar |
VT_BOOL | AttachmentFromVar | AttachmentFromVar |
VT_BSTR | AttachmentName | AttachmentName |
VT_BSTR | MessageContent | MessageContent |


Send message

Manuel -> Interfaces de programmation -> Modèles d'objet -> RtFunction -> RtFunction-Dynamic properties -> Send message

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Type

VBA/VSTA Name

Display Name

Description

More...

Filter

Filter

Message control settings

VT_BSTR

Name

Nom

Description unique de la fonction.
La description est diffusée lorsqu’une nouvelle fonction est créée par le système, mais peut être ultérieurement modifiée si la nouvelle description n’est pas déjà utilisée pour une autre fonction.

Maximum : 128 caractères

Par défaut : Fonction_x (où x est un numéro consécutif).

Attention : Cette propriété n’est pas disponible aux fins de la commutation de langue.

Plus de détails dans l’aide en ligne.

ZT_FKTPARAM

Parameters

Paramètre

Paramètres de transfert de la fonction ; les paramètres dépendent du type de fonction.
Cliquez sur le bouton ... pour ouvrir une boîte de dialogue de configuration de la fonction.
La boîte de dialogue de configuration des paramètres s’ouvre, selon le type de fonction sélectionné.

Plus de détails dans l’aide en ligne .

VT_BOOL

IsActual

Ordinateur actuel

Disponible uniquement dans les projets en réseau :
La fonction est exécutée sur l’ordinateur sur lequel elle a été exécutée.

Plus de détails dans l’aide en ligne.

VT_BOOL

IsClient

Client

Disponible seulement pour les projets réseau :
La fonction est exécutée sur tous les clients du projet.

Plus de détails dans l’aide en ligne.

VT_BOOL

IsServer

Serveur principal

Disponible uniquement dans les projets en réseau :
la fonction est propagée à tous les clients du projet.

Plus de détails dans l’aide en ligne.

VT_BOOL

IsStandBy

Serveur redondant

Disponible seulement pour les projets en réseau :
La fonction est exécutée sur le serveur redondant du projet.

Plus de détails dans l’aide en ligne.

VT_BOOL

IsUrlStartWeb

URL fonction de démarrage pour le web

URL d’exécution de fonction pour le Web :

  • Active : La fonction peut être exécutée au moyen d’une extension d’URL dans HTML Web Client au démarrage de la session.
  • Inactive : La fonction ne peut pas être exécutée au moyen d’une extension d’URL dans HTML Web Client au démarrage de la session.

Par défaut : Inactive

Plus de détails dans l’aide en ligne.

VT_UI4

ID

ID

Internal unique ID of the function.

VT_UI4

Type

Type

With this property you have the opportunity to get/set the source bit in the status routing list.

ZT_AKZ

SystemModelGroup

Groupes d'équipements

Lie l’élément à un modèle d’équipement. Cliquez sur le bouton ... pour ouvrir la boîte de sélection d’un groupe d’équipements.
L'affichage du groupe d’équipements sélectionné inclut également les niveaux supérieurs à ce groupe. Les niveaux sont séparés par un point dans l’affichage.

Dans le cas d’une sélection multiple, les groupes d’équipements individuels sont séparés par un point-virgule (;).

Plus de détails dans l’aide en ligne.


CSystemModelFilter

Manuel -> Interfaces de programmation -> Modèles d'objet -> RtFunction -> RtFunction-Dynamic properties -> CSystemModelFilter

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Type

VBA/VSTA Name

Display Name

Description

ZT_AKZ

SystemModelGroup

Groupes d'équipements

Lie l’élément à un modèle d’équipement. Cliquez sur le bouton ... pour ouvrir la boîte de sélection d’un groupe d’équipements.
L'affichage du groupe d’équipements sélectionné inclut également les niveaux supérieurs à ce groupe. Les niveaux sont séparés par un point dans l’affichage.

Dans le cas d’une sélection multiple, les groupes d’équipements individuels sont séparés par un point-virgule (;).

Plus de détails dans l’aide en ligne.

ZT_GUID

FilterPartGUID

FilterPartGUID

Description as text.

VT_BOOL

EditableInRT

EditableInRT

Description as text.


Suppress message function

Manuel -> Interfaces de programmation -> Modèles d'objet -> RtFunction -> RtFunction-Dynamic properties -> Suppress message function

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Type

VBA/VSTA Name

Display Name

Description

VT_BSTR

Classes

Classes

VT_BSTR

Groups

Groups

VT_BSTR

Areas

Areas

More...

SystemModelGroupFilter

SystemModelGroupFilter

VT_BOOL

Activate

Activate

VT_BOOL

IsFilterRT

IsFilterRT

VT_BSTR

Name

Nom

Description unique de la fonction.
La description est diffusée lorsqu’une nouvelle fonction est créée par le système, mais peut être ultérieurement modifiée si la nouvelle description n’est pas déjà utilisée pour une autre fonction.

Maximum : 128 caractères

Par défaut : Fonction_x (où x est un numéro consécutif).

Attention : Cette propriété n’est pas disponible aux fins de la commutation de langue.

Plus de détails dans l’aide en ligne.

ZT_FKTPARAM

Parameters

Paramètre

Paramètres de transfert de la fonction ; les paramètres dépendent du type de fonction.
Cliquez sur le bouton ... pour ouvrir une boîte de dialogue de configuration de la fonction.
La boîte de dialogue de configuration des paramètres s’ouvre, selon le type de fonction sélectionné.

Plus de détails dans l’aide en ligne .

VT_BOOL

IsActual

Ordinateur actuel

Disponible uniquement dans les projets en réseau :
La fonction est exécutée sur l’ordinateur sur lequel elle a été exécutée.

Plus de détails dans l’aide en ligne.

VT_BOOL

IsClient

Client

Disponible seulement pour les projets réseau :
La fonction est exécutée sur tous les clients du projet.

Plus de détails dans l’aide en ligne.

VT_BOOL

IsServer

Serveur principal

Disponible uniquement dans les projets en réseau :
la fonction est propagée à tous les clients du projet.

Plus de détails dans l’aide en ligne.

VT_BOOL

IsStandBy

Serveur redondant

Disponible seulement pour les projets en réseau :
La fonction est exécutée sur le serveur redondant du projet.

Plus de détails dans l’aide en ligne.

VT_BOOL

IsUrlStartWeb

URL fonction de démarrage pour le web

URL d’exécution de fonction pour le Web :

  • Active : La fonction peut être exécutée au moyen d’une extension d’URL dans HTML Web Client au démarrage de la session.
  • Inactive : La fonction ne peut pas être exécutée au moyen d’une extension d’URL dans HTML Web Client au démarrage de la session.

Par défaut : Inactive

Plus de détails dans l’aide en ligne.

VT_UI4

ID

ID

Internal unique ID of the function.

VT_UI4

Type

Type

With this property you have the opportunity to get/set the source bit in the status routing list.

ZT_AKZ

SystemModelGroup

Groupes d'équipements

Lie l’élément à un modèle d’équipement. Cliquez sur le bouton ... pour ouvrir la boîte de sélection d’un groupe d’équipements.
L'affichage du groupe d’équipements sélectionné inclut également les niveaux supérieurs à ce groupe. Les niveaux sont séparés par un point dans l’affichage.

Dans le cas d’une sélection multiple, les groupes d’équipements individuels sont séparés par un point-virgule (;).

Plus de détails dans l’aide en ligne.


Client simulatio

Manuel -> Interfaces de programmation -> Modèles d'objet -> RtFunction -> RtFunction-Dynamic properties -> Client simulatio

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Type

VBA/VSTA Name

Display Name

Description

VT_I4

SimulCmd

Type de simulation

VT_BSTR

SimulName

Nom d'image de la simulation

VT_BOOL

SimulRtDlg

Afficher boîte de dialogue dans le Runtime

VT_BOOL

SimulErrMsg

Afficher les messages d'erreur dans le Runtime

VT_BOOL

SimulWait4All

Attendre toutes les variables

Description as text.

VT_I4

SimulMaxWait

Délai d'attente maximum

VT_BOOL

SimulStartPlayBack

SimulStartPlayBack

Description

VT_BSTR

Name

Nom

Description unique de la fonction.
La description est diffusée lorsqu’une nouvelle fonction est créée par le système, mais peut être ultérieurement modifiée si la nouvelle description n’est pas déjà utilisée pour une autre fonction.

Maximum : 128 caractères

Par défaut : Fonction_x (où x est un numéro consécutif).

Attention : Cette propriété n’est pas disponible aux fins de la commutation de langue.

Plus de détails dans l’aide en ligne.

ZT_FKTPARAM

Parameters

Paramètre

Paramètres de transfert de la fonction ; les paramètres dépendent du type de fonction.
Cliquez sur le bouton ... pour ouvrir une boîte de dialogue de configuration de la fonction.
La boîte de dialogue de configuration des paramètres s’ouvre, selon le type de fonction sélectionné.

Plus de détails dans l’aide en ligne .

VT_BOOL

IsActual

Ordinateur actuel

Disponible uniquement dans les projets en réseau :
La fonction est exécutée sur l’ordinateur sur lequel elle a été exécutée.

Plus de détails dans l’aide en ligne.

VT_BOOL

IsClient

Client

Disponible seulement pour les projets réseau :
La fonction est exécutée sur tous les clients du projet.

Plus de détails dans l’aide en ligne.

VT_BOOL

IsServer

Serveur principal

Disponible uniquement dans les projets en réseau :
la fonction est propagée à tous les clients du projet.

Plus de détails dans l’aide en ligne.

VT_BOOL

IsStandBy

Serveur redondant

Disponible seulement pour les projets en réseau :
La fonction est exécutée sur le serveur redondant du projet.

Plus de détails dans l’aide en ligne.

VT_BOOL

IsUrlStartWeb

URL fonction de démarrage pour le web

URL d’exécution de fonction pour le Web :

  • Active : La fonction peut être exécutée au moyen d’une extension d’URL dans HTML Web Client au démarrage de la session.
  • Inactive : La fonction ne peut pas être exécutée au moyen d’une extension d’URL dans HTML Web Client au démarrage de la session.

Par défaut : Inactive

Plus de détails dans l’aide en ligne.

VT_UI4

ID

ID

Internal unique ID of the function.

VT_UI4

Type

Type

With this property you have the opportunity to get/set the source bit in the status routing list.

ZT_AKZ

SystemModelGroup

Groupes d'équipements

Lie l’élément à un modèle d’équipement. Cliquez sur le bouton ... pour ouvrir la boîte de sélection d’un groupe d’équipements.
L'affichage du groupe d’équipements sélectionné inclut également les niveaux supérieurs à ce groupe. Les niveaux sont séparés par un point dans l’affichage.

Dans le cas d’une sélection multiple, les groupes d’équipements individuels sont séparés par un point-virgule (;).

Plus de détails dans l’aide en ligne.


Authorization in network

Manuel -> Interfaces de programmation -> Modèles d'objet -> RtFunction -> RtFunction-Dynamic properties -> Authorization in network

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Type

VBA/VSTA Name

Display Name

Description

VT_BSTR

Name

Nom

Description unique de la fonction.
La description est diffusée lorsqu’une nouvelle fonction est créée par le système, mais peut être ultérieurement modifiée si la nouvelle description n’est pas déjà utilisée pour une autre fonction.

Maximum : 128 caractères

Par défaut : Fonction_x (où x est un numéro consécutif).

Attention : Cette propriété n’est pas disponible aux fins de la commutation de langue.

Plus de détails dans l’aide en ligne.

ZT_FKTPARAM

Parameters

Paramètre

Paramètres de transfert de la fonction ; les paramètres dépendent du type de fonction.
Cliquez sur le bouton ... pour ouvrir une boîte de dialogue de configuration de la fonction.
La boîte de dialogue de configuration des paramètres s’ouvre, selon le type de fonction sélectionné.

Plus de détails dans l’aide en ligne .

VT_BOOL

IsActual

Ordinateur actuel

Disponible uniquement dans les projets en réseau :
La fonction est exécutée sur l’ordinateur sur lequel elle a été exécutée.

Plus de détails dans l’aide en ligne.

VT_BOOL

IsClient

Client

Disponible seulement pour les projets réseau :
La fonction est exécutée sur tous les clients du projet.

Plus de détails dans l’aide en ligne.

VT_BOOL

IsServer

Serveur principal

Disponible uniquement dans les projets en réseau :
la fonction est propagée à tous les clients du projet.

Plus de détails dans l’aide en ligne.

VT_BOOL

IsStandBy

Serveur redondant

Disponible seulement pour les projets en réseau :
La fonction est exécutée sur le serveur redondant du projet.

Plus de détails dans l’aide en ligne.

VT_BOOL

IsUrlStartWeb

URL fonction de démarrage pour le web

URL d’exécution de fonction pour le Web :

  • Active : La fonction peut être exécutée au moyen d’une extension d’URL dans HTML Web Client au démarrage de la session.
  • Inactive : La fonction ne peut pas être exécutée au moyen d’une extension d’URL dans HTML Web Client au démarrage de la session.

Par défaut : Inactive

Plus de détails dans l’aide en ligne.

VT_UI4

ID

ID

Internal unique ID of the function.

VT_UI4

Type

Type

With this property you have the opportunity to get/set the source bit in the status routing list.

ZT_AKZ

SystemModelGroup

Groupes d'équipements

Lie l’élément à un modèle d’équipement. Cliquez sur le bouton ... pour ouvrir la boîte de sélection d’un groupe d’équipements.
L'affichage du groupe d’équipements sélectionné inclut également les niveaux supérieurs à ce groupe. Les niveaux sont séparés par un point dans l’affichage.

Dans le cas d’une sélection multiple, les groupes d’équipements individuels sont séparés par un point-virgule (;).

Plus de détails dans l’aide en ligne.


CFktNetzRudundanzUmschaltung

Manuel -> Interfaces de programmation -> Modèles d'objet -> RtFunction -> RtFunction-Dynamic properties -> CFktNetzRudundanzUmschaltung

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Type

VBA/VSTA Name

Display Name

Description

VT_I2

SwitchDirection

"SwitchDirection"

VT_UI2

DetectionOffTime

"DetectionOffTime"

VT_BSTR

Name

Nom

Description unique de la fonction.
La description est diffusée lorsqu’une nouvelle fonction est créée par le système, mais peut être ultérieurement modifiée si la nouvelle description n’est pas déjà utilisée pour une autre fonction.

Maximum : 128 caractères

Par défaut : Fonction_x (où x est un numéro consécutif).

Attention : Cette propriété n’est pas disponible aux fins de la commutation de langue.

Plus de détails dans l’aide en ligne.

ZT_FKTPARAM

Parameters

Paramètre

Paramètres de transfert de la fonction ; les paramètres dépendent du type de fonction.
Cliquez sur le bouton ... pour ouvrir une boîte de dialogue de configuration de la fonction.
La boîte de dialogue de configuration des paramètres s’ouvre, selon le type de fonction sélectionné.

Plus de détails dans l’aide en ligne .

VT_BOOL

IsActual

Ordinateur actuel

Disponible uniquement dans les projets en réseau :
La fonction est exécutée sur l’ordinateur sur lequel elle a été exécutée.

Plus de détails dans l’aide en ligne.

VT_BOOL

IsClient

Client

Disponible seulement pour les projets réseau :
La fonction est exécutée sur tous les clients du projet.

Plus de détails dans l’aide en ligne.

VT_BOOL

IsServer

Serveur principal

Disponible uniquement dans les projets en réseau :
la fonction est propagée à tous les clients du projet.

Plus de détails dans l’aide en ligne.

VT_BOOL

IsStandBy

Serveur redondant

Disponible seulement pour les projets en réseau :
La fonction est exécutée sur le serveur redondant du projet.

Plus de détails dans l’aide en ligne.

VT_BOOL

IsUrlStartWeb

URL fonction de démarrage pour le web

URL d’exécution de fonction pour le Web :

  • Active : La fonction peut être exécutée au moyen d’une extension d’URL dans HTML Web Client au démarrage de la session.
  • Inactive : La fonction ne peut pas être exécutée au moyen d’une extension d’URL dans HTML Web Client au démarrage de la session.

Par défaut : Inactive

Plus de détails dans l’aide en ligne.

VT_UI4

ID

ID

Internal unique ID of the function.

VT_UI4

Type

Type

With this property you have the opportunity to get/set the source bit in the status routing list.

ZT_AKZ

SystemModelGroup

Groupes d'équipements

Lie l’élément à un modèle d’équipement. Cliquez sur le bouton ... pour ouvrir la boîte de sélection d’un groupe d’équipements.
L'affichage du groupe d’équipements sélectionné inclut également les niveaux supérieurs à ce groupe. Les niveaux sont séparés par un point dans l’affichage.

Dans le cas d’une sélection multiple, les groupes d’équipements individuels sont séparés par un point-virgule (;).

Plus de détails dans l’aide en ligne.


Toggle online printing

Manuel -> Interfaces de programmation -> Modèles d'objet -> RtFunction -> RtFunction-Dynamic properties -> Toggle online printing

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Type

VBA/VSTA Name

Display Name

Description

VT_UI1

Action

Action

"Sets online printing (e.g. for unmanned stations) to a processing status (switch on, switch off, active/inactive).
0 = Active/Inactive
1 = On
2 = Off
"

VT_BSTR

Name

Nom

Description unique de la fonction.
La description est diffusée lorsqu’une nouvelle fonction est créée par le système, mais peut être ultérieurement modifiée si la nouvelle description n’est pas déjà utilisée pour une autre fonction.

Maximum : 128 caractères

Par défaut : Fonction_x (où x est un numéro consécutif).

Attention : Cette propriété n’est pas disponible aux fins de la commutation de langue.

Plus de détails dans l’aide en ligne.

ZT_FKTPARAM

Parameters

Paramètre

Paramètres de transfert de la fonction ; les paramètres dépendent du type de fonction.
Cliquez sur le bouton ... pour ouvrir une boîte de dialogue de configuration de la fonction.
La boîte de dialogue de configuration des paramètres s’ouvre, selon le type de fonction sélectionné.

Plus de détails dans l’aide en ligne .

VT_BOOL

IsActual

Ordinateur actuel

Disponible uniquement dans les projets en réseau :
La fonction est exécutée sur l’ordinateur sur lequel elle a été exécutée.

Plus de détails dans l’aide en ligne.

VT_BOOL

IsClient

Client

Disponible seulement pour les projets réseau :
La fonction est exécutée sur tous les clients du projet.

Plus de détails dans l’aide en ligne.

VT_BOOL

IsServer

Serveur principal

Disponible uniquement dans les projets en réseau :
la fonction est propagée à tous les clients du projet.

Plus de détails dans l’aide en ligne.

VT_BOOL

IsStandBy

Serveur redondant

Disponible seulement pour les projets en réseau :
La fonction est exécutée sur le serveur redondant du projet.

Plus de détails dans l’aide en ligne.

VT_BOOL

IsUrlStartWeb

URL fonction de démarrage pour le web

URL d’exécution de fonction pour le Web :

  • Active : La fonction peut être exécutée au moyen d’une extension d’URL dans HTML Web Client au démarrage de la session.
  • Inactive : La fonction ne peut pas être exécutée au moyen d’une extension d’URL dans HTML Web Client au démarrage de la session.

Par défaut : Inactive

Plus de détails dans l’aide en ligne.

VT_UI4

ID

ID

Internal unique ID of the function.

VT_UI4

Type

Type

With this property you have the opportunity to get/set the source bit in the status routing list.

ZT_AKZ

SystemModelGroup

Groupes d'équipements

Lie l’élément à un modèle d’équipement. Cliquez sur le bouton ... pour ouvrir la boîte de sélection d’un groupe d’équipements.
L'affichage du groupe d’équipements sélectionné inclut également les niveaux supérieurs à ce groupe. Les niveaux sont séparés par un point dans l’affichage.

Dans le cas d’une sélection multiple, les groupes d’équipements individuels sont séparés par un point-virgule (;).

Plus de détails dans l’aide en ligne.


Switch online printer

Manuel -> Interfaces de programmation -> Modèles d'objet -> RtFunction -> RtFunction-Dynamic properties -> Switch online printer

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Type

VBA/VSTA Name

Display Name

Description

VT_BOOL

IsDialogRT

IsDialogRT

"Displays the printer selection dialog in the runtime, if set TRUE."

VT_BSTR

Printer

Printer

Gets or sets the name of the printer.

VT_BSTR

Name

Nom

Description unique de la fonction.
La description est diffusée lorsqu’une nouvelle fonction est créée par le système, mais peut être ultérieurement modifiée si la nouvelle description n’est pas déjà utilisée pour une autre fonction.

Maximum : 128 caractères

Par défaut : Fonction_x (où x est un numéro consécutif).

Attention : Cette propriété n’est pas disponible aux fins de la commutation de langue.

Plus de détails dans l’aide en ligne.

ZT_FKTPARAM

Parameters

Paramètre

Paramètres de transfert de la fonction ; les paramètres dépendent du type de fonction.
Cliquez sur le bouton ... pour ouvrir une boîte de dialogue de configuration de la fonction.
La boîte de dialogue de configuration des paramètres s’ouvre, selon le type de fonction sélectionné.

Plus de détails dans l’aide en ligne .

VT_BOOL

IsActual

Ordinateur actuel

Disponible uniquement dans les projets en réseau :
La fonction est exécutée sur l’ordinateur sur lequel elle a été exécutée.

Plus de détails dans l’aide en ligne.

VT_BOOL

IsClient

Client

Disponible seulement pour les projets réseau :
La fonction est exécutée sur tous les clients du projet.

Plus de détails dans l’aide en ligne.

VT_BOOL

IsServer

Serveur principal

Disponible uniquement dans les projets en réseau :
la fonction est propagée à tous les clients du projet.

Plus de détails dans l’aide en ligne.

VT_BOOL

IsStandBy

Serveur redondant

Disponible seulement pour les projets en réseau :
La fonction est exécutée sur le serveur redondant du projet.

Plus de détails dans l’aide en ligne.

VT_BOOL

IsUrlStartWeb

URL fonction de démarrage pour le web

URL d’exécution de fonction pour le Web :

  • Active : La fonction peut être exécutée au moyen d’une extension d’URL dans HTML Web Client au démarrage de la session.
  • Inactive : La fonction ne peut pas être exécutée au moyen d’une extension d’URL dans HTML Web Client au démarrage de la session.

Par défaut : Inactive

Plus de détails dans l’aide en ligne.

VT_UI4

ID

ID

Internal unique ID of the function.

VT_UI4

Type

Type

With this property you have the opportunity to get/set the source bit in the status routing list.

ZT_AKZ

SystemModelGroup

Groupes d'équipements

Lie l’élément à un modèle d’équipement. Cliquez sur le bouton ... pour ouvrir la boîte de sélection d’un groupe d’équipements.
L'affichage du groupe d’équipements sélectionné inclut également les niveaux supérieurs à ce groupe. Les niveaux sont séparés par un point dans l’affichage.

Dans le cas d’une sélection multiple, les groupes d’équipements individuels sont séparés par un point-virgule (;).

Plus de détails dans l’aide en ligne.


CFPUserEventFilter

Manuel -> Interfaces de programmation -> Modèles d'objet -> RtFunction -> RtFunction-Dynamic properties -> CFPUserEventFilter

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | VBA/VSTA Name | Display Name | Description
VT_BSTR | EventID | EventID |


PFS event

Manuel -> Interfaces de programmation -> Modèles d'objet -> RtFunction -> RtFunction-Dynamic properties -> PFS event

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Type

VBA/VSTA Name

Display Name

Description

More...

Filter

Filter

VT_BSTR

Name

Nom

Description unique de la fonction.
La description est diffusée lorsqu’une nouvelle fonction est créée par le système, mais peut être ultérieurement modifiée si la nouvelle description n’est pas déjà utilisée pour une autre fonction.

Maximum : 128 caractères

Par défaut : Fonction_x (où x est un numéro consécutif).

Attention : Cette propriété n’est pas disponible aux fins de la commutation de langue.

Plus de détails dans l’aide en ligne.

ZT_FKTPARAM

Parameters

Paramètre

Paramètres de transfert de la fonction ; les paramètres dépendent du type de fonction.
Cliquez sur le bouton ... pour ouvrir une boîte de dialogue de configuration de la fonction.
La boîte de dialogue de configuration des paramètres s’ouvre, selon le type de fonction sélectionné.

Plus de détails dans l’aide en ligne .

VT_BOOL

IsActual

Ordinateur actuel

Disponible uniquement dans les projets en réseau :
La fonction est exécutée sur l’ordinateur sur lequel elle a été exécutée.

Plus de détails dans l’aide en ligne.

VT_BOOL

IsClient

Client

Disponible seulement pour les projets réseau :
La fonction est exécutée sur tous les clients du projet.

Plus de détails dans l’aide en ligne.

VT_BOOL

IsServer

Serveur principal

Disponible uniquement dans les projets en réseau :
la fonction est propagée à tous les clients du projet.

Plus de détails dans l’aide en ligne.

VT_BOOL

IsStandBy

Serveur redondant

Disponible seulement pour les projets en réseau :
La fonction est exécutée sur le serveur redondant du projet.

Plus de détails dans l’aide en ligne.

VT_BOOL

IsUrlStartWeb

URL fonction de démarrage pour le web

URL d’exécution de fonction pour le Web :

  • Active : La fonction peut être exécutée au moyen d’une extension d’URL dans HTML Web Client au démarrage de la session.
  • Inactive : La fonction ne peut pas être exécutée au moyen d’une extension d’URL dans HTML Web Client au démarrage de la session.

Par défaut : Inactive

Plus de détails dans l’aide en ligne.

VT_UI4

ID

ID

Internal unique ID of the function.

VT_UI4

Type

Type

With this property you have the opportunity to get/set the source bit in the status routing list.

ZT_AKZ

SystemModelGroup

Groupes d'équipements

Lie l’élément à un modèle d’équipement. Cliquez sur le bouton ... pour ouvrir la boîte de sélection d’un groupe d’équipements.
L'affichage du groupe d’équipements sélectionné inclut également les niveaux supérieurs à ce groupe. Les niveaux sont séparés par un point dans l’affichage.

Dans le cas d’une sélection multiple, les groupes d’équipements individuels sont séparés par un point-virgule (;).

Plus de détails dans l’aide en ligne.


Login without password

Manuel -> Interfaces de programmation -> Modèles d'objet -> RtFunction -> RtFunction-Dynamic properties -> Login without password

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Type

VBA/VSTA Name

Display Name

Description

VT_BSTR

Alias

Alias

Sets or returns the name of the user for the login.

VT_BOOL

Userflag

Userflag

ZT_VARIABLE

Variable

Variable

VT_BOOL

CodeFlag

CodeFlag

Description

ZT_VARIABLE

CodeVariable

CodeVariable

Description

VT_BSTR

Name

Nom

Description unique de la fonction.
La description est diffusée lorsqu’une nouvelle fonction est créée par le système, mais peut être ultérieurement modifiée si la nouvelle description n’est pas déjà utilisée pour une autre fonction.

Maximum : 128 caractères

Par défaut : Fonction_x (où x est un numéro consécutif).

Attention : Cette propriété n’est pas disponible aux fins de la commutation de langue.

Plus de détails dans l’aide en ligne.

ZT_FKTPARAM

Parameters

Paramètre

Paramètres de transfert de la fonction ; les paramètres dépendent du type de fonction.
Cliquez sur le bouton ... pour ouvrir une boîte de dialogue de configuration de la fonction.
La boîte de dialogue de configuration des paramètres s’ouvre, selon le type de fonction sélectionné.

Plus de détails dans l’aide en ligne .

VT_BOOL

IsActual

Ordinateur actuel

Disponible uniquement dans les projets en réseau :
La fonction est exécutée sur l’ordinateur sur lequel elle a été exécutée.

Plus de détails dans l’aide en ligne.

VT_BOOL

IsClient

Client

Disponible seulement pour les projets réseau :
La fonction est exécutée sur tous les clients du projet.

Plus de détails dans l’aide en ligne.

VT_BOOL

IsServer

Serveur principal

Disponible uniquement dans les projets en réseau :
la fonction est propagée à tous les clients du projet.

Plus de détails dans l’aide en ligne.

VT_BOOL

IsStandBy

Serveur redondant

Disponible seulement pour les projets en réseau :
La fonction est exécutée sur le serveur redondant du projet.

Plus de détails dans l’aide en ligne.

VT_BOOL

IsUrlStartWeb

URL fonction de démarrage pour le web

URL d’exécution de fonction pour le Web :

  • Active : La fonction peut être exécutée au moyen d’une extension d’URL dans HTML Web Client au démarrage de la session.
  • Inactive : La fonction ne peut pas être exécutée au moyen d’une extension d’URL dans HTML Web Client au démarrage de la session.

Par défaut : Inactive

Plus de détails dans l’aide en ligne.

VT_UI4

ID

ID

Internal unique ID of the function.

VT_UI4

Type

Type

With this property you have the opportunity to get/set the source bit in the status routing list.

ZT_AKZ

SystemModelGroup

Groupes d'équipements

Lie l’élément à un modèle d’équipement. Cliquez sur le bouton ... pour ouvrir la boîte de sélection d’un groupe d’équipements.
L'affichage du groupe d’équipements sélectionné inclut également les niveaux supérieurs à ce groupe. Les niveaux sont séparés par un point dans l’affichage.

Dans le cas d’une sélection multiple, les groupes d’équipements individuels sont séparés par un point-virgule (;).

Plus de détails dans l’aide en ligne.


CReportViewerFilter

Manuel -> Interfaces de programmation -> Modèles d'objet -> RtFunction -> RtFunction-Dynamic properties -> CReportViewerFilter

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | VBA/VSTA Name | Display Name | Description
VT_BSTR | RDLFile | RDLFile |
More... | TimeFilter | TimeFilterIdx |
More... | DataSet | DataSet |
More... | RTMDIFilterScreen | RTMDIFilterScreen | Description as text.
More... | BatchFilter | BatchFilter | Description as text.
VT_I4 | Fct_RenderDo | Fct_RenderDo | Description as text.
VT_BOOL | Fct_NameFromVar | Fct_NameFromVar | Description as text.
VT_BSTR | Fct_Filename | Fct_Filename | Description as text.
ZT_VARIABLE | Fct_Variable | Fct_Variable | Description as text.
VT_BOOL | Fct_OverwriteFile | Fct_OverwriteFile | Description as text.
ZT_GUID | FilterPartGUID | FilterPartGUID | Description as text.
VT_BOOL | EditableInRT | EditableInRT | Description as text.


Print report function

Manuel -> Interfaces de programmation -> Modèles d'objet -> RtFunction -> RtFunction-Dynamic properties -> Print report function

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Type

VBA/VSTA Name

Display Name

Description

More...

Filter

Filter

Description as text.

VT_BSTR

Name

Nom

Description unique de la fonction.
La description est diffusée lorsqu’une nouvelle fonction est créée par le système, mais peut être ultérieurement modifiée si la nouvelle description n’est pas déjà utilisée pour une autre fonction.

Maximum : 128 caractères

Par défaut : Fonction_x (où x est un numéro consécutif).

Attention : Cette propriété n’est pas disponible aux fins de la commutation de langue.

Plus de détails dans l’aide en ligne.

ZT_FKTPARAM

Parameters

Paramètre

Paramètres de transfert de la fonction ; les paramètres dépendent du type de fonction.
Cliquez sur le bouton ... pour ouvrir une boîte de dialogue de configuration de la fonction.
La boîte de dialogue de configuration des paramètres s’ouvre, selon le type de fonction sélectionné.

Plus de détails dans l’aide en ligne .

VT_BOOL

IsActual

Ordinateur actuel

Disponible uniquement dans les projets en réseau :
La fonction est exécutée sur l’ordinateur sur lequel elle a été exécutée.

Plus de détails dans l’aide en ligne.

VT_BOOL

IsClient

Client

Disponible seulement pour les projets réseau :
La fonction est exécutée sur tous les clients du projet.

Plus de détails dans l’aide en ligne.

VT_BOOL

IsServer

Serveur principal

Disponible uniquement dans les projets en réseau :
la fonction est propagée à tous les clients du projet.

Plus de détails dans l’aide en ligne.

VT_BOOL

IsStandBy

Serveur redondant

Disponible seulement pour les projets en réseau :
La fonction est exécutée sur le serveur redondant du projet.

Plus de détails dans l’aide en ligne.

VT_BOOL

IsUrlStartWeb

URL fonction de démarrage pour le web

URL d’exécution de fonction pour le Web :

  • Active : La fonction peut être exécutée au moyen d’une extension d’URL dans HTML Web Client au démarrage de la session.
  • Inactive : La fonction ne peut pas être exécutée au moyen d’une extension d’URL dans HTML Web Client au démarrage de la session.

Par défaut : Inactive

Plus de détails dans l’aide en ligne.

VT_UI4

ID

ID

Internal unique ID of the function.

VT_UI4

Type

Type

With this property you have the opportunity to get/set the source bit in the status routing list.

ZT_AKZ

SystemModelGroup

Groupes d'équipements

Lie l’élément à un modèle d’équipement. Cliquez sur le bouton ... pour ouvrir la boîte de sélection d’un groupe d’équipements.
L'affichage du groupe d’équipements sélectionné inclut également les niveaux supérieurs à ce groupe. Les niveaux sont séparés par un point dans l’affichage.

Dans le cas d’une sélection multiple, les groupes d’équipements individuels sont séparés par un point-virgule (;).

Plus de détails dans l’aide en ligne.


Recipegroup

Manuel -> Interfaces de programmation -> Modèles d'objet -> RtFunction -> RtFunction-Dynamic properties -> Recipegroup

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Type

VBA/VSTA Name

Display Name

Description

VT_BSTR

RecipeName

RecipeName

Gets or sets the name of the recipe that should be executed.

VT_BSTR

Name

Nom

Description unique de la fonction.
La description est diffusée lorsqu’une nouvelle fonction est créée par le système, mais peut être ultérieurement modifiée si la nouvelle description n’est pas déjà utilisée pour une autre fonction.

Maximum : 128 caractères

Par défaut : Fonction_x (où x est un numéro consécutif).

Attention : Cette propriété n’est pas disponible aux fins de la commutation de langue.

Plus de détails dans l’aide en ligne.

ZT_FKTPARAM

Parameters

Paramètre

Paramètres de transfert de la fonction ; les paramètres dépendent du type de fonction.
Cliquez sur le bouton ... pour ouvrir une boîte de dialogue de configuration de la fonction.
La boîte de dialogue de configuration des paramètres s’ouvre, selon le type de fonction sélectionné.

Plus de détails dans l’aide en ligne .

VT_BOOL

IsActual

Ordinateur actuel

Disponible uniquement dans les projets en réseau :
La fonction est exécutée sur l’ordinateur sur lequel elle a été exécutée.

Plus de détails dans l’aide en ligne.

VT_BOOL

IsClient

Client

Disponible seulement pour les projets réseau :
La fonction est exécutée sur tous les clients du projet.

Plus de détails dans l’aide en ligne.

VT_BOOL

IsServer

Serveur principal

Disponible uniquement dans les projets en réseau :
la fonction est propagée à tous les clients du projet.

Plus de détails dans l’aide en ligne.

VT_BOOL

IsStandBy

Serveur redondant

Disponible seulement pour les projets en réseau :
La fonction est exécutée sur le serveur redondant du projet.

Plus de détails dans l’aide en ligne.

VT_BOOL

IsUrlStartWeb

URL fonction de démarrage pour le web

URL d’exécution de fonction pour le Web :

  • Active : La fonction peut être exécutée au moyen d’une extension d’URL dans HTML Web Client au démarrage de la session.
  • Inactive : La fonction ne peut pas être exécutée au moyen d’une extension d’URL dans HTML Web Client au démarrage de la session.

Par défaut : Inactive

Plus de détails dans l’aide en ligne.

VT_UI4

ID

ID

Internal unique ID of the function.

VT_UI4

Type

Type

With this property you have the opportunity to get/set the source bit in the status routing list.

ZT_AKZ

SystemModelGroup

Groupes d'équipements

Lie l’élément à un modèle d’équipement. Cliquez sur le bouton ... pour ouvrir la boîte de sélection d’un groupe d’équipements.
L'affichage du groupe d’équipements sélectionné inclut également les niveaux supérieurs à ce groupe. Les niveaux sont séparés par un point dans l’affichage.

Dans le cas d’une sélection multiple, les groupes d’équipements individuels sont séparés par un point-virgule (;).

Plus de détails dans l’aide en ligne.


CRezeptFilter

Manuel -> Interfaces de programmation -> Modèles d'objet -> RtFunction -> RtFunction-Dynamic properties -> CRezeptFilter

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Type

VBA/VSTA Name

Display Name

Description

VT_BSTR

StrPar1

StrPar1

VT_BSTR

StrPar2

StrPar2

VT_BSTR

StrPar3

StrPar3

VT_BSTR

StrPar4

StrPar4

VT_BSTR

StrPar5

StrPar5

VT_UI4

DWPar1

DWPar1

VT_UI4

DWPar2

DWPar2

VT_UI4

DWPar3

DWPar3

VT_UI4

DWPar4

DWPar4

VT_UI4

DWPar5

DWPar5

VT_UI4

ExportExt

ExportExt

Defines the import/export format for the recipe file.
0 = Text file (TXT)

ZT_VARIABLE

FileNameVar

FileNameVar

"Defines the name of the variable which contains the name for the import/export (DynProperty ""Modus"" options 3 and 4)."

VT_BSTR

ExportFile

ExportFile

Defines the path and the name of the import/export file.

VT_I2

IsAutoName

IsAutoName

"If set TRUE, a name for the export file (DynProperty ""Modus"" option 3) will be automatically generated."

VT_BOOL

IsWithFormat

IsWithFormat

VT_BSTR

FormatFile

FormatFile

VT_BSTR

PictName

PictName

VT_UI4

Modus

Modus

Defines the recipe mode.
0 = Execute recipe
1 = Duplicate and teach
2 = Read recipe
3 = Export recipe
4 = Import recipe
5 = Duplicate

VT_BSTR

ProjectName

ProjectName

Description as text.

VT_BSTR

RecGroup

RecGroup

Specifies the name of the recipe group which contains the utilized RGM recipe.

VT_BOOL

WithGrpVar

WithGrpVar

VT_BOOL

ImportGroupName

ImportGroupName

Description as text.

ZT_VARIABLE

GrpVar

GrpVar

VT_BSTR

Recipe

Recipe

Specifies the name of the recipe that should be operated.
ATTENTION: The name of the recipe has to be the exact name of an existing RGM recipe.

VT_UI4

RecNumber

RecNumber

VT_UI4

WithNumber

WithNumber

Specifies it the recipe should be selected with a variable.
0 = No recipe selection
1 = Recipe selection with variable

ZT_VARIABLE

RecVar

RecVar

"Gets or sets a variable (""Variable"" object) that should be used, in order to select the recipe by name or number. "

VT_BOOL

IsRecNumName

IsRecNumName

"Specifies if the assigned variable contains the number (FALSE) or the name (TRUE) of the recipe.
Hint: This property is only available, if DynProperty ""WithNumber"" specifies that the recipe selection is done via a variable."

VT_BOOL

VersionVarOn

VersionVarOn

Description as text.

ZT_VARIABLE

VersionVar

VersionVarOn

Description as text.

VT_UI4

Version

Version

VT_BOOL

StatusVarOn

StatusVarOn

Description as text.

ZT_VARIABLE

StatusVar

StatusVarOn

Description as text.

VT_UI4

Status

Status

VT_BOOL

TargetRecipeVarOn

TargetRecipeVarOn

Description as text.

VT_BSTR

TargetRecipe

TargetRecipe

"Defines the name of the target recipe to which should be copied.
Hint: Only available for DynProperty ""Modus"" option 5 (""Duplicate"")."

ZT_VARIABLE

TargetRecipeVar

TargetRecipeVar

VT_BOOL

TargetVersionVarOn

TargetVersionVarOn

Description as text.

VT_UI4

TargetVersion

TargetVersionVarOn

Description as text.

ZT_VARIABLE

TargetVersionVar

TargetVersionVar

VT_BOOL

TargetStatusVarOn

TargetStatusVarOn

Description as text.

VT_UI4

TargetStatus

TargetStatusVarOn

Description as text.

ZT_VARIABLE

TargetStatusVar

TargetStatusVar

VT_BOOL

FilterVarOn

FilterVarOn

Description as text.

VT_BSTR

FilterText

FilterText

this property defines the filter to open the RGM picture with in the runtime. Only variables with this Filtertext set will be shown.

ZT_VARIABLE

FilterVar

FilterVar

This property defines which string variable will be used to open the RGM picture. The string in this variable will be used to show only the variables with this Filtertext.

VT_BOOL

IsFilterRT

IsFilterRT

"Displays the recipe configuration dialog within the runtime, if set TRUE."

VT_BOOL

IsReadOnly

IsReadOnly

"If set TRUE, this property only allows the selection of a recipe within the runtime, but unlike ""IsRecOnly"" no recipe configuration is allowed.
Hint: Only available, if DynProperty ""IsFilterRT"" is set TRUE."

VT_BOOL

IsRecOnly

IsRecOnly

"If set TRUE, this property only allows the selection of a recipe within the runtime.
Hint: Only available, if DynProperty ""IsFilterRT"" is set TRUE."

VT_I4

ColWidth_VarName

ColWidth_VarName

VT_BSTR

ColText_VarName

ColText_VarName

VT_I4

ColWidth_Min

ColWidth_Min

VT_BSTR

ColText_Min

ColText_Min

VT_I4

ColWidth_Max

ColWidth_Max

VT_BSTR

ColText_Max

ColText_Max

VT_I4

ColWidth_Mode

ColWidth_Mode

VT_BSTR

ColText_Mode

ColText_Mode

VT_I4

ColWidth_Value

ColWidth_Value

VT_BSTR

ColText_Value

ColText_Value

VT_I4

ColWidth_Unit

ColWidth_Unit

VT_BSTR

ColText_Unit

ColText_Unit

VT_I4

ColWidth_Symbolism

ColWidth_Symbolism

VT_BSTR

ColText_Symbolism

ColText_Symbolism

VT_I4

ColWidth_ActVal

ColWidth_ActVal

VT_BSTR

ColText_ActVal

ColText_ActVal

VT_I4

ColWidth_ResLabel

ColWidth_ResLabel

VT_BSTR

ColText_ResLabel

ColText_ResLabel

VT_I4

ColWidth_Identifier

ColWidth_Identifier

VT_BSTR

ColText_Identifier

ColText_Identifier

VT_I4

ColWidth_Filter

ColWidth_Filter

VT_BSTR

ColText_Filter

ColText_Filter

VT_BSTR

ColOrder

ColOrderAll

VT_BSTR

ColOrderAll

ColOrderAll

VT_BOOL

ShowRowNr

ShowRowNr

VT_BOOL

XMLExpOverwriteFile

XMLExpOverwriteFile

VT_BOOL

XMLImpOverwriteRecipe

XMLImpOverwriteRecipe

More...

SystemModelGroup

Groupes d'équipements

Lie l’élément à un modèle d’équipement. Cliquez sur le bouton ... pour ouvrir la boîte de sélection d’un groupe d’équipements.
L'affichage du groupe d’équipements sélectionné inclut également les niveaux supérieurs à ce groupe. Les niveaux sont séparés par un point dans l’affichage.

Dans le cas d’une sélection multiple, les groupes d’équipements individuels sont séparés par un point-virgule (;).

Plus de détails dans l’aide en ligne.

More...

TextFilter

TextFilter


Recipegroup manager

Manuel -> Interfaces de programmation -> Modèles d'objet -> RtFunction -> RtFunction-Dynamic properties -> Recipegroup manager

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Type

VBA/VSTA Name

Display Name

Description

More...

Filter

Filter

VT_BSTR

Name

Nom

Description unique de la fonction.
La description est diffusée lorsqu’une nouvelle fonction est créée par le système, mais peut être ultérieurement modifiée si la nouvelle description n’est pas déjà utilisée pour une autre fonction.

Maximum : 128 caractères

Par défaut : Fonction_x (où x est un numéro consécutif).

Attention : Cette propriété n’est pas disponible aux fins de la commutation de langue.

Plus de détails dans l’aide en ligne.

ZT_FKTPARAM

Parameters

Paramètre

Paramètres de transfert de la fonction ; les paramètres dépendent du type de fonction.
Cliquez sur le bouton ... pour ouvrir une boîte de dialogue de configuration de la fonction.
La boîte de dialogue de configuration des paramètres s’ouvre, selon le type de fonction sélectionné.

Plus de détails dans l’aide en ligne .

VT_BOOL

IsActual

Ordinateur actuel

Disponible uniquement dans les projets en réseau :
La fonction est exécutée sur l’ordinateur sur lequel elle a été exécutée.

Plus de détails dans l’aide en ligne.

VT_BOOL

IsClient

Client

Disponible seulement pour les projets réseau :
La fonction est exécutée sur tous les clients du projet.

Plus de détails dans l’aide en ligne.

VT_BOOL

IsServer

Serveur principal

Disponible uniquement dans les projets en réseau :
la fonction est propagée à tous les clients du projet.

Plus de détails dans l’aide en ligne.

VT_BOOL

IsStandBy

Serveur redondant

Disponible seulement pour les projets en réseau :
La fonction est exécutée sur le serveur redondant du projet.

Plus de détails dans l’aide en ligne.

VT_BOOL

IsUrlStartWeb

URL fonction de démarrage pour le web

URL d’exécution de fonction pour le Web :

  • Active : La fonction peut être exécutée au moyen d’une extension d’URL dans HTML Web Client au démarrage de la session.
  • Inactive : La fonction ne peut pas être exécutée au moyen d’une extension d’URL dans HTML Web Client au démarrage de la session.

Par défaut : Inactive

Plus de détails dans l’aide en ligne.

VT_UI4

ID

ID

Internal unique ID of the function.

VT_UI4

Type

Type

With this property you have the opportunity to get/set the source bit in the status routing list.

ZT_AKZ

SystemModelGroup

Groupes d'équipements

Lie l’élément à un modèle d’équipement. Cliquez sur le bouton ... pour ouvrir la boîte de sélection d’un groupe d’équipements.
L'affichage du groupe d’équipements sélectionné inclut également les niveaux supérieurs à ce groupe. Les niveaux sont séparés par un point dans l’affichage.

Dans le cas d’une sélection multiple, les groupes d’équipements individuels sont séparés par un point-virgule (;).

Plus de détails dans l’aide en ligne.


Standard recipe

Manuel -> Interfaces de programmation -> Modèles d'objet -> RtFunction -> RtFunction-Dynamic properties -> Standard recipe

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Type

VBA/VSTA Name

Display Name

Description

More...

Filter

Filter

VT_BSTR

Name

Nom

Description unique de la fonction.
La description est diffusée lorsqu’une nouvelle fonction est créée par le système, mais peut être ultérieurement modifiée si la nouvelle description n’est pas déjà utilisée pour une autre fonction.

Maximum : 128 caractères

Par défaut : Fonction_x (où x est un numéro consécutif).

Attention : Cette propriété n’est pas disponible aux fins de la commutation de langue.

Plus de détails dans l’aide en ligne.

ZT_FKTPARAM

Parameters

Paramètre

Paramètres de transfert de la fonction ; les paramètres dépendent du type de fonction.
Cliquez sur le bouton ... pour ouvrir une boîte de dialogue de configuration de la fonction.
La boîte de dialogue de configuration des paramètres s’ouvre, selon le type de fonction sélectionné.

Plus de détails dans l’aide en ligne .

VT_BOOL

IsActual

Ordinateur actuel

Disponible uniquement dans les projets en réseau :
La fonction est exécutée sur l’ordinateur sur lequel elle a été exécutée.

Plus de détails dans l’aide en ligne.

VT_BOOL

IsClient

Client

Disponible seulement pour les projets réseau :
La fonction est exécutée sur tous les clients du projet.

Plus de détails dans l’aide en ligne.

VT_BOOL

IsServer

Serveur principal

Disponible uniquement dans les projets en réseau :
la fonction est propagée à tous les clients du projet.

Plus de détails dans l’aide en ligne.

VT_BOOL

IsStandBy

Serveur redondant

Disponible seulement pour les projets en réseau :
La fonction est exécutée sur le serveur redondant du projet.

Plus de détails dans l’aide en ligne.

VT_BOOL

IsUrlStartWeb

URL fonction de démarrage pour le web

URL d’exécution de fonction pour le Web :

  • Active : La fonction peut être exécutée au moyen d’une extension d’URL dans HTML Web Client au démarrage de la session.
  • Inactive : La fonction ne peut pas être exécutée au moyen d’une extension d’URL dans HTML Web Client au démarrage de la session.

Par défaut : Inactive

Plus de détails dans l’aide en ligne.

VT_UI4

ID

ID

Internal unique ID of the function.

VT_UI4

Type

Type

With this property you have the opportunity to get/set the source bit in the status routing list.

ZT_AKZ

SystemModelGroup

Groupes d'équipements

Lie l’élément à un modèle d’équipement. Cliquez sur le bouton ... pour ouvrir la boîte de sélection d’un groupe d’équipements.
L'affichage du groupe d’équipements sélectionné inclut également les niveaux supérieurs à ce groupe. Les niveaux sont séparés par un point dans l’affichage.

Dans le cas d’une sélection multiple, les groupes d’équipements individuels sont séparés par un point-virgule (;).

Plus de détails dans l’aide en ligne.


Runtime profiles

Manuel -> Interfaces de programmation -> Modèles d'objet -> RtFunction -> RtFunction-Dynamic properties -> Runtime profiles

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Type

VBA/VSTA Name

Display Name

Description

VT_I4

Modus

Modus

VT_I4

LoadModus

LoadModus

VT_I4

SaveModus

SaveModus

VT_BSTR

LoadName

LoadName

VT_BSTR

SaveName

SaveName

ZT_VARIABLE

LoadVar

LoadVar

ZT_VARIABLE

SaveVar

SaveVar

VT_BSTR

Name

Nom

Description unique de la fonction.
La description est diffusée lorsqu’une nouvelle fonction est créée par le système, mais peut être ultérieurement modifiée si la nouvelle description n’est pas déjà utilisée pour une autre fonction.

Maximum : 128 caractères

Par défaut : Fonction_x (où x est un numéro consécutif).

Attention : Cette propriété n’est pas disponible aux fins de la commutation de langue.

Plus de détails dans l’aide en ligne.

ZT_FKTPARAM

Parameters

Paramètre

Paramètres de transfert de la fonction ; les paramètres dépendent du type de fonction.
Cliquez sur le bouton ... pour ouvrir une boîte de dialogue de configuration de la fonction.
La boîte de dialogue de configuration des paramètres s’ouvre, selon le type de fonction sélectionné.

Plus de détails dans l’aide en ligne .

VT_BOOL

IsActual

Ordinateur actuel

Disponible uniquement dans les projets en réseau :
La fonction est exécutée sur l’ordinateur sur lequel elle a été exécutée.

Plus de détails dans l’aide en ligne.

VT_BOOL

IsClient

Client

Disponible seulement pour les projets réseau :
La fonction est exécutée sur tous les clients du projet.

Plus de détails dans l’aide en ligne.

VT_BOOL

IsServer

Serveur principal

Disponible uniquement dans les projets en réseau :
la fonction est propagée à tous les clients du projet.

Plus de détails dans l’aide en ligne.

VT_BOOL

IsStandBy

Serveur redondant

Disponible seulement pour les projets en réseau :
La fonction est exécutée sur le serveur redondant du projet.

Plus de détails dans l’aide en ligne.

VT_BOOL

IsUrlStartWeb

URL fonction de démarrage pour le web

URL d’exécution de fonction pour le Web :

  • Active : La fonction peut être exécutée au moyen d’une extension d’URL dans HTML Web Client au démarrage de la session.
  • Inactive : La fonction ne peut pas être exécutée au moyen d’une extension d’URL dans HTML Web Client au démarrage de la session.

Par défaut : Inactive

Plus de détails dans l’aide en ligne.

VT_UI4

ID

ID

Internal unique ID of the function.

VT_UI4

Type

Type

With this property you have the opportunity to get/set the source bit in the status routing list.

ZT_AKZ

SystemModelGroup

Groupes d'équipements

Lie l’élément à un modèle d’équipement. Cliquez sur le bouton ... pour ouvrir la boîte de sélection d’un groupe d’équipements.
L'affichage du groupe d’équipements sélectionné inclut également les niveaux supérieurs à ce groupe. Les niveaux sont séparés par un point dans l’affichage.

Dans le cas d’une sélection multiple, les groupes d’équipements individuels sont séparés par un point-virgule (;).

Plus de détails dans l’aide en ligne.


SAT command activation

Manuel -> Interfaces de programmation -> Modèles d'objet -> RtFunction -> RtFunction-Dynamic properties -> SAT command activation

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Type

VBA/VSTA Name

Display Name

Description

VT_I2

Mode

Mode

VT_BSTR

Name

Nom

Description unique de la fonction.
La description est diffusée lorsqu’une nouvelle fonction est créée par le système, mais peut être ultérieurement modifiée si la nouvelle description n’est pas déjà utilisée pour une autre fonction.

Maximum : 128 caractères

Par défaut : Fonction_x (où x est un numéro consécutif).

Attention : Cette propriété n’est pas disponible aux fins de la commutation de langue.

Plus de détails dans l’aide en ligne.

ZT_FKTPARAM

Parameters

Paramètre

Paramètres de transfert de la fonction ; les paramètres dépendent du type de fonction.
Cliquez sur le bouton ... pour ouvrir une boîte de dialogue de configuration de la fonction.
La boîte de dialogue de configuration des paramètres s’ouvre, selon le type de fonction sélectionné.

Plus de détails dans l’aide en ligne .

VT_BOOL

IsActual

Ordinateur actuel

Disponible uniquement dans les projets en réseau :
La fonction est exécutée sur l’ordinateur sur lequel elle a été exécutée.

Plus de détails dans l’aide en ligne.

VT_BOOL

IsClient

Client

Disponible seulement pour les projets réseau :
La fonction est exécutée sur tous les clients du projet.

Plus de détails dans l’aide en ligne.

VT_BOOL

IsServer

Serveur principal

Disponible uniquement dans les projets en réseau :
la fonction est propagée à tous les clients du projet.

Plus de détails dans l’aide en ligne.

VT_BOOL

IsStandBy

Serveur redondant

Disponible seulement pour les projets en réseau :
La fonction est exécutée sur le serveur redondant du projet.

Plus de détails dans l’aide en ligne.

VT_BOOL

IsUrlStartWeb

URL fonction de démarrage pour le web

URL d’exécution de fonction pour le Web :

  • Active : La fonction peut être exécutée au moyen d’une extension d’URL dans HTML Web Client au démarrage de la session.
  • Inactive : La fonction ne peut pas être exécutée au moyen d’une extension d’URL dans HTML Web Client au démarrage de la session.

Par défaut : Inactive

Plus de détails dans l’aide en ligne.

VT_UI4

ID

ID

Internal unique ID of the function.

VT_UI4

Type

Type

With this property you have the opportunity to get/set the source bit in the status routing list.

ZT_AKZ

SystemModelGroup

Groupes d'équipements

Lie l’élément à un modèle d’équipement. Cliquez sur le bouton ... pour ouvrir la boîte de sélection d’un groupe d’équipements.
L'affichage du groupe d’équipements sélectionné inclut également les niveaux supérieurs à ce groupe. Les niveaux sont séparés par un point dans l’affichage.

Dans le cas d’une sélection multiple, les groupes d’équipements individuels sont séparés par un point-virgule (;).

Plus de détails dans l’aide en ligne.


Save remanent data

Manuel -> Interfaces de programmation -> Modèles d'objet -> RtFunction -> RtFunction-Dynamic properties -> Save remanent data

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Type

VBA/VSTA Name

Display Name

Description

VT_BOOL

SaveCEL

SaveCEL

VT_BOOL

SaveAML

SaveAML

VT_BOOL

SaveSYMA

SaveSYMA

VT_BOOL

SaveIDrv

SaveIDrv

VT_BOOL

SaveZDrv

SaveZDrv

VT_BOOL

SaveEnergy

SaveEnergy

VT_BSTR

Name

Nom

Description unique de la fonction.
La description est diffusée lorsqu’une nouvelle fonction est créée par le système, mais peut être ultérieurement modifiée si la nouvelle description n’est pas déjà utilisée pour une autre fonction.

Maximum : 128 caractères

Par défaut : Fonction_x (où x est un numéro consécutif).

Attention : Cette propriété n’est pas disponible aux fins de la commutation de langue.

Plus de détails dans l’aide en ligne.

ZT_FKTPARAM

Parameters

Paramètre

Paramètres de transfert de la fonction ; les paramètres dépendent du type de fonction.
Cliquez sur le bouton ... pour ouvrir une boîte de dialogue de configuration de la fonction.
La boîte de dialogue de configuration des paramètres s’ouvre, selon le type de fonction sélectionné.

Plus de détails dans l’aide en ligne .

VT_BOOL

IsActual

Ordinateur actuel

Disponible uniquement dans les projets en réseau :
La fonction est exécutée sur l’ordinateur sur lequel elle a été exécutée.

Plus de détails dans l’aide en ligne.

VT_BOOL

IsClient

Client

Disponible seulement pour les projets réseau :
La fonction est exécutée sur tous les clients du projet.

Plus de détails dans l’aide en ligne.

VT_BOOL

IsServer

Serveur principal

Disponible uniquement dans les projets en réseau :
la fonction est propagée à tous les clients du projet.

Plus de détails dans l’aide en ligne.

VT_BOOL

IsStandBy

Serveur redondant

Disponible seulement pour les projets en réseau :
La fonction est exécutée sur le serveur redondant du projet.

Plus de détails dans l’aide en ligne.

VT_BOOL

IsUrlStartWeb

URL fonction de démarrage pour le web

URL d’exécution de fonction pour le Web :

  • Active : La fonction peut être exécutée au moyen d’une extension d’URL dans HTML Web Client au démarrage de la session.
  • Inactive : La fonction ne peut pas être exécutée au moyen d’une extension d’URL dans HTML Web Client au démarrage de la session.

Par défaut : Inactive

Plus de détails dans l’aide en ligne.

VT_UI4

ID

ID

Internal unique ID of the function.

VT_UI4

Type

Type

With this property you have the opportunity to get/set the source bit in the status routing list.

ZT_AKZ

SystemModelGroup

Groupes d'équipements

Lie l’élément à un modèle d’équipement. Cliquez sur le bouton ... pour ouvrir la boîte de sélection d’un groupe d’équipements.
L'affichage du groupe d’équipements sélectionné inclut également les niveaux supérieurs à ce groupe. Les niveaux sont séparés par un point dans l’affichage.

Dans le cas d’une sélection multiple, les groupes d’équipements individuels sont séparés par un point-virgule (;).

Plus de détails dans l’aide en ligne.


Script execute select online

Manuel -> Interfaces de programmation -> Modèles d'objet -> RtFunction -> RtFunction-Dynamic properties -> Script execute select online

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Type

VBA/VSTA Name

Display Name

Description

VT_BSTR

Script

Script

Gets or sets the name of the script that should be executed.

VT_BSTR

Name

Nom

Description unique de la fonction.
La description est diffusée lorsqu’une nouvelle fonction est créée par le système, mais peut être ultérieurement modifiée si la nouvelle description n’est pas déjà utilisée pour une autre fonction.

Maximum : 128 caractères

Par défaut : Fonction_x (où x est un numéro consécutif).

Attention : Cette propriété n’est pas disponible aux fins de la commutation de langue.

Plus de détails dans l’aide en ligne.

ZT_FKTPARAM

Parameters

Paramètre

Paramètres de transfert de la fonction ; les paramètres dépendent du type de fonction.
Cliquez sur le bouton ... pour ouvrir une boîte de dialogue de configuration de la fonction.
La boîte de dialogue de configuration des paramètres s’ouvre, selon le type de fonction sélectionné.

Plus de détails dans l’aide en ligne .

VT_BOOL

IsActual

Ordinateur actuel

Disponible uniquement dans les projets en réseau :
La fonction est exécutée sur l’ordinateur sur lequel elle a été exécutée.

Plus de détails dans l’aide en ligne.

VT_BOOL

IsClient

Client

Disponible seulement pour les projets réseau :
La fonction est exécutée sur tous les clients du projet.

Plus de détails dans l’aide en ligne.

VT_BOOL

IsServer

Serveur principal

Disponible uniquement dans les projets en réseau :
la fonction est propagée à tous les clients du projet.

Plus de détails dans l’aide en ligne.

VT_BOOL

IsStandBy

Serveur redondant

Disponible seulement pour les projets en réseau :
La fonction est exécutée sur le serveur redondant du projet.

Plus de détails dans l’aide en ligne.

VT_BOOL

IsUrlStartWeb

URL fonction de démarrage pour le web

URL d’exécution de fonction pour le Web :

  • Active : La fonction peut être exécutée au moyen d’une extension d’URL dans HTML Web Client au démarrage de la session.
  • Inactive : La fonction ne peut pas être exécutée au moyen d’une extension d’URL dans HTML Web Client au démarrage de la session.

Par défaut : Inactive

Plus de détails dans l’aide en ligne.

VT_UI4

ID

ID

Internal unique ID of the function.

VT_UI4

Type

Type

With this property you have the opportunity to get/set the source bit in the status routing list.

ZT_AKZ

SystemModelGroup

Groupes d'équipements

Lie l’élément à un modèle d’équipement. Cliquez sur le bouton ... pour ouvrir la boîte de sélection d’un groupe d’équipements.
L'affichage du groupe d’équipements sélectionné inclut également les niveaux supérieurs à ce groupe. Les niveaux sont séparés par un point dans l’affichage.

Dans le cas d’une sélection multiple, les groupes d’équipements individuels sont séparés par un point-virgule (;).

Plus de détails dans l’aide en ligne.


Start SEA

Manuel -> Interfaces de programmation -> Modèles d'objet -> RtFunction -> RtFunction-Dynamic properties -> Start SEA

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Type

VBA/VSTA Name

Display Name

Description

VT_BSTR

SwitchingSequence

SwitchingSequence

VT_BSTR

SEAParams

SEAParams

VT_BSTR

Name

Nom

Description unique de la fonction.
La description est diffusée lorsqu’une nouvelle fonction est créée par le système, mais peut être ultérieurement modifiée si la nouvelle description n’est pas déjà utilisée pour une autre fonction.

Maximum : 128 caractères

Par défaut : Fonction_x (où x est un numéro consécutif).

Attention : Cette propriété n’est pas disponible aux fins de la commutation de langue.

Plus de détails dans l’aide en ligne.

ZT_FKTPARAM

Parameters

Paramètre

Paramètres de transfert de la fonction ; les paramètres dépendent du type de fonction.
Cliquez sur le bouton ... pour ouvrir une boîte de dialogue de configuration de la fonction.
La boîte de dialogue de configuration des paramètres s’ouvre, selon le type de fonction sélectionné.

Plus de détails dans l’aide en ligne .

VT_BOOL

IsActual

Ordinateur actuel

Disponible uniquement dans les projets en réseau :
La fonction est exécutée sur l’ordinateur sur lequel elle a été exécutée.

Plus de détails dans l’aide en ligne.

VT_BOOL

IsClient

Client

Disponible seulement pour les projets réseau :
La fonction est exécutée sur tous les clients du projet.

Plus de détails dans l’aide en ligne.

VT_BOOL

IsServer

Serveur principal

Disponible uniquement dans les projets en réseau :
la fonction est propagée à tous les clients du projet.

Plus de détails dans l’aide en ligne.

VT_BOOL

IsStandBy

Serveur redondant

Disponible seulement pour les projets en réseau :
La fonction est exécutée sur le serveur redondant du projet.

Plus de détails dans l’aide en ligne.

VT_BOOL

IsUrlStartWeb

URL fonction de démarrage pour le web

URL d’exécution de fonction pour le Web :

  • Active : La fonction peut être exécutée au moyen d’une extension d’URL dans HTML Web Client au démarrage de la session.
  • Inactive : La fonction ne peut pas être exécutée au moyen d’une extension d’URL dans HTML Web Client au démarrage de la session.

Par défaut : Inactive

Plus de détails dans l’aide en ligne.

VT_UI4

ID

ID

Internal unique ID of the function.

VT_UI4

Type

Type

With this property you have the opportunity to get/set the source bit in the status routing list.

ZT_AKZ

SystemModelGroup

Groupes d'équipements

Lie l’élément à un modèle d’équipement. Cliquez sur le bouton ... pour ouvrir la boîte de sélection d’un groupe d’équipements.
L'affichage du groupe d’équipements sélectionné inclut également les niveaux supérieurs à ce groupe. Les niveaux sont séparés par un point dans l’affichage.

Dans le cas d’une sélection multiple, les groupes d’équipements individuels sont séparés par un point-virgule (;).

Plus de détails dans l’aide en ligne.


Setpoint

Manuel -> Interfaces de programmation -> Modèles d'objet -> RtFunction -> RtFunction-Dynamic properties -> Setpoint

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Type

VBA/VSTA Name

Display Name

Description

VT_UI2

SubmitAndCloseWnd

SubmitAndCloseWnd

VT_BSTR

SetpointSetting

SetpointSetting

VT_BSTR

Name

Nom

Description unique de la fonction.
La description est diffusée lorsqu’une nouvelle fonction est créée par le système, mais peut être ultérieurement modifiée si la nouvelle description n’est pas déjà utilisée pour une autre fonction.

Maximum : 128 caractères

Par défaut : Fonction_x (où x est un numéro consécutif).

Attention : Cette propriété n’est pas disponible aux fins de la commutation de langue.

Plus de détails dans l’aide en ligne.

ZT_FKTPARAM

Parameters

Paramètre

Paramètres de transfert de la fonction ; les paramètres dépendent du type de fonction.
Cliquez sur le bouton ... pour ouvrir une boîte de dialogue de configuration de la fonction.
La boîte de dialogue de configuration des paramètres s’ouvre, selon le type de fonction sélectionné.

Plus de détails dans l’aide en ligne .

VT_BOOL

IsActual

Ordinateur actuel

Disponible uniquement dans les projets en réseau :
La fonction est exécutée sur l’ordinateur sur lequel elle a été exécutée.

Plus de détails dans l’aide en ligne.

VT_BOOL

IsClient

Client

Disponible seulement pour les projets réseau :
La fonction est exécutée sur tous les clients du projet.

Plus de détails dans l’aide en ligne.

VT_BOOL

IsServer

Serveur principal

Disponible uniquement dans les projets en réseau :
la fonction est propagée à tous les clients du projet.

Plus de détails dans l’aide en ligne.

VT_BOOL

IsStandBy

Serveur redondant

Disponible seulement pour les projets en réseau :
La fonction est exécutée sur le serveur redondant du projet.

Plus de détails dans l’aide en ligne.

VT_BOOL

IsUrlStartWeb

URL fonction de démarrage pour le web

URL d’exécution de fonction pour le Web :

  • Active : La fonction peut être exécutée au moyen d’une extension d’URL dans HTML Web Client au démarrage de la session.
  • Inactive : La fonction ne peut pas être exécutée au moyen d’une extension d’URL dans HTML Web Client au démarrage de la session.

Par défaut : Inactive

Plus de détails dans l’aide en ligne.

VT_UI4

ID

ID

Internal unique ID of the function.

VT_UI4

Type

Type

With this property you have the opportunity to get/set the source bit in the status routing list.

ZT_AKZ

SystemModelGroup

Groupes d'équipements

Lie l’élément à un modèle d’équipement. Cliquez sur le bouton ... pour ouvrir la boîte de sélection d’un groupe d’équipements.
L'affichage du groupe d’équipements sélectionné inclut également les niveaux supérieurs à ce groupe. Les niveaux sont séparés par un point dans l’affichage.

Dans le cas d’une sélection multiple, les groupes d’équipements individuels sont séparés par un point-virgule (;).

Plus de détails dans l’aide en ligne.


CD_CTabellenFilter

Manuel -> Interfaces de programmation -> Modèles d'objet -> RtFunction -> RtFunction-Dynamic properties -> CD_CTabellenFilter

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | VBA/VSTA Name | Display Name | Description
VT_BSTR | TableFile | TableFile | Specifies the name of the report file.
VT_BSTR | ExportFile | ExportFile |
VT_BOOL | IsFilterRT | IsFilterRT | "Displays the report filter configuration dialog within the runtime, if set TRUE."
VT_BOOL | IsReadOnly | IsReadOnly | "Allows no modifications to the file, if set TRUE."
VT_BOOL | IsCancel | IsCancel |
VT_BOOL | IsAutoName | IsAutoName |
VT_BOOL | IsBackup | IsBackup | "Reads archive from backup path, if set TRUE."
VT_UI2 | Extension | Extension |
VT_BSTR | StrPar1 | StrPar1 | First string transfer parameter for text markers.
VT_BSTR | StrPar2 | StrPar2 | Second string transfer parameter for text markers.
VT_BSTR | StrPar3 | StrPar3 | Third string transfer parameter for text markers.
VT_BSTR | StrPar4 | StrPar4 | Fourth string transfer parameter for text markers.
VT_BSTR | StrPar5 | StrPar5 | Fifth string transfer parameter for text markers.
VT_UI4 | DWPar1 | DWPar1 | First doubleword transfer parameter for value markers.
VT_UI4 | DWPar2 | DWPar2 | Second doubleword transfer parameter for value markers.
VT_UI4 | DWPar3 | DWPar3 | Third doubleword transfer parameter for value markers.
VT_UI4 | DWPar4 | DWPar4 | Fourth doubleword transfer parameter for value markers.
VT_UI4 | DWPar5 | DWPar5 | Fifth doubleword transfer parameter for value markers.
VT_BSTR | ResString | ResString |
More... | TimeFilter | TimeFilter | Time filter settings
ZT_GUID | FilterPartGUID | FilterPartGUID | Description as text.
VT_BOOL | EditableInRT | EditableInRT | Description as text.


Report execute

Manuel -> Interfaces de programmation -> Modèles d'objet -> RtFunction -> RtFunction-Dynamic properties -> Report execute

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Type

VBA/VSTA Name

Display Name

Description

More...

Filter

Filter

VT_BSTR

Name

Nom

Description unique de la fonction.
La description est diffusée lorsqu’une nouvelle fonction est créée par le système, mais peut être ultérieurement modifiée si la nouvelle description n’est pas déjà utilisée pour une autre fonction.

Maximum : 128 caractères

Par défaut : Fonction_x (où x est un numéro consécutif).

Attention : Cette propriété n’est pas disponible aux fins de la commutation de langue.

Plus de détails dans l’aide en ligne.

ZT_FKTPARAM

Parameters

Paramètre

Paramètres de transfert de la fonction ; les paramètres dépendent du type de fonction.
Cliquez sur le bouton ... pour ouvrir une boîte de dialogue de configuration de la fonction.
La boîte de dialogue de configuration des paramètres s’ouvre, selon le type de fonction sélectionné.

Plus de détails dans l’aide en ligne .

VT_BOOL

IsActual

Ordinateur actuel

Disponible uniquement dans les projets en réseau :
La fonction est exécutée sur l’ordinateur sur lequel elle a été exécutée.

Plus de détails dans l’aide en ligne.

VT_BOOL

IsClient

Client

Disponible seulement pour les projets réseau :
La fonction est exécutée sur tous les clients du projet.

Plus de détails dans l’aide en ligne.

VT_BOOL

IsServer

Serveur principal

Disponible uniquement dans les projets en réseau :
la fonction est propagée à tous les clients du projet.

Plus de détails dans l’aide en ligne.

VT_BOOL

IsStandBy

Serveur redondant

Disponible seulement pour les projets en réseau :
La fonction est exécutée sur le serveur redondant du projet.

Plus de détails dans l’aide en ligne.

VT_BOOL

IsUrlStartWeb

URL fonction de démarrage pour le web

URL d’exécution de fonction pour le Web :

  • Active : La fonction peut être exécutée au moyen d’une extension d’URL dans HTML Web Client au démarrage de la session.
  • Inactive : La fonction ne peut pas être exécutée au moyen d’une extension d’URL dans HTML Web Client au démarrage de la session.

Par défaut : Inactive

Plus de détails dans l’aide en ligne.

VT_UI4

ID

ID

Internal unique ID of the function.

VT_UI4

Type

Type

With this property you have the opportunity to get/set the source bit in the status routing list.

ZT_AKZ

SystemModelGroup

Groupes d'équipements

Lie l’élément à un modèle d’équipement. Cliquez sur le bouton ... pour ouvrir la boîte de sélection d’un groupe d’équipements.
L'affichage du groupe d’équipements sélectionné inclut également les niveaux supérieurs à ce groupe. Les niveaux sont séparés par un point dans l’affichage.

Dans le cas d’une sélection multiple, les groupes d’équipements individuels sont séparés par un point-virgule (;).

Plus de détails dans l’aide en ligne.


Earth fault topology

Manuel -> Interfaces de programmation -> Modèles d'objet -> RtFunction -> RtFunction-Dynamic properties -> Earth fault topology

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Type

VBA/VSTA Name

Display Name

Description

VT_BSTR

Name

Nom

Description unique de la fonction.
La description est diffusée lorsqu’une nouvelle fonction est créée par le système, mais peut être ultérieurement modifiée si la nouvelle description n’est pas déjà utilisée pour une autre fonction.

Maximum : 128 caractères

Par défaut : Fonction_x (où x est un numéro consécutif).

Attention : Cette propriété n’est pas disponible aux fins de la commutation de langue.

Plus de détails dans l’aide en ligne.

ZT_FKTPARAM

Parameters

Paramètre

Paramètres de transfert de la fonction ; les paramètres dépendent du type de fonction.
Cliquez sur le bouton ... pour ouvrir une boîte de dialogue de configuration de la fonction.
La boîte de dialogue de configuration des paramètres s’ouvre, selon le type de fonction sélectionné.

Plus de détails dans l’aide en ligne .

VT_BOOL

IsActual

Ordinateur actuel

Disponible uniquement dans les projets en réseau :
La fonction est exécutée sur l’ordinateur sur lequel elle a été exécutée.

Plus de détails dans l’aide en ligne.

VT_BOOL

IsClient

Client

Disponible seulement pour les projets réseau :
La fonction est exécutée sur tous les clients du projet.

Plus de détails dans l’aide en ligne.

VT_BOOL

IsServer

Serveur principal

Disponible uniquement dans les projets en réseau :
la fonction est propagée à tous les clients du projet.

Plus de détails dans l’aide en ligne.

VT_BOOL

IsStandBy

Serveur redondant

Disponible seulement pour les projets en réseau :
La fonction est exécutée sur le serveur redondant du projet.

Plus de détails dans l’aide en ligne.

VT_BOOL

IsUrlStartWeb

URL fonction de démarrage pour le web

URL d’exécution de fonction pour le Web :

  • Active : La fonction peut être exécutée au moyen d’une extension d’URL dans HTML Web Client au démarrage de la session.
  • Inactive : La fonction ne peut pas être exécutée au moyen d’une extension d’URL dans HTML Web Client au démarrage de la session.

Par défaut : Inactive

Plus de détails dans l’aide en ligne.

VT_UI4

ID

ID

Internal unique ID of the function.

VT_UI4

Type

Type

With this property you have the opportunity to get/set the source bit in the status routing list.

ZT_AKZ

SystemModelGroup

Groupes d'équipements

Lie l’élément à un modèle d’équipement. Cliquez sur le bouton ... pour ouvrir la boîte de sélection d’un groupe d’équipements.
L'affichage du groupe d’équipements sélectionné inclut également les niveaux supérieurs à ce groupe. Les niveaux sont séparés par un point dans l’affichage.

Dans le cas d’une sélection multiple, les groupes d’équipements individuels sont séparés par un point-virgule (;).

Plus de détails dans l’aide en ligne.


CLoadSheddingVerbraucher

Manuel -> Interfaces de programmation -> Modèles d'objet -> RtFunction -> RtFunction-Dynamic properties -> CLoadSheddingVerbraucher

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | VBA/VSTA Name | Display Name | Description
ZT_VARIABLE | ConsumerVar | ConsumerVar | Description as text.
ZT_VARIABLE | ValueVar | ValueVar | Description as text.
ZT_VARIABLE | IBitVar | IBitVar | Description as text.


Shedding load topology

Manuel -> Interfaces de programmation -> Modèles d'objet -> RtFunction -> RtFunction-Dynamic properties -> Shedding load topology

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Type

VBA/VSTA Name

Display Name

Description

More...

SourceVar

SourceVar

Description as text.

More...

Consumer

Consumer

Description as text.

VT_BSTR

Name

Nom

Description unique de la fonction.
La description est diffusée lorsqu’une nouvelle fonction est créée par le système, mais peut être ultérieurement modifiée si la nouvelle description n’est pas déjà utilisée pour une autre fonction.

Maximum : 128 caractères

Par défaut : Fonction_x (où x est un numéro consécutif).

Attention : Cette propriété n’est pas disponible aux fins de la commutation de langue.

Plus de détails dans l’aide en ligne.

ZT_FKTPARAM

Parameters

Paramètre

Paramètres de transfert de la fonction ; les paramètres dépendent du type de fonction.
Cliquez sur le bouton ... pour ouvrir une boîte de dialogue de configuration de la fonction.
La boîte de dialogue de configuration des paramètres s’ouvre, selon le type de fonction sélectionné.

Plus de détails dans l’aide en ligne .

VT_BOOL

IsActual

Ordinateur actuel

Disponible uniquement dans les projets en réseau :
La fonction est exécutée sur l’ordinateur sur lequel elle a été exécutée.

Plus de détails dans l’aide en ligne.

VT_BOOL

IsClient

Client

Disponible seulement pour les projets réseau :
La fonction est exécutée sur tous les clients du projet.

Plus de détails dans l’aide en ligne.

VT_BOOL

IsServer

Serveur principal

Disponible uniquement dans les projets en réseau :
la fonction est propagée à tous les clients du projet.

Plus de détails dans l’aide en ligne.

VT_BOOL

IsStandBy

Serveur redondant

Disponible seulement pour les projets en réseau :
La fonction est exécutée sur le serveur redondant du projet.

Plus de détails dans l’aide en ligne.

VT_BOOL

IsUrlStartWeb

URL fonction de démarrage pour le web

URL d’exécution de fonction pour le Web :

  • Active : La fonction peut être exécutée au moyen d’une extension d’URL dans HTML Web Client au démarrage de la session.
  • Inactive : La fonction ne peut pas être exécutée au moyen d’une extension d’URL dans HTML Web Client au démarrage de la session.

Par défaut : Inactive

Plus de détails dans l’aide en ligne.

VT_UI4

ID

ID

Internal unique ID of the function.

VT_UI4

Type

Type

With this property you have the opportunity to get/set the source bit in the status routing list.

ZT_AKZ

SystemModelGroup

Groupes d'équipements

Lie l’élément à un modèle d’équipement. Cliquez sur le bouton ... pour ouvrir la boîte de sélection d’un groupe d’équipements.
L'affichage du groupe d’équipements sélectionné inclut également les niveaux supérieurs à ce groupe. Les niveaux sont séparés par un point dans l’affichage.

Dans le cas d’une sélection multiple, les groupes d’équipements individuels sont séparés par un point-virgule (;).

Plus de détails dans l’aide en ligne.


Unit switch

Manuel -> Interfaces de programmation -> Modèles d'objet -> RtFunction -> RtFunction-Dynamic properties -> Unit switch

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Type

VBA/VSTA Name

Display Name

Description

VT_BSTR

PrimaryUnits

PrimaryUnits

VT_BSTR

ActiveSecondaryUnits

ActiveSecondaryUnits

VT_BSTR

Name

Nom

Description unique de la fonction.
La description est diffusée lorsqu’une nouvelle fonction est créée par le système, mais peut être ultérieurement modifiée si la nouvelle description n’est pas déjà utilisée pour une autre fonction.

Maximum : 128 caractères

Par défaut : Fonction_x (où x est un numéro consécutif).

Attention : Cette propriété n’est pas disponible aux fins de la commutation de langue.

Plus de détails dans l’aide en ligne.

ZT_FKTPARAM

Parameters

Paramètre

Paramètres de transfert de la fonction ; les paramètres dépendent du type de fonction.
Cliquez sur le bouton ... pour ouvrir une boîte de dialogue de configuration de la fonction.
La boîte de dialogue de configuration des paramètres s’ouvre, selon le type de fonction sélectionné.

Plus de détails dans l’aide en ligne .

VT_BOOL

IsActual

Ordinateur actuel

Disponible uniquement dans les projets en réseau :
La fonction est exécutée sur l’ordinateur sur lequel elle a été exécutée.

Plus de détails dans l’aide en ligne.

VT_BOOL

IsClient

Client

Disponible seulement pour les projets réseau :
La fonction est exécutée sur tous les clients du projet.

Plus de détails dans l’aide en ligne.

VT_BOOL

IsServer

Serveur principal

Disponible uniquement dans les projets en réseau :
la fonction est propagée à tous les clients du projet.

Plus de détails dans l’aide en ligne.

VT_BOOL

IsStandBy

Serveur redondant

Disponible seulement pour les projets en réseau :
La fonction est exécutée sur le serveur redondant du projet.

Plus de détails dans l’aide en ligne.

VT_BOOL

IsUrlStartWeb

URL fonction de démarrage pour le web

URL d’exécution de fonction pour le Web :

  • Active : La fonction peut être exécutée au moyen d’une extension d’URL dans HTML Web Client au démarrage de la session.
  • Inactive : La fonction ne peut pas être exécutée au moyen d’une extension d’URL dans HTML Web Client au démarrage de la session.

Par défaut : Inactive

Plus de détails dans l’aide en ligne.

VT_UI4

ID

ID

Internal unique ID of the function.

VT_UI4

Type

Type

With this property you have the opportunity to get/set the source bit in the status routing list.

ZT_AKZ

SystemModelGroup

Groupes d'équipements

Lie l’élément à un modèle d’équipement. Cliquez sur le bouton ... pour ouvrir la boîte de sélection d’un groupe d’équipements.
L'affichage du groupe d’équipements sélectionné inclut également les niveaux supérieurs à ce groupe. Les niveaux sont séparés par un point dans l’affichage.

Dans le cas d’une sélection multiple, les groupes d’équipements individuels sont séparés par un point-virgule (;).

Plus de détails dans l’aide en ligne.


CExportInitStrukt

Manuel -> Interfaces de programmation -> Modèles d'objet -> RtFunction -> RtFunction-Dynamic properties -> CExportInitStrukt

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | VBA/VSTA Name | Display Name | Description
VT_BOOL | IsUniText | IsUniText | "Exports the file in unicode characters if set TRUE. Hint: Only available for the ASCII export option specified by the ""Format"" DynProperty."
VT_I2 | Format | Format | Specifies the output format. 0 = dBase IV (*.DBF) 1 = XML (*.xml) 2 = ASCII (*.TXT)
VT_I2 | InitVal | InitVal | "For the HD values, a ring buffer is filled and stored. Active (TRUE): The ring buffer is initialised for the export Inactive (FALSE): The ring buffer is kept for the export"
VT_I2 | Type | Type |
VT_BSTR | AppName | AppName | Specifies the name of the project.
VT_BSTR | FileName | FileName | Specifies the name of the file that should be exported. ATTENTION: Only filnames with up to 8 characters are allowed.
More... | Vars | Vars | "Creates, accesses and modifies the variables which should be exported. Returns a ""Variable"" object. Hint: ""ExportStruct.Vars[-1]"" returns the amount of variables."


Export data function

Manuel -> Interfaces de programmation -> Modèles d'objet -> RtFunction -> RtFunction-Dynamic properties -> Export data function

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Type

VBA/VSTA Name

Display Name

Description

More...

ExportStruct

ExportStruct

Defines the export settings

VT_BSTR

Name

Nom

Description unique de la fonction.
La description est diffusée lorsqu’une nouvelle fonction est créée par le système, mais peut être ultérieurement modifiée si la nouvelle description n’est pas déjà utilisée pour une autre fonction.

Maximum : 128 caractères

Par défaut : Fonction_x (où x est un numéro consécutif).

Attention : Cette propriété n’est pas disponible aux fins de la commutation de langue.

Plus de détails dans l’aide en ligne.

ZT_FKTPARAM

Parameters

Paramètre

Paramètres de transfert de la fonction ; les paramètres dépendent du type de fonction.
Cliquez sur le bouton ... pour ouvrir une boîte de dialogue de configuration de la fonction.
La boîte de dialogue de configuration des paramètres s’ouvre, selon le type de fonction sélectionné.

Plus de détails dans l’aide en ligne .

VT_BOOL

IsActual

Ordinateur actuel

Disponible uniquement dans les projets en réseau :
La fonction est exécutée sur l’ordinateur sur lequel elle a été exécutée.

Plus de détails dans l’aide en ligne.

VT_BOOL

IsClient

Client

Disponible seulement pour les projets réseau :
La fonction est exécutée sur tous les clients du projet.

Plus de détails dans l’aide en ligne.

VT_BOOL

IsServer

Serveur principal

Disponible uniquement dans les projets en réseau :
la fonction est propagée à tous les clients du projet.

Plus de détails dans l’aide en ligne.

VT_BOOL

IsStandBy

Serveur redondant

Disponible seulement pour les projets en réseau :
La fonction est exécutée sur le serveur redondant du projet.

Plus de détails dans l’aide en ligne.

VT_BOOL

IsUrlStartWeb

URL fonction de démarrage pour le web

URL d’exécution de fonction pour le Web :

  • Active : La fonction peut être exécutée au moyen d’une extension d’URL dans HTML Web Client au démarrage de la session.
  • Inactive : La fonction ne peut pas être exécutée au moyen d’une extension d’URL dans HTML Web Client au démarrage de la session.

Par défaut : Inactive

Plus de détails dans l’aide en ligne.

VT_UI4

ID

ID

Internal unique ID of the function.

VT_UI4

Type

Type

With this property you have the opportunity to get/set the source bit in the status routing list.

ZT_AKZ

SystemModelGroup

Groupes d'équipements

Lie l’élément à un modèle d’équipement. Cliquez sur le bouton ... pour ouvrir la boîte de sélection d’un groupe d’équipements.
L'affichage du groupe d’équipements sélectionné inclut également les niveaux supérieurs à ce groupe. Les niveaux sont séparés par un point dans l’affichage.

Dans le cas d’une sélection multiple, les groupes d’équipements individuels sont séparés par un point-virgule (;).

Plus de détails dans l’aide en ligne.


Read dBase file

Manuel -> Interfaces de programmation -> Modèles d'objet -> RtFunction -> RtFunction-Dynamic properties -> Read dBase file

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Type

VBA/VSTA Name

Display Name

Description

VT_BSTR

FileName

FileName

Gets or sets the path of the database file that should be read.

VT_BSTR

Name

Nom

Description unique de la fonction.
La description est diffusée lorsqu’une nouvelle fonction est créée par le système, mais peut être ultérieurement modifiée si la nouvelle description n’est pas déjà utilisée pour une autre fonction.

Maximum : 128 caractères

Par défaut : Fonction_x (où x est un numéro consécutif).

Attention : Cette propriété n’est pas disponible aux fins de la commutation de langue.

Plus de détails dans l’aide en ligne.

ZT_FKTPARAM

Parameters

Paramètre

Paramètres de transfert de la fonction ; les paramètres dépendent du type de fonction.
Cliquez sur le bouton ... pour ouvrir une boîte de dialogue de configuration de la fonction.
La boîte de dialogue de configuration des paramètres s’ouvre, selon le type de fonction sélectionné.

Plus de détails dans l’aide en ligne .

VT_BOOL

IsActual

Ordinateur actuel

Disponible uniquement dans les projets en réseau :
La fonction est exécutée sur l’ordinateur sur lequel elle a été exécutée.

Plus de détails dans l’aide en ligne.

VT_BOOL

IsClient

Client

Disponible seulement pour les projets réseau :
La fonction est exécutée sur tous les clients du projet.

Plus de détails dans l’aide en ligne.

VT_BOOL

IsServer

Serveur principal

Disponible uniquement dans les projets en réseau :
la fonction est propagée à tous les clients du projet.

Plus de détails dans l’aide en ligne.

VT_BOOL

IsStandBy

Serveur redondant

Disponible seulement pour les projets en réseau :
La fonction est exécutée sur le serveur redondant du projet.

Plus de détails dans l’aide en ligne.

VT_BOOL

IsUrlStartWeb

URL fonction de démarrage pour le web

URL d’exécution de fonction pour le Web :

  • Active : La fonction peut être exécutée au moyen d’une extension d’URL dans HTML Web Client au démarrage de la session.
  • Inactive : La fonction ne peut pas être exécutée au moyen d’une extension d’URL dans HTML Web Client au démarrage de la session.

Par défaut : Inactive

Plus de détails dans l’aide en ligne.

VT_UI4

ID

ID

Internal unique ID of the function.

VT_UI4

Type

Type

With this property you have the opportunity to get/set the source bit in the status routing list.

ZT_AKZ

SystemModelGroup

Groupes d'équipements

Lie l’élément à un modèle d’équipement. Cliquez sur le bouton ... pour ouvrir la boîte de sélection d’un groupe d’équipements.
L'affichage du groupe d’équipements sélectionné inclut également les niveaux supérieurs à ce groupe. Les niveaux sont séparés par un point dans l’affichage.

Dans le cas d’une sélection multiple, les groupes d’équipements individuels sont séparés par un point-virgule (;).

Plus de détails dans l’aide en ligne.


CFormatInfo

Manuel -> Interfaces de programmation -> Modèles d'objet -> RtFunction -> RtFunction-Dynamic properties -> CFormatInfo

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | VBA/VSTA Name | Display Name | Description
VT_BSTR | FormatFile | FormatFile | Defines the path and name of the format file for the print.
VT_UI4 | Font | Font | "Defines the font that is utilized for the print. The parameter that is passed, is the index of the font within the specified font list. 0 = Standard font 1 = Default font 1 5 = Default font 5 6 = User defined font 1 "
VT_BOOL | IsCancel | IsCancel | "Displays the cancel dialog, if set true. Otherwise the dialog is hidden and the print can't be stopped by means of the program."


Print actual values function

Manuel -> Interfaces de programmation -> Modèles d'objet -> RtFunction -> RtFunction-Dynamic properties -> Print actual values function

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Type

VBA/VSTA Name

Display Name

Description

More...

FormatInfo

FormatInfo

Defines the parameters for the print

VT_BSTR

Name

Nom

Description unique de la fonction.
La description est diffusée lorsqu’une nouvelle fonction est créée par le système, mais peut être ultérieurement modifiée si la nouvelle description n’est pas déjà utilisée pour une autre fonction.

Maximum : 128 caractères

Par défaut : Fonction_x (où x est un numéro consécutif).

Attention : Cette propriété n’est pas disponible aux fins de la commutation de langue.

Plus de détails dans l’aide en ligne.

ZT_FKTPARAM

Parameters

Paramètre

Paramètres de transfert de la fonction ; les paramètres dépendent du type de fonction.
Cliquez sur le bouton ... pour ouvrir une boîte de dialogue de configuration de la fonction.
La boîte de dialogue de configuration des paramètres s’ouvre, selon le type de fonction sélectionné.

Plus de détails dans l’aide en ligne .

VT_BOOL

IsActual

Ordinateur actuel

Disponible uniquement dans les projets en réseau :
La fonction est exécutée sur l’ordinateur sur lequel elle a été exécutée.

Plus de détails dans l’aide en ligne.

VT_BOOL

IsClient

Client

Disponible seulement pour les projets réseau :
La fonction est exécutée sur tous les clients du projet.

Plus de détails dans l’aide en ligne.

VT_BOOL

IsServer

Serveur principal

Disponible uniquement dans les projets en réseau :
la fonction est propagée à tous les clients du projet.

Plus de détails dans l’aide en ligne.

VT_BOOL

IsStandBy

Serveur redondant

Disponible seulement pour les projets en réseau :
La fonction est exécutée sur le serveur redondant du projet.

Plus de détails dans l’aide en ligne.

VT_BOOL

IsUrlStartWeb

URL fonction de démarrage pour le web

URL d’exécution de fonction pour le Web :

  • Active : La fonction peut être exécutée au moyen d’une extension d’URL dans HTML Web Client au démarrage de la session.
  • Inactive : La fonction ne peut pas être exécutée au moyen d’une extension d’URL dans HTML Web Client au démarrage de la session.

Par défaut : Inactive

Plus de détails dans l’aide en ligne.

VT_UI4

ID

ID

Internal unique ID of the function.

VT_UI4

Type

Type

With this property you have the opportunity to get/set the source bit in the status routing list.

ZT_AKZ

SystemModelGroup

Groupes d'équipements

Lie l’élément à un modèle d’équipement. Cliquez sur le bouton ... pour ouvrir la boîte de sélection d’un groupe d’équipements.
L'affichage du groupe d’équipements sélectionné inclut également les niveaux supérieurs à ce groupe. Les niveaux sont séparés par un point dans l’affichage.

Dans le cas d’une sélection multiple, les groupes d’équipements individuels sont séparés par un point-virgule (;).

Plus de détails dans l’aide en ligne.


CFktSwNeu

Manuel -> Interfaces de programmation -> Modèles d'objet -> RtFunction -> RtFunction-Dynamic properties -> CFktSwNeu

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | VBA/VSTA Name | Display Name | Description
VT_R8 | NumValue | NumValue | Value of numerical variables which will be issued. ATTENTION: For boolean variables only following values can be set ... 0 = LOW (0) 1 = HIGH (0) 2 = TOGGLE (Value of variable is switched to complementary status)
VT_BSTR | StrValue | StrValue | Value of alphanumerical variables which will be issued.
VT_R8 | Minimum | Minimum | "Specifies the minimum limit of the value. Hint: Only available, if DynProperty ""IsVarLimit"" is set to FALSE."
VT_R8 | Maximum | Maximum | "Specifies the maximum limit of the value. Hint: Only available, if DynProperty ""IsVarLimit"" is set to FALSE."
VT_UI2 | Command | Command |
VT_BOOL | IsDirect | IsDirect | "Active (TRUE): After activating the function, the value is directly sent to the hardware, not asking for a further confirmation. Inactive (FALSE): Before sending the value to the hardware, the set value dialog is opened and the user can change the settings within the Runtime."
VT_BOOL | IsVarLimit | IsVarLimit | "If this property is TRUE, the set value limits are taken from the variable definition. Otherwise (FALSE), the value limits can be defined directly by means of the DynProperties ""Minimum"" and ""Maximum""."
VT_BOOL | IsCurValue | IsCurValue | "Active (TRUE): The value is read from the hardware and then is proposed as a default or directly sent to the hardware. Additionally for numerical variables, the DynProperty ""NumValue"" becomes a new function, as the value entered there is added to the default (subtracted if negative value). Inactive (FALSE): The value defined under DynProperty ""NumValue"" is proposed as a default or directly sent to the hardware."
VT_UI1 | Setting | Setting | "Send value with (in online operation): 0 = Standard dialog box of the control system 1 = External program provided by the user Hint: This property is only available, if DynProperty ""IsDirect"" is set to FALSE."
ZT_VARIABLE | Variable | Variable | "Gets or sets the ""Variable"" object which should be (or is already) linked to the function."
VT_BSTR | PrgName | PrgName | "Specifies the path and the name of the program (plus its file extension) which should be executed, if option 1 within DynProperty ""Setting"" is set."
VT_BOOL | IsWriteSync | IsWriteSync | "Active (TRUE): Executing the function is not finished, before a positive confirmation of the writing action is received or the fixly defined timeout of 30 seconds is over. In scripts this can make sure, that the following function is not started, before this one is finished. The confirmation can also be evaluated with the status bit WR-SUC . Inactive (FALSE): Do not wait for the writing confirmation. "


Send value to hardware

Manuel -> Interfaces de programmation -> Modèles d'objet -> RtFunction -> RtFunction-Dynamic properties -> Send value to hardware

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Type

VBA/VSTA Name

Display Name

Description

More...

SetValue

SetValue

VT_BSTR

Name

Nom

Description unique de la fonction.
La description est diffusée lorsqu’une nouvelle fonction est créée par le système, mais peut être ultérieurement modifiée si la nouvelle description n’est pas déjà utilisée pour une autre fonction.

Maximum : 128 caractères

Par défaut : Fonction_x (où x est un numéro consécutif).

Attention : Cette propriété n’est pas disponible aux fins de la commutation de langue.

Plus de détails dans l’aide en ligne.

ZT_FKTPARAM

Parameters

Paramètre

Paramètres de transfert de la fonction ; les paramètres dépendent du type de fonction.
Cliquez sur le bouton ... pour ouvrir une boîte de dialogue de configuration de la fonction.
La boîte de dialogue de configuration des paramètres s’ouvre, selon le type de fonction sélectionné.

Plus de détails dans l’aide en ligne .

VT_BOOL

IsActual

Ordinateur actuel

Disponible uniquement dans les projets en réseau :
La fonction est exécutée sur l’ordinateur sur lequel elle a été exécutée.

Plus de détails dans l’aide en ligne.

VT_BOOL

IsClient

Client

Disponible seulement pour les projets réseau :
La fonction est exécutée sur tous les clients du projet.

Plus de détails dans l’aide en ligne.

VT_BOOL

IsServer

Serveur principal

Disponible uniquement dans les projets en réseau :
la fonction est propagée à tous les clients du projet.

Plus de détails dans l’aide en ligne.

VT_BOOL

IsStandBy

Serveur redondant

Disponible seulement pour les projets en réseau :
La fonction est exécutée sur le serveur redondant du projet.

Plus de détails dans l’aide en ligne.

VT_BOOL

IsUrlStartWeb

URL fonction de démarrage pour le web

URL d’exécution de fonction pour le Web :

  • Active : La fonction peut être exécutée au moyen d’une extension d’URL dans HTML Web Client au démarrage de la session.
  • Inactive : La fonction ne peut pas être exécutée au moyen d’une extension d’URL dans HTML Web Client au démarrage de la session.

Par défaut : Inactive

Plus de détails dans l’aide en ligne.

VT_UI4

ID

ID

Internal unique ID of the function.

VT_UI4

Type

Type

With this property you have the opportunity to get/set the source bit in the status routing list.

ZT_AKZ

SystemModelGroup

Groupes d'équipements

Lie l’élément à un modèle d’équipement. Cliquez sur le bouton ... pour ouvrir la boîte de sélection d’un groupe d’équipements.
L'affichage du groupe d’équipements sélectionné inclut également les niveaux supérieurs à ce groupe. Les niveaux sont séparés par un point dans l’affichage.

Dans le cas d’une sélection multiple, les groupes d’équipements individuels sont séparés par un point-virgule (;).

Plus de détails dans l’aide en ligne.


CTreiberCommand

Manuel -> Interfaces de programmation -> Modèles d'objet -> RtFunction -> RtFunction-Dynamic properties -> CTreiberCommand

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | VBA/VSTA Name | Display Name | Description
VT_BOOL | IsFilterRT | IsFilterRT |
VT_UI4 | DrvIndex | DrvIndex |
VT_UI2 | Command | Command |
VT_BSTR | UsrCommand | UsrCommand |
VT_BSTR | ResString | ResString |


Driver commands

Manuel -> Interfaces de programmation -> Modèles d'objet -> RtFunction -> RtFunction-Dynamic properties -> Driver commands

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Type

VBA/VSTA Name

Display Name

Description

More...

Command

Command

VT_BSTR

Name

Nom

Description unique de la fonction.
La description est diffusée lorsqu’une nouvelle fonction est créée par le système, mais peut être ultérieurement modifiée si la nouvelle description n’est pas déjà utilisée pour une autre fonction.

Maximum : 128 caractères

Par défaut : Fonction_x (où x est un numéro consécutif).

Attention : Cette propriété n’est pas disponible aux fins de la commutation de langue.

Plus de détails dans l’aide en ligne.

ZT_FKTPARAM

Parameters

Paramètre

Paramètres de transfert de la fonction ; les paramètres dépendent du type de fonction.
Cliquez sur le bouton ... pour ouvrir une boîte de dialogue de configuration de la fonction.
La boîte de dialogue de configuration des paramètres s’ouvre, selon le type de fonction sélectionné.

Plus de détails dans l’aide en ligne .

VT_BOOL

IsActual

Ordinateur actuel

Disponible uniquement dans les projets en réseau :
La fonction est exécutée sur l’ordinateur sur lequel elle a été exécutée.

Plus de détails dans l’aide en ligne.

VT_BOOL

IsClient

Client

Disponible seulement pour les projets réseau :
La fonction est exécutée sur tous les clients du projet.

Plus de détails dans l’aide en ligne.

VT_BOOL

IsServer

Serveur principal

Disponible uniquement dans les projets en réseau :
la fonction est propagée à tous les clients du projet.

Plus de détails dans l’aide en ligne.

VT_BOOL

IsStandBy

Serveur redondant

Disponible seulement pour les projets en réseau :
La fonction est exécutée sur le serveur redondant du projet.

Plus de détails dans l’aide en ligne.

VT_BOOL

IsUrlStartWeb

URL fonction de démarrage pour le web

URL d’exécution de fonction pour le Web :

  • Active : La fonction peut être exécutée au moyen d’une extension d’URL dans HTML Web Client au démarrage de la session.
  • Inactive : La fonction ne peut pas être exécutée au moyen d’une extension d’URL dans HTML Web Client au démarrage de la session.

Par défaut : Inactive

Plus de détails dans l’aide en ligne.

VT_UI4

ID

ID

Internal unique ID of the function.

VT_UI4

Type

Type

With this property you have the opportunity to get/set the source bit in the status routing list.

ZT_AKZ

SystemModelGroup

Groupes d'équipements

Lie l’élément à un modèle d’équipement. Cliquez sur le bouton ... pour ouvrir la boîte de sélection d’un groupe d’équipements.
L'affichage du groupe d’équipements sélectionné inclut également les niveaux supérieurs à ce groupe. Les niveaux sont séparés par un point dans l’affichage.

Dans le cas d’une sélection multiple, les groupes d’équipements individuels sont séparés par un point-virgule (;).

Plus de détails dans l’aide en ligne.


CUhrzeit

Manuel -> Interfaces de programmation -> Modèles d'objet -> RtFunction -> RtFunction-Dynamic properties -> CUhrzeit

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | VBA/VSTA Name | Display Name | Description
ZT_VARIABLE | Variable | Variable |


Read Write time variable

Manuel -> Interfaces de programmation -> Modèles d'objet -> RtFunction -> RtFunction-Dynamic properties -> Read Write time variable

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Type

VBA/VSTA Name

Display Name

Description

More...

Time

Time

VT_BSTR

Name

Nom

Description unique de la fonction.
La description est diffusée lorsqu’une nouvelle fonction est créée par le système, mais peut être ultérieurement modifiée si la nouvelle description n’est pas déjà utilisée pour une autre fonction.

Maximum : 128 caractères

Par défaut : Fonction_x (où x est un numéro consécutif).

Attention : Cette propriété n’est pas disponible aux fins de la commutation de langue.

Plus de détails dans l’aide en ligne.

ZT_FKTPARAM

Parameters

Paramètre

Paramètres de transfert de la fonction ; les paramètres dépendent du type de fonction.
Cliquez sur le bouton ... pour ouvrir une boîte de dialogue de configuration de la fonction.
La boîte de dialogue de configuration des paramètres s’ouvre, selon le type de fonction sélectionné.

Plus de détails dans l’aide en ligne .

VT_BOOL

IsActual

Ordinateur actuel

Disponible uniquement dans les projets en réseau :
La fonction est exécutée sur l’ordinateur sur lequel elle a été exécutée.

Plus de détails dans l’aide en ligne.

VT_BOOL

IsClient

Client

Disponible seulement pour les projets réseau :
La fonction est exécutée sur tous les clients du projet.

Plus de détails dans l’aide en ligne.

VT_BOOL

IsServer

Serveur principal

Disponible uniquement dans les projets en réseau :
la fonction est propagée à tous les clients du projet.

Plus de détails dans l’aide en ligne.

VT_BOOL

IsStandBy

Serveur redondant

Disponible seulement pour les projets en réseau :
La fonction est exécutée sur le serveur redondant du projet.

Plus de détails dans l’aide en ligne.

VT_BOOL

IsUrlStartWeb

URL fonction de démarrage pour le web

URL d’exécution de fonction pour le Web :

  • Active : La fonction peut être exécutée au moyen d’une extension d’URL dans HTML Web Client au démarrage de la session.
  • Inactive : La fonction ne peut pas être exécutée au moyen d’une extension d’URL dans HTML Web Client au démarrage de la session.

Par défaut : Inactive

Plus de détails dans l’aide en ligne.

VT_UI4

ID

ID

Internal unique ID of the function.

VT_UI4

Type

Type

With this property you have the opportunity to get/set the source bit in the status routing list.

ZT_AKZ

SystemModelGroup

Groupes d'équipements

Lie l’élément à un modèle d’équipement. Cliquez sur le bouton ... pour ouvrir la boîte de sélection d’un groupe d’équipements.
L'affichage du groupe d’équipements sélectionné inclut également les niveaux supérieurs à ce groupe. Les niveaux sont séparés par un point dans l’affichage.

Dans le cas d’une sélection multiple, les groupes d’équipements individuels sont séparés par un point-virgule (;).

Plus de détails dans l’aide en ligne.


CD_CVbaMacroFilter

Manuel -> Interfaces de programmation -> Modèles d'objet -> RtFunction -> RtFunction-Dynamic properties -> CD_CVbaMacroFilter

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | VBA/VSTA Name | Display Name | Description
VT_BSTR | MacroName | MacroName | Specifies the name of the macro that should be executed.
VT_BOOL | IsBreakOnError | IsBreakOnError |
VT_UI2 | Info | Info |
VT_BSTR | ProjectName | ProjectName |
More... | Parameters | Parameters |


VBA execute macro

Manuel -> Interfaces de programmation -> Modèles d'objet -> RtFunction -> RtFunction-Dynamic properties -> VBA execute macro

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Type

VBA/VSTA Name

Display Name

Description

More...

Filter

Filter

VT_BSTR

Name

Nom

Description unique de la fonction.
La description est diffusée lorsqu’une nouvelle fonction est créée par le système, mais peut être ultérieurement modifiée si la nouvelle description n’est pas déjà utilisée pour une autre fonction.

Maximum : 128 caractères

Par défaut : Fonction_x (où x est un numéro consécutif).

Attention : Cette propriété n’est pas disponible aux fins de la commutation de langue.

Plus de détails dans l’aide en ligne.

ZT_FKTPARAM

Parameters

Paramètre

Paramètres de transfert de la fonction ; les paramètres dépendent du type de fonction.
Cliquez sur le bouton ... pour ouvrir une boîte de dialogue de configuration de la fonction.
La boîte de dialogue de configuration des paramètres s’ouvre, selon le type de fonction sélectionné.

Plus de détails dans l’aide en ligne .

VT_BOOL

IsActual

Ordinateur actuel

Disponible uniquement dans les projets en réseau :
La fonction est exécutée sur l’ordinateur sur lequel elle a été exécutée.

Plus de détails dans l’aide en ligne.

VT_BOOL

IsClient

Client

Disponible seulement pour les projets réseau :
La fonction est exécutée sur tous les clients du projet.

Plus de détails dans l’aide en ligne.

VT_BOOL

IsServer

Serveur principal

Disponible uniquement dans les projets en réseau :
la fonction est propagée à tous les clients du projet.

Plus de détails dans l’aide en ligne.

VT_BOOL

IsStandBy

Serveur redondant

Disponible seulement pour les projets en réseau :
La fonction est exécutée sur le serveur redondant du projet.

Plus de détails dans l’aide en ligne.

VT_BOOL

IsUrlStartWeb

URL fonction de démarrage pour le web

URL d’exécution de fonction pour le Web :

  • Active : La fonction peut être exécutée au moyen d’une extension d’URL dans HTML Web Client au démarrage de la session.
  • Inactive : La fonction ne peut pas être exécutée au moyen d’une extension d’URL dans HTML Web Client au démarrage de la session.

Par défaut : Inactive

Plus de détails dans l’aide en ligne.

VT_UI4

ID

ID

Internal unique ID of the function.

VT_UI4

Type

Type

With this property you have the opportunity to get/set the source bit in the status routing list.

ZT_AKZ

SystemModelGroup

Groupes d'équipements

Lie l’élément à un modèle d’équipement. Cliquez sur le bouton ... pour ouvrir la boîte de sélection d’un groupe d’équipements.
L'affichage du groupe d’équipements sélectionné inclut également les niveaux supérieurs à ce groupe. Les niveaux sont séparés par un point dans l’affichage.

Dans le cas d’une sélection multiple, les groupes d’équipements individuels sont séparés par un point-virgule (;).

Plus de détails dans l’aide en ligne.


VSTA execute macro

Manuel -> Interfaces de programmation -> Modèles d'objet -> RtFunction -> RtFunction-Dynamic properties -> VSTA execute macro

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Type

VBA/VSTA Name

Display Name

Description

VT_BSTR

MacroName

MacroName

VT_BSTR

Name

Nom

Description unique de la fonction.
La description est diffusée lorsqu’une nouvelle fonction est créée par le système, mais peut être ultérieurement modifiée si la nouvelle description n’est pas déjà utilisée pour une autre fonction.

Maximum : 128 caractères

Par défaut : Fonction_x (où x est un numéro consécutif).

Attention : Cette propriété n’est pas disponible aux fins de la commutation de langue.

Plus de détails dans l’aide en ligne.

ZT_FKTPARAM

Parameters

Paramètre

Paramètres de transfert de la fonction ; les paramètres dépendent du type de fonction.
Cliquez sur le bouton ... pour ouvrir une boîte de dialogue de configuration de la fonction.
La boîte de dialogue de configuration des paramètres s’ouvre, selon le type de fonction sélectionné.

Plus de détails dans l’aide en ligne .

VT_BOOL

IsActual

Ordinateur actuel

Disponible uniquement dans les projets en réseau :
La fonction est exécutée sur l’ordinateur sur lequel elle a été exécutée.

Plus de détails dans l’aide en ligne.

VT_BOOL

IsClient

Client

Disponible seulement pour les projets réseau :
La fonction est exécutée sur tous les clients du projet.

Plus de détails dans l’aide en ligne.

VT_BOOL

IsServer

Serveur principal

Disponible uniquement dans les projets en réseau :
la fonction est propagée à tous les clients du projet.

Plus de détails dans l’aide en ligne.

VT_BOOL

IsStandBy

Serveur redondant

Disponible seulement pour les projets en réseau :
La fonction est exécutée sur le serveur redondant du projet.

Plus de détails dans l’aide en ligne.

VT_BOOL

IsUrlStartWeb

URL fonction de démarrage pour le web

URL d’exécution de fonction pour le Web :

  • Active : La fonction peut être exécutée au moyen d’une extension d’URL dans HTML Web Client au démarrage de la session.
  • Inactive : La fonction ne peut pas être exécutée au moyen d’une extension d’URL dans HTML Web Client au démarrage de la session.

Par défaut : Inactive

Plus de détails dans l’aide en ligne.

VT_UI4

ID

ID

Internal unique ID of the function.

VT_UI4

Type

Type

With this property you have the opportunity to get/set the source bit in the status routing list.

ZT_AKZ

SystemModelGroup

Groupes d'équipements

Lie l’élément à un modèle d’équipement. Cliquez sur le bouton ... pour ouvrir la boîte de sélection d’un groupe d’équipements.
L'affichage du groupe d’équipements sélectionné inclut également les niveaux supérieurs à ce groupe. Les niveaux sont séparés par un point dans l’affichage.

Dans le cas d’une sélection multiple, les groupes d’équipements individuels sont séparés par un point-virgule (;).

Plus de détails dans l’aide en ligne.


Play sound file

Manuel -> Interfaces de programmation -> Modèles d'objet -> RtFunction -> RtFunction-Dynamic properties -> Play sound file

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Type

VBA/VSTA Name

Display Name

Description

VT_BSTR

FileName

FileName

"Gets or sets the path of the program that should be executed.
Hint: Addtitional parameters can be passed with the ""FilePar"" DynProperty."

VT_BSTR

FilePar

FilePar

"Gets or sets the parameters for the program that is executed (specified by the ""FileName"" DynProperty)."

VT_BOOL

IsDialogRT

IsDialogRT

"Displays the program and parameter selection dialog within the runtime, if set TRUE."

VT_BSTR

Name

Nom

Description unique de la fonction.
La description est diffusée lorsqu’une nouvelle fonction est créée par le système, mais peut être ultérieurement modifiée si la nouvelle description n’est pas déjà utilisée pour une autre fonction.

Maximum : 128 caractères

Par défaut : Fonction_x (où x est un numéro consécutif).

Attention : Cette propriété n’est pas disponible aux fins de la commutation de langue.

Plus de détails dans l’aide en ligne.

ZT_FKTPARAM

Parameters

Paramètre

Paramètres de transfert de la fonction ; les paramètres dépendent du type de fonction.
Cliquez sur le bouton ... pour ouvrir une boîte de dialogue de configuration de la fonction.
La boîte de dialogue de configuration des paramètres s’ouvre, selon le type de fonction sélectionné.

Plus de détails dans l’aide en ligne .

VT_BOOL

IsActual

Ordinateur actuel

Disponible uniquement dans les projets en réseau :
La fonction est exécutée sur l’ordinateur sur lequel elle a été exécutée.

Plus de détails dans l’aide en ligne.

VT_BOOL

IsClient

Client

Disponible seulement pour les projets réseau :
La fonction est exécutée sur tous les clients du projet.

Plus de détails dans l’aide en ligne.

VT_BOOL

IsServer

Serveur principal

Disponible uniquement dans les projets en réseau :
la fonction est propagée à tous les clients du projet.

Plus de détails dans l’aide en ligne.

VT_BOOL

IsStandBy

Serveur redondant

Disponible seulement pour les projets en réseau :
La fonction est exécutée sur le serveur redondant du projet.

Plus de détails dans l’aide en ligne.

VT_BOOL

IsUrlStartWeb

URL fonction de démarrage pour le web

URL d’exécution de fonction pour le Web :

  • Active : La fonction peut être exécutée au moyen d’une extension d’URL dans HTML Web Client au démarrage de la session.
  • Inactive : La fonction ne peut pas être exécutée au moyen d’une extension d’URL dans HTML Web Client au démarrage de la session.

Par défaut : Inactive

Plus de détails dans l’aide en ligne.

VT_UI4

ID

ID

Internal unique ID of the function.

VT_UI4

Type

Type

With this property you have the opportunity to get/set the source bit in the status routing list.

ZT_AKZ

SystemModelGroup

Groupes d'équipements

Lie l’élément à un modèle d’équipement. Cliquez sur le bouton ... pour ouvrir la boîte de sélection d’un groupe d’équipements.
L'affichage du groupe d’équipements sélectionné inclut également les niveaux supérieurs à ce groupe. Les niveaux sont séparés par un point dans l’affichage.

Dans le cas d’une sélection multiple, les groupes d’équipements individuels sont séparés par un point-virgule (;).

Plus de détails dans l’aide en ligne.


CDateiOperationParameter

Manuel -> Interfaces de programmation -> Modèles d'objet -> RtFunction -> RtFunction-Dynamic properties -> CDateiOperationParameter

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | VBA/VSTA Name | Display Name | Description
VT_UI2 | Modus | Modus | sets the mode for the file-operation function 0 = Copy 1 = Move 2 = Delete
VT_I2 | Days | Days | "Sets the number of ""not older than""-days x for the time-filter of the file operation function."
VT_I2 | Hours | Hours | "Sets the number of ""not older than""-hours x for the time-filter of the file operation function."
VT_BOOL | IsYounger | IsYounger | "sets the ""not older than"" option for the time filter at the file operation function active (TRUE) or not (False)"
VT_BOOL | IsOverwrite | IsOverwrite | should files be overwritten at the file-operation function (move and copy mode) (TRUE) or not (FALSE). Read-only files are not overwritten regardless of this checkbox.
VT_BOOL | IsErrorMsg | IsErrorMsg | should an error message be displayed in the runtime if the file-operation function could not be executed successfully (TRUE) or not (FALSE)
VT_BOOL | IsTimeCond | IsTimeCond | should the file-operation function be executed regardless of the filedate (FALSE) or consider the filedate set at the time-filter (TRUE)
VT_BOOL | IsFilterRT | IsFilterRT | should the dialog for the file operation function be displayed in the runtime prior to execution (TRUE) or not (FALSE)
VT_BSTR | Source | Source | "sets the source path and / or filename for the file-operation function. Depending on the ""Parameter.Modus"", either: an absolute path (Modus=0, e.g. ""c:\hugo.txt"") or a relative path / filename (Modus=1 / Modus = 2, e.g. ""\hugo.txt"") should be used"
VT_BSTR | Destination | Destination | "sets the destination path and / or filename for the file-operation function. Depending on the ""Parameter.Modus"", either: an absolute path (Modus=0, e.g. ""c:\hugo.txt"") or a relative path / filename (Modus=1 / Modus = 2, e.g. ""\hugo.txt"") should be used"
VT_BOOL | Recursive | Recursive | should also subdirectories be taken in account at the file-operation function (TRUE) or not (FALSE)
VT_BOOL | IsOlder | IsOlder | "sets the ""not younger than"" option for the time filter at the file operation function active (TRUE) or not (False)"
VT_UI2 | SrcPathModus | SrcPathModus | sets the source-path mode for the file-operation function. 0 = absolute path 1 = relative path starting from the project runtime directory 2 = relative path starting from the project runtime data directory (directoryname equal to the PC name)
VT_UI2 | DstPathModus | DstPathModus | sets the destination-path mode for the file-operation function. 0 = absolute path 1 = relative path starting from the project runtime directory 2 = relative path starting from the project runtime data directory (directoryname equal to the PC name)
VT_I2 | OlderDays | OlderDays | "Sets the number of ""not younger than""-days x for the time-filter of the file operation function."
VT_I2 | OlderHours | OlderHours | "Sets the number of ""not younger than""-hours x for the time-filter of the file operation function."


File operations

Manuel -> Interfaces de programmation -> Modèles d'objet -> RtFunction -> RtFunction-Dynamic properties -> File operations

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Type

VBA/VSTA Name

Display Name

Description

More...

Parameter

Parameter

Specifies parameters for the file operations

VT_BSTR

Name

Nom

Description unique de la fonction.
La description est diffusée lorsqu’une nouvelle fonction est créée par le système, mais peut être ultérieurement modifiée si la nouvelle description n’est pas déjà utilisée pour une autre fonction.

Maximum : 128 caractères

Par défaut : Fonction_x (où x est un numéro consécutif).

Attention : Cette propriété n’est pas disponible aux fins de la commutation de langue.

Plus de détails dans l’aide en ligne.

ZT_FKTPARAM

Parameters

Paramètre

Paramètres de transfert de la fonction ; les paramètres dépendent du type de fonction.
Cliquez sur le bouton ... pour ouvrir une boîte de dialogue de configuration de la fonction.
La boîte de dialogue de configuration des paramètres s’ouvre, selon le type de fonction sélectionné.

Plus de détails dans l’aide en ligne .

VT_BOOL

IsActual

Ordinateur actuel

Disponible uniquement dans les projets en réseau :
La fonction est exécutée sur l’ordinateur sur lequel elle a été exécutée.

Plus de détails dans l’aide en ligne.

VT_BOOL

IsClient

Client

Disponible seulement pour les projets réseau :
La fonction est exécutée sur tous les clients du projet.

Plus de détails dans l’aide en ligne.

VT_BOOL

IsServer

Serveur principal

Disponible uniquement dans les projets en réseau :
la fonction est propagée à tous les clients du projet.

Plus de détails dans l’aide en ligne.

VT_BOOL

IsStandBy

Serveur redondant

Disponible seulement pour les projets en réseau :
La fonction est exécutée sur le serveur redondant du projet.

Plus de détails dans l’aide en ligne.

VT_BOOL

IsUrlStartWeb

URL fonction de démarrage pour le web

URL d’exécution de fonction pour le Web :

  • Active : La fonction peut être exécutée au moyen d’une extension d’URL dans HTML Web Client au démarrage de la session.
  • Inactive : La fonction ne peut pas être exécutée au moyen d’une extension d’URL dans HTML Web Client au démarrage de la session.

Par défaut : Inactive

Plus de détails dans l’aide en ligne.

VT_UI4

ID

ID

Internal unique ID of the function.

VT_UI4

Type

Type

With this property you have the opportunity to get/set the source bit in the status routing list.

ZT_AKZ

SystemModelGroup

Groupes d'équipements

Lie l’élément à un modèle d’équipement. Cliquez sur le bouton ... pour ouvrir la boîte de sélection d’un groupe d’équipements.
L'affichage du groupe d’équipements sélectionné inclut également les niveaux supérieurs à ce groupe. Les niveaux sont séparés par un point dans l’affichage.

Dans le cas d’une sélection multiple, les groupes d’équipements individuels sont séparés par un point-virgule (;).

Plus de détails dans l’aide en ligne.


CHardCopyPrintInfo

Manuel -> Interfaces de programmation -> Modèles d'objet -> RtFunction -> RtFunction-Dynamic properties -> CHardCopyPrintInfo

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | VBA/VSTA Name | Display Name | Description
VT_BSTR | Picture | Picture | "Specifies the template that is utilized for the hardcopy. Hint: This property is only considered, if the ""IsScreen"" DynProperty is set to FALSE."
VT_BOOL | IsScreen | IsScreen | "If set TRUE the whole screen will be incorporated for the hardcopy. Otherwise (FALSE) the template specified in the ""Picture"" DynProperty will be consulted for the hardcopy."
VT_BOOL | IsOffset | IsOffset | "If set TRUE, the hardcopy will be printed with a margin."
VT_BOOL | IsInvert | IsInvert | "If set TRUE, the hardcopy will be inverted."
VT_BOOL | IsFax | IsFax | "If set TRUE, the hardcopy will routed to a facsimile."
VT_I2 | Monitor | Monitor | "Monitor Id, only relevant if multi monitor solutions are used."


Print a hard copy function

Manuel -> Interfaces de programmation -> Modèles d'objet -> RtFunction -> RtFunction-Dynamic properties -> Print a hard copy function

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Type

VBA/VSTA Name

Display Name

Description

More...

Info

Info

Specifies parameters for the hardcopy

VT_BSTR

Name

Nom

Description unique de la fonction.
La description est diffusée lorsqu’une nouvelle fonction est créée par le système, mais peut être ultérieurement modifiée si la nouvelle description n’est pas déjà utilisée pour une autre fonction.

Maximum : 128 caractères

Par défaut : Fonction_x (où x est un numéro consécutif).

Attention : Cette propriété n’est pas disponible aux fins de la commutation de langue.

Plus de détails dans l’aide en ligne.

ZT_FKTPARAM

Parameters

Paramètre

Paramètres de transfert de la fonction ; les paramètres dépendent du type de fonction.
Cliquez sur le bouton ... pour ouvrir une boîte de dialogue de configuration de la fonction.
La boîte de dialogue de configuration des paramètres s’ouvre, selon le type de fonction sélectionné.

Plus de détails dans l’aide en ligne .

VT_BOOL

IsActual

Ordinateur actuel

Disponible uniquement dans les projets en réseau :
La fonction est exécutée sur l’ordinateur sur lequel elle a été exécutée.

Plus de détails dans l’aide en ligne.

VT_BOOL

IsClient

Client

Disponible seulement pour les projets réseau :
La fonction est exécutée sur tous les clients du projet.

Plus de détails dans l’aide en ligne.

VT_BOOL

IsServer

Serveur principal

Disponible uniquement dans les projets en réseau :
la fonction est propagée à tous les clients du projet.

Plus de détails dans l’aide en ligne.

VT_BOOL

IsStandBy

Serveur redondant

Disponible seulement pour les projets en réseau :
La fonction est exécutée sur le serveur redondant du projet.

Plus de détails dans l’aide en ligne.

VT_BOOL

IsUrlStartWeb

URL fonction de démarrage pour le web

URL d’exécution de fonction pour le Web :

  • Active : La fonction peut être exécutée au moyen d’une extension d’URL dans HTML Web Client au démarrage de la session.
  • Inactive : La fonction ne peut pas être exécutée au moyen d’une extension d’URL dans HTML Web Client au démarrage de la session.

Par défaut : Inactive

Plus de détails dans l’aide en ligne.

VT_UI4

ID

ID

Internal unique ID of the function.

VT_UI4

Type

Type

With this property you have the opportunity to get/set the source bit in the status routing list.

ZT_AKZ

SystemModelGroup

Groupes d'équipements

Lie l’élément à un modèle d’équipement. Cliquez sur le bouton ... pour ouvrir la boîte de sélection d’un groupe d’équipements.
L'affichage du groupe d’équipements sélectionné inclut également les niveaux supérieurs à ce groupe. Les niveaux sont séparés par un point dans l’affichage.

Dans le cas d’une sélection multiple, les groupes d’équipements individuels sont séparés par un point-virgule (;).

Plus de détails dans l’aide en ligne.


CLicenceInfoFunction

Manuel -> Interfaces de programmation -> Modèles d'objet -> RtFunction -> RtFunction-Dynamic properties -> CLicenceInfoFunction

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Type

VBA/VSTA Name

Display Name

Description

VT_BSTR

Name

Nom

Description unique de la fonction.
La description est diffusée lorsqu’une nouvelle fonction est créée par le système, mais peut être ultérieurement modifiée si la nouvelle description n’est pas déjà utilisée pour une autre fonction.

Maximum : 128 caractères

Par défaut : Fonction_x (où x est un numéro consécutif).

Attention : Cette propriété n’est pas disponible aux fins de la commutation de langue.

Plus de détails dans l’aide en ligne.

ZT_FKTPARAM

Parameters

Paramètre

Paramètres de transfert de la fonction ; les paramètres dépendent du type de fonction.
Cliquez sur le bouton ... pour ouvrir une boîte de dialogue de configuration de la fonction.
La boîte de dialogue de configuration des paramètres s’ouvre, selon le type de fonction sélectionné.

Plus de détails dans l’aide en ligne .

VT_BOOL

IsActual

Ordinateur actuel

Disponible uniquement dans les projets en réseau :
La fonction est exécutée sur l’ordinateur sur lequel elle a été exécutée.

Plus de détails dans l’aide en ligne.

VT_BOOL

IsClient

Client

Disponible seulement pour les projets réseau :
La fonction est exécutée sur tous les clients du projet.

Plus de détails dans l’aide en ligne.

VT_BOOL

IsServer

Serveur principal

Disponible uniquement dans les projets en réseau :
la fonction est propagée à tous les clients du projet.

Plus de détails dans l’aide en ligne.

VT_BOOL

IsStandBy

Serveur redondant

Disponible seulement pour les projets en réseau :
La fonction est exécutée sur le serveur redondant du projet.

Plus de détails dans l’aide en ligne.

VT_BOOL

IsUrlStartWeb

URL fonction de démarrage pour le web

URL d’exécution de fonction pour le Web :

  • Active : La fonction peut être exécutée au moyen d’une extension d’URL dans HTML Web Client au démarrage de la session.
  • Inactive : La fonction ne peut pas être exécutée au moyen d’une extension d’URL dans HTML Web Client au démarrage de la session.

Par défaut : Inactive

Plus de détails dans l’aide en ligne.

VT_UI4

ID

ID

Internal unique ID of the function.

VT_UI4

Type

Type

With this property you have the opportunity to get/set the source bit in the status routing list.

ZT_AKZ

SystemModelGroup

Groupes d'équipements

Lie l’élément à un modèle d’équipement. Cliquez sur le bouton ... pour ouvrir la boîte de sélection d’un groupe d’équipements.
L'affichage du groupe d’équipements sélectionné inclut également les niveaux supérieurs à ce groupe. Les niveaux sont séparés par un point dans l’affichage.

Dans le cas d’une sélection multiple, les groupes d’équipements individuels sont séparés par un point-virgule (;).

Plus de détails dans l’aide en ligne.


CManageAddInServicesFunction

Manuel -> Interfaces de programmation -> Modèles d'objet -> RtFunction -> RtFunction-Dynamic properties -> CManageAddInServicesFunction

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Type

VBA/VSTA Name

Display Name

Description

VT_BSTR

Name

Nom

Description unique de la fonction.
La description est diffusée lorsqu’une nouvelle fonction est créée par le système, mais peut être ultérieurement modifiée si la nouvelle description n’est pas déjà utilisée pour une autre fonction.

Maximum : 128 caractères

Par défaut : Fonction_x (où x est un numéro consécutif).

Attention : Cette propriété n’est pas disponible aux fins de la commutation de langue.

Plus de détails dans l’aide en ligne.

ZT_FKTPARAM

Parameters

Paramètre

Paramètres de transfert de la fonction ; les paramètres dépendent du type de fonction.
Cliquez sur le bouton ... pour ouvrir une boîte de dialogue de configuration de la fonction.
La boîte de dialogue de configuration des paramètres s’ouvre, selon le type de fonction sélectionné.

Plus de détails dans l’aide en ligne .

VT_BOOL

IsActual

Ordinateur actuel

Disponible uniquement dans les projets en réseau :
La fonction est exécutée sur l’ordinateur sur lequel elle a été exécutée.

Plus de détails dans l’aide en ligne.

VT_BOOL

IsClient

Client

Disponible seulement pour les projets réseau :
La fonction est exécutée sur tous les clients du projet.

Plus de détails dans l’aide en ligne.

VT_BOOL

IsServer

Serveur principal

Disponible uniquement dans les projets en réseau :
la fonction est propagée à tous les clients du projet.

Plus de détails dans l’aide en ligne.

VT_BOOL

IsStandBy

Serveur redondant

Disponible seulement pour les projets en réseau :
La fonction est exécutée sur le serveur redondant du projet.

Plus de détails dans l’aide en ligne.

VT_BOOL

IsUrlStartWeb

URL fonction de démarrage pour le web

URL d’exécution de fonction pour le Web :

  • Active : La fonction peut être exécutée au moyen d’une extension d’URL dans HTML Web Client au démarrage de la session.
  • Inactive : La fonction ne peut pas être exécutée au moyen d’une extension d’URL dans HTML Web Client au démarrage de la session.

Par défaut : Inactive

Plus de détails dans l’aide en ligne.

VT_UI4

ID

ID

Internal unique ID of the function.

VT_UI4

Type

Type

With this property you have the opportunity to get/set the source bit in the status routing list.

ZT_AKZ

SystemModelGroup

Groupes d'équipements

Lie l’élément à un modèle d’équipement. Cliquez sur le bouton ... pour ouvrir la boîte de sélection d’un groupe d’équipements.
L'affichage du groupe d’équipements sélectionné inclut également les niveaux supérieurs à ce groupe. Les niveaux sont séparés par un point dans l’affichage.

Dans le cas d’une sélection multiple, les groupes d’équipements individuels sont séparés par un point-virgule (;).

Plus de détails dans l’aide en ligne.


CMtConcurrentExecutionFunction

Manuel -> Interfaces de programmation -> Modèles d'objet -> RtFunction -> RtFunction-Dynamic properties -> CMtConcurrentExecutionFunction

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Type

VBA/VSTA Name

Display Name

Description

VT_BOOL

ShowRT

ShowRT

Description

VT_BSTR

Name

Nom

Description unique de la fonction.
La description est diffusée lorsqu’une nouvelle fonction est créée par le système, mais peut être ultérieurement modifiée si la nouvelle description n’est pas déjà utilisée pour une autre fonction.

Maximum : 128 caractères

Par défaut : Fonction_x (où x est un numéro consécutif).

Attention : Cette propriété n’est pas disponible aux fins de la commutation de langue.

Plus de détails dans l’aide en ligne.

ZT_FKTPARAM

Parameters

Paramètre

Paramètres de transfert de la fonction ; les paramètres dépendent du type de fonction.
Cliquez sur le bouton ... pour ouvrir une boîte de dialogue de configuration de la fonction.
La boîte de dialogue de configuration des paramètres s’ouvre, selon le type de fonction sélectionné.

Plus de détails dans l’aide en ligne .

VT_BOOL

IsActual

Ordinateur actuel

Disponible uniquement dans les projets en réseau :
La fonction est exécutée sur l’ordinateur sur lequel elle a été exécutée.

Plus de détails dans l’aide en ligne.

VT_BOOL

IsClient

Client

Disponible seulement pour les projets réseau :
La fonction est exécutée sur tous les clients du projet.

Plus de détails dans l’aide en ligne.

VT_BOOL

IsServer

Serveur principal

Disponible uniquement dans les projets en réseau :
la fonction est propagée à tous les clients du projet.

Plus de détails dans l’aide en ligne.

VT_BOOL

IsStandBy

Serveur redondant

Disponible seulement pour les projets en réseau :
La fonction est exécutée sur le serveur redondant du projet.

Plus de détails dans l’aide en ligne.

VT_BOOL

IsUrlStartWeb

URL fonction de démarrage pour le web

URL d’exécution de fonction pour le Web :

  • Active : La fonction peut être exécutée au moyen d’une extension d’URL dans HTML Web Client au démarrage de la session.
  • Inactive : La fonction ne peut pas être exécutée au moyen d’une extension d’URL dans HTML Web Client au démarrage de la session.

Par défaut : Inactive

Plus de détails dans l’aide en ligne.

VT_UI4

ID

ID

Internal unique ID of the function.

VT_UI4

Type

Type

With this property you have the opportunity to get/set the source bit in the status routing list.

ZT_AKZ

SystemModelGroup

Groupes d'équipements

Lie l’élément à un modèle d’équipement. Cliquez sur le bouton ... pour ouvrir la boîte de sélection d’un groupe d’équipements.
L'affichage du groupe d’équipements sélectionné inclut également les niveaux supérieurs à ce groupe. Les niveaux sont séparés par un point dans l’affichage.

Dans le cas d’une sélection multiple, les groupes d’équipements individuels sont séparés par un point-virgule (;).

Plus de détails dans l’aide en ligne.


CPRPlaybackModeFunction

Manuel -> Interfaces de programmation -> Modèles d'objet -> RtFunction -> RtFunction-Dynamic properties -> CPRPlaybackModeFunction

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Type

VBA/VSTA Name

Display Name

Description

VT_BSTR

Name

Nom

Description unique de la fonction.
La description est diffusée lorsqu’une nouvelle fonction est créée par le système, mais peut être ultérieurement modifiée si la nouvelle description n’est pas déjà utilisée pour une autre fonction.

Maximum : 128 caractères

Par défaut : Fonction_x (où x est un numéro consécutif).

Attention : Cette propriété n’est pas disponible aux fins de la commutation de langue.

Plus de détails dans l’aide en ligne.

ZT_FKTPARAM

Parameters

Paramètre

Paramètres de transfert de la fonction ; les paramètres dépendent du type de fonction.
Cliquez sur le bouton ... pour ouvrir une boîte de dialogue de configuration de la fonction.
La boîte de dialogue de configuration des paramètres s’ouvre, selon le type de fonction sélectionné.

Plus de détails dans l’aide en ligne .

VT_BOOL

IsActual

Ordinateur actuel

Disponible uniquement dans les projets en réseau :
La fonction est exécutée sur l’ordinateur sur lequel elle a été exécutée.

Plus de détails dans l’aide en ligne.

VT_BOOL

IsClient

Client

Disponible seulement pour les projets réseau :
La fonction est exécutée sur tous les clients du projet.

Plus de détails dans l’aide en ligne.

VT_BOOL

IsServer

Serveur principal

Disponible uniquement dans les projets en réseau :
la fonction est propagée à tous les clients du projet.

Plus de détails dans l’aide en ligne.

VT_BOOL

IsStandBy

Serveur redondant

Disponible seulement pour les projets en réseau :
La fonction est exécutée sur le serveur redondant du projet.

Plus de détails dans l’aide en ligne.

VT_BOOL

IsUrlStartWeb

URL fonction de démarrage pour le web

URL d’exécution de fonction pour le Web :

  • Active : La fonction peut être exécutée au moyen d’une extension d’URL dans HTML Web Client au démarrage de la session.
  • Inactive : La fonction ne peut pas être exécutée au moyen d’une extension d’URL dans HTML Web Client au démarrage de la session.

Par défaut : Inactive

Plus de détails dans l’aide en ligne.

VT_UI4

ID

ID

Internal unique ID of the function.

VT_UI4

Type

Type

With this property you have the opportunity to get/set the source bit in the status routing list.

ZT_AKZ

SystemModelGroup

Groupes d'équipements

Lie l’élément à un modèle d’équipement. Cliquez sur le bouton ... pour ouvrir la boîte de sélection d’un groupe d’équipements.
L'affichage du groupe d’équipements sélectionné inclut également les niveaux supérieurs à ce groupe. Les niveaux sont séparés par un point dans l’affichage.

Dans le cas d’une sélection multiple, les groupes d’équipements individuels sont séparés par un point-virgule (;).

Plus de détails dans l’aide en ligne.


CSequenceCmdFunction

Manuel -> Interfaces de programmation -> Modèles d'objet -> RtFunction -> RtFunction-Dynamic properties -> CSequenceCmdFunction

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Type

VBA/VSTA Name

Display Name

Description

ZT_KNOTEN

SequenceStateCmdFilter

SequenceStateCmdFilter

Description

VT_BSTR

Name

Nom

Description unique de la fonction.
La description est diffusée lorsqu’une nouvelle fonction est créée par le système, mais peut être ultérieurement modifiée si la nouvelle description n’est pas déjà utilisée pour une autre fonction.

Maximum : 128 caractères

Par défaut : Fonction_x (où x est un numéro consécutif).

Attention : Cette propriété n’est pas disponible aux fins de la commutation de langue.

Plus de détails dans l’aide en ligne.

ZT_FKTPARAM

Parameters

Paramètre

Paramètres de transfert de la fonction ; les paramètres dépendent du type de fonction.
Cliquez sur le bouton ... pour ouvrir une boîte de dialogue de configuration de la fonction.
La boîte de dialogue de configuration des paramètres s’ouvre, selon le type de fonction sélectionné.

Plus de détails dans l’aide en ligne .

VT_BOOL

IsActual

Ordinateur actuel

Disponible uniquement dans les projets en réseau :
La fonction est exécutée sur l’ordinateur sur lequel elle a été exécutée.

Plus de détails dans l’aide en ligne.

VT_BOOL

IsClient

Client

Disponible seulement pour les projets réseau :
La fonction est exécutée sur tous les clients du projet.

Plus de détails dans l’aide en ligne.

VT_BOOL

IsServer

Serveur principal

Disponible uniquement dans les projets en réseau :
la fonction est propagée à tous les clients du projet.

Plus de détails dans l’aide en ligne.

VT_BOOL

IsStandBy

Serveur redondant

Disponible seulement pour les projets en réseau :
La fonction est exécutée sur le serveur redondant du projet.

Plus de détails dans l’aide en ligne.

VT_BOOL

IsUrlStartWeb

URL fonction de démarrage pour le web

URL d’exécution de fonction pour le Web :

  • Active : La fonction peut être exécutée au moyen d’une extension d’URL dans HTML Web Client au démarrage de la session.
  • Inactive : La fonction ne peut pas être exécutée au moyen d’une extension d’URL dans HTML Web Client au démarrage de la session.

Par défaut : Inactive

Plus de détails dans l’aide en ligne.

VT_UI4

ID

ID

Internal unique ID of the function.

VT_UI4

Type

Type

With this property you have the opportunity to get/set the source bit in the status routing list.

ZT_AKZ

SystemModelGroup

Groupes d'équipements

Lie l’élément à un modèle d’équipement. Cliquez sur le bouton ... pour ouvrir la boîte de sélection d’un groupe d’équipements.
L'affichage du groupe d’équipements sélectionné inclut également les niveaux supérieurs à ce groupe. Les niveaux sont séparés par un point dans l’affichage.

Dans le cas d’une sélection multiple, les groupes d’équipements individuels sont séparés par un point-virgule (;).

Plus de détails dans l’aide en ligne.


CSequenceTeachingFunction

Manuel -> Interfaces de programmation -> Modèles d'objet -> RtFunction -> RtFunction-Dynamic properties -> CSequenceTeachingFunction

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Type

VBA/VSTA Name

Display Name

Description

VT_BSTR

Name

Nom

Description unique de la fonction.
La description est diffusée lorsqu’une nouvelle fonction est créée par le système, mais peut être ultérieurement modifiée si la nouvelle description n’est pas déjà utilisée pour une autre fonction.

Maximum : 128 caractères

Par défaut : Fonction_x (où x est un numéro consécutif).

Attention : Cette propriété n’est pas disponible aux fins de la commutation de langue.

Plus de détails dans l’aide en ligne.

ZT_FKTPARAM

Parameters

Paramètre

Paramètres de transfert de la fonction ; les paramètres dépendent du type de fonction.
Cliquez sur le bouton ... pour ouvrir une boîte de dialogue de configuration de la fonction.
La boîte de dialogue de configuration des paramètres s’ouvre, selon le type de fonction sélectionné.

Plus de détails dans l’aide en ligne .

VT_BOOL

IsActual

Ordinateur actuel

Disponible uniquement dans les projets en réseau :
La fonction est exécutée sur l’ordinateur sur lequel elle a été exécutée.

Plus de détails dans l’aide en ligne.

VT_BOOL

IsClient

Client

Disponible seulement pour les projets réseau :
La fonction est exécutée sur tous les clients du projet.

Plus de détails dans l’aide en ligne.

VT_BOOL

IsServer

Serveur principal

Disponible uniquement dans les projets en réseau :
la fonction est propagée à tous les clients du projet.

Plus de détails dans l’aide en ligne.

VT_BOOL

IsStandBy

Serveur redondant

Disponible seulement pour les projets en réseau :
La fonction est exécutée sur le serveur redondant du projet.

Plus de détails dans l’aide en ligne.

VT_BOOL

IsUrlStartWeb

URL fonction de démarrage pour le web

URL d’exécution de fonction pour le Web :

  • Active : La fonction peut être exécutée au moyen d’une extension d’URL dans HTML Web Client au démarrage de la session.
  • Inactive : La fonction ne peut pas être exécutée au moyen d’une extension d’URL dans HTML Web Client au démarrage de la session.

Par défaut : Inactive

Plus de détails dans l’aide en ligne.

VT_UI4

ID

ID

Internal unique ID of the function.

VT_UI4

Type

Type

With this property you have the opportunity to get/set the source bit in the status routing list.

ZT_AKZ

SystemModelGroup

Groupes d'équipements

Lie l’élément à un modèle d’équipement. Cliquez sur le bouton ... pour ouvrir la boîte de sélection d’un groupe d’équipements.
L'affichage du groupe d’équipements sélectionné inclut également les niveaux supérieurs à ce groupe. Les niveaux sont séparés par un point dans l’affichage.

Dans le cas d’une sélection multiple, les groupes d’équipements individuels sont séparés par un point-virgule (;).

Plus de détails dans l’aide en ligne.


CSmSqlExportFunction

Manuel -> Interfaces de programmation -> Modèles d'objet -> RtFunction -> RtFunction-Dynamic properties -> CSmSqlExportFunction

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Type

VBA/VSTA Name

Display Name

Description

ZT_KNOTEN

Filter

Filter

Description

VT_BSTR

Name

Nom

Description unique de la fonction.
La description est diffusée lorsqu’une nouvelle fonction est créée par le système, mais peut être ultérieurement modifiée si la nouvelle description n’est pas déjà utilisée pour une autre fonction.

Maximum : 128 caractères

Par défaut : Fonction_x (où x est un numéro consécutif).

Attention : Cette propriété n’est pas disponible aux fins de la commutation de langue.

Plus de détails dans l’aide en ligne.

ZT_FKTPARAM

Parameters

Paramètre

Paramètres de transfert de la fonction ; les paramètres dépendent du type de fonction.
Cliquez sur le bouton ... pour ouvrir une boîte de dialogue de configuration de la fonction.
La boîte de dialogue de configuration des paramètres s’ouvre, selon le type de fonction sélectionné.

Plus de détails dans l’aide en ligne .

VT_BOOL

IsActual

Ordinateur actuel

Disponible uniquement dans les projets en réseau :
La fonction est exécutée sur l’ordinateur sur lequel elle a été exécutée.

Plus de détails dans l’aide en ligne.

VT_BOOL

IsClient

Client

Disponible seulement pour les projets réseau :
La fonction est exécutée sur tous les clients du projet.

Plus de détails dans l’aide en ligne.

VT_BOOL

IsServer

Serveur principal

Disponible uniquement dans les projets en réseau :
la fonction est propagée à tous les clients du projet.

Plus de détails dans l’aide en ligne.

VT_BOOL

IsStandBy

Serveur redondant

Disponible seulement pour les projets en réseau :
La fonction est exécutée sur le serveur redondant du projet.

Plus de détails dans l’aide en ligne.

VT_BOOL

IsUrlStartWeb

URL fonction de démarrage pour le web

URL d’exécution de fonction pour le Web :

  • Active : La fonction peut être exécutée au moyen d’une extension d’URL dans HTML Web Client au démarrage de la session.
  • Inactive : La fonction ne peut pas être exécutée au moyen d’une extension d’URL dans HTML Web Client au démarrage de la session.

Par défaut : Inactive

Plus de détails dans l’aide en ligne.

VT_UI4

ID

ID

Internal unique ID of the function.

VT_UI4

Type

Type

With this property you have the opportunity to get/set the source bit in the status routing list.

ZT_AKZ

SystemModelGroup

Groupes d'équipements

Lie l’élément à un modèle d’équipement. Cliquez sur le bouton ... pour ouvrir la boîte de sélection d’un groupe d’équipements.
L'affichage du groupe d’équipements sélectionné inclut également les niveaux supérieurs à ce groupe. Les niveaux sont séparés par un point dans l’affichage.

Dans le cas d’une sélection multiple, les groupes d’équipements individuels sont séparés par un point-virgule (;).

Plus de détails dans l’aide en ligne.


RtFunctions

Manuel -> Interfaces de programmation -> Modèles d'objet -> RtFunctions

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

This collection contains the defined functions. The single functions can be executed at Runtime via VBA.

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Examples

C#

VB.NET

VB.NET-Syntax

VBA

'Create Function for TREND - PICTURE
Sub CreateTrendFunction()
Dim zPIC As DynPicture
Dim zFCT As RtFunction
Dim i As Integer

Set zPIC = MyWorkspace.ActiveDocument.DynPictures.Item("TREND")
'Create new function
Set zFCT = MyWorkspace.ActiveDocument.RtFunctions.Create("picTREND", tpPicture)
'function settings...
With zFCT
.DynProperties("Picture") = zPIC.Name
i = .DynProperties("PictFilter[-1]")
If i = 0 Then .CreateDynProperty "PictFilter"
.DynProperties("PictFilter[0].RefreshRate") = 1
.DynProperties("PictFilter[0].Name") = "WIZARD TREND"
.DynProperties("PictFilter[0].IsArchive") = False
.DynProperties("PictFilter[0].IsXAxis") = False
'Add 3 CURVES
For i = 0 To 2
n = .DynProperties("PictFilter[0].Curve[-1]")
If n <= i Then
'create CURVE SubItem if needed
.CreateDynProperty ("PictFilter[0].Curve")
.CreateDynProperty ("PictFilter[0].Curve[" & i & "].VarInfo")
.CreateDynProperty ("PictFilter[0].Curve[" & i & "].YAxe")
.CreateDynProperty ("PictFilter[0].Curve[" & i & "].YAxe[0].Scale")
End If
'change curve settings
.DynProperties("PictFilter[0].Curve[" & i & "].GraphName") = "MyVariable_" & i
.DynProperties("PictFilter[0].Curve[" & i & "].HasYAxis") = True
.DynProperties("PictFilter[0].Curve[" & i & "].IsShow") = True
.DynProperties("PictFilter[0].Curve[" & i & "].IsInterpolation") = True
.DynProperties("PictFilter[0].Curve[" & i & "].VarInfo.VarName") = "MyVariable_" & i
.DynProperties("PictFilter[0].Curve[" & i & "].VarInfo.Channel") = "MyVariable_" & i
.DynProperties("PictFilter[0].Curve[" & i & "].VarInfo.Variable") = "MyVariable_" & i
.DynProperties("PictFilter[0].Curve[" & i & "].VarInfo.VarMaxValue") = 1000
.DynProperties("PictFilter[0].Curve[" & i & "].VarInfo.VarMinValue") = 0
.DynProperties("PictFilter[0].Curve[" & i & "].YAxe.IsAutoScale") = False
.DynProperties("PictFilter[0].Curve[" & i & "].YAxe.Color") = vbBlack
.DynProperties("PictFilter[0].Curve[" & i & "].YAxe.Scale.ScaleTop") = 1000
.DynProperties("PictFilter[0].Curve[" & i & "].YAxe.Scale.ScaleBotton") = 0
Next i
'filter settings (relative time 5 minutes)
.CreateDynProperty ("PictFilter[0].TimeAxe")
.DynProperties("PictFilter[0].TimeAxe.OldDiff") = 3600
.DynProperties("PictFilter[0].TimeAxe.TimeFilter.Options") = 65535
.DynProperties("PictFilter[0].TimeAxe.TimeFilter.ARVTime1") = CDate(25569.0451388889) '("01.01.1970 01:05:00")
.DynProperties("PictFilter[0].TimeAxe.TimeFilter.ARVTime2") = CDate(25569.0416666667) '("01.01.1970 01:00:00")
End With
End Sub

'Create Function for ALARM - PICTURE
Sub CreateAlarmFunction()
Dim zPIC As DynPicture
Dim zFCT As RtFunction
Dim i As Integer

Set zPIC = MyWorkspace.ActiveDocument.DynPictures.Item("ALARM")
'Create new function
Set zFCT = MyWorkspace.ActiveDocument.RtFunctions.Create("picALARM", tpPicture)
'function and filter settings...
With zFCT
.DynProperties("Picture") = zPIC.Name
i = .DynProperties("PictFilter[-1]")
If i = 0 Then .CreateDynProperty "PictFilter"
.DynProperties("PictFilter[0].VarFilter") = "*"
.DynProperties("PictFilter[0].FilterTitel") = "*"
i = .DynProperties("PictFilter[0].TimeFilter[-1]")
If i = 0 Then .CreateDynProperty "PictFilter[0].TimeFilter"
.DynProperties("PictFilter[0].TimeFilter[0].TimeFormat") = 10
.DynProperties("PictFilter[0].TimeFilter[0].Options") = 65535
.DynProperties("PictFilter[0].TimeFilter[0].ARVTime1") = CDate(25570.0416666667) '("02.01.1970 01:00:00")
.DynProperties("PictFilter[0].TimeFilter[0].ARVTime2") = CDate(25569.0416666667) '("01.01.1970 01:00:00")
i = .DynProperties("PictFilter[0].TimeFilter[0].ChargeFilter[-1]")
If i = 0 Then .CreateDynProperty "PictFilter[0].TimeFilter[0].ChargeFilter"
i = .DynProperties("PictFilter[0].TextFilter[-1]")
If i = 0 Then .CreateDynProperty "PictFilter[0].TextFilter"
i = .DynProperties("PictFilter[0].ListInfo[-1]")
If i = 0 Then .CreateDynProperty "PictFilter[0].ListInfo"
End With
End Sub

Other topics in this chapter

RtFunctions-Properties

RtFunctions-Methods

RtFunctions-Events


RtFunctions-Properties

Manuel -> Interfaces de programmation -> Modèles d'objet -> RtFunctions -> RtFunctions-Properties

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
long | Count | Returns count of the elements | read only | read only | yes | yes
IProject | Parent | The parent object of the current object | read only | read only | yes | yes

Other topics in this chapter

Parent

Count


Parent

Manuel -> Interfaces de programmation -> Modèles d'objet -> RtFunctions -> RtFunctions-Properties -> Parent

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the parent object

Datatype

Parent() As Project

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


Count

Manuel -> Interfaces de programmation -> Modèles d'objet -> RtFunctions -> RtFunctions-Properties -> Count

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

The method returns the number of available objects. This property is mostly used for the method Item to run through each single object.Hint: For running through entries care, that the minimum is 0 and the maximum is Count-1.

Datatype

Count() As long

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


RtFunctions-Methods

Manuel -> Interfaces de programmation -> Modèles d'objet -> RtFunctions -> RtFunctions-Methods

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
IRtFunction | Create | Creates and returns a new Object | available | not used | yes | yes
VARIANT_BOOL | Delete | Deletes the objects from collection | available | not used | yes | yes
VARIANT_BOOL | Export | Exports the selected object to a XML file | available | not used | yes | yes
VARIANT_BOOL | Import | Imports the selected XML file | available | not used | yes | yes
IRtFunction | Item | Returns a object at a position or by a specified key | available | not used | yes | yes
VARIANT_BOOL | SingleExport | Exports the Item with given Name oder Index | available | not used | yes | yes
VARIANT_BOOL | SingleExport | Exports the Item with given Name oder Index | available | not used | yes | yes

Other topics in this chapter

Item

Create

Delete

Export

SingleExport

Import


Item

Manuel -> Interfaces de programmation -> Modèles d'objet -> RtFunctions -> RtFunctions-Methods -> Item

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the object Function from the collection, which is identified by the parameter vNameOrPos.

Datatype

Item(VARIANT vNameOrPos) As RtFunction

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

If the parameter is a numerical value, the function is searched by its index (>= 0 and <= Count-1).
If it is an alphanumerical value, the function is searched by its unique name.

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

vNameOrPos As Variant

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


Create

Manuel -> Interfaces de programmation -> Modèles d'objet -> RtFunctions -> RtFunctions-Methods -> Create

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Creates a new function and returns the new RtFunction object.

Datatype

Create(String bsName,tpFunctionTypes tpFuncType) As RtFunction

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


Delete

Manuel -> Interfaces de programmation -> Modèles d'objet -> RtFunctions -> RtFunctions-Methods -> Delete

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Deletes the RtFunjction objects from the collection.

Datatype

Delete(VARIANT vNameOrPos) As Boolean

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


Export

Manuel -> Interfaces de programmation -> Modèles d'objet -> RtFunctions -> RtFunctions-Methods -> Export

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Export settings to an xml file

Datatype

Export(String bsFileName) As Boolean

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

Filename (path) as string of the xml file to import.

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

bsFileName As String

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Private Sub zenOn_ExportImportSettings(ByRef zenOnObject As Object)
End Sub


SingleExport

Manuel -> Interfaces de programmation -> Modèles d'objet -> RtFunctions -> RtFunctions-Methods -> SingleExport

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

SingleExport(VARIANT vIndexOrName,BSTR bsFileName) As VARIANT_BOOL

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

VB.NET

VBA

Examples

C#

VB.NET

VBA


Import

Manuel -> Interfaces de programmation -> Modèles d'objet -> RtFunctions -> RtFunctions-Methods -> Import

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Import settings from an xml file. New settings are added, existing settings will be replaced.

Datatype

Import(String bsFileName) As Boolean

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

Filename (path) as string of the xml file to export.

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

bsFileName As String

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Private Sub zenOn_ExportImportSettings(ByRef zenOnObject As Object)
End Sub


RtFunctions-Events

Manuel -> Interfaces de programmation -> Modèles d'objet -> RtFunctions -> RtFunctions-Events

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
void | PreFunctionExecute | This event is fired when a function is executed and containes a copy of the function. | not used | available | yes | yes

Other topics in this chapter

PreFunctionExecute


PreFunctionExecute

Manuel -> Interfaces de programmation -> Modèles d'objet -> RtFunctions -> RtFunctions-Events -> PreFunctionExecute

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

This event will be fired if a zenon function is called via the function list (function call via dynamic element, script, limit violation, reaction matrix, API).

This event contains a temporary copy of the called function object as a parameter (containing all information of the function), not the object from the function list itself. To get the "original" function object the .Parent method of the temporary object could be used.

Like for all other events, the parameter object is only valid in the scope of the event itself and therefore it must not be stored.

Datatype

PreFunctionExecute(IRtFunction* obFunction) As void

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

VB.NET

VBA

Examples

C#

//RtFunctions object
public zenOn.IRtFunctions myRtFcts;
//...

//Init object, create eventhandler
void ThisProject_Active()

{

myRtFcts = this.RtFunctions();

myRtFcts.PreFunctionExecute += new
zenOn.PreFunctionExecuteEventHandler(myRtFcts_PreFunctionExecute);

//...

}

//Event method

void myRtFcts_PreFunctionExecute(zenOn.IRtFunction obFunction)

{
//Output debug information

System.Diagnostics.Debug.Print("Function: \"" + obFunction.Name + "\"

executes - Function type: " + obFunction.Type.ToString());

//Do something with the object –

//Note: Object obFunction is valid only in this scope!
//...

}

//Delete eventhandler, release object
void ThisProject_Inactive()

{

myRtFcts.PreFunctionExecute -= new

zenOn.PreFunctionExecuteEventHandler(myRtFcts_PreFunctionExecute);

myRtFcts = null;

//...

}

VB.NET

VBA


SapFunction

Manuel -> Interfaces de programmation -> Modèles d'objet -> SapFunction

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Examples

C#

VB.NET

VB.NET-Syntax

VBA

Public WithEvents obFunReadTable As SapFunction

Public Sub ReadTable()
Dim obFunctions As SapFunctions

'Parameters
Dim obParQueryTable As SapParameter 'Input, Tablename
Dim obParDelimiter As SapParameter 'Input, Optional, Delimiter in DATA
Dim obParRowCount As SapParameter 'Input, Optional, 0 = all Rows
Dim obParRowSkip As SapParameter 'Input, Optional, 0 = from beginning
Dim obParNoData As SapParameter 'Input, Optional, "X" = read only Fielddefinitions (FIELDS)

'Tables
Dim obTabOptions As SapTable 'Input, WHERE-Clause
Dim obTabFields As SapTable 'Input/Output, Fielddefinitions
Dim obTabData As SapTable 'Output, Tabledata

Dim obRow As SapRow

Dim Error As tpSapError

' === Get Collection of Functionblocks
Set obFunctions = thisProject.SapFunctions

' === Create Functionblock "RFC_READ_TABLE" if not exists
Set obFunReadTable = obFunctions.Item("RFC_READ_TABLE")
If obFunReadTable Is Nothing Then
Set obFunReadTable = obFunctions.CreateSapFunction("RFC_READ_TABLE")
End If

' === Create Parameter if not exist
Set obParameters = obFunReadTable.Parameters 'Get Collection of Parameters
If Not obParameters Is Nothing Then

'Tablename
Set obParQueryTable = obParameters.Item("QUERY_TABLE")
If obParQueryTable Is Nothing Then
Set obParQueryTable = obParameters.CreateSapParameter("QUERY_TABLE")
End If
obParQueryTable.Value = thisProject.Variables.Item("QueryTable").Value

'Delimiter
Set obParDelimiter = obParameters.Item("DELIMITER")
If obParDelimiter Is Nothing Then
Set obParDelimiter = obParameters.CreateSapParameter("DELIMITER")
End If
obParDelimiter.Value = thisProject.Variables.Item("Delimiter").Value

'Count of Rows
Set obParRowCount = obParameters.Item("ROWCOUNT")
If obParRowCount Is Nothing Then
Set obParRowCount = obParameters.CreateSapParameter("ROWCOUNT")
End If
obParRowCount.Value = thisProject.Variables.Item("RowCount").Value

'StartRow
Set obParRowSkip = obParameters.Item("ROWSKIPS")
If obParRowSkip Is Nothing Then
Set obParRowSkip = obParameters.CreateSapParameter("ROWSKIPS")
End If
obParRowSkip.Value = thisProject.Variables.Item("RowSkips").Value

'Fields only
Set obParNoData = obParameters.Item("NO_DATA")
If obParNoData Is Nothing Then
Set obParNoData = obParameters.CreateSapParameter("NO_DATA")
End If
obParNoData.Value = thisProject.Variables.Item("NoData").Value
End If

' === Create Table if exits, either clear
Set obTables = obFunReadTable.Tables 'Get Collectin of Tables
If Not obTables Is Nothing Then

'Selections , "WHERE-Clause" (in)
Set obTabOptions = obTables.Item("OPTIONS")
If obTabOptions Is Nothing Then
Set obTabOptions = obTables.CreateSapTable("OPTIONS", False) 'Input
Else
obTabOptions.Clear
End If

'Names (in) and Structure (out) of read fields
Set obTabFields = obTables.Item("FIELDS")
If obTabFields Is Nothing Then
Set obTabFields = obTables.CreateSapTable("FIELDS", False) 'Input
Else
obTabFields.Clear
End If

'read Data (out)
Set obTabData = obTables.Item("DATA")
If obTabData Is Nothing Then
Set obTabData = obTables.CreateSapTable("DATA", False) 'Output
Else
obTabData.Clear
End If
End If

' === Call Function (asynchron), keeps the connection to the SAP-System afterwards
Error = obFunReadTable.CallAsync(True)

'>>> some zenon internals are used now in deep
'it comes back up again in "obFunReadTable_CallFinished"...

End Sub

' |
' |
' V

Private Sub obFunReadTable_CallFinished(ByVal obFunction As ISapFunction, ByVal Error As tpSapError)

'Back from zenon internals.
'This is used to avoid blocking the zenon Runtime during the Function call,
'because a function call may need some seconds to proceed...

' === Errorhandling
Call PrintError(Error, obFunReadTable.LastError)

' === check result
If Error = tpSapError_Ok Then 'no error
Dim obParameters As SapParameters
Dim obParameter As SapParameter
Dim obTables As SapTables
Dim obTable As SapTable

Dim obTabFields As SapTable 'Input
Dim obTabData As SapTable 'Output

Dim Count As Integer
Dim RowData As String

' === check Parameter and Tables
Set obTables = obFunReadTable.Tables

' === check Table "FIELDS"
Set obTabFields = obTables.Item("FIELDS")

Count = obTabFields.Rows.Count
If Count > 5 Then Count = 5 'only the first 5 rows

For i = 0 To Count - 1
RowData = obTabFields.Rows.Item(i).RawData
'FIELDNAME = Name of the Field
thisProject.Variables.Item("FIELDS_Row[" & i & "].FIELDNAME").Value = GetNextField(RowData)
'OFFSET = Start of the Field in the Row
thisProject.Variables.Item("FIELDS_Row[" & i & "].OFFSET").Value = CInt(GetNextField(RowData))
'LENGTH = Length of the Field
thisProject.Variables.Item("FIELDS_Row[" & i & "].LENGTH").Value = CInt(GetNextField(RowData))
'TYPE = Datatype of the Field
thisProject.Variables.Item("FIELDS_Row[" & i & "].TYPE").Value = GetNextField(RowData)
'FIELDTEXT = description of the Field
thisProject.Variables.Item("FIELDS_Row[" & i & "].FIELDTEXT").Value = GetNextField(RowData)
Next

' === check Table "DATA"
Set obTabData = obTables.Item("DATA")

Count = obTabData.Rows.Count
If Count > 5 Then Count = 5 'only the first 5 rows

For i = 0 To Count - 1
'One row of the table "DATA" contains only one filed with 512 characters
RowData = obTabData.Rows.Item(i).RawData
thisProject.Variables.Item("DATA_Row[" & i & "]").Value = RowData
Next
End If
End Sub

Public Sub PrintError(Error As tpSapError, LastError As String)
Dim ShortError As String

Select Case Error
Case tpSapError_No_Connection ' No connection to SAP system
ShortError = "No connection to SAP system"
Case tpSapError_Ok ' OK.
ShortError = "No Error"
Case tpSapError_Failure ' Error occurred
ShortError = "Error occurred"
Case tpSapError_Exception ' Exception raised
ShortError = "Exception raised"
Case tpSapError_Sys_Exception ' System exception raised, connection closed
ShortError = "System exception raised, connection closed"
Case tpSapError_Call ' Call received
ShortError = "Call received"
Case tpSapError_Internal_Com ' Internal communication, repeat (internal use only
ShortError = "Internal communication, repeat (internal use only)"
Case tpSapError_Closed ' Connection closed by the other side
ShortError = "Connection closed by the other side"
Case tpSapError_Retry ' No data yet (RfcListen or RfcWaitForRequest only)
ShortError = "No data yet (RfcListen or RfcWaitForRequest only)"
Case tpSapError_No_Tid ' No Transaction ID available
DError = "No Transaction ID available"
Case tpSapError_Executed ' Function already executed
ShortError = "Function already executed"
Case tpSapError_Synchronize ' Synchronous Call in Progress (only for Windows)
ShortError = "Synchronous Call in Progress (only for Windows)"
Case tpSapError_Memory_Insufficient ' Memory insufficient
ShortError = "Memory insufficient"
Case tpSapError_Version_Mismatch ' Version mismatch
ShortError = "Version mismatch"
Case tpSapError_Not_found ' Function not found (internal use only)
ShortError = "Function not found (internal use only)"
Case tpSapError_Call_Not_Supported ' This call is not supported
ShortError = "This call is not supported"
Case tpSapError_Not_Owner ' Caller does not own the specified handle
ShortError = "Caller does not own the specified handle"
Case tpSapError_Not_Initialized ' RFC not yet initialized
ShortError = "RFC not yet initialized"
Case tpSapError_System_Called ' A system call such as RFC_PING for connection test is executed
ShortError = "A system call such as RFC_PING for connection test is executed"
Case tpSapError_Invalid_Handle ' An invalid handle was passed to an API call
ShortError = "An invalid handle was passed to an API call"
Case tpSapError_Invalid_Parameter ' An invalid parameter was passed to an API call or parameter length mismatch (expected and received) has been detected.
ShortError = "An invalid parameter was passed to an API call or parameter length mismatch (expected and received) has been detected."
Case tpSapError_Canceled ' An rfc call has been canceled by user
ShortError = "An rfc call has been canceled by user"
Case tpSapError_Conversion ' An error during conversion has been d etected
ShortError = "An error during conversion has been detected"
Case tpSapError_Invalid_Protocol ' The received data has an unsupported format. e.g.: non unicode application receives data sent in unicode format
ShortError = "The received data has an unsupported format. e.g.: non unicode application receives data sent in unicode format"
Case tpSapError_Timeout ' Timeout
ShortError = "Timeout"
End Select

'Errorcode
thisProject.Variables.Item("ErrorCode").Value = Error
'Description of the Error
thisProject.Variables.Item("ShortError").Value = ShortError
'More detailed description of the last error
thisProject.Variables.Item("LastError").Value = LastError
End Sub

Public Function GetNextField(ByRef Text As String)
'Function to extract FieldValues out of a RawData string...

pos = InStr(Text, Chr$(10)) 'search for delimiter
If pos > 0 Then 'delimiter exists?
GetNextField = Left$(Text, pos - 1) 'return text until delimiter
Else 'no more delimiters
GetNextField = Text 'return string
End If
Text = Right$(Text, Len(Text) - pos) 'return text until delimiter or end - cut
End Function

Private Sub Project_Inactive()
'release object to avoid memory leaks...
thisProject.SapFunctions.DeleteSapFunction ("RFC_READ_TABLE")
End Sub

Other topics in this chapter

SapFunction-Properties

SapFunction-Methods

SapFunction-Events

SapFunction-Dynamic properties


SapFunction-Properties

Manuel -> Interfaces de programmation -> Modèles d'objet -> SapFunction -> SapFunction-Properties

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
tpSapActivity | Activity | Activity state of the function call (0 = inactive, 1 = in queue, 2 = call in progress) | available | available | yes | yes
tpSapError | ErrorCode | Code for result of last call | not used | read only | yes | yes
BSTR | ErrorText | Short text for result of last call | not used | read only | yes | yes
BSTR | LastError | Last Error | read only | read only | yes | yes
BSTR | Name | Name of the SAP function | available | available | yes | yes
ISapFunctions | Parent | Parent-object | available | available | yes | yes

Other topics in this chapter

Parent

Name

ErrorCode

ErrorText

LastError

Activity


Parent

Manuel -> Interfaces de programmation -> Modèles d'objet -> SapFunction -> SapFunction-Properties -> Parent

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

Parent() As SapFunctions

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes


Name

Manuel -> Interfaces de programmation -> Modèles d'objet -> SapFunction -> SapFunction-Properties -> Name

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

Name() As String

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes


ErrorCode

Manuel -> Interfaces de programmation -> Modèles d'objet -> SapFunction -> SapFunction-Properties -> ErrorCode

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

ErrorCode() As tpSapError

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes


ErrorText

Manuel -> Interfaces de programmation -> Modèles d'objet -> SapFunction -> SapFunction-Properties -> ErrorText

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

ErrorText() As String

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes


LastError

Manuel -> Interfaces de programmation -> Modèles d'objet -> SapFunction -> SapFunction-Properties -> LastError

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

LastError() As String

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


Activity

Manuel -> Interfaces de programmation -> Modèles d'objet -> SapFunction -> SapFunction-Properties -> Activity

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the actuial activity state of the SAP function.

Datatype

Activity() As tpSapActivity

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes


SapFunction-Methods

Manuel -> Interfaces de programmation -> Modèles d'objet -> SapFunction -> SapFunction-Methods

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
tpSapError | Call | Calls the SAP function synchronously | available | available | yes | yes
tpSapError | CallAsync | Calls the SAP function asynchronously | available | available | yes | yes
ISapParameters | Parameters | Returns the SAP parameters collection | available | available | yes | yes
ISapTables | Tables | Returns the SAP tables collection | available | available | yes | yes
VARIANT_BOOL | StartServer | Starts the SAP function as server program to be called from SAP | available | available | yes | yes
void | StopServer | Stops the server program | available | available | yes | yes

Other topics in this chapter

Parameters

Tables

Call

CallAsync

StartServer

StopServer


Parameters

Manuel -> Interfaces de programmation -> Modèles d'objet -> SapFunction -> SapFunction-Methods -> Parameters

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

Parameters() As SapParameters

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


Tables

Manuel -> Interfaces de programmation -> Modèles d'objet -> SapFunction -> SapFunction-Methods -> Tables

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

Tables() As SapTables

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


Call

Manuel -> Interfaces de programmation -> Modèles d'objet -> SapFunction -> SapFunction-Methods -> Call

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

Call([optional] VARIANT bReuseConnection) As tpSapError

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


CallAsync

Manuel -> Interfaces de programmation -> Modèles d'objet -> SapFunction -> SapFunction-Methods -> CallAsync

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

CallAsync([optional] VARIANT bReuseConnection) As tpSapError

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


StartServer

Manuel -> Interfaces de programmation -> Modèles d'objet -> SapFunction -> SapFunction-Methods -> StartServer

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

StartServer() As VARIANT_BOOL

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

VB.NET

VBA

Examples

C#

VB.NET

VBA


StopServer

Manuel -> Interfaces de programmation -> Modèles d'objet -> SapFunction -> SapFunction-Methods -> StopServer

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

StopServer() As void

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

VB.NET

VBA

Examples

C#

VB.NET

VBA


SapFunction-Events

Manuel -> Interfaces de programmation -> Modèles d'objet -> SapFunction -> SapFunction-Events

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
void | ActivityChanged | Activity state of the function call has changed | not used | read only | yes | yes
void | CallFinished | SAP function returns from asynchronous call | read only | read only | yes | yes
void | ServerCall | Server program called by SAP | not used | read only | yes | yes

Other topics in this chapter

CallFinished

ActivityChanged

ServerCall


CallFinished

Manuel -> Interfaces de programmation -> Modèles d'objet -> SapFunction -> SapFunction-Events -> CallFinished

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

CallFinished(SapFunction obFunction, tpSapError Error) As void

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


ActivityChanged

Manuel -> Interfaces de programmation -> Modèles d'objet -> SapFunction -> SapFunction-Events -> ActivityChanged

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

This events reacts on a change of the activity state of an SAP function.The Function object and the State-Value will be delivered from the event.

Datatype

ActivityChanged(SapFunction obFunction, tpSapActivity Activity) As void

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes

Parameters

SAP Function as 'SapFunction' object.

Value of SAP Activity (for more details see property 'Activity')

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

obFunction As SapFunction

Activity As tpSapActivity

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Private Sub obFunReadTable_ActivityChanged(ByVal obFunction As ISapFunction,_
ByVal Activity As tpSapActivity)
thisProject.Variables.Item("ReadTableActive").Value = obFunction.Activity
End Sub


ServerCall

Manuel -> Interfaces de programmation -> Modèles d'objet -> SapFunction -> SapFunction-Events -> ServerCall

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

ServerCall(ISapFunction obFunction, tpSapError Error) As void

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes

Parameters

C#

VB.NET

VBA

Examples

C#

VB.NET

VBA


SapFunction-Dynamic properties

Manuel -> Interfaces de programmation -> Modèles d'objet -> SapFunction -> SapFunction-Dynamic properties

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Dynproperties

SAP function

Other topics in this chapter

SAP function


SAP function

Manuel -> Interfaces de programmation -> Modèles d'objet -> SapFunction -> SapFunction-Dynamic properties -> SAP function

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Type

VBA/VSTA Name

Display Name

Description

VT_BSTR

Label

Nom fonction

Intitulé libre pour la fonction SAP.

Plus de détails dans l’aide en ligne.

VT_BSTR

Name

Bloc fonctionnel RFC

Nom du bloc fonctionnel appelé dans le système SAP.

Plus de détails dans l’aide en ligne.

VT_BSTR

Info

Informations

Texte court librement définissable. Utilisé uniquement à des fins d’information. Le cas échéant, il est défini lorsqu’une fonction SAP est créée via l’Assistant, conformément à la description de l’interface dans le système SAP.

Plus de détails dans l’aide en ligne.

VT_BOOL

ServerPgm

Programme serveur

Propriétés pour la configuration des fonctions SAP en tant que programmes de serveur.

Plus de détails dans l’aide en ligne.

ZT_FUNCTION

ServerFunction

Fonction

Sélection d’une fonction de zenon devant être appelée par le programme serveur. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de fonctions.

Remarque : Si la fonction est appelée par un autre projet, assurez-vous que ce projet est en cours d’exécution dans le Runtime.

Plus de détails dans l’aide en ligne.

VT_UI4

Wait

Période d'attente

Stipulation d’un délai d’attente en millisecondes avant et après l’appel de fonction liée, afin que les variables puissent être écrites ou lues avec certitude. Principalement recommandé pour les variables sur les contrôleurs avec des communications ou des cycles de lecture lents.

  • Minimum : 0
  • Maximum : 4294967295
  • Par défaut : 0

Recommandation :

  • Variables du driver interne ou du driver système : Valeurs faibles à 0 ms.
  • Driver mathématique Valeurs entre 100 – 200 ms. (Selon la charge du système, ce driver est mis à jour toutes les 100 ms environ.)
  • Autres drivers et contrôleurs : Valeurs supérieures au délai de mise à jour du driver. Les valeurs sont ajustées en conséquence si le nombre de variables est plus élevé.

Plus de détails dans l’aide en ligne.

ZT_VARIABLE

ActivityVar

Activité

Variable numérique utilisée pour surveiller l’activité de la fonction SAP. Elle peut par exemple être utilisée pour configurer les verrouillages, afin d’éviter les chevauchements de cellules.

Valeurs possibles : 0, 1, 2

  • 0 : Inactive
  • 1 : mise en attente dans la file d’attente d’appels
  • 2 : appel actif

Plus de détails dans l’aide en ligne.

ZT_VARIABLE

ErrorVar

Code d'erreur

Variable numérique pour le code d’erreur de l’appel de fonction.

Plus de détails dans l’aide en ligne.

ZT_VARIABLE

ErrorTextVar

Texte d'erreur

Variable de chaîne utilisée pour fournir une courte description de l’erreur qui s’est produite dernièrement.

Plus de détails dans l’aide en ligne.

ZT_VARIABLE

LastErrorVar

Description d'erreur

Variable de chaîne utilisée pour fournir une description détaillée de la dernière erreur.

Plus de détails dans l’aide en ligne.


SapFunctions

Manuel -> Interfaces de programmation -> Modèles d'objet -> SapFunctions

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Examples

C#

VB.NET

VB.NET-Syntax

VBA

Public WithEvents obFunReadTable As SapFunction

Public Sub ReadTable()
Dim obFunctions As SapFunctions

'Parameters
Dim obParQueryTable As SapParameter 'Input, Tablename
Dim obParDelimiter As SapParameter 'Input, Optional, Delimiter in DATA
Dim obParRowCount As SapParameter 'Input, Optional, 0 = all Rows
Dim obParRowSkip As SapParameter 'Input, Optional, 0 = from beginning
Dim obParNoData As SapParameter 'Input, Optional, "X" = read only Fielddefinitions (FIELDS)

'Tables
Dim obTabOptions As SapTable 'Input, WHERE-Clause
Dim obTabFields As SapTable 'Input/Output, Fielddefinitions
Dim obTabData As SapTable 'Output, Tabledata

Dim obRow As SapRow

Dim Error As tpSapError

' === Get Collection of Functionblocks
Set obFunctions = thisProject.SapFunctions

' === Create Functionblock "RFC_READ_TABLE" if not exists
Set obFunReadTable = obFunctions.Item("RFC_READ_TABLE")
If obFunReadTable Is Nothing Then
Set obFunReadTable = obFunctions.CreateSapFunction("RFC_READ_TABLE")
End If

' === Create Parameter if not exist
Set obParameters = obFunReadTable.Parameters 'Get Collection of Parameters
If Not obParameters Is Nothing Then

'Tablename
Set obParQueryTable = obParameters.Item("QUERY_TABLE")
If obParQueryTable Is Nothing Then
Set obParQueryTable = obParameters.CreateSapParameter("QUERY_TABLE")
End If
obParQueryTable.Value = thisProject.Variables.Item("QueryTable").Value

'Delimiter
Set obParDelimiter = obParameters.Item("DELIMITER")
If obParDelimiter Is Nothing Then
Set obParDelimiter = obParameters.CreateSapParameter("DELIMITER")
End If
obParDelimiter.Value = thisProject.Variables.Item("Delimiter").Value

'Count of Rows
Set obParRowCount = obParameters.Item("ROWCOUNT")
If obParRowCount Is Nothing Then
Set obParRowCount = obParameters.CreateSapParameter("ROWCOUNT")
End If
obParRowCount.Value = thisProject.Variables.Item("RowCount").Value

'StartRow
Set obParRowSkip = obParameters.Item("ROWSKIPS")
If obParRowSkip Is Nothing Then
Set obParRowSkip = obParameters.CreateSapParameter("ROWSKIPS")
End If
obParRowSkip.Value = thisProject.Variables.Item("RowSkips").Value

'Fields only
Set obParNoData = obParameters.Item("NO_DATA")
If obParNoData Is Nothing Then
Set obParNoData = obParameters.CreateSapParameter("NO_DATA")
End If
obParNoData.Value = thisProject.Variables.Item("NoData").Value
End If

' === Create Table if exits, either clear
Set obTables = obFunReadTable.Tables 'Get Collectin of Tables
If Not obTables Is Nothing Then

'Selections , "WHERE-Clause" (in)
Set obTabOptions = obTables.Item("OPTIONS")
If obTabOptions Is Nothing Then
Set obTabOptions = obTables.CreateSapTable("OPTIONS", False) 'Input
Else
obTabOptions.Clear
End If

'Names (in) and Structure (out) of read fields
Set obTabFields = obTables.Item("FIELDS")
If obTabFields Is Nothing Then
Set obTabFields = obTables.CreateSapTable("FIELDS", False) 'Input
Else
obTabFields.Clear
End If

'read Data (out)
Set obTabData = obTables.Item("DATA")
If obTabData Is Nothing Then
Set obTabData = obTables.CreateSapTable("DATA", False) 'Output
Else
obTabData.Clear
End If
End If

' === Call Function (asynchron), keeps the connection to the SAP-System afterwards
Error = obFunReadTable.CallAsync(True)

'>>> some zenon internals are used now in deep
'it comes back up again in "obFunReadTable_CallFinished"...

End Sub

' |
' |
' V

Private Sub obFunReadTable_CallFinished(ByVal obFunction As ISapFunction, ByVal Error As tpSapError)

'Back from zenon internals.
'This is used to avoid blocking the zenon Runtime during the Function call,
'because a function call may need some seconds to proceed...

' === Errorhandling
Call PrintError(Error, obFunReadTable.LastError)

' === check result
If Error = tpSapError_Ok Then 'no error
Dim obParameters As SapParameters
Dim obParameter As SapParameter
Dim obTables As SapTables
Dim obTable As SapTable

Dim obTabFields As SapTable 'Input
Dim obTabData As SapTable 'Output

Dim Count As Integer
Dim RowData As String

' === check Parameter and Tables
Set obTables = obFunReadTable.Tables

' === check Table "FIELDS"
Set obTabFields = obTables.Item("FIELDS")

Count = obTabFields.Rows.Count
If Count > 5 Then Count = 5 'only the first 5 rows

For i = 0 To Count - 1
RowData = obTabFields.Rows.Item(i).RawData
'FIELDNAME = Name of the Field
thisProject.Variables.Item("FIELDS_Row[" & i & "].FIELDNAME").Value = GetNextField(RowData)
'OFFSET = Start of the Field in the Row
thisProject.Variables.Item("FIELDS_Row[" & i & "].OFFSET").Value = CInt(GetNextField(RowData))
'LENGTH = Length of the Field
thisProject.Variables.Item("FIELDS_Row[" & i & "].LENGTH").Value = CInt(GetNextField(RowData))
'TYPE = Datatype of the Field
thisProject.Variables.Item("FIELDS_Row[" & i & "].TYPE").Value = GetNextField(RowData)
'FIELDTEXT = description of the Field
thisProject.Variables.Item("FIELDS_Row[" & i & "].FIELDTEXT").Value = GetNextField(RowData)
Next

' === check Table "DATA"
Set obTabData = obTables.Item("DATA")

Count = obTabData.Rows.Count
If Count > 5 Then Count = 5 'only the first 5 rows

For i = 0 To Count - 1
'One row of the table "DATA" contains only one filed with 512 characters
RowData = obTabData.Rows.Item(i).RawData
thisProject.Variables.Item("DATA_Row[" & i & "]").Value = RowData
Next
End If
End Sub

Public Sub PrintError(Error As tpSapError, LastError As String)
Dim ShortError As String

Select Case Error
Case tpSapError_No_Connection ' No connection to SAP system
ShortError = "No connection to SAP system"
Case tpSapError_Ok ' OK.
ShortError = "No Error"
Case tpSapError_Failure ' Error occurred
ShortError = "Error occurred"
Case tpSapError_Exception ' Exception raised
ShortError = "Exception raised"
Case tpSapError_Sys_Exception ' System exception raised, connection closed
ShortError = "System exception raised, connection closed"
Case tpSapError_Call ' Call received
ShortError = "Call received"
Case tpSapError_Internal_Com ' Internal communication, repeat (internal use only
ShortError = "Internal communication, repeat (internal use only)"
Case tpSapError_Closed ' Connection closed by the other side
ShortError = "Connection closed by the other side"
Case tpSapError_Retry ' No data yet (RfcListen or RfcWaitForRequest only)
ShortError = "No data yet (RfcListen or RfcWaitForRequest only)"
Case tpSapError_No_Tid ' No Transaction ID available
DError = "No Transaction ID available"
Case tpSapError_Executed ' Function already executed
ShortError = "Function already executed"
Case tpSapError_Synchronize ' Synchronous Call in Progress (only for Windows)
ShortError = "Synchronous Call in Progress (only for Windows)"
Case tpSapError_Memory_Insufficient ' Memory insufficient
ShortError = "Memory insufficient"
Case tpSapError_Version_Mismatch ' Version mismatch
ShortError = "Version mismatch"
Case tpSapError_Not_found ' Function not found (internal use only)
ShortError = "Function not found (internal use only)"
Case tpSapError_Call_Not_Supported ' This call is not supported
ShortError = "This call is not supported"
Case tpSapError_Not_Owner ' Caller does not own the specified handle
ShortError = "Caller does not own the specified handle"
Case tpSapError_Not_Initialized ' RFC not yet initialized
ShortError = "RFC not yet initialized"
Case tpSapError_System_Called ' A system call such as RFC_PING for connection test is executed
ShortError = "A system call such as RFC_PING for connection test is executed"
Case tpSapError_Invalid_Handle ' An invalid handle was passed to an API call
ShortError = "An invalid handle was passed to an API call"
Case tpSapError_Invalid_Parameter ' An invalid parameter was passed to an API call or parameter length mismatch (expected and received) has been detected.
ShortError = "An invalid parameter was passed to an API call or parameter length mismatch (expected and received) has been detected."
Case tpSapError_Canceled ' An rfc call has been canceled by user
ShortError = "An rfc call has been canceled by user"
Case tpSapError_Conversion ' An error during conversion has been detected
ShortError = "An error during conversion has been detected"
Case tpSapError_Invalid_Protocol ' The received data has an unsupported format. e.g.: non unicode application receives data sent in unicode format
ShortError = "The received data has an unsupported format. e.g.: non unicode application receives data sent in unicode format"
Case tpSapError_Timeout ' Timeout
ShortError = "Timeout"
End Select

'Errorcode
thisProject.Variables.Item("ErrorCode").Value = Error
'Description of the Error
thisProject.Variables.Item("ShortError").Value = ShortError
'More detailed description of the last error
thisProject.Variables.Item("LastError").Value = LastError
End Sub

Public Function GetNextField(ByRef Text As String)
'Function to extract FieldValues out of a RawData string...

pos = InStr(Text, Chr$(10)) 'search for delimiter
If pos > 0 Then 'delimiter exists?
GetNextField = Left$(Text, pos - 1) 'return text until delimiter
Else 'no more delimiters
GetNextField = Text 'return string
End If
Text = Right$(Text, Len(Text) - pos) 'return text until delimiter or end - cut
End Function

Private Sub Project_Inactive()
'release object to avoid memory leaks...
thisProject.SapFunctions.DeleteSapFunction ("RFC_READ_TABLE")
End Sub

Other topics in this chapter

SapFunctions-Properties

SapFunctions-Methods


SapFunctions-Properties

Manuel -> Interfaces de programmation -> Modèles d'objet -> SapFunctions -> SapFunctions-Properties

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
long | Count | Count of defined SAP functions | available | available | yes | yes
IProject | Parent | Parent-object | available | available | yes | yes

Other topics in this chapter

Parent

Count


Parent

Manuel -> Interfaces de programmation -> Modèles d'objet -> SapFunctions -> SapFunctions-Properties -> Parent

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

Parent() As Project

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes


Count

Manuel -> Interfaces de programmation -> Modèles d'objet -> SapFunctions -> SapFunctions-Properties -> Count

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

Count() As long

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes


SapFunctions-Methods

Manuel -> Interfaces de programmation -> Modèles d'objet -> SapFunctions -> SapFunctions-Methods

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
ISapFunction | CreateSapFunction | Creates a new SAP function (unique name) | available | available | yes | yes
VARIANT_BOOL | DeleteSapFunction | Deletes the given SAP function | available | available | yes | yes
ISapFunction | Item | Returns the SAP function by name or position | available | available | yes | yes

Other topics in this chapter

CreateSapFunction

DeleteSapFunction

Item


CreateSapFunction

Manuel -> Interfaces de programmation -> Modèles d'objet -> SapFunctions -> SapFunctions-Methods -> CreateSapFunction

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

CreateSapFunction(String Name) As SapFunction

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


DeleteSapFunction

Manuel -> Interfaces de programmation -> Modèles d'objet -> SapFunctions -> SapFunctions-Methods -> DeleteSapFunction

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

DeleteSapFunction(String Name) As Boolean

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


Item

Manuel -> Interfaces de programmation -> Modèles d'objet -> SapFunctions -> SapFunctions-Methods -> Item

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

Item(VARIANT vID) As SapFunction

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

Index or name.

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

vID As Variant

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


SapParameter

Manuel -> Interfaces de programmation -> Modèles d'objet -> SapParameter

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Examples

C#

VB.NET

VB.NET-Syntax

VBA

Public WithEvents obFunReadTable As SapFunction

Public Sub ReadTable()
Dim obFunctions As SapFunctions

'Parameters
Dim obParQueryTable As SapParameter 'Input, Tablename
Dim obParDelimiter As SapParameter 'Input, Optional, Delimiter in DATA
Dim obParRowCount As SapParameter 'Input, Optional, 0 = all Rows
Dim obParRowSkip As SapParameter 'Input, Optional, 0 = from beginning
Dim obParNoData As SapParameter 'Input, Optional, "X" = read only Fielddefinitions (FIELDS)

'Tables
Dim obTabOptions As SapTable 'Input, WHERE-Clause
Dim obTabFields As SapTable 'Input/Output, Fielddefinitions
Dim obTabData As SapTable 'Output, Tabledata

Dim obRow As SapRow

Dim Error As tpSapError

' === Get Collection of Functionblocks
Set obFunctions = thisProject.SapFunctions

' === Create Functionblock "RFC_READ_TABLE" if not exists
Set obFunReadTable = obFunctions.Item("RFC_READ_TABLE")
If obFunReadTable Is Nothing Then
Set obFunReadTable = obFunctions.CreateSapFunction("RFC_READ_TABLE")
End If

' === Create Parameter if not exist
Set obParameters = obFunReadTable.Parameters 'Get Collection of Parameters
If Not obParameters Is Nothing Then

'Tablename
Set obParQueryTable = obParameters.Item("QUERY_TABLE")
If obParQueryTable Is Nothing Then
Set obParQueryTable = obParameters.CreateSapParameter("QUERY_TABLE")
End If
obParQueryTable.Value = thisProject.Variables.Item("QueryTable").Value

'Delimiter
Set obParDelimiter = obParameters.Item("DELIMITER")
If obParDelimiter Is Nothing Then
Set obParDelimiter = obParameters.CreateSapParameter("DELIMITER")
End If
obParDelimiter.Value = thisProject.Variables.Item("Delimiter").Value

'Count of Rows
Set obParRowCount = obParameters.Item("ROWCOUNT")
If obParRowCount Is Nothing Then
Set obParRowCount = obParameters.CreateSapParameter("ROWCOUNT")
End If
obParRowCount.Value = thisProject.Variables.Item("RowCount").Value

'StartRow
Set obParRowSkip = obParameters.Item("ROWSKIPS")
If obParRowSkip Is Nothing Then
Set obParRowSkip = obParameters.CreateSapParameter("ROWSKIPS")
End If
obParRowSkip.Value = thisProject.Variables.Item("RowSkips").Value

'Fields only
S et obParNoData = obParameters.Item("NO_DATA")
If obParNoData Is Nothing Then
Set obParNoData = obParameters.CreateSapParameter("NO_DATA")
End If
obParNoData.Value = thisProject.Variables.Item("NoData").Value
End If

' === Create Table if exits, either clear
Set obTables = obFunReadTable.Tables 'Get Collectin of Tables
If Not obTables Is Nothing Then

'Selections , "WHERE-Clause" (in)
Set obTabOptions = obTables.Item("OPTIONS")
If obTabOptions Is Nothing Then
Set obTabOptions = obTables.CreateSapTable("OPTIONS", False) 'Input
Else
obTabOptions.Clear
End If

'Names (in) and Structure (out) of read fields
Set obTabFields = obTables.Item("FIELDS")
If obTabFields Is Nothing Then
Set obTabFields = obTables.CreateSapTable("FIELDS", False) 'Input
Else
obTabFields.Clear
End If

'read Data (out)
Set obTabData = obTables.Item("DATA")
If obTabData Is Nothing Then
Set obTabData = obTables.CreateSapTable("DATA", False) 'Output
Else
obTabData.Clear
End If
End If

' === Call Function (asynchron), keeps the connection to the SAP-System afterwards
Error = obFunReadTable.CallAsync(True)

'>>> some zenon internals are used now in deep
'it comes back up again in "obFunReadTable_CallFinished"...

End Sub

' |
' |
' V

Private Sub obFunReadTable_CallFinished(ByVal obFunction As ISapFunction, ByVal Error As tpSapError)

'Back from zenon internals.
'This is used to avoid blocking the zenon Runtime during the Function call,
'because a function call may need some seconds to proceed...

' === Errorhandling
Call PrintError(Error, obFunReadTable.LastError)

' === check result
If Error = tpSapError_Ok Then 'no error
Dim obParameters As SapParameters
Dim obParameter As SapParameter
Dim obTables As SapTables
Dim obTable As SapTable

Dim obTabFields As SapTable 'Input
Dim obTabData As SapTable 'Output

Dim Count As Integer
Dim RowData As String

' === check Parameter and Tables
Set obTables = obFunReadTable.Tables

' === check Table "FIELDS"
Set obTabFields = obTables.Item("FIELDS")

Count = obTabFields.Rows.Count
If Count > 5 Then Count = 5 'only the first 5 rows

For i = 0 To Count - 1
RowData = obTabFields.Rows.Item(i).RawData
'FIELDNAME = Name of the Field
thisProject.Variables.Item("FIELDS_Row[" & i & "].FIELDNAME").Value = GetNextField(RowData)
'OFFSET = Start of the Field in the Row
thisProject.Variables.Item("FIELDS_Row[" & i & "].OFFSET").Value = CInt(GetNextField(RowData))
'LENGTH = Length of the Field
thisProject.Variables.Item("FIELDS_Row[" & i & "].LENGTH").Value = CInt(GetNextField(RowData))
'TYPE = Datatype of the Field
thisProject.Variables.Item("FIELDS_Row[" & i & "].TYPE").Value = GetNextField(RowData)
'FIELDTEXT = description of the Field
thisProject.Variables.Item("FIELDS_Row[" & i & "].FIELDTEXT").Value = GetNextField(RowData)
Next

' === check Table "DATA"
Set obTabData = obTables.Item("DATA")

Count = obTabData.Rows.Count
If Count > 5 Then Count = 5 'only the first 5 rows

For i = 0 To Count - 1
'One row of the table "DATA" contains only one filed with 512 characters
RowData = obTabData.Rows.Item(i).RawData
thisProject.Variables.Item("DATA_Row[" & i & "]").Value = RowData
Next
End If
End Sub

Public Sub PrintError(Error As tpSapError, LastError As String)
Dim ShortError As String

Select Case Error
Case tpSapError_No_Connection ' No connection to SAP system
ShortError = "No connection to SAP system"
Case tpSapError_Ok ' OK.
ShortError = "No Error"
Case tpSapError_Failure ' Error occurred
ShortError = "Error occurred"
Case tpSapError_Exception ' Exception raised
ShortError = "Exception raised"
Case tpSapError_Sys_Exception ' System exception raised, connection closed
ShortError = "System exception raised, connection closed"
Case tpSapError_Call ' Call received
ShortError = "Call received"
Case tpSapError_Internal_Com ' Internal communication, repeat (internal use only
ShortError = "Internal communication, repeat (internal use only)"
Case tpSapError_Closed ' Connection closed by the other side
ShortError = "Connection closed by the other side"
Case tpSapError_Retry ' No data yet (RfcListen or RfcWaitForRequest only)
ShortError = "No data yet (RfcListen or RfcWaitForRequest only)"
Case tpSapError_No_Tid ' No Transaction ID available
DError = "No Transaction ID available"
Case tpSapError_Executed ' Function already executed
ShortError = "Function already executed"
Case tpSapError_Synchronize ' Synchronous Call in Progress (only for Windows)
ShortError = "Synchronous Call in Progress (only for Windows)"
Case tpSapError_Memory_Insufficient ' Memory insufficient
ShortError = "Memory insufficient"
Case tpSapError_Version_Mismatch ' Version mismatch
ShortError = "Version mismatch"
Case tpSapError_Not_found ' Function not found (internal use only)
ShortError = "Function not found (internal use only)"
Case tpSapError_Call_Not_Supported ' This call is not supported
ShortError = "This call is not supported"
Case tpSapError_Not_Owner ' Caller does not own the specified handle
ShortError = "Caller does not own the specified handle"
Case tpSapError_Not_Initialized ' RFC not yet initialized
ShortError = "RFC not yet initialized"
Case tpSapError_System_Called ' A system call such as RFC_PING for connection test is executed
ShortError = "A system call such as RFC_PING for connection test is executed"
Case tpSapError_Invalid_Handle ' An invalid handle was passed to an API call
ShortError = "An invalid handle was passed to an API call"
Case tpSapError_Invalid_Parameter ' An invalid parameter was passed to an API call or parameter length mismatch (expected and received) has been detected.
ShortError = "An invalid parameter was passed to an API call or parameter length mismatch (expected and received) has been detected."
Case tpSapError_Canceled ' An rfc call has been canceled by user
ShortError = "An rfc call has been canceled by user"
Case tpSapError_Conversion ' An error during conversion has been detected
ShortError = "An error during conversion has been detected"
Case tpSapError_Invalid_Protocol ' The received data has an unsupported format. e.g.: non unicode application receives data sent in unicode format
ShortError = "The received data has an unsupported format. e.g.: non unicode application receives data sent in unicode format"
Case tpSapError_Timeout ' Timeout
ShortError = "Timeout"
End Select

'Errorcode
thisProject.Variables.Item("ErrorCode").Value = Error
'Description of the Error
thisProject.Variables.Item("ShortError").Value = ShortError
'More detailed description of the last error
thisProject.Variables.Item("LastError").Value = LastError
End Sub

Public Function GetNextField(ByRef Text As String)
'Function to extract FieldValues out of a RawData string...

pos = InStr(Text, Chr$(10)) 'search for delimiter
If pos > 0 Then 'delimiter exists?
GetNextField = Left$(Text, pos - 1) 'return text until delimiter
Else 'no more delimiters
GetNextField = Text 'return string
End If
Text = Right$(Text, Len(Text) - pos) 'return text until delimiter or end - cut
End Function

Private Sub Project_Inactive()
'release object to avoid memory leaks...
thisProject.SapFunctions.DeleteSapFunction ("RFC_READ_TABLE")
End Sub

Other topics in this chapter

SapParameter-Properties

SapParameter-Methods

SapParameter-Dynamic properties


SapParameter-Properties

Manuel -> Interfaces de programmation -> Modèles d'objet -> SapParameter -> SapParameter-Properties

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
VARIANT_BOOL | Default | SAP parameter has a default value (TRUE/FALSE) | available | available | yes | yes
BSTR | Name | Name of the SAP parameter | available | available | yes | yes
VARIANT_BOOL | Optional | SAP parameter is optional (TRUE/FALSE) | available | available | yes | yes
ISapParameters | Parent | Parent-object | available | available | yes | yes
BSTR | RawData | Returns the raw Data of the SAP parameter in a delimited string | not used | read only | yes | yes

Other topics in this chapter

Parent

Name

Optional

Default

RawData


Parent

Manuel -> Interfaces de programmation -> Modèles d'objet -> SapParameter -> SapParameter-Properties -> Parent

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

Parent() As SapParameters

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes


Name

Manuel -> Interfaces de programmation -> Modèles d'objet -> SapParameter -> SapParameter-Properties -> Name

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

Name() As String

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes


Optional

Manuel -> Interfaces de programmation -> Modèles d'objet -> SapParameter -> SapParameter-Properties -> Optional

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

Optional() As Boolean

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes


Default

Manuel -> Interfaces de programmation -> Modèles d'objet -> SapParameter -> SapParameter-Properties -> Default

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

Default() As Boolean

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes


RawData

Manuel -> Interfaces de programmation -> Modèles d'objet -> SapParameter -> SapParameter-Properties -> RawData

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

returns the data of the Parameter as one line, the values are separated by a Line-Feed character...

Datatype

RawData() As String

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes


SapParameter-Methods

Manuel -> Interfaces de programmation -> Modèles d'objet -> SapParameter -> SapParameter-Methods

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
VARIANT | Value [GET] | Value of the SAP parameter | available | available | yes | yes
void | Value [PUT] | Value of the SAP parameter | available | available | yes | yes

Other topics in this chapter

Value [GET]

Value [PUT]


Value [GET]

Manuel -> Interfaces de programmation -> Modèles d'objet -> SapParameter -> SapParameter-Methods -> Value [GET]

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

Value [GET]([optional]VARIANT vIndex) As VARIANT

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


Value [PUT]

Manuel -> Interfaces de programmation -> Modèles d'objet -> SapParameter -> SapParameter-Methods -> Value [PUT]

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

Value [PUT]([optional]VARIANT vIndex, VARIANT newValue) As void

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


SapParameter-Dynamic properties

Manuel -> Interfaces de programmation -> Modèles d'objet -> SapParameter -> SapParameter-Dynamic properties

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Dynproperties

SAP Parameter

Other topics in this chapter

SAP Parameter


SAP Parameter

Manuel -> Interfaces de programmation -> Modèles d'objet -> SapParameter -> SapParameter-Dynamic properties -> SAP Parameter

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Type

VBA/VSTA Name

Display Name

Description

VT_UI1

Type

Type

Type de paramètre. Dépendant du type de fonction. Utilisé uniquement à des fins d’information, défini lorsqu’une fonction SAP est créée via l’Assistant, conformément à la description de l’interface dans le système SAP.

Importation : la valeur du paramètre est transférée vers le bloc fonctionnel lors de l’appel.

Exporter : la valeur du paramètre est renvoyée par l’appel de la fonction.

Changement : paramètres d’entrée et de retour.

Table : table des types de fonctions. Cette table ne peut pas être modifiée.

Plus de détails dans l’aide en ligne.

VT_BSTR

Name

Nom dans le système SAP

Nom du paramètre, de la table ou du champ structuré dans le système SAP.

Plus de détails dans l’aide en ligne.

ZT_VARIABLE

Variable

Variable

Variable zenon liée au paramètre, à la table ou au champ structuré. Pour les tables, il s’agit normalement d’une variable de tableau.

Plus de détails dans l’aide en ligne.

VT_BOOL

Optional

Optionel

Indique si le paramètre ou la table est facultatif. Les paramètres et les tables facultatifs peuvent être omis lors de l’appel d’un bloc fonctionnel.

Utilisé uniquement à des fins d’information, défini lorsqu’une fonction SAP est créée via l’Assistant, conformément à la description de l’interface dans le système SAP.

Plus de détails dans l’aide en ligne.

VT_BSTR

Info

Informations

Texte court librement définissable. Utilisé uniquement à des fins d’information et, le cas échéant, défini lorsqu’une fonction SAP est créée via l’Assistant, conformément à la description de l’interface dans le système SAP.

Plus de détails dans l’aide en ligne.


SapParameters

Manuel -> Interfaces de programmation -> Modèles d'objet -> SapParameters

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Examples

C#

VB.NET

VB.NET-Syntax

VBA

Public WithEvents obFunReadTable As SapFunction

Public Sub ReadTable()
Dim obFunctions As SapFunctions

'Parameters
Dim obParQueryTable As SapParameter 'Input, Tablename
Dim obParDelimiter As SapParameter 'Input, Optional, Delimiter in DATA
Dim obParRowCount As SapParameter 'Input, Optional, 0 = all Rows
Dim obParRowSkip As SapParameter 'Input, Optional, 0 = from beginning
Dim obParNoData As SapParameter 'Input, Optional, "X" = read only Fielddefinitions (FIELDS)

'Tables
Dim obTabOptions As SapTable 'Input, WHERE-Clause
Dim obTabFields As SapTable 'Input/Output, Fielddefinitions
Dim obTabData As SapTable 'Output, Tabledata

Dim obRow As SapRow

Dim Error As tpSapError

' === Get Collection of Functionblocks
Set obFunctions = thisProject.SapFunctions

' === Create Functionblock "RFC_READ_TABLE" if not exists
Set obFunReadTable = obFunctions.Item("RFC_READ_TABLE")
If obFunReadTable Is Nothing Then
Set obFunReadTable = obFunctions.CreateSapFunction("RFC_READ_TABLE")
End If

' === Create Parameter if not exist
Set obParameters = obFunReadTable.Parameters 'Get Collection of Parameters
If Not obParameters Is Nothing Then

'Tablename
Set obParQueryTable = obParameters.Item("QUERY_TABLE")
If obParQueryTable Is Nothing Then
Set obParQueryTable = obParameters.CreateSapParameter("QUERY_TABLE")
End If
obParQueryTable.Value = thisProject.Variables.Item("QueryTable").Value

'Delimiter
Set obParDelimiter = obParameters.Item("DELIMITER")
If obParDelimiter Is Nothing Then
Set obParDelimiter = obParameters.CreateSapParameter("DELIMITER")
End If
obParDelimiter.Value = thisProject.Variables.Item("Delimiter").Value

'Count of Rows
Set obParRowCount = obParameters.Item("ROWCOUNT")
If obParRowCount Is Nothing Then
Set obParRowCount = obParameters.CreateSapParameter("ROWCOUNT")
End If
obParRowCount.Value = thisProject.Variables.Item("RowCount").Value

'StartRow
Set obParRowSkip = obParameters.Item("ROWSKIPS")
If obParRowSkip Is Nothing Then
Set obParRowSkip = obParameters.CreateSapParameter("ROWSKIPS")
End If
obParRowSkip.Value = thisProject.Variables.Item("RowSkips").Value

'Fields only
Set obParNoData = obParameters.Item("NO_DATA")
If obParNoData Is Nothing Then
Set obParNoData = obParameters.CreateSapParameter("NO_DATA")
End If
obParNoData.Value = thisProject.Variables.Item("NoData").Value
End If

' === Create Table if exits, either clear
Set obTables = obFunReadTable.Tables 'Get Collectin of Tables
If Not obTables Is Nothing Then

'Selections , "WHERE-Clause" (in)
Set obTabOptions = obTables.Item("OPTIONS")
If obTabOptions Is Nothing Then
Set obTabOptions = obTables.CreateSapTable("OPTIONS", False) 'Input
Else
obTabOptions.Clear
End If

'Names (in) and Structure (out) of read fields
Set obTabFields = obTables.Item("FIELDS")
If obTabFields Is Nothing Then
Set obTabFields = obTables.CreateSapTable("FIELDS", False) 'Input
Else
obTabFields.Clear
End If

'read Data (out)
Set obTabData = obTables.Item("DATA")
If obTabData Is Nothing Then
Set obTabData = obTables.CreateSapTable("DATA", False) 'Output
Else
obTabData.Clear
End If
End If

' === Call Function (asynchron), keeps the connection to the SAP-System afterwards
Error = obFunReadTable.CallAsync(True)

'>>> some zenon internals are used now in deep
'it comes back up again in "obFunReadTable_CallFinished"...

End Sub

' |
' |
' V

Private Sub obFunReadTable_CallFinished(ByVal obFunction As ISapFunction, ByVal Error As tpSapError)

'Back from zenon internals.
'This is used to avoid blocking the zenon Runtime during the Function call,
'because a function call may need some seconds to proceed...

' === Errorhandling
Call PrintError(Error, obFunReadTable.LastError)

' === check result
If Error = tpSapError_Ok Then 'no error
Dim obParameters As SapParameters
Dim obParameter As SapParameter
Dim obTables As SapTables
Dim obTable As SapTable

Dim obTabFields As SapTable 'Input
Dim obTabData As SapTable 'Output

Dim Count As Integer
Dim RowData As String

' === check Parameter and Tables
Set obTables = obFunReadTable.Tables

' === check Table "FIELDS"
Set obTabFields = obTables.Item("FIELDS")

Count = obTabFields.Rows.Count
If Count > 5 Then Count = 5 'only the first 5 rows

For i = 0 To Count - 1
RowData = obTabFields.Rows.Item(i).RawData
'FIELDNAME = Name of the Field
thisProject.Variables.Item("FIELDS_Row[" & i & "].FIELDNAME").Value = GetNextField(RowData)
'OFFSET = Start of the Field in the Row
thisProject.Variables.Item("FIELDS_Row[" & i & "].OFFSET").Value = CInt(GetNextField(RowData))
'LENGTH = Length of the Field
thisProject.Variables.Item("FIELDS_Row[" & i & "].LENGTH").Value = CInt(GetNextField(RowData))
'TYPE = Datatype of the Field
thisProject.Variables.Item("FIELDS_Row[" & i & "].TYPE").Value = GetNextField(RowData)
'FIELDTEXT = description of the Field
thisProject.Variables.Item("FIELDS_Row[" & i & "].FIELDTEXT").Value = GetNextField(RowData)
Next

' === check Table "DATA"
Set obTabData = obTables.Item("DATA")

Count = obTabData.Rows.Count
If Count > 5 Then Count = 5 'only the first 5 rows

For i = 0 To Count - 1
'One row of the table "DATA" contains only one filed with 512 characters
RowData = obTabData.Rows.Item(i).RawData
thisProject.Variables.Item("DATA_Row[" & i & "]").Value = RowData
Next
End If
End Sub

Public Sub PrintError(Error As tpSapError, LastError As String)
Dim ShortError As String

Select Case Error
Case tpSapError_No_Connection ' No connection to SAP system
ShortError = "No connection to SAP system"
Case tpSapError_Ok ' OK.
ShortError = "No Error"
Case tpSapError_Failure ' Error occurred
ShortError = "Error occurred"
Case tpSapError_Exception ' Exception raised
ShortError = "Exception raised"
Case tpSapError_Sys_Exception ' System exception raised, connection closed
ShortError = "System exception raised, connection closed"
Case tpSapError_Call ' Call received
ShortError = "Call received"
Case tpSapError_Internal_Com ' Internal communication, repeat (internal use only
ShortError = "Internal communication, repeat (internal use only)"
Case tpSapError_Closed ' Connection closed by the other side
ShortError = "Connection closed by the other side"
Case tpSapError_Retry ' No data yet (RfcListen or RfcWaitForRequest only)
ShortError = "No data yet (RfcListen or RfcWaitForRequest only)"
Case tpSapError_No_Tid ' No Transaction ID available
DError = "No Transaction ID available"
Case tpSapError_Executed ' Function already executed
ShortError = "Function already executed"
Case tpSapError_Synchronize ' Synchronous Call in Progress (only for Windows)
ShortError = "Synchronous Call in Progress (only for Windows)"
Case tpSapError_Memory_Insufficient ' Memory insufficient
ShortError = "Memory insufficient"
Case tpSapError_Version_Mismatch ' Version mismatch
ShortError = "Version mismatch"
Case tpSapError_Not_found ' Function not found (internal use only)
ShortError = "Function not found (internal use only)"
Case tpSapError_Call_Not_Supported ' This call is not supported
ShortError = "This call is not supported"
Case tpSapError_Not_Owner ' Caller does not own the specified handle
ShortError = "Caller does not own the specified handle"
Case tpSapError_Not_Initialized ' RFC not yet initialized
ShortError = "RFC not yet initialized"
Case tpSapError_System_Called ' A system call such as RFC_PING for connection test is executed
ShortError = "A system call such as RFC_PING for connection test is executed"
Case tpSapError_Invalid_Handle ' An invalid handle was passed to an API call
ShortError = "An invalid handle was passed to an API call"
Case tpSapError_Invalid_Parameter ' An invalid parameter was passed to an API call or parameter length mismatch (expected and received) has been detected.
ShortError = "An invalid parameter was passed to an API call or parameter length mismatch (expected and received) has been detected."
Case tpSapError_Canceled ' An rfc call has been canceled by user
ShortError = "An rfc call has been canceled by user"
Case tpSapError_Conversion ' An error during conversion has been detected
ShortError = "An error during conversion has been detected"
Case tpSapError_Invalid_Protocol ' The received data has an unsupported format. e.g.: non unicode application receives data sent in unicode format
ShortError = "The received data has an unsupported format. e.g.: non unicode application receives data sent in unicode format"
Case tpSapError_Timeout ' Timeout
ShortError = "Timeout"
End Select

'Errorcode
thisProject.Variables.Item("ErrorCode").Value = Error
'Description of the Error
thisProject.Variables.Item("ShortError").Value = ShortError
'More detailed description of the last error
thisProject.Variables.Item("LastError").Value = LastError
End Sub

Public Function GetNextField(ByRef Text As String)
'Function to extract FieldValues out of a RawData string...

pos = InStr(Text, Chr$(10)) 'search for delimiter
If pos > 0 Then 'delimiter exists?
GetNextField = Left$(Text, pos - 1) 'return text until delimiter
Else 'no more delimiters
GetNextField = Text 'return string
End If
Text = Right$(Text, Len(Text) - pos) 'return text until delimiter or end - cut
End Function

Private Sub Project_Inactive()
'release object to avoid memory leaks...
thisProject.SapFunctions.DeleteSapFunction ("RFC_READ_TABLE")
End Sub

Other topics in this chapter

SapParameters-Properties

SapParameters-Methods


SapParameters-Properties

Manuel -> Interfaces de programmation -> Modèles d'objet -> SapParameters -> SapParameters-Properties

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
long | Count | Count of defined SAP parameters | available | available | yes | yes
ISapFunction | Parent | Parent-object | available | available | yes | yes

Other topics in this chapter

Parent

Count


Parent

Manuel -> Interfaces de programmation -> Modèles d'objet -> SapParameters -> SapParameters-Properties -> Parent

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

Parent() As SapFunction

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes


Count

Manuel -> Interfaces de programmation -> Modèles d'objet -> SapParameters -> SapParameters-Properties -> Count

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

Count() As long

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes


SapParameters-Methods

Manuel -> Interfaces de programmation -> Modèles d'objet -> SapParameters -> SapParameters-Methods

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
ISapParameter | CreateSapParameter | Creates a new SAP parameter (unique name) | available | available | yes | yes
VARIANT_BOOL | DeleteSapParameter | Deletes the given SAP parameter | available | available | yes | yes
ISapParameter | Item | Returns the SAP parameter by name or position | available | available | yes | yes

Other topics in this chapter

CreateSapParameter

DeleteSapParameter

Item


CreateSapParameter

Manuel -> Interfaces de programmation -> Modèles d'objet -> SapParameters -> SapParameters-Methods -> CreateSapParameter

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

CreateSapParameter(String Name, [optional] VARIANT bOptional, [optional] VARIANT bDefault) As SapParameter

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


DeleteSapParameter

Manuel -> Interfaces de programmation -> Modèles d'objet -> SapParameters -> SapParameters-Methods -> DeleteSapParameter

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

DeleteSapParameter(String Name) As Boolean

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


Item

Manuel -> Interfaces de programmation -> Modèles d'objet -> SapParameters -> SapParameters-Methods -> Item

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

Item(VARIANT vID) As SapParameter

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

Index or name.

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

vID As Variant

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


SapRow

Manuel -> Interfaces de programmation -> Modèles d'objet -> SapRow

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Examples

C#

VB.NET

VB.NET-Syntax

VBA

Public WithEvents obFunReadTable As SapFunction

Public Sub ReadTable()
Dim obFunctions As SapFunctions

'Parameters
Dim obParQueryTable As SapParameter 'Input, Tablename
Dim obParDelimiter As SapParameter 'Input, Optional, Delimiter in DATA
Dim obParRowCount As SapParameter 'Input, Optional, 0 = all Rows
Dim obParRowSkip As SapParameter 'Input, Optional, 0 = from beginning
Dim obParNoData As SapParameter 'Input, Optional, "X" = read only Fielddefinitions (FIELDS)

'Tables
Dim obTabOptions As SapTable 'Input, WHERE-Clause
Dim obTabFields As SapTable 'Input/Output, Fielddefinitions
Dim obTabData As SapTable 'Output, Tabledata

Dim obRow As SapRow

Dim Error As tpSapError

' === Get Collection of Functionblocks
Set obFunctions = thisProject.SapFunctions

' === Create Functionblock "RFC_READ_TABLE" if not exists
Set obFunReadTable = obFunctions.Item("RFC_READ_TABLE")
I f obFunReadTable Is Nothing Then
Set obFunReadTable = obFunctions.CreateSapFunction("RFC_READ_TABLE")
End If

' === Create Parameter if not exist
Set obParameters = obFunReadTable.Parameters 'Get Collection of Parameters
If Not obParameters Is Nothing Then

'Tablename
Set obParQueryTable = obParameters.Item("QUERY_TABLE")
If obParQueryTable Is Nothing Then
Set obParQueryTable = obParameters.CreateSapParameter("QUERY_TABLE")
End If
obParQueryTable.Value = thisProject.Variables.Item("QueryTable").Value

'Delimiter
Set obParDelimiter = obParameters.Item("DELIMITER")
If obParDelimiter Is Nothing Then
Set obParDelimiter = obParameters.CreateSapParameter("DELIMITER")
End If
obParDelimiter.Value = thisProject.Variables.Item("Delimiter").Value

'Count of Rows
Set obParRowCount = obParameters.Item("ROWCOUNT")
If obParRowCount Is Nothing Then
Set obParRowCount = obParameters.CreateSapParameter("ROWCOUNT")
End If
obParRowCount.Value = thisProject.Variables.Item("RowCount").Value

'StartRow
Set obParRowSkip = obParameters.Item("ROWSKIPS")
If obParRowSkip Is Nothing Then
Set obParRowSkip = obParameters.CreateSapParameter("ROWSKIPS")
End If
obParRowSkip.Value = thisProject.Variables.Item("RowSkips").Value

'Fields only
Set obParNoData = obParameters.Item("NO_DATA")
If obParNoData Is Nothing Then
Set obParNoData = obParameters.CreateSapParameter("NO_DATA")
End If
obParNoData.Value = thisProject.Variables.Item("NoData").Value
End If

' === Create Table if exits, either clear
Set obTables = obFunReadTable.Tables 'Get Collectin of Tables
If Not obTables Is Nothing Then

'Selections , "WHERE-Clause" (in)
Set obTabOptions = obTables.Item("OPTIONS")
If obTabOptions Is Nothing Then
Set obTabOptions = obTables.CreateSapTable("OPTIONS", False) 'Input
Else
obTabOptions.Clear
End If

'Names (in) and Structure (out) of read fields
Set obTabFields = obTables.Item("FIELDS")
If obTabFields Is Nothing Then
Set obTabFields = obTables.CreateSapTable("FIELDS", False) 'Input
Else
obTabFields.Clear
End If

'read Data (out)
Set obTabData = obTables.Item("DATA")
If obTabData Is Nothing Then
Set obTabData = obTables.CreateSapTable("DATA", False) 'Output
Else
obTabData.Clear
End If
End If

' === Call Function (asynchron), keeps the connection to the SAP-System afterwards
Error = obFunReadTable.CallAsync(True)

'>>> some zenon internals are used now in deep
'it comes back up again in "obFunReadTable_CallFinished"...

End Sub

' |
' |
' V

Private Sub obFunReadTable_CallFinished(ByVal obFunction As ISapFunction, ByVal Error As tpSapError)

'Back from zenon internals.
'This is used to avoid blocking the zenon Runtime during the Function call,
'because a function call may need some seconds to proceed...

' === Errorhandling
Call PrintError(Error, obFunReadTable.LastError)

' === check result
If Error = tpSapError_Ok Then 'no error
Dim obParameters As SapParameters
Dim obParameter As SapParameter
Dim obTables As SapTables
Dim obTable As SapTable

Dim obTabFields As SapTable 'Input
Dim obTabData As SapTable 'Output

Dim Count As Integer
Dim RowData As String

' === check Parameter and Tables
Set obTables = obFunReadTable.Tables

' === check Table "FIELDS"
Set obTabFields = obTables.Item("FIELDS")

Count = obTabFields.Rows.Count
If Count > 5 Then Count = 5 'only the first 5 rows

For i = 0 To Count - 1
RowData = obTabFields.Rows.Item(i).RawData
'FIELDNAME = Name of the Field
thisProject.Variables.Item("FIELDS_Row[" & i & "].FIELDNAME").Value = GetNextField(RowData)
'OFFSET = Start of the Field in the Row
thisProject.Variables.Item("FIELDS_Row[" & i & "].OFFSET").Value = CInt(GetNextField(RowData))
'LENGTH = Length of the Field
thisProject.Variables.Item("FIELDS_Row[" & i & "].LENGTH").Value = CInt(GetNextField(RowData))
'TYPE = Datatype of the Field
thisProject.Variables.Item("FIELDS_Row[" & i & "].TYPE").Value = GetNextField(RowData)
'FIELDTEXT = description of the Field
thisProject.Variables.Item("FIELDS_Row[" & i & "].FIELDTEXT").Value
Next

' === check Table "DATA"
Set obTabData = obTables.Item("DATA")

Count = obTabData.Rows.Count
If Count > 5 Then Count = 5 'only the first 5 rows

For i = 0 To Count - 1
'One row of the table "DATA" contains only one filed with 512 characters
RowData = obTabData.Rows.Item(i).RawData
thisProject.Variables.Item("DATA_Row[" & i & "]").Value = RowData
Next
End If
End Sub

Public Sub PrintError(Error As tpSapError, LastError As String)
Dim ShortError As String

Select Case Error
Case tpSapError_No_Connection ' No connection to SAP system
ShortError = "No connection to SAP system"
Case tpSapError_Ok ' OK.
ShortError = "No Error"
Case tpSapError_Failure ' Error occurred
ShortError = "Error occurred"
Case tpSapError_Exception ' Exception raised
ShortError = "Exception raised"
Case tpSapError_Sys_Exception ' System exception raised, connection closed
ShortError = "System exception raised, connection closed"
Case tpSapError_Call ' Call received
ShortError = "Call received"
Case tpSapError_Internal_Com ' Internal communication, repeat (internal use only
ShortError = "Internal communication, repeat (internal use only)"
Case tpSapError_Closed ' Connection closed by the other side
ShortError = "Connection closed by the other side"
Case tpSapError_Retry ' No data yet (RfcListen or RfcWaitForRequest only)
ShortError = "No data yet (RfcListen or RfcWaitForRequest only)"
Case tpSapError_No_Tid ' No Transaction ID available
DError = "No Transaction ID available"
Case tpSapError_Executed ' Function already executed
ShortError = "Function already executed"
Case tpSapError_Synchronize ' Synchronous Call in Progress (only for Windows)
ShortError = "Synchronous Call in Progress (only for Windows)"
Case tpSapError_Memory_Insufficient ' Memory insufficient
ShortError = "Memory insufficient"
Case tpSapError_Version_Mismatch ' Version mismatch
ShortError = "Version mismatch"
Case tpSapError_Not_found ' Function not found (internal use only)
ShortError = "Function not found (internal use only)"
Case tpSapError_Call_Not_Supported ' This call is not supported
ShortError = "This call is not supported"
Case tpSapError_Not_Owner ' Caller does not own the specified handle
ShortError = "Caller does not own the specified handle"
Case tpSapError_Not_Initialized ' RFC not yet initialized
ShortError = "RFC not yet initialized"
Case tpSapError_System_Called ' A system call such as RFC_PING for connection test is executed
ShortError = "A system call such as RFC_PING for connection test is executed"
Case tpSapError_Invalid_Handle ' An invalid handle was passed to an API call
ShortError = "An invalid handle was passed to an API call"
Case tpSapError_Invalid_Parameter ' An invalid parameter was passed to an API call or parameter length mismatch (expected and received) has been detected.
ShortError = "An invalid parameter was passed to an API call or parameter length mismatch (expected and received) has been detected."
Case tpSapError_Canceled ' An rfc call has been canceled by user
ShortError = "An rfc call has been canceled by user"
Case tpSapError_Conversion ' An error during conversion has been detected
ShortError = "An error during conversion has been detected"
Case tpSapError_Invalid_Protocol ' The received data has an unsupported format. e.g.: non unicode application receives data sent in unicode format
ShortError = "The received data has an unsupported format. e.g.: non unicode application receives data sent in unicode format"
Case tpSapError_Timeout ' Timeout
ShortError = "Timeout"
End Select

'Errorcode
thisProject.Variables.Item("ErrorCode").Value = Error
'Description of the Error
thisProject.Variables.Item("ShortError").Value = ShortError
'More detailed description of the last error
thisProject.Variables.Item("LastError").Value = LastError
End Sub

Public Function GetNextField(ByRef Text As String)
'Function to extract FieldValues out of a RawData string...

pos = InStr(Text, Chr$(10)) 'search for delimiter
If pos > 0 Then 'delimiter exists?
GetNextField = Left$(Text, pos - 1) 'return text until delimiter
Else 'no more delimiters
GetNextField = Text 'return string
End If
Text = Right$(Text, Len(Text) - pos) 'return text until delimiter or end - cut
End Function

Private Sub Project_Inactive()
'release object to avoid memory leaks...
thisProject.SapFunctions.DeleteSapFunction ("RFC_READ_TABLE")
End Sub

Other topics in this chapter

SapRow-Properties

SapRow-Methods


SapRow-Properties

Manuel -> Interfaces de programmation -> Modèles d'objet -> SapRow -> SapRow-Properties

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
ISapRows | Parent | Parent-object | available | available | yes | yes
BSTR | RawData | Returns the raw Data of the SAP row in a delimited string | available | not used | yes | yes

Other topics in this chapter

Parent

RawData


Parent

Manuel -> Interfaces de programmation -> Modèles d'objet -> SapRow -> SapRow-Properties -> Parent

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

Parent() As SapRows

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes


RawData

Manuel -> Interfaces de programmation -> Modèles d'objet -> SapRow -> SapRow-Properties -> RawData

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

RawData() As String

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes


SapRow-Methods

Manuel -> Interfaces de programmation -> Modèles d'objet -> SapRow -> SapRow-Methods

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
VARIANT | Value [GET] | Value of the SAP row / column | available | available | yes | yes
void | Value [PUT] | Value of the SAP row / column | available | available | yes | yes

Other topics in this chapter

Value [GET]

Value [PUT]


Value [GET]

Manuel -> Interfaces de programmation -> Modèles d'objet -> SapRow -> SapRow-Methods -> Value [GET]

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

Value [GET]([optional]VARIANT vIndex) As VARIANT

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


Value [PUT]

Manuel -> Interfaces de programmation -> Modèles d'objet -> SapRow -> SapRow-Methods -> Value [PUT]

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

Value [PUT]([optional]VARIANT vIndex, VARIANT newValue) As void

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


SapRows

Manuel -> Interfaces de programmation -> Modèles d'objet -> SapRows

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Examples

C#

VB.NET

VB.NET-Syntax

VBA

Public WithEvents obFunReadTable As SapFunction

Public Sub ReadTable()
Dim obFunctions As SapFunctions

'Parameters
Dim obParQueryTable As SapParameter 'Input, Tablename
Dim obParDelimiter As SapParameter 'Input, Optional, Delimiter in DATA
Dim obParRowCount As SapParameter 'Input, Optional, 0 = all Rows
Dim obParRowSkip As SapParameter 'Input, Optional, 0 = from beginning
Dim obParNoData As SapParameter 'Input, Optional, "X" = read only Fielddefinitions (FIELDS)

'Tables
Dim obTabOptions As SapTable 'Input, WHERE-Clause
Dim obTabFields As SapTable 'Input/Output, Fielddefinitions
Dim obTabData As SapTable 'Output, Tabledata

Dim obRow As SapRow

Dim Error As tpSapError

' === Get Collection of Functionblocks
Set obFunctions = thisProject.SapFunctions

' === Create Functionblock "RFC_READ_TABLE" if not exists
Set obFunReadTable = obFunctions.Item("RFC_READ_TABLE")
If obFunReadTable Is Nothing Then
Set obFunReadTable = obFunctions.CreateSapFunction("RFC_READ_TABLE")
End If

' === Create Parameter if not exist
Set obParameters = obFunReadTable.Parameters 'Get Collection of Parameters
If Not obParameters Is Nothing Then

'Tablename
Set obParQueryTable = obParameters.Item("QUERY_TABLE")
If obParQueryTable Is Nothing Then
Set obParQueryTable = obParameters.CreateSapParameter("QUERY_TABLE")
End If
obParQueryTable.Value = thisProject.Variables.Item("QueryTable").Value

'Delimiter
Set obParDelimiter = obParameters.Item("DELIMITER")
If obParDelimiter Is Nothing Then
Set obParDelimiter = obParameters.CreateSapParameter("DELIMITER")
End If
obParDelimiter.Value = thisProject.Variables.Item("Delimiter").Value

'Count of Rows
Set obParRowCount = obParameters.Item("ROWCOUNT")
If obParRowCount Is Nothing Then
Set obParRowCount = obParameters.CreateSapParameter("ROWCOUNT")
End If
obParRowCount.Value = thisProject.Variables.Item("RowCount").Value

'StartRow
Set obParRowSkip = obParameters.Item("ROWSKIPS")
If obParRowSkip Is Nothing Then
Set obParRowSkip = obParameters.CreateSapParameter("ROWSKIPS")
End If
obParRowSkip.Value = thisProject.Variables.Item("RowSkips").Value

'Fields only
Set obParNoData = obParameters.Item("NO_DATA")
If obParNoData Is Nothing Then
Set obParNoData = obParameters.CreateSapParameter("NO_DATA")
End If
obParNoData.Value = thisProject.Variables.Item("NoData").Value
End If

' === Create Table if exits, either clear
Set obTables = obFunReadTable.Tables 'Get Collectin of Tables
If Not obTables Is Nothing Then

'Selections , "WHERE-Clause" (in)
Set obTabOptions = obTables.Item("OPTIONS")
If obTabOptions Is Nothing Then
Set obTabOptions = obTables.CreateSapTable("OPTIONS", False) 'Input
Else
obTabOptions.Clear
End If

'Names (in) and Structure (out) of read fields
Set obTabFields = obTables.Item("FIELDS")
If obTabFields Is Nothing Then
Set obTabFields = obTables.CreateSapTable("FIELDS", False) 'Input
Else
obTabFields.Clear
End If

'read Data (out)
Set obTabData = obTables.Item("DATA")
If obTabData Is Nothing Then
Set obTabData = obTables.CreateSapTable("DATA", False) 'Output
Else
obTabData.Clear
End If
End If

' === Call Function (asynchron), keeps the connection to the SAP-System afterwards
Error = obFunReadTable.CallAsync(True)

'>>> some zenon internals are used now in deep
'it comes back up again in "obFunReadTable_CallFinished"...

End Sub

' |
' |
' V

Private Sub obFunReadTable_CallFinished(ByVal obFunction As ISapFunction, ByVal Error As tpSapError)

'Back from zenon internals.
'This is used to avoid blocking the zenon Runtime during the Function call,
'because a function call may need some seconds to proceed...

' === Errorhandling
Call PrintError(Error, obFunReadTable.LastError)

' === check result
If Error = tpSapError_Ok Then 'no error
Dim obParameters As SapParameters
Dim obParameter As SapParameter
Dim obTables As SapTables
Dim obTable As SapTable

Dim obTabFields As SapTable 'Input
Dim obTabData As SapTable 'Output

Dim Count As Integer
Dim RowData As String

' === check Parameter and Tables
Set obTables = obFunReadTable.Tables

' === check Table "FIELDS"
Set obTabFields = obTables.Item("FIELDS")

Count = obTabFields.Rows.Count
If Count > 5 Then Count = 5 'only the first 5 rows

For i = 0 To Count - 1
RowData = obTabFields.Rows.Item(i).RawData
'FIELDNAME = Name of the Field
thisProject.Variables.Item("FIELDS_Row[" & i & "].FIELDNAME").Value = GetNextField(RowData)
'OFFSET = Start of the Field in the Row
thisProject.Variables.Item("FIELDS_Row[" & i & "].OFFSET").Value = CInt(GetNextField(RowData))
'LENGTH = Length of the Field
thisProject.Variables.Item("FIELDS_Row[" & i & "].LENGTH").Value = CInt(GetNextField(RowData))
'TYPE = Datatype of the Field
thisProject.Variables.Item("FIELDS_Row[" & i & "].TYPE").Value = GetNextField(RowData)
'FIELDTEXT = description of the Field
thisProject.Variables.Item("FIELDS_Row[" & i & "].FIELDTEXT").Value = GetNextField(RowData)
Next

' === check Table "DATA"
Set obTabData = obTables.Item("DATA")

Count = obTabData.Rows.Count
If Count > 5 Then Count = 5 'only the first 5 rows

For i = 0 To Count - 1
'One row of the table "DATA" contains only one filed with 512 characters
RowData = obTabData.Rows.Item(i).RawData
thisProject.Variables.Item("DATA_Row[" & i & "]").Value = RowData
Next
End If
End Sub

Public Sub PrintError(Error As tpSapError, LastError As String)
Dim ShortError As String

Select Case Error
Case tpSapError_No_Connection ' No connection to SAP system
ShortError = "No connection to SAP system"
Case tpSapError_Ok ' OK.
ShortError = "No Error"
Case tpSapError_Failure ' Error occurred
ShortError = "Error occurred"
Case tpSapError_Exception ' Exception raised
ShortError = "Exception raised"
Case tpSapError_Sys_Exception ' System exception raised, connection closed
ShortError = "System exception raised, connection closed"
Case tpSapError_Call ' Call received
ShortError = "Call received"
Case tpSapError_Internal_Com ' Internal communication, repeat (internal use only
ShortError = "Internal communication, repeat (internal use only)"
Case tpSapError_Closed ' Connection closed by the other side
ShortError = "Connection closed by the other side"
Case tpSapError_Retry ' No data yet (RfcListen or RfcWaitForRequest only)
ShortError = "No data yet (RfcListen or RfcWaitForRequest only)"
Case tpSapError_No_Tid ' No Transaction ID available
DError = "No Transaction ID available"
Case tpSapError_Executed ' Function already executed
ShortError = "Function already executed"
Case tpSapError_Synchronize ' Synchronous Call in Progress (only for Windows)
ShortError = "Synchronous Call in Progress (only for Windows)"
Case tpSapError_Memory_Insufficient ' Memory insufficient
ShortError = "Memory insufficient"
Case tpSapError_Version_Mismatch ' Version mismatch
ShortError = "Version mismatch"
Case tpSapError_Not_found ' Function not found (internal use only)
ShortError = "Function not found (internal use only)"
Case tpSapError_Call_Not_Supported ' This call is not supported
ShortError = "This call is not supported"
Case tpSapError_Not_Owner ' Caller does not own the specified handle
ShortError = "Caller does not own the specified handle"
Case tpSapError_Not_Initialized ' RFC not yet initialized
ShortError = "RFC not yet initialized"
Case tpSapError_System_Called ' A system call such as RFC_PING for connection test is executed
ShortError = "A system call such as RFC_PING for connection test is executed"
Case tpSapError_Invalid_Handle ' An invalid handle was passed to an API call
ShortError = "An invalid handle was passed to an API call"
Case tpSapError_Invalid_Parameter ' An invalid parameter was passed to an API call or parameter length mismatch (expected and received) has been detected.
ShortError = "An invalid parameter was passed to an API call or parameter length mismatch (expected and received) has been detected."
Case tpSapError_Canceled ' An rfc call has been canceled by user
ShortError = "An rfc call has been canceled by user"
Case tpSapError_Conversion ' An error during conversion has been detected
ShortError = "An error during conversion has been detected"
Case tpSapError_Invalid_Protocol ' The received data has an unsupported format. e.g.: non unicode application receives data sent in unicode format
ShortError = "The received data has an unsupported format. e.g.: non unicode application receives data sent in unicode format"
Case tpSapError_Timeout ' Timeout
ShortError = "Timeout"
End Select

'Errorcode
thisProject.Variables.Item("ErrorCode").Value = Error
'Description of the Error
thisProject.Variables.Item("ShortError").Value = ShortError
'More detailed description of the last error
thisProject.Variables.Item("LastError").Value = LastError
End Sub

Public Function GetNextField(ByRef Text As String)
'Function to extract FieldValues out of a RawData string...

pos = InStr(Text, Chr$(10)) 'search for delimiter
If pos > 0 Then 'delimiter exists?
GetNextField = Left$(Text, pos - 1) 'return text until delimiter
Else 'no more delimiters
GetNextField = Text 'return string
End If
Text = Right$(Text, Len(Text) - pos) 'return text until delimiter or end - cut
End Function

Private Sub Project_Inactive()
'release object to avoid memory leaks...
thisProject.SapFunctions.DeleteSapFunction ("RFC_READ_TABLE")
End Sub

Other topics in this chapter

SapRows-Properties

SapRows-Methods


SapRows-Properties

Manuel -> Interfaces de programmation -> Modèles d'objet -> SapRows -> SapRows-Properties

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
long | Count | Count of defined SAP rows in the table | available | available | yes | yes
ISapTable | Parent | Parent-object | available | available | yes | yes

Other topics in this chapter

Parent

Count


Parent

Manuel -> Interfaces de programmation -> Modèles d'objet -> SapRows -> SapRows-Properties -> Parent

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

Parent() As SapTable

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes


Count

Manuel -> Interfaces de programmation -> Modèles d'objet -> SapRows -> SapRows-Properties -> Count

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

Count() As long

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes


SapRows-Methods

Manuel -> Interfaces de programmation -> Modèles d'objet -> SapRows -> SapRows-Methods

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
ISapRow | AppendSapRow | Appends a new SAP row at the end of the table | available | not used | yes | yes
VARIANT_BOOL | DeleteSapRow | Deletes the SAP row at the given index | available | not used | yes | yes
ISapRow | InsertSapRow | Inserts a new SAP row at the given index | available | not used | yes | yes
ISapRow | Item | Returns the SAP row at the given index | available | not used | yes | yes

Other topics in this chapter

AppendSapRow

InsertSapRow

DeleteSapRow

Item


AppendSapRow

Manuel -> Interfaces de programmation -> Modèles d'objet -> SapRows -> SapRows-Methods -> AppendSapRow

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

AppendSapRow() As SapRow

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


InsertSapRow

Manuel -> Interfaces de programmation -> Modèles d'objet -> SapRows -> SapRows-Methods -> InsertSapRow

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

InsertSapRow(long Index) As SapRow

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


DeleteSapRow

Manuel -> Interfaces de programmation -> Modèles d'objet -> SapRows -> SapRows-Methods -> DeleteSapRow

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

DeleteSapRow(String Name) As Boolean

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


Item

Manuel -> Interfaces de programmation -> Modèles d'objet -> SapRows -> SapRows-Methods -> Item

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

Item(VARIANT vID) As SapRow

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


SapTable

Manuel -> Interfaces de programmation -> Modèles d'objet -> SapTable

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Examples

C#

VB.NET

VB.NET-Syntax

VBA

Public WithEvents obFunReadTable As SapFunction

Public Sub ReadTable()
Dim obFunctions As SapFunctions

'Parameters
Dim obParQueryTable As SapParameter 'Input, Tablename
Dim obParDelimiter As SapParameter 'Input, Optional, Delimiter in DATA
Dim obParRowCount As SapParameter 'Input, Optional, 0 = all Rows
Dim obParRowSkip As SapParameter 'Input, Optional, 0 = from beginning
Dim obParNoData As SapParameter 'Input, Optional, "X" = read only Fielddefinitions (FIELDS)

'Tables
Dim obTabOptions As SapTable 'Input, WHERE-Clause
Dim obTabFields As SapTable 'Input/Output, Fielddefinitions
Dim obTabData As SapTable 'Output, Tabledata

Dim obRow As SapRow

Dim Error As tpSapError

' === Get Collection of Functionblocks
Set obFunctions = thisProject.SapFunctions

' === Create Functionblock "RFC_READ_TABLE" if not exists
Set obFunReadTable = obFunctions.Item("RFC_READ_TABLE")
If obFunReadTable Is Nothing Then
Set obFunReadTable = obFunctions.CreateSapFunction("RFC_READ_TABLE")
End If

' === Create Parameter if not exist
Set obParameters = obFunReadTable.Parameters 'Get Collection of Parameters
If Not obParameters Is Nothing Then

'Tablename
Set obParQueryTable = obParameters.Item("QUERY_TABLE")
If obParQueryTable Is Nothing Then
Set obParQueryTable = obParameters.CreateSapParameter("QUERY_TABLE")
End If
obParQueryTable.Value = thisProject.Variables.Item("QueryTable").Value

'Delimiter
Set obParDelimiter = obParameters.Item("DELIMITER")
If obParDelimiter Is Nothing Then
Set obParDelimiter = obParameters.CreateSapParameter("DELIMITER")
End If
obParDelimiter.Value = thisProject.Variables.Item("Delimiter").Value

'Count of Rows
Set obParRowCount = obParameters.Item("ROWCOUNT")
If obParRowCount Is Nothing Then
Set obParRowCount = obParameters.CreateSapParameter("ROWCOUNT")
End If
obParRowCount.Value = thisProject.Variables.Item("RowCount").Value

'StartRow
Set obParRowSkip = obParameters.Item("ROWSKIPS")
If obParRowSkip Is Nothing Then
Set obParRowSkip = obParameters.CreateSapParameter("ROWSKIPS")
End If
obParRowSkip.Value = thisProject.Variables.Item("RowSkips").Value

'Fields only
Set obParNoData = obParameters.Item("NO_DATA")
If obParNoData Is Nothing Then
Set obParNoData = obParameters.CreateSapParameter("NO_DATA")
End If
obParNoData.Value = thisProject.Variables.Item("NoData").Value
End If

' === Create Table if exits, either clear
Set obTables = obFunReadTable.Tables 'Get Collectin of Tables
If Not obTables Is Nothing Then

'Selections , "WHERE-Clause" (in)
Set obTabOptions = obTables.Item("OPTIONS")
If obTabOptions Is Nothing Then
Set obTabOptions = obTables.CreateSapTable("OPTIONS", False) 'Input
Else
obTabOptions.Clear
End If

'Names (in) and Structure (out) of read fields
Set obTabFields = obTables.Item("FIELDS")
If obTabFields Is Nothing Then
Set obTabFields = obTables.CreateSapTable("FIELDS", False) 'Input
Else
obTabFields.Clear
End If

'read Data (out)
Set obTabData = obTables.Item("DATA")
If obTabData Is Nothing Then
Set obTabData = obTables.CreateSapTable("DATA", False) 'Output
Else
obTabData.Clear
End If
End If

' === Call Function (asynchron), keeps the connection to the SAP-System afterwards
Error = obFunReadTable.CallAsync(True)

'>>> some zenon internals are used now in deep
'it comes back up again in "obFunReadTable_CallFinished"...

End Sub

' |
' |
' V

Private Sub obFunReadTable_CallFinished(ByVal obFunction As ISapFunction, ByVal Error As tpSapError)

'Back from zenon internals.
'This is used to avoid blocking the zenon Runtime during the Function call,
'because a function call may need some seconds to proceed...

' === Errorhandling
Call PrintError(Error, obFunReadTable.LastError)

' === check result
If Error = tpSapError_Ok Then 'no error
Dim obParameters As SapParameters
Dim obParameter As SapParameter
Dim obTables As SapTables
Dim obTable As SapTable

Dim obTabFields As SapTable 'Input
Dim obTabData As SapTable 'Output

Dim Count As Integer
Dim RowData As String

' === check Parameter and Tables
Set obTables = obFunReadTable.Tables

' === check Table "FIELDS"
Set obTabFields = obTables.Item("FIELDS")

Count = obTabFields.Rows.Count
If Count > 5 Then Count = 5 'only the first 5 rows

For i = 0 To Count - 1
RowData = obTabFields.Rows.Item(i).RawData
'FIELDNAME = Name of the Field
thisProject.Variables.Item("FIELDS_Row[" & i & "].FIELDNAME").Value = GetNextField(RowData)
'OFFSET = Start of the Field in the Row
thisProject.Variables.Item("FIELDS_Row[" & i & "].OFFSET").Value = CInt(GetNextField(RowData))
'LENGTH = Length of the Field
thisProject.Variables.Item("FIELDS_Row[" & i & "].LENGTH").Value = CInt(GetNextField(RowData))
'TYPE = Datatype of the Field
thisProject.Variables.Item("FIELDS_Row[" & i & "].TYPE").Value = GetNextField(RowData)
'FIELDTEXT = description of the Field
thisProject.Variables.Item("FIELDS_Row[" & i & "].FIELDTEXT").Value = GetNextField(RowData)
Next

' === check Table "DATA"
Set obTabData = obTables.Item("DATA")

Count = obTabData.Rows.Count
If Count > 5 Then Count = 5 'only the first 5 rows

For i = 0 To Count - 1
'One row of the table "DATA" contains only one filed with 512 characters
RowData = obTabData.Rows.Item(i).RawData
thisProject.Variables.Item("DATA_Row[" & i & "]").Value = RowData
Next
End If
End Sub

Public Sub PrintError(Error As tpSapError, LastError As String)
Dim ShortError As String

Select Case Error
Case tpSapError_No_Connection ' No connection to SAP system
ShortError = "No connection to SAP system"
Case tpSapError_Ok ' OK.
ShortError = "No Error"
Case tpSapError_Failure ' Error occurred
ShortError = "Error occurred"
Case tpSapError_Exception ' Exception raised
ShortError = "Exception raised"
Case tpSapError_Sys_Exception ' System exception raised, connection closed
ShortError = "System exception raised, connection closed"
Case tpSapError_Call ' Call received
ShortError = "Call received"
Case tpSapError_Internal_Com ' Internal communication, repeat (internal use only
ShortError = "Internal communication, repeat (internal use only)"
Case tpSapError_Closed ' Connection closed by the other side
ShortError = "Connection closed by the other side"
Case tpSapError_Retry ' No data yet (RfcListen or RfcWaitForRequest only)
ShortError = "No data yet (RfcListen or RfcWaitForRequest only)"
Case tpSapError_No_Tid ' No Transaction ID available
DError = "No Transaction ID available"
Case tpSapError_Executed ' Function already executed
ShortError = "Function already executed"
Case tpSapError_Synchronize ' Synchronous Call in Progress (only for Windows)
ShortError = "Synchronous Call in Progress (only for Windows)"
Case tpSapError_Memory_Insufficient ' Memory insufficient
ShortError = "Memory insufficient"
Case tpSapError_Version_Mismatch ' Version mismatch
ShortError = "Version mismatch"
Case tpSapError_Not_found ' Function not found (internal use only)
ShortError = "Function not found (internal use only)"
Case tpSapError_Call_Not_Supported ' This call is not supported
ShortError = "This call is not supported"
Case tpSapError_Not_Owner ' Caller does not own the specified handle
ShortError = "Caller does not own the specified handle"
Case tpSapError_Not_Initialized ' RFC not yet initialized
ShortError = "RFC not yet initialized"
Case tpSapError_System_Called ' A system call such as RFC_PING for connection test is executed
ShortError = "A system call such as RFC_PING for connection test is executed"
Case tpSapError_Invalid_Handle ' An invalid handle was passed to an API call
ShortError = "An invalid handle was passed to an API call"
Case tpSapError_Invalid_Parameter ' An invalid parameter was passed to an API call or parameter length mismatch (expected and received) has been detected.
ShortError = "An invalid parameter was passed to an API call or parameter length mismatch (expected and received) has been detected."
Case tpSapError_Canceled ' An rfc call has been canceled by user
ShortError = "An rfc call has been canceled by user"
Case tpSapError_Conversion ' An error during conversion has been detected
ShortError = "An error during conversion has been detected"
Case tpSapError_Invalid_Protocol ' The received data has an unsupported format. e.g.: non unicode application receives data sent in unicode format
ShortError = "The received data has an unsupported format. e.g.: non unicode application receives data sent in unicode format"
Case tpSapError_Timeout ' Timeout
ShortError = "Timeout"
End Select

'Errorcode
thisProject.Variables.Item("ErrorCode").Value = Error
'Description of the Error
thisProject.Variables.Item("ShortError").Value = ShortError
'More detailed description of the last error
thisProject.Variables.Item("LastError").Value = LastError
End Sub

Public Function GetNextField(ByRef Text As String)
'Function to extract FieldValues out of a RawData string...

pos = InStr(Text, Chr$(10)) 'search for delimiter
If pos > 0 Then 'delimiter exists?
GetNextField = Left$(Text, pos - 1) 'return text until delimiter
Else 'no more delimiters
GetNextField = Text 'return string
End If
Text = Right$(Text, Len(Text) - pos) 'return text until delimiter or end - cut
End Function

Private Sub Project_Inactive()
'release object to avoid memory leaks...
thisProject.SapFunctions.DeleteSapFunction ("RFC_READ_TABLE")
End Sub

Other topics in this chapter

SapTable-Properties

SapTable-Methods

SapTable-Dynamic properties


SapTable-Properties

Manuel -> Interfaces de programmation -> Modèles d'objet -> SapTable -> SapTable-Properties

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
BSTR | Name | Name of the SAP table | available | available | yes | yes
VARIANT_BOOL | Optional | SAP table is optional (TRUE/FALSE) | available | available | yes | yes
ISapFunctions | Parent | Parent-object | available | available | yes | yes

Other topics in this chapter

Parent

Name

Optional


Parent

Manuel -> Interfaces de programmation -> Modèles d'objet -> SapTable -> SapTable-Properties -> Parent

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

Parent() As SapFunctions

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes


Name

Manuel -> Interfaces de programmation -> Modèles d'objet -> SapTable -> SapTable-Properties -> Name

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

Name() As String

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes


Optional

Manuel -> Interfaces de programmation -> Modèles d'objet -> SapTable -> SapTable-Properties -> Optional

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

Optional() As Boolean

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes


SapTable-Methods

Manuel -> Interfaces de programmation -> Modèles d'objet -> SapTable -> SapTable-Methods

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
void | Clear | Deletes all rows in the table | available | available | yes | yes
ISapRows | Rows | Returns the collection of the rows in the table | available | not used | yes | yes

Other topics in this chapter

Rows

Clear


Rows

Manuel -> Interfaces de programmation -> Modèles d'objet -> SapTable -> SapTable-Methods -> Rows

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

Rows() As SapRows

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


Clear

Manuel -> Interfaces de programmation -> Modèles d'objet -> SapTable -> SapTable-Methods -> Clear

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

Clear() As void

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


SapTable-Dynamic properties

Manuel -> Interfaces de programmation -> Modèles d'objet -> SapTable -> SapTable-Dynamic properties

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Dynproperties

SAP table

Other topics in this chapter

SAP table


SAP table

Manuel -> Interfaces de programmation -> Modèles d'objet -> SapTable -> SapTable-Dynamic properties -> SAP table

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Type

VBA/VSTA Name

Display Name

Description

VT_UI1

Type

Type

Type de paramètre. Dépendant du type de fonction. Utilisé uniquement à des fins d’information, défini lorsqu’une fonction SAP est créée via l’Assistant, conformément à la description de l’interface dans le système SAP.

Importation : la valeur du paramètre est transférée vers le bloc fonctionnel lors de l’appel.

Exporter : la valeur du paramètre est renvoyée par l’appel de la fonction.

Changement : paramètres d’entrée et de retour.

Table : table des types de fonctions. Cette table ne peut pas être modifiée.

Plus de détails dans l’aide en ligne.

VT_BSTR

Name

Nom dans le système SAP

Nom du paramètre, de la table ou du champ structuré dans le système SAP.

Plus de détails dans l’aide en ligne.

ZT_VARIABLE

Variable

Variable

Variable zenon liée au paramètre, à la table ou au champ structuré. Pour les tables, il s’agit normalement d’une variable de tableau.

Plus de détails dans l’aide en ligne.

ZT_VARIABLE

RowCountVar

Nombre de lignes

Variables numériques correspondant au nombre de lignes devant être extraites de la variable liée à la table ou du nombre de lignes lues lors de l’appel d’une fonction SAP.

Plus de détails dans l’aide en ligne.

VT_BOOL

Optional

Optionel

Indique si le paramètre ou la table est facultatif. Les paramètres et les tables facultatifs peuvent être omis lors de l’appel d’un bloc fonctionnel.

Utilisé uniquement à des fins d’information, défini lorsqu’une fonction SAP est créée via l’Assistant, conformément à la description de l’interface dans le système SAP.

Plus de détails dans l’aide en ligne.

VT_BSTR

Info

Informations

Texte court librement définissable. Utilisé uniquement à des fins d’information et, le cas échéant, défini lorsqu’une fonction SAP est créée via l’Assistant, conformément à la description de l’interface dans le système SAP.

Plus de détails dans l’aide en ligne.


SapTables

Manuel -> Interfaces de programmation -> Modèles d'objet -> SapTables

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Examples

C#

VB.NET

VB.NET-Syntax

VBA

Public WithEvents obFunReadTable As SapFunction

Public Sub ReadTable()
Dim obFunctions As SapFunctions

'Parameters
Dim obParQueryTable As SapParameter 'Input, Tablename
Dim obParDelimiter As SapParameter 'Input, Optional, Delimiter in DATA
Dim obParRowCount As SapParameter 'Input, Optional, 0 = all Rows
Dim obParRowSkip As SapParameter 'Input, Optional, 0 = from beginning
Dim obParNoData As SapParameter 'Input, Optional, "X" = read only Fielddefinitions (FIELDS)

'Tables
Dim obTabOptions As SapTable 'Input, WHERE-Clause
Dim obTabFields As SapTable 'Input/Output, Fielddefinitions
Dim obTabData As SapTable 'Output, Tabledata

Dim obRow As SapRow

Dim Error As tpSapError

' === Get Collection of Functionblocks
Set obFunctions = thisProject.SapFunctions

' === Create Functionblock "RFC_READ_TABLE" if not exists
Set obFunReadTable = obFunctions.Item("RFC_READ_TABLE")
If obFunReadTable Is Nothing Then
Set obFunReadTable = obFunctions.CreateSapFunction("RFC_READ_TABLE")
End If

' === Create Parameter if not exist
Set obParameters = obFunReadTable.Parameters 'Get Collection of Parameters
If Not obParameters Is Nothing Then

'Tablename
Set obParQueryTable = obParameters.Item("QUERY_TABLE")
If obParQueryTable Is Nothing Then
Set obParQueryTable = obParameters.CreateSapParameter("QUERY_TABLE")
End If
obParQueryTable.Value = thisProject.Variables.Item("QueryTable").Value

'Delimiter
Set obParDelimiter = obParameters.Item("DELIMITER")
If obParDelimiter Is Nothing Then
Set obParDelimiter = obParameters.CreateSapParameter("DELIMITER")
End If
obParDelimiter.Value = thisProject.Variables.Item("Delimiter").Value

'Count of Rows
Set obParRowCount = obParameters.Item("ROWCOUNT")
If obParRowCount Is Nothing Then
Set obParRowCount = obParameters.CreateSapParameter("ROWCOUNT")
End If
obParRowCount.Value = thisProject.Variables.Item("RowCount").Value

'StartRow
Set obParRowSkip = obParameters.Item("ROWSKIPS")
If obParRowSkip Is Nothing Then
Set obParRowSkip = obParameters.CreateSapParameter("ROWSKIPS")
End If
obParRowSkip.Value = thisProject.Variables.Item("RowSkips").Value

'Fields only
Set obParNoData = obParameters.Item("NO_DATA")
If obParNoData Is Nothing Then
Set obParNoData = obParameters.CreateSapParameter("NO_DATA")
End If
obParNoData.Value = thisProject.Variables.Item("NoData").Value
End If

' === Create Table if exits, either clear
Set obTables = obFunReadTable.Tables 'Get Collectin of Tables
If Not obTables Is Nothing Then

'Selections , "WHERE-Clause" (in)
Set obTabOptions = obTables.Item("OPTIONS")
If obTabOptions Is Nothing Then
Set obTabOptions = obTables.CreateSapTable("OPTIONS", False) 'Input
Else
obTabOptions.Clear
End If

'Names (in) and Structure (out) of read fields
Set obTabFields = obTables.Item("FIELDS")
If obTabFields Is Nothing Then
Set obTabFields = obTables.CreateSapTable("FIELDS", False) 'Input
Else
obTabFields.Clear
End If

'read Data (out)
Set obTabData = obTables.Item("DATA")
If obTabData Is Nothing Then
Set obTabData = obTables.CreateSapTable("DATA", False) 'Output
Else
obTabData.Clear
End If
End If

' === Call Function (asynchron), keeps the connection to the SAP-System afterwards
Error = obFunReadTable.CallAsync(True)

'>>> some zenon internals are used now in deep
'it comes back up again in "obFunReadTable_CallFinished"...

End Sub

' |
' |
' V

Private Sub obFunReadTable_CallFinished(ByVal obFunction As ISapFunction, ByVal Error As tpSapError)

'Back from zenon internals.
'This is used to avoid blocking the zenon Runtime during the Function call,
'because a function call may need some seconds to proceed...

' === Errorhandling
Call PrintError(Error, obFunReadTable.LastError)

' === check result
If Error = tpSapError_Ok Then 'no error
Dim obParameters As SapParameters
Dim obParameter As SapParameter
Dim obTables As SapTables
Dim obTable As SapTable

Dim obTabFields As SapTable 'Input
Dim obTabData As SapTable 'Output

Dim Count As Integer
Dim RowData As String

' === check Parameter and Tables
Set obTables = obFunReadTable.Tables

' === check Table "FIELDS"
Set obTabFields = obTables.Item("FIELDS")

Count = obTabFields.Rows.Count
If Count > 5 Then Count = 5 'only the first 5 rows

For i = 0 To Count - 1
RowData = obTabFields.Rows.Item(i).RawData
'FIELDNAME = Name of the Field
thisProject.Variables.Item("FIELDS_Row[" & i & "].FIELDNAME").Value = GetNextField(RowData)
'OFFSET = Start of the Field in the Row
thisProject.Variables.Item("FIELDS_Row[" & i & "].OFFSET").Value = CInt(GetNextField(RowData))
'LENGTH = Length of the Field
thisProject.Variables.Item("FIELDS_Row[" & i & "].LENGTH").Value = CInt(GetNextField(RowData))
'TYPE = Datatype of the Field
thisProject.Variables.Item("FIELDS_Row[" & i & "].TYPE").Value = GetNextField(RowData)
'FIELDTEXT = description of the Field
thisProject.Variables.Item("FIELDS_Row[" & i & "].FIELDTEXT").Value = GetNextField(RowData)
Next

' === check Table "DATA"
Set obTabData = obTables.Item("DATA")

Count = obTabData.Rows.Count
If Count > 5 Then Count = 5 'only the first 5 rows

For i = 0 To Count - 1
'One row of the table "DATA" contains only one filed with 512 characters
RowData = obTabData.Rows.Item(i).RawData
thisProject.Variables.Item("DATA_Row[" & i & "]").Value = RowData
Next
End If
End Sub

Public Sub PrintError(Error As tpSapError, LastError As String)
Dim ShortError As String

Select Case Error
Case tpSapError_No_Connection ' No connection to SAP system
ShortError = "No connection to SAP system"
Case tpSapError_Ok ' OK.
StError = "No Error"
Case tpSapError_Failure ' Error occurred
ShortError = "Error occurred"
Case tpSapError_Exception ' Exception raised
ShortError = "Exception raised"
Case tpSapError_Sys_Exception ' System exception raised, connection closed
ShortError = "System exception raised, connection closed"
Case tpSapError_Call ' Call received
ShortError = "Call received"
Case tpSapError_Internal_Com ' Internal communication, repeat (internal use only
ShortError = "Internal communication, repeat (internal use only)"
Case tpSapError_Closed ' Connection closed by the other side
ShortError = "Connection closed by the other side"
Case tpSapError_Retry ' No data yet (RfcListen or RfcWaitForRequest only)
ShortError = "No data yet (RfcListen or RfcWaitForRequest only)"
Case tpSapError_No_Tid ' No Transaction ID available
DError = "No Transaction ID available"
Case tpSapError_Executed ' Function already executed
ShortError = "Function already executed"
Case tpSapError_Synchronize ' Synchronous Call in Progress (only for Windows)
ShortError = "Synchronous Call in Progress (only for Windows)"
Case tpSapError_Memory_Insufficient ' Memory insufficient
ShortError = "Memory insufficient"
Case tpSapError_Version_Mismatch ' Version mismatch
ShortError = "Version mismatch"
Case tpSapError_Not_found ' Function not found (internal use only)
ShortError = "Function not found (internal use only)"
Case tpSapError_Call_Not_Supported ' This call is not supported
ShortError = "This call is not supported"
Case tpSapError_Not_Owner ' Caller does not own the specified handle
ShortError = "Caller does not own the specified handle"
Case tpSapError_Not_Initialized ' RFC not yet initialized
ShortError = "RFC not yet initialized"
Case tpSapError_System_Called ' A system call such as RFC_PING for connection test is executed
ShortError = "A system call such as RFC_PING for connection test is executed"
Case tpSapError_Invalid_Handle ' An invalid handle was passed to an API call
ShortError = "An invalid handle was passed to an API call"
Case tpSapError_Invalid_Parameter ' An invalid parameter was passed to an API call or parameter length mismatch (expected and received) has been detected.
ShortError = "An invalid parameter was passed to an API call or parameter length mismatch (expected and received) has been detected."
Case tpSapError_Canceled ' An rfc call has been canceled by user
ShortError = "An rfc call has been canceled by user"
Case tpSapError_Conversion ' An error during conversion has been detected
ShortError = "An error during conversion has been detected"
Case tpSapError_Invalid_Protocol ' The received data has an unsupported format. e.g.: non unicode application receives data sent in unicode format
ShortError = "The received data has an unsupported format. e.g.: non unicode application receives data sent in unicode format"
Case tpSapError_Timeout ' Timeout
ShortError = "Timeout"
End Select

'Errorcode
thisProject.Variables.Item("ErrorCode").Value = Error
'Description of the Error
thisProject.Variables.Item("ShortError").Value = ShortError
'More detailed description of the last error
thisProject.Variables.Item("LastError").Value = LastError
End Sub

Public Function GetNextField(ByRef Text As String)
'Function to extract FieldValues out of a RawData string...

pos = InStr(Text, Chr$(10)) 'search for delimiter
If pos > 0 Then 'delimiter exists?
GetNextField = Left$(Text, pos - 1) 'return text until delimiter
Else 'no more delimiters
GetNextField = Text 'return string
End If
Text = Right$(Text, Len(Text) - pos) 'return text until delimiter or end - cut
End Function

Private Sub Project_Inactive()
'release object to avoid memory leaks...
thisProject.SapFunctions.DeleteSapFunction ("RFC_READ_TABLE")
End Sub

Other topics in this chapter

SapTables-Properties

SapTables-Methods


SapTables-Properties

Manuel -> Interfaces de programmation -> Modèles d'objet -> SapTables -> SapTables-Properties

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
long | Count | Count of defined SAP tables | available | available | yes | yes
ISapFunctions | Parent | Parent-object | available | available | yes | yes

Other topics in this chapter

Parent

Count


Parent

Manuel -> Interfaces de programmation -> Modèles d'objet -> SapTables -> SapTables-Properties -> Parent

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

Parent() As SapFunctions

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes


Count

Manuel -> Interfaces de programmation -> Modèles d'objet -> SapTables -> SapTables-Properties -> Count

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

Count() As long

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes


SapTables-Methods

Manuel -> Interfaces de programmation -> Modèles d'objet -> SapTables -> SapTables-Methods

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
ISapParameter | CreateSapTable | Creates a new SAP table (unique name) | available | available | yes | yes
VARIANT_BOOL | DeleteSapTable | Deletes the given SAP table | available | available | yes | yes
ISapTable | Item | Returns the SAP table by name or position | available | available | yes | yes

Other topics in this chapter

CreateSapTable

DeleteSapTable

Item


CreateSapTable

Manuel -> Interfaces de programmation -> Modèles d'objet -> SapTables -> SapTables-Methods -> CreateSapTable

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

CreateSapTable(String Name, [optional] VARIANT bOptional) As SapParameter

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


DeleteSapTable

Manuel -> Interfaces de programmation -> Modèles d'objet -> SapTables -> SapTables-Methods -> DeleteSapTable

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

DeleteSapTable(String Name) As Boolean

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


Item

Manuel -> Interfaces de programmation -> Modèles d'objet -> SapTables -> SapTables-Methods -> Item

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

Item(VARIANT vID) As SapTable

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

Index or name.

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

vID As Variant

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


ScheduleCustomPeriod

Manuel -> Interfaces de programmation -> Modèles d'objet -> ScheduleCustomPeriod

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

A custom Time Period Schedule in which its Switching Actions are used instead of the standard ones.

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Examples

C#

VB.NET

VBA

Other topics in this chapter

ScheduleCustomPeriod-Properties


ScheduleCustomPeriod-Properties

Manuel -> Interfaces de programmation -> Modèles d'objet -> ScheduleCustomPeriod -> ScheduleCustomPeriod-Properties

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
DATE | StartDate | Start Date of a Custom Period | read only | read only | yes | yes
DATE | EndDate | End Date of a Custom Period | read only | read only | yes | yes
IScheduleSwitchingPeriods | SwitchingPeriods | Collection of Switching Periods in a Custom Period | read only | read only | yes | yes
IScheduleSwitchingPoints | SwitchingPoints | Collection of Switching Points in a Custom Period | read only | read only | yes | yes

Other topics in this chapter

StartDate

EndDate

SwitchingPeriods

SwitchingPoints


StartDate

Manuel -> Interfaces de programmation -> Modèles d'objet -> ScheduleCustomPeriod -> ScheduleCustomPeriod-Properties -> StartDate

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Start date of the period. Cannot be changed after creation.

Datatype

StartDate() As DATE

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


EndDate

Manuel -> Interfaces de programmation -> Modèles d'objet -> ScheduleCustomPeriod -> ScheduleCustomPeriod-Properties -> EndDate

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

End date of the period. Cannot be changed after creation.

Datatype

EndDate() As DATE

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


SwitchingPeriods

Manuel -> Interfaces de programmation -> Modèles d'objet -> ScheduleCustomPeriod -> ScheduleCustomPeriod-Properties -> SwitchingPeriods

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Collection of Switching Periods

Datatype

SwitchingPeriods() As IScheduleSwitchingPeriods

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


SwitchingPoints

Manuel -> Interfaces de programmation -> Modèles d'objet -> ScheduleCustomPeriod -> ScheduleCustomPeriod-Properties -> SwitchingPoints

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Collection of Switching Points

Datatype

SwitchingPoints() As IScheduleSwitchingPoints

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


ScheduleFunction

Manuel -> Interfaces de programmation -> Modèles d'objet -> ScheduleFunction

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Link to a single Function

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Examples

C#

public void Macro_SchedulerLinkFunctionToPeriod()

{

//Specify a ScheduleGroup via Index!

String fullString = "";

zenOn.IScheduleGroup group =

ActiveDocument.Scheduler.ScheduleGroups.ItemByItem(0);

if (group != null)

{

zenOn.IScheduleStandardDay monday =

group.Schedules.GetStandardDay(zenOn.tpScheduleDayType.tpScheduleMonday);

if (monday != null)

{

//Creates a Reload Function!

zenOn.IRtFunctions functions = ActiveDocument.RtFunctions();

zenOn.IRtFunction function = functions.Create("Reload_Period", zenOn.tpFunctionTypes.tpReloadProject);

//Specify a SchedulePeriod to which the Function should be linked!

zenOn.IScheduleSwitchingPeriod period = monday.SwitchingPeriods.Item(0);

if (period != null)

{

fullString += "Monday:\n";

fullString += "Before Editing : \n";

fullString += "Amount of Functions: " + (period.Start.Functions.Count + period.End.Functions.Count) + "\n\n";

fullString += "SwitchingPeriod: \n\n";

fullString += "Function(s) linked at start: \n";

Macro_CreateReportForAFunctionsContainer(period.Start.Functions, ref fullString);

fullString += "Function(s) linked at end: \n";

Macro_CreateReportForAFunctionsContainer(period.End.Functions, ref fullString);

fullString += "------------------------------------";

period.Start.Functions.Create(function);

period.End.Functions.Create(function);

fullString += "\n\nAfter Editing : \n";

fullString += "Amount of Functions: " + (period.Start.Functions.Count + period.End.Functions.Count) + "\n\n";

fullString += "SwitchingPeriod: \n\n";

fullString += "Function(s) linked at start: \n";

Macro_CreateReportForAFunctionsContainer(period.Start.Functions, ref fullString);

fullString += "Function(s) linked at end: \n";

Macro_CreateReportForAFunctionsContainer(period.End.Functions, ref fullString);

}

}

else

{

System.Windows.Forms.MessageBox.Show("Error while accessing schedule '" + group.Name + "'");

}

}

else

{

System.Windows.Forms.MessageBox.Show("No accessable scheduleGroup existing");

}

System.Windows.Forms.MessageBox.Show(fullString);

}

private void Macro_CreateReportForAFunctionsContainer(zenOn.IScheduleFunctions functionsContainer,

ref String report)

{

int functionCount = functionsContainer.Count;

for (int i = 0; i < functionCount; i++)

{

zenOn.IScheduleFunction function = functionsContainer.Item(i);

if (function != null)

{

Macro_ReportOfOneFunction(function, ref report);

report += "\n\n";

}

}

}

private void Macro_ReportOfOneFunction(zenOn.IScheduleFunction function, ref String report)

{

report +=

"Name: " + function.Function.Name + "\n" +

"Active: " + function.Active + "\n" +

"Type: " + function.Function.Type;

}

VB.NET

VBA

Public Sub LinkFunctionToPeriod()

Dim scheduler As scheduler

Set scheduler = MyWorkspace.ActiveDocument.scheduler

Dim groups As ScheduleGroups

Set groups = scheduler.ScheduleGroups

Dim group As ScheduleGroup

'Specify ScheduleGroup via Index!

Set group = groups.ItemByItem(0)

If Not group Is Nothing Then

Dim monday As ScheduleStandardDay

Set monday = group.Schedules.GetStandardDay(tpScheduleMonday)

If Not monday Is Nothing Then

Dim functions As RtFunctions

Set funcs = MyWorkspace.ActiveDocument.RtFunctions

'Creates a Reload Function!

Set func = funcs.Create("Reload_Test", tpReloadProject)

Dim period As ScheduleSwitchingPeriod

'Specify a SwitchingPeriod to which the Function should be linked!

Set period = monday.SwitchingPeriods.Item(0)

If Not period Is Nothing Then

Dim fullString As String

fullString = fullString & "------------------------------------" & vbNewLine

fullString = fullString & "Monday:" & vbNewLine

fullString = fullString & "------------------------------------" & vbNewLine & vbNewLine

fullString = fullString & "Before Editing: " & vbNewLine & vbNewLine

fullString = fullString & "SwitchingPeriod:" & vbNewLine

fullString = fullString & "Amount of Functions: " & (period.Start.functions.count + period.End.functions.count) & vbNewLine

fullString = fullString & "Function(s) linked at start:" & vbNewLine

Call CreateReportForAFunctionsContainer(period.Start.functions, fullString)

fullString = fullString & "Function(s) linked at end:" & vbNewLine

Call CreateReportForAFunctionsContainer(period.End.functions, fullString)

Dim funcTest As ScheduleFunction

Set funcTest = period.Start.functions.Create(func)

Set funcTest = period.End.functions.Create(func)

fullString = fullString & vbNewLine & vbNewLine & "After Editing: " & vbNewLine

fullString = fullString & "SwitchingPeriod:" & vbNewLine

fullString = fullString & "Amount of Functions: " & (period.Start.functions.count + period.End.functions.count) & vbNewLine & vbNewLine

fullString = fullString & "Function(s) linked at start:" & vbNewLine

Call CreateReportForAFunctionsContainer(period.Start.functions, fullString)

fullString = fullString & "Function(s) linked at end:" & vbNewLine

Call CreateReportForAFunctionsContainer(period.End.functions, fullString)

MsgBox fullString

End If

Else

MsgBox "Error while accessing schedule'" + group.Name + "'"

End If

Else

MsgBox "No accessable scheduleGroup existing"

End If

End Sub

Private Sub CreateReportForAFunctionsContainer(functionsContainer As ScheduleFunctions, ByRef report As String)

For functionCount = 0 To (functionsContainer.count - 1)

Dim func As ScheduleFunction

Set func = functionsContainer.Item(0)

If Not func Is Nothing Then

Call ReportOfOneFunction(func, report)

report = report & vbCrLf & vbCrLf

End If

Next

End Sub

Private Sub ReportOfOneFunction(func As ScheduleFunction, ByRef report As String)

report = report & "Name: " & func.Function.Name & vbCrLf & _

"Active: " & func.Active & vbCrLf & _

"Type: " & func.Function.Type

End Sub

Other topics in this chapter

ScheduleFunction-Properties


ScheduleFunction-Properties

Manuel -> Interfaces de programmation -> Modèles d'objet -> ScheduleFunction -> ScheduleFunction-Properties

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
VARIANT_BOOL | Active | Returns TRUE if the Action of a Function is Active | available | available | yes | yes
IRtFunction | Function | Defines a Function in a Switching Point | read only | read only | yes | yes

Other topics in this chapter

Active

Function


Active

Manuel -> Interfaces de programmation -> Modèles d'objet -> ScheduleFunction -> ScheduleFunction-Properties -> Active

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Defines, if this function gets executed. Can be changed.

Datatype

Active() As VARIANT_BOOL

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes


Function

Manuel -> Interfaces de programmation -> Modèles d'objet -> ScheduleFunction -> ScheduleFunction-Properties -> Function

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Function that gets executed. Cannot be changed.

Datatype

Function() As IRtFunction

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


ScheduleFunctions

Manuel -> Interfaces de programmation -> Modèles d'objet -> ScheduleFunctions

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Collection of Functions in a Switching Point

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Examples

C#

public void Macro_SchedulerLinkFunctionToPeriod()

{

//Specify a ScheduleGroup via Index!

String fullString = "";

zenOn.IScheduleGroup group =

ActiveDocument.Scheduler.ScheduleGroups.ItemByItem(0);

if (group != null)

{

zenOn.IScheduleStandardDay monday =

group.Schedules.GetStandardDay(zenOn.tpScheduleDayType.tpScheduleMonday);

if (monday != null)

{

//Creates a Reload Function!

zenOn.IRtFunctions functions = ActiveDocument.RtFunctions();

zenOn.IRtFunction function = functions.Create("Reload_Period", zenOn.tpFunctionTypes.tpReloadProject);

//Specify a SchedulePeriod to which the Function should be linked!

zenOn.IScheduleSwitchingPeriod period = monday.SwitchingPeriods.Item(0);

if (period != null)

{

fullString += "Monday:\n";

fullString += "Before Editing : \n";

fullString += "Amount of Functions: " + (period.Start.Functions.Count + period.End.Functions.Count) + "\n\n";

fullString += "SwitchingPeriod: \n\n";

fullString += "Function(s) linked at start: \n";

Macro_CreateReportForAFunctionsContainer(period.Start.Functions, ref fullString);

fullString += "Function(s) linked at end: \n";

Macro_CreateReportForAFunctionsContainer(period.End.Functions, ref fullString);

fullString += "------------------------------------";

period.Start.Functions.Create(function);

period.End.Functions.Create(function);

fullString += "\n\nAfter Editing : \n";

fullString += "Amount of Functions: " + (period.Start.Functions.Count + period.End.Functions.Count) + "\n\n";

fullString += "SwitchingPeriod: \n\n";

fullString += "Function(s) linked at start: \n";

Macro_CreateReportForAFunctionsContainer(period.Start.Functions, ref fullString);

fullString += "Function(s) linked at end: \n";

Macro_CreateReportForAFunctionsContainer(period.End.Functions, ref fullString);

}

}

else

{

System.Windows.Forms.MessageBox.Show("Error while accessing schedule '" + group.Name + "'");

}

}

else

{

System.Windows.Forms.MessageBox.Show("No accessable scheduleGroup existing");

}

System.Windows.Forms.MessageBox.Show(fullString);

}

private void Macro_CreateReportForAFunctionsContainer(zenOn.IScheduleFunctions functionsContainer,

ref String report)

{

int functionCount = functionsContainer.Count;

for (int i = 0; i < functionCount; i++)

{

zenOn.IScheduleFunction function = functionsContainer.Item(i);

if (function != null)

{

Macro_ReportOfOneFunction(function, ref report);

report += "\n\n";

}

}

}

private void Macro_ReportOfOneFunction(zenOn.IScheduleFunction function, ref String report)

{

report +=

"Name: " + function.Function.Name + "\n" +

"Active: " + function.Active + "\n" +

"Type: " + function.Function.Type;

}

VB.NET

VBA

Public Sub LinkFunctionToPeriod()

Dim scheduler As scheduler

Set scheduler = MyWorkspace.ActiveDocument.scheduler

Dim groups As ScheduleGroups

Set groups = scheduler.ScheduleGroups

Dim group As ScheduleGroup

'Specify ScheduleGroup via Index!

Set group = groups.ItemByItem(0)

If Not group Is Nothing Then

Dim monday As ScheduleStandardDay

Set monday = group.Schedules.GetStandardDay(tpScheduleMonday)

If Not monday Is Nothing Then

Dim functions As RtFunctions

Set funcs = MyWorkspace.ActiveDocument.RtFunctions

'Creates a Reload Function!

Set func = funcs.Create("Reload_Test", tpReloadProject)

Dim period As ScheduleSwitchingPeriod

'Specify a SwitchingPeriod to which the Function should be linked!

Set period = monday.SwitchingPeriods.Item(0)

If Not period Is Nothing Then

Dim fullString As String

fullString = fullString & "------------------------------------" & vbNewLine

fullString = fullString & "Monday:" & vbNewLine

fullString = fullString & "------------------------------------" & vbNewLine & vbNewLine

fullString = fullString & "Before Editing: " & vbNewLine & vbNewLine

fullString = fullString & "SwitchingPeriod:" & vbNewLine

fullString = fullString & "Amount of Functions: " & (period.Start.functions.count + period.End.functions.count) & vbNewLine

fullString = fullString & "Function(s) linked at start:" & vbNewLine

Call CreateReportForAFunctionsContainer(period.Start.functions, fullString)

fullString = fullString & "Function(s) linked at end:" & vbNewLine

Call CreateReportForAFunctionsContainer(period.End.functions, fullString)

Dim funcTest As ScheduleFunction

Set funcTest = period.Start.functions.Create(func)

Set funcTest = period.End.functions.Create(func)

fullString = fullString & vbNewLine & vbNewLine & "After Editing: " & vbNewLine

fullString = fullString & "SwitchingPeriod:" & vbNewLine

fullString = fullString & "Amount of Functions: " & (period.Start.functions.count + period.End.functions.count) & vbNewLine & vbNewLine

fullString = fullString & "Function(s) linked at start:" & vbNewLine

Call CreateReportForAFunctionsContainer(period.Start.functions, fullString)

fullString = fullString & "Function(s) linked at end:" & vbNewLine

Call CreateReportForAFunctionsContainer(period.End.functions, fullString)

MsgBox fullString

End If

Else

MsgBox "Error while accessing schedule'" + group.Name + "'"

End If

Else

MsgBox "No accessable scheduleGroup existing"

End If

End Sub

Private Sub CreateReportForAFunctionsContainer(functionsContainer As ScheduleFunctions, ByRef report As String)

For functionCount = 0 To (functionsContainer.count - 1)

Dim func As ScheduleFunction

Set func = functionsContainer.Item(0)

If Not func Is Nothing Then

Call ReportOfOneFunction(func, report)

report = report & vbCrLf & vbCrLf

End If

Next

End Sub

Private Sub ReportOfOneFunction(func As ScheduleFunction, ByRef report As String)

report = report & "Name: " & func.Function.Name & vbCrLf & _

"Active: " & func.Active & vbCrLf & _

"Type: " & func.Function.Type

End Sub

Other topics in this chapter

ScheduleFunctions-Properties

ScheduleFunctions-Methods


ScheduleFunctions-Properties

Manuel -> Interfaces de programmation -> Modèles d'objet -> ScheduleFunctions -> ScheduleFunctions-Properties

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
long | Count |  | read only | read only | yes | yes

Other topics in this chapter

Count


Count

Manuel -> Interfaces de programmation -> Modèles d'objet -> ScheduleFunctions -> ScheduleFunctions-Properties -> Count

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Count of Functions. Cannot be changed directly.

Datatype

Count() As long

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


ScheduleFunctions-Methods

Manuel -> Interfaces de programmation -> Modèles d'objet -> ScheduleFunctions -> ScheduleFunctions-Methods

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
IScheduleFunction | Create |  | available | available | yes | yes
VARIANT_BOOL | Delete |  | available | available | yes | yes
IScheduleFunction | Item |  | available | available | yes | yes

Other topics in this chapter

Create

Delete

Item


Create

Manuel -> Interfaces de programmation -> Modèles d'objet -> ScheduleFunctions -> ScheduleFunctions-Methods -> Create

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Creates a „Reload" function, and links it to the defined SwitchingPeriod

Datatype

Create(IRtFunction Function) As IScheduleFunction

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

VB.NET

VBA

Examples

C#

public void Macro_SchedulerLinkFunctionToPeriod()

{

//Specify a ScheduleGroup via Index!

String fullString = "";

zenOn.IScheduleGroup group =

ActiveDocument.Scheduler.ScheduleGroups.ItemByItem(0);

if (group != null)

{

zenOn.IScheduleStandardDay monday =

group.Schedules.GetStandardDay(zenOn.tpScheduleDayType.tpScheduleMonday);

if (monday != null)

{

//Creates a Reload Function!

zenOn.IRtFunctions functions = ActiveDocument.RtFunctions();

zenOn.IRtFunction function = functions.Create("Reload_Period", zenOn.tpFunctionTypes.tpReloadProject);

//Specify a SchedulePeriod to which the Function should be linked!

zenOn.IScheduleSwitchingPeriod period = monday.SwitchingPeriods.Item(0);

if (period != null)

{

fullString += "Monday:\n";

fullString += "Before Editing : \n";

fullString += "Amount of Functions: " + (period.Start.Functions.Count + period.End.Functions.Count) + "\n\n";

fullString += "SwitchingPeriod: \n\n";

fullString += "Function(s) linked at start: \n";

Macro_CreateReportForAFunctionsContainer(period.Start.Functions, ref fullString);

fullString += "Function(s) linked at end: \n";

Macro_CreateReportForAFunctionsContainer(period.End.Functions, ref fullString);

fullString += "------------------------------------";

period.Start.Functions.Create(function);

period.End.Functions.Create(function);

fullString += "\n\nAfter Editing : \n";

fullString += "Amount of Functions: " + (period.Start.Functions.Count + period.End.Functions.Count) + "\n\n";

fullString += "SwitchingPeriod: \n\n";

fullString += "Function(s) linked at start: \n";

Macro_CreateReportForAFunctionsContainer(period.Start.Functions, ref fullString);

fullString += "Function(s) linked at end: \n";

Macro_CreateReportForAFunctionsContainer(period.End.Functions, ref fullString);

}

}

else

{

System.Windows.Forms.MessageBox.Show("Error while accessing schedule '" + group.Name + "'");

}

}

else

{

System.Windows.Forms.MessageBox.Show("No accessable scheduleGroup existing");

}

System.Windows.Forms.MessageBox.Show(fullString);

}

private void Macro_CreateReportForAFunctionsContainer(zenOn.IScheduleFunctions functionsContainer,

ref String report)

{

int functionCount = functionsContainer.Count;

for (int i = 0; i < functionCount; i++)

{

zenOn.IScheduleFunction function = functionsContainer.Item(i);

if (function != null)

{

Macro_ReportOfOneFunction(function, ref report);

report += "\n\n";

}

}

}

private void Macro_ReportOfOneFunction(zenOn.IScheduleFunction function, ref String report)

{

report +=

"Name: " + function.Function.Name + "\n" +

"Active: " + function.Active + "\n" +

"Type: " + function.Function.Type;

}

VB.NET

VBA

Public Sub LinkFunctionToPeriod()

Dim scheduler As scheduler

Set scheduler = MyWorkspace.ActiveDocument.scheduler

Dim groups As ScheduleGroups

Set groups = scheduler.ScheduleGroups

Dim group As ScheduleGroup

'Specify ScheduleGroup via Index!

Set group = groups.ItemByItem(0)

If Not group Is Nothing Then

Dim monday As ScheduleStandardDay

Set monday = group.Schedules.GetStandardDay(tpScheduleMonday)

If Not monday Is Nothing Then

Dim functions As RtFunctions

Set funcs = MyWorkspace.ActiveDocument.RtFunctions

'Creates a Reload Function!

Set func = funcs.Create("Reload_Test", tpReloadProject)

Dim period As ScheduleSwitchingPeriod

'Specify a SwitchingPeriod to which the Function should be linked!

Set period = monday.SwitchingPeriods.Item(0)

If Not period Is Nothing Then

Dim fullString As String

fullString = fullString & "------------------------------------" & vbNewLine

fullString = fullString & "Monday:" & vbNewLine

fullString = fullString & "------------------------------------" & vbNewLine & vbNewLine

fullString = fullString & "Before Editing: " & vbNewLine & vbNewLine

fullString = fullString & "SwitchingPeriod:" & vbNewLine

fullString = fullString & "Amount of Functions: " & (period.Start.functions.count + period.End.functions.count) & vbNewLine

fullString = fullString & "Function(s) linked at start:" & vbNewLine

Call CreateReportForAFunctionsContainer(period.Start.functions, fullString)

fullString = fullString & "Function(s) linked at end:" & vbNewLine

Call CreateReportForAFunctionsContainer(period.End.functions, fullString)

Dim funcTest As ScheduleFunction

Set funcTest = period.Start.functions.Create(func)

Set funcTest = period.End.functions.Create(func)

fullString = fullString & vbNewLine & vbNewLine & "After Editing: " & vbNewLine

fullString = fullString & "SwitchingPeriod:" & vbNewLine

fullString = fullString & "Amount of Functions: " & (period.Start.functions.count + period.End.functions.count) & vbNewLine & vbNewLine

fullString = fullString & "Function(s) linked at start:" & vbNewLine

Call CreateReportForAFunctionsContainer(period.Start.functions, fullString)

fullString = fullString & "Function(s) linked at end:" & vbNewLine

Call CreateReportForAFunctionsContainer(period.End.functions, fullString)

MsgBox fullString

End If

Else

MsgBox "Error while accessing schedule'" + group.Name + "'"

End If

Else

MsgBox "No accessable scheduleGroup existing"

End If

End Sub

Private Sub CreateReportForAFunctionsContainer(functionsContainer As ScheduleFunctions, ByRef report As String)

For functionCount = 0 To (functionsContainer.count - 1)

Dim func As ScheduleFunction

Set func = functionsContainer.Item(0)

If Not func Is Nothing Then

Call ReportOfOneFunction(func, report)

report = report & vbCrLf & vbCrLf

End If

Next

End Sub

Private Sub ReportOfOneFunction(func As ScheduleFunction, ByRef report As String)

report = report & "Name: " & func.Function.Name & vbCrLf & _

"Active: " & func.Active & vbCrLf & _

"Type: " & func.Function.Type

End Sub


Delete

Manuel -> Interfaces de programmation -> Modèles d'objet -> ScheduleFunctions -> ScheduleFunctions-Methods -> Delete

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Deletes the specified function from the defined SwitchingPeriod

Datatype

Delete(long Index) As VARIANT_BOOL

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

VB.NET

VBA

Examples

C#

public void Macro_SchedulerDeleteFunctionFromPeriod()

{

//Specify a ScheduleGroup via Index!

String fullString = "";

zenOn.IScheduleGroup group =

ActiveDocument.Scheduler.ScheduleGroups.ItemByItem(0);

if (group != null)

{

zenOn.IScheduleStandardDay monday =

group.Schedules.GetStandardDay(zenOn.tpScheduleDayType.tpScheduleMonday);

if (monday != null)

{

//Specify a SwitchingPeriod via Index!

zenOn.IScheduleSwitchingPeriod period = monday.SwitchingPeriods.Item(0);

if (period != null)

{

fullString += "------------------------------------" + "\n";

fullString += "Monday:\n";

fullString += "------------------------------------" + "\n\n";

fullString += "Before Editing : \n";

fullString += "SwitchingPeriod: \n\n";

fullString += "Amount of Functions: " + (period.Start.Functions.Count + period.End.Functions.Count) + "\n";

fullString += "Function(s) linked at start: \n";

Macro_CreateReportForAFunctionsContainer(period.Start.Functions, ref fullString);

fullString += "Function(s) linked at end: \n";

Macro_CreateReportForAFunctionsContainer(period.End.Functions, ref fullString);

Macro_SchedulerDeleteFunction(period);

fullString += "\n\nAfter Editing : \n";

fullString += "SwitchingPeriod: \n\n";

fullString += "Amount of Functions: " + (period.Start.Functions.Count + period.End.Functions.Count) + "\n";

fullString += "Function(s) linked at start: \n";

Macro_CreateReportForAFunctionsContainer(period.Start.Functions, ref fullString);

fullString += "Function(s) linked at end: \n";

Macro_CreateReportForAFunctionsContainer(period.End.Functions, ref fullString);

System.Windows.Forms.MessageBox.Show(fullString);

}

}

else

{

System.Windows.Forms.MessageBox.Show("Error while accessing 'Monday' of your schedule '" + group.Name + "'");

}

}

else

{

System.Windows.Forms.MessageBox.Show("No accessable scheduleGroup existing");

}

}

private void Macro_SchedulerDeleteFunction(zenOn.IScheduleSwitchingPeriod period)

{

if (period != null)

{

//Specify Function at Start Time to be Deleted!

bool success = period.Start.Functions.Delete(0);

//Specify Function at End Time to be Deleted!

success = success && period.End.Functions.Delete(0);

if (success)

{

System.Windows.Forms.MessageBox.Show("Function deleted successfully");

}

else

{

System.Windows.Forms.MessageBox.Show("Error while deleting function");

}

}

else

{

System.Windows.Forms.MessageBox.Show("The object for switchingPeriod is not valid");

}

}

VB.NET

VBA

Public Sub DeleteFunctionFromPeriod()

Dim scheduler As scheduler

Set scheduler = MyWorkspace.ActiveDocument.scheduler

Dim groups As ScheduleGroups

Set groups = scheduler.ScheduleGroups

Dim group As ScheduleGroup

'Specify ScheduleGroup via Index!

Set group = groups.ItemByItem(0)

If Not group Is Nothing Then

Dim monday As ScheduleStandardDay

Set monday = group.Schedules.GetStandardDay(tpScheduleMonday)

If Not monday Is Nothing Then

Dim period As ScheduleSwitchingPeriod

'Specify SwitchingPeriod via Index!

Set period = monday.SwitchingPeriods.Item(0)

If Not period Is Nothing Then

Dim fullString As String

fullString = fullString & "------------------------------------" & vbNewLine

fullString = fullString & "Monday:" & vbNewLine

fullString = fullString & "------------------------------------" & vbNewLine & vbNewLine

fullString = fullString & "Before Editing: " & vbNewLine

fullString = fullString & "SwitchingPeriod:" & vbNewLine & vbNewLine

fullString = fullString & "Amount of Functions: " & (period.Start.functions.count + period.End.functions.count) & vbNewLine

fullString = fullString & "Function(s) linked at start:" & vbNewLine

Call CreateReportForAFunctionsContainer(period.Start.functions, fullString)

fullString = fullString & "Function(s) linked at end:" & vbNewLine

Call CreateReportForAFunctionsContainer(period.End.functions, fullString)

Call SchedulerDeleteFunction(period)

fullString = fullString & vbNewLine & vbNewLine & "After Editing: " & vbNewLine

fullString = fullString & "SwitchingPeriod:" & vbNewLine & vbNewLine

fullString = fullString & "Amount of Functions: " & (period.Start.functions.count + period.End.functions.count) & vbNewLine

fullString = fullString & "Function(s) linked at start:" & vbNewLine

Call CreateReportForAFunctionsContainer(period.Start.functions, fullString)

fullString = fullString & "Function(s) linked at end:" & vbNewLine

Call CreateReportForAFunctionsContainer(period.End.functions, fullString)

MsgBox fullString

End If

Else

MsgBox "Error while accessing schedule '" + group.Name + "'"

End If

Else

MsgBox "No accessable scheduleGroup existing"

End If

End Sub

Private Sub SchedulerDeleteFunction(period As ScheduleSwitchingPeriod)

Dim success As Boolean

If Not period Is Nothing Then

'Specify Function at Start Time to be Deleted!

success = period.Start.functions.Delete(0)

'Specify Function at End Time to be Deleted!

success = (success And period.End.functions.Delete(0))

If success = True Then

MsgBox "Function deleted successfully"

Else

MsgBox "Error while deleting function"

End If

Else

MsgBox "The object for switchingPeriod is not valid"

End If

End Sub


Item

Manuel -> Interfaces de programmation -> Modèles d'objet -> ScheduleFunctions -> ScheduleFunctions-Methods -> Item

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the function link at the passed 'Index'(0-based). Returns null if 'Index' is invalid.

Datatype

Item(long Index) As IScheduleFunction

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

VB.NET

VBA

Examples

C#

public void Macro_SchedulerDeleteFunctionFromPeriod()

{

//Specify a ScheduleGroup via Index!

String fullString = "";

zenOn.IScheduleGroup group =

ActiveDocument.Scheduler.ScheduleGroups.ItemByItem(0);

if (group != null)

{

zenOn.IScheduleStandardDay monday =

group.Schedules.GetStandardDay(zenOn.tpScheduleDayType.tpScheduleMonday);

if (monday != null)

{

//Specify a SwitchingPeriod via Index!

zenOn.IScheduleSwitchingPeriod period = monday.SwitchingPeriods.Item(0);

if (period != null)

{

fullString += "------------------------------------" + "\n";

fullString += "Monday:\n";

fullString += "------------------------------------" + "\n\n";

fullString += "Before Editing : \n";

fullString += "SwitchingPeriod: \n\n";

fullString += "Amount of Functions: " + (period.Start.Functions.Count + period.End.Functions.Count) + "\n";

fullString += "Function(s) linked at start: \n";

Macro_CreateReportForAFunctionsContainer(period.Start.Functions, ref fullString);

fullString += "Function(s) linked at end: \n";

Macro_CreateReportForAFunctionsContainer(period.End.Functions, ref fullString);

Macro_SchedulerDeleteFunction(period);

fullString += "\n\nAfter Editing : \n";

fullString += "SwitchingPeriod: \n\n";

fullString += "Amount of Functions: " + (period.Start.Functions.Count + period.End.Functions.Count) + "\n";

fullString += "Function(s) linked at start: \n";

Macro_CreateReportForAFunctionsContainer(period.Start.Functions, ref fullString);

fullString += "Function(s) linked at end: \n";

Macro_CreateReportForAFunctionsContainer(period.End.Functions, ref fullString);

System.Windows.Forms.MessageBox.Show(fullString);

}

}

else

{

System.Windows.Forms.MessageBox.Show("Error while accessing 'Monday' of your schedule '" + group.Name + "'");

}

}

else

{

System.Windows.Forms.MessageBox.Show("No accessable scheduleGroup existing");

}

}

private void Macro_SchedulerDeleteFunction(zenOn.IScheduleSwitchingPeriod period)

{

if (period != null)

{

//Specify Function at Start Time to be Deleted!

bool success = period.Start.Functions.Delete(0);

//Specify Function at End Time to be Deleted!

success = success && period.End.Functions.Delete(0);

if (success)

{

System.Windows.Forms.MessageBox.Show("Function deleted successfully");

}

else

{

System.Windows.Forms.MessageBox.Show("Error while deleting function");

}

}

else

{

System.Windows.Forms.MessageBox.Show("The object for switchingPeriod is not valid");

}

}

VB.NET

VBA

Public Sub DeleteFunctionFromPeriod()

Dim scheduler As scheduler

Set scheduler = MyWorkspace.ActiveDocument.scheduler

Dim groups As ScheduleGroups

Set groups = scheduler.ScheduleGroups

Dim group As ScheduleGroup

'Specify ScheduleGroup via Index!

Set group = groups.ItemByItem(0)

If Not group Is Nothing Then

Dim monday As ScheduleStandardDay

Set monday = group.Schedules.GetStandardDay(tpScheduleMonday)

If Not monday Is Nothing Then

Dim period As ScheduleSwitchingPeriod

'Specify SwitchingPeriod via Index!

Set period = monday.SwitchingPeriods.Item(0)

If Not period Is Nothing Then

Dim fullString As String

fullString = fullString & "------------------------------------" & vbNewLine

fullString = fullString & "Monday:" & vbNewLine

fullString = fullString & "------------------------------------" & vbNewLine & vbNewLine

fullString = fullString & "Before Editing: " & vbNewLine

fullString = fullString & "SwitchingPeriod:" & vbNewLine & vbNewLine

fullString = fullString & "Amount of Functions: " & (period.Start.functions.count + period.End.functions.count) & vbNewLine

fullString = fullString & "Function(s) linked at start:" & vbNewLine

Call CreateReportForAFunctionsContainer(period.Start.functions, fullString)

fullString = fullString & "Function(s) linked at end:" & vbNewLine

Call CreateReportForAFunctionsContainer(period.End.functions, fullString)

Call SchedulerDeleteFunction(period)

fullString = fullString & vbNewLine & vbNewLine & "After Editing: " & vbNewLine

fullString = fullString & "SwitchingPeriod:" & vbNewLine & vbNewLine

fullString = fullString & "Amount of Functions: " & (period.Start.functions.count + period.End.functions.count) & vbNewLine

fullString = fullString & "Function(s) linked at start:" & vbNewLine

Call CreateReportForAFunctionsContainer(period.Start.functions, fullString)

fullString = fullString & "Function(s) linked at end:" & vbNewLine

Call CreateReportForAFunctionsContainer(period.End.functions, fullString)

MsgBox fullString

End If

Else

MsgBox "Error while accessing schedule '" + group.Name + "'"

End If

Else

MsgBox "No accessable scheduleGroup existing"

End If

End Sub

Private Sub SchedulerDeleteFunction(period As ScheduleSwitchingPeriod)

Dim success As Boolean

If Not period Is Nothing Then

'Specify Function at Start Time to be Deleted!

success = period.Start.functions.Delete(0)

'Specify Function at End Time to be Deleted!

success = (success And period.End.functions.Delete(0))

If success = True Then

MsgBox "Function deleted successfully"

Else

MsgBox "Error while deleting function"

End If

Else

MsgBox "The object for switchingPeriod is not valid"

End If

End Sub


ScheduleGroup

Manuel -> Interfaces de programmation -> Modèles d'objet -> ScheduleGroup

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

A single Schedule Group

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Examples

C#

public void Macro_SchedulerCreate()

{

zenOn.IScheduleGroup group =

ActiveDocument.Scheduler.ScheduleGroups.Create();

if (group != null)

{

System.Windows.Forms.MessageBox.Show("Name of new scheduleGroup: " + group.Name);

}

else

{

System.Windows.Forms.MessageBox.Show("Error while creating a scheduleGroup");

}

}

VB.NET

VBA

Public Function Create() As ScheduleGroup

Dim scheduler As scheduler

Set scheduler = MyWorkspace.ActiveDocument.scheduler

Dim groups As ScheduleGroups

Set groups = scheduler.ScheduleGroups

Set Create = groups.Create()

End Function

Other topics in this chapter

ScheduleGroup-Properties


ScheduleGroup-Properties

Manuel -> Interfaces de programmation -> Modèles d'objet -> ScheduleGroup -> ScheduleGroup-Properties

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
BSTR | Name | Schedule Group Name | read only | read only | yes | yes
ISchedules | Schedules | Collection of Schedules in a Schedule Group | read only | read only | yes | yes

Other topics in this chapter

Name

Schedules


Name

Manuel -> Interfaces de programmation -> Modèles d'objet -> ScheduleGroup -> ScheduleGroup-Properties -> Name

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Name of the ScheduleGroup. Can only be changed via the Rename Methods in the collection

Datatype

Name() As BSTR

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


Schedules

Manuel -> Interfaces de programmation -> Modèles d'objet -> ScheduleGroup -> ScheduleGroup-Properties -> Schedules

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Collection of the Schedules in this Group

Datatype

Schedules() As ISchedules

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


ScheduleGroups

Manuel -> Interfaces de programmation -> Modèles d'objet -> ScheduleGroups

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Collection of Schedule Groups

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Examples

C#

public void Macro_GetListOfScheduleGroups()

{

String fullString = "";

fullString += "Amount of ScheduleGroups: " + ActiveDocument.Scheduler.ScheduleGroups.Count + "\n";

for (int i = 0; i < ActiveDocument.Scheduler.ScheduleGroups.Count; i++)

{

zenOn.IScheduleGroup group =

ActiveDocument.Scheduler.ScheduleGroups.ItemByIndex(i);

if (group != null)

{

if (fullString.Length > 0)

{

fullString += "\n";

}

fullString += "Name of ScheduleGroup: " + group.Name + " ";

}

}

System.Windows.Forms.MessageBox.Show(fullString);

}

public void Macro_SchedulerCount()

{

System.Windows.Forms.MessageBox.Show("Amount of scheduleGroups: " + ActiveDocument.Scheduler.ScheduleGroups.Count);

}

VB.NET

VBA

Public Sub GetListOfScheduleGroups()

Dim fullString As String

Dim scheduler As scheduler

Set scheduler = MyWorkspace.ActiveDocument.scheduler

Dim groups As ScheduleGroups

Set groups = scheduler.ScheduleGroups

Dim index As Long

fullString = fullString & "Amount of scheduleGroups: " & groups.count & vbNewLine

For index = 0 To (groups.count - 1)

Dim group As ScheduleGroup

Set group = groups.ItemByIndex(index)

If Len(fullString) > 0 Then

fullString = fullString & vbNewLine

End If

fullString = fullString & "Name of ScheduleGroup: " & group.Name

Next

MsgBox fullString

End Sub

Public Sub Count()

MsgBox MyWorkspace.ActiveDocument.scheduler.ScheduleGroups.Count

End Sub

Other topics in this chapter

ScheduleGroups-Properties

ScheduleGroups-Methods


ScheduleGroups-Properties

Manuel -> Interfaces de programmation -> Modèles d'objet -> ScheduleGroups -> ScheduleGroups-Properties

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
long | Count | Returns the Count of Schedule Groups | read only | read only | yes | yes

Other topics in this chapter

Count


Count

Manuel -> Interfaces de programmation -> Modèles d'objet -> ScheduleGroups -> ScheduleGroups-Properties -> Count

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Count of Groups. Cannot be modified directly.

Datatype

Count() As long

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


ScheduleGroups-Methods

Manuel -> Interfaces de programmation -> Modèles d'objet -> ScheduleGroups -> ScheduleGroups-Methods

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
IScheduleGroup | Create | Creates a Schedule Group | available | available | yes | yes
IScheduleGroup | DuplicateByName | Duplicates a Schedule Group via Name | available | available | yes | yes
IScheduleGroup | DuplicateByIndex | Duplicates a Schedule Group via Index | available | available | yes | yes
VARIANT_BOOL | DeleteByName | Deletes a Schedule Group via Name | available | available | yes | yes
VARIANT_BOOL | DeleteByIndex | Deletes a Schedule Group via Index | available | available | yes | yes
IScheduleGroup | ItemByName | Returns a Schedule Group via Name | available | available | yes | yes
IScheduleGroup | ItemByIndex | Returns a Schedule Group via Index | available | available | yes | yes
VARIANT_BOOL | RenameByName | Renames a Schedule Group via Name | available | available | yes | yes
VARIANT_BOOL | RenameByIndex | Renames a Schedule Group via Index | available | available | yes | yes
IScheduleGroup | GetItemByName | Returns a Schedule Group via Name | available | available | yes | yes
IScheduleGroup | GetItem | Returns a Schedule Group via Index | available | available | yes | yes

Other topics in this chapter

Create

DuplicateByName

DuplicateByIndex

DeleteByName

DeleteByIndex

GetItemByName

GetItem

RenameByName

RenameByIndex


Create

Manuel -> Interfaces de programmation -> Modèles d'objet -> ScheduleGroups -> ScheduleGroups-Methods -> Create

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Creates a new ScheduleGroup

Datatype

Create() As IScheduleGroup

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

VB.NET

VBA

Examples

C#

public void Macro_SchedulerCreate()

{

zenOn.IScheduleGroup group =

ActiveDocument.Scheduler.ScheduleGroups.Create();

if (group != null)

{

System.Windows.Forms.MessageBox.Show("Name of new scheduleGroup: " + group.Name);

}

else

{

System.Windows.Forms.MessageBox.Show("Error while creating a scheduleGroup");

}

}

VB.NET

VBA

Public Function Create() As ScheduleGroup

Dim scheduler As scheduler

Set scheduler = MyWorkspace.ActiveDocument.scheduler

Dim groups As ScheduleGroups

Set groups = scheduler.ScheduleGroups

Set Create = groups.Create()

End Function


DuplicateByName

Manuel -> Interfaces de programmation -> Modèles d'objet -> ScheduleGroups -> ScheduleGroups-Methods -> DuplicateByName

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Duplicates the ScheduleGroup with the specified name

Datatype

DuplicateByName(BSTR Name) As IScheduleGroup

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

VB.NET

VBA

Examples

C#

public void Macro_SchedulerDuplicateByName()

{

zenOn.IScheduleGroup newGroup =

ActiveDocument.Scheduler.ScheduleGroups.DuplicateByName("New schedule1");

if (newGroup != null)

{

System.Windows.Forms.MessageBox.Show("Name of new Group: " + newGroup.Name);

}

else

{

System.Windows.Forms.MessageBox.Show("Error while duplicating the scheduleGroup");

}

}

VB.NET

VBA

Public Sub DuplicateByName()

Dim scheduler As scheduler

Set scheduler = MyWorkspace.ActiveDocument.scheduler

Dim groups As ScheduleGroups

Set groups = scheduler.ScheduleGroups

Dim newGroup As ScheduleGroup

Set newGroup = groups.DuplicateByName("New schedule1")

If Not newGroup Is Nothing Then

MsgBox "Name of new Group: " + newGroup.Name

Else

MsgBox "Error while duplicating the scheduleGroup"

End If

End Sub


DuplicateByIndex

Manuel -> Interfaces de programmation -> Modèles d'objet -> ScheduleGroups -> ScheduleGroups-Methods -> DuplicateByIndex

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Duplicates the ScheduleGroup with the specified index

Datatype

DuplicateByIndex(long Index) As IScheduleGroup

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

VB.NET

VBA

Examples

C#

public void Macro_SchedulerDuplicateByIndex()

{

if (ActiveDocument.Scheduler.ScheduleGroups.Count > 0)

{

zenOn.IScheduleGroup newGroup =

ActiveDocument.Scheduler.ScheduleGroups.DuplicateByIndex(0);

if (newGroup != null)

{

System.Windows.Forms.MessageBox.Show("Name of new Group: " + newGroup.Name);

}

else

{

System.Windows.Forms.MessageBox.Show("Error while duplicating the scheduleGroup");

}

}

else

{

System.Windows.Forms.MessageBox.Show("There's no existing group to duplicate");

}

}

VB.NET

VBA

Public Sub DuplicateByIndex()

Dim scheduler As scheduler

Set scheduler = MyWorkspace.ActiveDocument.scheduler

Dim groups As ScheduleGroups

Set groups = scheduler.ScheduleGroups

Dim count As Long

count = groups.count

If count > 0 Then

Dim newGroup As ScheduleGroup

Set newGroup = groups.DuplicateByIndex(0)

If Not newGroup Is Nothing Then

MsgBox "Name of new Group: " + newGroup.name

Else

MsgBox "Error while duplicating the scheduleGroup with index '0'"

End If

Else

MsgBox "There's no existing group to duplicate"

End If

End Sub


DeleteByName

Manuel -> Interfaces de programmation -> Modèles d'objet -> ScheduleGroups -> ScheduleGroups-Methods -> DeleteByName

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Deletes the ScheduleGroup with the specified name

Datatype

DeleteByName(BSTR Name) As VARIANT_BOOL

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

VB.NET

VBA

Examples

C#

public void Macro_SchedulerDeleteByName()

{

bool success =

ActiveDocument.Scheduler.ScheduleGroups.DeleteByName("New schedule1");

if (success)

{

System.Windows.Forms.MessageBox.Show("SchedulerGroup deleted succesfully");

}

else

{

System.Windows.Forms.MessageBox.Show("Error while deleting SchedulerGroup");

}

}

VB.NET

VBA

Public Sub DeleteByName()

Dim scheduler As scheduler

Set scheduler = MyWorkspace.ActiveDocument.scheduler

Dim groups As ScheduleGroups

Set groups = scheduler.ScheduleGroups

Dim success As Boolean

success = groups.DeleteByName("New schedule1")

If success Then

MsgBox "SchedulerGroup deleted succesfully"

Else

MsgBox "Error while deleting SchedulerGroup'"

End If

End Sub


DeleteByIndex

Manuel -> Interfaces de programmation -> Modèles d'objet -> ScheduleGroups -> ScheduleGroups-Methods -> DeleteByIndex

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Deletes a ScheduleGroup with the specified index

Datatype

DeleteByIndex(long Index) As VARIANT_BOOL

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

VB.NET

VBA

Examples

C#

public void Macro_SchedulerDeleteByIndex()

{

if (ActiveDocument.Scheduler.ScheduleGroups.Count > 0)

{

bool success =

ActiveDocument.Scheduler.ScheduleGroups.DeleteByIndex(0);

if (success)

{

System.Windows.Forms.MessageBox.Show("SchedulerGroup with index 0 deleted succesfully");

}

else

{

System.Windows.Forms.MessageBox.Show("Error while deleting SchedulerGroup with index '0'");

}

}

else

{

System.Windows.Forms.MessageBox.Show("There's no existing group to delete");

}

}

VB.NET

VBA

Public Sub DeleteByIndex()

Dim scheduler As scheduler

Set scheduler = MyWorkspace.ActiveDocument.scheduler

Dim groups As ScheduleGroups

Set groups = scheduler.ScheduleGroups

Dim Count As Long

Count = groups.Count

If Count > 0 Then

Dim success As Boolean

success = groups.DeleteByIndex(0)

If success Then

MsgBox "SchedulerGroup with index 0 deleted succesfully"

Else

MsgBox "Error while deleting SchedulerGroup with index '0'"

End If

Else

MsgBox "There's no existing group to delete"

End If

End Sub


GetItemByName

Manuel -> Interfaces de programmation -> Modèles d'objet -> ScheduleGroups -> ScheduleGroups-Methods -> GetItemByName

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

GetItemByName(BSTR Name) As IScheduleGroup

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

VB.NET

VBA

Examples

C#

VB.NET

VBA


GetItem

Manuel -> Interfaces de programmation -> Modèles d'objet -> ScheduleGroups -> ScheduleGroups-Methods -> GetItem

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

GetItem(long Index) As IScheduleGroup

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

VB.NET

VBA

Examples

C#

VB.NET

VBA


RenameByName

Manuel -> Interfaces de programmation -> Modèles d'objet -> ScheduleGroups -> ScheduleGroups-Methods -> RenameByName

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Renames the ScheduleGroup with the specified name

Datatype

RenameByName(BSTR OldName, BSTR NewName) As VARIANT_BOOL

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

VB.NET

VBA

Examples

C#

public void Macro_SchedulerRenameByName()

{

bool success =

ActiveDocument.Scheduler.ScheduleGroups.RenameByName("New schedule1", "newName");

if (success)

{

System.Windows.Forms.MessageBox.Show("The scheduleGroup was renamed to 'newName'");

}

else

{

System.Windows.Forms.MessageBox.Show("Error while renaming scheduleGroup");

}

}

VB.NET

VBA

Public Sub RenameByName()

Dim scheduler As scheduler

Set scheduler = MyWorkspace.ActiveDocument.scheduler

Dim groups As ScheduleGroups

Set groups = scheduler.ScheduleGroups

Dim success As Boolean

success = groups.RenameByName("New schedule1", "newName")

If success Then

MsgBox "The scheduleGroup was renamed to 'newName'"

Else

MsgBox "ScheduleGroup does not exist"

End If

End Sub


RenameByIndex

Manuel -> Interfaces de programmation -> Modèles d'objet -> ScheduleGroups -> ScheduleGroups-Methods -> RenameByIndex

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Renames the ScheduleGroup with the specified index

Datatype

RenameByIndex(long Index, BSTR NewName) As VARIANT_BOOL

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

VB.NET

VBA

Examples

C#

public void Macro_SchedulerRenameByIndex()

{

bool success =

ActiveDocument.Scheduler.ScheduleGroups.RenameByIndex(0, "NewName");

if (success)

{

System.Windows.Forms.MessageBox.Show("The scheduleGroup with index '0' was renamed to 'newName'");

}

else

{

System.Windows.Forms.MessageBox.Show("Error while renaming scheduleGroup with index '0'");

}

}

VB.NET

VBA

Public Sub RenameByIndex()

Dim scheduler As scheduler

Set scheduler = MyWorkspace.ActiveDocument.scheduler

Dim groups As ScheduleGroups

Set groups = scheduler.ScheduleGroups

Dim Count As Long

Count = groups.Count

If Count > 0 Then

Dim success As Boolean

success = groups.RenameByIndex(0, "newName")

If success Then

MsgBox "The scheduleGroup with index '0' was renamed to 'newName'"

Else

MsgBox "ScheduleGroup with index '0' is not existing"

End If

Else

MsgBox "There's no existing group to rename"

End If

End Sub


Scheduler

Manuel -> Interfaces de programmation -> Modèles d'objet -> Scheduler

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

The Scheduler API allows access and modification to the Scheduler data through VBA and VSTA in the Editor and Runtime.

General rules when using the Scheduler API:

Do not use the Scheduler API from a second thread or keep API Objects for later calls. The Scheduler data may get edited elsewhere, so the lifetime and validity of the objects is only guaranteed in the immediate function context.

After modifications to collections (add, remove, rename) the iteration order of all objects may change, so performing these operations mid iteration may invalidate your index.

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Examples

C#

class Project

{

properties:

Scheduler* Scheduler; // Access to the Scheduler API in the Project

}

The following classes are new in the zenon API to access the Scheduler:

// Root class for the Scheduler Api

class Scheduler

{

properties:

ScheduleGroups* ScheduleGroups; // Access to the configured Schedule Groups

methods:

bool Save(); // Saves all unsaved changes. Returns true if store was successful

void Undo(); // Undoes all unsaved changes

// Multiuser block

bool Get();

bool CheckOut();

bool CheckIn();

bool UndoCheckOut();

bool IsLocked();

bool IsCheckedOut();

bool IsDifferent();

};

// Collection of Schedule Groups

class ScheduleGroups

{

properties:

long Count; // Count of Groups. Cannot be modified directly.

methods:

ScheduleGroup* Create(); // Creates and returns a new ScheduleGroup. The new ScheduleGroup is created with the default name for new Groups. If no Groups could be created, null is returned.

ScheduleGroup* DuplicateByName(String Name); // Duplicates and returns the ScheduleGroup with the passed 'Name'. The new ScheduleGroup is created with the default name for copied Groups. If no Groups could be created, null is returned.

ScheduleGroup* DuplicateByIndex(long Index); // Duplicates and returns the ScheduleGroup at the passed 'Index'(0-based). The new ScheduleGroup is created with the default name for copied Groups. If no Groups could be created or 'Index' is invalid, null is returned.

bool DeleteByName(String Name); // Deletes the ScheduleGroup with the passed 'Name'. Returns true, if the Group was deleted successfully and false if the 'Name' does not exist or the Group could not be deleted.

bool DeleteByIndex(long Index); // Deletes the ScheduleGroup at the passed 'Index'(0-based). Returns true, if the Group was deleted successfully and false if the 'Index' is invalid or the Group could not be deleted.

ScheduleGroup* ItemByName(String Name); // Returns the ScheduleGroup with the passed 'Name'. Returns null if no Group with that name exists.

ScheduleGroup* ItemByIndex(long Index); // Returns the ScheduleGroup at the passed Index(0-based). Returns null the index in invalid.

bool RenameByName(String OldName, String NewName); // Changes the name of a ScheduleGroup from 'OldName' to 'NewName'. Returns true if the object was renamed successfully.

bool RenameByIndex(long Index, String NewName); // Changes the name of a ScheduleGroup at the passed 'Index'(0-based) to 'NewName'. Returns true if the object was renamed successfully.

};

// A single Schedule Group

class ScheduleGroup

{

properties:

String Name; // Name of the ScheduleGroup. Can only be changed via the Rename Methods in the collection

Schedules* Schedules; // Collection of the Schedules in this Group

};

// Collection of Schedules in the Group

class Schedules

{

properties:

long CustomPeriodCount; // Count of Custom Periods. Cannot be modified directly.

methods:

ScheduleCustomPeriod* CreateCustomPeriod(DateTime Start, DateTime End); // Creates and returns a new Custom Period or null if it could not be created. Only the date of 'Start' and 'End' is considered for Custom Periods and both are included in the Period. The date of 'End' must not be before the date of 'Start'. The time range for a Period cannot overlap with any existing Custom Periods.

bool DeleteCustomPeriod(long Index); // Deletes a Custom Period at the passed 'Index'(0-based). Returns false, if the 'Index' is invalid or the Period could not be deleted.

ScheduleStandardDay* GetStandardDay(tpScheduleDayType Day); // Returns the ScheduleStandardDay with the passed type or null if 'Day' is invalid.

ScheduleCustomPeriod* GetCustomPeriod(long Index); // Returns the ScheduleCustomPeriod at the passed 'Index' or null if the 'Index' is invalid.

};

// A Standard Day Schedule that defines the Switching Actions that are normally to be used on a Day of its Type

class ScheduleStandardDay

{

properties:

tpScheduleDayType Type; // defines the days on which it gets used. Cannot be changed.

ScheduleSwitchingPeriods* SwitchingPeriods; // Collection of Switching Periods

ScheduleSwitchingPoints* SwitchingPoints; // Collection of Switching Points

};

// A custom Time Period Schedule in which its Switching Actions are used instead of the standard ones.

class ScheduleCustomPeriod

{

properties:

DateTime StartDateTime; // Start date of the period. Cannot be changed after creation.

DateTime EndDateTime; // End date of the period. Cannot be changed after creation.

ScheduleSwitchingPeriods* SwitchingPeriods; // Collection of Switching Periods

ScheduleSwitchingPoints* SwitchingPoints; // Collection of Switching Points

};

// Collection of Switching Periods.

class ScheduleSwitchingPeriods

{

properties:

long Count; // Count of Switching Periods. Cannot be changed directly.

methods:

ScheduleSwitchingPeriod* Create(DateTime StartTime, DateTime EndTime); // Creates and returns a new Switching Period. Only the time component of 'StartTime' and 'EndTime' are relevant. Both times must be unique within the Schedule and 'EndTime' must be after 'StartTime'.

bool Delete(long Index); // Deletes the Switching Period at the passed 'Index'(0-based). Returns false, if the 'Index' is invalid or the Period could not be deleted.

ScheduleSwitchingPeriod* Item(long Index); // Returns the Switching Period at the passed 'Index'(0-based) or null if the 'Index' is invalid.

};

// A single Switching Period

class ScheduleSwitchingPeriod

{

properties:

ScheduleSwitchingPoint* Start; // Switching Point at the Start of the Period

ScheduleSwitchingPoint* End; // Switching Point at the End of the Period

};

// Collection of Switching Points

class ScheduleSwitchingPoints

{

properties:

long Count; // Count if Swichting Points. Cannot be changed directly.

methods:

ScheduleSwitchingPoint* Create(DateTime Time); // Creates and returns a new Switching Point. Only the time component of 'Time' is relevant. The time must be unique within the Schedule.

bool Delete(long Index); // Deletes the Switching Point at the passed 'Index'(0-based). Returns false, if the 'Index' is invalid or the Point could not be deleted.

ScheduleSwitchingPoint* Item(long Index); // Returns the Switching Point at the passed 'Index'(0-based) or null if the 'Index' is invalid.

};

// A single switching Point

class ScheduleSwitchingPoint

{

properties:

DateTime Time; // Time of the switching Point. Only the time component is relevant

ScheduleVariables* Variables; // Collection of Actions to be performed on Variables

ScheduleFunctions* Functions; // Collection of Functions to be Executed

};

// Collection of Functions in a Switching Point

class ScheduleFunctions

{

properties:

long Count; // Count of Functions. Cannot be changed directly.

methods:

ScheduleFunction* Create(IRtFunction* Function); // Inserts the new 'Function' to be executed and returns the new link. Returns null if the 'Function' is not unique within the collection or cannot be added.

bool Delete(long Index); // Deletes the link to a function at the passed 'Index'(0-based). Returns false, if the 'Index' is invalid or the function could not be removed

ScheduleFunction* Item(long Index); // Returns the function link at the passed 'Index'(0-based). Returns null if 'Index' is invalid.

};

// Link to a single Function

class ScheduleFunction

{

properties:

bool Active; // Defines, if this function gets executed. Can be changed.

IRtFunction* Function; // Function that gets executed. Cannot be changed.

};

// Collection of Variable Actions in a Switching Point

class ScheduleVariables

{

properties:

long Count; // Count of Variable Actions. Cannot be changed directly.

methods:

ScheduleVariable* Create(IVariable* Variable, VARIANT SetValue); // Creates and returns a new variable Action to set 'SetValue' into 'Variable'. Returns null, if 'Variable' is not unique within the Switching Point or the new action could not be added

bool Delete(long Index); // Deletes the Variable at the passed 'Index'(0-based). Returns false, if 'Index' is invalid or the Variable could not be deleted.

ScheduleVariable* Item(long Index); // Returns the Variable at the passed 'Index'(0-based). Returns null if 'Index' is invalid.

};

// A single Variable Action

class ScheduleVariable

{

properties:

bool Active; // Defines, if this Action gets Executed. Can be changed.

IVariable* Variable; // Variable, that gets a Value set into. Cannot be changed.

VB.NET

VBA

Public Sub Save()

Dim scheduler As scheduler

Set scheduler = MyWorkspace.ActiveDocument.scheduler

Dim returnValue As Boolean

returnValue = scheduler.Save()

If returnValue = True Then

MsgBox "Data saved"

Else

MsgBox "Error while saving"

End If

End Sub

Other topics in this chapter

Scheduler-Properties

Scheduler-Methods


Scheduler-Properties

Manuel -> Interfaces de programmation -> Modèles d'objet -> Scheduler -> Scheduler-Properties

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
IScheduleGroups | ScheduleGroups | Collection of Schedule Groups | read only | read only | yes | yes

Other topics in this chapter

ScheduleGroups


ScheduleGroups

Manuel -> Interfaces de programmation -> Modèles d'objet -> Scheduler -> Scheduler-Properties -> ScheduleGroups

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Access to the configured Schedule Groups

Datatype

ScheduleGroups() As IScheduleGroups

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


Scheduler-Methods

Manuel -> Interfaces de programmation -> Modèles d'objet -> Scheduler -> Scheduler-Methods

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
VARIANT_BOOL | Save | Saves the changes made to the Scheduler | available | available | yes | yes
void | Undo | Undo changes made to the Scheduler since the last Save | available | available | yes | yes
VARIANT_BOOL | Get | Get the latest version from the server (editor). | available | not used | yes | yes
VARIANT_BOOL | CheckOut | Allow module modifications (editor). | available | not used | yes | yes
VARIANT_BOOL | CheckIn | Save module modifications to server (editor). | available | not used | yes | yes
VARIANT_BOOL | UndoCheckOut | Undo module modifications (editor). | available | not used | yes | yes
VARIANT_BOOL | IsLocked | Returns true when the current module is Locked by another user (editor). | read only | not used | yes | yes
VARIANT_BOOL | IsCheckedOut | Returns true when the current module checked out by the current user (editor). | read only | not used | yes | yes
VARIANT_BOOL | IsDifferent | Returns true when the local and server version are different (editor). | read only | not used | yes | yes

Other topics in this chapter

Save

Undo

Get

CheckOut

CheckIn

UndoCheckOut

IsLocked

IsCheckedOut

IsDifferent


Save

Manuel -> Interfaces de programmation -> Modèles d'objet -> Scheduler -> Scheduler-Methods -> Save

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Saves the changes made to the Scheduler

Datatype

Save() As VARIANT_BOOL

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

VB.NET

VBA

Examples

C#

public void Macro_SchedulerSave()

{

if (ActiveDocument.Scheduler.Save())

{

System.Windows.Forms.MessageBox.Show("Data saved");

}

else

{

System.Windows.Forms.MessageBox.Show("Error while saving");

}

}

VB.NET

VBA

Public Sub Save()

Dim scheduler As scheduler

Set scheduler = MyWorkspace.ActiveDocument.scheduler

Dim returnValue As Boolean

returnValue = scheduler.Save()

If returnValue = True Then

MsgBox "Data saved"

Else

MsgBox "Error while saving"

End If

End Sub


Undo

Manuel -> Interfaces de programmation -> Modèles d'objet -> Scheduler -> Scheduler-Methods -> Undo

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Undo all changes made to the Scheduler. Reverts to the last save

Datatype

Undo() As void

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

VB.NET

VBA

Examples

C#

public void Macro_SchedulerUndo()

{

ActiveDocument.Scheduler.Undo();

}

VB.NET

VBA

Public Sub Undo()

Dim scheduler As scheduler

Set scheduler = MyWorkspace.ActiveDocument.scheduler

scheduler.Undo

End Sub


Get

Manuel -> Interfaces de programmation -> Modèles d'objet -> Scheduler -> Scheduler-Methods -> Get

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

Get() As VARIANT_BOOL

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

VB.NET

VBA

Examples

C#

VB.NET

VBA


CheckOut

Manuel -> Interfaces de programmation -> Modèles d'objet -> Scheduler -> Scheduler-Methods -> CheckOut

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

CheckOut() As VARIANT_BOOL

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

VB.NET

VBA

Examples

C#

VB.NET

VBA


CheckIn

Manuel -> Interfaces de programmation -> Modèles d'objet -> Scheduler -> Scheduler-Methods -> CheckIn

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

CheckIn() As VARIANT_BOOL

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

VB.NET

VBA

Examples

C#

VB.NET

VBA


UndoCheckOut

Manuel -> Interfaces de programmation -> Modèles d'objet -> Scheduler -> Scheduler-Methods -> UndoCheckOut

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

UndoCheckOut() As VARIANT_BOOL

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

VB.NET

VBA

Examples

C#

VB.NET

VBA


IsLocked

Manuel -> Interfaces de programmation -> Modèles d'objet -> Scheduler -> Scheduler-Methods -> IsLocked

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

IsLocked() As VARIANT_BOOL

Availability

Environment | Available
Editor | read only
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

VB.NET

VBA

Examples

C#

VB.NET

VBA


IsCheckedOut

Manuel -> Interfaces de programmation -> Modèles d'objet -> Scheduler -> Scheduler-Methods -> IsCheckedOut

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

IsCheckedOut() As VARIANT_BOOL

Availability

Environment | Available
Editor | read only
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

VB.NET

VBA

Examples

C#

VB.NET

VBA


IsDifferent

Manuel -> Interfaces de programmation -> Modèles d'objet -> Scheduler -> Scheduler-Methods -> IsDifferent

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

IsDifferent() As VARIANT_BOOL

Availability

Environment | Available
Editor | read only
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

VB.NET

VBA

Examples

C#

VB.NET

VBA


Schedules

Manuel -> Interfaces de programmation -> Modèles d'objet -> Schedules

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Collection of Schedules in the Group

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Examples

C#

/// <summary>

/// Creates a CustomPeriod in the first scheduleGroup and displays it's data in a messageBox

/// </summary>

public void Macro_SchedulerCreateCustomPeriod()

{

zenOn.IScheduleGroup group =

ActiveDocument.Scheduler.ScheduleGroups.ItemByIndex(0);

if (group != null)

{

DateTime startOfCustomPeriod = DateTime.Now;

TimeSpan oneDay = new TimeSpan(1,0,0,0);

DateTime endOfCustomPeriod = startOfCustomPeriod + oneDay;

zenOn.IScheduleCustomPeriod newCustomPeriod = group.Schedules.CreateCustomPeriod(startOfCustomPeriod, endOfCustomPeriod);

if (newCustomPeriod != null)

{

String report = "scheduleGroup: " + group.Name + "\n";

report += "new custom Period: " + newCustomPeriod.StartDate.Day + "." + newCustomPeriod.StartDate.Month + "." + newCustomPeriod.StartDate.Year;

report += " - " + newCustomPeriod.EndDate.Day + "." + newCustomPeriod.EndDate.Month + "." + newCustomPeriod.EndDate.Year;

System.Windows.Forms.MessageBox.Show(report);

}

else

{

System.Windows.Forms.MessageBox.Show("Period does already exist");

}

}

else

{

System.Windows.Forms.MessageBox.Show("No accessable scheduleGroup existing");

}

}

VB.NET

VBA

Public Sub CreateCustomPeriod()

Dim scheduler As scheduler

Set scheduler = MyWorkspace.ActiveDocument.scheduler

Dim groups As ScheduleGroups

Set groups = scheduler.ScheduleGroups

Dim group As ScheduleGroup

Set group = groups.ItemByIndex(0)

If Not group Is Nothing Then

Dim startOfCustomPeriod As Date

startOfCustomPeriod = Now()

Dim endOfCustomPeriod As Date

endOfCustomPeriod = DateAdd("y", 1, startOfCustomPeriod)

Dim newPeriod As ScheduleCustomPeriod

Set newPeriod = group.Schedules.CreateCustomPeriod(startOfCustomPeriod, endOfCustomPeriod)

If Not newPeriod Is Nothing Then

Dim report As String

report = report & "scheduleGroup: " & group.name & vbNewLine

report = report & "new customPeriod: " & Format(startOfCustomPeriod, "dd.mm.yyyy") & " - " & Format(endOfCustomPeriod, "dd.mm.yyyy")

MsgBox report

Else

MsgBox "Period does already exist"

End If

Else

MsgBox "No accessable scheduleGroup existing"

End If

End Sub

Other topics in this chapter

Schedules-Properties

Schedules-Methods


Schedules-Properties

Manuel -> Interfaces de programmation -> Modèles d'objet -> Schedules -> Schedules-Properties

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
long | CustomPeriodCount | Returns the Count of Custom Periods | read only | read only | yes | yes

Other topics in this chapter

CustomPeriodCount


CustomPeriodCount

Manuel -> Interfaces de programmation -> Modèles d'objet -> Schedules -> Schedules-Properties -> CustomPeriodCount

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Count of Custom Periods. Cannot be modified directly.

Datatype

CustomPeriodCount() As long

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


Schedules-Methods

Manuel -> Interfaces de programmation -> Modèles d'objet -> Schedules -> Schedules-Methods

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
IScheduleCustomPeriod | CreateCustomPeriod | Creates a Custom Period | available | available | yes | yes
VARIANT_BOOL | DeleteCustomPeriod | Deletes a Custom Period | available | available | yes | yes
IScheduleStandardDay | GetStandardDay | Returns a Standard Day via enum | available | available | yes | yes
IScheduleCustomPeriod | GetCustomPeriod | Returns a Custom Period via Index | available | available | yes | yes

Other topics in this chapter

CreateCustomPeriod

DeleteCustomPeriod

GetStandardDay

GetCustomPeriod


CreateCustomPeriod

Manuel -> Interfaces de programmation -> Modèles d'objet -> Schedules -> Schedules-Methods -> CreateCustomPeriod

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Creates a custom period

Datatype

CreateCustomPeriod(DATE Start, DATE End) As IScheduleCustomPeriod

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

VB.NET

VBA

Examples

C#

/// <summary>

/// Creates a CustomPeriod in the first scheduleGroup and displays it's data in a messageBox

/// </summary>

public void Macro_SchedulerCreateCustomPeriod()

{

zenOn.IScheduleGroup group =

ActiveDocument.Scheduler.ScheduleGroups.ItemByIndex(0);

if (group != null)

{

DateTime startOfCustomPeriod = DateTime.Now;

TimeSpan oneDay = new TimeSpan(1,0,0,0);

DateTime endOfCustomPeriod = startOfCustomPeriod + oneDay;

zenOn.IScheduleCustomPeriod newCustomPeriod = group.Schedules.CreateCustomPeriod(startOfCustomPeriod, endOfCustomPeriod);

if (newCustomPeriod != null)

{

String report = "scheduleGroup: " + group.Name + "\n";

report += "new custom Period: " + newCustomPeriod.StartDate.Day + "." + newCustomPeriod.StartDate.Month + "." + newCustomPeriod.StartDate.Year;

report += " - " + newCustomPeriod.EndDate.Day + "." + newCustomPeriod.EndDate.Month + "." + newCustomPeriod.EndDate.Year;

System.Windows.Forms.MessageBox.Show(report);

}

else

{

System.Windows.Forms.MessageBox.Show("Period does already exist");

}

}

else

{

System.Windows.Forms.MessageBox.Show("No accessable scheduleGroup existing");

}

}

VB.NET

VBA

Public Sub CreateCustomPeriod()

Dim scheduler As scheduler

Set scheduler = MyWorkspace.ActiveDocument.scheduler

Dim groups As ScheduleGroups

Set groups = scheduler.ScheduleGroups

Dim group As ScheduleGroup

Set group = groups.ItemByIndex(0)

If Not group Is Nothing Then

Dim startOfCustomPeriod As Date

startOfCustomPeriod = Now()

Dim endOfCustomPeriod As Date

endOfCustomPeriod = DateAdd("y", 1, startOfCustomPeriod)

Dim newPeriod As ScheduleCustomPeriod

Set newPeriod = group.Schedules.CreateCustomPeriod(startOfCustomPeriod, endOfCustomPeriod)

If Not newPeriod Is Nothing Then

Dim report As String

report = report & "scheduleGroup: " & group.name & vbNewLine

report = report & "new customPeriod: " & Format(startOfCustomPeriod, "dd.mm.yyyy") & " - " & Format(endOfCustomPeriod, "dd.mm.yyyy")

MsgBox report

Else

MsgBox "Period does already exist"

End If

Else

MsgBox "No accessable scheduleGroup existing"

End If

End Sub


DeleteCustomPeriod

Manuel -> Interfaces de programmation -> Modèles d'objet -> Schedules -> Schedules-Methods -> DeleteCustomPeriod

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Deletes the custom period.

Datatype

DeleteCustomPeriod(long Index) As VARIANT_BOOL

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

VB.NET

VBA

Examples

C#

/// <summary>

/// Deletes the first existing CustomPeriod in the first scheduleGroup and shows details in a messageBox

/// </summary>

public void Macro_SchedulerDeleteCustomPeriod()

{

zenOn.IScheduleGroup group =

ActiveDocument.Scheduler.ScheduleGroups.ItemByIndex(0);

if (group != null)

{

if (group.Schedules.CustomPeriodCount > 0)

{

String report = "";

zenOn.IScheduleCustomPeriod period = group.Schedules.GetCustomPeriod(0);

report += "scheduleGroup: " + group.Name + "\n";

report += "first customPeriod: " + period.StartDate.Day + "." + period.StartDate.Month + "." + period.StartDate.Year;

report += " - " + period.EndDate.Day + "." + period.EndDate.Month + "." + period.EndDate.Year;

bool success = group.Schedules.DeleteCustomPeriod(0);

if (success)

{

report += "\nCustomPeriod deleted successfully";

}

else

{

report += "\nDeleting customPeriod was not successful";

}

System.Windows.Forms.MessageBox.Show(report);

}

else

{

System.Windows.Forms.MessageBox.Show("There's no customPeriod existing to delete");

}

}

else

{

System.Windows.Forms.MessageBox.Show("No accessable scheduleGroup existing");

}

}

VB.NET

VBA

Public Sub DeleteCustomPeriod()

Dim scheduler As scheduler

Set scheduler = MyWorkspace.ActiveDocument.scheduler

Dim groups As ScheduleGroups

Set groups = scheduler.ScheduleGroups

Dim group As ScheduleGroup

Set group = groups.ItemByIndex(0)

If Not group Is Nothing Then

If group.Schedules.customPeriodCount > 0 Then

Dim report As String

Dim period As ScheduleCustomPeriod

Set period = group.Schedules.GetCustomPeriod(0)

report = report & "scheduleGroup: " & group.name & vbNewLine

report = report & "first customPeriod: " & Format(period.StartDate, "dd.mm.yyyy") & " - " & Format(period.EndDate, "dd.mm.yyyy")

Dim success As Boolean

success = group.Schedules.DeleteCustomPeriod(0)

If success Then

report = report & vbNewLine & "CustomPeriod deleted successfully"

Else

report = report & vbNewLine & "Deleting customPeriod was not successful"

End If

MsgBox report

Else

MsgBox "There's no customPeriod existing to delete"

End If

Else

MsgBox "No accessable scheduleGroup existing"

End If

End Sub


GetStandardDay

Manuel -> Interfaces de programmation -> Modèles d'objet -> Schedules -> Schedules-Methods -> GetStandardDay

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Access a specific Schedule within a ScheduleGroup. Generates a List containing the amount of Switching Periods & Points within a Schedule. Both the ScheduleGroup and the Schedule (StandardDay) must be defined by the user!

Datatype

GetStandardDay(tpScheduleDayType Day) As IScheduleStandardDay

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

VB.NET

VBA

Examples

C#

public void Macro_SchedulerAccessStandardDay()

{

String fullString = "";

{

//Specify ScheduleGroup via Index!

zenOn.IScheduleGroup group =

ActiveDocument.Scheduler.ScheduleGroups.ItemByIndex(0);

if (group != null)

{

if (fullString.Length > 0)

{

fullString += "\n\n\n\n";

}

fullString += "ScheduleName: " + group.Name + " ";

fullString += "\n";

//Specify StandardDay via Index!

zenOn.tpScheduleDayType dayType = Macro_GetDayTypeForIndex(2);

Macro_ReportOfOneStandardDay(group.Schedules.GetStandardDay(dayType), ref fullString);

}

}

System.Windows.Forms.MessageBox.Show(fullString);

}

VB.NET

VBA

Public Sub AccessStandardDay()

Dim fullString As String

Dim scheduler As scheduler

Set scheduler = MyWorkspace.ActiveDocument.scheduler

Dim groups As ScheduleGroups

Set groups = scheduler.ScheduleGroups

Dim group As ScheduleGroup

'Specify ScheduleGroup via Index!

Set group = groups.ItemByIndex(0)

Dim standardDayCount As Long

standardDayCount = 8

If Not group Is Nothing Then

If Len(fullString) > 0 Then

fullString = fullString & vbNewLine & vbNewLine & vbNewLine & vbNewLine

End If

fullString = fullString & "ScheduleName: " & group.Name

fullString = fullString & vbNewLine

Dim dayType As tpScheduleDayType

'Specify StandardDay via Index!

dayType = GetDayTypeForIndex(0)

Call ReportOfOneStandardDay(group.Schedules.GetStandardDay(dayType), fullString)

End If

MsgBox fullString

End Sub


GetCustomPeriod

Manuel -> Interfaces de programmation -> Modèles d'objet -> Schedules -> Schedules-Methods -> GetCustomPeriod

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Access a specific CustomPeriod within a ScheduleGroup. Generates a List containing the amount of Switching Periods & Points within a Schedule. Both the ScheduleGroup and the Schedule (CustomPeriod) must be defined by the user!

Datatype

GetCustomPeriod(long Index) As IScheduleCustomPeriod

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

VB.NET

VBA

Examples

C#

public void Macro_SchedulerAccessCustomPeriod()

{

String fullString = "";

{

//Specify ScheduleGroup index!

zenOn.IScheduleGroup group =

ActiveDocument.Scheduler.ScheduleGroups.ItemByIndex(0);

if (group != null)

{

if (fullString.Length > 0)

{

fullString += "\n\n\n\n";

}

fullString += "ScheduleName: " + group.Name + " ";

fullString += "\n";

//Specify CustomPeriod via Index!

Macro_ReportOfOneCustomPeriod(group.Schedules.GetCustomPeriod(1), ref fullString);

}

}

System.Windows.Forms.MessageBox.Show(fullString);

}

VB.NET

VBA

Public Sub AccessCustomPeriod()

Dim fullString As String

Dim scheduler As scheduler

Set scheduler = MyWorkspace.ActiveDocument.scheduler

Dim groups As ScheduleGroups

Set groups = scheduler.ScheduleGroups

Dim group As ScheduleGroup

'Specify ScheduleGroup via Index!

Set group = groups.ItemByIndex(0)

Dim customPeriodCount As Long

customPeriodCount = group.Schedules.customPeriodCount

If Not group Is Nothing Then

If Len(fullString) > 0 Then

fullString = fullString & vbNewLine & vbNewLine & vbNewLine & vbNewLine

End If

fullString = fullString & "ScheduleName: " & group.Name

fullString = fullString & vbNewLine

Dim customPeriod As ScheduleCustomPeriod

'Specify CustomPeriod via Index!

Set customPeriod = group.Schedules.GetCustomPeriod(2)

Call ReportOfOneCustomPeriod(customPeriod, fullString)

End If

MsgBox fullString

End Sub


ScheduleStandardDay

Manuel -> Interfaces de programmation -> Modèles d'objet -> ScheduleStandardDay

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

A Standard Day Schedule that defines the Switching Actions that are normally to be used on a Day of its Type

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Examples

C#

VB.NET

VBA

Other topics in this chapter

ScheduleStandardDay-Properties


ScheduleStandardDay-Properties

Manuel -> Interfaces de programmation -> Modèles d'objet -> ScheduleStandardDay -> ScheduleStandardDay-Properties

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
tpScheduleDayType | Type | Standard Day type | read only | read only | yes | yes
IScheduleSwitchingPeriods | SwitchingPeriods | Collection of Switching Periods in a Standard Day | read only | read only | yes | yes
IScheduleSwitchingPoints | SwitchingPoints | Collection of Switching Points in a Standard Day | read only | read only | yes | yes

Other topics in this chapter

Type

SwitchingPeriods

SwitchingPoints


Type

Manuel -> Interfaces de programmation -> Modèles d'objet -> ScheduleStandardDay -> ScheduleStandardDay-Properties -> Type

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Defines the days on which it gets used. Cannot be changed.

Datatype

Type() As tpScheduleDayType

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


SwitchingPeriods

Manuel -> Interfaces de programmation -> Modèles d'objet -> ScheduleStandardDay -> ScheduleStandardDay-Properties -> SwitchingPeriods

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Collection of Switching Periods

Datatype

SwitchingPeriods() As IScheduleSwitchingPeriods

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


SwitchingPoints

Manuel -> Interfaces de programmation -> Modèles d'objet -> ScheduleStandardDay -> ScheduleStandardDay-Properties -> SwitchingPoints

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Collection of Switching Points

Datatype

SwitchingPoints() As IScheduleSwitchingPoints

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


ScheduleSwitchingPeriod

Manuel -> Interfaces de programmation -> Modèles d'objet -> ScheduleSwitchingPeriod

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

A single Switching Period

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Examples

C#

/// <summary>

/// Creates a Switching Period with current time and a dureation of 1 hour on monday of the first scheduleGroup and shows details in a messageBox

/// </summary>

public void Macro_SchedulerCreateSwitchingPeriod()

{

zenOn.IScheduleGroup group =

ActiveDocument.Scheduler.ScheduleGroups.ItemByIndex(0);

if (group != null)

{

zenOn.IScheduleStandardDay day = group.Schedules.GetStandardDay(zenOn.tpScheduleDayType.tpScheduleMonday);

if (day != null)

{

String report = "scheduleGroup: " + group.Name + "\n";

report += "\nschedule: Monday\n";

TimeSpan oneDay = new TimeSpan(1, 0, 0);

zenOn.IScheduleSwitchingPeriod newSwitchingPeriod = day.SwitchingPeriods.Create(DateTime.Now, DateTime.Now+oneDay);

if (newSwitchingPeriod != null)

{

report += "new switchingPeriod: " + newSwitchingPeriod.Start.Time.TimeOfDay + " - " + newSwitchingPeriod.End.Time.TimeOfDay;

report += "\nSwitchingPeriod created successfully";

}

else

{

report += "\nNo switchingPeriod created";

}

System.Windows.Forms.MessageBox.Show(report);

}

else

{

System.Windows.Forms.MessageBox.Show("Monday does not exist");

}

}

else

{

System.Windows.Forms.MessageBox.Show("No accessable scheduleGroup existing");

}

}

VB.NET

VBA

Public Sub CreateSwitchingPeriod()

Dim scheduler As scheduler

Set scheduler = MyWorkspace.ActiveDocument.scheduler

Dim groups As ScheduleGroups

Set groups = scheduler.ScheduleGroups

Dim group As ScheduleGroup

Set group = groups.ItemByIndex(0)

If Not group Is Nothing Then

Dim monday As ScheduleStandardDay

Set monday = group.Schedules.GetStandardDay(tpScheduleMonday)

If Not monday Is Nothing Then

Dim report As String

report = report & "scheduleGroup: " & group.name & vbNewLine

report = report & "schedule: Monday" & vbNewLine

Dim newSwitchingPeriod As ScheduleSwitchingPeriod

Dim endTime As Date

endTime = DateAdd("h", 1, Now())

Set newSwitchingPeriod = monday.SwitchingPeriods.Create(Now(), endTime)

If Not newSwitchingPeriod Is Nothing Then

report = report & "new switchingPoint: " & Format(newSwitchingPeriod.Start.Time, "hh:mm")

report = report & " - " & Format(newSwitchingPeriod.End.Time, "hh:mm")

report = report & vbNewLine & "SwitchingPeriod created successfully"

Else

report = report & vbNewLine & "No SwitchingPeriod created"

End If

MsgBox report

Else

MsgBox "Monday does not exist"

End If

Else

MsgBox "No accessable scheduleGroup existing"

End If

End Sub

Other topics in this chapter

ScheduleSwitchingPeriod-Properties


ScheduleSwitchingPeriod-Properties

Manuel -> Interfaces de programmation -> Modèles d'objet -> ScheduleSwitchingPeriod -> ScheduleSwitchingPeriod-Properties

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
IScheduleSwitchingPoint | Start | Switching Point at the Start of the Period | read only | read only | yes | yes
IScheduleSwitchingPoint | End | Switching Point at the End of the Period | read only | read only | yes | yes

Other topics in this chapter

Start

End


Start

Manuel -> Interfaces de programmation -> Modèles d'objet -> ScheduleSwitchingPeriod -> ScheduleSwitchingPeriod-Properties -> Start

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Switching Point at the Start of the Period

Datatype

Start() As IScheduleSwitchingPoint

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


End

Manuel -> Interfaces de programmation -> Modèles d'objet -> ScheduleSwitchingPeriod -> ScheduleSwitchingPeriod-Properties -> End

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Switching Point at the end of the Period

Datatype

End() As IScheduleSwitchingPoint

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


ScheduleSwitchingPeriods

Manuel -> Interfaces de programmation -> Modèles d'objet -> ScheduleSwitchingPeriods

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Collection of Switching Periods.

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Examples

C#

/// <summary>

/// Creates a Switching Period with current time and a dureation of 1 hour on monday of the first scheduleGroup and shows details in a messageBox

/// </summary>

public void Macro_SchedulerCreateSwitchingPeriod()

{

zenOn.IScheduleGroup group =

ActiveDocument.Scheduler.ScheduleGroups.ItemByIndex(0);

if (group != null)

{

zenOn.IScheduleStandardDay day = group.Schedules.GetStandardDay(zenOn.tpScheduleDayType.tpScheduleMonday);

if (day != null)

{

String report = "scheduleGroup: " + group.Name + "\n";

report += "\nschedule: Monday\n";

TimeSpan oneDay = new TimeSpan(1, 0, 0);

zenOn.IScheduleSwitchingPeriod newSwitchingPeriod = day.SwitchingPeriods.Create(DateTime.Now, DateTime.Now+oneDay);

if (newSwitchingPeriod != null)

{

report += "new switchingPeriod: " + newSwitchingPeriod.Start.Time.TimeOfDay + " - " + newSwitchingPeriod.End.Time.TimeOfDay;

report += "\nSwitchingPeriod created successfully";

}

else

{

report += "\nNo switchingPeriod created";

}

System.Windows.Forms.MessageBox.Show(report);

}

else

{

System.Windows.Forms.MessageBox.Show("Monday does not exist");

}

}

else

{

System.Windows.Forms.MessageBox.Show("No accessable scheduleGroup existing");

}

}

VB.NET

VBA

Public Sub CreateSwitchingPeriod()

Dim scheduler As scheduler

Set scheduler = MyWorkspace.ActiveDocument.scheduler

Dim groups As ScheduleGroups

Set groups = scheduler.ScheduleGroups

Dim group As ScheduleGroup

Set group = groups.ItemByIndex(0)

If Not group Is Nothing Then

Dim monday As ScheduleStandardDay

Set monday = group.Schedules.GetStandardDay(tpScheduleMonday)

If Not monday Is Nothing Then

Dim report As String

report = report & "scheduleGroup: " & group.name & vbNewLine

report = report & "schedule: Monday" & vbNewLine

Dim newSwitchingPeriod As ScheduleSwitchingPeriod

Dim endTime As Date

endTime = DateAdd("h", 1, Now())

Set newSwitchingPeriod = monday.SwitchingPeriods.Create(Now(), endTime)

If Not newSwitchingPeriod Is Nothing Then

report = report & "new switchingPoint: " & Format(newSwitchingPeriod.Start.Time, "hh:mm")

report = report & " - " & Format(newSwitchingPeriod.End.Time, "hh:mm")

report = report & vbNewLine & "SwitchingPeriod created successfully"

Else

report = report & vbNewLine & "No SwitchingPeriod created"

End If

MsgBox report

Else

MsgBox "Monday does not exist"

End If

Else

MsgBox "No accessable scheduleGroup existing"

End If

End Sub

Other topics in this chapter

ScheduleSwitchingPeriods-Properties

ScheduleSwitchingPeriods-Methods


ScheduleSwitchingPeriods-Properties

Manuel -> Interfaces de programmation -> Modèles d'objet -> ScheduleSwitchingPeriods -> ScheduleSwitchingPeriods-Properties

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
long | Count | Returns the Count of Switching Periods | read only | read only | yes | yes

Other topics in this chapter

Count


Count

Manuel -> Interfaces de programmation -> Modèles d'objet -> ScheduleSwitchingPeriods -> ScheduleSwitchingPeriods-Properties -> Count

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Count of Switching Periods. Cannot be changed directly.

Datatype

Count() As long

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


ScheduleSwitchingPeriods-Methods

Manuel -> Interfaces de programmation -> Modèles d'objet -> ScheduleSwitchingPeriods -> ScheduleSwitchingPeriods-Methods

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
IScheduleSwitchingPeriod | Create | Creates a new Switching Period | available | available | yes | yes
VARIANT_BOOL | Delete | Deletes a Switching Period | available | available | yes | yes
IScheduleSwitchingPeriod | Item | Returns a Switching Period | available | available | yes | yes

Other topics in this chapter

Create

Delete

Item


Create

Manuel -> Interfaces de programmation -> Modèles d'objet -> ScheduleSwitchingPeriods -> ScheduleSwitchingPeriods-Methods -> Create

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Creates a switching period

Datatype

Create(DATE StartTime, DATE EndTime) As IScheduleSwitchingPeriod

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

VB.NET

VBA

Examples

C#

/// <summary>

/// Creates a Switching Period with current time and a dureation of 1 hour on monday of the first scheduleGroup and shows details in a messageBox

/// </summary>

public void Macro_SchedulerCreateSwitchingPeriod()

{

zenOn.IScheduleGroup group =

ActiveDocument.Scheduler.ScheduleGroups.ItemByIndex(0);

if (group != null)

{

zenOn.IScheduleStandardDay day = group.Schedules.GetStandardDay(zenOn.tpScheduleDayType.tpScheduleMonday);

if (day != null)

{

String report = "scheduleGroup: " + group.Name + "\n";

report += "\nschedule: Monday\n";

TimeSpan oneDay = new TimeSpan(1, 0, 0);

zenOn.IScheduleSwitchingPeriod newSwitchingPeriod = day.SwitchingPeriods.Create(DateTime.Now, DateTime.Now+oneDay);

if (newSwitchingPeriod != null)

{

report += "new switchingPeriod: " + newSwitchingPeriod.Start.Time.TimeOfDay + " - " + newSwitchingPeriod.End.Time.TimeOfDay;

report += "\nSwitchingPeriod created successfully";

}

else

{

report += "\nNo switchingPeriod created";

}

System.Windows.Forms.MessageBox.Show(report);

}

else

{

System.Windows.Forms.MessageBox.Show("Monday does not exist");

}

}

else

{

System.Windows.Forms.MessageBox.Show("No accessable scheduleGroup existing");

}

}

VB.NET

VBA

Public Sub CreateSwitchingPeriod()

Dim scheduler As scheduler

Set scheduler = MyWorkspace.ActiveDocument.scheduler

Dim groups As ScheduleGroups

Set groups = scheduler.ScheduleGroups

Dim group As ScheduleGroup

Set group = groups.ItemByIndex(0)

If Not group Is Nothing Then

Dim monday As ScheduleStandardDay

Set monday = group.Schedules.GetStandardDay(tpScheduleMonday)

If Not monday Is Nothing Then

Dim report As String

report = report & "scheduleGroup: " & group.name & vbNewLine

report = report & "schedule: Monday" & vbNewLine

Dim newSwitchingPeriod As ScheduleSwitchingPeriod

Dim endTime As Date

endTime = DateAdd("h", 1, Now())

Set newSwitchingPeriod = monday.SwitchingPeriods.Create(Now(), endTime)

If Not newSwitchingPeriod Is Nothing Then

report = report & "new switchingPoint: " & Format(newSwitchingPeriod.Start.Time, "hh:mm")

report = report & " - " & Format(newSwitchingPeriod.End.Time, "hh:mm")

report = report & vbNewLine & "SwitchingPeriod created successfully"

Else

report = report & vbNewLine & "No SwitchingPeriod created"

End If

MsgBox report

Else

MsgBox "Monday does not exist"

End If

Else

MsgBox "No accessable scheduleGroup existing"

End If

End Sub


Delete

Manuel -> Interfaces de programmation -> Modèles d'objet -> ScheduleSwitchingPeriods -> ScheduleSwitchingPeriods-Methods -> Delete

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Deletes existing SwitchingPeriods

Datatype

Delete(long Index) As VARIANT_BOOL

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

VB.NET

VBA

Examples

C#

/// <summary>

/// Deletes the first existing SwitchingPeriod from Monday in the first existing scheduleGroup and shows details in a messageBox

/// </summary>

public void Macro_SchedulerDeleteSwitchingPeriod()

{

zenOn.IScheduleGroup group =

ActiveDocument.Scheduler.ScheduleGroups.ItemByIndex(0);

if (group != null)

{

zenOn.IScheduleStandardDay day = group.Schedules.GetStandardDay(zenOn.tpScheduleDayType.tpScheduleMonday);

if (day != null)

{

if (day.SwitchingPeriods.Count > 0)

{

zenOn.IScheduleSwitchingPeriod period = day.SwitchingPeriods.Item(0);

if (period != null)

{

String report = "scheduleGroup: " + group.Name + "\n";

report += "first switchingPeriod: " + period.Start.Time.TimeOfDay + " - " + period.End.Time.TimeOfDay;

bool success = day.SwitchingPeriods.Delete(0);

if (success)

{

report += "\n SwitchingPeriod deleted successfully";

}

else

{

report += "\nDeleting switchingPeriod was not successful";

}

System.Windows.Forms.MessageBox.Show(report);

}

}

else

{

System.Windows.Forms.MessageBox.Show("There are no switching periods existing to delete");

}

}

else

{

System.Windows.Forms.MessageBox.Show("Monday does not exist");

}

}

else

{

System.Windows.Forms.MessageBox.Show("No accessable scheduleGroup existing");

}

}

VB.NET

VBA

Public Sub DeleteSwitchingPeriod()

Dim scheduler As scheduler

Set scheduler = MyWorkspace.ActiveDocument.scheduler

Dim groups As ScheduleGroups

Set groups = scheduler.ScheduleGroups

Dim group As ScheduleGroup

Set group = groups.ItemByIndex(0)

If Not group Is Nothing Then

Dim monday As ScheduleStandardDay

Set monday = group.Schedules.GetStandardDay(tpScheduleMonday)

If Not monday Is Nothing Then

If monday.SwitchingPeriods.Count > 0 Then

Dim period As ScheduleSwitchingPeriod

Set period = monday.SwitchingPeriods.Item(0)

If Not period Is Nothing Then

Dim report As String

report = report & "scheduleGroup: " & group.name & vbNewLine

report = report & "first switchingPeriod: " & Format(period.Start.Time, "hh:mm") & " - " & Format(period.End.Time, "hh:mm")

Dim success As Boolean

success = monday.SwitchingPeriods.Delete(0)

If success Then

report = report & vbNewLine & "switchingPeriod deleted successfully"

Else

report = report & vbNewLine & "Deleting switchingPeriod was not successful"

End If

MsgBox report

End If

Else

MsgBox "There are no switchingPeriods existing"

End If

Else

MsgBox "Monday does not exist"

End If

Else

MsgBox "No accessable scheduleGroup existing"

End If

End Sub


Item

Manuel -> Interfaces de programmation -> Modèles d'objet -> ScheduleSwitchingPeriods -> ScheduleSwitchingPeriods-Methods -> Item

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns a Count and a list of all SwitchingPeriods contained within the specified Schedule

Datatype

Item(long Index) As IScheduleSwitchingPeriod

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

VB.NET

VBA

Examples

C#

public void Macro_SchedulerAccessSwitchingPeriods()

{

String fullString = "";

//Specify a ScheduleGroup via index!

zenOn.IScheduleGroup group =

ActiveDocument.Scheduler.ScheduleGroups.ItemByIndex(0);

if (group != null)

{

zenOn.IScheduleStandardDay monday =

group.Schedules.GetStandardDay(zenOn.tpScheduleDayType.tpScheduleMonday);

if (monday != null)

{

fullString += "Monday:\n";

fullString += "\n";

fullString += "Amount of SwitchingPeriods: " + monday.SwitchingPeriods.Count + "\n";

for (int i = 0; i < monday.SwitchingPeriods.Count; i++)

{

zenOn.IScheduleSwitchingPeriod period = monday.SwitchingPeriods.Item(i);

if (period != null)

{

fullString += period.Start.Time.TimeOfDay + " - " + period.End.Time.TimeOfDay + "\n";

}

}

System.Windows.Forms.MessageBox.Show(fullString);

}

else

{

System.Windows.Forms.MessageBox.Show("Error while accessing 'Monday' of your schedule '" + group.Name + "'");

}

}

else

{

System.Windows.Forms.MessageBox.Show("No accessable scheduleGroup existing");

}

}

VB.NET

VBA

Public Sub AccessAllSwitchingPeriods()

Dim scheduler As scheduler

Set scheduler = MyWorkspace.ActiveDocument.scheduler

Dim groups As ScheduleGroups

Set groups = scheduler.ScheduleGroups

Dim group As ScheduleGroup

'Specify ScheduleGroup via Index!

Set group = groups.ItemByIndex(0)

If Not group Is Nothing Then

'Specify StandardDay!

Dim monday As ScheduleStandardDay

Set monday = group.Schedules.GetStandardDay(tpScheduleMonday)

If Not monday Is Nothing Then

Dim fullString As String

fullString = fullString & vbNewLine

fullString = fullString & "Monday: " & vbNewLine

fullString = fullString & vbNewLine

fullString = fullString & "Amount of SwitchingPeriods: " & monday.SwitchingPeriods.count & vbNewLine

Dim index As Long

For index = 0 To (monday.SwitchingPeriods.count - 1)

Dim period As ScheduleSwitchingPeriod

Set period = monday.SwitchingPeriods.Item(index)

If Not period Is Nothing Then

fullString = fullString & Format(period.Start.Time, "hh:mm:ss") & " - " & Format(period.End.Time, "hh:mm:ss") & vbNewLine

End If

Next

fullString = fullString & vbNewLine

MsgBox fullString

Else

MsgBox "Error while accessing schedule '" + group.Name + "'"

End If

Else

MsgBox "No accessable scheduleGroup existing"

End If

End Sub


ScheduleSwitchingPoint

Manuel -> Interfaces de programmation -> Modèles d'objet -> ScheduleSwitchingPoint

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

A single switching Point

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Examples

C#

/// <summary>

/// Deletes the first existing SwitchingPoint from Monday in the first scheduleGroup and shows details in a messageBox

/// </summary>

public void Macro_SchedulerDeleteSwitchingPoint()

{

zenOn.IScheduleGroup group =

ActiveDocument.Scheduler.ScheduleGroups.ItemByIndex(0);

if (group != null)

{

zenOn.IScheduleStandardDay day = group.Schedules.GetStandardDay(zenOn.tpScheduleDayType.tpScheduleMonday);

if (day != null)

{

if (day.SwitchingPoints.Count > 0)

{

zenOn.IScheduleSwitchingPoint point = day.SwitchingPoints.Item(0);

if (point != null)

{

String report = "scheduleGroup: " + group.Name + "\n";

report += "first switchingPoint: " + point.Time.TimeOfDay;

bool success = day.SwitchingPoints.Delete(0);

if (success)

{

report += "\nSwitchingPoint deleted successfully";

}

else

{

report += "\nDeleting switchingPoint was not successful";

}

System.Windows.Forms.MessageBox.Show(report);

}

}

else

{

System.Windows.Forms.MessageBox.Show("There are no switching points existing to delete");

}

}

else

{

System.Windows.Forms.MessageBox.Show("Monday does not exist");

}

}

else

{

System.Windows.Forms.MessageBox.Show("No accessable scheduleGroup existing");

}

}

VB.NET

VBA

Public Sub DeleteSwitchingPoint()

Dim scheduler As scheduler

Set scheduler = MyWorkspace.ActiveDocument.scheduler

Dim groups As ScheduleGroups

Set groups = scheduler.ScheduleGroups

Dim group As ScheduleGroup

Set group = groups.ItemByIndex(0)

If Not group Is Nothing Then

Dim monday As ScheduleStandardDay

Set monday = group.Schedules.GetStandardDay(tpScheduleMonday)

If Not monday Is Nothing Then

If monday.SwitchingPoints.Count > 0 Then

Dim point As ScheduleSwitchingPoint

Set point = monday.SwitchingPoints.Item(0)

If Not point Is Nothing Then

Dim report As String

report = report & "scheduleGroup: " & group.name & vbNewLine

report = report & "first switchingPoint: " & Format(point.Time, "hh:mm") & " - " & Format(point.Time, "hh:mm")

Dim success As Boolean

success = monday.SwitchingPoints.Delete(0)

If success Then

report = report & vbNewLine & "switchingPoint deleted successfully"

Else

report = report & vbNewLine & "Deleting switchingPoint was not successful"

End If

MsgBox report

End If

Else

MsgBox "There are no switchingPoints existing"

End If

Else

MsgBox "Monday does not exist"

End If

Else

MsgBox "No accessable scheduleGroup existing"

End If

End Sub

Other topics in this chapter

ScheduleSwitchingPoint-Properties


ScheduleSwitchingPoint-Properties

Manuel -> Interfaces de programmation -> Modèles d'objet -> ScheduleSwitchingPoint -> ScheduleSwitchingPoint-Properties

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
DATE | Time | Switching Point execution Time | read only | read only | yes | yes
IScheduleVariables | Variables | Collection of Variables in a Switching Point | read only | read only | yes | yes
IScheduleFunctions | Functions | Collection of Functions in a Switching Point | read only | read only | yes | yes

Other topics in this chapter

Time

Variables

Functions


Time

Manuel -> Interfaces de programmation -> Modèles d'objet -> ScheduleSwitchingPoint -> ScheduleSwitchingPoint-Properties -> Time

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Time of the switching Point. Only the time component is relevant

Datatype

Time() As DATE

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


Variables

Manuel -> Interfaces de programmation -> Modèles d'objet -> ScheduleSwitchingPoint -> ScheduleSwitchingPoint-Properties -> Variables

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Collection of Actions to be performed on Variables

Datatype

Variables() As IScheduleVariables

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


Functions

Manuel -> Interfaces de programmation -> Modèles d'objet -> ScheduleSwitchingPoint -> ScheduleSwitchingPoint-Properties -> Functions

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Collection of Functions to be Executed

Datatype

Functions() As IScheduleFunctions

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


ScheduleSwitchingPoints

Manuel -> Interfaces de programmation -> Modèles d'objet -> ScheduleSwitchingPoints

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Collection of Switching Points

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Examples

C#

/// <summary>

/// Deletes the first existing SwitchingPoint from Monday in the first scheduleGroup and shows details in a messageBox

/// </summary>

public void Macro_SchedulerDeleteSwitchingPoint()

{

zenOn.IScheduleGroup group =

ActiveDocument.Scheduler.ScheduleGroups.ItemByIndex(0);

if (group != null)

{

zenOn.IScheduleStandardDay day = group.Schedules.GetStandardDay(zenOn.tpScheduleDayType.tpScheduleMonday);

if (day != null)

{

if (day.SwitchingPoints.Count > 0)

{

zenOn.IScheduleSwitchingPoint point = day.SwitchingPoints.Item(0);

if (point != null)

{

String report = "scheduleGroup: " + group.Name + "\n";

report += "first switchingPoint: " + point.Time.TimeOfDay;

bool success = day.SwitchingPoints.Delete(0);

if (success)

{

report += "\nSwitchingPoint deleted successfully";

}

else

{

report += "\nDeleting switchingPoint was not successful";

}

System.Windows.Forms.MessageBox.Show(report);

}

}

else

{

System.Windows.Forms.MessageBox.Show("There are no switching points existing to delete");

}

}

else

{

System.Windows.Forms.MessageBox.Show("Monday does not exist");

}

}

else

{

System.Windows.Forms.MessageBox.Show("No accessable scheduleGroup existing");

}

}

VB.NET

VBA

Public Sub DeleteSwitchingPoint()

Dim scheduler As scheduler

Set scheduler = MyWorkspace.ActiveDocument.scheduler

Dim groups As ScheduleGroups

Set groups = scheduler.ScheduleGroups

Dim group As ScheduleGroup

Set group = groups.ItemByIndex(0)

If Not group Is Nothing Then

Dim monday As ScheduleStandardDay

Set monday = group.Schedules.GetStandardDay(tpScheduleMonday)

If Not monday Is Nothing Then

If monday.SwitchingPoints.Count > 0 Then

Dim point As ScheduleSwitchingPoint

Set point = monday.SwitchingPoints.Item(0)

If Not point Is Nothing Then

Dim report As String

report = report & "scheduleGroup: " & group.name & vbNewLine

report = report & "first switchingPoint: " & Format(point.Time, "hh:mm") & " - " & Format(point.Time, "hh:mm")

Dim success As Boolean

success = monday.SwitchingPoints.Delete(0)

If success Then

report = report & vbNewLine & "switchingPoint deleted successfully"

Else

report = report & vbNewLine & "Deleting switchingPoint was not successful"

End If

MsgBox report

End If

Else

MsgBox "There are no switchingPoints existing"

End If

Else

MsgBox "Monday does not exist"

End If

Else

MsgBox "No accessable scheduleGroup existing"

End If

End Sub

Other topics in this chapter

ScheduleSwitchingPoints-Properties

ScheduleSwitchingPoints-Methods


ScheduleSwitchingPoints-Properties

Manuel -> Interfaces de programmation -> Modèles d'objet -> ScheduleSwitchingPoints -> ScheduleSwitchingPoints-Properties

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
long | Count |  | read only | read only | yes | yes

Other topics in this chapter

Count


Count

Manuel -> Interfaces de programmation -> Modèles d'objet -> ScheduleSwitchingPoints -> ScheduleSwitchingPoints-Properties -> Count

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Count if Swichting Points. Cannot be changed directly.

Datatype

Count() As long

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


ScheduleSwitchingPoints-Methods

Manuel -> Interfaces de programmation -> Modèles d'objet -> ScheduleSwitchingPoints -> ScheduleSwitchingPoints-Methods

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
IScheduleSwitchingPoint | Create |  | available | available | yes | yes
VARIANT_BOOL | Delete |  | available | available | yes | yes
IScheduleSwitchingPoint | Item |  | available | available | yes | yes

Other topics in this chapter

Create

Delete

Item


Create

Manuel -> Interfaces de programmation -> Modèles d'objet -> ScheduleSwitchingPoints -> ScheduleSwitchingPoints-Methods -> Create

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Creates a Switching Point

Datatype

Create(DATE Time) As IScheduleSwitchingPoint

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

VB.NET

VBA

Examples

C#

public void Macro_SchedulerCreateSwitchingPoint()

{

zenOn.IScheduleGroup group =

ActiveDocument.Scheduler.ScheduleGroups.ItemByIndex(0);

if (group != null)

{

zenOn.IScheduleStandardDay day = group.Schedules.GetStandardDay(zenOn.tpScheduleDayType.tpScheduleMonday);

if (day != null)

{

String report = "scheduleGroup: " + group.Name + "\n";

report += "\nschedule: Monday\n";

zenOn.IScheduleSwitchingPoint newSwitchingPoint = day.SwitchingPoints.Create(DateTime.Now);

if (newSwitchingPoint != null)

{

report += "new switchingPoint: " + newSwitchingPoint.Time.TimeOfDay;

report += "\nSwitchingPoint created successfully";

}

else

{

report += "\nNo switchingPoint created";

}

System.Windows.Forms.MessageBox.Show(report);

}

else

{

System.Windows.Forms.MessageBox.Show("Monday does not exist");

}

}

else

{

System.Windows.Forms.MessageBox.Show("No accessable scheduleGroup existing");

}

}

VB.NET

VBA

Public Sub CreateSwitchingPoint()

Dim scheduler As scheduler

Set scheduler = MyWorkspace.ActiveDocument.scheduler

Dim groups As ScheduleGroups

Set groups = scheduler.ScheduleGroups

Dim group As ScheduleGroup

Set group = groups.ItemByIndex(0)

If Not group Is Nothing Then

Dim monday As ScheduleStandardDay

Set monday = group.Schedules.GetStandardDay(tpScheduleMonday)

If Not monday Is Nothing Then

Dim report As String

report = report & "scheduleGroup: " & group.name & vbNewLine

report = report & "schedule: Monday" & vbNewLine

Dim newSwitchingPoint As ScheduleSwitchingPoint

Set newSwitchingPoint = monday.SwitchingPoints.Create(Now())

If Not newSwitchingPoint Is Nothing Then

report = report & "new switchingPoint: " & Format(newSwitchingPoint.Time, "hh:mm")

report = report & vbNewLine & "SwitchingPoint created successfully"

Else

report = report & vbNewLine & "No SwitchingPoint created"

End If

MsgBox report

Else

MsgBox "Monday does not exist"

End If

Else

MsgBox "No accessable scheduleGroup existing"

End If

End Sub


Delete

Manuel -> Interfaces de programmation -> Modèles d'objet -> ScheduleSwitchingPoints -> ScheduleSwitchingPoints-Methods -> Delete

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Deletes existing SwitchingPoints

Datatype

Delete(long Index) As VARIANT_BOOL

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

VB.NET

VBA

Examples

C#

/// <summary>

/// Deletes the first existing SwitchingPoint from Monday in the first scheduleGroup and shows details in a messageBox

/// </summary>

public void Macro_SchedulerDeleteSwitchingPoint()

{

zenOn.IScheduleGroup group =

ActiveDocument.Scheduler.ScheduleGroups.ItemByIndex(0);

if (group != null)

{

zenOn.IScheduleStandardDay day = group.Schedules.GetStandardDay(zenOn.tpScheduleDayType.tpScheduleMonday);

if (day != null)

{

if (day.SwitchingPoints.Count > 0)

{

zenOn.IScheduleSwitchingPoint point = day.SwitchingPoints.Item(0);

if (point != null)

{

String report = "scheduleGroup: " + group.Name + "\n";

report += "first switchingPoint: " + point.Time.TimeOfDay;

bool success = day.SwitchingPoints.Delete(0);

if (success)

{

report += "\nSwitchingPoint deleted successfully";

}

else

{

report += "\nDeleting switchingPoint was not successful";

}

System.Windows.Forms.MessageBox.Show(report);

}

}

else

{

System.Windows.Forms.MessageBox.Show("There are no switching points existing to delete");

}

}

else

{

System.Windows.Forms.MessageBox.Show("Monday does not exist");

}

}

else

{

System.Windows.Forms.MessageBox.Show("No accessable scheduleGroup existing");

}

}

VB.NET

VBA

Public Sub DeleteSwitchingPoint()

Dim scheduler As scheduler

Set scheduler = MyWorkspace.ActiveDocument.scheduler

Dim groups As ScheduleGroups

Set groups = scheduler.ScheduleGroups

Dim group As ScheduleGroup

Set group = groups.ItemByIndex(0)

If Not group Is Nothing Then

Dim monday As ScheduleStandardDay

Set monday = group.Schedules.GetStandardDay(tpScheduleMonday)

If Not monday Is Nothing Then

If monday.SwitchingPoints.Count > 0 Then

Dim point As ScheduleSwitchingPoint

Set point = monday.SwitchingPoints.Item(0)

If Not point Is Nothing Then

Dim report As String

report = report & "scheduleGroup: " & group.name & vbNewLine

report = report & "first switchingPoint: " & Format(point.Time, "hh:mm") & " - " & Format(point.Time, "hh:mm")

Dim success As Boolean

success = monday.SwitchingPoints.Delete(0)

If success Then

report = report & vbNewLine & "switchingPoint deleted successfully"

Else

report = report & vbNewLine & "Deleting switchingPoint was not successful"

End If

MsgBox report

End If

Else

MsgBox "There are no switchingPoints existing"

End If

Else

MsgBox "Monday does not exist"

End If

Else

MsgBox "No accessable scheduleGroup existing"

End If

End Sub


Item

Manuel -> Interfaces de programmation -> Modèles d'objet -> ScheduleSwitchingPoints -> ScheduleSwitchingPoints-Methods -> Item

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns a Count and a list of all SwitchingPoints contained within the specified Schedule

Datatype

Item(long Index) As IScheduleSwitchingPoint

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

VB.NET

VBA

Examples

C#

public void Macro_SchedulerAccessSwitchingPoints()

{

String fullString = "";

//Specify a ScheduleGroup via index!

zenOn.IScheduleGroup group =

ActiveDocument.Scheduler.ScheduleGroups.ItemByIndex(0);

if (group != null)

{

zenOn.IScheduleStandardDay monday =

group.Schedules.GetStandardDay(zenOn.tpScheduleDayType.tpScheduleMonday);

if (monday != null)

{

fullString += "Monday:\n";

fullString += "\n\nAmount of SwitchingPoints: " + monday.SwitchingPoints.Count + "\n";

for (int i = 0; i < monday.SwitchingPoints.Count; i++)

{

zenOn.IScheduleSwitchingPoint point = monday.SwitchingPoints.Item(i);

if (point != null)

{

fullString += point.Time.TimeOfDay + "\n";

}

}

System.Windows.Forms.MessageBox.Show(fullString);

}

else

{

System.Windows.Forms.MessageBox.Show("Error while accessing schedule '" + group.Name + "'");

}

}

else

{

System.Windows.Forms.MessageBox.Show("No accessable scheduleGroup existing");

}

}

VB.NET

VBA

Public Sub AccessAllSwitchingPoints()

Dim scheduler As scheduler

Set scheduler = MyWorkspace.ActiveDocument.scheduler

Dim groups As ScheduleGroups

Set groups = scheduler.ScheduleGroups

Dim group As ScheduleGroup

'Specify ScheduleGroup via Index!

Set group = groups.ItemByIndex(0)

If Not group Is Nothing Then

'Specify StandardDay!

Dim monday As ScheduleStandardDay

Set monday = group.Schedules.GetStandardDay(tpScheduleMonday)

If Not monday Is Nothing Then

Dim fullString As String

fullString = fullString & vbNewLine

fullString = fullString & "Monday: " & vbNewLine

fullString = fullString & vbNewLine

fullString = fullString & "Amount of SwitchingPoints: " & monday.SwitchingPoints.count & vbNewLine

Dim index As Long

For index = 0 To (monday.SwitchingPoints.count - 1)

Dim point As ScheduleSwitchingPoint

Set point = monday.SwitchingPoints.Item(index)

If Not point Is Nothing Then

fullString = fullString & Format(point.Time, "hh:mm:ss") & vbNewLine

End If

Next

fullString = fullString & vbNewLine

MsgBox fullString

Else

MsgBox "Error while accessing schedule '" + group.Name + "'"

End If

Else

MsgBox "No accessable scheduleGroup existing"

End If

End Sub


ScheduleVariable

Manuel -> Interfaces de programmation -> Modèles d'objet -> ScheduleVariable

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

A single Variable Action

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Examples

C#

public void Macro_LinkVariableToSwitchingPeriodStartTime()

{

//Specify a ScheduleGroup via Index!

zenOn.IScheduleGroup group = ActiveDocument.Scheduler.ScheduleGroups.ItemByIndex(0);

if (group != null)

{

//Specify a SwitchingPeriod to which the Variable should be linked!

zenOn.IScheduleSwitchingPeriod switchingPeriod = group.Schedules.GetStandardDay(zenOn.tpScheduleDayType.tpScheduleMonday).SwitchingPeriods.Item(0);

if (switchingPeriod != null)

{

//Specify a Variable to be linked!

zenOn.IVariable var = ActiveDocument.Variables().Item("variableNameBool");

if (var != null)

{

//Insert the variable with set value to the Start-time of the SwitchingPeriod

zenOn.IScheduleVariable newScheduleVariable = switchingPeriod.Start.Variables.Create(var, 1);

if (newScheduleVariable != null)

{

System.Windows.Forms.MessageBox.Show("New variable link created");

}

else

{

System.Windows.Forms.MessageBox.Show("Link could not be created");

}

}

}

}

}

public void Macro_LinkVariableToSwitchingPoint()

{

//Specify a ScheduleGroup via Index!

zenOn.IScheduleGroup group = ActiveDocument.Scheduler.ScheduleGroups.ItemByIndex(0);

if (group != null)

{

//Specify a SwitchingPoint to which the Variable should be linked!

zenOn.IScheduleSwitchingPoint switchingPoint = group.Schedules.GetStandardDay(zenOn.tpScheduleDayType.tpScheduleMonday).SwitchingPoints.Item(0);

if (switchingPoint != null)

{

//Specify a Variable to be linked!

zenOn.IVariable var = ActiveDocument.Variables().Item("variableName");

if (var != null)

{

//Insert the variable with set value to the SwitchingPoint

zenOn.IScheduleVariable newScheduleVariable = switchingPoint.Variables.Create(var, 100);

if (newScheduleVariable != null)

{

System.Windows.Forms.MessageBox.Show("New variable link created");

}

else

{

System.Windows.Forms.MessageBox.Show("Link could not be created");

}

}

}

}

}

VB.NET

VBA

Public Sub LinkVariableToSwitchingPeriodStartTime()

Dim group As ScheduleGroup

'Specify a ScheduleGroup via index!

Set group = MyWorkspace.ActiveDocument.scheduler.ScheduleGroups.ItemByIndex(0)

If Not group Is Nothing Then

Dim var As Variable

'Specify a Variable to be linked!

Set var = MyWorkspace.ActiveDocument.Variables().Item("variableNameBool")

If Not var Is Nothing Then

Dim switchingPeriod As ScheduleSwitchingPeriod

'Specify a SwitchingPeriod to which the Variable should be linked!

Set switchingPeriod = group.Schedules.GetStandardDay(tpScheduleMonday).SwitchingPeriods.Item(0)

If Not switchingPeriod Is Nothing Then

Dim newScheduleVariable As ScheduleVariable

'Insert the variable with set value to the Start of the SwitchingPeriod

Set newScheduleVariable = switchingPeriod.Start.Variables.Create(var, 1)

If Not newScheduleVariable Is Nothing Then

MsgBox "New variable link created"

Else

MsgBox "Link could not be created"

End If

End If

End If

End If

End Sub

Public Sub LinkVariableToSwitchingPoint()

Dim group As ScheduleGroup

'Specify a ScheduleGroup via index!

Set group = MyWorkspace.ActiveDocument.scheduler.ScheduleGroups.ItemByIndex(0)

If Not group Is Nothing Then

Dim var As Variable

'Specify a Variable to be linked!

Set var = MyWorkspace.ActiveDocument.Variables().Item("variableName")

If Not var Is Nothing Then

Dim switchingPoint As ScheduleSwitchingPoint

'Specify a SwitchingPoint to which the Variable should be linked!

Set switchingPoint = group.Schedules.GetStandardDay(tpScheduleMonday).SwitchingPoints.Item(0)

If Not switchingPoint Is Nothing Then

Dim newScheduleVariable As ScheduleVariable

'Insert the variable with set value to the Start of the SwitchingPeriod

Set newScheduleVariable = switchingPoint.Variables.Create(var, 100)

If Not newScheduleVariable Is Nothing Then

MsgBox "New variable link created"

Else

MsgBox "Link could not be created"

End If

End If

End If

End If

End Sub

Other topics in this chapter

ScheduleVariable-Properties


ScheduleVariable-Properties

Manuel -> Interfaces de programmation -> Modèles d'objet -> ScheduleVariable -> ScheduleVariable-Properties

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
VARIANT_BOOL | Active | Returns TRUE if the Action of a Variable is Active | available | available | yes | yes
IVariable | Variable |  | read only | read only | yes | yes
VARIANT | SetValue | Defines the Value of a Variable | available | available | yes | yes

Other topics in this chapter

Active

Variable

SetValue


Active

Manuel -> Interfaces de programmation -> Modèles d'objet -> ScheduleVariable -> ScheduleVariable-Properties -> Active

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Defines, if this Action gets Executed. Can be changed.

Datatype

Active() As VARIANT_BOOL

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes


Variable

Manuel -> Interfaces de programmation -> Modèles d'objet -> ScheduleVariable -> ScheduleVariable-Properties -> Variable

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Variable, that gets a Value set into. Cannot be changed.

Datatype

Variable() As IVariable

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


SetValue

Manuel -> Interfaces de programmation -> Modèles d'objet -> ScheduleVariable -> ScheduleVariable-Properties -> SetValue

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Value that is to be set into the Variable. Can be changed.

Datatype

SetValue() As VARIANT

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes


ScheduleVariables

Manuel -> Interfaces de programmation -> Modèles d'objet -> ScheduleVariables

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Collection of Variable Actions in a Switching Point

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Examples

C#

public void Macro_LinkVariableToSwitchingPeriodStartTime()

{

//Specify a ScheduleGroup via Index!

zenOn.IScheduleGroup group = ActiveDocument.Scheduler.ScheduleGroups.ItemByIndex(0);

if (group != null)

{

//Specify a SwitchingPeriod to which the Variable should be linked!

zenOn.IScheduleSwitchingPeriod switchingPeriod = group.Schedules.GetStandardDay(zenOn.tpScheduleDayType.tpScheduleMonday).SwitchingPeriods.Item(0);

if (switchingPeriod != null)

{

//Specify a Variable to be linked!

zenOn.IVariable var = ActiveDocument.Variables().Item("variableNameBool");

if (var != null)

{

//Insert the variable with set value to the Start-time of the SwitchingPeriod

zenOn.IScheduleVariable newScheduleVariable = switchingPeriod.Start.Variables.Create(var, 1);

if (newScheduleVariable != null)

{

System.Windows.Forms.MessageBox.Show("New variable link created");

}

else

{

System.Windows.Forms.MessageBox.Show("Link could not be created");

}

}

}

}

}

public void Macro_LinkVariableToSwitchingPoint()

{

//Specify a ScheduleGroup via Index!

zenOn.IScheduleGroup group = ActiveDocument.Scheduler.ScheduleGroups.ItemByIndex(0);

if (group != null)

{

//Specify a SwitchingPoint to which the Variable should be linked!

zenOn.IScheduleSwitchingPoint switchingPoint = group.Schedules.GetStandardDay(zenOn.tpScheduleDayType.tpScheduleMonday).SwitchingPoints.Item(0);

if (switchingPoint != null)

{

//Specify a Variable to be linked!

zenOn.IVariable var = ActiveDocument.Variables().Item("variableName");

if (var != null)

{

//Insert the variable with set value to the SwitchingPoint

zenOn.IScheduleVariable newScheduleVariable = switchingPoint.Variables.Create(var, 100);

if (newScheduleVariable != null)

{

System.Windows.Forms.MessageBox.Show("New variable link created");

}

else

{

System.Windows.Forms.MessageBox.Show("Link could not be created");

}

}

}

}

}

VB.NET

VBA

Public Sub LinkVariableToSwitchingPeriodStartTime()

Dim group As ScheduleGroup

'Specify a ScheduleGroup via index!

Set group = MyWorkspace.ActiveDocument.scheduler.ScheduleGroups.ItemByIndex(0)

If Not group Is Nothing Then

Dim var As Variable

'Specify a Variable to be linked!

Set var = MyWorkspace.ActiveDocument.Variables().Item("variableNameBool")

If Not var Is Nothing Then

Dim switchingPeriod As ScheduleSwitchingPeriod

'Specify a SwitchingPeriod to which the Variable should be linked!

Set switchingPeriod = group.Schedules.GetStandardDay(tpScheduleMonday).SwitchingPeriods.Item(0)

If Not switchingPeriod Is Nothing Then

Dim newScheduleVariable As ScheduleVariable

'Insert the variable with set value to the Start of the SwitchingPeriod

Set newScheduleVariable = switchingPeriod.Start.Variables.Create(var, 1)

If Not newScheduleVariable Is Nothing Then

MsgBox "New variable link created"

Else

MsgBox "Link could not be created"

End If

End If

End If

End If

End Sub

Public Sub LinkVariableToSwitchingPoint()

Dim group As ScheduleGroup

'Specify a ScheduleGroup via index!

Set group = MyWorkspace.ActiveDocument.scheduler.ScheduleGroups.ItemByIndex(0)

If Not group Is Nothing Then

Dim var As Variable

'Specify a Variable to be linked!

Set var = MyWorkspace.ActiveDocument.Variables().Item("variableName")

If Not var Is Nothing Then

Dim switchingPoint As ScheduleSwitchingPoint

'Specify a SwitchingPoint to which the Variable should be linked!

Set switchingPoint = group.Schedules.GetStandardDay(tpScheduleMonday).SwitchingPoints.Item(0)

If Not switchingPoint Is Nothing Then

Dim newScheduleVariable As ScheduleVariable

'Insert the variable with set value to the Start of the SwitchingPeriod

Set newScheduleVariable = switchingPoint.Variables.Create(var, 100)

If Not newScheduleVariable Is Nothing Then

MsgBox "New variable link created"

Else

MsgBox "Link could not be created"

End If

End If

End If

End If

End Sub

Other topics in this chapter

ScheduleVariables-Properties

ScheduleVariables-Methods


ScheduleVariables-Properties

Manuel -> Interfaces de programmation -> Modèles d'objet -> ScheduleVariables -> ScheduleVariables-Properties

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
long | Count | Returns the Count of Variables in a Switching Point | read only | read only | yes | yes

Other topics in this chapter

Count


Count

Manuel -> Interfaces de programmation -> Modèles d'objet -> ScheduleVariables -> ScheduleVariables-Properties -> Count

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Count of Variable Actions. Cannot be changed directly.

Datatype

Count() As long

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


ScheduleVariables-Methods

Manuel -> Interfaces de programmation -> Modèles d'objet -> ScheduleVariables -> ScheduleVariables-Methods

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
IScheduleVariable | Create | Creates a Variable in a Switching Point | available | available | yes | yes
VARIANT_BOOL | Delete | Deletes a Variable in a Switching Point | available | available | yes | yes
IScheduleVariable | Item | Returns a Variable in a Switching Point | available | available | yes | yes

Other topics in this chapter

Create

Delete

Item


Create

Manuel -> Interfaces de programmation -> Modèles d'objet -> ScheduleVariables -> ScheduleVariables-Methods -> Create

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Links the specified Variable to a SwitchingPeriod or SwitchingPoint.

Datatype

Create(IVariable Variable, VARIANT SetValue) As IScheduleVariable

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

VB.NET

VBA

Examples

C#

public void Macro_LinkVariableToSwitchingPeriodStartTime()

{

//Specify a ScheduleGroup via Index!

zenOn.IScheduleGroup group = ActiveDocument.Scheduler.ScheduleGroups.ItemByIndex(0);

if (group != null)

{

//Specify a SwitchingPeriod to which the Variable should be linked!

zenOn.IScheduleSwitchingPeriod switchingPeriod = group.Schedules.GetStandardDay(zenOn.tpScheduleDayType.tpScheduleMonday).SwitchingPeriods.Item(0);

if (switchingPeriod != null)

{

//Specify a Variable to be linked!

zenOn.IVariable var = ActiveDocument.Variables().Item("variableNameBool");

if (var != null)

{

//Insert the variable with set value to the Start-time of the SwitchingPeriod

zenOn.IScheduleVariable newScheduleVariable = switchingPeriod.Start.Variables.Create(var, 1);

if (newScheduleVariable != null)

{

System.Windows.Forms.MessageBox.Show("New variable link created");

}

else

{

System.Windows.Forms.MessageBox.Show("Link could not be created");

}

}

}

}

}

public void Macro_LinkVariableToSwitchingPoint()

{

//Specify a ScheduleGroup via Index!

zenOn.IScheduleGroup group = ActiveDocument.Scheduler.ScheduleGroups.ItemByIndex(0);

if (group != null)

{

//Specify a SwitchingPoint to which the Variable should be linked!

zenOn.IScheduleSwitchingPoint switchingPoint = group.Schedules.GetStandardDay(zenOn.tpScheduleDayType.tpScheduleMonday).SwitchingPoints.Item(0);

if (switchingPoint != null)

{

//Specify a Variable to be linked!

zenOn.IVariable var = ActiveDocument.Variables().Item("variableName");

if (var != null)

{

//Insert the variable with set value to the SwitchingPoint

zenOn.IScheduleVariable newScheduleVariable = switchingPoint.Variables.Create(var, 100);

if (newScheduleVariable != null)

{

System.Windows.Forms.MessageBox.Show("New variable link created");

}

else

{

System.Windows.Forms.MessageBox.Show("Link could not be created");

}

}

}

}

}

VB.NET

VBA

Public Sub LinkVariableToSwitchingPeriodStartTime()

Dim group As ScheduleGroup

'Specify a ScheduleGroup via index!

Set group = MyWorkspace.ActiveDocument.scheduler.ScheduleGroups.ItemByIndex(0)

If Not group Is Nothing Then

Dim var As Variable

'Specify a Variable to be linked!

Set var = MyWorkspace.ActiveDocument.Variables().Item("variableNameBool")

If Not var Is Nothing Then

Dim switchingPeriod As ScheduleSwitchingPeriod

'Specify a SwitchingPeriod to which the Variable should be linked!

Set switchingPeriod = group.Schedules.GetStandardDay(tpScheduleMonday).SwitchingPeriods.Item(0)

If Not switchingPeriod Is Nothing Then

Dim newScheduleVariable As ScheduleVariable

'Insert the variable with set value to the Start of the SwitchingPeriod

Set newScheduleVariable = switchingPeriod.Start.Variables.Create(var, 1)

If Not newScheduleVariable Is Nothing Then

MsgBox "New variable link created"

Else

MsgBox "Link could not be created"

End If

End If

End If

End If

End Sub

Public Sub LinkVariableToSwitchingPoint()

Dim group As ScheduleGroup

'Specify a ScheduleGroup via index!

Set group = MyWorkspace.ActiveDocument.scheduler.ScheduleGroups.ItemByIndex(0)

If Not group Is Nothing Then

Dim var As Variable

'Specify a Variable to be linked!

Set var = MyWorkspace.ActiveDocument.Variables().Item("variableName")

If Not var Is Nothing Then

Dim switchingPoint As ScheduleSwitchingPoint

'Specify a SwitchingPoint to which the Variable should be linked!

Set switchingPoint = group.Schedules.GetStandardDay(tpScheduleMonday).SwitchingPoints.Item(0)

If Not switchingPoint Is Nothing Then

Dim newScheduleVariable As ScheduleVariable

'Insert the variable with set value to the Start of the SwitchingPeriod

Set newScheduleVariable = switchingPoint.Variables.Create(var, 100)

If Not newScheduleVariable Is Nothing Then

MsgBox "New variable link created"

Else

MsgBox "Link could not be created"

End If

End If

End If

End If

End Sub


Delete

Manuel -> Interfaces de programmation -> Modèles d'objet -> ScheduleVariables -> ScheduleVariables-Methods -> Delete

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Deletes the specified Variable from the a SwitchingPeriod or SwitchingPoint.

Datatype

Delete(long Index) As VARIANT_BOOL

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

VB.NET

VBA

Examples

C#

public void Macro_DeleteVariableFromSwitchingPeriodEndTime()

{

//Specify a ScheduleGroup via index!

zenOn.IScheduleGroup group = ActiveDocument.Scheduler.ScheduleGroups.ItemByIndex(0);

if (group != null)

{

//Specify a SwitchingPeriod in which a Variable should get deleted

zenOn.IScheduleSwitchingPeriod switchingPeriod = group.Schedules.GetStandardDay(zenOn.tpScheduleDayType.tpScheduleMonday).SwitchingPeriods.Item(0);

if (switchingPeriod != null)

{

//Remove the first Variable linked at the End-time of the SwitchingPeriod

bool deleteResult = switchingPeriod.End.Variables.Delete(0);

if (deleteResult)

{

System.Windows.Forms.MessageBox.Show("Variable link was deleted");

}

else

{

System.Windows.Forms.MessageBox.Show("Link could not be deleted");

}

}

}

}

public void Macro_DeleteVariableFromSwitchingPoint()

{

//Specify a ScheduleGroup via Index!

zenOn.IScheduleGroup group = ActiveDocument.Scheduler.ScheduleGroups.ItemByIndex(0);

if (group != null)

{

//Specify a SwitchingPoint in which a Variable should get deleted

zenOn.IScheduleSwitchingPoint switchingPoint = group.Schedules.GetStandardDay(zenOn.tpScheduleDayType.tpScheduleMonday).SwitchingPoints.Item(0);

if (switchingPoint != null)

{

//Remove the first Variable linked in the SwitchingPoint

bool deleteResult = switchingPoint.Variables.Delete(0);

if (deleteResult)

{

System.Windows.Forms.MessageBox.Show("Variable link was deleted");

}

else

{

System.Windows.Forms.MessageBox.Show("Link could not be deleted");

}

}

}

}

VB.NET

VBA

Public Sub DeleteVariableFromSwitchingPeriodEndTime()

Dim group As ScheduleGroup

'Specify a ScheduleGroup via index!

Set group = MyWorkspace.ActiveDocument.scheduler.ScheduleGroups.ItemByIndex(0)

If Not group Is Nothing Then

Dim switchingPeriod As ScheduleSwitchingPeriod

'Specify a SwitchingPeriod in which a Variable should get deleted

Set switchingPeriod = group.Schedules.GetStandardDay(tpScheduleMonday).SwitchingPeriods.Item(0)

If Not switchingPeriod Is Nothing Then

Dim deleteResult As Boolean

'Remove the first Variable linked at the End-time of the SwitchingPeriod

deleteResult = switchingPeriod.End.Variables.Delete(0)

If deleteResult = True Then

MsgBox "Variable link was deleted"

Else

MsgBox "Link could not be deleted"

End If

End If

End If

End Sub

Public Sub DeleteVariableFromSwitchingPoint()

Dim group As ScheduleGroup

'Specify a ScheduleGroup via index!

Set group = MyWorkspace.ActiveDocument.scheduler.ScheduleGroups.ItemByIndex(0)

If Not group Is Nothing Then

Dim switchingPoint As ScheduleSwitchingPoint

'Specify a SwitchingPoint in which a Variable should get deleted

Set switchingPoint = group.Schedules.GetStandardDay(tpScheduleMonday).SwitchingPoints.Item(0)

If Not switchingPoint Is Nothing Then

Dim deleteResult As Boolean

'Remove the first Variable linked in the SwitchingPoint

deleteResult = switchingPoint.Variables.Delete(0)

If deleteResult = True Then

MsgBox "Variable link was deleted"

Else

MsgBox "Link could not be deleted"

End If

End If

End If

End Sub


Item

Manuel -> Interfaces de programmation -> Modèles d'objet -> ScheduleVariables -> ScheduleVariables-Methods -> Item

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the Variables linked a SwitchingPeriod or SwitchingPoint.

Datatype

Item(long Index) As IScheduleVariable

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

VB.NET

VBA

Examples

C#

public void Macro_IterateVariableLinksInSwitchingPeriodStartTime()

{

//Specify a ScheduleGroup via index!

zenOn.IScheduleGroup group = ActiveDocument.Scheduler.ScheduleGroups.ItemByIndex(0);

if (group != null)

{

//Specify a SwitchingPeriod to be Iterated!

zenOn.IScheduleSwitchingPeriod switchingPeriod = group.Schedules.GetStandardDay(zenOn.tpScheduleDayType.tpScheduleMonday).SwitchingPeriods.Item(0);

if (switchingPeriod != null)

{

string message = "SwitchingPeriod Start-time variables:\n";

for (int index = 0; index < switchingPeriod.Start.Variables.Count; index++)

{

//Get Variable at the current index

zenOn.IScheduleVariable currentVariable = switchingPeriod.Start.Variables.Item(index);

message += "Variable: " + currentVariable.Variable.Name + "\nValue: " + currentVariable.SetValue + "\nActive: " + currentVariable.Active + "\n";

}

//show collected information

System.Windows.Forms.MessageBox.Show(message);

}

}

}

public void Macro_IterateVariableLinksInSwitchingPoint()

{

//Specify a ScheduleGroup via Index!

zenOn.IScheduleGroup group = ActiveDocument.Scheduler.ScheduleGroups.ItemByIndex(0);

if (group != null)

{

//Specify a SwitchingPoint to be Iterated!

zenOn.IScheduleSwitchingPoint switchingPoint = group.Schedules.GetStandardDay(zenOn.tpScheduleDayType.tpScheduleMonday).SwitchingPoints.Item(0);

if (switchingPoint != null)

{

string message = "SwitchingPoint variables: \n";

for (int index = 0; index < switchingPoint.Variables.Count; index++)

{

//Get Variable at the current index

zenOn.IScheduleVariable currentVariable = switchingPoint.Variables.Item(index);

message += "Variable: " + currentVariable.Variable.Name + "\nValue: " + currentVariable.SetValue + "\nActive: " + currentVariable.Active + "\n";

}

//show collected information

System.Windows.Forms.MessageBox.Show(message);

}

}

}

VB.NET

VBA

Public Sub IterateVariableLinksInSwitchingPeriodEndTime()

Dim group As ScheduleGroup

'Specify a ScheduleGroup via index!

Set group = MyWorkspace.ActiveDocument.scheduler.ScheduleGroups.ItemByIndex(0)

If Not group Is Nothing Then

Dim switchingPeriod As ScheduleSwitchingPeriod

'Specify a SwitchingPeriod to be Iterated!

Set switchingPeriod = group.Schedules.GetStandardDay(tpScheduleMonday).SwitchingPeriods.Item(0)

If Not switchingPeriod Is Nothing Then

Dim message As String

message = "SwitchingPeriod End-time variables:" & vbCrLf

Dim index As Integer

For index = 0 To switchingPeriod.End.Variables.count - 1

Dim currentVariable As ScheduleVariable

'Get Variable at the current index

Set currentVariable = switchingPeriod.End.Variables.Item(index)

If Not currentVariable Is Nothing Then

message = message & "Variable: " & currentVariable.Variable.Name & vbNewLine & "Value: " & currentVariable.SetValue & vbNewLine & "Active: " & currentVariable.Active & vbCrLf

End If

Next index

'Show collected information

MsgBox message

End If

End If

End Sub

Public Sub IterateVariableLinksInSwitchingPoint()

Dim group As ScheduleGroup

'Specify a ScheduleGroup via index!

Set group = MyWorkspace.ActiveDocument.scheduler.ScheduleGroups.ItemByIndex(0)

If Not group Is Nothing Then

Dim switchingPoint As ScheduleSwitchingPoint

'Specify a SwitchingPeriod to be Iterated!

Set switchingPoint = group.Schedules.GetStandardDay(tpScheduleMonday).SwitchingPoints.Item(0)

If Not switchingPoint Is Nothing Then

Dim message As String

message = "SwitchingPoint variables:" & vbCrLf

Dim index As Integer

For index = 0 To switchingPoint.Variables.count - 1

Dim currentVariable As ScheduleVariable

'Get Variable at the current index

Set currentVariable = switchingPoint.Variables.Item(index)

If Not currentVariable Is Nothing Then

message = message & "Variable: " & currentVariable.Variable.Name & vbNewLine & "Value: " & currentVariable.SetValue & vbNewLine & "Active: " & currentVariable.Active & vbCrLf

End If

Next index

'Show collected information

MsgBox message

End If

End If

End Sub


Script

Manuel -> Interfaces de programmation -> Modèles d'objet -> Script

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

If several functions should be combined and be executed in the defined order (similar to a batch file), they can be entered into a script.

Availability

Environment | Available
Editor | available
Runtime | read only
VBA | yes
VSTA | yes

Examples

C#

VB.NET

VB.NET-Syntax

VBA

Sub zenOn_ScriptExample()
'**************** Use this code in the editor ****************

Dim zScript As Script
Dim i As Integer

'Initialize the script object with the first script in the scripts object (list)
Set zScript = MyWorkspace.ActiveDocument.Scripts.Item(0)

'If there is no script available (no script in the scripts object),...
If zScript Is Nothing Then
'...then inform the user
MsgBox ("No Script available")
'otherwise:
Else
'Output the name of the script
Debug.Print "Scriptname: " & zScript.Name

'For every function in the script...
For i = 0 To zScript.Count - 1
'...output the name of the function
Debug.Print i + 1 & ". Function: " & zScript.Item(i).Name
Next i

'Add the picSTART function to the script
zScript.Add (MyWorkspace.ActiveDocument.RtFunctions.Item("picSTART").ID)

'Remove the picSTART function from the script
zScript.Remove (MyWorkspace.ActiveDocument.RtFunctions.Item("picSTART").ID)
End If
End Sub

Other topics in this chapter

Script-Properties

Script-Methods

Script-Dynamic properties


Script-Properties

Manuel -> Interfaces de programmation -> Modèles d'objet -> Script -> Script-Properties

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
long | Count |  | read only | read only | yes | yes
BSTR | Name |  | available | read only | yes | yes
IScripts | Parent |  | read only | read only | yes | yes

Other topics in this chapter

Parent

Name

Count


Parent

Manuel -> Interfaces de programmation -> Modèles d'objet -> Script -> Script-Properties -> Parent

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the parent object

Datatype

Parent() As Scripts

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


Name

Manuel -> Interfaces de programmation -> Modèles d'objet -> Script -> Script-Properties -> Name

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Gets or sets the name of the script.

Datatype

Name() As String

Availability

Environment | Available
Editor | available
Runtime | read only
VBA | yes
VSTA | yes


Count

Manuel -> Interfaces de programmation -> Modèles d'objet -> Script -> Script-Properties -> Count

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

The method returns the number of available objects. This property is mostly used for the method Item to run through each single object.Hint: For running through entries care, that the minimum is 0 and the maximum is Count-1.

Datatype

Count() As long

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


Script-Methods

Manuel -> Interfaces de programmation -> Modèles d'objet -> Script -> Script-Methods

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
VARIANT_BOOL | Add | - | available | not used | yes | yes
void | DynProperties [PUT] | - | available | read only | yes | yes
VARIANT | DynProperties [GET] | - | available | read only | yes | yes
VARIANT | DynPropertiesEnum [GET] | - | available | read only | yes | yes
IRtFunction | Item | - | available | available | yes | yes
VARIANT_BOOL | Remove | - | available | read only | yes | yes
IPropParam | DynPropertyParam [GET] | Returns the PropParam objekt of the given DynProperty | read only | not used | yes | yes

Other topics in this chapter

Add

Remove

Item

DynPropertyParam [GET]

DynPropertiesEnum [GET]

DynProperties [GET]

DynProperties [PUT]


Add

Manuel -> Interfaces de programmation -> Modèles d'objet -> Script -> Script-Methods -> Add

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

The Method adds a function to the script package by the corresponding function ID.

Datatype

Add(long nFuncID) As Boolean

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

Function ID

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

nFuncID As Long

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Sub zenOn_ManageScriptFunctions()
Dim zScript As Script

'Initialize the script object with the first script in the scripts object (list)
Set zScript = MyWorkspace.ActiveDocument.Scripts.Item(0)

'Add the picSTART function to the script
zScript.Add (MyWorkspace.ActiveDocument.RtFunctions.Item("picSTART").ID)

'Remove the picSTART function from the script
zScript.Remove (MyWorkspace.ActiveDocument.RtFunctions.Item("picSTART").ID)
End Sub


Remove

Manuel -> Interfaces de programmation -> Modèles d'objet -> Script -> Script-Methods -> Remove

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

The Method removes a function from the script package by the corresponding function ID.

Datatype

Remove(long nFuncID) As Boolean

Availability

Environment | Available
Editor | available
Runtime | read only
VBA | yes
VSTA | yes

Parameters

Function ID

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

nFuncID As Long

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Sub zenOn_ManageScriptFunctions()
Dim zScript As Script

'Initialize the script object with the first script in the scripts object (list)
Set zScript = MyWorkspace.ActiveDocument.Scripts.Item(0)

'Add the picSTART function to the script
zScript.Add (MyWorkspace.ActiveDocument.RtFunctions.Item("picSTART").ID)

'Remove the picSTART function from the script
zScript.Remove (MyWorkspace.ActiveDocument.RtFunctions.Item("picSTART").ID)
End Sub


Item

Manuel -> Interfaces de programmation -> Modèles d'objet -> Script -> Script-Methods -> Item

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the script function at the position vPosition. This method Item only allows accessing with the index.Hint: Check the returned object on Nothing, if no object for the search creteria was found.

Datatype

Item(VARIANT vPosition) As RtFunction

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


DynPropertyParam [GET]

Manuel -> Interfaces de programmation -> Modèles d'objet -> Script -> Script-Methods -> DynPropertyParam [GET]

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

DynPropertyParam [GET](BSTR bsPath) As PropParam

Availability

Environment | Available
Editor | read only
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


DynPropertiesEnum [GET]

Manuel -> Interfaces de programmation -> Modèles d'objet -> Script -> Script-Methods -> DynPropertiesEnum [GET]

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

DynPropertiesEnum(String bsPath) As VARIANT

Availability

Environment | Available
Editor | available
Runtime | read only
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


DynProperties [GET]

Manuel -> Interfaces de programmation -> Modèles d'objet -> Script -> Script-Methods -> DynProperties [GET]

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

DynProperties(String bsPath) As VARIANT

Availability

Environment | Available
Editor | available
Runtime | read only
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


DynProperties [PUT]

Manuel -> Interfaces de programmation -> Modèles d'objet -> Script -> Script-Methods -> DynProperties [PUT]

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

DynProperties (String bsPath,VARIANT vValue) As void

Availability

Environment | Available
Editor | available
Runtime | read only
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


Script-Dynamic properties

Manuel -> Interfaces de programmation -> Modèles d'objet -> Script -> Script-Dynamic properties

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Dynproperties

Script

Other topics in this chapter

Script


Script

Manuel -> Interfaces de programmation -> Modèles d'objet -> Script -> Script-Dynamic properties -> Script

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Type

VBA/VSTA Name

Display Name

Description

VT_BSTR

Name

Nom

Nom unique du script.

Par défaut : Script_x (x représente un nombre défini de manière consécutive).

Vous pouvez définir vos propres scripts et sélectionner des scripts existants. Saisie d’un nom dans la liste déroulante pour vos scripts, ou sélection dans une liste déroulante :

  • AUTOSTART : Le script est exécuté automatiquement au démarrage du Runtime (poste de travail indépendant ou serveur) et après l’activation de l’affichage de départ (sur le poste de travail indépendant ou le serveur) si le projet est le projet de démarrage du Runtime.
  • AUTOEND : le script est exécuté automatiquement lors de l’arrêt du Runtime (poste de travail indépendant ou serveur) si le projet est le projet de démarrage du Runtime.
    Attention : Les macros VBA devant être exécutées dans AUTO_END doivent être appelées via Project.Inactive. Il n’est pas nécessaire de spécifier les archives cycliques dans le script AUTOEND.
  • AUTOSTART_CLIENT : le script est exécuté automatiquement au démarrage du Runtime sur un client et avant l’activation de l’affichage de départ sur le client si le projet est le projet de démarrage du Runtime.
  • AUTOEND_CLIENT : le script est exécuté automatiquement lors de l’arrêt du Runtime sur un client si le projet est le projet de démarrage du Runtime.
  • AUTOSTART_SRVPRJ : le script est exécuté automatiquement au démarrage du Runtime sur le PC utilisé comme serveur du projet, avant l’activation de l’affichage de départ si le projet n’est pas le projet de démarrage du Runtime.
  • AUTOEND_SRVPRJ : le script est exécuté automatiquement lors de l’arrêt du Runtime sur le PC utilisé en tant que serveur du projet si le projet n’est pas le projet de démarrage du Runtime.

Attention : Cette propriété n’est pas disponible aux fins de la commutation de langue.

Conseil – Projets multi-utilisateurs : lorsque vous modifiez le nom d’un script, les paramètres des fonctions liées sont automatiquement ajustés après une demande de confirmation pour Permettre les modifications. Si le nom a été modifié avec succès, le script est modifié.

Plus de détails dans l’aide en ligne.

ZT_AKZ

SystemModelGroup

Groupes d'équipements

Lie l’élément à un modèle d’équipement. Cliquez sur le bouton ... pour ouvrir la boîte de sélection d’un groupe d’équipements.
L'affichage du groupe d’équipements sélectionné inclut également les niveaux supérieurs à ce groupe. Les niveaux sont séparés par un point dans l’affichage.

Dans le cas d’une sélection multiple, les groupes d’équipements individuels sont séparés par un point-virgule (;).

Plus de détails dans l’aide en ligne.


Scripts

Manuel -> Interfaces de programmation -> Modèles d'objet -> Scripts

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

This object manages scripts.

Availability

Environment | Available
Editor | available
Runtime | read only
VBA | yes
VSTA | yes

Examples

C#

VB.NET

VB.NET-Syntax

VBA

Sub zenOn_ScriptsExample()
'************ Use this script in the editor ************

Dim zScripts As Scripts
Dim i As Integer

'Initialize the scripts object with the current scripts
Set zScripts = MyWorkspace.ActiveDocument.Scripts

'For every script available in the scripts object...
For i = 0 To zScripts.Count - 1
'...output the name
Debug.Print i + 1 & ". Script: " & zScripts.Item(i).Name
Next i

End Sub

Other topics in this chapter

Scripts-Properties

Scripts-Methods

Scripts-Dynamic properties


Scripts-Properties

Manuel -> Interfaces de programmation -> Modèles d'objet -> Scripts -> Scripts-Properties

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
long | Count | - | read only | read only | yes | yes
IProject | Parent | - | read only | read only | yes | yes

Other topics in this chapter

Parent

Count


Parent

Manuel -> Interfaces de programmation -> Modèles d'objet -> Scripts -> Scripts-Properties -> Parent

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the parent object

Datatype

Parent() As Project

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


Count

Manuel -> Interfaces de programmation -> Modèles d'objet -> Scripts -> Scripts-Properties -> Count

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

The method returns the number of available objects. This property is mostly used for the method Item to run through each single object.Hint: For running through entries care, that the minimum is 0 and the maximum is Count-1.

Datatype

Count() As long

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


Scripts-Methods

Manuel -> Interfaces de programmation -> Modèles d'objet -> Scripts -> Scripts-Methods

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description |  | Editor | Runtime | VBA | VSTA
VARIANT_BOOL | CheckIn | Save module modifications to server (editor). |  | available | not used | yes | yes
VARIANT_BOOL | CheckOut | Allow module modifications (editor). |  | available | not used | yes | yes
IScript | Create | - |  | available | not used | yes | yes
VARIANT_BOOL | Delete | - |  | available | not used | yes | yes
void | DynProperties [PUT] | - |  | available | available | yes | yes
VARIANT | DynProperties [GET] | - |  | available | available | yes | yes
VARIANT | DynPropertiesEnum [GET] | - |  | read only | read only | yes | yes
VARIANT_BOOL | Export | Exports the selected object to a XML file |  | available | not used | yes | yes
VARIANT_BOOL | Get | Get the latest version from the server (editor). |  | available | not used | yes | yes
VARIANT_BOOL | Import | Imports the selected XML file |  | available | not used | yes | yes
VARIANT_BOOL | IsCheckedOut | Returns true when the current module checked out by the current user (editor). |  | read only | not used | yes | yes
VARIANT_BOOL | IsDifferent | Returns true when the local and server version are different (editor). | read only |  | not used | yes |  | yes
VARIANT_BOOL | IsLocked | Returns true when the current module is Locked by another user (editor). |  | read only | not used | yes | yes
IScript | Item | - |  | available | available | yes | yes
VARIANT_BOOL | SingleExport | Exports the Item with given Name oder Index |  | available | not used | yes | yes
VARIANT_BOOL | UndoCheckOut | Undo module modifications (editor). |  | available | not used | yes | yes
IPropParam | DynPropertyParam [GET] | Returns the PropParam objekt of the given DynProperty |  | read only | not used | yes | yes
VARIANT_BOOL | SingleExport | Exports the Item with given Name oder Index |  | available | not used | yes | yes

Other topics in this chapter

Item

Create

Delete

Export

SingleExport

Import

DynPropertyParam [GET]

DynPropertiesEnum [GET]

DynProperties [GET]

DynProperties [PUT]

Get

CheckOut

CheckIn

UndoCheckOut

IsLocked

IsCheckedOut

IsDifferent


Item

Manuel -> Interfaces de programmation -> Modèles d'objet -> Scripts -> Scripts-Methods -> Item

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the corresponding script at the position vPosition. This method Item only allows accessing with the index.Hint: Check the returned object on "Nothing", if no object for the search criteria was found.

Datatype

Item(VARIANT vPosition) As Script

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


Create

Manuel -> Interfaces de programmation -> Modèles d'objet -> Scripts -> Scripts-Methods -> Create

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Create a new script by name as string parameter

Datatype

Create(String bsName) As Script

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

Name of the new script as string

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

bsName As String

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Sub zenOn_CreateDeleteScript()
Dim zScripts As Scripts
Dim i As Integer

'Initialize the scripts object with the current scripts
Set zScripts = MyWorkspace.ActiveDocument.Scripts

'Create a new script inside the scripts object
zScripts.Create ("zenOn_ScriptTest")

'Delete a script inside the scripts object
zScripts.Delete ("zenOn_ScriptTest")

End Sub


Delete

Manuel -> Interfaces de programmation -> Modèles d'objet -> Scripts -> Scripts-Methods -> Delete

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Delete an existing script by name

Datatype

Delete(String bsName) As Boolean

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

Name of the script as string

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

bsName As String

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Sub zenOn_CreateDeleteScript()
Dim zScripts As Scripts
Dim i As Integer

'Initialize the scripts object with the current scripts
Set zScripts = MyWorkspace.ActiveDocument.Scripts

'Create a new script inside the scripts object
zScripts.Create ("zenOn_ScriptTest")

'Delete a script inside the scripts object
zScripts.Delete ("zenOn_ScriptTest")

End Sub


Export

Manuel -> Interfaces de programmation -> Modèles d'objet -> Scripts -> Scripts-Methods -> Export

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Export settings to an xml file

Datatype

Export(String bsFileName) As Boolean

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


SingleExport

Manuel -> Interfaces de programmation -> Modèles d'objet -> Scripts -> Scripts-Methods -> SingleExport

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

SingleExport(VARIANT vIndexOrName,BSTR bsFileName) As VARIANT_BOOL

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

VB.NET

VBA

Examples

C#

VB.NET

VBA


Import

Manuel -> Interfaces de programmation -> Modèles d'objet -> Scripts -> Scripts-Methods -> Import

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Import settings from an xml file. New settings are added, existing settings will be replaced.

Datatype

Import(String bsFileName) As Boolean

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


DynPropertyParam [GET]

Manuel -> Interfaces de programmation -> Modèles d'objet -> Scripts -> Scripts-Methods -> DynPropertyParam [GET]

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

DynPropertyParam [GET](BSTR bsPath) As PropParam

Availability

Environment | Available
Editor | read only
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


DynPropertiesEnum [GET]

Manuel -> Interfaces de programmation -> Modèles d'objet -> Scripts -> Scripts-Methods -> DynPropertiesEnum [GET]

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

DynPropertiesEnum(String bsPath) As VARIANT

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes

Parameters

A String which defines the entry point to get out all available properties of the object.

A blank String like that returns the first layer of properties:

DynPropertiesEnum("")

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

bsPath As String

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Sub ReadDynProps()
End Sub


DynProperties [GET]

Manuel -> Interfaces de programmation -> Modèles d'objet -> Scripts -> Scripts-Methods -> DynProperties [GET]

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

DynProperties(String bsPath) As VARIANT

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

A String which defines the Property.

Example: "NetAktive"

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

bsPath As String

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Sub GetDynProp()
'Sample: GSet the Network Aktive Flag of the Project.
If MyWorkspace.ActiveDocument.DynProperties("NetActive") = True Then
'read the server - computername...
Debug.Print "Server: " & MyWorkspace.ActiveDocument.DynProperties("NetServer")
End If
End Sub


DynProperties [PUT]

Manuel -> Interfaces de programmation -> Modèles d'objet -> Scripts -> Scripts-Methods -> DynProperties [PUT]

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

DynProperties (String bsPath,VARIANT vValue) As void

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

A String which defines the Property.

Example: "NetAktive"

Returns a variant value depending to the property, it can be a boolean, a long, or a whole object.

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

bsPath As String

vValue As Variant

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Sub SetDynProp()
End Sub


Get

Manuel -> Interfaces de programmation -> Modèles d'objet -> Scripts -> Scripts-Methods -> Get

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Get the latest version from the server (editor). This option is only working for multi-user projects.

Datatype

Get() As Boolean

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


CheckOut

Manuel -> Interfaces de programmation -> Modèles d'objet -> Scripts -> Scripts-Methods -> CheckOut

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Allow module modifications (editor). This option is only working for multi-user projects.

Datatype

CheckOut() As Boolean

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


CheckIn

Manuel -> Interfaces de programmation -> Modèles d'objet -> Scripts -> Scripts-Methods -> CheckIn

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Save module modifications to server (editor). This option is only working for multi-user projects.

Datatype

CheckIn() As Boolean

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


UndoCheckOut

Manuel -> Interfaces de programmation -> Modèles d'objet -> Scripts -> Scripts-Methods -> UndoCheckOut

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Undo module modifications (editor). This option is only working for multi-user projects.

Datatype

UndoCheckOut() As Boolean

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


IsLocked

Manuel -> Interfaces de programmation -> Modèles d'objet -> Scripts -> Scripts-Methods -> IsLocked

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns true if modification changes are locked due to a checkout. This option is only working for multi-user projects.

Datatype

IsLocked() As Boolean

Availability

Environment | Available
Editor | read only
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


IsCheckedOut

Manuel -> Interfaces de programmation -> Modèles d'objet -> Scripts -> Scripts-Methods -> IsCheckedOut

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns true if scripts are checked out. This option is only working for multi-user projects.

Datatype

IsCheckedOut() As Boolean

Availability

Environment | Available
Editor | read only
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


IsDifferent

Manuel -> Interfaces de programmation -> Modèles d'objet -> Scripts -> Scripts-Methods -> IsDifferent

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns true if local version differs from server (editor) version. This option is only working for multi-user projects.

Datatype

IsDifferent() As VARIANT_BOOL

Availability

Environment | Available
Editor | read only
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


Scripts-Dynamic properties

Manuel -> Interfaces de programmation -> Modèles d'objet -> Scripts -> Scripts-Dynamic properties

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Dynproperties

Scripts

Other topics in this chapter

Scripts


Scripts

Manuel -> Interfaces de programmation -> Modèles d'objet -> Scripts -> Scripts-Dynamic properties -> Scripts

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Type

VBA/VSTA Name

Display Name

Description


SelectionChangedEventParameter

Manuel -> Interfaces de programmation -> Modèles d'objet -> SelectionChangedEventParameter

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes

Examples

C#

VB.NET

VBA

Other topics in this chapter

SelectionChangedEventParameter-Properties


SelectionChangedEventParameter-Properties

Manuel -> Interfaces de programmation -> Modèles d'objet -> SelectionChangedEventParameter -> SelectionChangedEventParameter-Properties

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
IDynPicture | SelectionPicture | Picture for the changed selection event in a calendar view | not used | available | yes | yes
tpShiftCalendarSelection | SelectionKind | Kind of the selection for the changed selection event in a calendar view | not used | available | yes | yes

Other topics in this chapter

SelectionPicture

SelectionKind


SelectionPicture

Manuel -> Interfaces de programmation -> Modèles d'objet -> SelectionChangedEventParameter -> SelectionChangedEventParameter-Properties -> SelectionPicture

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

SelectionPicture() As IDynPicture

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes


SelectionKind

Manuel -> Interfaces de programmation -> Modèles d'objet -> SelectionChangedEventParameter -> SelectionChangedEventParameter-Properties -> SelectionKind

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

SelectionKind() As tpShiftCalendarSelection

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes


SelectionRange

Manuel -> Interfaces de programmation -> Modèles d'objet -> SelectionRange

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes

Examples

C#

VB.NET

VBA

Other topics in this chapter

SelectionRange-Properties


SelectionRange-Properties

Manuel -> Interfaces de programmation -> Modèles d'objet -> SelectionRange -> SelectionRange-Properties

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
DATE | StartTime | The selection start time | not used | available | yes | yes
DATE | EndTime | The selection end time | not used | available | yes | yes

Other topics in this chapter

StartTime

EndTime


StartTime

Manuel -> Interfaces de programmation -> Modèles d'objet -> SelectionRange -> SelectionRange-Properties -> StartTime

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

StartTime() As DATE

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes


EndTime

Manuel -> Interfaces de programmation -> Modèles d'objet -> SelectionRange -> SelectionRange-Properties -> EndTime

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

EndTime() As DATE

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes


Shift

Manuel -> Interfaces de programmation -> Modèles d'objet -> Shift

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Every shift which is created using the shift management module is stored in the ShiftCalendar as a Shift object. Every shift contains a set of mandatory (name, start time, end time) and optional properties (description, equipment model groups, users, breaks)

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes

Examples

C#

public void MacroTraceUpcomingShiftsToCEL()

{

//create a shift filter

zenOn.IShiftFilter shiftFilter = this.ShiftManagement.Calendar.CreateShiftFilter();

//set the filter to the next 24 hours

shiftFilter.StartTime = DateTime.Now;

shiftFilter.EndTime = DateTime.Now.AddDays(1);

//get shift list for filter

zenOn.IShifts shifts = shiftFilter.GetShifts();

if (shifts != null)

{

// interate shift list

for (int index = 0; index < shifts.Count; index++)

{

zenOn.IShift shift = shifts.GetItem(index);

//create string containing shift information

String shiftString = "Name:" + shift.Name + " Description:" + shift.Description + " start:" + shift.StartTime.ToString() + " end:" + shift.EndTime.ToString();

//wirte shift into cel

Cel().WriteCelString(shiftString);

}

}

}

VB.NET

VBA

Public Sub TraceUpcomingShiftsToCEL()

'create a shift filter

Dim filter As ShiftFilter

Set filter = thisProject.ShiftManagement.Calendar.CreateShiftFilter

'set the filter to the next 24 hours

filter.StartTime = Now()

filter.EndTime = Now() + 1

'get shift list for filter

Dim shiftList As Shifts

Set shiftList = filter.GetShifts

If Not shiftList Is Nothing Then

'interate shift list

For i = 0 To shiftList.Count - 1

Dim currentShift As Shift

Set currentShift = shiftList.GetItem(i)

'create string containing shift information

Dim shiftString As String

shiftString = "name:" & currentShift.Name & " desc:" & currentShift.Description & " begin:" & CStr(currentShift.StartTime) & " end:" & CStr(currentShift.EndTime)

'write shift info to CEL

thisProject.Cel.WriteCelString "shift:" & shiftString

Next

End If

End Sub

Other topics in this chapter

Shift-Properties

Shift-Methods


Shift-Properties

Manuel -> Interfaces de programmation -> Modèles d'objet -> Shift -> Shift-Properties

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description |  | Editor | Runtime | VBA | VSTA
DATE | StartTime | The shift start time |  | not used | available | yes | yes
DATE | EndTime | The shift end time |  | not used | available | yes | yes
BSTR | Name | The shift name |  | not used | available | yes | yes
BSTR | Description | The shift description |  | not used | available | yes | yes
BSTR | SystemModelGroups | String containing a list of all linked system model groups | not used |  | available | yes |  | yes
IShiftBreaks | Breaks | Returns the shift breaks object | not used |  | available | yes |  | yes

Other topics in this chapter

StartTime

EndTime

Name

Description

SystemModelGroups

Breaks


StartTime

Manuel -> Interfaces de programmation -> Modèles d'objet -> Shift -> Shift-Properties -> StartTime

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

StartTime() As DATE

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes


EndTime

Manuel -> Interfaces de programmation -> Modèles d'objet -> Shift -> Shift-Properties -> EndTime

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

EndTime() As DATE

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes


Name

Manuel -> Interfaces de programmation -> Modèles d'objet -> Shift -> Shift-Properties -> Name

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

Name() As BSTR

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes


Description

Manuel -> Interfaces de programmation -> Modèles d'objet -> Shift -> Shift-Properties -> Description

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

Description() As BSTR

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes


SystemModelGroups

Manuel -> Interfaces de programmation -> Modèles d'objet -> Shift -> Shift-Properties -> SystemModelGroups

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

These equipment model groups are used to match the shifts when the GetShifts() Method of IShiftFilter is called. The filter is applied the same way it is for the control in the GUI: A shift is then part of a filter if:

The filter has no equipment model group set, or

The shift has no equipment model group set, or

The shift and the filter have at least one equipment model group in common

// String containing a list of equipment model group guids. The guids are separated by a ‘;’ character

String SystemModelGroups;

Datatype

SystemModelGroups() As BSTR

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes


Breaks

Manuel -> Interfaces de programmation -> Modèles d'objet -> Shift -> Shift-Properties -> Breaks

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

Breaks() As IShiftBreaks

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes


Shift-Methods

Manuel -> Interfaces de programmation -> Modèles d'objet -> Shift -> Shift-Methods

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description |  | Editor | Runtime | VBA | VSTA
tpShiftSaveResult | Save | Save shift |  | not used | available | yes | yes
tpShiftDeleteResult | Delete | Delete shift |  | not used | available | yes | yes
IShiftUserCollection | ShiftUserCollection [GET] | Returns the shift users collection object | not used |  | available | yes |  | yes

Other topics in this chapter

Save

Delete

ShiftUserCollection [GET]


Save

Manuel -> Interfaces de programmation -> Modèles d'objet -> Shift -> Shift-Methods -> Save

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Save shift

Datatype

Save() As tpShiftSaveResult

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

VB.NET

VBA

Examples

C#

public void ReportSaveResult(zenOn.tpShiftSaveResult saveResult)

{

switch (saveResult)

{

case zenOn.tpShiftSaveResult.tpShiftSaveError:

System.Windows.Forms.MessageBox.Show("ShiftSaveResult: general error!");

break;

case zenOn.tpShiftSaveResult.tpShiftSaveNameError:

System.Windows.Forms.MessageBox.Show("ShiftSaveResult: invalid name!");

break;

case zenOn.tpShiftSaveResult.tpShiftSaveRangeError:

System.Windows.Forms.MessageBox.Show("ShiftSaveResult: invalid range!");

break;

case zenOn.tpShiftSaveResult.tpShiftSaveNotFoundError:

System.Windows.Forms.MessageBox.Show("ShiftSaveResult: shift not found!");

break;

case zenOn.tpShiftSaveResult.tpShiftSaveSuccess:

System.Windows.Forms.MessageBox.Show("ShiftSaveResult: success!");

break;

}

}

VB.NET

VBA

Public Sub testSaveResult(result As tpShiftSaveResult)

Select Case result

Case tpShiftSaveResult.tpShiftSaveError:

MsgBox ("ShiftSaveResult: general error!")

Case tpShiftSaveResult.tpShiftSaveNameError:

MsgBox ("ShiftSaveResult: invalid name!")

Case tpShiftSaveResult.tpShiftSaveRangeError:

MsgBox ("ShiftSaveResult: invalid range!")

Case tpShiftSaveResult.tpShiftSaveNotFoundError:

MsgBox ("ShiftSaveResult: shift not found!")

Case tpShiftSaveResult.tpShiftSaveSuccess:

MsgBox ("ShiftSaveResult: success!")

End Select

End Sub


Delete

Manuel -> Interfaces de programmation -> Modèles d'objet -> Shift -> Shift-Methods -> Delete

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Delete shift

Datatype

Delete() As tpShiftDeleteResult

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

public void ReportDeleteResult(zenOn.tpShiftDeleteResult deleteResult)

{

switch (deleteResult)

{

case zenOn.tpShiftDeleteResult.tpShiftDeleteError:

System.Windows.Forms.MessageBox.Show("ShiftDeleteResult: general error!");

break;

case zenOn.tpShiftDeleteResult.tpShiftDeleteNotFoundError:

System.Windows.Forms.MessageBox.Show("ShiftDeleteResult: shift not found!");

break;

case zenOn.tpShiftDeleteResult.tpShiftDeleteSuccess:

System.Windows.Forms.MessageBox.Show("ShiftDeleteResult: success!");

break;

}

}

VB.NET

VBA

Public Sub testDeleteResult(result As tpShiftDeleteResult)

Select Case result

Case tpShiftDeleteResult.tpShiftDeleteError:

MsgBox ("ShiftDeleteResult: general error!")

Case tpShiftDeleteResult.tpShiftDeleteNotFoundError:

MsgBox ("ShiftDeleteResult: shift not found!")

Case tpShiftDeleteResult.tpShiftDeleteSuccess:

MsgBox ("ShiftDeleteResult: success!")

End Select

End Sub

Examples

C#

VB.NET

VBA


ShiftUserCollection [GET]

Manuel -> Interfaces de programmation -> Modèles d'objet -> Shift -> Shift-Methods -> ShiftUserCollection [GET]

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

ShiftUserCollection [GET]() As IShiftUserCollection

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

VB.NET

VBA

Examples

C#

VB.NET

VBA


ShiftBreak

Manuel -> Interfaces de programmation -> Modèles d'objet -> ShiftBreak

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Every shift may contain multiple breaks. Every break is defined by its name, start time and end time. Note that multiple breaks may have the same name, but they must not overlap.

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes

Examples

C#

VB.NET

VBA

Public Sub createShift()

Dim shift As IShift

Dim saveResult As tpShiftSaveResult

Set shift = thisProject.ShiftManagement.calendar.createShift()

shift.Name = "Test"

shift.StartTime = Now()

shift.EndTime = Now() + (8 / 24)

Set Break = shift.Breaks.CreateBreak

Break.StartTime = shift.StartTime + 3 / 24

Break.EndTime = Break.StartTime + 5 / 1440

Break.Name = "@Break@ "

saveResult = shift.Save

Set Break = shift.Breaks.GetItem(0)

Break.Delete

saveResult = shift.Save

End Sub

Other topics in this chapter

ShiftBreak-Properties

ShiftBreak-Methods


ShiftBreak-Properties

Manuel -> Interfaces de programmation -> Modèles d'objet -> ShiftBreak -> ShiftBreak-Properties

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
DATE | StartTime | The shift break start time | not used | available | yes | yes
DATE | EndTime | The shift break end time | not used | available | yes | yes
BSTR | Name | The shift break name | not used | available | yes | yes

Other topics in this chapter

StartTime

EndTime

Name


StartTime

Manuel -> Interfaces de programmation -> Modèles d'objet -> ShiftBreak -> ShiftBreak-Properties -> StartTime

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

StartTime() As DATE

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes


EndTime

Manuel -> Interfaces de programmation -> Modèles d'objet -> ShiftBreak -> ShiftBreak-Properties -> EndTime

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

EndTime() As DATE

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes


Name

Manuel -> Interfaces de programmation -> Modèles d'objet -> ShiftBreak -> ShiftBreak-Properties -> Name

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

Name() As BSTR

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes


ShiftBreak-Methods

Manuel -> Interfaces de programmation -> Modèles d'objet -> ShiftBreak -> ShiftBreak-Methods

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
tpShiftBreakDeleteResult | Delete | Delete shift break | not used | available | yes | yes

Other topics in this chapter

Delete


Delete

Manuel -> Interfaces de programmation -> Modèles d'objet -> ShiftBreak -> ShiftBreak-Methods -> Delete

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

Delete() As tpShiftBreakDeleteResult

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

VB.NET

VBA

Examples

C#

VB.NET

VBA


ShiftBreaks

Manuel -> Interfaces de programmation -> Modèles d'objet -> ShiftBreaks

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

ShiftBreaks allows to define a set of breaks for a shift. These are stored in ShiftBreaks.

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes

Examples

C#

VB.NET

VBA

Public Sub createShift()

Dim shift As IShift

Dim saveResult As tpShiftSaveResult

Set shift = thisProject.ShiftManagement.calendar.createShift()

shift.Name = "Test"

shift.StartTime = Now()

shift.EndTime = Now() + (8 / 24)

Set Break = shift.Breaks.CreateBreak

Break.StartTime = shift.StartTime + 3 / 24

Break.EndTime = Break.StartTime + 5 / 1440

Break.Name = "@Break@ "

saveResult = shift.Save

Set Break = shift.Breaks.GetItem(0)

Break.Delete

saveResult = shift.Save

End Sub

Other topics in this chapter

ShiftBreaks-Properties

ShiftBreaks-Methods


ShiftBreaks-Properties

Manuel -> Interfaces de programmation -> Modèles d'objet -> ShiftBreaks -> ShiftBreaks-Properties

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
long | Count | The amount of shift breaks | not used | available | yes | yes

Other topics in this chapter

Count


Count

Manuel -> Interfaces de programmation -> Modèles d'objet -> ShiftBreaks -> ShiftBreaks-Properties -> Count

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

Count() As long

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes


ShiftBreaks-Methods

Manuel -> Interfaces de programmation -> Modèles d'objet -> ShiftBreaks -> ShiftBreaks-Methods

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
IShiftBreak | GetItem | Returns a shift break from the list | not used | available | yes | yes
IShiftBreak | CreateBreak | Returns a new unsaved shift break object | not used | available | yes | yes

Other topics in this chapter

GetItem

CreateBreak


GetItem

Manuel -> Interfaces de programmation -> Modèles d'objet -> ShiftBreaks -> ShiftBreaks-Methods -> GetItem

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

GetItem(long lIdx) As IShiftBreak

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

VB.NET

VBA

Examples

C#

VB.NET

VBA


CreateBreak

Manuel -> Interfaces de programmation -> Modèles d'objet -> ShiftBreaks -> ShiftBreaks-Methods -> CreateBreak

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

CreateBreak() As IShiftBreak

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

VB.NET

VBA

Examples

C#

VB.NET

VBA


ShiftCalendar

Manuel -> Interfaces de programmation -> Modèles d'objet -> ShiftCalendar

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

ShiftCalendar is the container for all shifts of a project. It provides methods to create new shifts and to access existing shifts.

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes

Examples

C#

public void MacroTraceUpcomingShiftsToCEL()

{

//create a shift filter

zenOn.IShiftFilter shiftFilter = this.ShiftManagement.Calendar.CreateShiftFilter();

//set the filter to the next 24 hours

shiftFilter.StartTime = DateTime.Now;

shiftFilter.EndTime = DateTime.Now.AddDays(1);

//get shift list for filter

zenOn.IShifts shifts = shiftFilter.GetShifts();

if (shifts != null)

{

// interate shift list

for (int index = 0; index < shifts.Count; index++)

{

zenOn.IShift shift = shifts.GetItem(index);

//create string containing shift information

String shiftString = "Name:" + shift.Name + " Description:" + shift.Description + " start:" + shift.StartTime.ToString() + " end:" + shift.EndTime.ToString();

//wirte shift into cel

Cel().WriteCelString(shiftString);

}

}

}

VB.NET

VBA

Public Sub TraceUpcomingShiftsToCEL()

'create a shift filter

Dim filter As ShiftFilter

Set filter = thisProject.ShiftManagement.Calendar.CreateShiftFilter

'set the filter to the next 24 hours

filter.StartTime = Now()

filter.EndTime = Now() + 1

'get shift list for filter

Dim shiftList As Shifts

Set shiftList = filter.GetShifts

If Not shiftList Is Nothing Then

'interate shift list

For i = 0 To shiftList.Count - 1

Dim currentShift As Shift

Set currentShift = shiftList.GetItem(i)

'create string containing shift information

Dim shiftString As String

s = "name:" & currentShift.Name & " desc:" & currentShift.Description & " begin:" & CStr(currentShift.StartTime) & " end:" & CStr(currentShift.EndTime)

'write shift info to CEL

thisProject.Cel.WriteCelString "shift:" & s

Next

End If

End Sub

Other topics in this chapter

ShiftCalendar-Methods

ShiftCalendar-Events


ShiftCalendar-Methods

Manuel -> Interfaces de programmation -> Modèles d'objet -> ShiftCalendar -> ShiftCalendar-Methods

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description |  | Editor | Runtime | VBA | VSTA
IShiftFilter | CreateShiftFilter | Returns the shift filter object |  | not used | available | yes | yes
IShift | CreateShift | Returns a new unsaved shift object |  | not used | available | yes | yes
ISelectionRange | GetSelectionRange | Returns the selection time range of a calendar view | not used |  | available | yes |  | yes
IShifts | GetSelectionShifts | Returns the selected shifts of a calendar view | not used |  | available | yes |  | yes
IShiftModelInsertSettings | CreateShiftModelInsertSettings | Returns a new insert settings object | not used |  | available | yes |  | yes
IShiftModelInsertResult | InsertShiftModel | Inserts a shift model accordings to the given settings | not used |  | available | yes |  | yes

Other topics in this chapter

CreateShiftFilter

CreateShift

GetSelectionRange

GetSelectionShifts

CreateShiftModelInsertSettings

InsertShiftModel


CreateShiftFilter

Manuel -> Interfaces de programmation -> Modèles d'objet -> ShiftCalendar -> ShiftCalendar-Methods -> CreateShiftFilter

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

CreateShiftFilter creates a new ShiftFilter object which can be used to read the shifts which are stored in the shift calendar.

Datatype

CreateShiftFilter() As IShiftFilter

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

VB.NET

VBA

Examples

C#

public void MacroTraceUpcomingShiftsToCEL()

{

//create a shift filter

zenOn.IShiftFilter shiftFilter = this.ShiftManagement.Calendar.CreateShiftFilter();

//set the filter to the next 24 hours

shiftFilter.StartTime = DateTime.Now;

shiftFilter.EndTime = DateTime.Now.AddDays(1);

//get shift list for filter

zenOn.IShifts shifts = shiftFilter.GetShifts();

if (shifts != null)

{

// interate shift list

for (int index = 0; index < shifts.Count; index++)

{

zenOn.IShift shift = shifts.GetItem(index);

//create string containing shift information

String shiftString = "Name:" + shift.Name + " Description:" + shift.Description + " start:" + shift.StartTime.ToString() + " end:" + shift.EndTime.ToString();

//wirte shift into cel

Cel().WriteCelString(shiftString);

}

}

}

VB.NET

VBA

Public Sub TraceUpcomingShiftsToCEL()

'create a shift filter

Dim filter As ShiftFilter

Set filter = thisProject.ShiftManagement.Calendar.CreateShiftFilter

'set the filter to the next 24 hours

filter.StartTime = Now()

filter.EndTime = Now() + 1

'get shift list for filter

Dim shiftList As Shifts

Set shiftList = filter.GetShifts

If Not shiftList Is Nothing Then

'interate shift list

For i = 0 To shiftList.Count - 1

Dim currentShift As Shift

Set currentShift = shiftList.GetItem(i)

'create string containing shift information

Dim shiftString As String

s = "name:" & currentShift.Name & " desc:" & currentShift.Description & " begin:" & CStr(currentShift.StartTime) & " end:" & CStr(currentShift.EndTime)

'write shift info to CEL

thisProject.Cel.WriteCelString "shift:" & s

Next

End If

End Sub


CreateShift

Manuel -> Interfaces de programmation -> Modèles d'objet -> ShiftCalendar -> ShiftCalendar-Methods -> CreateShift

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

CreateShift creates a new shift object. This object´s properties may then be set as required. Once configured, the object may be stored in the shift calendar.

Datatype

CreateShift() As IShift

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

VB.NET

VBA

Examples

C#

public void Macro_TestShiftCommands()

{

System.Windows.Forms.MessageBox.Show("Attempt to create a new shift...");

zenOn.IShift shift = this.ShiftManagement.Calendar.CreateShift();

if (null != shift)

{

// Save shift: invalid name

System.Windows.Forms.MessageBox.Show("New shift context: Attempt to save shift with invalid name...");

zenOn.tpShiftSaveResult saveResult = shift.Save();

ReportSaveResult(saveResult);

// Save shift: valid name, invalid range

System.Windows.Forms.MessageBox.Show("New shift context: Attempt to save shift with invalid range...");

shift.Name = "Shift_01";

saveResult = shift.Save();

ReportSaveResult(saveResult);

// Save shift: valid properties

System.Windows.Forms.MessageBox.Show("New shift context: Attempt to save valid shift...");

shift.StartTime = DateTime.Now;

shift.EndTime = DateTime.Now.AddHours(1);

saveResult = shift.Save();

ReportSaveResult(saveResult);

// Edit shift: valid name

System.Windows.Forms.MessageBox.Show("Edit shift context: Attempt to save modified shift name...");

shift.Name = "Shift_02";

saveResult = shift.Save();

ReportSaveResult(saveResult);

// Edit shift: valid range

System.Windows.Forms.MessageBox.Show("Edit shift context: Attempt to save modified shift range...");

shift.StartTime = DateTime.Now;

shift.EndTime = DateTime.Now.AddHours(15);

saveResult = shift.Save();

ReportSaveResult(saveResult);

// Edit shift: invalid range

System.Windows.Forms.MessageBox.Show("Edit shift context: Attempt to save invalid modified shift range...");

shift.StartTime = DateTime.Now;

shift.EndTime = DateTime.Now;

saveResult = shift.Save();

ReportSaveResult(saveResult);

// Edit shift: invalid name

System.Windows.Forms.MessageBox.Show("Edit shift context: Attempt to save invalid shift name...");

shift.Name = "Schift/shift";

saveResult = shift.Save();

ReportSaveResult(saveResult);

// Delete shift: exisiting shift

System.Windows.Forms.MessageBox.Show("Delete shift context: Attempt to delete existing shift...");

zenOn.tpShiftDeleteResult deleteResult = shift.Delete();

ReportDeleteResult(deleteResult);

// Delete shift: non-existant shift

System.Windows.Forms.MessageBox.Show("Delete shift context: Attempt to delete non-existant shift...");

deleteResult = shift.Delete();

ReportDeleteResult(deleteResult);

// Edit shift: non-existant shift

System.Windows.Forms.MessageBox.Show("Edit shift context: Attempt to save non-existant shift...");

shift.Name = "Shift_01";

shift.StartTime = DateTime.Now;

shift.EndTime = DateTime.Now.AddHours(15);

saveResult = shift.Save();

ReportSaveResult(saveResult);

}

else

{

System.Windows.Forms.MessageBox.Show("Error: The shift could not be created!");

}

}

VB.NET

VBA

Public Sub testShiftComands()

Dim shift As IShift

Dim saveResult As tpShiftSaveResult

Set shift = thisProject.ShiftManagement.Calendar.CreateShift()

MsgBox ("New shift context: Attempt to save shift with invalid name...")

saveResult = shift.Save

testSaveResult (saveResult)

shift.Name = "Shift_01"

MsgBox ("New shift context: Attempt to save shift with invalid range...")

saveResult = shift.Save

testSaveResult (saveResult)

shift.Description = "test"

shift.StartTime = Now()

shift.EndTime = Now() + (1 / 24)

MsgBox ("New shift context: Attempt to save valid shift...")

saveResult = shift.Save

testSaveResult (saveResult)

shift.Name = "Shift_02"

MsgBox ("Edit shift context: Attempt to save modified shift name...")

saveResult = shift.Save

testSaveResult (saveResult)

shift.StartTime = Now()

shift.EndTime = Now() + (15 / 24)

MsgBox ("Edit shift context: Attempt to save modified shift range...")

saveResult = shift.Save

testSaveResult (saveResult)

shift.StartTime = Now()

shift.EndTime = Now()

MsgBox ("Edit shift context: Attempt to save invalid modified shift range...")

saveResult = shift.Save

testSaveResult (saveResult)

shift.Name = "gg/jkl"

MsgBox ("Edit shift context: Attempt to save invalid modified shift name...")

saveResult = shift.Save

testSaveResult (saveResult)

Dim delResult As tpShiftDeleteResult

MsgBox ("Delete shift context: Attempt to delete existing shift...")

delResult = shift.Delete

testDeleteResult (delResult)

MsgBox ("Delete shift context: Attempt to delete non-existant shift...")

delResult = shift.Delete

testDeleteResult (delResult)

shift.Name = "Shift_01"

shift.StartTime = Now()

shift.EndTime = Now() + (15 / 24)

MsgBox ("Edit shift context: Attempt to save non-existant shift...")

saveResult = shift.Save

testSaveResult (saveResult)

End Sub


GetSelectionRange

Manuel -> Interfaces de programmation -> Modèles d'objet -> ShiftCalendar -> ShiftCalendar-Methods -> GetSelectionRange

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

GetSelectionRange returns start time and end time of the selected area in a calendar control in a specific shift management screen. It may be used in combination with the SelectionChanged event.

Datatype

GetSelectionRange(IDynPicture pIPicture) As ISelectionRange

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

VB.NET

VBA

Examples

C#

VB.NET

VBA

Public Sub GetSelectedRange()

Dim calendar As ShiftCalendar

Set calendar = thisProject.ShiftManagement.calendar

Dim screen As DynPicture

Set screen = thisProject.DynPictures.Item("ShiftManagementScreen")

Dim range As SelectionRange

Set range = calendar.GetSelectionRange(screen)

MsgBox "selectedTimeRange " & range.StartTime & " - " & range.EndTime

End Sub


GetSelectionShifts

Manuel -> Interfaces de programmation -> Modèles d'objet -> ShiftCalendar -> ShiftCalendar-Methods -> GetSelectionShifts

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

GetSelectionShifts returns all shifts which are currentle selected in the calendar control in a specific shift management screen. It may be used in combination with the SelectionChanged event.

Datatype

GetSelectionShifts(IDynPicture pIPicture) As IShifts

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

VB.NET

VBA

Examples

C#

VB.NET

VBA

Public Sub GetSelectedShifts()

Dim calendar As ShiftCalendar

Set calendar = thisProject.ShiftManagement.calendar

Dim screen As DynPicture

Set screen = thisProject.DynPictures.Item("ShiftManagementScreen ")

Dim selectedShifts As shifts

Set selectedShifts = calendar.GetSelectionShifts(screen)

If selectedShifts.Count > 0 Then

Dim message As String

message = "selected shifts:" & vbNewLine

For i = 0 To selectedShifts.Count - 1

Dim currentShift As shift

Set currentShift = selectedShifts.GetItem(i)

message = message & "name:" & currentShift.Name & " desc:" & currentShift.Description & " begin:" & CStr(currentShift.StartTime) & " end:" & CStr(currentShift.EndTime) & vbNewLine

Next i

MsgBox message

End If

End Sub


CreateShiftModelInsertSettings

Manuel -> Interfaces de programmation -> Modèles d'objet -> ShiftCalendar -> ShiftCalendar-Methods -> CreateShiftModelInsertSettings

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

In order to insert a shift model in the calendar certain settings need to be defined. These are stored in a ShiftModelInsertSettings object. CreateShiftModelInsertSettings lets you create such an object.

Datatype

CreateShiftModelInsertSettings() As IShiftModelInsertSettings

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

VB.NET

VBA

Examples

C#

public void Macro_InsertShiftModelSample()

{

zenOn.IShiftCalendar calendar = this.ShiftManagement.Calendar;

zenOn.IShiftModels models = this.ShiftManagement.Models;

zenOn.IShiftModel model = models.GetItem(0);

zenOn.IShiftFilter filter = calendar.CreateShiftFilter();

zenOn.IShiftModelInsertSettings settings = calendar.CreateShiftModelInsertSettings();

settings.StartDate = DateTime.Now + TimeSpan.FromDays(1);

settings.EndDate = DateTime.Now + TimeSpan.FromDays(1);

settings.ShiftModel = model;

zenOn.IShiftModelInsertResult result;

result = calendar.InsertShiftModel(settings);

String text = "Inserting a shift model was called. \r\nErrorcode: " + result.Error.ToString();

System.Windows.Forms.MessageBox.Show(text);

}

VB.NET

VBA

Public Sub InsertShiftModelSample()

Dim calendar As ShiftCalendar

Set calendar = thisProject.ShiftManagement.calendar

Dim models As ShiftModels

Set models = thisProject.ShiftManagement.models

Dim model As ShiftModel

Set model = models.GetItem(0)

Dim settings As ShiftModelInsertSettings

Set settings = calendar.CreateShiftModelInsertSettings()

settings.StartDate = DateAdd("d", 1, Now())

settings.EndDate = DateAdd("d", 1, Now())

settings.ShiftModel = model

Dim result As ShiftModelInsertResult

Set result = calendar.InsertShiftModel(settings)

output = "Inserting a shift model was called." & vbNewLine & "Errorcode: " + CStr(result.Error)

MsgBox output

End Sub


InsertShiftModel

Manuel -> Interfaces de programmation -> Modèles d'objet -> ShiftCalendar -> ShiftCalendar-Methods -> InsertShiftModel

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

InsertShiftModel inserts all shifts of a specific shift model in the shift calendar at a specific date and time and with specific equipment links.

Datatype

InsertShiftModel(IShiftModelInsertSettings pIShiftModelInsertSettings) As IShiftModelInsertResult

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

VB.NET

VBA

Examples

C#

public void Macro_InsertShiftModelSample()

{

zenOn.IShiftCalendar calendar = this.ShiftManagement.Calendar;

zenOn.IShiftModels models = this.ShiftManagement.Models;

zenOn.IShiftModel model = models.GetItem(0);

zenOn.IShiftFilter filter = calendar.CreateShiftFilter();

zenOn.IShiftModelInsertSettings settings = calendar.CreateShiftModelInsertSettings();

settings.StartDate = DateTime.Now + TimeSpan.FromDays(1);

settings.EndDate = DateTime.Now + TimeSpan.FromDays(1);

settings.ShiftModel = model;

zenOn.IShiftModelInsertResult result;

result = calendar.InsertShiftModel(settings);

String text = "Inserting a shift model was called. \r\nErrorcode: " + result.Error.ToString();

System.Windows.Forms.MessageBox.Show(text);

}

VB.NET

VBA

Public Sub InsertShiftModelSample()

Dim calendar As ShiftCalendar

Set calendar = thisProject.ShiftManagement.calendar

Dim models As ShiftModels

Set models = thisProject.ShiftManagement.models

Dim model As ShiftModel

Set model = models.GetItem(0)

Dim settings As ShiftModelInsertSettings

Set settings = calendar.CreateShiftModelInsertSettings()

settings.StartDate = DateAdd("d", 1, Now())

settings.EndDate = DateAdd("d", 1, Now())

settings.ShiftModel = model

Dim result As ShiftModelInsertResult

Set result = calendar.InsertShiftModel(settings)

output = "Inserting a shift model was called." & vbNewLine & "Errorcode: " + CStr(result.Error)

MsgBox output

End Sub


ShiftCalendar-Events

Manuel -> Interfaces de programmation -> Modèles d'objet -> ShiftCalendar -> ShiftCalendar-Events

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
void | SelectionChanged | Event about the changed selection in a calendar view | not used | available | yes | yes
void | Created | Event about a created shift in the calendar | not used | available | yes | yes
void | Modified | Event about a modified shift in the calendar | not used | available | yes | yes
void | Deleted | Event about a deleted shift in the calendar | not used | available | yes | yes

Other topics in this chapter

SelectionChanged

Created

Modified

Deleted


SelectionChanged

Manuel -> Interfaces de programmation -> Modèles d'objet -> ShiftCalendar -> ShiftCalendar-Events -> SelectionChanged

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Allows notification about the type of selection change in the calender control of the VBA project for a shift calendar. In doing so, whether the current selection denotes a time period or a set of the selected shifts is notified.

In addition, it is possible to get, from a certain zenon shift management screen, the type of the current selection (time period or shift set) at any time.

Datatype

SelectionChanged(ISelectionChangedEventParameter pISelChangedParameter) As void

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

VB.NET

VBA

Examples

C#

namespace ProjectAddin

{

[System.AddIn.AddIn("ThisProject", Version = "1.0", Publisher = "", Description = "")]

public partial class ThisProject

{

zenOn.IShiftCalendar myRcv = null;

#region Addin-Context

#endregion

#region General

#endregion

#region Project-Context

/// <summary>

/// This event handler is executed:

/// -When the RT was started and the project has been loaded.

/// -After a Reload has been executed.

/// USAGE:

/// Create any API-Objects/Event handler/etc. in this event.

/// </summary>

void ThisProject_Active()

{

//Create any required API-References here (Event handlers, OnlineContainers, local references,etc. )

// << TODO: Add Initialization code here >>

myRcv = this.ShiftManagement.Calendar;

myRcv.SelectionChanged += new zenOn.DShiftCalendarEvents_SelectionChangedEventHandler(myRcv_SelectionChanged);

}

void myRcv_SelectionChanged(zenOn.ISelectionChangedEventParameter pISelChangedParameter)

{

String message = "The selection has been changed" + ", Source frame: " + pISelChangedParameter.SelectionPicture.Template + ", Source screen: " + pISelChangedParameter.SelectionPicture.Name + ", Selection kind: " + pISelChangedParameter.SelectionKind.ToString();

this.Cel().WriteCelString(message);

}

/// <summary>

/// This event handler is executed:

/// -Shortly before the RT is being terminated.

/// -Shortly before a reload.

/// And is a notification that all API-Objects are about to be destroyed.

/// USAGE:

/// Make sure that ALL API-Objects are released in this handler,

/// before the Garbage collection is been triggered.

/// </summary>

void ThisProject_Inactive()

{

//Release all API-References here (Event handlers, OnlineContainers, local references, etc. )

// << TODO: Add Clean-up code here >>

myRcv.SelectionChanged -= myRcv_SelectionChanged;

myRcv = null;

//Final release and garbage collection of any API-Objects.

FreeObjects();

}

//…

}

}

public void Macro_GetCalendarSelectedTimeRange()

{

zenOn.IShiftCalendar cal = this.ShiftManagement.Calendar;

zenOn.IDynPicture pic = this.DynPictures().Item("Shift management");

zenOn.ISelectionRange rng = cal.GetSelectionRange(pic);

System.Windows.Forms.MessageBox.Show("selectedTime Range" + rng.StartTime.ToString() + " – " + rng.EndTime.ToString());

}

public void Macro_GetCalendarSelectedShifts()

{

zenOn.IShiftCalendar cal = this.ShiftManagement.Calendar;

zenOn.IDynPicture pic = this.DynPictures().Item("Shift management");

zenOn.IShifts shifts = cal.GetSelectionShifts(pic);

String msg = "SelectedShifts";

for (int i = 0; i < shifts.Count; i++)

{

zenOn.IShift shift = shifts.GetItem(i);

msg += ("\n--------\nName: " + shift.Name + "\nDescription: " + shift.Description + "\nBegin: " + shift.StartTime.ToString() + "\nEnd: " + shift.EndTime.ToString());

}

System.Windows.Forms.MessageBox.Show(msg);

}

VB.NET

VBA

Private WithEvents MyEv As ShiftCalendar

Private Sub MyEv_SelectionChanged(ByVal pISelChangedParameter As ISelectionChangedEventParameter)

Dim message As String

message = "The selection has been changed" & ", Source frame: " & pISelChangedParameter.SelectionPicture.Template & ", Source screen: " & pISelChangedParameter.SelectionPicture.Name & ", Selection kind: " & pISelChangedParameter.SelectionKind

thisProject.Cel.WriteCelString (message)

End Sub

Private Sub Project_Active()

Set MyEv = thisProject.ShiftManagement.Calendar

End Sub

Private Sub Project_Inactive()

Set MyEv = Nothing

End Sub

Public Sub GetSelectedRange()

Dim calendar As ShiftCalendar

Set calendar = thisProject.ShiftManagement.calendar

Dim screen As DynPicture

Set screen = thisProject.DynPictures.Item("Shift management")

Dim range As SelectionRange

Set range = calendar.GetSelectionRange(screen)

MsgBox "selectedTimeRange " & range.StartTime & " - " & range.EndTime

End Sub

Public Sub GetSelectedEvents()

Dim calendar As ShiftCalendar

Set calendar = thisProject.ShiftManagement.calendar

Dim screen As DynPicture

Set screen = thisProject.DynPictures.Item("Shift management")

Dim selectedShifts As Shifts

Set selectedShifts = calendar.GetSelectionShifts(screen)

Dim message As String

message = "selected shifts:" & vbNewLine

For i = 0 To selectedShifts.count - 1

Dim currentShift As shift

Set currentShift = selectedShifts.GetItem(i)

Dim shiftString As String

message = message & "name:" & currentShift.Name & " desc:" & currentShift.Description & " begin:" & CStr(currentShift.StartTime) & " end:" & CStr(currentShift.EndTime) & vbNewLine

Next i

MsgBox message

End Sub


Created

Manuel -> Interfaces de programmation -> Modèles d'objet -> ShiftCalendar -> ShiftCalendar-Events -> Created

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

It is now immediately possible to get notification of the creation, modification or deletion of shifts in the calender. The events are only sent on the server (or client in standalone operation).

Datatype

Created(IShift p_newShift) As void

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

VB.NET

VBA

Examples

C#

namespace ProjectAddin

{

[System.AddIn.AddIn("ThisProject", Version = "1.0", Publisher = "", Description = "")]

public partial class ThisProject

{

zenOn.IShiftCalendar myRcv = null;

#region Addin-Context

#endregion

#region General

#endregion

#region Project-Context

/// <summary>

/// This event handler is executed:

/// -When the RT was started and the project has been loaded.

/// -After a Reload has been executed.

/// USAGE:

/// Create any API-Objects/Event handler/etc. in this event.

/// </summary>

void ThisProject_Active()

{

myRcv = this.ShiftManagement.Calendar;

myRcv.Created += new zenOn.CreatedEventHandler(myRcv_Created);

myRcv.Modified += new zenOn.ModifiedEventHandler(myRcv_Modified);

myRcv.Deleted += new zenOn.DeletedEventHandler(myRcv_Deleted);

}

void myRcv_Created(zenOn.IShift pIShift)

{

String message = pIShift.Name + " created";

this.Cel().WriteCelString(message);

}

void myRcv_Modified(zenOn.IShift pIShiftOld, zenOn.IShift pIShiftNew)

{

String message = pIShiftOld.Name + " changed to " + pIShiftNew.Name;

this.Cel().WriteCelString(message);

}

void myRcv_Deleted(zenOn.IShift pIShift)

{

String message = pIShift.Name + " deleted";

this.Cel().WriteCelString(message);

} /// <summary>

/// This event handler is executed:

/// -Shortly before the RT is being terminated.

/// -Shortly before a reload.

/// And is a notification that all API-Objects are about to be destroyed.

/// USAGE:

/// Make sure that ALL API-Objects are released in this handler,

/// before the Garbage collection is been triggered.

/// </summary>

void ThisProject_Inactive()

{

myRcv.Created -= myRcv_Created;

myRcv.Modified -= myRcv_Modified;

myRcv.Deleted -= myRcv_Deleted;

myRcv = null;

//Final release and garbage collection of any API-Objects.

FreeObjects();

}

//…

}

}

VB.NET

VBA

Private WithEvents MyShiftEv As ShiftCalendar

Private Sub MyShiftEv_Created(ByVal pIShift As IShift)

thisProject.Cel.WriteCelString (pIShift.Name + " created")

End Sub

Private Sub MyShiftEv_Modified(ByVal pIShiftOld As IShift, ByVal pIShiftNew As IShift)

thisProject.Cel.WriteCelString (pIShiftOld.Name + " modified to " + pIShiftNew.Name)

End Sub

Private Sub MyShiftEv_Deleted(ByVal pIShift As IShift)

thisProject.Cel.WriteCelString (pIShift.Name + " deleted")

End Sub


Modified

Manuel -> Interfaces de programmation -> Modèles d'objet -> ShiftCalendar -> ShiftCalendar-Events -> Modified

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

It is now immediately possible to get notification of the creation, modification or deletion of shifts in the calender. The events are only sent on the server (or client in standalone operation).

Datatype

Modified(IShift p_oldShift, IShift p_newShift) As void

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

VB.NET

VBA

Examples

C#

namespace ProjectAddin

{

[System.AddIn.AddIn("ThisProject", Version = "1.0", Publisher = "", Description = "")]

public partial class ThisProject

{

zenOn.IShiftCalendar myRcv = null;

#region Addin-Context

#endregion

#region General

#endregion

#region Project-Context

/// <summary>

/// This event handler is executed:

/// -When the RT was started and the project has been loaded.

/// -After a Reload has been executed.

/// USAGE:

/// Create any API-Objects/Event handler/etc. in this event.

/// </summary>

void ThisProject_Active()

{

myRcv = this.ShiftManagement.Calendar;

myRcv.Created += new zenOn.CreatedEventHandler(myRcv_Created);

myRcv.Modified += new zenOn.ModifiedEventHandler(myRcv_Modified);

myRcv.Deleted += new zenOn.DeletedEventHandler(myRcv_Deleted);

}

void myRcv_Created(zenOn.IShift pIShift)

{

String message = pIShift.Name + " created";

this.Cel().WriteCelString(message);

}

void myRcv_Modified(zenOn.IShift pIShiftOld, zenOn.IShift pIShiftNew)

{

String message = pIShiftOld.Name + " changed to " + pIShiftNew.Name;

this.Cel().WriteCelString(message);

}

void myRcv_Deleted(zenOn.IShift pIShift)

{

String message = pIShift.Name + " deleted";

this.Cel().WriteCelString(message);

} /// <summary>

/// This event handler is executed:

/// -Shortly before the RT is being terminated.

/// -Shortly before a reload.

/// And is a notification that all API-Objects are about to be destroyed.

/// USAGE:

/// Make sure that ALL API-Objects are released in this handler,

/// before the Garbage collection is been triggered.

/// </summary>

void ThisProject_Inactive()

{

myRcv.Created -= myRcv_Created;

myRcv.Modified -= myRcv_Modified;

myRcv.Deleted -= myRcv_Deleted;

myRcv = null;

//Final release and garbage collection of any API-Objects.

FreeObjects();

}

//…

}

}

VB.NET

VBA

Private WithEvents MyShiftEv As ShiftCalendar

Private Sub MyShiftEv_Created(ByVal pIShift As IShift)

thisProject.Cel.WriteCelString (pIShift.Name + " created")

End Sub

Private Sub MyShiftEv_Modified(ByVal pIShiftOld As IShift, ByVal pIShiftNew As IShift)

thisProject.Cel.WriteCelString (pIShiftOld.Name + " modified to " + pIShiftNew.Name)

End Sub

Private Sub MyShiftEv_Deleted(ByVal pIShift As IShift)

thisProject.Cel.WriteCelString (pIShift.Name + " deleted")

End Sub


Deleted

Manuel -> Interfaces de programmation -> Modèles d'objet -> ShiftCalendar -> ShiftCalendar-Events -> Deleted

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

It is now immediately possible to get notification of the creation, modification or deletion of shifts in the calender. The events are only sent on the server (or client in standalone operation).

Datatype

Deleted(IShift p_deletedShift) As void

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

VB.NET

VBA

Examples

C#

namespace ProjectAddin

{

[System.AddIn.AddIn("ThisProject", Version = "1.0", Publisher = "", Description = "")]

public partial class ThisProject

{

zenOn.IShiftCalendar myRcv = null;

#region Addin-Context

#endregion

#region General

#endregion

#region Project-Context

/// <summary>

/// This event handler is executed:

/// -When the RT was started and the project has been loaded.

/// -After a Reload has been executed.

/// USAGE:

/// Create any API-Objects/Event handler/etc. in this event.

/// </summary>

void ThisProject_Active()

{

myRcv = this.ShiftManagement.Calendar;

myRcv.Created += new zenOn.CreatedEventHandler(myRcv_Created);

myRcv.Modified += new zenOn.ModifiedEventHandler(myRcv_Modified);

myRcv.Deleted += new zenOn.DeletedEventHandler(myRcv_Deleted);

}

void myRcv_Created(zenOn.IShift pIShift)

{

String message = pIShift.Name + " created";

this.Cel().WriteCelString(message);

}

void myRcv_Modified(zenOn.IShift pIShiftOld, zenOn.IShift pIShiftNew)

{

String message = pIShiftOld.Name + " changed to " + pIShiftNew.Name;

this.Cel().WriteCelString(message);

}

void myRcv_Deleted(zenOn.IShift pIShift)

{

String message = pIShift.Name + " deleted";

this.Cel().WriteCelString(message);

} /// <summary>

/// This event handler is executed:

/// -Shortly before the RT is being terminated.

/// -Shortly before a reload.

/// And is a notification that all API-Objects are about to be destroyed.

/// USAGE:

/// Make sure that ALL API-Objects are released in this handler,

/// before the Garbage collection is been triggered.

/// </summary>

void ThisProject_Inactive()

{

myRcv.Created -= myRcv_Created;

myRcv.Modified -= myRcv_Modified;

myRcv.Deleted -= myRcv_Deleted;

myRcv = null;

//Final release and garbage collection of any API-Objects.

FreeObjects();

}

//…

}

}

VB.NET

VBA

Private WithEvents MyShiftEv As ShiftCalendar

Private Sub MyShiftEv_Created(ByVal pIShift As IShift)

thisProject.Cel.WriteCelString (pIShift.Name + " created")

End Sub

Private Sub MyShiftEv_Modified(ByVal pIShiftOld As IShift, ByVal pIShiftNew As IShift)

thisProject.Cel.WriteCelString (pIShiftOld.Name + " modified to " + pIShiftNew.Name)

End Sub

Private Sub MyShiftEv_Deleted(ByVal pIShift As IShift)

thisProject.Cel.WriteCelString (pIShift.Name + " deleted")

End Sub


ShiftFilter

Manuel -> Interfaces de programmation -> Modèles d'objet -> ShiftFilter

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

ShiftFilter has to be used to access the shifts in the shift calendar. Filter options may be defined to access the required shifts.

NOTE: start time and end time of the filter shall not be equal. Otherwise the result will be empty.

If you want to find the currently active shift, set the filter to start=now, end=now+1sec

NOTE: start time and end time of the filter shall not be equal. Otherwise the result will be empty.

If you want to find the currently active shift, set the filter to start=now, end=now+1sec

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes

Examples

C#

public void MacroTraceUpcomingShiftsToCEL()

{

//create a shift filter

zenOn.IShiftFilter shiftFilter = this.ShiftManagement.Calendar.CreateShiftFilter();

//set the filter to the next 24 hours

shiftFilter.StartTime = DateTime.Now;

shiftFilter.EndTime = DateTime.Now.AddDays(1);

//get shift list for filter

zenOn.IShifts shifts = shiftFilter.GetShifts();

if (shifts != null)

{

// interate shift list

for (int index = 0; index < shifts.Count; index++)

{

zenOn.IShift shift = shifts.GetItem(index);

//create string containing shift information

String shiftString = "Name:" + shift.Name + " Description:" + shift.Description + " start:" + shift.StartTime.ToString() + " end:" + shift.EndTime.ToString();

//wirte shift into cel

Cel().WriteCelString(shiftString);

}

}

}

VB.NET

VBA

Public Sub TraceUpcomingShiftsToCEL()

'create a shift filter

Dim filter As ShiftFilter

Set filter = thisProject.ShiftManagement.Calendar.CreateShiftFilter

'set the filter to the next 24 hours

filter.StartTime = Now()

filter.EndTime = Now() + 1

'get shift list for filter

Dim shiftList As Shifts

Set shiftList = filter.GetShifts

If Not shiftList Is Nothing Then

'interate shift list

For i = 0 To shiftList.Count - 1

Dim currentShift As Shift

Set currentShift = shiftList.GetItem(i)

'create string containing shift information

Dim shiftString As String

shiftString = "name:" & currentShift.Name & " desc:" & currentShift.Description & " begin:" & CStr(currentShift.StartTime) & " end:" & CStr(currentShift.EndTime)

'write shift info to CEL

thisProject.Cel.WriteCelString "shift:" & shiftString

Next

End If

End Sub

Other topics in this chapter

ShiftFilter-Properties

ShiftFilter-Methods


ShiftFilter-Properties

Manuel -> Interfaces de programmation -> Modèles d'objet -> ShiftFilter -> ShiftFilter-Properties

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description |  | Editor | Runtime | VBA | VSTA
DATE | StartTime | The shift filter start time |  | not used | available | yes | yes
DATE | EndTime | The shift filter end time |  | not used | available | yes | yes
BSTR | SystemModelGroups | String containing a list of system model groups for which the shifts should be filtered | not used |  | available | yes |  | yes

Other topics in this chapter

StartTime

EndTime

SystemModelGroups


StartTime

Manuel -> Interfaces de programmation -> Modèles d'objet -> ShiftFilter -> ShiftFilter-Properties -> StartTime

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

StartTime defines the date and time of the begin of the filter time range. Shifts which are partly in the filter time range will be included.

NOTE: start time and end time of the filter shall not be equal. Otherwise the result will be empty.

If you want to find the currently active shift, set the filter to start=now, end=now+1sec

Datatype

StartTime() As DATE

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes


EndTime

Manuel -> Interfaces de programmation -> Modèles d'objet -> ShiftFilter -> ShiftFilter-Properties -> EndTime

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

EndTime defines the date and time of the end of the filter time range. Shifts which are partly in the filter time range will be included.

NOTE: start time and end time of the filter shall not be equal. Otherwise the result will be empty.

If you want to find the currently active shift, set the filter to start=now, end=now+1sec

Datatype

EndTime() As DATE

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes


SystemModelGroups

Manuel -> Interfaces de programmation -> Modèles d'objet -> ShiftFilter -> ShiftFilter-Properties -> SystemModelGroups

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

The equipment model groups are used to match the shifts when the GetShifts() Method of IShiftFilter is called.

Shift will be included if:

The filter has no equipment model group set, or

The shift has no equipment model group set, or

The shift and the filter have at least one equipment model group in common.

Datatype

SystemModelGroups() As BSTR

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes


ShiftFilter-Methods

Manuel -> Interfaces de programmation -> Modèles d'objet -> ShiftFilter -> ShiftFilter-Methods

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
IShifts | GetShifts | Returns the all shifts in the shift calendar that fit the filter configuration | not used | available | yes | yes

Other topics in this chapter

GetShifts


GetShifts

Manuel -> Interfaces de programmation -> Modèles d'objet -> ShiftFilter -> ShiftFilter-Methods -> GetShifts

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

GetShifts reads the shift calendar and applies the filter settings defined by the ShiftFilter. It returns a collection of all matching shifts.

Datatype

GetShifts() As IShifts

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

VB.NET

VBA

Examples

C#

public void MacroTraceUpcomingShiftsToCEL()

{

//create a shift filter

zenOn.IShiftFilter shiftFilter = this.ShiftManagement.Calendar.CreateShiftFilter();

//set the filter to the next 24 hours

shiftFilter.StartTime = DateTime.Now;

shiftFilter.EndTime = DateTime.Now.AddDays(1);

//get shift list for filter

zenOn.IShifts shifts = shiftFilter.GetShifts();

if (shifts != null)

{

// interate shift list

for (int index = 0; index < shifts.Count; index++)

{

zenOn.IShift shift = shifts.GetItem(index);

//create string containing shift information

String shiftString = "Name:" + shift.Name + " Description:" + shift.Description + " start:" + shift.StartTime.ToString() + " end:" + shift.EndTime.ToString();

//wirte shift into cel

Cel().WriteCelString(shiftString);

}

}

}

VB.NET

VBA

Public Sub TraceUpcomingShiftsToCEL()

'create a shift filter

Dim filter As ShiftFilter

Set filter = thisProject.ShiftManagement.Calendar.CreateShiftFilter

'set the filter to the next 24 hours

filter.StartTime = Now()

filter.EndTime = Now() + 1

'get shift list for filter

Dim shiftList As Shifts

Set shiftList = filter.GetShifts

If Not shiftList Is Nothing Then

'interate shift list

For i = 0 To shiftList.Count - 1

Dim currentShift As Shift

Set currentShift = shiftList.GetItem(i)

'create string containing shift information

Dim shiftString As String

shiftString = "name:" & currentShift.Name & " desc:" & currentShift.Description & " begin:" & CStr(currentShift.StartTime) & " end:" & CStr(currentShift.EndTime)

'write shift info to CEL

thisProject.Cel.WriteCelString "shift:" & shiftString

Next

End If

End Sub


ShiftManagement

Manuel -> Interfaces de programmation -> Modèles d'objet -> ShiftManagement

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

ShiftManagement is the central entry point for accessing the shift management module in the zenon Runtime. It can be used to access and manage the shift calendar and to access the shift models.

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes

Examples

C#

public void MacroTraceUpcomingShiftsToCEL()

{

//create a shift filter

zenOn.IShiftFilter shiftFilter = this.ShiftManagement.Calendar.CreateShiftFilter();

//set the filter to the next 24 hours

shiftFilter.StartTime = DateTime.Now;

shiftFilter.EndTime = DateTime.Now.AddDays(1);

//get shift list for filter

zenOn.IShifts shifts = shiftFilter.GetShifts();

if (shifts != null)

{

// interate shift list

for (int index = 0; index < shifts.Count; index++)

{

zenOn.IShift shift = shifts.GetItem(index);

//create string containing shift information

String shiftString = "Name:" + shift.Name + " Description:" + shift.Description + " start:" + shift.StartTime.ToString() + " end:" + shift.EndTime.ToString();

//wirte shift into cel

Cel().WriteCelString(shiftString);

}

}

}

VB.NET

VBA

Public Sub TraceUpcomingShiftsToCEL()

'create a shift filter

Dim filter As ShiftFilter

Set filter = thisProject.ShiftManagement.Calendar.CreateShiftFilter

'set the filter to the next 24 hours

filter.StartTime = Now()

filter.EndTime = Now() + 1

'get shift list for filter

Dim shiftList As Shifts

Set shiftList = filter.GetShifts

If Not shiftList Is Nothing Then

'interate shift list

For i = 0 To shiftList.Count - 1

Dim currentShift As Shift

Set currentShift = shiftList.GetItem(i)

'create string containing shift information

Dim shiftString As String

shiftString = "name:" & currentShift.Name & " desc:" & currentShift.Description & " begin:" & CStr(currentShift.StartTime) & " end:" & CStr(currentShift.EndTime)

'write shift info to CEL

thisProject.Cel.WriteCelString "shift:" & shiftString

Next

End If

End Sub

Other topics in this chapter

ShiftManagement-Properties


ShiftManagement-Properties

Manuel -> Interfaces de programmation -> Modèles d'objet -> ShiftManagement -> ShiftManagement-Properties

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description |  | Editor | Runtime | VBA | VSTA
IShiftCalendar | Calendar | The shift calendar object |  | not used | available | yes | yes
IShiftModels | Models | The shift models object | not used |  | available | yes |  | yes

Other topics in this chapter

Calendar

Models


Calendar

Manuel -> Interfaces de programmation -> Modèles d'objet -> ShiftManagement -> ShiftManagement-Properties -> Calendar

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Calendar is a container for all shifts.

Datatype

Calendar() As IShiftCalendar

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes


Models

Manuel -> Interfaces de programmation -> Modèles d'objet -> ShiftManagement -> ShiftManagement-Properties -> Models

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Models is a container for shift models.

Datatype

Models() As IShiftModels

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes


ShiftModel

Manuel -> Interfaces de programmation -> Modèles d'objet -> ShiftModel

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

A ShiftModel may contain a defined set of shifts. These are, however, not connected to a specific date or equipment. The object model does not provide access to these shifts. However, it allows to read certain properties of shift models and to insert a shift model into the shift calendar using the InsertShiftModel method.

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes

Examples

C#

public void Macro_InsertShiftModelSample()

{

zenOn.IShiftCalendar calendar = this.ShiftManagement.Calendar;

zenOn.IShiftModels models = this.ShiftManagement.Models;

zenOn.IShiftModel model = models.GetItem(0);

zenOn.IShiftFilter filter = calendar.CreateShiftFilter();

zenOn.IShiftModelInsertSettings settings = calendar.CreateShiftModelInsertSettings();

settings.StartDate = DateTime.Now + TimeSpan.FromDays(1);

settings.EndDate = DateTime.Now + TimeSpan.FromDays(1);

settings.ShiftModel = model;

zenOn.IShiftModelInsertResult result;

result = calendar.InsertShiftModel(settings);

String text = "Inserting a shift model was called. \r\nErrorcode: " + result.Error.ToString();

System.Windows.Forms.MessageBox.Show(text);

}

VB.NET

VBA

Public Sub InsertShiftModelSample()

Dim calendar As ShiftCalendar

Set calendar = thisProject.ShiftManagement.calendar

Dim models As ShiftModels

Set models = thisProject.ShiftManagement.models

Dim model As ShiftModel

Set model = models.GetItem(0)

Dim settings As ShiftModelInsertSettings

Set settings = calendar.CreateShiftModelInsertSettings()

settings.StartDate = DateAdd("d", 1, Now())

settings.EndDate = DateAdd("d", 1, Now())

settings.ShiftModel = model

Dim result As ShiftModelInsertResult

Set result = calendar.InsertShiftModel(settings)

output = "Inserting a shift model was called." & vbNewLine & "Errorcode: " + CStr(result.Error)

MsgBox output

End Sub

Other topics in this chapter

ShiftModel-Properties


ShiftModel-Properties

Manuel -> Interfaces de programmation -> Modèles d'objet -> ShiftModel -> ShiftModel-Properties

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
BSTR | Name | The shift model name | not used | available | yes | yes
BSTR | Description | The shift model description | not used | available | yes | yes
VARIANT_BOOL | Monday | Flag to make inserting on a Monday possible | not used | available | yes | yes
VARIANT_BOOL | Tuesday | Flag to make inserting on a Tuesday possible | not used | available | yes | yes
VARIANT_BOOL | Wednesday | Flag to make inserting on a Wednesday possible | not used | available | yes | yes
VARIANT_BOOL | Thursday | Flag to make inserting on a Thursday possible | not used | available | yes | yes
VARIANT_BOOL | Friday | Flag to make inserting on a Friday possible | not used | available | yes | yes
VARIANT_BOOL | Saturday | Flag to make inserting on a Saturday possible | not used | available | yes | yes
VARIANT_BOOL | Sunday | Flag to make inserting on a Sunday possible | not used | available | yes | yes

Other topics in this chapter

Name

Description

Monday

Tuesday

Wednesday

Thursday

Friday

Saturday

Sunday


Name

Manuel -> Interfaces de programmation -> Modèles d'objet -> ShiftModel -> ShiftModel-Properties -> Name

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

The shift model´s name.

Read only

Datatype

Name() As BSTR

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes


Description

Manuel -> Interfaces de programmation -> Modèles d'objet -> ShiftModel -> ShiftModel-Properties -> Description

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

The shift model´s description.

Read only

Datatype

Description() As BSTR

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes


Monday

Manuel -> Interfaces de programmation -> Modèles d'objet -> ShiftModel -> ShiftModel-Properties -> Monday

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

These define whether the shift model can be inserted on either day of the week. When trying to insert the model on a day where the property is FALSE no shifts will be created in the calendar.

Datatype

Monday() As VARIANT_BOOL

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes


Tuesday

Manuel -> Interfaces de programmation -> Modèles d'objet -> ShiftModel -> ShiftModel-Properties -> Tuesday

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

These define whether the shift model can be inserted on either day of the week. When trying to insert the model on a day where the property is FALSE no shifts will be created in the calendar.

Datatype

Tuesday() As VARIANT_BOOL

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes


Wednesday

Manuel -> Interfaces de programmation -> Modèles d'objet -> ShiftModel -> ShiftModel-Properties -> Wednesday

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

These define whether the shift model can be inserted on either day of the week. When trying to insert the model on a day where the property is FALSE no shifts will be created in the calendar.

Datatype

Wednesday() As VARIANT_BOOL

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes


Thursday

Manuel -> Interfaces de programmation -> Modèles d'objet -> ShiftModel -> ShiftModel-Properties -> Thursday

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

These define whether the shift model can be inserted on either day of the week. When trying to insert the model on a day where the property is FALSE no shifts will be created in the calendar.

Datatype

Thursday() As VARIANT_BOOL

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes


Friday

Manuel -> Interfaces de programmation -> Modèles d'objet -> ShiftModel -> ShiftModel-Properties -> Friday

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

These define whether the shift model can be inserted on either day of the week. When trying to insert the model on a day where the property is FALSE no shifts will be created in the calendar.

Datatype

Friday() As VARIANT_BOOL

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes


Saturday

Manuel -> Interfaces de programmation -> Modèles d'objet -> ShiftModel -> ShiftModel-Properties -> Saturday

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

These define whether the shift model can be inserted on either day of the week. When trying to insert the model on a day where the property is FALSE no shifts will be created in the calendar.

Datatype

Saturday() As VARIANT_BOOL

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes


Sunday

Manuel -> Interfaces de programmation -> Modèles d'objet -> ShiftModel -> ShiftModel-Properties -> Sunday

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

These define whether the shift model can be inserted on either day of the week. When trying to insert the model on a day where the property is FALSE no shifts will be created in the calendar.

Datatype

Sunday() As VARIANT_BOOL

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes


ShiftModelInsertResult

Manuel -> Interfaces de programmation -> Modèles d'objet -> ShiftModelInsertResult

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

ShiftModelInsertResult provides information about the result (success/error) of the InsertShiftModel.

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes

Examples

C#

public void Macro_InsertShiftModelSample()

{

zenOn.IShiftCalendar calendar = this.ShiftManagement.Calendar;

zenOn.IShiftModels models = this.ShiftManagement.Models;

zenOn.IShiftModel model = models.GetItem(0);

zenOn.IShiftFilter filter = calendar.CreateShiftFilter();

zenOn.IShiftModelInsertSettings settings = calendar.CreateShiftModelInsertSettings();

settings.StartDate = DateTime.Now + TimeSpan.FromDays(1);

settings.EndDate = DateTime.Now + TimeSpan.FromDays(1);

settings.ShiftModel = model;

zenOn.IShiftModelInsertResult result;

result = calendar.InsertShiftModel(settings);

String text = "Inserting a shift model was called. \r\nErrorcode: " + result.Error.ToString();

System.Windows.Forms.MessageBox.Show(text);

}

VB.NET

VBA

Public Sub InsertShiftModelSample()

Dim calendar As ShiftCalendar

Set calendar = thisProject.ShiftManagement.calendar

Dim models As ShiftModels

Set models = thisProject.ShiftManagement.models

Dim model As ShiftModel

Set model = models.GetItem(0)

Dim settings As ShiftModelInsertSettings

Set settings = calendar.CreateShiftModelInsertSettings()

settings.StartDate = DateAdd("d", 1, Now())

settings.EndDate = DateAdd("d", 1, Now())

settings.ShiftModel = model

Dim result As ShiftModelInsertResult

Set result = calendar.InsertShiftModel(settings)

output = "Inserting a shift model was called." & vbNewLine & "Errorcode: " + CStr(result.Error)

MsgBox output

End Sub

Other topics in this chapter

ShiftModelInsertResult-Properties


ShiftModelInsertResult-Properties

Manuel -> Interfaces de programmation -> Modèles d'objet -> ShiftModelInsertResult -> ShiftModelInsertResult-Properties

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
tpShiftModelInsertResult | Error | The error information for inserting a shift model | not used | available | yes | yes

Other topics in this chapter

Error


Error

Manuel -> Interfaces de programmation -> Modèles d'objet -> ShiftModelInsertResult -> ShiftModelInsertResult-Properties -> Error

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

ShiftModelInsertSettings may be used to define the required settings to insert a shift model into the shift calendar.

Datatype

Error() As tpShiftModelInsertResult

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes


ShiftModelInsertSettings

Manuel -> Interfaces de programmation -> Modèles d'objet -> ShiftModelInsertSettings

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes

Examples

C#

public void Macro_InsertShiftModelSample()

{

zenOn.IShiftCalendar calendar = this.ShiftManagement.Calendar;

zenOn.IShiftModels models = this.ShiftManagement.Models;

zenOn.IShiftModel model = models.GetItem(0);

zenOn.IShiftFilter filter = calendar.CreateShiftFilter();

zenOn.IShiftModelInsertSettings settings = calendar.CreateShiftModelInsertSettings();

settings.StartDate = DateTime.Now + TimeSpan.FromDays(1);

settings.EndDate = DateTime.Now + TimeSpan.FromDays(1);

settings.ShiftModel = model;

zenOn.IShiftModelInsertResult result;

result = calendar.InsertShiftModel(settings);

String text = "Inserting a shift model was called. \r\nErrorcode: " + result.Error.ToString();

System.Windows.Forms.MessageBox.Show(text);

}

VB.NET

VBA

Public Sub InsertShiftModelSample()

Dim calendar As ShiftCalendar

Set calendar = thisProject.ShiftManagement.calendar

Dim models As ShiftModels

Set models = thisProject.ShiftManagement.models

Dim model As ShiftModel

Set model = models.GetItem(0)

Dim settings As ShiftModelInsertSettings

Set settings = calendar.CreateShiftModelInsertSettings()

settings.StartDate = DateAdd("d", 1, Now())

settings.EndDate = DateAdd("d", 1, Now())

settings.ShiftModel = model

Dim result As ShiftModelInsertResult

Set result = calendar.InsertShiftModel(settings)

output = "Inserting a shift model was called." & vbNewLine & "Errorcode: " + CStr(result.Error)

MsgBox output

End Sub

Other topics in this chapter

ShiftModelInsertSettings-Properties


ShiftModelInsertSettings-Properties

Manuel -> Interfaces de programmation -> Modèles d'objet -> ShiftModelInsertSettings -> ShiftModelInsertSettings-Properties

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
DATE | StartDate | The shift model insert start time | not used | available | yes | yes
DATE | EndDate | The shift model insert end time | not used | available | yes | yes
IShiftModel | ShiftModel | The shift model insert shift model template | not used | available | yes | yes
BSTR | SystemModelGroups | The shift model insert equipment model groups | not used | available | yes | yes

Other topics in this chapter

StartDate

EndDate

ShiftModel

SystemModelGroups


StartDate

Manuel -> Interfaces de programmation -> Modèles d'objet -> ShiftModelInsertSettings -> ShiftModelInsertSettings-Properties -> StartDate

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

A shift model may not only be inserted on one single day but on multiple consecutive days. StartDate contains the first day on which the shift model shall be inserted.

Datatype

StartDate() As DATE

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes


EndDate

Manuel -> Interfaces de programmation -> Modèles d'objet -> ShiftModelInsertSettings -> ShiftModelInsertSettings-Properties -> EndDate

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

A shift model may not only be inserted on one single day but on multiple consecutive days. EndDate contains the last day on which the shift model shall be inserted.

Datatype

EndDate() As DATE

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes


ShiftModel

Manuel -> Interfaces de programmation -> Modèles d'objet -> ShiftModelInsertSettings -> ShiftModelInsertSettings-Properties -> ShiftModel

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Defines the shift model which shall be inserted when executing ShiftCalendar´s InsertShiftModel method.

Datatype

ShiftModel() As IShiftModel

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes


SystemModelGroups

Manuel -> Interfaces de programmation -> Modèles d'objet -> ShiftModelInsertSettings -> ShiftModelInsertSettings-Properties -> SystemModelGroups

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Defines which equipment model groups will be linked to the shifts which are created when executing ShiftCalendar´s InsertShiftModel method.

Datatype

SystemModelGroups() As BSTR

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes


ShiftModels

Manuel -> Interfaces de programmation -> Modèles d'objet -> ShiftModels

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Collection of all existing objects of type ShiftModel.

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes

Examples

C#

public void Macro_InsertShiftModelSample()

{

zenOn.IShiftCalendar calendar = this.ShiftManagement.Calendar;

zenOn.IShiftModels models = this.ShiftManagement.Models;

zenOn.IShiftModel model = models.GetItem(0);

zenOn.IShiftFilter filter = calendar.CreateShiftFilter();

zenOn.IShiftModelInsertSettings settings = calendar.CreateShiftModelInsertSettings();

settings.StartDate = DateTime.Now + TimeSpan.FromDays(1);

settings.EndDate = DateTime.Now + TimeSpan.FromDays(1);

settings.ShiftModel = model;

zenOn.IShiftModelInsertResult result;

result = calendar.InsertShiftModel(settings);

String text = "Inserting a shift model was called. \r\nErrorcode: " + result.Error.ToString();

System.Windows.Forms.MessageBox.Show(text);

}

VB.NET

VBA

Public Sub InsertShiftModelSample()

Dim calendar As ShiftCalendar

Set calendar = thisProject.ShiftManagement.calendar

Dim models As ShiftModels

Set models = thisProject.ShiftManagement.models

Dim model As ShiftModel

Set model = models.GetItem(0)

Dim settings As ShiftModelInsertSettings

Set settings = calendar.CreateShiftModelInsertSettings()

settings.StartDate = DateAdd("d", 1, Now())

settings.EndDate = DateAdd("d", 1, Now())

settings.ShiftModel = model

Dim result As ShiftModelInsertResult

Set result = calendar.InsertShiftModel(settings)

output = "Inserting a shift model was called." & vbNewLine & "Errorcode: " + CStr(result.Error)

MsgBox output

End Sub

Other topics in this chapter

ShiftModels-Properties

ShiftModels-Methods


ShiftModels-Properties

Manuel -> Interfaces de programmation -> Modèles d'objet -> ShiftModels -> ShiftModels-Properties

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
long | Count | The amount of shift models | not used | available | yes | yes

Other topics in this chapter

Count


Count

Manuel -> Interfaces de programmation -> Modèles d'objet -> ShiftModels -> ShiftModels-Properties -> Count

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Number of shift models which exist in the project.

Datatype

Count() As long

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes


ShiftModels-Methods

Manuel -> Interfaces de programmation -> Modèles d'objet -> ShiftModels -> ShiftModels-Methods

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
IShiftModel | GetItem | Returns a shift model from the list | not used | available | yes | yes

Other topics in this chapter

GetItem


GetItem

Manuel -> Interfaces de programmation -> Modèles d'objet -> ShiftModels -> ShiftModels-Methods -> GetItem

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Allows to select one shift model which is contained in ShiftModels. Note that the items are not sorted.

Datatype

GetItem(long lIdx) As IShiftModel

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

VB.NET

VBA

Examples

C#

public void Macro_InsertShiftModelSample()

{

zenOn.IShiftCalendar calendar = this.ShiftManagement.Calendar;

zenOn.IShiftModels models = this.ShiftManagement.Models;

zenOn.IShiftModel model = models.GetItem(0);

zenOn.IShiftFilter filter = calendar.CreateShiftFilter();

zenOn.IShiftModelInsertSettings settings = calendar.CreateShiftModelInsertSettings();

settings.StartDate = DateTime.Now + TimeSpan.FromDays(1);

settings.EndDate = DateTime.Now + TimeSpan.FromDays(1);

settings.ShiftModel = model;

zenOn.IShiftModelInsertResult result;

result = calendar.InsertShiftModel(settings);

String text = "Inserting a shift model was called. \r\nErrorcode: " + result.Error.ToString();

System.Windows.Forms.MessageBox.Show(text);

}

VB.NET

VBA

Public Sub InsertShiftModelSample()

Dim calendar As ShiftCalendar

Set calendar = thisProject.ShiftManagement.calendar

Dim models As ShiftModels

Set models = thisProject.ShiftManagement.models

Dim model As ShiftModel

Set model = models.GetItem(0)

Dim settings As ShiftModelInsertSettings

Set settings = calendar.CreateShiftModelInsertSettings()

settings.StartDate = DateAdd("d", 1, Now())

settings.EndDate = DateAdd("d", 1, Now())

settings.ShiftModel = model

Dim result As ShiftModelInsertResult

Set result = calendar.InsertShiftModel(settings)

output = "Inserting a shift model was called." & vbNewLine & "Errorcode: " + CStr(result.Error)

MsgBox output

End Sub


Shifts

Manuel -> Interfaces de programmation -> Modèles d'objet -> Shifts

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Shifts is a collection containing shifts, e.g. returned by the ShiftCalendar´s getShifts method.

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes

Examples

C#

public void MacroTraceUpcomingShiftsToCEL()

{

//create a shift filter

zenOn.IShiftFilter shiftFilter = this.ShiftManagement.Calendar.CreateShiftFilter();

//set the filter to the next 24 hours

shiftFilter.StartTime = DateTime.Now;

shiftFilter.EndTime = DateTime.Now.AddDays(1);

//get shift list for filter

zenOn.IShifts shifts = shiftFilter.GetShifts();

if (shifts != null)

{

// interate shift list

for (int index = 0; index < shifts.Count; index++)

{

zenOn.IShift shift = shifts.GetItem(index);

//create string containing shift information

String shiftString = "Name:" + shift.Name + " Description:" + shift.Description + " start:" + shift.StartTime.ToString() + " end:" + shift.EndTime.ToString();

//wirte shift into cel

Cel().WriteCelString(shiftString);

}

}

}

VB.NET

VBA

Public Sub TraceUpcomingShiftsToCEL()

'create a shift filter

Dim filter As ShiftFilter

Set filter = thisProject.ShiftManagement.Calendar.CreateShiftFilter

'set the filter to the next 24 hours

filter.StartTime = Now()

filter.EndTime = Now() + 1

'get shift list for filter

Dim shiftList As Shifts

Set shiftList = filter.GetShifts

If Not shiftList Is Nothing Then

'interate shift list

For i = 0 To shiftList.Count - 1

Dim currentShift As Shift

Set currentShift = shiftList.GetItem(i)

'create string containing shift information

Dim shiftString As String

shiftString = "name:" & currentShift.Name & " desc:" & currentShift.Description & " begin:" & CStr(currentShift.StartTime) & " end:" & CStr(currentShift.EndTime)

'write shift info to CEL

thisProject.Cel.WriteCelString "shift:" & shiftString

Next

End If

End Sub

Other topics in this chapter

Shifts-Properties

Shifts-Methods


Shifts-Properties

Manuel -> Interfaces de programmation -> Modèles d'objet -> Shifts -> Shifts-Properties

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
long | Count | The amount of shifts | not used | available | yes | yes

Other topics in this chapter

Count


Count

Manuel -> Interfaces de programmation -> Modèles d'objet -> Shifts -> Shifts-Properties -> Count

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Number of shifts which are contained in the Shifts object.

Datatype

Count() As long

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes


Shifts-Methods

Manuel -> Interfaces de programmation -> Modèles d'objet -> Shifts -> Shifts-Methods

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
IShift | GetItem | Returns a shift from the list | not used | available | yes | yes

Other topics in this chapter

GetItem


GetItem

Manuel -> Interfaces de programmation -> Modèles d'objet -> Shifts -> Shifts-Methods -> GetItem

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Allows to select one shift which is contained in Shifts.

Note: items are not sorted.

Datatype

GetItem(long lIdx) As IShift

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

VB.NET

VBA

Examples

C#

VB.NET

VBA


ShiftUser

Manuel -> Interfaces de programmation -> Modèles d'objet -> ShiftUser

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

User which is lined to a shift via the shift´s ShiftUserCollection.

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes

Examples

C#

VB.NET

VBA

Public Sub AddShiftUserToShift()

Dim calendar As ShiftCalendar

Set calendar = thisProject.ShiftManagement.calendar

Dim myshift As shift

Myshift = calendar.createShift

Dim shiftUsers As ShiftUserCollection

Set shiftUsers = Myshift.ShiftUserCollection

Dim newUser As String

newUser = "Jane"

Dim success As Boolean

success = shiftUsers.AddUser(newUser)

myshift.save

For i = 0 To shiftUsers.Count - 1

Set shiftUser = shiftUsers.GetItem(i)

output = output & vbNewLine & shiftUser.Name

Next i

MsgBox output

Dim userToRemove As String

userToRemove = "John"

success = shiftUsers.RemoveUser(userToRemove)

End Sub

Other topics in this chapter

ShiftUser-Methods


ShiftUser-Methods

Manuel -> Interfaces de programmation -> Modèles d'objet -> ShiftUser -> ShiftUser-Methods

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
BSTR | Name [GET] | Identification of the shift user | not used | read only | yes | yes

Other topics in this chapter

Name [GET]


Name [GET]

Manuel -> Interfaces de programmation -> Modèles d'objet -> ShiftUser -> ShiftUser-Methods -> Name [GET]

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Name of a user which is lined to a shift via the shift´s ShiftUserCollection.

Datatype

Name [GET]() As BSTR

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes

Parameters

C#

VB.NET

VBA

Examples

C#

VB.NET

VBA

Public Sub AddShiftUserToShift()

Dim calendar As ShiftCalendar

Set calendar = thisProject.ShiftManagement.calendar

Dim myshift As shift

Myshift = calendar.createShift

Dim shiftUsers As ShiftUserCollection

Set shiftUsers = Myshift.ShiftUserCollection

Dim newUser As String

newUser = "Jane"

Dim success As Boolean

success = shiftUsers.AddUser(newUser)

myshift.save

For i = 0 To shiftUsers.Count - 1

Set shiftUser = shiftUsers.GetItem(i)

output = output & vbNewLine & shiftUser.Name

Next i

MsgBox output

Dim userToRemove As String

userToRemove = "John"

success = shiftUsers.RemoveUser(userToRemove)

End Sub


ShiftUserCollection

Manuel -> Interfaces de programmation -> Modèles d'objet -> ShiftUserCollection

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Shift Management allows to link users to shifts to indicate which users are available. These users are stored in the Shift´s ShiftUserCollection.

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes

Examples

C#

VB.NET

VBA

Public Sub AddShiftUserToShift()

Dim calendar As ShiftCalendar

Set calendar = thisProject.ShiftManagement.calendar

Dim myshift As shift

Myshift = calendar.createShift

Dim shiftUsers As ShiftUserCollection

Set shiftUsers = Myshift.ShiftUserCollection

Dim newUser As String

newUser = "Jane"

Dim success As Boolean

success = shiftUsers.AddUser(newUser)

myshift.save

For i = 0 To shiftUsers.Count - 1

Set shiftUser = shiftUsers.GetItem(i)

output = output & vbNewLine & shiftUser.Name

Next i

MsgBox output

Dim userToRemove As String

userToRemove = "John"

success = shiftUsers.RemoveUser(userToRemove)

End Sub

Other topics in this chapter

ShiftUserCollection-Methods


ShiftUserCollection-Methods

Manuel -> Interfaces de programmation -> Modèles d'objet -> ShiftUserCollection -> ShiftUserCollection-Methods

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
long | Count [GET] | The amount of shift users linke to the shift | not used | read only | yes | yes
IShiftUser | GetItem | Returns the shift user | not used | available | yes | yes
VARIANT_BOOL | AddUser | Adds a shift user to the list of shift users | not used | available | yes | yes
VARIANT_BOOL | RemoveUser | Removes a shift user from the list of shift users | not used | available | yes | yes

Other topics in this chapter

Count [GET]

GetItem

AddUser

RemoveUser


Count [GET]

Manuel -> Interfaces de programmation -> Modèles d'objet -> ShiftUserCollection -> ShiftUserCollection-Methods -> Count [GET]

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Number of linked users in a shift.

Datatype

Count [GET]() As long

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes

Parameters

C#

VB.NET

VBA

Examples

C#

VB.NET

VBA


GetItem

Manuel -> Interfaces de programmation -> Modèles d'objet -> ShiftUserCollection -> ShiftUserCollection-Methods -> GetItem

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Allows to select one user which is contained in ShiftUserCollection. Note that the items are not sorted.

Datatype

GetItem(long p_index) As IShiftUser

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

VB.NET

VBA

Examples

C#

VB.NET

VBA


AddUser

Manuel -> Interfaces de programmation -> Modèles d'objet -> ShiftUserCollection -> ShiftUserCollection-Methods -> AddUser

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Allows to add a user to the collection. The method requires the user´s name as a parameter.

Datatype

AddUser(BSTR p_userName) As VARIANT_BOOL

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

VB.NET

VBA

Examples

C#

VB.NET

VBA

Public Sub AddShiftUserToShift()

Dim calendar As ShiftCalendar

Set calendar = thisProject.ShiftManagement.calendar

Dim myshift As shift

Myshift = calendar.createShift

Dim shiftUsers As ShiftUserCollection

Set shiftUsers = Myshift.ShiftUserCollection

Dim newUser As String

newUser = "Jane"

Dim success As Boolean

success = shiftUsers.AddUser(newUser)

myshift.save

For i = 0 To shiftUsers.Count - 1

Set shiftUser = shiftUsers.GetItem(i)

output = output & vbNewLine & shiftUser.Name

Next i

MsgBox output

Dim userToRemove As String

userToRemove = "John"

success = shiftUsers.RemoveUser(userToRemove)

End Sub


RemoveUser

Manuel -> Interfaces de programmation -> Modèles d'objet -> ShiftUserCollection -> ShiftUserCollection-Methods -> RemoveUser

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Allows to remove a user from the collection. The method requires the user´s name as a parameter.

Datatype

RemoveUser(BSTR p_userName) As VARIANT_BOOL

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

VB.NET

VBA

Examples

C#

VB.NET

VBA

Public Sub AddShiftUserToShift()

Dim calendar As ShiftCalendar

Set calendar = thisProject.ShiftManagement.calendar

Dim myshift As shift

Myshift = calendar.createShift

Dim shiftUsers As ShiftUserCollection

Set shiftUsers = Myshift.ShiftUserCollection

Dim newUser As String

newUser = "Jane"

Dim success As Boolean

success = shiftUsers.AddUser(newUser)

myshift.save

For i = 0 To shiftUsers.Count - 1

Set shiftUser = shiftUsers.GetItem(i)

output = output & vbNewLine & shiftUser.Name

Next i

MsgBox output

Dim userToRemove As String

userToRemove = "John"

success = shiftUsers.RemoveUser(userToRemove)

End Sub


State

Manuel -> Interfaces de programmation -> Modèles d'objet -> State

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

States are utilized by Reaction Matrices, in order to define the characteristics.

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Examples

C#

VB.NET

VB.NET-Syntax

VBA

Sub zenOn_SetStateForBinaryRema(ByRef zRema As Rema)

'Declaration zState
Dim zState As State

'Intialize zState with the first state inside the passed binary rema
Set zState = zRema.StateItem(1)

'Defines the matching bit combination
zState.ReaWert = &H89 'Sets Bit0, Bit3 and Bit7 TRUE
zState.ReaWertMaske = &H81 'Defines that Bit0 and Bit7 will be checked (Bit3 is ignored)

'User message that will be displayed when the event occurs
zState.Text = "Bit combination is matched!"

'Moreover, the first defined function will be called when the event occurs
zState.Function = MyWorkspace.ActiveDocument.RtFunctions.Item(0)
'The function will only be executed when the tpBitFkt is set. Additionaly the tpBitAlarm flag is set too.
zState.Status = tpBitFkt Or tpBitAlarm

End Sub

Private Sub zenOn_SetStateForAnalogRema(ByRef zRema As rema)

'Declaration zState
Dim zState As State

'Intialize zState with the first state inside the passed analog rema
Set zState = zRema.StateItem(1)

'Sets the comparision mode to "greater"
zState.CheckArt = 1

'This definition constitutes the threshold value, where the alarm will be triggered
zState.ReaAlarm = 11

'This definition means that the system will be set back to its normal configuration, when "ReaAlarm" goes below 10 (hysteresis)
zState.Hysterese = 1

'User message that will be displayed when the event occurs
zState.Text = "Limit is reached!"

'Moreover, the first defined function will be called when the event occurs
zState.Function = MyWorkspace.ActiveDocument.RtFunctions.Item(0)
'The function will only be executed when the tpBitFkt is set. Additionaly the tpBitAlarm flag is set too.
zState.Status = tpBitFkt Or tpBitAlarm

End Sub

Other topics in this chapter

State-Properties

State-Methods


State-Properties

Manuel -> Interfaces de programmation -> Modèles d'objet -> State -> State-Properties

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description |  | Editor | Runtime | VBA | VSTA
long | AllValues |  |  | available | read only | yes | yes
unsigned | char |  |  | available | read only | yes | yes
long | CheckArt |  |  | available | read only | yes | yes
long | ClassIdx |  |  | available | read only | yes | yes
long | Color |  |  | available | read only | yes | yes
long | DelayTime |  | available |  | available | yes |  | yes
long | Function |  |  | available | read only | yes | yes
long | GroupIdx |  |  | available | read only | yes | yes
double | Hysterese |  |  | available | available | yes | yes
IRema | Parent |  |  | read only | read only | yes | yes
double | ReaAlarm |  |  | available | read only | yes | yes
double | ReaAlarmBis |  |  | available | read only | yes | yes
long | ReaStatusExt |  |  | available | read only | yes | yes
long | ReaStatusFlankeExt |  |  | available | read only | yes | yes
long | ReaStatusFlankeStd |  |  | available | read only | yes | yes
long | ReaStatusMaskeExt |  |  | available | read only | yes | yes
long | ReaStatusMaskeStd |  |  | available | read only | yes | yes
long | ReaStatusStd |  |  | available | read only | yes | yes
long | ReaWert |  |  | available | read only | yes | yes
long | ReaWertFlanke |  |  | available | read only | yes | yes
long | ReaWertMaske |  |  | available | read only | yes | yes
tpStateBit | Status |  |  | available | available | yes | yes
BSTR | Text |  |  | available | read only | yes | yes

Other topics in this chapter

Parent

Text

Status

GroupIdx

ClassIdx

Function

Color

DelayTime

CheckArt

ReaAlarm

ReaWert

ReaWertMaske

ReaWertFlanke

ReaStatusStd

ReaStatusExt

ReaStatusMaskeExt

ReaStatusFlankeStd

ReaStatusFlankeExt

ReaAlarmBis

AllValues

char

Hysterese


Parent

Manuel -> Interfaces de programmation -> Modèles d'objet -> State -> State-Properties -> Parent

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the parent object

Datatype

Parent() As Rema

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


Text

Manuel -> Interfaces de programmation -> Modèles d'objet -> State -> State-Properties -> Text

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Gets or sets the text that will be displayed, if the defined limit is reached.

Datatype

Text() As String

Availability

Environment | Available
Editor | available
Runtime | read only
VBA | yes
VSTA | yes


Status

Manuel -> Interfaces de programmation -> Modèles d'objet -> State -> State-Properties -> Status

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

Status() As tpStateBit

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes


GroupIdx

Manuel -> Interfaces de programmation -> Modèles d'objet -> State -> State-Properties -> GroupIdx

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Gets or sets the group index

Datatype

GroupIdx() As long

Availability

Environment | Available
Editor | available
Runtime | read only
VBA | yes
VSTA | yes


ClassIdx

Manuel -> Interfaces de programmation -> Modèles d'objet -> State -> State-Properties -> ClassIdx

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Gets or sets the class index.

Datatype

ClassIdx() As long

Availability

Environment | Available
Editor | available
Runtime | read only
VBA | yes
VSTA | yes


Function

Manuel -> Interfaces de programmation -> Modèles d'objet -> State -> State-Properties -> Function

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Assigns a function which will be called, when the Reaction Matrix matches.

Datatype

Function() As long

Availability

Environment | Available
Editor | available
Runtime | read only
VBA | yes
VSTA | yes


Color

Manuel -> Interfaces de programmation -> Modèles d'objet -> State -> State-Properties -> Color

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Gets or sets the color.

Datatype

Color() As long

Availability

Environment | Available
Editor | available
Runtime | read only
VBA | yes
VSTA | yes


DelayTime

Manuel -> Interfaces de programmation -> Modèles d'objet -> State -> State-Properties -> DelayTime

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

HIDDEN

Datatype

DelayTime() As long

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes


CheckArt

Manuel -> Interfaces de programmation -> Modèles d'objet -> State -> State-Properties -> CheckArt

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

CheckArt() As long

Availability

Environment | Available
Editor | available
Runtime | read only
VBA | yes
VSTA | yes


ReaAlarm

Manuel -> Interfaces de programmation -> Modèles d'objet -> State -> State-Properties -> ReaAlarm

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Gets or sets the limit value.Hint: The comparision method is selected with the "CheckArt" property.This value constitutes the lower limit of the area, if "CheckArt" option 4 (Area) is selected.

Datatype

ReaAlarm() As double

Availability

Environment | Available
Editor | available
Runtime | read only
VBA | yes
VSTA | yes


ReaWert

Manuel -> Interfaces de programmation -> Modèles d'objet -> State -> State-Properties -> ReaWert

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

The ReaWert DWORD specifies which bit combination (value) should be matched by the binary Reaction Matrices.Hint: Depending on the ReaWertMaske the bits of the DWORD will be checked or ignored.

Datatype

ReaWert() As long

Availability

Environment | Available
Editor | available
Runtime | read only
VBA | yes
VSTA | yes


ReaWertMaske

Manuel -> Interfaces de programmation -> Modèles d'objet -> State -> State-Properties -> ReaWertMaske

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Has to be set properly, if the bit combination in the ReaWert DWORD should be adhered. Otherwise it will be ingored.

Datatype

ReaWertMaske() As long

Availability

Environment | Available
Editor | available
Runtime | read only
VBA | yes
VSTA | yes


ReaWertFlanke

Manuel -> Interfaces de programmation -> Modèles d'objet -> State -> State-Properties -> ReaWertFlanke

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Specifies, if the bit combination of the "ReaWert" used by a MultiBinary Rema trigger on edges.

Datatype

ReaWertFlanke() As long

Availability

Environment | Available
Editor | available
Runtime | read only
VBA | yes
VSTA | yes


ReaStatusStd

Manuel -> Interfaces de programmation -> Modèles d'objet -> State -> State-Properties -> ReaStatusStd

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

The ReaStatusStd DWORD specifiecs which state bits are set.

e.g. ReaStatusStd = &H40000 (Hex-Value) means that the I-BIT is set TRUE.
Hint: Depending on the ReaStatusMaskeStd the bits will be checked or ignored.

In order to use state driven trigger (no triggering on edges) for the MultiBinary Rema, the ReaStatusFlankeStd has to be set to &h0.

To set more than one state bit, ORing (logical OR) have to be applied.

e.g. ReaStatusStd = &H100 Or &H4 'SELEC + ST_M3 are set TRUE

The following table gives an overview of common state bits.

Name | Description | Bit Number | Hex Value
ST_M1 | User status bit 1 | 0 | 0x00000001
ST_M2 | available | 1 | 0x00000002
ST_M3 | read only | 2 | 0x00000004
ST_M4 | yes | 3 | 0x00000008
ST_M5 | yes | 4 | 0x00000010
ST_M6 | User status bit 6 | 5 | 0x00000020
ST_M7 | User status bit 7 | 6 | 0x00000040
ST_M8 | User status bit 8 | 7 | 0x00000080
SELEC | Select bit | 8 | 0x00000100
REV | Revision bit | 9 | 0x00000200
DIREC | Desired direction bit | 10 | 0x00000400
RTE | Runtime exceeded bit | 11 | 0x00000800
I-BIT | Invalid bit | 18 | 0x00040000
N_UPDATE | Switched off bit | 20 | 0x00800000
DM_TR | Default message trafo value bit | 24 | 0x01000000
RM_TR | Run message trafo value bit | 25 | 0x02000000
AVALUE | Alternative value bit | 27 | 0x08000000

Datatype

ReaStatusStd() As long
VBA | yes | 0 | 0x00000001
VSTA | yes | 0 | 0x00000001

Availability

Environment | Available
Editor | available
Runtime | read only
VBA | yes
VSTA | yes

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Sub zenOn_CreateAnalogRema()
Dim zRema As Rema
Dim zState As State

'Create a new analog Rema
Set zRema = MyWorkspace.ActiveDocument.Remas.Create(tpAnalog, "zenOn_TestRema")
'Create a new state
Set zState = zRema.CreateState

'***************************************************************
'* Set the I-Bit TRUE *
'* I-Bit Bit18 *
'* Hint: I-Bit TRUE -> Hex-Value 0x00|04|0000 *
'* / \ *
'* Binary ..0|00000100|0.. *
'* *
'* I-Bit FALSE -> Hex-Value 0x00000000 *
'***************************************************************

'Set the I-Bit TRUE
zState.ReaStatusStd = &H40000
'Set the StateMask for the I-Bit
'Hint: Hex-Value: 0x00040000 -> only I-Bit will be checked
zState.ReaStatusMaskeStd = &H40000

'***************************************************************
'* Check if the ST_M1 is FALSE *
'* ST_M1 Bit0 *
'* Hint: ST_M1 TRUE -> Hex-Value 0x000000| 01 *
'* / \ *
'* Binary ..0|00000001 *
'* ST_M1 FALSE -> Hex-Value 0x00000000 *
'***************************************************************

'Set the ST_M1 FALSE
zState.ReaStatusStd = &H0

'Set the StateMask for the ST_M1 bit
'Hint: Hex-Value: 0x00000001 -> only ST_M1 will be checked
zState.ReaStatusMaskeStd = &H1

'***************************************************************
'* Check both state bits *
'* Combining with ORing (logical OR) *
'***************************************************************

'Set the I-Bit TRUE + the ST_M1 bit FALSE
zState.ReaStatusStd = &H40000 Or &H0
'zState.ReaStatusStd = &H40000 // because ORing with &H0 will not change any bits

'Check the I-Bit + the ST_M1 bit, ignore all other bits
zState.ReaStatusMaskeStd = &H40000 Or &H1 '=&H40001

End Sub


ReaStatusExt

Manuel -> Interfaces de programmation -> Modèles d'objet -> State -> State-Properties -> ReaStatusExt

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

ReaStatusExt() As long

Availability

Environment | Available
Editor | available
Runtime | read only
VBA | yes
VSTA | yes


ReaStatusMaskeExt

Manuel -> Interfaces de programmation -> Modèles d'objet -> State -> State-Properties -> ReaStatusMaskeExt

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

ReaStatusMaskeExt() As long

Availability

Environment | Available
Editor | available
Runtime | read only
VBA | yes
VSTA | yes


ReaStatusFlankeStd

Manuel -> Interfaces de programmation -> Modèles d'objet -> State -> State-Properties -> ReaStatusFlankeStd

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

ReaStatusFlankeStd() As long

Availability

Environment | Available
Editor | available
Runtime | read only
VBA | yes
VSTA | yes

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Sub zenOn_CreateMultiBinaryRema()
Dim zRema As Rema
Dim zState As State

'Create a new analog Rema
Set zRema = MyWorkspace.ActiveDocument.Remas.Create(tpMultiBinaer, "zenOn_TestRema")
'Create a new state
Set zState = zRema.CreateState

'Set the I-Bit to trigger on both edges + the ST_M1 on negative edges
zState.ReaStatusFlankeStd = &H40000 Or &H1
zState.ReaStatusMaskeStd = &H0 Or &H1
zState.ReaStatusStd = &H0 Or &H0

End Sub


ReaStatusFlankeExt

Manuel -> Interfaces de programmation -> Modèles d'objet -> State -> State-Properties -> ReaStatusFlankeExt

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

ReaStatusFlankeExt() As long

Availability

Environment | Available
Editor | available
Runtime | read only
VBA | yes
VSTA | yes


ReaAlarmBis

Manuel -> Interfaces de programmation -> Modèles d'objet -> State -> State-Properties -> ReaAlarmBis

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

This value constitutes the upper limit of the area, if "CheckArt" option 4 (Area) is selected. The lower limit is the "ReaAlarm" property.

Datatype

ReaAlarmBis() As double

Availability

Environment | Available
Editor | available
Runtime | read only
VBA | yes
VSTA | yes


AllValues

Manuel -> Interfaces de programmation -> Modèles d'objet -> State -> State-Properties -> AllValues

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

This Represents the checkbox 'Treat each change of value as new limit violation'

Datatype

AllValues() As long

Availability

Environment | Available
Editor | available
Runtime | read only
VBA | yes
VSTA | yes


char

Manuel -> Interfaces de programmation -> Modèles d'objet -> State -> State-Properties -> char

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

char() As unsigned

Availability

Environment | Available
Editor | available
Runtime | read only
VBA | yes
VSTA | yes


Hysterese

Manuel -> Interfaces de programmation -> Modèles d'objet -> State -> State-Properties -> Hysterese

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Gets or sets the value when the system will be set back to the normal configuration. (Systems leaves triggered state)

Datatype

Hysterese() As double

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes


State-Methods

Manuel -> Interfaces de programmation -> Modèles d'objet -> State -> State-Methods

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
IState | CreateSubState | - | available | not used | yes | yes
void | DeleteSubState | For internal use only | not used | not used | yes | yes
void | DynProperties [PUT] | - | available | available | yes | yes
VARIANT | DynProperties [GET] | - | available | available | yes | yes
VARIANT | DynPropertiesEnum [GET] | - | read only | read only | yes | yes
long | GetSubStateCount | - | read only | read only | yes | yes
BOOL | MoveSubState | - | available | not used | yes | yes
IState | SubStateItem | - | available | available | yes | yes
IPropParam | DynPropertyParam [GET] | Returns the PropParam objekt of the given DynProperty | read only | not used | yes | yes

Other topics in this chapter

DynPropertyParam [GET]

DynPropertiesEnum [GET]

DynProperties [GET]

DynProperties [PUT]

GetSubStateCount

CreateSubState

SubStateItem

MoveSubState


DynPropertyParam [GET]

Manuel -> Interfaces de programmation -> Modèles d'objet -> State -> State-Methods -> DynPropertyParam [GET]

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

DynPropertyParam [GET](BSTR bsPath) As PropParam

Availability

Environment | Available
Editor | read only
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


DynPropertiesEnum [GET]

Manuel -> Interfaces de programmation -> Modèles d'objet -> State -> State-Methods -> DynPropertiesEnum [GET]

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

DynPropertiesEnum(String bsPath) As VARIANT

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes

Parameters

A String which defines the entry point to get out all available properties of the object.

A blank String like that returns the first layer of properties:

DynPropertiesEnum("")

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

bsPath As String

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Sub ReadDynProps()
End Sub


DynProperties [GET]

Manuel -> Interfaces de programmation -> Modèles d'objet -> State -> State-Methods -> DynProperties [GET]

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

DynProperties(String bsPath) As VARIANT

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

A String which defines the Property.

Example: "NetAktive"

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

bsPath As String

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Sub GetDynProp()
'Sample: GSet the Network Aktive Flag of the Project.
If MyWorkspace.ActiveDocument.DynProperties("NetActive") = True Then
'read the server - computername...
Debug.Print "Server: " & MyWorkspace.ActiveDocument.DynProperties("NetServer")
End If
End Sub


DynProperties [PUT]

Manuel -> Interfaces de programmation -> Modèles d'objet -> State -> State-Methods -> DynProperties [PUT]

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

DynProperties (String bsPath,VARIANT vValue) As void

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

A String which defines the Property.

Example: "NetAktive"

Returns a variant value depending to the property, it can be a boolean, a long, or a whole object.

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

bsPath As String

vValue As Variant

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Sub SetDynProp()
End Sub


GetSubStateCount

Manuel -> Interfaces de programmation -> Modèles d'objet -> State -> State-Methods -> GetSubStateCount

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Get the amount of substates.

Datatype

GetSubStateCount() As long

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


CreateSubState

Manuel -> Interfaces de programmation -> Modèles d'objet -> State -> State-Methods -> CreateSubState

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Creates a new substate.

Datatype

CreateSubState() As State

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Sub zenOn_CreateSubStateExample(ByRef zState As State)

Dim zSubState As State

'Initialize the zSubState by creating a new substate
Set zSubState = zState.CreateSubState

'e.g. change the color of the substate
zSubState.Color = RGB(0, 128, 128)

End Sub


SubStateItem

Manuel -> Interfaces de programmation -> Modèles d'objet -> State -> State-Methods -> SubStateItem

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns a state object, containing the selected substate of the current state.

Datatype

SubStateItem(VARIANT vID) As State

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

Index of the substate.

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

vID As Variant

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Sub zenOn_SubStateExample(ByRef zState As State)

Dim zSubState As State

'Initialize the zSubState with the first substate of zState
Set zSubState = zState.SubStateItem(1)

'e.g. change the color of the substate
zSubState.Color = RGB(0, 128, 128)

End Sub


MoveSubState

Manuel -> Interfaces de programmation -> Modèles d'objet -> State -> State-Methods -> MoveSubState

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Moves the substate within the state one position up- or downwards.<ul style="list-style-type:none;"><li>-1 &amp;rarr; upward</li><li>1 &amp;rarr; downward</li></ul>

Datatype

MoveSubState(VARIANT vID, BOOL bDirection) As BOOL

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

Index of the substate.

Defines the direction:

-1 Ã¢â€ â€™ upward

1 Ã¢â€ â€™ downward

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

vID As Variant

bDirection As BOOL

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Sub zenOn_MoveSubStateExample()

Dim zRema As Rema
Dim zState As State
Dim i As Integer

Set zRema = MyWorkspace.ActiveDocument.Remas.Item(0)
Set zState = zRema.StateItem(1)

zState.MoveSubState 2, 0

For i = 0 To zState.GetSubStateCount - 1
Debug.Print zState.SubStateItem(i).Color
Next i

End Sub


StyleItem

Manuel -> Interfaces de programmation -> Modèles d'objet -> StyleItem

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

A StyleItem can either be a style group or a style. A style group can contain an unlimited number of styles, but nesting a group within a group is not supported.

The style can e.g. be a fill style, text style, … which can be managed in general and the style specific properties like e.g. fill color can be accessed by DynProperties.

Availability

Environment | Available
Editor | read only
Runtime | not used
VBA | yes
VSTA | yes

Examples

C#

VB.NET

VBA

‘ Prerequisites: A stylegroup with substyles in the active project

Sub TestStylesValuesSet()

Set Manager = MyWorkspace.ActiveDocument.StyleManager

Dim Group0 As StyleItem

Set Group0 = Manager.Item(0)

Dim Props() As String

Props = Group0.DynPropertiesEnum("")

For n = 0 To Group0.Count - 1

Dim Item As StyleItem

Set Item = Group0.Item(n)

Props = Item.DynPropertiesEnum("")

Debug.Print ">************ " & Item.DynProperties("StyleItemName") & " *************"

For p = LBound(Props) To UBound(Props)

Debug.Print Props(p)

Next p

Debug.Print "<************ " & Item.Name & " *************" & vbCrLf

Item.DynProperties("StyleItemDescription") = "visited by me"

Item.Name = "NewName"

Next n

End Sub

‘ prerequisite:

‘ first screen has two elements

‘ first element has a style group set

Sub StyleDynPropItem()

Dim pic As DynPicture

Set pic = MyWorkspace.ActiveDocument.DynPictures.Item(0)

Dim elem(1) As Element

Set elem(0) = pic.Elements.Item(0)

Set elem(1) = pic.Elements.Item(1)

Dim Style As StyleItem

Set Style = elem(0).DynProperties("StyleGroup")

elem(1).DynProperties("StyleGroup") = Style ‘ sets the style group

elem(0).DynProperties("StyleGroup") = Nothing ‘ sets the prop to "no style linked"

pic.Save

End Sub

Other topics in this chapter

StyleItem-Properties

StyleItem-Methods


StyleItem-Properties

Manuel -> Interfaces de programmation -> Modèles d'objet -> StyleItem -> StyleItem-Properties

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
IStyleItem | ParentItem |  | read only | not used | yes | yes
long | Count |  | read only | not used | yes | yes
BSTR | Name |  | available | not used | yes | yes
BSTR | Guid |  | read only | not used | yes | yes
BSTR | Description |  | available | not used | yes | yes
tpStyleType | Type |  | read only | not used | yes | yes
BSTR | ExternalReference | Returns the external reference of the item. | available | not used | yes | yes
BSTR | Category | Returns the category of the item. | available | not used | yes | yes

Other topics in this chapter

ParentItem

Count

Name

Guid

Description

Type

ExternalReference

Category


ParentItem

Manuel -> Interfaces de programmation -> Modèles d'objet -> StyleItem -> StyleItem-Properties -> ParentItem

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

The ParentItem property will return null/nothing for StyleGroups (StyleGroups currently cannot be nested). When the item is a Style the property will return the StyleGroup in which the Style resides.

Datatype

ParentItem() As IStyleItem

Availability

Environment | Available
Editor | read only
Runtime | not used
VBA | yes
VSTA | yes


Count

Manuel -> Interfaces de programmation -> Modèles d'objet -> StyleItem -> StyleItem-Properties -> Count

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

The Count property returns the amount of "SubItems" of the object. This means: The amount of Styles if the object is a StyleGroup, or the amount of style properties in case of a Style object.

Datatype

Count() As long

Availability

Environment | Available
Editor | read only
Runtime | not used
VBA | yes
VSTA | yes


Name

Manuel -> Interfaces de programmation -> Modèles d'objet -> StyleItem -> StyleItem-Properties -> Name

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

The Name property will return the Name of the object.

Datatype

Name() As BSTR

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes


Guid

Manuel -> Interfaces de programmation -> Modèles d'objet -> StyleItem -> StyleItem-Properties -> Guid

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

The Guid property will return the unique Guid of this object.

Datatype

Guid() As BSTR

Availability

Environment | Available
Editor | read only
Runtime | not used
VBA | yes
VSTA | yes


Description

Manuel -> Interfaces de programmation -> Modèles d'objet -> StyleItem -> StyleItem-Properties -> Description

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

The Description property will return the defined description of the object.

Datatype

Description() As BSTR

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes


Type

Manuel -> Interfaces de programmation -> Modèles d'objet -> StyleItem -> StyleItem-Properties -> Type

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Using the Type property the type of the StyleItem can be determined. As explained before the StyleItem can be either a StyleGroup or a Style from a specific type. Therefore a new enum tpStyleType has been added to the API.

Datatype

Type() As tpStyleType

Availability

Environment | Available
Editor | read only
Runtime | not used
VBA | yes
VSTA | yes


ExternalReference

Manuel -> Interfaces de programmation -> Modèles d'objet -> StyleItem -> StyleItem-Properties -> ExternalReference

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns true if local version differs from server (editor) version. This option is only working for multi-user projects.

Datatype

ExternalReference() As BSTR

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes


Category

Manuel -> Interfaces de programmation -> Modèles d'objet -> StyleItem -> StyleItem-Properties -> Category

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Freely definable text, which can be used for grouping styles.

Datatype

Category() As BSTR

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes


StyleItem-Methods

Manuel -> Interfaces de programmation -> Modèles d'objet -> StyleItem -> StyleItem-Methods

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
IStyleItem | Item |  | read only | not used | yes | yes
IPropParam | DynPropertyParam [GET] | Returns the PropParam objekt of the given DynProperty | read only | not used | yes | yes
VARIANT | DynPropertiesEnum [GET] |  | read only | not used | yes | yes
VARIANT | DynProperties [GET] |  | read only | not used | yes | yes
void | DynProperties [PUT] |  | read only | not used | yes | yes

Other topics in this chapter

Item

DynPropertyParam [GET]

DynPropertiesEnum [GET]

DynProperties [GET]

DynProperties [PUT]


Item

Manuel -> Interfaces de programmation -> Modèles d'objet -> StyleItem -> StyleItem-Methods -> Item

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

The Item method of the StyleItem object can be used to access the subitems of the object. Note that this method only returns objects for StyleItems which represent a StyleGroup. Even though StyleItems representing a Style will return their amount of properties when using Count they will not return SubItems when using the Item method. The Item method can be used with either a name (representing the name of a style) or an index. If a StyleItem on the given index (or carrying the given name) exists, a StyleItem object will be returned.

Datatype

Item(VARIANT vPosOrName) As IStyleItem

Availability

Environment | Available
Editor | read only
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

VB.NET

VBA

Examples

C#

VB.NET

VBA


DynPropertyParam [GET]

Manuel -> Interfaces de programmation -> Modèles d'objet -> StyleItem -> StyleItem-Methods -> DynPropertyParam [GET]

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

The StyleItem api-Methodes DynPropertyParam, DynPropertiesEnum and DynProperties are working now and can be used as for other zenon API objects. The fortune of dyn-properties in case of styles is that every different StyleItem type (filling, line, text, …) has a different set of dyn-properties which can be read out by the DynPropertiesEnum methode.

The properties StyleItem.Name and StyleItem.Description can be set now.

After each setting of a value (dyn- or api-properties) the corresponding style-group gets saved automatically, a changelog is generated and the UI updates.

Datatype

DynPropertyParam [GET](BSTR bsPath) As IPropParam

Availability

Environment | Available
Editor | read only
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

VB.NET

VBA

Examples

C#

VB.NET

VBA

‘ Prerequisites: A stylegroup with substyles in the active project

Sub TestStylesValuesSet()

Set Manager = MyWorkspace.ActiveDocument.StyleManager

Dim Group0 As StyleItem

Set Group0 = Manager.Item(0)

Dim Props() As String

Props = Group0.DynPropertiesEnum("")

For n = 0 To Group0.Count - 1

Dim Item As StyleItem

Set Item = Group0.Item(n)

Props = Item.DynPropertiesEnum("")

Debug.Print ">************ " & Item.DynProperties("StyleItemName") & " *************"

For p = LBound(Props) To UBound(Props)

Debug.Print Props(p)

Next p

Debug.Print "<************ " & Item.Name & " *************" & vbCrLf

Item.DynProperties("StyleItemDescription") = "visited by me"

Item.Name = "NewName"

Next n

End Sub


DynPropertiesEnum [GET]

Manuel -> Interfaces de programmation -> Modèles d'objet -> StyleItem -> StyleItem-Methods -> DynPropertiesEnum [GET]

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

The StyleItem api-Methodes DynPropertyParam, DynPropertiesEnum and DynProperties are working now and can be used as for other zenon API objects. The fortune of dyn-properties in case of styles is that every different StyleItem type (filling, line, text, …) has a different set of dyn-properties which can be read out by the DynPropertiesEnum methode.

The properties StyleItem.Name and StyleItem.Description can be set now.

After each setting of a value (dyn- or api-properties) the corresponding style-group gets saved automatically, a changelog is generated and the UI updates.

Datatype

DynPropertiesEnum [GET](BSTR bsPath) As VARIANT

Availability

Environment | Available
Editor | read only
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

VB.NET

VBA

Examples

C#

VB.NET

VBA

‘ Prerequisites: A stylegroup with substyles in the active project

Sub TestStylesValuesSet()

Set Manager = MyWorkspace.ActiveDocument.StyleManager

Dim Group0 As StyleItem

Set Group0 = Manager.Item(0)

Dim Props() As String

Props = Group0.DynPropertiesEnum("")

For n = 0 To Group0.Count - 1

Dim Item As StyleItem

Set Item = Group0.Item(n)

Props = Item.DynPropertiesEnum("")

Debug.Print ">************ " & Item.DynProperties("StyleItemName") & " *************"

For p = LBound(Props) To UBound(Props)

Debug.Print Props(p)

Next p

Debug.Print "<************ " & Item.Name & " *************" & vbCrLf

Item.DynProperties("StyleItemDescription") = "visited by me"

Item.Name = "NewName"

Next n

End Sub


DynProperties [GET]

Manuel -> Interfaces de programmation -> Modèles d'objet -> StyleItem -> StyleItem-Methods -> DynProperties [GET]

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

The StyleItem api-Methodes DynPropertyParam, DynPropertiesEnum and DynProperties are working now and can be used as for other zenon API objects. The fortune of dyn-properties in case of styles is that every different StyleItem type (filling, line, text, …) has a different set of dyn-properties which can be read out by the DynPropertiesEnum methode.

The properties StyleItem.Name and StyleItem.Description can be set now.

After each setting of a value (dyn- or api-properties) the corresponding style-group gets saved automatically, a changelog is generated and the UI updates.

The DynProperty Get and Set functions do now return and accept StyleItem API objects.

A style-link is accepted during the Set if…

… the StyleItem is valid (not a dangling reference referring to an already deleted style)

… the StyleItem is located in the same project (where the e.g. screen belongs) or in the global project

Datatype

DynProperties [GET](BSTR bsPath) As VARIANT

Availability

Environment | Available
Editor | read only
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

VB.NET

VBA

Examples

C#

VB.NET

VBA

‘ Prerequisites: A stylegroup with substyles in the active project

Sub TestStylesValuesSet()

Set Manager = MyWorkspace.ActiveDocument.StyleManager

Dim Group0 As StyleItem

Set Group0 = Manager.Item(0)

Dim Props() As String

Props = Group0.DynPropertiesEnum("")

For n = 0 To Group0.Count - 1

Dim Item As StyleItem

Set Item = Group0.Item(n)

Props = Item.DynPropertiesEnum("")

Debug.Print ">************ " & Item.DynProperties("StyleItemName") & " *************"

For p = LBound(Props) To UBound(Props)

Debug.Print Props(p)

Next p

Debug.Print "<************ " & Item.Name & " *************" & vbCrLf

Item.DynProperties("StyleItemDescription") = "visited by me"

Item.Name = "NewName"

Next n

End Sub

‘ prerequisite:

‘ first screen has two elements

‘ first element has a style group set

Sub StyleDynPropItem()

Dim pic As DynPicture

Set pic = MyWorkspace.ActiveDocument.DynPictures.Item(0)

Dim elem(1) As Element

Set elem(0) = pic.Elements.Item(0)

Set elem(1) = pic.Elements.Item(1)

Dim Style As StyleItem

Set Style = elem(0).DynProperties("StyleGroup")

elem(1).DynProperties("StyleGroup") = Style ‘ sets the style group

elem(0).DynProperties("StyleGroup") = Nothing ‘ sets the prop to "no style linked"

pic.Save

End Sub


DynProperties [PUT]

Manuel -> Interfaces de programmation -> Modèles d'objet -> StyleItem -> StyleItem-Methods -> DynProperties [PUT]

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

The StyleItem api-Methodes DynPropertyParam, DynPropertiesEnum and DynProperties are working now and can be used as for other zenon API objects. The fortune of dyn-properties in case of styles is that every different StyleItem type (filling, line, text, …) has a different set of dyn-properties which can be read out by the DynPropertiesEnum methode.

The properties StyleItem.Name and StyleItem.Description can be set now.

After each setting of a value (dyn- or api-properties) the corresponding style-group gets saved automatically, a changelog is generated and the UI updates.

The DynProperty Get and Set functions do now return and accept StyleItem API objects.

A style-link is accepted during the Set if…

… the StyleItem is valid (not a dangling reference referring to an already deleted style)

… the StyleItem is located in the same project (where the e.g. screen belongs) or in the global project

Datatype

DynProperties [PUT](BSTR bsPath, VARIANT vValue) As void

Availability

Environment | Available
Editor | read only
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

VB.NET

VBA

Examples

C#

VB.NET

VBA

‘ Prerequisites: A stylegroup with substyles in the active project

Sub TestStylesValuesSet()

Set Manager = MyWorkspace.ActiveDocument.StyleManager

Dim Group0 As StyleItem

Set Group0 = Manager.Item(0)

Dim Props() As String

Props = Group0.DynPropertiesEnum("")

For n = 0 To Group0.Count - 1

Dim Item As StyleItem

Set Item = Group0.Item(n)

Props = Item.DynPropertiesEnum("")

Debug.Print ">************ " & Item.DynProperties("StyleItemName") & " *************"

For p = LBound(Props) To UBound(Props)

Debug.Print Props(p)

Next p

Debug.Print "<************ " & Item.Name & " *************" & vbCrLf

Item.DynProperties("StyleItemDescription") = "visited by me"

Item.Name = "NewName"

Next n

End Sub


StyleManager

Manuel -> Interfaces de programmation -> Modèles d'objet -> StyleManager

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

The StyleManager is the central entry point for accessing the styles module in the zenon Editor. It can be used to access and manage StyleItems and to perform functions for distributed engineering. Furthermore it provides a method for extracting all available styles from a zenon screen element.

Availability

Environment | Available
Editor | read only
Runtime | not used
VBA | yes
VSTA | yes

Examples

C#

VB.NET

VBA

Sub CreateStyleGroup()

Dim Manager As StyleManager

Set Manager = MyWorkspace.ActiveDocument.StyleManager

Dim Group0 As StyleItem

Set Group0 = Manager.CreateGroup("API_MyGroup")

// you can do smth with the Group0 if u want

Dim API_Style As StyleItem

Set API_Style = Manager.Create("Fill_API", Group0, tpStyleType.tpStyleTypeFill)

// you can do smth with the API_Style if u want

Set API_Style = Manager.Create("RoundCorner_API2", Group0, tpStyleType.tpStyleTypeRoundCorner)

End Sub

Sub AddLineStyle()

Dim Manager As StyleManager

Set Manager = MyWorkspace.ActiveDocument.StyleManager

Dim Group0 As StyleItem

Set Group0 = Manager.Item("API_MyGroup")

Dim API_Style As StyleItem

Set API_Style = Manager.Create("Line_API", Group0, tpStyleType.tpStyleTypeLine)

Set API_Style = Manager.Create("Line2_API", Group0, tpStyleType.tpStyleTypeLine)

End Sub

Other topics in this chapter

StyleManager-Properties

StyleManager-Methods


StyleManager-Properties

Manuel -> Interfaces de programmation -> Modèles d'objet -> StyleManager -> StyleManager-Properties

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
IProject | Parent |  | read only | not used | yes | yes
long | Count |  | read only | not used | yes | yes

Other topics in this chapter

Parent

Count


Parent

Manuel -> Interfaces de programmation -> Modèles d'objet -> StyleManager -> StyleManager-Properties -> Parent

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

By use of the Parent property, the project to which the manager belongs can be determined.

Datatype

Parent() As IProject

Availability

Environment | Available
Editor | read only
Runtime | not used
VBA | yes
VSTA | yes


Count

Manuel -> Interfaces de programmation -> Modèles d'objet -> StyleManager -> StyleManager-Properties -> Count

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

The Count property returns the amount of "root" items (currently only StyleGroups) which are available in the StyleManager.

Datatype

Count() As long

Availability

Environment | Available
Editor | read only
Runtime | not used
VBA | yes
VSTA | yes


StyleManager-Methods

Manuel -> Interfaces de programmation -> Modèles d'objet -> StyleManager -> StyleManager-Methods

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
IStyleItem | Item |  | read only | not used | yes | yes
IStyleItem | ExtractStyleGroupFromElement | Returns a new style group from the given element | read only | not used | yes | yes
VARIANT_BOOL | CheckOut |  | read only | not used | yes | yes
VARIANT_BOOL | CheckIn |  | read only | not used | yes | yes
VARIANT_BOOL | UndoCheckOut |  | read only | not used | yes | yes
VARIANT_BOOL | Get |  | read only | not used | yes | yes
VARIANT_BOOL | IsLocked |  | read only | not used | yes | yes
VARIANT_BOOL | IsCheckedOut |  | read only | not used | yes | yes
VARIANT_BOOL | IsDifferent |  | read only | not used | yes | yes
VARIANT_BOOL | Delete |  | read only | not used | yes | yes
IStyleItem | CreateGroup |  | available | not used | yes | yes
IStyleItem | Create |  | available | not used | yes | yes
VARIANT_BOOL | Export | Exports the selected object to a XML file | available | not used | yes | yes
VARIANT_BOOL | Import | Imports the selected XML file | available | not used | yes | yes

Other topics in this chapter

Item

ExtractStyleGroupFromElement

CheckOut

CheckIn

UndoCheckOut

Get

IsLocked

IsCheckedOut

IsDifferent

Delete

CreateGroup

Create

Export

Import


Item

Manuel -> Interfaces de programmation -> Modèles d'objet -> StyleManager -> StyleManager-Methods -> Item

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

The Item method can be used with either a name (representing the name of a style group) or an index. If a StyleItem on the given index (or carrying the given name) exists, a StyleItem object will be returned.

Note: A StyleItem can be either a StyleGroup or a Style. The Item property of the StyleManager will (for now) always return a StyleItem representing a StyleGroup as Styles currently do not exist on the top level.

Datatype

Item(VARIANT vPosOrName) As IStyleItem

Availability

Environment | Available
Editor | read only
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

VB.NET

VBA

Examples

C#

VB.NET

VBA


ExtractStyleGroupFromElement

Manuel -> Interfaces de programmation -> Modèles d'objet -> StyleManager -> StyleManager-Methods -> ExtractStyleGroupFromElement

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

This function takes two parameters: a name for a stylegroup and a Zenon Element (API object), and it returns the StyleGroup with all the styles (API object) that was extracted from the element. In case the extraction is not possible it will return NULL. The extraction is not possible when the StyleGroup name already exists, or when the user tries to extract a style group from an element that is not contained in the project where the manager is in (extract from another project). An exception is the global project, in the StyleManager of it we can extract style groups from elements of different projects.

Datatype

ExtractStyleGroupFromElement(BSTR bsGroupName, IElement pElement) As IStyleItem

Availability

Environment | Available
Editor | read only
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

VB.NET

VBA

Examples

C#

VB.NET

VBA

Sub CodeExample()

Dim Manager As StyleManager

Set Manager = MyWorkspace.ActiveDocument.StyleManager

Dim Screen As DynPicture

Set Screen = MyWorkspace.ActiveDocument.DynPictures().Item("Another screen")

Dim Elem As Element

Set Elem = Screen.Elements().Item("Universalregler_1")

Dim StyleGroup As StyleItem

Set StyleGroup = Manager.ExtractStyleGroupFromElement("API_Group", Elem)

// meanwhile the real Zenon object is deleted from the editor

// here now you do something else with the StyleGroup object, and it should not crash (maybe it throws an // exception? Check previous stories for understanding how it should behave)

End Sub


CheckOut

Manuel -> Interfaces de programmation -> Modèles d'objet -> StyleManager -> StyleManager-Methods -> CheckOut

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Allow module modifications (editor). This option is only working for multi-user projects.

Datatype

CheckOut() As VARIANT_BOOL

Availability

Environment | Available
Editor | read only
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

VB.NET

VBA

Examples

C#

/* In case of a multiuser project you need to checkout your StyleManager object

* before editing it and you have to check it in again as soon as you're done.

* To do soyou can use the provided methods CheckIn and CheckOut of the StyleManager

* object.

*/

public void MacroStyleManager()

{

IStyleManager zenonStyleManager = this.ActiveDocument.StyleManager();

if (!zenonStyleManager.CheckOut())

{

//Some error occured, the user will be informed

this.Parent.DebugPrint("Error while checking out styles",

tpDebugPrintStyle.tpErr);

}

//Do something with the styles in the collection object

//Code...

zenonStyleManager.CheckIn();

}

VB.NET

VBA

' In case of a multiuser project you need to checkout your StyleManager object

' * before editing it and you have to check it in again as soon as you're done.

' * To do soyou can use the provided methods CheckIn and CheckOut of the StyleManager

' * object.

'

Public Sub MacroStyleManager()

Dim zenonStyleManager As IStyleManager = Me.ActiveDocument.StyleManager()

If Not zenonStyleManager.CheckOut() Then

'Some error occured, the user will be informed

Me.Parent.DebugPrint("Error while checking out styles", tpDebugPrintStyle.tpErr)

End If

'Do something with the stylesin the collection object

'Code...

zenonArchives.CheckIn()

End Sub


CheckIn

Manuel -> Interfaces de programmation -> Modèles d'objet -> StyleManager -> StyleManager-Methods -> CheckIn

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Save module modifications to server (editor). This option is only working for multi-user projects.

Datatype

CheckIn() As VARIANT_BOOL

Availability

Environment | Available
Editor | read only
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

VB.NET

VBA

Examples

C#

VB.NET

VBA


UndoCheckOut

Manuel -> Interfaces de programmation -> Modèles d'objet -> StyleManager -> StyleManager-Methods -> UndoCheckOut

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Undo module modifications (editor). This option is only working for multi-user projects.

Datatype

UndoCheckOut() As VARIANT_BOOL

Availability

Environment | Available
Editor | read only
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

VB.NET

VBA

Examples

C#

VB.NET

VBA


Get

Manuel -> Interfaces de programmation -> Modèles d'objet -> StyleManager -> StyleManager-Methods -> Get

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Get the latest version from the server (editor). This option is only working for multi-user projects.

Datatype

Get() As VARIANT_BOOL

Availability

Environment | Available
Editor | read only
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

VB.NET

VBA

Examples

C#

VB.NET

VBA


IsLocked

Manuel -> Interfaces de programmation -> Modèles d'objet -> StyleManager -> StyleManager-Methods -> IsLocked

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns true if modification changes are locked due to a checkout. This option is only working for multi-user projects. NOTE: In a multi-user project it is recommended to check for IsLocked == false before performing any modification changes at all.

Datatype

IsLocked() As VARIANT_BOOL

Availability

Environment | Available
Editor | read only
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

VB.NET

VBA

Examples

C#

VB.NET

VBA


IsCheckedOut

Manuel -> Interfaces de programmation -> Modèles d'objet -> StyleManager -> StyleManager-Methods -> IsCheckedOut

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns true if scripts are checked out. This option is only working for multi-user projects.

Datatype

IsCheckedOut() As VARIANT_BOOL

Availability

Environment | Available
Editor | read only
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

VB.NET

VBA

Examples

C#

VB.NET

VBA


IsDifferent

Manuel -> Interfaces de programmation -> Modèles d'objet -> StyleManager -> StyleManager-Methods -> IsDifferent

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns true if local version differs from server (editor) version. This option is only working for multi-user projects.

Datatype

IsDifferent() As VARIANT_BOOL

Availability

Environment | Available
Editor | read only
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

VB.NET

VBA

Examples

C#

VB.NET

VBA


Delete

Manuel -> Interfaces de programmation -> Modèles d'objet -> StyleManager -> StyleManager-Methods -> Delete

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

At the StyleManager there is now a new API-function "Delete" which needs a StyleItem as a Parameter and returns true, if the item was successfully deleted.

Same as in the GUI, if the given StyleItem to delete is a Group, all the substyles of the group will also be deleted.

If the given StyleItem is a Style only the Style will be deleted.

Datatype

Delete(IStyleItem StyleItem) As VARIANT_BOOL

Availability

Environment | Available
Editor | read only
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

VB.NET

VBA

Examples

C#

VB.NET

VBA


CreateGroup

Manuel -> Interfaces de programmation -> Modèles d'objet -> StyleManager -> StyleManager-Methods -> CreateGroup

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Only in style items of type "tpStyleTyle.Group" new subitems can be created.

In style items of type "tpStyleTyle.Group" no new subitems of type "tpStyleTyle.Group" can be created.

In multiuser projects a creation is not possible if the “Styles” were not checked out previously.

Datatype

CreateGroup(BSTR bsGroupName) As IStyleItem

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

VB.NET

VBA

Examples

C#

VB.NET

VBA

Sub CreateStyleGroup()

Dim Manager As StyleManager

Set Manager = MyWorkspace.ActiveDocument.StyleManager

Dim Group0 As StyleItem

Set Group0 = Manager.CreateGroup("API_MyGroup")

// you can do smth with the Group0 if u want

Dim API_Style As StyleItem

Set API_Style = Manager.Create("Fill_API", Group0, tpStyleType.tpStyleTypeFill)

// you can do smth with the API_Style if u want

Set API_Style = Manager.Create("RoundCorner_API2", Group0, tpStyleType.tpStyleTypeRoundCorner)

End Sub

Sub AddLineStyle()

Dim Manager As StyleManager

Set Manager = MyWorkspace.ActiveDocument.StyleManager

Dim Group0 As StyleItem

Set Group0 = Manager.Item("API_MyGroup")

Dim API_Style As StyleItem

Set API_Style = Manager.Create("Line_API", Group0, tpStyleType.tpStyleTypeLine)

Set API_Style = Manager.Create("Line2_API", Group0, tpStyleType.tpStyleTypeLine)

End Sub


Create

Manuel -> Interfaces de programmation -> Modèles d'objet -> StyleManager -> StyleManager-Methods -> Create

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Only in style items of type "tpStyleTyle.Group" new subitems can be created.

In style items of type "tpStyleTyle.Group" no new subitems of type "tpStyleTyle.Group" can be created.

In multiuser projects a creation is not possible if the “Styles” were not checked out previously.

Datatype

Create(BSTR Name, IStyleItem Parent, tpStyleType Type) As IStyleItem

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

VB.NET

VBA

Examples

C#

VB.NET

VBA

Sub CreateStyleGroup()

Dim Manager As StyleManager

Set Manager = MyWorkspace.ActiveDocument.StyleManager

Dim Group0 As StyleItem

Set Group0 = Manager.CreateGroup("API_MyGroup")

// you can do smth with the Group0 if u want

Dim API_Style As StyleItem

Set API_Style = Manager.Create("Fill_API", Group0, tpStyleType.tpStyleTypeFill)

// you can do smth with the API_Style if u want

Set API_Style = Manager.Create("RoundCorner_API2", Group0, tpStyleType.tpStyleTypeRoundCorner)

End Sub

Sub AddLineStyle()

Dim Manager As StyleManager

Set Manager = MyWorkspace.ActiveDocument.StyleManager

Dim Group0 As StyleItem

Set Group0 = Manager.Item("API_MyGroup")

Dim API_Style As StyleItem

Set API_Style = Manager.Create("Line_API", Group0, tpStyleType.tpStyleTypeLine)

Set API_Style = Manager.Create("Line2_API", Group0, tpStyleType.tpStyleTypeLine)

End Sub


Export

Manuel -> Interfaces de programmation -> Modèles d'objet -> StyleManager -> StyleManager-Methods -> Export

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

exports all style Groups of the Manager into the given file as XML. Returns true if everything went ok and false otherwise, no popup dialogs should be displayed.

sFileName = file location

Datatype

Export(BSTR bsFileName) As VARIANT_BOOL

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

VB.NET

VBA

VBA Code example:

Sub ExportStyle()

Dim Manager As StyleManager

Set Manager = MyWorkspace.ActiveDocument.StyleManager

Manager.Export ("C:\Users\Oltion.Kuka\Desktop\Style.xml")

End Sub

Examples

C#

VB.NET

VBA


Import

Manuel -> Interfaces de programmation -> Modèles d'objet -> StyleManager -> StyleManager-Methods -> Import

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

imports the given file into the style manager. Returns true if everything went ok and false otherwise.

no popup dialogs should be displayed

sFileName = file location

If the GUID of an imported StyleGroup is already taken by another existing StyleGroup, then the existing StyleGroup is overridden by the imported one (No dialog to ask the user is displayed).

If the GUID of an imported Style is already taken by an existing Style in an existing StyleGroup, then the Style is not imported and a warning is written in the output window to give the user the information why the import for that single style failed. The style group itself and the other Styles of the StyleGroup will be correctly imported and will not be influenced by this conflict. (the above scenario can be reproduced via copy & paste between different Style managers).

Note: If the GUID of an imported StyleGroup is already taken by an existing Style, this is considered an error in the XML file, because it cannot happen that the GUID of a Style and of a StyleGroup it is the same. It can happen only if the user manually sets it in the XML file to import, and that is a wrong configuration.

Datatype

Import(BSTR bsFileName) As VARIANT_BOOL

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

VB.NET

VBA

Sub ImportStyle()

Dim Manager As StyleManager

Set Manager = MyWorkspace.ActiveDocument.StyleManager

Manager.Import ("C:\Users\Oltion.Kuka\Desktop\Style.xml")

End Sub

Examples

C#

VB.NET

VBA


SymbolElements

Manuel -> Interfaces de programmation -> Modèles d'objet -> SymbolElements

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

This collection contains the 'Element' objects within a symbol. It is possible, that there are symbols in symbols and so on, so it could be neccessary to enumerate the object recursive.

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Examples

C#

VB.NET

VB.NET-Syntax

VBA

Sub SymbolElem()
Dim zPIC As DynPicture
Dim zSymbol As Element
Dim zText As Element
Dim zCircle As Element

Set zPIC = MyWorkspace.ActiveDocument.DynPictures.Item("START")

'create static text element
Set zText = zPIC.Elements.Create("MyStaticText", tpText)
zText.Top = 100
zText.Left = 100

'create circle
Set zCircle = zPIC.Elements.Create("MyStaticCircle", tpCircle)
zCircle.Top = 150
zCircle.Left = 150

'create symbol
Set zSymbol = zPIC.Elements.Create("MyNewSymbol", tpSymbol)
zSymbol.Elements.Add zText
zSymbol.Elements.Add zCircle
zPIC.Save
End Sub

Sub EnumSymbolElements()
Dim zPicture As DynPicture
Dim zSymbol As Element
Dim zSymElements As SymbolElements
Dim i As Integer

'get Picture,(embedded) Symbol, SymbolElements collection...
Set zPicture = MyWorkspace.ActiveDocument.DynPictures.Item("START")
Set zSymbol = zPicture.Elements.Item("MyNewSymbol")
Set zSymElements = zSymbol.Elements

'enumerate all elements within a (embedded) symbol
For i = 0 To zSymElements.Count - 1
Debug.Print zSymElements.Item(i).Name & " [" & zSymElements.Item(i).Top & "/" & zSymElements.Item(i).Left & "]"
Next

End Sub

Other topics in this chapter

SymbolElements-Properties

SymbolElements-Methods


SymbolElements-Properties

Manuel -> Interfaces de programmation -> Modèles d'objet -> SymbolElements -> SymbolElements-Properties

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
long | Count | Returns count of the elements | read only | read only | yes | yes
IElement | Parent | The parent object of the current object | read only | read only | yes | yes

Other topics in this chapter

Parent

Count


Parent

Manuel -> Interfaces de programmation -> Modèles d'objet -> SymbolElements -> SymbolElements-Properties -> Parent

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the parent object

Datatype

Parent() As Element

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


Count

Manuel -> Interfaces de programmation -> Modèles d'objet -> SymbolElements -> SymbolElements-Properties -> Count

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

The method returns the number of available objects. This property is mostly used for the method Item to run through each single object.Hint: For running through entries care, that the minimum is 0 and the maximum is Count-1.

Datatype

Count() As long

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


SymbolElements-Methods

Manuel -> Interfaces de programmation -> Modèles d'objet -> SymbolElements -> SymbolElements-Methods

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
VARIANT_BOOL | Add | Creates and returns a new Object | available | not used | yes | yes
IElement | Item | Returns a object at a position or by a specified key | available | available | yes | yes
VARIANT_BOOL | Remove | Deletes the objects from collection | available | not used | yes | yes

Other topics in this chapter

Item

Add

Remove


Item

Manuel -> Interfaces de programmation -> Modèles d'objet -> SymbolElements -> SymbolElements-Methods -> Item

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns a 'Element' object at a position or by name

Datatype

Item(VARIANT vElementID) As Element

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


Add

Manuel -> Interfaces de programmation -> Modèles d'objet -> SymbolElements -> SymbolElements-Methods -> Add

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

This method will add an exisiting 'Element' object from the picture into the symbol.

Datatype

Add(IElement pElement) As Boolean

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


Remove

Manuel -> Interfaces de programmation -> Modèles d'objet -> SymbolElements -> SymbolElements-Methods -> Remove

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Deletes an Element objects from the Symbol.

Datatype

Remove(String nElemId) As Boolean

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


Symbols

Manuel -> Interfaces de programmation -> Modèles d'objet -> Symbols

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Availability

Environment | Available
Editor | read only
Runtime | not used
VBA | yes
VSTA | yes

Examples

C#

VB.NET

VB.NET-Syntax

VBA

Other topics in this chapter

Symbols-Properties

Symbols-Methods


Symbols-Properties

Manuel -> Interfaces de programmation -> Modèles d'objet -> Symbols -> Symbols-Properties

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
VARIANT | SymbolList | Returns a list of available symbols | read only | not used | yes | yes

Other topics in this chapter

SymbolList


SymbolList

Manuel -> Interfaces de programmation -> Modèles d'objet -> Symbols -> Symbols-Properties -> SymbolList

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

SymbolList() As VARIANT

Availability

Environment | Available
Editor | read only
Runtime | not used
VBA | yes
VSTA | yes


Symbols-Methods

Manuel -> Interfaces de programmation -> Modèles d'objet -> Symbols -> Symbols-Methods

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
VARIANT_BOOL | Export | Exports the selected object to a XML file | available | not used | yes | yes
VARIANT_BOOL | Import | Imports the selected XML file | available | not used | yes | yes
VARIANT_BOOL | SingleExport | Exports the Item with given Name oder Index | available | not used | yes | yes
VARIANT_BOOL | SingleExport | Exports the Item with given Name oder Index | available | not used | yes | yes

Other topics in this chapter

Export

SingleExport

Import


Export

Manuel -> Interfaces de programmation -> Modèles d'objet -> Symbols -> Symbols-Methods -> Export

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Export a symbol library into a file.

Datatype

Export(String bsLibName,String bsFileName) As Boolean

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

Name of Global Symbol Library as string or "" if Projectlibrary is used.

Filename (path) as string of the xml file to export.

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

bsLibName As String

bsFileName As String

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Sub Symbol_IMEX()

'export project library
MyWorkspace.ActiveDocument.Symbols.Export "", "C:\TEMP\ProjectLib.xml"

'export specific global library
MyWorkspace.Symbols.Export "Symbolgroup 1", "C:\TEMP\GlobalLib_S1.xml"

'export single symbol
MyWorkspace.ActiveDocument.Symbols.SingleExport "Symbol 2", "", "C:\TEMP\Symbol2.xml"

'import from file
MyWorkspace.ActiveDocument.Symbols.Import "", "C:\TEMP\ProjectLib.xml"

End Sub


SingleExport

Manuel -> Interfaces de programmation -> Modèles d'objet -> Symbols -> Symbols-Methods -> SingleExport

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

SingleExport(VARIANT vName,BSTR bsLibName,BSTR bsFileName) As VARIANT_BOOL

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

VB.NET

VBA

Examples

C#

VB.NET

VBA


Import

Manuel -> Interfaces de programmation -> Modèles d'objet -> Symbols -> Symbols-Methods -> Import

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Import a symbol library from file. New settings are added, existing settings will be replaced.

Datatype

Import(String bsLibName,String bsFileName) As Boolean

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

Name of Global Symbol Library as string or "" if Projectlibrary is used.

Filename (path) as string of the xml file to import.

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

bsLibName As String

bsFileName As String

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Sub Symbol_IMEX()

'export project library
MyWorkspace.ActiveDocument.Symbols.Export "", "C:\TEMP\ProjectLib.xml"

'export specific global library
MyWorkspace.Symbols.Export "Symbolgroup 1", "C:\TEMP\GlobalLib_S1.xml"

'export single symbol
MyWorkspace.ActiveDocument.Symbols.SingleExport "Symbol 2", "", "C:\TEMP\Symbol2.xml"

'import from file
MyWorkspace.ActiveDocument.Symbols.Import "", "C:\TEMP\ProjectLib.xml"

End Sub


SystemModel

Manuel -> Interfaces de programmation -> Modèles d'objet -> SystemModel

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Create or edit Equipment modeling (SystemModel) .

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Examples

C#

VB.NET

VB.NET-Syntax

VBA

Private Sub SystemModel()
Dim zSystemModelManager As SystemModelManager
Dim zProject As Project
Dim i As Integer
Dim j As Integer
Dim zSystemModel As SystemModel
Dim zSystemModelGroup As SystemModelGroup

Set zProject = MyWorkspace.ActiveDocument

'Equipment Model ( System Model) only exist in the global project.
If Not zProject.IsGlobal Then
Exit Sub
End If

'Get the Equipment Model
Set zSystemModelManager = zProject.SystemModelManager

For i = 0 To zSystemModelManager.count - 1
'Get SystemModel
Set zSystemModel = zSystemModelManager.Item(i)
For j = 0 To zSystemModel.count - 1
'Get SystemModelGroup
Set zSystemModelGroup = zSystemModel.Item(j)
Debug.Print (zSystemModelGroup.DynProperties("Name"))
Next j
Next i
End Sub

Other topics in this chapter

SystemModel-Properties

SystemModel-Methods

SystemModel-Dynamic properties


SystemModel-Properties

Manuel -> Interfaces de programmation -> Modèles d'objet -> SystemModel -> SystemModel-Properties

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
long | Count | Count of system groups. | available | not used | yes | yes

Other topics in this chapter

Count


Count

Manuel -> Interfaces de programmation -> Modèles d'objet -> SystemModel -> SystemModel-Properties -> Count

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the number of Equipment models(SystemModel) .

Datatype

Count() As long

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Private Sub SystemModel()
Dim zSystemModelManager As SystemModelManager
Dim zProject As Project
Dim i As Integer
Dim j As Integer
Dim zSystemModel As SystemModel
Dim zSystemModelGroup As SystemModelGroup

Set zProject = MyWorkspace.ActiveDocument

'Equipment Model ( System Model) only exist in the global project.
If Not zProject.IsGlobal Then
Exit Sub
End If

'Get the Equipment Model
Set zSystemModelManager = zProject.SystemModelManager

For i = 0 To zSystemModelManager.count - 1
'Get SystemModel
Set zSystemModel = zSystemModelManager.Item(i)
For j = 0 To zSystemModel.count - 1
'Get SystemModelGroup
Set zSystemModelGroup = zSystemModel.Item(j)
Debug.Print (zSystemModelGroup.DynProperties("Name"))
Next j
Next i
End Sub


SystemModel-Methods

Manuel -> Interfaces de programmation -> Modèles d'objet -> SystemModel -> SystemModel-Methods

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
VARIANT_BOOL | CreateDynProperty | - | not used | available | yes | yes
void | DynProperties [PUT] | - | available | not used | yes | yes
VARIANT | DynProperties [GET] | - | available | not used | yes | yes
VARIANT | DynPropertiesEnum [GET] | - | available | not used | yes | yes
ISystemModelGroup | Item | Returns the system group at the given index. | available | not used | yes | yes
IPropParam | DynPropertyParam [GET] | Returns the PropParam objekt of the given DynProperty | read only | not used | yes | yes

Other topics in this chapter

Item

DynPropertyParam [GET]

DynPropertiesEnum [GET]

DynProperties [GET]

DynProperties [PUT]

CreateDynProperty


Item

Manuel -> Interfaces de programmation -> Modèles d'objet -> SystemModel -> SystemModel-Methods -> Item

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Get Equipment models group (SystemModelGroup) by index.

Datatype

Item(VARIANT vIndex) As SystemModelGroup

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

object vIndex

Index of the SystemModelGroup.

VB.NET

Dim vIndex As Variant

Index of the SystemModelGroup.

VBA

vIndex As Variant

Index of the SystemModelGroup.

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Private Sub SystemModel()
Dim zSystemModelManager As SystemModelManager
Dim zProject As Project
Dim i As Integer
Dim j As Integer
Dim zSystemModel As SystemModel
Dim zSystemModelGroup As SystemModelGroup

Set zProject = MyWorkspace.ActiveDocument

'Equipment Model ( System Model) only exist in the global project.
If Not zProject.IsGlobal Then
Exit Sub
End If

'Get the Equipment Model
Set zSystemModelManager = zProject.SystemModelManager

For i = 0 To zSystemModelManager.count - 1
'Get SystemModel
Set zSystemModel = zSystemModelManager.Item(i)
For j = 0 To zSystemModel.count - 1
'Get SystemModelGroup
Set zSystemModelGroup = zSystemModel.Item(j)
Debug.Print (zSystemModelGroup.DynProperties("Name"))
Next j
Next i
End Sub


DynPropertyParam [GET]

Manuel -> Interfaces de programmation -> Modèles d'objet -> SystemModel -> SystemModel-Methods -> DynPropertyParam [GET]

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the property parameter as PropParam

Datatype

DynPropertyParam [GET](BSTR bsPath) As PropParam

Availability

Environment | Available
Editor | read only
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

string bsPath

VB.NET

Dim bsPath As String

VBA

bsPath As String

Examples

C#

public void Macronew()

{

zenOn.IPropParam Param = this.ActiveDocument.get_DynPropertyParam("MultitouchMode");

if (Param.OptionCount > 0)

{

for (int i = 0; i < Param.OptionCount; i++)

{

this.Application.DebugPrint(Param.OptionText(i).ToString(), zenOn.tpDebugPrintStyle.tpErr);

this.Application.DebugPrint(Param.OptionValue(i).ToString(), zenOn.tpDebugPrintStyle.tpErr);

}

}

}

VB.NET

Public Sub Macronew()

Dim Param As zenOn.IPropParam = Me.ActiveDocument.get_DynPropertyParam("MultitouchMode")

If Param.OptionCount > 0 Then

For i As Integer = 0 To Param.OptionCount - 1

Me.Application.DebugPrint(Param.OptionText(i).ToString(), zenOn.tpDebugPrintStyle.tpErr)

Me.Application.DebugPrint(Param.OptionValue(i).ToString(), zenOn.tpDebugPrintStyle.tpErr)

Next

End If

End Sub

VBA

Public Sub VBAMacro()

Dim obparm As PropParam

Dim n As Integer

Set obparm = thisProject.DynPropertyParam("MultitouchMode")

If (Not obparm Is Nothing) Then

If obparm.OptionCount > 0 Then

For n = 0 To obparm.OptionCount - 1

Debug.Print "Option:" & obparm.OptionText(n)

Debug.Print "Option:" & obparm.OptionValue(n)

Next

End If

End If

End Sub


DynPropertiesEnum [GET]

Manuel -> Interfaces de programmation -> Modèles d'objet -> SystemModel -> SystemModel-Methods -> DynPropertiesEnum [GET]

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Enumerate the Properties of the SystemModelManager collection.

Datatype

DynPropertiesEnum(String bsPath) As VARIANT

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

string bsPath

A String which defines the entry point to get out all available properties of the object.
A blank String like that returns the first layer of properties ("")...

VB.NET

Dim bsPath As String

A String which defines the entry point to get out all available properties of the object.
A blank String like that returns the first layer of properties ("")...

VBA

bsPath As String

A String which defines the entry point to get out all available properties of the object.
A blank String like that returns the first layer of properties ("")...

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Sub ReadDynProps()

Dim vProps As Variant

Dim i As Integer

'get all DynProperties of the actual object (DynPicture, Element, ...) vProps = zenOnObject.DynPropertiesEnum("") 'Print informations of DynProperties into output window

For i = 0 To UBound(vProps) Debug.Print vProps(i)

Next i

End Sub


DynProperties [GET]

Manuel -> Interfaces de programmation -> Modèles d'objet -> SystemModel -> SystemModel-Methods -> DynProperties [GET]

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

With this Methode its possible to get DynProperties.

Datatype

DynProperties(String bsPath) As VARIANT

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Private Sub CreateSystemModel()
Dim zSystemModelManager As SystemModelManager
Dim zProject As Project
Dim zSystemModel As SystemModel

Set zProject = MyWorkspace.ActiveDocument

'Equipment Model ( SystemModel) only exist in the global project.
If Not zProject.IsGlobal Then
Exit Sub
End If

'Get the EquipmentModel (SystemModel)
Set zSystemModelManager = zProject.SystemModelManager

'Get the name of the SystemModel
Debug.Print(zSystemModelManager.DynProperties("Modules[" & (zSystemModelManager.count - 1) & "].Name"))

End Sub


DynProperties [PUT]

Manuel -> Interfaces de programmation -> Modèles d'objet -> SystemModel -> SystemModel-Methods -> DynProperties [PUT]

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

DynProperties (String bsPath,VARIANT vValue) As void

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

string bsPath

A String which defines the Property.

object vValue

Returns a variant value depending to the property, it can be a boolean, a long, or a whole object.

VB.NET

Dim bsPath As String

A String which defines the Property.

Dim vValue As Variant

Returns a variant value depending to the property, it can be a boolean, a long, or a whole object.

VBA

bsPath As String

A String which defines the Property.

vValue As Variant

Returns a variant value depending to the property, it can be a boolean, a long, or a whole object.

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Private Sub CreateSystemModel()
Dim zSystemModelManager As SystemModelManager
Dim zProject As Project
Dim zSystemModel As SystemModel

Set zProject = MyWorkspace.ActiveDocument

'Equipment Model ( SystemModel) only exist in the global project.
If Not zProject.IsGlobal Then
Exit Sub
End If

'Get the EquipmentModel (SystemModel)
Set zSystemModelManager = zProject.SystemModelManager
Stop
'Now we create a new SystemModel
zSystemModelManager.CreateDynProperty ("Modules[" & zSystemModelManager.count & "]")
'Set the name of the SystemModel
zSystemModelManager.DynProperties("Modules[" & (zSystemModelManager.count - 1) & "].Name") = "Test"
End Sub


CreateDynProperty

Manuel -> Interfaces de programmation -> Modèles d'objet -> SystemModel -> SystemModel-Methods -> CreateDynProperty

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

With this Methode it is possible to create a new Equipment Model (SystemModel).

Datatype

CreateDynProperty(String bsPath) As Boolean

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Private Sub CreateSystemModel()
Dim zSystemModelManager As SystemModelManager
Dim zProject As Project
Dim zSystemModel As SystemModel

Set zProject = MyWorkspace.ActiveDocument

'Equipment Model ( SystemModel) only exist in the global project.
If Not zProject.IsGlobal Then
Exit Sub
End If

'Get the EquipmentModel (SystemModel)
Set zSystemModelManager = zProject.SystemModelManager
Stop
'Now we create a new SystemModel
zSystemModelManager.CreateDynProperty ("Modules[" & zSystemModelManager.count & "]")
'Set the name of the SystemModel
zSystemModelManager.DynProperties("Modules[" & (zSystemModelManager.count - 1) & "].Name") = "Test"
End Sub


SystemModel-Dynamic properties

Manuel -> Interfaces de programmation -> Modèles d'objet -> SystemModel -> SystemModel-Dynamic properties

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Dynproperties

System model

Other topics in this chapter

System model


System model

Manuel -> Interfaces de programmation -> Modèles d'objet -> SystemModel -> SystemModel-Dynamic properties -> System model

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | VBA/VSTA Name | Display Name | Description
VT_BSTR | Guid | Guid |


SystemModelGroup

Manuel -> Interfaces de programmation -> Modèles d'objet -> SystemModelGroup

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Create or edit Equipment modeling group(SystemModelGroup) .

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Examples

C#

VB.NET

VB.NET-Syntax

VBA

Private Sub SystemModelGroups()
Dim zSystemModelManager As SystemModelManager
Dim zProject As Project
Dim zName As String
Dim zGuid As String
Dim i As Integer
Dim zSymModGuid As SystemModel
Dim zSymModGroupChild As SystemModelGroup
Dim zSymModGroup As SystemModelGroup

Set zProject = MyWorkspace.ActiveDocument

'Equipment Model ( System Model) only exist in the global project.
If Not zProject.IsGlobal Then
Exit Sub
End If

'Get the Equipment Model
Set zSystemModelManager = zProject.SystemModelManager

'Get SystemModelGroup (Equipment Group)by guid
Set zSymModGroup = zSystemModelManager.Item(0).Item(0)
If Not zSymModGroup Is Nothing Then
'Show SystemModelGroup
Debug.Print (zSymModGroup.DynProperties("Name"))
If zSymModGroup.count > 0 Then
Set zSymModGroupChild = zSymModGroup.Item(0)
'Show child SystemModelGroup
Debug.Print (zSymModGroupChild.DynProperties("Name"))
End If
Else
Debug.Print ("NOTHING")
End If
End Sub

Other topics in this chapter

SystemModelGroup-Properties

SystemModelGroup-Methods

SystemModelGroup-Dynamic properties


SystemModelGroup-Properties

Manuel -> Interfaces de programmation -> Modèles d'objet -> SystemModelGroup -> SystemModelGroup-Properties

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
long | Count | Count of system groups. | available | not used | yes | yes

Other topics in this chapter

Count


Count

Manuel -> Interfaces de programmation -> Modèles d'objet -> SystemModelGroup -> SystemModelGroup-Properties -> Count

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the number of SystemModelGroup item.

Datatype

Count() As long

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Private Sub SystemModelGroups()
Dim zSystemModelManager As SystemModelManager
Dim zProject As Project
Dim zName As String
Dim zGuid As String
Dim i As Integer
Dim zSymModGuid As SystemModel
Dim zSymModGroupChild As SystemModelGroup
Dim zSymModGroup As SystemModelGroup

Set zProject = MyWorkspace.ActiveDocument

'Equipment Model ( System Model) only exist in the global project.
If Not zProject.IsGlobal Then
Exit Sub
End If

'Get the Equipment Model
Set zSystemModelManager = zProject.SystemModelManager

'Get SystemModelGroup (Equipment Group)by guid
Set zSymModGroup = zSystemModelManager.Item(0).Item(0)
If Not zSymModGroup Is Nothing Then
'Show SystemModelGroup
Debug.Print (zSymModGroup.DynProperties("Name"))
If zSymModGroup.count > 0 Then
Set zSymModGroupChild = zSymModGroup.Item(0)
'Show child SystemModelGroup
Debug.Print (zSymModGroupChild.DynProperties("Name"))
End If
Else
Debug.Print ("NOTHING")
End If
End Sub


SystemModelGroup-Methods

Manuel -> Interfaces de programmation -> Modèles d'objet -> SystemModelGroup -> SystemModelGroup-Methods

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
VARIANT_BOOL | CreateDynProperty | - | not used | available | yes | yes
void | DynProperties [PUT] | - | available | not used | yes | yes
VARIANT | DynProperties [GET] | - | available | not used | yes | yes
VARIANT | DynPropertiesEnum [GET] | - | available | not used | yes | yes
ISystemModelGroup | Item | Returns the system group at the given index. | available | not used | yes | yes
IPropParam | DynPropertyParam [GET] | Returns the PropParam objekt of the given DynProperty | read only | not used | yes | yes

Other topics in this chapter

Item

DynPropertyParam [GET]

DynPropertiesEnum [GET]

DynProperties [GET]

DynProperties [PUT]

CreateDynProperty


Item

Manuel -> Interfaces de programmation -> Modèles d'objet -> SystemModelGroup -> SystemModelGroup-Methods -> Item

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Child SystemModelGroup.

Datatype

Item(VARIANT vIndex) As SystemModelGroup

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

object vIndex

Index of the child SystemModelGroup.

VB.NET

Dim vIndex As Variant

Index of the child SystemModelGroup.

VBA

vIndex As Variant

Index of the child SystemModelGroup.

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Private Sub SystemModelGroups()
Dim zSystemModelManager As SystemModelManager
Dim zProject As Project
Dim zName As String
Dim zGuid As String
Dim i As Integer
Dim zSymModGuid As SystemModel
Dim zSymModGroupChild As SystemModelGroup
Dim zSymModGroup As SystemModelGroup

Set zProject = MyWorkspace.ActiveDocument

'Equipment Model ( System Model) only exist in the global project.
If Not zProject.IsGlobal Then
Exit Sub
End If

'Get the Equipment Model
Set zSystemModelManager = zProject.SystemModelManager

'Get SystemModelGroup (Equipment Group)by guid
Set zSymModGroup = zSystemModelManager.Item(0).Item(0)
If Not zSymModGroup Is Nothing Then
'Show SystemModelGroup
Debug.Print (zSymModGroup.DynProperties("Name"))
If zSymModGroup.count > 0 Then
Set zSymModGroupChild = zSymModGroup.Item(0)
'Show child SystemModelGroup
Debug.Print (zSymModGroupChild.DynProperties("Name"))
End If
Else
Debug.Print ("NOTHING")
End If
End Sub


DynPropertyParam [GET]

Manuel -> Interfaces de programmation -> Modèles d'objet -> SystemModelGroup -> SystemModelGroup-Methods -> DynPropertyParam [GET]

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the property parameter as PropParam

Datatype

DynPropertyParam [GET](BSTR bsPath) As PropParam

Availability

Environment | Available
Editor | read only
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

string bsPath

VB.NET

Dim bsPath As String

VBA

bsPath As String

Examples

C#

public void Macronew()

{

zenOn.IPropParam Param = this.ActiveDocument.get_DynPropertyParam("MultitouchMode");

if (Param.OptionCount > 0)

{

for (int i = 0; i < Param.OptionCount; i++)

{

this.Application.DebugPrint(Param.OptionText(i).ToString(), zenOn.tpDebugPrintStyle.tpErr);

this.Application.DebugPrint(Param.OptionValue(i).ToString(), zenOn.tpDebugPrintStyle.tpErr);

}

}

}

VB.NET

Public Sub Macronew()

Dim Param As zenOn.IPropParam = Me.ActiveDocument.get_DynPropertyParam("MultitouchMode")

If Param.OptionCount > 0 Then

For i As Integer = 0 To Param.OptionCount - 1

Me.Application.DebugPrint(Param.OptionText(i).ToString(), zenOn.tpDebugPrintStyle.tpErr)

Me.Application.DebugPrint(Param.OptionValue(i).ToString(), zenOn.tpDebugPrintStyle.tpErr)

Next

End If

End Sub

VBA

Public Sub VBAMacro()

Dim obparm As PropParam

Dim n As Integer

Set obparm = thisProject.DynPropertyParam("MultitouchMode")

If (Not obparm Is Nothing) Then

If obparm.OptionCount > 0 Then

For n = 0 To obparm.OptionCount - 1

Debug.Print "Option:" & obparm.OptionText(n)

Debug.Print "Option:" & obparm.OptionValue(n)

Next

End If

End If

End Sub


DynPropertiesEnum [GET]

Manuel -> Interfaces de programmation -> Modèles d'objet -> SystemModelGroup -> SystemModelGroup-Methods -> DynPropertiesEnum [GET]

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Enumerate the Properties of the SystemModelGroup collection.

Datatype

DynPropertiesEnum(String bsPath) As VARIANT

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

string bsPath

A String which defines the entry point to get out all available properties of the object.
A blank String like that returns the first layer of properties ("")...

VB.NET

Dim bsPath As String

A String which defines the entry point to get out all available properties of the object.
A blank String like that returns the first layer of properties ("")...

VBA

bsPath As String

A String which defines the entry point to get out all available properties of the object.
A blank String like that returns the first layer of properties ("")...

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Sub ReadDynProps()

Dim vProps As Variant

Dim i As Integer

'get all DynProperties of the actual object (DynPicture, Element, ...) vProps = zenOnObject.DynPropertiesEnum("") 'Print informations of DynProperties into output window

For i = 0 To UBound(vProps) Debug.Print vProps(i)

Next i

End Sub


DynProperties [GET]

Manuel -> Interfaces de programmation -> Modèles d'objet -> SystemModelGroup -> SystemModelGroup-Methods -> DynProperties [GET]

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

With this Methode its possible to get DynProperties.

Datatype

DynProperties(String bsPath) As VARIANT

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

string bsPath

A String which defines the Property.

VB.NET

Dim bsPath As String

A String which defines the Property.

VBA

bsPath As String

A String which defines the Property.

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Dim zSystemModelManager As SystemModelManager

Dim zProject As Project

Dim zName As String

Dim zGuid As String

Dim i As Integer

Dim zSymModGuid As SystemModel

Dim zSymModGroupChild As SystemModelGroup

Dim zSymModGroup As SystemModelGroup

Set zProject = MyWorkspace.ActiveDocument

'Equipment Model ( System Model) only exist in the global project.

If Not zProject.IsGlobal Then

Exit Sub

End If

'Get the Equipment Model

Set zSystemModelManager = zProject.SystemModelManager

'Get SystemModelGroup (Equipment Group)by guid

Set zSymModGroup = zSystemModelManager.Item(0).Item(0)

If Not zSymModGroup Is Nothing Then

'Show SystemModelGroup Debug.Print (zSymModGroup.DynProperties("Name"))

If zSymModGroup.count > 0 Then

Set zSymModGroupChild = zSymModGroup.Item(0) 'Create a new child SystemModelGrou zSymModGroupChild.CreateDynProperty ("SystemModelGroup[" & zSymModGroup.count & "]") 'Set Name 'Set the name of the SystemModelGroup zSymModGroupChild.DynProperties("SystemModelGroup[" & (zSymModGroup.count - 1) & "].Name") = "Test" 'Show the new child SystemModelGroup Debug.Print (zSymModGroupChild.DynProperties("SystemModelGroup[" & (zSymModGroup.count - 1) & "].Name"))

End If

Else

Debug.Print ("NOTHING")

End If

End Sub


DynProperties [PUT]

Manuel -> Interfaces de programmation -> Modèles d'objet -> SystemModelGroup -> SystemModelGroup-Methods -> DynProperties [PUT]

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

With this Methode its possible to set DynProperties.

Datatype

DynProperties (String bsPath,VARIANT vValue) As void

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

string bsPath

A String which defines the Property.

object vValue

Returns a variant value depending to the property, it can be a boolean, a long, or a whole object.

VB.NET

Dim bsPath As String

A String which defines the Property.

Dim vValue As Variant

Returns a variant value depending to the property, it can be a boolean, a long, or a whole object.

VBA

bsPath As String

A String which defines the Property.

vValue As Variant

Returns a variant value depending to the property, it can be a boolean, a long, or a whole object.

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Dim zSystemModelManager As SystemModelManager

Dim zProject As Project

Dim zName As String

Dim zGuid As String

Dim i As Integer

Dim zSymModGuid As SystemModel

Dim zSymModGroupChild As SystemModelGroup

Dim zSymModGroup As SystemModelGroup

Set zProject = MyWorkspace.ActiveDocument

'Equipment Model ( System Model) only exist in the global project.

If Not zProject.IsGlobal Then

Exit Sub

End If

'Get the Equipment Model

Set zSystemModelManager = zProject.SystemModelManager

'Get SystemModelGroup (Equipment Group)by guid

Set zSymModGroup = zSystemModelManager.Item(0).Item(0)

If Not zSymModGroup Is Nothing Then

'Show SystemModelGroup Debug.Print (zSymModGroup.DynProperties("Name"))

If zSymModGroup.count > 0 Then

Set zSymModGroupChild = zSymModGroup.Item(0) 'Create a new child SystemModelGrou zSymModGroupChild.CreateDynProperty ("SystemModelGroup[" & zSymModGroup.count & "]") 'Set Name 'Set the name of the SystemModelGroup zSymModGroupChild.DynProperties("SystemModelGroup[" & (zSymModGroup.count - 1) & "].Name") = "Test" 'Show the new child SystemModelGroup Debug.Print (zSymModGroupChild.DynProperties("SystemModelGroup[" & (zSymModGroup.count - 1) & "].Name"))

End If

Else

Debug.Print ("NOTHING")

End If

End Sub


CreateDynProperty

Manuel -> Interfaces de programmation -> Modèles d'objet -> SystemModelGroup -> SystemModelGroup-Methods -> CreateDynProperty

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

With this Methode it is possible to create a new Equipment Model groups (SystemModelGroup).

Datatype

CreateDynProperty(String bsPath) As Boolean

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

string bsPath

DynProperty as String to be created.

VB.NET

Dim bsPath As String

DynProperty as String to be created.

VBA

bsPath As String

DynProperty as String to be created.

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Dim zSystemModelManager As SystemModelManager

Dim zProject As Project

Dim zName As String

Dim zGuid As String

Dim i As Integer

Dim zSymModGuid As SystemModel

Dim zSymModGroupChild As SystemModelGroup

Dim zSymModGroup As SystemModelGroup

Set zProject = MyWorkspace.ActiveDocument

'Equipment Model ( System Model) only exist in the global project.

If Not zProject.IsGlobal Then

Exit Sub End If

'Get the Equipment Model

Set zSystemModelManager = zProject.SystemModelManager

'Get SystemModelGroup (Equipment Group)by guid

Set zSymModGroup = zSystemModelManager.Item(0).Item(0)

If Not zSymModGroup Is Nothing Then

'Show SystemModelGroup Debug.Print (zSymModGroup.DynProperties("Name"))

If zSymModGroup.count > 0 Then

Set zSymModGroupChild = zSymModGroup.Item(0)

'Create a new child SystemModelGrou

zSymModGroupChild.CreateDynProperty ("SystemModelGroup[" & zSymModGroup.count & "]")

'Set Name 'Set the name of the SystemModelGroup zSymModGroupChild.DynProperties("SystemModelGroup[" & (zSymModGroup.count - 1) & "].Name") = "Test" 'Show the new child SystemModelGroup Debug.Print (zSymModGroupChild.DynProperties("SystemModelGroup[" & (zSymModGroup.count - 1) & "].Name"))

End If

Else

Debug.Print ("NOTHING")

End If

End Sub


SystemModelGroup-Dynamic properties

Manuel -> Interfaces de programmation -> Modèles d'objet -> SystemModelGroup -> SystemModelGroup-Dynamic properties

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Dynproperties

System model group

Other topics in this chapter

System model group


System model group

Manuel -> Interfaces de programmation -> Modèles d'objet -> SystemModelGroup -> SystemModelGroup-Dynamic properties -> System model group

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Type

VBA/VSTA Name

Display Name

Description

VT_BSTR

Name

Nom

Nom du groupe. Attribué automatiquement avec une numérotation consécutive lors de la création, et peut être modifié à volonté.

Par défaut : GroupX (X représente un nombre défini de manière consécutive)

Plus de détails dans l’aide en ligne.

VT_BSTR

Guid

Guid

ZT_VARIABLE

AuthorizationAvailable

Disponible sur cet ordinateur

Variable d’affichage de l’ordinateur appelé pour ce groupe d’équipements via l’autorisation d’utilisation correspondante.

Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de variables. Seules les variables du projet local et du type de données BOOL peuvent être sélectionnées et liées.

Nous vous recommandons de créer ces variables liées pour le driver interne. Configurez la propriété Calcul pour cette variable également, dans le groupe de propriétés Variable interne de la variable, avec la valeur local.

Remarque : uniquement disponible si l’option Modèle d’équipement pertinent pour l’autorisation d’utilisation a été activée dans le groupe de propriétés Général du modèle d’équipement.

Plus de détails dans l’aide en ligne.

ZT_VARIABLE

AuthorizationOwner

Autorisation d'opération à l'ordinateur

Variable d’affichage du nom de l’ordinateur détenant actuellement l’autorisation d’utilisation correspondant à ce groupe d’équipements.

Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de variables. Seules les variables du projet local et du type de données STRING peuvent être sélectionnées et liées.
Nous vous recommandons de créer ces variables liées pour le Internen Treiber. Configurez la propriété Calcul pour cette variable également, dans le groupe de propriétés Variable interne de la variable, avec la valeur network.

Remarque : uniquement disponible si l’option Modèle d’équipement pertinent pour l’autorisation d’utilisation a été activée dans le groupe de propriétés Général du modèle d’équipement.

Plus de détails dans l’aide en ligne.


SystemModelManager

Manuel -> Interfaces de programmation -> Modèles d'objet -> SystemModelManager

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

The SystemModelManager represent the project node Equipment modeling from a global project.
Create or edit Equipment modeling (SystemModel) and Equipment group (SystemModelGroup) are possible.

A global project is needed!

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Examples

C#

VB.NET

VB.NET-Syntax

VBA

Private Sub SystemModelManager()
Dim zSystemModelManager As SystemModelManager
Dim zProject As Project
Dim zName As String
Dim zGuid As String
Dim i As Integer
Dim zSymModGuid As SystemModel
Dim zSymModGroupChild As SystemModelGroup
Dim zSymModGroup As SystemModelGroup

Stop
Set zProject = MyWorkspace.ActiveDocument

'Equipment Model ( System Model) only exist in the global project.
If Not zProject.IsGlobal Then
Exit Sub
End If

'Get the Equipment Model
Set zSystemModelManager = zProject.SystemModelManager

Debug.Print ("Number of System Models : " & zSystemModelManager.count)

'SystemModel (First node in the Equipment Model)
Debug.Print (zSystemModelManager.Item(0).DynProperties("Name"))
Debug.Print (zSystemModelManager.Item(0).DynProperties("Guid"))
zName = zSystemModelManager.Item(0).DynProperties("Name")

'Get the SystemModel by Name
Set zSymModGuid = zSystemModelManager.ModelByName(zName)
If Not zSymModGuid Is Nothing Then
Debug.Print (zSymModGuid.DynProperties("Name"))
Else
Debug.Print ("NOTHING")
End If

'SystemModelGroup (Equipment Group)
Debug.Print (zSystemModelManager.Item(0).Item(0).DynProperties("Name"))
Debug.Print (zSystemModelManager.Item(0).Item(0).DynProperties("Guid"))
zGuid = zSystemModelManager.Item(0).Item(0).DynProperties("Guid")

'Get SystemModelGroup (Equipment Group)by guid
Set zSymModGroup = zSystemModelManager.GroupByGuid(zGuid)
If Not zSymModGroup Is Nothing Then
Debug.Print (zSymModGroup.DynProperties("Name"))
If zSymModGroup.count > 0 Then
Set zSymModGroupChild = zSymModGroup.Item(0)
Debug.Print (zSymModGroupChild.DynProperties("Name"))
End If
Else
Debug.Print ("NOTHING")
End If
End Sub

Other topics in this chapter

SystemModelManager-Properties

SystemModelManager-Methods

SystemModelManager-Events

SystemModelManager-Dynamic properties


SystemModelManager-Properties

Manuel -> Interfaces de programmation -> Modèles d'objet -> SystemModelManager -> SystemModelManager-Properties

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
long | Count | - | available | not used | yes | yes

Other topics in this chapter

Count


Count

Manuel -> Interfaces de programmation -> Modèles d'objet -> SystemModelManager -> SystemModelManager-Properties -> Count

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Number of Equipment Models (SystemModel)

Datatype

Count() As long

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Private Sub SystemModelManagerItem()
Dim zSystemModelManager As SystemModelManager
Dim zProject As Project
Dim i As Integer

Set zProject = MyWorkspace.ActiveDocument

'Equipment Model ( System Model) only exist in the global project.
If Not zProject.IsGlobal Then
Exit Sub
End If

'Get the Equipment Model
Set zSystemModelManager = zProject.SystemModelManager

For i = 0 To zSystemModelManager.count - 1
'Show the name of the SystemModel
Debug.Print (zSystemModelManager.Item(i).DynProperties("Name"))
Next i
End Sub


SystemModelManager-Methods

Manuel -> Interfaces de programmation -> Modèles d'objet -> SystemModelManager -> SystemModelManager-Methods

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
VARIANT_BOOL | CreateDynProperty | - | available | not used | yes | yes
void | DynProperties [PUT] | - | available | not used | yes | yes
VARIANT | DynProperties [GET] | - | available | not used | yes | yes
VARIANT | DynPropertiesEnum [GET] | - | available | not used | yes | yes
ISystemModelGroup | GroupByGuid | Returns the system group with the given id (guid). | available | not used | yes | yes
ISystemModel | Item | Returns the system model at the given index. | available | not used | yes | yes
ISystemModel | ModelByName | Returns the system model with the given id (guid). | available | not used | yes | yes
IPropParam | DynPropertyParam [GET] | Returns the PropParam objekt of the given DynProperty | read only | not used | yes | yes
VARIANT_BOOL | Export | Exports system model list | available | not used | yes | yes
VARIANT_BOOL | Import | Imports system model list | available | not used | yes | yes

Other topics in this chapter

Item

ModelByName

GroupByGuid

Export

Import

DynPropertyParam [GET]

DynPropertiesEnum [GET]

DynProperties [GET]

DynProperties [PUT]

CreateDynProperty


Item

Manuel -> Interfaces de programmation -> Modèles d'objet -> SystemModelManager -> SystemModelManager-Methods -> Item

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the Equipment Model (SystemModel) by index.

Datatype

Item(VARIANT vIndex) As SystemModel

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

object vIndex

VB.NET

Dim vIndex As Variant

VBA

vIndex As Variant

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Private Sub SystemModelManagerItem()
Dim zSystemModelManager As SystemModelManager
Dim zProject As Project
Dim i As Integer

Set zProject = MyWorkspace.ActiveDocument

'Equipment Model ( System Model) only exist in the global project.
If Not zProject.IsGlobal Then
Exit Sub
End If

'Get the Equipment Model
Set zSystemModelManager = zProject.SystemModelManager

For i = 0 To zSystemModelManager.count - 1
'Show the name of the SystemModel
Debug.Print (zSystemModelManager.Item(i).DynProperties("Name"))
Next i
End Sub


ModelByName

Manuel -> Interfaces de programmation -> Modèles d'objet -> SystemModelManager -> SystemModelManager-Methods -> ModelByName

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the Name of the Equipment Model (SystemModel).

Datatype

ModelByName(String bsName) As SystemModel

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

string bsName

VB.NET

Dim bsName As String

VBA

bsName As String

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Private Sub SystemModelManager()
Dim zSystemModelManager As SystemModelManager
Dim zProject As Project
Dim zName As String
Dim zSymModGuid As SystemModel

Stop
Set zProject = MyWorkspace.ActiveDocument

'Equipment Model ( System Model) only exist in the global project.
If Not zProject.IsGlobal Then
Exit Sub
End If

'Get the Equipment Model
Set zSystemModelManager = zProject.SystemModelManager

Debug.Print ("Number of System Models : " & zSystemModelManager.count)

'SystemModel (First node in the Equipment Model)
Debug.Print (zSystemModelManager.Item(0).DynProperties("Name"))
Debug.Print (zSystemModelManager.Item(0).DynProperties("Guid"))
zName = zSystemModelManager.Item(0).DynProperties("Name")

'Get the SystemModel by Name
Set zSymModGuid = zSystemModelManager.ModelByName(zName)
If Not zSymModGuid Is Nothing Then
Debug.Print (zSymModGuid.DynProperties("Name"))
Else
Debug.Print ("NOTHING")
End If

End Sub


GroupByGuid

Manuel -> Interfaces de programmation -> Modèles d'objet -> SystemModelManager -> SystemModelManager-Methods -> GroupByGuid

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the Guid of the Equipment Model Group (SystemModelGroup).

Datatype

GroupByGuid(String bsGuid) As SystemModelGroup

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

string bsGuid

VB.NET

Dim bsGuid As String

VBA

bsGuid As String

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Private Sub SystemModelManager()
Dim zSystemModelManager As SystemModelManager
Dim zProject As Project
Dim zGuid As String
Dim i As Integer
Dim zSymModGuid As SystemModel
Dim zSymModGroup As SystemModelGroup

Stop
Set zProject = MyWorkspace.ActiveDocument

'Equipment Model ( System Model) only exist in the global project.
If Not zProject.IsGlobal Then
Exit Sub
End If

'Get the Equipment Model
Set zSystemModelManager = zProject.SystemModelManager

'Get guid of any SystemModelGroup (Equipment Group)
zGuid = zSystemModelManager.Item(0).Item(0).DynProperties("Guid")

'Get SystemModelGroup (Equipment Group)by guid
Set zSymModGroup = zSystemModelManager.GroupByGuid(zGuid)
If Not zSymModGroup Is Nothing Then
Debug.Print (zSymModGroup.DynProperties("Name"))
Else
Debug.Print ("NOTHING")
End If
End Sub


Export

Manuel -> Interfaces de programmation -> Modèles d'objet -> SystemModelManager -> SystemModelManager-Methods -> Export

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Export settings to an xml file

Datatype

Export(String bsFileName) As Boolean

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

Filename (path) as string of the xml file to export.

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

bsFileName As String

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Public Sub ExportEquipmentModel()

Dim Exported As Boolean

Exported = MyWorkspace.ActiveDocument.SystemModelManager.Export("C:\Equipment.xml")

End Sub


Import

Manuel -> Interfaces de programmation -> Modèles d'objet -> SystemModelManager -> SystemModelManager-Methods -> Import

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Import settings from an xml file. Existing settings will be replaced/merged.

Datatype

Import(String bsFileName) As Boolean

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

Filename (path) as string of the xml file to import.

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

bsFileName As String

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Private Sub Project Active()

Set mypicevents = thisProject.Dynpictures

Stop

thisProject.SystemModelManager.Export("AnlagenmodellEditorB.xml")

thisProject.SystemModelManager.Import("AnlagenmodellEditorB.xml")
End Sub


DynPropertyParam [GET]

Manuel -> Interfaces de programmation -> Modèles d'objet -> SystemModelManager -> SystemModelManager-Methods -> DynPropertyParam [GET]

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the property parameter as PropParam

Datatype

DynPropertyParam [GET](BSTR bsPath) As PropParam

Availability

Environment | Available
Editor | read only
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

string bsPath

VB.NET

Dim bsPath As String

VBA

bsPath As String

Examples

C#

public void Macronew()

{

zenOn.IPropParam Param = this.ActiveDocument.get_DynPropertyParam("MultitouchMode");

if (Param.OptionCount > 0)

{

for (int i = 0; i < Param.OptionCount; i++)

{

this.Application.DebugPrint(Param.OptionText(i).ToString(), zenOn.tpDebugPrintStyle.tpErr);

this.Application.DebugPrint(Param.OptionValue(i).ToString(), zenOn.tpDebugPrintStyle.tpErr);

}

}

}

VB.NET

Public Sub Macronew()

Dim Param As zenOn.IPropParam = Me.ActiveDocument.get_DynPropertyParam("MultitouchMode")

If Param.OptionCount > 0 Then

For i As Integer = 0 To Param.OptionCount - 1

Me.Application.DebugPrint(Param.OptionText(i).ToString(), zenOn.tpDebugPrintStyle.tpErr)

Me.Application.DebugPrint(Param.OptionValue(i).ToString(), zenOn.tpDebugPrintStyle.tpErr)

Next

End If

End Sub

VBA

Public Sub VBAMacro()

Dim obparm As PropParam

Dim n As Integer

Set obparm = thisProject.DynPropertyParam("MultitouchMode")

If (Not obparm Is Nothing) Then

If obparm.OptionCount > 0 Then

For n = 0 To obparm.OptionCount - 1

Debug.Print "Option:" & obparm.OptionText(n)

Debug.Print "Option:" & obparm.OptionValue(n)

Next

End If

End If

End Sub


DynPropertiesEnum [GET]

Manuel -> Interfaces de programmation -> Modèles d'objet -> SystemModelManager -> SystemModelManager-Methods -> DynPropertiesEnum [GET]

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Enumerate the Properties of the SystemModelManager collection.

Datatype

DynPropertiesEnum(String bsPath) As VARIANT

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

A String which defines the entry point to get out all available properties of the object.
A blank String like that returns the first layer of properties ("")...

C#

string bsPath

VB.NET

Dim bsPath As String

VBA

bsPath As String

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Sub ReadDynProps()

Dim vProps As Variant

Dim i As Integer

'get all DynProperties of the actual object (DynPicture, Element, ...) vProps = zenOnObject.DynPropertiesEnum("") 'Print informations of DynProperties into output window

For i = 0 To UBound(vProps) Debug.Print vProps(i)

Next i

End Sub


DynProperties [GET]

Manuel -> Interfaces de programmation -> Modèles d'objet -> SystemModelManager -> SystemModelManager-Methods -> DynProperties [GET]

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Read and/or change the Properties of the SystemModelManager collection. See: SystemModelManager

Datatype

DynProperties(String bsPath) As VARIANT

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes


DynProperties [PUT]

Manuel -> Interfaces de programmation -> Modèles d'objet -> SystemModelManager -> SystemModelManager-Methods -> DynProperties [PUT]

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Set the Properties of the SystemModelManager collection. See: SystemModelManager

Datatype

DynProperties (String bsPath,VARIANT vValue) As void

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes


CreateDynProperty

Manuel -> Interfaces de programmation -> Modèles d'objet -> SystemModelManager -> SystemModelManager-Methods -> CreateDynProperty

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Create Subitems of the SystemModelManager collection. See: SystemModelManager

Datatype

CreateDynProperty(String bsPath) As Boolean

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes


SystemModelManager-Events

Manuel -> Interfaces de programmation -> Modèles d'objet -> SystemModelManager -> SystemModelManager-Events

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
void | ModelGroupSelected |  | not used | available | yes | yes

Other topics in this chapter

ModelGroupSelected


ModelGroupSelected

Manuel -> Interfaces de programmation -> Modèles d'objet -> SystemModelManager -> SystemModelManager-Events -> ModelGroupSelected

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

ModelGroupSelected(BSTR bsGuid, BSTR bsName) As void

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

VB.NET

VBA

Examples

C#

VB.NET

VBA


SystemModelManager-Dynamic properties

Manuel -> Interfaces de programmation -> Modèles d'objet -> SystemModelManager -> SystemModelManager-Dynamic properties

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Dynproperties

System model manager

Other topics in this chapter

CSystemModelFilter

System model manager


CSystemModelFilter

Manuel -> Interfaces de programmation -> Modèles d'objet -> SystemModelManager -> SystemModelManager-Dynamic properties -> CSystemModelFilter

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Type

VBA/VSTA Name

Display Name

Description

ZT_AKZ

SystemModelGroup

Groupes d'équipements

Lie l’élément à un modèle d’équipement. Cliquez sur le bouton ... pour ouvrir la boîte de sélection d’un groupe d’équipements.
L'affichage du groupe d’équipements sélectionné inclut également les niveaux supérieurs à ce groupe. Les niveaux sont séparés par un point dans l’affichage.

Dans le cas d’une sélection multiple, les groupes d’équipements individuels sont séparés par un point-virgule (;).

Plus de détails dans l’aide en ligne.

ZT_GUID

FilterPartGUID

FilterPartGUID

Description as text.

VT_BOOL

EditableInRT

EditableInRT

Description as text.


System model manager

Manuel -> Interfaces de programmation -> Modèles d'objet -> SystemModelManager -> SystemModelManager-Dynamic properties -> System model manager

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Type

VBA/VSTA Name

Display Name

Description


Task

Manuel -> Interfaces de programmation -> Modèles d'objet -> Task

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

A task is a VisualBasicScript file and can be executed over the Tasks/Task object model.Here is a sample how to configure a task to run only once and starts event triggered:<img src="../../../private/task_settings.jpg"></img>Tasks can also be configured cyclic, then VBA is not needed to use them...

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Examples

C#

VB.NET

VB.NET-Syntax

VBA

Public Sub StartTask()
Dim zTask As Task

'get task by its name...
Set zTask = thisProject.Tasks.Item("Task1")

'get task properties...
Debug.Print "CountVariable: " & zTask.CountVariable
Debug.Print "ActualCycleTime: " & zTask.ActualCycleTime
Debug.Print "CycleTime: " & zTask.CycleTime
Debug.Print "ErrorNumber: " & zTask.ErrorNumber
Debug.Print "ErrorString: " & zTask.ErrorString
Debug.Print "Priority: " & zTask.Priority
Debug.Print "Status: " & zTask.Status

'run task
zTask.Run

End Sub

Other topics in this chapter

Task-Properties

Task-Methods

Task-Events


Task-Properties

Manuel -> Interfaces de programmation -> Modèles d'objet -> Task -> Task-Properties

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
long | ActualCycleTime |  | available | read only | yes | yes
long | CountVariable |  | available | read only | yes | yes
long | CycleTime |  | available | read only | yes | yes
long | ErrorNumber |  | available | available | yes | yes
BSTR | ErrorString |  | available | available | yes | yes
BSTR | Name |  | available | read only | yes | yes
ITasks | Parent |  | read only | read only | yes | yes
long | Priority |  | available | read only | yes | yes
tpTaskStatus | Status |  | read only | read only | yes | yes
tpTaskTyp | Type |  | available | read only | yes | yes

Other topics in this chapter

Parent

Name

Type

Priority

CycleTime

ActualCycleTime

Status

ErrorNumber

ErrorString

CountVariable


Parent

Manuel -> Interfaces de programmation -> Modèles d'objet -> Task -> Task-Properties -> Parent

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the parent object

Datatype

Parent() As Tasks

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


Name

Manuel -> Interfaces de programmation -> Modèles d'objet -> Task -> Task-Properties -> Name

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Unique name of the task.

Datatype

Name() As String

Availability

Environment | Available
Editor | available
Runtime | read only
VBA | yes
VSTA | yes


Type

Manuel -> Interfaces de programmation -> Modèles d'objet -> Task -> Task-Properties -> Type

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Tasks can be executed "cyclic" or "once".

Datatype

Type() As tpTaskTyp

Availability

Environment | Available
Editor | available
Runtime | read only
VBA | yes
VSTA | yes


Priority

Manuel -> Interfaces de programmation -> Modèles d'objet -> Task -> Task-Properties -> Priority

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Process priority for the operating system multi-threading (idle, low, normal, high, highest, time critical)Default: normalMain process: the task runs in the same thread as the Runtime. If the task gets into a waiting loop or crashes, that also influences the Runtime.

Datatype

Priority() As long

Availability

Environment | Available
Editor | available
Runtime | read only
VBA | yes
VSTA | yes


CycleTime

Manuel -> Interfaces de programmation -> Modèles d'objet -> Task -> Task-Properties -> CycleTime

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Defined cycle time of the task

Datatype

CycleTime() As long

Availability

Environment | Available
Editor | available
Runtime | read only
VBA | yes
VSTA | yes


ActualCycleTime

Manuel -> Interfaces de programmation -> Modèles d'objet -> Task -> Task-Properties -> ActualCycleTime

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Currently achieved cycle time of the task

Datatype

ActualCycleTime() As long

Availability

Environment | Available
Editor | available
Runtime | read only
VBA | yes
VSTA | yes


Status

Manuel -> Interfaces de programmation -> Modèles d'objet -> Task -> Task-Properties -> Status

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the status of a task.

Datatype

Status() As tpTaskStatus

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


ErrorNumber

Manuel -> Interfaces de programmation -> Modèles d'objet -> Task -> Task-Properties -> ErrorNumber

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Contains an error number.

Datatype

ErrorNumber() As long

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes


ErrorString

Manuel -> Interfaces de programmation -> Modèles d'objet -> Task -> Task-Properties -> ErrorString

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Contains an error message as string.

Datatype

ErrorString() As String

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes


CountVariable

Manuel -> Interfaces de programmation -> Modèles d'objet -> Task -> Task-Properties -> CountVariable

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Number of variables linked to the task

Datatype

CountVariable() As long

Availability

Environment | Available
Editor | available
Runtime | read only
VBA | yes
VSTA | yes


Task-Methods

Manuel -> Interfaces de programmation -> Modèles d'objet -> Task -> Task-Methods

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
void | DynProperties [PUT] | - | available | available | yes | yes
VARIANT | DynProperties [GET] | - | available | available | yes | yes
VARIANT | DynPropertiesEnum [GET] | - | read only | read only | yes | yes
IVariable | ItemVariable | - | available | available | yes | yes
void | MemValue [PUT] | - | available | available | yes | yes
VARIANT | MemValue [GET] | - | available | available | yes | yes
void | Run | - | available | available | yes | yes
void | Sleep | - | available | available | yes | yes
VARIANT_BOOL | StartTimer | - | available | available | yes | yes
void | Stop | - | available | available | yes | yes
VARIANT_BOOL | StopTimer | - | available | available | yes | yes
void | Value [PUT] | - | available | available | yes | yes
VARIANT | Value [GET] | - | available | available | yes | yes
IPropParam | DynPropertyParam [GET] | Returns the PropParam objekt of the given DynProperty | read only | not used | yes | yes
VARIANT_BOOL | StartTimer | - | available | available | yes | yes
VARIANT_BOOL | StopTimer | - | available | available | yes | yes
void | Sleep | - | available | available | yes | yes
void | Run | - | available | available | yes | yes
void | Stop | - | available | available | yes | yes
VARIANT | Value [GET] | - | available | available | yes | yes
void | Value [PUT] | - | available | available | yes | yes

Other topics in this chapter

DynPropertyParam [GET]

DynPropertiesEnum [GET]

DynProperties [GET]

DynProperties [PUT]

StartTimer

StopTimer

Sleep

Run

Stop

MemValue [GET]

MemValue [PUT]

Value [GET]

Value [PUT]

ItemVariable


DynPropertyParam [GET]

Manuel -> Interfaces de programmation -> Modèles d'objet -> Task -> Task-Methods -> DynPropertyParam [GET]

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

DynPropertyParam [GET](BSTR bsPath) As PropParam

Availability

Environment | Available
Editor | read only
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


DynPropertiesEnum [GET]

Manuel -> Interfaces de programmation -> Modèles d'objet -> Task -> Task-Methods -> DynPropertiesEnum [GET]

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

DynPropertiesEnum(String bsPath) As VARIANT

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes

Parameters

A String which defines the entry point to get out all available properties of the object.

A blank String like that returns the first layer of properties:

DynPropertiesEnum("")

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

bsPath As String

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Sub ReadDynProps()
End Sub


DynProperties [GET]

Manuel -> Interfaces de programmation -> Modèles d'objet -> Task -> Task-Methods -> DynProperties [GET]

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

DynProperties(String bsPath) As VARIANT

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

A String which defines the Property.

Example: "NetAktive"

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

bsPath As String

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Sub GetDynProp()
'Sample: GSet the Network Aktive Flag of the Project.
If MyWorkspace.ActiveDocument.DynProperties("NetActive") = True Then
'read the server - computername...
Debug.Print "Server: " & MyWorkspace.ActiveDocument.DynProperties("NetServer")
End If
End Sub


DynProperties [PUT]

Manuel -> Interfaces de programmation -> Modèles d'objet -> Task -> Task-Methods -> DynProperties [PUT]

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

DynProperties (String bsPath,VARIANT vValue) As void

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

A String which defines the Property.

Example: "NetAktive"

Returns a variant value depending to the property, it can be a boolean, a long, or a whole object.

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

bsPath As String

vValue As Variant

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Sub SetDynProp()
End Sub


StartTimer

Manuel -> Interfaces de programmation -> Modèles d'objet -> Task -> Task-Methods -> StartTimer

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

StartTimer(long lID,long msTime) As VARIANT_BOOL

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

VB.NET

VBA

Examples

C#

VB.NET

VBA


StopTimer

Manuel -> Interfaces de programmation -> Modèles d'objet -> Task -> Task-Methods -> StopTimer

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

StopTimer(long lID) As VARIANT_BOOL

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

VB.NET

VBA

Examples

C#

VB.NET

VBA


Sleep

Manuel -> Interfaces de programmation -> Modèles d'objet -> Task -> Task-Methods -> Sleep

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

Sleep(long msTime) As void

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

VB.NET

VBA

Examples

C#

VB.NET

VBA


Run

Manuel -> Interfaces de programmation -> Modèles d'objet -> Task -> Task-Methods -> Run

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

Run() As void

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

VB.NET

VBA

Examples

C#

VB.NET

VBA


Stop

Manuel -> Interfaces de programmation -> Modèles d'objet -> Task -> Task-Methods -> Stop

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

Stop() As void

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

VB.NET

VBA

Examples

C#

VB.NET

VBA


MemValue [GET]

Manuel -> Interfaces de programmation -> Modèles d'objet -> Task -> Task-Methods -> MemValue [GET]

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

MemValue(String Name) As VARIANT

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


MemValue [PUT]

Manuel -> Interfaces de programmation -> Modèles d'objet -> Task -> Task-Methods -> MemValue [PUT]

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

MemValue (String Name,VARIANT newValue) As void

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


Value [GET]

Manuel -> Interfaces de programmation -> Modèles d'objet -> Task -> Task-Methods -> Value [GET]

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

Value [GET](BSTR Name,|optional|VARIANT vIndex) As VARIANT

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

VB.NET

VBA

Examples

C#

VB.NET

VBA


Value [PUT]

Manuel -> Interfaces de programmation -> Modèles d'objet -> Task -> Task-Methods -> Value [PUT]

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

Value [PUT](BSTR Name,|optional|VARIANT vIndex,VARIANT newValue) As void

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

VB.NET

VBA

Examples

C#

VB.NET

VBA


ItemVariable

Manuel -> Interfaces de programmation -> Modèles d'objet -> Task -> Task-Methods -> ItemVariable

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns a variable object.

Datatype

ItemVariable(VARIANT vPv) As Variable

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


Task-Events

Manuel -> Interfaces de programmation -> Modèles d'objet -> Task -> Task-Events

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
void | Exit |  | available | available | yes | yes
void | Init |  | available | available | yes | yes
void | Main |  | available | available | yes | yes
void | Timer |  | available | available | yes | yes

Other topics in this chapter

Init

Main

Timer

Exit


Init

Manuel -> Interfaces de programmation -> Modèles d'objet -> Task -> Task-Events -> Init

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

This event is automatically executed when starting the task.

Datatype

Init() As void

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


Main

Manuel -> Interfaces de programmation -> Modèles d'objet -> Task -> Task-Events -> Main

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

This event is either executed once (type once) or cyclically (type cyclic).

Datatype

Main() As void

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


Timer

Manuel -> Interfaces de programmation -> Modèles d'objet -> Task -> Task-Events -> Timer

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

This event is executed cyclically, as long as the according time is running. The cycle time is defined as a parameter with the starting of the timer.

Datatype

Timer(long lID) As void

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


Exit

Manuel -> Interfaces de programmation -> Modèles d'objet -> Task -> Task-Events -> Exit

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

This event is automatically executed when stopping the task.

Datatype

Exit() As void

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


Tasks

Manuel -> Interfaces de programmation -> Modèles d'objet -> Tasks

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

This object contains a collection of tasks, tasks can be defined with the 'Process Control Engine' (PCE).A task is a VisualBasicScript file and can be executed over the Tasks/Task object model.Here is a sample how to configure a task to run only once and starts event triggered:<img src="../../../private/task_settings.jpg"></img>Tasks can also be configured cyclic, then VBA is not needed to use them...

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Examples

C#

VB.NET

VB.NET-Syntax

VBA

Public Sub StartTask()
Dim zTask As Task

'get task by its name...
Set zTask = thisProject.Tasks.Item("Task1")

'get task properties...
Debug.Print "CountVariable: " & zTask.CountVariable
Debug.Print "ActualCycleTime: " & zTask.ActualCycleTime
Debug.Print "CycleTime: " & zTask.CycleTime
Debug.Print "ErrorNumber: " & zTask.ErrorNumber
Debug.Print "ErrorString: " & zTask.ErrorString
Debug.Print "Priority: " & zTask.Priority
Debug.Print "Status: " & zTask.Status

'run task
zTask.Run

End Sub

Other topics in this chapter

Tasks-Properties

Tasks-Methods


Tasks-Properties

Manuel -> Interfaces de programmation -> Modèles d'objet -> Tasks -> Tasks-Properties

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
long | Count |  | read only | read only | yes | yes
IProject | Parent |  | read only | read only | yes | yes

Other topics in this chapter

Parent

Count


Parent

Manuel -> Interfaces de programmation -> Modèles d'objet -> Tasks -> Tasks-Properties -> Parent

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the parent object

Datatype

Parent() As Project

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


Count

Manuel -> Interfaces de programmation -> Modèles d'objet -> Tasks -> Tasks-Properties -> Count

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

The method returns the number of available objects. This property is mostly used for the method Item to run through each single object.Hint: For running through entries care, that the minimum is 0 and the maximum is Count-1.

Datatype

Count() As long

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


Tasks-Methods

Manuel -> Interfaces de programmation -> Modèles d'objet -> Tasks -> Tasks-Methods

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
ITask | Item | - | available | available | yes | yes

Other topics in this chapter

Item


Item

Manuel -> Interfaces de programmation -> Modèles d'objet -> Tasks -> Tasks-Methods -> Item

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Single Task Item represents a vbs file.

Datatype

Item(String Name) As Task

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


Template

Manuel -> Interfaces de programmation -> Modèles d'objet -> Template

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

The Frame contains general information on the outer appearance of the Screens. Each Screen is linked to a Frame. The VBA object for the Frames contains the most important information, e.g. name and position on the screen.

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Examples

C#

VB.NET

VB.NET-Syntax

VBA

Private Sub GetTemplates()
Dim IMDITemplates As MDITemplates
Dim IMDITemplate As MDITemplate
Dim Count As Integer
Dim Ok As Boolean
Dim i As Integer

' --- Selection by Name
Set IMDITemplates = MyWorkspace.GetMDiTemplates("Keyboard")
If Not IMDITemplates Is Nothing Then
Set IMDITemplate = IMDITemplates.Item("Test 3")
Ok = PrintTemplate(IMDITemplate)
End If

' --- Selection by index (zenon Constant)
Set IMDITemplates = MyWorkspace.GetMDiTemplates(tpKeyboard)
If Not IMDITemplates Is Nothing Then
Count = IMDITemplates.Count
For i = 0 To Count - 1
Set IMDITemplate = IMDITemplates.Item(i)
Ok = PrintTemplate(IMDITemplate)
Next
End If
End Sub

Private Function PrintTemplate(IMDITemplate As MDITemplate) As Boolean
If Not IMDITemplate Is Nothing Then
Debug.Print ("Name: " & IMDITemplate.DynProperties("Name"))
Debug.Print ("GUID: " & IMDITemplate.DynProperties("GUID"))
Debug.Print ("ImportPath: " & IMDITemplate.DynProperties("ImportPath"))
Debug.Print ("Folder: " & IMDITemplate.DynProperties("Folder"))
Debug.Print ("MDIType: " & IMDITemplate.DynProperties("MDIType"))
Debug.Print ("Language: " & IMDITemplate.DynProperties("Language"))
Debug.Print ("Description: " & IMDITemplate.DynProperties("Description"))
Debug.Print ("CopaDataTemplate: " & IMDITemplate.DynProperties("CopaDataTemplate"))
Debug.Print ("DefaultTemplate: " & IMDITemplate.DynProperties("DefaultTemplate"))
PrintTemplate = True
Else
PrintTemplate = False
End If
End Function

Other topics in this chapter

Template-Properties

Template-Methods

Template-Dynamic properties


Template-Properties

Manuel -> Interfaces de programmation -> Modèles d'objet -> Template -> Template-Properties

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
BSTR | BackgroundImage | Image for the Template | available | read only | yes | yes
short | BackgroundImageStyle | Style for the Image | available | read only | yes | yes
short | BorderStyle | Style of the template-border (for resizing) | available | read only | yes | yes
long | Bottom | Bottom-coordinate of the template | available | read only | yes | yes
long | Left | Left-coordinate of the template | available | read only | yes | yes
BSTR | Name | Name of the template (unique) | available | read only | yes | yes
ITemplates | Parent | Returns the parent object | read only | read only | yes | yes
long | Right | Right-coordinate of the template | available | read only | yes | yes
VARIANT_BOOL | ShowForeground | Shows template always in the foreground | available | read only | yes | yes
VARIANT_BOOL | ShowMinimize | Shows the windows minimize button | available | read only | yes | yes
VARIANT_BOOL | ShowSysMenu | Shows the windows system menu | available | read only | yes | yes
VARIANT_BOOL | ShowTitle | Shows titlebar for the template | available | read only | yes | yes
long | Style | Style of the template-window | available | read only | yes | yes
long | Top | Top-coordinate of the template | available | read only | yes | yes
long | BackgroundColor | BackColor | available | read only | yes | yes
long | Width | Width of the template | available | read only | yes | yes
long | Height | Height of the template | available | read only | yes | yes
VARIANT_BOOL | OpenMultiple | Open a template multiple times | available | read only | yes | yes

Other topics in this chapter

Parent

Name

Top

Left

Bottom

Right

Width

Height

BackgroundColor

BackgroundImage

BackgroundImageStyle

Style

ShowForeground

OpenMultiple

ShowTitle

ShowSysMenu

ShowMinimize

BorderStyle


Parent

Manuel -> Interfaces de programmation -> Modèles d'objet -> Template -> Template-Properties -> Parent

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the parent object

Datatype

Parent() As Templates

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


Name

Manuel -> Interfaces de programmation -> Modèles d'objet -> Template -> Template-Properties -> Name

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the unique name of the Frame. With this name the Frame can be found in the central Frame list of the project. This name is always unique.

Datatype

Name() As String

Availability

Environment | Available
Editor | available
Runtime | read only
VBA | yes
VSTA | yes


Top

Manuel -> Interfaces de programmation -> Modèles d'objet -> Template -> Template-Properties -> Top

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Gets or sets the position of the top Frame border in pixel. The value defines the distance from the top border of the screen. If this value is 0, then the Frame starts at the top border of the screen.

Datatype

Top() As long

Availability

Environment | Available
Editor | available
Runtime | read only
VBA | yes
VSTA | yes


Left

Manuel -> Interfaces de programmation -> Modèles d'objet -> Template -> Template-Properties -> Left

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Gets or sets the position of the left Frame border in pixel. The value defines the distance from the left border of the screen. If this value is 0, then the Frame starts at the left border of the screen.

Datatype

Left() As long

Availability

Environment | Available
Editor | available
Runtime | read only
VBA | yes
VSTA | yes


Bottom

Manuel -> Interfaces de programmation -> Modèles d'objet -> Template -> Template-Properties -> Bottom

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Gets or sets the position of the bottom Frame border in pixel. The value defines the distance from the top border of the screen.

Datatype

Bottom() As long

Availability

Environment | Available
Editor | available
Runtime | read only
VBA | yes
VSTA | yes


Right

Manuel -> Interfaces de programmation -> Modèles d'objet -> Template -> Template-Properties -> Right

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Gets or sets the position of the right Frame border in pixel. The value defines the distance from the left border of the screen.

Datatype

Right() As long

Availability

Environment | Available
Editor | available
Runtime | read only
VBA | yes
VSTA | yes


Width

Manuel -> Interfaces de programmation -> Modèles d'objet -> Template -> Template-Properties -> Width

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

The width of the template.

Datatype

Width() As long

Availability

Environment | Available
Editor | available
Runtime | read only
VBA | yes
VSTA | yes


Height

Manuel -> Interfaces de programmation -> Modèles d'objet -> Template -> Template-Properties -> Height

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

The height of the template.

Datatype

Height() As long

Availability

Environment | Available
Editor | available
Runtime | read only
VBA | yes
VSTA | yes


BackgroundColor

Manuel -> Interfaces de programmation -> Modèles d'objet -> Template -> Template-Properties -> BackgroundColor

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

BackgroundColor() As long

Availability

Environment | Available
Editor | available
Runtime | read only
VBA | yes
VSTA | yes


BackgroundImage

Manuel -> Interfaces de programmation -> Modèles d'objet -> Template -> Template-Properties -> BackgroundImage

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Gets or sets the path to the background image for the Frame.

Datatype

BackgroundImage() As String

Availability

Environment | Available
Editor | available
Runtime | read only
VBA | yes
VSTA | yes


BackgroundImageStyle

Manuel -> Interfaces de programmation -> Modèles d'objet -> Template -> Template-Properties -> BackgroundImageStyle

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

BackgroundImageStyle() As short

Availability

Environment | Available
Editor | available
Runtime | read only
VBA | yes
VSTA | yes


Style

Manuel -> Interfaces de programmation -> Modèles d'objet -> Template -> Template-Properties -> Style

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Gets or sets the style of the Frame window. The returned value comprises all style settings.

Datatype

Style() As long

Availability

Environment | Available
Editor | available
Runtime | read only
VBA | yes
VSTA | yes


ShowForeground

Manuel -> Interfaces de programmation -> Modèles d'objet -> Template -> Template-Properties -> ShowForeground

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Shows the Frame always in the foreground, if set TRUE.

Datatype

ShowForeground() As Boolean

Availability

Environment | Available
Editor | available
Runtime | read only
VBA | yes
VSTA | yes


OpenMultiple

Manuel -> Interfaces de programmation -> Modèles d'objet -> Template -> Template-Properties -> OpenMultiple

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

OpenMultiple() As VARIANT_BOOL

Availability

Environment | Available
Editor | available
Runtime | read only
VBA | yes
VSTA | yes


ShowTitle

Manuel -> Interfaces de programmation -> Modèles d'objet -> Template -> Template-Properties -> ShowTitle

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Shows the titlebar for the Frame, if set TRUE.<span style="color:red">Only available, if property "BorderStyle" is set other than 0 (No frame).</span>

Datatype

ShowTitle() As Boolean

Availability

Environment | Available
Editor | available
Runtime | read only
VBA | yes
VSTA | yes


ShowSysMenu

Manuel -> Interfaces de programmation -> Modèles d'objet -> Template -> Template-Properties -> ShowSysMenu

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Shows the Windows system menu, if set TRUE.<span style="color:red">Only available, if property "ShowTitle" is set TRUE.</span>

Datatype

ShowSysMenu() As Boolean

Availability

Environment | Available
Editor | available
Runtime | read only
VBA | yes
VSTA | yes


ShowMinimize

Manuel -> Interfaces de programmation -> Modèles d'objet -> Template -> Template-Properties -> ShowMinimize

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

ShowMinimize() As Boolean

Availability

Environment | Available
Editor | available
Runtime | read only
VBA | yes
VSTA | yes


BorderStyle

Manuel -> Interfaces de programmation -> Modèles d'objet -> Template -> Template-Properties -> BorderStyle

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

BorderStyle() As short

Availability

Environment | Available
Editor | available
Runtime | read only
VBA | yes
VSTA | yes


Template-Methods

Manuel -> Interfaces de programmation -> Modèles d'objet -> Template -> Template-Methods

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description |  | Editor | Runtime | VBA | VSTA
VARIANT_BOOL | CheckIn | Save module modifications to server (editor). |  | available | not used | yes | yes
VARIANT_BOOL | CheckOut | Allow module modifications (editor). |  | available | not used | yes | yes
VARIANT_BOOL | Copy | Copies the template |  | available | not used | yes | yes
void | DynProperties [PUT] | - |  | available | available | yes | yes
VARIANT | DynProperties [GET] | - |  | available | available | yes | yes
VARIANT | DynPropertiesEnum [GET] | - |  | read only | read only | yes | yes
VARIANT_BOOL | Export | Export the given template |  | available | not used | yes | yes
VARIANT_BOOL | Get | Get the latest version from the server (editor). |  | available | not used | yes | yes
VARIANT_BOOL | Import | Import a template |  | available | not used | yes | yes
VARIANT_BOOL | IsCheckedOut | Returns true when the current module checked out by the current user (editor). |  | read only | not used | yes | yes
VARIANT_BOOL | IsDifferent | Returns true when the local and server version are different (editor). | read only |  | not used | yes |  | yes
VARIANT_BOOL | IsLocked | Returns true when the current module is Locked by another user (editor). |  | read only | not used | yes | yes
VARIANT_BOOL | Save | Save changes |  | available | not used | yes | yes
VARIANT_BOOL | UndoCheckOut | Undo module modifications (editor). |  | available | not used | yes | yes
IPropParam | DynPropertyParam [GET] | Returns the PropParam objekt of the given DynProperty |  | read only | not used | yes | yes

Other topics in this chapter

DynPropertyParam [GET]

DynPropertiesEnum [GET]

DynProperties [GET]

DynProperties [PUT]

Copy

Save

Import

Export

Get

CheckOut

CheckIn

UndoCheckOut

IsLocked

IsCheckedOut

IsDifferent


DynPropertyParam [GET]

Manuel -> Interfaces de programmation -> Modèles d'objet -> Template -> Template-Methods -> DynPropertyParam [GET]

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

DynPropertyParam [GET](BSTR bsPath) As PropParam

Availability

Environment | Available
Editor | read only
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


DynPropertiesEnum [GET]

Manuel -> Interfaces de programmation -> Modèles d'objet -> Template -> Template-Methods -> DynPropertiesEnum [GET]

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

DynPropertiesEnum(String bsPath) As VARIANT

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes

Parameters

A String which defines the entry point to get out all available properties of the object.

A blank String like that returns the first layer of properties:

DynPropertiesEnum("")

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

bsPath As String

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Sub ReadDynProps()
End Sub


DynProperties [GET]

Manuel -> Interfaces de programmation -> Modèles d'objet -> Template -> Template-Methods -> DynProperties [GET]

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

DynProperties(String bsPath) As VARIANT

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

A String which defines the Property.

Example: "NetAktive"

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

bsPath As String

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Sub GetDynProp()
'Sample: GSet the Network Aktive Flag of the Project.
If MyWorkspace.ActiveDocument.DynProperties("NetActive") = True Then
'read the server - computername...
Debug.Print "Server: " & MyWorkspace.ActiveDocument.DynProperties("NetServer")
End If
End Sub


DynProperties [PUT]

Manuel -> Interfaces de programmation -> Modèles d'objet -> Template -> Template-Methods -> DynProperties [PUT]

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

DynProperties (String bsPath,VARIANT vValue) As void

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

A String which defines the Property.

Example: "NetAktive"

Returns a variant value depending to the property, it can be a boolean, a long, or a whole object.

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

bsPath As String

vValue As Variant

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Sub SetDynProp()
End Sub


Copy

Manuel -> Interfaces de programmation -> Modèles d'objet -> Template -> Template-Methods -> Copy

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Copies the settings from an existing Frame to the own Frame.

Datatype

Copy(ITemplate pSource) As Boolean

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

Source Frame object, from which the settings should be copied.

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

pSource As Template

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


Save

Manuel -> Interfaces de programmation -> Modèles d'objet -> Template -> Template-Methods -> Save

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Save changes.

Datatype

Save() As Boolean

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


Import

Manuel -> Interfaces de programmation -> Modèles d'objet -> Template -> Template-Methods -> Import

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Import settings from an xml file

Datatype

Import(String szFileName) As Boolean

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

Path and Filename where the XML file for import is located.

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

szFileName As String

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Private Sub zenOn_ExportImportSettings(ByRef zenOnObject As Object)
End Sub


Export

Manuel -> Interfaces de programmation -> Modèles d'objet -> Template -> Template-Methods -> Export

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Export settings to an xml file

Datatype

Export(String szFileName) As Boolean

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

Path and Filename whre the XML file should be stored.

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

szFileName As String

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Private Sub zenOn_ExportImportSettings(ByRef zenOnObject As Object)
End Sub


Get

Manuel -> Interfaces de programmation -> Modèles d'objet -> Template -> Template-Methods -> Get

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Get the latest version from the server (editor). This option is only working for multi-user projects.

Datatype

Get() As Boolean

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


CheckOut

Manuel -> Interfaces de programmation -> Modèles d'objet -> Template -> Template-Methods -> CheckOut

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Allow module modifications (editor). This option is only working for multi-user projects.

Datatype

CheckOut() As Boolean

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


CheckIn

Manuel -> Interfaces de programmation -> Modèles d'objet -> Template -> Template-Methods -> CheckIn

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Save module modifications to server (editor). This option is only working for multi-user projects.

Datatype

CheckIn() As Boolean

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


UndoCheckOut

Manuel -> Interfaces de programmation -> Modèles d'objet -> Template -> Template-Methods -> UndoCheckOut

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Undo module modifications (editor). This option is only working for multi-user projects.

Datatype

UndoCheckOut() As Boolean

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


IsLocked

Manuel -> Interfaces de programmation -> Modèles d'objet -> Template -> Template-Methods -> IsLocked

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns true if modification changes are locked due to a checkout. This option is only working for multi-user projects.

Datatype

IsLocked() As Boolean

Availability

Environment | Available
Editor | read only
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


IsCheckedOut

Manuel -> Interfaces de programmation -> Modèles d'objet -> Template -> Template-Methods -> IsCheckedOut

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns true if scripts are checked out. This option is only working for multi-user projects.

Datatype

IsCheckedOut() As Boolean

Availability

Environment | Available
Editor | read only
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


IsDifferent

Manuel -> Interfaces de programmation -> Modèles d'objet -> Template -> Template-Methods -> IsDifferent

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns true if local version differs from server (editor) version. This option is only working for multi-user projects.

Datatype

IsDifferent() As VARIANT_BOOL

Availability

Environment | Available
Editor | read only
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


Template-Dynamic properties

Manuel -> Interfaces de programmation -> Modèles d'objet -> Template -> Template-Dynamic properties

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Dynproperties

Alarm template

Frame template

Other topics in this chapter

Alarm template

Frame template


Alarm template

Manuel -> Interfaces de programmation -> Modèles d'objet -> Template -> Template-Dynamic properties -> Alarm template

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Type

VBA/VSTA Name

Display Name

Description

VT_BOOL

StandardPosition

Utiliser position standard

active : place le modèle pour la ligne d’état des alarmes le long de la bordure supérieure de l’écran.

Par défaut : active

Plus de détails dans l’aide en ligne.

VT_UI4

Style

Style de la fenêtre

Window style

VT_BSTR

TemplateName

Nom

Nom unique du gabarit.

Longueur maximale :

  • Projet : 28 caractères
  • Projet global : 27 caractères

Par défaut : Modèle_x (x représente un nombre défini de manière consécutive).
Remarque : Si le nom est modifié, celui-ci doit être à nouveau saisi, le cas échéant, dans la propriété Gabarits principaux. Dans le cas contraire, la variable de driver système [Infos projet] Dernier synoptique ouvert ne peut plus identifier les synoptiques à partir de ce cadre.

Attention : Cette propriété n’est pas disponible aux fins de la commutation de langue.

Plus de détails dans l’aide en ligne.

ZT_COLOR

BackgroundColor

Couleur d'arrière-plan

Couleur d’arrière-plan proposée pour tous les nouveaux synoptiques configurés avec ce cadre.

Plus de détails dans l’aide en ligne.

VT_BOOL

ShowForeground

Toujours en avant plan

Active : Aucun autre synoptique ne sera superposé à cette zone durant le fonctionnement en ligne. En revanche, il est possible de créer des synoptiques en arrière-plan.
Inactive : Les synoptiques basés sur ce modèle peuvent être recouverts par d’autres synoptiques.
Par défaut : inactive.

Plus de détails dans l’aide en ligne.

VT_BOOL

OpenMultiple

Le gabarit peut être activé plusieurs fois

Active : Plusieurs cadres peuvent être activés dans le Runtime : Les synoptiques reposant sur ce cadre sont chargés lorsqu’ils sont appelés avec un nouveau cadre, et non avec le même cadre. S’il s’agit du même synoptique, le synoptique est rechargé.

Par défaut : Inactive

Plus de détails dans l’aide en ligne.

VT_BOOL

CloseOnClickOutside

Fermer après la perte du focus

Contrôle le comportement du cadre lors de la perte du focus.

Active : Lorsque vous cliquez avec le bouton gauche de la souris hors du cadre, il est fermé automatiquement si vous cliquez dans une zone de l’écran qui forme partie du Runtime zenon, mais ne forme pas partie du cadre ou du cadre pour lequel la propriété Ne pas fermer après la perte du focus est active.

Par défaut : Inactive

Plus de détails dans l’aide en ligne.

VT_BOOL

IgnoreCloseOnClick

Ne pas fermer après la perte du focus

Contrôle le comportement des autres cadres lors de la perte du focus. Il est possible de définir les zones de l’écran pour lesquelles le fait de cliquer dans ce cadre annule automatiquement la fermeture de cadres pour lesquels la propriété Fermer après la perte du focus est active.

  • Active : Si ce cadre reçoit le focus, tous les autres cadres pour lesquels la propriété Fermer après la perte du focus est active restent ouverts, malgré la perte du focus.
  • Inactive : Si ce cadre reçoit le focus, tous les autres cadres pour lesquels la propriété Fermer après la perte du focus est active sont fermés.

Plus de détails dans l’aide en ligne.

ZT_MEMFILE

DefineFreeForm

Définir une forme libre de gabarit

Disponible uniquement si vous avez activé la propriété Forme de gabarit librement définie.

Permet de définir la forme pour le modèle sélectionné. Cliquez avec le bouton gauche sur le bouton pour ouvrir le modèle correspondant dans l’éditeur de cadres. Ici, vous pouvez définir la forme du modèle à base de cercles, de rectangles, de rectangles arrondis et de polygones.

Plus de détails dans l’aide en ligne.

VT_I4

PosLeft

Gauche [pixels]

Coordonnée X du coin supérieur gauche du modèle, en pixels (selon la résolution définie).
Minimum : -2147483648.
Maximum : 2147483647
Par défaut : 0

Attention : Nous déconseillons de définir des modèles mesurant plus de 32 000 x 32 000 pixels, afin d’éviter les effets de flou.

Plus de détails dans l’aide en ligne.

VT_I4

PosRight

Droite [pixels]

Coordonnée X du coin inférieur droit du modèle, en pixels (selon la résolution de moniteur définie).
Minimum : -2147483648.
Maximum : 2147483647
Par défaut : Résolution actuelle maximum de l’écran.

Attention : Nous déconseillons de définir des modèles mesurant plus de 32 000 x 32 000 pixels, afin d’éviter les effets de flou.

Plus de détails dans l’aide en ligne.

VT_I4

PosTop

Haut [pixels]

Coordonnée Y du coin supérieur gauche du modèle, en pixels (selon la résolution définie).
Minimum : -2147483648.
Maximum : 2147483647
Par défaut : 0

Attention : Nous déconseillons de définir des modèles mesurant plus de 32 000 x 32 000 pixels, afin d’éviter les effets de flou.

Plus de détails dans l’aide en ligne.

VT_I4

PosBottom

Bas [pixels]

Coordonnée X du coin inférieur droit du modèle, en pixels (selon la résolution de moniteur définie).
Minimum : -2147483648.
Maximum : 2147483647
Par défaut : Résolution actuelle maximum de l’écran.

Attention : Nous déconseillons de définir des modèles mesurant plus de 32 000 x 32 000 pixels, afin d’éviter les effets de flou.

Plus de détails dans l’aide en ligne.

VT_I4

PosWidth

Largeur (maximum) [pixels]

Définit la largeur maximum du cadre en pixels, depuis le point d’ancrage gauche.

  • Maximum : 10000
    Indisponible sous Windows CE.

Plus de détails dans l’aide en ligne.

VT_I4

PosHeight

Hauteur (maximum) [pixels]

Définit la hauteur maximum du cadre en pixels, depuis le point d’ancrage supérieur.

  • Maximum : 10000
    Indisponible sous Windows CE.

Plus de détails dans l’aide en ligne.

VT_UI4

OpeningSizeType

Taille ouverture

Définit la taille à laquelle un synoptique défini sur la base de ce cadre est appelé dans le Runtime.

  • Taille du cadre. Taille du cadre, définie dans Largeur (maximum) [pixels] et Hauteur (maximum) [pixels].
    Si une valeur différente est sélectionnée, la taille dans le Runtime est représentée par une ligne en pointillés dans la fenêtre du cadre.
  • Largeur [px]. Largeur définie dans Valeur (Taille ouverture) ; la hauteur est modifiée en conséquence.
  • Hauteur [px]. Hauteur définie dans Valeur (Taille ouverture) ; la largeur est modifiée en conséquence.
  • Relative [%]. La taille définie dans Largeur (maximum) [pixels] et Hauteur (maximum) [pixels] est modifiée conformément à la valeur de pourcentage définie dans Valeur (Taille ouverture).

Les valeurs correspondantes sont définies avec la propriété Valeur (Taille ouverture).

Par défaut : Taille du cadre

Plus de détails dans l’aide en ligne.

VT_UI4

OpeningSizeValue

Valeur (Taille ouverture)

Valeur du paramètre de taille lorsqu’il est appelé dans le Runtime, via la propriété Taille ouverture.

Plus de détails dans l’aide en ligne.

VT_UI4

MinSizeType

Limitation Minimum

Type de limite pour la valeur minimum :

  • Sans : Pas de restriction.
    Si une valeur différente est sélectionnée, la valeur limite sélectionnée dans le Runtime est représentée par une ligne en pointillés dans la fenêtre du cadre.
  • Largeur : limite de largeur.
  • Hauteur. limite de hauteur.
  • Relatif : Limitation selon une valeur pourcentage de la taille de synoptique définie.

Agit uniquement sur les gestes MultiTouch. Les valeurs correspondantes sont définies avec la propriété Valeur (minimum).

Par défaut : Sans

Plus de détails dans l’aide en ligne.

VT_UI4

MinSizeValue

Valeur (minimum)

Valeur du paramètre sélectionné dans la propriété.

Plus de détails dans l’aide en ligne.

VT_UI4

LimitationType

Déplacer

Définit les paramètres possibles lors du déplacement de l’objet :

  • Sans restriction
  • Limiter aux bordures
    Remarque : Le type de limitation est défini via la propriété Limitation.

Indisponible sous Windows CE.

Plus de détails dans l’aide en ligne.

VT_UI4

LimitationArea

Marge de gabarit minimum

Uniquement disponible si la valeur associée à la propriété Déplacer a été définie sur Limiter à la taille du moniteur et la propriété Limitation a été définie sur ZOne de bordure du cadre.

Définit la taille de la zone de bordure du cadre, en pixels. Cette zone ne peut pas être déplacée au-delà du bord du moniteur. La plage définie est ainsi représentée sous forme de zone permettant de déplacer le cadre vers la zone visible.

  • Minimum : 0
  • Maximum : non défini
    Si cette zone est définie sur une largeur supérieure la taille du synoptique ou agrandie (avec la fonction Zoom) jusqu’à atteindre une valeur semblable dans le Runtime, le synoptique agit comme une limite pour la bordure du cadre.

Par défaut : 30

Plus de détails dans l’aide en ligne.

VT_UI4

LimitationContactPointSize

Marge de gabarit minimum

Uniquement disponible si la valeur associée à la propriété Déplacer a été définie sur Limiter à la taille du moniteur et la propriété Limitation a été définie sur ZOne de bordure du cadre.

Définit la taille de la zone de bordure du cadre, en pixels. Cette zone ne peut pas être déplacée au-delà du bord du moniteur. La plage définie est ainsi représentée sous forme de zone permettant de déplacer le cadre vers la zone visible.

  • Minimum : 0
  • Maximum : non défini
    Si cette zone est définie sur une largeur supérieure la taille du synoptique ou agrandie (avec la fonction Zoom) jusqu’à atteindre une valeur semblable dans le Runtime, le synoptique agit comme une limite pour la bordure du cadre.

Par défaut : 30

Plus de détails dans l’aide en ligne.

VT_I2

PosType

Position

Détermine la position du modèle et des synoptiques basés sur celui-ci dans le Runtime.

Utiliser la position absolue : Positionne le cadre aux coordonnées définies dans la propriété Position.

Par rapport à l’élément : Positionne le point de référence du cadre par rapport à l’élément depuis lequel l’appel de synoptique a été exécuté. Ici, vous pouvez définir le point de référence du modèle (dans la propriété Point de référence du gabarit) et le point de référence de l’élément (dans la propriété Point de référence de l'élement), ainsi que les distances par rapport à l’élément. Le point de référence du cadre sera toujours placé sur le point de référence calculé de l’élément. Si le cadre ne peut pas être désactivé dans cette position, car cela placerait le synoptique hors de l’écran, les points de référence alternatifs sont utilisés. Vous pouvez configurer les points de référence alternatifs du modèle dans la propriété Point de référence du gabarit et ceux de l’élément dans la propriété Point de référence alternatif de l'élément.

Par rapport au pointeur de souris : Le synoptique est positionné par rapport au point de référence du cadre, c’est-à-dire la position actuelle du pointeur de souris. Vous pouvez définir le point de référence dans la propriété Point de référence du gabarit. Il est affiché sous la forme d’un point rouge dans l’éditeur de cadres. Exemple : Si le point de référence se trouve sur le côté supérieur gauche, le cadre sera chargé dans le coin inférieur droit du point de référence.
Si le synoptique ne peut pas être affiché entièrement à la position configurée, la position sera décalée jusqu’à ce que le synoptique se trouve entièrement dans la zone affichable de l’écran.

Par défaut : utiliser position absolue

Plus de détails dans l’aide en ligne.

VT_BOOL

NoMoveOnReopen

Garder position et taille pour le prochain affichage

Active : Un cadre déplacé manuellement dans le Runtime n’est pas réinitialisé dans sa position de développement lors de l’affichage d’un nouveau synoptique, si le cadre est déjà ouvert sur le même client. Leur position et leur taille sont conservées.

Remarque : Cette option doit être active pour que la position du cadre soit enregistrée avant l’actualisation, et que le cadre soit appelé dans la même position enregistrée après l’actualisation.

Plus de détails dans l’aide en ligne.

VT_I2

RefVert

Vertical

Active uniquement si vous sélectionnez Par rapport à l’élément ou Par rapport au pointeur de souris pour la propriété Position.

Sélectionnez le point de référence souhaité pour le modèle dans la liste déroulante. Choisissez parmi haut, bas ou centré.

Par défaut : Haut

Plus de détails dans l’aide en ligne.

VT_I2

RefHorz

Horizontal

Active uniquement si vous sélectionnez Par rapport à l’élément ou Par rapport au pointeur de souris pour la propriété Position.

Sélectionnez le point de référence souhaité pour le modèle dans la liste déroulante. Choisissez parmi gauche, droite ou centré.

Par défaut : À gauche

Plus de détails dans l’aide en ligne.

VT_I2

AltRefVert

Alternative verticale

Active uniquement si vous avez sélectionné Par rapport à l’élément dans la propriété Position.

Sélectionnez le point de référence souhaité pour le modèle dans la liste déroulante. Le point de référence alternatif sera utilisé s’il est impossible de positionner le modèle au point de référence préféré lors du chargement du modèle. Choisissez parmi haut, bas ou centré.

Par défaut : Haut

Plus de détails dans l’aide en ligne.

VT_I2

AltRefHorz

Alternative horizontale

Active uniquement si vous avez sélectionné Par rapport à l’élément dans la propriété Position.

Sélectionnez le point de référence souhaité pour le modèle dans la liste déroulante. Le point de référence alternatif sera utilisé s’il est impossible de positionner le modèle au point de référence préféré lors du chargement du modèle. Choisissez parmi gauche, droite ou centré.

Par défaut : À gauche

Plus de détails dans l’aide en ligne.

VT_I2

PosVert

Vertical

Active uniquement si vous avez sélectionné Par rapport à l’élément dans la propriété Position.

Sélectionnez le point de référence souhaité pour le modèle dans la liste déroulante. Lors du chargement du modèle, ce point de référence est pris en compte. Choisissez parmi haut ou bas.

Par défaut : Haut

Plus de détails dans l’aide en ligne.

VT_I2

PosHorz

Horizontal

Active uniquement si vous avez sélectionné Par rapport à l’élément dans la propriété Position.

Sélectionnez le point de référence souhaité pour le modèle dans la liste déroulante. Lors du chargement du modèle, ce point de référence est pris en compte. Choisissez parmi gauche ou droite.

Par défaut : À gauche

Plus de détails dans l’aide en ligne.

VT_I4

PixelVert

Décalage vertical [pixel]

Active uniquement si vous avez sélectionné Par rapport à l’élément dans la propriété Position.

En saisissant une valeur numérique positive ou négative, vous pouvez déplacer le point de référence verticalement.

Par défaut : 2

Plus de détails dans l’aide en ligne.

VT_I4

PixelHorz

Décalage horizontal [pixel]

Active uniquement si vous avez sélectionné Par rapport à l’élément dans la propriété Position.

En saisissant une valeur numérique positive ou négative, vous pouvez déplacer le point de référence horizontalement.

Par défaut : 2

Plus de détails dans l’aide en ligne.

VT_I2

AltPosVert

Vertical

Active uniquement si vous avez sélectionné Par rapport à l’élément dans la propriété Position.

Sélectionnez le point de référence souhaité pour le modèle dans la liste déroulante. Le point de référence alternatif sera utilisé s’il est impossible de positionner le modèle au point de référence préféré lors du chargement du modèle. Choisissez parmi haut ou bas.

Par défaut : Haut

Plus de détails dans l’aide en ligne.

VT_I2

AltPosHorz

Horizontal

Active uniquement si vous avez sélectionné Par rapport à l’élément pour la propriété Position.

Sélectionnez le point de référence souhaité pour le modèle dans la liste déroulante. Le point de référence alternatif sera utilisé s’il est impossible de positionner le modèle au point de référence préféré lors du chargement du modèle. Choisissez parmi gauche ou droite.

Par défaut : À gauche

Plus de détails dans l’aide en ligne.

VT_I4

AltPixelVert

Décalage vertical [pixel]

Active uniquement si vous avez sélectionné Par rapport à l’élément dans la propriété Position.

En saisissant une valeur numérique positive ou négative, vous pouvez déplacer le point de référence alternatif verticalement.

Par défaut : 2

Plus de détails dans l’aide en ligne.

VT_I4

AltPixelHorz

Décalage horizontal [pixel]

Active uniquement si vous avez sélectionné Par rapport à l’élément dans la propriété Position.

En saisissant une valeur numérique positive ou négative, vous pouvez déplacer le point de référence alternatif horizontalement.

Par défaut : 2

Plus de détails dans l’aide en ligne.

ZT_FILE

BackgroundPicture

Fichier graphique

Sélection du fichier graphique d’arrière-plan utilisé pour tous les synoptiques créés sur la base de ce modèle.
Remarque : une modification du fichier graphique n’affecte pas les synoptiques déjà existants créés sur la base de ce modèle.

Plus de détails dans l’aide en ligne.

VT_I2

BackgroundPictureStyle

Alignement

Uniquement disponible lorsque vous avez sélectionné l’élément Fichier graphique.

Types d’affichage disponibles :
Mosaïque : taille d’origine, affiché sous forme de "carreaux" positionnés côte à côte.

Étiré : étiré à la taille du synoptique.

Normal : taille d’origine, positionné dans le coin supérieur gauche.
Centré : taille d’origine, centré au milieu du synoptique.

Par défaut : Normal.

Vous ne pouvez pas le déplacer librement.

Remarque : Une modification de l’orientation n’affecte pas les synoptiques déjà existants créés sur la base de ce modèle.

Plus de détails dans l’aide en ligne.

VT_I2

BorderStyle

Type de cadre

Configuration du type de cadre. Ceci définit également si la taille du cadre peut être modifiée dans le Runtime.

  • Redimensionnable : La taille du cadre peut être modifiée dans le Runtime. Une bordure épaisse est affichée autour du cadre.
  • Taille fixe : La taille ne peut pas être modifiée. Une bordure fine est affichée autour du cadre.
  • Pas de cadre : La taille ne peut pas être modifiée. Aucune bordure n’est affichée autour du synoptique.

Par défaut : Plat

Plus de détails dans l’aide en ligne.

VT_BOOL

ShowTitle

Titre

Disponible seulement, si un cadre est sélectionné pour le modèle :
Active : Les barres de titre de Windows sont utilisées pour les synoptiques basés sur ce modèle. Les synoptiques peuvent être déplacés dans le Runtime.
Inactive : Aucune barre de titre n’est utilisée.
Par défaut : inactive.

Plus de détails dans l’aide en ligne.

VT_BOOL

ShowSysMenu

Menu système

Disponible uniquement si le titre est actif.
Active : Affiche le menu système de Windows dans la barre de titre.
Inactive : Le menu système n’est pas affiché.
Par défaut : inactive.

Plus de détails dans l’aide en ligne.

VT_BOOL

ShowMinimize

Boutons Min./Max.

Disponible uniquement si le titre est actif.
Active : Affiche un champ de symboles de Windows dans la barre de titre.
Inactive : Ne pas afficher de champ de symboles.
Par défaut : inactive.

Plus de détails dans l’aide en ligne.


Frame template

Manuel -> Interfaces de programmation -> Modèles d'objet -> Template -> Template-Dynamic properties -> Frame template

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Type

VBA/VSTA Name

Display Name

Description

VT_UI4

Style

Style de la fenêtre

Window style

VT_BSTR

TemplateName

Nom

Nom unique du gabarit.

Longueur maximale :

  • Projet : 28 caractères
  • Projet global : 27 caractères

Par défaut : Modèle_x (x représente un nombre défini de manière consécutive).
Remarque : Si le nom est modifié, celui-ci doit être à nouveau saisi, le cas échéant, dans la propriété Gabarits principaux. Dans le cas contraire, la variable de driver système [Infos projet] Dernier synoptique ouvert ne peut plus identifier les synoptiques à partir de ce cadre.

Attention : Cette propriété n’est pas disponible aux fins de la commutation de langue.

Plus de détails dans l’aide en ligne.

ZT_COLOR

BackgroundColor

Couleur d'arrière-plan

Couleur d’arrière-plan proposée pour tous les nouveaux synoptiques configurés avec ce cadre.

Plus de détails dans l’aide en ligne.

VT_BOOL

ShowForeground

Toujours en avant plan

Active : Aucun autre synoptique ne sera superposé à cette zone durant le fonctionnement en ligne. En revanche, il est possible de créer des synoptiques en arrière-plan.
Inactive : Les synoptiques basés sur ce modèle peuvent être recouverts par d’autres synoptiques.
Par défaut : inactive.

Plus de détails dans l’aide en ligne.

VT_BOOL

OpenMultiple

Le gabarit peut être activé plusieurs fois

Active : Plusieurs cadres peuvent être activés dans le Runtime : Les synoptiques reposant sur ce cadre sont chargés lorsqu’ils sont appelés avec un nouveau cadre, et non avec le même cadre. S’il s’agit du même synoptique, le synoptique est rechargé.

Par défaut : Inactive

Plus de détails dans l’aide en ligne.

VT_BOOL

CloseOnClickOutside

Fermer après la perte du focus

Contrôle le comportement du cadre lors de la perte du focus.

Active : Lorsque vous cliquez avec le bouton gauche de la souris hors du cadre, il est fermé automatiquement si vous cliquez dans une zone de l’écran qui forme partie du Runtime zenon, mais ne forme pas partie du cadre ou du cadre pour lequel la propriété Ne pas fermer après la perte du focus est active.

Par défaut : Inactive

Plus de détails dans l’aide en ligne.

VT_BOOL

IgnoreCloseOnClick

Ne pas fermer après la perte du focus

Contrôle le comportement des autres cadres lors de la perte du focus. Il est possible de définir les zones de l’écran pour lesquelles le fait de cliquer dans ce cadre annule automatiquement la fermeture de cadres pour lesquels la propriété Fermer après la perte du focus est active.

  • Active : Si ce cadre reçoit le focus, tous les autres cadres pour lesquels la propriété Fermer après la perte du focus est active restent ouverts, malgré la perte du focus.
  • Inactive : Si ce cadre reçoit le focus, tous les autres cadres pour lesquels la propriété Fermer après la perte du focus est active sont fermés.

Plus de détails dans l’aide en ligne.

VT_BOOL

UseFreeForming

Forme de gabarit librement définie

Permet d’utiliser une forme libre de modèle pour le modèle sélectionné. Vous pouvez ainsi définir des modèles comportant par exemple des coins arrondis, des trous, etc.

  • Active : la forme libre de modèle est utilisée pour ce modèle et les synoptiques liés au modèle.
  • Inactive : Les formes des cadres ne peuvent pas être librement définies. Une forme de cadre librement définie est affichée dans l’éditeur de cadres et de synoptiques.

Par défaut : Inactive

Remarque :

  • Indisponible pour le cadre Ligne d’état des alarmes, ainsi que sous Windows CE.
  • Ne peut pas être associé avec les propriétés du groupe Bordure.

Plus de détails dans l’aide en ligne.

ZT_MEMFILE

DefineFreeForm

Définir une forme libre de gabarit

Disponible uniquement si vous avez activé la propriété Forme de gabarit librement définie.

Permet de définir la forme pour le modèle sélectionné. Cliquez avec le bouton gauche sur le bouton pour ouvrir le modèle correspondant dans l’éditeur de cadres. Ici, vous pouvez définir la forme du modèle à base de cercles, de rectangles, de rectangles arrondis et de polygones.

Plus de détails dans l’aide en ligne.

VT_I4

PosLeft

Gauche [pixels]

Coordonnée X du coin supérieur gauche du modèle, en pixels (selon la résolution définie).
Minimum : -2147483648.
Maximum : 2147483647
Par défaut : 0

Attention : Nous déconseillons de définir des modèles mesurant plus de 32 000 x 32 000 pixels, afin d’éviter les effets de flou.

Plus de détails dans l’aide en ligne.

VT_I4

PosRight

Droite [pixels]

Coordonnée X du coin inférieur droit du modèle, en pixels (selon la résolution de moniteur définie).
Minimum : -2147483648.
Maximum : 2147483647
Par défaut : Résolution actuelle maximum de l’écran.

Attention : Nous déconseillons de définir des modèles mesurant plus de 32 000 x 32 000 pixels, afin d’éviter les effets de flou.

Plus de détails dans l’aide en ligne.

VT_I4

PosTop

Haut [pixels]

Coordonnée Y du coin supérieur gauche du modèle, en pixels (selon la résolution définie).
Minimum : -2147483648.
Maximum : 2147483647
Par défaut : 0

Attention : Nous déconseillons de définir des modèles mesurant plus de 32 000 x 32 000 pixels, afin d’éviter les effets de flou.

Plus de détails dans l’aide en ligne.

VT_I4

PosBottom

Bas [pixels]

Coordonnée X du coin inférieur droit du modèle, en pixels (selon la résolution de moniteur définie).
Minimum : -2147483648.
Maximum : 2147483647
Par défaut : Résolution actuelle maximum de l’écran.

Attention : Nous déconseillons de définir des modèles mesurant plus de 32 000 x 32 000 pixels, afin d’éviter les effets de flou.

Plus de détails dans l’aide en ligne.

VT_I4

PosWidth

Largeur (maximum) [pixels]

Définit la largeur maximum du cadre en pixels, depuis le point d’ancrage gauche.

  • Maximum : 10000
    Indisponible sous Windows CE.

Plus de détails dans l’aide en ligne.

VT_I4

PosHeight

Hauteur (maximum) [pixels]

Définit la hauteur maximum du cadre en pixels, depuis le point d’ancrage supérieur.

  • Maximum : 10000
    Indisponible sous Windows CE.

Plus de détails dans l’aide en ligne.

VT_UI4

OpeningSizeType

Taille ouverture

Définit la taille à laquelle un synoptique défini sur la base de ce cadre est appelé dans le Runtime.

  • Taille du cadre. Taille du cadre, définie dans Largeur (maximum) [pixels] et Hauteur (maximum) [pixels].
    Si une valeur différente est sélectionnée, la taille dans le Runtime est représentée par une ligne en pointillés dans la fenêtre du cadre.
  • Largeur [px]. Largeur définie dans Valeur (Taille ouverture) ; la hauteur est modifiée en conséquence.
  • Hauteur [px]. Hauteur définie dans Valeur (Taille ouverture) ; la largeur est modifiée en conséquence.
  • Relative [%]. La taille définie dans Largeur (maximum) [pixels] et Hauteur (maximum) [pixels] est modifiée conformément à la valeur de pourcentage définie dans Valeur (Taille ouverture).

Les valeurs correspondantes sont définies avec la propriété Valeur (Taille ouverture).

Par défaut : Taille du cadre

Plus de détails dans l’aide en ligne.

VT_UI4

OpeningSizeValue

Valeur (Taille ouverture)

Valeur du paramètre de taille lorsqu’il est appelé dans le Runtime, via la propriété Taille ouverture.

Plus de détails dans l’aide en ligne.

VT_UI4

MinSizeType

Limitation Minimum

Type de limite pour la valeur minimum :

  • Sans : Pas de restriction.
    Si une valeur différente est sélectionnée, la valeur limite sélectionnée dans le Runtime est représentée par une ligne en pointillés dans la fenêtre du cadre.
  • Largeur : limite de largeur.
  • Hauteur. limite de hauteur.
  • Relatif : Limitation selon une valeur pourcentage de la taille de synoptique définie.

Agit uniquement sur les gestes MultiTouch. Les valeurs correspondantes sont définies avec la propriété Valeur (minimum).

Par défaut : Sans

Plus de détails dans l’aide en ligne.

VT_UI4

MinSizeValue

Valeur (minimum)

Valeur du paramètre sélectionné dans la propriété.

Plus de détails dans l’aide en ligne.

VT_UI4

LimitationType

Déplacer

Définit les paramètres possibles lors du déplacement de l’objet :

  • Sans restriction
  • Limiter aux bordures
    Remarque : Le type de limitation est défini via la propriété Limitation.

Indisponible sous Windows CE.

Plus de détails dans l’aide en ligne.

VT_UI4

LimitationArea

Marge de gabarit minimum

Uniquement disponible si la valeur associée à la propriété Déplacer a été définie sur Limiter à la taille du moniteur et la propriété Limitation a été définie sur ZOne de bordure du cadre.

Définit la taille de la zone de bordure du cadre, en pixels. Cette zone ne peut pas être déplacée au-delà du bord du moniteur. La plage définie est ainsi représentée sous forme de zone permettant de déplacer le cadre vers la zone visible.

  • Minimum : 0
  • Maximum : non défini
    Si cette zone est définie sur une largeur supérieure la taille du synoptique ou agrandie (avec la fonction Zoom) jusqu’à atteindre une valeur semblable dans le Runtime, le synoptique agit comme une limite pour la bordure du cadre.

Par défaut : 30

Plus de détails dans l’aide en ligne.

VT_UI4

LimitationContactPointSize

Marge de gabarit minimum

Uniquement disponible si la valeur associée à la propriété Déplacer a été définie sur Limiter à la taille du moniteur et la propriété Limitation a été définie sur ZOne de bordure du cadre.

Définit la taille de la zone de bordure du cadre, en pixels. Cette zone ne peut pas être déplacée au-delà du bord du moniteur. La plage définie est ainsi représentée sous forme de zone permettant de déplacer le cadre vers la zone visible.

  • Minimum : 0
  • Maximum : non défini
    Si cette zone est définie sur une largeur supérieure la taille du synoptique ou agrandie (avec la fonction Zoom) jusqu’à atteindre une valeur semblable dans le Runtime, le synoptique agit comme une limite pour la bordure du cadre.

Par défaut : 30

Plus de détails dans l’aide en ligne.

VT_I2

PosType

Position

Détermine la position du modèle et des synoptiques basés sur celui-ci dans le Runtime.

Utiliser la position absolue : Positionne le cadre aux coordonnées définies dans la propriété Position.

Par rapport à l’élément : Positionne le point de référence du cadre par rapport à l’élément depuis lequel l’appel de synoptique a été exécuté. Ici, vous pouvez définir le point de référence du modèle (dans la propriété Point de référence du gabarit) et le point de référence de l’élément (dans la propriété Point de référence de l'élement), ainsi que les distances par rapport à l’élément. Le point de référence du cadre sera toujours placé sur le point de référence calculé de l’élément. Si le cadre ne peut pas être désactivé dans cette position, car cela placerait le synoptique hors de l’écran, les points de référence alternatifs sont utilisés. Vous pouvez configurer les points de référence alternatifs du modèle dans la propriété Point de référence du gabarit et ceux de l’élément dans la propriété Point de référence alternatif de l'élément.

Par rapport au pointeur de souris : Le synoptique est positionné par rapport au point de référence du cadre, c’est-à-dire la position actuelle du pointeur de souris. Vous pouvez définir le point de référence dans la propriété Point de référence du gabarit. Il est affiché sous la forme d’un point rouge dans l’éditeur de cadres. Exemple : Si le point de référence se trouve sur le côté supérieur gauche, le cadre sera chargé dans le coin inférieur droit du point de référence.
Si le synoptique ne peut pas être affiché entièrement à la position configurée, la position sera décalée jusqu’à ce que le synoptique se trouve entièrement dans la zone affichable de l’écran.

Par défaut : utiliser position absolue

Plus de détails dans l’aide en ligne.

VT_BOOL

NoMoveOnReopen

Garder position et taille pour le prochain affichage

Active : Un cadre déplacé manuellement dans le Runtime n’est pas réinitialisé dans sa position de développement lors de l’affichage d’un nouveau synoptique, si le cadre est déjà ouvert sur le même client. Leur position et leur taille sont conservées.

Remarque : Cette option doit être active pour que la position du cadre soit enregistrée avant l’actualisation, et que le cadre soit appelé dans la même position enregistrée après l’actualisation.

Plus de détails dans l’aide en ligne.

VT_I2

RefVert

Vertical

Active uniquement si vous sélectionnez Par rapport à l’élément ou Par rapport au pointeur de souris pour la propriété Position.

Sélectionnez le point de référence souhaité pour le modèle dans la liste déroulante. Choisissez parmi haut, bas ou centré.

Par défaut : Haut

Plus de détails dans l’aide en ligne.

VT_I2

RefHorz

Horizontal

Active uniquement si vous sélectionnez Par rapport à l’élément ou Par rapport au pointeur de souris pour la propriété Position.

Sélectionnez le point de référence souhaité pour le modèle dans la liste déroulante. Choisissez parmi gauche, droite ou centré.

Par défaut : À gauche

Plus de détails dans l’aide en ligne.

VT_I2

AltRefVert

Alternative verticale

Active uniquement si vous avez sélectionné Par rapport à l’élément dans la propriété Position.

Sélectionnez le point de référence souhaité pour le modèle dans la liste déroulante. Le point de référence alternatif sera utilisé s’il est impossible de positionner le modèle au point de référence préféré lors du chargement du modèle. Choisissez parmi haut, bas ou centré.

Par défaut : Haut

Plus de détails dans l’aide en ligne.

VT_I2

AltRefHorz

Alternative horizontale

Active uniquement si vous avez sélectionné Par rapport à l’élément dans la propriété Position.

Sélectionnez le point de référence souhaité pour le modèle dans la liste déroulante. Le point de référence alternatif sera utilisé s’il est impossible de positionner le modèle au point de référence préféré lors du chargement du modèle. Choisissez parmi gauche, droite ou centré.

Par défaut : À gauche

Plus de détails dans l’aide en ligne.

VT_I2

PosVert

Vertical

Active uniquement si vous avez sélectionné Par rapport à l’élément dans la propriété Position.

Sélectionnez le point de référence souhaité pour le modèle dans la liste déroulante. Lors du chargement du modèle, ce point de référence est pris en compte. Choisissez parmi haut ou bas.

Par défaut : Haut

Plus de détails dans l’aide en ligne.

VT_I2

PosHorz

Horizontal

Active uniquement si vous avez sélectionné Par rapport à l’élément dans la propriété Position.

Sélectionnez le point de référence souhaité pour le modèle dans la liste déroulante. Lors du chargement du modèle, ce point de référence est pris en compte. Choisissez parmi gauche ou droite.

Par défaut : À gauche

Plus de détails dans l’aide en ligne.

VT_I4

PixelVert

Décalage vertical [pixel]

Active uniquement si vous avez sélectionné Par rapport à l’élément dans la propriété Position.

En saisissant une valeur numérique positive ou négative, vous pouvez déplacer le point de référence verticalement.

Par défaut : 2

Plus de détails dans l’aide en ligne.

VT_I4

PixelHorz

Décalage horizontal [pixel]

Active uniquement si vous avez sélectionné Par rapport à l’élément dans la propriété Position.

En saisissant une valeur numérique positive ou négative, vous pouvez déplacer le point de référence horizontalement.

Par défaut : 2

Plus de détails dans l’aide en ligne.

VT_I2

AltPosVert

Vertical

Active uniquement si vous avez sélectionné Par rapport à l’élément dans la propriété Position.

Sélectionnez le point de référence souhaité pour le modèle dans la liste déroulante. Le point de référence alternatif sera utilisé s’il est impossible de positionner le modèle au point de référence préféré lors du chargement du modèle. Choisissez parmi haut ou bas.

Par défaut : Haut

Plus de détails dans l’aide en ligne.

VT_I2

AltPosHorz

Horizontal

Active uniquement si vous avez sélectionné Par rapport à l’élément pour la propriété Position.

Sélectionnez le point de référence souhaité pour le modèle dans la liste déroulante. Le point de référence alternatif sera utilisé s’il est impossible de positionner le modèle au point de référence préféré lors du chargement du modèle. Choisissez parmi gauche ou droite.

Par défaut : À gauche

Plus de détails dans l’aide en ligne.

VT_I4

AltPixelVert

Décalage vertical [pixel]

Active uniquement si vous avez sélectionné Par rapport à l’élément dans la propriété Position.

En saisissant une valeur numérique positive ou négative, vous pouvez déplacer le point de référence alternatif verticalement.

Par défaut : 2

Plus de détails dans l’aide en ligne.

VT_I4

AltPixelHorz

Décalage horizontal [pixel]

Active uniquement si vous avez sélectionné Par rapport à l’élément dans la propriété Position.

En saisissant une valeur numérique positive ou négative, vous pouvez déplacer le point de référence alternatif horizontalement.

Par défaut : 2

Plus de détails dans l’aide en ligne.

ZT_FILE

BackgroundPicture

Fichier graphique

Sélection du fichier graphique d’arrière-plan utilisé pour tous les synoptiques créés sur la base de ce modèle.
Remarque : une modification du fichier graphique n’affecte pas les synoptiques déjà existants créés sur la base de ce modèle.

Plus de détails dans l’aide en ligne.

VT_I2

BackgroundPictureStyle

Alignement

Uniquement disponible lorsque vous avez sélectionné l’élément Fichier graphique.

Types d’affichage disponibles :
Mosaïque : taille d’origine, affiché sous forme de "carreaux" positionnés côte à côte.

Étiré : étiré à la taille du synoptique.

Normal : taille d’origine, positionné dans le coin supérieur gauche.
Centré : taille d’origine, centré au milieu du synoptique.

Par défaut : Normal.

Vous ne pouvez pas le déplacer librement.

Remarque : Une modification de l’orientation n’affecte pas les synoptiques déjà existants créés sur la base de ce modèle.

Plus de détails dans l’aide en ligne.

VT_I2

BorderStyle

Type de cadre

Configuration du type de cadre. Ceci définit également si la taille du cadre peut être modifiée dans le Runtime.

  • Redimensionnable : La taille du cadre peut être modifiée dans le Runtime. Une bordure épaisse est affichée autour du cadre.
  • Taille fixe : La taille ne peut pas être modifiée. Une bordure fine est affichée autour du cadre.
  • Pas de cadre : La taille ne peut pas être modifiée. Aucune bordure n’est affichée autour du synoptique.

Par défaut : Plat

Plus de détails dans l’aide en ligne.

VT_BOOL

ShowTitle

Titre

Disponible seulement, si un cadre est sélectionné pour le modèle :
Active : Les barres de titre de Windows sont utilisées pour les synoptiques basés sur ce modèle. Les synoptiques peuvent être déplacés dans le Runtime.
Inactive : Aucune barre de titre n’est utilisée.
Par défaut : inactive.

Plus de détails dans l’aide en ligne.

VT_BOOL

ShowSysMenu

Menu système

Disponible uniquement si le titre est actif.
Active : Affiche le menu système de Windows dans la barre de titre.
Inactive : Le menu système n’est pas affiché.
Par défaut : inactive.

Plus de détails dans l’aide en ligne.

VT_BOOL

ShowMinimize

Boutons Min./Max.

Disponible uniquement si le titre est actif.
Active : Affiche un champ de symboles de Windows dans la barre de titre.
Inactive : Ne pas afficher de champ de symboles.
Par défaut : inactive.

Plus de détails dans l’aide en ligne.

ZT_AKZ

SystemModelGroup

Groupes d'équipements

Lie l’élément à un modèle d’équipement. Cliquez sur le bouton ... pour ouvrir la boîte de sélection d’un groupe d’équipements.
L'affichage du groupe d’équipements sélectionné inclut également les niveaux supérieurs à ce groupe. Les niveaux sont séparés par un point dans l’affichage.

Dans le cas d’une sélection multiple, les groupes d’équipements individuels sont séparés par un point-virgule (;).

Plus de détails dans l’aide en ligne.


Templates

Manuel -> Interfaces de programmation -> Modèles d'objet -> Templates

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

This collection contains the defined Frames. Each Screen is linked to a Frame, which holds general settings as the position, the name, ...The Frames of the global project are also available in this collection.The single Frames can be found in the collection by their unique names or their indices. Each Frame has to have a unique name.

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Examples

C#

VB.NET

VB.NET-Syntax

VBA

Private Sub GetTemplates()
Dim IMDITemplates As MDITemplates
Dim IMDITemplate As MDITemplate
Dim Count As Integer
Dim Ok As Boolean
Dim i As Integer

' --- Selection by Name
Set IMDITemplates = MyWorkspace.GetMDiTemplates("Keyboard")
If Not IMDITemplates Is Nothing Then
Set IMDITemplate = IMDITemplates.Item("Test 3")
Ok = PrintTemplate(IMDITemplate)
End If

' --- Selection by index (zenon Constant)
Set IMDITemplates = MyWorkspace.GetMDiTemplates(tpKeyboard)
If Not IMDITemplates Is Nothing Then
Count = IMDITemplates.Count
For i = 0 To Count - 1
Set IMDITemplate = IMDITemplates.Item(i)
Ok = PrintTemplate(IMDITemplate)
Next
End If
End Sub

Private Function PrintTemplate(IMDITemplate As MDITemplate) As Boolean
If Not IMDITemplate Is Nothing Then
Debug.Print ("Name: " & IMDITemplate.DynProperties("Name"))
Debug.Print ("GUID: " & IMDITemplate.DynProperties("GUID"))
Debug.Print ("ImportPath: " & IMDITemplate.DynProperties("ImportPath"))
Debug.Print ("Folder: " & IMDITemplate.DynProperties("Folder"))
Debug.Print ("MDIType: " & IMDITemplate.DynProperties("MDIType"))
Debug.Print ("Language: " & IMDITemplate.DynProperties("Language"))
Debug.Print ("Description: " & IMDITemplate.DynProperties("Description"))
Debug.Print ("CopaDataTemplate: " & IMDITemplate.DynProperties("CopaDataTemplate"))
Debug.Print ("DefaultTemplate: " & IMDITemplate.DynProperties("DefaultTemplate"))
PrintTemplate = True
Else
PrintTemplate = False
End If
End Function

Other topics in this chapter

Templates-Properties

Templates-Methods


Templates-Properties

Manuel -> Interfaces de programmation -> Modèles d'objet -> Templates -> Templates-Properties

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
long | Count | Returns count of the elements | read only | read only | yes | yes
IProject | Parent | The parent object of the current object | read only | read only | yes | yes

Other topics in this chapter

Parent

Count


Parent

Manuel -> Interfaces de programmation -> Modèles d'objet -> Templates -> Templates-Properties -> Parent

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the parent object

Datatype

Parent() As Project

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


Count

Manuel -> Interfaces de programmation -> Modèles d'objet -> Templates -> Templates-Properties -> Count

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

The method returns the number of available objects. This property is mostly used for the method Item to run through each single object.Hint: For running through entries care, that the minimum is 0 and the maximum is Count-1.

Datatype

Count() As long

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


Templates-Methods

Manuel -> Interfaces de programmation -> Modèles d'objet -> Templates -> Templates-Methods

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
ITemplate | Create | Creates and returns a new Object | available | not used | yes | yes
VARIANT_BOOL | Delete | Deletes the objects from collection | available | not used | yes | yes
void | DynProperties [PUT] | - | available | available | yes | yes
VARIANT | DynProperties [GET] | - | available | available | yes | yes
VARIANT | DynPropertiesEnum [GET] | - | read only | read only | yes | yes
VARIANT_BOOL | Export | Exports the selected object to a XML file | available | not used | yes | yes
VARIANT_BOOL | Import | Imports the selected XML file | available | not used | yes | yes
ITemplate | Item | Returns a object at a position or by a specified key | available | available | yes | yes
IPropParam | DynPropertyParam [GET] | Returns the PropParam objekt of the given DynProperty | read only | not used | yes | yes

Other topics in this chapter

Create

Item

Delete

Export

Import

DynPropertyParam [GET]

DynPropertiesEnum [GET]

DynProperties [GET]

DynProperties [PUT]


Create

Manuel -> Interfaces de programmation -> Modèles d'objet -> Templates -> Templates-Methods -> Create

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Creates a new Frame and returns 'Template' object.

Datatype

Create(String szFileName,[optional] VARIANT bAddToCollection) As Template

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


Item

Manuel -> Interfaces de programmation -> Modèles d'objet -> Templates -> Templates-Methods -> Item

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the object Template from the collection, which is identified by the parameter vID.Hint: The Frames defined in the global project are added to the Frames of the current project. On accessing a Frame with its name it is first searched for in the current project. If it cannot be found there, it is searched for in the global project.The parameter vID can have two values:<ul><li>Index: Access with an index mostly is used in combination with the property "Count" to find out the position of the variable object in the list.</li><li>Frame name: The Frame can also be accessed with its unique name.</li></ul>Hint: The returned object should be checked on Nothing, for the case that no object was found with the search criteria.

Datatype

Item(VARIANT vID) As Template

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


Delete

Manuel -> Interfaces de programmation -> Modèles d'objet -> Templates -> Templates-Methods -> Delete

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Deletes the 'Template' object from the 'Templates' collection.

Datatype

Delete(String szIdentification) As Boolean

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


Export

Manuel -> Interfaces de programmation -> Modèles d'objet -> Templates -> Templates-Methods -> Export

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Export settings to an xml file

Datatype

Export(String bsFileName) As Boolean

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

Path and Filename whre the XML file should be stored.

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

szFileName As String

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Private Sub zenOn_ExportImportSettings(ByRef zenOnObject As Object)
End Sub


Import

Manuel -> Interfaces de programmation -> Modèles d'objet -> Templates -> Templates-Methods -> Import

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Import settings from an xml file. New settings are added, existing settings will be replaced.

Datatype

Import(String bsFileName) As Boolean

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

Path and Filename where the XML file for import is located.

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

szFileName As String

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Private Sub zenOn_ExportImportSettings(ByRef zenOnObject As Object)
End Sub


DynPropertyParam [GET]

Manuel -> Interfaces de programmation -> Modèles d'objet -> Templates -> Templates-Methods -> DynPropertyParam [GET]

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

DynPropertyParam [GET](BSTR bsPath) As PropParam

Availability

Environment | Available
Editor | read only
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


DynPropertiesEnum [GET]

Manuel -> Interfaces de programmation -> Modèles d'objet -> Templates -> Templates-Methods -> DynPropertiesEnum [GET]

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

DynPropertiesEnum(String bsPath) As VARIANT

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes

Parameters

A String which defines the entry point to get out all available properties of the object.

A blank String like that returns the first layer of properties:

DynPropertiesEnum("")

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

bsPath As String

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Sub ReadDynProps()
End Sub


DynProperties [GET]

Manuel -> Interfaces de programmation -> Modèles d'objet -> Templates -> Templates-Methods -> DynProperties [GET]

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

DynProperties(String bsPath) As VARIANT

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

A String which defines the Property.

Example: "NetAktive"

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

bsPath As String

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Sub GetDynProp()
'Sample: GSet the Network Aktive Flag of the Project.
If MyWorkspace.ActiveDocument.DynProperties("NetActive") = True Then
'read the server - computername...
Debug.Print "Server: " & MyWorkspace.ActiveDocument.DynProperties("NetServer")
End If
End Sub


DynProperties [PUT]

Manuel -> Interfaces de programmation -> Modèles d'objet -> Templates -> Templates-Methods -> DynProperties [PUT]

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

DynProperties (String bsPath,VARIANT vValue) As void

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

A String which defines the Property.

Example: "NetAktive"

Returns a variant value depending to the property, it can be a boolean, a long, or a whole object.

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

bsPath As String

vValue As Variant

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Sub SetDynProp()
End Sub


TextList

Manuel -> Interfaces de programmation -> Modèles d'objet -> TextList

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

TextList Class for the Text Lists API

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes

Examples

C#

VB.NET

VBA

Other topics in this chapter

TextList-Properties

TextList-Methods


TextList-Properties

Manuel -> Interfaces de programmation -> Modèles d'objet -> TextList -> TextList-Properties

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
ITextList | Parent | Returns the parent object of the current object | not used | available | yes | yes
long | Count | Returns the amount of Text-List items | not used | available | yes | yes
BSTR | ID | Returns the Id of the Text-List | not used | available | yes | yes
BSTR | Name | Returns the name of the Text-List | not used | available | yes | yes
BSTR | Description | Returns the description of the Text-List | not used | available | yes | yes
VARIANT_BOOL | Removed | Returns the Removed status of the Text-List | not used | available | yes | yes
BSTR | Guid | Returns the Guid of the Text-List | not used | available | yes | yes

Other topics in this chapter

Parent

Count

Guid

Name

Description

Removed


Parent

Manuel -> Interfaces de programmation -> Modèles d'objet -> TextList -> TextList-Properties -> Parent

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Access to the parent Text-List

Datatype

Parent() As ITextList

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes


Count

Manuel -> Interfaces de programmation -> Modèles d'objet -> TextList -> TextList-Properties -> Count

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the amount of Text-List Items (Read only)

Datatype

Count() As long

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes


Guid

Manuel -> Interfaces de programmation -> Modèles d'objet -> TextList -> TextList-Properties -> Guid

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the ID of the Text-List

Datatype

Guid() As BSTR

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes


Name

Manuel -> Interfaces de programmation -> Modèles d'objet -> TextList -> TextList-Properties -> Name

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the name of the Text-List

Datatype

Name() As BSTR

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes


Description

Manuel -> Interfaces de programmation -> Modèles d'objet -> TextList -> TextList-Properties -> Description

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the description of the Text-List

Datatype

Description() As BSTR

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes


Removed

Manuel -> Interfaces de programmation -> Modèles d'objet -> TextList -> TextList-Properties -> Removed

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the Removed status of the Text-List

Datatype

Removed() As VARIANT_BOOL

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes


TextList-Methods

Manuel -> Interfaces de programmation -> Modèles d'objet -> TextList -> TextList-Methods

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
ITextList | Item | Returns a object at a position or by a specified key | not used | available | yes | yes
ITextList | Create | Creates and returns new Text-List object | not used | available | yes | yes

Other topics in this chapter

Item

Create


Item

Manuel -> Interfaces de programmation -> Modèles d'objet -> TextList -> TextList-Methods -> Item

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns an object at a position or by a specified key

Datatype

Item(VARIANT vNameOrPos) As ITextList

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

VB.NET

VBA

Examples

C#

VB.NET

VBA


Create

Manuel -> Interfaces de programmation -> Modèles d'objet -> TextList -> TextList-Methods -> Create

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Creates and returns new Text-List object

Datatype

Create(BSTR bsName, BSTR bsDescription) As ITextList

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

VB.NET

VBA

Examples

C#

VB.NET

VBA


TextListManager

Manuel -> Interfaces de programmation -> Modèles d'objet -> TextListManager

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Access to the Text Lists API in the Project

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes

Examples

C#

VB.NET

VBA

Other topics in this chapter

TextListManager-Properties

TextListManager-Methods

TextListManager-Events


TextListManager-Properties

Manuel -> Interfaces de programmation -> Modèles d'objet -> TextListManager -> TextListManager-Properties

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
IProject | Parent | Returns the parent object of the current object | not used | available | yes | yes
long | Count | Returns the amount of Text-List Items | not used | available | yes | yes

Other topics in this chapter

Parent

Count


Parent

Manuel -> Interfaces de programmation -> Modèles d'objet -> TextListManager -> TextListManager-Properties -> Parent

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Access to the parent project

Datatype

Parent() As IProject

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes


Count

Manuel -> Interfaces de programmation -> Modèles d'objet -> TextListManager -> TextListManager-Properties -> Count

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the amount of Text-List Items (Read only)

Datatype

Count() As long

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes


TextListManager-Methods

Manuel -> Interfaces de programmation -> Modèles d'objet -> TextListManager -> TextListManager-Methods

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
ITextList | Item | Returns a object at a position or by a specified key | not used | available | yes | yes
ITextList | Create | Creates and returns new Text-List object | not used | available | yes | yes
VARIANT_BOOL | Save | Saves the Text-List | not used | available | yes | yes
VARIANT_BOOL | Export | Exports the selected object to a XML file | not used | available | yes | yes
VARIANT_BOOL | Import | Imports the selected XML file | not used | available | yes | yes

Other topics in this chapter

Item

Create

Save

Export

Import


Item

Manuel -> Interfaces de programmation -> Modèles d'objet -> TextListManager -> TextListManager-Methods -> Item

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns an object at a position or by a specified key

Datatype

Item(VARIANT vNameOrPos) As ITextList

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

VB.NET

VBA

Examples

C#

VB.NET

VBA


Create

Manuel -> Interfaces de programmation -> Modèles d'objet -> TextListManager -> TextListManager-Methods -> Create

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Creates and returns new Text-List object

Datatype

Create(BSTR bsName, BSTR bsDescription) As ITextList

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

VB.NET

VBA

Examples

C#

VB.NET

VBA


Save

Manuel -> Interfaces de programmation -> Modèles d'objet -> TextListManager -> TextListManager-Methods -> Save

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

Save() As VARIANT_BOOL

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

VB.NET

VBA

Examples

C#

VB.NET

VBA


Export

Manuel -> Interfaces de programmation -> Modèles d'objet -> TextListManager -> TextListManager-Methods -> Export

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Exports the whole text list into the given file as XML. No popup dialog.

sFileName = file location

Datatype

Export(BSTR bsFileName) As VARIANT_BOOL

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

VB.NET

VBA

Examples

C#

public void Macro_ExportTextLists()

{

ITextListManager TextListManager = Project.TextListManager;

string FileName = @"C:\Users\Oltion.Kuka\Desktop\ TextListToExport.XML ";

TextListManager.Export(FileName); // the function returns a bool

}

VB.NET

VBA


Import

Manuel -> Interfaces de programmation -> Modèles d'objet -> TextListManager -> TextListManager-Methods -> Import

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Imports the given file into the text list, no popup dialogs. All existing textlists are removed from memory (RAM, from disk they are removed when textlists are saved)

sFileName = file location

Datatype

Import(BSTR bsFileName) As VARIANT_BOOL

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

VB.NET

VBA

Examples

C#

public void Macro_ImportTextLists()

{

ITextListManager TextListManager = Project.TextListManager;

string FileName = @"C:\Users\Oltion.Kuka\Desktop\TextListToImport.XML";

TextListManager.Import(FileName); // the function returns a bool

}

VB.NET

VBA


TextListManager-Events

Manuel -> Interfaces de programmation -> Modèles d'objet -> TextListManager -> TextListManager-Events

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
void | TextListsChanged | This event is fired when the data or structure from Text-List Items has changed | not used | available | yes | yes
void | SelectionChanged | This event is fired when the selection in the Text-List screen changes | not used | available | yes | yes

Other topics in this chapter

TextListsChanged

SelectionChanged


TextListsChanged

Manuel -> Interfaces de programmation -> Modèles d'objet -> TextListManager -> TextListManager-Events -> TextListsChanged

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

TextListsChanged() As void

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

VB.NET

VBA

Examples

C#

VB.NET

VBA


SelectionChanged

Manuel -> Interfaces de programmation -> Modèles d'objet -> TextListManager -> TextListManager-Events -> SelectionChanged

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

An event is fired when one or more entries of a textlist are selected. The parameter of the event is an array of all selected textlists.

Datatype

SelectionChanged(LPVARIANT arrSelection) As void

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

VB.NET

VBA

Examples

C#

public void Macro_EnableTextListEvents()

{

TextListManager.SelectionChanged += TextListManager_SelectionChanged;

Project.Cel().WriteCelString("TextList events enabled");

}

void TextListManager_SelectionChanged(ref object arrSelection)

{

if (null == arrSelection)

{

Project.Cel().WriteCelString("Text list: no selection");

return;

}

Object[] selectedItems = (Object[])arrSelection;

for (int i = 0; i < selectedItems.Length; i++)

{

ITextList list = (ITextList)selectedItems[i];

Project.Cel().WriteCelString(list.Name);

}

}

public void Macro_DisbleTextListEvents()

{

TextListManager.SelectionChanged -= TextListManager_SelectionChanged;

Project.Cel().WriteCelString("TextList events disabled");

}

VB.NET

VBA

Option Explicit

Private WithEvents myEvent As TextListManager

Private Sub Project_Active()

Set myEvent = thisProject.TextListManager

End Sub

Private Sub Project_Inactive()

Set myEvent = Nothing

End Sub

Private Sub myEvent_SelectionChanged(arrSelection As Variant)

Dim R As Long

If IsEmpty(arrSelection) Then

Else

For R = 0 To UBound(arrSelection, 1)

thisProject.Cel.WriteCelString (R)

Dim TextToTest As TextList

Set TextToTest = arrSelection(R)

thisProject.Cel.WriteCelString (TextToTest.Name())

Next R

End If

End Sub


TimeFunction

Manuel -> Interfaces de programmation -> Modèles d'objet -> TimeFunction

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

The "TimeFunction" object, also called "Time control" in zenOn, enables the user to define function calls which should be executed at a defined (fixed) time or cyclically.When defining the time control functions for the month or year changes it is important to define the date correctly because this lays down the day after the month or year change on which the function is executed.

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Examples

C#

VB.NET

VB.NET-Syntax

VBA

Sub CreateTimeFunction()
End Sub

Other topics in this chapter

TimeFunction-Properties

TimeFunction-Methods

TimeFunction-Dynamic properties


TimeFunction-Properties

Manuel -> Interfaces de programmation -> Modèles d'objet -> TimeFunction -> TimeFunction-Properties

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
VARIANT_BOOL | Active |  | available | read only | yes | yes
VARIANT_BOOL | Cycled |  | available | read only | yes | yes
long | ID | Returns count of contained objects | read only | read only | yes | yes
long | IntervalTime | Returns count of contained objects | available | read only | yes | yes
VARIANT_BOOL | MonthSwitch | Returns time-function by position or ID | available | read only | yes | yes
BSTR | Name | Returns time-function by position or ID | available | read only | yes | yes
ITimeFunctions | Parent | Parent of object | read only | read only | yes | yes
DATE | StartTime | Parent of object | available | read only | yes | yes
VARIANT_BOOL | YearSwitch |  | available | read only | yes | yes

Other topics in this chapter

Parent

ID

Name

Active

Cycled

StartTime

IntervalTime

MonthSwitch

YearSwitch


Parent

Manuel -> Interfaces de programmation -> Modèles d'objet -> TimeFunction -> TimeFunction-Properties -> Parent

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the parent object

Datatype

Parent() As TimeFunctions

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


ID

Manuel -> Interfaces de programmation -> Modèles d'objet -> TimeFunction -> TimeFunction-Properties -> ID

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the unique ID for the "TimeFunction" object.

Datatype

ID() As long

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


Name

Manuel -> Interfaces de programmation -> Modèles d'objet -> TimeFunction -> TimeFunction-Properties -> Name

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Gets or sets the name of the "TimeFunction" object as string.

Datatype

Name() As String

Availability

Environment | Available
Editor | available
Runtime | read only
VBA | yes
VSTA | yes


Active

Manuel -> Interfaces de programmation -> Modèles d'objet -> TimeFunction -> TimeFunction-Properties -> Active

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

If set TRUE, the time-function will be executed in the Runtime. Otherwise, the time-function is not executed in the Runtime.Hint: Time specific properties of the "TimeFunction" object can only be set if this property is set TRUE.

Datatype

Active() As Boolean

Availability

Environment | Available
Editor | available
Runtime | read only
VBA | yes
VSTA | yes


Cycled

Manuel -> Interfaces de programmation -> Modèles d'objet -> TimeFunction -> TimeFunction-Properties -> Cycled

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Gets or sets if the execution of the function is done cyclic.Hint: In combination with the property "Cycled" the execution type for the "TimeFunction" object can be set. For further information please have a look at the "SetDaySelected" method.

Datatype

Cycled() As Boolean

Availability

Environment | Available
Editor | available
Runtime | read only
VBA | yes
VSTA | yes


StartTime

Manuel -> Interfaces de programmation -> Modèles d'objet -> TimeFunction -> TimeFunction-Properties -> StartTime

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Gets or sets the start time when the function should be executed.

Datatype

StartTime() As DATE

Availability

Environment | Available
Editor | available
Runtime | read only
VBA | yes
VSTA | yes

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Sub zenOn_TimeFunction_SetStartTime(ByRef zTime As TimeFunction)

'Set new start time: 2007-08-21 14:30:30
zTime.StartTime = DateSerial(2007, 8, 21) + TimeSerial(14, 30, 30)

'Output new start time
Debug.Print zTime.StartTime

End Sub


IntervalTime

Manuel -> Interfaces de programmation -> Modèles d'objet -> TimeFunction -> TimeFunction-Properties -> IntervalTime

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Time interval, in which the function should be executed. The interval is defined in seconds.Hint: This property is only available, if the property "Cycled" is set to TRUE and the properties "MonthSwitch" and "YearSwitch" are deactivated.

Datatype

IntervalTime() As long

Availability

Environment | Available
Editor | available
Runtime | read only
VBA | yes
VSTA | yes


MonthSwitch

Manuel -> Interfaces de programmation -> Modèles d'objet -> TimeFunction -> TimeFunction-Properties -> MonthSwitch

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

If set TRUE, the function will only be executed on the turn of a month (Length of interval: 1 month). Otherwise, the setting from the property "IntervalTime" is used for the execution of the function.Hint: This property is only available, if the property "Cycled" is set to TRUE and property "YearSwitch" is deactivated.

Datatype

MonthSwitch() As Boolean

Availability

Environment | Available
Editor | available
Runtime | read only
VBA | yes
VSTA | yes


YearSwitch

Manuel -> Interfaces de programmation -> Modèles d'objet -> TimeFunction -> TimeFunction-Properties -> YearSwitch

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

If set TRUE, the function will only be executed at the turn of a year (Length of interval: 1 year). Otherwise, the setting from the property "IntervalTime" is used for the execution of the function.Hint: This property is only available, if the property "Cycled" is set to TRUE and property "MonthSwitch" is deactivated.

Datatype

YearSwitch() As Boolean

Availability

Environment | Available
Editor | available
Runtime | read only
VBA | yes
VSTA | yes


TimeFunction-Methods

Manuel -> Interfaces de programmation -> Modèles d'objet -> TimeFunction -> TimeFunction-Methods

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description |  | Editor | Runtime | VBA | VSTA
VARIANT_BOOL | CheckIn | Save module modifications to server (editor). |  | available | not used | yes | yes
VARIANT_BOOL | CheckOut | Allow module modifications (editor). |  | available | not used | yes | yes
void | DynProperties [PUT] | - |  | available | available | yes | yes
VARIANT | DynProperties [GET] | - |  | available | available | yes | yes
VARIANT | DynPropertiesEnum [GET] | - |  | read only | read only | yes | yes
VARIANT_BOOL | Get | Get the latest version from the server (editor). |  | available | not used | yes | yes
VARIANT_BOOL | IsCheckedOut | Returns true when the current module checked out by the current user (editor). |  | read only | not used | yes | yes
VARIANT_BOOL | IsDaySelected | - |  | available | available | yes | yes
VARIANT_BOOL | IsDifferent | Returns true when the local and server version are different (editor). | read only |  | not used | yes |  | yes
VARIANT_BOOL | IsLocked | Returns true when the current module is Locked by another user (editor). |  | read only | not used | yes | yes
IRtFunction | ItemRtFunction | - |  | read only | read only | yes | yes
void | SetDaySelected | - |  | available | available | yes | yes
VARIANT_BOOL | UndoCheckOut | Undo module modifications (editor). |  | available | not used | yes | yes
IPropParam | DynPropertyParam [GET] | Returns the PropParam objekt of the given DynProperty |  | read only | not used | yes | yes

Other topics in this chapter

ItemRtFunction

IsDaySelected

SetDaySelected

DynPropertyParam [GET]

DynPropertiesEnum [GET]

DynProperties [GET]

DynProperties [PUT]

Get

CheckOut

CheckIn

UndoCheckOut

IsLocked

IsCheckedOut

IsDifferent


ItemRtFunction

Manuel -> Interfaces de programmation -> Modèles d'objet -> TimeFunction -> TimeFunction-Methods -> ItemRtFunction

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns a "RtFunction" object with the function that was assigned by the creation of the "TimeFunction" object.

Datatype

ItemRtFunction() As RtFunction

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


IsDaySelected

Manuel -> Interfaces de programmation -> Modèles d'objet -> TimeFunction -> TimeFunction-Methods -> IsDaySelected

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

IsDaySelected(long lDay) As Boolean

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


SetDaySelected

Manuel -> Interfaces de programmation -> Modèles d'objet -> TimeFunction -> TimeFunction-Methods -> SetDaySelected

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

SetDaySelected(long lDay,Boolean bValue) As void

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

State of the day for the execution of the function. If set TRUE, then the function will be executed on this day. Otherwise it will not be executed.

Day that should be checked.

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

bValue As Boolean

lDay As Long

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Sub zenOn_TimeFunction_SetExecutionType(ByRef zTime As TimeFunction)

'Set execution type: "cyclic only on that day"
zTime.SetDaySelected 8, True
zTime.Cycled = True

'Set execution type: "only on that day"
zTime.SetDaySelected 8, True
zTime.Cycled = False

'Set execution type: "cyclic from that day"
zTime.SetDaySelected 8, False
zTime.Cycled = True

'Set execution type: "from that day"
zTime.SetDaySelected 8, False
zTime.Cycled = False

End Sub


DynPropertyParam [GET]

Manuel -> Interfaces de programmation -> Modèles d'objet -> TimeFunction -> TimeFunction-Methods -> DynPropertyParam [GET]

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

DynPropertyParam [GET](BSTR bsPath) As PropParam

Availability

Environment | Available
Editor | read only
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


DynPropertiesEnum [GET]

Manuel -> Interfaces de programmation -> Modèles d'objet -> TimeFunction -> TimeFunction-Methods -> DynPropertiesEnum [GET]

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

DynPropertiesEnum(String bsPath) As VARIANT

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes

Parameters

A String which defines the entry point to get out all available properties of the object.

A blank String like that returns the first layer of properties:

DynPropertiesEnum("")

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

bsPath As String

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Sub ReadDynProps()
End Sub


DynProperties [GET]

Manuel -> Interfaces de programmation -> Modèles d'objet -> TimeFunction -> TimeFunction-Methods -> DynProperties [GET]

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

DynProperties(String bsPath) As VARIANT

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

A String which defines the Property.

Example: "NetAktive"

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

bsPath As String

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Sub GetDynProp()
'Sample: GSet the Network Aktive Flag of the Project.
If MyWorkspace.ActiveDocument.DynProperties("NetActive") = True Then
'read the server - computername...
Debug.Print "Server: " & MyWorkspace.ActiveDocument.DynProperties("NetServer")
End If
End Sub


DynProperties [PUT]

Manuel -> Interfaces de programmation -> Modèles d'objet -> TimeFunction -> TimeFunction-Methods -> DynProperties [PUT]

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

DynProperties (String bsPath,VARIANT vValue) As void

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

A String which defines the Property.

Example: "NetAktive"

Returns a variant value depending to the property, it can be a boolean, a long, or a whole object.

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

bsPath As String

vValue As Variant

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Sub SetDynProp()
End Sub


Get

Manuel -> Interfaces de programmation -> Modèles d'objet -> TimeFunction -> TimeFunction-Methods -> Get

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Get the latest version from the server (editor). This option is only working for multi-user projects.

Datatype

Get() As Boolean

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


CheckOut

Manuel -> Interfaces de programmation -> Modèles d'objet -> TimeFunction -> TimeFunction-Methods -> CheckOut

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Allow module modifications (editor). This option is only working for multi-user projects.

Datatype

CheckOut() As Boolean

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


CheckIn

Manuel -> Interfaces de programmation -> Modèles d'objet -> TimeFunction -> TimeFunction-Methods -> CheckIn

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Save module modifications to server (editor). This option is only working for multi-user projects.

Datatype

CheckIn() As Boolean

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


UndoCheckOut

Manuel -> Interfaces de programmation -> Modèles d'objet -> TimeFunction -> TimeFunction-Methods -> UndoCheckOut

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Undo module modifications (editor). This option is only working for multi-user projects.

Datatype

UndoCheckOut() As Boolean

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


IsLocked

Manuel -> Interfaces de programmation -> Modèles d'objet -> TimeFunction -> TimeFunction-Methods -> IsLocked

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns true if modification changes are locked due to a checkout. This option is only working for multi-user projects.

Datatype

IsLocked() As Boolean

Availability

Environment | Available
Editor | read only
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


IsCheckedOut

Manuel -> Interfaces de programmation -> Modèles d'objet -> TimeFunction -> TimeFunction-Methods -> IsCheckedOut

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns true if scripts are checked out. This option is only working for multi-user projects.

Datatype

IsCheckedOut() As Boolean

Availability

Environment | Available
Editor | read only
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


IsDifferent

Manuel -> Interfaces de programmation -> Modèles d'objet -> TimeFunction -> TimeFunction-Methods -> IsDifferent

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns true if local version differs from server (editor) version. This option is only working for multi-user projects.

Datatype

IsDifferent() As VARIANT_BOOL

Availability

Environment | Available
Editor | read only
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


TimeFunction-Dynamic properties

Manuel -> Interfaces de programmation -> Modèles d'objet -> TimeFunction -> TimeFunction-Dynamic properties

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Dynproperties

Time function entry

Other topics in this chapter

Time function entry


Time function entry

Manuel -> Interfaces de programmation -> Modèles d'objet -> TimeFunction -> TimeFunction-Dynamic properties -> Time function entry

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Type

VBA/VSTA Name

Display Name

Description

VT_BOOL

Active

Actif

Active : La fonction de temps est active dans le Runtime.
Inactive : La fonction de temps n’est pas affichée dans le Runtime.
Par défaut : active.

Plus de détails dans l’aide en ligne.

VT_BSTR

Name

Nom

Nom unique de la fonction de temps.

Par défaut : Fonction de temps x (où x est un nombre consécutif).

Attention : Cette propriété n’est pas disponible aux fins de la commutation de langue.

Plus de détails dans l’aide en ligne.

ZT_FUNCTION

Function

Fonction

Sélection de la fonction à exécuter de manière temporisée.
Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de fonctions.

Si d’autres fonctions doivent être exécutées :

  1. Créez un script qui exécute les fonctions.
  2. Liez la fonction d’exécution du script.

Plus de détails dans l’aide en ligne.

VT_I4

Type

Type d'exécution

Sélection du type d’exécution :

  • À partir de ce jour : La fonction est exécutée à partir du jour spécifié, à l’heure définie.
  • Seulement ce jour : La fonction est exécutée une fois le jour spécifié, à l’heure définie.
  • Par cycle à partir de ce jour : La fonction est exécutée de manière à partir du jour spécifié, à l’intervalle défini.
  • Par cycle seulement pour ce jour : La fonction est uniquement exécutée de manière cyclique le jour ouvré spécifié, à l’intervalle défini.

Par défaut : Par cycle à partir de ce jour

Plus de détails dans l’aide en ligne.

ZT_DATETIME

ExecuteDate

Heure de démarrage :

Date à laquelle ou à partir de laquelle la fonction temporisée doit être exécutée.

Plus de détails dans l’aide en ligne.

ZT_ZEIT

Interval

Intervalle

Intervalle durant lequel la fonction doit être exécutée.
Par défaut : 00:15:00 répète la fonction temporisée toutes les 15 minutes.

Remarque : cette propriété est uniquement adaptée aux intervalles de moins de 24 heures. Pour répéter une fonction de temps pendant plusieurs jours, configurez les jours souhaités de la semaine dans le groupe de propriétés Jours d'exécution.

Plus de détails dans l’aide en ligne.

VT_BOOL

Monthly

Intervalle un mois

Uniquement disponible si la valeur Cyclique a été sélectionnée dans la propriété Type d'exécution.

  • Active : La fonction est exécutée à partir de l’heure de début, à intervalles d’un mois.
  • Inactive : Les paramètres pour la propriété Intervalle sont utilisés.

Par défaut : Inactive

Remarque : Le changement de mois et changement d’année désigne la date d’exécution définie, et non le changement de mois au 1. 1. à 00:00.
Si la modification doit être exécutée à cet instant précis, la configuration doit être effectuée pour cet instant ; par exemple, 01.01.2017 à 00:00:00 h.

Plus de détails dans l’aide en ligne.

VT_BOOL

Yearly

Intervalle une année

Disponible uniquement si la valeur Cyclique a été sélectionnée pour la propriété Type d'exécution.

  • Active : La fonction est exécutée à partir de l’heure de début, à intervalles d’un an.
  • Inactive : Les paramètres pour la propriété Intervalle sont utilisés.

Par défaut : Inactive

Remarque : Le changement de mois et changement d’année désigne la date d’exécution définie, et non le changement de mois au 1. 1. à 00:00.
Si la modification doit être exécutée à cet instant précis, la configuration doit être effectuée pour cet instant ; par exemple, 01.01.2017 à 00:00:00 h.

Plus de détails dans l’aide en ligne.

VT_BOOL

Monday

Lundi

Active : La fonction est (également) exécutée le lundi.
Inactive : La fonction n’est pas exécutée le lundi.
Par défaut : active.

Plus de détails dans l’aide en ligne.

VT_BOOL

Tuesday

Mardi

Active : La fonction est (également) exécutée le mardi.
Inactive : La fonction n’est pas exécutée le mardi.
Par défaut : active.

Plus de détails dans l’aide en ligne.

VT_BOOL

Wednesday

Mercredi

Active : La fonction est (également) exécutée le mercredi.
Inactive : La fonction n’est pas exécutée le mercredi.
Par défaut : active.

Plus de détails dans l’aide en ligne.

VT_BOOL

Thursday

Jeudi

Active : La fonction est (également) exécutée le jeudi.
Inactive : La fonction n’est pas exécutée le jeudi.
Par défaut : active.

Plus de détails dans l’aide en ligne.

VT_BOOL

Friday

Vendredi

Active : La fonction est (également) exécutée le vendredi.
Inactive : La fonction n’est pas exécutée le vendredi.
Par défaut : active.

Plus de détails dans l’aide en ligne.

VT_BOOL

Saturday

Samedi

Active : La fonction est (également) exécutée le samedi.
Inactive : La fonction n’est pas exécutée le samedi.
Par défaut : active.

Plus de détails dans l’aide en ligne.

VT_BOOL

Sunday

Dimanche

Active : La fonction est (également) exécutée le dimanche.
Inactive : La fonction n’est pas exécutée le dimanche.
Par défaut : active.

Plus de détails dans l’aide en ligne.

ZT_AKZ

SystemModelGroup

Groupes d'équipements

Lie l’élément à un modèle d’équipement. Cliquez sur le bouton ... pour ouvrir la boîte de sélection d’un groupe d’équipements.
L'affichage du groupe d’équipements sélectionné inclut également les niveaux supérieurs à ce groupe. Les niveaux sont séparés par un point dans l’affichage.

Dans le cas d’une sélection multiple, les groupes d’équipements individuels sont séparés par un point-virgule (;).

Plus de détails dans l’aide en ligne.


TimeFunctions

Manuel -> Interfaces de programmation -> Modèles d'objet -> TimeFunctions

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

This object manages "TimeFunction" objects.

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Examples

C#

VB.NET

VB.NET-Syntax

VBA

Sub zenOn_TimeFunctions()
'Declarations
Dim zProject As Project
Dim zTimeFcts As TimeFunctions
Dim i As Integer

'Initialize zProject with the current project
Set zProject = MyWorkspace.ActiveDocument
'Initialize zTimeFcts with the "TimeFunction" object collection of the project
Set zTimeFcts = zProject.TimeFunctions

'Create a new "TimeFunction" object and assign the first available function to it
zTimeFcts.Create "zenOn_TimeFunction", zProject.RtFunctions.Item(0).ID

'For every "TimeFunction" object within the collection...
For i = 0 To zTimeFcts.Count - 1
'... output the name
Debug.Print zTimeFcts.Item(i).Name

Next i

'Delete the former created "TimeFunction" object
zTimeFcts.Delete "zenOn_TimeFunction"

End Sub

Other topics in this chapter

TimeFunctions-Properties

TimeFunctions-Methods


TimeFunctions-Properties

Manuel -> Interfaces de programmation -> Modèles d'objet -> TimeFunctions -> TimeFunctions-Properties

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
long | Count | Returns count of contained objects | read only | read only | yes | yes
IProject | Parent | Parent of object | read only | read only | yes | yes

Other topics in this chapter

Parent

Count


Parent

Manuel -> Interfaces de programmation -> Modèles d'objet -> TimeFunctions -> TimeFunctions-Properties -> Parent

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the parent object

Datatype

Parent() As Project

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


Count

Manuel -> Interfaces de programmation -> Modèles d'objet -> TimeFunctions -> TimeFunctions-Properties -> Count

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

The method returns the number of available objects. This property is mostly used for the method Item to run through each single object.Hint: For running through entries care, that the minimum is 0 and the maximum is Count-1.

Datatype

Count() As long

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


TimeFunctions-Methods

Manuel -> Interfaces de programmation -> Modèles d'objet -> TimeFunctions -> TimeFunctions-Methods

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
ITimeFunction | Create | Creates and returns a new Object | available | not used | yes | yes
VARIANT_BOOL | Delete | Deletes the objects from collection | available | not used | yes | yes
VARIANT_BOOL | Export | Exports the selected object to a XML file | available | not used | yes | yes
VARIANT_BOOL | Import | Imports the selected XML file | available | not used | yes | yes
ITimeFunction | Item | Returns a object at a position or by a specified key | available | available | yes | yes
VARIANT_BOOL | SingleExport | Exports the Item with given Name oder Index | available | not used | yes | yes
VARIANT_BOOL | SingleExport | Exports the Item with given Name oder Index | available | not used | yes | yes

Other topics in this chapter

Item

Create

Delete

Export

SingleExport

Import


Item

Manuel -> Interfaces de programmation -> Modèles d'objet -> TimeFunctions -> TimeFunctions-Methods -> Item

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the "TimeFunction" object from the collection, which is identified by the parameter vNameOrPos. The parameter vNameOrPos can have two values:

  • Element name: The element can be accessed with its unique name.
  • Index: Access with an index is mostly used in combination with the property "Count" to find out the position of the "TimeFunction" object in the list.

Hint:The returned object should be checked on Nothing, if no object for the search criteria was found.

Datatype

Item(VARIANT vNameOrPos) As TimeFunction

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


Create

Manuel -> Interfaces de programmation -> Modèles d'objet -> TimeFunctions -> TimeFunctions-Methods -> Create

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Creates a new "TimeFunction" object by its name as string and the unique ID of the function that should be assigned to the object.

Datatype

Create(String bsName,long nFunctionID) As TimeFunction

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


Delete

Manuel -> Interfaces de programmation -> Modèles d'objet -> TimeFunctions -> TimeFunctions-Methods -> Delete

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Deletes an existing "TimeFunction" object by its name as string.

Datatype

Delete(String bsName) As Boolean

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


Export

Manuel -> Interfaces de programmation -> Modèles d'objet -> TimeFunctions -> TimeFunctions-Methods -> Export

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Export settings to an xml file

Datatype

Export(String bsFileName) As Boolean

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

Filename (path) as string of the xml file to export.

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

bsFileName As String

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Private Sub zenOn_ExportImportSettings(ByRef zenOnObject As Object)
End Sub


SingleExport

Manuel -> Interfaces de programmation -> Modèles d'objet -> TimeFunctions -> TimeFunctions-Methods -> SingleExport

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

SingleExport(VARIANT vIndexOrName,BSTR bsFileName) As VARIANT_BOOL

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

VB.NET

VBA

Examples

C#

VB.NET

VBA


Import

Manuel -> Interfaces de programmation -> Modèles d'objet -> TimeFunctions -> TimeFunctions-Methods -> Import

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Import settings from an xml file. New settings are added, existing settings will be replaced.

Datatype

Import(String bsFileName) As Boolean

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

Filename (path) as string of the xml file to import.

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

bsFileName As String

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Private Sub zenOn_ExportImportSettings(ByRef zenOnObject As Object)
End Sub


Units

Manuel -> Interfaces de programmation -> Modèles d'objet -> Units

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Examples

C#

VB.NET

VB.NET-Syntax

VBA

Other topics in this chapter

Units-Methods

Units-Dynamic properties


Units-Methods

Manuel -> Interfaces de programmation -> Modèles d'objet -> Units -> Units-Methods

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
VARIANT_BOOL | CreateDynProperty | - | available | not used | yes | yes
void | DynProperties [PUT] | - | available | not used | yes | yes
VARIANT | DynProperties [GET] | - | available | not used | yes | yes
VARIANT | DynPropertiesEnum [GET] | - | available | not used | yes | yes
VARIANT_BOOL | Export | Exports the selected object to a XML file | available | not used | yes | yes
VARIANT_BOOL | Import | Imports the selected XML file | available | not used | yes | yes
IPropParam | DynPropertyParam [GET] | Returns the PropParam objekt of the given DynProperty | read only | not used | yes | yes

Other topics in this chapter

Export

Import

DynPropertyParam [GET]

DynPropertiesEnum [GET]

CreateDynProperty

DynProperties [GET]

DynProperties [PUT]


Export

Manuel -> Interfaces de programmation -> Modèles d'objet -> Units -> Units-Methods -> Export

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

Export(String bsFileName) As Boolean

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

Filename (path) as string of the xml file for export.

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

bsFileName As String

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Private Sub zenOn_ExportImportSettings(ByRef zenOnObject As Object)
End Sub


Import

Manuel -> Interfaces de programmation -> Modèles d'objet -> Units -> Units-Methods -> Import

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Import setting using a xml file. New settings are added, existing settings will be replaced.

Datatype

Import(String bsFileName) As Boolean

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

Filename (path) as string of the xml file to import.

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

bsFileName As String

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Private Sub zenOn_ExportImportSettings(ByRef zenOnObject As Object)
End Sub


DynPropertyParam [GET]

Manuel -> Interfaces de programmation -> Modèles d'objet -> Units -> Units-Methods -> DynPropertyParam [GET]

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

DynPropertyParam [GET](BSTR bsPath) As PropParam

Availability

Environment | Available
Editor | read only
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


DynPropertiesEnum [GET]

Manuel -> Interfaces de programmation -> Modèles d'objet -> Units -> Units-Methods -> DynPropertiesEnum [GET]

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

DynPropertiesEnum(String bsPath) As VARIANT

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

A String which defines the entry point to get out all available properties of the object.

A blank String like that returns the first layer of properties:

DynPropertiesEnum("")

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

bsPath As String

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


CreateDynProperty

Manuel -> Interfaces de programmation -> Modèles d'objet -> Units -> Units-Methods -> CreateDynProperty

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

CreateDynProperty(String bsPath) As Boolean

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


DynProperties [GET]

Manuel -> Interfaces de programmation -> Modèles d'objet -> Units -> Units-Methods -> DynProperties [GET]

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

DynProperties(String bsPath) As VARIANT

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


DynProperties [PUT]

Manuel -> Interfaces de programmation -> Modèles d'objet -> Units -> Units-Methods -> DynProperties [PUT]

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

DynProperties (String bsPath,VARIANT vValue) As void

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


Units-Dynamic properties

Manuel -> Interfaces de programmation -> Modèles d'objet -> Units -> Units-Dynamic properties

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Dynproperties

Unit manager

Other topics in this chapter

CPrimaryUnit

Unit manager


CPrimaryUnit

Manuel -> Interfaces de programmation -> Modèles d'objet -> Units -> Units-Dynamic properties -> CPrimaryUnit

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Type

VBA/VSTA Name

Display Name

Description

More...

Units

Unités de mesure

VT_BSTR

Name

Unité de mesure

Instruction relative à l’unité de base depuis laquelle est effectuée la conversion ou à l’unité de conversion vers laquelle sera effectuée la conversion. Par exemple, C°, K, m, y, Celsius, Kelvin, mètre, yard, etc.

Vous pouvez utiliser jusqu’à 50 caractères.

Plus de détails dans l’aide en ligne.

ZT_AKZ

SystemModelGroup

Groupes d'équipements

Lie l’élément à un modèle d’équipement. Cliquez sur le bouton ... pour ouvrir la boîte de sélection d’un groupe d’équipements.
L'affichage du groupe d’équipements sélectionné inclut également les niveaux supérieurs à ce groupe. Les niveaux sont séparés par un point dans l’affichage.

Dans le cas d’une sélection multiple, les groupes d’équipements individuels sont séparés par un point-virgule (;).

Plus de détails dans l’aide en ligne.


Unit manager

Manuel -> Interfaces de programmation -> Modèles d'objet -> Units -> Units-Dynamic properties -> Unit manager

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | VBA/VSTA Name | Display Name | Description
More... | Units | Unités de mesure |


User

Manuel -> Interfaces de programmation -> Modèles d'objet -> User

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

This object represents an user from the central user administration of the current project. The most important settings of the single users are available with this object.All available settings can be edited with VBA.The critical properties Identification and Password can only be edited with a method, whereas the properties Name and Level can be edited directly in the property.

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Examples

C#

VB.NET

VB.NET-Syntax

VBA

Sub ChangeUser()
Dim zUser As User
Dim vResult As Variant

Set zUser = thisProject.Passwords.ItemUser(0)
Debug.Print zUser.Name & " will be changed"

'change the identification of the user
vResult = zUser.IdentificationChange("NewLogonName")

'change the password for the user
vResult = zUser.PasswordChange("P@ssword", "NewPassword")

End Sub

Other topics in this chapter

User-Properties

User-Methods

User-Dynamic properties


User-Properties

Manuel -> Interfaces de programmation -> Modèles d'objet -> User -> User-Properties

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description |  | Editor | Runtime | VBA | VSTA
VARIANT_BOOL | Active | Activate/Deactivate user |  | available | available | yes | yes
VARIANT_BOOL | Admin | User has admin rights | available |  | available | yes |  | yes
BSTR | Identification | TagName |  | read only | read only | yes | yes
long | Level | Rights/Password-Levels 0 |  | available | available | yes | yes
long | Level1 | Rights/Password-Levels 1 |  | available | available | yes | yes
long | Level2 | Rights/Password-Levels 2 |  | available | available | yes | yes
long | Level3 | Rights/Password-Levels 3 |  | available | available | yes | yes
VARIANT_BOOL | Locked | Lock/Unlock user |  | available | read only | yes | yes
BSTR | Name | Name |  | available | available | yes | yes
IPasswords | Parent | Parent-object |  | read only | read only | yes | yes

Other topics in this chapter

Parent

Identification

Name

Level

Level1

Level2

Level3

Active

Locked

Admin


Parent

Manuel -> Interfaces de programmation -> Modèles d'objet -> User -> User-Properties -> Parent

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the parent object

Datatype

Parent() As Passwords

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


Identification

Manuel -> Interfaces de programmation -> Modèles d'objet -> User -> User-Properties -> Identification

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the unique identification of the user. With this identification the user can be found in the central user administration.This property cannot be written directly – instead the method IdentificationChange is available, with which the identification of a user can be changed.

Datatype

Identification() As String

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


Name

Manuel -> Interfaces de programmation -> Modèles d'objet -> User -> User-Properties -> Name

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

This property operates the name of the user. The name can be read as well as written. But be aware, that the name cannot have more than 30 characters.

Datatype

Name() As String

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes


Level

Manuel -> Interfaces de programmation -> Modèles d'objet -> User -> User-Properties -> Level

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

Level() As long

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes


Level1

Manuel -> Interfaces de programmation -> Modèles d'objet -> User -> User-Properties -> Level1

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

Level1() As long

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes


Level2

Manuel -> Interfaces de programmation -> Modèles d'objet -> User -> User-Properties -> Level2

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

Level2() As long

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes


Level3

Manuel -> Interfaces de programmation -> Modèles d'objet -> User -> User-Properties -> Level3

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

Level3() As long

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes


Active

Manuel -> Interfaces de programmation -> Modèles d'objet -> User -> User-Properties -> Active

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Activate/Deactivate user

Datatype

Active() As Boolean

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes


Locked

Manuel -> Interfaces de programmation -> Modèles d'objet -> User -> User-Properties -> Locked

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Lock/Unlock user

Datatype

Locked() As VARIANT_BOOL

Availability

Environment | Available
Editor | available
Runtime | read only
VBA | yes
VSTA | yes


Admin

Manuel -> Interfaces de programmation -> Modèles d'objet -> User -> User-Properties -> Admin

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

User has admin rights

Datatype

Admin() As VARIANT_BOOL

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes


User-Methods

Manuel -> Interfaces de programmation -> Modèles d'objet -> User -> User-Methods

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
void | DynProperties [PUT] | - | available | available | yes | yes
VARIANT | DynProperties [GET] | - | available | available | yes | yes
VARIANT | DynPropertiesEnum [GET] | - | read only | read only | yes | yes
VARIANT_BOOL | IdentificationChange | Changes the TagName | available | not used | yes | yes
VARIANT_BOOL | PasswordChange | Changes the password | available | available | yes | yes
IPropParam | DynPropertyParam [GET] | Returns the PropParam objekt of the given DynProperty | read only | not used | yes | yes

Other topics in this chapter

DynPropertyParam [GET]

DynPropertiesEnum [GET]

DynProperties [GET]

DynProperties [PUT]

PasswordChange

IdentificationChange


DynPropertyParam [GET]

Manuel -> Interfaces de programmation -> Modèles d'objet -> User -> User-Methods -> DynPropertyParam [GET]

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

DynPropertyParam [GET](BSTR bsPath) As PropParam

Availability

Environment | Available
Editor | read only
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


DynPropertiesEnum [GET]

Manuel -> Interfaces de programmation -> Modèles d'objet -> User -> User-Methods -> DynPropertiesEnum [GET]

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

DynPropertiesEnum(String bsPath) As VARIANT

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes

Parameters

A String which defines the entry point to get out all available properties of the object.

A blank String like that returns the first layer of properties:

DynPropertiesEnum("")

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

bsPath As String

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Sub ReadDynProps()
End Sub


DynProperties [GET]

Manuel -> Interfaces de programmation -> Modèles d'objet -> User -> User-Methods -> DynProperties [GET]

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

DynProperties(String bsPath) As VARIANT

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

A String which defines the Property.

Example: "NetAktive"

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

bsPath As String

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Sub GetDynProp()
'Sample: GSet the Network Aktive Flag of the Project.
If MyWorkspace.ActiveDocument.DynProperties("NetActive") = True Then
'read the server - computername...
Debug.Print "Server: " & MyWorkspace.ActiveDocument.DynProperties("NetServer")
End If
End Sub


DynProperties [PUT]

Manuel -> Interfaces de programmation -> Modèles d'objet -> User -> User-Methods -> DynProperties [PUT]

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

DynProperties (String bsPath,VARIANT vValue) As void

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

A String which defines the Property.

Example: "NetAktive"

Returns a variant value depending to the property, it can be a boolean, a long, or a whole object.

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

bsPath As String

vValue As Variant

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Sub SetDynProp()
End Sub


PasswordChange

Manuel -> Interfaces de programmation -> Modèles d'objet -> User -> User-Methods -> PasswordChange

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

This method changes the password of the current user. If the parameter szOld is not true for the current password, False is returned.Otherwise the new password is confirmed and the cange is saved.

Datatype

PasswordChange(String szOld,String szNew) As Boolean

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


IdentificationChange

Manuel -> Interfaces de programmation -> Modèles d'objet -> User -> User-Methods -> IdentificationChange

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

This method changes the unique identification of the user. If the same identification already exists, False is returned.If the identification does not exist yet, it is linked to the current user and saved. In this case the method returns True.

Datatype

IdentificationChange(String szIdentification) As VARIANT_BOOL

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


User-Dynamic properties

Manuel -> Interfaces de programmation -> Modèles d'objet -> User -> User-Dynamic properties

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Dynproperties

User

CUserForList

Other topics in this chapter

User

CUserForList


User

Manuel -> Interfaces de programmation -> Modèles d'objet -> User -> User-Dynamic properties -> User

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Type

VBA/VSTA Name

Display Name

Description

VT_BOOL

UserActive

Utilisateur actif

Active : L’utilisateur est accepté dans le Runtime.
Inactive : L’utilisateur n’est pas accepté dans le Runtime.
Par défaut : active.

Plus de détails dans l’aide en ligne.

VT_BSTR

UserName

Nom complet

Nom de l’utilisateur.
Pour plusieurs actions de l’utilisateur, la chaîne de caractères peut être affichée dans la liste d’événements (CEL). Le nom complet de l’utilisateur doit être spécifié. La liste d’événements comporte une colonne destinée à l’affichage de ce type d’informations. En outre, ces informations peuvent être affichées à l’aide d’une variable de driver système.
Plus de détails dans le manuel en ligne.

VT_BOOL

Admin

Administrateur

L’utilisateur est un administrateur. Sélection avec une case à cocher :

  • Active :
    L'utilisateur est un administrateur. Cet administrateur peut donc modifier d’autres utilisateurs dans le Runtime et déverrouiller le système.
    Inactive :
    Cet utilisateur n’est pas un administrateur et possède les autorisations utilisateur configurées.

Par défaut : inactive.
Attention : un administrateur peut uniquement déverrouiller les groupes d’autorisations qu’il possède lui-même pour d’autres utilisateurs.

Plus de détails dans l’aide en ligne.

VT_BOOL

UserLocked

Verrouillé

Active : L’utilisateur est bloqué.
Inactive : L’utilisateur n’est pas bloqué.
Par défaut : inactive.

Un utilisateur est automatiquement bloqué après un nombre défini d’erreurs de saisie du mot de passe. Le blocage peut être annulé ici.
Seul un administrateur peut débloquer un utilisateur, car seul un administrateur peut modifier un utilisateur.

Plus de détails dans l’aide en ligne.

VT_BSTR

LockCode

Code de verrouillage

Code PIN à quatre chiffres.

Ce code est employé par l’utilisateur pour verrouiller et déverrouiller différentes zones. L’utilisation de ce code pour le verrouillage évite de déverrouiller un verrou par mégarde, et permet ainsi d’éviter des accidents.

VT_UI4

UserLevel0

UserLevel0

"With the UserLevel properties you have the opportunity to get/set selected authorization groups via a long value.
The value for the selected authorization groups is splitted over four properties. For example: Selected authorization levels 0,1,2 have an UserLevel0 value of 7 (1+2+4)."

VT_UI4

UserLevel1

UserLevel1

"With the UserLevel properties you have the opportunity to get/set selected authorization groups via a long value.
The value for the selected authorization groups is splitted over four properties. For example: Selected authorization levels 0,1,2 have an UserLevel0 value of 7 (1+2+4)."

VT_UI4

UserLevel2

UserLevel2

"With the UserLevel properties you have the opportunity to get/set selected authorization groups via a long value.
The value for the selected authorization groups is splitted over four properties. For example: Selected authorization levels 0,1,2 have an UserLevel0 value of 7 (1+2+4)."

VT_UI4

UserLevel3

UserLevel3

"With the UserLevel properties you have the opportunity to get/set selected authorization groups via a long value.
The value for the selected authorization groups is splitted over four properties. For example: Selected authorization levels 0,1,2 have an UserLevel0 value of 7 (1+2+4)."

VT_I4

LoginRTP

Profil runtime

Sélection du profil de Runtime devant être attribué à l’utilisateur lors de la connexion. Profils possibles :

aucune : aucun profil n’est attribué

DEFAULT : le profil DEFAULT est attribué.

LAST : le profil LAST est attribué.

Par défaut : Aucun

Plus de détails dans l’aide en ligne.

VT_BOOL

IsMsgCtrlUser

Utilisateur Message Control

Active : l’identifiant d’utilisateur est utilisé par le module Message Control.

Plus de détails dans l’aide en ligne.

VT_BSTR

MsgPinCode

Code PIN

Code PIN permettant à l’utilisateur de confirmer la réception du message.

Remarque : ce code doit être significativement différent du code de la propriété Code NA.

Plus de détails dans l’aide en ligne.

VT_BSTR

MsgNACKCode

Code NA

Code d’indisponibilité permettant à l’utilisateur de refuser de confirmer la réception du message.

Remarque : ce code doit être significativement différent du code de la propriété Code PIN.

Plus de détails dans l’aide en ligne.

VT_BSTR

MsgErsatzUser

Remplaçant

Personne remplaçant l’utilisateur s’il ne peut pas être contacté. Cliquez sur le bouton ... pour ouvrir une boîte de dialogue permettant de sélectionner un utilisateur. Seuls les utilisateurs activés en tant qu’utilisateurs de Message Control peuvent être sélectionnés (voir la propriété Utilisateur Message Control).

Plus de détails dans l’aide en ligne.

VT_BSTR

MsgGSM

Téléphone portable

Numéro de téléphone cellulaire de l’utilisateur. Utilisé pour l’envoi de messages par téléphone portable et SMS ("textos").

Saisissez le numéro ; le préfixe + peut être utilisé à la place des numéros 00 précédant le code international.

Plus de détails dans l’aide en ligne.

VT_BSTR

MsgPhone

Téléphone

Numéro de téléphone fixe de l’utilisateur. Utilisé pour la fonction de synthèse vocale.

Saisissez le numéro ; le préfixe + peut être utilisé à la place des numéros 00 précédant le code international.

Plus de détails dans l’aide en ligne.

VT_BSTR

MsgEmail

Adresse e-mail

Adresse e-mail de l’utilisateur

Plus de détails dans l’aide en ligne.

VT_BSTR

GUID

GUID

VT_BSTR

UserGroupsOrderImExpo

UserGroupsOrderImExpo

ZT_AKZ

SystemModelGroup

Groupes d'équipements

Lie l’élément à un modèle d’équipement. Cliquez sur le bouton ... pour ouvrir la boîte de sélection d’un groupe d’équipements.
L'affichage du groupe d’équipements sélectionné inclut également les niveaux supérieurs à ce groupe. Les niveaux sont séparés par un point dans l’affichage.

Dans le cas d’une sélection multiple, les groupes d’équipements individuels sont séparés par un point-virgule (;).

Plus de détails dans l’aide en ligne.


CUserForList

Manuel -> Interfaces de programmation -> Modèles d'objet -> User -> User-Dynamic properties -> CUserForList

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Type

VBA/VSTA Name

Display Name

Description

VT_BOOL

UserActive

Utilisateur actif

Active : L’utilisateur est accepté dans le Runtime.
Inactive : L’utilisateur n’est pas accepté dans le Runtime.
Par défaut : active.

Plus de détails dans l’aide en ligne.

VT_BSTR

UserName

Nom complet

Nom de l’utilisateur.
Pour plusieurs actions de l’utilisateur, la chaîne de caractères peut être affichée dans la liste d’événements (CEL). Le nom complet de l’utilisateur doit être spécifié. La liste d’événements comporte une colonne destinée à l’affichage de ce type d’informations. En outre, ces informations peuvent être affichées à l’aide d’une variable de driver système.
Plus de détails dans le manuel en ligne.

VT_BOOL

Admin

Administrateur

L’utilisateur est un administrateur. Sélection avec une case à cocher :

  • Active :
    L'utilisateur est un administrateur. Cet administrateur peut donc modifier d’autres utilisateurs dans le Runtime et déverrouiller le système.
    Inactive :
    Cet utilisateur n’est pas un administrateur et possède les autorisations utilisateur configurées.

Par défaut : inactive.
Attention : un administrateur peut uniquement déverrouiller les groupes d’autorisations qu’il possède lui-même pour d’autres utilisateurs.

Plus de détails dans l’aide en ligne.

VT_BOOL

UserLocked

Verrouillé

Active : L’utilisateur est bloqué.
Inactive : L’utilisateur n’est pas bloqué.
Par défaut : inactive.

Un utilisateur est automatiquement bloqué après un nombre défini d’erreurs de saisie du mot de passe. Le blocage peut être annulé ici.
Seul un administrateur peut débloquer un utilisateur, car seul un administrateur peut modifier un utilisateur.

Plus de détails dans l’aide en ligne.

VT_UI4

UserLevel0

UserLevel0

"With the UserLevel properties you have the opportunity to get/set selected authorization groups via a long value.
The value for the selected authorization groups is splitted over four properties. For example: Selected authorization levels 0,1,2 have an UserLevel0 value of 7 (1+2+4)."

VT_UI4

UserLevel1

UserLevel1

"With the UserLevel properties you have the opportunity to get/set selected authorization groups via a long value.
The value for the selected authorization groups is splitted over four properties. For example: Selected authorization levels 0,1,2 have an UserLevel0 value of 7 (1+2+4)."

VT_UI4

UserLevel2

UserLevel2

"With the UserLevel properties you have the opportunity to get/set selected authorization groups via a long value.
The value for the selected authorization groups is splitted over four properties. For example: Selected authorization levels 0,1,2 have an UserLevel0 value of 7 (1+2+4)."

VT_UI4

UserLevel3

UserLevel3

"With the UserLevel properties you have the opportunity to get/set selected authorization groups via a long value.
The value for the selected authorization groups is splitted over four properties. For example: Selected authorization levels 0,1,2 have an UserLevel0 value of 7 (1+2+4)."

VT_I4

LoginRTP

Profil runtime

Sélection du profil de Runtime devant être attribué à l’utilisateur lors de la connexion. Profils possibles :

aucune : aucun profil n’est attribué

DEFAULT : le profil DEFAULT est attribué.

LAST : le profil LAST est attribué.

Par défaut : Aucun

Plus de détails dans l’aide en ligne.

VT_BOOL

IsMsgCtrlUser

Utilisateur Message Control

Active : l’identifiant d’utilisateur est utilisé par le module Message Control.

Plus de détails dans l’aide en ligne.

VT_BSTR

MsgErsatzUser

Remplaçant

Personne remplaçant l’utilisateur s’il ne peut pas être contacté. Cliquez sur le bouton ... pour ouvrir une boîte de dialogue permettant de sélectionner un utilisateur. Seuls les utilisateurs activés en tant qu’utilisateurs de Message Control peuvent être sélectionnés (voir la propriété Utilisateur Message Control).

Plus de détails dans l’aide en ligne.

VT_BSTR

MsgGSM

Téléphone portable

Numéro de téléphone cellulaire de l’utilisateur. Utilisé pour l’envoi de messages par téléphone portable et SMS ("textos").

Saisissez le numéro ; le préfixe + peut être utilisé à la place des numéros 00 précédant le code international.

Plus de détails dans l’aide en ligne.

VT_BSTR

MsgPhone

Téléphone

Numéro de téléphone fixe de l’utilisateur. Utilisé pour la fonction de synthèse vocale.

Saisissez le numéro ; le préfixe + peut être utilisé à la place des numéros 00 précédant le code international.

Plus de détails dans l’aide en ligne.

VT_BSTR

MsgEmail

Adresse e-mail

Adresse e-mail de l’utilisateur

Plus de détails dans l’aide en ligne.

VT_BSTR

GUID

GUID

VT_BSTR

UserGroupsOrderImExpo

UserGroupsOrderImExpo

ZT_AKZ

SystemModelGroup

Groupes d'équipements

Lie l’élément à un modèle d’équipement. Cliquez sur le bouton ... pour ouvrir la boîte de sélection d’un groupe d’équipements.
L'affichage du groupe d’équipements sélectionné inclut également les niveaux supérieurs à ce groupe. Les niveaux sont séparés par un point dans l’affichage.

Dans le cas d’une sélection multiple, les groupes d’équipements individuels sont séparés par un point-virgule (;).

Plus de détails dans l’aide en ligne.


UserGroup

Manuel -> Interfaces de programmation -> Modèles d'objet -> UserGroup

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Examples

C#

VB.NET

VB.NET-Syntax

VBA

Public Sub EnumUserGroup()
Dim zPRJ As Project
Dim zUGP As UserGroup
Dim i As Integer

Set zPRJ = MyWorkspace.ActiveDocument

For i = 0 To zPRJ.Passwords.CountUserGroup - 1
Set zUGP = zPRJ.Passwords.ItemUserGroup(i)
Debug.Print "Usergroup >>> " & zUGP.DynProperties("UserGroupName")
Debug.Print " Level 0-31 : " & zUGP.DynProperties("UserGroupLevel0")
Debug.Print " Level 32-63 : " & zUGP.DynProperties("UserGroupLevel1")
Debug.Print " Level 64-91 : " & zUGP.DynProperties("UserGroupLevel2")
Debug.Print " Level 92-127: " & zUGP.DynProperties("UserGroupLevel3")
Next i
End Sub

Public Sub CreateUserGroup()
Dim zPRJ As Project
Dim zUGP As UserGroup

Set zPRJ = MyWorkspace.ActiveDocument

Set zUGP = zPRJ.Passwords.CreateUserGroup("MyGroup", 255) 'Level 0-7

With zUGP
.DynProperties("UserGroupLevel0") = 255 'Level 0-7
.DynProperties("UserGroupLevel1") = 255 'Level 32-39
.DynProperties("UserGroupLevel2") = 255 'Level 64-71
.DynProperties("UserGroupLevel3") = 255 'Level 96-103
End With
End Sub

Other topics in this chapter

UserGroup-Methods

UserGroup-Dynamic properties


UserGroup-Methods

Manuel -> Interfaces de programmation -> Modèles d'objet -> UserGroup -> UserGroup-Methods

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
VARIANT_BOOL | CreateDynProperty | - | available | not used | yes | yes
void | DynProperties [PUT] | - | available | not used | yes | yes
VARIANT | DynProperties [GET] | - | available | not used | yes | yes
VARIANT | DynPropertiesEnum [GET] | - | available | not used | yes | yes
IPropParam | DynPropertyParam [GET] | Returns the PropParam objekt of the given DynProperty | read only | not used | yes | yes

Other topics in this chapter

DynPropertyParam [GET]

DynPropertiesEnum [GET]

DynProperties [GET]

DynProperties [PUT]

CreateDynProperty


DynPropertyParam [GET]

Manuel -> Interfaces de programmation -> Modèles d'objet -> UserGroup -> UserGroup-Methods -> DynPropertyParam [GET]

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

DynPropertyParam [GET](BSTR bsPath) As PropParam

Availability

Environment | Available
Editor | read only
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


DynPropertiesEnum [GET]

Manuel -> Interfaces de programmation -> Modèles d'objet -> UserGroup -> UserGroup-Methods -> DynPropertiesEnum [GET]

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

DynPropertiesEnum(String bsPath) As VARIANT

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


DynProperties [GET]

Manuel -> Interfaces de programmation -> Modèles d'objet -> UserGroup -> UserGroup-Methods -> DynProperties [GET]

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

DynProperties(String bsPath) As VARIANT

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


DynProperties [PUT]

Manuel -> Interfaces de programmation -> Modèles d'objet -> UserGroup -> UserGroup-Methods -> DynProperties [PUT]

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

DynProperties (String bsPath,VARIANT vValue) As void

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


CreateDynProperty

Manuel -> Interfaces de programmation -> Modèles d'objet -> UserGroup -> UserGroup-Methods -> CreateDynProperty

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

CreateDynProperty(String bsPath) As Boolean

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


UserGroup-Dynamic properties

Manuel -> Interfaces de programmation -> Modèles d'objet -> UserGroup -> UserGroup-Dynamic properties

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Dynproperties

UserGroup

Other topics in this chapter

UserGroup


UserGroup

Manuel -> Interfaces de programmation -> Modèles d'objet -> UserGroup -> UserGroup-Dynamic properties -> UserGroup

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | VBA/VSTA Name | Display Name | Description
VT_BSTR | UserGroupName | Nom | Nom du groupe d’utilisateurs sélectionné. Cliquez sur le fichier d’origine pour en modifier le nom. Remarque : @ n’est pas un caractère valide pour un groupe d’utilisateurs. Plus de détails dans l’aide en ligne.
VT_UI4 | UserGroupLevel0 | UserGroupLevel0 |
VT_UI4 | UserGroupLevel1 | UserGroupLevel1 |
VT_UI4 | UserGroupLevel2 | UserGroupLevel2 |
VT_UI4 | UserGroupLevel3 | UserGroupLevel3 |
VT_BSTR | GUID | GUID |
VT_BOOL | IsMsgCtrlGroup | Groupe Message Control | Active : le groupe d’utilisateurs est utilisé par le module Message Control. Plus de détails dans l’aide en ligne.


VarAssignment

Manuel -> Interfaces de programmation -> Modèles d'objet -> VarAssignment

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Availability

Environment | Available
Editor | available
Runtime | read only
VBA | yes
VSTA | yes

Examples

C#

VB.NET

VB.NET-Syntax

VBA

'Create a new VarAssignment (Allocation)
Sub CreateAssignment()
Dim zVarAssign As VarAssignment
'create by NAME
Set zVarAssign = MyWorkspace.ActiveDocument.VarAssignments.Create("MyAssignment3", "WIZ_VAR_10", "WIZ_VAR_11")
'change settings
With zVarAssign
'set trigger type
.DynProperties("TriggerType") = 1
'set trigger variable by Name
.DynProperties("TriggerVariable") = "MyTrigger"
End With
End Sub

Other topics in this chapter

VarAssignment-Properties

VarAssignment-Methods

VarAssignment-Dynamic properties


VarAssignment-Properties

Manuel -> Interfaces de programmation -> Modèles d'objet -> VarAssignment -> VarAssignment-Properties

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
long | ID | Set/Get unique ID for the object | read only | read only | yes | yes
BSTR | Name | Set/Get the user-defined name | available | read only | yes | yes
IVarAssignments | Parent | Parent of object | read only | read only | yes | yes

Other topics in this chapter

Parent

ID

Name


Parent

Manuel -> Interfaces de programmation -> Modèles d'objet -> VarAssignment -> VarAssignment-Properties -> Parent

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the parent object

Datatype

Parent() As VarAssignments

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


ID

Manuel -> Interfaces de programmation -> Modèles d'objet -> VarAssignment -> VarAssignment-Properties -> ID

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Get unique ID for the object

Datatype

ID() As long

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


Name

Manuel -> Interfaces de programmation -> Modèles d'objet -> VarAssignment -> VarAssignment-Properties -> Name

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Set/Get the user-defined name

Datatype

Name() As String

Availability

Environment | Available
Editor | available
Runtime | read only
VBA | yes
VSTA | yes


VarAssignment-Methods

Manuel -> Interfaces de programmation -> Modèles d'objet -> VarAssignment -> VarAssignment-Methods

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
VARIANT_BOOL | ChangeSourceVariable | Change source (can be member of another project) | available | not used | yes | yes
VARIANT_BOOL | ChangeTargetVariable | Change target (can be member of another project) | available | not used | yes | yes
void | DynProperties [PUT] | - | available | available | yes | yes
VARIANT | DynProperties [GET] | - | available | available | yes | yes
VARIANT | DynPropertiesEnum [GET] | - | read only | read only | yes | yes
IVariable | ItemSourceVariable | Get the linked source variable | read only | read only | yes | yes
IVariable | ItemTargetVariable | Get the linked target variable | read only | read only | yes | yes
IPropParam | DynPropertyParam [GET] | Returns the PropParam objekt of the given DynProperty | read only | not used | yes | yes
IVariable | ItemSourceVariable | Get the linked source variable | read only | read only | yes | yes
IVariable | ItemTargetVariable | Get the linked target variable | read only | read only | yes | yes

Other topics in this chapter

ItemSourceVariable

ItemTargetVariable

ChangeSourceVariable

ChangeTargetVariable

DynPropertyParam [GET]

DynPropertiesEnum [GET]

DynProperties [GET]

DynProperties [PUT]


ItemSourceVariable

Manuel -> Interfaces de programmation -> Modèles d'objet -> VarAssignment -> VarAssignment-Methods -> ItemSourceVariable

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

ItemSourceVariable() As IVariable

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes

Parameters

C#

VB.NET

VBA

Examples

C#

VB.NET

VBA


ItemTargetVariable

Manuel -> Interfaces de programmation -> Modèles d'objet -> VarAssignment -> VarAssignment-Methods -> ItemTargetVariable

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

ItemTargetVariable() As IVariable

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes

Parameters

C#

VB.NET

VBA

Examples

C#

VB.NET

VBA


ChangeSourceVariable

Manuel -> Interfaces de programmation -> Modèles d'objet -> VarAssignment -> VarAssignment-Methods -> ChangeSourceVariable

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Change source (can be member of another project).

Datatype

ChangeSourceVariable(String bsProject,long nNewSourceID) As Boolean

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

Projectname as string.

PvID of new source variable as string.

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

bsProject As String

nNewSourceID As Long

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Sub CallChange()
ChangeAssignment MyWorkspace.ActiveDocument.VarAssignments.Item("MyAssignment")
End Sub

Sub ChangeAssignment(zVarAssign As VarAssignment)
Dim zSrcVar As Variable
Dim zDstVar As Variable
Dim strProject As String

Set zSrcVar = MyWorkspace.ActiveDocument.Variables.Item("WIZ_VAR_11")
Set zDstVar = MyWorkspace.ActiveDocument.Variables.Item("WIZ_VAR_12")
strProject = MyWorkspace.ActiveDocument.Name
'change the source and target variable
With zVarAssign
.ChangeSourceVariable strProject, zSrcVar.PvID
.ChangeTargetVariable strProject, zDstVar.PvID
End With
End Sub


ChangeTargetVariable

Manuel -> Interfaces de programmation -> Modèles d'objet -> VarAssignment -> VarAssignment-Methods -> ChangeTargetVariable

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Change target (can be member of another project).

Datatype

ChangeTargetVariable(String bsProject,long nNewTargetID) As Boolean

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

PvID of new target variable as string.

Projectname as string.

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

nNewTargetID As Long

bsProject As String

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Sub CallChange()
ChangeAssignment MyWorkspace.ActiveDocument.VarAssignments.Item("MyAssignment")
End Sub

Sub ChangeAssignment(zVarAssign As VarAssignment)
Dim zSrcVar As Variable
Dim zDstVar As Variable
Dim strProject As String

Set zSrcVar = MyWorkspace.ActiveDocument.Variables.Item("WIZ_VAR_11")
Set zDstVar = MyWorkspace.ActiveDocument.Variables.Item("WIZ_VAR_12")
strProject = MyWorkspace.ActiveDocument.Name
'change the source and target variable
With zVarAssign
.ChangeSourceVariable strProject, zSrcVar.PvID
.ChangeTargetVariable strProject, zDstVar.PvID
End With
End Sub


DynPropertyParam [GET]

Manuel -> Interfaces de programmation -> Modèles d'objet -> VarAssignment -> VarAssignment-Methods -> DynPropertyParam [GET]

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

DynPropertyParam [GET](BSTR bsPath) As PropParam

Availability

Environment | Available
Editor | read only
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


DynPropertiesEnum [GET]

Manuel -> Interfaces de programmation -> Modèles d'objet -> VarAssignment -> VarAssignment-Methods -> DynPropertiesEnum [GET]

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

DynPropertiesEnum(String bsPath) As VARIANT

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes

Parameters

A String which defines the entry point to get out all available properties of the object.

A blank String like that returns the first layer of properties:

DynPropertiesEnum("")

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

bsPath As String

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Sub ReadDynProps()
End Sub


DynProperties [GET]

Manuel -> Interfaces de programmation -> Modèles d'objet -> VarAssignment -> VarAssignment-Methods -> DynProperties [GET]

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

DynProperties(String bsPath) As VARIANT

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

A String which defines the Property.

Example: "NetAktive"

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

bsPath As String

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Sub GetDynProp()
'Sample: GSet the Network Aktive Flag of the Project.
If MyWorkspace.ActiveDocument.DynProperties("NetActive") = True Then
'read the server - computername...
Debug.Print "Server: " & MyWorkspace.ActiveDocument.DynProperties("NetServer")
End If
End Sub


DynProperties [PUT]

Manuel -> Interfaces de programmation -> Modèles d'objet -> VarAssignment -> VarAssignment-Methods -> DynProperties [PUT]

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

DynProperties (String bsPath,VARIANT vValue) As void

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

A String which defines the Property.

Example: "NetAktive"

Returns a variant value depending to the property, it can be a boolean, a long, or a whole object.

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

bsPath As String

vValue As Variant

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Sub SetDynProp()
End Sub


VarAssignment-Dynamic properties

Manuel -> Interfaces de programmation -> Modèles d'objet -> VarAssignment -> VarAssignment-Dynamic properties

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Dynproperties

Allocation entry

Other topics in this chapter

Allocation entry


Allocation entry

Manuel -> Interfaces de programmation -> Modèles d'objet -> VarAssignment -> VarAssignment-Dynamic properties -> Allocation entry

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Type

VBA/VSTA Name

Display Name

Description

VT_BSTR

Name

Nom

Nom unique du attribution.
Par défaut : Attribution x (où x est un numéro consécutif).

Attention : Cette propriété n’est pas disponible aux fins de la commutation de langue.
Plus de détails dans l’aide en ligne.

ZT_VARIABLE

SourceVariable

Variable source

Nom de la variable dont la valeur doit être attribuée à la variable cible.
Ouvre la boîte de dialogue de sélection de variables.

Plus de détails dans l’aide en ligne.

ZT_VARIABLE

TargetVariable

Variable de destination

Nom de la variable dont la valeur doit être attribuée à la variable source.
Ouvre la boîte de dialogue de sélection de variables.

Plus de détails dans l’aide en ligne.

ZT_VARIABLE

TriggerVariable

Var. de déclenchement

La variable de bit liée ici déclenche l’attribution. Si aucune variable n’est liée, l’attribution est exécutée de manière événementielle. Cela signifie que dès que la valeur de la variable source change, l’attribution est automatiquement écrite dans la variable cible.
Ouvre la boîte de dialogue de sélection de variables ; seules les variables bit sont affichées.

Plus de détails dans l’aide en ligne.

VT_UI2

TriggerType

Type de déclenchement

Front : L’attribution est exécutée si la valeur de la variable de déclenchement liée change de 0 en 1.
État : L’attribution est exécutée tant que la valeur de la variable de déclenchement liée est 1.
Par défaut : Front.

Plus de détails dans l’aide en ligne.

ZT_AKZ

SystemModelGroup

Groupes d'équipements

Lie l’élément à un modèle d’équipement. Cliquez sur le bouton ... pour ouvrir la boîte de sélection d’un groupe d’équipements.
L'affichage du groupe d’équipements sélectionné inclut également les niveaux supérieurs à ce groupe. Les niveaux sont séparés par un point dans l’affichage.

Dans le cas d’une sélection multiple, les groupes d’équipements individuels sont séparés par un point-virgule (;).

Plus de détails dans l’aide en ligne.


VarAssignments

Manuel -> Interfaces de programmation -> Modèles d'objet -> VarAssignments

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

The VarAssignments collection contains all existing allocations of the current project. With this collection you can access all or certain allocations.Additional to the access via the index the allocations can also be accessed via the unique name or the position.

Availability

Environment | Available
Editor | available
Runtime | read only
VBA | yes
VSTA | yes

Examples

C#

VB.NET

VB.NET-Syntax

VBA

'Create a new VarAssignment (Allocation)
Sub CreateAssignment()
Dim zVarAssign As VarAssignment
Dim zSrcVar As Variable
Dim zDstVar As Variable
'by NAME
Set zVarAssign = MyWorkspace.ActiveDocument.VarAssignments.Create("MyAssignment", "WIZ_VAR_10", "WIZ_VAR_11")
'OR by ID
Set zSrcVar = MyWorkspace.ActiveDocument.Variables.Item("WIZ_VAR_10")
Set zDstVar = MyWorkspace.ActiveDocument.Variables.Item("WIZ_VAR_11")
Set zVarAssign = MyWorkspace.ActiveDocument.VarAssignments.CreateByID("MyAssignment", zSrcVar.PvID, zDstVar.PvID)
End Sub

'Delete an VarAssignment (Allocation)
Sub DeleteAssignment()
Dim bResult As Boolean
'by NAME
bResult = MyWorkspace.ActiveDocument.VarAssignments.Delete("MyAssignment")
End Sub

'Enumerate all Assignements of the active project
Sub EnumAssignments()
Dim zVarAssign As VarAssignment
Dim zVarAssigns As VarAssignments
Dim i As Integer
'get collection of VarAssignements
Set zVarAssigns = MyWorkspace.ActiveDocument.VarAssignments
'enum all VarAssignments
For i = 0 To zVarAssigns.Count - 1
'get VarAssignment
Set zVarAssign = zVarAssigns.Item(i)
Debug.Print zVarAssign.Name & " [" & _
zVarAssign.DynProperties("SourceVariable").Name & " > " & _
zVarAssign.DynProperties("TargetVariable").Name & "]"
Next i
End Sub

Other topics in this chapter

VarAssignments-Properties

VarAssignments-Methods


VarAssignments-Properties

Manuel -> Interfaces de programmation -> Modèles d'objet -> VarAssignments -> VarAssignments-Properties

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
long | Count | Returns count of contained objects | read only | read only | yes | yes
IProject | Parent | Parent of object | read only | read only | yes | yes

Other topics in this chapter

Parent

Count


Parent

Manuel -> Interfaces de programmation -> Modèles d'objet -> VarAssignments -> VarAssignments-Properties -> Parent

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the parent object

Datatype

Parent() As Project

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


Count

Manuel -> Interfaces de programmation -> Modèles d'objet -> VarAssignments -> VarAssignments-Properties -> Count

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

The method returns the number of available objects. This property is mostly used for the method Item to run through each single object.Hint: For running through entries care, that the minimum is 0 and the maximum is Count-1.

Datatype

Count() As long

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


VarAssignments-Methods

Manuel -> Interfaces de programmation -> Modèles d'objet -> VarAssignments -> VarAssignments-Methods

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description |  | Editor | Runtime | VBA | VSTA
VARIANT_BOOL | CheckIn | Save module modifications to server (editor). |  | available | not used | yes | yes
VARIANT_BOOL | CheckOut | Allow module modifications (editor). |  | available | not used | yes | yes
IVarAssignment | Create | Creates and returns a new Object |  | available | not used | yes | yes
IVarAssignment | CreateByID | Creates and returns a new Object |  | available | not used | yes | yes
VARIANT_BOOL | Delete | Deletes the objects from collection |  | available | not used | yes | yes
VARIANT_BOOL | Export | Exports the selected object to a XML file |  | available | not used | yes | yes
VARIANT_BOOL | Get | Get the latest version from the server (editor). |  | available | not used | yes | yes
VARIANT_BOOL | Import | Imports the selected XML file |  | available | not used | yes | yes
VARIANT_BOOL | IsCheckedOut | Returns true when the current module checked out by the current user (editor). |  | read only | not used | yes | yes
VARIANT_BOOL | IsDifferent | Returns true when the local and server version are different (editor). | read only |  | not used | yes |  | yes
VARIANT_BOOL | IsLocked | Returns true when the current module is Locked by another user (editor). |  | read only | not used | yes | yes
IVarAssignment | Item | Returns a object at a position or by a specified key |  | available | not used | yes | yes
VARIANT_BOOL | SingleExport | Exports the Item with given Name oder Index |  | available | not used | yes | yes
VARIANT_BOOL | UndoCheckOut | Undo module modifications (editor). |  | available | not used | yes | yes
VARIANT_BOOL | SingleExport | Exports the Item with given Name oder Index |  | available | not used | yes | yes

Other topics in this chapter

Item

Create

CreateByID

Delete

SingleExport

Export

Import

Get

CheckOut

CheckIn

UndoCheckOut

IsLocked

IsCheckedOut

IsDifferent


Item

Manuel -> Interfaces de programmation -> Modèles d'objet -> VarAssignments -> VarAssignments-Methods -> Item

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns a object at a position or by a specified key

Datatype

Item(VARIANT vID) As VarAssignment

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

Index or name. If the parameter is a numerical value, the Frame is searched by its index (>= 0 and <= Count-1). If it is an alphanumerical value, the Frame is searched by its unique name.

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

vID As Variant

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

'Enumerate all Assignements of the active project
Sub EnumAssignments()
Dim zVarAssign As VarAssignment
Dim zVarAssigns As VarAssignments
Dim i As Integer

Set zVarAssigns = MyWorkspace.ActiveDocument.VarAssignments
For i = 0 To zVarAssigns.Count - 1
Set zVarAssign = zVarAssigns.Item(i)
Debug.Print zVarAssign.Name & " [" & _
zVarAssign.DynProperties("SourceVariable").Name & " > " & _
zVarAssign.DynProperties("TargetVariable").Name & "]"
Next i
End Sub


Create

Manuel -> Interfaces de programmation -> Modèles d'objet -> VarAssignments -> VarAssignments-Methods -> Create

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Creates and returns a new Object

Datatype

Create(String bsName,String bsSource,String bsTarget) As VarAssignment

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

Name of Assignment as string

Name of source variable as string.

Name of target variable as string

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

bsName As String

bsSource As String

bsTarget As String

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

'Create a new VarAssignment (Allocation)
Sub CreateAssignment()
Dim zVarAssign As VarAssignment
'by NAME
Set zVarAssign = MyWorkspace.ActiveDocument.VarAssignments.Create("MyAssignment", "WIZ_VAR_10", "WIZ_VAR_11")
End Sub


CreateByID

Manuel -> Interfaces de programmation -> Modèles d'objet -> VarAssignments -> VarAssignments-Methods -> CreateByID

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Creates and returns a new Object.

Datatype

CreateByID(String bsName,long nSourceID,long nTargetID) As VarAssignment

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

Name of Assignment as string.

PvID of source variable as string.

PvID of target variable as string

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

bsName As String

nSourceID As Long

nTargetID As Long

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

'Create a new VarAssignment (Allocation)
Sub CreateAssignment()
Dim zVarAssign As VarAssignment
Dim zSrcVar As Variable
Dim zDstVar As Variable
'OR by ID
Set zSrcVar = MyWorkspace.ActiveDocument.Variables.Item("WIZ_VAR_10")
Set zDstVar = MyWorkspace.ActiveDocument.Variables.Item("WIZ_VAR_11")
Set zVarAssign = MyWorkspace.ActiveDocument.VarAssignments.CreateByID("MyAssignment", zSrcVar.PvID, zDstVar.PvID)
End Sub


Delete

Manuel -> Interfaces de programmation -> Modèles d'objet -> VarAssignments -> VarAssignments-Methods -> Delete

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Deletes the objects from collection

Datatype

Delete(String bsName) As Boolean

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

Name of Assignment as string

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

bsName As String

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

'Delete an VarAssignment (Allocation)
Sub DeleteAssignment()
Dim bResult As Boolean
'by NAME
bResult = MyWorkspace.ActiveDocument.VarAssignments.Delete("MyAssignment")
End Sub


SingleExport

Manuel -> Interfaces de programmation -> Modèles d'objet -> VarAssignments -> VarAssignments-Methods -> SingleExport

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

SingleExport(VARIANT vIndexOrName,BSTR bsFileName) As VARIANT_BOOL

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

VB.NET

VBA

Examples

C#

VB.NET

VBA


Export

Manuel -> Interfaces de programmation -> Modèles d'objet -> VarAssignments -> VarAssignments-Methods -> Export

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Export settings to an xml file

Datatype

Export(String bsFileName) As Boolean

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

Filename (path) as string of the xml file to export.

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

bsFileName As String

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Private Sub zenOn_ExportImportSettings(ByRef zenOnObject As Object)
End Sub


Import

Manuel -> Interfaces de programmation -> Modèles d'objet -> VarAssignments -> VarAssignments-Methods -> Import

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Import settings from an xml file. New settings are added, existing settings will be replaced.

Datatype

Import(String bsFileName) As Boolean

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

Filename (path) as string of the xml file to import.

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

bsFileName As String

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Private Sub zenOn_ExportImportSettings(ByRef zenOnObject As Object)
End Sub


Get

Manuel -> Interfaces de programmation -> Modèles d'objet -> VarAssignments -> VarAssignments-Methods -> Get

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Get the latest version from the server (editor). This option is only working for multi-user projects.

Datatype

Get() As Boolean

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


CheckOut

Manuel -> Interfaces de programmation -> Modèles d'objet -> VarAssignments -> VarAssignments-Methods -> CheckOut

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Allow module modifications (editor). This option is only working for multi-user projects.

Datatype

CheckOut() As Boolean

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


CheckIn

Manuel -> Interfaces de programmation -> Modèles d'objet -> VarAssignments -> VarAssignments-Methods -> CheckIn

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Save module modifications to server (editor). This option is only working for multi-user projects.

Datatype

CheckIn() As Boolean

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


UndoCheckOut

Manuel -> Interfaces de programmation -> Modèles d'objet -> VarAssignments -> VarAssignments-Methods -> UndoCheckOut

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Undo module modifications (editor). This option is only working for multi-user projects.

Datatype

UndoCheckOut() As Boolean

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


IsLocked

Manuel -> Interfaces de programmation -> Modèles d'objet -> VarAssignments -> VarAssignments-Methods -> IsLocked

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns true if modification changes are locked due to a checkout. This option is only working for multi-user projects.

Datatype

IsLocked() As Boolean

Availability

Environment | Available
Editor | read only
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


IsCheckedOut

Manuel -> Interfaces de programmation -> Modèles d'objet -> VarAssignments -> VarAssignments-Methods -> IsCheckedOut

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns true if scripts are checked out. This option is only working for multi-user projects.

Datatype

IsCheckedOut() As Boolean

Availability

Environment | Available
Editor | read only
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


IsDifferent

Manuel -> Interfaces de programmation -> Modèles d'objet -> VarAssignments -> VarAssignments-Methods -> IsDifferent

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns true if local version differs from server (editor) version. This option is only working for multi-user projects.

Datatype

IsDifferent() As VARIANT_BOOL

Availability

Environment | Available
Editor | read only
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


Variable

Manuel -> Interfaces de programmation -> Modèles d'objet -> Variable

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

The collection Variables contains all defined variables of the current project. With this collection you can access all or selected variables.Beside the access via the index a variable also can be found with its unique name or the unique channel Id.

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Examples

C#

VB.NET

VB.NET-Syntax

VBA

Sub CreateVariable()

Dim zVariables As Variables 'Object from type Variables
Dim zVariable As Variable 'Child object from type Variables
Dim zDrivers As Drivers 'Object from type Drivers
Dim zVarTypes As VarTypes 'Object from type VarTypes
Dim zEdLimit As EdLimit 'Object from type EdLimit

'Fill the objects
Set zVariables = MyWorkspace.ActiveDocument.Variables
Set zDrivers = MyWorkspace.ActiveDocument.Drivers
Set zVarTypes = MyWorkspace.ActiveDocument.VarTypes

'Create a "intern driver" variable called "TestVariable" with object type "internal variable" and datatype "INT"
Set zVariable = zVariables.CreateVar("TestVariable", zDrivers.Item(0), 33, zVarTypes.Item("INT"))
'Create a limit at the "TestVariable"
zVariable.CreateEdLimit

'Select the first limit of the variable
Set zEdLimit = zVariable.EDLimitItem(0)
'Set the limit active
zEdLimit.Active = True
'Set limit text
zEdLimit.Text = "Limit reached"
'Set limit value to 10
zEdLimit.LimitValue = 10
'Set the limit as maximum
zEdLimit.IsMax = True
'Set the limit as alarm
zEdLimit.Alarm = True
'Limit should be recognized in the CEL
zEdLimit.Cel = True

Call CreateArrayVariable

End Sub

Sub CreateArrayVariable()

Dim zVariables As Variables 'Object from type Variables
Dim zVariable As Variable 'Child object from type Variables
Dim zArrEl As Variable 'Object from type Variables
Dim zEdLimit As EdLimit 'Object from type EdLimit
Dim i As Integer

'Fill the objects
Set zVariables = MyWorkspace.ActiveDocument.Variables
Set zDrivers = MyWorkspace.ActiveDocument.Drivers
Set zVarTypes = MyWorkspace.ActiveDocument.VarTypes

'Create a "intern driver" array variable called "ArrayVar" from object type "internal variable", datatype "INT", start at index 1,
'dimension of 5 and automatic addressing
Set zVariable = zVariables.CreateArrayVar("ArrayVar", zDrivers.Item(0), 33, zVarTypes.Item("INT"), 1, 5, 0, 0, True, False, False)

'Activate all array elements
For i = 0 To 4
zVariable.ActivateSubItem (i)
Next i

'Read the first array element
Set zArrEl = zVariable.SubItem(0)
'Create a limit at the array element
zArrEl.CreateEdLimit

'Select the first limit of the variable
Set zEdLimit = zArrEl.EDLimitItem(0)
'Set the limit active
zEdLimit.Active = True
'Set limit text
zEdLimit.Text = "Limit reached"
'Set limit value to 10
zEdLimit.LimitValue = 10
'Set the limit as maximum
zEdLimit.IsMax = True
'Set the limit as alarm
zEdLimit.Alarm = True
'Limit should be recognized in the CEL
zEdLimit.Cel = True

End Sub

Other topics in this chapter

Variable-Properties

Variable-Methods

Variable-Dynamic properties


Variable-Properties

Manuel -> Interfaces de programmation -> Modèles d'objet -> Variable -> Variable-Properties

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
long | Alignment |  | available | read only | yes | yes
VARIANT | AlternateArchiveValue |  | available | read only | yes | yes
VARIANT | AlternateValue | For internal use only | available | read only | yes | yes
long | ArraySize |  | available | read only | yes | yes
IVarType | BaseType |  | read only | read only | yes | yes
long | BitAddr |  | available | read only | yes | yes
long | DataBlock |  | available | read only | yes | yes
IEC_TYPES | DataType |  | read only | read only | yes | yes
short | Digits |  | available | available | yes | yes
VARIANT_BOOL | IsArray |  | read only | read only | yes | yes
DATE | LastUpdateTime |  | read only | read only | yes | yes
short | LastUpdateTimeMilliSeconds |  | read only | read only | yes | yes
BSTR | Name |  | available | read only | yes | yes
long | NetAddr |  | available | read only | yes | yes
long | Offset |  | available | read only | yes | yes
IVariables | Parent |  | read only | read only | yes | yes
long | PvID |  | read only | read only | yes | yes
VARIANT | RangeMax |  | available | available | yes | yes
VARIANT | RangeMin |  | available | available | yes | yes
VARIANT_BOOL | ReadOnly |  | available | read only | yes | yes
BSTR | Recourceslabel |  | available | read only | yes | yes
VARIANT | SignalMax |  | available | read only | yes | yes
VARIANT | SignalMin |  | available | read only | yes | yes
long | StatusExtValue |  | not used | read only | yes | yes
BSTR | StatusString |  | not used | available | yes | yes
long | StatusValue |  | not used | read only | yes | yes
long | StringLength |  | available | read only | yes | yes
BSTR | Tagname |  | available | read only | yes | yes
BSTR | Unit |  | available | available | yes | yes
VARIANT | UserValue |  | available | available | yes | yes

Other topics in this chapter

Parent

PvID

Name

Tagname

Recourceslabel

DataType

BaseType

Digits

Unit

SignalMax

SignalMin

RangeMin

RangeMax

UserValue

AlternateValue

AlternateArchiveValue

StatusValue

StatusExtValue

StatusString

LastUpdateTime

LastUpdateTimeMilliSeconds

ReadOnly

IsArray

ArraySize

NetAddr

DataBlock

Offset

BitAddr

Alignment

StringLength


Parent

Manuel -> Interfaces de programmation -> Modèles d'objet -> Variable -> Variable-Properties -> Parent

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the parent object

Datatype

Parent() As Variables

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


PvID

Manuel -> Interfaces de programmation -> Modèles d'objet -> Variable -> Variable-Properties -> PvID

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the unique variable ID (per project). With this ID a variable can be found in the central variables list of the project.

Datatype

PvID() As long

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


Name

Manuel -> Interfaces de programmation -> Modèles d'objet -> Variable -> Variable-Properties -> Name

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the name of a variable.

Datatype

Name() As String

Availability

Environment | Available
Editor | available
Runtime | read only
VBA | yes
VSTA | yes


Tagname

Manuel -> Interfaces de programmation -> Modèles d'objet -> Variable -> Variable-Properties -> Tagname

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the identification of the variable.

Datatype

Tagname() As String

Availability

Environment | Available
Editor | available
Runtime | read only
VBA | yes
VSTA | yes


Recourceslabel

Manuel -> Interfaces de programmation -> Modèles d'objet -> Variable -> Variable-Properties -> Recourceslabel

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the resources label of the variable.

Datatype

Recourceslabel() As String

Availability

Environment | Available
Editor | available
Runtime | read only
VBA | yes
VSTA | yes


DataType

Manuel -> Interfaces de programmation -> Modèles d'objet -> Variable -> Variable-Properties -> DataType

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the defined data type of the variable as a constant.

Datatype

DataType() As EC_TYPES

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


BaseType

Manuel -> Interfaces de programmation -> Modèles d'objet -> Variable -> Variable-Properties -> BaseType

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns informations about the datatype which is used at the variable.

Datatype

BaseType() As VarType

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


Digits

Manuel -> Interfaces de programmation -> Modèles d'objet -> Variable -> Variable-Properties -> Digits

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the number of digits from a real or lreal variable.

Datatype

Digits() As short

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes


Unit

Manuel -> Interfaces de programmation -> Modèles d'objet -> Variable -> Variable-Properties -> Unit

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the defined unit of the variable. The unit specifies the value of the variable, e.g. degrees Celcius, .... The configuration of most modules allows the display of the unit, e.g. numerical value, archive picture, ...This property can be changed in the Runtime.

Datatype

Unit() As String

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes


SignalMax

Manuel -> Interfaces de programmation -> Modèles d'objet -> Variable -> Variable-Properties -> SignalMax

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the maximal signal range of a variable.

Datatype

SignalMax() As VARIANT

Availability

Environment | Available
Editor | available
Runtime | read only
VBA | yes
VSTA | yes


SignalMin

Manuel -> Interfaces de programmation -> Modèles d'objet -> Variable -> Variable-Properties -> SignalMin

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the minimal signal range of a variable.

Datatype

SignalMin() As VARIANT

Availability

Environment | Available
Editor | available
Runtime | read only
VBA | yes
VSTA | yes


RangeMin

Manuel -> Interfaces de programmation -> Modèles d'objet -> Variable -> Variable-Properties -> RangeMin

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the minimal measuring range of a variable.

Datatype

RangeMin() As VARIANT

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes


RangeMax

Manuel -> Interfaces de programmation -> Modèles d'objet -> Variable -> Variable-Properties -> RangeMax

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the maximal measuring range of a variable.

Datatype

RangeMax() As VARIANT

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes


UserValue

Manuel -> Interfaces de programmation -> Modèles d'objet -> Variable -> Variable-Properties -> UserValue

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

This property can get a user defined value and is not used for the Runtime. In VBA a variant can be linked with the variable, that is needed at a later moment.This variant could e.g. be the Id for a record in a SQL database, that contains further information on the variable.

Datatype

UserValue() As VARIANT

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes


AlternateValue

Manuel -> Interfaces de programmation -> Modèles d'objet -> Variable -> Variable-Properties -> AlternateValue

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the alternate value of the variable. The alternate value of a variable is used in archives and the recipe group manager, if the current value is needed but not available, e.g. automatic filling of archives, no connection to the PLC, ...

Datatype

AlternateValue() As VARIANT

Availability

Environment | Available
Editor | available
Runtime | read only
VBA | yes
VSTA | yes


AlternateArchiveValue

Manuel -> Interfaces de programmation -> Modèles d'objet -> Variable -> Variable-Properties -> AlternateArchiveValue

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the alternate value of the variable. The alternate value of a variable is used in archives and the recipe group manager, if the current value is needed but not available, e.g. automatic filling of archives, no connection to the PLC, ...

Datatype

AlternateArchiveValue() As VARIANT

Availability

Environment | Available
Editor | available
Runtime | read only
VBA | yes
VSTA | yes


StatusValue

Manuel -> Interfaces de programmation -> Modèles d'objet -> Variable -> Variable-Properties -> StatusValue

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

The returned value corresponds to the status of a variable.

Status | Abbreviations in editor | Value (hex)
Invalid | I-BIT | 0x00040000
Not updated | not used | 0x20000000
Alternative value | read only | 0x08000000
General request | yes | 0x00010000
Spontaneous | yes | 0x00020000
Summer/winter time announcement | SU/WI | 0x00080000
Switched off | N_UPDATE | 0x00080000
Realtime external | RT_E | 0x00200000
Realtime internal | RT_I | 0x00400000
Winter time | WINTER | 0x80000000
Manual value | MVALUE | 0x00001000
User status 1 .. 8 | ST_M1 .. ST_M8 | 0x00000001- 0x00000080
Select | SELEC | 0x00000100
Revision | REV | 0x00000200
Desired direction | DIREC | 0x00000400
Runtime exceeded | RTE | 0x00000800
Default message trafo value | DM_TR | 0x01000000
Not sortable | NSORT | 0x00800000
Info for variable | INFO | 0x04000000
Transmission cause | TCBx | 0x0000003F00000000
P/N bit | PN_BIT | 0x0000004000000000
Test bit | T_BIT | 0x0000008000000000
Normal status | NORM | 0x0000040000000000
Deviation normal status | ABNORM | 0x0000080000000000

NOTE:
Check the property IsOnline to make sure that the variable is advised, when you want to read this property to avoid errors! (> 6.21)

Datatype

StatusValue() As long
VBA | yes | 0x00040000
VSTA | yes | 0x00040000

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes


StatusExtValue

Manuel -> Interfaces de programmation -> Modèles d'objet -> Variable -> Variable-Properties -> StatusExtValue

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the status value for states where the higher 32 bits are set.For definition of Statis see StatusValue

NOTE:
Check the property IsOnline to make sure that the variable is advised, when you want to read this property to avoid errors! (> 6.21)

Datatype

StatusExtValue() As long

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes


StatusString

Manuel -> Interfaces de programmation -> Modèles d'objet -> Variable -> Variable-Properties -> StatusString

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the status of a variable.

For definition of Statis see StatusValue

NOTE:
Check the property IsOnline to make sure that the variable is advised, when you want to read this property to avoid errors! (> 6.21)

Datatype

StatusString() As String

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes


LastUpdateTime

Manuel -> Interfaces de programmation -> Modèles d'objet -> Variable -> Variable-Properties -> LastUpdateTime

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the time of the last update of the value.

NOTE:
Check the property IsOnline to make sure that the variable is advised, when you want to read this property to avoid errors! (> 6.21)

Datatype

LastUpdateTime() As DATE

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


LastUpdateTimeMilliSeconds

Manuel -> Interfaces de programmation -> Modèles d'objet -> Variable -> Variable-Properties -> LastUpdateTimeMilliSeconds

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the milliseconds since the last update time.

NOTE:
Check the property IsOnline to make sure that the variable is advised, when you want to read this property to avoid errors! (> 6.21)

Datatype

LastUpdateTimeMilliSeconds() As short

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


ReadOnly

Manuel -> Interfaces de programmation -> Modèles d'objet -> Variable -> Variable-Properties -> ReadOnly

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns true if the variable is read only and false if it is readable+writeable.

Datatype

ReadOnly() As Boolean

Availability

Environment | Available
Editor | available
Runtime | read only
VBA | yes
VSTA | yes


IsArray

Manuel -> Interfaces de programmation -> Modèles d'objet -> Variable -> Variable-Properties -> IsArray

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns true if the variable is an array (ArraySize > 1).

Datatype

IsArray() As Boolean

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


ArraySize

Manuel -> Interfaces de programmation -> Modèles d'objet -> Variable -> Variable-Properties -> ArraySize

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the number of indices of the variable. A standard variable has no index. With array variables this property returns the defined size of the array.

Datatype

ArraySize() As long

Availability

Environment | Available
Editor | available
Runtime | read only
VBA | yes
VSTA | yes


NetAddr

Manuel -> Interfaces de programmation -> Modèles d'objet -> Variable -> Variable-Properties -> NetAddr

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the net address of a variable.

Datatype

NetAddr() As long

Availability

Environment | Available
Editor | available
Runtime | read only
VBA | yes
VSTA | yes


DataBlock

Manuel -> Interfaces de programmation -> Modèles d'objet -> Variable -> Variable-Properties -> DataBlock

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the number of the used data block.

Datatype

DataBlock() As long

Availability

Environment | Available
Editor | available
Runtime | read only
VBA | yes
VSTA | yes


Offset

Manuel -> Interfaces de programmation -> Modèles d'objet -> Variable -> Variable-Properties -> Offset

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the offset of a variable.

Datatype

Offset() As long

Availability

Environment | Available
Editor | available
Runtime | read only
VBA | yes
VSTA | yes


BitAddr

Manuel -> Interfaces de programmation -> Modèles d'objet -> Variable -> Variable-Properties -> BitAddr

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the bit number of a variable.

Datatype

BitAddr() As long

Availability

Environment | Available
Editor | available
Runtime | read only
VBA | yes
VSTA | yes


Alignment

Manuel -> Interfaces de programmation -> Modèles d'objet -> Variable -> Variable-Properties -> Alignment

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the alignment item of the addressing settings.

Datatype

Alignment() As long

Availability

Environment | Available
Editor | available
Runtime | read only
VBA | yes
VSTA | yes


StringLength

Manuel -> Interfaces de programmation -> Modèles d'objet -> Variable -> Variable-Properties -> StringLength

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the length of a string variable.

Datatype

StringLength() As long

Availability

Environment | Available
Editor | available
Runtime | read only
VBA | yes
VSTA | yes


Variable-Methods

Manuel -> Interfaces de programmation -> Modèles d'objet -> Variable -> Variable-Methods

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description |  | Editor | Runtime | VBA | VSTA
VARIANT_BOOL | ActivateSubItem | - |  | available | not used | yes | yes
VARIANT_BOOL | CheckIn | Save module modifications to server (editor). |  | available | not used | yes | yes
VARIANT_BOOL | CheckOut | Allow module modifications (editor). |  | available | not used | yes | yes
VARIANT_BOOL | CreateDynProperty | - |  | available | not used | yes | yes
IEdLimit | CreateEdLimit | - |  | available | not used | yes | yes
VARIANT_BOOL | DeactivateSubItem | - |  | available | not used | yes | yes
VARIANT_BOOL | DeleteEdLimit | - |  | available | not used | yes | yes
IDriver | Driver | - |  | available | available | yes | yes
void | DynProperties [PUT] | - |  | available | available | yes | yes
VARIANT | DynProperties [GET] | - |  | available | available | yes | yes
VARIANT | DynPropertiesEnum [GET] | - |  | read only | read only | yes | yes
long | EdLimitCount | - |  | read only | not used | yes | yes
IEdLimit | EdLimitItem | - |  | available | not used | yes | yes
VARIANT_BOOL | Get | Get the latest version from the server (editor). |  | available | not used | yes | yes
VARIANT_BOOL | IsCheckedOut | Returns true when the current module checked out by the current user (editor). |  | read only | not used | yes | yes
VARIANT_BOOL | IsDifferent | Returns true when the local and server version are different (editor). | read only |  | not used | yes |  | yes
VARIANT_BOOL | IsLimitActiv | - |  | available | available | yes | yes
VARIANT_BOOL | IsLocked | Returns true when the current module is Locked by another user (editor). |  | read only | not used | yes | yes
VARIANT_BOOL | IsOnline | - |  | not used | read only | yes | yes
VARIANT_BOOL | IsRDAActiv | - |  | read only | read only | yes | yes
VARIANT_BOOL | IsRemaActiv | - |  | read only | read only | yes | yes
ILimits | Limits | - |  | not used | available | yes | yes
BSTR | SecondaryUnitName [GET] | - |  | not used | available | yes | yes
void | SetValueWithStatus | - |  | not used | available | yes | yes
SCODE | SetValueWithStatusEx | - |  | not used | available | yes | yes
IVariable | SubItem | - |  | available | read only | yes | yes
long | SubItemCount | - |  | read only | read only | yes | yes
BSTR | SubItemName | - |  | available | read only | yes | yes
VARIANT_BOOL | UndoCheckOut | Undo module modifications (editor). |  | available | not used | yes | yes
double | CalcPrimaryUnitValue | - |  | not used | available | yes | yes
double | CalcSecondaryUnitValue | - |  | not used | available | yes | yes
void | ModifyAlternateValue | - |  | available | available | yes | yes
short | SecondaryUnitDigits [GET] | - |  | not used | available | yes | yes
VARIANT | Value [GET] | - |  | not used | available | yes | yes
void | Value [PUT] | - |  | not used | available | yes | yes
IPropParam | DynPropertyParam [GET] | Returns the PropParam objekt of the given DynProperty |  | read only | not used | yes | yes
IDriver | Driver | - |  | available | available | yes | yes
IDriver | Driver | - |  | available | available | yes | yes
IDriver | Driver |  |  | available | available | yes | yes
VARIANT | DynPropertiesEnum [GET] |  |  | read only | read only | yes | yes
VARIANT | DynProperties [GET] |  |  | available | available | yes | yes
void | DynProperties [PUT] |  |  | available | available | yes | yes
IDriver | Driver |  |  | available | available | yes | yes
long | EdLimitCount |  |  | read only | not used | yes | yes
IEdLimit | EdLimitItem |  |  | available | not used | yes | yes
VARIANT | DynPropertiesEnum [GET] |  | read only |  | read only | yes |  | yes
VARIANT | DynProperties [GET] |  | available |  | available | yes |  | yes
void | DynProperties [PUT] |  | available |  | available | yes |  | yes
ILimit | GetCurrentViolatedLimit | Returns the current violated limit, if there is one. | not used |  | available | yes |  | yes
IState | GetCurrentViolatedRema | Returns the current violated rema state. | not used |  | available | yes |  | yes

Other topics in this chapter

DynPropertyParam [GET]

DynPropertiesEnum [GET]

DynProperties [GET]

DynProperties [PUT]

CreateDynProperty

Value [GET]

Value [PUT]

ModifyAlternateValue

SecondaryUnitName [GET]

SecondaryUnitDigits [GET]

IsRDAActiv

IsLimitActiv

IsRemaActiv

IsOnline

Driver

Limits

SetValueWithStatus

CalcSecondaryUnitValue

CalcPrimaryUnitValue

EdLimitCount

EdLimitItem

CreateEdLimit

DeleteEdLimit

SubItemCount

SubItem

SubItemName

ActivateSubItem

DeactivateSubItem

Get

CheckOut

CheckIn

UndoCheckOut

IsLocked

IsCheckedOut

IsDifferent

GetCurrentViolatedLimit

GetCurrentViolatedRema


DynPropertyParam [GET]

Manuel -> Interfaces de programmation -> Modèles d'objet -> Variable -> Variable-Methods -> DynPropertyParam [GET]

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

DynPropertyParam [GET](BSTR bsPath) As PropParam

Availability

Environment | Available
Editor | read only
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


DynPropertiesEnum [GET]

Manuel -> Interfaces de programmation -> Modèles d'objet -> Variable -> Variable-Methods -> DynPropertiesEnum [GET]

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

DynPropertiesEnum [GET](BSTR bsPath) As VARIANT

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes

Parameters

C#

VB.NET

VBA

Examples

C#

VB.NET

VBA


DynProperties [GET]

Manuel -> Interfaces de programmation -> Modèles d'objet -> Variable -> Variable-Methods -> DynProperties [GET]

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

DynProperties [GET](BSTR bsPath) As VARIANT

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

VB.NET

VBA

Examples

C#

VB.NET

VBA


DynProperties [PUT]

Manuel -> Interfaces de programmation -> Modèles d'objet -> Variable -> Variable-Methods -> DynProperties [PUT]

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

DynProperties [PUT](BSTR bsPath,VARIANT vValue) As void

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

VB.NET

VBA

Examples

C#

VB.NET

VBA


CreateDynProperty

Manuel -> Interfaces de programmation -> Modèles d'objet -> Variable -> Variable-Methods -> CreateDynProperty

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

This method creates a dynamic property.

Datatype

CreateDynProperty(String bsPath) As Boolean

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

String for the dynamic property to be created.

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

bsPath As String

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Sub EdLimDynProp()

Dim zVariable As Variable 'Child object from type Variables

'Take the first variable from the variables list
Set zVariable = MyWorkspace.ActiveDocument.Variables.Item(0)

'Create a limit
zVariable.CreateDynProperty ("Limits")
'Set the limit text
zVariable.DynProperties("Limits[0].Text") = "Limit reached"
'Set the limit value
zVariable.DynProperties("Limits[0].LimitValue") = 10
'Set the value as maximum
zVariable.DynProperties("Limits[0].IsMax") = True

End Sub


Value [GET]

Manuel -> Interfaces de programmation -> Modèles d'objet -> Variable -> Variable-Methods -> Value [GET]

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

Value [GET]([optional]VARIANT vIndex) As VARIANT

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


Value [PUT]

Manuel -> Interfaces de programmation -> Modèles d'objet -> Variable -> Variable-Methods -> Value [PUT]

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

Value [PUT]([optional]VARIANT vIndex,VARIANT newValue) As void

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


ModifyAlternateValue

Manuel -> Interfaces de programmation -> Modèles d'objet -> Variable -> Variable-Methods -> ModifyAlternateValue

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

ModifyAlternateValue(VARIANT newValue) As void

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


SecondaryUnitName [GET]

Manuel -> Interfaces de programmation -> Modèles d'objet -> Variable -> Variable-Methods -> SecondaryUnitName [GET]

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

SecondaryUnitName() As String

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


SecondaryUnitDigits [GET]

Manuel -> Interfaces de programmation -> Modèles d'objet -> Variable -> Variable-Methods -> SecondaryUnitDigits [GET]

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

SecondaryUnitDigits [GET]() As short

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


IsRDAActiv

Manuel -> Interfaces de programmation -> Modèles d'objet -> Variable -> Variable-Methods -> IsRDAActiv

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

This method returns true if RDA is activated at a variable.

Datatype

IsRDAActiv() As Boolean

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


IsLimitActiv

Manuel -> Interfaces de programmation -> Modèles d'objet -> Variable -> Variable-Methods -> IsLimitActiv

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

This method returns true for limits activated and false for reaction matrix activated.

Datatype

IsLimitActiv() As Boolean

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


IsRemaActiv

Manuel -> Interfaces de programmation -> Modèles d'objet -> Variable -> Variable-Methods -> IsRemaActiv

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

This method returns true if a variable is linked to a reaction matrix.

Datatype

IsRemaActiv() As Boolean

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


IsOnline

Manuel -> Interfaces de programmation -> Modèles d'objet -> Variable -> Variable-Methods -> IsOnline

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

This method checks, if the current variable is advised and has a valid value.

A variable will be advised when:

- the variable is actually displayed in a picture...

- the variable has defined alarms...

- the variable is used within VBA (OnlineVariable)...

- the variable has set the option "DDE"...

- ...

Datatype

IsOnline() As Boolean

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


Driver

Manuel -> Interfaces de programmation -> Modèles d'objet -> Variable -> Variable-Methods -> Driver

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

Driver() As IDriver

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

VB.NET

VBA

Examples

C#

VB.NET

VBA


Limits

Manuel -> Interfaces de programmation -> Modèles d'objet -> Variable -> Variable-Methods -> Limits

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the limit administration of the variable. In the limit administration you can access the single limits with their most important information.

Datatype

Limits() As Limits

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Sub Limit()

Dim zVariables As Variables 'Object from type Variables
Dim zVariable As Variable 'Child object from type Variables
Dim zLimit As Limit 'Object from type Limit

'Fill the objects
Set zVariables = thisProject.Variables
'Read the "TestVariable" variable
Set zVariable = zVariables.Item("TestVariable")

'Read the first limit of the variable
Set zLimit = zVariable.Limits.Item(0)
'Show the alarm class
Debug.Print "AlarmClass = " & zLimit.AlarmClass
'Show the limit text
Debug.Print "Limit text = " & zLimit.Text
'Show the limit value
Debug.Print "Limit value = " & zLimit.Value
'Show if the value is the maximum
Debug.Print "Acts on maximum = " & zLimit.IsMax

End Sub


SetValueWithStatus

Manuel -> Interfaces de programmation -> Modèles d'objet -> Variable -> Variable-Methods -> SetValueWithStatus

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

This method sets a value in combination with a status and a timestamp.

Datatype

SetValueWithStatus(VARIANT Value,long Status,long Time,short TimeMilliSec) As void

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes

Parameters

Milliseconds of time stamp for set value.

Lower 32 status bits.
For definition of Statis see StatusValue.

Time stamp for set value.

Set value as Variant.

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

TimeMilliSec As short

Status As Long

Time As Long

Value As Variant

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Sub SetValue()

Dim zVariables As Variables 'Object from type Variables
Dim zVariable As Variable 'Child object from type Variables

'Fill the objects
Set zVariables = thisProject.Variables
'Take the first variable
Set zVariable = zVariables.Item(0)
'Write value 10, status I-BIT, with the actual time and 333 ms onto the variable
zVariable.SetValueWithStatus 10, 262144, Now, 333

End Sub


CalcSecondaryUnitValue

Manuel -> Interfaces de programmation -> Modèles d'objet -> Variable -> Variable-Methods -> CalcSecondaryUnitValue

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

CalcSecondaryUnitValue(double dfPrimaryValue) As double

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


CalcPrimaryUnitValue

Manuel -> Interfaces de programmation -> Modèles d'objet -> Variable -> Variable-Methods -> CalcPrimaryUnitValue

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

CalcPrimaryUnitValue(double dfSecondaryValue) As double

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


EdLimitCount

Manuel -> Interfaces de programmation -> Modèles d'objet -> Variable -> Variable-Methods -> EdLimitCount

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

EdLimitCount() As long

Availability

Environment | Available
Editor | read only
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

VB.NET

VBA

Examples

C#

VB.NET

VBA


EdLimitItem

Manuel -> Interfaces de programmation -> Modèles d'objet -> Variable -> Variable-Methods -> EdLimitItem

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

EdLimitItem(VARIANT vIndex) As IEdLimit

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

VB.NET

VBA

Examples

C#

VB.NET

VBA


CreateEdLimit

Manuel -> Interfaces de programmation -> Modèles d'objet -> Variable -> Variable-Methods -> CreateEdLimit

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

This method creates a limit at a variable.

Datatype

CreateEdLimit() As EdLimit

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Sub CreateEDLimit()

Dim zVariables As Variables 'Object from type Variables
Dim zVariable As Variable 'Child object from type Variables
Dim zDrivers As Drivers 'Object from type Drivers
Dim zVarTypes As VarTypes 'Object from type VarTypes

'Fill the objects
Set zVariables = MyWorkspace.ActiveDocument.Variables
Set zDrivers = MyWorkspace.ActiveDocument.Drivers
Set zVarTypes = MyWorkspace.ActiveDocument.VarTypes

'Create a "intern driver" variable called "TestVariable" with object type "internal variable" and datatype "INT"
Set zVariable = zVariables.CreateVar("TestVariable", zDrivers.Item(0), 33, zVarTypes.Item("INT"))
'Create a editor limit at the "TestVariable"
zVariable.CreateEdLimit

End Sub


DeleteEdLimit

Manuel -> Interfaces de programmation -> Modèles d'objet -> Variable -> Variable-Methods -> DeleteEdLimit

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

This method deletes selected limits of a variable.

Datatype

DeleteEdLimit(VARIANT vIndex) As Boolean

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

The limit can be selected via its name (string) or via a number (counting starts at 0).

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

vIndex As Variant

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Sub DeleteEDLimit()

Dim zVariables As Variables 'Object from type Variables
Dim zVariable As Variable 'Child object from type Variables
Dim zDrivers As Drivers 'Object from type Drivers
Dim zVarTypes As VarTypes 'Object from type VarTypes
Dim i As Integer

'Fill the objects
Set zVariables = MyWorkspace.ActiveDocument.Variables
Set zDrivers = MyWorkspace.ActiveDocument.Drivers
Set zVarTypes = MyWorkspace.ActiveDocument.VarTypes

'Create a "intern driver" variable called "TestVariable" with object type "internal variable" and datatype "INT"
Set zVariable = zVariables.CreateVar("TestVariable", zDrivers.Item(0), 33, zVarTypes.Item("INT"))
'Create 5 editor limits at the "TestVariable"
For i = 0 To 4
zVariable.CreateEdLimit
Next i
'Delete the 2nd limit
zVariable.DeleteEDLimit (1)

End Sub


SubItemCount

Manuel -> Interfaces de programmation -> Modèles d'objet -> Variable -> Variable-Methods -> SubItemCount

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

This method returns the number of sub items in an array or structure.

Datatype

SubItemCount() As long

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Sub CountItems()

Dim zVariables As Variables 'Object from type Variables
Dim zVariable As Variable 'Child object from type Variables
Dim zDrivers As Drivers 'Object from type Drivers
Dim zVarTypes As VarTypes 'Object from type VarTypes

'Fill the objects
Set zVariables = MyWorkspace.ActiveDocument.Variables
Set zDrivers = MyWorkspace.ActiveDocument.Drivers
Set zVarTypes = MyWorkspace.ActiveDocument.VarTypes

'Create a "intern driver" array variable called "array" from object type "internal variable", datatype "INT", start at index 1,
'dimension of 5 and automatic addressing
Set zVariable = zVariables.CreateArrayVar("array", zDrivers.Item(0), 33, zVarTypes.Item("INT"), 1, 5, 0, 0, True, False, False)

'Activate all array elements
For i = 0 To 4
zVariable.ActivateSubItem (i)
Next i

Debug.Print "Count items = " & zVariable.SubItemCount

End Sub


SubItem

Manuel -> Interfaces de programmation -> Modèles d'objet -> Variable -> Variable-Methods -> SubItem

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

With this method you get array and structure elements by index.

Datatype

SubItem(long lIndex) As Variable

Availability

Environment | Available
Editor | available
Runtime | read only
VBA | yes
VSTA | yes

Parameters

Position of the element in the array or structure.

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

lIndex As Long

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Sub SubItem()

Dim zVariables As Variables 'Object from type Variables
Dim zVariable As Variable 'Child object from type Variables
Dim cacheElement As Variable 'Child object from type Variables
Dim zEdLimit As EdLimit 'Object form type EdLimit
Dim zDrivers As Drivers 'Object from type Drivers
Dim zVarTypes As VarTypes 'Object from type VarTypes

'Fill the objects
Set zVariables = MyWorkspace.ActiveDocument.Variables
Set zDrivers = MyWorkspace.ActiveDocument.Drivers
Set zVarTypes = MyWorkspace.ActiveDocument.VarTypes

'Create a "intern driver" array variable called "array" from object type "internal variable", datatype "INT", start at index 1,
'dimension of 5 and automatic addressing
Set zVariable = zVariables.CreateArrayVar("array", zDrivers.Item(0), 33, zVarTypes.Item("INT"), 1, 5, 0, 0, True, False, False)

'Activate all array elements
For i = 0 To 4
zVariable.ActivateSubItem (i)
Next i

'Read the first element from the array
Set cacheElement = zVariable.SubItem(0)
'Create a limit at the array element
cacheElement.CreateEdLimit

'Select the first limit of the variable
Set zEdLimit = cacheElement.EDLimitItem(0)
'Set the limit active
zEdLimit.Active = True
'Set limit text
zEdLimit.Text = "Limit reached"
'Set limit value to 10
zEdLimit.LimitValue = 10
'Set the limit as maximum
zEdLimit.IsMax = True
'Set the limit as alarm
zEdLimit.Alarm = True
'Limit should be recognized in the CEL
zEdLimit.Cel = True

End Sub


SubItemName

Manuel -> Interfaces de programmation -> Modèles d'objet -> Variable -> Variable-Methods -> SubItemName

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

This method returns the name of an array or structure item.

Datatype

SubItemName(long lIndex) As String

Availability

Environment | Available
Editor | available
Runtime | read only
VBA | yes
VSTA | yes

Parameters

Position of the element in the array or structure (starts at 0).

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

lIndex As Long

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Sub SubItemNames()

Dim zVariables As Variables 'Object from type Variables
Dim zVariable As Variable 'Child object from type Variables
Dim zDrivers As Drivers 'Object from type Drivers
Dim zVarTypes As VarTypes 'Object from type VarTypes

'Fill the objects
Set zVariables = MyWorkspace.ActiveDocument.Variables
Set zDrivers = MyWorkspace.ActiveDocument.Drivers
Set zVarTypes = MyWorkspace.ActiveDocument.VarTypes

'Create a "intern driver" array variable called "array" from object type "internal variable", datatype "INT", start at index 1,
'dimension of 5 and automatic addressing
Set zVariable = zVariables.CreateArrayVar("array", zDrivers.Item(0), 33, zVarTypes.Item("INT"), 1, 5, 0, 0, True, False, False)

'Activate all array elements
For i = 0 To 4
zVariable.ActivateSubItem (i)
Next i

'Show the name of all array elements
For i = 0 To zVariable.SubItemCount - 1
Debug.Print "Name of first sub item = " & zVariable.SubItemName(i)
Next i

End Sub


ActivateSubItem

Manuel -> Interfaces de programmation -> Modèles d'objet -> Variable -> Variable-Methods -> ActivateSubItem

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

This method activates an array or a structure element. Returns true when element has been activated, false if no change has been done.

Datatype

ActivateSubItem(VARIANT vSubItem) As Boolean

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

Array or structure element can be selected via name (string) or via number (counting starts at 0).

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

vSubItem As Variant

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Sub ActiveSubItem()

Dim zVariables As Variables 'Object from type Variables
Dim zVariable As Variable 'Child object from type Variables
Dim actSubItem As Boolean 'Status variable

'Fill the objects
Set zVariables = MyWorkspace.ActiveDocument.Variables
'Array variable called "array" with some elements should be available
Set zVariable = zVariables.Item("array")
'Element "array[2]" is activated
actSubItem = zVariable.ActivateSubItem("array[2]")
Debug.Print "Activated = " & actSubItem

End Sub


DeactivateSubItem

Manuel -> Interfaces de programmation -> Modèles d'objet -> Variable -> Variable-Methods -> DeactivateSubItem

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

This method deactivates array or structure elements.

Datatype

DeactivateSubItem(VARIANT vSubItem) As Boolean

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

Array or structure element can be selected via name (string) or via number (counting starts at 0).

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

vSubItem As Variant

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Sub DeActivateSubItem()

Dim zVariables As Variables 'Object from type Variables
Dim zVariable As Variable 'Child object from type Variables
Dim actSubItem As Boolean 'Status variable

'Fill the objects
Set zVariables = MyWorkspace.ActiveDocument.Variables
'Array variable called "array" with some elements should be available
Set zVariable = zVariables.Item("array")
'Element "array[2]" is deactivated
actSubItem = zVariable.DeActivateSubItem("array[2]")
Debug.Print "Activated = " & actSubItem

End Sub


Get

Manuel -> Interfaces de programmation -> Modèles d'objet -> Variable -> Variable-Methods -> Get

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Get the latest version from the server (editor). This option is only working for multi-user projects.

Datatype

Get() As Boolean

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


CheckOut

Manuel -> Interfaces de programmation -> Modèles d'objet -> Variable -> Variable-Methods -> CheckOut

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Allow module modifications (editor). This option is only working for multi-user projects.

Datatype

CheckOut() As Boolean

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


CheckIn

Manuel -> Interfaces de programmation -> Modèles d'objet -> Variable -> Variable-Methods -> CheckIn

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Save module modifications to server (editor). This option is only working for multi-user projects.

Datatype

CheckIn() As Boolean

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


UndoCheckOut

Manuel -> Interfaces de programmation -> Modèles d'objet -> Variable -> Variable-Methods -> UndoCheckOut

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Undo module modifications (editor). This option is only working for multi-user projects.

Datatype

UndoCheckOut() As Boolean

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


IsLocked

Manuel -> Interfaces de programmation -> Modèles d'objet -> Variable -> Variable-Methods -> IsLocked

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns true if modification changes are locked due to a checkout. This option is only working for multi-user projects.

Datatype

IsLocked() As Boolean

Availability

Environment | Available
Editor | read only
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


IsCheckedOut

Manuel -> Interfaces de programmation -> Modèles d'objet -> Variable -> Variable-Methods -> IsCheckedOut

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns true if scripts are checked out. This option is only working for multi-user projects.

Datatype

IsCheckedOut() As Boolean

Availability

Environment | Available
Editor | read only
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


IsDifferent

Manuel -> Interfaces de programmation -> Modèles d'objet -> Variable -> Variable-Methods -> IsDifferent

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns true if local version differs from server (editor) version. This option is only working for multi-user projects.

Datatype

IsDifferent() As VARIANT_BOOL

Availability

Environment | Available
Editor | read only
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


GetCurrentViolatedLimit

Manuel -> Interfaces de programmation -> Modèles d'objet -> Variable -> Variable-Methods -> GetCurrentViolatedLimit

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the currently violated limit of a Variable (returns a Limit object – works only in case, that no REMA is linked) If a REMA is linked or there’s no currently violated limit the function will return "NULL"/ "NOTHING"

Datatype

GetCurrentViolatedLimit() As ILimit

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

VB.NET

VBA

Examples

C#

VB.NET

VBA

Variable1.GetCurrentViolatedLimit.DynProperties("Status")

Variable1.GetCurrentViolatedLimit.DynProperties("UserProperty1")

Variable1.GetCurrentViolatedLimit.DynProperties("UserProperty2")

Variable1.GetCurrentViolatedLimit.DynProperties("HelpFile")

Variable1.GetCurrentViolatedLimit.DynProperties("HelpTopic")

Variable1.GetCurrentViolatedLimit.DynProperties("FunctionID")


GetCurrentViolatedRema

Manuel -> Interfaces de programmation -> Modèles d'objet -> Variable -> Variable-Methods -> GetCurrentViolatedRema

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the currently violated state of a Rema (returns a State object – works only if a REMA is linked at the Variable). If no REMA is linked "NULL/NOTHING" will be returned. If none of the "limit" states is violated the Defaultstate will be returned.

Datatype

GetCurrentViolatedRema() As IState

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

VB.NET

VBA

Examples

C#

VB.NET

VBA


Variable-Dynamic properties

Manuel -> Interfaces de programmation -> Modèles d'objet -> Variable -> Variable-Dynamic properties

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Dynproperties

C$$DrvName$$VarED

3S_Arti_NG variable ED

AKDrv variable ED

CAMISTSVarED

BACnetNG variable ED

BeckhoffNG variable ED

Biffi variable ED

BURPVI variable ED

CTI variable ED

CDNP3_TGVarED

DNP3 variable ED

EibV2 variable ED

Elrest variable ED

IEC61850 variable ED

IEC62056 variable ED

IEC870_103 variable ED

IEC870 variable ED

iLon100 variable ED

Internal variable ED

Internal variable RT

CKDNP1VarED

Lon32 - Variable ED

MathDr32 - Variable ED

Mathematical variable RT

NWMDRV32 - Variable ED

OPCUA variable ED

Sample32 variable ED

SE_32 variable ED function

SE_32 variable ED

SPRECON870 variable ED

Sys2000 variable ED

Syskron variable ED

SysDrv variable ED

Base class variable

Variable ED

Variable RT

Other topics in this chapter

CVarGrenze

C$$DrvName$$VarED

3S_Arti_NG variable ED

AKDrv variable ED

CAMISTSVarED

BACnetNG variable ED

BeckhoffNG variable ED

Biffi variable ED

BURPVI variable ED

CTI variable ED

CDNP3_TGVarED

DNP3 variable ED

EibV2 variable ED

Elrest variable ED

IEC61850 variable ED

IEC62056 variable ED

IEC870_103 variable ED

IEC870 variable ED

iLon100 variable ED

Internal variable ED

Internal variable RT

CKDNP1VarED

Lon32 - Variable ED

CMathInfo

MathDr32 - Variable ED

Mathematical variable RT

NWMDRV32 - Variable ED

OPCUA variable ED

Sample32 variable ED

SE_32 variable ED function

SE_32 variable ED

SPRECON870 variable ED

Sys2000 variable ED

Syskron variable ED

SysDrv variable ED

Base class variable

Variable ED

Variable RT


CVarGrenze

Manuel -> Interfaces de programmation -> Modèles d'objet -> Variable -> Variable-Dynamic properties -> CVarGrenze

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Type

VBA/VSTA Name

Display Name

Description

VT_BOOL

Active

Limite active

Active : Une valeur limite est prise en compte dans le Runtime.
Inactive : La valeur limite est ignorée dans le Runtime.
Par défaut : active.

Plus de détails dans l’aide en ligne.

VT_BSTR

Text

Texte valeur limite

Ce texte sera affiché dans la liste de messages d’alarme, la liste d’événements et/ou la ligne d’état des alarmes (en fonction de la configuration) après un dépassement de valeur limite.

Texte de valeur limite dynamique : Permet d’inclure les valeurs actuelles des autres variables, ainsi que des informations supplémentaires concernant les variables, dans le texte de valeur limite d’une variable et le texte de valeur limite des matrices de réaction. Vous pouvez également lier un texte fixe à des mots clés provenant d’une table de langues via un index.

L’utilisation textes de valeur limite dynamiques comporte certaines limitations :
Le texte statique est conservé dans la zone de mémoire du texte de valeur limite, qui est limité à 1024 caractères. Les valeurs des variables liées sont conservées dans la zone de mémoire du texte de commentaire, qui est limité à 80 caractères. Dès lors, aucun commentaire ne peut être saisi dans la liste d’alarmes ou la liste d’événements.

Ces limitations peuvent être modifiées grâce à l’amélioration des textes de valeur limite dynamiques longs. Pour cela, vous devez activer les propriétés Textes de limite dynamiques longs pour les événements et Textes de limite dynamiques longs pour les alarmes. Les valeurs des variables pour les textes de valeur limite dynamiques sont ensuite transférées vers un fichier distinct ; le champ de commentaires redevient disponible pour la saisie de commentaires.

Plus de détails dans l’aide en ligne.

VT_R8

LimitValue

Valeur limite

Indisponible si aucune valeur limite dynamique n’est définie :
Définit la valeur à partir de laquelle un dépassement de valeur limite est identifié.
La propriété "Minimum / Maximum" permet de déterminer si les valeurs supérieures ou inférieures à cette valeur déclenchent un dépassement de valeur limite.

Plus de détails dans l’aide en ligne.

VT_BOOL

IsMax

Minimum/Maximum

Minimum : Dépassement de valeur limite en cas d’identification d’une valeur égale ou inférieure à la valeur limite.
Maximum : Dépassement de valeur limite en cas d’identification d’une valeur égale ou supérieure à la valeur limite.
Par défaut : Minimum.

Plus de détails dans l’aide en ligne.

VT_R8

ThresholdValue

Hystérésis

Une valeur de seuil peut être définie et être utilisée pour acquitter un dépassement de valeur limite. Ceci permet d’éviter les réactions indésirables en cas de valeurs numériques fluctuantes.

Exemple 1 : Valeur maximale = 900, valeur de seuil = 10 donne 890.
La valeur limite sera dépassée au-delà d’une valeur de 900, et la plage critique sera quittée lorsque la valeur chutera en dessous de 890.

Exemple 2 : Valeur maximale = 900, valeur de seuil = 10 donne 910.
La valeur limite sera dépassée à partir d’une valeur de 900, et la plage critique sera quittée lorsque la valeur s’élèvera au-dessus de 910.

Contrairement à l’hystérésis, cette propriété n’a aucune incidence sur l’affichage de la valeur, uniquement sur le comportement de l’alarme.

Plus de détails dans l’aide en ligne.

VT_UI4

Delay

Délai (s)

Durée (en secondes) pendant laquelle le dépassement de valeur limite doit être actif. La valeur doit être active pour la durée définie (sans interruption) pour déclencher les actions configurées en cas de dépassement de valeur limite.
AML/CEL (Liste d’alarmes/d’événements) :

  • La durée de la première violation est utilisée en tant qu’horodatage du dépassement de valeur limite dans la liste d’alarmes et/ou la liste d’événements.
  • La première valeur après expiration du délai, et non la valeur déclenchant l’alarme, est définie en tant que valeur.

Attention : Associée à la propriété Clignotement, cette propriété a l’effet suivant sur le réseau :

  • Valeur limite avec clignotement, sans délai : Les éléments liés clignotent sur le serveur et sur les clients.
  • Valeur limite avec clignotement et délai : Les éléments liés clignotent uniquement sur le serveur, pas sur les clients.
  • Alarme avec clignotement, sans délai : Les éléments liés clignotent sur le serveur et les clients.
  • Alarme avec clignotement et délai : Les éléments liés clignotent sur le serveur et les clients.

Minimum : 0
Maximum : 4294967295
Par défaut : 0

Plus de détails dans l’aide en ligne.

VT_BOOL

IsVariable

Valeur limite dynamique active

Spécifie si le texte de valeur limite est fixe ou s’il est déterminé de manière dynamique, via une variable.

  • Inactive : La valeur limite est définie avec une attribution de valeur fixe.
  • Active : La valeur limite est définie avec la valeur d’une variable différente.
    AML/CEL (Liste d’alarmes/d’événements) : Les dernières informations d’horodatage des deux variables sont utilisées comme informations d’horodatage du dépassement de valeur limite dans la liste AML ou CEL.

Par défaut : Inactive

Attention : Si la valeur limite de la variable est modifiée de manière à ce que la valeur actuelle de la variable se trouve soudainement dans la plage critique sans avoir changé pour autant, un dépassement de valeur limite se produira.

Plus de détails dans l’aide en ligne.

ZT_VARIABLE

Variable

Variable

Disponible uniquement si la propriété Valeur limite dynamique est active :
Variable utilisée en tant que valeur limite dynamique.

Plus de détails dans l’aide en ligne.

ZT_FUNCTION

Function

Fonction

Fonction exécutée automatiquement dans le Runtime en cas de dépassement d’une valeur limite.
Si l’état est défini en tant qu’alarme, l’exécution spontanée de la fonction peut être annulée. Pour cela, sélectionnez l’option Appel par un bouton dans les synoptiques d'alarmes.
Si plusieurs fonctions doivent être exécutées, un script contenant les fonctions souhaitées doit être créé et un lien vers la fonction d’exécution du script doit être inséré ici.

Plus de détails dans l’aide en ligne.

VT_BOOL

AML_Call

Appel par un bouton dans les synoptiques d'alarmes

Disponible uniquement si la valeur limite est une alarme :

  • Active : La fonction liée n’est pas exécutée de façon événementielle durant le fonctionnement en ligne, mais uniquement lorsque l’utilisateur sélectionne le bouton Fonction dans la liste d’alarmes.
  • Inactive : La fonction est exécutée de manière événementielle dès que l’alarme se déclenche.

Par défaut : inactive

Plus de détails dans l’aide en ligne.

ZT_COLOR

Color

Couleur de limite

Informations de couleur pour la coloration de la couche et la couleur d’état lors de l’utilisation de variables dans les éléments binaires ; la définition de la couleur des textes d’alarme dans la liste d’alarmes s’effectue dans la définition des classes d’alarme.

Plus de détails dans l’aide en ligne.

VT_BOOL

Invisible

Invisible

Active : L’état n’est pas affiché dans l’élément dynamique Élément d’état, ou les éléments ne sont pas affichés si leur visibilité est contrôlée par cette variable.
Inactive : La visibilité n’est pas influencée par le dépassement de la valeur limite.
Par défaut : inactive.

Plus de détails dans l’aide en ligne.

VT_BOOL

Blinking

Clignotement

Active : Les éléments dynamiques liés à cette variable commencent à clignoter dès que cette valeur limite est dépassée.
Vous pouvez acquitter le clignotement avec un double-clic droit.
Inactive : La valeur limite ne provoque pas de clignotement.
Par défaut : inactive.
Attention : Lorsqu’elle est associée à la propriété Délai (s), cette propriété a les effets suivants sur le réseau :
Valeur limite avec clignotement et sans délai : les éléments liés clignotent sur le serveur et sur les clients.
Valeur limite avec clignotement et avec délai : Les éléments liés clignotent uniquement sur le serveur, pas sur les clients.
Alarme avec clignotement, sans délai : Les éléments liés clignotent sur le serveur et les clients.
Alarme avec clignotement et délai : Les éléments liés clignotent sur le serveur et les clients.

Plus de détails dans l’aide en ligne.

VT_BSTR

UserProperty1

Informations supplémentaires 1

In der Runtime kann die hier eingegebene Zusatzinformation in einem VBA Makro ausgewertet werden.

Mehr im Online-Handbuch

VT_BSTR

UserProperty2

Informations supplémentaires 2

In der Runtime kann die hier eingegebene Zusatzinformation in einem VBA Makro ausgewertet werden.

Mehr im Online-Handbuch

VT_BOOL

Alarm

Dans la liste d'alarmes

Active : En cas de dépassement d’une valeur limite, une entrée est créée dans la liste d’alarmes.
Inactive : Aucune entrée n’est créée dans la liste d’alarmes.
Par défaut : Inactive

Plus de détails dans l’aide en ligne.

VT_BOOL

Cel

Dans la liste d'événements

Active : En cas de dépassement d’une valeur limite, une entrée est créée dans la liste d’événements (CEL).
Inactive : Aucune entrée n’est créée dans la liste d’événements.
Par défaut : inactive.

Plus de détails dans l’aide en ligne.

VT_BOOL

AlarmAcknowledge

Acquittement obligatoire

Disponible uniquement pour les alarmes.
Active : l’alarme doit être acquittée avant d’être supprimée de la mémoire circulaire.
Inactive : Aucun acquittement requis.
Paramètre par défaut pour les alarmes : active, sinoninactive

Plus de détails dans l’aide en ligne.

VT_BOOL

AlarmComment

Commentaire requis

Disponible uniquement si la propriété Acquittement obligatoire est active.

Active : Avant de pouvoir acquitter une alarme, vous devez saisir un commentaire. Pour cela, l’utilisateur doit disposer des autorisations requises pour utiliser la fonction Saisir un commentaire sur une alarme.

Par défaut : Inactive

Plus de détails dans l’aide en ligne.

VT_BOOL

AlarmCause

Cause d'alarme necessaire

Disponible uniquement si la propriété Acquittement obligatoire est active.

Active : une cause d’alarme doit être liée pour qu’une alarme puisse être acquittée.

Par défaut : Inactive

Plus de détails dans l’aide en ligne.

VT_BOOL

AlarmDelete

Acquittement à deux étapes

Disponible uniquement si la propriété Acquittement obligatoire est active.

  • Active : L’alarme est uniquement supprimée du buffer circulaire si elle a été acquittée et effacée et la suppression de l’alarme du buffer circulaire a été confirmée.
  • Inactive : L’alarme est supprimée du buffer circulaire si elle a été acquittée et effacée.

Par défaut : Inactive

Plus de détails dans l’aide en ligne .

VT_BOOL

Print

Imprimer

Active : L’alarme ou le dépassement de valeur limite est imprimé(e) en ligne pour cette variable, selon la configuration de la propriété Impression pour du groupe Alarmes et événements dans les paramètres du projet.
Inactive : Pas d’impression en ligne.
Par défaut : Inactive

Plus de détails dans l’aide en ligne.

VT_UI2

Group

Groupe d'alarmes/d'événements

Attribution d’un groupe d’alarmes/d’événements (max. 65 535) pour la valeur limite, lorsque celle-ci est utilisée comme alarme.
L'attribution à un groupe d’alarmes/d’événements est effectuée par le biais d’une sélection dans la liste.
Par défaut : 0 - (non utilisé).

Plus de détails dans l’aide en ligne.

ZT_BSTR_REF

GroupName

GroupName

Gets/Sets the alarm group of a limit.

VT_UI2

Class

Classe d'alarmes/d'événements

Attribution d’une classe d’alarmes/d’événements (max. 65 535) pour la valeur limite, lorsque celle-ci est utilisée comme alarme.
L'attribution à une classe d’alarmes/d’événements est effectuée par le biais d’une sélection dans la liste.
Par défaut : 0 - (non utilisé).

Plus de détails dans l’aide en ligne.

ZT_BSTR_REF

ClassName

ClassName

Gets/Sets the alarm class which is linked to a limit.

ZT_FILE

HelpFile

Fichier d'aide

Disponible uniquement si la propriété Dans la liste d'alarmes a été activée pour la valeur limite.

Sélection du fichier d’aide (*.chm) dont un chapitre relatif à cette alarme sera affiché dans la liste d’alarmes.

Configuration pour EPLAN :
il est possible d’afficher une page d’EPLAN. Pour cela, la connexion à EPLAN doit disposer d’une licence et le chemin d’accès au programme EPLAN doit être défini dans le fichier zenon6.ini.
Configuration :

  • Saisie de la chaîne de caractères $PRG:xxxxxx .

    xxxxxx est l’opérateur représentant les paramètres à transférer

  • La propriété Chapitre d'aide est ignorée, mais ne doit pas être vide.

Plus de détails dans l’aide en ligne.

VT_BSTR

HelpCapture

Chapitre d'aide

Disponible uniquement si la propriété Dans la liste d'alarmes a été activée pour la valeur limite.
Chapitre d’aide affiché dans la liste d’alarmes pour cette alarme. Pour cela, un fichier CHM doit être défini dans la propriété Fichier d'aide.

Plus de détails dans l’aide en ligne.


C$$DrvName$$VarED

Manuel -> Interfaces de programmation -> Modèles d'objet -> Variable -> Variable-Dynamic properties -> C$$DrvName$$VarED

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Type

VBA/VSTA Name

Display Name

Description

VT_BOOL

IsLocalDigits

IsLocalDigits

"With this property you have the opportunity to decide whether the ""Decimals"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalSignalMin

IsLocalSignalMin

"With this property you have the opportunity to decide whether the ""Minimum signal resolution"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalSignalMax

IsLocalSignalMax

"With this property you have the opportunity to decide whether the ""Maximum signal resolution"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalRangeMin

IsLocalRangeMin

"With this property you have the opportunity to decide whether the ""Minimum measuring range"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalRangeMax

IsLocalRangeMax

"With this property you have the opportunity to decide whether the ""Maximum measuring range"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalAlternateValue

IsLocalAlternateValue

"With this property you have the opportunity to decide whether the ""Alternate value"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalValueMin

IsLocalValueMin

"With this property you have the opportunity to decide whether the ""Minimum set value"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalValueMax

IsLocalValueMax

"With this property you have the opportunity to decide whether the ""Maximum set value"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalUseMacro

IsLocalUseMacro

"With this property you have the opportunity to decide whether the ""Non linear value adjustment with macros"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalInOut

IsLocalInOut

"With this property you have the opportunity to decide whether the ""Setting values active"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalHystNeg

IsLocalHystNeg

"With this property you have the opportunity to decide whether the ""negative hysteresis"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalHystPos

IsLocalHystPos

"With this property you have the opportunity to decide whether the ""negative hysteresis"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalArchHystNeg

IsLocalArchHystNeg

VT_BOOL

IsLocalArchHystPos

IsLocalArchHystPos

VT_BOOL

IsLocalUpdatePriority

IsLocalUpdatePriority

"With this property you have the opportunity to decide whether the ""Priority of the driver connection"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalDDEaktiv

IsLocalDDEaktiv

"With this property you have the opportunity to decide whether the ""DDE active"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalStandby

IsLocalStandby

"With this property you have the opportunity to decide whether the ""Only read from standby"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalRemaActiv

IsLocalRemaActiv

"With this property you have the opportunity to decide whether the ""Reaction matrix active"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalRema

IsLocalRema

"With this property you have the opportunity to decide whether the ""Reaction matrix"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalHDActive

IsLocalHDActive

"With this property you have the opportunity to decide whether the ""HD active"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalHDUpdate

IsLocalHDUpdate

"With this property you have the opportunity to decide whether the ""HD scan rate"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalHDSize

IsLocalHDSize

"With this property you have the opportunity to decide whether the ""Number of HD values"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalKDAActiv

IsLocalKDAActiv

"With this property you have the opportunity to decide whether the ""Recording type"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalStingLength

IsLocalStingLength

"With this property you have the opportunity to decide whether the ""String length"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalQuitPV

IsLocalQuitPV

"With this property you have the opportunity to decide whether the ""Acknowledgement variable"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalViewQuitPV

IsLocalViewQuitPV

Description as text.

VT_BOOL

IsLocalQuitValue

IsLocalQuitValue

"With this property you have the opportunity to decide whether the ""Acknowledgement value"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalTagname

IsLocalTagname

"With this property you have the opportunity to decide whether the ""Identification"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalUnit

IsLocalUnit

"With this property you have the opportunity to decide whether the ""Unit"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalAltValString

IsLocalAltValString

"With this property you have the opportunity to decide whether the ""String alternative value"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalRecLabel

IsLocalRecLabel

"With this property you have the opportunity to decide whether the ""Ressources label"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalAdjustHW

IsLocalAdjustHW

"With this property you have the opportunity to decide whether the ""AdjustHardwareValue"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalAdjustZenon

IsLocalAdjustZenon

"With this property you have the opportunity to decide whether the ""AdjustZenOnValue"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalArraySize

IsLocalArraySize

"With this property you have the opportunity to decide whether the ""Array size"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalCounterGroup

IsLocalCounterGroup

VT_BOOL

IsLocalMaxGradient

IsLocalMaxGradient

VT_BOOL

IsLocalNormalStateActive

IsLocalNormalStateActive

VT_BOOL

IsLocalNormalState

IsLocalNormalState

VT_BOOL

IsLocalAlarmPV0

IsLocalAlarmPV0

"With this property you have the opportunity to decide whether the ""Alarm Variable 1"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalAlarmPV1

IsLocalAlarmPV1

"With this property you have the opportunity to decide whether the ""Alarm Variable 2"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalAlarmPV2

IsLocalAlarmPV2

"With this property you have the opportunity to decide whether the ""Alarm Variable 3"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalVarInASM

IsLocalVarInASM

"With this property you have the opportunity to decide whether the ""Save in IPA database"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalAlarmDomain

IsLocalAlarmDomain

"With this property you have the opportunity to decide whether the ""Alarm area"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalAlarmDomain2

IsLocalAlarmDomain2

Description as text.

VT_BOOL

IsLocalAlarmDomain3

IsLocalAlarmDomain3

Description as text.

VT_BOOL

IsLocalAlarmDomain4

IsLocalAlarmDomain4

Description as text.

VT_BOOL

IsLocalLocking

IsLocalLocking

"With this property you have the opportunity to decide whether the ""Interlocking"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalSBO

IsLocalSBO

"With this property you have the opportunity to decide whether the ""Select before operate"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalCancelOperate

IsLocalCancelOperate

Description

VT_BOOL

IsLocalAlarmViaEquipmentModel

IsLocalAlarmViaEquipmentModel

Description

VT_BOOL

IsLocalUsedInProcRec

IsLocalUsedInProcRec

Description

VT_UI1

IsSWProtokol

IsSWProtokol

VT_BOOL

IsSW_Akt

IsSW_Akt

VT_BOOL

IsSW_VBA

IsSW_VBA

More...

Limits

Valeurs limite

Propriétés définissant le traitement des valeurs limites ou le traitement des alarmes pour la variable.

Les propriétés de ce groupe sont uniquement disponibles si vous avez activé la propriété Matrice de réaction active.

Plus de détails dans l’aide en ligne.

VT_UI4

ID_ComplexVariable

ID_ComplexVariable

With this property you have the opportunity to get/set the ID of a variable from a structure element. This ID is 0 when the variable has no structure datatype.

VT_BSTR

Name

Nom

Nom unique de la variable. Les considérations suivantes s’appliquent lors de la définition du nom :

  • Longueur maximale : 128 caractères
  • Caractères non autorisés : # et @

Remarque : pour les drivers utilisant la connexion à zenon Logic, vous devez définir un préfixe. Pour plus de détails, reportez-vous au chapitre Création de variables O et M dans zenon Logic dans le manuel.
Toute modification du nom de la variable doit également être effectuée dans l’environnement de programmation (VBA, VSTA).

Attention : Cette propriété n’est pas disponible aux fins de la commutation de langue.

Plus de détails dans l’aide en ligne.

VT_BSTR

Tagname

Identification

Chaîne libre utilisée pour l’identification de la variable ou du type de données.
Remarque : Puisque la langue du nom de la variable (propriété Nom) ne peut pas être modifiée, cette propriété peut être utilisée pour le changement de langue en ligne.

Longueur maximale : 128 caractères

Plus de détails dans l’aide en ligne.

VT_BSTR

Unit

Unité de mesure

Unité technique de la variable devant être affichée dans le Runtime. Si vous avez déjà créé des unités de mesure dans le module d’unités de base, celles-ci sont disponibles dans une liste déroulante.
Maximum : 50 caractères.
Par défaut : vide

Plus de détails dans l’aide en ligne.

VT_R8

AlternateValue

Archivfüllwert

Cette valeur est utilisée pour renseigner les archives cycliques. En présence d’intervalles durant lesquels aucune connexion au matériel n’a été établie, cette valeur est utilisée tant qu’aucune valeur n’est transférée depuis l’équipement. Dans le cas contraire, la dernière valeur valide utilisée est utilisée aux fins du renseignement.

Plus de détails dans l’aide en ligne.

VT_BSTR

AlternateValueString

Valeur chaîne pour le remplissage des archives

Cette valeur est utilisée pour les variables de chaîne, afin de renseigner les archives cycliques.
En présence d’intervalles, dans les archives cycliques, durant lesquels aucune connexion au matériel n’a été établie, cette Valeur chaîne pour le remplissage des archives est utilisée tant qu’aucune valeur n’est transférée depuis l’équipement. Dans le cas contraire, la dernière valeur valide est utilisée pour le renseignement.

Longueur maximale : 128 caractères

Attention : Cette propriété n’est pas disponible aux fins de la commutation de langue.

Plus de détails dans l’aide en ligne.

VT_BSTR

Recourceslabel

Description externe

Chaîne au choix.
N'est pas utilisé au niveau interne dans zenon, mais est disponible lors de l’exportation de valeurs pour autoriser l’attribution des valeurs exportées pour les systèmes de gestion tels qu’ERP.

Longueur maximale : 255 caractères

Plus de détails dans l’aide en ligne.

VT_UI4

NetAddr

Adresse réseau

Adresse de bus ou Adresse réseau de la variable.

  • Minimum : 0
  • Maximum : 4294967295

Par défaut : 0

Plus de détails dans l’aide en ligne.

VT_UI4

DataBlock

Bloc de données

Numéro de bloc de données.
Minimum : 0.
Maximum : 4294967295
Par défaut : 0.

Plus de détails dans l’aide en ligne.

VT_UI4

Offset

Offset

Décalage de la variable.
Pour les contrôleurs à adressage linéaire : plage de mémoire.
Pour les contrôleurs à résolution de nom : adresse d’attribution.
Minimum : 0.
Maximum : 4294967295
Par défaut : 0.

Plus de détails dans l’aide en ligne.

VT_UI2

BitAddr

Numéro de bit

Numéro du bit dans le décalage configuré.
Minimum : 0.
Maximum : 65535
Par défaut : 0.

Plus de détails dans l’aide en ligne.

VT_UI2

Alignment

Alignement

Ceci dépend de la granularité du type d’objet du driver et de la position de la variable conformément au décalage défini.

Pour les variables de type Octet :
Octet poids fort : octet de poids fort dans le décalage de mot.
Octet poids faible : Otet de poids faible dans le décalage de mot.
HiWord-HiByte octet de poids fort dans le mot fort dans le décalage de double mot.
HiWord-LoByte (Mot poids fort-Octet poids faible) octet de poids faible dans le mot fort dans le décalage de double mot.
Mot poids faible-Octet poids fort : octet de poids fort dans le mot faible dans le décalage de double mot.
Mot poids faible-Octet poids faible : octet de poids faible dans le mot faible dans le décalage de double mot.

Pour les variables de mot :
Mot poids fort : mot fort dans le décalage de double mot.
Mot poids faible : Mot poids faible dans le décalage de double mot.

Plus de détails dans l’aide en ligne.

VT_UI2

StringLength

Longueur de la chaîne

Disponible uniquement pour les variables de type chaîne.
Nombre maximum de caractères que peut accepter une variable.
Minimum : 1 caractère
Si la valeur non autorisée 0 est saisie, la dernière valeur configurée valide est automatiquement utilisée. Si aucune valeur valide n’a été configurée, l’entrée est remplacée par la valeur par défaut.
Maximum : 65535 caractères.
Par défaut : 5 caractères

Remarque : la valeur par défaut est 65 535 pour les variables système avec le type de données String.

Plus de détails dans l’aide en ligne.

VT_BSTR

SymbAddr

Adresse symbolique

Séquence de caractères pour l’adressage symbolique des variables.

Longueur maximale : 1024 caractères.

Remarque : L’adresse symbolique n’est pas prise en charge par tous les drivers.
Lors de l’importation des variables dans des drivers compatibles avec l’adressage symbolique, la propriété est saisie automatiquement.

Plus de détails dans l’aide en ligne.

VT_UI4

Driver

Drivers

VT_UI4

ID_DataTyp

Type de données

Type de donnée pour la variable. Sélectionné durant la création de la variable ; peut être modifié ici ultérieurement.
Remarque : Pour les variables de structure, le type de données ne peut plus être modifié après la création des variables.
Attention : Si vous modifiez le type de données ultérieurement, toutes les autres propriétés de la variable doivent être vérifiées et ajustées, si nécessaire.

Plus de détails dans l’aide en ligne.

VT_UI4

ID_DriverTyp

Type d'objet driver

Selon le driver utilisé, un type d’objet est sélectionné durant la création de la variable et peut être modifié ici ultérieurement.
Siemens : bloc de données, marqueur, entrée/sortie.
Modbus : Coil et Holding Register.

Plus de détails dans l’aide en ligne.

VT_UI1

UpdatePriority

Priorité

Si l’heure de mise à jour globale spécifiée dans la configuration du driver n’est pas utilisée, la fréquence des mises à jour correspondant aux différents niveaux de priorité peut être définie ici. Dans cette propriété, une priorité est attribuée à une variable.

Plus de détails dans l’aide en ligne.

VT_BOOL

Standby

Lire uniquement sur le serveur redondant

Active : La valeur de la variable provenant du serveur redondant est affichée.
Inactive : La valeur de la variable provenant du serveur est affichée.
(drivers matériels uniquement)

Plus de détails dans l’aide en ligne.

VT_UI2

Digits

Nombre de décimales

Nombre de décimales des valeurs de variables utilisées lors de l’affichage dans le système de contrôle.
Minimum : 0
Maximum : 10
Par défaut : 0

Plus de détails dans l’aide en ligne.

VT_R8

SignalMin

Signal min.

Valeur minimum de la variable dans l’automate.
À moins d’être définie différemment dans la propriété Ajustement non-linéaire, la valeur brute des variables (résolution du signal) sera toujours convertie au format de la plage de mesure sur une base linéaire (pour une utilisation dans le système de contrôle). Toutes les autres entrées de valeurs numériques spécifiques à la variable dans Editor et dans le Runtime seront liées à la plage de mesures (par ex. définition des valeurs limites, limites des valeurs prescrites, zone de représentation, entrées de valeurs prescrites, etc.).

Plus de détails dans l’aide en ligne.

VT_R8

SignalMax

Signal max.

Valeur maximum de la variable dans l’automate. À moins d’être définie différemment dans la propriété Ajustement non-linéaire, la valeur brute des variables (résolution du signal) sera toujours convertie au format de la plage de mesure sur une base linéaire (pour une utilisation dans le système de contrôle). Toutes les autres entrées de valeurs numériques spécifiques à la variable dans Editor et dans le Runtime seront liées à la plage de mesures (par ex. définition des valeurs limites, limites des valeurs prescrites, zone de représentation, entrées de valeurs prescrites, etc.).

Plus de détails dans l’aide en ligne.

VT_R8

RangeMin

Plage de mesure min.

Valeur minimum des variables dans zenon.
À moins d’être définie différemment dans la propriété Ajustement non-linéaire, la valeur brute des variables (résolution du signal) sera toujours convertie au format de la plage de mesure sur une base linéaire (pour une utilisation dans le système de contrôle). Toutes les autres entrées de valeurs numériques spécifiques à la variable dans Editor et dans le Runtime seront liées à la plage de mesures (par ex. définition des valeurs limites, limites des valeurs prescrites, zone de représentation, entrées de valeurs prescrites, etc.).

Plus de détails dans l’aide en ligne.

VT_R8

RangeMax

Plage de mesure max.

Valeur maximum des variables dans zenon.
À moins d’être définie différemment dans la propriété Ajustement non-linéaire, la valeur brute des variables (résolution du signal) sera toujours convertie au format de la plage de mesure sur une base linéaire (pour une utilisation dans le système de contrôle). Toutes les autres entrées de valeurs numériques spécifiques à la variable dans Editor et dans le Runtime seront liées à la plage de mesures (par ex. définition des valeurs limites, limites des valeurs prescrites, zone de représentation, entrées de valeurs prescrites, etc.).

Plus de détails dans l’aide en ligne.

VT_BOOL

UseMacro

Ajustement non-linéaire avec macros

L’ajustement de valeurs non linéaires est utilisé pour les variables dont la valeur originale (automate) ne peut pas être ajustée de manière linéaire en fonction de la valeur mesurée (système de contrôle).

  • Active : Les valeurs brutes sont ajustées en fonction de zenon, sur une base non linéaire, avec des macros VBA.
  • Inactive : Les valeurs brutes sont ajustées en fonction de zenon.

Remarque : Lors de l’activation de la propriété, les propriétés AdjustHardwareValue et AdjustScadaValue doivent également être configurées. La propriété AdjustHardwareValue doit alors être configurée à l’inverse de la propriété AdjustScadaValue, sous forme de fonction inverse.

Par défaut : Inactive

Plus de détails dans l’aide en ligne.

ZT_VBAMAKRO

AdjustHardware

AdjustHardwareValue

Disponible uniquement si la propriété Ajustement non-linéaire avec macros est active.

Macro appelée à chaque modification de la valeur brute dans l’automate, et qui modifie la valeur dans zenon. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de macros.
Plus de détails dans l’aide en ligne.

ZT_VBAMAKRO

AdjustZenon

AdjustScadaValue

Disponible uniquement si la propriété Ajustement non-linéaire avec macros est active.

La macro est appelée lors de l’écriture d’une valeur depuis zenon et modifie la valeur brute sur l’automate. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de macros.
Plus de détails dans l’aide en ligne.

VT_R8

HystNeg

Négatif pour le signal

Hystérésis des valeurs limites définies en fonction de la plage du signal.

Plage d’hystérésis pour l’entrée en cas de changement de valeur avec diminution. Les valeurs sont uniquement interprétées comme des dépassements de valeur limite si la valeur changeante est inférieure à la plage d’hystérésis définie ici.
Par défaut : 0 (pas d’hystérésis)

Plus de détails dans l’aide en ligne.

VT_R8

HystPos

Positif pour le signal

Hystérésis des valeurs limites définies en fonction de la plage du signal.

Plage d’hystérésis pour l’entrée en cas de changement de valeur avec augmentation. Les valeurs sont uniquement interprétées comme des dépassements de valeur limite si la valeur changeante est supérieure à la plage d’hystérésis définie ici.
Par défaut : 0 (pas d’hystérésis)

Plus de détails dans l’aide en ligne.

VT_R8

ArchHystNeg

Négatif pour l'archive

Hystérésis d’archivage en cas de changement appliquée à la plage de mesure.

Plage d’hystérésis pour l’entrée en cas de changement de valeur avec diminution. Les valeurs sont uniquement saisies dans l’archive si la valeur changeante est inférieure à la plage d’hystérésis définie ici.
Par défaut : 0 (pas d’hystérésis)

Plus de détails dans l’aide en ligne.

VT_R8

ArchHystPos

Positif pour l'archive

Hystérésis d’archivage en cas de changement appliquée à la plage de mesure.

Plage d’hystérésis pour l’entrée en cas de changement de valeur avec augmentation. Les valeurs sont uniquement saisies dans l’archive si la valeur changeante est supérieure à la plage d’hystérésis définie ici.
Par défaut : 0 (pas d’hystérésis)

Plus de détails dans l’aide en ligne.

VT_BOOL

DDEActive

Variable lue en permanence

Paramètre de lecture de la variable et de sa disponibilité via DDE dans le Runtime :

  • Active : La variable est toujours connectée au driver. Cela signifie qu’elle est continuellement lue par le driver, même si elle n’est pas nécessaire dans le projet à cet instant précis. Le driver connaît ainsi toujours les valeurs actuelles et l’état actuel des variables et peut les fournir immédiatement, si nécessaire. La variable est également disponible pour les autres applications Windows (par exemple, Excel, Visual Basic, etc.). Les applications Windows possédant une fonctionnalité de client DDE peuvent ainsi utiliser les valeurs de la variable.
    Temps d’actualisation : 0,5 s
    L'activation de cette option offre par exemple l’avantage de basculer plus rapidement les valeurs de variables dans la fonction Ecriture valeur prescrite ou dans l’élément Appel de synoptique, car il n’est pas nécessaire d’interroger spécialement la variable avant la commutation. L’inconvénient est une augmentation de la charge des communications au niveau du contrôleur.
  • Inactive : La variable n’est pas interrogée en permanence par le driver, mais uniquement en cas de demande de valeurs ou d’états dans le Runtime. Elle n’est donc pas disponible dans les autres applications Windows via DDE.

Par défaut : Inactive

Plus de détails dans l’aide en ligne.

VT_UI4

ArraySizeOld

Dimension tableau

Définition de la taille de l’ensemble de blocs. La taille définie est lue ou écrite par le driver durant une demande de lecture/d’écriture. Ceci permet de garantir la cohérence des données dans le texte. Les données peuvent uniquement être modifiées dans le module Recipegroup Manager ou via l’interface de programmation.
Attention : peut être défini au niveau du driver interne, toutefois sans fonction dans le Runtime (valeur toujours égale à 0).

Plus de détails dans l’aide en ligne.

VT_UI4

CounterGroup

Groupe de compteur

Disponible uniquement dans SICAM 230.

VT_UI4

MaxGradient

Gradient maximum

Disponible uniquement dans SICAM 230.

VT_BOOL

NormalStateActive

Actif

Permet de définir un état normal pour les variables et les types de données du type BOOL, UINT et WORD pour tous les drivers.

Active : Un état normal peut être défini.

Par défaut : Inactive

Plus de détails dans l’aide en ligne.

VT_BOOL

NormalState

Valeur normale

Dans la liste déroulante, choisissez si la valeur normale de cette variable ou ce type de données doit être On (Active) ou Off (Inactive). Disponible pour les variables et les types de données du type BOOL, UINT et WORD pour tous les drivers.

Par défaut : Off

Plus de détails dans l’aide en ligne.

ZT_VARIABLE

AlarmPV0

Variable d'alarme 1

Disponible uniquement dans SICAM 230.
Première variable pour la gestion d’alarmes de synoptiques.

Plus de détails dans l’aide en ligne.

ZT_VARIABLE

AlarmPV1

Variable d'alarme 2

Disponible uniquement dans SICAM 230.
Deuxième variable pour la gestion d’alarmes de synoptiques.

Plus de détails dans l’aide en ligne.

ZT_VARIABLE

AlarmPV2

Variable d'alarme 3

Disponible uniquement dans SICAM 230.
Troisième variable pour la gestion d’alarmes de synoptiques.

Plus de détails dans l’aide en ligne.

VT_BOOL

HDActive

Stockage de données sur disque dur actif

Active : les valeurs de variables sont enregistrées sur le disque dur (enregistrement circulaire) pour être évaluées dans l’élément dynamique "Élément de tendance" ou pour l’exportation/l’importation des valeurs.

Inactive : aucune valeur de variable n’est enregistrée.

Par défaut : inactive

Les données de disque dur nécessitent 24 octets d’espace de stockage par valeur, indépendamment du type de variable. Outre la valeur, les informations suivantes sont enregistrées :
- Heure d’exécution de la mesure.
- Millisecondes lors de la lecture de la valeur.
- Modification de l’état de la valeur en fonction des éléments.
- Compteur pour l’identification unique de la valeur (driver événementiel).

Remarque : Le stockage de données est également activé lors d’un appel de synoptique de type Extended Trend si des données en ligne sont analysées.
Les variables de type chaîne ne sont pas prises en charge par la fonction de stockage de données sur le disque dur.

Attention : si l’option d’enregistrement sur disque dur est activée pour un trop grand nombre de variables, en présence d’un trop grand nombre de valeurs, les performances du Runtime peuvent être altérées.

Plus de détails dans l’aide en ligne.

VT_R4

HDUpdate

Temps de cycle [s]

Disponible uniquement si la propriété Stockage de données sur disque dur actif est active :
Durée de l’intervalle [en secondes] de conservation des valeurs en ligne sur le disque dur (mémoire circulaire) pour l’analyse dans l’élément dynamique Tendance, pour les données en ligne dans le module Extended Trend ou pour l’exportation/l’importation de valeurs.

Plus de détails dans l’aide en ligne.

VT_UI4

HDSize

Nombre de valeurs

Valeur correspondant à l’intervalle de conservation des valeurs en ligne sur le disque dur (mémoire circulaire) pour l’analyse dans l’élément dynamique Tendance, pour les données en ligne dans le module Extended Trend ou pour l’exportation/l’importation de valeurs.

Attention : si l’option d’enregistrement sur disque dur est activée pour un trop grand nombre de variables, en présence d’un trop grand nombre de valeurs, les performances du Runtime peuvent être altérées.

Plus de détails dans l’aide en ligne.

VT_BOOL

IsKDAActiv

Type d'enregistrement

Disponible uniquement si la propriété Stockage de données sur disque dur actif est active :
Données de disque dur (cyclique) : Écriture cyclique des valeurs sur le disque dur.
Valeurs retriées (RDA) : Les valeurs sont écrites bloc par bloc sur le disque dur par le driver. (Fonction adaptée à l’analyse rétrospective des erreurs au niveau du système de contrôle.)

Plus de détails dans l’aide en ligne.

VT_BOOL

ExternVisible

Visible extérieurement pour

Disponible uniquement si la propriété Visible par d'autres programmes est active.

Spécifiez expressément les projets de zenon Logic pour lesquels la variable doit être visible. Si vous laissez le champ de saisie vide, la variable est visible pour tous les projets zenon Logic. Vous pouvez également saisir des projets zenon Logic de manière expresse. Séparez les noms des projets individuels par un point-virgule (";"). Vous pouvez utiliser les opérateurs. Par exemple, P1* signifie tous les projets zenon Logic commençant par P1. (Remarque : les opérateurs sont uniquement autorisés sous forme de préfixe ou de suffixe, par exemple, *xxx ou xxx*.

Le nombre de caractères est limité à 64.

Par défaut : -

Plus de détails dans l’aide en ligne.

VT_BSTR

ExternVisibleFor

Visible extérieurement pour

Disponible uniquement si la propriété Visible par d'autres programmes est active.

Spécifiez expressément les projets de zenon Logic pour lesquels la variable doit être visible. Si vous laissez le champ de saisie vide, la variable est visible pour tous les projets zenon Logic. Vous pouvez également saisir des projets zenon Logic de manière expresse. Séparez les noms des projets individuels par un point-virgule (";"). Vous pouvez utiliser les opérateurs. Par exemple, P1* signifie tous les projets zenon Logic commençant par P1. (Remarque : les opérateurs sont uniquement autorisés sous forme de préfixe ou de suffixe, par exemple, *xxx ou xxx*.

Le nombre de caractères est limité à 64.

Par défaut : -

Plus de détails dans l’aide en ligne.

VT_BOOL

ReadWrite

Ecriture/lecture externe

Propriété externe pour zenon Logic. Affecte uniquement les variables qui ne forment pas partie du driver straton.
Active : la valeur de la variable ne peut pas être modifiée dans zenon Logic. La définition de la variable ne peut pas être modifiée dans zenon Logic.
Inactive : la variable ne peut pas être modifiée dans zenon Logic.
Par défaut : active.

Plus de détails dans l’aide en ligne.

VT_BSTR

InitialValue

Valeur initiale externe

Propriété externe pour zenon Logic. Affecte uniquement les variables qui ne forment pas partie du driver straton.
Valeur initiale de la variable dans zenon Logic durant une reprise graduelle ou une reprise intermédiaire.
La saisie autorisée ici dépend du type de données de la variable. Par exemple, vous pouvez uniquement utiliser des valeurs sans décimales pour les variables entières. Pour les variables à virgule flottante, un point doit être utilisé en tant que séparateur décimal ; les virgules ne peuvent pas être utilisées.
Le système de contrôle ne vérifie pas la validité de cette saisie. Ceci peut générer un message d’erreur dans zenon Logic.

Attention : lors de l’utilisation de variables du driver interne, cette propriété doit posséder la même valeur que la valeur initiale dans les paramètres des variables internes.

Plus de détails dans l’aide en ligne.

VT_BSTR

Profilename

Nom profil externe

Propriété externe pour zenon Logic. Affecte uniquement les variables qui ne forment pas partie du driver straton.
Nom du profil défini dans zenon Logic (par ex. STRATON, ProfDP).

Cette propriété est uniquement affichée pour information. Édition dans zenon Logic uniquement.

Plus de détails dans l’aide en ligne.

VT_BSTR

Adressparam

Paramètre externe d'adresse

Propriété externe pour zenon Logic. Affecte uniquement les variables qui ne sont pas des variables du driver straton.
Propriétés de profil dans zenon Logic (par ex. "intégré" ou paramètres d’adressage de Profibus).

Cette propriété est uniquement affichée pour information. Édition dans zenon Logic uniquement.

Plus de détails dans l’aide en ligne.

VT_BSTR

Vargroup

Groupe de variables externe

Propriété externe pour zenon Logic. Affecte uniquement les variables qui ne sont pas des variables du driver straton32.
Groupes de variables dans zenon Logic ("Global" ou "Retain" ou vides).

Cette propriété est uniquement affichée pour information. Édition dans zenon Logic uniquement.

Plus de détails dans l’aide en ligne.

VT_BOOL

IsRemaActiv

Matrice de réaction active

Active : Une matrice de réaction est utilisée à la place des valeurs de limite.
Inactive : Les valeurs peuvent être définies pour la variable.
Par défaut : inactive.

Plus de détails dans l’aide en ligne.

ZT_REMA

Rema

Matrice de réaction

Propriétés d’utilisation d’une matrice de réaction pour la variable.

Plus de détails dans l’aide en ligne.

ZT_VARIABLE

AlarmQuitPV

Valeur d'acquittement

Si une alarme de cette variable est acquittée visuellement, la variable sélectionnée sous Variable d'acquittement visuel ou Variable d'acquittement est définie sur cette valeur.

Sélection de 0 ou 1.

Plus de détails dans l’aide en ligne.

ZT_VARIABLE

AlarmViewQuitPV

Variable d'acquittement visuel

Si une alarme de la variable de contrôle est acquittée visuellement, la valeur de la variable d’acquittement visuel est définie sur la valeur définie par Valeur d'acquittement.

Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de variables binaires.

Plus de détails dans l’aide en ligne.

VT_UI4

AlarmQuitPVValue

Valeur d'acquittement

Si une alarme de cette variable est acquittée visuellement, la variable sélectionnée sous Variable d'acquittement visuel ou Variable d'acquittement est définie sur cette valeur.

Sélection de 0 ou 1.

Plus de détails dans l’aide en ligne.

VT_BOOL

VarInASM

Enregistrer dans la base IPA

Active : les alarmes de cette variable sont disponibles pour analyse dans le module Industrial Performance Analyzer (IPA).
Inactive : les alarmes de cette variable ne sont prises en compte lors de l’analyse dans le module Industrial Performance Analyzer (IPA).
Par défaut : Inactive

Attention : le module Industrial Performance Analyzer est un module optionnel, qui doit comporter une licence valide pour pouvoir être utilisé ici.

Plus de détails dans l’aide en ligne.

VT_BOOL

AlarmViaEquipmentModel

Utiliser la gestion d'alarmes hiérarchiques du modèle d'équipement

Type d’attribution de la variable à un domaine d’alarmes.

  • Active :
    Le domaine d’alarmes de la variable est transféré par le modèle d’équipement. L’alarme de la variable est applicable aux domaines d’alarmes définis dans le modèle d’équipement. Dans ce cas, le groupe d’équipements de la variable et le groupe d’équipements de niveau supérieur du modèle d’équipement sont pris en compte.
  • Inactive :
    L'alarme sur la variable est applicable aux domaines d’alarmes 1 à 4 de la gestion d’alarmes.

Remarque : Si cette propriété est activée pour un type de données, les paramètres de toutes les variables issues de celle-ci sont transférés.

Plus de détails dans l’aide en ligne.

ZT_BSTR_REF

AreaName

AreaName

Description as text.

ZT_BSTR_REF

AreaName2

AreaName2

Description as text.

ZT_BSTR_REF

AreaName3

AreaName3

Description as text.

ZT_BSTR_REF

AreaName4

AreaName4

Description as text.

VT_BOOL

InOut

Ecrire valeur prescrite

Active : cette variable est libérée pour l’action Spécifier valeur prescrite.
Inactive : cette variable est protégée en écriture.
Par défaut : Active

Plus de détails dans l’aide en ligne.

VT_BOOL

SBO

Select Before Operate

Attention : Cette fonctionnalité est uniquement compatible avec les drivers IEC870 et IEC850, et uniquement disponible si vous avez sélectionné l’option Commande commutation pour la propriété de type d’action dans Gestion des commandes, et l’action est mise en œuvre sous forme d’action à deux étapes. N’utilisez pas cette fonction pour le driver DNP3_NG ; Auto-SBO peut être configuré directement pour la variable, dans ce cas.

Active : Avant que la valeur de la variable ne soit écrite dans le matériel, zenon vérifie, pendant la première phase de la commande de commutation, si la variable dans l’équipement est prête pour cette action (Select before Operate (SBO)).
Attention : Pour les commandes impulsion, la réinitialisation automatique des valeurs des variables n’est pas effectuée dans l’intervalle de temps défini dans la propriété de délai de front.

Si la propriété SBO a été activée pour la variable d’action, une commande d’impulsion se comporte de la même manière qu’une commande de commutation.

Inactive : La valeur de la variable est transférée vers le driver sans vérification préalable.

Remarque : dans un driver IEC870, cela signifie une instruction Direct execute. Le driver IEC850 peut toutefois déclencher automatiquement une instruction Select before Operate , en raison du Control Model.
Par défaut : Inactive :
Plus de détails dans l’aide en ligne.

VT_BOOL

CancelOperate

Annuler 'Operate'

Si cette propriété est activée, il est possible d’envoyer une commande Cancel après une commande Operate lors de la gestion des commandes.

Remarque : Cette propriété est uniquement dans la version Energy Edition.

Par défaut : Inactive

Plus de détails dans l’aide en ligne.

VT_R8

ValueMin

Valeur prescrite min.

La valeur minimum définie ici pour le paramètre Écrire valeur prescrite peut être acceptée par le biais d’éléments dynamiques, plutôt que par la configuration séparée de ces derniers.
Ceci est surtout recommandé si la plage de la mesure est susceptible de varier ultérieurement, car ces modifications peuvent être effectuées une fois ici, au lieu d’être modifiées séparément dans chaque élément.

Plus de détails dans l’aide en ligne.

VT_R8

ValueMax

Valeur prescrite max.

La valeur maximum définie ici pour le paramètre Écrire valeur prescrite peut être acceptée par le biais d’éléments dynamiques, plutôt que par la configuration séparée de ces derniers.
Ceci est surtout recommandé si la plage de la mesure est susceptible de varier ultérieurement, car ces modifications peuvent être effectuées une fois ici, au lieu d’être modifiées séparément dans chaque élément.

Plus de détails dans l’aide en ligne.

VT_BSTR

LockingName

LockingName

"With this property you have the opportunity to assign an interlocking via its name.
zElement.DynProperties(""LockingName"") = ""Interlocking 1"""

VT_UI1

SetValueProtocol

Enregistrement (fichier journal)

Définit la manière dont l’écriture de la valeur prescrite sera consignée dans la liste CEL.

  • Tout : Toutes les actions Écrire valeur prescrite de cette variable exécutées via des éléments dynamiques et les fonctions Écrire valeur prescrite sont consignées dans la liste d’événements. (CEL)
  • Rien : aucune action Spécifier valeur prescrite n’est consignée dans la liste CEL.
  • Seulement sur élément dynamique : Seules les actions Écrire valeur prescrite exécutées via les éléments dynamiques sont consignées dans la liste CEL.

Par défaut : Uniquement les éléments dynamiques :

Plus de détails dans l’aide en ligne.

VT_BOOL

SV_Act

Ancienne et nouvelle valeur
  • Active : en cas de modification de la valeur prescrite de cette variable, les valeurs ancienne et nouvelle sont consignées dans la liste d’événements (CEL).
  • Inactive : Seule la nouvelle valeur est consignée.

Par défaut : Inactive

Recommandation : Activez la propriété Variable lue en permanence. Ceci permet de garantir que la valeur est toujours disponible, et qu’il n’est pas nécessaire de l’interroger spécialement.

Plus de détails dans l’aide en ligne.

VT_BOOL

SV_VBA

Valeurs modifiées par VBA

Active : L’écriture de la valeur prescrite de cette variable via une macro VBA est consignée dans la liste d’événements.
inactive : l’écriture de la valeur prescrite de cette variable via une macro VBA n’est pas consignée.
Par défaut : Active

Remarque : pour les variables configurées sous forme de variables de commande dans la passerelle de procédé IEC870, chaque commande est consignée sous la forme Spécifier valeur prescrite via l’interface COM dans la liste CEL, si la propriété est activée.

Plus de détails dans l’aide en ligne.

VT_BSTR

VisualName

Nom visuel

Saisie d’un nom d’affichage de la variable dans zenon Analyzer. Celui-ci doit être unique dans le projet, mais ceci n’est pas vérifié dans zenon. Cette vérification est effectuée lors de l’importation dans zenon Analyzer.

Cette propriété fournit des informations qui sont utilisées pour la configuration de rapports dans zenon Analyzer. L’exportation des données de zenon vers zenon Analyzer est effectuée à l’aide de l’assistant Analyzer Export Wizard.

Attention : Si cette propriété est modifiée après la première exportation vers zenon Analyzer, ces modifications ne sont appliquées dans zenon Analyzer.

Plus de détails dans l’aide en ligne.

VT_BSTR

Meaning

Signification

Cette propriété fournit des informations qui sont utilisées par la fonction de configuration de rapports dans zenon Analyzer.
Les données peuvent être définies manuellement ou à l’aide de l’assistant Meaning and Waterfall Chart Wizard. L’exportation des données de zenon vers zenon Analyzer est effectuée à l’aide de l’assistant Analyzer Export Wizard.

Saisie de la signification (meaning) d’une variable dans zenon Analyzer. Plusieurs significations doivent être séparées par une virgule.
Syntaxe : [signification1],[signification2],…,[significationN]

Plus de détails dans l’aide en ligne.

VT_BSTR

WaterfallParam

Paramètre pour le waterfall diagram

Cette propriété fournit des informations qui sont utilisées par la fonction de configuration de rapports dans zenon Analyzer.
Les données peuvent être définies manuellement ou à l’aide de l’assistant Meaning and Waterfall Chart Wizard. L’exportation des données de zenon vers zenon Analyzer est effectuée à l’aide de l’assistant Analyzer Export Wizard.

Paramètres d’une variable pour un diagramme en cascade dans zenon Analyzer. Les entrées peuvent être créées pour les rapports par ligne ou les rapports par machine. Lors de l’exportation, en fonction de la structure des entrées, une décision est prise pour déterminer s’il s’agit d’entrées correspondant à des diagrammes par machine ou par ligne.

Les paramètres individuels doivent être séparés par une virgule. Plusieurs cascades doivent être séparées par un poing-virgule.
Syntaxe, par machine : [nom modèle],[indice de ligne],[indice de colonne],[code de couleur];
Syntaxe, par ligne : [nom du modèle],[indice de ligne],[indice de colonne],[code de couleur],[perte de machine auxiliaire],[ajout de perte de machine auxiliaire],[soustraction de perte de machine auxiliaire];

Plus de détails dans l’aide en ligne.

VT_BOOL

Use_in_ProcRec

Activer l'enregistrement

Active/désactive la variable ou le type de données enregistré dans le module Process Recorder.
La sélection multiple de variables est possible.

  • Active :
    Les changements de valeur de la variable sont enregistrés dans le module Process Recorder.
    Attention : Assurez-vous que l’activation générale de l’enregistrement a été configurée dans la propriété Activer Process Recorder.
  • Inactive :
    Les changements de valeur de la variable ne sont pas enregistrés dans le module Process Recorder.

Par défaut : les paramètres configurés sont appliqués pour le type de données utilisé.

Plus de détails dans l’aide en ligne.


3S_Arti_NG variable ED

Manuel -> Interfaces de programmation -> Modèles d'objet -> Variable -> Variable-Dynamic properties -> 3S_Arti_NG variable ED

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Type

VBA/VSTA Name

Display Name

Description

VT_BOOL

IsLocalDigits

IsLocalDigits

"With this property you have the opportunity to decide whether the ""Decimals"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalSignalMin

IsLocalSignalMin

"With this property you have the opportunity to decide whether the ""Minimum signal resolution"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalSignalMax

IsLocalSignalMax

"With this property you have the opportunity to decide whether the ""Maximum signal resolution"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalRangeMin

IsLocalRangeMin

"With this property you have the opportunity to decide whether the ""Minimum measuring range"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalRangeMax

IsLocalRangeMax

"With this property you have the opportunity to decide whether the ""Maximum measuring range"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalAlternateValue

IsLocalAlternateValue

"With this property you have the opportunity to decide whether the ""Alternate value"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalValueMin

IsLocalValueMin

"With this property you have the opportunity to decide whether the ""Minimum set value"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalValueMax

IsLocalValueMax

"With this property you have the opportunity to decide whether the ""Maximum set value"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalUseMacro

IsLocalUseMacro

"With this property you have the opportunity to decide whether the ""Non linear value adjustment with macros"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalInOut

IsLocalInOut

"With this property you have the opportunity to decide whether the ""Setting values active"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalHystNeg

IsLocalHystNeg

"With this property you have the opportunity to decide whether the ""negative hysteresis"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalHystPos

IsLocalHystPos

"With this property you have the opportunity to decide whether the ""negative hysteresis"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalArchHystNeg

IsLocalArchHystNeg

VT_BOOL

IsLocalArchHystPos

IsLocalArchHystPos

VT_BOOL

IsLocalUpdatePriority

IsLocalUpdatePriority

"With this property you have the opportunity to decide whether the ""Priority of the driver connection"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalDDEaktiv

IsLocalDDEaktiv

"With this property you have the opportunity to decide whether the ""DDE active"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalStandby

IsLocalStandby

"With this property you have the opportunity to decide whether the ""Only read from standby"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalRemaActiv

IsLocalRemaActiv

"With this property you have the opportunity to decide whether the ""Reaction matrix active"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalRema

IsLocalRema

"With this property you have the opportunity to decide whether the ""Reaction matrix"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalHDActive

IsLocalHDActive

"With this property you have the opportunity to decide whether the ""HD active"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalHDUpdate

IsLocalHDUpdate

"With this property you have the opportunity to decide whether the ""HD scan rate"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalHDSize

IsLocalHDSize

"With this property you have the opportunity to decide whether the ""Number of HD values"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalKDAActiv

IsLocalKDAActiv

"With this property you have the opportunity to decide whether the ""Recording type"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalStingLength

IsLocalStingLength

"With this property you have the opportunity to decide whether the ""String length"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalQuitPV

IsLocalQuitPV

"With this property you have the opportunity to decide whether the ""Acknowledgement variable"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalViewQuitPV

IsLocalViewQuitPV

Description as text.

VT_BOOL

IsLocalQuitValue

IsLocalQuitValue

"With this property you have the opportunity to decide whether the ""Acknowledgement value"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalTagname

IsLocalTagname

"With this property you have the opportunity to decide whether the ""Identification"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalUnit

IsLocalUnit

"With this property you have the opportunity to decide whether the ""Unit"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalAltValString

IsLocalAltValString

"With this property you have the opportunity to decide whether the ""String alternative value"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalRecLabel

IsLocalRecLabel

"With this property you have the opportunity to decide whether the ""Ressources label"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalAdjustHW

IsLocalAdjustHW

"With this property you have the opportunity to decide whether the ""AdjustHardwareValue"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalAdjustZenon

IsLocalAdjustZenon

"With this property you have the opportunity to decide whether the ""AdjustZenOnValue"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalArraySize

IsLocalArraySize

"With this property you have the opportunity to decide whether the ""Array size"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalCounterGroup

IsLocalCounterGroup

VT_BOOL

IsLocalMaxGradient

IsLocalMaxGradient

VT_BOOL

IsLocalNormalStateActive

IsLocalNormalStateActive

VT_BOOL

IsLocalNormalState

IsLocalNormalState

VT_BOOL

IsLocalAlarmPV0

IsLocalAlarmPV0

"With this property you have the opportunity to decide whether the ""Alarm Variable 1"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalAlarmPV1

IsLocalAlarmPV1

"With this property you have the opportunity to decide whether the ""Alarm Variable 2"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalAlarmPV2

IsLocalAlarmPV2

"With this property you have the opportunity to decide whether the ""Alarm Variable 3"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalVarInASM

IsLocalVarInASM

"With this property you have the opportunity to decide whether the ""Save in IPA database"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalAlarmDomain

IsLocalAlarmDomain

"With this property you have the opportunity to decide whether the ""Alarm area"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalAlarmDomain2

IsLocalAlarmDomain2

Description as text.

VT_BOOL

IsLocalAlarmDomain3

IsLocalAlarmDomain3

Description as text.

VT_BOOL

IsLocalAlarmDomain4

IsLocalAlarmDomain4

Description as text.

VT_BOOL

IsLocalLocking

IsLocalLocking

"With this property you have the opportunity to decide whether the ""Interlocking"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalSBO

IsLocalSBO

"With this property you have the opportunity to decide whether the ""Select before operate"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalCancelOperate

IsLocalCancelOperate

Description

VT_BOOL

IsLocalAlarmViaEquipmentModel

IsLocalAlarmViaEquipmentModel

Description

VT_BOOL

IsLocalUsedInProcRec

IsLocalUsedInProcRec

Description

VT_UI1

IsSWProtokol

IsSWProtokol

VT_BOOL

IsSW_Akt

IsSW_Akt

VT_BOOL

IsSW_VBA

IsSW_VBA

More...

Limits

Valeurs limite

Propriétés définissant le traitement des valeurs limites ou le traitement des alarmes pour la variable.

Les propriétés de ce groupe sont uniquement disponibles si vous avez activé la propriété Matrice de réaction active.

Plus de détails dans l’aide en ligne.

VT_UI4

ID_ComplexVariable

ID_ComplexVariable

With this property you have the opportunity to get/set the ID of a variable from a structure element. This ID is 0 when the variable has no structure datatype.

VT_BSTR

Name

Nom

Nom unique de la variable. Les considérations suivantes s’appliquent lors de la définition du nom :

  • Longueur maximale : 128 caractères
  • Caractères non autorisés : # et @

Remarque : pour les drivers utilisant la connexion à zenon Logic, vous devez définir un préfixe. Pour plus de détails, reportez-vous au chapitre Création de variables O et M dans zenon Logic dans le manuel.
Toute modification du nom de la variable doit également être effectuée dans l’environnement de programmation (VBA, VSTA).

Attention : Cette propriété n’est pas disponible aux fins de la commutation de langue.

Plus de détails dans l’aide en ligne.

VT_BSTR

Tagname

Identification

Chaîne libre utilisée pour l’identification de la variable ou du type de données.
Remarque : Puisque la langue du nom de la variable (propriété Nom) ne peut pas être modifiée, cette propriété peut être utilisée pour le changement de langue en ligne.

Longueur maximale : 128 caractères

Plus de détails dans l’aide en ligne.

VT_BSTR

Unit

Unité de mesure

Unité technique de la variable devant être affichée dans le Runtime. Si vous avez déjà créé des unités de mesure dans le module d’unités de base, celles-ci sont disponibles dans une liste déroulante.
Maximum : 50 caractères.
Par défaut : vide

Plus de détails dans l’aide en ligne.

VT_R8

AlternateValue

Archivfüllwert

Cette valeur est utilisée pour renseigner les archives cycliques. En présence d’intervalles durant lesquels aucune connexion au matériel n’a été établie, cette valeur est utilisée tant qu’aucune valeur n’est transférée depuis l’équipement. Dans le cas contraire, la dernière valeur valide utilisée est utilisée aux fins du renseignement.

Plus de détails dans l’aide en ligne.

VT_BSTR

AlternateValueString

Valeur chaîne pour le remplissage des archives

Cette valeur est utilisée pour les variables de chaîne, afin de renseigner les archives cycliques.
En présence d’intervalles, dans les archives cycliques, durant lesquels aucune connexion au matériel n’a été établie, cette Valeur chaîne pour le remplissage des archives est utilisée tant qu’aucune valeur n’est transférée depuis l’équipement. Dans le cas contraire, la dernière valeur valide est utilisée pour le renseignement.

Longueur maximale : 128 caractères

Attention : Cette propriété n’est pas disponible aux fins de la commutation de langue.

Plus de détails dans l’aide en ligne.

VT_BSTR

Recourceslabel

Description externe

Chaîne au choix.
N'est pas utilisé au niveau interne dans zenon, mais est disponible lors de l’exportation de valeurs pour autoriser l’attribution des valeurs exportées pour les systèmes de gestion tels qu’ERP.

Longueur maximale : 255 caractères

Plus de détails dans l’aide en ligne.

VT_UI4

NetAddr

Adresse réseau

Adresse de bus ou Adresse réseau de la variable.

  • Minimum : 0
  • Maximum : 4294967295

Par défaut : 0

Plus de détails dans l’aide en ligne.

VT_UI4

DataBlock

Bloc de données

Numéro de bloc de données.
Minimum : 0.
Maximum : 4294967295
Par défaut : 0.

Plus de détails dans l’aide en ligne.

VT_UI4

Offset

Offset

Décalage de la variable.
Pour les contrôleurs à adressage linéaire : plage de mémoire.
Pour les contrôleurs à résolution de nom : adresse d’attribution.
Minimum : 0.
Maximum : 4294967295
Par défaut : 0.

Plus de détails dans l’aide en ligne.

VT_UI2

BitAddr

Numéro de bit

Numéro du bit dans le décalage configuré.
Minimum : 0.
Maximum : 65535
Par défaut : 0.

Plus de détails dans l’aide en ligne.

VT_UI2

Alignment

Alignement

Ceci dépend de la granularité du type d’objet du driver et de la position de la variable conformément au décalage défini.

Pour les variables de type Octet :
Octet poids fort : octet de poids fort dans le décalage de mot.
Octet poids faible : Otet de poids faible dans le décalage de mot.
HiWord-HiByte octet de poids fort dans le mot fort dans le décalage de double mot.
HiWord-LoByte (Mot poids fort-Octet poids faible) octet de poids faible dans le mot fort dans le décalage de double mot.
Mot poids faible-Octet poids fort : octet de poids fort dans le mot faible dans le décalage de double mot.
Mot poids faible-Octet poids faible : octet de poids faible dans le mot faible dans le décalage de double mot.

Pour les variables de mot :
Mot poids fort : mot fort dans le décalage de double mot.
Mot poids faible : Mot poids faible dans le décalage de double mot.

Plus de détails dans l’aide en ligne.

VT_UI2

StringLength

Longueur de la chaîne

Disponible uniquement pour les variables de type chaîne.
Nombre maximum de caractères que peut accepter une variable.
Minimum : 1 caractère
Si la valeur non autorisée 0 est saisie, la dernière valeur configurée valide est automatiquement utilisée. Si aucune valeur valide n’a été configurée, l’entrée est remplacée par la valeur par défaut.
Maximum : 65535 caractères.
Par défaut : 5 caractères

Remarque : la valeur par défaut est 65 535 pour les variables système avec le type de données String.

Plus de détails dans l’aide en ligne.

VT_BSTR

SymbAddr

Adresse symbolique

Séquence de caractères pour l’adressage symbolique des variables.

Longueur maximale : 1024 caractères.

Remarque : L’adresse symbolique n’est pas prise en charge par tous les drivers.
Lors de l’importation des variables dans des drivers compatibles avec l’adressage symbolique, la propriété est saisie automatiquement.

Plus de détails dans l’aide en ligne.

VT_UI4

Driver

Drivers

VT_UI4

ID_DataTyp

Type de données

Type de donnée pour la variable. Sélectionné durant la création de la variable ; peut être modifié ici ultérieurement.
Remarque : Pour les variables de structure, le type de données ne peut plus être modifié après la création des variables.
Attention : Si vous modifiez le type de données ultérieurement, toutes les autres propriétés de la variable doivent être vérifiées et ajustées, si nécessaire.

Plus de détails dans l’aide en ligne.

VT_UI4

ID_DriverTyp

Type d'objet driver

Selon le driver utilisé, un type d’objet est sélectionné durant la création de la variable et peut être modifié ici ultérieurement.
Siemens : bloc de données, marqueur, entrée/sortie.
Modbus : Coil et Holding Register.

Plus de détails dans l’aide en ligne.

VT_UI1

UpdatePriority

Priorité

Si l’heure de mise à jour globale spécifiée dans la configuration du driver n’est pas utilisée, la fréquence des mises à jour correspondant aux différents niveaux de priorité peut être définie ici. Dans cette propriété, une priorité est attribuée à une variable.

Plus de détails dans l’aide en ligne.

VT_BOOL

Standby

Lire uniquement sur le serveur redondant

Active : La valeur de la variable provenant du serveur redondant est affichée.
Inactive : La valeur de la variable provenant du serveur est affichée.
(drivers matériels uniquement)

Plus de détails dans l’aide en ligne.

VT_UI2

Digits

Nombre de décimales

Nombre de décimales des valeurs de variables utilisées lors de l’affichage dans le système de contrôle.
Minimum : 0
Maximum : 10
Par défaut : 0

Plus de détails dans l’aide en ligne.

VT_R8

SignalMin

Signal min.

Valeur minimum de la variable dans l’automate.
À moins d’être définie différemment dans la propriété Ajustement non-linéaire, la valeur brute des variables (résolution du signal) sera toujours convertie au format de la plage de mesure sur une base linéaire (pour une utilisation dans le système de contrôle). Toutes les autres entrées de valeurs numériques spécifiques à la variable dans Editor et dans le Runtime seront liées à la plage de mesures (par ex. définition des valeurs limites, limites des valeurs prescrites, zone de représentation, entrées de valeurs prescrites, etc.).

Plus de détails dans l’aide en ligne.

VT_R8

SignalMax

Signal max.

Valeur maximum de la variable dans l’automate. À moins d’être définie différemment dans la propriété Ajustement non-linéaire, la valeur brute des variables (résolution du signal) sera toujours convertie au format de la plage de mesure sur une base linéaire (pour une utilisation dans le système de contrôle). Toutes les autres entrées de valeurs numériques spécifiques à la variable dans Editor et dans le Runtime seront liées à la plage de mesures (par ex. définition des valeurs limites, limites des valeurs prescrites, zone de représentation, entrées de valeurs prescrites, etc.).

Plus de détails dans l’aide en ligne.

VT_R8

RangeMin

Plage de mesure min.

Valeur minimum des variables dans zenon.
À moins d’être définie différemment dans la propriété Ajustement non-linéaire, la valeur brute des variables (résolution du signal) sera toujours convertie au format de la plage de mesure sur une base linéaire (pour une utilisation dans le système de contrôle). Toutes les autres entrées de valeurs numériques spécifiques à la variable dans Editor et dans le Runtime seront liées à la plage de mesures (par ex. définition des valeurs limites, limites des valeurs prescrites, zone de représentation, entrées de valeurs prescrites, etc.).

Plus de détails dans l’aide en ligne.

VT_R8

RangeMax

Plage de mesure max.

Valeur maximum des variables dans zenon.
À moins d’être définie différemment dans la propriété Ajustement non-linéaire, la valeur brute des variables (résolution du signal) sera toujours convertie au format de la plage de mesure sur une base linéaire (pour une utilisation dans le système de contrôle). Toutes les autres entrées de valeurs numériques spécifiques à la variable dans Editor et dans le Runtime seront liées à la plage de mesures (par ex. définition des valeurs limites, limites des valeurs prescrites, zone de représentation, entrées de valeurs prescrites, etc.).

Plus de détails dans l’aide en ligne.

VT_BOOL

UseMacro

Ajustement non-linéaire avec macros

L’ajustement de valeurs non linéaires est utilisé pour les variables dont la valeur originale (automate) ne peut pas être ajustée de manière linéaire en fonction de la valeur mesurée (système de contrôle).

  • Active : Les valeurs brutes sont ajustées en fonction de zenon, sur une base non linéaire, avec des macros VBA.
  • Inactive : Les valeurs brutes sont ajustées en fonction de zenon.

Remarque : Lors de l’activation de la propriété, les propriétés AdjustHardwareValue et AdjustScadaValue doivent également être configurées. La propriété AdjustHardwareValue doit alors être configurée à l’inverse de la propriété AdjustScadaValue, sous forme de fonction inverse.

Par défaut : Inactive

Plus de détails dans l’aide en ligne.

ZT_VBAMAKRO

AdjustHardware

AdjustHardwareValue

Disponible uniquement si la propriété Ajustement non-linéaire avec macros est active.

Macro appelée à chaque modification de la valeur brute dans l’automate, et qui modifie la valeur dans zenon. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de macros.
Plus de détails dans l’aide en ligne.

ZT_VBAMAKRO

AdjustZenon

AdjustScadaValue

Disponible uniquement si la propriété Ajustement non-linéaire avec macros est active.

La macro est appelée lors de l’écriture d’une valeur depuis zenon et modifie la valeur brute sur l’automate. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de macros.
Plus de détails dans l’aide en ligne.

VT_R8

HystNeg

Négatif pour le signal

Hystérésis des valeurs limites définies en fonction de la plage du signal.

Plage d’hystérésis pour l’entrée en cas de changement de valeur avec diminution. Les valeurs sont uniquement interprétées comme des dépassements de valeur limite si la valeur changeante est inférieure à la plage d’hystérésis définie ici.
Par défaut : 0 (pas d’hystérésis)

Plus de détails dans l’aide en ligne.

VT_R8

HystPos

Positif pour le signal

Hystérésis des valeurs limites définies en fonction de la plage du signal.

Plage d’hystérésis pour l’entrée en cas de changement de valeur avec augmentation. Les valeurs sont uniquement interprétées comme des dépassements de valeur limite si la valeur changeante est supérieure à la plage d’hystérésis définie ici.
Par défaut : 0 (pas d’hystérésis)

Plus de détails dans l’aide en ligne.

VT_R8

ArchHystNeg

Négatif pour l'archive

Hystérésis d’archivage en cas de changement appliquée à la plage de mesure.

Plage d’hystérésis pour l’entrée en cas de changement de valeur avec diminution. Les valeurs sont uniquement saisies dans l’archive si la valeur changeante est inférieure à la plage d’hystérésis définie ici.
Par défaut : 0 (pas d’hystérésis)

Plus de détails dans l’aide en ligne.

VT_R8

ArchHystPos

Positif pour l'archive

Hystérésis d’archivage en cas de changement appliquée à la plage de mesure.

Plage d’hystérésis pour l’entrée en cas de changement de valeur avec augmentation. Les valeurs sont uniquement saisies dans l’archive si la valeur changeante est supérieure à la plage d’hystérésis définie ici.
Par défaut : 0 (pas d’hystérésis)

Plus de détails dans l’aide en ligne.

VT_BOOL

DDEActive

Variable lue en permanence

Paramètre de lecture de la variable et de sa disponibilité via DDE dans le Runtime :

  • Active : La variable est toujours connectée au driver. Cela signifie qu’elle est continuellement lue par le driver, même si elle n’est pas nécessaire dans le projet à cet instant précis. Le driver connaît ainsi toujours les valeurs actuelles et l’état actuel des variables et peut les fournir immédiatement, si nécessaire. La variable est également disponible pour les autres applications Windows (par exemple, Excel, Visual Basic, etc.). Les applications Windows possédant une fonctionnalité de client DDE peuvent ainsi utiliser les valeurs de la variable.
    Temps d’actualisation : 0,5 s
    L'activation de cette option offre par exemple l’avantage de basculer plus rapidement les valeurs de variables dans la fonction Ecriture valeur prescrite ou dans l’élément Appel de synoptique, car il n’est pas nécessaire d’interroger spécialement la variable avant la commutation. L’inconvénient est une augmentation de la charge des communications au niveau du contrôleur.
  • Inactive : La variable n’est pas interrogée en permanence par le driver, mais uniquement en cas de demande de valeurs ou d’états dans le Runtime. Elle n’est donc pas disponible dans les autres applications Windows via DDE.

Par défaut : Inactive

Plus de détails dans l’aide en ligne.

VT_UI4

ArraySizeOld

Dimension tableau

Définition de la taille de l’ensemble de blocs. La taille définie est lue ou écrite par le driver durant une demande de lecture/d’écriture. Ceci permet de garantir la cohérence des données dans le texte. Les données peuvent uniquement être modifiées dans le module Recipegroup Manager ou via l’interface de programmation.
Attention : peut être défini au niveau du driver interne, toutefois sans fonction dans le Runtime (valeur toujours égale à 0).

Plus de détails dans l’aide en ligne.

VT_UI4

CounterGroup

Groupe de compteur

Disponible uniquement dans SICAM 230.

VT_UI4

MaxGradient

Gradient maximum

Disponible uniquement dans SICAM 230.

VT_BOOL

NormalStateActive

Actif

Permet de définir un état normal pour les variables et les types de données du type BOOL, UINT et WORD pour tous les drivers.

Active : Un état normal peut être défini.

Par défaut : Inactive

Plus de détails dans l’aide en ligne.

VT_BOOL

NormalState

Valeur normale

Dans la liste déroulante, choisissez si la valeur normale de cette variable ou ce type de données doit être On (Active) ou Off (Inactive). Disponible pour les variables et les types de données du type BOOL, UINT et WORD pour tous les drivers.

Par défaut : Off

Plus de détails dans l’aide en ligne.

ZT_VARIABLE

AlarmPV0

Variable d'alarme 1

Disponible uniquement dans SICAM 230.
Première variable pour la gestion d’alarmes de synoptiques.

Plus de détails dans l’aide en ligne.

ZT_VARIABLE

AlarmPV1

Variable d'alarme 2

Disponible uniquement dans SICAM 230.
Deuxième variable pour la gestion d’alarmes de synoptiques.

Plus de détails dans l’aide en ligne.

ZT_VARIABLE

AlarmPV2

Variable d'alarme 3

Disponible uniquement dans SICAM 230.
Troisième variable pour la gestion d’alarmes de synoptiques.

Plus de détails dans l’aide en ligne.

VT_BOOL

HDActive

Stockage de données sur disque dur actif

Active : les valeurs de variables sont enregistrées sur le disque dur (enregistrement circulaire) pour être évaluées dans l’élément dynamique "Élément de tendance" ou pour l’exportation/l’importation des valeurs.

Inactive : aucune valeur de variable n’est enregistrée.

Par défaut : inactive

Les données de disque dur nécessitent 24 octets d’espace de stockage par valeur, indépendamment du type de variable. Outre la valeur, les informations suivantes sont enregistrées :
- Heure d’exécution de la mesure.
- Millisecondes lors de la lecture de la valeur.
- Modification de l’état de la valeur en fonction des éléments.
- Compteur pour l’identification unique de la valeur (driver événementiel).

Remarque : Le stockage de données est également activé lors d’un appel de synoptique de type Extended Trend si des données en ligne sont analysées.
Les variables de type chaîne ne sont pas prises en charge par la fonction de stockage de données sur le disque dur.

Attention : si l’option d’enregistrement sur disque dur est activée pour un trop grand nombre de variables, en présence d’un trop grand nombre de valeurs, les performances du Runtime peuvent être altérées.

Plus de détails dans l’aide en ligne.

VT_R4

HDUpdate

Temps de cycle [s]

Disponible uniquement si la propriété Stockage de données sur disque dur actif est active :
Durée de l’intervalle [en secondes] de conservation des valeurs en ligne sur le disque dur (mémoire circulaire) pour l’analyse dans l’élément dynamique Tendance, pour les données en ligne dans le module Extended Trend ou pour l’exportation/l’importation de valeurs.

Plus de détails dans l’aide en ligne.

VT_UI4

HDSize

Nombre de valeurs

Valeur correspondant à l’intervalle de conservation des valeurs en ligne sur le disque dur (mémoire circulaire) pour l’analyse dans l’élément dynamique Tendance, pour les données en ligne dans le module Extended Trend ou pour l’exportation/l’importation de valeurs.

Attention : si l’option d’enregistrement sur disque dur est activée pour un trop grand nombre de variables, en présence d’un trop grand nombre de valeurs, les performances du Runtime peuvent être altérées.

Plus de détails dans l’aide en ligne.

VT_BOOL

IsKDAActiv

Type d'enregistrement

Disponible uniquement si la propriété Stockage de données sur disque dur actif est active :
Données de disque dur (cyclique) : Écriture cyclique des valeurs sur le disque dur.
Valeurs retriées (RDA) : Les valeurs sont écrites bloc par bloc sur le disque dur par le driver. (Fonction adaptée à l’analyse rétrospective des erreurs au niveau du système de contrôle.)

Plus de détails dans l’aide en ligne.

VT_BOOL

ExternVisible

Visible extérieurement pour

Disponible uniquement si la propriété Visible par d'autres programmes est active.

Spécifiez expressément les projets de zenon Logic pour lesquels la variable doit être visible. Si vous laissez le champ de saisie vide, la variable est visible pour tous les projets zenon Logic. Vous pouvez également saisir des projets zenon Logic de manière expresse. Séparez les noms des projets individuels par un point-virgule (";"). Vous pouvez utiliser les opérateurs. Par exemple, P1* signifie tous les projets zenon Logic commençant par P1. (Remarque : les opérateurs sont uniquement autorisés sous forme de préfixe ou de suffixe, par exemple, *xxx ou xxx*.

Le nombre de caractères est limité à 64.

Par défaut : -

Plus de détails dans l’aide en ligne.

VT_BSTR

ExternVisibleFor

Visible extérieurement pour

Disponible uniquement si la propriété Visible par d'autres programmes est active.

Spécifiez expressément les projets de zenon Logic pour lesquels la variable doit être visible. Si vous laissez le champ de saisie vide, la variable est visible pour tous les projets zenon Logic. Vous pouvez également saisir des projets zenon Logic de manière expresse. Séparez les noms des projets individuels par un point-virgule (";"). Vous pouvez utiliser les opérateurs. Par exemple, P1* signifie tous les projets zenon Logic commençant par P1. (Remarque : les opérateurs sont uniquement autorisés sous forme de préfixe ou de suffixe, par exemple, *xxx ou xxx*.

Le nombre de caractères est limité à 64.

Par défaut : -

Plus de détails dans l’aide en ligne.

VT_BOOL

ReadWrite

Ecriture/lecture externe

Propriété externe pour zenon Logic. Affecte uniquement les variables qui ne forment pas partie du driver straton.
Active : la valeur de la variable ne peut pas être modifiée dans zenon Logic. La définition de la variable ne peut pas être modifiée dans zenon Logic.
Inactive : la variable ne peut pas être modifiée dans zenon Logic.
Par défaut : active.

Plus de détails dans l’aide en ligne.

VT_BSTR

InitialValue

Valeur initiale externe

Propriété externe pour zenon Logic. Affecte uniquement les variables qui ne forment pas partie du driver straton.
Valeur initiale de la variable dans zenon Logic durant une reprise graduelle ou une reprise intermédiaire.
La saisie autorisée ici dépend du type de données de la variable. Par exemple, vous pouvez uniquement utiliser des valeurs sans décimales pour les variables entières. Pour les variables à virgule flottante, un point doit être utilisé en tant que séparateur décimal ; les virgules ne peuvent pas être utilisées.
Le système de contrôle ne vérifie pas la validité de cette saisie. Ceci peut générer un message d’erreur dans zenon Logic.

Attention : lors de l’utilisation de variables du driver interne, cette propriété doit posséder la même valeur que la valeur initiale dans les paramètres des variables internes.

Plus de détails dans l’aide en ligne.

VT_BSTR

Profilename

Nom profil externe

Propriété externe pour zenon Logic. Affecte uniquement les variables qui ne forment pas partie du driver straton.
Nom du profil défini dans zenon Logic (par ex. STRATON, ProfDP).

Cette propriété est uniquement affichée pour information. Édition dans zenon Logic uniquement.

Plus de détails dans l’aide en ligne.

VT_BSTR

Adressparam

Paramètre externe d'adresse

Propriété externe pour zenon Logic. Affecte uniquement les variables qui ne sont pas des variables du driver straton.
Propriétés de profil dans zenon Logic (par ex. "intégré" ou paramètres d’adressage de Profibus).

Cette propriété est uniquement affichée pour information. Édition dans zenon Logic uniquement.

Plus de détails dans l’aide en ligne.

VT_BSTR

Vargroup

Groupe de variables externe

Propriété externe pour zenon Logic. Affecte uniquement les variables qui ne sont pas des variables du driver straton32.
Groupes de variables dans zenon Logic ("Global" ou "Retain" ou vides).

Cette propriété est uniquement affichée pour information. Édition dans zenon Logic uniquement.

Plus de détails dans l’aide en ligne.

VT_BOOL

IsRemaActiv

Matrice de réaction active

Active : Une matrice de réaction est utilisée à la place des valeurs de limite.
Inactive : Les valeurs peuvent être définies pour la variable.
Par défaut : inactive.

Plus de détails dans l’aide en ligne.

ZT_REMA

Rema

Matrice de réaction

Propriétés d’utilisation d’une matrice de réaction pour la variable.

Plus de détails dans l’aide en ligne.

ZT_VARIABLE

AlarmQuitPV

Valeur d'acquittement

Si une alarme de cette variable est acquittée visuellement, la variable sélectionnée sous Variable d'acquittement visuel ou Variable d'acquittement est définie sur cette valeur.

Sélection de 0 ou 1.

Plus de détails dans l’aide en ligne.

ZT_VARIABLE

AlarmViewQuitPV

Variable d'acquittement visuel

Si une alarme de la variable de contrôle est acquittée visuellement, la valeur de la variable d’acquittement visuel est définie sur la valeur définie par Valeur d'acquittement.

Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de variables binaires.

Plus de détails dans l’aide en ligne.

VT_UI4

AlarmQuitPVValue

Valeur d'acquittement

Si une alarme de cette variable est acquittée visuellement, la variable sélectionnée sous Variable d'acquittement visuel ou Variable d'acquittement est définie sur cette valeur.

Sélection de 0 ou 1.

Plus de détails dans l’aide en ligne.

VT_BOOL

VarInASM

Enregistrer dans la base IPA

Active : les alarmes de cette variable sont disponibles pour analyse dans le module Industrial Performance Analyzer (IPA).
Inactive : les alarmes de cette variable ne sont prises en compte lors de l’analyse dans le module Industrial Performance Analyzer (IPA).
Par défaut : Inactive

Attention : le module Industrial Performance Analyzer est un module optionnel, qui doit comporter une licence valide pour pouvoir être utilisé ici.

Plus de détails dans l’aide en ligne.

VT_BOOL

AlarmViaEquipmentModel

Utiliser la gestion d'alarmes hiérarchiques du modèle d'équipement

Type d’attribution de la variable à un domaine d’alarmes.

  • Active :
    Le domaine d’alarmes de la variable est transféré par le modèle d’équipement. L’alarme de la variable est applicable aux domaines d’alarmes définis dans le modèle d’équipement. Dans ce cas, le groupe d’équipements de la variable et le groupe d’équipements de niveau supérieur du modèle d’équipement sont pris en compte.
  • Inactive :
    L'alarme sur la variable est applicable aux domaines d’alarmes 1 à 4 de la gestion d’alarmes.

Remarque : Si cette propriété est activée pour un type de données, les paramètres de toutes les variables issues de celle-ci sont transférés.

Plus de détails dans l’aide en ligne.

ZT_BSTR_REF

AreaName

AreaName

Description as text.

ZT_BSTR_REF

AreaName2

AreaName2

Description as text.

ZT_BSTR_REF

AreaName3

AreaName3

Description as text.

ZT_BSTR_REF

AreaName4

AreaName4

Description as text.

VT_BOOL

InOut

Ecrire valeur prescrite

Active : cette variable est libérée pour l’action Spécifier valeur prescrite.
Inactive : cette variable est protégée en écriture.
Par défaut : Active

Plus de détails dans l’aide en ligne.

VT_BOOL

SBO

Select Before Operate

Attention : Cette fonctionnalité est uniquement compatible avec les drivers IEC870 et IEC850, et uniquement disponible si vous avez sélectionné l’option Commande commutation pour la propriété de type d’action dans Gestion des commandes, et l’action est mise en œuvre sous forme d’action à deux étapes. N’utilisez pas cette fonction pour le driver DNP3_NG ; Auto-SBO peut être configuré directement pour la variable, dans ce cas.

Active : Avant que la valeur de la variable ne soit écrite dans le matériel, zenon vérifie, pendant la première phase de la commande de commutation, si la variable dans l’équipement est prête pour cette action (Select before Operate (SBO)).
Attention : Pour les commandes impulsion, la réinitialisation automatique des valeurs des variables n’est pas effectuée dans l’intervalle de temps défini dans la propriété de délai de front.

Si la propriété SBO a été activée pour la variable d’action, une commande d’impulsion se comporte de la même manière qu’une commande de commutation.

Inactive : La valeur de la variable est transférée vers le driver sans vérification préalable.

Remarque : dans un driver IEC870, cela signifie une instruction Direct execute. Le driver IEC850 peut toutefois déclencher automatiquement une instruction Select before Operate , en raison du Control Model.
Par défaut : Inactive :
Plus de détails dans l’aide en ligne.

VT_BOOL

CancelOperate

Annuler 'Operate'

Si cette propriété est activée, il est possible d’envoyer une commande Cancel après une commande Operate lors de la gestion des commandes.

Remarque : Cette propriété est uniquement dans la version Energy Edition.

Par défaut : Inactive

Plus de détails dans l’aide en ligne.

VT_R8

ValueMin

Valeur prescrite min.

La valeur minimum définie ici pour le paramètre Écrire valeur prescrite peut être acceptée par le biais d’éléments dynamiques, plutôt que par la configuration séparée de ces derniers.
Ceci est surtout recommandé si la plage de la mesure est susceptible de varier ultérieurement, car ces modifications peuvent être effectuées une fois ici, au lieu d’être modifiées séparément dans chaque élément.

Plus de détails dans l’aide en ligne.

VT_R8

ValueMax

Valeur prescrite max.

La valeur maximum définie ici pour le paramètre Écrire valeur prescrite peut être acceptée par le biais d’éléments dynamiques, plutôt que par la configuration séparée de ces derniers.
Ceci est surtout recommandé si la plage de la mesure est susceptible de varier ultérieurement, car ces modifications peuvent être effectuées une fois ici, au lieu d’être modifiées séparément dans chaque élément.

Plus de détails dans l’aide en ligne.

VT_BSTR

LockingName

LockingName

"With this property you have the opportunity to assign an interlocking via its name.
zElement.DynProperties(""LockingName"") = ""Interlocking 1"""

VT_UI1

SetValueProtocol

Enregistrement (fichier journal)

Définit la manière dont l’écriture de la valeur prescrite sera consignée dans la liste CEL.

  • Tout : Toutes les actions Écrire valeur prescrite de cette variable exécutées via des éléments dynamiques et les fonctions Écrire valeur prescrite sont consignées dans la liste d’événements. (CEL)
  • Rien : aucune action Spécifier valeur prescrite n’est consignée dans la liste CEL.
  • Seulement sur élément dynamique : Seules les actions Écrire valeur prescrite exécutées via les éléments dynamiques sont consignées dans la liste CEL.

Par défaut : Uniquement les éléments dynamiques :

Plus de détails dans l’aide en ligne.

VT_BOOL

SV_Act

Ancienne et nouvelle valeur
  • Active : en cas de modification de la valeur prescrite de cette variable, les valeurs ancienne et nouvelle sont consignées dans la liste d’événements (CEL).
  • Inactive : Seule la nouvelle valeur est consignée.

Par défaut : Inactive

Recommandation : Activez la propriété Variable lue en permanence. Ceci permet de garantir que la valeur est toujours disponible, et qu’il n’est pas nécessaire de l’interroger spécialement.

Plus de détails dans l’aide en ligne.

VT_BOOL

SV_VBA

Valeurs modifiées par VBA

Active : L’écriture de la valeur prescrite de cette variable via une macro VBA est consignée dans la liste d’événements.
inactive : l’écriture de la valeur prescrite de cette variable via une macro VBA n’est pas consignée.
Par défaut : Active

Remarque : pour les variables configurées sous forme de variables de commande dans la passerelle de procédé IEC870, chaque commande est consignée sous la forme Spécifier valeur prescrite via l’interface COM dans la liste CEL, si la propriété est activée.

Plus de détails dans l’aide en ligne.

VT_BSTR

VisualName

Nom visuel

Saisie d’un nom d’affichage de la variable dans zenon Analyzer. Celui-ci doit être unique dans le projet, mais ceci n’est pas vérifié dans zenon. Cette vérification est effectuée lors de l’importation dans zenon Analyzer.

Cette propriété fournit des informations qui sont utilisées pour la configuration de rapports dans zenon Analyzer. L’exportation des données de zenon vers zenon Analyzer est effectuée à l’aide de l’assistant Analyzer Export Wizard.

Attention : Si cette propriété est modifiée après la première exportation vers zenon Analyzer, ces modifications ne sont appliquées dans zenon Analyzer.

Plus de détails dans l’aide en ligne.

VT_BSTR

Meaning

Signification

Cette propriété fournit des informations qui sont utilisées par la fonction de configuration de rapports dans zenon Analyzer.
Les données peuvent être définies manuellement ou à l’aide de l’assistant Meaning and Waterfall Chart Wizard. L’exportation des données de zenon vers zenon Analyzer est effectuée à l’aide de l’assistant Analyzer Export Wizard.

Saisie de la signification (meaning) d’une variable dans zenon Analyzer. Plusieurs significations doivent être séparées par une virgule.
Syntaxe : [signification1],[signification2],…,[significationN]

Plus de détails dans l’aide en ligne.

VT_BSTR

WaterfallParam

Paramètre pour le waterfall diagram

Cette propriété fournit des informations qui sont utilisées par la fonction de configuration de rapports dans zenon Analyzer.
Les données peuvent être définies manuellement ou à l’aide de l’assistant Meaning and Waterfall Chart Wizard. L’exportation des données de zenon vers zenon Analyzer est effectuée à l’aide de l’assistant Analyzer Export Wizard.

Paramètres d’une variable pour un diagramme en cascade dans zenon Analyzer. Les entrées peuvent être créées pour les rapports par ligne ou les rapports par machine. Lors de l’exportation, en fonction de la structure des entrées, une décision est prise pour déterminer s’il s’agit d’entrées correspondant à des diagrammes par machine ou par ligne.

Les paramètres individuels doivent être séparés par une virgule. Plusieurs cascades doivent être séparées par un poing-virgule.
Syntaxe, par machine : [nom modèle],[indice de ligne],[indice de colonne],[code de couleur];
Syntaxe, par ligne : [nom du modèle],[indice de ligne],[indice de colonne],[code de couleur],[perte de machine auxiliaire],[ajout de perte de machine auxiliaire],[soustraction de perte de machine auxiliaire];

Plus de détails dans l’aide en ligne.

VT_BOOL

Use_in_ProcRec

Activer l'enregistrement

Active/désactive la variable ou le type de données enregistré dans le module Process Recorder.
La sélection multiple de variables est possible.

  • Active :
    Les changements de valeur de la variable sont enregistrés dans le module Process Recorder.
    Attention : Assurez-vous que l’activation générale de l’enregistrement a été configurée dans la propriété Activer Process Recorder.
  • Inactive :
    Les changements de valeur de la variable ne sont pas enregistrés dans le module Process Recorder.

Par défaut : les paramètres configurés sont appliqués pour le type de données utilisé.

Plus de détails dans l’aide en ligne.


AKDrv variable ED

Manuel -> Interfaces de programmation -> Modèles d'objet -> Variable -> Variable-Dynamic properties -> AKDrv variable ED

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Type

VBA/VSTA Name

Display Name

Description

VT_UI2

DP_TYPE

Telegram Identifier

Telegram type, Message type

VT_UI2

DP_TYPE

Telegram Identifier

Telegram type, Message type

VT_UI1

R_NR

O1/Region number

Region number or Octet 1 (CASDU1)

VT_UI1

R_NR

O1/Region number

Region number or Octet 1 (CASDU1)

VT_UI1

K_NR

O2/Component

Component number or Octet 2 (CASDU2)

VT_UI1

K_NR

O2/Component

Component number or Octet 2 (CASDU2)

VT_UI1

B_NR

O3/Board

Board number or Octet 3 (IOA1)

VT_UI1

B_NR

O3/Board

Board number or Octet 3 (IOA1)

VT_UI1

W_NR

O4/Value number

Value number or Octet 4 (IOA2)

VT_UI1

W_NR

O4/Value number

Value number or Octet 4 (IOA2)

VT_UI1

DA

O5/Subaddress

Data type or Octet 5 (IOA3)

VT_UI1

DA

O5/Subaddress

Data type or Octet 5 (IOA3)

VT_UI1

PT

Point

Point number or Octet 6

VT_UI1

PT

Point

Point number or Octet 6

VT_BOOL

Send

Prozess direction

Process direction

Receive: Datapoint will be received only (e.g. messages, measuring values)

Send: Datapoint will be sent (e.g. commands, setpoints).

To be able to be sent, the datapoint has to have also the Set value active property active (see "Set value").

VT_BOOL

Send

Prozess direction

Process direction

Receive: Datapoint will be received only (e.g. messages, measuring values)

Send: Datapoint will be sent (e.g. commands, setpoints).

To be able to be sent, the datapoint has to have also the Set value active property active (see "Set value").

VT_BOOL

Z_TYP

Destination typ

Selection of LAN station or LAN group

VT_BOOL

Z_TYP

Destination typ

Selection of LAN station or LAN group

VT_UI1

Z_NR

Destination number

LAN station or LAN group number

Link address if serial connection

VT_UI1

Z_NR

Destination number

LAN station or LAN group number

Link address if serial connection

VT_BOOL

VTA

Typ of addressing

Address type

In accordance to parameterization of GW1703.ini and remote station.

STA: System technical

VTA: Process technical (PTA in GW1703.ini)

VT_BOOL

VTA

Typ of addressing

Address type

In accordance to parameterization of GW1703.ini and remote station.

STA: System technical

VTA: Process technical (PTA in GW1703.ini)

VT_BOOL

MERKER

Marker

Active: Datapoint will not be updated by process value (can be used as internal variable, doesn't need a datapoint address)

Inactive: Datapoint will be updated by process value

see also Driver Intern

VT_BOOL

MERKER

Marker

Active: Datapoint will not be updated by process value (can be used as internal variable, doesn't need a datapoint address)

Inactive: Datapoint will be updated by process value

see also Driver Intern

VT_BOOL

EWB

Toggle to substitute value

Switch to substitute value

Active: Substitute value will be used

Inactive: Substitute value will not be used

VT_BOOL

EWB

Toggle to substitute value

Switch to substitute value

Active: Substitute value will be used

Inactive: Substitute value will not be used

VT_BOOL

EW_INI

Inititialize substitute value/normal state

Initialization of substitute value

Active: Substitute value will be overwritten in runtime by normal state

Inactive: Substitute value will be kept

VT_BOOL

EW_INI

Inititialize substitute value/normal state

Initialization of substitute value

Active: Substitute value will be overwritten in runtime by normal state

Inactive: Substitute value will be kept

VT_R8

EW

Substitute value

Substitute value to be switched on

VT_R8

EW

Substitute value

Substitute value to be switched on

VT_BOOL

RED

Redundancy Peripheral address

Redundant address

Active: Use redundant address

Inactive: No redundant address

VT_BOOL

RED

Redundancy Peripheral address

Redundant address

Active: Use redundant address

Inactive: No redundant address

VT_UI1

R_2

Red. O1/Region number

Redundant datapoint address

Region number or Octet 1 (CASDU1)

VT_UI1

R_2

Red. O1/Region number

Redundant datapoint address

Region number or Octet 1 (CASDU1)

VT_UI1

K_2

Red. O2/Component

Redundant datapoint address

Region number or Octet 2 (CASDU2)

VT_UI1

K_2

Red. O2/Component

Redundant datapoint address

Region number or Octet 2 (CASDU2)

VT_BOOL

IsLocalDigits

IsLocalDigits

"With this property you have the opportunity to decide whether the ""Decimals"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalSignalMin

IsLocalSignalMin

"With this property you have the opportunity to decide whether the ""Minimum signal resolution"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalSignalMax

IsLocalSignalMax

"With this property you have the opportunity to decide whether the ""Maximum signal resolution"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalRangeMin

IsLocalRangeMin

"With this property you have the opportunity to decide whether the ""Minimum measuring range"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalRangeMax

IsLocalRangeMax

"With this property you have the opportunity to decide whether the ""Maximum measuring range"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalAlternateValue

IsLocalAlternateValue

"With this property you have the opportunity to decide whether the ""Alternate value"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalValueMin

IsLocalValueMin

"With this property you have the opportunity to decide whether the ""Minimum set value"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalValueMax

IsLocalValueMax

"With this property you have the opportunity to decide whether the ""Maximum set value"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalUseMacro

IsLocalUseMacro

"With this property you have the opportunity to decide whether the ""Non linear value adjustment with macros"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalInOut

IsLocalInOut

"With this property you have the opportunity to decide whether the ""Setting values active"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalHystNeg

IsLocalHystNeg

"With this property you have the opportunity to decide whether the ""negative hysteresis"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalHystPos

IsLocalHystPos

"With this property you have the opportunity to decide whether the ""negative hysteresis"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalArchHystNeg

IsLocalArchHystNeg

VT_BOOL

IsLocalArchHystPos

IsLocalArchHystPos

VT_BOOL

IsLocalUpdatePriority

IsLocalUpdatePriority

"With this property you have the opportunity to decide whether the ""Priority of the driver connection"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalDDEaktiv

IsLocalDDEaktiv

"With this property you have the opportunity to decide whether the ""DDE active"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalStandby

IsLocalStandby

"With this property you have the opportunity to decide whether the ""Only read from standby"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalRemaActiv

IsLocalRemaActiv

"With this property you have the opportunity to decide whether the ""Reaction matrix active"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalRema

IsLocalRema

"With this property you have the opportunity to decide whether the ""Reaction matrix"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalHDActive

IsLocalHDActive

"With this property you have the opportunity to decide whether the ""HD active"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalHDUpdate

IsLocalHDUpdate

"With this property you have the opportunity to decide whether the ""HD scan rate"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalHDSize

IsLocalHDSize

"With this property you have the opportunity to decide whether the ""Number of HD values"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalKDAActiv

IsLocalKDAActiv

"With this property you have the opportunity to decide whether the ""Recording type"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalStingLength

IsLocalStingLength

"With this property you have the opportunity to decide whether the ""String length"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalQuitPV

IsLocalQuitPV

"With this property you have the opportunity to decide whether the ""Acknowledgement variable"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalViewQuitPV

IsLocalViewQuitPV

Description as text.

VT_BOOL

IsLocalQuitValue

IsLocalQuitValue

"With this property you have the opportunity to decide whether the ""Acknowledgement value"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalTagname

IsLocalTagname

"With this property you have the opportunity to decide whether the ""Identification"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalUnit

IsLocalUnit

"With this property you have the opportunity to decide whether the ""Unit"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalAltValString

IsLocalAltValString

"With this property you have the opportunity to decide whether the ""String alternative value"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalRecLabel

IsLocalRecLabel

"With this property you have the opportunity to decide whether the ""Ressources label"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalAdjustHW

IsLocalAdjustHW

"With this property you have the opportunity to decide whether the ""AdjustHardwareValue"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalAdjustZenon

IsLocalAdjustZenon

"With this property you have the opportunity to decide whether the ""AdjustZenOnValue"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalArraySize

IsLocalArraySize

"With this property you have the opportunity to decide whether the ""Array size"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalCounterGroup

IsLocalCounterGroup

VT_BOOL

IsLocalMaxGradient

IsLocalMaxGradient

VT_BOOL

IsLocalNormalStateActive

IsLocalNormalStateActive

VT_BOOL

IsLocalNormalState

IsLocalNormalState

VT_BOOL

IsLocalAlarmPV0

IsLocalAlarmPV0

"With this property you have the opportunity to decide whether the ""Alarm Variable 1"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalAlarmPV1

IsLocalAlarmPV1

"With this property you have the opportunity to decide whether the ""Alarm Variable 2"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalAlarmPV2

IsLocalAlarmPV2

"With this property you have the opportunity to decide whether the ""Alarm Variable 3"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalVarInASM

IsLocalVarInASM

"With this property you have the opportunity to decide whether the ""Save in IPA database"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalAlarmDomain

IsLocalAlarmDomain

"With this property you have the opportunity to decide whether the ""Alarm area"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalAlarmDomain2

IsLocalAlarmDomain2

Description as text.

VT_BOOL

IsLocalAlarmDomain3

IsLocalAlarmDomain3

Description as text.

VT_BOOL

IsLocalAlarmDomain4

IsLocalAlarmDomain4

Description as text.

VT_BOOL

IsLocalLocking

IsLocalLocking

"With this property you have the opportunity to decide whether the ""Interlocking"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalSBO

IsLocalSBO

"With this property you have the opportunity to decide whether the ""Select before operate"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalCancelOperate

IsLocalCancelOperate

Description

VT_BOOL

IsLocalAlarmViaEquipmentModel

IsLocalAlarmViaEquipmentModel

Description

VT_BOOL

IsLocalUsedInProcRec

IsLocalUsedInProcRec

Description

VT_UI1

IsSWProtokol

IsSWProtokol

VT_BOOL

IsSW_Akt

IsSW_Akt

VT_BOOL

IsSW_VBA

IsSW_VBA

More...

Limits

Valeurs limite

Propriétés définissant le traitement des valeurs limites ou le traitement des alarmes pour la variable.

Les propriétés de ce groupe sont uniquement disponibles si vous avez activé la propriété Matrice de réaction active.

Plus de détails dans l’aide en ligne.

VT_UI4

ID_ComplexVariable

ID_ComplexVariable

With this property you have the opportunity to get/set the ID of a variable from a structure element. This ID is 0 when the variable has no structure datatype.

VT_BSTR

Name

Nom

Nom unique de la variable. Les considérations suivantes s’appliquent lors de la définition du nom :

  • Longueur maximale : 128 caractères
  • Caractères non autorisés : # et @

Remarque : pour les drivers utilisant la connexion à zenon Logic, vous devez définir un préfixe. Pour plus de détails, reportez-vous au chapitre Création de variables O et M dans zenon Logic dans le manuel.
Toute modification du nom de la variable doit également être effectuée dans l’environnement de programmation (VBA, VSTA).

Attention : Cette propriété n’est pas disponible aux fins de la commutation de langue.

Plus de détails dans l’aide en ligne.

VT_BSTR

Tagname

Identification

Chaîne libre utilisée pour l’identification de la variable ou du type de données.
Remarque : Puisque la langue du nom de la variable (propriété Nom) ne peut pas être modifiée, cette propriété peut être utilisée pour le changement de langue en ligne.

Longueur maximale : 128 caractères

Plus de détails dans l’aide en ligne.

VT_BSTR

Unit

Unité de mesure

Unité technique de la variable devant être affichée dans le Runtime. Si vous avez déjà créé des unités de mesure dans le module d’unités de base, celles-ci sont disponibles dans une liste déroulante.
Maximum : 50 caractères.
Par défaut : vide

Plus de détails dans l’aide en ligne.

VT_R8

AlternateValue

Archivfüllwert

Cette valeur est utilisée pour renseigner les archives cycliques. En présence d’intervalles durant lesquels aucune connexion au matériel n’a été établie, cette valeur est utilisée tant qu’aucune valeur n’est transférée depuis l’équipement. Dans le cas contraire, la dernière valeur valide utilisée est utilisée aux fins du renseignement.

Plus de détails dans l’aide en ligne.

VT_BSTR

AlternateValueString

Valeur chaîne pour le remplissage des archives

Cette valeur est utilisée pour les variables de chaîne, afin de renseigner les archives cycliques.
En présence d’intervalles, dans les archives cycliques, durant lesquels aucune connexion au matériel n’a été établie, cette Valeur chaîne pour le remplissage des archives est utilisée tant qu’aucune valeur n’est transférée depuis l’équipement. Dans le cas contraire, la dernière valeur valide est utilisée pour le renseignement.

Longueur maximale : 128 caractères

Attention : Cette propriété n’est pas disponible aux fins de la commutation de langue.

Plus de détails dans l’aide en ligne.

VT_BSTR

Recourceslabel

Description externe

Chaîne au choix.
N'est pas utilisé au niveau interne dans zenon, mais est disponible lors de l’exportation de valeurs pour autoriser l’attribution des valeurs exportées pour les systèmes de gestion tels qu’ERP.

Longueur maximale : 255 caractères

Plus de détails dans l’aide en ligne.

VT_UI4

NetAddr

Adresse réseau

Adresse de bus ou Adresse réseau de la variable.

  • Minimum : 0
  • Maximum : 4294967295

Par défaut : 0

Plus de détails dans l’aide en ligne.

VT_UI4

DataBlock

Bloc de données

Numéro de bloc de données.
Minimum : 0.
Maximum : 4294967295
Par défaut : 0.

Plus de détails dans l’aide en ligne.

VT_UI4

Offset

Offset

Décalage de la variable.
Pour les contrôleurs à adressage linéaire : plage de mémoire.
Pour les contrôleurs à résolution de nom : adresse d’attribution.
Minimum : 0.
Maximum : 4294967295
Par défaut : 0.

Plus de détails dans l’aide en ligne.

VT_UI2

BitAddr

Numéro de bit

Numéro du bit dans le décalage configuré.
Minimum : 0.
Maximum : 65535
Par défaut : 0.

Plus de détails dans l’aide en ligne.

VT_UI2

Alignment

Alignement

Ceci dépend de la granularité du type d’objet du driver et de la position de la variable conformément au décalage défini.

Pour les variables de type Octet :
Octet poids fort : octet de poids fort dans le décalage de mot.
Octet poids faible : Otet de poids faible dans le décalage de mot.
HiWord-HiByte octet de poids fort dans le mot fort dans le décalage de double mot.
HiWord-LoByte (Mot poids fort-Octet poids faible) octet de poids faible dans le mot fort dans le décalage de double mot.
Mot poids faible-Octet poids fort : octet de poids fort dans le mot faible dans le décalage de double mot.
Mot poids faible-Octet poids faible : octet de poids faible dans le mot faible dans le décalage de double mot.

Pour les variables de mot :
Mot poids fort : mot fort dans le décalage de double mot.
Mot poids faible : Mot poids faible dans le décalage de double mot.

Plus de détails dans l’aide en ligne.

VT_UI2

StringLength

Longueur de la chaîne

Disponible uniquement pour les variables de type chaîne.
Nombre maximum de caractères que peut accepter une variable.
Minimum : 1 caractère
Si la valeur non autorisée 0 est saisie, la dernière valeur configurée valide est automatiquement utilisée. Si aucune valeur valide n’a été configurée, l’entrée est remplacée par la valeur par défaut.
Maximum : 65535 caractères.
Par défaut : 5 caractères

Remarque : la valeur par défaut est 65 535 pour les variables système avec le type de données String.

Plus de détails dans l’aide en ligne.

VT_BSTR

SymbAddr

Adresse symbolique

Séquence de caractères pour l’adressage symbolique des variables.

Longueur maximale : 1024 caractères.

Remarque : L’adresse symbolique n’est pas prise en charge par tous les drivers.
Lors de l’importation des variables dans des drivers compatibles avec l’adressage symbolique, la propriété est saisie automatiquement.

Plus de détails dans l’aide en ligne.

VT_UI4

Driver

Drivers

VT_UI4

ID_DataTyp

Type de données

Type de donnée pour la variable. Sélectionné durant la création de la variable ; peut être modifié ici ultérieurement.
Remarque : Pour les variables de structure, le type de données ne peut plus être modifié après la création des variables.
Attention : Si vous modifiez le type de données ultérieurement, toutes les autres propriétés de la variable doivent être vérifiées et ajustées, si nécessaire.

Plus de détails dans l’aide en ligne.

VT_UI4

ID_DriverTyp

Type d'objet driver

Selon le driver utilisé, un type d’objet est sélectionné durant la création de la variable et peut être modifié ici ultérieurement.
Siemens : bloc de données, marqueur, entrée/sortie.
Modbus : Coil et Holding Register.

Plus de détails dans l’aide en ligne.

VT_UI1

UpdatePriority

Priorité

Si l’heure de mise à jour globale spécifiée dans la configuration du driver n’est pas utilisée, la fréquence des mises à jour correspondant aux différents niveaux de priorité peut être définie ici. Dans cette propriété, une priorité est attribuée à une variable.

Plus de détails dans l’aide en ligne.

VT_BOOL

Standby

Lire uniquement sur le serveur redondant

Active : La valeur de la variable provenant du serveur redondant est affichée.
Inactive : La valeur de la variable provenant du serveur est affichée.
(drivers matériels uniquement)

Plus de détails dans l’aide en ligne.

VT_UI2

Digits

Nombre de décimales

Nombre de décimales des valeurs de variables utilisées lors de l’affichage dans le système de contrôle.
Minimum : 0
Maximum : 10
Par défaut : 0

Plus de détails dans l’aide en ligne.

VT_R8

SignalMin

Signal min.

Valeur minimum de la variable dans l’automate.
À moins d’être définie différemment dans la propriété Ajustement non-linéaire, la valeur brute des variables (résolution du signal) sera toujours convertie au format de la plage de mesure sur une base linéaire (pour une utilisation dans le système de contrôle). Toutes les autres entrées de valeurs numériques spécifiques à la variable dans Editor et dans le Runtime seront liées à la plage de mesures (par ex. définition des valeurs limites, limites des valeurs prescrites, zone de représentation, entrées de valeurs prescrites, etc.).

Plus de détails dans l’aide en ligne.

VT_R8

SignalMax

Signal max.

Valeur maximum de la variable dans l’automate. À moins d’être définie différemment dans la propriété Ajustement non-linéaire, la valeur brute des variables (résolution du signal) sera toujours convertie au format de la plage de mesure sur une base linéaire (pour une utilisation dans le système de contrôle). Toutes les autres entrées de valeurs numériques spécifiques à la variable dans Editor et dans le Runtime seront liées à la plage de mesures (par ex. définition des valeurs limites, limites des valeurs prescrites, zone de représentation, entrées de valeurs prescrites, etc.).

Plus de détails dans l’aide en ligne.

VT_R8

RangeMin

Plage de mesure min.

Valeur minimum des variables dans zenon.
À moins d’être définie différemment dans la propriété Ajustement non-linéaire, la valeur brute des variables (résolution du signal) sera toujours convertie au format de la plage de mesure sur une base linéaire (pour une utilisation dans le système de contrôle). Toutes les autres entrées de valeurs numériques spécifiques à la variable dans Editor et dans le Runtime seront liées à la plage de mesures (par ex. définition des valeurs limites, limites des valeurs prescrites, zone de représentation, entrées de valeurs prescrites, etc.).

Plus de détails dans l’aide en ligne.

VT_R8

RangeMax

Plage de mesure max.

Valeur maximum des variables dans zenon.
À moins d’être définie différemment dans la propriété Ajustement non-linéaire, la valeur brute des variables (résolution du signal) sera toujours convertie au format de la plage de mesure sur une base linéaire (pour une utilisation dans le système de contrôle). Toutes les autres entrées de valeurs numériques spécifiques à la variable dans Editor et dans le Runtime seront liées à la plage de mesures (par ex. définition des valeurs limites, limites des valeurs prescrites, zone de représentation, entrées de valeurs prescrites, etc.).

Plus de détails dans l’aide en ligne.

VT_BOOL

UseMacro

Ajustement non-linéaire avec macros

L’ajustement de valeurs non linéaires est utilisé pour les variables dont la valeur originale (automate) ne peut pas être ajustée de manière linéaire en fonction de la valeur mesurée (système de contrôle).

  • Active : Les valeurs brutes sont ajustées en fonction de zenon, sur une base non linéaire, avec des macros VBA.
  • Inactive : Les valeurs brutes sont ajustées en fonction de zenon.

Remarque : Lors de l’activation de la propriété, les propriétés AdjustHardwareValue et AdjustScadaValue doivent également être configurées. La propriété AdjustHardwareValue doit alors être configurée à l’inverse de la propriété AdjustScadaValue, sous forme de fonction inverse.

Par défaut : Inactive

Plus de détails dans l’aide en ligne.

ZT_VBAMAKRO

AdjustHardware

AdjustHardwareValue

Disponible uniquement si la propriété Ajustement non-linéaire avec macros est active.

Macro appelée à chaque modification de la valeur brute dans l’automate, et qui modifie la valeur dans zenon. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de macros.
Plus de détails dans l’aide en ligne.

ZT_VBAMAKRO

AdjustZenon

AdjustScadaValue

Disponible uniquement si la propriété Ajustement non-linéaire avec macros est active.

La macro est appelée lors de l’écriture d’une valeur depuis zenon et modifie la valeur brute sur l’automate. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de macros.
Plus de détails dans l’aide en ligne.

VT_R8

HystNeg

Négatif pour le signal

Hystérésis des valeurs limites définies en fonction de la plage du signal.

Plage d’hystérésis pour l’entrée en cas de changement de valeur avec diminution. Les valeurs sont uniquement interprétées comme des dépassements de valeur limite si la valeur changeante est inférieure à la plage d’hystérésis définie ici.
Par défaut : 0 (pas d’hystérésis)

Plus de détails dans l’aide en ligne.

VT_R8

HystPos

Positif pour le signal

Hystérésis des valeurs limites définies en fonction de la plage du signal.

Plage d’hystérésis pour l’entrée en cas de changement de valeur avec augmentation. Les valeurs sont uniquement interprétées comme des dépassements de valeur limite si la valeur changeante est supérieure à la plage d’hystérésis définie ici.
Par défaut : 0 (pas d’hystérésis)

Plus de détails dans l’aide en ligne.

VT_R8

ArchHystNeg

Négatif pour l'archive

Hystérésis d’archivage en cas de changement appliquée à la plage de mesure.

Plage d’hystérésis pour l’entrée en cas de changement de valeur avec diminution. Les valeurs sont uniquement saisies dans l’archive si la valeur changeante est inférieure à la plage d’hystérésis définie ici.
Par défaut : 0 (pas d’hystérésis)

Plus de détails dans l’aide en ligne.

VT_R8

ArchHystPos

Positif pour l'archive

Hystérésis d’archivage en cas de changement appliquée à la plage de mesure.

Plage d’hystérésis pour l’entrée en cas de changement de valeur avec augmentation. Les valeurs sont uniquement saisies dans l’archive si la valeur changeante est supérieure à la plage d’hystérésis définie ici.
Par défaut : 0 (pas d’hystérésis)

Plus de détails dans l’aide en ligne.

VT_BOOL

DDEActive

Variable lue en permanence

Paramètre de lecture de la variable et de sa disponibilité via DDE dans le Runtime :

  • Active : La variable est toujours connectée au driver. Cela signifie qu’elle est continuellement lue par le driver, même si elle n’est pas nécessaire dans le projet à cet instant précis. Le driver connaît ainsi toujours les valeurs actuelles et l’état actuel des variables et peut les fournir immédiatement, si nécessaire. La variable est également disponible pour les autres applications Windows (par exemple, Excel, Visual Basic, etc.). Les applications Windows possédant une fonctionnalité de client DDE peuvent ainsi utiliser les valeurs de la variable.
    Temps d’actualisation : 0,5 s
    L'activation de cette option offre par exemple l’avantage de basculer plus rapidement les valeurs de variables dans la fonction Ecriture valeur prescrite ou dans l’élément Appel de synoptique, car il n’est pas nécessaire d’interroger spécialement la variable avant la commutation. L’inconvénient est une augmentation de la charge des communications au niveau du contrôleur.
  • Inactive : La variable n’est pas interrogée en permanence par le driver, mais uniquement en cas de demande de valeurs ou d’états dans le Runtime. Elle n’est donc pas disponible dans les autres applications Windows via DDE.

Par défaut : Inactive

Plus de détails dans l’aide en ligne.

VT_UI4

ArraySizeOld

Dimension tableau

Définition de la taille de l’ensemble de blocs. La taille définie est lue ou écrite par le driver durant une demande de lecture/d’écriture. Ceci permet de garantir la cohérence des données dans le texte. Les données peuvent uniquement être modifiées dans le module Recipegroup Manager ou via l’interface de programmation.
Attention : peut être défini au niveau du driver interne, toutefois sans fonction dans le Runtime (valeur toujours égale à 0).

Plus de détails dans l’aide en ligne.

VT_UI4

CounterGroup

Groupe de compteur

Disponible uniquement dans SICAM 230.

VT_UI4

MaxGradient

Gradient maximum

Disponible uniquement dans SICAM 230.

VT_BOOL

NormalStateActive

Actif

Permet de définir un état normal pour les variables et les types de données du type BOOL, UINT et WORD pour tous les drivers.

Active : Un état normal peut être défini.

Par défaut : Inactive

Plus de détails dans l’aide en ligne.

VT_BOOL

NormalState

Valeur normale

Dans la liste déroulante, choisissez si la valeur normale de cette variable ou ce type de données doit être On (Active) ou Off (Inactive). Disponible pour les variables et les types de données du type BOOL, UINT et WORD pour tous les drivers.

Par défaut : Off

Plus de détails dans l’aide en ligne.

ZT_VARIABLE

AlarmPV0

Variable d'alarme 1

Disponible uniquement dans SICAM 230.
Première variable pour la gestion d’alarmes de synoptiques.

Plus de détails dans l’aide en ligne.

ZT_VARIABLE

AlarmPV1

Variable d'alarme 2

Disponible uniquement dans SICAM 230.
Deuxième variable pour la gestion d’alarmes de synoptiques.

Plus de détails dans l’aide en ligne.

ZT_VARIABLE

AlarmPV2

Variable d'alarme 3

Disponible uniquement dans SICAM 230.
Troisième variable pour la gestion d’alarmes de synoptiques.

Plus de détails dans l’aide en ligne.

VT_BOOL

HDActive

Stockage de données sur disque dur actif

Active : les valeurs de variables sont enregistrées sur le disque dur (enregistrement circulaire) pour être évaluées dans l’élément dynamique "Élément de tendance" ou pour l’exportation/l’importation des valeurs.

Inactive : aucune valeur de variable n’est enregistrée.

Par défaut : inactive

Les données de disque dur nécessitent 24 octets d’espace de stockage par valeur, indépendamment du type de variable. Outre la valeur, les informations suivantes sont enregistrées :
- Heure d’exécution de la mesure.
- Millisecondes lors de la lecture de la valeur.
- Modification de l’état de la valeur en fonction des éléments.
- Compteur pour l’identification unique de la valeur (driver événementiel).

Remarque : Le stockage de données est également activé lors d’un appel de synoptique de type Extended Trend si des données en ligne sont analysées.
Les variables de type chaîne ne sont pas prises en charge par la fonction de stockage de données sur le disque dur.

Attention : si l’option d’enregistrement sur disque dur est activée pour un trop grand nombre de variables, en présence d’un trop grand nombre de valeurs, les performances du Runtime peuvent être altérées.

Plus de détails dans l’aide en ligne.

VT_R4

HDUpdate

Temps de cycle [s]

Disponible uniquement si la propriété Stockage de données sur disque dur actif est active :
Durée de l’intervalle [en secondes] de conservation des valeurs en ligne sur le disque dur (mémoire circulaire) pour l’analyse dans l’élément dynamique Tendance, pour les données en ligne dans le module Extended Trend ou pour l’exportation/l’importation de valeurs.

Plus de détails dans l’aide en ligne.

VT_UI4

HDSize

Nombre de valeurs

Valeur correspondant à l’intervalle de conservation des valeurs en ligne sur le disque dur (mémoire circulaire) pour l’analyse dans l’élément dynamique Tendance, pour les données en ligne dans le module Extended Trend ou pour l’exportation/l’importation de valeurs.

Attention : si l’option d’enregistrement sur disque dur est activée pour un trop grand nombre de variables, en présence d’un trop grand nombre de valeurs, les performances du Runtime peuvent être altérées.

Plus de détails dans l’aide en ligne.

VT_BOOL

IsKDAActiv

Type d'enregistrement

Disponible uniquement si la propriété Stockage de données sur disque dur actif est active :
Données de disque dur (cyclique) : Écriture cyclique des valeurs sur le disque dur.
Valeurs retriées (RDA) : Les valeurs sont écrites bloc par bloc sur le disque dur par le driver. (Fonction adaptée à l’analyse rétrospective des erreurs au niveau du système de contrôle.)

Plus de détails dans l’aide en ligne.

VT_BOOL

ExternVisible

Visible extérieurement pour

Disponible uniquement si la propriété Visible par d'autres programmes est active.

Spécifiez expressément les projets de zenon Logic pour lesquels la variable doit être visible. Si vous laissez le champ de saisie vide, la variable est visible pour tous les projets zenon Logic. Vous pouvez également saisir des projets zenon Logic de manière expresse. Séparez les noms des projets individuels par un point-virgule (";"). Vous pouvez utiliser les opérateurs. Par exemple, P1* signifie tous les projets zenon Logic commençant par P1. (Remarque : les opérateurs sont uniquement autorisés sous forme de préfixe ou de suffixe, par exemple, *xxx ou xxx*.

Le nombre de caractères est limité à 64.

Par défaut : -

Plus de détails dans l’aide en ligne.

VT_BSTR

ExternVisibleFor

Visible extérieurement pour

Disponible uniquement si la propriété Visible par d'autres programmes est active.

Spécifiez expressément les projets de zenon Logic pour lesquels la variable doit être visible. Si vous laissez le champ de saisie vide, la variable est visible pour tous les projets zenon Logic. Vous pouvez également saisir des projets zenon Logic de manière expresse. Séparez les noms des projets individuels par un point-virgule (";"). Vous pouvez utiliser les opérateurs. Par exemple, P1* signifie tous les projets zenon Logic commençant par P1. (Remarque : les opérateurs sont uniquement autorisés sous forme de préfixe ou de suffixe, par exemple, *xxx ou xxx*.

Le nombre de caractères est limité à 64.

Par défaut : -

Plus de détails dans l’aide en ligne.

VT_BOOL

ReadWrite

Ecriture/lecture externe

Propriété externe pour zenon Logic. Affecte uniquement les variables qui ne forment pas partie du driver straton.
Active : la valeur de la variable ne peut pas être modifiée dans zenon Logic. La définition de la variable ne peut pas être modifiée dans zenon Logic.
Inactive : la variable ne peut pas être modifiée dans zenon Logic.
Par défaut : active.

Plus de détails dans l’aide en ligne.

VT_BSTR

InitialValue

Valeur initiale externe

Propriété externe pour zenon Logic. Affecte uniquement les variables qui ne forment pas partie du driver straton.
Valeur initiale de la variable dans zenon Logic durant une reprise graduelle ou une reprise intermédiaire.
La saisie autorisée ici dépend du type de données de la variable. Par exemple, vous pouvez uniquement utiliser des valeurs sans décimales pour les variables entières. Pour les variables à virgule flottante, un point doit être utilisé en tant que séparateur décimal ; les virgules ne peuvent pas être utilisées.
Le système de contrôle ne vérifie pas la validité de cette saisie. Ceci peut générer un message d’erreur dans zenon Logic.

Attention : lors de l’utilisation de variables du driver interne, cette propriété doit posséder la même valeur que la valeur initiale dans les paramètres des variables internes.

Plus de détails dans l’aide en ligne.

VT_BSTR

Profilename

Nom profil externe

Propriété externe pour zenon Logic. Affecte uniquement les variables qui ne forment pas partie du driver straton.
Nom du profil défini dans zenon Logic (par ex. STRATON, ProfDP).

Cette propriété est uniquement affichée pour information. Édition dans zenon Logic uniquement.

Plus de détails dans l’aide en ligne.

VT_BSTR

Adressparam

Paramètre externe d'adresse

Propriété externe pour zenon Logic. Affecte uniquement les variables qui ne sont pas des variables du driver straton.
Propriétés de profil dans zenon Logic (par ex. "intégré" ou paramètres d’adressage de Profibus).

Cette propriété est uniquement affichée pour information. Édition dans zenon Logic uniquement.

Plus de détails dans l’aide en ligne.

VT_BSTR

Vargroup

Groupe de variables externe

Propriété externe pour zenon Logic. Affecte uniquement les variables qui ne sont pas des variables du driver straton32.
Groupes de variables dans zenon Logic ("Global" ou "Retain" ou vides).

Cette propriété est uniquement affichée pour information. Édition dans zenon Logic uniquement.

Plus de détails dans l’aide en ligne.

VT_BOOL

IsRemaActiv

Matrice de réaction active

Active : Une matrice de réaction est utilisée à la place des valeurs de limite.
Inactive : Les valeurs peuvent être définies pour la variable.
Par défaut : inactive.

Plus de détails dans l’aide en ligne.

ZT_REMA

Rema

Matrice de réaction

Propriétés d’utilisation d’une matrice de réaction pour la variable.

Plus de détails dans l’aide en ligne.

ZT_VARIABLE

AlarmQuitPV

Valeur d'acquittement

Si une alarme de cette variable est acquittée visuellement, la variable sélectionnée sous Variable d'acquittement visuel ou Variable d'acquittement est définie sur cette valeur.

Sélection de 0 ou 1.

Plus de détails dans l’aide en ligne.

ZT_VARIABLE

AlarmViewQuitPV

Variable d'acquittement visuel

Si une alarme de la variable de contrôle est acquittée visuellement, la valeur de la variable d’acquittement visuel est définie sur la valeur définie par Valeur d'acquittement.

Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de variables binaires.

Plus de détails dans l’aide en ligne.

VT_UI4

AlarmQuitPVValue

Valeur d'acquittement

Si une alarme de cette variable est acquittée visuellement, la variable sélectionnée sous Variable d'acquittement visuel ou Variable d'acquittement est définie sur cette valeur.

Sélection de 0 ou 1.

Plus de détails dans l’aide en ligne.

VT_BOOL

VarInASM

Enregistrer dans la base IPA

Active : les alarmes de cette variable sont disponibles pour analyse dans le module Industrial Performance Analyzer (IPA).
Inactive : les alarmes de cette variable ne sont prises en compte lors de l’analyse dans le module Industrial Performance Analyzer (IPA).
Par défaut : Inactive

Attention : le module Industrial Performance Analyzer est un module optionnel, qui doit comporter une licence valide pour pouvoir être utilisé ici.

Plus de détails dans l’aide en ligne.

VT_BOOL

AlarmViaEquipmentModel

Utiliser la gestion d'alarmes hiérarchiques du modèle d'équipement

Type d’attribution de la variable à un domaine d’alarmes.

  • Active :
    Le domaine d’alarmes de la variable est transféré par le modèle d’équipement. L’alarme de la variable est applicable aux domaines d’alarmes définis dans le modèle d’équipement. Dans ce cas, le groupe d’équipements de la variable et le groupe d’équipements de niveau supérieur du modèle d’équipement sont pris en compte.
  • Inactive :
    L'alarme sur la variable est applicable aux domaines d’alarmes 1 à 4 de la gestion d’alarmes.

Remarque : Si cette propriété est activée pour un type de données, les paramètres de toutes les variables issues de celle-ci sont transférés.

Plus de détails dans l’aide en ligne.

ZT_BSTR_REF

AreaName

AreaName

Description as text.

ZT_BSTR_REF

AreaName2

AreaName2

Description as text.

ZT_BSTR_REF

AreaName3

AreaName3

Description as text.

ZT_BSTR_REF

AreaName4

AreaName4

Description as text.

VT_BOOL

InOut

Ecrire valeur prescrite

Active : cette variable est libérée pour l’action Spécifier valeur prescrite.
Inactive : cette variable est protégée en écriture.
Par défaut : Active

Plus de détails dans l’aide en ligne.

VT_BOOL

SBO

Select Before Operate

Attention : Cette fonctionnalité est uniquement compatible avec les drivers IEC870 et IEC850, et uniquement disponible si vous avez sélectionné l’option Commande commutation pour la propriété de type d’action dans Gestion des commandes, et l’action est mise en œuvre sous forme d’action à deux étapes. N’utilisez pas cette fonction pour le driver DNP3_NG ; Auto-SBO peut être configuré directement pour la variable, dans ce cas.

Active : Avant que la valeur de la variable ne soit écrite dans le matériel, zenon vérifie, pendant la première phase de la commande de commutation, si la variable dans l’équipement est prête pour cette action (Select before Operate (SBO)).
Attention : Pour les commandes impulsion, la réinitialisation automatique des valeurs des variables n’est pas effectuée dans l’intervalle de temps défini dans la propriété de délai de front.

Si la propriété SBO a été activée pour la variable d’action, une commande d’impulsion se comporte de la même manière qu’une commande de commutation.

Inactive : La valeur de la variable est transférée vers le driver sans vérification préalable.

Remarque : dans un driver IEC870, cela signifie une instruction Direct execute. Le driver IEC850 peut toutefois déclencher automatiquement une instruction Select before Operate , en raison du Control Model.
Par défaut : Inactive :
Plus de détails dans l’aide en ligne.

VT_BOOL

CancelOperate

Annuler 'Operate'

Si cette propriété est activée, il est possible d’envoyer une commande Cancel après une commande Operate lors de la gestion des commandes.

Remarque : Cette propriété est uniquement dans la version Energy Edition.

Par défaut : Inactive

Plus de détails dans l’aide en ligne.

VT_R8

ValueMin

Valeur prescrite min.

La valeur minimum définie ici pour le paramètre Écrire valeur prescrite peut être acceptée par le biais d’éléments dynamiques, plutôt que par la configuration séparée de ces derniers.
Ceci est surtout recommandé si la plage de la mesure est susceptible de varier ultérieurement, car ces modifications peuvent être effectuées une fois ici, au lieu d’être modifiées séparément dans chaque élément.

Plus de détails dans l’aide en ligne.

VT_R8

ValueMax

Valeur prescrite max.

La valeur maximum définie ici pour le paramètre Écrire valeur prescrite peut être acceptée par le biais d’éléments dynamiques, plutôt que par la configuration séparée de ces derniers.
Ceci est surtout recommandé si la plage de la mesure est susceptible de varier ultérieurement, car ces modifications peuvent être effectuées une fois ici, au lieu d’être modifiées séparément dans chaque élément.

Plus de détails dans l’aide en ligne.

VT_BSTR

LockingName

LockingName

"With this property you have the opportunity to assign an interlocking via its name.
zElement.DynProperties(""LockingName"") = ""Interlocking 1"""

VT_UI1

SetValueProtocol

Enregistrement (fichier journal)

Définit la manière dont l’écriture de la valeur prescrite sera consignée dans la liste CEL.

  • Tout : Toutes les actions Écrire valeur prescrite de cette variable exécutées via des éléments dynamiques et les fonctions Écrire valeur prescrite sont consignées dans la liste d’événements. (CEL)
  • Rien : aucune action Spécifier valeur prescrite n’est consignée dans la liste CEL.
  • Seulement sur élément dynamique : Seules les actions Écrire valeur prescrite exécutées via les éléments dynamiques sont consignées dans la liste CEL.

Par défaut : Uniquement les éléments dynamiques :

Plus de détails dans l’aide en ligne.

VT_BOOL

SV_Act

Ancienne et nouvelle valeur
  • Active : en cas de modification de la valeur prescrite de cette variable, les valeurs ancienne et nouvelle sont consignées dans la liste d’événements (CEL).
  • Inactive : Seule la nouvelle valeur est consignée.

Par défaut : Inactive

Recommandation : Activez la propriété Variable lue en permanence. Ceci permet de garantir que la valeur est toujours disponible, et qu’il n’est pas nécessaire de l’interroger spécialement.

Plus de détails dans l’aide en ligne.

VT_BOOL

SV_VBA

Valeurs modifiées par VBA

Active : L’écriture de la valeur prescrite de cette variable via une macro VBA est consignée dans la liste d’événements.
inactive : l’écriture de la valeur prescrite de cette variable via une macro VBA n’est pas consignée.
Par défaut : Active

Remarque : pour les variables configurées sous forme de variables de commande dans la passerelle de procédé IEC870, chaque commande est consignée sous la forme Spécifier valeur prescrite via l’interface COM dans la liste CEL, si la propriété est activée.

Plus de détails dans l’aide en ligne.

VT_BSTR

VisualName

Nom visuel

Saisie d’un nom d’affichage de la variable dans zenon Analyzer. Celui-ci doit être unique dans le projet, mais ceci n’est pas vérifié dans zenon. Cette vérification est effectuée lors de l’importation dans zenon Analyzer.

Cette propriété fournit des informations qui sont utilisées pour la configuration de rapports dans zenon Analyzer. L’exportation des données de zenon vers zenon Analyzer est effectuée à l’aide de l’assistant Analyzer Export Wizard.

Attention : Si cette propriété est modifiée après la première exportation vers zenon Analyzer, ces modifications ne sont appliquées dans zenon Analyzer.

Plus de détails dans l’aide en ligne.

VT_BSTR

Meaning

Signification

Cette propriété fournit des informations qui sont utilisées par la fonction de configuration de rapports dans zenon Analyzer.
Les données peuvent être définies manuellement ou à l’aide de l’assistant Meaning and Waterfall Chart Wizard. L’exportation des données de zenon vers zenon Analyzer est effectuée à l’aide de l’assistant Analyzer Export Wizard.

Saisie de la signification (meaning) d’une variable dans zenon Analyzer. Plusieurs significations doivent être séparées par une virgule.
Syntaxe : [signification1],[signification2],…,[significationN]

Plus de détails dans l’aide en ligne.

VT_BSTR

WaterfallParam

Paramètre pour le waterfall diagram

Cette propriété fournit des informations qui sont utilisées par la fonction de configuration de rapports dans zenon Analyzer.
Les données peuvent être définies manuellement ou à l’aide de l’assistant Meaning and Waterfall Chart Wizard. L’exportation des données de zenon vers zenon Analyzer est effectuée à l’aide de l’assistant Analyzer Export Wizard.

Paramètres d’une variable pour un diagramme en cascade dans zenon Analyzer. Les entrées peuvent être créées pour les rapports par ligne ou les rapports par machine. Lors de l’exportation, en fonction de la structure des entrées, une décision est prise pour déterminer s’il s’agit d’entrées correspondant à des diagrammes par machine ou par ligne.

Les paramètres individuels doivent être séparés par une virgule. Plusieurs cascades doivent être séparées par un poing-virgule.
Syntaxe, par machine : [nom modèle],[indice de ligne],[indice de colonne],[code de couleur];
Syntaxe, par ligne : [nom du modèle],[indice de ligne],[indice de colonne],[code de couleur],[perte de machine auxiliaire],[ajout de perte de machine auxiliaire],[soustraction de perte de machine auxiliaire];

Plus de détails dans l’aide en ligne.

VT_BOOL

Use_in_ProcRec

Activer l'enregistrement

Active/désactive la variable ou le type de données enregistré dans le module Process Recorder.
La sélection multiple de variables est possible.

  • Active :
    Les changements de valeur de la variable sont enregistrés dans le module Process Recorder.
    Attention : Assurez-vous que l’activation générale de l’enregistrement a été configurée dans la propriété Activer Process Recorder.
  • Inactive :
    Les changements de valeur de la variable ne sont pas enregistrés dans le module Process Recorder.

Par défaut : les paramètres configurés sont appliqués pour le type de données utilisé.

Plus de détails dans l’aide en ligne.


CAMISTSVarED

Manuel -> Interfaces de programmation -> Modèles d'objet -> Variable -> Variable-Dynamic properties -> CAMISTSVarED

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Type

VBA/VSTA Name

Display Name

Description

VT_BOOL

IsLocalDigits

IsLocalDigits

"With this property you have the opportunity to decide whether the ""Decimals"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalSignalMin

IsLocalSignalMin

"With this property you have the opportunity to decide whether the ""Minimum signal resolution"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalSignalMax

IsLocalSignalMax

"With this property you have the opportunity to decide whether the ""Maximum signal resolution"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalRangeMin

IsLocalRangeMin

"With this property you have the opportunity to decide whether the ""Minimum measuring range"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalRangeMax

IsLocalRangeMax

"With this property you have the opportunity to decide whether the ""Maximum measuring range"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalAlternateValue

IsLocalAlternateValue

"With this property you have the opportunity to decide whether the ""Alternate value"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalValueMin

IsLocalValueMin

"With this property you have the opportunity to decide whether the ""Minimum set value"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalValueMax

IsLocalValueMax

"With this property you have the opportunity to decide whether the ""Maximum set value"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalUseMacro

IsLocalUseMacro

"With this property you have the opportunity to decide whether the ""Non linear value adjustment with macros"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalInOut

IsLocalInOut

"With this property you have the opportunity to decide whether the ""Setting values active"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalHystNeg

IsLocalHystNeg

"With this property you have the opportunity to decide whether the ""negative hysteresis"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalHystPos

IsLocalHystPos

"With this property you have the opportunity to decide whether the ""negative hysteresis"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalArchHystNeg

IsLocalArchHystNeg

VT_BOOL

IsLocalArchHystPos

IsLocalArchHystPos

VT_BOOL

IsLocalUpdatePriority

IsLocalUpdatePriority

"With this property you have the opportunity to decide whether the ""Priority of the driver connection"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalDDEaktiv

IsLocalDDEaktiv

"With this property you have the opportunity to decide whether the ""DDE active"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalStandby

IsLocalStandby

"With this property you have the opportunity to decide whether the ""Only read from standby"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalRemaActiv

IsLocalRemaActiv

"With this property you have the opportunity to decide whether the ""Reaction matrix active"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalRema

IsLocalRema

"With this property you have the opportunity to decide whether the ""Reaction matrix"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalHDActive

IsLocalHDActive

"With this property you have the opportunity to decide whether the ""HD active"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalHDUpdate

IsLocalHDUpdate

"With this property you have the opportunity to decide whether the ""HD scan rate"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalHDSize

IsLocalHDSize

"With this property you have the opportunity to decide whether the ""Number of HD values"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalKDAActiv

IsLocalKDAActiv

"With this property you have the opportunity to decide whether the ""Recording type"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalStingLength

IsLocalStingLength

"With this property you have the opportunity to decide whether the ""String length"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalQuitPV

IsLocalQuitPV

"With this property you have the opportunity to decide whether the ""Acknowledgement variable"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalViewQuitPV

IsLocalViewQuitPV

Description as text.

VT_BOOL

IsLocalQuitValue

IsLocalQuitValue

"With this property you have the opportunity to decide whether the ""Acknowledgement value"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalTagname

IsLocalTagname

"With this property you have the opportunity to decide whether the ""Identification"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalUnit

IsLocalUnit

"With this property you have the opportunity to decide whether the ""Unit"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalAltValString

IsLocalAltValString

"With this property you have the opportunity to decide whether the ""String alternative value"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalRecLabel

IsLocalRecLabel

"With this property you have the opportunity to decide whether the ""Ressources label"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalAdjustHW

IsLocalAdjustHW

"With this property you have the opportunity to decide whether the ""AdjustHardwareValue"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalAdjustZenon

IsLocalAdjustZenon

"With this property you have the opportunity to decide whether the ""AdjustZenOnValue"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalArraySize

IsLocalArraySize

"With this property you have the opportunity to decide whether the ""Array size"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalCounterGroup

IsLocalCounterGroup

VT_BOOL

IsLocalMaxGradient

IsLocalMaxGradient

VT_BOOL

IsLocalNormalStateActive

IsLocalNormalStateActive

VT_BOOL

IsLocalNormalState

IsLocalNormalState

VT_BOOL

IsLocalAlarmPV0

IsLocalAlarmPV0

"With this property you have the opportunity to decide whether the ""Alarm Variable 1"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalAlarmPV1

IsLocalAlarmPV1

"With this property you have the opportunity to decide whether the ""Alarm Variable 2"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalAlarmPV2

IsLocalAlarmPV2

"With this property you have the opportunity to decide whether the ""Alarm Variable 3"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalVarInASM

IsLocalVarInASM

"With this property you have the opportunity to decide whether the ""Save in IPA database"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalAlarmDomain

IsLocalAlarmDomain

"With this property you have the opportunity to decide whether the ""Alarm area"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalAlarmDomain2

IsLocalAlarmDomain2

Description as text.

VT_BOOL

IsLocalAlarmDomain3

IsLocalAlarmDomain3

Description as text.

VT_BOOL

IsLocalAlarmDomain4

IsLocalAlarmDomain4

Description as text.

VT_BOOL

IsLocalLocking

IsLocalLocking

"With this property you have the opportunity to decide whether the ""Interlocking"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalSBO

IsLocalSBO

"With this property you have the opportunity to decide whether the ""Select before operate"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalCancelOperate

IsLocalCancelOperate

Description

VT_BOOL

IsLocalAlarmViaEquipmentModel

IsLocalAlarmViaEquipmentModel

Description

VT_BOOL

IsLocalUsedInProcRec

IsLocalUsedInProcRec

Description

VT_UI1

IsSWProtokol

IsSWProtokol

VT_BOOL

IsSW_Akt

IsSW_Akt

VT_BOOL

IsSW_VBA

IsSW_VBA

More...

Limits

Valeurs limite

Propriétés définissant le traitement des valeurs limites ou le traitement des alarmes pour la variable.

Les propriétés de ce groupe sont uniquement disponibles si vous avez activé la propriété Matrice de réaction active.

Plus de détails dans l’aide en ligne.

VT_UI4

ID_ComplexVariable

ID_ComplexVariable

With this property you have the opportunity to get/set the ID of a variable from a structure element. This ID is 0 when the variable has no structure datatype.

VT_BSTR

Name

Nom

Nom unique de la variable. Les considérations suivantes s’appliquent lors de la définition du nom :

  • Longueur maximale : 128 caractères
  • Caractères non autorisés : # et @

Remarque : pour les drivers utilisant la connexion à zenon Logic, vous devez définir un préfixe. Pour plus de détails, reportez-vous au chapitre Création de variables O et M dans zenon Logic dans le manuel.
Toute modification du nom de la variable doit également être effectuée dans l’environnement de programmation (VBA, VSTA).

Attention : Cette propriété n’est pas disponible aux fins de la commutation de langue.

Plus de détails dans l’aide en ligne.

VT_BSTR

Tagname

Identification

Chaîne libre utilisée pour l’identification de la variable ou du type de données.
Remarque : Puisque la langue du nom de la variable (propriété Nom) ne peut pas être modifiée, cette propriété peut être utilisée pour le changement de langue en ligne.

Longueur maximale : 128 caractères

Plus de détails dans l’aide en ligne.

VT_BSTR

Unit

Unité de mesure

Unité technique de la variable devant être affichée dans le Runtime. Si vous avez déjà créé des unités de mesure dans le module d’unités de base, celles-ci sont disponibles dans une liste déroulante.
Maximum : 50 caractères.
Par défaut : vide

Plus de détails dans l’aide en ligne.

VT_R8

AlternateValue

Archivfüllwert

Cette valeur est utilisée pour renseigner les archives cycliques. En présence d’intervalles durant lesquels aucune connexion au matériel n’a été établie, cette valeur est utilisée tant qu’aucune valeur n’est transférée depuis l’équipement. Dans le cas contraire, la dernière valeur valide utilisée est utilisée aux fins du renseignement.

Plus de détails dans l’aide en ligne.

VT_BSTR

AlternateValueString

Valeur chaîne pour le remplissage des archives

Cette valeur est utilisée pour les variables de chaîne, afin de renseigner les archives cycliques.
En présence d’intervalles, dans les archives cycliques, durant lesquels aucune connexion au matériel n’a été établie, cette Valeur chaîne pour le remplissage des archives est utilisée tant qu’aucune valeur n’est transférée depuis l’équipement. Dans le cas contraire, la dernière valeur valide est utilisée pour le renseignement.

Longueur maximale : 128 caractères

Attention : Cette propriété n’est pas disponible aux fins de la commutation de langue.

Plus de détails dans l’aide en ligne.

VT_BSTR

Recourceslabel

Description externe

Chaîne au choix.
N'est pas utilisé au niveau interne dans zenon, mais est disponible lors de l’exportation de valeurs pour autoriser l’attribution des valeurs exportées pour les systèmes de gestion tels qu’ERP.

Longueur maximale : 255 caractères

Plus de détails dans l’aide en ligne.

VT_UI4

NetAddr

Adresse réseau

Adresse de bus ou Adresse réseau de la variable.

  • Minimum : 0
  • Maximum : 4294967295

Par défaut : 0

Plus de détails dans l’aide en ligne.

VT_UI4

DataBlock

Bloc de données

Numéro de bloc de données.
Minimum : 0.
Maximum : 4294967295
Par défaut : 0.

Plus de détails dans l’aide en ligne.

VT_UI4

Offset

Offset

Décalage de la variable.
Pour les contrôleurs à adressage linéaire : plage de mémoire.
Pour les contrôleurs à résolution de nom : adresse d’attribution.
Minimum : 0.
Maximum : 4294967295
Par défaut : 0.

Plus de détails dans l’aide en ligne.

VT_UI2

BitAddr

Numéro de bit

Numéro du bit dans le décalage configuré.
Minimum : 0.
Maximum : 65535
Par défaut : 0.

Plus de détails dans l’aide en ligne.

VT_UI2

Alignment

Alignement

Ceci dépend de la granularité du type d’objet du driver et de la position de la variable conformément au décalage défini.

Pour les variables de type Octet :
Octet poids fort : octet de poids fort dans le décalage de mot.
Octet poids faible : Otet de poids faible dans le décalage de mot.
HiWord-HiByte octet de poids fort dans le mot fort dans le décalage de double mot.
HiWord-LoByte (Mot poids fort-Octet poids faible) octet de poids faible dans le mot fort dans le décalage de double mot.
Mot poids faible-Octet poids fort : octet de poids fort dans le mot faible dans le décalage de double mot.
Mot poids faible-Octet poids faible : octet de poids faible dans le mot faible dans le décalage de double mot.

Pour les variables de mot :
Mot poids fort : mot fort dans le décalage de double mot.
Mot poids faible : Mot poids faible dans le décalage de double mot.

Plus de détails dans l’aide en ligne.

VT_UI2

StringLength

Longueur de la chaîne

Disponible uniquement pour les variables de type chaîne.
Nombre maximum de caractères que peut accepter une variable.
Minimum : 1 caractère
Si la valeur non autorisée 0 est saisie, la dernière valeur configurée valide est automatiquement utilisée. Si aucune valeur valide n’a été configurée, l’entrée est remplacée par la valeur par défaut.
Maximum : 65535 caractères.
Par défaut : 5 caractères

Remarque : la valeur par défaut est 65 535 pour les variables système avec le type de données String.

Plus de détails dans l’aide en ligne.

VT_BSTR

SymbAddr

Adresse symbolique

Séquence de caractères pour l’adressage symbolique des variables.

Longueur maximale : 1024 caractères.

Remarque : L’adresse symbolique n’est pas prise en charge par tous les drivers.
Lors de l’importation des variables dans des drivers compatibles avec l’adressage symbolique, la propriété est saisie automatiquement.

Plus de détails dans l’aide en ligne.

VT_UI4

Driver

Drivers

VT_UI4

ID_DataTyp

Type de données

Type de donnée pour la variable. Sélectionné durant la création de la variable ; peut être modifié ici ultérieurement.
Remarque : Pour les variables de structure, le type de données ne peut plus être modifié après la création des variables.
Attention : Si vous modifiez le type de données ultérieurement, toutes les autres propriétés de la variable doivent être vérifiées et ajustées, si nécessaire.

Plus de détails dans l’aide en ligne.

VT_UI4

ID_DriverTyp

Type d'objet driver

Selon le driver utilisé, un type d’objet est sélectionné durant la création de la variable et peut être modifié ici ultérieurement.
Siemens : bloc de données, marqueur, entrée/sortie.
Modbus : Coil et Holding Register.

Plus de détails dans l’aide en ligne.

VT_UI1

UpdatePriority

Priorité

Si l’heure de mise à jour globale spécifiée dans la configuration du driver n’est pas utilisée, la fréquence des mises à jour correspondant aux différents niveaux de priorité peut être définie ici. Dans cette propriété, une priorité est attribuée à une variable.

Plus de détails dans l’aide en ligne.

VT_BOOL

Standby

Lire uniquement sur le serveur redondant

Active : La valeur de la variable provenant du serveur redondant est affichée.
Inactive : La valeur de la variable provenant du serveur est affichée.
(drivers matériels uniquement)

Plus de détails dans l’aide en ligne.

VT_UI2

Digits

Nombre de décimales

Nombre de décimales des valeurs de variables utilisées lors de l’affichage dans le système de contrôle.
Minimum : 0
Maximum : 10
Par défaut : 0

Plus de détails dans l’aide en ligne.

VT_R8

SignalMin

Signal min.

Valeur minimum de la variable dans l’automate.
À moins d’être définie différemment dans la propriété Ajustement non-linéaire, la valeur brute des variables (résolution du signal) sera toujours convertie au format de la plage de mesure sur une base linéaire (pour une utilisation dans le système de contrôle). Toutes les autres entrées de valeurs numériques spécifiques à la variable dans Editor et dans le Runtime seront liées à la plage de mesures (par ex. définition des valeurs limites, limites des valeurs prescrites, zone de représentation, entrées de valeurs prescrites, etc.).

Plus de détails dans l’aide en ligne.

VT_R8

SignalMax

Signal max.

Valeur maximum de la variable dans l’automate. À moins d’être définie différemment dans la propriété Ajustement non-linéaire, la valeur brute des variables (résolution du signal) sera toujours convertie au format de la plage de mesure sur une base linéaire (pour une utilisation dans le système de contrôle). Toutes les autres entrées de valeurs numériques spécifiques à la variable dans Editor et dans le Runtime seront liées à la plage de mesures (par ex. définition des valeurs limites, limites des valeurs prescrites, zone de représentation, entrées de valeurs prescrites, etc.).

Plus de détails dans l’aide en ligne.

VT_R8

RangeMin

Plage de mesure min.

Valeur minimum des variables dans zenon.
À moins d’être définie différemment dans la propriété Ajustement non-linéaire, la valeur brute des variables (résolution du signal) sera toujours convertie au format de la plage de mesure sur une base linéaire (pour une utilisation dans le système de contrôle). Toutes les autres entrées de valeurs numériques spécifiques à la variable dans Editor et dans le Runtime seront liées à la plage de mesures (par ex. définition des valeurs limites, limites des valeurs prescrites, zone de représentation, entrées de valeurs prescrites, etc.).

Plus de détails dans l’aide en ligne.

VT_R8

RangeMax

Plage de mesure max.

Valeur maximum des variables dans zenon.
À moins d’être définie différemment dans la propriété Ajustement non-linéaire, la valeur brute des variables (résolution du signal) sera toujours convertie au format de la plage de mesure sur une base linéaire (pour une utilisation dans le système de contrôle). Toutes les autres entrées de valeurs numériques spécifiques à la variable dans Editor et dans le Runtime seront liées à la plage de mesures (par ex. définition des valeurs limites, limites des valeurs prescrites, zone de représentation, entrées de valeurs prescrites, etc.).

Plus de détails dans l’aide en ligne.

VT_BOOL

UseMacro

Ajustement non-linéaire avec macros

L’ajustement de valeurs non linéaires est utilisé pour les variables dont la valeur originale (automate) ne peut pas être ajustée de manière linéaire en fonction de la valeur mesurée (système de contrôle).

  • Active : Les valeurs brutes sont ajustées en fonction de zenon, sur une base non linéaire, avec des macros VBA.
  • Inactive : Les valeurs brutes sont ajustées en fonction de zenon.

Remarque : Lors de l’activation de la propriété, les propriétés AdjustHardwareValue et AdjustScadaValue doivent également être configurées. La propriété AdjustHardwareValue doit alors être configurée à l’inverse de la propriété AdjustScadaValue, sous forme de fonction inverse.

Par défaut : Inactive

Plus de détails dans l’aide en ligne.

ZT_VBAMAKRO

AdjustHardware

AdjustHardwareValue

Disponible uniquement si la propriété Ajustement non-linéaire avec macros est active.

Macro appelée à chaque modification de la valeur brute dans l’automate, et qui modifie la valeur dans zenon. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de macros.
Plus de détails dans l’aide en ligne.

ZT_VBAMAKRO

AdjustZenon

AdjustScadaValue

Disponible uniquement si la propriété Ajustement non-linéaire avec macros est active.

La macro est appelée lors de l’écriture d’une valeur depuis zenon et modifie la valeur brute sur l’automate. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de macros.
Plus de détails dans l’aide en ligne.

VT_R8

HystNeg

Négatif pour le signal

Hystérésis des valeurs limites définies en fonction de la plage du signal.

Plage d’hystérésis pour l’entrée en cas de changement de valeur avec diminution. Les valeurs sont uniquement interprétées comme des dépassements de valeur limite si la valeur changeante est inférieure à la plage d’hystérésis définie ici.
Par défaut : 0 (pas d’hystérésis)

Plus de détails dans l’aide en ligne.

VT_R8

HystPos

Positif pour le signal

Hystérésis des valeurs limites définies en fonction de la plage du signal.

Plage d’hystérésis pour l’entrée en cas de changement de valeur avec augmentation. Les valeurs sont uniquement interprétées comme des dépassements de valeur limite si la valeur changeante est supérieure à la plage d’hystérésis définie ici.
Par défaut : 0 (pas d’hystérésis)

Plus de détails dans l’aide en ligne.

VT_R8

ArchHystNeg

Négatif pour l'archive

Hystérésis d’archivage en cas de changement appliquée à la plage de mesure.

Plage d’hystérésis pour l’entrée en cas de changement de valeur avec diminution. Les valeurs sont uniquement saisies dans l’archive si la valeur changeante est inférieure à la plage d’hystérésis définie ici.
Par défaut : 0 (pas d’hystérésis)

Plus de détails dans l’aide en ligne.

VT_R8

ArchHystPos

Positif pour l'archive

Hystérésis d’archivage en cas de changement appliquée à la plage de mesure.

Plage d’hystérésis pour l’entrée en cas de changement de valeur avec augmentation. Les valeurs sont uniquement saisies dans l’archive si la valeur changeante est supérieure à la plage d’hystérésis définie ici.
Par défaut : 0 (pas d’hystérésis)

Plus de détails dans l’aide en ligne.

VT_BOOL

DDEActive

Variable lue en permanence

Paramètre de lecture de la variable et de sa disponibilité via DDE dans le Runtime :

  • Active : La variable est toujours connectée au driver. Cela signifie qu’elle est continuellement lue par le driver, même si elle n’est pas nécessaire dans le projet à cet instant précis. Le driver connaît ainsi toujours les valeurs actuelles et l’état actuel des variables et peut les fournir immédiatement, si nécessaire. La variable est également disponible pour les autres applications Windows (par exemple, Excel, Visual Basic, etc.). Les applications Windows possédant une fonctionnalité de client DDE peuvent ainsi utiliser les valeurs de la variable.
    Temps d’actualisation : 0,5 s
    L'activation de cette option offre par exemple l’avantage de basculer plus rapidement les valeurs de variables dans la fonction Ecriture valeur prescrite ou dans l’élément Appel de synoptique, car il n’est pas nécessaire d’interroger spécialement la variable avant la commutation. L’inconvénient est une augmentation de la charge des communications au niveau du contrôleur.
  • Inactive : La variable n’est pas interrogée en permanence par le driver, mais uniquement en cas de demande de valeurs ou d’états dans le Runtime. Elle n’est donc pas disponible dans les autres applications Windows via DDE.

Par défaut : Inactive

Plus de détails dans l’aide en ligne.

VT_UI4

ArraySizeOld

Dimension tableau

Définition de la taille de l’ensemble de blocs. La taille définie est lue ou écrite par le driver durant une demande de lecture/d’écriture. Ceci permet de garantir la cohérence des données dans le texte. Les données peuvent uniquement être modifiées dans le module Recipegroup Manager ou via l’interface de programmation.
Attention : peut être défini au niveau du driver interne, toutefois sans fonction dans le Runtime (valeur toujours égale à 0).

Plus de détails dans l’aide en ligne.

VT_UI4

CounterGroup

Groupe de compteur

Disponible uniquement dans SICAM 230.

VT_UI4

MaxGradient

Gradient maximum

Disponible uniquement dans SICAM 230.

VT_BOOL

NormalStateActive

Actif

Permet de définir un état normal pour les variables et les types de données du type BOOL, UINT et WORD pour tous les drivers.

Active : Un état normal peut être défini.

Par défaut : Inactive

Plus de détails dans l’aide en ligne.

VT_BOOL

NormalState

Valeur normale

Dans la liste déroulante, choisissez si la valeur normale de cette variable ou ce type de données doit être On (Active) ou Off (Inactive). Disponible pour les variables et les types de données du type BOOL, UINT et WORD pour tous les drivers.

Par défaut : Off

Plus de détails dans l’aide en ligne.

ZT_VARIABLE

AlarmPV0

Variable d'alarme 1

Disponible uniquement dans SICAM 230.
Première variable pour la gestion d’alarmes de synoptiques.

Plus de détails dans l’aide en ligne.

ZT_VARIABLE

AlarmPV1

Variable d'alarme 2

Disponible uniquement dans SICAM 230.
Deuxième variable pour la gestion d’alarmes de synoptiques.

Plus de détails dans l’aide en ligne.

ZT_VARIABLE

AlarmPV2

Variable d'alarme 3

Disponible uniquement dans SICAM 230.
Troisième variable pour la gestion d’alarmes de synoptiques.

Plus de détails dans l’aide en ligne.

VT_BOOL

HDActive

Stockage de données sur disque dur actif

Active : les valeurs de variables sont enregistrées sur le disque dur (enregistrement circulaire) pour être évaluées dans l’élément dynamique "Élément de tendance" ou pour l’exportation/l’importation des valeurs.

Inactive : aucune valeur de variable n’est enregistrée.

Par défaut : inactive

Les données de disque dur nécessitent 24 octets d’espace de stockage par valeur, indépendamment du type de variable. Outre la valeur, les informations suivantes sont enregistrées :
- Heure d’exécution de la mesure.
- Millisecondes lors de la lecture de la valeur.
- Modification de l’état de la valeur en fonction des éléments.
- Compteur pour l’identification unique de la valeur (driver événementiel).

Remarque : Le stockage de données est également activé lors d’un appel de synoptique de type Extended Trend si des données en ligne sont analysées.
Les variables de type chaîne ne sont pas prises en charge par la fonction de stockage de données sur le disque dur.

Attention : si l’option d’enregistrement sur disque dur est activée pour un trop grand nombre de variables, en présence d’un trop grand nombre de valeurs, les performances du Runtime peuvent être altérées.

Plus de détails dans l’aide en ligne.

VT_R4

HDUpdate

Temps de cycle [s]

Disponible uniquement si la propriété Stockage de données sur disque dur actif est active :
Durée de l’intervalle [en secondes] de conservation des valeurs en ligne sur le disque dur (mémoire circulaire) pour l’analyse dans l’élément dynamique Tendance, pour les données en ligne dans le module Extended Trend ou pour l’exportation/l’importation de valeurs.

Plus de détails dans l’aide en ligne.

VT_UI4

HDSize

Nombre de valeurs

Valeur correspondant à l’intervalle de conservation des valeurs en ligne sur le disque dur (mémoire circulaire) pour l’analyse dans l’élément dynamique Tendance, pour les données en ligne dans le module Extended Trend ou pour l’exportation/l’importation de valeurs.

Attention : si l’option d’enregistrement sur disque dur est activée pour un trop grand nombre de variables, en présence d’un trop grand nombre de valeurs, les performances du Runtime peuvent être altérées.

Plus de détails dans l’aide en ligne.

VT_BOOL

IsKDAActiv

Type d'enregistrement

Disponible uniquement si la propriété Stockage de données sur disque dur actif est active :
Données de disque dur (cyclique) : Écriture cyclique des valeurs sur le disque dur.
Valeurs retriées (RDA) : Les valeurs sont écrites bloc par bloc sur le disque dur par le driver. (Fonction adaptée à l’analyse rétrospective des erreurs au niveau du système de contrôle.)

Plus de détails dans l’aide en ligne.

VT_BOOL

ExternVisible

Visible extérieurement pour

Disponible uniquement si la propriété Visible par d'autres programmes est active.

Spécifiez expressément les projets de zenon Logic pour lesquels la variable doit être visible. Si vous laissez le champ de saisie vide, la variable est visible pour tous les projets zenon Logic. Vous pouvez également saisir des projets zenon Logic de manière expresse. Séparez les noms des projets individuels par un point-virgule (";"). Vous pouvez utiliser les opérateurs. Par exemple, P1* signifie tous les projets zenon Logic commençant par P1. (Remarque : les opérateurs sont uniquement autorisés sous forme de préfixe ou de suffixe, par exemple, *xxx ou xxx*.

Le nombre de caractères est limité à 64.

Par défaut : -

Plus de détails dans l’aide en ligne.

VT_BSTR

ExternVisibleFor

Visible extérieurement pour

Disponible uniquement si la propriété Visible par d'autres programmes est active.

Spécifiez expressément les projets de zenon Logic pour lesquels la variable doit être visible. Si vous laissez le champ de saisie vide, la variable est visible pour tous les projets zenon Logic. Vous pouvez également saisir des projets zenon Logic de manière expresse. Séparez les noms des projets individuels par un point-virgule (";"). Vous pouvez utiliser les opérateurs. Par exemple, P1* signifie tous les projets zenon Logic commençant par P1. (Remarque : les opérateurs sont uniquement autorisés sous forme de préfixe ou de suffixe, par exemple, *xxx ou xxx*.

Le nombre de caractères est limité à 64.

Par défaut : -

Plus de détails dans l’aide en ligne.

VT_BOOL

ReadWrite

Ecriture/lecture externe

Propriété externe pour zenon Logic. Affecte uniquement les variables qui ne forment pas partie du driver straton.
Active : la valeur de la variable ne peut pas être modifiée dans zenon Logic. La définition de la variable ne peut pas être modifiée dans zenon Logic.
Inactive : la variable ne peut pas être modifiée dans zenon Logic.
Par défaut : active.

Plus de détails dans l’aide en ligne.

VT_BSTR

InitialValue

Valeur initiale externe

Propriété externe pour zenon Logic. Affecte uniquement les variables qui ne forment pas partie du driver straton.
Valeur initiale de la variable dans zenon Logic durant une reprise graduelle ou une reprise intermédiaire.
La saisie autorisée ici dépend du type de données de la variable. Par exemple, vous pouvez uniquement utiliser des valeurs sans décimales pour les variables entières. Pour les variables à virgule flottante, un point doit être utilisé en tant que séparateur décimal ; les virgules ne peuvent pas être utilisées.
Le système de contrôle ne vérifie pas la validité de cette saisie. Ceci peut générer un message d’erreur dans zenon Logic.

Attention : lors de l’utilisation de variables du driver interne, cette propriété doit posséder la même valeur que la valeur initiale dans les paramètres des variables internes.

Plus de détails dans l’aide en ligne.

VT_BSTR

Profilename

Nom profil externe

Propriété externe pour zenon Logic. Affecte uniquement les variables qui ne forment pas partie du driver straton.
Nom du profil défini dans zenon Logic (par ex. STRATON, ProfDP).

Cette propriété est uniquement affichée pour information. Édition dans zenon Logic uniquement.

Plus de détails dans l’aide en ligne.

VT_BSTR

Adressparam

Paramètre externe d'adresse

Propriété externe pour zenon Logic. Affecte uniquement les variables qui ne sont pas des variables du driver straton.
Propriétés de profil dans zenon Logic (par ex. "intégré" ou paramètres d’adressage de Profibus).

Cette propriété est uniquement affichée pour information. Édition dans zenon Logic uniquement.

Plus de détails dans l’aide en ligne.

VT_BSTR

Vargroup

Groupe de variables externe

Propriété externe pour zenon Logic. Affecte uniquement les variables qui ne sont pas des variables du driver straton32.
Groupes de variables dans zenon Logic ("Global" ou "Retain" ou vides).

Cette propriété est uniquement affichée pour information. Édition dans zenon Logic uniquement.

Plus de détails dans l’aide en ligne.

VT_BOOL

IsRemaActiv

Matrice de réaction active

Active : Une matrice de réaction est utilisée à la place des valeurs de limite.
Inactive : Les valeurs peuvent être définies pour la variable.
Par défaut : inactive.

Plus de détails dans l’aide en ligne.

ZT_REMA

Rema

Matrice de réaction

Propriétés d’utilisation d’une matrice de réaction pour la variable.

Plus de détails dans l’aide en ligne.

ZT_VARIABLE

AlarmQuitPV

Valeur d'acquittement

Si une alarme de cette variable est acquittée visuellement, la variable sélectionnée sous Variable d'acquittement visuel ou Variable d'acquittement est définie sur cette valeur.

Sélection de 0 ou 1.

Plus de détails dans l’aide en ligne.

ZT_VARIABLE

AlarmViewQuitPV

Variable d'acquittement visuel

Si une alarme de la variable de contrôle est acquittée visuellement, la valeur de la variable d’acquittement visuel est définie sur la valeur définie par Valeur d'acquittement.

Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de variables binaires.

Plus de détails dans l’aide en ligne.

VT_UI4

AlarmQuitPVValue

Valeur d'acquittement

Si une alarme de cette variable est acquittée visuellement, la variable sélectionnée sous Variable d'acquittement visuel ou Variable d'acquittement est définie sur cette valeur.

Sélection de 0 ou 1.

Plus de détails dans l’aide en ligne.

VT_BOOL

VarInASM

Enregistrer dans la base IPA

Active : les alarmes de cette variable sont disponibles pour analyse dans le module Industrial Performance Analyzer (IPA).
Inactive : les alarmes de cette variable ne sont prises en compte lors de l’analyse dans le module Industrial Performance Analyzer (IPA).
Par défaut : Inactive

Attention : le module Industrial Performance Analyzer est un module optionnel, qui doit comporter une licence valide pour pouvoir être utilisé ici.

Plus de détails dans l’aide en ligne.

VT_BOOL

AlarmViaEquipmentModel

Utiliser la gestion d'alarmes hiérarchiques du modèle d'équipement

Type d’attribution de la variable à un domaine d’alarmes.

  • Active :
    Le domaine d’alarmes de la variable est transféré par le modèle d’équipement. L’alarme de la variable est applicable aux domaines d’alarmes définis dans le modèle d’équipement. Dans ce cas, le groupe d’équipements de la variable et le groupe d’équipements de niveau supérieur du modèle d’équipement sont pris en compte.
  • Inactive :
    L'alarme sur la variable est applicable aux domaines d’alarmes 1 à 4 de la gestion d’alarmes.

Remarque : Si cette propriété est activée pour un type de données, les paramètres de toutes les variables issues de celle-ci sont transférés.

Plus de détails dans l’aide en ligne.

ZT_BSTR_REF

AreaName

AreaName

Description as text.

ZT_BSTR_REF

AreaName2

AreaName2

Description as text.

ZT_BSTR_REF

AreaName3

AreaName3

Description as text.

ZT_BSTR_REF

AreaName4

AreaName4

Description as text.

VT_BOOL

InOut

Ecrire valeur prescrite

Active : cette variable est libérée pour l’action Spécifier valeur prescrite.
Inactive : cette variable est protégée en écriture.
Par défaut : Active

Plus de détails dans l’aide en ligne.

VT_BOOL

SBO

Select Before Operate

Attention : Cette fonctionnalité est uniquement compatible avec les drivers IEC870 et IEC850, et uniquement disponible si vous avez sélectionné l’option Commande commutation pour la propriété de type d’action dans Gestion des commandes, et l’action est mise en œuvre sous forme d’action à deux étapes. N’utilisez pas cette fonction pour le driver DNP3_NG ; Auto-SBO peut être configuré directement pour la variable, dans ce cas.

Active : Avant que la valeur de la variable ne soit écrite dans le matériel, zenon vérifie, pendant la première phase de la commande de commutation, si la variable dans l’équipement est prête pour cette action (Select before Operate (SBO)).
Attention : Pour les commandes impulsion, la réinitialisation automatique des valeurs des variables n’est pas effectuée dans l’intervalle de temps défini dans la propriété de délai de front.

Si la propriété SBO a été activée pour la variable d’action, une commande d’impulsion se comporte de la même manière qu’une commande de commutation.

Inactive : La valeur de la variable est transférée vers le driver sans vérification préalable.

Remarque : dans un driver IEC870, cela signifie une instruction Direct execute. Le driver IEC850 peut toutefois déclencher automatiquement une instruction Select before Operate , en raison du Control Model.
Par défaut : Inactive :
Plus de détails dans l’aide en ligne.

VT_BOOL

CancelOperate

Annuler 'Operate'

Si cette propriété est activée, il est possible d’envoyer une commande Cancel après une commande Operate lors de la gestion des commandes.

Remarque : Cette propriété est uniquement dans la version Energy Edition.

Par défaut : Inactive

Plus de détails dans l’aide en ligne.

VT_R8

ValueMin

Valeur prescrite min.

La valeur minimum définie ici pour le paramètre Écrire valeur prescrite peut être acceptée par le biais d’éléments dynamiques, plutôt que par la configuration séparée de ces derniers.
Ceci est surtout recommandé si la plage de la mesure est susceptible de varier ultérieurement, car ces modifications peuvent être effectuées une fois ici, au lieu d’être modifiées séparément dans chaque élément.

Plus de détails dans l’aide en ligne.

VT_R8

ValueMax

Valeur prescrite max.

La valeur maximum définie ici pour le paramètre Écrire valeur prescrite peut être acceptée par le biais d’éléments dynamiques, plutôt que par la configuration séparée de ces derniers.
Ceci est surtout recommandé si la plage de la mesure est susceptible de varier ultérieurement, car ces modifications peuvent être effectuées une fois ici, au lieu d’être modifiées séparément dans chaque élément.

Plus de détails dans l’aide en ligne.

VT_BSTR

LockingName

LockingName

"With this property you have the opportunity to assign an interlocking via its name.
zElement.DynProperties(""LockingName"") = ""Interlocking 1"""

VT_UI1

SetValueProtocol

Enregistrement (fichier journal)

Définit la manière dont l’écriture de la valeur prescrite sera consignée dans la liste CEL.

  • Tout : Toutes les actions Écrire valeur prescrite de cette variable exécutées via des éléments dynamiques et les fonctions Écrire valeur prescrite sont consignées dans la liste d’événements. (CEL)
  • Rien : aucune action Spécifier valeur prescrite n’est consignée dans la liste CEL.
  • Seulement sur élément dynamique : Seules les actions Écrire valeur prescrite exécutées via les éléments dynamiques sont consignées dans la liste CEL.

Par défaut : Uniquement les éléments dynamiques :

Plus de détails dans l’aide en ligne.

VT_BOOL

SV_Act

Ancienne et nouvelle valeur
  • Active : en cas de modification de la valeur prescrite de cette variable, les valeurs ancienne et nouvelle sont consignées dans la liste d’événements (CEL).
  • Inactive : Seule la nouvelle valeur est consignée.

Par défaut : Inactive

Recommandation : Activez la propriété Variable lue en permanence. Ceci permet de garantir que la valeur est toujours disponible, et qu’il n’est pas nécessaire de l’interroger spécialement.

Plus de détails dans l’aide en ligne.

VT_BOOL

SV_VBA

Valeurs modifiées par VBA

Active : L’écriture de la valeur prescrite de cette variable via une macro VBA est consignée dans la liste d’événements.
inactive : l’écriture de la valeur prescrite de cette variable via une macro VBA n’est pas consignée.
Par défaut : Active

Remarque : pour les variables configurées sous forme de variables de commande dans la passerelle de procédé IEC870, chaque commande est consignée sous la forme Spécifier valeur prescrite via l’interface COM dans la liste CEL, si la propriété est activée.

Plus de détails dans l’aide en ligne.

VT_BSTR

VisualName

Nom visuel

Saisie d’un nom d’affichage de la variable dans zenon Analyzer. Celui-ci doit être unique dans le projet, mais ceci n’est pas vérifié dans zenon. Cette vérification est effectuée lors de l’importation dans zenon Analyzer.

Cette propriété fournit des informations qui sont utilisées pour la configuration de rapports dans zenon Analyzer. L’exportation des données de zenon vers zenon Analyzer est effectuée à l’aide de l’assistant Analyzer Export Wizard.

Attention : Si cette propriété est modifiée après la première exportation vers zenon Analyzer, ces modifications ne sont appliquées dans zenon Analyzer.

Plus de détails dans l’aide en ligne.

VT_BSTR

Meaning

Signification

Cette propriété fournit des informations qui sont utilisées par la fonction de configuration de rapports dans zenon Analyzer.
Les données peuvent être définies manuellement ou à l’aide de l’assistant Meaning and Waterfall Chart Wizard. L’exportation des données de zenon vers zenon Analyzer est effectuée à l’aide de l’assistant Analyzer Export Wizard.

Saisie de la signification (meaning) d’une variable dans zenon Analyzer. Plusieurs significations doivent être séparées par une virgule.
Syntaxe : [signification1],[signification2],…,[significationN]

Plus de détails dans l’aide en ligne.

VT_BSTR

WaterfallParam

Paramètre pour le waterfall diagram

Cette propriété fournit des informations qui sont utilisées par la fonction de configuration de rapports dans zenon Analyzer.
Les données peuvent être définies manuellement ou à l’aide de l’assistant Meaning and Waterfall Chart Wizard. L’exportation des données de zenon vers zenon Analyzer est effectuée à l’aide de l’assistant Analyzer Export Wizard.

Paramètres d’une variable pour un diagramme en cascade dans zenon Analyzer. Les entrées peuvent être créées pour les rapports par ligne ou les rapports par machine. Lors de l’exportation, en fonction de la structure des entrées, une décision est prise pour déterminer s’il s’agit d’entrées correspondant à des diagrammes par machine ou par ligne.

Les paramètres individuels doivent être séparés par une virgule. Plusieurs cascades doivent être séparées par un poing-virgule.
Syntaxe, par machine : [nom modèle],[indice de ligne],[indice de colonne],[code de couleur];
Syntaxe, par ligne : [nom du modèle],[indice de ligne],[indice de colonne],[code de couleur],[perte de machine auxiliaire],[ajout de perte de machine auxiliaire],[soustraction de perte de machine auxiliaire];

Plus de détails dans l’aide en ligne.

VT_BOOL

Use_in_ProcRec

Activer l'enregistrement

Active/désactive la variable ou le type de données enregistré dans le module Process Recorder.
La sélection multiple de variables est possible.

  • Active :
    Les changements de valeur de la variable sont enregistrés dans le module Process Recorder.
    Attention : Assurez-vous que l’activation générale de l’enregistrement a été configurée dans la propriété Activer Process Recorder.
  • Inactive :
    Les changements de valeur de la variable ne sont pas enregistrés dans le module Process Recorder.

Par défaut : les paramètres configurés sont appliqués pour le type de données utilisé.

Plus de détails dans l’aide en ligne.


BACnetNG variable ED

Manuel -> Interfaces de programmation -> Modèles d'objet -> Variable -> Variable-Dynamic properties -> BACnetNG variable ED

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Type

VBA/VSTA Name

Display Name

Description

VT_I4

BACnetPropertyID

BACnet property ID

Définissez l’identifiant de propriété pour les propriétés spécifiques à l’utilisateur, ou si vous ne souhaitez pas mentionner la propriété dans le nom de l’identifiant.

Remarque : si vous définissez -1 (et uniquement dans ce cas), la propriété est déterminée via le nom ou l’identification.

Plus de détails dans l’aide en ligne.

VT_UI4

BACnetDataType

BACnet data type

Définissez de quelle manière une variable numérique ou une variable de type chaîne sera liée à une propriété BACnet. Sélectionnez le type de données souhaité dans la liste déroulante. Vous trouverez la description des types de données possibles dans le manuel en ligne.

Plus de détails dans l’aide en ligne.

VT_I1

BACnetWritePriority

BACnet write priority

Saisissez la priorité d’écriture de la variable. Si vous saisissez 0, la variable est écrite sans priorité d’écriture.

Les valeurs possibles sont 0 à 16.

Priorité la plus basse : 16

Priorité la plus élevée : 1

Par défaut : 0

Pour réinitialiser la priorité d’une valeur écrite, c’est-à-dire pour réinitialiser le bit dans le priority-array, une variable supplémentaire est requise. La variable doit être du type de données String, faire référence au même objet et posséder un BACnet property ID et un BACnet data type "NULL" identiques. Vous définissez une chaîne vide pour cette variable (via la fonction d’écriture de valeur prescrite, par exemple). La BACnet write priority est réinitialisée ; la valeur prescrite précédemment définie avec cette priorité est supprimée.

Plus de détails dans l’aide en ligne.

VT_UI4

BACnetStringLength

BACnet string length

Uniquement disponible si vous avez sélectionné le type de données BITSTRING pour la propriété BACnet data type.

Définissez la longueur en bits des chaînes de bits.

Plus de détails dans l’aide en ligne.

VT_I4

BACnetEventState

BACnet event state

Affiche l’état de l’événement sous forme de nombre. Dans ce cas, vous pouvez saisir un texte libre correspondant à l’état de l’événement.

Valeurs :

-1 : le texte est utilisé

0 : Normal

1 : Fault

2 : Anormal

3 : Limite supérieure

4 : Limite inférieure

5 : Alarme de sécurité des personnes

Par défaut : -1

Plus de détails dans l’aide en ligne.

VT_BOOL

IsLocalDigits

IsLocalDigits

"With this property you have the opportunity to decide whether the ""Decimals"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalSignalMin

IsLocalSignalMin

"With this property you have the opportunity to decide whether the ""Minimum signal resolution"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalSignalMax

IsLocalSignalMax

"With this property you have the opportunity to decide whether the ""Maximum signal resolution"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalRangeMin

IsLocalRangeMin

"With this property you have the opportunity to decide whether the ""Minimum measuring range"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalRangeMax

IsLocalRangeMax

"With this property you have the opportunity to decide whether the ""Maximum measuring range"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalAlternateValue

IsLocalAlternateValue

"With this property you have the opportunity to decide whether the ""Alternate value"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalValueMin

IsLocalValueMin

"With this property you have the opportunity to decide whether the ""Minimum set value"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalValueMax

IsLocalValueMax

"With this property you have the opportunity to decide whether the ""Maximum set value"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalUseMacro

IsLocalUseMacro

"With this property you have the opportunity to decide whether the ""Non linear value adjustment with macros"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalInOut

IsLocalInOut

"With this property you have the opportunity to decide whether the ""Setting values active"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalHystNeg

IsLocalHystNeg

"With this property you have the opportunity to decide whether the ""negative hysteresis"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalHystPos

IsLocalHystPos

"With this property you have the opportunity to decide whether the ""negative hysteresis"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalArchHystNeg

IsLocalArchHystNeg

VT_BOOL

IsLocalArchHystPos

IsLocalArchHystPos

VT_BOOL

IsLocalUpdatePriority

IsLocalUpdatePriority

"With this property you have the opportunity to decide whether the ""Priority of the driver connection"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalDDEaktiv

IsLocalDDEaktiv

"With this property you have the opportunity to decide whether the ""DDE active"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalStandby

IsLocalStandby

"With this property you have the opportunity to decide whether the ""Only read from standby"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalRemaActiv

IsLocalRemaActiv

"With this property you have the opportunity to decide whether the ""Reaction matrix active"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalRema

IsLocalRema

"With this property you have the opportunity to decide whether the ""Reaction matrix"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalHDActive

IsLocalHDActive

"With this property you have the opportunity to decide whether the ""HD active"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalHDUpdate

IsLocalHDUpdate

"With this property you have the opportunity to decide whether the ""HD scan rate"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalHDSize

IsLocalHDSize

"With this property you have the opportunity to decide whether the ""Number of HD values"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalKDAActiv

IsLocalKDAActiv

"With this property you have the opportunity to decide whether the ""Recording type"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalStingLength

IsLocalStingLength

"With this property you have the opportunity to decide whether the ""String length"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalQuitPV

IsLocalQuitPV

"With this property you have the opportunity to decide whether the ""Acknowledgement variable"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalViewQuitPV

IsLocalViewQuitPV

Description as text.

VT_BOOL

IsLocalQuitValue

IsLocalQuitValue

"With this property you have the opportunity to decide whether the ""Acknowledgement value"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalTagname

IsLocalTagname

"With this property you have the opportunity to decide whether the ""Identification"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalUnit

IsLocalUnit

"With this property you have the opportunity to decide whether the ""Unit"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalAltValString

IsLocalAltValString

"With this property you have the opportunity to decide whether the ""String alternative value"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalRecLabel

IsLocalRecLabel

"With this property you have the opportunity to decide whether the ""Ressources label"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalAdjustHW

IsLocalAdjustHW

"With this property you have the opportunity to decide whether the ""AdjustHardwareValue"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalAdjustZenon

IsLocalAdjustZenon

"With this property you have the opportunity to decide whether the ""AdjustZenOnValue"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalArraySize

IsLocalArraySize

"With this property you have the opportunity to decide whether the ""Array size"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalCounterGroup

IsLocalCounterGroup

VT_BOOL

IsLocalMaxGradient

IsLocalMaxGradient

VT_BOOL

IsLocalNormalStateActive

IsLocalNormalStateActive

VT_BOOL

IsLocalNormalState

IsLocalNormalState

VT_BOOL

IsLocalAlarmPV0

IsLocalAlarmPV0

"With this property you have the opportunity to decide whether the ""Alarm Variable 1"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalAlarmPV1

IsLocalAlarmPV1

"With this property you have the opportunity to decide whether the ""Alarm Variable 2"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalAlarmPV2

IsLocalAlarmPV2

"With this property you have the opportunity to decide whether the ""Alarm Variable 3"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalVarInASM

IsLocalVarInASM

"With this property you have the opportunity to decide whether the ""Save in IPA database"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalAlarmDomain

IsLocalAlarmDomain

"With this property you have the opportunity to decide whether the ""Alarm area"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalAlarmDomain2

IsLocalAlarmDomain2

Description as text.

VT_BOOL

IsLocalAlarmDomain3

IsLocalAlarmDomain3

Description as text.

VT_BOOL

IsLocalAlarmDomain4

IsLocalAlarmDomain4

Description as text.

VT_BOOL

IsLocalLocking

IsLocalLocking

"With this property you have the opportunity to decide whether the ""Interlocking"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalSBO

IsLocalSBO

"With this property you have the opportunity to decide whether the ""Select before operate"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalCancelOperate

IsLocalCancelOperate

Description

VT_BOOL

IsLocalAlarmViaEquipmentModel

IsLocalAlarmViaEquipmentModel

Description

VT_BOOL

IsLocalUsedInProcRec

IsLocalUsedInProcRec

Description

VT_UI1

IsSWProtokol

IsSWProtokol

VT_BOOL

IsSW_Akt

IsSW_Akt

VT_BOOL

IsSW_VBA

IsSW_VBA

More...

Limits

Valeurs limite

Propriétés définissant le traitement des valeurs limites ou le traitement des alarmes pour la variable.

Les propriétés de ce groupe sont uniquement disponibles si vous avez activé la propriété Matrice de réaction active.

Plus de détails dans l’aide en ligne.

VT_UI4

ID_ComplexVariable

ID_ComplexVariable

With this property you have the opportunity to get/set the ID of a variable from a structure element. This ID is 0 when the variable has no structure datatype.

VT_BSTR

Name

Nom

Nom unique de la variable. Les considérations suivantes s’appliquent lors de la définition du nom :

  • Longueur maximale : 128 caractères
  • Caractères non autorisés : # et @

Remarque : pour les drivers utilisant la connexion à zenon Logic, vous devez définir un préfixe. Pour plus de détails, reportez-vous au chapitre Création de variables O et M dans zenon Logic dans le manuel.
Toute modification du nom de la variable doit également être effectuée dans l’environnement de programmation (VBA, VSTA).

Attention : Cette propriété n’est pas disponible aux fins de la commutation de langue.

Plus de détails dans l’aide en ligne.

VT_BSTR

Tagname

Identification

Chaîne libre utilisée pour l’identification de la variable ou du type de données.
Remarque : Puisque la langue du nom de la variable (propriété Nom) ne peut pas être modifiée, cette propriété peut être utilisée pour le changement de langue en ligne.

Longueur maximale : 128 caractères

Plus de détails dans l’aide en ligne.

VT_BSTR

Unit

Unité de mesure

Unité technique de la variable devant être affichée dans le Runtime. Si vous avez déjà créé des unités de mesure dans le module d’unités de base, celles-ci sont disponibles dans une liste déroulante.
Maximum : 50 caractères.
Par défaut : vide

Plus de détails dans l’aide en ligne.

VT_R8

AlternateValue

Archivfüllwert

Cette valeur est utilisée pour renseigner les archives cycliques. En présence d’intervalles durant lesquels aucune connexion au matériel n’a été établie, cette valeur est utilisée tant qu’aucune valeur n’est transférée depuis l’équipement. Dans le cas contraire, la dernière valeur valide utilisée est utilisée aux fins du renseignement.

Plus de détails dans l’aide en ligne.

VT_BSTR

AlternateValueString

Valeur chaîne pour le remplissage des archives

Cette valeur est utilisée pour les variables de chaîne, afin de renseigner les archives cycliques.
En présence d’intervalles, dans les archives cycliques, durant lesquels aucune connexion au matériel n’a été établie, cette Valeur chaîne pour le remplissage des archives est utilisée tant qu’aucune valeur n’est transférée depuis l’équipement. Dans le cas contraire, la dernière valeur valide est utilisée pour le renseignement.

Longueur maximale : 128 caractères

Attention : Cette propriété n’est pas disponible aux fins de la commutation de langue.

Plus de détails dans l’aide en ligne.

VT_BSTR

Recourceslabel

Description externe

Chaîne au choix.
N'est pas utilisé au niveau interne dans zenon, mais est disponible lors de l’exportation de valeurs pour autoriser l’attribution des valeurs exportées pour les systèmes de gestion tels qu’ERP.

Longueur maximale : 255 caractères

Plus de détails dans l’aide en ligne.

VT_UI4

NetAddr

Adresse réseau

Adresse de bus ou Adresse réseau de la variable.

  • Minimum : 0
  • Maximum : 4294967295

Par défaut : 0

Plus de détails dans l’aide en ligne.

VT_UI4

DataBlock

Bloc de données

Numéro de bloc de données.
Minimum : 0.
Maximum : 4294967295
Par défaut : 0.

Plus de détails dans l’aide en ligne.

VT_UI4

Offset

Offset

Décalage de la variable.
Pour les contrôleurs à adressage linéaire : plage de mémoire.
Pour les contrôleurs à résolution de nom : adresse d’attribution.
Minimum : 0.
Maximum : 4294967295
Par défaut : 0.

Plus de détails dans l’aide en ligne.

VT_UI2

BitAddr

Numéro de bit

Numéro du bit dans le décalage configuré.
Minimum : 0.
Maximum : 65535
Par défaut : 0.

Plus de détails dans l’aide en ligne.

VT_UI2

Alignment

Alignement

Ceci dépend de la granularité du type d’objet du driver et de la position de la variable conformément au décalage défini.

Pour les variables de type Octet :
Octet poids fort : octet de poids fort dans le décalage de mot.
Octet poids faible : Otet de poids faible dans le décalage de mot.
HiWord-HiByte octet de poids fort dans le mot fort dans le décalage de double mot.
HiWord-LoByte (Mot poids fort-Octet poids faible) octet de poids faible dans le mot fort dans le décalage de double mot.
Mot poids faible-Octet poids fort : octet de poids fort dans le mot faible dans le décalage de double mot.
Mot poids faible-Octet poids faible : octet de poids faible dans le mot faible dans le décalage de double mot.

Pour les variables de mot :
Mot poids fort : mot fort dans le décalage de double mot.
Mot poids faible : Mot poids faible dans le décalage de double mot.

Plus de détails dans l’aide en ligne.

VT_UI2

StringLength

Longueur de la chaîne

Disponible uniquement pour les variables de type chaîne.
Nombre maximum de caractères que peut accepter une variable.
Minimum : 1 caractère
Si la valeur non autorisée 0 est saisie, la dernière valeur configurée valide est automatiquement utilisée. Si aucune valeur valide n’a été configurée, l’entrée est remplacée par la valeur par défaut.
Maximum : 65535 caractères.
Par défaut : 5 caractères

Remarque : la valeur par défaut est 65 535 pour les variables système avec le type de données String.

Plus de détails dans l’aide en ligne.

VT_BSTR

SymbAddr

Adresse symbolique

Séquence de caractères pour l’adressage symbolique des variables.

Longueur maximale : 1024 caractères.

Remarque : L’adresse symbolique n’est pas prise en charge par tous les drivers.
Lors de l’importation des variables dans des drivers compatibles avec l’adressage symbolique, la propriété est saisie automatiquement.

Plus de détails dans l’aide en ligne.

VT_UI4

Driver

Drivers

VT_UI4

ID_DataTyp

Type de données

Type de donnée pour la variable. Sélectionné durant la création de la variable ; peut être modifié ici ultérieurement.
Remarque : Pour les variables de structure, le type de données ne peut plus être modifié après la création des variables.
Attention : Si vous modifiez le type de données ultérieurement, toutes les autres propriétés de la variable doivent être vérifiées et ajustées, si nécessaire.

Plus de détails dans l’aide en ligne.

VT_UI4

ID_DriverTyp

Type d'objet driver

Selon le driver utilisé, un type d’objet est sélectionné durant la création de la variable et peut être modifié ici ultérieurement.
Siemens : bloc de données, marqueur, entrée/sortie.
Modbus : Coil et Holding Register.

Plus de détails dans l’aide en ligne.

VT_UI1

UpdatePriority

Priorité

Si l’heure de mise à jour globale spécifiée dans la configuration du driver n’est pas utilisée, la fréquence des mises à jour correspondant aux différents niveaux de priorité peut être définie ici. Dans cette propriété, une priorité est attribuée à une variable.

Plus de détails dans l’aide en ligne.

VT_BOOL

Standby

Lire uniquement sur le serveur redondant

Active : La valeur de la variable provenant du serveur redondant est affichée.
Inactive : La valeur de la variable provenant du serveur est affichée.
(drivers matériels uniquement)

Plus de détails dans l’aide en ligne.

VT_UI2

Digits

Nombre de décimales

Nombre de décimales des valeurs de variables utilisées lors de l’affichage dans le système de contrôle.
Minimum : 0
Maximum : 10
Par défaut : 0

Plus de détails dans l’aide en ligne.

VT_R8

SignalMin

Signal min.

Valeur minimum de la variable dans l’automate.
À moins d’être définie différemment dans la propriété Ajustement non-linéaire, la valeur brute des variables (résolution du signal) sera toujours convertie au format de la plage de mesure sur une base linéaire (pour une utilisation dans le système de contrôle). Toutes les autres entrées de valeurs numériques spécifiques à la variable dans Editor et dans le Runtime seront liées à la plage de mesures (par ex. définition des valeurs limites, limites des valeurs prescrites, zone de représentation, entrées de valeurs prescrites, etc.).

Plus de détails dans l’aide en ligne.

VT_R8

SignalMax

Signal max.

Valeur maximum de la variable dans l’automate. À moins d’être définie différemment dans la propriété Ajustement non-linéaire, la valeur brute des variables (résolution du signal) sera toujours convertie au format de la plage de mesure sur une base linéaire (pour une utilisation dans le système de contrôle). Toutes les autres entrées de valeurs numériques spécifiques à la variable dans Editor et dans le Runtime seront liées à la plage de mesures (par ex. définition des valeurs limites, limites des valeurs prescrites, zone de représentation, entrées de valeurs prescrites, etc.).

Plus de détails dans l’aide en ligne.

VT_R8

RangeMin

Plage de mesure min.

Valeur minimum des variables dans zenon.
À moins d’être définie différemment dans la propriété Ajustement non-linéaire, la valeur brute des variables (résolution du signal) sera toujours convertie au format de la plage de mesure sur une base linéaire (pour une utilisation dans le système de contrôle). Toutes les autres entrées de valeurs numériques spécifiques à la variable dans Editor et dans le Runtime seront liées à la plage de mesures (par ex. définition des valeurs limites, limites des valeurs prescrites, zone de représentation, entrées de valeurs prescrites, etc.).

Plus de détails dans l’aide en ligne.

VT_R8

RangeMax

Plage de mesure max.

Valeur maximum des variables dans zenon.
À moins d’être définie différemment dans la propriété Ajustement non-linéaire, la valeur brute des variables (résolution du signal) sera toujours convertie au format de la plage de mesure sur une base linéaire (pour une utilisation dans le système de contrôle). Toutes les autres entrées de valeurs numériques spécifiques à la variable dans Editor et dans le Runtime seront liées à la plage de mesures (par ex. définition des valeurs limites, limites des valeurs prescrites, zone de représentation, entrées de valeurs prescrites, etc.).

Plus de détails dans l’aide en ligne.

VT_BOOL

UseMacro

Ajustement non-linéaire avec macros

L’ajustement de valeurs non linéaires est utilisé pour les variables dont la valeur originale (automate) ne peut pas être ajustée de manière linéaire en fonction de la valeur mesurée (système de contrôle).

  • Active : Les valeurs brutes sont ajustées en fonction de zenon, sur une base non linéaire, avec des macros VBA.
  • Inactive : Les valeurs brutes sont ajustées en fonction de zenon.

Remarque : Lors de l’activation de la propriété, les propriétés AdjustHardwareValue et AdjustScadaValue doivent également être configurées. La propriété AdjustHardwareValue doit alors être configurée à l’inverse de la propriété AdjustScadaValue, sous forme de fonction inverse.

Par défaut : Inactive

Plus de détails dans l’aide en ligne.

ZT_VBAMAKRO

AdjustHardware

AdjustHardwareValue

Disponible uniquement si la propriété Ajustement non-linéaire avec macros est active.

Macro appelée à chaque modification de la valeur brute dans l’automate, et qui modifie la valeur dans zenon. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de macros.
Plus de détails dans l’aide en ligne.

ZT_VBAMAKRO

AdjustZenon

AdjustScadaValue

Disponible uniquement si la propriété Ajustement non-linéaire avec macros est active.

La macro est appelée lors de l’écriture d’une valeur depuis zenon et modifie la valeur brute sur l’automate. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de macros.
Plus de détails dans l’aide en ligne.

VT_R8

HystNeg

Négatif pour le signal

Hystérésis des valeurs limites définies en fonction de la plage du signal.

Plage d’hystérésis pour l’entrée en cas de changement de valeur avec diminution. Les valeurs sont uniquement interprétées comme des dépassements de valeur limite si la valeur changeante est inférieure à la plage d’hystérésis définie ici.
Par défaut : 0 (pas d’hystérésis)

Plus de détails dans l’aide en ligne.

VT_R8

HystPos

Positif pour le signal

Hystérésis des valeurs limites définies en fonction de la plage du signal.

Plage d’hystérésis pour l’entrée en cas de changement de valeur avec augmentation. Les valeurs sont uniquement interprétées comme des dépassements de valeur limite si la valeur changeante est supérieure à la plage d’hystérésis définie ici.
Par défaut : 0 (pas d’hystérésis)

Plus de détails dans l’aide en ligne.

VT_R8

ArchHystNeg

Négatif pour l'archive

Hystérésis d’archivage en cas de changement appliquée à la plage de mesure.

Plage d’hystérésis pour l’entrée en cas de changement de valeur avec diminution. Les valeurs sont uniquement saisies dans l’archive si la valeur changeante est inférieure à la plage d’hystérésis définie ici.
Par défaut : 0 (pas d’hystérésis)

Plus de détails dans l’aide en ligne.

VT_R8

ArchHystPos

Positif pour l'archive

Hystérésis d’archivage en cas de changement appliquée à la plage de mesure.

Plage d’hystérésis pour l’entrée en cas de changement de valeur avec augmentation. Les valeurs sont uniquement saisies dans l’archive si la valeur changeante est supérieure à la plage d’hystérésis définie ici.
Par défaut : 0 (pas d’hystérésis)

Plus de détails dans l’aide en ligne.

VT_BOOL

DDEActive

Variable lue en permanence

Paramètre de lecture de la variable et de sa disponibilité via DDE dans le Runtime :

  • Active : La variable est toujours connectée au driver. Cela signifie qu’elle est continuellement lue par le driver, même si elle n’est pas nécessaire dans le projet à cet instant précis. Le driver connaît ainsi toujours les valeurs actuelles et l’état actuel des variables et peut les fournir immédiatement, si nécessaire. La variable est également disponible pour les autres applications Windows (par exemple, Excel, Visual Basic, etc.). Les applications Windows possédant une fonctionnalité de client DDE peuvent ainsi utiliser les valeurs de la variable.
    Temps d’actualisation : 0,5 s
    L'activation de cette option offre par exemple l’avantage de basculer plus rapidement les valeurs de variables dans la fonction Ecriture valeur prescrite ou dans l’élément Appel de synoptique, car il n’est pas nécessaire d’interroger spécialement la variable avant la commutation. L’inconvénient est une augmentation de la charge des communications au niveau du contrôleur.
  • Inactive : La variable n’est pas interrogée en permanence par le driver, mais uniquement en cas de demande de valeurs ou d’états dans le Runtime. Elle n’est donc pas disponible dans les autres applications Windows via DDE.

Par défaut : Inactive

Plus de détails dans l’aide en ligne.

VT_UI4

ArraySizeOld

Dimension tableau

Définition de la taille de l’ensemble de blocs. La taille définie est lue ou écrite par le driver durant une demande de lecture/d’écriture. Ceci permet de garantir la cohérence des données dans le texte. Les données peuvent uniquement être modifiées dans le module Recipegroup Manager ou via l’interface de programmation.
Attention : peut être défini au niveau du driver interne, toutefois sans fonction dans le Runtime (valeur toujours égale à 0).

Plus de détails dans l’aide en ligne.

VT_UI4

CounterGroup

Groupe de compteur

Disponible uniquement dans SICAM 230.

VT_UI4

MaxGradient

Gradient maximum

Disponible uniquement dans SICAM 230.

VT_BOOL

NormalStateActive

Actif

Permet de définir un état normal pour les variables et les types de données du type BOOL, UINT et WORD pour tous les drivers.

Active : Un état normal peut être défini.

Par défaut : Inactive

Plus de détails dans l’aide en ligne.

VT_BOOL

NormalState

Valeur normale

Dans la liste déroulante, choisissez si la valeur normale de cette variable ou ce type de données doit être On (Active) ou Off (Inactive). Disponible pour les variables et les types de données du type BOOL, UINT et WORD pour tous les drivers.

Par défaut : Off

Plus de détails dans l’aide en ligne.

ZT_VARIABLE

AlarmPV0

Variable d'alarme 1

Disponible uniquement dans SICAM 230.
Première variable pour la gestion d’alarmes de synoptiques.

Plus de détails dans l’aide en ligne.

ZT_VARIABLE

AlarmPV1

Variable d'alarme 2

Disponible uniquement dans SICAM 230.
Deuxième variable pour la gestion d’alarmes de synoptiques.

Plus de détails dans l’aide en ligne.

ZT_VARIABLE

AlarmPV2

Variable d'alarme 3

Disponible uniquement dans SICAM 230.
Troisième variable pour la gestion d’alarmes de synoptiques.

Plus de détails dans l’aide en ligne.

VT_BOOL

HDActive

Stockage de données sur disque dur actif

Active : les valeurs de variables sont enregistrées sur le disque dur (enregistrement circulaire) pour être évaluées dans l’élément dynamique "Élément de tendance" ou pour l’exportation/l’importation des valeurs.

Inactive : aucune valeur de variable n’est enregistrée.

Par défaut : inactive

Les données de disque dur nécessitent 24 octets d’espace de stockage par valeur, indépendamment du type de variable. Outre la valeur, les informations suivantes sont enregistrées :
- Heure d’exécution de la mesure.
- Millisecondes lors de la lecture de la valeur.
- Modification de l’état de la valeur en fonction des éléments.
- Compteur pour l’identification unique de la valeur (driver événementiel).

Remarque : Le stockage de données est également activé lors d’un appel de synoptique de type Extended Trend si des données en ligne sont analysées.
Les variables de type chaîne ne sont pas prises en charge par la fonction de stockage de données sur le disque dur.

Attention : si l’option d’enregistrement sur disque dur est activée pour un trop grand nombre de variables, en présence d’un trop grand nombre de valeurs, les performances du Runtime peuvent être altérées.

Plus de détails dans l’aide en ligne.

VT_R4

HDUpdate

Temps de cycle [s]

Disponible uniquement si la propriété Stockage de données sur disque dur actif est active :
Durée de l’intervalle [en secondes] de conservation des valeurs en ligne sur le disque dur (mémoire circulaire) pour l’analyse dans l’élément dynamique Tendance, pour les données en ligne dans le module Extended Trend ou pour l’exportation/l’importation de valeurs.

Plus de détails dans l’aide en ligne.

VT_UI4

HDSize

Nombre de valeurs

Valeur correspondant à l’intervalle de conservation des valeurs en ligne sur le disque dur (mémoire circulaire) pour l’analyse dans l’élément dynamique Tendance, pour les données en ligne dans le module Extended Trend ou pour l’exportation/l’importation de valeurs.

Attention : si l’option d’enregistrement sur disque dur est activée pour un trop grand nombre de variables, en présence d’un trop grand nombre de valeurs, les performances du Runtime peuvent être altérées.

Plus de détails dans l’aide en ligne.

VT_BOOL

IsKDAActiv

Type d'enregistrement

Disponible uniquement si la propriété Stockage de données sur disque dur actif est active :
Données de disque dur (cyclique) : Écriture cyclique des valeurs sur le disque dur.
Valeurs retriées (RDA) : Les valeurs sont écrites bloc par bloc sur le disque dur par le driver. (Fonction adaptée à l’analyse rétrospective des erreurs au niveau du système de contrôle.)

Plus de détails dans l’aide en ligne.

VT_BOOL

ExternVisible

Visible extérieurement pour

Disponible uniquement si la propriété Visible par d'autres programmes est active.

Spécifiez expressément les projets de zenon Logic pour lesquels la variable doit être visible. Si vous laissez le champ de saisie vide, la variable est visible pour tous les projets zenon Logic. Vous pouvez également saisir des projets zenon Logic de manière expresse. Séparez les noms des projets individuels par un point-virgule (";"). Vous pouvez utiliser les opérateurs. Par exemple, P1* signifie tous les projets zenon Logic commençant par P1. (Remarque : les opérateurs sont uniquement autorisés sous forme de préfixe ou de suffixe, par exemple, *xxx ou xxx*.

Le nombre de caractères est limité à 64.

Par défaut : -

Plus de détails dans l’aide en ligne.

VT_BSTR

ExternVisibleFor

Visible extérieurement pour

Disponible uniquement si la propriété Visible par d'autres programmes est active.

Spécifiez expressément les projets de zenon Logic pour lesquels la variable doit être visible. Si vous laissez le champ de saisie vide, la variable est visible pour tous les projets zenon Logic. Vous pouvez également saisir des projets zenon Logic de manière expresse. Séparez les noms des projets individuels par un point-virgule (";"). Vous pouvez utiliser les opérateurs. Par exemple, P1* signifie tous les projets zenon Logic commençant par P1. (Remarque : les opérateurs sont uniquement autorisés sous forme de préfixe ou de suffixe, par exemple, *xxx ou xxx*.

Le nombre de caractères est limité à 64.

Par défaut : -

Plus de détails dans l’aide en ligne.

VT_BOOL

ReadWrite

Ecriture/lecture externe

Propriété externe pour zenon Logic. Affecte uniquement les variables qui ne forment pas partie du driver straton.
Active : la valeur de la variable ne peut pas être modifiée dans zenon Logic. La définition de la variable ne peut pas être modifiée dans zenon Logic.
Inactive : la variable ne peut pas être modifiée dans zenon Logic.
Par défaut : active.

Plus de détails dans l’aide en ligne.

VT_BSTR

InitialValue

Valeur initiale externe

Propriété externe pour zenon Logic. Affecte uniquement les variables qui ne forment pas partie du driver straton.
Valeur initiale de la variable dans zenon Logic durant une reprise graduelle ou une reprise intermédiaire.
La saisie autorisée ici dépend du type de données de la variable. Par exemple, vous pouvez uniquement utiliser des valeurs sans décimales pour les variables entières. Pour les variables à virgule flottante, un point doit être utilisé en tant que séparateur décimal ; les virgules ne peuvent pas être utilisées.
Le système de contrôle ne vérifie pas la validité de cette saisie. Ceci peut générer un message d’erreur dans zenon Logic.

Attention : lors de l’utilisation de variables du driver interne, cette propriété doit posséder la même valeur que la valeur initiale dans les paramètres des variables internes.

Plus de détails dans l’aide en ligne.

VT_BSTR

Profilename

Nom profil externe

Propriété externe pour zenon Logic. Affecte uniquement les variables qui ne forment pas partie du driver straton.
Nom du profil défini dans zenon Logic (par ex. STRATON, ProfDP).

Cette propriété est uniquement affichée pour information. Édition dans zenon Logic uniquement.

Plus de détails dans l’aide en ligne.

VT_BSTR

Adressparam

Paramètre externe d'adresse

Propriété externe pour zenon Logic. Affecte uniquement les variables qui ne sont pas des variables du driver straton.
Propriétés de profil dans zenon Logic (par ex. "intégré" ou paramètres d’adressage de Profibus).

Cette propriété est uniquement affichée pour information. Édition dans zenon Logic uniquement.

Plus de détails dans l’aide en ligne.

VT_BSTR

Vargroup

Groupe de variables externe

Propriété externe pour zenon Logic. Affecte uniquement les variables qui ne sont pas des variables du driver straton32.
Groupes de variables dans zenon Logic ("Global" ou "Retain" ou vides).

Cette propriété est uniquement affichée pour information. Édition dans zenon Logic uniquement.

Plus de détails dans l’aide en ligne.

VT_BOOL

IsRemaActiv

Matrice de réaction active

Active : Une matrice de réaction est utilisée à la place des valeurs de limite.
Inactive : Les valeurs peuvent être définies pour la variable.
Par défaut : inactive.

Plus de détails dans l’aide en ligne.

ZT_REMA

Rema

Matrice de réaction

Propriétés d’utilisation d’une matrice de réaction pour la variable.

Plus de détails dans l’aide en ligne.

ZT_VARIABLE

AlarmQuitPV

Valeur d'acquittement

Si une alarme de cette variable est acquittée visuellement, la variable sélectionnée sous Variable d'acquittement visuel ou Variable d'acquittement est définie sur cette valeur.

Sélection de 0 ou 1.

Plus de détails dans l’aide en ligne.

ZT_VARIABLE

AlarmViewQuitPV

Variable d'acquittement visuel

Si une alarme de la variable de contrôle est acquittée visuellement, la valeur de la variable d’acquittement visuel est définie sur la valeur définie par Valeur d'acquittement.

Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de variables binaires.

Plus de détails dans l’aide en ligne.

VT_UI4

AlarmQuitPVValue

Valeur d'acquittement

Si une alarme de cette variable est acquittée visuellement, la variable sélectionnée sous Variable d'acquittement visuel ou Variable d'acquittement est définie sur cette valeur.

Sélection de 0 ou 1.

Plus de détails dans l’aide en ligne.

VT_BOOL

VarInASM

Enregistrer dans la base IPA

Active : les alarmes de cette variable sont disponibles pour analyse dans le module Industrial Performance Analyzer (IPA).
Inactive : les alarmes de cette variable ne sont prises en compte lors de l’analyse dans le module Industrial Performance Analyzer (IPA).
Par défaut : Inactive

Attention : le module Industrial Performance Analyzer est un module optionnel, qui doit comporter une licence valide pour pouvoir être utilisé ici.

Plus de détails dans l’aide en ligne.

VT_BOOL

AlarmViaEquipmentModel

Utiliser la gestion d'alarmes hiérarchiques du modèle d'équipement

Type d’attribution de la variable à un domaine d’alarmes.

  • Active :
    Le domaine d’alarmes de la variable est transféré par le modèle d’équipement. L’alarme de la variable est applicable aux domaines d’alarmes définis dans le modèle d’équipement. Dans ce cas, le groupe d’équipements de la variable et le groupe d’équipements de niveau supérieur du modèle d’équipement sont pris en compte.
  • Inactive :
    L'alarme sur la variable est applicable aux domaines d’alarmes 1 à 4 de la gestion d’alarmes.

Remarque : Si cette propriété est activée pour un type de données, les paramètres de toutes les variables issues de celle-ci sont transférés.

Plus de détails dans l’aide en ligne.

ZT_BSTR_REF

AreaName

AreaName

Description as text.

ZT_BSTR_REF

AreaName2

AreaName2

Description as text.

ZT_BSTR_REF

AreaName3

AreaName3

Description as text.

ZT_BSTR_REF

AreaName4

AreaName4

Description as text.

VT_BOOL

InOut

Ecrire valeur prescrite

Active : cette variable est libérée pour l’action Spécifier valeur prescrite.
Inactive : cette variable est protégée en écriture.
Par défaut : Active

Plus de détails dans l’aide en ligne.

VT_BOOL

SBO

Select Before Operate

Attention : Cette fonctionnalité est uniquement compatible avec les drivers IEC870 et IEC850, et uniquement disponible si vous avez sélectionné l’option Commande commutation pour la propriété de type d’action dans Gestion des commandes, et l’action est mise en œuvre sous forme d’action à deux étapes. N’utilisez pas cette fonction pour le driver DNP3_NG ; Auto-SBO peut être configuré directement pour la variable, dans ce cas.

Active : Avant que la valeur de la variable ne soit écrite dans le matériel, zenon vérifie, pendant la première phase de la commande de commutation, si la variable dans l’équipement est prête pour cette action (Select before Operate (SBO)).
Attention : Pour les commandes impulsion, la réinitialisation automatique des valeurs des variables n’est pas effectuée dans l’intervalle de temps défini dans la propriété de délai de front.

Si la propriété SBO a été activée pour la variable d’action, une commande d’impulsion se comporte de la même manière qu’une commande de commutation.

Inactive : La valeur de la variable est transférée vers le driver sans vérification préalable.

Remarque : dans un driver IEC870, cela signifie une instruction Direct execute. Le driver IEC850 peut toutefois déclencher automatiquement une instruction Select before Operate , en raison du Control Model.
Par défaut : Inactive :
Plus de détails dans l’aide en ligne.

VT_BOOL

CancelOperate

Annuler 'Operate'

Si cette propriété est activée, il est possible d’envoyer une commande Cancel après une commande Operate lors de la gestion des commandes.

Remarque : Cette propriété est uniquement dans la version Energy Edition.

Par défaut : Inactive

Plus de détails dans l’aide en ligne.

VT_R8

ValueMin

Valeur prescrite min.

La valeur minimum définie ici pour le paramètre Écrire valeur prescrite peut être acceptée par le biais d’éléments dynamiques, plutôt que par la configuration séparée de ces derniers.
Ceci est surtout recommandé si la plage de la mesure est susceptible de varier ultérieurement, car ces modifications peuvent être effectuées une fois ici, au lieu d’être modifiées séparément dans chaque élément.

Plus de détails dans l’aide en ligne.

VT_R8

ValueMax

Valeur prescrite max.

La valeur maximum définie ici pour le paramètre Écrire valeur prescrite peut être acceptée par le biais d’éléments dynamiques, plutôt que par la configuration séparée de ces derniers.
Ceci est surtout recommandé si la plage de la mesure est susceptible de varier ultérieurement, car ces modifications peuvent être effectuées une fois ici, au lieu d’être modifiées séparément dans chaque élément.

Plus de détails dans l’aide en ligne.

VT_BSTR

LockingName

LockingName

"With this property you have the opportunity to assign an interlocking via its name.
zElement.DynProperties(""LockingName"") = ""Interlocking 1"""

VT_UI1

SetValueProtocol

Enregistrement (fichier journal)

Définit la manière dont l’écriture de la valeur prescrite sera consignée dans la liste CEL.

  • Tout : Toutes les actions Écrire valeur prescrite de cette variable exécutées via des éléments dynamiques et les fonctions Écrire valeur prescrite sont consignées dans la liste d’événements. (CEL)
  • Rien : aucune action Spécifier valeur prescrite n’est consignée dans la liste CEL.
  • Seulement sur élément dynamique : Seules les actions Écrire valeur prescrite exécutées via les éléments dynamiques sont consignées dans la liste CEL.

Par défaut : Uniquement les éléments dynamiques :

Plus de détails dans l’aide en ligne.

VT_BOOL

SV_Act

Ancienne et nouvelle valeur
  • Active : en cas de modification de la valeur prescrite de cette variable, les valeurs ancienne et nouvelle sont consignées dans la liste d’événements (CEL).
  • Inactive : Seule la nouvelle valeur est consignée.

Par défaut : Inactive

Recommandation : Activez la propriété Variable lue en permanence. Ceci permet de garantir que la valeur est toujours disponible, et qu’il n’est pas nécessaire de l’interroger spécialement.

Plus de détails dans l’aide en ligne.

VT_BOOL

SV_VBA

Valeurs modifiées par VBA

Active : L’écriture de la valeur prescrite de cette variable via une macro VBA est consignée dans la liste d’événements.
inactive : l’écriture de la valeur prescrite de cette variable via une macro VBA n’est pas consignée.
Par défaut : Active

Remarque : pour les variables configurées sous forme de variables de commande dans la passerelle de procédé IEC870, chaque commande est consignée sous la forme Spécifier valeur prescrite via l’interface COM dans la liste CEL, si la propriété est activée.

Plus de détails dans l’aide en ligne.

VT_BSTR

VisualName

Nom visuel

Saisie d’un nom d’affichage de la variable dans zenon Analyzer. Celui-ci doit être unique dans le projet, mais ceci n’est pas vérifié dans zenon. Cette vérification est effectuée lors de l’importation dans zenon Analyzer.

Cette propriété fournit des informations qui sont utilisées pour la configuration de rapports dans zenon Analyzer. L’exportation des données de zenon vers zenon Analyzer est effectuée à l’aide de l’assistant Analyzer Export Wizard.

Attention : Si cette propriété est modifiée après la première exportation vers zenon Analyzer, ces modifications ne sont appliquées dans zenon Analyzer.

Plus de détails dans l’aide en ligne.

VT_BSTR

Meaning

Signification

Cette propriété fournit des informations qui sont utilisées par la fonction de configuration de rapports dans zenon Analyzer.
Les données peuvent être définies manuellement ou à l’aide de l’assistant Meaning and Waterfall Chart Wizard. L’exportation des données de zenon vers zenon Analyzer est effectuée à l’aide de l’assistant Analyzer Export Wizard.

Saisie de la signification (meaning) d’une variable dans zenon Analyzer. Plusieurs significations doivent être séparées par une virgule.
Syntaxe : [signification1],[signification2],…,[significationN]

Plus de détails dans l’aide en ligne.

VT_BSTR

WaterfallParam

Paramètre pour le waterfall diagram

Cette propriété fournit des informations qui sont utilisées par la fonction de configuration de rapports dans zenon Analyzer.
Les données peuvent être définies manuellement ou à l’aide de l’assistant Meaning and Waterfall Chart Wizard. L’exportation des données de zenon vers zenon Analyzer est effectuée à l’aide de l’assistant Analyzer Export Wizard.

Paramètres d’une variable pour un diagramme en cascade dans zenon Analyzer. Les entrées peuvent être créées pour les rapports par ligne ou les rapports par machine. Lors de l’exportation, en fonction de la structure des entrées, une décision est prise pour déterminer s’il s’agit d’entrées correspondant à des diagrammes par machine ou par ligne.

Les paramètres individuels doivent être séparés par une virgule. Plusieurs cascades doivent être séparées par un poing-virgule.
Syntaxe, par machine : [nom modèle],[indice de ligne],[indice de colonne],[code de couleur];
Syntaxe, par ligne : [nom du modèle],[indice de ligne],[indice de colonne],[code de couleur],[perte de machine auxiliaire],[ajout de perte de machine auxiliaire],[soustraction de perte de machine auxiliaire];

Plus de détails dans l’aide en ligne.

VT_BOOL

Use_in_ProcRec

Activer l'enregistrement

Active/désactive la variable ou le type de données enregistré dans le module Process Recorder.
La sélection multiple de variables est possible.

  • Active :
    Les changements de valeur de la variable sont enregistrés dans le module Process Recorder.
    Attention : Assurez-vous que l’activation générale de l’enregistrement a été configurée dans la propriété Activer Process Recorder.
  • Inactive :
    Les changements de valeur de la variable ne sont pas enregistrés dans le module Process Recorder.

Par défaut : les paramètres configurés sont appliqués pour le type de données utilisé.

Plus de détails dans l’aide en ligne.


BeckhoffNG variable ED

Manuel -> Interfaces de programmation -> Modèles d'objet -> Variable -> Variable-Dynamic properties -> BeckhoffNG variable ED

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Type

VBA/VSTA Name

Display Name

Description

VT_BOOL

IsLocalDigits

IsLocalDigits

"With this property you have the opportunity to decide whether the ""Decimals"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalSignalMin

IsLocalSignalMin

"With this property you have the opportunity to decide whether the ""Minimum signal resolution"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalSignalMax

IsLocalSignalMax

"With this property you have the opportunity to decide whether the ""Maximum signal resolution"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalRangeMin

IsLocalRangeMin

"With this property you have the opportunity to decide whether the ""Minimum measuring range"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalRangeMax

IsLocalRangeMax

"With this property you have the opportunity to decide whether the ""Maximum measuring range"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalAlternateValue

IsLocalAlternateValue

"With this property you have the opportunity to decide whether the ""Alternate value"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalValueMin

IsLocalValueMin

"With this property you have the opportunity to decide whether the ""Minimum set value"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalValueMax

IsLocalValueMax

"With this property you have the opportunity to decide whether the ""Maximum set value"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalUseMacro

IsLocalUseMacro

"With this property you have the opportunity to decide whether the ""Non linear value adjustment with macros"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalInOut

IsLocalInOut

"With this property you have the opportunity to decide whether the ""Setting values active"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalHystNeg

IsLocalHystNeg

"With this property you have the opportunity to decide whether the ""negative hysteresis"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalHystPos

IsLocalHystPos

"With this property you have the opportunity to decide whether the ""negative hysteresis"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalArchHystNeg

IsLocalArchHystNeg

VT_BOOL

IsLocalArchHystPos

IsLocalArchHystPos

VT_BOOL

IsLocalUpdatePriority

IsLocalUpdatePriority

"With this property you have the opportunity to decide whether the ""Priority of the driver connection"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalDDEaktiv

IsLocalDDEaktiv

"With this property you have the opportunity to decide whether the ""DDE active"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalStandby

IsLocalStandby

"With this property you have the opportunity to decide whether the ""Only read from standby"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalRemaActiv

IsLocalRemaActiv

"With this property you have the opportunity to decide whether the ""Reaction matrix active"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalRema

IsLocalRema

"With this property you have the opportunity to decide whether the ""Reaction matrix"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalHDActive

IsLocalHDActive

"With this property you have the opportunity to decide whether the ""HD active"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalHDUpdate

IsLocalHDUpdate

"With this property you have the opportunity to decide whether the ""HD scan rate"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalHDSize

IsLocalHDSize

"With this property you have the opportunity to decide whether the ""Number of HD values"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalKDAActiv

IsLocalKDAActiv

"With this property you have the opportunity to decide whether the ""Recording type"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalStingLength

IsLocalStingLength

"With this property you have the opportunity to decide whether the ""String length"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalQuitPV

IsLocalQuitPV

"With this property you have the opportunity to decide whether the ""Acknowledgement variable"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalViewQuitPV

IsLocalViewQuitPV

Description as text.

VT_BOOL

IsLocalQuitValue

IsLocalQuitValue

"With this property you have the opportunity to decide whether the ""Acknowledgement value"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalTagname

IsLocalTagname

"With this property you have the opportunity to decide whether the ""Identification"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalUnit

IsLocalUnit

"With this property you have the opportunity to decide whether the ""Unit"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalAltValString

IsLocalAltValString

"With this property you have the opportunity to decide whether the ""String alternative value"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalRecLabel

IsLocalRecLabel

"With this property you have the opportunity to decide whether the ""Ressources label"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalAdjustHW

IsLocalAdjustHW

"With this property you have the opportunity to decide whether the ""AdjustHardwareValue"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalAdjustZenon

IsLocalAdjustZenon

"With this property you have the opportunity to decide whether the ""AdjustZenOnValue"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalArraySize

IsLocalArraySize

"With this property you have the opportunity to decide whether the ""Array size"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalCounterGroup

IsLocalCounterGroup

VT_BOOL

IsLocalMaxGradient

IsLocalMaxGradient

VT_BOOL

IsLocalNormalStateActive

IsLocalNormalStateActive

VT_BOOL

IsLocalNormalState

IsLocalNormalState

VT_BOOL

IsLocalAlarmPV0

IsLocalAlarmPV0

"With this property you have the opportunity to decide whether the ""Alarm Variable 1"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalAlarmPV1

IsLocalAlarmPV1

"With this property you have the opportunity to decide whether the ""Alarm Variable 2"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalAlarmPV2

IsLocalAlarmPV2

"With this property you have the opportunity to decide whether the ""Alarm Variable 3"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalVarInASM

IsLocalVarInASM

"With this property you have the opportunity to decide whether the ""Save in IPA database"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalAlarmDomain

IsLocalAlarmDomain

"With this property you have the opportunity to decide whether the ""Alarm area"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalAlarmDomain2

IsLocalAlarmDomain2

Description as text.

VT_BOOL

IsLocalAlarmDomain3

IsLocalAlarmDomain3

Description as text.

VT_BOOL

IsLocalAlarmDomain4

IsLocalAlarmDomain4

Description as text.

VT_BOOL

IsLocalLocking

IsLocalLocking

"With this property you have the opportunity to decide whether the ""Interlocking"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalSBO

IsLocalSBO

"With this property you have the opportunity to decide whether the ""Select before operate"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalCancelOperate

IsLocalCancelOperate

Description

VT_BOOL

IsLocalAlarmViaEquipmentModel

IsLocalAlarmViaEquipmentModel

Description

VT_BOOL

IsLocalUsedInProcRec

IsLocalUsedInProcRec

Description

VT_UI1

IsSWProtokol

IsSWProtokol

VT_BOOL

IsSW_Akt

IsSW_Akt

VT_BOOL

IsSW_VBA

IsSW_VBA

More...

Limits

Valeurs limite

Propriétés définissant le traitement des valeurs limites ou le traitement des alarmes pour la variable.

Les propriétés de ce groupe sont uniquement disponibles si vous avez activé la propriété Matrice de réaction active.

Plus de détails dans l’aide en ligne.

VT_UI4

ID_ComplexVariable

ID_ComplexVariable

With this property you have the opportunity to get/set the ID of a variable from a structure element. This ID is 0 when the variable has no structure datatype.

VT_BSTR

Name

Nom

Nom unique de la variable. Les considérations suivantes s’appliquent lors de la définition du nom :

  • Longueur maximale : 128 caractères
  • Caractères non autorisés : # et @

Remarque : pour les drivers utilisant la connexion à zenon Logic, vous devez définir un préfixe. Pour plus de détails, reportez-vous au chapitre Création de variables O et M dans zenon Logic dans le manuel.
Toute modification du nom de la variable doit également être effectuée dans l’environnement de programmation (VBA, VSTA).

Attention : Cette propriété n’est pas disponible aux fins de la commutation de langue.

Plus de détails dans l’aide en ligne.

VT_BSTR

Tagname

Identification

Chaîne libre utilisée pour l’identification de la variable ou du type de données.
Remarque : Puisque la langue du nom de la variable (propriété Nom) ne peut pas être modifiée, cette propriété peut être utilisée pour le changement de langue en ligne.

Longueur maximale : 128 caractères

Plus de détails dans l’aide en ligne.

VT_BSTR

Unit

Unité de mesure

Unité technique de la variable devant être affichée dans le Runtime. Si vous avez déjà créé des unités de mesure dans le module d’unités de base, celles-ci sont disponibles dans une liste déroulante.
Maximum : 50 caractères.
Par défaut : vide

Plus de détails dans l’aide en ligne.

VT_R8

AlternateValue

Archivfüllwert

Cette valeur est utilisée pour renseigner les archives cycliques. En présence d’intervalles durant lesquels aucune connexion au matériel n’a été établie, cette valeur est utilisée tant qu’aucune valeur n’est transférée depuis l’équipement. Dans le cas contraire, la dernière valeur valide utilisée est utilisée aux fins du renseignement.

Plus de détails dans l’aide en ligne.

VT_BSTR

AlternateValueString

Valeur chaîne pour le remplissage des archives

Cette valeur est utilisée pour les variables de chaîne, afin de renseigner les archives cycliques.
En présence d’intervalles, dans les archives cycliques, durant lesquels aucune connexion au matériel n’a été établie, cette Valeur chaîne pour le remplissage des archives est utilisée tant qu’aucune valeur n’est transférée depuis l’équipement. Dans le cas contraire, la dernière valeur valide est utilisée pour le renseignement.

Longueur maximale : 128 caractères

Attention : Cette propriété n’est pas disponible aux fins de la commutation de langue.

Plus de détails dans l’aide en ligne.

VT_BSTR

Recourceslabel

Description externe

Chaîne au choix.
N'est pas utilisé au niveau interne dans zenon, mais est disponible lors de l’exportation de valeurs pour autoriser l’attribution des valeurs exportées pour les systèmes de gestion tels qu’ERP.

Longueur maximale : 255 caractères

Plus de détails dans l’aide en ligne.

VT_UI4

NetAddr

Adresse réseau

Adresse de bus ou Adresse réseau de la variable.

  • Minimum : 0
  • Maximum : 4294967295

Par défaut : 0

Plus de détails dans l’aide en ligne.

VT_UI4

DataBlock

Bloc de données

Numéro de bloc de données.
Minimum : 0.
Maximum : 4294967295
Par défaut : 0.

Plus de détails dans l’aide en ligne.

VT_UI4

Offset

Offset

Décalage de la variable.
Pour les contrôleurs à adressage linéaire : plage de mémoire.
Pour les contrôleurs à résolution de nom : adresse d’attribution.
Minimum : 0.
Maximum : 4294967295
Par défaut : 0.

Plus de détails dans l’aide en ligne.

VT_UI2

BitAddr

Numéro de bit

Numéro du bit dans le décalage configuré.
Minimum : 0.
Maximum : 65535
Par défaut : 0.

Plus de détails dans l’aide en ligne.

VT_UI2

Alignment

Alignement

Ceci dépend de la granularité du type d’objet du driver et de la position de la variable conformément au décalage défini.

Pour les variables de type Octet :
Octet poids fort : octet de poids fort dans le décalage de mot.
Octet poids faible : Otet de poids faible dans le décalage de mot.
HiWord-HiByte octet de poids fort dans le mot fort dans le décalage de double mot.
HiWord-LoByte (Mot poids fort-Octet poids faible) octet de poids faible dans le mot fort dans le décalage de double mot.
Mot poids faible-Octet poids fort : octet de poids fort dans le mot faible dans le décalage de double mot.
Mot poids faible-Octet poids faible : octet de poids faible dans le mot faible dans le décalage de double mot.

Pour les variables de mot :
Mot poids fort : mot fort dans le décalage de double mot.
Mot poids faible : Mot poids faible dans le décalage de double mot.

Plus de détails dans l’aide en ligne.

VT_UI2

StringLength

Longueur de la chaîne

Disponible uniquement pour les variables de type chaîne.
Nombre maximum de caractères que peut accepter une variable.
Minimum : 1 caractère
Si la valeur non autorisée 0 est saisie, la dernière valeur configurée valide est automatiquement utilisée. Si aucune valeur valide n’a été configurée, l’entrée est remplacée par la valeur par défaut.
Maximum : 65535 caractères.
Par défaut : 5 caractères

Remarque : la valeur par défaut est 65 535 pour les variables système avec le type de données String.

Plus de détails dans l’aide en ligne.

VT_BSTR

SymbAddr

Adresse symbolique

Séquence de caractères pour l’adressage symbolique des variables.

Longueur maximale : 1024 caractères.

Remarque : L’adresse symbolique n’est pas prise en charge par tous les drivers.
Lors de l’importation des variables dans des drivers compatibles avec l’adressage symbolique, la propriété est saisie automatiquement.

Plus de détails dans l’aide en ligne.

VT_UI4

Driver

Drivers

VT_UI4

ID_DataTyp

Type de données

Type de donnée pour la variable. Sélectionné durant la création de la variable ; peut être modifié ici ultérieurement.
Remarque : Pour les variables de structure, le type de données ne peut plus être modifié après la création des variables.
Attention : Si vous modifiez le type de données ultérieurement, toutes les autres propriétés de la variable doivent être vérifiées et ajustées, si nécessaire.

Plus de détails dans l’aide en ligne.

VT_UI4

ID_DriverTyp

Type d'objet driver

Selon le driver utilisé, un type d’objet est sélectionné durant la création de la variable et peut être modifié ici ultérieurement.
Siemens : bloc de données, marqueur, entrée/sortie.
Modbus : Coil et Holding Register.

Plus de détails dans l’aide en ligne.

VT_UI1

UpdatePriority

Priorité

Si l’heure de mise à jour globale spécifiée dans la configuration du driver n’est pas utilisée, la fréquence des mises à jour correspondant aux différents niveaux de priorité peut être définie ici. Dans cette propriété, une priorité est attribuée à une variable.

Plus de détails dans l’aide en ligne.

VT_BOOL

Standby

Lire uniquement sur le serveur redondant

Active : La valeur de la variable provenant du serveur redondant est affichée.
Inactive : La valeur de la variable provenant du serveur est affichée.
(drivers matériels uniquement)

Plus de détails dans l’aide en ligne.

VT_UI2

Digits

Nombre de décimales

Nombre de décimales des valeurs de variables utilisées lors de l’affichage dans le système de contrôle.
Minimum : 0
Maximum : 10
Par défaut : 0

Plus de détails dans l’aide en ligne.

VT_R8

SignalMin

Signal min.

Valeur minimum de la variable dans l’automate.
À moins d’être définie différemment dans la propriété Ajustement non-linéaire, la valeur brute des variables (résolution du signal) sera toujours convertie au format de la plage de mesure sur une base linéaire (pour une utilisation dans le système de contrôle). Toutes les autres entrées de valeurs numériques spécifiques à la variable dans Editor et dans le Runtime seront liées à la plage de mesures (par ex. définition des valeurs limites, limites des valeurs prescrites, zone de représentation, entrées de valeurs prescrites, etc.).

Plus de détails dans l’aide en ligne.

VT_R8

SignalMax

Signal max.

Valeur maximum de la variable dans l’automate. À moins d’être définie différemment dans la propriété Ajustement non-linéaire, la valeur brute des variables (résolution du signal) sera toujours convertie au format de la plage de mesure sur une base linéaire (pour une utilisation dans le système de contrôle). Toutes les autres entrées de valeurs numériques spécifiques à la variable dans Editor et dans le Runtime seront liées à la plage de mesures (par ex. définition des valeurs limites, limites des valeurs prescrites, zone de représentation, entrées de valeurs prescrites, etc.).

Plus de détails dans l’aide en ligne.

VT_R8

RangeMin

Plage de mesure min.

Valeur minimum des variables dans zenon.
À moins d’être définie différemment dans la propriété Ajustement non-linéaire, la valeur brute des variables (résolution du signal) sera toujours convertie au format de la plage de mesure sur une base linéaire (pour une utilisation dans le système de contrôle). Toutes les autres entrées de valeurs numériques spécifiques à la variable dans Editor et dans le Runtime seront liées à la plage de mesures (par ex. définition des valeurs limites, limites des valeurs prescrites, zone de représentation, entrées de valeurs prescrites, etc.).

Plus de détails dans l’aide en ligne.

VT_R8

RangeMax

Plage de mesure max.

Valeur maximum des variables dans zenon.
À moins d’être définie différemment dans la propriété Ajustement non-linéaire, la valeur brute des variables (résolution du signal) sera toujours convertie au format de la plage de mesure sur une base linéaire (pour une utilisation dans le système de contrôle). Toutes les autres entrées de valeurs numériques spécifiques à la variable dans Editor et dans le Runtime seront liées à la plage de mesures (par ex. définition des valeurs limites, limites des valeurs prescrites, zone de représentation, entrées de valeurs prescrites, etc.).

Plus de détails dans l’aide en ligne.

VT_BOOL

UseMacro

Ajustement non-linéaire avec macros

L’ajustement de valeurs non linéaires est utilisé pour les variables dont la valeur originale (automate) ne peut pas être ajustée de manière linéaire en fonction de la valeur mesurée (système de contrôle).

  • Active : Les valeurs brutes sont ajustées en fonction de zenon, sur une base non linéaire, avec des macros VBA.
  • Inactive : Les valeurs brutes sont ajustées en fonction de zenon.

Remarque : Lors de l’activation de la propriété, les propriétés AdjustHardwareValue et AdjustScadaValue doivent également être configurées. La propriété AdjustHardwareValue doit alors être configurée à l’inverse de la propriété AdjustScadaValue, sous forme de fonction inverse.

Par défaut : Inactive

Plus de détails dans l’aide en ligne.

ZT_VBAMAKRO

AdjustHardware

AdjustHardwareValue

Disponible uniquement si la propriété Ajustement non-linéaire avec macros est active.

Macro appelée à chaque modification de la valeur brute dans l’automate, et qui modifie la valeur dans zenon. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de macros.
Plus de détails dans l’aide en ligne.

ZT_VBAMAKRO

AdjustZenon

AdjustScadaValue

Disponible uniquement si la propriété Ajustement non-linéaire avec macros est active.

La macro est appelée lors de l’écriture d’une valeur depuis zenon et modifie la valeur brute sur l’automate. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de macros.
Plus de détails dans l’aide en ligne.

VT_R8

HystNeg

Négatif pour le signal

Hystérésis des valeurs limites définies en fonction de la plage du signal.

Plage d’hystérésis pour l’entrée en cas de changement de valeur avec diminution. Les valeurs sont uniquement interprétées comme des dépassements de valeur limite si la valeur changeante est inférieure à la plage d’hystérésis définie ici.
Par défaut : 0 (pas d’hystérésis)

Plus de détails dans l’aide en ligne.

VT_R8

HystPos

Positif pour le signal

Hystérésis des valeurs limites définies en fonction de la plage du signal.

Plage d’hystérésis pour l’entrée en cas de changement de valeur avec augmentation. Les valeurs sont uniquement interprétées comme des dépassements de valeur limite si la valeur changeante est supérieure à la plage d’hystérésis définie ici.
Par défaut : 0 (pas d’hystérésis)

Plus de détails dans l’aide en ligne.

VT_R8

ArchHystNeg

Négatif pour l'archive

Hystérésis d’archivage en cas de changement appliquée à la plage de mesure.

Plage d’hystérésis pour l’entrée en cas de changement de valeur avec diminution. Les valeurs sont uniquement saisies dans l’archive si la valeur changeante est inférieure à la plage d’hystérésis définie ici.
Par défaut : 0 (pas d’hystérésis)

Plus de détails dans l’aide en ligne.

VT_R8

ArchHystPos

Positif pour l'archive

Hystérésis d’archivage en cas de changement appliquée à la plage de mesure.

Plage d’hystérésis pour l’entrée en cas de changement de valeur avec augmentation. Les valeurs sont uniquement saisies dans l’archive si la valeur changeante est supérieure à la plage d’hystérésis définie ici.
Par défaut : 0 (pas d’hystérésis)

Plus de détails dans l’aide en ligne.

VT_BOOL

DDEActive

Variable lue en permanence

Paramètre de lecture de la variable et de sa disponibilité via DDE dans le Runtime :

  • Active : La variable est toujours connectée au driver. Cela signifie qu’elle est continuellement lue par le driver, même si elle n’est pas nécessaire dans le projet à cet instant précis. Le driver connaît ainsi toujours les valeurs actuelles et l’état actuel des variables et peut les fournir immédiatement, si nécessaire. La variable est également disponible pour les autres applications Windows (par exemple, Excel, Visual Basic, etc.). Les applications Windows possédant une fonctionnalité de client DDE peuvent ainsi utiliser les valeurs de la variable.
    Temps d’actualisation : 0,5 s
    L'activation de cette option offre par exemple l’avantage de basculer plus rapidement les valeurs de variables dans la fonction Ecriture valeur prescrite ou dans l’élément Appel de synoptique, car il n’est pas nécessaire d’interroger spécialement la variable avant la commutation. L’inconvénient est une augmentation de la charge des communications au niveau du contrôleur.
  • Inactive : La variable n’est pas interrogée en permanence par le driver, mais uniquement en cas de demande de valeurs ou d’états dans le Runtime. Elle n’est donc pas disponible dans les autres applications Windows via DDE.

Par défaut : Inactive

Plus de détails dans l’aide en ligne.

VT_UI4

ArraySizeOld

Dimension tableau

Définition de la taille de l’ensemble de blocs. La taille définie est lue ou écrite par le driver durant une demande de lecture/d’écriture. Ceci permet de garantir la cohérence des données dans le texte. Les données peuvent uniquement être modifiées dans le module Recipegroup Manager ou via l’interface de programmation.
Attention : peut être défini au niveau du driver interne, toutefois sans fonction dans le Runtime (valeur toujours égale à 0).

Plus de détails dans l’aide en ligne.

VT_UI4

CounterGroup

Groupe de compteur

Disponible uniquement dans SICAM 230.

VT_UI4

MaxGradient

Gradient maximum

Disponible uniquement dans SICAM 230.

VT_BOOL

NormalStateActive

Actif

Permet de définir un état normal pour les variables et les types de données du type BOOL, UINT et WORD pour tous les drivers.

Active : Un état normal peut être défini.

Par défaut : Inactive

Plus de détails dans l’aide en ligne.

VT_BOOL

NormalState

Valeur normale

Dans la liste déroulante, choisissez si la valeur normale de cette variable ou ce type de données doit être On (Active) ou Off (Inactive). Disponible pour les variables et les types de données du type BOOL, UINT et WORD pour tous les drivers.

Par défaut : Off

Plus de détails dans l’aide en ligne.

ZT_VARIABLE

AlarmPV0

Variable d'alarme 1

Disponible uniquement dans SICAM 230.
Première variable pour la gestion d’alarmes de synoptiques.

Plus de détails dans l’aide en ligne.

ZT_VARIABLE

AlarmPV1

Variable d'alarme 2

Disponible uniquement dans SICAM 230.
Deuxième variable pour la gestion d’alarmes de synoptiques.

Plus de détails dans l’aide en ligne.

ZT_VARIABLE

AlarmPV2

Variable d'alarme 3

Disponible uniquement dans SICAM 230.
Troisième variable pour la gestion d’alarmes de synoptiques.

Plus de détails dans l’aide en ligne.

VT_BOOL

HDActive

Stockage de données sur disque dur actif

Active : les valeurs de variables sont enregistrées sur le disque dur (enregistrement circulaire) pour être évaluées dans l’élément dynamique "Élément de tendance" ou pour l’exportation/l’importation des valeurs.

Inactive : aucune valeur de variable n’est enregistrée.

Par défaut : inactive

Les données de disque dur nécessitent 24 octets d’espace de stockage par valeur, indépendamment du type de variable. Outre la valeur, les informations suivantes sont enregistrées :
- Heure d’exécution de la mesure.
- Millisecondes lors de la lecture de la valeur.
- Modification de l’état de la valeur en fonction des éléments.
- Compteur pour l’identification unique de la valeur (driver événementiel).

Remarque : Le stockage de données est également activé lors d’un appel de synoptique de type Extended Trend si des données en ligne sont analysées.
Les variables de type chaîne ne sont pas prises en charge par la fonction de stockage de données sur le disque dur.

Attention : si l’option d’enregistrement sur disque dur est activée pour un trop grand nombre de variables, en présence d’un trop grand nombre de valeurs, les performances du Runtime peuvent être altérées.

Plus de détails dans l’aide en ligne.

VT_R4

HDUpdate

Temps de cycle [s]

Disponible uniquement si la propriété Stockage de données sur disque dur actif est active :
Durée de l’intervalle [en secondes] de conservation des valeurs en ligne sur le disque dur (mémoire circulaire) pour l’analyse dans l’élément dynamique Tendance, pour les données en ligne dans le module Extended Trend ou pour l’exportation/l’importation de valeurs.

Plus de détails dans l’aide en ligne.

VT_UI4

HDSize

Nombre de valeurs

Valeur correspondant à l’intervalle de conservation des valeurs en ligne sur le disque dur (mémoire circulaire) pour l’analyse dans l’élément dynamique Tendance, pour les données en ligne dans le module Extended Trend ou pour l’exportation/l’importation de valeurs.

Attention : si l’option d’enregistrement sur disque dur est activée pour un trop grand nombre de variables, en présence d’un trop grand nombre de valeurs, les performances du Runtime peuvent être altérées.

Plus de détails dans l’aide en ligne.

VT_BOOL

IsKDAActiv

Type d'enregistrement

Disponible uniquement si la propriété Stockage de données sur disque dur actif est active :
Données de disque dur (cyclique) : Écriture cyclique des valeurs sur le disque dur.
Valeurs retriées (RDA) : Les valeurs sont écrites bloc par bloc sur le disque dur par le driver. (Fonction adaptée à l’analyse rétrospective des erreurs au niveau du système de contrôle.)

Plus de détails dans l’aide en ligne.

VT_BOOL

ExternVisible

Visible extérieurement pour

Disponible uniquement si la propriété Visible par d'autres programmes est active.

Spécifiez expressément les projets de zenon Logic pour lesquels la variable doit être visible. Si vous laissez le champ de saisie vide, la variable est visible pour tous les projets zenon Logic. Vous pouvez également saisir des projets zenon Logic de manière expresse. Séparez les noms des projets individuels par un point-virgule (";"). Vous pouvez utiliser les opérateurs. Par exemple, P1* signifie tous les projets zenon Logic commençant par P1. (Remarque : les opérateurs sont uniquement autorisés sous forme de préfixe ou de suffixe, par exemple, *xxx ou xxx*.

Le nombre de caractères est limité à 64.

Par défaut : -

Plus de détails dans l’aide en ligne.

VT_BSTR

ExternVisibleFor

Visible extérieurement pour

Disponible uniquement si la propriété Visible par d'autres programmes est active.

Spécifiez expressément les projets de zenon Logic pour lesquels la variable doit être visible. Si vous laissez le champ de saisie vide, la variable est visible pour tous les projets zenon Logic. Vous pouvez également saisir des projets zenon Logic de manière expresse. Séparez les noms des projets individuels par un point-virgule (";"). Vous pouvez utiliser les opérateurs. Par exemple, P1* signifie tous les projets zenon Logic commençant par P1. (Remarque : les opérateurs sont uniquement autorisés sous forme de préfixe ou de suffixe, par exemple, *xxx ou xxx*.

Le nombre de caractères est limité à 64.

Par défaut : -

Plus de détails dans l’aide en ligne.

VT_BOOL

ReadWrite

Ecriture/lecture externe

Propriété externe pour zenon Logic. Affecte uniquement les variables qui ne forment pas partie du driver straton.
Active : la valeur de la variable ne peut pas être modifiée dans zenon Logic. La définition de la variable ne peut pas être modifiée dans zenon Logic.
Inactive : la variable ne peut pas être modifiée dans zenon Logic.
Par défaut : active.

Plus de détails dans l’aide en ligne.

VT_BSTR

InitialValue

Valeur initiale externe

Propriété externe pour zenon Logic. Affecte uniquement les variables qui ne forment pas partie du driver straton.
Valeur initiale de la variable dans zenon Logic durant une reprise graduelle ou une reprise intermédiaire.
La saisie autorisée ici dépend du type de données de la variable. Par exemple, vous pouvez uniquement utiliser des valeurs sans décimales pour les variables entières. Pour les variables à virgule flottante, un point doit être utilisé en tant que séparateur décimal ; les virgules ne peuvent pas être utilisées.
Le système de contrôle ne vérifie pas la validité de cette saisie. Ceci peut générer un message d’erreur dans zenon Logic.

Attention : lors de l’utilisation de variables du driver interne, cette propriété doit posséder la même valeur que la valeur initiale dans les paramètres des variables internes.

Plus de détails dans l’aide en ligne.

VT_BSTR

Profilename

Nom profil externe

Propriété externe pour zenon Logic. Affecte uniquement les variables qui ne forment pas partie du driver straton.
Nom du profil défini dans zenon Logic (par ex. STRATON, ProfDP).

Cette propriété est uniquement affichée pour information. Édition dans zenon Logic uniquement.

Plus de détails dans l’aide en ligne.

VT_BSTR

Adressparam

Paramètre externe d'adresse

Propriété externe pour zenon Logic. Affecte uniquement les variables qui ne sont pas des variables du driver straton.
Propriétés de profil dans zenon Logic (par ex. "intégré" ou paramètres d’adressage de Profibus).

Cette propriété est uniquement affichée pour information. Édition dans zenon Logic uniquement.

Plus de détails dans l’aide en ligne.

VT_BSTR

Vargroup

Groupe de variables externe

Propriété externe pour zenon Logic. Affecte uniquement les variables qui ne sont pas des variables du driver straton32.
Groupes de variables dans zenon Logic ("Global" ou "Retain" ou vides).

Cette propriété est uniquement affichée pour information. Édition dans zenon Logic uniquement.

Plus de détails dans l’aide en ligne.

VT_BOOL

IsRemaActiv

Matrice de réaction active

Active : Une matrice de réaction est utilisée à la place des valeurs de limite.
Inactive : Les valeurs peuvent être définies pour la variable.
Par défaut : inactive.

Plus de détails dans l’aide en ligne.

ZT_REMA

Rema

Matrice de réaction

Propriétés d’utilisation d’une matrice de réaction pour la variable.

Plus de détails dans l’aide en ligne.

ZT_VARIABLE

AlarmQuitPV

Valeur d'acquittement

Si une alarme de cette variable est acquittée visuellement, la variable sélectionnée sous Variable d'acquittement visuel ou Variable d'acquittement est définie sur cette valeur.

Sélection de 0 ou 1.

Plus de détails dans l’aide en ligne.

ZT_VARIABLE

AlarmViewQuitPV

Variable d'acquittement visuel

Si une alarme de la variable de contrôle est acquittée visuellement, la valeur de la variable d’acquittement visuel est définie sur la valeur définie par Valeur d'acquittement.

Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de variables binaires.

Plus de détails dans l’aide en ligne.

VT_UI4

AlarmQuitPVValue

Valeur d'acquittement

Si une alarme de cette variable est acquittée visuellement, la variable sélectionnée sous Variable d'acquittement visuel ou Variable d'acquittement est définie sur cette valeur.

Sélection de 0 ou 1.

Plus de détails dans l’aide en ligne.

VT_BOOL

VarInASM

Enregistrer dans la base IPA

Active : les alarmes de cette variable sont disponibles pour analyse dans le module Industrial Performance Analyzer (IPA).
Inactive : les alarmes de cette variable ne sont prises en compte lors de l’analyse dans le module Industrial Performance Analyzer (IPA).
Par défaut : Inactive

Attention : le module Industrial Performance Analyzer est un module optionnel, qui doit comporter une licence valide pour pouvoir être utilisé ici.

Plus de détails dans l’aide en ligne.

VT_BOOL

AlarmViaEquipmentModel

Utiliser la gestion d'alarmes hiérarchiques du modèle d'équipement

Type d’attribution de la variable à un domaine d’alarmes.

  • Active :
    Le domaine d’alarmes de la variable est transféré par le modèle d’équipement. L’alarme de la variable est applicable aux domaines d’alarmes définis dans le modèle d’équipement. Dans ce cas, le groupe d’équipements de la variable et le groupe d’équipements de niveau supérieur du modèle d’équipement sont pris en compte.
  • Inactive :
    L'alarme sur la variable est applicable aux domaines d’alarmes 1 à 4 de la gestion d’alarmes.

Remarque : Si cette propriété est activée pour un type de données, les paramètres de toutes les variables issues de celle-ci sont transférés.

Plus de détails dans l’aide en ligne.

ZT_BSTR_REF

AreaName

AreaName

Description as text.

ZT_BSTR_REF

AreaName2

AreaName2

Description as text.

ZT_BSTR_REF

AreaName3

AreaName3

Description as text.

ZT_BSTR_REF

AreaName4

AreaName4

Description as text.

VT_BOOL

InOut

Ecrire valeur prescrite

Active : cette variable est libérée pour l’action Spécifier valeur prescrite.
Inactive : cette variable est protégée en écriture.
Par défaut : Active

Plus de détails dans l’aide en ligne.

VT_BOOL

SBO

Select Before Operate

Attention : Cette fonctionnalité est uniquement compatible avec les drivers IEC870 et IEC850, et uniquement disponible si vous avez sélectionné l’option Commande commutation pour la propriété de type d’action dans Gestion des commandes, et l’action est mise en œuvre sous forme d’action à deux étapes. N’utilisez pas cette fonction pour le driver DNP3_NG ; Auto-SBO peut être configuré directement pour la variable, dans ce cas.

Active : Avant que la valeur de la variable ne soit écrite dans le matériel, zenon vérifie, pendant la première phase de la commande de commutation, si la variable dans l’équipement est prête pour cette action (Select before Operate (SBO)).
Attention : Pour les commandes impulsion, la réinitialisation automatique des valeurs des variables n’est pas effectuée dans l’intervalle de temps défini dans la propriété de délai de front.

Si la propriété SBO a été activée pour la variable d’action, une commande d’impulsion se comporte de la même manière qu’une commande de commutation.

Inactive : La valeur de la variable est transférée vers le driver sans vérification préalable.

Remarque : dans un driver IEC870, cela signifie une instruction Direct execute. Le driver IEC850 peut toutefois déclencher automatiquement une instruction Select before Operate , en raison du Control Model.
Par défaut : Inactive :
Plus de détails dans l’aide en ligne.

VT_BOOL

CancelOperate

Annuler 'Operate'

Si cette propriété est activée, il est possible d’envoyer une commande Cancel après une commande Operate lors de la gestion des commandes.

Remarque : Cette propriété est uniquement dans la version Energy Edition.

Par défaut : Inactive

Plus de détails dans l’aide en ligne.

VT_R8

ValueMin

Valeur prescrite min.

La valeur minimum définie ici pour le paramètre Écrire valeur prescrite peut être acceptée par le biais d’éléments dynamiques, plutôt que par la configuration séparée de ces derniers.
Ceci est surtout recommandé si la plage de la mesure est susceptible de varier ultérieurement, car ces modifications peuvent être effectuées une fois ici, au lieu d’être modifiées séparément dans chaque élément.

Plus de détails dans l’aide en ligne.

VT_R8

ValueMax

Valeur prescrite max.

La valeur maximum définie ici pour le paramètre Écrire valeur prescrite peut être acceptée par le biais d’éléments dynamiques, plutôt que par la configuration séparée de ces derniers.
Ceci est surtout recommandé si la plage de la mesure est susceptible de varier ultérieurement, car ces modifications peuvent être effectuées une fois ici, au lieu d’être modifiées séparément dans chaque élément.

Plus de détails dans l’aide en ligne.

VT_BSTR

LockingName

LockingName

"With this property you have the opportunity to assign an interlocking via its name.
zElement.DynProperties(""LockingName"") = ""Interlocking 1"""

VT_UI1

SetValueProtocol

Enregistrement (fichier journal)

Définit la manière dont l’écriture de la valeur prescrite sera consignée dans la liste CEL.

  • Tout : Toutes les actions Écrire valeur prescrite de cette variable exécutées via des éléments dynamiques et les fonctions Écrire valeur prescrite sont consignées dans la liste d’événements. (CEL)
  • Rien : aucune action Spécifier valeur prescrite n’est consignée dans la liste CEL.
  • Seulement sur élément dynamique : Seules les actions Écrire valeur prescrite exécutées via les éléments dynamiques sont consignées dans la liste CEL.

Par défaut : Uniquement les éléments dynamiques :

Plus de détails dans l’aide en ligne.

VT_BOOL

SV_Act

Ancienne et nouvelle valeur
  • Active : en cas de modification de la valeur prescrite de cette variable, les valeurs ancienne et nouvelle sont consignées dans la liste d’événements (CEL).
  • Inactive : Seule la nouvelle valeur est consignée.

Par défaut : Inactive

Recommandation : Activez la propriété Variable lue en permanence. Ceci permet de garantir que la valeur est toujours disponible, et qu’il n’est pas nécessaire de l’interroger spécialement.

Plus de détails dans l’aide en ligne.

VT_BOOL

SV_VBA

Valeurs modifiées par VBA

Active : L’écriture de la valeur prescrite de cette variable via une macro VBA est consignée dans la liste d’événements.
inactive : l’écriture de la valeur prescrite de cette variable via une macro VBA n’est pas consignée.
Par défaut : Active

Remarque : pour les variables configurées sous forme de variables de commande dans la passerelle de procédé IEC870, chaque commande est consignée sous la forme Spécifier valeur prescrite via l’interface COM dans la liste CEL, si la propriété est activée.

Plus de détails dans l’aide en ligne.

VT_BSTR

VisualName

Nom visuel

Saisie d’un nom d’affichage de la variable dans zenon Analyzer. Celui-ci doit être unique dans le projet, mais ceci n’est pas vérifié dans zenon. Cette vérification est effectuée lors de l’importation dans zenon Analyzer.

Cette propriété fournit des informations qui sont utilisées pour la configuration de rapports dans zenon Analyzer. L’exportation des données de zenon vers zenon Analyzer est effectuée à l’aide de l’assistant Analyzer Export Wizard.

Attention : Si cette propriété est modifiée après la première exportation vers zenon Analyzer, ces modifications ne sont appliquées dans zenon Analyzer.

Plus de détails dans l’aide en ligne.

VT_BSTR

Meaning

Signification

Cette propriété fournit des informations qui sont utilisées par la fonction de configuration de rapports dans zenon Analyzer.
Les données peuvent être définies manuellement ou à l’aide de l’assistant Meaning and Waterfall Chart Wizard. L’exportation des données de zenon vers zenon Analyzer est effectuée à l’aide de l’assistant Analyzer Export Wizard.

Saisie de la signification (meaning) d’une variable dans zenon Analyzer. Plusieurs significations doivent être séparées par une virgule.
Syntaxe : [signification1],[signification2],…,[significationN]

Plus de détails dans l’aide en ligne.

VT_BSTR

WaterfallParam

Paramètre pour le waterfall diagram

Cette propriété fournit des informations qui sont utilisées par la fonction de configuration de rapports dans zenon Analyzer.
Les données peuvent être définies manuellement ou à l’aide de l’assistant Meaning and Waterfall Chart Wizard. L’exportation des données de zenon vers zenon Analyzer est effectuée à l’aide de l’assistant Analyzer Export Wizard.

Paramètres d’une variable pour un diagramme en cascade dans zenon Analyzer. Les entrées peuvent être créées pour les rapports par ligne ou les rapports par machine. Lors de l’exportation, en fonction de la structure des entrées, une décision est prise pour déterminer s’il s’agit d’entrées correspondant à des diagrammes par machine ou par ligne.

Les paramètres individuels doivent être séparés par une virgule. Plusieurs cascades doivent être séparées par un poing-virgule.
Syntaxe, par machine : [nom modèle],[indice de ligne],[indice de colonne],[code de couleur];
Syntaxe, par ligne : [nom du modèle],[indice de ligne],[indice de colonne],[code de couleur],[perte de machine auxiliaire],[ajout de perte de machine auxiliaire],[soustraction de perte de machine auxiliaire];

Plus de détails dans l’aide en ligne.

VT_BOOL

Use_in_ProcRec

Activer l'enregistrement

Active/désactive la variable ou le type de données enregistré dans le module Process Recorder.
La sélection multiple de variables est possible.

  • Active :
    Les changements de valeur de la variable sont enregistrés dans le module Process Recorder.
    Attention : Assurez-vous que l’activation générale de l’enregistrement a été configurée dans la propriété Activer Process Recorder.
  • Inactive :
    Les changements de valeur de la variable ne sont pas enregistrés dans le module Process Recorder.

Par défaut : les paramètres configurés sont appliqués pour le type de données utilisé.

Plus de détails dans l’aide en ligne.


Biffi variable ED

Manuel -> Interfaces de programmation -> Modèles d'objet -> Variable -> Variable-Dynamic properties -> Biffi variable ED

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Type

VBA/VSTA Name

Display Name

Description

VT_I2

NV-Index

NV-Index

L’indice NV concerne uniquement les données de nœud.

Saisissez ici l’indice de variable de réseau (NVI/NVO) de la variable.

Plus de détails dans l’aide en ligne.

VT_BOOL

Transient

Transient command

Ce paramètre concerne uniquement les données de nœud.

Ici, vous pouvez spécifier si une valeur actuelle reçue par le biais d’un événement de commande sera automatiquement réinitialisée à 0 par le driver (informations transitoires, par ex. ICON2K Ouvrir, Fermer, Arrêter)

Plus de détails dans l’aide en ligne.

VT_BOOL

Send_direct

Send directly

Ce paramètre concerne uniquement les données de nœud.

Ici, vous pouvez spécifier si une valeur définie sera transférée au DCM directement, ou via un buffer.

Plus de détails dans l’aide en ligne.

VT_BOOL

IsLocalDigits

IsLocalDigits

"With this property you have the opportunity to decide whether the ""Decimals"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalSignalMin

IsLocalSignalMin

"With this property you have the opportunity to decide whether the ""Minimum signal resolution"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalSignalMax

IsLocalSignalMax

"With this property you have the opportunity to decide whether the ""Maximum signal resolution"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalRangeMin

IsLocalRangeMin

"With this property you have the opportunity to decide whether the ""Minimum measuring range"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalRangeMax

IsLocalRangeMax

"With this property you have the opportunity to decide whether the ""Maximum measuring range"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalAlternateValue

IsLocalAlternateValue

"With this property you have the opportunity to decide whether the ""Alternate value"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalValueMin

IsLocalValueMin

"With this property you have the opportunity to decide whether the ""Minimum set value"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalValueMax

IsLocalValueMax

"With this property you have the opportunity to decide whether the ""Maximum set value"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalUseMacro

IsLocalUseMacro

"With this property you have the opportunity to decide whether the ""Non linear value adjustment with macros"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalInOut

IsLocalInOut

"With this property you have the opportunity to decide whether the ""Setting values active"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalHystNeg

IsLocalHystNeg

"With this property you have the opportunity to decide whether the ""negative hysteresis"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalHystPos

IsLocalHystPos

"With this property you have the opportunity to decide whether the ""negative hysteresis"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalArchHystNeg

IsLocalArchHystNeg

VT_BOOL

IsLocalArchHystPos

IsLocalArchHystPos

VT_BOOL

IsLocalUpdatePriority

IsLocalUpdatePriority

"With this property you have the opportunity to decide whether the ""Priority of the driver connection"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalDDEaktiv

IsLocalDDEaktiv

"With this property you have the opportunity to decide whether the ""DDE active"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalStandby

IsLocalStandby

"With this property you have the opportunity to decide whether the ""Only read from standby"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalRemaActiv

IsLocalRemaActiv

"With this property you have the opportunity to decide whether the ""Reaction matrix active"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalRema

IsLocalRema

"With this property you have the opportunity to decide whether the ""Reaction matrix"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalHDActive

IsLocalHDActive

"With this property you have the opportunity to decide whether the ""HD active"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalHDUpdate

IsLocalHDUpdate

"With this property you have the opportunity to decide whether the ""HD scan rate"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalHDSize

IsLocalHDSize

"With this property you have the opportunity to decide whether the ""Number of HD values"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalKDAActiv

IsLocalKDAActiv

"With this property you have the opportunity to decide whether the ""Recording type"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalStingLength

IsLocalStingLength

"With this property you have the opportunity to decide whether the ""String length"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalQuitPV

IsLocalQuitPV

"With this property you have the opportunity to decide whether the ""Acknowledgement variable"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalViewQuitPV

IsLocalViewQuitPV

Description as text.

VT_BOOL

IsLocalQuitValue

IsLocalQuitValue

"With this property you have the opportunity to decide whether the ""Acknowledgement value"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalTagname

IsLocalTagname

"With this property you have the opportunity to decide whether the ""Identification"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalUnit

IsLocalUnit

"With this property you have the opportunity to decide whether the ""Unit"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalAltValString

IsLocalAltValString

"With this property you have the opportunity to decide whether the ""String alternative value"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalRecLabel

IsLocalRecLabel

"With this property you have the opportunity to decide whether the ""Ressources label"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalAdjustHW

IsLocalAdjustHW

"With this property you have the opportunity to decide whether the ""AdjustHardwareValue"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalAdjustZenon

IsLocalAdjustZenon

"With this property you have the opportunity to decide whether the ""AdjustZenOnValue"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalArraySize

IsLocalArraySize

"With this property you have the opportunity to decide whether the ""Array size"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalCounterGroup

IsLocalCounterGroup

VT_BOOL

IsLocalMaxGradient

IsLocalMaxGradient

VT_BOOL

IsLocalNormalStateActive

IsLocalNormalStateActive

VT_BOOL

IsLocalNormalState

IsLocalNormalState

VT_BOOL

IsLocalAlarmPV0

IsLocalAlarmPV0

"With this property you have the opportunity to decide whether the ""Alarm Variable 1"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalAlarmPV1

IsLocalAlarmPV1

"With this property you have the opportunity to decide whether the ""Alarm Variable 2"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalAlarmPV2

IsLocalAlarmPV2

"With this property you have the opportunity to decide whether the ""Alarm Variable 3"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalVarInASM

IsLocalVarInASM

"With this property you have the opportunity to decide whether the ""Save in IPA database"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalAlarmDomain

IsLocalAlarmDomain

"With this property you have the opportunity to decide whether the ""Alarm area"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalAlarmDomain2

IsLocalAlarmDomain2

Description as text.

VT_BOOL

IsLocalAlarmDomain3

IsLocalAlarmDomain3

Description as text.

VT_BOOL

IsLocalAlarmDomain4

IsLocalAlarmDomain4

Description as text.

VT_BOOL

IsLocalLocking

IsLocalLocking

"With this property you have the opportunity to decide whether the ""Interlocking"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalSBO

IsLocalSBO

"With this property you have the opportunity to decide whether the ""Select before operate"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalCancelOperate

IsLocalCancelOperate

Description

VT_BOOL

IsLocalAlarmViaEquipmentModel

IsLocalAlarmViaEquipmentModel

Description

VT_BOOL

IsLocalUsedInProcRec

IsLocalUsedInProcRec

Description

VT_UI1

IsSWProtokol

IsSWProtokol

VT_BOOL

IsSW_Akt

IsSW_Akt

VT_BOOL

IsSW_VBA

IsSW_VBA

More...

Limits

Valeurs limite

Propriétés définissant le traitement des valeurs limites ou le traitement des alarmes pour la variable.

Les propriétés de ce groupe sont uniquement disponibles si vous avez activé la propriété Matrice de réaction active.

Plus de détails dans l’aide en ligne.

VT_UI4

ID_ComplexVariable

ID_ComplexVariable

With this property you have the opportunity to get/set the ID of a variable from a structure element. This ID is 0 when the variable has no structure datatype.

VT_BSTR

Name

Nom

Nom unique de la variable. Les considérations suivantes s’appliquent lors de la définition du nom :

  • Longueur maximale : 128 caractères
  • Caractères non autorisés : # et @

Remarque : pour les drivers utilisant la connexion à zenon Logic, vous devez définir un préfixe. Pour plus de détails, reportez-vous au chapitre Création de variables O et M dans zenon Logic dans le manuel.
Toute modification du nom de la variable doit également être effectuée dans l’environnement de programmation (VBA, VSTA).

Attention : Cette propriété n’est pas disponible aux fins de la commutation de langue.

Plus de détails dans l’aide en ligne.

VT_BSTR

Tagname

Identification

Chaîne libre utilisée pour l’identification de la variable ou du type de données.
Remarque : Puisque la langue du nom de la variable (propriété Nom) ne peut pas être modifiée, cette propriété peut être utilisée pour le changement de langue en ligne.

Longueur maximale : 128 caractères

Plus de détails dans l’aide en ligne.

VT_BSTR

Unit

Unité de mesure

Unité technique de la variable devant être affichée dans le Runtime. Si vous avez déjà créé des unités de mesure dans le module d’unités de base, celles-ci sont disponibles dans une liste déroulante.
Maximum : 50 caractères.
Par défaut : vide

Plus de détails dans l’aide en ligne.

VT_R8

AlternateValue

Archivfüllwert

Cette valeur est utilisée pour renseigner les archives cycliques. En présence d’intervalles durant lesquels aucune connexion au matériel n’a été établie, cette valeur est utilisée tant qu’aucune valeur n’est transférée depuis l’équipement. Dans le cas contraire, la dernière valeur valide utilisée est utilisée aux fins du renseignement.

Plus de détails dans l’aide en ligne.

VT_BSTR

AlternateValueString

Valeur chaîne pour le remplissage des archives

Cette valeur est utilisée pour les variables de chaîne, afin de renseigner les archives cycliques.
En présence d’intervalles, dans les archives cycliques, durant lesquels aucune connexion au matériel n’a été établie, cette Valeur chaîne pour le remplissage des archives est utilisée tant qu’aucune valeur n’est transférée depuis l’équipement. Dans le cas contraire, la dernière valeur valide est utilisée pour le renseignement.

Longueur maximale : 128 caractères

Attention : Cette propriété n’est pas disponible aux fins de la commutation de langue.

Plus de détails dans l’aide en ligne.

VT_BSTR

Recourceslabel

Description externe

Chaîne au choix.
N'est pas utilisé au niveau interne dans zenon, mais est disponible lors de l’exportation de valeurs pour autoriser l’attribution des valeurs exportées pour les systèmes de gestion tels qu’ERP.

Longueur maximale : 255 caractères

Plus de détails dans l’aide en ligne.

VT_UI4

NetAddr

Adresse réseau

Adresse de bus ou Adresse réseau de la variable.

  • Minimum : 0
  • Maximum : 4294967295

Par défaut : 0

Plus de détails dans l’aide en ligne.

VT_UI4

DataBlock

Bloc de données

Numéro de bloc de données.
Minimum : 0.
Maximum : 4294967295
Par défaut : 0.

Plus de détails dans l’aide en ligne.

VT_UI4

Offset

Offset

Décalage de la variable.
Pour les contrôleurs à adressage linéaire : plage de mémoire.
Pour les contrôleurs à résolution de nom : adresse d’attribution.
Minimum : 0.
Maximum : 4294967295
Par défaut : 0.

Plus de détails dans l’aide en ligne.

VT_UI2

BitAddr

Numéro de bit

Numéro du bit dans le décalage configuré.
Minimum : 0.
Maximum : 65535
Par défaut : 0.

Plus de détails dans l’aide en ligne.

VT_UI2

Alignment

Alignement

Ceci dépend de la granularité du type d’objet du driver et de la position de la variable conformément au décalage défini.

Pour les variables de type Octet :
Octet poids fort : octet de poids fort dans le décalage de mot.
Octet poids faible : Otet de poids faible dans le décalage de mot.
HiWord-HiByte octet de poids fort dans le mot fort dans le décalage de double mot.
HiWord-LoByte (Mot poids fort-Octet poids faible) octet de poids faible dans le mot fort dans le décalage de double mot.
Mot poids faible-Octet poids fort : octet de poids fort dans le mot faible dans le décalage de double mot.
Mot poids faible-Octet poids faible : octet de poids faible dans le mot faible dans le décalage de double mot.

Pour les variables de mot :
Mot poids fort : mot fort dans le décalage de double mot.
Mot poids faible : Mot poids faible dans le décalage de double mot.

Plus de détails dans l’aide en ligne.

VT_UI2

StringLength

Longueur de la chaîne

Disponible uniquement pour les variables de type chaîne.
Nombre maximum de caractères que peut accepter une variable.
Minimum : 1 caractère
Si la valeur non autorisée 0 est saisie, la dernière valeur configurée valide est automatiquement utilisée. Si aucune valeur valide n’a été configurée, l’entrée est remplacée par la valeur par défaut.
Maximum : 65535 caractères.
Par défaut : 5 caractères

Remarque : la valeur par défaut est 65 535 pour les variables système avec le type de données String.

Plus de détails dans l’aide en ligne.

VT_BSTR

SymbAddr

Adresse symbolique

Séquence de caractères pour l’adressage symbolique des variables.

Longueur maximale : 1024 caractères.

Remarque : L’adresse symbolique n’est pas prise en charge par tous les drivers.
Lors de l’importation des variables dans des drivers compatibles avec l’adressage symbolique, la propriété est saisie automatiquement.

Plus de détails dans l’aide en ligne.

VT_UI4

Driver

Drivers

VT_UI4

ID_DataTyp

Type de données

Type de donnée pour la variable. Sélectionné durant la création de la variable ; peut être modifié ici ultérieurement.
Remarque : Pour les variables de structure, le type de données ne peut plus être modifié après la création des variables.
Attention : Si vous modifiez le type de données ultérieurement, toutes les autres propriétés de la variable doivent être vérifiées et ajustées, si nécessaire.

Plus de détails dans l’aide en ligne.

VT_UI4

ID_DriverTyp

Type d'objet driver

Selon le driver utilisé, un type d’objet est sélectionné durant la création de la variable et peut être modifié ici ultérieurement.
Siemens : bloc de données, marqueur, entrée/sortie.
Modbus : Coil et Holding Register.

Plus de détails dans l’aide en ligne.

VT_UI1

UpdatePriority

Priorité

Si l’heure de mise à jour globale spécifiée dans la configuration du driver n’est pas utilisée, la fréquence des mises à jour correspondant aux différents niveaux de priorité peut être définie ici. Dans cette propriété, une priorité est attribuée à une variable.

Plus de détails dans l’aide en ligne.

VT_BOOL

Standby

Lire uniquement sur le serveur redondant

Active : La valeur de la variable provenant du serveur redondant est affichée.
Inactive : La valeur de la variable provenant du serveur est affichée.
(drivers matériels uniquement)

Plus de détails dans l’aide en ligne.

VT_UI2

Digits

Nombre de décimales

Nombre de décimales des valeurs de variables utilisées lors de l’affichage dans le système de contrôle.
Minimum : 0
Maximum : 10
Par défaut : 0

Plus de détails dans l’aide en ligne.

VT_R8

SignalMin

Signal min.

Valeur minimum de la variable dans l’automate.
À moins d’être définie différemment dans la propriété Ajustement non-linéaire, la valeur brute des variables (résolution du signal) sera toujours convertie au format de la plage de mesure sur une base linéaire (pour une utilisation dans le système de contrôle). Toutes les autres entrées de valeurs numériques spécifiques à la variable dans Editor et dans le Runtime seront liées à la plage de mesures (par ex. définition des valeurs limites, limites des valeurs prescrites, zone de représentation, entrées de valeurs prescrites, etc.).

Plus de détails dans l’aide en ligne.

VT_R8

SignalMax

Signal max.

Valeur maximum de la variable dans l’automate. À moins d’être définie différemment dans la propriété Ajustement non-linéaire, la valeur brute des variables (résolution du signal) sera toujours convertie au format de la plage de mesure sur une base linéaire (pour une utilisation dans le système de contrôle). Toutes les autres entrées de valeurs numériques spécifiques à la variable dans Editor et dans le Runtime seront liées à la plage de mesures (par ex. définition des valeurs limites, limites des valeurs prescrites, zone de représentation, entrées de valeurs prescrites, etc.).

Plus de détails dans l’aide en ligne.

VT_R8

RangeMin

Plage de mesure min.

Valeur minimum des variables dans zenon.
À moins d’être définie différemment dans la propriété Ajustement non-linéaire, la valeur brute des variables (résolution du signal) sera toujours convertie au format de la plage de mesure sur une base linéaire (pour une utilisation dans le système de contrôle). Toutes les autres entrées de valeurs numériques spécifiques à la variable dans Editor et dans le Runtime seront liées à la plage de mesures (par ex. définition des valeurs limites, limites des valeurs prescrites, zone de représentation, entrées de valeurs prescrites, etc.).

Plus de détails dans l’aide en ligne.

VT_R8

RangeMax

Plage de mesure max.

Valeur maximum des variables dans zenon.
À moins d’être définie différemment dans la propriété Ajustement non-linéaire, la valeur brute des variables (résolution du signal) sera toujours convertie au format de la plage de mesure sur une base linéaire (pour une utilisation dans le système de contrôle). Toutes les autres entrées de valeurs numériques spécifiques à la variable dans Editor et dans le Runtime seront liées à la plage de mesures (par ex. définition des valeurs limites, limites des valeurs prescrites, zone de représentation, entrées de valeurs prescrites, etc.).

Plus de détails dans l’aide en ligne.

VT_BOOL

UseMacro

Ajustement non-linéaire avec macros

L’ajustement de valeurs non linéaires est utilisé pour les variables dont la valeur originale (automate) ne peut pas être ajustée de manière linéaire en fonction de la valeur mesurée (système de contrôle).

  • Active : Les valeurs brutes sont ajustées en fonction de zenon, sur une base non linéaire, avec des macros VBA.
  • Inactive : Les valeurs brutes sont ajustées en fonction de zenon.

Remarque : Lors de l’activation de la propriété, les propriétés AdjustHardwareValue et AdjustScadaValue doivent également être configurées. La propriété AdjustHardwareValue doit alors être configurée à l’inverse de la propriété AdjustScadaValue, sous forme de fonction inverse.

Par défaut : Inactive

Plus de détails dans l’aide en ligne.

ZT_VBAMAKRO

AdjustHardware

AdjustHardwareValue

Disponible uniquement si la propriété Ajustement non-linéaire avec macros est active.

Macro appelée à chaque modification de la valeur brute dans l’automate, et qui modifie la valeur dans zenon. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de macros.
Plus de détails dans l’aide en ligne.

ZT_VBAMAKRO

AdjustZenon

AdjustScadaValue

Disponible uniquement si la propriété Ajustement non-linéaire avec macros est active.

La macro est appelée lors de l’écriture d’une valeur depuis zenon et modifie la valeur brute sur l’automate. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de macros.
Plus de détails dans l’aide en ligne.

VT_R8

HystNeg

Négatif pour le signal

Hystérésis des valeurs limites définies en fonction de la plage du signal.

Plage d’hystérésis pour l’entrée en cas de changement de valeur avec diminution. Les valeurs sont uniquement interprétées comme des dépassements de valeur limite si la valeur changeante est inférieure à la plage d’hystérésis définie ici.
Par défaut : 0 (pas d’hystérésis)

Plus de détails dans l’aide en ligne.

VT_R8

HystPos

Positif pour le signal

Hystérésis des valeurs limites définies en fonction de la plage du signal.

Plage d’hystérésis pour l’entrée en cas de changement de valeur avec augmentation. Les valeurs sont uniquement interprétées comme des dépassements de valeur limite si la valeur changeante est supérieure à la plage d’hystérésis définie ici.
Par défaut : 0 (pas d’hystérésis)

Plus de détails dans l’aide en ligne.

VT_R8

ArchHystNeg

Négatif pour l'archive

Hystérésis d’archivage en cas de changement appliquée à la plage de mesure.

Plage d’hystérésis pour l’entrée en cas de changement de valeur avec diminution. Les valeurs sont uniquement saisies dans l’archive si la valeur changeante est inférieure à la plage d’hystérésis définie ici.
Par défaut : 0 (pas d’hystérésis)

Plus de détails dans l’aide en ligne.

VT_R8

ArchHystPos

Positif pour l'archive

Hystérésis d’archivage en cas de changement appliquée à la plage de mesure.

Plage d’hystérésis pour l’entrée en cas de changement de valeur avec augmentation. Les valeurs sont uniquement saisies dans l’archive si la valeur changeante est supérieure à la plage d’hystérésis définie ici.
Par défaut : 0 (pas d’hystérésis)

Plus de détails dans l’aide en ligne.

VT_BOOL

DDEActive

Variable lue en permanence

Paramètre de lecture de la variable et de sa disponibilité via DDE dans le Runtime :

  • Active : La variable est toujours connectée au driver. Cela signifie qu’elle est continuellement lue par le driver, même si elle n’est pas nécessaire dans le projet à cet instant précis. Le driver connaît ainsi toujours les valeurs actuelles et l’état actuel des variables et peut les fournir immédiatement, si nécessaire. La variable est également disponible pour les autres applications Windows (par exemple, Excel, Visual Basic, etc.). Les applications Windows possédant une fonctionnalité de client DDE peuvent ainsi utiliser les valeurs de la variable.
    Temps d’actualisation : 0,5 s
    L'activation de cette option offre par exemple l’avantage de basculer plus rapidement les valeurs de variables dans la fonction Ecriture valeur prescrite ou dans l’élément Appel de synoptique, car il n’est pas nécessaire d’interroger spécialement la variable avant la commutation. L’inconvénient est une augmentation de la charge des communications au niveau du contrôleur.
  • Inactive : La variable n’est pas interrogée en permanence par le driver, mais uniquement en cas de demande de valeurs ou d’états dans le Runtime. Elle n’est donc pas disponible dans les autres applications Windows via DDE.

Par défaut : Inactive

Plus de détails dans l’aide en ligne.

VT_UI4

ArraySizeOld

Dimension tableau

Définition de la taille de l’ensemble de blocs. La taille définie est lue ou écrite par le driver durant une demande de lecture/d’écriture. Ceci permet de garantir la cohérence des données dans le texte. Les données peuvent uniquement être modifiées dans le module Recipegroup Manager ou via l’interface de programmation.
Attention : peut être défini au niveau du driver interne, toutefois sans fonction dans le Runtime (valeur toujours égale à 0).

Plus de détails dans l’aide en ligne.

VT_UI4

CounterGroup

Groupe de compteur

Disponible uniquement dans SICAM 230.

VT_UI4

MaxGradient

Gradient maximum

Disponible uniquement dans SICAM 230.

VT_BOOL

NormalStateActive

Actif

Permet de définir un état normal pour les variables et les types de données du type BOOL, UINT et WORD pour tous les drivers.

Active : Un état normal peut être défini.

Par défaut : Inactive

Plus de détails dans l’aide en ligne.

VT_BOOL

NormalState

Valeur normale

Dans la liste déroulante, choisissez si la valeur normale de cette variable ou ce type de données doit être On (Active) ou Off (Inactive). Disponible pour les variables et les types de données du type BOOL, UINT et WORD pour tous les drivers.

Par défaut : Off

Plus de détails dans l’aide en ligne.

ZT_VARIABLE

AlarmPV0

Variable d'alarme 1

Disponible uniquement dans SICAM 230.
Première variable pour la gestion d’alarmes de synoptiques.

Plus de détails dans l’aide en ligne.

ZT_VARIABLE

AlarmPV1

Variable d'alarme 2

Disponible uniquement dans SICAM 230.
Deuxième variable pour la gestion d’alarmes de synoptiques.

Plus de détails dans l’aide en ligne.

ZT_VARIABLE

AlarmPV2

Variable d'alarme 3

Disponible uniquement dans SICAM 230.
Troisième variable pour la gestion d’alarmes de synoptiques.

Plus de détails dans l’aide en ligne.

VT_BOOL

HDActive

Stockage de données sur disque dur actif

Active : les valeurs de variables sont enregistrées sur le disque dur (enregistrement circulaire) pour être évaluées dans l’élément dynamique "Élément de tendance" ou pour l’exportation/l’importation des valeurs.

Inactive : aucune valeur de variable n’est enregistrée.

Par défaut : inactive

Les données de disque dur nécessitent 24 octets d’espace de stockage par valeur, indépendamment du type de variable. Outre la valeur, les informations suivantes sont enregistrées :
- Heure d’exécution de la mesure.
- Millisecondes lors de la lecture de la valeur.
- Modification de l’état de la valeur en fonction des éléments.
- Compteur pour l’identification unique de la valeur (driver événementiel).

Remarque : Le stockage de données est également activé lors d’un appel de synoptique de type Extended Trend si des données en ligne sont analysées.
Les variables de type chaîne ne sont pas prises en charge par la fonction de stockage de données sur le disque dur.

Attention : si l’option d’enregistrement sur disque dur est activée pour un trop grand nombre de variables, en présence d’un trop grand nombre de valeurs, les performances du Runtime peuvent être altérées.

Plus de détails dans l’aide en ligne.

VT_R4

HDUpdate

Temps de cycle [s]

Disponible uniquement si la propriété Stockage de données sur disque dur actif est active :
Durée de l’intervalle [en secondes] de conservation des valeurs en ligne sur le disque dur (mémoire circulaire) pour l’analyse dans l’élément dynamique Tendance, pour les données en ligne dans le module Extended Trend ou pour l’exportation/l’importation de valeurs.

Plus de détails dans l’aide en ligne.

VT_UI4

HDSize

Nombre de valeurs

Valeur correspondant à l’intervalle de conservation des valeurs en ligne sur le disque dur (mémoire circulaire) pour l’analyse dans l’élément dynamique Tendance, pour les données en ligne dans le module Extended Trend ou pour l’exportation/l’importation de valeurs.

Attention : si l’option d’enregistrement sur disque dur est activée pour un trop grand nombre de variables, en présence d’un trop grand nombre de valeurs, les performances du Runtime peuvent être altérées.

Plus de détails dans l’aide en ligne.

VT_BOOL

IsKDAActiv

Type d'enregistrement

Disponible uniquement si la propriété Stockage de données sur disque dur actif est active :
Données de disque dur (cyclique) : Écriture cyclique des valeurs sur le disque dur.
Valeurs retriées (RDA) : Les valeurs sont écrites bloc par bloc sur le disque dur par le driver. (Fonction adaptée à l’analyse rétrospective des erreurs au niveau du système de contrôle.)

Plus de détails dans l’aide en ligne.

VT_BOOL

ExternVisible

Visible extérieurement pour

Disponible uniquement si la propriété Visible par d'autres programmes est active.

Spécifiez expressément les projets de zenon Logic pour lesquels la variable doit être visible. Si vous laissez le champ de saisie vide, la variable est visible pour tous les projets zenon Logic. Vous pouvez également saisir des projets zenon Logic de manière expresse. Séparez les noms des projets individuels par un point-virgule (";"). Vous pouvez utiliser les opérateurs. Par exemple, P1* signifie tous les projets zenon Logic commençant par P1. (Remarque : les opérateurs sont uniquement autorisés sous forme de préfixe ou de suffixe, par exemple, *xxx ou xxx*.

Le nombre de caractères est limité à 64.

Par défaut : -

Plus de détails dans l’aide en ligne.

VT_BSTR

ExternVisibleFor

Visible extérieurement pour

Disponible uniquement si la propriété Visible par d'autres programmes est active.

Spécifiez expressément les projets de zenon Logic pour lesquels la variable doit être visible. Si vous laissez le champ de saisie vide, la variable est visible pour tous les projets zenon Logic. Vous pouvez également saisir des projets zenon Logic de manière expresse. Séparez les noms des projets individuels par un point-virgule (";"). Vous pouvez utiliser les opérateurs. Par exemple, P1* signifie tous les projets zenon Logic commençant par P1. (Remarque : les opérateurs sont uniquement autorisés sous forme de préfixe ou de suffixe, par exemple, *xxx ou xxx*.

Le nombre de caractères est limité à 64.

Par défaut : -

Plus de détails dans l’aide en ligne.

VT_BOOL

ReadWrite

Ecriture/lecture externe

Propriété externe pour zenon Logic. Affecte uniquement les variables qui ne forment pas partie du driver straton.
Active : la valeur de la variable ne peut pas être modifiée dans zenon Logic. La définition de la variable ne peut pas être modifiée dans zenon Logic.
Inactive : la variable ne peut pas être modifiée dans zenon Logic.
Par défaut : active.

Plus de détails dans l’aide en ligne.

VT_BSTR

InitialValue

Valeur initiale externe

Propriété externe pour zenon Logic. Affecte uniquement les variables qui ne forment pas partie du driver straton.
Valeur initiale de la variable dans zenon Logic durant une reprise graduelle ou une reprise intermédiaire.
La saisie autorisée ici dépend du type de données de la variable. Par exemple, vous pouvez uniquement utiliser des valeurs sans décimales pour les variables entières. Pour les variables à virgule flottante, un point doit être utilisé en tant que séparateur décimal ; les virgules ne peuvent pas être utilisées.
Le système de contrôle ne vérifie pas la validité de cette saisie. Ceci peut générer un message d’erreur dans zenon Logic.

Attention : lors de l’utilisation de variables du driver interne, cette propriété doit posséder la même valeur que la valeur initiale dans les paramètres des variables internes.

Plus de détails dans l’aide en ligne.

VT_BSTR

Profilename

Nom profil externe

Propriété externe pour zenon Logic. Affecte uniquement les variables qui ne forment pas partie du driver straton.
Nom du profil défini dans zenon Logic (par ex. STRATON, ProfDP).

Cette propriété est uniquement affichée pour information. Édition dans zenon Logic uniquement.

Plus de détails dans l’aide en ligne.

VT_BSTR

Adressparam

Paramètre externe d'adresse

Propriété externe pour zenon Logic. Affecte uniquement les variables qui ne sont pas des variables du driver straton.
Propriétés de profil dans zenon Logic (par ex. "intégré" ou paramètres d’adressage de Profibus).

Cette propriété est uniquement affichée pour information. Édition dans zenon Logic uniquement.

Plus de détails dans l’aide en ligne.

VT_BSTR

Vargroup

Groupe de variables externe

Propriété externe pour zenon Logic. Affecte uniquement les variables qui ne sont pas des variables du driver straton32.
Groupes de variables dans zenon Logic ("Global" ou "Retain" ou vides).

Cette propriété est uniquement affichée pour information. Édition dans zenon Logic uniquement.

Plus de détails dans l’aide en ligne.

VT_BOOL

IsRemaActiv

Matrice de réaction active

Active : Une matrice de réaction est utilisée à la place des valeurs de limite.
Inactive : Les valeurs peuvent être définies pour la variable.
Par défaut : inactive.

Plus de détails dans l’aide en ligne.

ZT_REMA

Rema

Matrice de réaction

Propriétés d’utilisation d’une matrice de réaction pour la variable.

Plus de détails dans l’aide en ligne.

ZT_VARIABLE

AlarmQuitPV

Valeur d'acquittement

Si une alarme de cette variable est acquittée visuellement, la variable sélectionnée sous Variable d'acquittement visuel ou Variable d'acquittement est définie sur cette valeur.

Sélection de 0 ou 1.

Plus de détails dans l’aide en ligne.

ZT_VARIABLE

AlarmViewQuitPV

Variable d'acquittement visuel

Si une alarme de la variable de contrôle est acquittée visuellement, la valeur de la variable d’acquittement visuel est définie sur la valeur définie par Valeur d'acquittement.

Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de variables binaires.

Plus de détails dans l’aide en ligne.

VT_UI4

AlarmQuitPVValue

Valeur d'acquittement

Si une alarme de cette variable est acquittée visuellement, la variable sélectionnée sous Variable d'acquittement visuel ou Variable d'acquittement est définie sur cette valeur.

Sélection de 0 ou 1.

Plus de détails dans l’aide en ligne.

VT_BOOL

VarInASM

Enregistrer dans la base IPA

Active : les alarmes de cette variable sont disponibles pour analyse dans le module Industrial Performance Analyzer (IPA).
Inactive : les alarmes de cette variable ne sont prises en compte lors de l’analyse dans le module Industrial Performance Analyzer (IPA).
Par défaut : Inactive

Attention : le module Industrial Performance Analyzer est un module optionnel, qui doit comporter une licence valide pour pouvoir être utilisé ici.

Plus de détails dans l’aide en ligne.

VT_BOOL

AlarmViaEquipmentModel

Utiliser la gestion d'alarmes hiérarchiques du modèle d'équipement

Type d’attribution de la variable à un domaine d’alarmes.

  • Active :
    Le domaine d’alarmes de la variable est transféré par le modèle d’équipement. L’alarme de la variable est applicable aux domaines d’alarmes définis dans le modèle d’équipement. Dans ce cas, le groupe d’équipements de la variable et le groupe d’équipements de niveau supérieur du modèle d’équipement sont pris en compte.
  • Inactive :
    L'alarme sur la variable est applicable aux domaines d’alarmes 1 à 4 de la gestion d’alarmes.

Remarque : Si cette propriété est activée pour un type de données, les paramètres de toutes les variables issues de celle-ci sont transférés.

Plus de détails dans l’aide en ligne.

ZT_BSTR_REF

AreaName

AreaName

Description as text.

ZT_BSTR_REF

AreaName2

AreaName2

Description as text.

ZT_BSTR_REF

AreaName3

AreaName3

Description as text.

ZT_BSTR_REF

AreaName4

AreaName4

Description as text.

VT_BOOL

InOut

Ecrire valeur prescrite

Active : cette variable est libérée pour l’action Spécifier valeur prescrite.
Inactive : cette variable est protégée en écriture.
Par défaut : Active

Plus de détails dans l’aide en ligne.

VT_BOOL

SBO

Select Before Operate

Attention : Cette fonctionnalité est uniquement compatible avec les drivers IEC870 et IEC850, et uniquement disponible si vous avez sélectionné l’option Commande commutation pour la propriété de type d’action dans Gestion des commandes, et l’action est mise en œuvre sous forme d’action à deux étapes. N’utilisez pas cette fonction pour le driver DNP3_NG ; Auto-SBO peut être configuré directement pour la variable, dans ce cas.

Active : Avant que la valeur de la variable ne soit écrite dans le matériel, zenon vérifie, pendant la première phase de la commande de commutation, si la variable dans l’équipement est prête pour cette action (Select before Operate (SBO)).
Attention : Pour les commandes impulsion, la réinitialisation automatique des valeurs des variables n’est pas effectuée dans l’intervalle de temps défini dans la propriété de délai de front.

Si la propriété SBO a été activée pour la variable d’action, une commande d’impulsion se comporte de la même manière qu’une commande de commutation.

Inactive : La valeur de la variable est transférée vers le driver sans vérification préalable.

Remarque : dans un driver IEC870, cela signifie une instruction Direct execute. Le driver IEC850 peut toutefois déclencher automatiquement une instruction Select before Operate , en raison du Control Model.
Par défaut : Inactive :
Plus de détails dans l’aide en ligne.

VT_BOOL

CancelOperate

Annuler 'Operate'

Si cette propriété est activée, il est possible d’envoyer une commande Cancel après une commande Operate lors de la gestion des commandes.

Remarque : Cette propriété est uniquement dans la version Energy Edition.

Par défaut : Inactive

Plus de détails dans l’aide en ligne.

VT_R8

ValueMin

Valeur prescrite min.

La valeur minimum définie ici pour le paramètre Écrire valeur prescrite peut être acceptée par le biais d’éléments dynamiques, plutôt que par la configuration séparée de ces derniers.
Ceci est surtout recommandé si la plage de la mesure est susceptible de varier ultérieurement, car ces modifications peuvent être effectuées une fois ici, au lieu d’être modifiées séparément dans chaque élément.

Plus de détails dans l’aide en ligne.

VT_R8

ValueMax

Valeur prescrite max.

La valeur maximum définie ici pour le paramètre Écrire valeur prescrite peut être acceptée par le biais d’éléments dynamiques, plutôt que par la configuration séparée de ces derniers.
Ceci est surtout recommandé si la plage de la mesure est susceptible de varier ultérieurement, car ces modifications peuvent être effectuées une fois ici, au lieu d’être modifiées séparément dans chaque élément.

Plus de détails dans l’aide en ligne.

VT_BSTR

LockingName

LockingName

"With this property you have the opportunity to assign an interlocking via its name.
zElement.DynProperties(""LockingName"") = ""Interlocking 1"""

VT_UI1

SetValueProtocol

Enregistrement (fichier journal)

Définit la manière dont l’écriture de la valeur prescrite sera consignée dans la liste CEL.

  • Tout : Toutes les actions Écrire valeur prescrite de cette variable exécutées via des éléments dynamiques et les fonctions Écrire valeur prescrite sont consignées dans la liste d’événements. (CEL)
  • Rien : aucune action Spécifier valeur prescrite n’est consignée dans la liste CEL.
  • Seulement sur élément dynamique : Seules les actions Écrire valeur prescrite exécutées via les éléments dynamiques sont consignées dans la liste CEL.

Par défaut : Uniquement les éléments dynamiques :

Plus de détails dans l’aide en ligne.

VT_BOOL

SV_Act

Ancienne et nouvelle valeur
  • Active : en cas de modification de la valeur prescrite de cette variable, les valeurs ancienne et nouvelle sont consignées dans la liste d’événements (CEL).
  • Inactive : Seule la nouvelle valeur est consignée.

Par défaut : Inactive

Recommandation : Activez la propriété Variable lue en permanence. Ceci permet de garantir que la valeur est toujours disponible, et qu’il n’est pas nécessaire de l’interroger spécialement.

Plus de détails dans l’aide en ligne.

VT_BOOL

SV_VBA

Valeurs modifiées par VBA

Active : L’écriture de la valeur prescrite de cette variable via une macro VBA est consignée dans la liste d’événements.
inactive : l’écriture de la valeur prescrite de cette variable via une macro VBA n’est pas consignée.
Par défaut : Active

Remarque : pour les variables configurées sous forme de variables de commande dans la passerelle de procédé IEC870, chaque commande est consignée sous la forme Spécifier valeur prescrite via l’interface COM dans la liste CEL, si la propriété est activée.

Plus de détails dans l’aide en ligne.

VT_BSTR

VisualName

Nom visuel

Saisie d’un nom d’affichage de la variable dans zenon Analyzer. Celui-ci doit être unique dans le projet, mais ceci n’est pas vérifié dans zenon. Cette vérification est effectuée lors de l’importation dans zenon Analyzer.

Cette propriété fournit des informations qui sont utilisées pour la configuration de rapports dans zenon Analyzer. L’exportation des données de zenon vers zenon Analyzer est effectuée à l’aide de l’assistant Analyzer Export Wizard.

Attention : Si cette propriété est modifiée après la première exportation vers zenon Analyzer, ces modifications ne sont appliquées dans zenon Analyzer.

Plus de détails dans l’aide en ligne.

VT_BSTR

Meaning

Signification

Cette propriété fournit des informations qui sont utilisées par la fonction de configuration de rapports dans zenon Analyzer.
Les données peuvent être définies manuellement ou à l’aide de l’assistant Meaning and Waterfall Chart Wizard. L’exportation des données de zenon vers zenon Analyzer est effectuée à l’aide de l’assistant Analyzer Export Wizard.

Saisie de la signification (meaning) d’une variable dans zenon Analyzer. Plusieurs significations doivent être séparées par une virgule.
Syntaxe : [signification1],[signification2],…,[significationN]

Plus de détails dans l’aide en ligne.

VT_BSTR

WaterfallParam

Paramètre pour le waterfall diagram

Cette propriété fournit des informations qui sont utilisées par la fonction de configuration de rapports dans zenon Analyzer.
Les données peuvent être définies manuellement ou à l’aide de l’assistant Meaning and Waterfall Chart Wizard. L’exportation des données de zenon vers zenon Analyzer est effectuée à l’aide de l’assistant Analyzer Export Wizard.

Paramètres d’une variable pour un diagramme en cascade dans zenon Analyzer. Les entrées peuvent être créées pour les rapports par ligne ou les rapports par machine. Lors de l’exportation, en fonction de la structure des entrées, une décision est prise pour déterminer s’il s’agit d’entrées correspondant à des diagrammes par machine ou par ligne.

Les paramètres individuels doivent être séparés par une virgule. Plusieurs cascades doivent être séparées par un poing-virgule.
Syntaxe, par machine : [nom modèle],[indice de ligne],[indice de colonne],[code de couleur];
Syntaxe, par ligne : [nom du modèle],[indice de ligne],[indice de colonne],[code de couleur],[perte de machine auxiliaire],[ajout de perte de machine auxiliaire],[soustraction de perte de machine auxiliaire];

Plus de détails dans l’aide en ligne.

VT_BOOL

Use_in_ProcRec

Activer l'enregistrement

Active/désactive la variable ou le type de données enregistré dans le module Process Recorder.
La sélection multiple de variables est possible.

  • Active :
    Les changements de valeur de la variable sont enregistrés dans le module Process Recorder.
    Attention : Assurez-vous que l’activation générale de l’enregistrement a été configurée dans la propriété Activer Process Recorder.
  • Inactive :
    Les changements de valeur de la variable ne sont pas enregistrés dans le module Process Recorder.

Par défaut : les paramètres configurés sont appliqués pour le type de données utilisé.

Plus de détails dans l’aide en ligne.


BURPVI variable ED

Manuel -> Interfaces de programmation -> Modèles d'objet -> Variable -> Variable-Dynamic properties -> BURPVI variable ED

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Type

VBA/VSTA Name

Display Name

Description

VT_BSTR

BURPVI_ADDRESS

PVI Name

Le nom de la variable de l’automate. Ce nom est généré à partir du nom de la tâche/nom de la variable.

Remarque : Les variables globales sont uniquement utilisables si elles sont intégrées à une tâche. Les variables globales sont donc toujours affichées avec les variables de la tâche lors de l’importation en ligne ; elles sont donc également traitées comme les variables de la tâche : Nom de la tâche/nom de la variable.

Plus de détails dans l’aide en ligne.

VT_BSTR

BURPVI_VT_TYPE

PVI Type (VT)

Type de variable dans l’automate. Les valeurs utilisables sont décrites dans le manuel en ligne. En utilisant un type de données déviant dans zenon, il est possible de déclencher la création définitive d’un type.

Plus de détails dans l’aide en ligne.

VT_UI4

BURPVI_VN_ELEMENTS

PVI Number of Elements (VN)

Nombre d’éléments au niveau des variables de terrain.
Pour les variables de terrain multidimensionnelles, le nombre d’éléments de toutes les dimensions de terrain est indiqué (par exemple : var[10][5] => VN =50).

Plus de détails dans l’aide en ligne.

VT_UI4

BURPVI_VL_LENGTH

PVI Length (VL)

Longueur de la variable en octets.
Pour les variables uniques, la longueur de la variable est égale à la longueur des données du procédé. Pour les variables de terrain, la longueur de la variable détermine la longueur de l’élément.

Plus de détails dans l’aide en ligne.

VT_BSTR

BURPVI_OD

PVI Additional (OD)

VT_BOOL

IsLocalDigits

IsLocalDigits

"With this property you have the opportunity to decide whether the ""Decimals"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalSignalMin

IsLocalSignalMin

"With this property you have the opportunity to decide whether the ""Minimum signal resolution"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalSignalMax

IsLocalSignalMax

"With this property you have the opportunity to decide whether the ""Maximum signal resolution"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalRangeMin

IsLocalRangeMin

"With this property you have the opportunity to decide whether the ""Minimum measuring range"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalRangeMax

IsLocalRangeMax

"With this property you have the opportunity to decide whether the ""Maximum measuring range"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalAlternateValue

IsLocalAlternateValue

"With this property you have the opportunity to decide whether the ""Alternate value"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalValueMin

IsLocalValueMin

"With this property you have the opportunity to decide whether the ""Minimum set value"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalValueMax

IsLocalValueMax

"With this property you have the opportunity to decide whether the ""Maximum set value"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalUseMacro

IsLocalUseMacro

"With this property you have the opportunity to decide whether the ""Non linear value adjustment with macros"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalInOut

IsLocalInOut

"With this property you have the opportunity to decide whether the ""Setting values active"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalHystNeg

IsLocalHystNeg

"With this property you have the opportunity to decide whether the ""negative hysteresis"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalHystPos

IsLocalHystPos

"With this property you have the opportunity to decide whether the ""negative hysteresis"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalArchHystNeg

IsLocalArchHystNeg

VT_BOOL

IsLocalArchHystPos

IsLocalArchHystPos

VT_BOOL

IsLocalUpdatePriority

IsLocalUpdatePriority

"With this property you have the opportunity to decide whether the ""Priority of the driver connection"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalDDEaktiv

IsLocalDDEaktiv

"With this property you have the opportunity to decide whether the ""DDE active"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalStandby

IsLocalStandby

"With this property you have the opportunity to decide whether the ""Only read from standby"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalRemaActiv

IsLocalRemaActiv

"With this property you have the opportunity to decide whether the ""Reaction matrix active"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalRema

IsLocalRema

"With this property you have the opportunity to decide whether the ""Reaction matrix"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalHDActive

IsLocalHDActive

"With this property you have the opportunity to decide whether the ""HD active"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalHDUpdate

IsLocalHDUpdate

"With this property you have the opportunity to decide whether the ""HD scan rate"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalHDSize

IsLocalHDSize

"With this property you have the opportunity to decide whether the ""Number of HD values"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalKDAActiv

IsLocalKDAActiv

"With this property you have the opportunity to decide whether the ""Recording type"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalStingLength

IsLocalStingLength

"With this property you have the opportunity to decide whether the ""String length"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalQuitPV

IsLocalQuitPV

"With this property you have the opportunity to decide whether the ""Acknowledgement variable"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalViewQuitPV

IsLocalViewQuitPV

Description as text.

VT_BOOL

IsLocalQuitValue

IsLocalQuitValue

"With this property you have the opportunity to decide whether the ""Acknowledgement value"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalTagname

IsLocalTagname

"With this property you have the opportunity to decide whether the ""Identification"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalUnit

IsLocalUnit

"With this property you have the opportunity to decide whether the ""Unit"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalAltValString

IsLocalAltValString

"With this property you have the opportunity to decide whether the ""String alternative value"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalRecLabel

IsLocalRecLabel

"With this property you have the opportunity to decide whether the ""Ressources label"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalAdjustHW

IsLocalAdjustHW

"With this property you have the opportunity to decide whether the ""AdjustHardwareValue"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalAdjustZenon

IsLocalAdjustZenon

"With this property you have the opportunity to decide whether the ""AdjustZenOnValue"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalArraySize

IsLocalArraySize

"With this property you have the opportunity to decide whether the ""Array size"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalCounterGroup

IsLocalCounterGroup

VT_BOOL

IsLocalMaxGradient

IsLocalMaxGradient

VT_BOOL

IsLocalNormalStateActive

IsLocalNormalStateActive

VT_BOOL

IsLocalNormalState

IsLocalNormalState

VT_BOOL

IsLocalAlarmPV0

IsLocalAlarmPV0

"With this property you have the opportunity to decide whether the ""Alarm Variable 1"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalAlarmPV1

IsLocalAlarmPV1

"With this property you have the opportunity to decide whether the ""Alarm Variable 2"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalAlarmPV2

IsLocalAlarmPV2

"With this property you have the opportunity to decide whether the ""Alarm Variable 3"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalVarInASM

IsLocalVarInASM

"With this property you have the opportunity to decide whether the ""Save in IPA database"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalAlarmDomain

IsLocalAlarmDomain

"With this property you have the opportunity to decide whether the ""Alarm area"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalAlarmDomain2

IsLocalAlarmDomain2

Description as text.

VT_BOOL

IsLocalAlarmDomain3

IsLocalAlarmDomain3

Description as text.

VT_BOOL

IsLocalAlarmDomain4

IsLocalAlarmDomain4

Description as text.

VT_BOOL

IsLocalLocking

IsLocalLocking

"With this property you have the opportunity to decide whether the ""Interlocking"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalSBO

IsLocalSBO

"With this property you have the opportunity to decide whether the ""Select before operate"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalCancelOperate

IsLocalCancelOperate

Description

VT_BOOL

IsLocalAlarmViaEquipmentModel

IsLocalAlarmViaEquipmentModel

Description

VT_BOOL

IsLocalUsedInProcRec

IsLocalUsedInProcRec

Description

VT_UI1

IsSWProtokol

IsSWProtokol

VT_BOOL

IsSW_Akt

IsSW_Akt

VT_BOOL

IsSW_VBA

IsSW_VBA

More...

Limits

Valeurs limite

Propriétés définissant le traitement des valeurs limites ou le traitement des alarmes pour la variable.

Les propriétés de ce groupe sont uniquement disponibles si vous avez activé la propriété Matrice de réaction active.

Plus de détails dans l’aide en ligne.

VT_UI4

ID_ComplexVariable

ID_ComplexVariable

With this property you have the opportunity to get/set the ID of a variable from a structure element. This ID is 0 when the variable has no structure datatype.

VT_BSTR

Name

Nom

Nom unique de la variable. Les considérations suivantes s’appliquent lors de la définition du nom :

  • Longueur maximale : 128 caractères
  • Caractères non autorisés : # et @

Remarque : pour les drivers utilisant la connexion à zenon Logic, vous devez définir un préfixe. Pour plus de détails, reportez-vous au chapitre Création de variables O et M dans zenon Logic dans le manuel.
Toute modification du nom de la variable doit également être effectuée dans l’environnement de programmation (VBA, VSTA).

Attention : Cette propriété n’est pas disponible aux fins de la commutation de langue.

Plus de détails dans l’aide en ligne.

VT_BSTR

Tagname

Identification

Chaîne libre utilisée pour l’identification de la variable ou du type de données.
Remarque : Puisque la langue du nom de la variable (propriété Nom) ne peut pas être modifiée, cette propriété peut être utilisée pour le changement de langue en ligne.

Longueur maximale : 128 caractères

Plus de détails dans l’aide en ligne.

VT_BSTR

Unit

Unité de mesure

Unité technique de la variable devant être affichée dans le Runtime. Si vous avez déjà créé des unités de mesure dans le module d’unités de base, celles-ci sont disponibles dans une liste déroulante.
Maximum : 50 caractères.
Par défaut : vide

Plus de détails dans l’aide en ligne.

VT_R8

AlternateValue

Archivfüllwert

Cette valeur est utilisée pour renseigner les archives cycliques. En présence d’intervalles durant lesquels aucune connexion au matériel n’a été établie, cette valeur est utilisée tant qu’aucune valeur n’est transférée depuis l’équipement. Dans le cas contraire, la dernière valeur valide utilisée est utilisée aux fins du renseignement.

Plus de détails dans l’aide en ligne.

VT_BSTR

AlternateValueString

Valeur chaîne pour le remplissage des archives

Cette valeur est utilisée pour les variables de chaîne, afin de renseigner les archives cycliques.
En présence d’intervalles, dans les archives cycliques, durant lesquels aucune connexion au matériel n’a été établie, cette Valeur chaîne pour le remplissage des archives est utilisée tant qu’aucune valeur n’est transférée depuis l’équipement. Dans le cas contraire, la dernière valeur valide est utilisée pour le renseignement.

Longueur maximale : 128 caractères

Attention : Cette propriété n’est pas disponible aux fins de la commutation de langue.

Plus de détails dans l’aide en ligne.

VT_BSTR

Recourceslabel

Description externe

Chaîne au choix.
N'est pas utilisé au niveau interne dans zenon, mais est disponible lors de l’exportation de valeurs pour autoriser l’attribution des valeurs exportées pour les systèmes de gestion tels qu’ERP.

Longueur maximale : 255 caractères

Plus de détails dans l’aide en ligne.

VT_UI4

NetAddr

Adresse réseau

Adresse de bus ou Adresse réseau de la variable.

  • Minimum : 0
  • Maximum : 4294967295

Par défaut : 0

Plus de détails dans l’aide en ligne.

VT_UI4

DataBlock

Bloc de données

Numéro de bloc de données.
Minimum : 0.
Maximum : 4294967295
Par défaut : 0.

Plus de détails dans l’aide en ligne.

VT_UI4

Offset

Offset

Décalage de la variable.
Pour les contrôleurs à adressage linéaire : plage de mémoire.
Pour les contrôleurs à résolution de nom : adresse d’attribution.
Minimum : 0.
Maximum : 4294967295
Par défaut : 0.

Plus de détails dans l’aide en ligne.

VT_UI2

BitAddr

Numéro de bit

Numéro du bit dans le décalage configuré.
Minimum : 0.
Maximum : 65535
Par défaut : 0.

Plus de détails dans l’aide en ligne.

VT_UI2

Alignment

Alignement

Ceci dépend de la granularité du type d’objet du driver et de la position de la variable conformément au décalage défini.

Pour les variables de type Octet :
Octet poids fort : octet de poids fort dans le décalage de mot.
Octet poids faible : Otet de poids faible dans le décalage de mot.
HiWord-HiByte octet de poids fort dans le mot fort dans le décalage de double mot.
HiWord-LoByte (Mot poids fort-Octet poids faible) octet de poids faible dans le mot fort dans le décalage de double mot.
Mot poids faible-Octet poids fort : octet de poids fort dans le mot faible dans le décalage de double mot.
Mot poids faible-Octet poids faible : octet de poids faible dans le mot faible dans le décalage de double mot.

Pour les variables de mot :
Mot poids fort : mot fort dans le décalage de double mot.
Mot poids faible : Mot poids faible dans le décalage de double mot.

Plus de détails dans l’aide en ligne.

VT_UI2

StringLength

Longueur de la chaîne

Disponible uniquement pour les variables de type chaîne.
Nombre maximum de caractères que peut accepter une variable.
Minimum : 1 caractère
Si la valeur non autorisée 0 est saisie, la dernière valeur configurée valide est automatiquement utilisée. Si aucune valeur valide n’a été configurée, l’entrée est remplacée par la valeur par défaut.
Maximum : 65535 caractères.
Par défaut : 5 caractères

Remarque : la valeur par défaut est 65 535 pour les variables système avec le type de données String.

Plus de détails dans l’aide en ligne.

VT_BSTR

SymbAddr

Adresse symbolique

Séquence de caractères pour l’adressage symbolique des variables.

Longueur maximale : 1024 caractères.

Remarque : L’adresse symbolique n’est pas prise en charge par tous les drivers.
Lors de l’importation des variables dans des drivers compatibles avec l’adressage symbolique, la propriété est saisie automatiquement.

Plus de détails dans l’aide en ligne.

VT_UI4

Driver

Drivers

VT_UI4

ID_DataTyp

Type de données

Type de donnée pour la variable. Sélectionné durant la création de la variable ; peut être modifié ici ultérieurement.
Remarque : Pour les variables de structure, le type de données ne peut plus être modifié après la création des variables.
Attention : Si vous modifiez le type de données ultérieurement, toutes les autres propriétés de la variable doivent être vérifiées et ajustées, si nécessaire.

Plus de détails dans l’aide en ligne.

VT_UI4

ID_DriverTyp

Type d'objet driver

Selon le driver utilisé, un type d’objet est sélectionné durant la création de la variable et peut être modifié ici ultérieurement.
Siemens : bloc de données, marqueur, entrée/sortie.
Modbus : Coil et Holding Register.

Plus de détails dans l’aide en ligne.

VT_UI1

UpdatePriority

Priorité

Si l’heure de mise à jour globale spécifiée dans la configuration du driver n’est pas utilisée, la fréquence des mises à jour correspondant aux différents niveaux de priorité peut être définie ici. Dans cette propriété, une priorité est attribuée à une variable.

Plus de détails dans l’aide en ligne.

VT_BOOL

Standby

Lire uniquement sur le serveur redondant

Active : La valeur de la variable provenant du serveur redondant est affichée.
Inactive : La valeur de la variable provenant du serveur est affichée.
(drivers matériels uniquement)

Plus de détails dans l’aide en ligne.

VT_UI2

Digits

Nombre de décimales

Nombre de décimales des valeurs de variables utilisées lors de l’affichage dans le système de contrôle.
Minimum : 0
Maximum : 10
Par défaut : 0

Plus de détails dans l’aide en ligne.

VT_R8

SignalMin

Signal min.

Valeur minimum de la variable dans l’automate.
À moins d’être définie différemment dans la propriété Ajustement non-linéaire, la valeur brute des variables (résolution du signal) sera toujours convertie au format de la plage de mesure sur une base linéaire (pour une utilisation dans le système de contrôle). Toutes les autres entrées de valeurs numériques spécifiques à la variable dans Editor et dans le Runtime seront liées à la plage de mesures (par ex. définition des valeurs limites, limites des valeurs prescrites, zone de représentation, entrées de valeurs prescrites, etc.).

Plus de détails dans l’aide en ligne.

VT_R8

SignalMax

Signal max.

Valeur maximum de la variable dans l’automate. À moins d’être définie différemment dans la propriété Ajustement non-linéaire, la valeur brute des variables (résolution du signal) sera toujours convertie au format de la plage de mesure sur une base linéaire (pour une utilisation dans le système de contrôle). Toutes les autres entrées de valeurs numériques spécifiques à la variable dans Editor et dans le Runtime seront liées à la plage de mesures (par ex. définition des valeurs limites, limites des valeurs prescrites, zone de représentation, entrées de valeurs prescrites, etc.).

Plus de détails dans l’aide en ligne.

VT_R8

RangeMin

Plage de mesure min.

Valeur minimum des variables dans zenon.
À moins d’être définie différemment dans la propriété Ajustement non-linéaire, la valeur brute des variables (résolution du signal) sera toujours convertie au format de la plage de mesure sur une base linéaire (pour une utilisation dans le système de contrôle). Toutes les autres entrées de valeurs numériques spécifiques à la variable dans Editor et dans le Runtime seront liées à la plage de mesures (par ex. définition des valeurs limites, limites des valeurs prescrites, zone de représentation, entrées de valeurs prescrites, etc.).

Plus de détails dans l’aide en ligne.

VT_R8

RangeMax

Plage de mesure max.

Valeur maximum des variables dans zenon.
À moins d’être définie différemment dans la propriété Ajustement non-linéaire, la valeur brute des variables (résolution du signal) sera toujours convertie au format de la plage de mesure sur une base linéaire (pour une utilisation dans le système de contrôle). Toutes les autres entrées de valeurs numériques spécifiques à la variable dans Editor et dans le Runtime seront liées à la plage de mesures (par ex. définition des valeurs limites, limites des valeurs prescrites, zone de représentation, entrées de valeurs prescrites, etc.).

Plus de détails dans l’aide en ligne.

VT_BOOL

UseMacro

Ajustement non-linéaire avec macros

L’ajustement de valeurs non linéaires est utilisé pour les variables dont la valeur originale (automate) ne peut pas être ajustée de manière linéaire en fonction de la valeur mesurée (système de contrôle).

  • Active : Les valeurs brutes sont ajustées en fonction de zenon, sur une base non linéaire, avec des macros VBA.
  • Inactive : Les valeurs brutes sont ajustées en fonction de zenon.

Remarque : Lors de l’activation de la propriété, les propriétés AdjustHardwareValue et AdjustScadaValue doivent également être configurées. La propriété AdjustHardwareValue doit alors être configurée à l’inverse de la propriété AdjustScadaValue, sous forme de fonction inverse.

Par défaut : Inactive

Plus de détails dans l’aide en ligne.

ZT_VBAMAKRO

AdjustHardware

AdjustHardwareValue

Disponible uniquement si la propriété Ajustement non-linéaire avec macros est active.

Macro appelée à chaque modification de la valeur brute dans l’automate, et qui modifie la valeur dans zenon. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de macros.
Plus de détails dans l’aide en ligne.

ZT_VBAMAKRO

AdjustZenon

AdjustScadaValue

Disponible uniquement si la propriété Ajustement non-linéaire avec macros est active.

La macro est appelée lors de l’écriture d’une valeur depuis zenon et modifie la valeur brute sur l’automate. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de macros.
Plus de détails dans l’aide en ligne.

VT_R8

HystNeg

Négatif pour le signal

Hystérésis des valeurs limites définies en fonction de la plage du signal.

Plage d’hystérésis pour l’entrée en cas de changement de valeur avec diminution. Les valeurs sont uniquement interprétées comme des dépassements de valeur limite si la valeur changeante est inférieure à la plage d’hystérésis définie ici.
Par défaut : 0 (pas d’hystérésis)

Plus de détails dans l’aide en ligne.

VT_R8

HystPos

Positif pour le signal

Hystérésis des valeurs limites définies en fonction de la plage du signal.

Plage d’hystérésis pour l’entrée en cas de changement de valeur avec augmentation. Les valeurs sont uniquement interprétées comme des dépassements de valeur limite si la valeur changeante est supérieure à la plage d’hystérésis définie ici.
Par défaut : 0 (pas d’hystérésis)

Plus de détails dans l’aide en ligne.

VT_R8

ArchHystNeg

Négatif pour l'archive

Hystérésis d’archivage en cas de changement appliquée à la plage de mesure.

Plage d’hystérésis pour l’entrée en cas de changement de valeur avec diminution. Les valeurs sont uniquement saisies dans l’archive si la valeur changeante est inférieure à la plage d’hystérésis définie ici.
Par défaut : 0 (pas d’hystérésis)

Plus de détails dans l’aide en ligne.

VT_R8

ArchHystPos

Positif pour l'archive

Hystérésis d’archivage en cas de changement appliquée à la plage de mesure.

Plage d’hystérésis pour l’entrée en cas de changement de valeur avec augmentation. Les valeurs sont uniquement saisies dans l’archive si la valeur changeante est supérieure à la plage d’hystérésis définie ici.
Par défaut : 0 (pas d’hystérésis)

Plus de détails dans l’aide en ligne.

VT_BOOL

DDEActive

Variable lue en permanence

Paramètre de lecture de la variable et de sa disponibilité via DDE dans le Runtime :

  • Active : La variable est toujours connectée au driver. Cela signifie qu’elle est continuellement lue par le driver, même si elle n’est pas nécessaire dans le projet à cet instant précis. Le driver connaît ainsi toujours les valeurs actuelles et l’état actuel des variables et peut les fournir immédiatement, si nécessaire. La variable est également disponible pour les autres applications Windows (par exemple, Excel, Visual Basic, etc.). Les applications Windows possédant une fonctionnalité de client DDE peuvent ainsi utiliser les valeurs de la variable.
    Temps d’actualisation : 0,5 s
    L'activation de cette option offre par exemple l’avantage de basculer plus rapidement les valeurs de variables dans la fonction Ecriture valeur prescrite ou dans l’élément Appel de synoptique, car il n’est pas nécessaire d’interroger spécialement la variable avant la commutation. L’inconvénient est une augmentation de la charge des communications au niveau du contrôleur.
  • Inactive : La variable n’est pas interrogée en permanence par le driver, mais uniquement en cas de demande de valeurs ou d’états dans le Runtime. Elle n’est donc pas disponible dans les autres applications Windows via DDE.

Par défaut : Inactive

Plus de détails dans l’aide en ligne.

VT_UI4

ArraySizeOld

Dimension tableau

Définition de la taille de l’ensemble de blocs. La taille définie est lue ou écrite par le driver durant une demande de lecture/d’écriture. Ceci permet de garantir la cohérence des données dans le texte. Les données peuvent uniquement être modifiées dans le module Recipegroup Manager ou via l’interface de programmation.
Attention : peut être défini au niveau du driver interne, toutefois sans fonction dans le Runtime (valeur toujours égale à 0).

Plus de détails dans l’aide en ligne.

VT_UI4

CounterGroup

Groupe de compteur

Disponible uniquement dans SICAM 230.

VT_UI4

MaxGradient

Gradient maximum

Disponible uniquement dans SICAM 230.

VT_BOOL

NormalStateActive

Actif

Permet de définir un état normal pour les variables et les types de données du type BOOL, UINT et WORD pour tous les drivers.

Active : Un état normal peut être défini.

Par défaut : Inactive

Plus de détails dans l’aide en ligne.

VT_BOOL

NormalState

Valeur normale

Dans la liste déroulante, choisissez si la valeur normale de cette variable ou ce type de données doit être On (Active) ou Off (Inactive). Disponible pour les variables et les types de données du type BOOL, UINT et WORD pour tous les drivers.

Par défaut : Off

Plus de détails dans l’aide en ligne.

ZT_VARIABLE

AlarmPV0

Variable d'alarme 1

Disponible uniquement dans SICAM 230.
Première variable pour la gestion d’alarmes de synoptiques.

Plus de détails dans l’aide en ligne.

ZT_VARIABLE

AlarmPV1

Variable d'alarme 2

Disponible uniquement dans SICAM 230.
Deuxième variable pour la gestion d’alarmes de synoptiques.

Plus de détails dans l’aide en ligne.

ZT_VARIABLE

AlarmPV2

Variable d'alarme 3

Disponible uniquement dans SICAM 230.
Troisième variable pour la gestion d’alarmes de synoptiques.

Plus de détails dans l’aide en ligne.

VT_BOOL

HDActive

Stockage de données sur disque dur actif

Active : les valeurs de variables sont enregistrées sur le disque dur (enregistrement circulaire) pour être évaluées dans l’élément dynamique "Élément de tendance" ou pour l’exportation/l’importation des valeurs.

Inactive : aucune valeur de variable n’est enregistrée.

Par défaut : inactive

Les données de disque dur nécessitent 24 octets d’espace de stockage par valeur, indépendamment du type de variable. Outre la valeur, les informations suivantes sont enregistrées :
- Heure d’exécution de la mesure.
- Millisecondes lors de la lecture de la valeur.
- Modification de l’état de la valeur en fonction des éléments.
- Compteur pour l’identification unique de la valeur (driver événementiel).

Remarque : Le stockage de données est également activé lors d’un appel de synoptique de type Extended Trend si des données en ligne sont analysées.
Les variables de type chaîne ne sont pas prises en charge par la fonction de stockage de données sur le disque dur.

Attention : si l’option d’enregistrement sur disque dur est activée pour un trop grand nombre de variables, en présence d’un trop grand nombre de valeurs, les performances du Runtime peuvent être altérées.

Plus de détails dans l’aide en ligne.

VT_R4

HDUpdate

Temps de cycle [s]

Disponible uniquement si la propriété Stockage de données sur disque dur actif est active :
Durée de l’intervalle [en secondes] de conservation des valeurs en ligne sur le disque dur (mémoire circulaire) pour l’analyse dans l’élément dynamique Tendance, pour les données en ligne dans le module Extended Trend ou pour l’exportation/l’importation de valeurs.

Plus de détails dans l’aide en ligne.

VT_UI4

HDSize

Nombre de valeurs

Valeur correspondant à l’intervalle de conservation des valeurs en ligne sur le disque dur (mémoire circulaire) pour l’analyse dans l’élément dynamique Tendance, pour les données en ligne dans le module Extended Trend ou pour l’exportation/l’importation de valeurs.

Attention : si l’option d’enregistrement sur disque dur est activée pour un trop grand nombre de variables, en présence d’un trop grand nombre de valeurs, les performances du Runtime peuvent être altérées.

Plus de détails dans l’aide en ligne.

VT_BOOL

IsKDAActiv

Type d'enregistrement

Disponible uniquement si la propriété Stockage de données sur disque dur actif est active :
Données de disque dur (cyclique) : Écriture cyclique des valeurs sur le disque dur.
Valeurs retriées (RDA) : Les valeurs sont écrites bloc par bloc sur le disque dur par le driver. (Fonction adaptée à l’analyse rétrospective des erreurs au niveau du système de contrôle.)

Plus de détails dans l’aide en ligne.

VT_BOOL

ExternVisible

Visible extérieurement pour

Disponible uniquement si la propriété Visible par d'autres programmes est active.

Spécifiez expressément les projets de zenon Logic pour lesquels la variable doit être visible. Si vous laissez le champ de saisie vide, la variable est visible pour tous les projets zenon Logic. Vous pouvez également saisir des projets zenon Logic de manière expresse. Séparez les noms des projets individuels par un point-virgule (";"). Vous pouvez utiliser les opérateurs. Par exemple, P1* signifie tous les projets zenon Logic commençant par P1. (Remarque : les opérateurs sont uniquement autorisés sous forme de préfixe ou de suffixe, par exemple, *xxx ou xxx*.

Le nombre de caractères est limité à 64.

Par défaut : -

Plus de détails dans l’aide en ligne.

VT_BSTR

ExternVisibleFor

Visible extérieurement pour

Disponible uniquement si la propriété Visible par d'autres programmes est active.

Spécifiez expressément les projets de zenon Logic pour lesquels la variable doit être visible. Si vous laissez le champ de saisie vide, la variable est visible pour tous les projets zenon Logic. Vous pouvez également saisir des projets zenon Logic de manière expresse. Séparez les noms des projets individuels par un point-virgule (";"). Vous pouvez utiliser les opérateurs. Par exemple, P1* signifie tous les projets zenon Logic commençant par P1. (Remarque : les opérateurs sont uniquement autorisés sous forme de préfixe ou de suffixe, par exemple, *xxx ou xxx*.

Le nombre de caractères est limité à 64.

Par défaut : -

Plus de détails dans l’aide en ligne.

VT_BOOL

ReadWrite

Ecriture/lecture externe

Propriété externe pour zenon Logic. Affecte uniquement les variables qui ne forment pas partie du driver straton.
Active : la valeur de la variable ne peut pas être modifiée dans zenon Logic. La définition de la variable ne peut pas être modifiée dans zenon Logic.
Inactive : la variable ne peut pas être modifiée dans zenon Logic.
Par défaut : active.

Plus de détails dans l’aide en ligne.

VT_BSTR

InitialValue

Valeur initiale externe

Propriété externe pour zenon Logic. Affecte uniquement les variables qui ne forment pas partie du driver straton.
Valeur initiale de la variable dans zenon Logic durant une reprise graduelle ou une reprise intermédiaire.
La saisie autorisée ici dépend du type de données de la variable. Par exemple, vous pouvez uniquement utiliser des valeurs sans décimales pour les variables entières. Pour les variables à virgule flottante, un point doit être utilisé en tant que séparateur décimal ; les virgules ne peuvent pas être utilisées.
Le système de contrôle ne vérifie pas la validité de cette saisie. Ceci peut générer un message d’erreur dans zenon Logic.

Attention : lors de l’utilisation de variables du driver interne, cette propriété doit posséder la même valeur que la valeur initiale dans les paramètres des variables internes.

Plus de détails dans l’aide en ligne.

VT_BSTR

Profilename

Nom profil externe

Propriété externe pour zenon Logic. Affecte uniquement les variables qui ne forment pas partie du driver straton.
Nom du profil défini dans zenon Logic (par ex. STRATON, ProfDP).

Cette propriété est uniquement affichée pour information. Édition dans zenon Logic uniquement.

Plus de détails dans l’aide en ligne.

VT_BSTR

Adressparam

Paramètre externe d'adresse

Propriété externe pour zenon Logic. Affecte uniquement les variables qui ne sont pas des variables du driver straton.
Propriétés de profil dans zenon Logic (par ex. "intégré" ou paramètres d’adressage de Profibus).

Cette propriété est uniquement affichée pour information. Édition dans zenon Logic uniquement.

Plus de détails dans l’aide en ligne.

VT_BSTR

Vargroup

Groupe de variables externe

Propriété externe pour zenon Logic. Affecte uniquement les variables qui ne sont pas des variables du driver straton32.
Groupes de variables dans zenon Logic ("Global" ou "Retain" ou vides).

Cette propriété est uniquement affichée pour information. Édition dans zenon Logic uniquement.

Plus de détails dans l’aide en ligne.

VT_BOOL

IsRemaActiv

Matrice de réaction active

Active : Une matrice de réaction est utilisée à la place des valeurs de limite.
Inactive : Les valeurs peuvent être définies pour la variable.
Par défaut : inactive.

Plus de détails dans l’aide en ligne.

ZT_REMA

Rema

Matrice de réaction

Propriétés d’utilisation d’une matrice de réaction pour la variable.

Plus de détails dans l’aide en ligne.

ZT_VARIABLE

AlarmQuitPV

Valeur d'acquittement

Si une alarme de cette variable est acquittée visuellement, la variable sélectionnée sous Variable d'acquittement visuel ou Variable d'acquittement est définie sur cette valeur.

Sélection de 0 ou 1.

Plus de détails dans l’aide en ligne.

ZT_VARIABLE

AlarmViewQuitPV

Variable d'acquittement visuel

Si une alarme de la variable de contrôle est acquittée visuellement, la valeur de la variable d’acquittement visuel est définie sur la valeur définie par Valeur d'acquittement.

Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de variables binaires.

Plus de détails dans l’aide en ligne.

VT_UI4

AlarmQuitPVValue

Valeur d'acquittement

Si une alarme de cette variable est acquittée visuellement, la variable sélectionnée sous Variable d'acquittement visuel ou Variable d'acquittement est définie sur cette valeur.

Sélection de 0 ou 1.

Plus de détails dans l’aide en ligne.

VT_BOOL

VarInASM

Enregistrer dans la base IPA

Active : les alarmes de cette variable sont disponibles pour analyse dans le module Industrial Performance Analyzer (IPA).
Inactive : les alarmes de cette variable ne sont prises en compte lors de l’analyse dans le module Industrial Performance Analyzer (IPA).
Par défaut : Inactive

Attention : le module Industrial Performance Analyzer est un module optionnel, qui doit comporter une licence valide pour pouvoir être utilisé ici.

Plus de détails dans l’aide en ligne.

VT_BOOL

AlarmViaEquipmentModel

Utiliser la gestion d'alarmes hiérarchiques du modèle d'équipement

Type d’attribution de la variable à un domaine d’alarmes.

  • Active :
    Le domaine d’alarmes de la variable est transféré par le modèle d’équipement. L’alarme de la variable est applicable aux domaines d’alarmes définis dans le modèle d’équipement. Dans ce cas, le groupe d’équipements de la variable et le groupe d’équipements de niveau supérieur du modèle d’équipement sont pris en compte.
  • Inactive :
    L'alarme sur la variable est applicable aux domaines d’alarmes 1 à 4 de la gestion d’alarmes.

Remarque : Si cette propriété est activée pour un type de données, les paramètres de toutes les variables issues de celle-ci sont transférés.

Plus de détails dans l’aide en ligne.

ZT_BSTR_REF

AreaName

AreaName

Description as text.

ZT_BSTR_REF

AreaName2

AreaName2

Description as text.

ZT_BSTR_REF

AreaName3

AreaName3

Description as text.

ZT_BSTR_REF

AreaName4

AreaName4

Description as text.

VT_BOOL

InOut

Ecrire valeur prescrite

Active : cette variable est libérée pour l’action Spécifier valeur prescrite.
Inactive : cette variable est protégée en écriture.
Par défaut : Active

Plus de détails dans l’aide en ligne.

VT_BOOL

SBO

Select Before Operate

Attention : Cette fonctionnalité est uniquement compatible avec les drivers IEC870 et IEC850, et uniquement disponible si vous avez sélectionné l’option Commande commutation pour la propriété de type d’action dans Gestion des commandes, et l’action est mise en œuvre sous forme d’action à deux étapes. N’utilisez pas cette fonction pour le driver DNP3_NG ; Auto-SBO peut être configuré directement pour la variable, dans ce cas.

Active : Avant que la valeur de la variable ne soit écrite dans le matériel, zenon vérifie, pendant la première phase de la commande de commutation, si la variable dans l’équipement est prête pour cette action (Select before Operate (SBO)).
Attention : Pour les commandes impulsion, la réinitialisation automatique des valeurs des variables n’est pas effectuée dans l’intervalle de temps défini dans la propriété de délai de front.

Si la propriété SBO a été activée pour la variable d’action, une commande d’impulsion se comporte de la même manière qu’une commande de commutation.

Inactive : La valeur de la variable est transférée vers le driver sans vérification préalable.

Remarque : dans un driver IEC870, cela signifie une instruction Direct execute. Le driver IEC850 peut toutefois déclencher automatiquement une instruction Select before Operate , en raison du Control Model.
Par défaut : Inactive :
Plus de détails dans l’aide en ligne.

VT_BOOL

CancelOperate

Annuler 'Operate'

Si cette propriété est activée, il est possible d’envoyer une commande Cancel après une commande Operate lors de la gestion des commandes.

Remarque : Cette propriété est uniquement dans la version Energy Edition.

Par défaut : Inactive

Plus de détails dans l’aide en ligne.

VT_R8

ValueMin

Valeur prescrite min.

La valeur minimum définie ici pour le paramètre Écrire valeur prescrite peut être acceptée par le biais d’éléments dynamiques, plutôt que par la configuration séparée de ces derniers.
Ceci est surtout recommandé si la plage de la mesure est susceptible de varier ultérieurement, car ces modifications peuvent être effectuées une fois ici, au lieu d’être modifiées séparément dans chaque élément.

Plus de détails dans l’aide en ligne.

VT_R8

ValueMax

Valeur prescrite max.

La valeur maximum définie ici pour le paramètre Écrire valeur prescrite peut être acceptée par le biais d’éléments dynamiques, plutôt que par la configuration séparée de ces derniers.
Ceci est surtout recommandé si la plage de la mesure est susceptible de varier ultérieurement, car ces modifications peuvent être effectuées une fois ici, au lieu d’être modifiées séparément dans chaque élément.

Plus de détails dans l’aide en ligne.

VT_BSTR

LockingName

LockingName

"With this property you have the opportunity to assign an interlocking via its name.
zElement.DynProperties(""LockingName"") = ""Interlocking 1"""

VT_UI1

SetValueProtocol

Enregistrement (fichier journal)

Définit la manière dont l’écriture de la valeur prescrite sera consignée dans la liste CEL.

  • Tout : Toutes les actions Écrire valeur prescrite de cette variable exécutées via des éléments dynamiques et les fonctions Écrire valeur prescrite sont consignées dans la liste d’événements. (CEL)
  • Rien : aucune action Spécifier valeur prescrite n’est consignée dans la liste CEL.
  • Seulement sur élément dynamique : Seules les actions Écrire valeur prescrite exécutées via les éléments dynamiques sont consignées dans la liste CEL.

Par défaut : Uniquement les éléments dynamiques :

Plus de détails dans l’aide en ligne.

VT_BOOL

SV_Act

Ancienne et nouvelle valeur
  • Active : en cas de modification de la valeur prescrite de cette variable, les valeurs ancienne et nouvelle sont consignées dans la liste d’événements (CEL).
  • Inactive : Seule la nouvelle valeur est consignée.

Par défaut : Inactive

Recommandation : Activez la propriété Variable lue en permanence. Ceci permet de garantir que la valeur est toujours disponible, et qu’il n’est pas nécessaire de l’interroger spécialement.

Plus de détails dans l’aide en ligne.

VT_BOOL

SV_VBA

Valeurs modifiées par VBA

Active : L’écriture de la valeur prescrite de cette variable via une macro VBA est consignée dans la liste d’événements.
inactive : l’écriture de la valeur prescrite de cette variable via une macro VBA n’est pas consignée.
Par défaut : Active

Remarque : pour les variables configurées sous forme de variables de commande dans la passerelle de procédé IEC870, chaque commande est consignée sous la forme Spécifier valeur prescrite via l’interface COM dans la liste CEL, si la propriété est activée.

Plus de détails dans l’aide en ligne.

VT_BSTR

VisualName

Nom visuel

Saisie d’un nom d’affichage de la variable dans zenon Analyzer. Celui-ci doit être unique dans le projet, mais ceci n’est pas vérifié dans zenon. Cette vérification est effectuée lors de l’importation dans zenon Analyzer.

Cette propriété fournit des informations qui sont utilisées pour la configuration de rapports dans zenon Analyzer. L’exportation des données de zenon vers zenon Analyzer est effectuée à l’aide de l’assistant Analyzer Export Wizard.

Attention : Si cette propriété est modifiée après la première exportation vers zenon Analyzer, ces modifications ne sont appliquées dans zenon Analyzer.

Plus de détails dans l’aide en ligne.

VT_BSTR

Meaning

Signification

Cette propriété fournit des informations qui sont utilisées par la fonction de configuration de rapports dans zenon Analyzer.
Les données peuvent être définies manuellement ou à l’aide de l’assistant Meaning and Waterfall Chart Wizard. L’exportation des données de zenon vers zenon Analyzer est effectuée à l’aide de l’assistant Analyzer Export Wizard.

Saisie de la signification (meaning) d’une variable dans zenon Analyzer. Plusieurs significations doivent être séparées par une virgule.
Syntaxe : [signification1],[signification2],…,[significationN]

Plus de détails dans l’aide en ligne.

VT_BSTR

WaterfallParam

Paramètre pour le waterfall diagram

Cette propriété fournit des informations qui sont utilisées par la fonction de configuration de rapports dans zenon Analyzer.
Les données peuvent être définies manuellement ou à l’aide de l’assistant Meaning and Waterfall Chart Wizard. L’exportation des données de zenon vers zenon Analyzer est effectuée à l’aide de l’assistant Analyzer Export Wizard.

Paramètres d’une variable pour un diagramme en cascade dans zenon Analyzer. Les entrées peuvent être créées pour les rapports par ligne ou les rapports par machine. Lors de l’exportation, en fonction de la structure des entrées, une décision est prise pour déterminer s’il s’agit d’entrées correspondant à des diagrammes par machine ou par ligne.

Les paramètres individuels doivent être séparés par une virgule. Plusieurs cascades doivent être séparées par un poing-virgule.
Syntaxe, par machine : [nom modèle],[indice de ligne],[indice de colonne],[code de couleur];
Syntaxe, par ligne : [nom du modèle],[indice de ligne],[indice de colonne],[code de couleur],[perte de machine auxiliaire],[ajout de perte de machine auxiliaire],[soustraction de perte de machine auxiliaire];

Plus de détails dans l’aide en ligne.

VT_BOOL

Use_in_ProcRec

Activer l'enregistrement

Active/désactive la variable ou le type de données enregistré dans le module Process Recorder.
La sélection multiple de variables est possible.

  • Active :
    Les changements de valeur de la variable sont enregistrés dans le module Process Recorder.
    Attention : Assurez-vous que l’activation générale de l’enregistrement a été configurée dans la propriété Activer Process Recorder.
  • Inactive :
    Les changements de valeur de la variable ne sont pas enregistrés dans le module Process Recorder.

Par défaut : les paramètres configurés sont appliqués pour le type de données utilisé.

Plus de détails dans l’aide en ligne.


CTI variable ED

Manuel -> Interfaces de programmation -> Modèles d'objet -> Variable -> Variable-Dynamic properties -> CTI variable ED

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Type

VBA/VSTA Name

Display Name

Description

VT_UI4

SecondaryObject

Secondary object

Déclare le type d’objet secondaire pour :

- Temps/compteur

- Cylindre

- Variable de boucle

- Variable d’alarme

Plus de détails dans l’aide en ligne.

VT_BOOL

IsLocalDigits

IsLocalDigits

"With this property you have the opportunity to decide whether the ""Decimals"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalSignalMin

IsLocalSignalMin

"With this property you have the opportunity to decide whether the ""Minimum signal resolution"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalSignalMax

IsLocalSignalMax

"With this property you have the opportunity to decide whether the ""Maximum signal resolution"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalRangeMin

IsLocalRangeMin

"With this property you have the opportunity to decide whether the ""Minimum measuring range"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalRangeMax

IsLocalRangeMax

"With this property you have the opportunity to decide whether the ""Maximum measuring range"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalAlternateValue

IsLocalAlternateValue

"With this property you have the opportunity to decide whether the ""Alternate value"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalValueMin

IsLocalValueMin

"With this property you have the opportunity to decide whether the ""Minimum set value"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalValueMax

IsLocalValueMax

"With this property you have the opportunity to decide whether the ""Maximum set value"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalUseMacro

IsLocalUseMacro

"With this property you have the opportunity to decide whether the ""Non linear value adjustment with macros"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalInOut

IsLocalInOut

"With this property you have the opportunity to decide whether the ""Setting values active"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalHystNeg

IsLocalHystNeg

"With this property you have the opportunity to decide whether the ""negative hysteresis"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalHystPos

IsLocalHystPos

"With this property you have the opportunity to decide whether the ""negative hysteresis"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalArchHystNeg

IsLocalArchHystNeg

VT_BOOL

IsLocalArchHystPos

IsLocalArchHystPos

VT_BOOL

IsLocalUpdatePriority

IsLocalUpdatePriority

"With this property you have the opportunity to decide whether the ""Priority of the driver connection"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalDDEaktiv

IsLocalDDEaktiv

"With this property you have the opportunity to decide whether the ""DDE active"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalStandby

IsLocalStandby

"With this property you have the opportunity to decide whether the ""Only read from standby"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalRemaActiv

IsLocalRemaActiv

"With this property you have the opportunity to decide whether the ""Reaction matrix active"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalRema

IsLocalRema

"With this property you have the opportunity to decide whether the ""Reaction matrix"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalHDActive

IsLocalHDActive

"With this property you have the opportunity to decide whether the ""HD active"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalHDUpdate

IsLocalHDUpdate

"With this property you have the opportunity to decide whether the ""HD scan rate"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalHDSize

IsLocalHDSize

"With this property you have the opportunity to decide whether the ""Number of HD values"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalKDAActiv

IsLocalKDAActiv

"With this property you have the opportunity to decide whether the ""Recording type"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalStingLength

IsLocalStingLength

"With this property you have the opportunity to decide whether the ""String length"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalQuitPV

IsLocalQuitPV

"With this property you have the opportunity to decide whether the ""Acknowledgement variable"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalViewQuitPV

IsLocalViewQuitPV

Description as text.

VT_BOOL

IsLocalQuitValue

IsLocalQuitValue

"With this property you have the opportunity to decide whether the ""Acknowledgement value"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalTagname

IsLocalTagname

"With this property you have the opportunity to decide whether the ""Identification"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalUnit

IsLocalUnit

"With this property you have the opportunity to decide whether the ""Unit"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalAltValString

IsLocalAltValString

"With this property you have the opportunity to decide whether the ""String alternative value"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalRecLabel

IsLocalRecLabel

"With this property you have the opportunity to decide whether the ""Ressources label"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalAdjustHW

IsLocalAdjustHW

"With this property you have the opportunity to decide whether the ""AdjustHardwareValue"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalAdjustZenon

IsLocalAdjustZenon

"With this property you have the opportunity to decide whether the ""AdjustZenOnValue"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalArraySize

IsLocalArraySize

"With this property you have the opportunity to decide whether the ""Array size"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalCounterGroup

IsLocalCounterGroup

VT_BOOL

IsLocalMaxGradient

IsLocalMaxGradient

VT_BOOL

IsLocalNormalStateActive

IsLocalNormalStateActive

VT_BOOL

IsLocalNormalState

IsLocalNormalState

VT_BOOL

IsLocalAlarmPV0

IsLocalAlarmPV0

"With this property you have the opportunity to decide whether the ""Alarm Variable 1"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalAlarmPV1

IsLocalAlarmPV1

"With this property you have the opportunity to decide whether the ""Alarm Variable 2"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalAlarmPV2

IsLocalAlarmPV2

"With this property you have the opportunity to decide whether the ""Alarm Variable 3"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalVarInASM

IsLocalVarInASM

"With this property you have the opportunity to decide whether the ""Save in IPA database"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalAlarmDomain

IsLocalAlarmDomain

"With this property you have the opportunity to decide whether the ""Alarm area"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalAlarmDomain2

IsLocalAlarmDomain2

Description as text.

VT_BOOL

IsLocalAlarmDomain3

IsLocalAlarmDomain3

Description as text.

VT_BOOL

IsLocalAlarmDomain4

IsLocalAlarmDomain4

Description as text.

VT_BOOL

IsLocalLocking

IsLocalLocking

"With this property you have the opportunity to decide whether the ""Interlocking"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalSBO

IsLocalSBO

"With this property you have the opportunity to decide whether the ""Select before operate"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalCancelOperate

IsLocalCancelOperate

Description

VT_BOOL

IsLocalAlarmViaEquipmentModel

IsLocalAlarmViaEquipmentModel

Description

VT_BOOL

IsLocalUsedInProcRec

IsLocalUsedInProcRec

Description

VT_UI1

IsSWProtokol

IsSWProtokol

VT_BOOL

IsSW_Akt

IsSW_Akt

VT_BOOL

IsSW_VBA

IsSW_VBA

More...

Limits

Valeurs limite

Propriétés définissant le traitement des valeurs limites ou le traitement des alarmes pour la variable.

Les propriétés de ce groupe sont uniquement disponibles si vous avez activé la propriété Matrice de réaction active.

Plus de détails dans l’aide en ligne.

VT_UI4

ID_ComplexVariable

ID_ComplexVariable

With this property you have the opportunity to get/set the ID of a variable from a structure element. This ID is 0 when the variable has no structure datatype.

VT_BSTR

Name

Nom

Nom unique de la variable. Les considérations suivantes s’appliquent lors de la définition du nom :

  • Longueur maximale : 128 caractères
  • Caractères non autorisés : # et @

Remarque : pour les drivers utilisant la connexion à zenon Logic, vous devez définir un préfixe. Pour plus de détails, reportez-vous au chapitre Création de variables O et M dans zenon Logic dans le manuel.
Toute modification du nom de la variable doit également être effectuée dans l’environnement de programmation (VBA, VSTA).

Attention : Cette propriété n’est pas disponible aux fins de la commutation de langue.

Plus de détails dans l’aide en ligne.

VT_BSTR

Tagname

Identification

Chaîne libre utilisée pour l’identification de la variable ou du type de données.
Remarque : Puisque la langue du nom de la variable (propriété Nom) ne peut pas être modifiée, cette propriété peut être utilisée pour le changement de langue en ligne.

Longueur maximale : 128 caractères

Plus de détails dans l’aide en ligne.

VT_BSTR

Unit

Unité de mesure

Unité technique de la variable devant être affichée dans le Runtime. Si vous avez déjà créé des unités de mesure dans le module d’unités de base, celles-ci sont disponibles dans une liste déroulante.
Maximum : 50 caractères.
Par défaut : vide

Plus de détails dans l’aide en ligne.

VT_R8

AlternateValue

Archivfüllwert

Cette valeur est utilisée pour renseigner les archives cycliques. En présence d’intervalles durant lesquels aucune connexion au matériel n’a été établie, cette valeur est utilisée tant qu’aucune valeur n’est transférée depuis l’équipement. Dans le cas contraire, la dernière valeur valide utilisée est utilisée aux fins du renseignement.

Plus de détails dans l’aide en ligne.

VT_BSTR

AlternateValueString

Valeur chaîne pour le remplissage des archives

Cette valeur est utilisée pour les variables de chaîne, afin de renseigner les archives cycliques.
En présence d’intervalles, dans les archives cycliques, durant lesquels aucune connexion au matériel n’a été établie, cette Valeur chaîne pour le remplissage des archives est utilisée tant qu’aucune valeur n’est transférée depuis l’équipement. Dans le cas contraire, la dernière valeur valide est utilisée pour le renseignement.

Longueur maximale : 128 caractères

Attention : Cette propriété n’est pas disponible aux fins de la commutation de langue.

Plus de détails dans l’aide en ligne.

VT_BSTR

Recourceslabel

Description externe

Chaîne au choix.
N'est pas utilisé au niveau interne dans zenon, mais est disponible lors de l’exportation de valeurs pour autoriser l’attribution des valeurs exportées pour les systèmes de gestion tels qu’ERP.

Longueur maximale : 255 caractères

Plus de détails dans l’aide en ligne.

VT_UI4

NetAddr

Adresse réseau

Adresse de bus ou Adresse réseau de la variable.

  • Minimum : 0
  • Maximum : 4294967295

Par défaut : 0

Plus de détails dans l’aide en ligne.

VT_UI4

DataBlock

Bloc de données

Numéro de bloc de données.
Minimum : 0.
Maximum : 4294967295
Par défaut : 0.

Plus de détails dans l’aide en ligne.

VT_UI4

Offset

Offset

Décalage de la variable.
Pour les contrôleurs à adressage linéaire : plage de mémoire.
Pour les contrôleurs à résolution de nom : adresse d’attribution.
Minimum : 0.
Maximum : 4294967295
Par défaut : 0.

Plus de détails dans l’aide en ligne.

VT_UI2

BitAddr

Numéro de bit

Numéro du bit dans le décalage configuré.
Minimum : 0.
Maximum : 65535
Par défaut : 0.

Plus de détails dans l’aide en ligne.

VT_UI2

Alignment

Alignement

Ceci dépend de la granularité du type d’objet du driver et de la position de la variable conformément au décalage défini.

Pour les variables de type Octet :
Octet poids fort : octet de poids fort dans le décalage de mot.
Octet poids faible : Otet de poids faible dans le décalage de mot.
HiWord-HiByte octet de poids fort dans le mot fort dans le décalage de double mot.
HiWord-LoByte (Mot poids fort-Octet poids faible) octet de poids faible dans le mot fort dans le décalage de double mot.
Mot poids faible-Octet poids fort : octet de poids fort dans le mot faible dans le décalage de double mot.
Mot poids faible-Octet poids faible : octet de poids faible dans le mot faible dans le décalage de double mot.

Pour les variables de mot :
Mot poids fort : mot fort dans le décalage de double mot.
Mot poids faible : Mot poids faible dans le décalage de double mot.

Plus de détails dans l’aide en ligne.

VT_UI2

StringLength

Longueur de la chaîne

Disponible uniquement pour les variables de type chaîne.
Nombre maximum de caractères que peut accepter une variable.
Minimum : 1 caractère
Si la valeur non autorisée 0 est saisie, la dernière valeur configurée valide est automatiquement utilisée. Si aucune valeur valide n’a été configurée, l’entrée est remplacée par la valeur par défaut.
Maximum : 65535 caractères.
Par défaut : 5 caractères

Remarque : la valeur par défaut est 65 535 pour les variables système avec le type de données String.

Plus de détails dans l’aide en ligne.

VT_BSTR

SymbAddr

Adresse symbolique

Séquence de caractères pour l’adressage symbolique des variables.

Longueur maximale : 1024 caractères.

Remarque : L’adresse symbolique n’est pas prise en charge par tous les drivers.
Lors de l’importation des variables dans des drivers compatibles avec l’adressage symbolique, la propriété est saisie automatiquement.

Plus de détails dans l’aide en ligne.

VT_UI4

Driver

Drivers

VT_UI4

ID_DataTyp

Type de données

Type de donnée pour la variable. Sélectionné durant la création de la variable ; peut être modifié ici ultérieurement.
Remarque : Pour les variables de structure, le type de données ne peut plus être modifié après la création des variables.
Attention : Si vous modifiez le type de données ultérieurement, toutes les autres propriétés de la variable doivent être vérifiées et ajustées, si nécessaire.

Plus de détails dans l’aide en ligne.

VT_UI4

ID_DriverTyp

Type d'objet driver

Selon le driver utilisé, un type d’objet est sélectionné durant la création de la variable et peut être modifié ici ultérieurement.
Siemens : bloc de données, marqueur, entrée/sortie.
Modbus : Coil et Holding Register.

Plus de détails dans l’aide en ligne.

VT_UI1

UpdatePriority

Priorité

Si l’heure de mise à jour globale spécifiée dans la configuration du driver n’est pas utilisée, la fréquence des mises à jour correspondant aux différents niveaux de priorité peut être définie ici. Dans cette propriété, une priorité est attribuée à une variable.

Plus de détails dans l’aide en ligne.

VT_BOOL

Standby

Lire uniquement sur le serveur redondant

Active : La valeur de la variable provenant du serveur redondant est affichée.
Inactive : La valeur de la variable provenant du serveur est affichée.
(drivers matériels uniquement)

Plus de détails dans l’aide en ligne.

VT_UI2

Digits

Nombre de décimales

Nombre de décimales des valeurs de variables utilisées lors de l’affichage dans le système de contrôle.
Minimum : 0
Maximum : 10
Par défaut : 0

Plus de détails dans l’aide en ligne.

VT_R8

SignalMin

Signal min.

Valeur minimum de la variable dans l’automate.
À moins d’être définie différemment dans la propriété Ajustement non-linéaire, la valeur brute des variables (résolution du signal) sera toujours convertie au format de la plage de mesure sur une base linéaire (pour une utilisation dans le système de contrôle). Toutes les autres entrées de valeurs numériques spécifiques à la variable dans Editor et dans le Runtime seront liées à la plage de mesures (par ex. définition des valeurs limites, limites des valeurs prescrites, zone de représentation, entrées de valeurs prescrites, etc.).

Plus de détails dans l’aide en ligne.

VT_R8

SignalMax

Signal max.

Valeur maximum de la variable dans l’automate. À moins d’être définie différemment dans la propriété Ajustement non-linéaire, la valeur brute des variables (résolution du signal) sera toujours convertie au format de la plage de mesure sur une base linéaire (pour une utilisation dans le système de contrôle). Toutes les autres entrées de valeurs numériques spécifiques à la variable dans Editor et dans le Runtime seront liées à la plage de mesures (par ex. définition des valeurs limites, limites des valeurs prescrites, zone de représentation, entrées de valeurs prescrites, etc.).

Plus de détails dans l’aide en ligne.

VT_R8

RangeMin

Plage de mesure min.

Valeur minimum des variables dans zenon.
À moins d’être définie différemment dans la propriété Ajustement non-linéaire, la valeur brute des variables (résolution du signal) sera toujours convertie au format de la plage de mesure sur une base linéaire (pour une utilisation dans le système de contrôle). Toutes les autres entrées de valeurs numériques spécifiques à la variable dans Editor et dans le Runtime seront liées à la plage de mesures (par ex. définition des valeurs limites, limites des valeurs prescrites, zone de représentation, entrées de valeurs prescrites, etc.).

Plus de détails dans l’aide en ligne.

VT_R8

RangeMax

Plage de mesure max.

Valeur maximum des variables dans zenon.
À moins d’être définie différemment dans la propriété Ajustement non-linéaire, la valeur brute des variables (résolution du signal) sera toujours convertie au format de la plage de mesure sur une base linéaire (pour une utilisation dans le système de contrôle). Toutes les autres entrées de valeurs numériques spécifiques à la variable dans Editor et dans le Runtime seront liées à la plage de mesures (par ex. définition des valeurs limites, limites des valeurs prescrites, zone de représentation, entrées de valeurs prescrites, etc.).

Plus de détails dans l’aide en ligne.

VT_BOOL

UseMacro

Ajustement non-linéaire avec macros

L’ajustement de valeurs non linéaires est utilisé pour les variables dont la valeur originale (automate) ne peut pas être ajustée de manière linéaire en fonction de la valeur mesurée (système de contrôle).

  • Active : Les valeurs brutes sont ajustées en fonction de zenon, sur une base non linéaire, avec des macros VBA.
  • Inactive : Les valeurs brutes sont ajustées en fonction de zenon.

Remarque : Lors de l’activation de la propriété, les propriétés AdjustHardwareValue et AdjustScadaValue doivent également être configurées. La propriété AdjustHardwareValue doit alors être configurée à l’inverse de la propriété AdjustScadaValue, sous forme de fonction inverse.

Par défaut : Inactive

Plus de détails dans l’aide en ligne.

ZT_VBAMAKRO

AdjustHardware

AdjustHardwareValue

Disponible uniquement si la propriété Ajustement non-linéaire avec macros est active.

Macro appelée à chaque modification de la valeur brute dans l’automate, et qui modifie la valeur dans zenon. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de macros.
Plus de détails dans l’aide en ligne.

ZT_VBAMAKRO

AdjustZenon

AdjustScadaValue

Disponible uniquement si la propriété Ajustement non-linéaire avec macros est active.

La macro est appelée lors de l’écriture d’une valeur depuis zenon et modifie la valeur brute sur l’automate. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de macros.
Plus de détails dans l’aide en ligne.

VT_R8

HystNeg

Négatif pour le signal

Hystérésis des valeurs limites définies en fonction de la plage du signal.

Plage d’hystérésis pour l’entrée en cas de changement de valeur avec diminution. Les valeurs sont uniquement interprétées comme des dépassements de valeur limite si la valeur changeante est inférieure à la plage d’hystérésis définie ici.
Par défaut : 0 (pas d’hystérésis)

Plus de détails dans l’aide en ligne.

VT_R8

HystPos

Positif pour le signal

Hystérésis des valeurs limites définies en fonction de la plage du signal.

Plage d’hystérésis pour l’entrée en cas de changement de valeur avec augmentation. Les valeurs sont uniquement interprétées comme des dépassements de valeur limite si la valeur changeante est supérieure à la plage d’hystérésis définie ici.
Par défaut : 0 (pas d’hystérésis)

Plus de détails dans l’aide en ligne.

VT_R8

ArchHystNeg

Négatif pour l'archive

Hystérésis d’archivage en cas de changement appliquée à la plage de mesure.

Plage d’hystérésis pour l’entrée en cas de changement de valeur avec diminution. Les valeurs sont uniquement saisies dans l’archive si la valeur changeante est inférieure à la plage d’hystérésis définie ici.
Par défaut : 0 (pas d’hystérésis)

Plus de détails dans l’aide en ligne.

VT_R8

ArchHystPos

Positif pour l'archive

Hystérésis d’archivage en cas de changement appliquée à la plage de mesure.

Plage d’hystérésis pour l’entrée en cas de changement de valeur avec augmentation. Les valeurs sont uniquement saisies dans l’archive si la valeur changeante est supérieure à la plage d’hystérésis définie ici.
Par défaut : 0 (pas d’hystérésis)

Plus de détails dans l’aide en ligne.

VT_BOOL

DDEActive

Variable lue en permanence

Paramètre de lecture de la variable et de sa disponibilité via DDE dans le Runtime :

  • Active : La variable est toujours connectée au driver. Cela signifie qu’elle est continuellement lue par le driver, même si elle n’est pas nécessaire dans le projet à cet instant précis. Le driver connaît ainsi toujours les valeurs actuelles et l’état actuel des variables et peut les fournir immédiatement, si nécessaire. La variable est également disponible pour les autres applications Windows (par exemple, Excel, Visual Basic, etc.). Les applications Windows possédant une fonctionnalité de client DDE peuvent ainsi utiliser les valeurs de la variable.
    Temps d’actualisation : 0,5 s
    L'activation de cette option offre par exemple l’avantage de basculer plus rapidement les valeurs de variables dans la fonction Ecriture valeur prescrite ou dans l’élément Appel de synoptique, car il n’est pas nécessaire d’interroger spécialement la variable avant la commutation. L’inconvénient est une augmentation de la charge des communications au niveau du contrôleur.
  • Inactive : La variable n’est pas interrogée en permanence par le driver, mais uniquement en cas de demande de valeurs ou d’états dans le Runtime. Elle n’est donc pas disponible dans les autres applications Windows via DDE.

Par défaut : Inactive

Plus de détails dans l’aide en ligne.

VT_UI4

ArraySizeOld

Dimension tableau

Définition de la taille de l’ensemble de blocs. La taille définie est lue ou écrite par le driver durant une demande de lecture/d’écriture. Ceci permet de garantir la cohérence des données dans le texte. Les données peuvent uniquement être modifiées dans le module Recipegroup Manager ou via l’interface de programmation.
Attention : peut être défini au niveau du driver interne, toutefois sans fonction dans le Runtime (valeur toujours égale à 0).

Plus de détails dans l’aide en ligne.

VT_UI4

CounterGroup

Groupe de compteur

Disponible uniquement dans SICAM 230.

VT_UI4

MaxGradient

Gradient maximum

Disponible uniquement dans SICAM 230.

VT_BOOL

NormalStateActive

Actif

Permet de définir un état normal pour les variables et les types de données du type BOOL, UINT et WORD pour tous les drivers.

Active : Un état normal peut être défini.

Par défaut : Inactive

Plus de détails dans l’aide en ligne.

VT_BOOL

NormalState

Valeur normale

Dans la liste déroulante, choisissez si la valeur normale de cette variable ou ce type de données doit être On (Active) ou Off (Inactive). Disponible pour les variables et les types de données du type BOOL, UINT et WORD pour tous les drivers.

Par défaut : Off

Plus de détails dans l’aide en ligne.

ZT_VARIABLE

AlarmPV0

Variable d'alarme 1

Disponible uniquement dans SICAM 230.
Première variable pour la gestion d’alarmes de synoptiques.

Plus de détails dans l’aide en ligne.

ZT_VARIABLE

AlarmPV1

Variable d'alarme 2

Disponible uniquement dans SICAM 230.
Deuxième variable pour la gestion d’alarmes de synoptiques.

Plus de détails dans l’aide en ligne.

ZT_VARIABLE

AlarmPV2

Variable d'alarme 3

Disponible uniquement dans SICAM 230.
Troisième variable pour la gestion d’alarmes de synoptiques.

Plus de détails dans l’aide en ligne.

VT_BOOL

HDActive

Stockage de données sur disque dur actif

Active : les valeurs de variables sont enregistrées sur le disque dur (enregistrement circulaire) pour être évaluées dans l’élément dynamique "Élément de tendance" ou pour l’exportation/l’importation des valeurs.

Inactive : aucune valeur de variable n’est enregistrée.

Par défaut : inactive

Les données de disque dur nécessitent 24 octets d’espace de stockage par valeur, indépendamment du type de variable. Outre la valeur, les informations suivantes sont enregistrées :
- Heure d’exécution de la mesure.
- Millisecondes lors de la lecture de la valeur.
- Modification de l’état de la valeur en fonction des éléments.
- Compteur pour l’identification unique de la valeur (driver événementiel).

Remarque : Le stockage de données est également activé lors d’un appel de synoptique de type Extended Trend si des données en ligne sont analysées.
Les variables de type chaîne ne sont pas prises en charge par la fonction de stockage de données sur le disque dur.

Attention : si l’option d’enregistrement sur disque dur est activée pour un trop grand nombre de variables, en présence d’un trop grand nombre de valeurs, les performances du Runtime peuvent être altérées.

Plus de détails dans l’aide en ligne.

VT_R4

HDUpdate

Temps de cycle [s]

Disponible uniquement si la propriété Stockage de données sur disque dur actif est active :
Durée de l’intervalle [en secondes] de conservation des valeurs en ligne sur le disque dur (mémoire circulaire) pour l’analyse dans l’élément dynamique Tendance, pour les données en ligne dans le module Extended Trend ou pour l’exportation/l’importation de valeurs.

Plus de détails dans l’aide en ligne.

VT_UI4

HDSize

Nombre de valeurs

Valeur correspondant à l’intervalle de conservation des valeurs en ligne sur le disque dur (mémoire circulaire) pour l’analyse dans l’élément dynamique Tendance, pour les données en ligne dans le module Extended Trend ou pour l’exportation/l’importation de valeurs.

Attention : si l’option d’enregistrement sur disque dur est activée pour un trop grand nombre de variables, en présence d’un trop grand nombre de valeurs, les performances du Runtime peuvent être altérées.

Plus de détails dans l’aide en ligne.

VT_BOOL

IsKDAActiv

Type d'enregistrement

Disponible uniquement si la propriété Stockage de données sur disque dur actif est active :
Données de disque dur (cyclique) : Écriture cyclique des valeurs sur le disque dur.
Valeurs retriées (RDA) : Les valeurs sont écrites bloc par bloc sur le disque dur par le driver. (Fonction adaptée à l’analyse rétrospective des erreurs au niveau du système de contrôle.)

Plus de détails dans l’aide en ligne.

VT_BOOL

ExternVisible

Visible extérieurement pour

Disponible uniquement si la propriété Visible par d'autres programmes est active.

Spécifiez expressément les projets de zenon Logic pour lesquels la variable doit être visible. Si vous laissez le champ de saisie vide, la variable est visible pour tous les projets zenon Logic. Vous pouvez également saisir des projets zenon Logic de manière expresse. Séparez les noms des projets individuels par un point-virgule (";"). Vous pouvez utiliser les opérateurs. Par exemple, P1* signifie tous les projets zenon Logic commençant par P1. (Remarque : les opérateurs sont uniquement autorisés sous forme de préfixe ou de suffixe, par exemple, *xxx ou xxx*.

Le nombre de caractères est limité à 64.

Par défaut : -

Plus de détails dans l’aide en ligne.

VT_BSTR

ExternVisibleFor

Visible extérieurement pour

Disponible uniquement si la propriété Visible par d'autres programmes est active.

Spécifiez expressément les projets de zenon Logic pour lesquels la variable doit être visible. Si vous laissez le champ de saisie vide, la variable est visible pour tous les projets zenon Logic. Vous pouvez également saisir des projets zenon Logic de manière expresse. Séparez les noms des projets individuels par un point-virgule (";"). Vous pouvez utiliser les opérateurs. Par exemple, P1* signifie tous les projets zenon Logic commençant par P1. (Remarque : les opérateurs sont uniquement autorisés sous forme de préfixe ou de suffixe, par exemple, *xxx ou xxx*.

Le nombre de caractères est limité à 64.

Par défaut : -

Plus de détails dans l’aide en ligne.

VT_BOOL

ReadWrite

Ecriture/lecture externe

Propriété externe pour zenon Logic. Affecte uniquement les variables qui ne forment pas partie du driver straton.
Active : la valeur de la variable ne peut pas être modifiée dans zenon Logic. La définition de la variable ne peut pas être modifiée dans zenon Logic.
Inactive : la variable ne peut pas être modifiée dans zenon Logic.
Par défaut : active.

Plus de détails dans l’aide en ligne.

VT_BSTR

InitialValue

Valeur initiale externe

Propriété externe pour zenon Logic. Affecte uniquement les variables qui ne forment pas partie du driver straton.
Valeur initiale de la variable dans zenon Logic durant une reprise graduelle ou une reprise intermédiaire.
La saisie autorisée ici dépend du type de données de la variable. Par exemple, vous pouvez uniquement utiliser des valeurs sans décimales pour les variables entières. Pour les variables à virgule flottante, un point doit être utilisé en tant que séparateur décimal ; les virgules ne peuvent pas être utilisées.
Le système de contrôle ne vérifie pas la validité de cette saisie. Ceci peut générer un message d’erreur dans zenon Logic.

Attention : lors de l’utilisation de variables du driver interne, cette propriété doit posséder la même valeur que la valeur initiale dans les paramètres des variables internes.

Plus de détails dans l’aide en ligne.

VT_BSTR

Profilename

Nom profil externe

Propriété externe pour zenon Logic. Affecte uniquement les variables qui ne forment pas partie du driver straton.
Nom du profil défini dans zenon Logic (par ex. STRATON, ProfDP).

Cette propriété est uniquement affichée pour information. Édition dans zenon Logic uniquement.

Plus de détails dans l’aide en ligne.

VT_BSTR

Adressparam

Paramètre externe d'adresse

Propriété externe pour zenon Logic. Affecte uniquement les variables qui ne sont pas des variables du driver straton.
Propriétés de profil dans zenon Logic (par ex. "intégré" ou paramètres d’adressage de Profibus).

Cette propriété est uniquement affichée pour information. Édition dans zenon Logic uniquement.

Plus de détails dans l’aide en ligne.

VT_BSTR

Vargroup

Groupe de variables externe

Propriété externe pour zenon Logic. Affecte uniquement les variables qui ne sont pas des variables du driver straton32.
Groupes de variables dans zenon Logic ("Global" ou "Retain" ou vides).

Cette propriété est uniquement affichée pour information. Édition dans zenon Logic uniquement.

Plus de détails dans l’aide en ligne.

VT_BOOL

IsRemaActiv

Matrice de réaction active

Active : Une matrice de réaction est utilisée à la place des valeurs de limite.
Inactive : Les valeurs peuvent être définies pour la variable.
Par défaut : inactive.

Plus de détails dans l’aide en ligne.

ZT_REMA

Rema

Matrice de réaction

Propriétés d’utilisation d’une matrice de réaction pour la variable.

Plus de détails dans l’aide en ligne.

ZT_VARIABLE

AlarmQuitPV

Valeur d'acquittement

Si une alarme de cette variable est acquittée visuellement, la variable sélectionnée sous Variable d'acquittement visuel ou Variable d'acquittement est définie sur cette valeur.

Sélection de 0 ou 1.

Plus de détails dans l’aide en ligne.

ZT_VARIABLE

AlarmViewQuitPV

Variable d'acquittement visuel

Si une alarme de la variable de contrôle est acquittée visuellement, la valeur de la variable d’acquittement visuel est définie sur la valeur définie par Valeur d'acquittement.

Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de variables binaires.

Plus de détails dans l’aide en ligne.

VT_UI4

AlarmQuitPVValue

Valeur d'acquittement

Si une alarme de cette variable est acquittée visuellement, la variable sélectionnée sous Variable d'acquittement visuel ou Variable d'acquittement est définie sur cette valeur.

Sélection de 0 ou 1.

Plus de détails dans l’aide en ligne.

VT_BOOL

VarInASM

Enregistrer dans la base IPA

Active : les alarmes de cette variable sont disponibles pour analyse dans le module Industrial Performance Analyzer (IPA).
Inactive : les alarmes de cette variable ne sont prises en compte lors de l’analyse dans le module Industrial Performance Analyzer (IPA).
Par défaut : Inactive

Attention : le module Industrial Performance Analyzer est un module optionnel, qui doit comporter une licence valide pour pouvoir être utilisé ici.

Plus de détails dans l’aide en ligne.

VT_BOOL

AlarmViaEquipmentModel

Utiliser la gestion d'alarmes hiérarchiques du modèle d'équipement

Type d’attribution de la variable à un domaine d’alarmes.

  • Active :
    Le domaine d’alarmes de la variable est transféré par le modèle d’équipement. L’alarme de la variable est applicable aux domaines d’alarmes définis dans le modèle d’équipement. Dans ce cas, le groupe d’équipements de la variable et le groupe d’équipements de niveau supérieur du modèle d’équipement sont pris en compte.
  • Inactive :
    L'alarme sur la variable est applicable aux domaines d’alarmes 1 à 4 de la gestion d’alarmes.

Remarque : Si cette propriété est activée pour un type de données, les paramètres de toutes les variables issues de celle-ci sont transférés.

Plus de détails dans l’aide en ligne.

ZT_BSTR_REF

AreaName

AreaName

Description as text.

ZT_BSTR_REF

AreaName2

AreaName2

Description as text.

ZT_BSTR_REF

AreaName3

AreaName3

Description as text.

ZT_BSTR_REF

AreaName4

AreaName4

Description as text.

VT_BOOL

InOut

Ecrire valeur prescrite

Active : cette variable est libérée pour l’action Spécifier valeur prescrite.
Inactive : cette variable est protégée en écriture.
Par défaut : Active

Plus de détails dans l’aide en ligne.

VT_BOOL

SBO

Select Before Operate

Attention : Cette fonctionnalité est uniquement compatible avec les drivers IEC870 et IEC850, et uniquement disponible si vous avez sélectionné l’option Commande commutation pour la propriété de type d’action dans Gestion des commandes, et l’action est mise en œuvre sous forme d’action à deux étapes. N’utilisez pas cette fonction pour le driver DNP3_NG ; Auto-SBO peut être configuré directement pour la variable, dans ce cas.

Active : Avant que la valeur de la variable ne soit écrite dans le matériel, zenon vérifie, pendant la première phase de la commande de commutation, si la variable dans l’équipement est prête pour cette action (Select before Operate (SBO)).
Attention : Pour les commandes impulsion, la réinitialisation automatique des valeurs des variables n’est pas effectuée dans l’intervalle de temps défini dans la propriété de délai de front.

Si la propriété SBO a été activée pour la variable d’action, une commande d’impulsion se comporte de la même manière qu’une commande de commutation.

Inactive : La valeur de la variable est transférée vers le driver sans vérification préalable.

Remarque : dans un driver IEC870, cela signifie une instruction Direct execute. Le driver IEC850 peut toutefois déclencher automatiquement une instruction Select before Operate , en raison du Control Model.
Par défaut : Inactive :
Plus de détails dans l’aide en ligne.

VT_BOOL

CancelOperate

Annuler 'Operate'

Si cette propriété est activée, il est possible d’envoyer une commande Cancel après une commande Operate lors de la gestion des commandes.

Remarque : Cette propriété est uniquement dans la version Energy Edition.

Par défaut : Inactive

Plus de détails dans l’aide en ligne.

VT_R8

ValueMin

Valeur prescrite min.

La valeur minimum définie ici pour le paramètre Écrire valeur prescrite peut être acceptée par le biais d’éléments dynamiques, plutôt que par la configuration séparée de ces derniers.
Ceci est surtout recommandé si la plage de la mesure est susceptible de varier ultérieurement, car ces modifications peuvent être effectuées une fois ici, au lieu d’être modifiées séparément dans chaque élément.

Plus de détails dans l’aide en ligne.

VT_R8

ValueMax

Valeur prescrite max.

La valeur maximum définie ici pour le paramètre Écrire valeur prescrite peut être acceptée par le biais d’éléments dynamiques, plutôt que par la configuration séparée de ces derniers.
Ceci est surtout recommandé si la plage de la mesure est susceptible de varier ultérieurement, car ces modifications peuvent être effectuées une fois ici, au lieu d’être modifiées séparément dans chaque élément.

Plus de détails dans l’aide en ligne.

VT_BSTR

LockingName

LockingName

"With this property you have the opportunity to assign an interlocking via its name.
zElement.DynProperties(""LockingName"") = ""Interlocking 1"""

VT_UI1

SetValueProtocol

Enregistrement (fichier journal)

Définit la manière dont l’écriture de la valeur prescrite sera consignée dans la liste CEL.

  • Tout : Toutes les actions Écrire valeur prescrite de cette variable exécutées via des éléments dynamiques et les fonctions Écrire valeur prescrite sont consignées dans la liste d’événements. (CEL)
  • Rien : aucune action Spécifier valeur prescrite n’est consignée dans la liste CEL.
  • Seulement sur élément dynamique : Seules les actions Écrire valeur prescrite exécutées via les éléments dynamiques sont consignées dans la liste CEL.

Par défaut : Uniquement les éléments dynamiques :

Plus de détails dans l’aide en ligne.

VT_BOOL

SV_Act

Ancienne et nouvelle valeur
  • Active : en cas de modification de la valeur prescrite de cette variable, les valeurs ancienne et nouvelle sont consignées dans la liste d’événements (CEL).
  • Inactive : Seule la nouvelle valeur est consignée.

Par défaut : Inactive

Recommandation : Activez la propriété Variable lue en permanence. Ceci permet de garantir que la valeur est toujours disponible, et qu’il n’est pas nécessaire de l’interroger spécialement.

Plus de détails dans l’aide en ligne.

VT_BOOL

SV_VBA

Valeurs modifiées par VBA

Active : L’écriture de la valeur prescrite de cette variable via une macro VBA est consignée dans la liste d’événements.
inactive : l’écriture de la valeur prescrite de cette variable via une macro VBA n’est pas consignée.
Par défaut : Active

Remarque : pour les variables configurées sous forme de variables de commande dans la passerelle de procédé IEC870, chaque commande est consignée sous la forme Spécifier valeur prescrite via l’interface COM dans la liste CEL, si la propriété est activée.

Plus de détails dans l’aide en ligne.

VT_BSTR

VisualName

Nom visuel

Saisie d’un nom d’affichage de la variable dans zenon Analyzer. Celui-ci doit être unique dans le projet, mais ceci n’est pas vérifié dans zenon. Cette vérification est effectuée lors de l’importation dans zenon Analyzer.

Cette propriété fournit des informations qui sont utilisées pour la configuration de rapports dans zenon Analyzer. L’exportation des données de zenon vers zenon Analyzer est effectuée à l’aide de l’assistant Analyzer Export Wizard.

Attention : Si cette propriété est modifiée après la première exportation vers zenon Analyzer, ces modifications ne sont appliquées dans zenon Analyzer.

Plus de détails dans l’aide en ligne.

VT_BSTR

Meaning

Signification

Cette propriété fournit des informations qui sont utilisées par la fonction de configuration de rapports dans zenon Analyzer.
Les données peuvent être définies manuellement ou à l’aide de l’assistant Meaning and Waterfall Chart Wizard. L’exportation des données de zenon vers zenon Analyzer est effectuée à l’aide de l’assistant Analyzer Export Wizard.

Saisie de la signification (meaning) d’une variable dans zenon Analyzer. Plusieurs significations doivent être séparées par une virgule.
Syntaxe : [signification1],[signification2],…,[significationN]

Plus de détails dans l’aide en ligne.

VT_BSTR

WaterfallParam

Paramètre pour le waterfall diagram

Cette propriété fournit des informations qui sont utilisées par la fonction de configuration de rapports dans zenon Analyzer.
Les données peuvent être définies manuellement ou à l’aide de l’assistant Meaning and Waterfall Chart Wizard. L’exportation des données de zenon vers zenon Analyzer est effectuée à l’aide de l’assistant Analyzer Export Wizard.

Paramètres d’une variable pour un diagramme en cascade dans zenon Analyzer. Les entrées peuvent être créées pour les rapports par ligne ou les rapports par machine. Lors de l’exportation, en fonction de la structure des entrées, une décision est prise pour déterminer s’il s’agit d’entrées correspondant à des diagrammes par machine ou par ligne.

Les paramètres individuels doivent être séparés par une virgule. Plusieurs cascades doivent être séparées par un poing-virgule.
Syntaxe, par machine : [nom modèle],[indice de ligne],[indice de colonne],[code de couleur];
Syntaxe, par ligne : [nom du modèle],[indice de ligne],[indice de colonne],[code de couleur],[perte de machine auxiliaire],[ajout de perte de machine auxiliaire],[soustraction de perte de machine auxiliaire];

Plus de détails dans l’aide en ligne.

VT_BOOL

Use_in_ProcRec

Activer l'enregistrement

Active/désactive la variable ou le type de données enregistré dans le module Process Recorder.
La sélection multiple de variables est possible.

  • Active :
    Les changements de valeur de la variable sont enregistrés dans le module Process Recorder.
    Attention : Assurez-vous que l’activation générale de l’enregistrement a été configurée dans la propriété Activer Process Recorder.
  • Inactive :
    Les changements de valeur de la variable ne sont pas enregistrés dans le module Process Recorder.

Par défaut : les paramètres configurés sont appliqués pour le type de données utilisé.

Plus de détails dans l’aide en ligne.


CDNP3_TGVarED

Manuel -> Interfaces de programmation -> Modèles d'objet -> Variable -> Variable-Dynamic properties -> CDNP3_TGVarED

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Type

VBA/VSTA Name

Display Name

Description

VT_UI2

Command_Mode

Command Mode

Uniquement pour les types d’objet driver Binary Output et Analog Output. Sélection du Command Mode dans une liste déroulante :

  • Automatic SBO: Une commande Select est effectuée lors de l’écriture. Lorsque la commande Selects est confirmée par la station distante, une commande Operate est émise. L’état des variables est défini sur CoT_actterm. Ceci s’applique aux Outputs binaires et aux Outputs analogiques. Une BOOL Output binaire peut également être utilisée pour Close et Trip via la gestion des commandes en définissant le paramètre QoC sur 2.
  • Direct Operate: Function Code 0x5 - Direct Operate est utilisé pour l’écriture d’Outputs binaires et d’Outputs analogiques.
  • Direct Operate NoAck: Function Code 0x5 - Direct Operate est utilisé pour l’écriture d’Outputs binaires et d’Outputs analogiques. Aucune réponse n’est fournie par le contrôleur ; la réussite de l’écriture n’est pas confirmée.

Par défaut : Direct Operate

Plus de détails dans l’aide en ligne des drivers.

VT_BOOL

Classless_Read

Classless read

Attribution des valeurs à la variable avec des requêtes en lecture explicites :

  • Inactive : Les valeurs provenant d’une Integrity-Poll, d’une Event-Poll oder unsolicited responses sont attribuées à la variable.
    Les valeurs reçues en réponse à une requête en lecture explicite ne sont pas attribuées.
  • Active : Seules les valeurs reçues en réponse à une requête en lecture explicite sont attribuées aux variables.

Plus de détails dans l’aide en ligne des drivers.

VT_BOOL

IsLocalDigits

IsLocalDigits

"With this property you have the opportunity to decide whether the ""Decimals"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalSignalMin

IsLocalSignalMin

"With this property you have the opportunity to decide whether the ""Minimum signal resolution"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalSignalMax

IsLocalSignalMax

"With this property you have the opportunity to decide whether the ""Maximum signal resolution"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalRangeMin

IsLocalRangeMin

"With this property you have the opportunity to decide whether the ""Minimum measuring range"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalRangeMax

IsLocalRangeMax

"With this property you have the opportunity to decide whether the ""Maximum measuring range"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalAlternateValue

IsLocalAlternateValue

"With this property you have the opportunity to decide whether the ""Alternate value"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalValueMin

IsLocalValueMin

"With this property you have the opportunity to decide whether the ""Minimum set value"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalValueMax

IsLocalValueMax

"With this property you have the opportunity to decide whether the ""Maximum set value"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalUseMacro

IsLocalUseMacro

"With this property you have the opportunity to decide whether the ""Non linear value adjustment with macros"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalInOut

IsLocalInOut

"With this property you have the opportunity to decide whether the ""Setting values active"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalHystNeg

IsLocalHystNeg

"With this property you have the opportunity to decide whether the ""negative hysteresis"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalHystPos

IsLocalHystPos

"With this property you have the opportunity to decide whether the ""negative hysteresis"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalArchHystNeg

IsLocalArchHystNeg

VT_BOOL

IsLocalArchHystPos

IsLocalArchHystPos

VT_BOOL

IsLocalUpdatePriority

IsLocalUpdatePriority

"With this property you have the opportunity to decide whether the ""Priority of the driver connection"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalDDEaktiv

IsLocalDDEaktiv

"With this property you have the opportunity to decide whether the ""DDE active"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalStandby

IsLocalStandby

"With this property you have the opportunity to decide whether the ""Only read from standby"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalRemaActiv

IsLocalRemaActiv

"With this property you have the opportunity to decide whether the ""Reaction matrix active"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalRema

IsLocalRema

"With this property you have the opportunity to decide whether the ""Reaction matrix"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalHDActive

IsLocalHDActive

"With this property you have the opportunity to decide whether the ""HD active"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalHDUpdate

IsLocalHDUpdate

"With this property you have the opportunity to decide whether the ""HD scan rate"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalHDSize

IsLocalHDSize

"With this property you have the opportunity to decide whether the ""Number of HD values"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalKDAActiv

IsLocalKDAActiv

"With this property you have the opportunity to decide whether the ""Recording type"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalStingLength

IsLocalStingLength

"With this property you have the opportunity to decide whether the ""String length"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalQuitPV

IsLocalQuitPV

"With this property you have the opportunity to decide whether the ""Acknowledgement variable"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalViewQuitPV

IsLocalViewQuitPV

Description as text.

VT_BOOL

IsLocalQuitValue

IsLocalQuitValue

"With this property you have the opportunity to decide whether the ""Acknowledgement value"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalTagname

IsLocalTagname

"With this property you have the opportunity to decide whether the ""Identification"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalUnit

IsLocalUnit

"With this property you have the opportunity to decide whether the ""Unit"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalAltValString

IsLocalAltValString

"With this property you have the opportunity to decide whether the ""String alternative value"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalRecLabel

IsLocalRecLabel

"With this property you have the opportunity to decide whether the ""Ressources label"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalAdjustHW

IsLocalAdjustHW

"With this property you have the opportunity to decide whether the ""AdjustHardwareValue"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalAdjustZenon

IsLocalAdjustZenon

"With this property you have the opportunity to decide whether the ""AdjustZenOnValue"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalArraySize

IsLocalArraySize

"With this property you have the opportunity to decide whether the ""Array size"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalCounterGroup

IsLocalCounterGroup

VT_BOOL

IsLocalMaxGradient

IsLocalMaxGradient

VT_BOOL

IsLocalNormalStateActive

IsLocalNormalStateActive

VT_BOOL

IsLocalNormalState

IsLocalNormalState

VT_BOOL

IsLocalAlarmPV0

IsLocalAlarmPV0

"With this property you have the opportunity to decide whether the ""Alarm Variable 1"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalAlarmPV1

IsLocalAlarmPV1

"With this property you have the opportunity to decide whether the ""Alarm Variable 2"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalAlarmPV2

IsLocalAlarmPV2

"With this property you have the opportunity to decide whether the ""Alarm Variable 3"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalVarInASM

IsLocalVarInASM

"With this property you have the opportunity to decide whether the ""Save in IPA database"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalAlarmDomain

IsLocalAlarmDomain

"With this property you have the opportunity to decide whether the ""Alarm area"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalAlarmDomain2

IsLocalAlarmDomain2

Description as text.

VT_BOOL

IsLocalAlarmDomain3

IsLocalAlarmDomain3

Description as text.

VT_BOOL

IsLocalAlarmDomain4

IsLocalAlarmDomain4

Description as text.

VT_BOOL

IsLocalLocking

IsLocalLocking

"With this property you have the opportunity to decide whether the ""Interlocking"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalSBO

IsLocalSBO

"With this property you have the opportunity to decide whether the ""Select before operate"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalCancelOperate

IsLocalCancelOperate

Description

VT_BOOL

IsLocalAlarmViaEquipmentModel

IsLocalAlarmViaEquipmentModel

Description

VT_BOOL

IsLocalUsedInProcRec

IsLocalUsedInProcRec

Description

VT_UI1

IsSWProtokol

IsSWProtokol

VT_BOOL

IsSW_Akt

IsSW_Akt

VT_BOOL

IsSW_VBA

IsSW_VBA

More...

Limits

Valeurs limite

Propriétés définissant le traitement des valeurs limites ou le traitement des alarmes pour la variable.

Les propriétés de ce groupe sont uniquement disponibles si vous avez activé la propriété Matrice de réaction active.

Plus de détails dans l’aide en ligne.

VT_UI4

ID_ComplexVariable

ID_ComplexVariable

With this property you have the opportunity to get/set the ID of a variable from a structure element. This ID is 0 when the variable has no structure datatype.

VT_BSTR

Name

Nom

Nom unique de la variable. Les considérations suivantes s’appliquent lors de la définition du nom :

  • Longueur maximale : 128 caractères
  • Caractères non autorisés : # et @

Remarque : pour les drivers utilisant la connexion à zenon Logic, vous devez définir un préfixe. Pour plus de détails, reportez-vous au chapitre Création de variables O et M dans zenon Logic dans le manuel.
Toute modification du nom de la variable doit également être effectuée dans l’environnement de programmation (VBA, VSTA).

Attention : Cette propriété n’est pas disponible aux fins de la commutation de langue.

Plus de détails dans l’aide en ligne.

VT_BSTR

Tagname

Identification

Chaîne libre utilisée pour l’identification de la variable ou du type de données.
Remarque : Puisque la langue du nom de la variable (propriété Nom) ne peut pas être modifiée, cette propriété peut être utilisée pour le changement de langue en ligne.

Longueur maximale : 128 caractères

Plus de détails dans l’aide en ligne.

VT_BSTR

Unit

Unité de mesure

Unité technique de la variable devant être affichée dans le Runtime. Si vous avez déjà créé des unités de mesure dans le module d’unités de base, celles-ci sont disponibles dans une liste déroulante.
Maximum : 50 caractères.
Par défaut : vide

Plus de détails dans l’aide en ligne.

VT_R8

AlternateValue

Archivfüllwert

Cette valeur est utilisée pour renseigner les archives cycliques. En présence d’intervalles durant lesquels aucune connexion au matériel n’a été établie, cette valeur est utilisée tant qu’aucune valeur n’est transférée depuis l’équipement. Dans le cas contraire, la dernière valeur valide utilisée est utilisée aux fins du renseignement.

Plus de détails dans l’aide en ligne.

VT_BSTR

AlternateValueString

Valeur chaîne pour le remplissage des archives

Cette valeur est utilisée pour les variables de chaîne, afin de renseigner les archives cycliques.
En présence d’intervalles, dans les archives cycliques, durant lesquels aucune connexion au matériel n’a été établie, cette Valeur chaîne pour le remplissage des archives est utilisée tant qu’aucune valeur n’est transférée depuis l’équipement. Dans le cas contraire, la dernière valeur valide est utilisée pour le renseignement.

Longueur maximale : 128 caractères

Attention : Cette propriété n’est pas disponible aux fins de la commutation de langue.

Plus de détails dans l’aide en ligne.

VT_BSTR

Recourceslabel

Description externe

Chaîne au choix.
N'est pas utilisé au niveau interne dans zenon, mais est disponible lors de l’exportation de valeurs pour autoriser l’attribution des valeurs exportées pour les systèmes de gestion tels qu’ERP.

Longueur maximale : 255 caractères

Plus de détails dans l’aide en ligne.

VT_UI4

NetAddr

Adresse réseau

Adresse de bus ou Adresse réseau de la variable.

  • Minimum : 0
  • Maximum : 4294967295

Par défaut : 0

Plus de détails dans l’aide en ligne.

VT_UI4

DataBlock

Bloc de données

Numéro de bloc de données.
Minimum : 0.
Maximum : 4294967295
Par défaut : 0.

Plus de détails dans l’aide en ligne.

VT_UI4

Offset

Offset

Décalage de la variable.
Pour les contrôleurs à adressage linéaire : plage de mémoire.
Pour les contrôleurs à résolution de nom : adresse d’attribution.
Minimum : 0.
Maximum : 4294967295
Par défaut : 0.

Plus de détails dans l’aide en ligne.

VT_UI2

BitAddr

Numéro de bit

Numéro du bit dans le décalage configuré.
Minimum : 0.
Maximum : 65535
Par défaut : 0.

Plus de détails dans l’aide en ligne.

VT_UI2

Alignment

Alignement

Ceci dépend de la granularité du type d’objet du driver et de la position de la variable conformément au décalage défini.

Pour les variables de type Octet :
Octet poids fort : octet de poids fort dans le décalage de mot.
Octet poids faible : Otet de poids faible dans le décalage de mot.
HiWord-HiByte octet de poids fort dans le mot fort dans le décalage de double mot.
HiWord-LoByte (Mot poids fort-Octet poids faible) octet de poids faible dans le mot fort dans le décalage de double mot.
Mot poids faible-Octet poids fort : octet de poids fort dans le mot faible dans le décalage de double mot.
Mot poids faible-Octet poids faible : octet de poids faible dans le mot faible dans le décalage de double mot.

Pour les variables de mot :
Mot poids fort : mot fort dans le décalage de double mot.
Mot poids faible : Mot poids faible dans le décalage de double mot.

Plus de détails dans l’aide en ligne.

VT_UI2

StringLength

Longueur de la chaîne

Disponible uniquement pour les variables de type chaîne.
Nombre maximum de caractères que peut accepter une variable.
Minimum : 1 caractère
Si la valeur non autorisée 0 est saisie, la dernière valeur configurée valide est automatiquement utilisée. Si aucune valeur valide n’a été configurée, l’entrée est remplacée par la valeur par défaut.
Maximum : 65535 caractères.
Par défaut : 5 caractères

Remarque : la valeur par défaut est 65 535 pour les variables système avec le type de données String.

Plus de détails dans l’aide en ligne.

VT_BSTR

SymbAddr

Adresse symbolique

Séquence de caractères pour l’adressage symbolique des variables.

Longueur maximale : 1024 caractères.

Remarque : L’adresse symbolique n’est pas prise en charge par tous les drivers.
Lors de l’importation des variables dans des drivers compatibles avec l’adressage symbolique, la propriété est saisie automatiquement.

Plus de détails dans l’aide en ligne.

VT_UI4

Driver

Drivers

VT_UI4

ID_DataTyp

Type de données

Type de donnée pour la variable. Sélectionné durant la création de la variable ; peut être modifié ici ultérieurement.
Remarque : Pour les variables de structure, le type de données ne peut plus être modifié après la création des variables.
Attention : Si vous modifiez le type de données ultérieurement, toutes les autres propriétés de la variable doivent être vérifiées et ajustées, si nécessaire.

Plus de détails dans l’aide en ligne.

VT_UI4

ID_DriverTyp

Type d'objet driver

Selon le driver utilisé, un type d’objet est sélectionné durant la création de la variable et peut être modifié ici ultérieurement.
Siemens : bloc de données, marqueur, entrée/sortie.
Modbus : Coil et Holding Register.

Plus de détails dans l’aide en ligne.

VT_UI1

UpdatePriority

Priorité

Si l’heure de mise à jour globale spécifiée dans la configuration du driver n’est pas utilisée, la fréquence des mises à jour correspondant aux différents niveaux de priorité peut être définie ici. Dans cette propriété, une priorité est attribuée à une variable.

Plus de détails dans l’aide en ligne.

VT_BOOL

Standby

Lire uniquement sur le serveur redondant

Active : La valeur de la variable provenant du serveur redondant est affichée.
Inactive : La valeur de la variable provenant du serveur est affichée.
(drivers matériels uniquement)

Plus de détails dans l’aide en ligne.

VT_UI2

Digits

Nombre de décimales

Nombre de décimales des valeurs de variables utilisées lors de l’affichage dans le système de contrôle.
Minimum : 0
Maximum : 10
Par défaut : 0

Plus de détails dans l’aide en ligne.

VT_R8

SignalMin

Signal min.

Valeur minimum de la variable dans l’automate.
À moins d’être définie différemment dans la propriété Ajustement non-linéaire, la valeur brute des variables (résolution du signal) sera toujours convertie au format de la plage de mesure sur une base linéaire (pour une utilisation dans le système de contrôle). Toutes les autres entrées de valeurs numériques spécifiques à la variable dans Editor et dans le Runtime seront liées à la plage de mesures (par ex. définition des valeurs limites, limites des valeurs prescrites, zone de représentation, entrées de valeurs prescrites, etc.).

Plus de détails dans l’aide en ligne.

VT_R8

SignalMax

Signal max.

Valeur maximum de la variable dans l’automate. À moins d’être définie différemment dans la propriété Ajustement non-linéaire, la valeur brute des variables (résolution du signal) sera toujours convertie au format de la plage de mesure sur une base linéaire (pour une utilisation dans le système de contrôle). Toutes les autres entrées de valeurs numériques spécifiques à la variable dans Editor et dans le Runtime seront liées à la plage de mesures (par ex. définition des valeurs limites, limites des valeurs prescrites, zone de représentation, entrées de valeurs prescrites, etc.).

Plus de détails dans l’aide en ligne.

VT_R8

RangeMin

Plage de mesure min.

Valeur minimum des variables dans zenon.
À moins d’être définie différemment dans la propriété Ajustement non-linéaire, la valeur brute des variables (résolution du signal) sera toujours convertie au format de la plage de mesure sur une base linéaire (pour une utilisation dans le système de contrôle). Toutes les autres entrées de valeurs numériques spécifiques à la variable dans Editor et dans le Runtime seront liées à la plage de mesures (par ex. définition des valeurs limites, limites des valeurs prescrites, zone de représentation, entrées de valeurs prescrites, etc.).

Plus de détails dans l’aide en ligne.

VT_R8

RangeMax

Plage de mesure max.

Valeur maximum des variables dans zenon.
À moins d’être définie différemment dans la propriété Ajustement non-linéaire, la valeur brute des variables (résolution du signal) sera toujours convertie au format de la plage de mesure sur une base linéaire (pour une utilisation dans le système de contrôle). Toutes les autres entrées de valeurs numériques spécifiques à la variable dans Editor et dans le Runtime seront liées à la plage de mesures (par ex. définition des valeurs limites, limites des valeurs prescrites, zone de représentation, entrées de valeurs prescrites, etc.).

Plus de détails dans l’aide en ligne.

VT_BOOL

UseMacro

Ajustement non-linéaire avec macros

L’ajustement de valeurs non linéaires est utilisé pour les variables dont la valeur originale (automate) ne peut pas être ajustée de manière linéaire en fonction de la valeur mesurée (système de contrôle).

  • Active : Les valeurs brutes sont ajustées en fonction de zenon, sur une base non linéaire, avec des macros VBA.
  • Inactive : Les valeurs brutes sont ajustées en fonction de zenon.

Remarque : Lors de l’activation de la propriété, les propriétés AdjustHardwareValue et AdjustScadaValue doivent également être configurées. La propriété AdjustHardwareValue doit alors être configurée à l’inverse de la propriété AdjustScadaValue, sous forme de fonction inverse.

Par défaut : Inactive

Plus de détails dans l’aide en ligne.

ZT_VBAMAKRO

AdjustHardware

AdjustHardwareValue

Disponible uniquement si la propriété Ajustement non-linéaire avec macros est active.

Macro appelée à chaque modification de la valeur brute dans l’automate, et qui modifie la valeur dans zenon. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de macros.
Plus de détails dans l’aide en ligne.

ZT_VBAMAKRO

AdjustZenon

AdjustScadaValue

Disponible uniquement si la propriété Ajustement non-linéaire avec macros est active.

La macro est appelée lors de l’écriture d’une valeur depuis zenon et modifie la valeur brute sur l’automate. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de macros.
Plus de détails dans l’aide en ligne.

VT_R8

HystNeg

Négatif pour le signal

Hystérésis des valeurs limites définies en fonction de la plage du signal.

Plage d’hystérésis pour l’entrée en cas de changement de valeur avec diminution. Les valeurs sont uniquement interprétées comme des dépassements de valeur limite si la valeur changeante est inférieure à la plage d’hystérésis définie ici.
Par défaut : 0 (pas d’hystérésis)

Plus de détails dans l’aide en ligne.

VT_R8

HystPos

Positif pour le signal

Hystérésis des valeurs limites définies en fonction de la plage du signal.

Plage d’hystérésis pour l’entrée en cas de changement de valeur avec augmentation. Les valeurs sont uniquement interprétées comme des dépassements de valeur limite si la valeur changeante est supérieure à la plage d’hystérésis définie ici.
Par défaut : 0 (pas d’hystérésis)

Plus de détails dans l’aide en ligne.

VT_R8

ArchHystNeg

Négatif pour l'archive

Hystérésis d’archivage en cas de changement appliquée à la plage de mesure.

Plage d’hystérésis pour l’entrée en cas de changement de valeur avec diminution. Les valeurs sont uniquement saisies dans l’archive si la valeur changeante est inférieure à la plage d’hystérésis définie ici.
Par défaut : 0 (pas d’hystérésis)

Plus de détails dans l’aide en ligne.

VT_R8

ArchHystPos

Positif pour l'archive

Hystérésis d’archivage en cas de changement appliquée à la plage de mesure.

Plage d’hystérésis pour l’entrée en cas de changement de valeur avec augmentation. Les valeurs sont uniquement saisies dans l’archive si la valeur changeante est supérieure à la plage d’hystérésis définie ici.
Par défaut : 0 (pas d’hystérésis)

Plus de détails dans l’aide en ligne.

VT_BOOL

DDEActive

Variable lue en permanence

Paramètre de lecture de la variable et de sa disponibilité via DDE dans le Runtime :

  • Active : La variable est toujours connectée au driver. Cela signifie qu’elle est continuellement lue par le driver, même si elle n’est pas nécessaire dans le projet à cet instant précis. Le driver connaît ainsi toujours les valeurs actuelles et l’état actuel des variables et peut les fournir immédiatement, si nécessaire. La variable est également disponible pour les autres applications Windows (par exemple, Excel, Visual Basic, etc.). Les applications Windows possédant une fonctionnalité de client DDE peuvent ainsi utiliser les valeurs de la variable.
    Temps d’actualisation : 0,5 s
    L'activation de cette option offre par exemple l’avantage de basculer plus rapidement les valeurs de variables dans la fonction Ecriture valeur prescrite ou dans l’élément Appel de synoptique, car il n’est pas nécessaire d’interroger spécialement la variable avant la commutation. L’inconvénient est une augmentation de la charge des communications au niveau du contrôleur.
  • Inactive : La variable n’est pas interrogée en permanence par le driver, mais uniquement en cas de demande de valeurs ou d’états dans le Runtime. Elle n’est donc pas disponible dans les autres applications Windows via DDE.

Par défaut : Inactive

Plus de détails dans l’aide en ligne.

VT_UI4

ArraySizeOld

Dimension tableau

Définition de la taille de l’ensemble de blocs. La taille définie est lue ou écrite par le driver durant une demande de lecture/d’écriture. Ceci permet de garantir la cohérence des données dans le texte. Les données peuvent uniquement être modifiées dans le module Recipegroup Manager ou via l’interface de programmation.
Attention : peut être défini au niveau du driver interne, toutefois sans fonction dans le Runtime (valeur toujours égale à 0).

Plus de détails dans l’aide en ligne.

VT_UI4

CounterGroup

Groupe de compteur

Disponible uniquement dans SICAM 230.

VT_UI4

MaxGradient

Gradient maximum

Disponible uniquement dans SICAM 230.

VT_BOOL

NormalStateActive

Actif

Permet de définir un état normal pour les variables et les types de données du type BOOL, UINT et WORD pour tous les drivers.

Active : Un état normal peut être défini.

Par défaut : Inactive

Plus de détails dans l’aide en ligne.

VT_BOOL

NormalState

Valeur normale

Dans la liste déroulante, choisissez si la valeur normale de cette variable ou ce type de données doit être On (Active) ou Off (Inactive). Disponible pour les variables et les types de données du type BOOL, UINT et WORD pour tous les drivers.

Par défaut : Off

Plus de détails dans l’aide en ligne.

ZT_VARIABLE

AlarmPV0

Variable d'alarme 1

Disponible uniquement dans SICAM 230.
Première variable pour la gestion d’alarmes de synoptiques.

Plus de détails dans l’aide en ligne.

ZT_VARIABLE

AlarmPV1

Variable d'alarme 2

Disponible uniquement dans SICAM 230.
Deuxième variable pour la gestion d’alarmes de synoptiques.

Plus de détails dans l’aide en ligne.

ZT_VARIABLE

AlarmPV2

Variable d'alarme 3

Disponible uniquement dans SICAM 230.
Troisième variable pour la gestion d’alarmes de synoptiques.

Plus de détails dans l’aide en ligne.

VT_BOOL

HDActive

Stockage de données sur disque dur actif

Active : les valeurs de variables sont enregistrées sur le disque dur (enregistrement circulaire) pour être évaluées dans l’élément dynamique "Élément de tendance" ou pour l’exportation/l’importation des valeurs.

Inactive : aucune valeur de variable n’est enregistrée.

Par défaut : inactive

Les données de disque dur nécessitent 24 octets d’espace de stockage par valeur, indépendamment du type de variable. Outre la valeur, les informations suivantes sont enregistrées :
- Heure d’exécution de la mesure.
- Millisecondes lors de la lecture de la valeur.
- Modification de l’état de la valeur en fonction des éléments.
- Compteur pour l’identification unique de la valeur (driver événementiel).

Remarque : Le stockage de données est également activé lors d’un appel de synoptique de type Extended Trend si des données en ligne sont analysées.
Les variables de type chaîne ne sont pas prises en charge par la fonction de stockage de données sur le disque dur.

Attention : si l’option d’enregistrement sur disque dur est activée pour un trop grand nombre de variables, en présence d’un trop grand nombre de valeurs, les performances du Runtime peuvent être altérées.

Plus de détails dans l’aide en ligne.

VT_R4

HDUpdate

Temps de cycle [s]

Disponible uniquement si la propriété Stockage de données sur disque dur actif est active :
Durée de l’intervalle [en secondes] de conservation des valeurs en ligne sur le disque dur (mémoire circulaire) pour l’analyse dans l’élément dynamique Tendance, pour les données en ligne dans le module Extended Trend ou pour l’exportation/l’importation de valeurs.

Plus de détails dans l’aide en ligne.

VT_UI4

HDSize

Nombre de valeurs

Valeur correspondant à l’intervalle de conservation des valeurs en ligne sur le disque dur (mémoire circulaire) pour l’analyse dans l’élément dynamique Tendance, pour les données en ligne dans le module Extended Trend ou pour l’exportation/l’importation de valeurs.

Attention : si l’option d’enregistrement sur disque dur est activée pour un trop grand nombre de variables, en présence d’un trop grand nombre de valeurs, les performances du Runtime peuvent être altérées.

Plus de détails dans l’aide en ligne.

VT_BOOL

IsKDAActiv

Type d'enregistrement

Disponible uniquement si la propriété Stockage de données sur disque dur actif est active :
Données de disque dur (cyclique) : Écriture cyclique des valeurs sur le disque dur.
Valeurs retriées (RDA) : Les valeurs sont écrites bloc par bloc sur le disque dur par le driver. (Fonction adaptée à l’analyse rétrospective des erreurs au niveau du système de contrôle.)

Plus de détails dans l’aide en ligne.

VT_BOOL

ExternVisible

Visible extérieurement pour

Disponible uniquement si la propriété Visible par d'autres programmes est active.

Spécifiez expressément les projets de zenon Logic pour lesquels la variable doit être visible. Si vous laissez le champ de saisie vide, la variable est visible pour tous les projets zenon Logic. Vous pouvez également saisir des projets zenon Logic de manière expresse. Séparez les noms des projets individuels par un point-virgule (";"). Vous pouvez utiliser les opérateurs. Par exemple, P1* signifie tous les projets zenon Logic commençant par P1. (Remarque : les opérateurs sont uniquement autorisés sous forme de préfixe ou de suffixe, par exemple, *xxx ou xxx*.

Le nombre de caractères est limité à 64.

Par défaut : -

Plus de détails dans l’aide en ligne.

VT_BSTR

ExternVisibleFor

Visible extérieurement pour

Disponible uniquement si la propriété Visible par d'autres programmes est active.

Spécifiez expressément les projets de zenon Logic pour lesquels la variable doit être visible. Si vous laissez le champ de saisie vide, la variable est visible pour tous les projets zenon Logic. Vous pouvez également saisir des projets zenon Logic de manière expresse. Séparez les noms des projets individuels par un point-virgule (";"). Vous pouvez utiliser les opérateurs. Par exemple, P1* signifie tous les projets zenon Logic commençant par P1. (Remarque : les opérateurs sont uniquement autorisés sous forme de préfixe ou de suffixe, par exemple, *xxx ou xxx*.

Le nombre de caractères est limité à 64.

Par défaut : -

Plus de détails dans l’aide en ligne.

VT_BOOL

ReadWrite

Ecriture/lecture externe

Propriété externe pour zenon Logic. Affecte uniquement les variables qui ne forment pas partie du driver straton.
Active : la valeur de la variable ne peut pas être modifiée dans zenon Logic. La définition de la variable ne peut pas être modifiée dans zenon Logic.
Inactive : la variable ne peut pas être modifiée dans zenon Logic.
Par défaut : active.

Plus de détails dans l’aide en ligne.

VT_BSTR

InitialValue

Valeur initiale externe

Propriété externe pour zenon Logic. Affecte uniquement les variables qui ne forment pas partie du driver straton.
Valeur initiale de la variable dans zenon Logic durant une reprise graduelle ou une reprise intermédiaire.
La saisie autorisée ici dépend du type de données de la variable. Par exemple, vous pouvez uniquement utiliser des valeurs sans décimales pour les variables entières. Pour les variables à virgule flottante, un point doit être utilisé en tant que séparateur décimal ; les virgules ne peuvent pas être utilisées.
Le système de contrôle ne vérifie pas la validité de cette saisie. Ceci peut générer un message d’erreur dans zenon Logic.

Attention : lors de l’utilisation de variables du driver interne, cette propriété doit posséder la même valeur que la valeur initiale dans les paramètres des variables internes.

Plus de détails dans l’aide en ligne.

VT_BSTR

Profilename

Nom profil externe

Propriété externe pour zenon Logic. Affecte uniquement les variables qui ne forment pas partie du driver straton.
Nom du profil défini dans zenon Logic (par ex. STRATON, ProfDP).

Cette propriété est uniquement affichée pour information. Édition dans zenon Logic uniquement.

Plus de détails dans l’aide en ligne.

VT_BSTR

Adressparam

Paramètre externe d'adresse

Propriété externe pour zenon Logic. Affecte uniquement les variables qui ne sont pas des variables du driver straton.
Propriétés de profil dans zenon Logic (par ex. "intégré" ou paramètres d’adressage de Profibus).

Cette propriété est uniquement affichée pour information. Édition dans zenon Logic uniquement.

Plus de détails dans l’aide en ligne.

VT_BSTR

Vargroup

Groupe de variables externe

Propriété externe pour zenon Logic. Affecte uniquement les variables qui ne sont pas des variables du driver straton32.
Groupes de variables dans zenon Logic ("Global" ou "Retain" ou vides).

Cette propriété est uniquement affichée pour information. Édition dans zenon Logic uniquement.

Plus de détails dans l’aide en ligne.

VT_BOOL

IsRemaActiv

Matrice de réaction active

Active : Une matrice de réaction est utilisée à la place des valeurs de limite.
Inactive : Les valeurs peuvent être définies pour la variable.
Par défaut : inactive.

Plus de détails dans l’aide en ligne.

ZT_REMA

Rema

Matrice de réaction

Propriétés d’utilisation d’une matrice de réaction pour la variable.

Plus de détails dans l’aide en ligne.

ZT_VARIABLE

AlarmQuitPV

Valeur d'acquittement

Si une alarme de cette variable est acquittée visuellement, la variable sélectionnée sous Variable d'acquittement visuel ou Variable d'acquittement est définie sur cette valeur.

Sélection de 0 ou 1.

Plus de détails dans l’aide en ligne.

ZT_VARIABLE

AlarmViewQuitPV

Variable d'acquittement visuel

Si une alarme de la variable de contrôle est acquittée visuellement, la valeur de la variable d’acquittement visuel est définie sur la valeur définie par Valeur d'acquittement.

Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de variables binaires.

Plus de détails dans l’aide en ligne.

VT_UI4

AlarmQuitPVValue

Valeur d'acquittement

Si une alarme de cette variable est acquittée visuellement, la variable sélectionnée sous Variable d'acquittement visuel ou Variable d'acquittement est définie sur cette valeur.

Sélection de 0 ou 1.

Plus de détails dans l’aide en ligne.

VT_BOOL

VarInASM

Enregistrer dans la base IPA

Active : les alarmes de cette variable sont disponibles pour analyse dans le module Industrial Performance Analyzer (IPA).
Inactive : les alarmes de cette variable ne sont prises en compte lors de l’analyse dans le module Industrial Performance Analyzer (IPA).
Par défaut : Inactive

Attention : le module Industrial Performance Analyzer est un module optionnel, qui doit comporter une licence valide pour pouvoir être utilisé ici.

Plus de détails dans l’aide en ligne.

VT_BOOL

AlarmViaEquipmentModel

Utiliser la gestion d'alarmes hiérarchiques du modèle d'équipement

Type d’attribution de la variable à un domaine d’alarmes.

  • Active :
    Le domaine d’alarmes de la variable est transféré par le modèle d’équipement. L’alarme de la variable est applicable aux domaines d’alarmes définis dans le modèle d’équipement. Dans ce cas, le groupe d’équipements de la variable et le groupe d’équipements de niveau supérieur du modèle d’équipement sont pris en compte.
  • Inactive :
    L'alarme sur la variable est applicable aux domaines d’alarmes 1 à 4 de la gestion d’alarmes.

Remarque : Si cette propriété est activée pour un type de données, les paramètres de toutes les variables issues de celle-ci sont transférés.

Plus de détails dans l’aide en ligne.

ZT_BSTR_REF

AreaName

AreaName

Description as text.

ZT_BSTR_REF

AreaName2

AreaName2

Description as text.

ZT_BSTR_REF

AreaName3

AreaName3

Description as text.

ZT_BSTR_REF

AreaName4

AreaName4

Description as text.

VT_BOOL

InOut

Ecrire valeur prescrite

Active : cette variable est libérée pour l’action Spécifier valeur prescrite.
Inactive : cette variable est protégée en écriture.
Par défaut : Active

Plus de détails dans l’aide en ligne.

VT_BOOL

SBO

Select Before Operate

Attention : Cette fonctionnalité est uniquement compatible avec les drivers IEC870 et IEC850, et uniquement disponible si vous avez sélectionné l’option Commande commutation pour la propriété de type d’action dans Gestion des commandes, et l’action est mise en œuvre sous forme d’action à deux étapes. N’utilisez pas cette fonction pour le driver DNP3_NG ; Auto-SBO peut être configuré directement pour la variable, dans ce cas.

Active : Avant que la valeur de la variable ne soit écrite dans le matériel, zenon vérifie, pendant la première phase de la commande de commutation, si la variable dans l’équipement est prête pour cette action (Select before Operate (SBO)).
Attention : Pour les commandes impulsion, la réinitialisation automatique des valeurs des variables n’est pas effectuée dans l’intervalle de temps défini dans la propriété de délai de front.

Si la propriété SBO a été activée pour la variable d’action, une commande d’impulsion se comporte de la même manière qu’une commande de commutation.

Inactive : La valeur de la variable est transférée vers le driver sans vérification préalable.

Remarque : dans un driver IEC870, cela signifie une instruction Direct execute. Le driver IEC850 peut toutefois déclencher automatiquement une instruction Select before Operate , en raison du Control Model.
Par défaut : Inactive :
Plus de détails dans l’aide en ligne.

VT_BOOL

CancelOperate

Annuler 'Operate'

Si cette propriété est activée, il est possible d’envoyer une commande Cancel après une commande Operate lors de la gestion des commandes.

Remarque : Cette propriété est uniquement dans la version Energy Edition.

Par défaut : Inactive

Plus de détails dans l’aide en ligne.

VT_R8

ValueMin

Valeur prescrite min.

La valeur minimum définie ici pour le paramètre Écrire valeur prescrite peut être acceptée par le biais d’éléments dynamiques, plutôt que par la configuration séparée de ces derniers.
Ceci est surtout recommandé si la plage de la mesure est susceptible de varier ultérieurement, car ces modifications peuvent être effectuées une fois ici, au lieu d’être modifiées séparément dans chaque élément.

Plus de détails dans l’aide en ligne.

VT_R8

ValueMax

Valeur prescrite max.

La valeur maximum définie ici pour le paramètre Écrire valeur prescrite peut être acceptée par le biais d’éléments dynamiques, plutôt que par la configuration séparée de ces derniers.
Ceci est surtout recommandé si la plage de la mesure est susceptible de varier ultérieurement, car ces modifications peuvent être effectuées une fois ici, au lieu d’être modifiées séparément dans chaque élément.

Plus de détails dans l’aide en ligne.

VT_BSTR

LockingName

LockingName

"With this property you have the opportunity to assign an interlocking via its name.
zElement.DynProperties(""LockingName"") = ""Interlocking 1"""

VT_UI1

SetValueProtocol

Enregistrement (fichier journal)

Définit la manière dont l’écriture de la valeur prescrite sera consignée dans la liste CEL.

  • Tout : Toutes les actions Écrire valeur prescrite de cette variable exécutées via des éléments dynamiques et les fonctions Écrire valeur prescrite sont consignées dans la liste d’événements. (CEL)
  • Rien : aucune action Spécifier valeur prescrite n’est consignée dans la liste CEL.
  • Seulement sur élément dynamique : Seules les actions Écrire valeur prescrite exécutées via les éléments dynamiques sont consignées dans la liste CEL.

Par défaut : Uniquement les éléments dynamiques :

Plus de détails dans l’aide en ligne.

VT_BOOL

SV_Act

Ancienne et nouvelle valeur
  • Active : en cas de modification de la valeur prescrite de cette variable, les valeurs ancienne et nouvelle sont consignées dans la liste d’événements (CEL).
  • Inactive : Seule la nouvelle valeur est consignée.

Par défaut : Inactive

Recommandation : Activez la propriété Variable lue en permanence. Ceci permet de garantir que la valeur est toujours disponible, et qu’il n’est pas nécessaire de l’interroger spécialement.

Plus de détails dans l’aide en ligne.

VT_BOOL

SV_VBA

Valeurs modifiées par VBA

Active : L’écriture de la valeur prescrite de cette variable via une macro VBA est consignée dans la liste d’événements.
inactive : l’écriture de la valeur prescrite de cette variable via une macro VBA n’est pas consignée.
Par défaut : Active

Remarque : pour les variables configurées sous forme de variables de commande dans la passerelle de procédé IEC870, chaque commande est consignée sous la forme Spécifier valeur prescrite via l’interface COM dans la liste CEL, si la propriété est activée.

Plus de détails dans l’aide en ligne.

VT_BSTR

VisualName

Nom visuel

Saisie d’un nom d’affichage de la variable dans zenon Analyzer. Celui-ci doit être unique dans le projet, mais ceci n’est pas vérifié dans zenon. Cette vérification est effectuée lors de l’importation dans zenon Analyzer.

Cette propriété fournit des informations qui sont utilisées pour la configuration de rapports dans zenon Analyzer. L’exportation des données de zenon vers zenon Analyzer est effectuée à l’aide de l’assistant Analyzer Export Wizard.

Attention : Si cette propriété est modifiée après la première exportation vers zenon Analyzer, ces modifications ne sont appliquées dans zenon Analyzer.

Plus de détails dans l’aide en ligne.

VT_BSTR

Meaning

Signification

Cette propriété fournit des informations qui sont utilisées par la fonction de configuration de rapports dans zenon Analyzer.
Les données peuvent être définies manuellement ou à l’aide de l’assistant Meaning and Waterfall Chart Wizard. L’exportation des données de zenon vers zenon Analyzer est effectuée à l’aide de l’assistant Analyzer Export Wizard.

Saisie de la signification (meaning) d’une variable dans zenon Analyzer. Plusieurs significations doivent être séparées par une virgule.
Syntaxe : [signification1],[signification2],…,[significationN]

Plus de détails dans l’aide en ligne.

VT_BSTR

WaterfallParam

Paramètre pour le waterfall diagram

Cette propriété fournit des informations qui sont utilisées par la fonction de configuration de rapports dans zenon Analyzer.
Les données peuvent être définies manuellement ou à l’aide de l’assistant Meaning and Waterfall Chart Wizard. L’exportation des données de zenon vers zenon Analyzer est effectuée à l’aide de l’assistant Analyzer Export Wizard.

Paramètres d’une variable pour un diagramme en cascade dans zenon Analyzer. Les entrées peuvent être créées pour les rapports par ligne ou les rapports par machine. Lors de l’exportation, en fonction de la structure des entrées, une décision est prise pour déterminer s’il s’agit d’entrées correspondant à des diagrammes par machine ou par ligne.

Les paramètres individuels doivent être séparés par une virgule. Plusieurs cascades doivent être séparées par un poing-virgule.
Syntaxe, par machine : [nom modèle],[indice de ligne],[indice de colonne],[code de couleur];
Syntaxe, par ligne : [nom du modèle],[indice de ligne],[indice de colonne],[code de couleur],[perte de machine auxiliaire],[ajout de perte de machine auxiliaire],[soustraction de perte de machine auxiliaire];

Plus de détails dans l’aide en ligne.

VT_BOOL

Use_in_ProcRec

Activer l'enregistrement

Active/désactive la variable ou le type de données enregistré dans le module Process Recorder.
La sélection multiple de variables est possible.

  • Active :
    Les changements de valeur de la variable sont enregistrés dans le module Process Recorder.
    Attention : Assurez-vous que l’activation générale de l’enregistrement a été configurée dans la propriété Activer Process Recorder.
  • Inactive :
    Les changements de valeur de la variable ne sont pas enregistrés dans le module Process Recorder.

Par défaut : les paramètres configurés sont appliqués pour le type de données utilisé.

Plus de détails dans l’aide en ligne.


DNP3 variable ED

Manuel -> Interfaces de programmation -> Modèles d'objet -> Variable -> Variable-Dynamic properties -> DNP3 variable ED

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Type

VBA/VSTA Name

Display Name

Description

VT_UI2

Variation

Variation

Sélectionnez la variation dans la liste déroulante.

  • Par défaut : La variation transmise par la station distante est utilisée pour les variables.
    En cas d’utilisation d’une variation différente de celle de la station distante, ou d’une variation spécifique aux variables n’appartenant pas à une classe, mais devant néanmoins être lues, une variation alternative peut être définie. Effectuez votre sélection dans la liste déroulante. Les alternatives proposées dépendent du type d’objet de driver des variables. Les valeurs numériques correspondent aux valeurs de variation autorisées pour ce type de données.

Le driver nécessite une lecture manuelle avec la variation définie après chaque requête Classe 0 ou en cas de déclenchement par une variable de requête de classe. SI une variation autre que Par défaut est sélectionnée, la propriété Variable lue en permanence est toujours activée.

Remarque : La station distante doit autoriser la lecture de la variation.

Plus de détails dans l’aide en ligne.

VT_UI2

Scangroup

Scangroup

Plus de détails dans l’aide en ligne

VT_UI2

Command_Mode

Command Mode

Sélection du mode de commande dans la liste déroulante :

  • Automatic SBO: Une commande Select est effectuée lors de l’écriture. Lorsque la commande Selects est confirmée par la station distante, une commande Operate est émise. L’état des variables est défini sur CoT_actterm. Ceci s’applique aux Outputs binaires et aux Outputs analogiques. Une BOOL Output binaire peut également être utilisée pour Close et Trip via la gestion des commandes en définissant le paramètre QoC sur 2.
  • Direct Operate: Function Code 0x5 - Direct Operate est utilisé pour l’écriture de Outputs binaires et de Outputs analogiques.

Plus de détails dans l’aide en ligne.

VT_BOOL

IsLocalDigits

IsLocalDigits

"With this property you have the opportunity to decide whether the ""Decimals"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalSignalMin

IsLocalSignalMin

"With this property you have the opportunity to decide whether the ""Minimum signal resolution"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalSignalMax

IsLocalSignalMax

"With this property you have the opportunity to decide whether the ""Maximum signal resolution"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalRangeMin

IsLocalRangeMin

"With this property you have the opportunity to decide whether the ""Minimum measuring range"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalRangeMax

IsLocalRangeMax

"With this property you have the opportunity to decide whether the ""Maximum measuring range"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalAlternateValue

IsLocalAlternateValue

"With this property you have the opportunity to decide whether the ""Alternate value"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalValueMin

IsLocalValueMin

"With this property you have the opportunity to decide whether the ""Minimum set value"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalValueMax

IsLocalValueMax

"With this property you have the opportunity to decide whether the ""Maximum set value"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalUseMacro

IsLocalUseMacro

"With this property you have the opportunity to decide whether the ""Non linear value adjustment with macros"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalInOut

IsLocalInOut

"With this property you have the opportunity to decide whether the ""Setting values active"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalHystNeg

IsLocalHystNeg

"With this property you have the opportunity to decide whether the ""negative hysteresis"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalHystPos

IsLocalHystPos

"With this property you have the opportunity to decide whether the ""negative hysteresis"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalArchHystNeg

IsLocalArchHystNeg

VT_BOOL

IsLocalArchHystPos

IsLocalArchHystPos

VT_BOOL

IsLocalUpdatePriority

IsLocalUpdatePriority

"With this property you have the opportunity to decide whether the ""Priority of the driver connection"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalDDEaktiv

IsLocalDDEaktiv

"With this property you have the opportunity to decide whether the ""DDE active"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalStandby

IsLocalStandby

"With this property you have the opportunity to decide whether the ""Only read from standby"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalRemaActiv

IsLocalRemaActiv

"With this property you have the opportunity to decide whether the ""Reaction matrix active"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalRema

IsLocalRema

"With this property you have the opportunity to decide whether the ""Reaction matrix"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalHDActive

IsLocalHDActive

"With this property you have the opportunity to decide whether the ""HD active"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalHDUpdate

IsLocalHDUpdate

"With this property you have the opportunity to decide whether the ""HD scan rate"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalHDSize

IsLocalHDSize

"With this property you have the opportunity to decide whether the ""Number of HD values"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalKDAActiv

IsLocalKDAActiv

"With this property you have the opportunity to decide whether the ""Recording type"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalStingLength

IsLocalStingLength

"With this property you have the opportunity to decide whether the ""String length"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalQuitPV

IsLocalQuitPV

"With this property you have the opportunity to decide whether the ""Acknowledgement variable"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalViewQuitPV

IsLocalViewQuitPV

Description as text.

VT_BOOL

IsLocalQuitValue

IsLocalQuitValue

"With this property you have the opportunity to decide whether the ""Acknowledgement value"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalTagname

IsLocalTagname

"With this property you have the opportunity to decide whether the ""Identification"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalUnit

IsLocalUnit

"With this property you have the opportunity to decide whether the ""Unit"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalAltValString

IsLocalAltValString

"With this property you have the opportunity to decide whether the ""String alternative value"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalRecLabel

IsLocalRecLabel

"With this property you have the opportunity to decide whether the ""Ressources label"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalAdjustHW

IsLocalAdjustHW

"With this property you have the opportunity to decide whether the ""AdjustHardwareValue"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalAdjustZenon

IsLocalAdjustZenon

"With this property you have the opportunity to decide whether the ""AdjustZenOnValue"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalArraySize

IsLocalArraySize

"With this property you have the opportunity to decide whether the ""Array size"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalCounterGroup

IsLocalCounterGroup

VT_BOOL

IsLocalMaxGradient

IsLocalMaxGradient

VT_BOOL

IsLocalNormalStateActive

IsLocalNormalStateActive

VT_BOOL

IsLocalNormalState

IsLocalNormalState

VT_BOOL

IsLocalAlarmPV0

IsLocalAlarmPV0

"With this property you have the opportunity to decide whether the ""Alarm Variable 1"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalAlarmPV1

IsLocalAlarmPV1

"With this property you have the opportunity to decide whether the ""Alarm Variable 2"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalAlarmPV2

IsLocalAlarmPV2

"With this property you have the opportunity to decide whether the ""Alarm Variable 3"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalVarInASM

IsLocalVarInASM

"With this property you have the opportunity to decide whether the ""Save in IPA database"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalAlarmDomain

IsLocalAlarmDomain

"With this property you have the opportunity to decide whether the ""Alarm area"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalAlarmDomain2

IsLocalAlarmDomain2

Description as text.

VT_BOOL

IsLocalAlarmDomain3

IsLocalAlarmDomain3

Description as text.

VT_BOOL

IsLocalAlarmDomain4

IsLocalAlarmDomain4

Description as text.

VT_BOOL

IsLocalLocking

IsLocalLocking

"With this property you have the opportunity to decide whether the ""Interlocking"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalSBO

IsLocalSBO

"With this property you have the opportunity to decide whether the ""Select before operate"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalCancelOperate

IsLocalCancelOperate

Description

VT_BOOL

IsLocalAlarmViaEquipmentModel

IsLocalAlarmViaEquipmentModel

Description

VT_BOOL

IsLocalUsedInProcRec

IsLocalUsedInProcRec

Description

VT_UI1

IsSWProtokol

IsSWProtokol

VT_BOOL

IsSW_Akt

IsSW_Akt

VT_BOOL

IsSW_VBA

IsSW_VBA

More...

Limits

Valeurs limite

Propriétés définissant le traitement des valeurs limites ou le traitement des alarmes pour la variable.

Les propriétés de ce groupe sont uniquement disponibles si vous avez activé la propriété Matrice de réaction active.

Plus de détails dans l’aide en ligne.

VT_UI4

ID_ComplexVariable

ID_ComplexVariable

With this property you have the opportunity to get/set the ID of a variable from a structure element. This ID is 0 when the variable has no structure datatype.

VT_BSTR

Name

Nom

Nom unique de la variable. Les considérations suivantes s’appliquent lors de la définition du nom :

  • Longueur maximale : 128 caractères
  • Caractères non autorisés : # et @

Remarque : pour les drivers utilisant la connexion à zenon Logic, vous devez définir un préfixe. Pour plus de détails, reportez-vous au chapitre Création de variables O et M dans zenon Logic dans le manuel.
Toute modification du nom de la variable doit également être effectuée dans l’environnement de programmation (VBA, VSTA).

Attention : Cette propriété n’est pas disponible aux fins de la commutation de langue.

Plus de détails dans l’aide en ligne.

VT_BSTR

Tagname

Identification

Chaîne libre utilisée pour l’identification de la variable ou du type de données.
Remarque : Puisque la langue du nom de la variable (propriété Nom) ne peut pas être modifiée, cette propriété peut être utilisée pour le changement de langue en ligne.

Longueur maximale : 128 caractères

Plus de détails dans l’aide en ligne.

VT_BSTR

Unit

Unité de mesure

Unité technique de la variable devant être affichée dans le Runtime. Si vous avez déjà créé des unités de mesure dans le module d’unités de base, celles-ci sont disponibles dans une liste déroulante.
Maximum : 50 caractères.
Par défaut : vide

Plus de détails dans l’aide en ligne.

VT_R8

AlternateValue

Archivfüllwert

Cette valeur est utilisée pour renseigner les archives cycliques. En présence d’intervalles durant lesquels aucune connexion au matériel n’a été établie, cette valeur est utilisée tant qu’aucune valeur n’est transférée depuis l’équipement. Dans le cas contraire, la dernière valeur valide utilisée est utilisée aux fins du renseignement.

Plus de détails dans l’aide en ligne.

VT_BSTR

AlternateValueString

Valeur chaîne pour le remplissage des archives

Cette valeur est utilisée pour les variables de chaîne, afin de renseigner les archives cycliques.
En présence d’intervalles, dans les archives cycliques, durant lesquels aucune connexion au matériel n’a été établie, cette Valeur chaîne pour le remplissage des archives est utilisée tant qu’aucune valeur n’est transférée depuis l’équipement. Dans le cas contraire, la dernière valeur valide est utilisée pour le renseignement.

Longueur maximale : 128 caractères

Attention : Cette propriété n’est pas disponible aux fins de la commutation de langue.

Plus de détails dans l’aide en ligne.

VT_BSTR

Recourceslabel

Description externe

Chaîne au choix.
N'est pas utilisé au niveau interne dans zenon, mais est disponible lors de l’exportation de valeurs pour autoriser l’attribution des valeurs exportées pour les systèmes de gestion tels qu’ERP.

Longueur maximale : 255 caractères

Plus de détails dans l’aide en ligne.

VT_UI4

NetAddr

Adresse réseau

Adresse de bus ou Adresse réseau de la variable.

  • Minimum : 0
  • Maximum : 4294967295

Par défaut : 0

Plus de détails dans l’aide en ligne.

VT_UI4

DataBlock

Bloc de données

Numéro de bloc de données.
Minimum : 0.
Maximum : 4294967295
Par défaut : 0.

Plus de détails dans l’aide en ligne.

VT_UI4

Offset

Offset

Décalage de la variable.
Pour les contrôleurs à adressage linéaire : plage de mémoire.
Pour les contrôleurs à résolution de nom : adresse d’attribution.
Minimum : 0.
Maximum : 4294967295
Par défaut : 0.

Plus de détails dans l’aide en ligne.

VT_UI2

BitAddr

Numéro de bit

Numéro du bit dans le décalage configuré.
Minimum : 0.
Maximum : 65535
Par défaut : 0.

Plus de détails dans l’aide en ligne.

VT_UI2

Alignment

Alignement

Ceci dépend de la granularité du type d’objet du driver et de la position de la variable conformément au décalage défini.

Pour les variables de type Octet :
Octet poids fort : octet de poids fort dans le décalage de mot.
Octet poids faible : Otet de poids faible dans le décalage de mot.
HiWord-HiByte octet de poids fort dans le mot fort dans le décalage de double mot.
HiWord-LoByte (Mot poids fort-Octet poids faible) octet de poids faible dans le mot fort dans le décalage de double mot.
Mot poids faible-Octet poids fort : octet de poids fort dans le mot faible dans le décalage de double mot.
Mot poids faible-Octet poids faible : octet de poids faible dans le mot faible dans le décalage de double mot.

Pour les variables de mot :
Mot poids fort : mot fort dans le décalage de double mot.
Mot poids faible : Mot poids faible dans le décalage de double mot.

Plus de détails dans l’aide en ligne.

VT_UI2

StringLength

Longueur de la chaîne

Disponible uniquement pour les variables de type chaîne.
Nombre maximum de caractères que peut accepter une variable.
Minimum : 1 caractère
Si la valeur non autorisée 0 est saisie, la dernière valeur configurée valide est automatiquement utilisée. Si aucune valeur valide n’a été configurée, l’entrée est remplacée par la valeur par défaut.
Maximum : 65535 caractères.
Par défaut : 5 caractères

Remarque : la valeur par défaut est 65 535 pour les variables système avec le type de données String.

Plus de détails dans l’aide en ligne.

VT_BSTR

SymbAddr

Adresse symbolique

Séquence de caractères pour l’adressage symbolique des variables.

Longueur maximale : 1024 caractères.

Remarque : L’adresse symbolique n’est pas prise en charge par tous les drivers.
Lors de l’importation des variables dans des drivers compatibles avec l’adressage symbolique, la propriété est saisie automatiquement.

Plus de détails dans l’aide en ligne.

VT_UI4

Driver

Drivers

VT_UI4

ID_DataTyp

Type de données

Type de donnée pour la variable. Sélectionné durant la création de la variable ; peut être modifié ici ultérieurement.
Remarque : Pour les variables de structure, le type de données ne peut plus être modifié après la création des variables.
Attention : Si vous modifiez le type de données ultérieurement, toutes les autres propriétés de la variable doivent être vérifiées et ajustées, si nécessaire.

Plus de détails dans l’aide en ligne.

VT_UI4

ID_DriverTyp

Type d'objet driver

Selon le driver utilisé, un type d’objet est sélectionné durant la création de la variable et peut être modifié ici ultérieurement.
Siemens : bloc de données, marqueur, entrée/sortie.
Modbus : Coil et Holding Register.

Plus de détails dans l’aide en ligne.

VT_UI1

UpdatePriority

Priorité

Si l’heure de mise à jour globale spécifiée dans la configuration du driver n’est pas utilisée, la fréquence des mises à jour correspondant aux différents niveaux de priorité peut être définie ici. Dans cette propriété, une priorité est attribuée à une variable.

Plus de détails dans l’aide en ligne.

VT_BOOL

Standby

Lire uniquement sur le serveur redondant

Active : La valeur de la variable provenant du serveur redondant est affichée.
Inactive : La valeur de la variable provenant du serveur est affichée.
(drivers matériels uniquement)

Plus de détails dans l’aide en ligne.

VT_UI2

Digits

Nombre de décimales

Nombre de décimales des valeurs de variables utilisées lors de l’affichage dans le système de contrôle.
Minimum : 0
Maximum : 10
Par défaut : 0

Plus de détails dans l’aide en ligne.

VT_R8

SignalMin

Signal min.

Valeur minimum de la variable dans l’automate.
À moins d’être définie différemment dans la propriété Ajustement non-linéaire, la valeur brute des variables (résolution du signal) sera toujours convertie au format de la plage de mesure sur une base linéaire (pour une utilisation dans le système de contrôle). Toutes les autres entrées de valeurs numériques spécifiques à la variable dans Editor et dans le Runtime seront liées à la plage de mesures (par ex. définition des valeurs limites, limites des valeurs prescrites, zone de représentation, entrées de valeurs prescrites, etc.).

Plus de détails dans l’aide en ligne.

VT_R8

SignalMax

Signal max.

Valeur maximum de la variable dans l’automate. À moins d’être définie différemment dans la propriété Ajustement non-linéaire, la valeur brute des variables (résolution du signal) sera toujours convertie au format de la plage de mesure sur une base linéaire (pour une utilisation dans le système de contrôle). Toutes les autres entrées de valeurs numériques spécifiques à la variable dans Editor et dans le Runtime seront liées à la plage de mesures (par ex. définition des valeurs limites, limites des valeurs prescrites, zone de représentation, entrées de valeurs prescrites, etc.).

Plus de détails dans l’aide en ligne.

VT_R8

RangeMin

Plage de mesure min.

Valeur minimum des variables dans zenon.
À moins d’être définie différemment dans la propriété Ajustement non-linéaire, la valeur brute des variables (résolution du signal) sera toujours convertie au format de la plage de mesure sur une base linéaire (pour une utilisation dans le système de contrôle). Toutes les autres entrées de valeurs numériques spécifiques à la variable dans Editor et dans le Runtime seront liées à la plage de mesures (par ex. définition des valeurs limites, limites des valeurs prescrites, zone de représentation, entrées de valeurs prescrites, etc.).

Plus de détails dans l’aide en ligne.

VT_R8

RangeMax

Plage de mesure max.

Valeur maximum des variables dans zenon.
À moins d’être définie différemment dans la propriété Ajustement non-linéaire, la valeur brute des variables (résolution du signal) sera toujours convertie au format de la plage de mesure sur une base linéaire (pour une utilisation dans le système de contrôle). Toutes les autres entrées de valeurs numériques spécifiques à la variable dans Editor et dans le Runtime seront liées à la plage de mesures (par ex. définition des valeurs limites, limites des valeurs prescrites, zone de représentation, entrées de valeurs prescrites, etc.).

Plus de détails dans l’aide en ligne.

VT_BOOL

UseMacro

Ajustement non-linéaire avec macros

L’ajustement de valeurs non linéaires est utilisé pour les variables dont la valeur originale (automate) ne peut pas être ajustée de manière linéaire en fonction de la valeur mesurée (système de contrôle).

  • Active : Les valeurs brutes sont ajustées en fonction de zenon, sur une base non linéaire, avec des macros VBA.
  • Inactive : Les valeurs brutes sont ajustées en fonction de zenon.

Remarque : Lors de l’activation de la propriété, les propriétés AdjustHardwareValue et AdjustScadaValue doivent également être configurées. La propriété AdjustHardwareValue doit alors être configurée à l’inverse de la propriété AdjustScadaValue, sous forme de fonction inverse.

Par défaut : Inactive

Plus de détails dans l’aide en ligne.

ZT_VBAMAKRO

AdjustHardware

AdjustHardwareValue

Disponible uniquement si la propriété Ajustement non-linéaire avec macros est active.

Macro appelée à chaque modification de la valeur brute dans l’automate, et qui modifie la valeur dans zenon. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de macros.
Plus de détails dans l’aide en ligne.

ZT_VBAMAKRO

AdjustZenon

AdjustScadaValue

Disponible uniquement si la propriété Ajustement non-linéaire avec macros est active.

La macro est appelée lors de l’écriture d’une valeur depuis zenon et modifie la valeur brute sur l’automate. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de macros.
Plus de détails dans l’aide en ligne.

VT_R8

HystNeg

Négatif pour le signal

Hystérésis des valeurs limites définies en fonction de la plage du signal.

Plage d’hystérésis pour l’entrée en cas de changement de valeur avec diminution. Les valeurs sont uniquement interprétées comme des dépassements de valeur limite si la valeur changeante est inférieure à la plage d’hystérésis définie ici.
Par défaut : 0 (pas d’hystérésis)

Plus de détails dans l’aide en ligne.

VT_R8

HystPos

Positif pour le signal

Hystérésis des valeurs limites définies en fonction de la plage du signal.

Plage d’hystérésis pour l’entrée en cas de changement de valeur avec augmentation. Les valeurs sont uniquement interprétées comme des dépassements de valeur limite si la valeur changeante est supérieure à la plage d’hystérésis définie ici.
Par défaut : 0 (pas d’hystérésis)

Plus de détails dans l’aide en ligne.

VT_R8

ArchHystNeg

Négatif pour l'archive

Hystérésis d’archivage en cas de changement appliquée à la plage de mesure.

Plage d’hystérésis pour l’entrée en cas de changement de valeur avec diminution. Les valeurs sont uniquement saisies dans l’archive si la valeur changeante est inférieure à la plage d’hystérésis définie ici.
Par défaut : 0 (pas d’hystérésis)

Plus de détails dans l’aide en ligne.

VT_R8

ArchHystPos

Positif pour l'archive

Hystérésis d’archivage en cas de changement appliquée à la plage de mesure.

Plage d’hystérésis pour l’entrée en cas de changement de valeur avec augmentation. Les valeurs sont uniquement saisies dans l’archive si la valeur changeante est supérieure à la plage d’hystérésis définie ici.
Par défaut : 0 (pas d’hystérésis)

Plus de détails dans l’aide en ligne.

VT_BOOL

DDEActive

Variable lue en permanence

Paramètre de lecture de la variable et de sa disponibilité via DDE dans le Runtime :

  • Active : La variable est toujours connectée au driver. Cela signifie qu’elle est continuellement lue par le driver, même si elle n’est pas nécessaire dans le projet à cet instant précis. Le driver connaît ainsi toujours les valeurs actuelles et l’état actuel des variables et peut les fournir immédiatement, si nécessaire. La variable est également disponible pour les autres applications Windows (par exemple, Excel, Visual Basic, etc.). Les applications Windows possédant une fonctionnalité de client DDE peuvent ainsi utiliser les valeurs de la variable.
    Temps d’actualisation : 0,5 s
    L'activation de cette option offre par exemple l’avantage de basculer plus rapidement les valeurs de variables dans la fonction Ecriture valeur prescrite ou dans l’élément Appel de synoptique, car il n’est pas nécessaire d’interroger spécialement la variable avant la commutation. L’inconvénient est une augmentation de la charge des communications au niveau du contrôleur.
  • Inactive : La variable n’est pas interrogée en permanence par le driver, mais uniquement en cas de demande de valeurs ou d’états dans le Runtime. Elle n’est donc pas disponible dans les autres applications Windows via DDE.

Par défaut : Inactive

Plus de détails dans l’aide en ligne.

VT_UI4

ArraySizeOld

Dimension tableau

Définition de la taille de l’ensemble de blocs. La taille définie est lue ou écrite par le driver durant une demande de lecture/d’écriture. Ceci permet de garantir la cohérence des données dans le texte. Les données peuvent uniquement être modifiées dans le module Recipegroup Manager ou via l’interface de programmation.
Attention : peut être défini au niveau du driver interne, toutefois sans fonction dans le Runtime (valeur toujours égale à 0).

Plus de détails dans l’aide en ligne.

VT_UI4

CounterGroup

Groupe de compteur

Disponible uniquement dans SICAM 230.

VT_UI4

MaxGradient

Gradient maximum

Disponible uniquement dans SICAM 230.

VT_BOOL

NormalStateActive

Actif

Permet de définir un état normal pour les variables et les types de données du type BOOL, UINT et WORD pour tous les drivers.

Active : Un état normal peut être défini.

Par défaut : Inactive

Plus de détails dans l’aide en ligne.

VT_BOOL

NormalState

Valeur normale

Dans la liste déroulante, choisissez si la valeur normale de cette variable ou ce type de données doit être On (Active) ou Off (Inactive). Disponible pour les variables et les types de données du type BOOL, UINT et WORD pour tous les drivers.

Par défaut : Off

Plus de détails dans l’aide en ligne.

ZT_VARIABLE

AlarmPV0

Variable d'alarme 1

Disponible uniquement dans SICAM 230.
Première variable pour la gestion d’alarmes de synoptiques.

Plus de détails dans l’aide en ligne.

ZT_VARIABLE

AlarmPV1

Variable d'alarme 2

Disponible uniquement dans SICAM 230.
Deuxième variable pour la gestion d’alarmes de synoptiques.

Plus de détails dans l’aide en ligne.

ZT_VARIABLE

AlarmPV2

Variable d'alarme 3

Disponible uniquement dans SICAM 230.
Troisième variable pour la gestion d’alarmes de synoptiques.

Plus de détails dans l’aide en ligne.

VT_BOOL

HDActive

Stockage de données sur disque dur actif

Active : les valeurs de variables sont enregistrées sur le disque dur (enregistrement circulaire) pour être évaluées dans l’élément dynamique "Élément de tendance" ou pour l’exportation/l’importation des valeurs.

Inactive : aucune valeur de variable n’est enregistrée.

Par défaut : inactive

Les données de disque dur nécessitent 24 octets d’espace de stockage par valeur, indépendamment du type de variable. Outre la valeur, les informations suivantes sont enregistrées :
- Heure d’exécution de la mesure.
- Millisecondes lors de la lecture de la valeur.
- Modification de l’état de la valeur en fonction des éléments.
- Compteur pour l’identification unique de la valeur (driver événementiel).

Remarque : Le stockage de données est également activé lors d’un appel de synoptique de type Extended Trend si des données en ligne sont analysées.
Les variables de type chaîne ne sont pas prises en charge par la fonction de stockage de données sur le disque dur.

Attention : si l’option d’enregistrement sur disque dur est activée pour un trop grand nombre de variables, en présence d’un trop grand nombre de valeurs, les performances du Runtime peuvent être altérées.

Plus de détails dans l’aide en ligne.

VT_R4

HDUpdate

Temps de cycle [s]

Disponible uniquement si la propriété Stockage de données sur disque dur actif est active :
Durée de l’intervalle [en secondes] de conservation des valeurs en ligne sur le disque dur (mémoire circulaire) pour l’analyse dans l’élément dynamique Tendance, pour les données en ligne dans le module Extended Trend ou pour l’exportation/l’importation de valeurs.

Plus de détails dans l’aide en ligne.

VT_UI4

HDSize

Nombre de valeurs

Valeur correspondant à l’intervalle de conservation des valeurs en ligne sur le disque dur (mémoire circulaire) pour l’analyse dans l’élément dynamique Tendance, pour les données en ligne dans le module Extended Trend ou pour l’exportation/l’importation de valeurs.

Attention : si l’option d’enregistrement sur disque dur est activée pour un trop grand nombre de variables, en présence d’un trop grand nombre de valeurs, les performances du Runtime peuvent être altérées.

Plus de détails dans l’aide en ligne.

VT_BOOL

IsKDAActiv

Type d'enregistrement

Disponible uniquement si la propriété Stockage de données sur disque dur actif est active :
Données de disque dur (cyclique) : Écriture cyclique des valeurs sur le disque dur.
Valeurs retriées (RDA) : Les valeurs sont écrites bloc par bloc sur le disque dur par le driver. (Fonction adaptée à l’analyse rétrospective des erreurs au niveau du système de contrôle.)

Plus de détails dans l’aide en ligne.

VT_BOOL

ExternVisible

Visible extérieurement pour

Disponible uniquement si la propriété Visible par d'autres programmes est active.

Spécifiez expressément les projets de zenon Logic pour lesquels la variable doit être visible. Si vous laissez le champ de saisie vide, la variable est visible pour tous les projets zenon Logic. Vous pouvez également saisir des projets zenon Logic de manière expresse. Séparez les noms des projets individuels par un point-virgule (";"). Vous pouvez utiliser les opérateurs. Par exemple, P1* signifie tous les projets zenon Logic commençant par P1. (Remarque : les opérateurs sont uniquement autorisés sous forme de préfixe ou de suffixe, par exemple, *xxx ou xxx*.

Le nombre de caractères est limité à 64.

Par défaut : -

Plus de détails dans l’aide en ligne.

VT_BSTR

ExternVisibleFor

Visible extérieurement pour

Disponible uniquement si la propriété Visible par d'autres programmes est active.

Spécifiez expressément les projets de zenon Logic pour lesquels la variable doit être visible. Si vous laissez le champ de saisie vide, la variable est visible pour tous les projets zenon Logic. Vous pouvez également saisir des projets zenon Logic de manière expresse. Séparez les noms des projets individuels par un point-virgule (";"). Vous pouvez utiliser les opérateurs. Par exemple, P1* signifie tous les projets zenon Logic commençant par P1. (Remarque : les opérateurs sont uniquement autorisés sous forme de préfixe ou de suffixe, par exemple, *xxx ou xxx*.

Le nombre de caractères est limité à 64.

Par défaut : -

Plus de détails dans l’aide en ligne.

VT_BOOL

ReadWrite

Ecriture/lecture externe

Propriété externe pour zenon Logic. Affecte uniquement les variables qui ne forment pas partie du driver straton.
Active : la valeur de la variable ne peut pas être modifiée dans zenon Logic. La définition de la variable ne peut pas être modifiée dans zenon Logic.
Inactive : la variable ne peut pas être modifiée dans zenon Logic.
Par défaut : active.

Plus de détails dans l’aide en ligne.

VT_BSTR

InitialValue

Valeur initiale externe

Propriété externe pour zenon Logic. Affecte uniquement les variables qui ne forment pas partie du driver straton.
Valeur initiale de la variable dans zenon Logic durant une reprise graduelle ou une reprise intermédiaire.
La saisie autorisée ici dépend du type de données de la variable. Par exemple, vous pouvez uniquement utiliser des valeurs sans décimales pour les variables entières. Pour les variables à virgule flottante, un point doit être utilisé en tant que séparateur décimal ; les virgules ne peuvent pas être utilisées.
Le système de contrôle ne vérifie pas la validité de cette saisie. Ceci peut générer un message d’erreur dans zenon Logic.

Attention : lors de l’utilisation de variables du driver interne, cette propriété doit posséder la même valeur que la valeur initiale dans les paramètres des variables internes.

Plus de détails dans l’aide en ligne.

VT_BSTR

Profilename

Nom profil externe

Propriété externe pour zenon Logic. Affecte uniquement les variables qui ne forment pas partie du driver straton.
Nom du profil défini dans zenon Logic (par ex. STRATON, ProfDP).

Cette propriété est uniquement affichée pour information. Édition dans zenon Logic uniquement.

Plus de détails dans l’aide en ligne.

VT_BSTR

Adressparam

Paramètre externe d'adresse

Propriété externe pour zenon Logic. Affecte uniquement les variables qui ne sont pas des variables du driver straton.
Propriétés de profil dans zenon Logic (par ex. "intégré" ou paramètres d’adressage de Profibus).

Cette propriété est uniquement affichée pour information. Édition dans zenon Logic uniquement.

Plus de détails dans l’aide en ligne.

VT_BSTR

Vargroup

Groupe de variables externe

Propriété externe pour zenon Logic. Affecte uniquement les variables qui ne sont pas des variables du driver straton32.
Groupes de variables dans zenon Logic ("Global" ou "Retain" ou vides).

Cette propriété est uniquement affichée pour information. Édition dans zenon Logic uniquement.

Plus de détails dans l’aide en ligne.

VT_BOOL

IsRemaActiv

Matrice de réaction active

Active : Une matrice de réaction est utilisée à la place des valeurs de limite.
Inactive : Les valeurs peuvent être définies pour la variable.
Par défaut : inactive.

Plus de détails dans l’aide en ligne.

ZT_REMA

Rema

Matrice de réaction

Propriétés d’utilisation d’une matrice de réaction pour la variable.

Plus de détails dans l’aide en ligne.

ZT_VARIABLE

AlarmQuitPV

Valeur d'acquittement

Si une alarme de cette variable est acquittée visuellement, la variable sélectionnée sous Variable d'acquittement visuel ou Variable d'acquittement est définie sur cette valeur.

Sélection de 0 ou 1.

Plus de détails dans l’aide en ligne.

ZT_VARIABLE

AlarmViewQuitPV

Variable d'acquittement visuel

Si une alarme de la variable de contrôle est acquittée visuellement, la valeur de la variable d’acquittement visuel est définie sur la valeur définie par Valeur d'acquittement.

Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de variables binaires.

Plus de détails dans l’aide en ligne.

VT_UI4

AlarmQuitPVValue

Valeur d'acquittement

Si une alarme de cette variable est acquittée visuellement, la variable sélectionnée sous Variable d'acquittement visuel ou Variable d'acquittement est définie sur cette valeur.

Sélection de 0 ou 1.

Plus de détails dans l’aide en ligne.

VT_BOOL

VarInASM

Enregistrer dans la base IPA

Active : les alarmes de cette variable sont disponibles pour analyse dans le module Industrial Performance Analyzer (IPA).
Inactive : les alarmes de cette variable ne sont prises en compte lors de l’analyse dans le module Industrial Performance Analyzer (IPA).
Par défaut : Inactive

Attention : le module Industrial Performance Analyzer est un module optionnel, qui doit comporter une licence valide pour pouvoir être utilisé ici.

Plus de détails dans l’aide en ligne.

VT_BOOL

AlarmViaEquipmentModel

Utiliser la gestion d'alarmes hiérarchiques du modèle d'équipement

Type d’attribution de la variable à un domaine d’alarmes.

  • Active :
    Le domaine d’alarmes de la variable est transféré par le modèle d’équipement. L’alarme de la variable est applicable aux domaines d’alarmes définis dans le modèle d’équipement. Dans ce cas, le groupe d’équipements de la variable et le groupe d’équipements de niveau supérieur du modèle d’équipement sont pris en compte.
  • Inactive :
    L'alarme sur la variable est applicable aux domaines d’alarmes 1 à 4 de la gestion d’alarmes.

Remarque : Si cette propriété est activée pour un type de données, les paramètres de toutes les variables issues de celle-ci sont transférés.

Plus de détails dans l’aide en ligne.

ZT_BSTR_REF

AreaName

AreaName

Description as text.

ZT_BSTR_REF

AreaName2

AreaName2

Description as text.

ZT_BSTR_REF

AreaName3

AreaName3

Description as text.

ZT_BSTR_REF

AreaName4

AreaName4

Description as text.

VT_BOOL

InOut

Ecrire valeur prescrite

Active : cette variable est libérée pour l’action Spécifier valeur prescrite.
Inactive : cette variable est protégée en écriture.
Par défaut : Active

Plus de détails dans l’aide en ligne.

VT_BOOL

SBO

Select Before Operate

Attention : Cette fonctionnalité est uniquement compatible avec les drivers IEC870 et IEC850, et uniquement disponible si vous avez sélectionné l’option Commande commutation pour la propriété de type d’action dans Gestion des commandes, et l’action est mise en œuvre sous forme d’action à deux étapes. N’utilisez pas cette fonction pour le driver DNP3_NG ; Auto-SBO peut être configuré directement pour la variable, dans ce cas.

Active : Avant que la valeur de la variable ne soit écrite dans le matériel, zenon vérifie, pendant la première phase de la commande de commutation, si la variable dans l’équipement est prête pour cette action (Select before Operate (SBO)).
Attention : Pour les commandes impulsion, la réinitialisation automatique des valeurs des variables n’est pas effectuée dans l’intervalle de temps défini dans la propriété de délai de front.

Si la propriété SBO a été activée pour la variable d’action, une commande d’impulsion se comporte de la même manière qu’une commande de commutation.

Inactive : La valeur de la variable est transférée vers le driver sans vérification préalable.

Remarque : dans un driver IEC870, cela signifie une instruction Direct execute. Le driver IEC850 peut toutefois déclencher automatiquement une instruction Select before Operate , en raison du Control Model.
Par défaut : Inactive :
Plus de détails dans l’aide en ligne.

VT_BOOL

CancelOperate

Annuler 'Operate'

Si cette propriété est activée, il est possible d’envoyer une commande Cancel après une commande Operate lors de la gestion des commandes.

Remarque : Cette propriété est uniquement dans la version Energy Edition.

Par défaut : Inactive

Plus de détails dans l’aide en ligne.

VT_R8

ValueMin

Valeur prescrite min.

La valeur minimum définie ici pour le paramètre Écrire valeur prescrite peut être acceptée par le biais d’éléments dynamiques, plutôt que par la configuration séparée de ces derniers.
Ceci est surtout recommandé si la plage de la mesure est susceptible de varier ultérieurement, car ces modifications peuvent être effectuées une fois ici, au lieu d’être modifiées séparément dans chaque élément.

Plus de détails dans l’aide en ligne.

VT_R8

ValueMax

Valeur prescrite max.

La valeur maximum définie ici pour le paramètre Écrire valeur prescrite peut être acceptée par le biais d’éléments dynamiques, plutôt que par la configuration séparée de ces derniers.
Ceci est surtout recommandé si la plage de la mesure est susceptible de varier ultérieurement, car ces modifications peuvent être effectuées une fois ici, au lieu d’être modifiées séparément dans chaque élément.

Plus de détails dans l’aide en ligne.

VT_BSTR

LockingName

LockingName

"With this property you have the opportunity to assign an interlocking via its name.
zElement.DynProperties(""LockingName"") = ""Interlocking 1"""

VT_UI1

SetValueProtocol

Enregistrement (fichier journal)

Définit la manière dont l’écriture de la valeur prescrite sera consignée dans la liste CEL.

  • Tout : Toutes les actions Écrire valeur prescrite de cette variable exécutées via des éléments dynamiques et les fonctions Écrire valeur prescrite sont consignées dans la liste d’événements. (CEL)
  • Rien : aucune action Spécifier valeur prescrite n’est consignée dans la liste CEL.
  • Seulement sur élément dynamique : Seules les actions Écrire valeur prescrite exécutées via les éléments dynamiques sont consignées dans la liste CEL.

Par défaut : Uniquement les éléments dynamiques :

Plus de détails dans l’aide en ligne.

VT_BOOL

SV_Act

Ancienne et nouvelle valeur
  • Active : en cas de modification de la valeur prescrite de cette variable, les valeurs ancienne et nouvelle sont consignées dans la liste d’événements (CEL).
  • Inactive : Seule la nouvelle valeur est consignée.

Par défaut : Inactive

Recommandation : Activez la propriété Variable lue en permanence. Ceci permet de garantir que la valeur est toujours disponible, et qu’il n’est pas nécessaire de l’interroger spécialement.

Plus de détails dans l’aide en ligne.

VT_BOOL

SV_VBA

Valeurs modifiées par VBA

Active : L’écriture de la valeur prescrite de cette variable via une macro VBA est consignée dans la liste d’événements.
inactive : l’écriture de la valeur prescrite de cette variable via une macro VBA n’est pas consignée.
Par défaut : Active

Remarque : pour les variables configurées sous forme de variables de commande dans la passerelle de procédé IEC870, chaque commande est consignée sous la forme Spécifier valeur prescrite via l’interface COM dans la liste CEL, si la propriété est activée.

Plus de détails dans l’aide en ligne.

VT_BSTR

VisualName

Nom visuel

Saisie d’un nom d’affichage de la variable dans zenon Analyzer. Celui-ci doit être unique dans le projet, mais ceci n’est pas vérifié dans zenon. Cette vérification est effectuée lors de l’importation dans zenon Analyzer.

Cette propriété fournit des informations qui sont utilisées pour la configuration de rapports dans zenon Analyzer. L’exportation des données de zenon vers zenon Analyzer est effectuée à l’aide de l’assistant Analyzer Export Wizard.

Attention : Si cette propriété est modifiée après la première exportation vers zenon Analyzer, ces modifications ne sont appliquées dans zenon Analyzer.

Plus de détails dans l’aide en ligne.

VT_BSTR

Meaning

Signification

Cette propriété fournit des informations qui sont utilisées par la fonction de configuration de rapports dans zenon Analyzer.
Les données peuvent être définies manuellement ou à l’aide de l’assistant Meaning and Waterfall Chart Wizard. L’exportation des données de zenon vers zenon Analyzer est effectuée à l’aide de l’assistant Analyzer Export Wizard.

Saisie de la signification (meaning) d’une variable dans zenon Analyzer. Plusieurs significations doivent être séparées par une virgule.
Syntaxe : [signification1],[signification2],…,[significationN]

Plus de détails dans l’aide en ligne.

VT_BSTR

WaterfallParam

Paramètre pour le waterfall diagram

Cette propriété fournit des informations qui sont utilisées par la fonction de configuration de rapports dans zenon Analyzer.
Les données peuvent être définies manuellement ou à l’aide de l’assistant Meaning and Waterfall Chart Wizard. L’exportation des données de zenon vers zenon Analyzer est effectuée à l’aide de l’assistant Analyzer Export Wizard.

Paramètres d’une variable pour un diagramme en cascade dans zenon Analyzer. Les entrées peuvent être créées pour les rapports par ligne ou les rapports par machine. Lors de l’exportation, en fonction de la structure des entrées, une décision est prise pour déterminer s’il s’agit d’entrées correspondant à des diagrammes par machine ou par ligne.

Les paramètres individuels doivent être séparés par une virgule. Plusieurs cascades doivent être séparées par un poing-virgule.
Syntaxe, par machine : [nom modèle],[indice de ligne],[indice de colonne],[code de couleur];
Syntaxe, par ligne : [nom du modèle],[indice de ligne],[indice de colonne],[code de couleur],[perte de machine auxiliaire],[ajout de perte de machine auxiliaire],[soustraction de perte de machine auxiliaire];

Plus de détails dans l’aide en ligne.

VT_BOOL

Use_in_ProcRec

Activer l'enregistrement

Active/désactive la variable ou le type de données enregistré dans le module Process Recorder.
La sélection multiple de variables est possible.

  • Active :
    Les changements de valeur de la variable sont enregistrés dans le module Process Recorder.
    Attention : Assurez-vous que l’activation générale de l’enregistrement a été configurée dans la propriété Activer Process Recorder.
  • Inactive :
    Les changements de valeur de la variable ne sont pas enregistrés dans le module Process Recorder.

Par défaut : les paramètres configurés sont appliqués pour le type de données utilisé.

Plus de détails dans l’aide en ligne.


EibV2 variable ED

Manuel -> Interfaces de programmation -> Modèles d'objet -> Variable -> Variable-Dynamic properties -> EibV2 variable ED

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Type

VBA/VSTA Name

Display Name

Description

VT_UI2

MainGroup

Main group

Saisissez le numéro du groupe principal souhaité.

Minimum : 0

Maximum : 31

Par défaut : 0

Plus de détails dans l’aide en ligne.

VT_UI2

MiddleGroup

Middle group

Saisissez le numéro du groupe intermédiaire souhaité.

Minimum : 0

Maximum : 7

Par défaut : 0

Plus de détails dans l’aide en ligne.

VT_UI2

SubGroup

Sub group

Saisissez le numéro du sous-groupe souhaité.

Minimum : 0

Maximum : 255

Par défaut : 0

Plus de détails dans l’aide en ligne.

VT_BSTR

ETS2Database

ETS Database

Sélection d’un fichier de configuration de projet ETS. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de la base de données.
Les variables configurées peuvent ainsi être remplacées ultérieurement par des informations provenant d’un fichier ESF.

Plus de détails dans l’aide en ligne.

VT_BOOL

CyclicReading

Read cyclical

Spécifie de quelle manière la valeur sera acquise depuis l’automate.

Active : La valeur sera acquise de manière cyclique depuis l’automate.

Par défaut : Inactive

Remarque : cette option doit être sélectionnée avec soin, car elle augmente considérablement la charge du bus.

Plus de détails dans l’aide en ligne.

VT_BOOL

IsLocalDigits

IsLocalDigits

"With this property you have the opportunity to decide whether the ""Decimals"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalSignalMin

IsLocalSignalMin

"With this property you have the opportunity to decide whether the ""Minimum signal resolution"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalSignalMax

IsLocalSignalMax

"With this property you have the opportunity to decide whether the ""Maximum signal resolution"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalRangeMin

IsLocalRangeMin

"With this property you have the opportunity to decide whether the ""Minimum measuring range"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalRangeMax

IsLocalRangeMax

"With this property you have the opportunity to decide whether the ""Maximum measuring range"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalAlternateValue

IsLocalAlternateValue

"With this property you have the opportunity to decide whether the ""Alternate value"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalValueMin

IsLocalValueMin

"With this property you have the opportunity to decide whether the ""Minimum set value"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalValueMax

IsLocalValueMax

"With this property you have the opportunity to decide whether the ""Maximum set value"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalUseMacro

IsLocalUseMacro

"With this property you have the opportunity to decide whether the ""Non linear value adjustment with macros"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalInOut

IsLocalInOut

"With this property you have the opportunity to decide whether the ""Setting values active"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalHystNeg

IsLocalHystNeg

"With this property you have the opportunity to decide whether the ""negative hysteresis"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalHystPos

IsLocalHystPos

"With this property you have the opportunity to decide whether the ""negative hysteresis"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalArchHystNeg

IsLocalArchHystNeg

VT_BOOL

IsLocalArchHystPos

IsLocalArchHystPos

VT_BOOL

IsLocalUpdatePriority

IsLocalUpdatePriority

"With this property you have the opportunity to decide whether the ""Priority of the driver connection"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalDDEaktiv

IsLocalDDEaktiv

"With this property you have the opportunity to decide whether the ""DDE active"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalStandby

IsLocalStandby

"With this property you have the opportunity to decide whether the ""Only read from standby"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalRemaActiv

IsLocalRemaActiv

"With this property you have the opportunity to decide whether the ""Reaction matrix active"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalRema

IsLocalRema

"With this property you have the opportunity to decide whether the ""Reaction matrix"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalHDActive

IsLocalHDActive

"With this property you have the opportunity to decide whether the ""HD active"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalHDUpdate

IsLocalHDUpdate

"With this property you have the opportunity to decide whether the ""HD scan rate"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalHDSize

IsLocalHDSize

"With this property you have the opportunity to decide whether the ""Number of HD values"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalKDAActiv

IsLocalKDAActiv

"With this property you have the opportunity to decide whether the ""Recording type"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalStingLength

IsLocalStingLength

"With this property you have the opportunity to decide whether the ""String length"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalQuitPV

IsLocalQuitPV

"With this property you have the opportunity to decide whether the ""Acknowledgement variable"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalViewQuitPV

IsLocalViewQuitPV

Description as text.

VT_BOOL

IsLocalQuitValue

IsLocalQuitValue

"With this property you have the opportunity to decide whether the ""Acknowledgement value"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalTagname

IsLocalTagname

"With this property you have the opportunity to decide whether the ""Identification"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalUnit

IsLocalUnit

"With this property you have the opportunity to decide whether the ""Unit"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalAltValString

IsLocalAltValString

"With this property you have the opportunity to decide whether the ""String alternative value"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalRecLabel

IsLocalRecLabel

"With this property you have the opportunity to decide whether the ""Ressources label"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalAdjustHW

IsLocalAdjustHW

"With this property you have the opportunity to decide whether the ""AdjustHardwareValue"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalAdjustZenon

IsLocalAdjustZenon

"With this property you have the opportunity to decide whether the ""AdjustZenOnValue"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalArraySize

IsLocalArraySize

"With this property you have the opportunity to decide whether the ""Array size"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalCounterGroup

IsLocalCounterGroup

VT_BOOL

IsLocalMaxGradient

IsLocalMaxGradient

VT_BOOL

IsLocalNormalStateActive

IsLocalNormalStateActive

VT_BOOL

IsLocalNormalState

IsLocalNormalState

VT_BOOL

IsLocalAlarmPV0

IsLocalAlarmPV0

"With this property you have the opportunity to decide whether the ""Alarm Variable 1"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalAlarmPV1

IsLocalAlarmPV1

"With this property you have the opportunity to decide whether the ""Alarm Variable 2"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalAlarmPV2

IsLocalAlarmPV2

"With this property you have the opportunity to decide whether the ""Alarm Variable 3"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalVarInASM

IsLocalVarInASM

"With this property you have the opportunity to decide whether the ""Save in IPA database"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalAlarmDomain

IsLocalAlarmDomain

"With this property you have the opportunity to decide whether the ""Alarm area"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalAlarmDomain2

IsLocalAlarmDomain2

Description as text.

VT_BOOL

IsLocalAlarmDomain3

IsLocalAlarmDomain3

Description as text.

VT_BOOL

IsLocalAlarmDomain4

IsLocalAlarmDomain4

Description as text.

VT_BOOL

IsLocalLocking

IsLocalLocking

"With this property you have the opportunity to decide whether the ""Interlocking"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalSBO

IsLocalSBO

"With this property you have the opportunity to decide whether the ""Select before operate"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalCancelOperate

IsLocalCancelOperate

Description

VT_BOOL

IsLocalAlarmViaEquipmentModel

IsLocalAlarmViaEquipmentModel

Description

VT_BOOL

IsLocalUsedInProcRec

IsLocalUsedInProcRec

Description

VT_UI1

IsSWProtokol

IsSWProtokol

VT_BOOL

IsSW_Akt

IsSW_Akt

VT_BOOL

IsSW_VBA

IsSW_VBA

More...

Limits

Valeurs limite

Propriétés définissant le traitement des valeurs limites ou le traitement des alarmes pour la variable.

Les propriétés de ce groupe sont uniquement disponibles si vous avez activé la propriété Matrice de réaction active.

Plus de détails dans l’aide en ligne.

VT_UI4

ID_ComplexVariable

ID_ComplexVariable

With this property you have the opportunity to get/set the ID of a variable from a structure element. This ID is 0 when the variable has no structure datatype.

VT_BSTR

Name

Nom

Nom unique de la variable. Les considérations suivantes s’appliquent lors de la définition du nom :

  • Longueur maximale : 128 caractères
  • Caractères non autorisés : # et @

Remarque : pour les drivers utilisant la connexion à zenon Logic, vous devez définir un préfixe. Pour plus de détails, reportez-vous au chapitre Création de variables O et M dans zenon Logic dans le manuel.
Toute modification du nom de la variable doit également être effectuée dans l’environnement de programmation (VBA, VSTA).

Attention : Cette propriété n’est pas disponible aux fins de la commutation de langue.

Plus de détails dans l’aide en ligne.

VT_BSTR

Tagname

Identification

Chaîne libre utilisée pour l’identification de la variable ou du type de données.
Remarque : Puisque la langue du nom de la variable (propriété Nom) ne peut pas être modifiée, cette propriété peut être utilisée pour le changement de langue en ligne.

Longueur maximale : 128 caractères

Plus de détails dans l’aide en ligne.

VT_BSTR

Unit

Unité de mesure

Unité technique de la variable devant être affichée dans le Runtime. Si vous avez déjà créé des unités de mesure dans le module d’unités de base, celles-ci sont disponibles dans une liste déroulante.
Maximum : 50 caractères.
Par défaut : vide

Plus de détails dans l’aide en ligne.

VT_R8

AlternateValue

Archivfüllwert

Cette valeur est utilisée pour renseigner les archives cycliques. En présence d’intervalles durant lesquels aucune connexion au matériel n’a été établie, cette valeur est utilisée tant qu’aucune valeur n’est transférée depuis l’équipement. Dans le cas contraire, la dernière valeur valide utilisée est utilisée aux fins du renseignement.

Plus de détails dans l’aide en ligne.

VT_BSTR

AlternateValueString

Valeur chaîne pour le remplissage des archives

Cette valeur est utilisée pour les variables de chaîne, afin de renseigner les archives cycliques.
En présence d’intervalles, dans les archives cycliques, durant lesquels aucune connexion au matériel n’a été établie, cette Valeur chaîne pour le remplissage des archives est utilisée tant qu’aucune valeur n’est transférée depuis l’équipement. Dans le cas contraire, la dernière valeur valide est utilisée pour le renseignement.

Longueur maximale : 128 caractères

Attention : Cette propriété n’est pas disponible aux fins de la commutation de langue.

Plus de détails dans l’aide en ligne.

VT_BSTR

Recourceslabel

Description externe

Chaîne au choix.
N'est pas utilisé au niveau interne dans zenon, mais est disponible lors de l’exportation de valeurs pour autoriser l’attribution des valeurs exportées pour les systèmes de gestion tels qu’ERP.

Longueur maximale : 255 caractères

Plus de détails dans l’aide en ligne.

VT_UI4

NetAddr

Adresse réseau

Adresse de bus ou Adresse réseau de la variable.

  • Minimum : 0
  • Maximum : 4294967295

Par défaut : 0

Plus de détails dans l’aide en ligne.

VT_UI4

DataBlock

Bloc de données

Numéro de bloc de données.
Minimum : 0.
Maximum : 4294967295
Par défaut : 0.

Plus de détails dans l’aide en ligne.

VT_UI4

Offset

Offset

Décalage de la variable.
Pour les contrôleurs à adressage linéaire : plage de mémoire.
Pour les contrôleurs à résolution de nom : adresse d’attribution.
Minimum : 0.
Maximum : 4294967295
Par défaut : 0.

Plus de détails dans l’aide en ligne.

VT_UI2

BitAddr

Numéro de bit

Numéro du bit dans le décalage configuré.
Minimum : 0.
Maximum : 65535
Par défaut : 0.

Plus de détails dans l’aide en ligne.

VT_UI2

Alignment

Alignement

Ceci dépend de la granularité du type d’objet du driver et de la position de la variable conformément au décalage défini.

Pour les variables de type Octet :
Octet poids fort : octet de poids fort dans le décalage de mot.
Octet poids faible : Otet de poids faible dans le décalage de mot.
HiWord-HiByte octet de poids fort dans le mot fort dans le décalage de double mot.
HiWord-LoByte (Mot poids fort-Octet poids faible) octet de poids faible dans le mot fort dans le décalage de double mot.
Mot poids faible-Octet poids fort : octet de poids fort dans le mot faible dans le décalage de double mot.
Mot poids faible-Octet poids faible : octet de poids faible dans le mot faible dans le décalage de double mot.

Pour les variables de mot :
Mot poids fort : mot fort dans le décalage de double mot.
Mot poids faible : Mot poids faible dans le décalage de double mot.

Plus de détails dans l’aide en ligne.

VT_UI2

StringLength

Longueur de la chaîne

Disponible uniquement pour les variables de type chaîne.
Nombre maximum de caractères que peut accepter une variable.
Minimum : 1 caractère
Si la valeur non autorisée 0 est saisie, la dernière valeur configurée valide est automatiquement utilisée. Si aucune valeur valide n’a été configurée, l’entrée est remplacée par la valeur par défaut.
Maximum : 65535 caractères.
Par défaut : 5 caractères

Remarque : la valeur par défaut est 65 535 pour les variables système avec le type de données String.

Plus de détails dans l’aide en ligne.

VT_BSTR

SymbAddr

Adresse symbolique

Séquence de caractères pour l’adressage symbolique des variables.

Longueur maximale : 1024 caractères.

Remarque : L’adresse symbolique n’est pas prise en charge par tous les drivers.
Lors de l’importation des variables dans des drivers compatibles avec l’adressage symbolique, la propriété est saisie automatiquement.

Plus de détails dans l’aide en ligne.

VT_UI4

Driver

Drivers

VT_UI4

ID_DataTyp

Type de données

Type de donnée pour la variable. Sélectionné durant la création de la variable ; peut être modifié ici ultérieurement.
Remarque : Pour les variables de structure, le type de données ne peut plus être modifié après la création des variables.
Attention : Si vous modifiez le type de données ultérieurement, toutes les autres propriétés de la variable doivent être vérifiées et ajustées, si nécessaire.

Plus de détails dans l’aide en ligne.

VT_UI4

ID_DriverTyp

Type d'objet driver

Selon le driver utilisé, un type d’objet est sélectionné durant la création de la variable et peut être modifié ici ultérieurement.
Siemens : bloc de données, marqueur, entrée/sortie.
Modbus : Coil et Holding Register.

Plus de détails dans l’aide en ligne.

VT_UI1

UpdatePriority

Priorité

Si l’heure de mise à jour globale spécifiée dans la configuration du driver n’est pas utilisée, la fréquence des mises à jour correspondant aux différents niveaux de priorité peut être définie ici. Dans cette propriété, une priorité est attribuée à une variable.

Plus de détails dans l’aide en ligne.

VT_BOOL

Standby

Lire uniquement sur le serveur redondant

Active : La valeur de la variable provenant du serveur redondant est affichée.
Inactive : La valeur de la variable provenant du serveur est affichée.
(drivers matériels uniquement)

Plus de détails dans l’aide en ligne.

VT_UI2

Digits

Nombre de décimales

Nombre de décimales des valeurs de variables utilisées lors de l’affichage dans le système de contrôle.
Minimum : 0
Maximum : 10
Par défaut : 0

Plus de détails dans l’aide en ligne.

VT_R8

SignalMin

Signal min.

Valeur minimum de la variable dans l’automate.
À moins d’être définie différemment dans la propriété Ajustement non-linéaire, la valeur brute des variables (résolution du signal) sera toujours convertie au format de la plage de mesure sur une base linéaire (pour une utilisation dans le système de contrôle). Toutes les autres entrées de valeurs numériques spécifiques à la variable dans Editor et dans le Runtime seront liées à la plage de mesures (par ex. définition des valeurs limites, limites des valeurs prescrites, zone de représentation, entrées de valeurs prescrites, etc.).

Plus de détails dans l’aide en ligne.

VT_R8

SignalMax

Signal max.

Valeur maximum de la variable dans l’automate. À moins d’être définie différemment dans la propriété Ajustement non-linéaire, la valeur brute des variables (résolution du signal) sera toujours convertie au format de la plage de mesure sur une base linéaire (pour une utilisation dans le système de contrôle). Toutes les autres entrées de valeurs numériques spécifiques à la variable dans Editor et dans le Runtime seront liées à la plage de mesures (par ex. définition des valeurs limites, limites des valeurs prescrites, zone de représentation, entrées de valeurs prescrites, etc.).

Plus de détails dans l’aide en ligne.

VT_R8

RangeMin

Plage de mesure min.

Valeur minimum des variables dans zenon.
À moins d’être définie différemment dans la propriété Ajustement non-linéaire, la valeur brute des variables (résolution du signal) sera toujours convertie au format de la plage de mesure sur une base linéaire (pour une utilisation dans le système de contrôle). Toutes les autres entrées de valeurs numériques spécifiques à la variable dans Editor et dans le Runtime seront liées à la plage de mesures (par ex. définition des valeurs limites, limites des valeurs prescrites, zone de représentation, entrées de valeurs prescrites, etc.).

Plus de détails dans l’aide en ligne.

VT_R8

RangeMax

Plage de mesure max.

Valeur maximum des variables dans zenon.
À moins d’être définie différemment dans la propriété Ajustement non-linéaire, la valeur brute des variables (résolution du signal) sera toujours convertie au format de la plage de mesure sur une base linéaire (pour une utilisation dans le système de contrôle). Toutes les autres entrées de valeurs numériques spécifiques à la variable dans Editor et dans le Runtime seront liées à la plage de mesures (par ex. définition des valeurs limites, limites des valeurs prescrites, zone de représentation, entrées de valeurs prescrites, etc.).

Plus de détails dans l’aide en ligne.

VT_BOOL

UseMacro

Ajustement non-linéaire avec macros

L’ajustement de valeurs non linéaires est utilisé pour les variables dont la valeur originale (automate) ne peut pas être ajustée de manière linéaire en fonction de la valeur mesurée (système de contrôle).

  • Active : Les valeurs brutes sont ajustées en fonction de zenon, sur une base non linéaire, avec des macros VBA.
  • Inactive : Les valeurs brutes sont ajustées en fonction de zenon.

Remarque : Lors de l’activation de la propriété, les propriétés AdjustHardwareValue et AdjustScadaValue doivent également être configurées. La propriété AdjustHardwareValue doit alors être configurée à l’inverse de la propriété AdjustScadaValue, sous forme de fonction inverse.

Par défaut : Inactive

Plus de détails dans l’aide en ligne.

ZT_VBAMAKRO

AdjustHardware

AdjustHardwareValue

Disponible uniquement si la propriété Ajustement non-linéaire avec macros est active.

Macro appelée à chaque modification de la valeur brute dans l’automate, et qui modifie la valeur dans zenon. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de macros.
Plus de détails dans l’aide en ligne.

ZT_VBAMAKRO

AdjustZenon

AdjustScadaValue

Disponible uniquement si la propriété Ajustement non-linéaire avec macros est active.

La macro est appelée lors de l’écriture d’une valeur depuis zenon et modifie la valeur brute sur l’automate. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de macros.
Plus de détails dans l’aide en ligne.

VT_R8

HystNeg

Négatif pour le signal

Hystérésis des valeurs limites définies en fonction de la plage du signal.

Plage d’hystérésis pour l’entrée en cas de changement de valeur avec diminution. Les valeurs sont uniquement interprétées comme des dépassements de valeur limite si la valeur changeante est inférieure à la plage d’hystérésis définie ici.
Par défaut : 0 (pas d’hystérésis)

Plus de détails dans l’aide en ligne.

VT_R8

HystPos

Positif pour le signal

Hystérésis des valeurs limites définies en fonction de la plage du signal.

Plage d’hystérésis pour l’entrée en cas de changement de valeur avec augmentation. Les valeurs sont uniquement interprétées comme des dépassements de valeur limite si la valeur changeante est supérieure à la plage d’hystérésis définie ici.
Par défaut : 0 (pas d’hystérésis)

Plus de détails dans l’aide en ligne.

VT_R8

ArchHystNeg

Négatif pour l'archive

Hystérésis d’archivage en cas de changement appliquée à la plage de mesure.

Plage d’hystérésis pour l’entrée en cas de changement de valeur avec diminution. Les valeurs sont uniquement saisies dans l’archive si la valeur changeante est inférieure à la plage d’hystérésis définie ici.
Par défaut : 0 (pas d’hystérésis)

Plus de détails dans l’aide en ligne.

VT_R8

ArchHystPos

Positif pour l'archive

Hystérésis d’archivage en cas de changement appliquée à la plage de mesure.

Plage d’hystérésis pour l’entrée en cas de changement de valeur avec augmentation. Les valeurs sont uniquement saisies dans l’archive si la valeur changeante est supérieure à la plage d’hystérésis définie ici.
Par défaut : 0 (pas d’hystérésis)

Plus de détails dans l’aide en ligne.

VT_BOOL

DDEActive

Variable lue en permanence

Paramètre de lecture de la variable et de sa disponibilité via DDE dans le Runtime :

  • Active : La variable est toujours connectée au driver. Cela signifie qu’elle est continuellement lue par le driver, même si elle n’est pas nécessaire dans le projet à cet instant précis. Le driver connaît ainsi toujours les valeurs actuelles et l’état actuel des variables et peut les fournir immédiatement, si nécessaire. La variable est également disponible pour les autres applications Windows (par exemple, Excel, Visual Basic, etc.). Les applications Windows possédant une fonctionnalité de client DDE peuvent ainsi utiliser les valeurs de la variable.
    Temps d’actualisation : 0,5 s
    L'activation de cette option offre par exemple l’avantage de basculer plus rapidement les valeurs de variables dans la fonction Ecriture valeur prescrite ou dans l’élément Appel de synoptique, car il n’est pas nécessaire d’interroger spécialement la variable avant la commutation. L’inconvénient est une augmentation de la charge des communications au niveau du contrôleur.
  • Inactive : La variable n’est pas interrogée en permanence par le driver, mais uniquement en cas de demande de valeurs ou d’états dans le Runtime. Elle n’est donc pas disponible dans les autres applications Windows via DDE.

Par défaut : Inactive

Plus de détails dans l’aide en ligne.

VT_UI4

ArraySizeOld

Dimension tableau

Définition de la taille de l’ensemble de blocs. La taille définie est lue ou écrite par le driver durant une demande de lecture/d’écriture. Ceci permet de garantir la cohérence des données dans le texte. Les données peuvent uniquement être modifiées dans le module Recipegroup Manager ou via l’interface de programmation.
Attention : peut être défini au niveau du driver interne, toutefois sans fonction dans le Runtime (valeur toujours égale à 0).

Plus de détails dans l’aide en ligne.

VT_UI4

CounterGroup

Groupe de compteur

Disponible uniquement dans SICAM 230.

VT_UI4

MaxGradient

Gradient maximum

Disponible uniquement dans SICAM 230.

VT_BOOL

NormalStateActive

Actif

Permet de définir un état normal pour les variables et les types de données du type BOOL, UINT et WORD pour tous les drivers.

Active : Un état normal peut être défini.

Par défaut : Inactive

Plus de détails dans l’aide en ligne.

VT_BOOL

NormalState

Valeur normale

Dans la liste déroulante, choisissez si la valeur normale de cette variable ou ce type de données doit être On (Active) ou Off (Inactive). Disponible pour les variables et les types de données du type BOOL, UINT et WORD pour tous les drivers.

Par défaut : Off

Plus de détails dans l’aide en ligne.

ZT_VARIABLE

AlarmPV0

Variable d'alarme 1

Disponible uniquement dans SICAM 230.
Première variable pour la gestion d’alarmes de synoptiques.

Plus de détails dans l’aide en ligne.

ZT_VARIABLE

AlarmPV1

Variable d'alarme 2

Disponible uniquement dans SICAM 230.
Deuxième variable pour la gestion d’alarmes de synoptiques.

Plus de détails dans l’aide en ligne.

ZT_VARIABLE

AlarmPV2

Variable d'alarme 3

Disponible uniquement dans SICAM 230.
Troisième variable pour la gestion d’alarmes de synoptiques.

Plus de détails dans l’aide en ligne.

VT_BOOL

HDActive

Stockage de données sur disque dur actif

Active : les valeurs de variables sont enregistrées sur le disque dur (enregistrement circulaire) pour être évaluées dans l’élément dynamique "Élément de tendance" ou pour l’exportation/l’importation des valeurs.

Inactive : aucune valeur de variable n’est enregistrée.

Par défaut : inactive

Les données de disque dur nécessitent 24 octets d’espace de stockage par valeur, indépendamment du type de variable. Outre la valeur, les informations suivantes sont enregistrées :
- Heure d’exécution de la mesure.
- Millisecondes lors de la lecture de la valeur.
- Modification de l’état de la valeur en fonction des éléments.
- Compteur pour l’identification unique de la valeur (driver événementiel).

Remarque : Le stockage de données est également activé lors d’un appel de synoptique de type Extended Trend si des données en ligne sont analysées.
Les variables de type chaîne ne sont pas prises en charge par la fonction de stockage de données sur le disque dur.

Attention : si l’option d’enregistrement sur disque dur est activée pour un trop grand nombre de variables, en présence d’un trop grand nombre de valeurs, les performances du Runtime peuvent être altérées.

Plus de détails dans l’aide en ligne.

VT_R4

HDUpdate

Temps de cycle [s]

Disponible uniquement si la propriété Stockage de données sur disque dur actif est active :
Durée de l’intervalle [en secondes] de conservation des valeurs en ligne sur le disque dur (mémoire circulaire) pour l’analyse dans l’élément dynamique Tendance, pour les données en ligne dans le module Extended Trend ou pour l’exportation/l’importation de valeurs.

Plus de détails dans l’aide en ligne.

VT_UI4

HDSize

Nombre de valeurs

Valeur correspondant à l’intervalle de conservation des valeurs en ligne sur le disque dur (mémoire circulaire) pour l’analyse dans l’élément dynamique Tendance, pour les données en ligne dans le module Extended Trend ou pour l’exportation/l’importation de valeurs.

Attention : si l’option d’enregistrement sur disque dur est activée pour un trop grand nombre de variables, en présence d’un trop grand nombre de valeurs, les performances du Runtime peuvent être altérées.

Plus de détails dans l’aide en ligne.

VT_BOOL

IsKDAActiv

Type d'enregistrement

Disponible uniquement si la propriété Stockage de données sur disque dur actif est active :
Données de disque dur (cyclique) : Écriture cyclique des valeurs sur le disque dur.
Valeurs retriées (RDA) : Les valeurs sont écrites bloc par bloc sur le disque dur par le driver. (Fonction adaptée à l’analyse rétrospective des erreurs au niveau du système de contrôle.)

Plus de détails dans l’aide en ligne.

VT_BOOL

ExternVisible

Visible extérieurement pour

Disponible uniquement si la propriété Visible par d'autres programmes est active.

Spécifiez expressément les projets de zenon Logic pour lesquels la variable doit être visible. Si vous laissez le champ de saisie vide, la variable est visible pour tous les projets zenon Logic. Vous pouvez également saisir des projets zenon Logic de manière expresse. Séparez les noms des projets individuels par un point-virgule (";"). Vous pouvez utiliser les opérateurs. Par exemple, P1* signifie tous les projets zenon Logic commençant par P1. (Remarque : les opérateurs sont uniquement autorisés sous forme de préfixe ou de suffixe, par exemple, *xxx ou xxx*.

Le nombre de caractères est limité à 64.

Par défaut : -

Plus de détails dans l’aide en ligne.

VT_BSTR

ExternVisibleFor

Visible extérieurement pour

Disponible uniquement si la propriété Visible par d'autres programmes est active.

Spécifiez expressément les projets de zenon Logic pour lesquels la variable doit être visible. Si vous laissez le champ de saisie vide, la variable est visible pour tous les projets zenon Logic. Vous pouvez également saisir des projets zenon Logic de manière expresse. Séparez les noms des projets individuels par un point-virgule (";"). Vous pouvez utiliser les opérateurs. Par exemple, P1* signifie tous les projets zenon Logic commençant par P1. (Remarque : les opérateurs sont uniquement autorisés sous forme de préfixe ou de suffixe, par exemple, *xxx ou xxx*.

Le nombre de caractères est limité à 64.

Par défaut : -

Plus de détails dans l’aide en ligne.

VT_BOOL

ReadWrite

Ecriture/lecture externe

Propriété externe pour zenon Logic. Affecte uniquement les variables qui ne forment pas partie du driver straton.
Active : la valeur de la variable ne peut pas être modifiée dans zenon Logic. La définition de la variable ne peut pas être modifiée dans zenon Logic.
Inactive : la variable ne peut pas être modifiée dans zenon Logic.
Par défaut : active.

Plus de détails dans l’aide en ligne.

VT_BSTR

InitialValue

Valeur initiale externe

Propriété externe pour zenon Logic. Affecte uniquement les variables qui ne forment pas partie du driver straton.
Valeur initiale de la variable dans zenon Logic durant une reprise graduelle ou une reprise intermédiaire.
La saisie autorisée ici dépend du type de données de la variable. Par exemple, vous pouvez uniquement utiliser des valeurs sans décimales pour les variables entières. Pour les variables à virgule flottante, un point doit être utilisé en tant que séparateur décimal ; les virgules ne peuvent pas être utilisées.
Le système de contrôle ne vérifie pas la validité de cette saisie. Ceci peut générer un message d’erreur dans zenon Logic.

Attention : lors de l’utilisation de variables du driver interne, cette propriété doit posséder la même valeur que la valeur initiale dans les paramètres des variables internes.

Plus de détails dans l’aide en ligne.

VT_BSTR

Profilename

Nom profil externe

Propriété externe pour zenon Logic. Affecte uniquement les variables qui ne forment pas partie du driver straton.
Nom du profil défini dans zenon Logic (par ex. STRATON, ProfDP).

Cette propriété est uniquement affichée pour information. Édition dans zenon Logic uniquement.

Plus de détails dans l’aide en ligne.

VT_BSTR

Adressparam

Paramètre externe d'adresse

Propriété externe pour zenon Logic. Affecte uniquement les variables qui ne sont pas des variables du driver straton.
Propriétés de profil dans zenon Logic (par ex. "intégré" ou paramètres d’adressage de Profibus).

Cette propriété est uniquement affichée pour information. Édition dans zenon Logic uniquement.

Plus de détails dans l’aide en ligne.

VT_BSTR

Vargroup

Groupe de variables externe

Propriété externe pour zenon Logic. Affecte uniquement les variables qui ne sont pas des variables du driver straton32.
Groupes de variables dans zenon Logic ("Global" ou "Retain" ou vides).

Cette propriété est uniquement affichée pour information. Édition dans zenon Logic uniquement.

Plus de détails dans l’aide en ligne.

VT_BOOL

IsRemaActiv

Matrice de réaction active

Active : Une matrice de réaction est utilisée à la place des valeurs de limite.
Inactive : Les valeurs peuvent être définies pour la variable.
Par défaut : inactive.

Plus de détails dans l’aide en ligne.

ZT_REMA

Rema

Matrice de réaction

Propriétés d’utilisation d’une matrice de réaction pour la variable.

Plus de détails dans l’aide en ligne.

ZT_VARIABLE

AlarmQuitPV

Valeur d'acquittement

Si une alarme de cette variable est acquittée visuellement, la variable sélectionnée sous Variable d'acquittement visuel ou Variable d'acquittement est définie sur cette valeur.

Sélection de 0 ou 1.

Plus de détails dans l’aide en ligne.

ZT_VARIABLE

AlarmViewQuitPV

Variable d'acquittement visuel

Si une alarme de la variable de contrôle est acquittée visuellement, la valeur de la variable d’acquittement visuel est définie sur la valeur définie par Valeur d'acquittement.

Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de variables binaires.

Plus de détails dans l’aide en ligne.

VT_UI4

AlarmQuitPVValue

Valeur d'acquittement

Si une alarme de cette variable est acquittée visuellement, la variable sélectionnée sous Variable d'acquittement visuel ou Variable d'acquittement est définie sur cette valeur.

Sélection de 0 ou 1.

Plus de détails dans l’aide en ligne.

VT_BOOL

VarInASM

Enregistrer dans la base IPA

Active : les alarmes de cette variable sont disponibles pour analyse dans le module Industrial Performance Analyzer (IPA).
Inactive : les alarmes de cette variable ne sont prises en compte lors de l’analyse dans le module Industrial Performance Analyzer (IPA).
Par défaut : Inactive

Attention : le module Industrial Performance Analyzer est un module optionnel, qui doit comporter une licence valide pour pouvoir être utilisé ici.

Plus de détails dans l’aide en ligne.

VT_BOOL

AlarmViaEquipmentModel

Utiliser la gestion d'alarmes hiérarchiques du modèle d'équipement

Type d’attribution de la variable à un domaine d’alarmes.

  • Active :
    Le domaine d’alarmes de la variable est transféré par le modèle d’équipement. L’alarme de la variable est applicable aux domaines d’alarmes définis dans le modèle d’équipement. Dans ce cas, le groupe d’équipements de la variable et le groupe d’équipements de niveau supérieur du modèle d’équipement sont pris en compte.
  • Inactive :
    L'alarme sur la variable est applicable aux domaines d’alarmes 1 à 4 de la gestion d’alarmes.

Remarque : Si cette propriété est activée pour un type de données, les paramètres de toutes les variables issues de celle-ci sont transférés.

Plus de détails dans l’aide en ligne.

ZT_BSTR_REF

AreaName

AreaName

Description as text.

ZT_BSTR_REF

AreaName2

AreaName2

Description as text.

ZT_BSTR_REF

AreaName3

AreaName3

Description as text.

ZT_BSTR_REF

AreaName4

AreaName4

Description as text.

VT_BOOL

InOut

Ecrire valeur prescrite

Active : cette variable est libérée pour l’action Spécifier valeur prescrite.
Inactive : cette variable est protégée en écriture.
Par défaut : Active

Plus de détails dans l’aide en ligne.

VT_BOOL

SBO

Select Before Operate

Attention : Cette fonctionnalité est uniquement compatible avec les drivers IEC870 et IEC850, et uniquement disponible si vous avez sélectionné l’option Commande commutation pour la propriété de type d’action dans Gestion des commandes, et l’action est mise en œuvre sous forme d’action à deux étapes. N’utilisez pas cette fonction pour le driver DNP3_NG ; Auto-SBO peut être configuré directement pour la variable, dans ce cas.

Active : Avant que la valeur de la variable ne soit écrite dans le matériel, zenon vérifie, pendant la première phase de la commande de commutation, si la variable dans l’équipement est prête pour cette action (Select before Operate (SBO)).
Attention : Pour les commandes impulsion, la réinitialisation automatique des valeurs des variables n’est pas effectuée dans l’intervalle de temps défini dans la propriété de délai de front.

Si la propriété SBO a été activée pour la variable d’action, une commande d’impulsion se comporte de la même manière qu’une commande de commutation.

Inactive : La valeur de la variable est transférée vers le driver sans vérification préalable.

Remarque : dans un driver IEC870, cela signifie une instruction Direct execute. Le driver IEC850 peut toutefois déclencher automatiquement une instruction Select before Operate , en raison du Control Model.
Par défaut : Inactive :
Plus de détails dans l’aide en ligne.

VT_BOOL

CancelOperate

Annuler 'Operate'

Si cette propriété est activée, il est possible d’envoyer une commande Cancel après une commande Operate lors de la gestion des commandes.

Remarque : Cette propriété est uniquement dans la version Energy Edition.

Par défaut : Inactive

Plus de détails dans l’aide en ligne.

VT_R8

ValueMin

Valeur prescrite min.

La valeur minimum définie ici pour le paramètre Écrire valeur prescrite peut être acceptée par le biais d’éléments dynamiques, plutôt que par la configuration séparée de ces derniers.
Ceci est surtout recommandé si la plage de la mesure est susceptible de varier ultérieurement, car ces modifications peuvent être effectuées une fois ici, au lieu d’être modifiées séparément dans chaque élément.

Plus de détails dans l’aide en ligne.

VT_R8

ValueMax

Valeur prescrite max.

La valeur maximum définie ici pour le paramètre Écrire valeur prescrite peut être acceptée par le biais d’éléments dynamiques, plutôt que par la configuration séparée de ces derniers.
Ceci est surtout recommandé si la plage de la mesure est susceptible de varier ultérieurement, car ces modifications peuvent être effectuées une fois ici, au lieu d’être modifiées séparément dans chaque élément.

Plus de détails dans l’aide en ligne.

VT_BSTR

LockingName

LockingName

"With this property you have the opportunity to assign an interlocking via its name.
zElement.DynProperties(""LockingName"") = ""Interlocking 1"""

VT_UI1

SetValueProtocol

Enregistrement (fichier journal)

Définit la manière dont l’écriture de la valeur prescrite sera consignée dans la liste CEL.

  • Tout : Toutes les actions Écrire valeur prescrite de cette variable exécutées via des éléments dynamiques et les fonctions Écrire valeur prescrite sont consignées dans la liste d’événements. (CEL)
  • Rien : aucune action Spécifier valeur prescrite n’est consignée dans la liste CEL.
  • Seulement sur élément dynamique : Seules les actions Écrire valeur prescrite exécutées via les éléments dynamiques sont consignées dans la liste CEL.

Par défaut : Uniquement les éléments dynamiques :

Plus de détails dans l’aide en ligne.

VT_BOOL

SV_Act

Ancienne et nouvelle valeur
  • Active : en cas de modification de la valeur prescrite de cette variable, les valeurs ancienne et nouvelle sont consignées dans la liste d’événements (CEL).
  • Inactive : Seule la nouvelle valeur est consignée.

Par défaut : Inactive

Recommandation : Activez la propriété Variable lue en permanence. Ceci permet de garantir que la valeur est toujours disponible, et qu’il n’est pas nécessaire de l’interroger spécialement.

Plus de détails dans l’aide en ligne.

VT_BOOL

SV_VBA

Valeurs modifiées par VBA

Active : L’écriture de la valeur prescrite de cette variable via une macro VBA est consignée dans la liste d’événements.
inactive : l’écriture de la valeur prescrite de cette variable via une macro VBA n’est pas consignée.
Par défaut : Active

Remarque : pour les variables configurées sous forme de variables de commande dans la passerelle de procédé IEC870, chaque commande est consignée sous la forme Spécifier valeur prescrite via l’interface COM dans la liste CEL, si la propriété est activée.

Plus de détails dans l’aide en ligne.

VT_BSTR

VisualName

Nom visuel

Saisie d’un nom d’affichage de la variable dans zenon Analyzer. Celui-ci doit être unique dans le projet, mais ceci n’est pas vérifié dans zenon. Cette vérification est effectuée lors de l’importation dans zenon Analyzer.

Cette propriété fournit des informations qui sont utilisées pour la configuration de rapports dans zenon Analyzer. L’exportation des données de zenon vers zenon Analyzer est effectuée à l’aide de l’assistant Analyzer Export Wizard.

Attention : Si cette propriété est modifiée après la première exportation vers zenon Analyzer, ces modifications ne sont appliquées dans zenon Analyzer.

Plus de détails dans l’aide en ligne.

VT_BSTR

Meaning

Signification

Cette propriété fournit des informations qui sont utilisées par la fonction de configuration de rapports dans zenon Analyzer.
Les données peuvent être définies manuellement ou à l’aide de l’assistant Meaning and Waterfall Chart Wizard. L’exportation des données de zenon vers zenon Analyzer est effectuée à l’aide de l’assistant Analyzer Export Wizard.

Saisie de la signification (meaning) d’une variable dans zenon Analyzer. Plusieurs significations doivent être séparées par une virgule.
Syntaxe : [signification1],[signification2],…,[significationN]

Plus de détails dans l’aide en ligne.

VT_BSTR

WaterfallParam

Paramètre pour le waterfall diagram

Cette propriété fournit des informations qui sont utilisées par la fonction de configuration de rapports dans zenon Analyzer.
Les données peuvent être définies manuellement ou à l’aide de l’assistant Meaning and Waterfall Chart Wizard. L’exportation des données de zenon vers zenon Analyzer est effectuée à l’aide de l’assistant Analyzer Export Wizard.

Paramètres d’une variable pour un diagramme en cascade dans zenon Analyzer. Les entrées peuvent être créées pour les rapports par ligne ou les rapports par machine. Lors de l’exportation, en fonction de la structure des entrées, une décision est prise pour déterminer s’il s’agit d’entrées correspondant à des diagrammes par machine ou par ligne.

Les paramètres individuels doivent être séparés par une virgule. Plusieurs cascades doivent être séparées par un poing-virgule.
Syntaxe, par machine : [nom modèle],[indice de ligne],[indice de colonne],[code de couleur];
Syntaxe, par ligne : [nom du modèle],[indice de ligne],[indice de colonne],[code de couleur],[perte de machine auxiliaire],[ajout de perte de machine auxiliaire],[soustraction de perte de machine auxiliaire];

Plus de détails dans l’aide en ligne.

VT_BOOL

Use_in_ProcRec

Activer l'enregistrement

Active/désactive la variable ou le type de données enregistré dans le module Process Recorder.
La sélection multiple de variables est possible.

  • Active :
    Les changements de valeur de la variable sont enregistrés dans le module Process Recorder.
    Attention : Assurez-vous que l’activation générale de l’enregistrement a été configurée dans la propriété Activer Process Recorder.
  • Inactive :
    Les changements de valeur de la variable ne sont pas enregistrés dans le module Process Recorder.

Par défaut : les paramètres configurés sont appliqués pour le type de données utilisé.

Plus de détails dans l’aide en ligne.


Elrest variable ED

Manuel -> Interfaces de programmation -> Modèles d'objet -> Variable -> Variable-Dynamic properties -> Elrest variable ED

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Type

VBA/VSTA Name

Display Name

Description

VT_BSTR

Deviceparameter

Device parameter

Les propriétés suivantes sont utilisées pour l’adressage du pilote ELREST32.

Plus de détails dans l’aide en ligne.

VT_BOOL

IsLocalDigits

IsLocalDigits

"With this property you have the opportunity to decide whether the ""Decimals"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalSignalMin

IsLocalSignalMin

"With this property you have the opportunity to decide whether the ""Minimum signal resolution"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalSignalMax

IsLocalSignalMax

"With this property you have the opportunity to decide whether the ""Maximum signal resolution"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalRangeMin

IsLocalRangeMin

"With this property you have the opportunity to decide whether the ""Minimum measuring range"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalRangeMax

IsLocalRangeMax

"With this property you have the opportunity to decide whether the ""Maximum measuring range"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalAlternateValue

IsLocalAlternateValue

"With this property you have the opportunity to decide whether the ""Alternate value"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalValueMin

IsLocalValueMin

"With this property you have the opportunity to decide whether the ""Minimum set value"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalValueMax

IsLocalValueMax

"With this property you have the opportunity to decide whether the ""Maximum set value"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalUseMacro

IsLocalUseMacro

"With this property you have the opportunity to decide whether the ""Non linear value adjustment with macros"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalInOut

IsLocalInOut

"With this property you have the opportunity to decide whether the ""Setting values active"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalHystNeg

IsLocalHystNeg

"With this property you have the opportunity to decide whether the ""negative hysteresis"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalHystPos

IsLocalHystPos

"With this property you have the opportunity to decide whether the ""negative hysteresis"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalArchHystNeg

IsLocalArchHystNeg

VT_BOOL

IsLocalArchHystPos

IsLocalArchHystPos

VT_BOOL

IsLocalUpdatePriority

IsLocalUpdatePriority

"With this property you have the opportunity to decide whether the ""Priority of the driver connection"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalDDEaktiv

IsLocalDDEaktiv

"With this property you have the opportunity to decide whether the ""DDE active"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalStandby

IsLocalStandby

"With this property you have the opportunity to decide whether the ""Only read from standby"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalRemaActiv

IsLocalRemaActiv

"With this property you have the opportunity to decide whether the ""Reaction matrix active"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalRema

IsLocalRema

"With this property you have the opportunity to decide whether the ""Reaction matrix"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalHDActive

IsLocalHDActive

"With this property you have the opportunity to decide whether the ""HD active"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalHDUpdate

IsLocalHDUpdate

"With this property you have the opportunity to decide whether the ""HD scan rate"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalHDSize

IsLocalHDSize

"With this property you have the opportunity to decide whether the ""Number of HD values"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalKDAActiv

IsLocalKDAActiv

"With this property you have the opportunity to decide whether the ""Recording type"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalStingLength

IsLocalStingLength

"With this property you have the opportunity to decide whether the ""String length"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalQuitPV

IsLocalQuitPV

"With this property you have the opportunity to decide whether the ""Acknowledgement variable"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalViewQuitPV

IsLocalViewQuitPV

Description as text.

VT_BOOL

IsLocalQuitValue

IsLocalQuitValue

"With this property you have the opportunity to decide whether the ""Acknowledgement value"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalTagname

IsLocalTagname

"With this property you have the opportunity to decide whether the ""Identification"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalUnit

IsLocalUnit

"With this property you have the opportunity to decide whether the ""Unit"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalAltValString

IsLocalAltValString

"With this property you have the opportunity to decide whether the ""String alternative value"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalRecLabel

IsLocalRecLabel

"With this property you have the opportunity to decide whether the ""Ressources label"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalAdjustHW

IsLocalAdjustHW

"With this property you have the opportunity to decide whether the ""AdjustHardwareValue"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalAdjustZenon

IsLocalAdjustZenon

"With this property you have the opportunity to decide whether the ""AdjustZenOnValue"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalArraySize

IsLocalArraySize

"With this property you have the opportunity to decide whether the ""Array size"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalCounterGroup

IsLocalCounterGroup

VT_BOOL

IsLocalMaxGradient

IsLocalMaxGradient

VT_BOOL

IsLocalNormalStateActive

IsLocalNormalStateActive

VT_BOOL

IsLocalNormalState

IsLocalNormalState

VT_BOOL

IsLocalAlarmPV0

IsLocalAlarmPV0

"With this property you have the opportunity to decide whether the ""Alarm Variable 1"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalAlarmPV1

IsLocalAlarmPV1

"With this property you have the opportunity to decide whether the ""Alarm Variable 2"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalAlarmPV2

IsLocalAlarmPV2

"With this property you have the opportunity to decide whether the ""Alarm Variable 3"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalVarInASM

IsLocalVarInASM

"With this property you have the opportunity to decide whether the ""Save in IPA database"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalAlarmDomain

IsLocalAlarmDomain

"With this property you have the opportunity to decide whether the ""Alarm area"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalAlarmDomain2

IsLocalAlarmDomain2

Description as text.

VT_BOOL

IsLocalAlarmDomain3

IsLocalAlarmDomain3

Description as text.

VT_BOOL

IsLocalAlarmDomain4

IsLocalAlarmDomain4

Description as text.

VT_BOOL

IsLocalLocking

IsLocalLocking

"With this property you have the opportunity to decide whether the ""Interlocking"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalSBO

IsLocalSBO

"With this property you have the opportunity to decide whether the ""Select before operate"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalCancelOperate

IsLocalCancelOperate

Description

VT_BOOL

IsLocalAlarmViaEquipmentModel

IsLocalAlarmViaEquipmentModel

Description

VT_BOOL

IsLocalUsedInProcRec

IsLocalUsedInProcRec

Description

VT_UI1

IsSWProtokol

IsSWProtokol

VT_BOOL

IsSW_Akt

IsSW_Akt

VT_BOOL

IsSW_VBA

IsSW_VBA

More...

Limits

Valeurs limite

Propriétés définissant le traitement des valeurs limites ou le traitement des alarmes pour la variable.

Les propriétés de ce groupe sont uniquement disponibles si vous avez activé la propriété Matrice de réaction active.

Plus de détails dans l’aide en ligne.

VT_UI4

ID_ComplexVariable

ID_ComplexVariable

With this property you have the opportunity to get/set the ID of a variable from a structure element. This ID is 0 when the variable has no structure datatype.

VT_BSTR

Name

Nom

Nom unique de la variable. Les considérations suivantes s’appliquent lors de la définition du nom :

  • Longueur maximale : 128 caractères
  • Caractères non autorisés : # et @

Remarque : pour les drivers utilisant la connexion à zenon Logic, vous devez définir un préfixe. Pour plus de détails, reportez-vous au chapitre Création de variables O et M dans zenon Logic dans le manuel.
Toute modification du nom de la variable doit également être effectuée dans l’environnement de programmation (VBA, VSTA).

Attention : Cette propriété n’est pas disponible aux fins de la commutation de langue.

Plus de détails dans l’aide en ligne.

VT_BSTR

Tagname

Identification

Chaîne libre utilisée pour l’identification de la variable ou du type de données.
Remarque : Puisque la langue du nom de la variable (propriété Nom) ne peut pas être modifiée, cette propriété peut être utilisée pour le changement de langue en ligne.

Longueur maximale : 128 caractères

Plus de détails dans l’aide en ligne.

VT_BSTR

Unit

Unité de mesure

Unité technique de la variable devant être affichée dans le Runtime. Si vous avez déjà créé des unités de mesure dans le module d’unités de base, celles-ci sont disponibles dans une liste déroulante.
Maximum : 50 caractères.
Par défaut : vide

Plus de détails dans l’aide en ligne.

VT_R8

AlternateValue

Archivfüllwert

Cette valeur est utilisée pour renseigner les archives cycliques. En présence d’intervalles durant lesquels aucune connexion au matériel n’a été établie, cette valeur est utilisée tant qu’aucune valeur n’est transférée depuis l’équipement. Dans le cas contraire, la dernière valeur valide utilisée est utilisée aux fins du renseignement.

Plus de détails dans l’aide en ligne.

VT_BSTR

AlternateValueString

Valeur chaîne pour le remplissage des archives

Cette valeur est utilisée pour les variables de chaîne, afin de renseigner les archives cycliques.
En présence d’intervalles, dans les archives cycliques, durant lesquels aucune connexion au matériel n’a été établie, cette Valeur chaîne pour le remplissage des archives est utilisée tant qu’aucune valeur n’est transférée depuis l’équipement. Dans le cas contraire, la dernière valeur valide est utilisée pour le renseignement.

Longueur maximale : 128 caractères

Attention : Cette propriété n’est pas disponible aux fins de la commutation de langue.

Plus de détails dans l’aide en ligne.

VT_BSTR

Recourceslabel

Description externe

Chaîne au choix.
N'est pas utilisé au niveau interne dans zenon, mais est disponible lors de l’exportation de valeurs pour autoriser l’attribution des valeurs exportées pour les systèmes de gestion tels qu’ERP.

Longueur maximale : 255 caractères

Plus de détails dans l’aide en ligne.

VT_UI4

NetAddr

Adresse réseau

Adresse de bus ou Adresse réseau de la variable.

  • Minimum : 0
  • Maximum : 4294967295

Par défaut : 0

Plus de détails dans l’aide en ligne.

VT_UI4

DataBlock

Bloc de données

Numéro de bloc de données.
Minimum : 0.
Maximum : 4294967295
Par défaut : 0.

Plus de détails dans l’aide en ligne.

VT_UI4

Offset

Offset

Décalage de la variable.
Pour les contrôleurs à adressage linéaire : plage de mémoire.
Pour les contrôleurs à résolution de nom : adresse d’attribution.
Minimum : 0.
Maximum : 4294967295
Par défaut : 0.

Plus de détails dans l’aide en ligne.

VT_UI2

BitAddr

Numéro de bit

Numéro du bit dans le décalage configuré.
Minimum : 0.
Maximum : 65535
Par défaut : 0.

Plus de détails dans l’aide en ligne.

VT_UI2

Alignment

Alignement

Ceci dépend de la granularité du type d’objet du driver et de la position de la variable conformément au décalage défini.

Pour les variables de type Octet :
Octet poids fort : octet de poids fort dans le décalage de mot.
Octet poids faible : Otet de poids faible dans le décalage de mot.
HiWord-HiByte octet de poids fort dans le mot fort dans le décalage de double mot.
HiWord-LoByte (Mot poids fort-Octet poids faible) octet de poids faible dans le mot fort dans le décalage de double mot.
Mot poids faible-Octet poids fort : octet de poids fort dans le mot faible dans le décalage de double mot.
Mot poids faible-Octet poids faible : octet de poids faible dans le mot faible dans le décalage de double mot.

Pour les variables de mot :
Mot poids fort : mot fort dans le décalage de double mot.
Mot poids faible : Mot poids faible dans le décalage de double mot.

Plus de détails dans l’aide en ligne.

VT_UI2

StringLength

Longueur de la chaîne

Disponible uniquement pour les variables de type chaîne.
Nombre maximum de caractères que peut accepter une variable.
Minimum : 1 caractère
Si la valeur non autorisée 0 est saisie, la dernière valeur configurée valide est automatiquement utilisée. Si aucune valeur valide n’a été configurée, l’entrée est remplacée par la valeur par défaut.
Maximum : 65535 caractères.
Par défaut : 5 caractères

Remarque : la valeur par défaut est 65 535 pour les variables système avec le type de données String.

Plus de détails dans l’aide en ligne.

VT_BSTR

SymbAddr

Adresse symbolique

Séquence de caractères pour l’adressage symbolique des variables.

Longueur maximale : 1024 caractères.

Remarque : L’adresse symbolique n’est pas prise en charge par tous les drivers.
Lors de l’importation des variables dans des drivers compatibles avec l’adressage symbolique, la propriété est saisie automatiquement.

Plus de détails dans l’aide en ligne.

VT_UI4

Driver

Drivers

VT_UI4

ID_DataTyp

Type de données

Type de donnée pour la variable. Sélectionné durant la création de la variable ; peut être modifié ici ultérieurement.
Remarque : Pour les variables de structure, le type de données ne peut plus être modifié après la création des variables.
Attention : Si vous modifiez le type de données ultérieurement, toutes les autres propriétés de la variable doivent être vérifiées et ajustées, si nécessaire.

Plus de détails dans l’aide en ligne.

VT_UI4

ID_DriverTyp

Type d'objet driver

Selon le driver utilisé, un type d’objet est sélectionné durant la création de la variable et peut être modifié ici ultérieurement.
Siemens : bloc de données, marqueur, entrée/sortie.
Modbus : Coil et Holding Register.

Plus de détails dans l’aide en ligne.

VT_UI1

UpdatePriority

Priorité

Si l’heure de mise à jour globale spécifiée dans la configuration du driver n’est pas utilisée, la fréquence des mises à jour correspondant aux différents niveaux de priorité peut être définie ici. Dans cette propriété, une priorité est attribuée à une variable.

Plus de détails dans l’aide en ligne.

VT_BOOL

Standby

Lire uniquement sur le serveur redondant

Active : La valeur de la variable provenant du serveur redondant est affichée.
Inactive : La valeur de la variable provenant du serveur est affichée.
(drivers matériels uniquement)

Plus de détails dans l’aide en ligne.

VT_UI2

Digits

Nombre de décimales

Nombre de décimales des valeurs de variables utilisées lors de l’affichage dans le système de contrôle.
Minimum : 0
Maximum : 10
Par défaut : 0

Plus de détails dans l’aide en ligne.

VT_R8

SignalMin

Signal min.

Valeur minimum de la variable dans l’automate.
À moins d’être définie différemment dans la propriété Ajustement non-linéaire, la valeur brute des variables (résolution du signal) sera toujours convertie au format de la plage de mesure sur une base linéaire (pour une utilisation dans le système de contrôle). Toutes les autres entrées de valeurs numériques spécifiques à la variable dans Editor et dans le Runtime seront liées à la plage de mesures (par ex. définition des valeurs limites, limites des valeurs prescrites, zone de représentation, entrées de valeurs prescrites, etc.).

Plus de détails dans l’aide en ligne.

VT_R8

SignalMax

Signal max.

Valeur maximum de la variable dans l’automate. À moins d’être définie différemment dans la propriété Ajustement non-linéaire, la valeur brute des variables (résolution du signal) sera toujours convertie au format de la plage de mesure sur une base linéaire (pour une utilisation dans le système de contrôle). Toutes les autres entrées de valeurs numériques spécifiques à la variable dans Editor et dans le Runtime seront liées à la plage de mesures (par ex. définition des valeurs limites, limites des valeurs prescrites, zone de représentation, entrées de valeurs prescrites, etc.).

Plus de détails dans l’aide en ligne.

VT_R8

RangeMin

Plage de mesure min.

Valeur minimum des variables dans zenon.
À moins d’être définie différemment dans la propriété Ajustement non-linéaire, la valeur brute des variables (résolution du signal) sera toujours convertie au format de la plage de mesure sur une base linéaire (pour une utilisation dans le système de contrôle). Toutes les autres entrées de valeurs numériques spécifiques à la variable dans Editor et dans le Runtime seront liées à la plage de mesures (par ex. définition des valeurs limites, limites des valeurs prescrites, zone de représentation, entrées de valeurs prescrites, etc.).

Plus de détails dans l’aide en ligne.

VT_R8

RangeMax

Plage de mesure max.

Valeur maximum des variables dans zenon.
À moins d’être définie différemment dans la propriété Ajustement non-linéaire, la valeur brute des variables (résolution du signal) sera toujours convertie au format de la plage de mesure sur une base linéaire (pour une utilisation dans le système de contrôle). Toutes les autres entrées de valeurs numériques spécifiques à la variable dans Editor et dans le Runtime seront liées à la plage de mesures (par ex. définition des valeurs limites, limites des valeurs prescrites, zone de représentation, entrées de valeurs prescrites, etc.).

Plus de détails dans l’aide en ligne.

VT_BOOL

UseMacro

Ajustement non-linéaire avec macros

L’ajustement de valeurs non linéaires est utilisé pour les variables dont la valeur originale (automate) ne peut pas être ajustée de manière linéaire en fonction de la valeur mesurée (système de contrôle).

  • Active : Les valeurs brutes sont ajustées en fonction de zenon, sur une base non linéaire, avec des macros VBA.
  • Inactive : Les valeurs brutes sont ajustées en fonction de zenon.

Remarque : Lors de l’activation de la propriété, les propriétés AdjustHardwareValue et AdjustScadaValue doivent également être configurées. La propriété AdjustHardwareValue doit alors être configurée à l’inverse de la propriété AdjustScadaValue, sous forme de fonction inverse.

Par défaut : Inactive

Plus de détails dans l’aide en ligne.

ZT_VBAMAKRO

AdjustHardware

AdjustHardwareValue

Disponible uniquement si la propriété Ajustement non-linéaire avec macros est active.

Macro appelée à chaque modification de la valeur brute dans l’automate, et qui modifie la valeur dans zenon. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de macros.
Plus de détails dans l’aide en ligne.

ZT_VBAMAKRO

AdjustZenon

AdjustScadaValue

Disponible uniquement si la propriété Ajustement non-linéaire avec macros est active.

La macro est appelée lors de l’écriture d’une valeur depuis zenon et modifie la valeur brute sur l’automate. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de macros.
Plus de détails dans l’aide en ligne.

VT_R8

HystNeg

Négatif pour le signal

Hystérésis des valeurs limites définies en fonction de la plage du signal.

Plage d’hystérésis pour l’entrée en cas de changement de valeur avec diminution. Les valeurs sont uniquement interprétées comme des dépassements de valeur limite si la valeur changeante est inférieure à la plage d’hystérésis définie ici.
Par défaut : 0 (pas d’hystérésis)

Plus de détails dans l’aide en ligne.

VT_R8

HystPos

Positif pour le signal

Hystérésis des valeurs limites définies en fonction de la plage du signal.

Plage d’hystérésis pour l’entrée en cas de changement de valeur avec augmentation. Les valeurs sont uniquement interprétées comme des dépassements de valeur limite si la valeur changeante est supérieure à la plage d’hystérésis définie ici.
Par défaut : 0 (pas d’hystérésis)

Plus de détails dans l’aide en ligne.

VT_R8

ArchHystNeg

Négatif pour l'archive

Hystérésis d’archivage en cas de changement appliquée à la plage de mesure.

Plage d’hystérésis pour l’entrée en cas de changement de valeur avec diminution. Les valeurs sont uniquement saisies dans l’archive si la valeur changeante est inférieure à la plage d’hystérésis définie ici.
Par défaut : 0 (pas d’hystérésis)

Plus de détails dans l’aide en ligne.

VT_R8

ArchHystPos

Positif pour l'archive

Hystérésis d’archivage en cas de changement appliquée à la plage de mesure.

Plage d’hystérésis pour l’entrée en cas de changement de valeur avec augmentation. Les valeurs sont uniquement saisies dans l’archive si la valeur changeante est supérieure à la plage d’hystérésis définie ici.
Par défaut : 0 (pas d’hystérésis)

Plus de détails dans l’aide en ligne.

VT_BOOL

DDEActive

Variable lue en permanence

Paramètre de lecture de la variable et de sa disponibilité via DDE dans le Runtime :

  • Active : La variable est toujours connectée au driver. Cela signifie qu’elle est continuellement lue par le driver, même si elle n’est pas nécessaire dans le projet à cet instant précis. Le driver connaît ainsi toujours les valeurs actuelles et l’état actuel des variables et peut les fournir immédiatement, si nécessaire. La variable est également disponible pour les autres applications Windows (par exemple, Excel, Visual Basic, etc.). Les applications Windows possédant une fonctionnalité de client DDE peuvent ainsi utiliser les valeurs de la variable.
    Temps d’actualisation : 0,5 s
    L'activation de cette option offre par exemple l’avantage de basculer plus rapidement les valeurs de variables dans la fonction Ecriture valeur prescrite ou dans l’élément Appel de synoptique, car il n’est pas nécessaire d’interroger spécialement la variable avant la commutation. L’inconvénient est une augmentation de la charge des communications au niveau du contrôleur.
  • Inactive : La variable n’est pas interrogée en permanence par le driver, mais uniquement en cas de demande de valeurs ou d’états dans le Runtime. Elle n’est donc pas disponible dans les autres applications Windows via DDE.

Par défaut : Inactive

Plus de détails dans l’aide en ligne.

VT_UI4

ArraySizeOld

Dimension tableau

Définition de la taille de l’ensemble de blocs. La taille définie est lue ou écrite par le driver durant une demande de lecture/d’écriture. Ceci permet de garantir la cohérence des données dans le texte. Les données peuvent uniquement être modifiées dans le module Recipegroup Manager ou via l’interface de programmation.
Attention : peut être défini au niveau du driver interne, toutefois sans fonction dans le Runtime (valeur toujours égale à 0).

Plus de détails dans l’aide en ligne.

VT_UI4

CounterGroup

Groupe de compteur

Disponible uniquement dans SICAM 230.

VT_UI4

MaxGradient

Gradient maximum

Disponible uniquement dans SICAM 230.

VT_BOOL

NormalStateActive

Actif

Permet de définir un état normal pour les variables et les types de données du type BOOL, UINT et WORD pour tous les drivers.

Active : Un état normal peut être défini.

Par défaut : Inactive

Plus de détails dans l’aide en ligne.

VT_BOOL

NormalState

Valeur normale

Dans la liste déroulante, choisissez si la valeur normale de cette variable ou ce type de données doit être On (Active) ou Off (Inactive). Disponible pour les variables et les types de données du type BOOL, UINT et WORD pour tous les drivers.

Par défaut : Off

Plus de détails dans l’aide en ligne.

ZT_VARIABLE

AlarmPV0

Variable d'alarme 1

Disponible uniquement dans SICAM 230.
Première variable pour la gestion d’alarmes de synoptiques.

Plus de détails dans l’aide en ligne.

ZT_VARIABLE

AlarmPV1

Variable d'alarme 2

Disponible uniquement dans SICAM 230.
Deuxième variable pour la gestion d’alarmes de synoptiques.

Plus de détails dans l’aide en ligne.

ZT_VARIABLE

AlarmPV2

Variable d'alarme 3

Disponible uniquement dans SICAM 230.
Troisième variable pour la gestion d’alarmes de synoptiques.

Plus de détails dans l’aide en ligne.

VT_BOOL

HDActive

Stockage de données sur disque dur actif

Active : les valeurs de variables sont enregistrées sur le disque dur (enregistrement circulaire) pour être évaluées dans l’élément dynamique "Élément de tendance" ou pour l’exportation/l’importation des valeurs.

Inactive : aucune valeur de variable n’est enregistrée.

Par défaut : inactive

Les données de disque dur nécessitent 24 octets d’espace de stockage par valeur, indépendamment du type de variable. Outre la valeur, les informations suivantes sont enregistrées :
- Heure d’exécution de la mesure.
- Millisecondes lors de la lecture de la valeur.
- Modification de l’état de la valeur en fonction des éléments.
- Compteur pour l’identification unique de la valeur (driver événementiel).

Remarque : Le stockage de données est également activé lors d’un appel de synoptique de type Extended Trend si des données en ligne sont analysées.
Les variables de type chaîne ne sont pas prises en charge par la fonction de stockage de données sur le disque dur.

Attention : si l’option d’enregistrement sur disque dur est activée pour un trop grand nombre de variables, en présence d’un trop grand nombre de valeurs, les performances du Runtime peuvent être altérées.

Plus de détails dans l’aide en ligne.

VT_R4

HDUpdate

Temps de cycle [s]

Disponible uniquement si la propriété Stockage de données sur disque dur actif est active :
Durée de l’intervalle [en secondes] de conservation des valeurs en ligne sur le disque dur (mémoire circulaire) pour l’analyse dans l’élément dynamique Tendance, pour les données en ligne dans le module Extended Trend ou pour l’exportation/l’importation de valeurs.

Plus de détails dans l’aide en ligne.

VT_UI4

HDSize

Nombre de valeurs

Valeur correspondant à l’intervalle de conservation des valeurs en ligne sur le disque dur (mémoire circulaire) pour l’analyse dans l’élément dynamique Tendance, pour les données en ligne dans le module Extended Trend ou pour l’exportation/l’importation de valeurs.

Attention : si l’option d’enregistrement sur disque dur est activée pour un trop grand nombre de variables, en présence d’un trop grand nombre de valeurs, les performances du Runtime peuvent être altérées.

Plus de détails dans l’aide en ligne.

VT_BOOL

IsKDAActiv

Type d'enregistrement

Disponible uniquement si la propriété Stockage de données sur disque dur actif est active :
Données de disque dur (cyclique) : Écriture cyclique des valeurs sur le disque dur.
Valeurs retriées (RDA) : Les valeurs sont écrites bloc par bloc sur le disque dur par le driver. (Fonction adaptée à l’analyse rétrospective des erreurs au niveau du système de contrôle.)

Plus de détails dans l’aide en ligne.

VT_BOOL

ExternVisible

Visible extérieurement pour

Disponible uniquement si la propriété Visible par d'autres programmes est active.

Spécifiez expressément les projets de zenon Logic pour lesquels la variable doit être visible. Si vous laissez le champ de saisie vide, la variable est visible pour tous les projets zenon Logic. Vous pouvez également saisir des projets zenon Logic de manière expresse. Séparez les noms des projets individuels par un point-virgule (";"). Vous pouvez utiliser les opérateurs. Par exemple, P1* signifie tous les projets zenon Logic commençant par P1. (Remarque : les opérateurs sont uniquement autorisés sous forme de préfixe ou de suffixe, par exemple, *xxx ou xxx*.

Le nombre de caractères est limité à 64.

Par défaut : -

Plus de détails dans l’aide en ligne.

VT_BSTR

ExternVisibleFor

Visible extérieurement pour

Disponible uniquement si la propriété Visible par d'autres programmes est active.

Spécifiez expressément les projets de zenon Logic pour lesquels la variable doit être visible. Si vous laissez le champ de saisie vide, la variable est visible pour tous les projets zenon Logic. Vous pouvez également saisir des projets zenon Logic de manière expresse. Séparez les noms des projets individuels par un point-virgule (";"). Vous pouvez utiliser les opérateurs. Par exemple, P1* signifie tous les projets zenon Logic commençant par P1. (Remarque : les opérateurs sont uniquement autorisés sous forme de préfixe ou de suffixe, par exemple, *xxx ou xxx*.

Le nombre de caractères est limité à 64.

Par défaut : -

Plus de détails dans l’aide en ligne.

VT_BOOL

ReadWrite

Ecriture/lecture externe

Propriété externe pour zenon Logic. Affecte uniquement les variables qui ne forment pas partie du driver straton.
Active : la valeur de la variable ne peut pas être modifiée dans zenon Logic. La définition de la variable ne peut pas être modifiée dans zenon Logic.
Inactive : la variable ne peut pas être modifiée dans zenon Logic.
Par défaut : active.

Plus de détails dans l’aide en ligne.

VT_BSTR

InitialValue

Valeur initiale externe

Propriété externe pour zenon Logic. Affecte uniquement les variables qui ne forment pas partie du driver straton.
Valeur initiale de la variable dans zenon Logic durant une reprise graduelle ou une reprise intermédiaire.
La saisie autorisée ici dépend du type de données de la variable. Par exemple, vous pouvez uniquement utiliser des valeurs sans décimales pour les variables entières. Pour les variables à virgule flottante, un point doit être utilisé en tant que séparateur décimal ; les virgules ne peuvent pas être utilisées.
Le système de contrôle ne vérifie pas la validité de cette saisie. Ceci peut générer un message d’erreur dans zenon Logic.

Attention : lors de l’utilisation de variables du driver interne, cette propriété doit posséder la même valeur que la valeur initiale dans les paramètres des variables internes.

Plus de détails dans l’aide en ligne.

VT_BSTR

Profilename

Nom profil externe

Propriété externe pour zenon Logic. Affecte uniquement les variables qui ne forment pas partie du driver straton.
Nom du profil défini dans zenon Logic (par ex. STRATON, ProfDP).

Cette propriété est uniquement affichée pour information. Édition dans zenon Logic uniquement.

Plus de détails dans l’aide en ligne.

VT_BSTR

Adressparam

Paramètre externe d'adresse

Propriété externe pour zenon Logic. Affecte uniquement les variables qui ne sont pas des variables du driver straton.
Propriétés de profil dans zenon Logic (par ex. "intégré" ou paramètres d’adressage de Profibus).

Cette propriété est uniquement affichée pour information. Édition dans zenon Logic uniquement.

Plus de détails dans l’aide en ligne.

VT_BSTR

Vargroup

Groupe de variables externe

Propriété externe pour zenon Logic. Affecte uniquement les variables qui ne sont pas des variables du driver straton32.
Groupes de variables dans zenon Logic ("Global" ou "Retain" ou vides).

Cette propriété est uniquement affichée pour information. Édition dans zenon Logic uniquement.

Plus de détails dans l’aide en ligne.

VT_BOOL

IsRemaActiv

Matrice de réaction active

Active : Une matrice de réaction est utilisée à la place des valeurs de limite.
Inactive : Les valeurs peuvent être définies pour la variable.
Par défaut : inactive.

Plus de détails dans l’aide en ligne.

ZT_REMA

Rema

Matrice de réaction

Propriétés d’utilisation d’une matrice de réaction pour la variable.

Plus de détails dans l’aide en ligne.

ZT_VARIABLE

AlarmQuitPV

Valeur d'acquittement

Si une alarme de cette variable est acquittée visuellement, la variable sélectionnée sous Variable d'acquittement visuel ou Variable d'acquittement est définie sur cette valeur.

Sélection de 0 ou 1.

Plus de détails dans l’aide en ligne.

ZT_VARIABLE

AlarmViewQuitPV

Variable d'acquittement visuel

Si une alarme de la variable de contrôle est acquittée visuellement, la valeur de la variable d’acquittement visuel est définie sur la valeur définie par Valeur d'acquittement.

Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de variables binaires.

Plus de détails dans l’aide en ligne.

VT_UI4

AlarmQuitPVValue

Valeur d'acquittement

Si une alarme de cette variable est acquittée visuellement, la variable sélectionnée sous Variable d'acquittement visuel ou Variable d'acquittement est définie sur cette valeur.

Sélection de 0 ou 1.

Plus de détails dans l’aide en ligne.

VT_BOOL

VarInASM

Enregistrer dans la base IPA

Active : les alarmes de cette variable sont disponibles pour analyse dans le module Industrial Performance Analyzer (IPA).
Inactive : les alarmes de cette variable ne sont prises en compte lors de l’analyse dans le module Industrial Performance Analyzer (IPA).
Par défaut : Inactive

Attention : le module Industrial Performance Analyzer est un module optionnel, qui doit comporter une licence valide pour pouvoir être utilisé ici.

Plus de détails dans l’aide en ligne.

VT_BOOL

AlarmViaEquipmentModel

Utiliser la gestion d'alarmes hiérarchiques du modèle d'équipement

Type d’attribution de la variable à un domaine d’alarmes.

  • Active :
    Le domaine d’alarmes de la variable est transféré par le modèle d’équipement. L’alarme de la variable est applicable aux domaines d’alarmes définis dans le modèle d’équipement. Dans ce cas, le groupe d’équipements de la variable et le groupe d’équipements de niveau supérieur du modèle d’équipement sont pris en compte.
  • Inactive :
    L'alarme sur la variable est applicable aux domaines d’alarmes 1 à 4 de la gestion d’alarmes.

Remarque : Si cette propriété est activée pour un type de données, les paramètres de toutes les variables issues de celle-ci sont transférés.

Plus de détails dans l’aide en ligne.

ZT_BSTR_REF

AreaName

AreaName

Description as text.

ZT_BSTR_REF

AreaName2

AreaName2

Description as text.

ZT_BSTR_REF

AreaName3

AreaName3

Description as text.

ZT_BSTR_REF

AreaName4

AreaName4

Description as text.

VT_BOOL

InOut

Ecrire valeur prescrite

Active : cette variable est libérée pour l’action Spécifier valeur prescrite.
Inactive : cette variable est protégée en écriture.
Par défaut : Active

Plus de détails dans l’aide en ligne.

VT_BOOL

SBO

Select Before Operate

Attention : Cette fonctionnalité est uniquement compatible avec les drivers IEC870 et IEC850, et uniquement disponible si vous avez sélectionné l’option Commande commutation pour la propriété de type d’action dans Gestion des commandes, et l’action est mise en œuvre sous forme d’action à deux étapes. N’utilisez pas cette fonction pour le driver DNP3_NG ; Auto-SBO peut être configuré directement pour la variable, dans ce cas.

Active : Avant que la valeur de la variable ne soit écrite dans le matériel, zenon vérifie, pendant la première phase de la commande de commutation, si la variable dans l’équipement est prête pour cette action (Select before Operate (SBO)).
Attention : Pour les commandes impulsion, la réinitialisation automatique des valeurs des variables n’est pas effectuée dans l’intervalle de temps défini dans la propriété de délai de front.

Si la propriété SBO a été activée pour la variable d’action, une commande d’impulsion se comporte de la même manière qu’une commande de commutation.

Inactive : La valeur de la variable est transférée vers le driver sans vérification préalable.

Remarque : dans un driver IEC870, cela signifie une instruction Direct execute. Le driver IEC850 peut toutefois déclencher automatiquement une instruction Select before Operate , en raison du Control Model.
Par défaut : Inactive :
Plus de détails dans l’aide en ligne.

VT_BOOL

CancelOperate

Annuler 'Operate'

Si cette propriété est activée, il est possible d’envoyer une commande Cancel après une commande Operate lors de la gestion des commandes.

Remarque : Cette propriété est uniquement dans la version Energy Edition.

Par défaut : Inactive

Plus de détails dans l’aide en ligne.

VT_R8

ValueMin

Valeur prescrite min.

La valeur minimum définie ici pour le paramètre Écrire valeur prescrite peut être acceptée par le biais d’éléments dynamiques, plutôt que par la configuration séparée de ces derniers.
Ceci est surtout recommandé si la plage de la mesure est susceptible de varier ultérieurement, car ces modifications peuvent être effectuées une fois ici, au lieu d’être modifiées séparément dans chaque élément.

Plus de détails dans l’aide en ligne.

VT_R8

ValueMax

Valeur prescrite max.

La valeur maximum définie ici pour le paramètre Écrire valeur prescrite peut être acceptée par le biais d’éléments dynamiques, plutôt que par la configuration séparée de ces derniers.
Ceci est surtout recommandé si la plage de la mesure est susceptible de varier ultérieurement, car ces modifications peuvent être effectuées une fois ici, au lieu d’être modifiées séparément dans chaque élément.

Plus de détails dans l’aide en ligne.

VT_BSTR

LockingName

LockingName

"With this property you have the opportunity to assign an interlocking via its name.
zElement.DynProperties(""LockingName"") = ""Interlocking 1"""

VT_UI1

SetValueProtocol

Enregistrement (fichier journal)

Définit la manière dont l’écriture de la valeur prescrite sera consignée dans la liste CEL.

  • Tout : Toutes les actions Écrire valeur prescrite de cette variable exécutées via des éléments dynamiques et les fonctions Écrire valeur prescrite sont consignées dans la liste d’événements. (CEL)
  • Rien : aucune action Spécifier valeur prescrite n’est consignée dans la liste CEL.
  • Seulement sur élément dynamique : Seules les actions Écrire valeur prescrite exécutées via les éléments dynamiques sont consignées dans la liste CEL.

Par défaut : Uniquement les éléments dynamiques :

Plus de détails dans l’aide en ligne.

VT_BOOL

SV_Act

Ancienne et nouvelle valeur
  • Active : en cas de modification de la valeur prescrite de cette variable, les valeurs ancienne et nouvelle sont consignées dans la liste d’événements (CEL).
  • Inactive : Seule la nouvelle valeur est consignée.

Par défaut : Inactive

Recommandation : Activez la propriété Variable lue en permanence. Ceci permet de garantir que la valeur est toujours disponible, et qu’il n’est pas nécessaire de l’interroger spécialement.

Plus de détails dans l’aide en ligne.

VT_BOOL

SV_VBA

Valeurs modifiées par VBA

Active : L’écriture de la valeur prescrite de cette variable via une macro VBA est consignée dans la liste d’événements.
inactive : l’écriture de la valeur prescrite de cette variable via une macro VBA n’est pas consignée.
Par défaut : Active

Remarque : pour les variables configurées sous forme de variables de commande dans la passerelle de procédé IEC870, chaque commande est consignée sous la forme Spécifier valeur prescrite via l’interface COM dans la liste CEL, si la propriété est activée.

Plus de détails dans l’aide en ligne.

VT_BSTR

VisualName

Nom visuel

Saisie d’un nom d’affichage de la variable dans zenon Analyzer. Celui-ci doit être unique dans le projet, mais ceci n’est pas vérifié dans zenon. Cette vérification est effectuée lors de l’importation dans zenon Analyzer.

Cette propriété fournit des informations qui sont utilisées pour la configuration de rapports dans zenon Analyzer. L’exportation des données de zenon vers zenon Analyzer est effectuée à l’aide de l’assistant Analyzer Export Wizard.

Attention : Si cette propriété est modifiée après la première exportation vers zenon Analyzer, ces modifications ne sont appliquées dans zenon Analyzer.

Plus de détails dans l’aide en ligne.

VT_BSTR

Meaning

Signification

Cette propriété fournit des informations qui sont utilisées par la fonction de configuration de rapports dans zenon Analyzer.
Les données peuvent être définies manuellement ou à l’aide de l’assistant Meaning and Waterfall Chart Wizard. L’exportation des données de zenon vers zenon Analyzer est effectuée à l’aide de l’assistant Analyzer Export Wizard.

Saisie de la signification (meaning) d’une variable dans zenon Analyzer. Plusieurs significations doivent être séparées par une virgule.
Syntaxe : [signification1],[signification2],…,[significationN]

Plus de détails dans l’aide en ligne.

VT_BSTR

WaterfallParam

Paramètre pour le waterfall diagram

Cette propriété fournit des informations qui sont utilisées par la fonction de configuration de rapports dans zenon Analyzer.
Les données peuvent être définies manuellement ou à l’aide de l’assistant Meaning and Waterfall Chart Wizard. L’exportation des données de zenon vers zenon Analyzer est effectuée à l’aide de l’assistant Analyzer Export Wizard.

Paramètres d’une variable pour un diagramme en cascade dans zenon Analyzer. Les entrées peuvent être créées pour les rapports par ligne ou les rapports par machine. Lors de l’exportation, en fonction de la structure des entrées, une décision est prise pour déterminer s’il s’agit d’entrées correspondant à des diagrammes par machine ou par ligne.

Les paramètres individuels doivent être séparés par une virgule. Plusieurs cascades doivent être séparées par un poing-virgule.
Syntaxe, par machine : [nom modèle],[indice de ligne],[indice de colonne],[code de couleur];
Syntaxe, par ligne : [nom du modèle],[indice de ligne],[indice de colonne],[code de couleur],[perte de machine auxiliaire],[ajout de perte de machine auxiliaire],[soustraction de perte de machine auxiliaire];

Plus de détails dans l’aide en ligne.

VT_BOOL

Use_in_ProcRec

Activer l'enregistrement

Active/désactive la variable ou le type de données enregistré dans le module Process Recorder.
La sélection multiple de variables est possible.

  • Active :
    Les changements de valeur de la variable sont enregistrés dans le module Process Recorder.
    Attention : Assurez-vous que l’activation générale de l’enregistrement a été configurée dans la propriété Activer Process Recorder.
  • Inactive :
    Les changements de valeur de la variable ne sont pas enregistrés dans le module Process Recorder.

Par défaut : les paramètres configurés sont appliqués pour le type de données utilisé.

Plus de détails dans l’aide en ligne.


IEC61850 variable ED

Manuel -> Interfaces de programmation -> Modèles d'objet -> Variable -> Variable-Dynamic properties -> IEC61850 variable ED

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Type

VBA/VSTA Name

Display Name

Description

VT_BSTR

I61850_ADR

IEC61850-Address

IEC Adresse IEC61850.

VT_UI2

I61850_LAN

IEC61850-Stationnumber

Numéro de station IEC 61850.

VT_UI2

I61850_VAL

IEC61850-Value

Valeur IEC 61850.

Cette valeur définit le message ou la commande unique qui sera traitée pour les classes CDC INS, INC, SGCB et ACD.

VT_UI1

I61850_CDC

CDC

Classe CDC.

Spécifie la classe CDC pour l’extension "Nœud logique"

Par défaut : Par défaut

VT_UI1

I_BIT

Invalid treatment

Traitement non valide.

Aucun : pas de traitement.

Dernière valeur valide : Basculer vers l’image de la valeur de remplacement comportant la dernière valeur valide.

Basculer vers valeur de remplacement Basculer vers l’image de la valeur de remplacement ; valeur de la valeur de remplacement paramétrée.

Basculer vers variable de remplacement : Basculer vers l’image de la valeur de remplacement ; valeur de la variable de remplacement.

Correction manuelle de la valeur de remplacement : Basculer vers l’image de la valeur de remplacement ; la valeur doit être actualisée manuellement.

VT_BOOL

EWB

Inititialize substitute value

Initialiser la valeur de remplacement/l’état normal.

Active : la valeur de remplacement dans le Runtime sera remplacée par l’état du procédé.

Inactive : la valeur de remplacement sera conservée.

VT_BOOL

EW_INI

Inititialize substitute value

Initialiser la valeur de remplacement/l’état normal.

Active : la valeur de remplacement dans le Runtime sera remplacée par l’état du procédé.

Inactive : la valeur de remplacement sera conservée.

VT_BOOL

MERKER

Marker

Marqueur

Active : variable sans référence de procédé (l’adresse ne sera pas vérifiée ; utilisée à des fins internes).

Inactive : la variable sera actualisée par le procédé.

VT_BOOL

ST_SAVE

Save state

État de sauvegarde.

Active : L’état des variables sera enregistré sur le disque dur.

Il sera chargé après le redémarrage du Runtime.

Inactive : L’état ne sera pas enregistré.

Par défaut : Inactive

VT_BOOL

VAL_SLAVE

Save value

Enregistrer la valeur.

Active : La valeur des variables sera enregistrée sur le disque dur.

Il sera chargé après le redémarrage du Runtime.

Inactive : La valeur ne sera pas enregistrée.

Par défaut : Inactive

VT_R8

EW

Archivfüllwert

Cette valeur est utilisée pour renseigner les archives cycliques. En présence d’intervalles durant lesquels aucune connexion au matériel n’a été établie, cette valeur est utilisée tant qu’aucune valeur n’est transférée depuis l’équipement. Dans le cas contraire, la dernière valeur valide utilisée est utilisée aux fins du renseignement.

Plus de détails dans l’aide en ligne.

VT_UI1

GOOSE_INDEX

GOOSE Index

VT_UI1

GOOSE_ATTR1

GOOSE Attr1 dataset position

VT_UI1

GOOSE_ATTR2

GOOSE Attr2 dataset position

VT_UI1

GOOSE_ATTR3

GOOSE Attr3 dataset position

VT_UI1

GOOSE_ATTR4

GOOSE Attr4 dataset position

VT_UI1

GOOSE_ATTR5

GOOSE Attr5 dataset position

VT_UI1

GOOSE_ATTR1_POS

GOOSE Attr1 dataset position

VT_UI1

GOOSE_ATTR2_POS

GOOSE Attr2 dataset position

VT_UI1

GOOSE_ATTR3_POS

GOOSE Attr3 dataset position

VT_UI1

GOOSE_ATTR4_POS

GOOSE Attr4 dataset position

VT_UI1

GOOSE_ATTR5_POS

GOOSE Attr5 dataset position

VT_BOOL

IsLocalDigits

IsLocalDigits

"With this property you have the opportunity to decide whether the ""Decimals"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalSignalMin

IsLocalSignalMin

"With this property you have the opportunity to decide whether the ""Minimum signal resolution"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalSignalMax

IsLocalSignalMax

"With this property you have the opportunity to decide whether the ""Maximum signal resolution"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalRangeMin

IsLocalRangeMin

"With this property you have the opportunity to decide whether the ""Minimum measuring range"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalRangeMax

IsLocalRangeMax

"With this property you have the opportunity to decide whether the ""Maximum measuring range"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalAlternateValue

IsLocalAlternateValue

"With this property you have the opportunity to decide whether the ""Alternate value"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalValueMin

IsLocalValueMin

"With this property you have the opportunity to decide whether the ""Minimum set value"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalValueMax

IsLocalValueMax

"With this property you have the opportunity to decide whether the ""Maximum set value"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalUseMacro

IsLocalUseMacro

"With this property you have the opportunity to decide whether the ""Non linear value adjustment with macros"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalInOut

IsLocalInOut

"With this property you have the opportunity to decide whether the ""Setting values active"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalHystNeg

IsLocalHystNeg

"With this property you have the opportunity to decide whether the ""negative hysteresis"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalHystPos

IsLocalHystPos

"With this property you have the opportunity to decide whether the ""negative hysteresis"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalArchHystNeg

IsLocalArchHystNeg

VT_BOOL

IsLocalArchHystPos

IsLocalArchHystPos

VT_BOOL

IsLocalUpdatePriority

IsLocalUpdatePriority

"With this property you have the opportunity to decide whether the ""Priority of the driver connection"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalDDEaktiv

IsLocalDDEaktiv

"With this property you have the opportunity to decide whether the ""DDE active"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalStandby

IsLocalStandby

"With this property you have the opportunity to decide whether the ""Only read from standby"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalRemaActiv

IsLocalRemaActiv

"With this property you have the opportunity to decide whether the ""Reaction matrix active"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalRema

IsLocalRema

"With this property you have the opportunity to decide whether the ""Reaction matrix"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalHDActive

IsLocalHDActive

"With this property you have the opportunity to decide whether the ""HD active"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalHDUpdate

IsLocalHDUpdate

"With this property you have the opportunity to decide whether the ""HD scan rate"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalHDSize

IsLocalHDSize

"With this property you have the opportunity to decide whether the ""Number of HD values"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalKDAActiv

IsLocalKDAActiv

"With this property you have the opportunity to decide whether the ""Recording type"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalStingLength

IsLocalStingLength

"With this property you have the opportunity to decide whether the ""String length"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalQuitPV

IsLocalQuitPV

"With this property you have the opportunity to decide whether the ""Acknowledgement variable"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalViewQuitPV

IsLocalViewQuitPV

Description as text.

VT_BOOL

IsLocalQuitValue

IsLocalQuitValue

"With this property you have the opportunity to decide whether the ""Acknowledgement value"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalTagname

IsLocalTagname

"With this property you have the opportunity to decide whether the ""Identification"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalUnit

IsLocalUnit

"With this property you have the opportunity to decide whether the ""Unit"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalAltValString

IsLocalAltValString

"With this property you have the opportunity to decide whether the ""String alternative value"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalRecLabel

IsLocalRecLabel

"With this property you have the opportunity to decide whether the ""Ressources label"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalAdjustHW

IsLocalAdjustHW

"With this property you have the opportunity to decide whether the ""AdjustHardwareValue"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalAdjustZenon

IsLocalAdjustZenon

"With this property you have the opportunity to decide whether the ""AdjustZenOnValue"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalArraySize

IsLocalArraySize

"With this property you have the opportunity to decide whether the ""Array size"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalCounterGroup

IsLocalCounterGroup

VT_BOOL

IsLocalMaxGradient

IsLocalMaxGradient

VT_BOOL

IsLocalNormalStateActive

IsLocalNormalStateActive

VT_BOOL

IsLocalNormalState

IsLocalNormalState

VT_BOOL

IsLocalAlarmPV0

IsLocalAlarmPV0

"With this property you have the opportunity to decide whether the ""Alarm Variable 1"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalAlarmPV1

IsLocalAlarmPV1

"With this property you have the opportunity to decide whether the ""Alarm Variable 2"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalAlarmPV2

IsLocalAlarmPV2

"With this property you have the opportunity to decide whether the ""Alarm Variable 3"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalVarInASM

IsLocalVarInASM

"With this property you have the opportunity to decide whether the ""Save in IPA database"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalAlarmDomain

IsLocalAlarmDomain

"With this property you have the opportunity to decide whether the ""Alarm area"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalAlarmDomain2

IsLocalAlarmDomain2

Description as text.

VT_BOOL

IsLocalAlarmDomain3

IsLocalAlarmDomain3

Description as text.

VT_BOOL

IsLocalAlarmDomain4

IsLocalAlarmDomain4

Description as text.

VT_BOOL

IsLocalLocking

IsLocalLocking

"With this property you have the opportunity to decide whether the ""Interlocking"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalSBO

IsLocalSBO

"With this property you have the opportunity to decide whether the ""Select before operate"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalCancelOperate

IsLocalCancelOperate

Description

VT_BOOL

IsLocalAlarmViaEquipmentModel

IsLocalAlarmViaEquipmentModel

Description

VT_BOOL

IsLocalUsedInProcRec

IsLocalUsedInProcRec

Description

VT_UI1

IsSWProtokol

IsSWProtokol

VT_BOOL

IsSW_Akt

IsSW_Akt

VT_BOOL

IsSW_VBA

IsSW_VBA

More...

Limits

Valeurs limite

Propriétés définissant le traitement des valeurs limites ou le traitement des alarmes pour la variable.

Les propriétés de ce groupe sont uniquement disponibles si vous avez activé la propriété Matrice de réaction active.

Plus de détails dans l’aide en ligne.

VT_UI4

ID_ComplexVariable

ID_ComplexVariable

With this property you have the opportunity to get/set the ID of a variable from a structure element. This ID is 0 when the variable has no structure datatype.

VT_BSTR

Name

Nom

Nom unique de la variable. Les considérations suivantes s’appliquent lors de la définition du nom :

  • Longueur maximale : 128 caractères
  • Caractères non autorisés : # et @

Remarque : pour les drivers utilisant la connexion à zenon Logic, vous devez définir un préfixe. Pour plus de détails, reportez-vous au chapitre Création de variables O et M dans zenon Logic dans le manuel.
Toute modification du nom de la variable doit également être effectuée dans l’environnement de programmation (VBA, VSTA).

Attention : Cette propriété n’est pas disponible aux fins de la commutation de langue.

Plus de détails dans l’aide en ligne.

VT_BSTR

Tagname

Identification

Chaîne libre utilisée pour l’identification de la variable ou du type de données.
Remarque : Puisque la langue du nom de la variable (propriété Nom) ne peut pas être modifiée, cette propriété peut être utilisée pour le changement de langue en ligne.

Longueur maximale : 128 caractères

Plus de détails dans l’aide en ligne.

VT_BSTR

Unit

Unité de mesure

Unité technique de la variable devant être affichée dans le Runtime. Si vous avez déjà créé des unités de mesure dans le module d’unités de base, celles-ci sont disponibles dans une liste déroulante.
Maximum : 50 caractères.
Par défaut : vide

Plus de détails dans l’aide en ligne.

VT_BSTR

AlternateValueString

Valeur chaîne pour le remplissage des archives

Cette valeur est utilisée pour les variables de chaîne, afin de renseigner les archives cycliques.
En présence d’intervalles, dans les archives cycliques, durant lesquels aucune connexion au matériel n’a été établie, cette Valeur chaîne pour le remplissage des archives est utilisée tant qu’aucune valeur n’est transférée depuis l’équipement. Dans le cas contraire, la dernière valeur valide est utilisée pour le renseignement.

Longueur maximale : 128 caractères

Attention : Cette propriété n’est pas disponible aux fins de la commutation de langue.

Plus de détails dans l’aide en ligne.

VT_BSTR

Recourceslabel

Description externe

Chaîne au choix.
N'est pas utilisé au niveau interne dans zenon, mais est disponible lors de l’exportation de valeurs pour autoriser l’attribution des valeurs exportées pour les systèmes de gestion tels qu’ERP.

Longueur maximale : 255 caractères

Plus de détails dans l’aide en ligne.

VT_UI4

NetAddr

Adresse réseau

Adresse de bus ou Adresse réseau de la variable.

  • Minimum : 0
  • Maximum : 4294967295

Par défaut : 0

Plus de détails dans l’aide en ligne.

VT_UI4

DataBlock

Bloc de données

Numéro de bloc de données.
Minimum : 0.
Maximum : 4294967295
Par défaut : 0.

Plus de détails dans l’aide en ligne.

VT_UI4

Offset

Offset

Décalage de la variable.
Pour les contrôleurs à adressage linéaire : plage de mémoire.
Pour les contrôleurs à résolution de nom : adresse d’attribution.
Minimum : 0.
Maximum : 4294967295
Par défaut : 0.

Plus de détails dans l’aide en ligne.

VT_UI2

BitAddr

Numéro de bit

Numéro du bit dans le décalage configuré.
Minimum : 0.
Maximum : 65535
Par défaut : 0.

Plus de détails dans l’aide en ligne.

VT_UI2

Alignment

Alignement

Ceci dépend de la granularité du type d’objet du driver et de la position de la variable conformément au décalage défini.

Pour les variables de type Octet :
Octet poids fort : octet de poids fort dans le décalage de mot.
Octet poids faible : Otet de poids faible dans le décalage de mot.
HiWord-HiByte octet de poids fort dans le mot fort dans le décalage de double mot.
HiWord-LoByte (Mot poids fort-Octet poids faible) octet de poids faible dans le mot fort dans le décalage de double mot.
Mot poids faible-Octet poids fort : octet de poids fort dans le mot faible dans le décalage de double mot.
Mot poids faible-Octet poids faible : octet de poids faible dans le mot faible dans le décalage de double mot.

Pour les variables de mot :
Mot poids fort : mot fort dans le décalage de double mot.
Mot poids faible : Mot poids faible dans le décalage de double mot.

Plus de détails dans l’aide en ligne.

VT_UI2

StringLength

Longueur de la chaîne

Disponible uniquement pour les variables de type chaîne.
Nombre maximum de caractères que peut accepter une variable.
Minimum : 1 caractère
Si la valeur non autorisée 0 est saisie, la dernière valeur configurée valide est automatiquement utilisée. Si aucune valeur valide n’a été configurée, l’entrée est remplacée par la valeur par défaut.
Maximum : 65535 caractères.
Par défaut : 5 caractères

Remarque : la valeur par défaut est 65 535 pour les variables système avec le type de données String.

Plus de détails dans l’aide en ligne.

VT_BSTR

SymbAddr

Adresse symbolique

Séquence de caractères pour l’adressage symbolique des variables.

Longueur maximale : 1024 caractères.

Remarque : L’adresse symbolique n’est pas prise en charge par tous les drivers.
Lors de l’importation des variables dans des drivers compatibles avec l’adressage symbolique, la propriété est saisie automatiquement.

Plus de détails dans l’aide en ligne.

VT_UI4

Driver

Drivers

VT_UI4

ID_DataTyp

Type de données

Type de donnée pour la variable. Sélectionné durant la création de la variable ; peut être modifié ici ultérieurement.
Remarque : Pour les variables de structure, le type de données ne peut plus être modifié après la création des variables.
Attention : Si vous modifiez le type de données ultérieurement, toutes les autres propriétés de la variable doivent être vérifiées et ajustées, si nécessaire.

Plus de détails dans l’aide en ligne.

VT_UI4

ID_DriverTyp

Type d'objet driver

Selon le driver utilisé, un type d’objet est sélectionné durant la création de la variable et peut être modifié ici ultérieurement.
Siemens : bloc de données, marqueur, entrée/sortie.
Modbus : Coil et Holding Register.

Plus de détails dans l’aide en ligne.

VT_UI1

UpdatePriority

Priorité

Si l’heure de mise à jour globale spécifiée dans la configuration du driver n’est pas utilisée, la fréquence des mises à jour correspondant aux différents niveaux de priorité peut être définie ici. Dans cette propriété, une priorité est attribuée à une variable.

Plus de détails dans l’aide en ligne.

VT_BOOL

Standby

Lire uniquement sur le serveur redondant

Active : La valeur de la variable provenant du serveur redondant est affichée.
Inactive : La valeur de la variable provenant du serveur est affichée.
(drivers matériels uniquement)

Plus de détails dans l’aide en ligne.

VT_UI2

Digits

Nombre de décimales

Nombre de décimales des valeurs de variables utilisées lors de l’affichage dans le système de contrôle.
Minimum : 0
Maximum : 10
Par défaut : 0

Plus de détails dans l’aide en ligne.

VT_R8

SignalMin

Signal min.

Valeur minimum de la variable dans l’automate.
À moins d’être définie différemment dans la propriété Ajustement non-linéaire, la valeur brute des variables (résolution du signal) sera toujours convertie au format de la plage de mesure sur une base linéaire (pour une utilisation dans le système de contrôle). Toutes les autres entrées de valeurs numériques spécifiques à la variable dans Editor et dans le Runtime seront liées à la plage de mesures (par ex. définition des valeurs limites, limites des valeurs prescrites, zone de représentation, entrées de valeurs prescrites, etc.).

Plus de détails dans l’aide en ligne.

VT_R8

SignalMax

Signal max.

Valeur maximum de la variable dans l’automate. À moins d’être définie différemment dans la propriété Ajustement non-linéaire, la valeur brute des variables (résolution du signal) sera toujours convertie au format de la plage de mesure sur une base linéaire (pour une utilisation dans le système de contrôle). Toutes les autres entrées de valeurs numériques spécifiques à la variable dans Editor et dans le Runtime seront liées à la plage de mesures (par ex. définition des valeurs limites, limites des valeurs prescrites, zone de représentation, entrées de valeurs prescrites, etc.).

Plus de détails dans l’aide en ligne.

VT_R8

RangeMin

Plage de mesure min.

Valeur minimum des variables dans zenon.
À moins d’être définie différemment dans la propriété Ajustement non-linéaire, la valeur brute des variables (résolution du signal) sera toujours convertie au format de la plage de mesure sur une base linéaire (pour une utilisation dans le système de contrôle). Toutes les autres entrées de valeurs numériques spécifiques à la variable dans Editor et dans le Runtime seront liées à la plage de mesures (par ex. définition des valeurs limites, limites des valeurs prescrites, zone de représentation, entrées de valeurs prescrites, etc.).

Plus de détails dans l’aide en ligne.

VT_R8

RangeMax

Plage de mesure max.

Valeur maximum des variables dans zenon.
À moins d’être définie différemment dans la propriété Ajustement non-linéaire, la valeur brute des variables (résolution du signal) sera toujours convertie au format de la plage de mesure sur une base linéaire (pour une utilisation dans le système de contrôle). Toutes les autres entrées de valeurs numériques spécifiques à la variable dans Editor et dans le Runtime seront liées à la plage de mesures (par ex. définition des valeurs limites, limites des valeurs prescrites, zone de représentation, entrées de valeurs prescrites, etc.).

Plus de détails dans l’aide en ligne.

VT_BOOL

UseMacro

Ajustement non-linéaire avec macros

L’ajustement de valeurs non linéaires est utilisé pour les variables dont la valeur originale (automate) ne peut pas être ajustée de manière linéaire en fonction de la valeur mesurée (système de contrôle).

  • Active : Les valeurs brutes sont ajustées en fonction de zenon, sur une base non linéaire, avec des macros VBA.
  • Inactive : Les valeurs brutes sont ajustées en fonction de zenon.

Remarque : Lors de l’activation de la propriété, les propriétés AdjustHardwareValue et AdjustScadaValue doivent également être configurées. La propriété AdjustHardwareValue doit alors être configurée à l’inverse de la propriété AdjustScadaValue, sous forme de fonction inverse.

Par défaut : Inactive

Plus de détails dans l’aide en ligne.

ZT_VBAMAKRO

AdjustHardware

AdjustHardwareValue

Disponible uniquement si la propriété Ajustement non-linéaire avec macros est active.

Macro appelée à chaque modification de la valeur brute dans l’automate, et qui modifie la valeur dans zenon. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de macros.
Plus de détails dans l’aide en ligne.

ZT_VBAMAKRO

AdjustZenon

AdjustScadaValue

Disponible uniquement si la propriété Ajustement non-linéaire avec macros est active.

La macro est appelée lors de l’écriture d’une valeur depuis zenon et modifie la valeur brute sur l’automate. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de macros.
Plus de détails dans l’aide en ligne.

VT_R8

HystNeg

Négatif pour le signal

Hystérésis des valeurs limites définies en fonction de la plage du signal.

Plage d’hystérésis pour l’entrée en cas de changement de valeur avec diminution. Les valeurs sont uniquement interprétées comme des dépassements de valeur limite si la valeur changeante est inférieure à la plage d’hystérésis définie ici.
Par défaut : 0 (pas d’hystérésis)

Plus de détails dans l’aide en ligne.

VT_R8

HystPos

Positif pour le signal

Hystérésis des valeurs limites définies en fonction de la plage du signal.

Plage d’hystérésis pour l’entrée en cas de changement de valeur avec augmentation. Les valeurs sont uniquement interprétées comme des dépassements de valeur limite si la valeur changeante est supérieure à la plage d’hystérésis définie ici.
Par défaut : 0 (pas d’hystérésis)

Plus de détails dans l’aide en ligne.

VT_R8

ArchHystNeg

Négatif pour l'archive

Hystérésis d’archivage en cas de changement appliquée à la plage de mesure.

Plage d’hystérésis pour l’entrée en cas de changement de valeur avec diminution. Les valeurs sont uniquement saisies dans l’archive si la valeur changeante est inférieure à la plage d’hystérésis définie ici.
Par défaut : 0 (pas d’hystérésis)

Plus de détails dans l’aide en ligne.

VT_R8

ArchHystPos

Positif pour l'archive

Hystérésis d’archivage en cas de changement appliquée à la plage de mesure.

Plage d’hystérésis pour l’entrée en cas de changement de valeur avec augmentation. Les valeurs sont uniquement saisies dans l’archive si la valeur changeante est supérieure à la plage d’hystérésis définie ici.
Par défaut : 0 (pas d’hystérésis)

Plus de détails dans l’aide en ligne.

VT_BOOL

DDEActive

Variable lue en permanence

Paramètre de lecture de la variable et de sa disponibilité via DDE dans le Runtime :

  • Active : La variable est toujours connectée au driver. Cela signifie qu’elle est continuellement lue par le driver, même si elle n’est pas nécessaire dans le projet à cet instant précis. Le driver connaît ainsi toujours les valeurs actuelles et l’état actuel des variables et peut les fournir immédiatement, si nécessaire. La variable est également disponible pour les autres applications Windows (par exemple, Excel, Visual Basic, etc.). Les applications Windows possédant une fonctionnalité de client DDE peuvent ainsi utiliser les valeurs de la variable.
    Temps d’actualisation : 0,5 s
    L'activation de cette option offre par exemple l’avantage de basculer plus rapidement les valeurs de variables dans la fonction Ecriture valeur prescrite ou dans l’élément Appel de synoptique, car il n’est pas nécessaire d’interroger spécialement la variable avant la commutation. L’inconvénient est une augmentation de la charge des communications au niveau du contrôleur.
  • Inactive : La variable n’est pas interrogée en permanence par le driver, mais uniquement en cas de demande de valeurs ou d’états dans le Runtime. Elle n’est donc pas disponible dans les autres applications Windows via DDE.

Par défaut : Inactive

Plus de détails dans l’aide en ligne.

VT_UI4

ArraySizeOld

Dimension tableau

Définition de la taille de l’ensemble de blocs. La taille définie est lue ou écrite par le driver durant une demande de lecture/d’écriture. Ceci permet de garantir la cohérence des données dans le texte. Les données peuvent uniquement être modifiées dans le module Recipegroup Manager ou via l’interface de programmation.
Attention : peut être défini au niveau du driver interne, toutefois sans fonction dans le Runtime (valeur toujours égale à 0).

Plus de détails dans l’aide en ligne.

VT_UI4

CounterGroup

Groupe de compteur

Disponible uniquement dans SICAM 230.

VT_UI4

MaxGradient

Gradient maximum

Disponible uniquement dans SICAM 230.

VT_BOOL

NormalStateActive

Actif

Permet de définir un état normal pour les variables et les types de données du type BOOL, UINT et WORD pour tous les drivers.

Active : Un état normal peut être défini.

Par défaut : Inactive

Plus de détails dans l’aide en ligne.

VT_BOOL

NormalState

Valeur normale

Dans la liste déroulante, choisissez si la valeur normale de cette variable ou ce type de données doit être On (Active) ou Off (Inactive). Disponible pour les variables et les types de données du type BOOL, UINT et WORD pour tous les drivers.

Par défaut : Off

Plus de détails dans l’aide en ligne.

ZT_VARIABLE

AlarmPV0

Variable d'alarme 1

Disponible uniquement dans SICAM 230.
Première variable pour la gestion d’alarmes de synoptiques.

Plus de détails dans l’aide en ligne.

ZT_VARIABLE

AlarmPV1

Variable d'alarme 2

Disponible uniquement dans SICAM 230.
Deuxième variable pour la gestion d’alarmes de synoptiques.

Plus de détails dans l’aide en ligne.

ZT_VARIABLE

AlarmPV2

Variable d'alarme 3

Disponible uniquement dans SICAM 230.
Troisième variable pour la gestion d’alarmes de synoptiques.

Plus de détails dans l’aide en ligne.

VT_BOOL

HDActive

Stockage de données sur disque dur actif

Active : les valeurs de variables sont enregistrées sur le disque dur (enregistrement circulaire) pour être évaluées dans l’élément dynamique "Élément de tendance" ou pour l’exportation/l’importation des valeurs.

Inactive : aucune valeur de variable n’est enregistrée.

Par défaut : inactive

Les données de disque dur nécessitent 24 octets d’espace de stockage par valeur, indépendamment du type de variable. Outre la valeur, les informations suivantes sont enregistrées :
- Heure d’exécution de la mesure.
- Millisecondes lors de la lecture de la valeur.
- Modification de l’état de la valeur en fonction des éléments.
- Compteur pour l’identification unique de la valeur (driver événementiel).

Remarque : Le stockage de données est également activé lors d’un appel de synoptique de type Extended Trend si des données en ligne sont analysées.
Les variables de type chaîne ne sont pas prises en charge par la fonction de stockage de données sur le disque dur.

Attention : si l’option d’enregistrement sur disque dur est activée pour un trop grand nombre de variables, en présence d’un trop grand nombre de valeurs, les performances du Runtime peuvent être altérées.

Plus de détails dans l’aide en ligne.

VT_R4

HDUpdate

Temps de cycle [s]

Disponible uniquement si la propriété Stockage de données sur disque dur actif est active :
Durée de l’intervalle [en secondes] de conservation des valeurs en ligne sur le disque dur (mémoire circulaire) pour l’analyse dans l’élément dynamique Tendance, pour les données en ligne dans le module Extended Trend ou pour l’exportation/l’importation de valeurs.

Plus de détails dans l’aide en ligne.

VT_UI4

HDSize

Nombre de valeurs

Valeur correspondant à l’intervalle de conservation des valeurs en ligne sur le disque dur (mémoire circulaire) pour l’analyse dans l’élément dynamique Tendance, pour les données en ligne dans le module Extended Trend ou pour l’exportation/l’importation de valeurs.

Attention : si l’option d’enregistrement sur disque dur est activée pour un trop grand nombre de variables, en présence d’un trop grand nombre de valeurs, les performances du Runtime peuvent être altérées.

Plus de détails dans l’aide en ligne.

VT_BOOL

IsKDAActiv

Type d'enregistrement

Disponible uniquement si la propriété Stockage de données sur disque dur actif est active :
Données de disque dur (cyclique) : Écriture cyclique des valeurs sur le disque dur.
Valeurs retriées (RDA) : Les valeurs sont écrites bloc par bloc sur le disque dur par le driver. (Fonction adaptée à l’analyse rétrospective des erreurs au niveau du système de contrôle.)

Plus de détails dans l’aide en ligne.

VT_BOOL

ExternVisible

Visible extérieurement pour

Disponible uniquement si la propriété Visible par d'autres programmes est active.

Spécifiez expressément les projets de zenon Logic pour lesquels la variable doit être visible. Si vous laissez le champ de saisie vide, la variable est visible pour tous les projets zenon Logic. Vous pouvez également saisir des projets zenon Logic de manière expresse. Séparez les noms des projets individuels par un point-virgule (";"). Vous pouvez utiliser les opérateurs. Par exemple, P1* signifie tous les projets zenon Logic commençant par P1. (Remarque : les opérateurs sont uniquement autorisés sous forme de préfixe ou de suffixe, par exemple, *xxx ou xxx*.

Le nombre de caractères est limité à 64.

Par défaut : -

Plus de détails dans l’aide en ligne.

VT_BSTR

ExternVisibleFor

Visible extérieurement pour

Disponible uniquement si la propriété Visible par d'autres programmes est active.

Spécifiez expressément les projets de zenon Logic pour lesquels la variable doit être visible. Si vous laissez le champ de saisie vide, la variable est visible pour tous les projets zenon Logic. Vous pouvez également saisir des projets zenon Logic de manière expresse. Séparez les noms des projets individuels par un point-virgule (";"). Vous pouvez utiliser les opérateurs. Par exemple, P1* signifie tous les projets zenon Logic commençant par P1. (Remarque : les opérateurs sont uniquement autorisés sous forme de préfixe ou de suffixe, par exemple, *xxx ou xxx*.

Le nombre de caractères est limité à 64.

Par défaut : -

Plus de détails dans l’aide en ligne.

VT_BOOL

ReadWrite

Ecriture/lecture externe

Propriété externe pour zenon Logic. Affecte uniquement les variables qui ne forment pas partie du driver straton.
Active : la valeur de la variable ne peut pas être modifiée dans zenon Logic. La définition de la variable ne peut pas être modifiée dans zenon Logic.
Inactive : la variable ne peut pas être modifiée dans zenon Logic.
Par défaut : active.

Plus de détails dans l’aide en ligne.

VT_BSTR

InitialValue

Valeur initiale externe

Propriété externe pour zenon Logic. Affecte uniquement les variables qui ne forment pas partie du driver straton.
Valeur initiale de la variable dans zenon Logic durant une reprise graduelle ou une reprise intermédiaire.
La saisie autorisée ici dépend du type de données de la variable. Par exemple, vous pouvez uniquement utiliser des valeurs sans décimales pour les variables entières. Pour les variables à virgule flottante, un point doit être utilisé en tant que séparateur décimal ; les virgules ne peuvent pas être utilisées.
Le système de contrôle ne vérifie pas la validité de cette saisie. Ceci peut générer un message d’erreur dans zenon Logic.

Attention : lors de l’utilisation de variables du driver interne, cette propriété doit posséder la même valeur que la valeur initiale dans les paramètres des variables internes.

Plus de détails dans l’aide en ligne.

VT_BSTR

Profilename

Nom profil externe

Propriété externe pour zenon Logic. Affecte uniquement les variables qui ne forment pas partie du driver straton.
Nom du profil défini dans zenon Logic (par ex. STRATON, ProfDP).

Cette propriété est uniquement affichée pour information. Édition dans zenon Logic uniquement.

Plus de détails dans l’aide en ligne.

VT_BSTR

Adressparam

Paramètre externe d'adresse

Propriété externe pour zenon Logic. Affecte uniquement les variables qui ne sont pas des variables du driver straton.
Propriétés de profil dans zenon Logic (par ex. "intégré" ou paramètres d’adressage de Profibus).

Cette propriété est uniquement affichée pour information. Édition dans zenon Logic uniquement.

Plus de détails dans l’aide en ligne.

VT_BSTR

Vargroup

Groupe de variables externe

Propriété externe pour zenon Logic. Affecte uniquement les variables qui ne sont pas des variables du driver straton32.
Groupes de variables dans zenon Logic ("Global" ou "Retain" ou vides).

Cette propriété est uniquement affichée pour information. Édition dans zenon Logic uniquement.

Plus de détails dans l’aide en ligne.

VT_BOOL

IsRemaActiv

Matrice de réaction active

Active : Une matrice de réaction est utilisée à la place des valeurs de limite.
Inactive : Les valeurs peuvent être définies pour la variable.
Par défaut : inactive.

Plus de détails dans l’aide en ligne.

ZT_REMA

Rema

Matrice de réaction

Propriétés d’utilisation d’une matrice de réaction pour la variable.

Plus de détails dans l’aide en ligne.

ZT_VARIABLE

AlarmQuitPV

Valeur d'acquittement

Si une alarme de cette variable est acquittée visuellement, la variable sélectionnée sous Variable d'acquittement visuel ou Variable d'acquittement est définie sur cette valeur.

Sélection de 0 ou 1.

Plus de détails dans l’aide en ligne.

ZT_VARIABLE

AlarmViewQuitPV

Variable d'acquittement visuel

Si une alarme de la variable de contrôle est acquittée visuellement, la valeur de la variable d’acquittement visuel est définie sur la valeur définie par Valeur d'acquittement.

Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de variables binaires.

Plus de détails dans l’aide en ligne.

VT_UI4

AlarmQuitPVValue

Valeur d'acquittement

Si une alarme de cette variable est acquittée visuellement, la variable sélectionnée sous Variable d'acquittement visuel ou Variable d'acquittement est définie sur cette valeur.

Sélection de 0 ou 1.

Plus de détails dans l’aide en ligne.

VT_BOOL

VarInASM

Enregistrer dans la base IPA

Active : les alarmes de cette variable sont disponibles pour analyse dans le module Industrial Performance Analyzer (IPA).
Inactive : les alarmes de cette variable ne sont prises en compte lors de l’analyse dans le module Industrial Performance Analyzer (IPA).
Par défaut : Inactive

Attention : le module Industrial Performance Analyzer est un module optionnel, qui doit comporter une licence valide pour pouvoir être utilisé ici.

Plus de détails dans l’aide en ligne.

VT_BOOL

AlarmViaEquipmentModel

Utiliser la gestion d'alarmes hiérarchiques du modèle d'équipement

Type d’attribution de la variable à un domaine d’alarmes.

  • Active :
    Le domaine d’alarmes de la variable est transféré par le modèle d’équipement. L’alarme de la variable est applicable aux domaines d’alarmes définis dans le modèle d’équipement. Dans ce cas, le groupe d’équipements de la variable et le groupe d’équipements de niveau supérieur du modèle d’équipement sont pris en compte.
  • Inactive :
    L'alarme sur la variable est applicable aux domaines d’alarmes 1 à 4 de la gestion d’alarmes.

Remarque : Si cette propriété est activée pour un type de données, les paramètres de toutes les variables issues de celle-ci sont transférés.

Plus de détails dans l’aide en ligne.

ZT_BSTR_REF

AreaName

AreaName

Description as text.

ZT_BSTR_REF

AreaName2

AreaName2

Description as text.

ZT_BSTR_REF

AreaName3

AreaName3

Description as text.

ZT_BSTR_REF

AreaName4

AreaName4

Description as text.

VT_BOOL

InOut

Ecrire valeur prescrite

Active : cette variable est libérée pour l’action Spécifier valeur prescrite.
Inactive : cette variable est protégée en écriture.
Par défaut : Active

Plus de détails dans l’aide en ligne.

VT_BOOL

SBO

Select Before Operate

Attention : Cette fonctionnalité est uniquement compatible avec les drivers IEC870 et IEC850, et uniquement disponible si vous avez sélectionné l’option Commande commutation pour la propriété de type d’action dans Gestion des commandes, et l’action est mise en œuvre sous forme d’action à deux étapes. N’utilisez pas cette fonction pour le driver DNP3_NG ; Auto-SBO peut être configuré directement pour la variable, dans ce cas.

Active : Avant que la valeur de la variable ne soit écrite dans le matériel, zenon vérifie, pendant la première phase de la commande de commutation, si la variable dans l’équipement est prête pour cette action (Select before Operate (SBO)).
Attention : Pour les commandes impulsion, la réinitialisation automatique des valeurs des variables n’est pas effectuée dans l’intervalle de temps défini dans la propriété de délai de front.

Si la propriété SBO a été activée pour la variable d’action, une commande d’impulsion se comporte de la même manière qu’une commande de commutation.

Inactive : La valeur de la variable est transférée vers le driver sans vérification préalable.

Remarque : dans un driver IEC870, cela signifie une instruction Direct execute. Le driver IEC850 peut toutefois déclencher automatiquement une instruction Select before Operate , en raison du Control Model.
Par défaut : Inactive :
Plus de détails dans l’aide en ligne.

VT_BOOL

CancelOperate

Annuler 'Operate'

Si cette propriété est activée, il est possible d’envoyer une commande Cancel après une commande Operate lors de la gestion des commandes.

Remarque : Cette propriété est uniquement dans la version Energy Edition.

Par défaut : Inactive

Plus de détails dans l’aide en ligne.

VT_R8

ValueMin

Valeur prescrite min.

La valeur minimum définie ici pour le paramètre Écrire valeur prescrite peut être acceptée par le biais d’éléments dynamiques, plutôt que par la configuration séparée de ces derniers.
Ceci est surtout recommandé si la plage de la mesure est susceptible de varier ultérieurement, car ces modifications peuvent être effectuées une fois ici, au lieu d’être modifiées séparément dans chaque élément.

Plus de détails dans l’aide en ligne.

VT_R8

ValueMax

Valeur prescrite max.

La valeur maximum définie ici pour le paramètre Écrire valeur prescrite peut être acceptée par le biais d’éléments dynamiques, plutôt que par la configuration séparée de ces derniers.
Ceci est surtout recommandé si la plage de la mesure est susceptible de varier ultérieurement, car ces modifications peuvent être effectuées une fois ici, au lieu d’être modifiées séparément dans chaque élément.

Plus de détails dans l’aide en ligne.

VT_BSTR

LockingName

LockingName

"With this property you have the opportunity to assign an interlocking via its name.
zElement.DynProperties(""LockingName"") = ""Interlocking 1"""

VT_UI1

SetValueProtocol

Enregistrement (fichier journal)

Définit la manière dont l’écriture de la valeur prescrite sera consignée dans la liste CEL.

  • Tout : Toutes les actions Écrire valeur prescrite de cette variable exécutées via des éléments dynamiques et les fonctions Écrire valeur prescrite sont consignées dans la liste d’événements. (CEL)
  • Rien : aucune action Spécifier valeur prescrite n’est consignée dans la liste CEL.
  • Seulement sur élément dynamique : Seules les actions Écrire valeur prescrite exécutées via les éléments dynamiques sont consignées dans la liste CEL.

Par défaut : Uniquement les éléments dynamiques :

Plus de détails dans l’aide en ligne.

VT_BOOL

SV_Act

Ancienne et nouvelle valeur
  • Active : en cas de modification de la valeur prescrite de cette variable, les valeurs ancienne et nouvelle sont consignées dans la liste d’événements (CEL).
  • Inactive : Seule la nouvelle valeur est consignée.

Par défaut : Inactive

Recommandation : Activez la propriété Variable lue en permanence. Ceci permet de garantir que la valeur est toujours disponible, et qu’il n’est pas nécessaire de l’interroger spécialement.

Plus de détails dans l’aide en ligne.

VT_BOOL

SV_VBA

Valeurs modifiées par VBA

Active : L’écriture de la valeur prescrite de cette variable via une macro VBA est consignée dans la liste d’événements.
inactive : l’écriture de la valeur prescrite de cette variable via une macro VBA n’est pas consignée.
Par défaut : Active

Remarque : pour les variables configurées sous forme de variables de commande dans la passerelle de procédé IEC870, chaque commande est consignée sous la forme Spécifier valeur prescrite via l’interface COM dans la liste CEL, si la propriété est activée.

Plus de détails dans l’aide en ligne.

VT_BSTR

VisualName

Nom visuel

Saisie d’un nom d’affichage de la variable dans zenon Analyzer. Celui-ci doit être unique dans le projet, mais ceci n’est pas vérifié dans zenon. Cette vérification est effectuée lors de l’importation dans zenon Analyzer.

Cette propriété fournit des informations qui sont utilisées pour la configuration de rapports dans zenon Analyzer. L’exportation des données de zenon vers zenon Analyzer est effectuée à l’aide de l’assistant Analyzer Export Wizard.

Attention : Si cette propriété est modifiée après la première exportation vers zenon Analyzer, ces modifications ne sont appliquées dans zenon Analyzer.

Plus de détails dans l’aide en ligne.

VT_BSTR

Meaning

Signification

Cette propriété fournit des informations qui sont utilisées par la fonction de configuration de rapports dans zenon Analyzer.
Les données peuvent être définies manuellement ou à l’aide de l’assistant Meaning and Waterfall Chart Wizard. L’exportation des données de zenon vers zenon Analyzer est effectuée à l’aide de l’assistant Analyzer Export Wizard.

Saisie de la signification (meaning) d’une variable dans zenon Analyzer. Plusieurs significations doivent être séparées par une virgule.
Syntaxe : [signification1],[signification2],…,[significationN]

Plus de détails dans l’aide en ligne.

VT_BSTR

WaterfallParam

Paramètre pour le waterfall diagram

Cette propriété fournit des informations qui sont utilisées par la fonction de configuration de rapports dans zenon Analyzer.
Les données peuvent être définies manuellement ou à l’aide de l’assistant Meaning and Waterfall Chart Wizard. L’exportation des données de zenon vers zenon Analyzer est effectuée à l’aide de l’assistant Analyzer Export Wizard.

Paramètres d’une variable pour un diagramme en cascade dans zenon Analyzer. Les entrées peuvent être créées pour les rapports par ligne ou les rapports par machine. Lors de l’exportation, en fonction de la structure des entrées, une décision est prise pour déterminer s’il s’agit d’entrées correspondant à des diagrammes par machine ou par ligne.

Les paramètres individuels doivent être séparés par une virgule. Plusieurs cascades doivent être séparées par un poing-virgule.
Syntaxe, par machine : [nom modèle],[indice de ligne],[indice de colonne],[code de couleur];
Syntaxe, par ligne : [nom du modèle],[indice de ligne],[indice de colonne],[code de couleur],[perte de machine auxiliaire],[ajout de perte de machine auxiliaire],[soustraction de perte de machine auxiliaire];

Plus de détails dans l’aide en ligne.

VT_BOOL

Use_in_ProcRec

Activer l'enregistrement

Active/désactive la variable ou le type de données enregistré dans le module Process Recorder.
La sélection multiple de variables est possible.

  • Active :
    Les changements de valeur de la variable sont enregistrés dans le module Process Recorder.
    Attention : Assurez-vous que l’activation générale de l’enregistrement a été configurée dans la propriété Activer Process Recorder.
  • Inactive :
    Les changements de valeur de la variable ne sont pas enregistrés dans le module Process Recorder.

Par défaut : les paramètres configurés sont appliqués pour le type de données utilisé.

Plus de détails dans l’aide en ligne.


IEC62056 variable ED

Manuel -> Interfaces de programmation -> Modèles d'objet -> Variable -> Variable-Dynamic properties -> IEC62056 variable ED

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Type

VBA/VSTA Name

Display Name

Description

VT_BSTR

IEC62056_ADDRESS

IEC62056 Address

Saisie de l’adresse OBIS.

VT_UI1

IEC62056_TIMEADJUST

IEC62056 Time Adjustment

Correction des informations d’horodatage. Sélection du type de correction de l’heure dans une liste déroulante.

  • Aucun : aucune correction n’est appliquée.
  • Début d’intervalle : la correction est appliquée aux informations d’horodatage de début.
  • Fin d’intervalle : la correction est appliquée aux informations d’horodatage de fin.

Par défaut : Aucun

L’intervalle applicable aux modifications est configuré à l’aide de la propriété IEC62056 Time Interval.

VT_UI2

IEC62056_TIMEINTERVAL

IEC62056 Time Interval

Saisie de l’intervalle, en minutes.

Disponible uniquement si l’option Aucune a été sélectionnée pour la propriété IEC62056 Time Adjustment.

Maximum : 65535

Par défaut : 15

Exemple : Si un intervalle de 15 et le paramètre Fin d’intervalle sont définis pour la propriété IEC62056 Time Adjustment, les informations d’horodatage sont toujours définies sur la fin d’un quart d’heure.

VT_BOOL

IsLocalDigits

IsLocalDigits

"With this property you have the opportunity to decide whether the ""Decimals"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalSignalMin

IsLocalSignalMin

"With this property you have the opportunity to decide whether the ""Minimum signal resolution"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalSignalMax

IsLocalSignalMax

"With this property you have the opportunity to decide whether the ""Maximum signal resolution"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalRangeMin

IsLocalRangeMin

"With this property you have the opportunity to decide whether the ""Minimum measuring range"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalRangeMax

IsLocalRangeMax

"With this property you have the opportunity to decide whether the ""Maximum measuring range"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalAlternateValue

IsLocalAlternateValue

"With this property you have the opportunity to decide whether the ""Alternate value"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalValueMin

IsLocalValueMin

"With this property you have the opportunity to decide whether the ""Minimum set value"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalValueMax

IsLocalValueMax

"With this property you have the opportunity to decide whether the ""Maximum set value"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalUseMacro

IsLocalUseMacro

"With this property you have the opportunity to decide whether the ""Non linear value adjustment with macros"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalInOut

IsLocalInOut

"With this property you have the opportunity to decide whether the ""Setting values active"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalHystNeg

IsLocalHystNeg

"With this property you have the opportunity to decide whether the ""negative hysteresis"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalHystPos

IsLocalHystPos

"With this property you have the opportunity to decide whether the ""negative hysteresis"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalArchHystNeg

IsLocalArchHystNeg

VT_BOOL

IsLocalArchHystPos

IsLocalArchHystPos

VT_BOOL

IsLocalUpdatePriority

IsLocalUpdatePriority

"With this property you have the opportunity to decide whether the ""Priority of the driver connection"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalDDEaktiv

IsLocalDDEaktiv

"With this property you have the opportunity to decide whether the ""DDE active"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalStandby

IsLocalStandby

"With this property you have the opportunity to decide whether the ""Only read from standby"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalRemaActiv

IsLocalRemaActiv

"With this property you have the opportunity to decide whether the ""Reaction matrix active"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalRema

IsLocalRema

"With this property you have the opportunity to decide whether the ""Reaction matrix"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalHDActive

IsLocalHDActive

"With this property you have the opportunity to decide whether the ""HD active"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalHDUpdate

IsLocalHDUpdate

"With this property you have the opportunity to decide whether the ""HD scan rate"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalHDSize

IsLocalHDSize

"With this property you have the opportunity to decide whether the ""Number of HD values"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalKDAActiv

IsLocalKDAActiv

"With this property you have the opportunity to decide whether the ""Recording type"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalStingLength

IsLocalStingLength

"With this property you have the opportunity to decide whether the ""String length"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalQuitPV

IsLocalQuitPV

"With this property you have the opportunity to decide whether the ""Acknowledgement variable"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalViewQuitPV

IsLocalViewQuitPV

Description as text.

VT_BOOL

IsLocalQuitValue

IsLocalQuitValue

"With this property you have the opportunity to decide whether the ""Acknowledgement value"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalTagname

IsLocalTagname

"With this property you have the opportunity to decide whether the ""Identification"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalUnit

IsLocalUnit

"With this property you have the opportunity to decide whether the ""Unit"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalAltValString

IsLocalAltValString

"With this property you have the opportunity to decide whether the ""String alternative value"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalRecLabel

IsLocalRecLabel

"With this property you have the opportunity to decide whether the ""Ressources label"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalAdjustHW

IsLocalAdjustHW

"With this property you have the opportunity to decide whether the ""AdjustHardwareValue"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalAdjustZenon

IsLocalAdjustZenon

"With this property you have the opportunity to decide whether the ""AdjustZenOnValue"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalArraySize

IsLocalArraySize

"With this property you have the opportunity to decide whether the ""Array size"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalCounterGroup

IsLocalCounterGroup

VT_BOOL

IsLocalMaxGradient

IsLocalMaxGradient

VT_BOOL

IsLocalNormalStateActive

IsLocalNormalStateActive

VT_BOOL

IsLocalNormalState

IsLocalNormalState

VT_BOOL

IsLocalAlarmPV0

IsLocalAlarmPV0

"With this property you have the opportunity to decide whether the ""Alarm Variable 1"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalAlarmPV1

IsLocalAlarmPV1

"With this property you have the opportunity to decide whether the ""Alarm Variable 2"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalAlarmPV2

IsLocalAlarmPV2

"With this property you have the opportunity to decide whether the ""Alarm Variable 3"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalVarInASM

IsLocalVarInASM

"With this property you have the opportunity to decide whether the ""Save in IPA database"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalAlarmDomain

IsLocalAlarmDomain

"With this property you have the opportunity to decide whether the ""Alarm area"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalAlarmDomain2

IsLocalAlarmDomain2

Description as text.

VT_BOOL

IsLocalAlarmDomain3

IsLocalAlarmDomain3

Description as text.

VT_BOOL

IsLocalAlarmDomain4

IsLocalAlarmDomain4

Description as text.

VT_BOOL

IsLocalLocking

IsLocalLocking

"With this property you have the opportunity to decide whether the ""Interlocking"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalSBO

IsLocalSBO

"With this property you have the opportunity to decide whether the ""Select before operate"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalCancelOperate

IsLocalCancelOperate

Description

VT_BOOL

IsLocalAlarmViaEquipmentModel

IsLocalAlarmViaEquipmentModel

Description

VT_BOOL

IsLocalUsedInProcRec

IsLocalUsedInProcRec

Description

VT_UI1

IsSWProtokol

IsSWProtokol

VT_BOOL

IsSW_Akt

IsSW_Akt

VT_BOOL

IsSW_VBA

IsSW_VBA

More...

Limits

Valeurs limite

Propriétés définissant le traitement des valeurs limites ou le traitement des alarmes pour la variable.

Les propriétés de ce groupe sont uniquement disponibles si vous avez activé la propriété Matrice de réaction active.

Plus de détails dans l’aide en ligne.

VT_UI4

ID_ComplexVariable

ID_ComplexVariable

With this property you have the opportunity to get/set the ID of a variable from a structure element. This ID is 0 when the variable has no structure datatype.

VT_BSTR

Name

Nom

Nom unique de la variable. Les considérations suivantes s’appliquent lors de la définition du nom :

  • Longueur maximale : 128 caractères
  • Caractères non autorisés : # et @

Remarque : pour les drivers utilisant la connexion à zenon Logic, vous devez définir un préfixe. Pour plus de détails, reportez-vous au chapitre Création de variables O et M dans zenon Logic dans le manuel.
Toute modification du nom de la variable doit également être effectuée dans l’environnement de programmation (VBA, VSTA).

Attention : Cette propriété n’est pas disponible aux fins de la commutation de langue.

Plus de détails dans l’aide en ligne.

VT_BSTR

Tagname

Identification

Chaîne libre utilisée pour l’identification de la variable ou du type de données.
Remarque : Puisque la langue du nom de la variable (propriété Nom) ne peut pas être modifiée, cette propriété peut être utilisée pour le changement de langue en ligne.

Longueur maximale : 128 caractères

Plus de détails dans l’aide en ligne.

VT_BSTR

Unit

Unité de mesure

Unité technique de la variable devant être affichée dans le Runtime. Si vous avez déjà créé des unités de mesure dans le module d’unités de base, celles-ci sont disponibles dans une liste déroulante.
Maximum : 50 caractères.
Par défaut : vide

Plus de détails dans l’aide en ligne.

VT_R8

AlternateValue

Archivfüllwert

Cette valeur est utilisée pour renseigner les archives cycliques. En présence d’intervalles durant lesquels aucune connexion au matériel n’a été établie, cette valeur est utilisée tant qu’aucune valeur n’est transférée depuis l’équipement. Dans le cas contraire, la dernière valeur valide utilisée est utilisée aux fins du renseignement.

Plus de détails dans l’aide en ligne.

VT_BSTR

AlternateValueString

Valeur chaîne pour le remplissage des archives

Cette valeur est utilisée pour les variables de chaîne, afin de renseigner les archives cycliques.
En présence d’intervalles, dans les archives cycliques, durant lesquels aucune connexion au matériel n’a été établie, cette Valeur chaîne pour le remplissage des archives est utilisée tant qu’aucune valeur n’est transférée depuis l’équipement. Dans le cas contraire, la dernière valeur valide est utilisée pour le renseignement.

Longueur maximale : 128 caractères

Attention : Cette propriété n’est pas disponible aux fins de la commutation de langue.

Plus de détails dans l’aide en ligne.

VT_BSTR

Recourceslabel

Description externe

Chaîne au choix.
N'est pas utilisé au niveau interne dans zenon, mais est disponible lors de l’exportation de valeurs pour autoriser l’attribution des valeurs exportées pour les systèmes de gestion tels qu’ERP.

Longueur maximale : 255 caractères

Plus de détails dans l’aide en ligne.

VT_UI4

NetAddr

Adresse réseau

Adresse de bus ou Adresse réseau de la variable.

  • Minimum : 0
  • Maximum : 4294967295

Par défaut : 0

Plus de détails dans l’aide en ligne.

VT_UI4

DataBlock

Bloc de données

Numéro de bloc de données.
Minimum : 0.
Maximum : 4294967295
Par défaut : 0.

Plus de détails dans l’aide en ligne.

VT_UI4

Offset

Offset

Décalage de la variable.
Pour les contrôleurs à adressage linéaire : plage de mémoire.
Pour les contrôleurs à résolution de nom : adresse d’attribution.
Minimum : 0.
Maximum : 4294967295
Par défaut : 0.

Plus de détails dans l’aide en ligne.

VT_UI2

BitAddr

Numéro de bit

Numéro du bit dans le décalage configuré.
Minimum : 0.
Maximum : 65535
Par défaut : 0.

Plus de détails dans l’aide en ligne.

VT_UI2

Alignment

Alignement

Ceci dépend de la granularité du type d’objet du driver et de la position de la variable conformément au décalage défini.

Pour les variables de type Octet :
Octet poids fort : octet de poids fort dans le décalage de mot.
Octet poids faible : Otet de poids faible dans le décalage de mot.
HiWord-HiByte octet de poids fort dans le mot fort dans le décalage de double mot.
HiWord-LoByte (Mot poids fort-Octet poids faible) octet de poids faible dans le mot fort dans le décalage de double mot.
Mot poids faible-Octet poids fort : octet de poids fort dans le mot faible dans le décalage de double mot.
Mot poids faible-Octet poids faible : octet de poids faible dans le mot faible dans le décalage de double mot.

Pour les variables de mot :
Mot poids fort : mot fort dans le décalage de double mot.
Mot poids faible : Mot poids faible dans le décalage de double mot.

Plus de détails dans l’aide en ligne.

VT_UI2

StringLength

Longueur de la chaîne

Disponible uniquement pour les variables de type chaîne.
Nombre maximum de caractères que peut accepter une variable.
Minimum : 1 caractère
Si la valeur non autorisée 0 est saisie, la dernière valeur configurée valide est automatiquement utilisée. Si aucune valeur valide n’a été configurée, l’entrée est remplacée par la valeur par défaut.
Maximum : 65535 caractères.
Par défaut : 5 caractères

Remarque : la valeur par défaut est 65 535 pour les variables système avec le type de données String.

Plus de détails dans l’aide en ligne.

VT_BSTR

SymbAddr

Adresse symbolique

Séquence de caractères pour l’adressage symbolique des variables.

Longueur maximale : 1024 caractères.

Remarque : L’adresse symbolique n’est pas prise en charge par tous les drivers.
Lors de l’importation des variables dans des drivers compatibles avec l’adressage symbolique, la propriété est saisie automatiquement.

Plus de détails dans l’aide en ligne.

VT_UI4

Driver

Drivers

VT_UI4

ID_DataTyp

Type de données

Type de donnée pour la variable. Sélectionné durant la création de la variable ; peut être modifié ici ultérieurement.
Remarque : Pour les variables de structure, le type de données ne peut plus être modifié après la création des variables.
Attention : Si vous modifiez le type de données ultérieurement, toutes les autres propriétés de la variable doivent être vérifiées et ajustées, si nécessaire.

Plus de détails dans l’aide en ligne.

VT_UI4

ID_DriverTyp

Type d'objet driver

Selon le driver utilisé, un type d’objet est sélectionné durant la création de la variable et peut être modifié ici ultérieurement.
Siemens : bloc de données, marqueur, entrée/sortie.
Modbus : Coil et Holding Register.

Plus de détails dans l’aide en ligne.

VT_UI1

UpdatePriority

Priorité

Si l’heure de mise à jour globale spécifiée dans la configuration du driver n’est pas utilisée, la fréquence des mises à jour correspondant aux différents niveaux de priorité peut être définie ici. Dans cette propriété, une priorité est attribuée à une variable.

Plus de détails dans l’aide en ligne.

VT_BOOL

Standby

Lire uniquement sur le serveur redondant

Active : La valeur de la variable provenant du serveur redondant est affichée.
Inactive : La valeur de la variable provenant du serveur est affichée.
(drivers matériels uniquement)

Plus de détails dans l’aide en ligne.

VT_UI2

Digits

Nombre de décimales

Nombre de décimales des valeurs de variables utilisées lors de l’affichage dans le système de contrôle.
Minimum : 0
Maximum : 10
Par défaut : 0

Plus de détails dans l’aide en ligne.

VT_R8

SignalMin

Signal min.

Valeur minimum de la variable dans l’automate.
À moins d’être définie différemment dans la propriété Ajustement non-linéaire, la valeur brute des variables (résolution du signal) sera toujours convertie au format de la plage de mesure sur une base linéaire (pour une utilisation dans le système de contrôle). Toutes les autres entrées de valeurs numériques spécifiques à la variable dans Editor et dans le Runtime seront liées à la plage de mesures (par ex. définition des valeurs limites, limites des valeurs prescrites, zone de représentation, entrées de valeurs prescrites, etc.).

Plus de détails dans l’aide en ligne.

VT_R8

SignalMax

Signal max.

Valeur maximum de la variable dans l’automate. À moins d’être définie différemment dans la propriété Ajustement non-linéaire, la valeur brute des variables (résolution du signal) sera toujours convertie au format de la plage de mesure sur une base linéaire (pour une utilisation dans le système de contrôle). Toutes les autres entrées de valeurs numériques spécifiques à la variable dans Editor et dans le Runtime seront liées à la plage de mesures (par ex. définition des valeurs limites, limites des valeurs prescrites, zone de représentation, entrées de valeurs prescrites, etc.).

Plus de détails dans l’aide en ligne.

VT_R8

RangeMin

Plage de mesure min.

Valeur minimum des variables dans zenon.
À moins d’être définie différemment dans la propriété Ajustement non-linéaire, la valeur brute des variables (résolution du signal) sera toujours convertie au format de la plage de mesure sur une base linéaire (pour une utilisation dans le système de contrôle). Toutes les autres entrées de valeurs numériques spécifiques à la variable dans Editor et dans le Runtime seront liées à la plage de mesures (par ex. définition des valeurs limites, limites des valeurs prescrites, zone de représentation, entrées de valeurs prescrites, etc.).

Plus de détails dans l’aide en ligne.

VT_R8

RangeMax

Plage de mesure max.

Valeur maximum des variables dans zenon.
À moins d’être définie différemment dans la propriété Ajustement non-linéaire, la valeur brute des variables (résolution du signal) sera toujours convertie au format de la plage de mesure sur une base linéaire (pour une utilisation dans le système de contrôle). Toutes les autres entrées de valeurs numériques spécifiques à la variable dans Editor et dans le Runtime seront liées à la plage de mesures (par ex. définition des valeurs limites, limites des valeurs prescrites, zone de représentation, entrées de valeurs prescrites, etc.).

Plus de détails dans l’aide en ligne.

VT_BOOL

UseMacro

Ajustement non-linéaire avec macros

L’ajustement de valeurs non linéaires est utilisé pour les variables dont la valeur originale (automate) ne peut pas être ajustée de manière linéaire en fonction de la valeur mesurée (système de contrôle).

  • Active : Les valeurs brutes sont ajustées en fonction de zenon, sur une base non linéaire, avec des macros VBA.
  • Inactive : Les valeurs brutes sont ajustées en fonction de zenon.

Remarque : Lors de l’activation de la propriété, les propriétés AdjustHardwareValue et AdjustScadaValue doivent également être configurées. La propriété AdjustHardwareValue doit alors être configurée à l’inverse de la propriété AdjustScadaValue, sous forme de fonction inverse.

Par défaut : Inactive

Plus de détails dans l’aide en ligne.

ZT_VBAMAKRO

AdjustHardware

AdjustHardwareValue

Disponible uniquement si la propriété Ajustement non-linéaire avec macros est active.

Macro appelée à chaque modification de la valeur brute dans l’automate, et qui modifie la valeur dans zenon. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de macros.
Plus de détails dans l’aide en ligne.

ZT_VBAMAKRO

AdjustZenon

AdjustScadaValue

Disponible uniquement si la propriété Ajustement non-linéaire avec macros est active.

La macro est appelée lors de l’écriture d’une valeur depuis zenon et modifie la valeur brute sur l’automate. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de macros.
Plus de détails dans l’aide en ligne.

VT_R8

HystNeg

Négatif pour le signal

Hystérésis des valeurs limites définies en fonction de la plage du signal.

Plage d’hystérésis pour l’entrée en cas de changement de valeur avec diminution. Les valeurs sont uniquement interprétées comme des dépassements de valeur limite si la valeur changeante est inférieure à la plage d’hystérésis définie ici.
Par défaut : 0 (pas d’hystérésis)

Plus de détails dans l’aide en ligne.

VT_R8

HystPos

Positif pour le signal

Hystérésis des valeurs limites définies en fonction de la plage du signal.

Plage d’hystérésis pour l’entrée en cas de changement de valeur avec augmentation. Les valeurs sont uniquement interprétées comme des dépassements de valeur limite si la valeur changeante est supérieure à la plage d’hystérésis définie ici.
Par défaut : 0 (pas d’hystérésis)

Plus de détails dans l’aide en ligne.

VT_R8

ArchHystNeg

Négatif pour l'archive

Hystérésis d’archivage en cas de changement appliquée à la plage de mesure.

Plage d’hystérésis pour l’entrée en cas de changement de valeur avec diminution. Les valeurs sont uniquement saisies dans l’archive si la valeur changeante est inférieure à la plage d’hystérésis définie ici.
Par défaut : 0 (pas d’hystérésis)

Plus de détails dans l’aide en ligne.

VT_R8

ArchHystPos

Positif pour l'archive

Hystérésis d’archivage en cas de changement appliquée à la plage de mesure.

Plage d’hystérésis pour l’entrée en cas de changement de valeur avec augmentation. Les valeurs sont uniquement saisies dans l’archive si la valeur changeante est supérieure à la plage d’hystérésis définie ici.
Par défaut : 0 (pas d’hystérésis)

Plus de détails dans l’aide en ligne.

VT_BOOL

DDEActive

Variable lue en permanence

Paramètre de lecture de la variable et de sa disponibilité via DDE dans le Runtime :

  • Active : La variable est toujours connectée au driver. Cela signifie qu’elle est continuellement lue par le driver, même si elle n’est pas nécessaire dans le projet à cet instant précis. Le driver connaît ainsi toujours les valeurs actuelles et l’état actuel des variables et peut les fournir immédiatement, si nécessaire. La variable est également disponible pour les autres applications Windows (par exemple, Excel, Visual Basic, etc.). Les applications Windows possédant une fonctionnalité de client DDE peuvent ainsi utiliser les valeurs de la variable.
    Temps d’actualisation : 0,5 s
    L'activation de cette option offre par exemple l’avantage de basculer plus rapidement les valeurs de variables dans la fonction Ecriture valeur prescrite ou dans l’élément Appel de synoptique, car il n’est pas nécessaire d’interroger spécialement la variable avant la commutation. L’inconvénient est une augmentation de la charge des communications au niveau du contrôleur.
  • Inactive : La variable n’est pas interrogée en permanence par le driver, mais uniquement en cas de demande de valeurs ou d’états dans le Runtime. Elle n’est donc pas disponible dans les autres applications Windows via DDE.

Par défaut : Inactive

Plus de détails dans l’aide en ligne.

VT_UI4

ArraySizeOld

Dimension tableau

Définition de la taille de l’ensemble de blocs. La taille définie est lue ou écrite par le driver durant une demande de lecture/d’écriture. Ceci permet de garantir la cohérence des données dans le texte. Les données peuvent uniquement être modifiées dans le module Recipegroup Manager ou via l’interface de programmation.
Attention : peut être défini au niveau du driver interne, toutefois sans fonction dans le Runtime (valeur toujours égale à 0).

Plus de détails dans l’aide en ligne.

VT_UI4

CounterGroup

Groupe de compteur

Disponible uniquement dans SICAM 230.

VT_UI4

MaxGradient

Gradient maximum

Disponible uniquement dans SICAM 230.

VT_BOOL

NormalStateActive

Actif

Permet de définir un état normal pour les variables et les types de données du type BOOL, UINT et WORD pour tous les drivers.

Active : Un état normal peut être défini.

Par défaut : Inactive

Plus de détails dans l’aide en ligne.

VT_BOOL

NormalState

Valeur normale

Dans la liste déroulante, choisissez si la valeur normale de cette variable ou ce type de données doit être On (Active) ou Off (Inactive). Disponible pour les variables et les types de données du type BOOL, UINT et WORD pour tous les drivers.

Par défaut : Off

Plus de détails dans l’aide en ligne.

ZT_VARIABLE

AlarmPV0

Variable d'alarme 1

Disponible uniquement dans SICAM 230.
Première variable pour la gestion d’alarmes de synoptiques.

Plus de détails dans l’aide en ligne.

ZT_VARIABLE

AlarmPV1

Variable d'alarme 2

Disponible uniquement dans SICAM 230.
Deuxième variable pour la gestion d’alarmes de synoptiques.

Plus de détails dans l’aide en ligne.

ZT_VARIABLE

AlarmPV2

Variable d'alarme 3

Disponible uniquement dans SICAM 230.
Troisième variable pour la gestion d’alarmes de synoptiques.

Plus de détails dans l’aide en ligne.

VT_BOOL

HDActive

Stockage de données sur disque dur actif

Active : les valeurs de variables sont enregistrées sur le disque dur (enregistrement circulaire) pour être évaluées dans l’élément dynamique "Élément de tendance" ou pour l’exportation/l’importation des valeurs.

Inactive : aucune valeur de variable n’est enregistrée.

Par défaut : inactive

Les données de disque dur nécessitent 24 octets d’espace de stockage par valeur, indépendamment du type de variable. Outre la valeur, les informations suivantes sont enregistrées :
- Heure d’exécution de la mesure.
- Millisecondes lors de la lecture de la valeur.
- Modification de l’état de la valeur en fonction des éléments.
- Compteur pour l’identification unique de la valeur (driver événementiel).

Remarque : Le stockage de données est également activé lors d’un appel de synoptique de type Extended Trend si des données en ligne sont analysées.
Les variables de type chaîne ne sont pas prises en charge par la fonction de stockage de données sur le disque dur.

Attention : si l’option d’enregistrement sur disque dur est activée pour un trop grand nombre de variables, en présence d’un trop grand nombre de valeurs, les performances du Runtime peuvent être altérées.

Plus de détails dans l’aide en ligne.

VT_R4

HDUpdate

Temps de cycle [s]

Disponible uniquement si la propriété Stockage de données sur disque dur actif est active :
Durée de l’intervalle [en secondes] de conservation des valeurs en ligne sur le disque dur (mémoire circulaire) pour l’analyse dans l’élément dynamique Tendance, pour les données en ligne dans le module Extended Trend ou pour l’exportation/l’importation de valeurs.

Plus de détails dans l’aide en ligne.

VT_UI4

HDSize

Nombre de valeurs

Valeur correspondant à l’intervalle de conservation des valeurs en ligne sur le disque dur (mémoire circulaire) pour l’analyse dans l’élément dynamique Tendance, pour les données en ligne dans le module Extended Trend ou pour l’exportation/l’importation de valeurs.

Attention : si l’option d’enregistrement sur disque dur est activée pour un trop grand nombre de variables, en présence d’un trop grand nombre de valeurs, les performances du Runtime peuvent être altérées.

Plus de détails dans l’aide en ligne.

VT_BOOL

IsKDAActiv

Type d'enregistrement

Disponible uniquement si la propriété Stockage de données sur disque dur actif est active :
Données de disque dur (cyclique) : Écriture cyclique des valeurs sur le disque dur.
Valeurs retriées (RDA) : Les valeurs sont écrites bloc par bloc sur le disque dur par le driver. (Fonction adaptée à l’analyse rétrospective des erreurs au niveau du système de contrôle.)

Plus de détails dans l’aide en ligne.

VT_BOOL

ExternVisible

Visible extérieurement pour

Disponible uniquement si la propriété Visible par d'autres programmes est active.

Spécifiez expressément les projets de zenon Logic pour lesquels la variable doit être visible. Si vous laissez le champ de saisie vide, la variable est visible pour tous les projets zenon Logic. Vous pouvez également saisir des projets zenon Logic de manière expresse. Séparez les noms des projets individuels par un point-virgule (";"). Vous pouvez utiliser les opérateurs. Par exemple, P1* signifie tous les projets zenon Logic commençant par P1. (Remarque : les opérateurs sont uniquement autorisés sous forme de préfixe ou de suffixe, par exemple, *xxx ou xxx*.

Le nombre de caractères est limité à 64.

Par défaut : -

Plus de détails dans l’aide en ligne.

VT_BSTR

ExternVisibleFor

Visible extérieurement pour

Disponible uniquement si la propriété Visible par d'autres programmes est active.

Spécifiez expressément les projets de zenon Logic pour lesquels la variable doit être visible. Si vous laissez le champ de saisie vide, la variable est visible pour tous les projets zenon Logic. Vous pouvez également saisir des projets zenon Logic de manière expresse. Séparez les noms des projets individuels par un point-virgule (";"). Vous pouvez utiliser les opérateurs. Par exemple, P1* signifie tous les projets zenon Logic commençant par P1. (Remarque : les opérateurs sont uniquement autorisés sous forme de préfixe ou de suffixe, par exemple, *xxx ou xxx*.

Le nombre de caractères est limité à 64.

Par défaut : -

Plus de détails dans l’aide en ligne.

VT_BOOL

ReadWrite

Ecriture/lecture externe

Propriété externe pour zenon Logic. Affecte uniquement les variables qui ne forment pas partie du driver straton.
Active : la valeur de la variable ne peut pas être modifiée dans zenon Logic. La définition de la variable ne peut pas être modifiée dans zenon Logic.
Inactive : la variable ne peut pas être modifiée dans zenon Logic.
Par défaut : active.

Plus de détails dans l’aide en ligne.

VT_BSTR

InitialValue

Valeur initiale externe

Propriété externe pour zenon Logic. Affecte uniquement les variables qui ne forment pas partie du driver straton.
Valeur initiale de la variable dans zenon Logic durant une reprise graduelle ou une reprise intermédiaire.
La saisie autorisée ici dépend du type de données de la variable. Par exemple, vous pouvez uniquement utiliser des valeurs sans décimales pour les variables entières. Pour les variables à virgule flottante, un point doit être utilisé en tant que séparateur décimal ; les virgules ne peuvent pas être utilisées.
Le système de contrôle ne vérifie pas la validité de cette saisie. Ceci peut générer un message d’erreur dans zenon Logic.

Attention : lors de l’utilisation de variables du driver interne, cette propriété doit posséder la même valeur que la valeur initiale dans les paramètres des variables internes.

Plus de détails dans l’aide en ligne.

VT_BSTR

Profilename

Nom profil externe

Propriété externe pour zenon Logic. Affecte uniquement les variables qui ne forment pas partie du driver straton.
Nom du profil défini dans zenon Logic (par ex. STRATON, ProfDP).

Cette propriété est uniquement affichée pour information. Édition dans zenon Logic uniquement.

Plus de détails dans l’aide en ligne.

VT_BSTR

Adressparam

Paramètre externe d'adresse

Propriété externe pour zenon Logic. Affecte uniquement les variables qui ne sont pas des variables du driver straton.
Propriétés de profil dans zenon Logic (par ex. "intégré" ou paramètres d’adressage de Profibus).

Cette propriété est uniquement affichée pour information. Édition dans zenon Logic uniquement.

Plus de détails dans l’aide en ligne.

VT_BSTR

Vargroup

Groupe de variables externe

Propriété externe pour zenon Logic. Affecte uniquement les variables qui ne sont pas des variables du driver straton32.
Groupes de variables dans zenon Logic ("Global" ou "Retain" ou vides).

Cette propriété est uniquement affichée pour information. Édition dans zenon Logic uniquement.

Plus de détails dans l’aide en ligne.

VT_BOOL

IsRemaActiv

Matrice de réaction active

Active : Une matrice de réaction est utilisée à la place des valeurs de limite.
Inactive : Les valeurs peuvent être définies pour la variable.
Par défaut : inactive.

Plus de détails dans l’aide en ligne.

ZT_REMA

Rema

Matrice de réaction

Propriétés d’utilisation d’une matrice de réaction pour la variable.

Plus de détails dans l’aide en ligne.

ZT_VARIABLE

AlarmQuitPV

Valeur d'acquittement

Si une alarme de cette variable est acquittée visuellement, la variable sélectionnée sous Variable d'acquittement visuel ou Variable d'acquittement est définie sur cette valeur.

Sélection de 0 ou 1.

Plus de détails dans l’aide en ligne.

ZT_VARIABLE

AlarmViewQuitPV

Variable d'acquittement visuel

Si une alarme de la variable de contrôle est acquittée visuellement, la valeur de la variable d’acquittement visuel est définie sur la valeur définie par Valeur d'acquittement.

Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de variables binaires.

Plus de détails dans l’aide en ligne.

VT_UI4

AlarmQuitPVValue

Valeur d'acquittement

Si une alarme de cette variable est acquittée visuellement, la variable sélectionnée sous Variable d'acquittement visuel ou Variable d'acquittement est définie sur cette valeur.

Sélection de 0 ou 1.

Plus de détails dans l’aide en ligne.

VT_BOOL

VarInASM

Enregistrer dans la base IPA

Active : les alarmes de cette variable sont disponibles pour analyse dans le module Industrial Performance Analyzer (IPA).
Inactive : les alarmes de cette variable ne sont prises en compte lors de l’analyse dans le module Industrial Performance Analyzer (IPA).
Par défaut : Inactive

Attention : le module Industrial Performance Analyzer est un module optionnel, qui doit comporter une licence valide pour pouvoir être utilisé ici.

Plus de détails dans l’aide en ligne.

VT_BOOL

AlarmViaEquipmentModel

Utiliser la gestion d'alarmes hiérarchiques du modèle d'équipement

Type d’attribution de la variable à un domaine d’alarmes.

  • Active :
    Le domaine d’alarmes de la variable est transféré par le modèle d’équipement. L’alarme de la variable est applicable aux domaines d’alarmes définis dans le modèle d’équipement. Dans ce cas, le groupe d’équipements de la variable et le groupe d’équipements de niveau supérieur du modèle d’équipement sont pris en compte.
  • Inactive :
    L'alarme sur la variable est applicable aux domaines d’alarmes 1 à 4 de la gestion d’alarmes.

Remarque : Si cette propriété est activée pour un type de données, les paramètres de toutes les variables issues de celle-ci sont transférés.

Plus de détails dans l’aide en ligne.

ZT_BSTR_REF

AreaName

AreaName

Description as text.

ZT_BSTR_REF

AreaName2

AreaName2

Description as text.

ZT_BSTR_REF

AreaName3

AreaName3

Description as text.

ZT_BSTR_REF

AreaName4

AreaName4

Description as text.

VT_BOOL

InOut

Ecrire valeur prescrite

Active : cette variable est libérée pour l’action Spécifier valeur prescrite.
Inactive : cette variable est protégée en écriture.
Par défaut : Active

Plus de détails dans l’aide en ligne.

VT_BOOL

SBO

Select Before Operate

Attention : Cette fonctionnalité est uniquement compatible avec les drivers IEC870 et IEC850, et uniquement disponible si vous avez sélectionné l’option Commande commutation pour la propriété de type d’action dans Gestion des commandes, et l’action est mise en œuvre sous forme d’action à deux étapes. N’utilisez pas cette fonction pour le driver DNP3_NG ; Auto-SBO peut être configuré directement pour la variable, dans ce cas.

Active : Avant que la valeur de la variable ne soit écrite dans le matériel, zenon vérifie, pendant la première phase de la commande de commutation, si la variable dans l’équipement est prête pour cette action (Select before Operate (SBO)).
Attention : Pour les commandes impulsion, la réinitialisation automatique des valeurs des variables n’est pas effectuée dans l’intervalle de temps défini dans la propriété de délai de front.

Si la propriété SBO a été activée pour la variable d’action, une commande d’impulsion se comporte de la même manière qu’une commande de commutation.

Inactive : La valeur de la variable est transférée vers le driver sans vérification préalable.

Remarque : dans un driver IEC870, cela signifie une instruction Direct execute. Le driver IEC850 peut toutefois déclencher automatiquement une instruction Select before Operate , en raison du Control Model.
Par défaut : Inactive :
Plus de détails dans l’aide en ligne.

VT_BOOL

CancelOperate

Annuler 'Operate'

Si cette propriété est activée, il est possible d’envoyer une commande Cancel après une commande Operate lors de la gestion des commandes.

Remarque : Cette propriété est uniquement dans la version Energy Edition.

Par défaut : Inactive

Plus de détails dans l’aide en ligne.

VT_R8

ValueMin

Valeur prescrite min.

La valeur minimum définie ici pour le paramètre Écrire valeur prescrite peut être acceptée par le biais d’éléments dynamiques, plutôt que par la configuration séparée de ces derniers.
Ceci est surtout recommandé si la plage de la mesure est susceptible de varier ultérieurement, car ces modifications peuvent être effectuées une fois ici, au lieu d’être modifiées séparément dans chaque élément.

Plus de détails dans l’aide en ligne.

VT_R8

ValueMax

Valeur prescrite max.

La valeur maximum définie ici pour le paramètre Écrire valeur prescrite peut être acceptée par le biais d’éléments dynamiques, plutôt que par la configuration séparée de ces derniers.
Ceci est surtout recommandé si la plage de la mesure est susceptible de varier ultérieurement, car ces modifications peuvent être effectuées une fois ici, au lieu d’être modifiées séparément dans chaque élément.

Plus de détails dans l’aide en ligne.

VT_BSTR

LockingName

LockingName

"With this property you have the opportunity to assign an interlocking via its name.
zElement.DynProperties(""LockingName"") = ""Interlocking 1"""

VT_UI1

SetValueProtocol

Enregistrement (fichier journal)

Définit la manière dont l’écriture de la valeur prescrite sera consignée dans la liste CEL.

  • Tout : Toutes les actions Écrire valeur prescrite de cette variable exécutées via des éléments dynamiques et les fonctions Écrire valeur prescrite sont consignées dans la liste d’événements. (CEL)
  • Rien : aucune action Spécifier valeur prescrite n’est consignée dans la liste CEL.
  • Seulement sur élément dynamique : Seules les actions Écrire valeur prescrite exécutées via les éléments dynamiques sont consignées dans la liste CEL.

Par défaut : Uniquement les éléments dynamiques :

Plus de détails dans l’aide en ligne.

VT_BOOL

SV_Act

Ancienne et nouvelle valeur
  • Active : en cas de modification de la valeur prescrite de cette variable, les valeurs ancienne et nouvelle sont consignées dans la liste d’événements (CEL).
  • Inactive : Seule la nouvelle valeur est consignée.

Par défaut : Inactive

Recommandation : Activez la propriété Variable lue en permanence. Ceci permet de garantir que la valeur est toujours disponible, et qu’il n’est pas nécessaire de l’interroger spécialement.

Plus de détails dans l’aide en ligne.

VT_BOOL

SV_VBA

Valeurs modifiées par VBA

Active : L’écriture de la valeur prescrite de cette variable via une macro VBA est consignée dans la liste d’événements.
inactive : l’écriture de la valeur prescrite de cette variable via une macro VBA n’est pas consignée.
Par défaut : Active

Remarque : pour les variables configurées sous forme de variables de commande dans la passerelle de procédé IEC870, chaque commande est consignée sous la forme Spécifier valeur prescrite via l’interface COM dans la liste CEL, si la propriété est activée.

Plus de détails dans l’aide en ligne.

VT_BSTR

VisualName

Nom visuel

Saisie d’un nom d’affichage de la variable dans zenon Analyzer. Celui-ci doit être unique dans le projet, mais ceci n’est pas vérifié dans zenon. Cette vérification est effectuée lors de l’importation dans zenon Analyzer.

Cette propriété fournit des informations qui sont utilisées pour la configuration de rapports dans zenon Analyzer. L’exportation des données de zenon vers zenon Analyzer est effectuée à l’aide de l’assistant Analyzer Export Wizard.

Attention : Si cette propriété est modifiée après la première exportation vers zenon Analyzer, ces modifications ne sont appliquées dans zenon Analyzer.

Plus de détails dans l’aide en ligne.

VT_BSTR

Meaning

Signification

Cette propriété fournit des informations qui sont utilisées par la fonction de configuration de rapports dans zenon Analyzer.
Les données peuvent être définies manuellement ou à l’aide de l’assistant Meaning and Waterfall Chart Wizard. L’exportation des données de zenon vers zenon Analyzer est effectuée à l’aide de l’assistant Analyzer Export Wizard.

Saisie de la signification (meaning) d’une variable dans zenon Analyzer. Plusieurs significations doivent être séparées par une virgule.
Syntaxe : [signification1],[signification2],…,[significationN]

Plus de détails dans l’aide en ligne.

VT_BSTR

WaterfallParam

Paramètre pour le waterfall diagram

Cette propriété fournit des informations qui sont utilisées par la fonction de configuration de rapports dans zenon Analyzer.
Les données peuvent être définies manuellement ou à l’aide de l’assistant Meaning and Waterfall Chart Wizard. L’exportation des données de zenon vers zenon Analyzer est effectuée à l’aide de l’assistant Analyzer Export Wizard.

Paramètres d’une variable pour un diagramme en cascade dans zenon Analyzer. Les entrées peuvent être créées pour les rapports par ligne ou les rapports par machine. Lors de l’exportation, en fonction de la structure des entrées, une décision est prise pour déterminer s’il s’agit d’entrées correspondant à des diagrammes par machine ou par ligne.

Les paramètres individuels doivent être séparés par une virgule. Plusieurs cascades doivent être séparées par un poing-virgule.
Syntaxe, par machine : [nom modèle],[indice de ligne],[indice de colonne],[code de couleur];
Syntaxe, par ligne : [nom du modèle],[indice de ligne],[indice de colonne],[code de couleur],[perte de machine auxiliaire],[ajout de perte de machine auxiliaire],[soustraction de perte de machine auxiliaire];

Plus de détails dans l’aide en ligne.

VT_BOOL

Use_in_ProcRec

Activer l'enregistrement

Active/désactive la variable ou le type de données enregistré dans le module Process Recorder.
La sélection multiple de variables est possible.

  • Active :
    Les changements de valeur de la variable sont enregistrés dans le module Process Recorder.
    Attention : Assurez-vous que l’activation générale de l’enregistrement a été configurée dans la propriété Activer Process Recorder.
  • Inactive :
    Les changements de valeur de la variable ne sont pas enregistrés dans le module Process Recorder.

Par défaut : les paramètres configurés sont appliqués pour le type de données utilisé.

Plus de détails dans l’aide en ligne.


IEC870_103 variable ED

Manuel -> Interfaces de programmation -> Modèles d'objet -> Variable -> Variable-Dynamic properties -> IEC870_103 variable ED

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Type

VBA/VSTA Name

Display Name

Description

VT_UI4

IEC870_103_FktType

IEC870-103 FUNCTION TYPE

Saisissez une valeur. Établit une correspondance avec FUN en tenant compte de la norme utilisée.

Plus de détails dans l’aide en ligne.

VT_UI4

IEC870_103_InfNo

IEC870-103 INFORMATION NUMBER

Saisissez une valeur. Établit une correspondance avec INF en tenant compte de la norme utilisée.

Plus de détails dans l’aide en ligne.

VT_UI4

IEC870_103_Index

IEC870-103 Index

Saisissez une valeur. Établit une correspondance avec la séquence de MEA dans ASDU 3 ou 9.

Plus de détails dans l’aide en ligne.

VT_BOOL

IsLocalDigits

IsLocalDigits

"With this property you have the opportunity to decide whether the ""Decimals"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalSignalMin

IsLocalSignalMin

"With this property you have the opportunity to decide whether the ""Minimum signal resolution"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalSignalMax

IsLocalSignalMax

"With this property you have the opportunity to decide whether the ""Maximum signal resolution"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalRangeMin

IsLocalRangeMin

"With this property you have the opportunity to decide whether the ""Minimum measuring range"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalRangeMax

IsLocalRangeMax

"With this property you have the opportunity to decide whether the ""Maximum measuring range"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalAlternateValue

IsLocalAlternateValue

"With this property you have the opportunity to decide whether the ""Alternate value"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalValueMin

IsLocalValueMin

"With this property you have the opportunity to decide whether the ""Minimum set value"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalValueMax

IsLocalValueMax

"With this property you have the opportunity to decide whether the ""Maximum set value"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalUseMacro

IsLocalUseMacro

"With this property you have the opportunity to decide whether the ""Non linear value adjustment with macros"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalInOut

IsLocalInOut

"With this property you have the opportunity to decide whether the ""Setting values active"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalHystNeg

IsLocalHystNeg

"With this property you have the opportunity to decide whether the ""negative hysteresis"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalHystPos

IsLocalHystPos

"With this property you have the opportunity to decide whether the ""negative hysteresis"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalArchHystNeg

IsLocalArchHystNeg

VT_BOOL

IsLocalArchHystPos

IsLocalArchHystPos

VT_BOOL

IsLocalUpdatePriority

IsLocalUpdatePriority

"With this property you have the opportunity to decide whether the ""Priority of the driver connection"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalDDEaktiv

IsLocalDDEaktiv

"With this property you have the opportunity to decide whether the ""DDE active"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalStandby

IsLocalStandby

"With this property you have the opportunity to decide whether the ""Only read from standby"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalRemaActiv

IsLocalRemaActiv

"With this property you have the opportunity to decide whether the ""Reaction matrix active"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalRema

IsLocalRema

"With this property you have the opportunity to decide whether the ""Reaction matrix"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalHDActive

IsLocalHDActive

"With this property you have the opportunity to decide whether the ""HD active"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalHDUpdate

IsLocalHDUpdate

"With this property you have the opportunity to decide whether the ""HD scan rate"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalHDSize

IsLocalHDSize

"With this property you have the opportunity to decide whether the ""Number of HD values"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalKDAActiv

IsLocalKDAActiv

"With this property you have the opportunity to decide whether the ""Recording type"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalStingLength

IsLocalStingLength

"With this property you have the opportunity to decide whether the ""String length"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalQuitPV

IsLocalQuitPV

"With this property you have the opportunity to decide whether the ""Acknowledgement variable"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalViewQuitPV

IsLocalViewQuitPV

Description as text.

VT_BOOL

IsLocalQuitValue

IsLocalQuitValue

"With this property you have the opportunity to decide whether the ""Acknowledgement value"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalTagname

IsLocalTagname

"With this property you have the opportunity to decide whether the ""Identification"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalUnit

IsLocalUnit

"With this property you have the opportunity to decide whether the ""Unit"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalAltValString

IsLocalAltValString

"With this property you have the opportunity to decide whether the ""String alternative value"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalRecLabel

IsLocalRecLabel

"With this property you have the opportunity to decide whether the ""Ressources label"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalAdjustHW

IsLocalAdjustHW

"With this property you have the opportunity to decide whether the ""AdjustHardwareValue"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalAdjustZenon

IsLocalAdjustZenon

"With this property you have the opportunity to decide whether the ""AdjustZenOnValue"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalArraySize

IsLocalArraySize

"With this property you have the opportunity to decide whether the ""Array size"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalCounterGroup

IsLocalCounterGroup

VT_BOOL

IsLocalMaxGradient

IsLocalMaxGradient

VT_BOOL

IsLocalNormalStateActive

IsLocalNormalStateActive

VT_BOOL

IsLocalNormalState

IsLocalNormalState

VT_BOOL

IsLocalAlarmPV0

IsLocalAlarmPV0

"With this property you have the opportunity to decide whether the ""Alarm Variable 1"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalAlarmPV1

IsLocalAlarmPV1

"With this property you have the opportunity to decide whether the ""Alarm Variable 2"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalAlarmPV2

IsLocalAlarmPV2

"With this property you have the opportunity to decide whether the ""Alarm Variable 3"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalVarInASM

IsLocalVarInASM

"With this property you have the opportunity to decide whether the ""Save in IPA database"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalAlarmDomain

IsLocalAlarmDomain

"With this property you have the opportunity to decide whether the ""Alarm area"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalAlarmDomain2

IsLocalAlarmDomain2

Description as text.

VT_BOOL

IsLocalAlarmDomain3

IsLocalAlarmDomain3

Description as text.

VT_BOOL

IsLocalAlarmDomain4

IsLocalAlarmDomain4

Description as text.

VT_BOOL

IsLocalLocking

IsLocalLocking

"With this property you have the opportunity to decide whether the ""Interlocking"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalSBO

IsLocalSBO

"With this property you have the opportunity to decide whether the ""Select before operate"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalCancelOperate

IsLocalCancelOperate

Description

VT_BOOL

IsLocalAlarmViaEquipmentModel

IsLocalAlarmViaEquipmentModel

Description

VT_BOOL

IsLocalUsedInProcRec

IsLocalUsedInProcRec

Description

VT_UI1

IsSWProtokol

IsSWProtokol

VT_BOOL

IsSW_Akt

IsSW_Akt

VT_BOOL

IsSW_VBA

IsSW_VBA

More...

Limits

Valeurs limite

Propriétés définissant le traitement des valeurs limites ou le traitement des alarmes pour la variable.

Les propriétés de ce groupe sont uniquement disponibles si vous avez activé la propriété Matrice de réaction active.

Plus de détails dans l’aide en ligne.

VT_UI4

ID_ComplexVariable

ID_ComplexVariable

With this property you have the opportunity to get/set the ID of a variable from a structure element. This ID is 0 when the variable has no structure datatype.

VT_BSTR

Name

Nom

Nom unique de la variable. Les considérations suivantes s’appliquent lors de la définition du nom :

  • Longueur maximale : 128 caractères
  • Caractères non autorisés : # et @

Remarque : pour les drivers utilisant la connexion à zenon Logic, vous devez définir un préfixe. Pour plus de détails, reportez-vous au chapitre Création de variables O et M dans zenon Logic dans le manuel.
Toute modification du nom de la variable doit également être effectuée dans l’environnement de programmation (VBA, VSTA).

Attention : Cette propriété n’est pas disponible aux fins de la commutation de langue.

Plus de détails dans l’aide en ligne.

VT_BSTR

Tagname

Identification

Chaîne libre utilisée pour l’identification de la variable ou du type de données.
Remarque : Puisque la langue du nom de la variable (propriété Nom) ne peut pas être modifiée, cette propriété peut être utilisée pour le changement de langue en ligne.

Longueur maximale : 128 caractères

Plus de détails dans l’aide en ligne.

VT_BSTR

Unit

Unité de mesure

Unité technique de la variable devant être affichée dans le Runtime. Si vous avez déjà créé des unités de mesure dans le module d’unités de base, celles-ci sont disponibles dans une liste déroulante.
Maximum : 50 caractères.
Par défaut : vide

Plus de détails dans l’aide en ligne.

VT_R8

AlternateValue

Archivfüllwert

Cette valeur est utilisée pour renseigner les archives cycliques. En présence d’intervalles durant lesquels aucune connexion au matériel n’a été établie, cette valeur est utilisée tant qu’aucune valeur n’est transférée depuis l’équipement. Dans le cas contraire, la dernière valeur valide utilisée est utilisée aux fins du renseignement.

Plus de détails dans l’aide en ligne.

VT_BSTR

AlternateValueString

Valeur chaîne pour le remplissage des archives

Cette valeur est utilisée pour les variables de chaîne, afin de renseigner les archives cycliques.
En présence d’intervalles, dans les archives cycliques, durant lesquels aucune connexion au matériel n’a été établie, cette Valeur chaîne pour le remplissage des archives est utilisée tant qu’aucune valeur n’est transférée depuis l’équipement. Dans le cas contraire, la dernière valeur valide est utilisée pour le renseignement.

Longueur maximale : 128 caractères

Attention : Cette propriété n’est pas disponible aux fins de la commutation de langue.

Plus de détails dans l’aide en ligne.

VT_BSTR

Recourceslabel

Description externe

Chaîne au choix.
N'est pas utilisé au niveau interne dans zenon, mais est disponible lors de l’exportation de valeurs pour autoriser l’attribution des valeurs exportées pour les systèmes de gestion tels qu’ERP.

Longueur maximale : 255 caractères

Plus de détails dans l’aide en ligne.

VT_UI4

NetAddr

Adresse réseau

Adresse de bus ou Adresse réseau de la variable.

  • Minimum : 0
  • Maximum : 4294967295

Par défaut : 0

Plus de détails dans l’aide en ligne.

VT_UI4

DataBlock

Bloc de données

Numéro de bloc de données.
Minimum : 0.
Maximum : 4294967295
Par défaut : 0.

Plus de détails dans l’aide en ligne.

VT_UI4

Offset

Offset

Décalage de la variable.
Pour les contrôleurs à adressage linéaire : plage de mémoire.
Pour les contrôleurs à résolution de nom : adresse d’attribution.
Minimum : 0.
Maximum : 4294967295
Par défaut : 0.

Plus de détails dans l’aide en ligne.

VT_UI2

BitAddr

Numéro de bit

Numéro du bit dans le décalage configuré.
Minimum : 0.
Maximum : 65535
Par défaut : 0.

Plus de détails dans l’aide en ligne.

VT_UI2

Alignment

Alignement

Ceci dépend de la granularité du type d’objet du driver et de la position de la variable conformément au décalage défini.

Pour les variables de type Octet :
Octet poids fort : octet de poids fort dans le décalage de mot.
Octet poids faible : Otet de poids faible dans le décalage de mot.
HiWord-HiByte octet de poids fort dans le mot fort dans le décalage de double mot.
HiWord-LoByte (Mot poids fort-Octet poids faible) octet de poids faible dans le mot fort dans le décalage de double mot.
Mot poids faible-Octet poids fort : octet de poids fort dans le mot faible dans le décalage de double mot.
Mot poids faible-Octet poids faible : octet de poids faible dans le mot faible dans le décalage de double mot.

Pour les variables de mot :
Mot poids fort : mot fort dans le décalage de double mot.
Mot poids faible : Mot poids faible dans le décalage de double mot.

Plus de détails dans l’aide en ligne.

VT_UI2

StringLength

Longueur de la chaîne

Disponible uniquement pour les variables de type chaîne.
Nombre maximum de caractères que peut accepter une variable.
Minimum : 1 caractère
Si la valeur non autorisée 0 est saisie, la dernière valeur configurée valide est automatiquement utilisée. Si aucune valeur valide n’a été configurée, l’entrée est remplacée par la valeur par défaut.
Maximum : 65535 caractères.
Par défaut : 5 caractères

Remarque : la valeur par défaut est 65 535 pour les variables système avec le type de données String.

Plus de détails dans l’aide en ligne.

VT_BSTR

SymbAddr

Adresse symbolique

Séquence de caractères pour l’adressage symbolique des variables.

Longueur maximale : 1024 caractères.

Remarque : L’adresse symbolique n’est pas prise en charge par tous les drivers.
Lors de l’importation des variables dans des drivers compatibles avec l’adressage symbolique, la propriété est saisie automatiquement.

Plus de détails dans l’aide en ligne.

VT_UI4

Driver

Drivers

VT_UI4

ID_DataTyp

Type de données

Type de donnée pour la variable. Sélectionné durant la création de la variable ; peut être modifié ici ultérieurement.
Remarque : Pour les variables de structure, le type de données ne peut plus être modifié après la création des variables.
Attention : Si vous modifiez le type de données ultérieurement, toutes les autres propriétés de la variable doivent être vérifiées et ajustées, si nécessaire.

Plus de détails dans l’aide en ligne.

VT_UI4

ID_DriverTyp

Type d'objet driver

Selon le driver utilisé, un type d’objet est sélectionné durant la création de la variable et peut être modifié ici ultérieurement.
Siemens : bloc de données, marqueur, entrée/sortie.
Modbus : Coil et Holding Register.

Plus de détails dans l’aide en ligne.

VT_UI1

UpdatePriority

Priorité

Si l’heure de mise à jour globale spécifiée dans la configuration du driver n’est pas utilisée, la fréquence des mises à jour correspondant aux différents niveaux de priorité peut être définie ici. Dans cette propriété, une priorité est attribuée à une variable.

Plus de détails dans l’aide en ligne.

VT_BOOL

Standby

Lire uniquement sur le serveur redondant

Active : La valeur de la variable provenant du serveur redondant est affichée.
Inactive : La valeur de la variable provenant du serveur est affichée.
(drivers matériels uniquement)

Plus de détails dans l’aide en ligne.

VT_UI2

Digits

Nombre de décimales

Nombre de décimales des valeurs de variables utilisées lors de l’affichage dans le système de contrôle.
Minimum : 0
Maximum : 10
Par défaut : 0

Plus de détails dans l’aide en ligne.

VT_R8

SignalMin

Signal min.

Valeur minimum de la variable dans l’automate.
À moins d’être définie différemment dans la propriété Ajustement non-linéaire, la valeur brute des variables (résolution du signal) sera toujours convertie au format de la plage de mesure sur une base linéaire (pour une utilisation dans le système de contrôle). Toutes les autres entrées de valeurs numériques spécifiques à la variable dans Editor et dans le Runtime seront liées à la plage de mesures (par ex. définition des valeurs limites, limites des valeurs prescrites, zone de représentation, entrées de valeurs prescrites, etc.).

Plus de détails dans l’aide en ligne.

VT_R8

SignalMax

Signal max.

Valeur maximum de la variable dans l’automate. À moins d’être définie différemment dans la propriété Ajustement non-linéaire, la valeur brute des variables (résolution du signal) sera toujours convertie au format de la plage de mesure sur une base linéaire (pour une utilisation dans le système de contrôle). Toutes les autres entrées de valeurs numériques spécifiques à la variable dans Editor et dans le Runtime seront liées à la plage de mesures (par ex. définition des valeurs limites, limites des valeurs prescrites, zone de représentation, entrées de valeurs prescrites, etc.).

Plus de détails dans l’aide en ligne.

VT_R8

RangeMin

Plage de mesure min.

Valeur minimum des variables dans zenon.
À moins d’être définie différemment dans la propriété Ajustement non-linéaire, la valeur brute des variables (résolution du signal) sera toujours convertie au format de la plage de mesure sur une base linéaire (pour une utilisation dans le système de contrôle). Toutes les autres entrées de valeurs numériques spécifiques à la variable dans Editor et dans le Runtime seront liées à la plage de mesures (par ex. définition des valeurs limites, limites des valeurs prescrites, zone de représentation, entrées de valeurs prescrites, etc.).

Plus de détails dans l’aide en ligne.

VT_R8

RangeMax

Plage de mesure max.

Valeur maximum des variables dans zenon.
À moins d’être définie différemment dans la propriété Ajustement non-linéaire, la valeur brute des variables (résolution du signal) sera toujours convertie au format de la plage de mesure sur une base linéaire (pour une utilisation dans le système de contrôle). Toutes les autres entrées de valeurs numériques spécifiques à la variable dans Editor et dans le Runtime seront liées à la plage de mesures (par ex. définition des valeurs limites, limites des valeurs prescrites, zone de représentation, entrées de valeurs prescrites, etc.).

Plus de détails dans l’aide en ligne.

VT_BOOL

UseMacro

Ajustement non-linéaire avec macros

L’ajustement de valeurs non linéaires est utilisé pour les variables dont la valeur originale (automate) ne peut pas être ajustée de manière linéaire en fonction de la valeur mesurée (système de contrôle).

  • Active : Les valeurs brutes sont ajustées en fonction de zenon, sur une base non linéaire, avec des macros VBA.
  • Inactive : Les valeurs brutes sont ajustées en fonction de zenon.

Remarque : Lors de l’activation de la propriété, les propriétés AdjustHardwareValue et AdjustScadaValue doivent également être configurées. La propriété AdjustHardwareValue doit alors être configurée à l’inverse de la propriété AdjustScadaValue, sous forme de fonction inverse.

Par défaut : Inactive

Plus de détails dans l’aide en ligne.

ZT_VBAMAKRO

AdjustHardware

AdjustHardwareValue

Disponible uniquement si la propriété Ajustement non-linéaire avec macros est active.

Macro appelée à chaque modification de la valeur brute dans l’automate, et qui modifie la valeur dans zenon. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de macros.
Plus de détails dans l’aide en ligne.

ZT_VBAMAKRO

AdjustZenon

AdjustScadaValue

Disponible uniquement si la propriété Ajustement non-linéaire avec macros est active.

La macro est appelée lors de l’écriture d’une valeur depuis zenon et modifie la valeur brute sur l’automate. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de macros.
Plus de détails dans l’aide en ligne.

VT_R8

HystNeg

Négatif pour le signal

Hystérésis des valeurs limites définies en fonction de la plage du signal.

Plage d’hystérésis pour l’entrée en cas de changement de valeur avec diminution. Les valeurs sont uniquement interprétées comme des dépassements de valeur limite si la valeur changeante est inférieure à la plage d’hystérésis définie ici.
Par défaut : 0 (pas d’hystérésis)

Plus de détails dans l’aide en ligne.

VT_R8

HystPos

Positif pour le signal

Hystérésis des valeurs limites définies en fonction de la plage du signal.

Plage d’hystérésis pour l’entrée en cas de changement de valeur avec augmentation. Les valeurs sont uniquement interprétées comme des dépassements de valeur limite si la valeur changeante est supérieure à la plage d’hystérésis définie ici.
Par défaut : 0 (pas d’hystérésis)

Plus de détails dans l’aide en ligne.

VT_R8

ArchHystNeg

Négatif pour l'archive

Hystérésis d’archivage en cas de changement appliquée à la plage de mesure.

Plage d’hystérésis pour l’entrée en cas de changement de valeur avec diminution. Les valeurs sont uniquement saisies dans l’archive si la valeur changeante est inférieure à la plage d’hystérésis définie ici.
Par défaut : 0 (pas d’hystérésis)

Plus de détails dans l’aide en ligne.

VT_R8

ArchHystPos

Positif pour l'archive

Hystérésis d’archivage en cas de changement appliquée à la plage de mesure.

Plage d’hystérésis pour l’entrée en cas de changement de valeur avec augmentation. Les valeurs sont uniquement saisies dans l’archive si la valeur changeante est supérieure à la plage d’hystérésis définie ici.
Par défaut : 0 (pas d’hystérésis)

Plus de détails dans l’aide en ligne.

VT_BOOL

DDEActive

Variable lue en permanence

Paramètre de lecture de la variable et de sa disponibilité via DDE dans le Runtime :

  • Active : La variable est toujours connectée au driver. Cela signifie qu’elle est continuellement lue par le driver, même si elle n’est pas nécessaire dans le projet à cet instant précis. Le driver connaît ainsi toujours les valeurs actuelles et l’état actuel des variables et peut les fournir immédiatement, si nécessaire. La variable est également disponible pour les autres applications Windows (par exemple, Excel, Visual Basic, etc.). Les applications Windows possédant une fonctionnalité de client DDE peuvent ainsi utiliser les valeurs de la variable.
    Temps d’actualisation : 0,5 s
    L'activation de cette option offre par exemple l’avantage de basculer plus rapidement les valeurs de variables dans la fonction Ecriture valeur prescrite ou dans l’élément Appel de synoptique, car il n’est pas nécessaire d’interroger spécialement la variable avant la commutation. L’inconvénient est une augmentation de la charge des communications au niveau du contrôleur.
  • Inactive : La variable n’est pas interrogée en permanence par le driver, mais uniquement en cas de demande de valeurs ou d’états dans le Runtime. Elle n’est donc pas disponible dans les autres applications Windows via DDE.

Par défaut : Inactive

Plus de détails dans l’aide en ligne.

VT_UI4

ArraySizeOld

Dimension tableau

Définition de la taille de l’ensemble de blocs. La taille définie est lue ou écrite par le driver durant une demande de lecture/d’écriture. Ceci permet de garantir la cohérence des données dans le texte. Les données peuvent uniquement être modifiées dans le module Recipegroup Manager ou via l’interface de programmation.
Attention : peut être défini au niveau du driver interne, toutefois sans fonction dans le Runtime (valeur toujours égale à 0).

Plus de détails dans l’aide en ligne.

VT_UI4

CounterGroup

Groupe de compteur

Disponible uniquement dans SICAM 230.

VT_UI4

MaxGradient

Gradient maximum

Disponible uniquement dans SICAM 230.

VT_BOOL

NormalStateActive

Actif

Permet de définir un état normal pour les variables et les types de données du type BOOL, UINT et WORD pour tous les drivers.

Active : Un état normal peut être défini.

Par défaut : Inactive

Plus de détails dans l’aide en ligne.

VT_BOOL

NormalState

Valeur normale

Dans la liste déroulante, choisissez si la valeur normale de cette variable ou ce type de données doit être On (Active) ou Off (Inactive). Disponible pour les variables et les types de données du type BOOL, UINT et WORD pour tous les drivers.

Par défaut : Off

Plus de détails dans l’aide en ligne.

ZT_VARIABLE

AlarmPV0

Variable d'alarme 1

Disponible uniquement dans SICAM 230.
Première variable pour la gestion d’alarmes de synoptiques.

Plus de détails dans l’aide en ligne.

ZT_VARIABLE

AlarmPV1

Variable d'alarme 2

Disponible uniquement dans SICAM 230.
Deuxième variable pour la gestion d’alarmes de synoptiques.

Plus de détails dans l’aide en ligne.

ZT_VARIABLE

AlarmPV2

Variable d'alarme 3

Disponible uniquement dans SICAM 230.
Troisième variable pour la gestion d’alarmes de synoptiques.

Plus de détails dans l’aide en ligne.

VT_BOOL

HDActive

Stockage de données sur disque dur actif

Active : les valeurs de variables sont enregistrées sur le disque dur (enregistrement circulaire) pour être évaluées dans l’élément dynamique "Élément de tendance" ou pour l’exportation/l’importation des valeurs.

Inactive : aucune valeur de variable n’est enregistrée.

Par défaut : inactive

Les données de disque dur nécessitent 24 octets d’espace de stockage par valeur, indépendamment du type de variable. Outre la valeur, les informations suivantes sont enregistrées :
- Heure d’exécution de la mesure.
- Millisecondes lors de la lecture de la valeur.
- Modification de l’état de la valeur en fonction des éléments.
- Compteur pour l’identification unique de la valeur (driver événementiel).

Remarque : Le stockage de données est également activé lors d’un appel de synoptique de type Extended Trend si des données en ligne sont analysées.
Les variables de type chaîne ne sont pas prises en charge par la fonction de stockage de données sur le disque dur.

Attention : si l’option d’enregistrement sur disque dur est activée pour un trop grand nombre de variables, en présence d’un trop grand nombre de valeurs, les performances du Runtime peuvent être altérées.

Plus de détails dans l’aide en ligne.

VT_R4

HDUpdate

Temps de cycle [s]

Disponible uniquement si la propriété Stockage de données sur disque dur actif est active :
Durée de l’intervalle [en secondes] de conservation des valeurs en ligne sur le disque dur (mémoire circulaire) pour l’analyse dans l’élément dynamique Tendance, pour les données en ligne dans le module Extended Trend ou pour l’exportation/l’importation de valeurs.

Plus de détails dans l’aide en ligne.

VT_UI4

HDSize

Nombre de valeurs

Valeur correspondant à l’intervalle de conservation des valeurs en ligne sur le disque dur (mémoire circulaire) pour l’analyse dans l’élément dynamique Tendance, pour les données en ligne dans le module Extended Trend ou pour l’exportation/l’importation de valeurs.

Attention : si l’option d’enregistrement sur disque dur est activée pour un trop grand nombre de variables, en présence d’un trop grand nombre de valeurs, les performances du Runtime peuvent être altérées.

Plus de détails dans l’aide en ligne.

VT_BOOL

IsKDAActiv

Type d'enregistrement

Disponible uniquement si la propriété Stockage de données sur disque dur actif est active :
Données de disque dur (cyclique) : Écriture cyclique des valeurs sur le disque dur.
Valeurs retriées (RDA) : Les valeurs sont écrites bloc par bloc sur le disque dur par le driver. (Fonction adaptée à l’analyse rétrospective des erreurs au niveau du système de contrôle.)

Plus de détails dans l’aide en ligne.

VT_BOOL

ExternVisible

Visible extérieurement pour

Disponible uniquement si la propriété Visible par d'autres programmes est active.

Spécifiez expressément les projets de zenon Logic pour lesquels la variable doit être visible. Si vous laissez le champ de saisie vide, la variable est visible pour tous les projets zenon Logic. Vous pouvez également saisir des projets zenon Logic de manière expresse. Séparez les noms des projets individuels par un point-virgule (";"). Vous pouvez utiliser les opérateurs. Par exemple, P1* signifie tous les projets zenon Logic commençant par P1. (Remarque : les opérateurs sont uniquement autorisés sous forme de préfixe ou de suffixe, par exemple, *xxx ou xxx*.

Le nombre de caractères est limité à 64.

Par défaut : -

Plus de détails dans l’aide en ligne.

VT_BSTR

ExternVisibleFor

Visible extérieurement pour

Disponible uniquement si la propriété Visible par d'autres programmes est active.

Spécifiez expressément les projets de zenon Logic pour lesquels la variable doit être visible. Si vous laissez le champ de saisie vide, la variable est visible pour tous les projets zenon Logic. Vous pouvez également saisir des projets zenon Logic de manière expresse. Séparez les noms des projets individuels par un point-virgule (";"). Vous pouvez utiliser les opérateurs. Par exemple, P1* signifie tous les projets zenon Logic commençant par P1. (Remarque : les opérateurs sont uniquement autorisés sous forme de préfixe ou de suffixe, par exemple, *xxx ou xxx*.

Le nombre de caractères est limité à 64.

Par défaut : -

Plus de détails dans l’aide en ligne.

VT_BOOL

ReadWrite

Ecriture/lecture externe

Propriété externe pour zenon Logic. Affecte uniquement les variables qui ne forment pas partie du driver straton.
Active : la valeur de la variable ne peut pas être modifiée dans zenon Logic. La définition de la variable ne peut pas être modifiée dans zenon Logic.
Inactive : la variable ne peut pas être modifiée dans zenon Logic.
Par défaut : active.

Plus de détails dans l’aide en ligne.

VT_BSTR

InitialValue

Valeur initiale externe

Propriété externe pour zenon Logic. Affecte uniquement les variables qui ne forment pas partie du driver straton.
Valeur initiale de la variable dans zenon Logic durant une reprise graduelle ou une reprise intermédiaire.
La saisie autorisée ici dépend du type de données de la variable. Par exemple, vous pouvez uniquement utiliser des valeurs sans décimales pour les variables entières. Pour les variables à virgule flottante, un point doit être utilisé en tant que séparateur décimal ; les virgules ne peuvent pas être utilisées.
Le système de contrôle ne vérifie pas la validité de cette saisie. Ceci peut générer un message d’erreur dans zenon Logic.

Attention : lors de l’utilisation de variables du driver interne, cette propriété doit posséder la même valeur que la valeur initiale dans les paramètres des variables internes.

Plus de détails dans l’aide en ligne.

VT_BSTR

Profilename

Nom profil externe

Propriété externe pour zenon Logic. Affecte uniquement les variables qui ne forment pas partie du driver straton.
Nom du profil défini dans zenon Logic (par ex. STRATON, ProfDP).

Cette propriété est uniquement affichée pour information. Édition dans zenon Logic uniquement.

Plus de détails dans l’aide en ligne.

VT_BSTR

Adressparam

Paramètre externe d'adresse

Propriété externe pour zenon Logic. Affecte uniquement les variables qui ne sont pas des variables du driver straton.
Propriétés de profil dans zenon Logic (par ex. "intégré" ou paramètres d’adressage de Profibus).

Cette propriété est uniquement affichée pour information. Édition dans zenon Logic uniquement.

Plus de détails dans l’aide en ligne.

VT_BSTR

Vargroup

Groupe de variables externe

Propriété externe pour zenon Logic. Affecte uniquement les variables qui ne sont pas des variables du driver straton32.
Groupes de variables dans zenon Logic ("Global" ou "Retain" ou vides).

Cette propriété est uniquement affichée pour information. Édition dans zenon Logic uniquement.

Plus de détails dans l’aide en ligne.

VT_BOOL

IsRemaActiv

Matrice de réaction active

Active : Une matrice de réaction est utilisée à la place des valeurs de limite.
Inactive : Les valeurs peuvent être définies pour la variable.
Par défaut : inactive.

Plus de détails dans l’aide en ligne.

ZT_REMA

Rema

Matrice de réaction

Propriétés d’utilisation d’une matrice de réaction pour la variable.

Plus de détails dans l’aide en ligne.

ZT_VARIABLE

AlarmQuitPV

Valeur d'acquittement

Si une alarme de cette variable est acquittée visuellement, la variable sélectionnée sous Variable d'acquittement visuel ou Variable d'acquittement est définie sur cette valeur.

Sélection de 0 ou 1.

Plus de détails dans l’aide en ligne.

ZT_VARIABLE

AlarmViewQuitPV

Variable d'acquittement visuel

Si une alarme de la variable de contrôle est acquittée visuellement, la valeur de la variable d’acquittement visuel est définie sur la valeur définie par Valeur d'acquittement.

Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de variables binaires.

Plus de détails dans l’aide en ligne.

VT_UI4

AlarmQuitPVValue

Valeur d'acquittement

Si une alarme de cette variable est acquittée visuellement, la variable sélectionnée sous Variable d'acquittement visuel ou Variable d'acquittement est définie sur cette valeur.

Sélection de 0 ou 1.

Plus de détails dans l’aide en ligne.

VT_BOOL

VarInASM

Enregistrer dans la base IPA

Active : les alarmes de cette variable sont disponibles pour analyse dans le module Industrial Performance Analyzer (IPA).
Inactive : les alarmes de cette variable ne sont prises en compte lors de l’analyse dans le module Industrial Performance Analyzer (IPA).
Par défaut : Inactive

Attention : le module Industrial Performance Analyzer est un module optionnel, qui doit comporter une licence valide pour pouvoir être utilisé ici.

Plus de détails dans l’aide en ligne.

VT_BOOL

AlarmViaEquipmentModel

Utiliser la gestion d'alarmes hiérarchiques du modèle d'équipement

Type d’attribution de la variable à un domaine d’alarmes.

  • Active :
    Le domaine d’alarmes de la variable est transféré par le modèle d’équipement. L’alarme de la variable est applicable aux domaines d’alarmes définis dans le modèle d’équipement. Dans ce cas, le groupe d’équipements de la variable et le groupe d’équipements de niveau supérieur du modèle d’équipement sont pris en compte.
  • Inactive :
    L'alarme sur la variable est applicable aux domaines d’alarmes 1 à 4 de la gestion d’alarmes.

Remarque : Si cette propriété est activée pour un type de données, les paramètres de toutes les variables issues de celle-ci sont transférés.

Plus de détails dans l’aide en ligne.

ZT_BSTR_REF

AreaName

AreaName

Description as text.

ZT_BSTR_REF

AreaName2

AreaName2

Description as text.

ZT_BSTR_REF

AreaName3

AreaName3

Description as text.

ZT_BSTR_REF

AreaName4

AreaName4

Description as text.

VT_BOOL

InOut

Ecrire valeur prescrite

Active : cette variable est libérée pour l’action Spécifier valeur prescrite.
Inactive : cette variable est protégée en écriture.
Par défaut : Active

Plus de détails dans l’aide en ligne.

VT_BOOL

SBO

Select Before Operate

Attention : Cette fonctionnalité est uniquement compatible avec les drivers IEC870 et IEC850, et uniquement disponible si vous avez sélectionné l’option Commande commutation pour la propriété de type d’action dans Gestion des commandes, et l’action est mise en œuvre sous forme d’action à deux étapes. N’utilisez pas cette fonction pour le driver DNP3_NG ; Auto-SBO peut être configuré directement pour la variable, dans ce cas.

Active : Avant que la valeur de la variable ne soit écrite dans le matériel, zenon vérifie, pendant la première phase de la commande de commutation, si la variable dans l’équipement est prête pour cette action (Select before Operate (SBO)).
Attention : Pour les commandes impulsion, la réinitialisation automatique des valeurs des variables n’est pas effectuée dans l’intervalle de temps défini dans la propriété de délai de front.

Si la propriété SBO a été activée pour la variable d’action, une commande d’impulsion se comporte de la même manière qu’une commande de commutation.

Inactive : La valeur de la variable est transférée vers le driver sans vérification préalable.

Remarque : dans un driver IEC870, cela signifie une instruction Direct execute. Le driver IEC850 peut toutefois déclencher automatiquement une instruction Select before Operate , en raison du Control Model.
Par défaut : Inactive :
Plus de détails dans l’aide en ligne.

VT_BOOL

CancelOperate

Annuler 'Operate'

Si cette propriété est activée, il est possible d’envoyer une commande Cancel après une commande Operate lors de la gestion des commandes.

Remarque : Cette propriété est uniquement dans la version Energy Edition.

Par défaut : Inactive

Plus de détails dans l’aide en ligne.

VT_R8

ValueMin

Valeur prescrite min.

La valeur minimum définie ici pour le paramètre Écrire valeur prescrite peut être acceptée par le biais d’éléments dynamiques, plutôt que par la configuration séparée de ces derniers.
Ceci est surtout recommandé si la plage de la mesure est susceptible de varier ultérieurement, car ces modifications peuvent être effectuées une fois ici, au lieu d’être modifiées séparément dans chaque élément.

Plus de détails dans l’aide en ligne.

VT_R8

ValueMax

Valeur prescrite max.

La valeur maximum définie ici pour le paramètre Écrire valeur prescrite peut être acceptée par le biais d’éléments dynamiques, plutôt que par la configuration séparée de ces derniers.
Ceci est surtout recommandé si la plage de la mesure est susceptible de varier ultérieurement, car ces modifications peuvent être effectuées une fois ici, au lieu d’être modifiées séparément dans chaque élément.

Plus de détails dans l’aide en ligne.

VT_BSTR

LockingName

LockingName

"With this property you have the opportunity to assign an interlocking via its name.
zElement.DynProperties(""LockingName"") = ""Interlocking 1"""

VT_UI1

SetValueProtocol

Enregistrement (fichier journal)

Définit la manière dont l’écriture de la valeur prescrite sera consignée dans la liste CEL.

  • Tout : Toutes les actions Écrire valeur prescrite de cette variable exécutées via des éléments dynamiques et les fonctions Écrire valeur prescrite sont consignées dans la liste d’événements. (CEL)
  • Rien : aucune action Spécifier valeur prescrite n’est consignée dans la liste CEL.
  • Seulement sur élément dynamique : Seules les actions Écrire valeur prescrite exécutées via les éléments dynamiques sont consignées dans la liste CEL.

Par défaut : Uniquement les éléments dynamiques :

Plus de détails dans l’aide en ligne.

VT_BOOL

SV_Act

Ancienne et nouvelle valeur
  • Active : en cas de modification de la valeur prescrite de cette variable, les valeurs ancienne et nouvelle sont consignées dans la liste d’événements (CEL).
  • Inactive : Seule la nouvelle valeur est consignée.

Par défaut : Inactive

Recommandation : Activez la propriété Variable lue en permanence. Ceci permet de garantir que la valeur est toujours disponible, et qu’il n’est pas nécessaire de l’interroger spécialement.

Plus de détails dans l’aide en ligne.

VT_BOOL

SV_VBA

Valeurs modifiées par VBA

Active : L’écriture de la valeur prescrite de cette variable via une macro VBA est consignée dans la liste d’événements.
inactive : l’écriture de la valeur prescrite de cette variable via une macro VBA n’est pas consignée.
Par défaut : Active

Remarque : pour les variables configurées sous forme de variables de commande dans la passerelle de procédé IEC870, chaque commande est consignée sous la forme Spécifier valeur prescrite via l’interface COM dans la liste CEL, si la propriété est activée.

Plus de détails dans l’aide en ligne.

VT_BSTR

VisualName

Nom visuel

Saisie d’un nom d’affichage de la variable dans zenon Analyzer. Celui-ci doit être unique dans le projet, mais ceci n’est pas vérifié dans zenon. Cette vérification est effectuée lors de l’importation dans zenon Analyzer.

Cette propriété fournit des informations qui sont utilisées pour la configuration de rapports dans zenon Analyzer. L’exportation des données de zenon vers zenon Analyzer est effectuée à l’aide de l’assistant Analyzer Export Wizard.

Attention : Si cette propriété est modifiée après la première exportation vers zenon Analyzer, ces modifications ne sont appliquées dans zenon Analyzer.

Plus de détails dans l’aide en ligne.

VT_BSTR

Meaning

Signification

Cette propriété fournit des informations qui sont utilisées par la fonction de configuration de rapports dans zenon Analyzer.
Les données peuvent être définies manuellement ou à l’aide de l’assistant Meaning and Waterfall Chart Wizard. L’exportation des données de zenon vers zenon Analyzer est effectuée à l’aide de l’assistant Analyzer Export Wizard.

Saisie de la signification (meaning) d’une variable dans zenon Analyzer. Plusieurs significations doivent être séparées par une virgule.
Syntaxe : [signification1],[signification2],…,[significationN]

Plus de détails dans l’aide en ligne.

VT_BSTR

WaterfallParam

Paramètre pour le waterfall diagram

Cette propriété fournit des informations qui sont utilisées par la fonction de configuration de rapports dans zenon Analyzer.
Les données peuvent être définies manuellement ou à l’aide de l’assistant Meaning and Waterfall Chart Wizard. L’exportation des données de zenon vers zenon Analyzer est effectuée à l’aide de l’assistant Analyzer Export Wizard.

Paramètres d’une variable pour un diagramme en cascade dans zenon Analyzer. Les entrées peuvent être créées pour les rapports par ligne ou les rapports par machine. Lors de l’exportation, en fonction de la structure des entrées, une décision est prise pour déterminer s’il s’agit d’entrées correspondant à des diagrammes par machine ou par ligne.

Les paramètres individuels doivent être séparés par une virgule. Plusieurs cascades doivent être séparées par un poing-virgule.
Syntaxe, par machine : [nom modèle],[indice de ligne],[indice de colonne],[code de couleur];
Syntaxe, par ligne : [nom du modèle],[indice de ligne],[indice de colonne],[code de couleur],[perte de machine auxiliaire],[ajout de perte de machine auxiliaire],[soustraction de perte de machine auxiliaire];

Plus de détails dans l’aide en ligne.

VT_BOOL

Use_in_ProcRec

Activer l'enregistrement

Active/désactive la variable ou le type de données enregistré dans le module Process Recorder.
La sélection multiple de variables est possible.

  • Active :
    Les changements de valeur de la variable sont enregistrés dans le module Process Recorder.
    Attention : Assurez-vous que l’activation générale de l’enregistrement a été configurée dans la propriété Activer Process Recorder.
  • Inactive :
    Les changements de valeur de la variable ne sont pas enregistrés dans le module Process Recorder.

Par défaut : les paramètres configurés sont appliqués pour le type de données utilisé.

Plus de détails dans l’aide en ligne.


IEC870 variable ED

Manuel -> Interfaces de programmation -> Modèles d'objet -> Variable -> Variable-Dynamic properties -> IEC870 variable ED

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Type

VBA/VSTA Name

Display Name

Description

VT_UI1

IEC870_TYPE

IEC870 Type identification

Choisissez le type ASDU du point de données dans la liste déroulante.

par défaut : État interne T00

Plus de détails dans l’aide en ligne.

VT_UI2

IEC870_COA1

IEC870 COA

Saisissez l’adresse Common Object Address (COA). Les limites de la plage de valeurs disponibles sont déterminées par les paramètres du driver.

Plus de détails dans l’aide en ligne.

VT_UI4

IEC870_IOA1

IEC870 IOA

Saisissez l’adresse Information Object Address (IOA). Les limites de la plage de valeurs disponibles sont déterminées par les paramètres du driver.

Plus de détails dans l’aide en ligne.

VT_BOOL

IsLocalDigits

IsLocalDigits

"With this property you have the opportunity to decide whether the ""Decimals"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalSignalMin

IsLocalSignalMin

"With this property you have the opportunity to decide whether the ""Minimum signal resolution"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalSignalMax

IsLocalSignalMax

"With this property you have the opportunity to decide whether the ""Maximum signal resolution"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalRangeMin

IsLocalRangeMin

"With this property you have the opportunity to decide whether the ""Minimum measuring range"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalRangeMax

IsLocalRangeMax

"With this property you have the opportunity to decide whether the ""Maximum measuring range"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalAlternateValue

IsLocalAlternateValue

"With this property you have the opportunity to decide whether the ""Alternate value"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalValueMin

IsLocalValueMin

"With this property you have the opportunity to decide whether the ""Minimum set value"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalValueMax

IsLocalValueMax

"With this property you have the opportunity to decide whether the ""Maximum set value"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalUseMacro

IsLocalUseMacro

"With this property you have the opportunity to decide whether the ""Non linear value adjustment with macros"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalInOut

IsLocalInOut

"With this property you have the opportunity to decide whether the ""Setting values active"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalHystNeg

IsLocalHystNeg

"With this property you have the opportunity to decide whether the ""negative hysteresis"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalHystPos

IsLocalHystPos

"With this property you have the opportunity to decide whether the ""negative hysteresis"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalArchHystNeg

IsLocalArchHystNeg

VT_BOOL

IsLocalArchHystPos

IsLocalArchHystPos

VT_BOOL

IsLocalUpdatePriority

IsLocalUpdatePriority

"With this property you have the opportunity to decide whether the ""Priority of the driver connection"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalDDEaktiv

IsLocalDDEaktiv

"With this property you have the opportunity to decide whether the ""DDE active"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalStandby

IsLocalStandby

"With this property you have the opportunity to decide whether the ""Only read from standby"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalRemaActiv

IsLocalRemaActiv

"With this property you have the opportunity to decide whether the ""Reaction matrix active"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalRema

IsLocalRema

"With this property you have the opportunity to decide whether the ""Reaction matrix"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalHDActive

IsLocalHDActive

"With this property you have the opportunity to decide whether the ""HD active"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalHDUpdate

IsLocalHDUpdate

"With this property you have the opportunity to decide whether the ""HD scan rate"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalHDSize

IsLocalHDSize

"With this property you have the opportunity to decide whether the ""Number of HD values"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalKDAActiv

IsLocalKDAActiv

"With this property you have the opportunity to decide whether the ""Recording type"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalStingLength

IsLocalStingLength

"With this property you have the opportunity to decide whether the ""String length"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalQuitPV

IsLocalQuitPV

"With this property you have the opportunity to decide whether the ""Acknowledgement variable"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalViewQuitPV

IsLocalViewQuitPV

Description as text.

VT_BOOL

IsLocalQuitValue

IsLocalQuitValue

"With this property you have the opportunity to decide whether the ""Acknowledgement value"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalTagname

IsLocalTagname

"With this property you have the opportunity to decide whether the ""Identification"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalUnit

IsLocalUnit

"With this property you have the opportunity to decide whether the ""Unit"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalAltValString

IsLocalAltValString

"With this property you have the opportunity to decide whether the ""String alternative value"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalRecLabel

IsLocalRecLabel

"With this property you have the opportunity to decide whether the ""Ressources label"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalAdjustHW

IsLocalAdjustHW

"With this property you have the opportunity to decide whether the ""AdjustHardwareValue"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalAdjustZenon

IsLocalAdjustZenon

"With this property you have the opportunity to decide whether the ""AdjustZenOnValue"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalArraySize

IsLocalArraySize

"With this property you have the opportunity to decide whether the ""Array size"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalCounterGroup

IsLocalCounterGroup

VT_BOOL

IsLocalMaxGradient

IsLocalMaxGradient

VT_BOOL

IsLocalNormalStateActive

IsLocalNormalStateActive

VT_BOOL

IsLocalNormalState

IsLocalNormalState

VT_BOOL

IsLocalAlarmPV0

IsLocalAlarmPV0

"With this property you have the opportunity to decide whether the ""Alarm Variable 1"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalAlarmPV1

IsLocalAlarmPV1

"With this property you have the opportunity to decide whether the ""Alarm Variable 2"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalAlarmPV2

IsLocalAlarmPV2

"With this property you have the opportunity to decide whether the ""Alarm Variable 3"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalVarInASM

IsLocalVarInASM

"With this property you have the opportunity to decide whether the ""Save in IPA database"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalAlarmDomain

IsLocalAlarmDomain

"With this property you have the opportunity to decide whether the ""Alarm area"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalAlarmDomain2

IsLocalAlarmDomain2

Description as text.

VT_BOOL

IsLocalAlarmDomain3

IsLocalAlarmDomain3

Description as text.

VT_BOOL

IsLocalAlarmDomain4

IsLocalAlarmDomain4

Description as text.

VT_BOOL

IsLocalLocking

IsLocalLocking

"With this property you have the opportunity to decide whether the ""Interlocking"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalSBO

IsLocalSBO

"With this property you have the opportunity to decide whether the ""Select before operate"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalCancelOperate

IsLocalCancelOperate

Description

VT_BOOL

IsLocalAlarmViaEquipmentModel

IsLocalAlarmViaEquipmentModel

Description

VT_BOOL

IsLocalUsedInProcRec

IsLocalUsedInProcRec

Description

VT_UI1

IsSWProtokol

IsSWProtokol

VT_BOOL

IsSW_Akt

IsSW_Akt

VT_BOOL

IsSW_VBA

IsSW_VBA

More...

Limits

Valeurs limite

Propriétés définissant le traitement des valeurs limites ou le traitement des alarmes pour la variable.

Les propriétés de ce groupe sont uniquement disponibles si vous avez activé la propriété Matrice de réaction active.

Plus de détails dans l’aide en ligne.

VT_UI4

ID_ComplexVariable

ID_ComplexVariable

With this property you have the opportunity to get/set the ID of a variable from a structure element. This ID is 0 when the variable has no structure datatype.

VT_BSTR

Name

Nom

Nom unique de la variable. Les considérations suivantes s’appliquent lors de la définition du nom :

  • Longueur maximale : 128 caractères
  • Caractères non autorisés : # et @

Remarque : pour les drivers utilisant la connexion à zenon Logic, vous devez définir un préfixe. Pour plus de détails, reportez-vous au chapitre Création de variables O et M dans zenon Logic dans le manuel.
Toute modification du nom de la variable doit également être effectuée dans l’environnement de programmation (VBA, VSTA).

Attention : Cette propriété n’est pas disponible aux fins de la commutation de langue.

Plus de détails dans l’aide en ligne.

VT_BSTR

Tagname

Identification

Chaîne libre utilisée pour l’identification de la variable ou du type de données.
Remarque : Puisque la langue du nom de la variable (propriété Nom) ne peut pas être modifiée, cette propriété peut être utilisée pour le changement de langue en ligne.

Longueur maximale : 128 caractères

Plus de détails dans l’aide en ligne.

VT_BSTR

Unit

Unité de mesure

Unité technique de la variable devant être affichée dans le Runtime. Si vous avez déjà créé des unités de mesure dans le module d’unités de base, celles-ci sont disponibles dans une liste déroulante.
Maximum : 50 caractères.
Par défaut : vide

Plus de détails dans l’aide en ligne.

VT_R8

AlternateValue

Archivfüllwert

Cette valeur est utilisée pour renseigner les archives cycliques. En présence d’intervalles durant lesquels aucune connexion au matériel n’a été établie, cette valeur est utilisée tant qu’aucune valeur n’est transférée depuis l’équipement. Dans le cas contraire, la dernière valeur valide utilisée est utilisée aux fins du renseignement.

Plus de détails dans l’aide en ligne.

VT_BSTR

AlternateValueString

Valeur chaîne pour le remplissage des archives

Cette valeur est utilisée pour les variables de chaîne, afin de renseigner les archives cycliques.
En présence d’intervalles, dans les archives cycliques, durant lesquels aucune connexion au matériel n’a été établie, cette Valeur chaîne pour le remplissage des archives est utilisée tant qu’aucune valeur n’est transférée depuis l’équipement. Dans le cas contraire, la dernière valeur valide est utilisée pour le renseignement.

Longueur maximale : 128 caractères

Attention : Cette propriété n’est pas disponible aux fins de la commutation de langue.

Plus de détails dans l’aide en ligne.

VT_BSTR

Recourceslabel

Description externe

Chaîne au choix.
N'est pas utilisé au niveau interne dans zenon, mais est disponible lors de l’exportation de valeurs pour autoriser l’attribution des valeurs exportées pour les systèmes de gestion tels qu’ERP.

Longueur maximale : 255 caractères

Plus de détails dans l’aide en ligne.

VT_UI4

NetAddr

Adresse réseau

Adresse de bus ou Adresse réseau de la variable.

  • Minimum : 0
  • Maximum : 4294967295

Par défaut : 0

Plus de détails dans l’aide en ligne.

VT_UI4

DataBlock

Bloc de données

Numéro de bloc de données.
Minimum : 0.
Maximum : 4294967295
Par défaut : 0.

Plus de détails dans l’aide en ligne.

VT_UI4

Offset

Offset

Décalage de la variable.
Pour les contrôleurs à adressage linéaire : plage de mémoire.
Pour les contrôleurs à résolution de nom : adresse d’attribution.
Minimum : 0.
Maximum : 4294967295
Par défaut : 0.

Plus de détails dans l’aide en ligne.

VT_UI2

BitAddr

Numéro de bit

Numéro du bit dans le décalage configuré.
Minimum : 0.
Maximum : 65535
Par défaut : 0.

Plus de détails dans l’aide en ligne.

VT_UI2

Alignment

Alignement

Ceci dépend de la granularité du type d’objet du driver et de la position de la variable conformément au décalage défini.

Pour les variables de type Octet :
Octet poids fort : octet de poids fort dans le décalage de mot.
Octet poids faible : Otet de poids faible dans le décalage de mot.
HiWord-HiByte octet de poids fort dans le mot fort dans le décalage de double mot.
HiWord-LoByte (Mot poids fort-Octet poids faible) octet de poids faible dans le mot fort dans le décalage de double mot.
Mot poids faible-Octet poids fort : octet de poids fort dans le mot faible dans le décalage de double mot.
Mot poids faible-Octet poids faible : octet de poids faible dans le mot faible dans le décalage de double mot.

Pour les variables de mot :
Mot poids fort : mot fort dans le décalage de double mot.
Mot poids faible : Mot poids faible dans le décalage de double mot.

Plus de détails dans l’aide en ligne.

VT_UI2

StringLength

Longueur de la chaîne

Disponible uniquement pour les variables de type chaîne.
Nombre maximum de caractères que peut accepter une variable.
Minimum : 1 caractère
Si la valeur non autorisée 0 est saisie, la dernière valeur configurée valide est automatiquement utilisée. Si aucune valeur valide n’a été configurée, l’entrée est remplacée par la valeur par défaut.
Maximum : 65535 caractères.
Par défaut : 5 caractères

Remarque : la valeur par défaut est 65 535 pour les variables système avec le type de données String.

Plus de détails dans l’aide en ligne.

VT_BSTR

SymbAddr

Adresse symbolique

Séquence de caractères pour l’adressage symbolique des variables.

Longueur maximale : 1024 caractères.

Remarque : L’adresse symbolique n’est pas prise en charge par tous les drivers.
Lors de l’importation des variables dans des drivers compatibles avec l’adressage symbolique, la propriété est saisie automatiquement.

Plus de détails dans l’aide en ligne.

VT_UI4

Driver

Drivers

VT_UI4

ID_DataTyp

Type de données

Type de donnée pour la variable. Sélectionné durant la création de la variable ; peut être modifié ici ultérieurement.
Remarque : Pour les variables de structure, le type de données ne peut plus être modifié après la création des variables.
Attention : Si vous modifiez le type de données ultérieurement, toutes les autres propriétés de la variable doivent être vérifiées et ajustées, si nécessaire.

Plus de détails dans l’aide en ligne.

VT_UI4

ID_DriverTyp

Type d'objet driver

Selon le driver utilisé, un type d’objet est sélectionné durant la création de la variable et peut être modifié ici ultérieurement.
Siemens : bloc de données, marqueur, entrée/sortie.
Modbus : Coil et Holding Register.

Plus de détails dans l’aide en ligne.

VT_UI1

UpdatePriority

Priorité

Si l’heure de mise à jour globale spécifiée dans la configuration du driver n’est pas utilisée, la fréquence des mises à jour correspondant aux différents niveaux de priorité peut être définie ici. Dans cette propriété, une priorité est attribuée à une variable.

Plus de détails dans l’aide en ligne.

VT_BOOL

Standby

Lire uniquement sur le serveur redondant

Active : La valeur de la variable provenant du serveur redondant est affichée.
Inactive : La valeur de la variable provenant du serveur est affichée.
(drivers matériels uniquement)

Plus de détails dans l’aide en ligne.

VT_UI2

Digits

Nombre de décimales

Nombre de décimales des valeurs de variables utilisées lors de l’affichage dans le système de contrôle.
Minimum : 0
Maximum : 10
Par défaut : 0

Plus de détails dans l’aide en ligne.

VT_R8

SignalMin

Signal min.

Valeur minimum de la variable dans l’automate.
À moins d’être définie différemment dans la propriété Ajustement non-linéaire, la valeur brute des variables (résolution du signal) sera toujours convertie au format de la plage de mesure sur une base linéaire (pour une utilisation dans le système de contrôle). Toutes les autres entrées de valeurs numériques spécifiques à la variable dans Editor et dans le Runtime seront liées à la plage de mesures (par ex. définition des valeurs limites, limites des valeurs prescrites, zone de représentation, entrées de valeurs prescrites, etc.).

Plus de détails dans l’aide en ligne.

VT_R8

SignalMax

Signal max.

Valeur maximum de la variable dans l’automate. À moins d’être définie différemment dans la propriété Ajustement non-linéaire, la valeur brute des variables (résolution du signal) sera toujours convertie au format de la plage de mesure sur une base linéaire (pour une utilisation dans le système de contrôle). Toutes les autres entrées de valeurs numériques spécifiques à la variable dans Editor et dans le Runtime seront liées à la plage de mesures (par ex. définition des valeurs limites, limites des valeurs prescrites, zone de représentation, entrées de valeurs prescrites, etc.).

Plus de détails dans l’aide en ligne.

VT_R8

RangeMin

Plage de mesure min.

Valeur minimum des variables dans zenon.
À moins d’être définie différemment dans la propriété Ajustement non-linéaire, la valeur brute des variables (résolution du signal) sera toujours convertie au format de la plage de mesure sur une base linéaire (pour une utilisation dans le système de contrôle). Toutes les autres entrées de valeurs numériques spécifiques à la variable dans Editor et dans le Runtime seront liées à la plage de mesures (par ex. définition des valeurs limites, limites des valeurs prescrites, zone de représentation, entrées de valeurs prescrites, etc.).

Plus de détails dans l’aide en ligne.

VT_R8

RangeMax

Plage de mesure max.

Valeur maximum des variables dans zenon.
À moins d’être définie différemment dans la propriété Ajustement non-linéaire, la valeur brute des variables (résolution du signal) sera toujours convertie au format de la plage de mesure sur une base linéaire (pour une utilisation dans le système de contrôle). Toutes les autres entrées de valeurs numériques spécifiques à la variable dans Editor et dans le Runtime seront liées à la plage de mesures (par ex. définition des valeurs limites, limites des valeurs prescrites, zone de représentation, entrées de valeurs prescrites, etc.).

Plus de détails dans l’aide en ligne.

VT_BOOL

UseMacro

Ajustement non-linéaire avec macros

L’ajustement de valeurs non linéaires est utilisé pour les variables dont la valeur originale (automate) ne peut pas être ajustée de manière linéaire en fonction de la valeur mesurée (système de contrôle).

  • Active : Les valeurs brutes sont ajustées en fonction de zenon, sur une base non linéaire, avec des macros VBA.
  • Inactive : Les valeurs brutes sont ajustées en fonction de zenon.

Remarque : Lors de l’activation de la propriété, les propriétés AdjustHardwareValue et AdjustScadaValue doivent également être configurées. La propriété AdjustHardwareValue doit alors être configurée à l’inverse de la propriété AdjustScadaValue, sous forme de fonction inverse.

Par défaut : Inactive

Plus de détails dans l’aide en ligne.

ZT_VBAMAKRO

AdjustHardware

AdjustHardwareValue

Disponible uniquement si la propriété Ajustement non-linéaire avec macros est active.

Macro appelée à chaque modification de la valeur brute dans l’automate, et qui modifie la valeur dans zenon. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de macros.
Plus de détails dans l’aide en ligne.

ZT_VBAMAKRO

AdjustZenon

AdjustScadaValue

Disponible uniquement si la propriété Ajustement non-linéaire avec macros est active.

La macro est appelée lors de l’écriture d’une valeur depuis zenon et modifie la valeur brute sur l’automate. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de macros.
Plus de détails dans l’aide en ligne.

VT_R8

HystNeg

Négatif pour le signal

Hystérésis des valeurs limites définies en fonction de la plage du signal.

Plage d’hystérésis pour l’entrée en cas de changement de valeur avec diminution. Les valeurs sont uniquement interprétées comme des dépassements de valeur limite si la valeur changeante est inférieure à la plage d’hystérésis définie ici.
Par défaut : 0 (pas d’hystérésis)

Plus de détails dans l’aide en ligne.

VT_R8

HystPos

Positif pour le signal

Hystérésis des valeurs limites définies en fonction de la plage du signal.

Plage d’hystérésis pour l’entrée en cas de changement de valeur avec augmentation. Les valeurs sont uniquement interprétées comme des dépassements de valeur limite si la valeur changeante est supérieure à la plage d’hystérésis définie ici.
Par défaut : 0 (pas d’hystérésis)

Plus de détails dans l’aide en ligne.

VT_R8

ArchHystNeg

Négatif pour l'archive

Hystérésis d’archivage en cas de changement appliquée à la plage de mesure.

Plage d’hystérésis pour l’entrée en cas de changement de valeur avec diminution. Les valeurs sont uniquement saisies dans l’archive si la valeur changeante est inférieure à la plage d’hystérésis définie ici.
Par défaut : 0 (pas d’hystérésis)

Plus de détails dans l’aide en ligne.

VT_R8

ArchHystPos

Positif pour l'archive

Hystérésis d’archivage en cas de changement appliquée à la plage de mesure.

Plage d’hystérésis pour l’entrée en cas de changement de valeur avec augmentation. Les valeurs sont uniquement saisies dans l’archive si la valeur changeante est supérieure à la plage d’hystérésis définie ici.
Par défaut : 0 (pas d’hystérésis)

Plus de détails dans l’aide en ligne.

VT_BOOL

DDEActive

Variable lue en permanence

Paramètre de lecture de la variable et de sa disponibilité via DDE dans le Runtime :

  • Active : La variable est toujours connectée au driver. Cela signifie qu’elle est continuellement lue par le driver, même si elle n’est pas nécessaire dans le projet à cet instant précis. Le driver connaît ainsi toujours les valeurs actuelles et l’état actuel des variables et peut les fournir immédiatement, si nécessaire. La variable est également disponible pour les autres applications Windows (par exemple, Excel, Visual Basic, etc.). Les applications Windows possédant une fonctionnalité de client DDE peuvent ainsi utiliser les valeurs de la variable.
    Temps d’actualisation : 0,5 s
    L'activation de cette option offre par exemple l’avantage de basculer plus rapidement les valeurs de variables dans la fonction Ecriture valeur prescrite ou dans l’élément Appel de synoptique, car il n’est pas nécessaire d’interroger spécialement la variable avant la commutation. L’inconvénient est une augmentation de la charge des communications au niveau du contrôleur.
  • Inactive : La variable n’est pas interrogée en permanence par le driver, mais uniquement en cas de demande de valeurs ou d’états dans le Runtime. Elle n’est donc pas disponible dans les autres applications Windows via DDE.

Par défaut : Inactive

Plus de détails dans l’aide en ligne.

VT_UI4

ArraySizeOld

Dimension tableau

Définition de la taille de l’ensemble de blocs. La taille définie est lue ou écrite par le driver durant une demande de lecture/d’écriture. Ceci permet de garantir la cohérence des données dans le texte. Les données peuvent uniquement être modifiées dans le module Recipegroup Manager ou via l’interface de programmation.
Attention : peut être défini au niveau du driver interne, toutefois sans fonction dans le Runtime (valeur toujours égale à 0).

Plus de détails dans l’aide en ligne.

VT_UI4

CounterGroup

Groupe de compteur

Disponible uniquement dans SICAM 230.

VT_UI4

MaxGradient

Gradient maximum

Disponible uniquement dans SICAM 230.

VT_BOOL

NormalStateActive

Actif

Permet de définir un état normal pour les variables et les types de données du type BOOL, UINT et WORD pour tous les drivers.

Active : Un état normal peut être défini.

Par défaut : Inactive

Plus de détails dans l’aide en ligne.

VT_BOOL

NormalState

Valeur normale

Dans la liste déroulante, choisissez si la valeur normale de cette variable ou ce type de données doit être On (Active) ou Off (Inactive). Disponible pour les variables et les types de données du type BOOL, UINT et WORD pour tous les drivers.

Par défaut : Off

Plus de détails dans l’aide en ligne.

ZT_VARIABLE

AlarmPV0

Variable d'alarme 1

Disponible uniquement dans SICAM 230.
Première variable pour la gestion d’alarmes de synoptiques.

Plus de détails dans l’aide en ligne.

ZT_VARIABLE

AlarmPV1

Variable d'alarme 2

Disponible uniquement dans SICAM 230.
Deuxième variable pour la gestion d’alarmes de synoptiques.

Plus de détails dans l’aide en ligne.

ZT_VARIABLE

AlarmPV2

Variable d'alarme 3

Disponible uniquement dans SICAM 230.
Troisième variable pour la gestion d’alarmes de synoptiques.

Plus de détails dans l’aide en ligne.

VT_BOOL

HDActive

Stockage de données sur disque dur actif

Active : les valeurs de variables sont enregistrées sur le disque dur (enregistrement circulaire) pour être évaluées dans l’élément dynamique "Élément de tendance" ou pour l’exportation/l’importation des valeurs.

Inactive : aucune valeur de variable n’est enregistrée.

Par défaut : inactive

Les données de disque dur nécessitent 24 octets d’espace de stockage par valeur, indépendamment du type de variable. Outre la valeur, les informations suivantes sont enregistrées :
- Heure d’exécution de la mesure.
- Millisecondes lors de la lecture de la valeur.
- Modification de l’état de la valeur en fonction des éléments.
- Compteur pour l’identification unique de la valeur (driver événementiel).

Remarque : Le stockage de données est également activé lors d’un appel de synoptique de type Extended Trend si des données en ligne sont analysées.
Les variables de type chaîne ne sont pas prises en charge par la fonction de stockage de données sur le disque dur.

Attention : si l’option d’enregistrement sur disque dur est activée pour un trop grand nombre de variables, en présence d’un trop grand nombre de valeurs, les performances du Runtime peuvent être altérées.

Plus de détails dans l’aide en ligne.

VT_R4

HDUpdate

Temps de cycle [s]

Disponible uniquement si la propriété Stockage de données sur disque dur actif est active :
Durée de l’intervalle [en secondes] de conservation des valeurs en ligne sur le disque dur (mémoire circulaire) pour l’analyse dans l’élément dynamique Tendance, pour les données en ligne dans le module Extended Trend ou pour l’exportation/l’importation de valeurs.

Plus de détails dans l’aide en ligne.

VT_UI4

HDSize

Nombre de valeurs

Valeur correspondant à l’intervalle de conservation des valeurs en ligne sur le disque dur (mémoire circulaire) pour l’analyse dans l’élément dynamique Tendance, pour les données en ligne dans le module Extended Trend ou pour l’exportation/l’importation de valeurs.

Attention : si l’option d’enregistrement sur disque dur est activée pour un trop grand nombre de variables, en présence d’un trop grand nombre de valeurs, les performances du Runtime peuvent être altérées.

Plus de détails dans l’aide en ligne.

VT_BOOL

IsKDAActiv

Type d'enregistrement

Disponible uniquement si la propriété Stockage de données sur disque dur actif est active :
Données de disque dur (cyclique) : Écriture cyclique des valeurs sur le disque dur.
Valeurs retriées (RDA) : Les valeurs sont écrites bloc par bloc sur le disque dur par le driver. (Fonction adaptée à l’analyse rétrospective des erreurs au niveau du système de contrôle.)

Plus de détails dans l’aide en ligne.

VT_BOOL

ExternVisible

Visible extérieurement pour

Disponible uniquement si la propriété Visible par d'autres programmes est active.

Spécifiez expressément les projets de zenon Logic pour lesquels la variable doit être visible. Si vous laissez le champ de saisie vide, la variable est visible pour tous les projets zenon Logic. Vous pouvez également saisir des projets zenon Logic de manière expresse. Séparez les noms des projets individuels par un point-virgule (";"). Vous pouvez utiliser les opérateurs. Par exemple, P1* signifie tous les projets zenon Logic commençant par P1. (Remarque : les opérateurs sont uniquement autorisés sous forme de préfixe ou de suffixe, par exemple, *xxx ou xxx*.

Le nombre de caractères est limité à 64.

Par défaut : -

Plus de détails dans l’aide en ligne.

VT_BSTR

ExternVisibleFor

Visible extérieurement pour

Disponible uniquement si la propriété Visible par d'autres programmes est active.

Spécifiez expressément les projets de zenon Logic pour lesquels la variable doit être visible. Si vous laissez le champ de saisie vide, la variable est visible pour tous les projets zenon Logic. Vous pouvez également saisir des projets zenon Logic de manière expresse. Séparez les noms des projets individuels par un point-virgule (";"). Vous pouvez utiliser les opérateurs. Par exemple, P1* signifie tous les projets zenon Logic commençant par P1. (Remarque : les opérateurs sont uniquement autorisés sous forme de préfixe ou de suffixe, par exemple, *xxx ou xxx*.

Le nombre de caractères est limité à 64.

Par défaut : -

Plus de détails dans l’aide en ligne.

VT_BOOL

ReadWrite

Ecriture/lecture externe

Propriété externe pour zenon Logic. Affecte uniquement les variables qui ne forment pas partie du driver straton.
Active : la valeur de la variable ne peut pas être modifiée dans zenon Logic. La définition de la variable ne peut pas être modifiée dans zenon Logic.
Inactive : la variable ne peut pas être modifiée dans zenon Logic.
Par défaut : active.

Plus de détails dans l’aide en ligne.

VT_BSTR

InitialValue

Valeur initiale externe

Propriété externe pour zenon Logic. Affecte uniquement les variables qui ne forment pas partie du driver straton.
Valeur initiale de la variable dans zenon Logic durant une reprise graduelle ou une reprise intermédiaire.
La saisie autorisée ici dépend du type de données de la variable. Par exemple, vous pouvez uniquement utiliser des valeurs sans décimales pour les variables entières. Pour les variables à virgule flottante, un point doit être utilisé en tant que séparateur décimal ; les virgules ne peuvent pas être utilisées.
Le système de contrôle ne vérifie pas la validité de cette saisie. Ceci peut générer un message d’erreur dans zenon Logic.

Attention : lors de l’utilisation de variables du driver interne, cette propriété doit posséder la même valeur que la valeur initiale dans les paramètres des variables internes.

Plus de détails dans l’aide en ligne.

VT_BSTR

Profilename

Nom profil externe

Propriété externe pour zenon Logic. Affecte uniquement les variables qui ne forment pas partie du driver straton.
Nom du profil défini dans zenon Logic (par ex. STRATON, ProfDP).

Cette propriété est uniquement affichée pour information. Édition dans zenon Logic uniquement.

Plus de détails dans l’aide en ligne.

VT_BSTR

Adressparam

Paramètre externe d'adresse

Propriété externe pour zenon Logic. Affecte uniquement les variables qui ne sont pas des variables du driver straton.
Propriétés de profil dans zenon Logic (par ex. "intégré" ou paramètres d’adressage de Profibus).

Cette propriété est uniquement affichée pour information. Édition dans zenon Logic uniquement.

Plus de détails dans l’aide en ligne.

VT_BSTR

Vargroup

Groupe de variables externe

Propriété externe pour zenon Logic. Affecte uniquement les variables qui ne sont pas des variables du driver straton32.
Groupes de variables dans zenon Logic ("Global" ou "Retain" ou vides).

Cette propriété est uniquement affichée pour information. Édition dans zenon Logic uniquement.

Plus de détails dans l’aide en ligne.

VT_BOOL

IsRemaActiv

Matrice de réaction active

Active : Une matrice de réaction est utilisée à la place des valeurs de limite.
Inactive : Les valeurs peuvent être définies pour la variable.
Par défaut : inactive.

Plus de détails dans l’aide en ligne.

ZT_REMA

Rema

Matrice de réaction

Propriétés d’utilisation d’une matrice de réaction pour la variable.

Plus de détails dans l’aide en ligne.

ZT_VARIABLE

AlarmQuitPV

Valeur d'acquittement

Si une alarme de cette variable est acquittée visuellement, la variable sélectionnée sous Variable d'acquittement visuel ou Variable d'acquittement est définie sur cette valeur.

Sélection de 0 ou 1.

Plus de détails dans l’aide en ligne.

ZT_VARIABLE

AlarmViewQuitPV

Variable d'acquittement visuel

Si une alarme de la variable de contrôle est acquittée visuellement, la valeur de la variable d’acquittement visuel est définie sur la valeur définie par Valeur d'acquittement.

Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de variables binaires.

Plus de détails dans l’aide en ligne.

VT_UI4

AlarmQuitPVValue

Valeur d'acquittement

Si une alarme de cette variable est acquittée visuellement, la variable sélectionnée sous Variable d'acquittement visuel ou Variable d'acquittement est définie sur cette valeur.

Sélection de 0 ou 1.

Plus de détails dans l’aide en ligne.

VT_BOOL

VarInASM

Enregistrer dans la base IPA

Active : les alarmes de cette variable sont disponibles pour analyse dans le module Industrial Performance Analyzer (IPA).
Inactive : les alarmes de cette variable ne sont prises en compte lors de l’analyse dans le module Industrial Performance Analyzer (IPA).
Par défaut : Inactive

Attention : le module Industrial Performance Analyzer est un module optionnel, qui doit comporter une licence valide pour pouvoir être utilisé ici.

Plus de détails dans l’aide en ligne.

VT_BOOL

AlarmViaEquipmentModel

Utiliser la gestion d'alarmes hiérarchiques du modèle d'équipement

Type d’attribution de la variable à un domaine d’alarmes.

  • Active :
    Le domaine d’alarmes de la variable est transféré par le modèle d’équipement. L’alarme de la variable est applicable aux domaines d’alarmes définis dans le modèle d’équipement. Dans ce cas, le groupe d’équipements de la variable et le groupe d’équipements de niveau supérieur du modèle d’équipement sont pris en compte.
  • Inactive :
    L'alarme sur la variable est applicable aux domaines d’alarmes 1 à 4 de la gestion d’alarmes.

Remarque : Si cette propriété est activée pour un type de données, les paramètres de toutes les variables issues de celle-ci sont transférés.

Plus de détails dans l’aide en ligne.

ZT_BSTR_REF

AreaName

AreaName

Description as text.

ZT_BSTR_REF

AreaName2

AreaName2

Description as text.

ZT_BSTR_REF

AreaName3

AreaName3

Description as text.

ZT_BSTR_REF

AreaName4

AreaName4

Description as text.

VT_BOOL

InOut

Ecrire valeur prescrite

Active : cette variable est libérée pour l’action Spécifier valeur prescrite.
Inactive : cette variable est protégée en écriture.
Par défaut : Active

Plus de détails dans l’aide en ligne.

VT_BOOL

SBO

Select Before Operate

Attention : Cette fonctionnalité est uniquement compatible avec les drivers IEC870 et IEC850, et uniquement disponible si vous avez sélectionné l’option Commande commutation pour la propriété de type d’action dans Gestion des commandes, et l’action est mise en œuvre sous forme d’action à deux étapes. N’utilisez pas cette fonction pour le driver DNP3_NG ; Auto-SBO peut être configuré directement pour la variable, dans ce cas.

Active : Avant que la valeur de la variable ne soit écrite dans le matériel, zenon vérifie, pendant la première phase de la commande de commutation, si la variable dans l’équipement est prête pour cette action (Select before Operate (SBO)).
Attention : Pour les commandes impulsion, la réinitialisation automatique des valeurs des variables n’est pas effectuée dans l’intervalle de temps défini dans la propriété de délai de front.

Si la propriété SBO a été activée pour la variable d’action, une commande d’impulsion se comporte de la même manière qu’une commande de commutation.

Inactive : La valeur de la variable est transférée vers le driver sans vérification préalable.

Remarque : dans un driver IEC870, cela signifie une instruction Direct execute. Le driver IEC850 peut toutefois déclencher automatiquement une instruction Select before Operate , en raison du Control Model.
Par défaut : Inactive :
Plus de détails dans l’aide en ligne.

VT_BOOL

CancelOperate

Annuler 'Operate'

Si cette propriété est activée, il est possible d’envoyer une commande Cancel après une commande Operate lors de la gestion des commandes.

Remarque : Cette propriété est uniquement dans la version Energy Edition.

Par défaut : Inactive

Plus de détails dans l’aide en ligne.

VT_R8

ValueMin

Valeur prescrite min.

La valeur minimum définie ici pour le paramètre Écrire valeur prescrite peut être acceptée par le biais d’éléments dynamiques, plutôt que par la configuration séparée de ces derniers.
Ceci est surtout recommandé si la plage de la mesure est susceptible de varier ultérieurement, car ces modifications peuvent être effectuées une fois ici, au lieu d’être modifiées séparément dans chaque élément.

Plus de détails dans l’aide en ligne.

VT_R8

ValueMax

Valeur prescrite max.

La valeur maximum définie ici pour le paramètre Écrire valeur prescrite peut être acceptée par le biais d’éléments dynamiques, plutôt que par la configuration séparée de ces derniers.
Ceci est surtout recommandé si la plage de la mesure est susceptible de varier ultérieurement, car ces modifications peuvent être effectuées une fois ici, au lieu d’être modifiées séparément dans chaque élément.

Plus de détails dans l’aide en ligne.

VT_BSTR

LockingName

LockingName

"With this property you have the opportunity to assign an interlocking via its name.
zElement.DynProperties(""LockingName"") = ""Interlocking 1"""

VT_UI1

SetValueProtocol

Enregistrement (fichier journal)

Définit la manière dont l’écriture de la valeur prescrite sera consignée dans la liste CEL.

  • Tout : Toutes les actions Écrire valeur prescrite de cette variable exécutées via des éléments dynamiques et les fonctions Écrire valeur prescrite sont consignées dans la liste d’événements. (CEL)
  • Rien : aucune action Spécifier valeur prescrite n’est consignée dans la liste CEL.
  • Seulement sur élément dynamique : Seules les actions Écrire valeur prescrite exécutées via les éléments dynamiques sont consignées dans la liste CEL.

Par défaut : Uniquement les éléments dynamiques :

Plus de détails dans l’aide en ligne.

VT_BOOL

SV_Act

Ancienne et nouvelle valeur
  • Active : en cas de modification de la valeur prescrite de cette variable, les valeurs ancienne et nouvelle sont consignées dans la liste d’événements (CEL).
  • Inactive : Seule la nouvelle valeur est consignée.

Par défaut : Inactive

Recommandation : Activez la propriété Variable lue en permanence. Ceci permet de garantir que la valeur est toujours disponible, et qu’il n’est pas nécessaire de l’interroger spécialement.

Plus de détails dans l’aide en ligne.

VT_BOOL

SV_VBA

Valeurs modifiées par VBA

Active : L’écriture de la valeur prescrite de cette variable via une macro VBA est consignée dans la liste d’événements.
inactive : l’écriture de la valeur prescrite de cette variable via une macro VBA n’est pas consignée.
Par défaut : Active

Remarque : pour les variables configurées sous forme de variables de commande dans la passerelle de procédé IEC870, chaque commande est consignée sous la forme Spécifier valeur prescrite via l’interface COM dans la liste CEL, si la propriété est activée.

Plus de détails dans l’aide en ligne.

VT_BSTR

VisualName

Nom visuel

Saisie d’un nom d’affichage de la variable dans zenon Analyzer. Celui-ci doit être unique dans le projet, mais ceci n’est pas vérifié dans zenon. Cette vérification est effectuée lors de l’importation dans zenon Analyzer.

Cette propriété fournit des informations qui sont utilisées pour la configuration de rapports dans zenon Analyzer. L’exportation des données de zenon vers zenon Analyzer est effectuée à l’aide de l’assistant Analyzer Export Wizard.

Attention : Si cette propriété est modifiée après la première exportation vers zenon Analyzer, ces modifications ne sont appliquées dans zenon Analyzer.

Plus de détails dans l’aide en ligne.

VT_BSTR

Meaning

Signification

Cette propriété fournit des informations qui sont utilisées par la fonction de configuration de rapports dans zenon Analyzer.
Les données peuvent être définies manuellement ou à l’aide de l’assistant Meaning and Waterfall Chart Wizard. L’exportation des données de zenon vers zenon Analyzer est effectuée à l’aide de l’assistant Analyzer Export Wizard.

Saisie de la signification (meaning) d’une variable dans zenon Analyzer. Plusieurs significations doivent être séparées par une virgule.
Syntaxe : [signification1],[signification2],…,[significationN]

Plus de détails dans l’aide en ligne.

VT_BSTR

WaterfallParam

Paramètre pour le waterfall diagram

Cette propriété fournit des informations qui sont utilisées par la fonction de configuration de rapports dans zenon Analyzer.
Les données peuvent être définies manuellement ou à l’aide de l’assistant Meaning and Waterfall Chart Wizard. L’exportation des données de zenon vers zenon Analyzer est effectuée à l’aide de l’assistant Analyzer Export Wizard.

Paramètres d’une variable pour un diagramme en cascade dans zenon Analyzer. Les entrées peuvent être créées pour les rapports par ligne ou les rapports par machine. Lors de l’exportation, en fonction de la structure des entrées, une décision est prise pour déterminer s’il s’agit d’entrées correspondant à des diagrammes par machine ou par ligne.

Les paramètres individuels doivent être séparés par une virgule. Plusieurs cascades doivent être séparées par un poing-virgule.
Syntaxe, par machine : [nom modèle],[indice de ligne],[indice de colonne],[code de couleur];
Syntaxe, par ligne : [nom du modèle],[indice de ligne],[indice de colonne],[code de couleur],[perte de machine auxiliaire],[ajout de perte de machine auxiliaire],[soustraction de perte de machine auxiliaire];

Plus de détails dans l’aide en ligne.

VT_BOOL

Use_in_ProcRec

Activer l'enregistrement

Active/désactive la variable ou le type de données enregistré dans le module Process Recorder.
La sélection multiple de variables est possible.

  • Active :
    Les changements de valeur de la variable sont enregistrés dans le module Process Recorder.
    Attention : Assurez-vous que l’activation générale de l’enregistrement a été configurée dans la propriété Activer Process Recorder.
  • Inactive :
    Les changements de valeur de la variable ne sont pas enregistrés dans le module Process Recorder.

Par défaut : les paramètres configurés sont appliqués pour le type de données utilisé.

Plus de détails dans l’aide en ligne.


iLon100 variable ED

Manuel -> Interfaces de programmation -> Modèles d'objet -> Variable -> Variable-Dynamic properties -> iLon100 variable ED

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Type

VBA/VSTA Name

Display Name

Description

VT_BOOL

IsLocalDigits

IsLocalDigits

"With this property you have the opportunity to decide whether the ""Decimals"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalSignalMin

IsLocalSignalMin

"With this property you have the opportunity to decide whether the ""Minimum signal resolution"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalSignalMax

IsLocalSignalMax

"With this property you have the opportunity to decide whether the ""Maximum signal resolution"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalRangeMin

IsLocalRangeMin

"With this property you have the opportunity to decide whether the ""Minimum measuring range"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalRangeMax

IsLocalRangeMax

"With this property you have the opportunity to decide whether the ""Maximum measuring range"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalAlternateValue

IsLocalAlternateValue

"With this property you have the opportunity to decide whether the ""Alternate value"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalValueMin

IsLocalValueMin

"With this property you have the opportunity to decide whether the ""Minimum set value"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalValueMax

IsLocalValueMax

"With this property you have the opportunity to decide whether the ""Maximum set value"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalUseMacro

IsLocalUseMacro

"With this property you have the opportunity to decide whether the ""Non linear value adjustment with macros"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalInOut

IsLocalInOut

"With this property you have the opportunity to decide whether the ""Setting values active"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalHystNeg

IsLocalHystNeg

"With this property you have the opportunity to decide whether the ""negative hysteresis"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalHystPos

IsLocalHystPos

"With this property you have the opportunity to decide whether the ""negative hysteresis"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalArchHystNeg

IsLocalArchHystNeg

VT_BOOL

IsLocalArchHystPos

IsLocalArchHystPos

VT_BOOL

IsLocalUpdatePriority

IsLocalUpdatePriority

"With this property you have the opportunity to decide whether the ""Priority of the driver connection"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalDDEaktiv

IsLocalDDEaktiv

"With this property you have the opportunity to decide whether the ""DDE active"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalStandby

IsLocalStandby

"With this property you have the opportunity to decide whether the ""Only read from standby"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalRemaActiv

IsLocalRemaActiv

"With this property you have the opportunity to decide whether the ""Reaction matrix active"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalRema

IsLocalRema

"With this property you have the opportunity to decide whether the ""Reaction matrix"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalHDActive

IsLocalHDActive

"With this property you have the opportunity to decide whether the ""HD active"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalHDUpdate

IsLocalHDUpdate

"With this property you have the opportunity to decide whether the ""HD scan rate"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalHDSize

IsLocalHDSize

"With this property you have the opportunity to decide whether the ""Number of HD values"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalKDAActiv

IsLocalKDAActiv

"With this property you have the opportunity to decide whether the ""Recording type"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalStingLength

IsLocalStingLength

"With this property you have the opportunity to decide whether the ""String length"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalQuitPV

IsLocalQuitPV

"With this property you have the opportunity to decide whether the ""Acknowledgement variable"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalViewQuitPV

IsLocalViewQuitPV

Description as text.

VT_BOOL

IsLocalQuitValue

IsLocalQuitValue

"With this property you have the opportunity to decide whether the ""Acknowledgement value"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalTagname

IsLocalTagname

"With this property you have the opportunity to decide whether the ""Identification"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalUnit

IsLocalUnit

"With this property you have the opportunity to decide whether the ""Unit"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalAltValString

IsLocalAltValString

"With this property you have the opportunity to decide whether the ""String alternative value"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalRecLabel

IsLocalRecLabel

"With this property you have the opportunity to decide whether the ""Ressources label"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalAdjustHW

IsLocalAdjustHW

"With this property you have the opportunity to decide whether the ""AdjustHardwareValue"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalAdjustZenon

IsLocalAdjustZenon

"With this property you have the opportunity to decide whether the ""AdjustZenOnValue"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalArraySize

IsLocalArraySize

"With this property you have the opportunity to decide whether the ""Array size"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalCounterGroup

IsLocalCounterGroup

VT_BOOL

IsLocalMaxGradient

IsLocalMaxGradient

VT_BOOL

IsLocalNormalStateActive

IsLocalNormalStateActive

VT_BOOL

IsLocalNormalState

IsLocalNormalState

VT_BOOL

IsLocalAlarmPV0

IsLocalAlarmPV0

"With this property you have the opportunity to decide whether the ""Alarm Variable 1"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalAlarmPV1

IsLocalAlarmPV1

"With this property you have the opportunity to decide whether the ""Alarm Variable 2"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalAlarmPV2

IsLocalAlarmPV2

"With this property you have the opportunity to decide whether the ""Alarm Variable 3"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalVarInASM

IsLocalVarInASM

"With this property you have the opportunity to decide whether the ""Save in IPA database"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalAlarmDomain

IsLocalAlarmDomain

"With this property you have the opportunity to decide whether the ""Alarm area"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalAlarmDomain2

IsLocalAlarmDomain2

Description as text.

VT_BOOL

IsLocalAlarmDomain3

IsLocalAlarmDomain3

Description as text.

VT_BOOL

IsLocalAlarmDomain4

IsLocalAlarmDomain4

Description as text.

VT_BOOL

IsLocalLocking

IsLocalLocking

"With this property you have the opportunity to decide whether the ""Interlocking"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalSBO

IsLocalSBO

"With this property you have the opportunity to decide whether the ""Select before operate"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalCancelOperate

IsLocalCancelOperate

Description

VT_BOOL

IsLocalAlarmViaEquipmentModel

IsLocalAlarmViaEquipmentModel

Description

VT_BOOL

IsLocalUsedInProcRec

IsLocalUsedInProcRec

Description

VT_UI1

IsSWProtokol

IsSWProtokol

VT_BOOL

IsSW_Akt

IsSW_Akt

VT_BOOL

IsSW_VBA

IsSW_VBA

More...

Limits

Valeurs limite

Propriétés définissant le traitement des valeurs limites ou le traitement des alarmes pour la variable.

Les propriétés de ce groupe sont uniquement disponibles si vous avez activé la propriété Matrice de réaction active.

Plus de détails dans l’aide en ligne.

VT_UI4

ID_ComplexVariable

ID_ComplexVariable

With this property you have the opportunity to get/set the ID of a variable from a structure element. This ID is 0 when the variable has no structure datatype.

VT_BSTR

Name

Nom

Nom unique de la variable. Les considérations suivantes s’appliquent lors de la définition du nom :

  • Longueur maximale : 128 caractères
  • Caractères non autorisés : # et @

Remarque : pour les drivers utilisant la connexion à zenon Logic, vous devez définir un préfixe. Pour plus de détails, reportez-vous au chapitre Création de variables O et M dans zenon Logic dans le manuel.
Toute modification du nom de la variable doit également être effectuée dans l’environnement de programmation (VBA, VSTA).

Attention : Cette propriété n’est pas disponible aux fins de la commutation de langue.

Plus de détails dans l’aide en ligne.

VT_BSTR

Tagname

Identification

Chaîne libre utilisée pour l’identification de la variable ou du type de données.
Remarque : Puisque la langue du nom de la variable (propriété Nom) ne peut pas être modifiée, cette propriété peut être utilisée pour le changement de langue en ligne.

Longueur maximale : 128 caractères

Plus de détails dans l’aide en ligne.

VT_BSTR

Unit

Unité de mesure

Unité technique de la variable devant être affichée dans le Runtime. Si vous avez déjà créé des unités de mesure dans le module d’unités de base, celles-ci sont disponibles dans une liste déroulante.
Maximum : 50 caractères.
Par défaut : vide

Plus de détails dans l’aide en ligne.

VT_R8

AlternateValue

Archivfüllwert

Cette valeur est utilisée pour renseigner les archives cycliques. En présence d’intervalles durant lesquels aucune connexion au matériel n’a été établie, cette valeur est utilisée tant qu’aucune valeur n’est transférée depuis l’équipement. Dans le cas contraire, la dernière valeur valide utilisée est utilisée aux fins du renseignement.

Plus de détails dans l’aide en ligne.

VT_BSTR

AlternateValueString

Valeur chaîne pour le remplissage des archives

Cette valeur est utilisée pour les variables de chaîne, afin de renseigner les archives cycliques.
En présence d’intervalles, dans les archives cycliques, durant lesquels aucune connexion au matériel n’a été établie, cette Valeur chaîne pour le remplissage des archives est utilisée tant qu’aucune valeur n’est transférée depuis l’équipement. Dans le cas contraire, la dernière valeur valide est utilisée pour le renseignement.

Longueur maximale : 128 caractères

Attention : Cette propriété n’est pas disponible aux fins de la commutation de langue.

Plus de détails dans l’aide en ligne.

VT_BSTR

Recourceslabel

Description externe

Chaîne au choix.
N'est pas utilisé au niveau interne dans zenon, mais est disponible lors de l’exportation de valeurs pour autoriser l’attribution des valeurs exportées pour les systèmes de gestion tels qu’ERP.

Longueur maximale : 255 caractères

Plus de détails dans l’aide en ligne.

VT_UI4

NetAddr

Adresse réseau

Adresse de bus ou Adresse réseau de la variable.

  • Minimum : 0
  • Maximum : 4294967295

Par défaut : 0

Plus de détails dans l’aide en ligne.

VT_UI4

DataBlock

Bloc de données

Numéro de bloc de données.
Minimum : 0.
Maximum : 4294967295
Par défaut : 0.

Plus de détails dans l’aide en ligne.

VT_UI4

Offset

Offset

Décalage de la variable.
Pour les contrôleurs à adressage linéaire : plage de mémoire.
Pour les contrôleurs à résolution de nom : adresse d’attribution.
Minimum : 0.
Maximum : 4294967295
Par défaut : 0.

Plus de détails dans l’aide en ligne.

VT_UI2

BitAddr

Numéro de bit

Numéro du bit dans le décalage configuré.
Minimum : 0.
Maximum : 65535
Par défaut : 0.

Plus de détails dans l’aide en ligne.

VT_UI2

Alignment

Alignement

Ceci dépend de la granularité du type d’objet du driver et de la position de la variable conformément au décalage défini.

Pour les variables de type Octet :
Octet poids fort : octet de poids fort dans le décalage de mot.
Octet poids faible : Otet de poids faible dans le décalage de mot.
HiWord-HiByte octet de poids fort dans le mot fort dans le décalage de double mot.
HiWord-LoByte (Mot poids fort-Octet poids faible) octet de poids faible dans le mot fort dans le décalage de double mot.
Mot poids faible-Octet poids fort : octet de poids fort dans le mot faible dans le décalage de double mot.
Mot poids faible-Octet poids faible : octet de poids faible dans le mot faible dans le décalage de double mot.

Pour les variables de mot :
Mot poids fort : mot fort dans le décalage de double mot.
Mot poids faible : Mot poids faible dans le décalage de double mot.

Plus de détails dans l’aide en ligne.

VT_UI2

StringLength

Longueur de la chaîne

Disponible uniquement pour les variables de type chaîne.
Nombre maximum de caractères que peut accepter une variable.
Minimum : 1 caractère
Si la valeur non autorisée 0 est saisie, la dernière valeur configurée valide est automatiquement utilisée. Si aucune valeur valide n’a été configurée, l’entrée est remplacée par la valeur par défaut.
Maximum : 65535 caractères.
Par défaut : 5 caractères

Remarque : la valeur par défaut est 65 535 pour les variables système avec le type de données String.

Plus de détails dans l’aide en ligne.

VT_BSTR

SymbAddr

Adresse symbolique

Séquence de caractères pour l’adressage symbolique des variables.

Longueur maximale : 1024 caractères.

Remarque : L’adresse symbolique n’est pas prise en charge par tous les drivers.
Lors de l’importation des variables dans des drivers compatibles avec l’adressage symbolique, la propriété est saisie automatiquement.

Plus de détails dans l’aide en ligne.

VT_UI4

Driver

Drivers

VT_UI4

ID_DataTyp

Type de données

Type de donnée pour la variable. Sélectionné durant la création de la variable ; peut être modifié ici ultérieurement.
Remarque : Pour les variables de structure, le type de données ne peut plus être modifié après la création des variables.
Attention : Si vous modifiez le type de données ultérieurement, toutes les autres propriétés de la variable doivent être vérifiées et ajustées, si nécessaire.

Plus de détails dans l’aide en ligne.

VT_UI4

ID_DriverTyp

Type d'objet driver

Selon le driver utilisé, un type d’objet est sélectionné durant la création de la variable et peut être modifié ici ultérieurement.
Siemens : bloc de données, marqueur, entrée/sortie.
Modbus : Coil et Holding Register.

Plus de détails dans l’aide en ligne.

VT_UI1

UpdatePriority

Priorité

Si l’heure de mise à jour globale spécifiée dans la configuration du driver n’est pas utilisée, la fréquence des mises à jour correspondant aux différents niveaux de priorité peut être définie ici. Dans cette propriété, une priorité est attribuée à une variable.

Plus de détails dans l’aide en ligne.

VT_BOOL

Standby

Lire uniquement sur le serveur redondant

Active : La valeur de la variable provenant du serveur redondant est affichée.
Inactive : La valeur de la variable provenant du serveur est affichée.
(drivers matériels uniquement)

Plus de détails dans l’aide en ligne.

VT_UI2

Digits

Nombre de décimales

Nombre de décimales des valeurs de variables utilisées lors de l’affichage dans le système de contrôle.
Minimum : 0
Maximum : 10
Par défaut : 0

Plus de détails dans l’aide en ligne.

VT_R8

SignalMin

Signal min.

Valeur minimum de la variable dans l’automate.
À moins d’être définie différemment dans la propriété Ajustement non-linéaire, la valeur brute des variables (résolution du signal) sera toujours convertie au format de la plage de mesure sur une base linéaire (pour une utilisation dans le système de contrôle). Toutes les autres entrées de valeurs numériques spécifiques à la variable dans Editor et dans le Runtime seront liées à la plage de mesures (par ex. définition des valeurs limites, limites des valeurs prescrites, zone de représentation, entrées de valeurs prescrites, etc.).

Plus de détails dans l’aide en ligne.

VT_R8

SignalMax

Signal max.

Valeur maximum de la variable dans l’automate. À moins d’être définie différemment dans la propriété Ajustement non-linéaire, la valeur brute des variables (résolution du signal) sera toujours convertie au format de la plage de mesure sur une base linéaire (pour une utilisation dans le système de contrôle). Toutes les autres entrées de valeurs numériques spécifiques à la variable dans Editor et dans le Runtime seront liées à la plage de mesures (par ex. définition des valeurs limites, limites des valeurs prescrites, zone de représentation, entrées de valeurs prescrites, etc.).

Plus de détails dans l’aide en ligne.

VT_R8

RangeMin

Plage de mesure min.

Valeur minimum des variables dans zenon.
À moins d’être définie différemment dans la propriété Ajustement non-linéaire, la valeur brute des variables (résolution du signal) sera toujours convertie au format de la plage de mesure sur une base linéaire (pour une utilisation dans le système de contrôle). Toutes les autres entrées de valeurs numériques spécifiques à la variable dans Editor et dans le Runtime seront liées à la plage de mesures (par ex. définition des valeurs limites, limites des valeurs prescrites, zone de représentation, entrées de valeurs prescrites, etc.).

Plus de détails dans l’aide en ligne.

VT_R8

RangeMax

Plage de mesure max.

Valeur maximum des variables dans zenon.
À moins d’être définie différemment dans la propriété Ajustement non-linéaire, la valeur brute des variables (résolution du signal) sera toujours convertie au format de la plage de mesure sur une base linéaire (pour une utilisation dans le système de contrôle). Toutes les autres entrées de valeurs numériques spécifiques à la variable dans Editor et dans le Runtime seront liées à la plage de mesures (par ex. définition des valeurs limites, limites des valeurs prescrites, zone de représentation, entrées de valeurs prescrites, etc.).

Plus de détails dans l’aide en ligne.

VT_BOOL

UseMacro

Ajustement non-linéaire avec macros

L’ajustement de valeurs non linéaires est utilisé pour les variables dont la valeur originale (automate) ne peut pas être ajustée de manière linéaire en fonction de la valeur mesurée (système de contrôle).

  • Active : Les valeurs brutes sont ajustées en fonction de zenon, sur une base non linéaire, avec des macros VBA.
  • Inactive : Les valeurs brutes sont ajustées en fonction de zenon.

Remarque : Lors de l’activation de la propriété, les propriétés AdjustHardwareValue et AdjustScadaValue doivent également être configurées. La propriété AdjustHardwareValue doit alors être configurée à l’inverse de la propriété AdjustScadaValue, sous forme de fonction inverse.

Par défaut : Inactive

Plus de détails dans l’aide en ligne.

ZT_VBAMAKRO

AdjustHardware

AdjustHardwareValue

Disponible uniquement si la propriété Ajustement non-linéaire avec macros est active.

Macro appelée à chaque modification de la valeur brute dans l’automate, et qui modifie la valeur dans zenon. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de macros.
Plus de détails dans l’aide en ligne.

ZT_VBAMAKRO

AdjustZenon

AdjustScadaValue

Disponible uniquement si la propriété Ajustement non-linéaire avec macros est active.

La macro est appelée lors de l’écriture d’une valeur depuis zenon et modifie la valeur brute sur l’automate. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de macros.
Plus de détails dans l’aide en ligne.

VT_R8

HystNeg

Négatif pour le signal

Hystérésis des valeurs limites définies en fonction de la plage du signal.

Plage d’hystérésis pour l’entrée en cas de changement de valeur avec diminution. Les valeurs sont uniquement interprétées comme des dépassements de valeur limite si la valeur changeante est inférieure à la plage d’hystérésis définie ici.
Par défaut : 0 (pas d’hystérésis)

Plus de détails dans l’aide en ligne.

VT_R8

HystPos

Positif pour le signal

Hystérésis des valeurs limites définies en fonction de la plage du signal.

Plage d’hystérésis pour l’entrée en cas de changement de valeur avec augmentation. Les valeurs sont uniquement interprétées comme des dépassements de valeur limite si la valeur changeante est supérieure à la plage d’hystérésis définie ici.
Par défaut : 0 (pas d’hystérésis)

Plus de détails dans l’aide en ligne.

VT_R8

ArchHystNeg

Négatif pour l'archive

Hystérésis d’archivage en cas de changement appliquée à la plage de mesure.

Plage d’hystérésis pour l’entrée en cas de changement de valeur avec diminution. Les valeurs sont uniquement saisies dans l’archive si la valeur changeante est inférieure à la plage d’hystérésis définie ici.
Par défaut : 0 (pas d’hystérésis)

Plus de détails dans l’aide en ligne.

VT_R8

ArchHystPos

Positif pour l'archive

Hystérésis d’archivage en cas de changement appliquée à la plage de mesure.

Plage d’hystérésis pour l’entrée en cas de changement de valeur avec augmentation. Les valeurs sont uniquement saisies dans l’archive si la valeur changeante est supérieure à la plage d’hystérésis définie ici.
Par défaut : 0 (pas d’hystérésis)

Plus de détails dans l’aide en ligne.

VT_BOOL

DDEActive

Variable lue en permanence

Paramètre de lecture de la variable et de sa disponibilité via DDE dans le Runtime :

  • Active : La variable est toujours connectée au driver. Cela signifie qu’elle est continuellement lue par le driver, même si elle n’est pas nécessaire dans le projet à cet instant précis. Le driver connaît ainsi toujours les valeurs actuelles et l’état actuel des variables et peut les fournir immédiatement, si nécessaire. La variable est également disponible pour les autres applications Windows (par exemple, Excel, Visual Basic, etc.). Les applications Windows possédant une fonctionnalité de client DDE peuvent ainsi utiliser les valeurs de la variable.
    Temps d’actualisation : 0,5 s
    L'activation de cette option offre par exemple l’avantage de basculer plus rapidement les valeurs de variables dans la fonction Ecriture valeur prescrite ou dans l’élément Appel de synoptique, car il n’est pas nécessaire d’interroger spécialement la variable avant la commutation. L’inconvénient est une augmentation de la charge des communications au niveau du contrôleur.
  • Inactive : La variable n’est pas interrogée en permanence par le driver, mais uniquement en cas de demande de valeurs ou d’états dans le Runtime. Elle n’est donc pas disponible dans les autres applications Windows via DDE.

Par défaut : Inactive

Plus de détails dans l’aide en ligne.

VT_UI4

ArraySizeOld

Dimension tableau

Définition de la taille de l’ensemble de blocs. La taille définie est lue ou écrite par le driver durant une demande de lecture/d’écriture. Ceci permet de garantir la cohérence des données dans le texte. Les données peuvent uniquement être modifiées dans le module Recipegroup Manager ou via l’interface de programmation.
Attention : peut être défini au niveau du driver interne, toutefois sans fonction dans le Runtime (valeur toujours égale à 0).

Plus de détails dans l’aide en ligne.

VT_UI4

CounterGroup

Groupe de compteur

Disponible uniquement dans SICAM 230.

VT_UI4

MaxGradient

Gradient maximum

Disponible uniquement dans SICAM 230.

VT_BOOL

NormalStateActive

Actif

Permet de définir un état normal pour les variables et les types de données du type BOOL, UINT et WORD pour tous les drivers.

Active : Un état normal peut être défini.

Par défaut : Inactive

Plus de détails dans l’aide en ligne.

VT_BOOL

NormalState

Valeur normale

Dans la liste déroulante, choisissez si la valeur normale de cette variable ou ce type de données doit être On (Active) ou Off (Inactive). Disponible pour les variables et les types de données du type BOOL, UINT et WORD pour tous les drivers.

Par défaut : Off

Plus de détails dans l’aide en ligne.

ZT_VARIABLE

AlarmPV0

Variable d'alarme 1

Disponible uniquement dans SICAM 230.
Première variable pour la gestion d’alarmes de synoptiques.

Plus de détails dans l’aide en ligne.

ZT_VARIABLE

AlarmPV1

Variable d'alarme 2

Disponible uniquement dans SICAM 230.
Deuxième variable pour la gestion d’alarmes de synoptiques.

Plus de détails dans l’aide en ligne.

ZT_VARIABLE

AlarmPV2

Variable d'alarme 3

Disponible uniquement dans SICAM 230.
Troisième variable pour la gestion d’alarmes de synoptiques.

Plus de détails dans l’aide en ligne.

VT_BOOL

HDActive

Stockage de données sur disque dur actif

Active : les valeurs de variables sont enregistrées sur le disque dur (enregistrement circulaire) pour être évaluées dans l’élément dynamique "Élément de tendance" ou pour l’exportation/l’importation des valeurs.

Inactive : aucune valeur de variable n’est enregistrée.

Par défaut : inactive

Les données de disque dur nécessitent 24 octets d’espace de stockage par valeur, indépendamment du type de variable. Outre la valeur, les informations suivantes sont enregistrées :
- Heure d’exécution de la mesure.
- Millisecondes lors de la lecture de la valeur.
- Modification de l’état de la valeur en fonction des éléments.
- Compteur pour l’identification unique de la valeur (driver événementiel).

Remarque : Le stockage de données est également activé lors d’un appel de synoptique de type Extended Trend si des données en ligne sont analysées.
Les variables de type chaîne ne sont pas prises en charge par la fonction de stockage de données sur le disque dur.

Attention : si l’option d’enregistrement sur disque dur est activée pour un trop grand nombre de variables, en présence d’un trop grand nombre de valeurs, les performances du Runtime peuvent être altérées.

Plus de détails dans l’aide en ligne.

VT_R4

HDUpdate

Temps de cycle [s]

Disponible uniquement si la propriété Stockage de données sur disque dur actif est active :
Durée de l’intervalle [en secondes] de conservation des valeurs en ligne sur le disque dur (mémoire circulaire) pour l’analyse dans l’élément dynamique Tendance, pour les données en ligne dans le module Extended Trend ou pour l’exportation/l’importation de valeurs.

Plus de détails dans l’aide en ligne.

VT_UI4

HDSize

Nombre de valeurs

Valeur correspondant à l’intervalle de conservation des valeurs en ligne sur le disque dur (mémoire circulaire) pour l’analyse dans l’élément dynamique Tendance, pour les données en ligne dans le module Extended Trend ou pour l’exportation/l’importation de valeurs.

Attention : si l’option d’enregistrement sur disque dur est activée pour un trop grand nombre de variables, en présence d’un trop grand nombre de valeurs, les performances du Runtime peuvent être altérées.

Plus de détails dans l’aide en ligne.

VT_BOOL

IsKDAActiv

Type d'enregistrement

Disponible uniquement si la propriété Stockage de données sur disque dur actif est active :
Données de disque dur (cyclique) : Écriture cyclique des valeurs sur le disque dur.
Valeurs retriées (RDA) : Les valeurs sont écrites bloc par bloc sur le disque dur par le driver. (Fonction adaptée à l’analyse rétrospective des erreurs au niveau du système de contrôle.)

Plus de détails dans l’aide en ligne.

VT_BOOL

ExternVisible

Visible extérieurement pour

Disponible uniquement si la propriété Visible par d'autres programmes est active.

Spécifiez expressément les projets de zenon Logic pour lesquels la variable doit être visible. Si vous laissez le champ de saisie vide, la variable est visible pour tous les projets zenon Logic. Vous pouvez également saisir des projets zenon Logic de manière expresse. Séparez les noms des projets individuels par un point-virgule (";"). Vous pouvez utiliser les opérateurs. Par exemple, P1* signifie tous les projets zenon Logic commençant par P1. (Remarque : les opérateurs sont uniquement autorisés sous forme de préfixe ou de suffixe, par exemple, *xxx ou xxx*.

Le nombre de caractères est limité à 64.

Par défaut : -

Plus de détails dans l’aide en ligne.

VT_BSTR

ExternVisibleFor

Visible extérieurement pour

Disponible uniquement si la propriété Visible par d'autres programmes est active.

Spécifiez expressément les projets de zenon Logic pour lesquels la variable doit être visible. Si vous laissez le champ de saisie vide, la variable est visible pour tous les projets zenon Logic. Vous pouvez également saisir des projets zenon Logic de manière expresse. Séparez les noms des projets individuels par un point-virgule (";"). Vous pouvez utiliser les opérateurs. Par exemple, P1* signifie tous les projets zenon Logic commençant par P1. (Remarque : les opérateurs sont uniquement autorisés sous forme de préfixe ou de suffixe, par exemple, *xxx ou xxx*.

Le nombre de caractères est limité à 64.

Par défaut : -

Plus de détails dans l’aide en ligne.

VT_BOOL

ReadWrite

Ecriture/lecture externe

Propriété externe pour zenon Logic. Affecte uniquement les variables qui ne forment pas partie du driver straton.
Active : la valeur de la variable ne peut pas être modifiée dans zenon Logic. La définition de la variable ne peut pas être modifiée dans zenon Logic.
Inactive : la variable ne peut pas être modifiée dans zenon Logic.
Par défaut : active.

Plus de détails dans l’aide en ligne.

VT_BSTR

InitialValue

Valeur initiale externe

Propriété externe pour zenon Logic. Affecte uniquement les variables qui ne forment pas partie du driver straton.
Valeur initiale de la variable dans zenon Logic durant une reprise graduelle ou une reprise intermédiaire.
La saisie autorisée ici dépend du type de données de la variable. Par exemple, vous pouvez uniquement utiliser des valeurs sans décimales pour les variables entières. Pour les variables à virgule flottante, un point doit être utilisé en tant que séparateur décimal ; les virgules ne peuvent pas être utilisées.
Le système de contrôle ne vérifie pas la validité de cette saisie. Ceci peut générer un message d’erreur dans zenon Logic.

Attention : lors de l’utilisation de variables du driver interne, cette propriété doit posséder la même valeur que la valeur initiale dans les paramètres des variables internes.

Plus de détails dans l’aide en ligne.

VT_BSTR

Profilename

Nom profil externe

Propriété externe pour zenon Logic. Affecte uniquement les variables qui ne forment pas partie du driver straton.
Nom du profil défini dans zenon Logic (par ex. STRATON, ProfDP).

Cette propriété est uniquement affichée pour information. Édition dans zenon Logic uniquement.

Plus de détails dans l’aide en ligne.

VT_BSTR

Adressparam

Paramètre externe d'adresse

Propriété externe pour zenon Logic. Affecte uniquement les variables qui ne sont pas des variables du driver straton.
Propriétés de profil dans zenon Logic (par ex. "intégré" ou paramètres d’adressage de Profibus).

Cette propriété est uniquement affichée pour information. Édition dans zenon Logic uniquement.

Plus de détails dans l’aide en ligne.

VT_BSTR

Vargroup

Groupe de variables externe

Propriété externe pour zenon Logic. Affecte uniquement les variables qui ne sont pas des variables du driver straton32.
Groupes de variables dans zenon Logic ("Global" ou "Retain" ou vides).

Cette propriété est uniquement affichée pour information. Édition dans zenon Logic uniquement.

Plus de détails dans l’aide en ligne.

VT_BOOL

IsRemaActiv

Matrice de réaction active

Active : Une matrice de réaction est utilisée à la place des valeurs de limite.
Inactive : Les valeurs peuvent être définies pour la variable.
Par défaut : inactive.

Plus de détails dans l’aide en ligne.

ZT_REMA

Rema

Matrice de réaction

Propriétés d’utilisation d’une matrice de réaction pour la variable.

Plus de détails dans l’aide en ligne.

ZT_VARIABLE

AlarmQuitPV

Valeur d'acquittement

Si une alarme de cette variable est acquittée visuellement, la variable sélectionnée sous Variable d'acquittement visuel ou Variable d'acquittement est définie sur cette valeur.

Sélection de 0 ou 1.

Plus de détails dans l’aide en ligne.

ZT_VARIABLE

AlarmViewQuitPV

Variable d'acquittement visuel

Si une alarme de la variable de contrôle est acquittée visuellement, la valeur de la variable d’acquittement visuel est définie sur la valeur définie par Valeur d'acquittement.

Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de variables binaires.

Plus de détails dans l’aide en ligne.

VT_UI4

AlarmQuitPVValue

Valeur d'acquittement

Si une alarme de cette variable est acquittée visuellement, la variable sélectionnée sous Variable d'acquittement visuel ou Variable d'acquittement est définie sur cette valeur.

Sélection de 0 ou 1.

Plus de détails dans l’aide en ligne.

VT_BOOL

VarInASM

Enregistrer dans la base IPA

Active : les alarmes de cette variable sont disponibles pour analyse dans le module Industrial Performance Analyzer (IPA).
Inactive : les alarmes de cette variable ne sont prises en compte lors de l’analyse dans le module Industrial Performance Analyzer (IPA).
Par défaut : Inactive

Attention : le module Industrial Performance Analyzer est un module optionnel, qui doit comporter une licence valide pour pouvoir être utilisé ici.

Plus de détails dans l’aide en ligne.

VT_BOOL

AlarmViaEquipmentModel

Utiliser la gestion d'alarmes hiérarchiques du modèle d'équipement

Type d’attribution de la variable à un domaine d’alarmes.

  • Active :
    Le domaine d’alarmes de la variable est transféré par le modèle d’équipement. L’alarme de la variable est applicable aux domaines d’alarmes définis dans le modèle d’équipement. Dans ce cas, le groupe d’équipements de la variable et le groupe d’équipements de niveau supérieur du modèle d’équipement sont pris en compte.
  • Inactive :
    L'alarme sur la variable est applicable aux domaines d’alarmes 1 à 4 de la gestion d’alarmes.

Remarque : Si cette propriété est activée pour un type de données, les paramètres de toutes les variables issues de celle-ci sont transférés.

Plus de détails dans l’aide en ligne.

ZT_BSTR_REF

AreaName

AreaName

Description as text.

ZT_BSTR_REF

AreaName2

AreaName2

Description as text.

ZT_BSTR_REF

AreaName3

AreaName3

Description as text.

ZT_BSTR_REF

AreaName4

AreaName4

Description as text.

VT_BOOL

InOut

Ecrire valeur prescrite

Active : cette variable est libérée pour l’action Spécifier valeur prescrite.
Inactive : cette variable est protégée en écriture.
Par défaut : Active

Plus de détails dans l’aide en ligne.

VT_BOOL

SBO

Select Before Operate

Attention : Cette fonctionnalité est uniquement compatible avec les drivers IEC870 et IEC850, et uniquement disponible si vous avez sélectionné l’option Commande commutation pour la propriété de type d’action dans Gestion des commandes, et l’action est mise en œuvre sous forme d’action à deux étapes. N’utilisez pas cette fonction pour le driver DNP3_NG ; Auto-SBO peut être configuré directement pour la variable, dans ce cas.

Active : Avant que la valeur de la variable ne soit écrite dans le matériel, zenon vérifie, pendant la première phase de la commande de commutation, si la variable dans l’équipement est prête pour cette action (Select before Operate (SBO)).
Attention : Pour les commandes impulsion, la réinitialisation automatique des valeurs des variables n’est pas effectuée dans l’intervalle de temps défini dans la propriété de délai de front.

Si la propriété SBO a été activée pour la variable d’action, une commande d’impulsion se comporte de la même manière qu’une commande de commutation.

Inactive : La valeur de la variable est transférée vers le driver sans vérification préalable.

Remarque : dans un driver IEC870, cela signifie une instruction Direct execute. Le driver IEC850 peut toutefois déclencher automatiquement une instruction Select before Operate , en raison du Control Model.
Par défaut : Inactive :
Plus de détails dans l’aide en ligne.

VT_BOOL

CancelOperate

Annuler 'Operate'

Si cette propriété est activée, il est possible d’envoyer une commande Cancel après une commande Operate lors de la gestion des commandes.

Remarque : Cette propriété est uniquement dans la version Energy Edition.

Par défaut : Inactive

Plus de détails dans l’aide en ligne.

VT_R8

ValueMin

Valeur prescrite min.

La valeur minimum définie ici pour le paramètre Écrire valeur prescrite peut être acceptée par le biais d’éléments dynamiques, plutôt que par la configuration séparée de ces derniers.
Ceci est surtout recommandé si la plage de la mesure est susceptible de varier ultérieurement, car ces modifications peuvent être effectuées une fois ici, au lieu d’être modifiées séparément dans chaque élément.

Plus de détails dans l’aide en ligne.

VT_R8

ValueMax

Valeur prescrite max.

La valeur maximum définie ici pour le paramètre Écrire valeur prescrite peut être acceptée par le biais d’éléments dynamiques, plutôt que par la configuration séparée de ces derniers.
Ceci est surtout recommandé si la plage de la mesure est susceptible de varier ultérieurement, car ces modifications peuvent être effectuées une fois ici, au lieu d’être modifiées séparément dans chaque élément.

Plus de détails dans l’aide en ligne.

VT_BSTR

LockingName

LockingName

"With this property you have the opportunity to assign an interlocking via its name.
zElement.DynProperties(""LockingName"") = ""Interlocking 1"""

VT_UI1

SetValueProtocol

Enregistrement (fichier journal)

Définit la manière dont l’écriture de la valeur prescrite sera consignée dans la liste CEL.

  • Tout : Toutes les actions Écrire valeur prescrite de cette variable exécutées via des éléments dynamiques et les fonctions Écrire valeur prescrite sont consignées dans la liste d’événements. (CEL)
  • Rien : aucune action Spécifier valeur prescrite n’est consignée dans la liste CEL.
  • Seulement sur élément dynamique : Seules les actions Écrire valeur prescrite exécutées via les éléments dynamiques sont consignées dans la liste CEL.

Par défaut : Uniquement les éléments dynamiques :

Plus de détails dans l’aide en ligne.

VT_BOOL

SV_Act

Ancienne et nouvelle valeur
  • Active : en cas de modification de la valeur prescrite de cette variable, les valeurs ancienne et nouvelle sont consignées dans la liste d’événements (CEL).
  • Inactive : Seule la nouvelle valeur est consignée.

Par défaut : Inactive

Recommandation : Activez la propriété Variable lue en permanence. Ceci permet de garantir que la valeur est toujours disponible, et qu’il n’est pas nécessaire de l’interroger spécialement.

Plus de détails dans l’aide en ligne.

VT_BOOL

SV_VBA

Valeurs modifiées par VBA

Active : L’écriture de la valeur prescrite de cette variable via une macro VBA est consignée dans la liste d’événements.
inactive : l’écriture de la valeur prescrite de cette variable via une macro VBA n’est pas consignée.
Par défaut : Active

Remarque : pour les variables configurées sous forme de variables de commande dans la passerelle de procédé IEC870, chaque commande est consignée sous la forme Spécifier valeur prescrite via l’interface COM dans la liste CEL, si la propriété est activée.

Plus de détails dans l’aide en ligne.

VT_BSTR

VisualName

Nom visuel

Saisie d’un nom d’affichage de la variable dans zenon Analyzer. Celui-ci doit être unique dans le projet, mais ceci n’est pas vérifié dans zenon. Cette vérification est effectuée lors de l’importation dans zenon Analyzer.

Cette propriété fournit des informations qui sont utilisées pour la configuration de rapports dans zenon Analyzer. L’exportation des données de zenon vers zenon Analyzer est effectuée à l’aide de l’assistant Analyzer Export Wizard.

Attention : Si cette propriété est modifiée après la première exportation vers zenon Analyzer, ces modifications ne sont appliquées dans zenon Analyzer.

Plus de détails dans l’aide en ligne.

VT_BSTR

Meaning

Signification

Cette propriété fournit des informations qui sont utilisées par la fonction de configuration de rapports dans zenon Analyzer.
Les données peuvent être définies manuellement ou à l’aide de l’assistant Meaning and Waterfall Chart Wizard. L’exportation des données de zenon vers zenon Analyzer est effectuée à l’aide de l’assistant Analyzer Export Wizard.

Saisie de la signification (meaning) d’une variable dans zenon Analyzer. Plusieurs significations doivent être séparées par une virgule.
Syntaxe : [signification1],[signification2],…,[significationN]

Plus de détails dans l’aide en ligne.

VT_BSTR

WaterfallParam

Paramètre pour le waterfall diagram

Cette propriété fournit des informations qui sont utilisées par la fonction de configuration de rapports dans zenon Analyzer.
Les données peuvent être définies manuellement ou à l’aide de l’assistant Meaning and Waterfall Chart Wizard. L’exportation des données de zenon vers zenon Analyzer est effectuée à l’aide de l’assistant Analyzer Export Wizard.

Paramètres d’une variable pour un diagramme en cascade dans zenon Analyzer. Les entrées peuvent être créées pour les rapports par ligne ou les rapports par machine. Lors de l’exportation, en fonction de la structure des entrées, une décision est prise pour déterminer s’il s’agit d’entrées correspondant à des diagrammes par machine ou par ligne.

Les paramètres individuels doivent être séparés par une virgule. Plusieurs cascades doivent être séparées par un poing-virgule.
Syntaxe, par machine : [nom modèle],[indice de ligne],[indice de colonne],[code de couleur];
Syntaxe, par ligne : [nom du modèle],[indice de ligne],[indice de colonne],[code de couleur],[perte de machine auxiliaire],[ajout de perte de machine auxiliaire],[soustraction de perte de machine auxiliaire];

Plus de détails dans l’aide en ligne.

VT_BOOL

Use_in_ProcRec

Activer l'enregistrement

Active/désactive la variable ou le type de données enregistré dans le module Process Recorder.
La sélection multiple de variables est possible.

  • Active :
    Les changements de valeur de la variable sont enregistrés dans le module Process Recorder.
    Attention : Assurez-vous que l’activation générale de l’enregistrement a été configurée dans la propriété Activer Process Recorder.
  • Inactive :
    Les changements de valeur de la variable ne sont pas enregistrés dans le module Process Recorder.

Par défaut : les paramètres configurés sont appliqués pour le type de données utilisé.

Plus de détails dans l’aide en ligne.


Internal variable ED

Manuel -> Interfaces de programmation -> Modèles d'objet -> Variable -> Variable-Dynamic properties -> Internal variable ED

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Type

VBA/VSTA Name

Display Name

Description

VT_BOOL

Local

Calcul

Local : Pour les projets en réseau, la variable interne est évaluée gérée localement sur chaque poste.
Ceci signifie que la valeur de la variable peut être différente sur chaque client et les valeurs limites sont gérées localement.
Réseau : Pour les projets en réseau, les variables internes sont évaluées et gérées sur le serveur du projet. Elle a la même valeur partout sur le réseau (sur le serveur et les clients).
Par défaut : local.

Plus de détails dans l’aide en ligne.

VT_UI1

Remanenz

Rémanence

Désactivée : Lors du démarrage du Runtime, la valeur de remplacement de la variable ou une chaîne (pour les variables chaîne) est utilisée comme valeur actuelle.
Valeur initiale : La valeur actuelle est la valeur saisie dans la propriété "Valeur initiale".
Rémanentes : La dernière valeur de la variable est utilisée comme valeur actuelle lors du redémarrage du Runtime.
Par défaut : off.

Plus de détails dans l’aide en ligne.

VT_BSTR

Initial_value

Valeur initiale

La valeur définie ici est utilisée en tant que valeur actuelle de la variable au démarrage du Runtime, si la propriété Rémanence est définie sur Valeur initiale.
Remarque : Les points et les virgules peuvent être utilisés en tant que séparateurs décimaux. Au niveau interne, la valeur est toujours convertie en nombre avec un point en guise de séparateur.

Plus de détails dans l’aide en ligne.

VT_BOOL

IsLocalDigits

IsLocalDigits

"With this property you have the opportunity to decide whether the ""Decimals"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalSignalMin

IsLocalSignalMin

"With this property you have the opportunity to decide whether the ""Minimum signal resolution"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalSignalMax

IsLocalSignalMax

"With this property you have the opportunity to decide whether the ""Maximum signal resolution"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalRangeMin

IsLocalRangeMin

"With this property you have the opportunity to decide whether the ""Minimum measuring range"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalRangeMax

IsLocalRangeMax

"With this property you have the opportunity to decide whether the ""Maximum measuring range"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalAlternateValue

IsLocalAlternateValue

"With this property you have the opportunity to decide whether the ""Alternate value"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalValueMin

IsLocalValueMin

"With this property you have the opportunity to decide whether the ""Minimum set value"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalValueMax

IsLocalValueMax

"With this property you have the opportunity to decide whether the ""Maximum set value"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalUseMacro

IsLocalUseMacro

"With this property you have the opportunity to decide whether the ""Non linear value adjustment with macros"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalInOut

IsLocalInOut

"With this property you have the opportunity to decide whether the ""Setting values active"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalHystNeg

IsLocalHystNeg

"With this property you have the opportunity to decide whether the ""negative hysteresis"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalHystPos

IsLocalHystPos

"With this property you have the opportunity to decide whether the ""negative hysteresis"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalArchHystNeg

IsLocalArchHystNeg

VT_BOOL

IsLocalArchHystPos

IsLocalArchHystPos

VT_BOOL

IsLocalUpdatePriority

IsLocalUpdatePriority

"With this property you have the opportunity to decide whether the ""Priority of the driver connection"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalDDEaktiv

IsLocalDDEaktiv

"With this property you have the opportunity to decide whether the ""DDE active"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalStandby

IsLocalStandby

"With this property you have the opportunity to decide whether the ""Only read from standby"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalRemaActiv

IsLocalRemaActiv

"With this property you have the opportunity to decide whether the ""Reaction matrix active"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalRema

IsLocalRema

"With this property you have the opportunity to decide whether the ""Reaction matrix"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalHDActive

IsLocalHDActive

"With this property you have the opportunity to decide whether the ""HD active"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalHDUpdate

IsLocalHDUpdate

"With this property you have the opportunity to decide whether the ""HD scan rate"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalHDSize

IsLocalHDSize

"With this property you have the opportunity to decide whether the ""Number of HD values"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalKDAActiv

IsLocalKDAActiv

"With this property you have the opportunity to decide whether the ""Recording type"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalStingLength

IsLocalStingLength

"With this property you have the opportunity to decide whether the ""String length"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalQuitPV

IsLocalQuitPV

"With this property you have the opportunity to decide whether the ""Acknowledgement variable"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalViewQuitPV

IsLocalViewQuitPV

Description as text.

VT_BOOL

IsLocalQuitValue

IsLocalQuitValue

"With this property you have the opportunity to decide whether the ""Acknowledgement value"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalTagname

IsLocalTagname

"With this property you have the opportunity to decide whether the ""Identification"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalUnit

IsLocalUnit

"With this property you have the opportunity to decide whether the ""Unit"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalAltValString

IsLocalAltValString

"With this property you have the opportunity to decide whether the ""String alternative value"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalRecLabel

IsLocalRecLabel

"With this property you have the opportunity to decide whether the ""Ressources label"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalAdjustHW

IsLocalAdjustHW

"With this property you have the opportunity to decide whether the ""AdjustHardwareValue"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalAdjustZenon

IsLocalAdjustZenon

"With this property you have the opportunity to decide whether the ""AdjustZenOnValue"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalArraySize

IsLocalArraySize

"With this property you have the opportunity to decide whether the ""Array size"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalCounterGroup

IsLocalCounterGroup

VT_BOOL

IsLocalMaxGradient

IsLocalMaxGradient

VT_BOOL

IsLocalNormalStateActive

IsLocalNormalStateActive

VT_BOOL

IsLocalNormalState

IsLocalNormalState

VT_BOOL

IsLocalAlarmPV0

IsLocalAlarmPV0

"With this property you have the opportunity to decide whether the ""Alarm Variable 1"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalAlarmPV1

IsLocalAlarmPV1

"With this property you have the opportunity to decide whether the ""Alarm Variable 2"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalAlarmPV2

IsLocalAlarmPV2

"With this property you have the opportunity to decide whether the ""Alarm Variable 3"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalVarInASM

IsLocalVarInASM

"With this property you have the opportunity to decide whether the ""Save in IPA database"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalAlarmDomain

IsLocalAlarmDomain

"With this property you have the opportunity to decide whether the ""Alarm area"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalAlarmDomain2

IsLocalAlarmDomain2

Description as text.

VT_BOOL

IsLocalAlarmDomain3

IsLocalAlarmDomain3

Description as text.

VT_BOOL

IsLocalAlarmDomain4

IsLocalAlarmDomain4

Description as text.

VT_BOOL

IsLocalLocking

IsLocalLocking

"With this property you have the opportunity to decide whether the ""Interlocking"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalSBO

IsLocalSBO

"With this property you have the opportunity to decide whether the ""Select before operate"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalCancelOperate

IsLocalCancelOperate

Description

VT_BOOL

IsLocalAlarmViaEquipmentModel

IsLocalAlarmViaEquipmentModel

Description

VT_BOOL

IsLocalUsedInProcRec

IsLocalUsedInProcRec

Description

VT_UI1

IsSWProtokol

IsSWProtokol

VT_BOOL

IsSW_Akt

IsSW_Akt

VT_BOOL

IsSW_VBA

IsSW_VBA

More...

Limits

Valeurs limite

Propriétés définissant le traitement des valeurs limites ou le traitement des alarmes pour la variable.

Les propriétés de ce groupe sont uniquement disponibles si vous avez activé la propriété Matrice de réaction active.

Plus de détails dans l’aide en ligne.

VT_UI4

ID_ComplexVariable

ID_ComplexVariable

With this property you have the opportunity to get/set the ID of a variable from a structure element. This ID is 0 when the variable has no structure datatype.

VT_BSTR

Name

Nom

Nom unique de la variable. Les considérations suivantes s’appliquent lors de la définition du nom :

  • Longueur maximale : 128 caractères
  • Caractères non autorisés : # et @

Remarque : pour les drivers utilisant la connexion à zenon Logic, vous devez définir un préfixe. Pour plus de détails, reportez-vous au chapitre Création de variables O et M dans zenon Logic dans le manuel.
Toute modification du nom de la variable doit également être effectuée dans l’environnement de programmation (VBA, VSTA).

Attention : Cette propriété n’est pas disponible aux fins de la commutation de langue.

Plus de détails dans l’aide en ligne.

VT_BSTR

Tagname

Identification

Chaîne libre utilisée pour l’identification de la variable ou du type de données.
Remarque : Puisque la langue du nom de la variable (propriété Nom) ne peut pas être modifiée, cette propriété peut être utilisée pour le changement de langue en ligne.

Longueur maximale : 128 caractères

Plus de détails dans l’aide en ligne.

VT_BSTR

Unit

Unité de mesure

Unité technique de la variable devant être affichée dans le Runtime. Si vous avez déjà créé des unités de mesure dans le module d’unités de base, celles-ci sont disponibles dans une liste déroulante.
Maximum : 50 caractères.
Par défaut : vide

Plus de détails dans l’aide en ligne.

VT_R8

AlternateValue

Archivfüllwert

Cette valeur est utilisée pour renseigner les archives cycliques. En présence d’intervalles durant lesquels aucune connexion au matériel n’a été établie, cette valeur est utilisée tant qu’aucune valeur n’est transférée depuis l’équipement. Dans le cas contraire, la dernière valeur valide utilisée est utilisée aux fins du renseignement.

Plus de détails dans l’aide en ligne.

VT_BSTR

AlternateValueString

Valeur chaîne pour le remplissage des archives

Cette valeur est utilisée pour les variables de chaîne, afin de renseigner les archives cycliques.
En présence d’intervalles, dans les archives cycliques, durant lesquels aucune connexion au matériel n’a été établie, cette Valeur chaîne pour le remplissage des archives est utilisée tant qu’aucune valeur n’est transférée depuis l’équipement. Dans le cas contraire, la dernière valeur valide est utilisée pour le renseignement.

Longueur maximale : 128 caractères

Attention : Cette propriété n’est pas disponible aux fins de la commutation de langue.

Plus de détails dans l’aide en ligne.

VT_BSTR

Recourceslabel

Description externe

Chaîne au choix.
N'est pas utilisé au niveau interne dans zenon, mais est disponible lors de l’exportation de valeurs pour autoriser l’attribution des valeurs exportées pour les systèmes de gestion tels qu’ERP.

Longueur maximale : 255 caractères

Plus de détails dans l’aide en ligne.

VT_UI4

NetAddr

Adresse réseau

Adresse de bus ou Adresse réseau de la variable.

  • Minimum : 0
  • Maximum : 4294967295

Par défaut : 0

Plus de détails dans l’aide en ligne.

VT_UI4

DataBlock

Bloc de données

Numéro de bloc de données.
Minimum : 0.
Maximum : 4294967295
Par défaut : 0.

Plus de détails dans l’aide en ligne.

VT_UI4

Offset

Offset

Décalage de la variable.
Pour les contrôleurs à adressage linéaire : plage de mémoire.
Pour les contrôleurs à résolution de nom : adresse d’attribution.
Minimum : 0.
Maximum : 4294967295
Par défaut : 0.

Plus de détails dans l’aide en ligne.

VT_UI2

BitAddr

Numéro de bit

Numéro du bit dans le décalage configuré.
Minimum : 0.
Maximum : 65535
Par défaut : 0.

Plus de détails dans l’aide en ligne.

VT_UI2

Alignment

Alignement

Ceci dépend de la granularité du type d’objet du driver et de la position de la variable conformément au décalage défini.

Pour les variables de type Octet :
Octet poids fort : octet de poids fort dans le décalage de mot.
Octet poids faible : Otet de poids faible dans le décalage de mot.
HiWord-HiByte octet de poids fort dans le mot fort dans le décalage de double mot.
HiWord-LoByte (Mot poids fort-Octet poids faible) octet de poids faible dans le mot fort dans le décalage de double mot.
Mot poids faible-Octet poids fort : octet de poids fort dans le mot faible dans le décalage de double mot.
Mot poids faible-Octet poids faible : octet de poids faible dans le mot faible dans le décalage de double mot.

Pour les variables de mot :
Mot poids fort : mot fort dans le décalage de double mot.
Mot poids faible : Mot poids faible dans le décalage de double mot.

Plus de détails dans l’aide en ligne.

VT_UI2

StringLength

Longueur de la chaîne

Disponible uniquement pour les variables de type chaîne.
Nombre maximum de caractères que peut accepter une variable.
Minimum : 1 caractère
Si la valeur non autorisée 0 est saisie, la dernière valeur configurée valide est automatiquement utilisée. Si aucune valeur valide n’a été configurée, l’entrée est remplacée par la valeur par défaut.
Maximum : 65535 caractères.
Par défaut : 5 caractères

Remarque : la valeur par défaut est 65 535 pour les variables système avec le type de données String.

Plus de détails dans l’aide en ligne.

VT_BSTR

SymbAddr

Adresse symbolique

Séquence de caractères pour l’adressage symbolique des variables.

Longueur maximale : 1024 caractères.

Remarque : L’adresse symbolique n’est pas prise en charge par tous les drivers.
Lors de l’importation des variables dans des drivers compatibles avec l’adressage symbolique, la propriété est saisie automatiquement.

Plus de détails dans l’aide en ligne.

VT_UI4

Driver

Drivers

VT_UI4

ID_DataTyp

Type de données

Type de donnée pour la variable. Sélectionné durant la création de la variable ; peut être modifié ici ultérieurement.
Remarque : Pour les variables de structure, le type de données ne peut plus être modifié après la création des variables.
Attention : Si vous modifiez le type de données ultérieurement, toutes les autres propriétés de la variable doivent être vérifiées et ajustées, si nécessaire.

Plus de détails dans l’aide en ligne.

VT_UI4

ID_DriverTyp

Type d'objet driver

Selon le driver utilisé, un type d’objet est sélectionné durant la création de la variable et peut être modifié ici ultérieurement.
Siemens : bloc de données, marqueur, entrée/sortie.
Modbus : Coil et Holding Register.

Plus de détails dans l’aide en ligne.

VT_UI1

UpdatePriority

Priorité

Si l’heure de mise à jour globale spécifiée dans la configuration du driver n’est pas utilisée, la fréquence des mises à jour correspondant aux différents niveaux de priorité peut être définie ici. Dans cette propriété, une priorité est attribuée à une variable.

Plus de détails dans l’aide en ligne.

VT_BOOL

Standby

Lire uniquement sur le serveur redondant

Active : La valeur de la variable provenant du serveur redondant est affichée.
Inactive : La valeur de la variable provenant du serveur est affichée.
(drivers matériels uniquement)

Plus de détails dans l’aide en ligne.

VT_UI2

Digits

Nombre de décimales

Nombre de décimales des valeurs de variables utilisées lors de l’affichage dans le système de contrôle.
Minimum : 0
Maximum : 10
Par défaut : 0

Plus de détails dans l’aide en ligne.

VT_R8

SignalMin

Signal min.

Valeur minimum de la variable dans l’automate.
À moins d’être définie différemment dans la propriété Ajustement non-linéaire, la valeur brute des variables (résolution du signal) sera toujours convertie au format de la plage de mesure sur une base linéaire (pour une utilisation dans le système de contrôle). Toutes les autres entrées de valeurs numériques spécifiques à la variable dans Editor et dans le Runtime seront liées à la plage de mesures (par ex. définition des valeurs limites, limites des valeurs prescrites, zone de représentation, entrées de valeurs prescrites, etc.).

Plus de détails dans l’aide en ligne.

VT_R8

SignalMax

Signal max.

Valeur maximum de la variable dans l’automate. À moins d’être définie différemment dans la propriété Ajustement non-linéaire, la valeur brute des variables (résolution du signal) sera toujours convertie au format de la plage de mesure sur une base linéaire (pour une utilisation dans le système de contrôle). Toutes les autres entrées de valeurs numériques spécifiques à la variable dans Editor et dans le Runtime seront liées à la plage de mesures (par ex. définition des valeurs limites, limites des valeurs prescrites, zone de représentation, entrées de valeurs prescrites, etc.).

Plus de détails dans l’aide en ligne.

VT_R8

RangeMin

Plage de mesure min.

Valeur minimum des variables dans zenon.
À moins d’être définie différemment dans la propriété Ajustement non-linéaire, la valeur brute des variables (résolution du signal) sera toujours convertie au format de la plage de mesure sur une base linéaire (pour une utilisation dans le système de contrôle). Toutes les autres entrées de valeurs numériques spécifiques à la variable dans Editor et dans le Runtime seront liées à la plage de mesures (par ex. définition des valeurs limites, limites des valeurs prescrites, zone de représentation, entrées de valeurs prescrites, etc.).

Plus de détails dans l’aide en ligne.

VT_R8

RangeMax

Plage de mesure max.

Valeur maximum des variables dans zenon.
À moins d’être définie différemment dans la propriété Ajustement non-linéaire, la valeur brute des variables (résolution du signal) sera toujours convertie au format de la plage de mesure sur une base linéaire (pour une utilisation dans le système de contrôle). Toutes les autres entrées de valeurs numériques spécifiques à la variable dans Editor et dans le Runtime seront liées à la plage de mesures (par ex. définition des valeurs limites, limites des valeurs prescrites, zone de représentation, entrées de valeurs prescrites, etc.).

Plus de détails dans l’aide en ligne.

VT_BOOL

UseMacro

Ajustement non-linéaire avec macros

L’ajustement de valeurs non linéaires est utilisé pour les variables dont la valeur originale (automate) ne peut pas être ajustée de manière linéaire en fonction de la valeur mesurée (système de contrôle).

  • Active : Les valeurs brutes sont ajustées en fonction de zenon, sur une base non linéaire, avec des macros VBA.
  • Inactive : Les valeurs brutes sont ajustées en fonction de zenon.

Remarque : Lors de l’activation de la propriété, les propriétés AdjustHardwareValue et AdjustScadaValue doivent également être configurées. La propriété AdjustHardwareValue doit alors être configurée à l’inverse de la propriété AdjustScadaValue, sous forme de fonction inverse.

Par défaut : Inactive

Plus de détails dans l’aide en ligne.

ZT_VBAMAKRO

AdjustHardware

AdjustHardwareValue

Disponible uniquement si la propriété Ajustement non-linéaire avec macros est active.

Macro appelée à chaque modification de la valeur brute dans l’automate, et qui modifie la valeur dans zenon. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de macros.
Plus de détails dans l’aide en ligne.

ZT_VBAMAKRO

AdjustZenon

AdjustScadaValue

Disponible uniquement si la propriété Ajustement non-linéaire avec macros est active.

La macro est appelée lors de l’écriture d’une valeur depuis zenon et modifie la valeur brute sur l’automate. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de macros.
Plus de détails dans l’aide en ligne.

VT_R8

HystNeg

Négatif pour le signal

Hystérésis des valeurs limites définies en fonction de la plage du signal.

Plage d’hystérésis pour l’entrée en cas de changement de valeur avec diminution. Les valeurs sont uniquement interprétées comme des dépassements de valeur limite si la valeur changeante est inférieure à la plage d’hystérésis définie ici.
Par défaut : 0 (pas d’hystérésis)

Plus de détails dans l’aide en ligne.

VT_R8

HystPos

Positif pour le signal

Hystérésis des valeurs limites définies en fonction de la plage du signal.

Plage d’hystérésis pour l’entrée en cas de changement de valeur avec augmentation. Les valeurs sont uniquement interprétées comme des dépassements de valeur limite si la valeur changeante est supérieure à la plage d’hystérésis définie ici.
Par défaut : 0 (pas d’hystérésis)

Plus de détails dans l’aide en ligne.

VT_R8

ArchHystNeg

Négatif pour l'archive

Hystérésis d’archivage en cas de changement appliquée à la plage de mesure.

Plage d’hystérésis pour l’entrée en cas de changement de valeur avec diminution. Les valeurs sont uniquement saisies dans l’archive si la valeur changeante est inférieure à la plage d’hystérésis définie ici.
Par défaut : 0 (pas d’hystérésis)

Plus de détails dans l’aide en ligne.

VT_R8

ArchHystPos

Positif pour l'archive

Hystérésis d’archivage en cas de changement appliquée à la plage de mesure.

Plage d’hystérésis pour l’entrée en cas de changement de valeur avec augmentation. Les valeurs sont uniquement saisies dans l’archive si la valeur changeante est supérieure à la plage d’hystérésis définie ici.
Par défaut : 0 (pas d’hystérésis)

Plus de détails dans l’aide en ligne.

VT_BOOL

DDEActive

Variable lue en permanence

Paramètre de lecture de la variable et de sa disponibilité via DDE dans le Runtime :

  • Active : La variable est toujours connectée au driver. Cela signifie qu’elle est continuellement lue par le driver, même si elle n’est pas nécessaire dans le projet à cet instant précis. Le driver connaît ainsi toujours les valeurs actuelles et l’état actuel des variables et peut les fournir immédiatement, si nécessaire. La variable est également disponible pour les autres applications Windows (par exemple, Excel, Visual Basic, etc.). Les applications Windows possédant une fonctionnalité de client DDE peuvent ainsi utiliser les valeurs de la variable.
    Temps d’actualisation : 0,5 s
    L'activation de cette option offre par exemple l’avantage de basculer plus rapidement les valeurs de variables dans la fonction Ecriture valeur prescrite ou dans l’élément Appel de synoptique, car il n’est pas nécessaire d’interroger spécialement la variable avant la commutation. L’inconvénient est une augmentation de la charge des communications au niveau du contrôleur.
  • Inactive : La variable n’est pas interrogée en permanence par le driver, mais uniquement en cas de demande de valeurs ou d’états dans le Runtime. Elle n’est donc pas disponible dans les autres applications Windows via DDE.

Par défaut : Inactive

Plus de détails dans l’aide en ligne.

VT_UI4

ArraySizeOld

Dimension tableau

Définition de la taille de l’ensemble de blocs. La taille définie est lue ou écrite par le driver durant une demande de lecture/d’écriture. Ceci permet de garantir la cohérence des données dans le texte. Les données peuvent uniquement être modifiées dans le module Recipegroup Manager ou via l’interface de programmation.
Attention : peut être défini au niveau du driver interne, toutefois sans fonction dans le Runtime (valeur toujours égale à 0).

Plus de détails dans l’aide en ligne.

VT_UI4

CounterGroup

Groupe de compteur

Disponible uniquement dans SICAM 230.

VT_UI4

MaxGradient

Gradient maximum

Disponible uniquement dans SICAM 230.

VT_BOOL

NormalStateActive

Actif

Permet de définir un état normal pour les variables et les types de données du type BOOL, UINT et WORD pour tous les drivers.

Active : Un état normal peut être défini.

Par défaut : Inactive

Plus de détails dans l’aide en ligne.

VT_BOOL

NormalState

Valeur normale

Dans la liste déroulante, choisissez si la valeur normale de cette variable ou ce type de données doit être On (Active) ou Off (Inactive). Disponible pour les variables et les types de données du type BOOL, UINT et WORD pour tous les drivers.

Par défaut : Off

Plus de détails dans l’aide en ligne.

ZT_VARIABLE

AlarmPV0

Variable d'alarme 1

Disponible uniquement dans SICAM 230.
Première variable pour la gestion d’alarmes de synoptiques.

Plus de détails dans l’aide en ligne.

ZT_VARIABLE

AlarmPV1

Variable d'alarme 2

Disponible uniquement dans SICAM 230.
Deuxième variable pour la gestion d’alarmes de synoptiques.

Plus de détails dans l’aide en ligne.

ZT_VARIABLE

AlarmPV2

Variable d'alarme 3

Disponible uniquement dans SICAM 230.
Troisième variable pour la gestion d’alarmes de synoptiques.

Plus de détails dans l’aide en ligne.

VT_BOOL

HDActive

Stockage de données sur disque dur actif

Active : les valeurs de variables sont enregistrées sur le disque dur (enregistrement circulaire) pour être évaluées dans l’élément dynamique "Élément de tendance" ou pour l’exportation/l’importation des valeurs.

Inactive : aucune valeur de variable n’est enregistrée.

Par défaut : inactive

Les données de disque dur nécessitent 24 octets d’espace de stockage par valeur, indépendamment du type de variable. Outre la valeur, les informations suivantes sont enregistrées :
- Heure d’exécution de la mesure.
- Millisecondes lors de la lecture de la valeur.
- Modification de l’état de la valeur en fonction des éléments.
- Compteur pour l’identification unique de la valeur (driver événementiel).

Remarque : Le stockage de données est également activé lors d’un appel de synoptique de type Extended Trend si des données en ligne sont analysées.
Les variables de type chaîne ne sont pas prises en charge par la fonction de stockage de données sur le disque dur.

Attention : si l’option d’enregistrement sur disque dur est activée pour un trop grand nombre de variables, en présence d’un trop grand nombre de valeurs, les performances du Runtime peuvent être altérées.

Plus de détails dans l’aide en ligne.

VT_R4

HDUpdate

Temps de cycle [s]

Disponible uniquement si la propriété Stockage de données sur disque dur actif est active :
Durée de l’intervalle [en secondes] de conservation des valeurs en ligne sur le disque dur (mémoire circulaire) pour l’analyse dans l’élément dynamique Tendance, pour les données en ligne dans le module Extended Trend ou pour l’exportation/l’importation de valeurs.

Plus de détails dans l’aide en ligne.

VT_UI4

HDSize

Nombre de valeurs

Valeur correspondant à l’intervalle de conservation des valeurs en ligne sur le disque dur (mémoire circulaire) pour l’analyse dans l’élément dynamique Tendance, pour les données en ligne dans le module Extended Trend ou pour l’exportation/l’importation de valeurs.

Attention : si l’option d’enregistrement sur disque dur est activée pour un trop grand nombre de variables, en présence d’un trop grand nombre de valeurs, les performances du Runtime peuvent être altérées.

Plus de détails dans l’aide en ligne.

VT_BOOL

IsKDAActiv

Type d'enregistrement

Disponible uniquement si la propriété Stockage de données sur disque dur actif est active :
Données de disque dur (cyclique) : Écriture cyclique des valeurs sur le disque dur.
Valeurs retriées (RDA) : Les valeurs sont écrites bloc par bloc sur le disque dur par le driver. (Fonction adaptée à l’analyse rétrospective des erreurs au niveau du système de contrôle.)

Plus de détails dans l’aide en ligne.

VT_BOOL

ExternVisible

Visible extérieurement pour

Disponible uniquement si la propriété Visible par d'autres programmes est active.

Spécifiez expressément les projets de zenon Logic pour lesquels la variable doit être visible. Si vous laissez le champ de saisie vide, la variable est visible pour tous les projets zenon Logic. Vous pouvez également saisir des projets zenon Logic de manière expresse. Séparez les noms des projets individuels par un point-virgule (";"). Vous pouvez utiliser les opérateurs. Par exemple, P1* signifie tous les projets zenon Logic commençant par P1. (Remarque : les opérateurs sont uniquement autorisés sous forme de préfixe ou de suffixe, par exemple, *xxx ou xxx*.

Le nombre de caractères est limité à 64.

Par défaut : -

Plus de détails dans l’aide en ligne.

VT_BSTR

ExternVisibleFor

Visible extérieurement pour

Disponible uniquement si la propriété Visible par d'autres programmes est active.

Spécifiez expressément les projets de zenon Logic pour lesquels la variable doit être visible. Si vous laissez le champ de saisie vide, la variable est visible pour tous les projets zenon Logic. Vous pouvez également saisir des projets zenon Logic de manière expresse. Séparez les noms des projets individuels par un point-virgule (";"). Vous pouvez utiliser les opérateurs. Par exemple, P1* signifie tous les projets zenon Logic commençant par P1. (Remarque : les opérateurs sont uniquement autorisés sous forme de préfixe ou de suffixe, par exemple, *xxx ou xxx*.

Le nombre de caractères est limité à 64.

Par défaut : -

Plus de détails dans l’aide en ligne.

VT_BOOL

ReadWrite

Ecriture/lecture externe

Propriété externe pour zenon Logic. Affecte uniquement les variables qui ne forment pas partie du driver straton.
Active : la valeur de la variable ne peut pas être modifiée dans zenon Logic. La définition de la variable ne peut pas être modifiée dans zenon Logic.
Inactive : la variable ne peut pas être modifiée dans zenon Logic.
Par défaut : active.

Plus de détails dans l’aide en ligne.

VT_BSTR

InitialValue

Valeur initiale externe

Propriété externe pour zenon Logic. Affecte uniquement les variables qui ne forment pas partie du driver straton.
Valeur initiale de la variable dans zenon Logic durant une reprise graduelle ou une reprise intermédiaire.
La saisie autorisée ici dépend du type de données de la variable. Par exemple, vous pouvez uniquement utiliser des valeurs sans décimales pour les variables entières. Pour les variables à virgule flottante, un point doit être utilisé en tant que séparateur décimal ; les virgules ne peuvent pas être utilisées.
Le système de contrôle ne vérifie pas la validité de cette saisie. Ceci peut générer un message d’erreur dans zenon Logic.

Attention : lors de l’utilisation de variables du driver interne, cette propriété doit posséder la même valeur que la valeur initiale dans les paramètres des variables internes.

Plus de détails dans l’aide en ligne.

VT_BSTR

Profilename

Nom profil externe

Propriété externe pour zenon Logic. Affecte uniquement les variables qui ne forment pas partie du driver straton.
Nom du profil défini dans zenon Logic (par ex. STRATON, ProfDP).

Cette propriété est uniquement affichée pour information. Édition dans zenon Logic uniquement.

Plus de détails dans l’aide en ligne.

VT_BSTR

Adressparam

Paramètre externe d'adresse

Propriété externe pour zenon Logic. Affecte uniquement les variables qui ne sont pas des variables du driver straton.
Propriétés de profil dans zenon Logic (par ex. "intégré" ou paramètres d’adressage de Profibus).

Cette propriété est uniquement affichée pour information. Édition dans zenon Logic uniquement.

Plus de détails dans l’aide en ligne.

VT_BSTR

Vargroup

Groupe de variables externe

Propriété externe pour zenon Logic. Affecte uniquement les variables qui ne sont pas des variables du driver straton32.
Groupes de variables dans zenon Logic ("Global" ou "Retain" ou vides).

Cette propriété est uniquement affichée pour information. Édition dans zenon Logic uniquement.

Plus de détails dans l’aide en ligne.

VT_BOOL

IsRemaActiv

Matrice de réaction active

Active : Une matrice de réaction est utilisée à la place des valeurs de limite.
Inactive : Les valeurs peuvent être définies pour la variable.
Par défaut : inactive.

Plus de détails dans l’aide en ligne.

ZT_REMA

Rema

Matrice de réaction

Propriétés d’utilisation d’une matrice de réaction pour la variable.

Plus de détails dans l’aide en ligne.

ZT_VARIABLE

AlarmQuitPV

Valeur d'acquittement

Si une alarme de cette variable est acquittée visuellement, la variable sélectionnée sous Variable d'acquittement visuel ou Variable d'acquittement est définie sur cette valeur.

Sélection de 0 ou 1.

Plus de détails dans l’aide en ligne.

ZT_VARIABLE

AlarmViewQuitPV

Variable d'acquittement visuel

Si une alarme de la variable de contrôle est acquittée visuellement, la valeur de la variable d’acquittement visuel est définie sur la valeur définie par Valeur d'acquittement.

Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de variables binaires.

Plus de détails dans l’aide en ligne.

VT_UI4

AlarmQuitPVValue

Valeur d'acquittement

Si une alarme de cette variable est acquittée visuellement, la variable sélectionnée sous Variable d'acquittement visuel ou Variable d'acquittement est définie sur cette valeur.

Sélection de 0 ou 1.

Plus de détails dans l’aide en ligne.

VT_BOOL

VarInASM

Enregistrer dans la base IPA

Active : les alarmes de cette variable sont disponibles pour analyse dans le module Industrial Performance Analyzer (IPA).
Inactive : les alarmes de cette variable ne sont prises en compte lors de l’analyse dans le module Industrial Performance Analyzer (IPA).
Par défaut : Inactive

Attention : le module Industrial Performance Analyzer est un module optionnel, qui doit comporter une licence valide pour pouvoir être utilisé ici.

Plus de détails dans l’aide en ligne.

VT_BOOL

AlarmViaEquipmentModel

Utiliser la gestion d'alarmes hiérarchiques du modèle d'équipement

Type d’attribution de la variable à un domaine d’alarmes.

  • Active :
    Le domaine d’alarmes de la variable est transféré par le modèle d’équipement. L’alarme de la variable est applicable aux domaines d’alarmes définis dans le modèle d’équipement. Dans ce cas, le groupe d’équipements de la variable et le groupe d’équipements de niveau supérieur du modèle d’équipement sont pris en compte.
  • Inactive :
    L'alarme sur la variable est applicable aux domaines d’alarmes 1 à 4 de la gestion d’alarmes.

Remarque : Si cette propriété est activée pour un type de données, les paramètres de toutes les variables issues de celle-ci sont transférés.

Plus de détails dans l’aide en ligne.

ZT_BSTR_REF

AreaName

AreaName

Description as text.

ZT_BSTR_REF

AreaName2

AreaName2

Description as text.

ZT_BSTR_REF

AreaName3

AreaName3

Description as text.

ZT_BSTR_REF

AreaName4

AreaName4

Description as text.

VT_BOOL

InOut

Ecrire valeur prescrite

Active : cette variable est libérée pour l’action Spécifier valeur prescrite.
Inactive : cette variable est protégée en écriture.
Par défaut : Active

Plus de détails dans l’aide en ligne.

VT_BOOL

SBO

Select Before Operate

Attention : Cette fonctionnalité est uniquement compatible avec les drivers IEC870 et IEC850, et uniquement disponible si vous avez sélectionné l’option Commande commutation pour la propriété de type d’action dans Gestion des commandes, et l’action est mise en œuvre sous forme d’action à deux étapes. N’utilisez pas cette fonction pour le driver DNP3_NG ; Auto-SBO peut être configuré directement pour la variable, dans ce cas.

Active : Avant que la valeur de la variable ne soit écrite dans le matériel, zenon vérifie, pendant la première phase de la commande de commutation, si la variable dans l’équipement est prête pour cette action (Select before Operate (SBO)).
Attention : Pour les commandes impulsion, la réinitialisation automatique des valeurs des variables n’est pas effectuée dans l’intervalle de temps défini dans la propriété de délai de front.

Si la propriété SBO a été activée pour la variable d’action, une commande d’impulsion se comporte de la même manière qu’une commande de commutation.

Inactive : La valeur de la variable est transférée vers le driver sans vérification préalable.

Remarque : dans un driver IEC870, cela signifie une instruction Direct execute. Le driver IEC850 peut toutefois déclencher automatiquement une instruction Select before Operate , en raison du Control Model.
Par défaut : Inactive :
Plus de détails dans l’aide en ligne.

VT_BOOL

CancelOperate

Annuler 'Operate'

Si cette propriété est activée, il est possible d’envoyer une commande Cancel après une commande Operate lors de la gestion des commandes.

Remarque : Cette propriété est uniquement dans la version Energy Edition.

Par défaut : Inactive

Plus de détails dans l’aide en ligne.

VT_R8

ValueMin

Valeur prescrite min.

La valeur minimum définie ici pour le paramètre Écrire valeur prescrite peut être acceptée par le biais d’éléments dynamiques, plutôt que par la configuration séparée de ces derniers.
Ceci est surtout recommandé si la plage de la mesure est susceptible de varier ultérieurement, car ces modifications peuvent être effectuées une fois ici, au lieu d’être modifiées séparément dans chaque élément.

Plus de détails dans l’aide en ligne.

VT_R8

ValueMax

Valeur prescrite max.

La valeur maximum définie ici pour le paramètre Écrire valeur prescrite peut être acceptée par le biais d’éléments dynamiques, plutôt que par la configuration séparée de ces derniers.
Ceci est surtout recommandé si la plage de la mesure est susceptible de varier ultérieurement, car ces modifications peuvent être effectuées une fois ici, au lieu d’être modifiées séparément dans chaque élément.

Plus de détails dans l’aide en ligne.

VT_BSTR

LockingName

LockingName

"With this property you have the opportunity to assign an interlocking via its name.
zElement.DynProperties(""LockingName"") = ""Interlocking 1"""

VT_UI1

SetValueProtocol

Enregistrement (fichier journal)

Définit la manière dont l’écriture de la valeur prescrite sera consignée dans la liste CEL.

  • Tout : Toutes les actions Écrire valeur prescrite de cette variable exécutées via des éléments dynamiques et les fonctions Écrire valeur prescrite sont consignées dans la liste d’événements. (CEL)
  • Rien : aucune action Spécifier valeur prescrite n’est consignée dans la liste CEL.
  • Seulement sur élément dynamique : Seules les actions Écrire valeur prescrite exécutées via les éléments dynamiques sont consignées dans la liste CEL.

Par défaut : Uniquement les éléments dynamiques :

Plus de détails dans l’aide en ligne.

VT_BOOL

SV_Act

Ancienne et nouvelle valeur
  • Active : en cas de modification de la valeur prescrite de cette variable, les valeurs ancienne et nouvelle sont consignées dans la liste d’événements (CEL).
  • Inactive : Seule la nouvelle valeur est consignée.

Par défaut : Inactive

Recommandation : Activez la propriété Variable lue en permanence. Ceci permet de garantir que la valeur est toujours disponible, et qu’il n’est pas nécessaire de l’interroger spécialement.

Plus de détails dans l’aide en ligne.

VT_BOOL

SV_VBA

Valeurs modifiées par VBA

Active : L’écriture de la valeur prescrite de cette variable via une macro VBA est consignée dans la liste d’événements.
inactive : l’écriture de la valeur prescrite de cette variable via une macro VBA n’est pas consignée.
Par défaut : Active

Remarque : pour les variables configurées sous forme de variables de commande dans la passerelle de procédé IEC870, chaque commande est consignée sous la forme Spécifier valeur prescrite via l’interface COM dans la liste CEL, si la propriété est activée.

Plus de détails dans l’aide en ligne.

VT_BSTR

VisualName

Nom visuel

Saisie d’un nom d’affichage de la variable dans zenon Analyzer. Celui-ci doit être unique dans le projet, mais ceci n’est pas vérifié dans zenon. Cette vérification est effectuée lors de l’importation dans zenon Analyzer.

Cette propriété fournit des informations qui sont utilisées pour la configuration de rapports dans zenon Analyzer. L’exportation des données de zenon vers zenon Analyzer est effectuée à l’aide de l’assistant Analyzer Export Wizard.

Attention : Si cette propriété est modifiée après la première exportation vers zenon Analyzer, ces modifications ne sont appliquées dans zenon Analyzer.

Plus de détails dans l’aide en ligne.

VT_BSTR

Meaning

Signification

Cette propriété fournit des informations qui sont utilisées par la fonction de configuration de rapports dans zenon Analyzer.
Les données peuvent être définies manuellement ou à l’aide de l’assistant Meaning and Waterfall Chart Wizard. L’exportation des données de zenon vers zenon Analyzer est effectuée à l’aide de l’assistant Analyzer Export Wizard.

Saisie de la signification (meaning) d’une variable dans zenon Analyzer. Plusieurs significations doivent être séparées par une virgule.
Syntaxe : [signification1],[signification2],…,[significationN]

Plus de détails dans l’aide en ligne.

VT_BSTR

WaterfallParam

Paramètre pour le waterfall diagram

Cette propriété fournit des informations qui sont utilisées par la fonction de configuration de rapports dans zenon Analyzer.
Les données peuvent être définies manuellement ou à l’aide de l’assistant Meaning and Waterfall Chart Wizard. L’exportation des données de zenon vers zenon Analyzer est effectuée à l’aide de l’assistant Analyzer Export Wizard.

Paramètres d’une variable pour un diagramme en cascade dans zenon Analyzer. Les entrées peuvent être créées pour les rapports par ligne ou les rapports par machine. Lors de l’exportation, en fonction de la structure des entrées, une décision est prise pour déterminer s’il s’agit d’entrées correspondant à des diagrammes par machine ou par ligne.

Les paramètres individuels doivent être séparés par une virgule. Plusieurs cascades doivent être séparées par un poing-virgule.
Syntaxe, par machine : [nom modèle],[indice de ligne],[indice de colonne],[code de couleur];
Syntaxe, par ligne : [nom du modèle],[indice de ligne],[indice de colonne],[code de couleur],[perte de machine auxiliaire],[ajout de perte de machine auxiliaire],[soustraction de perte de machine auxiliaire];

Plus de détails dans l’aide en ligne.

VT_BOOL

Use_in_ProcRec

Activer l'enregistrement

Active/désactive la variable ou le type de données enregistré dans le module Process Recorder.
La sélection multiple de variables est possible.

  • Active :
    Les changements de valeur de la variable sont enregistrés dans le module Process Recorder.
    Attention : Assurez-vous que l’activation générale de l’enregistrement a été configurée dans la propriété Activer Process Recorder.
  • Inactive :
    Les changements de valeur de la variable ne sont pas enregistrés dans le module Process Recorder.

Par défaut : les paramètres configurés sont appliqués pour le type de données utilisé.

Plus de détails dans l’aide en ligne.


Internal variable RT

Manuel -> Interfaces de programmation -> Modèles d'objet -> Variable -> Variable-Dynamic properties -> Internal variable RT

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Type

VBA/VSTA Name

Display Name

Description

VT_BOOL

Local

Calcul

Local : Pour les projets en réseau, la variable interne est évaluée gérée localement sur chaque poste.
Ceci signifie que la valeur de la variable peut être différente sur chaque client et les valeurs limites sont gérées localement.
Réseau : Pour les projets en réseau, les variables internes sont évaluées et gérées sur le serveur du projet. Elle a la même valeur partout sur le réseau (sur le serveur et les clients).
Par défaut : local.

Plus de détails dans l’aide en ligne.

VT_UI1

Remanenz

Rémanence

Désactivée : Lors du démarrage du Runtime, la valeur de remplacement de la variable ou une chaîne (pour les variables chaîne) est utilisée comme valeur actuelle.
Valeur initiale : La valeur actuelle est la valeur saisie dans la propriété "Valeur initiale".
Rémanentes : La dernière valeur de la variable est utilisée comme valeur actuelle lors du redémarrage du Runtime.
Par défaut : off.

Plus de détails dans l’aide en ligne.

VT_BSTR

Initial_value

Valeur initiale

La valeur définie ici est utilisée en tant que valeur actuelle de la variable au démarrage du Runtime, si la propriété Rémanence est définie sur Valeur initiale.
Remarque : Les points et les virgules peuvent être utilisés en tant que séparateurs décimaux. Au niveau interne, la valeur est toujours convertie en nombre avec un point en guise de séparateur.

Plus de détails dans l’aide en ligne.

VT_VARIANT

Value

Value

VT_VARIANT

UserValue

UserValue

VT_UI8

StatusValue

StatusValue

This property returns the status of a variable as a value.

VT_BSTR

StatusString

StatusString

This property returns the status of a variable.

ZT_DATETIME

LastUpdateTime

LastUpdateTimeMilliSeconds

This property returns the update time in milliseconds.

VT_UI2

LastUpdateTimeMilliSeconds

LastUpdateTimeMilliSeconds

This property returns the update time in milliseconds.

More...

Limits

Valeurs limite

Propriétés définissant le traitement des valeurs limites ou le traitement des alarmes pour la variable.

Les propriétés de ce groupe sont uniquement disponibles si vous avez activé la propriété Matrice de réaction active.

Plus de détails dans l’aide en ligne.

VT_UI4

ID_ComplexVariable

ID_ComplexVariable

With this property you have the opportunity to get/set the ID of a variable from a structure element. This ID is 0 when the variable has no structure datatype.

VT_BSTR

Name

Nom

Nom unique de la variable. Les considérations suivantes s’appliquent lors de la définition du nom :

  • Longueur maximale : 128 caractères
  • Caractères non autorisés : # et @

Remarque : pour les drivers utilisant la connexion à zenon Logic, vous devez définir un préfixe. Pour plus de détails, reportez-vous au chapitre Création de variables O et M dans zenon Logic dans le manuel.
Toute modification du nom de la variable doit également être effectuée dans l’environnement de programmation (VBA, VSTA).

Attention : Cette propriété n’est pas disponible aux fins de la commutation de langue.

Plus de détails dans l’aide en ligne.

VT_BSTR

Tagname

Identification

Chaîne libre utilisée pour l’identification de la variable ou du type de données.
Remarque : Puisque la langue du nom de la variable (propriété Nom) ne peut pas être modifiée, cette propriété peut être utilisée pour le changement de langue en ligne.

Longueur maximale : 128 caractères

Plus de détails dans l’aide en ligne.

VT_BSTR

Unit

Unité de mesure

Unité technique de la variable devant être affichée dans le Runtime. Si vous avez déjà créé des unités de mesure dans le module d’unités de base, celles-ci sont disponibles dans une liste déroulante.
Maximum : 50 caractères.
Par défaut : vide

Plus de détails dans l’aide en ligne.

VT_R8

AlternateValue

Archivfüllwert

Cette valeur est utilisée pour renseigner les archives cycliques. En présence d’intervalles durant lesquels aucune connexion au matériel n’a été établie, cette valeur est utilisée tant qu’aucune valeur n’est transférée depuis l’équipement. Dans le cas contraire, la dernière valeur valide utilisée est utilisée aux fins du renseignement.

Plus de détails dans l’aide en ligne.

VT_BSTR

AlternateValueString

Valeur chaîne pour le remplissage des archives

Cette valeur est utilisée pour les variables de chaîne, afin de renseigner les archives cycliques.
En présence d’intervalles, dans les archives cycliques, durant lesquels aucune connexion au matériel n’a été établie, cette Valeur chaîne pour le remplissage des archives est utilisée tant qu’aucune valeur n’est transférée depuis l’équipement. Dans le cas contraire, la dernière valeur valide est utilisée pour le renseignement.

Longueur maximale : 128 caractères

Attention : Cette propriété n’est pas disponible aux fins de la commutation de langue.

Plus de détails dans l’aide en ligne.

VT_BSTR

Recourceslabel

Description externe

Chaîne au choix.
N'est pas utilisé au niveau interne dans zenon, mais est disponible lors de l’exportation de valeurs pour autoriser l’attribution des valeurs exportées pour les systèmes de gestion tels qu’ERP.

Longueur maximale : 255 caractères

Plus de détails dans l’aide en ligne.

VT_UI4

NetAddr

Adresse réseau

Adresse de bus ou Adresse réseau de la variable.

  • Minimum : 0
  • Maximum : 4294967295

Par défaut : 0

Plus de détails dans l’aide en ligne.

VT_UI4

DataBlock

Bloc de données

Numéro de bloc de données.
Minimum : 0.
Maximum : 4294967295
Par défaut : 0.

Plus de détails dans l’aide en ligne.

VT_UI4

Offset

Offset

Décalage de la variable.
Pour les contrôleurs à adressage linéaire : plage de mémoire.
Pour les contrôleurs à résolution de nom : adresse d’attribution.
Minimum : 0.
Maximum : 4294967295
Par défaut : 0.

Plus de détails dans l’aide en ligne.

VT_UI2

BitAddr

Numéro de bit

Numéro du bit dans le décalage configuré.
Minimum : 0.
Maximum : 65535
Par défaut : 0.

Plus de détails dans l’aide en ligne.

VT_UI2

Alignment

Alignement

Ceci dépend de la granularité du type d’objet du driver et de la position de la variable conformément au décalage défini.

Pour les variables de type Octet :
Octet poids fort : octet de poids fort dans le décalage de mot.
Octet poids faible : Otet de poids faible dans le décalage de mot.
HiWord-HiByte octet de poids fort dans le mot fort dans le décalage de double mot.
HiWord-LoByte (Mot poids fort-Octet poids faible) octet de poids faible dans le mot fort dans le décalage de double mot.
Mot poids faible-Octet poids fort : octet de poids fort dans le mot faible dans le décalage de double mot.
Mot poids faible-Octet poids faible : octet de poids faible dans le mot faible dans le décalage de double mot.

Pour les variables de mot :
Mot poids fort : mot fort dans le décalage de double mot.
Mot poids faible : Mot poids faible dans le décalage de double mot.

Plus de détails dans l’aide en ligne.

VT_UI2

StringLength

Longueur de la chaîne

Disponible uniquement pour les variables de type chaîne.
Nombre maximum de caractères que peut accepter une variable.
Minimum : 1 caractère
Si la valeur non autorisée 0 est saisie, la dernière valeur configurée valide est automatiquement utilisée. Si aucune valeur valide n’a été configurée, l’entrée est remplacée par la valeur par défaut.
Maximum : 65535 caractères.
Par défaut : 5 caractères

Remarque : la valeur par défaut est 65 535 pour les variables système avec le type de données String.

Plus de détails dans l’aide en ligne.

VT_BSTR

SymbAddr

Adresse symbolique

Séquence de caractères pour l’adressage symbolique des variables.

Longueur maximale : 1024 caractères.

Remarque : L’adresse symbolique n’est pas prise en charge par tous les drivers.
Lors de l’importation des variables dans des drivers compatibles avec l’adressage symbolique, la propriété est saisie automatiquement.

Plus de détails dans l’aide en ligne.

VT_UI4

Driver

Drivers

VT_UI4

ID_DataTyp

Type de données

Type de donnée pour la variable. Sélectionné durant la création de la variable ; peut être modifié ici ultérieurement.
Remarque : Pour les variables de structure, le type de données ne peut plus être modifié après la création des variables.
Attention : Si vous modifiez le type de données ultérieurement, toutes les autres propriétés de la variable doivent être vérifiées et ajustées, si nécessaire.

Plus de détails dans l’aide en ligne.

VT_UI4

ID_DriverTyp

Type d'objet driver

Selon le driver utilisé, un type d’objet est sélectionné durant la création de la variable et peut être modifié ici ultérieurement.
Siemens : bloc de données, marqueur, entrée/sortie.
Modbus : Coil et Holding Register.

Plus de détails dans l’aide en ligne.

VT_UI1

UpdatePriority

Priorité

Si l’heure de mise à jour globale spécifiée dans la configuration du driver n’est pas utilisée, la fréquence des mises à jour correspondant aux différents niveaux de priorité peut être définie ici. Dans cette propriété, une priorité est attribuée à une variable.

Plus de détails dans l’aide en ligne.

VT_BOOL

Standby

Lire uniquement sur le serveur redondant

Active : La valeur de la variable provenant du serveur redondant est affichée.
Inactive : La valeur de la variable provenant du serveur est affichée.
(drivers matériels uniquement)

Plus de détails dans l’aide en ligne.

VT_UI2

Digits

Nombre de décimales

Nombre de décimales des valeurs de variables utilisées lors de l’affichage dans le système de contrôle.
Minimum : 0
Maximum : 10
Par défaut : 0

Plus de détails dans l’aide en ligne.

VT_R8

SignalMin

Signal min.

Valeur minimum de la variable dans l’automate.
À moins d’être définie différemment dans la propriété Ajustement non-linéaire, la valeur brute des variables (résolution du signal) sera toujours convertie au format de la plage de mesure sur une base linéaire (pour une utilisation dans le système de contrôle). Toutes les autres entrées de valeurs numériques spécifiques à la variable dans Editor et dans le Runtime seront liées à la plage de mesures (par ex. définition des valeurs limites, limites des valeurs prescrites, zone de représentation, entrées de valeurs prescrites, etc.).

Plus de détails dans l’aide en ligne.

VT_R8

SignalMax

Signal max.

Valeur maximum de la variable dans l’automate. À moins d’être définie différemment dans la propriété Ajustement non-linéaire, la valeur brute des variables (résolution du signal) sera toujours convertie au format de la plage de mesure sur une base linéaire (pour une utilisation dans le système de contrôle). Toutes les autres entrées de valeurs numériques spécifiques à la variable dans Editor et dans le Runtime seront liées à la plage de mesures (par ex. définition des valeurs limites, limites des valeurs prescrites, zone de représentation, entrées de valeurs prescrites, etc.).

Plus de détails dans l’aide en ligne.

VT_R8

RangeMin

Plage de mesure min.

Valeur minimum des variables dans zenon.
À moins d’être définie différemment dans la propriété Ajustement non-linéaire, la valeur brute des variables (résolution du signal) sera toujours convertie au format de la plage de mesure sur une base linéaire (pour une utilisation dans le système de contrôle). Toutes les autres entrées de valeurs numériques spécifiques à la variable dans Editor et dans le Runtime seront liées à la plage de mesures (par ex. définition des valeurs limites, limites des valeurs prescrites, zone de représentation, entrées de valeurs prescrites, etc.).

Plus de détails dans l’aide en ligne.

VT_R8

RangeMax

Plage de mesure max.

Valeur maximum des variables dans zenon.
À moins d’être définie différemment dans la propriété Ajustement non-linéaire, la valeur brute des variables (résolution du signal) sera toujours convertie au format de la plage de mesure sur une base linéaire (pour une utilisation dans le système de contrôle). Toutes les autres entrées de valeurs numériques spécifiques à la variable dans Editor et dans le Runtime seront liées à la plage de mesures (par ex. définition des valeurs limites, limites des valeurs prescrites, zone de représentation, entrées de valeurs prescrites, etc.).

Plus de détails dans l’aide en ligne.

VT_BOOL

UseMacro

Ajustement non-linéaire avec macros

L’ajustement de valeurs non linéaires est utilisé pour les variables dont la valeur originale (automate) ne peut pas être ajustée de manière linéaire en fonction de la valeur mesurée (système de contrôle).

  • Active : Les valeurs brutes sont ajustées en fonction de zenon, sur une base non linéaire, avec des macros VBA.
  • Inactive : Les valeurs brutes sont ajustées en fonction de zenon.

Remarque : Lors de l’activation de la propriété, les propriétés AdjustHardwareValue et AdjustScadaValue doivent également être configurées. La propriété AdjustHardwareValue doit alors être configurée à l’inverse de la propriété AdjustScadaValue, sous forme de fonction inverse.

Par défaut : Inactive

Plus de détails dans l’aide en ligne.

ZT_VBAMAKRO

AdjustHardware

AdjustHardwareValue

Disponible uniquement si la propriété Ajustement non-linéaire avec macros est active.

Macro appelée à chaque modification de la valeur brute dans l’automate, et qui modifie la valeur dans zenon. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de macros.
Plus de détails dans l’aide en ligne.

ZT_VBAMAKRO

AdjustZenon

AdjustScadaValue

Disponible uniquement si la propriété Ajustement non-linéaire avec macros est active.

La macro est appelée lors de l’écriture d’une valeur depuis zenon et modifie la valeur brute sur l’automate. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de macros.
Plus de détails dans l’aide en ligne.

VT_R8

HystNeg

Négatif pour le signal

Hystérésis des valeurs limites définies en fonction de la plage du signal.

Plage d’hystérésis pour l’entrée en cas de changement de valeur avec diminution. Les valeurs sont uniquement interprétées comme des dépassements de valeur limite si la valeur changeante est inférieure à la plage d’hystérésis définie ici.
Par défaut : 0 (pas d’hystérésis)

Plus de détails dans l’aide en ligne.

VT_R8

HystPos

Positif pour le signal

Hystérésis des valeurs limites définies en fonction de la plage du signal.

Plage d’hystérésis pour l’entrée en cas de changement de valeur avec augmentation. Les valeurs sont uniquement interprétées comme des dépassements de valeur limite si la valeur changeante est supérieure à la plage d’hystérésis définie ici.
Par défaut : 0 (pas d’hystérésis)

Plus de détails dans l’aide en ligne.

VT_R8

ArchHystNeg

Négatif pour l'archive

Hystérésis d’archivage en cas de changement appliquée à la plage de mesure.

Plage d’hystérésis pour l’entrée en cas de changement de valeur avec diminution. Les valeurs sont uniquement saisies dans l’archive si la valeur changeante est inférieure à la plage d’hystérésis définie ici.
Par défaut : 0 (pas d’hystérésis)

Plus de détails dans l’aide en ligne.

VT_R8

ArchHystPos

Positif pour l'archive

Hystérésis d’archivage en cas de changement appliquée à la plage de mesure.

Plage d’hystérésis pour l’entrée en cas de changement de valeur avec augmentation. Les valeurs sont uniquement saisies dans l’archive si la valeur changeante est supérieure à la plage d’hystérésis définie ici.
Par défaut : 0 (pas d’hystérésis)

Plus de détails dans l’aide en ligne.

VT_BOOL

DDEActive

Variable lue en permanence

Paramètre de lecture de la variable et de sa disponibilité via DDE dans le Runtime :

  • Active : La variable est toujours connectée au driver. Cela signifie qu’elle est continuellement lue par le driver, même si elle n’est pas nécessaire dans le projet à cet instant précis. Le driver connaît ainsi toujours les valeurs actuelles et l’état actuel des variables et peut les fournir immédiatement, si nécessaire. La variable est également disponible pour les autres applications Windows (par exemple, Excel, Visual Basic, etc.). Les applications Windows possédant une fonctionnalité de client DDE peuvent ainsi utiliser les valeurs de la variable.
    Temps d’actualisation : 0,5 s
    L'activation de cette option offre par exemple l’avantage de basculer plus rapidement les valeurs de variables dans la fonction Ecriture valeur prescrite ou dans l’élément Appel de synoptique, car il n’est pas nécessaire d’interroger spécialement la variable avant la commutation. L’inconvénient est une augmentation de la charge des communications au niveau du contrôleur.
  • Inactive : La variable n’est pas interrogée en permanence par le driver, mais uniquement en cas de demande de valeurs ou d’états dans le Runtime. Elle n’est donc pas disponible dans les autres applications Windows via DDE.

Par défaut : Inactive

Plus de détails dans l’aide en ligne.

VT_UI4

ArraySizeOld

Dimension tableau

Définition de la taille de l’ensemble de blocs. La taille définie est lue ou écrite par le driver durant une demande de lecture/d’écriture. Ceci permet de garantir la cohérence des données dans le texte. Les données peuvent uniquement être modifiées dans le module Recipegroup Manager ou via l’interface de programmation.
Attention : peut être défini au niveau du driver interne, toutefois sans fonction dans le Runtime (valeur toujours égale à 0).

Plus de détails dans l’aide en ligne.

VT_UI4

CounterGroup

Groupe de compteur

Disponible uniquement dans SICAM 230.

VT_UI4

MaxGradient

Gradient maximum

Disponible uniquement dans SICAM 230.

VT_BOOL

NormalStateActive

Actif

Permet de définir un état normal pour les variables et les types de données du type BOOL, UINT et WORD pour tous les drivers.

Active : Un état normal peut être défini.

Par défaut : Inactive

Plus de détails dans l’aide en ligne.

VT_BOOL

NormalState

Valeur normale

Dans la liste déroulante, choisissez si la valeur normale de cette variable ou ce type de données doit être On (Active) ou Off (Inactive). Disponible pour les variables et les types de données du type BOOL, UINT et WORD pour tous les drivers.

Par défaut : Off

Plus de détails dans l’aide en ligne.

ZT_VARIABLE

AlarmPV0

Variable d'alarme 1

Disponible uniquement dans SICAM 230.
Première variable pour la gestion d’alarmes de synoptiques.

Plus de détails dans l’aide en ligne.

ZT_VARIABLE

AlarmPV1

Variable d'alarme 2

Disponible uniquement dans SICAM 230.
Deuxième variable pour la gestion d’alarmes de synoptiques.

Plus de détails dans l’aide en ligne.

ZT_VARIABLE

AlarmPV2

Variable d'alarme 3

Disponible uniquement dans SICAM 230.
Troisième variable pour la gestion d’alarmes de synoptiques.

Plus de détails dans l’aide en ligne.

VT_BOOL

HDActive

Stockage de données sur disque dur actif

Active : les valeurs de variables sont enregistrées sur le disque dur (enregistrement circulaire) pour être évaluées dans l’élément dynamique "Élément de tendance" ou pour l’exportation/l’importation des valeurs.

Inactive : aucune valeur de variable n’est enregistrée.

Par défaut : inactive

Les données de disque dur nécessitent 24 octets d’espace de stockage par valeur, indépendamment du type de variable. Outre la valeur, les informations suivantes sont enregistrées :
- Heure d’exécution de la mesure.
- Millisecondes lors de la lecture de la valeur.
- Modification de l’état de la valeur en fonction des éléments.
- Compteur pour l’identification unique de la valeur (driver événementiel).

Remarque : Le stockage de données est également activé lors d’un appel de synoptique de type Extended Trend si des données en ligne sont analysées.
Les variables de type chaîne ne sont pas prises en charge par la fonction de stockage de données sur le disque dur.

Attention : si l’option d’enregistrement sur disque dur est activée pour un trop grand nombre de variables, en présence d’un trop grand nombre de valeurs, les performances du Runtime peuvent être altérées.

Plus de détails dans l’aide en ligne.

VT_R4

HDUpdate

Temps de cycle [s]

Disponible uniquement si la propriété Stockage de données sur disque dur actif est active :
Durée de l’intervalle [en secondes] de conservation des valeurs en ligne sur le disque dur (mémoire circulaire) pour l’analyse dans l’élément dynamique Tendance, pour les données en ligne dans le module Extended Trend ou pour l’exportation/l’importation de valeurs.

Plus de détails dans l’aide en ligne.

VT_UI4

HDSize

Nombre de valeurs

Valeur correspondant à l’intervalle de conservation des valeurs en ligne sur le disque dur (mémoire circulaire) pour l’analyse dans l’élément dynamique Tendance, pour les données en ligne dans le module Extended Trend ou pour l’exportation/l’importation de valeurs.

Attention : si l’option d’enregistrement sur disque dur est activée pour un trop grand nombre de variables, en présence d’un trop grand nombre de valeurs, les performances du Runtime peuvent être altérées.

Plus de détails dans l’aide en ligne.

VT_BOOL

IsKDAActiv

Type d'enregistrement

Disponible uniquement si la propriété Stockage de données sur disque dur actif est active :
Données de disque dur (cyclique) : Écriture cyclique des valeurs sur le disque dur.
Valeurs retriées (RDA) : Les valeurs sont écrites bloc par bloc sur le disque dur par le driver. (Fonction adaptée à l’analyse rétrospective des erreurs au niveau du système de contrôle.)

Plus de détails dans l’aide en ligne.

VT_BOOL

ExternVisible

Visible extérieurement pour

Disponible uniquement si la propriété Visible par d'autres programmes est active.

Spécifiez expressément les projets de zenon Logic pour lesquels la variable doit être visible. Si vous laissez le champ de saisie vide, la variable est visible pour tous les projets zenon Logic. Vous pouvez également saisir des projets zenon Logic de manière expresse. Séparez les noms des projets individuels par un point-virgule (";"). Vous pouvez utiliser les opérateurs. Par exemple, P1* signifie tous les projets zenon Logic commençant par P1. (Remarque : les opérateurs sont uniquement autorisés sous forme de préfixe ou de suffixe, par exemple, *xxx ou xxx*.

Le nombre de caractères est limité à 64.

Par défaut : -

Plus de détails dans l’aide en ligne.

VT_BSTR

ExternVisibleFor

Visible extérieurement pour

Disponible uniquement si la propriété Visible par d'autres programmes est active.

Spécifiez expressément les projets de zenon Logic pour lesquels la variable doit être visible. Si vous laissez le champ de saisie vide, la variable est visible pour tous les projets zenon Logic. Vous pouvez également saisir des projets zenon Logic de manière expresse. Séparez les noms des projets individuels par un point-virgule (";"). Vous pouvez utiliser les opérateurs. Par exemple, P1* signifie tous les projets zenon Logic commençant par P1. (Remarque : les opérateurs sont uniquement autorisés sous forme de préfixe ou de suffixe, par exemple, *xxx ou xxx*.

Le nombre de caractères est limité à 64.

Par défaut : -

Plus de détails dans l’aide en ligne.

VT_BOOL

ReadWrite

Ecriture/lecture externe

Propriété externe pour zenon Logic. Affecte uniquement les variables qui ne forment pas partie du driver straton.
Active : la valeur de la variable ne peut pas être modifiée dans zenon Logic. La définition de la variable ne peut pas être modifiée dans zenon Logic.
Inactive : la variable ne peut pas être modifiée dans zenon Logic.
Par défaut : active.

Plus de détails dans l’aide en ligne.

VT_BSTR

InitialValue

Valeur initiale externe

Propriété externe pour zenon Logic. Affecte uniquement les variables qui ne forment pas partie du driver straton.
Valeur initiale de la variable dans zenon Logic durant une reprise graduelle ou une reprise intermédiaire.
La saisie autorisée ici dépend du type de données de la variable. Par exemple, vous pouvez uniquement utiliser des valeurs sans décimales pour les variables entières. Pour les variables à virgule flottante, un point doit être utilisé en tant que séparateur décimal ; les virgules ne peuvent pas être utilisées.
Le système de contrôle ne vérifie pas la validité de cette saisie. Ceci peut générer un message d’erreur dans zenon Logic.

Attention : lors de l’utilisation de variables du driver interne, cette propriété doit posséder la même valeur que la valeur initiale dans les paramètres des variables internes.

Plus de détails dans l’aide en ligne.

VT_BSTR

Profilename

Nom profil externe

Propriété externe pour zenon Logic. Affecte uniquement les variables qui ne forment pas partie du driver straton.
Nom du profil défini dans zenon Logic (par ex. STRATON, ProfDP).

Cette propriété est uniquement affichée pour information. Édition dans zenon Logic uniquement.

Plus de détails dans l’aide en ligne.

VT_BSTR

Adressparam

Paramètre externe d'adresse

Propriété externe pour zenon Logic. Affecte uniquement les variables qui ne sont pas des variables du driver straton.
Propriétés de profil dans zenon Logic (par ex. "intégré" ou paramètres d’adressage de Profibus).

Cette propriété est uniquement affichée pour information. Édition dans zenon Logic uniquement.

Plus de détails dans l’aide en ligne.

VT_BSTR

Vargroup

Groupe de variables externe

Propriété externe pour zenon Logic. Affecte uniquement les variables qui ne sont pas des variables du driver straton32.
Groupes de variables dans zenon Logic ("Global" ou "Retain" ou vides).

Cette propriété est uniquement affichée pour information. Édition dans zenon Logic uniquement.

Plus de détails dans l’aide en ligne.

VT_BOOL

IsRemaActiv

Matrice de réaction active

Active : Une matrice de réaction est utilisée à la place des valeurs de limite.
Inactive : Les valeurs peuvent être définies pour la variable.
Par défaut : inactive.

Plus de détails dans l’aide en ligne.

ZT_REMA

Rema

Matrice de réaction

Propriétés d’utilisation d’une matrice de réaction pour la variable.

Plus de détails dans l’aide en ligne.

ZT_VARIABLE

AlarmQuitPV

Valeur d'acquittement

Si une alarme de cette variable est acquittée visuellement, la variable sélectionnée sous Variable d'acquittement visuel ou Variable d'acquittement est définie sur cette valeur.

Sélection de 0 ou 1.

Plus de détails dans l’aide en ligne.

ZT_VARIABLE

AlarmViewQuitPV

Variable d'acquittement visuel

Si une alarme de la variable de contrôle est acquittée visuellement, la valeur de la variable d’acquittement visuel est définie sur la valeur définie par Valeur d'acquittement.

Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de variables binaires.

Plus de détails dans l’aide en ligne.

VT_UI4

AlarmQuitPVValue

Valeur d'acquittement

Si une alarme de cette variable est acquittée visuellement, la variable sélectionnée sous Variable d'acquittement visuel ou Variable d'acquittement est définie sur cette valeur.

Sélection de 0 ou 1.

Plus de détails dans l’aide en ligne.

VT_BOOL

VarInASM

Enregistrer dans la base IPA

Active : les alarmes de cette variable sont disponibles pour analyse dans le module Industrial Performance Analyzer (IPA).
Inactive : les alarmes de cette variable ne sont prises en compte lors de l’analyse dans le module Industrial Performance Analyzer (IPA).
Par défaut : Inactive

Attention : le module Industrial Performance Analyzer est un module optionnel, qui doit comporter une licence valide pour pouvoir être utilisé ici.

Plus de détails dans l’aide en ligne.

VT_BOOL

AlarmViaEquipmentModel

Utiliser la gestion d'alarmes hiérarchiques du modèle d'équipement

Type d’attribution de la variable à un domaine d’alarmes.

  • Active :
    Le domaine d’alarmes de la variable est transféré par le modèle d’équipement. L’alarme de la variable est applicable aux domaines d’alarmes définis dans le modèle d’équipement. Dans ce cas, le groupe d’équipements de la variable et le groupe d’équipements de niveau supérieur du modèle d’équipement sont pris en compte.
  • Inactive :
    L'alarme sur la variable est applicable aux domaines d’alarmes 1 à 4 de la gestion d’alarmes.

Remarque : Si cette propriété est activée pour un type de données, les paramètres de toutes les variables issues de celle-ci sont transférés.

Plus de détails dans l’aide en ligne.

ZT_BSTR_REF

AreaName

AreaName

Description as text.

ZT_BSTR_REF

AreaName2

AreaName2

Description as text.

ZT_BSTR_REF

AreaName3

AreaName3

Description as text.

ZT_BSTR_REF

AreaName4

AreaName4

Description as text.

VT_BOOL

InOut

Ecrire valeur prescrite

Active : cette variable est libérée pour l’action Spécifier valeur prescrite.
Inactive : cette variable est protégée en écriture.
Par défaut : Active

Plus de détails dans l’aide en ligne.

VT_BOOL

SBO

Select Before Operate

Attention : Cette fonctionnalité est uniquement compatible avec les drivers IEC870 et IEC850, et uniquement disponible si vous avez sélectionné l’option Commande commutation pour la propriété de type d’action dans Gestion des commandes, et l’action est mise en œuvre sous forme d’action à deux étapes. N’utilisez pas cette fonction pour le driver DNP3_NG ; Auto-SBO peut être configuré directement pour la variable, dans ce cas.

Active : Avant que la valeur de la variable ne soit écrite dans le matériel, zenon vérifie, pendant la première phase de la commande de commutation, si la variable dans l’équipement est prête pour cette action (Select before Operate (SBO)).
Attention : Pour les commandes impulsion, la réinitialisation automatique des valeurs des variables n’est pas effectuée dans l’intervalle de temps défini dans la propriété de délai de front.

Si la propriété SBO a été activée pour la variable d’action, une commande d’impulsion se comporte de la même manière qu’une commande de commutation.

Inactive : La valeur de la variable est transférée vers le driver sans vérification préalable.

Remarque : dans un driver IEC870, cela signifie une instruction Direct execute. Le driver IEC850 peut toutefois déclencher automatiquement une instruction Select before Operate , en raison du Control Model.
Par défaut : Inactive :
Plus de détails dans l’aide en ligne.

VT_BOOL

CancelOperate

Annuler 'Operate'

Si cette propriété est activée, il est possible d’envoyer une commande Cancel après une commande Operate lors de la gestion des commandes.

Remarque : Cette propriété est uniquement dans la version Energy Edition.

Par défaut : Inactive

Plus de détails dans l’aide en ligne.

VT_R8

ValueMin

Valeur prescrite min.

La valeur minimum définie ici pour le paramètre Écrire valeur prescrite peut être acceptée par le biais d’éléments dynamiques, plutôt que par la configuration séparée de ces derniers.
Ceci est surtout recommandé si la plage de la mesure est susceptible de varier ultérieurement, car ces modifications peuvent être effectuées une fois ici, au lieu d’être modifiées séparément dans chaque élément.

Plus de détails dans l’aide en ligne.

VT_R8

ValueMax

Valeur prescrite max.

La valeur maximum définie ici pour le paramètre Écrire valeur prescrite peut être acceptée par le biais d’éléments dynamiques, plutôt que par la configuration séparée de ces derniers.
Ceci est surtout recommandé si la plage de la mesure est susceptible de varier ultérieurement, car ces modifications peuvent être effectuées une fois ici, au lieu d’être modifiées séparément dans chaque élément.

Plus de détails dans l’aide en ligne.

VT_BSTR

LockingName

LockingName

"With this property you have the opportunity to assign an interlocking via its name.
zElement.DynProperties(""LockingName"") = ""Interlocking 1"""

VT_UI1

SetValueProtocol

Enregistrement (fichier journal)

Définit la manière dont l’écriture de la valeur prescrite sera consignée dans la liste CEL.

  • Tout : Toutes les actions Écrire valeur prescrite de cette variable exécutées via des éléments dynamiques et les fonctions Écrire valeur prescrite sont consignées dans la liste d’événements. (CEL)
  • Rien : aucune action Spécifier valeur prescrite n’est consignée dans la liste CEL.
  • Seulement sur élément dynamique : Seules les actions Écrire valeur prescrite exécutées via les éléments dynamiques sont consignées dans la liste CEL.

Par défaut : Uniquement les éléments dynamiques :

Plus de détails dans l’aide en ligne.

VT_BOOL

SV_Act

Ancienne et nouvelle valeur
  • Active : en cas de modification de la valeur prescrite de cette variable, les valeurs ancienne et nouvelle sont consignées dans la liste d’événements (CEL).
  • Inactive : Seule la nouvelle valeur est consignée.

Par défaut : Inactive

Recommandation : Activez la propriété Variable lue en permanence. Ceci permet de garantir que la valeur est toujours disponible, et qu’il n’est pas nécessaire de l’interroger spécialement.

Plus de détails dans l’aide en ligne.

VT_BOOL

SV_VBA

Valeurs modifiées par VBA

Active : L’écriture de la valeur prescrite de cette variable via une macro VBA est consignée dans la liste d’événements.
inactive : l’écriture de la valeur prescrite de cette variable via une macro VBA n’est pas consignée.
Par défaut : Active

Remarque : pour les variables configurées sous forme de variables de commande dans la passerelle de procédé IEC870, chaque commande est consignée sous la forme Spécifier valeur prescrite via l’interface COM dans la liste CEL, si la propriété est activée.

Plus de détails dans l’aide en ligne.

VT_BSTR

VisualName

Nom visuel

Saisie d’un nom d’affichage de la variable dans zenon Analyzer. Celui-ci doit être unique dans le projet, mais ceci n’est pas vérifié dans zenon. Cette vérification est effectuée lors de l’importation dans zenon Analyzer.

Cette propriété fournit des informations qui sont utilisées pour la configuration de rapports dans zenon Analyzer. L’exportation des données de zenon vers zenon Analyzer est effectuée à l’aide de l’assistant Analyzer Export Wizard.

Attention : Si cette propriété est modifiée après la première exportation vers zenon Analyzer, ces modifications ne sont appliquées dans zenon Analyzer.

Plus de détails dans l’aide en ligne.

VT_BSTR

Meaning

Signification

Cette propriété fournit des informations qui sont utilisées par la fonction de configuration de rapports dans zenon Analyzer.
Les données peuvent être définies manuellement ou à l’aide de l’assistant Meaning and Waterfall Chart Wizard. L’exportation des données de zenon vers zenon Analyzer est effectuée à l’aide de l’assistant Analyzer Export Wizard.

Saisie de la signification (meaning) d’une variable dans zenon Analyzer. Plusieurs significations doivent être séparées par une virgule.
Syntaxe : [signification1],[signification2],…,[significationN]

Plus de détails dans l’aide en ligne.

VT_BSTR

WaterfallParam

Paramètre pour le waterfall diagram

Cette propriété fournit des informations qui sont utilisées par la fonction de configuration de rapports dans zenon Analyzer.
Les données peuvent être définies manuellement ou à l’aide de l’assistant Meaning and Waterfall Chart Wizard. L’exportation des données de zenon vers zenon Analyzer est effectuée à l’aide de l’assistant Analyzer Export Wizard.

Paramètres d’une variable pour un diagramme en cascade dans zenon Analyzer. Les entrées peuvent être créées pour les rapports par ligne ou les rapports par machine. Lors de l’exportation, en fonction de la structure des entrées, une décision est prise pour déterminer s’il s’agit d’entrées correspondant à des diagrammes par machine ou par ligne.

Les paramètres individuels doivent être séparés par une virgule. Plusieurs cascades doivent être séparées par un poing-virgule.
Syntaxe, par machine : [nom modèle],[indice de ligne],[indice de colonne],[code de couleur];
Syntaxe, par ligne : [nom du modèle],[indice de ligne],[indice de colonne],[code de couleur],[perte de machine auxiliaire],[ajout de perte de machine auxiliaire],[soustraction de perte de machine auxiliaire];

Plus de détails dans l’aide en ligne.

VT_BOOL

Use_in_ProcRec

Activer l'enregistrement

Active/désactive la variable ou le type de données enregistré dans le module Process Recorder.
La sélection multiple de variables est possible.

  • Active :
    Les changements de valeur de la variable sont enregistrés dans le module Process Recorder.
    Attention : Assurez-vous que l’activation générale de l’enregistrement a été configurée dans la propriété Activer Process Recorder.
  • Inactive :
    Les changements de valeur de la variable ne sont pas enregistrés dans le module Process Recorder.

Par défaut : les paramètres configurés sont appliqués pour le type de données utilisé.

Plus de détails dans l’aide en ligne.


CKDNP1VarED

Manuel -> Interfaces de programmation -> Modèles d'objet -> Variable -> Variable-Dynamic properties -> CKDNP1VarED

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Type

VBA/VSTA Name

Display Name

Description

VT_UI2

Command_Mode

Command Mode

Description sous forme de texte.

VT_BOOL

IsLocalDigits

IsLocalDigits

"With this property you have the opportunity to decide whether the ""Decimals"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalSignalMin

IsLocalSignalMin

"With this property you have the opportunity to decide whether the ""Minimum signal resolution"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalSignalMax

IsLocalSignalMax

"With this property you have the opportunity to decide whether the ""Maximum signal resolution"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalRangeMin

IsLocalRangeMin

"With this property you have the opportunity to decide whether the ""Minimum measuring range"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalRangeMax

IsLocalRangeMax

"With this property you have the opportunity to decide whether the ""Maximum measuring range"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalAlternateValue

IsLocalAlternateValue

"With this property you have the opportunity to decide whether the ""Alternate value"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalValueMin

IsLocalValueMin

"With this property you have the opportunity to decide whether the ""Minimum set value"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalValueMax

IsLocalValueMax

"With this property you have the opportunity to decide whether the ""Maximum set value"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalUseMacro

IsLocalUseMacro

"With this property you have the opportunity to decide whether the ""Non linear value adjustment with macros"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalInOut

IsLocalInOut

"With this property you have the opportunity to decide whether the ""Setting values active"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalHystNeg

IsLocalHystNeg

"With this property you have the opportunity to decide whether the ""negative hysteresis"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalHystPos

IsLocalHystPos

"With this property you have the opportunity to decide whether the ""negative hysteresis"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalArchHystNeg

IsLocalArchHystNeg

VT_BOOL

IsLocalArchHystPos

IsLocalArchHystPos

VT_BOOL

IsLocalUpdatePriority

IsLocalUpdatePriority

"With this property you have the opportunity to decide whether the ""Priority of the driver connection"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalDDEaktiv

IsLocalDDEaktiv

"With this property you have the opportunity to decide whether the ""DDE active"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalStandby

IsLocalStandby

"With this property you have the opportunity to decide whether the ""Only read from standby"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalRemaActiv

IsLocalRemaActiv

"With this property you have the opportunity to decide whether the ""Reaction matrix active"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalRema

IsLocalRema

"With this property you have the opportunity to decide whether the ""Reaction matrix"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalHDActive

IsLocalHDActive

"With this property you have the opportunity to decide whether the ""HD active"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalHDUpdate

IsLocalHDUpdate

"With this property you have the opportunity to decide whether the ""HD scan rate"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalHDSize

IsLocalHDSize

"With this property you have the opportunity to decide whether the ""Number of HD values"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalKDAActiv

IsLocalKDAActiv

"With this property you have the opportunity to decide whether the ""Recording type"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalStingLength

IsLocalStingLength

"With this property you have the opportunity to decide whether the ""String length"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalQuitPV

IsLocalQuitPV

"With this property you have the opportunity to decide whether the ""Acknowledgement variable"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalViewQuitPV

IsLocalViewQuitPV

Description as text.

VT_BOOL

IsLocalQuitValue

IsLocalQuitValue

"With this property you have the opportunity to decide whether the ""Acknowledgement value"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalTagname

IsLocalTagname

"With this property you have the opportunity to decide whether the ""Identification"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalUnit

IsLocalUnit

"With this property you have the opportunity to decide whether the ""Unit"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalAltValString

IsLocalAltValString

"With this property you have the opportunity to decide whether the ""String alternative value"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalRecLabel

IsLocalRecLabel

"With this property you have the opportunity to decide whether the ""Ressources label"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalAdjustHW

IsLocalAdjustHW

"With this property you have the opportunity to decide whether the ""AdjustHardwareValue"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalAdjustZenon

IsLocalAdjustZenon

"With this property you have the opportunity to decide whether the ""AdjustZenOnValue"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalArraySize

IsLocalArraySize

"With this property you have the opportunity to decide whether the ""Array size"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalCounterGroup

IsLocalCounterGroup

VT_BOOL

IsLocalMaxGradient

IsLocalMaxGradient

VT_BOOL

IsLocalNormalStateActive

IsLocalNormalStateActive

VT_BOOL

IsLocalNormalState

IsLocalNormalState

VT_BOOL

IsLocalAlarmPV0

IsLocalAlarmPV0

"With this property you have the opportunity to decide whether the ""Alarm Variable 1"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalAlarmPV1

IsLocalAlarmPV1

"With this property you have the opportunity to decide whether the ""Alarm Variable 2"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalAlarmPV2

IsLocalAlarmPV2

"With this property you have the opportunity to decide whether the ""Alarm Variable 3"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalVarInASM

IsLocalVarInASM

"With this property you have the opportunity to decide whether the ""Save in IPA database"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalAlarmDomain

IsLocalAlarmDomain

"With this property you have the opportunity to decide whether the ""Alarm area"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalAlarmDomain2

IsLocalAlarmDomain2

Description as text.

VT_BOOL

IsLocalAlarmDomain3

IsLocalAlarmDomain3

Description as text.

VT_BOOL

IsLocalAlarmDomain4

IsLocalAlarmDomain4

Description as text.

VT_BOOL

IsLocalLocking

IsLocalLocking

"With this property you have the opportunity to decide whether the ""Interlocking"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalSBO

IsLocalSBO

"With this property you have the opportunity to decide whether the ""Select before operate"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalCancelOperate

IsLocalCancelOperate

Description

VT_BOOL

IsLocalAlarmViaEquipmentModel

IsLocalAlarmViaEquipmentModel

Description

VT_BOOL

IsLocalUsedInProcRec

IsLocalUsedInProcRec

Description

VT_UI1

IsSWProtokol

IsSWProtokol

VT_BOOL

IsSW_Akt

IsSW_Akt

VT_BOOL

IsSW_VBA

IsSW_VBA

More...

Limits

Valeurs limite

Propriétés définissant le traitement des valeurs limites ou le traitement des alarmes pour la variable.

Les propriétés de ce groupe sont uniquement disponibles si vous avez activé la propriété Matrice de réaction active.

Plus de détails dans l’aide en ligne.

VT_UI4

ID_ComplexVariable

ID_ComplexVariable

With this property you have the opportunity to get/set the ID of a variable from a structure element. This ID is 0 when the variable has no structure datatype.

VT_BSTR

Name

Nom

Nom unique de la variable. Les considérations suivantes s’appliquent lors de la définition du nom :

  • Longueur maximale : 128 caractères
  • Caractères non autorisés : # et @

Remarque : pour les drivers utilisant la connexion à zenon Logic, vous devez définir un préfixe. Pour plus de détails, reportez-vous au chapitre Création de variables O et M dans zenon Logic dans le manuel.
Toute modification du nom de la variable doit également être effectuée dans l’environnement de programmation (VBA, VSTA).

Attention : Cette propriété n’est pas disponible aux fins de la commutation de langue.

Plus de détails dans l’aide en ligne.

VT_BSTR

Tagname

Identification

Chaîne libre utilisée pour l’identification de la variable ou du type de données.
Remarque : Puisque la langue du nom de la variable (propriété Nom) ne peut pas être modifiée, cette propriété peut être utilisée pour le changement de langue en ligne.

Longueur maximale : 128 caractères

Plus de détails dans l’aide en ligne.

VT_BSTR

Unit

Unité de mesure

Unité technique de la variable devant être affichée dans le Runtime. Si vous avez déjà créé des unités de mesure dans le module d’unités de base, celles-ci sont disponibles dans une liste déroulante.
Maximum : 50 caractères.
Par défaut : vide

Plus de détails dans l’aide en ligne.

VT_R8

AlternateValue

Archivfüllwert

Cette valeur est utilisée pour renseigner les archives cycliques. En présence d’intervalles durant lesquels aucune connexion au matériel n’a été établie, cette valeur est utilisée tant qu’aucune valeur n’est transférée depuis l’équipement. Dans le cas contraire, la dernière valeur valide utilisée est utilisée aux fins du renseignement.

Plus de détails dans l’aide en ligne.

VT_BSTR

AlternateValueString

Valeur chaîne pour le remplissage des archives

Cette valeur est utilisée pour les variables de chaîne, afin de renseigner les archives cycliques.
En présence d’intervalles, dans les archives cycliques, durant lesquels aucune connexion au matériel n’a été établie, cette Valeur chaîne pour le remplissage des archives est utilisée tant qu’aucune valeur n’est transférée depuis l’équipement. Dans le cas contraire, la dernière valeur valide est utilisée pour le renseignement.

Longueur maximale : 128 caractères

Attention : Cette propriété n’est pas disponible aux fins de la commutation de langue.

Plus de détails dans l’aide en ligne.

VT_BSTR

Recourceslabel

Description externe

Chaîne au choix.
N'est pas utilisé au niveau interne dans zenon, mais est disponible lors de l’exportation de valeurs pour autoriser l’attribution des valeurs exportées pour les systèmes de gestion tels qu’ERP.

Longueur maximale : 255 caractères

Plus de détails dans l’aide en ligne.

VT_UI4

NetAddr

Adresse réseau

Adresse de bus ou Adresse réseau de la variable.

  • Minimum : 0
  • Maximum : 4294967295

Par défaut : 0

Plus de détails dans l’aide en ligne.

VT_UI4

DataBlock

Bloc de données

Numéro de bloc de données.
Minimum : 0.
Maximum : 4294967295
Par défaut : 0.

Plus de détails dans l’aide en ligne.

VT_UI4

Offset

Offset

Décalage de la variable.
Pour les contrôleurs à adressage linéaire : plage de mémoire.
Pour les contrôleurs à résolution de nom : adresse d’attribution.
Minimum : 0.
Maximum : 4294967295
Par défaut : 0.

Plus de détails dans l’aide en ligne.

VT_UI2

BitAddr

Numéro de bit

Numéro du bit dans le décalage configuré.
Minimum : 0.
Maximum : 65535
Par défaut : 0.

Plus de détails dans l’aide en ligne.

VT_UI2

Alignment

Alignement

Ceci dépend de la granularité du type d’objet du driver et de la position de la variable conformément au décalage défini.

Pour les variables de type Octet :
Octet poids fort : octet de poids fort dans le décalage de mot.
Octet poids faible : Otet de poids faible dans le décalage de mot.
HiWord-HiByte octet de poids fort dans le mot fort dans le décalage de double mot.
HiWord-LoByte (Mot poids fort-Octet poids faible) octet de poids faible dans le mot fort dans le décalage de double mot.
Mot poids faible-Octet poids fort : octet de poids fort dans le mot faible dans le décalage de double mot.
Mot poids faible-Octet poids faible : octet de poids faible dans le mot faible dans le décalage de double mot.

Pour les variables de mot :
Mot poids fort : mot fort dans le décalage de double mot.
Mot poids faible : Mot poids faible dans le décalage de double mot.

Plus de détails dans l’aide en ligne.

VT_UI2

StringLength

Longueur de la chaîne

Disponible uniquement pour les variables de type chaîne.
Nombre maximum de caractères que peut accepter une variable.
Minimum : 1 caractère
Si la valeur non autorisée 0 est saisie, la dernière valeur configurée valide est automatiquement utilisée. Si aucune valeur valide n’a été configurée, l’entrée est remplacée par la valeur par défaut.
Maximum : 65535 caractères.
Par défaut : 5 caractères

Remarque : la valeur par défaut est 65 535 pour les variables système avec le type de données String.

Plus de détails dans l’aide en ligne.

VT_BSTR

SymbAddr

Adresse symbolique

Séquence de caractères pour l’adressage symbolique des variables.

Longueur maximale : 1024 caractères.

Remarque : L’adresse symbolique n’est pas prise en charge par tous les drivers.
Lors de l’importation des variables dans des drivers compatibles avec l’adressage symbolique, la propriété est saisie automatiquement.

Plus de détails dans l’aide en ligne.

VT_UI4

Driver

Drivers

VT_UI4

ID_DataTyp

Type de données

Type de donnée pour la variable. Sélectionné durant la création de la variable ; peut être modifié ici ultérieurement.
Remarque : Pour les variables de structure, le type de données ne peut plus être modifié après la création des variables.
Attention : Si vous modifiez le type de données ultérieurement, toutes les autres propriétés de la variable doivent être vérifiées et ajustées, si nécessaire.

Plus de détails dans l’aide en ligne.

VT_UI4

ID_DriverTyp

Type d'objet driver

Selon le driver utilisé, un type d’objet est sélectionné durant la création de la variable et peut être modifié ici ultérieurement.
Siemens : bloc de données, marqueur, entrée/sortie.
Modbus : Coil et Holding Register.

Plus de détails dans l’aide en ligne.

VT_UI1

UpdatePriority

Priorité

Si l’heure de mise à jour globale spécifiée dans la configuration du driver n’est pas utilisée, la fréquence des mises à jour correspondant aux différents niveaux de priorité peut être définie ici. Dans cette propriété, une priorité est attribuée à une variable.

Plus de détails dans l’aide en ligne.

VT_BOOL

Standby

Lire uniquement sur le serveur redondant

Active : La valeur de la variable provenant du serveur redondant est affichée.
Inactive : La valeur de la variable provenant du serveur est affichée.
(drivers matériels uniquement)

Plus de détails dans l’aide en ligne.

VT_UI2

Digits

Nombre de décimales

Nombre de décimales des valeurs de variables utilisées lors de l’affichage dans le système de contrôle.
Minimum : 0
Maximum : 10
Par défaut : 0

Plus de détails dans l’aide en ligne.

VT_R8

SignalMin

Signal min.

Valeur minimum de la variable dans l’automate.
À moins d’être définie différemment dans la propriété Ajustement non-linéaire, la valeur brute des variables (résolution du signal) sera toujours convertie au format de la plage de mesure sur une base linéaire (pour une utilisation dans le système de contrôle). Toutes les autres entrées de valeurs numériques spécifiques à la variable dans Editor et dans le Runtime seront liées à la plage de mesures (par ex. définition des valeurs limites, limites des valeurs prescrites, zone de représentation, entrées de valeurs prescrites, etc.).

Plus de détails dans l’aide en ligne.

VT_R8

SignalMax

Signal max.

Valeur maximum de la variable dans l’automate. À moins d’être définie différemment dans la propriété Ajustement non-linéaire, la valeur brute des variables (résolution du signal) sera toujours convertie au format de la plage de mesure sur une base linéaire (pour une utilisation dans le système de contrôle). Toutes les autres entrées de valeurs numériques spécifiques à la variable dans Editor et dans le Runtime seront liées à la plage de mesures (par ex. définition des valeurs limites, limites des valeurs prescrites, zone de représentation, entrées de valeurs prescrites, etc.).

Plus de détails dans l’aide en ligne.

VT_R8

RangeMin

Plage de mesure min.

Valeur minimum des variables dans zenon.
À moins d’être définie différemment dans la propriété Ajustement non-linéaire, la valeur brute des variables (résolution du signal) sera toujours convertie au format de la plage de mesure sur une base linéaire (pour une utilisation dans le système de contrôle). Toutes les autres entrées de valeurs numériques spécifiques à la variable dans Editor et dans le Runtime seront liées à la plage de mesures (par ex. définition des valeurs limites, limites des valeurs prescrites, zone de représentation, entrées de valeurs prescrites, etc.).

Plus de détails dans l’aide en ligne.

VT_R8

RangeMax

Plage de mesure max.

Valeur maximum des variables dans zenon.
À moins d’être définie différemment dans la propriété Ajustement non-linéaire, la valeur brute des variables (résolution du signal) sera toujours convertie au format de la plage de mesure sur une base linéaire (pour une utilisation dans le système de contrôle). Toutes les autres entrées de valeurs numériques spécifiques à la variable dans Editor et dans le Runtime seront liées à la plage de mesures (par ex. définition des valeurs limites, limites des valeurs prescrites, zone de représentation, entrées de valeurs prescrites, etc.).

Plus de détails dans l’aide en ligne.

VT_BOOL

UseMacro

Ajustement non-linéaire avec macros

L’ajustement de valeurs non linéaires est utilisé pour les variables dont la valeur originale (automate) ne peut pas être ajustée de manière linéaire en fonction de la valeur mesurée (système de contrôle).

  • Active : Les valeurs brutes sont ajustées en fonction de zenon, sur une base non linéaire, avec des macros VBA.
  • Inactive : Les valeurs brutes sont ajustées en fonction de zenon.

Remarque : Lors de l’activation de la propriété, les propriétés AdjustHardwareValue et AdjustScadaValue doivent également être configurées. La propriété AdjustHardwareValue doit alors être configurée à l’inverse de la propriété AdjustScadaValue, sous forme de fonction inverse.

Par défaut : Inactive

Plus de détails dans l’aide en ligne.

ZT_VBAMAKRO

AdjustHardware

AdjustHardwareValue

Disponible uniquement si la propriété Ajustement non-linéaire avec macros est active.

Macro appelée à chaque modification de la valeur brute dans l’automate, et qui modifie la valeur dans zenon. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de macros.
Plus de détails dans l’aide en ligne.

ZT_VBAMAKRO

AdjustZenon

AdjustScadaValue

Disponible uniquement si la propriété Ajustement non-linéaire avec macros est active.

La macro est appelée lors de l’écriture d’une valeur depuis zenon et modifie la valeur brute sur l’automate. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de macros.
Plus de détails dans l’aide en ligne.

VT_R8

HystNeg

Négatif pour le signal

Hystérésis des valeurs limites définies en fonction de la plage du signal.

Plage d’hystérésis pour l’entrée en cas de changement de valeur avec diminution. Les valeurs sont uniquement interprétées comme des dépassements de valeur limite si la valeur changeante est inférieure à la plage d’hystérésis définie ici.
Par défaut : 0 (pas d’hystérésis)

Plus de détails dans l’aide en ligne.

VT_R8

HystPos

Positif pour le signal

Hystérésis des valeurs limites définies en fonction de la plage du signal.

Plage d’hystérésis pour l’entrée en cas de changement de valeur avec augmentation. Les valeurs sont uniquement interprétées comme des dépassements de valeur limite si la valeur changeante est supérieure à la plage d’hystérésis définie ici.
Par défaut : 0 (pas d’hystérésis)

Plus de détails dans l’aide en ligne.

VT_R8

ArchHystNeg

Négatif pour l'archive

Hystérésis d’archivage en cas de changement appliquée à la plage de mesure.

Plage d’hystérésis pour l’entrée en cas de changement de valeur avec diminution. Les valeurs sont uniquement saisies dans l’archive si la valeur changeante est inférieure à la plage d’hystérésis définie ici.
Par défaut : 0 (pas d’hystérésis)

Plus de détails dans l’aide en ligne.

VT_R8

ArchHystPos

Positif pour l'archive

Hystérésis d’archivage en cas de changement appliquée à la plage de mesure.

Plage d’hystérésis pour l’entrée en cas de changement de valeur avec augmentation. Les valeurs sont uniquement saisies dans l’archive si la valeur changeante est supérieure à la plage d’hystérésis définie ici.
Par défaut : 0 (pas d’hystérésis)

Plus de détails dans l’aide en ligne.

VT_BOOL

DDEActive

Variable lue en permanence

Paramètre de lecture de la variable et de sa disponibilité via DDE dans le Runtime :

  • Active : La variable est toujours connectée au driver. Cela signifie qu’elle est continuellement lue par le driver, même si elle n’est pas nécessaire dans le projet à cet instant précis. Le driver connaît ainsi toujours les valeurs actuelles et l’état actuel des variables et peut les fournir immédiatement, si nécessaire. La variable est également disponible pour les autres applications Windows (par exemple, Excel, Visual Basic, etc.). Les applications Windows possédant une fonctionnalité de client DDE peuvent ainsi utiliser les valeurs de la variable.
    Temps d’actualisation : 0,5 s
    L'activation de cette option offre par exemple l’avantage de basculer plus rapidement les valeurs de variables dans la fonction Ecriture valeur prescrite ou dans l’élément Appel de synoptique, car il n’est pas nécessaire d’interroger spécialement la variable avant la commutation. L’inconvénient est une augmentation de la charge des communications au niveau du contrôleur.
  • Inactive : La variable n’est pas interrogée en permanence par le driver, mais uniquement en cas de demande de valeurs ou d’états dans le Runtime. Elle n’est donc pas disponible dans les autres applications Windows via DDE.

Par défaut : Inactive

Plus de détails dans l’aide en ligne.

VT_UI4

ArraySizeOld

Dimension tableau

Définition de la taille de l’ensemble de blocs. La taille définie est lue ou écrite par le driver durant une demande de lecture/d’écriture. Ceci permet de garantir la cohérence des données dans le texte. Les données peuvent uniquement être modifiées dans le module Recipegroup Manager ou via l’interface de programmation.
Attention : peut être défini au niveau du driver interne, toutefois sans fonction dans le Runtime (valeur toujours égale à 0).

Plus de détails dans l’aide en ligne.

VT_UI4

CounterGroup

Groupe de compteur

Disponible uniquement dans SICAM 230.

VT_UI4

MaxGradient

Gradient maximum

Disponible uniquement dans SICAM 230.

VT_BOOL

NormalStateActive

Actif

Permet de définir un état normal pour les variables et les types de données du type BOOL, UINT et WORD pour tous les drivers.

Active : Un état normal peut être défini.

Par défaut : Inactive

Plus de détails dans l’aide en ligne.

VT_BOOL

NormalState

Valeur normale

Dans la liste déroulante, choisissez si la valeur normale de cette variable ou ce type de données doit être On (Active) ou Off (Inactive). Disponible pour les variables et les types de données du type BOOL, UINT et WORD pour tous les drivers.

Par défaut : Off

Plus de détails dans l’aide en ligne.

ZT_VARIABLE

AlarmPV0

Variable d'alarme 1

Disponible uniquement dans SICAM 230.
Première variable pour la gestion d’alarmes de synoptiques.

Plus de détails dans l’aide en ligne.

ZT_VARIABLE

AlarmPV1

Variable d'alarme 2

Disponible uniquement dans SICAM 230.
Deuxième variable pour la gestion d’alarmes de synoptiques.

Plus de détails dans l’aide en ligne.

ZT_VARIABLE

AlarmPV2

Variable d'alarme 3

Disponible uniquement dans SICAM 230.
Troisième variable pour la gestion d’alarmes de synoptiques.

Plus de détails dans l’aide en ligne.

VT_BOOL

HDActive

Stockage de données sur disque dur actif

Active : les valeurs de variables sont enregistrées sur le disque dur (enregistrement circulaire) pour être évaluées dans l’élément dynamique "Élément de tendance" ou pour l’exportation/l’importation des valeurs.

Inactive : aucune valeur de variable n’est enregistrée.

Par défaut : inactive

Les données de disque dur nécessitent 24 octets d’espace de stockage par valeur, indépendamment du type de variable. Outre la valeur, les informations suivantes sont enregistrées :
- Heure d’exécution de la mesure.
- Millisecondes lors de la lecture de la valeur.
- Modification de l’état de la valeur en fonction des éléments.
- Compteur pour l’identification unique de la valeur (driver événementiel).

Remarque : Le stockage de données est également activé lors d’un appel de synoptique de type Extended Trend si des données en ligne sont analysées.
Les variables de type chaîne ne sont pas prises en charge par la fonction de stockage de données sur le disque dur.

Attention : si l’option d’enregistrement sur disque dur est activée pour un trop grand nombre de variables, en présence d’un trop grand nombre de valeurs, les performances du Runtime peuvent être altérées.

Plus de détails dans l’aide en ligne.

VT_R4

HDUpdate

Temps de cycle [s]

Disponible uniquement si la propriété Stockage de données sur disque dur actif est active :
Durée de l’intervalle [en secondes] de conservation des valeurs en ligne sur le disque dur (mémoire circulaire) pour l’analyse dans l’élément dynamique Tendance, pour les données en ligne dans le module Extended Trend ou pour l’exportation/l’importation de valeurs.

Plus de détails dans l’aide en ligne.

VT_UI4

HDSize

Nombre de valeurs

Valeur correspondant à l’intervalle de conservation des valeurs en ligne sur le disque dur (mémoire circulaire) pour l’analyse dans l’élément dynamique Tendance, pour les données en ligne dans le module Extended Trend ou pour l’exportation/l’importation de valeurs.

Attention : si l’option d’enregistrement sur disque dur est activée pour un trop grand nombre de variables, en présence d’un trop grand nombre de valeurs, les performances du Runtime peuvent être altérées.

Plus de détails dans l’aide en ligne.

VT_BOOL

IsKDAActiv

Type d'enregistrement

Disponible uniquement si la propriété Stockage de données sur disque dur actif est active :
Données de disque dur (cyclique) : Écriture cyclique des valeurs sur le disque dur.
Valeurs retriées (RDA) : Les valeurs sont écrites bloc par bloc sur le disque dur par le driver. (Fonction adaptée à l’analyse rétrospective des erreurs au niveau du système de contrôle.)

Plus de détails dans l’aide en ligne.

VT_BOOL

ExternVisible

Visible extérieurement pour

Disponible uniquement si la propriété Visible par d'autres programmes est active.

Spécifiez expressément les projets de zenon Logic pour lesquels la variable doit être visible. Si vous laissez le champ de saisie vide, la variable est visible pour tous les projets zenon Logic. Vous pouvez également saisir des projets zenon Logic de manière expresse. Séparez les noms des projets individuels par un point-virgule (";"). Vous pouvez utiliser les opérateurs. Par exemple, P1* signifie tous les projets zenon Logic commençant par P1. (Remarque : les opérateurs sont uniquement autorisés sous forme de préfixe ou de suffixe, par exemple, *xxx ou xxx*.

Le nombre de caractères est limité à 64.

Par défaut : -

Plus de détails dans l’aide en ligne.

VT_BSTR

ExternVisibleFor

Visible extérieurement pour

Disponible uniquement si la propriété Visible par d'autres programmes est active.

Spécifiez expressément les projets de zenon Logic pour lesquels la variable doit être visible. Si vous laissez le champ de saisie vide, la variable est visible pour tous les projets zenon Logic. Vous pouvez également saisir des projets zenon Logic de manière expresse. Séparez les noms des projets individuels par un point-virgule (";"). Vous pouvez utiliser les opérateurs. Par exemple, P1* signifie tous les projets zenon Logic commençant par P1. (Remarque : les opérateurs sont uniquement autorisés sous forme de préfixe ou de suffixe, par exemple, *xxx ou xxx*.

Le nombre de caractères est limité à 64.

Par défaut : -

Plus de détails dans l’aide en ligne.

VT_BOOL

ReadWrite

Ecriture/lecture externe

Propriété externe pour zenon Logic. Affecte uniquement les variables qui ne forment pas partie du driver straton.
Active : la valeur de la variable ne peut pas être modifiée dans zenon Logic. La définition de la variable ne peut pas être modifiée dans zenon Logic.
Inactive : la variable ne peut pas être modifiée dans zenon Logic.
Par défaut : active.

Plus de détails dans l’aide en ligne.

VT_BSTR

InitialValue

Valeur initiale externe

Propriété externe pour zenon Logic. Affecte uniquement les variables qui ne forment pas partie du driver straton.
Valeur initiale de la variable dans zenon Logic durant une reprise graduelle ou une reprise intermédiaire.
La saisie autorisée ici dépend du type de données de la variable. Par exemple, vous pouvez uniquement utiliser des valeurs sans décimales pour les variables entières. Pour les variables à virgule flottante, un point doit être utilisé en tant que séparateur décimal ; les virgules ne peuvent pas être utilisées.
Le système de contrôle ne vérifie pas la validité de cette saisie. Ceci peut générer un message d’erreur dans zenon Logic.

Attention : lors de l’utilisation de variables du driver interne, cette propriété doit posséder la même valeur que la valeur initiale dans les paramètres des variables internes.

Plus de détails dans l’aide en ligne.

VT_BSTR

Profilename

Nom profil externe

Propriété externe pour zenon Logic. Affecte uniquement les variables qui ne forment pas partie du driver straton.
Nom du profil défini dans zenon Logic (par ex. STRATON, ProfDP).

Cette propriété est uniquement affichée pour information. Édition dans zenon Logic uniquement.

Plus de détails dans l’aide en ligne.

VT_BSTR

Adressparam

Paramètre externe d'adresse

Propriété externe pour zenon Logic. Affecte uniquement les variables qui ne sont pas des variables du driver straton.
Propriétés de profil dans zenon Logic (par ex. "intégré" ou paramètres d’adressage de Profibus).

Cette propriété est uniquement affichée pour information. Édition dans zenon Logic uniquement.

Plus de détails dans l’aide en ligne.

VT_BSTR

Vargroup

Groupe de variables externe

Propriété externe pour zenon Logic. Affecte uniquement les variables qui ne sont pas des variables du driver straton32.
Groupes de variables dans zenon Logic ("Global" ou "Retain" ou vides).

Cette propriété est uniquement affichée pour information. Édition dans zenon Logic uniquement.

Plus de détails dans l’aide en ligne.

VT_BOOL

IsRemaActiv

Matrice de réaction active

Active : Une matrice de réaction est utilisée à la place des valeurs de limite.
Inactive : Les valeurs peuvent être définies pour la variable.
Par défaut : inactive.

Plus de détails dans l’aide en ligne.

ZT_REMA

Rema

Matrice de réaction

Propriétés d’utilisation d’une matrice de réaction pour la variable.

Plus de détails dans l’aide en ligne.

ZT_VARIABLE

AlarmQuitPV

Valeur d'acquittement

Si une alarme de cette variable est acquittée visuellement, la variable sélectionnée sous Variable d'acquittement visuel ou Variable d'acquittement est définie sur cette valeur.

Sélection de 0 ou 1.

Plus de détails dans l’aide en ligne.

ZT_VARIABLE

AlarmViewQuitPV

Variable d'acquittement visuel

Si une alarme de la variable de contrôle est acquittée visuellement, la valeur de la variable d’acquittement visuel est définie sur la valeur définie par Valeur d'acquittement.

Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de variables binaires.

Plus de détails dans l’aide en ligne.

VT_UI4

AlarmQuitPVValue

Valeur d'acquittement

Si une alarme de cette variable est acquittée visuellement, la variable sélectionnée sous Variable d'acquittement visuel ou Variable d'acquittement est définie sur cette valeur.

Sélection de 0 ou 1.

Plus de détails dans l’aide en ligne.

VT_BOOL

VarInASM

Enregistrer dans la base IPA

Active : les alarmes de cette variable sont disponibles pour analyse dans le module Industrial Performance Analyzer (IPA).
Inactive : les alarmes de cette variable ne sont prises en compte lors de l’analyse dans le module Industrial Performance Analyzer (IPA).
Par défaut : Inactive

Attention : le module Industrial Performance Analyzer est un module optionnel, qui doit comporter une licence valide pour pouvoir être utilisé ici.

Plus de détails dans l’aide en ligne.

VT_BOOL

AlarmViaEquipmentModel

Utiliser la gestion d'alarmes hiérarchiques du modèle d'équipement

Type d’attribution de la variable à un domaine d’alarmes.

  • Active :
    Le domaine d’alarmes de la variable est transféré par le modèle d’équipement. L’alarme de la variable est applicable aux domaines d’alarmes définis dans le modèle d’équipement. Dans ce cas, le groupe d’équipements de la variable et le groupe d’équipements de niveau supérieur du modèle d’équipement sont pris en compte.
  • Inactive :
    L'alarme sur la variable est applicable aux domaines d’alarmes 1 à 4 de la gestion d’alarmes.

Remarque : Si cette propriété est activée pour un type de données, les paramètres de toutes les variables issues de celle-ci sont transférés.

Plus de détails dans l’aide en ligne.

ZT_BSTR_REF

AreaName

AreaName

Description as text.

ZT_BSTR_REF

AreaName2

AreaName2

Description as text.

ZT_BSTR_REF

AreaName3

AreaName3

Description as text.

ZT_BSTR_REF

AreaName4

AreaName4

Description as text.

VT_BOOL

InOut

Ecrire valeur prescrite

Active : cette variable est libérée pour l’action Spécifier valeur prescrite.
Inactive : cette variable est protégée en écriture.
Par défaut : Active

Plus de détails dans l’aide en ligne.

VT_BOOL

SBO

Select Before Operate

Attention : Cette fonctionnalité est uniquement compatible avec les drivers IEC870 et IEC850, et uniquement disponible si vous avez sélectionné l’option Commande commutation pour la propriété de type d’action dans Gestion des commandes, et l’action est mise en œuvre sous forme d’action à deux étapes. N’utilisez pas cette fonction pour le driver DNP3_NG ; Auto-SBO peut être configuré directement pour la variable, dans ce cas.

Active : Avant que la valeur de la variable ne soit écrite dans le matériel, zenon vérifie, pendant la première phase de la commande de commutation, si la variable dans l’équipement est prête pour cette action (Select before Operate (SBO)).
Attention : Pour les commandes impulsion, la réinitialisation automatique des valeurs des variables n’est pas effectuée dans l’intervalle de temps défini dans la propriété de délai de front.

Si la propriété SBO a été activée pour la variable d’action, une commande d’impulsion se comporte de la même manière qu’une commande de commutation.

Inactive : La valeur de la variable est transférée vers le driver sans vérification préalable.

Remarque : dans un driver IEC870, cela signifie une instruction Direct execute. Le driver IEC850 peut toutefois déclencher automatiquement une instruction Select before Operate , en raison du Control Model.
Par défaut : Inactive :
Plus de détails dans l’aide en ligne.

VT_BOOL

CancelOperate

Annuler 'Operate'

Si cette propriété est activée, il est possible d’envoyer une commande Cancel après une commande Operate lors de la gestion des commandes.

Remarque : Cette propriété est uniquement dans la version Energy Edition.

Par défaut : Inactive

Plus de détails dans l’aide en ligne.

VT_R8

ValueMin

Valeur prescrite min.

La valeur minimum définie ici pour le paramètre Écrire valeur prescrite peut être acceptée par le biais d’éléments dynamiques, plutôt que par la configuration séparée de ces derniers.
Ceci est surtout recommandé si la plage de la mesure est susceptible de varier ultérieurement, car ces modifications peuvent être effectuées une fois ici, au lieu d’être modifiées séparément dans chaque élément.

Plus de détails dans l’aide en ligne.

VT_R8

ValueMax

Valeur prescrite max.

La valeur maximum définie ici pour le paramètre Écrire valeur prescrite peut être acceptée par le biais d’éléments dynamiques, plutôt que par la configuration séparée de ces derniers.
Ceci est surtout recommandé si la plage de la mesure est susceptible de varier ultérieurement, car ces modifications peuvent être effectuées une fois ici, au lieu d’être modifiées séparément dans chaque élément.

Plus de détails dans l’aide en ligne.

VT_BSTR

LockingName

LockingName

"With this property you have the opportunity to assign an interlocking via its name.
zElement.DynProperties(""LockingName"") = ""Interlocking 1"""

VT_UI1

SetValueProtocol

Enregistrement (fichier journal)

Définit la manière dont l’écriture de la valeur prescrite sera consignée dans la liste CEL.

  • Tout : Toutes les actions Écrire valeur prescrite de cette variable exécutées via des éléments dynamiques et les fonctions Écrire valeur prescrite sont consignées dans la liste d’événements. (CEL)
  • Rien : aucune action Spécifier valeur prescrite n’est consignée dans la liste CEL.
  • Seulement sur élément dynamique : Seules les actions Écrire valeur prescrite exécutées via les éléments dynamiques sont consignées dans la liste CEL.

Par défaut : Uniquement les éléments dynamiques :

Plus de détails dans l’aide en ligne.

VT_BOOL

SV_Act

Ancienne et nouvelle valeur
  • Active : en cas de modification de la valeur prescrite de cette variable, les valeurs ancienne et nouvelle sont consignées dans la liste d’événements (CEL).
  • Inactive : Seule la nouvelle valeur est consignée.

Par défaut : Inactive

Recommandation : Activez la propriété Variable lue en permanence. Ceci permet de garantir que la valeur est toujours disponible, et qu’il n’est pas nécessaire de l’interroger spécialement.

Plus de détails dans l’aide en ligne.

VT_BOOL

SV_VBA

Valeurs modifiées par VBA

Active : L’écriture de la valeur prescrite de cette variable via une macro VBA est consignée dans la liste d’événements.
inactive : l’écriture de la valeur prescrite de cette variable via une macro VBA n’est pas consignée.
Par défaut : Active

Remarque : pour les variables configurées sous forme de variables de commande dans la passerelle de procédé IEC870, chaque commande est consignée sous la forme Spécifier valeur prescrite via l’interface COM dans la liste CEL, si la propriété est activée.

Plus de détails dans l’aide en ligne.

VT_BSTR

VisualName

Nom visuel

Saisie d’un nom d’affichage de la variable dans zenon Analyzer. Celui-ci doit être unique dans le projet, mais ceci n’est pas vérifié dans zenon. Cette vérification est effectuée lors de l’importation dans zenon Analyzer.

Cette propriété fournit des informations qui sont utilisées pour la configuration de rapports dans zenon Analyzer. L’exportation des données de zenon vers zenon Analyzer est effectuée à l’aide de l’assistant Analyzer Export Wizard.

Attention : Si cette propriété est modifiée après la première exportation vers zenon Analyzer, ces modifications ne sont appliquées dans zenon Analyzer.

Plus de détails dans l’aide en ligne.

VT_BSTR

Meaning

Signification

Cette propriété fournit des informations qui sont utilisées par la fonction de configuration de rapports dans zenon Analyzer.
Les données peuvent être définies manuellement ou à l’aide de l’assistant Meaning and Waterfall Chart Wizard. L’exportation des données de zenon vers zenon Analyzer est effectuée à l’aide de l’assistant Analyzer Export Wizard.

Saisie de la signification (meaning) d’une variable dans zenon Analyzer. Plusieurs significations doivent être séparées par une virgule.
Syntaxe : [signification1],[signification2],…,[significationN]

Plus de détails dans l’aide en ligne.

VT_BSTR

WaterfallParam

Paramètre pour le waterfall diagram

Cette propriété fournit des informations qui sont utilisées par la fonction de configuration de rapports dans zenon Analyzer.
Les données peuvent être définies manuellement ou à l’aide de l’assistant Meaning and Waterfall Chart Wizard. L’exportation des données de zenon vers zenon Analyzer est effectuée à l’aide de l’assistant Analyzer Export Wizard.

Paramètres d’une variable pour un diagramme en cascade dans zenon Analyzer. Les entrées peuvent être créées pour les rapports par ligne ou les rapports par machine. Lors de l’exportation, en fonction de la structure des entrées, une décision est prise pour déterminer s’il s’agit d’entrées correspondant à des diagrammes par machine ou par ligne.

Les paramètres individuels doivent être séparés par une virgule. Plusieurs cascades doivent être séparées par un poing-virgule.
Syntaxe, par machine : [nom modèle],[indice de ligne],[indice de colonne],[code de couleur];
Syntaxe, par ligne : [nom du modèle],[indice de ligne],[indice de colonne],[code de couleur],[perte de machine auxiliaire],[ajout de perte de machine auxiliaire],[soustraction de perte de machine auxiliaire];

Plus de détails dans l’aide en ligne.

VT_BOOL

Use_in_ProcRec

Activer l'enregistrement

Active/désactive la variable ou le type de données enregistré dans le module Process Recorder.
La sélection multiple de variables est possible.

  • Active :
    Les changements de valeur de la variable sont enregistrés dans le module Process Recorder.
    Attention : Assurez-vous que l’activation générale de l’enregistrement a été configurée dans la propriété Activer Process Recorder.
  • Inactive :
    Les changements de valeur de la variable ne sont pas enregistrés dans le module Process Recorder.

Par défaut : les paramètres configurés sont appliqués pour le type de données utilisé.

Plus de détails dans l’aide en ligne.


Lon32 - Variable ED

Manuel -> Interfaces de programmation -> Modèles d'objet -> Variable -> Variable-Dynamic properties -> Lon32 - Variable ED

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Type

VBA/VSTA Name

Display Name

Description

VT_BOOL

IsLocalDigits

IsLocalDigits

"With this property you have the opportunity to decide whether the ""Decimals"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalSignalMin

IsLocalSignalMin

"With this property you have the opportunity to decide whether the ""Minimum signal resolution"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalSignalMax

IsLocalSignalMax

"With this property you have the opportunity to decide whether the ""Maximum signal resolution"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalRangeMin

IsLocalRangeMin

"With this property you have the opportunity to decide whether the ""Minimum measuring range"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalRangeMax

IsLocalRangeMax

"With this property you have the opportunity to decide whether the ""Maximum measuring range"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalAlternateValue

IsLocalAlternateValue

"With this property you have the opportunity to decide whether the ""Alternate value"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalValueMin

IsLocalValueMin

"With this property you have the opportunity to decide whether the ""Minimum set value"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalValueMax

IsLocalValueMax

"With this property you have the opportunity to decide whether the ""Maximum set value"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalUseMacro

IsLocalUseMacro

"With this property you have the opportunity to decide whether the ""Non linear value adjustment with macros"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalInOut

IsLocalInOut

"With this property you have the opportunity to decide whether the ""Setting values active"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalHystNeg

IsLocalHystNeg

"With this property you have the opportunity to decide whether the ""negative hysteresis"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalHystPos

IsLocalHystPos

"With this property you have the opportunity to decide whether the ""negative hysteresis"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalArchHystNeg

IsLocalArchHystNeg

VT_BOOL

IsLocalArchHystPos

IsLocalArchHystPos

VT_BOOL

IsLocalUpdatePriority

IsLocalUpdatePriority

"With this property you have the opportunity to decide whether the ""Priority of the driver connection"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalDDEaktiv

IsLocalDDEaktiv

"With this property you have the opportunity to decide whether the ""DDE active"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalStandby

IsLocalStandby

"With this property you have the opportunity to decide whether the ""Only read from standby"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalRemaActiv

IsLocalRemaActiv

"With this property you have the opportunity to decide whether the ""Reaction matrix active"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalRema

IsLocalRema

"With this property you have the opportunity to decide whether the ""Reaction matrix"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalHDActive

IsLocalHDActive

"With this property you have the opportunity to decide whether the ""HD active"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalHDUpdate

IsLocalHDUpdate

"With this property you have the opportunity to decide whether the ""HD scan rate"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalHDSize

IsLocalHDSize

"With this property you have the opportunity to decide whether the ""Number of HD values"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalKDAActiv

IsLocalKDAActiv

"With this property you have the opportunity to decide whether the ""Recording type"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalStingLength

IsLocalStingLength

"With this property you have the opportunity to decide whether the ""String length"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalQuitPV

IsLocalQuitPV

"With this property you have the opportunity to decide whether the ""Acknowledgement variable"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalViewQuitPV

IsLocalViewQuitPV

Description as text.

VT_BOOL

IsLocalQuitValue

IsLocalQuitValue

"With this property you have the opportunity to decide whether the ""Acknowledgement value"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalTagname

IsLocalTagname

"With this property you have the opportunity to decide whether the ""Identification"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalUnit

IsLocalUnit

"With this property you have the opportunity to decide whether the ""Unit"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalAltValString

IsLocalAltValString

"With this property you have the opportunity to decide whether the ""String alternative value"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalRecLabel

IsLocalRecLabel

"With this property you have the opportunity to decide whether the ""Ressources label"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalAdjustHW

IsLocalAdjustHW

"With this property you have the opportunity to decide whether the ""AdjustHardwareValue"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalAdjustZenon

IsLocalAdjustZenon

"With this property you have the opportunity to decide whether the ""AdjustZenOnValue"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalArraySize

IsLocalArraySize

"With this property you have the opportunity to decide whether the ""Array size"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalCounterGroup

IsLocalCounterGroup

VT_BOOL

IsLocalMaxGradient

IsLocalMaxGradient

VT_BOOL

IsLocalNormalStateActive

IsLocalNormalStateActive

VT_BOOL

IsLocalNormalState

IsLocalNormalState

VT_BOOL

IsLocalAlarmPV0

IsLocalAlarmPV0

"With this property you have the opportunity to decide whether the ""Alarm Variable 1"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalAlarmPV1

IsLocalAlarmPV1

"With this property you have the opportunity to decide whether the ""Alarm Variable 2"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalAlarmPV2

IsLocalAlarmPV2

"With this property you have the opportunity to decide whether the ""Alarm Variable 3"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalVarInASM

IsLocalVarInASM

"With this property you have the opportunity to decide whether the ""Save in IPA database"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalAlarmDomain

IsLocalAlarmDomain

"With this property you have the opportunity to decide whether the ""Alarm area"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalAlarmDomain2

IsLocalAlarmDomain2

Description as text.

VT_BOOL

IsLocalAlarmDomain3

IsLocalAlarmDomain3

Description as text.

VT_BOOL

IsLocalAlarmDomain4

IsLocalAlarmDomain4

Description as text.

VT_BOOL

IsLocalLocking

IsLocalLocking

"With this property you have the opportunity to decide whether the ""Interlocking"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalSBO

IsLocalSBO

"With this property you have the opportunity to decide whether the ""Select before operate"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalCancelOperate

IsLocalCancelOperate

Description

VT_BOOL

IsLocalAlarmViaEquipmentModel

IsLocalAlarmViaEquipmentModel

Description

VT_BOOL

IsLocalUsedInProcRec

IsLocalUsedInProcRec

Description

VT_UI1

IsSWProtokol

IsSWProtokol

VT_BOOL

IsSW_Akt

IsSW_Akt

VT_BOOL

IsSW_VBA

IsSW_VBA

More...

Limits

Valeurs limite

Propriétés définissant le traitement des valeurs limites ou le traitement des alarmes pour la variable.

Les propriétés de ce groupe sont uniquement disponibles si vous avez activé la propriété Matrice de réaction active.

Plus de détails dans l’aide en ligne.

VT_UI4

ID_ComplexVariable

ID_ComplexVariable

With this property you have the opportunity to get/set the ID of a variable from a structure element. This ID is 0 when the variable has no structure datatype.

VT_BSTR

Name

Nom

Nom unique de la variable. Les considérations suivantes s’appliquent lors de la définition du nom :

  • Longueur maximale : 128 caractères
  • Caractères non autorisés : # et @

Remarque : pour les drivers utilisant la connexion à zenon Logic, vous devez définir un préfixe. Pour plus de détails, reportez-vous au chapitre Création de variables O et M dans zenon Logic dans le manuel.
Toute modification du nom de la variable doit également être effectuée dans l’environnement de programmation (VBA, VSTA).

Attention : Cette propriété n’est pas disponible aux fins de la commutation de langue.

Plus de détails dans l’aide en ligne.

VT_BSTR

Tagname

Identification

Chaîne libre utilisée pour l’identification de la variable ou du type de données.
Remarque : Puisque la langue du nom de la variable (propriété Nom) ne peut pas être modifiée, cette propriété peut être utilisée pour le changement de langue en ligne.

Longueur maximale : 128 caractères

Plus de détails dans l’aide en ligne.

VT_BSTR

Unit

Unité de mesure

Unité technique de la variable devant être affichée dans le Runtime. Si vous avez déjà créé des unités de mesure dans le module d’unités de base, celles-ci sont disponibles dans une liste déroulante.
Maximum : 50 caractères.
Par défaut : vide

Plus de détails dans l’aide en ligne.

VT_R8

AlternateValue

Archivfüllwert

Cette valeur est utilisée pour renseigner les archives cycliques. En présence d’intervalles durant lesquels aucune connexion au matériel n’a été établie, cette valeur est utilisée tant qu’aucune valeur n’est transférée depuis l’équipement. Dans le cas contraire, la dernière valeur valide utilisée est utilisée aux fins du renseignement.

Plus de détails dans l’aide en ligne.

VT_BSTR

AlternateValueString

Valeur chaîne pour le remplissage des archives

Cette valeur est utilisée pour les variables de chaîne, afin de renseigner les archives cycliques.
En présence d’intervalles, dans les archives cycliques, durant lesquels aucune connexion au matériel n’a été établie, cette Valeur chaîne pour le remplissage des archives est utilisée tant qu’aucune valeur n’est transférée depuis l’équipement. Dans le cas contraire, la dernière valeur valide est utilisée pour le renseignement.

Longueur maximale : 128 caractères

Attention : Cette propriété n’est pas disponible aux fins de la commutation de langue.

Plus de détails dans l’aide en ligne.

VT_BSTR

Recourceslabel

Description externe

Chaîne au choix.
N'est pas utilisé au niveau interne dans zenon, mais est disponible lors de l’exportation de valeurs pour autoriser l’attribution des valeurs exportées pour les systèmes de gestion tels qu’ERP.

Longueur maximale : 255 caractères

Plus de détails dans l’aide en ligne.

VT_UI4

NetAddr

Adresse réseau

Adresse de bus ou Adresse réseau de la variable.

  • Minimum : 0
  • Maximum : 4294967295

Par défaut : 0

Plus de détails dans l’aide en ligne.

VT_UI4

DataBlock

Bloc de données

Numéro de bloc de données.
Minimum : 0.
Maximum : 4294967295
Par défaut : 0.

Plus de détails dans l’aide en ligne.

VT_UI4

Offset

Offset

Décalage de la variable.
Pour les contrôleurs à adressage linéaire : plage de mémoire.
Pour les contrôleurs à résolution de nom : adresse d’attribution.
Minimum : 0.
Maximum : 4294967295
Par défaut : 0.

Plus de détails dans l’aide en ligne.

VT_UI2

BitAddr

Numéro de bit

Numéro du bit dans le décalage configuré.
Minimum : 0.
Maximum : 65535
Par défaut : 0.

Plus de détails dans l’aide en ligne.

VT_UI2

Alignment

Alignement

Ceci dépend de la granularité du type d’objet du driver et de la position de la variable conformément au décalage défini.

Pour les variables de type Octet :
Octet poids fort : octet de poids fort dans le décalage de mot.
Octet poids faible : Otet de poids faible dans le décalage de mot.
HiWord-HiByte octet de poids fort dans le mot fort dans le décalage de double mot.
HiWord-LoByte (Mot poids fort-Octet poids faible) octet de poids faible dans le mot fort dans le décalage de double mot.
Mot poids faible-Octet poids fort : octet de poids fort dans le mot faible dans le décalage de double mot.
Mot poids faible-Octet poids faible : octet de poids faible dans le mot faible dans le décalage de double mot.

Pour les variables de mot :
Mot poids fort : mot fort dans le décalage de double mot.
Mot poids faible : Mot poids faible dans le décalage de double mot.

Plus de détails dans l’aide en ligne.

VT_UI2

StringLength

Longueur de la chaîne

Disponible uniquement pour les variables de type chaîne.
Nombre maximum de caractères que peut accepter une variable.
Minimum : 1 caractère
Si la valeur non autorisée 0 est saisie, la dernière valeur configurée valide est automatiquement utilisée. Si aucune valeur valide n’a été configurée, l’entrée est remplacée par la valeur par défaut.
Maximum : 65535 caractères.
Par défaut : 5 caractères

Remarque : la valeur par défaut est 65 535 pour les variables système avec le type de données String.

Plus de détails dans l’aide en ligne.

VT_BSTR

SymbAddr

Adresse symbolique

Séquence de caractères pour l’adressage symbolique des variables.

Longueur maximale : 1024 caractères.

Remarque : L’adresse symbolique n’est pas prise en charge par tous les drivers.
Lors de l’importation des variables dans des drivers compatibles avec l’adressage symbolique, la propriété est saisie automatiquement.

Plus de détails dans l’aide en ligne.

VT_UI4

Driver

Drivers

VT_UI4

ID_DataTyp

Type de données

Type de donnée pour la variable. Sélectionné durant la création de la variable ; peut être modifié ici ultérieurement.
Remarque : Pour les variables de structure, le type de données ne peut plus être modifié après la création des variables.
Attention : Si vous modifiez le type de données ultérieurement, toutes les autres propriétés de la variable doivent être vérifiées et ajustées, si nécessaire.

Plus de détails dans l’aide en ligne.

VT_UI4

ID_DriverTyp

Type d'objet driver

Selon le driver utilisé, un type d’objet est sélectionné durant la création de la variable et peut être modifié ici ultérieurement.
Siemens : bloc de données, marqueur, entrée/sortie.
Modbus : Coil et Holding Register.

Plus de détails dans l’aide en ligne.

VT_UI1

UpdatePriority

Priorité

Si l’heure de mise à jour globale spécifiée dans la configuration du driver n’est pas utilisée, la fréquence des mises à jour correspondant aux différents niveaux de priorité peut être définie ici. Dans cette propriété, une priorité est attribuée à une variable.

Plus de détails dans l’aide en ligne.

VT_BOOL

Standby

Lire uniquement sur le serveur redondant

Active : La valeur de la variable provenant du serveur redondant est affichée.
Inactive : La valeur de la variable provenant du serveur est affichée.
(drivers matériels uniquement)

Plus de détails dans l’aide en ligne.

VT_UI2

Digits

Nombre de décimales

Nombre de décimales des valeurs de variables utilisées lors de l’affichage dans le système de contrôle.
Minimum : 0
Maximum : 10
Par défaut : 0

Plus de détails dans l’aide en ligne.

VT_R8

SignalMin

Signal min.

Valeur minimum de la variable dans l’automate.
À moins d’être définie différemment dans la propriété Ajustement non-linéaire, la valeur brute des variables (résolution du signal) sera toujours convertie au format de la plage de mesure sur une base linéaire (pour une utilisation dans le système de contrôle). Toutes les autres entrées de valeurs numériques spécifiques à la variable dans Editor et dans le Runtime seront liées à la plage de mesures (par ex. définition des valeurs limites, limites des valeurs prescrites, zone de représentation, entrées de valeurs prescrites, etc.).

Plus de détails dans l’aide en ligne.

VT_R8

SignalMax

Signal max.

Valeur maximum de la variable dans l’automate. À moins d’être définie différemment dans la propriété Ajustement non-linéaire, la valeur brute des variables (résolution du signal) sera toujours convertie au format de la plage de mesure sur une base linéaire (pour une utilisation dans le système de contrôle). Toutes les autres entrées de valeurs numériques spécifiques à la variable dans Editor et dans le Runtime seront liées à la plage de mesures (par ex. définition des valeurs limites, limites des valeurs prescrites, zone de représentation, entrées de valeurs prescrites, etc.).

Plus de détails dans l’aide en ligne.

VT_R8

RangeMin

Plage de mesure min.

Valeur minimum des variables dans zenon.
À moins d’être définie différemment dans la propriété Ajustement non-linéaire, la valeur brute des variables (résolution du signal) sera toujours convertie au format de la plage de mesure sur une base linéaire (pour une utilisation dans le système de contrôle). Toutes les autres entrées de valeurs numériques spécifiques à la variable dans Editor et dans le Runtime seront liées à la plage de mesures (par ex. définition des valeurs limites, limites des valeurs prescrites, zone de représentation, entrées de valeurs prescrites, etc.).

Plus de détails dans l’aide en ligne.

VT_R8

RangeMax

Plage de mesure max.

Valeur maximum des variables dans zenon.
À moins d’être définie différemment dans la propriété Ajustement non-linéaire, la valeur brute des variables (résolution du signal) sera toujours convertie au format de la plage de mesure sur une base linéaire (pour une utilisation dans le système de contrôle). Toutes les autres entrées de valeurs numériques spécifiques à la variable dans Editor et dans le Runtime seront liées à la plage de mesures (par ex. définition des valeurs limites, limites des valeurs prescrites, zone de représentation, entrées de valeurs prescrites, etc.).

Plus de détails dans l’aide en ligne.

VT_BOOL

UseMacro

Ajustement non-linéaire avec macros

L’ajustement de valeurs non linéaires est utilisé pour les variables dont la valeur originale (automate) ne peut pas être ajustée de manière linéaire en fonction de la valeur mesurée (système de contrôle).

  • Active : Les valeurs brutes sont ajustées en fonction de zenon, sur une base non linéaire, avec des macros VBA.
  • Inactive : Les valeurs brutes sont ajustées en fonction de zenon.

Remarque : Lors de l’activation de la propriété, les propriétés AdjustHardwareValue et AdjustScadaValue doivent également être configurées. La propriété AdjustHardwareValue doit alors être configurée à l’inverse de la propriété AdjustScadaValue, sous forme de fonction inverse.

Par défaut : Inactive

Plus de détails dans l’aide en ligne.

ZT_VBAMAKRO

AdjustHardware

AdjustHardwareValue

Disponible uniquement si la propriété Ajustement non-linéaire avec macros est active.

Macro appelée à chaque modification de la valeur brute dans l’automate, et qui modifie la valeur dans zenon. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de macros.
Plus de détails dans l’aide en ligne.

ZT_VBAMAKRO

AdjustZenon

AdjustScadaValue

Disponible uniquement si la propriété Ajustement non-linéaire avec macros est active.

La macro est appelée lors de l’écriture d’une valeur depuis zenon et modifie la valeur brute sur l’automate. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de macros.
Plus de détails dans l’aide en ligne.

VT_R8

HystNeg

Négatif pour le signal

Hystérésis des valeurs limites définies en fonction de la plage du signal.

Plage d’hystérésis pour l’entrée en cas de changement de valeur avec diminution. Les valeurs sont uniquement interprétées comme des dépassements de valeur limite si la valeur changeante est inférieure à la plage d’hystérésis définie ici.
Par défaut : 0 (pas d’hystérésis)

Plus de détails dans l’aide en ligne.

VT_R8

HystPos

Positif pour le signal

Hystérésis des valeurs limites définies en fonction de la plage du signal.

Plage d’hystérésis pour l’entrée en cas de changement de valeur avec augmentation. Les valeurs sont uniquement interprétées comme des dépassements de valeur limite si la valeur changeante est supérieure à la plage d’hystérésis définie ici.
Par défaut : 0 (pas d’hystérésis)

Plus de détails dans l’aide en ligne.

VT_R8

ArchHystNeg

Négatif pour l'archive

Hystérésis d’archivage en cas de changement appliquée à la plage de mesure.

Plage d’hystérésis pour l’entrée en cas de changement de valeur avec diminution. Les valeurs sont uniquement saisies dans l’archive si la valeur changeante est inférieure à la plage d’hystérésis définie ici.
Par défaut : 0 (pas d’hystérésis)

Plus de détails dans l’aide en ligne.

VT_R8

ArchHystPos

Positif pour l'archive

Hystérésis d’archivage en cas de changement appliquée à la plage de mesure.

Plage d’hystérésis pour l’entrée en cas de changement de valeur avec augmentation. Les valeurs sont uniquement saisies dans l’archive si la valeur changeante est supérieure à la plage d’hystérésis définie ici.
Par défaut : 0 (pas d’hystérésis)

Plus de détails dans l’aide en ligne.

VT_BOOL

DDEActive

Variable lue en permanence

Paramètre de lecture de la variable et de sa disponibilité via DDE dans le Runtime :

  • Active : La variable est toujours connectée au driver. Cela signifie qu’elle est continuellement lue par le driver, même si elle n’est pas nécessaire dans le projet à cet instant précis. Le driver connaît ainsi toujours les valeurs actuelles et l’état actuel des variables et peut les fournir immédiatement, si nécessaire. La variable est également disponible pour les autres applications Windows (par exemple, Excel, Visual Basic, etc.). Les applications Windows possédant une fonctionnalité de client DDE peuvent ainsi utiliser les valeurs de la variable.
    Temps d’actualisation : 0,5 s
    L'activation de cette option offre par exemple l’avantage de basculer plus rapidement les valeurs de variables dans la fonction Ecriture valeur prescrite ou dans l’élément Appel de synoptique, car il n’est pas nécessaire d’interroger spécialement la variable avant la commutation. L’inconvénient est une augmentation de la charge des communications au niveau du contrôleur.
  • Inactive : La variable n’est pas interrogée en permanence par le driver, mais uniquement en cas de demande de valeurs ou d’états dans le Runtime. Elle n’est donc pas disponible dans les autres applications Windows via DDE.

Par défaut : Inactive

Plus de détails dans l’aide en ligne.

VT_UI4

ArraySizeOld

Dimension tableau

Définition de la taille de l’ensemble de blocs. La taille définie est lue ou écrite par le driver durant une demande de lecture/d’écriture. Ceci permet de garantir la cohérence des données dans le texte. Les données peuvent uniquement être modifiées dans le module Recipegroup Manager ou via l’interface de programmation.
Attention : peut être défini au niveau du driver interne, toutefois sans fonction dans le Runtime (valeur toujours égale à 0).

Plus de détails dans l’aide en ligne.

VT_UI4

CounterGroup

Groupe de compteur

Disponible uniquement dans SICAM 230.

VT_UI4

MaxGradient

Gradient maximum

Disponible uniquement dans SICAM 230.

VT_BOOL

NormalStateActive

Actif

Permet de définir un état normal pour les variables et les types de données du type BOOL, UINT et WORD pour tous les drivers.

Active : Un état normal peut être défini.

Par défaut : Inactive

Plus de détails dans l’aide en ligne.

VT_BOOL

NormalState

Valeur normale

Dans la liste déroulante, choisissez si la valeur normale de cette variable ou ce type de données doit être On (Active) ou Off (Inactive). Disponible pour les variables et les types de données du type BOOL, UINT et WORD pour tous les drivers.

Par défaut : Off

Plus de détails dans l’aide en ligne.

ZT_VARIABLE

AlarmPV0

Variable d'alarme 1

Disponible uniquement dans SICAM 230.
Première variable pour la gestion d’alarmes de synoptiques.

Plus de détails dans l’aide en ligne.

ZT_VARIABLE

AlarmPV1

Variable d'alarme 2

Disponible uniquement dans SICAM 230.
Deuxième variable pour la gestion d’alarmes de synoptiques.

Plus de détails dans l’aide en ligne.

ZT_VARIABLE

AlarmPV2

Variable d'alarme 3

Disponible uniquement dans SICAM 230.
Troisième variable pour la gestion d’alarmes de synoptiques.

Plus de détails dans l’aide en ligne.

VT_BOOL

HDActive

Stockage de données sur disque dur actif

Active : les valeurs de variables sont enregistrées sur le disque dur (enregistrement circulaire) pour être évaluées dans l’élément dynamique "Élément de tendance" ou pour l’exportation/l’importation des valeurs.

Inactive : aucune valeur de variable n’est enregistrée.

Par défaut : inactive

Les données de disque dur nécessitent 24 octets d’espace de stockage par valeur, indépendamment du type de variable. Outre la valeur, les informations suivantes sont enregistrées :
- Heure d’exécution de la mesure.
- Millisecondes lors de la lecture de la valeur.
- Modification de l’état de la valeur en fonction des éléments.
- Compteur pour l’identification unique de la valeur (driver événementiel).

Remarque : Le stockage de données est également activé lors d’un appel de synoptique de type Extended Trend si des données en ligne sont analysées.
Les variables de type chaîne ne sont pas prises en charge par la fonction de stockage de données sur le disque dur.

Attention : si l’option d’enregistrement sur disque dur est activée pour un trop grand nombre de variables, en présence d’un trop grand nombre de valeurs, les performances du Runtime peuvent être altérées.

Plus de détails dans l’aide en ligne.

VT_R4

HDUpdate

Temps de cycle [s]

Disponible uniquement si la propriété Stockage de données sur disque dur actif est active :
Durée de l’intervalle [en secondes] de conservation des valeurs en ligne sur le disque dur (mémoire circulaire) pour l’analyse dans l’élément dynamique Tendance, pour les données en ligne dans le module Extended Trend ou pour l’exportation/l’importation de valeurs.

Plus de détails dans l’aide en ligne.

VT_UI4

HDSize

Nombre de valeurs

Valeur correspondant à l’intervalle de conservation des valeurs en ligne sur le disque dur (mémoire circulaire) pour l’analyse dans l’élément dynamique Tendance, pour les données en ligne dans le module Extended Trend ou pour l’exportation/l’importation de valeurs.

Attention : si l’option d’enregistrement sur disque dur est activée pour un trop grand nombre de variables, en présence d’un trop grand nombre de valeurs, les performances du Runtime peuvent être altérées.

Plus de détails dans l’aide en ligne.

VT_BOOL

IsKDAActiv

Type d'enregistrement

Disponible uniquement si la propriété Stockage de données sur disque dur actif est active :
Données de disque dur (cyclique) : Écriture cyclique des valeurs sur le disque dur.
Valeurs retriées (RDA) : Les valeurs sont écrites bloc par bloc sur le disque dur par le driver. (Fonction adaptée à l’analyse rétrospective des erreurs au niveau du système de contrôle.)

Plus de détails dans l’aide en ligne.

VT_BOOL

ExternVisible

Visible extérieurement pour

Disponible uniquement si la propriété Visible par d'autres programmes est active.

Spécifiez expressément les projets de zenon Logic pour lesquels la variable doit être visible. Si vous laissez le champ de saisie vide, la variable est visible pour tous les projets zenon Logic. Vous pouvez également saisir des projets zenon Logic de manière expresse. Séparez les noms des projets individuels par un point-virgule (";"). Vous pouvez utiliser les opérateurs. Par exemple, P1* signifie tous les projets zenon Logic commençant par P1. (Remarque : les opérateurs sont uniquement autorisés sous forme de préfixe ou de suffixe, par exemple, *xxx ou xxx*.

Le nombre de caractères est limité à 64.

Par défaut : -

Plus de détails dans l’aide en ligne.

VT_BSTR

ExternVisibleFor

Visible extérieurement pour

Disponible uniquement si la propriété Visible par d'autres programmes est active.

Spécifiez expressément les projets de zenon Logic pour lesquels la variable doit être visible. Si vous laissez le champ de saisie vide, la variable est visible pour tous les projets zenon Logic. Vous pouvez également saisir des projets zenon Logic de manière expresse. Séparez les noms des projets individuels par un point-virgule (";"). Vous pouvez utiliser les opérateurs. Par exemple, P1* signifie tous les projets zenon Logic commençant par P1. (Remarque : les opérateurs sont uniquement autorisés sous forme de préfixe ou de suffixe, par exemple, *xxx ou xxx*.

Le nombre de caractères est limité à 64.

Par défaut : -

Plus de détails dans l’aide en ligne.

VT_BOOL

ReadWrite

Ecriture/lecture externe

Propriété externe pour zenon Logic. Affecte uniquement les variables qui ne forment pas partie du driver straton.
Active : la valeur de la variable ne peut pas être modifiée dans zenon Logic. La définition de la variable ne peut pas être modifiée dans zenon Logic.
Inactive : la variable ne peut pas être modifiée dans zenon Logic.
Par défaut : active.

Plus de détails dans l’aide en ligne.

VT_BSTR

InitialValue

Valeur initiale externe

Propriété externe pour zenon Logic. Affecte uniquement les variables qui ne forment pas partie du driver straton.
Valeur initiale de la variable dans zenon Logic durant une reprise graduelle ou une reprise intermédiaire.
La saisie autorisée ici dépend du type de données de la variable. Par exemple, vous pouvez uniquement utiliser des valeurs sans décimales pour les variables entières. Pour les variables à virgule flottante, un point doit être utilisé en tant que séparateur décimal ; les virgules ne peuvent pas être utilisées.
Le système de contrôle ne vérifie pas la validité de cette saisie. Ceci peut générer un message d’erreur dans zenon Logic.

Attention : lors de l’utilisation de variables du driver interne, cette propriété doit posséder la même valeur que la valeur initiale dans les paramètres des variables internes.

Plus de détails dans l’aide en ligne.

VT_BSTR

Profilename

Nom profil externe

Propriété externe pour zenon Logic. Affecte uniquement les variables qui ne forment pas partie du driver straton.
Nom du profil défini dans zenon Logic (par ex. STRATON, ProfDP).

Cette propriété est uniquement affichée pour information. Édition dans zenon Logic uniquement.

Plus de détails dans l’aide en ligne.

VT_BSTR

Adressparam

Paramètre externe d'adresse

Propriété externe pour zenon Logic. Affecte uniquement les variables qui ne sont pas des variables du driver straton.
Propriétés de profil dans zenon Logic (par ex. "intégré" ou paramètres d’adressage de Profibus).

Cette propriété est uniquement affichée pour information. Édition dans zenon Logic uniquement.

Plus de détails dans l’aide en ligne.

VT_BSTR

Vargroup

Groupe de variables externe

Propriété externe pour zenon Logic. Affecte uniquement les variables qui ne sont pas des variables du driver straton32.
Groupes de variables dans zenon Logic ("Global" ou "Retain" ou vides).

Cette propriété est uniquement affichée pour information. Édition dans zenon Logic uniquement.

Plus de détails dans l’aide en ligne.

VT_BOOL

IsRemaActiv

Matrice de réaction active

Active : Une matrice de réaction est utilisée à la place des valeurs de limite.
Inactive : Les valeurs peuvent être définies pour la variable.
Par défaut : inactive.

Plus de détails dans l’aide en ligne.

ZT_REMA

Rema

Matrice de réaction

Propriétés d’utilisation d’une matrice de réaction pour la variable.

Plus de détails dans l’aide en ligne.

ZT_VARIABLE

AlarmQuitPV

Valeur d'acquittement

Si une alarme de cette variable est acquittée visuellement, la variable sélectionnée sous Variable d'acquittement visuel ou Variable d'acquittement est définie sur cette valeur.

Sélection de 0 ou 1.

Plus de détails dans l’aide en ligne.

ZT_VARIABLE

AlarmViewQuitPV

Variable d'acquittement visuel

Si une alarme de la variable de contrôle est acquittée visuellement, la valeur de la variable d’acquittement visuel est définie sur la valeur définie par Valeur d'acquittement.

Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de variables binaires.

Plus de détails dans l’aide en ligne.

VT_UI4

AlarmQuitPVValue

Valeur d'acquittement

Si une alarme de cette variable est acquittée visuellement, la variable sélectionnée sous Variable d'acquittement visuel ou Variable d'acquittement est définie sur cette valeur.

Sélection de 0 ou 1.

Plus de détails dans l’aide en ligne.

VT_BOOL

VarInASM

Enregistrer dans la base IPA

Active : les alarmes de cette variable sont disponibles pour analyse dans le module Industrial Performance Analyzer (IPA).
Inactive : les alarmes de cette variable ne sont prises en compte lors de l’analyse dans le module Industrial Performance Analyzer (IPA).
Par défaut : Inactive

Attention : le module Industrial Performance Analyzer est un module optionnel, qui doit comporter une licence valide pour pouvoir être utilisé ici.

Plus de détails dans l’aide en ligne.

VT_BOOL

AlarmViaEquipmentModel

Utiliser la gestion d'alarmes hiérarchiques du modèle d'équipement

Type d’attribution de la variable à un domaine d’alarmes.

  • Active :
    Le domaine d’alarmes de la variable est transféré par le modèle d’équipement. L’alarme de la variable est applicable aux domaines d’alarmes définis dans le modèle d’équipement. Dans ce cas, le groupe d’équipements de la variable et le groupe d’équipements de niveau supérieur du modèle d’équipement sont pris en compte.
  • Inactive :
    L'alarme sur la variable est applicable aux domaines d’alarmes 1 à 4 de la gestion d’alarmes.

Remarque : Si cette propriété est activée pour un type de données, les paramètres de toutes les variables issues de celle-ci sont transférés.

Plus de détails dans l’aide en ligne.

ZT_BSTR_REF

AreaName

AreaName

Description as text.

ZT_BSTR_REF

AreaName2

AreaName2

Description as text.

ZT_BSTR_REF

AreaName3

AreaName3

Description as text.

ZT_BSTR_REF

AreaName4

AreaName4

Description as text.

VT_BOOL

InOut

Ecrire valeur prescrite

Active : cette variable est libérée pour l’action Spécifier valeur prescrite.
Inactive : cette variable est protégée en écriture.
Par défaut : Active

Plus de détails dans l’aide en ligne.

VT_BOOL

SBO

Select Before Operate

Attention : Cette fonctionnalité est uniquement compatible avec les drivers IEC870 et IEC850, et uniquement disponible si vous avez sélectionné l’option Commande commutation pour la propriété de type d’action dans Gestion des commandes, et l’action est mise en œuvre sous forme d’action à deux étapes. N’utilisez pas cette fonction pour le driver DNP3_NG ; Auto-SBO peut être configuré directement pour la variable, dans ce cas.

Active : Avant que la valeur de la variable ne soit écrite dans le matériel, zenon vérifie, pendant la première phase de la commande de commutation, si la variable dans l’équipement est prête pour cette action (Select before Operate (SBO)).
Attention : Pour les commandes impulsion, la réinitialisation automatique des valeurs des variables n’est pas effectuée dans l’intervalle de temps défini dans la propriété de délai de front.

Si la propriété SBO a été activée pour la variable d’action, une commande d’impulsion se comporte de la même manière qu’une commande de commutation.

Inactive : La valeur de la variable est transférée vers le driver sans vérification préalable.

Remarque : dans un driver IEC870, cela signifie une instruction Direct execute. Le driver IEC850 peut toutefois déclencher automatiquement une instruction Select before Operate , en raison du Control Model.
Par défaut : Inactive :
Plus de détails dans l’aide en ligne.

VT_BOOL

CancelOperate

Annuler 'Operate'

Si cette propriété est activée, il est possible d’envoyer une commande Cancel après une commande Operate lors de la gestion des commandes.

Remarque : Cette propriété est uniquement dans la version Energy Edition.

Par défaut : Inactive

Plus de détails dans l’aide en ligne.

VT_R8

ValueMin

Valeur prescrite min.

La valeur minimum définie ici pour le paramètre Écrire valeur prescrite peut être acceptée par le biais d’éléments dynamiques, plutôt que par la configuration séparée de ces derniers.
Ceci est surtout recommandé si la plage de la mesure est susceptible de varier ultérieurement, car ces modifications peuvent être effectuées une fois ici, au lieu d’être modifiées séparément dans chaque élément.

Plus de détails dans l’aide en ligne.

VT_R8

ValueMax

Valeur prescrite max.

La valeur maximum définie ici pour le paramètre Écrire valeur prescrite peut être acceptée par le biais d’éléments dynamiques, plutôt que par la configuration séparée de ces derniers.
Ceci est surtout recommandé si la plage de la mesure est susceptible de varier ultérieurement, car ces modifications peuvent être effectuées une fois ici, au lieu d’être modifiées séparément dans chaque élément.

Plus de détails dans l’aide en ligne.

VT_BSTR

LockingName

LockingName

"With this property you have the opportunity to assign an interlocking via its name.
zElement.DynProperties(""LockingName"") = ""Interlocking 1"""

VT_UI1

SetValueProtocol

Enregistrement (fichier journal)

Définit la manière dont l’écriture de la valeur prescrite sera consignée dans la liste CEL.

  • Tout : Toutes les actions Écrire valeur prescrite de cette variable exécutées via des éléments dynamiques et les fonctions Écrire valeur prescrite sont consignées dans la liste d’événements. (CEL)
  • Rien : aucune action Spécifier valeur prescrite n’est consignée dans la liste CEL.
  • Seulement sur élément dynamique : Seules les actions Écrire valeur prescrite exécutées via les éléments dynamiques sont consignées dans la liste CEL.

Par défaut : Uniquement les éléments dynamiques :

Plus de détails dans l’aide en ligne.

VT_BOOL

SV_Act

Ancienne et nouvelle valeur
  • Active : en cas de modification de la valeur prescrite de cette variable, les valeurs ancienne et nouvelle sont consignées dans la liste d’événements (CEL).
  • Inactive : Seule la nouvelle valeur est consignée.

Par défaut : Inactive

Recommandation : Activez la propriété Variable lue en permanence. Ceci permet de garantir que la valeur est toujours disponible, et qu’il n’est pas nécessaire de l’interroger spécialement.

Plus de détails dans l’aide en ligne.

VT_BOOL

SV_VBA

Valeurs modifiées par VBA

Active : L’écriture de la valeur prescrite de cette variable via une macro VBA est consignée dans la liste d’événements.
inactive : l’écriture de la valeur prescrite de cette variable via une macro VBA n’est pas consignée.
Par défaut : Active

Remarque : pour les variables configurées sous forme de variables de commande dans la passerelle de procédé IEC870, chaque commande est consignée sous la forme Spécifier valeur prescrite via l’interface COM dans la liste CEL, si la propriété est activée.

Plus de détails dans l’aide en ligne.

VT_BSTR

VisualName

Nom visuel

Saisie d’un nom d’affichage de la variable dans zenon Analyzer. Celui-ci doit être unique dans le projet, mais ceci n’est pas vérifié dans zenon. Cette vérification est effectuée lors de l’importation dans zenon Analyzer.

Cette propriété fournit des informations qui sont utilisées pour la configuration de rapports dans zenon Analyzer. L’exportation des données de zenon vers zenon Analyzer est effectuée à l’aide de l’assistant Analyzer Export Wizard.

Attention : Si cette propriété est modifiée après la première exportation vers zenon Analyzer, ces modifications ne sont appliquées dans zenon Analyzer.

Plus de détails dans l’aide en ligne.

VT_BSTR

Meaning

Signification

Cette propriété fournit des informations qui sont utilisées par la fonction de configuration de rapports dans zenon Analyzer.
Les données peuvent être définies manuellement ou à l’aide de l’assistant Meaning and Waterfall Chart Wizard. L’exportation des données de zenon vers zenon Analyzer est effectuée à l’aide de l’assistant Analyzer Export Wizard.

Saisie de la signification (meaning) d’une variable dans zenon Analyzer. Plusieurs significations doivent être séparées par une virgule.
Syntaxe : [signification1],[signification2],…,[significationN]

Plus de détails dans l’aide en ligne.

VT_BSTR

WaterfallParam

Paramètre pour le waterfall diagram

Cette propriété fournit des informations qui sont utilisées par la fonction de configuration de rapports dans zenon Analyzer.
Les données peuvent être définies manuellement ou à l’aide de l’assistant Meaning and Waterfall Chart Wizard. L’exportation des données de zenon vers zenon Analyzer est effectuée à l’aide de l’assistant Analyzer Export Wizard.

Paramètres d’une variable pour un diagramme en cascade dans zenon Analyzer. Les entrées peuvent être créées pour les rapports par ligne ou les rapports par machine. Lors de l’exportation, en fonction de la structure des entrées, une décision est prise pour déterminer s’il s’agit d’entrées correspondant à des diagrammes par machine ou par ligne.

Les paramètres individuels doivent être séparés par une virgule. Plusieurs cascades doivent être séparées par un poing-virgule.
Syntaxe, par machine : [nom modèle],[indice de ligne],[indice de colonne],[code de couleur];
Syntaxe, par ligne : [nom du modèle],[indice de ligne],[indice de colonne],[code de couleur],[perte de machine auxiliaire],[ajout de perte de machine auxiliaire],[soustraction de perte de machine auxiliaire];

Plus de détails dans l’aide en ligne.

VT_BOOL

Use_in_ProcRec

Activer l'enregistrement

Active/désactive la variable ou le type de données enregistré dans le module Process Recorder.
La sélection multiple de variables est possible.

  • Active :
    Les changements de valeur de la variable sont enregistrés dans le module Process Recorder.
    Attention : Assurez-vous que l’activation générale de l’enregistrement a été configurée dans la propriété Activer Process Recorder.
  • Inactive :
    Les changements de valeur de la variable ne sont pas enregistrés dans le module Process Recorder.

Par défaut : les paramètres configurés sont appliqués pour le type de données utilisé.

Plus de détails dans l’aide en ligne.


CMathInfo

Manuel -> Interfaces de programmation -> Modèles d'objet -> Variable -> Variable-Dynamic properties -> CMathInfo

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Type

VBA/VSTA Name

Display Name

Description

More...

SourceVars

SourceVars

VT_UI2

Type

Type

VT_BSTR

Formula

Formule

Ouvre la boîte de dialogue de saisie de la formule de calcul des variables.

Plus de détails dans l’aide en ligne.

ZT_MEMFILE

MathInfo

MathInfo

ZT_VARIABLE

EnableCalc

Calcul actif

Associe une variable à la variable mathématique. La valeur de la variable détermine si le calcul doit être effectué. La propriété est activée lors de l’association d’une variable.

Cliquez sur le bouton ... ou dans le champ contenant la variable pour ouvrir la boîte de dialogue de sélection de variables.

Par défaut : désactivée, aucune variable attribuée.

Plus de détails dans l’aide en ligne.


MathDr32 - Variable ED

Manuel -> Interfaces de programmation -> Modèles d'objet -> Variable -> Variable-Dynamic properties -> MathDr32 - Variable ED

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Type

VBA/VSTA Name

Display Name

Description

More...

MathInfo

MathInfo

Contains information if e.g. var is used to determine a sum (as in data reduction)

VT_BOOL

IsLocalDigits

IsLocalDigits

"With this property you have the opportunity to decide whether the ""Decimals"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalSignalMin

IsLocalSignalMin

"With this property you have the opportunity to decide whether the ""Minimum signal resolution"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalSignalMax

IsLocalSignalMax

"With this property you have the opportunity to decide whether the ""Maximum signal resolution"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalRangeMin

IsLocalRangeMin

"With this property you have the opportunity to decide whether the ""Minimum measuring range"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalRangeMax

IsLocalRangeMax

"With this property you have the opportunity to decide whether the ""Maximum measuring range"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalAlternateValue

IsLocalAlternateValue

"With this property you have the opportunity to decide whether the ""Alternate value"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalValueMin

IsLocalValueMin

"With this property you have the opportunity to decide whether the ""Minimum set value"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalValueMax

IsLocalValueMax

"With this property you have the opportunity to decide whether the ""Maximum set value"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalUseMacro

IsLocalUseMacro

"With this property you have the opportunity to decide whether the ""Non linear value adjustment with macros"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalInOut

IsLocalInOut

"With this property you have the opportunity to decide whether the ""Setting values active"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalHystNeg

IsLocalHystNeg

"With this property you have the opportunity to decide whether the ""negative hysteresis"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalHystPos

IsLocalHystPos

"With this property you have the opportunity to decide whether the ""negative hysteresis"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalArchHystNeg

IsLocalArchHystNeg

VT_BOOL

IsLocalArchHystPos

IsLocalArchHystPos

VT_BOOL

IsLocalUpdatePriority

IsLocalUpdatePriority

"With this property you have the opportunity to decide whether the ""Priority of the driver connection"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalDDEaktiv

IsLocalDDEaktiv

"With this property you have the opportunity to decide whether the ""DDE active"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalStandby

IsLocalStandby

"With this property you have the opportunity to decide whether the ""Only read from standby"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalRemaActiv

IsLocalRemaActiv

"With this property you have the opportunity to decide whether the ""Reaction matrix active"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalRema

IsLocalRema

"With this property you have the opportunity to decide whether the ""Reaction matrix"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalHDActive

IsLocalHDActive

"With this property you have the opportunity to decide whether the ""HD active"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalHDUpdate

IsLocalHDUpdate

"With this property you have the opportunity to decide whether the ""HD scan rate"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalHDSize

IsLocalHDSize

"With this property you have the opportunity to decide whether the ""Number of HD values"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalKDAActiv

IsLocalKDAActiv

"With this property you have the opportunity to decide whether the ""Recording type"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalStingLength

IsLocalStingLength

"With this property you have the opportunity to decide whether the ""String length"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalQuitPV

IsLocalQuitPV

"With this property you have the opportunity to decide whether the ""Acknowledgement variable"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalViewQuitPV

IsLocalViewQuitPV

Description as text.

VT_BOOL

IsLocalQuitValue

IsLocalQuitValue

"With this property you have the opportunity to decide whether the ""Acknowledgement value"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalTagname

IsLocalTagname

"With this property you have the opportunity to decide whether the ""Identification"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalUnit

IsLocalUnit

"With this property you have the opportunity to decide whether the ""Unit"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalAltValString

IsLocalAltValString

"With this property you have the opportunity to decide whether the ""String alternative value"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalRecLabel

IsLocalRecLabel

"With this property you have the opportunity to decide whether the ""Ressources label"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalAdjustHW

IsLocalAdjustHW

"With this property you have the opportunity to decide whether the ""AdjustHardwareValue"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalAdjustZenon

IsLocalAdjustZenon

"With this property you have the opportunity to decide whether the ""AdjustZenOnValue"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalArraySize

IsLocalArraySize

"With this property you have the opportunity to decide whether the ""Array size"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalCounterGroup

IsLocalCounterGroup

VT_BOOL

IsLocalMaxGradient

IsLocalMaxGradient

VT_BOOL

IsLocalNormalStateActive

IsLocalNormalStateActive

VT_BOOL

IsLocalNormalState

IsLocalNormalState

VT_BOOL

IsLocalAlarmPV0

IsLocalAlarmPV0

"With this property you have the opportunity to decide whether the ""Alarm Variable 1"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalAlarmPV1

IsLocalAlarmPV1

"With this property you have the opportunity to decide whether the ""Alarm Variable 2"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalAlarmPV2

IsLocalAlarmPV2

"With this property you have the opportunity to decide whether the ""Alarm Variable 3"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalVarInASM

IsLocalVarInASM

"With this property you have the opportunity to decide whether the ""Save in IPA database"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalAlarmDomain

IsLocalAlarmDomain

"With this property you have the opportunity to decide whether the ""Alarm area"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalAlarmDomain2

IsLocalAlarmDomain2

Description as text.

VT_BOOL

IsLocalAlarmDomain3

IsLocalAlarmDomain3

Description as text.

VT_BOOL

IsLocalAlarmDomain4

IsLocalAlarmDomain4

Description as text.

VT_BOOL

IsLocalLocking

IsLocalLocking

"With this property you have the opportunity to decide whether the ""Interlocking"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalSBO

IsLocalSBO

"With this property you have the opportunity to decide whether the ""Select before operate"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalCancelOperate

IsLocalCancelOperate

Description

VT_BOOL

IsLocalAlarmViaEquipmentModel

IsLocalAlarmViaEquipmentModel

Description

VT_BOOL

IsLocalUsedInProcRec

IsLocalUsedInProcRec

Description

VT_UI1

IsSWProtokol

IsSWProtokol

VT_BOOL

IsSW_Akt

IsSW_Akt

VT_BOOL

IsSW_VBA

IsSW_VBA

More...

Limits

Valeurs limite

Propriétés définissant le traitement des valeurs limites ou le traitement des alarmes pour la variable.

Les propriétés de ce groupe sont uniquement disponibles si vous avez activé la propriété Matrice de réaction active.

Plus de détails dans l’aide en ligne.

VT_UI4

ID_ComplexVariable

ID_ComplexVariable

With this property you have the opportunity to get/set the ID of a variable from a structure element. This ID is 0 when the variable has no structure datatype.

VT_BSTR

Name

Nom

Nom unique de la variable. Les considérations suivantes s’appliquent lors de la définition du nom :

  • Longueur maximale : 128 caractères
  • Caractères non autorisés : # et @

Remarque : pour les drivers utilisant la connexion à zenon Logic, vous devez définir un préfixe. Pour plus de détails, reportez-vous au chapitre Création de variables O et M dans zenon Logic dans le manuel.
Toute modification du nom de la variable doit également être effectuée dans l’environnement de programmation (VBA, VSTA).

Attention : Cette propriété n’est pas disponible aux fins de la commutation de langue.

Plus de détails dans l’aide en ligne.

VT_BSTR

Tagname

Identification

Chaîne libre utilisée pour l’identification de la variable ou du type de données.
Remarque : Puisque la langue du nom de la variable (propriété Nom) ne peut pas être modifiée, cette propriété peut être utilisée pour le changement de langue en ligne.

Longueur maximale : 128 caractères

Plus de détails dans l’aide en ligne.

VT_BSTR

Unit

Unité de mesure

Unité technique de la variable devant être affichée dans le Runtime. Si vous avez déjà créé des unités de mesure dans le module d’unités de base, celles-ci sont disponibles dans une liste déroulante.
Maximum : 50 caractères.
Par défaut : vide

Plus de détails dans l’aide en ligne.

VT_R8

AlternateValue

Archivfüllwert

Cette valeur est utilisée pour renseigner les archives cycliques. En présence d’intervalles durant lesquels aucune connexion au matériel n’a été établie, cette valeur est utilisée tant qu’aucune valeur n’est transférée depuis l’équipement. Dans le cas contraire, la dernière valeur valide utilisée est utilisée aux fins du renseignement.

Plus de détails dans l’aide en ligne.

VT_BSTR

AlternateValueString

Valeur chaîne pour le remplissage des archives

Cette valeur est utilisée pour les variables de chaîne, afin de renseigner les archives cycliques.
En présence d’intervalles, dans les archives cycliques, durant lesquels aucune connexion au matériel n’a été établie, cette Valeur chaîne pour le remplissage des archives est utilisée tant qu’aucune valeur n’est transférée depuis l’équipement. Dans le cas contraire, la dernière valeur valide est utilisée pour le renseignement.

Longueur maximale : 128 caractères

Attention : Cette propriété n’est pas disponible aux fins de la commutation de langue.

Plus de détails dans l’aide en ligne.

VT_BSTR

Recourceslabel

Description externe

Chaîne au choix.
N'est pas utilisé au niveau interne dans zenon, mais est disponible lors de l’exportation de valeurs pour autoriser l’attribution des valeurs exportées pour les systèmes de gestion tels qu’ERP.

Longueur maximale : 255 caractères

Plus de détails dans l’aide en ligne.

VT_UI4

NetAddr

Adresse réseau

Adresse de bus ou Adresse réseau de la variable.

  • Minimum : 0
  • Maximum : 4294967295

Par défaut : 0

Plus de détails dans l’aide en ligne.

VT_UI4

DataBlock

Bloc de données

Numéro de bloc de données.
Minimum : 0.
Maximum : 4294967295
Par défaut : 0.

Plus de détails dans l’aide en ligne.

VT_UI4

Offset

Offset

Décalage de la variable.
Pour les contrôleurs à adressage linéaire : plage de mémoire.
Pour les contrôleurs à résolution de nom : adresse d’attribution.
Minimum : 0.
Maximum : 4294967295
Par défaut : 0.

Plus de détails dans l’aide en ligne.

VT_UI2

BitAddr

Numéro de bit

Numéro du bit dans le décalage configuré.
Minimum : 0.
Maximum : 65535
Par défaut : 0.

Plus de détails dans l’aide en ligne.

VT_UI2

Alignment

Alignement

Ceci dépend de la granularité du type d’objet du driver et de la position de la variable conformément au décalage défini.

Pour les variables de type Octet :
Octet poids fort : octet de poids fort dans le décalage de mot.
Octet poids faible : Otet de poids faible dans le décalage de mot.
HiWord-HiByte octet de poids fort dans le mot fort dans le décalage de double mot.
HiWord-LoByte (Mot poids fort-Octet poids faible) octet de poids faible dans le mot fort dans le décalage de double mot.
Mot poids faible-Octet poids fort : octet de poids fort dans le mot faible dans le décalage de double mot.
Mot poids faible-Octet poids faible : octet de poids faible dans le mot faible dans le décalage de double mot.

Pour les variables de mot :
Mot poids fort : mot fort dans le décalage de double mot.
Mot poids faible : Mot poids faible dans le décalage de double mot.

Plus de détails dans l’aide en ligne.

VT_UI2

StringLength

Longueur de la chaîne

Disponible uniquement pour les variables de type chaîne.
Nombre maximum de caractères que peut accepter une variable.
Minimum : 1 caractère
Si la valeur non autorisée 0 est saisie, la dernière valeur configurée valide est automatiquement utilisée. Si aucune valeur valide n’a été configurée, l’entrée est remplacée par la valeur par défaut.
Maximum : 65535 caractères.
Par défaut : 5 caractères

Remarque : la valeur par défaut est 65 535 pour les variables système avec le type de données String.

Plus de détails dans l’aide en ligne.

VT_BSTR

SymbAddr

Adresse symbolique

Séquence de caractères pour l’adressage symbolique des variables.

Longueur maximale : 1024 caractères.

Remarque : L’adresse symbolique n’est pas prise en charge par tous les drivers.
Lors de l’importation des variables dans des drivers compatibles avec l’adressage symbolique, la propriété est saisie automatiquement.

Plus de détails dans l’aide en ligne.

VT_UI4

Driver

Drivers

VT_UI4

ID_DataTyp

Type de données

Type de donnée pour la variable. Sélectionné durant la création de la variable ; peut être modifié ici ultérieurement.
Remarque : Pour les variables de structure, le type de données ne peut plus être modifié après la création des variables.
Attention : Si vous modifiez le type de données ultérieurement, toutes les autres propriétés de la variable doivent être vérifiées et ajustées, si nécessaire.

Plus de détails dans l’aide en ligne.

VT_UI4

ID_DriverTyp

Type d'objet driver

Selon le driver utilisé, un type d’objet est sélectionné durant la création de la variable et peut être modifié ici ultérieurement.
Siemens : bloc de données, marqueur, entrée/sortie.
Modbus : Coil et Holding Register.

Plus de détails dans l’aide en ligne.

VT_UI1

UpdatePriority

Priorité

Si l’heure de mise à jour globale spécifiée dans la configuration du driver n’est pas utilisée, la fréquence des mises à jour correspondant aux différents niveaux de priorité peut être définie ici. Dans cette propriété, une priorité est attribuée à une variable.

Plus de détails dans l’aide en ligne.

VT_BOOL

Standby

Lire uniquement sur le serveur redondant

Active : La valeur de la variable provenant du serveur redondant est affichée.
Inactive : La valeur de la variable provenant du serveur est affichée.
(drivers matériels uniquement)

Plus de détails dans l’aide en ligne.

VT_UI2

Digits

Nombre de décimales

Nombre de décimales des valeurs de variables utilisées lors de l’affichage dans le système de contrôle.
Minimum : 0
Maximum : 10
Par défaut : 0

Plus de détails dans l’aide en ligne.

VT_R8

SignalMin

Signal min.

Valeur minimum de la variable dans l’automate.
À moins d’être définie différemment dans la propriété Ajustement non-linéaire, la valeur brute des variables (résolution du signal) sera toujours convertie au format de la plage de mesure sur une base linéaire (pour une utilisation dans le système de contrôle). Toutes les autres entrées de valeurs numériques spécifiques à la variable dans Editor et dans le Runtime seront liées à la plage de mesures (par ex. définition des valeurs limites, limites des valeurs prescrites, zone de représentation, entrées de valeurs prescrites, etc.).

Plus de détails dans l’aide en ligne.

VT_R8

SignalMax

Signal max.

Valeur maximum de la variable dans l’automate. À moins d’être définie différemment dans la propriété Ajustement non-linéaire, la valeur brute des variables (résolution du signal) sera toujours convertie au format de la plage de mesure sur une base linéaire (pour une utilisation dans le système de contrôle). Toutes les autres entrées de valeurs numériques spécifiques à la variable dans Editor et dans le Runtime seront liées à la plage de mesures (par ex. définition des valeurs limites, limites des valeurs prescrites, zone de représentation, entrées de valeurs prescrites, etc.).

Plus de détails dans l’aide en ligne.

VT_R8

RangeMin

Plage de mesure min.

Valeur minimum des variables dans zenon.
À moins d’être définie différemment dans la propriété Ajustement non-linéaire, la valeur brute des variables (résolution du signal) sera toujours convertie au format de la plage de mesure sur une base linéaire (pour une utilisation dans le système de contrôle). Toutes les autres entrées de valeurs numériques spécifiques à la variable dans Editor et dans le Runtime seront liées à la plage de mesures (par ex. définition des valeurs limites, limites des valeurs prescrites, zone de représentation, entrées de valeurs prescrites, etc.).

Plus de détails dans l’aide en ligne.

VT_R8

RangeMax

Plage de mesure max.

Valeur maximum des variables dans zenon.
À moins d’être définie différemment dans la propriété Ajustement non-linéaire, la valeur brute des variables (résolution du signal) sera toujours convertie au format de la plage de mesure sur une base linéaire (pour une utilisation dans le système de contrôle). Toutes les autres entrées de valeurs numériques spécifiques à la variable dans Editor et dans le Runtime seront liées à la plage de mesures (par ex. définition des valeurs limites, limites des valeurs prescrites, zone de représentation, entrées de valeurs prescrites, etc.).

Plus de détails dans l’aide en ligne.

VT_BOOL

UseMacro

Ajustement non-linéaire avec macros

L’ajustement de valeurs non linéaires est utilisé pour les variables dont la valeur originale (automate) ne peut pas être ajustée de manière linéaire en fonction de la valeur mesurée (système de contrôle).

  • Active : Les valeurs brutes sont ajustées en fonction de zenon, sur une base non linéaire, avec des macros VBA.
  • Inactive : Les valeurs brutes sont ajustées en fonction de zenon.

Remarque : Lors de l’activation de la propriété, les propriétés AdjustHardwareValue et AdjustScadaValue doivent également être configurées. La propriété AdjustHardwareValue doit alors être configurée à l’inverse de la propriété AdjustScadaValue, sous forme de fonction inverse.

Par défaut : Inactive

Plus de détails dans l’aide en ligne.

ZT_VBAMAKRO

AdjustHardware

AdjustHardwareValue

Disponible uniquement si la propriété Ajustement non-linéaire avec macros est active.

Macro appelée à chaque modification de la valeur brute dans l’automate, et qui modifie la valeur dans zenon. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de macros.
Plus de détails dans l’aide en ligne.

ZT_VBAMAKRO

AdjustZenon

AdjustScadaValue

Disponible uniquement si la propriété Ajustement non-linéaire avec macros est active.

La macro est appelée lors de l’écriture d’une valeur depuis zenon et modifie la valeur brute sur l’automate. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de macros.
Plus de détails dans l’aide en ligne.

VT_R8

HystNeg

Négatif pour le signal

Hystérésis des valeurs limites définies en fonction de la plage du signal.

Plage d’hystérésis pour l’entrée en cas de changement de valeur avec diminution. Les valeurs sont uniquement interprétées comme des dépassements de valeur limite si la valeur changeante est inférieure à la plage d’hystérésis définie ici.
Par défaut : 0 (pas d’hystérésis)

Plus de détails dans l’aide en ligne.

VT_R8

HystPos

Positif pour le signal

Hystérésis des valeurs limites définies en fonction de la plage du signal.

Plage d’hystérésis pour l’entrée en cas de changement de valeur avec augmentation. Les valeurs sont uniquement interprétées comme des dépassements de valeur limite si la valeur changeante est supérieure à la plage d’hystérésis définie ici.
Par défaut : 0 (pas d’hystérésis)

Plus de détails dans l’aide en ligne.

VT_R8

ArchHystNeg

Négatif pour l'archive

Hystérésis d’archivage en cas de changement appliquée à la plage de mesure.

Plage d’hystérésis pour l’entrée en cas de changement de valeur avec diminution. Les valeurs sont uniquement saisies dans l’archive si la valeur changeante est inférieure à la plage d’hystérésis définie ici.
Par défaut : 0 (pas d’hystérésis)

Plus de détails dans l’aide en ligne.

VT_R8

ArchHystPos

Positif pour l'archive

Hystérésis d’archivage en cas de changement appliquée à la plage de mesure.

Plage d’hystérésis pour l’entrée en cas de changement de valeur avec augmentation. Les valeurs sont uniquement saisies dans l’archive si la valeur changeante est supérieure à la plage d’hystérésis définie ici.
Par défaut : 0 (pas d’hystérésis)

Plus de détails dans l’aide en ligne.

VT_BOOL

DDEActive

Variable lue en permanence

Paramètre de lecture de la variable et de sa disponibilité via DDE dans le Runtime :

  • Active : La variable est toujours connectée au driver. Cela signifie qu’elle est continuellement lue par le driver, même si elle n’est pas nécessaire dans le projet à cet instant précis. Le driver connaît ainsi toujours les valeurs actuelles et l’état actuel des variables et peut les fournir immédiatement, si nécessaire. La variable est également disponible pour les autres applications Windows (par exemple, Excel, Visual Basic, etc.). Les applications Windows possédant une fonctionnalité de client DDE peuvent ainsi utiliser les valeurs de la variable.
    Temps d’actualisation : 0,5 s
    L'activation de cette option offre par exemple l’avantage de basculer plus rapidement les valeurs de variables dans la fonction Ecriture valeur prescrite ou dans l’élément Appel de synoptique, car il n’est pas nécessaire d’interroger spécialement la variable avant la commutation. L’inconvénient est une augmentation de la charge des communications au niveau du contrôleur.
  • Inactive : La variable n’est pas interrogée en permanence par le driver, mais uniquement en cas de demande de valeurs ou d’états dans le Runtime. Elle n’est donc pas disponible dans les autres applications Windows via DDE.

Par défaut : Inactive

Plus de détails dans l’aide en ligne.

VT_UI4

ArraySizeOld

Dimension tableau

Définition de la taille de l’ensemble de blocs. La taille définie est lue ou écrite par le driver durant une demande de lecture/d’écriture. Ceci permet de garantir la cohérence des données dans le texte. Les données peuvent uniquement être modifiées dans le module Recipegroup Manager ou via l’interface de programmation.
Attention : peut être défini au niveau du driver interne, toutefois sans fonction dans le Runtime (valeur toujours égale à 0).

Plus de détails dans l’aide en ligne.

VT_UI4

CounterGroup

Groupe de compteur

Disponible uniquement dans SICAM 230.

VT_UI4

MaxGradient

Gradient maximum

Disponible uniquement dans SICAM 230.

VT_BOOL

NormalStateActive

Actif

Permet de définir un état normal pour les variables et les types de données du type BOOL, UINT et WORD pour tous les drivers.

Active : Un état normal peut être défini.

Par défaut : Inactive

Plus de détails dans l’aide en ligne.

VT_BOOL

NormalState

Valeur normale

Dans la liste déroulante, choisissez si la valeur normale de cette variable ou ce type de données doit être On (Active) ou Off (Inactive). Disponible pour les variables et les types de données du type BOOL, UINT et WORD pour tous les drivers.

Par défaut : Off

Plus de détails dans l’aide en ligne.

ZT_VARIABLE

AlarmPV0

Variable d'alarme 1

Disponible uniquement dans SICAM 230.
Première variable pour la gestion d’alarmes de synoptiques.

Plus de détails dans l’aide en ligne.

ZT_VARIABLE

AlarmPV1

Variable d'alarme 2

Disponible uniquement dans SICAM 230.
Deuxième variable pour la gestion d’alarmes de synoptiques.

Plus de détails dans l’aide en ligne.

ZT_VARIABLE

AlarmPV2

Variable d'alarme 3

Disponible uniquement dans SICAM 230.
Troisième variable pour la gestion d’alarmes de synoptiques.

Plus de détails dans l’aide en ligne.

VT_BOOL

HDActive

Stockage de données sur disque dur actif

Active : les valeurs de variables sont enregistrées sur le disque dur (enregistrement circulaire) pour être évaluées dans l’élément dynamique "Élément de tendance" ou pour l’exportation/l’importation des valeurs.

Inactive : aucune valeur de variable n’est enregistrée.

Par défaut : inactive

Les données de disque dur nécessitent 24 octets d’espace de stockage par valeur, indépendamment du type de variable. Outre la valeur, les informations suivantes sont enregistrées :
- Heure d’exécution de la mesure.
- Millisecondes lors de la lecture de la valeur.
- Modification de l’état de la valeur en fonction des éléments.
- Compteur pour l’identification unique de la valeur (driver événementiel).

Remarque : Le stockage de données est également activé lors d’un appel de synoptique de type Extended Trend si des données en ligne sont analysées.
Les variables de type chaîne ne sont pas prises en charge par la fonction de stockage de données sur le disque dur.

Attention : si l’option d’enregistrement sur disque dur est activée pour un trop grand nombre de variables, en présence d’un trop grand nombre de valeurs, les performances du Runtime peuvent être altérées.

Plus de détails dans l’aide en ligne.

VT_R4

HDUpdate

Temps de cycle [s]

Disponible uniquement si la propriété Stockage de données sur disque dur actif est active :
Durée de l’intervalle [en secondes] de conservation des valeurs en ligne sur le disque dur (mémoire circulaire) pour l’analyse dans l’élément dynamique Tendance, pour les données en ligne dans le module Extended Trend ou pour l’exportation/l’importation de valeurs.

Plus de détails dans l’aide en ligne.

VT_UI4

HDSize

Nombre de valeurs

Valeur correspondant à l’intervalle de conservation des valeurs en ligne sur le disque dur (mémoire circulaire) pour l’analyse dans l’élément dynamique Tendance, pour les données en ligne dans le module Extended Trend ou pour l’exportation/l’importation de valeurs.

Attention : si l’option d’enregistrement sur disque dur est activée pour un trop grand nombre de variables, en présence d’un trop grand nombre de valeurs, les performances du Runtime peuvent être altérées.

Plus de détails dans l’aide en ligne.

VT_BOOL

IsKDAActiv

Type d'enregistrement

Disponible uniquement si la propriété Stockage de données sur disque dur actif est active :
Données de disque dur (cyclique) : Écriture cyclique des valeurs sur le disque dur.
Valeurs retriées (RDA) : Les valeurs sont écrites bloc par bloc sur le disque dur par le driver. (Fonction adaptée à l’analyse rétrospective des erreurs au niveau du système de contrôle.)

Plus de détails dans l’aide en ligne.

VT_BOOL

ExternVisible

Visible extérieurement pour

Disponible uniquement si la propriété Visible par d'autres programmes est active.

Spécifiez expressément les projets de zenon Logic pour lesquels la variable doit être visible. Si vous laissez le champ de saisie vide, la variable est visible pour tous les projets zenon Logic. Vous pouvez également saisir des projets zenon Logic de manière expresse. Séparez les noms des projets individuels par un point-virgule (";"). Vous pouvez utiliser les opérateurs. Par exemple, P1* signifie tous les projets zenon Logic commençant par P1. (Remarque : les opérateurs sont uniquement autorisés sous forme de préfixe ou de suffixe, par exemple, *xxx ou xxx*.

Le nombre de caractères est limité à 64.

Par défaut : -

Plus de détails dans l’aide en ligne.

VT_BSTR

ExternVisibleFor

Visible extérieurement pour

Disponible uniquement si la propriété Visible par d'autres programmes est active.

Spécifiez expressément les projets de zenon Logic pour lesquels la variable doit être visible. Si vous laissez le champ de saisie vide, la variable est visible pour tous les projets zenon Logic. Vous pouvez également saisir des projets zenon Logic de manière expresse. Séparez les noms des projets individuels par un point-virgule (";"). Vous pouvez utiliser les opérateurs. Par exemple, P1* signifie tous les projets zenon Logic commençant par P1. (Remarque : les opérateurs sont uniquement autorisés sous forme de préfixe ou de suffixe, par exemple, *xxx ou xxx*.

Le nombre de caractères est limité à 64.

Par défaut : -

Plus de détails dans l’aide en ligne.

VT_BOOL

ReadWrite

Ecriture/lecture externe

Propriété externe pour zenon Logic. Affecte uniquement les variables qui ne forment pas partie du driver straton.
Active : la valeur de la variable ne peut pas être modifiée dans zenon Logic. La définition de la variable ne peut pas être modifiée dans zenon Logic.
Inactive : la variable ne peut pas être modifiée dans zenon Logic.
Par défaut : active.

Plus de détails dans l’aide en ligne.

VT_BSTR

InitialValue

Valeur initiale externe

Propriété externe pour zenon Logic. Affecte uniquement les variables qui ne forment pas partie du driver straton.
Valeur initiale de la variable dans zenon Logic durant une reprise graduelle ou une reprise intermédiaire.
La saisie autorisée ici dépend du type de données de la variable. Par exemple, vous pouvez uniquement utiliser des valeurs sans décimales pour les variables entières. Pour les variables à virgule flottante, un point doit être utilisé en tant que séparateur décimal ; les virgules ne peuvent pas être utilisées.
Le système de contrôle ne vérifie pas la validité de cette saisie. Ceci peut générer un message d’erreur dans zenon Logic.

Attention : lors de l’utilisation de variables du driver interne, cette propriété doit posséder la même valeur que la valeur initiale dans les paramètres des variables internes.

Plus de détails dans l’aide en ligne.

VT_BSTR

Profilename

Nom profil externe

Propriété externe pour zenon Logic. Affecte uniquement les variables qui ne forment pas partie du driver straton.
Nom du profil défini dans zenon Logic (par ex. STRATON, ProfDP).

Cette propriété est uniquement affichée pour information. Édition dans zenon Logic uniquement.

Plus de détails dans l’aide en ligne.

VT_BSTR

Adressparam

Paramètre externe d'adresse

Propriété externe pour zenon Logic. Affecte uniquement les variables qui ne sont pas des variables du driver straton.
Propriétés de profil dans zenon Logic (par ex. "intégré" ou paramètres d’adressage de Profibus).

Cette propriété est uniquement affichée pour information. Édition dans zenon Logic uniquement.

Plus de détails dans l’aide en ligne.

VT_BSTR

Vargroup

Groupe de variables externe

Propriété externe pour zenon Logic. Affecte uniquement les variables qui ne sont pas des variables du driver straton32.
Groupes de variables dans zenon Logic ("Global" ou "Retain" ou vides).

Cette propriété est uniquement affichée pour information. Édition dans zenon Logic uniquement.

Plus de détails dans l’aide en ligne.

VT_BOOL

IsRemaActiv

Matrice de réaction active

Active : Une matrice de réaction est utilisée à la place des valeurs de limite.
Inactive : Les valeurs peuvent être définies pour la variable.
Par défaut : inactive.

Plus de détails dans l’aide en ligne.

ZT_REMA

Rema

Matrice de réaction

Propriétés d’utilisation d’une matrice de réaction pour la variable.

Plus de détails dans l’aide en ligne.

ZT_VARIABLE

AlarmQuitPV

Valeur d'acquittement

Si une alarme de cette variable est acquittée visuellement, la variable sélectionnée sous Variable d'acquittement visuel ou Variable d'acquittement est définie sur cette valeur.

Sélection de 0 ou 1.

Plus de détails dans l’aide en ligne.

ZT_VARIABLE

AlarmViewQuitPV

Variable d'acquittement visuel

Si une alarme de la variable de contrôle est acquittée visuellement, la valeur de la variable d’acquittement visuel est définie sur la valeur définie par Valeur d'acquittement.

Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de variables binaires.

Plus de détails dans l’aide en ligne.

VT_UI4

AlarmQuitPVValue

Valeur d'acquittement

Si une alarme de cette variable est acquittée visuellement, la variable sélectionnée sous Variable d'acquittement visuel ou Variable d'acquittement est définie sur cette valeur.

Sélection de 0 ou 1.

Plus de détails dans l’aide en ligne.

VT_BOOL

VarInASM

Enregistrer dans la base IPA

Active : les alarmes de cette variable sont disponibles pour analyse dans le module Industrial Performance Analyzer (IPA).
Inactive : les alarmes de cette variable ne sont prises en compte lors de l’analyse dans le module Industrial Performance Analyzer (IPA).
Par défaut : Inactive

Attention : le module Industrial Performance Analyzer est un module optionnel, qui doit comporter une licence valide pour pouvoir être utilisé ici.

Plus de détails dans l’aide en ligne.

VT_BOOL

AlarmViaEquipmentModel

Utiliser la gestion d'alarmes hiérarchiques du modèle d'équipement

Type d’attribution de la variable à un domaine d’alarmes.

  • Active :
    Le domaine d’alarmes de la variable est transféré par le modèle d’équipement. L’alarme de la variable est applicable aux domaines d’alarmes définis dans le modèle d’équipement. Dans ce cas, le groupe d’équipements de la variable et le groupe d’équipements de niveau supérieur du modèle d’équipement sont pris en compte.
  • Inactive :
    L'alarme sur la variable est applicable aux domaines d’alarmes 1 à 4 de la gestion d’alarmes.

Remarque : Si cette propriété est activée pour un type de données, les paramètres de toutes les variables issues de celle-ci sont transférés.

Plus de détails dans l’aide en ligne.

ZT_BSTR_REF

AreaName

AreaName

Description as text.

ZT_BSTR_REF

AreaName2

AreaName2

Description as text.

ZT_BSTR_REF

AreaName3

AreaName3

Description as text.

ZT_BSTR_REF

AreaName4

AreaName4

Description as text.

VT_BOOL

InOut

Ecrire valeur prescrite

Active : cette variable est libérée pour l’action Spécifier valeur prescrite.
Inactive : cette variable est protégée en écriture.
Par défaut : Active

Plus de détails dans l’aide en ligne.

VT_BOOL

SBO

Select Before Operate

Attention : Cette fonctionnalité est uniquement compatible avec les drivers IEC870 et IEC850, et uniquement disponible si vous avez sélectionné l’option Commande commutation pour la propriété de type d’action dans Gestion des commandes, et l’action est mise en œuvre sous forme d’action à deux étapes. N’utilisez pas cette fonction pour le driver DNP3_NG ; Auto-SBO peut être configuré directement pour la variable, dans ce cas.

Active : Avant que la valeur de la variable ne soit écrite dans le matériel, zenon vérifie, pendant la première phase de la commande de commutation, si la variable dans l’équipement est prête pour cette action (Select before Operate (SBO)).
Attention : Pour les commandes impulsion, la réinitialisation automatique des valeurs des variables n’est pas effectuée dans l’intervalle de temps défini dans la propriété de délai de front.

Si la propriété SBO a été activée pour la variable d’action, une commande d’impulsion se comporte de la même manière qu’une commande de commutation.

Inactive : La valeur de la variable est transférée vers le driver sans vérification préalable.

Remarque : dans un driver IEC870, cela signifie une instruction Direct execute. Le driver IEC850 peut toutefois déclencher automatiquement une instruction Select before Operate , en raison du Control Model.
Par défaut : Inactive :
Plus de détails dans l’aide en ligne.

VT_BOOL

CancelOperate

Annuler 'Operate'

Si cette propriété est activée, il est possible d’envoyer une commande Cancel après une commande Operate lors de la gestion des commandes.

Remarque : Cette propriété est uniquement dans la version Energy Edition.

Par défaut : Inactive

Plus de détails dans l’aide en ligne.

VT_R8

ValueMin

Valeur prescrite min.

La valeur minimum définie ici pour le paramètre Écrire valeur prescrite peut être acceptée par le biais d’éléments dynamiques, plutôt que par la configuration séparée de ces derniers.
Ceci est surtout recommandé si la plage de la mesure est susceptible de varier ultérieurement, car ces modifications peuvent être effectuées une fois ici, au lieu d’être modifiées séparément dans chaque élément.

Plus de détails dans l’aide en ligne.

VT_R8

ValueMax

Valeur prescrite max.

La valeur maximum définie ici pour le paramètre Écrire valeur prescrite peut être acceptée par le biais d’éléments dynamiques, plutôt que par la configuration séparée de ces derniers.
Ceci est surtout recommandé si la plage de la mesure est susceptible de varier ultérieurement, car ces modifications peuvent être effectuées une fois ici, au lieu d’être modifiées séparément dans chaque élément.

Plus de détails dans l’aide en ligne.

VT_BSTR

LockingName

LockingName

"With this property you have the opportunity to assign an interlocking via its name.
zElement.DynProperties(""LockingName"") = ""Interlocking 1"""

VT_UI1

SetValueProtocol

Enregistrement (fichier journal)

Définit la manière dont l’écriture de la valeur prescrite sera consignée dans la liste CEL.

  • Tout : Toutes les actions Écrire valeur prescrite de cette variable exécutées via des éléments dynamiques et les fonctions Écrire valeur prescrite sont consignées dans la liste d’événements. (CEL)
  • Rien : aucune action Spécifier valeur prescrite n’est consignée dans la liste CEL.
  • Seulement sur élément dynamique : Seules les actions Écrire valeur prescrite exécutées via les éléments dynamiques sont consignées dans la liste CEL.

Par défaut : Uniquement les éléments dynamiques :

Plus de détails dans l’aide en ligne.

VT_BOOL

SV_Act

Ancienne et nouvelle valeur
  • Active : en cas de modification de la valeur prescrite de cette variable, les valeurs ancienne et nouvelle sont consignées dans la liste d’événements (CEL).
  • Inactive : Seule la nouvelle valeur est consignée.

Par défaut : Inactive

Recommandation : Activez la propriété Variable lue en permanence. Ceci permet de garantir que la valeur est toujours disponible, et qu’il n’est pas nécessaire de l’interroger spécialement.

Plus de détails dans l’aide en ligne.

VT_BOOL

SV_VBA

Valeurs modifiées par VBA

Active : L’écriture de la valeur prescrite de cette variable via une macro VBA est consignée dans la liste d’événements.
inactive : l’écriture de la valeur prescrite de cette variable via une macro VBA n’est pas consignée.
Par défaut : Active

Remarque : pour les variables configurées sous forme de variables de commande dans la passerelle de procédé IEC870, chaque commande est consignée sous la forme Spécifier valeur prescrite via l’interface COM dans la liste CEL, si la propriété est activée.

Plus de détails dans l’aide en ligne.

VT_BSTR

VisualName

Nom visuel

Saisie d’un nom d’affichage de la variable dans zenon Analyzer. Celui-ci doit être unique dans le projet, mais ceci n’est pas vérifié dans zenon. Cette vérification est effectuée lors de l’importation dans zenon Analyzer.

Cette propriété fournit des informations qui sont utilisées pour la configuration de rapports dans zenon Analyzer. L’exportation des données de zenon vers zenon Analyzer est effectuée à l’aide de l’assistant Analyzer Export Wizard.

Attention : Si cette propriété est modifiée après la première exportation vers zenon Analyzer, ces modifications ne sont appliquées dans zenon Analyzer.

Plus de détails dans l’aide en ligne.

VT_BSTR

Meaning

Signification

Cette propriété fournit des informations qui sont utilisées par la fonction de configuration de rapports dans zenon Analyzer.
Les données peuvent être définies manuellement ou à l’aide de l’assistant Meaning and Waterfall Chart Wizard. L’exportation des données de zenon vers zenon Analyzer est effectuée à l’aide de l’assistant Analyzer Export Wizard.

Saisie de la signification (meaning) d’une variable dans zenon Analyzer. Plusieurs significations doivent être séparées par une virgule.
Syntaxe : [signification1],[signification2],…,[significationN]

Plus de détails dans l’aide en ligne.

VT_BSTR

WaterfallParam

Paramètre pour le waterfall diagram

Cette propriété fournit des informations qui sont utilisées par la fonction de configuration de rapports dans zenon Analyzer.
Les données peuvent être définies manuellement ou à l’aide de l’assistant Meaning and Waterfall Chart Wizard. L’exportation des données de zenon vers zenon Analyzer est effectuée à l’aide de l’assistant Analyzer Export Wizard.

Paramètres d’une variable pour un diagramme en cascade dans zenon Analyzer. Les entrées peuvent être créées pour les rapports par ligne ou les rapports par machine. Lors de l’exportation, en fonction de la structure des entrées, une décision est prise pour déterminer s’il s’agit d’entrées correspondant à des diagrammes par machine ou par ligne.

Les paramètres individuels doivent être séparés par une virgule. Plusieurs cascades doivent être séparées par un poing-virgule.
Syntaxe, par machine : [nom modèle],[indice de ligne],[indice de colonne],[code de couleur];
Syntaxe, par ligne : [nom du modèle],[indice de ligne],[indice de colonne],[code de couleur],[perte de machine auxiliaire],[ajout de perte de machine auxiliaire],[soustraction de perte de machine auxiliaire];

Plus de détails dans l’aide en ligne.

VT_BOOL

Use_in_ProcRec

Activer l'enregistrement

Active/désactive la variable ou le type de données enregistré dans le module Process Recorder.
La sélection multiple de variables est possible.

  • Active :
    Les changements de valeur de la variable sont enregistrés dans le module Process Recorder.
    Attention : Assurez-vous que l’activation générale de l’enregistrement a été configurée dans la propriété Activer Process Recorder.
  • Inactive :
    Les changements de valeur de la variable ne sont pas enregistrés dans le module Process Recorder.

Par défaut : les paramètres configurés sont appliqués pour le type de données utilisé.

Plus de détails dans l’aide en ligne.


Mathematical variable RT

Manuel -> Interfaces de programmation -> Modèles d'objet -> Variable -> Variable-Dynamic properties -> Mathematical variable RT

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Type

VBA/VSTA Name

Display Name

Description

More...

MathInfo

MathInfo

Contains information if e.g. var is used to determine a sum (as in data reduction)

VT_VARIANT

Value

Value

VT_VARIANT

UserValue

UserValue

VT_UI8

StatusValue

StatusValue

This property returns the status of a variable as a value.

VT_BSTR

StatusString

StatusString

This property returns the status of a variable.

ZT_DATETIME

LastUpdateTime

LastUpdateTimeMilliSeconds

This property returns the update time in milliseconds.

VT_UI2

LastUpdateTimeMilliSeconds

LastUpdateTimeMilliSeconds

This property returns the update time in milliseconds.

More...

Limits

Valeurs limite

Propriétés définissant le traitement des valeurs limites ou le traitement des alarmes pour la variable.

Les propriétés de ce groupe sont uniquement disponibles si vous avez activé la propriété Matrice de réaction active.

Plus de détails dans l’aide en ligne.

VT_UI4

ID_ComplexVariable

ID_ComplexVariable

With this property you have the opportunity to get/set the ID of a variable from a structure element. This ID is 0 when the variable has no structure datatype.

VT_BSTR

Name

Nom

Nom unique de la variable. Les considérations suivantes s’appliquent lors de la définition du nom :

  • Longueur maximale : 128 caractères
  • Caractères non autorisés : # et @

Remarque : pour les drivers utilisant la connexion à zenon Logic, vous devez définir un préfixe. Pour plus de détails, reportez-vous au chapitre Création de variables O et M dans zenon Logic dans le manuel.
Toute modification du nom de la variable doit également être effectuée dans l’environnement de programmation (VBA, VSTA).

Attention : Cette propriété n’est pas disponible aux fins de la commutation de langue.

Plus de détails dans l’aide en ligne.

VT_BSTR

Tagname

Identification

Chaîne libre utilisée pour l’identification de la variable ou du type de données.
Remarque : Puisque la langue du nom de la variable (propriété Nom) ne peut pas être modifiée, cette propriété peut être utilisée pour le changement de langue en ligne.

Longueur maximale : 128 caractères

Plus de détails dans l’aide en ligne.

VT_BSTR

Unit

Unité de mesure

Unité technique de la variable devant être affichée dans le Runtime. Si vous avez déjà créé des unités de mesure dans le module d’unités de base, celles-ci sont disponibles dans une liste déroulante.
Maximum : 50 caractères.
Par défaut : vide

Plus de détails dans l’aide en ligne.

VT_R8

AlternateValue

Archivfüllwert

Cette valeur est utilisée pour renseigner les archives cycliques. En présence d’intervalles durant lesquels aucune connexion au matériel n’a été établie, cette valeur est utilisée tant qu’aucune valeur n’est transférée depuis l’équipement. Dans le cas contraire, la dernière valeur valide utilisée est utilisée aux fins du renseignement.

Plus de détails dans l’aide en ligne.

VT_BSTR

AlternateValueString

Valeur chaîne pour le remplissage des archives

Cette valeur est utilisée pour les variables de chaîne, afin de renseigner les archives cycliques.
En présence d’intervalles, dans les archives cycliques, durant lesquels aucune connexion au matériel n’a été établie, cette Valeur chaîne pour le remplissage des archives est utilisée tant qu’aucune valeur n’est transférée depuis l’équipement. Dans le cas contraire, la dernière valeur valide est utilisée pour le renseignement.

Longueur maximale : 128 caractères

Attention : Cette propriété n’est pas disponible aux fins de la commutation de langue.

Plus de détails dans l’aide en ligne.

VT_BSTR

Recourceslabel

Description externe

Chaîne au choix.
N'est pas utilisé au niveau interne dans zenon, mais est disponible lors de l’exportation de valeurs pour autoriser l’attribution des valeurs exportées pour les systèmes de gestion tels qu’ERP.

Longueur maximale : 255 caractères

Plus de détails dans l’aide en ligne.

VT_UI4

NetAddr

Adresse réseau

Adresse de bus ou Adresse réseau de la variable.

  • Minimum : 0
  • Maximum : 4294967295

Par défaut : 0

Plus de détails dans l’aide en ligne.

VT_UI4

DataBlock

Bloc de données

Numéro de bloc de données.
Minimum : 0.
Maximum : 4294967295
Par défaut : 0.

Plus de détails dans l’aide en ligne.

VT_UI4

Offset

Offset

Décalage de la variable.
Pour les contrôleurs à adressage linéaire : plage de mémoire.
Pour les contrôleurs à résolution de nom : adresse d’attribution.
Minimum : 0.
Maximum : 4294967295
Par défaut : 0.

Plus de détails dans l’aide en ligne.

VT_UI2

BitAddr

Numéro de bit

Numéro du bit dans le décalage configuré.
Minimum : 0.
Maximum : 65535
Par défaut : 0.

Plus de détails dans l’aide en ligne.

VT_UI2

Alignment

Alignement

Ceci dépend de la granularité du type d’objet du driver et de la position de la variable conformément au décalage défini.

Pour les variables de type Octet :
Octet poids fort : octet de poids fort dans le décalage de mot.
Octet poids faible : Otet de poids faible dans le décalage de mot.
HiWord-HiByte octet de poids fort dans le mot fort dans le décalage de double mot.
HiWord-LoByte (Mot poids fort-Octet poids faible) octet de poids faible dans le mot fort dans le décalage de double mot.
Mot poids faible-Octet poids fort : octet de poids fort dans le mot faible dans le décalage de double mot.
Mot poids faible-Octet poids faible : octet de poids faible dans le mot faible dans le décalage de double mot.

Pour les variables de mot :
Mot poids fort : mot fort dans le décalage de double mot.
Mot poids faible : Mot poids faible dans le décalage de double mot.

Plus de détails dans l’aide en ligne.

VT_UI2

StringLength

Longueur de la chaîne

Disponible uniquement pour les variables de type chaîne.
Nombre maximum de caractères que peut accepter une variable.
Minimum : 1 caractère
Si la valeur non autorisée 0 est saisie, la dernière valeur configurée valide est automatiquement utilisée. Si aucune valeur valide n’a été configurée, l’entrée est remplacée par la valeur par défaut.
Maximum : 65535 caractères.
Par défaut : 5 caractères

Remarque : la valeur par défaut est 65 535 pour les variables système avec le type de données String.

Plus de détails dans l’aide en ligne.

VT_BSTR

SymbAddr

Adresse symbolique

Séquence de caractères pour l’adressage symbolique des variables.

Longueur maximale : 1024 caractères.

Remarque : L’adresse symbolique n’est pas prise en charge par tous les drivers.
Lors de l’importation des variables dans des drivers compatibles avec l’adressage symbolique, la propriété est saisie automatiquement.

Plus de détails dans l’aide en ligne.

VT_UI4

Driver

Drivers

VT_UI4

ID_DataTyp

Type de données

Type de donnée pour la variable. Sélectionné durant la création de la variable ; peut être modifié ici ultérieurement.
Remarque : Pour les variables de structure, le type de données ne peut plus être modifié après la création des variables.
Attention : Si vous modifiez le type de données ultérieurement, toutes les autres propriétés de la variable doivent être vérifiées et ajustées, si nécessaire.

Plus de détails dans l’aide en ligne.

VT_UI4

ID_DriverTyp

Type d'objet driver

Selon le driver utilisé, un type d’objet est sélectionné durant la création de la variable et peut être modifié ici ultérieurement.
Siemens : bloc de données, marqueur, entrée/sortie.
Modbus : Coil et Holding Register.

Plus de détails dans l’aide en ligne.

VT_UI1

UpdatePriority

Priorité

Si l’heure de mise à jour globale spécifiée dans la configuration du driver n’est pas utilisée, la fréquence des mises à jour correspondant aux différents niveaux de priorité peut être définie ici. Dans cette propriété, une priorité est attribuée à une variable.

Plus de détails dans l’aide en ligne.

VT_BOOL

Standby

Lire uniquement sur le serveur redondant

Active : La valeur de la variable provenant du serveur redondant est affichée.
Inactive : La valeur de la variable provenant du serveur est affichée.
(drivers matériels uniquement)

Plus de détails dans l’aide en ligne.

VT_UI2

Digits

Nombre de décimales

Nombre de décimales des valeurs de variables utilisées lors de l’affichage dans le système de contrôle.
Minimum : 0
Maximum : 10
Par défaut : 0

Plus de détails dans l’aide en ligne.

VT_R8

SignalMin

Signal min.

Valeur minimum de la variable dans l’automate.
À moins d’être définie différemment dans la propriété Ajustement non-linéaire, la valeur brute des variables (résolution du signal) sera toujours convertie au format de la plage de mesure sur une base linéaire (pour une utilisation dans le système de contrôle). Toutes les autres entrées de valeurs numériques spécifiques à la variable dans Editor et dans le Runtime seront liées à la plage de mesures (par ex. définition des valeurs limites, limites des valeurs prescrites, zone de représentation, entrées de valeurs prescrites, etc.).

Plus de détails dans l’aide en ligne.

VT_R8

SignalMax

Signal max.

Valeur maximum de la variable dans l’automate. À moins d’être définie différemment dans la propriété Ajustement non-linéaire, la valeur brute des variables (résolution du signal) sera toujours convertie au format de la plage de mesure sur une base linéaire (pour une utilisation dans le système de contrôle). Toutes les autres entrées de valeurs numériques spécifiques à la variable dans Editor et dans le Runtime seront liées à la plage de mesures (par ex. définition des valeurs limites, limites des valeurs prescrites, zone de représentation, entrées de valeurs prescrites, etc.).

Plus de détails dans l’aide en ligne.

VT_R8

RangeMin

Plage de mesure min.

Valeur minimum des variables dans zenon.
À moins d’être définie différemment dans la propriété Ajustement non-linéaire, la valeur brute des variables (résolution du signal) sera toujours convertie au format de la plage de mesure sur une base linéaire (pour une utilisation dans le système de contrôle). Toutes les autres entrées de valeurs numériques spécifiques à la variable dans Editor et dans le Runtime seront liées à la plage de mesures (par ex. définition des valeurs limites, limites des valeurs prescrites, zone de représentation, entrées de valeurs prescrites, etc.).

Plus de détails dans l’aide en ligne.

VT_R8

RangeMax

Plage de mesure max.

Valeur maximum des variables dans zenon.
À moins d’être définie différemment dans la propriété Ajustement non-linéaire, la valeur brute des variables (résolution du signal) sera toujours convertie au format de la plage de mesure sur une base linéaire (pour une utilisation dans le système de contrôle). Toutes les autres entrées de valeurs numériques spécifiques à la variable dans Editor et dans le Runtime seront liées à la plage de mesures (par ex. définition des valeurs limites, limites des valeurs prescrites, zone de représentation, entrées de valeurs prescrites, etc.).

Plus de détails dans l’aide en ligne.

VT_BOOL

UseMacro

Ajustement non-linéaire avec macros

L’ajustement de valeurs non linéaires est utilisé pour les variables dont la valeur originale (automate) ne peut pas être ajustée de manière linéaire en fonction de la valeur mesurée (système de contrôle).

  • Active : Les valeurs brutes sont ajustées en fonction de zenon, sur une base non linéaire, avec des macros VBA.
  • Inactive : Les valeurs brutes sont ajustées en fonction de zenon.

Remarque : Lors de l’activation de la propriété, les propriétés AdjustHardwareValue et AdjustScadaValue doivent également être configurées. La propriété AdjustHardwareValue doit alors être configurée à l’inverse de la propriété AdjustScadaValue, sous forme de fonction inverse.

Par défaut : Inactive

Plus de détails dans l’aide en ligne.

ZT_VBAMAKRO

AdjustHardware

AdjustHardwareValue

Disponible uniquement si la propriété Ajustement non-linéaire avec macros est active.

Macro appelée à chaque modification de la valeur brute dans l’automate, et qui modifie la valeur dans zenon. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de macros.
Plus de détails dans l’aide en ligne.

ZT_VBAMAKRO

AdjustZenon

AdjustScadaValue

Disponible uniquement si la propriété Ajustement non-linéaire avec macros est active.

La macro est appelée lors de l’écriture d’une valeur depuis zenon et modifie la valeur brute sur l’automate. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de macros.
Plus de détails dans l’aide en ligne.

VT_R8

HystNeg

Négatif pour le signal

Hystérésis des valeurs limites définies en fonction de la plage du signal.

Plage d’hystérésis pour l’entrée en cas de changement de valeur avec diminution. Les valeurs sont uniquement interprétées comme des dépassements de valeur limite si la valeur changeante est inférieure à la plage d’hystérésis définie ici.
Par défaut : 0 (pas d’hystérésis)

Plus de détails dans l’aide en ligne.

VT_R8

HystPos

Positif pour le signal

Hystérésis des valeurs limites définies en fonction de la plage du signal.

Plage d’hystérésis pour l’entrée en cas de changement de valeur avec augmentation. Les valeurs sont uniquement interprétées comme des dépassements de valeur limite si la valeur changeante est supérieure à la plage d’hystérésis définie ici.
Par défaut : 0 (pas d’hystérésis)

Plus de détails dans l’aide en ligne.

VT_R8

ArchHystNeg

Négatif pour l'archive

Hystérésis d’archivage en cas de changement appliquée à la plage de mesure.

Plage d’hystérésis pour l’entrée en cas de changement de valeur avec diminution. Les valeurs sont uniquement saisies dans l’archive si la valeur changeante est inférieure à la plage d’hystérésis définie ici.
Par défaut : 0 (pas d’hystérésis)

Plus de détails dans l’aide en ligne.

VT_R8

ArchHystPos

Positif pour l'archive

Hystérésis d’archivage en cas de changement appliquée à la plage de mesure.

Plage d’hystérésis pour l’entrée en cas de changement de valeur avec augmentation. Les valeurs sont uniquement saisies dans l’archive si la valeur changeante est supérieure à la plage d’hystérésis définie ici.
Par défaut : 0 (pas d’hystérésis)

Plus de détails dans l’aide en ligne.

VT_BOOL

DDEActive

Variable lue en permanence

Paramètre de lecture de la variable et de sa disponibilité via DDE dans le Runtime :

  • Active : La variable est toujours connectée au driver. Cela signifie qu’elle est continuellement lue par le driver, même si elle n’est pas nécessaire dans le projet à cet instant précis. Le driver connaît ainsi toujours les valeurs actuelles et l’état actuel des variables et peut les fournir immédiatement, si nécessaire. La variable est également disponible pour les autres applications Windows (par exemple, Excel, Visual Basic, etc.). Les applications Windows possédant une fonctionnalité de client DDE peuvent ainsi utiliser les valeurs de la variable.
    Temps d’actualisation : 0,5 s
    L'activation de cette option offre par exemple l’avantage de basculer plus rapidement les valeurs de variables dans la fonction Ecriture valeur prescrite ou dans l’élément Appel de synoptique, car il n’est pas nécessaire d’interroger spécialement la variable avant la commutation. L’inconvénient est une augmentation de la charge des communications au niveau du contrôleur.
  • Inactive : La variable n’est pas interrogée en permanence par le driver, mais uniquement en cas de demande de valeurs ou d’états dans le Runtime. Elle n’est donc pas disponible dans les autres applications Windows via DDE.

Par défaut : Inactive

Plus de détails dans l’aide en ligne.

VT_UI4

ArraySizeOld

Dimension tableau

Définition de la taille de l’ensemble de blocs. La taille définie est lue ou écrite par le driver durant une demande de lecture/d’écriture. Ceci permet de garantir la cohérence des données dans le texte. Les données peuvent uniquement être modifiées dans le module Recipegroup Manager ou via l’interface de programmation.
Attention : peut être défini au niveau du driver interne, toutefois sans fonction dans le Runtime (valeur toujours égale à 0).

Plus de détails dans l’aide en ligne.

VT_UI4

CounterGroup

Groupe de compteur

Disponible uniquement dans SICAM 230.

VT_UI4

MaxGradient

Gradient maximum

Disponible uniquement dans SICAM 230.

VT_BOOL

NormalStateActive

Actif

Permet de définir un état normal pour les variables et les types de données du type BOOL, UINT et WORD pour tous les drivers.

Active : Un état normal peut être défini.

Par défaut : Inactive

Plus de détails dans l’aide en ligne.

VT_BOOL

NormalState

Valeur normale

Dans la liste déroulante, choisissez si la valeur normale de cette variable ou ce type de données doit être On (Active) ou Off (Inactive). Disponible pour les variables et les types de données du type BOOL, UINT et WORD pour tous les drivers.

Par défaut : Off

Plus de détails dans l’aide en ligne.

ZT_VARIABLE

AlarmPV0

Variable d'alarme 1

Disponible uniquement dans SICAM 230.
Première variable pour la gestion d’alarmes de synoptiques.

Plus de détails dans l’aide en ligne.

ZT_VARIABLE

AlarmPV1

Variable d'alarme 2

Disponible uniquement dans SICAM 230.
Deuxième variable pour la gestion d’alarmes de synoptiques.

Plus de détails dans l’aide en ligne.

ZT_VARIABLE

AlarmPV2

Variable d'alarme 3

Disponible uniquement dans SICAM 230.
Troisième variable pour la gestion d’alarmes de synoptiques.

Plus de détails dans l’aide en ligne.

VT_BOOL

HDActive

Stockage de données sur disque dur actif

Active : les valeurs de variables sont enregistrées sur le disque dur (enregistrement circulaire) pour être évaluées dans l’élément dynamique "Élément de tendance" ou pour l’exportation/l’importation des valeurs.

Inactive : aucune valeur de variable n’est enregistrée.

Par défaut : inactive

Les données de disque dur nécessitent 24 octets d’espace de stockage par valeur, indépendamment du type de variable. Outre la valeur, les informations suivantes sont enregistrées :
- Heure d’exécution de la mesure.
- Millisecondes lors de la lecture de la valeur.
- Modification de l’état de la valeur en fonction des éléments.
- Compteur pour l’identification unique de la valeur (driver événementiel).

Remarque : Le stockage de données est également activé lors d’un appel de synoptique de type Extended Trend si des données en ligne sont analysées.
Les variables de type chaîne ne sont pas prises en charge par la fonction de stockage de données sur le disque dur.

Attention : si l’option d’enregistrement sur disque dur est activée pour un trop grand nombre de variables, en présence d’un trop grand nombre de valeurs, les performances du Runtime peuvent être altérées.

Plus de détails dans l’aide en ligne.

VT_R4

HDUpdate

Temps de cycle [s]

Disponible uniquement si la propriété Stockage de données sur disque dur actif est active :
Durée de l’intervalle [en secondes] de conservation des valeurs en ligne sur le disque dur (mémoire circulaire) pour l’analyse dans l’élément dynamique Tendance, pour les données en ligne dans le module Extended Trend ou pour l’exportation/l’importation de valeurs.

Plus de détails dans l’aide en ligne.

VT_UI4

HDSize

Nombre de valeurs

Valeur correspondant à l’intervalle de conservation des valeurs en ligne sur le disque dur (mémoire circulaire) pour l’analyse dans l’élément dynamique Tendance, pour les données en ligne dans le module Extended Trend ou pour l’exportation/l’importation de valeurs.

Attention : si l’option d’enregistrement sur disque dur est activée pour un trop grand nombre de variables, en présence d’un trop grand nombre de valeurs, les performances du Runtime peuvent être altérées.

Plus de détails dans l’aide en ligne.

VT_BOOL

IsKDAActiv

Type d'enregistrement

Disponible uniquement si la propriété Stockage de données sur disque dur actif est active :
Données de disque dur (cyclique) : Écriture cyclique des valeurs sur le disque dur.
Valeurs retriées (RDA) : Les valeurs sont écrites bloc par bloc sur le disque dur par le driver. (Fonction adaptée à l’analyse rétrospective des erreurs au niveau du système de contrôle.)

Plus de détails dans l’aide en ligne.

VT_BOOL

ExternVisible

Visible extérieurement pour

Disponible uniquement si la propriété Visible par d'autres programmes est active.

Spécifiez expressément les projets de zenon Logic pour lesquels la variable doit être visible. Si vous laissez le champ de saisie vide, la variable est visible pour tous les projets zenon Logic. Vous pouvez également saisir des projets zenon Logic de manière expresse. Séparez les noms des projets individuels par un point-virgule (";"). Vous pouvez utiliser les opérateurs. Par exemple, P1* signifie tous les projets zenon Logic commençant par P1. (Remarque : les opérateurs sont uniquement autorisés sous forme de préfixe ou de suffixe, par exemple, *xxx ou xxx*.

Le nombre de caractères est limité à 64.

Par défaut : -

Plus de détails dans l’aide en ligne.

VT_BSTR

ExternVisibleFor

Visible extérieurement pour

Disponible uniquement si la propriété Visible par d'autres programmes est active.

Spécifiez expressément les projets de zenon Logic pour lesquels la variable doit être visible. Si vous laissez le champ de saisie vide, la variable est visible pour tous les projets zenon Logic. Vous pouvez également saisir des projets zenon Logic de manière expresse. Séparez les noms des projets individuels par un point-virgule (";"). Vous pouvez utiliser les opérateurs. Par exemple, P1* signifie tous les projets zenon Logic commençant par P1. (Remarque : les opérateurs sont uniquement autorisés sous forme de préfixe ou de suffixe, par exemple, *xxx ou xxx*.

Le nombre de caractères est limité à 64.

Par défaut : -

Plus de détails dans l’aide en ligne.

VT_BOOL

ReadWrite

Ecriture/lecture externe

Propriété externe pour zenon Logic. Affecte uniquement les variables qui ne forment pas partie du driver straton.
Active : la valeur de la variable ne peut pas être modifiée dans zenon Logic. La définition de la variable ne peut pas être modifiée dans zenon Logic.
Inactive : la variable ne peut pas être modifiée dans zenon Logic.
Par défaut : active.

Plus de détails dans l’aide en ligne.

VT_BSTR

InitialValue

Valeur initiale externe

Propriété externe pour zenon Logic. Affecte uniquement les variables qui ne forment pas partie du driver straton.
Valeur initiale de la variable dans zenon Logic durant une reprise graduelle ou une reprise intermédiaire.
La saisie autorisée ici dépend du type de données de la variable. Par exemple, vous pouvez uniquement utiliser des valeurs sans décimales pour les variables entières. Pour les variables à virgule flottante, un point doit être utilisé en tant que séparateur décimal ; les virgules ne peuvent pas être utilisées.
Le système de contrôle ne vérifie pas la validité de cette saisie. Ceci peut générer un message d’erreur dans zenon Logic.

Attention : lors de l’utilisation de variables du driver interne, cette propriété doit posséder la même valeur que la valeur initiale dans les paramètres des variables internes.

Plus de détails dans l’aide en ligne.

VT_BSTR

Profilename

Nom profil externe

Propriété externe pour zenon Logic. Affecte uniquement les variables qui ne forment pas partie du driver straton.
Nom du profil défini dans zenon Logic (par ex. STRATON, ProfDP).

Cette propriété est uniquement affichée pour information. Édition dans zenon Logic uniquement.

Plus de détails dans l’aide en ligne.

VT_BSTR

Adressparam

Paramètre externe d'adresse

Propriété externe pour zenon Logic. Affecte uniquement les variables qui ne sont pas des variables du driver straton.
Propriétés de profil dans zenon Logic (par ex. "intégré" ou paramètres d’adressage de Profibus).

Cette propriété est uniquement affichée pour information. Édition dans zenon Logic uniquement.

Plus de détails dans l’aide en ligne.

VT_BSTR

Vargroup

Groupe de variables externe

Propriété externe pour zenon Logic. Affecte uniquement les variables qui ne sont pas des variables du driver straton32.
Groupes de variables dans zenon Logic ("Global" ou "Retain" ou vides).

Cette propriété est uniquement affichée pour information. Édition dans zenon Logic uniquement.

Plus de détails dans l’aide en ligne.

VT_BOOL

IsRemaActiv

Matrice de réaction active

Active : Une matrice de réaction est utilisée à la place des valeurs de limite.
Inactive : Les valeurs peuvent être définies pour la variable.
Par défaut : inactive.

Plus de détails dans l’aide en ligne.

ZT_REMA

Rema

Matrice de réaction

Propriétés d’utilisation d’une matrice de réaction pour la variable.

Plus de détails dans l’aide en ligne.

ZT_VARIABLE

AlarmQuitPV

Valeur d'acquittement

Si une alarme de cette variable est acquittée visuellement, la variable sélectionnée sous Variable d'acquittement visuel ou Variable d'acquittement est définie sur cette valeur.

Sélection de 0 ou 1.

Plus de détails dans l’aide en ligne.

ZT_VARIABLE

AlarmViewQuitPV

Variable d'acquittement visuel

Si une alarme de la variable de contrôle est acquittée visuellement, la valeur de la variable d’acquittement visuel est définie sur la valeur définie par Valeur d'acquittement.

Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de variables binaires.

Plus de détails dans l’aide en ligne.

VT_UI4

AlarmQuitPVValue

Valeur d'acquittement

Si une alarme de cette variable est acquittée visuellement, la variable sélectionnée sous Variable d'acquittement visuel ou Variable d'acquittement est définie sur cette valeur.

Sélection de 0 ou 1.

Plus de détails dans l’aide en ligne.

VT_BOOL

VarInASM

Enregistrer dans la base IPA

Active : les alarmes de cette variable sont disponibles pour analyse dans le module Industrial Performance Analyzer (IPA).
Inactive : les alarmes de cette variable ne sont prises en compte lors de l’analyse dans le module Industrial Performance Analyzer (IPA).
Par défaut : Inactive

Attention : le module Industrial Performance Analyzer est un module optionnel, qui doit comporter une licence valide pour pouvoir être utilisé ici.

Plus de détails dans l’aide en ligne.

VT_BOOL

AlarmViaEquipmentModel

Utiliser la gestion d'alarmes hiérarchiques du modèle d'équipement

Type d’attribution de la variable à un domaine d’alarmes.

  • Active :
    Le domaine d’alarmes de la variable est transféré par le modèle d’équipement. L’alarme de la variable est applicable aux domaines d’alarmes définis dans le modèle d’équipement. Dans ce cas, le groupe d’équipements de la variable et le groupe d’équipements de niveau supérieur du modèle d’équipement sont pris en compte.
  • Inactive :
    L'alarme sur la variable est applicable aux domaines d’alarmes 1 à 4 de la gestion d’alarmes.

Remarque : Si cette propriété est activée pour un type de données, les paramètres de toutes les variables issues de celle-ci sont transférés.

Plus de détails dans l’aide en ligne.

ZT_BSTR_REF

AreaName

AreaName

Description as text.

ZT_BSTR_REF

AreaName2

AreaName2

Description as text.

ZT_BSTR_REF

AreaName3

AreaName3

Description as text.

ZT_BSTR_REF

AreaName4

AreaName4

Description as text.

VT_BOOL

InOut

Ecrire valeur prescrite

Active : cette variable est libérée pour l’action Spécifier valeur prescrite.
Inactive : cette variable est protégée en écriture.
Par défaut : Active

Plus de détails dans l’aide en ligne.

VT_BOOL

SBO

Select Before Operate

Attention : Cette fonctionnalité est uniquement compatible avec les drivers IEC870 et IEC850, et uniquement disponible si vous avez sélectionné l’option Commande commutation pour la propriété de type d’action dans Gestion des commandes, et l’action est mise en œuvre sous forme d’action à deux étapes. N’utilisez pas cette fonction pour le driver DNP3_NG ; Auto-SBO peut être configuré directement pour la variable, dans ce cas.

Active : Avant que la valeur de la variable ne soit écrite dans le matériel, zenon vérifie, pendant la première phase de la commande de commutation, si la variable dans l’équipement est prête pour cette action (Select before Operate (SBO)).
Attention : Pour les commandes impulsion, la réinitialisation automatique des valeurs des variables n’est pas effectuée dans l’intervalle de temps défini dans la propriété de délai de front.

Si la propriété SBO a été activée pour la variable d’action, une commande d’impulsion se comporte de la même manière qu’une commande de commutation.

Inactive : La valeur de la variable est transférée vers le driver sans vérification préalable.

Remarque : dans un driver IEC870, cela signifie une instruction Direct execute. Le driver IEC850 peut toutefois déclencher automatiquement une instruction Select before Operate , en raison du Control Model.
Par défaut : Inactive :
Plus de détails dans l’aide en ligne.

VT_BOOL

CancelOperate

Annuler 'Operate'

Si cette propriété est activée, il est possible d’envoyer une commande Cancel après une commande Operate lors de la gestion des commandes.

Remarque : Cette propriété est uniquement dans la version Energy Edition.

Par défaut : Inactive

Plus de détails dans l’aide en ligne.

VT_R8

ValueMin

Valeur prescrite min.

La valeur minimum définie ici pour le paramètre Écrire valeur prescrite peut être acceptée par le biais d’éléments dynamiques, plutôt que par la configuration séparée de ces derniers.
Ceci est surtout recommandé si la plage de la mesure est susceptible de varier ultérieurement, car ces modifications peuvent être effectuées une fois ici, au lieu d’être modifiées séparément dans chaque élément.

Plus de détails dans l’aide en ligne.

VT_R8

ValueMax

Valeur prescrite max.

La valeur maximum définie ici pour le paramètre Écrire valeur prescrite peut être acceptée par le biais d’éléments dynamiques, plutôt que par la configuration séparée de ces derniers.
Ceci est surtout recommandé si la plage de la mesure est susceptible de varier ultérieurement, car ces modifications peuvent être effectuées une fois ici, au lieu d’être modifiées séparément dans chaque élément.

Plus de détails dans l’aide en ligne.

VT_BSTR

LockingName

LockingName

"With this property you have the opportunity to assign an interlocking via its name.
zElement.DynProperties(""LockingName"") = ""Interlocking 1"""

VT_UI1

SetValueProtocol

Enregistrement (fichier journal)

Définit la manière dont l’écriture de la valeur prescrite sera consignée dans la liste CEL.

  • Tout : Toutes les actions Écrire valeur prescrite de cette variable exécutées via des éléments dynamiques et les fonctions Écrire valeur prescrite sont consignées dans la liste d’événements. (CEL)
  • Rien : aucune action Spécifier valeur prescrite n’est consignée dans la liste CEL.
  • Seulement sur élément dynamique : Seules les actions Écrire valeur prescrite exécutées via les éléments dynamiques sont consignées dans la liste CEL.

Par défaut : Uniquement les éléments dynamiques :

Plus de détails dans l’aide en ligne.

VT_BOOL

SV_Act

Ancienne et nouvelle valeur
  • Active : en cas de modification de la valeur prescrite de cette variable, les valeurs ancienne et nouvelle sont consignées dans la liste d’événements (CEL).
  • Inactive : Seule la nouvelle valeur est consignée.

Par défaut : Inactive

Recommandation : Activez la propriété Variable lue en permanence. Ceci permet de garantir que la valeur est toujours disponible, et qu’il n’est pas nécessaire de l’interroger spécialement.

Plus de détails dans l’aide en ligne.

VT_BOOL

SV_VBA

Valeurs modifiées par VBA

Active : L’écriture de la valeur prescrite de cette variable via une macro VBA est consignée dans la liste d’événements.
inactive : l’écriture de la valeur prescrite de cette variable via une macro VBA n’est pas consignée.
Par défaut : Active

Remarque : pour les variables configurées sous forme de variables de commande dans la passerelle de procédé IEC870, chaque commande est consignée sous la forme Spécifier valeur prescrite via l’interface COM dans la liste CEL, si la propriété est activée.

Plus de détails dans l’aide en ligne.

VT_BSTR

VisualName

Nom visuel

Saisie d’un nom d’affichage de la variable dans zenon Analyzer. Celui-ci doit être unique dans le projet, mais ceci n’est pas vérifié dans zenon. Cette vérification est effectuée lors de l’importation dans zenon Analyzer.

Cette propriété fournit des informations qui sont utilisées pour la configuration de rapports dans zenon Analyzer. L’exportation des données de zenon vers zenon Analyzer est effectuée à l’aide de l’assistant Analyzer Export Wizard.

Attention : Si cette propriété est modifiée après la première exportation vers zenon Analyzer, ces modifications ne sont appliquées dans zenon Analyzer.

Plus de détails dans l’aide en ligne.

VT_BSTR

Meaning

Signification

Cette propriété fournit des informations qui sont utilisées par la fonction de configuration de rapports dans zenon Analyzer.
Les données peuvent être définies manuellement ou à l’aide de l’assistant Meaning and Waterfall Chart Wizard. L’exportation des données de zenon vers zenon Analyzer est effectuée à l’aide de l’assistant Analyzer Export Wizard.

Saisie de la signification (meaning) d’une variable dans zenon Analyzer. Plusieurs significations doivent être séparées par une virgule.
Syntaxe : [signification1],[signification2],…,[significationN]

Plus de détails dans l’aide en ligne.

VT_BSTR

WaterfallParam

Paramètre pour le waterfall diagram

Cette propriété fournit des informations qui sont utilisées par la fonction de configuration de rapports dans zenon Analyzer.
Les données peuvent être définies manuellement ou à l’aide de l’assistant Meaning and Waterfall Chart Wizard. L’exportation des données de zenon vers zenon Analyzer est effectuée à l’aide de l’assistant Analyzer Export Wizard.

Paramètres d’une variable pour un diagramme en cascade dans zenon Analyzer. Les entrées peuvent être créées pour les rapports par ligne ou les rapports par machine. Lors de l’exportation, en fonction de la structure des entrées, une décision est prise pour déterminer s’il s’agit d’entrées correspondant à des diagrammes par machine ou par ligne.

Les paramètres individuels doivent être séparés par une virgule. Plusieurs cascades doivent être séparées par un poing-virgule.
Syntaxe, par machine : [nom modèle],[indice de ligne],[indice de colonne],[code de couleur];
Syntaxe, par ligne : [nom du modèle],[indice de ligne],[indice de colonne],[code de couleur],[perte de machine auxiliaire],[ajout de perte de machine auxiliaire],[soustraction de perte de machine auxiliaire];

Plus de détails dans l’aide en ligne.

VT_BOOL

Use_in_ProcRec

Activer l'enregistrement

Active/désactive la variable ou le type de données enregistré dans le module Process Recorder.
La sélection multiple de variables est possible.

  • Active :
    Les changements de valeur de la variable sont enregistrés dans le module Process Recorder.
    Attention : Assurez-vous que l’activation générale de l’enregistrement a été configurée dans la propriété Activer Process Recorder.
  • Inactive :
    Les changements de valeur de la variable ne sont pas enregistrés dans le module Process Recorder.

Par défaut : les paramètres configurés sont appliqués pour le type de données utilisé.

Plus de détails dans l’aide en ligne.


NWMDRV32 - Variable ED

Manuel -> Interfaces de programmation -> Modèles d'objet -> Variable -> Variable-Dynamic properties -> NWMDRV32 - Variable ED

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Type

VBA/VSTA Name

Display Name

Description

VT_BOOL

IsLocalDigits

IsLocalDigits

"With this property you have the opportunity to decide whether the ""Decimals"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalSignalMin

IsLocalSignalMin

"With this property you have the opportunity to decide whether the ""Minimum signal resolution"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalSignalMax

IsLocalSignalMax

"With this property you have the opportunity to decide whether the ""Maximum signal resolution"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalRangeMin

IsLocalRangeMin

"With this property you have the opportunity to decide whether the ""Minimum measuring range"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalRangeMax

IsLocalRangeMax

"With this property you have the opportunity to decide whether the ""Maximum measuring range"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalAlternateValue

IsLocalAlternateValue

"With this property you have the opportunity to decide whether the ""Alternate value"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalValueMin

IsLocalValueMin

"With this property you have the opportunity to decide whether the ""Minimum set value"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalValueMax

IsLocalValueMax

"With this property you have the opportunity to decide whether the ""Maximum set value"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalUseMacro

IsLocalUseMacro

"With this property you have the opportunity to decide whether the ""Non linear value adjustment with macros"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalInOut

IsLocalInOut

"With this property you have the opportunity to decide whether the ""Setting values active"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalHystNeg

IsLocalHystNeg

"With this property you have the opportunity to decide whether the ""negative hysteresis"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalHystPos

IsLocalHystPos

"With this property you have the opportunity to decide whether the ""negative hysteresis"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalArchHystNeg

IsLocalArchHystNeg

VT_BOOL

IsLocalArchHystPos

IsLocalArchHystPos

VT_BOOL

IsLocalUpdatePriority

IsLocalUpdatePriority

"With this property you have the opportunity to decide whether the ""Priority of the driver connection"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalDDEaktiv

IsLocalDDEaktiv

"With this property you have the opportunity to decide whether the ""DDE active"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalStandby

IsLocalStandby

"With this property you have the opportunity to decide whether the ""Only read from standby"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalRemaActiv

IsLocalRemaActiv

"With this property you have the opportunity to decide whether the ""Reaction matrix active"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalRema

IsLocalRema

"With this property you have the opportunity to decide whether the ""Reaction matrix"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalHDActive

IsLocalHDActive

"With this property you have the opportunity to decide whether the ""HD active"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalHDUpdate

IsLocalHDUpdate

"With this property you have the opportunity to decide whether the ""HD scan rate"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalHDSize

IsLocalHDSize

"With this property you have the opportunity to decide whether the ""Number of HD values"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalKDAActiv

IsLocalKDAActiv

"With this property you have the opportunity to decide whether the ""Recording type"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalStingLength

IsLocalStingLength

"With this property you have the opportunity to decide whether the ""String length"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalQuitPV

IsLocalQuitPV

"With this property you have the opportunity to decide whether the ""Acknowledgement variable"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalViewQuitPV

IsLocalViewQuitPV

Description as text.

VT_BOOL

IsLocalQuitValue

IsLocalQuitValue

"With this property you have the opportunity to decide whether the ""Acknowledgement value"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalTagname

IsLocalTagname

"With this property you have the opportunity to decide whether the ""Identification"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalUnit

IsLocalUnit

"With this property you have the opportunity to decide whether the ""Unit"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalAltValString

IsLocalAltValString

"With this property you have the opportunity to decide whether the ""String alternative value"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalRecLabel

IsLocalRecLabel

"With this property you have the opportunity to decide whether the ""Ressources label"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalAdjustHW

IsLocalAdjustHW

"With this property you have the opportunity to decide whether the ""AdjustHardwareValue"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalAdjustZenon

IsLocalAdjustZenon

"With this property you have the opportunity to decide whether the ""AdjustZenOnValue"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalArraySize

IsLocalArraySize

"With this property you have the opportunity to decide whether the ""Array size"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalCounterGroup

IsLocalCounterGroup

VT_BOOL

IsLocalMaxGradient

IsLocalMaxGradient

VT_BOOL

IsLocalNormalStateActive

IsLocalNormalStateActive

VT_BOOL

IsLocalNormalState

IsLocalNormalState

VT_BOOL

IsLocalAlarmPV0

IsLocalAlarmPV0

"With this property you have the opportunity to decide whether the ""Alarm Variable 1"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalAlarmPV1

IsLocalAlarmPV1

"With this property you have the opportunity to decide whether the ""Alarm Variable 2"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalAlarmPV2

IsLocalAlarmPV2

"With this property you have the opportunity to decide whether the ""Alarm Variable 3"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalVarInASM

IsLocalVarInASM

"With this property you have the opportunity to decide whether the ""Save in IPA database"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalAlarmDomain

IsLocalAlarmDomain

"With this property you have the opportunity to decide whether the ""Alarm area"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalAlarmDomain2

IsLocalAlarmDomain2

Description as text.

VT_BOOL

IsLocalAlarmDomain3

IsLocalAlarmDomain3

Description as text.

VT_BOOL

IsLocalAlarmDomain4

IsLocalAlarmDomain4

Description as text.

VT_BOOL

IsLocalLocking

IsLocalLocking

"With this property you have the opportunity to decide whether the ""Interlocking"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalSBO

IsLocalSBO

"With this property you have the opportunity to decide whether the ""Select before operate"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalCancelOperate

IsLocalCancelOperate

Description

VT_BOOL

IsLocalAlarmViaEquipmentModel

IsLocalAlarmViaEquipmentModel

Description

VT_BOOL

IsLocalUsedInProcRec

IsLocalUsedInProcRec

Description

VT_UI1

IsSWProtokol

IsSWProtokol

VT_BOOL

IsSW_Akt

IsSW_Akt

VT_BOOL

IsSW_VBA

IsSW_VBA

More...

Limits

Valeurs limite

Propriétés définissant le traitement des valeurs limites ou le traitement des alarmes pour la variable.

Les propriétés de ce groupe sont uniquement disponibles si vous avez activé la propriété Matrice de réaction active.

Plus de détails dans l’aide en ligne.

VT_UI4

ID_ComplexVariable

ID_ComplexVariable

With this property you have the opportunity to get/set the ID of a variable from a structure element. This ID is 0 when the variable has no structure datatype.

VT_BSTR

Name

Nom

Nom unique de la variable. Les considérations suivantes s’appliquent lors de la définition du nom :

  • Longueur maximale : 128 caractères
  • Caractères non autorisés : # et @

Remarque : pour les drivers utilisant la connexion à zenon Logic, vous devez définir un préfixe. Pour plus de détails, reportez-vous au chapitre Création de variables O et M dans zenon Logic dans le manuel.
Toute modification du nom de la variable doit également être effectuée dans l’environnement de programmation (VBA, VSTA).

Attention : Cette propriété n’est pas disponible aux fins de la commutation de langue.

Plus de détails dans l’aide en ligne.

VT_BSTR

Tagname

Identification

Chaîne libre utilisée pour l’identification de la variable ou du type de données.
Remarque : Puisque la langue du nom de la variable (propriété Nom) ne peut pas être modifiée, cette propriété peut être utilisée pour le changement de langue en ligne.

Longueur maximale : 128 caractères

Plus de détails dans l’aide en ligne.

VT_BSTR

Unit

Unité de mesure

Unité technique de la variable devant être affichée dans le Runtime. Si vous avez déjà créé des unités de mesure dans le module d’unités de base, celles-ci sont disponibles dans une liste déroulante.
Maximum : 50 caractères.
Par défaut : vide

Plus de détails dans l’aide en ligne.

VT_R8

AlternateValue

Archivfüllwert

Cette valeur est utilisée pour renseigner les archives cycliques. En présence d’intervalles durant lesquels aucune connexion au matériel n’a été établie, cette valeur est utilisée tant qu’aucune valeur n’est transférée depuis l’équipement. Dans le cas contraire, la dernière valeur valide utilisée est utilisée aux fins du renseignement.

Plus de détails dans l’aide en ligne.

VT_BSTR

AlternateValueString

Valeur chaîne pour le remplissage des archives

Cette valeur est utilisée pour les variables de chaîne, afin de renseigner les archives cycliques.
En présence d’intervalles, dans les archives cycliques, durant lesquels aucune connexion au matériel n’a été établie, cette Valeur chaîne pour le remplissage des archives est utilisée tant qu’aucune valeur n’est transférée depuis l’équipement. Dans le cas contraire, la dernière valeur valide est utilisée pour le renseignement.

Longueur maximale : 128 caractères

Attention : Cette propriété n’est pas disponible aux fins de la commutation de langue.

Plus de détails dans l’aide en ligne.

VT_BSTR

Recourceslabel

Description externe

Chaîne au choix.
N'est pas utilisé au niveau interne dans zenon, mais est disponible lors de l’exportation de valeurs pour autoriser l’attribution des valeurs exportées pour les systèmes de gestion tels qu’ERP.

Longueur maximale : 255 caractères

Plus de détails dans l’aide en ligne.

VT_UI4

NetAddr

Adresse réseau

Adresse de bus ou Adresse réseau de la variable.

  • Minimum : 0
  • Maximum : 4294967295

Par défaut : 0

Plus de détails dans l’aide en ligne.

VT_UI4

DataBlock

Bloc de données

Numéro de bloc de données.
Minimum : 0.
Maximum : 4294967295
Par défaut : 0.

Plus de détails dans l’aide en ligne.

VT_UI4

Offset

Offset

Décalage de la variable.
Pour les contrôleurs à adressage linéaire : plage de mémoire.
Pour les contrôleurs à résolution de nom : adresse d’attribution.
Minimum : 0.
Maximum : 4294967295
Par défaut : 0.

Plus de détails dans l’aide en ligne.

VT_UI2

BitAddr

Numéro de bit

Numéro du bit dans le décalage configuré.
Minimum : 0.
Maximum : 65535
Par défaut : 0.

Plus de détails dans l’aide en ligne.

VT_UI2

Alignment

Alignement

Ceci dépend de la granularité du type d’objet du driver et de la position de la variable conformément au décalage défini.

Pour les variables de type Octet :
Octet poids fort : octet de poids fort dans le décalage de mot.
Octet poids faible : Otet de poids faible dans le décalage de mot.
HiWord-HiByte octet de poids fort dans le mot fort dans le décalage de double mot.
HiWord-LoByte (Mot poids fort-Octet poids faible) octet de poids faible dans le mot fort dans le décalage de double mot.
Mot poids faible-Octet poids fort : octet de poids fort dans le mot faible dans le décalage de double mot.
Mot poids faible-Octet poids faible : octet de poids faible dans le mot faible dans le décalage de double mot.

Pour les variables de mot :
Mot poids fort : mot fort dans le décalage de double mot.
Mot poids faible : Mot poids faible dans le décalage de double mot.

Plus de détails dans l’aide en ligne.

VT_UI2

StringLength

Longueur de la chaîne

Disponible uniquement pour les variables de type chaîne.
Nombre maximum de caractères que peut accepter une variable.
Minimum : 1 caractère
Si la valeur non autorisée 0 est saisie, la dernière valeur configurée valide est automatiquement utilisée. Si aucune valeur valide n’a été configurée, l’entrée est remplacée par la valeur par défaut.
Maximum : 65535 caractères.
Par défaut : 5 caractères

Remarque : la valeur par défaut est 65 535 pour les variables système avec le type de données String.

Plus de détails dans l’aide en ligne.

VT_BSTR

SymbAddr

Adresse symbolique

Séquence de caractères pour l’adressage symbolique des variables.

Longueur maximale : 1024 caractères.

Remarque : L’adresse symbolique n’est pas prise en charge par tous les drivers.
Lors de l’importation des variables dans des drivers compatibles avec l’adressage symbolique, la propriété est saisie automatiquement.

Plus de détails dans l’aide en ligne.

VT_UI4

Driver

Drivers

VT_UI4

ID_DataTyp

Type de données

Type de donnée pour la variable. Sélectionné durant la création de la variable ; peut être modifié ici ultérieurement.
Remarque : Pour les variables de structure, le type de données ne peut plus être modifié après la création des variables.
Attention : Si vous modifiez le type de données ultérieurement, toutes les autres propriétés de la variable doivent être vérifiées et ajustées, si nécessaire.

Plus de détails dans l’aide en ligne.

VT_UI4

ID_DriverTyp

Type d'objet driver

Selon le driver utilisé, un type d’objet est sélectionné durant la création de la variable et peut être modifié ici ultérieurement.
Siemens : bloc de données, marqueur, entrée/sortie.
Modbus : Coil et Holding Register.

Plus de détails dans l’aide en ligne.

VT_UI1

UpdatePriority

Priorité

Si l’heure de mise à jour globale spécifiée dans la configuration du driver n’est pas utilisée, la fréquence des mises à jour correspondant aux différents niveaux de priorité peut être définie ici. Dans cette propriété, une priorité est attribuée à une variable.

Plus de détails dans l’aide en ligne.

VT_BOOL

Standby

Lire uniquement sur le serveur redondant

Active : La valeur de la variable provenant du serveur redondant est affichée.
Inactive : La valeur de la variable provenant du serveur est affichée.
(drivers matériels uniquement)

Plus de détails dans l’aide en ligne.

VT_UI2

Digits

Nombre de décimales

Nombre de décimales des valeurs de variables utilisées lors de l’affichage dans le système de contrôle.
Minimum : 0
Maximum : 10
Par défaut : 0

Plus de détails dans l’aide en ligne.

VT_R8

SignalMin

Signal min.

Valeur minimum de la variable dans l’automate.
À moins d’être définie différemment dans la propriété Ajustement non-linéaire, la valeur brute des variables (résolution du signal) sera toujours convertie au format de la plage de mesure sur une base linéaire (pour une utilisation dans le système de contrôle). Toutes les autres entrées de valeurs numériques spécifiques à la variable dans Editor et dans le Runtime seront liées à la plage de mesures (par ex. définition des valeurs limites, limites des valeurs prescrites, zone de représentation, entrées de valeurs prescrites, etc.).

Plus de détails dans l’aide en ligne.

VT_R8

SignalMax

Signal max.

Valeur maximum de la variable dans l’automate. À moins d’être définie différemment dans la propriété Ajustement non-linéaire, la valeur brute des variables (résolution du signal) sera toujours convertie au format de la plage de mesure sur une base linéaire (pour une utilisation dans le système de contrôle). Toutes les autres entrées de valeurs numériques spécifiques à la variable dans Editor et dans le Runtime seront liées à la plage de mesures (par ex. définition des valeurs limites, limites des valeurs prescrites, zone de représentation, entrées de valeurs prescrites, etc.).

Plus de détails dans l’aide en ligne.

VT_R8

RangeMin

Plage de mesure min.

Valeur minimum des variables dans zenon.
À moins d’être définie différemment dans la propriété Ajustement non-linéaire, la valeur brute des variables (résolution du signal) sera toujours convertie au format de la plage de mesure sur une base linéaire (pour une utilisation dans le système de contrôle). Toutes les autres entrées de valeurs numériques spécifiques à la variable dans Editor et dans le Runtime seront liées à la plage de mesures (par ex. définition des valeurs limites, limites des valeurs prescrites, zone de représentation, entrées de valeurs prescrites, etc.).

Plus de détails dans l’aide en ligne.

VT_R8

RangeMax

Plage de mesure max.

Valeur maximum des variables dans zenon.
À moins d’être définie différemment dans la propriété Ajustement non-linéaire, la valeur brute des variables (résolution du signal) sera toujours convertie au format de la plage de mesure sur une base linéaire (pour une utilisation dans le système de contrôle). Toutes les autres entrées de valeurs numériques spécifiques à la variable dans Editor et dans le Runtime seront liées à la plage de mesures (par ex. définition des valeurs limites, limites des valeurs prescrites, zone de représentation, entrées de valeurs prescrites, etc.).

Plus de détails dans l’aide en ligne.

VT_BOOL

UseMacro

Ajustement non-linéaire avec macros

L’ajustement de valeurs non linéaires est utilisé pour les variables dont la valeur originale (automate) ne peut pas être ajustée de manière linéaire en fonction de la valeur mesurée (système de contrôle).

  • Active : Les valeurs brutes sont ajustées en fonction de zenon, sur une base non linéaire, avec des macros VBA.
  • Inactive : Les valeurs brutes sont ajustées en fonction de zenon.

Remarque : Lors de l’activation de la propriété, les propriétés AdjustHardwareValue et AdjustScadaValue doivent également être configurées. La propriété AdjustHardwareValue doit alors être configurée à l’inverse de la propriété AdjustScadaValue, sous forme de fonction inverse.

Par défaut : Inactive

Plus de détails dans l’aide en ligne.

ZT_VBAMAKRO

AdjustHardware

AdjustHardwareValue

Disponible uniquement si la propriété Ajustement non-linéaire avec macros est active.

Macro appelée à chaque modification de la valeur brute dans l’automate, et qui modifie la valeur dans zenon. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de macros.
Plus de détails dans l’aide en ligne.

ZT_VBAMAKRO

AdjustZenon

AdjustScadaValue

Disponible uniquement si la propriété Ajustement non-linéaire avec macros est active.

La macro est appelée lors de l’écriture d’une valeur depuis zenon et modifie la valeur brute sur l’automate. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de macros.
Plus de détails dans l’aide en ligne.

VT_R8

HystNeg

Négatif pour le signal

Hystérésis des valeurs limites définies en fonction de la plage du signal.

Plage d’hystérésis pour l’entrée en cas de changement de valeur avec diminution. Les valeurs sont uniquement interprétées comme des dépassements de valeur limite si la valeur changeante est inférieure à la plage d’hystérésis définie ici.
Par défaut : 0 (pas d’hystérésis)

Plus de détails dans l’aide en ligne.

VT_R8

HystPos

Positif pour le signal

Hystérésis des valeurs limites définies en fonction de la plage du signal.

Plage d’hystérésis pour l’entrée en cas de changement de valeur avec augmentation. Les valeurs sont uniquement interprétées comme des dépassements de valeur limite si la valeur changeante est supérieure à la plage d’hystérésis définie ici.
Par défaut : 0 (pas d’hystérésis)

Plus de détails dans l’aide en ligne.

VT_R8

ArchHystNeg

Négatif pour l'archive

Hystérésis d’archivage en cas de changement appliquée à la plage de mesure.

Plage d’hystérésis pour l’entrée en cas de changement de valeur avec diminution. Les valeurs sont uniquement saisies dans l’archive si la valeur changeante est inférieure à la plage d’hystérésis définie ici.
Par défaut : 0 (pas d’hystérésis)

Plus de détails dans l’aide en ligne.

VT_R8

ArchHystPos

Positif pour l'archive

Hystérésis d’archivage en cas de changement appliquée à la plage de mesure.

Plage d’hystérésis pour l’entrée en cas de changement de valeur avec augmentation. Les valeurs sont uniquement saisies dans l’archive si la valeur changeante est supérieure à la plage d’hystérésis définie ici.
Par défaut : 0 (pas d’hystérésis)

Plus de détails dans l’aide en ligne.

VT_BOOL

DDEActive

Variable lue en permanence

Paramètre de lecture de la variable et de sa disponibilité via DDE dans le Runtime :

  • Active : La variable est toujours connectée au driver. Cela signifie qu’elle est continuellement lue par le driver, même si elle n’est pas nécessaire dans le projet à cet instant précis. Le driver connaît ainsi toujours les valeurs actuelles et l’état actuel des variables et peut les fournir immédiatement, si nécessaire. La variable est également disponible pour les autres applications Windows (par exemple, Excel, Visual Basic, etc.). Les applications Windows possédant une fonctionnalité de client DDE peuvent ainsi utiliser les valeurs de la variable.
    Temps d’actualisation : 0,5 s
    L'activation de cette option offre par exemple l’avantage de basculer plus rapidement les valeurs de variables dans la fonction Ecriture valeur prescrite ou dans l’élément Appel de synoptique, car il n’est pas nécessaire d’interroger spécialement la variable avant la commutation. L’inconvénient est une augmentation de la charge des communications au niveau du contrôleur.
  • Inactive : La variable n’est pas interrogée en permanence par le driver, mais uniquement en cas de demande de valeurs ou d’états dans le Runtime. Elle n’est donc pas disponible dans les autres applications Windows via DDE.

Par défaut : Inactive

Plus de détails dans l’aide en ligne.

VT_UI4

ArraySizeOld

Dimension tableau

Définition de la taille de l’ensemble de blocs. La taille définie est lue ou écrite par le driver durant une demande de lecture/d’écriture. Ceci permet de garantir la cohérence des données dans le texte. Les données peuvent uniquement être modifiées dans le module Recipegroup Manager ou via l’interface de programmation.
Attention : peut être défini au niveau du driver interne, toutefois sans fonction dans le Runtime (valeur toujours égale à 0).

Plus de détails dans l’aide en ligne.

VT_UI4

CounterGroup

Groupe de compteur

Disponible uniquement dans SICAM 230.

VT_UI4

MaxGradient

Gradient maximum

Disponible uniquement dans SICAM 230.

VT_BOOL

NormalStateActive

Actif

Permet de définir un état normal pour les variables et les types de données du type BOOL, UINT et WORD pour tous les drivers.

Active : Un état normal peut être défini.

Par défaut : Inactive

Plus de détails dans l’aide en ligne.

VT_BOOL

NormalState

Valeur normale

Dans la liste déroulante, choisissez si la valeur normale de cette variable ou ce type de données doit être On (Active) ou Off (Inactive). Disponible pour les variables et les types de données du type BOOL, UINT et WORD pour tous les drivers.

Par défaut : Off

Plus de détails dans l’aide en ligne.

ZT_VARIABLE

AlarmPV0

Variable d'alarme 1

Disponible uniquement dans SICAM 230.
Première variable pour la gestion d’alarmes de synoptiques.

Plus de détails dans l’aide en ligne.

ZT_VARIABLE

AlarmPV1

Variable d'alarme 2

Disponible uniquement dans SICAM 230.
Deuxième variable pour la gestion d’alarmes de synoptiques.

Plus de détails dans l’aide en ligne.

ZT_VARIABLE

AlarmPV2

Variable d'alarme 3

Disponible uniquement dans SICAM 230.
Troisième variable pour la gestion d’alarmes de synoptiques.

Plus de détails dans l’aide en ligne.

VT_BOOL

HDActive

Stockage de données sur disque dur actif

Active : les valeurs de variables sont enregistrées sur le disque dur (enregistrement circulaire) pour être évaluées dans l’élément dynamique "Élément de tendance" ou pour l’exportation/l’importation des valeurs.

Inactive : aucune valeur de variable n’est enregistrée.

Par défaut : inactive

Les données de disque dur nécessitent 24 octets d’espace de stockage par valeur, indépendamment du type de variable. Outre la valeur, les informations suivantes sont enregistrées :
- Heure d’exécution de la mesure.
- Millisecondes lors de la lecture de la valeur.
- Modification de l’état de la valeur en fonction des éléments.
- Compteur pour l’identification unique de la valeur (driver événementiel).

Remarque : Le stockage de données est également activé lors d’un appel de synoptique de type Extended Trend si des données en ligne sont analysées.
Les variables de type chaîne ne sont pas prises en charge par la fonction de stockage de données sur le disque dur.

Attention : si l’option d’enregistrement sur disque dur est activée pour un trop grand nombre de variables, en présence d’un trop grand nombre de valeurs, les performances du Runtime peuvent être altérées.

Plus de détails dans l’aide en ligne.

VT_R4

HDUpdate

Temps de cycle [s]

Disponible uniquement si la propriété Stockage de données sur disque dur actif est active :
Durée de l’intervalle [en secondes] de conservation des valeurs en ligne sur le disque dur (mémoire circulaire) pour l’analyse dans l’élément dynamique Tendance, pour les données en ligne dans le module Extended Trend ou pour l’exportation/l’importation de valeurs.

Plus de détails dans l’aide en ligne.

VT_UI4

HDSize

Nombre de valeurs

Valeur correspondant à l’intervalle de conservation des valeurs en ligne sur le disque dur (mémoire circulaire) pour l’analyse dans l’élément dynamique Tendance, pour les données en ligne dans le module Extended Trend ou pour l’exportation/l’importation de valeurs.

Attention : si l’option d’enregistrement sur disque dur est activée pour un trop grand nombre de variables, en présence d’un trop grand nombre de valeurs, les performances du Runtime peuvent être altérées.

Plus de détails dans l’aide en ligne.

VT_BOOL

IsKDAActiv

Type d'enregistrement

Disponible uniquement si la propriété Stockage de données sur disque dur actif est active :
Données de disque dur (cyclique) : Écriture cyclique des valeurs sur le disque dur.
Valeurs retriées (RDA) : Les valeurs sont écrites bloc par bloc sur le disque dur par le driver. (Fonction adaptée à l’analyse rétrospective des erreurs au niveau du système de contrôle.)

Plus de détails dans l’aide en ligne.

VT_BOOL

ExternVisible

Visible extérieurement pour

Disponible uniquement si la propriété Visible par d'autres programmes est active.

Spécifiez expressément les projets de zenon Logic pour lesquels la variable doit être visible. Si vous laissez le champ de saisie vide, la variable est visible pour tous les projets zenon Logic. Vous pouvez également saisir des projets zenon Logic de manière expresse. Séparez les noms des projets individuels par un point-virgule (";"). Vous pouvez utiliser les opérateurs. Par exemple, P1* signifie tous les projets zenon Logic commençant par P1. (Remarque : les opérateurs sont uniquement autorisés sous forme de préfixe ou de suffixe, par exemple, *xxx ou xxx*.

Le nombre de caractères est limité à 64.

Par défaut : -

Plus de détails dans l’aide en ligne.

VT_BSTR

ExternVisibleFor

Visible extérieurement pour

Disponible uniquement si la propriété Visible par d'autres programmes est active.

Spécifiez expressément les projets de zenon Logic pour lesquels la variable doit être visible. Si vous laissez le champ de saisie vide, la variable est visible pour tous les projets zenon Logic. Vous pouvez également saisir des projets zenon Logic de manière expresse. Séparez les noms des projets individuels par un point-virgule (";"). Vous pouvez utiliser les opérateurs. Par exemple, P1* signifie tous les projets zenon Logic commençant par P1. (Remarque : les opérateurs sont uniquement autorisés sous forme de préfixe ou de suffixe, par exemple, *xxx ou xxx*.

Le nombre de caractères est limité à 64.

Par défaut : -

Plus de détails dans l’aide en ligne.

VT_BOOL

ReadWrite

Ecriture/lecture externe

Propriété externe pour zenon Logic. Affecte uniquement les variables qui ne forment pas partie du driver straton.
Active : la valeur de la variable ne peut pas être modifiée dans zenon Logic. La définition de la variable ne peut pas être modifiée dans zenon Logic.
Inactive : la variable ne peut pas être modifiée dans zenon Logic.
Par défaut : active.

Plus de détails dans l’aide en ligne.

VT_BSTR

InitialValue

Valeur initiale externe

Propriété externe pour zenon Logic. Affecte uniquement les variables qui ne forment pas partie du driver straton.
Valeur initiale de la variable dans zenon Logic durant une reprise graduelle ou une reprise intermédiaire.
La saisie autorisée ici dépend du type de données de la variable. Par exemple, vous pouvez uniquement utiliser des valeurs sans décimales pour les variables entières. Pour les variables à virgule flottante, un point doit être utilisé en tant que séparateur décimal ; les virgules ne peuvent pas être utilisées.
Le système de contrôle ne vérifie pas la validité de cette saisie. Ceci peut générer un message d’erreur dans zenon Logic.

Attention : lors de l’utilisation de variables du driver interne, cette propriété doit posséder la même valeur que la valeur initiale dans les paramètres des variables internes.

Plus de détails dans l’aide en ligne.

VT_BSTR

Profilename

Nom profil externe

Propriété externe pour zenon Logic. Affecte uniquement les variables qui ne forment pas partie du driver straton.
Nom du profil défini dans zenon Logic (par ex. STRATON, ProfDP).

Cette propriété est uniquement affichée pour information. Édition dans zenon Logic uniquement.

Plus de détails dans l’aide en ligne.

VT_BSTR

Adressparam

Paramètre externe d'adresse

Propriété externe pour zenon Logic. Affecte uniquement les variables qui ne sont pas des variables du driver straton.
Propriétés de profil dans zenon Logic (par ex. "intégré" ou paramètres d’adressage de Profibus).

Cette propriété est uniquement affichée pour information. Édition dans zenon Logic uniquement.

Plus de détails dans l’aide en ligne.

VT_BSTR

Vargroup

Groupe de variables externe

Propriété externe pour zenon Logic. Affecte uniquement les variables qui ne sont pas des variables du driver straton32.
Groupes de variables dans zenon Logic ("Global" ou "Retain" ou vides).

Cette propriété est uniquement affichée pour information. Édition dans zenon Logic uniquement.

Plus de détails dans l’aide en ligne.

VT_BOOL

IsRemaActiv

Matrice de réaction active

Active : Une matrice de réaction est utilisée à la place des valeurs de limite.
Inactive : Les valeurs peuvent être définies pour la variable.
Par défaut : inactive.

Plus de détails dans l’aide en ligne.

ZT_REMA

Rema

Matrice de réaction

Propriétés d’utilisation d’une matrice de réaction pour la variable.

Plus de détails dans l’aide en ligne.

ZT_VARIABLE

AlarmQuitPV

Valeur d'acquittement

Si une alarme de cette variable est acquittée visuellement, la variable sélectionnée sous Variable d'acquittement visuel ou Variable d'acquittement est définie sur cette valeur.

Sélection de 0 ou 1.

Plus de détails dans l’aide en ligne.

ZT_VARIABLE

AlarmViewQuitPV

Variable d'acquittement visuel

Si une alarme de la variable de contrôle est acquittée visuellement, la valeur de la variable d’acquittement visuel est définie sur la valeur définie par Valeur d'acquittement.

Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de variables binaires.

Plus de détails dans l’aide en ligne.

VT_UI4

AlarmQuitPVValue

Valeur d'acquittement

Si une alarme de cette variable est acquittée visuellement, la variable sélectionnée sous Variable d'acquittement visuel ou Variable d'acquittement est définie sur cette valeur.

Sélection de 0 ou 1.

Plus de détails dans l’aide en ligne.

VT_BOOL

VarInASM

Enregistrer dans la base IPA

Active : les alarmes de cette variable sont disponibles pour analyse dans le module Industrial Performance Analyzer (IPA).
Inactive : les alarmes de cette variable ne sont prises en compte lors de l’analyse dans le module Industrial Performance Analyzer (IPA).
Par défaut : Inactive

Attention : le module Industrial Performance Analyzer est un module optionnel, qui doit comporter une licence valide pour pouvoir être utilisé ici.

Plus de détails dans l’aide en ligne.

VT_BOOL

AlarmViaEquipmentModel

Utiliser la gestion d'alarmes hiérarchiques du modèle d'équipement

Type d’attribution de la variable à un domaine d’alarmes.

  • Active :
    Le domaine d’alarmes de la variable est transféré par le modèle d’équipement. L’alarme de la variable est applicable aux domaines d’alarmes définis dans le modèle d’équipement. Dans ce cas, le groupe d’équipements de la variable et le groupe d’équipements de niveau supérieur du modèle d’équipement sont pris en compte.
  • Inactive :
    L'alarme sur la variable est applicable aux domaines d’alarmes 1 à 4 de la gestion d’alarmes.

Remarque : Si cette propriété est activée pour un type de données, les paramètres de toutes les variables issues de celle-ci sont transférés.

Plus de détails dans l’aide en ligne.

ZT_BSTR_REF

AreaName

AreaName

Description as text.

ZT_BSTR_REF

AreaName2

AreaName2

Description as text.

ZT_BSTR_REF

AreaName3

AreaName3

Description as text.

ZT_BSTR_REF

AreaName4

AreaName4

Description as text.

VT_BOOL

InOut

Ecrire valeur prescrite

Active : cette variable est libérée pour l’action Spécifier valeur prescrite.
Inactive : cette variable est protégée en écriture.
Par défaut : Active

Plus de détails dans l’aide en ligne.

VT_BOOL

SBO

Select Before Operate

Attention : Cette fonctionnalité est uniquement compatible avec les drivers IEC870 et IEC850, et uniquement disponible si vous avez sélectionné l’option Commande commutation pour la propriété de type d’action dans Gestion des commandes, et l’action est mise en œuvre sous forme d’action à deux étapes. N’utilisez pas cette fonction pour le driver DNP3_NG ; Auto-SBO peut être configuré directement pour la variable, dans ce cas.

Active : Avant que la valeur de la variable ne soit écrite dans le matériel, zenon vérifie, pendant la première phase de la commande de commutation, si la variable dans l’équipement est prête pour cette action (Select before Operate (SBO)).
Attention : Pour les commandes impulsion, la réinitialisation automatique des valeurs des variables n’est pas effectuée dans l’intervalle de temps défini dans la propriété de délai de front.

Si la propriété SBO a été activée pour la variable d’action, une commande d’impulsion se comporte de la même manière qu’une commande de commutation.

Inactive : La valeur de la variable est transférée vers le driver sans vérification préalable.

Remarque : dans un driver IEC870, cela signifie une instruction Direct execute. Le driver IEC850 peut toutefois déclencher automatiquement une instruction Select before Operate , en raison du Control Model.
Par défaut : Inactive :
Plus de détails dans l’aide en ligne.

VT_BOOL

CancelOperate

Annuler 'Operate'

Si cette propriété est activée, il est possible d’envoyer une commande Cancel après une commande Operate lors de la gestion des commandes.

Remarque : Cette propriété est uniquement dans la version Energy Edition.

Par défaut : Inactive

Plus de détails dans l’aide en ligne.

VT_R8

ValueMin

Valeur prescrite min.

La valeur minimum définie ici pour le paramètre Écrire valeur prescrite peut être acceptée par le biais d’éléments dynamiques, plutôt que par la configuration séparée de ces derniers.
Ceci est surtout recommandé si la plage de la mesure est susceptible de varier ultérieurement, car ces modifications peuvent être effectuées une fois ici, au lieu d’être modifiées séparément dans chaque élément.

Plus de détails dans l’aide en ligne.

VT_R8

ValueMax

Valeur prescrite max.

La valeur maximum définie ici pour le paramètre Écrire valeur prescrite peut être acceptée par le biais d’éléments dynamiques, plutôt que par la configuration séparée de ces derniers.
Ceci est surtout recommandé si la plage de la mesure est susceptible de varier ultérieurement, car ces modifications peuvent être effectuées une fois ici, au lieu d’être modifiées séparément dans chaque élément.

Plus de détails dans l’aide en ligne.

VT_BSTR

LockingName

LockingName

"With this property you have the opportunity to assign an interlocking via its name.
zElement.DynProperties(""LockingName"") = ""Interlocking 1"""

VT_UI1

SetValueProtocol

Enregistrement (fichier journal)

Définit la manière dont l’écriture de la valeur prescrite sera consignée dans la liste CEL.

  • Tout : Toutes les actions Écrire valeur prescrite de cette variable exécutées via des éléments dynamiques et les fonctions Écrire valeur prescrite sont consignées dans la liste d’événements. (CEL)
  • Rien : aucune action Spécifier valeur prescrite n’est consignée dans la liste CEL.
  • Seulement sur élément dynamique : Seules les actions Écrire valeur prescrite exécutées via les éléments dynamiques sont consignées dans la liste CEL.

Par défaut : Uniquement les éléments dynamiques :

Plus de détails dans l’aide en ligne.

VT_BOOL

SV_Act

Ancienne et nouvelle valeur
  • Active : en cas de modification de la valeur prescrite de cette variable, les valeurs ancienne et nouvelle sont consignées dans la liste d’événements (CEL).
  • Inactive : Seule la nouvelle valeur est consignée.

Par défaut : Inactive

Recommandation : Activez la propriété Variable lue en permanence. Ceci permet de garantir que la valeur est toujours disponible, et qu’il n’est pas nécessaire de l’interroger spécialement.

Plus de détails dans l’aide en ligne.

VT_BOOL

SV_VBA

Valeurs modifiées par VBA

Active : L’écriture de la valeur prescrite de cette variable via une macro VBA est consignée dans la liste d’événements.
inactive : l’écriture de la valeur prescrite de cette variable via une macro VBA n’est pas consignée.
Par défaut : Active

Remarque : pour les variables configurées sous forme de variables de commande dans la passerelle de procédé IEC870, chaque commande est consignée sous la forme Spécifier valeur prescrite via l’interface COM dans la liste CEL, si la propriété est activée.

Plus de détails dans l’aide en ligne.

VT_BSTR

VisualName

Nom visuel

Saisie d’un nom d’affichage de la variable dans zenon Analyzer. Celui-ci doit être unique dans le projet, mais ceci n’est pas vérifié dans zenon. Cette vérification est effectuée lors de l’importation dans zenon Analyzer.

Cette propriété fournit des informations qui sont utilisées pour la configuration de rapports dans zenon Analyzer. L’exportation des données de zenon vers zenon Analyzer est effectuée à l’aide de l’assistant Analyzer Export Wizard.

Attention : Si cette propriété est modifiée après la première exportation vers zenon Analyzer, ces modifications ne sont appliquées dans zenon Analyzer.

Plus de détails dans l’aide en ligne.

VT_BSTR

Meaning

Signification

Cette propriété fournit des informations qui sont utilisées par la fonction de configuration de rapports dans zenon Analyzer.
Les données peuvent être définies manuellement ou à l’aide de l’assistant Meaning and Waterfall Chart Wizard. L’exportation des données de zenon vers zenon Analyzer est effectuée à l’aide de l’assistant Analyzer Export Wizard.

Saisie de la signification (meaning) d’une variable dans zenon Analyzer. Plusieurs significations doivent être séparées par une virgule.
Syntaxe : [signification1],[signification2],…,[significationN]

Plus de détails dans l’aide en ligne.

VT_BSTR

WaterfallParam

Paramètre pour le waterfall diagram

Cette propriété fournit des informations qui sont utilisées par la fonction de configuration de rapports dans zenon Analyzer.
Les données peuvent être définies manuellement ou à l’aide de l’assistant Meaning and Waterfall Chart Wizard. L’exportation des données de zenon vers zenon Analyzer est effectuée à l’aide de l’assistant Analyzer Export Wizard.

Paramètres d’une variable pour un diagramme en cascade dans zenon Analyzer. Les entrées peuvent être créées pour les rapports par ligne ou les rapports par machine. Lors de l’exportation, en fonction de la structure des entrées, une décision est prise pour déterminer s’il s’agit d’entrées correspondant à des diagrammes par machine ou par ligne.

Les paramètres individuels doivent être séparés par une virgule. Plusieurs cascades doivent être séparées par un poing-virgule.
Syntaxe, par machine : [nom modèle],[indice de ligne],[indice de colonne],[code de couleur];
Syntaxe, par ligne : [nom du modèle],[indice de ligne],[indice de colonne],[code de couleur],[perte de machine auxiliaire],[ajout de perte de machine auxiliaire],[soustraction de perte de machine auxiliaire];

Plus de détails dans l’aide en ligne.

VT_BOOL

Use_in_ProcRec

Activer l'enregistrement

Active/désactive la variable ou le type de données enregistré dans le module Process Recorder.
La sélection multiple de variables est possible.

  • Active :
    Les changements de valeur de la variable sont enregistrés dans le module Process Recorder.
    Attention : Assurez-vous que l’activation générale de l’enregistrement a été configurée dans la propriété Activer Process Recorder.
  • Inactive :
    Les changements de valeur de la variable ne sont pas enregistrés dans le module Process Recorder.

Par défaut : les paramètres configurés sont appliqués pour le type de données utilisé.

Plus de détails dans l’aide en ligne.


OPCUA variable ED

Manuel -> Interfaces de programmation -> Modèles d'objet -> Variable -> Variable-Dynamic properties -> OPCUA variable ED

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Type

VBA/VSTA Name

Display Name

Description

VT_BSTR

BrowseName

Browse name

Équivaut à la chaîne Nom affiché de la spécification UA d’OPC.

Seules les références hiérarchiques de rang supérieur au dossier de l’objet sont autorisées.

Plus de détails dans l’aide en ligne.

VT_BOOL

IsLocalDigits

IsLocalDigits

"With this property you have the opportunity to decide whether the ""Decimals"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalSignalMin

IsLocalSignalMin

"With this property you have the opportunity to decide whether the ""Minimum signal resolution"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalSignalMax

IsLocalSignalMax

"With this property you have the opportunity to decide whether the ""Maximum signal resolution"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalRangeMin

IsLocalRangeMin

"With this property you have the opportunity to decide whether the ""Minimum measuring range"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalRangeMax

IsLocalRangeMax

"With this property you have the opportunity to decide whether the ""Maximum measuring range"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalAlternateValue

IsLocalAlternateValue

"With this property you have the opportunity to decide whether the ""Alternate value"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalValueMin

IsLocalValueMin

"With this property you have the opportunity to decide whether the ""Minimum set value"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalValueMax

IsLocalValueMax

"With this property you have the opportunity to decide whether the ""Maximum set value"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalUseMacro

IsLocalUseMacro

"With this property you have the opportunity to decide whether the ""Non linear value adjustment with macros"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalInOut

IsLocalInOut

"With this property you have the opportunity to decide whether the ""Setting values active"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalHystNeg

IsLocalHystNeg

"With this property you have the opportunity to decide whether the ""negative hysteresis"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalHystPos

IsLocalHystPos

"With this property you have the opportunity to decide whether the ""negative hysteresis"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalArchHystNeg

IsLocalArchHystNeg

VT_BOOL

IsLocalArchHystPos

IsLocalArchHystPos

VT_BOOL

IsLocalUpdatePriority

IsLocalUpdatePriority

"With this property you have the opportunity to decide whether the ""Priority of the driver connection"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalDDEaktiv

IsLocalDDEaktiv

"With this property you have the opportunity to decide whether the ""DDE active"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalStandby

IsLocalStandby

"With this property you have the opportunity to decide whether the ""Only read from standby"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalRemaActiv

IsLocalRemaActiv

"With this property you have the opportunity to decide whether the ""Reaction matrix active"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalRema

IsLocalRema

"With this property you have the opportunity to decide whether the ""Reaction matrix"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalHDActive

IsLocalHDActive

"With this property you have the opportunity to decide whether the ""HD active"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalHDUpdate

IsLocalHDUpdate

"With this property you have the opportunity to decide whether the ""HD scan rate"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalHDSize

IsLocalHDSize

"With this property you have the opportunity to decide whether the ""Number of HD values"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalKDAActiv

IsLocalKDAActiv

"With this property you have the opportunity to decide whether the ""Recording type"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalStingLength

IsLocalStingLength

"With this property you have the opportunity to decide whether the ""String length"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalQuitPV

IsLocalQuitPV

"With this property you have the opportunity to decide whether the ""Acknowledgement variable"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalViewQuitPV

IsLocalViewQuitPV

Description as text.

VT_BOOL

IsLocalQuitValue

IsLocalQuitValue

"With this property you have the opportunity to decide whether the ""Acknowledgement value"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalTagname

IsLocalTagname

"With this property you have the opportunity to decide whether the ""Identification"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalUnit

IsLocalUnit

"With this property you have the opportunity to decide whether the ""Unit"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalAltValString

IsLocalAltValString

"With this property you have the opportunity to decide whether the ""String alternative value"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalRecLabel

IsLocalRecLabel

"With this property you have the opportunity to decide whether the ""Ressources label"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalAdjustHW

IsLocalAdjustHW

"With this property you have the opportunity to decide whether the ""AdjustHardwareValue"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalAdjustZenon

IsLocalAdjustZenon

"With this property you have the opportunity to decide whether the ""AdjustZenOnValue"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalArraySize

IsLocalArraySize

"With this property you have the opportunity to decide whether the ""Array size"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalCounterGroup

IsLocalCounterGroup

VT_BOOL

IsLocalMaxGradient

IsLocalMaxGradient

VT_BOOL

IsLocalNormalStateActive

IsLocalNormalStateActive

VT_BOOL

IsLocalNormalState

IsLocalNormalState

VT_BOOL

IsLocalAlarmPV0

IsLocalAlarmPV0

"With this property you have the opportunity to decide whether the ""Alarm Variable 1"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalAlarmPV1

IsLocalAlarmPV1

"With this property you have the opportunity to decide whether the ""Alarm Variable 2"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalAlarmPV2

IsLocalAlarmPV2

"With this property you have the opportunity to decide whether the ""Alarm Variable 3"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalVarInASM

IsLocalVarInASM

"With this property you have the opportunity to decide whether the ""Save in IPA database"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalAlarmDomain

IsLocalAlarmDomain

"With this property you have the opportunity to decide whether the ""Alarm area"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalAlarmDomain2

IsLocalAlarmDomain2

Description as text.

VT_BOOL

IsLocalAlarmDomain3

IsLocalAlarmDomain3

Description as text.

VT_BOOL

IsLocalAlarmDomain4

IsLocalAlarmDomain4

Description as text.

VT_BOOL

IsLocalLocking

IsLocalLocking

"With this property you have the opportunity to decide whether the ""Interlocking"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalSBO

IsLocalSBO

"With this property you have the opportunity to decide whether the ""Select before operate"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalCancelOperate

IsLocalCancelOperate

Description

VT_BOOL

IsLocalAlarmViaEquipmentModel

IsLocalAlarmViaEquipmentModel

Description

VT_BOOL

IsLocalUsedInProcRec

IsLocalUsedInProcRec

Description

VT_UI1

IsSWProtokol

IsSWProtokol

VT_BOOL

IsSW_Akt

IsSW_Akt

VT_BOOL

IsSW_VBA

IsSW_VBA

More...

Limits

Valeurs limite

Propriétés définissant le traitement des valeurs limites ou le traitement des alarmes pour la variable.

Les propriétés de ce groupe sont uniquement disponibles si vous avez activé la propriété Matrice de réaction active.

Plus de détails dans l’aide en ligne.

VT_UI4

ID_ComplexVariable

ID_ComplexVariable

With this property you have the opportunity to get/set the ID of a variable from a structure element. This ID is 0 when the variable has no structure datatype.

VT_BSTR

Name

Nom

Nom unique de la variable. Les considérations suivantes s’appliquent lors de la définition du nom :

  • Longueur maximale : 128 caractères
  • Caractères non autorisés : # et @

Remarque : pour les drivers utilisant la connexion à zenon Logic, vous devez définir un préfixe. Pour plus de détails, reportez-vous au chapitre Création de variables O et M dans zenon Logic dans le manuel.
Toute modification du nom de la variable doit également être effectuée dans l’environnement de programmation (VBA, VSTA).

Attention : Cette propriété n’est pas disponible aux fins de la commutation de langue.

Plus de détails dans l’aide en ligne.

VT_BSTR

Tagname

Identification

Chaîne libre utilisée pour l’identification de la variable ou du type de données.
Remarque : Puisque la langue du nom de la variable (propriété Nom) ne peut pas être modifiée, cette propriété peut être utilisée pour le changement de langue en ligne.

Longueur maximale : 128 caractères

Plus de détails dans l’aide en ligne.

VT_BSTR

Unit

Unité de mesure

Unité technique de la variable devant être affichée dans le Runtime. Si vous avez déjà créé des unités de mesure dans le module d’unités de base, celles-ci sont disponibles dans une liste déroulante.
Maximum : 50 caractères.
Par défaut : vide

Plus de détails dans l’aide en ligne.

VT_R8

AlternateValue

Archivfüllwert

Cette valeur est utilisée pour renseigner les archives cycliques. En présence d’intervalles durant lesquels aucune connexion au matériel n’a été établie, cette valeur est utilisée tant qu’aucune valeur n’est transférée depuis l’équipement. Dans le cas contraire, la dernière valeur valide utilisée est utilisée aux fins du renseignement.

Plus de détails dans l’aide en ligne.

VT_BSTR

AlternateValueString

Valeur chaîne pour le remplissage des archives

Cette valeur est utilisée pour les variables de chaîne, afin de renseigner les archives cycliques.
En présence d’intervalles, dans les archives cycliques, durant lesquels aucune connexion au matériel n’a été établie, cette Valeur chaîne pour le remplissage des archives est utilisée tant qu’aucune valeur n’est transférée depuis l’équipement. Dans le cas contraire, la dernière valeur valide est utilisée pour le renseignement.

Longueur maximale : 128 caractères

Attention : Cette propriété n’est pas disponible aux fins de la commutation de langue.

Plus de détails dans l’aide en ligne.

VT_BSTR

Recourceslabel

Description externe

Chaîne au choix.
N'est pas utilisé au niveau interne dans zenon, mais est disponible lors de l’exportation de valeurs pour autoriser l’attribution des valeurs exportées pour les systèmes de gestion tels qu’ERP.

Longueur maximale : 255 caractères

Plus de détails dans l’aide en ligne.

VT_UI4

NetAddr

Adresse réseau

Adresse de bus ou Adresse réseau de la variable.

  • Minimum : 0
  • Maximum : 4294967295

Par défaut : 0

Plus de détails dans l’aide en ligne.

VT_UI4

DataBlock

Bloc de données

Numéro de bloc de données.
Minimum : 0.
Maximum : 4294967295
Par défaut : 0.

Plus de détails dans l’aide en ligne.

VT_UI4

Offset

Offset

Décalage de la variable.
Pour les contrôleurs à adressage linéaire : plage de mémoire.
Pour les contrôleurs à résolution de nom : adresse d’attribution.
Minimum : 0.
Maximum : 4294967295
Par défaut : 0.

Plus de détails dans l’aide en ligne.

VT_UI2

BitAddr

Numéro de bit

Numéro du bit dans le décalage configuré.
Minimum : 0.
Maximum : 65535
Par défaut : 0.

Plus de détails dans l’aide en ligne.

VT_UI2

Alignment

Alignement

Ceci dépend de la granularité du type d’objet du driver et de la position de la variable conformément au décalage défini.

Pour les variables de type Octet :
Octet poids fort : octet de poids fort dans le décalage de mot.
Octet poids faible : Otet de poids faible dans le décalage de mot.
HiWord-HiByte octet de poids fort dans le mot fort dans le décalage de double mot.
HiWord-LoByte (Mot poids fort-Octet poids faible) octet de poids faible dans le mot fort dans le décalage de double mot.
Mot poids faible-Octet poids fort : octet de poids fort dans le mot faible dans le décalage de double mot.
Mot poids faible-Octet poids faible : octet de poids faible dans le mot faible dans le décalage de double mot.

Pour les variables de mot :
Mot poids fort : mot fort dans le décalage de double mot.
Mot poids faible : Mot poids faible dans le décalage de double mot.

Plus de détails dans l’aide en ligne.

VT_UI2

StringLength

Longueur de la chaîne

Disponible uniquement pour les variables de type chaîne.
Nombre maximum de caractères que peut accepter une variable.
Minimum : 1 caractère
Si la valeur non autorisée 0 est saisie, la dernière valeur configurée valide est automatiquement utilisée. Si aucune valeur valide n’a été configurée, l’entrée est remplacée par la valeur par défaut.
Maximum : 65535 caractères.
Par défaut : 5 caractères

Remarque : la valeur par défaut est 65 535 pour les variables système avec le type de données String.

Plus de détails dans l’aide en ligne.

VT_BSTR

SymbAddr

Adresse symbolique

Séquence de caractères pour l’adressage symbolique des variables.

Longueur maximale : 1024 caractères.

Remarque : L’adresse symbolique n’est pas prise en charge par tous les drivers.
Lors de l’importation des variables dans des drivers compatibles avec l’adressage symbolique, la propriété est saisie automatiquement.

Plus de détails dans l’aide en ligne.

VT_UI4

Driver

Drivers

VT_UI4

ID_DataTyp

Type de données

Type de donnée pour la variable. Sélectionné durant la création de la variable ; peut être modifié ici ultérieurement.
Remarque : Pour les variables de structure, le type de données ne peut plus être modifié après la création des variables.
Attention : Si vous modifiez le type de données ultérieurement, toutes les autres propriétés de la variable doivent être vérifiées et ajustées, si nécessaire.

Plus de détails dans l’aide en ligne.

VT_UI4

ID_DriverTyp

Type d'objet driver

Selon le driver utilisé, un type d’objet est sélectionné durant la création de la variable et peut être modifié ici ultérieurement.
Siemens : bloc de données, marqueur, entrée/sortie.
Modbus : Coil et Holding Register.

Plus de détails dans l’aide en ligne.

VT_UI1

UpdatePriority

Priorité

Si l’heure de mise à jour globale spécifiée dans la configuration du driver n’est pas utilisée, la fréquence des mises à jour correspondant aux différents niveaux de priorité peut être définie ici. Dans cette propriété, une priorité est attribuée à une variable.

Plus de détails dans l’aide en ligne.

VT_BOOL

Standby

Lire uniquement sur le serveur redondant

Active : La valeur de la variable provenant du serveur redondant est affichée.
Inactive : La valeur de la variable provenant du serveur est affichée.
(drivers matériels uniquement)

Plus de détails dans l’aide en ligne.

VT_UI2

Digits

Nombre de décimales

Nombre de décimales des valeurs de variables utilisées lors de l’affichage dans le système de contrôle.
Minimum : 0
Maximum : 10
Par défaut : 0

Plus de détails dans l’aide en ligne.

VT_R8

SignalMin

Signal min.

Valeur minimum de la variable dans l’automate.
À moins d’être définie différemment dans la propriété Ajustement non-linéaire, la valeur brute des variables (résolution du signal) sera toujours convertie au format de la plage de mesure sur une base linéaire (pour une utilisation dans le système de contrôle). Toutes les autres entrées de valeurs numériques spécifiques à la variable dans Editor et dans le Runtime seront liées à la plage de mesures (par ex. définition des valeurs limites, limites des valeurs prescrites, zone de représentation, entrées de valeurs prescrites, etc.).

Plus de détails dans l’aide en ligne.

VT_R8

SignalMax

Signal max.

Valeur maximum de la variable dans l’automate. À moins d’être définie différemment dans la propriété Ajustement non-linéaire, la valeur brute des variables (résolution du signal) sera toujours convertie au format de la plage de mesure sur une base linéaire (pour une utilisation dans le système de contrôle). Toutes les autres entrées de valeurs numériques spécifiques à la variable dans Editor et dans le Runtime seront liées à la plage de mesures (par ex. définition des valeurs limites, limites des valeurs prescrites, zone de représentation, entrées de valeurs prescrites, etc.).

Plus de détails dans l’aide en ligne.

VT_R8

RangeMin

Plage de mesure min.

Valeur minimum des variables dans zenon.
À moins d’être définie différemment dans la propriété Ajustement non-linéaire, la valeur brute des variables (résolution du signal) sera toujours convertie au format de la plage de mesure sur une base linéaire (pour une utilisation dans le système de contrôle). Toutes les autres entrées de valeurs numériques spécifiques à la variable dans Editor et dans le Runtime seront liées à la plage de mesures (par ex. définition des valeurs limites, limites des valeurs prescrites, zone de représentation, entrées de valeurs prescrites, etc.).

Plus de détails dans l’aide en ligne.

VT_R8

RangeMax

Plage de mesure max.

Valeur maximum des variables dans zenon.
À moins d’être définie différemment dans la propriété Ajustement non-linéaire, la valeur brute des variables (résolution du signal) sera toujours convertie au format de la plage de mesure sur une base linéaire (pour une utilisation dans le système de contrôle). Toutes les autres entrées de valeurs numériques spécifiques à la variable dans Editor et dans le Runtime seront liées à la plage de mesures (par ex. définition des valeurs limites, limites des valeurs prescrites, zone de représentation, entrées de valeurs prescrites, etc.).

Plus de détails dans l’aide en ligne.

VT_BOOL

UseMacro

Ajustement non-linéaire avec macros

L’ajustement de valeurs non linéaires est utilisé pour les variables dont la valeur originale (automate) ne peut pas être ajustée de manière linéaire en fonction de la valeur mesurée (système de contrôle).

  • Active : Les valeurs brutes sont ajustées en fonction de zenon, sur une base non linéaire, avec des macros VBA.
  • Inactive : Les valeurs brutes sont ajustées en fonction de zenon.

Remarque : Lors de l’activation de la propriété, les propriétés AdjustHardwareValue et AdjustScadaValue doivent également être configurées. La propriété AdjustHardwareValue doit alors être configurée à l’inverse de la propriété AdjustScadaValue, sous forme de fonction inverse.

Par défaut : Inactive

Plus de détails dans l’aide en ligne.

ZT_VBAMAKRO

AdjustHardware

AdjustHardwareValue

Disponible uniquement si la propriété Ajustement non-linéaire avec macros est active.

Macro appelée à chaque modification de la valeur brute dans l’automate, et qui modifie la valeur dans zenon. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de macros.
Plus de détails dans l’aide en ligne.

ZT_VBAMAKRO

AdjustZenon

AdjustScadaValue

Disponible uniquement si la propriété Ajustement non-linéaire avec macros est active.

La macro est appelée lors de l’écriture d’une valeur depuis zenon et modifie la valeur brute sur l’automate. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de macros.
Plus de détails dans l’aide en ligne.

VT_R8

HystNeg

Négatif pour le signal

Hystérésis des valeurs limites définies en fonction de la plage du signal.

Plage d’hystérésis pour l’entrée en cas de changement de valeur avec diminution. Les valeurs sont uniquement interprétées comme des dépassements de valeur limite si la valeur changeante est inférieure à la plage d’hystérésis définie ici.
Par défaut : 0 (pas d’hystérésis)

Plus de détails dans l’aide en ligne.

VT_R8

HystPos

Positif pour le signal

Hystérésis des valeurs limites définies en fonction de la plage du signal.

Plage d’hystérésis pour l’entrée en cas de changement de valeur avec augmentation. Les valeurs sont uniquement interprétées comme des dépassements de valeur limite si la valeur changeante est supérieure à la plage d’hystérésis définie ici.
Par défaut : 0 (pas d’hystérésis)

Plus de détails dans l’aide en ligne.

VT_R8

ArchHystNeg

Négatif pour l'archive

Hystérésis d’archivage en cas de changement appliquée à la plage de mesure.

Plage d’hystérésis pour l’entrée en cas de changement de valeur avec diminution. Les valeurs sont uniquement saisies dans l’archive si la valeur changeante est inférieure à la plage d’hystérésis définie ici.
Par défaut : 0 (pas d’hystérésis)

Plus de détails dans l’aide en ligne.

VT_R8

ArchHystPos

Positif pour l'archive

Hystérésis d’archivage en cas de changement appliquée à la plage de mesure.

Plage d’hystérésis pour l’entrée en cas de changement de valeur avec augmentation. Les valeurs sont uniquement saisies dans l’archive si la valeur changeante est supérieure à la plage d’hystérésis définie ici.
Par défaut : 0 (pas d’hystérésis)

Plus de détails dans l’aide en ligne.

VT_BOOL

DDEActive

Variable lue en permanence

Paramètre de lecture de la variable et de sa disponibilité via DDE dans le Runtime :

  • Active : La variable est toujours connectée au driver. Cela signifie qu’elle est continuellement lue par le driver, même si elle n’est pas nécessaire dans le projet à cet instant précis. Le driver connaît ainsi toujours les valeurs actuelles et l’état actuel des variables et peut les fournir immédiatement, si nécessaire. La variable est également disponible pour les autres applications Windows (par exemple, Excel, Visual Basic, etc.). Les applications Windows possédant une fonctionnalité de client DDE peuvent ainsi utiliser les valeurs de la variable.
    Temps d’actualisation : 0,5 s
    L'activation de cette option offre par exemple l’avantage de basculer plus rapidement les valeurs de variables dans la fonction Ecriture valeur prescrite ou dans l’élément Appel de synoptique, car il n’est pas nécessaire d’interroger spécialement la variable avant la commutation. L’inconvénient est une augmentation de la charge des communications au niveau du contrôleur.
  • Inactive : La variable n’est pas interrogée en permanence par le driver, mais uniquement en cas de demande de valeurs ou d’états dans le Runtime. Elle n’est donc pas disponible dans les autres applications Windows via DDE.

Par défaut : Inactive

Plus de détails dans l’aide en ligne.

VT_UI4

ArraySizeOld

Dimension tableau

Définition de la taille de l’ensemble de blocs. La taille définie est lue ou écrite par le driver durant une demande de lecture/d’écriture. Ceci permet de garantir la cohérence des données dans le texte. Les données peuvent uniquement être modifiées dans le module Recipegroup Manager ou via l’interface de programmation.
Attention : peut être défini au niveau du driver interne, toutefois sans fonction dans le Runtime (valeur toujours égale à 0).

Plus de détails dans l’aide en ligne.

VT_UI4

CounterGroup

Groupe de compteur

Disponible uniquement dans SICAM 230.

VT_UI4

MaxGradient

Gradient maximum

Disponible uniquement dans SICAM 230.

VT_BOOL

NormalStateActive

Actif

Permet de définir un état normal pour les variables et les types de données du type BOOL, UINT et WORD pour tous les drivers.

Active : Un état normal peut être défini.

Par défaut : Inactive

Plus de détails dans l’aide en ligne.

VT_BOOL

NormalState

Valeur normale

Dans la liste déroulante, choisissez si la valeur normale de cette variable ou ce type de données doit être On (Active) ou Off (Inactive). Disponible pour les variables et les types de données du type BOOL, UINT et WORD pour tous les drivers.

Par défaut : Off

Plus de détails dans l’aide en ligne.

ZT_VARIABLE

AlarmPV0

Variable d'alarme 1

Disponible uniquement dans SICAM 230.
Première variable pour la gestion d’alarmes de synoptiques.

Plus de détails dans l’aide en ligne.

ZT_VARIABLE

AlarmPV1

Variable d'alarme 2

Disponible uniquement dans SICAM 230.
Deuxième variable pour la gestion d’alarmes de synoptiques.

Plus de détails dans l’aide en ligne.

ZT_VARIABLE

AlarmPV2

Variable d'alarme 3

Disponible uniquement dans SICAM 230.
Troisième variable pour la gestion d’alarmes de synoptiques.

Plus de détails dans l’aide en ligne.

VT_BOOL

HDActive

Stockage de données sur disque dur actif

Active : les valeurs de variables sont enregistrées sur le disque dur (enregistrement circulaire) pour être évaluées dans l’élément dynamique "Élément de tendance" ou pour l’exportation/l’importation des valeurs.

Inactive : aucune valeur de variable n’est enregistrée.

Par défaut : inactive

Les données de disque dur nécessitent 24 octets d’espace de stockage par valeur, indépendamment du type de variable. Outre la valeur, les informations suivantes sont enregistrées :
- Heure d’exécution de la mesure.
- Millisecondes lors de la lecture de la valeur.
- Modification de l’état de la valeur en fonction des éléments.
- Compteur pour l’identification unique de la valeur (driver événementiel).

Remarque : Le stockage de données est également activé lors d’un appel de synoptique de type Extended Trend si des données en ligne sont analysées.
Les variables de type chaîne ne sont pas prises en charge par la fonction de stockage de données sur le disque dur.

Attention : si l’option d’enregistrement sur disque dur est activée pour un trop grand nombre de variables, en présence d’un trop grand nombre de valeurs, les performances du Runtime peuvent être altérées.

Plus de détails dans l’aide en ligne.

VT_R4

HDUpdate

Temps de cycle [s]

Disponible uniquement si la propriété Stockage de données sur disque dur actif est active :
Durée de l’intervalle [en secondes] de conservation des valeurs en ligne sur le disque dur (mémoire circulaire) pour l’analyse dans l’élément dynamique Tendance, pour les données en ligne dans le module Extended Trend ou pour l’exportation/l’importation de valeurs.

Plus de détails dans l’aide en ligne.

VT_UI4

HDSize

Nombre de valeurs

Valeur correspondant à l’intervalle de conservation des valeurs en ligne sur le disque dur (mémoire circulaire) pour l’analyse dans l’élément dynamique Tendance, pour les données en ligne dans le module Extended Trend ou pour l’exportation/l’importation de valeurs.

Attention : si l’option d’enregistrement sur disque dur est activée pour un trop grand nombre de variables, en présence d’un trop grand nombre de valeurs, les performances du Runtime peuvent être altérées.

Plus de détails dans l’aide en ligne.

VT_BOOL

IsKDAActiv

Type d'enregistrement

Disponible uniquement si la propriété Stockage de données sur disque dur actif est active :
Données de disque dur (cyclique) : Écriture cyclique des valeurs sur le disque dur.
Valeurs retriées (RDA) : Les valeurs sont écrites bloc par bloc sur le disque dur par le driver. (Fonction adaptée à l’analyse rétrospective des erreurs au niveau du système de contrôle.)

Plus de détails dans l’aide en ligne.

VT_BOOL

ExternVisible

Visible extérieurement pour

Disponible uniquement si la propriété Visible par d'autres programmes est active.

Spécifiez expressément les projets de zenon Logic pour lesquels la variable doit être visible. Si vous laissez le champ de saisie vide, la variable est visible pour tous les projets zenon Logic. Vous pouvez également saisir des projets zenon Logic de manière expresse. Séparez les noms des projets individuels par un point-virgule (";"). Vous pouvez utiliser les opérateurs. Par exemple, P1* signifie tous les projets zenon Logic commençant par P1. (Remarque : les opérateurs sont uniquement autorisés sous forme de préfixe ou de suffixe, par exemple, *xxx ou xxx*.

Le nombre de caractères est limité à 64.

Par défaut : -

Plus de détails dans l’aide en ligne.

VT_BSTR

ExternVisibleFor

Visible extérieurement pour

Disponible uniquement si la propriété Visible par d'autres programmes est active.

Spécifiez expressément les projets de zenon Logic pour lesquels la variable doit être visible. Si vous laissez le champ de saisie vide, la variable est visible pour tous les projets zenon Logic. Vous pouvez également saisir des projets zenon Logic de manière expresse. Séparez les noms des projets individuels par un point-virgule (";"). Vous pouvez utiliser les opérateurs. Par exemple, P1* signifie tous les projets zenon Logic commençant par P1. (Remarque : les opérateurs sont uniquement autorisés sous forme de préfixe ou de suffixe, par exemple, *xxx ou xxx*.

Le nombre de caractères est limité à 64.

Par défaut : -

Plus de détails dans l’aide en ligne.

VT_BOOL

ReadWrite

Ecriture/lecture externe

Propriété externe pour zenon Logic. Affecte uniquement les variables qui ne forment pas partie du driver straton.
Active : la valeur de la variable ne peut pas être modifiée dans zenon Logic. La définition de la variable ne peut pas être modifiée dans zenon Logic.
Inactive : la variable ne peut pas être modifiée dans zenon Logic.
Par défaut : active.

Plus de détails dans l’aide en ligne.

VT_BSTR

InitialValue

Valeur initiale externe

Propriété externe pour zenon Logic. Affecte uniquement les variables qui ne forment pas partie du driver straton.
Valeur initiale de la variable dans zenon Logic durant une reprise graduelle ou une reprise intermédiaire.
La saisie autorisée ici dépend du type de données de la variable. Par exemple, vous pouvez uniquement utiliser des valeurs sans décimales pour les variables entières. Pour les variables à virgule flottante, un point doit être utilisé en tant que séparateur décimal ; les virgules ne peuvent pas être utilisées.
Le système de contrôle ne vérifie pas la validité de cette saisie. Ceci peut générer un message d’erreur dans zenon Logic.

Attention : lors de l’utilisation de variables du driver interne, cette propriété doit posséder la même valeur que la valeur initiale dans les paramètres des variables internes.

Plus de détails dans l’aide en ligne.

VT_BSTR

Profilename

Nom profil externe

Propriété externe pour zenon Logic. Affecte uniquement les variables qui ne forment pas partie du driver straton.
Nom du profil défini dans zenon Logic (par ex. STRATON, ProfDP).

Cette propriété est uniquement affichée pour information. Édition dans zenon Logic uniquement.

Plus de détails dans l’aide en ligne.

VT_BSTR

Adressparam

Paramètre externe d'adresse

Propriété externe pour zenon Logic. Affecte uniquement les variables qui ne sont pas des variables du driver straton.
Propriétés de profil dans zenon Logic (par ex. "intégré" ou paramètres d’adressage de Profibus).

Cette propriété est uniquement affichée pour information. Édition dans zenon Logic uniquement.

Plus de détails dans l’aide en ligne.

VT_BSTR

Vargroup

Groupe de variables externe

Propriété externe pour zenon Logic. Affecte uniquement les variables qui ne sont pas des variables du driver straton32.
Groupes de variables dans zenon Logic ("Global" ou "Retain" ou vides).

Cette propriété est uniquement affichée pour information. Édition dans zenon Logic uniquement.

Plus de détails dans l’aide en ligne.

VT_BOOL

IsRemaActiv

Matrice de réaction active

Active : Une matrice de réaction est utilisée à la place des valeurs de limite.
Inactive : Les valeurs peuvent être définies pour la variable.
Par défaut : inactive.

Plus de détails dans l’aide en ligne.

ZT_REMA

Rema

Matrice de réaction

Propriétés d’utilisation d’une matrice de réaction pour la variable.

Plus de détails dans l’aide en ligne.

ZT_VARIABLE

AlarmQuitPV

Valeur d'acquittement

Si une alarme de cette variable est acquittée visuellement, la variable sélectionnée sous Variable d'acquittement visuel ou Variable d'acquittement est définie sur cette valeur.

Sélection de 0 ou 1.

Plus de détails dans l’aide en ligne.

ZT_VARIABLE

AlarmViewQuitPV

Variable d'acquittement visuel

Si une alarme de la variable de contrôle est acquittée visuellement, la valeur de la variable d’acquittement visuel est définie sur la valeur définie par Valeur d'acquittement.

Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de variables binaires.

Plus de détails dans l’aide en ligne.

VT_UI4

AlarmQuitPVValue

Valeur d'acquittement

Si une alarme de cette variable est acquittée visuellement, la variable sélectionnée sous Variable d'acquittement visuel ou Variable d'acquittement est définie sur cette valeur.

Sélection de 0 ou 1.

Plus de détails dans l’aide en ligne.

VT_BOOL

VarInASM

Enregistrer dans la base IPA

Active : les alarmes de cette variable sont disponibles pour analyse dans le module Industrial Performance Analyzer (IPA).
Inactive : les alarmes de cette variable ne sont prises en compte lors de l’analyse dans le module Industrial Performance Analyzer (IPA).
Par défaut : Inactive

Attention : le module Industrial Performance Analyzer est un module optionnel, qui doit comporter une licence valide pour pouvoir être utilisé ici.

Plus de détails dans l’aide en ligne.

VT_BOOL

AlarmViaEquipmentModel

Utiliser la gestion d'alarmes hiérarchiques du modèle d'équipement

Type d’attribution de la variable à un domaine d’alarmes.

  • Active :
    Le domaine d’alarmes de la variable est transféré par le modèle d’équipement. L’alarme de la variable est applicable aux domaines d’alarmes définis dans le modèle d’équipement. Dans ce cas, le groupe d’équipements de la variable et le groupe d’équipements de niveau supérieur du modèle d’équipement sont pris en compte.
  • Inactive :
    L'alarme sur la variable est applicable aux domaines d’alarmes 1 à 4 de la gestion d’alarmes.

Remarque : Si cette propriété est activée pour un type de données, les paramètres de toutes les variables issues de celle-ci sont transférés.

Plus de détails dans l’aide en ligne.

ZT_BSTR_REF

AreaName

AreaName

Description as text.

ZT_BSTR_REF

AreaName2

AreaName2

Description as text.

ZT_BSTR_REF

AreaName3

AreaName3

Description as text.

ZT_BSTR_REF

AreaName4

AreaName4

Description as text.

VT_BOOL

InOut

Ecrire valeur prescrite

Active : cette variable est libérée pour l’action Spécifier valeur prescrite.
Inactive : cette variable est protégée en écriture.
Par défaut : Active

Plus de détails dans l’aide en ligne.

VT_BOOL

SBO

Select Before Operate

Attention : Cette fonctionnalité est uniquement compatible avec les drivers IEC870 et IEC850, et uniquement disponible si vous avez sélectionné l’option Commande commutation pour la propriété de type d’action dans Gestion des commandes, et l’action est mise en œuvre sous forme d’action à deux étapes. N’utilisez pas cette fonction pour le driver DNP3_NG ; Auto-SBO peut être configuré directement pour la variable, dans ce cas.

Active : Avant que la valeur de la variable ne soit écrite dans le matériel, zenon vérifie, pendant la première phase de la commande de commutation, si la variable dans l’équipement est prête pour cette action (Select before Operate (SBO)).
Attention : Pour les commandes impulsion, la réinitialisation automatique des valeurs des variables n’est pas effectuée dans l’intervalle de temps défini dans la propriété de délai de front.

Si la propriété SBO a été activée pour la variable d’action, une commande d’impulsion se comporte de la même manière qu’une commande de commutation.

Inactive : La valeur de la variable est transférée vers le driver sans vérification préalable.

Remarque : dans un driver IEC870, cela signifie une instruction Direct execute. Le driver IEC850 peut toutefois déclencher automatiquement une instruction Select before Operate , en raison du Control Model.
Par défaut : Inactive :
Plus de détails dans l’aide en ligne.

VT_BOOL

CancelOperate

Annuler 'Operate'

Si cette propriété est activée, il est possible d’envoyer une commande Cancel après une commande Operate lors de la gestion des commandes.

Remarque : Cette propriété est uniquement dans la version Energy Edition.

Par défaut : Inactive

Plus de détails dans l’aide en ligne.

VT_R8

ValueMin

Valeur prescrite min.

La valeur minimum définie ici pour le paramètre Écrire valeur prescrite peut être acceptée par le biais d’éléments dynamiques, plutôt que par la configuration séparée de ces derniers.
Ceci est surtout recommandé si la plage de la mesure est susceptible de varier ultérieurement, car ces modifications peuvent être effectuées une fois ici, au lieu d’être modifiées séparément dans chaque élément.

Plus de détails dans l’aide en ligne.

VT_R8

ValueMax

Valeur prescrite max.

La valeur maximum définie ici pour le paramètre Écrire valeur prescrite peut être acceptée par le biais d’éléments dynamiques, plutôt que par la configuration séparée de ces derniers.
Ceci est surtout recommandé si la plage de la mesure est susceptible de varier ultérieurement, car ces modifications peuvent être effectuées une fois ici, au lieu d’être modifiées séparément dans chaque élément.

Plus de détails dans l’aide en ligne.

VT_BSTR

LockingName

LockingName

"With this property you have the opportunity to assign an interlocking via its name.
zElement.DynProperties(""LockingName"") = ""Interlocking 1"""

VT_UI1

SetValueProtocol

Enregistrement (fichier journal)

Définit la manière dont l’écriture de la valeur prescrite sera consignée dans la liste CEL.

  • Tout : Toutes les actions Écrire valeur prescrite de cette variable exécutées via des éléments dynamiques et les fonctions Écrire valeur prescrite sont consignées dans la liste d’événements. (CEL)
  • Rien : aucune action Spécifier valeur prescrite n’est consignée dans la liste CEL.
  • Seulement sur élément dynamique : Seules les actions Écrire valeur prescrite exécutées via les éléments dynamiques sont consignées dans la liste CEL.

Par défaut : Uniquement les éléments dynamiques :

Plus de détails dans l’aide en ligne.

VT_BOOL

SV_Act

Ancienne et nouvelle valeur
  • Active : en cas de modification de la valeur prescrite de cette variable, les valeurs ancienne et nouvelle sont consignées dans la liste d’événements (CEL).
  • Inactive : Seule la nouvelle valeur est consignée.

Par défaut : Inactive

Recommandation : Activez la propriété Variable lue en permanence. Ceci permet de garantir que la valeur est toujours disponible, et qu’il n’est pas nécessaire de l’interroger spécialement.

Plus de détails dans l’aide en ligne.

VT_BOOL

SV_VBA

Valeurs modifiées par VBA

Active : L’écriture de la valeur prescrite de cette variable via une macro VBA est consignée dans la liste d’événements.
inactive : l’écriture de la valeur prescrite de cette variable via une macro VBA n’est pas consignée.
Par défaut : Active

Remarque : pour les variables configurées sous forme de variables de commande dans la passerelle de procédé IEC870, chaque commande est consignée sous la forme Spécifier valeur prescrite via l’interface COM dans la liste CEL, si la propriété est activée.

Plus de détails dans l’aide en ligne.

VT_BSTR

VisualName

Nom visuel

Saisie d’un nom d’affichage de la variable dans zenon Analyzer. Celui-ci doit être unique dans le projet, mais ceci n’est pas vérifié dans zenon. Cette vérification est effectuée lors de l’importation dans zenon Analyzer.

Cette propriété fournit des informations qui sont utilisées pour la configuration de rapports dans zenon Analyzer. L’exportation des données de zenon vers zenon Analyzer est effectuée à l’aide de l’assistant Analyzer Export Wizard.

Attention : Si cette propriété est modifiée après la première exportation vers zenon Analyzer, ces modifications ne sont appliquées dans zenon Analyzer.

Plus de détails dans l’aide en ligne.

VT_BSTR

Meaning

Signification

Cette propriété fournit des informations qui sont utilisées par la fonction de configuration de rapports dans zenon Analyzer.
Les données peuvent être définies manuellement ou à l’aide de l’assistant Meaning and Waterfall Chart Wizard. L’exportation des données de zenon vers zenon Analyzer est effectuée à l’aide de l’assistant Analyzer Export Wizard.

Saisie de la signification (meaning) d’une variable dans zenon Analyzer. Plusieurs significations doivent être séparées par une virgule.
Syntaxe : [signification1],[signification2],…,[significationN]

Plus de détails dans l’aide en ligne.

VT_BSTR

WaterfallParam

Paramètre pour le waterfall diagram

Cette propriété fournit des informations qui sont utilisées par la fonction de configuration de rapports dans zenon Analyzer.
Les données peuvent être définies manuellement ou à l’aide de l’assistant Meaning and Waterfall Chart Wizard. L’exportation des données de zenon vers zenon Analyzer est effectuée à l’aide de l’assistant Analyzer Export Wizard.

Paramètres d’une variable pour un diagramme en cascade dans zenon Analyzer. Les entrées peuvent être créées pour les rapports par ligne ou les rapports par machine. Lors de l’exportation, en fonction de la structure des entrées, une décision est prise pour déterminer s’il s’agit d’entrées correspondant à des diagrammes par machine ou par ligne.

Les paramètres individuels doivent être séparés par une virgule. Plusieurs cascades doivent être séparées par un poing-virgule.
Syntaxe, par machine : [nom modèle],[indice de ligne],[indice de colonne],[code de couleur];
Syntaxe, par ligne : [nom du modèle],[indice de ligne],[indice de colonne],[code de couleur],[perte de machine auxiliaire],[ajout de perte de machine auxiliaire],[soustraction de perte de machine auxiliaire];

Plus de détails dans l’aide en ligne.

VT_BOOL

Use_in_ProcRec

Activer l'enregistrement

Active/désactive la variable ou le type de données enregistré dans le module Process Recorder.
La sélection multiple de variables est possible.

  • Active :
    Les changements de valeur de la variable sont enregistrés dans le module Process Recorder.
    Attention : Assurez-vous que l’activation générale de l’enregistrement a été configurée dans la propriété Activer Process Recorder.
  • Inactive :
    Les changements de valeur de la variable ne sont pas enregistrés dans le module Process Recorder.

Par défaut : les paramètres configurés sont appliqués pour le type de données utilisé.

Plus de détails dans l’aide en ligne.


Sample32 variable ED

Manuel -> Interfaces de programmation -> Modèles d'objet -> Variable -> Variable-Dynamic properties -> Sample32 variable ED

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Type

VBA/VSTA Name

Display Name

Description

VT_BSTR

SampleTest

Sample Additional

Exemples pour un exemple de driver.

VT_BSTR

SampleButton

Auswahl

Exemples pour un exemple de driver.

VT_BOOL

IsLocalDigits

IsLocalDigits

"With this property you have the opportunity to decide whether the ""Decimals"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalSignalMin

IsLocalSignalMin

"With this property you have the opportunity to decide whether the ""Minimum signal resolution"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalSignalMax

IsLocalSignalMax

"With this property you have the opportunity to decide whether the ""Maximum signal resolution"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalRangeMin

IsLocalRangeMin

"With this property you have the opportunity to decide whether the ""Minimum measuring range"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalRangeMax

IsLocalRangeMax

"With this property you have the opportunity to decide whether the ""Maximum measuring range"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalAlternateValue

IsLocalAlternateValue

"With this property you have the opportunity to decide whether the ""Alternate value"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalValueMin

IsLocalValueMin

"With this property you have the opportunity to decide whether the ""Minimum set value"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalValueMax

IsLocalValueMax

"With this property you have the opportunity to decide whether the ""Maximum set value"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalUseMacro

IsLocalUseMacro

"With this property you have the opportunity to decide whether the ""Non linear value adjustment with macros"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalInOut

IsLocalInOut

"With this property you have the opportunity to decide whether the ""Setting values active"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalHystNeg

IsLocalHystNeg

"With this property you have the opportunity to decide whether the ""negative hysteresis"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalHystPos

IsLocalHystPos

"With this property you have the opportunity to decide whether the ""negative hysteresis"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalArchHystNeg

IsLocalArchHystNeg

VT_BOOL

IsLocalArchHystPos

IsLocalArchHystPos

VT_BOOL

IsLocalUpdatePriority

IsLocalUpdatePriority

"With this property you have the opportunity to decide whether the ""Priority of the driver connection"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalDDEaktiv

IsLocalDDEaktiv

"With this property you have the opportunity to decide whether the ""DDE active"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalStandby

IsLocalStandby

"With this property you have the opportunity to decide whether the ""Only read from standby"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalRemaActiv

IsLocalRemaActiv

"With this property you have the opportunity to decide whether the ""Reaction matrix active"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalRema

IsLocalRema

"With this property you have the opportunity to decide whether the ""Reaction matrix"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalHDActive

IsLocalHDActive

"With this property you have the opportunity to decide whether the ""HD active"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalHDUpdate

IsLocalHDUpdate

"With this property you have the opportunity to decide whether the ""HD scan rate"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalHDSize

IsLocalHDSize

"With this property you have the opportunity to decide whether the ""Number of HD values"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalKDAActiv

IsLocalKDAActiv

"With this property you have the opportunity to decide whether the ""Recording type"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalStingLength

IsLocalStingLength

"With this property you have the opportunity to decide whether the ""String length"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalQuitPV

IsLocalQuitPV

"With this property you have the opportunity to decide whether the ""Acknowledgement variable"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalViewQuitPV

IsLocalViewQuitPV

Description as text.

VT_BOOL

IsLocalQuitValue

IsLocalQuitValue

"With this property you have the opportunity to decide whether the ""Acknowledgement value"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalTagname

IsLocalTagname

"With this property you have the opportunity to decide whether the ""Identification"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalUnit

IsLocalUnit

"With this property you have the opportunity to decide whether the ""Unit"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalAltValString

IsLocalAltValString

"With this property you have the opportunity to decide whether the ""String alternative value"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalRecLabel

IsLocalRecLabel

"With this property you have the opportunity to decide whether the ""Ressources label"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalAdjustHW

IsLocalAdjustHW

"With this property you have the opportunity to decide whether the ""AdjustHardwareValue"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalAdjustZenon

IsLocalAdjustZenon

"With this property you have the opportunity to decide whether the ""AdjustZenOnValue"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalArraySize

IsLocalArraySize

"With this property you have the opportunity to decide whether the ""Array size"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalCounterGroup

IsLocalCounterGroup

VT_BOOL

IsLocalMaxGradient

IsLocalMaxGradient

VT_BOOL

IsLocalNormalStateActive

IsLocalNormalStateActive

VT_BOOL

IsLocalNormalState

IsLocalNormalState

VT_BOOL

IsLocalAlarmPV0

IsLocalAlarmPV0

"With this property you have the opportunity to decide whether the ""Alarm Variable 1"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalAlarmPV1

IsLocalAlarmPV1

"With this property you have the opportunity to decide whether the ""Alarm Variable 2"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalAlarmPV2

IsLocalAlarmPV2

"With this property you have the opportunity to decide whether the ""Alarm Variable 3"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalVarInASM

IsLocalVarInASM

"With this property you have the opportunity to decide whether the ""Save in IPA database"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalAlarmDomain

IsLocalAlarmDomain

"With this property you have the opportunity to decide whether the ""Alarm area"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalAlarmDomain2

IsLocalAlarmDomain2

Description as text.

VT_BOOL

IsLocalAlarmDomain3

IsLocalAlarmDomain3

Description as text.

VT_BOOL

IsLocalAlarmDomain4

IsLocalAlarmDomain4

Description as text.

VT_BOOL

IsLocalLocking

IsLocalLocking

"With this property you have the opportunity to decide whether the ""Interlocking"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalSBO

IsLocalSBO

"With this property you have the opportunity to decide whether the ""Select before operate"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalCancelOperate

IsLocalCancelOperate

Description

VT_BOOL

IsLocalAlarmViaEquipmentModel

IsLocalAlarmViaEquipmentModel

Description

VT_BOOL

IsLocalUsedInProcRec

IsLocalUsedInProcRec

Description

VT_UI1

IsSWProtokol

IsSWProtokol

VT_BOOL

IsSW_Akt

IsSW_Akt

VT_BOOL

IsSW_VBA

IsSW_VBA

More...

Limits

Valeurs limite

Propriétés définissant le traitement des valeurs limites ou le traitement des alarmes pour la variable.

Les propriétés de ce groupe sont uniquement disponibles si vous avez activé la propriété Matrice de réaction active.

Plus de détails dans l’aide en ligne.

VT_UI4

ID_ComplexVariable

ID_ComplexVariable

With this property you have the opportunity to get/set the ID of a variable from a structure element. This ID is 0 when the variable has no structure datatype.

VT_BSTR

Name

Nom

Nom unique de la variable. Les considérations suivantes s’appliquent lors de la définition du nom :

  • Longueur maximale : 128 caractères
  • Caractères non autorisés : # et @

Remarque : pour les drivers utilisant la connexion à zenon Logic, vous devez définir un préfixe. Pour plus de détails, reportez-vous au chapitre Création de variables O et M dans zenon Logic dans le manuel.
Toute modification du nom de la variable doit également être effectuée dans l’environnement de programmation (VBA, VSTA).

Attention : Cette propriété n’est pas disponible aux fins de la commutation de langue.

Plus de détails dans l’aide en ligne.

VT_BSTR

Tagname

Identification

Chaîne libre utilisée pour l’identification de la variable ou du type de données.
Remarque : Puisque la langue du nom de la variable (propriété Nom) ne peut pas être modifiée, cette propriété peut être utilisée pour le changement de langue en ligne.

Longueur maximale : 128 caractères

Plus de détails dans l’aide en ligne.

VT_BSTR

Unit

Unité de mesure

Unité technique de la variable devant être affichée dans le Runtime. Si vous avez déjà créé des unités de mesure dans le module d’unités de base, celles-ci sont disponibles dans une liste déroulante.
Maximum : 50 caractères.
Par défaut : vide

Plus de détails dans l’aide en ligne.

VT_R8

AlternateValue

Archivfüllwert

Cette valeur est utilisée pour renseigner les archives cycliques. En présence d’intervalles durant lesquels aucune connexion au matériel n’a été établie, cette valeur est utilisée tant qu’aucune valeur n’est transférée depuis l’équipement. Dans le cas contraire, la dernière valeur valide utilisée est utilisée aux fins du renseignement.

Plus de détails dans l’aide en ligne.

VT_BSTR

AlternateValueString

Valeur chaîne pour le remplissage des archives

Cette valeur est utilisée pour les variables de chaîne, afin de renseigner les archives cycliques.
En présence d’intervalles, dans les archives cycliques, durant lesquels aucune connexion au matériel n’a été établie, cette Valeur chaîne pour le remplissage des archives est utilisée tant qu’aucune valeur n’est transférée depuis l’équipement. Dans le cas contraire, la dernière valeur valide est utilisée pour le renseignement.

Longueur maximale : 128 caractères

Attention : Cette propriété n’est pas disponible aux fins de la commutation de langue.

Plus de détails dans l’aide en ligne.

VT_BSTR

Recourceslabel

Description externe

Chaîne au choix.
N'est pas utilisé au niveau interne dans zenon, mais est disponible lors de l’exportation de valeurs pour autoriser l’attribution des valeurs exportées pour les systèmes de gestion tels qu’ERP.

Longueur maximale : 255 caractères

Plus de détails dans l’aide en ligne.

VT_UI4

NetAddr

Adresse réseau

Adresse de bus ou Adresse réseau de la variable.

  • Minimum : 0
  • Maximum : 4294967295

Par défaut : 0

Plus de détails dans l’aide en ligne.

VT_UI4

DataBlock

Bloc de données

Numéro de bloc de données.
Minimum : 0.
Maximum : 4294967295
Par défaut : 0.

Plus de détails dans l’aide en ligne.

VT_UI4

Offset

Offset

Décalage de la variable.
Pour les contrôleurs à adressage linéaire : plage de mémoire.
Pour les contrôleurs à résolution de nom : adresse d’attribution.
Minimum : 0.
Maximum : 4294967295
Par défaut : 0.

Plus de détails dans l’aide en ligne.

VT_UI2

BitAddr

Numéro de bit

Numéro du bit dans le décalage configuré.
Minimum : 0.
Maximum : 65535
Par défaut : 0.

Plus de détails dans l’aide en ligne.

VT_UI2

Alignment

Alignement

Ceci dépend de la granularité du type d’objet du driver et de la position de la variable conformément au décalage défini.

Pour les variables de type Octet :
Octet poids fort : octet de poids fort dans le décalage de mot.
Octet poids faible : Otet de poids faible dans le décalage de mot.
HiWord-HiByte octet de poids fort dans le mot fort dans le décalage de double mot.
HiWord-LoByte (Mot poids fort-Octet poids faible) octet de poids faible dans le mot fort dans le décalage de double mot.
Mot poids faible-Octet poids fort : octet de poids fort dans le mot faible dans le décalage de double mot.
Mot poids faible-Octet poids faible : octet de poids faible dans le mot faible dans le décalage de double mot.

Pour les variables de mot :
Mot poids fort : mot fort dans le décalage de double mot.
Mot poids faible : Mot poids faible dans le décalage de double mot.

Plus de détails dans l’aide en ligne.

VT_UI2

StringLength

Longueur de la chaîne

Disponible uniquement pour les variables de type chaîne.
Nombre maximum de caractères que peut accepter une variable.
Minimum : 1 caractère
Si la valeur non autorisée 0 est saisie, la dernière valeur configurée valide est automatiquement utilisée. Si aucune valeur valide n’a été configurée, l’entrée est remplacée par la valeur par défaut.
Maximum : 65535 caractères.
Par défaut : 5 caractères

Remarque : la valeur par défaut est 65 535 pour les variables système avec le type de données String.

Plus de détails dans l’aide en ligne.

VT_BSTR

SymbAddr

Adresse symbolique

Séquence de caractères pour l’adressage symbolique des variables.

Longueur maximale : 1024 caractères.

Remarque : L’adresse symbolique n’est pas prise en charge par tous les drivers.
Lors de l’importation des variables dans des drivers compatibles avec l’adressage symbolique, la propriété est saisie automatiquement.

Plus de détails dans l’aide en ligne.

VT_UI4

Driver

Drivers

VT_UI4

ID_DataTyp

Type de données

Type de donnée pour la variable. Sélectionné durant la création de la variable ; peut être modifié ici ultérieurement.
Remarque : Pour les variables de structure, le type de données ne peut plus être modifié après la création des variables.
Attention : Si vous modifiez le type de données ultérieurement, toutes les autres propriétés de la variable doivent être vérifiées et ajustées, si nécessaire.

Plus de détails dans l’aide en ligne.

VT_UI4

ID_DriverTyp

Type d'objet driver

Selon le driver utilisé, un type d’objet est sélectionné durant la création de la variable et peut être modifié ici ultérieurement.
Siemens : bloc de données, marqueur, entrée/sortie.
Modbus : Coil et Holding Register.

Plus de détails dans l’aide en ligne.

VT_UI1

UpdatePriority

Priorité

Si l’heure de mise à jour globale spécifiée dans la configuration du driver n’est pas utilisée, la fréquence des mises à jour correspondant aux différents niveaux de priorité peut être définie ici. Dans cette propriété, une priorité est attribuée à une variable.

Plus de détails dans l’aide en ligne.

VT_BOOL

Standby

Lire uniquement sur le serveur redondant

Active : La valeur de la variable provenant du serveur redondant est affichée.
Inactive : La valeur de la variable provenant du serveur est affichée.
(drivers matériels uniquement)

Plus de détails dans l’aide en ligne.

VT_UI2

Digits

Nombre de décimales

Nombre de décimales des valeurs de variables utilisées lors de l’affichage dans le système de contrôle.
Minimum : 0
Maximum : 10
Par défaut : 0

Plus de détails dans l’aide en ligne.

VT_R8

SignalMin

Signal min.

Valeur minimum de la variable dans l’automate.
À moins d’être définie différemment dans la propriété Ajustement non-linéaire, la valeur brute des variables (résolution du signal) sera toujours convertie au format de la plage de mesure sur une base linéaire (pour une utilisation dans le système de contrôle). Toutes les autres entrées de valeurs numériques spécifiques à la variable dans Editor et dans le Runtime seront liées à la plage de mesures (par ex. définition des valeurs limites, limites des valeurs prescrites, zone de représentation, entrées de valeurs prescrites, etc.).

Plus de détails dans l’aide en ligne.

VT_R8

SignalMax

Signal max.

Valeur maximum de la variable dans l’automate. À moins d’être définie différemment dans la propriété Ajustement non-linéaire, la valeur brute des variables (résolution du signal) sera toujours convertie au format de la plage de mesure sur une base linéaire (pour une utilisation dans le système de contrôle). Toutes les autres entrées de valeurs numériques spécifiques à la variable dans Editor et dans le Runtime seront liées à la plage de mesures (par ex. définition des valeurs limites, limites des valeurs prescrites, zone de représentation, entrées de valeurs prescrites, etc.).

Plus de détails dans l’aide en ligne.

VT_R8

RangeMin

Plage de mesure min.

Valeur minimum des variables dans zenon.
À moins d’être définie différemment dans la propriété Ajustement non-linéaire, la valeur brute des variables (résolution du signal) sera toujours convertie au format de la plage de mesure sur une base linéaire (pour une utilisation dans le système de contrôle). Toutes les autres entrées de valeurs numériques spécifiques à la variable dans Editor et dans le Runtime seront liées à la plage de mesures (par ex. définition des valeurs limites, limites des valeurs prescrites, zone de représentation, entrées de valeurs prescrites, etc.).

Plus de détails dans l’aide en ligne.

VT_R8

RangeMax

Plage de mesure max.

Valeur maximum des variables dans zenon.
À moins d’être définie différemment dans la propriété Ajustement non-linéaire, la valeur brute des variables (résolution du signal) sera toujours convertie au format de la plage de mesure sur une base linéaire (pour une utilisation dans le système de contrôle). Toutes les autres entrées de valeurs numériques spécifiques à la variable dans Editor et dans le Runtime seront liées à la plage de mesures (par ex. définition des valeurs limites, limites des valeurs prescrites, zone de représentation, entrées de valeurs prescrites, etc.).

Plus de détails dans l’aide en ligne.

VT_BOOL

UseMacro

Ajustement non-linéaire avec macros

L’ajustement de valeurs non linéaires est utilisé pour les variables dont la valeur originale (automate) ne peut pas être ajustée de manière linéaire en fonction de la valeur mesurée (système de contrôle).

  • Active : Les valeurs brutes sont ajustées en fonction de zenon, sur une base non linéaire, avec des macros VBA.
  • Inactive : Les valeurs brutes sont ajustées en fonction de zenon.

Remarque : Lors de l’activation de la propriété, les propriétés AdjustHardwareValue et AdjustScadaValue doivent également être configurées. La propriété AdjustHardwareValue doit alors être configurée à l’inverse de la propriété AdjustScadaValue, sous forme de fonction inverse.

Par défaut : Inactive

Plus de détails dans l’aide en ligne.

ZT_VBAMAKRO

AdjustHardware

AdjustHardwareValue

Disponible uniquement si la propriété Ajustement non-linéaire avec macros est active.

Macro appelée à chaque modification de la valeur brute dans l’automate, et qui modifie la valeur dans zenon. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de macros.
Plus de détails dans l’aide en ligne.

ZT_VBAMAKRO

AdjustZenon

AdjustScadaValue

Disponible uniquement si la propriété Ajustement non-linéaire avec macros est active.

La macro est appelée lors de l’écriture d’une valeur depuis zenon et modifie la valeur brute sur l’automate. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de macros.
Plus de détails dans l’aide en ligne.

VT_R8

HystNeg

Négatif pour le signal

Hystérésis des valeurs limites définies en fonction de la plage du signal.

Plage d’hystérésis pour l’entrée en cas de changement de valeur avec diminution. Les valeurs sont uniquement interprétées comme des dépassements de valeur limite si la valeur changeante est inférieure à la plage d’hystérésis définie ici.
Par défaut : 0 (pas d’hystérésis)

Plus de détails dans l’aide en ligne.

VT_R8

HystPos

Positif pour le signal

Hystérésis des valeurs limites définies en fonction de la plage du signal.

Plage d’hystérésis pour l’entrée en cas de changement de valeur avec augmentation. Les valeurs sont uniquement interprétées comme des dépassements de valeur limite si la valeur changeante est supérieure à la plage d’hystérésis définie ici.
Par défaut : 0 (pas d’hystérésis)

Plus de détails dans l’aide en ligne.

VT_R8

ArchHystNeg

Négatif pour l'archive

Hystérésis d’archivage en cas de changement appliquée à la plage de mesure.

Plage d’hystérésis pour l’entrée en cas de changement de valeur avec diminution. Les valeurs sont uniquement saisies dans l’archive si la valeur changeante est inférieure à la plage d’hystérésis définie ici.
Par défaut : 0 (pas d’hystérésis)

Plus de détails dans l’aide en ligne.

VT_R8

ArchHystPos

Positif pour l'archive

Hystérésis d’archivage en cas de changement appliquée à la plage de mesure.

Plage d’hystérésis pour l’entrée en cas de changement de valeur avec augmentation. Les valeurs sont uniquement saisies dans l’archive si la valeur changeante est supérieure à la plage d’hystérésis définie ici.
Par défaut : 0 (pas d’hystérésis)

Plus de détails dans l’aide en ligne.

VT_BOOL

DDEActive

Variable lue en permanence

Paramètre de lecture de la variable et de sa disponibilité via DDE dans le Runtime :

  • Active : La variable est toujours connectée au driver. Cela signifie qu’elle est continuellement lue par le driver, même si elle n’est pas nécessaire dans le projet à cet instant précis. Le driver connaît ainsi toujours les valeurs actuelles et l’état actuel des variables et peut les fournir immédiatement, si nécessaire. La variable est également disponible pour les autres applications Windows (par exemple, Excel, Visual Basic, etc.). Les applications Windows possédant une fonctionnalité de client DDE peuvent ainsi utiliser les valeurs de la variable.
    Temps d’actualisation : 0,5 s
    L'activation de cette option offre par exemple l’avantage de basculer plus rapidement les valeurs de variables dans la fonction Ecriture valeur prescrite ou dans l’élément Appel de synoptique, car il n’est pas nécessaire d’interroger spécialement la variable avant la commutation. L’inconvénient est une augmentation de la charge des communications au niveau du contrôleur.
  • Inactive : La variable n’est pas interrogée en permanence par le driver, mais uniquement en cas de demande de valeurs ou d’états dans le Runtime. Elle n’est donc pas disponible dans les autres applications Windows via DDE.

Par défaut : Inactive

Plus de détails dans l’aide en ligne.

VT_UI4

ArraySizeOld

Dimension tableau

Définition de la taille de l’ensemble de blocs. La taille définie est lue ou écrite par le driver durant une demande de lecture/d’écriture. Ceci permet de garantir la cohérence des données dans le texte. Les données peuvent uniquement être modifiées dans le module Recipegroup Manager ou via l’interface de programmation.
Attention : peut être défini au niveau du driver interne, toutefois sans fonction dans le Runtime (valeur toujours égale à 0).

Plus de détails dans l’aide en ligne.

VT_UI4

CounterGroup

Groupe de compteur

Disponible uniquement dans SICAM 230.

VT_UI4

MaxGradient

Gradient maximum

Disponible uniquement dans SICAM 230.

VT_BOOL

NormalStateActive

Actif

Permet de définir un état normal pour les variables et les types de données du type BOOL, UINT et WORD pour tous les drivers.

Active : Un état normal peut être défini.

Par défaut : Inactive

Plus de détails dans l’aide en ligne.

VT_BOOL

NormalState

Valeur normale

Dans la liste déroulante, choisissez si la valeur normale de cette variable ou ce type de données doit être On (Active) ou Off (Inactive). Disponible pour les variables et les types de données du type BOOL, UINT et WORD pour tous les drivers.

Par défaut : Off

Plus de détails dans l’aide en ligne.

ZT_VARIABLE

AlarmPV0

Variable d'alarme 1

Disponible uniquement dans SICAM 230.
Première variable pour la gestion d’alarmes de synoptiques.

Plus de détails dans l’aide en ligne.

ZT_VARIABLE

AlarmPV1

Variable d'alarme 2

Disponible uniquement dans SICAM 230.
Deuxième variable pour la gestion d’alarmes de synoptiques.

Plus de détails dans l’aide en ligne.

ZT_VARIABLE

AlarmPV2

Variable d'alarme 3

Disponible uniquement dans SICAM 230.
Troisième variable pour la gestion d’alarmes de synoptiques.

Plus de détails dans l’aide en ligne.

VT_BOOL

HDActive

Stockage de données sur disque dur actif

Active : les valeurs de variables sont enregistrées sur le disque dur (enregistrement circulaire) pour être évaluées dans l’élément dynamique "Élément de tendance" ou pour l’exportation/l’importation des valeurs.

Inactive : aucune valeur de variable n’est enregistrée.

Par défaut : inactive

Les données de disque dur nécessitent 24 octets d’espace de stockage par valeur, indépendamment du type de variable. Outre la valeur, les informations suivantes sont enregistrées :
- Heure d’exécution de la mesure.
- Millisecondes lors de la lecture de la valeur.
- Modification de l’état de la valeur en fonction des éléments.
- Compteur pour l’identification unique de la valeur (driver événementiel).

Remarque : Le stockage de données est également activé lors d’un appel de synoptique de type Extended Trend si des données en ligne sont analysées.
Les variables de type chaîne ne sont pas prises en charge par la fonction de stockage de données sur le disque dur.

Attention : si l’option d’enregistrement sur disque dur est activée pour un trop grand nombre de variables, en présence d’un trop grand nombre de valeurs, les performances du Runtime peuvent être altérées.

Plus de détails dans l’aide en ligne.

VT_R4

HDUpdate

Temps de cycle [s]

Disponible uniquement si la propriété Stockage de données sur disque dur actif est active :
Durée de l’intervalle [en secondes] de conservation des valeurs en ligne sur le disque dur (mémoire circulaire) pour l’analyse dans l’élément dynamique Tendance, pour les données en ligne dans le module Extended Trend ou pour l’exportation/l’importation de valeurs.

Plus de détails dans l’aide en ligne.

VT_UI4

HDSize

Nombre de valeurs

Valeur correspondant à l’intervalle de conservation des valeurs en ligne sur le disque dur (mémoire circulaire) pour l’analyse dans l’élément dynamique Tendance, pour les données en ligne dans le module Extended Trend ou pour l’exportation/l’importation de valeurs.

Attention : si l’option d’enregistrement sur disque dur est activée pour un trop grand nombre de variables, en présence d’un trop grand nombre de valeurs, les performances du Runtime peuvent être altérées.

Plus de détails dans l’aide en ligne.

VT_BOOL

IsKDAActiv

Type d'enregistrement

Disponible uniquement si la propriété Stockage de données sur disque dur actif est active :
Données de disque dur (cyclique) : Écriture cyclique des valeurs sur le disque dur.
Valeurs retriées (RDA) : Les valeurs sont écrites bloc par bloc sur le disque dur par le driver. (Fonction adaptée à l’analyse rétrospective des erreurs au niveau du système de contrôle.)

Plus de détails dans l’aide en ligne.

VT_BOOL

ExternVisible

Visible extérieurement pour

Disponible uniquement si la propriété Visible par d'autres programmes est active.

Spécifiez expressément les projets de zenon Logic pour lesquels la variable doit être visible. Si vous laissez le champ de saisie vide, la variable est visible pour tous les projets zenon Logic. Vous pouvez également saisir des projets zenon Logic de manière expresse. Séparez les noms des projets individuels par un point-virgule (";"). Vous pouvez utiliser les opérateurs. Par exemple, P1* signifie tous les projets zenon Logic commençant par P1. (Remarque : les opérateurs sont uniquement autorisés sous forme de préfixe ou de suffixe, par exemple, *xxx ou xxx*.

Le nombre de caractères est limité à 64.

Par défaut : -

Plus de détails dans l’aide en ligne.

VT_BSTR

ExternVisibleFor

Visible extérieurement pour

Disponible uniquement si la propriété Visible par d'autres programmes est active.

Spécifiez expressément les projets de zenon Logic pour lesquels la variable doit être visible. Si vous laissez le champ de saisie vide, la variable est visible pour tous les projets zenon Logic. Vous pouvez également saisir des projets zenon Logic de manière expresse. Séparez les noms des projets individuels par un point-virgule (";"). Vous pouvez utiliser les opérateurs. Par exemple, P1* signifie tous les projets zenon Logic commençant par P1. (Remarque : les opérateurs sont uniquement autorisés sous forme de préfixe ou de suffixe, par exemple, *xxx ou xxx*.

Le nombre de caractères est limité à 64.

Par défaut : -

Plus de détails dans l’aide en ligne.

VT_BOOL

ReadWrite

Ecriture/lecture externe

Propriété externe pour zenon Logic. Affecte uniquement les variables qui ne forment pas partie du driver straton.
Active : la valeur de la variable ne peut pas être modifiée dans zenon Logic. La définition de la variable ne peut pas être modifiée dans zenon Logic.
Inactive : la variable ne peut pas être modifiée dans zenon Logic.
Par défaut : active.

Plus de détails dans l’aide en ligne.

VT_BSTR

InitialValue

Valeur initiale externe

Propriété externe pour zenon Logic. Affecte uniquement les variables qui ne forment pas partie du driver straton.
Valeur initiale de la variable dans zenon Logic durant une reprise graduelle ou une reprise intermédiaire.
La saisie autorisée ici dépend du type de données de la variable. Par exemple, vous pouvez uniquement utiliser des valeurs sans décimales pour les variables entières. Pour les variables à virgule flottante, un point doit être utilisé en tant que séparateur décimal ; les virgules ne peuvent pas être utilisées.
Le système de contrôle ne vérifie pas la validité de cette saisie. Ceci peut générer un message d’erreur dans zenon Logic.

Attention : lors de l’utilisation de variables du driver interne, cette propriété doit posséder la même valeur que la valeur initiale dans les paramètres des variables internes.

Plus de détails dans l’aide en ligne.

VT_BSTR

Profilename

Nom profil externe

Propriété externe pour zenon Logic. Affecte uniquement les variables qui ne forment pas partie du driver straton.
Nom du profil défini dans zenon Logic (par ex. STRATON, ProfDP).

Cette propriété est uniquement affichée pour information. Édition dans zenon Logic uniquement.

Plus de détails dans l’aide en ligne.

VT_BSTR

Adressparam

Paramètre externe d'adresse

Propriété externe pour zenon Logic. Affecte uniquement les variables qui ne sont pas des variables du driver straton.
Propriétés de profil dans zenon Logic (par ex. "intégré" ou paramètres d’adressage de Profibus).

Cette propriété est uniquement affichée pour information. Édition dans zenon Logic uniquement.

Plus de détails dans l’aide en ligne.

VT_BSTR

Vargroup

Groupe de variables externe

Propriété externe pour zenon Logic. Affecte uniquement les variables qui ne sont pas des variables du driver straton32.
Groupes de variables dans zenon Logic ("Global" ou "Retain" ou vides).

Cette propriété est uniquement affichée pour information. Édition dans zenon Logic uniquement.

Plus de détails dans l’aide en ligne.

VT_BOOL

IsRemaActiv

Matrice de réaction active

Active : Une matrice de réaction est utilisée à la place des valeurs de limite.
Inactive : Les valeurs peuvent être définies pour la variable.
Par défaut : inactive.

Plus de détails dans l’aide en ligne.

ZT_REMA

Rema

Matrice de réaction

Propriétés d’utilisation d’une matrice de réaction pour la variable.

Plus de détails dans l’aide en ligne.

ZT_VARIABLE

AlarmQuitPV

Valeur d'acquittement

Si une alarme de cette variable est acquittée visuellement, la variable sélectionnée sous Variable d'acquittement visuel ou Variable d'acquittement est définie sur cette valeur.

Sélection de 0 ou 1.

Plus de détails dans l’aide en ligne.

ZT_VARIABLE

AlarmViewQuitPV

Variable d'acquittement visuel

Si une alarme de la variable de contrôle est acquittée visuellement, la valeur de la variable d’acquittement visuel est définie sur la valeur définie par Valeur d'acquittement.

Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de variables binaires.

Plus de détails dans l’aide en ligne.

VT_UI4

AlarmQuitPVValue

Valeur d'acquittement

Si une alarme de cette variable est acquittée visuellement, la variable sélectionnée sous Variable d'acquittement visuel ou Variable d'acquittement est définie sur cette valeur.

Sélection de 0 ou 1.

Plus de détails dans l’aide en ligne.

VT_BOOL

VarInASM

Enregistrer dans la base IPA

Active : les alarmes de cette variable sont disponibles pour analyse dans le module Industrial Performance Analyzer (IPA).
Inactive : les alarmes de cette variable ne sont prises en compte lors de l’analyse dans le module Industrial Performance Analyzer (IPA).
Par défaut : Inactive

Attention : le module Industrial Performance Analyzer est un module optionnel, qui doit comporter une licence valide pour pouvoir être utilisé ici.

Plus de détails dans l’aide en ligne.

VT_BOOL

AlarmViaEquipmentModel

Utiliser la gestion d'alarmes hiérarchiques du modèle d'équipement

Type d’attribution de la variable à un domaine d’alarmes.

  • Active :
    Le domaine d’alarmes de la variable est transféré par le modèle d’équipement. L’alarme de la variable est applicable aux domaines d’alarmes définis dans le modèle d’équipement. Dans ce cas, le groupe d’équipements de la variable et le groupe d’équipements de niveau supérieur du modèle d’équipement sont pris en compte.
  • Inactive :
    L'alarme sur la variable est applicable aux domaines d’alarmes 1 à 4 de la gestion d’alarmes.

Remarque : Si cette propriété est activée pour un type de données, les paramètres de toutes les variables issues de celle-ci sont transférés.

Plus de détails dans l’aide en ligne.

ZT_BSTR_REF

AreaName

AreaName

Description as text.

ZT_BSTR_REF

AreaName2

AreaName2

Description as text.

ZT_BSTR_REF

AreaName3

AreaName3

Description as text.

ZT_BSTR_REF

AreaName4

AreaName4

Description as text.

VT_BOOL

InOut

Ecrire valeur prescrite

Active : cette variable est libérée pour l’action Spécifier valeur prescrite.
Inactive : cette variable est protégée en écriture.
Par défaut : Active

Plus de détails dans l’aide en ligne.

VT_BOOL

SBO

Select Before Operate

Attention : Cette fonctionnalité est uniquement compatible avec les drivers IEC870 et IEC850, et uniquement disponible si vous avez sélectionné l’option Commande commutation pour la propriété de type d’action dans Gestion des commandes, et l’action est mise en œuvre sous forme d’action à deux étapes. N’utilisez pas cette fonction pour le driver DNP3_NG ; Auto-SBO peut être configuré directement pour la variable, dans ce cas.

Active : Avant que la valeur de la variable ne soit écrite dans le matériel, zenon vérifie, pendant la première phase de la commande de commutation, si la variable dans l’équipement est prête pour cette action (Select before Operate (SBO)).
Attention : Pour les commandes impulsion, la réinitialisation automatique des valeurs des variables n’est pas effectuée dans l’intervalle de temps défini dans la propriété de délai de front.

Si la propriété SBO a été activée pour la variable d’action, une commande d’impulsion se comporte de la même manière qu’une commande de commutation.

Inactive : La valeur de la variable est transférée vers le driver sans vérification préalable.

Remarque : dans un driver IEC870, cela signifie une instruction Direct execute. Le driver IEC850 peut toutefois déclencher automatiquement une instruction Select before Operate , en raison du Control Model.
Par défaut : Inactive :
Plus de détails dans l’aide en ligne.

VT_BOOL

CancelOperate

Annuler 'Operate'

Si cette propriété est activée, il est possible d’envoyer une commande Cancel après une commande Operate lors de la gestion des commandes.

Remarque : Cette propriété est uniquement dans la version Energy Edition.

Par défaut : Inactive

Plus de détails dans l’aide en ligne.

VT_R8

ValueMin

Valeur prescrite min.

La valeur minimum définie ici pour le paramètre Écrire valeur prescrite peut être acceptée par le biais d’éléments dynamiques, plutôt que par la configuration séparée de ces derniers.
Ceci est surtout recommandé si la plage de la mesure est susceptible de varier ultérieurement, car ces modifications peuvent être effectuées une fois ici, au lieu d’être modifiées séparément dans chaque élément.

Plus de détails dans l’aide en ligne.

VT_R8

ValueMax

Valeur prescrite max.

La valeur maximum définie ici pour le paramètre Écrire valeur prescrite peut être acceptée par le biais d’éléments dynamiques, plutôt que par la configuration séparée de ces derniers.
Ceci est surtout recommandé si la plage de la mesure est susceptible de varier ultérieurement, car ces modifications peuvent être effectuées une fois ici, au lieu d’être modifiées séparément dans chaque élément.

Plus de détails dans l’aide en ligne.

VT_BSTR

LockingName

LockingName

"With this property you have the opportunity to assign an interlocking via its name.
zElement.DynProperties(""LockingName"") = ""Interlocking 1"""

VT_UI1

SetValueProtocol

Enregistrement (fichier journal)

Définit la manière dont l’écriture de la valeur prescrite sera consignée dans la liste CEL.

  • Tout : Toutes les actions Écrire valeur prescrite de cette variable exécutées via des éléments dynamiques et les fonctions Écrire valeur prescrite sont consignées dans la liste d’événements. (CEL)
  • Rien : aucune action Spécifier valeur prescrite n’est consignée dans la liste CEL.
  • Seulement sur élément dynamique : Seules les actions Écrire valeur prescrite exécutées via les éléments dynamiques sont consignées dans la liste CEL.

Par défaut : Uniquement les éléments dynamiques :

Plus de détails dans l’aide en ligne.

VT_BOOL

SV_Act

Ancienne et nouvelle valeur
  • Active : en cas de modification de la valeur prescrite de cette variable, les valeurs ancienne et nouvelle sont consignées dans la liste d’événements (CEL).
  • Inactive : Seule la nouvelle valeur est consignée.

Par défaut : Inactive

Recommandation : Activez la propriété Variable lue en permanence. Ceci permet de garantir que la valeur est toujours disponible, et qu’il n’est pas nécessaire de l’interroger spécialement.

Plus de détails dans l’aide en ligne.

VT_BOOL

SV_VBA

Valeurs modifiées par VBA

Active : L’écriture de la valeur prescrite de cette variable via une macro VBA est consignée dans la liste d’événements.
inactive : l’écriture de la valeur prescrite de cette variable via une macro VBA n’est pas consignée.
Par défaut : Active

Remarque : pour les variables configurées sous forme de variables de commande dans la passerelle de procédé IEC870, chaque commande est consignée sous la forme Spécifier valeur prescrite via l’interface COM dans la liste CEL, si la propriété est activée.

Plus de détails dans l’aide en ligne.

VT_BSTR

VisualName

Nom visuel

Saisie d’un nom d’affichage de la variable dans zenon Analyzer. Celui-ci doit être unique dans le projet, mais ceci n’est pas vérifié dans zenon. Cette vérification est effectuée lors de l’importation dans zenon Analyzer.

Cette propriété fournit des informations qui sont utilisées pour la configuration de rapports dans zenon Analyzer. L’exportation des données de zenon vers zenon Analyzer est effectuée à l’aide de l’assistant Analyzer Export Wizard.

Attention : Si cette propriété est modifiée après la première exportation vers zenon Analyzer, ces modifications ne sont appliquées dans zenon Analyzer.

Plus de détails dans l’aide en ligne.

VT_BSTR

Meaning

Signification

Cette propriété fournit des informations qui sont utilisées par la fonction de configuration de rapports dans zenon Analyzer.
Les données peuvent être définies manuellement ou à l’aide de l’assistant Meaning and Waterfall Chart Wizard. L’exportation des données de zenon vers zenon Analyzer est effectuée à l’aide de l’assistant Analyzer Export Wizard.

Saisie de la signification (meaning) d’une variable dans zenon Analyzer. Plusieurs significations doivent être séparées par une virgule.
Syntaxe : [signification1],[signification2],…,[significationN]

Plus de détails dans l’aide en ligne.

VT_BSTR

WaterfallParam

Paramètre pour le waterfall diagram

Cette propriété fournit des informations qui sont utilisées par la fonction de configuration de rapports dans zenon Analyzer.
Les données peuvent être définies manuellement ou à l’aide de l’assistant Meaning and Waterfall Chart Wizard. L’exportation des données de zenon vers zenon Analyzer est effectuée à l’aide de l’assistant Analyzer Export Wizard.

Paramètres d’une variable pour un diagramme en cascade dans zenon Analyzer. Les entrées peuvent être créées pour les rapports par ligne ou les rapports par machine. Lors de l’exportation, en fonction de la structure des entrées, une décision est prise pour déterminer s’il s’agit d’entrées correspondant à des diagrammes par machine ou par ligne.

Les paramètres individuels doivent être séparés par une virgule. Plusieurs cascades doivent être séparées par un poing-virgule.
Syntaxe, par machine : [nom modèle],[indice de ligne],[indice de colonne],[code de couleur];
Syntaxe, par ligne : [nom du modèle],[indice de ligne],[indice de colonne],[code de couleur],[perte de machine auxiliaire],[ajout de perte de machine auxiliaire],[soustraction de perte de machine auxiliaire];

Plus de détails dans l’aide en ligne.

VT_BOOL

Use_in_ProcRec

Activer l'enregistrement

Active/désactive la variable ou le type de données enregistré dans le module Process Recorder.
La sélection multiple de variables est possible.

  • Active :
    Les changements de valeur de la variable sont enregistrés dans le module Process Recorder.
    Attention : Assurez-vous que l’activation générale de l’enregistrement a été configurée dans la propriété Activer Process Recorder.
  • Inactive :
    Les changements de valeur de la variable ne sont pas enregistrés dans le module Process Recorder.

Par défaut : les paramètres configurés sont appliqués pour le type de données utilisé.

Plus de détails dans l’aide en ligne.


SE_32 variable ED function

Manuel -> Interfaces de programmation -> Modèles d'objet -> Variable -> Variable-Dynamic properties -> SE_32 variable ED function

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Type

VBA/VSTA Name

Display Name

Description

VT_BOOL

IsLocalDigits

IsLocalDigits

"With this property you have the opportunity to decide whether the ""Decimals"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalSignalMin

IsLocalSignalMin

"With this property you have the opportunity to decide whether the ""Minimum signal resolution"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalSignalMax

IsLocalSignalMax

"With this property you have the opportunity to decide whether the ""Maximum signal resolution"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalRangeMin

IsLocalRangeMin

"With this property you have the opportunity to decide whether the ""Minimum measuring range"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalRangeMax

IsLocalRangeMax

"With this property you have the opportunity to decide whether the ""Maximum measuring range"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalAlternateValue

IsLocalAlternateValue

"With this property you have the opportunity to decide whether the ""Alternate value"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalValueMin

IsLocalValueMin

"With this property you have the opportunity to decide whether the ""Minimum set value"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalValueMax

IsLocalValueMax

"With this property you have the opportunity to decide whether the ""Maximum set value"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalUseMacro

IsLocalUseMacro

"With this property you have the opportunity to decide whether the ""Non linear value adjustment with macros"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalInOut

IsLocalInOut

"With this property you have the opportunity to decide whether the ""Setting values active"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalHystNeg

IsLocalHystNeg

"With this property you have the opportunity to decide whether the ""negative hysteresis"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalHystPos

IsLocalHystPos

"With this property you have the opportunity to decide whether the ""negative hysteresis"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalArchHystNeg

IsLocalArchHystNeg

VT_BOOL

IsLocalArchHystPos

IsLocalArchHystPos

VT_BOOL

IsLocalUpdatePriority

IsLocalUpdatePriority

"With this property you have the opportunity to decide whether the ""Priority of the driver connection"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalDDEaktiv

IsLocalDDEaktiv

"With this property you have the opportunity to decide whether the ""DDE active"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalStandby

IsLocalStandby

"With this property you have the opportunity to decide whether the ""Only read from standby"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalRemaActiv

IsLocalRemaActiv

"With this property you have the opportunity to decide whether the ""Reaction matrix active"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalRema

IsLocalRema

"With this property you have the opportunity to decide whether the ""Reaction matrix"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalHDActive

IsLocalHDActive

"With this property you have the opportunity to decide whether the ""HD active"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalHDUpdate

IsLocalHDUpdate

"With this property you have the opportunity to decide whether the ""HD scan rate"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalHDSize

IsLocalHDSize

"With this property you have the opportunity to decide whether the ""Number of HD values"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalKDAActiv

IsLocalKDAActiv

"With this property you have the opportunity to decide whether the ""Recording type"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalStingLength

IsLocalStingLength

"With this property you have the opportunity to decide whether the ""String length"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalQuitPV

IsLocalQuitPV

"With this property you have the opportunity to decide whether the ""Acknowledgement variable"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalViewQuitPV

IsLocalViewQuitPV

Description as text.

VT_BOOL

IsLocalQuitValue

IsLocalQuitValue

"With this property you have the opportunity to decide whether the ""Acknowledgement value"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalTagname

IsLocalTagname

"With this property you have the opportunity to decide whether the ""Identification"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalUnit

IsLocalUnit

"With this property you have the opportunity to decide whether the ""Unit"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalAltValString

IsLocalAltValString

"With this property you have the opportunity to decide whether the ""String alternative value"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalRecLabel

IsLocalRecLabel

"With this property you have the opportunity to decide whether the ""Ressources label"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalAdjustHW

IsLocalAdjustHW

"With this property you have the opportunity to decide whether the ""AdjustHardwareValue"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalAdjustZenon

IsLocalAdjustZenon

"With this property you have the opportunity to decide whether the ""AdjustZenOnValue"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalArraySize

IsLocalArraySize

"With this property you have the opportunity to decide whether the ""Array size"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalCounterGroup

IsLocalCounterGroup

VT_BOOL

IsLocalMaxGradient

IsLocalMaxGradient

VT_BOOL

IsLocalNormalStateActive

IsLocalNormalStateActive

VT_BOOL

IsLocalNormalState

IsLocalNormalState

VT_BOOL

IsLocalAlarmPV0

IsLocalAlarmPV0

"With this property you have the opportunity to decide whether the ""Alarm Variable 1"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalAlarmPV1

IsLocalAlarmPV1

"With this property you have the opportunity to decide whether the ""Alarm Variable 2"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalAlarmPV2

IsLocalAlarmPV2

"With this property you have the opportunity to decide whether the ""Alarm Variable 3"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalVarInASM

IsLocalVarInASM

"With this property you have the opportunity to decide whether the ""Save in IPA database"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalAlarmDomain

IsLocalAlarmDomain

"With this property you have the opportunity to decide whether the ""Alarm area"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalAlarmDomain2

IsLocalAlarmDomain2

Description as text.

VT_BOOL

IsLocalAlarmDomain3

IsLocalAlarmDomain3

Description as text.

VT_BOOL

IsLocalAlarmDomain4

IsLocalAlarmDomain4

Description as text.

VT_BOOL

IsLocalLocking

IsLocalLocking

"With this property you have the opportunity to decide whether the ""Interlocking"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalSBO

IsLocalSBO

"With this property you have the opportunity to decide whether the ""Select before operate"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalCancelOperate

IsLocalCancelOperate

Description

VT_BOOL

IsLocalAlarmViaEquipmentModel

IsLocalAlarmViaEquipmentModel

Description

VT_BOOL

IsLocalUsedInProcRec

IsLocalUsedInProcRec

Description

VT_UI1

IsSWProtokol

IsSWProtokol

VT_BOOL

IsSW_Akt

IsSW_Akt

VT_BOOL

IsSW_VBA

IsSW_VBA

More...

Limits

Valeurs limite

Propriétés définissant le traitement des valeurs limites ou le traitement des alarmes pour la variable.

Les propriétés de ce groupe sont uniquement disponibles si vous avez activé la propriété Matrice de réaction active.

Plus de détails dans l’aide en ligne.

VT_UI4

ID_ComplexVariable

ID_ComplexVariable

With this property you have the opportunity to get/set the ID of a variable from a structure element. This ID is 0 when the variable has no structure datatype.

VT_BSTR

Name

Nom

Nom unique de la variable. Les considérations suivantes s’appliquent lors de la définition du nom :

  • Longueur maximale : 128 caractères
  • Caractères non autorisés : # et @

Remarque : pour les drivers utilisant la connexion à zenon Logic, vous devez définir un préfixe. Pour plus de détails, reportez-vous au chapitre Création de variables O et M dans zenon Logic dans le manuel.
Toute modification du nom de la variable doit également être effectuée dans l’environnement de programmation (VBA, VSTA).

Attention : Cette propriété n’est pas disponible aux fins de la commutation de langue.

Plus de détails dans l’aide en ligne.

VT_BSTR

Tagname

Identification

Chaîne libre utilisée pour l’identification de la variable ou du type de données.
Remarque : Puisque la langue du nom de la variable (propriété Nom) ne peut pas être modifiée, cette propriété peut être utilisée pour le changement de langue en ligne.

Longueur maximale : 128 caractères

Plus de détails dans l’aide en ligne.

VT_BSTR

Unit

Unité de mesure

Unité technique de la variable devant être affichée dans le Runtime. Si vous avez déjà créé des unités de mesure dans le module d’unités de base, celles-ci sont disponibles dans une liste déroulante.
Maximum : 50 caractères.
Par défaut : vide

Plus de détails dans l’aide en ligne.

VT_R8

AlternateValue

Archivfüllwert

Cette valeur est utilisée pour renseigner les archives cycliques. En présence d’intervalles durant lesquels aucune connexion au matériel n’a été établie, cette valeur est utilisée tant qu’aucune valeur n’est transférée depuis l’équipement. Dans le cas contraire, la dernière valeur valide utilisée est utilisée aux fins du renseignement.

Plus de détails dans l’aide en ligne.

VT_BSTR

AlternateValueString

Valeur chaîne pour le remplissage des archives

Cette valeur est utilisée pour les variables de chaîne, afin de renseigner les archives cycliques.
En présence d’intervalles, dans les archives cycliques, durant lesquels aucune connexion au matériel n’a été établie, cette Valeur chaîne pour le remplissage des archives est utilisée tant qu’aucune valeur n’est transférée depuis l’équipement. Dans le cas contraire, la dernière valeur valide est utilisée pour le renseignement.

Longueur maximale : 128 caractères

Attention : Cette propriété n’est pas disponible aux fins de la commutation de langue.

Plus de détails dans l’aide en ligne.

VT_BSTR

Recourceslabel

Description externe

Chaîne au choix.
N'est pas utilisé au niveau interne dans zenon, mais est disponible lors de l’exportation de valeurs pour autoriser l’attribution des valeurs exportées pour les systèmes de gestion tels qu’ERP.

Longueur maximale : 255 caractères

Plus de détails dans l’aide en ligne.

VT_UI4

NetAddr

Adresse réseau

Adresse de bus ou Adresse réseau de la variable.

  • Minimum : 0
  • Maximum : 4294967295

Par défaut : 0

Plus de détails dans l’aide en ligne.

VT_UI4

DataBlock

Bloc de données

Numéro de bloc de données.
Minimum : 0.
Maximum : 4294967295
Par défaut : 0.

Plus de détails dans l’aide en ligne.

VT_UI4

Offset

Offset

Décalage de la variable.
Pour les contrôleurs à adressage linéaire : plage de mémoire.
Pour les contrôleurs à résolution de nom : adresse d’attribution.
Minimum : 0.
Maximum : 4294967295
Par défaut : 0.

Plus de détails dans l’aide en ligne.

VT_UI2

BitAddr

Numéro de bit

Numéro du bit dans le décalage configuré.
Minimum : 0.
Maximum : 65535
Par défaut : 0.

Plus de détails dans l’aide en ligne.

VT_UI2

Alignment

Alignement

Ceci dépend de la granularité du type d’objet du driver et de la position de la variable conformément au décalage défini.

Pour les variables de type Octet :
Octet poids fort : octet de poids fort dans le décalage de mot.
Octet poids faible : Otet de poids faible dans le décalage de mot.
HiWord-HiByte octet de poids fort dans le mot fort dans le décalage de double mot.
HiWord-LoByte (Mot poids fort-Octet poids faible) octet de poids faible dans le mot fort dans le décalage de double mot.
Mot poids faible-Octet poids fort : octet de poids fort dans le mot faible dans le décalage de double mot.
Mot poids faible-Octet poids faible : octet de poids faible dans le mot faible dans le décalage de double mot.

Pour les variables de mot :
Mot poids fort : mot fort dans le décalage de double mot.
Mot poids faible : Mot poids faible dans le décalage de double mot.

Plus de détails dans l’aide en ligne.

VT_UI2

StringLength

Longueur de la chaîne

Disponible uniquement pour les variables de type chaîne.
Nombre maximum de caractères que peut accepter une variable.
Minimum : 1 caractère
Si la valeur non autorisée 0 est saisie, la dernière valeur configurée valide est automatiquement utilisée. Si aucune valeur valide n’a été configurée, l’entrée est remplacée par la valeur par défaut.
Maximum : 65535 caractères.
Par défaut : 5 caractères

Remarque : la valeur par défaut est 65 535 pour les variables système avec le type de données String.

Plus de détails dans l’aide en ligne.

VT_BSTR

SymbAddr

Adresse symbolique

Séquence de caractères pour l’adressage symbolique des variables.

Longueur maximale : 1024 caractères.

Remarque : L’adresse symbolique n’est pas prise en charge par tous les drivers.
Lors de l’importation des variables dans des drivers compatibles avec l’adressage symbolique, la propriété est saisie automatiquement.

Plus de détails dans l’aide en ligne.

VT_UI4

Driver

Drivers

VT_UI4

ID_DataTyp

Type de données

Type de donnée pour la variable. Sélectionné durant la création de la variable ; peut être modifié ici ultérieurement.
Remarque : Pour les variables de structure, le type de données ne peut plus être modifié après la création des variables.
Attention : Si vous modifiez le type de données ultérieurement, toutes les autres propriétés de la variable doivent être vérifiées et ajustées, si nécessaire.

Plus de détails dans l’aide en ligne.

VT_UI4

ID_DriverTyp

Type d'objet driver

Selon le driver utilisé, un type d’objet est sélectionné durant la création de la variable et peut être modifié ici ultérieurement.
Siemens : bloc de données, marqueur, entrée/sortie.
Modbus : Coil et Holding Register.

Plus de détails dans l’aide en ligne.

VT_UI1

UpdatePriority

Priorité

Si l’heure de mise à jour globale spécifiée dans la configuration du driver n’est pas utilisée, la fréquence des mises à jour correspondant aux différents niveaux de priorité peut être définie ici. Dans cette propriété, une priorité est attribuée à une variable.

Plus de détails dans l’aide en ligne.

VT_BOOL

Standby

Lire uniquement sur le serveur redondant

Active : La valeur de la variable provenant du serveur redondant est affichée.
Inactive : La valeur de la variable provenant du serveur est affichée.
(drivers matériels uniquement)

Plus de détails dans l’aide en ligne.

VT_UI2

Digits

Nombre de décimales

Nombre de décimales des valeurs de variables utilisées lors de l’affichage dans le système de contrôle.
Minimum : 0
Maximum : 10
Par défaut : 0

Plus de détails dans l’aide en ligne.

VT_R8

SignalMin

Signal min.

Valeur minimum de la variable dans l’automate.
À moins d’être définie différemment dans la propriété Ajustement non-linéaire, la valeur brute des variables (résolution du signal) sera toujours convertie au format de la plage de mesure sur une base linéaire (pour une utilisation dans le système de contrôle). Toutes les autres entrées de valeurs numériques spécifiques à la variable dans Editor et dans le Runtime seront liées à la plage de mesures (par ex. définition des valeurs limites, limites des valeurs prescrites, zone de représentation, entrées de valeurs prescrites, etc.).

Plus de détails dans l’aide en ligne.

VT_R8

SignalMax

Signal max.

Valeur maximum de la variable dans l’automate. À moins d’être définie différemment dans la propriété Ajustement non-linéaire, la valeur brute des variables (résolution du signal) sera toujours convertie au format de la plage de mesure sur une base linéaire (pour une utilisation dans le système de contrôle). Toutes les autres entrées de valeurs numériques spécifiques à la variable dans Editor et dans le Runtime seront liées à la plage de mesures (par ex. définition des valeurs limites, limites des valeurs prescrites, zone de représentation, entrées de valeurs prescrites, etc.).

Plus de détails dans l’aide en ligne.

VT_R8

RangeMin

Plage de mesure min.

Valeur minimum des variables dans zenon.
À moins d’être définie différemment dans la propriété Ajustement non-linéaire, la valeur brute des variables (résolution du signal) sera toujours convertie au format de la plage de mesure sur une base linéaire (pour une utilisation dans le système de contrôle). Toutes les autres entrées de valeurs numériques spécifiques à la variable dans Editor et dans le Runtime seront liées à la plage de mesures (par ex. définition des valeurs limites, limites des valeurs prescrites, zone de représentation, entrées de valeurs prescrites, etc.).

Plus de détails dans l’aide en ligne.

VT_R8

RangeMax

Plage de mesure max.

Valeur maximum des variables dans zenon.
À moins d’être définie différemment dans la propriété Ajustement non-linéaire, la valeur brute des variables (résolution du signal) sera toujours convertie au format de la plage de mesure sur une base linéaire (pour une utilisation dans le système de contrôle). Toutes les autres entrées de valeurs numériques spécifiques à la variable dans Editor et dans le Runtime seront liées à la plage de mesures (par ex. définition des valeurs limites, limites des valeurs prescrites, zone de représentation, entrées de valeurs prescrites, etc.).

Plus de détails dans l’aide en ligne.

VT_BOOL

UseMacro

Ajustement non-linéaire avec macros

L’ajustement de valeurs non linéaires est utilisé pour les variables dont la valeur originale (automate) ne peut pas être ajustée de manière linéaire en fonction de la valeur mesurée (système de contrôle).

  • Active : Les valeurs brutes sont ajustées en fonction de zenon, sur une base non linéaire, avec des macros VBA.
  • Inactive : Les valeurs brutes sont ajustées en fonction de zenon.

Remarque : Lors de l’activation de la propriété, les propriétés AdjustHardwareValue et AdjustScadaValue doivent également être configurées. La propriété AdjustHardwareValue doit alors être configurée à l’inverse de la propriété AdjustScadaValue, sous forme de fonction inverse.

Par défaut : Inactive

Plus de détails dans l’aide en ligne.

ZT_VBAMAKRO

AdjustHardware

AdjustHardwareValue

Disponible uniquement si la propriété Ajustement non-linéaire avec macros est active.

Macro appelée à chaque modification de la valeur brute dans l’automate, et qui modifie la valeur dans zenon. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de macros.
Plus de détails dans l’aide en ligne.

ZT_VBAMAKRO

AdjustZenon

AdjustScadaValue

Disponible uniquement si la propriété Ajustement non-linéaire avec macros est active.

La macro est appelée lors de l’écriture d’une valeur depuis zenon et modifie la valeur brute sur l’automate. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de macros.
Plus de détails dans l’aide en ligne.

VT_R8

HystNeg

Négatif pour le signal

Hystérésis des valeurs limites définies en fonction de la plage du signal.

Plage d’hystérésis pour l’entrée en cas de changement de valeur avec diminution. Les valeurs sont uniquement interprétées comme des dépassements de valeur limite si la valeur changeante est inférieure à la plage d’hystérésis définie ici.
Par défaut : 0 (pas d’hystérésis)

Plus de détails dans l’aide en ligne.

VT_R8

HystPos

Positif pour le signal

Hystérésis des valeurs limites définies en fonction de la plage du signal.

Plage d’hystérésis pour l’entrée en cas de changement de valeur avec augmentation. Les valeurs sont uniquement interprétées comme des dépassements de valeur limite si la valeur changeante est supérieure à la plage d’hystérésis définie ici.
Par défaut : 0 (pas d’hystérésis)

Plus de détails dans l’aide en ligne.

VT_R8

ArchHystNeg

Négatif pour l'archive

Hystérésis d’archivage en cas de changement appliquée à la plage de mesure.

Plage d’hystérésis pour l’entrée en cas de changement de valeur avec diminution. Les valeurs sont uniquement saisies dans l’archive si la valeur changeante est inférieure à la plage d’hystérésis définie ici.
Par défaut : 0 (pas d’hystérésis)

Plus de détails dans l’aide en ligne.

VT_R8

ArchHystPos

Positif pour l'archive

Hystérésis d’archivage en cas de changement appliquée à la plage de mesure.

Plage d’hystérésis pour l’entrée en cas de changement de valeur avec augmentation. Les valeurs sont uniquement saisies dans l’archive si la valeur changeante est supérieure à la plage d’hystérésis définie ici.
Par défaut : 0 (pas d’hystérésis)

Plus de détails dans l’aide en ligne.

VT_BOOL

DDEActive

Variable lue en permanence

Paramètre de lecture de la variable et de sa disponibilité via DDE dans le Runtime :

  • Active : La variable est toujours connectée au driver. Cela signifie qu’elle est continuellement lue par le driver, même si elle n’est pas nécessaire dans le projet à cet instant précis. Le driver connaît ainsi toujours les valeurs actuelles et l’état actuel des variables et peut les fournir immédiatement, si nécessaire. La variable est également disponible pour les autres applications Windows (par exemple, Excel, Visual Basic, etc.). Les applications Windows possédant une fonctionnalité de client DDE peuvent ainsi utiliser les valeurs de la variable.
    Temps d’actualisation : 0,5 s
    L'activation de cette option offre par exemple l’avantage de basculer plus rapidement les valeurs de variables dans la fonction Ecriture valeur prescrite ou dans l’élément Appel de synoptique, car il n’est pas nécessaire d’interroger spécialement la variable avant la commutation. L’inconvénient est une augmentation de la charge des communications au niveau du contrôleur.
  • Inactive : La variable n’est pas interrogée en permanence par le driver, mais uniquement en cas de demande de valeurs ou d’états dans le Runtime. Elle n’est donc pas disponible dans les autres applications Windows via DDE.

Par défaut : Inactive

Plus de détails dans l’aide en ligne.

VT_UI4

ArraySizeOld

Dimension tableau

Définition de la taille de l’ensemble de blocs. La taille définie est lue ou écrite par le driver durant une demande de lecture/d’écriture. Ceci permet de garantir la cohérence des données dans le texte. Les données peuvent uniquement être modifiées dans le module Recipegroup Manager ou via l’interface de programmation.
Attention : peut être défini au niveau du driver interne, toutefois sans fonction dans le Runtime (valeur toujours égale à 0).

Plus de détails dans l’aide en ligne.

VT_UI4

CounterGroup

Groupe de compteur

Disponible uniquement dans SICAM 230.

VT_UI4

MaxGradient

Gradient maximum

Disponible uniquement dans SICAM 230.

VT_BOOL

NormalStateActive

Actif

Permet de définir un état normal pour les variables et les types de données du type BOOL, UINT et WORD pour tous les drivers.

Active : Un état normal peut être défini.

Par défaut : Inactive

Plus de détails dans l’aide en ligne.

VT_BOOL

NormalState

Valeur normale

Dans la liste déroulante, choisissez si la valeur normale de cette variable ou ce type de données doit être On (Active) ou Off (Inactive). Disponible pour les variables et les types de données du type BOOL, UINT et WORD pour tous les drivers.

Par défaut : Off

Plus de détails dans l’aide en ligne.

ZT_VARIABLE

AlarmPV0

Variable d'alarme 1

Disponible uniquement dans SICAM 230.
Première variable pour la gestion d’alarmes de synoptiques.

Plus de détails dans l’aide en ligne.

ZT_VARIABLE

AlarmPV1

Variable d'alarme 2

Disponible uniquement dans SICAM 230.
Deuxième variable pour la gestion d’alarmes de synoptiques.

Plus de détails dans l’aide en ligne.

ZT_VARIABLE

AlarmPV2

Variable d'alarme 3

Disponible uniquement dans SICAM 230.
Troisième variable pour la gestion d’alarmes de synoptiques.

Plus de détails dans l’aide en ligne.

VT_BOOL

HDActive

Stockage de données sur disque dur actif

Active : les valeurs de variables sont enregistrées sur le disque dur (enregistrement circulaire) pour être évaluées dans l’élément dynamique "Élément de tendance" ou pour l’exportation/l’importation des valeurs.

Inactive : aucune valeur de variable n’est enregistrée.

Par défaut : inactive

Les données de disque dur nécessitent 24 octets d’espace de stockage par valeur, indépendamment du type de variable. Outre la valeur, les informations suivantes sont enregistrées :
- Heure d’exécution de la mesure.
- Millisecondes lors de la lecture de la valeur.
- Modification de l’état de la valeur en fonction des éléments.
- Compteur pour l’identification unique de la valeur (driver événementiel).

Remarque : Le stockage de données est également activé lors d’un appel de synoptique de type Extended Trend si des données en ligne sont analysées.
Les variables de type chaîne ne sont pas prises en charge par la fonction de stockage de données sur le disque dur.

Attention : si l’option d’enregistrement sur disque dur est activée pour un trop grand nombre de variables, en présence d’un trop grand nombre de valeurs, les performances du Runtime peuvent être altérées.

Plus de détails dans l’aide en ligne.

VT_R4

HDUpdate

Temps de cycle [s]

Disponible uniquement si la propriété Stockage de données sur disque dur actif est active :
Durée de l’intervalle [en secondes] de conservation des valeurs en ligne sur le disque dur (mémoire circulaire) pour l’analyse dans l’élément dynamique Tendance, pour les données en ligne dans le module Extended Trend ou pour l’exportation/l’importation de valeurs.

Plus de détails dans l’aide en ligne.

VT_UI4

HDSize

Nombre de valeurs

Valeur correspondant à l’intervalle de conservation des valeurs en ligne sur le disque dur (mémoire circulaire) pour l’analyse dans l’élément dynamique Tendance, pour les données en ligne dans le module Extended Trend ou pour l’exportation/l’importation de valeurs.

Attention : si l’option d’enregistrement sur disque dur est activée pour un trop grand nombre de variables, en présence d’un trop grand nombre de valeurs, les performances du Runtime peuvent être altérées.

Plus de détails dans l’aide en ligne.

VT_BOOL

IsKDAActiv

Type d'enregistrement

Disponible uniquement si la propriété Stockage de données sur disque dur actif est active :
Données de disque dur (cyclique) : Écriture cyclique des valeurs sur le disque dur.
Valeurs retriées (RDA) : Les valeurs sont écrites bloc par bloc sur le disque dur par le driver. (Fonction adaptée à l’analyse rétrospective des erreurs au niveau du système de contrôle.)

Plus de détails dans l’aide en ligne.

VT_BOOL

ExternVisible

Visible extérieurement pour

Disponible uniquement si la propriété Visible par d'autres programmes est active.

Spécifiez expressément les projets de zenon Logic pour lesquels la variable doit être visible. Si vous laissez le champ de saisie vide, la variable est visible pour tous les projets zenon Logic. Vous pouvez également saisir des projets zenon Logic de manière expresse. Séparez les noms des projets individuels par un point-virgule (";"). Vous pouvez utiliser les opérateurs. Par exemple, P1* signifie tous les projets zenon Logic commençant par P1. (Remarque : les opérateurs sont uniquement autorisés sous forme de préfixe ou de suffixe, par exemple, *xxx ou xxx*.

Le nombre de caractères est limité à 64.

Par défaut : -

Plus de détails dans l’aide en ligne.

VT_BSTR

ExternVisibleFor

Visible extérieurement pour

Disponible uniquement si la propriété Visible par d'autres programmes est active.

Spécifiez expressément les projets de zenon Logic pour lesquels la variable doit être visible. Si vous laissez le champ de saisie vide, la variable est visible pour tous les projets zenon Logic. Vous pouvez également saisir des projets zenon Logic de manière expresse. Séparez les noms des projets individuels par un point-virgule (";"). Vous pouvez utiliser les opérateurs. Par exemple, P1* signifie tous les projets zenon Logic commençant par P1. (Remarque : les opérateurs sont uniquement autorisés sous forme de préfixe ou de suffixe, par exemple, *xxx ou xxx*.

Le nombre de caractères est limité à 64.

Par défaut : -

Plus de détails dans l’aide en ligne.

VT_BOOL

ReadWrite

Ecriture/lecture externe

Propriété externe pour zenon Logic. Affecte uniquement les variables qui ne forment pas partie du driver straton.
Active : la valeur de la variable ne peut pas être modifiée dans zenon Logic. La définition de la variable ne peut pas être modifiée dans zenon Logic.
Inactive : la variable ne peut pas être modifiée dans zenon Logic.
Par défaut : active.

Plus de détails dans l’aide en ligne.

VT_BSTR

InitialValue

Valeur initiale externe

Propriété externe pour zenon Logic. Affecte uniquement les variables qui ne forment pas partie du driver straton.
Valeur initiale de la variable dans zenon Logic durant une reprise graduelle ou une reprise intermédiaire.
La saisie autorisée ici dépend du type de données de la variable. Par exemple, vous pouvez uniquement utiliser des valeurs sans décimales pour les variables entières. Pour les variables à virgule flottante, un point doit être utilisé en tant que séparateur décimal ; les virgules ne peuvent pas être utilisées.
Le système de contrôle ne vérifie pas la validité de cette saisie. Ceci peut générer un message d’erreur dans zenon Logic.

Attention : lors de l’utilisation de variables du driver interne, cette propriété doit posséder la même valeur que la valeur initiale dans les paramètres des variables internes.

Plus de détails dans l’aide en ligne.

VT_BSTR

Profilename

Nom profil externe

Propriété externe pour zenon Logic. Affecte uniquement les variables qui ne forment pas partie du driver straton.
Nom du profil défini dans zenon Logic (par ex. STRATON, ProfDP).

Cette propriété est uniquement affichée pour information. Édition dans zenon Logic uniquement.

Plus de détails dans l’aide en ligne.

VT_BSTR

Adressparam

Paramètre externe d'adresse

Propriété externe pour zenon Logic. Affecte uniquement les variables qui ne sont pas des variables du driver straton.
Propriétés de profil dans zenon Logic (par ex. "intégré" ou paramètres d’adressage de Profibus).

Cette propriété est uniquement affichée pour information. Édition dans zenon Logic uniquement.

Plus de détails dans l’aide en ligne.

VT_BSTR

Vargroup

Groupe de variables externe

Propriété externe pour zenon Logic. Affecte uniquement les variables qui ne sont pas des variables du driver straton32.
Groupes de variables dans zenon Logic ("Global" ou "Retain" ou vides).

Cette propriété est uniquement affichée pour information. Édition dans zenon Logic uniquement.

Plus de détails dans l’aide en ligne.

VT_BOOL

IsRemaActiv

Matrice de réaction active

Active : Une matrice de réaction est utilisée à la place des valeurs de limite.
Inactive : Les valeurs peuvent être définies pour la variable.
Par défaut : inactive.

Plus de détails dans l’aide en ligne.

ZT_REMA

Rema

Matrice de réaction

Propriétés d’utilisation d’une matrice de réaction pour la variable.

Plus de détails dans l’aide en ligne.

ZT_VARIABLE

AlarmQuitPV

Valeur d'acquittement

Si une alarme de cette variable est acquittée visuellement, la variable sélectionnée sous Variable d'acquittement visuel ou Variable d'acquittement est définie sur cette valeur.

Sélection de 0 ou 1.

Plus de détails dans l’aide en ligne.

ZT_VARIABLE

AlarmViewQuitPV

Variable d'acquittement visuel

Si une alarme de la variable de contrôle est acquittée visuellement, la valeur de la variable d’acquittement visuel est définie sur la valeur définie par Valeur d'acquittement.

Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de variables binaires.

Plus de détails dans l’aide en ligne.

VT_UI4

AlarmQuitPVValue

Valeur d'acquittement

Si une alarme de cette variable est acquittée visuellement, la variable sélectionnée sous Variable d'acquittement visuel ou Variable d'acquittement est définie sur cette valeur.

Sélection de 0 ou 1.

Plus de détails dans l’aide en ligne.

VT_BOOL

VarInASM

Enregistrer dans la base IPA

Active : les alarmes de cette variable sont disponibles pour analyse dans le module Industrial Performance Analyzer (IPA).
Inactive : les alarmes de cette variable ne sont prises en compte lors de l’analyse dans le module Industrial Performance Analyzer (IPA).
Par défaut : Inactive

Attention : le module Industrial Performance Analyzer est un module optionnel, qui doit comporter une licence valide pour pouvoir être utilisé ici.

Plus de détails dans l’aide en ligne.

VT_BOOL

AlarmViaEquipmentModel

Utiliser la gestion d'alarmes hiérarchiques du modèle d'équipement

Type d’attribution de la variable à un domaine d’alarmes.

  • Active :
    Le domaine d’alarmes de la variable est transféré par le modèle d’équipement. L’alarme de la variable est applicable aux domaines d’alarmes définis dans le modèle d’équipement. Dans ce cas, le groupe d’équipements de la variable et le groupe d’équipements de niveau supérieur du modèle d’équipement sont pris en compte.
  • Inactive :
    L'alarme sur la variable est applicable aux domaines d’alarmes 1 à 4 de la gestion d’alarmes.

Remarque : Si cette propriété est activée pour un type de données, les paramètres de toutes les variables issues de celle-ci sont transférés.

Plus de détails dans l’aide en ligne.

ZT_BSTR_REF

AreaName

AreaName

Description as text.

ZT_BSTR_REF

AreaName2

AreaName2

Description as text.

ZT_BSTR_REF

AreaName3

AreaName3

Description as text.

ZT_BSTR_REF

AreaName4

AreaName4

Description as text.

VT_BOOL

InOut

Ecrire valeur prescrite

Active : cette variable est libérée pour l’action Spécifier valeur prescrite.
Inactive : cette variable est protégée en écriture.
Par défaut : Active

Plus de détails dans l’aide en ligne.

VT_BOOL

SBO

Select Before Operate

Attention : Cette fonctionnalité est uniquement compatible avec les drivers IEC870 et IEC850, et uniquement disponible si vous avez sélectionné l’option Commande commutation pour la propriété de type d’action dans Gestion des commandes, et l’action est mise en œuvre sous forme d’action à deux étapes. N’utilisez pas cette fonction pour le driver DNP3_NG ; Auto-SBO peut être configuré directement pour la variable, dans ce cas.

Active : Avant que la valeur de la variable ne soit écrite dans le matériel, zenon vérifie, pendant la première phase de la commande de commutation, si la variable dans l’équipement est prête pour cette action (Select before Operate (SBO)).
Attention : Pour les commandes impulsion, la réinitialisation automatique des valeurs des variables n’est pas effectuée dans l’intervalle de temps défini dans la propriété de délai de front.

Si la propriété SBO a été activée pour la variable d’action, une commande d’impulsion se comporte de la même manière qu’une commande de commutation.

Inactive : La valeur de la variable est transférée vers le driver sans vérification préalable.

Remarque : dans un driver IEC870, cela signifie une instruction Direct execute. Le driver IEC850 peut toutefois déclencher automatiquement une instruction Select before Operate , en raison du Control Model.
Par défaut : Inactive :
Plus de détails dans l’aide en ligne.

VT_BOOL

CancelOperate

Annuler 'Operate'

Si cette propriété est activée, il est possible d’envoyer une commande Cancel après une commande Operate lors de la gestion des commandes.

Remarque : Cette propriété est uniquement dans la version Energy Edition.

Par défaut : Inactive

Plus de détails dans l’aide en ligne.

VT_R8

ValueMin

Valeur prescrite min.

La valeur minimum définie ici pour le paramètre Écrire valeur prescrite peut être acceptée par le biais d’éléments dynamiques, plutôt que par la configuration séparée de ces derniers.
Ceci est surtout recommandé si la plage de la mesure est susceptible de varier ultérieurement, car ces modifications peuvent être effectuées une fois ici, au lieu d’être modifiées séparément dans chaque élément.

Plus de détails dans l’aide en ligne.

VT_R8

ValueMax

Valeur prescrite max.

La valeur maximum définie ici pour le paramètre Écrire valeur prescrite peut être acceptée par le biais d’éléments dynamiques, plutôt que par la configuration séparée de ces derniers.
Ceci est surtout recommandé si la plage de la mesure est susceptible de varier ultérieurement, car ces modifications peuvent être effectuées une fois ici, au lieu d’être modifiées séparément dans chaque élément.

Plus de détails dans l’aide en ligne.

VT_BSTR

LockingName

LockingName

"With this property you have the opportunity to assign an interlocking via its name.
zElement.DynProperties(""LockingName"") = ""Interlocking 1"""

VT_UI1

SetValueProtocol

Enregistrement (fichier journal)

Définit la manière dont l’écriture de la valeur prescrite sera consignée dans la liste CEL.

  • Tout : Toutes les actions Écrire valeur prescrite de cette variable exécutées via des éléments dynamiques et les fonctions Écrire valeur prescrite sont consignées dans la liste d’événements. (CEL)
  • Rien : aucune action Spécifier valeur prescrite n’est consignée dans la liste CEL.
  • Seulement sur élément dynamique : Seules les actions Écrire valeur prescrite exécutées via les éléments dynamiques sont consignées dans la liste CEL.

Par défaut : Uniquement les éléments dynamiques :

Plus de détails dans l’aide en ligne.

VT_BOOL

SV_Act

Ancienne et nouvelle valeur
  • Active : en cas de modification de la valeur prescrite de cette variable, les valeurs ancienne et nouvelle sont consignées dans la liste d’événements (CEL).
  • Inactive : Seule la nouvelle valeur est consignée.

Par défaut : Inactive

Recommandation : Activez la propriété Variable lue en permanence. Ceci permet de garantir que la valeur est toujours disponible, et qu’il n’est pas nécessaire de l’interroger spécialement.

Plus de détails dans l’aide en ligne.

VT_BOOL

SV_VBA

Valeurs modifiées par VBA

Active : L’écriture de la valeur prescrite de cette variable via une macro VBA est consignée dans la liste d’événements.
inactive : l’écriture de la valeur prescrite de cette variable via une macro VBA n’est pas consignée.
Par défaut : Active

Remarque : pour les variables configurées sous forme de variables de commande dans la passerelle de procédé IEC870, chaque commande est consignée sous la forme Spécifier valeur prescrite via l’interface COM dans la liste CEL, si la propriété est activée.

Plus de détails dans l’aide en ligne.

VT_BSTR

VisualName

Nom visuel

Saisie d’un nom d’affichage de la variable dans zenon Analyzer. Celui-ci doit être unique dans le projet, mais ceci n’est pas vérifié dans zenon. Cette vérification est effectuée lors de l’importation dans zenon Analyzer.

Cette propriété fournit des informations qui sont utilisées pour la configuration de rapports dans zenon Analyzer. L’exportation des données de zenon vers zenon Analyzer est effectuée à l’aide de l’assistant Analyzer Export Wizard.

Attention : Si cette propriété est modifiée après la première exportation vers zenon Analyzer, ces modifications ne sont appliquées dans zenon Analyzer.

Plus de détails dans l’aide en ligne.

VT_BSTR

Meaning

Signification

Cette propriété fournit des informations qui sont utilisées par la fonction de configuration de rapports dans zenon Analyzer.
Les données peuvent être définies manuellement ou à l’aide de l’assistant Meaning and Waterfall Chart Wizard. L’exportation des données de zenon vers zenon Analyzer est effectuée à l’aide de l’assistant Analyzer Export Wizard.

Saisie de la signification (meaning) d’une variable dans zenon Analyzer. Plusieurs significations doivent être séparées par une virgule.
Syntaxe : [signification1],[signification2],…,[significationN]

Plus de détails dans l’aide en ligne.

VT_BSTR

WaterfallParam

Paramètre pour le waterfall diagram

Cette propriété fournit des informations qui sont utilisées par la fonction de configuration de rapports dans zenon Analyzer.
Les données peuvent être définies manuellement ou à l’aide de l’assistant Meaning and Waterfall Chart Wizard. L’exportation des données de zenon vers zenon Analyzer est effectuée à l’aide de l’assistant Analyzer Export Wizard.

Paramètres d’une variable pour un diagramme en cascade dans zenon Analyzer. Les entrées peuvent être créées pour les rapports par ligne ou les rapports par machine. Lors de l’exportation, en fonction de la structure des entrées, une décision est prise pour déterminer s’il s’agit d’entrées correspondant à des diagrammes par machine ou par ligne.

Les paramètres individuels doivent être séparés par une virgule. Plusieurs cascades doivent être séparées par un poing-virgule.
Syntaxe, par machine : [nom modèle],[indice de ligne],[indice de colonne],[code de couleur];
Syntaxe, par ligne : [nom du modèle],[indice de ligne],[indice de colonne],[code de couleur],[perte de machine auxiliaire],[ajout de perte de machine auxiliaire],[soustraction de perte de machine auxiliaire];

Plus de détails dans l’aide en ligne.

VT_BOOL

Use_in_ProcRec

Activer l'enregistrement

Active/désactive la variable ou le type de données enregistré dans le module Process Recorder.
La sélection multiple de variables est possible.

  • Active :
    Les changements de valeur de la variable sont enregistrés dans le module Process Recorder.
    Attention : Assurez-vous que l’activation générale de l’enregistrement a été configurée dans la propriété Activer Process Recorder.
  • Inactive :
    Les changements de valeur de la variable ne sont pas enregistrés dans le module Process Recorder.

Par défaut : les paramètres configurés sont appliqués pour le type de données utilisé.

Plus de détails dans l’aide en ligne.


SE_32 variable ED

Manuel -> Interfaces de programmation -> Modèles d'objet -> Variable -> Variable-Dynamic properties -> SE_32 variable ED

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Type

VBA/VSTA Name

Display Name

Description

VT_BOOL

IsLocalDigits

IsLocalDigits

"With this property you have the opportunity to decide whether the ""Decimals"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalSignalMin

IsLocalSignalMin

"With this property you have the opportunity to decide whether the ""Minimum signal resolution"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalSignalMax

IsLocalSignalMax

"With this property you have the opportunity to decide whether the ""Maximum signal resolution"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalRangeMin

IsLocalRangeMin

"With this property you have the opportunity to decide whether the ""Minimum measuring range"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalRangeMax

IsLocalRangeMax

"With this property you have the opportunity to decide whether the ""Maximum measuring range"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalAlternateValue

IsLocalAlternateValue

"With this property you have the opportunity to decide whether the ""Alternate value"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalValueMin

IsLocalValueMin

"With this property you have the opportunity to decide whether the ""Minimum set value"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalValueMax

IsLocalValueMax

"With this property you have the opportunity to decide whether the ""Maximum set value"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalUseMacro

IsLocalUseMacro

"With this property you have the opportunity to decide whether the ""Non linear value adjustment with macros"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalInOut

IsLocalInOut

"With this property you have the opportunity to decide whether the ""Setting values active"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalHystNeg

IsLocalHystNeg

"With this property you have the opportunity to decide whether the ""negative hysteresis"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalHystPos

IsLocalHystPos

"With this property you have the opportunity to decide whether the ""negative hysteresis"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalArchHystNeg

IsLocalArchHystNeg

VT_BOOL

IsLocalArchHystPos

IsLocalArchHystPos

VT_BOOL

IsLocalUpdatePriority

IsLocalUpdatePriority

"With this property you have the opportunity to decide whether the ""Priority of the driver connection"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalDDEaktiv

IsLocalDDEaktiv

"With this property you have the opportunity to decide whether the ""DDE active"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalStandby

IsLocalStandby

"With this property you have the opportunity to decide whether the ""Only read from standby"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalRemaActiv

IsLocalRemaActiv

"With this property you have the opportunity to decide whether the ""Reaction matrix active"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalRema

IsLocalRema

"With this property you have the opportunity to decide whether the ""Reaction matrix"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalHDActive

IsLocalHDActive

"With this property you have the opportunity to decide whether the ""HD active"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalHDUpdate

IsLocalHDUpdate

"With this property you have the opportunity to decide whether the ""HD scan rate"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalHDSize

IsLocalHDSize

"With this property you have the opportunity to decide whether the ""Number of HD values"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalKDAActiv

IsLocalKDAActiv

"With this property you have the opportunity to decide whether the ""Recording type"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalStingLength

IsLocalStingLength

"With this property you have the opportunity to decide whether the ""String length"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalQuitPV

IsLocalQuitPV

"With this property you have the opportunity to decide whether the ""Acknowledgement variable"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalViewQuitPV

IsLocalViewQuitPV

Description as text.

VT_BOOL

IsLocalQuitValue

IsLocalQuitValue

"With this property you have the opportunity to decide whether the ""Acknowledgement value"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalTagname

IsLocalTagname

"With this property you have the opportunity to decide whether the ""Identification"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalUnit

IsLocalUnit

"With this property you have the opportunity to decide whether the ""Unit"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalAltValString

IsLocalAltValString

"With this property you have the opportunity to decide whether the ""String alternative value"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalRecLabel

IsLocalRecLabel

"With this property you have the opportunity to decide whether the ""Ressources label"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalAdjustHW

IsLocalAdjustHW

"With this property you have the opportunity to decide whether the ""AdjustHardwareValue"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalAdjustZenon

IsLocalAdjustZenon

"With this property you have the opportunity to decide whether the ""AdjustZenOnValue"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalArraySize

IsLocalArraySize

"With this property you have the opportunity to decide whether the ""Array size"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalCounterGroup

IsLocalCounterGroup

VT_BOOL

IsLocalMaxGradient

IsLocalMaxGradient

VT_BOOL

IsLocalNormalStateActive

IsLocalNormalStateActive

VT_BOOL

IsLocalNormalState

IsLocalNormalState

VT_BOOL

IsLocalAlarmPV0

IsLocalAlarmPV0

"With this property you have the opportunity to decide whether the ""Alarm Variable 1"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalAlarmPV1

IsLocalAlarmPV1

"With this property you have the opportunity to decide whether the ""Alarm Variable 2"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalAlarmPV2

IsLocalAlarmPV2

"With this property you have the opportunity to decide whether the ""Alarm Variable 3"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalVarInASM

IsLocalVarInASM

"With this property you have the opportunity to decide whether the ""Save in IPA database"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalAlarmDomain

IsLocalAlarmDomain

"With this property you have the opportunity to decide whether the ""Alarm area"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalAlarmDomain2

IsLocalAlarmDomain2

Description as text.

VT_BOOL

IsLocalAlarmDomain3

IsLocalAlarmDomain3

Description as text.

VT_BOOL

IsLocalAlarmDomain4

IsLocalAlarmDomain4

Description as text.

VT_BOOL

IsLocalLocking

IsLocalLocking

"With this property you have the opportunity to decide whether the ""Interlocking"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalSBO

IsLocalSBO

"With this property you have the opportunity to decide whether the ""Select before operate"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalCancelOperate

IsLocalCancelOperate

Description

VT_BOOL

IsLocalAlarmViaEquipmentModel

IsLocalAlarmViaEquipmentModel

Description

VT_BOOL

IsLocalUsedInProcRec

IsLocalUsedInProcRec

Description

VT_UI1

IsSWProtokol

IsSWProtokol

VT_BOOL

IsSW_Akt

IsSW_Akt

VT_BOOL

IsSW_VBA

IsSW_VBA

More...

Limits

Valeurs limite

Propriétés définissant le traitement des valeurs limites ou le traitement des alarmes pour la variable.

Les propriétés de ce groupe sont uniquement disponibles si vous avez activé la propriété Matrice de réaction active.

Plus de détails dans l’aide en ligne.

VT_UI4

ID_ComplexVariable

ID_ComplexVariable

With this property you have the opportunity to get/set the ID of a variable from a structure element. This ID is 0 when the variable has no structure datatype.

VT_BSTR

Name

Nom

Nom unique de la variable. Les considérations suivantes s’appliquent lors de la définition du nom :

  • Longueur maximale : 128 caractères
  • Caractères non autorisés : # et @

Remarque : pour les drivers utilisant la connexion à zenon Logic, vous devez définir un préfixe. Pour plus de détails, reportez-vous au chapitre Création de variables O et M dans zenon Logic dans le manuel.
Toute modification du nom de la variable doit également être effectuée dans l’environnement de programmation (VBA, VSTA).

Attention : Cette propriété n’est pas disponible aux fins de la commutation de langue.

Plus de détails dans l’aide en ligne.

VT_BSTR

Tagname

Identification

Chaîne libre utilisée pour l’identification de la variable ou du type de données.
Remarque : Puisque la langue du nom de la variable (propriété Nom) ne peut pas être modifiée, cette propriété peut être utilisée pour le changement de langue en ligne.

Longueur maximale : 128 caractères

Plus de détails dans l’aide en ligne.

VT_BSTR

Unit

Unité de mesure

Unité technique de la variable devant être affichée dans le Runtime. Si vous avez déjà créé des unités de mesure dans le module d’unités de base, celles-ci sont disponibles dans une liste déroulante.
Maximum : 50 caractères.
Par défaut : vide

Plus de détails dans l’aide en ligne.

VT_R8

AlternateValue

Archivfüllwert

Cette valeur est utilisée pour renseigner les archives cycliques. En présence d’intervalles durant lesquels aucune connexion au matériel n’a été établie, cette valeur est utilisée tant qu’aucune valeur n’est transférée depuis l’équipement. Dans le cas contraire, la dernière valeur valide utilisée est utilisée aux fins du renseignement.

Plus de détails dans l’aide en ligne.

VT_BSTR

AlternateValueString

Valeur chaîne pour le remplissage des archives

Cette valeur est utilisée pour les variables de chaîne, afin de renseigner les archives cycliques.
En présence d’intervalles, dans les archives cycliques, durant lesquels aucune connexion au matériel n’a été établie, cette Valeur chaîne pour le remplissage des archives est utilisée tant qu’aucune valeur n’est transférée depuis l’équipement. Dans le cas contraire, la dernière valeur valide est utilisée pour le renseignement.

Longueur maximale : 128 caractères

Attention : Cette propriété n’est pas disponible aux fins de la commutation de langue.

Plus de détails dans l’aide en ligne.

VT_BSTR

Recourceslabel

Description externe

Chaîne au choix.
N'est pas utilisé au niveau interne dans zenon, mais est disponible lors de l’exportation de valeurs pour autoriser l’attribution des valeurs exportées pour les systèmes de gestion tels qu’ERP.

Longueur maximale : 255 caractères

Plus de détails dans l’aide en ligne.

VT_UI4

NetAddr

Adresse réseau

Adresse de bus ou Adresse réseau de la variable.

  • Minimum : 0
  • Maximum : 4294967295

Par défaut : 0

Plus de détails dans l’aide en ligne.

VT_UI4

DataBlock

Bloc de données

Numéro de bloc de données.
Minimum : 0.
Maximum : 4294967295
Par défaut : 0.

Plus de détails dans l’aide en ligne.

VT_UI4

Offset

Offset

Décalage de la variable.
Pour les contrôleurs à adressage linéaire : plage de mémoire.
Pour les contrôleurs à résolution de nom : adresse d’attribution.
Minimum : 0.
Maximum : 4294967295
Par défaut : 0.

Plus de détails dans l’aide en ligne.

VT_UI2

BitAddr

Numéro de bit

Numéro du bit dans le décalage configuré.
Minimum : 0.
Maximum : 65535
Par défaut : 0.

Plus de détails dans l’aide en ligne.

VT_UI2

Alignment

Alignement

Ceci dépend de la granularité du type d’objet du driver et de la position de la variable conformément au décalage défini.

Pour les variables de type Octet :
Octet poids fort : octet de poids fort dans le décalage de mot.
Octet poids faible : Otet de poids faible dans le décalage de mot.
HiWord-HiByte octet de poids fort dans le mot fort dans le décalage de double mot.
HiWord-LoByte (Mot poids fort-Octet poids faible) octet de poids faible dans le mot fort dans le décalage de double mot.
Mot poids faible-Octet poids fort : octet de poids fort dans le mot faible dans le décalage de double mot.
Mot poids faible-Octet poids faible : octet de poids faible dans le mot faible dans le décalage de double mot.

Pour les variables de mot :
Mot poids fort : mot fort dans le décalage de double mot.
Mot poids faible : Mot poids faible dans le décalage de double mot.

Plus de détails dans l’aide en ligne.

VT_UI2

StringLength

Longueur de la chaîne

Disponible uniquement pour les variables de type chaîne.
Nombre maximum de caractères que peut accepter une variable.
Minimum : 1 caractère
Si la valeur non autorisée 0 est saisie, la dernière valeur configurée valide est automatiquement utilisée. Si aucune valeur valide n’a été configurée, l’entrée est remplacée par la valeur par défaut.
Maximum : 65535 caractères.
Par défaut : 5 caractères

Remarque : la valeur par défaut est 65 535 pour les variables système avec le type de données String.

Plus de détails dans l’aide en ligne.

VT_BSTR

SymbAddr

Adresse symbolique

Séquence de caractères pour l’adressage symbolique des variables.

Longueur maximale : 1024 caractères.

Remarque : L’adresse symbolique n’est pas prise en charge par tous les drivers.
Lors de l’importation des variables dans des drivers compatibles avec l’adressage symbolique, la propriété est saisie automatiquement.

Plus de détails dans l’aide en ligne.

VT_UI4

Driver

Drivers

VT_UI4

ID_DataTyp

Type de données

Type de donnée pour la variable. Sélectionné durant la création de la variable ; peut être modifié ici ultérieurement.
Remarque : Pour les variables de structure, le type de données ne peut plus être modifié après la création des variables.
Attention : Si vous modifiez le type de données ultérieurement, toutes les autres propriétés de la variable doivent être vérifiées et ajustées, si nécessaire.

Plus de détails dans l’aide en ligne.

VT_UI4

ID_DriverTyp

Type d'objet driver

Selon le driver utilisé, un type d’objet est sélectionné durant la création de la variable et peut être modifié ici ultérieurement.
Siemens : bloc de données, marqueur, entrée/sortie.
Modbus : Coil et Holding Register.

Plus de détails dans l’aide en ligne.

VT_UI1

UpdatePriority

Priorité

Si l’heure de mise à jour globale spécifiée dans la configuration du driver n’est pas utilisée, la fréquence des mises à jour correspondant aux différents niveaux de priorité peut être définie ici. Dans cette propriété, une priorité est attribuée à une variable.

Plus de détails dans l’aide en ligne.

VT_BOOL

Standby

Lire uniquement sur le serveur redondant

Active : La valeur de la variable provenant du serveur redondant est affichée.
Inactive : La valeur de la variable provenant du serveur est affichée.
(drivers matériels uniquement)

Plus de détails dans l’aide en ligne.

VT_UI2

Digits

Nombre de décimales

Nombre de décimales des valeurs de variables utilisées lors de l’affichage dans le système de contrôle.
Minimum : 0
Maximum : 10
Par défaut : 0

Plus de détails dans l’aide en ligne.

VT_R8

SignalMin

Signal min.

Valeur minimum de la variable dans l’automate.
À moins d’être définie différemment dans la propriété Ajustement non-linéaire, la valeur brute des variables (résolution du signal) sera toujours convertie au format de la plage de mesure sur une base linéaire (pour une utilisation dans le système de contrôle). Toutes les autres entrées de valeurs numériques spécifiques à la variable dans Editor et dans le Runtime seront liées à la plage de mesures (par ex. définition des valeurs limites, limites des valeurs prescrites, zone de représentation, entrées de valeurs prescrites, etc.).

Plus de détails dans l’aide en ligne.

VT_R8

SignalMax

Signal max.

Valeur maximum de la variable dans l’automate. À moins d’être définie différemment dans la propriété Ajustement non-linéaire, la valeur brute des variables (résolution du signal) sera toujours convertie au format de la plage de mesure sur une base linéaire (pour une utilisation dans le système de contrôle). Toutes les autres entrées de valeurs numériques spécifiques à la variable dans Editor et dans le Runtime seront liées à la plage de mesures (par ex. définition des valeurs limites, limites des valeurs prescrites, zone de représentation, entrées de valeurs prescrites, etc.).

Plus de détails dans l’aide en ligne.

VT_R8

RangeMin

Plage de mesure min.

Valeur minimum des variables dans zenon.
À moins d’être définie différemment dans la propriété Ajustement non-linéaire, la valeur brute des variables (résolution du signal) sera toujours convertie au format de la plage de mesure sur une base linéaire (pour une utilisation dans le système de contrôle). Toutes les autres entrées de valeurs numériques spécifiques à la variable dans Editor et dans le Runtime seront liées à la plage de mesures (par ex. définition des valeurs limites, limites des valeurs prescrites, zone de représentation, entrées de valeurs prescrites, etc.).

Plus de détails dans l’aide en ligne.

VT_R8

RangeMax

Plage de mesure max.

Valeur maximum des variables dans zenon.
À moins d’être définie différemment dans la propriété Ajustement non-linéaire, la valeur brute des variables (résolution du signal) sera toujours convertie au format de la plage de mesure sur une base linéaire (pour une utilisation dans le système de contrôle). Toutes les autres entrées de valeurs numériques spécifiques à la variable dans Editor et dans le Runtime seront liées à la plage de mesures (par ex. définition des valeurs limites, limites des valeurs prescrites, zone de représentation, entrées de valeurs prescrites, etc.).

Plus de détails dans l’aide en ligne.

VT_BOOL

UseMacro

Ajustement non-linéaire avec macros

L’ajustement de valeurs non linéaires est utilisé pour les variables dont la valeur originale (automate) ne peut pas être ajustée de manière linéaire en fonction de la valeur mesurée (système de contrôle).

  • Active : Les valeurs brutes sont ajustées en fonction de zenon, sur une base non linéaire, avec des macros VBA.
  • Inactive : Les valeurs brutes sont ajustées en fonction de zenon.

Remarque : Lors de l’activation de la propriété, les propriétés AdjustHardwareValue et AdjustScadaValue doivent également être configurées. La propriété AdjustHardwareValue doit alors être configurée à l’inverse de la propriété AdjustScadaValue, sous forme de fonction inverse.

Par défaut : Inactive

Plus de détails dans l’aide en ligne.

ZT_VBAMAKRO

AdjustHardware

AdjustHardwareValue

Disponible uniquement si la propriété Ajustement non-linéaire avec macros est active.

Macro appelée à chaque modification de la valeur brute dans l’automate, et qui modifie la valeur dans zenon. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de macros.
Plus de détails dans l’aide en ligne.

ZT_VBAMAKRO

AdjustZenon

AdjustScadaValue

Disponible uniquement si la propriété Ajustement non-linéaire avec macros est active.

La macro est appelée lors de l’écriture d’une valeur depuis zenon et modifie la valeur brute sur l’automate. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de macros.
Plus de détails dans l’aide en ligne.

VT_R8

HystNeg

Négatif pour le signal

Hystérésis des valeurs limites définies en fonction de la plage du signal.

Plage d’hystérésis pour l’entrée en cas de changement de valeur avec diminution. Les valeurs sont uniquement interprétées comme des dépassements de valeur limite si la valeur changeante est inférieure à la plage d’hystérésis définie ici.
Par défaut : 0 (pas d’hystérésis)

Plus de détails dans l’aide en ligne.

VT_R8

HystPos

Positif pour le signal

Hystérésis des valeurs limites définies en fonction de la plage du signal.

Plage d’hystérésis pour l’entrée en cas de changement de valeur avec augmentation. Les valeurs sont uniquement interprétées comme des dépassements de valeur limite si la valeur changeante est supérieure à la plage d’hystérésis définie ici.
Par défaut : 0 (pas d’hystérésis)

Plus de détails dans l’aide en ligne.

VT_R8

ArchHystNeg

Négatif pour l'archive

Hystérésis d’archivage en cas de changement appliquée à la plage de mesure.

Plage d’hystérésis pour l’entrée en cas de changement de valeur avec diminution. Les valeurs sont uniquement saisies dans l’archive si la valeur changeante est inférieure à la plage d’hystérésis définie ici.
Par défaut : 0 (pas d’hystérésis)

Plus de détails dans l’aide en ligne.

VT_R8

ArchHystPos

Positif pour l'archive

Hystérésis d’archivage en cas de changement appliquée à la plage de mesure.

Plage d’hystérésis pour l’entrée en cas de changement de valeur avec augmentation. Les valeurs sont uniquement saisies dans l’archive si la valeur changeante est supérieure à la plage d’hystérésis définie ici.
Par défaut : 0 (pas d’hystérésis)

Plus de détails dans l’aide en ligne.

VT_BOOL

DDEActive

Variable lue en permanence

Paramètre de lecture de la variable et de sa disponibilité via DDE dans le Runtime :

  • Active : La variable est toujours connectée au driver. Cela signifie qu’elle est continuellement lue par le driver, même si elle n’est pas nécessaire dans le projet à cet instant précis. Le driver connaît ainsi toujours les valeurs actuelles et l’état actuel des variables et peut les fournir immédiatement, si nécessaire. La variable est également disponible pour les autres applications Windows (par exemple, Excel, Visual Basic, etc.). Les applications Windows possédant une fonctionnalité de client DDE peuvent ainsi utiliser les valeurs de la variable.
    Temps d’actualisation : 0,5 s
    L'activation de cette option offre par exemple l’avantage de basculer plus rapidement les valeurs de variables dans la fonction Ecriture valeur prescrite ou dans l’élément Appel de synoptique, car il n’est pas nécessaire d’interroger spécialement la variable avant la commutation. L’inconvénient est une augmentation de la charge des communications au niveau du contrôleur.
  • Inactive : La variable n’est pas interrogée en permanence par le driver, mais uniquement en cas de demande de valeurs ou d’états dans le Runtime. Elle n’est donc pas disponible dans les autres applications Windows via DDE.

Par défaut : Inactive

Plus de détails dans l’aide en ligne.

VT_UI4

ArraySizeOld

Dimension tableau

Définition de la taille de l’ensemble de blocs. La taille définie est lue ou écrite par le driver durant une demande de lecture/d’écriture. Ceci permet de garantir la cohérence des données dans le texte. Les données peuvent uniquement être modifiées dans le module Recipegroup Manager ou via l’interface de programmation.
Attention : peut être défini au niveau du driver interne, toutefois sans fonction dans le Runtime (valeur toujours égale à 0).

Plus de détails dans l’aide en ligne.

VT_UI4

CounterGroup

Groupe de compteur

Disponible uniquement dans SICAM 230.

VT_UI4

MaxGradient

Gradient maximum

Disponible uniquement dans SICAM 230.

VT_BOOL

NormalStateActive

Actif

Permet de définir un état normal pour les variables et les types de données du type BOOL, UINT et WORD pour tous les drivers.

Active : Un état normal peut être défini.

Par défaut : Inactive

Plus de détails dans l’aide en ligne.

VT_BOOL

NormalState

Valeur normale

Dans la liste déroulante, choisissez si la valeur normale de cette variable ou ce type de données doit être On (Active) ou Off (Inactive). Disponible pour les variables et les types de données du type BOOL, UINT et WORD pour tous les drivers.

Par défaut : Off

Plus de détails dans l’aide en ligne.

ZT_VARIABLE

AlarmPV0

Variable d'alarme 1

Disponible uniquement dans SICAM 230.
Première variable pour la gestion d’alarmes de synoptiques.

Plus de détails dans l’aide en ligne.

ZT_VARIABLE

AlarmPV1

Variable d'alarme 2

Disponible uniquement dans SICAM 230.
Deuxième variable pour la gestion d’alarmes de synoptiques.

Plus de détails dans l’aide en ligne.

ZT_VARIABLE

AlarmPV2

Variable d'alarme 3

Disponible uniquement dans SICAM 230.
Troisième variable pour la gestion d’alarmes de synoptiques.

Plus de détails dans l’aide en ligne.

VT_BOOL

HDActive

Stockage de données sur disque dur actif

Active : les valeurs de variables sont enregistrées sur le disque dur (enregistrement circulaire) pour être évaluées dans l’élément dynamique "Élément de tendance" ou pour l’exportation/l’importation des valeurs.

Inactive : aucune valeur de variable n’est enregistrée.

Par défaut : inactive

Les données de disque dur nécessitent 24 octets d’espace de stockage par valeur, indépendamment du type de variable. Outre la valeur, les informations suivantes sont enregistrées :
- Heure d’exécution de la mesure.
- Millisecondes lors de la lecture de la valeur.
- Modification de l’état de la valeur en fonction des éléments.
- Compteur pour l’identification unique de la valeur (driver événementiel).

Remarque : Le stockage de données est également activé lors d’un appel de synoptique de type Extended Trend si des données en ligne sont analysées.
Les variables de type chaîne ne sont pas prises en charge par la fonction de stockage de données sur le disque dur.

Attention : si l’option d’enregistrement sur disque dur est activée pour un trop grand nombre de variables, en présence d’un trop grand nombre de valeurs, les performances du Runtime peuvent être altérées.

Plus de détails dans l’aide en ligne.

VT_R4

HDUpdate

Temps de cycle [s]

Disponible uniquement si la propriété Stockage de données sur disque dur actif est active :
Durée de l’intervalle [en secondes] de conservation des valeurs en ligne sur le disque dur (mémoire circulaire) pour l’analyse dans l’élément dynamique Tendance, pour les données en ligne dans le module Extended Trend ou pour l’exportation/l’importation de valeurs.

Plus de détails dans l’aide en ligne.

VT_UI4

HDSize

Nombre de valeurs

Valeur correspondant à l’intervalle de conservation des valeurs en ligne sur le disque dur (mémoire circulaire) pour l’analyse dans l’élément dynamique Tendance, pour les données en ligne dans le module Extended Trend ou pour l’exportation/l’importation de valeurs.

Attention : si l’option d’enregistrement sur disque dur est activée pour un trop grand nombre de variables, en présence d’un trop grand nombre de valeurs, les performances du Runtime peuvent être altérées.

Plus de détails dans l’aide en ligne.

VT_BOOL

IsKDAActiv

Type d'enregistrement

Disponible uniquement si la propriété Stockage de données sur disque dur actif est active :
Données de disque dur (cyclique) : Écriture cyclique des valeurs sur le disque dur.
Valeurs retriées (RDA) : Les valeurs sont écrites bloc par bloc sur le disque dur par le driver. (Fonction adaptée à l’analyse rétrospective des erreurs au niveau du système de contrôle.)

Plus de détails dans l’aide en ligne.

VT_BOOL

ExternVisible

Visible extérieurement pour

Disponible uniquement si la propriété Visible par d'autres programmes est active.

Spécifiez expressément les projets de zenon Logic pour lesquels la variable doit être visible. Si vous laissez le champ de saisie vide, la variable est visible pour tous les projets zenon Logic. Vous pouvez également saisir des projets zenon Logic de manière expresse. Séparez les noms des projets individuels par un point-virgule (";"). Vous pouvez utiliser les opérateurs. Par exemple, P1* signifie tous les projets zenon Logic commençant par P1. (Remarque : les opérateurs sont uniquement autorisés sous forme de préfixe ou de suffixe, par exemple, *xxx ou xxx*.

Le nombre de caractères est limité à 64.

Par défaut : -

Plus de détails dans l’aide en ligne.

VT_BSTR

ExternVisibleFor

Visible extérieurement pour

Disponible uniquement si la propriété Visible par d'autres programmes est active.

Spécifiez expressément les projets de zenon Logic pour lesquels la variable doit être visible. Si vous laissez le champ de saisie vide, la variable est visible pour tous les projets zenon Logic. Vous pouvez également saisir des projets zenon Logic de manière expresse. Séparez les noms des projets individuels par un point-virgule (";"). Vous pouvez utiliser les opérateurs. Par exemple, P1* signifie tous les projets zenon Logic commençant par P1. (Remarque : les opérateurs sont uniquement autorisés sous forme de préfixe ou de suffixe, par exemple, *xxx ou xxx*.

Le nombre de caractères est limité à 64.

Par défaut : -

Plus de détails dans l’aide en ligne.

VT_BOOL

ReadWrite

Ecriture/lecture externe

Propriété externe pour zenon Logic. Affecte uniquement les variables qui ne forment pas partie du driver straton.
Active : la valeur de la variable ne peut pas être modifiée dans zenon Logic. La définition de la variable ne peut pas être modifiée dans zenon Logic.
Inactive : la variable ne peut pas être modifiée dans zenon Logic.
Par défaut : active.

Plus de détails dans l’aide en ligne.

VT_BSTR

InitialValue

Valeur initiale externe

Propriété externe pour zenon Logic. Affecte uniquement les variables qui ne forment pas partie du driver straton.
Valeur initiale de la variable dans zenon Logic durant une reprise graduelle ou une reprise intermédiaire.
La saisie autorisée ici dépend du type de données de la variable. Par exemple, vous pouvez uniquement utiliser des valeurs sans décimales pour les variables entières. Pour les variables à virgule flottante, un point doit être utilisé en tant que séparateur décimal ; les virgules ne peuvent pas être utilisées.
Le système de contrôle ne vérifie pas la validité de cette saisie. Ceci peut générer un message d’erreur dans zenon Logic.

Attention : lors de l’utilisation de variables du driver interne, cette propriété doit posséder la même valeur que la valeur initiale dans les paramètres des variables internes.

Plus de détails dans l’aide en ligne.

VT_BSTR

Profilename

Nom profil externe

Propriété externe pour zenon Logic. Affecte uniquement les variables qui ne forment pas partie du driver straton.
Nom du profil défini dans zenon Logic (par ex. STRATON, ProfDP).

Cette propriété est uniquement affichée pour information. Édition dans zenon Logic uniquement.

Plus de détails dans l’aide en ligne.

VT_BSTR

Adressparam

Paramètre externe d'adresse

Propriété externe pour zenon Logic. Affecte uniquement les variables qui ne sont pas des variables du driver straton.
Propriétés de profil dans zenon Logic (par ex. "intégré" ou paramètres d’adressage de Profibus).

Cette propriété est uniquement affichée pour information. Édition dans zenon Logic uniquement.

Plus de détails dans l’aide en ligne.

VT_BSTR

Vargroup

Groupe de variables externe

Propriété externe pour zenon Logic. Affecte uniquement les variables qui ne sont pas des variables du driver straton32.
Groupes de variables dans zenon Logic ("Global" ou "Retain" ou vides).

Cette propriété est uniquement affichée pour information. Édition dans zenon Logic uniquement.

Plus de détails dans l’aide en ligne.

VT_BOOL

IsRemaActiv

Matrice de réaction active

Active : Une matrice de réaction est utilisée à la place des valeurs de limite.
Inactive : Les valeurs peuvent être définies pour la variable.
Par défaut : inactive.

Plus de détails dans l’aide en ligne.

ZT_REMA

Rema

Matrice de réaction

Propriétés d’utilisation d’une matrice de réaction pour la variable.

Plus de détails dans l’aide en ligne.

ZT_VARIABLE

AlarmQuitPV

Valeur d'acquittement

Si une alarme de cette variable est acquittée visuellement, la variable sélectionnée sous Variable d'acquittement visuel ou Variable d'acquittement est définie sur cette valeur.

Sélection de 0 ou 1.

Plus de détails dans l’aide en ligne.

ZT_VARIABLE

AlarmViewQuitPV

Variable d'acquittement visuel

Si une alarme de la variable de contrôle est acquittée visuellement, la valeur de la variable d’acquittement visuel est définie sur la valeur définie par Valeur d'acquittement.

Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de variables binaires.

Plus de détails dans l’aide en ligne.

VT_UI4

AlarmQuitPVValue

Valeur d'acquittement

Si une alarme de cette variable est acquittée visuellement, la variable sélectionnée sous Variable d'acquittement visuel ou Variable d'acquittement est définie sur cette valeur.

Sélection de 0 ou 1.

Plus de détails dans l’aide en ligne.

VT_BOOL

VarInASM

Enregistrer dans la base IPA

Active : les alarmes de cette variable sont disponibles pour analyse dans le module Industrial Performance Analyzer (IPA).
Inactive : les alarmes de cette variable ne sont prises en compte lors de l’analyse dans le module Industrial Performance Analyzer (IPA).
Par défaut : Inactive

Attention : le module Industrial Performance Analyzer est un module optionnel, qui doit comporter une licence valide pour pouvoir être utilisé ici.

Plus de détails dans l’aide en ligne.

VT_BOOL

AlarmViaEquipmentModel

Utiliser la gestion d'alarmes hiérarchiques du modèle d'équipement

Type d’attribution de la variable à un domaine d’alarmes.

  • Active :
    Le domaine d’alarmes de la variable est transféré par le modèle d’équipement. L’alarme de la variable est applicable aux domaines d’alarmes définis dans le modèle d’équipement. Dans ce cas, le groupe d’équipements de la variable et le groupe d’équipements de niveau supérieur du modèle d’équipement sont pris en compte.
  • Inactive :
    L'alarme sur la variable est applicable aux domaines d’alarmes 1 à 4 de la gestion d’alarmes.

Remarque : Si cette propriété est activée pour un type de données, les paramètres de toutes les variables issues de celle-ci sont transférés.

Plus de détails dans l’aide en ligne.

ZT_BSTR_REF

AreaName

AreaName

Description as text.

ZT_BSTR_REF

AreaName2

AreaName2

Description as text.

ZT_BSTR_REF

AreaName3

AreaName3

Description as text.

ZT_BSTR_REF

AreaName4

AreaName4

Description as text.

VT_BOOL

InOut

Ecrire valeur prescrite

Active : cette variable est libérée pour l’action Spécifier valeur prescrite.
Inactive : cette variable est protégée en écriture.
Par défaut : Active

Plus de détails dans l’aide en ligne.

VT_BOOL

SBO

Select Before Operate

Attention : Cette fonctionnalité est uniquement compatible avec les drivers IEC870 et IEC850, et uniquement disponible si vous avez sélectionné l’option Commande commutation pour la propriété de type d’action dans Gestion des commandes, et l’action est mise en œuvre sous forme d’action à deux étapes. N’utilisez pas cette fonction pour le driver DNP3_NG ; Auto-SBO peut être configuré directement pour la variable, dans ce cas.

Active : Avant que la valeur de la variable ne soit écrite dans le matériel, zenon vérifie, pendant la première phase de la commande de commutation, si la variable dans l’équipement est prête pour cette action (Select before Operate (SBO)).
Attention : Pour les commandes impulsion, la réinitialisation automatique des valeurs des variables n’est pas effectuée dans l’intervalle de temps défini dans la propriété de délai de front.

Si la propriété SBO a été activée pour la variable d’action, une commande d’impulsion se comporte de la même manière qu’une commande de commutation.

Inactive : La valeur de la variable est transférée vers le driver sans vérification préalable.

Remarque : dans un driver IEC870, cela signifie une instruction Direct execute. Le driver IEC850 peut toutefois déclencher automatiquement une instruction Select before Operate , en raison du Control Model.
Par défaut : Inactive :
Plus de détails dans l’aide en ligne.

VT_BOOL

CancelOperate

Annuler 'Operate'

Si cette propriété est activée, il est possible d’envoyer une commande Cancel après une commande Operate lors de la gestion des commandes.

Remarque : Cette propriété est uniquement dans la version Energy Edition.

Par défaut : Inactive

Plus de détails dans l’aide en ligne.

VT_R8

ValueMin

Valeur prescrite min.

La valeur minimum définie ici pour le paramètre Écrire valeur prescrite peut être acceptée par le biais d’éléments dynamiques, plutôt que par la configuration séparée de ces derniers.
Ceci est surtout recommandé si la plage de la mesure est susceptible de varier ultérieurement, car ces modifications peuvent être effectuées une fois ici, au lieu d’être modifiées séparément dans chaque élément.

Plus de détails dans l’aide en ligne.

VT_R8

ValueMax

Valeur prescrite max.

La valeur maximum définie ici pour le paramètre Écrire valeur prescrite peut être acceptée par le biais d’éléments dynamiques, plutôt que par la configuration séparée de ces derniers.
Ceci est surtout recommandé si la plage de la mesure est susceptible de varier ultérieurement, car ces modifications peuvent être effectuées une fois ici, au lieu d’être modifiées séparément dans chaque élément.

Plus de détails dans l’aide en ligne.

VT_BSTR

LockingName

LockingName

"With this property you have the opportunity to assign an interlocking via its name.
zElement.DynProperties(""LockingName"") = ""Interlocking 1"""

VT_UI1

SetValueProtocol

Enregistrement (fichier journal)

Définit la manière dont l’écriture de la valeur prescrite sera consignée dans la liste CEL.

  • Tout : Toutes les actions Écrire valeur prescrite de cette variable exécutées via des éléments dynamiques et les fonctions Écrire valeur prescrite sont consignées dans la liste d’événements. (CEL)
  • Rien : aucune action Spécifier valeur prescrite n’est consignée dans la liste CEL.
  • Seulement sur élément dynamique : Seules les actions Écrire valeur prescrite exécutées via les éléments dynamiques sont consignées dans la liste CEL.

Par défaut : Uniquement les éléments dynamiques :

Plus de détails dans l’aide en ligne.

VT_BOOL

SV_Act

Ancienne et nouvelle valeur
  • Active : en cas de modification de la valeur prescrite de cette variable, les valeurs ancienne et nouvelle sont consignées dans la liste d’événements (CEL).
  • Inactive : Seule la nouvelle valeur est consignée.

Par défaut : Inactive

Recommandation : Activez la propriété Variable lue en permanence. Ceci permet de garantir que la valeur est toujours disponible, et qu’il n’est pas nécessaire de l’interroger spécialement.

Plus de détails dans l’aide en ligne.

VT_BOOL

SV_VBA

Valeurs modifiées par VBA

Active : L’écriture de la valeur prescrite de cette variable via une macro VBA est consignée dans la liste d’événements.
inactive : l’écriture de la valeur prescrite de cette variable via une macro VBA n’est pas consignée.
Par défaut : Active

Remarque : pour les variables configurées sous forme de variables de commande dans la passerelle de procédé IEC870, chaque commande est consignée sous la forme Spécifier valeur prescrite via l’interface COM dans la liste CEL, si la propriété est activée.

Plus de détails dans l’aide en ligne.

VT_BSTR

VisualName

Nom visuel

Saisie d’un nom d’affichage de la variable dans zenon Analyzer. Celui-ci doit être unique dans le projet, mais ceci n’est pas vérifié dans zenon. Cette vérification est effectuée lors de l’importation dans zenon Analyzer.

Cette propriété fournit des informations qui sont utilisées pour la configuration de rapports dans zenon Analyzer. L’exportation des données de zenon vers zenon Analyzer est effectuée à l’aide de l’assistant Analyzer Export Wizard.

Attention : Si cette propriété est modifiée après la première exportation vers zenon Analyzer, ces modifications ne sont appliquées dans zenon Analyzer.

Plus de détails dans l’aide en ligne.

VT_BSTR

Meaning

Signification

Cette propriété fournit des informations qui sont utilisées par la fonction de configuration de rapports dans zenon Analyzer.
Les données peuvent être définies manuellement ou à l’aide de l’assistant Meaning and Waterfall Chart Wizard. L’exportation des données de zenon vers zenon Analyzer est effectuée à l’aide de l’assistant Analyzer Export Wizard.

Saisie de la signification (meaning) d’une variable dans zenon Analyzer. Plusieurs significations doivent être séparées par une virgule.
Syntaxe : [signification1],[signification2],…,[significationN]

Plus de détails dans l’aide en ligne.

VT_BSTR

WaterfallParam

Paramètre pour le waterfall diagram

Cette propriété fournit des informations qui sont utilisées par la fonction de configuration de rapports dans zenon Analyzer.
Les données peuvent être définies manuellement ou à l’aide de l’assistant Meaning and Waterfall Chart Wizard. L’exportation des données de zenon vers zenon Analyzer est effectuée à l’aide de l’assistant Analyzer Export Wizard.

Paramètres d’une variable pour un diagramme en cascade dans zenon Analyzer. Les entrées peuvent être créées pour les rapports par ligne ou les rapports par machine. Lors de l’exportation, en fonction de la structure des entrées, une décision est prise pour déterminer s’il s’agit d’entrées correspondant à des diagrammes par machine ou par ligne.

Les paramètres individuels doivent être séparés par une virgule. Plusieurs cascades doivent être séparées par un poing-virgule.
Syntaxe, par machine : [nom modèle],[indice de ligne],[indice de colonne],[code de couleur];
Syntaxe, par ligne : [nom du modèle],[indice de ligne],[indice de colonne],[code de couleur],[perte de machine auxiliaire],[ajout de perte de machine auxiliaire],[soustraction de perte de machine auxiliaire];

Plus de détails dans l’aide en ligne.

VT_BOOL

Use_in_ProcRec

Activer l'enregistrement

Active/désactive la variable ou le type de données enregistré dans le module Process Recorder.
La sélection multiple de variables est possible.

  • Active :
    Les changements de valeur de la variable sont enregistrés dans le module Process Recorder.
    Attention : Assurez-vous que l’activation générale de l’enregistrement a été configurée dans la propriété Activer Process Recorder.
  • Inactive :
    Les changements de valeur de la variable ne sont pas enregistrés dans le module Process Recorder.

Par défaut : les paramètres configurés sont appliqués pour le type de données utilisé.

Plus de détails dans l’aide en ligne.


SPRECON870 variable ED

Manuel -> Interfaces de programmation -> Modèles d'objet -> Variable -> Variable-Dynamic properties -> SPRECON870 variable ED

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Type

VBA/VSTA Name

Display Name

Description

VT_UI1

IEC870_TYPE

IEC870 Type identification

Choisissez le type ASDU du point de données dans la liste déroulante.

par défaut : État interne T00

Plus de détails dans l’aide en ligne.

VT_UI2

IEC870_COA1

IEC870 COA

Saisissez l’adresse Common Object Address (COA). Les limites de la plage de valeurs disponibles sont déterminées par les paramètres du driver.

Plus de détails dans l’aide en ligne.

VT_UI4

IEC870_IOA1

IEC870 IOA

Saisissez l’adresse Information Object Address (IOA). Les limites de la plage de valeurs disponibles sont déterminées par les paramètres du driver.

Plus de détails dans l’aide en ligne.

VT_BOOL

SPRECON870_CounterActive

Counter value handling

Disponible uniquement si un groupe a été créé dans la configuration du driver.

Active : Le traitement du compteur est utilisé par le driver.

Plus de détails dans l’aide en ligne.

VT_UI4

SPRECON870_CounterGroupID

Counter group

Disponible uniquement si la propriété Counter value handling est active.

Nom permettant d’identifier le groupe de compteurs, comme défini dans le driver.

Le comportement de la variable est défini par le biais de l’attribution de la variable à un groupe de compteurs. Le groupe de compteurs représente une sorte de matrice de réaction contrôlant le traitement du compteur (par ex. remplacement d’une valeur absolue par une valeur relative).

Par défaut : < Pas de groupe >

Plus de détails dans l’aide en ligne.

VT_UI2

SPRECON870_MaxCounterDifference

Maximum counter difference

Disponible uniquement si la propriété Counter value handling est active.

Définit l’écart maximal entre deux valeurs de comptage transférées. Le changement maximum fait référence à la valeur normalisée du compteur (calcul de la valeur). En cas de dépassement de la différence maximale entre les valeurs de comptage, le paramètre de la propriété Max. counter diff. exceeded est exécuté.

Minimum : 0 – désactivé ; le changement de la valeur maximum n’est pas surveillé.

Maximum : 65535

Par défaut : 0

Plus de détails dans l’aide en ligne.

VT_UI1

SPRECON870_OnMaxCounterDifference

Max. counter diff. exceeded

Disponible uniquement si la propriété Counter value handling est active.

Traitement des valeurs du compteur (relatives/absolues) provoquant une réaction de la fonction de surveillance de Maximum counter difference.

Sélectionnez dans la liste déroulante :

- Désactivé

- Définir l’état INVALID : l’état est défini et, si elle est configurée, la propriété Replacement value handling est activée. Ce traitement s’applique également en cas de dépassement du compteur de valeurs absolues. Si l’état d’erreur est déclenché, l’état INVALID est défini et la valeur actuelle du compteur est ignorée. La dernière valeur de compteur reçue est identifiée comme non valide. Les calculs nécessitant une valeur de compteur antérieure ne peuvent être effectués que si deux valeurs de compteur ont été reçues. L’état INVALID est réinitialisé dès qu’une nouvelle valeur de compteur présentant une différence inférieure à la valeur du paramètre défini pour la propriété Replacement value handling est reçue.

Par défaut : Désactivé

Plus de détails dans l’aide en ligne.

VT_UI1

SPRECON870_OnNoUpdate

Not updated in time

Disponible uniquement si la propriété Counter value handling est active.

Définit le comportement lorsque les valeurs de compteur ne sont pas actualisées dans l’intervalle défini, ou lorsque la fonction de traitement des valeurs de remplacement est activée. Sélectionnez dans la liste déroulante :
- Désactivé : les paramètres de la propriété Replacement value handling sont utilisés.

- Définir l’état INVALID : L’état INVALID est défini.

Par défaut : Désactivé

Plus de détails dans l’aide en ligne.

VT_UI1

SPRECON870_ReplacementType

Replacement value handling

Sélection du traitement des valeurs de remplacement si la variable possède l’état INVALID ou NT_870. Sélectionnez dans la liste déroulante :

- Désactivé pas de traitement des valeurs de remplacement.

Dernière valeur valide : sélection de la dernière valeur non interrompue. Pour cela, une image de procédé doit être enregistrée à partir de la valeur. Si aucune valeur telle n’est présente, la valeur disponible est utilisée (par ex. 0 + INVALID).

- Utiliser une valeur de remplacement : la valeur de la propriété Replacement value est écrite dans la variable.

Utiliser une variable de remplacement : la valeur et l’état de la propriété Replacement variable sont écrites dans la variable.
Exception : si la variable de la valeur de remplacement comporte l’état INVALID ou NT_870, elle n’est remplacée par cette variable, mais la variable d’origine est conservée, ainsi que sa valeur et son état.
Cas spécial de l’état GI : lors d’une interrogation générale, la valeur de remplacement peut ne pas encore être disponible ; une variable peut donc brièvement recevoir l’état INVALID, jusqu’à ce que la valeur de remplacement soit reçue.

Tous les paramètres, excepté Désactivé, définissent le bit d’état ALT_VAL. Dès que la raison justifiant le traitement de la valeur de remplacement (INVALID ou NT_870) disparaît, la variable reprend la valeur de procédé et le bit d’état ALT_VAL est redéfini.

Par défaut : Désactivé

Plus de détails dans l’aide en ligne.

VT_UI4

SPRECON870_ReplacementValue

Replacement value

Valeur devant être écrite dans la variable si vous avez sélectionné l’option Utiliser une valeur de remplacement pour la propriété Replacement value handling.

Minimum : 4294967295

Maximum : 0

Par défaut : 0

Plus de détails dans l’aide en ligne.

ZT_VARIABLE

SPRECON870_ReplacementVariable

Replacement variable

Variable dont la valeur et l’état sont repris si vous avez sélectionné l’option Utiliser une valeur de remplacement pour la propriété Replacement value handling. Chaque changement de valeur de la variable de la valeur de remplacement se reflète au niveau de la variable interrompue. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de variable.

Attention : Vous pouvez uniquement choisir une variable du même driver. Si vous sélectionnez une variable d’un autre driver dans la boîte de dialogue, la boîte de dialogue est fermée, mais le paramètre n’est pas appliqué.

Par défaut : Vide

Plus de détails dans l’aide en ligne.

VT_BOOL

SPRECON870_ReverseDirectionEnable

Reverse direction enable

Activation de la Reverse-direction.

Active : La variable est envoyée dans la Reverse-direction après envoi d’une requête générale correspondante.

VT_BOOL

SPRECON870_ReverseDirectionOnly

Reverse direction only

Disponible uniquement si la propriété Reverse direction enable a été activée.
Active : Une valeur reçue de l’automate n’est jamais attribuée à cette variable. Après le démarrage du Runtime, la variable de la valeur initiale configurée ou d’une valeur de l’image rémanente est attribuée. Après cela, la variable peut uniquement être modifiée par l’écriture d’une valeur prescrite.

VT_BOOL

SPRECON870_ReverseDirectionRemanent

Remanent

Disponible uniquement si la propriété Reverse direction enable est active. La dernière valeur, les informations d’horodatage et l’état de la variable sont enregistrées dans l’image rémanente. Après le redémarrage, la valeur, les informations d’horodatage et l’état sont lus depuis l’image rémanente et sont attribués à la variable.

VT_R8

SPRECON870_ReverseDirectionInitialValue

Initial value

La valeur initiale est uniquement utilisée si la propriété Reverse direction only a été activée ou si l’adresse réseau de la variable fait référence à une connexion sélectionnée en tant que Internal connection. Pour les variables de données String, aucune valeur initiale ne peut être établie.
Si le Runtime est démarré et aucune valeur issue de l’image rémanente n’a été attribuée à la variable, la valeur initiale et l’état NT sont écrits dans cette variable.

VT_BOOL

IsLocalDigits

IsLocalDigits

"With this property you have the opportunity to decide whether the ""Decimals"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalSignalMin

IsLocalSignalMin

"With this property you have the opportunity to decide whether the ""Minimum signal resolution"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalSignalMax

IsLocalSignalMax

"With this property you have the opportunity to decide whether the ""Maximum signal resolution"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalRangeMin

IsLocalRangeMin

"With this property you have the opportunity to decide whether the ""Minimum measuring range"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalRangeMax

IsLocalRangeMax

"With this property you have the opportunity to decide whether the ""Maximum measuring range"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalAlternateValue

IsLocalAlternateValue

"With this property you have the opportunity to decide whether the ""Alternate value"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalValueMin

IsLocalValueMin

"With this property you have the opportunity to decide whether the ""Minimum set value"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalValueMax

IsLocalValueMax

"With this property you have the opportunity to decide whether the ""Maximum set value"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalUseMacro

IsLocalUseMacro

"With this property you have the opportunity to decide whether the ""Non linear value adjustment with macros"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalInOut

IsLocalInOut

"With this property you have the opportunity to decide whether the ""Setting values active"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalHystNeg

IsLocalHystNeg

"With this property you have the opportunity to decide whether the ""negative hysteresis"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalHystPos

IsLocalHystPos

"With this property you have the opportunity to decide whether the ""negative hysteresis"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalArchHystNeg

IsLocalArchHystNeg

VT_BOOL

IsLocalArchHystPos

IsLocalArchHystPos

VT_BOOL

IsLocalUpdatePriority

IsLocalUpdatePriority

"With this property you have the opportunity to decide whether the ""Priority of the driver connection"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalDDEaktiv

IsLocalDDEaktiv

"With this property you have the opportunity to decide whether the ""DDE active"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalStandby

IsLocalStandby

"With this property you have the opportunity to decide whether the ""Only read from standby"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalRemaActiv

IsLocalRemaActiv

"With this property you have the opportunity to decide whether the ""Reaction matrix active"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalRema

IsLocalRema

"With this property you have the opportunity to decide whether the ""Reaction matrix"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalHDActive

IsLocalHDActive

"With this property you have the opportunity to decide whether the ""HD active"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalHDUpdate

IsLocalHDUpdate

"With this property you have the opportunity to decide whether the ""HD scan rate"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalHDSize

IsLocalHDSize

"With this property you have the opportunity to decide whether the ""Number of HD values"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalKDAActiv

IsLocalKDAActiv

"With this property you have the opportunity to decide whether the ""Recording type"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalStingLength

IsLocalStingLength

"With this property you have the opportunity to decide whether the ""String length"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalQuitPV

IsLocalQuitPV

"With this property you have the opportunity to decide whether the ""Acknowledgement variable"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalViewQuitPV

IsLocalViewQuitPV

Description as text.

VT_BOOL

IsLocalQuitValue

IsLocalQuitValue

"With this property you have the opportunity to decide whether the ""Acknowledgement value"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalTagname

IsLocalTagname

"With this property you have the opportunity to decide whether the ""Identification"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalUnit

IsLocalUnit

"With this property you have the opportunity to decide whether the ""Unit"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalAltValString

IsLocalAltValString

"With this property you have the opportunity to decide whether the ""String alternative value"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalRecLabel

IsLocalRecLabel

"With this property you have the opportunity to decide whether the ""Ressources label"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalAdjustHW

IsLocalAdjustHW

"With this property you have the opportunity to decide whether the ""AdjustHardwareValue"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalAdjustZenon

IsLocalAdjustZenon

"With this property you have the opportunity to decide whether the ""AdjustZenOnValue"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalArraySize

IsLocalArraySize

"With this property you have the opportunity to decide whether the ""Array size"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalCounterGroup

IsLocalCounterGroup

VT_BOOL

IsLocalMaxGradient

IsLocalMaxGradient

VT_BOOL

IsLocalNormalStateActive

IsLocalNormalStateActive

VT_BOOL

IsLocalNormalState

IsLocalNormalState

VT_BOOL

IsLocalAlarmPV0

IsLocalAlarmPV0

"With this property you have the opportunity to decide whether the ""Alarm Variable 1"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalAlarmPV1

IsLocalAlarmPV1

"With this property you have the opportunity to decide whether the ""Alarm Variable 2"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalAlarmPV2

IsLocalAlarmPV2

"With this property you have the opportunity to decide whether the ""Alarm Variable 3"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalVarInASM

IsLocalVarInASM

"With this property you have the opportunity to decide whether the ""Save in IPA database"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalAlarmDomain

IsLocalAlarmDomain

"With this property you have the opportunity to decide whether the ""Alarm area"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalAlarmDomain2

IsLocalAlarmDomain2

Description as text.

VT_BOOL

IsLocalAlarmDomain3

IsLocalAlarmDomain3

Description as text.

VT_BOOL

IsLocalAlarmDomain4

IsLocalAlarmDomain4

Description as text.

VT_BOOL

IsLocalLocking

IsLocalLocking

"With this property you have the opportunity to decide whether the ""Interlocking"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalSBO

IsLocalSBO

"With this property you have the opportunity to decide whether the ""Select before operate"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalCancelOperate

IsLocalCancelOperate

Description

VT_BOOL

IsLocalAlarmViaEquipmentModel

IsLocalAlarmViaEquipmentModel

Description

VT_BOOL

IsLocalUsedInProcRec

IsLocalUsedInProcRec

Description

VT_UI1

IsSWProtokol

IsSWProtokol

VT_BOOL

IsSW_Akt

IsSW_Akt

VT_BOOL

IsSW_VBA

IsSW_VBA

More...

Limits

Valeurs limite

Propriétés définissant le traitement des valeurs limites ou le traitement des alarmes pour la variable.

Les propriétés de ce groupe sont uniquement disponibles si vous avez activé la propriété Matrice de réaction active.

Plus de détails dans l’aide en ligne.

VT_UI4

ID_ComplexVariable

ID_ComplexVariable

With this property you have the opportunity to get/set the ID of a variable from a structure element. This ID is 0 when the variable has no structure datatype.

VT_BSTR

Name

Nom

Nom unique de la variable. Les considérations suivantes s’appliquent lors de la définition du nom :

  • Longueur maximale : 128 caractères
  • Caractères non autorisés : # et @

Remarque : pour les drivers utilisant la connexion à zenon Logic, vous devez définir un préfixe. Pour plus de détails, reportez-vous au chapitre Création de variables O et M dans zenon Logic dans le manuel.
Toute modification du nom de la variable doit également être effectuée dans l’environnement de programmation (VBA, VSTA).

Attention : Cette propriété n’est pas disponible aux fins de la commutation de langue.

Plus de détails dans l’aide en ligne.

VT_BSTR

Tagname

Identification

Chaîne libre utilisée pour l’identification de la variable ou du type de données.
Remarque : Puisque la langue du nom de la variable (propriété Nom) ne peut pas être modifiée, cette propriété peut être utilisée pour le changement de langue en ligne.

Longueur maximale : 128 caractères

Plus de détails dans l’aide en ligne.

VT_BSTR

Unit

Unité de mesure

Unité technique de la variable devant être affichée dans le Runtime. Si vous avez déjà créé des unités de mesure dans le module d’unités de base, celles-ci sont disponibles dans une liste déroulante.
Maximum : 50 caractères.
Par défaut : vide

Plus de détails dans l’aide en ligne.

VT_R8

AlternateValue

Archivfüllwert

Cette valeur est utilisée pour renseigner les archives cycliques. En présence d’intervalles durant lesquels aucune connexion au matériel n’a été établie, cette valeur est utilisée tant qu’aucune valeur n’est transférée depuis l’équipement. Dans le cas contraire, la dernière valeur valide utilisée est utilisée aux fins du renseignement.

Plus de détails dans l’aide en ligne.

VT_BSTR

AlternateValueString

Valeur chaîne pour le remplissage des archives

Cette valeur est utilisée pour les variables de chaîne, afin de renseigner les archives cycliques.
En présence d’intervalles, dans les archives cycliques, durant lesquels aucune connexion au matériel n’a été établie, cette Valeur chaîne pour le remplissage des archives est utilisée tant qu’aucune valeur n’est transférée depuis l’équipement. Dans le cas contraire, la dernière valeur valide est utilisée pour le renseignement.

Longueur maximale : 128 caractères

Attention : Cette propriété n’est pas disponible aux fins de la commutation de langue.

Plus de détails dans l’aide en ligne.

VT_BSTR

Recourceslabel

Description externe

Chaîne au choix.
N'est pas utilisé au niveau interne dans zenon, mais est disponible lors de l’exportation de valeurs pour autoriser l’attribution des valeurs exportées pour les systèmes de gestion tels qu’ERP.

Longueur maximale : 255 caractères

Plus de détails dans l’aide en ligne.

VT_UI4

NetAddr

Adresse réseau

Adresse de bus ou Adresse réseau de la variable.

  • Minimum : 0
  • Maximum : 4294967295

Par défaut : 0

Plus de détails dans l’aide en ligne.

VT_UI4

DataBlock

Bloc de données

Numéro de bloc de données.
Minimum : 0.
Maximum : 4294967295
Par défaut : 0.

Plus de détails dans l’aide en ligne.

VT_UI4

Offset

Offset

Décalage de la variable.
Pour les contrôleurs à adressage linéaire : plage de mémoire.
Pour les contrôleurs à résolution de nom : adresse d’attribution.
Minimum : 0.
Maximum : 4294967295
Par défaut : 0.

Plus de détails dans l’aide en ligne.

VT_UI2

BitAddr

Numéro de bit

Numéro du bit dans le décalage configuré.
Minimum : 0.
Maximum : 65535
Par défaut : 0.

Plus de détails dans l’aide en ligne.

VT_UI2

Alignment

Alignement

Ceci dépend de la granularité du type d’objet du driver et de la position de la variable conformément au décalage défini.

Pour les variables de type Octet :
Octet poids fort : octet de poids fort dans le décalage de mot.
Octet poids faible : Otet de poids faible dans le décalage de mot.
HiWord-HiByte octet de poids fort dans le mot fort dans le décalage de double mot.
HiWord-LoByte (Mot poids fort-Octet poids faible) octet de poids faible dans le mot fort dans le décalage de double mot.
Mot poids faible-Octet poids fort : octet de poids fort dans le mot faible dans le décalage de double mot.
Mot poids faible-Octet poids faible : octet de poids faible dans le mot faible dans le décalage de double mot.

Pour les variables de mot :
Mot poids fort : mot fort dans le décalage de double mot.
Mot poids faible : Mot poids faible dans le décalage de double mot.

Plus de détails dans l’aide en ligne.

VT_UI2

StringLength

Longueur de la chaîne

Disponible uniquement pour les variables de type chaîne.
Nombre maximum de caractères que peut accepter une variable.
Minimum : 1 caractère
Si la valeur non autorisée 0 est saisie, la dernière valeur configurée valide est automatiquement utilisée. Si aucune valeur valide n’a été configurée, l’entrée est remplacée par la valeur par défaut.
Maximum : 65535 caractères.
Par défaut : 5 caractères

Remarque : la valeur par défaut est 65 535 pour les variables système avec le type de données String.

Plus de détails dans l’aide en ligne.

VT_BSTR

SymbAddr

Adresse symbolique

Séquence de caractères pour l’adressage symbolique des variables.

Longueur maximale : 1024 caractères.

Remarque : L’adresse symbolique n’est pas prise en charge par tous les drivers.
Lors de l’importation des variables dans des drivers compatibles avec l’adressage symbolique, la propriété est saisie automatiquement.

Plus de détails dans l’aide en ligne.

VT_UI4

Driver

Drivers

VT_UI4

ID_DataTyp

Type de données

Type de donnée pour la variable. Sélectionné durant la création de la variable ; peut être modifié ici ultérieurement.
Remarque : Pour les variables de structure, le type de données ne peut plus être modifié après la création des variables.
Attention : Si vous modifiez le type de données ultérieurement, toutes les autres propriétés de la variable doivent être vérifiées et ajustées, si nécessaire.

Plus de détails dans l’aide en ligne.

VT_UI4

ID_DriverTyp

Type d'objet driver

Selon le driver utilisé, un type d’objet est sélectionné durant la création de la variable et peut être modifié ici ultérieurement.
Siemens : bloc de données, marqueur, entrée/sortie.
Modbus : Coil et Holding Register.

Plus de détails dans l’aide en ligne.

VT_UI1

UpdatePriority

Priorité

Si l’heure de mise à jour globale spécifiée dans la configuration du driver n’est pas utilisée, la fréquence des mises à jour correspondant aux différents niveaux de priorité peut être définie ici. Dans cette propriété, une priorité est attribuée à une variable.

Plus de détails dans l’aide en ligne.

VT_BOOL

Standby

Lire uniquement sur le serveur redondant

Active : La valeur de la variable provenant du serveur redondant est affichée.
Inactive : La valeur de la variable provenant du serveur est affichée.
(drivers matériels uniquement)

Plus de détails dans l’aide en ligne.

VT_UI2

Digits

Nombre de décimales

Nombre de décimales des valeurs de variables utilisées lors de l’affichage dans le système de contrôle.
Minimum : 0
Maximum : 10
Par défaut : 0

Plus de détails dans l’aide en ligne.

VT_R8

SignalMin

Signal min.

Valeur minimum de la variable dans l’automate.
À moins d’être définie différemment dans la propriété Ajustement non-linéaire, la valeur brute des variables (résolution du signal) sera toujours convertie au format de la plage de mesure sur une base linéaire (pour une utilisation dans le système de contrôle). Toutes les autres entrées de valeurs numériques spécifiques à la variable dans Editor et dans le Runtime seront liées à la plage de mesures (par ex. définition des valeurs limites, limites des valeurs prescrites, zone de représentation, entrées de valeurs prescrites, etc.).

Plus de détails dans l’aide en ligne.

VT_R8

SignalMax

Signal max.

Valeur maximum de la variable dans l’automate. À moins d’être définie différemment dans la propriété Ajustement non-linéaire, la valeur brute des variables (résolution du signal) sera toujours convertie au format de la plage de mesure sur une base linéaire (pour une utilisation dans le système de contrôle). Toutes les autres entrées de valeurs numériques spécifiques à la variable dans Editor et dans le Runtime seront liées à la plage de mesures (par ex. définition des valeurs limites, limites des valeurs prescrites, zone de représentation, entrées de valeurs prescrites, etc.).

Plus de détails dans l’aide en ligne.

VT_R8

RangeMin

Plage de mesure min.

Valeur minimum des variables dans zenon.
À moins d’être définie différemment dans la propriété Ajustement non-linéaire, la valeur brute des variables (résolution du signal) sera toujours convertie au format de la plage de mesure sur une base linéaire (pour une utilisation dans le système de contrôle). Toutes les autres entrées de valeurs numériques spécifiques à la variable dans Editor et dans le Runtime seront liées à la plage de mesures (par ex. définition des valeurs limites, limites des valeurs prescrites, zone de représentation, entrées de valeurs prescrites, etc.).

Plus de détails dans l’aide en ligne.

VT_R8

RangeMax

Plage de mesure max.

Valeur maximum des variables dans zenon.
À moins d’être définie différemment dans la propriété Ajustement non-linéaire, la valeur brute des variables (résolution du signal) sera toujours convertie au format de la plage de mesure sur une base linéaire (pour une utilisation dans le système de contrôle). Toutes les autres entrées de valeurs numériques spécifiques à la variable dans Editor et dans le Runtime seront liées à la plage de mesures (par ex. définition des valeurs limites, limites des valeurs prescrites, zone de représentation, entrées de valeurs prescrites, etc.).

Plus de détails dans l’aide en ligne.

VT_BOOL

UseMacro

Ajustement non-linéaire avec macros

L’ajustement de valeurs non linéaires est utilisé pour les variables dont la valeur originale (automate) ne peut pas être ajustée de manière linéaire en fonction de la valeur mesurée (système de contrôle).

  • Active : Les valeurs brutes sont ajustées en fonction de zenon, sur une base non linéaire, avec des macros VBA.
  • Inactive : Les valeurs brutes sont ajustées en fonction de zenon.

Remarque : Lors de l’activation de la propriété, les propriétés AdjustHardwareValue et AdjustScadaValue doivent également être configurées. La propriété AdjustHardwareValue doit alors être configurée à l’inverse de la propriété AdjustScadaValue, sous forme de fonction inverse.

Par défaut : Inactive

Plus de détails dans l’aide en ligne.

ZT_VBAMAKRO

AdjustHardware

AdjustHardwareValue

Disponible uniquement si la propriété Ajustement non-linéaire avec macros est active.

Macro appelée à chaque modification de la valeur brute dans l’automate, et qui modifie la valeur dans zenon. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de macros.
Plus de détails dans l’aide en ligne.

ZT_VBAMAKRO

AdjustZenon

AdjustScadaValue

Disponible uniquement si la propriété Ajustement non-linéaire avec macros est active.

La macro est appelée lors de l’écriture d’une valeur depuis zenon et modifie la valeur brute sur l’automate. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de macros.
Plus de détails dans l’aide en ligne.

VT_R8

HystNeg

Négatif pour le signal

Hystérésis des valeurs limites définies en fonction de la plage du signal.

Plage d’hystérésis pour l’entrée en cas de changement de valeur avec diminution. Les valeurs sont uniquement interprétées comme des dépassements de valeur limite si la valeur changeante est inférieure à la plage d’hystérésis définie ici.
Par défaut : 0 (pas d’hystérésis)

Plus de détails dans l’aide en ligne.

VT_R8

HystPos

Positif pour le signal

Hystérésis des valeurs limites définies en fonction de la plage du signal.

Plage d’hystérésis pour l’entrée en cas de changement de valeur avec augmentation. Les valeurs sont uniquement interprétées comme des dépassements de valeur limite si la valeur changeante est supérieure à la plage d’hystérésis définie ici.
Par défaut : 0 (pas d’hystérésis)

Plus de détails dans l’aide en ligne.

VT_R8

ArchHystNeg

Négatif pour l'archive

Hystérésis d’archivage en cas de changement appliquée à la plage de mesure.

Plage d’hystérésis pour l’entrée en cas de changement de valeur avec diminution. Les valeurs sont uniquement saisies dans l’archive si la valeur changeante est inférieure à la plage d’hystérésis définie ici.
Par défaut : 0 (pas d’hystérésis)

Plus de détails dans l’aide en ligne.

VT_R8

ArchHystPos

Positif pour l'archive

Hystérésis d’archivage en cas de changement appliquée à la plage de mesure.

Plage d’hystérésis pour l’entrée en cas de changement de valeur avec augmentation. Les valeurs sont uniquement saisies dans l’archive si la valeur changeante est supérieure à la plage d’hystérésis définie ici.
Par défaut : 0 (pas d’hystérésis)

Plus de détails dans l’aide en ligne.

VT_BOOL

DDEActive

Variable lue en permanence

Paramètre de lecture de la variable et de sa disponibilité via DDE dans le Runtime :

  • Active : La variable est toujours connectée au driver. Cela signifie qu’elle est continuellement lue par le driver, même si elle n’est pas nécessaire dans le projet à cet instant précis. Le driver connaît ainsi toujours les valeurs actuelles et l’état actuel des variables et peut les fournir immédiatement, si nécessaire. La variable est également disponible pour les autres applications Windows (par exemple, Excel, Visual Basic, etc.). Les applications Windows possédant une fonctionnalité de client DDE peuvent ainsi utiliser les valeurs de la variable.
    Temps d’actualisation : 0,5 s
    L'activation de cette option offre par exemple l’avantage de basculer plus rapidement les valeurs de variables dans la fonction Ecriture valeur prescrite ou dans l’élément Appel de synoptique, car il n’est pas nécessaire d’interroger spécialement la variable avant la commutation. L’inconvénient est une augmentation de la charge des communications au niveau du contrôleur.
  • Inactive : La variable n’est pas interrogée en permanence par le driver, mais uniquement en cas de demande de valeurs ou d’états dans le Runtime. Elle n’est donc pas disponible dans les autres applications Windows via DDE.

Par défaut : Inactive

Plus de détails dans l’aide en ligne.

VT_UI4

ArraySizeOld

Dimension tableau

Définition de la taille de l’ensemble de blocs. La taille définie est lue ou écrite par le driver durant une demande de lecture/d’écriture. Ceci permet de garantir la cohérence des données dans le texte. Les données peuvent uniquement être modifiées dans le module Recipegroup Manager ou via l’interface de programmation.
Attention : peut être défini au niveau du driver interne, toutefois sans fonction dans le Runtime (valeur toujours égale à 0).

Plus de détails dans l’aide en ligne.

VT_UI4

CounterGroup

Groupe de compteur

Disponible uniquement dans SICAM 230.

VT_UI4

MaxGradient

Gradient maximum

Disponible uniquement dans SICAM 230.

VT_BOOL

NormalStateActive

Actif

Permet de définir un état normal pour les variables et les types de données du type BOOL, UINT et WORD pour tous les drivers.

Active : Un état normal peut être défini.

Par défaut : Inactive

Plus de détails dans l’aide en ligne.

VT_BOOL

NormalState

Valeur normale

Dans la liste déroulante, choisissez si la valeur normale de cette variable ou ce type de données doit être On (Active) ou Off (Inactive). Disponible pour les variables et les types de données du type BOOL, UINT et WORD pour tous les drivers.

Par défaut : Off

Plus de détails dans l’aide en ligne.

ZT_VARIABLE

AlarmPV0

Variable d'alarme 1

Disponible uniquement dans SICAM 230.
Première variable pour la gestion d’alarmes de synoptiques.

Plus de détails dans l’aide en ligne.

ZT_VARIABLE

AlarmPV1

Variable d'alarme 2

Disponible uniquement dans SICAM 230.
Deuxième variable pour la gestion d’alarmes de synoptiques.

Plus de détails dans l’aide en ligne.

ZT_VARIABLE

AlarmPV2

Variable d'alarme 3

Disponible uniquement dans SICAM 230.
Troisième variable pour la gestion d’alarmes de synoptiques.

Plus de détails dans l’aide en ligne.

VT_BOOL

HDActive

Stockage de données sur disque dur actif

Active : les valeurs de variables sont enregistrées sur le disque dur (enregistrement circulaire) pour être évaluées dans l’élément dynamique "Élément de tendance" ou pour l’exportation/l’importation des valeurs.

Inactive : aucune valeur de variable n’est enregistrée.

Par défaut : inactive

Les données de disque dur nécessitent 24 octets d’espace de stockage par valeur, indépendamment du type de variable. Outre la valeur, les informations suivantes sont enregistrées :
- Heure d’exécution de la mesure.
- Millisecondes lors de la lecture de la valeur.
- Modification de l’état de la valeur en fonction des éléments.
- Compteur pour l’identification unique de la valeur (driver événementiel).

Remarque : Le stockage de données est également activé lors d’un appel de synoptique de type Extended Trend si des données en ligne sont analysées.
Les variables de type chaîne ne sont pas prises en charge par la fonction de stockage de données sur le disque dur.

Attention : si l’option d’enregistrement sur disque dur est activée pour un trop grand nombre de variables, en présence d’un trop grand nombre de valeurs, les performances du Runtime peuvent être altérées.

Plus de détails dans l’aide en ligne.

VT_R4

HDUpdate

Temps de cycle [s]

Disponible uniquement si la propriété Stockage de données sur disque dur actif est active :
Durée de l’intervalle [en secondes] de conservation des valeurs en ligne sur le disque dur (mémoire circulaire) pour l’analyse dans l’élément dynamique Tendance, pour les données en ligne dans le module Extended Trend ou pour l’exportation/l’importation de valeurs.

Plus de détails dans l’aide en ligne.

VT_UI4

HDSize

Nombre de valeurs

Valeur correspondant à l’intervalle de conservation des valeurs en ligne sur le disque dur (mémoire circulaire) pour l’analyse dans l’élément dynamique Tendance, pour les données en ligne dans le module Extended Trend ou pour l’exportation/l’importation de valeurs.

Attention : si l’option d’enregistrement sur disque dur est activée pour un trop grand nombre de variables, en présence d’un trop grand nombre de valeurs, les performances du Runtime peuvent être altérées.

Plus de détails dans l’aide en ligne.

VT_BOOL

IsKDAActiv

Type d'enregistrement

Disponible uniquement si la propriété Stockage de données sur disque dur actif est active :
Données de disque dur (cyclique) : Écriture cyclique des valeurs sur le disque dur.
Valeurs retriées (RDA) : Les valeurs sont écrites bloc par bloc sur le disque dur par le driver. (Fonction adaptée à l’analyse rétrospective des erreurs au niveau du système de contrôle.)

Plus de détails dans l’aide en ligne.

VT_BOOL

ExternVisible

Visible extérieurement pour

Disponible uniquement si la propriété Visible par d'autres programmes est active.

Spécifiez expressément les projets de zenon Logic pour lesquels la variable doit être visible. Si vous laissez le champ de saisie vide, la variable est visible pour tous les projets zenon Logic. Vous pouvez également saisir des projets zenon Logic de manière expresse. Séparez les noms des projets individuels par un point-virgule (";"). Vous pouvez utiliser les opérateurs. Par exemple, P1* signifie tous les projets zenon Logic commençant par P1. (Remarque : les opérateurs sont uniquement autorisés sous forme de préfixe ou de suffixe, par exemple, *xxx ou xxx*.

Le nombre de caractères est limité à 64.

Par défaut : -

Plus de détails dans l’aide en ligne.

VT_BSTR

ExternVisibleFor

Visible extérieurement pour

Disponible uniquement si la propriété Visible par d'autres programmes est active.

Spécifiez expressément les projets de zenon Logic pour lesquels la variable doit être visible. Si vous laissez le champ de saisie vide, la variable est visible pour tous les projets zenon Logic. Vous pouvez également saisir des projets zenon Logic de manière expresse. Séparez les noms des projets individuels par un point-virgule (";"). Vous pouvez utiliser les opérateurs. Par exemple, P1* signifie tous les projets zenon Logic commençant par P1. (Remarque : les opérateurs sont uniquement autorisés sous forme de préfixe ou de suffixe, par exemple, *xxx ou xxx*.

Le nombre de caractères est limité à 64.

Par défaut : -

Plus de détails dans l’aide en ligne.

VT_BOOL

ReadWrite

Ecriture/lecture externe

Propriété externe pour zenon Logic. Affecte uniquement les variables qui ne forment pas partie du driver straton.
Active : la valeur de la variable ne peut pas être modifiée dans zenon Logic. La définition de la variable ne peut pas être modifiée dans zenon Logic.
Inactive : la variable ne peut pas être modifiée dans zenon Logic.
Par défaut : active.

Plus de détails dans l’aide en ligne.

VT_BSTR

InitialValue

Valeur initiale externe

Propriété externe pour zenon Logic. Affecte uniquement les variables qui ne forment pas partie du driver straton.
Valeur initiale de la variable dans zenon Logic durant une reprise graduelle ou une reprise intermédiaire.
La saisie autorisée ici dépend du type de données de la variable. Par exemple, vous pouvez uniquement utiliser des valeurs sans décimales pour les variables entières. Pour les variables à virgule flottante, un point doit être utilisé en tant que séparateur décimal ; les virgules ne peuvent pas être utilisées.
Le système de contrôle ne vérifie pas la validité de cette saisie. Ceci peut générer un message d’erreur dans zenon Logic.

Attention : lors de l’utilisation de variables du driver interne, cette propriété doit posséder la même valeur que la valeur initiale dans les paramètres des variables internes.

Plus de détails dans l’aide en ligne.

VT_BSTR

Profilename

Nom profil externe

Propriété externe pour zenon Logic. Affecte uniquement les variables qui ne forment pas partie du driver straton.
Nom du profil défini dans zenon Logic (par ex. STRATON, ProfDP).

Cette propriété est uniquement affichée pour information. Édition dans zenon Logic uniquement.

Plus de détails dans l’aide en ligne.

VT_BSTR

Adressparam

Paramètre externe d'adresse

Propriété externe pour zenon Logic. Affecte uniquement les variables qui ne sont pas des variables du driver straton.
Propriétés de profil dans zenon Logic (par ex. "intégré" ou paramètres d’adressage de Profibus).

Cette propriété est uniquement affichée pour information. Édition dans zenon Logic uniquement.

Plus de détails dans l’aide en ligne.

VT_BSTR

Vargroup

Groupe de variables externe

Propriété externe pour zenon Logic. Affecte uniquement les variables qui ne sont pas des variables du driver straton32.
Groupes de variables dans zenon Logic ("Global" ou "Retain" ou vides).

Cette propriété est uniquement affichée pour information. Édition dans zenon Logic uniquement.

Plus de détails dans l’aide en ligne.

VT_BOOL

IsRemaActiv

Matrice de réaction active

Active : Une matrice de réaction est utilisée à la place des valeurs de limite.
Inactive : Les valeurs peuvent être définies pour la variable.
Par défaut : inactive.

Plus de détails dans l’aide en ligne.

ZT_REMA

Rema

Matrice de réaction

Propriétés d’utilisation d’une matrice de réaction pour la variable.

Plus de détails dans l’aide en ligne.

ZT_VARIABLE

AlarmQuitPV

Valeur d'acquittement

Si une alarme de cette variable est acquittée visuellement, la variable sélectionnée sous Variable d'acquittement visuel ou Variable d'acquittement est définie sur cette valeur.

Sélection de 0 ou 1.

Plus de détails dans l’aide en ligne.

ZT_VARIABLE

AlarmViewQuitPV

Variable d'acquittement visuel

Si une alarme de la variable de contrôle est acquittée visuellement, la valeur de la variable d’acquittement visuel est définie sur la valeur définie par Valeur d'acquittement.

Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de variables binaires.

Plus de détails dans l’aide en ligne.

VT_UI4

AlarmQuitPVValue

Valeur d'acquittement

Si une alarme de cette variable est acquittée visuellement, la variable sélectionnée sous Variable d'acquittement visuel ou Variable d'acquittement est définie sur cette valeur.

Sélection de 0 ou 1.

Plus de détails dans l’aide en ligne.

VT_BOOL

VarInASM

Enregistrer dans la base IPA

Active : les alarmes de cette variable sont disponibles pour analyse dans le module Industrial Performance Analyzer (IPA).
Inactive : les alarmes de cette variable ne sont prises en compte lors de l’analyse dans le module Industrial Performance Analyzer (IPA).
Par défaut : Inactive

Attention : le module Industrial Performance Analyzer est un module optionnel, qui doit comporter une licence valide pour pouvoir être utilisé ici.

Plus de détails dans l’aide en ligne.

VT_BOOL

AlarmViaEquipmentModel

Utiliser la gestion d'alarmes hiérarchiques du modèle d'équipement

Type d’attribution de la variable à un domaine d’alarmes.

  • Active :
    Le domaine d’alarmes de la variable est transféré par le modèle d’équipement. L’alarme de la variable est applicable aux domaines d’alarmes définis dans le modèle d’équipement. Dans ce cas, le groupe d’équipements de la variable et le groupe d’équipements de niveau supérieur du modèle d’équipement sont pris en compte.
  • Inactive :
    L'alarme sur la variable est applicable aux domaines d’alarmes 1 à 4 de la gestion d’alarmes.

Remarque : Si cette propriété est activée pour un type de données, les paramètres de toutes les variables issues de celle-ci sont transférés.

Plus de détails dans l’aide en ligne.

ZT_BSTR_REF

AreaName

AreaName

Description as text.

ZT_BSTR_REF

AreaName2

AreaName2

Description as text.

ZT_BSTR_REF

AreaName3

AreaName3

Description as text.

ZT_BSTR_REF

AreaName4

AreaName4

Description as text.

VT_BOOL

InOut

Ecrire valeur prescrite

Active : cette variable est libérée pour l’action Spécifier valeur prescrite.
Inactive : cette variable est protégée en écriture.
Par défaut : Active

Plus de détails dans l’aide en ligne.

VT_BOOL

SBO

Select Before Operate

Attention : Cette fonctionnalité est uniquement compatible avec les drivers IEC870 et IEC850, et uniquement disponible si vous avez sélectionné l’option Commande commutation pour la propriété de type d’action dans Gestion des commandes, et l’action est mise en œuvre sous forme d’action à deux étapes. N’utilisez pas cette fonction pour le driver DNP3_NG ; Auto-SBO peut être configuré directement pour la variable, dans ce cas.

Active : Avant que la valeur de la variable ne soit écrite dans le matériel, zenon vérifie, pendant la première phase de la commande de commutation, si la variable dans l’équipement est prête pour cette action (Select before Operate (SBO)).
Attention : Pour les commandes impulsion, la réinitialisation automatique des valeurs des variables n’est pas effectuée dans l’intervalle de temps défini dans la propriété de délai de front.

Si la propriété SBO a été activée pour la variable d’action, une commande d’impulsion se comporte de la même manière qu’une commande de commutation.

Inactive : La valeur de la variable est transférée vers le driver sans vérification préalable.

Remarque : dans un driver IEC870, cela signifie une instruction Direct execute. Le driver IEC850 peut toutefois déclencher automatiquement une instruction Select before Operate , en raison du Control Model.
Par défaut : Inactive :
Plus de détails dans l’aide en ligne.

VT_BOOL

CancelOperate

Annuler 'Operate'

Si cette propriété est activée, il est possible d’envoyer une commande Cancel après une commande Operate lors de la gestion des commandes.

Remarque : Cette propriété est uniquement dans la version Energy Edition.

Par défaut : Inactive

Plus de détails dans l’aide en ligne.

VT_R8

ValueMin

Valeur prescrite min.

La valeur minimum définie ici pour le paramètre Écrire valeur prescrite peut être acceptée par le biais d’éléments dynamiques, plutôt que par la configuration séparée de ces derniers.
Ceci est surtout recommandé si la plage de la mesure est susceptible de varier ultérieurement, car ces modifications peuvent être effectuées une fois ici, au lieu d’être modifiées séparément dans chaque élément.

Plus de détails dans l’aide en ligne.

VT_R8

ValueMax

Valeur prescrite max.

La valeur maximum définie ici pour le paramètre Écrire valeur prescrite peut être acceptée par le biais d’éléments dynamiques, plutôt que par la configuration séparée de ces derniers.
Ceci est surtout recommandé si la plage de la mesure est susceptible de varier ultérieurement, car ces modifications peuvent être effectuées une fois ici, au lieu d’être modifiées séparément dans chaque élément.

Plus de détails dans l’aide en ligne.

VT_BSTR

LockingName

LockingName

"With this property you have the opportunity to assign an interlocking via its name.
zElement.DynProperties(""LockingName"") = ""Interlocking 1"""

VT_UI1

SetValueProtocol

Enregistrement (fichier journal)

Définit la manière dont l’écriture de la valeur prescrite sera consignée dans la liste CEL.

  • Tout : Toutes les actions Écrire valeur prescrite de cette variable exécutées via des éléments dynamiques et les fonctions Écrire valeur prescrite sont consignées dans la liste d’événements. (CEL)
  • Rien : aucune action Spécifier valeur prescrite n’est consignée dans la liste CEL.
  • Seulement sur élément dynamique : Seules les actions Écrire valeur prescrite exécutées via les éléments dynamiques sont consignées dans la liste CEL.

Par défaut : Uniquement les éléments dynamiques :

Plus de détails dans l’aide en ligne.

VT_BOOL

SV_Act

Ancienne et nouvelle valeur
  • Active : en cas de modification de la valeur prescrite de cette variable, les valeurs ancienne et nouvelle sont consignées dans la liste d’événements (CEL).
  • Inactive : Seule la nouvelle valeur est consignée.

Par défaut : Inactive

Recommandation : Activez la propriété Variable lue en permanence. Ceci permet de garantir que la valeur est toujours disponible, et qu’il n’est pas nécessaire de l’interroger spécialement.

Plus de détails dans l’aide en ligne.

VT_BOOL

SV_VBA

Valeurs modifiées par VBA

Active : L’écriture de la valeur prescrite de cette variable via une macro VBA est consignée dans la liste d’événements.
inactive : l’écriture de la valeur prescrite de cette variable via une macro VBA n’est pas consignée.
Par défaut : Active

Remarque : pour les variables configurées sous forme de variables de commande dans la passerelle de procédé IEC870, chaque commande est consignée sous la forme Spécifier valeur prescrite via l’interface COM dans la liste CEL, si la propriété est activée.

Plus de détails dans l’aide en ligne.

VT_BSTR

VisualName

Nom visuel

Saisie d’un nom d’affichage de la variable dans zenon Analyzer. Celui-ci doit être unique dans le projet, mais ceci n’est pas vérifié dans zenon. Cette vérification est effectuée lors de l’importation dans zenon Analyzer.

Cette propriété fournit des informations qui sont utilisées pour la configuration de rapports dans zenon Analyzer. L’exportation des données de zenon vers zenon Analyzer est effectuée à l’aide de l’assistant Analyzer Export Wizard.

Attention : Si cette propriété est modifiée après la première exportation vers zenon Analyzer, ces modifications ne sont appliquées dans zenon Analyzer.

Plus de détails dans l’aide en ligne.

VT_BSTR

Meaning

Signification

Cette propriété fournit des informations qui sont utilisées par la fonction de configuration de rapports dans zenon Analyzer.
Les données peuvent être définies manuellement ou à l’aide de l’assistant Meaning and Waterfall Chart Wizard. L’exportation des données de zenon vers zenon Analyzer est effectuée à l’aide de l’assistant Analyzer Export Wizard.

Saisie de la signification (meaning) d’une variable dans zenon Analyzer. Plusieurs significations doivent être séparées par une virgule.
Syntaxe : [signification1],[signification2],…,[significationN]

Plus de détails dans l’aide en ligne.

VT_BSTR

WaterfallParam

Paramètre pour le waterfall diagram

Cette propriété fournit des informations qui sont utilisées par la fonction de configuration de rapports dans zenon Analyzer.
Les données peuvent être définies manuellement ou à l’aide de l’assistant Meaning and Waterfall Chart Wizard. L’exportation des données de zenon vers zenon Analyzer est effectuée à l’aide de l’assistant Analyzer Export Wizard.

Paramètres d’une variable pour un diagramme en cascade dans zenon Analyzer. Les entrées peuvent être créées pour les rapports par ligne ou les rapports par machine. Lors de l’exportation, en fonction de la structure des entrées, une décision est prise pour déterminer s’il s’agit d’entrées correspondant à des diagrammes par machine ou par ligne.

Les paramètres individuels doivent être séparés par une virgule. Plusieurs cascades doivent être séparées par un poing-virgule.
Syntaxe, par machine : [nom modèle],[indice de ligne],[indice de colonne],[code de couleur];
Syntaxe, par ligne : [nom du modèle],[indice de ligne],[indice de colonne],[code de couleur],[perte de machine auxiliaire],[ajout de perte de machine auxiliaire],[soustraction de perte de machine auxiliaire];

Plus de détails dans l’aide en ligne.

VT_BOOL

Use_in_ProcRec

Activer l'enregistrement

Active/désactive la variable ou le type de données enregistré dans le module Process Recorder.
La sélection multiple de variables est possible.

  • Active :
    Les changements de valeur de la variable sont enregistrés dans le module Process Recorder.
    Attention : Assurez-vous que l’activation générale de l’enregistrement a été configurée dans la propriété Activer Process Recorder.
  • Inactive :
    Les changements de valeur de la variable ne sont pas enregistrés dans le module Process Recorder.

Par défaut : les paramètres configurés sont appliqués pour le type de données utilisé.

Plus de détails dans l’aide en ligne.


Sys2000 variable ED

Manuel -> Interfaces de programmation -> Modèles d'objet -> Variable -> Variable-Dynamic properties -> Sys2000 variable ED

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Type

VBA/VSTA Name

Display Name

Description

VT_UI4

Node

Node

Saisissez l’adresse de nœud de l’automate.

Plus de détails dans l’aide en ligne.

VT_UI4

LogID

Log ID

Saisissez l’adresse du journal (ID de journal) dans l’automate.

Plus de détails dans l’aide en ligne.

VT_BOOL

IsLocalDigits

IsLocalDigits

"With this property you have the opportunity to decide whether the ""Decimals"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalSignalMin

IsLocalSignalMin

"With this property you have the opportunity to decide whether the ""Minimum signal resolution"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalSignalMax

IsLocalSignalMax

"With this property you have the opportunity to decide whether the ""Maximum signal resolution"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalRangeMin

IsLocalRangeMin

"With this property you have the opportunity to decide whether the ""Minimum measuring range"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalRangeMax

IsLocalRangeMax

"With this property you have the opportunity to decide whether the ""Maximum measuring range"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalAlternateValue

IsLocalAlternateValue

"With this property you have the opportunity to decide whether the ""Alternate value"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalValueMin

IsLocalValueMin

"With this property you have the opportunity to decide whether the ""Minimum set value"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalValueMax

IsLocalValueMax

"With this property you have the opportunity to decide whether the ""Maximum set value"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalUseMacro

IsLocalUseMacro

"With this property you have the opportunity to decide whether the ""Non linear value adjustment with macros"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalInOut

IsLocalInOut

"With this property you have the opportunity to decide whether the ""Setting values active"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalHystNeg

IsLocalHystNeg

"With this property you have the opportunity to decide whether the ""negative hysteresis"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalHystPos

IsLocalHystPos

"With this property you have the opportunity to decide whether the ""negative hysteresis"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalArchHystNeg

IsLocalArchHystNeg

VT_BOOL

IsLocalArchHystPos

IsLocalArchHystPos

VT_BOOL

IsLocalUpdatePriority

IsLocalUpdatePriority

"With this property you have the opportunity to decide whether the ""Priority of the driver connection"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalDDEaktiv

IsLocalDDEaktiv

"With this property you have the opportunity to decide whether the ""DDE active"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalStandby

IsLocalStandby

"With this property you have the opportunity to decide whether the ""Only read from standby"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalRemaActiv

IsLocalRemaActiv

"With this property you have the opportunity to decide whether the ""Reaction matrix active"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalRema

IsLocalRema

"With this property you have the opportunity to decide whether the ""Reaction matrix"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalHDActive

IsLocalHDActive

"With this property you have the opportunity to decide whether the ""HD active"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalHDUpdate

IsLocalHDUpdate

"With this property you have the opportunity to decide whether the ""HD scan rate"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalHDSize

IsLocalHDSize

"With this property you have the opportunity to decide whether the ""Number of HD values"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalKDAActiv

IsLocalKDAActiv

"With this property you have the opportunity to decide whether the ""Recording type"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalStingLength

IsLocalStingLength

"With this property you have the opportunity to decide whether the ""String length"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalQuitPV

IsLocalQuitPV

"With this property you have the opportunity to decide whether the ""Acknowledgement variable"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalViewQuitPV

IsLocalViewQuitPV

Description as text.

VT_BOOL

IsLocalQuitValue

IsLocalQuitValue

"With this property you have the opportunity to decide whether the ""Acknowledgement value"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalTagname

IsLocalTagname

"With this property you have the opportunity to decide whether the ""Identification"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalUnit

IsLocalUnit

"With this property you have the opportunity to decide whether the ""Unit"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalAltValString

IsLocalAltValString

"With this property you have the opportunity to decide whether the ""String alternative value"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalRecLabel

IsLocalRecLabel

"With this property you have the opportunity to decide whether the ""Ressources label"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalAdjustHW

IsLocalAdjustHW

"With this property you have the opportunity to decide whether the ""AdjustHardwareValue"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalAdjustZenon

IsLocalAdjustZenon

"With this property you have the opportunity to decide whether the ""AdjustZenOnValue"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalArraySize

IsLocalArraySize

"With this property you have the opportunity to decide whether the ""Array size"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalCounterGroup

IsLocalCounterGroup

VT_BOOL

IsLocalMaxGradient

IsLocalMaxGradient

VT_BOOL

IsLocalNormalStateActive

IsLocalNormalStateActive

VT_BOOL

IsLocalNormalState

IsLocalNormalState

VT_BOOL

IsLocalAlarmPV0

IsLocalAlarmPV0

"With this property you have the opportunity to decide whether the ""Alarm Variable 1"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalAlarmPV1

IsLocalAlarmPV1

"With this property you have the opportunity to decide whether the ""Alarm Variable 2"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalAlarmPV2

IsLocalAlarmPV2

"With this property you have the opportunity to decide whether the ""Alarm Variable 3"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalVarInASM

IsLocalVarInASM

"With this property you have the opportunity to decide whether the ""Save in IPA database"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalAlarmDomain

IsLocalAlarmDomain

"With this property you have the opportunity to decide whether the ""Alarm area"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalAlarmDomain2

IsLocalAlarmDomain2

Description as text.

VT_BOOL

IsLocalAlarmDomain3

IsLocalAlarmDomain3

Description as text.

VT_BOOL

IsLocalAlarmDomain4

IsLocalAlarmDomain4

Description as text.

VT_BOOL

IsLocalLocking

IsLocalLocking

"With this property you have the opportunity to decide whether the ""Interlocking"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalSBO

IsLocalSBO

"With this property you have the opportunity to decide whether the ""Select before operate"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalCancelOperate

IsLocalCancelOperate

Description

VT_BOOL

IsLocalAlarmViaEquipmentModel

IsLocalAlarmViaEquipmentModel

Description

VT_BOOL

IsLocalUsedInProcRec

IsLocalUsedInProcRec

Description

VT_UI1

IsSWProtokol

IsSWProtokol

VT_BOOL

IsSW_Akt

IsSW_Akt

VT_BOOL

IsSW_VBA

IsSW_VBA

More...

Limits

Valeurs limite

Propriétés définissant le traitement des valeurs limites ou le traitement des alarmes pour la variable.

Les propriétés de ce groupe sont uniquement disponibles si vous avez activé la propriété Matrice de réaction active.

Plus de détails dans l’aide en ligne.

VT_UI4

ID_ComplexVariable

ID_ComplexVariable

With this property you have the opportunity to get/set the ID of a variable from a structure element. This ID is 0 when the variable has no structure datatype.

VT_BSTR

Name

Nom

Nom unique de la variable. Les considérations suivantes s’appliquent lors de la définition du nom :

  • Longueur maximale : 128 caractères
  • Caractères non autorisés : # et @

Remarque : pour les drivers utilisant la connexion à zenon Logic, vous devez définir un préfixe. Pour plus de détails, reportez-vous au chapitre Création de variables O et M dans zenon Logic dans le manuel.
Toute modification du nom de la variable doit également être effectuée dans l’environnement de programmation (VBA, VSTA).

Attention : Cette propriété n’est pas disponible aux fins de la commutation de langue.

Plus de détails dans l’aide en ligne.

VT_BSTR

Tagname

Identification

Chaîne libre utilisée pour l’identification de la variable ou du type de données.
Remarque : Puisque la langue du nom de la variable (propriété Nom) ne peut pas être modifiée, cette propriété peut être utilisée pour le changement de langue en ligne.

Longueur maximale : 128 caractères

Plus de détails dans l’aide en ligne.

VT_BSTR

Unit

Unité de mesure

Unité technique de la variable devant être affichée dans le Runtime. Si vous avez déjà créé des unités de mesure dans le module d’unités de base, celles-ci sont disponibles dans une liste déroulante.
Maximum : 50 caractères.
Par défaut : vide

Plus de détails dans l’aide en ligne.

VT_R8

AlternateValue

Archivfüllwert

Cette valeur est utilisée pour renseigner les archives cycliques. En présence d’intervalles durant lesquels aucune connexion au matériel n’a été établie, cette valeur est utilisée tant qu’aucune valeur n’est transférée depuis l’équipement. Dans le cas contraire, la dernière valeur valide utilisée est utilisée aux fins du renseignement.

Plus de détails dans l’aide en ligne.

VT_BSTR

AlternateValueString

Valeur chaîne pour le remplissage des archives

Cette valeur est utilisée pour les variables de chaîne, afin de renseigner les archives cycliques.
En présence d’intervalles, dans les archives cycliques, durant lesquels aucune connexion au matériel n’a été établie, cette Valeur chaîne pour le remplissage des archives est utilisée tant qu’aucune valeur n’est transférée depuis l’équipement. Dans le cas contraire, la dernière valeur valide est utilisée pour le renseignement.

Longueur maximale : 128 caractères

Attention : Cette propriété n’est pas disponible aux fins de la commutation de langue.

Plus de détails dans l’aide en ligne.

VT_BSTR

Recourceslabel

Description externe

Chaîne au choix.
N'est pas utilisé au niveau interne dans zenon, mais est disponible lors de l’exportation de valeurs pour autoriser l’attribution des valeurs exportées pour les systèmes de gestion tels qu’ERP.

Longueur maximale : 255 caractères

Plus de détails dans l’aide en ligne.

VT_UI4

NetAddr

Adresse réseau

Adresse de bus ou Adresse réseau de la variable.

  • Minimum : 0
  • Maximum : 4294967295

Par défaut : 0

Plus de détails dans l’aide en ligne.

VT_UI4

DataBlock

Bloc de données

Numéro de bloc de données.
Minimum : 0.
Maximum : 4294967295
Par défaut : 0.

Plus de détails dans l’aide en ligne.

VT_UI4

Offset

Offset

Décalage de la variable.
Pour les contrôleurs à adressage linéaire : plage de mémoire.
Pour les contrôleurs à résolution de nom : adresse d’attribution.
Minimum : 0.
Maximum : 4294967295
Par défaut : 0.

Plus de détails dans l’aide en ligne.

VT_UI2

BitAddr

Numéro de bit

Numéro du bit dans le décalage configuré.
Minimum : 0.
Maximum : 65535
Par défaut : 0.

Plus de détails dans l’aide en ligne.

VT_UI2

Alignment

Alignement

Ceci dépend de la granularité du type d’objet du driver et de la position de la variable conformément au décalage défini.

Pour les variables de type Octet :
Octet poids fort : octet de poids fort dans le décalage de mot.
Octet poids faible : Otet de poids faible dans le décalage de mot.
HiWord-HiByte octet de poids fort dans le mot fort dans le décalage de double mot.
HiWord-LoByte (Mot poids fort-Octet poids faible) octet de poids faible dans le mot fort dans le décalage de double mot.
Mot poids faible-Octet poids fort : octet de poids fort dans le mot faible dans le décalage de double mot.
Mot poids faible-Octet poids faible : octet de poids faible dans le mot faible dans le décalage de double mot.

Pour les variables de mot :
Mot poids fort : mot fort dans le décalage de double mot.
Mot poids faible : Mot poids faible dans le décalage de double mot.

Plus de détails dans l’aide en ligne.

VT_UI2

StringLength

Longueur de la chaîne

Disponible uniquement pour les variables de type chaîne.
Nombre maximum de caractères que peut accepter une variable.
Minimum : 1 caractère
Si la valeur non autorisée 0 est saisie, la dernière valeur configurée valide est automatiquement utilisée. Si aucune valeur valide n’a été configurée, l’entrée est remplacée par la valeur par défaut.
Maximum : 65535 caractères.
Par défaut : 5 caractères

Remarque : la valeur par défaut est 65 535 pour les variables système avec le type de données String.

Plus de détails dans l’aide en ligne.

VT_BSTR

SymbAddr

Adresse symbolique

Séquence de caractères pour l’adressage symbolique des variables.

Longueur maximale : 1024 caractères.

Remarque : L’adresse symbolique n’est pas prise en charge par tous les drivers.
Lors de l’importation des variables dans des drivers compatibles avec l’adressage symbolique, la propriété est saisie automatiquement.

Plus de détails dans l’aide en ligne.

VT_UI4

Driver

Drivers

VT_UI4

ID_DataTyp

Type de données

Type de donnée pour la variable. Sélectionné durant la création de la variable ; peut être modifié ici ultérieurement.
Remarque : Pour les variables de structure, le type de données ne peut plus être modifié après la création des variables.
Attention : Si vous modifiez le type de données ultérieurement, toutes les autres propriétés de la variable doivent être vérifiées et ajustées, si nécessaire.

Plus de détails dans l’aide en ligne.

VT_UI4

ID_DriverTyp

Type d'objet driver

Selon le driver utilisé, un type d’objet est sélectionné durant la création de la variable et peut être modifié ici ultérieurement.
Siemens : bloc de données, marqueur, entrée/sortie.
Modbus : Coil et Holding Register.

Plus de détails dans l’aide en ligne.

VT_UI1

UpdatePriority

Priorité

Si l’heure de mise à jour globale spécifiée dans la configuration du driver n’est pas utilisée, la fréquence des mises à jour correspondant aux différents niveaux de priorité peut être définie ici. Dans cette propriété, une priorité est attribuée à une variable.

Plus de détails dans l’aide en ligne.

VT_BOOL

Standby

Lire uniquement sur le serveur redondant

Active : La valeur de la variable provenant du serveur redondant est affichée.
Inactive : La valeur de la variable provenant du serveur est affichée.
(drivers matériels uniquement)

Plus de détails dans l’aide en ligne.

VT_UI2

Digits

Nombre de décimales

Nombre de décimales des valeurs de variables utilisées lors de l’affichage dans le système de contrôle.
Minimum : 0
Maximum : 10
Par défaut : 0

Plus de détails dans l’aide en ligne.

VT_R8

SignalMin

Signal min.

Valeur minimum de la variable dans l’automate.
À moins d’être définie différemment dans la propriété Ajustement non-linéaire, la valeur brute des variables (résolution du signal) sera toujours convertie au format de la plage de mesure sur une base linéaire (pour une utilisation dans le système de contrôle). Toutes les autres entrées de valeurs numériques spécifiques à la variable dans Editor et dans le Runtime seront liées à la plage de mesures (par ex. définition des valeurs limites, limites des valeurs prescrites, zone de représentation, entrées de valeurs prescrites, etc.).

Plus de détails dans l’aide en ligne.

VT_R8

SignalMax

Signal max.

Valeur maximum de la variable dans l’automate. À moins d’être définie différemment dans la propriété Ajustement non-linéaire, la valeur brute des variables (résolution du signal) sera toujours convertie au format de la plage de mesure sur une base linéaire (pour une utilisation dans le système de contrôle). Toutes les autres entrées de valeurs numériques spécifiques à la variable dans Editor et dans le Runtime seront liées à la plage de mesures (par ex. définition des valeurs limites, limites des valeurs prescrites, zone de représentation, entrées de valeurs prescrites, etc.).

Plus de détails dans l’aide en ligne.

VT_R8

RangeMin

Plage de mesure min.

Valeur minimum des variables dans zenon.
À moins d’être définie différemment dans la propriété Ajustement non-linéaire, la valeur brute des variables (résolution du signal) sera toujours convertie au format de la plage de mesure sur une base linéaire (pour une utilisation dans le système de contrôle). Toutes les autres entrées de valeurs numériques spécifiques à la variable dans Editor et dans le Runtime seront liées à la plage de mesures (par ex. définition des valeurs limites, limites des valeurs prescrites, zone de représentation, entrées de valeurs prescrites, etc.).

Plus de détails dans l’aide en ligne.

VT_R8

RangeMax

Plage de mesure max.

Valeur maximum des variables dans zenon.
À moins d’être définie différemment dans la propriété Ajustement non-linéaire, la valeur brute des variables (résolution du signal) sera toujours convertie au format de la plage de mesure sur une base linéaire (pour une utilisation dans le système de contrôle). Toutes les autres entrées de valeurs numériques spécifiques à la variable dans Editor et dans le Runtime seront liées à la plage de mesures (par ex. définition des valeurs limites, limites des valeurs prescrites, zone de représentation, entrées de valeurs prescrites, etc.).

Plus de détails dans l’aide en ligne.

VT_BOOL

UseMacro

Ajustement non-linéaire avec macros

L’ajustement de valeurs non linéaires est utilisé pour les variables dont la valeur originale (automate) ne peut pas être ajustée de manière linéaire en fonction de la valeur mesurée (système de contrôle).

  • Active : Les valeurs brutes sont ajustées en fonction de zenon, sur une base non linéaire, avec des macros VBA.
  • Inactive : Les valeurs brutes sont ajustées en fonction de zenon.

Remarque : Lors de l’activation de la propriété, les propriétés AdjustHardwareValue et AdjustScadaValue doivent également être configurées. La propriété AdjustHardwareValue doit alors être configurée à l’inverse de la propriété AdjustScadaValue, sous forme de fonction inverse.

Par défaut : Inactive

Plus de détails dans l’aide en ligne.

ZT_VBAMAKRO

AdjustHardware

AdjustHardwareValue

Disponible uniquement si la propriété Ajustement non-linéaire avec macros est active.

Macro appelée à chaque modification de la valeur brute dans l’automate, et qui modifie la valeur dans zenon. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de macros.
Plus de détails dans l’aide en ligne.

ZT_VBAMAKRO

AdjustZenon

AdjustScadaValue

Disponible uniquement si la propriété Ajustement non-linéaire avec macros est active.

La macro est appelée lors de l’écriture d’une valeur depuis zenon et modifie la valeur brute sur l’automate. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de macros.
Plus de détails dans l’aide en ligne.

VT_R8

HystNeg

Négatif pour le signal

Hystérésis des valeurs limites définies en fonction de la plage du signal.

Plage d’hystérésis pour l’entrée en cas de changement de valeur avec diminution. Les valeurs sont uniquement interprétées comme des dépassements de valeur limite si la valeur changeante est inférieure à la plage d’hystérésis définie ici.
Par défaut : 0 (pas d’hystérésis)

Plus de détails dans l’aide en ligne.

VT_R8

HystPos

Positif pour le signal

Hystérésis des valeurs limites définies en fonction de la plage du signal.

Plage d’hystérésis pour l’entrée en cas de changement de valeur avec augmentation. Les valeurs sont uniquement interprétées comme des dépassements de valeur limite si la valeur changeante est supérieure à la plage d’hystérésis définie ici.
Par défaut : 0 (pas d’hystérésis)

Plus de détails dans l’aide en ligne.

VT_R8

ArchHystNeg

Négatif pour l'archive

Hystérésis d’archivage en cas de changement appliquée à la plage de mesure.

Plage d’hystérésis pour l’entrée en cas de changement de valeur avec diminution. Les valeurs sont uniquement saisies dans l’archive si la valeur changeante est inférieure à la plage d’hystérésis définie ici.
Par défaut : 0 (pas d’hystérésis)

Plus de détails dans l’aide en ligne.

VT_R8

ArchHystPos

Positif pour l'archive

Hystérésis d’archivage en cas de changement appliquée à la plage de mesure.

Plage d’hystérésis pour l’entrée en cas de changement de valeur avec augmentation. Les valeurs sont uniquement saisies dans l’archive si la valeur changeante est supérieure à la plage d’hystérésis définie ici.
Par défaut : 0 (pas d’hystérésis)

Plus de détails dans l’aide en ligne.

VT_BOOL

DDEActive

Variable lue en permanence

Paramètre de lecture de la variable et de sa disponibilité via DDE dans le Runtime :

  • Active : La variable est toujours connectée au driver. Cela signifie qu’elle est continuellement lue par le driver, même si elle n’est pas nécessaire dans le projet à cet instant précis. Le driver connaît ainsi toujours les valeurs actuelles et l’état actuel des variables et peut les fournir immédiatement, si nécessaire. La variable est également disponible pour les autres applications Windows (par exemple, Excel, Visual Basic, etc.). Les applications Windows possédant une fonctionnalité de client DDE peuvent ainsi utiliser les valeurs de la variable.
    Temps d’actualisation : 0,5 s
    L'activation de cette option offre par exemple l’avantage de basculer plus rapidement les valeurs de variables dans la fonction Ecriture valeur prescrite ou dans l’élément Appel de synoptique, car il n’est pas nécessaire d’interroger spécialement la variable avant la commutation. L’inconvénient est une augmentation de la charge des communications au niveau du contrôleur.
  • Inactive : La variable n’est pas interrogée en permanence par le driver, mais uniquement en cas de demande de valeurs ou d’états dans le Runtime. Elle n’est donc pas disponible dans les autres applications Windows via DDE.

Par défaut : Inactive

Plus de détails dans l’aide en ligne.

VT_UI4

ArraySizeOld

Dimension tableau

Définition de la taille de l’ensemble de blocs. La taille définie est lue ou écrite par le driver durant une demande de lecture/d’écriture. Ceci permet de garantir la cohérence des données dans le texte. Les données peuvent uniquement être modifiées dans le module Recipegroup Manager ou via l’interface de programmation.
Attention : peut être défini au niveau du driver interne, toutefois sans fonction dans le Runtime (valeur toujours égale à 0).

Plus de détails dans l’aide en ligne.

VT_UI4

CounterGroup

Groupe de compteur

Disponible uniquement dans SICAM 230.

VT_UI4

MaxGradient

Gradient maximum

Disponible uniquement dans SICAM 230.

VT_BOOL

NormalStateActive

Actif

Permet de définir un état normal pour les variables et les types de données du type BOOL, UINT et WORD pour tous les drivers.

Active : Un état normal peut être défini.

Par défaut : Inactive

Plus de détails dans l’aide en ligne.

VT_BOOL

NormalState

Valeur normale

Dans la liste déroulante, choisissez si la valeur normale de cette variable ou ce type de données doit être On (Active) ou Off (Inactive). Disponible pour les variables et les types de données du type BOOL, UINT et WORD pour tous les drivers.

Par défaut : Off

Plus de détails dans l’aide en ligne.

ZT_VARIABLE

AlarmPV0

Variable d'alarme 1

Disponible uniquement dans SICAM 230.
Première variable pour la gestion d’alarmes de synoptiques.

Plus de détails dans l’aide en ligne.

ZT_VARIABLE

AlarmPV1

Variable d'alarme 2

Disponible uniquement dans SICAM 230.
Deuxième variable pour la gestion d’alarmes de synoptiques.

Plus de détails dans l’aide en ligne.

ZT_VARIABLE

AlarmPV2

Variable d'alarme 3

Disponible uniquement dans SICAM 230.
Troisième variable pour la gestion d’alarmes de synoptiques.

Plus de détails dans l’aide en ligne.

VT_BOOL

HDActive

Stockage de données sur disque dur actif

Active : les valeurs de variables sont enregistrées sur le disque dur (enregistrement circulaire) pour être évaluées dans l’élément dynamique "Élément de tendance" ou pour l’exportation/l’importation des valeurs.

Inactive : aucune valeur de variable n’est enregistrée.

Par défaut : inactive

Les données de disque dur nécessitent 24 octets d’espace de stockage par valeur, indépendamment du type de variable. Outre la valeur, les informations suivantes sont enregistrées :
- Heure d’exécution de la mesure.
- Millisecondes lors de la lecture de la valeur.
- Modification de l’état de la valeur en fonction des éléments.
- Compteur pour l’identification unique de la valeur (driver événementiel).

Remarque : Le stockage de données est également activé lors d’un appel de synoptique de type Extended Trend si des données en ligne sont analysées.
Les variables de type chaîne ne sont pas prises en charge par la fonction de stockage de données sur le disque dur.

Attention : si l’option d’enregistrement sur disque dur est activée pour un trop grand nombre de variables, en présence d’un trop grand nombre de valeurs, les performances du Runtime peuvent être altérées.

Plus de détails dans l’aide en ligne.

VT_R4

HDUpdate

Temps de cycle [s]

Disponible uniquement si la propriété Stockage de données sur disque dur actif est active :
Durée de l’intervalle [en secondes] de conservation des valeurs en ligne sur le disque dur (mémoire circulaire) pour l’analyse dans l’élément dynamique Tendance, pour les données en ligne dans le module Extended Trend ou pour l’exportation/l’importation de valeurs.

Plus de détails dans l’aide en ligne.

VT_UI4

HDSize

Nombre de valeurs

Valeur correspondant à l’intervalle de conservation des valeurs en ligne sur le disque dur (mémoire circulaire) pour l’analyse dans l’élément dynamique Tendance, pour les données en ligne dans le module Extended Trend ou pour l’exportation/l’importation de valeurs.

Attention : si l’option d’enregistrement sur disque dur est activée pour un trop grand nombre de variables, en présence d’un trop grand nombre de valeurs, les performances du Runtime peuvent être altérées.

Plus de détails dans l’aide en ligne.

VT_BOOL

IsKDAActiv

Type d'enregistrement

Disponible uniquement si la propriété Stockage de données sur disque dur actif est active :
Données de disque dur (cyclique) : Écriture cyclique des valeurs sur le disque dur.
Valeurs retriées (RDA) : Les valeurs sont écrites bloc par bloc sur le disque dur par le driver. (Fonction adaptée à l’analyse rétrospective des erreurs au niveau du système de contrôle.)

Plus de détails dans l’aide en ligne.

VT_BOOL

ExternVisible

Visible extérieurement pour

Disponible uniquement si la propriété Visible par d'autres programmes est active.

Spécifiez expressément les projets de zenon Logic pour lesquels la variable doit être visible. Si vous laissez le champ de saisie vide, la variable est visible pour tous les projets zenon Logic. Vous pouvez également saisir des projets zenon Logic de manière expresse. Séparez les noms des projets individuels par un point-virgule (";"). Vous pouvez utiliser les opérateurs. Par exemple, P1* signifie tous les projets zenon Logic commençant par P1. (Remarque : les opérateurs sont uniquement autorisés sous forme de préfixe ou de suffixe, par exemple, *xxx ou xxx*.

Le nombre de caractères est limité à 64.

Par défaut : -

Plus de détails dans l’aide en ligne.

VT_BSTR

ExternVisibleFor

Visible extérieurement pour

Disponible uniquement si la propriété Visible par d'autres programmes est active.

Spécifiez expressément les projets de zenon Logic pour lesquels la variable doit être visible. Si vous laissez le champ de saisie vide, la variable est visible pour tous les projets zenon Logic. Vous pouvez également saisir des projets zenon Logic de manière expresse. Séparez les noms des projets individuels par un point-virgule (";"). Vous pouvez utiliser les opérateurs. Par exemple, P1* signifie tous les projets zenon Logic commençant par P1. (Remarque : les opérateurs sont uniquement autorisés sous forme de préfixe ou de suffixe, par exemple, *xxx ou xxx*.

Le nombre de caractères est limité à 64.

Par défaut : -

Plus de détails dans l’aide en ligne.

VT_BOOL

ReadWrite

Ecriture/lecture externe

Propriété externe pour zenon Logic. Affecte uniquement les variables qui ne forment pas partie du driver straton.
Active : la valeur de la variable ne peut pas être modifiée dans zenon Logic. La définition de la variable ne peut pas être modifiée dans zenon Logic.
Inactive : la variable ne peut pas être modifiée dans zenon Logic.
Par défaut : active.

Plus de détails dans l’aide en ligne.

VT_BSTR

InitialValue

Valeur initiale externe

Propriété externe pour zenon Logic. Affecte uniquement les variables qui ne forment pas partie du driver straton.
Valeur initiale de la variable dans zenon Logic durant une reprise graduelle ou une reprise intermédiaire.
La saisie autorisée ici dépend du type de données de la variable. Par exemple, vous pouvez uniquement utiliser des valeurs sans décimales pour les variables entières. Pour les variables à virgule flottante, un point doit être utilisé en tant que séparateur décimal ; les virgules ne peuvent pas être utilisées.
Le système de contrôle ne vérifie pas la validité de cette saisie. Ceci peut générer un message d’erreur dans zenon Logic.

Attention : lors de l’utilisation de variables du driver interne, cette propriété doit posséder la même valeur que la valeur initiale dans les paramètres des variables internes.

Plus de détails dans l’aide en ligne.

VT_BSTR

Profilename

Nom profil externe

Propriété externe pour zenon Logic. Affecte uniquement les variables qui ne forment pas partie du driver straton.
Nom du profil défini dans zenon Logic (par ex. STRATON, ProfDP).

Cette propriété est uniquement affichée pour information. Édition dans zenon Logic uniquement.

Plus de détails dans l’aide en ligne.

VT_BSTR

Adressparam

Paramètre externe d'adresse

Propriété externe pour zenon Logic. Affecte uniquement les variables qui ne sont pas des variables du driver straton.
Propriétés de profil dans zenon Logic (par ex. "intégré" ou paramètres d’adressage de Profibus).

Cette propriété est uniquement affichée pour information. Édition dans zenon Logic uniquement.

Plus de détails dans l’aide en ligne.

VT_BSTR

Vargroup

Groupe de variables externe

Propriété externe pour zenon Logic. Affecte uniquement les variables qui ne sont pas des variables du driver straton32.
Groupes de variables dans zenon Logic ("Global" ou "Retain" ou vides).

Cette propriété est uniquement affichée pour information. Édition dans zenon Logic uniquement.

Plus de détails dans l’aide en ligne.

VT_BOOL

IsRemaActiv

Matrice de réaction active

Active : Une matrice de réaction est utilisée à la place des valeurs de limite.
Inactive : Les valeurs peuvent être définies pour la variable.
Par défaut : inactive.

Plus de détails dans l’aide en ligne.

ZT_REMA

Rema

Matrice de réaction

Propriétés d’utilisation d’une matrice de réaction pour la variable.

Plus de détails dans l’aide en ligne.

ZT_VARIABLE

AlarmQuitPV

Valeur d'acquittement

Si une alarme de cette variable est acquittée visuellement, la variable sélectionnée sous Variable d'acquittement visuel ou Variable d'acquittement est définie sur cette valeur.

Sélection de 0 ou 1.

Plus de détails dans l’aide en ligne.

ZT_VARIABLE

AlarmViewQuitPV

Variable d'acquittement visuel

Si une alarme de la variable de contrôle est acquittée visuellement, la valeur de la variable d’acquittement visuel est définie sur la valeur définie par Valeur d'acquittement.

Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de variables binaires.

Plus de détails dans l’aide en ligne.

VT_UI4

AlarmQuitPVValue

Valeur d'acquittement

Si une alarme de cette variable est acquittée visuellement, la variable sélectionnée sous Variable d'acquittement visuel ou Variable d'acquittement est définie sur cette valeur.

Sélection de 0 ou 1.

Plus de détails dans l’aide en ligne.

VT_BOOL

VarInASM

Enregistrer dans la base IPA

Active : les alarmes de cette variable sont disponibles pour analyse dans le module Industrial Performance Analyzer (IPA).
Inactive : les alarmes de cette variable ne sont prises en compte lors de l’analyse dans le module Industrial Performance Analyzer (IPA).
Par défaut : Inactive

Attention : le module Industrial Performance Analyzer est un module optionnel, qui doit comporter une licence valide pour pouvoir être utilisé ici.

Plus de détails dans l’aide en ligne.

VT_BOOL

AlarmViaEquipmentModel

Utiliser la gestion d'alarmes hiérarchiques du modèle d'équipement

Type d’attribution de la variable à un domaine d’alarmes.

  • Active :
    Le domaine d’alarmes de la variable est transféré par le modèle d’équipement. L’alarme de la variable est applicable aux domaines d’alarmes définis dans le modèle d’équipement. Dans ce cas, le groupe d’équipements de la variable et le groupe d’équipements de niveau supérieur du modèle d’équipement sont pris en compte.
  • Inactive :
    L'alarme sur la variable est applicable aux domaines d’alarmes 1 à 4 de la gestion d’alarmes.

Remarque : Si cette propriété est activée pour un type de données, les paramètres de toutes les variables issues de celle-ci sont transférés.

Plus de détails dans l’aide en ligne.

ZT_BSTR_REF

AreaName

AreaName

Description as text.

ZT_BSTR_REF

AreaName2

AreaName2

Description as text.

ZT_BSTR_REF

AreaName3

AreaName3

Description as text.

ZT_BSTR_REF

AreaName4

AreaName4

Description as text.

VT_BOOL

InOut

Ecrire valeur prescrite

Active : cette variable est libérée pour l’action Spécifier valeur prescrite.
Inactive : cette variable est protégée en écriture.
Par défaut : Active

Plus de détails dans l’aide en ligne.

VT_BOOL

SBO

Select Before Operate

Attention : Cette fonctionnalité est uniquement compatible avec les drivers IEC870 et IEC850, et uniquement disponible si vous avez sélectionné l’option Commande commutation pour la propriété de type d’action dans Gestion des commandes, et l’action est mise en œuvre sous forme d’action à deux étapes. N’utilisez pas cette fonction pour le driver DNP3_NG ; Auto-SBO peut être configuré directement pour la variable, dans ce cas.

Active : Avant que la valeur de la variable ne soit écrite dans le matériel, zenon vérifie, pendant la première phase de la commande de commutation, si la variable dans l’équipement est prête pour cette action (Select before Operate (SBO)).
Attention : Pour les commandes impulsion, la réinitialisation automatique des valeurs des variables n’est pas effectuée dans l’intervalle de temps défini dans la propriété de délai de front.

Si la propriété SBO a été activée pour la variable d’action, une commande d’impulsion se comporte de la même manière qu’une commande de commutation.

Inactive : La valeur de la variable est transférée vers le driver sans vérification préalable.

Remarque : dans un driver IEC870, cela signifie une instruction Direct execute. Le driver IEC850 peut toutefois déclencher automatiquement une instruction Select before Operate , en raison du Control Model.
Par défaut : Inactive :
Plus de détails dans l’aide en ligne.

VT_BOOL

CancelOperate

Annuler 'Operate'

Si cette propriété est activée, il est possible d’envoyer une commande Cancel après une commande Operate lors de la gestion des commandes.

Remarque : Cette propriété est uniquement dans la version Energy Edition.

Par défaut : Inactive

Plus de détails dans l’aide en ligne.

VT_R8

ValueMin

Valeur prescrite min.

La valeur minimum définie ici pour le paramètre Écrire valeur prescrite peut être acceptée par le biais d’éléments dynamiques, plutôt que par la configuration séparée de ces derniers.
Ceci est surtout recommandé si la plage de la mesure est susceptible de varier ultérieurement, car ces modifications peuvent être effectuées une fois ici, au lieu d’être modifiées séparément dans chaque élément.

Plus de détails dans l’aide en ligne.

VT_R8

ValueMax

Valeur prescrite max.

La valeur maximum définie ici pour le paramètre Écrire valeur prescrite peut être acceptée par le biais d’éléments dynamiques, plutôt que par la configuration séparée de ces derniers.
Ceci est surtout recommandé si la plage de la mesure est susceptible de varier ultérieurement, car ces modifications peuvent être effectuées une fois ici, au lieu d’être modifiées séparément dans chaque élément.

Plus de détails dans l’aide en ligne.

VT_BSTR

LockingName

LockingName

"With this property you have the opportunity to assign an interlocking via its name.
zElement.DynProperties(""LockingName"") = ""Interlocking 1"""

VT_UI1

SetValueProtocol

Enregistrement (fichier journal)

Définit la manière dont l’écriture de la valeur prescrite sera consignée dans la liste CEL.

  • Tout : Toutes les actions Écrire valeur prescrite de cette variable exécutées via des éléments dynamiques et les fonctions Écrire valeur prescrite sont consignées dans la liste d’événements. (CEL)
  • Rien : aucune action Spécifier valeur prescrite n’est consignée dans la liste CEL.
  • Seulement sur élément dynamique : Seules les actions Écrire valeur prescrite exécutées via les éléments dynamiques sont consignées dans la liste CEL.

Par défaut : Uniquement les éléments dynamiques :

Plus de détails dans l’aide en ligne.

VT_BOOL

SV_Act

Ancienne et nouvelle valeur
  • Active : en cas de modification de la valeur prescrite de cette variable, les valeurs ancienne et nouvelle sont consignées dans la liste d’événements (CEL).
  • Inactive : Seule la nouvelle valeur est consignée.

Par défaut : Inactive

Recommandation : Activez la propriété Variable lue en permanence. Ceci permet de garantir que la valeur est toujours disponible, et qu’il n’est pas nécessaire de l’interroger spécialement.

Plus de détails dans l’aide en ligne.

VT_BOOL

SV_VBA

Valeurs modifiées par VBA

Active : L’écriture de la valeur prescrite de cette variable via une macro VBA est consignée dans la liste d’événements.
inactive : l’écriture de la valeur prescrite de cette variable via une macro VBA n’est pas consignée.
Par défaut : Active

Remarque : pour les variables configurées sous forme de variables de commande dans la passerelle de procédé IEC870, chaque commande est consignée sous la forme Spécifier valeur prescrite via l’interface COM dans la liste CEL, si la propriété est activée.

Plus de détails dans l’aide en ligne.

VT_BSTR

VisualName

Nom visuel

Saisie d’un nom d’affichage de la variable dans zenon Analyzer. Celui-ci doit être unique dans le projet, mais ceci n’est pas vérifié dans zenon. Cette vérification est effectuée lors de l’importation dans zenon Analyzer.

Cette propriété fournit des informations qui sont utilisées pour la configuration de rapports dans zenon Analyzer. L’exportation des données de zenon vers zenon Analyzer est effectuée à l’aide de l’assistant Analyzer Export Wizard.

Attention : Si cette propriété est modifiée après la première exportation vers zenon Analyzer, ces modifications ne sont appliquées dans zenon Analyzer.

Plus de détails dans l’aide en ligne.

VT_BSTR

Meaning

Signification

Cette propriété fournit des informations qui sont utilisées par la fonction de configuration de rapports dans zenon Analyzer.
Les données peuvent être définies manuellement ou à l’aide de l’assistant Meaning and Waterfall Chart Wizard. L’exportation des données de zenon vers zenon Analyzer est effectuée à l’aide de l’assistant Analyzer Export Wizard.

Saisie de la signification (meaning) d’une variable dans zenon Analyzer. Plusieurs significations doivent être séparées par une virgule.
Syntaxe : [signification1],[signification2],…,[significationN]

Plus de détails dans l’aide en ligne.

VT_BSTR

WaterfallParam

Paramètre pour le waterfall diagram

Cette propriété fournit des informations qui sont utilisées par la fonction de configuration de rapports dans zenon Analyzer.
Les données peuvent être définies manuellement ou à l’aide de l’assistant Meaning and Waterfall Chart Wizard. L’exportation des données de zenon vers zenon Analyzer est effectuée à l’aide de l’assistant Analyzer Export Wizard.

Paramètres d’une variable pour un diagramme en cascade dans zenon Analyzer. Les entrées peuvent être créées pour les rapports par ligne ou les rapports par machine. Lors de l’exportation, en fonction de la structure des entrées, une décision est prise pour déterminer s’il s’agit d’entrées correspondant à des diagrammes par machine ou par ligne.

Les paramètres individuels doivent être séparés par une virgule. Plusieurs cascades doivent être séparées par un poing-virgule.
Syntaxe, par machine : [nom modèle],[indice de ligne],[indice de colonne],[code de couleur];
Syntaxe, par ligne : [nom du modèle],[indice de ligne],[indice de colonne],[code de couleur],[perte de machine auxiliaire],[ajout de perte de machine auxiliaire],[soustraction de perte de machine auxiliaire];

Plus de détails dans l’aide en ligne.

VT_BOOL

Use_in_ProcRec

Activer l'enregistrement

Active/désactive la variable ou le type de données enregistré dans le module Process Recorder.
La sélection multiple de variables est possible.

  • Active :
    Les changements de valeur de la variable sont enregistrés dans le module Process Recorder.
    Attention : Assurez-vous que l’activation générale de l’enregistrement a été configurée dans la propriété Activer Process Recorder.
  • Inactive :
    Les changements de valeur de la variable ne sont pas enregistrés dans le module Process Recorder.

Par défaut : les paramètres configurés sont appliqués pour le type de données utilisé.

Plus de détails dans l’aide en ligne.


Syskron variable ED

Manuel -> Interfaces de programmation -> Modèles d'objet -> Variable -> Variable-Dynamic properties -> Syskron variable ED

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Type

VBA/VSTA Name

Display Name

Description

VT_I4

Syskron_LDS_FKT_RD

Syskron_LDS Function Read

Définissez la fonction d’accès en lecture. Cliquez sur le bouton pour ouvrir la boîte de dialogue de sélection de fonctions d’accès. Vous pouvez également saisir le nom de la fonction d’accès dans la zone de texte.

Plus de détails dans l’aide en ligne.

VT_I4

Syskron_LDS_FKT_WR

Syskron_LDS Function Write

Définissez la fonction d’accès en écriture. Cliquez sur le bouton pour ouvrir la boîte de dialogue de sélection de fonctions d’accès. Vous pouvez également saisir le nom de la fonction d’accès dans la zone de texte.

Plus de détails dans l’aide en ligne.

VT_BSTR

Syskron_LDS_PARAM_RD

Syskron_LDS Parameters Read

Définissez tous les paramètres de la fonction. Cliquez sur le bouton pour ouvrir la boîte de dialogue et saisir les paramètres qui seront transmis à la fonction pour être lus durant le Runtime.

Plus de détails dans l’aide en ligne.

VT_BSTR

Syskron_LDS_PARAM_WR

Syskron_LDS Parameters Write

Définissez tous les paramètres de la fonction. Cliquez sur le bouton pour ouvrir la boîte de dialogue et saisir les paramètres qui seront transmis à la fonction pour être écrits durant le Runtime. Le dernier paramètre est toujours la valeur prescrite envoyée par zenon.

Plus de détails dans l’aide en ligne.

VT_BOOL

IsLocalDigits

IsLocalDigits

"With this property you have the opportunity to decide whether the ""Decimals"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalSignalMin

IsLocalSignalMin

"With this property you have the opportunity to decide whether the ""Minimum signal resolution"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalSignalMax

IsLocalSignalMax

"With this property you have the opportunity to decide whether the ""Maximum signal resolution"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalRangeMin

IsLocalRangeMin

"With this property you have the opportunity to decide whether the ""Minimum measuring range"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalRangeMax

IsLocalRangeMax

"With this property you have the opportunity to decide whether the ""Maximum measuring range"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalAlternateValue

IsLocalAlternateValue

"With this property you have the opportunity to decide whether the ""Alternate value"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalValueMin

IsLocalValueMin

"With this property you have the opportunity to decide whether the ""Minimum set value"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalValueMax

IsLocalValueMax

"With this property you have the opportunity to decide whether the ""Maximum set value"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalUseMacro

IsLocalUseMacro

"With this property you have the opportunity to decide whether the ""Non linear value adjustment with macros"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalInOut

IsLocalInOut

"With this property you have the opportunity to decide whether the ""Setting values active"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalHystNeg

IsLocalHystNeg

"With this property you have the opportunity to decide whether the ""negative hysteresis"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalHystPos

IsLocalHystPos

"With this property you have the opportunity to decide whether the ""negative hysteresis"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalArchHystNeg

IsLocalArchHystNeg

VT_BOOL

IsLocalArchHystPos

IsLocalArchHystPos

VT_BOOL

IsLocalUpdatePriority

IsLocalUpdatePriority

"With this property you have the opportunity to decide whether the ""Priority of the driver connection"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalDDEaktiv

IsLocalDDEaktiv

"With this property you have the opportunity to decide whether the ""DDE active"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalStandby

IsLocalStandby

"With this property you have the opportunity to decide whether the ""Only read from standby"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalRemaActiv

IsLocalRemaActiv

"With this property you have the opportunity to decide whether the ""Reaction matrix active"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalRema

IsLocalRema

"With this property you have the opportunity to decide whether the ""Reaction matrix"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalHDActive

IsLocalHDActive

"With this property you have the opportunity to decide whether the ""HD active"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalHDUpdate

IsLocalHDUpdate

"With this property you have the opportunity to decide whether the ""HD scan rate"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalHDSize

IsLocalHDSize

"With this property you have the opportunity to decide whether the ""Number of HD values"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalKDAActiv

IsLocalKDAActiv

"With this property you have the opportunity to decide whether the ""Recording type"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalStingLength

IsLocalStingLength

"With this property you have the opportunity to decide whether the ""String length"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalQuitPV

IsLocalQuitPV

"With this property you have the opportunity to decide whether the ""Acknowledgement variable"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalViewQuitPV

IsLocalViewQuitPV

Description as text.

VT_BOOL

IsLocalQuitValue

IsLocalQuitValue

"With this property you have the opportunity to decide whether the ""Acknowledgement value"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalTagname

IsLocalTagname

"With this property you have the opportunity to decide whether the ""Identification"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalUnit

IsLocalUnit

"With this property you have the opportunity to decide whether the ""Unit"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalAltValString

IsLocalAltValString

"With this property you have the opportunity to decide whether the ""String alternative value"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalRecLabel

IsLocalRecLabel

"With this property you have the opportunity to decide whether the ""Ressources label"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalAdjustHW

IsLocalAdjustHW

"With this property you have the opportunity to decide whether the ""AdjustHardwareValue"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalAdjustZenon

IsLocalAdjustZenon

"With this property you have the opportunity to decide whether the ""AdjustZenOnValue"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalArraySize

IsLocalArraySize

"With this property you have the opportunity to decide whether the ""Array size"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalCounterGroup

IsLocalCounterGroup

VT_BOOL

IsLocalMaxGradient

IsLocalMaxGradient

VT_BOOL

IsLocalNormalStateActive

IsLocalNormalStateActive

VT_BOOL

IsLocalNormalState

IsLocalNormalState

VT_BOOL

IsLocalAlarmPV0

IsLocalAlarmPV0

"With this property you have the opportunity to decide whether the ""Alarm Variable 1"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalAlarmPV1

IsLocalAlarmPV1

"With this property you have the opportunity to decide whether the ""Alarm Variable 2"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalAlarmPV2

IsLocalAlarmPV2

"With this property you have the opportunity to decide whether the ""Alarm Variable 3"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalVarInASM

IsLocalVarInASM

"With this property you have the opportunity to decide whether the ""Save in IPA database"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalAlarmDomain

IsLocalAlarmDomain

"With this property you have the opportunity to decide whether the ""Alarm area"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalAlarmDomain2

IsLocalAlarmDomain2

Description as text.

VT_BOOL

IsLocalAlarmDomain3

IsLocalAlarmDomain3

Description as text.

VT_BOOL

IsLocalAlarmDomain4

IsLocalAlarmDomain4

Description as text.

VT_BOOL

IsLocalLocking

IsLocalLocking

"With this property you have the opportunity to decide whether the ""Interlocking"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalSBO

IsLocalSBO

"With this property you have the opportunity to decide whether the ""Select before operate"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalCancelOperate

IsLocalCancelOperate

Description

VT_BOOL

IsLocalAlarmViaEquipmentModel

IsLocalAlarmViaEquipmentModel

Description

VT_BOOL

IsLocalUsedInProcRec

IsLocalUsedInProcRec

Description

VT_UI1

IsSWProtokol

IsSWProtokol

VT_BOOL

IsSW_Akt

IsSW_Akt

VT_BOOL

IsSW_VBA

IsSW_VBA

More...

Limits

Valeurs limite

Propriétés définissant le traitement des valeurs limites ou le traitement des alarmes pour la variable.

Les propriétés de ce groupe sont uniquement disponibles si vous avez activé la propriété Matrice de réaction active.

Plus de détails dans l’aide en ligne.

VT_UI4

ID_ComplexVariable

ID_ComplexVariable

With this property you have the opportunity to get/set the ID of a variable from a structure element. This ID is 0 when the variable has no structure datatype.

VT_BSTR

Name

Nom

Nom unique de la variable. Les considérations suivantes s’appliquent lors de la définition du nom :

  • Longueur maximale : 128 caractères
  • Caractères non autorisés : # et @

Remarque : pour les drivers utilisant la connexion à zenon Logic, vous devez définir un préfixe. Pour plus de détails, reportez-vous au chapitre Création de variables O et M dans zenon Logic dans le manuel.
Toute modification du nom de la variable doit également être effectuée dans l’environnement de programmation (VBA, VSTA).

Attention : Cette propriété n’est pas disponible aux fins de la commutation de langue.

Plus de détails dans l’aide en ligne.

VT_BSTR

Tagname

Identification

Chaîne libre utilisée pour l’identification de la variable ou du type de données.
Remarque : Puisque la langue du nom de la variable (propriété Nom) ne peut pas être modifiée, cette propriété peut être utilisée pour le changement de langue en ligne.

Longueur maximale : 128 caractères

Plus de détails dans l’aide en ligne.

VT_BSTR

Unit

Unité de mesure

Unité technique de la variable devant être affichée dans le Runtime. Si vous avez déjà créé des unités de mesure dans le module d’unités de base, celles-ci sont disponibles dans une liste déroulante.
Maximum : 50 caractères.
Par défaut : vide

Plus de détails dans l’aide en ligne.

VT_R8

AlternateValue

Archivfüllwert

Cette valeur est utilisée pour renseigner les archives cycliques. En présence d’intervalles durant lesquels aucune connexion au matériel n’a été établie, cette valeur est utilisée tant qu’aucune valeur n’est transférée depuis l’équipement. Dans le cas contraire, la dernière valeur valide utilisée est utilisée aux fins du renseignement.

Plus de détails dans l’aide en ligne.

VT_BSTR

AlternateValueString

Valeur chaîne pour le remplissage des archives

Cette valeur est utilisée pour les variables de chaîne, afin de renseigner les archives cycliques.
En présence d’intervalles, dans les archives cycliques, durant lesquels aucune connexion au matériel n’a été établie, cette Valeur chaîne pour le remplissage des archives est utilisée tant qu’aucune valeur n’est transférée depuis l’équipement. Dans le cas contraire, la dernière valeur valide est utilisée pour le renseignement.

Longueur maximale : 128 caractères

Attention : Cette propriété n’est pas disponible aux fins de la commutation de langue.

Plus de détails dans l’aide en ligne.

VT_BSTR

Recourceslabel

Description externe

Chaîne au choix.
N'est pas utilisé au niveau interne dans zenon, mais est disponible lors de l’exportation de valeurs pour autoriser l’attribution des valeurs exportées pour les systèmes de gestion tels qu’ERP.

Longueur maximale : 255 caractères

Plus de détails dans l’aide en ligne.

VT_UI4

NetAddr

Adresse réseau

Adresse de bus ou Adresse réseau de la variable.

  • Minimum : 0
  • Maximum : 4294967295

Par défaut : 0

Plus de détails dans l’aide en ligne.

VT_UI4

DataBlock

Bloc de données

Numéro de bloc de données.
Minimum : 0.
Maximum : 4294967295
Par défaut : 0.

Plus de détails dans l’aide en ligne.

VT_UI4

Offset

Offset

Décalage de la variable.
Pour les contrôleurs à adressage linéaire : plage de mémoire.
Pour les contrôleurs à résolution de nom : adresse d’attribution.
Minimum : 0.
Maximum : 4294967295
Par défaut : 0.

Plus de détails dans l’aide en ligne.

VT_UI2

BitAddr

Numéro de bit

Numéro du bit dans le décalage configuré.
Minimum : 0.
Maximum : 65535
Par défaut : 0.

Plus de détails dans l’aide en ligne.

VT_UI2

Alignment

Alignement

Ceci dépend de la granularité du type d’objet du driver et de la position de la variable conformément au décalage défini.

Pour les variables de type Octet :
Octet poids fort : octet de poids fort dans le décalage de mot.
Octet poids faible : Otet de poids faible dans le décalage de mot.
HiWord-HiByte octet de poids fort dans le mot fort dans le décalage de double mot.
HiWord-LoByte (Mot poids fort-Octet poids faible) octet de poids faible dans le mot fort dans le décalage de double mot.
Mot poids faible-Octet poids fort : octet de poids fort dans le mot faible dans le décalage de double mot.
Mot poids faible-Octet poids faible : octet de poids faible dans le mot faible dans le décalage de double mot.

Pour les variables de mot :
Mot poids fort : mot fort dans le décalage de double mot.
Mot poids faible : Mot poids faible dans le décalage de double mot.

Plus de détails dans l’aide en ligne.

VT_UI2

StringLength

Longueur de la chaîne

Disponible uniquement pour les variables de type chaîne.
Nombre maximum de caractères que peut accepter une variable.
Minimum : 1 caractère
Si la valeur non autorisée 0 est saisie, la dernière valeur configurée valide est automatiquement utilisée. Si aucune valeur valide n’a été configurée, l’entrée est remplacée par la valeur par défaut.
Maximum : 65535 caractères.
Par défaut : 5 caractères

Remarque : la valeur par défaut est 65 535 pour les variables système avec le type de données String.

Plus de détails dans l’aide en ligne.

VT_BSTR

SymbAddr

Adresse symbolique

Séquence de caractères pour l’adressage symbolique des variables.

Longueur maximale : 1024 caractères.

Remarque : L’adresse symbolique n’est pas prise en charge par tous les drivers.
Lors de l’importation des variables dans des drivers compatibles avec l’adressage symbolique, la propriété est saisie automatiquement.

Plus de détails dans l’aide en ligne.

VT_UI4

Driver

Drivers

VT_UI4

ID_DataTyp

Type de données

Type de donnée pour la variable. Sélectionné durant la création de la variable ; peut être modifié ici ultérieurement.
Remarque : Pour les variables de structure, le type de données ne peut plus être modifié après la création des variables.
Attention : Si vous modifiez le type de données ultérieurement, toutes les autres propriétés de la variable doivent être vérifiées et ajustées, si nécessaire.

Plus de détails dans l’aide en ligne.

VT_UI4

ID_DriverTyp

Type d'objet driver

Selon le driver utilisé, un type d’objet est sélectionné durant la création de la variable et peut être modifié ici ultérieurement.
Siemens : bloc de données, marqueur, entrée/sortie.
Modbus : Coil et Holding Register.

Plus de détails dans l’aide en ligne.

VT_UI1

UpdatePriority

Priorité

Si l’heure de mise à jour globale spécifiée dans la configuration du driver n’est pas utilisée, la fréquence des mises à jour correspondant aux différents niveaux de priorité peut être définie ici. Dans cette propriété, une priorité est attribuée à une variable.

Plus de détails dans l’aide en ligne.

VT_BOOL

Standby

Lire uniquement sur le serveur redondant

Active : La valeur de la variable provenant du serveur redondant est affichée.
Inactive : La valeur de la variable provenant du serveur est affichée.
(drivers matériels uniquement)

Plus de détails dans l’aide en ligne.

VT_UI2

Digits

Nombre de décimales

Nombre de décimales des valeurs de variables utilisées lors de l’affichage dans le système de contrôle.
Minimum : 0
Maximum : 10
Par défaut : 0

Plus de détails dans l’aide en ligne.

VT_R8

SignalMin

Signal min.

Valeur minimum de la variable dans l’automate.
À moins d’être définie différemment dans la propriété Ajustement non-linéaire, la valeur brute des variables (résolution du signal) sera toujours convertie au format de la plage de mesure sur une base linéaire (pour une utilisation dans le système de contrôle). Toutes les autres entrées de valeurs numériques spécifiques à la variable dans Editor et dans le Runtime seront liées à la plage de mesures (par ex. définition des valeurs limites, limites des valeurs prescrites, zone de représentation, entrées de valeurs prescrites, etc.).

Plus de détails dans l’aide en ligne.

VT_R8

SignalMax

Signal max.

Valeur maximum de la variable dans l’automate. À moins d’être définie différemment dans la propriété Ajustement non-linéaire, la valeur brute des variables (résolution du signal) sera toujours convertie au format de la plage de mesure sur une base linéaire (pour une utilisation dans le système de contrôle). Toutes les autres entrées de valeurs numériques spécifiques à la variable dans Editor et dans le Runtime seront liées à la plage de mesures (par ex. définition des valeurs limites, limites des valeurs prescrites, zone de représentation, entrées de valeurs prescrites, etc.).

Plus de détails dans l’aide en ligne.

VT_R8

RangeMin

Plage de mesure min.

Valeur minimum des variables dans zenon.
À moins d’être définie différemment dans la propriété Ajustement non-linéaire, la valeur brute des variables (résolution du signal) sera toujours convertie au format de la plage de mesure sur une base linéaire (pour une utilisation dans le système de contrôle). Toutes les autres entrées de valeurs numériques spécifiques à la variable dans Editor et dans le Runtime seront liées à la plage de mesures (par ex. définition des valeurs limites, limites des valeurs prescrites, zone de représentation, entrées de valeurs prescrites, etc.).

Plus de détails dans l’aide en ligne.

VT_R8

RangeMax

Plage de mesure max.

Valeur maximum des variables dans zenon.
À moins d’être définie différemment dans la propriété Ajustement non-linéaire, la valeur brute des variables (résolution du signal) sera toujours convertie au format de la plage de mesure sur une base linéaire (pour une utilisation dans le système de contrôle). Toutes les autres entrées de valeurs numériques spécifiques à la variable dans Editor et dans le Runtime seront liées à la plage de mesures (par ex. définition des valeurs limites, limites des valeurs prescrites, zone de représentation, entrées de valeurs prescrites, etc.).

Plus de détails dans l’aide en ligne.

VT_BOOL

UseMacro

Ajustement non-linéaire avec macros

L’ajustement de valeurs non linéaires est utilisé pour les variables dont la valeur originale (automate) ne peut pas être ajustée de manière linéaire en fonction de la valeur mesurée (système de contrôle).

  • Active : Les valeurs brutes sont ajustées en fonction de zenon, sur une base non linéaire, avec des macros VBA.
  • Inactive : Les valeurs brutes sont ajustées en fonction de zenon.

Remarque : Lors de l’activation de la propriété, les propriétés AdjustHardwareValue et AdjustScadaValue doivent également être configurées. La propriété AdjustHardwareValue doit alors être configurée à l’inverse de la propriété AdjustScadaValue, sous forme de fonction inverse.

Par défaut : Inactive

Plus de détails dans l’aide en ligne.

ZT_VBAMAKRO

AdjustHardware

AdjustHardwareValue

Disponible uniquement si la propriété Ajustement non-linéaire avec macros est active.

Macro appelée à chaque modification de la valeur brute dans l’automate, et qui modifie la valeur dans zenon. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de macros.
Plus de détails dans l’aide en ligne.

ZT_VBAMAKRO

AdjustZenon

AdjustScadaValue

Disponible uniquement si la propriété Ajustement non-linéaire avec macros est active.

La macro est appelée lors de l’écriture d’une valeur depuis zenon et modifie la valeur brute sur l’automate. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de macros.
Plus de détails dans l’aide en ligne.

VT_R8

HystNeg

Négatif pour le signal

Hystérésis des valeurs limites définies en fonction de la plage du signal.

Plage d’hystérésis pour l’entrée en cas de changement de valeur avec diminution. Les valeurs sont uniquement interprétées comme des dépassements de valeur limite si la valeur changeante est inférieure à la plage d’hystérésis définie ici.
Par défaut : 0 (pas d’hystérésis)

Plus de détails dans l’aide en ligne.

VT_R8

HystPos

Positif pour le signal

Hystérésis des valeurs limites définies en fonction de la plage du signal.

Plage d’hystérésis pour l’entrée en cas de changement de valeur avec augmentation. Les valeurs sont uniquement interprétées comme des dépassements de valeur limite si la valeur changeante est supérieure à la plage d’hystérésis définie ici.
Par défaut : 0 (pas d’hystérésis)

Plus de détails dans l’aide en ligne.

VT_R8

ArchHystNeg

Négatif pour l'archive

Hystérésis d’archivage en cas de changement appliquée à la plage de mesure.

Plage d’hystérésis pour l’entrée en cas de changement de valeur avec diminution. Les valeurs sont uniquement saisies dans l’archive si la valeur changeante est inférieure à la plage d’hystérésis définie ici.
Par défaut : 0 (pas d’hystérésis)

Plus de détails dans l’aide en ligne.

VT_R8

ArchHystPos

Positif pour l'archive

Hystérésis d’archivage en cas de changement appliquée à la plage de mesure.

Plage d’hystérésis pour l’entrée en cas de changement de valeur avec augmentation. Les valeurs sont uniquement saisies dans l’archive si la valeur changeante est supérieure à la plage d’hystérésis définie ici.
Par défaut : 0 (pas d’hystérésis)

Plus de détails dans l’aide en ligne.

VT_BOOL

DDEActive

Variable lue en permanence

Paramètre de lecture de la variable et de sa disponibilité via DDE dans le Runtime :

  • Active : La variable est toujours connectée au driver. Cela signifie qu’elle est continuellement lue par le driver, même si elle n’est pas nécessaire dans le projet à cet instant précis. Le driver connaît ainsi toujours les valeurs actuelles et l’état actuel des variables et peut les fournir immédiatement, si nécessaire. La variable est également disponible pour les autres applications Windows (par exemple, Excel, Visual Basic, etc.). Les applications Windows possédant une fonctionnalité de client DDE peuvent ainsi utiliser les valeurs de la variable.
    Temps d’actualisation : 0,5 s
    L'activation de cette option offre par exemple l’avantage de basculer plus rapidement les valeurs de variables dans la fonction Ecriture valeur prescrite ou dans l’élément Appel de synoptique, car il n’est pas nécessaire d’interroger spécialement la variable avant la commutation. L’inconvénient est une augmentation de la charge des communications au niveau du contrôleur.
  • Inactive : La variable n’est pas interrogée en permanence par le driver, mais uniquement en cas de demande de valeurs ou d’états dans le Runtime. Elle n’est donc pas disponible dans les autres applications Windows via DDE.

Par défaut : Inactive

Plus de détails dans l’aide en ligne.

VT_UI4

ArraySizeOld

Dimension tableau

Définition de la taille de l’ensemble de blocs. La taille définie est lue ou écrite par le driver durant une demande de lecture/d’écriture. Ceci permet de garantir la cohérence des données dans le texte. Les données peuvent uniquement être modifiées dans le module Recipegroup Manager ou via l’interface de programmation.
Attention : peut être défini au niveau du driver interne, toutefois sans fonction dans le Runtime (valeur toujours égale à 0).

Plus de détails dans l’aide en ligne.

VT_UI4

CounterGroup

Groupe de compteur

Disponible uniquement dans SICAM 230.

VT_UI4

MaxGradient

Gradient maximum

Disponible uniquement dans SICAM 230.

VT_BOOL

NormalStateActive

Actif

Permet de définir un état normal pour les variables et les types de données du type BOOL, UINT et WORD pour tous les drivers.

Active : Un état normal peut être défini.

Par défaut : Inactive

Plus de détails dans l’aide en ligne.

VT_BOOL

NormalState

Valeur normale

Dans la liste déroulante, choisissez si la valeur normale de cette variable ou ce type de données doit être On (Active) ou Off (Inactive). Disponible pour les variables et les types de données du type BOOL, UINT et WORD pour tous les drivers.

Par défaut : Off

Plus de détails dans l’aide en ligne.

ZT_VARIABLE

AlarmPV0

Variable d'alarme 1

Disponible uniquement dans SICAM 230.
Première variable pour la gestion d’alarmes de synoptiques.

Plus de détails dans l’aide en ligne.

ZT_VARIABLE

AlarmPV1

Variable d'alarme 2

Disponible uniquement dans SICAM 230.
Deuxième variable pour la gestion d’alarmes de synoptiques.

Plus de détails dans l’aide en ligne.

ZT_VARIABLE

AlarmPV2

Variable d'alarme 3

Disponible uniquement dans SICAM 230.
Troisième variable pour la gestion d’alarmes de synoptiques.

Plus de détails dans l’aide en ligne.

VT_BOOL

HDActive

Stockage de données sur disque dur actif

Active : les valeurs de variables sont enregistrées sur le disque dur (enregistrement circulaire) pour être évaluées dans l’élément dynamique "Élément de tendance" ou pour l’exportation/l’importation des valeurs.

Inactive : aucune valeur de variable n’est enregistrée.

Par défaut : inactive

Les données de disque dur nécessitent 24 octets d’espace de stockage par valeur, indépendamment du type de variable. Outre la valeur, les informations suivantes sont enregistrées :
- Heure d’exécution de la mesure.
- Millisecondes lors de la lecture de la valeur.
- Modification de l’état de la valeur en fonction des éléments.
- Compteur pour l’identification unique de la valeur (driver événementiel).

Remarque : Le stockage de données est également activé lors d’un appel de synoptique de type Extended Trend si des données en ligne sont analysées.
Les variables de type chaîne ne sont pas prises en charge par la fonction de stockage de données sur le disque dur.

Attention : si l’option d’enregistrement sur disque dur est activée pour un trop grand nombre de variables, en présence d’un trop grand nombre de valeurs, les performances du Runtime peuvent être altérées.

Plus de détails dans l’aide en ligne.

VT_R4

HDUpdate

Temps de cycle [s]

Disponible uniquement si la propriété Stockage de données sur disque dur actif est active :
Durée de l’intervalle [en secondes] de conservation des valeurs en ligne sur le disque dur (mémoire circulaire) pour l’analyse dans l’élément dynamique Tendance, pour les données en ligne dans le module Extended Trend ou pour l’exportation/l’importation de valeurs.

Plus de détails dans l’aide en ligne.

VT_UI4

HDSize

Nombre de valeurs

Valeur correspondant à l’intervalle de conservation des valeurs en ligne sur le disque dur (mémoire circulaire) pour l’analyse dans l’élément dynamique Tendance, pour les données en ligne dans le module Extended Trend ou pour l’exportation/l’importation de valeurs.

Attention : si l’option d’enregistrement sur disque dur est activée pour un trop grand nombre de variables, en présence d’un trop grand nombre de valeurs, les performances du Runtime peuvent être altérées.

Plus de détails dans l’aide en ligne.

VT_BOOL

IsKDAActiv

Type d'enregistrement

Disponible uniquement si la propriété Stockage de données sur disque dur actif est active :
Données de disque dur (cyclique) : Écriture cyclique des valeurs sur le disque dur.
Valeurs retriées (RDA) : Les valeurs sont écrites bloc par bloc sur le disque dur par le driver. (Fonction adaptée à l’analyse rétrospective des erreurs au niveau du système de contrôle.)

Plus de détails dans l’aide en ligne.

VT_BOOL

ExternVisible

Visible extérieurement pour

Disponible uniquement si la propriété Visible par d'autres programmes est active.

Spécifiez expressément les projets de zenon Logic pour lesquels la variable doit être visible. Si vous laissez le champ de saisie vide, la variable est visible pour tous les projets zenon Logic. Vous pouvez également saisir des projets zenon Logic de manière expresse. Séparez les noms des projets individuels par un point-virgule (";"). Vous pouvez utiliser les opérateurs. Par exemple, P1* signifie tous les projets zenon Logic commençant par P1. (Remarque : les opérateurs sont uniquement autorisés sous forme de préfixe ou de suffixe, par exemple, *xxx ou xxx*.

Le nombre de caractères est limité à 64.

Par défaut : -

Plus de détails dans l’aide en ligne.

VT_BSTR

ExternVisibleFor

Visible extérieurement pour

Disponible uniquement si la propriété Visible par d'autres programmes est active.

Spécifiez expressément les projets de zenon Logic pour lesquels la variable doit être visible. Si vous laissez le champ de saisie vide, la variable est visible pour tous les projets zenon Logic. Vous pouvez également saisir des projets zenon Logic de manière expresse. Séparez les noms des projets individuels par un point-virgule (";"). Vous pouvez utiliser les opérateurs. Par exemple, P1* signifie tous les projets zenon Logic commençant par P1. (Remarque : les opérateurs sont uniquement autorisés sous forme de préfixe ou de suffixe, par exemple, *xxx ou xxx*.

Le nombre de caractères est limité à 64.

Par défaut : -

Plus de détails dans l’aide en ligne.

VT_BOOL

ReadWrite

Ecriture/lecture externe

Propriété externe pour zenon Logic. Affecte uniquement les variables qui ne forment pas partie du driver straton.
Active : la valeur de la variable ne peut pas être modifiée dans zenon Logic. La définition de la variable ne peut pas être modifiée dans zenon Logic.
Inactive : la variable ne peut pas être modifiée dans zenon Logic.
Par défaut : active.

Plus de détails dans l’aide en ligne.

VT_BSTR

InitialValue

Valeur initiale externe

Propriété externe pour zenon Logic. Affecte uniquement les variables qui ne forment pas partie du driver straton.
Valeur initiale de la variable dans zenon Logic durant une reprise graduelle ou une reprise intermédiaire.
La saisie autorisée ici dépend du type de données de la variable. Par exemple, vous pouvez uniquement utiliser des valeurs sans décimales pour les variables entières. Pour les variables à virgule flottante, un point doit être utilisé en tant que séparateur décimal ; les virgules ne peuvent pas être utilisées.
Le système de contrôle ne vérifie pas la validité de cette saisie. Ceci peut générer un message d’erreur dans zenon Logic.

Attention : lors de l’utilisation de variables du driver interne, cette propriété doit posséder la même valeur que la valeur initiale dans les paramètres des variables internes.

Plus de détails dans l’aide en ligne.

VT_BSTR

Profilename

Nom profil externe

Propriété externe pour zenon Logic. Affecte uniquement les variables qui ne forment pas partie du driver straton.
Nom du profil défini dans zenon Logic (par ex. STRATON, ProfDP).

Cette propriété est uniquement affichée pour information. Édition dans zenon Logic uniquement.

Plus de détails dans l’aide en ligne.

VT_BSTR

Adressparam

Paramètre externe d'adresse

Propriété externe pour zenon Logic. Affecte uniquement les variables qui ne sont pas des variables du driver straton.
Propriétés de profil dans zenon Logic (par ex. "intégré" ou paramètres d’adressage de Profibus).

Cette propriété est uniquement affichée pour information. Édition dans zenon Logic uniquement.

Plus de détails dans l’aide en ligne.

VT_BSTR

Vargroup

Groupe de variables externe

Propriété externe pour zenon Logic. Affecte uniquement les variables qui ne sont pas des variables du driver straton32.
Groupes de variables dans zenon Logic ("Global" ou "Retain" ou vides).

Cette propriété est uniquement affichée pour information. Édition dans zenon Logic uniquement.

Plus de détails dans l’aide en ligne.

VT_BOOL

IsRemaActiv

Matrice de réaction active

Active : Une matrice de réaction est utilisée à la place des valeurs de limite.
Inactive : Les valeurs peuvent être définies pour la variable.
Par défaut : inactive.

Plus de détails dans l’aide en ligne.

ZT_REMA

Rema

Matrice de réaction

Propriétés d’utilisation d’une matrice de réaction pour la variable.

Plus de détails dans l’aide en ligne.

ZT_VARIABLE

AlarmQuitPV

Valeur d'acquittement

Si une alarme de cette variable est acquittée visuellement, la variable sélectionnée sous Variable d'acquittement visuel ou Variable d'acquittement est définie sur cette valeur.

Sélection de 0 ou 1.

Plus de détails dans l’aide en ligne.

ZT_VARIABLE

AlarmViewQuitPV

Variable d'acquittement visuel

Si une alarme de la variable de contrôle est acquittée visuellement, la valeur de la variable d’acquittement visuel est définie sur la valeur définie par Valeur d'acquittement.

Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de variables binaires.

Plus de détails dans l’aide en ligne.

VT_UI4

AlarmQuitPVValue

Valeur d'acquittement

Si une alarme de cette variable est acquittée visuellement, la variable sélectionnée sous Variable d'acquittement visuel ou Variable d'acquittement est définie sur cette valeur.

Sélection de 0 ou 1.

Plus de détails dans l’aide en ligne.

VT_BOOL

VarInASM

Enregistrer dans la base IPA

Active : les alarmes de cette variable sont disponibles pour analyse dans le module Industrial Performance Analyzer (IPA).
Inactive : les alarmes de cette variable ne sont prises en compte lors de l’analyse dans le module Industrial Performance Analyzer (IPA).
Par défaut : Inactive

Attention : le module Industrial Performance Analyzer est un module optionnel, qui doit comporter une licence valide pour pouvoir être utilisé ici.

Plus de détails dans l’aide en ligne.

VT_BOOL

AlarmViaEquipmentModel

Utiliser la gestion d'alarmes hiérarchiques du modèle d'équipement

Type d’attribution de la variable à un domaine d’alarmes.

  • Active :
    Le domaine d’alarmes de la variable est transféré par le modèle d’équipement. L’alarme de la variable est applicable aux domaines d’alarmes définis dans le modèle d’équipement. Dans ce cas, le groupe d’équipements de la variable et le groupe d’équipements de niveau supérieur du modèle d’équipement sont pris en compte.
  • Inactive :
    L'alarme sur la variable est applicable aux domaines d’alarmes 1 à 4 de la gestion d’alarmes.

Remarque : Si cette propriété est activée pour un type de données, les paramètres de toutes les variables issues de celle-ci sont transférés.

Plus de détails dans l’aide en ligne.

ZT_BSTR_REF

AreaName

AreaName

Description as text.

ZT_BSTR_REF

AreaName2

AreaName2

Description as text.

ZT_BSTR_REF

AreaName3

AreaName3

Description as text.

ZT_BSTR_REF

AreaName4

AreaName4

Description as text.

VT_BOOL

InOut

Ecrire valeur prescrite

Active : cette variable est libérée pour l’action Spécifier valeur prescrite.
Inactive : cette variable est protégée en écriture.
Par défaut : Active

Plus de détails dans l’aide en ligne.

VT_BOOL

SBO

Select Before Operate

Attention : Cette fonctionnalité est uniquement compatible avec les drivers IEC870 et IEC850, et uniquement disponible si vous avez sélectionné l’option Commande commutation pour la propriété de type d’action dans Gestion des commandes, et l’action est mise en œuvre sous forme d’action à deux étapes. N’utilisez pas cette fonction pour le driver DNP3_NG ; Auto-SBO peut être configuré directement pour la variable, dans ce cas.

Active : Avant que la valeur de la variable ne soit écrite dans le matériel, zenon vérifie, pendant la première phase de la commande de commutation, si la variable dans l’équipement est prête pour cette action (Select before Operate (SBO)).
Attention : Pour les commandes impulsion, la réinitialisation automatique des valeurs des variables n’est pas effectuée dans l’intervalle de temps défini dans la propriété de délai de front.

Si la propriété SBO a été activée pour la variable d’action, une commande d’impulsion se comporte de la même manière qu’une commande de commutation.

Inactive : La valeur de la variable est transférée vers le driver sans vérification préalable.

Remarque : dans un driver IEC870, cela signifie une instruction Direct execute. Le driver IEC850 peut toutefois déclencher automatiquement une instruction Select before Operate , en raison du Control Model.
Par défaut : Inactive :
Plus de détails dans l’aide en ligne.

VT_BOOL

CancelOperate

Annuler 'Operate'

Si cette propriété est activée, il est possible d’envoyer une commande Cancel après une commande Operate lors de la gestion des commandes.

Remarque : Cette propriété est uniquement dans la version Energy Edition.

Par défaut : Inactive

Plus de détails dans l’aide en ligne.

VT_R8

ValueMin

Valeur prescrite min.

La valeur minimum définie ici pour le paramètre Écrire valeur prescrite peut être acceptée par le biais d’éléments dynamiques, plutôt que par la configuration séparée de ces derniers.
Ceci est surtout recommandé si la plage de la mesure est susceptible de varier ultérieurement, car ces modifications peuvent être effectuées une fois ici, au lieu d’être modifiées séparément dans chaque élément.

Plus de détails dans l’aide en ligne.

VT_R8

ValueMax

Valeur prescrite max.

La valeur maximum définie ici pour le paramètre Écrire valeur prescrite peut être acceptée par le biais d’éléments dynamiques, plutôt que par la configuration séparée de ces derniers.
Ceci est surtout recommandé si la plage de la mesure est susceptible de varier ultérieurement, car ces modifications peuvent être effectuées une fois ici, au lieu d’être modifiées séparément dans chaque élément.

Plus de détails dans l’aide en ligne.

VT_BSTR

LockingName

LockingName

"With this property you have the opportunity to assign an interlocking via its name.
zElement.DynProperties(""LockingName"") = ""Interlocking 1"""

VT_UI1

SetValueProtocol

Enregistrement (fichier journal)

Définit la manière dont l’écriture de la valeur prescrite sera consignée dans la liste CEL.

  • Tout : Toutes les actions Écrire valeur prescrite de cette variable exécutées via des éléments dynamiques et les fonctions Écrire valeur prescrite sont consignées dans la liste d’événements. (CEL)
  • Rien : aucune action Spécifier valeur prescrite n’est consignée dans la liste CEL.
  • Seulement sur élément dynamique : Seules les actions Écrire valeur prescrite exécutées via les éléments dynamiques sont consignées dans la liste CEL.

Par défaut : Uniquement les éléments dynamiques :

Plus de détails dans l’aide en ligne.

VT_BOOL

SV_Act

Ancienne et nouvelle valeur
  • Active : en cas de modification de la valeur prescrite de cette variable, les valeurs ancienne et nouvelle sont consignées dans la liste d’événements (CEL).
  • Inactive : Seule la nouvelle valeur est consignée.

Par défaut : Inactive

Recommandation : Activez la propriété Variable lue en permanence. Ceci permet de garantir que la valeur est toujours disponible, et qu’il n’est pas nécessaire de l’interroger spécialement.

Plus de détails dans l’aide en ligne.

VT_BOOL

SV_VBA

Valeurs modifiées par VBA

Active : L’écriture de la valeur prescrite de cette variable via une macro VBA est consignée dans la liste d’événements.
inactive : l’écriture de la valeur prescrite de cette variable via une macro VBA n’est pas consignée.
Par défaut : Active

Remarque : pour les variables configurées sous forme de variables de commande dans la passerelle de procédé IEC870, chaque commande est consignée sous la forme Spécifier valeur prescrite via l’interface COM dans la liste CEL, si la propriété est activée.

Plus de détails dans l’aide en ligne.

VT_BSTR

VisualName

Nom visuel

Saisie d’un nom d’affichage de la variable dans zenon Analyzer. Celui-ci doit être unique dans le projet, mais ceci n’est pas vérifié dans zenon. Cette vérification est effectuée lors de l’importation dans zenon Analyzer.

Cette propriété fournit des informations qui sont utilisées pour la configuration de rapports dans zenon Analyzer. L’exportation des données de zenon vers zenon Analyzer est effectuée à l’aide de l’assistant Analyzer Export Wizard.

Attention : Si cette propriété est modifiée après la première exportation vers zenon Analyzer, ces modifications ne sont appliquées dans zenon Analyzer.

Plus de détails dans l’aide en ligne.

VT_BSTR

Meaning

Signification

Cette propriété fournit des informations qui sont utilisées par la fonction de configuration de rapports dans zenon Analyzer.
Les données peuvent être définies manuellement ou à l’aide de l’assistant Meaning and Waterfall Chart Wizard. L’exportation des données de zenon vers zenon Analyzer est effectuée à l’aide de l’assistant Analyzer Export Wizard.

Saisie de la signification (meaning) d’une variable dans zenon Analyzer. Plusieurs significations doivent être séparées par une virgule.
Syntaxe : [signification1],[signification2],…,[significationN]

Plus de détails dans l’aide en ligne.

VT_BSTR

WaterfallParam

Paramètre pour le waterfall diagram

Cette propriété fournit des informations qui sont utilisées par la fonction de configuration de rapports dans zenon Analyzer.
Les données peuvent être définies manuellement ou à l’aide de l’assistant Meaning and Waterfall Chart Wizard. L’exportation des données de zenon vers zenon Analyzer est effectuée à l’aide de l’assistant Analyzer Export Wizard.

Paramètres d’une variable pour un diagramme en cascade dans zenon Analyzer. Les entrées peuvent être créées pour les rapports par ligne ou les rapports par machine. Lors de l’exportation, en fonction de la structure des entrées, une décision est prise pour déterminer s’il s’agit d’entrées correspondant à des diagrammes par machine ou par ligne.

Les paramètres individuels doivent être séparés par une virgule. Plusieurs cascades doivent être séparées par un poing-virgule.
Syntaxe, par machine : [nom modèle],[indice de ligne],[indice de colonne],[code de couleur];
Syntaxe, par ligne : [nom du modèle],[indice de ligne],[indice de colonne],[code de couleur],[perte de machine auxiliaire],[ajout de perte de machine auxiliaire],[soustraction de perte de machine auxiliaire];

Plus de détails dans l’aide en ligne.

VT_BOOL

Use_in_ProcRec

Activer l'enregistrement

Active/désactive la variable ou le type de données enregistré dans le module Process Recorder.
La sélection multiple de variables est possible.

  • Active :
    Les changements de valeur de la variable sont enregistrés dans le module Process Recorder.
    Attention : Assurez-vous que l’activation générale de l’enregistrement a été configurée dans la propriété Activer Process Recorder.
  • Inactive :
    Les changements de valeur de la variable ne sont pas enregistrés dans le module Process Recorder.

Par défaut : les paramètres configurés sont appliqués pour le type de données utilisé.

Plus de détails dans l’aide en ligne.


SysDrv variable ED

Manuel -> Interfaces de programmation -> Modèles d'objet -> Variable -> Variable-Dynamic properties -> SysDrv variable ED

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Type

VBA/VSTA Name

Display Name

Description

VT_BOOL

IsLocalDigits

IsLocalDigits

"With this property you have the opportunity to decide whether the ""Decimals"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalSignalMin

IsLocalSignalMin

"With this property you have the opportunity to decide whether the ""Minimum signal resolution"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalSignalMax

IsLocalSignalMax

"With this property you have the opportunity to decide whether the ""Maximum signal resolution"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalRangeMin

IsLocalRangeMin

"With this property you have the opportunity to decide whether the ""Minimum measuring range"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalRangeMax

IsLocalRangeMax

"With this property you have the opportunity to decide whether the ""Maximum measuring range"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalAlternateValue

IsLocalAlternateValue

"With this property you have the opportunity to decide whether the ""Alternate value"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalValueMin

IsLocalValueMin

"With this property you have the opportunity to decide whether the ""Minimum set value"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalValueMax

IsLocalValueMax

"With this property you have the opportunity to decide whether the ""Maximum set value"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalUseMacro

IsLocalUseMacro

"With this property you have the opportunity to decide whether the ""Non linear value adjustment with macros"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalInOut

IsLocalInOut

"With this property you have the opportunity to decide whether the ""Setting values active"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalHystNeg

IsLocalHystNeg

"With this property you have the opportunity to decide whether the ""negative hysteresis"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalHystPos

IsLocalHystPos

"With this property you have the opportunity to decide whether the ""negative hysteresis"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalArchHystNeg

IsLocalArchHystNeg

VT_BOOL

IsLocalArchHystPos

IsLocalArchHystPos

VT_BOOL

IsLocalUpdatePriority

IsLocalUpdatePriority

"With this property you have the opportunity to decide whether the ""Priority of the driver connection"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalDDEaktiv

IsLocalDDEaktiv

"With this property you have the opportunity to decide whether the ""DDE active"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalStandby

IsLocalStandby

"With this property you have the opportunity to decide whether the ""Only read from standby"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalRemaActiv

IsLocalRemaActiv

"With this property you have the opportunity to decide whether the ""Reaction matrix active"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalRema

IsLocalRema

"With this property you have the opportunity to decide whether the ""Reaction matrix"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalHDActive

IsLocalHDActive

"With this property you have the opportunity to decide whether the ""HD active"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalHDUpdate

IsLocalHDUpdate

"With this property you have the opportunity to decide whether the ""HD scan rate"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalHDSize

IsLocalHDSize

"With this property you have the opportunity to decide whether the ""Number of HD values"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalKDAActiv

IsLocalKDAActiv

"With this property you have the opportunity to decide whether the ""Recording type"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalStingLength

IsLocalStingLength

"With this property you have the opportunity to decide whether the ""String length"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalQuitPV

IsLocalQuitPV

"With this property you have the opportunity to decide whether the ""Acknowledgement variable"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalViewQuitPV

IsLocalViewQuitPV

Description as text.

VT_BOOL

IsLocalQuitValue

IsLocalQuitValue

"With this property you have the opportunity to decide whether the ""Acknowledgement value"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalTagname

IsLocalTagname

"With this property you have the opportunity to decide whether the ""Identification"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalUnit

IsLocalUnit

"With this property you have the opportunity to decide whether the ""Unit"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalAltValString

IsLocalAltValString

"With this property you have the opportunity to decide whether the ""String alternative value"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalRecLabel

IsLocalRecLabel

"With this property you have the opportunity to decide whether the ""Ressources label"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalAdjustHW

IsLocalAdjustHW

"With this property you have the opportunity to decide whether the ""AdjustHardwareValue"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalAdjustZenon

IsLocalAdjustZenon

"With this property you have the opportunity to decide whether the ""AdjustZenOnValue"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalArraySize

IsLocalArraySize

"With this property you have the opportunity to decide whether the ""Array size"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalCounterGroup

IsLocalCounterGroup

VT_BOOL

IsLocalMaxGradient

IsLocalMaxGradient

VT_BOOL

IsLocalNormalStateActive

IsLocalNormalStateActive

VT_BOOL

IsLocalNormalState

IsLocalNormalState

VT_BOOL

IsLocalAlarmPV0

IsLocalAlarmPV0

"With this property you have the opportunity to decide whether the ""Alarm Variable 1"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalAlarmPV1

IsLocalAlarmPV1

"With this property you have the opportunity to decide whether the ""Alarm Variable 2"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalAlarmPV2

IsLocalAlarmPV2

"With this property you have the opportunity to decide whether the ""Alarm Variable 3"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalVarInASM

IsLocalVarInASM

"With this property you have the opportunity to decide whether the ""Save in IPA database"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalAlarmDomain

IsLocalAlarmDomain

"With this property you have the opportunity to decide whether the ""Alarm area"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalAlarmDomain2

IsLocalAlarmDomain2

Description as text.

VT_BOOL

IsLocalAlarmDomain3

IsLocalAlarmDomain3

Description as text.

VT_BOOL

IsLocalAlarmDomain4

IsLocalAlarmDomain4

Description as text.

VT_BOOL

IsLocalLocking

IsLocalLocking

"With this property you have the opportunity to decide whether the ""Interlocking"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalSBO

IsLocalSBO

"With this property you have the opportunity to decide whether the ""Select before operate"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalCancelOperate

IsLocalCancelOperate

Description

VT_BOOL

IsLocalAlarmViaEquipmentModel

IsLocalAlarmViaEquipmentModel

Description

VT_BOOL

IsLocalUsedInProcRec

IsLocalUsedInProcRec

Description

VT_UI1

IsSWProtokol

IsSWProtokol

VT_BOOL

IsSW_Akt

IsSW_Akt

VT_BOOL

IsSW_VBA

IsSW_VBA

More...

Limits

Valeurs limite

Propriétés définissant le traitement des valeurs limites ou le traitement des alarmes pour la variable.

Les propriétés de ce groupe sont uniquement disponibles si vous avez activé la propriété Matrice de réaction active.

Plus de détails dans l’aide en ligne.

VT_UI4

ID_ComplexVariable

ID_ComplexVariable

With this property you have the opportunity to get/set the ID of a variable from a structure element. This ID is 0 when the variable has no structure datatype.

VT_BSTR

Name

Nom

Nom unique de la variable. Les considérations suivantes s’appliquent lors de la définition du nom :

  • Longueur maximale : 128 caractères
  • Caractères non autorisés : # et @

Remarque : pour les drivers utilisant la connexion à zenon Logic, vous devez définir un préfixe. Pour plus de détails, reportez-vous au chapitre Création de variables O et M dans zenon Logic dans le manuel.
Toute modification du nom de la variable doit également être effectuée dans l’environnement de programmation (VBA, VSTA).

Attention : Cette propriété n’est pas disponible aux fins de la commutation de langue.

Plus de détails dans l’aide en ligne.

VT_BSTR

Tagname

Identification

Chaîne libre utilisée pour l’identification de la variable ou du type de données.
Remarque : Puisque la langue du nom de la variable (propriété Nom) ne peut pas être modifiée, cette propriété peut être utilisée pour le changement de langue en ligne.

Longueur maximale : 128 caractères

Plus de détails dans l’aide en ligne.

VT_BSTR

Unit

Unité de mesure

Unité technique de la variable devant être affichée dans le Runtime. Si vous avez déjà créé des unités de mesure dans le module d’unités de base, celles-ci sont disponibles dans une liste déroulante.
Maximum : 50 caractères.
Par défaut : vide

Plus de détails dans l’aide en ligne.

VT_R8

AlternateValue

Archivfüllwert

Cette valeur est utilisée pour renseigner les archives cycliques. En présence d’intervalles durant lesquels aucune connexion au matériel n’a été établie, cette valeur est utilisée tant qu’aucune valeur n’est transférée depuis l’équipement. Dans le cas contraire, la dernière valeur valide utilisée est utilisée aux fins du renseignement.

Plus de détails dans l’aide en ligne.

VT_BSTR

AlternateValueString

Valeur chaîne pour le remplissage des archives

Cette valeur est utilisée pour les variables de chaîne, afin de renseigner les archives cycliques.
En présence d’intervalles, dans les archives cycliques, durant lesquels aucune connexion au matériel n’a été établie, cette Valeur chaîne pour le remplissage des archives est utilisée tant qu’aucune valeur n’est transférée depuis l’équipement. Dans le cas contraire, la dernière valeur valide est utilisée pour le renseignement.

Longueur maximale : 128 caractères

Attention : Cette propriété n’est pas disponible aux fins de la commutation de langue.

Plus de détails dans l’aide en ligne.

VT_BSTR

Recourceslabel

Description externe

Chaîne au choix.
N'est pas utilisé au niveau interne dans zenon, mais est disponible lors de l’exportation de valeurs pour autoriser l’attribution des valeurs exportées pour les systèmes de gestion tels qu’ERP.

Longueur maximale : 255 caractères

Plus de détails dans l’aide en ligne.

VT_UI4

NetAddr

Adresse réseau

Adresse de bus ou Adresse réseau de la variable.

  • Minimum : 0
  • Maximum : 4294967295

Par défaut : 0

Plus de détails dans l’aide en ligne.

VT_UI4

DataBlock

Bloc de données

Numéro de bloc de données.
Minimum : 0.
Maximum : 4294967295
Par défaut : 0.

Plus de détails dans l’aide en ligne.

VT_UI4

Offset

Offset

Décalage de la variable.
Pour les contrôleurs à adressage linéaire : plage de mémoire.
Pour les contrôleurs à résolution de nom : adresse d’attribution.
Minimum : 0.
Maximum : 4294967295
Par défaut : 0.

Plus de détails dans l’aide en ligne.

VT_UI2

BitAddr

Numéro de bit

Numéro du bit dans le décalage configuré.
Minimum : 0.
Maximum : 65535
Par défaut : 0.

Plus de détails dans l’aide en ligne.

VT_UI2

Alignment

Alignement

Ceci dépend de la granularité du type d’objet du driver et de la position de la variable conformément au décalage défini.

Pour les variables de type Octet :
Octet poids fort : octet de poids fort dans le décalage de mot.
Octet poids faible : Otet de poids faible dans le décalage de mot.
HiWord-HiByte octet de poids fort dans le mot fort dans le décalage de double mot.
HiWord-LoByte (Mot poids fort-Octet poids faible) octet de poids faible dans le mot fort dans le décalage de double mot.
Mot poids faible-Octet poids fort : octet de poids fort dans le mot faible dans le décalage de double mot.
Mot poids faible-Octet poids faible : octet de poids faible dans le mot faible dans le décalage de double mot.

Pour les variables de mot :
Mot poids fort : mot fort dans le décalage de double mot.
Mot poids faible : Mot poids faible dans le décalage de double mot.

Plus de détails dans l’aide en ligne.

VT_UI2

StringLength

Longueur de la chaîne

Disponible uniquement pour les variables de type chaîne.
Nombre maximum de caractères que peut accepter une variable.
Minimum : 1 caractère
Si la valeur non autorisée 0 est saisie, la dernière valeur configurée valide est automatiquement utilisée. Si aucune valeur valide n’a été configurée, l’entrée est remplacée par la valeur par défaut.
Maximum : 65535 caractères.
Par défaut : 5 caractères

Remarque : la valeur par défaut est 65 535 pour les variables système avec le type de données String.

Plus de détails dans l’aide en ligne.

VT_BSTR

SymbAddr

Adresse symbolique

Séquence de caractères pour l’adressage symbolique des variables.

Longueur maximale : 1024 caractères.

Remarque : L’adresse symbolique n’est pas prise en charge par tous les drivers.
Lors de l’importation des variables dans des drivers compatibles avec l’adressage symbolique, la propriété est saisie automatiquement.

Plus de détails dans l’aide en ligne.

VT_UI4

Driver

Drivers

VT_UI4

ID_DataTyp

Type de données

Type de donnée pour la variable. Sélectionné durant la création de la variable ; peut être modifié ici ultérieurement.
Remarque : Pour les variables de structure, le type de données ne peut plus être modifié après la création des variables.
Attention : Si vous modifiez le type de données ultérieurement, toutes les autres propriétés de la variable doivent être vérifiées et ajustées, si nécessaire.

Plus de détails dans l’aide en ligne.

VT_UI4

ID_DriverTyp

Type d'objet driver

Selon le driver utilisé, un type d’objet est sélectionné durant la création de la variable et peut être modifié ici ultérieurement.
Siemens : bloc de données, marqueur, entrée/sortie.
Modbus : Coil et Holding Register.

Plus de détails dans l’aide en ligne.

VT_UI1

UpdatePriority

Priorité

Si l’heure de mise à jour globale spécifiée dans la configuration du driver n’est pas utilisée, la fréquence des mises à jour correspondant aux différents niveaux de priorité peut être définie ici. Dans cette propriété, une priorité est attribuée à une variable.

Plus de détails dans l’aide en ligne.

VT_BOOL

Standby

Lire uniquement sur le serveur redondant

Active : La valeur de la variable provenant du serveur redondant est affichée.
Inactive : La valeur de la variable provenant du serveur est affichée.
(drivers matériels uniquement)

Plus de détails dans l’aide en ligne.

VT_UI2

Digits

Nombre de décimales

Nombre de décimales des valeurs de variables utilisées lors de l’affichage dans le système de contrôle.
Minimum : 0
Maximum : 10
Par défaut : 0

Plus de détails dans l’aide en ligne.

VT_R8

SignalMin

Signal min.

Valeur minimum de la variable dans l’automate.
À moins d’être définie différemment dans la propriété Ajustement non-linéaire, la valeur brute des variables (résolution du signal) sera toujours convertie au format de la plage de mesure sur une base linéaire (pour une utilisation dans le système de contrôle). Toutes les autres entrées de valeurs numériques spécifiques à la variable dans Editor et dans le Runtime seront liées à la plage de mesures (par ex. définition des valeurs limites, limites des valeurs prescrites, zone de représentation, entrées de valeurs prescrites, etc.).

Plus de détails dans l’aide en ligne.

VT_R8

SignalMax

Signal max.

Valeur maximum de la variable dans l’automate. À moins d’être définie différemment dans la propriété Ajustement non-linéaire, la valeur brute des variables (résolution du signal) sera toujours convertie au format de la plage de mesure sur une base linéaire (pour une utilisation dans le système de contrôle). Toutes les autres entrées de valeurs numériques spécifiques à la variable dans Editor et dans le Runtime seront liées à la plage de mesures (par ex. définition des valeurs limites, limites des valeurs prescrites, zone de représentation, entrées de valeurs prescrites, etc.).

Plus de détails dans l’aide en ligne.

VT_R8

RangeMin

Plage de mesure min.

Valeur minimum des variables dans zenon.
À moins d’être définie différemment dans la propriété Ajustement non-linéaire, la valeur brute des variables (résolution du signal) sera toujours convertie au format de la plage de mesure sur une base linéaire (pour une utilisation dans le système de contrôle). Toutes les autres entrées de valeurs numériques spécifiques à la variable dans Editor et dans le Runtime seront liées à la plage de mesures (par ex. définition des valeurs limites, limites des valeurs prescrites, zone de représentation, entrées de valeurs prescrites, etc.).

Plus de détails dans l’aide en ligne.

VT_R8

RangeMax

Plage de mesure max.

Valeur maximum des variables dans zenon.
À moins d’être définie différemment dans la propriété Ajustement non-linéaire, la valeur brute des variables (résolution du signal) sera toujours convertie au format de la plage de mesure sur une base linéaire (pour une utilisation dans le système de contrôle). Toutes les autres entrées de valeurs numériques spécifiques à la variable dans Editor et dans le Runtime seront liées à la plage de mesures (par ex. définition des valeurs limites, limites des valeurs prescrites, zone de représentation, entrées de valeurs prescrites, etc.).

Plus de détails dans l’aide en ligne.

VT_BOOL

UseMacro

Ajustement non-linéaire avec macros

L’ajustement de valeurs non linéaires est utilisé pour les variables dont la valeur originale (automate) ne peut pas être ajustée de manière linéaire en fonction de la valeur mesurée (système de contrôle).

  • Active : Les valeurs brutes sont ajustées en fonction de zenon, sur une base non linéaire, avec des macros VBA.
  • Inactive : Les valeurs brutes sont ajustées en fonction de zenon.

Remarque : Lors de l’activation de la propriété, les propriétés AdjustHardwareValue et AdjustScadaValue doivent également être configurées. La propriété AdjustHardwareValue doit alors être configurée à l’inverse de la propriété AdjustScadaValue, sous forme de fonction inverse.

Par défaut : Inactive

Plus de détails dans l’aide en ligne.

ZT_VBAMAKRO

AdjustHardware

AdjustHardwareValue

Disponible uniquement si la propriété Ajustement non-linéaire avec macros est active.

Macro appelée à chaque modification de la valeur brute dans l’automate, et qui modifie la valeur dans zenon. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de macros.
Plus de détails dans l’aide en ligne.

ZT_VBAMAKRO

AdjustZenon

AdjustScadaValue

Disponible uniquement si la propriété Ajustement non-linéaire avec macros est active.

La macro est appelée lors de l’écriture d’une valeur depuis zenon et modifie la valeur brute sur l’automate. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de macros.
Plus de détails dans l’aide en ligne.

VT_R8

HystNeg

Négatif pour le signal

Hystérésis des valeurs limites définies en fonction de la plage du signal.

Plage d’hystérésis pour l’entrée en cas de changement de valeur avec diminution. Les valeurs sont uniquement interprétées comme des dépassements de valeur limite si la valeur changeante est inférieure à la plage d’hystérésis définie ici.
Par défaut : 0 (pas d’hystérésis)

Plus de détails dans l’aide en ligne.

VT_R8

HystPos

Positif pour le signal

Hystérésis des valeurs limites définies en fonction de la plage du signal.

Plage d’hystérésis pour l’entrée en cas de changement de valeur avec augmentation. Les valeurs sont uniquement interprétées comme des dépassements de valeur limite si la valeur changeante est supérieure à la plage d’hystérésis définie ici.
Par défaut : 0 (pas d’hystérésis)

Plus de détails dans l’aide en ligne.

VT_R8

ArchHystNeg

Négatif pour l'archive

Hystérésis d’archivage en cas de changement appliquée à la plage de mesure.

Plage d’hystérésis pour l’entrée en cas de changement de valeur avec diminution. Les valeurs sont uniquement saisies dans l’archive si la valeur changeante est inférieure à la plage d’hystérésis définie ici.
Par défaut : 0 (pas d’hystérésis)

Plus de détails dans l’aide en ligne.

VT_R8

ArchHystPos

Positif pour l'archive

Hystérésis d’archivage en cas de changement appliquée à la plage de mesure.

Plage d’hystérésis pour l’entrée en cas de changement de valeur avec augmentation. Les valeurs sont uniquement saisies dans l’archive si la valeur changeante est supérieure à la plage d’hystérésis définie ici.
Par défaut : 0 (pas d’hystérésis)

Plus de détails dans l’aide en ligne.

VT_BOOL

DDEActive

Variable lue en permanence

Paramètre de lecture de la variable et de sa disponibilité via DDE dans le Runtime :

  • Active : La variable est toujours connectée au driver. Cela signifie qu’elle est continuellement lue par le driver, même si elle n’est pas nécessaire dans le projet à cet instant précis. Le driver connaît ainsi toujours les valeurs actuelles et l’état actuel des variables et peut les fournir immédiatement, si nécessaire. La variable est également disponible pour les autres applications Windows (par exemple, Excel, Visual Basic, etc.). Les applications Windows possédant une fonctionnalité de client DDE peuvent ainsi utiliser les valeurs de la variable.
    Temps d’actualisation : 0,5 s
    L'activation de cette option offre par exemple l’avantage de basculer plus rapidement les valeurs de variables dans la fonction Ecriture valeur prescrite ou dans l’élément Appel de synoptique, car il n’est pas nécessaire d’interroger spécialement la variable avant la commutation. L’inconvénient est une augmentation de la charge des communications au niveau du contrôleur.
  • Inactive : La variable n’est pas interrogée en permanence par le driver, mais uniquement en cas de demande de valeurs ou d’états dans le Runtime. Elle n’est donc pas disponible dans les autres applications Windows via DDE.

Par défaut : Inactive

Plus de détails dans l’aide en ligne.

VT_UI4

ArraySizeOld

Dimension tableau

Définition de la taille de l’ensemble de blocs. La taille définie est lue ou écrite par le driver durant une demande de lecture/d’écriture. Ceci permet de garantir la cohérence des données dans le texte. Les données peuvent uniquement être modifiées dans le module Recipegroup Manager ou via l’interface de programmation.
Attention : peut être défini au niveau du driver interne, toutefois sans fonction dans le Runtime (valeur toujours égale à 0).

Plus de détails dans l’aide en ligne.

VT_UI4

CounterGroup

Groupe de compteur

Disponible uniquement dans SICAM 230.

VT_UI4

MaxGradient

Gradient maximum

Disponible uniquement dans SICAM 230.

VT_BOOL

NormalStateActive

Actif

Permet de définir un état normal pour les variables et les types de données du type BOOL, UINT et WORD pour tous les drivers.

Active : Un état normal peut être défini.

Par défaut : Inactive

Plus de détails dans l’aide en ligne.

VT_BOOL

NormalState

Valeur normale

Dans la liste déroulante, choisissez si la valeur normale de cette variable ou ce type de données doit être On (Active) ou Off (Inactive). Disponible pour les variables et les types de données du type BOOL, UINT et WORD pour tous les drivers.

Par défaut : Off

Plus de détails dans l’aide en ligne.

ZT_VARIABLE

AlarmPV0

Variable d'alarme 1

Disponible uniquement dans SICAM 230.
Première variable pour la gestion d’alarmes de synoptiques.

Plus de détails dans l’aide en ligne.

ZT_VARIABLE

AlarmPV1

Variable d'alarme 2

Disponible uniquement dans SICAM 230.
Deuxième variable pour la gestion d’alarmes de synoptiques.

Plus de détails dans l’aide en ligne.

ZT_VARIABLE

AlarmPV2

Variable d'alarme 3

Disponible uniquement dans SICAM 230.
Troisième variable pour la gestion d’alarmes de synoptiques.

Plus de détails dans l’aide en ligne.

VT_BOOL

HDActive

Stockage de données sur disque dur actif

Active : les valeurs de variables sont enregistrées sur le disque dur (enregistrement circulaire) pour être évaluées dans l’élément dynamique "Élément de tendance" ou pour l’exportation/l’importation des valeurs.

Inactive : aucune valeur de variable n’est enregistrée.

Par défaut : inactive

Les données de disque dur nécessitent 24 octets d’espace de stockage par valeur, indépendamment du type de variable. Outre la valeur, les informations suivantes sont enregistrées :
- Heure d’exécution de la mesure.
- Millisecondes lors de la lecture de la valeur.
- Modification de l’état de la valeur en fonction des éléments.
- Compteur pour l’identification unique de la valeur (driver événementiel).

Remarque : Le stockage de données est également activé lors d’un appel de synoptique de type Extended Trend si des données en ligne sont analysées.
Les variables de type chaîne ne sont pas prises en charge par la fonction de stockage de données sur le disque dur.

Attention : si l’option d’enregistrement sur disque dur est activée pour un trop grand nombre de variables, en présence d’un trop grand nombre de valeurs, les performances du Runtime peuvent être altérées.

Plus de détails dans l’aide en ligne.

VT_R4

HDUpdate

Temps de cycle [s]

Disponible uniquement si la propriété Stockage de données sur disque dur actif est active :
Durée de l’intervalle [en secondes] de conservation des valeurs en ligne sur le disque dur (mémoire circulaire) pour l’analyse dans l’élément dynamique Tendance, pour les données en ligne dans le module Extended Trend ou pour l’exportation/l’importation de valeurs.

Plus de détails dans l’aide en ligne.

VT_UI4

HDSize

Nombre de valeurs

Valeur correspondant à l’intervalle de conservation des valeurs en ligne sur le disque dur (mémoire circulaire) pour l’analyse dans l’élément dynamique Tendance, pour les données en ligne dans le module Extended Trend ou pour l’exportation/l’importation de valeurs.

Attention : si l’option d’enregistrement sur disque dur est activée pour un trop grand nombre de variables, en présence d’un trop grand nombre de valeurs, les performances du Runtime peuvent être altérées.

Plus de détails dans l’aide en ligne.

VT_BOOL

IsKDAActiv

Type d'enregistrement

Disponible uniquement si la propriété Stockage de données sur disque dur actif est active :
Données de disque dur (cyclique) : Écriture cyclique des valeurs sur le disque dur.
Valeurs retriées (RDA) : Les valeurs sont écrites bloc par bloc sur le disque dur par le driver. (Fonction adaptée à l’analyse rétrospective des erreurs au niveau du système de contrôle.)

Plus de détails dans l’aide en ligne.

VT_BOOL

ExternVisible

Visible extérieurement pour

Disponible uniquement si la propriété Visible par d'autres programmes est active.

Spécifiez expressément les projets de zenon Logic pour lesquels la variable doit être visible. Si vous laissez le champ de saisie vide, la variable est visible pour tous les projets zenon Logic. Vous pouvez également saisir des projets zenon Logic de manière expresse. Séparez les noms des projets individuels par un point-virgule (";"). Vous pouvez utiliser les opérateurs. Par exemple, P1* signifie tous les projets zenon Logic commençant par P1. (Remarque : les opérateurs sont uniquement autorisés sous forme de préfixe ou de suffixe, par exemple, *xxx ou xxx*.

Le nombre de caractères est limité à 64.

Par défaut : -

Plus de détails dans l’aide en ligne.

VT_BSTR

ExternVisibleFor

Visible extérieurement pour

Disponible uniquement si la propriété Visible par d'autres programmes est active.

Spécifiez expressément les projets de zenon Logic pour lesquels la variable doit être visible. Si vous laissez le champ de saisie vide, la variable est visible pour tous les projets zenon Logic. Vous pouvez également saisir des projets zenon Logic de manière expresse. Séparez les noms des projets individuels par un point-virgule (";"). Vous pouvez utiliser les opérateurs. Par exemple, P1* signifie tous les projets zenon Logic commençant par P1. (Remarque : les opérateurs sont uniquement autorisés sous forme de préfixe ou de suffixe, par exemple, *xxx ou xxx*.

Le nombre de caractères est limité à 64.

Par défaut : -

Plus de détails dans l’aide en ligne.

VT_BOOL

ReadWrite

Ecriture/lecture externe

Propriété externe pour zenon Logic. Affecte uniquement les variables qui ne forment pas partie du driver straton.
Active : la valeur de la variable ne peut pas être modifiée dans zenon Logic. La définition de la variable ne peut pas être modifiée dans zenon Logic.
Inactive : la variable ne peut pas être modifiée dans zenon Logic.
Par défaut : active.

Plus de détails dans l’aide en ligne.

VT_BSTR

InitialValue

Valeur initiale externe

Propriété externe pour zenon Logic. Affecte uniquement les variables qui ne forment pas partie du driver straton.
Valeur initiale de la variable dans zenon Logic durant une reprise graduelle ou une reprise intermédiaire.
La saisie autorisée ici dépend du type de données de la variable. Par exemple, vous pouvez uniquement utiliser des valeurs sans décimales pour les variables entières. Pour les variables à virgule flottante, un point doit être utilisé en tant que séparateur décimal ; les virgules ne peuvent pas être utilisées.
Le système de contrôle ne vérifie pas la validité de cette saisie. Ceci peut générer un message d’erreur dans zenon Logic.

Attention : lors de l’utilisation de variables du driver interne, cette propriété doit posséder la même valeur que la valeur initiale dans les paramètres des variables internes.

Plus de détails dans l’aide en ligne.

VT_BSTR

Profilename

Nom profil externe

Propriété externe pour zenon Logic. Affecte uniquement les variables qui ne forment pas partie du driver straton.
Nom du profil défini dans zenon Logic (par ex. STRATON, ProfDP).

Cette propriété est uniquement affichée pour information. Édition dans zenon Logic uniquement.

Plus de détails dans l’aide en ligne.

VT_BSTR

Adressparam

Paramètre externe d'adresse

Propriété externe pour zenon Logic. Affecte uniquement les variables qui ne sont pas des variables du driver straton.
Propriétés de profil dans zenon Logic (par ex. "intégré" ou paramètres d’adressage de Profibus).

Cette propriété est uniquement affichée pour information. Édition dans zenon Logic uniquement.

Plus de détails dans l’aide en ligne.

VT_BSTR

Vargroup

Groupe de variables externe

Propriété externe pour zenon Logic. Affecte uniquement les variables qui ne sont pas des variables du driver straton32.
Groupes de variables dans zenon Logic ("Global" ou "Retain" ou vides).

Cette propriété est uniquement affichée pour information. Édition dans zenon Logic uniquement.

Plus de détails dans l’aide en ligne.

VT_BOOL

IsRemaActiv

Matrice de réaction active

Active : Une matrice de réaction est utilisée à la place des valeurs de limite.
Inactive : Les valeurs peuvent être définies pour la variable.
Par défaut : inactive.

Plus de détails dans l’aide en ligne.

ZT_REMA

Rema

Matrice de réaction

Propriétés d’utilisation d’une matrice de réaction pour la variable.

Plus de détails dans l’aide en ligne.

ZT_VARIABLE

AlarmQuitPV

Valeur d'acquittement

Si une alarme de cette variable est acquittée visuellement, la variable sélectionnée sous Variable d'acquittement visuel ou Variable d'acquittement est définie sur cette valeur.

Sélection de 0 ou 1.

Plus de détails dans l’aide en ligne.

ZT_VARIABLE

AlarmViewQuitPV

Variable d'acquittement visuel

Si une alarme de la variable de contrôle est acquittée visuellement, la valeur de la variable d’acquittement visuel est définie sur la valeur définie par Valeur d'acquittement.

Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de variables binaires.

Plus de détails dans l’aide en ligne.

VT_UI4

AlarmQuitPVValue

Valeur d'acquittement

Si une alarme de cette variable est acquittée visuellement, la variable sélectionnée sous Variable d'acquittement visuel ou Variable d'acquittement est définie sur cette valeur.

Sélection de 0 ou 1.

Plus de détails dans l’aide en ligne.

VT_BOOL

VarInASM

Enregistrer dans la base IPA

Active : les alarmes de cette variable sont disponibles pour analyse dans le module Industrial Performance Analyzer (IPA).
Inactive : les alarmes de cette variable ne sont prises en compte lors de l’analyse dans le module Industrial Performance Analyzer (IPA).
Par défaut : Inactive

Attention : le module Industrial Performance Analyzer est un module optionnel, qui doit comporter une licence valide pour pouvoir être utilisé ici.

Plus de détails dans l’aide en ligne.

VT_BOOL

AlarmViaEquipmentModel

Utiliser la gestion d'alarmes hiérarchiques du modèle d'équipement

Type d’attribution de la variable à un domaine d’alarmes.

  • Active :
    Le domaine d’alarmes de la variable est transféré par le modèle d’équipement. L’alarme de la variable est applicable aux domaines d’alarmes définis dans le modèle d’équipement. Dans ce cas, le groupe d’équipements de la variable et le groupe d’équipements de niveau supérieur du modèle d’équipement sont pris en compte.
  • Inactive :
    L'alarme sur la variable est applicable aux domaines d’alarmes 1 à 4 de la gestion d’alarmes.

Remarque : Si cette propriété est activée pour un type de données, les paramètres de toutes les variables issues de celle-ci sont transférés.

Plus de détails dans l’aide en ligne.

ZT_BSTR_REF

AreaName

AreaName

Description as text.

ZT_BSTR_REF

AreaName2

AreaName2

Description as text.

ZT_BSTR_REF

AreaName3

AreaName3

Description as text.

ZT_BSTR_REF

AreaName4

AreaName4

Description as text.

VT_BOOL

InOut

Ecrire valeur prescrite

Active : cette variable est libérée pour l’action Spécifier valeur prescrite.
Inactive : cette variable est protégée en écriture.
Par défaut : Active

Plus de détails dans l’aide en ligne.

VT_BOOL

SBO

Select Before Operate

Attention : Cette fonctionnalité est uniquement compatible avec les drivers IEC870 et IEC850, et uniquement disponible si vous avez sélectionné l’option Commande commutation pour la propriété de type d’action dans Gestion des commandes, et l’action est mise en œuvre sous forme d’action à deux étapes. N’utilisez pas cette fonction pour le driver DNP3_NG ; Auto-SBO peut être configuré directement pour la variable, dans ce cas.

Active : Avant que la valeur de la variable ne soit écrite dans le matériel, zenon vérifie, pendant la première phase de la commande de commutation, si la variable dans l’équipement est prête pour cette action (Select before Operate (SBO)).
Attention : Pour les commandes impulsion, la réinitialisation automatique des valeurs des variables n’est pas effectuée dans l’intervalle de temps défini dans la propriété de délai de front.

Si la propriété SBO a été activée pour la variable d’action, une commande d’impulsion se comporte de la même manière qu’une commande de commutation.

Inactive : La valeur de la variable est transférée vers le driver sans vérification préalable.

Remarque : dans un driver IEC870, cela signifie une instruction Direct execute. Le driver IEC850 peut toutefois déclencher automatiquement une instruction Select before Operate , en raison du Control Model.
Par défaut : Inactive :
Plus de détails dans l’aide en ligne.

VT_BOOL

CancelOperate

Annuler 'Operate'

Si cette propriété est activée, il est possible d’envoyer une commande Cancel après une commande Operate lors de la gestion des commandes.

Remarque : Cette propriété est uniquement dans la version Energy Edition.

Par défaut : Inactive

Plus de détails dans l’aide en ligne.

VT_R8

ValueMin

Valeur prescrite min.

La valeur minimum définie ici pour le paramètre Écrire valeur prescrite peut être acceptée par le biais d’éléments dynamiques, plutôt que par la configuration séparée de ces derniers.
Ceci est surtout recommandé si la plage de la mesure est susceptible de varier ultérieurement, car ces modifications peuvent être effectuées une fois ici, au lieu d’être modifiées séparément dans chaque élément.

Plus de détails dans l’aide en ligne.

VT_R8

ValueMax

Valeur prescrite max.

La valeur maximum définie ici pour le paramètre Écrire valeur prescrite peut être acceptée par le biais d’éléments dynamiques, plutôt que par la configuration séparée de ces derniers.
Ceci est surtout recommandé si la plage de la mesure est susceptible de varier ultérieurement, car ces modifications peuvent être effectuées une fois ici, au lieu d’être modifiées séparément dans chaque élément.

Plus de détails dans l’aide en ligne.

VT_BSTR

LockingName

LockingName

"With this property you have the opportunity to assign an interlocking via its name.
zElement.DynProperties(""LockingName"") = ""Interlocking 1"""

VT_UI1

SetValueProtocol

Enregistrement (fichier journal)

Définit la manière dont l’écriture de la valeur prescrite sera consignée dans la liste CEL.

  • Tout : Toutes les actions Écrire valeur prescrite de cette variable exécutées via des éléments dynamiques et les fonctions Écrire valeur prescrite sont consignées dans la liste d’événements. (CEL)
  • Rien : aucune action Spécifier valeur prescrite n’est consignée dans la liste CEL.
  • Seulement sur élément dynamique : Seules les actions Écrire valeur prescrite exécutées via les éléments dynamiques sont consignées dans la liste CEL.

Par défaut : Uniquement les éléments dynamiques :

Plus de détails dans l’aide en ligne.

VT_BOOL

SV_Act

Ancienne et nouvelle valeur
  • Active : en cas de modification de la valeur prescrite de cette variable, les valeurs ancienne et nouvelle sont consignées dans la liste d’événements (CEL).
  • Inactive : Seule la nouvelle valeur est consignée.

Par défaut : Inactive

Recommandation : Activez la propriété Variable lue en permanence. Ceci permet de garantir que la valeur est toujours disponible, et qu’il n’est pas nécessaire de l’interroger spécialement.

Plus de détails dans l’aide en ligne.

VT_BOOL

SV_VBA

Valeurs modifiées par VBA

Active : L’écriture de la valeur prescrite de cette variable via une macro VBA est consignée dans la liste d’événements.
inactive : l’écriture de la valeur prescrite de cette variable via une macro VBA n’est pas consignée.
Par défaut : Active

Remarque : pour les variables configurées sous forme de variables de commande dans la passerelle de procédé IEC870, chaque commande est consignée sous la forme Spécifier valeur prescrite via l’interface COM dans la liste CEL, si la propriété est activée.

Plus de détails dans l’aide en ligne.

VT_BSTR

VisualName

Nom visuel

Saisie d’un nom d’affichage de la variable dans zenon Analyzer. Celui-ci doit être unique dans le projet, mais ceci n’est pas vérifié dans zenon. Cette vérification est effectuée lors de l’importation dans zenon Analyzer.

Cette propriété fournit des informations qui sont utilisées pour la configuration de rapports dans zenon Analyzer. L’exportation des données de zenon vers zenon Analyzer est effectuée à l’aide de l’assistant Analyzer Export Wizard.

Attention : Si cette propriété est modifiée après la première exportation vers zenon Analyzer, ces modifications ne sont appliquées dans zenon Analyzer.

Plus de détails dans l’aide en ligne.

VT_BSTR

Meaning

Signification

Cette propriété fournit des informations qui sont utilisées par la fonction de configuration de rapports dans zenon Analyzer.
Les données peuvent être définies manuellement ou à l’aide de l’assistant Meaning and Waterfall Chart Wizard. L’exportation des données de zenon vers zenon Analyzer est effectuée à l’aide de l’assistant Analyzer Export Wizard.

Saisie de la signification (meaning) d’une variable dans zenon Analyzer. Plusieurs significations doivent être séparées par une virgule.
Syntaxe : [signification1],[signification2],…,[significationN]

Plus de détails dans l’aide en ligne.

VT_BSTR

WaterfallParam

Paramètre pour le waterfall diagram

Cette propriété fournit des informations qui sont utilisées par la fonction de configuration de rapports dans zenon Analyzer.
Les données peuvent être définies manuellement ou à l’aide de l’assistant Meaning and Waterfall Chart Wizard. L’exportation des données de zenon vers zenon Analyzer est effectuée à l’aide de l’assistant Analyzer Export Wizard.

Paramètres d’une variable pour un diagramme en cascade dans zenon Analyzer. Les entrées peuvent être créées pour les rapports par ligne ou les rapports par machine. Lors de l’exportation, en fonction de la structure des entrées, une décision est prise pour déterminer s’il s’agit d’entrées correspondant à des diagrammes par machine ou par ligne.

Les paramètres individuels doivent être séparés par une virgule. Plusieurs cascades doivent être séparées par un poing-virgule.
Syntaxe, par machine : [nom modèle],[indice de ligne],[indice de colonne],[code de couleur];
Syntaxe, par ligne : [nom du modèle],[indice de ligne],[indice de colonne],[code de couleur],[perte de machine auxiliaire],[ajout de perte de machine auxiliaire],[soustraction de perte de machine auxiliaire];

Plus de détails dans l’aide en ligne.

VT_BOOL

Use_in_ProcRec

Activer l'enregistrement

Active/désactive la variable ou le type de données enregistré dans le module Process Recorder.
La sélection multiple de variables est possible.

  • Active :
    Les changements de valeur de la variable sont enregistrés dans le module Process Recorder.
    Attention : Assurez-vous que l’activation générale de l’enregistrement a été configurée dans la propriété Activer Process Recorder.
  • Inactive :
    Les changements de valeur de la variable ne sont pas enregistrés dans le module Process Recorder.

Par défaut : les paramètres configurés sont appliqués pour le type de données utilisé.

Plus de détails dans l’aide en ligne.


Base class variable

Manuel -> Interfaces de programmation -> Modèles d'objet -> Variable -> Variable-Dynamic properties -> Base class variable

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Type

VBA/VSTA Name

Display Name

Description

More...

Limits

Valeurs limite

Propriétés définissant le traitement des valeurs limites ou le traitement des alarmes pour la variable.

Les propriétés de ce groupe sont uniquement disponibles si vous avez activé la propriété Matrice de réaction active.

Plus de détails dans l’aide en ligne.

VT_UI4

ID_ComplexVariable

ID_ComplexVariable

With this property you have the opportunity to get/set the ID of a variable from a structure element. This ID is 0 when the variable has no structure datatype.

VT_BSTR

Name

Nom

Nom unique de la variable. Les considérations suivantes s’appliquent lors de la définition du nom :

  • Longueur maximale : 128 caractères
  • Caractères non autorisés : # et @

Remarque : pour les drivers utilisant la connexion à zenon Logic, vous devez définir un préfixe. Pour plus de détails, reportez-vous au chapitre Création de variables O et M dans zenon Logic dans le manuel.
Toute modification du nom de la variable doit également être effectuée dans l’environnement de programmation (VBA, VSTA).

Attention : Cette propriété n’est pas disponible aux fins de la commutation de langue.

Plus de détails dans l’aide en ligne.

VT_BSTR

Tagname

Identification

Chaîne libre utilisée pour l’identification de la variable ou du type de données.
Remarque : Puisque la langue du nom de la variable (propriété Nom) ne peut pas être modifiée, cette propriété peut être utilisée pour le changement de langue en ligne.

Longueur maximale : 128 caractères

Plus de détails dans l’aide en ligne.

VT_BSTR

Unit

Unité de mesure

Unité technique de la variable devant être affichée dans le Runtime. Si vous avez déjà créé des unités de mesure dans le module d’unités de base, celles-ci sont disponibles dans une liste déroulante.
Maximum : 50 caractères.
Par défaut : vide

Plus de détails dans l’aide en ligne.

VT_R8

AlternateValue

Archivfüllwert

Cette valeur est utilisée pour renseigner les archives cycliques. En présence d’intervalles durant lesquels aucune connexion au matériel n’a été établie, cette valeur est utilisée tant qu’aucune valeur n’est transférée depuis l’équipement. Dans le cas contraire, la dernière valeur valide utilisée est utilisée aux fins du renseignement.

Plus de détails dans l’aide en ligne.

VT_BSTR

AlternateValueString

Valeur chaîne pour le remplissage des archives

Cette valeur est utilisée pour les variables de chaîne, afin de renseigner les archives cycliques.
En présence d’intervalles, dans les archives cycliques, durant lesquels aucune connexion au matériel n’a été établie, cette Valeur chaîne pour le remplissage des archives est utilisée tant qu’aucune valeur n’est transférée depuis l’équipement. Dans le cas contraire, la dernière valeur valide est utilisée pour le renseignement.

Longueur maximale : 128 caractères

Attention : Cette propriété n’est pas disponible aux fins de la commutation de langue.

Plus de détails dans l’aide en ligne.

VT_BSTR

Recourceslabel

Description externe

Chaîne au choix.
N'est pas utilisé au niveau interne dans zenon, mais est disponible lors de l’exportation de valeurs pour autoriser l’attribution des valeurs exportées pour les systèmes de gestion tels qu’ERP.

Longueur maximale : 255 caractères

Plus de détails dans l’aide en ligne.

VT_UI4

NetAddr

Adresse réseau

Adresse de bus ou Adresse réseau de la variable.

  • Minimum : 0
  • Maximum : 4294967295

Par défaut : 0

Plus de détails dans l’aide en ligne.

VT_UI4

DataBlock

Bloc de données

Numéro de bloc de données.
Minimum : 0.
Maximum : 4294967295
Par défaut : 0.

Plus de détails dans l’aide en ligne.

VT_UI4

Offset

Offset

Décalage de la variable.
Pour les contrôleurs à adressage linéaire : plage de mémoire.
Pour les contrôleurs à résolution de nom : adresse d’attribution.
Minimum : 0.
Maximum : 4294967295
Par défaut : 0.

Plus de détails dans l’aide en ligne.

VT_UI2

BitAddr

Numéro de bit

Numéro du bit dans le décalage configuré.
Minimum : 0.
Maximum : 65535
Par défaut : 0.

Plus de détails dans l’aide en ligne.

VT_UI2

Alignment

Alignement

Ceci dépend de la granularité du type d’objet du driver et de la position de la variable conformément au décalage défini.

Pour les variables de type Octet :
Octet poids fort : octet de poids fort dans le décalage de mot.
Octet poids faible : Otet de poids faible dans le décalage de mot.
HiWord-HiByte octet de poids fort dans le mot fort dans le décalage de double mot.
HiWord-LoByte (Mot poids fort-Octet poids faible) octet de poids faible dans le mot fort dans le décalage de double mot.
Mot poids faible-Octet poids fort : octet de poids fort dans le mot faible dans le décalage de double mot.
Mot poids faible-Octet poids faible : octet de poids faible dans le mot faible dans le décalage de double mot.

Pour les variables de mot :
Mot poids fort : mot fort dans le décalage de double mot.
Mot poids faible : Mot poids faible dans le décalage de double mot.

Plus de détails dans l’aide en ligne.

VT_UI2

StringLength

Longueur de la chaîne

Disponible uniquement pour les variables de type chaîne.
Nombre maximum de caractères que peut accepter une variable.
Minimum : 1 caractère
Si la valeur non autorisée 0 est saisie, la dernière valeur configurée valide est automatiquement utilisée. Si aucune valeur valide n’a été configurée, l’entrée est remplacée par la valeur par défaut.
Maximum : 65535 caractères.
Par défaut : 5 caractères

Remarque : la valeur par défaut est 65 535 pour les variables système avec le type de données String.

Plus de détails dans l’aide en ligne.

VT_BSTR

SymbAddr

Adresse symbolique

Séquence de caractères pour l’adressage symbolique des variables.

Longueur maximale : 1024 caractères.

Remarque : L’adresse symbolique n’est pas prise en charge par tous les drivers.
Lors de l’importation des variables dans des drivers compatibles avec l’adressage symbolique, la propriété est saisie automatiquement.

Plus de détails dans l’aide en ligne.

VT_UI4

Driver

Drivers

VT_UI4

ID_DataTyp

Type de données

Type de donnée pour la variable. Sélectionné durant la création de la variable ; peut être modifié ici ultérieurement.
Remarque : Pour les variables de structure, le type de données ne peut plus être modifié après la création des variables.
Attention : Si vous modifiez le type de données ultérieurement, toutes les autres propriétés de la variable doivent être vérifiées et ajustées, si nécessaire.

Plus de détails dans l’aide en ligne.

VT_UI4

ID_DriverTyp

Type d'objet driver

Selon le driver utilisé, un type d’objet est sélectionné durant la création de la variable et peut être modifié ici ultérieurement.
Siemens : bloc de données, marqueur, entrée/sortie.
Modbus : Coil et Holding Register.

Plus de détails dans l’aide en ligne.

VT_UI1

UpdatePriority

Priorité

Si l’heure de mise à jour globale spécifiée dans la configuration du driver n’est pas utilisée, la fréquence des mises à jour correspondant aux différents niveaux de priorité peut être définie ici. Dans cette propriété, une priorité est attribuée à une variable.

Plus de détails dans l’aide en ligne.

VT_BOOL

Standby

Lire uniquement sur le serveur redondant

Active : La valeur de la variable provenant du serveur redondant est affichée.
Inactive : La valeur de la variable provenant du serveur est affichée.
(drivers matériels uniquement)

Plus de détails dans l’aide en ligne.

VT_UI2

Digits

Nombre de décimales

Nombre de décimales des valeurs de variables utilisées lors de l’affichage dans le système de contrôle.
Minimum : 0
Maximum : 10
Par défaut : 0

Plus de détails dans l’aide en ligne.

VT_R8

SignalMin

Signal min.

Valeur minimum de la variable dans l’automate.
À moins d’être définie différemment dans la propriété Ajustement non-linéaire, la valeur brute des variables (résolution du signal) sera toujours convertie au format de la plage de mesure sur une base linéaire (pour une utilisation dans le système de contrôle). Toutes les autres entrées de valeurs numériques spécifiques à la variable dans Editor et dans le Runtime seront liées à la plage de mesures (par ex. définition des valeurs limites, limites des valeurs prescrites, zone de représentation, entrées de valeurs prescrites, etc.).

Plus de détails dans l’aide en ligne.

VT_R8

SignalMax

Signal max.

Valeur maximum de la variable dans l’automate. À moins d’être définie différemment dans la propriété Ajustement non-linéaire, la valeur brute des variables (résolution du signal) sera toujours convertie au format de la plage de mesure sur une base linéaire (pour une utilisation dans le système de contrôle). Toutes les autres entrées de valeurs numériques spécifiques à la variable dans Editor et dans le Runtime seront liées à la plage de mesures (par ex. définition des valeurs limites, limites des valeurs prescrites, zone de représentation, entrées de valeurs prescrites, etc.).

Plus de détails dans l’aide en ligne.

VT_R8

RangeMin

Plage de mesure min.

Valeur minimum des variables dans zenon.
À moins d’être définie différemment dans la propriété Ajustement non-linéaire, la valeur brute des variables (résolution du signal) sera toujours convertie au format de la plage de mesure sur une base linéaire (pour une utilisation dans le système de contrôle). Toutes les autres entrées de valeurs numériques spécifiques à la variable dans Editor et dans le Runtime seront liées à la plage de mesures (par ex. définition des valeurs limites, limites des valeurs prescrites, zone de représentation, entrées de valeurs prescrites, etc.).

Plus de détails dans l’aide en ligne.

VT_R8

RangeMax

Plage de mesure max.

Valeur maximum des variables dans zenon.
À moins d’être définie différemment dans la propriété Ajustement non-linéaire, la valeur brute des variables (résolution du signal) sera toujours convertie au format de la plage de mesure sur une base linéaire (pour une utilisation dans le système de contrôle). Toutes les autres entrées de valeurs numériques spécifiques à la variable dans Editor et dans le Runtime seront liées à la plage de mesures (par ex. définition des valeurs limites, limites des valeurs prescrites, zone de représentation, entrées de valeurs prescrites, etc.).

Plus de détails dans l’aide en ligne.

VT_BOOL

UseMacro

Ajustement non-linéaire avec macros

L’ajustement de valeurs non linéaires est utilisé pour les variables dont la valeur originale (automate) ne peut pas être ajustée de manière linéaire en fonction de la valeur mesurée (système de contrôle).

  • Active : Les valeurs brutes sont ajustées en fonction de zenon, sur une base non linéaire, avec des macros VBA.
  • Inactive : Les valeurs brutes sont ajustées en fonction de zenon.

Remarque : Lors de l’activation de la propriété, les propriétés AdjustHardwareValue et AdjustScadaValue doivent également être configurées. La propriété AdjustHardwareValue doit alors être configurée à l’inverse de la propriété AdjustScadaValue, sous forme de fonction inverse.

Par défaut : Inactive

Plus de détails dans l’aide en ligne.

ZT_VBAMAKRO

AdjustHardware

AdjustHardwareValue

Disponible uniquement si la propriété Ajustement non-linéaire avec macros est active.

Macro appelée à chaque modification de la valeur brute dans l’automate, et qui modifie la valeur dans zenon. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de macros.
Plus de détails dans l’aide en ligne.

ZT_VBAMAKRO

AdjustZenon

AdjustScadaValue

Disponible uniquement si la propriété Ajustement non-linéaire avec macros est active.

La macro est appelée lors de l’écriture d’une valeur depuis zenon et modifie la valeur brute sur l’automate. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de macros.
Plus de détails dans l’aide en ligne.

VT_R8

HystNeg

Négatif pour le signal

Hystérésis des valeurs limites définies en fonction de la plage du signal.

Plage d’hystérésis pour l’entrée en cas de changement de valeur avec diminution. Les valeurs sont uniquement interprétées comme des dépassements de valeur limite si la valeur changeante est inférieure à la plage d’hystérésis définie ici.
Par défaut : 0 (pas d’hystérésis)

Plus de détails dans l’aide en ligne.

VT_R8

HystPos

Positif pour le signal

Hystérésis des valeurs limites définies en fonction de la plage du signal.

Plage d’hystérésis pour l’entrée en cas de changement de valeur avec augmentation. Les valeurs sont uniquement interprétées comme des dépassements de valeur limite si la valeur changeante est supérieure à la plage d’hystérésis définie ici.
Par défaut : 0 (pas d’hystérésis)

Plus de détails dans l’aide en ligne.

VT_R8

ArchHystNeg

Négatif pour l'archive

Hystérésis d’archivage en cas de changement appliquée à la plage de mesure.

Plage d’hystérésis pour l’entrée en cas de changement de valeur avec diminution. Les valeurs sont uniquement saisies dans l’archive si la valeur changeante est inférieure à la plage d’hystérésis définie ici.
Par défaut : 0 (pas d’hystérésis)

Plus de détails dans l’aide en ligne.

VT_R8

ArchHystPos

Positif pour l'archive

Hystérésis d’archivage en cas de changement appliquée à la plage de mesure.

Plage d’hystérésis pour l’entrée en cas de changement de valeur avec augmentation. Les valeurs sont uniquement saisies dans l’archive si la valeur changeante est supérieure à la plage d’hystérésis définie ici.
Par défaut : 0 (pas d’hystérésis)

Plus de détails dans l’aide en ligne.

VT_BOOL

DDEActive

Variable lue en permanence

Paramètre de lecture de la variable et de sa disponibilité via DDE dans le Runtime :

  • Active : La variable est toujours connectée au driver. Cela signifie qu’elle est continuellement lue par le driver, même si elle n’est pas nécessaire dans le projet à cet instant précis. Le driver connaît ainsi toujours les valeurs actuelles et l’état actuel des variables et peut les fournir immédiatement, si nécessaire. La variable est également disponible pour les autres applications Windows (par exemple, Excel, Visual Basic, etc.). Les applications Windows possédant une fonctionnalité de client DDE peuvent ainsi utiliser les valeurs de la variable.
    Temps d’actualisation : 0,5 s
    L'activation de cette option offre par exemple l’avantage de basculer plus rapidement les valeurs de variables dans la fonction Ecriture valeur prescrite ou dans l’élément Appel de synoptique, car il n’est pas nécessaire d’interroger spécialement la variable avant la commutation. L’inconvénient est une augmentation de la charge des communications au niveau du contrôleur.
  • Inactive : La variable n’est pas interrogée en permanence par le driver, mais uniquement en cas de demande de valeurs ou d’états dans le Runtime. Elle n’est donc pas disponible dans les autres applications Windows via DDE.

Par défaut : Inactive

Plus de détails dans l’aide en ligne.

VT_UI4

ArraySizeOld

Dimension tableau

Définition de la taille de l’ensemble de blocs. La taille définie est lue ou écrite par le driver durant une demande de lecture/d’écriture. Ceci permet de garantir la cohérence des données dans le texte. Les données peuvent uniquement être modifiées dans le module Recipegroup Manager ou via l’interface de programmation.
Attention : peut être défini au niveau du driver interne, toutefois sans fonction dans le Runtime (valeur toujours égale à 0).

Plus de détails dans l’aide en ligne.

VT_UI4

CounterGroup

Groupe de compteur

Disponible uniquement dans SICAM 230.

VT_UI4

MaxGradient

Gradient maximum

Disponible uniquement dans SICAM 230.

VT_BOOL

NormalStateActive

Actif

Permet de définir un état normal pour les variables et les types de données du type BOOL, UINT et WORD pour tous les drivers.

Active : Un état normal peut être défini.

Par défaut : Inactive

Plus de détails dans l’aide en ligne.

VT_BOOL

NormalState

Valeur normale

Dans la liste déroulante, choisissez si la valeur normale de cette variable ou ce type de données doit être On (Active) ou Off (Inactive). Disponible pour les variables et les types de données du type BOOL, UINT et WORD pour tous les drivers.

Par défaut : Off

Plus de détails dans l’aide en ligne.

ZT_VARIABLE

AlarmPV0

Variable d'alarme 1

Disponible uniquement dans SICAM 230.
Première variable pour la gestion d’alarmes de synoptiques.

Plus de détails dans l’aide en ligne.

ZT_VARIABLE

AlarmPV1

Variable d'alarme 2

Disponible uniquement dans SICAM 230.
Deuxième variable pour la gestion d’alarmes de synoptiques.

Plus de détails dans l’aide en ligne.

ZT_VARIABLE

AlarmPV2

Variable d'alarme 3

Disponible uniquement dans SICAM 230.
Troisième variable pour la gestion d’alarmes de synoptiques.

Plus de détails dans l’aide en ligne.

VT_BOOL

HDActive

Stockage de données sur disque dur actif

Active : les valeurs de variables sont enregistrées sur le disque dur (enregistrement circulaire) pour être évaluées dans l’élément dynamique "Élément de tendance" ou pour l’exportation/l’importation des valeurs.

Inactive : aucune valeur de variable n’est enregistrée.

Par défaut : inactive

Les données de disque dur nécessitent 24 octets d’espace de stockage par valeur, indépendamment du type de variable. Outre la valeur, les informations suivantes sont enregistrées :
- Heure d’exécution de la mesure.
- Millisecondes lors de la lecture de la valeur.
- Modification de l’état de la valeur en fonction des éléments.
- Compteur pour l’identification unique de la valeur (driver événementiel).

Remarque : Le stockage de données est également activé lors d’un appel de synoptique de type Extended Trend si des données en ligne sont analysées.
Les variables de type chaîne ne sont pas prises en charge par la fonction de stockage de données sur le disque dur.

Attention : si l’option d’enregistrement sur disque dur est activée pour un trop grand nombre de variables, en présence d’un trop grand nombre de valeurs, les performances du Runtime peuvent être altérées.

Plus de détails dans l’aide en ligne.

VT_R4

HDUpdate

Temps de cycle [s]

Disponible uniquement si la propriété Stockage de données sur disque dur actif est active :
Durée de l’intervalle [en secondes] de conservation des valeurs en ligne sur le disque dur (mémoire circulaire) pour l’analyse dans l’élément dynamique Tendance, pour les données en ligne dans le module Extended Trend ou pour l’exportation/l’importation de valeurs.

Plus de détails dans l’aide en ligne.

VT_UI4

HDSize

Nombre de valeurs

Valeur correspondant à l’intervalle de conservation des valeurs en ligne sur le disque dur (mémoire circulaire) pour l’analyse dans l’élément dynamique Tendance, pour les données en ligne dans le module Extended Trend ou pour l’exportation/l’importation de valeurs.

Attention : si l’option d’enregistrement sur disque dur est activée pour un trop grand nombre de variables, en présence d’un trop grand nombre de valeurs, les performances du Runtime peuvent être altérées.

Plus de détails dans l’aide en ligne.

VT_BOOL

IsKDAActiv

Type d'enregistrement

Disponible uniquement si la propriété Stockage de données sur disque dur actif est active :
Données de disque dur (cyclique) : Écriture cyclique des valeurs sur le disque dur.
Valeurs retriées (RDA) : Les valeurs sont écrites bloc par bloc sur le disque dur par le driver. (Fonction adaptée à l’analyse rétrospective des erreurs au niveau du système de contrôle.)

Plus de détails dans l’aide en ligne.

VT_BOOL

ExternVisible

Visible extérieurement pour

Disponible uniquement si la propriété Visible par d'autres programmes est active.

Spécifiez expressément les projets de zenon Logic pour lesquels la variable doit être visible. Si vous laissez le champ de saisie vide, la variable est visible pour tous les projets zenon Logic. Vous pouvez également saisir des projets zenon Logic de manière expresse. Séparez les noms des projets individuels par un point-virgule (";"). Vous pouvez utiliser les opérateurs. Par exemple, P1* signifie tous les projets zenon Logic commençant par P1. (Remarque : les opérateurs sont uniquement autorisés sous forme de préfixe ou de suffixe, par exemple, *xxx ou xxx*.

Le nombre de caractères est limité à 64.

Par défaut : -

Plus de détails dans l’aide en ligne.

VT_BSTR

ExternVisibleFor

Visible extérieurement pour

Disponible uniquement si la propriété Visible par d'autres programmes est active.

Spécifiez expressément les projets de zenon Logic pour lesquels la variable doit être visible. Si vous laissez le champ de saisie vide, la variable est visible pour tous les projets zenon Logic. Vous pouvez également saisir des projets zenon Logic de manière expresse. Séparez les noms des projets individuels par un point-virgule (";"). Vous pouvez utiliser les opérateurs. Par exemple, P1* signifie tous les projets zenon Logic commençant par P1. (Remarque : les opérateurs sont uniquement autorisés sous forme de préfixe ou de suffixe, par exemple, *xxx ou xxx*.

Le nombre de caractères est limité à 64.

Par défaut : -

Plus de détails dans l’aide en ligne.

VT_BOOL

ReadWrite

Ecriture/lecture externe

Propriété externe pour zenon Logic. Affecte uniquement les variables qui ne forment pas partie du driver straton.
Active : la valeur de la variable ne peut pas être modifiée dans zenon Logic. La définition de la variable ne peut pas être modifiée dans zenon Logic.
Inactive : la variable ne peut pas être modifiée dans zenon Logic.
Par défaut : active.

Plus de détails dans l’aide en ligne.

VT_BSTR

InitialValue

Valeur initiale externe

Propriété externe pour zenon Logic. Affecte uniquement les variables qui ne forment pas partie du driver straton.
Valeur initiale de la variable dans zenon Logic durant une reprise graduelle ou une reprise intermédiaire.
La saisie autorisée ici dépend du type de données de la variable. Par exemple, vous pouvez uniquement utiliser des valeurs sans décimales pour les variables entières. Pour les variables à virgule flottante, un point doit être utilisé en tant que séparateur décimal ; les virgules ne peuvent pas être utilisées.
Le système de contrôle ne vérifie pas la validité de cette saisie. Ceci peut générer un message d’erreur dans zenon Logic.

Attention : lors de l’utilisation de variables du driver interne, cette propriété doit posséder la même valeur que la valeur initiale dans les paramètres des variables internes.

Plus de détails dans l’aide en ligne.

VT_BSTR

Profilename

Nom profil externe

Propriété externe pour zenon Logic. Affecte uniquement les variables qui ne forment pas partie du driver straton.
Nom du profil défini dans zenon Logic (par ex. STRATON, ProfDP).

Cette propriété est uniquement affichée pour information. Édition dans zenon Logic uniquement.

Plus de détails dans l’aide en ligne.

VT_BSTR

Adressparam

Paramètre externe d'adresse

Propriété externe pour zenon Logic. Affecte uniquement les variables qui ne sont pas des variables du driver straton.
Propriétés de profil dans zenon Logic (par ex. "intégré" ou paramètres d’adressage de Profibus).

Cette propriété est uniquement affichée pour information. Édition dans zenon Logic uniquement.

Plus de détails dans l’aide en ligne.

VT_BSTR

Vargroup

Groupe de variables externe

Propriété externe pour zenon Logic. Affecte uniquement les variables qui ne sont pas des variables du driver straton32.
Groupes de variables dans zenon Logic ("Global" ou "Retain" ou vides).

Cette propriété est uniquement affichée pour information. Édition dans zenon Logic uniquement.

Plus de détails dans l’aide en ligne.

VT_BOOL

IsRemaActiv

Matrice de réaction active

Active : Une matrice de réaction est utilisée à la place des valeurs de limite.
Inactive : Les valeurs peuvent être définies pour la variable.
Par défaut : inactive.

Plus de détails dans l’aide en ligne.

ZT_REMA

Rema

Matrice de réaction

Propriétés d’utilisation d’une matrice de réaction pour la variable.

Plus de détails dans l’aide en ligne.

ZT_VARIABLE

AlarmQuitPV

Valeur d'acquittement

Si une alarme de cette variable est acquittée visuellement, la variable sélectionnée sous Variable d'acquittement visuel ou Variable d'acquittement est définie sur cette valeur.

Sélection de 0 ou 1.

Plus de détails dans l’aide en ligne.

ZT_VARIABLE

AlarmViewQuitPV

Variable d'acquittement visuel

Si une alarme de la variable de contrôle est acquittée visuellement, la valeur de la variable d’acquittement visuel est définie sur la valeur définie par Valeur d'acquittement.

Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de variables binaires.

Plus de détails dans l’aide en ligne.

VT_UI4

AlarmQuitPVValue

Valeur d'acquittement

Si une alarme de cette variable est acquittée visuellement, la variable sélectionnée sous Variable d'acquittement visuel ou Variable d'acquittement est définie sur cette valeur.

Sélection de 0 ou 1.

Plus de détails dans l’aide en ligne.

VT_BOOL

VarInASM

Enregistrer dans la base IPA

Active : les alarmes de cette variable sont disponibles pour analyse dans le module Industrial Performance Analyzer (IPA).
Inactive : les alarmes de cette variable ne sont prises en compte lors de l’analyse dans le module Industrial Performance Analyzer (IPA).
Par défaut : Inactive

Attention : le module Industrial Performance Analyzer est un module optionnel, qui doit comporter une licence valide pour pouvoir être utilisé ici.

Plus de détails dans l’aide en ligne.

VT_BOOL

AlarmViaEquipmentModel

Utiliser la gestion d'alarmes hiérarchiques du modèle d'équipement

Type d’attribution de la variable à un domaine d’alarmes.

  • Active :
    Le domaine d’alarmes de la variable est transféré par le modèle d’équipement. L’alarme de la variable est applicable aux domaines d’alarmes définis dans le modèle d’équipement. Dans ce cas, le groupe d’équipements de la variable et le groupe d’équipements de niveau supérieur du modèle d’équipement sont pris en compte.
  • Inactive :
    L'alarme sur la variable est applicable aux domaines d’alarmes 1 à 4 de la gestion d’alarmes.

Remarque : Si cette propriété est activée pour un type de données, les paramètres de toutes les variables issues de celle-ci sont transférés.

Plus de détails dans l’aide en ligne.

ZT_BSTR_REF

AreaName

AreaName

Description as text.

ZT_BSTR_REF

AreaName2

AreaName2

Description as text.

ZT_BSTR_REF

AreaName3

AreaName3

Description as text.

ZT_BSTR_REF

AreaName4

AreaName4

Description as text.

VT_BOOL

InOut

Ecrire valeur prescrite

Active : cette variable est libérée pour l’action Spécifier valeur prescrite.
Inactive : cette variable est protégée en écriture.
Par défaut : Active

Plus de détails dans l’aide en ligne.

VT_BOOL

SBO

Select Before Operate

Attention : Cette fonctionnalité est uniquement compatible avec les drivers IEC870 et IEC850, et uniquement disponible si vous avez sélectionné l’option Commande commutation pour la propriété de type d’action dans Gestion des commandes, et l’action est mise en œuvre sous forme d’action à deux étapes. N’utilisez pas cette fonction pour le driver DNP3_NG ; Auto-SBO peut être configuré directement pour la variable, dans ce cas.

Active : Avant que la valeur de la variable ne soit écrite dans le matériel, zenon vérifie, pendant la première phase de la commande de commutation, si la variable dans l’équipement est prête pour cette action (Select before Operate (SBO)).
Attention : Pour les commandes impulsion, la réinitialisation automatique des valeurs des variables n’est pas effectuée dans l’intervalle de temps défini dans la propriété de délai de front.

Si la propriété SBO a été activée pour la variable d’action, une commande d’impulsion se comporte de la même manière qu’une commande de commutation.

Inactive : La valeur de la variable est transférée vers le driver sans vérification préalable.

Remarque : dans un driver IEC870, cela signifie une instruction Direct execute. Le driver IEC850 peut toutefois déclencher automatiquement une instruction Select before Operate , en raison du Control Model.
Par défaut : Inactive :
Plus de détails dans l’aide en ligne.

VT_BOOL

CancelOperate

Annuler 'Operate'

Si cette propriété est activée, il est possible d’envoyer une commande Cancel après une commande Operate lors de la gestion des commandes.

Remarque : Cette propriété est uniquement dans la version Energy Edition.

Par défaut : Inactive

Plus de détails dans l’aide en ligne.

VT_R8

ValueMin

Valeur prescrite min.

La valeur minimum définie ici pour le paramètre Écrire valeur prescrite peut être acceptée par le biais d’éléments dynamiques, plutôt que par la configuration séparée de ces derniers.
Ceci est surtout recommandé si la plage de la mesure est susceptible de varier ultérieurement, car ces modifications peuvent être effectuées une fois ici, au lieu d’être modifiées séparément dans chaque élément.

Plus de détails dans l’aide en ligne.

VT_R8

ValueMax

Valeur prescrite max.

La valeur maximum définie ici pour le paramètre Écrire valeur prescrite peut être acceptée par le biais d’éléments dynamiques, plutôt que par la configuration séparée de ces derniers.
Ceci est surtout recommandé si la plage de la mesure est susceptible de varier ultérieurement, car ces modifications peuvent être effectuées une fois ici, au lieu d’être modifiées séparément dans chaque élément.

Plus de détails dans l’aide en ligne.

VT_BSTR

LockingName

LockingName

"With this property you have the opportunity to assign an interlocking via its name.
zElement.DynProperties(""LockingName"") = ""Interlocking 1"""

VT_UI1

SetValueProtocol

Enregistrement (fichier journal)

Définit la manière dont l’écriture de la valeur prescrite sera consignée dans la liste CEL.

  • Tout : Toutes les actions Écrire valeur prescrite de cette variable exécutées via des éléments dynamiques et les fonctions Écrire valeur prescrite sont consignées dans la liste d’événements. (CEL)
  • Rien : aucune action Spécifier valeur prescrite n’est consignée dans la liste CEL.
  • Seulement sur élément dynamique : Seules les actions Écrire valeur prescrite exécutées via les éléments dynamiques sont consignées dans la liste CEL.

Par défaut : Uniquement les éléments dynamiques :

Plus de détails dans l’aide en ligne.

VT_BOOL

SV_Act

Ancienne et nouvelle valeur
  • Active : en cas de modification de la valeur prescrite de cette variable, les valeurs ancienne et nouvelle sont consignées dans la liste d’événements (CEL).
  • Inactive : Seule la nouvelle valeur est consignée.

Par défaut : Inactive

Recommandation : Activez la propriété Variable lue en permanence. Ceci permet de garantir que la valeur est toujours disponible, et qu’il n’est pas nécessaire de l’interroger spécialement.

Plus de détails dans l’aide en ligne.

VT_BOOL

SV_VBA

Valeurs modifiées par VBA

Active : L’écriture de la valeur prescrite de cette variable via une macro VBA est consignée dans la liste d’événements.
inactive : l’écriture de la valeur prescrite de cette variable via une macro VBA n’est pas consignée.
Par défaut : Active

Remarque : pour les variables configurées sous forme de variables de commande dans la passerelle de procédé IEC870, chaque commande est consignée sous la forme Spécifier valeur prescrite via l’interface COM dans la liste CEL, si la propriété est activée.

Plus de détails dans l’aide en ligne.

VT_BSTR

VisualName

Nom visuel

Saisie d’un nom d’affichage de la variable dans zenon Analyzer. Celui-ci doit être unique dans le projet, mais ceci n’est pas vérifié dans zenon. Cette vérification est effectuée lors de l’importation dans zenon Analyzer.

Cette propriété fournit des informations qui sont utilisées pour la configuration de rapports dans zenon Analyzer. L’exportation des données de zenon vers zenon Analyzer est effectuée à l’aide de l’assistant Analyzer Export Wizard.

Attention : Si cette propriété est modifiée après la première exportation vers zenon Analyzer, ces modifications ne sont appliquées dans zenon Analyzer.

Plus de détails dans l’aide en ligne.

VT_BSTR

Meaning

Signification

Cette propriété fournit des informations qui sont utilisées par la fonction de configuration de rapports dans zenon Analyzer.
Les données peuvent être définies manuellement ou à l’aide de l’assistant Meaning and Waterfall Chart Wizard. L’exportation des données de zenon vers zenon Analyzer est effectuée à l’aide de l’assistant Analyzer Export Wizard.

Saisie de la signification (meaning) d’une variable dans zenon Analyzer. Plusieurs significations doivent être séparées par une virgule.
Syntaxe : [signification1],[signification2],…,[significationN]

Plus de détails dans l’aide en ligne.

VT_BSTR

WaterfallParam

Paramètre pour le waterfall diagram

Cette propriété fournit des informations qui sont utilisées par la fonction de configuration de rapports dans zenon Analyzer.
Les données peuvent être définies manuellement ou à l’aide de l’assistant Meaning and Waterfall Chart Wizard. L’exportation des données de zenon vers zenon Analyzer est effectuée à l’aide de l’assistant Analyzer Export Wizard.

Paramètres d’une variable pour un diagramme en cascade dans zenon Analyzer. Les entrées peuvent être créées pour les rapports par ligne ou les rapports par machine. Lors de l’exportation, en fonction de la structure des entrées, une décision est prise pour déterminer s’il s’agit d’entrées correspondant à des diagrammes par machine ou par ligne.

Les paramètres individuels doivent être séparés par une virgule. Plusieurs cascades doivent être séparées par un poing-virgule.
Syntaxe, par machine : [nom modèle],[indice de ligne],[indice de colonne],[code de couleur];
Syntaxe, par ligne : [nom du modèle],[indice de ligne],[indice de colonne],[code de couleur],[perte de machine auxiliaire],[ajout de perte de machine auxiliaire],[soustraction de perte de machine auxiliaire];

Plus de détails dans l’aide en ligne.

VT_BOOL

Use_in_ProcRec

Activer l'enregistrement

Active/désactive la variable ou le type de données enregistré dans le module Process Recorder.
La sélection multiple de variables est possible.

  • Active :
    Les changements de valeur de la variable sont enregistrés dans le module Process Recorder.
    Attention : Assurez-vous que l’activation générale de l’enregistrement a été configurée dans la propriété Activer Process Recorder.
  • Inactive :
    Les changements de valeur de la variable ne sont pas enregistrés dans le module Process Recorder.

Par défaut : les paramètres configurés sont appliqués pour le type de données utilisé.

Plus de détails dans l’aide en ligne.

ZT_AKZ

SystemModelGroup

Groupes d'équipements

Lie l’élément à un modèle d’équipement. Cliquez sur le bouton ... pour ouvrir la boîte de sélection d’un groupe d’équipements.
L'affichage du groupe d’équipements sélectionné inclut également les niveaux supérieurs à ce groupe. Les niveaux sont séparés par un point dans l’affichage.

Dans le cas d’une sélection multiple, les groupes d’équipements individuels sont séparés par un point-virgule (;).

Plus de détails dans l’aide en ligne.


Variable ED

Manuel -> Interfaces de programmation -> Modèles d'objet -> Variable -> Variable-Dynamic properties -> Variable ED

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Type

VBA/VSTA Name

Display Name

Description

VT_BOOL

IsLocalDigits

IsLocalDigits

"With this property you have the opportunity to decide whether the ""Decimals"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalSignalMin

IsLocalSignalMin

"With this property you have the opportunity to decide whether the ""Minimum signal resolution"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalSignalMax

IsLocalSignalMax

"With this property you have the opportunity to decide whether the ""Maximum signal resolution"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalRangeMin

IsLocalRangeMin

"With this property you have the opportunity to decide whether the ""Minimum measuring range"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalRangeMax

IsLocalRangeMax

"With this property you have the opportunity to decide whether the ""Maximum measuring range"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalAlternateValue

IsLocalAlternateValue

"With this property you have the opportunity to decide whether the ""Alternate value"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalValueMin

IsLocalValueMin

"With this property you have the opportunity to decide whether the ""Minimum set value"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalValueMax

IsLocalValueMax

"With this property you have the opportunity to decide whether the ""Maximum set value"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalUseMacro

IsLocalUseMacro

"With this property you have the opportunity to decide whether the ""Non linear value adjustment with macros"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalInOut

IsLocalInOut

"With this property you have the opportunity to decide whether the ""Setting values active"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalHystNeg

IsLocalHystNeg

"With this property you have the opportunity to decide whether the ""negative hysteresis"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalHystPos

IsLocalHystPos

"With this property you have the opportunity to decide whether the ""negative hysteresis"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalArchHystNeg

IsLocalArchHystNeg

VT_BOOL

IsLocalArchHystPos

IsLocalArchHystPos

VT_BOOL

IsLocalUpdatePriority

IsLocalUpdatePriority

"With this property you have the opportunity to decide whether the ""Priority of the driver connection"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalDDEaktiv

IsLocalDDEaktiv

"With this property you have the opportunity to decide whether the ""DDE active"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalStandby

IsLocalStandby

"With this property you have the opportunity to decide whether the ""Only read from standby"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalRemaActiv

IsLocalRemaActiv

"With this property you have the opportunity to decide whether the ""Reaction matrix active"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalRema

IsLocalRema

"With this property you have the opportunity to decide whether the ""Reaction matrix"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalHDActive

IsLocalHDActive

"With this property you have the opportunity to decide whether the ""HD active"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalHDUpdate

IsLocalHDUpdate

"With this property you have the opportunity to decide whether the ""HD scan rate"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalHDSize

IsLocalHDSize

"With this property you have the opportunity to decide whether the ""Number of HD values"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalKDAActiv

IsLocalKDAActiv

"With this property you have the opportunity to decide whether the ""Recording type"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalStingLength

IsLocalStingLength

"With this property you have the opportunity to decide whether the ""String length"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalQuitPV

IsLocalQuitPV

"With this property you have the opportunity to decide whether the ""Acknowledgement variable"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalViewQuitPV

IsLocalViewQuitPV

Description as text.

VT_BOOL

IsLocalQuitValue

IsLocalQuitValue

"With this property you have the opportunity to decide whether the ""Acknowledgement value"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalTagname

IsLocalTagname

"With this property you have the opportunity to decide whether the ""Identification"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalUnit

IsLocalUnit

"With this property you have the opportunity to decide whether the ""Unit"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalAltValString

IsLocalAltValString

"With this property you have the opportunity to decide whether the ""String alternative value"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalRecLabel

IsLocalRecLabel

"With this property you have the opportunity to decide whether the ""Ressources label"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalAdjustHW

IsLocalAdjustHW

"With this property you have the opportunity to decide whether the ""AdjustHardwareValue"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalAdjustZenon

IsLocalAdjustZenon

"With this property you have the opportunity to decide whether the ""AdjustZenOnValue"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalArraySize

IsLocalArraySize

"With this property you have the opportunity to decide whether the ""Array size"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalCounterGroup

IsLocalCounterGroup

VT_BOOL

IsLocalMaxGradient

IsLocalMaxGradient

VT_BOOL

IsLocalNormalStateActive

IsLocalNormalStateActive

VT_BOOL

IsLocalNormalState

IsLocalNormalState

VT_BOOL

IsLocalAlarmPV0

IsLocalAlarmPV0

"With this property you have the opportunity to decide whether the ""Alarm Variable 1"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalAlarmPV1

IsLocalAlarmPV1

"With this property you have the opportunity to decide whether the ""Alarm Variable 2"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalAlarmPV2

IsLocalAlarmPV2

"With this property you have the opportunity to decide whether the ""Alarm Variable 3"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalVarInASM

IsLocalVarInASM

"With this property you have the opportunity to decide whether the ""Save in IPA database"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalAlarmDomain

IsLocalAlarmDomain

"With this property you have the opportunity to decide whether the ""Alarm area"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalAlarmDomain2

IsLocalAlarmDomain2

Description as text.

VT_BOOL

IsLocalAlarmDomain3

IsLocalAlarmDomain3

Description as text.

VT_BOOL

IsLocalAlarmDomain4

IsLocalAlarmDomain4

Description as text.

VT_BOOL

IsLocalLocking

IsLocalLocking

"With this property you have the opportunity to decide whether the ""Interlocking"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalSBO

IsLocalSBO

"With this property you have the opportunity to decide whether the ""Select before operate"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalCancelOperate

IsLocalCancelOperate

Description

VT_BOOL

IsLocalAlarmViaEquipmentModel

IsLocalAlarmViaEquipmentModel

Description

VT_BOOL

IsLocalUsedInProcRec

IsLocalUsedInProcRec

Description

VT_UI1

IsSWProtokol

IsSWProtokol

VT_BOOL

IsSW_Akt

IsSW_Akt

VT_BOOL

IsSW_VBA

IsSW_VBA

More...

Limits

Valeurs limite

Propriétés définissant le traitement des valeurs limites ou le traitement des alarmes pour la variable.

Les propriétés de ce groupe sont uniquement disponibles si vous avez activé la propriété Matrice de réaction active.

Plus de détails dans l’aide en ligne.

VT_UI4

ID_ComplexVariable

ID_ComplexVariable

With this property you have the opportunity to get/set the ID of a variable from a structure element. This ID is 0 when the variable has no structure datatype.

VT_BSTR

Name

Nom

Nom unique de la variable. Les considérations suivantes s’appliquent lors de la définition du nom :

  • Longueur maximale : 128 caractères
  • Caractères non autorisés : # et @

Remarque : pour les drivers utilisant la connexion à zenon Logic, vous devez définir un préfixe. Pour plus de détails, reportez-vous au chapitre Création de variables O et M dans zenon Logic dans le manuel.
Toute modification du nom de la variable doit également être effectuée dans l’environnement de programmation (VBA, VSTA).

Attention : Cette propriété n’est pas disponible aux fins de la commutation de langue.

Plus de détails dans l’aide en ligne.

VT_BSTR

Tagname

Identification

Chaîne libre utilisée pour l’identification de la variable ou du type de données.
Remarque : Puisque la langue du nom de la variable (propriété Nom) ne peut pas être modifiée, cette propriété peut être utilisée pour le changement de langue en ligne.

Longueur maximale : 128 caractères

Plus de détails dans l’aide en ligne.

VT_BSTR

Unit

Unité de mesure

Unité technique de la variable devant être affichée dans le Runtime. Si vous avez déjà créé des unités de mesure dans le module d’unités de base, celles-ci sont disponibles dans une liste déroulante.
Maximum : 50 caractères.
Par défaut : vide

Plus de détails dans l’aide en ligne.

VT_R8

AlternateValue

Archivfüllwert

Cette valeur est utilisée pour renseigner les archives cycliques. En présence d’intervalles durant lesquels aucune connexion au matériel n’a été établie, cette valeur est utilisée tant qu’aucune valeur n’est transférée depuis l’équipement. Dans le cas contraire, la dernière valeur valide utilisée est utilisée aux fins du renseignement.

Plus de détails dans l’aide en ligne.

VT_BSTR

AlternateValueString

Valeur chaîne pour le remplissage des archives

Cette valeur est utilisée pour les variables de chaîne, afin de renseigner les archives cycliques.
En présence d’intervalles, dans les archives cycliques, durant lesquels aucune connexion au matériel n’a été établie, cette Valeur chaîne pour le remplissage des archives est utilisée tant qu’aucune valeur n’est transférée depuis l’équipement. Dans le cas contraire, la dernière valeur valide est utilisée pour le renseignement.

Longueur maximale : 128 caractères

Attention : Cette propriété n’est pas disponible aux fins de la commutation de langue.

Plus de détails dans l’aide en ligne.

VT_BSTR

Recourceslabel

Description externe

Chaîne au choix.
N'est pas utilisé au niveau interne dans zenon, mais est disponible lors de l’exportation de valeurs pour autoriser l’attribution des valeurs exportées pour les systèmes de gestion tels qu’ERP.

Longueur maximale : 255 caractères

Plus de détails dans l’aide en ligne.

VT_UI4

NetAddr

Adresse réseau

Adresse de bus ou Adresse réseau de la variable.

  • Minimum : 0
  • Maximum : 4294967295

Par défaut : 0

Plus de détails dans l’aide en ligne.

VT_UI4

DataBlock

Bloc de données

Numéro de bloc de données.
Minimum : 0.
Maximum : 4294967295
Par défaut : 0.

Plus de détails dans l’aide en ligne.

VT_UI4

Offset

Offset

Décalage de la variable.
Pour les contrôleurs à adressage linéaire : plage de mémoire.
Pour les contrôleurs à résolution de nom : adresse d’attribution.
Minimum : 0.
Maximum : 4294967295
Par défaut : 0.

Plus de détails dans l’aide en ligne.

VT_UI2

BitAddr

Numéro de bit

Numéro du bit dans le décalage configuré.
Minimum : 0.
Maximum : 65535
Par défaut : 0.

Plus de détails dans l’aide en ligne.

VT_UI2

Alignment

Alignement

Ceci dépend de la granularité du type d’objet du driver et de la position de la variable conformément au décalage défini.

Pour les variables de type Octet :
Octet poids fort : octet de poids fort dans le décalage de mot.
Octet poids faible : Otet de poids faible dans le décalage de mot.
HiWord-HiByte octet de poids fort dans le mot fort dans le décalage de double mot.
HiWord-LoByte (Mot poids fort-Octet poids faible) octet de poids faible dans le mot fort dans le décalage de double mot.
Mot poids faible-Octet poids fort : octet de poids fort dans le mot faible dans le décalage de double mot.
Mot poids faible-Octet poids faible : octet de poids faible dans le mot faible dans le décalage de double mot.

Pour les variables de mot :
Mot poids fort : mot fort dans le décalage de double mot.
Mot poids faible : Mot poids faible dans le décalage de double mot.

Plus de détails dans l’aide en ligne.

VT_UI2

StringLength

Longueur de la chaîne

Disponible uniquement pour les variables de type chaîne.
Nombre maximum de caractères que peut accepter une variable.
Minimum : 1 caractère
Si la valeur non autorisée 0 est saisie, la dernière valeur configurée valide est automatiquement utilisée. Si aucune valeur valide n’a été configurée, l’entrée est remplacée par la valeur par défaut.
Maximum : 65535 caractères.
Par défaut : 5 caractères

Remarque : la valeur par défaut est 65 535 pour les variables système avec le type de données String.

Plus de détails dans l’aide en ligne.

VT_BSTR

SymbAddr

Adresse symbolique

Séquence de caractères pour l’adressage symbolique des variables.

Longueur maximale : 1024 caractères.

Remarque : L’adresse symbolique n’est pas prise en charge par tous les drivers.
Lors de l’importation des variables dans des drivers compatibles avec l’adressage symbolique, la propriété est saisie automatiquement.

Plus de détails dans l’aide en ligne.

VT_UI4

Driver

Drivers

VT_UI4

ID_DataTyp

Type de données

Type de donnée pour la variable. Sélectionné durant la création de la variable ; peut être modifié ici ultérieurement.
Remarque : Pour les variables de structure, le type de données ne peut plus être modifié après la création des variables.
Attention : Si vous modifiez le type de données ultérieurement, toutes les autres propriétés de la variable doivent être vérifiées et ajustées, si nécessaire.

Plus de détails dans l’aide en ligne.

VT_UI4

ID_DriverTyp

Type d'objet driver

Selon le driver utilisé, un type d’objet est sélectionné durant la création de la variable et peut être modifié ici ultérieurement.
Siemens : bloc de données, marqueur, entrée/sortie.
Modbus : Coil et Holding Register.

Plus de détails dans l’aide en ligne.

VT_UI1

UpdatePriority

Priorité

Si l’heure de mise à jour globale spécifiée dans la configuration du driver n’est pas utilisée, la fréquence des mises à jour correspondant aux différents niveaux de priorité peut être définie ici. Dans cette propriété, une priorité est attribuée à une variable.

Plus de détails dans l’aide en ligne.

VT_BOOL

Standby

Lire uniquement sur le serveur redondant

Active : La valeur de la variable provenant du serveur redondant est affichée.
Inactive : La valeur de la variable provenant du serveur est affichée.
(drivers matériels uniquement)

Plus de détails dans l’aide en ligne.

VT_UI2

Digits

Nombre de décimales

Nombre de décimales des valeurs de variables utilisées lors de l’affichage dans le système de contrôle.
Minimum : 0
Maximum : 10
Par défaut : 0

Plus de détails dans l’aide en ligne.

VT_R8

SignalMin

Signal min.

Valeur minimum de la variable dans l’automate.
À moins d’être définie différemment dans la propriété Ajustement non-linéaire, la valeur brute des variables (résolution du signal) sera toujours convertie au format de la plage de mesure sur une base linéaire (pour une utilisation dans le système de contrôle). Toutes les autres entrées de valeurs numériques spécifiques à la variable dans Editor et dans le Runtime seront liées à la plage de mesures (par ex. définition des valeurs limites, limites des valeurs prescrites, zone de représentation, entrées de valeurs prescrites, etc.).

Plus de détails dans l’aide en ligne.

VT_R8

SignalMax

Signal max.

Valeur maximum de la variable dans l’automate. À moins d’être définie différemment dans la propriété Ajustement non-linéaire, la valeur brute des variables (résolution du signal) sera toujours convertie au format de la plage de mesure sur une base linéaire (pour une utilisation dans le système de contrôle). Toutes les autres entrées de valeurs numériques spécifiques à la variable dans Editor et dans le Runtime seront liées à la plage de mesures (par ex. définition des valeurs limites, limites des valeurs prescrites, zone de représentation, entrées de valeurs prescrites, etc.).

Plus de détails dans l’aide en ligne.

VT_R8

RangeMin

Plage de mesure min.

Valeur minimum des variables dans zenon.
À moins d’être définie différemment dans la propriété Ajustement non-linéaire, la valeur brute des variables (résolution du signal) sera toujours convertie au format de la plage de mesure sur une base linéaire (pour une utilisation dans le système de contrôle). Toutes les autres entrées de valeurs numériques spécifiques à la variable dans Editor et dans le Runtime seront liées à la plage de mesures (par ex. définition des valeurs limites, limites des valeurs prescrites, zone de représentation, entrées de valeurs prescrites, etc.).

Plus de détails dans l’aide en ligne.

VT_R8

RangeMax

Plage de mesure max.

Valeur maximum des variables dans zenon.
À moins d’être définie différemment dans la propriété Ajustement non-linéaire, la valeur brute des variables (résolution du signal) sera toujours convertie au format de la plage de mesure sur une base linéaire (pour une utilisation dans le système de contrôle). Toutes les autres entrées de valeurs numériques spécifiques à la variable dans Editor et dans le Runtime seront liées à la plage de mesures (par ex. définition des valeurs limites, limites des valeurs prescrites, zone de représentation, entrées de valeurs prescrites, etc.).

Plus de détails dans l’aide en ligne.

VT_BOOL

UseMacro

Ajustement non-linéaire avec macros

L’ajustement de valeurs non linéaires est utilisé pour les variables dont la valeur originale (automate) ne peut pas être ajustée de manière linéaire en fonction de la valeur mesurée (système de contrôle).

  • Active : Les valeurs brutes sont ajustées en fonction de zenon, sur une base non linéaire, avec des macros VBA.
  • Inactive : Les valeurs brutes sont ajustées en fonction de zenon.

Remarque : Lors de l’activation de la propriété, les propriétés AdjustHardwareValue et AdjustScadaValue doivent également être configurées. La propriété AdjustHardwareValue doit alors être configurée à l’inverse de la propriété AdjustScadaValue, sous forme de fonction inverse.

Par défaut : Inactive

Plus de détails dans l’aide en ligne.

ZT_VBAMAKRO

AdjustHardware

AdjustHardwareValue

Disponible uniquement si la propriété Ajustement non-linéaire avec macros est active.

Macro appelée à chaque modification de la valeur brute dans l’automate, et qui modifie la valeur dans zenon. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de macros.
Plus de détails dans l’aide en ligne.

ZT_VBAMAKRO

AdjustZenon

AdjustScadaValue

Disponible uniquement si la propriété Ajustement non-linéaire avec macros est active.

La macro est appelée lors de l’écriture d’une valeur depuis zenon et modifie la valeur brute sur l’automate. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de macros.
Plus de détails dans l’aide en ligne.

VT_R8

HystNeg

Négatif pour le signal

Hystérésis des valeurs limites définies en fonction de la plage du signal.

Plage d’hystérésis pour l’entrée en cas de changement de valeur avec diminution. Les valeurs sont uniquement interprétées comme des dépassements de valeur limite si la valeur changeante est inférieure à la plage d’hystérésis définie ici.
Par défaut : 0 (pas d’hystérésis)

Plus de détails dans l’aide en ligne.

VT_R8

HystPos

Positif pour le signal

Hystérésis des valeurs limites définies en fonction de la plage du signal.

Plage d’hystérésis pour l’entrée en cas de changement de valeur avec augmentation. Les valeurs sont uniquement interprétées comme des dépassements de valeur limite si la valeur changeante est supérieure à la plage d’hystérésis définie ici.
Par défaut : 0 (pas d’hystérésis)

Plus de détails dans l’aide en ligne.

VT_R8

ArchHystNeg

Négatif pour l'archive

Hystérésis d’archivage en cas de changement appliquée à la plage de mesure.

Plage d’hystérésis pour l’entrée en cas de changement de valeur avec diminution. Les valeurs sont uniquement saisies dans l’archive si la valeur changeante est inférieure à la plage d’hystérésis définie ici.
Par défaut : 0 (pas d’hystérésis)

Plus de détails dans l’aide en ligne.

VT_R8

ArchHystPos

Positif pour l'archive

Hystérésis d’archivage en cas de changement appliquée à la plage de mesure.

Plage d’hystérésis pour l’entrée en cas de changement de valeur avec augmentation. Les valeurs sont uniquement saisies dans l’archive si la valeur changeante est supérieure à la plage d’hystérésis définie ici.
Par défaut : 0 (pas d’hystérésis)

Plus de détails dans l’aide en ligne.

VT_BOOL

DDEActive

Variable lue en permanence

Paramètre de lecture de la variable et de sa disponibilité via DDE dans le Runtime :

  • Active : La variable est toujours connectée au driver. Cela signifie qu’elle est continuellement lue par le driver, même si elle n’est pas nécessaire dans le projet à cet instant précis. Le driver connaît ainsi toujours les valeurs actuelles et l’état actuel des variables et peut les fournir immédiatement, si nécessaire. La variable est également disponible pour les autres applications Windows (par exemple, Excel, Visual Basic, etc.). Les applications Windows possédant une fonctionnalité de client DDE peuvent ainsi utiliser les valeurs de la variable.
    Temps d’actualisation : 0,5 s
    L'activation de cette option offre par exemple l’avantage de basculer plus rapidement les valeurs de variables dans la fonction Ecriture valeur prescrite ou dans l’élément Appel de synoptique, car il n’est pas nécessaire d’interroger spécialement la variable avant la commutation. L’inconvénient est une augmentation de la charge des communications au niveau du contrôleur.
  • Inactive : La variable n’est pas interrogée en permanence par le driver, mais uniquement en cas de demande de valeurs ou d’états dans le Runtime. Elle n’est donc pas disponible dans les autres applications Windows via DDE.

Par défaut : Inactive

Plus de détails dans l’aide en ligne.

VT_UI4

ArraySizeOld

Dimension tableau

Définition de la taille de l’ensemble de blocs. La taille définie est lue ou écrite par le driver durant une demande de lecture/d’écriture. Ceci permet de garantir la cohérence des données dans le texte. Les données peuvent uniquement être modifiées dans le module Recipegroup Manager ou via l’interface de programmation.
Attention : peut être défini au niveau du driver interne, toutefois sans fonction dans le Runtime (valeur toujours égale à 0).

Plus de détails dans l’aide en ligne.

VT_UI4

CounterGroup

Groupe de compteur

Disponible uniquement dans SICAM 230.

VT_UI4

MaxGradient

Gradient maximum

Disponible uniquement dans SICAM 230.

VT_BOOL

NormalStateActive

Actif

Permet de définir un état normal pour les variables et les types de données du type BOOL, UINT et WORD pour tous les drivers.

Active : Un état normal peut être défini.

Par défaut : Inactive

Plus de détails dans l’aide en ligne.

VT_BOOL

NormalState

Valeur normale

Dans la liste déroulante, choisissez si la valeur normale de cette variable ou ce type de données doit être On (Active) ou Off (Inactive). Disponible pour les variables et les types de données du type BOOL, UINT et WORD pour tous les drivers.

Par défaut : Off

Plus de détails dans l’aide en ligne.

ZT_VARIABLE

AlarmPV0

Variable d'alarme 1

Disponible uniquement dans SICAM 230.
Première variable pour la gestion d’alarmes de synoptiques.

Plus de détails dans l’aide en ligne.

ZT_VARIABLE

AlarmPV1

Variable d'alarme 2

Disponible uniquement dans SICAM 230.
Deuxième variable pour la gestion d’alarmes de synoptiques.

Plus de détails dans l’aide en ligne.

ZT_VARIABLE

AlarmPV2

Variable d'alarme 3

Disponible uniquement dans SICAM 230.
Troisième variable pour la gestion d’alarmes de synoptiques.

Plus de détails dans l’aide en ligne.

VT_BOOL

HDActive

Stockage de données sur disque dur actif

Active : les valeurs de variables sont enregistrées sur le disque dur (enregistrement circulaire) pour être évaluées dans l’élément dynamique "Élément de tendance" ou pour l’exportation/l’importation des valeurs.

Inactive : aucune valeur de variable n’est enregistrée.

Par défaut : inactive

Les données de disque dur nécessitent 24 octets d’espace de stockage par valeur, indépendamment du type de variable. Outre la valeur, les informations suivantes sont enregistrées :
- Heure d’exécution de la mesure.
- Millisecondes lors de la lecture de la valeur.
- Modification de l’état de la valeur en fonction des éléments.
- Compteur pour l’identification unique de la valeur (driver événementiel).

Remarque : Le stockage de données est également activé lors d’un appel de synoptique de type Extended Trend si des données en ligne sont analysées.
Les variables de type chaîne ne sont pas prises en charge par la fonction de stockage de données sur le disque dur.

Attention : si l’option d’enregistrement sur disque dur est activée pour un trop grand nombre de variables, en présence d’un trop grand nombre de valeurs, les performances du Runtime peuvent être altérées.

Plus de détails dans l’aide en ligne.

VT_R4

HDUpdate

Temps de cycle [s]

Disponible uniquement si la propriété Stockage de données sur disque dur actif est active :
Durée de l’intervalle [en secondes] de conservation des valeurs en ligne sur le disque dur (mémoire circulaire) pour l’analyse dans l’élément dynamique Tendance, pour les données en ligne dans le module Extended Trend ou pour l’exportation/l’importation de valeurs.

Plus de détails dans l’aide en ligne.

VT_UI4

HDSize

Nombre de valeurs

Valeur correspondant à l’intervalle de conservation des valeurs en ligne sur le disque dur (mémoire circulaire) pour l’analyse dans l’élément dynamique Tendance, pour les données en ligne dans le module Extended Trend ou pour l’exportation/l’importation de valeurs.

Attention : si l’option d’enregistrement sur disque dur est activée pour un trop grand nombre de variables, en présence d’un trop grand nombre de valeurs, les performances du Runtime peuvent être altérées.

Plus de détails dans l’aide en ligne.

VT_BOOL

IsKDAActiv

Type d'enregistrement

Disponible uniquement si la propriété Stockage de données sur disque dur actif est active :
Données de disque dur (cyclique) : Écriture cyclique des valeurs sur le disque dur.
Valeurs retriées (RDA) : Les valeurs sont écrites bloc par bloc sur le disque dur par le driver. (Fonction adaptée à l’analyse rétrospective des erreurs au niveau du système de contrôle.)

Plus de détails dans l’aide en ligne.

VT_BOOL

ExternVisible

Visible extérieurement pour

Disponible uniquement si la propriété Visible par d'autres programmes est active.

Spécifiez expressément les projets de zenon Logic pour lesquels la variable doit être visible. Si vous laissez le champ de saisie vide, la variable est visible pour tous les projets zenon Logic. Vous pouvez également saisir des projets zenon Logic de manière expresse. Séparez les noms des projets individuels par un point-virgule (";"). Vous pouvez utiliser les opérateurs. Par exemple, P1* signifie tous les projets zenon Logic commençant par P1. (Remarque : les opérateurs sont uniquement autorisés sous forme de préfixe ou de suffixe, par exemple, *xxx ou xxx*.

Le nombre de caractères est limité à 64.

Par défaut : -

Plus de détails dans l’aide en ligne.

VT_BSTR

ExternVisibleFor

Visible extérieurement pour

Disponible uniquement si la propriété Visible par d'autres programmes est active.

Spécifiez expressément les projets de zenon Logic pour lesquels la variable doit être visible. Si vous laissez le champ de saisie vide, la variable est visible pour tous les projets zenon Logic. Vous pouvez également saisir des projets zenon Logic de manière expresse. Séparez les noms des projets individuels par un point-virgule (";"). Vous pouvez utiliser les opérateurs. Par exemple, P1* signifie tous les projets zenon Logic commençant par P1. (Remarque : les opérateurs sont uniquement autorisés sous forme de préfixe ou de suffixe, par exemple, *xxx ou xxx*.

Le nombre de caractères est limité à 64.

Par défaut : -

Plus de détails dans l’aide en ligne.

VT_BOOL

ReadWrite

Ecriture/lecture externe

Propriété externe pour zenon Logic. Affecte uniquement les variables qui ne forment pas partie du driver straton.
Active : la valeur de la variable ne peut pas être modifiée dans zenon Logic. La définition de la variable ne peut pas être modifiée dans zenon Logic.
Inactive : la variable ne peut pas être modifiée dans zenon Logic.
Par défaut : active.

Plus de détails dans l’aide en ligne.

VT_BSTR

InitialValue

Valeur initiale externe

Propriété externe pour zenon Logic. Affecte uniquement les variables qui ne forment pas partie du driver straton.
Valeur initiale de la variable dans zenon Logic durant une reprise graduelle ou une reprise intermédiaire.
La saisie autorisée ici dépend du type de données de la variable. Par exemple, vous pouvez uniquement utiliser des valeurs sans décimales pour les variables entières. Pour les variables à virgule flottante, un point doit être utilisé en tant que séparateur décimal ; les virgules ne peuvent pas être utilisées.
Le système de contrôle ne vérifie pas la validité de cette saisie. Ceci peut générer un message d’erreur dans zenon Logic.

Attention : lors de l’utilisation de variables du driver interne, cette propriété doit posséder la même valeur que la valeur initiale dans les paramètres des variables internes.

Plus de détails dans l’aide en ligne.

VT_BSTR

Profilename

Nom profil externe

Propriété externe pour zenon Logic. Affecte uniquement les variables qui ne forment pas partie du driver straton.
Nom du profil défini dans zenon Logic (par ex. STRATON, ProfDP).

Cette propriété est uniquement affichée pour information. Édition dans zenon Logic uniquement.

Plus de détails dans l’aide en ligne.

VT_BSTR

Adressparam

Paramètre externe d'adresse

Propriété externe pour zenon Logic. Affecte uniquement les variables qui ne sont pas des variables du driver straton.
Propriétés de profil dans zenon Logic (par ex. "intégré" ou paramètres d’adressage de Profibus).

Cette propriété est uniquement affichée pour information. Édition dans zenon Logic uniquement.

Plus de détails dans l’aide en ligne.

VT_BSTR

Vargroup

Groupe de variables externe

Propriété externe pour zenon Logic. Affecte uniquement les variables qui ne sont pas des variables du driver straton32.
Groupes de variables dans zenon Logic ("Global" ou "Retain" ou vides).

Cette propriété est uniquement affichée pour information. Édition dans zenon Logic uniquement.

Plus de détails dans l’aide en ligne.

VT_BOOL

IsRemaActiv

Matrice de réaction active

Active : Une matrice de réaction est utilisée à la place des valeurs de limite.
Inactive : Les valeurs peuvent être définies pour la variable.
Par défaut : inactive.

Plus de détails dans l’aide en ligne.

ZT_REMA

Rema

Matrice de réaction

Propriétés d’utilisation d’une matrice de réaction pour la variable.

Plus de détails dans l’aide en ligne.

ZT_VARIABLE

AlarmQuitPV

Valeur d'acquittement

Si une alarme de cette variable est acquittée visuellement, la variable sélectionnée sous Variable d'acquittement visuel ou Variable d'acquittement est définie sur cette valeur.

Sélection de 0 ou 1.

Plus de détails dans l’aide en ligne.

ZT_VARIABLE

AlarmViewQuitPV

Variable d'acquittement visuel

Si une alarme de la variable de contrôle est acquittée visuellement, la valeur de la variable d’acquittement visuel est définie sur la valeur définie par Valeur d'acquittement.

Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de variables binaires.

Plus de détails dans l’aide en ligne.

VT_UI4

AlarmQuitPVValue

Valeur d'acquittement

Si une alarme de cette variable est acquittée visuellement, la variable sélectionnée sous Variable d'acquittement visuel ou Variable d'acquittement est définie sur cette valeur.

Sélection de 0 ou 1.

Plus de détails dans l’aide en ligne.

VT_BOOL

VarInASM

Enregistrer dans la base IPA

Active : les alarmes de cette variable sont disponibles pour analyse dans le module Industrial Performance Analyzer (IPA).
Inactive : les alarmes de cette variable ne sont prises en compte lors de l’analyse dans le module Industrial Performance Analyzer (IPA).
Par défaut : Inactive

Attention : le module Industrial Performance Analyzer est un module optionnel, qui doit comporter une licence valide pour pouvoir être utilisé ici.

Plus de détails dans l’aide en ligne.

VT_BOOL

AlarmViaEquipmentModel

Utiliser la gestion d'alarmes hiérarchiques du modèle d'équipement

Type d’attribution de la variable à un domaine d’alarmes.

  • Active :
    Le domaine d’alarmes de la variable est transféré par le modèle d’équipement. L’alarme de la variable est applicable aux domaines d’alarmes définis dans le modèle d’équipement. Dans ce cas, le groupe d’équipements de la variable et le groupe d’équipements de niveau supérieur du modèle d’équipement sont pris en compte.
  • Inactive :
    L'alarme sur la variable est applicable aux domaines d’alarmes 1 à 4 de la gestion d’alarmes.

Remarque : Si cette propriété est activée pour un type de données, les paramètres de toutes les variables issues de celle-ci sont transférés.

Plus de détails dans l’aide en ligne.

ZT_BSTR_REF

AreaName

AreaName

Description as text.

ZT_BSTR_REF

AreaName2

AreaName2

Description as text.

ZT_BSTR_REF

AreaName3

AreaName3

Description as text.

ZT_BSTR_REF

AreaName4

AreaName4

Description as text.

VT_BOOL

InOut

Ecrire valeur prescrite

Active : cette variable est libérée pour l’action Spécifier valeur prescrite.
Inactive : cette variable est protégée en écriture.
Par défaut : Active

Plus de détails dans l’aide en ligne.

VT_BOOL

SBO

Select Before Operate

Attention : Cette fonctionnalité est uniquement compatible avec les drivers IEC870 et IEC850, et uniquement disponible si vous avez sélectionné l’option Commande commutation pour la propriété de type d’action dans Gestion des commandes, et l’action est mise en œuvre sous forme d’action à deux étapes. N’utilisez pas cette fonction pour le driver DNP3_NG ; Auto-SBO peut être configuré directement pour la variable, dans ce cas.

Active : Avant que la valeur de la variable ne soit écrite dans le matériel, zenon vérifie, pendant la première phase de la commande de commutation, si la variable dans l’équipement est prête pour cette action (Select before Operate (SBO)).
Attention : Pour les commandes impulsion, la réinitialisation automatique des valeurs des variables n’est pas effectuée dans l’intervalle de temps défini dans la propriété de délai de front.

Si la propriété SBO a été activée pour la variable d’action, une commande d’impulsion se comporte de la même manière qu’une commande de commutation.

Inactive : La valeur de la variable est transférée vers le driver sans vérification préalable.

Remarque : dans un driver IEC870, cela signifie une instruction Direct execute. Le driver IEC850 peut toutefois déclencher automatiquement une instruction Select before Operate , en raison du Control Model.
Par défaut : Inactive :
Plus de détails dans l’aide en ligne.

VT_BOOL

CancelOperate

Annuler 'Operate'

Si cette propriété est activée, il est possible d’envoyer une commande Cancel après une commande Operate lors de la gestion des commandes.

Remarque : Cette propriété est uniquement dans la version Energy Edition.

Par défaut : Inactive

Plus de détails dans l’aide en ligne.

VT_R8

ValueMin

Valeur prescrite min.

La valeur minimum définie ici pour le paramètre Écrire valeur prescrite peut être acceptée par le biais d’éléments dynamiques, plutôt que par la configuration séparée de ces derniers.
Ceci est surtout recommandé si la plage de la mesure est susceptible de varier ultérieurement, car ces modifications peuvent être effectuées une fois ici, au lieu d’être modifiées séparément dans chaque élément.

Plus de détails dans l’aide en ligne.

VT_R8

ValueMax

Valeur prescrite max.

La valeur maximum définie ici pour le paramètre Écrire valeur prescrite peut être acceptée par le biais d’éléments dynamiques, plutôt que par la configuration séparée de ces derniers.
Ceci est surtout recommandé si la plage de la mesure est susceptible de varier ultérieurement, car ces modifications peuvent être effectuées une fois ici, au lieu d’être modifiées séparément dans chaque élément.

Plus de détails dans l’aide en ligne.

VT_BSTR

LockingName

LockingName

"With this property you have the opportunity to assign an interlocking via its name.
zElement.DynProperties(""LockingName"") = ""Interlocking 1"""

VT_UI1

SetValueProtocol

Enregistrement (fichier journal)

Définit la manière dont l’écriture de la valeur prescrite sera consignée dans la liste CEL.

  • Tout : Toutes les actions Écrire valeur prescrite de cette variable exécutées via des éléments dynamiques et les fonctions Écrire valeur prescrite sont consignées dans la liste d’événements. (CEL)
  • Rien : aucune action Spécifier valeur prescrite n’est consignée dans la liste CEL.
  • Seulement sur élément dynamique : Seules les actions Écrire valeur prescrite exécutées via les éléments dynamiques sont consignées dans la liste CEL.

Par défaut : Uniquement les éléments dynamiques :

Plus de détails dans l’aide en ligne.

VT_BOOL

SV_Act

Ancienne et nouvelle valeur
  • Active : en cas de modification de la valeur prescrite de cette variable, les valeurs ancienne et nouvelle sont consignées dans la liste d’événements (CEL).
  • Inactive : Seule la nouvelle valeur est consignée.

Par défaut : Inactive

Recommandation : Activez la propriété Variable lue en permanence. Ceci permet de garantir que la valeur est toujours disponible, et qu’il n’est pas nécessaire de l’interroger spécialement.

Plus de détails dans l’aide en ligne.

VT_BOOL

SV_VBA

Valeurs modifiées par VBA

Active : L’écriture de la valeur prescrite de cette variable via une macro VBA est consignée dans la liste d’événements.
inactive : l’écriture de la valeur prescrite de cette variable via une macro VBA n’est pas consignée.
Par défaut : Active

Remarque : pour les variables configurées sous forme de variables de commande dans la passerelle de procédé IEC870, chaque commande est consignée sous la forme Spécifier valeur prescrite via l’interface COM dans la liste CEL, si la propriété est activée.

Plus de détails dans l’aide en ligne.

VT_BSTR

VisualName

Nom visuel

Saisie d’un nom d’affichage de la variable dans zenon Analyzer. Celui-ci doit être unique dans le projet, mais ceci n’est pas vérifié dans zenon. Cette vérification est effectuée lors de l’importation dans zenon Analyzer.

Cette propriété fournit des informations qui sont utilisées pour la configuration de rapports dans zenon Analyzer. L’exportation des données de zenon vers zenon Analyzer est effectuée à l’aide de l’assistant Analyzer Export Wizard.

Attention : Si cette propriété est modifiée après la première exportation vers zenon Analyzer, ces modifications ne sont appliquées dans zenon Analyzer.

Plus de détails dans l’aide en ligne.

VT_BSTR

Meaning

Signification

Cette propriété fournit des informations qui sont utilisées par la fonction de configuration de rapports dans zenon Analyzer.
Les données peuvent être définies manuellement ou à l’aide de l’assistant Meaning and Waterfall Chart Wizard. L’exportation des données de zenon vers zenon Analyzer est effectuée à l’aide de l’assistant Analyzer Export Wizard.

Saisie de la signification (meaning) d’une variable dans zenon Analyzer. Plusieurs significations doivent être séparées par une virgule.
Syntaxe : [signification1],[signification2],…,[significationN]

Plus de détails dans l’aide en ligne.

VT_BSTR

WaterfallParam

Paramètre pour le waterfall diagram

Cette propriété fournit des informations qui sont utilisées par la fonction de configuration de rapports dans zenon Analyzer.
Les données peuvent être définies manuellement ou à l’aide de l’assistant Meaning and Waterfall Chart Wizard. L’exportation des données de zenon vers zenon Analyzer est effectuée à l’aide de l’assistant Analyzer Export Wizard.

Paramètres d’une variable pour un diagramme en cascade dans zenon Analyzer. Les entrées peuvent être créées pour les rapports par ligne ou les rapports par machine. Lors de l’exportation, en fonction de la structure des entrées, une décision est prise pour déterminer s’il s’agit d’entrées correspondant à des diagrammes par machine ou par ligne.

Les paramètres individuels doivent être séparés par une virgule. Plusieurs cascades doivent être séparées par un poing-virgule.
Syntaxe, par machine : [nom modèle],[indice de ligne],[indice de colonne],[code de couleur];
Syntaxe, par ligne : [nom du modèle],[indice de ligne],[indice de colonne],[code de couleur],[perte de machine auxiliaire],[ajout de perte de machine auxiliaire],[soustraction de perte de machine auxiliaire];

Plus de détails dans l’aide en ligne.

VT_BOOL

Use_in_ProcRec

Activer l'enregistrement

Active/désactive la variable ou le type de données enregistré dans le module Process Recorder.
La sélection multiple de variables est possible.

  • Active :
    Les changements de valeur de la variable sont enregistrés dans le module Process Recorder.
    Attention : Assurez-vous que l’activation générale de l’enregistrement a été configurée dans la propriété Activer Process Recorder.
  • Inactive :
    Les changements de valeur de la variable ne sont pas enregistrés dans le module Process Recorder.

Par défaut : les paramètres configurés sont appliqués pour le type de données utilisé.

Plus de détails dans l’aide en ligne.

ZT_AKZ

SystemModelGroup

Groupes d'équipements

Lie l’élément à un modèle d’équipement. Cliquez sur le bouton ... pour ouvrir la boîte de sélection d’un groupe d’équipements.
L'affichage du groupe d’équipements sélectionné inclut également les niveaux supérieurs à ce groupe. Les niveaux sont séparés par un point dans l’affichage.

Dans le cas d’une sélection multiple, les groupes d’équipements individuels sont séparés par un point-virgule (;).

Plus de détails dans l’aide en ligne.


Variable RT

Manuel -> Interfaces de programmation -> Modèles d'objet -> Variable -> Variable-Dynamic properties -> Variable RT

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Type

VBA/VSTA Name

Display Name

Description

VT_VARIANT

Value

Value

VT_VARIANT

UserValue

UserValue

VT_UI8

StatusValue

StatusValue

This property returns the status of a variable as a value.

VT_BSTR

StatusString

StatusString

This property returns the status of a variable.

ZT_DATETIME

LastUpdateTime

LastUpdateTimeMilliSeconds

This property returns the update time in milliseconds.

VT_UI2

LastUpdateTimeMilliSeconds

LastUpdateTimeMilliSeconds

This property returns the update time in milliseconds.

More...

Limits

Valeurs limite

Propriétés définissant le traitement des valeurs limites ou le traitement des alarmes pour la variable.

Les propriétés de ce groupe sont uniquement disponibles si vous avez activé la propriété Matrice de réaction active.

Plus de détails dans l’aide en ligne.

VT_UI4

ID_ComplexVariable

ID_ComplexVariable

With this property you have the opportunity to get/set the ID of a variable from a structure element. This ID is 0 when the variable has no structure datatype.

VT_BSTR

Name

Nom

Nom unique de la variable. Les considérations suivantes s’appliquent lors de la définition du nom :

  • Longueur maximale : 128 caractères
  • Caractères non autorisés : # et @

Remarque : pour les drivers utilisant la connexion à zenon Logic, vous devez définir un préfixe. Pour plus de détails, reportez-vous au chapitre Création de variables O et M dans zenon Logic dans le manuel.
Toute modification du nom de la variable doit également être effectuée dans l’environnement de programmation (VBA, VSTA).

Attention : Cette propriété n’est pas disponible aux fins de la commutation de langue.

Plus de détails dans l’aide en ligne.

VT_BSTR

Tagname

Identification

Chaîne libre utilisée pour l’identification de la variable ou du type de données.
Remarque : Puisque la langue du nom de la variable (propriété Nom) ne peut pas être modifiée, cette propriété peut être utilisée pour le changement de langue en ligne.

Longueur maximale : 128 caractères

Plus de détails dans l’aide en ligne.

VT_BSTR

Unit

Unité de mesure

Unité technique de la variable devant être affichée dans le Runtime. Si vous avez déjà créé des unités de mesure dans le module d’unités de base, celles-ci sont disponibles dans une liste déroulante.
Maximum : 50 caractères.
Par défaut : vide

Plus de détails dans l’aide en ligne.

VT_R8

AlternateValue

Archivfüllwert

Cette valeur est utilisée pour renseigner les archives cycliques. En présence d’intervalles durant lesquels aucune connexion au matériel n’a été établie, cette valeur est utilisée tant qu’aucune valeur n’est transférée depuis l’équipement. Dans le cas contraire, la dernière valeur valide utilisée est utilisée aux fins du renseignement.

Plus de détails dans l’aide en ligne.

VT_BSTR

AlternateValueString

Valeur chaîne pour le remplissage des archives

Cette valeur est utilisée pour les variables de chaîne, afin de renseigner les archives cycliques.
En présence d’intervalles, dans les archives cycliques, durant lesquels aucune connexion au matériel n’a été établie, cette Valeur chaîne pour le remplissage des archives est utilisée tant qu’aucune valeur n’est transférée depuis l’équipement. Dans le cas contraire, la dernière valeur valide est utilisée pour le renseignement.

Longueur maximale : 128 caractères

Attention : Cette propriété n’est pas disponible aux fins de la commutation de langue.

Plus de détails dans l’aide en ligne.

VT_BSTR

Recourceslabel

Description externe

Chaîne au choix.
N'est pas utilisé au niveau interne dans zenon, mais est disponible lors de l’exportation de valeurs pour autoriser l’attribution des valeurs exportées pour les systèmes de gestion tels qu’ERP.

Longueur maximale : 255 caractères

Plus de détails dans l’aide en ligne.

VT_UI4

NetAddr

Adresse réseau

Adresse de bus ou Adresse réseau de la variable.

  • Minimum : 0
  • Maximum : 4294967295

Par défaut : 0

Plus de détails dans l’aide en ligne.

VT_UI4

DataBlock

Bloc de données

Numéro de bloc de données.
Minimum : 0.
Maximum : 4294967295
Par défaut : 0.

Plus de détails dans l’aide en ligne.

VT_UI4

Offset

Offset

Décalage de la variable.
Pour les contrôleurs à adressage linéaire : plage de mémoire.
Pour les contrôleurs à résolution de nom : adresse d’attribution.
Minimum : 0.
Maximum : 4294967295
Par défaut : 0.

Plus de détails dans l’aide en ligne.

VT_UI2

BitAddr

Numéro de bit

Numéro du bit dans le décalage configuré.
Minimum : 0.
Maximum : 65535
Par défaut : 0.

Plus de détails dans l’aide en ligne.

VT_UI2

Alignment

Alignement

Ceci dépend de la granularité du type d’objet du driver et de la position de la variable conformément au décalage défini.

Pour les variables de type Octet :
Octet poids fort : octet de poids fort dans le décalage de mot.
Octet poids faible : Otet de poids faible dans le décalage de mot.
HiWord-HiByte octet de poids fort dans le mot fort dans le décalage de double mot.
HiWord-LoByte (Mot poids fort-Octet poids faible) octet de poids faible dans le mot fort dans le décalage de double mot.
Mot poids faible-Octet poids fort : octet de poids fort dans le mot faible dans le décalage de double mot.
Mot poids faible-Octet poids faible : octet de poids faible dans le mot faible dans le décalage de double mot.

Pour les variables de mot :
Mot poids fort : mot fort dans le décalage de double mot.
Mot poids faible : Mot poids faible dans le décalage de double mot.

Plus de détails dans l’aide en ligne.

VT_UI2

StringLength

Longueur de la chaîne

Disponible uniquement pour les variables de type chaîne.
Nombre maximum de caractères que peut accepter une variable.
Minimum : 1 caractère
Si la valeur non autorisée 0 est saisie, la dernière valeur configurée valide est automatiquement utilisée. Si aucune valeur valide n’a été configurée, l’entrée est remplacée par la valeur par défaut.
Maximum : 65535 caractères.
Par défaut : 5 caractères

Remarque : la valeur par défaut est 65 535 pour les variables système avec le type de données String.

Plus de détails dans l’aide en ligne.

VT_BSTR

SymbAddr

Adresse symbolique

Séquence de caractères pour l’adressage symbolique des variables.

Longueur maximale : 1024 caractères.

Remarque : L’adresse symbolique n’est pas prise en charge par tous les drivers.
Lors de l’importation des variables dans des drivers compatibles avec l’adressage symbolique, la propriété est saisie automatiquement.

Plus de détails dans l’aide en ligne.

VT_UI4

Driver

Drivers

VT_UI4

ID_DataTyp

Type de données

Type de donnée pour la variable. Sélectionné durant la création de la variable ; peut être modifié ici ultérieurement.
Remarque : Pour les variables de structure, le type de données ne peut plus être modifié après la création des variables.
Attention : Si vous modifiez le type de données ultérieurement, toutes les autres propriétés de la variable doivent être vérifiées et ajustées, si nécessaire.

Plus de détails dans l’aide en ligne.

VT_UI4

ID_DriverTyp

Type d'objet driver

Selon le driver utilisé, un type d’objet est sélectionné durant la création de la variable et peut être modifié ici ultérieurement.
Siemens : bloc de données, marqueur, entrée/sortie.
Modbus : Coil et Holding Register.

Plus de détails dans l’aide en ligne.

VT_UI1

UpdatePriority

Priorité

Si l’heure de mise à jour globale spécifiée dans la configuration du driver n’est pas utilisée, la fréquence des mises à jour correspondant aux différents niveaux de priorité peut être définie ici. Dans cette propriété, une priorité est attribuée à une variable.

Plus de détails dans l’aide en ligne.

VT_BOOL

Standby

Lire uniquement sur le serveur redondant

Active : La valeur de la variable provenant du serveur redondant est affichée.
Inactive : La valeur de la variable provenant du serveur est affichée.
(drivers matériels uniquement)

Plus de détails dans l’aide en ligne.

VT_UI2

Digits

Nombre de décimales

Nombre de décimales des valeurs de variables utilisées lors de l’affichage dans le système de contrôle.
Minimum : 0
Maximum : 10
Par défaut : 0

Plus de détails dans l’aide en ligne.

VT_R8

SignalMin

Signal min.

Valeur minimum de la variable dans l’automate.
À moins d’être définie différemment dans la propriété Ajustement non-linéaire, la valeur brute des variables (résolution du signal) sera toujours convertie au format de la plage de mesure sur une base linéaire (pour une utilisation dans le système de contrôle). Toutes les autres entrées de valeurs numériques spécifiques à la variable dans Editor et dans le Runtime seront liées à la plage de mesures (par ex. définition des valeurs limites, limites des valeurs prescrites, zone de représentation, entrées de valeurs prescrites, etc.).

Plus de détails dans l’aide en ligne.

VT_R8

SignalMax

Signal max.

Valeur maximum de la variable dans l’automate. À moins d’être définie différemment dans la propriété Ajustement non-linéaire, la valeur brute des variables (résolution du signal) sera toujours convertie au format de la plage de mesure sur une base linéaire (pour une utilisation dans le système de contrôle). Toutes les autres entrées de valeurs numériques spécifiques à la variable dans Editor et dans le Runtime seront liées à la plage de mesures (par ex. définition des valeurs limites, limites des valeurs prescrites, zone de représentation, entrées de valeurs prescrites, etc.).

Plus de détails dans l’aide en ligne.

VT_R8

RangeMin

Plage de mesure min.

Valeur minimum des variables dans zenon.
À moins d’être définie différemment dans la propriété Ajustement non-linéaire, la valeur brute des variables (résolution du signal) sera toujours convertie au format de la plage de mesure sur une base linéaire (pour une utilisation dans le système de contrôle). Toutes les autres entrées de valeurs numériques spécifiques à la variable dans Editor et dans le Runtime seront liées à la plage de mesures (par ex. définition des valeurs limites, limites des valeurs prescrites, zone de représentation, entrées de valeurs prescrites, etc.).

Plus de détails dans l’aide en ligne.

VT_R8

RangeMax

Plage de mesure max.

Valeur maximum des variables dans zenon.
À moins d’être définie différemment dans la propriété Ajustement non-linéaire, la valeur brute des variables (résolution du signal) sera toujours convertie au format de la plage de mesure sur une base linéaire (pour une utilisation dans le système de contrôle). Toutes les autres entrées de valeurs numériques spécifiques à la variable dans Editor et dans le Runtime seront liées à la plage de mesures (par ex. définition des valeurs limites, limites des valeurs prescrites, zone de représentation, entrées de valeurs prescrites, etc.).

Plus de détails dans l’aide en ligne.

VT_BOOL

UseMacro

Ajustement non-linéaire avec macros

L’ajustement de valeurs non linéaires est utilisé pour les variables dont la valeur originale (automate) ne peut pas être ajustée de manière linéaire en fonction de la valeur mesurée (système de contrôle).

  • Active : Les valeurs brutes sont ajustées en fonction de zenon, sur une base non linéaire, avec des macros VBA.
  • Inactive : Les valeurs brutes sont ajustées en fonction de zenon.

Remarque : Lors de l’activation de la propriété, les propriétés AdjustHardwareValue et AdjustScadaValue doivent également être configurées. La propriété AdjustHardwareValue doit alors être configurée à l’inverse de la propriété AdjustScadaValue, sous forme de fonction inverse.

Par défaut : Inactive

Plus de détails dans l’aide en ligne.

ZT_VBAMAKRO

AdjustHardware

AdjustHardwareValue

Disponible uniquement si la propriété Ajustement non-linéaire avec macros est active.

Macro appelée à chaque modification de la valeur brute dans l’automate, et qui modifie la valeur dans zenon. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de macros.
Plus de détails dans l’aide en ligne.

ZT_VBAMAKRO

AdjustZenon

AdjustScadaValue

Disponible uniquement si la propriété Ajustement non-linéaire avec macros est active.

La macro est appelée lors de l’écriture d’une valeur depuis zenon et modifie la valeur brute sur l’automate. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de macros.
Plus de détails dans l’aide en ligne.

VT_R8

HystNeg

Négatif pour le signal

Hystérésis des valeurs limites définies en fonction de la plage du signal.

Plage d’hystérésis pour l’entrée en cas de changement de valeur avec diminution. Les valeurs sont uniquement interprétées comme des dépassements de valeur limite si la valeur changeante est inférieure à la plage d’hystérésis définie ici.
Par défaut : 0 (pas d’hystérésis)

Plus de détails dans l’aide en ligne.

VT_R8

HystPos

Positif pour le signal

Hystérésis des valeurs limites définies en fonction de la plage du signal.

Plage d’hystérésis pour l’entrée en cas de changement de valeur avec augmentation. Les valeurs sont uniquement interprétées comme des dépassements de valeur limite si la valeur changeante est supérieure à la plage d’hystérésis définie ici.
Par défaut : 0 (pas d’hystérésis)

Plus de détails dans l’aide en ligne.

VT_R8

ArchHystNeg

Négatif pour l'archive

Hystérésis d’archivage en cas de changement appliquée à la plage de mesure.

Plage d’hystérésis pour l’entrée en cas de changement de valeur avec diminution. Les valeurs sont uniquement saisies dans l’archive si la valeur changeante est inférieure à la plage d’hystérésis définie ici.
Par défaut : 0 (pas d’hystérésis)

Plus de détails dans l’aide en ligne.

VT_R8

ArchHystPos

Positif pour l'archive

Hystérésis d’archivage en cas de changement appliquée à la plage de mesure.

Plage d’hystérésis pour l’entrée en cas de changement de valeur avec augmentation. Les valeurs sont uniquement saisies dans l’archive si la valeur changeante est supérieure à la plage d’hystérésis définie ici.
Par défaut : 0 (pas d’hystérésis)

Plus de détails dans l’aide en ligne.

VT_BOOL

DDEActive

Variable lue en permanence

Paramètre de lecture de la variable et de sa disponibilité via DDE dans le Runtime :

  • Active : La variable est toujours connectée au driver. Cela signifie qu’elle est continuellement lue par le driver, même si elle n’est pas nécessaire dans le projet à cet instant précis. Le driver connaît ainsi toujours les valeurs actuelles et l’état actuel des variables et peut les fournir immédiatement, si nécessaire. La variable est également disponible pour les autres applications Windows (par exemple, Excel, Visual Basic, etc.). Les applications Windows possédant une fonctionnalité de client DDE peuvent ainsi utiliser les valeurs de la variable.
    Temps d’actualisation : 0,5 s
    L'activation de cette option offre par exemple l’avantage de basculer plus rapidement les valeurs de variables dans la fonction Ecriture valeur prescrite ou dans l’élément Appel de synoptique, car il n’est pas nécessaire d’interroger spécialement la variable avant la commutation. L’inconvénient est une augmentation de la charge des communications au niveau du contrôleur.
  • Inactive : La variable n’est pas interrogée en permanence par le driver, mais uniquement en cas de demande de valeurs ou d’états dans le Runtime. Elle n’est donc pas disponible dans les autres applications Windows via DDE.

Par défaut : Inactive

Plus de détails dans l’aide en ligne.

VT_UI4

ArraySizeOld

Dimension tableau

Définition de la taille de l’ensemble de blocs. La taille définie est lue ou écrite par le driver durant une demande de lecture/d’écriture. Ceci permet de garantir la cohérence des données dans le texte. Les données peuvent uniquement être modifiées dans le module Recipegroup Manager ou via l’interface de programmation.
Attention : peut être défini au niveau du driver interne, toutefois sans fonction dans le Runtime (valeur toujours égale à 0).

Plus de détails dans l’aide en ligne.

VT_UI4

CounterGroup

Groupe de compteur

Disponible uniquement dans SICAM 230.

VT_UI4

MaxGradient

Gradient maximum

Disponible uniquement dans SICAM 230.

VT_BOOL

NormalStateActive

Actif

Permet de définir un état normal pour les variables et les types de données du type BOOL, UINT et WORD pour tous les drivers.

Active : Un état normal peut être défini.

Par défaut : Inactive

Plus de détails dans l’aide en ligne.

VT_BOOL

NormalState

Valeur normale

Dans la liste déroulante, choisissez si la valeur normale de cette variable ou ce type de données doit être On (Active) ou Off (Inactive). Disponible pour les variables et les types de données du type BOOL, UINT et WORD pour tous les drivers.

Par défaut : Off

Plus de détails dans l’aide en ligne.

ZT_VARIABLE

AlarmPV0

Variable d'alarme 1

Disponible uniquement dans SICAM 230.
Première variable pour la gestion d’alarmes de synoptiques.

Plus de détails dans l’aide en ligne.

ZT_VARIABLE

AlarmPV1

Variable d'alarme 2

Disponible uniquement dans SICAM 230.
Deuxième variable pour la gestion d’alarmes de synoptiques.

Plus de détails dans l’aide en ligne.

ZT_VARIABLE

AlarmPV2

Variable d'alarme 3

Disponible uniquement dans SICAM 230.
Troisième variable pour la gestion d’alarmes de synoptiques.

Plus de détails dans l’aide en ligne.

VT_BOOL

HDActive

Stockage de données sur disque dur actif

Active : les valeurs de variables sont enregistrées sur le disque dur (enregistrement circulaire) pour être évaluées dans l’élément dynamique "Élément de tendance" ou pour l’exportation/l’importation des valeurs.

Inactive : aucune valeur de variable n’est enregistrée.

Par défaut : inactive

Les données de disque dur nécessitent 24 octets d’espace de stockage par valeur, indépendamment du type de variable. Outre la valeur, les informations suivantes sont enregistrées :
- Heure d’exécution de la mesure.
- Millisecondes lors de la lecture de la valeur.
- Modification de l’état de la valeur en fonction des éléments.
- Compteur pour l’identification unique de la valeur (driver événementiel).

Remarque : Le stockage de données est également activé lors d’un appel de synoptique de type Extended Trend si des données en ligne sont analysées.
Les variables de type chaîne ne sont pas prises en charge par la fonction de stockage de données sur le disque dur.

Attention : si l’option d’enregistrement sur disque dur est activée pour un trop grand nombre de variables, en présence d’un trop grand nombre de valeurs, les performances du Runtime peuvent être altérées.

Plus de détails dans l’aide en ligne.

VT_R4

HDUpdate

Temps de cycle [s]

Disponible uniquement si la propriété Stockage de données sur disque dur actif est active :
Durée de l’intervalle [en secondes] de conservation des valeurs en ligne sur le disque dur (mémoire circulaire) pour l’analyse dans l’élément dynamique Tendance, pour les données en ligne dans le module Extended Trend ou pour l’exportation/l’importation de valeurs.

Plus de détails dans l’aide en ligne.

VT_UI4

HDSize

Nombre de valeurs

Valeur correspondant à l’intervalle de conservation des valeurs en ligne sur le disque dur (mémoire circulaire) pour l’analyse dans l’élément dynamique Tendance, pour les données en ligne dans le module Extended Trend ou pour l’exportation/l’importation de valeurs.

Attention : si l’option d’enregistrement sur disque dur est activée pour un trop grand nombre de variables, en présence d’un trop grand nombre de valeurs, les performances du Runtime peuvent être altérées.

Plus de détails dans l’aide en ligne.

VT_BOOL

IsKDAActiv

Type d'enregistrement

Disponible uniquement si la propriété Stockage de données sur disque dur actif est active :
Données de disque dur (cyclique) : Écriture cyclique des valeurs sur le disque dur.
Valeurs retriées (RDA) : Les valeurs sont écrites bloc par bloc sur le disque dur par le driver. (Fonction adaptée à l’analyse rétrospective des erreurs au niveau du système de contrôle.)

Plus de détails dans l’aide en ligne.

VT_BOOL

ExternVisible

Visible extérieurement pour

Disponible uniquement si la propriété Visible par d'autres programmes est active.

Spécifiez expressément les projets de zenon Logic pour lesquels la variable doit être visible. Si vous laissez le champ de saisie vide, la variable est visible pour tous les projets zenon Logic. Vous pouvez également saisir des projets zenon Logic de manière expresse. Séparez les noms des projets individuels par un point-virgule (";"). Vous pouvez utiliser les opérateurs. Par exemple, P1* signifie tous les projets zenon Logic commençant par P1. (Remarque : les opérateurs sont uniquement autorisés sous forme de préfixe ou de suffixe, par exemple, *xxx ou xxx*.

Le nombre de caractères est limité à 64.

Par défaut : -

Plus de détails dans l’aide en ligne.

VT_BSTR

ExternVisibleFor

Visible extérieurement pour

Disponible uniquement si la propriété Visible par d'autres programmes est active.

Spécifiez expressément les projets de zenon Logic pour lesquels la variable doit être visible. Si vous laissez le champ de saisie vide, la variable est visible pour tous les projets zenon Logic. Vous pouvez également saisir des projets zenon Logic de manière expresse. Séparez les noms des projets individuels par un point-virgule (";"). Vous pouvez utiliser les opérateurs. Par exemple, P1* signifie tous les projets zenon Logic commençant par P1. (Remarque : les opérateurs sont uniquement autorisés sous forme de préfixe ou de suffixe, par exemple, *xxx ou xxx*.

Le nombre de caractères est limité à 64.

Par défaut : -

Plus de détails dans l’aide en ligne.

VT_BOOL

ReadWrite

Ecriture/lecture externe

Propriété externe pour zenon Logic. Affecte uniquement les variables qui ne forment pas partie du driver straton.
Active : la valeur de la variable ne peut pas être modifiée dans zenon Logic. La définition de la variable ne peut pas être modifiée dans zenon Logic.
Inactive : la variable ne peut pas être modifiée dans zenon Logic.
Par défaut : active.

Plus de détails dans l’aide en ligne.

VT_BSTR

InitialValue

Valeur initiale externe

Propriété externe pour zenon Logic. Affecte uniquement les variables qui ne forment pas partie du driver straton.
Valeur initiale de la variable dans zenon Logic durant une reprise graduelle ou une reprise intermédiaire.
La saisie autorisée ici dépend du type de données de la variable. Par exemple, vous pouvez uniquement utiliser des valeurs sans décimales pour les variables entières. Pour les variables à virgule flottante, un point doit être utilisé en tant que séparateur décimal ; les virgules ne peuvent pas être utilisées.
Le système de contrôle ne vérifie pas la validité de cette saisie. Ceci peut générer un message d’erreur dans zenon Logic.

Attention : lors de l’utilisation de variables du driver interne, cette propriété doit posséder la même valeur que la valeur initiale dans les paramètres des variables internes.

Plus de détails dans l’aide en ligne.

VT_BSTR

Profilename

Nom profil externe

Propriété externe pour zenon Logic. Affecte uniquement les variables qui ne forment pas partie du driver straton.
Nom du profil défini dans zenon Logic (par ex. STRATON, ProfDP).

Cette propriété est uniquement affichée pour information. Édition dans zenon Logic uniquement.

Plus de détails dans l’aide en ligne.

VT_BSTR

Adressparam

Paramètre externe d'adresse

Propriété externe pour zenon Logic. Affecte uniquement les variables qui ne sont pas des variables du driver straton.
Propriétés de profil dans zenon Logic (par ex. "intégré" ou paramètres d’adressage de Profibus).

Cette propriété est uniquement affichée pour information. Édition dans zenon Logic uniquement.

Plus de détails dans l’aide en ligne.

VT_BSTR

Vargroup

Groupe de variables externe

Propriété externe pour zenon Logic. Affecte uniquement les variables qui ne sont pas des variables du driver straton32.
Groupes de variables dans zenon Logic ("Global" ou "Retain" ou vides).

Cette propriété est uniquement affichée pour information. Édition dans zenon Logic uniquement.

Plus de détails dans l’aide en ligne.

VT_BOOL

IsRemaActiv

Matrice de réaction active

Active : Une matrice de réaction est utilisée à la place des valeurs de limite.
Inactive : Les valeurs peuvent être définies pour la variable.
Par défaut : inactive.

Plus de détails dans l’aide en ligne.

ZT_REMA

Rema

Matrice de réaction

Propriétés d’utilisation d’une matrice de réaction pour la variable.

Plus de détails dans l’aide en ligne.

ZT_VARIABLE

AlarmQuitPV

Valeur d'acquittement

Si une alarme de cette variable est acquittée visuellement, la variable sélectionnée sous Variable d'acquittement visuel ou Variable d'acquittement est définie sur cette valeur.

Sélection de 0 ou 1.

Plus de détails dans l’aide en ligne.

ZT_VARIABLE

AlarmViewQuitPV

Variable d'acquittement visuel

Si une alarme de la variable de contrôle est acquittée visuellement, la valeur de la variable d’acquittement visuel est définie sur la valeur définie par Valeur d'acquittement.

Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de variables binaires.

Plus de détails dans l’aide en ligne.

VT_UI4

AlarmQuitPVValue

Valeur d'acquittement

Si une alarme de cette variable est acquittée visuellement, la variable sélectionnée sous Variable d'acquittement visuel ou Variable d'acquittement est définie sur cette valeur.

Sélection de 0 ou 1.

Plus de détails dans l’aide en ligne.

VT_BOOL

VarInASM

Enregistrer dans la base IPA

Active : les alarmes de cette variable sont disponibles pour analyse dans le module Industrial Performance Analyzer (IPA).
Inactive : les alarmes de cette variable ne sont prises en compte lors de l’analyse dans le module Industrial Performance Analyzer (IPA).
Par défaut : Inactive

Attention : le module Industrial Performance Analyzer est un module optionnel, qui doit comporter une licence valide pour pouvoir être utilisé ici.

Plus de détails dans l’aide en ligne.

VT_BOOL

AlarmViaEquipmentModel

Utiliser la gestion d'alarmes hiérarchiques du modèle d'équipement

Type d’attribution de la variable à un domaine d’alarmes.

  • Active :
    Le domaine d’alarmes de la variable est transféré par le modèle d’équipement. L’alarme de la variable est applicable aux domaines d’alarmes définis dans le modèle d’équipement. Dans ce cas, le groupe d’équipements de la variable et le groupe d’équipements de niveau supérieur du modèle d’équipement sont pris en compte.
  • Inactive :
    L'alarme sur la variable est applicable aux domaines d’alarmes 1 à 4 de la gestion d’alarmes.

Remarque : Si cette propriété est activée pour un type de données, les paramètres de toutes les variables issues de celle-ci sont transférés.

Plus de détails dans l’aide en ligne.

ZT_BSTR_REF

AreaName

AreaName

Description as text.

ZT_BSTR_REF

AreaName2

AreaName2

Description as text.

ZT_BSTR_REF

AreaName3

AreaName3

Description as text.

ZT_BSTR_REF

AreaName4

AreaName4

Description as text.

VT_BOOL

InOut

Ecrire valeur prescrite

Active : cette variable est libérée pour l’action Spécifier valeur prescrite.
Inactive : cette variable est protégée en écriture.
Par défaut : Active

Plus de détails dans l’aide en ligne.

VT_BOOL

SBO

Select Before Operate

Attention : Cette fonctionnalité est uniquement compatible avec les drivers IEC870 et IEC850, et uniquement disponible si vous avez sélectionné l’option Commande commutation pour la propriété de type d’action dans Gestion des commandes, et l’action est mise en œuvre sous forme d’action à deux étapes. N’utilisez pas cette fonction pour le driver DNP3_NG ; Auto-SBO peut être configuré directement pour la variable, dans ce cas.

Active : Avant que la valeur de la variable ne soit écrite dans le matériel, zenon vérifie, pendant la première phase de la commande de commutation, si la variable dans l’équipement est prête pour cette action (Select before Operate (SBO)).
Attention : Pour les commandes impulsion, la réinitialisation automatique des valeurs des variables n’est pas effectuée dans l’intervalle de temps défini dans la propriété de délai de front.

Si la propriété SBO a été activée pour la variable d’action, une commande d’impulsion se comporte de la même manière qu’une commande de commutation.

Inactive : La valeur de la variable est transférée vers le driver sans vérification préalable.

Remarque : dans un driver IEC870, cela signifie une instruction Direct execute. Le driver IEC850 peut toutefois déclencher automatiquement une instruction Select before Operate , en raison du Control Model.
Par défaut : Inactive :
Plus de détails dans l’aide en ligne.

VT_BOOL

CancelOperate

Annuler 'Operate'

Si cette propriété est activée, il est possible d’envoyer une commande Cancel après une commande Operate lors de la gestion des commandes.

Remarque : Cette propriété est uniquement dans la version Energy Edition.

Par défaut : Inactive

Plus de détails dans l’aide en ligne.

VT_R8

ValueMin

Valeur prescrite min.

La valeur minimum définie ici pour le paramètre Écrire valeur prescrite peut être acceptée par le biais d’éléments dynamiques, plutôt que par la configuration séparée de ces derniers.
Ceci est surtout recommandé si la plage de la mesure est susceptible de varier ultérieurement, car ces modifications peuvent être effectuées une fois ici, au lieu d’être modifiées séparément dans chaque élément.

Plus de détails dans l’aide en ligne.

VT_R8

ValueMax

Valeur prescrite max.

La valeur maximum définie ici pour le paramètre Écrire valeur prescrite peut être acceptée par le biais d’éléments dynamiques, plutôt que par la configuration séparée de ces derniers.
Ceci est surtout recommandé si la plage de la mesure est susceptible de varier ultérieurement, car ces modifications peuvent être effectuées une fois ici, au lieu d’être modifiées séparément dans chaque élément.

Plus de détails dans l’aide en ligne.

VT_BSTR

LockingName

LockingName

"With this property you have the opportunity to assign an interlocking via its name.
zElement.DynProperties(""LockingName"") = ""Interlocking 1"""

VT_UI1

SetValueProtocol

Enregistrement (fichier journal)

Définit la manière dont l’écriture de la valeur prescrite sera consignée dans la liste CEL.

  • Tout : Toutes les actions Écrire valeur prescrite de cette variable exécutées via des éléments dynamiques et les fonctions Écrire valeur prescrite sont consignées dans la liste d’événements. (CEL)
  • Rien : aucune action Spécifier valeur prescrite n’est consignée dans la liste CEL.
  • Seulement sur élément dynamique : Seules les actions Écrire valeur prescrite exécutées via les éléments dynamiques sont consignées dans la liste CEL.

Par défaut : Uniquement les éléments dynamiques :

Plus de détails dans l’aide en ligne.

VT_BOOL

SV_Act

Ancienne et nouvelle valeur
  • Active : en cas de modification de la valeur prescrite de cette variable, les valeurs ancienne et nouvelle sont consignées dans la liste d’événements (CEL).
  • Inactive : Seule la nouvelle valeur est consignée.

Par défaut : Inactive

Recommandation : Activez la propriété Variable lue en permanence. Ceci permet de garantir que la valeur est toujours disponible, et qu’il n’est pas nécessaire de l’interroger spécialement.

Plus de détails dans l’aide en ligne.

VT_BOOL

SV_VBA

Valeurs modifiées par VBA

Active : L’écriture de la valeur prescrite de cette variable via une macro VBA est consignée dans la liste d’événements.
inactive : l’écriture de la valeur prescrite de cette variable via une macro VBA n’est pas consignée.
Par défaut : Active

Remarque : pour les variables configurées sous forme de variables de commande dans la passerelle de procédé IEC870, chaque commande est consignée sous la forme Spécifier valeur prescrite via l’interface COM dans la liste CEL, si la propriété est activée.

Plus de détails dans l’aide en ligne.

VT_BSTR

VisualName

Nom visuel

Saisie d’un nom d’affichage de la variable dans zenon Analyzer. Celui-ci doit être unique dans le projet, mais ceci n’est pas vérifié dans zenon. Cette vérification est effectuée lors de l’importation dans zenon Analyzer.

Cette propriété fournit des informations qui sont utilisées pour la configuration de rapports dans zenon Analyzer. L’exportation des données de zenon vers zenon Analyzer est effectuée à l’aide de l’assistant Analyzer Export Wizard.

Attention : Si cette propriété est modifiée après la première exportation vers zenon Analyzer, ces modifications ne sont appliquées dans zenon Analyzer.

Plus de détails dans l’aide en ligne.

VT_BSTR

Meaning

Signification

Cette propriété fournit des informations qui sont utilisées par la fonction de configuration de rapports dans zenon Analyzer.
Les données peuvent être définies manuellement ou à l’aide de l’assistant Meaning and Waterfall Chart Wizard. L’exportation des données de zenon vers zenon Analyzer est effectuée à l’aide de l’assistant Analyzer Export Wizard.

Saisie de la signification (meaning) d’une variable dans zenon Analyzer. Plusieurs significations doivent être séparées par une virgule.
Syntaxe : [signification1],[signification2],…,[significationN]

Plus de détails dans l’aide en ligne.

VT_BSTR

WaterfallParam

Paramètre pour le waterfall diagram

Cette propriété fournit des informations qui sont utilisées par la fonction de configuration de rapports dans zenon Analyzer.
Les données peuvent être définies manuellement ou à l’aide de l’assistant Meaning and Waterfall Chart Wizard. L’exportation des données de zenon vers zenon Analyzer est effectuée à l’aide de l’assistant Analyzer Export Wizard.

Paramètres d’une variable pour un diagramme en cascade dans zenon Analyzer. Les entrées peuvent être créées pour les rapports par ligne ou les rapports par machine. Lors de l’exportation, en fonction de la structure des entrées, une décision est prise pour déterminer s’il s’agit d’entrées correspondant à des diagrammes par machine ou par ligne.

Les paramètres individuels doivent être séparés par une virgule. Plusieurs cascades doivent être séparées par un poing-virgule.
Syntaxe, par machine : [nom modèle],[indice de ligne],[indice de colonne],[code de couleur];
Syntaxe, par ligne : [nom du modèle],[indice de ligne],[indice de colonne],[code de couleur],[perte de machine auxiliaire],[ajout de perte de machine auxiliaire],[soustraction de perte de machine auxiliaire];

Plus de détails dans l’aide en ligne.

VT_BOOL

Use_in_ProcRec

Activer l'enregistrement

Active/désactive la variable ou le type de données enregistré dans le module Process Recorder.
La sélection multiple de variables est possible.

  • Active :
    Les changements de valeur de la variable sont enregistrés dans le module Process Recorder.
    Attention : Assurez-vous que l’activation générale de l’enregistrement a été configurée dans la propriété Activer Process Recorder.
  • Inactive :
    Les changements de valeur de la variable ne sont pas enregistrés dans le module Process Recorder.

Par défaut : les paramètres configurés sont appliqués pour le type de données utilisé.

Plus de détails dans l’aide en ligne.

ZT_AKZ

SystemModelGroup

Groupes d'équipements

Lie l’élément à un modèle d’équipement. Cliquez sur le bouton ... pour ouvrir la boîte de sélection d’un groupe d’équipements.
L'affichage du groupe d’équipements sélectionné inclut également les niveaux supérieurs à ce groupe. Les niveaux sont séparés par un point dans l’affichage.

Dans le cas d’une sélection multiple, les groupes d’équipements individuels sont séparés par un point-virgule (;).

Plus de détails dans l’aide en ligne.


Variables

Manuel -> Interfaces de programmation -> Modèles d'objet -> Variables

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

The collection Variables contains all defined variables of the current project. With this collection you can access, create and delete variables.Beside the access via the index a variable also can be found with its unique name or the unique channel Id.

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Examples

C#

VB.NET

VB.NET-Syntax

VBA

Sub CreateVars()
Dim zPRJ As Project
Dim zDRV As Driver
Dim zVTp As VarType
Dim i
'part of the Variablename...
Const VarNamePart As String = "TEST_"

Set zPRJ = MyWorkspace.ActiveDocument
'set first created driver....
Set zDRV = zPRJ.Drivers.Item(0)
'check if driver is the "INTERNAL" driver
If InStr(1, zDRV.Name, "Intern", vbTextCompare) = 0 Then Exit Sub
'set vartype (UINT)
Set zVTp = zPRJ.VarTypes.Item("UINT")
For i = 0 To 9
zPRJ.Variables.CreateVar VarNamePart & i, zDRV, tpSystemVariable, zVTp
Next i
End Sub

Sub DeleteVars()
Dim zPRJ As Project
Dim i
'part of the Variablename...
Const VarNamePart As String = "TEST"

Set zPRJ = MyWorkspace.ActiveDocument
'run trough all variables of the active project
For i = zPRJ.Variables.Count - 1 To 0 Step -1 'reverse loop!
'search part of the varname
If InStr(1, zPRJ.Variables.Item(i).Name, VarNamePart) <> 0 Then
'delete variable
If zPRJ.Variables.DeleteVar(zPRJ.Variables.Item(i).Name) = False Then
Debug.Print "ERROR deleting: " & zPRJ.Variables.Item(i).Name
End If
End If
Next i
End Sub

Other topics in this chapter

Variables-Properties

Variables-Methods


Variables-Properties

Manuel -> Interfaces de programmation -> Modèles d'objet -> Variables -> Variables-Properties

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
long | Count |  | read only | read only | yes | yes
IProject | Parent |  | read only | read only | yes | yes

Other topics in this chapter

Parent

Count


Parent

Manuel -> Interfaces de programmation -> Modèles d'objet -> Variables -> Variables-Properties -> Parent

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the parent object

Datatype

Parent() As Project

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


Count

Manuel -> Interfaces de programmation -> Modèles d'objet -> Variables -> Variables-Properties -> Count

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

The method returns the number of available objects. This property is mostly used for the method Item to run through each single object.Hint: For running through entries care, that the minimum is 0 and the maximum is Count-1.

Datatype

Count() As long

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


Variables-Methods

Manuel -> Interfaces de programmation -> Modèles d'objet -> Variables -> Variables-Methods

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
VARIANT_BOOL | CheckInModule | Imports the selected XML file | available | not used | yes | yes
VARIANT_BOOL | CheckOutModule | Imports the selected XML file | available | not used | yes | yes
IVariable | CreateArrayVar | - | available | not used | yes | yes
IVariable | CreateArrayVarEx | - | available | not used | yes | yes
IVariable | CreateVar | - | available | not used | yes | yes
VARIANT_BOOL | DeleteVar | - | available | not used | yes | yes
void | DoAutoSave | - | available | not used | yes | yes
VARIANT_BOOL | Export | - | available | not used | yes | yes
VARIANT_BOOL | Import | - | available | not used | yes | yes
VARIANT_BOOL | ImportDirect | Imports the selected XML file | available | not used | yes | yes
IVariable | Item | - | available | available | yes | yes
IVariable | ItemPvID | - | available | available | yes | yes
VARIANT_BOOL | SingleExport | Exports the Item with given Name oder Index | available | not used | yes | yes
IVariable | CreateVar | - | available | not used | yes | yes
IVariable | CreateArrayVar | - | available | not used | yes | yes
IVariable | CreateArrayVarEx | - | available | not used | yes | yes
VARIANT_BOOL | DeleteVar | - | available | not used | yes | yes
VARIANT_BOOL | Export | - | available | not used | yes | yes
VARIANT_BOOL | SingleExport | Exports the Item with given Name oder Index | available | not used | yes | yes
VARIANT_BOOL | Import | - | available | not used | yes | yes
VARIANT_BOOL | ImportDirect | Imports the selected XML file | available | not used | yes | yes
VARIANT_BOOL | ModifyVariable | Modify the given variable to match the new configuration. | available | not used | yes | yes
VARIANT_BOOL | ModifyArrayVariable | Modify the given array variable to match the new configuration. | available | not used | yes | yes

Other topics in this chapter

Item

ItemPvID

DoAutoSave

CreateVar

ModifyVariable

ModifyArrayVariable

CreateArrayVar

CreateArrayVarEx

DeleteVar

Export

SingleExport

Import

ImportDirect

CheckOutModule

CheckInModule


Item

Manuel -> Interfaces de programmation -> Modèles d'objet -> Variables -> Variables-Methods -> Item

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the object Variable from the collection, which is identified by the parameter vID.The parameter vID can have two values:

Datatype

Item(VARIANT vPv) As Variable

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

vID As Variant
Index or name.

If the parameter is a numerical value, the variable is searched by its index (>= 0 and <= Count-1).
If it is an alphanumerical value, the variable is searched by its unique name.

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

vPv As Variant

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


ItemPvID

Manuel -> Interfaces de programmation -> Modèles d'objet -> Variables -> Variables-Methods -> ItemPvID

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the object Variable from the collection, identified with the parameter vID.The parameter vID contains the unique channel Id of the variable.The returned object should be checked on Nothing.

Datatype

ItemPvID(VARIANT vPvID) As Variable

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


DoAutoSave

Manuel -> Interfaces de programmation -> Modèles d'objet -> Variables -> Variables-Methods -> DoAutoSave

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

With this method you have the opportunity to stop writting changes on properties into the database. This should bring up performance improvements. Hint: Don't forget to make a .DoAutoSave(True) after a .DoAutoSave(False) otherwise data which has been typed in VBA won't be saved. The function doesn't work when the editor loses his focus (for example when the VBA code gets debugged).

Datatype

DoAutoSave(Boolean bSave) As void

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

False = Stop writting into database. True = Start writting into database.

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

bSave As Boolean

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Sub DoAutoSave()

Dim zVariables As Variables 'Object from type Variables
Dim zVariable As Variable 'Child object from type Variables

'Fill the objects
Set zVariables = MyWorkspace.ActiveDocument.Variables
'Changes on properties should not be written into the database
zVariables.DoAutoSave (False)
'Read the first variable in list
Set zVariable = zVariables.Item(0)
'Changes on properties
zVariable.DynProperties("Unit") = "Volt"
zVariable.DynProperties("Name") = "Var_1"
'Now changes should be written into the database
zVariables.DoAutoSave (True)

End Sub


CreateVar

Manuel -> Interfaces de programmation -> Modèles d'objet -> Variables -> Variables-Methods -> CreateVar

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

CreateVar(BSTR strName, LPDISPATCH lpDriver, tpKanaltypes kTypes, LPDISPATCH lpVarType) As IVariable

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

VB.NET

VBA

Examples

C#

VB.NET

VBA


ModifyVariable

Manuel -> Interfaces de programmation -> Modèles d'objet -> Variables -> Variables-Methods -> ModifyVariable

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Can be used to modify driver, channeltypes, datatypes, adressmode, and the settings of a non array variable.

Datatype

ModifyVariable(BSTR strName, LPDISPATCH lpDriver, tpKanaltypes kTypes, LPDISPATCH lpVarType,tpAdrMode lAdrMode,VARIANT_BOOL bStartAtNewOffset) As VARIANT_BOOL

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

VB.NET

VBA

Examples

C#

VB.NET

VBA


ModifyArrayVariable

Manuel -> Interfaces de programmation -> Modèles d'objet -> Variables -> Variables-Methods -> ModifyArrayVariable

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Can be used to modify the dimension of the array. Also driver, channeltypes, datatypes, adressmode, offset calculation and lower bound (0 or 1) can be modified.

Datatype

ModifyArrayVariable(BSTR strName, LPDISPATCH lpDriver, tpKanaltypes kTypes, LPDISPATCH lpVarType, long lLBound, long lDimension1,long lDimension2,long Dimension3,tpAdrMode lAdrMode,VARIANT_BOOL bStartAtNewOffset) As VARIANT_BOOL

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

VB.NET

VBA

Examples

C#

public void Macro_ExtendArray()

{

string VarName = "TestArray[1]"; // element

zenOn.IVariables zVars = this.ActiveDocument.Variables();

zenOn.IVariable zVar = zVars.Item(VarName);

zenOn.IDriver zDriver = zVar.Driver();

var zKanal = zVar.get_DynProperties("ID_DriverTyp");

zenOn.IVarType zVarType = zVar.BaseType;

int zBound = 1;

int zDim1 = 5;

int zDim2 = 0;

int zDim3 = 0;

zenOn.tpAdrMode zAdrMode = zenOn.tpAdrMode.tpAdrManual;

bool zStartNewOffset = true;

zVars.ModifyArrayVariable("TestArray", zDriver, (zenOn.tpKanaltypes)Enum.ToObject(typeof(zenOn.tpKanaltypes),zKanal), zVarType, zBound, zDim1, zDim2, zDim3, zAdrMode, zStartNewOffset);

}

VB.NET

VBA


CreateArrayVar

Manuel -> Interfaces de programmation -> Modèles d'objet -> Variables -> Variables-Methods -> CreateArrayVar

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

CreateArrayVar(BSTR strName, LPDISPATCH lpDriver, tpKanaltypes kTypes, LPDISPATCH lpVarType, long lLBound, long lDimension1,long lDimension2,long Dimension3,VARIANT_BOOL bPacked,VARIANT_BOOL bStartAtNewOffset,VARIANT_BOOL bReserved) As IVariable

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

VB.NET

VBA

Examples

C#

VB.NET

VBA


CreateArrayVarEx

Manuel -> Interfaces de programmation -> Modèles d'objet -> Variables -> Variables-Methods -> CreateArrayVarEx

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

CreateArrayVarEx(BSTR strName, LPDISPATCH lpDriver, tpKanaltypes kTypes, LPDISPATCH lpVarType, long lLBound, long lDimension1,long lDimension2,long Dimension3,tpAdrMode lAdrMode,VARIANT_BOOL bStartAtNewOffset) As IVariable

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

VB.NET

VBA

Examples

C#

VB.NET

VBA


DeleteVar

Manuel -> Interfaces de programmation -> Modèles d'objet -> Variables -> Variables-Methods -> DeleteVar

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

DeleteVar(BSTR Name) As VARIANT_BOOL

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

VB.NET

VBA

Examples

C#

VB.NET

VBA


Export

Manuel -> Interfaces de programmation -> Modèles d'objet -> Variables -> Variables-Methods -> Export

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

Export(BSTR bsFileName) As VARIANT_BOOL

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

VB.NET

VBA

Examples

C#

VB.NET

VBA


SingleExport

Manuel -> Interfaces de programmation -> Modèles d'objet -> Variables -> Variables-Methods -> SingleExport

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

SingleExport(VARIANT vIndexOrName,BSTR bsFileName) As VARIANT_BOOL

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

VB.NET

VBA

Examples

C#

VB.NET

VBA


Import

Manuel -> Interfaces de programmation -> Modèles d'objet -> Variables -> Variables-Methods -> Import

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

Import(BSTR bsFileName) As VARIANT_BOOL

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

VB.NET

VBA

Examples

C#

VB.NET

VBA


ImportDirect

Manuel -> Interfaces de programmation -> Modèles d'objet -> Variables -> Variables-Methods -> ImportDirect

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

ImportDirect(BSTR bsFileName, VARIANT_BOOL bIECDTOvw, VARIANT_BOOL bUDTOvw) As VARIANT_BOOL

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

VB.NET

VBA

Examples

C#

VB.NET

VBA


CheckOutModule

Manuel -> Interfaces de programmation -> Modèles d'objet -> Variables -> Variables-Methods -> CheckOutModule

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

This function executes a check out of the whole variable administration at a multiuser project.

Datatype

CheckOutModule() As Boolean

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


CheckInModule

Manuel -> Interfaces de programmation -> Modèles d'objet -> Variables -> Variables-Methods -> CheckInModule

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

This function executes a check in at a multiuser project when a variable is checked out or the variable administration is completely checked out.

Datatype

CheckInModule() As Boolean

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


VariableValue

Manuel -> Interfaces de programmation -> Modèles d'objet -> VariableValue

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes

Examples

C#

VB.NET

VBA

Other topics in this chapter

VariableValue-Properties


VariableValue-Properties

Manuel -> Interfaces de programmation -> Modèles d'objet -> VariableValue -> VariableValue-Properties

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
VARIANT | Value | Value of the variable | not used | read only | yes | yes
long | Status | First 32 bits of the variable state | not used | read only | yes | yes
long | StatusExt | Last 32 bits of the variable state | not used | read only | yes | yes
DATE | Time | Timestamp of the value | not used | read only | yes | yes
short | TimeMilliseconds | Milliseconds of the timestamp | not used | read only | yes | yes

Other topics in this chapter

Value

Status

StatusExt

Time

TimeMilliseconds


Value

Manuel -> Interfaces de programmation -> Modèles d'objet -> VariableValue -> VariableValue-Properties -> Value

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Value for the Variable

Datatype

Value() As VARIANT

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes


Status

Manuel -> Interfaces de programmation -> Modèles d'objet -> VariableValue -> VariableValue-Properties -> Status

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

First 32 Bits of the variable state.

Datatype

Status() As long

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes


StatusExt

Manuel -> Interfaces de programmation -> Modèles d'objet -> VariableValue -> VariableValue-Properties -> StatusExt

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

last 32 Bits for the variable state.

Datatype

StatusExt() As long

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes


Time

Manuel -> Interfaces de programmation -> Modèles d'objet -> VariableValue -> VariableValue-Properties -> Time

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Timestamp of the value

Datatype

Time() As DATE

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes


TimeMilliseconds

Manuel -> Interfaces de programmation -> Modèles d'objet -> VariableValue -> VariableValue-Properties -> TimeMilliseconds

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Milliseconds for the timestamp.

Datatype

TimeMilliseconds() As short

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes


VarType

Manuel -> Interfaces de programmation -> Modèles d'objet -> VarType

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

With the object VarType you have the opportunity to edit selected datatypes.

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Examples

C#

VB.NET

VB.NET-Syntax

VBA

Sub CreateComplexType()

Dim zVarTypes As VarTypes 'Object from type VarTypes
Dim zVarType As VarType 'Child object from type VarTypes

'Fill the objects
Set zVarTypes = MyWorkspace.ActiveDocument.VarTypes

'Create a structure datatype called "Structure_1"
Set zVarType = zVarTypes.CreateComplexType("Structure_1")
Call NewSubItem

End Sub

Sub NewSubItem()

Dim zVarTypes As VarTypes 'Object from type VarTypes
Dim zVarType As VarType 'Child object from type VarTypes
Dim zVarType_1 As VarType 'Child object from type VarTypes
Dim zDrivers As Drivers 'Object from type Drivers
Dim zComplexItem As ComplexItem 'Child object from type ComplexItem
Dim i As Integer

'Fill the objects
Set zVarTypes = MyWorkspace.ActiveDocument.VarTypes

'Read the own created structure datatype "struct"
Set zVarType = zVarTypes.Item("Structure_1")
'Read the INT datatype as base type for the structure element
Set zVarType_1 = zVarTypes.Item("INT")
'Create 5 structure elements called "Element_" from type INT which should be embedded
For i = 1 To 5
Set zComplexItem = zVarType.NewSubItem("Element_" & i, zVarType_1, False, 1, 0, 0, 0)
Next i

End Sub

Other topics in this chapter

VarType-Properties

VarType-Methods


VarType-Properties

Manuel -> Interfaces de programmation -> Modèles d'objet -> VarType -> VarType-Properties

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
long | ID |  | read only | read only | yes | yes
BSTR | Name |  | read only | read only | yes | yes
IVarTypes | Parent |  | read only | read only | yes | yes

Other topics in this chapter

Parent

Name

ID


Parent

Manuel -> Interfaces de programmation -> Modèles d'objet -> VarType -> VarType-Properties -> Parent

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the parent object

Datatype

Parent() As VarTypes

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


Name

Manuel -> Interfaces de programmation -> Modèles d'objet -> VarType -> VarType-Properties -> Name

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the name of the datatype.

Datatype

Name() As String

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


ID

Manuel -> Interfaces de programmation -> Modèles d'objet -> VarType -> VarType-Properties -> ID

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

internal uniqe ID as long

Datatype

ID() As long

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


VarType-Methods

Manuel -> Interfaces de programmation -> Modèles d'objet -> VarType -> VarType-Methods

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description |  | Editor | Runtime | VBA | VSTA
VARIANT_BOOL | CanDeleteType | - |  | available | not used | yes | yes
VARIANT_BOOL | CheckIn | Save module modifications to server (editor). |  | available | not used | yes | yes
VARIANT_BOOL | CheckOut | Allow module modifications (editor). |  | available | not used | yes | yes
IEdLimit | CreateEdLimit | - |  | available | not used | yes | yes
VARIANT_BOOL | DeleteEdLimit | - |  | available | not used | yes | yes
VARIANT_BOOL | DeleteSubItem | - |  | available | not used | yes | yes
void | DynProperties [PUT] | - |  | available | available | yes | yes
VARIANT | DynProperties [GET] | - |  | available | available | yes | yes
VARIANT | DynPropertiesEnum [GET] | - |  | read only | read only | yes | yes
long | EdLimitCount | - |  | available | not used | yes | yes
IEdLimit | EdLimitItem | - |  | available | not used | yes | yes
VARIANT_BOOL | Get | Get the latest version from the server (editor). |  | available | not used | yes | yes
long | GetDataType | - |  | available | not used | yes | yes
BOOL | IsAllowed | - |  | available | available | yes | yes
VARIANT_BOOL | IsCheckedOut | Returns true when the current module checked out by the current user (editor). |  | read only | not used | yes | yes
VARIANT_BOOL | IsDifferent | Returns true when the local and server version are different (editor). | read only |  | not used | yes |  | yes
VARIANT_BOOL | IsLocked | Returns true when the current module is Locked by another user (editor). |  | read only | not used | yes | yes
BOOL | IsSimple | - |  | available | available | yes | yes
IComplexItem | NewSubItem | - |  | available | not used | yes | yes
IComplexItem | SubItem | - |  | available | not used | yes | yes
long | SubItemCount | - |  | available | not used | yes | yes
VARIANT_BOOL | UndoCheckOut | Undo module modifications (editor). |  | available | not used | yes | yes
IPropParam | DynPropertyParam [GET] | Returns the PropParam objekt of the given DynProperty |  | read only | not used | yes | yes
BOOL | IsAllowed | - |  | available | available | yes | yes

Other topics in this chapter

DynPropertyParam [GET]

DynPropertiesEnum [GET]

DynProperties [GET]

DynProperties [PUT]

IsAllowed

IsSimple

GetDataType

SubItemCount

SubItem

CanDeleteType

NewSubItem

DeleteSubItem

EdLimitCount

EdLimitItem

CreateEdLimit

DeleteEdLimit

Get

CheckOut

CheckIn

UndoCheckOut

IsLocked

IsCheckedOut

IsDifferent


DynPropertyParam [GET]

Manuel -> Interfaces de programmation -> Modèles d'objet -> VarType -> VarType-Methods -> DynPropertyParam [GET]

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

DynPropertyParam [GET](BSTR bsPath) As PropParam

Availability

Environment | Available
Editor | read only
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


DynPropertiesEnum [GET]

Manuel -> Interfaces de programmation -> Modèles d'objet -> VarType -> VarType-Methods -> DynPropertiesEnum [GET]

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

DynPropertiesEnum(String bsPath) As VARIANT

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes

Parameters

A String which defines the entry point to get out all available properties of the object.

A blank String like that returns the first layer of properties:

DynPropertiesEnum("")

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

bsPath As String

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Sub ReadDynProps()
End Sub


DynProperties [GET]

Manuel -> Interfaces de programmation -> Modèles d'objet -> VarType -> VarType-Methods -> DynProperties [GET]

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

DynProperties(String bsPath) As VARIANT

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

A String which defines the Property.

Example: "NetAktive"

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

bsPath As String

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Sub GetDynProp()
'Sample: GSet the Network Aktive Flag of the Project.
If MyWorkspace.ActiveDocument.DynProperties("NetActive") = True Then
'read the server - computername...
Debug.Print "Server: " & MyWorkspace.ActiveDocument.DynProperties("NetServer")
End If
End Sub


DynProperties [PUT]

Manuel -> Interfaces de programmation -> Modèles d'objet -> VarType -> VarType-Methods -> DynProperties [PUT]

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

DynProperties (String bsPath,VARIANT vValue) As void

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

A String which defines the Property.

Example: "NetAktive"

Returns a variant value depending to the property, it can be a boolean, a long, or a whole object.

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

bsPath As String

vValue As Variant

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Sub SetDynProp()
End Sub


IsAllowed

Manuel -> Interfaces de programmation -> Modèles d'objet -> VarType -> VarType-Methods -> IsAllowed

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

IsAllowed(LPDISPATCH lpDriver, tpKanaltypes kTypes) As BOOL

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

VB.NET

VBA

Examples

C#

VB.NET

VBA


IsSimple

Manuel -> Interfaces de programmation -> Modèles d'objet -> VarType -> VarType-Methods -> IsSimple

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

This method returns -1 when the datatype is a simple datatype and 0 when it is a complex datatype.

Datatype

IsSimple() As BOOL

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Sub IsSimple()

Dim zVarTypes As VarTypes 'Object from type VarTypes
Dim zVarType As VarType 'Child object from type VarTypes
Dim zDrivers As Drivers 'Object from type Drivers

'Fill the objects
Set zVarTypes = MyWorkspace.ActiveDocument.VarTypes
Set zDrivers = MyWorkspace.ActiveDocument.Drivers

'Read the datatype INT from the list.
Set zVarType = zVarTypes.Item("INT")
'Check if it is a simple or a complex datatype
Debug.Print "Is Simple = " & zVarType.IsSimple

End Sub


GetDataType

Manuel -> Interfaces de programmation -> Modèles d'objet -> VarType -> VarType-Methods -> GetDataType

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

This method returns the number of the datatype.

Datatype

GetDataType() As long

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Sub GetDataType()

Dim zVarTypes As VarTypes 'Object from type VarTypes
Dim zVarType As VarType 'Child object from type VarTypes

'Fill the objects
Set zVarTypes = MyWorkspace.ActiveDocument.VarTypes
'Read the datatype INT from the list.
Set zVarType = zVarTypes.Item("INT")
'Get the number of the datatype
Debug.Print "Datatype = " & zVarType.GetDataType

End Sub


SubItemCount

Manuel -> Interfaces de programmation -> Modèles d'objet -> VarType -> VarType-Methods -> SubItemCount

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

This method returns the number of items in a structure datatype.

Datatype

SubItemCount() As long

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


SubItem

Manuel -> Interfaces de programmation -> Modèles d'objet -> VarType -> VarType-Methods -> SubItem

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

This method returns a sub item of a structure datatype.

Datatype

SubItem(long lIndex) As ComplexItem

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

A long variable which defines the position of the structure element (counting starts at 0).

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

lIndex As Long

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Sub SubItem()

Dim zVarTypes As VarTypes 'Object from type VarTypes
Dim zVarType As VarType 'Child object from type VarTypes
Dim zComplexItem As ComplexItem 'Child object from type ComplexItem

'Fill the objects
Set zVarTypes = MyWorkspace.ActiveDocument.VarTypes
'Read the own created structure datatype "struct"
Set zVarType = zVarTypes.Item("struct")
'Read the first item of this structure datatype
Set zComplexItem = zVarType.SubItem(0)
'Move the first item one position downwards
zComplexItem.MoveItemDown

End Sub


CanDeleteType

Manuel -> Interfaces de programmation -> Modèles d'objet -> VarType -> VarType-Methods -> CanDeleteType

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

This method returns true if a selected datatype can be deleted and false if it can't be deleted.

Datatype

CanDeleteType() As Boolean

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Sub CanDeleteType()

Dim zVarTypes As VarTypes 'Object from type VarTypes
Dim zVarType As VarType 'Child object from type VarTypes

'Fill the objects
Set zVarTypes = MyWorkspace.ActiveDocument.VarTypes
'Read the INT datatype from the list
Set zVarType = zVarTypes.Item("INT")
'Check if the selected datatype can be deleted
Debug.Print "Can delete type = " & zVarType.CanDeleteType

End Sub


NewSubItem

Manuel -> Interfaces de programmation -> Modèles d'objet -> VarType -> VarType-Methods -> NewSubItem

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

With this method you can create new sub items for a structure datatype.

Datatype

NewSubItem(String bstrTypeName, IVarType pBaseType, Boolean bReferenz, long lLBound, long lDim1, long lDim2, long lDim3) As ComplexItem

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

Set false for a embedded datatype and true for a linked one.

A VarType object which defines the basic type of the element.

A string which defines the name of the element.

Set the number of elements for the first array dimension.

Set the number of elements for the second array dimension.

Set the number of elements for the third array dimension.

Set the array start index (0 or 1).

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

bReferenz As Boolean

pBaseType As VarType

bstrTypeName As String

lDim1 As Long

lDim2 As Long

lDim3 As Long

lLBound As Long

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Sub NewSubItem()

Dim zVarTypes As VarTypes 'Object from type VarTypes
Dim zVarType As VarType 'Child object from type VarTypes
Dim zVarType_1 As VarType 'Child object from type VarTypes
Dim zDrivers As Drivers 'Object from type Drivers
Dim zComplexItem As ComplexItem 'Child object from type ComplexItem

'Fill the objects
Set zVarTypes = MyWorkspace.ActiveDocument.VarTypes

'Read the own created structure datatype "struct"
Set zVarType = zVarTypes.Item("struct")
'Read the INT datatype as base type for the structure element
Set zVarType_1 = zVarTypes.Item("INT")
'Create a new structure element called "Element_1" from type INT which should be embedded
Set zComplexItem = zVarType.NewSubItem("Element_1", zVarType_1, False, 0, 0, 0, 0)

End Sub


DeleteSubItem

Manuel -> Interfaces de programmation -> Modèles d'objet -> VarType -> VarType-Methods -> DeleteSubItem

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

With this method you can delete an item from a structure datatype.

Datatype

DeleteSubItem(VARIANT vNameOrIndex) As Boolean

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

The structure item can be selected via a string (name) or via a index number.

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

vNameOrIndex As Variant

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Sub DeleteSubItem()

Dim zVarTypes As VarTypes 'Object from type VarTypes
Dim zVarType As VarType 'Child object from type VarTypes

'Fill the objects
Set zVarTypes = MyWorkspace.ActiveDocument.VarTypes
'Read the own created structure datatype "structure" from the list
Set zVarType = zVarTypes.Item("structure")
'Delete an item called "element_1" from the structure datatype
Debug.Print "Sub item has been deleted = " & zVarType.DeleteSubItem("element_1")
End Sub


EdLimitCount

Manuel -> Interfaces de programmation -> Modèles d'objet -> VarType -> VarType-Methods -> EdLimitCount

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

This method returns the number of limits from a datatype.

Datatype

EdLimitCount() As long

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Sub CountEdLimits()

Dim zVarTypes As VarTypes 'Object from type VarTypes
Dim zVarType As VarType 'Child object from type VarTypes

'Fill the objects
Set zVarTypes = MyWorkspace.ActiveDocument.VarTypes
'Read the datatype INT from the list.Project some limits at the datatype.
Set zVarType = zVarTypes.Item("INT")
'Count the number of limits from a datatype
Debug.Print "Number of limits at the datatype = " & zVarType.EdLimitCount

End Sub


EdLimitItem

Manuel -> Interfaces de programmation -> Modèles d'objet -> VarType -> VarType-Methods -> EdLimitItem

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

This method returns an "EdLimit" object from a datatype.

Datatype

EdLimitItem(VARIANT vIndex) As EdLimit

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

The limit can be selected via a number (counting starts at 0) or via a string (name of the limit).

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

vIndex As Variant

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Sub EdLimitItem()

Dim zVarTypes As VarTypes 'Object from type VarTypes
Dim zVarType As VarType 'Child object from type VarTypes
Dim zEdLimit As EdLimit 'Object from type EdLimit

'Fill the objects
Set zVarTypes = MyWorkspace.ActiveDocument.VarTypes
'Read the datatype INT from the list.Project some limits at the datatype.
Set zVarType = zVarTypes.Item("INT")
'Create a Limit at the INT datatype
zVarType.CreateEdLimit
'Returns a EdLimit object from the first limit
Set zEdLimit = zVarType.EdLimitItem(0)

'Set the limit active
zEdLimit.Active = True
'Set limit text
zEdLimit.Text = "Limit reached"
'Set limit value to 10
zEdLimit.LimitValue = 10
'Set the limit as maximum
zEdLimit.IsMax = True
'Set the limit as alarm
zEdLimit.Alarm = True
'Limit should be recognized in the CEL
zEdLimit.Cel = True

End Sub


CreateEdLimit

Manuel -> Interfaces de programmation -> Modèles d'objet -> VarType -> VarType-Methods -> CreateEdLimit

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

This method creates a limit at a datatype.

Datatype

CreateEdLimit() As EdLimit

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Sub CreateEdLimit()

Dim zVarTypes As VarTypes 'Object from type VarTypes
Dim zVarType As VarType 'Child object from type VarTypes

'Fill the objects
Set zVarTypes = MyWorkspace.ActiveDocument.VarTypes
'Read the INT datatype from the list
Set zVarType = zVarTypes.Item("INT")
'Creates a limit at the INT datatype
zVarType.CreateEdLimit

End Sub


DeleteEdLimit

Manuel -> Interfaces de programmation -> Modèles d'objet -> VarType -> VarType-Methods -> DeleteEdLimit

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

This method deletes a selected limit from a datatype.

Datatype

DeleteEdLimit(VARIANT vIndex) As Boolean

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

The limit can be selected via its name (string) or via a number (counting starts at 0).

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

vIndex As Variant

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Sub DeleteEdLimit()

Dim zVarTypes As VarTypes 'Object from type VarTypes
Dim zVarType As VarType 'Child object from type VarTypes

'Fill the objects
Set zVarTypes = MyWorkspace.ActiveDocument.VarTypes
'Read the INT datatype from the list.Some limits should be projected at the datatype
Set zVarType = zVarTypes.Item("INT")
'Delete "Limit[1]" at the INT datatype
zVarType.DeleteEdLimit ("Limit[1]")

End Sub


Get

Manuel -> Interfaces de programmation -> Modèles d'objet -> VarType -> VarType-Methods -> Get

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Get the latest version from the server (editor). This option is only working for multi-user projects.

Datatype

Get() As Boolean

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


CheckOut

Manuel -> Interfaces de programmation -> Modèles d'objet -> VarType -> VarType-Methods -> CheckOut

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Allow module modifications (editor). This option is only working for multi-user projects.

Datatype

CheckOut() As Boolean

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


CheckIn

Manuel -> Interfaces de programmation -> Modèles d'objet -> VarType -> VarType-Methods -> CheckIn

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Save module modifications to server (editor). This option is only working for multi-user projects.

Datatype

CheckIn() As Boolean

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


UndoCheckOut

Manuel -> Interfaces de programmation -> Modèles d'objet -> VarType -> VarType-Methods -> UndoCheckOut

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Undo module modifications (editor). This option is only working for multi-user projects.

Datatype

UndoCheckOut() As Boolean

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


IsLocked

Manuel -> Interfaces de programmation -> Modèles d'objet -> VarType -> VarType-Methods -> IsLocked

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns true if modification changes are locked due to a checkout. This option is only working for multi-user projects.

Datatype

IsLocked() As Boolean

Availability

Environment | Available
Editor | read only
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


IsCheckedOut

Manuel -> Interfaces de programmation -> Modèles d'objet -> VarType -> VarType-Methods -> IsCheckedOut

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns true if scripts are checked out. This option is only working for multi-user projects.

Datatype

IsCheckedOut() As Boolean

Availability

Environment | Available
Editor | read only
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


IsDifferent

Manuel -> Interfaces de programmation -> Modèles d'objet -> VarType -> VarType-Methods -> IsDifferent

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns true if local version differs from server (editor) version. This option is only working for multi-user projects.

Datatype

IsDifferent() As VARIANT_BOOL

Availability

Environment | Available
Editor | read only
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


VarTypes

Manuel -> Interfaces de programmation -> Modèles d'objet -> VarTypes

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

With the object VarTypes you have the opportunity to create, delete and edit datatypes from the list of datatypes.

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Examples

C#

VB.NET

VB.NET-Syntax

VBA

Sub CreateComplexType()

Dim zVarTypes As VarTypes 'Object from type VarTypes
Dim zVarType As VarType 'Child object from type VarTypes

'Fill the objects
Set zVarTypes = MyWorkspace.ActiveDocument.VarTypes

'Create a structure datatype called "Structure_1"
Set zVarType = zVarTypes.CreateComplexType("Structure_1")
Call CreateSimpleType

End Sub

Sub CreateSimpleType()

Dim zVarTypes As VarTypes 'Object from type VarTypes
Dim zVarType As VarType 'Child object from type VarTypes
Dim zVarTypes_1 As VarTypes
Dim zVarType_1 As VarType

'Fill the objects
Set zVarTypes = MyWorkspace.ActiveDocument.VarTypes
Set zVarTypes_1 = MyWorkspace.ActiveDocument.VarTypes

'Read datatype "UINT"
Set zVarType_1 = zVarTypes_1.Item(1)

'Create a simple datatype from type "UINT" called "SimpleType_1"
Set zVarType = zVarTypes.CreateSimpleType("SimpleType_1", zVarType_1)

End Sub

Other topics in this chapter

VarTypes-Properties

VarTypes-Methods


VarTypes-Properties

Manuel -> Interfaces de programmation -> Modèles d'objet -> VarTypes -> VarTypes-Properties

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
long | Count |  | read only | read only | yes | yes
IProject | Parent |  | read only | read only | yes | yes

Other topics in this chapter

Parent

Count


Parent

Manuel -> Interfaces de programmation -> Modèles d'objet -> VarTypes -> VarTypes-Properties -> Parent

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the parent object

Datatype

Parent() As Project

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


Count

Manuel -> Interfaces de programmation -> Modèles d'objet -> VarTypes -> VarTypes-Properties -> Count

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

The method returns the number of available objects. This property is mostly used for the method Item to run through each single object.Hint: For running through entries care, that the minimum is 0 and the maximum is Count-1.

Datatype

Count() As long

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


VarTypes-Methods

Manuel -> Interfaces de programmation -> Modèles d'objet -> VarTypes -> VarTypes-Methods

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
VARIANT_BOOL | CanDeleteType | - | available | available | yes | yes
IVarType | CreateComplexType | - | available | not used | yes | yes
IVarType | CreateSimpleType | - | available | not used | yes | yes
VARIANT_BOOL | DeleteType | - | available | not used | yes | yes
VARIANT_BOOL | Export | Exports the selected object to a XML file | available | not used | yes | yes
VARIANT_BOOL | Import | Imports the selected XML file | available | not used | yes | yes
VARIANT_BOOL | ImportDirect | - |  |  |  |
IVarType | Item | - | available | available | yes | yes
VARIANT_BOOL | SingleExport | Exports the Item with given Name oder Index | available | available | yes | yes
VARIANT_BOOL | SingleExport | Exports the Item with given Name oder Index | available | available | yes | yes
VARIANT_BOOL | Export | Exports the selected object to a XML file | available | not used | yes | yes
VARIANT_BOOL | Import | Imports the selected XML file | available | not used | yes | yes
VARIANT_BOOL | ImportDirect | - | available | not used | yes | yes

Other topics in this chapter

Item

CreateSimpleType

CreateComplexType

DeleteType

CanDeleteType

SingleExport

Export

Import

ImportDirect


Item

Manuel -> Interfaces de programmation -> Modèles d'objet -> VarTypes -> VarTypes-Methods -> Item

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

With this method you can access datatypes out of the list.

Datatype

Item(VARIANT vNameOrID) As VarType

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

The datatype can be selected via its name (string) or via an ID (number).

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

vNameOrID As Variant

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Sub Item()

Dim zVarTypes As VarTypes 'Object from type VarTypes
Dim zVarType As VarType 'Child object from type VarTypes

'Fill the objects
Set zVarTypes = MyWorkspace.ActiveDocument.VarTypes

'Read all settings from the "INT" datatype
Set zVarType = zVarTypes.Item("INT")

Debug.Print "Name of item = " & zVarType.Name

End Sub


CreateSimpleType

Manuel -> Interfaces de programmation -> Modèles d'objet -> VarTypes -> VarTypes-Methods -> CreateSimpleType

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

With this method a simple datatype can be created.

Datatype

CreateSimpleType(String bstrTypeName, IVarType pBaseType) As VarType

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

Needs an item from type VarType to set the base type of the own created datatype.

A string which defines the name of the simple datatype.

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

pBaseType As VarType

bstrTypeName As String

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Sub CreateSimpleType()

Dim zVarTypes As VarTypes 'Object from type VarTypes
Dim zVarType As VarType 'Child object from type VarTypes
Dim zVarTypes_1 As VarTypes
Dim zVarType_1 As VarType

'Fill the objects
Set zVarTypes = MyWorkspace.ActiveDocument.VarTypes
Set zVarTypes_1 = MyWorkspace.ActiveDocument.VarTypes

'Read datatype "UINT"
Set zVarType_1 = zVarTypes_1.Item(1)

'Create a simple datatype from type "UINT" called "SimpleType_1"
Set zVarType = zVarTypes.CreateSimpleType("SimpleType_1", zVarType_1)

End Sub


CreateComplexType

Manuel -> Interfaces de programmation -> Modèles d'objet -> VarTypes -> VarTypes-Methods -> CreateComplexType

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

With this method a structure datatype can be created.

Datatype

CreateComplexType(String bstrTypeName) As VarType

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

A string which defines the name of the structure datatype.

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

bstrTypeName As String

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Sub CreateComplexType()

Dim zVarTypes As VarTypes 'Object from type VarTypes
Dim zVarType As VarType 'Child object from type VarTypes

'Fill the objects
Set zVarTypes = MyWorkspace.ActiveDocument.VarTypes

'Create a structure datatype called "Structure_1"
Set zVarType = zVarTypes.CreateComplexType("Structure_1")

End Sub


DeleteType

Manuel -> Interfaces de programmation -> Modèles d'objet -> VarTypes -> VarTypes-Methods -> DeleteType

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

With this method an own created datatype can be deleted.

Datatype

DeleteType(VARIANT vNameOrIndex) As Boolean

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

The datatype can be selected via position (number) or via its name (string).

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

vNameOrIndex As Variant

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Sub DeleteType()

Dim zVarTypes As VarTypes 'Object from type VarTypes
Dim zVarType As VarType 'Child object from type VarTypes

'Fill the objects
Set zVarTypes = MyWorkspace.ActiveDocument.VarTypes

'Delete an own created datatype called "own_simple"
zVarTypes.DeleteType ("own_simple")

End Sub


CanDeleteType

Manuel -> Interfaces de programmation -> Modèles d'objet -> VarTypes -> VarTypes-Methods -> CanDeleteType

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

This method returns true if a selected datatype can be deleted and false if it can't be deleted.

Datatype

CanDeleteType(VARIANT vNameOrIndex) As Boolean

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Sub CanDeleteTypes()

Dim zVarTypes As VarTypes 'Object from type VarTypes
Dim zVarType As VarType 'Child object from type VarTypes

'Fill the objects
Set zVarTypes = MyWorkspace.ActiveDocument.VarTypes
'Try if this datatype can be deleted
Debug.Print "Can this type be deleted = " & zVarTypes.CanDeleteType("INT")

End Sub


SingleExport

Manuel -> Interfaces de programmation -> Modèles d'objet -> VarTypes -> VarTypes-Methods -> SingleExport

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

SingleExport(VARIANT vIndexOrName,BSTR bsFileName) As VARIANT_BOOL

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

VB.NET

VBA

Examples

C#

VB.NET

VBA


Export

Manuel -> Interfaces de programmation -> Modèles d'objet -> VarTypes -> VarTypes-Methods -> Export

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

Export(BSTR bsFileName) As VARIANT_BOOL

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

VB.NET

VBA

Examples

C#

VB.NET

VBA


Import

Manuel -> Interfaces de programmation -> Modèles d'objet -> VarTypes -> VarTypes-Methods -> Import

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

Import(BSTR bsFileName) As VARIANT_BOOL

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

VB.NET

VBA

Examples

C#

VB.NET

VBA


ImportDirect

Manuel -> Interfaces de programmation -> Modèles d'objet -> VarTypes -> VarTypes-Methods -> ImportDirect

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

ImportDirect(BSTR bsFileName, VARIANT_BOOL bIECDTOvw, VARIANT_BOOL bUDTOvw) As VARIANT_BOOL

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

VB.NET

VBA

Examples

C#

VB.NET

VBA


ZenMenu

Manuel -> Interfaces de programmation -> Modèles d'objet -> ZenMenu

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

With an object of this type a context or main menu item can be edited, deleted, created,...

Availability

Environment | Available
Editor | available
Runtime | read only
VBA | yes
VSTA | yes

Examples

C#

VB.NET

VB.NET-Syntax

VBA

'This sample creates a main menu with 5 items and sets the backcolor of the menu.
Sub ZenMenu()

Dim zMenus As ZenMenus 'Parent object
Dim zMenu As ZenMenu 'Child object of ZenMenus
Dim zMenuItem As ZenMenuItem 'Child object of ZenMenu
Dim i As Integer 'Loop variable

Set zMenus = MyWorkspace.ActiveDocument.ZenMenus

'Create a main menu
Set zMenu = zMenus.Create("Main_1")
'Is true for main menu and false for context menu
zMenu.IsPulldown = True

'Create 5 main menu items
For i = 0 To 4
Set zMenuItem = zMenu.Create("ID_" & i, False)
'Set the text of the main menu item
zMenuItem.Caption = "Item_" & i
Next i

'Set Background color of the main menu
zMenu.BackColor = 12345678

'Check how many items are available in this main menu
Debug.Print "Count = " & zMenu.Count

End Sub

Other topics in this chapter

ZenMenu-Properties

ZenMenu-Methods

ZenMenu-Dynamic properties


ZenMenu-Properties

Manuel -> Interfaces de programmation -> Modèles d'objet -> ZenMenu -> ZenMenu-Properties

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
OLE_COLOR | BackColor | BackColor | available | available | yes | yes
long | Count | Count of defined menu-items | read only | read only | yes | yes
long | ID | Returns the unique ID for the menu | read only | read only | yes | yes
VARIANT_BOOL | IsPulldown | Is the menu a pulldown menu (true) or a popup menu (false) | available | read only | yes | yes
BSTR | Name | Name of the menu | available | read only | yes | yes
BSTR | Notes | Notes to the menu | available | available | yes | yes
IZenMenus | Parent | Parent-object | read only | read only | yes | yes
OLE_COLOR | TextColor | TextColor | available | read only | yes | yes

Other topics in this chapter

Parent

Count

ID

Name

Notes

BackColor

TextColor

IsPulldown


Parent

Manuel -> Interfaces de programmation -> Modèles d'objet -> ZenMenu -> ZenMenu-Properties -> Parent

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the parent object

Datatype

Parent() As ZenMenus

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


Count

Manuel -> Interfaces de programmation -> Modèles d'objet -> ZenMenu -> ZenMenu-Properties -> Count

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

The method returns the number of available objects. This property is mostly used for the method Item to run through each single object.Hint: For running through entries care, that the minimum is 0 and the maximum is Count-1.

Datatype

Count() As long

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


ID

Manuel -> Interfaces de programmation -> Modèles d'objet -> ZenMenu -> ZenMenu-Properties -> ID

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the unique ID for the menu item.

Datatype

ID() As long

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


Name

Manuel -> Interfaces de programmation -> Modèles d'objet -> ZenMenu -> ZenMenu-Properties -> Name

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the name of the context or main menu.

Datatype

Name() As String

Availability

Environment | Available
Editor | available
Runtime | read only
VBA | yes
VSTA | yes


Notes

Manuel -> Interfaces de programmation -> Modèles d'objet -> ZenMenu -> ZenMenu-Properties -> Notes

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns a string with some notes. This property is not visible in zenOn.

Datatype

Notes() As String

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes


BackColor

Manuel -> Interfaces de programmation -> Modèles d'objet -> ZenMenu -> ZenMenu-Properties -> BackColor

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

With this property you can set the back color of the menu.

Datatype

BackColor() As OLE_COLOR

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes


TextColor

Manuel -> Interfaces de programmation -> Modèles d'objet -> ZenMenu -> ZenMenu-Properties -> TextColor

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

With this property you can set the text color of a menu.

Datatype

TextColor() As OLE_COLOR

Availability

Environment | Available
Editor | available
Runtime | read only
VBA | yes
VSTA | yes


IsPulldown

Manuel -> Interfaces de programmation -> Modèles d'objet -> ZenMenu -> ZenMenu-Properties -> IsPulldown

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns true for a main menu and false for a context menu. It can also be used to change a main menu to a context menu and vice versa.

Datatype

IsPulldown() As Boolean

Availability

Environment | Available
Editor | available
Runtime | read only
VBA | yes
VSTA | yes


ZenMenu-Methods

Manuel -> Interfaces de programmation -> Modèles d'objet -> ZenMenu -> ZenMenu-Methods

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
IZenMenuItem | Create | Creates a new menu-item | available | not used | yes | yes
VARIANT_BOOL | Delete | Deletes the given menu-item | available | not used | yes | yes
void | DynProperties [PUT] | - | available | available | yes | yes
VARIANT | DynProperties [GET] | - | available | available | yes | yes
VARIANT | DynPropertiesEnum [GET] | - | read only | read only | yes | yes
IZenMenuItem | Item | Returns a menu-item by position or name | available | available | yes | yes
IPropParam | DynPropertyParam [GET] | Returns the PropParam objekt of the given DynProperty | read only | not used | yes | yes

Other topics in this chapter

Item

Create

Delete

DynPropertyParam [GET]

DynPropertiesEnum [GET]

DynProperties [GET]

DynProperties [PUT]


Item

Manuel -> Interfaces de programmation -> Modèles d'objet -> ZenMenu -> ZenMenu-Methods -> Item

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns a menu item by position or name of item.

Datatype

Item(VARIANT vPosition) As ZenMenuItem

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

This parameter can either be a numerical value or a string.
Example: 0,1,2,... or "ID_FIRST", "ID_SECOND",...

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

vPosition As Variant

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Sub ItemMenus()

Dim zMenus As ZenMenus 'Parent object
Dim zMenu As ZenMenu 'Child object of ZenMenus
Dim zMenuItem As ZenMenuItem 'Child object of ZenMenu

Set zMenus = MyWorkspace.ActiveDocument.ZenMenus

'Select a main menu
Set zMenu = zMenus.Item(1)

'Select the first item of the main menu
Set zMenuItem = zMenu.Item(0)
Debug.Print "Name of menu item = " & zMenuItem.Name

End Sub


Create

Manuel -> Interfaces de programmation -> Modèles d'objet -> ZenMenu -> ZenMenu-Methods -> Create

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

With this function new context and main menu items can be created.

Datatype

Create(String bsName,Boolean bPulldown) As ZenMenuItem

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

A string which defines the name of the menu item.

Example: "Test"

This parameter can be set true or false without any effect.

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

bsName As String

bPulldown As Boolean

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Sub CreateMenuItem()

Dim zMenus As ZenMenus 'Parent object
Dim zMenu As ZenMenu 'Child object of ZenMenus
Dim zMenuItem As ZenMenuItem 'Child object of ZenMenu

Set zMenus = MyWorkspace.ActiveDocument.ZenMenus

'Select a context or main menu
Set zMenu = zMenus.Item(0)

'Create an item with the name "Test" in the selected menu
Set zMenuItem = zMenu.Create("Test", True)

End Sub


Delete

Manuel -> Interfaces de programmation -> Modèles d'objet -> ZenMenu -> ZenMenu-Methods -> Delete

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

With this function a menu item can be deleted.

Datatype

Delete(String bsName) As Boolean

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

A string which defines the name of the menu item.

Example: "ID_FIRST"

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

bsName As String

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Sub DeleteMenuItem()

Dim zMenus As ZenMenus 'Parent object
Dim zMenu As ZenMenu 'Child object of ZenMenus
Dim deleted As Boolean

Set zMenus = MyWorkspace.ActiveDocument.ZenMenus

'Select a context or main menu
Set zMenu = zMenus.Item(1)

'Delete a main menu item and return true or false for deleted or not deleted
deleted = zMenu.Delete("ID_FIRST")
Debug.Print "Deleted = " & deleted

End Sub


DynPropertyParam [GET]

Manuel -> Interfaces de programmation -> Modèles d'objet -> ZenMenu -> ZenMenu-Methods -> DynPropertyParam [GET]

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

DynPropertyParam [GET](BSTR bsPath) As PropParam

Availability

Environment | Available
Editor | read only
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


DynPropertiesEnum [GET]

Manuel -> Interfaces de programmation -> Modèles d'objet -> ZenMenu -> ZenMenu-Methods -> DynPropertiesEnum [GET]

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

DynPropertiesEnum(String bsPath) As VARIANT

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes

Parameters

A String which defines the entry point to get out all available properties of the object.

A blank String like that returns the first layer of properties:

DynPropertiesEnum("")

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

bsPath As String

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Sub ReadDynProps()
End Sub


DynProperties [GET]

Manuel -> Interfaces de programmation -> Modèles d'objet -> ZenMenu -> ZenMenu-Methods -> DynProperties [GET]

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

DynProperties(String bsPath) As VARIANT

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

A String which defines the Property.

Example: "NetAktive"

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

bsPath As String

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Sub GetDynProp()
'Sample: GSet the Network Aktive Flag of the Project.
If MyWorkspace.ActiveDocument.DynProperties("NetActive") = True Then
'read the server - computername...
Debug.Print "Server: " & MyWorkspace.ActiveDocument.DynProperties("NetServer")
End If
End Sub


DynProperties [PUT]

Manuel -> Interfaces de programmation -> Modèles d'objet -> ZenMenu -> ZenMenu-Methods -> DynProperties [PUT]

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

DynProperties (String bsPath,VARIANT vValue) As void

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

A String which defines the Property.

Example: "NetAktive"

Returns a variant value depending to the property, it can be a boolean, a long, or a whole object.

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

bsPath As String

vValue As Variant

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Sub SetDynProp()
End Sub


ZenMenu-Dynamic properties

Manuel -> Interfaces de programmation -> Modèles d'objet -> ZenMenu -> ZenMenu-Dynamic properties

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Dynproperties

Menu

Other topics in this chapter

Menu


Menu

Manuel -> Interfaces de programmation -> Modèles d'objet -> ZenMenu -> ZenMenu-Dynamic properties -> Menu

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Type

VBA/VSTA Name

Display Name

Description

VT_BOOL

Pulldown

Pulldown

"With this property you have the opportunity to select wheter the menu is a main or a context menu.
TRUE = It's a main menu, FALSE = It's a context menu. "

VT_BSTR

Notes

Notes

With this property you have the opportunity to get/set notes from a menu.

VT_BSTR

Name

Nom

Nom unique du menu.
Par défaut : Nouveau menu principal x ou nouveau menu contextuel x (où x est un nombre consécutif).

Attention : Cette propriété n’est pas disponible aux fins de la commutation de langue.

Plus de détails dans l’aide en ligne.

ZT_SCHRIFT

Font

Police

Type de police des menus. Valide pour toutes les entrées de menu.

Plus de détails dans l’aide en ligne.

ZT_COLOR

TextColor

Couleur du texte

Couleur du texte pour le menu sélectionné.

Plus de détails dans l’aide en ligne.

ZT_COLOR

BackColor

Couleur d'arrière-plan

Couleur d’arrière-plan pour le menu sélectionné.

Plus de détails dans l’aide en ligne.

ZT_AKZ

SystemModelGroup

Groupes d'équipements

Lie l’élément à un modèle d’équipement. Cliquez sur le bouton ... pour ouvrir la boîte de sélection d’un groupe d’équipements.
L'affichage du groupe d’équipements sélectionné inclut également les niveaux supérieurs à ce groupe. Les niveaux sont séparés par un point dans l’affichage.

Dans le cas d’une sélection multiple, les groupes d’équipements individuels sont séparés par un point-virgule (;).

Plus de détails dans l’aide en ligne.


ZenMenuItem

Manuel -> Interfaces de programmation -> Modèles d'objet -> ZenMenuItem

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

With an object of this type items of a context menu and main menu submenus can be edited, deleted, created,...

Availability

Environment | Available
Editor | available
Runtime | read only
VBA | yes
VSTA | yes

Examples

C#

VB.NET

VB.NET-Syntax

VBA

'This sample creates a context and a main menu with one item each.
'The main menu item can execute a set value function.
'The context menu item can execute a vba makro.
'Preparation: A variable and a makro have to be available
Sub ZenMenuItem()

Dim zMenus As ZenMenus 'Parent object
Dim zMenu As ZenMenu 'Child object of ZenMenus
Dim zMenuItem As ZenMenuItem 'Child object of ZenMenu

Set zMenus = MyWorkspace.ActiveDocument.ZenMenus

'Create a main menu
Set zMenu = zMenus.Create("Main_1")
zMenu.IsPulldown = True
'Create a main menu item
Set zMenuItem = zMenu.Create("ID_1", True)
'Set text of menu item
zMenuItem.Caption = "First"

'Create a context menu
Set zMenu = zMenus.Create("Context_1")
zMenu.IsPulldown = False
'Create a context menu item
Set zMenuItem = zMenu.Create("id_1", True)
'Set text of menu item
zMenuItem.Caption = "first"

'Projects the set value action at the main menu item
Call setValue(zMenus)
'Projects the makro action at the context menu item
Call setMakro(zMenus)

End Sub

Sub setValue(Menus As ZenMenus)

Dim zVar As Variable 'Variable for the set value function
Dim Menu As ZenMenu 'Child object of ZenMenus
Dim MenuItem As ZenMenuItem 'Child object of ZenMenu

'Select the main menu
Set Menu = Menus.Item(0)
'Select the first main menu item
Set MenuItem = Menu.Item(0)

'Object of variable "test" is assigned
Set zVar = MyWorkspace.ActiveDocument.Variables.Item("test")
'Deactivate the submenus
MenuItem.Popup = False
'Select set value as the action type of the menu item
MenuItem.Type = tpVariable
'The variable of the set value function is assigned via Ids
MenuItem.ActionID = zVar.PvID
'Set the "change by" value to 5
MenuItem.setValue = 5

End Sub

Sub setMakro(Menus As ZenMenus)

Dim zVar As Variable 'Variable for the set value function
Dim Menu As ZenMenu
Dim MenuItem As ZenMenuItem

'Select the context menu
Set Menu = Menus.Item(1)
'Select the first context menu item
Set MenuItem = Menu.Item(0)
'Deactivate the submenus
MenuItem.Popup = False
'Select set value as the action type of the menu item
MenuItem.Type = tpVbaMacro
'Set the Macro via the dynProperties
MenuItem.DynProperties("VBA-Macro") = "Init_Default"

End Sub

Other topics in this chapter

ZenMenuItem-Properties

ZenMenuItem-Methods

ZenMenuItem-Dynamic properties


ZenMenuItem-Properties

Manuel -> Interfaces de programmation -> Modèles d'objet -> ZenMenuItem -> ZenMenuItem-Properties

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description |  | Editor | Runtime | VBA | VSTA
long | ActionID | ID of the variable/rt-function/macro/help-ID |  | available | read only | yes | yes
BSTR | Caption | Caption of the menu-item |  | available | read only | yes | yes
VARIANT_BOOL | Checked | Menu-item has checkbox |  | available | read only | yes | yes
long | Count | Count of defined menu-items |  | read only | read only | yes | yes
VARIANT_BOOL | Enabled | Enables/Disables the menu-item |  | available | read only | yes | yes
BSTR | Guid | Project-GUID by variables of a other project |  | not used | not used | yes | yes
BSTR | HelpFile | Helpfile for execution (Type = tpZenHelp) |  | available | read only | yes | yes
BSTR | HelpTopic | Help-ID for execution (Type = tpZenHelp) |  | available | read only | yes | yes
long | ID | Returns the unique ID for the menu-item |  | read only | read only | yes | yes
long | MenuID | Returns the unique ID for the menu | read only |  | read only | yes |  | yes
BSTR | Name | Unique Name of the menu-item |  | available | read only | yes | yes
IZenMenuItem | Parent | Parent-object |  | read only | read only | yes | yes
long | ParentID | Returns the unique ID for the parent menu-item |  | read only | read only | yes | yes
short | Password | Password-level for execution |  | available | read only | yes | yes
BSTR | Picture | Bitmap-file of the menu-item |  | available | read only | yes | yes
VARIANT_BOOL | Popup | Menu-item contains sub-items |  | available | read only | yes | yes
VARIANT_BOOL | Seperator | Menu-item is a seperator (no execution) |  | available | read only | yes | yes
double | SetValue | Defined SetValue (Type = tpVariable) |  | available | read only | yes | yes
VARIANT_BOOL | ShowSetValueDlg | Show set-value dialog (Type = tpVariable) |  | available | read only | yes | yes
BSTR | Tooltip | Tooltip-Text for the menu-item |  | not used | not used | yes | yes
tpZenMenus | Type | Type of the menu-item (Variable/RtFunction/Help/Macro) |  | available | read only | yes | yes
VARIANT_BOOL | UseCurValue | Use current set-value of the variable (Type = tpVariable) |  | available | read only | yes | yes
VARIANT_BOOL | VarFromElement | Use Variable from the linked element (Type = tpVariable) |  | available | read only | yes | yes
VARIANT_BOOL | Visible | Shows/hides the menu-item |  | available | read only | yes | yes
BSTR | ToolTip | Tooltip-Text for the menu-item |  | not used | not used | yes | yes

Other topics in this chapter

Parent

Count

ID

MenuID

ParentID

Name

Caption

ToolTip

HelpFile

Picture

HelpTopic

Seperator

Enabled

Visible

Checked

Popup

Type

Password

Guid

VarFromElement

UseCurValue

ShowSetValueDlg

ActionID

SetValue


Parent

Manuel -> Interfaces de programmation -> Modèles d'objet -> ZenMenuItem -> ZenMenuItem-Properties -> Parent

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the parent object

Datatype

Parent() As ZenMenuItem

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


Count

Manuel -> Interfaces de programmation -> Modèles d'objet -> ZenMenuItem -> ZenMenuItem-Properties -> Count

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

The method returns the number of available objects. This property is mostly used for the method Item to run through each single object.Hint: For running through entries care, that the minimum is 0 and the maximum is Count-1.

Datatype

Count() As long

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


ID

Manuel -> Interfaces de programmation -> Modèles d'objet -> ZenMenuItem -> ZenMenuItem-Properties -> ID

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the unique ID for the submenu item.

Datatype

ID() As long

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


MenuID

Manuel -> Interfaces de programmation -> Modèles d'objet -> ZenMenuItem -> ZenMenuItem-Properties -> MenuID

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the unique ID for the menu.

Datatype

MenuID() As long

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


ParentID

Manuel -> Interfaces de programmation -> Modèles d'objet -> ZenMenuItem -> ZenMenuItem-Properties -> ParentID

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the unique ID for the parent menu item.

Datatype

ParentID() As long

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


Name

Manuel -> Interfaces de programmation -> Modèles d'objet -> ZenMenuItem -> ZenMenuItem-Properties -> Name

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the name of a menu item.

Datatype

Name() As String

Availability

Environment | Available
Editor | available
Runtime | read only
VBA | yes
VSTA | yes


Caption

Manuel -> Interfaces de programmation -> Modèles d'objet -> ZenMenuItem -> ZenMenuItem-Properties -> Caption

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the text of a menu item.

Datatype

Caption() As String

Availability

Environment | Available
Editor | available
Runtime | read only
VBA | yes
VSTA | yes


ToolTip

Manuel -> Interfaces de programmation -> Modèles d'objet -> ZenMenuItem -> ZenMenuItem-Properties -> ToolTip

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

ToolTip() As BSTR

Availability

Environment | Available
Editor | not used
Runtime | not used
VBA | yes
VSTA | yes


HelpFile

Manuel -> Interfaces de programmation -> Modèles d'objet -> ZenMenuItem -> ZenMenuItem-Properties -> HelpFile

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

A helpfile can be set via a case sensitive string (directory + file).Hint: To set this property the action typ of the menu item should be set to help.

Datatype

HelpFile() As String

Availability

Environment | Available
Editor | available
Runtime | read only
VBA | yes
VSTA | yes


Picture

Manuel -> Interfaces de programmation -> Modèles d'objet -> ZenMenuItem -> ZenMenuItem-Properties -> Picture

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

A bitmap can be set via a string (directory + file).Hint: A bitmap can only be set at a context menu.

Datatype

Picture() As String

Availability

Environment | Available
Editor | available
Runtime | read only
VBA | yes
VSTA | yes


HelpTopic

Manuel -> Interfaces de programmation -> Modèles d'objet -> ZenMenuItem -> ZenMenuItem-Properties -> HelpTopic

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns or sets the selected chapter for the helpfile. The given parameter is case sensitive!

Datatype

HelpTopic() As String

Availability

Environment | Available
Editor | available
Runtime | read only
VBA | yes
VSTA | yes


Seperator

Manuel -> Interfaces de programmation -> Modèles d'objet -> ZenMenuItem -> ZenMenuItem-Properties -> Seperator

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns if the "seperator" item is set or not.

Datatype

Seperator() As Boolean

Availability

Environment | Available
Editor | available
Runtime | read only
VBA | yes
VSTA | yes


Enabled

Manuel -> Interfaces de programmation -> Modèles d'objet -> ZenMenuItem -> ZenMenuItem-Properties -> Enabled

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns if the menu item is set active or not in the runtime.

Datatype

Enabled() As Boolean

Availability

Environment | Available
Editor | available
Runtime | read only
VBA | yes
VSTA | yes


Visible

Manuel -> Interfaces de programmation -> Modèles d'objet -> ZenMenuItem -> ZenMenuItem-Properties -> Visible

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the state of the "visible" item of a menu.

Datatype

Visible() As Boolean

Availability

Environment | Available
Editor | available
Runtime | read only
VBA | yes
VSTA | yes


Checked

Manuel -> Interfaces de programmation -> Modèles d'objet -> ZenMenuItem -> ZenMenuItem-Properties -> Checked

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns if the "check mark" item is set or not.

Datatype

Checked() As Boolean

Availability

Environment | Available
Editor | available
Runtime | read only
VBA | yes
VSTA | yes


Popup

Manuel -> Interfaces de programmation -> Modèles d'objet -> ZenMenuItem -> ZenMenuItem-Properties -> Popup

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Submenus for a menu item can be set active or inactive.

Datatype

Popup() As Boolean

Availability

Environment | Available
Editor | available
Runtime | read only
VBA | yes
VSTA | yes


Type

Manuel -> Interfaces de programmation -> Modèles d'objet -> ZenMenuItem -> ZenMenuItem-Properties -> Type

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns action type of menu item. Following numbers are allocated to the parameters: tpRtFunction = 1; tpVariable = 2; tpVbaMacro = 3; tpZenHelp = 6.

Datatype

Type() As tpZenMenus

Availability

Environment | Available
Editor | available
Runtime | read only
VBA | yes
VSTA | yes


Password

Manuel -> Interfaces de programmation -> Modèles d'objet -> ZenMenuItem -> ZenMenuItem-Properties -> Password

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the password level of the menu item.Hint: This value can only be set when an action typ is active.

Datatype

Password() As short

Availability

Environment | Available
Editor | available
Runtime | read only
VBA | yes
VSTA | yes


Guid

Manuel -> Interfaces de programmation -> Modèles d'objet -> ZenMenuItem -> ZenMenuItem-Properties -> Guid

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Not in use.

Datatype

Guid() As String

Availability

Environment | Available
Editor | not used
Runtime | not used
VBA | yes
VSTA | yes


VarFromElement

Manuel -> Interfaces de programmation -> Modèles d'objet -> ZenMenuItem -> ZenMenuItem-Properties -> VarFromElement

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the state of the set value "Variable from element" item.Hint: The action type set value has to be activated. This option is only available at context menus.

Datatype

VarFromElement() As Boolean

Availability

Environment | Available
Editor | available
Runtime | read only
VBA | yes
VSTA | yes


UseCurValue

Manuel -> Interfaces de programmation -> Modèles d'objet -> ZenMenuItem -> ZenMenuItem-Properties -> UseCurValue

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the state of the set value "Propose current value" item.Hint: The action type set value has to be activated.

Datatype

UseCurValue() As Boolean

Availability

Environment | Available
Editor | available
Runtime | read only
VBA | yes
VSTA | yes


ShowSetValueDlg

Manuel -> Interfaces de programmation -> Modèles d'objet -> ZenMenuItem -> ZenMenuItem-Properties -> ShowSetValueDlg

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the state of the set value "dialog" item.

Datatype

ShowSetValueDlg() As Boolean

Availability

Environment | Available
Editor | available
Runtime | read only
VBA | yes
VSTA | yes


ActionID

Manuel -> Interfaces de programmation -> Modèles d'objet -> ZenMenuItem -> ZenMenuItem-Properties -> ActionID

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the ID of the chosen action. Depending on the chosen action type the ID of the variable, of the function or of the help chapter (if a string is used it is set to -1) is returned. Assign variable: zMenuItem.ActionID = zVar.PvIDAssign function: zMenuItem.ActionID = zFunc.ID

Datatype

ActionID() As long

Availability

Environment | Available
Editor | available
Runtime | read only
VBA | yes
VSTA | yes


SetValue

Manuel -> Interfaces de programmation -> Modèles d'objet -> ZenMenuItem -> ZenMenuItem-Properties -> SetValue

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the "change by" value of a change value action. Hint: The action type set value has to be activated.

Datatype

SetValue() As double

Availability

Environment | Available
Editor | available
Runtime | read only
VBA | yes
VSTA | yes


ZenMenuItem-Methods

Manuel -> Interfaces de programmation -> Modèles d'objet -> ZenMenuItem -> ZenMenuItem-Methods

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
IZenMenuItem | Create | Creates a new menu-item | available | not used | yes | yes
VARIANT_BOOL | Delete | Deletes the given menu-item | available | not used | yes | yes
void | DynProperties [PUT] | - | available | available | yes | yes
VARIANT | DynProperties [GET] | - | available | available | yes | yes
VARIANT | DynPropertiesEnum [GET] | - | read only | read only | yes | yes
IZenMenuItem | Item | Returns a menu-item by position or name | available | available | yes | yes
IPropParam | DynPropertyParam [GET] | Returns the PropParam objekt of the given DynProperty | read only | not used | yes | yes

Other topics in this chapter

Item

Create

Delete

DynPropertyParam [GET]

DynPropertiesEnum [GET]

DynProperties [GET]

DynProperties [PUT]


Item

Manuel -> Interfaces de programmation -> Modèles d'objet -> ZenMenuItem -> ZenMenuItem-Methods -> Item

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

This function returns a submenu object via position or name.

Datatype

Item(VARIANT vPosition) As ZenMenuItem

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

This parameter can either be a numerical value or a string.
Example: 0,1,2,... or "ID_FIRST", "ID_SECOND",...

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

vPosition As Variant

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Sub ItemMenus()

Dim zMenus As ZenMenus 'Parent object
Dim zMenu As ZenMenu 'Child object of ZenMenus
Dim zMenuItem As ZenMenuItem 'Child object of ZenMenu
Dim zMenuItem_1 As ZenMenuItem 'Child object of ZenMenu

Set zMenus = MyWorkspace.ActiveDocument.ZenMenus

'Select a menu
Set zMenu = zMenus.Item(1)
'Select the first menu item in the main menu
Set zMenuItem = zMenu.Item(0)
'Select the first submenu
Set zMenuItem_1 = zMenuItem.Item(0)
Debug.Print "Name = " & zMenuItem_1.Name

End Sub


Create

Manuel -> Interfaces de programmation -> Modèles d'objet -> ZenMenuItem -> ZenMenuItem-Methods -> Create

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

This function creates a new submenu item.

Datatype

Create(String bsName,Boolean bPulldown) As ZenMenuItem

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

A string which defines the name of the submenu item.

Example: "Sub_1"

This parameter can be set true or false without any effect.

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

bsName As String

bPulldown As Boolean

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Sub CreateSubmenu()

Dim zMenus As ZenMenus 'Parent object
Dim zMenu As ZenMenu 'Child object of ZenMenus
Dim zMenuItem As ZenMenuItem 'Child object of ZenMenu
Dim zMenuItem_1 As ZenMenuItem 'Child object of ZenMenu

Set zMenus = MyWorkspace.ActiveDocument.ZenMenus

'Select a context or main menu
Set zMenu = zMenus.Item(0)
'Select the first menu item in the main menu
Set zMenuItem = zMenu.Item(0)
'Create a new submenu
Set zMenuItem_1 = zMenuItem.Create("Test", False)

End Sub


Delete

Manuel -> Interfaces de programmation -> Modèles d'objet -> ZenMenuItem -> ZenMenuItem-Methods -> Delete

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

The function deletes a submenu.

Datatype

Delete(String bsName) As Boolean

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

A string which defines the name of the submenu item.

Example: "Sub_1"

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

bsName As String

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Sub DeleteSubMenus()

Dim zMenus As ZenMenus 'Parent object
Dim zMenu As ZenMenu 'Child object of ZenMenus
Dim zMenuItem As ZenMenuItem 'Child object of ZenMenu
Dim deleted As Boolean

Set zMenus = MyWorkspace.ActiveDocument.ZenMenus

'Select a menu
Set zMenu = zMenus.Item(1)
'Select the first menu item in the main menu
Set zMenuItem = zMenu.Item(0)
'Deletes a submenu
deleted = zMenuItem.Delete("ID_1")
Debug.Print "Deleted = " & deleted

End Sub


DynPropertyParam [GET]

Manuel -> Interfaces de programmation -> Modèles d'objet -> ZenMenuItem -> ZenMenuItem-Methods -> DynPropertyParam [GET]

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

DynPropertyParam [GET](BSTR bsPath) As PropParam

Availability

Environment | Available
Editor | read only
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


DynPropertiesEnum [GET]

Manuel -> Interfaces de programmation -> Modèles d'objet -> ZenMenuItem -> ZenMenuItem-Methods -> DynPropertiesEnum [GET]

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

DynPropertiesEnum(String bsPath) As VARIANT

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes

Parameters

A String which defines the entry point to get out all available properties of the object.

A blank String like that returns the first layer of properties:

DynPropertiesEnum("")

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

bsPath As String

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Sub ReadDynProps()
End Sub


DynProperties [GET]

Manuel -> Interfaces de programmation -> Modèles d'objet -> ZenMenuItem -> ZenMenuItem-Methods -> DynProperties [GET]

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

DynProperties(String bsPath) As VARIANT

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

A String which defines the Property.

Example: "NetAktive"

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

bsPath As String

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Sub GetDynProp()
'Sample: GSet the Network Aktive Flag of the Project.
If MyWorkspace.ActiveDocument.DynProperties("NetActive") = True Then
'read the server - computername...
Debug.Print "Server: " & MyWorkspace.ActiveDocument.DynProperties("NetServer")
End If
End Sub


DynProperties [PUT]

Manuel -> Interfaces de programmation -> Modèles d'objet -> ZenMenuItem -> ZenMenuItem-Methods -> DynProperties [PUT]

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

DynProperties (String bsPath,VARIANT vValue) As void

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

A String which defines the Property.

Example: "NetAktive"

Returns a variant value depending to the property, it can be a boolean, a long, or a whole object.

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

bsPath As String

vValue As Variant

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Sub SetDynProp()
End Sub


ZenMenuItem-Dynamic properties

Manuel -> Interfaces de programmation -> Modèles d'objet -> ZenMenuItem -> ZenMenuItem-Dynamic properties

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Dynproperties

Base menu item

Other topics in this chapter

Base menu item


Base menu item

Manuel -> Interfaces de programmation -> Modèles d'objet -> ZenMenuItem -> ZenMenuItem-Dynamic properties -> Base menu item

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Type

VBA/VSTA Name

Display Name

Description

VT_I2

Password

Niveau d'autorisation

Niveau de mot de passe pour l’exécution de cette entrée de menu.

Plus de détails dans l’aide en ligne.

VT_UI4

Locking

Verrouillage

Sélection d’un verrouillage pour l’entrée de menu.

Plus de détails dans l’aide en ligne.

VT_BOOL

Signature

Signature nécéssaire

Active : Une signature est nécessaire pour actionner l’élément.

Pour des raisons de sécurité, l’utilisateur sera invité à saisir son mot de passe même s’il est déjà connecté. Le texte de la signature est enregistré dans la liste d’événements (CEL) après que l’élément ait été utilisé avec succès.

Attention : seuls les utilisateurs connectés peuvent signer une action. La signature d’actions avec un identifiant temporaire n’est plus possible.

Inactive : aucune signature n’est requise.

(Par défaut) Inactive :

Plus de détails dans l’aide en ligne.

VT_BSTR

SignatureText

Texte de signature

Ce texte est également consigné lors de la signature dans la liste d’événements (CEL) ou est proposé par défaut dans le Runtime si la signature est définie comme modifiable dans les propriétés du projet.

Plus de détails dans l’aide en ligne.

VT_I2

SignatureEditModus

Texte de signature éditable

Définit si le texte de signature peut être édité. Sélectionnez dans la liste déroulante :

  • Appliquer les paramètres projet : Les paramètres de la propriété de projet Texte de signature éditable sont applicables.
  • Oui : Texte modifiables
  • Non : Le texte ne peut pas être édité.

Par défaut : Appliquer les paramètres projet

Plus de détails dans l’aide en ligne

VT_BSTR

Caption

Texte

Intitulé de l’entrée de menu dans le menu. Le nom de l’entrée doit être unique. S’il existe plusieurs entrées comportant le même texte, seule la première entrée de menu est affichée dans le Runtime.

Remarque : Dans la propriété Type d’action, si la valeur Gestion des commandes est sélectionnée dans la liste déroulante, la valeur de la propriété Texte : est préalablement remplie avec $ALL$.

Plus de détails dans l’aide en ligne.

VT_BSTR

Name

ID du menu

Nom de l’entrée du menu.

Sous Gestion des commandes Type action, vous pouvez sélectionner les actions déjà définies dans une liste déroulante.

Plus de détails dans l’aide en ligne.

ZT_FILE

Picture

Fichier graphique

Fichier graphique affiché à gauche.

Plus de détails dans l’aide en ligne.

VT_BOOL

Enabled

Actif

Active : L’entrée de menu est normalement affichée et l’action liée à celle-ci est exécutée lorsque cette entrée est sélectionnée.
Inactive : L’entrée est normalement grisée et l’associée à celle-ci n’est pas exécutée.

Plus de détails dans l’aide en ligne.

VT_I2

Type

Type action

Sélection du type d’action.
Les types d’action disponibles varient selon le type de menu.

Disponibles dans le menu principal et le menu contextuel :

  • Fonction : une fonction est exécutée.
  • Aide : une entrée de l’aide est affichée.
  • Aucune action : Aucune action n’est exécutée.
  • Spécifier valeur prescrite : Une valeur prescrite est définie pour une variable :

Uniquement disponibles dans le menu contextuel :

  • Alarmes : Acquitter : acquitte toutes les alarmes correspondant aux variables liées à l’élément dynamique auquel a trait le menu contextuel.
  • Acquitter clignotement : Arrête le clignotement des éléments liés aux variables liées à l’élément dynamique sur lequel le menu contextuel a été activé. Les alarmes ne sont pas acquittées par cette action.
  • Gestion de commande : Exécute le traitement d’une commande.
  • Macro VBA : une macro VBA est exécutée.

Plus de détails dans l’aide en ligne.

VT_BOOL

Visible

Visible

Définit si l’élément de menu est affiché dans le Runtime.

Par défaut : active

Plus de détails dans l’aide en ligne.

VT_BOOL

Checked

Coche

Une coche est affichée à gauche de l’élément de menu. Il s’agit d’un élément graphique uniquement.

Par défaut : Inactive.

Plus de détails dans l’aide en ligne.

VT_BOOL

Popup-Menu

Sous-menu

L’élément de menu n’exécute aucune fonction, mais ouvre un sous-menu.

Par défaut : Inactive.

Plus de détails dans l’aide en ligne.

VT_BOOL

Seperator

Séparateur actif

Active : Un séparateur horizontal est ajouté à la place d’une entrée de menu. Vous pouvez définir ici la largeur et la couleur de la grille.

Par défaut : Inactive

Plus de détails dans l’aide en ligne.

VT_UI1

SeparatorWidth

Epaisseur

Définit la largeur du séparateur, en pixels.

Par défaut : 0

Plus de détails dans l’aide en ligne.

ZT_COLOR

SeparatorColor

Couleur

Détermine la couleur de remplissage du séparateur. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de couleurs ou de palettes de couleurs. La saisie peut également être effectuée directement dans le champ, sous forme de valeur hexadécimale précédée de #.

Par défaut : noir

Plus de détails dans l’aide en ligne.

ZT_FILE

BackgroundPicture

Fichier graphique

Fichier graphique d’arrière-plan pour l’élément de menu.

Plus de détails dans l’aide en ligne.

VT_I2

BackgroundPicRepres

Alignement

Propriétés du fichier graphique d’arrière-plan de l’élément de menu.
Taille réelle : le fichier graphique est affiché dans sa taille d’origine. L’élément de menu est ajusté à la taille du fichier graphique.
Etiré : le fichier graphique est étiré à la taille de l’élément de menu.
Par défaut : Taille réelle.

Exemple : les menus doivent être utilisés dans un projet avec écran tactile. Les paramètres du système d’exploitation sont utilisés pour définir la taille par défaut des différents éléments de menus. Avec un fichier graphique dans sa taille d’origine, toutefois, vous pouvez définir la taille de chaque élément de menu individuellement.

Plus de détails dans l’aide en ligne.

ZT_FILE

HelpFile

Fichier

Uniquement disponible si, sous l’intitulé Représentation/Type de la section Type action, l’option Aide a été sélectionnée.
Fichier d’aide dont un chapitre sera affiché.
D'autres informations sont disponibles dans l’aide en ligne.

VT_BSTR

HelpCapture

Chapitre

Uniquement disponible si, sous l’intitulé Représentation/Type de la section Type action, l’option Aide a été sélectionnée.
Chapitre d’aide à afficher.
Attention : Cette entrée tient compte des minuscules et majuscules.
Les pages d’aide des éléments liés sont normalement affichées. Si un élément lié ne comporte pas de page d’aide, la page définie ici est affichée.

Plus de détails dans l’aide en ligne.

ZT_FUNCTION

Function

Fonction

Disponible uniquement pour l’action Fonction
Fonction exécutée via l’entrée de menu sélectionnée.
Si plusieurs fonctions doivent être exécutées, un script contenant les fonctions souhaitées doit être créé et un lien vers la fonction d’exécution du script doit être inséré ici.

Plus de détails dans l’aide en ligne.

ZT_VBAMAKRO

VBA-Macro

Macro VBA

Disponible uniquement pour le type d’action Macro VBA :
Macro VBA devant être exécutée via l’entrée de menu sélectionnée.

Plus de détails dans l’aide en ligne.

VT_BOOL

FromElem

Variable de l'élément

Disponible seulement pour les types d’action Écrire valeur prescrite et Menu contextuel :
Active : La variable d’écriture de la valeur prescrite provient de l’élément dynamique.
Inactive : La variable définie pour la valeur prescrite est fournie dans les propriétés de l’entrée de menu.
Par défaut : inactive.

Plus de détails dans l’aide en ligne.

ZT_VARIABLE

Variable

Variable

Disponible uniquement pour le type d’action Écrire valeur prescrite :
Variable dans laquelle une valeur prescrite doit être écrite via l’option de menu sélectionnée.

Plus de détails dans l’aide en ligne.

VT_BOOL

SWDialog

Boîte de dialogue

Disponible uniquement pour le type d’action Écrire valeur prescrite :
Active : Lors de l’exécution de l’action, une boîte de dialogue est ouverte avant la définition de la valeur prescrite, permettant à l’utilisateur de modifier la valeur prescrite avant l’écriture.
Si des claviers de synoptique (par tels que SETVALUEKBD, SETSTRINGKBD ou SETBOOLKBD) sont présents, ils sont automatiquement affichés à la place de la boîte de dialogue.
Inactive : La valeur définie dans les propriétés de l’entrée de menu est directement transmise à l’équipement.
Par défaut : inactive.

Plus de détails dans l’aide en ligne.

VT_BOOL

ActValue

Proposer valeur actuelle

Disponible uniquement pour le type d’action Écrire valeur prescrite :
Active : la valeur actuelle de la variable est proposée en tant que valeur prescrite.
Inactive : la valeur prescrite est directement fournie dans les propriétés de l’entrée de menu.
Par défaut : inactive.

Plus de détails dans l’aide en ligne.

VT_R8

Sollwert

Valeur prescrite

Disponible uniquement pour le type d’action Exécuter valeur prescrite :
Valeur numérique devant être écrite en tant que valeur prescrite dans la variable. Seules les valeurs numériques sont attendues et acceptées. Les valeurs sont reprises avec 6 décimales maximum.
Si la propriété Proposer valeur actuelle est activée, la valeur actuelle de la variable est augmentée (valeur positive) ou diminuée (valeur négative) du nombre correspondant.

Plus de détails dans l’aide en ligne.


ZenMenus

Manuel -> Interfaces de programmation -> Modèles d'objet -> ZenMenus

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

This object manages context and main menus.

Availability

Environment | Available
Editor | available
Runtime | read only
VBA | yes
VSTA | yes

Examples

C#

VB.NET

VB.NET-Syntax

VBA

Sub zenOnMenus()

Dim zMenus As ZenMenus 'Parent object
Dim zMenu As ZenMenu 'Child object
Dim i As Integer 'Loop variable

Set zMenus = MyWorkspace.ActiveDocument.ZenMenus

'Loop creates five context and five main menus
For i = 1 To 5
'Creates a context menu
Set zMenu = zMenus.Create("context_" & i)
'False for context menu
zMenu.IsPulldown = False

'Creates a main menu
Set zMenu = zMenus.Create("main_" & i)
'True for main menu
zMenu.IsPulldown = True
Next i

'Check if all items have been created (Hint: counting starts at 0 until .count-1)
For i = 0 To zMenus.Count - 1
Debug.Print "Item " & i & " = " & zMenus.Item(i).Name
Next i

End Sub

Other topics in this chapter

ZenMenus-Properties

ZenMenus-Methods


ZenMenus-Properties

Manuel -> Interfaces de programmation -> Modèles d'objet -> ZenMenus -> ZenMenus-Properties

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
long | Count | Count of defined menus | read only | read only | yes | yes
IProject | Parent | Parent-object | read only | read only | yes | yes

Other topics in this chapter

Parent

Count


Parent

Manuel -> Interfaces de programmation -> Modèles d'objet -> ZenMenus -> ZenMenus-Properties -> Parent

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the parent object

Datatype

Parent() As Project

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


Count

Manuel -> Interfaces de programmation -> Modèles d'objet -> ZenMenus -> ZenMenus-Properties -> Count

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

The method returns the number of available objects. This property is mostly used for the method Item to run through each single object.Hint: For running through entries care, that the minimum is 0 and the maximum is Count-1.

Datatype

Count() As long

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


ZenMenus-Methods

Manuel -> Interfaces de programmation -> Modèles d'objet -> ZenMenus -> ZenMenus-Methods

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description |  | Editor | Runtime | VBA | VSTA
VARIANT_BOOL | CheckIn | Save module modifications to server (editor). |  | available | not used | yes | yes
VARIANT_BOOL | CheckOut | Allow module modifications (editor). |  | available | not used | yes | yes
IZenMenu | Create | Creates a new menu |  | available | not used | yes | yes
VARIANT_BOOL | Delete | Deletes the given menu |  | available | not used | yes | yes
VARIANT_BOOL | Export | Exports the selected object to a XML file |  | available | not used | yes | yes
VARIANT_BOOL | Get | Get the latest version from the server (editor). |  | available | not used | yes | yes
VARIANT_BOOL | Import | Imports the selected XML file |  | available | not used | yes | yes
VARIANT_BOOL | IsCheckedOut | Returns true when the current module checked out by the current user (editor). |  | read only | not used | yes | yes
VARIANT_BOOL | IsDifferent | Returns true when the local and server version are different (editor). | read only |  | not used | yes |  | yes
VARIANT_BOOL | IsLocked | Returns true when the current module is Locked by another user (editor). |  | read only | not used | yes | yes
IZenMenu | Item | Returns the menu by name or position |  | available | not used | yes | yes
VARIANT_BOOL | SingleExport | Exports the Item with given Name oder Index |  | available | not used | yes | yes
VARIANT_BOOL | UndoCheckOut | Undo module modifications (editor). |  | available | not used | yes | yes

Other topics in this chapter

Item

Create

Delete

Get

CheckOut

CheckIn

UndoCheckOut

IsLocked

IsCheckedOut

IsDifferent

Export

SingleExport

Import


Item

Manuel -> Interfaces de programmation -> Modèles d'objet -> ZenMenus -> ZenMenus-Methods -> Item

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

This function returns a ZenMenu item. If there are more context and main menu items available the counting works like this: Item(0) = "Main_1", Item(1) = "Context_1", Item(2) = "Main_2", …

Datatype

Item(VARIANT vPosition) As ZenMenu

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


Create

Manuel -> Interfaces de programmation -> Modèles d'objet -> ZenMenus -> ZenMenus-Methods -> Create

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Creates a context menu or a main menu depending on the "IsPulldown" property of the zMenu object (False = context menu, True = main menu).

Datatype

Create(String bsName) As ZenMenu

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

A string which defines the name of the menu.

Example: "menu_1"

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

bsName As String

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Sub CreateMenus()

Dim zMenus As ZenMenus 'Parent object
Dim zMenu As ZenMenu 'Child object

Set zMenus = MyWorkspace.ActiveDocument.ZenMenus

'Creates a context menu
Set zMenu = zMenus.Create("menu_1")
zMenu.IsPulldown = False

'Creates a main menu
Set zMenu = zMenus.Create("menu_2")
zMenu.IsPulldown = True

End Sub


Delete

Manuel -> Interfaces de programmation -> Modèles d'objet -> ZenMenus -> ZenMenus-Methods -> Delete

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

The defined menu will be deleted. As this function works via names there are no seperated properties for context or main menu selection. (context and main menu can not have the same names)

Datatype

Delete(String bsName) As Boolean

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

The string defines the name of the menu which should be deleted.

Example: "main_menu"

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

bsName As String

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Sub DeleteMenus()

Dim zMenus As ZenMenus 'Parent object

Set zMenus = MyWorkspace.ActiveDocument.ZenMenus

'Delete context and main menus via their name
zMenus.Delete ("main_menu")
zMenus.Delete ("context_menu")

End Sub


Get

Manuel -> Interfaces de programmation -> Modèles d'objet -> ZenMenus -> ZenMenus-Methods -> Get

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Get the latest version from the server (editor). This option is only working for multi-user projects.

Datatype

Get() As Boolean

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


CheckOut

Manuel -> Interfaces de programmation -> Modèles d'objet -> ZenMenus -> ZenMenus-Methods -> CheckOut

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Allow module modifications (editor). This option is only working for multi-user projects.

Datatype

CheckOut() As Boolean

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


CheckIn

Manuel -> Interfaces de programmation -> Modèles d'objet -> ZenMenus -> ZenMenus-Methods -> CheckIn

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Save module modifications to server (editor). This option is only working for multi-user projects.

Datatype

CheckIn() As Boolean

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


UndoCheckOut

Manuel -> Interfaces de programmation -> Modèles d'objet -> ZenMenus -> ZenMenus-Methods -> UndoCheckOut

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Undo module modifications (editor). This option is only working for multi-user projects.

Datatype

UndoCheckOut() As Boolean

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


IsLocked

Manuel -> Interfaces de programmation -> Modèles d'objet -> ZenMenus -> ZenMenus-Methods -> IsLocked

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns true if modification changes are locked due to a checkout. This option is only working for multi-user projects.

Datatype

IsLocked() As Boolean

Availability

Environment | Available
Editor | read only
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


IsCheckedOut

Manuel -> Interfaces de programmation -> Modèles d'objet -> ZenMenus -> ZenMenus-Methods -> IsCheckedOut

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns true if scripts are checked out. This option is only working for multi-user projects.

Datatype

IsCheckedOut() As Boolean

Availability

Environment | Available
Editor | read only
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


IsDifferent

Manuel -> Interfaces de programmation -> Modèles d'objet -> ZenMenus -> ZenMenus-Methods -> IsDifferent

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns true if local version differs from server (editor) version. This option is only working for multi-user projects.

Datatype

IsDifferent() As VARIANT_BOOL

Availability

Environment | Available
Editor | read only
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


Export

Manuel -> Interfaces de programmation -> Modèles d'objet -> ZenMenus -> ZenMenus-Methods -> Export

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Export settings to an xml file

Datatype

Export(String bsFileName) As Boolean

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

Filename (path) as string of the xml file to export.

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

bsFileName As String

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Private Sub zenOn_ExportImportSettings(ByRef zenOnObject As Object)
End Sub


SingleExport

Manuel -> Interfaces de programmation -> Modèles d'objet -> ZenMenus -> ZenMenus-Methods -> SingleExport

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

SingleExport(VARIANT vIndexOrName,String bsFileName) As Boolean

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


Import

Manuel -> Interfaces de programmation -> Modèles d'objet -> ZenMenus -> ZenMenus-Methods -> Import

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Import settings from an xml file. New settings are added, existing settings will be replaced.

Datatype

Import(String bsFileName) As Boolean

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

Filename (path) as string of the xml file to import.

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

bsFileName As String

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Private Sub zenOn_ExportImportSettings(ByRef zenOnObject As Object)
End Sub


ZenWorkspace

Manuel -> Interfaces de programmation -> Modèles d'objet -> ZenWorkspace

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

This ClassModule represents the actual workspace in the editor.There are several events to react on actions of the projects within the workspace.

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Examples

C#

VB.NET

VB.NET-Syntax

VBA

Option Explicit
Private Declare Function GetKeyState Lib "user32" (ByVal nVirtKey As Long) As Integer
Private Declare Function GetAsyncKeyState Lib "user32" (ByVal vKey As Long) As Integer
Private Const VK_LSHIFT = &HA0
Private Const VK_RSHIFT = &HA1

Private Sub ZenWorkspace_OnPostBuild(ByVal obProject As IProject)
Debug.Print "Runtimefiles for project '" & obProject.Name & "' are created!"
End Sub

Private Sub ZenWorkspace_OnPostTransport(ByVal obProject As IProject, ByVal bSuccess As Boolean)
Debug.Print "Runtimefiles for project '" & obProject.Name & "' were transported succesfully (" & bSuccess & ")!"
End Sub

Private Sub ZenWorkspace_OnPreBuild(ByVal obProject As IProject)
Debug.Print "Runtimefiles for project '" & obProject.Name & "' will be created!"
End Sub

Private Sub ZenWorkspace_OnPreTransport(ByVal obProject As IProject)
Debug.Print "Runtimefiles for project '" & obProject.Name & "' will be transported!"
End Sub

Private Sub ZenWorkspace_OnProjectLoaded(ByVal obProject As IProject)
Debug.Print "Project '" & obProject.Name & "' is loaded!"
End Sub

Private Sub ZenWorkspace_Startup()
If GetAsyncKeyState(VK_LSHIFT) <> 0 Then
SaveSetting "zenOn", "StartupScreen", "ShowOnStartup", "YES"
End If
If GetAsyncKeyState(VK_RSHIFT) <> 0 Then
SaveSetting "zenOn", "StartupScreen", "ShowOnStartup", "YES"
End If
If GetSetting("zenOn", "StartupScreen", "ShowOnStartup", "YES") = "YES" Then
frmStartup.Show
End If
'check vba references...
Call CheckVBAReferences
End Sub

Private Sub ZenWorkspace_OnElementCreated(ByVal obElement As Element)
Dim obMpElem As CD_ManipulationElement

Set obMpElem = New CD_ManipulationElement
Set obMpElem.Parent = Me
Debug.Print "Element of Type " & obElement.Type & " created."

''>> The codeline below will set defaults to elements when they are created.
'obMpElem.SetDefault obElement
''>> The Defaultsettings are located in the classmodule "CD_ManipulationElement"
End Sub

Private Sub ZenWorkspace_OnElementDoubleClicked(ByVal obElement As Element)
'Show Symbol Wizard for linked Symbols,
'if the symbol has outlined properties.
If obElement.Type = 130 Then
'symbol...
If SymbolHasProps(obElement) = True Then
'start wizard...
frmSymbol.InitWizard obElement
frmSymbol.Show
End If
End If
End Sub

Function SymbolHasProps(zELE As Element) As Boolean
Dim v As Variant
Dim i As Integer
Dim s As String
'check DynProperties of Symbol...
v = zELE.DynPropertiesEnum("")
For i = 0 To UBound(v)
s = v(i)
s = Mid(s, 1, InStr(1, s, ",") - 1)
If InStr(1, s, "\") <> 0 Then
SymbolHasProps = True
Exit Function
End If
Next i
End Function

Private Sub ZenWorkspace_OnObjectCreated(ByVal obObject As Object)
'this Event is fired, when a new object is created within a project...
Dim strObjectType As String
Dim obTemplate As Template
Dim obPicture As DynPicture
Dim obFunction As RtFunction
Dim obElement As Element
Dim obUser As User
Dim obRema As Rema
Dim obScript As Script
Dim obEdLimit As EdLimit
Dim obRGMRecipe As RGMRecipe
Dim obRecipe As Recipe
Dim obVarAssignment As VarAssignment
Dim obVariable As Variable
Dim obTimeFunction As TimeFunction
Dim ErrH As Label
On Error GoTo ErrH
'depending to the type of the created object, different actions can be done...
strObjectType = TypeName(obObject)
Select Case strObjectType
Case "ITemplate"
Set obTemplate = obObject
Debug.Print "Template created......> " & obTemplate.Name
Debug.Print "----- in Project......> " & obTemplate.Parent.Parent.Name
Case "IDynPicture"
Set obPicture = obObject
Debug.Print "Picture created.......> " & obPicture.Name
Debug.Print "---- in Project.......> " & obPicture.Parent.Parent.Name
Case "IRtFunction"
Set obFunction = obObject
Debug.Print "Function created......> " & obFunction.Name
Debug.Print "----- in Project......> " & obFunction.Parent.Parent.Name
Case "IElement"
Set obElement = obObject
Debug.Print "Element created.......> " & obElement.Name
Debug.Print "---- in Picture.......> " & obElement.Parent.Parent.Name
Debug.Print "---- in Project.......> " & obElement.Parent.Parent.Parent.Parent.Name
Case "IScript"
Set obScript = obObject
Debug.Print "Script created........> " & obScript.Name
Debug.Print "--- in Project........> " & obScript.Parent.Parent.Name
Case "IRema"
Set obRema = obObject
Debug.Print "REMA created..........> " & obRema.Name
Debug.Print "- in Project..........> " & obRema.Parent.Parent.Name
Case "IUser"
Set obUser = obObject
Debug.Print "User created..........> " & obUser.Name
Debug.Print "- in Project..........> " & obUser.Parent.Parent.Name
Case "IEdLimit"
Set obEdLimit = obObject
Debug.Print "Limit created.........> "
Debug.Print "---- Variable.........> " & obEdLimit.Parent.Name
Debug.Print "-- in Project.........> " & obEdLimit.Parent.Parent.Parent.Name
Case "IRGMRecipe"
Set obRGMRecipe = obObject
Debug.Print "RMG Recipe created....> " & obRGMRecipe.DynProperties("RecipeName")
Debug.Print "----- in RGM Group....> " & obRGMRecipe.Parent.DynProperties("Name")
Debug.Print "------- in Project....> " & obRGMRecipe.Parent.Parent.Parent.Name
Case "IRecipe"
Set obRecipe = obObject
Debug.Print "Recipe created........> " & obRecipe.Name
Debug.Print "--- in Project........> " & obRecipe.Parent.Parent.Name
Case "ITimeFunction"
Set obTimeFunction = obObject
Debug.Print "TimeFunction created..> " & obTimeFunction.Name
Debug.Print "--------- in Project..> " & obTimeFunction.Parent.Parent.Name
Case "IVarAssignment"
Set obVarAssignment = obObject
Debug.Print "VarAssignment created.> " & obVarAssignment.Name
Debug.Print "---------- in Project.> " & obVarAssignment.Parent.Parent.Name
Case "IVariable"
Set obVariable = obObject
Debug.Print "Variable created......> " & obVariable.Name
Debug.Print "----- in Project......> " & obVariable.Parent.Parent.Name
Case Else
Debug.Print strObjectType
End Select
Exit Sub
ErrH:
Debug.Print "[ERROR] " & Err.Number & " - " & Err.Description
Resume Next
End Sub

Other topics in this chapter

ZenWorkspace-Properties

ZenWorkspace-Methods

ZenWorkspace-Events


ZenWorkspace-Properties

Manuel -> Interfaces de programmation -> Modèles d'objet -> ZenWorkspace -> ZenWorkspace-Properties

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description |  | Editor | Runtime | VBA | VSTA
IProject | ActiveDocument |  |  | read only | not used | yes | yes
IApplication | Application |  |  | read only | not used | yes | yes
BSTR | Name |  |  | read only | not used | yes | yes
IApplication | Parent |  |  | read only | not used | yes | yes
ISymbols | Symbols | Returns the Symbols object |  | read only | not used | yes | yes
IDispatch | VBE | Returns the VBE-extensibility object |  | available | not used | yes | yes
BSTR | LoadedWorkspace |  | read only |  | not used | yes |  | yes

Other topics in this chapter

Application

Parent

ActiveDocument

Symbols

Name

VBE

LoadedWorkspace


Application

Manuel -> Interfaces de programmation -> Modèles d'objet -> ZenWorkspace -> ZenWorkspace-Properties -> Application

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the Application object of the editor...

Datatype

Application() As Application

Availability

Environment | Available
Editor | read only
Runtime | not used
VBA | yes
VSTA | yes


Parent

Manuel -> Interfaces de programmation -> Modèles d'objet -> ZenWorkspace -> ZenWorkspace-Properties -> Parent

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the parent object

Datatype

Parent() As Application

Availability

Environment | Available
Editor | read only
Runtime | not used
VBA | yes
VSTA | yes


ActiveDocument

Manuel -> Interfaces de programmation -> Modèles d'objet -> ZenWorkspace -> ZenWorkspace-Properties -> ActiveDocument

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the activated project in the workspace as a project object.

Datatype

ActiveDocument() As Project

Availability

Environment | Available
Editor | read only
Runtime | not used
VBA | yes
VSTA | yes


Symbols

Manuel -> Interfaces de programmation -> Modèles d'objet -> ZenWorkspace -> ZenWorkspace-Properties -> Symbols

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

Symbols() As Symbols

Availability

Environment | Available
Editor | read only
Runtime | not used
VBA | yes
VSTA | yes


Name

Manuel -> Interfaces de programmation -> Modèles d'objet -> ZenWorkspace -> ZenWorkspace-Properties -> Name

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the name of the ClassModule 'MyWorkspace'Always 'MyWorkspace'

Datatype

Name() As String

Availability

Environment | Available
Editor | read only
Runtime | not used
VBA | yes
VSTA | yes


VBE

Manuel -> Interfaces de programmation -> Modèles d'objet -> ZenWorkspace -> ZenWorkspace-Properties -> VBE

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the VBE-extensibility object

Datatype

VBE() As Dispatch

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes


LoadedWorkspace

Manuel -> Interfaces de programmation -> Modèles d'objet -> ZenWorkspace -> ZenWorkspace-Properties -> LoadedWorkspace

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

LoadedWorkspace() As BSTR

Availability

Environment | Available
Editor | read only
Runtime | not used
VBA | yes
VSTA | yes


ZenWorkspace-Methods

Manuel -> Interfaces de programmation -> Modèles d'objet -> ZenWorkspace -> ZenWorkspace-Methods

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
VARIANT_BOOL | ActivateProject | - | available | not used | yes | yes
VARIANT_BOOL | CloseWorkspace | Closes the workspace. | available | not used | yes | yes
VARIANT_BOOL | CopyProject | Creates a copy of the given Project at the given location. | available | not used | yes | yes
VARIANT_BOOL | CreateBackup | Creates a backup of the currently workspace. | available | not used | yes | yes
VARIANT_BOOL | CreateProjectBackup | Create a backup of the given project. | available | not used | yes | yes
VARIANT_BOOL | CreateWorkspace | Creates a new workspace with the given name at the given location. | available | not used | yes | yes
IMDITemplates | GetMDiTemplates | Returns a collection of MDI templates of the specified type (either by name or by index). | available | not used | yes | yes
VARIANT_BOOL | InsertProject | Inserts the given project into the workspace. | available | not used | yes | yes
VARIANT_BOOL | LoadProject | - | available | not used | yes | yes
VARIANT_BOOL | LoadProjectByName | Loads the given project by Name. | available | not used | yes | yes
VARIANT_BOOL | LoadWorkspace | Loads the given workspace file. | available | not used | yes | yes
VARIANT_BOOL | RemoveProject | Removes the given project from the workspace. | available | not used | yes | yes
VARIANT_BOOL | RestoreBackup | Restores the given workspace backup. | available | not used | yes | yes
VARIANT_BOOL | RestoreProjectBackup | Restores the given backup. | available | not used | yes | yes
VARIANT_BOOL | SaveWorkspace | Saves the current workspace. | available | not used | yes | yes
VARIANT_BOOL | SetStartProject | - | available | not used | yes | yes
VARIANT | UnloadedProjects [GET] | Returns a list of all unloaded projects available in the current workspace. | available | not used | yes | yes
VARIANT_BOOL | UnloadProject | - | available | not used | yes | yes
IArvTemplates | GetArvTemplates | Returns a collection of Archive templates (either by name or by index). | available | not used | yes | yes

Other topics in this chapter

LoadProject

LoadProjectByName

UnloadProject

ActivateProject

SetStartProject

CreateWorkspace

LoadWorkspace

SaveWorkspace

CloseWorkspace

CreateBackup

RestoreBackup

InsertProject

CreateProjectBackup

RestoreProjectBackup

RemoveProject

CopyProject

UnloadedProjects [GET]

GetMDiTemplates

GetArvTemplates


LoadProject

Manuel -> Interfaces de programmation -> Modèles d'objet -> ZenWorkspace -> ZenWorkspace-Methods -> LoadProject

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Loads a project in the workspace over its uniqe GUID.

Datatype

LoadProject(String bsGuid) As Boolean

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


LoadProjectByName

Manuel -> Interfaces de programmation -> Modèles d'objet -> ZenWorkspace -> ZenWorkspace-Methods -> LoadProjectByName

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

LoadProjectByName(String bsProjectName) As Boolean

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


UnloadProject

Manuel -> Interfaces de programmation -> Modèles d'objet -> ZenWorkspace -> ZenWorkspace-Methods -> UnloadProject

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Unloads a project in the workspace over its uniqe GUID.

Datatype

UnloadProject(String bsGuid) As Boolean

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


ActivateProject

Manuel -> Interfaces de programmation -> Modèles d'objet -> ZenWorkspace -> ZenWorkspace-Methods -> ActivateProject

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Activates a project in the workspace over its uniqe GUID.

Datatype

ActivateProject(String bsGuid) As Boolean

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


SetStartProject

Manuel -> Interfaces de programmation -> Modèles d'objet -> ZenWorkspace -> ZenWorkspace-Methods -> SetStartProject

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

SetStartProject(String bsGuid) As Boolean

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


CreateWorkspace

Manuel -> Interfaces de programmation -> Modèles d'objet -> ZenWorkspace -> ZenWorkspace-Methods -> CreateWorkspace

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

CreateWorkspace(String bsFileAndLocation) As Boolean

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


LoadWorkspace

Manuel -> Interfaces de programmation -> Modèles d'objet -> ZenWorkspace -> ZenWorkspace-Methods -> LoadWorkspace

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

LoadWorkspace(String bsFileAndLocation) As Boolean

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


SaveWorkspace

Manuel -> Interfaces de programmation -> Modèles d'objet -> ZenWorkspace -> ZenWorkspace-Methods -> SaveWorkspace

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

SaveWorkspace() As Boolean

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


CloseWorkspace

Manuel -> Interfaces de programmation -> Modèles d'objet -> ZenWorkspace -> ZenWorkspace-Methods -> CloseWorkspace

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

CloseWorkspace(Boolean bHideCompileDialog) As Boolean

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


CreateBackup

Manuel -> Interfaces de programmation -> Modèles d'objet -> ZenWorkspace -> ZenWorkspace-Methods -> CreateBackup

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

CreateBackup(String bsFileAndLocation) As Boolean

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


RestoreBackup

Manuel -> Interfaces de programmation -> Modèles d'objet -> ZenWorkspace -> ZenWorkspace-Methods -> RestoreBackup

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

RestoreBackup(String bsFileAndLocation, String bsWorkspaceLocation) As Boolean

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


InsertProject

Manuel -> Interfaces de programmation -> Modèles d'objet -> ZenWorkspace -> ZenWorkspace-Methods -> InsertProject

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

InsertProject(String bsGuid, String bsName, String bsHost) As Boolean

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


CreateProjectBackup

Manuel -> Interfaces de programmation -> Modèles d'objet -> ZenWorkspace -> ZenWorkspace-Methods -> CreateProjectBackup

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

CreateProjectBackup(String bsProjectName, String bsFileAndLocation, String bsDescription, Boolean bOverWrite) As Boolean

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


RestoreProjectBackup

Manuel -> Interfaces de programmation -> Modèles d'objet -> ZenWorkspace -> ZenWorkspace-Methods -> RestoreProjectBackup

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

RestoreProjectBackup(String bsFileAndLocation) As Boolean

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


RemoveProject

Manuel -> Interfaces de programmation -> Modèles d'objet -> ZenWorkspace -> ZenWorkspace-Methods -> RemoveProject

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

RemoveProject(String bsProjectName) As Boolean

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


CopyProject

Manuel -> Interfaces de programmation -> Modèles d'objet -> ZenWorkspace -> ZenWorkspace-Methods -> CopyProject

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

CopyProject(String bsSource, String bsDestinationName) As Boolean

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


UnloadedProjects [GET]

Manuel -> Interfaces de programmation -> Modèles d'objet -> ZenWorkspace -> ZenWorkspace-Methods -> UnloadedProjects [GET]

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

UnloadedProjects() As VARIANT

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


GetMDiTemplates

Manuel -> Interfaces de programmation -> Modèles d'objet -> ZenWorkspace -> ZenWorkspace-Methods -> GetMDiTemplates

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

GetMDiTemplates(VARIANT vType) As MDITemplates

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


GetArvTemplates

Manuel -> Interfaces de programmation -> Modèles d'objet -> ZenWorkspace -> ZenWorkspace-Methods -> GetArvTemplates

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Return a ArvTemplate collection.

Datatype

GetArvTemplates() As IArvTemplates

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

VB.NET

VBA

Examples

C#

VB.NET

VBA

Private Sub GetTemplates()

Dim IArvTemplates As ArvTemplates

Dim IArvTemplate As ArvTemplate

Dim Count As Integer

Dim Ok As Boolean

' --- Auswahl über den Namen

Set IArvTemplates = MyWorkspace.GetArvTemplates()

If Not IArvTemplates Is Nothing Then

Set IArvTemplate = IArvTemplates.Item("Test 3")

Ok = PrintTemplate(IArvTemplate)

End If

' --- Auswahl über den Index

Set IArvTemplates = MyWorkspace.GetArvTemplates()

If Not IArvTemplates Is Nothing Then

Count = IArvTemplates.Count

For i = 0 To Count - 1

Set IArvTemplate = IArvTemplates.Item(i)

Ok = PrintTemplate(IArvTemplate)

Next

End If

End Sub

Private Function PrintTemplate(IArvTemplate As ArvTemplate) As Boolean

If Not IArvTemplate Is Nothing Then

Debug.Print ("Name: " & IArvTemplate.DynProperties("Name"))

Debug.Print ("GUID: " & IArvTemplate.DynProperties("GUID"))

Debug.Print ("ImportPath: " & IArvTemplate.DynProperties("ImportPath"))

Debug.Print ("Folder: " & IArvTemplate.DynProperties("Folder"))

Debug.Print ("Language: " & IArvTemplate.DynProperties("Language"))

Debug.Print ("Description: " & IArvTemplate.DynProperties("Description"))

Debug.Print ("CopaDataTemplate: " & IArvTemplate.DynProperties("CopaDataTemplate"))

PrintTemplate = True

Else

PrintTemplate = False

End If

End Function


ZenWorkspace-Events

Manuel -> Interfaces de programmation -> Modèles d'objet -> ZenWorkspace -> ZenWorkspace-Events

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description |  | Editor | Runtime | VBA | VSTA
void | OnElementCreated |  |  | read only | not used | yes | yes
void | OnElementDeleted |  |  | available | not used | yes | yes
void | OnElementDoubleClicked |  |  | available | not used | yes | yes
void | OnObjectCreated |  |  | available | not used | yes | yes
void | OnPostBackupProject | Event is fired after a project backup has been created. |  | available | not used | yes | yes
void | OnPostBuild | Event is fired after a project is compiled |  | available | not used | yes | yes
void | OnPostRestoreProject | Event is fired after a project backup has been restored. |  | available | not used | yes | yes
void | OnPostTransport | Event is fired after a project is transported |  | available | not used | yes | yes
void | OnPostVSTAUpdate | For internal use only |  | not used | not used | yes | yes
void | OnPreBackupProject | Event is fired before a project backup is about to be created. |  | available | not used | yes | yes
void | OnPreBuild | Event is fired before a project is compiled |  | available | not used | yes | yes
void | OnPreProjectUnload | Event is fired when a project is about to be unloaded (editor only). |  | available | not used | yes | yes
void | OnPreRestoreProject | Event is fired before a project backup is about to be restored. |  | available | not used | yes | yes
void | OnPreTransport | Event is fired before a project is transported |  | available | not used | yes | yes
void | OnPreVSTADebugStart | For internal use only |  | not used | not used | yes | yes
void | OnPreVSTADebugStop | For internal use only |  | not used | not used | yes | yes
void | OnPreVSTAUpdate | For internal use only |  | not used | not used | yes | yes
void | OnProjectLoaded | Event is fired when a project has been loaded (editor only). |  | available | not used | yes | yes
void | OnRTConnect | Event is fired when a remote transport connection has been established. |  | available | not used | yes | yes
void | OnRTConnectionFailed | Event is fired when a connection timeout has occured, and a remote transport connection could not be established. |  | available | not used | yes | yes
void | OnRTConnectionTerminated | Event is fired when a remote transport connection has been terminated. |  | available | not used | yes | yes
void | OnVSTADebugStart | For internal use only |  | not used | not used | yes | yes
void | OnVSTADebugStopped | For internal use only |  | not used | not used | yes | yes
void | OnWorkspaceExit |  |  | available | not used | yes | yes
void | OnWorkspaceStartup |  |  | available | not used | yes | yes
void | OnPostObjectDeleted |  | available |  | not used | yes |  | yes

Other topics in this chapter

OnWorkspaceStartup

OnWorkspaceExit

OnElementCreated

OnElementDeleted

OnElementDoubleClicked

OnPreBuild

OnPostBuild

OnPreTransport

OnPostTransport

OnProjectLoaded

OnPreProjectUnload

OnObjectCreated

OnPostObjectDeleted

OnRTConnect

OnRTConnectionFailed

OnRTConnectionTerminated

OnPreRestoreProject

OnPostRestoreProject

OnPreBackupProject

OnPostBackupProject

OnPreVSTADebugStart

OnVSTADebugStart

OnPreVSTADebugStop

OnVSTADebugStopped

OnPreVSTAUpdate

OnPostVSTAUpdate


OnWorkspaceStartup

Manuel -> Interfaces de programmation -> Modèles d'objet -> ZenWorkspace -> ZenWorkspace-Events -> OnWorkspaceStartup

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

OnWorkspaceStartup() As void

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Private Sub ZenWorkspace_OnWorkspaceStartup()
If GetAsyncKeyState(VK_LSHIFT) <> 0 Then
SaveSetting "zenOn", "StartupScreen", "ShowOnStartup", "YES"
End If
If GetAsyncKeyState(VK_RSHIFT) <> 0 Then
SaveSetting "zenOn", "StartupScreen", "ShowOnStartup", "YES"
End If
If GetSetting("zenOn", "StartupScreen", "ShowOnStartup", "YES") = "YES" Then
frmStartup.Show
End If
'check vba references...
Call CheckVBAReferences
End Sub


OnWorkspaceExit

Manuel -> Interfaces de programmation -> Modèles d'objet -> ZenWorkspace -> ZenWorkspace-Events -> OnWorkspaceExit

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

OnWorkspaceExit() As void

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


OnElementCreated

Manuel -> Interfaces de programmation -> Modèles d'objet -> ZenWorkspace -> ZenWorkspace-Events -> OnElementCreated

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

This event is fired, when a new element is created within a picture.

Datatype

OnElementCreated(Element obElement) As void

Availability

Environment | Available
Editor | read only
Runtime | not used
VBA | yes
VSTA | yes

Parameters

Returns an object of type Element

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

obElement As Element

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Private Sub ZenWorkspace_OnElementCreated(ByVal obElement As Element)
Dim obMpElem As CD_ManipulationElement

Set obMpElem = New CD_ManipulationElement
Set obMpElem.Parent = Me
Debug.Print "Element of Type " & obElement.Type & " created."

''>> The codeline below will set defaults to elements when they are created.
'obMpElem.SetDefault obElement
''>> The Defaultsettings are located in the classmodule "CD_ManipulationElement"
End Sub


OnElementDeleted

Manuel -> Interfaces de programmation -> Modèles d'objet -> ZenWorkspace -> ZenWorkspace-Events -> OnElementDeleted

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

This event is fired, when a element is deleted within a picture.

Datatype

OnElementDeleted(Element obElement) As void

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


OnElementDoubleClicked

Manuel -> Interfaces de programmation -> Modèles d'objet -> ZenWorkspace -> ZenWorkspace-Events -> OnElementDoubleClicked

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

This event is fired, when a element has been double-clicked.

Datatype

OnElementDoubleClicked(Element obElement) As void

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


OnPreBuild

Manuel -> Interfaces de programmation -> Modèles d'objet -> ZenWorkspace -> ZenWorkspace-Events -> OnPreBuild

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

This event is fired, when the runtimefiles for a project will be built.

Datatype

OnPreBuild(Project obProject) As void

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

Returns an object of type Project

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

obProject As Project

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Private Sub ZenWorkspace_OnPreBuild(ByVal obProject As IProject)
Debug.Print "Runtimefiles for project '" & obProject.Name & "' will be created!"
End Sub


OnPostBuild

Manuel -> Interfaces de programmation -> Modèles d'objet -> ZenWorkspace -> ZenWorkspace-Events -> OnPostBuild

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

This event is fired, when the runtimefiles for a project were built.

Datatype

OnPostBuild(Project obProject) As void

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

Returns an object of type Project

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

obProject As Project

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Private Sub ZenWorkspace_OnPostBuild(ByVal obProject As IProject)
Debug.Print "Runtimefiles for project '" & obProject.Name & "' are created!"
End Sub


OnPreTransport

Manuel -> Interfaces de programmation -> Modèles d'objet -> ZenWorkspace -> ZenWorkspace-Events -> OnPreTransport

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

This event is fired, when the runtimefiles should be transported to a remote pc.

Datatype

OnPreTransport(Project obProject) As void

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

Returns an object of type Project

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

obProject As Project

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Private Sub ZenWorkspace_OnPreTransport(ByVal obProject As IProject)
Debug.Print "Runtimefiles for project '" & obProject.Name & "' will be transported!"
End Sub


OnPostTransport

Manuel -> Interfaces de programmation -> Modèles d'objet -> ZenWorkspace -> ZenWorkspace-Events -> OnPostTransport

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

This event is fired, when the runtimefiles have been transported to a remote pc.

Datatype

OnPostTransport(Project obProject, Boolean bSuccess) As void

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

Boolean return value, returns true if the transport was successfully.

Returns an object of type Project

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

bSuccess As Boolean

obProject As Project

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Private Sub ZenWorkspace_OnPostTransport(ByVal obProject As IProject, ByVal bSuccess As Boolean)
Debug.Print "Runtimefiles for project '" & obProject.Name & "' were transported succesfully (" & bSuccess & ")!"
End Sub


OnProjectLoaded

Manuel -> Interfaces de programmation -> Modèles d'objet -> ZenWorkspace -> ZenWorkspace-Events -> OnProjectLoaded

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

This event is fired, when a project was loaded.

Datatype

OnProjectLoaded(Project obProject) As void

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


OnPreProjectUnload

Manuel -> Interfaces de programmation -> Modèles d'objet -> ZenWorkspace -> ZenWorkspace-Events -> OnPreProjectUnload

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

OnPreProjectUnload(Project obProject) As void

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


OnObjectCreated

Manuel -> Interfaces de programmation -> Modèles d'objet -> ZenWorkspace -> ZenWorkspace-Events -> OnObjectCreated

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

This event is fired when a new object is created.A new object could be:

Datatype

OnObjectCreated(Dispatch obObject) As void

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

Object, the type depends to the created object (Variable,Screen,...)

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

obObject As Dispatch

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Private Sub ZenWorkspace_OnObjectCreated(ByVal obObject As Object)
'this Event is fired, when a new object is created within a project...
Dim strObjectType As String
Dim obTemplate As Template
Dim obPicture As DynPicture
Dim obFunction As RtFunction
Dim obElement As Element
Dim obUser As User
Dim obRema As Rema
Dim obScript As Script
Dim obEdLimit As EdLimit
Dim obRGMRecipe As RGMRecipe
Dim obRecipe As Recipe
Dim obVarAssignment As VarAssignment
Dim obVariable As Variable
Dim obTimeFunction As TimeFunction
Dim ErrH As Label
On Error GoTo ErrH
'depending to the type of the created object, different actions can be done...
strObjectType = TypeName(obObject)
Select Case strObjectType
Case "ITemplate"
Set obTemplate = obObject
Debug.Print "Template created......> " & obTemplate.Name
Debug.Print "----- in Project......> " & obTemplate.Parent.Parent.Name
Case "IDynPicture"
Set obPicture = obObject
Debug.Print "Picture created.......> " & obPicture.Name
Debug.Print "---- in Project.......> " & obPicture.Parent.Parent.Name
Case "IRtFunction"
Set obFunction = obObject
Debug.Print "Function created......> " & obFunction.Name
Debug.Print "----- in Project......> " & obFunction.Parent.Parent.Name
Case "IElement"
Set obElement = obObject
Debug.Print "Element created.......> " & obElement.Name
Debug.Print "---- in Picture.......> " & obElement.Parent.Parent.Name
Debug.Print "---- in Project.......> " & obElement.Parent.Parent.Parent.Parent.Name
Case "IScript"
Set obScript = obObject
Debug.Print "Script created........> " & obScript.Name
Debug.Print "--- in Project........> " & obScript.Parent.Parent.Name
Case "IRema"
Set obRema = obObject
Debug.Print "REMA created..........> " & obRema.Name
Debug.Print "- in Project..........> " & obRema.Parent.Parent.Name
Case "IUser"
Set obUser = obObject
Debug.Print "User created..........> " & obUser.Name
Debug.Print "- in Project..........> " & obUser.Parent.Parent.Name
Case "IEdLimit"
Set obEdLimit = obObject
Debug.Print "Limit created.........> "
Debug.Print "---- Variable.........> " & obEdLimit.Parent.Name
Debug.Print "-- in Project.........> " & obEdLimit.Parent.Parent.Parent.Name
Case "IRGMRecipe"
Set obRGMRecipe = obObject
Debug.Print "RMG Recipe created....> " & obRGMRecipe.DynProperties("RecipeName")
Debug.Print "----- in RGM Group....> " & obRGMRecipe.Parent.DynProperties("Name")
Debug.Print "------- in Project....> " & obRGMRecipe.Parent.Parent.Parent.Name
Case "IRecipe"
Set obRecipe = obObject
Debug.Print "Recipe created........> " & obRecipe.Name
Debug.Print "--- in Project........> " & obRecipe.Parent.Parent.Name
Case "ITimeFunction"
Set obTimeFunction = obObject
Debug.Print "TimeFunction created..> " & obTimeFunction.Name
Debug.Print "--------- in Project..> " & obTimeFunction.Parent.Parent.Name
Case "IVarAssignment"
Set obVarAssignment = obObject
Debug.Print "VarAssignment created.> " & obVarAssignment.Name
Debug.Print "---------- in Project.> " & obVarAssignment.Parent.Parent.Name
Case "IVariable"
Set obVariable = obObject
Debug.Print "Variable created......> " & obVariable.Name
Debug.Print "----- in Project......> " & obVariable.Parent.Parent.Name
Case Else
Debug.Print strObjectType
End Select
Exit Sub
ErrH:
Debug.Print "[ERROR] " & Err.Number & " - " & Err.Description
Resume Next
End Sub


OnPostObjectDeleted

Manuel -> Interfaces de programmation -> Modèles d'objet -> ZenWorkspace -> ZenWorkspace-Events -> OnPostObjectDeleted

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

OnPostObjectDeleted(IDispatch obParent, BSTR bsName) As void

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

VB.NET

VBA

Examples

C#

VB.NET

VBA


OnRTConnect

Manuel -> Interfaces de programmation -> Modèles d'objet -> ZenWorkspace -> ZenWorkspace-Events -> OnRTConnect

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

OnRTConnect(Project obProject) As void

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


OnRTConnectionFailed

Manuel -> Interfaces de programmation -> Modèles d'objet -> ZenWorkspace -> ZenWorkspace-Events -> OnRTConnectionFailed

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

OnRTConnectionFailed(Project obProject) As void

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


OnRTConnectionTerminated

Manuel -> Interfaces de programmation -> Modèles d'objet -> ZenWorkspace -> ZenWorkspace-Events -> OnRTConnectionTerminated

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

OnRTConnectionTerminated(Project obProject) As void

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


OnPreRestoreProject

Manuel -> Interfaces de programmation -> Modèles d'objet -> ZenWorkspace -> ZenWorkspace-Events -> OnPreRestoreProject

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

OnPreRestoreProject(String bsGuid, String bsName,String bsFile) As void

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


OnPostRestoreProject

Manuel -> Interfaces de programmation -> Modèles d'objet -> ZenWorkspace -> ZenWorkspace-Events -> OnPostRestoreProject

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

OnPostRestoreProject(String bsGuid, String bsName,String bsFile,Boolean bSuccess) As void

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


OnPreBackupProject

Manuel -> Interfaces de programmation -> Modèles d'objet -> ZenWorkspace -> ZenWorkspace-Events -> OnPreBackupProject

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

OnPreBackupProject(String bsGuid, String bsName,String bsFile) As void

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


OnPostBackupProject

Manuel -> Interfaces de programmation -> Modèles d'objet -> ZenWorkspace -> ZenWorkspace-Events -> OnPostBackupProject

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

OnPostBackupProject(String bsGuid, String bsName,String bsFile,Boolean bSuccess) As void

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


OnPreVSTADebugStart

Manuel -> Interfaces de programmation -> Modèles d'objet -> ZenWorkspace -> ZenWorkspace-Events -> OnPreVSTADebugStart

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

OnPreVSTADebugStart() As void

Availability

Environment | Available
Editor | not used
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


OnVSTADebugStart

Manuel -> Interfaces de programmation -> Modèles d'objet -> ZenWorkspace -> ZenWorkspace-Events -> OnVSTADebugStart

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

OnVSTADebugStart() As void

Availability

Environment | Available
Editor | not used
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


OnPreVSTADebugStop

Manuel -> Interfaces de programmation -> Modèles d'objet -> ZenWorkspace -> ZenWorkspace-Events -> OnPreVSTADebugStop

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

OnPreVSTADebugStop() As void

Availability

Environment | Available
Editor | not used
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


OnVSTADebugStopped

Manuel -> Interfaces de programmation -> Modèles d'objet -> ZenWorkspace -> ZenWorkspace-Events -> OnVSTADebugStopped

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

OnVSTADebugStopped() As void

Availability

Environment | Available
Editor | not used
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


OnPreVSTAUpdate

Manuel -> Interfaces de programmation -> Modèles d'objet -> ZenWorkspace -> ZenWorkspace-Events -> OnPreVSTAUpdate

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

OnPreVSTAUpdate() As void

Availability

Environment | Available
Editor | not used
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


OnPostVSTAUpdate

Manuel -> Interfaces de programmation -> Modèles d'objet -> ZenWorkspace -> ZenWorkspace-Events -> OnPostVSTAUpdate

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

OnPostVSTAUpdate() As void

Availability

Environment | Available
Editor | not used
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


Liste de références croisées

Manuel -> Liste de références croisées

La liste de références croisées fournit une vue d'ensemble des liens entre modules et fonctions.
zenon fournit deux instruments à cette fin :

  • Liste de références croisées : affiche les liens du projet sous forme de table. La liste de références croisées est toujours associée au projet actuellement actif.
  • Analyse du projet : analyse l'utilisation des fonctions et variables et localise les fonctions ou variables inutilisées

tutorial Informations concernant la licence

Composante de la licence standard d’Editor et du Runtime.

Autres sujets abordés dans ce chapitre

Liste de références croisées

Analyse du projet


Liste de références croisées

Manuel -> Liste de références croisées -> Liste de références croisées

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

La liste de références crée un aperçu du projet sous forme de table pour le projet actuellement actif.
Toutes les relations enter les variables, les fonctions, les synoptiques, les recettes, etc. sont affichées à des fins de documentation et de traçabilité. Par exemple, il est possible de voir quelles variables sont utilisées dans les différents synoptiques dans la liste de références croisées.

Autres sujets abordés dans ce chapitre

Général

Le menu contextuel


Général

Manuel -> Liste de références croisées -> Liste de références croisées -> Général

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Pour afficher la liste de références croisées, dans le menu Options, sélectionnez l'entrée Liste de références croisées. La liste de références croisées s'affiche à l'écran.

Pour obtenir des informations concernant un module particulier, il suffit de développer le nœud correspondant. Les possibilités suivantes sont disponibles :

Module

Éléments pouvant être affichés :

Serveur d'archives
  • Fonctions
  • Variables

Synoptiques
  • Éléments
  • Menus
  • Symboles : Trois bibliothèques de symboles différentes sont disponibles dans zenon. Pour plus de détails, reportez-vous au chapitre Bibliothèque de symboles.
  • Variables

Éléments
  • Synoptiques
  • Variables

Module Extended Trend
  • Fonctions

Fonctions

  • Serveur d'archives
  • Appel fonction auto.
  • Synoptiques
  • Bouton Bitmap
  • Bouton
  • Menus
  • PFS
  • Matrice de réaction
  • Scripts
  • Bouton invisible
  • Valeur limite de la variable
  • Commande temporisée

Menus
  • Synoptiques
  • Fonctions
  • Variables

PFS
  • Fonctions
  • Variables

Matrice de réaction
  • Fonctions
  • Variables

Recipe Group Manager
  • Groupes de recettes
  • Variables

Scripts
  • Fonctions

Recettes standard
  • Variables

Symboles
  • Synoptiques
  • Symboles : Symboles : Trois bibliothèques de symboles différentes sont disponibles dans zenon. Pour plus de détails, reportez-vous au chapitre Bibliothèque de symboles.

Variables
  • Serveur d'archives
  • Synoptiques
  • Éléments
  • Extended Trend
  • Mathématiques
  • Menus
  • PFS
  • Matrice de réaction
  • Recipe Group Manager
  • Recettes standard
  • Attributions

Commande temporisée
  • Fonctions

Attributions
  • Variables

Lorsque vous cliquez sur l'un des objets pris en charge, des informations relatives à celui-ci s'affichent dans la liste dans la section droite de la fenêtre.

Les informations relatives au thème sélectionné sont affichées dans la zone de liste. Le contenu peut être trié et filtré.

  • Trier : Cliquez sur l'en-tête de la colonne pour trier la colonne ; cliquez une deuxième fois pour inverser l'ordre de tri.
  • Filtre : Saisissez les critères de recherche dans le champ de filtre situé dans l'en-tête de la colonne. Plusieurs filtres peuvent être enchaînés.
    Pour supprimer le filtre : Supprimez le contenu du champ de filtre.

Autres sujets abordés dans ce chapitre

Bibliothèques de symboles


Bibliothèques de symboles

Manuel -> Liste de références croisées -> Liste de références croisées -> Général -> Bibliothèques de symboles

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Veuillez noter que lors de l'utilisation de bibliothèques de symboles, zenon établit une distinction entre les trois bibliothèques de symboles différentes :

Bibliothèques de symboles

Propriété

Bibliothèque générale de symboles

Les symboles sont disponibles dans tous les projets. Le nœud Bibliothèque de symboles globale se trouve dans le gestionnaire de projets, sous les projets actuellement chargés.

Intitulé lors de la création d’un lien sur le synoptique : [groupe de symboles]/[nom du symbole]

Règles :

  • La boîte de dialogue sélection de variables affiche tous les projets de l'espace de travail pour la création de liens.
  • Ces symboles sont enregistrés dans le dossier de programme de zenon, et sont uniquement mis à jour lors du démarrage d'Editor. Ces symboles ne sont pas enregistrés durant la sauvegarde du projet.
  • Les verrouillages et les alias de la fonction CAL ne peuvent pas être configurés.
    Avertissement : Si les symboles contenant des verrouillages ou des alias sont ajoutés, ces paramètres sont supprimés.

Bibliothèque de symboles du projet global

Les symboles sont disponibles dans tous les projets de l’espace de travail.

Intitulé lors de la création d’un lien sur le synoptique : Projet global [Nom du symbole]

Règles :

  • Les symboles copiés dans la bibliothèque de symboles du projet global conservent leurs liens de variables sans modification.
  • La boîte de dialogue sélection de variables affiche tous les projets de l'espace de travail pour la création de liens. Les variables liées sont placées devant le nom du projet correspondant.
  • Le nom de la Variable peut être modifié dans la fenêtre des propriétés. Ainsi, par exemple, le préfixe peut être supprimé avec l'origine du projet.
  • Les symboles sont également sauvegardés lors de la sauvegarde d'un projet.
  • Les verrouillages et les alias de la fonction CAL ne peuvent pas être configurés.
    Avertissement : Si les symboles contenant des verrouillages ou des alias sont ajoutés, ces paramètres sont supprimés.

Bibliothèque de symboles du projet

Les symboles sont uniquement disponibles dans le projet actuel.

Intitulé lors de la création d’un lien sur le synoptique : [Nom du symbole]

Règles :

  • Les symboles sont enregistrés dans le dossier du projet. La bibliothèque de symboles du projet se trouve dans le projet actuel, dans le nœud Synoptiques, et est sauvegardée lors de la sauvegarde du projet.
  • Les verrouillages et les alias de la fonction CAL peuvent être configurés. Ces propriétés sont également conservées lors de l'ajout de symboles.

Copying of symbols between libraries

Symbols can be copied with Drag&Drop .
Dans ce cas, les considérations suivantes s'appliquent :

  • Only symbols of the first level of the tree can be copied.
  • Groups and folders cannot be copied.
  • If there are already names of symbols in the target library, the names of the added symbols are automatically renamed.
    Renaming is carried out by adding an underscore and an ordinal number, for example: Calibrator_1.
  • Copying between libraries is only possible to a limited extent.

Overview of copying between symbol libraries using Drag&Drop:

Copying using Drag&Drop possible | Bibliothèque générale de symboles | Bibliothèque de symboles du projet global | Bibliothèque de symboles du projet
Bibliothèque générale de symboles | -- | + | --
Bibliothèque de symboles du projet global | -- | -- | +
Bibliothèque de symboles du projet | -- | + | --

Légende :

  • +: copying possible
  • --: copying not possible


Le menu contextuel

Manuel -> Liste de références croisées -> Liste de références croisées -> Le menu contextuel

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

La liste de références croisées fournit différentes fonctionnalités :

  • Imprimer la liste : Imprime le contenu de la zone de liste contenant les informations sélectionnées.
  • Rechercher un élément dans la liste : Ouvre une boîte de dialogue permettant de rechercher un élément précis.
  • Appel de fonction: Ouvre une boîte de dialogue contenant une liste des fonctions définies.
  • Utilisation des variables : Ouvre une boîte de dialogue contenant une liste des variables définies.
  • Variables inutilisées : Affiche la totalité des variables inutilisées dans la zone de liste.
  • Fonctions inutilisées : Affiche la totalité des fonctions inutilisées dans la zone de liste.
  • Polices inutilisées : Affiche la totalité des polices inutilisées dans la zone de liste.
  • Textes utilisés dans les synoptiques : Affiche les textes utilisés dans les synoptiques.
  • Sélectionner des éléments dans la liste : Ouvre une boîte de dialogue permettant de sélectionner un ou plusieurs éléments dans la liste.
  • Aide : Ouvre l'aide en ligne.
  • Supprimer : Supprime les éléments non utilisés (variables, fonctions et polices de caractères).
    Affichée uniquement en présence d'éléments pouvant être supprimés

Pour exécuter une des fonctions :

  1. Attribuez le focus à la fenêtre de la liste
  2. Cliquez dessus avec le bouton droit de la souris
  3. Sélectionnez la fonction de votre choix dans le menu contextuel

Autres sujets abordés dans ce chapitre

Imprimer la liste

Rechercher un élément dans la liste

Appels fonction

Utilisation variable

Variables / fonctions / polices inutilisées

Sélection d'éléments dans la liste


Imprimer la liste

Manuel -> Liste de références croisées -> Liste de références croisées -> Le menu contextuel -> Imprimer la liste

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Sélectionnez la commande Imprimer la liste dans le menu contextuel pour ouvrir la boîte de dialogue standard de sélection d'une imprimante et des options d'impression.


Rechercher un élément dans la liste

Manuel -> Liste de références croisées -> Liste de références croisées -> Le menu contextuel -> Rechercher un élément dans la liste

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Sélectionnez la commande Rechercher un élément dans liste dans le menu contextuel pour ouvrir la boîte de dialogue suivante :

Paramètres

Description

Rechercher

Saisie d'une chaîne de caractères.

OK

Appliquer les paramètres de recherche et ferme la boîte de dialogue. Le premier élément de la liste correspondant à l'expression de recherche est affiché. Une correspondance à partir du premier caractère est recherchée.

Exemple :
Nom d'élément Effectuer une recherche sur W renvoie Wizard_10. Effectuer une recherche sur Z ne renvoie pas cet élément.

Annuler

Discards all changes and closes the dialog.

Aide

Ouvre l'aide en ligne.


Appels fonction

Manuel -> Liste de références croisées -> Liste de références croisées -> Le menu contextuel -> Appels fonction

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Sélectionner la commande Appel fonction dans le menu contextuel affiche la boîte de dialogue suivante, dans laquelle sont listées toutes les fonctions définies pour le projet actuel :

Un élément peut être sélectionné. Cliquez sur OK pour afficher l'élément et toutes ses occurrences dans la liste de références croisées.


Utilisation variable

Manuel -> Liste de références croisées -> Liste de références croisées -> Le menu contextuel -> Utilisation variable

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Sélectionnez la commande Utilisation des variables dans le menu contextuel pour ouvrir la boîte de dialogue contenant toutes les variables utilisées.

Un élément peut être sélectionné. Cliquez sur OK pour afficher l'élément et toutes ses occurrences dans la liste de références croisées.


Variables / fonctions / polices inutilisées

Manuel -> Liste de références croisées -> Liste de références croisées -> Le menu contextuel -> Variables / fonctions / polices inutilisées

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Si des éléments actuellement inutilisés dans le projet sont affichés, le menu contextuel comporte une entrée de menu Supprimer supplémentaire. Cette commande permet de sélectionner et supprimer des éléments de la liste. Ceci est possible pour les variables, les fonctions et les polices.

attention Attention

L'affichage des objets non utilisés est défini sur la base des relations internes. L'utilisation dans des symboles, via m'interface de programmation dans Process Gateway, dans zenon Logic ou dans d'autres composants externes n'est pas prise en compte.

Vérifiez toujours les autres utilisations possibles avant de supprimer un élément, et réalisez toujours une copie de sauvegarde !

Remarque : Les variables et fonctions inutilisées peuvent également être réunies dans une liste et gérées à l'aide de la fonction d'd'analyse de projet.


Sélection d'éléments dans la liste

Manuel -> Liste de références croisées -> Liste de références croisées -> Le menu contextuel -> Sélection d'éléments dans la liste

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Sélectionnez la commande Sélectionner éléments liste dans le menu contextuel pour ouvrir la boîte de dialogue de recherche dans la liste.

Paramètres

Description

de - à

Active : Une recherche d'éléments commençant par certaines lettres est effectuée. Sélectionnez, dans les listes déroulantes, la plage de premières lettres de l'alphabet :

  • De : première lettre de la plage
  • À : dernière lettre de la plage

Tous les éléments dont la première lettre est comprise dans la plage définie sont affichés. La recherche se déroule toujours de A à Z.

Tous les éléments commençant par...

Active : Une recherche d'éléments commençant par une séquence de caractères données est effectuée.

OK

Applique les règles de recherche, ferme la boîte de dialogue et affiche les éléments trouvés dans la liste en surbrillance.

Annuler

Discards all changes and closes the dialog.

Aide

Ouvre l'aide en ligne.


Analyse du projet

Manuel -> Liste de références croisées -> Analyse du projet

La fonction d'analyse du projet analyse l'utilisation des éléments dans le projet.

Elle procède comme suit :

  • le lien avec les autres éléments est analysé
  • vous pouvez rechercher les éléments inutilisés

Actuellement, la fonction d'analyse de projets est disponible pour les éléments suivants :

  • Fonctions
  • Scripts
  • Variables

Analyse de l'utilisation d'un élément

Pour analyser un élément :

  1. Sélectionnez la variable ou la fonction souhaitée dans la vue de détail
  2. Dans le menu contextuel, sélectionnez la commande Utilisation des variables, Utilisation des fonctions ou Utilisation des scripts.

    La liste de résultats apparaît dans une fenêtre à part

  3. Vous pouvez accéder instantanément à un élément par le biais des menus contextuels

Localisation d'éléments inutilisés :

Pour localiser les éléments inutilisés

  1. Sélectionnez la variable ou la fonction du nœud dans l'arborescence du projet
  2. Dans le menu contextuel, sélectionnez la commande Afficher les fonctions inutilisées, Afficher les variables inutilisées ou Afficher les scripts inutilisés.

    La liste de résultats apparaît dans une fenêtre à part

  3. Vous pouvez accéder instantanément à un élément, et le supprimer si nécessaire, par le biais des menus contextuels

attention Attention

Les éléments suivants ne peuvent pas être localisés par le biais de l'analyse de projet :

  • Variables utilisées uniquement dans VBA ou VSTA
  • Variables utilisées dans les synoptiques de type Report Generator (fonction de rapport)

Avant de supprimer des éléments, vous devez vous assurer que les variables devant être supprimées sont utilisées dans VBA/VSTA ou dans les fonctions de rapport.

Autres sujets abordés dans ce chapitre

Liste de résultats


Liste de résultats

Manuel -> Liste de références croisées -> Analyse du projet -> Liste de résultats

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Les résultats des différents procédés d'analyse sont affichés dans une liste, dans une fenêtre à part, dans l'analyse du projet. Cette fenêtre s'affiche automatiquement, si elle n'est pas déjà active, au terme du procédé d'analyse. Les résultats peuvent être utilisés de deux manières :

  • Analyse de l'utilisation dans le projet : accès aux éléments liés
  • Localisation d'éléments inutilisés : accès aux éléments affichés et suppression des éléments, si nécessaire

Analyse de l'utilisation des éléments

Les résultats de l'analyse du projet sont affichés dans une liste.

Cette liste contient :

  • Le nom du projet
  • Le module
  • Le nom des éléments liés

Pour accéder à un élément affiché :

  1. Sélectionnez l'élément
  2. Sélectionnez l'option de menu Accéder à l'élément lié dans le menu contextuel
  3. L'élément lié est surligné dans la vue de détail du nœud du module

Localisation d'éléments inutilisés :

Les résultats de la recherche d'éléments inutilisés sont fournis sous forme de liste.

Cette liste contient :

  • Le nom du projet
  • Le module
  • Le nom des éléments inutilisés

Accès à l'élément

Pour accéder à un élément affiché :

  1. Sélectionnez l'élément
  2. Sélectionnez l'option de menu Accéder à l'élément lié dans le menu contextuel
  3. L'élément lié est surligné dans la vue de détail du nœud du module

Suppression d'éléments

Pour supprimer un ou plusieurs éléments :

  1. Sélectionnez les éléments souhaités (sélection multiple possible).
  2. Dans le menu contextuel, sélectionnez la commande Supprimer les éléments sélectionnés.
  3. Les éléments sont supprimés du projet après affichage d'un message de confirmation


Liste d’événements (CEL)

Manuel -> Liste d’événements (CEL)

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

La liste d’événements (CEL) permet de consigner les événements du système et les saisies de l’utilisateur, par exemple :

  • Acquittement d’alarme
  • Supprimer les alarmes
  • Valeur prescrite
  • Envoi de recettes
  • Modifier la recette
  • Données d’archive
  • Action de l’utilisateur
  • Action du réseau

Les entrées sont insérées dans la langue dans laquelle s’exécute le Runtime de zenon.

tutorial Informations concernant la licence

Composante de la licence standard d’Editor et du Runtime.

Autres sujets abordés dans ce chapitre

Configurer la liste CEL

Fonctions

Utilisation dans le Runtime


Configurer la liste CEL

Manuel -> Liste d’événements (CEL) -> Configurer la liste CEL

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

La gestion de la liste d’événements intervient par le biais de synoptiques de type Liste d’événements et Filtre de liste d’événements, dans le Runtime.

Editor

Pour afficher et filtrer les événements dans le Runtime, procédez comme suit dans Editor :

  • Configurez un synoptique de type Liste d’événements

Vous pouvez, en outre :

  • Contrôler l’affichage d’événements via un filtre
  • Avec un synoptique de type Filtre de liste d’événements, adapter le filtre disponible dans le Runtime

Runtime

Pour configurer le fonctionnement dans le Runtime, les fonctions suivantes sont utilisées :

  • Appel de synoptique de type filtre de CEL
  • Appel de synoptique de type filtre de CEL
  • Les fonctions de la liste CEL de zenon
  • Utilisation d’un synoptique de type filtre de liste CEL

Autres sujets abordés dans ce chapitre

Créer un synoptique de type CEL

Créer un synoptique de type filtre de liste CEL

Définir des événements pour la liste CEL

Configuration de la liste CEL à l’aide de filtres

Buffer circulaire de la liste CEL


Créer un synoptique de type CEL

Manuel -> Liste d’événements (CEL) -> Configurer la liste CEL -> Créer un synoptique de type CEL

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Créer un synoptique de type Liste d’événements

Un synoptique de liste d’événements permet de consigner et d’afficher les événements du système et l’activité des utilisateurs dans le Runtime. Les entrées affichées sont définies par le biais de la configuration. L’affichage peut être modifié à l’aide de filtres lors de la configuration et dans le Runtime. Des fonctions permettent d’exporter et d’imprimer les événements affichés.

Développement

Étapes de création du synoptique :

  1. Créez un nouveau synoptique :

    Dans la barre d’outils ou le menu contextuel du nœud Synoptiques, sélectionnez la commande Nouveau synoptique.
    Un synoptique vide Standard est créé.

  2. Modifiez les propriétés du synoptique :
    1. Nommez le synoptique dans la propriété Nom.
    2. Sélectionnez Liste d’événements dans la propriété Type de synoptique.
    3. Sélectionnez le cadre souhaité dans la propriété Gabarit.
  3. Configurez le contenu du synoptique :
    1. Sélectionnez l’option de menu Éléments de contrôle dans la barre de menus
    2. Sélectionnez Insérer un modèle dans la liste déroulante.
      La boîte de dialogue de sélection de mises en forme prédéfinies s’affiche à l’écran. Certains éléments de contrôle sont insérés dans le synoptique à des positions prédéfinies.
    3. Supprimez les éléments superflus du synoptique.
    4. Si nécessaire, sélectionnez des éléments supplémentaires dans la liste déroulante Éléments. Placez-les aux emplacements souhaités sur le synoptique.
  4. Créez une fonction d’appel de synoptique.

Autres sujets abordés dans ce chapitre

Éléments de contrôle

Personnaliser l’apparence de la liste CEL


Éléments de contrôle

Manuel -> Liste d’événements (CEL) -> Configurer la liste CEL -> Créer un synoptique de type CEL -> Éléments de contrôle

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Insérer un modèle

Paramètres | Description
Insérer un modèle | Ouvre la boîte de dialogue de sélection de modèle pour le type de synoptique correspondant. Des modèles sont fournis avec zenon, et peuvent également être créés par l’utilisateur. Modèles ajoutent des éléments de contrôle prédéfinis à des positions prédéfinies sur le synoptique. Les éléments qui ne sont pas nécessaires peuvent également être supprimés individuellement après leur création. Les éléments supplémentaires peuvent être sélectionnés dans la liste déroulante, puis insérés dans le synoptique zenon. Les éléments peuvent être déplacés et disposés individuellement sur le synoptique.

Éléments de contrôle

Fenêtre

Paramètre

Description

Liste d’événements

Champ d’affichage de la liste et de ses événements. L’apparence peut être configurée. La configuration des colonnes est effectuée à l’aide du filtre Paramètres des colonnes dans la fonction d’appel de synoptique.

La propriété Paramètres des colonnes liste d'événements, dans les propriétés du projet dans le groupe Liste d'événements, permet de définir les paramètres de l’exportation aux formats CSV, XML et DBF. Elle sert également de pré-configuration de la fonction d’appel de synoptique.

Définir filtre

Affiche le filtre actuellement sélectionné.

État de la liste d’événements

Affiche l’état de la liste CEL dans le Runtime.

  • Active : Les événements sont consignés indépendamment des paramètres du projet.
  • Inactive : Les événements ne sont pas consignés

Vous pouvez définir l’état à l’aide de la propriété Gestion des événements active. Les modifications prennent effet après le redémarrage du Runtime.

Nombre total

Nombre total d’événements dans la liste

Fonctions de la liste

Paramètre

Description

Filtrer...

Ouvre la boîte de dialogue de définition de filtres.

Arrêter/Reprendre

Contrôle l’ajout de nouveaux événements à la liste lorsqu’elle est affichée :

Arrêter : Même si de nouveaux événements surviennent, aucune nouvelle entrée n’est ajoutée à la liste. Le texte du bouton est changé en Continuer.

Continuer : Les nouvelles entrées sont à nouveau ajoutées à la liste lorsque de nouveaux événements surviennent. Le texte du bouton est changé en Stop. Pour trier les entrées par ordre chronologique, vous devez cliquer sur le bouton de tri.

Trier

Lorsque vous appelez la liste CEL dans le Runtime, les nouvelles entrées ne sont pas triées par ordre chronologique, mais sont ajoutées au bas de la liste.

Cliquez sur le bouton pour retrier la liste.

Pour vous aider à différencier les entrées triées et non triées, vous pouvez leur attribuer des couleurs différentes, par le biais des propriétés texte trié et texte non trié.

Afficher les heures relatives

Active : Les heures relatives sont affichées sans entraîner de perte de focus dans l’entrée sélectionnée.

Imprimer

Imprime la liste telle qu’elle est actuellement affichée.

Imprimer avec boîte de dialogue...

Ouvre les paramètres d’impression avant de lancer l’impression.

Champ de commentaires

Paramètre

Description

Champ de commentaires

Permet à l’utilisateur de saisir un texte libre concernant l’événement sélectionné.

Longueur maximale : 79 caractères

Pour afficher le texte dans la liste CEL, vous devez activer la colonne Commentaires dans la définition des colonnes. Appuyez sur la touche Entrée pour appliquer les modifications. Pour annuler une modification, appuyez sur la touche Échap ou retirez le focus.

Les modifications apportées aux commentaires peuvent être documentées en activant la propriété Commentaires de la liste d'événements.

Navigation

Paramètre | Description
Navigation | Contrôle les éléments de la liste.
Ligne précédente | Remonte d’une ligne.
Ligne suivante | Descend d’une ligne.
Colonne droite | Se déplace d’une colonne vers la droite.
Colonne gauche | Se déplace d’une colonne vers la gauche.
Page précédente | Remonte d’une page.
Page suivante | Descend d’une page.
Page droite | Se déplace d’une page vers la droite.
Page gauche | Se déplace d’une page vers la gauche.

Éléments compatibles

Paramètre | Description
Éléments compatibles | Les éléments de contrôle supprimés ou remplacés par des versions plus récentes restent disponibles, pour des raisons de compatibilité. Ces éléments ne sont pas pris en compte lors de l’insertion automatique de modèles.
Définir filtre | Élément de contrôle statique Win32. Remplacé par un champ de texte dynamique. Pour la description, reportez-vous à l’élément actuel.
Nombre total | Élément de contrôle statique Win32. Remplacé par un champ de texte dynamique. Pour la description, reportez-vous à l’élément actuel.
État de la liste d’événements | Élément de contrôle statique Win32. Remplacé par un champ de texte dynamique. Pour la description, reportez-vous à l’élément actuel.
Champ de commentaires | Élément de contrôle statique Win32. Remplacé par un champ de texte dynamique. Pour la description, reportez-vous à l’élément actuel.
Fermer le cadre | Ferme le cadre sur lequel repose le synoptique. Recommandation : Utilisez la fonction Fermer le cadre pour fermer les cadres. À la fermeture, pour afficher le synoptique affiché avant l’ouverture de la liste CEL, vous devez développer un synoptique de type CEL doté d’un cadre propre.
Afficher les heures relatives | Élément de contrôle statique Win32. Was replaced by a switch element. Pour la description, reportez-vous au nouvel élément.

Profils de filtre

Profils de filtre | Paramètres de filtre pouvant être enregistrés par l’utilisateur dans le Runtime.
Sélection de profil | Sélectionner un profil dans la liste.
Enregistrer | Enregistre un paramètre en ligne dans un profil.
Supprimer | Supprimer le profil sélectionné.

info Informations

Le filtre actuel est affiché avec l’élément de contrôle Afficher le filtre.

Avec :

  • Un filtre de texte, l’expression [Txt] est affichée
  • Un filtre de temps relatif : l’impression se présente comme ceci :
    [T,Rel:%dd,%dh,%dm;%ds]
    Exemple : [T,Rel:1d,0h,0m,0s] égale un jour.


Personnaliser l’apparence de la liste CEL

Manuel -> Liste d’événements (CEL) -> Configurer la liste CEL -> Créer un synoptique de type CEL -> Personnaliser l’apparence de la liste CEL

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

La vue de table de la liste d’événements peut être personnalisée de manière détaillée : Les propriétés suivantes de la liste CEL sont disponibles à cette fin.

Remarque : La couleur du texte des entrées de la liste CEL peut être configurée depuis les propriétés du projet, avec les propriétés du groupe Liste d'événements/Couleurs des entrées de la liste d'événements.

Barres de défilement, en-têtes et grilles

Pour définir la taille et l’apparence des barres de défilement, de l’en-tête ou des grilles du tableau :

  1. Dans le groupe Affichage, activez la propriété Paramètres du graphique étendu.
  2. Définissez les propriétés de votre choix dans les groupes Ascenceurs et En-tête et grille.

info Informations

Si la propriété Fichier graphique est sélectionnée pour la propriété Style d'affichage, tous les éléments pour lesquels aucun fichier graphique n'a été sélectionné sont illustrés avec un dégradé de couleurs. Les éléments graphiques transparents ne peuvent pas être utilisés pour les éléments de contrôle des listes.

Tri dans le Runtime

Pour sélectionner une colonne aux fins du tri dans le Runtime et déterminer la séquence de tri, configurez l'élément graphique pour la ligne d'intitulé :

  1. Sélectionnez le fichier graphique pour la propriété Style d'affichage.
  2. Liez les propriétés Tri croissant et Tri décroissant à un fichier graphique.

    Le fichier graphique sélectionné pour le sens de tri concerné est affiché dans le Runtime, pour autoriser le tri des colonnes concernées.

    • Cliquez sur l'élément graphique pour modifier l'ordre de tri.
    • Cliquez sur l’intitulé d’une colonne pour activer le tri de cette colonne.

Remarque : En cas de tri selon les informations d’horodatage, les entrées comportant les mêmes informations d’horodatage sont également triées en fonction de l’heure de création.

Utilisation de l’en-tête dans le Runtime

Vous pouvez permettre aux utilisateurs d'actionner l'en-tête dans le Runtime. Cela autorise la personnalisation de l'apparence dans le Runtime :

  • Déplacer les colonnes avec glisser-&déplacer
  • Modification de largeur de colonne avec la souris
  • Modification de l’ordre de tri

Pour cela, utilisez les propriétés suivantes :

  • Figer la sélection des colonnes : Contrôle la possibilité de déplacer ou modifier la largeur des colonnes avec la souris dans le Runtime.
    • Active : les colonnes ne peuvent pas être déplacées en effectuant un glisser-déplacer, et leur largeur ne peut pas être modifiée.
    • inactive : Les colonnes peuvent être réorganisées en effectuant un glisser-déplacer&, et la largeur des colonnes peut être modifiée avec la souris
  • Désactiver le tri : Contrôle la possibilité de trier les colonnes du tableau dans le Runtime.
    • Active : Le tableau ne peut pas être trié.
    • inactive : Le tableau peut être trié en cliquant sur l’en-tête.

Remarque : Pour pouvoir configurer ces propriétés, la propriété En-têtes modifiables doit être sélectionnée dans le groupe Liste d'événements de la propriété En-tête liste d'événements. Dans cette section, vous pouvez également choisir de rendre l’en-tête fixe ou invisible. Ces paramètres s’appliquent à tous les en-têtes du projet.

Aperçu

Lorsque vous activez la propriété Paramètres du graphique étendu, l’en-tête et les barres de défilement sont affichés sous forme d’aperçu dans Editor. Ainsi, les détails tels que les couleurs, les effets de remplissage et de lumière ou les grilles peuvent être configurés plus facilement.

Attention : puisque la taille des barres de défilement est égale à leur taille dans le Runtime, la taille totale de la liste dans Editor peut différer de la taille dans le Runtime. Cela s’applique également à la taille de l’en-tête et à la police de caractères de l’en-tête.


Créer un synoptique de type filtre de liste CEL

Manuel -> Liste d’événements (CEL) -> Configurer la liste CEL -> Créer un synoptique de type filtre de liste CEL

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Vous pouvez ajuster les paramètres de filtre de liste d’événements dans le Runtime à l’aide du synoptique de filtre de liste d’événements. Seuls les éléments de filtre réellement nécessaires sont configurés et proposés à l’utilisateur. L’apparence peut également être configurée librement et ainsi, être adaptée à différents terminaux finaux. Tous les paramètres de filtre disponibles dans le filtre pour la fonction d’appel de synoptique de Liste d’événements peuvent être configurés.

Par conséquent :

  • Seuls les éléments de filtre réellement nécessaires sont configurés et proposés à l’utilisateur.
  • Seuls ces filtres et une vue d’ensemble sont accessibles à l’utilisateur.
  • Vous êtes libre de modifier l’apparence et pouvez, par exemple, faciliter l’utilisation du système avec un écran tactile.

Pour plus de détails concernant l’utilisation dans le Runtime, reportez-vous au chapitre Utilisation des filtres de la liste d’événements.

Pour la définition des critères de filtre, reportez-vous au chapitre Filtres d’appel de synoptique de filtre de liste CEL.

attention Attention

Les synoptiques de type Filtre de liste d’alarmes, Filtre de liste d’événements et Filtre de temps doivent être développés avec un cadre spécifique. S’ils utilisent le même cadre que d’autres synoptiques, tous les synoptiques configurés avec ce cadre sont fermés lors de la fermeture du cadre.

Créer un synoptique de type filtre de liste d’événements

Développement

Étapes de création du synoptique :

  1. Créez un nouveau synoptique :

    Dans la barre d’outils ou le menu contextuel du nœud Synoptiques, sélectionnez la commande Nouveau synoptique.
    Un synoptique vide Standard est créé.

  2. Modifiez les propriétés du synoptique :
    1. Nommez le synoptique dans la propriété Nom.
    2. Sélectionnez Filtre de liste d’événements dans la propriété Type de synoptique.
    3. Sélectionnez le cadre souhaité dans la propriété Gabarit.
      Remarque : Les synoptiques Filtre de liste CEL ne doivent pas être conçus autour du même cadre que les autres synoptiques?!
  3. Configurez le contenu du synoptique :
    1. Sélectionnez l’option de menu Éléments de contrôle dans la barre de menus
    2. Sélectionnez Insérer un modèle dans la liste déroulante.
      La boîte de dialogue de sélection de mises en forme prédéfinies s’affiche à l’écran. Certains éléments de contrôle sont insérés dans le synoptique à des positions prédéfinies.
    3. Supprimez les éléments superflus du synoptique.
    4. Si nécessaire, sélectionnez des éléments supplémentaires dans la liste déroulante Éléments. Placez-les aux emplacements souhaités sur le synoptique.
  4. Créez une fonction d’appel de synoptique.

Autres sujets abordés dans ce chapitre

Éléments de contrôle

Modèle

Noms prédéfinis

Synoptiques de filtre


Éléments de contrôle

Manuel -> Liste d’événements (CEL) -> Configurer la liste CEL -> Créer un synoptique de type filtre de liste CEL -> Éléments de contrôle

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Le synoptique de type Filtre de liste d’événements peut contenir les éléments de contrôle et d’affichage suivants.

Insérer un modèle

Élément de contrôle

Description

Insérer un modèle

Ouvre la boîte de dialogue de sélection de modèle pour le type de synoptique correspondant.

Des modèles sont fournis avec zenon, et peuvent également être créés par l’utilisateur.

Modèles ajoutent des éléments de contrôle prédéfinis à des positions prédéfinies sur le synoptique. Les éléments qui ne sont pas nécessaires peuvent également être supprimés individuellement après leur création. Les éléments supplémentaires peuvent être sélectionnés dans la liste déroulante, puis insérés dans le synoptique zenon. Les éléments peuvent être déplacés et disposés individuellement sur le synoptique.

Pour plus d’informations concernant les modèles pour ce type de synoptique, reportez-vous au chapitre Modèles.

Filtres généraux

Liste déroulante des différents filtres généraux.

Élément de contrôle

Description

Exclure les messages système du filtre

Affiche une case à cocher dans le Runtime permettant d’afficher ou de filtrer les messages système. Les messages du système sont des messages qui n’ont pas trait à une variable.

invisible en runtime :

  • Active : Les messages du système sont toujours affichés dans le Runtime. Ceci s’applique également si les messages doivent être filtrés à l’aide du filtre de texte ou de variable.
    Exception : Les messages du système ne sont pas affichés, bien que la case soit cochée, s’ils sont filtrés par le filtre de temps ou les filtres de provenance des données (mémoire circulaire ou données historiques).

Exemple : Seuls les messages contenant le texte "XY" doivent être affichés. Toutefois, si cette option est active, les messages du système ne contenant pas l’expression sont également affichés.

Insérer tous les éléments : Filtres généraux

Insère tous les éléments de la zone des filtres généraux à des emplacements prédéfinis. Les éléments peuvent être arrangés individuellement.

Variables

Alarmes des variables affichées :
  • Nom

Filtrer selon les noms des variables.
  • Identification

Filtrer selon l’identification des variables.
  • Respecter la casse

Tenir compte de la capitalisation lors du filtrage des variables.

Provenance des données

Provenance des données :
  • Mémoire circulaire

Depuis la mémoire circulaire.
  • Données historiques

Depuis une archive.
  • Nombre maximum (description)

Texte du champ de recherche Nombre maximum
  • Nombre maximal (champ de saisie)

Saisie du nombre maximal d’alarmes à afficher lors de l’affichage d’alarmes historiques.

0 : toutes les alarmes sont affichées

Paramètres du Runtime

  • Montrer la liste sans actualisation

Active l’état Arrêt de la liste d’alarmes. Les nouvelles alarmes ne sont pas ajoutées.
  • Afficher les heures relatives

Bascule entre l’affichage normal et l’affichage de l’heure relative, sans perte du focus entre les entrées.

Heure relative : Toutes les entrées sont affichées avec, dans la colonne de l’heure d’apparition, la différence de temps par rapport à l’entrée sélectionnée.

Le temps affiché est le temps écoulé depuis l’heure d’apparition de l’entrée sélectionnée. L’entrée sélectionnée reçoit automatiquement l’information d’horodatage 0. Les autres événements comportent :

  • Une différence de temps positive par rapport à l’entrée sélectionnée s’ils se sont produits plus tard
  • Une différence de temps négative par rapport à l’entrée sélectionnée s’ils se sont produits plus tôt

Groupes d’alarmes/d’événements / Classes d’alarmes/d’événements / Domaines d’alarmes/d’événements

Champ de liste pour l’affichage groupé :
  • Groupes d’alarmes/d’événements

Groupes d’alarmes/d’événements
  • Classes d’alarmes/d’événements

Classes d’alarmes/d’événements
  • Domaines d'alarmes

Domaines d'alarmes

Éléments compatibles

Les éléments de contrôle Standard Win32 ayant été remplacés ou supprimés par des éléments zenon (texte dynamique, basculer) et continuent à être disponibles pour des raisons de compatibilité. Ces éléments ne sont pas pris en compte lors de l’insertion automatique de modèles.

Pour la description, reportez-vous aux éléments actuels.

Exclure les messages système du filtre

Variables

  • Nom
  • Identification
  • Respecter la casse

Provenance des données

  • Buffer circulaire
  • Données historisées
  • Nombre maximal (champ de saisie)

Filtre de temps

Éléments pour les filtres horaires.

Élément de contrôle

Description

Insérer tous les éléments

Ouvre la liste déroulante de sélection d’éléments prédéfinis de configuration de certaines périodes de temps.

Intervalle absolu (affichage classique)

Éléments de configuration de périodes de temps absolues, avec un affichage compact.

Intervalle absolu (affichage compact)

Éléments de configuration de périodes de temps absolues, avec un affichage compact.

Période de temps relative

Éléments de configuration de périodes de temps relatives.

À partir de HH:MM:SS

Éléments de configuration d’une période de temps commençant à une heure définie.

À partir du jour - HH:MM:SS

Éléments de configuration d’une période de temps débutant à une heure définie.

À partir du jour, mois - HH:MM:SS

Éléments de configuration d’une période de temps commençant un jour défini, dans un mois défini, à une heure définie.

Période : 15/30/60 minutes

Éléments de configuration d’une période de temps de 15, 30 ou 60 minutes.

Intervalle : 1 jour

Éléments de configuration d’une période de temps d’une journée.

Intervalle : 1 ou 2 semaines

Éléments de configuration d’une période de temps d’une ou deux semaines.

Chaque semaine peut être sélectionnée, aussi bien dans l’affichage d’une semaine que dans l’affichage de deux semaines. Avec l’affichage de deux semaines, un intervalle de 14 jours est sélectionné, selon la semaine sélectionnée.

Intervalle : 1 mois

Éléments de configuration d’une période de temps d’un mois.

Intervalle : 1 an

Éléments de configuration d’une période de temps d’une année.

Insérer tous les éléments (tactile)

Ouvre la liste déroulante de sélection d’éléments prédéfinis de configuration de certaines périodes de temps, optimisée pour un fonctionnement tactile. Comme dans l’option Insérer tous les éléments, les paramètres suivants sont disponibles.

  • Intervalle absolu (affichage classique)
  • Période de temps relative
  • À partir de HH:MM:SS
  • À partir du jour - HH:MM:SS
  • À partir du jour, mois - HH:MM:SS
  • Intervalle : 15/30/60 minutes
  • Intervalle : 1 jour
  • Intervalle : 1 ou 2 semaines
  • Intervalle : 1 mois
  • Intervalle : 1 an

Type de filtre de temps (affichage)

Élément Texte dynamique pour l’affichage du type de filtre de temps.

Type de filtre de temps (intitulé)

Intitulé du type de filtre de temps.

Type de filtre de temps (zone de liste)

Liste déroulante : Type filtre horaire

Type de filtre de temps (boutons d'option)

Éléments de basculement affichant ou masquant certains éléments dans le Runtime :

  • Pas de filtre
  • Filtre de temps absolu
  • Filtre de temps relatif
  • À partir du jour, mois - HH:MM:SS
  • À partir du jour - HH:MM:SS
  • À partir de HH:MM:SS
  • Période de temps : 15 minutes
  • Période de temps : 30 minutes
  • Période de temps : 60 minutes
  • Intervalle : 1 jour
  • Intervalle : 1 semaine
  • Période 2 semaines
  • Intervalle : 1 mois
  • Intervalle : 1 an

Début de l’intervalle

Champs et intitulés de définition de l’heure de début.

  • De l’année (intitulé)
  • De l’année (zone de liste)
  • Du mois (intitulé)
  • Du mois (zone de liste)
  • Du jour (intitulé)
  • Du jour (zone de liste)
  • De l’heure (intitulé)
  • De l’heure (zone de liste)
  • De la minute (intitulé)
  • De la minute (zone de liste)
  • De la seconde (intitulé)
  • De la seconde (zone de liste)
  • De (commande rotative)

À

Champs et intitulés de définition de l’heure de fin.

  • À l’année (intitulé)
  • À l’année (zone de liste)
  • Au mois (intitulé)
  • Au mois (zone de liste)
  • Au jour (intitulé)
  • Au jour (zone de liste)
  • À l’heure (intitulé)
  • À l’heure (zone de liste)
  • À la minute (intitulé)
  • À la minute (zone de liste)
  • À la seconde (intitulé)
  • À la seconde (zone de liste)
  • À (commande rotative)

Heure de début (zone tactile)

Champs et intitulés de définition de l’heure de début, optimisés pour un fonctionnement tactile.

  • De l’année (intitulé)
  • De l’année (zone de liste)
  • Du mois (intitulé)
  • Du mois (zone de liste)
  • Du jour (intitulé)
  • Du jour (zone de liste)
  • De l’heure (intitulé)
  • De l’heure (zone de liste)
  • De la minute (intitulé)
  • De la minute (zone de liste)
  • De la seconde (intitulé)
  • De la seconde (zone de liste)
  • De (commande rotative)

Fin de l’intervalle (tactile)

Champs et intitulés de définition de l’heure de fin, optimisés pour un fonctionnement tactile.

  • À l’année (intitulé)
  • À l’année (zone de liste)
  • Au mois (intitulé)
  • Au mois (zone de liste)
  • Au jour (intitulé)
  • Au jour (zone de liste)
  • À l’heure (intitulé)
  • À l’heure (zone de liste)
  • À la minute (intitulé)
  • À la minute (zone de liste)
  • À la seconde (intitulé)
  • À la seconde (zone de liste)
  • À (commande rotative)

Filtre de temps absolu

Champs et intitulés de définition du filtre de temps (temps absolu).

  • De (intitulé)
  • De la date (affichage du calendrier)
  • De la date (affichage de la date)
  • De l’heure (affichage de l’heure)
  • À (intitulé)
  • À la date (affichage calendrier)
  • À la date (affichage de la date)
  • À l’heure (affichage de l’heure)

Intervalle

Champs et intitulés de définition des périodes de temps.

  • De l’année (intitulé)
  • De l’année (zone de liste)
  • Du mois (intitulé)
  • Du mois (zone de liste)
  • Semaine (intitulé)
  • Semaine (zone de liste)
  • Du jour (intitulé)
  • Du jour (zone de liste)
  • De l'heure (intitulé)
  • De l’heure (zone de liste)

Intervalle (tactile)

Champs et intitulés de définition de l’heure de début, optimisés pour un fonctionnement tactile.

  • De l’année (intitulé)
  • De l'année (bouton : haut)
  • Boite tactile : de l'année
  • De l'année (bouton : bas)
  • Du mois (intitulé)
  • Du mois (bouton : haut)
  • Boite tactile : du mois
  • Du mois (bouton : bas)
  • Semaine (intitulé)
  • De la semaine (bouton : haut)
  • De la semaine (zone tactile)
  • De la semaine (bouton : bas)
  • Du jour (intitulé)
  • Du jour (bouton : haut)
  • Boite tactile : du jour
  • Du jour (bouton : bas)
  • De l'heure (intitulé)
  • De l'heure (bouton : haut)
  • Boite tactile : Heure de début
  • De l'heure (bouton : bas)

Éléments compatibles

Les éléments de contrôle supprimés ou remplacés par des versions plus récentes restent disponibles, pour des raisons de compatibilité. Ces éléments ne sont pas pris en compte lors de l’insertion automatique de modèles.

  • Type de filtre de temps (groupe radio)
    Éléments de contrôle Radiobutton Win32. A été remplacé par éléments de basculement. Pour la description, reportez-vous aux éléments actuels.
  • Définir le type de filtre de temps (affichage)
    Élément de contrôle statique Win32. Remplacé par un champ de texte dynamique. Pour la description, reportez-vous à l’élément actuel.

Filtre de lots

Éléments pour la sélection de lots dans le Runtime.

Élément de contrôle

Description

Insérer tous les éléments

Tous les éléments.

Liste d'archives

Liste d’archives disponibles dans le Runtime.

État liste d'archives

État de la liste d’archives avec le nombre d’alarmes :

  • disponibles
  • filtrés
  • affichés

Liste de lots

Liste de lots disponibles.

État liste de lots

État de la liste de lots avec le nombre de lots :

  • disponibles
  • filtrés
  • affichés

Appliquer le filtre horaire à la liste de lots

Applique le filtre de temps configuré à la sélection dans la liste de lots.

Filtre nom lot (Saisie)

Saisissez une séquence de caractères utilisés pour filtrer les noms de lots dans la liste de lots.

Filtre de nom de lot (bouton)

Bouton d’exécution du filtrage par noms de lots.

Désactivé si l’élément Filtre de nom de lot n’est pas présent.

Éléments compatibles

Les éléments de contrôle supprimés ou remplacés par des versions plus récentes restent disponibles, pour des raisons de compatibilité.

Ces éléments ne sont pas pris en compte lors de l’insertion automatique de modèles.

Les éléments Win32 suivants ont été remplacés par des éléments Texte dynamique.

  • État liste d'archives
  • État liste de lots
  • Filtre nom lot (Saisie)

Filtre de texte

Liste déroulante des différents filtres de texte.

Élément de contrôle

Description

Insérer tous les éléments : Filtre de texte

Insère tous les éléments des filtres de texte.

Pas de filtre de texte

Bouton d’option permettant de désélectionner le filtre de texte.

Rechercher (mots séparés par des espaces)

Bouton d’option permettant d’activer la recherche

Texte : Recherche de texte

Intitulé du champ de recherche.

Champ de saisie : Recherche de texte

Champ de saisie du terme de cherche.

Options

Options de recherche
  • Respecter la casse

La capitalisation sera prise en compte.
  • Les mots n’ont pas besoin d’être entiers dans le texte

Vous pouvez également rechercher des fragments.
  • Au moins un mot doit se trouver dans le texte

Un au moins des termes de recherche doit être présent dans le résultat.
  • Tous les mots doivent être dans le texte

Tous les termes de recherche doivent être présents dans le résultat.
  • L’expression de filtre doit apparaître exactement dans le texte

Les résultats doivent contenir le texte exact du champ de recherche.

Éléments compatibles

Les éléments de contrôle Standard Win32 ayant été remplacés ou supprimés par des éléments zenon (texte dynamique, basculer) et continuent à être disponibles pour des raisons de compatibilité. Ces éléments ne sont pas pris en compte lors de l’insertion automatique de modèles.

Pour la description, reportez-vous aux éléments actuels.

  • Pas de filtre de texte
  • Rechercher (mots séparés par des espaces)
  • Champ de saisie : Recherche de texte
  • Dépend de la casse
  • Les mots doivent être en partie présents dans le texte
  • Un mot au moins doit être présent dans le texte
  • Tous les mots doivent être présents dans le texte
  • La chaîne exacte doit être présente dans le texte

Paramètres du Runtime

Élément de contrôle

Description
  • Montrer la liste sans actualisation

Active l’état Arrêt de la liste d’alarmes. Les nouvelles alarmes ne sont pas ajoutées.
  • Afficher les heures relatives

Bascule entre l’affichage normal et l’affichage de l’heure relative, sans perte du focus entre les entrées.

Heure relative : Toutes les entrées sont affichées avec, dans la colonne de l’heure d’apparition, la différence de temps par rapport à l’entrée sélectionnée.

Le temps affiché est le temps écoulé depuis l’heure d’apparition de l’entrée sélectionnée. L’entrée sélectionnée reçoit automatiquement l’information d’horodatage 0. Les autres événements comportent :

  • Une différence de temps positive par rapport à l’entrée sélectionnée s’ils se sont produits plus tard
  • Une différence de temps négative par rapport à l’entrée sélectionnée s’ils se sont produits plus tôt

Boutons

Boutons dans le Runtime.

OK

Bouton : Applique les paramètres de filtre et ferme le synoptique.

Remarques concernant les cadrans : Il est possible d’utiliser des synoptiques Filtre de liste, Filtre de liste et Filtre de temps/de lot dans les cadrans. Lors de la configuration de ces éléments dans le Runtime, cliquez sur OK pour fermer le cadran. Pour enregistrer les paramètres de filtre et laisser le cadran ouvert, cliquez sur Accepter.

Annuler

Bouton : Annule la configuration des paramètres de filtre.

Appliquer

Bouton : Valide les paramètres de filtre.

Actualiser la recherche

Bouton : Actualise l’affichage filtré.

Éléments compatibles

Les éléments de contrôle Standard Win32 ayant été remplacés ou supprimés par des éléments zenon (texte dynamique, basculer) et continuent à être disponibles pour des raisons de compatibilité. Ces éléments ne sont pas pris en compte lors de l’insertion automatique de modèles.

  • Montrer la liste sans actualisation
  • Monter les filtres de temps relatifs (relatifs à l'entrée sélectionnée)


Modèle

Manuel -> Liste d’événements (CEL) -> Configurer la liste CEL -> Créer un synoptique de type filtre de liste CEL -> Modèle

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Modèle | Description
Champ de liste de modèles (à gauche) | Affiche la liste des modèles prédéfinis et définis par l’utilisateur.
Aperçu et description (à droite) | Affiche un aperçu et une description du modèle sélectionné.
Standard | Insère les éléments standard.
SCADA | Modèles spéciaux, optimisés pour une utilisation avec une souris.
Standard | Insère les éléments standard.
Filtres de variables, de texte & de temps (absolu - affichage compact) | Ajoute des éléments pour le filtrage de variables, de texte et d’intervalles absolus sous forme compacte.
Filtres de variables, de texte & de temps (absolu) | Ajoute des éléments pour le filtrage de variables, de texte et d’intervalles absolus.
Filtres de variables, de texte & de temps (par mois) | Ajoute des variables pour le filtrage de variables, de texte et d’intervalles relatifs Depuis le mois.
Filtres de variables, de texte & de temps (par heure) | Ajoute des variables pour le filtrage de variables, de texte et d’intervalles relatifs Depuis l’heure.
Filtres de variables, de texte & de temps (par jour) | Ajoute des variables pour le filtrage de variables, de texte et d’intervalles relatifs Depuis le jour.
Filtres de variables, de texte & de temps (absolu - affichage compact) | Ajoute des éléments pour le filtrage de variables, de texte et d’intervalles absolus.
Filtres de variables, de texte et de temps (le type peut être sélectionné) | Ajoute des éléments pour le filtrage de variables, de texte et d’intervalles paramétrables.

Fermer boîte de dialogue

Paramètres | Description
Supprimer les éléments de synoptique existants | Active : les éléments existants du synoptique sont supprimés lors de l’utilisation du modèle.
Appliquer | Insère l’élément du modèle sélectionné dans le synoptique et ferme la boîte de dialogue.
Annuler | Ferme la boîte de dialogue sans insérer les éléments.
Aide | Ouvre l’aide en ligne.


Noms prédéfinis

Manuel -> Liste d’événements (CEL) -> Configurer la liste CEL -> Créer un synoptique de type filtre de liste CEL -> Noms prédéfinis

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Des noms prédéfinis sont disponibles pour les filtres de temps.

Attention : Les noms prédéfinis ne sont pas disponibles sous Windows CE.

Pour sélectionner un nom :

  1. Dans la vue de détail, définissez un filtre de temps, un filtre de liste d’événements ou un filtre de liste d’alarmes.
  2. Cliquez deux fois sur le champ du nom dans la colonne Nom.
  3. Sélectionnez le nom prédéfini dans la liste déroulante.
    • CEL_Filter
    • TIMEFILTER_ABSOLUTE
    • TIMEFILTER_DAY
    • TIMEFILTER_HOUR
    • TIMEFILTER_MONTH
    • TIMEFILTER_PERIOD
    • TIMEFILTER_PERIOD_DAY
    • TIMEFILTER_PERIOD_MINUTE
    • TIMEFILTER_PERIOD_MONTH
    • TIMEFILTER_PERIOD_WEEK
    • TIMEFILTER_PERIOD_YEAR
    • TIMEFILTER_RELATIVE


Synoptiques de filtre

Manuel -> Liste d’événements (CEL) -> Configurer la liste CEL -> Créer un synoptique de type filtre de liste CEL -> Synoptiques de filtre

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Synoptiques de filtre

Les synoptiques de filtre permettent de transférer un filtre prédéfini d’un synoptique vers un autre. Le filtre du synoptique source est défini à l’aide du synoptique cible. Les synoptiques peuvent également être de types différents.

attention Attention

Pour que le temps du synoptique soit affiché dans le Runtime, la plage de temps suivante doit être sélectionnée dans Editor pour la fonction d’appel de synoptique de la liste d’alarmes ou de la liste d’événements, dans la propriété filtre de temps : Définir le filtre avec un type de filtre horaire

Définition de l’affichage

Les conditions suivantes doivent être remplies pour que les filtres définis soient utilisés :

  1. Le filtre défini pour le type de filtre de temps est sélectionné en tant qu’intervalle de temps pour le filtre de temps.
  2. Le synoptique (synoptiques Filtre de liste d’alarmes, Filtre de liste d’événements et Filtre de temps/de lots) est activé à l’aide d’un bouton ou d’un élément combiné. C’est la seule manière de maintenir la relation entre le synoptique de filtre et le synoptique source.
  3. Le synoptique source et le synoptique de filtre doivent être configurés dans différents cadres ou sur différents moniteurs. Le filtre du synoptique de filtre peut uniquement être actualisé si le synoptique source est ouvert. Cela est uniquement possible si les deux synoptiques n’utilisent pas le même cadre ou le même moniteur.
  4. Le synoptique appelé doit être compatible avec le synoptique de filtre appelé (voir table).
Synoptique source | Filtre de liste AML | Filtre de liste CEL | Filtre de temps
Maintenance d’archive | T | T | T
Extended Trend | T | T | T
Filtre de temps | T | T | X
Filtre de liste d’alarmes | X | C | T
Filtre de liste d’événements | C | X | T
Liste des alarmes | X | C | T
Liste d’événements | C | X | T

Légende :

  • C : Les paramètres communs sont mis à jour.
  • T : Les paramètres de temps sont mis à jour.
  • X : Tous les paramètres sont mis à jour.

info Informations

Aucun filtrage

Le synoptique de filtre n’est pas filtré, mais il est ouvert avec les valeurs configurées si :

  • Une des conditions 1 à 3 n’est pas satisfaite ou
  • Le paramètre Synoptique appelé n’est pas activé pour la fonction Appel de synoptique ou
  • Le synoptique n’est pas appelé par le biais d’un élément de synoptique

Dans ce cas, les boutons Accepter, Fermer et Mise à jour sont grisés dans le Runtime et n’ont aucune fonction.


Définir des événements pour la liste CEL

Manuel -> Liste d’événements (CEL) -> Configurer la liste CEL -> Définir des événements pour la liste CEL

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Vous pouvez définir les événements consignés dans la liste d’événements via :

  1. Les propriétés du groupe Enregistrement (fichier journal), dans le nœud Liste d'événements des paramètres du projet
    • Confirmer acquittement de l'alarme
    • Acquittement d'alarme
    • Fonction envoi valeur prescrite
    • Envoi de recettes
    • Modification de recettes
    • Données d'archive
    • Evacuation d'archive [h]
  2. Les propriétés des variables
    • Liste d'alarmes/d'événements dans le groupe Valeurs limite
    • Le groupe Enregistrer dans la liste d'événements dans le nœud Écrire valeur prescrite

Consigner les modifications de valeurs prescrites

Les modifications de valeurs prescrites peuvent intervenir via différents mécanismes. Celles-ci sont consignées dans la liste CEL, en fonction des paramètres et du module.

Paramètres

Description

Consignation de l’écriture de valeurs prescrites

Vous pouvez définir la consignation des modifications de valeurs prescrites pour toutes les variables. Pour cela, les options suivantes sont disponibles dans la propriété Enregistrement (fichier journal), dans le groupe Écrire valeur prescrite :

Tout : Toutes les modifications effectuées par le biais des éléments dynamiques et de la fonction Spécifier valeur prescrite sont consignées.

Rien : les modifications ne sont pas consignées
Uniquement les éléments dynamiques : Consigne uniquement l’écriture de valeurs prescrites par le biais des éléments dynamiques, et non de la fonction Spécifier valeur prescrite.

Ancienne et nouvelle valeur

Avec la propriété Ancienne et nouvelle valeur, vous définissez si seules les nouvelles valeurs ou les valeurs anciennes et nouvelles sont écrites dans le fichier journal.

Cette propriété affecte l’écriture des valeurs prescrites par le biais des éléments suivants :

  • élément dynamique
  • Fonction Spécifier valeur prescrite
  • Écriture de valeur prescrite via le code VBA

Écriture de valeur prescrite via le code VBA

Si la fonction Valeurs modifiées par VBA est activée, les modifications de valeurs prescrites via le code VBA sont consignées dans la liste CEL.

Recettes standard et module Recipe Group Manager

Pour les recettes standard et le module Recipe Group Manager, la journalisation est contrôlée par le biais des propriétés du groupe Enregistrement (fichier journal), dans le nœud Liste d'événements.

PFS/Planning

Les modules Production & Facility Scheduler (PFS) et Planning consignent toutes les modifications de valeurs prescrites dans la liste CEL. Ce paramètre ne peut pas être modifié.

Remarque : Seule la nouvelle valeur est consignée. La propriété Liste d'événements n’est pas prise en compte.

Autres sujets abordés dans ce chapitre

Vérification de l’écriture de valeurs prescrites

Longueur du texte de valeur limite statique de la liste CEL


Vérification de l’écriture de valeurs prescrites

Manuel -> Liste d’événements (CEL) -> Configurer la liste CEL -> Définir des événements pour la liste CEL -> Vérification de l’écriture de valeurs prescrites

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Lors de l’écriture de valeurs, la valeur reçoit un bit d’état qui a été écrit. Si le procédé d’écriture est un succès, le bit d’état correspondant est défini :

  • WR-ACK

    Le driver a reçu une valeur à écrire.

  • WR-SUC

    Valeur 1 : Écriture réussie.

    Valeur 0 : L’écriture a échoué. La valeur n’a pas été écrite.

info Informations

Dans le cas d’un rechargement du projet ou d’un basculement sur le serveur redondant, les réponses actuellement actives ou les confirmations d’écriture sont abandonnées.

Cette combinaison d’états existe jusqu’au prochain changement de valeur. À ce moment, les deux états sont définis sur 0, jusqu’à ce que l’action d’écriture soit terminée. Pour l’évaluation, la combinaison de bits suivante doit être demandée dans la matrice de réaction :

WR-ACK, WR-SUC

Résultat :

  • WR-ACK 1, WR-SUC 1: L’action d’écriture a réussi.
  • WR-ACK 1, WR-SUC 0: L’action d’écriture a échoué.

attention Attention

Le mécanisme montre seulement que l’action d’écrire a réussi (ou non) sur l’automate. Ceci ne signifie pas que la valeur a effectivement été modifiée dans l’automate, car l’automate peut réinitialiser ou remplacer la valeur immédiatement. (Par exemple, pour l’écriture de résultats ou de bits transitoires, définis pour un court laps de temps.)

Modules

Ce mécanisme peut être utilisé dans les modules suivants :

  • Fonction Spécifier valeur prescrite : Activez l’option Attendre confirmation d’écriture dans la boîte de dialogue de configuration de la fonction.
  • Les recettes standard : Activez la propriété Ecrire de façon synchrone.
  • Recipe Group Manager : Activez la propriété Ecrire de façon synchrone.

Entrée dans la liste CEL

  • Fonction Spécifier valeur prescrite

    Pour l’entrée dans la liste CEL, vous devez activer la propriété Fonction envoi valeur prescrite dans le nœud Liste d'événements dans les paramètres du projet. La réaction positive ou négative à l’exécution de la fonction est ensuite écrite dans la liste CEL.

  • Recettes standard et module Recipe Group Manager

    Pour une entrée dans la liste CEL, une variable de driver du système est utilisée et définie sur 1 lors de l’écriture réussie d’une recette. Une variable globale est évaluée sur le serveur, et une variable locale sur chaque client permet de déterminer quand l’écriture de la dernière recette exécutée a été finalisée.
    Avec ces variables, une entrée dans la liste CEL peut être générée par l’intermédiaire d’une valeur limite ou d’une matrice de réaction. La requête est exécutée par le biais d’une matrice de réaction multi-analogique ou multi-binaire.


Longueur du texte de valeur limite statique de la liste CEL

Manuel -> Liste d’événements (CEL) -> Configurer la liste CEL -> Définir des événements pour la liste CEL -> Longueur du texte de valeur limite statique de la liste CEL

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

La propriété Longueur texte statique pour les événements vous permet de définie le nombre de caractères utilisables pour le texte de message dans la liste CEL. Pour chaque fichier de la liste d’événements, le nombre de caractères constituant le texte de message est enregistré dans l’en-tête. Toute modification de cette propriété prend effet lors de la création d’un nouveau fichier de liste CEL.

Remarque : lors de l’exportation au format dBase, la longueur est limitée à 254 caractères.

CEL.BIN et réseau

Dans le fichier CEL.BIN, les textes de message sont enregistrés sous forme de variables de longueur variable, et sont transférés en l’état sur le réseau. Cela signifie que les entrées de la liste CEL issues de la mémoire circulaire ne sont pas limitées en longueur, indépendamment de la propriété Longueur texte statique pour les événements.


Configuration de la liste CEL à l’aide de filtres

Manuel -> Liste d’événements (CEL) -> Configurer la liste CEL -> Configuration de la liste CEL à l’aide de filtres

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Vous pouvez configurer l’affichage des événements dans le Runtime par le biais de filtres. Plusieurs possibilités s’offrent à vous.

  1. Définir les informations affichées dans la liste CEL dans le Runtime :
    Cette option vous permet de définir les informations visibles pour un événement donné.
    Pour plus de détails, reportez-vous au chapitre : Configuration des colonnes pour la liste d’événements
  2. Filtrer les alarmes de la liste d’alarmes lors des appels de synoptique et les modifier dans le Runtime :
    Cette option vous permet de définir des filtres et d’offrir à l’utilisateur de la machine la possibilité de définir ses propres filtres.
    Pour plus de détails, reportez-vous au chapitre : Filtres pour l’appel de synoptiques de type CEL.
  3. Filtres fixes pour le Runtime :
    Cette option vous permet de créer des filtres personnalisés en fonction de votre utilisation de la liste CEL, et de masquer les critères de filtre inutiles.
    Pour plus de détails, reportez-vous au chapitre : Filtres pour l’appel de synoptiques de type filtre de liste CEL

Attention : Le caractère de virgule (,) n’est pas autorisé pour filtrer les noms de variables !
La virgule peut être saisie comme un texte de filtre, mais aucune entrée n’est affichée. Ceci signifie que filtre spécial des variables d’ensemble pour Dim 2 and Dim 3 est impossible.

Autres sujets abordés dans ce chapitre

Configuration des colonnes pour la liste d’événements

Filtres pour l’appel de synoptiques de type CEL

Filtres pour l’appel de synoptiques de type filtre de liste CEL


Configuration des colonnes pour la liste d’événements

Manuel -> Liste d’événements (CEL) -> Configurer la liste CEL -> Configuration de la liste CEL à l’aide de filtres -> Configuration des colonnes pour la liste d’événements

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Vous pouvez définir les informations affichées et exportées vers la liste CEL dans le Runtime via la configuration des colonnes. La configuration de ces paramètres se déroule dans les propriétés de la liste d’événements du projet :

  1. Ouvrez le nœud Liste d'événements dans les paramètres du projet.
  2. Cliquez sur la propriété Paramètres des colonnes liste d'événements.
  3. La boîte de dialogue des paramètres des colonnes s’affiche à l’écran
  4. Configurez les colonnes souhaitées.
    Remarque : Lors de la configuration des appels de synoptique, cette configuration est acceptée par défaut et peut être adaptée individuellement depuis l’onglet paramètres des colonnes.
  5. Remarque : La largeur moyenne des caractères de la police sélectionnée est utilisée pour calculer la largeur des colonnes.

info Informations

Dans les paramètres du projet, vous pouvez définir un paramètre par défaut pour définir l’ordre et la largeur des colonnes à l’aide des propriétés Paramètres des colonnes alarmes ou Paramètres des colonnes liste d'événements. Lors de la création d’une nouvelle fonction d’appel de synoptique depuis un synoptique de liste d’alarmes ou un synoptique de liste d’événements, ce paramètre est utilisé par défaut?; il peut être modifié dans l’onglet correspondant. Le paramètre est conservé dans le fichier project.ini.

Configuration des colonnes

Paramètres

Description

Colonnes

Dans le champ de liste de cet onglet, tous les types de colonnes disponibles sont affichés.

Vous pouvez modifier l’ordre des colonnes en les faisant glisser dans le champ de liste :

  • Cliquez sur la colonne Type de colonne.
  • Déplacez les entrées individuelles à votre convenance.

Vous pouvez également ajuster l’ordre des entrées à l’aide des options Vers le haut et Vers le bas.
  • Case à cocher :

Sélectionnez les types de colonnes que vous souhaitez afficher.
  • Description :

Texte libre de description de la colonne.

Modifier la description : cliquez avec le bouton gauche sur la zone correspondante. Saisissez la valeur souhaitée dans le champ de recherche.

Remarque : pour les descriptions de colonnes, la fonction de basculement de langue de zenon est disponible.
  • Largeur de colonne :

Définit la largeur de la colonne, en caractères.

Modifier la largeur des colonnes : cliquez avec le bouton gauche sur la zone correspondante. Saisissez la valeur souhaitée dans le champ de recherche.
-1la largeur est calculée dans le Runtime, sur la base de la largeur moyenne des caractères.

Remarque : Pour des raisons de compatibilité, les colonnes dont la largeur ne pouvait pas être modifiée dans les versions antérieures de zenon (Date et heure) comportent la valeur -1.

  • Affichage :

Pour les types de colonnes

  • Symbole Classe d’alarmes/d’événements
  • Symbole de groupe d’alarmes/d’événements
  • État d’alarme

Le format d’affichage réel peut être sélectionné dans le Runtime. Sélectionnez le format souhaité dans la liste déroulante.

Vers le haut

Remonte l’entrée sélectionnée d’une position.

Déplacer l'entrée sélectionnée vers le bas

Abaisse l’entrée sélectionnée d’une position.

Champ de prévisualisation

Affiche les colonnes définies dans le champ de liste avec la largeur sélectionnée.

Vous pouvez également ajuster la largeur des colonnes en cliquant avec le bouton gauche sur le bord droit d’une colonne et en maintenant le bouton de la souris enfoncé pendant que vous déplacez la souris vers la gauche ou la droite.

Paramètres de tables

Tri décroissant

Trie les entrées de la liste selon leur Heure d’apparition, par ordre décroissant. Ce paramètre s’applique à l’appel d’un synoptique.
Vous pouvez modifier l’ordre de tri dans le Runtime en cliquant sur l’intitulé de la colonne. L’ordre de tri actuellement utilisé est représenté par une flèche dans l’en-tête de la colonne.

Afficher la grille

Affiche une grille lorsque la liste est affichée dans le Runtime.

Alterner les couleurs d’arrière-plan

Utilise les couleurs de ligne 1 et 2 en alternance pour l’affichage de l’arrière-plan de la liste dans le Runtime.

Couleur de ligne 1

Couleur utilisée en tant que couleur d’arrière-plan de la liste dans le Runtime pour tous les nombres impairs (1, 3, 5, etc.), si vous avez activé l’option Utiliser des couleurs de fond en alternance.

Couleur de ligne 2

Couleur utilisée en tant que couleur d’arrière-plan de la liste dans le Runtime pour tous les nombres pairs (2, 4, 6, etc.), si vous avez activé l’option Utiliser des couleurs de fond en alternance.

Affichage dans les colonnes d’heure

Heure

Affiche l’heure d’une entrée de liste sous la forme suivante : HH:MM:SS

Date

Affiche la date d’une entrée de liste sous la forme suivante : JJ:MM:AAAA

Millisecondes

Étend la précision de l’entrée de temps aux millisecondes.

Remarque : Cette option doit être activée si les millisecondes doivent apparaître dans les fichiers d’exportation ou les impressions.

Conseil : Si vous avez activé le clavier automatique dans le Runtime, celui-ci est activé lors de l’affichage d’un champ d’édition. Vous pouvez également utiliser ce champ pour configurer les colonnes, si vous utilisez un ordinateur sans clavier.

attention Attention

La largeur de colonne est fournie en caractères, et dépend de la police de caractères utilisée.

Si la largeur de colonne n’est pas un multiple de la largeur de caractère de la police de caractères utilisée, la largeur réelle de la colonne pourra être différente de la largeur de colonne définie. Ceci peut provoquer l’affichage de texte tronqué ou l’apparition d’un espace vide.

Solution : Utilisez des polices avec des caractères de largeur fixe.


Filtres pour l’appel de synoptiques de type CEL

Manuel -> Liste d’événements (CEL) -> Configurer la liste CEL -> Configuration de la liste CEL à l’aide de filtres -> Filtres pour l’appel de synoptiques de type CEL

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Les filtres permettent de définir les événements affichés ou masqués dans le Runtime. Les filtres peuvent être définis dans Editor et, selon les exigences de l’opérateur dans Editor, dans le Runtime.

Pour personnaliser la sélection de filtres dans le Runtime en fonction des besoins de l’opérateur, utilisez un synoptique de type Filtre de liste d’événements à la place d’un synoptique de Liste d’événements.

Pour créer un appel de synoptique de type Liste d’événements :

  1. Configurez une fonction d’appel de synoptique de type Liste d’événements
  2. La boîte de dialogue de filtre s’affiche et propose plusieurs onglets comportant des critères de filtre :
    • Général
    • Heure
    • Lots
    • Paramètres des colonnes
    • Texte
    • État
    • Projet (uniquement disponible dans le projet d’intégration de la gestion multi-projets).
    • Modèles d’équipement

Si des variables liées ou des indices sont disponibles, les onglets suivants peuvent être affichés en option.

  • Remplacer les liens
  • Remplacer les indices

Pour plus de détails, reportez-vous au chapitre Synoptiques, sections Remplacement des liens de variables et de fonctions et Symboles liés.

Autres sujets abordés dans ce chapitre

Général

Heure

Lots

Paramètres des colonnes

Texte

État

Projet

Modèles d’équipement


Général

Manuel -> Liste d’événements (CEL) -> Configurer la liste CEL -> Configuration de la liste CEL à l’aide de filtres -> Filtres pour l’appel de synoptiques de type CEL -> Général

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Avec le filtre général, vous définissez les événements affichés et votre capacité d’accès aux paramètres correspondants dans le Runtime. Ceci vous permet de différencier les événements selon les événements suivants :

  • Type
  • Provenance des données
  • Variables
  • Groupes, classes d’alarmes/d’événements et domaines d’alarmes

Les propriétés suivantes sont disponibles :

Filtre de variables

Paramètres

Description

Filtre de variables

Limitations aux événements liés à certaines variables

Nom de variable

Saisissez le nom ou la partie du nom de la variable que vous souhaitez filtrer.

L’utilisation de l’opérateur * est autorisée. Les opérateurs sont uniquement autorisés sous forme de préfixe ou de suffixe?; par exemple, *xxx ou xxx*.

Remarque : Les expressions de filtre saisies dans le Runtime ou dans Editor sont automatiquement enregistrées sur l’ordinateur local, dans le fichier zenon6.ini, et peuvent ensuite être sélectionnées dans la liste déroulante.

Attention : Le caractère de virgule (,) n’est pas autorisé pour filtrer les noms de variables !
La virgule peut être saisie comme un texte de filtre, mais aucune entrée n’est affichée. Ceci signifie que filtre spécial des variables d’ensemble pour Dim 2 and Dim 3 est impossible.

Identification

Saisissez l’identification ou une partie de l’identifiant de la variable que vous souhaitez filtrer. L’opérateur * peut être utilisé.

L’utilisation de l’opérateur * est autorisée. Les opérateurs sont uniquement autorisés sous forme de préfixe ou de suffixe?; par exemple, *xxx ou xxx*.

Remarque : Les expressions de filtre saisies dans le Runtime ou dans Editor sont automatiquement enregistrées sur l’ordinateur local, dans le fichier zenon6.ini, et peuvent ensuite être sélectionnées dans la liste déroulante.

Respecter la casse

Active : Les caractères majuscules et minuscules sont pris en compte lors du filtrage par nom ou identifiant de variable.

Paramètres du Runtime

Paramètres

Description

Paramètres du Runtime

Comportement de la liste CEL dans le Runtime

Montrer la liste sans actualisation

Active : Lorsque la liste est ouverte, aucune nouvelle entrée n’est ajoutée.

(Indisponible dans la fonction Exporter la liste CEL).

Afficher l’heure relative

Toutes les entrées sont affichées avec, dans la colonne de l’heure d’apparition, la différence de temps par rapport à l’entrée sélectionnée.

Le temps affiché est le temps écoulé depuis l’heure d’apparition de l’entrée sélectionnée. L’entrée sélectionnée reçoit automatiquement l’information d’horodatage 0. Les autres événements comportent :

  • Une différence de temps positive par rapport à l’entrée sélectionnée s’ils se sont produits plus tard
  • Une différence de temps négative par rapport à l’entrée sélectionnée s’ils se sont produits plus tôt

Afficher cette boîte de dialogue dans le Runtime

Active : La boîte de dialogue de filtre est ouverte avant chaque appel de synoptique. Les paramètres de filtre peuvent être modifiés. Cette option n’est pas disponible dans Windows CE.
Remarque : Sur l’onglet Lots, si l’option Afficher la boîte de dialogue de sélection de lots est également activée, la boîte de dialogue de sélection de lots est appelée dans le Runtime. Elle n’est plus affichée après l’actualisation.

Remarques concernant les filtres d’intervalle :

Propriété Afficher cette boîte de dialogue dans le Runtime active :

  • Le filtre est ouvert dans le Runtime lors de l’appel de synoptique. Le filtre n’est plus proposé lors du rechargement. Ce comportement peut différer selon les différents types de synoptiques si la boîte de dialogue a été affichée lors de l’appel de synoptique, puis annulée.
  • La dernière période terminée est toujours utilisée.

Afficher cette boîte de dialogue dans le Runtime inactive :

  • Propriété Utiliser la dernière période de temps effectuée active :
    La dernière période terminée est toujours utilisée.
  • Utiliser la dernière période terminée inactive :
    L’intervalle de temps actuel est utilisé.

Remplacer la boîte de dialogue par un synoptique dans le Runtime

Définition d’un synoptique devant être affiché dans le Runtime à la place de la boîte de dialogue si l’option Afficher cette boîte de dialogue dans le Runtime est active. Seuls les synoptiques de type Filtre de liste CEL ou Filtre de temps seront disponibles.

Cliquez sur le bouton ... pour ouvrir une boîte de dialogue permettant de sélectionner un synoptique.

Si le synoptique lié n’est pas localisé dans le Runtime, une recherche est effectuée pour trouver les synoptiques correspondants portant le nom spécifié.

Provenance des données

Affichage des événements actuels ou actuels et historiques.

Mémoire circulaire

Active : Seules les données issues de la mémoire circulaire sont affichées.

Données historiques
Nombre maximal

Active : Les données de la mémoire circulaire et les données historiques de la liste CEL sont affichées.

Le nombre maximal de données à afficher inclut les données de la mémoire circulaire.

Groupes/classes d’alarmes/d’événements, domaines d’alarmes

Paramètres | Description
Groupes/classes d’alarmes/d’événements, domaines d’alarmes | Sélection des groupes, classes et domaines d’alarmes
Groupes d’alarmes/d’événements | Parmi les groupes d’alarmes/d’événements existants, sélectionnez celui dont vous souhaitez afficher les alarmes.
Classes d’alarmes/d’événements | Parmi les classes d’alarmes/d’événements existants, sélectionnez celle dont vous souhaitez afficher les alarmes.
Domaines d’alarmes | Parmi les domaines d’alarmes existants, sélectionnez celui dont vous souhaitez afficher les alarmes.

Filtre pour les messages système

Paramètres

Description

Filtre pour les messages système

Paramètres de filtre pour les messages système. Les messages du système sont des messages qui n’ont pas trait à une variable.

Afficher les messages système dans la liste

Configuration de l’affichage des messages du système, indépendamment des paramètres de filtre.

  • Active : Les messages du système sont toujours affichés dans le Runtime. Ceci s’applique également si les messages doivent être filtrés à l’aide du filtre de texte ou de variable.
    Exemple : Seuls les messages contenant le texte "XY" doivent être affichés. Toutefois, si cette option est active, les messages du système ne contenant pas l’expression sont également affichés.

Exceptions :

  • Les messages du système ne sont pas affichés, bien que la case soit cochée, s’ils sont filtrés par le filtre de temps ou les filtres de provenance des données (mémoire circulaire ou données historiques).
  • Les messages du système sont toujours affichés, quelle que soit la configuration de ce paramètre, si un filtrage est appliqué pour les modèles d’équipement.

Fermer boîte de dialogue

Options | Description :
OK | Applique toutes les modifications effectuées sur tous les onglets, puis ferme la boîte de dialogue.
Annuler | Annule toutes les modifications effectuées sur tous les onglets, puis ferme la boîte de dialogue.
Aide | Ouvre l'aide en ligne.

attention Attention

Concernant zenon et Windows CE : Les systèmes CE sur lesquels la boîte de dialogue de filtre doit être affichée doivent comporter une résolution d’écran supérieure à 800*600 pixels, faute de quoi la boîte de dialogue ne s’affichera pas entièrement.


Heure

Manuel -> Liste d’événements (CEL) -> Configurer la liste CEL -> Configuration de la liste CEL à l’aide de filtres -> Filtres pour l’appel de synoptiques de type CEL -> Heure

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Les filtres de temps permettent de limiter la quantité de données à afficher ou exporter. Les filtres de temps sont très flexibles, et peuvent être prédéfinis dans Editor ou ajustés dans le Runtime.

Remarque : L’heure est enregistrée au format UTC. Pour plus de détails, reportez-vous au chapitre Gestion de la date et de l'heure, dans le chapitre Runtime.

Des filtres de temps peuvent être prédéfinis dans Editor et dans le Runtime pour les éléments suivants :

  • Intervalle absolu
  • Intervalle relatif
  • De
  • Période

Le filtrage horaire peut être effectué de deux manières :

  1. En définissant un intervalle de temps dans Editor
    Des plages de temps fixes sont utilisées. un intervalle de temps est fourni dans Editor. Il est uniquement possible de filtrer les données en fonction de cet intervalle de temps dans le Runtime. Les autres filtres - tels que le filtrage par nom de variable, groupes d’alarmes/d’événements et classes d’alarmes/d’événements, etc. ne peuvent plus être modifiés dans le Runtime.
  2. Filtre de temps modifiable dans le Runtime
    Des intervalles de temps prédéfinis sont utilisés. Le filtre de temps est défini dans Editor et peut être modifié dans le Runtime, le cas échéant.

Filtre de temps

Filtre

Sélection du filtre.

Paramètres

Description

Pas de filtre horaire

Active : Aucun filtre temps n’est utilisé.

Note : toutes les entrées Runtime depuis 1. 1. 1990 sont affichées.

Filtre absolu

Active : Un intervalle de temps fixe est défini dans Editor. Lors de l’exécution de la fonction, l’intervalle temps absolu défini est utilisé avec exactitude.

La section Paramètres permet d’afficher et de configurer les options correspondantes.

Remarque : L’heure est enregistrée au format UTC. Pour plus de détails, reportez-vous au chapitre Gestion de la date et de l'heure, dans le chapitre Runtime.

Intervalle relatif

Active : Un intervalle de temps relatif est saisi.

La section Paramètres permet d’afficher et de configurer les options correspondantes.

Attention : Ce filtre est continuellement mis à jour.

De

Active : L’heure à partir de laquelle le filtre est appliqué. Si l’heure n’est pas atteinte ce jour, le filtrage a lieu à partir de l’heure correspondante le jour précédent.

Sélectionnez le mode du domaine dans la liste déroulante?;

  • À partir de HH:MM:SS
  • À partir du jour - HH:MM:SS
  • À partir d’un jour, d’un mois, à HH:MM:SS

La section Paramètres permet d’afficher et de configurer les options correspondantes.

Attention : L’heure de début de ce filtre n’est pas mise à jour automatiquement. Seules les heures existantes affichées sont utilisées.
L’heure de fin n’est pas définie avec ce filtre?; elle est reportée.

Intervalle

Active : Un intervalle de temps fixe est saisi. Sélectionnez le mode du domaine dans la liste déroulante?;

  • Horaire-jour
  • Horaire-semaine
  • Deux semaines
  • Un mois
  • Une année
  • 15 minutes
  • 30 minutes
  • 60 minutes

La section Paramètres permet d’afficher et de configurer les options correspondantes.

Fermer boîte de dialogue

Paramètres | Description
OK | Applique toutes les modifications effectuées sur tous les onglets, puis ferme la boîte de dialogue.
Annuler | Annule toutes les modifications effectuées sur tous les onglets, puis ferme la boîte de dialogue.
Aide | Ouvre l'aide en ligne.

Autres sujets abordés dans ce chapitre

Filtre temps absolu

Intervalle relatif

De

Intervalle

Spécifier un intervalle de temps dans Editor

Le filtre de temps peut être configuré dans le Runtime


Filtre temps absolu

Manuel -> Liste d’événements (CEL) -> Configurer la liste CEL -> Configuration de la liste CEL à l’aide de filtres -> Filtres pour l’appel de synoptiques de type CEL -> Heure -> Filtre temps absolu

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Filtre temps absolu

Le filtre absolu permet de définir une période de temps fixe. Lors de l’exécution de la fonction, l’intervalle temps absolu défini est utilisé avec exactitude. Pour configurer le filtre :

  1. Dans la section Filtre, sélectionnez l’option Intervalle absolu.
  2. Configurez l’intervalle de temps souhaité dans la section Paramètres.

Paramètres | Description
Paramètres | Configuration du filtre de temps.
Proposer la date/l’heure actuelle | Active : Le filtre de temps est affiché dans le Runtime.
Par défaut | Active : Le filtre de temps est fourni dans Editor. Seule l’heure de début peut encore être configurée dans le Runtime.
De | Heure de début du filtre. Sélection du jour, du mois, de l’année, de l’heure, de la minute et de la seconde
À | Heure de fin du filtre. Sélection du jour, du mois, de l’année, de l’heure, de la minute et de la seconde

Fermer boîte de dialogue

Options | Description :
OK | Applique toutes les modifications effectuées sur tous les onglets, puis ferme la boîte de dialogue.
Annuler | Annule toutes les modifications effectuées sur tous les onglets, puis ferme la boîte de dialogue.
Aide | Ouvre l'aide en ligne.


Intervalle relatif

Manuel -> Liste d’événements (CEL) -> Configurer la liste CEL -> Configuration de la liste CEL à l’aide de filtres -> Filtres pour l’appel de synoptiques de type CEL -> Heure -> Intervalle relatif

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Intervalle relatif

Un intervalle de temps relatif est saisi.

Attention : Ce filtre est constamment mis à jour et continue à fonctionner.
Exemple : Vous pouvez définir un intervalle relatif de 10 minutes et basculer vers un synoptique en réglant ce filtre de temps sur 12:00. Vous verrez alors s’afficher les alarmes de 11:50 à 12:00 lors de l’appel de synoptique. Si le synoptique reste ouvert, le filtre est automatiquement mis à jour. À 12:01, les alarmes de 11:51 à 12:01 sont affichées, et ainsi de suite.

Pour configurer le filtre :

  1. Dans la section Filtre, sélectionnez l’option Intervalle relatif.
  2. Configurez l’intervalle de temps souhaité dans la section Paramètres.

Paramètres | Description
Paramètres | Configuration du filtre de temps.
Proposer la date/l’heure actuelle | Active : Le filtre de temps est affiché dans le Runtime.
Par défaut | Active : Le filtre de temps est fourni dans Editor. Seule l’heure de début peut encore être configurée dans le Runtime. Sélection de l’intervalle relatif en jours, heures, minutes et secondes.

Fermer boîte de dialogue

Options | Description :
OK | Applique toutes les modifications effectuées sur tous les onglets, puis ferme la boîte de dialogue.
Annuler | Annule toutes les modifications effectuées sur tous les onglets, puis ferme la boîte de dialogue.
Aide | Ouvre l'aide en ligne.


De

Manuel -> Liste d’événements (CEL) -> Configurer la liste CEL -> Configuration de la liste CEL à l’aide de filtres -> Filtres pour l’appel de synoptiques de type CEL -> Heure -> De

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
De

Définit l’heure à partir de laquelle le filtre est appliqué. Pour configurer le filtre :

  1. Dans la section Filtre, sélectionnez l’option Inactif.
  2. Sélectionnez le filtre souhaité dans la liste déroulante.
    • À partir de HH:MM:SS heures
    • Depuis le jour - HH:MM:SS heures
    • Depuis le jour, mois à HH:MM:SS
  3. Configurez l’intervalle de temps souhaité dans la section Paramètres.

Paramètres

Description

Paramètres

Configuration du filtre de temps.

[Date/Heure]

Selon la configuration de l’option Inactif, l’heure à partir de laquelle le filtre est appliqué est configurée ici :

  • À partir de HH:MM:SS
  • À partir du jour - HH:MM:SS
  • À partir d’un jour, d’un mois, à HH:MM:SS

Attention ! L’heure de début de ce filtre n’est pas mise à jour automatiquement. Seules les heures existantes affichées sont appliquées, même si le synoptique reste ouvert et l’heure de 23:00:00 est atteinte.
L’heure de fin de l’intervalle n’est pas définie avec ce filtre?; elle est reportée.
  • À partir de HH:MM:SS

L’heure à partir de laquelle le filtre est appliqué. Si l’heure n’est pas atteinte ce jour, le filtrage a lieu à partir de l’heure correspondante le jour précédent.

Exemple : Vous saisissez 23:00:00. Si la fonction est exécutée à 23:30, elle est filtrée de 23:00:00 jusqu’à l’heure actuelle. S’il est 22:30, toutefois, le filtrage est actif de 23:00:00 le jour précédent jusqu’à l’heure actuelle.
  • À partir du jour - HH:MM:SS

Un jour et une heure de début du filtre sont saisis. Si l’heure indiquée n’a pas été atteinte au cours du mois actuel, l’heure correspondante définie le mois précédent est utilisée.

Exemple : Vous saisissez jour 5 - 23:00:00. Si nous sommes le 10 du mois et il est 23:30, le filtrage sera appliqué à compter du 5 à 23:00:00 jusqu’à l’heure actuelle. Si toutefois nous sommes le 4 du mois, le filtrage sera appliqué à partir du 5 du mois précédent jusqu’à l’heure actuelle.

  • À partir d’un jour, d’un mois, à HH:MM:SS

Un mois, un jour et une heure de début du filtre sont saisis. Si l’heure indiquée n’a pas été atteinte au cours de l’année actuelle, l’heure correspondante définie l’année précédente est utilisée.

Exemple : Vous saisissez Jour 5, Mois Octobre - 23:00:00. Si nous sommes le 10 octobre et il est 23:30, le filtrage est appliqué à compter du 5 octobre à 23:00:00 jusqu’à l’heure actuelle. Si toutefois nous ne sommes que le 4 octobre, le filtrage sera appliqué à partir du 5 octobre de l’année précédente, de 23:00 jusqu’à l’heure actuelle.

Fermer boîte de dialogue

Options | Description :
OK | Applique toutes les modifications effectuées sur tous les onglets, puis ferme la boîte de dialogue.
Annuler | Annule toutes les modifications effectuées sur tous les onglets, puis ferme la boîte de dialogue.
Aide | Ouvre l'aide en ligne.


Intervalle

Manuel -> Liste d’événements (CEL) -> Configurer la liste CEL -> Configuration de la liste CEL à l’aide de filtres -> Filtres pour l’appel de synoptiques de type CEL -> Heure -> Intervalle

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Intervalle

Définit une période de temps durant laquelle le filtre est appliqué. Pour configurer le filtre :

  1. Dans la section Filtre, sélectionnez l’option Intervalle.
  2. Configurez l’intervalle de temps souhaité dans la section Paramètres.

Options

Description :

Intervalle

Sélection d’une plage de temps dans une liste déroulante.

Le filtrage de cette plage de temps est effectué dans le Runtime. Le filtre est définir par rapport à l’heure de l’appel de synoptique.
Par exemple : La valeur 60 minutes affiche toutes les archives de la dernière heure.

Si cette boîte de dialogue est affichée dans le Runtime, l’heure de début de la plage de temps peut être sélectionnée.

Paramètres

Paramètre en option pour l’intervalle.

Modifier l'intervalle

Permet de modifier les cycles, les délais et les prolongations de périodes de temps.

Active : L’évaluation est réalisée conformément aux règles suivantes :

  • D’abord, l’option Utiliser la dernière période de temps effectuée est évaluée.
  • Ensuite, l’option Modifier la période de temps de est utilisée.
  • Enfin, l’option Déplacer la période de temps dans le futur de est appliquée.

Inactive : Aucune modification n’est apportée à la période de temps.

Attention : Dans la version 7.10, les actions de filtrage réalisées avec cette fonction génèrent des résultats différents de celles réalisées dans les versions antérieures.

Déplacer l’intervalle dans le futur de

Active : La période de temps définie dans le filtre est décalée vers le futur. L’heure de début et l’heure de fin sont déplacées en fonction du cycle d’heure défini.

Indication en heures - minutes - secondes.

Si un décalage égal ou supérieur à la période de temps sélectionnée est défini, un message invitant l’utilisateur à vérifier la configuration s’affiche.

Modifier l’intervalle de

Active : La période de temps définie dans le filtre est modifiée. L’heure de fin est déplacée en fonction du cycle d’heure défini. L’heure de début reste inchangée.

Indication en heures - minutes - secondes.

L’intervalle peut être ajouté ou déduit. La sélection de l'attribution s'effectue au moyen des cases d'option :

  • Ajouter le temps : L’heure indiquée dans le paramètre Modifier la période de temps de est ajoutée au temps défini dans le paramètre Période de temps.
  • Soustraire le temps : L’heure indiquée dans le paramètre Modifier la période de temps de est déduite du temps défini dans le paramètre Période de temps.

Si une modification et un décalage égaux ou supérieurs à la période de temps sélectionnée sont définis, un message invitant l’utilisateur à vérifier la configuration s’affiche à côté de l’élément de contrôle pour la configuration du temps.

Utiliser la dernière période terminée

Active : La période de temps sélectionnée en dernier et entièrement terminée dans l’option Période de temps est utilisée.

Exemple : Pour l’option Période de temps, Un jour a été sélectionné. Le filtre est effectué pour "Hier", car il s’agit du dernier jour qui s’est entièrement terminé.

Fermer boîte de dialogue

Options | Description :
OK | Applique toutes les modifications effectuées sur tous les onglets, puis ferme la boîte de dialogue.
Annuler | Annule toutes les modifications effectuées sur tous les onglets, puis ferme la boîte de dialogue.
Aide | Ouvre l'aide en ligne.


Spécifier un intervalle de temps dans Editor

Manuel -> Liste d’événements (CEL) -> Configurer la liste CEL -> Configuration de la liste CEL à l’aide de filtres -> Filtres pour l’appel de synoptiques de type CEL -> Heure -> Spécifier un intervalle de temps dans Editor

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Spécifier un intervalle de temps dans Editor

Avec cette méthode, saisissez un intervalle de temps fixe dans Editor?; celui-ci sera alors appliqué lorsque la fonction sera exécutée dans le Runtime. Vous pouvez alors uniquement définir l’heure de début dans le Runtime, mais aucun autre paramètre de filtre.

Par exemple : Vous définissez un filtre temps de 30 minutes. Dans le Runtime, vous pouvez uniquement définir l’instant auquel doit débuter cet intervalle de temps de 30 minutes. Toutefois, vous ne pouvez pas transformer le filtre en filtre de jour.

attention Attention

Si vous utilisez ce filtre, vous ne pouvez plus modifier les autres filtres disponibles dans l’onglet Général dans le Runtime. Vous pouvez toutefois encore filtrer le texte, les états et les équipements.

Pour créer le filtre :

  1. Le synoptique doit comporter un bouton Filtre permettant d’exécuter le filtre dans le Runtime
  2. Sélectionnez le filtre souhaité
  3. Configurez l’intervalle de temps spécifié

Conseil relatif à l’intervalle de temps : Activez l’option Afficher la boîte de dialogue de filtre dans le Runtime dans la boîte de dialogue de filtre. Ceci vous permet de modifier l’heure de début avant l’exécution de la fonction. N’activez pas l’affichage du filtre dans le Runtime lorsque la fonction est activée?; ceci garantit que l’intervalle actuel est toujours utilisé. Si vous avez activé l’option Utiliser le dernier intervalle de temps fermé, l’intervalle de temps précédent est affiché.
Exemple : Vous définissez un filtre temps de 30 minutes. Il est 10:45 lorsque la fonction est activée. Si l’option Utiliser le dernier intervalle de temps fermé est désactivée, le filtre est défini sur l’intervalle de temps actuel, de 10:30:00 à 10:59:59. Si l’option est activée, le filtre est défini sur l’intervalle de temps précédent, de 10:00:00 à 10:29:59.


Le filtre de temps peut être configuré dans le Runtime

Manuel -> Liste d’événements (CEL) -> Configurer la liste CEL -> Configuration de la liste CEL à l’aide de filtres -> Filtres pour l’appel de synoptiques de type CEL -> Heure -> Le filtre de temps peut être configuré dans le Runtime

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Le filtre de temps peut être configuré dans le Runtime

Avec cette méthode, vous définissez un filtre de temps dans Editor. Celui-ci peut être modifié dans le Runtime avant exécution. Pour créer le filtre :

  1. Le synoptique doit comporter des boutons Filtre et Visualiser filtre
  2. Sélectionnez le filtre souhaité :
    • Filtre temps absolu
    • Intervalle relatif
  3. Dans la section Paramètres, sélectionnez l’option Proposer la date/l’heure actuelle.
  4. La boîte de dialogue de filtre s’affiche dans le Runtime, avec la date et l’heure actuelles.


Lots

Manuel -> Liste d’événements (CEL) -> Configurer la liste CEL -> Configuration de la liste CEL à l’aide de filtres -> Filtres pour l’appel de synoptiques de type CEL -> Lots

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Vous pouvez choisir de limiter l’affichage à certains lots sur cet onglet. Les informations des lots sont également appliquées au filtre existant. Si le filtre de lots est activé, une liste de tous les lots configurés correspondant à la période de temps configurée est préalablement obtenue depuis le serveur d’archives du Runtime lors du chargement de la liste CEL.

Attention : Toutes les variables et archives appartenant à un équipement et l’archive de lots doivent être liées au même équipement dans le modèle d’équipement.

info Informations

Certains filtres dans zenon peuvent être configurés indépendamment les uns des autres, puis associés dans le Runtime. Ceci est uniquement possible dans une certaine mesure, avec le filtre de lots.

Le filtre de lots peut afficher une liste de lots existants dans le Runtime. En revanche, les données du Runtime ne sont pas disponibles dans Editor.

Lors de la configuration de l’appel de synoptique dans Editor, l’onglet Filtre de temps peut uniquement être utilisé conjointement au filtre de lots, en tant que pré-filtre pour la boîte de dialogue de sélection. Si vous sélectionnez un lot dans cette liste dans le Runtime, le filtre de temps est remplacé avec les données issues du lot sélectionné pour autoriser un filtrage précis du lot sélectionné.

Ceci signifie : Si la boîte de dialogue de sélection de lots est utilisée dans le Runtime et un lot est sélectionné, le filtre de temps affiché ne correspond pas à celui configuré dans Editor.

Filtre

Paramètres d’application du filtre de lots. Sélectionnez une des options suivantes :

  • Pas de filtre de lots
  • Appliquer directement le filtre de lots
  • Afficher la boîte de dialogue de sélection de lots
    Remarque : Si le filtre de lots est affiché sous forme de boîte de dialogue, il peut être pré-filtré en fonction des identifiants d’archive. Nous vous recommandons expressément d’utiliser ce pré-filtrage pour améliorer les performances.

Paramètres

Description

Pas de filtre de lots
  • Active : Le filtre de lots est désactivé et ne peut pas être configuré. Le filtrage de lots n’est pas exécuté dans le Runtime.

Appliquer directement le filtre de lots
  • Active : Le filtre configuré ici est directement appliqué dans le Runtime.

Remarque : Il n’existe aucune possibilité pour afficher tous les lots dans une liste et en sélectionner un manuellement. Si un lot particulier doit être affiché, le filtre pour les archives, les noms et les heures doit être configuré en conséquence. Ceci nécessite une excellente connaissance des données existantes. Dans l’alternative, nous vous recommandons de sélectionner l’option Afficher la boîte de dialogue de sélection de lots.

Afficher la boîte de dialogue de sélection de lots

Active : La boîte de dialogue de sélection est affichée dans le Runtime dans les situations suivantes :

  • Lorsque vous cliquez sur Filtre, ou
  • Lors d’un appel de synoptique, si l’option Afficher cette boîte de dialogue dans le Runtime a été activée (indisponible avec tous les types de fonctions et de synoptiques).
    Remarque : La boîte de dialogue n’est pas affichée en cas de rechargement du projet.

Les options peuvent être présélectionnées dans Editor.

Remplacer dialogue avec ce synoptique en runtime

Uniquement disponible si l’option Afficher la boîte de dialogue de sélection de lots a été sélectionnée.

Permet de définir un synoptique devant être appelé dans le Runtime à la place de la boîte de dialogue de sélection de lots. Seuls les synoptiques Filtre de temps/de lot sont proposés.

Cliquez sur le bouton ... pour ouvrir une boîte de dialogue permettant de sélectionner un synoptique.

Si le synoptique lié n’est pas localisé dans le Runtime, une recherche est effectuée pour trouver les synoptiques correspondants portant le nom spécifié.

Remarque : Un synoptique de filtre de lots peut également être sélectionné avec l’option Afficher cette boîte de dialogue dans le Runtime. Toutefois, il n’est pas utilisé comme filtre, mais comme synoptique de filtre de temps. Les options de filtre de lots ne sont pas correctement appliquées à cet emplacement.

Sélection relative des lots

Attention : Cette option est uniquement disponible pour le module Extended Trend. Avec les cadrans, elle est affichée pour tous les types de synoptiques?; ici, toutefois, elle est uniquement disponible pour le module ETM.

Configuration pour le module ETM :

Pour que l’option soit disponible, l’option Afficher la boîte de dialogue de sélection de lots doit être activée et la propriété Projet Windows CE doit être désactivée dans les propriétés du projet.

  • Active : Autorise la comparaison directe de plusieurs lots. L’affichage débute toujours au point zéro.

Remarque : Si l’option est activée, les boutons Diagramme et l’axe X ne sont pas disponibles dans le Runtime. Ceci s’applique également pour la fonctionnalité clic droit.

Vue d’ensemble de la mise en œuvre de la configuration dans le Runtime :

Heure

Configuration du filtre de temps pour la sélection de lots. Sélectionnez une des options suivantes :

  • Pas de filtre
  • Derniers lots
  • Utiliser le filtre de temps de l’onglet Temps

Paramètres

Description

Pas de filtre
  • Active : La plage de temps définie sur l’onglet Temps n’est pas prise en compte. Tous les lots terminés et actuels sont affichés.

Derniers lots

Attention : Fonctionne uniquement avec l’option Appliquer directement le filtre de lots.

L’option permet d’associer les options Afficher les lots actuels et Afficher les lots terminés. Une des deux options au moins doit être activée. Si les deux options ont été désactivées, ceci correspond au paramètre Pas de filtre.

  • Active : Saisie du nombre de lots terminés, en fonction des critères de filtre sélectionnés. Saisie du nombre dans le champ correspondant ou configuration à l’aide des touches fléchées.

Exemple : La valeur 3 a été saisie pour l’option. 2 lots sont en cours d’exécution et 10 sont terminés. Les lots suivants sont affichés : les deux lots actuels et les lots terminés.

Remarque : La configuration du filtre de temps n’est pas utilisée comme intervalle pour les lots actuels, mais pour l’année passée. Le filtre ne sera pas mis en œuvre en tant que pré-filtre, et ne peut donc pas être utilisé pour améliorer les performances.

Notes concernant la compatibilité :
Si le projet est compilé pour une version antérieure à la version 7.11, les dispositions suivantes s’appliquent : Si les lots actuels ou l’association de lots en cours et terminés sont sélectionnés, seuls les lots terminés sont affichés dans le Runtime.

Afficher les lots actuels
  • Active : Les lots actuels sont affichés.

Remarque : Si le nombre de lots à afficher est supérieur au nombre de lots actuels, les lots terminés sont également affichés jusqu’à ce que la limite configurée soit atteinte.
Exemple : 3 lots doivent être affichés. 1 lot est en cours d’exécution, 5 lots sont terminés. Le lot actuel et les deux lots terminés sont affichés.

Afficher les lots terminés
  • Active : Les lots terminés sont affichés.

Remarque : Si le nombre de lots à afficher est supérieur au nombre de lots terminés, les lots terminés sont également affichés jusqu’à ce que la limite configurée soit atteinte.

Utiliser le filtre de temps de l’onglet Temps
  • Active : Le préfiltrage est effectué avec les paramètres de l’onglet Temps.

La plage effective du filtre peut être modifiée dans les limites de cette plage de temps. Sélectionnez dans la liste déroulante :

  • Inclure les valeurs de début et de fin situées hors des limites du filtre : (Par défaut)
    Les lots peuvent démarrer avant l’heure de début configurée dans le filtre Temps et se terminer après l’heure de fin configurée.
  • Uniquement les valeurs de début et de fin situées hors des limites du filtre :
    Les lots doivent commencer et se terminer dans les limites des horaires de début et de fin configurés dans le filtre Temps.
  • Inclure les valeurs de début antérieures aux limites du filtre :
    Les lots peuvent démarrer avant l’heure de début configurée dans le filtre Temps et se terminer après l’heure de fin configurée.
  • Inclure les valeurs postérieures à la limite du filtre :
    Les lots peuvent également se terminer après la fin de la période définie dans le filtre Temps, mais doivent commencer à l’heure de début configurée ou après celle-ci.
  • Conformer les valeurs de début et de fin aux limites du filtre :
    Les lots sont tronqués conformément aux horaires de début et de fin configurés dans le filtre Temps.

Archives

Configuration du filtrage pour les archives. Ce filtre est appliqué comme pré-filtre pour la boîte de dialogue de sélection de lots.

Sélectionnez une des options suivantes :

  • Pas de filtre
  • Statique
  • Depuis une variable

Paramètres

Description

Pas de filtre
  • Active : Le filtrage des noms d’archives est désactivé.

Statique
  • Active : Les archives dont l’identifiant correspond à la chaîne de caractères saisie dans le champ de recherche sont filtrées.

Saisissez les identifiants d’archive dans le champ de recherche.

  • Séparez plusieurs identifiants par une virgule (,).
  • * ou vide : Toutes les archives, pas de filtre.

Depuis une variable
  • Active : La valeur des variables liées ici est appliquée sous forme de filtre de noms d’archive dans le Runtime.

Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de variables.

Disponible pour les modules AML et CEL si l'option Appliquer directement le filtre de lots a été sélectionnée : D’autres modules utilisent leurs propres configurations.

Remarques concernant les variables dans le Runtime :

  • La sélection de variables est uniquement activée dans le Runtime si une variable valide a déjà été liée dans le Runtime. Le bouton ... est toujours désactivé dans le Runtime. L’option peut être sélectionnée, mais aucune nouvelle variable ne peut être liée.
  • Si la variable n’est pas authentifiée auprès du driver au moment de l’application du filtre de lots, la variable est authentifiée et lue. Ceci peut entraîner des délais avec les connexions de drivers et protocoles plus lents.

Attention : Si la variable sélectionnée n’est pas présente dans le Runtime, aucun filtrage de noms d’archive n’est effectué. Ceci est également vrai s’il est impossible de déterminer la valeur de la variable. Le filtre correspond dans ce cas au paramètre Pas de filtre.

Remarque concernant le module ETM : Dans le module ETM, les archives sont définies en fonction des courbes configurées dans la fonction d’appel de synoptique. Dans le Runtime, ceci est uniquement possible avec l’option lots relatifs. Les variables doivent alors être sélectionnées dans le Runtime, ce qui dépend de l’éventuelle sélection d’archives. Une fois filtrée, l’archive doit être une des archives liées aux courbes configurées. Si ce n’est pas le cas, aucune donnée ne sera affichée. Ce paramètre peut toutefois également être utilisé pour limiter l’affichage des courbes. Ces courbes restent toutefois affichées dans la liste de courbes.

Exemple avec le module ETM :

Courbes configurées | Source de données | Pré-filtrage des archives dans le filtre de lots | Résultat sur le synoptique
A | AR | AR | Affichée dans la liste de courbes et dessinée dans la tendance.
B | EA |  | Uniquement affichée dans la liste de courbes.
C | EP |  | Uniquement affichée dans la liste de courbes.

Remarque concernant la maintenance d’archive : L’archive pour laquelle le synoptique est ouvert est déjà sélectionnée dans la fonction d’appel de synoptique. Une seule archive peut être sélectionnée?; aussi, il est inutile d’imposer d’autres limitations.

Exemple de maintenance d’archive :

Archive configurée | Pré-filtrage des archives dans le filtre de lots | Résultat sur le synoptique
AR | EA | Aucune donnée n’est affichée.

Noms

Configuration du filtrage des noms. Sélectionnez une des options suivantes :

  • Pas de filtre
  • Statique
  • Depuis une variable

Paramètres

Description

Pas de filtre
  • Active : Le filtrage des noms de lots est désactivé.

Statique
  • Active : Les noms de lots correspondant à la chaîne de caractères saisie dans le champ de recherche sont filtrés.

Saisissez le nom de lot dans le champ de recherche :

  • Séparez les entrées multiples par un tube (|).
  • * ou vide : Tous les lots de toutes les archives affichées, pas de filtre.

Depuis une variable
  • Active : La valeur de la variable liée ici est appliquée sous forme de filtre de noms de lot dans le Runtime.

Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de variables.

Uniquement disponible si l’option Appliquer directement le filtre de lots a été sélectionnée :

Remarques concernant les variables dans le Runtime :

  • La sélection de variables est uniquement activée dans le Runtime si une variable valide a déjà été liée dans le Runtime. Le bouton ... est toujours désactivé dans le Runtime. L’option peut être sélectionnée, mais aucune nouvelle variable ne peut être liée.
  • Si la variable n’est pas authentifiée auprès du driver au moment de l’application du filtre de lots, la variable est authentifiée et lue. Ceci peut entraîner des délais avec les connexions de drivers et protocoles plus lents.

Attention : Si la variable sélectionnée n’est pas présente dans le Runtime, aucun filtrage de noms de lot n’est effectué. Ceci est également vrai s’il est impossible de déterminer la valeur de la variable. Le filtre correspond dans ce cas au paramètre Pas de filtre.

Fermer boîte de dialogue

Paramètres | Description
OK | Applique toutes les modifications effectuées sur tous les onglets, puis ferme la boîte de dialogue.
Annuler | Annule toutes les modifications effectuées sur tous les onglets, puis ferme la boîte de dialogue.
Aide | Ouvre l'aide en ligne.


Paramètres des colonnes

Manuel -> Liste d’événements (CEL) -> Configurer la liste CEL -> Configuration de la liste CEL à l’aide de filtres -> Filtres pour l’appel de synoptiques de type CEL -> Paramètres des colonnes

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Dans cette boîte de dialogue, vous pouvez définir les colonnes que vous souhaitez afficher, ainsi que leur format d’affichage, leur ordre d’affichage et l’ordre de tri des données.

Remarque : tous les paramètres configurés dans cet onglet sont les paramètres par défaut des options suivantes :

  • Synoptique de liste d’événements
  • Filtre de liste d’événements
  • Exporter au format CSV, dBase ou XML

Ces paramètres par défaut peuvent être modifiés lors de la configuration des différentes fonctions de la liste CEL.

info Informations

Dans les paramètres du projet, vous pouvez définir un paramètre par défaut pour définir l’ordre et la largeur des colonnes à l’aide des propriétés Paramètres des colonnes alarmes ou Paramètres des colonnes liste d'événements. Lors de la création d’une nouvelle fonction d’appel de synoptique depuis un synoptique de liste d’alarmes ou un synoptique de liste d’événements, ce paramètre est utilisé par défaut?; il peut être modifié dans l’onglet correspondant. Le paramètre est conservé dans le fichier project.ini.

Colonnes Paramètres

Description

Colonnes

Dans le champ de liste de cet onglet, tous les types de colonnes disponibles sont affichés.

Vous pouvez modifier l’ordre des colonnes en les faisant glisser dans le champ de liste :

  • Cliquez sur la colonne Type de colonne.
  • Déplacez les entrées individuelles à votre convenance.

Vous pouvez également ajuster l’ordre des entrées à l’aide des options Vers le haut et Vers le bas.
  • Case à cocher :

Sélectionnez les types de colonnes que vous souhaitez afficher.
  • Description :

Texte libre de description de la colonne.

Modifier la description : cliquez avec le bouton gauche sur la zone correspondante. Saisissez la valeur souhaitée dans le champ de recherche.

Remarque : pour les descriptions de colonnes, la fonction de basculement de langue de zenon est disponible.
  • Largeur de colonne :

Définit la largeur de la colonne, en caractères.

Modifier la largeur des colonnes : cliquez avec le bouton gauche sur la zone correspondante. Saisissez la valeur souhaitée dans le champ de recherche.
-1la largeur est calculée dans le Runtime, sur la base de la largeur moyenne des caractères.

Remarque : Pour des raisons de compatibilité, les colonnes dont la largeur ne pouvait pas être modifiée dans les versions antérieures de zenon (Date et heure) comportent la valeur -1.

  • Affichage :

Pour les types de colonnes

  • Symbole Classe d’alarmes/d’événements
  • Symbole de groupe d’alarmes/d’événements
  • État d’alarme

Le format d’affichage réel peut être sélectionné dans le Runtime. Sélectionnez le format souhaité dans la liste déroulante.

Vers le haut

Remonte l’entrée sélectionnée d’une position.

Déplacer l'entrée sélectionnée vers le bas

Abaisse l’entrée sélectionnée d’une position.

Champ de prévisualisation

Affiche les colonnes définies dans le champ de liste avec la largeur sélectionnée.

Vous pouvez également ajuster la largeur des colonnes en cliquant avec le bouton gauche sur le bord droit d’une colonne et en maintenant le bouton de la souris enfoncé pendant que vous déplacez la souris vers la gauche ou la droite.

Paramètres de tables

Tri décroissant

Trie les entrées de la liste selon leur Heure d’apparition, par ordre décroissant. Ce paramètre s’applique à l’appel d’un synoptique.
Vous pouvez modifier l’ordre de tri dans le Runtime en cliquant sur l’intitulé de la colonne. L’ordre de tri actuellement utilisé est représenté par une flèche dans l’en-tête de la colonne.

Afficher la grille

Affiche une grille lorsque la liste est affichée dans le Runtime.

Alterner les couleurs d’arrière-plan

Utilise les couleurs de ligne 1 et 2 en alternance pour l’affichage de l’arrière-plan de la liste dans le Runtime.

Couleur de ligne 1

Couleur utilisée en tant que couleur d’arrière-plan de la liste dans le Runtime pour tous les nombres impairs (1, 3, 5, etc.), si vous avez activé l’option Utiliser des couleurs de fond en alternance.

Couleur de ligne 2

Couleur utilisée en tant que couleur d’arrière-plan de la liste dans le Runtime pour tous les nombres pairs (2, 4, 6, etc.), si vous avez activé l’option Utiliser des couleurs de fond en alternance.

Affichage dans les colonnes d’heure

Heure

Affiche l’heure d’une entrée de liste sous la forme suivante : HH:MM:SS

Date

Affiche la date d’une entrée de liste sous la forme suivante : JJ:MM:AAAA

Millisecondes

Étend la précision de l’entrée de temps aux millisecondes.

Remarque : Cette option doit être activée si les millisecondes doivent apparaître dans les fichiers d’exportation ou les impressions.

Conseil : Si vous avez activé le clavier automatique dans le Runtime, celui-ci est activé lors de l’affichage d’un champ d’édition. Vous pouvez également utiliser ce champ pour configurer les colonnes, si vous utilisez un ordinateur sans clavier.

attention Attention

La largeur de colonne est fournie en caractères, et dépend de la police de caractères utilisée.

Si la largeur de colonne n’est pas un multiple de la largeur de caractère de la police de caractères utilisée, la largeur réelle de la colonne pourra être différente de la largeur de colonne définie. Ceci peut provoquer l’affichage de texte tronqué ou l’apparition d’un espace vide.

Solution : Utilisez des polices avec des caractères de largeur fixe.

info Informations

Si des variables ont été configurées avec des unités de mesure, l’unité de mesure de la variable correspondante est affichée dans la liste d’événements. Pour cela, le type de colonne Unité doit être affiché.


Texte

Manuel -> Liste d’événements (CEL) -> Configurer la liste CEL -> Configuration de la liste CEL à l’aide de filtres -> Filtres pour l’appel de synoptiques de type CEL -> Texte

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Critères de filtre

Paramètres | Description
Critères de filtre |
Pas de filtre de texte | Le filtre de texte n'est pas utilisé.
Rechercher (mots séparés par des espaces) | Le filtre textuel n’est pas utilisé. Les autres options sont désactivées.
Champ de saisie | Saisissez les mots ou chaînes de caractères souhaité(e)s.

Options

Paramètres | Description
Options |
Tenir compte de la capitalisation | Active : La fonction de filtre tient compte de la casse.
Les mots entiers n’apparaissent pas dans le texte | Active : Certaines parties de mots peuvent également être prises en compte durant le filtrage.
Au moins un mot doit se trouver dans le texte | Active : Au moins un des mots de l’expression de recherche doit être présent dans le texte.
Tous les mots doivent être présents dans le texte | Active : Tous les mots doivent être présents dans l’expression de recherche. Dans ce cas, l’ordre des mots n’a aucune incidence.
Le texte filtré apparaît exactement dans le texte | Active : Le texte doit être absolument identique au texte de l’expression de recherche.


État

Manuel -> Liste d’événements (CEL) -> Configurer la liste CEL -> Configuration de la liste CEL à l’aide de filtres -> Filtres pour l’appel de synoptiques de type CEL -> État

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

L’état de la case à cocher indique si le bit d’état doit être évalué.

État de la case à cocher | Description
Black dot (Point noir) | Le bit d’état n’est pas évalué.
0 | Seules les entrées dans lesquelles le bit d’état est défini sur False sont affichées.
1 | Seules les entrées dans lesquelles le bit d’état est défini sur True sont affichées.

Example Exemple

Si la case à cocher SPONT est définie sur 1, seules les alarmes déclenchées par des valeurs spontanées sont affichées.

Remarque : Pour plus de détails concernant les bits d’état, reportez-vous au chapitre Gestion d’états.


Projet

Manuel -> Liste d’événements (CEL) -> Configurer la liste CEL -> Configuration de la liste CEL à l’aide de filtres -> Filtres pour l’appel de synoptiques de type CEL -> Projet

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Sélection des projets devant être pris en compte pour la liste CEL. Le filtre de sélection de sous-projets est uniquement disponible dans le projet d’intégration de la gestion multi-projets.

Pour effectuer une sélection dans le projet d’intégration et les sous-projets, maintenez la touche Ctrl enfoncée pendant que vous cliquez sur les projets de votre choix.


Modèles d’équipement

Manuel -> Liste d’événements (CEL) -> Configurer la liste CEL -> Configuration de la liste CEL à l’aide de filtres -> Filtres pour l’appel de synoptiques de type CEL -> Modèles d’équipement

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Dans le filtre, tous les modèles d’équipements existants sont affichés. Via le menu contextuel ou la barre d’outils, vous pouvez créer de nouveaux modèles et groupes.

info Informations

Lors de l’application d’un filtre de modèle d’équipement, tous les messages système sont toujours inclus. Ceci s’applique également si, lors de l’appel de synoptique, sur l’onglet Général, l’option Afficher les messages du système dans la liste a été désactivée.

Pour ajouter des groupes au filtre :

  1. Sélectionnez l’élément de votre choix.
  2. Cliquez sur le bouton Ajouter.
  3. Répétez cette opération jusqu’à ce que tous les groupes souhaités soient présents dans la liste
    (vous ne pouvez pas sélectionner plusieurs éléments à la fois)

Pour supprimer des groupes du filtre :

  1. Sélectionnez l’élément de votre choix.
    (sélection multiple : Appuyez sur la touche Ctrl ou Maj pendant que vous cliquez sur l’élément souhaité).
  2. Cliquez sur le bouton Supprimer.

Modèles d'équipements

Fermer boîte de dialogue

Options | Description :
OK | Applique toutes les modifications effectuées sur tous les onglets, puis ferme la boîte de dialogue.
Annuler | Annule toutes les modifications effectuées sur tous les onglets, puis ferme la boîte de dialogue.
Aide | Ouvre l'aide en ligne.


Filtres pour l’appel de synoptiques de type filtre de liste CEL

Manuel -> Liste d’événements (CEL) -> Configurer la liste CEL -> Configuration de la liste CEL à l’aide de filtres -> Filtres pour l’appel de synoptiques de type filtre de liste CEL

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Pour configurer un synoptique de type filtre de liste d’événements :

  1. configurez une fonction d’appel de synoptique vers un synoptique de type Filtre de liste d’événements
  2. Le filtre est affiché avec les onglets suivants :
    • Synoptiques
    • Général
    • Texte
    • Heure

Autres sujets abordés dans ce chapitre

Synoptiques

Général

Texte

Heure

Lots

Paramètres des colonnes


Synoptiques

Manuel -> Liste d’événements (CEL) -> Configurer la liste CEL -> Configuration de la liste CEL à l’aide de filtres -> Filtres pour l’appel de synoptiques de type filtre de liste CEL -> Synoptiques

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Sur cet onglet, vous pouvez définir les écrans que vous souhaitez mettre à jour par l’intermédiaire du filtre de synoptique.

Les paramètres suivants sont disponibles :

Le filtre est issu du synoptique suivant

Paramètres

Description

Le filtre est issu du synoptique suivant

Définition du synoptique dont le filtre doit être issu.

Synoptique effectuant l'appel

Active : Les paramètres du filtre sont ceux du synoptique depuis lequel le synoptique de filtre est appelé. Le bouton de synoptique est grisé. Vous ne pouvez pas sélectionner de synoptique en particulier, car avec ce paramètre, le filtre est toujours mis à jour depuis le synoptique d’activation.

Remarque : Les paramètres des onglets Général, Texte et Heure sont verrouillés.

Synoptique prédéfini

Cliquez sur le bouton pour ouvrir la boîte de dialogue de sélection de synoptique.

Sélectionnez le synoptique depuis lequel le filtre doit être lu lorsque vous cliquez sur le bouton Mise à jour dans le Runtime.

Les sous-synoptiques de cadrans peuvent être sélectionnés pour les appels de synoptiques de type Filtre de liste AML, Filtre de liste CEL, Filtre de temps et Modèle d’équipement. Pour ces synoptiques, le nom du synoptique du cadran est affiché devant le sous-synoptique, afin de le distinguer clairement des autres synoptiques.

Attention : Lorsque le filtre de synoptique est ouvert pour la première fois à l’aide de la fonction, c’est le filtre configuré dans la fonction qui est utilisé, et non le filtre de synoptique indiqué ici?!

Remarque : Il convient donc de sélectionner un synoptique pouvant intégrer ou remplir le filtre de synoptique.

Le synoptique sélectionné est ajouté à la liste des synoptiques devant être mis à jour. Si vous le supprimez de la liste, le prochain synoptique de la liste est automatiquement inséré à sa place.

Remarque : Indisponible si vous avez coché la case Synoptique exécutant l’appel.

Synoptiques à mettre à jour

Paramètres | Description
Synoptiques à mettre à jour | Sélectionnez les synoptiques que vous souhaitez mettre à jour. Les sous-synoptiques de cadrans peuvent être sélectionnés pour les appels de synoptiques de type Filtre de liste AML, Filtre de liste CEL, Filtre de temps et Modèle d’équipement. Pour ces synoptiques, le nom du synoptique du cadran est affiché devant le sous-synoptique, afin de le distinguer clairement des autres synoptiques.
Sélection du synoptique | Cliquez sur le bouton pour ouvrir la boîte de dialogue de sélection des synoptiques de filtre. Sélectionnez l’écran de votre choix.
Mise à jour | Indication de l’instant auquel le filtre doit commencer à agir.
Mettre à jour sur tous les moniteurs | Active : Les synoptiques devant être mis à jour dans la liste de synoptiques sont mis à jour sur tous les moniteurs accessibles.


Général

Manuel -> Liste d’événements (CEL) -> Configurer la liste CEL -> Configuration de la liste CEL à l’aide de filtres -> Filtres pour l’appel de synoptiques de type filtre de liste CEL -> Général

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Avec le filtre général, vous définissez les événements affichés et votre capacité d’accès aux paramètres correspondants dans le Runtime. Ceci vous permet de différencier les événements selon les événements suivants :

  • Type
  • Provenance des données
  • Variables
  • Groupes, classes d’alarmes/d’événements et domaines d’alarmes

Les propriétés suivantes sont disponibles :

Filtre de variables

Paramètres

Description

Filtre de variables

Limitations aux événements liés à certaines variables

Nom de variable

Saisissez le nom ou la partie du nom de la variable que vous souhaitez filtrer.

L’utilisation de l’opérateur * est autorisée. Les opérateurs sont uniquement autorisés sous forme de préfixe ou de suffixe?; par exemple, *xxx ou xxx*.

Remarque : Les expressions de filtre saisies dans le Runtime ou dans Editor sont automatiquement enregistrées sur l’ordinateur local, dans le fichier zenon6.ini, et peuvent ensuite être sélectionnées dans la liste déroulante.

Attention : Le caractère de virgule (,) n’est pas autorisé pour filtrer les noms de variables !
La virgule peut être saisie comme un texte de filtre, mais aucune entrée n’est affichée. Ceci signifie que filtre spécial des variables d’ensemble pour Dim 2 and Dim 3 est impossible.

Identification

Saisissez l’identification ou une partie de l’identifiant de la variable que vous souhaitez filtrer. L’opérateur * peut être utilisé.

L’utilisation de l’opérateur * est autorisée. Les opérateurs sont uniquement autorisés sous forme de préfixe ou de suffixe?; par exemple, *xxx ou xxx*.

Remarque : Les expressions de filtre saisies dans le Runtime ou dans Editor sont automatiquement enregistrées sur l’ordinateur local, dans le fichier zenon6.ini, et peuvent ensuite être sélectionnées dans la liste déroulante.

Respecter la casse

Active : Les caractères majuscules et minuscules sont pris en compte lors du filtrage par nom ou identifiant de variable.

Provenance des données

Paramètres

Description

Provenance des données

Affichage des événements actuels ou actuels et historiques.

Mémoire circulaire

Active : Seules les données issues de la mémoire circulaire sont affichées.

Données historiques
Nombre maximal

Active : Les données de la mémoire circulaire et les données historiques de la liste CEL sont affichées.

Le nombre maximal de données à afficher inclut les données de la mémoire circulaire.

Paramètres du Runtime

Comportement de la liste CEL dans le Runtime

Montrer la liste sans actualisation

Active : Lorsque la liste est ouverte, aucune nouvelle entrée n’est ajoutée.

(Indisponible dans la fonction Export CEL [Exporter la liste CEL]).

Afficher cette boîte de dialogue dans le Runtime

Active : La boîte de dialogue de filtre est ouverte avant chaque appel de synoptique. Les paramètres de filtre peuvent être modifiés.

Afficher l’heure relative

Toutes les entrées sont affichées avec, dans la colonne de l’heure d’apparition, la différence de temps par rapport à l’entrée sélectionnée.

Le temps affiché est le temps écoulé depuis l’heure d’apparition de l’entrée sélectionnée. L’entrée sélectionnée reçoit automatiquement l’information d’horodatage 0. Les autres événements comportent :

  • Une différence de temps positive par rapport à l’entrée sélectionnée s’ils se sont produits plus tard
  • Une différence de temps négative par rapport à l’entrée sélectionnée s’ils se sont produits plus tôt

Groupes/classes d’alarmes/d’événements, domaines d’alarmes

Paramètres | Description
Groupes/classes d’alarmes/d’événements, domaines d’alarmes | Sélection des groupes, classes et domaines d’alarmes
Groupes d’alarmes/d’événements | Parmi les groupes d’alarmes/d’événements existants, sélectionnez celui dont vous souhaitez afficher les alarmes.
Classes d’alarmes/d’événements | Parmi les classes d’alarmes/d’événements existants, sélectionnez celle dont vous souhaitez afficher les alarmes.
Domaines d’alarmes | Parmi les domaines d’alarmes existants, sélectionnez celui dont vous souhaitez afficher les alarmes.

Filtre pour les messages système

Paramètres

Description

Filtre pour les messages système

Paramètres de filtre pour les messages système. Les messages du système sont des messages qui n’ont pas trait à une variable.

Afficher les messages système dans la liste

Configuration de l’affichage des messages du système, indépendamment des paramètres de filtre.

  • Active : Les messages du système sont toujours affichés dans le Runtime. Ceci s’applique également si les messages doivent être filtrés à l’aide du filtre de texte ou de variable.
    Exemple : Seuls les messages contenant le texte "XY" doivent être affichés. Toutefois, si cette option est active, les messages du système ne contenant pas l’expression sont également affichés.

Exceptions :

  • Les messages du système ne sont pas affichés, bien que la case soit cochée, s’ils sont filtrés par le filtre de temps ou les filtres de provenance des données (mémoire circulaire ou données historiques).
  • Les messages du système sont toujours affichés, quelle que soit la configuration de ce paramètre, si un filtrage est appliqué pour les modèles d’équipement.

Fermer boîte de dialogue

Options | Description :
OK | Applique toutes les modifications effectuées sur tous les onglets, puis ferme la boîte de dialogue.
Annuler | Annule toutes les modifications effectuées sur tous les onglets, puis ferme la boîte de dialogue.
Aide | Ouvre l'aide en ligne.

attention Attention

Lorsque zenon est exécuté sous Windows CE, les considérations suivantes s’appliquent : Les systèmes CE sur lesquels la boîte de dialogue de filtre doit être affichée doivent comporter une résolution d’écran supérieure à 800*600 pixels, faute de quoi la boîte de dialogue ne s’affichera pas entièrement.


Texte

Manuel -> Liste d’événements (CEL) -> Configurer la liste CEL -> Configuration de la liste CEL à l’aide de filtres -> Filtres pour l’appel de synoptiques de type filtre de liste CEL -> Texte

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Critères de filtre

Paramètres | Description
Critères de filtre |
Pas de filtre de texte | Le filtre de texte n'est pas utilisé.
Rechercher (mots séparés par des espaces) | Le filtre textuel n’est pas utilisé. Les autres options sont désactivées.
Champ de saisie | Saisissez les mots ou chaînes de caractères souhaité(e)s.

Options

Paramètres | Description
Options |
Tenir compte de la capitalisation | Active : La fonction de filtre tient compte de la casse.
Les mots entiers n’apparaissent pas dans le texte | Active : Certaines parties de mots peuvent également être prises en compte durant le filtrage.
Au moins un mot doit se trouver dans le texte | Active : Au moins un des mots de l’expression de recherche doit être présent dans le texte.
Tous les mots doivent être présents dans le texte | Active : Tous les mots doivent être présents dans l’expression de recherche. Dans ce cas, l’ordre des mots n’a aucune incidence.
Le texte filtré apparaît exactement dans le texte | Active : Le texte doit être absolument identique au texte de l’expression de recherche.


Heure

Manuel -> Liste d’événements (CEL) -> Configurer la liste CEL -> Configuration de la liste CEL à l’aide de filtres -> Filtres pour l’appel de synoptiques de type filtre de liste CEL -> Heure

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Sur cet onglet, vous pouvez définir la période de temps utilisée lors de l’ouverture du synoptique de filtre.

Pour des informations détaillées concernant les options du filtre de temps, reportez-vous aux chapitres Filtre d’appel de synoptique, Liste CEL/Temps.

Filtre

Sélection du filtre.

Paramètres

Description

Pas de filtre horaire

Active : Aucun filtre temps n’est utilisé.

Note : toutes les entrées Runtime depuis 1. 1. 1990 sont affichées.

Filtre absolu

Active : Un intervalle de temps fixe est défini dans Editor. Lors de l’exécution de la fonction, l’intervalle temps absolu défini est utilisé avec exactitude.

La section Paramètres permet d’afficher et de configurer les options correspondantes.

Remarque : L’heure est enregistrée au format UTC. Pour plus de détails, reportez-vous au chapitre Gestion de la date et de l'heure, dans le chapitre Runtime.

Intervalle relatif

Active : Un intervalle de temps relatif est saisi.

La section Paramètres permet d’afficher et de configurer les options correspondantes.

Attention : Ce filtre est continuellement mis à jour.

De

Active : L’heure à partir de laquelle le filtre est appliqué. Si l’heure n’est pas atteinte ce jour, le filtrage a lieu à partir de l’heure correspondante le jour précédent.

Sélectionnez le mode du domaine dans la liste déroulante?;

  • À partir de HH:MM:SS
  • À partir du jour - HH:MM:SS
  • À partir d’un jour, d’un mois, à HH:MM:SS

La section Paramètres permet d’afficher et de configurer les options correspondantes.

Attention : L’heure de début de ce filtre n’est pas mise à jour automatiquement. Seules les heures existantes affichées sont utilisées.
L’heure de fin n’est pas définie avec ce filtre?; elle est reportée.

Intervalle

Active : Un intervalle de temps fixe est saisi. Sélectionnez le mode du domaine dans la liste déroulante?;

  • Horaire-jour
  • Horaire-semaine
  • Deux semaines
  • Un mois
  • Une année
  • 15 minutes
  • 30 minutes
  • 60 minutes

La section Paramètres permet d’afficher et de configurer les options correspondantes.

Fermer boîte de dialogue

Paramètres | Description
OK | Applique toutes les modifications effectuées sur tous les onglets, puis ferme la boîte de dialogue.
Annuler | Annule toutes les modifications effectuées sur tous les onglets, puis ferme la boîte de dialogue.
Aide | Ouvre l'aide en ligne.


Lots

Manuel -> Liste d’événements (CEL) -> Configurer la liste CEL -> Configuration de la liste CEL à l’aide de filtres -> Filtres pour l’appel de synoptiques de type filtre de liste CEL -> Lots

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Sur cet onglet, vous pouvez définir les lots à afficher.

Filtre

Paramètres d’application du filtre de lots. Sélectionnez une des options suivantes :

  • Pas de filtre de lots
  • Appliquer directement le filtre de lots
Paramètres | Description
Pas de filtre de lots | Active : Le filtre de lots est désactivé et ne peut pas être configuré. Le filtrage de lots n’est pas exécuté dans le Runtime.
Appliquer directement le filtre de lots | Active : Le filtre configuré ici est directement appliqué dans le Runtime.

Archive(s)

Configuration du filtrage pour les archives. Sélectionnez une des options suivantes :

  • Pas de filtre
  • Statique
  • Depuis une variable

Paramètres

Description

Pas de filtre

Active : Le filtrage des noms d’archives est désactivé.

Statique

Active : Les archives dont l’identifiant correspond à la chaîne de caractères saisie dans le champ de recherche sont filtrées.

Saisissez les identifiants d’archive dans le champ de recherche.

  • Séparez plusieurs identifiants par une virgule (,).
  • * ou vide : Toutes les archives, pas de filtre.

Depuis une variable

Active : La valeur des variables liées ici est appliquée sous forme de filtre de noms d’archive dans le Runtime.

Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de variables.

Uniquement disponible pour tous les modules si l’option Appliquer directement le filtre de lots a été sélectionnée :

Remarques concernant les variables dans le Runtime :

  • La sélection de variables est uniquement activée dans le Runtime si une variable valide a déjà été liée dans le Runtime. Le bouton ... est toujours désactivé dans le Runtime. L’option peut être sélectionnée, mais aucune nouvelle variable ne peut être liée.
  • Si la variable n’est pas authentifiée auprès du driver au moment de l’application du filtre de lots, la variable est authentifiée et lue. Ceci peut entraîner des délais avec les connexions de drivers et protocoles plus lents.

Attention : Si la variable sélectionnée n’est pas présente dans le Runtime, aucun filtrage de noms d’archive n’est effectué. Ceci est également vrai s’il est impossible de déterminer la valeur de la variable. Le filtre correspond dans ce cas au paramètre Pas de filtre.

Nom(s)

Configuration du filtrage des noms. Sélectionnez une des options suivantes :

  • Pas de filtre
  • Statique
  • Depuis une variable

Paramètres

Description

Pas de filtre

Active : Le filtrage des noms de lots est désactivé.

Statique

Active : Les noms de lots correspondant à la chaîne de caractères saisie dans le champ de recherche sont filtrés.

Saisissez le nom de lot dans le champ de recherche :

  • Séparez les entrées multiples par un tube (|).
  • * ou vide : Tous les lots de toutes les archives affichées, pas de filtre.

Depuis une variable

Active : La valeur de la variable liée ici est appliquée sous forme de filtre de noms de lot dans le Runtime.

Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de variables.

Indisponible si l’option Appliquer directement le filtre de lots a été sélectionnée :

Remarques concernant les variables dans le Runtime :

  • La sélection de variables est uniquement activée dans le Runtime si une variable valide a déjà été liée dans le Runtime. Le bouton ... est toujours désactivé dans le Runtime. L’option peut être sélectionnée, mais aucune nouvelle variable ne peut être liée.

Si la variable n’est pas authentifiée auprès du driver au moment de l’application du filtre de lots, la variable est authentifiée et lue. Ceci peut entraîner des délais avec les connexions de drivers et protocoles plus lents.

Attention : Si la variable sélectionnée n’est pas présente dans le Runtime, aucun filtrage de noms de lot n’est effectué. Ceci est également vrai s’il est impossible de déterminer la valeur de la variable. Le filtre correspond dans ce cas au paramètre Pas de filtre.

Fermer boîte de dialogue

Paramètres | Description
OK | Applique toutes les modifications effectuées sur tous les onglets, puis ferme la boîte de dialogue.
Annuler | Annule toutes les modifications effectuées sur tous les onglets, puis ferme la boîte de dialogue.
Aide | Ouvre l'aide en ligne.


Paramètres des colonnes

Manuel -> Liste d’événements (CEL) -> Configurer la liste CEL -> Configuration de la liste CEL à l’aide de filtres -> Filtres pour l’appel de synoptiques de type filtre de liste CEL -> Paramètres des colonnes

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Sur cet onglet, vous configurez l’affichage de la liste d’archives et de la liste de lots du synoptique Filtre de temps/de lots dans le Runtime :

  • Sélection des colonnes à afficher
  • Tri des colonnes
  • Mise en forme des colonnes
    • Intitulé
    • Largeur
    • Alignement

Liste d'archives

Paramètres | Description
Liste d'archives | Configuration de la liste d’archives. Affichage des colonnes configurées.
Sélection de colonnes | Cliquez sur le bouton pour ouvrir une boîte de dialogue de sélection et de tri des colonnes.
Format colonne | Cliquez sur le bouton pour ouvrir une boîte de dialogue de mise en forme de la liste.

Liste de lots

Paramètres | Description
Liste de lots | Configuration de la liste de lots. Affichage des colonnes configurées.
Sélection de colonnes | Cliquez sur le bouton pour ouvrir une boîte de dialogue de sélection et de tri des colonnes.
Format colonne | Cliquez sur le bouton pour ouvrir une boîte de dialogue de mise en forme de la liste.
OK | Applique toutes les modifications effectuées sur tous les onglets, puis ferme la boîte de dialogue.
Annuler | Annule toutes les modifications effectuées sur tous les onglets, puis ferme la boîte de dialogue.
Aide | Ouvre l'aide en ligne.

Autres sujets abordés dans ce chapitre

Sélection colonne

Format colonne


Sélection colonne

Manuel -> Liste d’événements (CEL) -> Configurer la liste CEL -> Configuration de la liste CEL à l’aide de filtres -> Filtres pour l’appel de synoptiques de type filtre de liste CEL -> Paramètres des colonnes -> Sélection colonne

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Sélection colonne

Sélection et ordre des colonnes.

Options | Fonction
Colonnes disponibles | Liste de colonnes pouvant être affichées dans la table.
Colonnes sélectionnées | Colonnes affichées dans la table.
Ajouter -> | Déplace la colonne sélectionnée des colonnes disponibles vers les éléments sélectionnés. Lorsque vous confirmez la boîte de dialogue en cliquant sur OK, ces colonnes sont affichées dans la vue de détail.
Ajouter toutes -> | Déplace toutes les colonnes disponibles vers les colonnes sélectionnées.
<- Supprimer | Supprime les colonnes marquées des éléments sélectionnés et les affiche dans la liste des colonnes disponibles. Lorsque vous confirmez la boîte de dialogue en cliquant sur OK, ces colonnes sont supprimées de la vue de détail.
<- Supprimer tout | Toutes les colonnes sont supprimées de la liste des colonnes sélectionnées.
Haut | Déplace l’entrée sélectionnée vers le haut. Cette fonction est uniquement disponible pour les entrées uniques?; les sélections multiples ne sont pas autorisées dans ce cas.
Bas | Déplace l’entrée sélectionnée vers le bas. Cette fonction est uniquement disponible pour les entrées uniques?; les sélections multiples ne sont pas autorisées dans ce cas.

Fermer boîte de dialogue

Options | Description :
OK | Applique les paramètres et ferme la boîte de dialogue.
Annuler | Annule toutes les modifications et ferme la boîte de dialogue.
Aide | Ouvre l'aide en ligne.


Format colonne

Manuel -> Liste d’événements (CEL) -> Configurer la liste CEL -> Configuration de la liste CEL à l’aide de filtres -> Filtres pour l’appel de synoptiques de type filtre de liste CEL -> Paramètres des colonnes -> Format colonne

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Format colonne

Configuration des propriétés des colonnes pour les listes configurables. Les paramètres ont un effet sur la liste correspondante dans Editor ou, lors de la configuration d’un appel de synoptique, dans le Runtime.

Colonnes disponibles

Options | Description :
Colonnes disponibles | Liste de colonnes disponibles avec la fonction de sélection de colonnes. La configuration de la colonne sélectionnée se déroule via les options de la section Paramètres.

Paramètres

Option

Description :

Paramètres

Paramètres de la colonne sélectionnée.

Intitulé

Nom de l’intitulé de colonne.

Cet intitulé de colonne est compatible avec la fonction de changement de langue en ligne. Pour cela, le caractère @ doit être saisi devant le nom.

Largeur

Largeur de la colonne en caractères.
Calcul : nombre de caractères multiplié par la largeur moyenne des caractères de la police sélectionnée.

Alignement

Alignement. La sélection de l'attribution s'effectue au moyen des cases d'option.

Paramètres possibles :

  • Gauche : Le texte est justifié contre le bord gauche de la colonne.
  • Centré : Le texte est centré dans la colonne.
  • Droite : Le texte est justifié contre le bord droit de la colonne.

Couleurs définies par l'utilisateur

Propriétés permettant de sélectionner des couleurs définies par l’utilisateur pour le texte et l’arrière-plan. Les paramètres ont une incidence dans Editor et dans le Runtime.

Remarque :

  • Ces paramètres sont uniquement disponibles pour les listes configurables.
  • En outre, le focus correspondant dans la liste peut être indiqué par différentes couleurs de texte et d’arrière-plan dans le Runtime. Celles-ci sont configurées dans les propriétés du projet.

Couleurs définies par l’utilisateur

Active : Les couleurs définies par l’utilisateur sont appliquées.

Couleur du texte

Couleur d’affichage du texte. Cliquez sur la couleur pour la palette de sélection de couleurs.

Couleur d'arrière-plan

Couleur d’affichage de l’arrière-plan de la cellule. Cliquez sur la couleur pour la palette de sélection de couleurs.

Désactiver le filtre de colonnes dans le Runtime
  • Active : Le filtre de cette colonne ne peut pas être modifié dans le Runtime.

Remarque : Uniquement disponible pour :

  • Batch Control
  • Extended Trend
  • Synoptiques de filtre
  • Message Control
  • Gestionnaire de groupe de recettes (Recipe Group Manager)
  • Gestion d'équipes
  • Liste contextuelle

Fermer boîte de dialogue

Options | Description :
OK | Applique toutes les modifications effectuées sur tous les onglets, puis ferme la boîte de dialogue.
Annuler | Annule toutes les modifications effectuées sur tous les onglets, puis ferme la boîte de dialogue.
Aide | Ouvre l'aide en ligne.


Buffer circulaire de la liste CEL

Manuel -> Liste d’événements (CEL) -> Configurer la liste CEL -> Buffer circulaire de la liste CEL

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Les événements sont enregistrés dans un buffer circulaire (cel.bin) et un fichier d’événements (*.cel) dans le dossier Runtime, dès leur apparition.

Mémoire circulaire

La mémoire circulaire inclut tous les événements actifs. Ces derniers sont gérés selon les paramètres suivants :

  • Heure de déclenchement (en millisecondes), servant de signature unique

Taille de la mémoire circulaire

La taille de la mémoire circulaire doit être assez importante et est définie dans les propriétés du projet, par l’intermédiaire de la propriété Taille du buffer circulaire.

Dans le Runtime, les anciennes entrées sont conservées dans la liste lors de l’appel du synoptique de la liste CEL. Lorsque de nouvelles entrées sont ajoutées, le nombre d’entrées ajoutées peut dépasser la taille configurée de la mémoire circulaire. Si le synoptique de la liste est appelé une nouvelle fois, les anciennes entrées sont supprimées, et la taille configurée est appliquée. Ce comportement permet d’éviter toute perte de données lors de l’affichage de la liste.

Attention : L’affichage d’entrées dépassant les valeurs définies occupe davantage de mémoire. Si le synoptique est appelé une nouvelle fois, la mémoire occupée n’est pas libérée, mais reste au niveau de la dernière valeur maximale.

Enregistrer la mémoire circulaire

La mémoire circulaire est automatiquement enregistrée sous forme de fichier cel.bin lors de la fermeture du Runtime. Si le Runtime est fermé par un événement inattendu tel une coupure de courant, une perte de données se produit. Pour éviter cela, la mémoire circulaire peut être enregistrée manuellement, via la propriété Enregistrer le buffer circulaire en cas de modification, à chaque nouvelle entrée ; elle peut également être enregistrée via la fonction Enregistrer la mémoire circulaire des listes AML et CEL.

Fichier de résultats

Toutes les alarmes sont écrites simultanément, avec le contenu de la mémoire circulaire, dans un fichier CEL (*.cel) spécifique. Ce fichier est créé automatiquement pour chaque jour calendaire, et géré via la propriété Enregistrer les événements. Le nom du fichier comprend la lettre C, suivie de la date au format AAMMJJ et du suffixe .cel, par exemple C100623.cel. Ces fichiers sont créés automatiquement pour chaque jour et doivent être transférés ou supprimés par l’utilisateur si la capacité de stockage est limitée. Les fichiers *.cel sont enregistrés dans le dossier ...\Dossier du projet\Nom de l’ordinateur\Nom du projet.

Synchronisation de la mémoire circulaire et du fichier d’alarmes

La mémoire circulaire et le fichier CEL sont synchronisés. Cette synchronisation est toujours effectuée de la mémoire circulaire vers le fichier CEL.

Périodes d’enregistrement

La liste d’événements (*.cel) est enregistrée à chaque nouvelle entrée.

La mémoire circulaire (*.bin) est enregistrée :

  • Lors de la fermeture du Runtime
  • À chaque nouvelle entrée, si la propriété Enregistrer le buffer circulaire en cas de modification est active
  • Lors de l’exécution de la fonction Enregistrer le buffer circulaire d'alarmes et d'événements

Remarque : Si l’option Enregistrer le buffer circulaire en cas de modification est désactivée, il est possible que les entrées dans la liste CEL et la mémoire circulaire ne correspondent pas, après une panne de courant.


Fonctions

Manuel -> Liste d’événements (CEL) -> Fonctions

Les fonctions permettent de contrôler l’affichage et la gestion de la liste CEL dans le Runtime.

attention Attention

Si des fonctions sont utilisées sur le réseau, tenez compte de leur emplacement d’exécution.

Autres sujets abordés dans ce chapitre

Appel de synoptique de type filtre de CEL

Appel de synoptique de type filtre de CEL

Fonctions de la liste d’événements


Appel de synoptique de type filtre de CEL

Manuel -> Liste d’événements (CEL) -> Fonctions -> Appel de synoptique de type filtre de CEL

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Pour configurer un synoptique de type liste d’événements :

  1. Créez un synoptique de type Liste d’événements :
  2. Créez une fonction d’appel de synoptique pour ce synoptique.
  3. Définissez les propriétés de filtre souhaitées

Dans le Runtime, vous pouvez modifier les propriétés du filtre Exception : dans Editor, un filtre d’heure fixe a été défini.

Configuration des appels de synoptique

Pour créer un appel de synoptique de type CEL :

  1. Dans le menu contextuel du nœud Fonction, sélectionnez la commande Nouvelle fonction
  2. Cliquez sur Appel de synoptique
  3. La boîte de dialogue de sélection de synoptiques s’affiche à l’écran
  4. Sélectionnez un synoptique de type CEL
    ou créez-le dans cette boîte de dialogue en cliquant sur le symbole Nouveau synoptique
  5. Le filtre est affiché avec les onglets suivants :
    • Général
    • Heure
    • Paramètres des colonnes
    • Texte
    • État
    • Projet (uniquement disponible dans le projet d’intégration de la gestion multi-projets).
    • Modèles d’équipement

    Si des variables liées ou des indices sont disponibles, les onglets suivants peuvent être affichés en option.

    • Remplacer les liens
    • Remplacer les indices

  6. Définissez les filtres devant être prédéfinis dans le Runtime
  7. Confirmez les paramètres et fermez la boîte de dialogue en cliquant sur OK.
  8. Liez la fonction à un bouton pour pouvoir appeler le synoptique et afficher les propriétés du filtre dans le Runtime

info Informations

Si un synoptique ne comportant pas de filtre de temps est référencé, les filtres de temps sont désactivés.


Appel de synoptique de type filtre de CEL

Manuel -> Liste d’événements (CEL) -> Fonctions -> Appel de synoptique de type filtre de CEL

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Pour configurer un synoptique de type Filtre de liste d’événements dans le Runtime :

  1. Créez un synoptique de type Filtre de liste d’événements :
  2. Créez une fonction d’appel de synoptique pour ce synoptique.
  3. Définissez les propriétés de filtre souhaitées

Dans le Runtime, les propriétés du filtre peuvent uniquement être contrôlées par le biais des boutons définis sur le synoptique.

Configuration des appels de synoptique

Pour créer un appel de synoptique vers un synoptique de type Filtre de liste d’événements :

  1. Dans le menu contextuel du nœud Fonction, sélectionnez la commande Nouvelle fonction
  2. Cliquez sur Appel de synoptique
  3. La boîte de dialogue de sélection de synoptiques s’affiche à l’écran
  4. Sélectionnez un synoptique de type Filtre de liste d’événements
    ou créez-le dans cette boîte de dialogue en cliquant sur le symbole Nouveau synoptique
  5. Le filtre est affiché avec les onglets suivants :
    • Synoptiques
    • Général
    • Texte
    • Heure

  6. Définissez les filtres devant être prédéfinis dans le Runtime
  7. Confirmez les paramètres et fermez la boîte de dialogue en cliquant sur OK.
  8. Liez la fonction à un bouton pour pouvoir appeler le synoptique et afficher les propriétés du filtre dans le Runtime


Fonctions de la liste d’événements

Manuel -> Liste d’événements (CEL) -> Fonctions -> Fonctions de la liste d’événements

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Différentes fonctions permettent de gérer les événements dans le Runtime.

Pour créer une fonction de la liste d’événements :

  1. Accédez au nœud Fonctions.
  2. Sélectionnez Nouvelle fonction dans le menu contextuel ou la barre d’outils.
  3. La boîte de dialogue de sélection des fonctions s’affiche à l’écran.
  4. Accédez au nœud AML/CEL.

  5. Sélectionnez la fonction de votre choix.
  6. Configurez la fonction, si nécessaire.
  7. Liez la fonction à un bouton.

Autres sujets abordés dans ce chapitre

Enregistrer le buffer des alarmes et des événements

Exporter liste d’événements

Imprimer liste d’alarmes ou d’événements

Activer/désactiver impression en ligne

Démarrer nouvelle page pour l'impression en ligne

Changer d'imprimante pour les impressions en ligne


Enregistrer le buffer des alarmes et des événements

Manuel -> Liste d’événements (CEL) -> Fonctions -> Fonctions de la liste d’événements -> Enregistrer le buffer des alarmes et des événements

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Cette fonction permet d’enregistrer le contenu de la mémoire circulaire, et notamment les alarmes et les événements, ainsi que les valeurs des variables mathématiques (compteurs). Les entrées sont enregistrées dans les fichiers suivants :

Fichier | Sommaire | La taille peut être définie dans les propriétés
ALARM.BIN | Alarmes | Taille du buffer circulaire
CEL.BIN | Entrées de la liste d’événements | Taille du buffer circulaire
SY_MA32.BIN | Valeurs des variables mathématiques (par ex., compteurs) |

Pour enregistrer la mémoire circulaire de la liste AML :

  1. Créez une nouvelle fonction.
  2. Sélectionnez Enregistrer la mémoire circulaire des listes AML et CEL
  3. Liez la fonction à un bouton.


Exporter liste d’événements

Manuel -> Liste d’événements (CEL) -> Fonctions -> Fonctions de la liste d’événements -> Exporter liste d’événements

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Cette fonction permet d’exporter les événements enregistrés avec des options de filtre vers un fichier ou une base de données dans le Runtime.

Pour exporter les entrées de la liste CEL :

  1. Créez une nouvelle fonction.
  2. Sélectionnez Exporter la liste CEL
  3. La boîte de dialogue de sélection des critères de filtre s’affiche

  4. Définissez les critères suivants :
    • Format d’export
    • Général
    • Heure
    • Texte
    • État
    • Modèles d’équipement
    • Projet
  5. Liez la fonction à un bouton.

Autres sujets abordés dans ce chapitre

Format d’export

CSV : Colonnes exportées

dBase : Colonnes exportées

SQL : Colonnes exportées

XML : Colonnes exportées


Format d’export

Manuel -> Liste d’événements (CEL) -> Fonctions -> Fonctions de la liste d’événements -> Exporter liste d’événements -> Format d’export

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

L’exportation peut être réalisée dans différents formats. Les colonnes exportées et le format d’exportation dépendent de la source (liste AML/ liste CEL) et du format d’exportation :

L’exportation des données se déroule de différentes manières pour les formats suivants :

  • CSV
  • dBase
  • SQL
  • XML

info Informations

L’exportation au format SQL se déroule de manière incrémentielle. Si des données exportées sont déjà présentes, seules les données nouvelles et modifiées sont exportées.

Sélection colonne

La sélection des colonnes exportées dépend du format d’exportation :

  • CSV, DBF et XML : Sélection via la boîte de dialogue de la propriété Paramètres des colonnes alarmes du projet pour la liste AML, et via la propriété Paramètres des colonnes liste d'événements pour la liste CEL.
  • SQL : Les paramètres d’exportation incrémentielle sont fixes et ne peuvent pas être configurés davantage.
    Remarque : La colonne RESLABEL correspondant à la propriété Description externe a été ajoutée dans la version 7.20. La fonction d’exportation de tables déjà existantes n’est donc plus utilisable. La table doit être renommée pour que l’exportation se déroule correctement.

Configurer l’exportation

Format d’export

Paramètres

Description

Format d’export

Sélection du type du fichier. Formats possibles :

  • dBase : format dBase IV (*.dbf) :
  • CSV
  • XML
  • SQL

Remarques concernant dBase :

  • Les noms de fichier ne peuvent pas comporter plus de huit caractères.
  • La largeur de colonne configurée est utilisée lors de l’exportation. Si par exemple, une valeur de 40 est définie dans Paramètres des colonnes, 40 caractères maximum sont alors exportés.
  • Au maximum, 255 caractères sont exportés.

Options

Paramètres | Description
Options |
Exporter au format Unicode | L’exportation au format ASCII est effectuée en texte Unicode
Exportation incrémentielle | Seules les différences intervenues depuis la dernière sauvegarde sont exportées.

Exporter dans un fichier

Paramètres

Description

Exporter dans un fichier

Spécifiez le fichier dans lequel seront enregistrées les données exportées.

Nom du fichier

Spécifiez un nom de fichier individuel.

Le nom de fichier peut comporter au maximum 32 caractères alphanumériques, suffixe de fichier inclus.

Remarque : Les fichiers existants portant le même nom seront remplacés.

Attribution automatique du nom de fichier

Active : Le nom de fichier sera généré automatiquement à partir d’un identifiant court, d’une date et d’un suffixe individuel.
Inactive : Le nom de fichier est saisi par l’utilisateur sous Nom de fichier.

(Les entrées existantes ne sont pas écrasées).

Pour plus de détails, voir le tableau suivant : Codage du nom pour la fonction de dénomination automatique

Suffixe

Identification individuelle libre. Uniquement disponible pour l’option Générer le nom de fichier automatiquement.

Saisies possibles :

  • dBase : 1 caractère alphanumérique
  • ASCII et XML : 32 caractères alphanumériques

Exemple

Affichage du nom de fichier entier avec génération automatique.

Dossier d’export

Affichage du chemin d’exportation actuel configuré dans les propriétés du projet. (Propriété Dossier du Runtime dans le nœud Général/Nom/Dossier.)

Exporter vers une base de données SQL

Paramètres d’exportation sous forme de base de données SQL

Connexion à la base de données

Configuration de la connexion à la base de données. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de configuration.

Table

Sélection de la table dans laquelle sera réalisée l’écriture.

Codage du nom pour la fonction de dénomination automatique

Nom

AJJMMTTP.XXX

A

Identification courte de la liste d’alarmes

AAMMJJ

Saisie de la date :

  • AA : Année, deux chiffres
  • MM : Mois, deux chiffres
  • JJ : Jour, deux chiffres

P

Identification individuelle libre :

  • dBase : 1 caractère alphanumérique
  • ASCII et XML : 32 caractères alphanumériques

XXX

Extension de fichier :

  • DBF : dBase
  • TXT : CSV
  • XML : XML

Considérations relatives au format

  • Format de saisie de ligne : Déterminé par la configuration des propriétés Paramètres des colonnes alarmes et Paramètres des colonnes liste d'événements.
  • Séparateur de colonnes : Point-virgule (;)

attention Attention

Millisecondes pour l’impression ou l’exportation

Si, lors de l’impression ou de l’exportation de la liste AML ou CEL au format CSV, XML ou dBase, des informations de temps en millisecondes doivent être fournies, cette propriété doit être activée dans la boîte de dialogue des paramètres des colonnes. Pour cela :

  • Accédez aux nœuds Liste d'alarmes ou Liste d'événements dans les propriétés.
  • Cliquez sur le bouton ... de la propriété Paramètres des colonnes alarmes ou Paramètres des colonnes liste d'événements.
  • La boîte de dialogue des paramètres des colonnes s’affiche à l’écran.
  • Cochez la case adjacente à la propriété Millisecondes.

Ce paramètre doit être défini pour les listes AML et CEL.

Notes SQL

attention Attention

Assurez-vous que le fournisseur configuré dans la connexion est également disponible sur l’ordinateur du Runtime dans le Runtime.

Remarque : Un client SQL est également installé avec zenon Editor. Le Runtime de zenon ne nécessite pas de serveur SQL?; aussi, aucun client SQL n’est automatiquement installé. Celui-ci peut être téléchargé sur le site Web de Microsoft, et doit être installé individuellement.

Assurez-vous d’avoir installé la version correcte lors de l’installation du fournisseur. Celle-ci doit correspondre à la version de zenon utilisée. Ceci signifie : Si la version 32 bits du Runtime de zenon est utilisée, le fournisseur doit également être une version 32 bits. Cela s’applique également s’il est installé sur un système d’exploitation 64 bits, et également si la base de données elle-même est une application 64 bits.

attention Attention

Lors de l’utilisation de Native Client 10 et 11, le mot de passe n’est pas automatiquement transféré vers la chaîne du fournisseur. Il doit être saisi manuellement

Par exemple : ...;User ID=sqlExampleUser1;Password=secretPassword;...


CSV : Colonnes exportées

Manuel -> Liste d’événements (CEL) -> Fonctions -> Fonctions de la liste d’événements -> Exporter liste d’événements -> CSV : Colonnes exportées

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

L’exportation au format CSV est principalement utilisée aux fins du traitement dans d’autres applications. Les données sont exportées conformément à la section, au format Paramètres des colonnes alarmes ou Paramètres des colonnes liste d'événements :

  • Seules les données des colonnes sélectionnées sont exportées.
  • L’ordre du fichier d’exportation correspond à l’ordre défini dans la boîte de dialogue.
  • Séparateur : Point-virgule (;)
  • Les titres des colonnes ne sont pas exportés.


dBase : Colonnes exportées

Manuel -> Liste d’événements (CEL) -> Fonctions -> Fonctions de la liste d’événements -> Exporter liste d’événements -> dBase : Colonnes exportées

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Lors de l’exportation sous forme de fichier dBase, les données sont exportées conformément à la sélection, au format Paramètres des colonnes alarmes ou Paramètres des colonnes liste d'événements :

  • Seules les données des colonnes sélectionnées sont exportées.
  • L’ordre du fichier d’exportation est défini et ne peut pas être modifié.

Colonnes dans l’ordre d’exportation :

Colonne | Type | Dimension | Description
DATUM_KOMM | Date | 8 | Début de l’alarme : Date :
ZEIT_KOMMT | Character | 10 | Début de l’alarme : Heure.
ALARMTEXT | Character | 40 | Texte de valeur limite.
TAG_NR | Character | 40 | Identification de variable.
KOMMENTAR | Character | 45 | Commentaire.
STATUS | Character | 4 | État de la variable.
WERT | Character | 10 | Valeur de la variable.
USER | Character | 6 | Identifiant utilisateur.
COMPUTER | Character | 48 | Nom de l’ordinateur.
VAR_NAME | Character | 32 | Nom de la variable.
RESLABEL | Character | 15 | Identifiant de ressources
PROJ_NAME | Character | 31 | Nom du projet
CLASS | Character | 31 | Nom de la classe d’alarmes.
GROUP | Character | 31 | Nom du groupe d’alarmes.


SQL : Colonnes exportées

Manuel -> Liste d’événements (CEL) -> Fonctions -> Fonctions de la liste d’événements -> Exporter liste d’événements -> SQL : Colonnes exportées

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Lors de l’exportation sous forme de fichier SQL, les fichiers sont exportés de manière incrémentielle, dans un ordre fixe prédéfini.

Colonnes dans l’ordre d’exportation :

Colonne | Type | Description
[VAR] | varchar(128) | Nom de la variable.
[TAG] | varchar(128) | Identification de variable.
[RESLABEL] | varchar(128) | Identifiant de ressources
[TEXT] | varchar(1024) | Texte de valeur limite.
[COMES_S] | int | Début de l’alarme au format d’heure Unix (secondes depuis le 01. 01. 1970).
[COMES_MS] | int | Début de l’alarme : Fraction de milliseconde.
[STATUS] | int | État de la variable.
[VALUE] | varchar(128) | Valeur de la variable.
[USERID] | varchar(128) | Identifiant utilisateur.
[COMP] | varchar(128) | Nom de l’ordinateur.
[ACT_TEXT] | varchar(128) | - Alarme : Commentaire.
[PRJ] | varchar(128) | Nom du projet.
[CLASS] | varchar(128) | Nom de la classe d’alarmes.
[GROUP] | varchar(128) | Nom du groupe d’alarmes.


XML : Colonnes exportées

Manuel -> Liste d’événements (CEL) -> Fonctions -> Fonctions de la liste d’événements -> Exporter liste d’événements -> XML : Colonnes exportées

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Lors de l’exportation sous forme de fichier XML, les données sont exportées conformément à la sélection, au format Paramètres des colonnes alarmes ou Paramètres des colonnes liste d'événements :

  • Seules les données des colonnes sélectionnées sont exportées.
  • L’ordre du fichier d’exportation correspond à l’ordre défini dans la boîte de dialogue.
  • Les intitulés de colonnes sont utilisés en tant que tags. Tous les caractères non autorisés sont supprimés et remplacés.
    Règles de remplacement :
    • Espace : Tiret bas (_).
    • Autres caractères non autorisés : Trait d’union (-).


Imprimer liste d’alarmes ou d’événements

Manuel -> Liste d’événements (CEL) -> Fonctions -> Fonctions de la liste d’événements -> Imprimer liste d’alarmes ou d’événements

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Cette fonction permet de transférer les événements enregistrés et leurs conditions de filtre vers une imprimante dans le Runtime.

Pour configurer la fonction :

  1. Créez une nouvelle fonction.
  2. Sélectionnez l’option Imprimer la liste AML ou CEL
  3. La boîte de dialogue de sélection de la liste s’affiche

  4. Sélectionnez Liste d’événements
  5. La boîte de dialogue de sélection des critères de filtre s’affiche
  6. Définissez les critères pour les éléments suivants :
    • Général
    • Heure
    • Texte
    • État
    • Police : Sélectionnez les polices définies dans zenon
  7. Liez la fonction à un bouton.

info Informations

Dans le Runtime, vous ne pouvez pas basculer entre les listes CEL et AML. Pour imprimer les deux listes, vous devez développer deux fonctions.

Structure des lignes

Date/Heure d’apparition | Date/Heure de disparition | Date/Heure d’acquittement | Texte long - identification | Texte d’état

Les mots-clé disponibles pour le format de fichier (BTB.FRM pour l’impression en ligne et BTB_G.FRM pour l’impression hors ligne) et des exemples d’utilisation sont disponibles au chapitre Fichier de configuration FRM et dans la section Fonctionnement dans le Runtime.

Le fichier FRM comporte trois parties :

  • En-tête : situé en début de page
  • Liste : cyclique par ligne
  • Pied de page : situé en fin de page

Principes

Lors de l’édition de fichiers FRM, tenez compte des consignes suivantes :

  • Séparation des composantes de la liste :
    • L’en-tête et la section de liste, et la section de liste et le pied de page sont séparés par %%.

      Le marqueur de séparation ne doit être utilisé qu’à deux reprises entre les parties d’en-tête et liste et entre la partie liste et le pied de page.

    • Attention : La dernière ligne doit être suivie d’au moins deux paragraphes vides. Sinon, le pied de page n’est pas imprimé !
  • Positionnement des entrées individuelles :
    Vous pouvez uniquement utiliser des espaces (pas de marques de tabulation).
  • Édition de fichiers FRM dans un éditeur de texte :
    la fonction d’insertion automatique de sauts de ligne doit être désactivée ; dans le cas contraire, des effets indésirables peuvent affecter la mise en forme.

Mots-clés

La configuration de la longueur de page est effectuée dans les propriétés de projet, sous Alarmes et événements, ou via le fichier ALARM.frm ou ALAR_G.frm, pour la liste AML, ou via BTB.frm et BTB_G.frm, pour la liste CEL.

Note :

  • le nombre d’entrées d’alarmes par page découle du nombre prédéfini de lignes (par ex. Lignes par page 72), auquel viennent se soustraire les lignes utilisées pour les textes d’en-tête et de pied de page.
  • L’option Utiliser heure de réactivation doit être activée pour que l’utilisateur puisse utiliser les mots-clé permettant d’évaluer la réactivation (heure, nombre).
  • Des textes libres et des mots-clés peuvent être utilisés dans le fichier de formatage. Les mots-clés peuvent être utilisés en allemand ou en anglais. Il est recommandé d’utiliser des mots-clés en anglais.
  • Tous les mots-clés ne sont pas adaptés à tous les types d’impression (AML, CEL, en ligne, hors ligne).

Le tableau suivant contient les mots-clés en anglais et en allemand, ainsi que leur domaine d’application.

Allemand | Anglais | Liste d’alarmes hors ligne | Liste d’événements hors ligne | Liste de messages en ligne | Liste d’événements en ligne | Description
Mots-clés correspondant à la partie de la liste
@BMKENNUNG | @RESOURCELABEL | X | X | X | X | Description externe
@DATZEITKOMMT | @DTRECEIVED | X | X | X | X | Heure et date de début de l’alarme
@DATZEITGEHT | @DTCLEARED | X | - | X | - | Heure et date de fin de l’alarme
@DATZEITOK | @DTACK | X | - | X | - | Heure et date d’acquittement de l’alarme
@DATZEITREAKT | @DTREACTIVATE | X | - | X | - | Heure et date de réactivation de l’alarme La propriété Utiliser heure de réactivation des propriétés du projet doit être activée.
@DATZEIT | @DTLASTEVENT | - | - | X | - | Heure et date de réception, d’acquittement ou de réactivation de l’alarme
@ZEIT | @TLASTEVENT | - | - | X | X | Heure et date de réception, d’effacement, d’acquittement ou de réactivation de l’alarme
@ZEITOK | @TACK | X | - | X | - | Affiche uniquement l’heure d’acquittement de l’alarme
@ZTKOMMT | @TRECEIVED | X | X | X | X | Affiche uniquement l’heure de réception de l’alarme
@ZTGEHT | @TCLEARED | X | - | X | - | Affiche uniquement l’heure de fin de l’alarme
@ZTREAKT | @TREACTIVATE | X | - | X | - | Affiche uniquement l’heure de réactivation de l’alarme
@TIMELASTING | @TACTIVE | X | - | X | - | Durée d’activité (différence entre l’heure de réception et l’heure d’effacement)
@ANWENDUNG | @PROJECTNAME | X | X | X | X | Nom du projet
@KANALNAME | @VARNAME | X | X | X | X | Nom de la variable Liste d’événements : uniquement les entrées comportant des variables
@AK | @ACLASSNR | X | X | X | X | Nom de la classe d’alarmes/d’événements
@AG | @AGROUPNR | X | X | X | X | Numéro du groupe d’alarmes/d’événements
@AGNAME | @AGROUPNAME | X | X | X | X | Nom du groupe d’alarmes/d’événements
@AKNAME | ACLASSNAME | X | X | X | X | Nom de la classe d’alarmes/d’événements
@TAGNR | @IDENTIFICATION | X | X | X | X | Identification (intitulé spécifique à l’entreprise)
@AMELDUNG | @TEXT | X | X | X | X | Texte de message d’alarme
@REAKTANZ | @NRREACTIVATE | X | - | X | - | Nombre de réactivations
@STATUS | @STATUS | X | X | X | X | Informations d’état, identiques à la liste d’alarmes
@WERT | @VALUE | X | X | X | X | Valeur variable de l’alarme
@REAKTIONSTEXT | @COMMENT | X | X | X | X | Commentaire provenant de la liste d’alarmes. Si des textes de valeur limite dynamique sont utilisés, ils sont uniquement disponibles si les propriétés Textes de limite dynamiques longs pour les alarmes ou Textes de limite dynamiques longs pour les événements ont été activées.
@USER | @USERID | X | X | X | X | Liste AML : Utilisateur ayant acquitté l’alarme.
@RECHNER | @COMPUTER | X | X | X | X | Liste AML : Ordinateur sur lequel l’alarme a été acquittée.
Mots-clés pour les en-têtes et pieds de page
@ANWENDUNG | @PROJECTNAME | X | X | X | X | Nom du projet
@SEITE | @PAGE | X | X | X | X | Numéro de page
@HEADDATZEIT | @DTSYSTEM | X | X | X | X | Date et heure du système
@HEADDATUM | @DSYSTEM | X | X | X | X | Date du système
@HEADZEIT | @TSYSTEM | X | X | X | X | Heure du système
@USER | @USERID | X | X | X | X | Utilisateur ayant effectué l’impression
@USERNAME | @USERNAME | X | X | X | X | Nom complet de l’utilisateur ayant déclenché l’action
@RECHNER | @COMPUTER | X | X | X | X | Ordinateur depuis lequel est effectuée l’impression
[Texte] | [Texte] |  |  |  |  | Texte au choix

attention Attention

Vous devez laisser suffisamment de place entre les mots-clés pour que les entrées ne soient pas remplacées. Vous garantissez ainsi le bon affichage des textes de valeur limite longs.

Exemple :

@TEXT ((espaces jusqu’ici))

Configuration des millisecondes

attention Attention

Millisecondes pour l’impression ou l’exportation

Si, lors de l’impression ou de l’exportation de la liste AML ou CEL au format CSV, XML ou dBase, des informations de temps en millisecondes doivent être fournies, cette propriété doit être activée dans la boîte de dialogue des paramètres des colonnes. Pour cela :

  • Accédez aux nœuds Liste d'alarmes ou Liste d'événements dans les propriétés.
  • Cliquez sur le bouton ... de la propriété Paramètres des colonnes alarmes ou Paramètres des colonnes liste d'événements.
  • La boîte de dialogue des paramètres des colonnes s’affiche à l’écran.
  • Cochez la case adjacente à la propriété Millisecondes.

Ce paramètre doit être défini pour les listes AML et CEL.


Activer/désactiver impression en ligne

Manuel -> Liste d’événements (CEL) -> Fonctions -> Fonctions de la liste d’événements -> Activer/désactiver impression en ligne

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

L’impression en ligne est définie dans un état particulier lors de l’utilisation de cette fonction :

  • Actif : impression en ligne on
  • Inactif impression en ligne off
  • actif/inactif Active/désactive l’impression en ligne

Pour configurer la fonction :

  1. Créez une nouvelle fonction.
  2. Sélectionnez Activer/désactiver l’impression en ligne
  3. La boîte de dialogue de sélection de l’action s’affiche.

  4. Sélectionnez l’action souhaitée.
  5. Liez la fonction à un bouton.


Démarrer nouvelle page pour l'impression en ligne

Manuel -> Liste d’événements (CEL) -> Fonctions -> Fonctions de la liste d’événements -> Démarrer nouvelle page pour l'impression en ligne

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Cette fonction vous permet de contrôler l’instruction de présentation de page suivante dans le Runtime lors de l’impression en ligne :

Les pieds de page configurés seront imprimés sur la page actuelle, puis l’impression passera à une nouvelle page. Le compteur de pages sera réinitialisé à 1 et l’en-tête sera imprimé.

Pour configurer la fonction :

  1. Créez une nouvelle fonction.
  2. Sélectionnez Démarrer l’impression en ligne sur une nouvelle page
  3. Liez la fonction à un bouton.


Changer d'imprimante pour les impressions en ligne

Manuel -> Liste d’événements (CEL) -> Fonctions -> Fonctions de la liste d’événements -> Changer d'imprimante pour les impressions en ligne

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Avec cette fonction, l’imprimante pour l’impression en ligne peut être changée pendant le Runtime.

info Informations

Cette fonction n’est pas disponible sous Windows CE.

Pour configurer la fonction :

  1. Créez une nouvelle fonction.
  2. Sélectionnez Changer imprimante en ligne.

    La boîte de dialogue de sélection de l’imprimante s’affiche.

  3. Sélectionnez l’imprimante souhaitée dans la liste déroulante.
  4. Liez la fonction à un bouton.

Paramètres | Description
Sélection imprimante | Sélectionnez l’imprimante souhaitée dans la liste déroulante.
Afficher cette boîte de dialogue dans le Runtime | Active : Lorsque cette fonction est exécutée, la boîte de dialogue est affichée et l’imprimante peut être définie dans le Runtime.


Utilisation dans le Runtime

Manuel -> Liste d’événements (CEL) -> Utilisation dans le Runtime

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Dans le Runtime, la liste d’événements est appelée par le biais d’une fonction d’appel de synoptique.

Les éléments de contrôle disponibles et l’apparence sont configurés dans Editor.

Fenêtre

Paramètre

Description

Liste d’événements

Champ d’affichage de la liste et de ses événements. L’apparence peut être configurée. La configuration des colonnes est effectuée à l’aide du filtre Paramètres des colonnes dans la fonction d’appel de synoptique.

La propriété Paramètres des colonnes liste d'événements, dans les propriétés du projet dans le groupe Liste d'événements, permet de définir les paramètres de l’exportation aux formats CSV, XML et DBF. Elle sert également de pré-configuration de la fonction d’appel de synoptique.

Définir filtre

Affiche le filtre actuellement sélectionné.

État de la liste d’événements

Affiche l’état de la liste CEL dans le Runtime.

  • Active : Les événements sont consignés indépendamment des paramètres du projet.
  • Inactive : Les événements ne sont pas consignés

Vous pouvez définir l’état à l’aide de la propriété Gestion des événements active. Les modifications prennent effet après le redémarrage du Runtime.

Nombre total

Nombre total d’événements dans la liste

Fonctions de la liste

Paramètre

Description

Filtrer...

Ouvre la boîte de dialogue de définition de filtres.

Arrêter/Reprendre

Contrôle l’ajout de nouveaux événements à la liste lorsqu’elle est affichée :

Arrêter : Même si de nouveaux événements surviennent, aucune nouvelle entrée n’est ajoutée à la liste. Le texte du bouton est changé en Continuer.

Continuer : Les nouvelles entrées sont à nouveau ajoutées à la liste lorsque de nouveaux événements surviennent. Le texte du bouton est changé en Stop. Pour trier les entrées par ordre chronologique, vous devez cliquer sur le bouton de tri.

Trier

Lorsque vous appelez la liste CEL dans le Runtime, les nouvelles entrées ne sont pas triées par ordre chronologique, mais sont ajoutées au bas de la liste.

Cliquez sur le bouton pour retrier la liste.

Pour vous aider à différencier les entrées triées et non triées, vous pouvez leur attribuer des couleurs différentes, par le biais des propriétés texte trié et texte non trié.

Afficher les heures relatives

Active : Les heures relatives sont affichées sans entraîner de perte de focus dans l’entrée sélectionnée.

Imprimer

Imprime la liste telle qu’elle est actuellement affichée.

Imprimer avec boîte de dialogue...

Ouvre les paramètres d’impression avant de lancer l’impression.

Champ de commentaires

Paramètre

Description

Champ de commentaires

Permet à l’utilisateur de saisir un texte libre concernant l’événement sélectionné.

Longueur maximale : 79 caractères

Pour afficher le texte dans la liste CEL, vous devez activer la colonne Commentaires dans la définition des colonnes. Appuyez sur la touche Entrée pour appliquer les modifications. Pour annuler une modification, appuyez sur la touche Échap ou retirez le focus.

Les modifications apportées aux commentaires peuvent être documentées en activant la propriété Commentaires de la liste d'événements.

Navigation

Paramètre | Description
Navigation | Contrôle les éléments de la liste.
Ligne précédente | Remonte d’une ligne.
Ligne suivante | Descend d’une ligne.
Colonne droite | Se déplace d’une colonne vers la droite.
Colonne gauche | Se déplace d’une colonne vers la gauche.
Page précédente | Remonte d’une page.
Page suivante | Descend d’une page.
Page droite | Se déplace d’une page vers la droite.
Page gauche | Se déplace d’une page vers la gauche.

Éléments compatibles

Paramètre | Description
Éléments compatibles | Les éléments de contrôle supprimés ou remplacés par des versions plus récentes restent disponibles, pour des raisons de compatibilité. Ces éléments ne sont pas pris en compte lors de l’insertion automatique de modèles.
Définir filtre | Élément de contrôle statique Win32. Remplacé par un champ de texte dynamique. Pour la description, reportez-vous à l’élément actuel.
Nombre total | Élément de contrôle statique Win32. Remplacé par un champ de texte dynamique. Pour la description, reportez-vous à l’élément actuel.
État de la liste d’événements | Élément de contrôle statique Win32. Remplacé par un champ de texte dynamique. Pour la description, reportez-vous à l’élément actuel.
Champ de commentaires | Élément de contrôle statique Win32. Remplacé par un champ de texte dynamique. Pour la description, reportez-vous à l’élément actuel.
Fermer le cadre | Ferme le cadre sur lequel repose le synoptique. Recommandation : Utilisez la fonction Fermer le cadre pour fermer les cadres. À la fermeture, pour afficher le synoptique affiché avant l’ouverture de la liste CEL, vous devez développer un synoptique de type CEL doté d’un cadre propre.
Afficher les heures relatives | Élément de contrôle statique Win32. Was replaced by a switch element. Pour la description, reportez-vous au nouvel élément.

Profils de filtre

Profils de filtre | Paramètres de filtre pouvant être enregistrés par l’utilisateur dans le Runtime.
Sélection de profil | Sélectionner un profil dans la liste.
Enregistrer | Enregistre un paramètre en ligne dans un profil.
Supprimer | Supprimer le profil sélectionné.

info Informations

Le filtre actuel est affiché avec l’élément de contrôle Afficher le filtre.

Avec :

  • Un filtre de texte, l’expression [Txt] est affichée
  • Un filtre de temps relatif : l’impression se présente comme ceci :
    [T,Rel:%dd,%dh,%dm;%ds]
    Exemple : [T,Rel:1d,0h,0m,0s] égale un jour.

Configuration de l’affichage

Le type d’informations affichées dans Runtime peut être configuré par le biais de la fonction de configuration des colonnes de la liste CEL. Vous pouvez accéder à la configuration des colonnes par le biais des options suivantes :

  • Paramètres du projet -> Liste d'événements -> Paramètres des colonnes liste d'événements (onglet Paramètres des colonnes uniquement)
    ou
  • Fonction d’appel d’un synoptique de type CEL (tous les onglets)

Mise à jour des entrées

Dans le groupe Liste d'événements, si la propriété Mettre à jour automatiquement a été activée, les nouveaux résultats sont ajoutés immédiatement, dès qu’ils apparaissent. Dans le cas contraire, les valeurs sont obtenues une fois, avant l’écriture d’une valeur dans l’automate. La valeur présente dans l’automate avant l’écriture est alors insérée en tant que valeur réelle dans la liste CEL.

Affichage dans la colonne de valeurs

Seules les valeurs associées à des types de données numériques peuvent être affichées dans la colonne Valeur. La colonne reste vide pour les entrées associées à un type de données String.

Champ de commentaires

Les entrées ou les modifications dans le champ de commentaires provoquent les actions suivantes :

  • Un Event est créé pour l’API (CelItemCommentChanged).
  • Pour les clients ou le serveur de secours, le commentaire est envoyé au serveur primaire.
  • Si la propriété Commentaires de la liste d'événements a été activée, une entrée faisant référence à une modification est insérée dans la liste CEL lorsqu’une modification est effectuée.

Syntaxe : <TimeStamp> - ancienne valeur "<Old Value>" - nouvelle valeur : "<New Value>" ;

Autres sujets abordés dans ce chapitre

Filtrer la liste CEL

Impression et exportation d’événements


Filtrer la liste CEL

Manuel -> Liste d’événements (CEL) -> Utilisation dans le Runtime -> Filtrer la liste CEL

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Les événements peuvent être filtrés et affichés dans le Runtime via :

  • L’utilisation de filtres dans le Runtime
  • L’appel d’un synoptique de type CEL avec un filtre prédéfini
  • L’appel avec filtre d’appel d’un synoptique de type CEL
  • Appel d’un synoptique de type filtre de liste d’événements :

Filtrage dans le Runtime

Dans le Runtime, vous pouvez utiliser des filtres sur les synoptiques de type CEL. Pour filtrer les résultats affichés dans la liste CEL :

  1. Le Filtre doit être présent.
  2. Cliquez sur le bouton Filtrer.

    La boîte de dialogue de filtres de la liste CEL s’affiche

Le filtre défini peut être enregistré dans les profils.

Appel d’un synoptique de type filtre de liste d’événements

Les résultats peuvent être filtrés avant affichage. Pour cela :

  1. Configurez un filtre pour la fonction d’appel d’un synoptique de type CEL

    La liste CEL est filtrée avant affichage, lors d’un appel de synoptique

  2. Si l’option Afficher la boîte de dialogue de filtre dans le Runtime est activée pour la fonction, vous pouvez redéfinir le filtre avant affichage
  3. D’autres paramètres de filtre dans le Runtime peuvent être appliqués à l’aide du bouton filtre

Appel d’un synoptique de filtre de liste d’alarmes

Pour limiter l’utilisation de certains filtres au Runtime, vous pouvez utiliser un synoptique de type Filtre de liste d’événements. Pour cela :

  1. Configurez un appel de synoptique de type Filtre de liste d’événements.
  2. Appelez la liste CEL en exécutant cette fonction dans le Runtime.

    L’utilisateur accède alors à une liste d’alarmes personnalisée en fonction de ses critères.

Autres sujets abordés dans ce chapitre

Profils de filtre

Utilisation du filtre de liste CEL


Profils de filtre

Manuel -> Liste d’événements (CEL) -> Utilisation dans le Runtime -> Filtrer la liste CEL -> Profils de filtre

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Les profils de filtre sont des paramètres que l’utilisateur peut enregistrer et activer dans le Runtime en rapport avec un synoptique particulier.

Pour pouvoir utiliser les profils de filtre, vous devez configurer les éléments suivants :

Élément de contrôle | Description
Profils de filtre | Gestion des profils dans le Runtime.
Sélectionner un profil | Sélection, dans une liste déroulante, d’un profil enregistré.
Enregistrer | Cliquez sur le bouton dans le Runtime pour enregistrer les profils de filtre sous forme de profil. Remarque : Le nom ne peut contenir que 31 caractères maximum et uniquement des caractères valides. Les caractères suivants sont interdits : ! \ / : * ? < > | ""
Supprimer | Cliquez sur le bouton dans le Runtime pour supprimer le profil sélectionné.

Ceci vous permet d’effectuer les opérations suivantes dans le Runtime :

  • Enregistrer des filtres
  • Utiliser des filtres enregistrés
  • Supprimer des profils de filtre

Les profils de filtre peuvent également être exportés et importés avec d’autres éléments de contrôle.

Enregistrer un profil de filtre

Pour créer un profil de filtre :

  1. Définir les conditions de filtre
  2. Saisissez un nom dans le champ de saisie profils de filtre
  3. Cliquez sur le bouton Enregistrer.
    Le profil de filtre est enregistré et peut être sélectionné dans la liste déroulante.

Utiliser un profil de filtre

Pour utiliser un profil de filtre :

  1. Sélectionnez un filtre dans les profils de filtres de la liste déroulante.
  2. Le filtre est appliqué immédiatement

Supprimer un profil de filtre

Pour supprimer un profil de filtre :

  1. Sélectionnez un filtre dans les profils de filtres de la liste déroulante.
  2. Cliquez sur le bouton Supprimer.
    Le profil de filtre est supprimé.
  3. Le filtre supprimé reste appliqué tant qu'un nouveau filtre est défini ou sélectionné


Utilisation du filtre de liste CEL

Manuel -> Liste d’événements (CEL) -> Utilisation dans le Runtime -> Filtrer la liste CEL -> Utilisation du filtre de liste CEL

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Le synoptique de type Filtre de liste d’événements vous permet de modifier individuellement les paramètres des filtres pour la liste d’alarmes dans le Runtime. Vous pouvez configurer tous les paramètres de filtre également disponibles dans le filtre de la fonction appel d’un synoptique de type CEL.

Par conséquent :

  • Seuls les éléments de filtre réellement nécessaires sont configurés et proposés à l’utilisateur.
  • Seuls ces filtres et une vue d’ensemble sont accessibles à l’utilisateur.
  • Vous êtes libre de modifier l’apparence et pouvez, par exemple, faciliter l’utilisation du système avec un écran tactile.

Synoptiques de filtre

Les synoptiques de filtre permettent de transférer un filtre prédéfini d’un synoptique vers un autre. Le filtre du synoptique source est défini à l’aide du synoptique cible. Les synoptiques peuvent également être de types différents.

attention Attention

Pour que le temps du synoptique soit affiché dans le Runtime, la plage de temps suivante doit être sélectionnée dans Editor pour la fonction d’appel de synoptique de la liste d’alarmes ou de la liste d’événements, dans la propriété filtre de temps : Définir le filtre avec un type de filtre horaire

Définition de l’affichage

Les conditions suivantes doivent être remplies pour que les filtres définis soient utilisés :

  1. Le filtre défini pour le type de filtre de temps est sélectionné en tant qu’intervalle de temps pour le filtre de temps.
  2. Le synoptique (synoptiques Filtre de liste d’alarmes, Filtre de liste d’événements et Filtre de temps/de lots) est activé à l’aide d’un bouton ou d’un élément combiné. C’est la seule manière de maintenir la relation entre le synoptique de filtre et le synoptique source.
  3. Le synoptique source et le synoptique de filtre doivent être configurés dans différents cadres ou sur différents moniteurs. Le filtre du synoptique de filtre peut uniquement être actualisé si le synoptique source est ouvert. Cela est uniquement possible si les deux synoptiques n’utilisent pas le même cadre ou le même moniteur.
  4. Le synoptique appelé doit être compatible avec le synoptique de filtre appelé (voir table).
Synoptique source | Filtre de liste AML | Filtre de liste CEL | Filtre de temps
Maintenance d'archive | T | T | T
Extended Trend | T | T | T
Filtre de temps | T | T | X
Filtre d'alarmes | X | C | T
Filtre de liste d’événements | C | X | T
Liste des alarmes | X | C | T
Liste d'événements | C | X | T

Légende :

  • C : Les paramètres communs sont mis à jour.
  • T : Les paramètres de temps sont mis à jour.
  • X : Tous les paramètres sont mis à jour.

info Informations

Aucun filtrage

Le synoptique de filtre n’est pas filtré, mais il est ouvert avec les valeurs configurées si :

  • Une des conditions 1 à 3 n’est pas satisfaite ou
  • Le paramètre Synoptique appelé n’est pas activé pour la fonction Appel de synoptique ou
  • Le synoptique n’est pas appelé par le biais d’un élément de synoptique

Dans ce cas, les boutons Accepter, Fermer et Mise à jour sont grisés dans le Runtime et n’ont aucune fonction.

Mise à jour

Lorsqu’un synoptique de filtre est activé (filtre de liste d’alarmes, filtre de liste d’événements et filtre de temps), les synoptiques configurés dans la fonction d’appel de synoptique sont mis à jour de deux manières :

  • Si le synoptique de filtre est invoqué par le biais d’un élément de synoptique, les synoptiques cibles affichés sur le même moniteur que le synoptique source sont mis à jour.
  • Si le filtre est invoqué de manière différente ou si le paramètre Mettre à jour sur tous les moniteurs est activé, tous les synoptiques cible sont configurés et mis à jour.

Ils sont mis à jour dès que vous cliquez sur le bouton Accepter ou que vous fermez le synoptique de filtre en cliquant sur le bouton Fermer. Le bouton Annuler annule les modifications et ferme le synoptique de filtre.

Mise à jour des paramètres de filtre

Vous pouvez actualiser les paramètres de filtre actuels du synoptique source en cliquant sur le bouton Actualiser. Si le synoptique de filtre n’est pas invoqué par un élément de synoptique, ou si l’option Synoptique d’activation n’a pas été activée, tous les moniteurs sont inspectés afin de déterminer les synoptiques pouvant être utilisés aux fins de la mise à jour. Le premier synoptique trouvé est alors utilisé pour la mise à jour.


Impression et exportation d’événements

Manuel -> Liste d’événements (CEL) -> Utilisation dans le Runtime -> Impression et exportation d’événements

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Les entrées dans la liste CEL peuvent être documentées et archivées comme suit :

  • Liste CEL – Imprimer en ligne : chaque événement est imprimé sur une imprimante connectée en ligne s’il est affiché dans la liste
  • Liste CEL – Imprimer hors ligne : la liste CEL est imprimée dans l’état actuel, sous forme de liste complète
  • Exportation du contenu de la liste CEL (filtrée)

La configuration de l’impression peut être définie par le biais du menu Fichier -> Configuration générale -> Standard.

attention Attention

Un fichier de configuration *.frm est utilisé pour l’impression :

  • En ligne : ALARM.frm
  • Hors ligne : ALAR_G.frm.

Ce fichier FRM doit se trouver dans l’arborescence du projet, dans la section Fichier du dossier Textes et formats.

Les modèles de fichiers FRM sont disponibles dans le dossier d’installation zenon du sous-dossier FRM_QRF. Par le biais du fichier, ils peuvent être insérés dans la section Textes et formats, puis être édités ici.

Les mots-clés des fichiers FRM sont répertoriés au chapitre Fichier de configuration FRM.

Autres sujets abordés dans ce chapitre

Imprimer en ligne

Impression hors ligne

Fichier de configuration FRM

Exporter des événements


Imprimer en ligne

Manuel -> Liste d’événements (CEL) -> Utilisation dans le Runtime -> Impression et exportation d’événements -> Imprimer en ligne

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Lors de l’impression en ligne, chaque événement associé à une entrée dans la liste CEL est immédiatement transmis à l’imprimante.

Attention : l’impression en ligne s’effectue en mode ligne par ligne, conformément au standard ESC/P (Epson Standard Code for Printers), et nécessite une imprimante compatible Epson.

Pour imprimer en ligne les entrées de la liste CEL

  1. Définissez une imprimante.
  2. Accédez au nœud Alarmes et événements dans les propriétés du projet.
  3. Activez la propriété Impression active.
  4. Dans la propriété Impression pour, sélectionnez Liste d’événements dans la liste déroulante.
  5. Définissez le nombre de lignes à l’aide de la propriété Lignes par page (par défaut : 72).
  6. Configurez le fichier BTB.frm.
  7. Ajoutez le fichier BTB.frm au nœud Fichiers/Textes et formats.

info Informations

Cette fonction n’est pas disponible sous Windows CE.

Contrôler l’impression et l’imprimante dans le Runtime

Modification de page

Une instruction de présentation de page suivante est exécutée si :

  • Une page est terminée
  • Le Runtime est fermé et l’impression en ligne est active
  • La fonction Démarrer l’impression en ligne sur une nouvelle page est exécutée

Arrêt de l’impression

Pour arrêter ou poursuivre l’impression en ligne :

  • Exécutez la fonction Imprimante en ligne activée/désactivée.

Changement et configuration d’une imprimante

Pour changer d’imprimante dans le Runtime :

  • Exécuter la fonction Imprimante en ligne Activée/Désactivée

Pour configurer l’imprimante sélectionnée dans le Runtime :

  1. Configurez un élément de contrôle Imprimer avec boîte de dialogue pour le synoptique
  2. Cliquez sur le bouton Imprimer avec boîte de dialogue dans le Runtime
  3. La boîte de dialogue de configuration s'affiche.

Imprimante

Paramètres | Description
Imprimante | Paramètres de l’imprimante.
Nom | Sélectionnez l’imprimante dans la liste déroulante. La liste contient toutes les imprimantes configurées dans le système d’exploitation.
Propriétés... | Ouvre la boîte de dialogue de configuration de l’imprimante.
État : | Affiche l’état de l’imprimante. Fournie uniquement à titre informatif.
Type : | Affiche le type d’imprimante. Fournie uniquement à titre informatif
Emplacement : | Affiche l’emplacement de l’imprimante, s’il a été configuré. Fournie uniquement à titre informatif.
Commentaire : | Affiche un commentaire sur l’imprimante, s’il a été configuré. Fournie uniquement à titre informatif.

Papier

Paramètres | Description
Papier | Configuration de l’impression.
Dimension | Sélectionnez le format de papier dans la liste déroulante.
Source | Sélectionnez le mode d’alimentation en papier dans la liste déroulante.

Alignement

Paramètres

Description

Alignement

Sélectionnez l’alignement du papier. Paramètres possibles :

  • Portrait
  • Paysage

Réseau

Ouvre la boîte de dialogue de sélection d’une imprimante sur le réseau.

OK

Applique la configuration et ferme la boîte de dialogue. Ceci démarre l’impression dans le Runtime.

Annuler

Abandonne la configuration et ferme la boîte de dialogue. Dans le Runtime, ceci annule également l’impression.

Exemple de formatage

Configuration dans BTB.FRM :

Date : @DSYSTEM | Liste d’alarmes/Projet démo | Heure @TSYSTEM heures | Texte
Date/Heure d’apparition | Heure de disparition | Texte d’information | Texte d’état
%% |  |  |
@DTRECEIVED | @TCLEARED | @IDENTIFICATION | @TEXT
%% |  |  |
 | Page | @PAGE |

Sortie sur l’imprimante

Date : 20.03.2011 | Liste d’alarmes/Projet démo | Heure : 24:00 | Texte
Date/Heure d’apparition | Heure de disparition | Texte d’information | Texte d’état
20.03.2011 13:00:00 | 20.03.2011 13:03:59 | Message 1 | Dépassement de limite
20.03.2011 13:00:00 | 13:05:35 | Informations démo | Limite de 750 atteinte
20.03.2011 13:03:59 |  | Message 2 | Valeur limite
20.03.2011 13:11:23 |  | Message 3 | off
20.03.2011 13:03:59 | 13:12:45 | Informations démo | off
 | Page | 1 |


Impression hors ligne

Manuel -> Liste d’événements (CEL) -> Utilisation dans le Runtime -> Impression et exportation d’événements -> Impression hors ligne

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

L’impression hors ligne signifie que la liste CEL est imprimée telle qu’elle est affichée à l’instant dans le Runtime. Cette impression est un "instantané" mentionnant tous les filtres définis, ainsi que leurs limitations. Cette impression est effectuée, que les variables concernées comportent ou non l’option Imprimer.

Imprimer

Pour imprimer la liste CEL hors ligne :

  1. Définissez une imprimante.
  2. Configurez le fichier BTB_G.frm
  3. Ajoutez le fichier BTB_G.frm au nœud Fichiers/textes et formats
  4. Dans le Runtime, cliquez sur le bouton Imprimer ou Imprimer avec boîte de dialogue.

Configuration et modification de l’imprimante

Changement et configuration d’une imprimante

Pour changer d’imprimante dans le Runtime :

  • Exécuter la fonction Imprimante en ligne Activée/Désactivée

Pour configurer l’imprimante sélectionnée dans le Runtime :

  1. Configurez un élément de contrôle Imprimer avec boîte de dialogue pour le synoptique
  2. Cliquez sur le bouton Imprimer avec boîte de dialogue dans le Runtime
  3. La boîte de dialogue de configuration s'affiche.

Imprimante

Paramètres | Description
Imprimante | Paramètres de l’imprimante.
Nom | Sélectionnez l’imprimante dans la liste déroulante. La liste contient toutes les imprimantes configurées dans le système d’exploitation.
Propriétés... | Ouvre la boîte de dialogue de configuration de l’imprimante.
État : | Affiche l’état de l’imprimante. Fournie uniquement à titre informatif.
Type : | Affiche le type d’imprimante. Fournie uniquement à titre informatif
Emplacement : | Affiche l’emplacement de l’imprimante, s’il a été configuré. Fournie uniquement à titre informatif.
Commentaire : | Affiche un commentaire sur l’imprimante, s’il a été configuré. Fournie uniquement à titre informatif.

Papier

Paramètres | Description
Papier | Configuration de l’impression.
Dimension | Sélectionnez le format de papier dans la liste déroulante.
Source | Sélectionnez le mode d’alimentation en papier dans la liste déroulante.

Alignement

Paramètres

Description

Alignement

Sélectionnez l’alignement du papier. Paramètres possibles :

  • Portrait
  • Paysage

Réseau

Ouvre la boîte de dialogue de sélection d’une imprimante sur le réseau.

OK

Applique la configuration et ferme la boîte de dialogue. Ceci démarre l’impression dans le Runtime.

Annuler

Abandonne la configuration et ferme la boîte de dialogue. Dans le Runtime, ceci annule également l’impression.

Exemple de formatage

Configuration dans le fichier BTB_G.FRM :

Date : @DSYSTEM | Liste de messages d’alarme fermés - Projet démo | Heure @TSYSTEM heures | Texte
Date/Heure d’apparition | Heure de disparition | Texte d’information | Texte d’état
%% |  |  |
@DTRECEIVED | @TCLEARED | @IDENTIFICATION | @TEXT
%% |  |  |
 | Page | @PAGE |

Sortie sur l’imprimante

Date : 20.03.2011 | Liste de messages d’alarme fermés - Projet démo | Heure : 24:00 | Texte
Date/Heure d’apparition | Heure de disparition | Texte d’information | Texte d’état
20.03.2011 13:00:00 | 20.03.2011 13:03:59 | Message 1 | Dépassement de limite
20.03.2011 13:00:00 | 13:05:35 | Informations démo | Limite de 750 atteinte
20.03.2011 13:03:59 |  | Message 2 | Valeur limite
20.03.2011 13:11:23 |  | Message 3 | off
20.03.2011 13:03:59 | 13:12:45 | Informations démo | off
 | Page | 1 |


Fichier de configuration FRM

Manuel -> Liste d’événements (CEL) -> Utilisation dans le Runtime -> Impression et exportation d’événements -> Fichier de configuration FRM

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Les fichiers FRM (fichiers de format) sont des fichiers de configuration destinés à la l’impression de listes.

Le fichier FRM comporte trois parties :

  • En-tête : situé en début de page
  • Liste : cyclique par ligne
  • Pied de page : situé en fin de page

Principes

Lors de l’édition de fichiers FRM, tenez compte des consignes suivantes :

  • Séparation des composantes de la liste :
    • L’en-tête et la section de liste, et la section de liste et le pied de page sont séparés par %%.

      Le marqueur de séparation ne doit être utilisé qu’à deux reprises entre les parties d’en-tête et liste et entre la partie liste et le pied de page.

    • Attention : La dernière ligne doit être suivie d’au moins deux paragraphes vides. Sinon, le pied de page n’est pas imprimé?!
  • Positionnement des entrées individuelles :
    Vous pouvez uniquement utiliser des espaces (pas de marques de tabulation).
  • Édition de fichiers FRM dans un éditeur de texte :
    la fonction d’insertion automatique de sauts de ligne doit être désactivée?; dans le cas contraire, des effets indésirables peuvent affecter la mise en forme.

Mots-clés

La configuration de la longueur de page est effectuée dans les propriétés de projet, sous Alarmes et événements, ou via le fichier ALARM.frm ou ALAR_G.frm, pour la liste AML, ou via BTB.frm et BTB_G.frm, pour la liste CEL.

Note :

  • le nombre d’entrées d’alarmes par page découle du nombre prédéfini de lignes (par ex. Lignes par page 72), auquel viennent se soustraire les lignes utilisées pour les textes d’en-tête et de pied de page.
  • L’option Utiliser heure de réactivation doit être activée pour que l’utilisateur puisse utiliser les mots-clé permettant d’évaluer la réactivation (heure, nombre).
  • Des textes libres et des mots-clés peuvent être utilisés dans le fichier de formatage. Les mots-clés peuvent être utilisés en allemand ou en anglais. Il est recommandé d’utiliser des mots-clés en anglais.
  • Tous les mots-clés ne sont pas adaptés à tous les types d’impression (AML, CEL, en ligne, hors ligne).

Le tableau suivant contient les mots-clés en anglais et en allemand, ainsi que leur domaine d’application.

Allemand | Anglais | Liste d’alarmes hors ligne | Liste d’événements hors ligne | Liste de messages en ligne | Liste d’événements en ligne | Description
Mots-clés correspondant à la partie de la liste
@BMKENNUNG | @RESOURCELABEL | X | X | X | X | Description externe
@DATZEITKOMMT | @DTRECEIVED | X | X | X | X | Heure et date de début de l’alarme
@DATZEITGEHT | @DTCLEARED | X | - | X | - | Heure et date de fin de l’alarme
@DATZEITOK | @DTACK | X | - | X | - | Heure et date d’acquittement de l’alarme
@DATZEITREAKT | @DTREACTIVATE | X | - | X | - | Heure et date de réactivation de l’alarme La propriété Utiliser heure de réactivation des propriétés du projet doit être activée.
@DATZEIT | @DTLASTEVENT | - | - | X | - | Heure et date de réception, d’acquittement ou de réactivation de l’alarme
@ZEIT | @TLASTEVENT | - | - | X | X | Heure et date de réception, d’effacement, d’acquittement ou de réactivation de l’alarme
@ZEITOK | @TACK | X | - | X | - | Affiche uniquement l’heure d’acquittement de l’alarme
@ZTKOMMT | @TRECEIVED | X | X | X | X | Affiche uniquement l’heure de réception de l’alarme
@ZTGEHT | @TCLEARED | X | - | X | - | Affiche uniquement l’heure de fin de l’alarme
@ZTREAKT | @TREACTIVATE | X | - | X | - | Affiche uniquement l’heure de réactivation de l’alarme
@TIMELASTING | @TACTIVE | X | - | X | - | Durée d’activité (différence entre l’heure de réception et l’heure d’effacement)
@ANWENDUNG | @PROJECTNAME | X | X | X | X | Nom du projet
@KANALNAME | @VARNAME | X | X | X | X | Nom de la variable Liste d’événements : uniquement les entrées comportant des variables
@AK | @ACLASSNR | X | X | X | X | Nom de la classe d’alarmes/d’événements
@AG | @AGROUPNR | X | X | X | X | Numéro du groupe d’alarmes/d’événements
@AGNAME | @AGROUPNAME | X | X | X | X | Nom du groupe d’alarmes/d’événements
@AKNAME | ACLASSNAME | X | X | X | X | Nom de la classe d’alarmes/d’événements
@TAGNR | @IDENTIFICATION | X | X | X | X | Identification (intitulé spécifique à l’entreprise)
@AMELDUNG | @TEXT | X | X | X | X | Texte de message d’alarme
@REAKTANZ | @NRREACTIVATE | X | - | X | - | Nombre de réactivations
@STATUS | @STATUS | X | X | X | X | Informations d’état, identiques à la liste d’alarmes
@WERT | @VALUE | X | X | X | X | Valeur variable de l’alarme
@REAKTIONSTEXT | @COMMENT | X | X | X | X | Commentaire provenant de la liste d’alarmes. Si des textes de valeur limite dynamique sont utilisés, ils sont uniquement disponibles si les propriétés Textes de limite dynamiques longs pour les alarmes ou Textes de limite dynamiques longs pour les événements ont été activées.
@USER | @USERID | X | X | X | X | Liste AML : Utilisateur ayant acquitté l’alarme.
@RECHNER | @COMPUTER | X | X | X | X | Liste AML : Ordinateur sur lequel l’alarme a été acquittée.
Mots-clés pour les en-têtes et pieds de page
@ANWENDUNG | @PROJECTNAME | X | X | X | X | Nom du projet
@SEITE | @PAGE | X | X | X | X | Numéro de page
@HEADDATZEIT | @DTSYSTEM | X | X | X | X | Date et heure du système
@HEADDATUM | @DSYSTEM | X | X | X | X | Date du système
@HEADZEIT | @TSYSTEM | X | X | X | X | Heure du système
@USER | @USERID | X | X | X | X | Utilisateur ayant effectué l’impression
@USERNAME | @USERNAME | X | X | X | X | Nom complet de l’utilisateur ayant déclenché l’action
@RECHNER | @COMPUTER | X | X | X | X | Ordinateur depuis lequel est effectuée l’impression
[Texte] | [Texte] |  |  |  |  | Texte au choix

attention Attention

Vous devez laisser suffisamment de place entre les mots-clés pour que les entrées ne soient pas remplacées. Vous garantissez ainsi le bon affichage des textes de valeur limite longs.

Exemple :

@TEXT ((espaces jusqu’ici))


Exporter des événements

Manuel -> Liste d’événements (CEL) -> Utilisation dans le Runtime -> Impression et exportation d’événements -> Exporter des événements

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Les entrées de la liste CEL peuvent être exportées vers différents formats :

  • dBase
  • CSV
  • XML
  • SQL

Exporter

Pour exporter les entrées de la liste CEL

  1. Créez une fonction Exporter CEL
  2. Liez la fonction à un bouton.
  3. Exécutez cette fonction dans le Runtime

info Informations

L’exportation au format SQL se déroule de manière incrémentielle. Si des données exportées sont déjà présentes, seules les données nouvelles et modifiées sont exportées.


Menus

Manuel -> Menus

Les menus conformes à Windows sont créés dans l’éditeur de menus. Deux types de menus sont disponibles :

  • Menus principaux
  • Menus contextuels

Remarque : Le système d’exploitation ne permet pas d’afficher plusieurs menus différents pour chaque synoptique ou cadre.

tutorial Informations concernant la licence

Composante de la licence standard d’Editor et du Runtime.

Menu contextuel Gestionnaire de projet

Élément de menu | Action
Nouveau menu principal | Insère un nouveau menu principal dans la liste de menus de la vue de détail.
Nouveau menu contextuel | Insère un nouveau menu principal dans la liste de menus de la vue de détail.
Exporter tout (XML) | Exporte toutes les entrées sous forme de fichier XML.
Importer XML | Importe des entrées à partir d'un fichier XML.
Profil Editor | Ouvre le menu contextuel contenant les profils Editor prédéfinis.
Aide | Ouvre l'aide en ligne.

Autres sujets abordés dans ce chapitre

Configuration dans Editor

Utilisation dans le Runtime


Configuration dans Editor

Manuel -> Menus -> Configuration dans Editor

Sélectionnez l’élément de menu Gestionnaire de projet pour ouvrir l’éditeur de menus et accéder à l’affichage détaillé. Vous pouvez choisir parmi les menus principaux et les sous-menus. Avec le menu contextuel (entrée Nouveau menu principal ou Nouveau menu contextuel), vous pouvez créer de nouveaux menus. Ils sont ensuite affichés dans la partie droite de la vue de détail. Les menus peuvent être importés et exportés. Vous trouverez plus d’informations dans le chapitre Importation / Exportation / Menus.

attention Attention

Conditions requises pour l’affichage des menus principaux dans le Runtime : La propriété Menus principaux actifs (nœud Apparence graphique) doit être activée dans les propriétés du projet.

Créer un nouvel élément de menu

Pour créer un nouvel élément de menu :

  1. Sélectionnez la dernière entrée.
  2. Confirmez votre choix en appuyant sur la touche Entrée.
  3. Un nouveau champ de saisie vide est créé.

Créer un sous-menu

Pour créer un nouveau sous-menu, activez la propriété Sous-menu dans l’élément de menu de niveau supérieur. Un nouveau champ de saisie est alors ouvert pour le sous-menu.

Déplacer un élément de menu

  1. Sélectionnez l’entrée souhaitée (sélection multiple possible).
  2. Maintenez le bouton gauche de la souris enfoncé et déplacez l’élément vers sa nouvelle position.
  3. Remarque : Si vous déplacez les sous-menus vers un élément de menu qui n’est pas défini comme un sous-menu, les éléments sont créés en tant que menus principaux.
    Si vous déplacez l’élément supérieur, tous les sous-menus sont déplacés avec lui.

Copier un élément de menu

  1. Sélectionnez l’élément souhaité (sélection multiple possible).
  2. Sélectionnez Copier dans le menu contextuel ou la barre d’outils.
  3. Sélectionnez l’emplacement de sauvegarde de la copie.

    Remarque : Si vous copiez les sous-menus vers un élément de menu qui n’est pas défini comme un sous-menu, les éléments sont créés en tant que menus principaux.
    Si vous déplacez l’élément supérieur, tous les sous-menus sont copiés avec lui.

  4. Sélectionnez Insérer dans le menu contextuel ou la barre d’outils.
  5. Maintenez le bouton gauche de la souris enfoncé et déplacez l’élément vers sa nouvelle position.

Renommer un élément de menu

  1. Sélectionnez l’élément de menu et modifiez-le comme suit :
    • Double-cliquez ou cliquez deux fois lentement sur l’élément
      ou
    • Appuyez sur la touche F2 ou la touche Entrée lorsque l’entrée a été sélectionnée
      ou
    • Sélectionnez la commande Renommer dans le menu contextuel ou la barre d’outils.
  2. L’entrée actuelle est sélectionnée.
  3. Saisissez le nouveau nom.
  4. Confirmez la modification :
    • En appuyant sur la touche Entrée
    • En basculant vers un autre élément de menu
  5. Ou annulez les modifications apportées en appuyant sur Échap

Sélection multiple

Pour modifier plusieurs entrées à la fois

  • Maintenez la touche Ctrl enfoncée et cliquez sur les entrées

    ou

  • Maintenez la touche Maj enfoncée et cliquez sur les entrées

    ou

  • Maintenez la touche Maj enfoncée et appuyez sur les touches fléchées du clavier

Pour désélectionner une entrée, cliquez sur l’entrée tout en maintenant les touches Ctrl ou Maj enfoncées.

Pour désélectionner toutes les entrées et sélectionner une seule entrée, cliquez sur l’entrée de votre choix.

Autres sujets abordés dans ce chapitre

Barre d'outils et menus contextuels de la vue détaillée

Définir les entrées


Barre d'outils et menus contextuels de la vue détaillée

Manuel -> Menus -> Configuration dans Editor -> Barre d'outils et menus contextuels de la vue détaillée

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Barre d'outils

Élément de menu | Action
Nouveau menu principal | Insère un nouveau menu principal dans la liste de menus de la vue de détail.
Nouveau menu contextuel | Insère un nouveau menu principal dans la liste de menus de la vue de détail.
Créer une fonction standard | Ouvre la boîte de dialogue permettant de sélectionner une action et crée une fonction adéquate. Cette action est consignée dans la fenêtre de sortie.
Retour à l'élément de départ | Jumps back to the initial position in the zenon Editor. Remarque : This context menu entry is only available if a jump to the current position has been made from another position with the Linked elements context menu entry.
Copier | Copie l’entrée sélectionnée vers le presse-papiers.
Coller | Insère le contenu du presse-papier.
Supprimer | Supprime l’entrée sélectionnée sans confirmation.
Exporter la sélection en XML... | Exporte les entrées sélectionnées sous forme de fichier XML.
Importer XML | Importe des entrées à partir d'un fichier XML.
Renommer | Ouvre l’élément de menu aux fins de la modification du nom.
Propriétés | Ouvre la fenêtre des propriétés pour l’entrée sélectionnée.
Aide | Ouvre l'aide en ligne.

Menu contextuel Menus dans le Runtime

Élément de menu | Action
Nouveau menu principal | Insère un nouveau menu principal dans la liste de menus de la vue de détail.
Nouveau menu contextuel | Insère un nouveau menu principal dans la liste de menus de la vue de détail.
Coller | Colle l’entrée de menu copiée dans la branche correspondante (Menus principaux ou Menus contextuels) sous la forme Copie x sur, où x est un nombre consécutif.
Aide | Ouvre l'aide en ligne.

Menu contextuel Menu principal

Élément de menu | Action
Nouveau menu principal | Insère un nouveau menu principal dans la liste de menus de la vue de détail.
Coller | Colle l’entrée de menu copiée d’un menu principal sous la forme Copie x sur, où x est un nombre consécutif.
Aide | Ouvre l'aide en ligne.

Menu contextuel Menus contextuels

Élément de menu | Action
Nouveau menu contextuel | Insère un nouveau menu principal dans la liste de menus de la vue de détail.
Coller | Colle l’entrée de menu copiée d’un menu contextuel sous la forme Copie x sur, où x est un nombre consécutif.
Aide | Ouvre l'aide en ligne.

Menu contextuel Menus

Élément de menu | Action
Créer une fonction standard | Ouvre la boîte de dialogue permettant de sélectionner une action et crée une fonction adéquate. Cette action est consignée dans la fenêtre de sortie.
Éléments liés | Affiche la liste des éléments liés. Cliquez sur l’entrée pour ouvrir l’élément lié dans Editor.
Copier | Copie l'entrée sélectionnée.
Coller | Colle l’entrée de menu copiée sous la forme Copie x sur, où x est un nombre consécutif.
Supprimer | Supprime l’entrée sélectionnée sans confirmation.
Exporter la sélection en XML... | Exporte les entrées sélectionnées sous forme de fichier XML.
Importer XML | Importe des entrées à partir d'un fichier XML.
Propriétés | Ouvre la fenêtre des propriétés pour l’entrée sélectionnée.
Aide | Ouvre l'aide en ligne.

Menu contextuel Détails

Élément de menu | Action
Renommer | Ouvre l’élément de menu aux fins de la modification du nom.
Créer un nouvel objet devant celui sélectionné | Ajoute un nouvel élément de menu devant l’élément de menu affiché en surbrillance.
Copier | Copie l’élément de menu sélectionné vers le presse-papiers.
Coller | Insère le contenu du presse-papier.
Supprimer | Supprime l’élément de menu sélectionné sans confirmation.
Propriétés | Ouvre la fenêtre des propriétés de l’élément de menu.
Aide | Ouvre l'aide en ligne.


Définir les entrées

Manuel -> Menus -> Configuration dans Editor -> Définir les entrées

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Généralement, il existe trois types d’entrées de menu :

Paramètre

Description

Type action

Définit le type d’action devant être exécuté via l’élément de menu correspondant dans le Runtime. Tous les types d’action ne sont pas disponibles dans le menu principal?; certains sont uniquement accessibles via le menu contextuel.

  • Acquitter alarme (menu contextuel uniquement)
  • Gestion de commande (menu contextuel uniquement)
  • Acquitter clignotement (menu contextuel uniquement)
  • Fonction
  • Aide
  • Aucune action
  • Écrire valeur prescrite
  • Macro VBA (menu contextuel uniquement)

Sous-menu

Ouvre un sous-menu dans le Runtime.

Séparateur

Une ligne horizontale divise les entrées de menu.

Souligner le texte : Saisissez un caractère & pour souligner les caractères suivants.

Planifier les entrées

Pour configurer un élément de menu dans le menu principal ou un menu contextuel :

  1. Activez la cellule de menu correspondante
  2. Dans propriétés, sélectionnez :
    • Type action : en fonction du type de menu.
      Voir également : Principaux types d’action des menus et Types d’action du menu contextuel.
    • ID du menu: Identifiant de l'entrée
      Remarque : Pour les entrées du module Command Sequencer, il existe des types prédéfinis, comportant des identifiants prédéfinis.
      D'autres informations à se sujet, ainsi qu'une liste de ces identifiants sont disponibles dans le manuel Energy Edition, au chapitre Gestion de commande via le menu contextuel.
    • Texte : intitulé clair des cellules du menu.

attention Attention

La configuration de la propriété Texte doit être unique. Si deux textes identiques sont fournis, les autres éléments de menu portant le même nom ne seront pas affichés.

Autres sujets abordés dans ce chapitre

Types d’action de menu principal

Types d’actions du menu contextuel

Apparence graphique

Sous-menu


Types d’action de menu principal

Manuel -> Menus -> Configuration dans Editor -> Définir les entrées -> Types d’action de menu principal

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Paramètres | Description
Fonction | Une fonction définie de zenon est exécutée en sélectionnant l’entrée de menu dans le Runtime.
Aide | Un chapitre d’aide d’un fichier CHM est affiché.
Aucune action | Aucune action n’est exécutée.
Spécifier valeur prescrite | En sélectionnant l’élément de menu Spécifier valeurs prescrites, vous pouvez transmettre une valeur fixe, ou augmenter ou réduire d’une quantité fixe la valeur d’une variable durant le Runtime. La saisie s’effectue à l’aide de la boîte de dialogue standard de zenon. Si l’un des 3 synoptiques de type Clavier (SETVALUEKBD, SETBOOLKBD ou SETSTRINGKBD) est disponible dans le projet, il est alors automatiquement utilisé. Pour cette action, une variable peut être sélectionnée directement, ou si c’est une entrée de menu contextuel, alors le système peut prendre la variable de l’élément sur lequel le menu contextuel a été activé.


Types d’actions du menu contextuel

Manuel -> Menus -> Configuration dans Editor -> Définir les entrées -> Types d’actions du menu contextuel

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Paramètres | Description
Fonction | Une fonction définie de zenon est exécutée en sélectionnant l’entrée de menu dans le Runtime.
Aide | Un chapitre d’aide d’un fichier CHM est affiché.
Aucune action | Aucune action n’est exécutée.
Écrire valeur prescrite | En sélectionnant l’élément de menu Spécifier valeurs prescrites, vous pouvez transmettre une valeur fixe, ou augmenter ou réduire d’une quantité fixe la valeur d’une variable durant le Runtime. La saisie s’effectue à l’aide de la boîte de dialogue standard de zenon. Si l’un des 3 synoptiques de type Clavier (SETVALUEKBD, SETBOOLKBD ou SETSTRINGKBD) est disponible dans le projet, il est alors automatiquement utilisé. Pour cette action, une variable peut être sélectionnée directement, ou si c’est une entrée de menu contextuel, alors le système peut prendre la variable de l’élément sur lequel le menu contextuel a été activé.
Macro VBA | Une macro VBA sera exécutée lors de la sélection de l’entrée de menu dans le Runtime. Vous pouvez uniquement sélectionner les macros VBA qui sont déclarées comme événement Init.
Acquitter les alarmes | Les alarmes des variables liées à l’élément dynamique, sur lequel le menu contextuel a été activé, sont acquittées.
Acquitter clignotement | Arrête le clignotement des éléments liés aux variables liées à l’élément dynamique sur lequel le menu contextuel a été activé. Les alarmes ne sont pas acquittées par cette action.
Gestion de commande | Ouvre la fenêtre Gestion de commande définie (uniquement avec une licence de type Energy Edition).

Autres sujets abordés dans ce chapitre

Gestion de commande


Gestion de commande

Manuel -> Menus -> Configuration dans Editor -> Définir les entrées -> Types d’actions du menu contextuel -> Gestion de commande

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Lors de la création d’une nouvelle action dans la fonction Gestion de commande, un identifiant de menu correspondant au type d’action et à la direction de commutation pour la propriété Type action est créé et proposé dans la liste déroulante. Si le contenu correspond à un identifiant défini en tant que texte standard pour le type d’action et la direction de commutation, le contenu est adapté si le type d’action ou la direction de commutation.

Pour créer un menu contextuel pour la fonction de gestion de commande :

  1. Créez les actions souhaitées dans la fenêtre de gestion de commande.
  2. Dans les propriétés de l’option de menu contextuel, sélectionnez la Type action Gestion de commande.
  3. Sélectionnez l’action souhaitée et la direction de commutation via le menu déroulant avec la propriété ID du menu.
  4. Spécifiez un intitulé clair dans la propriété Texte.
    Remarque : Si aucune entrée n’est définie pour Texte, le champ est automatiquement renseigné avec l’intitulé Gestion de commande.

attention Attention

La configuration de la propriété Texte doit être unique. Si deux textes identiques sont fournis, les autres éléments de menu portant le même nom ne seront pas affichés.

Les éléments de menu créés automatiquement avec la même action produisent le même texte?; aussi, des macros sont disponibles pour ces derniers.

La séquence de caractères ID_CMD_AUTO est réservée pour les éléments de menu créés automatiquement. Ces derniers doivent toujours être utilisés conjointement à des macros, car dans le cas contraire, seul l’élément de menu est inséré.

Les règles suivantes s’appliquent lors de la recherche de doubles entrées :

  • Les points de menu manuels sont prioritaires sur les points automatiques.
  • Si deux entrées sont du même type, la priorité de la dernière entrée est deux fois plus élevée.
  • Si une double entrée est détectée, un avertissement est inséré dans le fichier journal. Celui-ci inclut l’ID de menu et la description. Les ID des entrées pouvant être développées automatiquement reçoivent l’indication <auto>.

Actions pour la Type action Gestion de commande

Action | Direction de commutation | ID de menu
ID_CMD_AUTO |  | Cette entrée de menu montre automatiquement toutes les actions possibles pour un élément, sauf les actions pour lesquelles une entrée de menu a été spécifiée explicitement.
Commande impulsion | On (1) | ID_CMD_EBEF_ON
Commande impulsion | OFF (1) | ID_CMD_EBEF_OFF
Commande impulsion | NONE | ID_CMD_EBEF_NONE
Commande de commutation | On (1) | ID_CMD_DBEF_ON
Commande de commutation | OFF (2) | ID_CMD_DBEF_OFF
Commande de commutation | NONE | ID_CMD_DBEF_NONE
Valeur prescrite | NONE | ID_CMD_SVALUE
Valeur prescrite | DIRECT | ID_CMD_SVALUE_DIR
Envoi de l’état | NONE | ID_CMD_STATE
Envoi de l’état | On (1) | ID_CMD_STATE_ON
Envoi de l’état | OFF (0) | ID_CMD_STATE_OFF
Remplacer | NONE | ID_CMD_REPL_NONE
Remplacer | On (1) | ID_CMD_REPL_ON
Remplacer | OFF (0) | ID_CMD_REPL_OFF
Remplacer | Défaut | ID_CMD_REPL_DEF
Remplacer | Diff | ID_CMD_REPL_DIFF
Correction manuelle | NONE | ID_CMD_UPD_NONE
Correction manuelle | On (1) | ID_CMD_UPD_ON
Correction manuelle | OFF (0) | ID_CMD_UPD_OFF
Correction manuelle | Diff | ID_CMD_UPD_DIFF
Correction manuelle | Défaut | ID_CMD_UPD_DEF
Correction manuelle | DIRECT | ID_CMD_UPD_DIR
Bloquer | NONE | ID_CMD_BLOCK
Valider | NONE | ID_CMD_UNLOCK
Verrouiller | NONE | ID_CMD_LOCK
Révision | OFF (0) | ID_CMD_REV_OFF
Révision | On (1) | ID_CMD_REV_ON
Commande forcée | On (1) | ID_CMD_FORCE_ON
Commande forcée | Off (0) | ID_CMD_FORCE_OFF
Commande forcée | NONE | ID_CMD_FORCE_NONE
info Informations
Pour plus d’informations concernant l’utilisation des menus contextuels dans la commande, reportez-vous au chapitre Energy Edition de la section Menu contextuel des commandes.

Autres sujets abordés dans ce chapitre

Macros du menu contextuel


Macros du menu contextuel

Manuel -> Menus -> Configuration dans Editor -> Définir les entrées -> Types d’actions du menu contextuel -> Gestion de commande -> Macros du menu contextuel

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Macros du menu contextuel

Une macro est une séquence de caractères définie, qui est remplacée par un texte lors de la création d’éléments de menu dans le Runtime. Presque toutes les macros peuvent apparaître plusieurs fois par élément de menu. Par conséquent, elles contiennent également d’autres macros. Dans ce cas, la séquence d’expansion doit être prise en compte. Les macros ne sont pas sensibles à la casse lors de la configuration des menus. Si les macros contiennent une macro en tant que résultat, la macro doit être insérée en majuscules dans le résultat. L’entrée est identifiée par un caractère $ en préfixe et suffixe.

La séquence d’expansion est de gauche à droite, avec la priorité suivante.

  1. $ALL$
  2. $NOTE$
  3. $TAG$
  4. $REMA<État>$
  5. $RDIR$
  6. $DIR$
  7. $ACT$
  8. $NAME$

Macro

Description

$ALL$

Entraîne la dénomination de l’action : Direction de commutation.

Correspond à la combinaison de la macro $ACT$ : $DIR$.

Remarque : Si un menu contextuel est créé pour la gestion de commande, le texte par défaut est $ALL$, même si du texte a déjà été configuré pour le menu, mais le type d’action change en Gestion de commande.

$NOTE$

L’ensemble du texte, macro incluse, est interprété comme une remarque. Si le texte résultant est vide, la macro $ALL$ est utilisée.

Pour la dernière macro, la macro de la note est vérifiée à nouveau et le texte inséré à droite de celle-ci, macro incluse, est supprimé.

Si le texte résultant est vide ou ne comprend que des espaces, l’élément de menu n’est pas inséré.

$TAG$

Remplacé par l’identification de la variable d’action.

L’identification peut être traduite par la fonction de traduction en ligne. Si aucun caractère de traduction (@) n’est inclus, l’identification entière est surlignée aux fins de la traduction.

$REMA<Status>$

<Status> est un état ou une valeur limite de matrice de réaction, dont le texte est utilisé en tant que remplacement.

Si l’état n’est pas présent, l’élément de menu n’est pas affiché.

Le texte de valeur limite est traduit, du point de vue linguistique, en fonction du placement du caractère @ .

L’état peut être un nombre compris entre -231 et 231-1. L’utilisation de caractères précédant le texte et d’un préfixe est autorisée. Si des caractères ne pouvant être convertis en nombre sont inclus ou le nombre est situé hors de la zone spécifiée, l’élément de menu n’est pas affiché.

$RDIR$

Texte de la direction de commutation, dérivé de la matrice de réaction ou valeur limite, comme dans la macro $DIR$, à l’exception de :

  • Action Write set value direct (Envoyer valeur prescrite directement)
    Le texte est dérivé de la matrice de réaction ou valeur limite de l’état, qui correspond à la valeur de la valeur prescrite devant être définie.
  • Action Status on (État activé) et Status off (État désactivé)
    Le texte est dérivé de la matrice de réaction/valeur limite des états activé ou désactivé.
  • Action Correct direct (Corriger directement)
    Le texte est dérivé de la matrice de réaction ou valeur limite de l’état, qui correspond à la valeur de la valeur prescrite devant être définie.

$DIR$

Direction de commutation de l’action.

$ACT$

Dénomination de l’action.

$NAME$

La macro $NAME$ peut être utilisée pour créer des menus et fournit le contenu configuré de la propriété Nom de l'action, dont la langue peut également être basculée dans le Runtime, avec le caractère @.

Éléments de menu créés automatiquement

Les éléments de menu créés automatiquement sont créés sous forme d’ID de menu avec ID_CMD_AUTO. Dans ce cas, les macros doivent toujours être utilisées?; dans le cas contraire, seul un élément de menu sera inséré.

Compatibilité

Avant la version 6.51, le texte associé aux éléments de menu automatiques était ignoré. Lors de la conversion de projets créés avec des versions antérieures à la version 6.51, des macros $ALL$$NOTE$ sont automatiquement insérées avant le texte configuré. Par conséquent, les éléments de menu se comportent comme auparavant.

Changement de langue en ligne

L’intitulé de l’élément de menu dans la propriété Texte est traduit, au niveau linguistique, avant l’expansion de la macro, à partir du caractère @.

Remarque : Si, pour la balise $TAGS$, aucun indicateur de traduction (@) n’est présent, le texte entier est traduit.


Apparence graphique

Manuel -> Menus -> Configuration dans Editor -> Définir les entrées -> Apparence graphique

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Les éléments graphiques des menus peuvent être influencés par les propriétés suivantes

Paramètres

Description

Fichier graphique

Affiche un fichier graphique dans la zone située complètement à gauche.

Graphique d'arrière plan

Affiche un fichier graphique derrière l’entrée de menu. L’orientation peut être soit Taille originale, soit Étiré.

Coche

Affiche une coche dans la zone située complètement à gauche. Cette coche n’a aucune influence sur la disponibilité de la fonctionnalité liée?; elle est uniquement fournie à des fins d’affichage. L’affichage et la fonctionnalité peuvent uniquement être contrôlés via VBA/VSTA dans le Runtime.

Visible

Active : L’option de menu est affichée dans le Runtime et la fonctionnalité liée est disponible. La visibilité peut uniquement être contrôlée via VBA/VSTA dans le Runtime.

Séparateur actif

À la place de l’option de menu, affiche une ligne de séparation horizontale permettant de diviser le menu de manière logique.

La largeur de la ligne de séparation peut être définie sur une valeur de 0 à 50 pixels?; la couleur est laissée au choix de l’utilisateur.


Sous-menu

Manuel -> Menus -> Configuration dans Editor -> Définir les entrées -> Sous-menu

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Pour créer des sous-menus :

  1. Accédez à une cellule de menu.
  2. Activez la propriété Sous-menu.
    Un nouvel élément de menu vide est maintenant créé à côté de la cellule de menu sélectionnée.
  3. Définissez les entrées du sous-menu ou configurez des sous-menus ultérieurs.

Les sous-menus sont identifiés par une flèche située à leur droite. Les sous-menus peuvent également être créés sous forme de sous-menus imbriqués.


Utilisation dans le Runtime

Manuel -> Menus -> Utilisation dans le Runtime

Les menus de l’éditeur de menus correspondent aux fonctionnalités habituelles des applications Windows.

Dans le Runtime, les menus sont situés dans une position prédéfinie dans le coin supérieur gauche.

Remarque : Si une alarme est en attente, la ligne d’alarme peut couvrir les menus. Dans ce cas, les menus peuvent uniquement être actionnés lorsque les alarmes ont été acquittées. Pour éviter cela, planifiez la ligne d’état d’alarme à un endroit différent ou activez des cadres pour le modèle.

Autres sujets abordés dans ce chapitre

Affichage des menus dans le Runtime


Affichage des menus dans le Runtime

Manuel -> Menus -> Utilisation dans le Runtime -> Affichage des menus dans le Runtime

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Pour afficher les menus principaux dans le Runtime, la fonction Afficher le menu correspondante doit être créée et liée.

Les menus contextuels sont définis dans les propriétés des éléments dynamiques correspondants.

Gestion des utilisateurs

Si la gestion des utilisateurs est configurée pour le projet, le comportement d’affichage du menu dans le Runtime peut être modifié en fonction des autorisations utilisateur.

info Informations

Pour plus d’informations concernant la configuration de la gestion des utilisateurs, reportez-vous au chapitre Gestion des utilisateurs.

Configuration dans Editor.

  1. Cliquez sur le nœud principal de votre projet.
  2. Accédez au groupe de propriétés Gestion des utilisateurs .
  3. Sélectionnez le comportement souhaité dans la propriété Items de menu verrouillés .
  4. Attribuez un Niveau d'autorisation :
    Pour attribuer le Niveau d'autorisation correspondant :
    1. Accédez au groupe de propriétés Autorisation d'accès .
    2. Définissez le niveau de mot de passe correspondant dans la propriété Niveau d'autorisation .

Autres sujets abordés dans ce chapitre

Afficher les menus principaux

Afficher les menus contextuels


Afficher les menus principaux

Manuel -> Menus -> Utilisation dans le Runtime -> Affichage des menus dans le Runtime -> Afficher les menus principaux

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Cette fonction contrôle l’affichage des menus principaux.

  1. Créez une nouvelle fonction en sélectionnant Nouvelle fonction
  2. Dans le nœud Synoptiques, sélectionnez la fonction Afficher le menu.
  3. Définissez l’action à exécuter et le menu principal.

Paramètres

Description

Action

Sélection de l’action :

Afficher le menu

Le menu sélectionné est affiché.

Cacher menu

Le menu sélectionné est caché.

Changer menu

Le menu courant est caché et le menu sélectionné est affiché à la place.

Si aucun menu disponible

Le menu sélectionné est affiché si aucun menu n’est affiché à cet instant.

Menu

Sélection du menu.

Afficher cette boite de dialogue dans le Runtime

Active : Cette boîte de dialogue s’affiche lorsque la fonction est exécutée dans le Runtime.

info Informations

Dans zenon Web Client (zenon Web Server et Web Server Pro), les menus principaux ne sont pas affichés.

Sous CE (zenon sous Windows CE), les menus peuvent uniquement être affichés dans les standards pris en charge par Windows CE. Les couleurs et les polices différentes des couleurs et polices Windows ne peuvent pas être sélectionnées de manière explicite dans les menus sous CE.

Lorsque la fonction standard est créée depuis le menu contextuel dans l’affichage détaillé, zenon crée automatiquement une fonction "Visualiser menu" pour le menu sélectionné.


Afficher les menus contextuels

Manuel -> Menus -> Utilisation dans le Runtime -> Affichage des menus dans le Runtime -> Afficher les menus contextuels

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Les menus contextuels peuvent être utilisés dans le Runtime pour les éléments dynamiques. Pour afficher un menu contextuel dans le Runtime, liez le menu contextuel à l’élément dynamique souhaité.

Pour cela :

  1. Accédez au nœud Runtime dans les propriétés de l’élément dynamique.
  2. Sélectionnez la propriété Menu contextuel.
  3. Sélectionnez le menu contextuel de votre choix dans la liste déroulante.

attention Attention

Les menus contextuels sont référencés par l’intermédiaire de leur nom. Ceci signifie : Si un menu contextuel est renommé, la liaison avec l’élément dynamique est interrompue et doit être recréée.


Message control

Manuel -> Message control

Le module Gestion des messages facultatif autorise l'envoi et l'acquittement automatiques de messages. L'envoi est déclenché par une fonction pouvant être liée à un événement. Les modes d'envoi disponibles sont notamment les suivants :

  • EMail via Microsoft Outlook or via SMTP
  • SMS via GSM modem or via a SMS gateway
  • Voice message with audio file via modem or via voice over IP to telephone
  • Voice message, text-to-speech via modem or via voice over IP to telephone

L'état de cette transmission est consigné dans la liste d'événements (CEL).

La configuration se déroule en deux étapes :

  • Paramètres généraux pour l'envoi : dans les propriétés du groupe Module Message Control du domaine de travail.
  • Paramètres spécifiques au projet : dans les propriétés du nœud Message Control du projet correspondant.

tutorial Informations concernant la licence

Ces fonctions ou modules doivent disposer d'une licence pour Editor et le Runtime (autonome, serveur, veille). Indisponible pour les clients.

Menu contextuel de paramètres spécifiques au projet dans le Gestionnaire de projet.

Élément de menu | Action
Aide | Ouvre l’aide en ligne.

Autres sujets abordés dans ce chapitre

Compatibilité avec la version 6.xx

Conditions requises

Limitations

Commandes AT prises en charge

Configuration du module Gestion des messages

Gestion des messages dans le Runtime

Messages et traitement des erreurs


Compatibilité avec la version 6.xx

Manuel -> Message control -> Compatibilité avec la version 6.xx

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Modifications intervenues dans la version 7 par rapport aux versions antérieures

À partir de la version zenon 7.00 SP0, le module de Message Control diffère fondamentalement des versions antérieures en termes de technologie et de configuration.

Des modifications techniques importantes ont été mises en œuvre :

  • Le serveur COM n'est plus utilisé
  • Le composant supplémentaire de l'entreprise DerDack n'est plus utilisé
  • L'élément ZenMsgQueue est remplacé par un synoptique de type Message Control
  • La configuration est effectuée par le biais de la propriété Module Message Control de l'espace de travail (envoi) et des propriétés Paramètres spécifiques au projet pour le module Message Control dans le projet (spécifique au projet)
  • La vue de détail n'est plus disponible
  • Les modèles de postes et la fonctionnalité de calendrier ont été supprimés
  • Les fichiers ne sont plus modifiables dans le Runtime
  • L'envoi d'e-mails est possible via Outlook ou un serveur SMTP ; le protocole SMTP autorise l'envoi de pièces jointes
  • La configuration du type d'envoi n'est plus enregistrée dans le fichier messag32.ini, mais dans le fichier zenon6.ini
  • Évaluation des textes de valeur limite : Jusqu'à présent, l'évaluation des textes composés dans le module Message Control se déroulait différemment de l'évaluation des textes de limite standard. À partir de la version 7.00, ces deux types de textes sont évalués de la même manière. @StringTabelle+%var1

Vous trouverez des informations détaillées concernant la configuration au chapitre Configuration du module Message Control.

attention Attention

Seuls les projets créés à partir de la version 5.50 SP7 peuvent être convertis au format de la version 7.

Conversion

En raison de ces modifications importantes, une compatibilité à 100 % ne peut pas être garantie lors de la conversion. Cela s'applique également à la compilation de fichiers Runtime dans les versions antérieures. Lors de la conversion, prêtez attention aux aspects suivants :

  • Utilisateur :
    • Utilisateurs existants avec le même nom (prénom et nom) : L'utilisateur est sélectionné et les informations sont ajoutées.
    • Aucun utilisateur correspondant disponible : Un nouvel utilisateur est créé. Le lien vers l'utilisateur et le groupe d'utilisateurs de remplacement est résolu. L'utilisateur est ajouté au groupe existant ou au groupe créé lors de la conversion.
  • Groupes d'utilisateurs :
    • Un groupe d'utilisateurs avec le même nom existe : Le groupe d'utilisateurs est sélectionné et les informations sont ajoutées.
    • Aucun groupe d'utilisateurs correspondant disponible : Un nouveau groupe d'utilisateurs est créé.
  • Fonctions :

    La fonction Afficher la base de données de destinataires a été supprimée.
    Cette fonction ne peut plus être créée avec Editor. Lors de la conversion, toutefois, elle n'est pas supprimée. Son exécution dans le Runtime n'a aucun effet, et génère une entrée de fichier journal.

  • Paging :
    La fonction Paging (radiomessagerie) n'est plus disponible pour les envois de messages. Les fonctions existantes avec le type d'envoi Paging (radiomessagerie) sont transformées en envois du type GSM lors de la conversion. Un message dans la fenêtre de résultat l'indique. Après la conversion, vous devez contrôler les paramètres de la fonction.
  • Fichiers modifiables dans le Runtime :
    La fonction de gestion des utilisateurs ayant été modifiée, les fichiers modifiables dans le Runtime ne sont plus utilisés par le module Message Control. Dans la version 7, les données de Runtime de versions antérieures ne peuvent pas être lues. Si les fichiers de Runtime d'un projet antérieur à la version 7 sont requis, vous devez les lire dans Editor avant de les importer dans zenon 7, puis les convertir.
  • Postes et calendriers :
    La fonctionnalité de gestion des postes et calendriers a été supprimée. Les fonctions existantes comportant le type de cible Poste reçoivent en type de cible Groupe lors de la conversion. Toutefois, aucun groupe n'est lié. Un message dans la fenêtre de résultat l'indique. Après la conversion, vous devez contrôler les paramètres de la fonction.
  • Passerelle SMS :
    Puisque l'interface simple n'offre pas la possibilité technique d'attribuer les messages de manière univoque, à partir de la version 7, seule l'interface améliorée est prise en charge. Lors de la conversion, vous devez vous assurer que l'application SMS Server de l'entreprise Dialogs est correctement configurée. Dans le cas contraire, l'envoi échouera.

Importation et exportation

Les versions antérieures du module de gestion des messages et les versions ultérieures à zenon 7.00 SP0 enregistrent les paramètres dans différents fichiers :

  • Jusqu'à la version 6.51 SP0 : message32.ini
  • À partir de la version 7.00 SP0 : zenon6.ini

Paramètres d'importation

Si une version antérieure de zenon est ouverte dans la version 7 (ou une version ultérieure), les paramètres provenant du fichier message32.ini précédent sont repris et adaptés dans la mesure du possible. La configuration doit toujours être vérifiée manuellement, car tous les paramètres ne peuvent pas être convertis avec une exactitude totale. Par exemple, des plannings sont attribués à des groupes devant être configurés.

Export settings (Exporter les paramètres)

La configuration peut être écrite dans le fichier message32.ini depuis la version 7, pour les versions antérieures. Pour cela, cliquez sur la propriété de zone de travail globale Module Message Control/Exporter les paramètres dans Messag32.ini (v6.XX) et confirmez la requête de sécurité.

Attention : lors de l'exécution de la propriété Exporter les paramètres dans Messag32.ini (v6.XX), toutes les entrées correspondantes dans le fichier message32.ini sont remplacées. Par conséquent, le fichier .ini peut contenir des entrées qui ne peuvent pas être exécutées dans le module Message Control, ou qui risquent de désactiver des configurations.

Autres sujets abordés dans ce chapitre

Compatibilité avec la version 5.50


Compatibilité avec la version 5.50

Manuel -> Message control -> Compatibilité avec la version 6.xx -> Compatibilité avec la version 5.50

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Direct transfer of content from version 5.50 to version 7.60 is not possible. In order to be able to convert project configurations of the Message Control module from version 5.50 to the current version, carry out the following steps:

  1. First convert the projects to zenon version 6.51.
    All users and groups are updated.
    Note: Ensure that this interim step is absolutely necessary. Direct conversion of the project configuration from version 5.50 to the current version is not possible!
  2. Then convert the project conversion from version 6.51 to the current zenon version.
  3. In the current version, check the settings for the user and user groups.
    Carry out all necessary corrections in the current version if required.

attention Attention

Note the compatibility notices in the Compatibility with version 6.xx chapter.


Conditions requises

Manuel -> Message control -> Conditions requises

Les exigences applicables à l'utilisation du module Gestion des messages varient selon le support de transmission souhaité :

Support

Conditions préalables

E-mail via Outlook :

Instance de Microsoft Outlook en cours d'exécution

E-mail via SMTP :

Le serveur de Runtime qui exécute l'envoi doit être connecté à un réseau.

Un compte de messagerie doit être disponible. Les serveurs ayant accès au compte doivent être disponibles.

SMS via GSM :

un modem GSM doit être connecté à l'ordinateur et doit pouvoir être contacté via le port série (port COM). En règle générale, les modems USB créent un port COM virtuel durant l'installation, ce qui permet de les contacter.

SMS via passerelle SMS :

SMS-Server de la société DIALOGS Software GmbH

Sortie vocale :

Voice modem with DTMF functionality or voice over IP server.

Moteur de synthèse vocale (Text-to-speech). (Partiellement contenu dans les systèmes d'exploitation. Peut être étendu au moyen d'une application de synthèse vocale fournie par COPA-DATA.)

Téléphone :

Modem vocal avec fonctionnalité "tonalités multifréquences".

Si un adaptateur RNIS est utilisé, il doit prendre en charge les fonctions suivantes.

  • Support de messages vocaux (LINEMEDIAMODE_AUTOMATEDVOICE)
  • Support des signaux DTMF (pour la réception du code PIN lors de l'acquittement de message)
  • Support du Telephony Application Programming Interface (TAPI)

Voice over IP:

Voice over IP accès.

Les conditions suivantes doivent être satisfaites pour que le service VoIP soit utilisable :

  • Le fournisseur de service VoIP doit prendre en charge les protocoles SIP et RTP.
  • Les ports correspondants doivent être ouverts au niveau du pare-feu :
    SIP (par défaut : 5060)
    RTP (par défaut : 4000)
    RTCP (par défaut : 4001)

Ports for VoIP

Two protocols are used for VoIP:

  • SIP: uses port for SIP port.
    Note: SIP-TLS is not currently supported. VoIP should therefore not be used in critical environments that require encryption.
  • RTP: uses ports for RTP and RTCP.
    RTCP must always be 1 higher than RTP.

The ports for the Voice over IP dispatch method can be freely configured using the properties of the Voix par IP group.

Domaine :

  • SIP 0 - 65535
  • RTP : 0 - 65534

Valeur par défaut :

  • Port SIP: 5060
  • Port RTP: 4000
  • Port RTCP: 4001
    The port cannot be changed It is always 1 higher than the Port RTP.


Limitations

Manuel -> Message control -> Limitations

Under certain circumstances, the functionality of Message Control can be limited or not available.

DTMF signals with cellphones and voice over IP

DTMF signals from some cellphones can be interpreted with misunderstandings by some VoIP providers.

Raison : Some cellphones only send very long DTMF signals. These can be sporadically interpreted as two short button presses by Voice over IP from the provider.

Solution : Try a different combination of cellphone and VoIP provider.

Detecting signals

DTMF signals from some cellphones can be interpreted with misunderstandings by some VoIP providers.

Solution : Try a different combination of cellphone and VoIP provider.

Windows CE

The Message Control module is not available under Windows CE.


Commandes AT prises en charge

Manuel -> Message control -> Commandes AT prises en charge

Le module Gestion des messages prend en charge les commandes AT suivantes :

But | Commande | Réponse | Commentaire sur la réaction.
Test de connexion : | AT\r | \r\nOK\r\n | à la fin
Interroger l'état du code PIN | AT+CPIN?\r | +CPIN: | À un instant donné dans la réaction, plus \r\n à la fin.
Saisir le code PIN : | AT+CPIN="[PIN-Code]"\r | \r\nOK\r\n | à la fin
Activer le modem en mode SMS-PDU : | AT+CMGF=0\r | \r\nOK\r\n | à la fin
Définir le numéro de téléphone du centre de messagerie SMS : Remarque : Si vous définissez un numéro de centre de messagerie, vous devez également définir le code national (00xy ou +xy, où xy représente les chiffres correspondants). | AT+CSCA="[SMSC-telephone number]"\r | \r\nOK\r\n | à la fin
Vérifier si le modem est passé en mode SMS-PDU : | AT+CMGF?\r | \r\nOK\r\n | à la fin
Vérifier si le modem a défini le centre de messagerie SMS spécifié : | AT+CSCA?\r | \r\nOK\r\n | à la fin
Envoyer le message à ce numéro. Le modem indique Ready for PDU (Prêt pour PDU) si la commande est acceptée : | AT+CMGS="[Longueur PDU]"\r | \r\n>[espace} |
PDU du SMS à envoyer au numéro précédemment spécifié, avec un indicateur de finalisation : | [SMS-PDU][0x1A] | \r\nOK\r\n | à la fin
Dresse la liste des SMS en mémoire comportant l'état défini par l'indicateur : | AT+CMGL=[Flag]\r | \r\nOK\r\n | à la fin
Supprimer de la mémoire tous les SMS comportant l'état défini par l'indicateur (indépendamment de l'indice) : | AT+CMGD=0,[Flag]\r | \r\nOK\r\n | à la fin
Supprimer de la mémoire les SMS comportant l'indice fourni : | AT+CMGD=[Index]\r | \r\nOK\r\n | à la fin

Remarque : Pour les commandes AT+CMGD, il suffit qu'une des deux versions soit prise en charge.

Arguments :

  • \r --> Carriage Return --> 0x0D
  • \n --> Line Feed --> 0x0A

Erreur de recherche

Les messages d'erreur contiennent l'entrée ERROR dans la réponse. Vous trouverez des détails concernant la résolution d'incidents et les tests de la connexion au chapitre Messages et gestion des erreurs.


Configuration du module Gestion des messages

Manuel -> Message control -> Configuration du module Gestion des messages

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

La configuration du module Gestion des messages est effectuée par le biais des éléments suivants :

  • Les propriétés globales du mode d'envoi
  • Les propriétés spécifiques au projet pour le message
  • Les fonctions exécutées dans le Runtime pour l'envoi et la gestion des messages

Les messages peuvent être envoyés et acquittés sous les formes suivantes :

  • E‑E-mail
  • SMS
  • Message vocal

Configuration de l'envoi d'un message

Pour configurer l'envoi d'un message :

  1. Select the medium for dispatch from the corresponding group in Module Message Control.
  2. Activate the Dispatch type active property for this group.
  3. Configurez le support.
  4. Configurez les propriétés spécifiques au projet.
  5. Configurez l'utilisateur ou les groupes d'utilisateurs qui seront contactés par le biais du support.
  6. Créez une fonction Envoi de messages et

    Liez-la à la fonction :

    1. Avec un bouton ou
    2. Avec la propriété Fonction, dans le cas des valeurs limite devant déclencher l'envoi de ce message en cas de dépassement

      Si une liaison est définie avec une valeur limite, des contenus générés dynamiquement dans le Runtime peuvent être envoyés. Si vous souhaitez utiliser plusieurs fonctions Envoi d'un message pour une valeur limite, utilisez un script contenant ces fonctions et lié à la valeur limite.

Configuration du message

Un message comprend plusieurs parties :

  • Objet : défini pour les e-mails avec :
    • Sujet (ID) dans les paramètres généraux d'Outlook
    • Sujet pour les e-mails sortants dans les paramètres généraux d'‑E-mail via SMTP
    • Propriété Partie dynamique du sujet dans les paramètres spécifiques au projet pour les e-‑mails envoyé via SMTP ou Outlook
  • Bienvenue et saisie incorrecte : définis pour les messages vocaux avec :
    • Message vocal en synthèse vocale

      ou

    • Voice message by audio file
  • Texte du message : défini pour les e-mails, les SMS et les messages vocaux dans :
    • l'option Constante texte

Configurez la gestion de la file d'attente de messages

Pour gérer les messages dans le Runtime :

  1. Créez un synoptique de type Message Control
  2. Créez et configurez fonction d'appel de synoptique pour ce synoptique.
  3. Liez la fonction à un bouton.

Vous pouvez maintenant vérifier l'état des messages et consulter la file d'attente des messages dans le Runtime.

Gestion des messages dans le Runtime

Pour utiliser le module de gestion les messages dans le Runtime :

  1. Activez le module Message Control via
    • Propriété Actif lors du démarrage du runtime Une fois que cette propriété a été activée, le module de Gestion des messages démarre automatiquement dans le Runtime.
    • Fonction Envoi de messages : activé : si cette fonction est exécutée, le module Gestion des messages est démarré. Les messages sont uniquement traités à partir de cet instant.

Durant la fermeture normale du Runtime, une image de la file d'attente de messages actuelle est enregistrée. Cette image peut également être créée à tout instant dans le Runtime, via la fonction Save current queue (Enregistrer la file d'attente actuelle). Le module Gestion des messages peut être fermé en exécutant la fonction Envoi de messages : désactivé dans le Runtime.

Suppression de messages

Le module Gestion des messages comporte une liste d'éléments désactivés. Le terme "désactivé" signifie ici que les alarmes correspondantes ne déclenchent plus l'envoi d'un message.

Si, durant un dépassement de valeur limite, la fonction Envoi de messages est liée, les messages sont uniquement créés et envoyés si ni la variable, ni l'alarme ne sont supprimées.

  • La variable est supprimée si son domaine ou un groupe d'équipements lié figurent dans la liste des éléments supprimés.
  • L'alarme est supprimée si le groupe d'alarmes/d'événements, la classe d'alarmes/d'événements ou le domaine d'alarmes sont contenus dans la liste d'éléments supprimés.

Cette liste peut être modifiée à l'aide de la fonction Suppress groups/classes/areas/equipment (Supprimer des groupes/classes/domaines d'équipements) dans le Runtime. Les alarmes et les équipements peuvent être activés ou désactivés. Les entrées supprimées sont consignées dans la liste CEL, à condition que pour la propriété Enregistrer dans liste d'événements, l'une des entrées Toutes les confirmations ou Uniquement les confirmations négatives ait été sélectionnée.

L'activation et la désactivation des entrées sont effectuées de manière rémanente sur le réseau. Par exemple, si les alarmes d'une section de l'équipement sont désactivées à des fins de maintenance, ce paramètre reste actif, même après la fermeture du Runtime, et sera appliqué à nouveau lors d'un redémarrage.

Autres sujets abordés dans ce chapitre

Paramètres généraux pour l'envoi

Paramètres spécifiques au projet

Création d'un synoptique de type Message Control

Gestion des utilisateurs

Fonctions

Paramètres des messages


Paramètres généraux pour l'envoi

Manuel -> Message control -> Configuration du module Gestion des messages -> Paramètres généraux pour l'envoi

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Le mode d'envoi utilisé pour les messages est défini au niveau global et peut être utilisé par chaque projet, dans chaque domaine de travail.

Les modes d'envoi disponibles sont notamment les suivants :

  • E-mail via Outlook
  • E-mail via SMTP
  • SMS via modem GSM
  • SMS via passerelle SMS
  • Message vocal avec fichier audio via modem
  • Message vocal en synthèse vocale via modem
  • Voix par IP (Fichier audio)
  • Voix par IP (Text-to-Speech)

Pour configurer les propriétés :

  1. Sélectionnez le domaine de travail
  2. Sélectionnez le groupe Module Message Control dans les propriétés
  3. Activez et configurez les types de mode d'envoi souhaités

Les paramètres dans le fichier zenon6.ini sont enregistrés dans le domaine [Gestion des messages].

attention Attention

Ces propriétés du groupe Module Message Control dans le module Workspace ne sont pas spécifiques au projet. Toute modification de ces paramètres ne prend effet dans le Runtime qu’après son redémarrage.

Autres sujets abordés dans ce chapitre

E-mail via Outlook

E-mail via SMTP

SMS via modem GSM

SMS via passerelle SMS

Message vocal

Entrées du fichier zenon6.ini


E-mail via Outlook

Manuel -> Message control -> Configuration du module Gestion des messages -> Paramètres généraux pour l'envoi -> E-mail via Outlook

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Pour envoyer un message sous forme d'e-mail depuis Microsoft Outlook, les conditions suivantes doivent être remplies :

  • Le mode d'envoi doit être activé par le biais de la propriété Versandart aktiv
  • Sur l'ordinateur exécutant le programme, une instance de Microsoft Outlook doit être en cours d'exécution et comporter une connexion au réseau/à Internet

Si les messages doivent être acquittés, il est important que le contenu de la boîte de réception soit récupéré dans le délai imparti pour l'acquittement. Ce délai est défini par le biais de la fonction Envoi de messages (onglet Acquittement).

attention Attention

Pour Outlook, les considérations suivantes s'appliquent pour l'utilisation avec le module Message Control :

  • La version 32 bits d'Outlook nécessite la version 32 bits de zenon.
  • La version 64 bits d'Outlook nécessite la version 64 bits de zenon.

Une utilisation mixte n'est possible dans aucune combinaison.

Configuration

  1. Activez le mode d'envoi par le biais de la propriété Type d'envoi actif.
  2. Définissez le nom du profil Outlook à utiliser par le biais de la propriété Profil.
  3. Définissez un objet explicite par le biais de la propriété Sujet (ID).
    Cet objet est le critère déterminant de la transmission des messages reçus au module Gestion des messages. Les e-mails ne contenant pas cet identifiant ne sont pas transmis au module Message Control. Cet élément doit :
    • Comporter aux moins quatre caractères
    • Rester inchangé dans les réponses
  4. Configurez les propriétés pour Paramètres spécifiques au projet.
  5. Configurez les utilisateurs et les groupes d'utilisateurs.
  6. Créez les fonctions requises et associez-les à des boutons ou des événements.

Comportement dans le Runtime

  1. Dès le démarrage du Runtime, les messages sont récupérés.
  2. Les messages sont créés conformément aux paramètres définis, et sont envoyés dès qu'une fonction correspondante est exécutée.
  3. Si un utilisateur répond à un message, sa réponse est lue lors de la récupération des messages, puis transmise au module Gestion des messages.
  4. La réception du message est confirmée.


E-mail via SMTP

Manuel -> Message control -> Configuration du module Gestion des messages -> Paramètres généraux pour l'envoi -> E-mail via SMTP

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Pour envoyer un message sous forme d'e-mail via un serveur SMTP, les conditions suivantes doivent être remplies :

  • Le mode d'envoi doit être activé par le biais de la propriété Type d'envoi actif
  • L'ordinateur exécutant le programme doit être connecté au serveur de messagerie
  • Un compte de messagerie doit être défini
  • Le serveur de messagerie doit être configuré avec les données d'accès

Si les messages doivent être acquittés, il est important que le contenu de la boîte de réception soit récupéré dans le délai imparti pour l'acquittement. Ce délai est défini par le biais de la fonction Envoi de messages (onglet Acquittement).

Configuration

  1. Activez le mode d'envoi par le biais de la propriété Type d'envoi actif.
  2. Configurez les propriétés pour les éléments suivants :
    • Serveur de mails entrants
    • Serveur de mails sortants
  3. Configurez les propriétés des paramètres spécifiques au projet.
  4. Configurez les utilisateurs et les groupes d'utilisateurs.
  5. Créez les fonctions requises et associez-les à des boutons ou des événements.

Comportement dans le Runtime

  1. Dès le démarrage du Runtime, les messages sont récupérés.
  2. Les messages sont créés conformément aux paramètres définis, et sont envoyés dès qu'une fonction correspondante est exécutée.
  3. Si un utilisateur répond à un message, sa réponse est lue lors de la récupération des messages, puis transmise au module Gestion des messages.
  4. La réception du message est confirmée.

Un seul fil peut ouvrir une connexion à un instant donné. Une connexion est toujours ouverte pour le fil qui la demande, et fermée immédiatement après l'échange de données. Whilst a message is sent, another thread can query the received post or also send a message. Si les messages entrants sont récupérés, il est en outre impossible qu'un autre fil procède à la récupération ou à l'envoi de messages.

Durant cette procédure, si une erreur se produit - par exemple, un échec de l'authentification ou une commande non prise en charge –, toutes les connexions actives sont fermées.

Les paramètres corrects pour la configuration sont disponibles auprès du fournisseur du compte de messagerie utilisé.

Procédure

Récupération d'e-mails entrants

  1. Établissez une connexion avec le serveur de courrier entrant défini et le port correspondant.
    L'établissement d'une connexion sécurisée ou non dépend des paramètres de la propriété Encryptage.
  2. Tous les messages dans la boîte de réception sont récupérés via les commandes STAT et RETR. L'importance d'un e-mail est déterminée en fonction‑de la ligne d'objet. Les messages non importants sont ignorés. Les messages importants sont transmis au module Message Control et, tant que la propriété Laisser les mails lus sur le serveur est désactivée, sont supprimés du serveur via la commande DELE.
    Remarque concernant les e-mails au format HTML : Tous les caractères de contrôle HTML sont supprimés à réception.
  3. La connexion est fermée par l'envoi de la commande QUIT, suivie de la fermeture de la connexion.

Envoi d'un e-mail

  1. Selon les paramètres définis, une connexion sécurisée ou non est établie avec le serveur SMTP.
  2. Si elle a été configurée, l'authentification SMTP est exécutée par le biais de la commande AUTH.
  3. Le message devant être envoyé est transféré au format MIME, par le biais des commandes SMTP MAIL, RCPT et DATA.
  4. La connexion SMTP est fermée par l'envoi de la commande QUIT, suivie de la fermeture de la connexion.
  5. Si une connexion POP3 a été établie, celle-ci est également fermée.


SMS via modem GSM

Manuel -> Message control -> Configuration du module Gestion des messages -> Paramètres généraux pour l'envoi -> SMS via modem GSM

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Pour envoyer un message SMS via un modem GSM :

  • Le mode d'envoi doit être activé par le biais de la propriété Type d'envoi actif
  • Un modem GSM doit être connecté à l'ordinateur expéditeur et doit pouvoir être contacté via le port série (port COM).
    Remarque : En règle générale, les modems USB créent un port COM virtuel durant l'installation, ce qui permet de les contacter.
  • Le modem GSM devra probablement être initialisé avec le logiciel du fabricant pour pouvoir se connecter au réseau .

Configuration

  1. Activez le mode d'envoi par le biais de la propriété Type d'envoi actif.
  2. Sélectionnez le port COM du modem dans la liste déroulante, via la propriété Connexion modem (série).
    Le port correct est affiché dans les propriétés du système du modem.
    Remarque : après une reconnexion du modem ou un redémarrage de l'ordinateur, le modem devra probablement être réinitialisé avec le logiciel du fabricant avant de pouvoir être utilisé avec le module Gestion des messages. Le port COM peut changer lors de la reconnexion du modem ou après le redémarrage de l'ordinateur.
  3. Dans la propriété Code PIN, saisissez le code PIN du modem, si nécessaire.
  4. Vérifiez la connexion en cliquant sur Vérification connexion.
  5. Saisissez le numéro de téléphone du centre de messagerie dans le champ de propriétés Numéro du centre SMS.
  6. Configurez les propriétés pour Paramètres spécifiques au projet.
  7. Configurez les utilisateurs et les groupes d'utilisateurs.
  8. Créez les fonctions requises et associez-les à des boutons ou des événements.

Comportement dans le Runtime

  1. Dès le démarrage du Runtime, la connexion au modem est établie et configurée.
  2. Les messages sont récupérés.
  3. Les messages sont créés conformément aux paramètres définis, et sont envoyés dès qu'une fonction correspondante est exécutée.
  4. Si un utilisateur répond à un message, sa réponse est lue lors de la récupération des messages, puis transmise au module Gestion des messages.
  5. La réception du message est confirmée.
  6. Si aucun message à parties multiples n'est présent après la récupération des messages, les messages lus sont supprimés sur le modem.
  7. Lors de la fermeture du Runtime, le modem est déconnecté.

info Informations

En cas de reconnexion du modem ou de redémarrage de l'ordinateur, il est recommandé d'effectuer les opérations suivantes :

  • Exécuter le logiciel de configuration fourni par l'opérateur GSM, afin que le modem s'initialise et se connecte au réseau.
  • Vérifier, dans les contrôles du système, si le modem utilise toujours le même port COM après s'être reconnecté.

Constantes, délais d'attente avant expiration et paramètres

Entrée

Valeur

Description

Délai d'attente avant expiration des commandes AT

10000 ms

Le modem a 10 secondes pour répondre à la transmission d'une commande AT.

Intervalle d'interrogation de SMS

20000 ms

Toutes les 20 secondes, le système vérifie si de nouveaux SMS ont été reçus et s'ils ont été lus. Si aucun SMS à parties multiples incomplet n'est présent, tous les messages lus sont supprimés.

Délais d'attente avant expiration du port COM

Écriture : 5 secondes

Lecture : retour immédiat

Le système dispose de 5 secondes pour écrire les octets sur le port COM (maximum 400 dans le cas de messages SMS-PDU de la taille maximale).

Durant la lecture du port COM, le contenu actuel du buffer de réception est lu et renvoyé immédiatement.

Configuration de l'état du port COM
  • Baud : 9600
  • Mode binaire
  • Vérification de la parité : Inactive
  • Paramètres Clear-To-Send et Data-Set-Ready : non contrôlés
  • Paramètres Data-Terminal-Ready et Request-To-Send Flow Control : Actif
  • Bits par octet : 8
  • Parity : Aucun
  • Bit d'arrêt :1

Configuration standard d'un port série.

Buffer

Limite

Valeur maximum

Description

Tailles du buffer d'envoi et du buffer de réception du port série, en octets

4096

La taille maximale des PDU individuels est de 400 octets. Durant l'envoi d'un SMS, les PDU individuels sont envoyés les uns après les autres.

Durant la réception, tous les SMS reçus depuis le dernier intervalle d'interrogation sont récupérés immédiatement, en un bloc. Le modem peut ainsi transférer 10 PDU à la fois vers le buffer de réception du port série.

Taille totale du buffer pour la conversion et la réception de SMS, en octets

12288

Puisqu'un SMS-PDU occupe au maximum 400 octets dans le buffer de réception, dans un intervalle d'interrogation de 20 secondes, au maximum, 30 parties de SMS de la taille maximale peuvent être reçus avec ce buffer.

La taille maximale d'un SMS envoyé est de 6144 caractères Unicode.


SMS via passerelle SMS

Manuel -> Message control -> Configuration du module Gestion des messages -> Paramètres généraux pour l'envoi -> SMS via passerelle SMS

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Pour envoyer un message SMS via une passerelle SMS :

  • Le mode d'envoi doit être activé par le biais de la propriété Type d'envoi actif
  • La plate-forme SMS Server de l'entreprise DIALOGS GmbH doit être présente et configurée.

Procédure

Configuration du serveur de SMS

Pour configurer correctement les serveur SMS, veuillez contacter le fabricant, DIALOGS GmbH.

Les conditions suivantes doivent être réunies pour qu'il fonctionne correctement avec zenon :

  • Les dossiers suivants doivent être présents :
    • Boîte de réception
    • Boîte d'envoi
    • État
  • zenon déplace les messages vers ces dossiers.
  • La passerelle SMS lit et remplit ces dossiers.
  • zenon surveille ces dossiers :
    Dès que des informations ou des messages nouveaux sont ajoutés aux dossiers, ils sont transmis au module Gestion des messages.

Réglages dans zenon

  1. Activez le mode d'envoi par le biais de la propriété Type d'envoi actif.
  2. Configurez Dossier de boîte d'envoi, Dossier de boite d'envoi et Dossier d'état.
  3. Configurez l'élément Première lettre du fichier SMS.
    Cette première lettre est unique dans le projet. Si une passerelle SMS est utilisée par plusieurs projets, un préfixe unique doit être défini pour chaque projet.
  4. Configurez l'élément Première lettre du fichier 'lock/semaphore' : définit la première lettre pour les fichiers de verrouillage/de sémaphore. Cette première lettre est unique dans le projet. Si une passerelle SMS est utilisée par plusieurs projets, un préfixe unique doit être défini pour chaque projet.
  5. Configurez la propriété Gestion d'alarmes intelligente.
    Si la propriété est activée, les SMS sont traités comme suit :
    • Tous les messages sortants sont vérifiés. Si le message démarre avec le texte ALARM!, le message n'est pas envoyé dans le format habituel (ID;message) mais avec le format suivant : ALARM! ID; message.
    • Lors de l'envoi d'un message commençant par ALARM!, le numéro de téléphone mobile du destinataire est automatiquement basculé sur "Très fort", à condition que le téléphone l'autorise.
    • Cette chaîne de caractères est également recherchée dans les messages reçus.
      S'il y a un caractère ! à la position 6, les six premiers caractères sont tronqués et le message est transmis par le module Gestion des messages.
  6. Configurez les propriétés pour Paramètres spécifiques au projet.
  7. Configurez les utilisateurs et les groupes d'utilisateurs.
  8. Créez les fonctions requises et associez-les à des boutons ou des événements.

Comportement dans le Runtime

  1. Dès le démarrage du Runtime, les messages sont récupérés.
  2. Les messages sont créés conformément aux paramètres définis, et sont envoyés dès qu'une fonction correspondante est exécutée.
  3. Si un utilisateur répond à un message, sa réponse est lue lors de la récupération des messages, puis transmise au module Gestion des messages.
  4. La réception du message est confirmée.


Message vocal

Manuel -> Message control -> Configuration du module Gestion des messages -> Paramètres généraux pour l'envoi -> Message vocal

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Voice messages can be sent as:

  • Audio file via modem
  • Text-to-speech via modem
  • Voix par IP (Fichier audio)
  • Voix par IP (Text-to-Speech)

You can read information about the process in Runtime in the subchapters and in the Voice messages in Runtime chapter.

Modem

Tenir compte des indications suivantes pour envoyer des e-mails avec Microsoft Outlook :

  • Un modem doit être connecté à l'ordinateur expéditeur et doit être configuré
  • Le téléphone du destinataire doit être compatible avec les tonalités multifréquences

Voix par IP

The following must be the case in order to send messages via voice over IP:

  • Voice over IP must be configured:
    • Serveur de mails
    • Nom utilisateur
    • Mot de passe
  • Le téléphone du destinataire doit être compatible avec les tonalités multifréquences
  • Le fournisseur de service VoIP doit prendre en charge les protocoles SIP et RTP.
  • The firewall has the corresponding ports open
    • SIP (par défaut : 5060)
    • RTP (par défaut)4000 :
    • RTCP (par défaut)4001 :

Les fichiers audio

The following must be the case in order to send messages as an audio file:

  • One audio file each must be saved in the Files/Multimedia node for:
    • Description
    • Acquittement
    • Erreur de saisie

Text-to-Speech

The following must be the case in order to send messages as text-to-speech:

  • Le téléphone du destinataire doit être compatible avec les tonalités multifréquences
  • Un moteur Text-To-Speech (TTS) doit être installé.
  • Le fichier de langue correspondant doit être installé.

Autres sujets abordés dans ce chapitre

Message vocal avec fichier audio via modem

Message vocal en synthèse vocale via modem

Voix par IP (Fichier audio)

Voix par IP (Text-to-Speech)


Message vocal avec fichier audio via modem

Manuel -> Message control -> Configuration du module Gestion des messages -> Paramètres généraux pour l'envoi -> Message vocal -> Message vocal avec fichier audio via modem

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

For the sending of a message as an audio file via a modem, the following must be the case:

  • Le mode d'envoi doit être activé par le biais de la propriété Modem vocal (fichier audio)
  • One audio file each must be saved in the Files/Multimedia node for:
    • Description
    • Acquittement
    • Erreur de saisie
  • Un modem doit être connecté à l'ordinateur expéditeur et doit être configuré
  • Le téléphone du destinataire doit être compatible avec les tonalités multifréquences

Attention : The value for the project-specific Délai d'attente entre deux tentatives et délai d'attente avant expiration property must be greater than the value for the Waiting time option in the Envoi d'un message functions (Receipt Confirmation tab).

Procédure

Configuration

  1. Activez le mode d'envoi par le biais de la propriété Modem vocal (fichier audio).
  2. Configurez les paramètres pour Time-out [min] et Répéter le texte d'accueil.
  3. Sélectionnez le modem d'envoi via la propriété Nom ligne.
    La sélection est effectuée dans un menu déroulant contenant tous les modems configurés dans les contrôles du système.
  4. Configurez les propriétés pour Paramètres spécifiques au projet.
  5. Configurez les utilisateurs et les groupes d'utilisateurs.
  6. Créez les fonctions requises et associez-les à des boutons ou des événements.
  7. Cette méthode nécessite un acquittement.

Comportement dans le Runtime

  1. Une fonction appelle la méthode d'envoi.
  2. Un appel est déclenché via le modem.
  3. The connection is considered established as soon as the call to the counterparty is signaled. The greeting is played from this point. The greeting can be repeated using the # button.
    Then the PIN must be entered. Only then is the message played back.
  4. Le message doit être acquitté par le destinataire, qui doit saisir le code valide correspondant :
    • Code PIN pour une confirmation
    • Code NA pour un refus

    Le destinataire peut, en outre :

    • Relire le fichier qu'il vient d'écouter en appuyant sur la touche dièse (#) de son téléphone
    • Annuler la saisie en appuyant sur la touche étoile (*) ;
      dans ce cas, la salutation est à nouveau diffusée

Remarque : Only once the line has been closed is the status of the message evaluated (confirmed, rejected or missing). As long as the line is open, it is possible to start over by pressing the * key and entering the code again. PIN can thus be changed to NA, for example.


Message vocal en synthèse vocale via modem

Manuel -> Message control -> Configuration du module Gestion des messages -> Paramètres généraux pour l'envoi -> Message vocal -> Message vocal en synthèse vocale via modem

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Pour envoyer un message vocal via la fonction de synthèse vocale :

  • Le mode d'envoi doit être activé par le biais de la propriété Modem vocal (Text-to-Speech)
  • Un modem doit être connecté à l'ordinateur expéditeur et doit être configuré
  • Le téléphone du destinataire doit être compatible avec les tonalités multifréquences
  • Un moteur Text-To-Speech (TTS) doit être installé.
  • Le fichier de langue correspondant doit être installé.

Attention : The value for the project-specific Délai d'attente entre deux tentatives et délai d'attente avant expiration property must be greater than the value for the Waiting time option in the Envoi d'un message functions (Receipt Confirmation tab).

Fichiers de langue

Selon la version d'Editor, (32 bits ou 64 bits), la langue correspondante (compatible 32 bits ou 64 bits) doit être installée et configurée.

Pour cela :

  1. Fermez Editor.
  2. Sélectionnez la langue correcte pour Editor (sapi.cpl) :
    • Langue compatible 32 bits pour la version 32 bits d'Editor : C:\Windows\SysWOW64\Speech\SpeechUX\sapi.cpl
    • Langue compatible 64 bits pour la version 64 bits d'Editor : C:\Windows\System32\Speech\SpeechUX\sapi.cpl
  3. Démarrez Editor et sélectionnez la langue configurée dans la propriété Voix :.

Procédure

Configuration

  1. Activez le mode d'envoi par le biais de la propriété Modem vocal (Text-to-Speech).
  2. Configurez les paramètres pour Time-out [min] et Répéter le texte d'accueil.
  3. Sélectionnez le modem d'envoi via la propriété Nom ligne.
    La sélection est effectuée dans un menu déroulant contenant tous les modems configurés dans les contrôles du système.
  4. Configuration des propriétés pour la synthèse vocale :
    • Voix :
    • Vitesse speech
    • Volume
  5. Configurez les propriétés pour Paramètres spécifiques au projet.
  6. Configurez les utilisateurs et les groupes d'utilisateurs.
  7. Créez les fonctions requises et associez-les à des boutons ou des événements.
  8. Cette méthode nécessite un acquittement.

Comportement dans le Runtime

  1. Une fonction appelle la méthode d'envoi.
  2. Un appel est déclenché via le modem.
  3. The connection is considered established as soon as the call to the counterparty is signaled. The description is played back from this point. The greeting can be repeated using the # button.
    Then the PIN must be entered. Only then is the text for the confirmation played back.
  4. Le message doit être acquitté ou refusé par le destinataire, qui doit saisir le code valide correspondant.
    • Code PIN pour une confirmation
    • Code NA pour un refus

    Le destinataire peut, en outre :

    • Relire le fichier qu'il vient d'écouter en appuyant sur la touche dièse (#) de son téléphone
    • Annuler la saisie en appuyant sur la touche étoile (*) ; dans ce cas, la salutation est à nouveau diffusée

info Informations

Selon le système d'exploitation et le logiciel installés, des voix et des langues accessibles par zenon sont déjà disponibles. Des voix et langues supplémentaires sont disponibles auprès du partenaire commercial de COPA-DATA. Les langues actuellement disponibles sont l'allemand, l'anglais (États-Unis, Royaume-Uni, Inde), le français et l'espagnol.


Voix par IP (Fichier audio)

Manuel -> Message control -> Configuration du module Gestion des messages -> Paramètres généraux pour l'envoi -> Message vocal -> Voix par IP (Fichier audio)

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

The following must be the case for the sending of a voice message as an audio file via Voice over IP:

  • Le mode d'envoi doit être activé par le biais de la propriété Voix par IP (Fichier audio)
  • Voice over IP is configured in the Editor
  • One audio file each must be saved in the Files/Multimedia node for:
    • Description
    • Acquittement
    • Erreur de saisie
  • Le téléphone du destinataire doit être compatible avec les tonalités multifréquences
  • Le fournisseur de service VoIP doit prendre en charge les protocoles SIP et RTP.
  • The firewall has the corresponding ports open
    • SIP (par défaut : 5060)
    • RTP (par défaut)4000 :
    • RTCP (par défaut)4001 :

Procédure

Configuration

  1. Activez le mode d'envoi par le biais de la propriété Voix par IP (Fichier audio).
  2. Configurez les propriétés du groupe Voix par IP.
    • Adresse du serveur
    • Identifiant utilisateur
    • Mot de passe
  3. Configurez les propriétés pour Paramètres spécifiques au projet.
  4. Configurez les utilisateurs et les groupes d'utilisateurs.
  5. Créez les fonctions requises et associez-les à des boutons ou des événements.
  6. Cette méthode nécessite un acquittement.

Comportement dans le Runtime

  1. Une fonction appelle la méthode d'envoi.
  2. Un appel est déclenché via VoIP server.
  3. The connection is considered established as soon as the call to the counterparty is received. The description is played back from this point. The greeting can be repeated using the # button.
  4. Le message doit être acquitté par le destinataire, qui doit saisir le code valide correspondant :
    • Code PIN pour une confirmation
    • Code NA pour un refus

    Le destinataire peut, en outre :

    • Relire le fichier qu'il vient d'écouter en appuyant sur la touche dièse (#) de son téléphone
    • Appuyer sur la touche étoile (*) pour annuler la saisie.

    The call is not ended automatically. It must be ended by the recipient.

    Only once the line has been closed is the status of the message evaluated (confirmed, rejected or missing). As long as the line is open, it is possible to start over by pressing the * key and entering the code again. PIN can thus be changed to NA, for example.

Remarque :

  • If the call is not accepted, the substitute person is called up if one has been configured. The call is canceled otherwise.
  • The name of the audio file is shown in the list of messages in the Message column.


Voix par IP (Text-to-Speech)

Manuel -> Message control -> Configuration du module Gestion des messages -> Paramètres généraux pour l'envoi -> Message vocal -> Voix par IP (Text-to-Speech)

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

The following must be the case for sending the message via Text-to-Speech:

  • Le mode d'envoi doit être activé par le biais de la propriété Voix par IP (Text-to-Speech)
  • Voice over IP must be configured
  • Le téléphone du destinataire doit être compatible avec les tonalités multifréquences
  • Un moteur Text-To-Speech (TTS) doit être installé.
  • Le fichier de langue correspondant doit être installé.
  • Le fournisseur de service VoIP doit prendre en charge les protocoles SIP et RTP.
  • The firewall has the corresponding ports open
    • SIP (par défaut : 5060)
    • RTP (par défaut)4000 :
    • RTCP (par défaut)4001 :

Fichiers de langue

Selon la version d'Editor, (32 bits ou 64 bits), la langue correspondante (compatible 32 bits ou 64 bits) doit être installée et configurée.

Pour cela :

  1. Fermez Editor.
  2. Sélectionnez la langue correcte pour Editor (sapi.cpl) :
    • Langue compatible 32 bits pour la version 32 bits d'Editor : C:\Windows\SysWOW64\Speech\SpeechUX\sapi.cpl
    • Langue compatible 64 bits pour la version 64 bits d'Editor : C:\Windows\System32\Speech\SpeechUX\sapi.cpl
  3. Démarrez Editor et sélectionnez la langue configurée dans la propriété Voix :.

Procédure

Configuration

  1. Activez le mode d'envoi par le biais de la propriété Voix par IP (Text-to-Speech).
  2. Configurez les propriétés du groupe Voix par IP.
    • Adresse du serveur
    • Identifiant utilisateur
    • Mot de passe
  3. Configuration des propriétés pour la synthèse vocale :
    • Voix :
    • Vitesse speech
    • Volume
  4. Configurez les propriétés pour Paramètres spécifiques au projet.
  5. Configurez les utilisateurs et les groupes d'utilisateurs.
  6. Créez les fonctions requises et associez-les à des boutons ou des événements.
  7. Cette méthode nécessite un acquittement.

Comportement dans le Runtime

  1. Une fonction appelle la méthode d'envoi.
  2. Un appel est déclenché via VoIP server.
  3. The connection is considered established as soon as the call to the counterparty is received. The description is played back from this point. The greeting can be repeated using the # button.
  4. Le message doit être acquitté ou refusé par le destinataire, qui doit saisir le code valide correspondant.
    • Code PIN pour une confirmation
    • Code NA pour un refus

    Le destinataire peut, en outre :

    • Relire le fichier qu'il vient d'écouter en appuyant sur la touche dièse (#) de son téléphone
    • Annuler la saisie en appuyant sur la touche étoile (*) ; dans ce cas, la salutation est à nouveau diffusée

Remarque :

  • If the call is not accepted, the substitute person is called up if one has been configured. The call is canceled otherwise.
  • The message text is shown in the list of messages in the Message column.

info Informations

Selon le système d'exploitation et le logiciel installés, des voix et des langues accessibles par zenon sont déjà disponibles. Des voix et langues supplémentaires sont disponibles auprès du partenaire commercial de COPA-DATA. Les langues actuellement disponibles sont l'allemand, l'anglais (États-Unis, Royaume-Uni, Inde), le français et l'espagnol.


Entrées du fichier zenon6.ini

Manuel -> Message control -> Configuration du module Gestion des messages -> Paramètres généraux pour l'envoi -> Entrées du fichier zenon6.ini

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

La configuration du module Gestion des messages s'effectue principalement par le biais des propriétés globales et spécifiques au projet. Dans le fichier zenon6.ini, les propriétés globales des supports sont affichées dans la section [Message Control].

Remarque : Changes should always be made using the properties of the zenon user interface.

Meaning of the INI entries:

Entrée

Description

[MESSAGE CONTROL]

Paramètres du module Message Control.

Recommandation : Configuration via les propriétés du groupe Module Message Control dans l'espace de travail, avec trois sous-groupes et les propriétés du groupe Paramètres spécifiques au projet dans le noeud Message Control de l'arborescence des projerts.

GSM_SMS=

Activation du type d'envoi SMS via GMS.

  • 0 : actif
  • <>0 : inactif

Par défaut : 0

The entry in Message32.ini corresponds to the entry [GSM]
On

This is taken into account when importing/exporting the ini settings.

Correspond à la propriété Type d'envoi actif, dans le groupe Message SMS (modem GSM), dans Editor.

GSM_SMS_COM=

Port COM utilisé pour établir la connexion au modem.

Valeur par défaut : vide

Pour cela, activez la propriété Connexion modem (série) dans Editor.

GSM_SMS_PIN=

Code PIN utilisé pour l'authentification auprès du modem.

Valeur par défaut : vide

Pour cela, activez la propriété Code PIN dans Editor.

GSM_SMS_SMSC=

Numéro de téléphone du centre de messagerie du fournisseur GSM.

Valeur par défaut : vide

Pour cela, activez la propriété Numéro du centre SMS dans Editor.

GSM_BULK_DELETE=

Behavior when deleting an SMS:

  • 0 : Messages are deleted with the Index method. Les SMS lus sont supprimés individuellement
  • 1 : Messages are deleted with the Statusflag method. Tous les SMS lus sont supprimés en même temps.
    Remarque : Cette méthode est rapide et plus puissante, mais elle n’est pas prise en charge par tous les modems.

Par défaut : 0

Pour cela, activez la propriété Supprime SMS avec la syntaxe d'état de la commande AT+CMGD dans Editor.

Outlook=

Notification par e-mail via Outlook :

  • 0 : inactif
  • 1 : actif

Par défaut : 0

Correspond à la propriété Type d'envoi actif, dans le groupe Message e-mail (Outlook), dans Editor.

Outlook_Profile=

Nom du profil Outlook utilisé pour l’envoi.

Valeur par défaut : vide

Pour cela, activez la propriété Profil dans Editor.

POP_APOP=

Controls authentication at the incoming mail server with messaging via SMTP/POP.

  • 0 : User (USER) and password (PASS) are used for authentication.
  • 1 : The APOP command is used for authentication instead of user and password.

Par défaut : 0

Correspond à la propriété Utiliser APOP pour l'authentification, dans le groupe Paramètres e-mail (SMTP), dans Editor.

POP_KEEP_MAILS=

Définit si les e-mails lus restent sur le serveur :

  • 0 : les e-mails sont supprimés du serveur après téléchargement.
  • 1 : E-mails remain after they have been fetched from the server.

Par défaut : 0

Remarque : puisque le protocole POP3 n'offre pas la possibilité de filtrer les messages lors de leur téléchargement, tout le courrier entrant est systématiquement téléchargé. Si cette propriété est active, l’utilisation de la mémoire sur le serveur augmente et les performances peuvent diminuer lors de la récupération des e-mails.

Pour cela, activez la propriété Laisser les mails lus sur le serveur dans Editor.

POP_PASSWORD=

Mot de passe de connexion au serveur de courrier entrant (POP3). Le mot de passe est enregistré sous forme chiffrée, et est uniquement déchiffré aux fins de l’authentification.

Doit uniquement être configuré dans Editor.

Valeur par défaut : vide

Correspond à la propriété Mot de passe, dans le groupe Serveur de mails entrants, dans Editor.

POP_POLL_INTERVALL=

Intervalle minimum entre deux demandes POP3, en secondes. La valeur ne doit pas être inférieure à la valeur de consigne du serveur POP3.

  • Minimum : 10
  • Maximum : 4294967295

Par défaut : 60

Pour cela, activez la propriété Temps minimum entre deux requêtes (s) dans Editor.

POP_PORT=

Port d’adressage du serveur POP3.

  • Valeur maximale : 6553

Default for:

  • Insecure connection: 110
  • Connexion sécurisée : 995

Correspond à la propriété Port, dans le groupe Serveur de mails entrants, dans Editor.

POP_SECURITY=

Type de protection de la connexion au serveur POP3.

  • 0 : pas de sécurité
  • 1 : SSLv2 et SSLv3
  • 2 : TLSv1

Par défaut : 0

Correspond à la propriété Encryptage, dans le groupe Serveur de mails entrants, dans Editor.

POP_SERVER=

Adresse du serveur POP3.

Valeur par défaut : vide

Correspond à la propriété Serveur de mails, dans le groupe Serveur de mails entrants, dans Editor.

POP_USER=

Nom d'utilisateur du serveur entrant.

Valeur par défaut : vide

Correspond à la propriété Identifiant utilisateur, dans le groupe Serveur de mails entrants, dans Editor.

SMSGateway=

Notification par SMS via passerelle SMS :

  • 0 : inactif
  • 1 : actif

Par défaut : 0

Correspond à la propriété Type d'envoi actif, dans le groupe Message SMS (passerelle SMS), dans Editor.

SMSGateway_Inbox=

Dossier de réception du serveur de SMS pour l’envoi de SMS.

Valeur par défaut : vide

Pour cela, activez la propriété Dossier de boite d'envoi dans Editor.

SMSGateway_OriginId=

Identification de l’expéditeur pour l’envoi de SMS.

Valeur par défaut : vide

Pour cela, activez la propriété ID expéditeur dans Editor.

SMSGateway_Outbox=

Dossier d’envoi du serveur de SMS pour l’envoi de SMS.

Valeur par défaut : vide

Pour cela, activez la propriété Dossier de boîte d'envoi dans Editor.

SMSGateway_Prefix=

Première lettre du fichier SMS. Doit être unique à chaque projet.

Longueur : 1 caractère

Par défaut : F

Pour cela, activez la propriété Première lettre du fichier SMS dans Editor.

SMSGateway_SemaphorPrefix=

Première lettre du fichier de verrouillage.

Longueur : 1 caractère

Par défaut : S

Pour cela, activez la propriété Première lettre du fichier 'lock/semaphore' dans Editor.

SMSGateway_SmartAlarm=

la gestion intelligente des alarmes est utilisée. Doit être unique à chaque projet.

  • 0 : inactif
  • 1 : actif

Par défaut : 0

Pour cela, activez la propriété Gestion d'alarmes intelligente dans Editor.

SMSGateway_Statusbox=

Dossier des messages d'état de la fonction d'envoi de SMS.

Valeur par défaut : vide

Pour cela, activez la propriété Dossier d'état dans Editor.

SMSGateway_TimeOut=

Délai d’attente en minutes des messages envoyés. Définit le délai au terme duquel un message est considéré comme n’ayant pas été correctement envoyé.

Par défaut : 60

Pour cela, activez la propriété Timeout dans Editor.

SMTP_AUTH=

Authentification sur le serveur de courrier sortant.

  • 0 : pas de sécurité
  • 1 : connexion au serveur POP3 avant l'envoi
  • 2 : SMTP AUTH with signing in to the SMTP server before dispatch

Par défaut : 0

Correspond à la propriété Auhentification pour le serveur de mails sortants, dans le groupe Serveur de mails sortants, dans Editor.

SMTP_OTHER_CREDS=

Définit si le serveur de courrier sortant utilise des données de connexion différentes de celles du serveur de courrier entrant.

  • 0 : inactif
  • 1 : actif

Par défaut : 0

Corresponds à la propriété , dans le groupe Serveur de mails sortants, dans les propriétés du projet pour .

SMTP_PASSWORD=

Données hexadécimales du mot de passe chiffré d'authentification sur le serveur de courrier sortant.

Valeur par défaut : vide

Corresponds à la propriété , dans le groupe Serveur de mails sortants, dans les propriétés du projet pour .

SMTP_OTHER_CREDS=

Sign-in data for SMTP server.

  • 0 : les données de connexion du serveur de courrier entrant sont également utilisées sur le serveur de courrier sortant.
  • 1 : pour l’authentification sur le serveur de courrier sortant, des données d’authentification différentes de celles du serveur de courrier entrant sont utilisées.

Par défaut : 0

Correspond à la propriété Utiliser un 'log' pour les données différent de celui du serveur de mails entrants, dans le groupe Serveur de mails sortants, dans Editor.

SMTP_OUT_ADDR=

Adresse pour les messages envoyés.

Valeur par défaut : vide

Correspond à la propriété Adresse pour les e-mails sortants, dans le groupe Serveur de mails sortants, dans Editor.

SMTP_POP_MAIL=

Email notification via SMTP/POP:

  • 1 : actif
  • 0 : inactif

Par défaut : 0

Correspond à la propriété Type d'envoi actif, dans le groupe Serveur de mails sortants, dans Editor.

SMTP_PORT=

Définit le port utilisé sur le serveur SMTP.

Maximum : 65535

Par défaut : 25

Correspond à la propriété Port, dans le groupe Serveur de mails sortants, dans Editor.

SMTP_SECURITY=

Type de protection de la connexion au serveur SMTP.

  • 0 : pas de sécurité
  • 1 : SSLv2 et SSLv3
  • 2 : TLSv1

Par défaut : 0

Correspond à la propriété Encryptage, dans le groupe Serveur de mails sortants, dans Editor.

SMTP_SERVER=

Serveur SMTP défini par l'utilisateur.

Valeur par défaut : vide

Correspond à la propriété Adresse du serveur, dans le groupe Serveur de mails sortants, dans Editor.

SMTP_SRV_IS_POP=

Cette entrée définit si le serveur POP3 est utilisé en tant que serveur SMTP.

  • 1 : les serveurs POP3 et SMTP sont identiques
  • 0 : les serveurs POP3 et SMTP sont différents

Par défaut : 0

Correspond à la propriété Utiliser le serveur de mails entrants pour les mails sortants, dans le groupe Serveur de mails sortants, dans Editor.

SMTP_SUBJECT=

Objet des messages sortants, permettant de détecter si un e-mail reçu sur le serveur correspond à un type d'envoi précis.

Pour être traités par le système, les e-mails reçus doivent comporter ce texte. Les e-mails ne contenant pas ce sujet ne sont ni transmis au module Message Control, ni supprimés du serveur.

Par défaut : MsgCtrl_Alert:

Correspond à la propriété Sujet pour les e-mails sortants, dans le groupe Serveur de mails sortants, dans Editor.

SMTP_USER=

Nom d'utilisateur enregistré sur le serveur de courrier sortant.

Valeur par défaut : vide

Correspond à la propriété Identifiant utilisateur, dans le groupe Serveur de mails sortants, dans Editor.

SMTP_USER_IS_ADDR=

Définit si le nom d'utilisateur utilisé pour l'authentification sur le serveur de courrier sortant est utilisé en tant qu'adresse d'expéditeur des e-mails envoyés. Is only used if the SMTP_AUTH= entry is not 0.

  • 1 : actif
  • 0 : inactif

Par défaut : 0

Correspond à la propriété Le nom de l'utilisateur est l'adresse pour les e-mails sortants, dans le groupe Serveur de mails sortants, dans Editor.

Speech=

Text-to-Speech notification via modem:

  • 0 : inactif
  • 1 : actif

Par défaut : 0

Correspond à la propriété Modem vocal (Text-to-Speech), dans le groupe Message vocal, dans Editor.

Speech_Name=

Selection of speech and language for text-to-speech.

Assurez-vous que les voix correctes ont été sélectionnées pour Editor :

  • Editor 32 bits : C:\Windows\SysWOW64\Speech\SpeechUX\sapi.cpl
  • Editor 64 bits : C:\Windows\System32\Speech\SpeechUX\sapi.cpl

Valeur par défaut : vide

Correspond à la propriété Voix :, dans le groupe Text-to-Speech, dans Editor.

Speech_Rate=

Vitesse de la voix.

  • Minimum : -10
  • Maximum : 10

Par défaut : 0

Correspond à la propriété Vitesse speech, dans le groupe Text-to-Speech, dans Editor.

Speech_Volume=

Volume de la voix. Ce nombre est une valeur, en pourcentage, de la valeur maximale pour la voix sélectionnée.

  • Maximum : 100
  • Minimum : 0 nombre issu du système d'exploitation, sans modification

Par défaut : 0

Correspond à la propriété Volume, dans le groupe Text-to-Speech, dans Editor.

Subject=

Identifiant unique que doivent contenir les e-mails entrants pour être traités par le module de Gestion des messages.

Par défaut : MsgCtrl_Alert:

Correspond à la propriété Sujet (ID), dans le groupe Message e-mail (Outlook), dans Editor.

Telephone=

Notification by means of audio file via modem:

  • 0 : inactif
  • 1 : actif

Par défaut : 0

Correspond à la propriété Modem vocal (fichier audio), dans le groupe Message vocal, dans Editor.

Telephone_IgnoreDisconnect=

Comportement en cas d'interruption de la connexion :

  • 1 : une déconnexion (par ex., le destinataire met un terme à l'appel) est ignorée et le message est relu dans son intégralité avant la fermeture de la ligne.
  • 0 : la transmission du message est abandonnée lors de l'interruption de la connexion.

Par défaut : 0

Correspond à la propriété Ignorer la déconnexion, dans le groupe Message vocal, dans Editor.

Telephone_Line=

Entry of the modem to be used. Ces éléments doivent déjà être installés sur l'ordinateur.

Correspond à la propriété Nom ligne, dans le groupe Paramètres téléphone, dans Editor.

Telephone_LineId=

Identifiant de périphérique généré automatiquement et identifiant le modem sélectionné. En présence de plusieurs modems avec le même nom, permet de distinguer les périphériques.

Attention : Fournie uniquement à titre informatif. Il ne doit pas être modifié !

Correspond à la propriété ID ligne, dans le groupe Paramètres téléphone, dans Editor.

Telephone_Timeout=

Délai en minutes au terme duquel une condition existante doit être annulée et fermée. Le délai doit être plus long que le délai nécessaire à la lecture et la confirmation du message.

Par défaut : 1

Correspond à la propriété Time-out [min], dans le groupe Message vocal, dans Editor.

Telephone_WelcomeMessageCount=

Nombre de répétitions pour le texte d’accueil.

Par défaut : 5

Correspond à la propriété Répéter le texte d'accueil, dans le groupe Message vocal, dans Editor.

VOIP_AUDIO=

Voice message as audio file by means of Voice over IP:

  • 0 : inactif
  • 1 : Voix par IP (Fichier audio)

Par défaut : 0

Correspond à la propriété Voix par IP (Fichier audio), dans le groupe Message vocal, dans Editor.

Remarque :

Les conditions suivantes doivent être satisfaites pour que le service VoIP soit utilisable :

  • Le fournisseur de service VoIP doit prendre en charge les protocoles SIP et RTP.
  • Les ports correspondants doivent être ouverts au niveau du pare-feu :
    SIP (par défaut : 5060)
    RTP (par défaut : 4000)
    RTCP (par défaut : 4001)

VOIP_DOMAIN=

Server address of the VoIP provider.

Par défaut : (vide)

Correspond à la propriété Adresse du serveur, dans le groupe Voix par IP, dans Editor.

VOIP_PASSWORD=

Password for VoIP access.

Is saved in encrypted form and must only be changed in the user interface.

Par défaut : (vide)

Correspond à la propriété Mot de passe, dans le groupe Voix par IP, dans Editor.

VOIP_RTP=

Numéro du port RTP VoIP.

Par défaut : 4000

Correspond à la propriété Port RTP, dans le groupe Voix par IP, dans Editor.

VOIP_SIP=

Numéro du port SIP VoIP.

Par défaut : 5060

Correspond à la propriété Port SIP, dans le groupe Voix par IP, dans Editor.

VOIP_TTS=

Voice message as text-to-speech by means of voice over IP:

  • 0 : inactif
  • 1 : Voix par IP (Text-to-Speech)

Par défaut : 0

Correspond à la propriété Voix par IP (Text-to-Speech), dans le groupe Message vocal, dans Editor.

Remarque :

Les conditions suivantes doivent être satisfaites pour que le service VoIP soit utilisable :

  • Le fournisseur de service VoIP doit prendre en charge les protocoles SIP et RTP.
  • Les ports correspondants doivent être ouverts au niveau du pare-feu :
    SIP (par défaut : 5060)
    RTP (par défaut : 4000)
    RTCP (par défaut : 4001)

VOIP_USER=

User name for VoIP access.

Par défaut : (vide)

Correspond à la propriété Identifiant utilisateur, dans le groupe Voix par IP, dans Editor.

info Informations

Some properties can accept the values of other properties. You always save the value that was entered last. The vale of the ini entries therefore does not always need to correspond to the values of the properties displayed in the Editor. Les propriétés suivantes sont disponibles :

  • SMTP_SERVER= -> Adresse du serveur
  • SMTP_USER= -> Identifiant utilisateur
  • SMTP_PASSWORD= -> Mot de passe
  • SMTP_OUT_ADDR= -> Adresse pour les e-mails sortants


Paramètres spécifiques au projet

Manuel -> Message control -> Configuration du module Gestion des messages -> Paramètres spécifiques au projet

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Vous trouverez les paramètres spécifiques au projet dans le nœud Gestion des messages du projet correspondant. Les propriétés de configuration du message et de son envoi se trouvent ici. Les propriétés générales relatives aux supports d'envoi sont configurées dans les propriétés Module Message Control du domaine de travail.

Activation du module Gestion des messages pour le projet

Dans le Runtime, le module Gestion des messages peut être activé comme suit :

  • Propriété Actif lors du démarrage du runtime Une fois que cette propriété a été activée, le module de Gestion des messages démarre automatiquement dans le Runtime.
  • Fonction Envoi de messages : activé : si cette fonction est exécutée, le module Gestion des messages est démarré. Les messages sont uniquement traités à partir de cet instant.

Le module Gestion des messages peut être fermé en exécutant la fonction Envoi de messages : désactivé dans le Runtime.

Propriétés spécifiques au projet

Les éléments suivants peuvent être définis dans les propriétés spécifiques au projet :

  • Partie dynamique du sujet via la propriété Partie dynamique du sujet : Les messages entrants sont filtrés pour ce contenu, pour être transmis au module Message Control.
  • Consignation du message via la propriété Enregistrer dans liste d'événements: dans la liste d'événements, les messages peuvent être consignés selon différents critères :
  • Confirmer tous :
    Tous les messages
  • Pas de confirmation :
    Aucun message
  • Confirmations négatives uniquement :
    Uniquement les messages refusés ou n’ayant pas reçu de réponse (répétitions incluses)
    • Confirmations positives uniquement :
      Uniquement les messages ayant déjà été acquittés
  • L'état du message est identifié au moyen de couleurs et d'éléments graphiques : La colonne État du synoptique Gestion des messages peut afficher l'état d'un message au moyen d'éléments graphiques et de couleurs.
  • Règles de répétition des appels interrompus :

info Informations

Règles concernant les appels interrompus :

  • Si un appel est interrompu sans confirmation ou refus et l'interruption n'est pas répertoriée comme une erreur matérielle :
    • L'appel n'est pas répété pour le même destinataire
    • Si un message est envoyé à des destinataires de substitution ou à des membres du groupe n'ayant pas encore été contactés
  • Si un appel est interrompu par une erreur matérielle, l'appel adressé au même destinataire est retransmis conformément au nombre de répétitions défini dans la propriété Nombre maximum d'essais.

Configuration du message

Elle comprend les éléments suivants :

  1. Partie statique : objet inaltérable défini dans les paramètres généraux des e-mails.
  2. Partie dynamique : partie du sujet spécifique au projet. Définie avec la propriété Partie dynamique du sujet.

Structure de la partie dynamique de l'objet :

  • Les sections de texte sont séparées par un point-virgule (;),
  • $ désigne le texte contenant le paramètre.
  • Un paramètre peut :
    • Être un élément issu de la table de langues, par exemple @MyText;
    • Être lié à une variable, lors de l'exécution de la fonction via la liste AML ou en cas de dépassement d'une valeur limite, par exemple %Var1;
    • Être une entrée compilée dans la table de langues, par exemple %@Var2+MultipleText
  • @ désigne le changement de langue
  • % désigne les variables
  • %% désigne les paramètres de texte de valeur limite pour les variables

    Une variable peut être déclarée entre les deux signes de pourcentage.
    Si aucune variable n'est spécifiée, la valeur concerne la variable principale.

    • Les messages se terminent par un point-virgule (;).

Paramètres

Dans le Runtime :

Action

Légende :

@MyText

Une vérification est effectuée afin de déterminer si une entrée dans @MyText est présente dans la table de langues pour la langue actuelle.
  • Si elle existe : l'entrée est ajoutée au message.
  • Si elle n'existe pas : selon les paramètres des propriétés Montrer les mots-clé non-traduits du projet, la chaîne @MyText ou MyText est ajoutée au message.

Variable :

%Var1%

Le programme vérifie si la variable existe et si la valeur peut être lue.
  • Si elle existe : la valeur de la variable est prise et ajoutée sous forme de chaîne au texte.
  • Si elle n'existe pas ou n'est pas lisible : le texte xxx est ajouté au message.

Entrée composée :

@StringTable+%var1Text

Le programme vérifie si :

  • 1. La variable existe et la valeur peut être lue. La valeur est ajoutée au texte de préfixe ("MultipleText") sous forme de chaîne.
  • 2. Une entrée existe dans la table de langues pour le texte.
  • La variable et le texte existent :
    l'entrée est ajoutée au message.
    Exemple : La valeur de la variable est 33. La chaîne @StringTable33 est ensuite recherchée dans la table de langues, et le texte correspondant est ajouté.
  • Si elle n'existe pas : selon les paramètres des propriétés Montrer les mots-clé non-traduits du projet, la chaîne @MyText ou MyText est ajoutée au message.

Exemple : $@Attention;%Var1;


Création d'un synoptique de type Message Control

Manuel -> Message control -> Configuration du module Gestion des messages -> Création d'un synoptique de type Message Control

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

The Message Control screen is for managing the message queue of a project in Runtime.

Développement

Étapes de création du synoptique :

  1. Créez un nouveau synoptique :

    Dans la barre d’outils ou le menu contextuel du nœud Synoptiques, sélectionnez la commande Nouveau synoptique.
    Un synoptique vide Standard est créé.

  2. Modifiez les propriétés du synoptique :
    1. Nommez le synoptique dans la propriété Nom.
    2. Sélectionnez Message Control dans la propriété Type de synoptique.
    3. Sélectionnez le cadre souhaité dans la propriété Gabarit.
  3. Configurez le contenu du synoptique :
    1. Sélectionnez l’option de menu Éléments de contrôle dans la barre de menus
    2. Sélectionnez Insérer un modèle dans la liste déroulante.
      La boîte de dialogue de sélection de mises en forme prédéfinies s’affiche à l’écran. Certains éléments de contrôle sont insérés dans le synoptique à des positions prédéfinies.
    3. Supprimez les éléments superflus du synoptique.
    4. Si nécessaire, sélectionnez des éléments supplémentaires dans la liste déroulante Éléments. Placez-les aux emplacements souhaités sur le synoptique.
  4. Créez une fonction d’appel de synoptique.

Insérer un modèle

Éléments de contrôle | Description
Insérer un modèle | Ouvre la boîte de dialogue de sélection de modèle pour le type de synoptique correspondant. Des modèles sont fournis avec zenon, et peuvent également être créés par l’utilisateur. Modèles ajoutent des éléments de contrôle prédéfinis à des positions prédéfinies sur le synoptique. Les éléments qui ne sont pas nécessaires peuvent également être supprimés individuellement après leur création. Les éléments supplémentaires peuvent être sélectionnés dans la liste déroulante, puis insérés dans le synoptique zenon. Les éléments peuvent être déplacés et disposés individuellement sur le synoptique.

Fenêtre

Listes et champs pouvant être affichés dans le Runtime.

Éléments de contrôle | Description
Queue des messages | Liste de messages. Contient les messages envoyés, confirmés ou supprimés ou en attente d'envoi. Les messages sont uniquement affichés, et ne peuvent plus être modifiés. Les en-têtes de colonnes peuvent être définis individuellement et peuvent être localisés lors d'un changement de langue s'ils sont précédés du signe @.
Nombre de messages | Nombre de messages actuellement existants.
Dernière mise à jour | Heure de la dernière mise à jour.
Suppressed alarm/event groups (Groupes d'alarmes/d'événements supprimés) | Groupes d'alarmes/d'événements pour lesquels des messages ont été supprimés, et dont les alarmes ne sont donc pas affichées dans la file d'attente de messages.
Suppressed alarm/event classes (Classes d'alarmes/d'événements supprimées) | Classes d'alarmes/d'événements pour lesquelles des messages ont été supprimés, et dont les alarmes ne sont donc pas affichées dans la file d'attente de messages.
Suppressed alarm/event areas (Domaines d'alarmes/d'événements supprimés) | Domaines d'alarmes/d'événements pour lesquels des messages ont été supprimés, et dont les alarmes ne sont donc pas affichées dans la file d'attente de messages.
Équipements supprimés | Équipements pour lesquels des messages ont été supprimés, et dont les alarmes ne sont donc pas affichées dans la file d'attente de messages.

Fonctions de la liste

Éléments de contrôle de la liste.

Éléments de contrôle

Description

Filtre

Ouvre une boîte de dialogue de configuration des filtres pour la vue.

Supprimer

Supprime l'entrée sélectionnée de la liste. Il est uniquement possible de supprimer les messages qui n'ont pas encore été envoyés.

Recharger

Actualise l’affichage. Les données actuelles sont chargées sur le synoptique de la file d'attente de messages.

L'heure de la dernière mise à jour peut être affichée avec le champ Last update (Dernière mise à jour).

Arrêter/Reprendre

Démarre et arrête la mise à jour cyclique de la liste.

Profils de filtre

Gestion de profils

Éléments de contrôle | Description
Sélection de profil | Ouvre la boîte de dialogue permettant de sélectionner un profil.
Enregistrer | Enregistrer la configuration actuelle sous forme de profil.
Supprimer | Supprime le profil.
Importer | Ouvre la boîte de dialogue d'importation de profils depuis un fichier.
Exporter | Ouvre la boîte de dialogue d'exportation de profils depuis un fichier.
info Informations
Les colonnes de la liste peuvent être configurées via le filtre de la fonction d'appel de synoptique dans l'Éditeur, via la fonction Appel de synoptique - Avec dial. de filtre dans le Runtime ou via le bouton Filtrer. Les colonnes de la liste peuvent recevoir des intitulés individuels, et sont localisables.


Gestion des utilisateurs

Manuel -> Message control -> Configuration du module Gestion des messages -> Gestion des utilisateurs

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Les utilisateurs et les groupes d'utilisateurs du module de Gestion des messages sont créés et gérés avec le module de gestion des utilisateurs de zenon. Dans le module de gestion des utilisateurs, la propriété Utilisateur Message Control (ou Groupe Message Control) doit être active pour qu'un utilisateur puisse être utilisé dans le module Gestion des messages.

Les utilisateurs et les groupes sont référencés par leurs noms.

attention Attention

Ensure that the required contact data for sending has been configured for each user.

If a user or user group is to be notified in Runtime and the data required for the sending type is not available for a user, the sending is canceled. Another attempt to send is not made.

For groups, this means: If, for example, the fourth user of a list cannot be configured correctly, the first three users of the list are notified. The process is canceled with the fourth user. They and all subsequent users on the list do not get any more notifications. There is also no attempt to notify the first three users again.

Utilisateur

Paramètre

Description

Utilisateur du module Message Control

Active : L'utilisateur est utilisé par le module Message Control.

Téléphone

Numéro de l'équipement téléphonique compatible voix de l'utilisateur. Utilisé pour la fonction de synthèse vocale.

Saisissez le numéro. En outre, les pratiques suivantes sont autorisées :

  • Le préfixe + peut être utilisé à la place des chiffres 00 précédant le code international.
  • Les séparateurs suivants sont également autorisés dans l'interface de gestion des utilisateurs d'AD : Moins (-), tiret (/) et espace.
    Remarque : Lors des communications entre AD et le module Message Control, les séparateurs sont ignorés dès que les données provenant d'AD sont associées à un objet zenon.

Téléphone portable

Numéro de téléphone cellulaire de l’utilisateur. Utilisé pour l’envoi de messages par téléphone portable et SMS ("textos").

Saisissez le numéro. En outre, les pratiques suivantes sont autorisées :

  • Le préfixe + peut être utilisé à la place des chiffres 00 précédant le code international.
  • Les séparateurs suivants sont également autorisés dans l'interface de gestion des utilisateurs d'AD : Moins (-), tiret (/) et espace.
    Remarque : Lors des communications entre AD et le module Message Control, les séparateurs sont ignorés dès que les données provenant d'AD sont associées à un objet zenon.

E-mail

Adresse e-mail de l’utilisateur

Personne de remplacement

Si un utilisateur n'est pas joignable ou n'accepte pas le message, un remplaçant peut être indiqué. Cliquez sur le bouton ... Ouvre la boîte de dialogue de sélection d'utilisateurs. Seuls les utilisateurs activés en tant qu'utilisateurs de Message Control peuvent être sélectionnés.

Code PIN

Code PIN permettant à l'utilisateur de confirmer le message.

Code NA

Code d'indisponibilité permettant à l'utilisateur de refuser de confirmer la réception du message (indisponible). Le message est ensuite envoyé à l'utilisateur suivant dans la liste.

Si aucune autre utilisateur n'est défini dans la liste, le message est enregistré avec l'état non acquitté. La fonction associée à cet état est exécutée. En outre, dans tous les cas, une entrée "refusé par" est générée dans la liste CEL.

Remarque : D'autres informations concernant l'attribution de fonctions sont disponibles au chapitre Confirmation de réception - Paramètres de la confirmation de réception.

Fermer boîte de dialogue

Options

Description :

OK

Applique toutes les modifications effectuées sur tous les onglets, puis ferme la boîte de dialogue.

Annuler

Annule toutes les modifications effectuées sur tous les onglets, puis ferme la boîte de dialogue.

Aide

Ouvre l'aide en ligne.

attention Attention

Les codes d'acquittement PIN (confirmation) et NA (refus) doivent être différents et ne doivent pas être trop semblables.

Si les deux codes sont identiques, le code est interprété comme un code PIN, et indique alors la confirmation du message.

En cas de réception d'un code inconnu, un SMS et un e-‑mail sont envoyés au contact secondaire. Le message d'erreur est diffusé pour les messages vocaux.

Ordre dans le groupe d'utilisateurs

La propriété Ordre des utilisateurs permet d'ordonner les utilisateurs dans un groupe d'utilisateurs.

Paramètres | Description
Utilisateurs | Liste de tous les utilisateurs disponibles.
Vers le haut | Déplace l'utilisateur sélectionné d'une place.
Vers le bas | Abaisse l'utilisateur sélectionné d'une place.
OK | Applique les paramètres et ferme la boîte de dialogue.
Annuler | Discards all changes and closes the dialog.
Aide | Ouvre l'aide en ligne.

Dans le Runtime, l'ordre des utilisateurs du module de gestion des utilisateurs est ajouté à l'ordre défini dans cette propriété. Par conséquent, les utilisateurs locaux sont toujours affichés avant les utilisateurs globaux.

info Informations

Des informations détaillées concernant la gestion des utilisateurs dans zenon sont disponibles dans le manuel Gestion des utilisateurs.


Fonctions

Manuel -> Message control -> Configuration du module Gestion des messages -> Fonctions

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Les fonctions contrôlent l'utilisation du module Gestion des messages dans le Runtime.

Ainsi :

  • Le module Gestion des messages est activé et désactivé
  • Les messages sont envoyés
  • Le synoptique de type Gestion des messages est connecté pour gérer la file d'attente des messages
  • La file d'attente des messages est enregistrée
  • Les éléments des messages sont désactivés

Autres sujets abordés dans ce chapitre

Appel d'un synoptique de type Gestion de messages

Enregistrer queue courante

Groupe/classe/domaine/équipement supprimé

Envoi d'un message

Envoi de messages : activer

Envoi de messages : désactiver


Appel d'un synoptique de type Gestion de messages

Manuel -> Message control -> Configuration du module Gestion des messages -> Fonctions -> Appel d'un synoptique de type Gestion de messages

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

L'appel d'un synoptique de type Gestion des messages vous de superviser la file d'attente de messages dans le Runtime. Pour configurer l'appel de synoptique :

  1. Créez une nouvelle fonction
  2. Sélectionnez Appel de synoptique.
  3. La boîte de dialogue de sélection de synoptiques s'affiche.
  4. Sélectionnez un synoptique de type Gestion de messages
  5. La boîte de dialogue de configuration des paramètres des colonnes s'affiche à l'écran.
  6. Configurez les colonnes.
  7. Fermez la boîte de dialogue de configuration en cliquant sur OK.
  8. Liez la fonction à un bouton pour pouvoir y accéder dans le Runtime.

Autres sujets abordés dans ce chapitre

Paramètres des colonnes


Paramètres des colonnes

Manuel -> Message control -> Configuration du module Gestion des messages -> Fonctions -> Appel d'un synoptique de type Gestion de messages -> Paramètres des colonnes

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Paramètres de filtrage des messages

Paramètre | Description
Champ de liste | Affichage des colonnes configurées.
Sélection de colonnes | Ouvre la boite de dialogue de sélection des colonnes.
Format colonne | Ouvre la boîte de dialogue de mise en forme des colonnes.
OK | Applique toutes les modifications et ferme la boîte de dialogue.
Annuler | Annule toutes les modifications et ferme la boîte de dialogue.
Aide | Ouvre l’aide en ligne.

Autres sujets abordés dans ce chapitre

Sélection de colonnes

Format des colonnes


Sélection de colonnes

Manuel -> Message control -> Configuration du module Gestion des messages -> Fonctions -> Appel d'un synoptique de type Gestion de messages -> Paramètres des colonnes -> Sélection de colonnes

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Sélection de colonnes

Définition des colonnes affichées dans le Runtime.

Options | Fonction
Colonnes disponibles | Liste de colonnes pouvant être affichées dans la table.
Colonnes sélectionnées | Colonnes affichées dans la table.
Ajouter -> | Déplace la colonne sélectionnée des colonnes disponibles vers les éléments sélectionnés. Lorsque vous confirmez la boîte de dialogue en cliquant sur OK, ces colonnes sont affichées dans la vue de détail.
Ajouter toutes -> | Déplace toutes les colonnes disponibles vers les colonnes sélectionnées.
<- Supprimer | Supprime les colonnes marquées des éléments sélectionnés et les affiche dans la liste des colonnes disponibles. Lorsque vous confirmez la boîte de dialogue en cliquant sur OK, ces colonnes sont supprimées de la vue de détail.
<- Supprimer tout | Toutes les colonnes sont supprimées de la liste des colonnes sélectionnées.
Haut | Déplace l’entrée sélectionnée vers le haut. Cette fonction est uniquement disponible pour les entrées uniques?; les sélections multiples ne sont pas autorisées dans ce cas.
Bas | Déplace l’entrée sélectionnée vers le bas. Cette fonction est uniquement disponible pour les entrées uniques?; les sélections multiples ne sont pas autorisées dans ce cas.

Fermer boîte de dialogue

Options | Description :
OK | Applique les paramètres et ferme la boîte de dialogue.
Annuler | Annule toutes les modifications et ferme la boîte de dialogue.
Aide | Ouvre l'aide en ligne.


Format des colonnes

Manuel -> Message control -> Configuration du module Gestion des messages -> Fonctions -> Appel d'un synoptique de type Gestion de messages -> Paramètres des colonnes -> Format des colonnes

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Format des colonnes

Mise en forme des colonnes.

Configuration des propriétés des colonnes pour les listes configurables. Les paramètres ont un effet sur la liste correspondante dans Editor ou, lors de la configuration d’un appel de synoptique, dans le Runtime.

Colonnes disponibles

Options | Description :
Colonnes disponibles | Liste de colonnes disponibles avec la fonction de sélection de colonnes. La configuration de la colonne sélectionnée se déroule via les options de la section Paramètres.

Paramètres

Option

Description :

Paramètres

Paramètres de la colonne sélectionnée.

Intitulé

Nom de l’intitulé de colonne.

Cet intitulé de colonne est compatible avec la fonction de changement de langue en ligne. Pour cela, le caractère @ doit être saisi devant le nom.

Largeur

Largeur de la colonne en caractères.
Calcul : nombre de caractères multiplié par la largeur moyenne des caractères de la police sélectionnée.

Alignement

Alignement. La sélection de l'attribution s'effectue au moyen des cases d'option.

Paramètres possibles :

  • Gauche : Le texte est justifié contre le bord gauche de la colonne.
  • Centré : Le texte est centré dans la colonne.
  • Droite : Le texte est justifié contre le bord droit de la colonne.

Couleurs définies par l'utilisateur

Propriétés permettant de sélectionner des couleurs définies par l’utilisateur pour le texte et l’arrière-plan. Les paramètres ont une incidence dans Editor et dans le Runtime.

Remarque :

  • Ces paramètres sont uniquement disponibles pour les listes configurables.
  • En outre, le focus correspondant dans la liste peut être indiqué par différentes couleurs de texte et d’arrière-plan dans le Runtime. Celles-ci sont configurées dans les propriétés du projet.

Couleurs définies par l’utilisateur

Active : Les couleurs définies par l’utilisateur sont appliquées.

Couleur du texte

Couleur d’affichage du texte. Cliquez sur la couleur pour la palette de sélection de couleurs.

Couleur d'arrière-plan

Couleur d’affichage de l’arrière-plan de la cellule. Cliquez sur la couleur pour la palette de sélection de couleurs.

Désactiver le filtre de colonnes dans le Runtime
  • Active : Le filtre de cette colonne ne peut pas être modifié dans le Runtime.

Remarque : Uniquement disponible pour :

  • Batch Control
  • Extended Trend
  • Synoptiques de filtre
  • Message Control
  • Gestionnaire de groupe de recettes (Recipe Group Manager)
  • Gestion d'équipes
  • Liste contextuelle

Fermer boîte de dialogue

Options | Description :
OK | Applique toutes les modifications effectuées sur tous les onglets, puis ferme la boîte de dialogue.
Annuler | Annule toutes les modifications effectuées sur tous les onglets, puis ferme la boîte de dialogue.
Aide | Ouvre l'aide en ligne.


Enregistrer queue courante

Manuel -> Message control -> Configuration du module Gestion des messages -> Fonctions -> Enregistrer queue courante

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Cette fonction enregistre une image de la file d'attente de messages actuelle. Si le Runtime est fermé normalement, cette image est remplacée par une image valide de la file d'attente lors de la fermeture du Runtime. Pour configurer la fonction :

  1. Créez une nouvelle fonction
  2. Dans le groupe Module Message Control, sélectionnez la fonction Enregistrer queue courante
  3. Liez la fonction à un bouton pour pouvoir y accéder dans le Runtime.

Dans le Runtime, cette fonction est toujours exécutée sur l'ordinateur exécutant le processus


Groupe/classe/domaine/équipement supprimé

Manuel -> Message control -> Configuration du module Gestion des messages -> Fonctions -> Groupe/classe/domaine/équipement supprimé

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Le module Gestion des messages comporte une liste d'éléments désactivés. Le terme "désactivé" signifie ici que les alarmes correspondantes ne déclenchent plus l'envoi d'un message. Cette fonction permet de modifier la liste. Les alarmes et les équipements peuvent être activés ou désactivés. La projection se déroule dans l'Éditeur, et peut être déverrouillée en cas de modifications dans le Runtime.

Si un élément Valeurs limite est lié à une fonction Envoi d'un message, les messages sont uniquement créés et envoyés si ni la variable, ni l'alarme ne sont supprimées.

  • La variable est supprimée si son domaine ou un groupe d'équipements lié figurent dans la liste des éléments supprimés.
  • L'alarme est supprimée si le groupe d'alarmes/d'événements, la classe d'alarmes/d'événements ou le domaine d'alarmes sont contenus dans la liste d'éléments supprimés.

Les entrées supprimées sont consignées dans la liste CEL, à condition que pour la propriété Enregistrer dans liste d'événements, l'une des entrées Toutes les confirmations ou Uniquement les confirmations négatives ait été sélectionnée.

Configuration des fonctions

Pour configurer la fonction :

  1. Créez une nouvelle fonction
  2. Dans le groupe Module Message Control, sélectionnez la fonction Groupe/classe/domaine/équipement supprimé
  3. La boîte de dialogue de configuration des éléments à supprimer ou à activer s'affiche à l'écran.
  4. Configurez les éléments.
  5. Fermez la boîte de dialogue en cliquant sur OK.
  6. Liez la fonction à un bouton pour pouvoir y accéder dans le Runtime.

Autres sujets abordés dans ce chapitre

Général

Modèles d'équipement


Général

Manuel -> Message control -> Configuration du module Gestion des messages -> Fonctions -> Groupe/classe/domaine/équipement supprimé -> Général

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Paramètre

Description

Groupes d’alarmes/d’événements

Liste des groupes d'alarmes/d'événements configurés.

Domaines d'alarmes

Liste des domaines d'alarmes configurés.

Classes d’alarmes/d’événements

Liste des classes d'alarmes/d'événements configurées.

Activer

Active : Lors de l'activation de la fonction, les éléments sélectionnés sont ajoutés à la liste d'éléments supprimés.

Désactiver

Active : Lors de l'activation de la fonction, les éléments sélectionnés sont supprimés de la liste d'éléments supprimés.

Avec dial. de filtre

Checkbox to select whether this dialog is shown in Runtime:

  • Active:
    This dialog is called up during operation in Runtime on the current computer or in the network on the calling client. Changes made by the user in the existing project configurations are thus made possible.
  • Inactive:
    This dialog is not shown in Runtime during operation. The function or the command is immediately executed with the project configuration created in the Editor.

Fermer boîte de dialogue

Options | Description :
OK | Applique toutes les modifications effectuées sur tous les onglets, puis ferme la boîte de dialogue.
Annuler | Annule toutes les modifications effectuées sur tous les onglets, puis ferme la boîte de dialogue.
Aide | Ouvre l'aide en ligne.

La sélection des éléments dans une liste s'effectue à l'aide de la souris. Une sélection multiple est possible. Un simple clic suffit, aucune combinaison de touches n'est utilisée. Cliquez deux fois sur un élément sélectionné pour le désélectionner.


Modèles d'équipement

Manuel -> Message control -> Configuration du module Gestion des messages -> Fonctions -> Groupe/classe/domaine/équipement supprimé -> Modèles d'équipement

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Option

Description :

Barre d'outils

Symboles pour:

  • Modifier les modèles d'équipement locaux
  • Agrandir ou réduire l'affichage
  • Afficher des informations

Liste de modèles d'équipements

Autorise la sélection de modèles et de groupes. La liste distingue les modèles d'équipement issus du projet global et des projets locaux.

Les modèles d'équipement locaux peuvent être créés, modifiés ou supprimés.

Remarque : Les modèles d’équipement du projet global ne peuvent pas être affichées si des modèles portant le même nom que dans le projet local. Les modèles affectés sont affichés en cliquant sur le symbole d’avertissement (triangle avec point d’exclamation). Pour plus de détails, reportez-vous au manuel Modèles d’équipement, chapitre Modification de modèles d’équipement locaux.

Ajouter

Ajoute les groupes sélectionnés à la liste de filtres.

Supprimer

Supprime tous les groupes sélectionnés de la liste de filtres.

Filtre hiérarchique

Case à cocher pour l’activation du filtre hiérarchique de modèle d’équipement.

  • Activé :
    les variables liées à une sous-hiérarchie du groupe d’équipement sélectionné sont prises en compte dans le filtre et sont incluses dans l’affichage du Runtime.
  • Inactif :
    lors du filtre, seules les variables liées au groupe d’équipement sélectionné sont prises en compte.Par défaut : Actif

Liste de filtres

Affiche tous les groupes d'équipements devant être filtrés.

Fermer la boîte de dialogue

Options | Description :
OK | Applique les paramètres et ferme la boîte de dialogue.
Annuler | Annule la sélection et ferme la boîte de dialogue. Attention : Toute modification apportée à la structure des équipements locaux est conservée.
Aide | Ouvre l'aide en ligne.

Configuration

De nouveaux modèles et groupes peuvent être créés pour le projet actif et les modèles et groupes existants peuvent être supprimés.

Ajouter un modèle au projet

Pour ajouter un nouveau modèle :

  1. Cliquez sur le projet.
  2. Dans la barre d'outils, sélectionnez Nouveau modèle d'équipement

Supprimer un modèle

Pour supprimer un modèle existant :

  1. Cliquez sur le modèle.
  2. Sélectionnez Supprimer dans la barre d'outils.

Ajouter des groupes au modèle

Pour ajouter un groupe au modèle :

  1. Sélectionnez le modèle d'équipement de votre choix.
    Attention : Si des conflits de nom existent entre les modèles d'équipement globaux et locaux, les modèles d'équipement locaux sont affichés et les modèles locaux sont ignorés. Vous pouvez obtenir des informations concernant d'éventuels conflits en cliquant sur le symbole correspondant (un triangle avec un point d'exclamation) dans la barre d'outils.
  2. Sélectionnez un groupe ou un niveau d'équipements.
  3. Ajoutez le nouveau groupe à la liste affichée dans la partie inférieure de la boîte de dialogue en cliquant sur le bouton Ajouter.

    Remarque :

    • Les sous-groupes ne sont pas ajoutés automatiquement.
    • Vous pouvez sélectionner autant de groupes que vous le souhaitez.

Supprimer un groupe du modèle

Pour supprimer un groupe d'un modèle :

  1. Sélectionnez les éléments souhaités dans la liste affichée dans la partie inférieure de la boîte de dialogue (les sélections multiples sont autorisées).
  2. Cliquez sur le bouton Supprimer.

Remarque : les modifications apportées à un élément dans l'arborescence sont conservées, même si vous cliquez sur le bouton Annuler. Annuler signifie uniquement qu'aucun élément n'a été sélectionné.

Dans le Runtime :

Lors de l'exécution de la fonction, le paramètre configuré dans la boîte de dialogue est envoyé sous forme de requête à l'ordinateur exécutant le processus. Il est ensuite analysé.


Envoi d'un message

Manuel -> Message control -> Configuration du module Gestion des messages -> Fonctions -> Envoi d'un message

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Cette fonction autorise l'envoi de messages dans le Runtime. Pour cela, liez cette fonction à :

  • Une alarme (fonction pour un groupe, une classe ou un domaine)
  • Une valeur limite (propriété Valeurs limite/Fonction)
  • Une matrice de réaction (fonction)
  • Un contrôle de temps (via un bouton ou le module PFS)

attention Attention

Ensure that the required contact data for sending has been configured for each user.

If a user or user group is to be notified in Runtime and the data required for the sending type is not available for a user, the sending is canceled. Another attempt to send is not made.

For groups, this means: If, for example, the fourth user of a list cannot be configured correctly, the first three users of the list are notified. The process is canceled with the fourth user. They and all subsequent users on the list do not get any more notifications. There is also no attempt to notify the first three users again.

Pour configurer la fonction :

  1. Créez une nouvelle fonction.
  2. Sélectionnez la fonction Envoi d'un message dans le groupe Module Message Control.
  3. La boîte de dialogue de configuration s'affiche à l'écran :

  4. Configurer
    • Mode d'envoi
    • Message
    • Acknowledgement of receipt (Confirmation de réception)
  5. Fermez la boîte de dialogue en cliquant sur OK.
    Remarque : The entries are validated in the tabs by clicking on OK. If incorrect configurations are discovered, the user is informed by means of a message box. The user can then change the configuration or continue with the saving of the incorrect configuration.
  6. Liez la fonction.

    Si une liaison est définie avec une matrice de réaction, des contenus générés dynamiquement dans le Runtime peuvent être envoyés. Si vous souhaitez utiliser plusieurs fonctions Envoi d'un message pour une valeur limite, utilisez un script contenant ces fonctions et lié à la valeur limite.

info Informations

Dans le Runtime, la fonction Envoi d'un message est toujours exécutée sur l'ordinateur exécutant le processus.

Autres sujets abordés dans ce chapitre

Mode d'envoi

Message

Acknowledgement of receipt (Confirmation de réception)


Mode d'envoi

Manuel -> Message control -> Configuration du module Gestion des messages -> Fonctions -> Envoi d'un message -> Mode d'envoi

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Sur cet onglet, vous pouvez configurer le mode d'envoi, le destinataire et la méthode d'envoi.

Paramètre

Description

Mode d'envoi

Sélectionnez le mode d'envoi dans la liste déroulante ; Les commandes suivantes sont disponibles, selon l'état du symbole :

  • E-mail via Outlook
  • E-mail via SMTP
  • Message vocal avec fichier audio via modem
  • Message vocal Text-to-Speech via modem
  • Message SM (Via Serveur SMS)
  • SMS via modem GSM
  • Voice over IP Les fichiers audio
  • Voice over IP Text-to-Speech

Remarque : In the drop-down list, only media whose Versandart aktiv property has been activated in the Message Control Properties of the workspace are shown.

Destinataire

Paramètres du destinataire :

Type

Sélectionnez un motif de destinataire dans la liste déroulante. In doing so, the dialog to select a user or a user group is opened.
The following are available:

  • Groupe d'utilisateurs :
    envoi groupé.
    The Method option stipulates how group members are notified.
  • Utilisateur :
    Dispatch to an individual user.
  • User group with shift filter:
    Selection of a user group for the shift management. Users linked to a shift can be notified.
    Recommendation: Select infinite successive call as a method .

Configured users or user groups can be amended using the Recipient name option.

Méthode

Disponible uniquement si l'élément Groupe d'utilisateurs a été sélectionné pour l'option Type.

Sélection de la méthode d'envoi dans la liste déroulante. Méthodes disponibles :

  • Group call (Appel du groupe) :
    Tous les utilisateurs du groupe reçoivent le message simultanément.
    (Remarque : dans les versions antérieures à zenon 7.00, cette méthode est remplacée par le type d'envoi Group sending (Envoi de groupe).)
  • Successive call (Appels consécutifs) :
    le message est remis aux utilisateurs conformément à l'ordre défini pour le groupe, jusqu'à ce que le premier utilisateur effectue un acquittement positif du message. Le groupe est parcouru une seule fois. En l'absence d'acquittement positif, l'envoi est annulé.
  • Infinite successive call (Appels consécutifs infinis) :
    sur le principe, correspond à la fonction Successive call (Appels consécutifs) ; toutefois, cette fonction inclut une répétition. Après la sélection du dernier destinataire, le groupe est parcouru une nouvelle fois depuis le début. Le message est envoyé jusqu'à ce qu'il soit acquitté de manière positive par le premier destinataire.

Remarque : Ce paramètre est configuré par le biais des propriétés de projet /Nombre maximum d'essais.

Nom du destinataire

Disponible uniquement si l'option Name from variable (Nom issu de la variable) est désactivée.

Ouvre la boîte de dialogue de sélection d'un destinataire ou d'un groupe de destinataires, selon la sélection définie dans l'option Type.

Nom par une variable

Active : la variable est lue dans le Runtime, et un utilisateur ou un groupe d'utilisateurs de la fonction de gestion des utilisateurs est lu par le biais de sa valeur. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de variables.

OK

Applique toutes les modifications effectuées sur tous les onglets, puis ferme la boîte de dialogue.

La boîte de dialogue peut uniquement être fermée si toutes les options requises ont été configurées.

Annuler

Annule toutes les modifications effectuées sur tous les onglets, puis ferme la boîte de dialogue.

Aide

Ouvre l'aide en ligne.

Autres sujets abordés dans ce chapitre

Send message to user group with shift filter


Send message to user group with shift filter

Manuel -> Message control -> Configuration du module Gestion des messages -> Fonctions -> Envoi d'un message -> Mode d'envoi -> Send message to user group with shift filter

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Send message to user group with shift filter

Users that have been assigned to a shift can be notified of alarms and events automatically using the Message Control module.
Notification is configured by means of the two modules shift management and Message Control.

Remarque : Notification can only be used for configured shifts. Linking to shift models is not possible.

Configuration

To notify users:

  1. Link the desired user to the shift.
  2. Link the user to a user group.
    Ensure that, for the users who are to be notified, the Utilisateur Message Control property has been activated.
    and that the Groupe Message Control property has been activated for the user group.
  3. Stipulate, for the user group, the sequence in which the users are to be notified. Use the Ordre des utilisateurs property for this. The users are notified in the stipulated order.
  4. For Message Control, configure the recipient in the Envoi d'un message function:
    1. Open the function with the Sending Mode tab.
    2. In the Type option, select User group with shift filter.
    3. Select the user group configured for shift management as the recipient of the message.
      Note: To change the group later, select the Recipient name option.
    4. Select a method.
      Note: If group call is selected, all recipients are notified at the same time, and consecutively with following call and infinite successive call.
  5. Configure the further options for medium and dispatch.

Procédure dans le Runtime

Procedure when triggering the Envoi d'un message function:

  1. The function looks, in the user group for shift filters, for the first user who is configured for Message Control.
  2. A check is carried out to see whether this user is included in the shift that is currently active.
  3. If a user is included in an active shift, they are notified.
  4. If the user is not included, they cannot be contacted or they reject the message, the next user in the user group is searched for and compared to the current shift.
  5. This call is executed until a user confirms the message or the browsing of a group has been ended.
    If infinite successive call has been configured as a method, the search is carried out until a user confirms the message. Even if the shift has changed in the meantime or all users have already been checked once.

Example with following call:

A message is sent to a group.

  • The group contains the users User 1, User 2, User 3, User 4, User 5 and User 6, in exactly this order.
  • The Envoi d'un message function is configured with the following call method.
  • At the time of the initial sending, a shift is active with User 4, User 5 and User 6.
  • The function compares the users of the group to the users in the shift.
  • User 4 is notified first.
    If they do not react, User 5 is notified and then User 6.
  • However, at this time, the original shift has already ended and the next shift has started with User 1, User 2 and User 3.
  • Because all users are arranged in the group before User 6, no further message is now sent.

Recommandation : Select infinite successive call as a method . Then all users are contacted until one reacts. In our example, User 1 would be notified after a shift change to the new shift.


Message

Manuel -> Message control -> Configuration du module Gestion des messages -> Fonctions -> Envoi d'un message -> Message

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Sur cet onglet, vous pouvez définir le contenu du message. Les options et configurations disponibles dépendent de la sélection du mode d'envoi via l'option Sending mode (Mode d'envoi) de l'onglet Sending mode (Mode d'envoi).

Les messages sont configurés individuellement :

  • E-mail via Outlook et SMS via GSM ou passerelle SMS
  • E-mail via SMTP
  • Voice message by audio file
  • Message vocal en synthèse vocale

Vous trouverez des détails concernant la configuration des paramètres des messages au chapitre Paramètres des messages.

info Informations

Si des paramètres ou des valeurs de variables supplémentaires sont inclus dans un message, ces variables ne sont pas automatiquement connectées au niveau du driver. Si une variable n'est pas connectée au moment de l'exécution de la fonction, elle doit être connectée durant l'activité. Dans certaines circonstances (par exemple, en cas de communications série lentes avec le matériel), ceci peut provoquer des délais, car le système doit attendre que la première valeur soit fournie par le driver et puisse être analysée par la fonction.

Autres sujets abordés dans ce chapitre

E-mail via Outlook et SMS via GSM ou passerelle SMS

E-mail via SMTP

Voice message by audio file

Message vocal en synthèse vocale


E-mail via Outlook et SMS via GSM ou passerelle SMS

Manuel -> Message control -> Configuration du module Gestion des messages -> Fonctions -> Envoi d'un message -> Message -> E-mail via Outlook et SMS via GSM ou passerelle SMS

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
E-mail via Outlook et SMS via GSM ou passerelle SMS

Configuration du texte du message pour :

  • E-mail via Outlook
  • SMS via modem GSM
  • SMS via passerelle SMS

Paramètres

Description

Texte de message libre

Partie intégrante du message.

Le texte est inspecté à la recherche d'opérateurs :

  • $ : indique du texte mis en forme. Le texte est ensuite analysé à la recherche de paramètres.
  • Les composants de texte sont considérés comme des paramètres s'ils sont séparés du reste du texte par un point-virgule (;) et se terminent par un point-virgule (;).
  • Un paramètre peut être :
    - Une légende de la table de langues
    - Le nom d'une variable
    - Une entrée composée dans la table de langues.

Les paramètres peuvent être copiés depuis la liste de paramètres de texte des valeurs limite. Pour plus d'informations à ce sujet, reportez-vous au chapitre Paramètres des messages.

Text from limit value (Texte de valeur limite)

Les propriétés des paramètres supplémentaires sont issues des valeurs limite.

active

Active : Ajoute les paramètres supplémentaires de la valeur limite au texte constant. Configuration via les options :

  • de la variable
  • from penultimate variable (Depuis l'avant-dernière variable)
  • List limit value text parameters (Liste des paramètres du texte de valeur limite)

Attention : si cette option est active, seuls les dépassements de valeurs limite peuvent exécuter cette fonction.

de la variable

Les paramètres sont repris depuis la variable définie. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de variables.

from penultimate variable (Depuis l'avant-dernière variable)

Les paramètres sont repris depuis la variable dont la valeur limite a été dépassée.

List limit value text parameters (Liste des paramètres du texte de valeur limite)

Sélectionnez les paramètres dans la liste en cochant la case correspondante. L'ordre des paramètres peut être défini en effectuant un glisser-déplacer avec la souris, ou en cliquant sur les boutons Vers le haut et Vers le bas.

Split placeholders (Opérateurs distincts) :
Affiche les opérateurs pouvant être utilisés dans un texte de message libre.
Si l'option from variable (Depuis la variable) ou from penultimate variable (Depuis l'avant-dernière variable) ou la sélection de variable est modifiée, l'entrée de l'exemple. Les opérateurs peuvent être copiés.

Structure : %Variable%Paramètre; (Origine)

  • % : signe de pourcentage utilisé en tant que préfixe pour les variables et les paramètres
  • Variable : Variable. Si aucune variable n'est indiquée, le paramètre suivant désigne la variable principale.
  • Paramètre : Paramètre
  • ; : le point-virgule termine la chaîne.
  • Origine : informations uniquement ; non utilisable pour du texte libre. Indique les variables pouvant être utilisées pour le paramètre :
    Variable principale via valeur limite
    Variable principale via AML
    Variable supplémentaire via la valeur limite ou la liste AML

Pour plus de détails, reportez-vous aux chapitres Paramètres des messages et Paramètres des textes de valeur limite.

Si des paramètres non valides sont utilisés, un message d'erreur correspondant est affiché dans le message :
Paramètre non valide : Paramètres >

Déplacer l'entrée sélectionnée vers le haut

Remonte l'élément sélectionné d'une place.

Déplacer l'entrée sélectionnée vers le bas

Abaisse l'élément sélectionné d'une place.

Afficher cette boîte de dialogue dans le Runtime

Active : Ouvrez cette boîte de dialogue dans le Runtime avant d'exécuter la fonction.

Attention - Comportement dans le Runtime :

  • Dans le Runtime, cette fonction est toujours exécutée sur l'ordinateur exécutant le processus. Si la fonction est démarrée sur un client, la boîte de dialogue est affichée sur l'ordinateur exécutant le processus.
  • Si aucune entrée n'est effectuée, la boîte de dialogue est automatiquement fermée 30 secondes plus tard, et la fonction est exécutée.
  • Si la boîte de dialogue est modifiée et fermée en cliquant sur OK, les modifications sont enregistrées et la fonction est exécutée.
  • Si la boîte de dialogue est fermée en cliquant sur Annuler, aucun message n'est envoyé. Le procédé est consigné dans la liste CEL, à condition que pour la propriété Enregistrer dans liste d'événements, l'une des entrées Toutes les confirmations ou Uniquement les confirmations négatives ait été sélectionnée.

OK

Applique toutes les modifications effectuées sur tous les onglets, puis ferme la boîte de dialogue.

La boîte de dialogue peut uniquement être fermée si toutes les options requises ont été configurées.

Annuler

Annule toutes les modifications effectuées sur tous les onglets, puis ferme la boîte de dialogue.

Aide

Ouvre l'aide en ligne.


E-mail via SMTP

E-mail via SMTP

E-mail via SMTP

Configuration du texte du message pour :

  • E-mail via SMTP

Paramètres

Description

Texte de message libre

Partie intégrante du message.

Le texte est inspecté à la recherche d'opérateurs :

  • $ : indique du texte mis en forme. Le texte est ensuite analysé à la recherche de paramètres.
  • Les composants de texte sont considérés comme des paramètres s'ils sont séparés du reste du texte par un point-virgule (;) et se terminent par un point-virgule (;).
  • Un paramètre peut être :
    - Une légende de la table de langues
    - Le nom d'une variable
    - Une entrée composée dans la table de langues.

Les paramètres peuvent être copiés depuis la liste de paramètres de texte des valeurs limite. Pour plus d'informations à ce sujet, reportez-vous au chapitre Paramètres des messages.

Annexes

Configuration d'une pièce jointe à l'e-mail. Des captures d'écran peuvent être envoyées en pièce jointe. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de fichiers. Le fichier doit être déposé dans le nœud Fichiers/Éléments graphiques.

Lors de l'envoi du message, le fichier sélectionné sera ajouté en pièce jointe à l'e-mail.

Remarque : Pour envoyer des fichiers depuis d'autres dossiers contenant les informations du dossier souhaité, sélectionnez l'option Depuis variable.

Issu de la variable

Active : Sélectionnez une variable de chaîne. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de variables.

La valeur des variables de chaîne est lue dans le Runtime et le contenu est analysé. Le chemin de l'annexe est défini en fonction de l'analyse :

  • Chemin absolu : le chemin est utilisé sans modification
  • Pas de chemin absolu : la valeur des variables de chaîne est ajoutée au chemin d'accès du dossier des éléments graphiques de zenon

Lors de la configuration du chemin, aucune vérification n'est effectuée pour déterminer l'extension du fichier. Par conséquent, AUCUNE VÉRIFICATION N'EST EFFECTUÉE POUR DÉTERMINER L'EXPANSION DU FICHIER. Les variables peuvent recevoir des fichiers de différents formats issus du chemin d'accès à la pièce jointe, et en particulier des documents PDF et Office provenant de n'importe quel chemin d'accès.

Text from limit value (Texte de valeur limite)

Les propriétés des paramètres supplémentaires sont issues des valeurs limite.

active

Active : Ajoute les paramètres supplémentaires de la valeur limite au texte constant. Configuration via les options :

  • de la variable
  • from penultimate variable (Depuis l'avant-dernière variable)
  • List limit value text parameters (Liste des paramètres du texte de valeur limite)

Attention : si cette option est active, seuls les dépassements de valeurs limite peuvent exécuter cette fonction.

de la variable

Les paramètres sont repris depuis la variable définie. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de variables.

from penultimate variable (Depuis l'avant-dernière variable)

Les paramètres sont repris depuis la variable dont la valeur limite a été dépassée.

List limit value text parameters (Liste des paramètres du texte de valeur limite)

Sélectionnez les paramètres dans la liste en cochant la case correspondante. L'ordre des paramètres peut être défini en effectuant un glisser-déplacer avec la souris, ou en cliquant sur les boutons Vers le haut et Vers le bas.

Split placeholders (Opérateurs distincts) :
Affiche les opérateurs pouvant être utilisés dans un texte de message libre.
Si l'option from variable (Depuis la variable) ou from penultimate variable (Depuis l'avant-dernière variable) ou la sélection de variable est modifiée, l'entrée de l'exemple. Les opérateurs peuvent être copiés.

Structure : %Variable%Paramètre; (Origine)

  • % : signe de pourcentage utilisé en tant que préfixe pour les variables et les paramètres
  • Variable : Variable. Si aucune variable n'est indiquée, le paramètre suivant désigne la variable principale.
  • Paramètre : Paramètre
  • ; : le point-virgule termine la chaîne.
  • Origine : informations uniquement ; non utilisable pour du texte libre. Indique les variables pouvant être utilisées pour le paramètre :
    Variable principale via valeur limite
    Variable principale via AML
    Variable supplémentaire via la valeur limite ou la liste AML

Pour plus de détails, reportez-vous aux chapitres Paramètres des messages et Paramètres des textes de valeur limite.

Si des paramètres non valides sont utilisés, un message d'erreur correspondant est affiché dans le message :
Paramètre non valide : Paramètres >

Déplacer l'entrée sélectionnée vers le haut

Remonte l'élément sélectionné d'une place.

Déplacer l'entrée sélectionnée vers le bas

Abaisse l'élément sélectionné d'une place.

Afficher cette boîte de dialogue dans le Runtime

Active : Ouvrez cette boîte de dialogue dans le Runtime avant d'exécuter la fonction.

Attention - Comportement dans le Runtime :

  • Dans le Runtime, cette fonction est toujours exécutée sur l'ordinateur exécutant le processus. Si la fonction est démarrée sur un client, la boîte de dialogue est affichée sur l'ordinateur exécutant le processus.
  • Si aucune entrée n'est effectuée, la boîte de dialogue est automatiquement fermée 30 secondes plus tard, et la fonction est exécutée.
  • Si la boîte de dialogue est modifiée et fermée en cliquant sur OK, les modifications sont enregistrées et la fonction est exécutée.
  • Si la boîte de dialogue est fermée en cliquant sur Annuler, aucun message n'est envoyé. Ce procédé est consigné dans la liste CEL, à condition que pour la propriété Entrées de la liste CEL, l'une des options Toutes les confirmations ou Uniquement les confirmations négatives ait été sélectionnée.

OK

Applique toutes les modifications effectuées sur tous les onglets, puis ferme la boîte de dialogue.

La boîte de dialogue peut uniquement être fermée si toutes les options requises ont été configurées.

Annuler

Annule toutes les modifications effectuées sur tous les onglets, puis ferme la boîte de dialogue.

Aide

Ouvre l'aide en ligne.


Voice message by audio file

Voice message by audio file

Configuration of the message text for voice messages via audio file using:

  • Modem
    or
  • VoIP

Paramètres

Description

Description

Select the file that contains the description of the message.

Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de fichiers. Le fichier doit être déposé dans le nœud Fichiers/Multimédia.

Vous pouvez lire le fichier pour le tester en cliquant sur le bouton Lecture.

Acquittement

Select the file that contains the text for the message if the description is confirmed positively.

Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de fichiers. Le fichier doit être déposé dans le nœud Fichiers/Multimédia.

Vous pouvez lire le fichier pour le tester en cliquant sur le bouton Lecture.

Erreur de saisie

Sélectionnez le fichier contenant le texte lu en cas de saisie incorrecte par le destinataire.

Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de fichiers. Le fichier doit être déposé dans le nœud Fichiers/Multimédia.

Vous pouvez lire le fichier pour le tester en cliquant sur le bouton Lecture.

Afficher cette boite de dialogue dans le Runtime

Active : Ouvrez cette boîte de dialogue dans le Runtime avant d'exécuter la fonction.

Attention - comportement dans le Runtime :

  • Dans le Runtime, cette fonction est toujours exécutée sur l'ordinateur exécutant le processus. Si la fonction est démarrée sur un client, la boîte de dialogue est affichée sur l'ordinateur exécutant le processus.
  • Si aucune entrée n'est effectuée, la boîte de dialogue est automatiquement fermée 30 secondes plus tard, et la fonction est exécutée.
  • Si la boîte de dialogue est modifiée et fermée en cliquant sur OK, les modifications sont enregistrées et la fonction est exécutée.
  • Si la boîte de dialogue est fermée en cliquant sur Annuler, aucun message n'est envoyé. Ce procédé est consigné dans la liste CEL, à condition que pour la propriété Entrées de la liste CEL, l'une des options Toutes les confirmations ou Uniquement les confirmations négatives ait été sélectionnée.

OK

Applique toutes les modifications effectuées sur tous les onglets, puis ferme la boîte de dialogue.

Remarque : The entries are validated in the tabs by clicking on OK. If incorrect configurations are discovered, the user is informed by means of a message box. The user can then change the configuration or continue with the saving of the incorrect configuration.

Annuler

Annule toutes les modifications effectuées sur tous les onglets, puis ferme la boîte de dialogue.

Aide

Ouvre l'aide en ligne.


Message vocal en synthèse vocale

Manuel -> Message control -> Configuration du module Gestion des messages -> Fonctions -> Envoi d'un message -> Message -> Message vocal en synthèse vocale

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Message vocal en synthèse vocale

Configuration of the message text for voice messages via text-to-speech using:

  • Modem
    or
  • VoIP

Paramètre

Description

Description

Saisissez le texte à diffuser en tant que message via le moteur Text-to-Speech.

The text can be entered as free message text. It can also contain dynamic components. La configuration de ces éléments se déroule de la même manière que celle des textes dynamiques.

Vous pouvez lire le texte pour le tester en cliquant sur le bouton Lecture.

Acknowledgment

Enter the text to be displayed as a message if, on positive confirmation of the description, playback is to be via the Text-to-Speech engine.

The text can be entered as free message text. It can also contain dynamic components. La configuration de ces éléments se déroule de la même manière que celle des textes dynamiques.

Vous pouvez lire le texte pour le tester en cliquant sur le bouton Lecture.

Erreur de saisie

Enter the text that is to be played back via the Text-to-Speech engine in the event of incorrect entries.

The text can be entered as free message text. It can also contain dynamic components. La configuration de ces éléments se déroule de la même manière que celle des textes dynamiques.

Vous pouvez lire le texte pour le tester en cliquant sur le bouton Lecture.

Afficher cette boite de dialogue dans le Runtime
  • Active : Ouvrez cette boîte de dialogue dans le Runtime avant d'exécuter la fonction.

Attention : Comportement dans le Runtime

Note the following when calling up this dialog in Runtime:

  • Dans le Runtime, cette fonction est toujours exécutée sur l'ordinateur exécutant le processus. Si la fonction est démarrée sur un client, la boîte de dialogue est affichée sur l'ordinateur exécutant le processus.
  • Si aucune entrée n'est effectuée, la boîte de dialogue est automatiquement fermée 30 secondes plus tard, et la fonction est exécutée.
  • Si la boîte de dialogue est modifiée et fermée en cliquant sur OK, les modifications sont enregistrées et la fonction est exécutée.
  • Si la boîte de dialogue est fermée en cliquant sur Annuler, aucun message n'est envoyé. Le procédé est consigné dans la liste CEL, à condition que pour la propriété Enregistrer dans liste d'événements, l'une des entrées Toutes les confirmations ou Uniquement les confirmations négatives ait été sélectionnée. (groupe de propriété Paramètres spécifiques au projet).

OK

Applique toutes les modifications effectuées sur tous les onglets, puis ferme la boîte de dialogue.

Remarque : The entries are validated in the tabs by clicking on OK. If incorrect configurations are discovered, the user is informed by means of a message box. The user can then change the configuration or continue with the saving of the incorrect configuration.

Annuler

Annule toutes les modifications effectuées sur tous les onglets, puis ferme la boîte de dialogue.

Aide

Ouvre l'aide en ligne.


Acknowledgement of receipt (Confirmation de réception)

Manuel -> Message control -> Configuration du module Gestion des messages -> Fonctions -> Envoi d'un message -> Acknowledgement of receipt (Confirmation de réception)

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Sur cet onglet, les confirmations demandées et la réponse à ces dernières sont définies.

attention Attention

Les messages transmis de manière synchrone (message en synthèse vocale via modem et message vocal avec fichier audio via modem ) peuvent uniquement être confirmés de manière synchrone via le moyen de transmission correspondant. L'utilisation d'autres méthodes de transmission pour la communication (par exemple, e-mail ou SMS) n'est pas possible. Le message doit être acquitté immédiatement, via la connexion existante.

Paramètres d'acquittement

Paramètre

Description

Acknowledgement of receipt (Confirmation de réception)

Paramètres de confirmation de réception.

Acquittement nécessaire

Active : Le message est uniquement supprimé de la file d'attente des messages si, dans le délai d'attente défini, une confirmation de réception a été reçue, ou si le délai d'attente a expiré.

Pour les messages vocaux, cette option est toujours active et ne peut pas être désactivée.

Waiting period (Délai d'attente)

Délai d'attente, en minutes, durant lequel la réception doit être confirmée avant que le message soit transmis à un destinataire de remplacement.

Par défaut : 5 minutes

Acquitement des codes

Paramètres relatifs aux codes de confirmation.

Utiliser des codes spécifiques aux messages

Inactive : les codes définis dans les propriétés de la gestion des utilisateurs pour Utilisateur Message Control/Code PIN et Utilisateur Message Control/Code NA sont utilisés.

Active : les codes définis dans les options suivantes Code PIN et Code NA sont utilisés à des fins de confirmation.

Code PIN

Code individuel de confirmation du message.

Code NA

Code individuel de refus du message.

fonction auto

Sélection de fonctions devant être exécutées après acquittement, refus ou absence d'acquittement d'un message.

En cas de confirmation

Fonctions exécutées en cas de confirmation du message.

Cliquez sur le bouton Select (Sélectionner) pour ouvrir la boîte de dialogue de sélection de fonctions.

En l'absence de confirmation

Fonctions exécutées en l'absence de réponse au message.

Cliquez sur le bouton Select (Sélectionner) pour ouvrir la boîte de dialogue de sélection de fonctions.

En cas de confirmation négative

Fonctions exécutées en cas de refus de réception du message.

Cliquez sur le bouton Select (Sélectionner) pour ouvrir la boîte de dialogue de sélection de fonctions.

OK

Applique toutes les modifications effectuées sur tous les onglets, puis ferme la boîte de dialogue.

La boîte de dialogue peut uniquement être fermée si toutes les options requises ont été configurées.

Annuler

Annule toutes les modifications effectuées sur tous les onglets, puis ferme la boîte de dialogue.

Aide

Ouvre l'aide en ligne.

Configuration de la confirmation de réception par‑E-mail

ors de l'interprétation des confirmations de réception par e-mail,‑les 3 premiers caractères de la ligne d'objet sont ignorés.

Arrière-plan : Les confirmations de réception commencent généralement par RE:, etc. Si les messages envoyés sont collectés dans le même dossier que les messages reçus, il est impératif d'éviter tout message envoyé susceptible d'être interprété comme une confirmation de réception reçue. Pour cela, on suppose que les confirmations de réception diffèrent des messages envoyés par leurs 3 premiers caractères.

Configuration : L'objet d'une confirmation de réception doit commencer par 3 caractères au choix.


Envoi de messages : activer

Manuel -> Message control -> Configuration du module Gestion des messages -> Fonctions -> Envoi de messages : activer

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Cette fonction active le module Gestion des messages pour le projet dans lequel se trouve la fonction. Lorsque la fonction est exécutée, le projet est connecté dans le module Gestion des messages. Dès cet instant, les messages sont créés et transmis.

Pour configurer la fonction :

  1. Créez une nouvelle fonction
  2. Dans le groupe Gestion des messages, sélectionnez la fonction Envoi de messages : activer
  3. La fonction est créée

Remarque : pour connecter un projet de manière sécurisée au démarrage du Runtime, activez la propriété Actif lors du démarrage du runtime dans le groupe de propriétés Paramètres spécifiques au projet pour le module Gestion des messages.


Envoi de messages : désactiver

Manuel -> Message control -> Configuration du module Gestion des messages -> Fonctions -> Envoi de messages : désactiver

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Cette fonction désactive le module Gestion des messages pour le projet dans lequel se trouve la fonction. Lorsque la fonction est appelée, tous les messages de ce projet sont supprimés de la file d'attente de messages, et le projet est déconnecté du module Gestion des messages. La file d'attente de messages du projet est ensuite vidée. Tant que le module Gestion des messages est désactivé pour un projet, aucun nouveau message ne peut être créé ou transmis.

Pour configurer la fonction :

  1. Créez une nouvelle fonction
  2. Dans le groupe Gestion des messages, sélectionnez la fonction Envoi de messages : désactiver
  3. La fonction est créée


Paramètres des messages

Manuel -> Message control -> Configuration du module Gestion des messages -> Paramètres des messages

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Le texte des messages peut être configuré de manière dynamique. Il est recherché entre des opérateurs avant l'envoi, puis évalué. Les caractères de contrôle sont identifiés durant ce processus. Ceci s'applique aux figures suivantes :

  • E-mail via Outlook et SMS via GSM ou passerelle SMS
  • E-mail via SMTP
  • Message vocal en synthèse vocale via un modem sur VoIP
  • la propriété Partie dynamique du sujet :

Création d'un message

  • Les sections de texte sont séparées par un point-virgule (;),
  • $ désigne le texte contenant le paramètre.
  • Un paramètre peut :
    • Être un élément issu de la table de langues, par exemple @MyText;
    • Être lié à une variable, lors de l'exécution de la fonction via la liste AML ou en cas de dépassement d'une valeur limite, par exemple %Var1;
    • Être une entrée compilée dans la table de langues, par exemple %@Var2+MultipleText
  • @ désigne le changement de langue
  • % désigne les variables
  • %% désigne les paramètres de texte de valeur limite pour les variables

    Une variable peut être déclarée entre les deux signes de pourcentage.
    Si aucune variable n'est spécifiée, la valeur concerne la variable principale.

    • Les messages se terminent par un point-virgule (;).

Des paramètres partiellement différents sont disponibles pour la variable principale, la variable supplémentaire et en fonction de l'appel de fonction.

Attention : si des variables supplémentaires sont ajoutées avec un opérateur, ces variables doivent d'abord être enregistrées et lues, si elles ne sont pas enregistrées au point d'exécution de la fonction. L'envoi est alors retardé. C'est pourquoi les variables supplémentaires doivent uniquement être utilisées avec précaution.

Liste de textes de paramètres

Paramètres

Dans le Runtime :

Action

Légende :

@MyText

Une vérification est effectuée afin de déterminer si une entrée dans @MyText est présente dans la table de langues pour la langue actuelle.
  • Si elle existe : l'entrée est ajoutée au message.
  • Si elle n'existe pas : selon les paramètres des propriétés Montrer les mots-clé non-traduits du projet, la chaîne @MyText ou MyText est ajoutée au message.

Variable :

%Var1%

Le programme vérifie si la variable existe et si la valeur peut être lue.
  • Si elle existe : la valeur de la variable est prise et ajoutée sous forme de chaîne au texte.
  • Si elle n'existe pas ou n'est pas lisible : le texte xxx est ajouté au message.

Entrée composée :

@StringTable+%var1Text

Le programme vérifie si :

  • 1. La variable existe et la valeur peut être lue. La valeur est ajoutée au texte de préfixe ("MultipleText") sous forme de chaîne.
  • 2. Une entrée existe dans la table de langues pour le texte.
  • La variable et le texte existent :
    l'entrée est ajoutée au message.
    Exemple : La valeur de la variable est 33. La chaîne @StringTable33 est ensuite recherchée dans la table de langues, et le texte correspondant est ajouté.
  • Si elle n'existe pas : selon les paramètres des propriétés Montrer les mots-clé non-traduits du projet, la chaîne @MyText ou MyText est ajoutée au message.

Exemple : $@Attention ;%Var1%Name;

Autres sujets abordés dans ce chapitre

Texte de valeur limite et texte libre


Texte de valeur limite et texte libre

Manuel -> Message control -> Configuration du module Gestion des messages -> Paramètres des messages -> Texte de valeur limite et texte libre

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Messages can be configured with free text. This can also contain texts from limit values and dynamic text elements. Not all dispatch types in Message Control support texts from limit values. However all texts with dynamic elements can be added to.

Configuration du texte de valeur limite

Pour lier des valeurs limite :

  1. Dans l'onglet Message, activez l'option Texte de valeur limite actif (fonction Envoi d'un message de Message Control).
    Remarque : This option is not available for all dispatch types. In this case, configure the option Free message text with dynamic text elements. Configuration du texte du message libre :
  2. Activez l'option En cas de dépassement de valeur d'une variable.
  3. Cochez les cases correspondant aux valeurs souhaitées.
    Pour les paramètres, reportez-vous à la section Liste des paramètres de texte de valeur limite.
  4. Ordonnez les paramètres sélectionnés en effectuant un glisser-déposer (Drag&Drop) ou en vous servant des boutons correspondants.
  5. Assurez-vous que le dépassement de la valeur limite déclenche l'exécution de la fonction.

Configuration du texte du message libre :

Structure

$FreeText;%Variable%Text;

Signe de début -> texte libre entre points-virgules -> contient les paramètres avec le signe %%

  • Signe de début : $
    les paramètres sont pris en compte dans le texte libre
  • Texte libre : inséré entre des points-virgules (;)
  • Préfixe des paramètres de texte de valeur limite : 2 signes de pourcentage (%% ou % nom de la variable %)

    Si aucune variable n'est indiquée, le paramètre suivant désigne la variable principale.

  • Fin de la séquence de caractères : Points-virgules (;)

Exemple

$Text Message Control ;%%Name; Text ;%%LimitText; Text ;%Master%VariableStatus ;Text;

  • $: Début du message avec texte du premier message
  • %%Name: Nom de la variable présentant un dépassement de valeur et texte
  • %%LimitText: Texte de valeur limite de la variable présentant un dépassement de valeur et texte
  • %Master%VariableStatus: État de la variable Master et texte

Remarque : Insérez un espace devant le séparateur. Les blocs individuels sont ensuite séparés correctement par un espace.

List limit value text parameters (Liste des paramètres du texte de valeur limite)

Paramètres | Variable principale - Activation par le biais d'une valeur limite | Variable principale - Activation via la liste AML | Variable supplémentaire de type liste AML/valeur limite
%%Name (Nom de variable) | Nom de la variable, correspond à la propriété Nom. | Nom de la variable, correspond à la propriété Nom. | Nom de la variable, correspond à la propriété Nom.
%%Identification (Identification) | Description de la variable, correspond à la propriété Identification. | Description de la variable, correspond à la propriété Identification. | Description de la variable, correspond à la propriété Identification.
%%LimitText (Texte de valeur limite) | Texte de valeur limite de l'objet alarme, avec interprétation du texte de valeur limite dynamique. | Texte de valeur limite de l'objet alarme, avec interprétation du texte de valeur limite dynamique. | État du texte tel qu'il est défini dans la propriété Texte valeur limite.
%%MessageCreateTimeStamp (Horodatage du message) | Heure de création du message. (Heure d'activation de la fonction, pas du dépassement de limite ou de l'envoi). | Heure de création du message. (Heure d'activation de la fonction, pas du dépassement de limite ou de l'envoi). | Heure de création du message. (Heure d'activation de la fonction, pas du dépassement de limite ou de l'envoi).
%%ResourceLabel (Identification de l'intitulé de ressource) | Texte de l'identification d'intitulé de ressource de la variable ; correspond à la propriété Description externe. | Texte de l'identification d'intitulé de ressource de la variable ; correspond à la propriété Description externe. | Texte de l'identification d'intitulé de ressource de la variable ; correspond à la propriété Description externe.
%%LimitTimeReceived (Heure de création de l'alarme) | Horodatage de l'objet alarme. | Horodatage de l'objet alarme. | -
%% (Valeur actuelle) | Pas de paramètre. Valeur de la variable lors de l'activation de la fonction (sans unité). | Pas de paramètre. Valeur de la variable lors de l'activation de la fonction (sans unité). | Pas de paramètre. Valeur de la variable lors de l'activation de la fonction (sans unité).
%%VariableStatus (État) | État de la variable en tant que chaîne (lors de l'activation de la fonction). | État de la variable en tant que chaîne (lors de l'activation de la fonction). | État de la variable en tant que chaîne (lors de l'activation de la fonction).
%%VariableTimeStamp (Horodatage de la variable) | Horodatage de la variable (lors de l'activation de la fonction). | Horodatage de la variable (lors de l'activation de la fonction). | Horodatage de la variable (lors de l'activation de la fonction).
%%MessageTimeAcknowledge (Temps restant pour la confirmation) | Temps restant pour la confirmation, en minutes. Disponible uniquement si la fonction de confirmation de réception demandée a été activée. | Temps restant pour la confirmation, en minutes. Disponible uniquement si la fonction de confirmation de réception demandée a été activée. | Temps restant pour la confirmation, en minutes. Disponible uniquement si la fonction de confirmation de réception demandée a été activée.
%%Address (Adresse) | Adresse. | Adresse. | Adresse.
%%Unit Unité de mesure : | Unité technique, conformément à la propriété Unité de mesure. | Unité technique, conformément à la propriété Unité de mesure. | Unité technique, conformément à la propriété Unité de mesure.
%%AlarmArea (Domaine d'alarme) | Domaine d'alarme de la variable principale. | Domaine d'alarme de la variable principale. | Domaine d'alarme de la variable supplémentaire.
%%LimitTimeAcknowledged (Heure d'acquittement de l'alarme) | -- | Horodatage de l'objet alarme. | --
%%UserId (Identification utilisateur) | -- | Identification de l'utilisateur ayant démarré l'action. Conforme à la propriété Identifiant utilisateur. | --
%%UserName (Nom d'utilisateur) | -- | Nom complet de l'utilisateur ayant démarré l'action. Conforme à la propriété Nom complet. | --
%%ComputerName (Nom de l'ordinateur) | -- | Nom de l'ordinateur sur lequel a été démarrée l'action. | --
%%Comment (Commentaire) | -- | Commentaire de l'objet alarme. | --
%%AlarmGroup (Groupe d'alarmes/d'événements) | Groupe d'alarmes/d'événements de l'objet alarme (sous forme de texte). | Groupe d'alarmes/d'événements de l'objet alarme (sous forme de texte). | Groupe d'alarmes/d'événements de l'objet alarme (sous forme de texte).
%%AlarmClass (Classe d'alarmes/d'événements) | Classe d'alarmes/d'événements de l'objet alarme (sous forme de texte). | Classe d'alarmes/d'événements de l'objet alarme (sous forme de texte). | Classe d'alarmes/d'événements de l'objet alarme (sous forme de texte).
%%AlarmTimeActive (Durée d'activité de l'alarme) | -- | Durée pendant laquelle l'alarme est restée active. | --

Gestion des erreurs

Si des paramètres non valides sont utilisés, un message d'erreur correspondant est affiché dans le message :
Paramètre non valide : Paramètres >

Ce texte peut être modifié et traduit avec la fonction de changement de langue. Pour cela, deux mots-clé doivent être créés :

  • <Paramètre non valide :
  • >

Si les paramètres sont utilisés dans un contexte incorrect, ou si un paramètre ne peut pas être lu (par exemple, parce qu'une variable n'existe pas), la chaîne IDS_STRING2501 (---) est ajoutée au message, à la place de la valeur. Ce texte peut être modifié et traduit avec la fonction de changement de langue.


Gestion des messages dans le Runtime

Manuel -> Message control -> Gestion des messages dans le Runtime

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Dans le Runtime, le module Gestion des messages est démarré automatiquement (propriété Actif lors du démarrage du runtime active) ou par la fonction Envoi d'un message : activé.

Si le module Gestion des messages est actif et un événement défini pour l'envoi d'un message se produit :

  • Un message configuré à cette fin est envoyé
  • Son acquittement est analysé
  • Les fonctions associées à l'acquittement sont exécutées

attention Attention

Durant l'analyse des messages dans le dossier d'e-mails, tous les messages comportant une ligne d'objet correspondante sont analysés, et leur état est défini sur "lu". Si d'autres messages sont reçus dans la boîte de réception du module Gestion des messages, ils peuvent également être définis comme "lus".

Gestion dans le Runtime

La file d'attente des messages peut être gérée à l'aide d'un synoptique de type Gestion des messages.

Le module Gestion des messages peut être fermé lors de la fermeture du Runtime, ou par la fonction Envoi d'un message : désactivé.

Horodatage dans la liste d'alarmes et le module Gestion des messages

Lorsque la fonction Envoi d'un message est activée, une copie de l'objet alarme est transmise à la fonction. Le texte du message est créé et traduit lors de l'activation de la fonction. Si la fonction est activée par le biais de la liste AML, elle utilise une copie de l'objet alarme de la liste AML. Ainsi, le contenu correspond toujours à l'association actuelle de l'état du processus et de l'état de l'alarme.

Rémanence de la file d'attente de messages

Si le Runtime est fermé normalement, une image de la file d'attente de messages actuelle est créée et enregistrée. Cette image est actualisée au démarrage du Runtime et traitée par le module Gestion des messages. Les données sont enregistrées dans un dossier appelé MessageRT_Image.bin. Les données suivantes sont enregistrées :

  • Messages actuels dans la file d'attente
  • Groupes d'alarmes supprimés
  • Classes d'alarmes supprimées
  • Domaines supprimés
  • Suppressed equipment (Équipements supprimés)

Réseau

Vous trouverez d'autres informations concernant le comportement sur le réseau au chapitre Réseau.

Acquittement

Chaque message peut être clairement identifié au moyen d'un GUID. Selon les supports et le mode d'envoi configurés, les messages peuvent également être acquittés par d'autres moyens. Pour plus d'informations concernant l'acquittement des messages, reportez-vous au chapitre Acquittement de messages.

Changement de langue

La langue des textes des messages peut être entièrement changée. Pour cela, les éléments suivants seront analysés :

  • Le champ Constante de texte
  • Le paramètre Dynamic Limit value Text (Texte de valeur limite dynamique)
  • Texte de valeur limite défini pour une valeur limite dans la liste AML/CEL

La langue des colonnes pouvant être sélectionnées dans un synoptique de type Gestion des messages peut être changée, si les colonnes sont configurées de manière correspondante.

Autres sujets abordés dans ce chapitre

Connexion d'un synoptique de type Gestion des messages

Acquittement de messages

Messages d'erreur dans le Runtime

Réseau

Voice message process


Connexion d'un synoptique de type Gestion des messages

Manuel -> Message control -> Gestion des messages dans le Runtime -> Connexion d'un synoptique de type Gestion des messages

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Le synoptique de type Gestion des messages réalise une copie de la file d'attente de messages actuelle et des éléments de contrôle d'analyse et de filtre disponibles dans le Runtime. Le contenu des éléments affichés dans le champ Liste de messages correspond à l'heure de connexion du synoptique, et n'est pas mis à jour automatiquement. L'affichage peut être actualisé à tout instant en cliquant sur le bouton Mise à jour. Le bouton Stop/Continuer autorise des mises à jour cycliques. Un champ de texte indique l'heure de la dernière mise à jour.

La liste de messages contient les messages :

  • En attente d'envoi
  • En cours d'envoi
  • Déjà envoyés
  • Déjà confirmés
  • Supprimés

Les groupes, classes, domaines et équipements dont les alarmes ne sont pas affichées dans la liste sont présentées dans des champs de liste distincts.

Les colonnes de la liste de messages peuvent être configurées individuellement (reportez-vous à la section Filtre) et peuvent être définies sans en-têtes de colonnes individuels. Ces intitulés sont localisables.

Insérer un modèle

Éléments de contrôle | Description
Insérer un modèle | Ouvre la boîte de dialogue de sélection de modèle pour le type de synoptique correspondant. Des modèles sont fournis avec zenon, et peuvent également être créés par l’utilisateur. Modèles ajoutent des éléments de contrôle prédéfinis à des positions prédéfinies sur le synoptique. Les éléments qui ne sont pas nécessaires peuvent également être supprimés individuellement après leur création. Les éléments supplémentaires peuvent être sélectionnés dans la liste déroulante, puis insérés dans le synoptique zenon. Les éléments peuvent être déplacés et disposés individuellement sur le synoptique.

Fenêtre

Listes et champs pouvant être affichés dans le Runtime.

Éléments de contrôle | Description
Queue des messages | Liste de messages. Contient les messages envoyés, confirmés ou supprimés ou en attente d'envoi. Les messages sont uniquement affichés, et ne peuvent plus être modifiés. Les en-têtes de colonnes peuvent être définis individuellement et peuvent être localisés lors d'un changement de langue s'ils sont précédés du signe @.
Nombre de messages | Nombre de messages actuellement existants.
Dernière mise à jour | Heure de la dernière mise à jour.
Suppressed alarm/event groups (Groupes d'alarmes/d'événements supprimés) | Groupes d'alarmes/d'événements pour lesquels des messages ont été supprimés, et dont les alarmes ne sont donc pas affichées dans la file d'attente de messages.
Suppressed alarm/event classes (Classes d'alarmes/d'événements supprimées) | Classes d'alarmes/d'événements pour lesquelles des messages ont été supprimés, et dont les alarmes ne sont donc pas affichées dans la file d'attente de messages.
Suppressed alarm/event areas (Domaines d'alarmes/d'événements supprimés) | Domaines d'alarmes/d'événements pour lesquels des messages ont été supprimés, et dont les alarmes ne sont donc pas affichées dans la file d'attente de messages.
Équipements supprimés | Équipements pour lesquels des messages ont été supprimés, et dont les alarmes ne sont donc pas affichées dans la file d'attente de messages.

Fonctions de la liste

Éléments de contrôle de la liste.

Éléments de contrôle

Description

Filtre

Ouvre une boîte de dialogue de configuration des filtres pour la vue.

Supprimer

Supprime l'entrée sélectionnée de la liste. Il est uniquement possible de supprimer les messages qui n'ont pas encore été envoyés.

Recharger

Actualise l’affichage. Les données actuelles sont chargées sur le synoptique de la file d'attente de messages.

L'heure de la dernière mise à jour peut être affichée avec le champ Last update (Dernière mise à jour).

Arrêter/Reprendre

Démarre et arrête la mise à jour cyclique de la liste.

Profils de filtre

Gestion de profils

Éléments de contrôle | Description
Sélection de profil | Ouvre la boîte de dialogue permettant de sélectionner un profil.
Enregistrer | Enregistrer la configuration actuelle sous forme de profil.
Supprimer | Supprime le profil.
Importer | Ouvre la boîte de dialogue d'importation de profils depuis un fichier.
Exporter | Ouvre la boîte de dialogue d'exportation de profils depuis un fichier.


Acquittement de messages

Manuel -> Message control -> Gestion des messages dans le Runtime -> Acquittement de messages

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Les messages peuvent être confirmés ou refusés par le destinataire. Selon le support, les messages doivent être impérativement acquittés, ou leur acquittement est laissé au choix de l'utilisateur.

Support

Acquittement obligatoire

  • - : non
  • + : oui

E-mail via Outlook

-

E-mail via SMTP

-

SMS via modem GSM

-

SMS via passerelle SMS

-

Voice message by audio file

+

Message vocal en synthèse vocale

+

Si un message n'est pas acquitté, est incorrectement acquitté ou est refusé, il est transmis au destinataire de remplacement suivant. Si un sous-titre est défini, le message n'est pas renvoyé. L'état est consigné dans la liste CEL. Durant l'acquittement de messages, des fonctions liées peuvent être exécutées.

info Informations

Règles concernant les appels interrompus :

  • Si un appel est interrompu sans confirmation ou refus et l'interruption n'est pas répertoriée comme une erreur matérielle :
    • L'appel n'est pas répété pour le même destinataire
    • Si un message est envoyé à des destinataires de substitution ou à des membres du groupe n'ayant pas encore été contactés
  • Si un appel est interrompu par une erreur matérielle, l'appel adressé au même destinataire est retransmis conformément au nombre de répétitions défini dans la propriété Nombre maximum d'essais.

Configuration de la confirmation

Pour configurer la confirmation ou le refus du message :

  1. Dans la fonction Envoi de messages, ouvrez l'onglet Acknowledgement of receipt (Confirmation de réception).
  2. Cochez la case Acknowledgement required (Acquittement demandé) (toujours active pour les messages vocaux).
  3. Définissez le délai d'attente (Timeout) dans lequel le message doit être acquitté.
    Après expiration du délai d'attente, le message est transmis à la personne suivante sur la liste.
  4. Configurez les codes de confirmation (code PIN) ou de refus (code NA) comme suit :
    1. Propriétés de l’utilisateur :
      Utilisateur Message Control -> Code PIN et Code NA
      ou
    2. Dans la fonction, via :
      La case à cocher Use message-specific codes (Utiliser des codes spécifiques aux messages) -> Code PIN et Code NA

    Si des codes sont configurés par le biais des propriétés et la fonction, les codes de la fonction sont non valides.
    Conseil : si des codes sont configurés par le biais de la fonction, il est recommandé de créer une note au destinataire dans le texte du message pour lui indiquer le code à utiliser pour activer ou refuser le message.

  5. Définissez les fonctions devant être exécutées après réception du code pour indiquer que :
    1. Le message a été confirmé
    2. Le message n'a été ni confirmé, ni refusé
    3. Le message a été refusé
  6. Fermez la boîte de dialogue en cliquant sur le bouton OK.

Acquittement dans le Runtime

Durant l'envoi, chaque message devant être acquitté reçoit une identification explicite individuelle (GUID). Toutes les activités du message sont attribuées par le biais de cette identification. Si un message doit être acquitté, l'identification est automatiquement ajoutée au texte du message.

Pour acquitter un message, selon le support, le destinataire doit envoyer le numéro du message et un code PIN dans un format défini.

Il est ainsi possible également d'acquitter des messages au format texte transmis par le biais d'autres modes d'envoi que les modes configurés. Les conditions suivantes doivent en outre être vraies dans le navigateur

  • le message doit avoir été envoyé sous forme d'e-mail ou de SMS
  • La réponse doit être transmise sous forme d'e-mail ou de SMS
  • La réponse doit contenir le GUID
  • La réponse doit contenir le code d'acquittement
  • Le support utilisé pour la réponse doit être configuré

E‑Acquittement d'e-mails

L'acquittement d'un e-mail se déroule comme suit :

  • La réponse est envoyée à l'aide de la fonction Répondre du client de messagerie du destinataire.
  • Le sujet d'origine de l'e-mail ne doit pas être modifié. Ceci signifie : Les contenus définis dans Outlook dans Sujet (ID) ou, pour le protocole SMTP, dans Sujet pour les e-mails sortants ne doivent pas être modifiés. Ces contenus identifient et attribuent le message lors de sa réception dans zenon.
  • Toutefois, le sujet doit comporter au moins trois caractères en préfixe, en guise de réponse. par exemple RE: ou AW
  • Le texte de la réponse doit contenir les éléments suivants :
    • GUID: Au début du message. Aucun caractère (espaces inclus) ne doit être inséré devant.
    • Point-virgule (;) : Séparateur.
    • Texte : Code PIN ou code NA.

    Par exemple : 43d3c61d-ccc9-4c76-bc2c-61c2d12b0db3;0246

  • Dans le module de gestion des messages, les e-mails destinés au module Gestion de messages sont identifiés par leur objet.
    Attention : l'objet de la réponse doit être identifié comme une réponse. Pour cela, le programme vérifie si le message commence par au moins trois caractères tels que RE : ou AW:.
  • Le module Gestion de messages analyse le GUID et le code, et exécute ensuite les fonctions définies dans la fonction Envoi de messages.

Remarque : si le support SMS a été configuré, un message envoyé par e-mail peut également être acquitté par SMS.

Acquittement de SMS

L'acquittement d'un SMS se déroule comme suit :

  • La réponse est envoyée à l'aide de la fonction Répondre du téléphone de l'utilisateur.
  • Le texte de la réponse doit contenir les éléments suivants :
    • GUID: Au début du message. Aucun caractère (espaces inclus) ne doit être inséré devant.
    • Point-virgule (;) : Séparateur.
    • Texte : Code PIN ou code NA.

    Par exemple : 43d3c61d-ccc9-4c76-bc2c-61c2d12b0db3;0246

  • Le module Gestion de messages analyse le GUID et le code, et exécute ensuite les fonctions définies dans la fonction Envoi de messages.

info Informations

Les SMS envoyés à des Smartphones peuvent également être reçu et acquittés avec Notifier App by zenon . Pour cela, l'App transmet la réponse sous forme de SMS au format Alarm-ID;PIN ou Alarm-ID;NA

si le support e-mail a été configuré, un message envoyé par SMS peut également être acquitté par e-mail.

Message vocal

Les messages vocaux doivent toujours être acquittés. Un message vocal est acquitté comme suit :

  • Le téléphone du destinataire doit être compatible avec les tonalités multifréquences.
  • Le modem de réception de l'équipement doit être compatible avec les tonalités multifréquences.
  • Le message est lu au destinataire, avec une salutation et un texte de message.
  • Le destinataire acquitte le message en saisissant un code PIN ou un code NA.
  • Le destinataire peut effectuer les actions suivantes :
    • Demander la répétition d'un message :
      En appuyant sur la touche # du téléphone. Le message précédemment envoyé (salutation, message ou message d'erreur) est alors répété.
    • Réinitialiser le code envoyé :
      En appuyant sur la touche * du téléphone. Le code (PIN ou NA) précédemment envoyé par le destinataire est alors annulé. The playback of the message starts with the description again.
  • Le module Gestion de messages analyse le code, et exécute ensuite les fonctions définies dans la fonction Envoi de messages.

Remarque : les messages vocaux doivent toujours être acquittés par téléphone.


Messages d'erreur dans le Runtime

Manuel -> Message control -> Gestion des messages dans le Runtime -> Messages d'erreur dans le Runtime

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

The procedure for the sending of voice messages is as follows:

  1. Une fonction appelle la méthode d'envoi.
  2. The call is initiated by means of the VoIP-Server or the modem.

    Remarque : In the list of messages, the name of the audio file is displayed in the Message column; with sending by audio file, the message text is displayed with Text-to-Speech.

  3. Établir la connexion The connection is considered established as soon as the call to the counterparty is signaled.
    When a call is taken, it is not possible to distinguish whether the call was taken by a person or an answering machine.

    Another attempt is made if no connection can be established.
    The number of attempts corresponds to the value in the Paramètres spécifiques au projet/Nombre maximum d'essais property. The time between the attempts corresponds to the value in the Paramètres spécifiques au projet/Délai d'attente entre deux tentatives et délai d'attente avant expiration property.
    Remarque : si un message est transféré à un autre utilisateur, il est considéré comme un nouveau message. Le compteur est automatiquement réinitialisé à 1.

    Attention : The value for the project-specific Délai d'attente entre deux tentatives et délai d'attente avant expiration property must be greater than the value for the Waiting time option in the Envoi d'un message functions (Receipt Confirmation tab).

  4. If the connection cannot be established or the message is rejected with an incorrect PIN, the substitute person is notified.
    If no substitute person is configured, the call is canceled.
  5. A welcome message is played back as soon as the call is taken.

    This message can be requested again by the recipient with the # key code.

  6. The recipient reacts to the message with a confirmation or rejection. To do this, it enters the corresponding code:
    • Confirmation: Code PIN
    • Rejection: Code NA
  7. If receipt confirmation has been saved for the message functions, these are executed accordingly.

Code entry

The code is entered by DTFM. Les caractères suivants sont autorisés :

  • #: Repeat current message.
  • *: Delete entered character and start process again with welcome message.
  • Numbers (0 - 9): Entry of the 4-digit code

Only the first four sounds are interpreted when entering the code. All other DTMF key tones are ignored for PIN and NA, but lead to the message being repeated.

The entry can be corrected at any time with the * key. In doing so, all characters entered are deleted and the process is started again with the welcome message being played back.


Réseau

Manuel -> Message control -> Gestion des messages dans le Runtime -> Réseau

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Sur le réseau, la file d'attente de messages est synchronisée en permanence entre le serveur et le serveur redondant. Si de nouveaux messages sont créés sur le serveur, ces derniers sont transférés vers le serveur redondant. Durant le démarrage du serveur ou du serveur redondant, la file d'attente de messages est synchronisée avec le serveur primaire ou le serveur redondant. Puisque le serveur et le serveur redondant utilisent des ressources différentes, les messages peuvent uniquement être acquittés sur l'ordinateur d'envoi.

De la même manière, la liste d'éléments supprimés et synchronisée et enregistrée de manière rémanente.

La fonction Envoi d'un message est uniquement exécutée sur l'ordinateur exécutant le processus. L'envoi par le client n'est pas pris en charge.

Utilisateurs

Les utilisateurs peuvent être modifiés par le biais de la fonction de gestion d'utilisateurs de zenon. Pour cette raison, les utilisateurs peuvent être modifiés sur le serveur, le serveur redondant ou le client. Editing on the zenon web client is also possible.

Pas de partage de ressources

Le serveur et le serveur redondant ne doivent pas partager leurs ressources. En outre, des ressources identiques ne doivent pas être utilisées pour différents supports sur un même ordinateur. Ceci signifie :

  • E-mail (SMTP) : le serveur et le serveur redondant utilisent des comptes de messagerie différents.
  • E-mail (Outlook) : le serveur et le serveur redondant utilisent des profils Outlook différents.
  • GSM : le serveur et le serveur redondants utilisent des modems et cartes SIM différents, avec des numéros de téléphone différents.
  • Message SMS (passerelle SMS) : Le serveur et le serveur redondant utilisent différents fichiers et dossiers.
  • Message vocal : le serveur et le serveur redondant utilisent des modems et des numéros de téléphone différents.
  • Chaque ordinateur :

    Utilise un modem et un numéro de téléphone distinct pour les supports et modes d'envoi suivants :

    • SMS via GSM
    • SMS via passerelle SMS
    • Message vocal avec fichier audio
    • Message vocal en synthèse vocale

    Utilise des comptes différents pour les supports et modes d'envoi suivants :

    • Outlook
    • E-mail via SMTP

Comportement en cas de défaillance

En cas de défaillance d'un serveur, le serveur redondant renverra tous les messages dans la file d'attente ; ceux-ci devront être acquittés après avoir été mis à niveau sur le serveur. Ceci peut entraîner le double envoi de messages, mais garantit leur acquittement correct, car les messages peuvent uniquement être acquittés sur l'ordinateur expéditeur.

Après une défaillance entraînant un redémarrage de l'ordinateur, les modems GSM devront probablement être réinitialisés et leurs ports COM devront être vérifiés.


Voice message process

Manuel -> Message control -> Gestion des messages dans le Runtime -> Voice message process

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

The process when sending a voice message and when receiving the confirmation corresponds to the following diagram:

Légende :

  • Y: Oui
  • N: Non

Procédure

The process of the function can be subdivided into main processes and subprocesses.

Main processes:

  • Fonction départ Envoi d'un message
  • Text description
  • End call

Subprocesses:

  • Personne de remplacement
  • Erreur de saisie
  • Acquittement

Main processes:

Start "Send message" function:

  1. Envoi d'un message function executed
  2. Validation : Has the defined value for the Nombre maximum d'essais function been reached?

    Remarque : si un message est transféré à un autre utilisateur, il est considéré comme un nouveau message. Le compteur est automatiquement réinitialisé à 1.

    • Y: Envoi d'un message is ended.
    • N: Call is carried out.
  3. Validation : Is the call announced at the partner?
    • N: The wait time between two attempts defined in the Délai d'attente entre deux tentatives et délai d'attente avant expiration function is waited for according to the configuration. La fonction Envoi d'un messagesoit exécutée à nouveau
    • Y: There is a wait for a response.

    Attention : The value for the project-specific Délai d'attente entre deux tentatives et délai d'attente avant expiration property must be greater than the value for the Waiting time option in the Envoi d'un message functions (Receipt Confirmation tab).

  4. Validation : Has the waiting time defined in the Time-out [min] function been exceeded?
    • Y: Further with Substitute person process.
    • N: Un délai d'attente de confirmation de la propriété SBO est imposé par la commande
  5. Validation : Is the call taken?
    • N: Further with Substitute person process.
    • Y: Further with text description process.

Text description:

  1. Description is sent.
  2. Validation : Is # or * being sent by the partner?
    • Y: Description is sent.
    • N: Checking for the waiting time.
  3. Has the waiting time that was defined in the waiting time option of the Envoi d'un message function been exceeded?
    • Y: Further with End call process.
    • N: There is a wait for the entry of the PIN or NA code.
  4. Validation : Has there been a correct PIN or NA code?
    • Y Further with Confirmation process.
    • N: Further with incorrect entry process.
  5. Validation : Received code *?
    • Y: Further with text description process.
    • N: Further with End call process.

End call

  1. Validation : Has PIN been received?
    • Y: Execute linked function for PIN, if present.
    • N: Further to NA process.
  2. Validation : Has NA been received?
    • Y: Execute linked function for NA, if present.
    • N: Further to the next point No confirmation.
  3. No confirmation received: Execute linked function if present.
  4. End Envoi d'un message function.

Subprocesses

Personne de remplacement :

  • Validation : Has a substitute person been defined?
    • Y: Function for the substitute person is executed once again.
      Further with check: Has the defined value for the Nombre maximum d'essais function been reached?
    • N: Further to End call process Item 3: No confirmation received.

Erreur de saisie :

  • Validation : Entry # or number between 0 and 9?
    • N: Validation : Received code *?
    • Y: Back to checking process: Entry # or number between 0 and 9?

Confirmation:

  • Validation : Entry # or number between 0 and 9?
  • N: Validation : Received code *?
  • Y: Back to checking process: Entry # or number between 0 and 9?


Messages et traitement des erreurs

Manuel -> Message control -> Messages et traitement des erreurs

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Les messages, commentaires et erreurs peuvent être consignés et affichés avec l'application Diagnosis Viewer, dans un module distinct, [Gestion des messages]. Des informations détaillées concernant les messages sont disponibles dans la section Entrées de fichier journal.

Réseau

Le trafic réseau peut être analysé avec Wireshark. Dans le cas d'une transmission non sécurisée, toutes les commandes transmises au serveur, ainsi que les réponses, sont visibles sous forme de texte simple dans la section Capture. Dans le cas de connexions cryptées, le protocole de transfert SSL/TLS peut être consulté ; en revanche, les échanges de données des utilisateurs ne peuvent pas être consultés.

Serveur

Pour vérifier si un serveur est compatible avec certaines commandes, une session Telnet peut être établie avec le serveur.

Sous Windows 7, le client Telnet peut être installé comme suit :

  1. Ouvrez l'interface de contrôle du système.
  2. Sélectionnez Programmes et fonctionnalités.
  3. Sélectionnez Activer ou désactiver des fonctionnalités Windows.
  4. Cochez la case adjacente à l'option Client Telnet.
  5. Fermez la boîte de dialogue en cliquant sur OK.
  6. Le client Telnet est alors installé.

Dans la ligne de commande, saisissez la commande telnet [nom ou adresse IP du serveur] [port, par ex. 25 ou 110] pour ouvrir la connexion.

Serveur de messagerie

La connexion au serveur de messagerie peut être vérifiée avec un programme de client de messagerie (par exemple, Outlook). Si une connexion non cryptée est utilisée, l'analyse avec Wireshark permet d'afficher les commandes SMTP et POP3.

DNS

La résolution de noms peut être contrôlée avec un programme tel que nslookup. nslookup peut résoudre et attribuer des noms à des adresses IP, et des adresses IP à des noms. Pour cela, un serveur DNS valide doit être enregistré dans la configuration IP de l'ordinateur.

Téléphone portable

En cas de problèmes affectant des communications GSM, vous pouvez utiliser les fonctions d'analyse suivantes :

  • Serial Port Monitoring (Surveillance de port série) :
    Permet de superviser les communications entre zenon et le modem GSM.
  • HyperTerminal :
    Permet d'envoyer des commandes AT au modem.
    Microsoft HyperTerminal ou Putty (logiciel libre), par exemple.
    Remarque : HyperTerminal était fourni par Microsoft jusqu'à Windows XP uniquement. Il peut être copié manuellement pour les systèmes d'exploitation ultérieurs.

Commandes AT

Résolution des incidents liés aux commandes AT :

  1. Assurez-vous que le pilote correspondant au système d'exploitation est installé. To do this, it is preferable that you use the driver from the modem manufacturer.
  2. Assurez-vous que le pilote a été correctement installé et que le modem est prêt à fonctionner.
  3. Utilisez un logiciel du type HyperTerminal pour vous connecter au port COM du modem, Microsoft HyperTerminal ou Putty (logiciel libre), par exemple.
  4. Saisissez la commande AT AT dans la fenêtre principale du terminal.
    Le modem doit réagir avec le message OK.
  5. Testez les commandes AT ayant généré un message d'erreur dans le fichier journal. Notez les éventuelles réactions du modem (par exemple, la création d'un message dans la file d'attente).
  6. Assurez-vous que les réponses du modem correspondent à celles figurant dans la liste des commandes AT prises en charge.

Autres sujets abordés dans ce chapitre

Liste de vérification

Entrées de fichier journal


Liste de vérification

Manuel -> Message control -> Messages et traitement des erreurs -> Liste de vérification

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

En cas de problème, contrôlez les éléments suivants :

Problème

Cause possible

Solution

Message SMTP

Les messages sortants ne sont pas envoyés et les messages entrants ne sont pas reçus.

Le mode d'envoi n'est pas correctement configuré. La présence de messages tels que "inactive sending mode" (Mode d'envoi inactif), "server not available" (Serveur indisponible), "user cannot be found" (Utilisateur introuvable), "SMTP / POP 3 authentication failed" (Échec de l'authentification SMTP/POP3) dans le fichier journal le confirment.
  • La propriété Versandart aktiv est-elle activée ?
  • L'utilisateur devant recevoir le message est-il défini en tant qu'utilisateur du module Gestion de messages (Message Control User) (propriété Utilisateur Message Control activée)?
  • Une adresse e-mail a-t-elle été configurée pour l'utilisateur?
  • Les données de l'utilisateur sont-elles transférées vers le Runtime après une modification (propriété Données modifiables dans le Runtime) ?
  • La configuration du mode d'envoi est-elle correcte ? Comparez les paramètres aux informations du fournisseur de services de messagerie.

Le serveur est correctement enregistré, mais n'est pas disponible (messages d'erreur lors de la connexion).
  • La résolution de nom fonctionne-t-elle ?
  • Le serveur est-il disponible (ping) ?
  • Le pare-feu autorise-t-il la connexion au port configuré ? Celle-ci peut être bloquée par le pare-feu de l'ordinateur et le pare-feu du domaine. Effectuez la vérification avec Telnet.

Le serveur ne prend pas une commande en charge (message d'erreur du type "Command not supported" (Commande non prise en charge) dans le fichier journal).
  • S'assurer que le serveur prend la commande en charge (par exemple, avec Thunderbird ou Telnet).

Si possible, sélectionnez une autre configuration (par exemple, il est possible de passer outre les commandes SMTP AUTH via la fonction "Register at the incoming mail server before sending e-mails" (S'enregistrer auprès du serveur de courrier entrant avant d'envoyer des e-mails). Le protocole APOP peut être désactivé et remplacé par le nom d'utilisateur et le mot de passe.

Le serveur nécessite une connexion non chiffrée. Puisque le message est envoyé sous forme non chiffrée, le serveur se déconnecte.
  • Dans ce cas, l'analyse effectuée avec Wireshark indique que le serveur envoie le message "STARTTLS". Puisque cette commande n'est pas prise en charge, la connexion doit être protégée via SSL ou TLS.

Le serveur n'est pas compatible avec le mécanisme de protection sélectionné (messages d'erreur lors de l'établissement d'une connexion chiffrée).
  • Sélectionnez une autre configuration de protection, ou une transmission au format texte brut.

SMS-GSM

zenon ne peut pas établir une connexion avec le modem.
  • Port COM incorrect (erreur du type "fichier introuvable" lors de l'ouverture du port COM).
  • Port COM occupé (par exemple, affichage d'un message du type "accès refusé" par le logiciel de configuration du fabricant lors de l'ouverture du port COM).
  • Erreur lors de la configuration du port COM ; le modem ne répond pas.
  • Le modem n'est pas compatible avec le mode SMS-PDU (présence d'un message d'erreur AT+CMGG ou d'un message d'erreur du mode PDU dans le fichier journal).
  • Le modem nécessite probablement un code PIN, ou le code PIN est incorrect (messages d'erreur de code PIN dans le fichier journal)
  • Un trop grand nombre de tentatives de connexion ont été effectuées avec un code PIN incorrect ? (présence d'un message d'erreur PUK dans le fichier journal). Dans ce cas, la connexion entre zenon et le modem ne peut être rétablie qu'après la saisie manuelle du code PUK, entraînant l'arrêt du verrouillage.
  • Contrôle la configuration du port COM et du modem.
  • Vérifiez le code PIN ; si nécessaire, déverrouillez manuellement le système en saisissant le code PUK.

La connexion est établie, mais les fonctions d'envoi et de réception ne fonctionnent pas.
  • La connexion a-t-elle été d'abord établie entre le modem et le réseau GSM ? Dans la plupart des cas, la connexion avec le réseau est uniquement établie après l'ouverture du logiciel du fabricant !
  • Malgré cela, le modem n'est pas connecté au réseau (effectuer cette vérification avec le logiciel du fabricant) : cherchez un emplacement offrant une meilleure réception.
  • Le numéro de téléphone du centre de messagerie (SMSC) qui a été saisi n'est pas valide. Check the number before entering it into zenon or when establishing a connection for the first time. This check can also be carried out with the Vérification connexion property activated. Load SMSC with HyperTerminal from modem and write.
  • Consultez le message d'erreur dans le fichier journal
  • Configurez la première connexion du modem au réseau GSM avec le logiciel du fabricant.
  • Installez le modem à un autre endroit.
  • Vérifiez le numéro de téléphone.
    Le code national du centre de messagerie (00xy ou +xy) a-t-il été correctement défini ?


Entrées de fichier journal

Manuel -> Message control -> Messages et traitement des erreurs -> Entrées de fichier journal

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Entrées dans le fichier journal de l'application Diagnosis Viewer.

  • Messages divers
  • E-mail via SMTP/POP
  • Voix par IP
  • SMS
  • Bibliothèque OpenSSL

Autres sujets abordés dans ce chapitre

Messages divers

E-mail via SMTP/POP

Voix par IP

SMS

Entrées de fichier journal - Bibliothèque OpenSSL


Messages divers

Manuel -> Message control -> Messages et traitement des erreurs -> Entrées de fichier journal -> Messages divers

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

La liste des ces entrées de fichier journal est classée par ordre alphabétique, en fonction des niveaux et des entrées.

  • Debug
  • Debug approfondi
  • MSG
  • Avertissements

Autres sujets abordés dans ce chapitre

Debug

Debug approfondi

MSG

Avertissements


Debug

Manuel -> Message control -> Messages et traitement des erreurs -> Entrées de fichier journal -> Messages divers -> Debug

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Debug

Niveau | Entrée | Description
DEBUG | Attaching to current call. | Le mode d'envoi est associé à l'appel actif.
DEBUG | Connected | Une connexion a été établie.
DEBUG | Couldn't send MessageDeleteRequest notification to Mainstation. | La tentative d'envoi d'un télégramme de demande de suppression à l'ordinateur d'exécution du processus a échoué.
DEBUG | Current Message %Nachricht Inhalt% | Le message actuel (contenu, paramètres, etc.) est consigné dans le fichier journal.
DEBUG | File alignment request could not be send to mainstation. | La tentative d'envoi d'un télégramme de demande d'alignement à l'ordinateur d'exécution du processus a échoué.
DEBUG | Invalid code '%s' entered. | Un code non valide a été saisi.
DEBUG | Mail to Benutzer '%s' was successfully added to the outbox. | Le message destiné à l'utilisateur [nom] a bien été transféré vers la boîte d'envoi d'Outlook.
DEBUG | MessageDeleteRequest Response: %d messages were deleted from the queue. | Une réponse de suppression a été reçue : [nombre] messages ont été supprimés de la file d'attente.
DEBUG | Messaging canceled: The end of the Benutzer list for the Group (%s) has been reached. | La fin du groupe d'utilisateurs [nom] a été atteinte ; l'envoi a été annulé.
DEBUG | Requesting File alignment from mainstation. | Une demande d'alignement a été transmise à l'ordinateur exécutant le processus.
DEBUG | Send SMS to Benutzer %s. | Un SMS est en cours d'envoi à l'utilisateur [adresse].
DEBUG | Sending mail to Benutzer '%s' using address: %s. | Un message destiné à l'utilisateur [nom] a été préparé et [envoyé] à l'adresse.
DEBUG | Sending MessageDeleteRequest for %d messages to Mainstation. | Une demande de suppression de [nombre] messages a été transmise à l'ordinateur d'exécution du processus.
DEBUG | SMS to Benutzer %s transmitted to the outbox. | Un SMS a été transféré à l'utilisateur [adresse] dans la boîte d'envoi.
DEBUG | The #-sign was entered: Repeating the last message. | L'utilisateur a appuyé sur # : le dernier message est répété.
DEBUG | The *-sign was entered: Clearing the current key. | L'utilisateur appuyé sur * : le code actuellement saisi est en cours de réinitialisation.
DEBUG | The current call be terminated now. | Un appel est actif, et est maintenant fermé.
DEBUG | The is no call in progress, nothing to terminate. | Aucun appel n'est actif ; rien ne peut être fermé.
DEBUG | The line %s has been closed. | La ligne [] a bien été fermée.
DEBUG | The line %s has been opened. | La ligne [] a bien été ouverte.
DEBUG | The message %s should have been acknowledged by now, handling TimeOut. | Le message [ID] devrait déjà avoir été confirmé ; la fonction d'expiration du délai d'attente est en cours de traitement.
DEBUG | The message %s should have been sent by now, handling hardware TimeOut. | Le message [ID] devrait déjà avoir été envoyé ; la fonction d'expiration du délai d'attente est en cours de traitement.
DEBUG | The Message %s was NOT successfully sent to %s! | Le message [ID] n'a pas pu être envoyé à [destinataire].
DEBUG | The Message %s was not successfully sent to %s, and will be send again! | Le message [ID] n'a pas pu être envoyé à [destinataire], et sera renvoyé.
DEBUG | The Message %s was successfully sent to %s! | Le message [ID] a bien été envoyé à [destinataire].
DEBUG | The next user (%s) for the group (%s) will be notified, previous Benutzer was:%s | L'utilisateur suivant [nom] dans le groupe d'utilisateurs [nom] a été informé ; l'utilisateur précédent était l'utilisateur [nom].
DEBUG | The sending of message %s was completed. | Le procédé d'envoi du message [ID] a été effectué.
DEBUG | Valid Acknowlegde-code entered. | Un code PIN valide de confirmation du message a été saisi.
DEBUG | Valid NegAcknowlegde-code entered. | Un code NA valide de refus du message a été saisi.


Debug approfondi

Manuel -> Message control -> Messages et traitement des erreurs -> Entrées de fichier journal -> Messages divers -> Debug approfondi

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Debug approfondi

Niveau | Entrée | Description
DEEPDEBUG | A changed notification of message(%s) was received, the old message object will be updated! | Le projet a reçu un télégramme de modification pour le message avec le GUID [numéro]. L'objet local (précédent) a été mis à jour.
DEEPDEBUG | A delete message(s) request was received! | Un télégramme de demande de suppression a été reçu.
DEEPDEBUG | A getqueue request was received, sending queue. | Une demande d'alignement a été reçue. La file d'attente et l'état actuels sont en cours d'envoi.
DEEPDEBUG | A file alignment request was received, sending alignment data. | A non-primary server has requested a sync of Runtime data. This data is sent. The message also contains the project names. The entry is created on the primary server.
DEEPDEBUG | A remove notification of message(%s) was received, the message object will be removed from the list. (%s) | Le projet a reçu un télégramme de suppression pour le message avec le GUID [numéro]. L'objet local (précédent) a été supprimé.
DEEPDEBUG | All messages for project %s will be removed. | Tous les messages du projet [nom] sont supprimés du module Gestion des messages.
DEEPDEBUG | An added notification of message(%s) was received, the message object will be added to the list. (%s) | Le projet a reçu un télégramme d'ajout pour le message avec le GUID [numéro]. Le nouvel objet a été ajouté.
DEEPDEBUG | An ChangeSuppressionRequest was received. The local suppression-state will be updated! | Une instruction ChangeSuppression-Request (Demande de modification/suppression) a été reçue. L'état de suppression local a été mis à jour.
DEEPDEBUG | An update of the message control state was received. The local state will be updated! | Le projet a reçu un télégramme MessageControl-StateChange (Gestion des messages - Changement d'état) pour le message avec le GUID [numéro]. Le nouvel objet a été ajouté.
DEEPDEBUG | Current message count is (%d) | La file d'attente contient [nombre ] messages. (Une entrée est créée lors de la création et la suppression de messages.)
DEEPDEBUG | Firing MessageAcknowledged | L'instruction MessageAcknowledged (Acquittement du message) est en cours d'activation.
DEEPDEBUG | Firing MessageAcknowledgeTimeOut | L'instruction MessageAcknowledgeTimeOut (Expiration du délai d'attente d'acquittement du message) est en cours d'activation.
DEEPDEBUG | Firing MessageCreated | L'instruction MessageCreated (Message créé) est en cours d'activation.
DEEPDEBUG | Firing MessageDeleted | L'instruction MessageDeleted (Message supprimé) est en cours d'activation.
DEEPDEBUG | Firing MessageIn: (Identfier:'%s',Message:'%s') | Le message est en cours d'activation ; la valeur de l'ID est %s, le texte du message est %s.
DEEPDEBUG | Firing MessageNegAcknowledged | L'instruction MessageNegAcknowledged (Acquittement négatif du message) est en cours d'activation.
DEEPDEBUG | Firing MessageSendError | L'instruction MessageSendError (Erreur d'envoi du message) est en cours d'activation.
DEEPDEBUG | Firing MessageSent | L'instruction MessageSent (Message envoyé) est en cours d'activation.
DEEPDEBUG | Last index set to %d. | Le dernier indice appliqué a été défini sur [valeur].
DEEPDEBUG | MessageAcknowledged fired | L'instruction MessageAcknowledged (Acquittement du message) a été activée.
DEEPDEBUG | MessageAcknowledgeTimeOut fired | L'instruction MessageAcknowledgeTimeOut (Expiration du délai d'attente d'acquittement du message) a été activée.
DEEPDEBUG | MessageChangedNotify received for Message %s ignored (no longer Mainstation)! | Le projet a reçu une notification de modification pour le message avec le GUID [numéro] du module Gestion de messages ; toutefois, il ne se trouve plus dans l'instance d'exécution du processus.
DEEPDEBUG | MessageCreated fired | L'instruction MessageCreated (Message créé) a été activée.
DEEPDEBUG | MessageDeleted fired | L'instruction MessageDeleted (Message supprimé) a été activée.
DEEPDEBUG | MessageIn fired: (Identfier:'%s',Message:'%s') | Le message a été activé ; la valeur de l'ID est %s, le texte du message est %s.
DEEPDEBUG | MessageNegAcknowledged fired | L'instruction MessageNegAcknowledged (Acquittement négatif du message) a été activée.
DEEPDEBUG | MessageSendError fired | L'instruction MessageSendError (Erreur d'envoi du message) a été activée.
DEEPDEBUG | MessageSent fired | L'instruction MessageSent (Message envoyé) a été activée.
DEEPDEBUG | Messaging TimeOut watchdog activated for Project '%s' | Pour le projet [nom], la supervision du délai d'attente avant expiration a été démarrée.
DEEPDEBUG | Messaging-Queue is being saved. | La file d'attente de messages actuelle a été enregistrée.
DEEPDEBUG | Project %s signed off. | Le projet a été déconnecté du moteur.
DEEPDEBUG | Project %s signed on. | Le projet est consigné dans le module Gestion des messages.
DEEPDEBUG | SB state: %s(%u) | L'état du serveur redondant a été modifié, et est maintenant %s (%d).
DEEPDEBUG | Sending added notification for message %s to SB. | L'objet du message avec le GUID [numéro] a été créé. Le nouvel objet est également transmis au serveur redondant.
DEEPDEBUG | Sending changed notification for message %s to SB. | L'objet du message avec le GUID [numéro] a été modifié ; le nouvel objet a été transmis au serveur redondant.
DEEPDEBUG | Sending MessageCtrl-StateChanged to SB. | Un télégramme MessageControl-StateChange (Gestion des messages - Changement d'état) a été envoyé au serveur redondant.
DEEPDEBUG | Sending remove notification for message %s to SB. | L'objet du message avec le GUID [numéro] a été supprimé ; un télégramme de suppression a été transmis au serveur redondant.
DEEPDEBUG | Switch to server:%s | L'instance actuelle a été mise à niveau sur le serveur.
DEEPDEBUG | Switch to standby:%s | L'instance actuelle a été mise à niveau sur le serveur.
DEEPDEBUG | The message %s is added to the Queue. | Le message avec le GUID [numéro] a été ajouté à la file d'attente.
DEEPDEBUG | The Message (%s) was removed from the project queue. | Le message avec le GUID [numéro] a été supprimé de la file d'attente.


MSG

Manuel -> Message control -> Messages et traitement des erreurs -> Entrées de fichier journal -> Messages divers -> MSG

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

LOG niveau MSG & MSG

Niveau | Entrée | Description
logLe_MSG | Logging on to default mapi profile %s | Si aucun profil n'a été sélectionné, le mode d'envoi identifie le premier profil et se connecte avec celui-ci.
MSG | Logging off of MAPI profile %s. | Déconnexion du profil [nom].
MSG | Logging on to mapi profile %s | Connexion établie avec le profil [nom].
MSG | MessageControl has been activated. | Le module Gestion des messages a été activé.
MSG | MessageControl has been deactivated. | Le module Gestion des messages a été désactivé.
MSG | Selected dispatcher '%s' is busy->try again... | Le mode d'envoi sélectionné [type] est occupé : une autre tentative sera effectuée ultérieurement.
MSG | The incoming message for %s contains the correct Ack-Code. | Le message entrant [ID] contient un code PIN valide de confirmation du message.
MSG | The incoming message for %s contains the correct NegAck-Code. | Le message entrant [ID] contient un code NA valide de refus du message.
MSG | The incoming message for %s does not contain a valid code. | Le message entrant [ID] ne contient pas de code valide.


Avertissements

Manuel -> Message control -> Messages et traitement des erreurs -> Entrées de fichier journal -> Messages divers -> Avertissements

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Avertissements

Niveau

Entrée

Description

WARNINGS

A Send-Message function was executed for a Group which does not contain any Message Control users!

Une fonction d'envoi de message a été exécutée pour un groupe vide ou ne contenant aucun utilisateur actif pour le module Gestion des messages.

WARNINGS

Index exceeded 99999, starting from 0.

L'indice maximum a été atteint pour ce nom de fichier ; il va recommencer à partir de 0.

WARNINGS

TAPI returned [Numéro] available devices.

Nombre de modems pouvant être contactés via TAPI.

Ce message est généré dans le fichier journal si les périphériques accessibles depuis zenon sont déterminés ; il affiche les périphériques pouvant être contactés par l'OS via TAPI.

WARNINGS

Not all required modes are supported: LINEBEARERMODE_VOICE:[ID modem],LINEMEDIAMODE_AUTOMATEDVOICE:[ID modem],LINEFEATURE_MAKECALL:[ID modem] -> the device [Nom du modem] can't be used!

Une fois le nombre de périphériques TAPI déterminé, ces derniers sont filtrés pour les modes nécessaires.

Remarque : Si un périphérique ne prend pas en charge l'un des modes requis, ce mode n'est pas affiché. Cette entrée de fichier journal affiche clairement les modes non présents.


E-mail via SMTP/POP

Manuel -> Message control -> Messages et traitement des erreurs -> Entrées de fichier journal -> E-mail via SMTP/POP

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

La liste des ces entrées de fichier journal est classée par ordre alphabétique, en fonction des niveaux et des entrées.

  • Debug
  • Erreur
  • Avertissement

Autres sujets abordés dans ce chapitre

Debug

Erreur

E-mail via SMTP/POP - avertissement


Debug

Manuel -> Message control -> Messages et traitement des erreurs -> Entrées de fichier journal -> E-mail via SMTP/POP -> Debug

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Debug

Niveau | Entrée | Description
DEBUG | Attaching to current call. | Le mode d'envoi est associé à l'appel actif.
DEBUG | Connected | Une connexion a été établie.
DEBUG | Couldn't send MessageDeleteRequest notification to Mainstation. | La tentative d'envoi d'un télégramme de demande de suppression à l'ordinateur d'exécution du processus a échoué.
DEBUG | Current Message %Nachricht Inhalt% | Le message actuel (contenu, paramètres, etc.) est consigné dans le fichier journal.
DEBUG | File alignment request could not be send to mainstation. | La tentative d'envoi d'un télégramme de demande d'alignement à l'ordinateur d'exécution du processus a échoué.
DEBUG | Invalid code '%s' entered. | Un code non valide a été saisi.
DEBUG | Mail to Benutzer '%s' was successfully added to the outbox. | Le message destiné à l'utilisateur [nom] a bien été transféré vers la boîte d'envoi d'Outlook.
DEBUG | MessageDeleteRequest Response: %d messages were deleted from the queue. | Une réponse de suppression a été reçue : [nombre] messages ont été supprimés de la file d'attente.
DEBUG | Messaging canceled: The end of the Benutzer list for the Group (%s) has been reached. | La fin du groupe d'utilisateurs [nom] a été atteinte ; l'envoi a été annulé.
DEBUG | Requesting File alignment from mainstation. | Une demande d'alignement a été transmise à l'ordinateur exécutant le processus.
DEBUG | Send SMS to Benutzer %s. | Un SMS est en cours d'envoi à l'utilisateur [adresse].
DEBUG | Sending mail to Benutzer '%s' using address: %s. | Un message destiné à l'utilisateur [nom] a été préparé et [envoyé] à l'adresse.
DEBUG | Sending MessageDeleteRequest for %d messages to Mainstation. | Une demande de suppression de [nombre] messages a été transmise à l'ordinateur d'exécution du processus.
DEBUG | SMS to Benutzer %s transmitted to the outbox. | Un SMS a été transféré à l'utilisateur [adresse] dans la boîte d'envoi.
DEBUG | The #-sign was entered: Repeating the last message. | L'utilisateur a appuyé sur # : le dernier message est répété.
DEBUG | The *-sign was entered: Clearing the current key. | L'utilisateur appuyé sur * : le code actuellement saisi est en cours de réinitialisation.
DEBUG | The current call be terminated now. | Un appel est actif, et est maintenant fermé.
DEBUG | The is no call in progress, nothing to terminate. | Aucun appel n'est actif ; rien ne peut être fermé.
DEBUG | The line %s has been closed. | La ligne [] a bien été fermée.
DEBUG | The line %s has been opened. | La ligne [] a bien été ouverte.
DEBUG | The message %s should have been acknowledged by now, handling TimeOut. | Le message [ID] devrait déjà avoir été confirmé ; la fonction d'expiration du délai d'attente est en cours de traitement.
DEBUG | The message %s should have been sent by now, handling hardware TimeOut. | Le message [ID] devrait déjà avoir été envoyé ; la fonction d'expiration du délai d'attente est en cours de traitement.
DEBUG | The Message %s was NOT successfully sent to %s! | Le message [ID] n'a pas pu être envoyé à [destinataire].
DEBUG | The Message %s was not successfully sent to %s, and will be send again! | Le message [ID] n'a pas pu être envoyé à [destinataire], et sera renvoyé.
DEBUG | The Message %s was successfully sent to %s! | Le message [ID] a bien été envoyé à [destinataire].
DEBUG | The next user (%s) for the group (%s) will be notified, previous Benutzer was:%s | L'utilisateur suivant [nom] dans le groupe d'utilisateurs [nom] a été informé ; l'utilisateur précédent était l'utilisateur [nom].
DEBUG | The sending of message %s was completed. | Le procédé d'envoi du message [ID] a été effectué.
DEBUG | Valid Acknowlegde-code entered. | Un code PIN valide de confirmation du message a été saisi.
DEBUG | Valid NegAcknowlegde-code entered. | Un code NA valide de refus du message a été saisi.


Erreur

Manuel -> Message control -> Messages et traitement des erreurs -> Entrées de fichier journal -> E-mail via SMTP/POP -> Erreur

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Erreur

Niveau | Entrée | Description
Error | [SMTP / POP3] not connected | Une tentative d'envoi de données au serveur de courrier sortant ou de récupération de données sur le serveur de courrier entrant a été effectuée, bien que le serveur ne soit pas connecté.
Error | Creating Connection failed. Errorcode: [Code] | Impossible de créer l'objet d'une connexion (sécurisée et texte simple).
Error | Creating SSL/TLS Method failed. Errorcode: [Code] | Impossible de créer la méthode SSL/TLS requise pour établir une connexion sécurisée.
Error | No Destination E-Mail-Address specified | Aucune adresse de destination n'a été spécifiée pour un e-mail sortant.
Error | Opening Connection failed. Errorcode: [Code] | Impossible d'établir une connexion (sécurisée et texte simple).
Error | Reading SSL Structure failed. Errorcode: [Code] | La lecture de la structure SSL/TLS d'une connexion sécurisée a échoué.
Error | SMTP AUTH should be used, but the Server neither supports AUTH LOGIN nor the minimum implementation AUTH PLAIN | L'authentification SMTP doit être utilisée ; toutefois, le serveur ne dispose pas des commandes nécessaires pour exécuter la réponse EHLO mentionnée dans la liste des commandes prises en charge (AUTH LOGIN et AUTH PLAIN, cette dernière étant la mise en œuvre minimale conformément à RFC 2554).
Error | The Server did not respond an OK Code to HELO. Response: [réponse du serveur SMTP] | Le serveur de courrier sortant n'a répondu à aucune des commandes EHLO ou HELO par le code "OK" . (La réponse a été ajoutée au message inséré dans le fichier journal.) Le serveur est considéré comme indisponible.
Error | The Server did not send a Waiting-For-Data-Response to the AUTH LOGIN [command / Benutzer data]: [réponse du serveur SMTP] | Le serveur de courrier sortant n'a pas envoyé la réponse attendue à la commande AUTH LOGIN des noms d'utilisateur correspondants. (La réponse a été ajoutée au message inséré dans le fichier journal.)
Error | The Server did not send a Waiting-For-Data-Response to the AUTH PLAIN command: [réponse du serveur SMTP] | Le serveur de courrier sortant n'a pas transmis la réponse attendue à la commande AUTH PLAIN. (La réponse a été ajoutée au message inséré dans le fichier journal.)
Error | The Server did not send an OK-Response to the AUTH LOGIN password data: [réponse du serveur SMTP] | Le serveur SMTP n'a pas confirmé les données du mot de passe AUTH LOGIN avec la réponse "OK". La tentative de connexion a échoué.
Error | The Server did not send an OK-Response to the AUTH PLAIN data: [réponse du serveur SMTP] | Le serveur SMTP n'a pas confirmé les données AUTH PLAIN avec la réponse "OK". La tentative de connexion a échoué. (La réponse a été ajoutée au message inséré dans le fichier journal.)
Error | The Server did not send an OK-Response to the MAIL command: [réponse du serveur SMTP] | Le serveur de courrier sortant n'a pas confirmé la commande MAIL (envoi d'un nouvel e-mail) avec la réponse "OK". (La réponse a été ajoutée au message inséré dans le fichier journal.)


E-mail via SMTP/POP - avertissement

Manuel -> Message control -> Messages et traitement des erreurs -> Entrées de fichier journal -> E-mail via SMTP/POP -> E-mail via SMTP/POP - avertissement

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Avertissement

Niveau | Entrée | Description
WARNING | No Subject for the E-Mail specified | Aucun objet n'a été spécifié pour un e-mail sortant. Bien que ce ne soit pas une erreur, un e-mail sans objet peut provoquer le blocage du message par un filtre antispam.
WARNING | No Text for the E-Mail specified | Aucun texte n'a été spécifié pour un e-mail sortant. Bien que ce ne soit pas une erreur, un e-mail sans texte peut provoquer le blocage du message par un filtre antispam.
WARNING | The Server did not respond an OK Code to EHLO. Response: [réponse du serveur SMTP] | Le serveur de courrier sortant a répondu avec un code d'erreur à la commande EHLO (réponse contenue dans le message inséré dans le fichier journal). Le serveur SMTP ne prend pas en charge les extensions. Les extensions sont utilisées aux fins de l'authentification SMTP. Ceci n'est pas une erreur, car l'authentification SMTP n'est pas obligatoire et les fonctions concernées effectuent une détection d'erreurs.


Voix par IP

Manuel -> Message control -> Messages et traitement des erreurs -> Entrées de fichier journal -> Voix par IP

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

LOG entries for VoIP:

Erreurs

Niveau

Entrée

Description

ERRORS

VoIP:Error in VoIP connection '%s'

Error message from the library for the connection.

  • % is replaced by the current code text for the SIP status or a specific error text.
    Par exemple : VoIP:Error in VoIP connection 'User not found'.

ERRORS

VoIP:Error during hardware initialization

Une erreur s'est produite durant l'initialisation de MAPI.

ERRORS

VoIP:Error when trying to make a call

An error occurred during the attempt to carry out a Voice over IP call.


SMS

Manuel -> Message control -> Messages et traitement des erreurs -> Entrées de fichier journal -> SMS

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Erreur

Niveau

Entrée

Description

ERROR

[Numéro de téléphone] is not a valid SMSC telephone number!

Le numéro de téléphone défini pour le centre de messagerie n'est pas valide. Le code national (00xy ou +xy) a-t-il été correctement défini ?

Seuls les caractères contenus (le signe "+" en préfixe, suivi de chiffres uniquement) seront vérifiés ; toutefois, aucune vérification n'est faite pour déterminer si le numéro de téléphone existe vraiment ou s'il s'agit vraiment d'un centre de messagerie !

ERROR

[Numéro de téléphone] is not a valid telephone number!

Le numéro de téléphone du destinataire n'est pas valide. Seuls les caractères contenus (le signe "+" en préfixe, suivi de chiffres uniquement) seront vérifiés ; toutefois, aucune vérification n'est faite pour déterminer si le numéro de téléphone existe vraiment ou s'il s'agit vraiment d'un centre de messagerie !

ERROR

Error on opening the port [COM-Port]: [Numéro d'erreur au format HEX]

Le port série spécifié ne peut pas être ouvert. Le numéro d'erreur indiqué peut être consulté dans la bibliothèque MSDN, et fournit des indices concernant les causes probables de l'erreur.

ERROR

Error on configuring the port [COM-Porp] [state / timeouts / buffers]: [Numéro d'erreur au format HEX]

Le port COM spécifié n'a pas pu être configuré. L'état, les délais d'attente avant expiration et les mémoires tampon sont configurés. Le numéro d'erreur spécifié peut être consulté dans la bibliothèque MSDN.

ERROR

The total input buffer ([nombre] bytes) is too small for the [nombre] bytes received from the modem.

La mémoire tampon de saisie est trop petite pour enregistrer toutes les données transmises par le modem. La taille maximale de la mémoire tampon de saisie est de 12 Ko. Environ 400 octets sont requis pour la réception d'un SMS de la taille maximale. Cette erreur se produit si, durant un intervalle d'interrogation (voir ci-dessous), des données SMS d'une taille supérieure à 12 Ko sont reçues.

ERROR

The modem returned an error to the [Commande AT] command: [Message d'erreur]

Le modem a répondu avec un message d'erreur à une commande AT. Le message d'erreur a été ajouté au message inséré dans le fichier journal. Un code d'erreur AT peut être contenu dans le message d'erreur.

Si une authentification par code PIN est requise, celui-ci est transféré par le biais de la commande AT+CPIN. Si un code incorrect est saisi, le modem répond avec une erreur à cette demande.

ERROR

The modem did not respond to the [Commandes AT] command.

Une expiration du délai d'attente s'est produite lors de l'attente de la réponse du modem à une commande AT.

ERROR

The modem did not switch in SMS PDU mode.

Bien que le modem ait confirmé la commande AT d'activation du mode SMS-PDU par la réponse "OK", la commande n'a pas été activée.

ERROR

The modem did not apply the SMSC telephone number.

Bien que le modem ait confirmé la commande AT de définition du numéro de téléphone du centre de messagerie par la réponse "OK", le numéro de téléphone n'a pas été enregistré en tant que numéro de centre de messagerie.

ERROR

Error: not connected

Une tentative d'envoi, de réception ou de suppression d'un SMS a été effectuée alors qu'aucune connexion n'a auparavant été établie avec le modem.

ERROR

The modem returned an error to the transmission of the PDU: [Message d'erreur]

Le modem a répondu avec un message d'erreur à la transmission d'un SMS-PDU. Le message d'erreur a été ajouté au message inséré dans le fichier journal. Un code d'erreur AT peut être contenu dans le message d'erreur.

ERROR

The modem did not respond to transmission of the PDU.

Une expiration du délai d'attente s'est produite durant l'attente de la réponse du modem à la transmission d'un SMS-PDU.

ERROR

Error on writing data: [Numéro d'erreur au format HEX]

Une erreur s'est produite durant l'envoi de données via le port série. Le numéro d'erreur peut être consulté dans la bibliothèque MSDN.

ERROR

Not all bytes have been sent.

Toutes les données n'ont pas été transmises, bien que la fonction d'envoi de données via le port série n'ait rapporté aucune erreur.

ERROR

Error on reading data: [Numéro d'erreur au format HEX]

Une erreur s'est produite durant la réception de données via le port série. Le numéro d'erreur peut être consulté dans la bibliothèque MSDN.

ERROR

The source SMSC telephone number [numéro de téléphone] contains the not supported character [caractère]

Le numéro de téléphone du centre de messagerie de l'expéditeur reçu durant la réception du SMS contient un caractère non valide.

ERROR

The source telephone number [numéro de téléphone] contains the not supported character [caractère]

Le numéro de téléphone de l'expéditeur reçu durant la réception du SMS contient un caractère non valide.

ERROR

The syntax of the timestamp [Date / Heure] is incorrect.

L'horodatage du réseau GSM reçu durant la réception du SMS ne correspond pas au format attendu.

ERROR

The byte [Octet au format HEX] could not be converted.

Un octet présent dans la commande PDU n'a pas pu être converti en nombre par une chaîne HEX.

ERROR

Insufficient buffer to convert SMS text [Texte]

La taille de la mémoire tampon de conversion des SMS sortants (12 Ko pour 6144 caractères) est insuffisante.

ERROR

The format flag [Octet au format HEX] is not supported.

La mise en forme d'un SMS entrant n'est pas prise en charge.

ERROR

Could not convert [Octet au format HEX] from GSM 7-Bit-Alphabet. Baselanguage: [Octet au format HEX], , Extensionlanguage [Octet au format HEX]

Un caractère contenu dans la section de données à 7 bits du SMS n'a pas pu être décodé. La table alphabétique de base et la table d'extension sont jointes en tant qu'identifiants de langue (reportez-vous à la norme 3GPP TS 23.038 V10.0.0 (2011-03).)

ERROR

Insufficient data to decode multilanguage fragmented SMS!

Un SMS a été reçu en plusieurs parties ; les parties individuelles utilisent des alphabets différents. Toutefois, les informations concernant les alphabets nécessaires à la conversion sont incomplètes.

ERROR

The input byte stream is not a valid unicode text.

Un SMS Unicode reçu ne contient pas de texte Unicode valide (seul un nombre pair d'octets est valide, car chaque caractère Unicode comporte 2 octets).

ERROR

Insufficient Buffer to decode PDU

La taille de la mémoire tampon (12 Ko) est insuffisante pour décoder une commande PDU.

ERROR

The PDU is not a valid byte stream.

Une commande PDU reçue ne comporte pas de données hexadécimales valides correspondant à un flux d'octets.

ERROR

The PDU length does not match the SMS text length

Le nombre d'octets contenu dans une commande PDU reçue ne correspond pas à la spécification de longueur dans les données de contrôle du SMS.

ERROR

The Modem requests the PUK.

Le modem demande la clé PUK (Personal Unlock Key) aux fins de l'authentification. Celle-ci n'est pas utilisée par le module de Gestion des messages et, par conséquent, la tentative d'établissement d'une connexion avec le modem a été annulée. Après plusieurs saisies d'un code PIN incorrect, la carte SIM insérée dans le modem demande le code PUK aux fins de l'authentification, et demande ensuite la réinitialisation du code PIN.

Attention : La saisie incorrecte du code PUK peut rendre la carte SIM inutilisable !

ERROR

The Modem responded with an unknown PIN Status: [réponse du modem]

La vérification de l'état du code PIN effectuée par le modem a produit un résultat inattendu. La réponse du modem à la vérification de l'état du code PIN est jointe au message inséré dans le fichier journal.

ERROR

The Modem requests a PIN and the PIN-Input is empty.

Le modem nécessite une authentification avec un code PIN ; toutefois, l'utilisateur ne l'a pas saisi.

ERROR

The Modem did not respond with READY-State after PIN-Authentication: [String]

Bien que la transmission du code PIN ait été confirmée par la réponse "OK" par le modem, l'état du code PIN du modem n'a pas été défini sur "READY" (la saisie d'un code PIN n'est plus requise). La réponse du modem à la vérification de l'état du code PIN est jointe au message inséré dans le fichier journal.

DEBUG

Port [COM-Port] opened successfully

Le port série spécifié a été ouvert avec succès.

DEBUG

Modem configured successfully for SMS-PDU-Mode and SMSC [Numéro de téléphone]

Le modem a été configuré avec succès pour le mode SMS-PDU et le numéro de téléphone spécifié du centre de messagerie.

DEBUG

Connection to modem closed.

La connexion au modem et au port série a été fermée.

DEBUG

SMS successfully sent to [Numéro de téléphone]

Un SMS a bien été envoyé au numéro de téléphone indiqué.

DEBUG

Successfully received SMS from [Numéro de téléphone]

Un SMS a bien été reçu du numéro de téléphone indiqué.

DEBUG

The Modem does not need a PIN.

Le modem ne nécessite pas une authentification par code PIN.

DEBUG

Authentication with the PIN succeeded.

L'authentification avec le code PIN configuré a réussi.


Entrées de fichier journal - Bibliothèque OpenSSL

Manuel -> Message control -> Messages et traitement des erreurs -> Entrées de fichier journal -> Entrées de fichier journal - Bibliothèque OpenSSL

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Codes d'erreur et messages d'erreur de la bibliothèque OpenSSL au format "Code d'erreur : [Code]. Message d'erreur : [Chaîne]".

Les réponses du serveur comportent la structure suivante :

  • Les réponses POP3 commencent uniquement par le terme "OK" si aucune erreur ne s'est produite.
  • Les réponses du serveur SMTP commencent par un code d'état à trois chiffres :
    • 2xx = OK
    • 3xx = en attente de données
    • 4x et 5 xx = erreur

Messages d'erreur dans le Diagnosis Viewer.

Niveau

Entrée

Description

ERROR

No Destination E-Mail-Address specified

Aucune adresse de destination n'a été spécifiée pour un courrier sortant.

ERROR

Creating SSL/TLS Method failed. Errorcode: [Code]. Errormessage: [String]

Impossible de créer la méthode SSL/TLS requise pour établir une connexion sécurisée.

ERROR

Creating Connection failed. Errorcode: [Code]. Errormessage: [String]

Impossible de créer l'objet d'une connexion (sécurisée et texte simple).

ERROR

Reading SSL Structure failed. Errorcode: [Code]. Errormessage: [String]

La lecture de la structure SSL/TLS d'une connexion sécurisée a échoué.

ERROR

Opening Connection failed. Errorcode: [Code]. Errormessage: [String]

Impossible d'établir une connexion (sécurisée et texte simple).

ERROR

The Server did not respond an OK Code to HELO. Response: [Antwort des SMTP Servers]

Le serveur de courrier sortant n'a répondu à aucune des commandes EHLO ou HELO par le code "OK" (la réponse a été ajoutée au message inséré dans le fichier journal). Le serveur est considéré comme indisponible.

ERROR

The Server did not send a Waiting-For-Data-Response to the AUTH LOGIN [command / Benutzer data]: [réponse du serveur SMTP]

Le serveur de courrier sortant n'a pas envoyé la réponse attendue à la commande AUTH LOGIN des noms d'utilisateur correspondants. La réponse a été ajoutée au message inséré dans le fichier journal.

ERROR

The Server did not send an OK-Response to the AUTH LOGIN password data: [réponse du serveur SMTP]

Le serveur SMTP n'a pas confirmé les données du mot de passe AUTH LOGIN avec la réponse "OK". La tentative de connexion a échoué.

ERROR

The Server did not send a Waiting-For-Data-Response to the AUTH PLAIN command: [réponse du serveur SMTP]

Le serveur de courrier sortant n'a pas transmis la réponse attendue à la commande AUTH PLAIN. La réponse a été ajoutée au message inséré dans le fichier journal.

.

ERROR

The Server did not send an OK-Response to the AUTH PLAIN data: [réponse du serveur SMTP]

Le serveur SMTP n'a pas confirmé les données AUTH PLAIN avec la réponse "OK". La tentative de connexion a échoué. La réponse a été ajoutée au message inséré dans le fichier journal.

ERROR

SMTP AUTH should be used, but the Server neither supports AUTH LOGIN nor the minimum implementation AUTH PLAIN

L'authentification SMTP doit être utilisée ; toutefois, durant la réponse EHLO, le serveur n'a pas fourni les commandes requises dans la liste des commandes d'extension prises en charge.

Les commandes suivantes sont requises : AUTH LOGIN et AUTH PLAIN, cette dernière étant la mise en œuvre minimale conformément à la norme RFC 2554.

ERROR

[SMTP / POP3] not connected

Une tentative d'envoi de données au serveur de courrier sortant ou de récupération de données sur le serveur de courrier entrant a été effectuée, bien que le serveur ne soit pas connecté.

ERROR

The Server did not send an OK-Response to the MAIL command: [réponse du serveur SMTP]

Le serveur de courrier sortant n'a pas confirmé la commande MAIL (envoi d'un nouvel e-mail) avec la réponse "OK". La réponse a été ajoutée au message inséré dans le fichier journal.

ERROR

The Server did not send an OK-Response to the RCPT command: [réponse du serveur SMTP]

Le serveur de courrier sortant n'a pas confirmé la commande RCPT (ajout d'un destinataire) avec la réponse "OK". La réponse a été ajoutée au message inséré dans le fichier journal.

ERROR

The Server did not send a Waiting-For-Data-Response to the DATA command: [réponse du serveur SMTP]

Le serveur de courrier sortant n'a pas envoyé la réponse attendue à la commande DATA (données du message en cours de transfert). La réponse a été ajoutée au message inséré dans le fichier journal.

ERROR

The Server did not send an OK-Respone to the transmitted Data: [réponse du serveur SMTP]

Le serveur de courrier sortant n'a pas confirmé les données du message transmis avec la réponse "OK". La réponse a été ajoutée au message inséré dans le fichier journal.

ERROR

APOP Authentication is required but the Server did not send APOP Data

La commande APOP est requise aux fins de l'authentification sur le serveur de courrier entrant ; toutefois, le serveur de courrier entrant n'a pas transmis les données requises.

ERROR

Creating APOP Digest failed. Errorcode: [Code]. Errormessage: [String]

Le hachage MD5 nécessaire à l'authentification APOP n'a pas pu être créé.

ERROR

The Server did not send an OK-Response to the [POP3-Kommando] command: [réponse du serveur POP3]

Le serveur de courrier entrant n'a pas confirmé une commande avec OK. La réponse a été ajoutée au message inséré dans le fichier journal.

Les commandes suivantes pourraient être affectées : APOP, USER, PASS, STAT, RETR, DELE.

Remarque : si la commande DELE contient encore la référence "Could not delete mail" (Impossible de supprimer le message), l'e-mail a été reçu, mais n'a pas pu être supprimé. Puisque l'e-mail a bien été reçu, il est transmis au module Gestion des messages.

ERROR

The OK-Response to the STAT command did not have the expected Format: [réponse du serveur POP3]

La réponse du serveur de courrier entrant à la commande STAT ne correspond pas à la définition du format, conformément à la norme RFC 1939.

Format : OK<espace>[nombre de messages dans la boîte aux lettres]<espace>[taille totale de tous les messages dans la boîte aux lettres, en octets]

ERROR

[Sending / Receiving] Data failed. Errorcode: [Code]. Errormessage: [String]

L'envoi ou la réception de données via une connexion réseau OpenSSL a échoué.


Microsoft Azure

Manuel -> Microsoft Azure

MS Azure est la description de la plate-forme en ligne sur laquelle peuvent être loués les services de Cloud (Microsoft Azure Cloud). Cette plate-forme est utilisable avec zenon et zenon Analyzer.

Types d’enregistrement de MS Azure Service Bus

La connexion peut être établie au moyen d’une Queue ou d’un Event Hub :

  • Queues MS Azure :
    • Process Gateway: Dans une Queue MS Azure, les données sont écrites en mémoire dans l’ordre de leur arrivée. La file d’attente est à nouveau vidée lors d’opérations de lecture et de vidage exécutées conformément aux paramètres. Les données sont toujours transférées vers une file d’attente définie, depuis laquelle elles peuvent être lues à nouveau.
      Si aucune connexion Internet n’est présente lors de l’écriture, aucune donnée n’est écrite. Ces données ne peuvent également pas être mises en cache ou saisies ultérieurement.
      Si aucune connexion Internet n’est disponible lors de la lecture, les données ne sont pas affichées. Dès qu’une connexion est rétablie, toutes les données présentes dans la file d’attente sont lues, puis l’affichage est actualisé.
    • SQL Export: Les données sont écrites dans une file d’attente de l’archive. Le service dans le Cloud Archive Worker écrit les données dans une base de données SQL dans le Cloud. Si aucune connexion Internet n’est disponible, les données sont mises en cache localement dans le dossier de Runtime, puis elles sont actualisées lors du prochain cycle d’exportation lorsqu’une connexionb est établie.
  • Hub d’événements MS Azure :
    Un Event Hub MS Azure écrit les données reçues en les sous-divisant en 16 partitions maximum. Ce processus d’écriture est plus rapide que l’écriture dans une Queue. zenon peut utiliser le module Process Gateway pour écrire des données dans un MS Azure Event Hub, mais il ne peut pas lire les données depuis celui-ci.

Utilisation dans zenon

Dans zenon, MS Azure remplit les rôles suivants :

  • Emplacement de transfert d’archives SQL :
    Les archives de zenon peuvent également être transférées vers MS Azure au moyen d’une procédure d’exportation de données SQL.
  • Échange de données entre emplacements :
    Les variables peuvent être écrites dans les Queues MS Azure à l’aide du module Process Gateway.
    Elles peuvent ensuite être réimportées à l’aide du driver AzureDrv de zenon. Dans ce cas, il n’est nécessaire de configurer aucun port supplémentaire pour les données entrantes.
  • Emplacement de stockage de données pour applications tierce partie :
    Le module Process Gateway de zenon peut également écrire des données dans les Event Hubs MS Azure. Ces données peuvent ainsi être fournies à d’autres applications. Elles ne peuvent toutefois pas être réimportées par zenon.

Utilisation dans zenon Analyzer

Dans zenon Analyzer, une base de données SQL de MS Azure peut être utilisée en tant que serveur lié.

Autres sujets abordés dans ce chapitre

Configuration de Microsoft Azure

Réglages dans zenon

Transférer les archives SQL

Enregistrement et réimportation de données

zenon Analyzer - Serveur lié de Microsoft Azure


Configuration de Microsoft Azure

Manuel -> Microsoft Azure -> Configuration de Microsoft Azure

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

La configuration dépend de l’utilisation dans zenon.

Microsoft Azure

Cette section fournit des informations concernant les étapes de configuration dans MS Azure lors de l’utilisation de zenon. Vous pouvez consulter des informations concernant la configuration générale de MS Azure et des bases de données dans Microsoft Azure dans l’aide en ligne de Microsoft MS Azure.

Selon l’utilisation que vous faites de MS Azure, vous devez disposer des composants suivants pour l’utiliser avec zenon :

  • MS Azure SQL Server
  • Une base de données attribuée
  • Le nom du serveur et la Connection String de la base de données
  • L’Namespace avec les
    • Queues
      ou
    • Event Hubs
  • Le service de Cloud Archive Worker

L’archive zenon peut être transférée vers MS Azure, puis être réimportée. La réimportation peut être effectuée par l’intermédiaire de zenon Analyzer.
Pour transférer les archives et les réimporter :

  1. Dans MS Azure, créez une instance SQL Server et une base de données correspondante dans laquelle seront enregistrées les données.

  2. Assurez-vous que l’Public IP de l’ordinateur depuis lequel est effectué l’accès est incluse dans la liste des Allowed IP Adresses du serveur.

  3. Dans les options de la nouvelle base de données, vous avez la possibilité de copier la Connection String.
    Pour cela, sélectionnez l’option View SQL Database connection strings.

    Vous aurez besoin de cette Connection String ultérieurement, pour le fichier de configuration ServiceConfiguration.Cloud.cscfg.
    zenon a besoin de la Connection String ADO.NET.

  4. Créez et configurez un nouvel espace de nom dans le menu Service Bus.
    Vous devez sélectionner le type Messaging. Ce paramètre ne peut pas être modifié ultérieurement.
    D’autres Shared Access Keys peuvent être crées par la suite.
    Vous aurez ultérieurement besoin de cette Connection String, pour le fichier de configuration ServiceConfiguration.Cloud.cscfg.

    Remarque : Assurez-vous que chaque ordinateur écrivant dans la Queue dispose d’autorisations en écriture.

  5. Configurez les Access Keys.
    Vous aurez besoin des informations de Storage Account Name et de Access Key ultérieurement, pour le fichier configuration ServiceConfiguration.Cloud.cscfg.

  6. Créez un nouveau service de Cloud.
    Le service Archive Worker est alors créé.
    Les fichiers requis se trouvent dans le dossier suivant : %ProgramData%\COPA-DATA\zenon7.60\CloudService.

  7. Créez la Queue ou le Event Hub souhaité(e).

    Si une archive zenon doit être transférée, cette Queue doit avoir le nom archivequeue. Elle est automatiquement créée avec le service Archive Worker.
    Recommandation : Pour configurer le transfert sous forme d’archive SQL dans zenon, utilisez le Package inclus dans zenon (reportez-vous à la section Transfert d’archives SQL).


Réglages dans zenon

Manuel -> Microsoft Azure -> Réglages dans zenon

La configuration dans zenon ou zenon Analyzer dépend de la tâche :

  • Transférer l’archive SQL : Les archives de zenon sont transférées vers MS Azure sous forme d’archives SQL.
  • Enregistrer les données et les réimporter : Les variables sont enregistrées dans une Queue ou un Event Hub dans Microsoft Azure, via le module Process Gateway de zenon. Les données provenant d’une Queue sont réimportées dans zenon au moyen du driver AzureDrv de zenon.

Dans zenon, vous devrez généralement disposer des informations suivantes de Microsoft Azure pour effectuer la configuration :

  • Connection String (nom de connexion du serveur)
  • Nom de la Queue ou du Event Hub
  • Mot de passe

Remarque : Assurez-vous d’avoir ouvert les portes nécessaires dans le pare-feu.
Par défaut : 1433


Transférer les archives SQL

Manuel -> Microsoft Azure -> Transférer les archives SQL

Un package permettant de configurer le transfert d’archives est disponible sur le support d’installation de zenon.
Chemin d’accès : %ProgramData%\COPA-DATA\zenon7.60\CloudService

Il contient les fichiers suivants :

  • AzureArchiveCloudService.cspkg (package)
  • ServiceConfiguration.Cloud.cscfg (Fichier de configuration)

Configuration :

  • Une Queue avec le nom archivequeue doit être présente dans l’Namespace sur le serveur MS Azure.
  • Les informations suivantes doivent être saisies dans le fichier de configuration de zenon :
    • Chemin d’accès de l’instance de Service Bus (Connection String) dans laquelle la Archive Queue est automatiquement créée
    • Connection String à la base de données SQL de Microsoft Azure. Attention : Un mot de passe doit être indiqué?!
    • ArchiveStorage et Diagnostics : Connection String à un Table Storage dans MS Azure.
      Ces éléments peuvent accéder au même Table Storage.
  • Configuration du transfert d’archives SQL dans zenon
    • Onglet Enregistrer pour les propriétés de l’archive :

      Écriture : Saisir des Connection Strings dans MS Azure Service Bus dans la section Utiliser MS Azure Service Bus pour l’écriture.

      Lecture : Établissement de la connexion à la base de données MS Azure via l’option Base de données SQL.

Autres sujets abordés dans ce chapitre

Transfert d’archives SQL dans zenon


Transfert d’archives SQL dans zenon

Manuel -> Microsoft Azure -> Transférer les archives SQL -> Transfert d’archives SQL dans zenon

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Si l'option Utiliser MS Azure Service Bus pour l'écriture est activée pour le transfert d'une archive au format SQL, toutes les valeurs de l'archive sont ajoutées à la file d'attente de Azure Service Bus Queue, sous le nom archivequeue. Celle-ci doit exister dans l'espace de nom MS Azure (MS Azure-Namespace) de la connexion configurée. Le nom de la connexion MS Azure est inséré dans le champ de saisie situé sous l'option.

Configuration

Dans MS Azure, au moins une instance du service de Cloud AzureZenonArchiveWorker doit être en cours d'exécution ; elle reçoit les valeurs d'archive depuis la file d'attente avec le nom archivequeue et les insère dans la base de données SQL MS Azure. Le format de table correspond au transfert classique d'une archive au format SQL.

Le service de Cloud doit être affiché manuellement avec le package de déploiement AzureArchiveCloudService.cspkg, via l'interface utilisateur de configuration de MS Azure. Le package se trouve dans le dossier suivant : %ProgramData%\COPA-DATA\zenon7.60\CloudServices.

Paramètres :

  • Zenon.ArchiveServiceBus.ConnectionString: Correspond au nom de connexion de MS Azure dans la configuration de l'archive.
  • Zenon.ArchiveSQLServer.ConnectionString: Signale le nom de la base de données SQL MS Azurede destination.

Procédure

Les fichiers d'archive sont lus via une connexion OLE DB et une déclaration SQL SELECT. Le nom de la connexion OLE DB affiche donc généralement la même base de données Microsoft Azure SQL (MS Azure SQL-Storage) que le nom de la connexion de sortie (Zenon.ArchiveSQLServer.ConnectionString) in AzureZenonArchiveWorker.


Enregistrement et réimportation de données

Manuel -> Microsoft Azure -> Enregistrement et réimportation de données

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Les données peuvent, par exemple, également être enregistrées sur différents sites avec MS Service Bus. Pour cela, elles sont d’abord transférées à l’aide du module Process Gateway de zenon, puis téléchargées à nouveau à l’aide du driver AzureDRv. Un des avantages est qu’il n’est pas nécessaire de configurer des exceptions au niveau du pare-feu lors du téléchargement. Il est également possible de fournir des données pour des applications tierces parties.

Deux paramètres peuvent être définis pour la cible dans la section Namespace :

  • Queue: Les données peuvent être enregistrées, puis rappelées.
  • Event Hub: Les données sont enregistrées pour les applications tierces parties. Elles ne peuvent plus être lues par zenon ou zenon Analyzer.

Autres sujets abordés dans ce chapitre

Process Gateway : Enregistrement des données dans Microsoft Azure

Driver zenon AzureDrv : Lecture des données depuis Microsoft Azure


Process Gateway : Enregistrement des données dans Microsoft Azure

Manuel -> Microsoft Azure -> Enregistrement et réimportation de données -> Process Gateway : Enregistrement des données dans Microsoft Azure

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Le module AccessAzure dans Process Gateway peut être utilisé pour transférer des données vers MS Azure.

AccessAzure.dll écrit les valeurs des variables du Runtime dans une Queue ou un Event Hub du bus de service MS Azure Service Bus. Les données issues de la Queue peuvent ensuite être obtenues du driver AzureDrv de MS Azure, puis être intégrées aux processus de zenon. Les données issues d'un Event Hub sont destinées aux applications tierces et ne peuvent plus être lues par zenon.

Le module Process Gateway établit cycliquement une connexion à MS Azure et écrit des messages dans la Servicebus Queue ou l'Event Hub.

Pour lire valeurs issues de la Servicebus Queue, le driver AzureDrv établit une connexion à la Service Bus Queue avec le nom configuré et lit tous les messages reçus de celle-ci. Ces messages sont décompressés et les valeurs en ligne qu'ils contiennent sont attribuées aux variables. La clé de cette opération est l'Adresse symbolique.
Tous les messages déjà présents dans la file d'attente lors du premier établissement réussi de la connexion sont chargés, puis effacés. Dans tous les cas, seules les valeurs actuelles sont affichées.

Ceci signifie : Chaque instance de driver sur chaque ordinateur possède sa propre file d'attente (Queue) en tant que signal d'entrée.
Exemple : La Servicebus Queue pour l'ordinateur MYSERVER1 et le préfixe onlinedata configuré sont appelés comme ceci dans Microsoft Azure : onlinedata_myserver1.

Les valeurs numériques (DOUBLE) et alphanumériques (STRING) sont prises en charge. Les informations d'horodatage et les bits d'état du système sont transférés vers la variable cible.

info Informations

Vous trouverez des informations détaillées concernant la configuration et les formats dans le manuel du module Process Gateway, dans la section MS Azure.

Configuration dans le module Process Gateway

Boîte de dialogue de configuration de la connexion Microsoft Azure via Process Gateway.

Variables

Dans le groupe Variables, vous configurez les variables dont les valeurs sont enregistrées par zenon dans un bus de service MS Azure (MS Azure Service Bus.

Paramètre

Description

Available in Scada

Affiche toutes les variables disponibles dans zenon.

Les variables issues de projets actifs peuvent être sélectionnées dans le cadre de la gestion multi-projets.

Projects

Liste de tous les projets disponibles.
Le projet standard est identifié par un *.

Variables

Liste de toutes les variables du projet sélectionné.

La liste peut être triée, et une sélection multiple est possible.

Conseil : Double-cliquez sur une variable pour la déplacer.

Bouton >

Les variables sélectionnées dans la liste de variables sont déplacées vers la liste Exported into MS Azure .

Bouton <

Les variables sélectionnées sont retirées de la liste Exported into MS Azure.

Exported into MS Azure

Liste des variables écrites par Process Gateway dans la file d'attente du bus de service de Microsoft Azure (MS Azure Service Bus).

Dénomination :

  • Nom du projet
  • # (en guise de séparateur)
  • Nom de la variable.

La clé des valeurs dans Microsoft Azure est toujours PROJECTNAME#VARIABLENAME.

Conseil : Double-cliquez sur une variable pour la déplacer.

Connexions Microsoft Azure

Toutes les connexions cible dans lesquelles les valeurs actuelles de la variable sélectionnée doivent être insérées dans Microsoft Azure doivent être saisies dans le groupe MS Azure Connections.

Toutes les valeurs de variables actuelles sont alors simultanément ajoutées à la connexion créée dans Tous.

Paramètre

Description

Liste de connexions Microsoft Azure

Affiche la liste de toutes les connexions configurées à Microsoft Azure. Chaque connexion comprend le nom de la connexion (MS Azure Connection) et le Service Bus Queue Namen.

  • Pour créer une nouvelle connexion, cliquez sur le bouton New....
  • Une connexion sélectionnée peut être modifiée en cliquant sur le bouton Edit....

Connexion à Microsoft Azure Connection

Adresse de la connexion MS Azure.

Nom de la file d'attente du bus de service

Nom de la file d'attente dans le bus de service de Microsoft Azure.

New...

Ouvre la boîte de dialogue de configuration de la connexion MS Azure.

Edit...

Ouvre les connexions existantes pour vous permettre de configurer la connexion à Microsoft Azure (MS Azure).

Delete

Supprime la connexion MS Azure sélectionnée de la liste.

Paramètres de Microsoft Azure

Paramètre

Description

Integrity period

Intervalle de temps durant lequel les valeurs actuelles des variables sélectionnées sont écrites sous forme d'image dans la file d'attente du bus de service de Microsoft Azure (MS Azure Service Bus).

Si la valeur d'une variable change pendant cette période, le changement de valeur est immédiatement transféré vers la file d'attente de MS Azure.
Par défaut : 5 s

HTTP Proxy Domain

Adresse du serveur proxy sur le réseau.

HTTP Proxy User

Champ de saisie du nom d'utilisateur de connexion au serveur proxy.

HTTP Proxy Password

Champ de saisie du mot de passe de connexion au serveur proxy.
Remarque : La saisie est affichée sous forme de points (même pendant la saisie).

Confirm HTTP Proxy Password

Champ de saisie de confirmation du mot de passe de connexion au serveur proxy.

Remarque : La saisie est affichée sous forme de points (même pendant la saisie).

Navigation

Paramètre | Description
OK | Applique les paramètres et ferme la boîte de dialogue.
Cancel | Annule toutes les modifications et ferme la boîte de dialogue.

Boîte de dialogue en cas de saisie de valeurs erronées

Les configurations du serveur proxy sont validées. Une boîte de dialogue d'avertissement est affichée en cas de configuration incorrecte.

attention Attention

.NET Framework 4.5 doit être installé sur l'ordinateur pour que la configuration du serveur proxy fonctionne.

Configuration de la connexion à la file d’attente ou au hub d’événements

Dans la boîte de dialogue de connexion, vous indiquez si la connexion à une Queue ou un Event Hub doit être établie et de quelle manière cette connexion est gérée.

Boîte de dialogue de configuration de la connexion à Microsoft Azure (MS Azure) :

Paramètre

Description

MS Azure Connection

Adresse de la connexion MS Azure.

Remarque : Vous pouvez lire et copier cette adresse dans le portail d'administration d'Azure, dans la section Manage Connection Strings de l'Servicebus Namespace concerné.

Service Bus Queue / Event Hub Name

Nom de la file d'attente ou du Event Hub du MS Azure Service Bus. La sélection de l'attribution s'effectue au moyen des cases d'option.

Remarque : Seuls les caractères qui apparaissent dans le nom d'une MS Azure Service Bus Queue ou dans un Event Hub sont autorisés. Utilisez des noms simples, courts et évocateurs. Évitez les caractères spéciaux, les lettres spécifiques à une langue et les espaces.

Service Bus Queue

Le nom de la Service Bus Queue comprend :

  • Le préfixe librement configurable
  • Un tiret bas (_)
  • Le nom NETBIOS de l'ordinateur (sans suffixe de nom de domaine) en caractères minuscules

Si le nom n'existe pas encore dans l'Namespace, une Queue possédant ce nom est créée.
Éléments requis : Les droits correspondants sont présents.

Event Hub

  • Format des messages : Dans la liste déroulante, sélectionnez l'option Format.
  • Event Hub Name: Noms des Event Hubs dans le MS Azure Service Bus
    Le Event Hub doit déjà avoir été créé avec ce nom dans l'Namespace.

Queue
  • Active : La connexion est établie avec le nom du Service Bus Queue.

Event Hub
  • Active : La connexion est établie avec le nom du Event Hub. Sélection du format de message avec l'option Format.

IoT Hub
  • Active : Envoi des valeurs réelles et réception des messages via MS Azure.
    Saisie de la chaîne de connexion à l'appareil dans le champ de saisie de MS Azure Connectionfield.

Format

Format de message d'établissement de la connexion via le Event Hub.
Sélectionnez dans la liste déroulante :

  • XML
  • JSON
  • BOND (compact binary)

OK

Applique les paramètres et ferme la boîte de dialogue.

Cancel

Annule toutes les modifications et ferme la boîte de dialogue.

info Informations

Le Service Bus Queue Name peut être librement configuré.
Cette file d'attente est créée automatiquement dans Microsoft Azure pendant la première communication avec Microsoft Azure.

Pour chaque ordinateur appelant des données depuis MS Azure, utilisez le driver AzureDrv pour créer une MS Azure Connection distincte.

Hub IoT

Les valeurs réelles sont transmises au IoT Hub sous forme de message. Les messages reçus par le IoT Hub sont décodés et écrits dans la valeur contenue sous forme de valeur prescrite.

Contenu de la configuration IoT

VarName | String | Nom de la variable
IsString | BOOL | Valeur de la chaîne réelle.
NumValue | Nombre | Valeur numérique
StrValue | Chaîne | Valeur de la chaîne
Time | Horodatage ISO | Horodatage
Status | Nombre | État

Exemple de saisie de connexion à MS Azure :

{"IsString":true,"NumValue":0,"Status":1078067200,"StrValue":"sunshine","Time":"2016-12-16T06:45:39.851Z","VarName":"AZURE_TEST#Weather"}]


Driver zenon AzureDrv : Lecture des données depuis Microsoft Azure

Manuel -> Microsoft Azure -> Enregistrement et réimportation de données -> Driver zenon AzureDrv : Lecture des données depuis Microsoft Azure

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Le driver AzureDrv obtient les données de MS Azure Service Bus aux fins du traitement dans zenon.

Configuration

Boîte de dialogue de configuration de la connexion à Microsoft Azure Service Bus :

Paramètres | Description
MS Azure Service Bus Connection | Saisissez le nom de la connexion à MS Azure Service Bus. Vous pouvez lire et copier les noms de ces connexions dans le portail d’administration de MS Azure, sous l’intitulé Manage Connection Strings de l’Namespace Servicebus.
Queue Name Prefix | Saisie du préfixe du nom de la Queue interrogée dans le Runtime. Remarque : Seuls les caractères autorisés dans le nom d’une MS Azure-Servicebus Queue sont autorisés.

Fermer boîte de dialogue

Options | Description :
OK | Applique toutes les modifications effectuées sur tous les onglets, puis ferme la boîte de dialogue.
Annuler | Annule toutes les modifications effectuées sur tous les onglets, puis ferme la boîte de dialogue.
Aide | Ouvre l'aide en ligne.

Pour des informations plus détaillées, reportez-vous au manuel du driver AzureDrv.


zenon Analyzer - Serveur lié de Microsoft Azure

Manuel -> Microsoft Azure -> zenon Analyzer - Serveur lié de Microsoft Azure

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Les données provenant du Linked SQL Server peuvent être éditées dans zenon Analyzer. Elles peuvent également être localisées dans MS Azure.

Configuration d’un serveur Microsoft Azure lié

  1. Dans la boîte de dialogue d’administration du serveur lié, cliquez sur le bouton Nouveau serveur Microsoft Azure.

    La boîte de dialogue de configuration de serveur s’affiche à l’écran.

  2. Attribuez un nom au serveur.
  3. Saisissez un nom d'instance.
    Remarque : Vous le trouverez dans Microsoft Azure.
  4. Saisissez le nom de la base de données.
  5. Saisissez le nom d’utilisateur pour l’accès.
  6. Saisissez le mot de passe pour l’accès.
  7. Cliquez sur OK.

    Le serveur lié est créé et la boîte de dialogue de création du serveur lié est fermée.
    Un test de connexion est alors effectué pour le nouveau serveur lié.
    Si le test n’est pas concluant, l’utilisateur est invité à indiquer si les nouveaux paramètres doivent être conservés :

    • Oui : Les paramètres sont conservés et sont affichés dans la liste.
    • Non : Les paramètres sont abandonnés et le serveur est supprimé de la liste.

info Informations

Chaque base de données exécutée dans une instance Microsoft SQL Azure doit être ajoutée en tant que serveur lié propre, pour des raisons techniques.

Boîte de dialogue Configuration

Paramètres | Description
Nom du serveur lié | Nom du serveur lié.
Nom de l’instance Microsoft SQL Azure | Nom de l’instance Microsoft SQL Azure. Peut être lu depuis Microsoft Azure. Syntaxe : [séquence libre de caractères].[base de données].windows.net
Base de données exécutée dans une instance Microsoft SQL Azure | Saisissez le nom de la base de données. Peut être lu depuis Microsoft Azure.
Nom utilisateur | Saisie du nom d'utilisateur.
Mot de passe | Mot de passe. Il n’est pas affiché sous forme de texte simple.
OK | Applique les paramètres et ferme la boîte de dialogue. Un test de la connexion est ensuite effectué. S’il est impossible d’établir la connexion, l’option d’abandon de la configuration est proposée à l’utilisateur.
Annuler | Annule toutes les modifications et ferme la boîte de dialogue.

Pour plus d’informations sur le Linked Server dans zenon Analyzer, dans le manuel de zenon Analyzer, reportez-vous à la section Gestion des serveurs liés.


Modèles d'équipements

Manuel -> Modèles d'équipements

La modélisation d'équipements recrée la structure d'un équipement dans Editor. Conformément aux normes ISA S88 et S95, vous pouvez représenter tous les niveaux d'une entreprise dans zenon :

Les niveaux supérieurs autorisent la classification exacte des détails des niveaux inférieurs, ainsi que leur liaison. Les niveaux inférieurs désignent les équipements spécifiques compilés aux fins du contrôle et de la surveillance du processus.

tutorial Informations concernant la licence

Composante de la licence standard d’Editor et du Runtime.

Modélisation d'équipements dans zenon

zenon vous permet d'afficher le modèle global et de créer les machines, bâtiments ou processus de votre choix. Les données peuvent être groupés et filtrées dans le Runtime et dans Editor. Les modèles d'équipement peuvent également être affichés dans un synoptique distinct dans le Runtime et être utilisés en tant que filtre pour d'autres synoptiques appelés. Le filtrage hiérarchique est également pris en charge à partir de zenon 7.60. Ceci signifie : Une variable ne doit être assignée qu'à un niveau puis elle est automatiquement incorporée dans un filtre pour des niveaux supérieurs.

Des modèles d'équipement peuvent être créés pour tous les projets dans le projet global ou les projets individuels.

Utilisation :

  • Editor : Les modèles d'équipement sont utilisés pour le filtrage dans l'Editor. Il est possible de limiter les éléments à certains équipements lors de la configuration d'un projet. Cela n'a aucun effet sur le Runtime.
  • Runtime : Dans le Runtime, la liaison s'effectue avec les modèles d'équipements lors de l'exécution des fonctions, afin d'obtenir des informations sur certains équipements et d'effectuer le filtrage en ligne.

Exemple:Variables: Les alarmes de certains équipements sont filtrées pendant la configuration d'un projet dans l'Editor. Dans le Runtime, les alarmes de certaines variables sont compilées à l'aide de filtres d'équipement.

info Informations

La langue de la fonction de modélisation d'équipements ne peut pas être modifiée.

Fenêtre Modèles d'équipement

Les modèles d'équipements peuvent être ouverts dans une fenêtre propre.

  • Pour cela, sélectionnez la commande Ouvrir une nouvelle fenêtre... dans le menu contextuel de la fonction modélisation d'équipements du Gestionnaire de projet.
  • Une nouvelle fenêtre contenant les modèles d'équipements apparaît par défaut dans la partie inférieure de l'Editor.
  • À l'image de toutes les fenêtres, vous pouvez positionner cette fenêtre à l'emplacement de votre choix dans l'Editor.
  • Si vous laissez également la vue détaillée de modélisation d'équipements ouverte, les contenus des deux fenêtres sont synchronisés, vous permettant d'effectuer des modifications dans chacune.

Autres sujets abordés dans ce chapitre

Créer un modèle d'équipement

Lier les modèles à des éléments et objets

Gestion hiérarchique des alarmes par le biais des groupes d'équipements

Autorisation d'opération par modèle d'equipement

Exportation et importation de modèles

Synoptique de type Modèle d'équipement

Filtrer dans la vue de détail

Filtrage dans le Runtime


Créer un modèle d'équipement

Manuel -> Modèles d'équipements -> Créer un modèle d'équipement

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Vous pouvez créer autant de modèles d'équipements que vous le souhaitez, et les regrouper en fonction de certains critères. Vous créez d'abord le modèle, puis les groupes.

Pour créer un nouveau modèle :

  • Décidez si vous souhaitez créer un modèle d'équipement local ou global.
  • Dans le menu contextuel du nœud Modèles d'équipement, sélectionnez la commande Nouveau modèle d'équipement

    Ou, dans la barre d'outils, sélectionnez le symbole correspondant à la commande Nouveau modèle d'équipement.

  • Dans la vue de détail, un nouveau nœud avec le nom par défaut Modèle d'équipement X est créé (X correspond à la numérotation de série).
  • Vous pouvez modifier le nom à votre convenance. Pour cela, sélectionnez le nom, puis appuyez sur F2 ou cliquez trois fois sur le champ de nom.

info Informations

Des modèles d'équipement issus des projets globaux et locaux sont disponibles. Si des conflits de nom sont présents, les projets d'équipements locaux sont privilégiés.

Conseil : Assurez-vous d'utiliser des noms clairs lors de la configuration des modèles d'équipements. Par exemple, attribuez aux modèles d'équipements globaux un préfixe ou un suffixe correspondant. Ceci vous évitera d'avoir les mêmes noms pour les modèles d'équipements locaux et globaux. Vous pourrez en outre facilement identifier l'origine des modèles d'équipements affichés dans les listes de sélection.

Pour créer un nouveau groupe :

  • Dans le menu contextuel d'un modèle ou un groupement de niveau supérieur, sélectionnez la commande Nouveau groupe d'équipements.

    ou appuyez sur la touche Insér.

    ou, dans la barre d'outils, sélectionnez le symbole correspondant à la commande Nouveau groupe d'équipements.

  • Dans la structure du modèle, un nouveau groupe avec le nom par défaut Groupe d'équipements X est créé (X correspond à la numérotation de série).
  • Adaptez le nom à vos besoins : Le champ de nom est en mode d'édition dès sa création. Vous pouvez ensuite appuyer sur la touche F2 après avoir sélectionné le nom, ou cliquer trois sur le champ de nom.
  • Vous pouvez définir autant de groupes et de sous-groupes que vous le souhaitez.

Autres sujets abordés dans ce chapitre

Modifier le modèle d'équipement

Menu contextuel Gestionnaire de projet

Barre d'outils et menu contextuel de la vue détaillée


Modifier le modèle d'équipement

Manuel -> Modèles d'équipements -> Créer un modèle d'équipement -> Modifier le modèle d'équipement

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Les groupes peuvent être triés, copiés, déplacés et supprimés dans un modèle et sur l'ensemble de tous les modèles :

Sélection

Les modèles et groupes d'équipements peuvent également être sélectionnés en effectuant une sélection multiple si les éléments sont :

  • Situés sur le même niveau
  • Compris dans le même modèle
  • Et compris dans même groupe supérieur

    .

Pour effectuer la sélection, maintenez la touche Ctrl enfoncée pendant que vous cliquez avec la souris.
Remarque : en maintenant la touche Maj. enfoncée pendant que vous cliquez avec la souris, vous pouvez sélectionner plusieurs éléments à différents niveaux. Les possibilités d'édition dans le menu contextuel et la barre d'outils sont toutefois désactivées.

Supprimer

  • Sélectionnez le nœud de votre choix.
  • Sélectionnez Supprimer dans le menu contextuel ou la barre d'outils, ou appuyez sur la touche Suppr..
  • Le nœud et tous les sous-groupes associés sont supprimés.

Déplacement par glisser-déplacer

  • Sélectionnez le nœud de votre choix.
  • Maintenez le bouton gauche de la souris enfoncé.
  • Déplacez le nœud à l'emplacement souhaité, puis relâchez le bouton de la souris.

Tri par glisser-déplacer

  • Sélectionnez le nœud de votre choix.
  • Maintenez la touche Ctrl enfoncée pendant que vous déplacez le nœud vers l'emplacement de votre choix en maintenant le bouton gauche de la souris enfoncé.
  • Une ligne horizontale indique l'emplacement auquel vous pouvez insérer le nœud.

Copier et coller

  • Sélectionnez le nœud de votre choix.
  • Sélectionnez Copier dans le menu contextuel ou la barre d'outils, ou appuyez simultanément sur les touches Ctrl et C.
  • Sélectionnez le nœud de destination de votre choix.
  • Sélectionnez Insérer dans le menu contextuel ou la barre d'outils, ou appuyez simultanément sur les touches Ctrl et V.
  • Le nœud copié est alors inséré.
    • Les sous-nœuds ne sont pas copiés en même temps que le nœud.
    • Si un élément avec ce nom existe déjà, l'indication Copie de est placée devant l'élément inséré.

Renommer

Pour renommer les modèles ou les groupes :

  1. Sélectionnez le modèle/le groupe
  2. Appuyez sur la touche F2 ou cliquez trois fois sur le modèle/le groupe

Après avoir renommé l'élément :

  • Un nouveau tri alphabétique est effectué sur les modèles
  • Les groupes sont conservés dans la structure créée

attention Attention

Les actions Supprimer, Réorganiser, Déplacer, Renommer et Insérer ne peuvent pas être annulées.


Menu contextuel Gestionnaire de projet

Manuel -> Modèles d'équipements -> Créer un modèle d'équipement -> Menu contextuel Gestionnaire de projet

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Commande

Fonction

Nouveau modèle d'équipement

Crée un nouveau modèle d'équipement avec le nom par défaut Modèle d'équipement X (X correspond à la numérotation de série).

Ouvrir dans une nouvelle fenêtre

Ouvre une nouvelle fenêtre contenant le modèle d'équipement.

Exporter tout (XML)

Exporte toutes les entrées sous forme de fichier XML.

Importer XML

Importe des éléments à partir d'un fichier XML. Dans ce cas, les règles suivantes s'appliquent :

  • Les modèles et groupes devant être importés et n'existant pas encore sont insérés.
  • Les modèles et groupes existants qui ne sont pas inclus dans le filtre d'importation sont conservés.
  • Les modèles et groupes préexistants sont remplacés par ceux devant être importés.

Profil Editor

Ouvre la liste déroulante permettant de sélectionner un profil Editor prédéfini.

Aide

Ouvre l'aide en ligne.


Barre d'outils et menu contextuel de la vue détaillée

Manuel -> Modèles d'équipements -> Créer un modèle d'équipement -> Barre d'outils et menu contextuel de la vue détaillée

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Barre d'outils

Symbole

Fonction

Nouveau modèle d'équipement

Crée un nouveau modèle d'équipement avec le nom par défaut Modèle d'équipement X (X correspond à la numérotation de série).

Nouveau groupe d'équipements

Crée un nouveau groupe de modèles d'équipements portant le nom par défaut Groupe d'équipements X (X correspond à la numérotation de série).

Éléments liés

Ouvre la boîte de dialogue pour afficher les éléments liés.

Copier

Copie le groupe sélectionné avec les sous-groupes.

Coller

Insère les groupes copiés dans le presse-papiers dans un autre groupe ou un autre modèle. Si un groupe portant le même nom existe déjà, le groupe inséré reçoit le préfixe Copie de.

Supprimer

Supprime le groupe sélectionné et tous ses sous-groupes.

Développer/
Réduire les nœuds

Ouvre la liste déroulante permettant d'étendre ou réduire les nœuds.
  • Développer tout

Développe tous les nœuds.
  • Réduire tout

Réduit tous les nœuds.
  • Étendre les objets sélectionnés

Développe les nœuds sélectionnés.
  • Réduire les éléments sélectionnés

Réduit les nœuds sélectionnés.

Exporter la sélection en XML...

Exporte les entrées sélectionnées sous forme de fichier XML.

Importer XML

Importe des éléments à partir d'un fichier XML. Dans ce cas, les règles suivantes s'appliquent :

  • Les modèles et groupes devant être importés et n'existant pas encore sont insérés.
  • Les modèles et groupes existants qui ne sont pas inclus dans le filtre d'importation sont conservés.
  • Les modèles et groupes préexistants sont remplacés par ceux devant être importés.

Aide

Ouvre l'aide en ligne.

Menu contextuel Modèles d'équipement

Symbole

Fonction

Nouveau modèle d'équipement

Crée un nouveau modèle d'équipement avec le nom par défaut Modèle d'équipement X (X correspond à la numérotation de série).

Coller

Insère les groupes copiés dans un autre groupe ou un autre modèle. Si un groupe portant le même nom existe déjà, le groupe inséré reçoit le préfixe Copie de.

Développer/
Réduire les nœuds

Ouvre la liste déroulante permettant d'étendre ou réduire les nœuds.
  • Développer tout

Développe tous les nœuds.
  • Réduire tout

Réduit tous les nœuds.
  • Étendre les objets sélectionnés

Développe les nœuds sélectionnés.
  • Réduire les éléments sélectionnés

Réduit les nœuds sélectionnés.

Exporter tout (XML)

Exporte toutes les entrées sous forme de fichier XML.

Importer XML

Importe des éléments à partir d'un fichier XML. Dans ce cas, les règles suivantes s'appliquent :

  • Les modèles et groupes devant être importés et n'existant pas encore sont insérés.
  • Les modèles et groupes existants qui ne sont pas inclus dans le filtre d'importation sont conservés.
  • Les modèles et groupes préexistants sont remplacés par ceux devant être importés.

Aide

Ouvre l'aide en ligne.

Menu contextuel Modèles d'équipement et groupes d'équipements

Symbole

Fonction

Nouveau groupe d'équipements

Crée un nouveau groupe de modèles d'équipements portant le nom par défaut Groupe d'équipements X (X correspond à la numérotation de série).

Éléments liés

Ouvre la boîte de dialogue pour afficher les éléments liés.

(Affichée uniquement en présence d'éléments liés.)

Copier

Copie le groupe sélectionné avec les sous-groupes.

Coller

Insère les groupes copiés dans un autre groupe ou un autre modèle. Si un groupe portant le même nom existe déjà, le groupe inséré reçoit le préfixe Copie de.

Supprimer

Supprime le groupe sélectionné et tous ses sous-groupes.

Développer/
Réduire les nœuds

Ouvre la liste déroulante permettant d'étendre ou réduire les nœuds.
  • Développer tout

Développe tous les nœuds.
  • Réduire tout

Réduit tous les nœuds.
  • Étendre les objets sélectionnés

Développe les nœuds sélectionnés.
  • Réduire les éléments sélectionnés

Réduit les nœuds sélectionnés.

Exporter tout (XML)

Exporte toutes les entrées sous forme de fichier XML.

Exporter la sélection en XML...

Exporte toutes les entrées sous forme de fichier XML.

Importer XML

Importe des éléments à partir d'un fichier XML. Dans ce cas, les règles suivantes s'appliquent :

  • Les modèles et groupes devant être importés et n'existant pas encore sont insérés.
  • Les modèles et groupes existants qui ne sont pas inclus dans le filtre d'importation sont conservés.
  • Les modèles et groupes préexistants sont remplacés par ceux devant être importés.

Aide

Ouvre l'aide en ligne.


Lier les modèles à des éléments et objets

Manuel -> Modèles d'équipements -> Lier les modèles à des éléments et objets

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Chaque groupe d'équipements peut être lié aux éléments et objets de zenon de votre choix. Vous disposez de plusieurs choix pour lier un groupe à un élément :

  • Via la propriété Groupes d'équipements de l'élément
  • Copiez et collez l'élément dans le groupe de votre choix du modèle.
  • Glissez-déposez le groupe d'équipements dans la propriété Groupes d'équipements de l'élément.
  • Glissez-déposez l'élément dans le groupe d'équipements.

Propriété Groupes d'équipements

Pour lier un groupe par le biais des propriétés d'un élément :

  1. Sélectionnez l'élément
  2. Dans le nœud Général, cliquez sur la propriété Groupes d'équipements.

    La boîte de dialogue d'association d'éléments à des groupes d'équipements s'ouvre.

  3. Associez les groupes d'équipements de votre choix (pour plus de détails, reportez-vous au sous-chapitre relatif à la Boîte de dialogue Modèles d'équipement).

info Informations

Pas d'héritage

Si des modèles d'équipement sont sélectionnés ou créés pour la configuration de types de données, de drivers, de fonctions, de variables, etc. via la propriété Groupes d'équipements, ils sont uniquement utilisés pour le filtrage et ne sont pas hérités.

Par exemple : Un modèle d'équipement sélectionné dans un type de données n'est pas transféré par héritage vers les variables reposant sur ce type de données.

Copier et coller

Pour lier un groupe d'éléments à l'aide des fonctions copier et coller :

  1. Sélectionnez l'élément
  2. Copiez l'élément (raccourci l'option Copier ou appuyez simultanément sur les touches Ctrl + C)
  3. Sélectionnez le groupe d'équipements que vous souhaitez modifier.
  4. Collez l'élément (raccourci l'option Coller ou appuyez simultanément sur les touches Ctrl + V).

Glissez-déposez le groupe d'équipements.

Pour lier le groupe d'équipements à l'élément par glisser-déposer :

  1. Sélectionnez le groupe d'équipements.
  2. Maintenez le bouton gauche de la souris enfoncé, puis faites glisser le groupe d'équipements vers la propriété Groupes d'équipements du nœud Général de l'élément.

Glissez-déposez l'élément.

Pour lier le groupe d'équipements à l'élément par glisser-déplacer :

  1. sélectionnez l'élément dans la vue détaillée du gestionnaire de projet.
  2. Maintenez le bouton gauche de la souris enfoncé, puis faites glisser l'élément vers le groupe d'équipements de votre choix.

info Informations

Lors du glisser-déplacer de variables de structure, seules les variables activées sont prises en compte. Les éléments inactifs ne sont pas liés. Pour les arborescences à structure fermée, assurez-vous que toutes les variables souhaitées sont actives.

Autres sujets abordés dans ce chapitre

Boîte de dialogue Modèles d'équipement

Liste d'éléments liés


Boîte de dialogue Modèles d'équipement

Manuel -> Modèles d'équipements -> Lier les modèles à des éléments et objets -> Boîte de dialogue Modèles d'équipement

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Dans la boîte de dialogue, vous pouvez également associer un élément à un groupe d'équipements de votre choix. La boîte de dialogue s'ouvre si vous sélectionnez la propriété Groupes d'équipements dans les propriétés d'un élément du nœud Général :

Option

Description :

Barre d'outils

Symboles pour:

  • Modifier les modèles d'équipement locaux
  • Agrandir ou réduire l'affichage
  • Afficher des informations

Liste de modèles d'équipements

Autorise la sélection de modèles et de groupes. La liste distingue les modèles d'équipement issus du projet global et des projets locaux.

Les modèles d'équipement locaux peuvent être créés, modifiés ou supprimés.

Remarque : Les modèles d’équipement du projet global ne peuvent pas être affichées si des modèles portant le même nom que dans le projet local. Les modèles affectés sont affichés en cliquant sur le symbole d’avertissement (triangle avec point d’exclamation). Pour plus de détails, reportez-vous au manuel Modèles d’équipement, chapitre Modification de modèles d’équipement locaux.

Ajouter

Ajoute les groupes sélectionnés à la liste de filtres.

Supprimer

Supprime tous les groupes sélectionnés de la liste de filtres.

Filtre hiérarchique

Case à cocher pour l’activation du filtre hiérarchique de modèle d’équipement.

  • Activé :
    les variables liées à une sous-hiérarchie du groupe d’équipement sélectionné sont prises en compte dans le filtre et sont incluses dans l’affichage du Runtime.
  • Inactif :
    lors du filtre, seules les variables liées au groupe d’équipement sélectionné sont prises en compte.Par défaut : Actif

Liste de filtres

Affiche tous les groupes d'équipements devant être filtrés.

Fermer la boîte de dialogue

Options | Description :
OK | Applique les paramètres et ferme la boîte de dialogue.
Annuler | Annule la sélection et ferme la boîte de dialogue. Attention : Toute modification apportée à la structure des équipements locaux est conservée.
Aide | Ouvre l'aide en ligne.

Configuration

De nouveaux modèles et groupes peuvent être créés pour le projet actif et les modèles et groupes existants peuvent être supprimés.

Ajouter un modèle au projet

Pour ajouter un nouveau modèle :

  1. Cliquez sur le projet.
  2. Dans la barre d'outils, sélectionnez Nouveau modèle d'équipement

Supprimer un modèle

Pour supprimer un modèle existant :

  1. Cliquez sur le modèle.
  2. Sélectionnez Supprimer dans la barre d'outils.

Ajouter des groupes au modèle

Pour ajouter un groupe au modèle :

  1. Sélectionnez le modèle d'équipement de votre choix.
    Attention : Si des conflits de nom existent entre les modèles d'équipement globaux et locaux, les modèles d'équipement locaux sont affichés et les modèles locaux sont ignorés. Vous pouvez obtenir des informations concernant d'éventuels conflits en cliquant sur le symbole correspondant (un triangle avec un point d'exclamation) dans la barre d'outils.
  2. Sélectionnez un groupe ou un niveau d'équipements.
  3. Ajoutez le nouveau groupe à la liste affichée dans la partie inférieure de la boîte de dialogue en cliquant sur le bouton Ajouter.

    Remarque :

    • Les sous-groupes ne sont pas ajoutés automatiquement.
    • Vous pouvez sélectionner autant de groupes que vous le souhaitez.

Supprimer un groupe du modèle

Pour supprimer un groupe d'un modèle :

  1. Sélectionnez les éléments souhaités dans la liste affichée dans la partie inférieure de la boîte de dialogue (les sélections multiples sont autorisées).
  2. Cliquez sur le bouton Supprimer.

Remarque : les modifications apportées à un élément dans l'arborescence sont conservées, même si vous cliquez sur le bouton Annuler. Annuler signifie uniquement qu'aucun élément n'a été sélectionné.

Filtre des groupes d'équipement lors de l'appel de synoptique

À l'écran, basculez vers un écran de type AML, CEL ou RGM ou de Gestion d'équipe et à la fonction Groupe/classe/domaine/équipement supprimé (Groupe de fonction Module Message Control), vous pouvez filtrer les groupes d'équipement dans la boîte de dialogue de filtre. Vous trouverez des instructions à ce sujet dans la description des boîtes de dialogue correspondantes :

  • Modèles d'équipement de la liste AML
  • Modèles d'équipement de la liste CEL
  • Modèles d'équipement du module RGM
  • Suppression de groupes, de classes, de zones ou d'équipements du module Message Control
  • Gestion d'équipes

Autres sujets abordés dans ce chapitre

Sélectionner la barre d'outils Groupes d'équipements

Édition de modèles d'équipement locaux


Sélectionner la barre d'outils Groupes d'équipements

Manuel -> Modèles d'équipements -> Lier les modèles à des éléments et objets -> Boîte de dialogue Modèles d'équipement -> Sélectionner la barre d'outils Groupes d'équipements

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Les actions effectuées dans la fenêtre du modèle d'équipement existant peuvent être contrôlées via la barre d'outils.
Description des symboles, en partant de la gauche :

Symbole

Description

Nouveau modèle d'équipement

Crée un nouveau modèle d'équipement.

(Pour modèles d’équipements locaux uniquement.)

Nouveau groupe

Crée un nouveau groupe d'équipements sous l'entrée sélectionnée.

(Pour modèles d’équipements locaux uniquement.)

Édition

Permet de modifier le nom.

(Pour modèles d’équipements locaux uniquement.)

Supprimer

Supprime l'entrée sélectionnée.

(Pour modèles d’équipements locaux uniquement.)

Copier

Copie l'entrée sélectionnée.

Coller

Copie les entrées collées depuis le presse-papiers sous l'entrée sélectionnée. Si un groupe portant le même nom existe déjà, le groupe inséré reçoit le préfixe Copie de.

(Pour modèles d’équipements locaux uniquement.)

Attention : Si des modèles d'équipement sont copiés depuis le projet global vers le projet local et ne sont pas renommés, deux modèles avec le même nom seront présents. Les deux modèles peuvent être sélectionnés ; toutefois, aucun lien ne sera créé lors de la confirmation.

Conseil : Renommez toujours les modèles copiés depuis le projet global vers le projet local.

Développer tout

Tous les nœuds sont développés.

Réduire tout

Tous les nœuds sont réduits.

Développer la sélection

Le nœud sélectionné est développé.

Réduire la sélection

L'entrée sélectionnée est réduite.

Avertissements

Afficher les avertissements.

Par exemple, il peut s'agir des modèles d'équipement issus du projet global qui ne sont pas affichés, car des modèles avec le même nom issus du projet local leur ont été préférés.


Édition de modèles d'équipement locaux

Manuel -> Modèles d'équipements -> Lier les modèles à des éléments et objets -> Boîte de dialogue Modèles d'équipement -> Édition de modèles d'équipement locaux

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Les modèles d'équipement et les groupes d'équipements issus de projets locaux peuvent également être modifiés dans la boîte de dialogue de création de liens. Les groupes d'équipements issus du projet global peuvent uniquement être sélectionnés et copiés.

Les actions possibles et les méthodes d'édition sont limitées, contrairement à l'édition de modèles d'équipement dans le nœud Modèles d'équipement. Les éléments peuvent uniquement être édités à l'aide de la barre d'outils.

Attention : Les modifications apportées à la structure d'un modèle d'équipement local sont conservées, que la boîte de dialogue soit fermée en cliquant sur OK ou sur Annuler.

Les actions suivantes sont possibles :

Action | Projet global | Projet local
Créer un nouveau modèle d'équipement | - | X
Créer un nouveau groupe d'équipements | - | X
Changez le nom de l'élément | - | X
Supprimer | - | X
Copier Attention : Si des modèles d'équipement sont copiés depuis le projet global vers le projet local et ne sont pas renommés, deux modèles avec le même nom seront présents. Les deux modèles peuvent être sélectionnés ; toutefois, aucun lien ne sera créé lors de la confirmation. Conseil : Renommez toujours les modèles copiés depuis le projet global vers le projet local. | X | X
Coller | - | X
Ajouter à la liste de filtres | X | X

Légende :

  • -: impossible
  • X: possible


Liste d'éléments liés

Manuel -> Modèles d'équipements -> Lier les modèles à des éléments et objets -> Liste d'éléments liés

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Tous les éléments liés au groupe d'équipements peuvent être affichés sous forme de liste pour chaque groupe d'équipements. Vous pouvez accéder directement à l'élément lié via le menu contextuel.

  1. Sélectionnez le groupe d'équipements que vous souhaitez modifier.
  2. Dans le menu contextuel, sélectionnez l'option Eléments liés... .

    (Pour plus de détails, reportez-vous au sous-chapitre relatif aux Menu contextuel Éléments liés).

    La liste des éléments liés s'ouvre.

Dans le menu contextuel, vous pouvez :

  • Accéder directement à l'élément.
  • Supprimer l'élément de la liste ; l'élément perd alors sa liaison avec ce groupe d'équipements.

Autres sujets abordés dans ce chapitre

Éléments liés au menu contextuel


Éléments liés au menu contextuel

Manuel -> Modèles d'équipements -> Lier les modèles à des éléments et objets -> Liste d'éléments liés -> Éléments liés au menu contextuel

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Dans la boîte de dialogue des éléments liés, les éléments individuels peuvent être ouverts ou supprimés de la liste affichée dans Editor par le biais du menu contextuel :

Commande | Description
Accéder à l'élément lié | Bascule vers l'élément dans Editor ; la liste reste ouverte.
Supprimer les éléments sélectionnés | Supprime l'élément sélectionné de la liste ; la connexion au groupe d'équipements est interrompue.
Aide | Ouvre l'aide en ligne.


Gestion hiérarchique des alarmes par le biais des groupes d'équipements

Manuel -> Modèles d'équipements -> Gestion hiérarchique des alarmes par le biais des groupes d'équipements

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

La propriété Utiliser la gestion d'alarmes hiérarchiques du modèle d'équipement peut être utilisée pour la configuration de la gestion hiérarchique des alarmes.

Les alarmes peuvent ainsi :

  • Être affichées en fonction de leur emplacement.
  • Être identifiées en fonction de leur emplacement d'origine.
  • Être affichées sous forme de structure hiérarchique.
  • Être facilement configurées ou étendues dans le modèle d'équipement.

Liste d’alarmes

Dans la liste AML, dans le Runtime, les entrées "Domaine d'alarmes" et "Numéro de domaine d'alarmes" sont vides si la fonction de gestion hiérarchique des alarmes est activée pour la variable.

Le tri en fonction de ces deux colonnes tient uniquement compte du premier domaine d'alarmes pour les variables sans gestion hiérarchique des alarmes. Comme ces colonnes sont vides pour les variables associées à la fonction de gestion hiérarchique des alarmes, elles sont groupées selon l'ordre alphabétique des entrées "Domaine d'alarmes" lors du tri et apparaissent en haut de la liste. Ceci est également le cas lors du tri en fonction du "Numéro de domaine d'alarmes", car l'identifiant de la fonction de gestion hiérarchique des alarmes est toujours vide et ainsi, placé en première position.

Modèle d'équipement du projet global

Les groupes d'équipements dans le modèle d'équipement peuvent être configurés à la fois dans le projet global et le projet standard. Une variable peut utiliser un groupe d'équipements issu à la fois du projet global et du projet standard.

  • Les groupes d'équipements configurés dans le projet global sont également disponibles dans le projet standard.
  • La structure hiérarchique du projet standard ne contient pas automatiquement les nœuds du projet global.
    Les attributions d'alarmes de variables aux groupes d'équipements depuis le projet local sont reprises pour le projet standard, puis mises en application.
  • L'alarme de la variable est applicable à tous les domaines d'alarmes traçables du modèle d'équipement. Dans ce cas, le groupe d'équipements de la variable et le groupe d'équipements de niveau supérieur du modèle d'équipement sont pris en compte.

Autres sujets abordés dans ce chapitre

Configuration dans Editor


Configuration dans Editor

Manuel -> Modèles d'équipements -> Gestion hiérarchique des alarmes par le biais des groupes d'équipements -> Configuration dans Editor

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Pour utiliser la fonction de gestion hiérarchique des alarmes du modèle d'équipement, effectuez les opérations suivantes dans zenon :

  1. Modélisez une image de votre équipement dans le projet. Cette configuration de projet peut être effectuée à la fois dans le projet global et dans le projet standard.
    1. Pour cela, dans le nœud Modélisation d'équipements, sélectionnez l'entrée Nouveau modèle d'équipement.
    2. Créez une nouvelle entrée en sélectionnant le symbole ou l'option de menu contextuel Nouveau groupe d'équipements.
      Nommez chaque entrée avec la propriété Nom. Assurez-vous de lui attribuer un nom évocateur lors de la configuration du projet.
    3. Répétez cette étape pour les éléments individuels de votre équipement.
      Notez la structure hiérarchique dans l'arborescence des équipements.
  2. Configurez les domaines d'alarmes :
    1. Pour cela, accédez au nœud Variables.
    2. Depuis celui-ci, accédez au sous-nœud Alarme.
    3. Créez un nouveau domaine d'alarmes :
      Pour cela, accédez au sous-nœud Domaines d'alarmes.
    • Créez un nouveau domaine d'alarmes en sélectionnant le symbole ou l'option de menu contextuel Nouveau domaine d'alarmes.
      Nommez l'entrée avec la propriété Nom. Assurez-vous de lui attribuer un nom évocateur lors de la configuration du projet.
    1. Attribuez un groupe d’équipements au domaine d’alarmes :
    • Dans la propriété Groupes d'équipements, cliquez sur le bouton ... :
      La boîte de dialogue Sélectionner un groupe d'équipements s'affiche.
    • Sélectionnez le groupe d'équipements souhaité, puis ajoutez celui-ci en cliquant sur le bouton Ajouter.
      Remarque : Une sélection multiple est possible. Un domaine d'alarmes est ainsi ajouté à plusieurs groupes d'équipements.
    • Confirmez l'attribution en cliquant sur le bouton OK.
      Le groupe d'alarmes attribué au groupe d'équipements est visible dans la propriété Groupes d'équipements. Dans le cas d'une sélection multiple, les entrées sont séparées par un point-virgule (;).
  3. Attribuez aux variables configurées un élément issu de la configuration de projet de modélisation d'équipement :
    1. Pour cela, accédez au nœud Variables.
    2. Dans la liste des variables configurées, sélectionnez les variables souhaitées pour chaque groupe d'équipements.
      Remarque : Utilisez les fonctionnalités de tri et de filtrage de la vue de détail du gestionnaire de projet.
      Pour une configuration plus efficace, vous pouvez également utiliser une sélection multiple.
    3. Accédez au groupe de propriétés Général pour la variable sélectionnée.
    4. Dans la propriété Groupes d'équipements, cliquez sur le bouton ... :
      La boîte de dialogue Sélectionner un groupe d'équipements s'affiche.
    5. Sélectionnez le groupe d'équipements souhaité, puis ajoutez celui-ci en cliquant sur le bouton Ajouter.
      Remarque : Une sélection multiple est possible. Une variable peut ainsi être ajoutée à plusieurs groupes d'équipements.
    6. Confirmez l'attribution en cliquant sur le bouton OK.
      La variable attribuée au groupe d'équipements est visible dans la propriété Groupes d'équipements. Dans le cas d'une sélection multiple, les entrées sont séparées par un point-virgule (;).

Tipp Conseil

Veuillez noter que les types de données héritent du groupe d'équipements attribué. L'effort nécessaire pour configurer un projet peut être optimisé au moyen des dépendances logiques pour la configuration du projet.


Autorisation d'opération par modèle d'equipement

Manuel -> Modèles d'équipements -> Autorisation d'opération par modèle d'equipement

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Sur le réseau zenon, les autorisations d’utilisation peuvent être configurées à l'aide du modèle d'équipement.

Il est donc possible d'accorder des autorisations adéquates aux différentes divisions d'une usine pour divers clients.

Dans ce cas, les dispositions suivantes s'appliquent :

  • La limitation d’utilisation est mise en œuvre par la liaison de variables au modèle d’équipement.
  • Seules les variables assignées à un modèle d'équipement exigent des autorisations d’utilisation.
  • Les variables non liées à un modèle d'équipement peuvent toujours être utilisées.

info Informations

Vous pouvez trouver de plus amples informations sur les autorisations d’utilisation dans le chapitre Autorisations d’utilisation sur le réseau du manuel Réseau.

Autres sujets abordés dans ce chapitre

Configuration dans Editor

Comportement dans le Runtime


Configuration dans Editor

Manuel -> Modèles d'équipements -> Autorisation d'opération par modèle d'equipement -> Configuration dans Editor

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Effectuer la configuration de projet suivante pour pouvoir utiliser les autorisations d’utilisation via le modèle d'équipement :

  1. Modélisez votre modèle d'équipement.
  2. Activez la propriété Modèle d'équipement pertinent pour l'autorisation d'opération.
    Remarque : Vous pouvez trouver cette liaison dans le groupe de propriété Général du modèle d'équipement. Cette propriété n'est disponible qu'au niveau le plus élevé d'un modèle d'équipement.
  3. Liez les variables configurées au groupe d'équipement correspondant.
    La liaison a lieu dans le groupe de propriétés de variable Général avec la propriété Groupes d'équipements.

Optionnel :

  1. Configurez les variables pour l'affichage des informations dans le Runtime :
    1. Disponible sur cet ordinateur
    2. Autorisation d'opération à l'ordinateur
  2. Liez les variables du groupe de propriétés Autorisation d'accès au groupe d'équipement correspondant.


Comportement dans le Runtime

Manuel -> Modèles d'équipements -> Autorisation d'opération par modèle d'equipement -> Comportement dans le Runtime

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Les considérations suivantes s'appliquent au Runtime zenon pour les autorisations d’utilisation via le modèle d'équipement :

  • Si aucune autorisation d’utilisation n'a été configurée pour l'équipement demandé, l'utilisation n'est soumise à aucune restriction.
  • Si une autorisation d’utilisation non émise est demandée, l'autorisation d'utilisation est automatiquement octroyée.
  • Si l'équipement est occupé, il est automatiquement demandé sur le client donné via le réseau.
    Une boîte de dialogue s'affiche dans le Runtime qui possède actuellement des autorisations d'utilisation.
  • Si un client occupe plusieurs parties d'un modèle d'équipement, cela apparaît sur le client qui détient actuellement les autorisations d'utilisation, sous forme de résumé dans une boîte de dialogue.
  • Si l'autorisation d'utilisation a été demandée pour une zone déjà partiellement occupée, cela est automatiquement demandé depuis le client correspondant via le réseau. En l'absence d'approbation, aucune autorisation n'est émise, même pour les zones disponibles.
  • Plusieurs demandes sont envoyées en même temps à divers clients

Boîte de dialogue - transférer une autorisation d'utilisation

Paramètre | Description
Oui | L'autorisation est transférée au client qui fait la demande.
Non | L'autorisation d'utilisation reste sur le client actuel. Le client requérant ne peut pas exécuter l'action souhaitée.


Exportation et importation de modèles

Manuel -> Modèles d'équipements -> Exportation et importation de modèles

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Les modèles d'équipements et les groupes d'équipements peuvent être importés sous forme de fichiers XML, ainsi que via l'API.

attention Attention

Le modèle d'équipement complet est remplacé lors de l'importation. Les modèles d'équipement et groupes d'équipement existants ayant le même nom que des objets importés sont remplacés lors de l'importation. Les objets non contenus dans le fichier d'importation sont supprimés.

XML

Exporter

Pour exporter des modèles :

  1. Sélectionnez le modèle d'équipement de votre choix.
  2. Dans le menu contextuel ou la barre d'outils, sélectionnez Exporter la sélection en XML....
    Vous pouvez également sélectionner Exporter tout (XML) dans le menu contextuel.
  3. La boîte de dialogue de sélection du chemin d'enregistrement s'affiche à l'écran.
  4. Enregistrez l'emplacement d'enregistrement et le nom.
  5. Les modèles sélectionnés ou tous les modèles peuvent être exportés en cliquant sur OK.
  6. Le bon déroulement de l'exportation et les éventuelles erreurs sont affichées dans la fenêtre de résultats.

Importer

Pour importer des modèles :

  1. Sélectionnez Importer XML … dans le menu contextuel ou la barre d'outils.
  2. La boîte de dialogue d'ouverture d'un fichier d'exportation au format XML s'affiche à l'écran.
  3. Sélectionnez le fichier XML souhaité.
  4. Cliquez sur OK pour importer les modèles et les groupes contenus dans le fichier XML.
  5. Le bon déroulement de l'exportation et les éventuelles erreurs sont affichées dans la fenêtre de résultats.

API

Les méthodes suivantes sont utilisées pour l'importation et l'exportation via VBA/VSTA :

  • Exporter : SystemModelManager.Export
  • Importer : SystemModelManager.Import


Synoptique de type Modèle d'équipement

Manuel -> Modèles d'équipements -> Synoptique de type Modèle d'équipement

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Un synoptique de modèle d'équipement autorise les opérations suivantes dans le Runtime :

  • D'autres synoptiques déjà ouverts peuvent être filtrés en fonction de certains groupes d'équipement
  • Toutes les fonctions liées à un certain groupe d'équipements sont automatiquement insérées de manière consécutive dans une liste

Le filtrage en fonction d'un groupe d'équipements a toujours une incidence sur les synoptiques déjà ouverts. Si des synoptiques sont appelés ou chargés à nouveau, ils sont affichés dans le filtre de modèle d'équipement.

Remarque : Ave l'option Filtre hiérarchique, il suffit que la variable soit liée à un niveau du modèle d'équipement. Cette variable est automatiquement prise en compte au cours du filtrage à des niveaux supérieurs.

info Informations

Les synoptiques affichant les données provenant de AML, CEL, RGM ou de la Gestion d'équipe peuvent être filtrés. Les synoptiques
Cadran peuvent aussi être sélectionnés. Toutefois, si ces derniers ne contiennent pas de données provenant de AML, CEL, RGM ou de la Gestion d'équipe, ils sont ignorés dans le Runtime.

Autres sujets abordés dans ce chapitre

Créer un synoptique de type Modèle d'équipement

Effectuez un appel de synoptique de type Modèle d'équipement


Créer un synoptique de type Modèle d'équipement

Manuel -> Modèles d'équipements -> Synoptique de type Modèle d'équipement -> Créer un synoptique de type Modèle d'équipement

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Développement

Étapes de création du synoptique :

  1. Créez un nouveau synoptique :

    Dans la barre d’outils ou le menu contextuel du nœud Synoptiques, sélectionnez la commande Nouveau synoptique.
    Un synoptique vide Standard est créé.

  2. Modifiez les propriétés du synoptique :
    1. Nommez le synoptique dans la propriété Nom.
    2. Sélectionnez Modèle d'équipement dans la propriété Type de synoptique.
    3. Sélectionnez le cadre souhaité dans la propriété Gabarit.
  3. Configurez le contenu du synoptique :
    1. Sélectionnez l’option de menu Éléments de contrôle dans la barre de menus
    2. Sélectionnez Insérer un modèle dans la liste déroulante.
      La boîte de dialogue de sélection de mises en forme prédéfinies s’affiche à l’écran. Certains éléments de contrôle sont insérés dans le synoptique à des positions prédéfinies.
    3. Supprimez les éléments superflus du synoptique.
    4. Si nécessaire, sélectionnez des éléments supplémentaires dans la liste déroulante Éléments. Placez-les aux emplacements souhaités sur le synoptique.
  4. Créez une fonction d’appel de synoptique.

Éléments de contrôle | Description
Insérer un modèle | Ouvre la boîte de dialogue de sélection de modèle pour le type de synoptique correspondant. Des modèles sont fournis avec zenon, et peuvent également être créés par l’utilisateur. Modèles ajoutent des éléments de contrôle prédéfinis à des positions prédéfinies sur le synoptique. Les éléments qui ne sont pas nécessaires peuvent également être supprimés individuellement après leur création. Les éléments supplémentaires peuvent être sélectionnés dans la liste déroulante, puis insérés dans le synoptique zenon. Les éléments peuvent être déplacés et disposés individuellement sur le synoptique.

Éléments de contrôle

Élément de contrôle | Description
Modèle d'équipement (intitulé) | Champ de texte d'affichage du nom du modèle d'équipement illustré à l'écran. Remarque : Élément de type Texte dynamique. L'attribution de la fonctionnalité a lieu à l'aide de la propriété Fonction spécifique au type de synoptique.
Modèle d'équipement (structure) | Élément d'arborescence affichant la structure du groupe du modèle d'équipement sélectionné.

Sélection

Boutons de sélection de l’affichage dans le Runtime.

Élément de contrôle

Description

Appliquer la sélection

Le groupe sélectionné dans l'arborescence est utilisé en tant que filtre pour les synoptiques sélectionnés dans l'appel de synoptique. Le synoptique doit déjà être ouvert pour que le filtre fonctionne.

Développer tout

Tous les nœuds de l'arborescence sont développés et tous les sous-groupes sont affichés.

Réduire tout

Tous les nœuds développés sont réduits. Seuls les principaux groupes de l'arborescence sont affichés.

Développer la sélection

Le nœud sélectionné de l'arborescence est développé.

Réduire la sélection

Le nœud sélectionné de l'arborescence est réduit.

Filtre hiérarchique

Case à cocher pour l’activation du filtre hiérarchique de modèle d’équipement.

  • Activé :
    les variables liées à une sous-hiérarchie du groupe d’équipement sélectionné sont prises en compte dans le filtre et sont incluses dans l’affichage du Runtime.
  • Inactif :
    lors du filtre, seules les variables liées au groupe d’équipement sélectionné sont prises en compte.

Exécuter les fonctions

Toutes les fonctions du projet local actuellement liées au groupe sélectionné dans l'arborescence sont exécutées. L'ordre d'exécution n'est pas déterminé.
Remarque : la configuration de l'option Filtre hiérarchique n'a pas d'impact sur l'exécution de la fonction.

Éléments compatibles

Les éléments de contrôle supprimés ou remplacés par des versions plus récentes restent disponibles, pour des raisons de compatibilité. Ces éléments ne sont pas pris en compte lors de l’insertion automatique de modèles.

Élément de contrôle | Description
Modèle d'équipement (intitulé) | Élément de contrôle statique Win32. Remplacé par un champ de texte dynamique. Pour la description, reportez-vous à l’élément actuel.


Effectuez un appel de synoptique de type Modèle d'équipement

Manuel -> Modèles d'équipements -> Synoptique de type Modèle d'équipement -> Effectuez un appel de synoptique de type Modèle d'équipement

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Pour créer une fonction d'appel d'un synoptique de type Modèle d'équipement :

  1. Sélectionnez Nouvelle fonction.
  2. Sélectionnez Appel de synoptique.
  3. Sélectionnez le synoptique Modèle d'équipement

    La boîte de dialogue de configuration s'affiche à l'écran.

  4. Configurez le modèle d'équipement à afficher et le synoptique pouvant être mis à jour avec celui-ci.
  5. Confirmez la configuration en cliquant sur le bouton OK.

Modèle d'équipement affiché

Paramètre

Description

Modèle d'équipement affiché

Sélection du modèle d'équipement à afficher dans le Runtime.

Nom statique

Sélection d'un modèle dans une liste déroulante.

La liste contient tous les modèles d'équipement contenus dans le projet local et le projet global. En cas de conflit de nom (lorsqu'un modèle d'équipement local et un modèle d'équipement global ont le même nom), le modèle d'équipement local est affiché. Tous les modèles d'équipement locaux et globaux avec un nom unique sont toujours affichés.

Nom par une variable

Le modèle est lu lorsqu'un appel de synoptique est effectué à partir des variables string indiquées ici.

Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de variables string.

S'il est impossible de lire la variable dans le Runtime, le nom reste vide. Aucun modèle d'équipement n'est affiché.

Groupe d'équipements sélectionné

Sélection d'une variable dans laquelle le groupe d'équipements sélectionné dans le synoptique sera écrit dans le Runtime.

Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de variables string.

Filtre hiérarchique

Case à cocher pour l’activation du filtre hiérarchique de modèle d’équipement.

  • Activé :
    les variables liées à une sous-hiérarchie du groupe d’équipement sélectionné sont prises en compte dans le filtre et sont incluses dans l’affichage du Runtime.
  • Inactif :
    lors du filtre, seules les variables liées au groupe d’équipement sélectionné sont prises en compte.

Par défaut : Actif
Remarque : cette case est toujours activée avec de nouveaux projets. Cette option est inactive pour les projets créés avant zenon 7.60 et convertis à la version actuelle.

Synoptiques à mettre à jour

Paramètre

Description

Synoptiques à mettre à jour

Sélection des synoptiques pouvant être filtrés en fonction des modèles d'équipement avec le synoptique de modèle d'équipement actif dans le Runtime.

Les synoptiques affichant les données provenant de AML, CEL, RGM ou de la Gestion d'équipe peuvent être filtrés. Les synoptiques
Cadran peuvent aussi être sélectionnés. Toutefois, si ces derniers ne contiennent pas de données provenant de AML, CEL, RGM ou de la Gestion d'équipe, ils sont ignorés dans le Runtime.

Mise à jour

Paramètre

Description

Mise à jour

Mode de mise à jour.

Mettre à jour sur tous les moniteurs

Active : Cette option recherche les synoptiques affichés dans la liste Synoptiques à mettre à jour sur tous les moniteurs.

Inactive : Cette option recherche les synoptiques affichés dans la liste Synoptiques à mettre à jour sur le moniteur depuis lequel est exécuté l'appel.

OK

Applique les paramètres et ferme la boîte de dialogue.

Annuler

Discards all changes and closes the dialog.

Aide

Ouvre l'aide en ligne.

Remarque : Ce filtre peut désormais uniquement être configuré dans Editor, et non dans le Runtime.


Filtrer dans la vue de détail

Manuel -> Modèles d'équipements -> Filtrer dans la vue de détail

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Vous pouvez filtrer les éléments par groupe d'équipements dans la vue de détail du gestionnaire de projet. S'ils ne sont pas déjà affichés, sélectionnez Filtrer la sélection dans le menu contextuel et ajoutez Groupes d'équipements.

Pour filtrer :

  • cliquez sur le symbole de filtre dans l'en-tête de colonne Groupes d'équipements.
  • La boîte de dialogue de sélection des groupes d'équipement s'affiche à l'écran.
  • Ajoutez les critères de filtre de votre choix à la liste.
  • Seuls les éléments liés aux groupes d'équipements sélectionnés sont affichés dans la vue détaillée.

Pour réinitialiser le filtre :

  • cliquez sur le symbole de filtre dans l'en-tête de colonne Groupes d'équipements.
  • La boîte de dialogue de sélection des groupes d'équipement s'affiche à l'écran.
  • Supprimez les critères de filtre de la liste.


Filtrage dans le Runtime

Manuel -> Modèles d'équipements -> Filtrage dans le Runtime

Pour effectuer un filtrage en fonction des groupes d'équipement dans le Runtime, vous disposez des possibilités suivantes :

  • Configuration du filtre lors de l'appel de synoptique : Créez une fonction d'appel de synoptique pour le synoptique souhaité et définissez le filtre dans l'onglet Modèles d'équipement. Dans le Runtime, les données sont affichées en fonction du filtre défini. Le bouton Filtre doit être présent si vous souhaitez modifier le filtre dans le Runtime.
  • Synoptique de type Modèle d'équipement : Créez un synoptique Modèle d'équipement et attribuez-le à un modèle d'équipement lors de l'appel de synoptique. Vous pouvez sélectionner des groupes d'équipements dans le Runtime et appliquer votre sélection en tant que filtre aux synoptiques déjà ouverts. En outre, toutes les fonctions liées à un groupe d'équipements peuvent être exécutées de manière séquentielle, d'un simple clic.

info Informations

Si vous activez l'option Filtre hiérarchique, tous les niveaux supérieurs du modèle d'équipement ont pris en compte au cours du filtrage.

Autres sujets abordés dans ce chapitre

Filtrer lors de la commutation de synoptiques et l'exécution d'une fonction

Créer un filtre

Utilisation d'un synoptique de modèle d'équipement dans le Runtime


Filtrer lors de la commutation de synoptiques et l'exécution d'une fonction

Manuel -> Modèles d'équipements -> Filtrage dans le Runtime -> Filtrer lors de la commutation de synoptiques et l'exécution d'une fonction

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Vous pouvez filtrer les groupes d'équipements dans le Runtime pour les fonctions suivantes :

  • Listes AML et CEL
    • Supprimer les alarmes
    • Acquitter les alarmes
    • Exporter liste d'alarmes
  • Message Control :
    • Groupe/classe/domaine/équipement supprimé
  • Gestion d'équipe
  • Gestionnaire de groupe de recettes (Recipe Group Manager)

Filtres

Pour le filtrage via la fonction Appel de synoptique, le résultat du filtrage du modèle d'équipement peut dépendre du type de synoptique.

  • Appel de synoptique vers un synoptique de type suivant :
    • Liste AML :
      les alarmes sont uniquement affichées si leurs variables sont liées aux groupes d'équipements.
    • Liste CEL :
      les entrées sont uniquement affichées si leurs variables sont liées aux groupes d'équipements.
    • Recipe Group Manager :
      les groupes de recettes sont uniquement disponibles dans la liste déroulante s'ils sont inclus dans le filtre. Si de nouveaux groupes de recettes sont créés, ils peuvent être liés à des groupes d'équipements existants. Ces nouvelles données peuvent être restaurées à nouveau à partir des fichiers du Runtime dans Editor ; dans ce cas, les groupes d'équipements liés sont également restaurés.
    • Gestion d'équipe :
      les équipes liées aux groupes d'équipement sont affichées.

info Informations

Si vous activez l'option Filtre hiérarchique, tous les niveaux supérieurs du modèle d'équipement ont pris en compte au cours du filtrage.


Créer un filtre

Manuel -> Modèles d'équipements -> Filtrage dans le Runtime -> Créer un filtre

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Pour créer une fonction d'appel de synoptique et filtrer les groupes d'équipements :

  1. Créez une fonction Appel de synoptique.
  2. Sélectionnez le synoptique de votre choix.
  3. Cliquez sur l'onglet Modèles d'équipement dans la boîte de dialogue Filtre.
  4. Sélectionnez les modèles et les groupes d'équipement.
  5. Confirmez avec OK.

Boîte de dialogue

Remarque : Les onglets affichés dépendent du module pour lequel les modèles d'équipement ont été configurés.

Modèles d'équipements

Fermer boîte de dialogue

Options | Description :
OK | Applique toutes les modifications effectuées sur tous les onglets, puis ferme la boîte de dialogue.
Annuler | Annule toutes les modifications effectuées sur tous les onglets, puis ferme la boîte de dialogue.
Aide | Ouvre l'aide en ligne.


Utilisation d'un synoptique de modèle d'équipement dans le Runtime

Manuel -> Modèles d'équipements -> Filtrage dans le Runtime -> Utilisation d'un synoptique de modèle d'équipement dans le Runtime

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Dans le Runtime, d'autres synoptiques précédemment appelés contenant des données provenant des listes AML ou CEL peuvent être filtrés en fonction des groupes d'équipements.

Éléments de contrôle

Élément de contrôle | Description
Modèle d'équipement (intitulé) | Champ de texte d'affichage du nom du modèle d'équipement illustré à l'écran. Remarque : Élément de type Texte dynamique. L'attribution de la fonctionnalité a lieu à l'aide de la propriété Fonction spécifique au type de synoptique.
Modèle d'équipement (structure) | Élément d'arborescence affichant la structure du groupe du modèle d'équipement sélectionné.

Sélection

Boutons de sélection de l’affichage dans le Runtime.

Élément de contrôle

Description

Appliquer la sélection

Le groupe sélectionné dans l'arborescence est utilisé en tant que filtre pour les synoptiques sélectionnés dans l'appel de synoptique. Le synoptique doit déjà être ouvert pour que le filtre fonctionne.

Développer tout

Tous les nœuds de l'arborescence sont développés et tous les sous-groupes sont affichés.

Réduire tout

Tous les nœuds développés sont réduits. Seuls les principaux groupes de l'arborescence sont affichés.

Développer la sélection

Le nœud sélectionné de l'arborescence est développé.

Réduire la sélection

Le nœud sélectionné de l'arborescence est réduit.

Filtre hiérarchique

Case à cocher pour l’activation du filtre hiérarchique de modèle d’équipement.

  • Activé :
    les variables liées à une sous-hiérarchie du groupe d’équipement sélectionné sont prises en compte dans le filtre et sont incluses dans l’affichage du Runtime.
  • Inactif :
    lors du filtre, seules les variables liées au groupe d’équipement sélectionné sont prises en compte.

Exécuter les fonctions

Toutes les fonctions du projet local actuellement liées au groupe sélectionné dans l'arborescence sont exécutées. L'ordre d'exécution n'est pas déterminé.
Remarque : la configuration de l'option Filtre hiérarchique n'a pas d'impact sur l'exécution de la fonction.

Éléments compatibles

Les éléments de contrôle supprimés ou remplacés par des versions plus récentes restent disponibles, pour des raisons de compatibilité. Ces éléments ne sont pas pris en compte lors de l’insertion automatique de modèles.

Élément de contrôle | Description
Modèle d'équipement (intitulé) | Élément de contrôle statique Win32. Remplacé par un champ de texte dynamique. Pour la description, reportez-vous à l’élément actuel.

Exemple

Les alarmes de la salle 3 d'une usine doivent être affichées.

Configuration :

  • La salle 3 est définie comme son propre groupe d'équipements dans le modèle d'équipement.
  • Lors de l'appel d'un synoptique de type Modèle d'équipement, les indications suivantes sont affichées :
    • Le modèle d'équipement contenant la salle 3 est sélectionné
    • Le synoptique AML est sélectionné en tant que synoptique à mettre à jour

Les considérations suivantes s'appliquent dans le Runtime :

  • La liste d'alarmes est affichée
  • Le modèle d'équipement est affiché
  • Le modèle d'équipement est sélectionné en tant que Hall 3
  • le bouton Appliquer la sélection est actionné

Le synoptique de liste AML appelé affiche maintenant uniquement les alarmes concernant le hall 3


MultiTouch

Manuel -> MultiTouch

Dans zenon, les gestes MultiTouch permettent également d'actionner les écrans tactiles.
Vous pouvez obtenir un exemple de projet auprès de votre conseiller zenon.

attention Attention

L’utilisation à deux mains avec gestes MultiTouch peut être configurée avec deux boutons : un premier bouton active le bloc, l’autre exécute l’action.
Les conditions suivantes doivent en outre être vraies dans le navigateur

  • Deux points de pression, configurés sur leur propre synoptique
  • Deux synoptiques conçus avec leur propre cadre

Configuration minimale requise

La configuration suivante est recommandée pour la fonctionnalité MultiTouch :

  • Activation de DirectX Hardware pour la propriété Apparence graphique / Qualité graphique de zenon. Dans ce cas, tenez compte de la configuration minimale requise spécifiée dans le chapitre Configuration requise lors de l’utilisation de DirectX.

Configuration de la fonctionnalité MultiTouch

Pour utiliser la fonctionnalité MultiTouch :

  1. Désactivez la propriété de projet Projet Windows CE
  2. Configure MultiTouch dans les sections suivantes :
    1. Propriétés du projet
    2. Propriétés du synoptique
    3. Propriétés des éléments dynamiques

Modification des propriétés du projet

Pour modifier les propriétés du projet :

  1. Accédez au groupe Intéraction.
  2. Dans le groupe Multi-Touche, pour la propriété Reconnaissance, sélectionnez :
    • Windows 7 : active
      Les gestes compatibles avec Windows 7, ainsi que la fonctionnalité MultiTouch dans VSTA
      Gestes MultiTouch de zoom et de défilement dans la vue globale
    • Windows 8 : active
      Les gestes compatibles avec Windows 8, ainsi que la fonctionnalité MultiTouch dans VSTA
      Prise en charge native des gestes MultiTouch de Windows 8
  3. Sélectionnez les propriétés de votre choix dans les autres sous-groupes :
    • Visualisation pour l'entrée avec stylo
    • Visualisation pour l'entrée en tactile

attention Attention

Dans le Panneau de configuration de Windows 8, la visualisation de la saisie tactile et par stylet peut être définie globalement :

  • Si la visualisation est désactivée, aucune visualisation n’est disponible dans zenon, quelle que soit la configuration.
  • Si l’option Optimiser le retour visuel pour la projection sur un moniteur externe est utilisée, le retour visuel est optimisé et toujours affiché dans zenon, quelle que soit la configuration des propriétés du projet.

Par défaut : Le retour visuel est activé, mais pas optimisé. Le comportement peut également être défini dans zenon.

Adaptation de synoptiques et d’éléments dynamiques dans les projets

Dans le projet, vous trouverez les options de configuration de la fonctionnalité MultiTouch avec les propriétés suivantes :

  • Pour les synoptiques, dans les groupes :
    • Intéraction
    • Interface de programmation
    • Evaluation de geste VSTA
  • Pour les éléments dynamiques, dans le groupe :
    • Evaluation de geste VSTA
    • Runtime/Appuyer et maintenir

Autres sujets abordés dans ce chapitre

Gestes

Configuration de l’interaction

Désactiver le retour d’informations lors du défilement

Évaluation d’événements

Détection de gestes dans VSTA

Exemple de projet pour Windows 7

Navigation avec la fonction MultiTouch dans la vue globale.


Gestes

Manuel -> MultiTouch -> Gestes

La fonctionnalité MultiTouch zenon vous permet de bénéficier des différents gestes spécifiques à Windows. Vous pouvez voir le nombre de points d’entrée fournis par votre système tactile dans les propriétés du système, dans la section Système.

Les gestes Windows 7

Sélection de gestes fréquemment utilisés dans zenon :

Geste | Description | Windows standard
Sélection | Touchez un objet, puis déplacez le doigt dans une direction. | Faites glisser avec la souris ou effectuez une sélection.
Appui et maintien | Appuyez sur la cible, puis appuyez brièvement avec un deuxième doigt. | Cliquer avec le bouton droit.
Appuyer et maintenir | Appuyez?; attendez l’animation représentant un anneau, puis relâchez. | Cliquer avec le bouton droit.
Gestes | Déplacement rapide dans une direction. | Déplacer un élément vers le haut, vers le bas, en avant et en arrière.
Appui/Double clic | Appuyez une ou deux fois rapidement avec un doigt. | Clic/double clic.
Déplacement lent | Déplacez un ou deux doigts vers le haut ou vers le bas. | Défilement.
Zoom | Placez deux doigts sur l’écran, puis éloignez-les l’un de l’autre. | Zoom (touche Ctrl plus molette de la souris).
Appui bref à deux doigts | Appuyez brièvement avec deux doigts simultanément. La cible doit se trouver entre vos doigts. | Aucun.

Les gestes Windows 8

Sélection de gestes fréquemment utilisés dans zenon :

Geste | Description | Windows standard
Appui et maintien | Appuyez sur la cible, puis appuyez brièvement avec un deuxième doigt. | Cliquer avec le bouton droit.
Appuyer et maintenir | Appuyez?; attendez l’animation représentant un anneau, puis relâchez. | Cliquer avec le bouton droit.
Appui/Double clic | Appuyez une ou deux fois rapidement avec un doigt. | Clic/double clic.
Glisser | Déplacez rapidement un doigt dans la direction dans laquelle vous souhaitez déplacer l’écran. Permet de faire défiler rapidement les menus ou les pages, ou de se déplacer latéralement dans des interfaces. | Défilement.
Panoramique | Touchez la page avec un ou deux doigts et déplacez-la en la faisant glisser. | Défilement.
Drag | Placez un doigt sur l’objet et faites-le glisser avec le doigt. | Permet de passer d’un synoptique ou d’un menu à un autre. Sélectionner et déplacer des objets.
Zoom | Placez deux doigts sur l’écran, puis éloignez-les l’un de l’autre. | Zoom (touche Ctrl plus molette de la souris).

Comportement de zenon avec les gestes à deux doigts (Windows 8)

Dans Windows 8, si l’utilisateur touche l’écran avec deux doigts, l’action effectuée dépend des éléments touchés.

Comportement lors d’un appui long sur un bouton :

  • Le premier doigt touche et maintient le bouton avec une fonction liée :
    • Le bouton est enfoncé.
  • Le deuxième doigt touche l’écran hors du bouton :
    • L’action du bouton est annulée?; le bouton n’apparaît plus comme enfoncé.
      Attention : Ne concerne pas le module ETM. Celui-ci ne permet pas d’annuler une pression.
    • Les actions MultiTouch déjà déclenchées sont annulées.
    • Une nouvelle action MultiTouch est cherchée (zoom, par exemple).

Comportement avec un deuxième doigt sur le bouton :

  • Le premier doigt est maintenu à un emplacement vide sur l’écran :
    • Aucune action.
  • Le deuxième doigt touche un bouton et le maintient enfoncé :
    • Aucune action n’est déclenchée pour le bouton. Le système se comporte comme si le deuxième doigt se trouvait également à un emplacement vide sur l’écran. Les actions MultiTouch sont possibles pour le synoptique.


Configuration de l’interaction

Manuel -> MultiTouch -> Configuration de l’interaction

Pour les gestes dans Windows 8, de nombreux aspects de l'interaction via la fonctionnalité MultiTouch peuvent être configurés par le biais des propriétés, sans programmation supplémentaire.

Éléments requis : Dans les propriétés du projet, l’option Windows 8 doit être sélectionnée dans le nœud Intéraction de la propriété Reconnaissance. zenon doit être en cours d’exécution sur un ordinateur Windows 8 dans le Runtime.

Configuration

Des interactions peuvent être configurées pour :

  • Certains types de synoptique
  • Les éléments de synoptique dynamiques
  • Les zones tactiles

Les actions pouvant être associées aux gestes dépendent du synoptique et/ou de l’élément de synoptique devant être configuré.

Pour configurer les interactions pour les synoptiques :

  1. Définissez le focus sur le synoptique souhaité.
  2. Accédez au nœud Intéraction dans les propriétés.
  3. Sélectionnez les propriétés de votre choix dans les sous-groupes.

Pour configurer les interactions pour les éléments de synoptique :

  1. Définissez le focus sur l’élément de synoptique souhaité.
  2. Accédez au nœud Runtime dans les propriétés.
  3. Sélectionnez les propriétés de votre choix dans les sous-groupes.

Effets réciproques info Informations

Les cadres peuvent également être déplacés avec la souris si le synoptique n’est pas une vue globale. Pour cela, la propriété Déplacer le gabarit avec la souris doit être activée. Dans le Runtime, cliquez avec le bouton gauche de la souris dans une zone vide du synoptique, puis déplacez la souris en maintenant le bouton enfoncé pour déplacer l’ensemble du synoptique.

La propriété Déplacer le gabarit avec la souris ne peut pas être activée en même temps que les propriétés Déplacer horizontalement et Déplacer verticalement. Le déplacement d’un cadre avec la souris ou le déplacement horizontal/vertical à l’aide de commandes tactiles peuvent tous deux être activés.

Tenez compte de ce cas de figure spécial : Dans le scénario suivant, les deux propriétés sont définies et restent ensuite non configurables :

  • La propriété Déplacer horizontalement ou Déplacer verticalement est activée.
  • La propriété de projet Reconnaissance pour Intéraction est définie sur Windows 7 ou Désactivé.
  • La propriété Déplacer le gabarit avec la souris est activée.
  • La propriété Reconnaissance est à nouveau définie sur Windows 8.

Solution :

  • Redéfinissez la propriété Reconnaissance sur Windows 7 ou Désactivé.
  • Désactivez la propriété Déplacer le gabarit avec la souris.

Autres sujets abordés dans ce chapitre

Réactions


Réactions

Manuel -> MultiTouch -> Configuration de l’interaction -> Réactions

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Les réactions aux gestes peuvent être configurées individuellement pour les synoptiques et les éléments de synoptique :

  1. Les éléments suivants sont disponibles dans le groupe Intéraction pour les synoptiques pris en charge :
    • Réactions au geste Appuyer et maintenir
    • Réactions au geste Double appui
  2. Les éléments suivants sont disponibles dans le groupe Runtime pour les éléments de synoptique dynamiques :
    • Réactions au geste Appuyer et maintenir
  3. Dans le groupe Runtime, les éléments suivants sont disponibles pour différents éléments, selon le type de synoptique sélectionné :
    • Double appui
    • Appuyer

Les réactions sont utilisées pour définir ce qui se produit lorsqu’un geste est détecté sur un synoptique ou un élément de synoptique durant le Runtime.

  • Réaction : Sélection de la réaction souhaitée dans la liste déroulante. Les réactions disponibles varient selon le type de synoptique/l’élément.
  • Fonction : Sélection d’une fonction configurée dans zenon si l’option Exécuter une fonction personnalisée a été sélectionnée.

Remarque : il existe une différence significative entre les synoptiques et les éléments de synoptiques pour lesquels l’option Exécuter une fonction personnalisée est activée : Les verrouillages et les droits d’utilisateur peuvent être configurés pour les éléments de synoptique. Ceci n’est pas possible pour les synoptiques, car un synoptique ne comporte pas les mêmes fonctions.

Synoptiques

  • Utilisables dans les environnements de Runtime incompatibles avec un fonctionnement tactile
  • Rétrocompatibles : de nouveaux gestes peuvent être pris en charge, et des gestes peuvent également recevoir de nouveaux paramètres

Si un synoptique est copié, les propriétés correspondantes préalablement définies sont acceptées.

Autres sujets abordés dans ce chapitre

Manipulation

Double appui

Appui bref sur un élément de synoptique

Appuyer et maintenir


Manipulation

Manuel -> MultiTouch -> Configuration de l’interaction -> Réactions -> Manipulation

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Les synoptiques et certains éléments de synoptiques peuvent être manipulés avec des gestes tactiles. Vous pouvez définir la réaction correspondant à un geste dans Editor, dans le groupe Manipulation, pour les éléments suivants :

  • Déplacer (uniquement les fenêtres de diagramme dans le module Extended Trend)
  • Déplacer horizontalement
  • Déplacer verticalement
  • Zoom

La manipulation des synoptiques ou des éléments de synoptique dépend de la configuration des options de taille :

  • Propriété Dimension du gabarit active : Le synoptique est manipulé (déplacement, zoom).
  • Vue globale : L’élément actif correspondant du synoptique est manipulé, à condition que l’élément l’autorise.
    Définition de la vue globale : La propriété Dimension du gabarit est inactive et la largeur du synoptique est supérieure à celle du cadre.

info Informations

La propriété Déplacer le gabarit avec la souris ne peut pas être activée en même temps que les propriétés Déplacer horizontalement et Déplacer verticalement. Le déplacement d’un cadre avec la souris ou le déplacement horizontal/vertical à l’aide de commandes tactiles peuvent tous deux être activés.

Tenez compte de ce cas de figure spécial : Dans le scénario suivant, les deux propriétés sont définies et restent ensuite non configurables :

  • La propriété Déplacer horizontalement ou Déplacer verticalement est activée.
  • La propriété de projet Reconnaissance pour Intéraction est définie sur Windows 7 ou Désactivé.
  • La propriété Déplacer le gabarit avec la souris est activée.
  • La propriété Reconnaissance est à nouveau définie sur Windows 8.

Solution :

  • Redéfinissez la propriété Reconnaissance sur Windows 7 ou Désactivé.
  • Désactivez la propriété Déplacer le gabarit avec la souris.

Zoom

Un synoptique peut uniquement être agrandi dans les limites définies pour les propriétés suivantes :

  • Largeur (maximum) [pixels]
  • Hauteur (maximum) [pixels]
  • Breite(Minimum) [Pixel]
  • Höhe(Minimum) [Pixel]

Si une limite est atteinte pendant l'utilisation du zoom, une tentative d'agrandissement dans les directions comportant de l'espace libre est effectuée. Le rapport d'aspect de la page est alors pris en compte.

Les synoptiques Cadran ne peuvent pas être agrandis.

Fonction de zoom dans le module ETM

In the Extended Trend module, in addition to the window, the curve graphics can also be zoomed into with a two-finger gesture.

For zooming in the ETM, this means:

  • Zooming graphics: Both fingers must be on the graphics.
  • Zooming into the screen: Both fingers must be in the screen. No finger can be on the graphics.
  • If there are two fingers on the graphics and two on the screen, graphics and the screen are zoomed.
  • If there is one finger in the screen and one finger on the graphics, the screen is moved if configured accordingly.
  • If a Button button is pressed during an action, this action can no longer be canceled.

Cadrans

Avec les cadrans, le synoptique de cadran et le conteneur de synoptique possèdent des gestes de manipulation propres. Les gestes ont un effet sur le conteneur de synoptique si le synoptique de cadran n’est pas une vue globale.

Effet du geste dans le détail :


Double appui

Manuel -> MultiTouch -> Configuration de l’interaction -> Réactions -> Double appui

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Double appui sur les synoptiques

Les synoptiques suivants sont disponibles en réaction au Double appui :

  • Aucune réaction
  • Exécuter une fonction personnalisée
  • Affichage de la fenêtre d’état

info Informations

Les réactions disponibles dépendent du type de synoptique et de l'élément de synoptique.

Double appui sur un élément de synoptique

Liste d’alarmes

La liste AML affichée sur les synoptiques AML fournit une Réaction pour le geste Double appui :

  • Aucune réaction
  • Exécuter une fonction personnalisée
  • Acquitter alarmes : pour les alarmes sélectionnées
  • Exécuter alarme : pour les alarmes sélectionnées
  • Aide pour l’exécution d’alarmes : pour les alarmes sélectionnées
  • Arrêter/continuer la liste : indépendamment des alarmes.

Un double appui sur une entrée de liste entraîne toujours la sélection de l’entrée et l’exécution de la fonction correspondante. Un double appui hors d’une entrée de liste permet d’accéder à des fonctions indépendantes, mais pas aux fonctions spécifiques aux alarmes.

Extended Trend

La fenêtre de diagramme d’un synoptique Extended Trend fournit une Réaction pour le Double appui :

  • Aucune réaction
  • Exécuter une fonction personnalisée
  • Zoom à 100 %
  • Annuler zoom

Listes sur d’autres synoptiques

Certaines listes affichées sur les synoptiques fournissent une Réaction pour le geste Double appui :

  • Aucune réaction
  • Exécuter une fonction personnalisée


Appui bref sur un élément de synoptique

Manuel -> MultiTouch -> Configuration de l’interaction -> Réactions -> Appui bref sur un élément de synoptique

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Les éléments suivants sont disponibles pour les éléments de synoptique, en Réaction à un geste Appuyer :

  • Aucune réaction
  • Exécuter une fonction personnalisée
  • Sélection


Appuyer et maintenir

Manuel -> MultiTouch -> Configuration de l’interaction -> Réactions -> Appuyer et maintenir

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Appui long sur un synoptique

Les synoptiques suivants sont disponibles en réaction au Appuyer et maintenir :

  • Aucune réaction
  • Exécuter une fonction personnalisée
  • Affichage de la fenêtre d’état

info Informations

Les réactions disponibles dépendent du type de synoptique et de l'élément de synoptique.

Appui long sur un élément de synoptique

Les éléments suivants sont disponibles pour les éléments de synoptique, en réaction à un geste Appuyer et maintenir :

  • Aucune réaction
  • Exécuter une fonction personnalisée
  • Afficher un menu contextuel


Désactiver le retour d’informations lors du défilement

Manuel -> MultiTouch -> Désactiver le retour d’informations lors du défilement

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Si la fin de la zone est atteinte lors d’un défilement, Windows fournit un retour d’informations visuel en déplaçant l’élément.
Pour le Runtime de zenon, cela signifie que si un défilement est effectué dans un élément de contrôle, la fonction de retour d’informations de Windows déplace l’ensemble de la fenêtre du Runtime. En effectuant une action à deux doigts, un utilisateur peut ainsi involontairement quitter le Runtime et revenir au bureau.

Solution : Cette action de Windows peut être désactivée. Pour cela, Windows 8.1 (ou une version supérieure) est nécessaire.

Désactiver la fonction de retour d’informations

Pour désactiver le retour d’informations visuel :

  1. Ouvrez la Registry de Windows.
  2. Accédez à la clé HKEY_CURRENT_USER/Software/Microsoft/Wisp/Touch/.
  3. Définissez la valeur de l’entrée Bouncing sur 0.

Remarque : La fonction de retour d’informations de Windows est alors complètement désactivée, et ne fonctionne plus dans d’autres applications.


Évaluation d’événements

Manuel -> MultiTouch -> Évaluation d’événements

Les événements devant être évalués par le biais de l’interface de programmation peuvent être définis de manière détaillée pour les synoptiques. L’évaluation est effectuée au niveau du synoptique, via VSTA. Pour configurer l’évaluation d’événements : la propriété Reconnaissance, accessible dans les propriétés du projet pour Intéraction, doit être définie sur Windows 8.

  1. Accédez au groupe Interface de programmation.
  2. Accédez au sous-groupe Événements Multi-Touche.
  3. Sélectionnez la propriété souhaitée dans la liste déroulante de la propriété Routage événement données brutes.
    • Tous les événements : tous les événements sont évalués.
    • Désactivée : l’évaluation est désactivée.
    • Uniquement les événements sélectionnés : seuls les événements activés par le biais de cases à cocher sont évalués.

Les événements suivants sont disponibles :

  • PointerDown
  • PointerEnter
  • PointerLeave
  • PointerUp
  • PointerUpdate
  • PointerWheel
  • PointerHWheel
  • PointerDeviceChange
  • PointerDeviceInRange
  • PointerDeviceOutOfRange
  • NCPointerDown
  • NCPointerUp
  • NCPointerUpdate
  • PointerActivate
  • PointerCaptureChanged

Vous trouverez des informations détaillées concernant les événements dans la section Modèle d’objet ou dans l’aide de Microsoft pour MSDN (http://msdn.microsoft.com/en-us/library/hh454903(v=vs.85).aspx).


Détection de gestes dans VSTA

Manuel -> MultiTouch -> Détection de gestes dans VSTA

Les propriétés de la détection de gestes dans VSTA permettent d’activer et de désactiver individuellement les balises des menus contextuels d’interaction. Vous trouverez les propriétés concernant la détection de gestes dans VSTA dans les propriétés des éléments suivants :

  • Synoptiques : gestes associés à un synoptique
  • Éléments dynamiques : gestes associés un élément dynamique individuel

Les propriétés sont uniquement disponibles si la propriété Reconnaissance est définie dans les propriétés de l’Intéraction dans Windows 8.

La configuration sélectionnée est disponible dans le Runtime et peut être modifiée via VSTA.

Vous trouverez des informations détaillées concernant les événements dans la section Modèle d’objet ou dans l’aide de Microsoft pour MSDN (http://msdn.microsoft.com/en-us/library/windows/desktop/hh448838(v=vs.85).aspx).

Synoptiques

Vous trouverez les propriétés de la détection de gestes VSTA pour les synoptiques dans le groupe de propriétés Evaluation de geste VSTA du synoptique. Dès que la propriété Reconnaissance de geste active a été activée, les gestes suivants peuvent être sélectionnés :

  • Manipulation
  • Exact
  • Translation X
  • Translation Y
  • Rails X
  • Rails Y
  • Translation inertia
  • Rotation
  • Inertie de rotation
  • Scaling
  • Scaling inertia
  • Cross slide
  • Cross slide horizontal
  • Cross slide select
  • Cross slide speed bump
  • Cross slide rearrange
  • Cross slide exact
  • Tap
  • Tap double
  • Secondary tap
  • Drag
  • Hold

Les éléments dynamiques

Vous trouverez les propriétés de la détection de gestes VSTA pour les éléments dynamiques dans le groupe de propriétés Evaluation de geste VSTA de l’élément. Dès que la propriété Reconnaissance de geste active a été activée, les gestes suivants peuvent être sélectionnés :

  • Manipulation
  • Exact
  • Translation X
  • Translation Y
  • Rails X
  • Rails Y
  • Translation inertia
  • Rotation
  • Inertie de rotation
  • Scaling
  • Scaling inertia
  • Cross slide Cross slide horizontal
  • Cross slide select
  • Cross slide speed bump
  • Cross slide rearrange
  • Cross slide exact
  • Tap
  • Tap double
  • Secondary tap
  • Drag
  • Hold


Exemple de projet pour Windows 7

Manuel -> MultiTouch -> Exemple de projet pour Windows 7

Cet exemple de projet MultiTouch sous Windows 7 est conçu pour une résolution d’écran de 1920x1080. Cette liste contient :

  • Page de démarrage
  • Navigation
  • Ligne d’alarme
  • Synoptique de type Connexion

Page de démarrage

La page de démarrage propose un aperçu de l’ensemble de la ligne de production. Des Icons correspondant à plusieurs éléments d’équipement sont visibles. Vous pouvez faire défiler l’écran avec des gestes pour accéder aux autres équipements. Tap sur une Icon pour modifier l’équipement sélectionné. Les éléments suivants sont également visibles à l’écran :

  • Ligne d’alarmes affichée le long du bord supérieur : Affiche la dernière alarme de l’ensemble de la ligne de production. Vous pouvez déplacer la ligne d’alarme en la faisant glisser. Ceci permet d’afficher l’ensemble de la liste d’alarmes.
  • Bouton Connexion : Permet de connecter différents utilisateurs.
  • Bouton Quitter : Ferme le Runtime?; peut uniquement être actionné par les utilisateurs possédant des droits d’administrateur.

Navigation

Dans la partie inférieure de l’écran, la zone de navigation représente l’ensemble de la ligne de production sous la forme d’Icons disposées dans une zone de défilement horizontale. En outre, une vue globale de l’énergie est disponible. Vous pouvez la sélectionner en appuyant sur le bouton situé en bas de l’écran, au centre. Une machine peut être sélectionnée par un geste Tap sur une Icon visible. Dans ce projet, seul l’équipement Filler peut être sélectionné. Si vous appuyez longuement sur l’Icon Filler, un effet de Glow apparaît. Vous pouvez parcourir la liste avec des gestes de Swipe?; Tap sur la liste pour arrêter le défilement.

La vitesse de défilement est déterminée par l’accélération du geste de Drag :

  • Lent : le défilement suit le doigt
  • Rapide : le défilement s’accélère

La navigation est centrée sur l’Icon Filler lors de l’affichage du synoptique d’accueil.

Ligne d’alarme

Une ligne d’alarmes est affichée le long du bord supérieur de l’écran. Elle affiche la dernière alarme de l’ensemble de la ligne de production. Vous pouvez l’ouvrir pour afficher la liste d’alarmes.
Fonctionnement :

  • Ouvrir :
    • un geste Tap sur la ligne permet d’ouvrir la liste AML sur la moitié de l’écran.
    • Vous pouvez ensuite utiliser des gestes pour agrandir ou réduire la taille de la liste AML.
  • Fermer :
    • un geste Tap hors du cadre permet de fermer la liste AML ouverte.
    • Vous pouvez également remonter la liste AML manuellement.

Écran Connexion

L’écran Connexion propose une fonctionnalité d’authentification à base de gestes inspirée de Windows 8. Avant de saisir un mot de passe, vous devez sélectionner un utilisateur par un geste Tap. Ensuite, vous pouvez commencer à saisir le mot de passe de l’utilisateur sélectionné en effleurant les caractères. Par exemple :

Administrateur :

Maintenance :

Opérateur :

Un bouton Déconnexion permet également de déconnecter l’utilisateur actuellement connecté et d’afficher l’écran Connexion. L’écran Connexion est une boîte de dialogue modale, qui atténue l’arrière-plan.

Autres sujets abordés dans ce chapitre

Synoptiques d’équipement

Code VSTA

Informations essentielles concernant la fonctionnalité MultiTouch dans Windows 7

FAQ


Synoptiques d’équipement

Manuel -> MultiTouch -> Exemple de projet pour Windows 7 -> Synoptiques d’équipement

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Dans les synoptiques d’équipement, la ligne d’alarmes dispose des mêmes fonctionnalités que celles de la page d’accueil, à ceci près que les fonctions sont filtrées en fonction de l’équipement.

En outre, le concept de l'espace de travail permet de positionner librement les fenêtres ; celles-ci sont placées dans un élément d'ancrage lorsqu'elles ne sont pas utilisées. L’espace de travail couvre plusieurs écrans, que vous pouvez afficher en effectuant un geste de glissement, en parcourant différents onglets ou en utilisant le bouton de navigation. La partie inférieure de l’écran comporte une zone d’activation de l’utilisation à deux mains et un bouton de retour à la page d’accueil. Dans le coin supérieur droit se trouve un affichage actionnable de l’espace de travail.

Espace d'ancrage

Vous pouvez faire glisser des icônes de l'espace d'ancrage vers l'espace de travail, où elles sont ensuite affichées sous forme de cadran, dans une taille de base définie. Si un cadran est placé dans l'espace de travail, son icône est affichée comme désactivée. Si un cadran est fermé, son icône est à nouveau affichée comme activée. Appuyez longuement sur une icône désactivée pour localiser un cadran ouvert et accéder directement à l'espace de travail correspondant.

Espace de travail

Dans n'importe lequel des quatre espaces de travail librement configurables, vous pouvez positionner et redimensionner autant de cadrans que vous le souhaitez pour chaque personne.

  • Déplacez le cadran vers le bord vertical de l'écran : Après un délai de 2 secondes, l’espace de travail suivant est affiché et le cadran peut être positionné librement.
  • Déplacer le cadran vers le bord vertical de l'écran (geste de glissement) : le cadran est déplacé vers l'espace de travail suivant ; l'espace de travail actuel reste ouvert.
  • Supprimer/fermer un cadran : Faites glisser le cadran vers l'espace d'ancrage ou effectuez un geste de glissement vers le bas.
    Si vous le souhaitez, vous pouvez fermer chaque cadran en appuyant sur le bouton X situé dans le coin supérieur droit.

Les cadrans appelés, leur position, leur taille, etc. sont enregistrés dans le profil de l'utilisateur. Vous pouvez agrandir ou réduire la taille d'un cadran en effectuant un geste d'écartement ou de pincement avec les doigts. Chaque cadran peut également être déplacé. Un cadran sélectionné peut être déplacé vers le premier plan en effectuant un geste Z Order, mais il restera toujours derrière la ligne d'alarmes. Lors de la prochaine connexion, les informations de position et de taille des cadrans individuels sont lues, et les cadrans sont repositionnés correctement.

Opération à deux mains

Dans le coin inférieur gauche se trouve une zone d’activation de l’utilisation à deux mains. Si un élément verrouillé est actionné, la zone d’activation clignote et un élément verrouillé peut être déverrouillé dans cette zone.

Possibilités d’utilisation à deux mains :

  • Bouton : par exemple, Accueil
  • Saisir valeur prescrite : le clavier est affiché à l’écran, autorisant la saisie d’une valeur prescrite
  • Commande rotative

Une prise en compte de l’ordre d’activation (activation avant action) est intégrée au projet de démonstration. Dans le cas d’une commande rotative (utilisation d’un cadran), l’activation active est constamment vérifiée.

Menu circulaire

Le menu circulaire a été mise en œuvre pour autoriser une navigation plus rapide entre les espaces de travail. Il peut être activé par un geste d'appui long dans l’espace de travail, et apparaît autour du doigt en contact avec l’écran. La sélection de l’espace de travail s’effectue en glissant le doigt vers l’une des zones. Le basculement est effectué lorsque le doigt quitte l’écran. L’action peut être annulée en effectuant un geste de glissement à l’extérieur ou à l’intérieur de la zone de menu.

Bouton Accueil

Un bouton Home est visible dans le coin inférieur droit. Le bouton Accueil vous permet d’accéder instantanément à l’écran de démarrage. Le bouton Home peut uniquement être activé dans le cadre d’une utilisation à deux mains.


Code VSTA

Manuel -> MultiTouch -> Exemple de projet pour Windows 7 -> Code VSTA

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Description de classe

MultiTouchManagement

Gestion intégrale de l’application MultiTouch. Lors de la création de la classe MultiTouchManagement, une instance des classes LoginWindow, NavigationsWindow et WindowManagement est créée.

LoginWindow

Cette classe inclut le composant important de reconnaissance de l’identifiant d’utilisateur et du mot de passe.

NavigationWindow

Gère l’écran de positionnement du cadran "Icône", ainsi que le processus d’ouverture des cadrans appelés.

WindowManagement

Assure le traitement de tous les événements tactiles de tous les cadrans (déplacement, redimensionnement, etc.). En outre, cette classe gère l'enregistrement et la lecture de toutes les informations requises concernant les cadrans dans le Runtime.

WindowProperties

Pour chaque cadran, une instance spécifique est créée, fournissant toutes les données nécessaires concernant les cadrans . En termes de conservation des données, toutes les instances sont enregistrées dans un fichier XML lors de la fermeture du Runtime, qui fournit les derniers paramètres valides pour les cadrans au démarrage du Runtime.


Informations essentielles concernant la fonctionnalité MultiTouch dans Windows 7

Manuel -> MultiTouch -> Exemple de projet pour Windows 7 -> Informations essentielles concernant la fonctionnalité MultiTouch dans Windows 7

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Événements

Si vous activez le paramètre Multi-Touche actif du projet, les événements TouchManipulationStartEvent, TouchManipulationDeltaEvent et TouchManipulationCompleteEvent sont activés pour la déclaration de gestionnaire correspondante dans le Runtime. La méthode SetupTouchInertia vous permet de définir le paramètre d’inertie de chaque écran. La présentation suivante décrit le traitement schématique des événements déclenchés :

En règle générale, un événement TouchManipulationStartEvent est déclenché en premier. Tant que vous effectuez le geste, des événements TouchManipulationDeltaEvent et, à la fin du geste, un événement TouchManipulationCompleteEvent final sont déclenchés. Le paramètre transféré IContacts renvoie le nombre de doigts appuyant actuellement sur l’écran.

Une fois l’entrée tactile terminée, les valeurs d’inertie sont calculées par le module de traitement de l’inertie, par le biais des valeurs transférées par la méthode SetupTouchInertia, puis terminées par les événements TouchManipulationDeltaEvent?; les valeurs d’inertie sont calculées avec un événement TouchManipulationCompleteEvent unique.

Puisqu’aucun doigt n’est présent sur l’écran durant le calcul des valeurs d’inertie, le paramètre IContacts transféré est 0. Le nombre d’événements TouchManipulationDeltaEvents requis par le module de traitement de l’inertie dépend des paramètres transférés par la méthode SetupTouchInertia. Selon l’inertie, le module de traitement de l’inertie peut nécessiter un nombre d’événements plus ou moins élevé pour terminer le geste.

Si un autre geste est démarré durant le déclenchement des événements d’inertie calculés, aucun événement TouchManipulationDeltaEvents supplémentaire n’est fourni par le premier geste. Après l’événement TouchManipulationCompleteEvent de conclusion, les événements du nouveau geste sont démarrés immédiatement, par le biais d’un événement TouchManipulationStartEvent.

En outre, les événements TouchEvent, ElementMouseOver, ElementLeftButtonDown et ElementLeftButtonUp sont déclenchés durant le geste.

Prise en charge native du mode MultiTouch dans la vue globale

Pour activer des fonctions de zoom et de défilement par le biais d'événements VBA/VSTA, la propriété 'Multi-touche' pour le zoom et le déplacement ne doit pas être active. Si vous activez cette propriété, zenon tient compte des gestes de zoom et de défilement dans la vue globale configurée. Pour plus d’informations, voir le chapitre : Navigation avec la fonction MultiTouch dans la vue globale.


FAQ

Manuel -> MultiTouch -> Exemple de projet pour Windows 7 -> FAQ

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Foire aux questions et réponses pratiques.

Remarque : Les propriétés Nom liste d'objets et Chapitre d'aide peuvent être utilisées comme des propriétés librement définies dans zenon.

Comment ajouter un nouveau cadran??

L’exemple de projet comprend 13 cadrans commutables, affichés sous forme d’icônes sur l’écran de navigation "Navigation_Bottom". Pour générer un contexte entre les icônes individuelles et les cadrans utilisés, vous devez respecter une convention d’attribution de noms. Le nom des icônes concernées doit correspondre parfaitement au synoptique et au cadre associés. Une connexion entre les synoptiques ne peut être accomplie que lorsque la chaîne (icône - cadre - synoptique) est respectée.

Pour appeler les synoptiques correspondants, vous devez également configurer une fonction d’appel de synoptique. Le nom de la fonction d’appel de synoptique doit comporter le préfixe "scr" et le nom des cadrans. Si cette convention d’attribution de nom est respectée, le traitement intégral est ensuite géré par la fonction de traitement du mode MultiTouch.

Comment créer un retour si le bouton ou l’élément d’affichage de valeurs qu’actionne l’utilisateur nécessite une utilisation à deux mains??

Pour autoriser le fonctionnement à deux mains, les deux points de pression doivent être définis sur leur propre synoptique et dans leur propre cadre. Dans l’exemple de projet, le synoptique est appelé Enabler.

Durant le développement, le verrouillage doit être lié à la propriété enableArea pour les éléments actionnables à deux mains. Cette configuration garantir qu’un retour est automatiquement généré, à condition que l’Enabler n’est pas actionné (utilisation à deux mains). Cet élément est uniquement actionnable si l’utilisateur appuie sur l’Enabler.

Comment créer un bouton rotatif??

Pour créer un bouton comportant une fonctionnalité de commande rotative :

  • Assurez-vous que le nom du bouton contient le composant "HOLD".
  • Accédez au nœud Runtime dans les propriétés de l’élément
  • Saisissez une référence conformément au motif suivant dans la propriété Nom liste d'objets : Nom de variable|Modification de variable
    (Vous trouverez un exemple sur le synoptique Faceplate_Operation, avec le bouton ^^^.)

Comment créer un bouton de changement d’Workspace??

Pour cela, vous pouvez utiliser le symbole prêt à l'emploi Onglet. La variable demoCurrentWorkspace représente la valeur de l’espace de travail actuellement actif dans l’ensemble du projet. Les paramètres suivants contrôlent la variable et réajustent tous les synoptiques ouverts :

Groupe tab_inactive :

La propriété Chapitre d'aide doit contenir l’entrée WorkspaceSwitch.

La propriété Nom liste d'objets doit contenir une entrée conformément au schéma suivant : demoCurrentWorkspace|PAGE (par exemple : demoCurrentWorkspace|3)

Comment créer un nouvel utilisateur??

Sur le synoptique Connexion, vous devez tracer un motif spécifique à l’utilisateur sur les 16 carrés permettant d’authentifier un utilisateur. Dès que vous touchez le premier carré, la saisie du mot de passe est déclenchée. Elle est arrêtée dès que le doigt quitte l’écran. Dès la fin de la saisie du motif, le mot de passe est vérifié. La connexion est effectuée automatiquement après une confirmation positive.

Durant la saisie du motif de mot de passe, un mot de passe typographique est créé en tâche de fond pour être comparé aux utilisateurs du projet développement, grâce à une fonction. Le premier carré est interprété comme 'A', le deuxième comme 'B', etc. ; les lettres sont ensuite assemblées pour former un mot de passe cohérent grâce à l’effleurement linéaire des carrés.

Pour ajouter un nouvel utilisateur :

  • Créez un nouvel utilisateur dans le module de gestion des utilisateurs
  • Créez un mot de passe personnel
  • Assurez-vous que l’utilisateur peut être sélectionné sur le synoptique Connexion, et configurez les mêmes propriétés que pour les boutons de sélection d’utilisateurs déjà configurés

Comment appeler le menu circulaire??

Le menu circulaire est affiché :

  • Autour d’un doigt qui touche l’espace de travail
    et
  • Ne se déplace pas pendant plus de 800 ms

Dans le menu circulaire, vous avez la possibilité de basculer de l'espace de travail actuel vers l’espace de travail de votre choix en glissant votre doigt sur l’écran.

Comment filtrer la liste AML déroulante??

La liste AML reste toujours affichée, et le filtrage à base d’équipements est effectué par une simple possibilité de filtrage de la fonction d’appel des synoptiques Liste AML et Liste AML fermée.

Comment appeler un élément d’équipement??

Les éléments d’équipements peuvent être affichés en exécutant une séquence d’opérations fixes, telles que la personnalisation de filtres, l’appel de synoptiques, l’affichage de zones de navigation spécifiques aux équipements ou le positionnement de cadrans spécifiques aux équipements, etc. Dans cet exemple de projet, l’ordre des fonctions devant être appelées est configuré dans un script de zenon, exécuté lorsque l’utilisateur active les icônes de l’équipement affichées sur l’écran d’accueil.

Où sont enregistrées les informations des cadrans ?

La taille, la position, l’espace de travail, la visibilité et le facteur de dimensionnement sont écrits dans un fichier de configuration. Ces informations se trouvent dans un sous-dossier du dossier %HOMEPATH%\AppData\Local\Ing._Punzenberger_COPA-DA\.


Navigation avec la fonction MultiTouch dans la vue globale.

Manuel -> MultiTouch -> Navigation avec la fonction MultiTouch dans la vue globale.

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Les fonctions MultiTouch de zoom et de défilement sont adaptées à la navigation dans la vue globale sur les écrans tactiles. Pour cela, un synoptique de type Vue d'aperçu n'est pas nécessaire. La navigation peut être mise en œuvre avec :

  • Les gestes tactiles Windows 7
  • Les gestes tactiles Windows 8

Règles

  • Déplacer : Si un conteneur de synoptique n'est pas une vue globale, il accepte les paramètres du synoptique cadran.

Déplacement d'une vue globale ou insertion d'une vue globale dans le conteneur d'un cadran

  • Le synoptique est plus grand que le cadre : Le contenu du synoptique est déplacé.
  • Le synoptique est plus petit ou de la même taille que le cadre : Pas de réaction.

Vue globale intégrée dans le cadran.

  • Le synoptique est plus grand que le cadre : Le contenu du synoptique est déplacé.
  • Le synoptique est plus petit ou de la même taille que le cadre : Pas de réaction.

Déplacement du cadre ou de la bordure avec la souris si le synoptique est une vue globale et est de la même taille ou plus petit que le cadre :

  • Avec le bouton droit de la souris : Pas de réaction.
  • Avec le bouton gauche de la souris : Le cadre est déplacé.

Modification de la taille de la vue globale

La taille de la vue globale ne peut pas être modifiée.
Exception : Si la vue globale est un cadran, la taille ne peut pas être modifiée.

Clic avec le bouton droit de la souris :

  • Le synoptique est plus grand que le cadre : Le contenu est déplacé.
  • Le synoptique est plus petit ou de la même taille que le cadre : Pas de réaction.

Conversion de projets

Valeurs pour Déplacer horizontalement et Déplacer verticalement lors de la conversion au format zenon 7.20 depuis une version antérieure :

  • Le synoptique est plus grand que le cadre : Déplacer.
  • Le synoptique est plus petit ou de la même taille que le cadre : Pas de réaction.

Autres sujets abordés dans ce chapitre

Navigation sous Windows 7

Navigation sous Windows 8


Navigation sous Windows 7

Manuel -> MultiTouch -> Navigation avec la fonction MultiTouch dans la vue globale. -> Navigation sous Windows 7

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Pour pouvoir parcourir un synoptique Vue globale avec des gestes MultiTouch sous Windows 7, vous devez effectuer les opérations suivantes :

  • Activer les gestes MultiTouch par le biais de la propriété 'Multi-touche' pour le zoom et le déplacement
  • Ou la mettre en œuvre par le biais de code VBA/VSTA

Zoom et défilement via la propriété 'Multi-touche' pour le zoom et le déplacement

Pour utiliser la fonction MultiTouch sans VBA/VSTA :

  1. Dans les propriétés du projet, dans le nœud Intéraction de la propriété Reconnaissance, activez Windows 7.
  2. Désactivez la propriété Dimension du gabarit dans le nœud Gabarit des propriétés du synoptique
  3. Activez la propriété 'Multi-touche' pour le zoom et le déplacement dans le nœud Intéraction des propriétés du synoptique

Ceci vous permet de faire défiler et d'agrandir/de réduire la taille d'affichage du synoptique avec des gestes MultiTouch. Dans ce cas, les fonctions de zoom et de défilement VBA/VSTA sont désactivées.

Zoom et défilement via VBA/VSTA

Pour activer des fonctions de zoom et de défilement par le biais d'événements VBA/VSTA, la propriété 'Multi-touche' pour le zoom et le déplacement ne doit pas être active.

Les éléments suivants sont disponibles dans la propriété DynPicture :

  • Propriété

    int ZoomLevel : affiche le niveau de zoom actuel dans la vue globale (valeur valide uniquement dans le Runtime, pour une vue globale).

  • Style

    SetZoomAndPos(float ZoomX, float ZoomY, int ZoomLevel, int CursorX, int CursorY, int PosX, int PosY, int PosMode) :

    ZoomX -> Direction X du nouveau facteur de zoom ; définie sur 0 si inutilisée

    ZoomY -> Direction Y du nouveau facteur de zoom ; définie sur 0 si inutilisée

    ZoomLevel -> Niveau de zoom ; défini sur -1 si inutilisé

    CursorX -> Cursorposition X

    CursorY -> Cursorposition Y

    PosX -> Nouvelle position X (voir PosMode)

    PosY -> Nouvelle position Y (voir PosMode)

    PosMode -> Coordonnées dans Pos

    -1 = PosX, PosY sont ignorés

    0 = point central, coordonnées originales

    1 = point central, coordonnées après zoom

    2 = point supérieur gauche, coordonnées originales

    3 = point supérieur gauche, coordonnées après zoom

    4 = coordonnées après zoom du curseur à partir du point supérieur gauche
    La position de la fenêtre est modifiée de telle manière qu'après le zoom, le pointeur de la souris se trouve toujours au-dessus de la position du synoptique

Attention : ZoomX, ZoomY et ZoomLevel ne peuvent pas être utilisés simultanément. Vous devez soit spécifier un paramètre ZoomLevel, soit spécifier un facteur de zoom pour les axes x et y.


Navigation sous Windows 8

Manuel -> MultiTouch -> Navigation avec la fonction MultiTouch dans la vue globale. -> Navigation sous Windows 8

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Pour naviguer avec des gestes MultiTouch dans un synoptique Vue globale sous Windows 8 :

  1. Dans les propriétés du projet, dans le nœud Intéraction de la propriété Reconnaissance, activez Windows 8.
  2. Pour le synoptique, dans le groupe Gabarit, désactivez la propriété Dimension du gabarit et définissez une taille de synoptique supérieure à la taille du cadre.
  3. Accédez au groupe Intéraction des propriétés du synoptique.
  4. Configurez les propriétés pour Zoomen et Verschieben.

Pour le geste de déplacement, vous pouvez définir la direction de votre choix - horizontale, verticale ou les deux. Pour cela, utilisez les propriétés Horizontal verschieben et Vertikal verschieben.


Planning

Manuel -> Planning

Le module Planning permet l’exécution d’actions à des heures données ou définies sur un modèle horaire.
Par exemple : modifier la valeur prescrite d’une variable à une certaine heure ou exécuter une fonction à intervalles donnés.

Les modules Scheduler et PFS (Production and Facility Scheduler) offrent des fonctions semblables. Ils ne peuvent pas être utilisés simultanément dans un projet. Si le module PFS comporte une licence, le module Scheduler n’est pas disponible.

tutorial Informations concernant la licence

Composante de la licence standard d’Editor et du Runtime.

Utilisation

La configuration du module Scheduler s’effectue généralement dans le Runtime. Toutefois, dans Editor, il est également possible de créer des groupes de plannings comportant des points de commutation et des périodes de commutation. Lors de la création des fichiers de Runtime, les configurations dans Editor ne sont pas transférées par défaut. Lors de l’importation des fichiers de Runtime, les configurations du Runtime sont appliquées dans Editor, par défaut.
Attention : Les données ne sont pas compilées pendant le transfert ; toutefois, les données transférées remplacent la configuration existante.

Modules Scheduler et PFS

Les modules Scheduler et PFS ont la même finalité. Toutefois, leurs fonctionnalités sont limitées.

Une différence importante est que le module Scheduler emploie des plannings reposant sur des heures absolues.
Et donc, les fonctions suivantes ne sont pas disponibles dans le module Scheduler (contrairement au module PFS) :

  • Temps relatif, par exemple, démarrage poste, fin poste
  • Événements définis par l’utilisateur

Passage du module Scheduler au module PFS :

  • Passer du module Scheduler au module PFS est possible à tout instant ; il suffit d’obtenir une licence pour ce module. Les données de ces modules sont compatibles et peuvent être transférées de l’un vers l’autre.

Passage du module PFS au module Scheduler :

  • Les données créées dans le module PFS ne peuvent pas être utilisées dans le module Scheduler !

Autres sujets abordés dans ce chapitre

Configuration dans Editor

Configuration et application dans le Runtime

Créer et administrer des plannings


Configuration dans Editor

Manuel -> Planning -> Configuration dans Editor

Pour utiliser le module Scheduler dans le Runtime, effectuez les opérations suivantes dans Editor :

  • Créez un synoptique Scheduler
  • Configurez un appel de synoptique sur ce synoptique

Si vous le souhaitez, vous pouvez également configurer préalablement les groupes de plannings et les plannings.

La configuration des groupes de plannings et des plannings se déroule de la même manière dans Editor et le Runtime. Les configurations peuvent également être transférées d’Editor vers le Runtime, et inversement. La procédure de configuration du projet est décrite, pour chacun de ces deux cas de figure, dans la section Créer et administrer des plannings.

Autres sujets abordés dans ce chapitre

Barre d’outils et menu contextuel

Paramètres du module Scheduler

Importer des fichiers de Runtime dans Editor

Création d’un synoptique Scheduler

Configuration des appels de synoptique


Barre d’outils et menu contextuel

Manuel -> Planning -> Configuration dans Editor -> Barre d’outils et menu contextuel

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Dans la vue détaillée d’Editor, le module Scheduler peut être configuré à l’aide des commandes de la barre d’outils ou du menu contextuel.

Barre d’outils

Paramètre | Description
Nouveau groupe de plannings... | En fonction de l’élément sélectionné, un nouvel élément est créé et la boîte de dialogue correspondante est ouverte.
Couper | Coupe l’élément sélectionné.
Copier | Copie l’élément sélectionné.
Coller | Colle l’élément depuis le presse-papiers.
Supprimer | Supprime l’élément sélectionné.
Aide | Ouvre l’aide en ligne.

Menu contextuel du module Scheduler

Élément de menu | Action
Nouveau groupe de plannings... | En fonction de l’élément sélectionné, un nouvel élément est créé et la boîte de dialogue correspondante est ouverte.
Coller | Colle l’élément depuis le presse-papiers.
Enregistrer | Enregistre toutes les modifications apportées dans le module Scheduler.
Annuler | Annule l’action et abandonne les modifications.
Paramètres... | Ouvre la boîte de dialogue contenant les paramètres.
Aide | Ouvre l’aide en ligne.

Menu contextuel Groupe de plannings

Paramètre | Description
Copier | Copie le groupe de plannings sélectionné vers le presse-papiers.
Renommer | Permet de renommer le groupe de plannings.
Supprimer | Supprime le groupe de plannings actuellement sélectionné.
Aide | Ouvre l’aide en ligne.


Paramètres du module Scheduler

Manuel -> Planning -> Configuration dans Editor -> Paramètres du module Scheduler

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Vous pouvez préconfigurer plusieurs paramètres pour le module Scheduler.
Pour configurer les paramètres :

  1. Cliquez avec le bouton droit sur l’entrée Scheduler dans la vue détaillée.
  2. Sélectionnez Paramètres dans le menu contextuel.

    La boîte de dialogue de configuration des paramètres s’affiche et propose les trois onglets suivants :

    • Changement d’heure : Action lors du passage de l’heure d’été à l’heure légale.
    • Jours fériés : Sélection des jours fériés nationaux.
    • Affichage : Sélection du type d’affichage du calendrier :

Autres sujets abordés dans ce chapitre

Changement d’heure

Jours fériés

Affichage


Changement d’heure

Manuel -> Planning -> Configuration dans Editor -> Paramètres du module Scheduler -> Changement d’heure

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Sur cet onglet, vous définissez le traitement des événements qui se déroulent pendant un changement d’heure.

Paramètre | Description
Changement de temps positif | L’heure est avancée, l’heure système est avancée dans le futur (par exemple, heure d’été).
Compenser les événements de commutation | Les actions entre l’heure actuelle et la nouvelle heure sont exécutées immédiatement après le changement d’heure.
Recalculer les événements de commutation | Les actions entre l’heure actuelle et la nouvelle heure sont ignorées et ne sont pas exécutées. Les événements de commutation sont recalculés.
Changement de temps négatif | L’heure est retardée, l’heure système est réglée sur une valeur passée (par exemple, heure d’hiver).
Refuser les événements de commutation | Les événements de commutation sont recalculés. Les événements de commutation sont calculés lorsque l’heure originale est atteinte.
Recalculer les événements de commutation | Les actions entre l’heure actuelle et la nouvelle heure sont recalculées. (Ce qui signifie que lorsque la nouvelle heure est atteinte, elles sont exécutées). Ceci entraîne une double exécution des événements dans la période de temps corrigée.
Commutation du serveur redondant | Commutation sur serveur redondant, valide pendant le délai d’attente, lors de la commutation vers le serveur redondant.
Refuser les événements de commutation | L’exécution des événements de commutation démarre selon la position courante du redondant. Les événements de commutation compris dans cette période de temps ne seront peut-être pas exécutés.
Recalculer les événements de commutation | Les points de commutation sont recalculés sur la base de l’heure actuelle moins 30 secondes, puis sont exécutés. Ceci garantit qu’aucune exécution de point de commutation n’est manquée, mais peut en revanche entraîner la double exécution de points de commutation.
Plage de tolérance de différence de temps | Plage de temps de modification de l’heure système sans entraîner le recalcul des événements de commutation selon les critères énoncés ci-dessus.

attention Attention

Effectuez toujours un passage à l’heure d’été/l’heure d’hiver avec la fonction de changement d’heure automatique de Windows. Ne modifiez jamais l’heure manuellement?; cela peut provoquer des erreurs d’heure pouvant affecter zenon.


Jours fériés

Manuel -> Planning -> Configuration dans Editor -> Paramètres du module Scheduler -> Jours fériés

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Les jours fériés nationaux peuvent être pris en compte automatiquement.
Pour présélectionner les jours fériés :

  1. Sélectionnez l’onglet Paramètres.
  2. Sélectionnez l’onglet Jours fériés

  3. Sélectionnez le pays souhaité dans la liste déroulante.
  4. Cliquez sur OK.

    Les jours fériés sont automatiquement pris en compte sous la forme de jours spéciaux dans le Runtime.
    Double-cliquez sur le calendrier pour éditer les entrées dans le Runtime.

Édition manuelle

Les jours fériés peuvent être édités et complétés, si nécessaire. Pour cela, le fichier Feiertage.txt doit être édité.
Ce fichier texte se trouve dans le répertoire suivant : %ProgramData%\COPA-DATA\zenon7.60

Pour créer ou éditer les jours fériés pour un pays :

  1. Ouvrez le fichier Feiertage.txt dans un éditeur de texte.
  2. Accédez à l’entrée sélectionnée ou créez-en une nouvelle.
  3. Modifiez les entrées conformément à la syntaxe.
  4. Enregistrez le fichier.

Attention : La définition correcte est essentielle pour identifier le modèle à utiliser.

Syntaxe

Chaque entrée spécifique à un pays :

  • Commence par le nom du pays entre crochets
  • Contient un jour férié à chaque ligne, avec les indications suivantes :
    • Nom
    • virgule
    • Date au format AAAA/MM/JJ

Remarque : Les pays déjà définis dans le fichier incluent également un identifiant, en plus du nom du pays. Cette indication n’est actuellement pas évaluée et n’est donc pas nécessaire.

Exemple

Autriche, par exemple :

[Austria] 45

Allerheiligen,2017/11/1

Allerheiligen,2018/11/1

Allerheiligen,2019/11/1

Allerheiligen,2020/11/1

Allerheiligen,2021/11/1

Allerheiligen,2022/11/1

Allerheiligen,2023/11/1

Allerheiligen,2024/11/1

Allerheiligen,2025/11/1

Allerheiligen,2026/11/1

Allerheiligen,2027/11/1

Allerheiligen,2028/11/1

Christi Himmelfahrt,2017/5/25

Christi Himmelfahrt,2018/5/10

...


Affichage

Manuel -> Planning -> Configuration dans Editor -> Paramètres du module Scheduler -> Affichage

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Dans Editor, il est possible de choisir entre les ancien et nouveau modes d’affichage dans la vue de détail du module Scheduler.

Pour changer de vue :

  1. Cliquez sur Paramètres dans le menu contextuel du module Scheduler, dans la vue de détail.

    Une nouvelle boîte de dialogue s’affiche à l’écran.

  2. Cliquez sur l’onglet Affichage.

  3. Activez l’option Ancien mode d’affichage du calendrier si vous souhaitez utiliser l’ancien mode d’affichage.

    Désactivez l’option Ancien mode d’affichage du calendrier si vous souhaitez utiliser le nouveau mode d’affichage.

Remarque : Cette option n’est pas activée par défaut pour les nouveaux projets. L’affichage du calendrier est donc conforme au nouveau type d’affichage.

Ancien mode d’affichage :

Nouveau mode d’affichage :

Remarque : Cette option n’est pas activée par défaut pour les nouveaux projets créés dans zenon version 7.50. Ceci signifie que le nouveau mode d’affichage du calendrier est proposé par défaut.


Importer des fichiers de Runtime dans Editor

Manuel -> Planning -> Configuration dans Editor -> Importer des fichiers de Runtime dans Editor

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Les plannings créés dans le Runtime peuvent être importés dans Editor. Pendant l’importation, tous les planning existants sont supprimés et remplacés par les plannings importés. Aucune compilation des différentes données n’est effectuée.

Pour importer les données depuis le Runtime :

  1. Dans la propriété de projet Données modifiables dans le Runtime, assurez-vous que l’option Scheduler est désactivée pour la fonction Ne pas décompiler. (case à cocher vide)
  2. Dans la barre d’outils Fichiers du Runtime, cliquez sur le symbole Importer les fichiers du Runtime.

    La configuration dans Editor est remplacée par la configuration du Runtime.


Création d’un synoptique Scheduler

Manuel -> Planning -> Configuration dans Editor -> Création d’un synoptique Scheduler

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Le synoptique Scheduler affiche un calendrier dans le Runtime. Celui-ci peut être configuré avec les événements devant être automatisés.

Développement

Étapes de création du synoptique :

  1. Créez un nouveau synoptique :

    Dans la barre d’outils ou le menu contextuel du nœud Synoptiques, sélectionnez la commande Nouveau synoptique.
    Un synoptique vide Standard est créé.

  2. Modifiez les propriétés du synoptique :
    1. Nommez le synoptique dans la propriété Nom.
    2. Sélectionnez Scheduler dans la propriété Type de synoptique.
    3. Sélectionnez le cadre souhaité dans la propriété Gabarit.
  3. Configurez le contenu du synoptique :
    1. Sélectionnez l’option de menu Éléments de contrôle dans la barre de menus
    2. Sélectionnez Insérer un modèle dans la liste déroulante.
      La boîte de dialogue de sélection de mises en forme prédéfinies s’affiche à l’écran. Certains éléments de contrôle sont insérés dans le synoptique à des positions prédéfinies.
    3. Supprimez les éléments superflus du synoptique.
    4. Si nécessaire, sélectionnez des éléments supplémentaires dans la liste déroulante Éléments. Placez-les aux emplacements souhaités sur le synoptique.
  4. Créez une fonction d’appel de synoptique.

Éléments de contrôle

Insérer un modèle

Élément de contrôle | Description
Insérer un modèle | Ouvre la boîte de dialogue de sélection de modèle pour le type de synoptique correspondant. Des modèles sont fournis avec zenon, et peuvent également être créés par l’utilisateur. Modèles ajoutent des éléments de contrôle prédéfinis à des positions prédéfinies sur le synoptique. Les éléments qui ne sont pas nécessaires peuvent également être supprimés individuellement après leur création. Les éléments supplémentaires peuvent être sélectionnés dans la liste déroulante, puis insérés dans le synoptique zenon. Les éléments peuvent être déplacés et disposés individuellement sur le synoptique.

Fenêtres et boutons

Élément de contrôle | Description
Fenêtre Scheduler | Affiche le planning associé aux groupes de plannings dans le Runtime.
Général | Liste déroulante comportant des boutons généraux.
Enregistrer | Enregistre la configuration.
Annuler | Annule les modifications et ferme la boîte de dialogue de configuration.
Groupe de plannings | Éléments du groupe de plannings.
Nouveau groupe de plannings | Crée un nouveau groupe de plannings.
Copier | Copie l’élément sélectionné vers le presse-papiers.
Coller | Colle un élément enregistré dans le presse-papiers sous forme de copie.
Renommer | Permet de renommer l’élément sélectionné.
Supprimer | Supprime l’élément sélectionné après une demande de confirmation.
Nouveau planning spécial | Crée un nouveau planning spécial.
Périodes de commutation (marche/arrêt) | Crée une nouvelle période de commutation.
Nouvel événement de commutation (numérique) | Crée un nouvel événement de commutation.


Configuration des appels de synoptique

Manuel -> Planning -> Configuration dans Editor -> Configuration des appels de synoptique

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Un appel de synoptique Scheduler permet de garantir que le module Scheduler est disponible dans le Runtime aux fins de la configuration et de l’administration de projets.

Développement

Pour créer une fonction :

  1. Créez une nouvelle fonction :

    Dans la barre d'outils ou le menu contextuel du nœud Fonctions, sélectionnez Nouvelle fonction.
    La boîte de dialogue de sélection d'une fonction s'affiche à l'écran.

  2. Accédez au nœud Synoptiques.
  3. Sélectionnez la fonction Appel de synoptique.

    La boîte de dialogue de sélection de synoptique s’affiche à l’écran.

  4. Sélectionnez le synoptique Scheduler.
  5. Name the function in the Nom property.
  6. Attribuez la fonction à un bouton pour pouvoir exécuter la fonction d’appel de synoptique dans le Runtime.


Configuration et application dans le Runtime

Manuel -> Planning -> Configuration et application dans le Runtime

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Le module Scheduler permet de créer des plannings dans le Runtime et d’éditer des plannings préexistants ou importés.

La configuration des groupes de plannings et des plannings se déroule de la même manière dans Editor et le Runtime. Les configurations peuvent également être transférées d’Editor vers le Runtime, et inversement. La procédure de configuration du projet est décrite, pour chacun de ces deux cas de figure, dans la section Créer et administrer des plannings.

Autres sujets abordés dans ce chapitre

Transférer les fichiers du Runtime


Transférer les fichiers du Runtime

Manuel -> Planning -> Configuration et application dans le Runtime -> Transférer les fichiers du Runtime

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Les plannings créés dans Editor peuvent être transférés vers le Runtime. Pendant l’importation, tous les planning existants sont supprimés et remplacés par les plannings importés. Aucune compilation des différentes données n’est effectuée.

Pour transférer les données d’Editor vers le Runtime :

  1. Dans la propriété de projet Données modifiables dans le Runtime, assurez-vous que l’option Scheduler est désactivée pour la fonction Ne pas générer et transférer. (case à cocher vide)
  2. Dans la barre d’outils Fichiers du Runtime, cliquez sur Créer les fichiers du Runtime modifiés ou Créer les fichiers du Runtime.

    La configuration dans Editor est transférée vers le Runtime.
    Les plannings préexistants sont supprimés.


Créer et administrer des plannings

Manuel -> Planning -> Créer et administrer des plannings

La description du processus de création de plannings est orientée vers le procédé dans le Runtime. La configuration dans Editor se déroule de manière fondamentalement semblable, mais peu toutefois différer.

Autres sujets abordés dans ce chapitre

Menus contextuels

Planifier les groupes et les plannings

Événements et intervalles de commutation

Plannings spéciaux

Plannings pour projets d’intégration


Menus contextuels

Manuel -> Planning -> Créer et administrer des plannings -> Menus contextuels

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

You have the following context menus available in the Editor and in Runtime:

  • Scheduler module in the project tree
  • Groupe de plannings
  • Empty cell in the calendar
  • Entry in the calendar

Editor context menu

Scheduler module in the project tree:

Paramètre | Description
Nouveau groupe de plannings... | Crée un nouveau groupe de plannings.
Profils Editor | Ouvre la liste déroulante contenant les profils Editor prédéfinis.
Aide | Ouvre l'aide en ligne.

Editor and Runtime context menus

Scheduler detail view:

Paramètre | Description
Nouveau groupe de plannings... | Crée un nouveau groupe de plannings.
Coller | Pastes a schedule group that has been saved to the clipboard.
Enregistrer | Enregistre toutes les modifications.
Annuler | Lorsque vous cliquez sur ce bouton, toutes les modifications effectuées sont irrévocablement abandonnées.
Paramètres | Affiche la boîte de dialogue de propriétés du module Scheduler.
Aide | Ouvre l'aide en ligne. Disponible uniquement dans Editor.

Groupe de plannings :

Paramètre | Description
Copier | Copie le groupe de plannings sélectionné vers le presse-papiers.
Renommer | Allows the entry of a new name for the selected schedule group.
Supprimer | Supprime le groupe de plannings sélectionné après une demande de confirmation.
Aide | Ouvre l'aide en ligne. Disponible uniquement dans Editor.

Empty cell in the calendar:

Paramètre | Description
Créer une période de commutation (Marche/Arrêt) | Ouvre la boîte de dialogue de création d’un intervalle de commutation.
Créer un point de commutation (numérique) | Opens the dialog for creating an switching point.
Coller | Pastes an entry that has been saved to the clipboard.
Créer un planning spécial | Ouvre la boîte de dialogue de création d’un planning spécial.
Supprimer un planning spécial | Deletes the selected special schedule.
Aide | Ouvre l'aide en ligne. Disponible uniquement dans Editor.

Entrée dans le calendrier :

Paramètre | Description
Copier | Copie l’entrée sélectionnée vers le presse-papiers.
Modifier un point de commutation/une période de commutation | Opens the dialog to edit a switching point or a switching period.
Supprimer le point de commutation/la période de commutation | Supprime l’action sélectionnée après une demande de confirmation.
Aide | Ouvre l'aide en ligne. Disponible uniquement dans Editor.


Planifier les groupes et les plannings

Manuel -> Planning -> Créer et administrer des plannings -> Planifier les groupes et les plannings

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Les groupes de plannings contiennent les plannings relatifs aux jours ouvrés et jours spéciaux, ainsi qu’aux plannings spéciaux. Vous pouvez créer autant de groupes de plannings que vous le souhaitez dans le module Scheduler. Voici comment créer différents plannings pour des machines ou services individuels.

Runtime

Pour créer un nouveau groupe de recettes dans le Runtime :

  1. Cliquez sur le bouton Groupe de plannings.

    Un nouveau groupe de plannings est créé avec les noms par défaut.

  2. Cliquez avec le bouton droit sur le nouveau groupe, puis sélectionnez Renommer dans le menu contextuel.
    Saisissez le nom souhaité.
  3. Crée des plannings pour le groupe.

Pour créer un nouveau planning dans le Runtime :

  1. Cliquez sur le calendrier du groupe de plannings souhaité.
  2. Sélectionnez le jour et l’heure souhaités.
  3. Sélectionnez l’action souhaitée dans le menu contextuel ou en cliquant sur le bouton.
  4. Configurez l’action.
  5. Terminez la configuration en cliquant sur OK.

Editor

Pour créer un nouveau groupe de plannings dans Editor :

  1. Cliquez sur Nouveau groupe de plannings dans le menu contextuel du module Scheduler, dans la vue de détail.

    Un nouveau groupe de plannings est créé avec les noms par défaut.

  2. Cliquez avec le bouton droit sur le nouveau groupe, puis sélectionnez Renommer dans le menu contextuel.
  3. Crée des plannings pour le groupe.

Pour créer un nouveau planning dans Editor :

  1. Cliquez sur le calendrier du groupe de plannings souhaité.
  2. Sélectionnez le jour et l’heure souhaités.
  3. Sélectionnez l’action de votre choix dans le menu contextuel.
  4. Configurez l’action.
  5. Terminez la configuration en cliquant sur OK.


Événements et intervalles de commutation

Manuel -> Planning -> Créer et administrer des plannings -> Événements et intervalles de commutation

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Les événements de commutation permettent d’écrire une valeur prescrite dans une variable numérique à un moment donné. Dans les intervalles de commutation, les fonctions sont utilisées pour définir une variable binaire sur 1 ou 0 pendant un intervalle donné.

info Informations

Par défaut, les événements sont toujours inactifs lors de leur création dans le Runtime, et doivent être activés volontairement pour fonctionner. Par défaut, les événements sont actifs lorsqu’ils sont créés dans Editor.

Autres sujets abordés dans ce chapitre

Événements (numériques)

Périodes de commutation (marche/arrêt)

Édition d’événements de commutation et d’intervalles de commutation

Info-bulle


Événements (numériques)

Manuel -> Planning -> Créer et administrer des plannings -> Événements et intervalles de commutation -> Événements (numériques)

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Un événement de commutation numérique permet de définir la valeur d’une variable numérique une fois, à une heure donnée.

Pour créer un événement de commutation numérique :

  1. Cliquez avec le bouton droit sur une cellule vide dans le calendrier.
  2. Sélectionnez Créer un événement de commutation (numérique).
    Vous pouvez également sélectionner la cellule dans le Runtime et cliquez sur le bouton Événement (analogique).

    Remarque : L’heure doit être unique et peut uniquement être utilisée pour un intervalle de commutation ou un événement de commutation.

    La boîte de dialogue de configuration de l’événement de commutation s’affiche alors à l’écran.

  3. Configurez l’événement de commutation en effectuant les opérations suivantes :
    • Sélection de l’heure.
    • Sélection des variables et/ou fonctions requises.
    • Configuration des valeurs prescrites pour les variables.
    • Configuration active des variables et fonctions.
  4. Fermez la boîte de dialogue en cliquant sur OK.
    L’événement de commutation est affiché avec l’heure dans le calendrier du Runtime. Lorsque vous déplacez la souris sur l’événement de commutation, des informations détaillées concernant les variables et fonctions liées sont affichées.

attention Attention

Tenez compte des critères suivants lors de la création d’un événement de commutation :

  • Plage horaire autorisée : 00:00:00 - 23:59:59.
  • Chaque point de commutation doit être unique.

Boîte de dialogue Créer un événement de commutation

Option

Description

Heure de début :

Heure à laquelle le point de commutation (numérique) doit être exécuté.

Liste de variables et de fonctions

Liste contenant toutes les variables et fonctions liées.

Ajouter une variable

Ouvre la boîte de dialogue d’ajout de variable.

Ajouter fonction

Ouvre la boîte de dialogue d’ajout de fonctions.

Les fonctions peuvent également être liées dans l’ensemble des projets. Il convient alors de s’assurer que les projets source sont disponibles dans le Runtime.

La fonction Exécuter macro VBA peut également être utilisée pour exécuter des macros VBA lors des événements de commutation.

Valeur prescrite :

Ouvre la boîte de dialogue de configuration de la valeur prescrite sélectionnée dans la liste.

Supprimer

Supprime les variables ou fonctions sélectionnées de la liste sans demande de confirmation.


Périodes de commutation (marche/arrêt)

Manuel -> Planning -> Créer et administrer des plannings -> Événements et intervalles de commutation -> Périodes de commutation (marche/arrêt)

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Un intervalle de commutation permet de définir une variable binaire sur 1 ou 0 pendant un intervalle donné.
Au début de l’intervalle de commutation, la variable est automatiquement définie sur True (1), puis définie sur False (0) à la fin. Cette séquence peut être modifiée avec l’option Valeur prescrite.

Pour créer une période de commutation :

  1. Cliquez avec le bouton droit sur une cellule vide dans le calendrier.
  2. Sélectionnez Intervalle de commutation (marche/arrêt).
    Vous pouvez également sélectionner la cellule dans le Runtime et cliquez sur le bouton Nouvel intervalle de commutation (marche/arrêt).

    Remarque : L’heure doit être unique et peut uniquement être utilisée pour un intervalle d’événement ou un événement.

    La boîte de dialogue de configuration de l’intervalle de commutation s’affiche à l’écran.

  3. Configurez l’intervalle de commutation en effectuant les opérations suivantes :
    • Sélection des heures de début et de fin.
    • Sélection des variables et/ou fonctions requises.
    • Configuration des valeurs prescrites pour les variables.
    • Configuration active des variables et fonctions.
  4. Fermez la boîte de dialogue en cliquant sur OK.
    L’intervalle de commutation est affiché avec l’heure dans le calendrier du Runtime. Lorsque vous déplacez la souris sur l’intervalle de commutation, des informations détaillées concernant les variables et fonctions liées sont affichées.

attention Attention

Veuillez tenir compte des critères suivants lors de la création d’un intervalle de commutation :

  • Les heures de début et de fin ne doivent pas être égales.
  • L’heure de fin doit être après l’heure de début.
  • Plage horaire autorisée : 00:00:00 - 23:59:59.
  • Chaque période de commutation doit être unique.

Boîte de dialogue d’intervalle de commutation

Option

Description

Heure de début :

Heure de la première commutation de la variable ou d’exécution de la fonction.

Liste de variables et de fonctions

Liste contenant toutes les variables et fonctions liées.

Ajouter une variable

Ouvre la boîte de dialogue d’ajout de variable.

Remarque : Seules les variables numériques peuvent être sélectionnées.

Ajouter fonction

Ouvre la boîte de dialogue d’ajout de fonctions.

Les fonctions peuvent également être liées dans l’ensemble des projets. Il convient alors de s’assurer que les projets source sont disponibles dans le Runtime.

La fonction Exécuter macro VBA peut également être utilisée pour exécuter des macros VBA lors des événements de commutation.

Valeur prescrite :

Ouvre la boîte de dialogue de configuration de la valeur prescrite sélectionnée dans la liste.

Supprimer

Supprime les variables ou fonctions sélectionnées de la liste sans demande de confirmation.

Heure de fin :

Heure de la deuxième commutation de la variable ou d’exécution de la fonction.

Liste de variables et de fonctions

Liste contenant toutes les variables et fonctions liées.

Ajouter fonction

Ouvre la boîte de dialogue d’ajout de fonctions.

Les fonctions peuvent également être liées dans l’ensemble des projets. Il convient alors de s’assurer que les projets source sont disponibles dans le Runtime.

La fonction Exécuter macro VBA peut également être utilisée pour exécuter des macros VBA lors des événements de commutation.

Valeur prescrite :

Ouvre la boîte de dialogue de configuration de la valeur prescrite sélectionnée dans la liste.

Supprimer

Supprime les variables ou fonctions sélectionnées de la liste sans demande de confirmation.

Autres sujets abordés dans ce chapitre

Spécifier une valeur prescrite


Spécifier une valeur prescrite

Manuel -> Planning -> Créer et administrer des plannings -> Événements et intervalles de commutation -> Périodes de commutation (marche/arrêt) -> Spécifier une valeur prescrite

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

La valeur prescrite des variable peut être librement définie conformément aux limites de la variable.

Option | Description
Valeur prescrite : | Saisie de la valeur prescrite à écrire. Elle doit être conforme aux limites des options Min. et Max..
Min. | Affiche la valeur minimum possible.
Max. | Affiche la valeur maximum possible.

Fermer boîte de dialogue

Options | Description :
OK | Applique les paramètres et ferme la boîte de dialogue.
Annuler | Annule toutes les modifications et ferme la boîte de dialogue.
Aide | Ouvre l'aide en ligne.


Édition d’événements de commutation et d’intervalles de commutation

Manuel -> Planning -> Créer et administrer des plannings -> Événements et intervalles de commutation -> Édition d’événements de commutation et d’intervalles de commutation

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Vous pouvez effectuer les opérations suivantes sur tous les événements et intervalles de commutation définis dans le calendrier :

  • Modifier
  • Supprimer
  • Utiliser plusieurs heures

Édition

Pour éditer les événements et intervalles de commutation :

  • Double-cliquez sur un événement de commutation ou un intervalle de commutation existant(e).
  • Sélectionnez Éditer l’événement de commutation/l’intervalle de commutation dans le menu contextuel.

La boîte de dialogue correspondante s’affiche.

Supprimer

Pour supprimer les points de commutation et les périodes de commutation :

  1. Cliquez sur un point de commutation ou une période de commutation existant(e).
  2. Cliquez sur Supprimer le point de commutation/la période de commutation dans le menu contextuel.
  3. Confirmez cette sélection lorsque le programme vous invite à le faire.

Utiliser plusieurs heures

Les événements de commutation et les intervalles de commutation peuvent être exécutés pendant plusieurs jours.

Pour cela :

  1. Sélectionnez Copier dans le menu contextuel de l’élément à copier.
  2. Sélectionnez la cellule correspondant à la journée durant laquelle l’élément doit être inséré.
    La cellule contenant l’heure de début doit être vide.
  3. Sélectionnez Paramètres dans le menu contextuel.

    L’élément est inséré pendant la journée cible, avec une heure de début et une heure de fin identiques à l’heure source. L’élément ne peut pas être inséré si l’une de ces heures est déjà occupée.


Info-bulle

Manuel -> Planning -> Créer et administrer des plannings -> Événements et intervalles de commutation -> Info-bulle

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Les info-bulles affichées dans le module Scheduler permettent de visualiser l’état d’une entrée de calendrier et fournissent des informations complémentaires concernant l’état de l’entrée.

Affichage de l’info-bulle :

Pour afficher une info-bulle, accédez à un point de commutation ou une période de commutation dans l’affichage du calendrier. L’info-bulle apparaît automatiquement lorsque la souris est positionnée sur le point de commutation ou la période de commutation.

Structure :

L’info-bulle inclut les éléments suivants :

Période de commutation

  • Heure de début :
    • Variables liées
    • Valeurs
    • Fonctions
  • Heure de fin :
    • Variables liées
    • Valeurs
    • Fonctions

Événement

  • Heure de début :
    • Variables liées
    • Valeurs
    • Fonctions


Plannings spéciaux

Manuel -> Planning -> Créer et administrer des plannings -> Plannings spéciaux

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Vous pouvez créer autant de plannings spéciaux personnalisés que vous le souhaitez (par ex. jours de fermeture d’entreprise). Un planning spécial remplace toujours les événements de commutation du planning standard.

Pour créer un planning spécial :

  1. Cliquez sur une cellule dans le planning.
  2. Sélectionnez Créer un planning spécial dans le menu contextuel.

    La boîte de dialogue de configuration d’un planning spécial s’affiche à l’écran.

  3. Configurez l’intervalle du planning spécial.
  4. Terminez la configuration en cliquant sur OK.

    Le jour spécial est saisi dans calendrier sous forme de colonne supplémentaire, en plus des jours ouvrés.

attention Attention

Il n’est pas possible d’exécuter plusieurs plannings spéciaux en même temps.
Ceci signifie : Il est impossible de configurer un jour spécial supplémentaire dans un intervalle dans lequel un jour spécial a déjà été configuré.

Boîte de dialogue Planning spécial

Option | Description
Commence le | Sélection de la date de début.
Finit le | Sélection de la date de fin.
Période des séries | Indisponible pour le module Scheduler. Utilisez le module Production & Facility Scheduler.
OK | Applique les paramètres et ferme la boîte de dialogue.
Annuler | Annule toutes les modifications et ferme la boîte de dialogue.

Supprimer un planning spécial

Pour supprimer un planning spécial :

  1. Cliquez sur les plannings existants.
  2. Sélectionnez Supprimer le planning spécial dans le menu contextuel.
  3. Confirmez cette sélection lorsque le programme vous invite à le faire.


Plannings pour projets d’intégration

Manuel -> Planning -> Créer et administrer des plannings -> Plannings pour projets d’intégration

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Si un planning contenant des données issues d’un sous-projet doit être appelé, la fonction correspondante du sous-projet doit être appelée.
Les données destinées au calendrier proviennent toujours du projet dans lequel se trouve la fonction d’appel de synoptique.


PLC Diagnosis

Manuel -> PLC Diagnosis

Le programme PLC Diagnosis permet de visualiser les détails concernant un automate directement dans un synoptique du système de contrôle. Selon l’automate, différentes fonctionnalités sont disponibles. Pour le moment, vous disposez de la fonction d’analyse de diagramme fonctionnel S7 Graph, qui permet l’affichage des informations relatives aux diagrammes fonctionnels des automates S7, et de la fonction zenon Logic Monitoring Viewer, qui permet d’afficher tous les programmes exécutés par zenon Logic dans le Runtime (automate logiciel).

Dans le Runtime, les étapes couramment actives dans l’automate sont affichées graphiquement. Les informations d’alarmes peuvent être transférées directement vers la Liste d’alarmes.

tutorial Informations concernant la licence

Ces fonctions ou modules doivent disposer d'une licence pour l'Éditeur et le Runtime (simple, serveur, redondant et client). est disponible pour les opérateurs de zenon, et sous Windows CE, sous la forme d’un module avec licence.

Autres sujets abordés dans ce chapitre

S7 Graph

zenon Logic Monitoring Viewer


S7 Graph

Manuel -> PLC Diagnosis -> S7 Graph

Vous pouvez créer un synoptique de type S7 Graph dans zenon. Sur ce synoptique, vous pouvez afficher le diagramme fonctionnel, l’étape active, le nom du diagramme fonctionnel, le numéro du diagramme fonctionnel, etc. d’un contrôle S7 comportant une programmation S7 Graph.

Autres sujets abordés dans ce chapitre

Basculement du contrôle ActiveX CD_Graph7Diag.ocx vers un synoptique de type S7 Graph

Minimum requis pour l’importation automatique

Importer les données d’un projet S7 Graph

Synoptique S7 Graph

Filtre d'appel de synoptique

Fonction Analyser les données heuristiques S7 Graph

Description de l’analyse des opérandes


Basculement du contrôle ActiveX CD_Graph7Diag.ocx vers un synoptique de type S7 Graph

Manuel -> PLC Diagnosis -> S7 Graph -> Basculement du contrôle ActiveX CD_Graph7Diag.ocx vers un synoptique de type S7 Graph

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

La fonctionnalité du contrôle ActiveX CD_Graph7Diag.ocx a été reprise par le synoptique S7 Graph et la fonction Analyser les données heuristiques S7 Graph. Pour basculer du contrôle ActiveX vers le synoptique et la fonction, ou pour afficher le projet S7 Graph dans zenon, procédez comme suit :

  1. Si vous ne l’avez pas déjà fait, exécutez l’importation de projet S7 Graph de manière à créer les variables et fichiers requis.
  2. Créez un synoptique de type S7 Graph.
  3. Créez les fonctions d’appel de synoptique vers le synoptique S7 Graph. Spécifiez les variables et fichiers correspondants (voir également Filtre d’appel de synoptique).
  4. Si vous avez besoin des données heuristiques, créez la fonction Analyser les données heuristiques S7 Graph, puis spécifiez les variables et fichiers correspondants (voir également Fonction Analyser les données heuristiques S7 Graph).

Changements par rapport au contrôle ActiveX

  • Les boutons LD et FBD sont maintenant des éléments de contrôle distincts.
  • Les données heuristiques sont dissociées de l’affichage. Elles nécessitent donc une fonction propre.
  • Les boutons Suivant et Précédent permettent de parcourir la vue de détail des étapes, étape par étape.


Minimum requis pour l’importation automatique

Manuel -> PLC Diagnosis -> S7 Graph -> Minimum requis pour l’importation automatique

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Bien que l’importation soit complètement automatique, un travail préparatoire est nécessaire dans le projet S7 Graph pour que l’importation des diagrammes fonctionnels soit possible dans zenon. Les conditions préalables suivantes doivent être remplies :

1. Paramètres de blocs de données

Vous devez vous assurer que la configuration du bloc de données est correcte.

Configurez les paramètres suivants dans l’onglet Traduire/Enregistrer :

Paramètre | Entrée
Paramètre FB | Défini par l’utilisateur
Description interface | Structures individuelles / Charger en AS
Capacité d’exécution | FC standard requise
Propriétés du diagramme fonctionnel | Données d’analyse des critères dans le bloc de données

Configurez les paramètres suivants dans l’onglet Message :

Paramètre | Entrée
Gestion des messages | Message avec ALARM_SQ / ALARM_S

2. Générer les sources

Pour chaque diagramme fonctionnel à importer, une source actuelle doit être générée. Pour cela, dans l’éditeur S7 Graph, sélectionnez Fichier -> Générer source. Assurez-vous que le nom de la source correspond au nom du bloc fonctionnel (FB) du diagramme fonctionnel. Pour un diagramme fonctionnel dans le bloc fonctionnel 12, le nom de la source doit être FB12 (ou fb12).

3. Numéro DB d’instance

Pour autoriser l’attribution du bloc fonctionnel au diagramme fonctionnel en fonction du bloc de données de l’instance (Instance DB), vous ne pouvez pas modifier le paramètre par défaut (nom du bloc de données = nom du bloc fonctionnel).


Importer les données d’un projet S7 Graph

Manuel -> PLC Diagnosis -> S7 Graph -> Importer les données d’un projet S7 Graph

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Cliquez avec le bouton droit sur l’entrée Variables dans le gestionnaire de projet. Sélectionnez l’entrée de menu Importer/Exporter (étendu) dans le menu contextuel, puis sélectionnez Importer projet S7 Graph.... Vous pouvez également accéder au menu contextuel en sélectionnant le nœud Variables et en cliquant avec le bouton droit dans la vue de détail du gestionnaire de projet.

Sélectionnez le driver requis pour les communications avec l’automate dans la boîte de dialogue suivante, puis confirmez votre sélection en cliquant sur OK.

attention Attention

Avant l’importation dans Step 7 ou PC S7, tout le contenu doit être traduit pour garantir l’adoption de tous les objets dans zenon.

Importer un projet Graph S7

info Informations

Les paramètres modifiés dans cette boîte de dialogue sont enregistrés. Lorsque vous ouvrez à nouveau la boîte de dialogue, tous les paramètres que vous avez modifiés sont affichés à nouveau.

Les paramètres suivants sont disponibles :

Paramètre | Description
Sélection de projet |
Fichier de projet S7 | Sélectionnez le fichier de projet (*.s7p) de votre choix.
Driver cible | Le driver que vous avez sélectionné auparavant est affiché ici. Vous ne pouvez pas le modifier ici.
Créer les éléments de S7 Graph |
Variable d’instance de base de données | Crée une variable USINT sous la forme d'un ensemble de blocs représentant le bloc de données du diagramme fonctionnel (Grafcet). Toutes les informations d’état sont communiquées à l’aide de cette variable. Toutes les informations d'état sont communiquées à l’aide de ce bloc de données d'instance.
Variable de message | Crée une variable interne de type STRING, qui affiche l’état des données heuristiques.
Matrice de réaction | Crée une matrice de réaction numérique. La matrice de réaction est utilisée pour établir une liaison avec la variable d’alarme S. Ceci autorise ensuite le déclenchement des alarmes dans zenon. L’importation d’alarmes dans S7 Graph est effectuée par le biais de l’assistant d’importation PDIAG.
Alarmes à acquitter | Si vous cochez cette case, toutes les alarmes créées par la matrice de réaction doivent être acquittées.
Dénomination des variables |
Séparateur | Définissez le caractère qui sera inséré entre la nomenclature et le nom du diagramme fonctionnel.
Nomenclature interne | Utilise la nomenclature interne pour les objets créés. Exemple : S0 (pour l’adresse réseau = 0)
Nomenclature WinCC | Utilise la nomenclature WinCC pour les objets créés. Exemple : Programme S7
Combiné | Utilise à la fois les nomenclatures internes et WinCC pour les noms des objets créés. Un point est utilisé en tant que séparateur de colonnes.

Confirmez la boîte de dialogue en cliquant sur Exécuter.

Sélectionnez les stations (CPU) souhaitées dans la boîte de dialogue suivante. La boîte de dialogue autorise les sélections multiples. Vous pouvez sélectionner plusieurs diagrammes fonctionnels à la fois en maintenant les touches Ctrl ou Maj enfoncées pendant que vous effectuez votre sélection. Ici, vous pouvez définir l’adresse réseau utilisée pour les communications. Confirmez la boîte de dialogue en cliquant sur OK. Une analyse du projet S7 est effectuée. En fonction de la taille du projet, cette procédure peut demander un certain temps.

Dans la boîte de dialogue suivante, sélectionnez les diagrammes fonctionnels que vous souhaitez importer. La boîte de dialogue autorise les sélections multiples. Vous pouvez sélectionner plusieurs diagrammes fonctionnels à la fois en maintenant les touches Ctrl ou Maj enfoncées pendant que vous effectuez votre sélection. Si aucune source n’est trouvée pour un diagramme fonctionnel, cette information est affichée dans le Commentaire avec l’entrée !! . Source manquante?! . Ces diagrammes fonctionnels ne peuvent pas être importés. Confirmez la boîte de dialogue en cliquant sur OK. L’importation est exécutée et les objets correspondants sont créés dans zenon. La source du diagramme fonctionnel (*.gr7) et le symbolisme du diagramme fonctionnel (*.seq) sont également importés. Ces informations peuvent être enregistrées dans zenon Editor, sous Fichiers -> Autres -> S7 Graph.

Autres sujets abordés dans ce chapitre

Changement de langue


Changement de langue

Manuel -> PLC Diagnosis -> S7 Graph -> Importer les données d’un projet S7 Graph -> Changement de langue

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Les textes présents dans le diagramme S7 Graph peuvent être configurés avec des paramètres de changement de langue. Dans zenon, un paramètre de changement de langue est généralement signalé par un caractère @. Dans SIMATIC Manager, il n’est toutefois pas possible de créer des mots-clés précédés de @. Par conséquent, le changement de langue est effectué par le biais d’une comparaison de texte :

  1. Dans la table de langues, les éléments correspondants sont saisis sans caractère @
  2. Tous les champs dynamiques du synoptique sont examinés, et le programme tente de trouver une traduction pour les éléments suivants :
    • Information : Nom du Grafcet (Sequential Function Chart)
    • Information : Nom de l’étape active
    • Tous les textes provenant de l’élément Affichage graphique : Étapes actives
    • Tous les textes provenant de l’élément Affichage graphique : Diagramme fonctionnel entier
    • Tous les textes provenant de Informations : Table de symboles
  3. Les champs statiques doivent être précédés du caractère-clé @, et une entrée doit être créée dans la table de langues pour :
    • Étape précédente
    • Étape suivante
    • Basculer LD/FBD

L’affichage des textes des diagrammes fonctionnels et des transitions et des textes dans le symbole est géré automatiquement, dès lors que les entrées correspondantes existent dans .GR7 ou .SEQ.

Des informations détaillées concernant le changement de langue sont fournies au chapitre Changement de langue.


Synoptique S7 Graph

Manuel -> PLC Diagnosis -> S7 Graph -> Synoptique S7 Graph

Le synoptique de type S7 Graph est prioritaire sur la fonctionnalité du contrôle ActiveX CD_Graph7Diag.ocx.

Créez un synoptique de type S7 Graph

Développement

Étapes de création du synoptique :

  1. Créez un nouveau synoptique :

    Dans la barre d’outils ou le menu contextuel du nœud Synoptiques, sélectionnez la commande Nouveau synoptique.
    Un synoptique vide Standard est créé.

  2. Modifiez les propriétés du synoptique :
    1. Nommez le synoptique dans la propriété Nom.
    2. Sélectionnez S7 Graph dans la propriété Type de synoptique.
    3. Sélectionnez le cadre souhaité dans la propriété Gabarit.
  3. Configurez le contenu du synoptique :
    1. Sélectionnez l’option de menu Éléments de contrôle dans la barre de menus
    2. Sélectionnez Insérer un modèle dans la liste déroulante.
      La boîte de dialogue de sélection de mises en forme prédéfinies s’affiche à l’écran. Certains éléments de contrôle sont insérés dans le synoptique à des positions prédéfinies.
    3. Supprimez les éléments superflus du synoptique.
    4. Si nécessaire, sélectionnez des éléments supplémentaires dans la liste déroulante Éléments. Placez-les aux emplacements souhaités sur le synoptique.
  4. Créez une fonction d’appel de synoptique.

Éléments de contrôle

Le synoptique S7 Graph peut contenir les éléments de contrôle et d’affichage suivants :

Insérer un modèle

Élément de contrôle | Description
Insérer un modèle | Ouvre la boîte de dialogue de sélection de modèle pour le type de synoptique correspondant. Des modèles sont fournis avec zenon, et peuvent également être créés par l’utilisateur. Modèles ajoutent des éléments de contrôle prédéfinis à des positions prédéfinies sur le synoptique. Les éléments qui ne sont pas nécessaires peuvent également être supprimés individuellement après leur création. Les éléments supplémentaires peuvent être sélectionnés dans la liste déroulante, puis insérés dans le synoptique zenon. Les éléments peuvent être déplacés et disposés individuellement sur le synoptique. Modèle

Fenêtre

Éléments de contrôle de l'affichage graphique.

Élément de contrôle | Description
Étapes actives | Affichage de l’étape (ou des étapes) active(s) à partir du diagramme fonctionnel développé.
Diagramme fonctionnel complet | Vue générale du diagramme fonctionnel. Affiche tous les diagrammes fonctionnels développés. Contrôlé par le biais des options Grafcet suivant et Grafcet précédent.
Liste de symboles | Affiche l’adresse et le nom du symbole correspondant dans deux colonnes, respectivement.

Info

Éléments de contrôle pour l'affichage d'informations.

Élément de contrôle

Description

Nom du diagramme actif

Affiche le nom du diagramme actif.

Nom de l’étape active

Affiche le nom du diagramme actif.

Numéro de l’étape active

Indique le numéro de l’étape active.

Éléments compatibles

Les éléments de contrôle supprimés ou remplacés par des versions plus récentes restent disponibles, pour des raisons de compatibilité.

Ces éléments ne sont pas pris en compte lors de l’insertion automatique de modèles.

Les éléments Win32 suivants ont été remplacés par des éléments Texte dynamique.

  • Nom du diagramme actif
  • Nom de l'étape active
  • Numéro de l'étape active

Automate

Éléments de contrôle pour la navigation et le type d'affichage.

Élément de contrôle | Description
Basculer KOP/FUP | Ce bouton vous permet d’afficher, à votre convenance, les notations KOP et FUP..
Avancer d'une étape | Dans le Runtime, avance d’une étape.
Étape précédente | Dans le Runtime, recule d’une étape.
Grafcet - Avancer | Dans le Runtime, dans la vue Diagramme fonctionnel entier, avance d’un diagramme fonctionnel si le schéma par blocs comporte plusieurs diagrammes fonctionnels.
Grafcet - Reculer | Dans le Runtime, dans la vue Diagramme fonctionnel entier, recule d’un diagramme fonctionnel si le schéma par blocs comporte plusieurs diagrammes fonctionnels.


Filtre d'appel de synoptique

Manuel -> PLC Diagnosis -> S7 Graph -> Filtre d'appel de synoptique

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Si vous utilisez la fonction Appel de synoptique pour basculer vers le synoptique S7 Graph, la boîte de dialogue suivante s’affiche à l’écran.

Paramètre | Description
Fichiers Graph S7 |
Source Graph S7 | Sélectionnez le fichier (*.gr7) généré par la procédure d’importation de fichier S7 Graph. Ce fichier contient l’intégralité de la logique (étapes, transitions, surveillances, etc.).
Fichier d’attribution de symbole | Sélectionnez le fichier (*.seq) généré par la procédure d’importation de projet S7 Graph. Ce fichier contient l’attribution des opérandes absolus (équivalentes à une adresse physique) aux opérandes symboliques ou au symbolisme (équivalents à un identifiant logique). Exemple : Input "E 1.0 = pushbutton 1"
Variable |
Variable d’instance de base de données | Crée une variable USINT de zenon sous la forme d'un ensemble de blocs représentant le bloc de données du diagramme fonctionnel (Grafcet). Toutes les informations d’état sont communiquées à l’aide de cette variable.
Affichage |
Type d'affichage | Indiquez si vous préférez un affichage sous forme de diagramme Contact Plan (COP) ou Function Plan (FUP). Si vous configurez un bouton de transition COP/FUP sur votre synoptique, vous pouvez basculer entre les deux types d’affichage dans le Runtime.
Épaisseur de ligne [pixels] | Définissez la largeur de ligne (en pixels) de la ligne de connexion entre les éléments.
Police | Dans la liste déroulante, sélectionnez la police de caractères de votre choix pour tous les intitulés du synoptique S7 Graph.
Couleurs | Définissez les couleurs pour les états de "niveau élevé" et "niveau bas" et les symboles. Cliquez sur le rectangle coloré correspondant pour modifier la couleur.


Fonction Analyser les données heuristiques S7 Graph

Manuel -> PLC Diagnosis -> S7 Graph -> Fonction Analyser les données heuristiques S7 Graph

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Cette fonction permet d’évaluer les données heuristiques du projet S7 Graph, même lorsque le synoptique S7 Graph n’est pas actif. Par exemple, une analyse peut être effectuée par un message d’erreur S7 PDiag, via une variable d’alarme. Les données heuristiques auscultent l’étape actuellement affectée par un incident pour en déterminer la cause

Les propriétés suivantes sont disponibles.

Paramètre | Description
Fichiers Graph S7 |
Source Graph S7 | Sélectionnez le fichier (*.gr7) généré par la procédure d’importation de fichier S7 Graph. Ce fichier contient l’intégralité de la logique (étapes, transitions, surveillances, etc.).
Fichier d’attribution de symbole | Sélectionnez le fichier (*.seq) généré par la procédure d’importation de projet S7 Graph. Ce fichier contient l’attribution des opérandes absolus (équivalentes à une adresse physique) aux opérandes symboliques ou au symbolisme (équivalents à un identifiant logique). Exemple : Input "E 1.0 = pushbutton 1"
Variables |
Variable d’instance de base de données | Crée une variable USINT de zenon sous la forme d'un ensemble de blocs représentant le bloc de données du diagramme fonctionnel (Grafcet). Toutes les informations d’état sont communiquées à l’aide de cette variable.
Variable de message | Variable de type STRING affichant le texte d’état des données heuristiques.


Description de l’analyse des opérandes

Manuel -> PLC Diagnosis -> S7 Graph -> Description de l’analyse des opérandes

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

De façon à identifier l’étape perturbée et l’opérande responsable de la perturbation dans les transitions, la variable de message est remplie avec un message significatif. Ce message est généré avec les étapes suivantes :

Autres sujets abordés dans ce chapitre

1. Recherche de l’étape perturbée

2. Sélection de la transition éditée

3. Recherche des opérandes manquants


1. Recherche de l’étape perturbée

Manuel -> PLC Diagnosis -> S7 Graph -> Description de l’analyse des opérandes -> 1. Recherche de l’étape perturbée

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Si la variable d’alarme envoyée (sent alarm) est de type UDINT, elle contient le numéro de l’étape perturbée en cas d’erreur. Ceci peut être utilisé pour des évaluations ultérieures. Si c’est simplement une variable BOOL qui est envoyée, la première étape active qui est perturbée à l’instant 't’ est utilisée.


2. Sélection de la transition éditée

Manuel -> PLC Diagnosis -> S7 Graph -> Description de l’analyse des opérandes -> 2. Sélection de la transition éditée

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Si, pour l’étape perturbée, il y a plusieurs transitions vers plusieurs étapes suivantes, seule la transition avec le plus petit numéro est évaluée.


3. Recherche des opérandes manquants

Manuel -> PLC Diagnosis -> S7 Graph -> Description de l’analyse des opérandes -> 3. Recherche des opérandes manquants

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

La perturbation détectée de cette manière est affichée à l’aide de la variable de message. Le contenu de cette variable est mis à jour lors de l’exécution de la fonction Analyser les données heuristiques S7 Graph.

De façon à trouver les opérandes manquants dans les transitions définies, l’arbre définissant la condition est calculé de façon hiérarchique. Ceci est bien montré dans l’affichage FUP (voir illustration ci-dessous). On peut distinguer les cas suivant pour la recherche d’un opérateur :

AND

Tous les chemins pour lesquels la condition n’est pas remplie au moment de l’évaluation sont tracés (c’est-à-dire en rouge dans l’illustration).

OR

Pour chaque chemin, le niveau de concordance, la proportion des entrées qui remplissent la condition et le nombre total d’entrées sont calculés. Dans ce cas, seuls les chemins possédant le niveau de concordance le plus élevé sont tracés. Si plusieurs chemins avec le même niveau sont présents, le premier est utilisé.

Avec cette méthode, un nombre significatif d’opérandes (peu nombreuses, mais probables) est trouvé, important pour l’étape suivante.

Dans l’illustration fournie en exemple, cette méthode ne trouverait que l’opérande M102.2, car c’est le plus petit numéro d’opérandes possible, qui est nécessaire pour effectuer la transition de l’état "perturbée" à l’état "non perturbée".


zenon Logic Monitoring Viewer

Manuel -> PLC Diagnosis -> zenon Logic Monitoring Viewer

info Informations

Cet outil affiche et évalue visuellement les programmes zenon Logic. Monitoring Viewer permet d’afficher directement les actions dans le Runtime zenon Logic dans un synoptique dans zenon.

Autres sujets abordés dans ce chapitre

Configuration minimale requise

Intégration d’ActiveX dans un synoptique zenon

Afficher l’élément ActiveX dans un synoptique zenon dans le Runtime


Configuration minimale requise

Manuel -> PLC Diagnosis -> zenon Logic Monitoring Viewer -> Configuration minimale requise

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

À compter de zenon 6.20 SP3, le contrôle ActiveX X5Monitoring.ocx, qui gère l’affichage du programme zenon Logic, est installé dans le dossier du programme zenon et enregistré dans le système d’exploitation. Pour les versions antérieures de zenon, vous devez effectuer l’installation et l’enregistrement manuellement.

Pour le moment, ce module est uniquement disponible sur la version PC de zenon.

Une licence d’analyse de l’automate est requise pour utiliser zenon Logic Monitoring Viewer.

L’assistant Monitoring Builder de zenon Logic doit être exécuté depuis le module Workbench de zenon Logic avant que zenon Logic Monitoring Viewer puisse afficher le code des programmes. Cet assistant est exécuté dans le module Workbench de zenon Logic, sous Outils -> Générer l’application de visualisation.

Cet assistant nécessite également une licence.

Plusieurs propriétés peuvent être configurées dans l’assistant. Par exemple, les autorisations de visualisation des programmes ou de forçage de valeurs de variables peuvent être définies (verrouillée, protégée par mot de passe, libre).

Cet assistant crée un fichier <Nom du projet>.K5m et l’enregistre dans le dossier du projet zenon.


Intégration d’ActiveX dans un synoptique zenon

Manuel -> PLC Diagnosis -> zenon Logic Monitoring Viewer -> Intégration d’ActiveX dans un synoptique zenon

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Dans zenon Editor, sélectionnez l’élément dynamique ActiveX et faites-le glisser vers un synoptique zenon de la taille souhaitée. Une boîte de dialogue s’ouvre alors pour sélectionner le contrôle ActiveX. Sélectionnez le contrôle X5Monitoring Control et cliquez sur le bouton Propriétés.

Dans la boîte de dialogue, saisissez le chemin du fichier été créé avec Monitoring Builder, puis définissez les paramètres de communication :

info Informations

Si les chemins n’ont pas été modifiés pendant l’exécution de l’application Monitoring Builder Wizard, le fichier de visualisation se trouve dans le répertoire SQL du projet zenon. Localisez le GUID (par exemple, en consultant les propriétés du projet zenon Logic dans zenon), puis recherchez le fichier *.K5m. Ce fichier se trouve dans le chemin par défaut :

%ProgramData%\COPA-DATA\SQL\<GIUID>\FILES/straton\<zenon Logic Nomduprojet>\[zenon Logic Nom du projet.K5m].

info Informations

Pour le paramétrage de la connexion, seule l’adresse IP est utilisée (pas le nom du PC)?! Si l’application zenon Logic s’exécute sur le même ordinateur que zenon, saisissez 127.0.0.1 pour l’hôte local.

Saisissez le port utilisé par le Runtime de zenon Logic après l’adresse IP, précédé de deux points (:). Par défaut, il s’agit du port 1200.


Afficher l’élément ActiveX dans un synoptique zenon dans le Runtime

Manuel -> PLC Diagnosis -> zenon Logic Monitoring Viewer -> Afficher l’élément ActiveX dans un synoptique zenon dans le Runtime

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Confirmez les deux boîtes de dialogue en cliquant sur OK. Une fois la création des fichiers du Runtime zenon terminée et le démarrage du Runtime zenon et zenon Logic effectué, le code de l’automate est affiché dans le synoptique zenon correspondant :

Selon l'autorisation définie dans l'assistant Monitoring Builder, les programmes peuvent maintenant être visualisés et les valeurs peuvent être forcées.


Process Gateway

Manuel -> Process Gateway

The Process Gateway serves as a coupling to higher-level systems, such as a Control Center. This means that parts of the zenon process image are provided for other applications and updated by these.

  • Process data from zenon Runtime can be forwarded to superordinate systems.
  • Superordinate systems can write values or commands to zenon Runtime.

tutorial Informations concernant la licence

Ces fonctions ou modules doivent disposer d'une licence pour l'Éditeur et le Runtime (simple, serveur, redondant et client).

info Informations

The Process Gateway user interface is only available in English.

Autres sujets abordés dans ce chapitre

General

Requirements

Getting started

DEC

DNP3 slave

ICCP-TASE.2

IEC870 Slave

MODBUS Slave

MS Azure

OPC UA Server

SNMP agent

SQL


General

Manuel -> Process Gateway -> General

The following is applicable for the Process Gateway:

  • It is thought as an add-on to the Runtime of the control system and only works in combination with it.
    That means: If zenon Runtime has not been started, the Process Gateway does not start!
  • Several Process Gateways can be started on one computer.
    You can find further information on this in the Start with command line chapter.
  • The Process Gateway can be started on both a standalone computer as well as in the zenon network (server/standby/client). All Process Gateways that are started in the network provide the same process image.
  • The module to be started is selected and configured in its own INI file of the Process Gateway, not in the zenon6.ini file as is otherwise the case for zenon!
    The INI file for the Process Gateway is called zenProcGateway.INI and is in the %CD_SYSTEM% folder. With a standard installation, the storage folder is C:\ProgramData\COPA-DATA\System by default.

Project selection

If no special project name is defined in the configuration file (zenProcGateway.ini), all configurations of the Process Gateway are applicable to the first project loaded by Runtime.

In a multi-project system, it is possible to access any desired project in the hierarchy. To do this, enter the project name in the Project= entry in the [GENERAL] section in the INI file. If this entry is empty, the integration project is applicable.

Autres sujets abordés dans ce chapitre

Variable assignment using names


Variable assignment using names

Manuel -> Process Gateway -> General -> Variable assignment using names

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

In the Process Gateway, the respective assignment is carried out using the variable name.

This is important if:

  • Variable names in the project configuration are changed in zenon Editor.
  • Variables in the project configuration in the Editor are deleted.
  • zenon calls up a new start project.

In this case, module-independent error dialogs appear when Process Gateway is started.

attention Attention

If a variable assignment is erroneous, the Process Gateway is not started! The Process Gateway only starts if the incorrect variable assignment has been corrected.

The first error dialog lists the unknown variables.

  • In this case, amend the variable assignment again.
  • To do this, remove all incorrectly-assigned variables from the respective export area and re-add the corresponding variables.

The dialog that follows contains module-dependent error messages.

LOG entry

The following LOG entry is created in the event of incorrect variable assignment:

LOG entry | Description
Failed to update value for variable %s. | No COM connection to zenon could be established, or the variable is not (or no longer) available in zenon or has been renamed.


Requirements

Manuel -> Process Gateway -> Requirements

On the computer on which the Process Gateway should run, the Runtime with the corresponding release version and a loaded project that corresponds to the configuration has to be started before it is started. If Runtime is stopped, the Process Gateway is also stopped automatically.

If zenon Runtime is not loaded when Process Gateway is started, a corresponding warning dialog is shown:

info Informations

The Process Gateway uses the COM interface to access zenon data. The COM interface is used by VBA and is only available if zenon6.ini is present in the file under under [VBA] the entry EVENT=1.


Getting started

Manuel -> Process Gateway -> Getting started

The Process Gateway consists of the zenProcGateway.exe file. This is copied to the zenon program folder during installation. However, it can also be used in a different folder.
Attention: The module (Accesss*.dll) to be used with the Process Gateway has to be in the same folder as zenProcGateway.exe.
Exception: SNMP.

The zenProcGateway.ini configuration file is in the %CD_SYSTEM% system folder.
In this INI file, the DLL= entry (in the [GENERAL] section) determines the module with which the Process Gateway starts.

Process Gateway - Start

The Process Gateway can be started:

  • via Startup Tool
  • via zenon function

In both start methods, the Process Gateway can be started with parameters in the command line interface. Different INI files of the Process Gateway can thus be determined.

Configuration

The configuration consists of two parts.

  • Module selection
    In the first stage of configuration, select the module that communicates with the Process Gateway.
    You can find further information on this in the module selection chapter.
  • Module-specific configuration
    Depending on the selected module, connection parameters and variable assignments can be configured.
    You can find details on this from the module configuration chapter in the respective section in this handbook.

All configurations of the Process Gateway are saved in an INI file. Please note that not all entries of the corresponding INI file can be configured via a corresponding user interface.

The module is determined with the DLL= entry (in the [GENERAL] section).

Possible entries:

Module | Entry
DEC | DLL=AccessDEC.dll
SQL | DLL=AccessSQL.dll
MODBUS | DLL=AccessMODBUS.dll
DNP3 | DLL=AccessDNP3.dll
IEC870Sl | DLL=AccessIEC870Sl.dll
SNMP | DLL=AccessSNMP.dll
OPCUA | DLL=AccessOPCUA.dll
ICCP/TASE.2 | DLL=AccessICCP.dll
MS Azure | DLL=AccessAzure.dll

Security configuration

The Process Gateway can be executed hidden to protect it from unauthorized access. If the Process Gateway is started in the command line with the parameter /hide (or -hide), it starts invisible and cannot be configured or stopped. The Process Gateway closes automatically when the zenon Runtime is closed.

Autres sujets abordés dans ce chapitre

Start via Startup Tool

Start via zenon function

Start with command line

Module selection

INI file


Start via Startup Tool

Manuel -> Process Gateway -> Getting started -> Start via Startup Tool

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

The Process Gateway can be started via the zenon Startup Tool.

To do this, carry out the following steps:

  1. Open the zenon Startup Tool.
  2. Click Tools.

    The dialog for configuring the zenon Tools is opened.

  3. Select Process Gateway.
  4. Click the Start button to start the Process Gateway with the configuration from the current zenProcGateway.INI file.

    Or:
    Enter the name of the EXE and the name of the INI file as a start parameter into the Command line parameters:
    zenProcGateway.EXE /ini:MyConfig.INI

    You can find further information on this in the Start with command line chapter.
    Note: The parameters alone are not sufficient. The zenProcGateway.EXE call must be entered.

  5. Click Start.


Start via zenon function

Manuel -> Process Gateway -> Getting started -> Start via zenon function

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

The Process Gateway can - like any other Windows application - be started with the Exécuter un programme function.

Engineering

Pour créer une fonction :

  1. Créez une nouvelle fonction :

    Dans la barre d'outils ou le menu contextuel du nœud Fonctions, sélectionnez Nouvelle fonction.
    La boîte de dialogue de sélection d'une fonction s'affiche à l'écran.

  2. Navigate to node Windows
  3. Select the Exécuter un programme function.
    The dialog to select the program and enter start parameters is opened.
  4. Select the desired program.
    1. Click on the button ...
      The file selection dialog is opened.
    2. Go to the zenon Installation directory:
      Program Files (x86) - 64-bit operating system

      Program Files - 32-bit operating system

    3. Select the zenProcGateway.exe file there
    4. Confirm the selection by clicking on the Open button
  5. Optional: Configure the parameters that are executed when the function is executed.
    You can find further information on this in the Start with cammand line chapter.
    If this parameter is empty, the Process Gateway starts with the zenProcGateway.INI file.
  6. Close the dialog by clicking on the OK button.
  7. Name the function in the Nom property.

Tipp Conseil

If this function is linked in the AUTOSTART* script, Process Gateway automatically starts with Runtime.


Start with command line

Manuel -> Process Gateway -> Getting started -> Start with command line

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Several Process Gateways can be started on one computer. To do this, a separate INI file must be present for each Process Gateway to be started. The INI file must be in the system folder (%CD_SYSTEM%).

Examples of use:

  • Simultaneous start of several Process Gateways with different modules
  • Start several instances of Process Gateway with the same module (not applicable for all modules).
    Requirement: separate communication parameters for each instance, for example no conflicts in IP ports.

In this case, the zenProcGateway.EXE must be started with the command line parameter /ini:[file].

Syntax of command line:

  • In the Startup Tool:
    zenProcGateway.EXE /ini:[FileName].INI
  • In the zenon Exécuter un programme function
    Parameter input field: /ini:[file name].INI

[FileName].ini must be replaced by the correct name of the INI file.


Module selection

Manuel -> Process Gateway -> Getting started -> Module selection

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

The following possibilities are available for the selection of a module for the Process Gateway:

  • First start
    When the Process Gateway is started for the first time, a dialog to select the module is shown.
    This selection dialog is also offered when the Process Gateway is started if there is no INI file or if no module is configured in the selected INI file.
    The zenProcGateway.INI file is used by default.
  • Module already configured
    If a module has already been configured for Process Gateway, Process Gateway starts with the communication dialog of the configured module.
    When the Process Gateway starts, communication already starts if all necessary connection parameters for the module have been configured and are valid.

Autres sujets abordés dans ce chapitre

First start

Change existing module selection

Start with configured module


First start

Manuel -> Process Gateway -> Getting started -> Module selection -> First start

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

The module must be configured when it is started for the first time.

To start Process Gateway with a selectable module:

  1. Start Process Gateway with an INI file that does not exist (there must be no other module configured in the INI file).
    Process Gateway uses the file zenProcGateway.INI by default. You can define another file in the command line (/ini:[FileName].INI).
    You can find more information in the Start with command line.
  2. The dialog to select the module is opened.
  3. Select the desired module.
  4. Confirm your selection by clicking on the OK button.
    The Process Gateway then creates your INI file.
  5. The Process Gateway starts with the communication dialog of the selected module.


Change existing module selection

Manuel -> Process Gateway -> Getting started -> Module selection -> Change existing module selection

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

If the Process Gateway starts with a module that has already been configured for a different communication protocol, without offering the dialog to select a module, then:

  1. Close the Process Gateway.
  2. Edit the existing zenProcGateway.INI file.
    1. To do this, go to the %CD_SYSTEM% directory.
    2. Open the file in any desired text editor and add comments for the module in the file; or rename the INI file.
  3. Restart the Process Gateway:
    If the INI file has been removed, the dialog to select a module is offered again when Process Gateway starts.


Start with configured module

Manuel -> Process Gateway -> Getting started -> Module selection -> Start with configured module

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Start the Process Gateway with a module that has already been configured; a dialog with static communication data is opened.

Parameters | Description
Statistic information | Information on communication with the counterparty:
Exit | Closes process gateway.
Configuration | Opens the module's configuration dialog.
Help | Opens online help.

attention Attention

If the application is started as invisible, there is also no configuration dialog displayed. If the configuration is invalid or not present, the process gateway is automatically closed.


INI file

Manuel -> Process Gateway -> Getting started -> INI file

The Process Gateway saves the both the module selection and the module-specific configurations in the INI file.

The module-specific configurations between the modules are very different. Please note the detailed documentation in the module-dependent INI entries in this manual.

En raison des restrictions du système, seuls les codages ANSI et Unicode sont pris en charge lors de la lecture de fichiers INI.

attention Attention

Le format UTF-8 n'est pas pris en charge !

Vous devez donc toujours enregistrer vos fichiers INI sous forme de fichier texte, avec un encodage ANSI ou Unicode.

Module-independent content

[GENERAL]

Entrée

Description

[GENERAL]

Paramètre général de Process Gateway, indépendamment des modules sélectionnés.

DLL=

Sélection du fichier DLL utilisé pour Process Gateway. Le fichier DLL sélectionné détermine la sélection du module.

  • AccessDEC.dll
  • AccessSQL.dll
  • AccessMODBUS.dll
  • AccessDNP3.dll
  • AccessIEC870Sl.dll
  • AccessSNMP.dll
  • AccessOPCUA.dll
  • AccessICCP.dll
  • AccessAzure.dll

[DATABASE]

Entry | Description
PROJECT= | Name of the zenon project with which Process Gateway communicates with Runtime. In a multi-project system, it is possible to access any desired project in the hierarchy. If this entry is empty, the integration project is applicable. Default: Empty (project currently loaded in Runtime)


DEC

Manuel -> Process Gateway -> DEC

Autres sujets abordés dans ce chapitre

Module configuration

Logging

Configuration file: specific entries for AccessDEC


Module configuration

Manuel -> Process Gateway -> DEC -> Module configuration

The following dialog appears after the Settings button is clicked:

Here the variables that should be connected can be selected. In the list on the left-hand side all variables which are available in zenon are displayed. These can be selected and moved to the DEC export list with the '>' button. With the button '<' they can be removed again. If a variable is moved to the export list, a dialog for the name assignment of the zenon variable to the DEC variable opens:

The assignment is defined with a four digit press number and the four digit parameter name. Entered characters are automatically changed to upper case. The variables selected in this way then are continuously synchronized in zenon or in the connected DEC system.

In the lower part of the configuration dialog the TCP/IP connection to the DEC system can be configured.

The port number indicates the port where the Process Gateway waits for incoming connections.

The timeout is the time without response, after that the connection is closed.


Logging

Manuel -> Process Gateway -> DEC -> Logging

All telegrams received by the DEC system and the responds from the Process Gateway can be logged.

To do this an entry LOGFILE in the section [DEC] of the configuration file with the name of the log file has to exist. This file then is created in the same folder as zenProcGateway.exe.

Example for this entry:
[DEC]
LOGFILE=zenProcGateway.log


Configuration file: specific entries for AccessDEC

Manuel -> Process Gateway -> DEC -> Configuration file: specific entries for AccessDEC

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

The configuration file must be in the system folder.

Remarque : Le fichier de configuration doit se trouver dans le dossier C:\Documents and Settings\All Users\Application Data\COPA-DATA\System.

[DEC]

Entrée | Description
LOGFILE= | Nom du fichier LOG (si vous souhaitez des traces, par exemple zenProcGateway.log)
PORT= | Numéro de port où le Process Gateway attend les essais de connexions.
TCPTIMEOUT= | Temps après lequel la connexion est fermée s'il n'y a pas de réponse
REFRESHRATE= | Intervalle de temps en millisecondes durant lequel l'image du processus de zenon est contrôlée après une modification.


DNP3 slave

Manuel -> Process Gateway -> DNP3 slave

Autres sujets abordés dans ce chapitre

Module configuration

Communication - procedure

Select before Operate

Command processing - Command Routing

Device Profile

Configuration file: specific entries for Access DNP3

LATCH_ON and LATCH_OFF

INI file


Module configuration

Manuel -> Process Gateway -> DNP3 slave -> Module configuration

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

The following dialog appears in the Process Gateway after the Settings button is clicked:

Variables

Here the variables that should be connected can be selected. On the left-hand side all variables which are available in zenon are displayed. You can select them there and move them to the DNP3 export list with the button >. With the button < they can be removed again.
As a result of the fact that variables are selected from a list, it is ensured that each variable is only used once.

The point list (Exported into DNP3) also contains the project reference of a variable. If a variable belongs to the default project, it is displayed with "[Project]#[Variable Name]" in the point list. If it belongs to the default project (marked with *), it is only listed in the point list with the variable name.

If a variable is moved to the export list, a dialog for the name assignment of the zenon variable to an object and point number in DNP3 opens.

The variables selected in this way then are available in the DNP3 slave and are continuously synchronized between zenon and the DNP3’s object database.

Allocation of object groups to event classes

The allocation of object groups to event classes is defined and fixed and is as follows:

Event Class 1: Binary inputs

Event Class 2: Analog inputs

Event Class 3: Binary Outputs, Analog Outputs, Running Counters, Octet Strings

Variables

Parameter | Description
Variables | Area for variable selection, depending on the selected project.
Available in SCADA | Area for the display of the available projects and the variables assigned to the selected project.
Projects | List of the projects available in the DNP3 module of the Process Gateway. The default project is marked with a * in front of the project name. This is generally the configured start project. Exception: A different file is configured in the INI file. Please also note the information on naming the variables for DNP3 in the Process Gateway.
Variables | List of all variables of the selected project available in zenon. These are also displayed by selecting a project by clicking in the Projects area. The variables are selected in this area and applied using the > button in the Exported into DNP3 area. Note: Multiple selection (Shift or ALT key) is possible.
Button > | Selected variables from the Variables list are moved to Exported into DNP3. Clicking on the > button opens the object settings dialog.
Button < | Selected variables are removed from the Exported into DNP3 list.
Exported into DNP3 | Export list of the assigned variables. Double clicking on the entry opens the object settings dialog. The variables selected in this way are available on the DNP3 slave. These variables are continually synchronized between zenon and the DNP3 object database. Please also note the information on naming the variables for DNP3 in the Process Gateway.

DNP3 connection

In the lower part of the configuration dialog the serial or TCP/IP connection for the DNP3 slave can be configured.

Parameter

Description

Unsolicited Responses

Button for the configuration of responses that that are not requested (Unsolicited Responses), which the Process Gateway sends to the DNP3 master.

Attention: The DNP3-Master can also request Unsolicited Responses from the Process Gateway. However to do this, the functionality must be activated in the Process Gateway.

The number of events and the maximum time delay can be configured for each event class.

Timeout and Retry are given for all event classes together.

Clicking on the button opens the configuration dialog.

Note: Entries are remanent.

Event Handling

Button for the configuration of event handling

Clicking on the button opens the configuration dialog.

Variations

Button for the configuration of the Variations per object group.

Clicking on the button opens the configuration dialog.

SELECT Timeout [ms]

Timeout for Select before Operate.
An Operate from the master is expected within the configured time.

Default: 5000 ms

Input range: 1000 to 65000

Local Session Link Adress

Link address of the slave.

Default: 3

Note: Only one active session is supported, regardless of whether serial or TCP/IP communication is used.

Remote Link Address (Master)

Link address of the master.

Default: 4

Note: Only one active session is supported, regardless of whether serial or TCP/IP communication is used.

Time Zone

Button to select the time format:

  • Local Time
  • UTC

Serial

Serial

Configurations of the serial interface for communication on the DNP3 slave

Port

Drop-down list for the configuration of the communication interface:

Value range: COM 1 to COM 64

Default: COM 1

Note: Only active if Serial is activated as the communication method.

Stop Bits

Drop-down list for the configuration of the number of stopbits transferred:

  • 1
  • 1.5
  • 2

Default: 1

Note: Only active if Serial is activated as the communication method.

Parity

Drop-down list for the configuration of the parity:

  • No
  • Odd
  • Even

Default: No (= no parity)

Note: Only active if Serial is activated as the communication method.

Data Bits

Drop-down list for the configuration of the number of data bits transferred:

  • 5
  • 6
  • 7
  • 8

Default: 8

Note: Only active if Serial is activated as the communication method.

Baudrate

Drop-down list to select the Baud rate for serial interface communication.

Selection options: 110, 300, 600, 1200, 2400, 4800, 9600, 19200, 38400, 56000, 57600, 115200, 128000, 256000

Default: 9600

Note: Only active if Serial is activated as the communication method.

TCP/IP

TCP/IP | Configurations for communication in a network via TCP/IP.
Port | Input field for the configuration of the "Listener-/Horch-" protocol port Default: 20000 Note: Only active if TCP/IP is activated as the communication method.

Close dialog

OK | Applique les paramètres et ferme la boîte de dialogue.
Cancel | Annule toutes les modifications et ferme la boîte de dialogue.

Autres sujets abordés dans ce chapitre

Naming of the variables for DNP3 in the Process Gateway.

Variable selection - object settings

Unsolicited Responses

Event Handling

Variations per object group - variations


Naming of the variables for DNP3 in the Process Gateway.

Manuel -> Process Gateway -> DNP3 slave -> Module configuration -> Naming of the variables for DNP3 in the Process Gateway.

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

The variable name of the DNP3 slave for communication to the DNP3 master comprises the following components:

  • Project name
  • #
    A # character is inserted after the project name as a separator
    Attention: There is no project name and separator with start projects!
    If a variable name in the DNP3 module of the Process Gateway is not preceded by a project, the project defined in the INI file is automatically placed in front for communication to the DNP3 master.
    If there is no project defined in the INI file, this corresponds to the start project in Runtime.
    The start project is marked with a * in the module configuration, in the Available in SCADA group, in the Projects .
  • Variable name
    As configured in zenon.
  • Object type
    As configured in the Object Settings dialog.
  • Point index
    As configured in the Object Settings dialog.
  • Event handling
    As configured in the Object Settings dialog.


Variable selection - object settings

Manuel -> Process Gateway -> DNP3 slave -> Module configuration -> Variable selection - object settings

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

If a variable is moved to the export list, a dialog for the name assignment of the zenon variable to an object and point number in DNP3 opens:

The variables selected in this way then are available in the DNP3 slave and are continuously synchronized between zenon and the DNP3’s object database.

Settings

Parameter

Description

Name

Name of the variable for which the configurations can be carried out.

Note: For information only and grayed out, because it cannot be changed.

Object

Drop-down list to select the driver data type to the driver

  • Analog Inputs
  • Analog Output Status
    (written value is mirrored as a response after successful writing)
  • Binary Inputs
  • Binary Output Status
  • Running Counters
  • String Data

Default: Binary inputs

Event Handling

Denotes which events can be processed:

  • Default
    Events are handled as defined in the object group.
    For this, please note the configuration in the Event handling dialog.
  • SOE
    Events are treated as a Serie of Events.
  • Most recent
    Only the last change of a binary change event is retained.

Note: Inactive if the data type is string data.

Default: Default

Point

Pointindex for the event.

Default: 0

Note: Ensure that the point index is unique for each variable. It is recommended that that the point index is started at 0 and numbered incrementally.

Enable SBO routing

Checkbox for the activation of command processing (command routing). The Command Routing can be configured individually for each variable.

  • Active:
    Communication takes Command Routing into account
  • Inactive:
    Communication is carried out without Command Routing.

Note: only active if, in the Object drop-down list, the Binary Output _Status entry has been selected.

Close dialog

OK | Applique les paramètres et ferme la boîte de dialogue.
Cancel | Annule toutes les modifications et ferme la boîte de dialogue. Note: The variable is in this case not available on the DNP3 slave.

info Informations

If several variables have been selected during module configuration, a switch to the configuration dialog of the next variable is made by clicking on the OK or Cancel buttons. A separate configuration dialog is thus called up step by step for each selected variable.


Unsolicited Responses

Manuel -> Process Gateway -> DNP3 slave -> Module configuration -> Unsolicited Responses

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Dialog for the configuration of the Unsolicited Responses in the object settings:

Parameters

Description

Enable unsolicited response

Check box to activate the use of Unsollicited responses. If this check box is not activated, no unsolicited responses are generated.

Default: inactive

Note: If this property is not active, all of the following entries are grayed out.

Attention: If this option is not active, no unsolicited responses are sent to the master. Even if these are requested by the master.

Timeout

Time in seconds for communication to the master. A time exceedance is triggered once this time has expired.

Entry range: 1 to 60 s

Default: 5 s

Note: This setting depends on the type and speed of its communication to the master. In principle, the slower the communication, the higher the Timeout time.

Number of retries

Number of retries for communication to the master.

Entry range: 0 - 65535
(0 = an infinite amount of attempts)

Default: 3

Example: If an unsolicited response is sent to the master, this is confirmed by the master. If this confirmation from the master remains outstanding, a confirmation is sent as many times as configured in Number of retries. A new unsolicited response is then created.

Event Class 1

Maximum Number of Events

Nombre maximal d'événements (par classe d'événements) pouvant être enregistrés dans le buffer avant l'envoi d'une unsolicited response.

Plage de saisie : 0 - 255
Par défaut : 5

Maximum Delay

Délai d'attente maximal (par classe d'événements) avant l'écriture d'une nouvelle entrée suite à l'envoi d'une unsolicited response.

Plage de saisie : 0 - 65535 secondes
(0 = aucun délai, c'est-à-dire en cas de changement de valeur).
Par défaut : 5

Maximum Number of Events and Maximum Delay work together. The value that is reached first triggers communication to the master.
Note: You can also prioritize the three event classes with these entries.

Event Class 2

Maximum Number of Events

Nombre maximal d'événements (par classe d'événements) pouvant être enregistrés dans le buffer avant l'envoi d'une unsolicited response.

Plage de saisie : 0 - 255
Par défaut : 5

Maximum Delay

Délai d'attente maximal (par classe d'événements) avant l'écriture d'une nouvelle entrée suite à l'envoi d'une unsolicited response.

Plage de saisie : 0 - 65535 secondes
(0 = aucun délai, c'est-à-dire en cas de changement de valeur).
Par défaut : 5

Event Class 3

Maximum Number of Events

Nombre maximal d'événements (par classe d'événements) pouvant être enregistrés dans le buffer avant l'envoi d'une unsolicited response.

Plage de saisie : 0 - 255
Par défaut : 5

Maximum Delay

Délai d'attente maximal (par classe d'événements) avant l'écriture d'une nouvelle entrée suite à l'envoi d'une unsolicited response.

Plage de saisie : 0 - 65535 secondes
(0 = aucun délai, c'est-à-dire en cas de changement de valeur).
Par défaut : 5

Close dialog

OK | Applique les paramètres et ferme la boîte de dialogue.
Cancel | Annule toutes les modifications et ferme la boîte de dialogue.


Event Handling

Manuel -> Process Gateway -> DNP3 slave -> Module configuration -> Event Handling

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Configuration dialog for event groups and their behavior when the value of variable is changed.

Possible options are:

  • Behavior on deletion
  • Behavior on value change
  • Buffer size

Parameters

Description

Delete on buffer overflow

Global setting for which event is deleted when the buffer is full:

  • Oldest
    Oldest entries are deleted.
  • Newest
    Most recent entries are deleted.

Default: Oldest

Binary Change Events

Parameters | Description
Buffer Size | Setting for buffer size for the respective event group. Entry range: 1 - 65535 Default: 100

Binary Output Events

Parameters | Description
Buffer Size | Setting for buffer size for the respective event group. Entry range: 1 - 65535 Default: 100

Analog Change Events

Parameters | Description
Buffer Size | Setting for buffer size for the respective event group. Entry range: 1 - 65535 Default: 100

Analog Output Events

Parameters | Description
Buffer Size | Setting for buffer size for the respective event group. Entry range: 1 - 65535 Default: 100

Counter Events

Parameters | Description
Buffer Size | Setting for buffer size for the respective event group. Entry range: 1 - 65535 Default: 100

String Events

Parameters | Description
Buffer Size | Setting for buffer size for the respective event group. Entry range: 1 - 65535 Default: 100

Close dialog

Option | Description
OK | Applique les paramètres et ferme la boîte de dialogue.
Cancel | Annule toutes les modifications et ferme la boîte de dialogue.


Variations per object group - variations

Manuel -> Process Gateway -> DNP3 slave -> Module configuration -> Variations per object group - variations

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

In this dialog, (Variations) can be configured for the following object groups:

  • 1 Binary Input
  • 2 Binary Input Event
  • 10 Binary Output
  • 11 Binary Output Event
  • 20 Counter
  • 22 Counter Event
  • 30 Analog Input
  • 32 Analog Input Event
  • 40 Analog Output Status
  • 42 Analog Output Event

Different variations are supported depending on the object group:

Parameters | Description
Binary Input | Liste déroulante avec les Variations prises en charge pour le groupe d'objetsBinary Input: 1: packet format 2: with flags Default: 1: packet format
Binary Input Event | Liste déroulante avec les Variations prises en charge pour le groupe d'objetsBinary Input Event: 1: without time 2: with absolute time 3: with relative time Default: 3: with relative time
Binary Output | Liste déroulante avec les Variations prises en charge pour le groupe d'objetsBinary Output: 1: packet format 2: with flags Default: 1: with flags
Binary Output Event | Liste déroulante avec les Variations prises en charge pour le groupe d'objetsBinary Output Event: 1: status without time 2: status with time Default: 1: status without time
Counter | Liste déroulante avec les Variations prises en charge pour le groupe d'objetsCounter: 1: 32 bit with flag 2: 16 bit with flag 5: 32 bit without flag 6: 16 bit without flag Default: 5: 32 bit without flag
Counter Event | Liste déroulante avec les Variations prises en charge pour le groupe d'objetsCounter Event: 1: 32 bit with flag 2: 16 bit with flag 5: 32 bit flag and time 6: 16 bit flag and time Default: 1: 32 bit with flag
Analog Input | Liste déroulante avec les Variations prises en charge pour le groupe d'objetsAnalog Input: 1: 32 bit with flag 2: 16 bit with flag 3: 32 bit without flag 4: 16 bit without flag 5: single precision, floating-point with flag 6: double precision, floating-point with flag Default: 6: double precision, floating-point with flag
Analog Input Event | Liste déroulante avec les Variations prises en charge pour le groupe d'objetsAnalog Input Event: 1: 32 bit without time 2: 16 bit without time 3: 32 bit with time 4: 16 bit with time 5: single precision, floating-point without time 6: double precision, floating-point without time 7: single precision, floating-point with time 8: double precision, floating-point with time Default: 6: double precision, floating-point without time
Analog Output | Liste déroulante avec les Variations prises en charge pour le groupe d'objetsBinary Input: 1: 32 bit with flag 2: 16 bit with flag 3: single precision, floating-point with flags 4: double precision, floating-point with flags Default: 2: 16 bit with flag
Analog Output Event | Liste déroulante avec les Variations prises en charge pour le groupe d'objetsAnalog Output Event: 1: 32 bit without time 2: 16 bit without time 3: 32 bit with time 4: 16 bit with time 5: single precision, floating-point without time 6: double precision, floating-point without time 7: single precision, floating-point with time 8: double precision, floating-point with time Default: 2: 16 bit without time

Close dialog

Option | Description
OK | Applique les paramètres et ferme la boîte de dialogue.
Cancel | Annule toutes les modifications et ferme la boîte de dialogue.


Communication - procedure

Manuel -> Process Gateway -> DNP3 slave -> Communication - procedure

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Value changes are executed via COM. An update in stack direction only occurs if:

  • It is the first value for the object (initial value).
  • The value changes (value change).
  • The status bits Invalid or Not current change (value change of the status bit).

The time stamp of the change is applied in the event of a change. This time stamp is applied from the COM event and transferred to the stack event. The Time Zone setting determines the type of time stamp:

  • Local time or
  • UTC time

The stack no longer checks for a value change, but the gateway cyclically takes the value changes from the queue of the COM threads and forwards them to the stack for entry into the event buffer of the corresponding object group. Event values and static vales (with poll in the stack) are read from the shadow of the item and no longer from the shared memory. The time stamp is applied from the COM event and transferred to the stack event as a local time with millisecond precision.

Binary and analog output variables are written from the master to the Process Gateway.

In addition, these variables send the value back to the master, the same thing that binary and analog input variables do if the assigned variables are changed in zenon Runtime.

As a result of the fact that variables are selected from a list, it is ensured that double selection is prevented.


Select before Operate

Manuel -> Process Gateway -> DNP3 slave -> Select before Operate

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Analog Outputs and Binary Outputs have SBO (Select before Operate) functionality. For this, the following applies:

  • The DNP3 master sends a Select command to the outstation.
  • When the Binary Output object type is requested, the following requirements must be met in order for the request to be answered in the positive:
    • The variable exists and is signed in or can be signed in.
    • The data type of the variable is IEC_BOOL or IEC_USINT
    • The value of the command is valid:
      NUL, PulseOn, PulseOff, LatchOn, LatchOff, PulseOn + Close, PulseOn + Trip
  • Requests of the Analog Output object type are always answered in the positive
  • The configured Select timeout is activated automatically.
    If, within this timeout, there is no Operate command received for the respective variable, the processing of the variable is ended automatically.
    Note: If, instead of an Operate Request, a different Request is received for the respective variable, the sequence number is incorrect or the Operate Request does not correspond to the Select Request. Processing is ended automatically.
  • An Operate Request without a previous Select Request is acknowledged with an error.

Tipp Conseil

You can find further general information on Select before Operate in the Energy Edition manual, Command Processing in the Execution of a command chapter.


Command processing - Command Routing

Manuel -> Process Gateway -> DNP3 slave -> Command processing - Command Routing

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Basic requirements for the positive execution of the Select or Operate command are:

  • The variable type is Binary Output
  • The variable exists, is signed in or can be signed in, and is valid (no I-Bit).
  • The data type of the variable is IEC_REAL, IEC_BOOL or IEC_USINT.
  • The control code is valid and can be converted to a Boolean value-
    The following values are valid (the corresponding Boolean value is stated in brackets):
    • NUL (false)
    • PulseOn (true)
    • PulseOff (false)
    • LatchOn (true)
    • LatchOff (false)
    • PulseOn + Close (true)
    • PulseOn + Trip (false)

Procedure

In general, the following applies: Command routing is only activated for exported Binary Output variables for which the Command Routing option has been activated.

  • If a Select command is received for a Binary Output for which the Command Routing option has been deactivated, a positive Response is returned to the master, provided the basic requirements have been met.
  • If, for Binary Output, the Command Routing option has been set, the COT_act command with the control code is sent to the command variable (configured with Binary Output), in the Runtime.
    Note: COT_act is coded in the status value with the help of the COT_act, S_SE_BIT and S_SELECT bits.
  • There is then a wait for the execution of the Select command by the auto-remote command action, before the Response is sent to the master.
    Only once there is a positive response to the Select command sent to the master does the Select Timeout Timer start.
  • The processing of the following Operate command is carried out in the same way as for the Select command.In addition, for an Operate command, there is a check to see whether a Select- command has been received before the command is forwarded to the command processing in Runtime.
  • If, for the Operate command, the Command Routing option is not active or no Select command has been received beforehand, an Operate Request is answered directly.
  • After the Operate command has been processed successfully by the command input in Runtime, a positive Operate Response is sent to the master. In the event of an error, an Operate Response is sent to the master with an error.

Status of command routing

The following status codes are sent to the master from the outstation:

  • Status Code 0 - SUCCESS
    The command processing was successful.
  • Status Code 1 - TIMEOUT
    A timeout has occurred during command processing.
    The command processing could not be successfully completed within 2 minutes.
  • Status Code 2 - NO_SELECT
    The Select command has been sent by the command processing with an invalid status.
    Invalid statuses are:
    • S_PN_BIT (negative confirmation) received
    • The S_SE_BIT is no longer set
    • None of the COT bits are set
  • Status Code 6 - HARDWARE_ERROR
    This error occurs under the following circumstances:
    • The variable is not signed in and cannot be signed in.
    • The variable has the INVALID bit
    • The value cannot be written or the command cannot be sent.
  • Status Code 10 - AUTOMATION_INHIBIT
    The Operate command has been sent by the command processing with an invalid status.
    Invalid statuses are:
    • S_PN_BIT (negative confirmation) received
    • The S_SE_BIT is no longer set
    • None of the COT bits are set
  • Status Code 12 - OUT_OF_RANGE
    The control code contained in the Request is invalid.

Autres sujets abordés dans ce chapitre

LOG - command routing


LOG - command routing

Manuel -> Process Gateway -> DNP3 slave -> Command processing - Command Routing -> LOG - command routing

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

LOG entry

Level

Description

processing command %1

MSG

Start of processing a command.

  • %1
    Command:
    Select, Cancel Select or Operate.

command %1 terminates with %2

MSG

The processing of the command has been completed.

  • %1
    Command:
    Select or Operate
  • %2
    DNP3 status code

command CANCEL SELECT finished

MSG

The processing of the Cancel Select command is complete.

command timeout - command failed

ERROR

The timeout status bit S_LAUFZEIT was received when waiting for the command confirmation.

invalid - command failed

ERROR

The I-Bit was received when waiting for the command confirmation.

negative confirmation - command failed (%1)

ERROR

The PN-Bit negative confirmation was received when waiting for the command confirmation.

  • %1:
    Status value, coded in hexadecimal.

no more COT status bits - command failed

ERROR

A status without COT or PN Bit(s) was received when waiting for the command confirmation.

%1 positive (COT_actcon) - command successful

MSG

A positive command confirmation with the code COT_actcon was received.

  • %1
    Command:
    Select or Operate

execution termination positive (COT_actterm) - command succeeds

MSG

A positive command confirmation (COT_actterm) was received.

timeout while waiting for confirmation

ERROR

Waiting for the command confirmation was canceled with a Timeout. No known cancel condition was received during the fixed, defined waiting time of 2 minutes.

timeout while waiting for status change after command launch

ERROR

Waiting for the first status changes after sending the command was canceled with a TIMEOUT. No known cancel condition was received during the fixed, defined waiting time of 2 minutes.

Called SetValueWithStatusEx(%1, %2, %3, ...) returned: %4

DEBUG

Shows the call to send a command. The following information is logged:

  • 1
    Value (0 or 1)
  • 2
    Lowest-value DWORD of the status
  • 3
    Highest-value DWORD of the status
    (contains COT and SE)
  • 4
    true (execution OK) or
    false (execution error)

status request: %1

DEBUG

Shows changes for %1 when the status information is accessed.

status request: %1

DEEPDEBUG

Shows all access to the status information.

converted control code %d to set value %d - result: %u

DEBUG

The command control from Placeholder 1 has been converted to the Boolean value in Placehoder 2.

Note: Placeholder 3 is 0 if the conversion was valid, otherwise it shows the status code 12.


Device Profile

Manuel -> Process Gateway -> DNP3 slave -> Device Profile

The template for the Device Profile is installed together with the DNP3 Process Gateway by the setup. You can find the file DNP3_ProcessGateway.xml in the following folder: %ProgramData%\COPA-DATA\zenon[Version]\CommunicationProfiles\Dnp3\ProcessGateway\


Configuration file: specific entries for Access DNP3

Manuel -> Process Gateway -> DNP3 slave -> Configuration file: specific entries for Access DNP3

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

The configuration file must be in the system folder. This INI file is called zenProcGateway.INI and is located in the following folder: C:\ProgramData\COPA-DATA\System.

[DNP3]

Entrée

Description

SERIAL=

communication série (1) ou communication par TCP/IP (0)

COMPORT=

port de communication série (COM1=0, COM2=1, ...)

BAUD=

Vitesse de l'interface série

BYTESIZE=

Nombre de bits de données de l'interface série

PARITY=

Paramètres de parité de l'interface série :
(0=pas de parité, 1=parité impaire, 2=parité paire)

STOPBITS=

Nombre de bits d'arrêt de l'interface série
(0=1, 1=1.5, 2=2)

LINKADDRLOC=

adresse de lien vers la session locale

LINKADDRREM=

adresse de lien vers la session distante

SELECTTIMEOUT=

Délai d'attente avant expiration [ms] pour la commande Select Before Operate.

If no OPERATE command is received for the respective variable within this timeout, the processing for the variable is automatically ended with a CANCEL command.

Par défaut : 50000 ms

PORT=

Port de communication utilisé pour les communications TCP/IP

Par défaut : 20000

TIME_USE_UTC=

Format des informations d'horodatage :

  • 0 = Heure locale
  • 1 = UTC

Par défaut : 0

Obj1BinInput=

Liste déroulante avec les Variations prises en charge pour le groupe d'objets

1: format de paquet
2: with flags

Par défaut : 1: packet format

Obj2BinInputEvent=

Liste déroulante avec les Variations prises en charge pour le groupe d'objets

1 : temps illimité

2: with absolute time

3: with relative time

Par défaut : 3: with relative time

Obj10BinOutput=

Liste déroulante avec les Variations prises en charge pour le groupe d'objets

1: format de paquet
2: with flags
Par défaut : 1: with flags

Obj11BinOutputEvent=

Liste déroulante avec les Variations prises en charge pour le groupe d'objets

1: état sans heure
2: status with time

Par défaut : 1: status without time

Obj20Counter=

Liste déroulante avec les Variations prises en charge pour le groupe d'objets

1 : 32 bit with flag
2: 16 bit with flag
5: 32 bit without flag
6: 16 bit without flag

Par défaut : 5: 32 bit without flag

Obj22CounterEvent=

Liste déroulante avec les Variations prises en charge pour le groupe d'objets

1 : 32 bit with flag
2: 16 bit with flag
5: 32 bit flag and time
6: 16 bit flag and time

Par défaut : 1: 32 bit with flag

Obj30AnalogInp=

Liste déroulante avec les Variations prises en charge pour le groupe d'objets

1 : 32 bit with flag
2: 16 bit with flag
3: 32 bit without flag
4: 16 bit without flag
5: single precision, floating-point with flag
6: double precision, floating-point with flag

Par défaut : 6: double precision, floating-point with flag

Obj32AnalogInpEvent=

Liste déroulante avec les Variations prises en charge pour le groupe d'objets

1 : 32 bit without time
2: 16 bit without time
3: 32 bit with time
4: 16 bit with time
5: single precision, floating-point without time
6: double precision, floating-point without time

7: single precision, floating-point with time
8: double precision, floating-point with time

Par défaut : 6: double precision, floating-point without time

Obj40AnalogOutStatus=

Liste déroulante avec les Variations prises en charge pour le groupe d'objets

1 : 32 bit with flag
2: 16 bit with flag
3: single precision, floating-point with flags
4: double precision, floating-point with flags

Par défaut : 2: 16 bit with flag

Obj41AnalogOutput=

Liste déroulante avec les Variations prises en charge pour le groupe d'objets

1 : 32 bit without time
2: 16 bit without time
3: 32 bit with time
4: 16 bit with time
5: single precision, floating-point without time

6: double precision, floating-point without time

7: single precision, floating-point with time
8: double precision, floating-point with time

Par défaut : 2: 16 bit without time

UNSOLICITED_RESPONSES_ENABLED=

Activer ou désactiver les Unsolicited Responses :

  • 0 = inactive
  • 1 - actif

Par défaut : Inactive (0)

UNSOLICITED_RESPONSES_CONFIRMATION_TIMEOUT=

Délai, en secondes, des communications avec le maître. Un dépassement de délai est déclenché après expiration de ce délai.

Plage d'entrée : 1 à 60 s

Par défaut : 5 s

UNSOLICITED_RESPONSES_RETRY_COUNTER=

Nombre de tentatives de rétablissement des communications avec le maître.

Plage d'entrée : 0 à 65535
(0 = nombre infini de tentatives)

Par défaut : 3

UNSOLICITED_RESPONSES_MAXIMUM_EVENTS_CLASS_1=

Nombre maximal d'événements (par classe d'événements) pouvant être enregistrés dans le buffer avant l'envoi d'une unsolicited response.

Plage de saisie : 0 - 255
Par défaut : 5

UNSOLICITED_RESPONSES_MAXIMUM_EVENTS_CLASS_2=

Nombre maximal d'événements (par classe d'événements) pouvant être enregistrés dans le buffer avant l'envoi d'une unsolicited response.

Plage de saisie : 0 - 255
Par défaut : 5

UNSOLICITED_RESPONSES_MAXIMUM_EVENTS_CLASS_3=

Nombre maximal d'événements (par classe d'événements) pouvant être enregistrés dans le buffer avant l'envoi d'une unsolicited response.

Plage de saisie : 0 - 255
Par défaut : 5

UNSOLICITED_RESPONSES_MAXIMUM_DELAY_CLASS_1=

Délai d'attente maximal (par classe d'événements) avant l'écriture d'une nouvelle entrée suite à l'envoi d'une unsolicited response.

Plage de saisie : 0 - 65535 secondes
(0 = aucun délai, c'est-à-dire en cas de changement de valeur).
Par défaut : 5

UNSOLICITED_RESPONSES_MAXIMUM_DELAY_CLASS_2=

Délai d'attente maximal (par classe d'événements) avant l'écriture d'une nouvelle entrée suite à l'envoi d'une unsolicited response.

Plage de saisie : 0 - 65535 secondes
(0 = aucun délai, c'est-à-dire en cas de changement de valeur).
Par défaut : 5

UNSOLICITED_RESPONSES_MAXIMUM_DELAY_CLASS_3=

Délai d'attente maximal (par classe d'événements) avant l'écriture d'une nouvelle entrée suite à l'envoi d'une unsolicited response.

Plage de saisie : 0 - 65535 secondes
(0 = aucun délai, c'est-à-dire en cas de changement de valeur).
Par défaut : 5

[VARIABLES]

Entrée

Description

COUNT

Nombre de variables à exporter

EVENT_%d

Gestion des événements : Gestion des événements par variable.
Événements toujours associés à une variable : par ex. EVENT_0 appartient à NAME_0

Valeurs :

  • DEFAULT
    La gestion des événements est identique à celle du groupe d'objets
  • MOST_RECENT
    Inclut uniquement la dernière modification d'un événement de modification de variable binaire
  • SOE
    Crée une série d'événements

Par défaut : Par défaut

NAME_n

Nom de la variable comportant le nombre n (0<=n<COUNT)

OBJECT_n

Type d'objet DNP3 de la variable d'objet n (0<=n<COUNT)

POINT_n

Numéro de point DNP3 de la variable n (0<=n<COUNT)

ROUTING_n

Command routing for binary output variables with the number n(0<=n<COUNT)

  • 1:
    Command routing is activated for variable
  • 0:
    Command Routing is inactive for variable.


LATCH_ON and LATCH_OFF

Manuel -> Process Gateway -> DNP3 slave -> LATCH_ON and LATCH_OFF

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Command Control Code from the PLC is written to USINT variables as an 8-bit value via Process Gateway. The following applies for transfer to zenon variables:

Destination variable of the command | Result
BOOL: | Set value LATCH_ON: 1 Set value LATCH_OFF: 0
USINT: | Set value corresponds to control code.
all other variables: | Command failed.

Only direct control is supported. Select, SBO and Operate are not supported.

Master, control mode direct | Process Gateway | Value zenon USINT
LATCH_ON | Binary Output Statuses | 3
LATCH_OFF | Binary Output Statuses | 4
Pulse On | Binary Output Statuses | 1
Pulse Off | Binary Output Statuses | 2
Trip | Binary Output Statuses | 129
Close | Binary Output Statuses | 65

For zenon binary output statuses BOOL, only LATCH_ON/LATCH_OFF is supported.


INI file

Manuel -> Process Gateway -> DNP3 slave -> INI file

[DNP3]

Entrée

Description

SERIAL=

communication série (1) ou communication par TCP/IP (0)

COMPORT=

port de communication série (COM1=0, COM2=1, ...)

BAUD=

Vitesse de l'interface série

BYTESIZE=

Nombre de bits de données de l'interface série

PARITY=

Paramètres de parité de l'interface série :
(0=pas de parité, 1=parité impaire, 2=parité paire)

STOPBITS=

Nombre de bits d'arrêt de l'interface série
(0=1, 1=1.5, 2=2)

LINKADDRLOC=

adresse de lien vers la session locale

LINKADDRREM=

adresse de lien vers la session distante

SELECTTIMEOUT=

Délai d'attente avant expiration [ms] pour la commande Select Before Operate.

If no OPERATE command is received for the respective variable within this timeout, the processing for the variable is automatically ended with a CANCEL command.

Par défaut : 50000 ms

PORT=

Port de communication utilisé pour les communications TCP/IP

Par défaut : 20000

TIME_USE_UTC=

Format des informations d'horodatage :

  • 0 = Heure locale
  • 1 = UTC

Par défaut : 0

Obj1BinInput=

Liste déroulante avec les Variations prises en charge pour le groupe d'objets

1: format de paquet
2: with flags

Par défaut : 1: packet format

Obj2BinInputEvent=

Liste déroulante avec les Variations prises en charge pour le groupe d'objets

1 : temps illimité

2: with absolute time

3: with relative time

Par défaut : 3: with relative time

Obj10BinOutput=

Liste déroulante avec les Variations prises en charge pour le groupe d'objets

1: format de paquet
2: with flags
Par défaut : 1: with flags

Obj11BinOutputEvent=

Liste déroulante avec les Variations prises en charge pour le groupe d'objets

1: état sans heure
2: status with time

Par défaut : 1: status without time

Obj20Counter=

Liste déroulante avec les Variations prises en charge pour le groupe d'objets

1 : 32 bit with flag
2: 16 bit with flag
5: 32 bit without flag
6: 16 bit without flag

Par défaut : 5: 32 bit without flag

Obj22CounterEvent=

Liste déroulante avec les Variations prises en charge pour le groupe d'objets

1 : 32 bit with flag
2: 16 bit with flag
5: 32 bit flag and time
6: 16 bit flag and time

Par défaut : 1: 32 bit with flag

Obj30AnalogInp=

Liste déroulante avec les Variations prises en charge pour le groupe d'objets

1 : 32 bit with flag
2: 16 bit with flag
3: 32 bit without flag
4: 16 bit without flag
5: single precision, floating-point with flag
6: double precision, floating-point with flag

Par défaut : 6: double precision, floating-point with flag

Obj32AnalogInpEvent=

Liste déroulante avec les Variations prises en charge pour le groupe d'objets

1 : 32 bit without time
2: 16 bit without time
3: 32 bit with time
4: 16 bit with time
5: single precision, floating-point without time
6: double precision, floating-point without time

7: single precision, floating-point with time
8: double precision, floating-point with time

Par défaut : 6: double precision, floating-point without time

Obj40AnalogOutStatus=

Liste déroulante avec les Variations prises en charge pour le groupe d'objets

1 : 32 bit with flag
2: 16 bit with flag
3: single precision, floating-point with flags
4: double precision, floating-point with flags

Par défaut : 2: 16 bit with flag

Obj41AnalogOutput=

Liste déroulante avec les Variations prises en charge pour le groupe d'objets

1 : 32 bit without time
2: 16 bit without time
3: 32 bit with time
4: 16 bit with time
5: single precision, floating-point without time

6: double precision, floating-point without time

7: single precision, floating-point with time
8: double precision, floating-point with time

Par défaut : 2: 16 bit without time

UNSOLICITED_RESPONSES_ENABLED=

Activer ou désactiver les Unsolicited Responses :

  • 0 = inactive
  • 1 - actif

Par défaut : Inactive (0)

UNSOLICITED_RESPONSES_CONFIRMATION_TIMEOUT=

Délai, en secondes, des communications avec le maître. Un dépassement de délai est déclenché après expiration de ce délai.

Plage d'entrée : 1 à 60 s

Par défaut : 5 s

UNSOLICITED_RESPONSES_RETRY_COUNTER=

Nombre de tentatives de rétablissement des communications avec le maître.

Plage d'entrée : 0 à 65535
(0 = nombre infini de tentatives)

Par défaut : 3

UNSOLICITED_RESPONSES_MAXIMUM_EVENTS_CLASS_1=

Nombre maximal d'événements (par classe d'événements) pouvant être enregistrés dans le buffer avant l'envoi d'une unsolicited response.

Plage de saisie : 0 - 255
Par défaut : 5

UNSOLICITED_RESPONSES_MAXIMUM_EVENTS_CLASS_2=

Nombre maximal d'événements (par classe d'événements) pouvant être enregistrés dans le buffer avant l'envoi d'une unsolicited response.

Plage de saisie : 0 - 255
Par défaut : 5

UNSOLICITED_RESPONSES_MAXIMUM_EVENTS_CLASS_3=

Nombre maximal d'événements (par classe d'événements) pouvant être enregistrés dans le buffer avant l'envoi d'une unsolicited response.

Plage de saisie : 0 - 255
Par défaut : 5

UNSOLICITED_RESPONSES_MAXIMUM_DELAY_CLASS_1=

Délai d'attente maximal (par classe d'événements) avant l'écriture d'une nouvelle entrée suite à l'envoi d'une unsolicited response.

Plage de saisie : 0 - 65535 secondes
(0 = aucun délai, c'est-à-dire en cas de changement de valeur).
Par défaut : 5

UNSOLICITED_RESPONSES_MAXIMUM_DELAY_CLASS_2=

Délai d'attente maximal (par classe d'événements) avant l'écriture d'une nouvelle entrée suite à l'envoi d'une unsolicited response.

Plage de saisie : 0 - 65535 secondes
(0 = aucun délai, c'est-à-dire en cas de changement de valeur).
Par défaut : 5

UNSOLICITED_RESPONSES_MAXIMUM_DELAY_CLASS_3=

Délai d'attente maximal (par classe d'événements) avant l'écriture d'une nouvelle entrée suite à l'envoi d'une unsolicited response.

Plage de saisie : 0 - 65535 secondes
(0 = aucun délai, c'est-à-dire en cas de changement de valeur).
Par défaut : 5

[VARIABLES]

Entrée

Description

COUNT

Nombre de variables à exporter

EVENT_%d

Gestion des événements : Gestion des événements par variable.
Événements toujours associés à une variable : par ex. EVENT_0 appartient à NAME_0

Valeurs :

  • DEFAULT
    La gestion des événements est identique à celle du groupe d'objets
  • MOST_RECENT
    Inclut uniquement la dernière modification d'un événement de modification de variable binaire
  • SOE
    Crée une série d'événements

Par défaut : Par défaut

NAME_n

Nom de la variable comportant le nombre n (0<=n<COUNT)

OBJECT_n

Type d'objet DNP3 de la variable d'objet n (0<=n<COUNT)

POINT_n

Numéro de point DNP3 de la variable n (0<=n<COUNT)

ROUTING_n

Command routing for binary output variables with the number n(0<=n<COUNT)

  • 1:
    Command routing is activated for variable
  • 0:
    Command Routing is inactive for variable.


ICCP-TASE.2

Manuel -> Process Gateway -> ICCP-TASE.2

The IEC 60870-6 TASE.2 ICCP protocol can be used with the AccessICCP.dll module via the zenon Process Gateway. ICCP-TASE.2 supports Conformance Blocks 1 and 2 as client and server. Process Gateway acts like a server by default when communication is established.

Communication in the ICCP protocol is spontaneous. An ICCP server reports the value changes to its communication partner, the remote client. However, an ICCP server cannot actively read the value changes from the remote client. In order to guarantee two-way exchange of data, both communication partners should have a client and a server.

Possible system configurations

  • Server only

    Communication with several remote ICCP communication partners possible.
    This is the case if the Available from ICCP variable list is empty.
    Note: Client Variables tab in the configuration dialog of Process Gateway.

  • Server and passive client

    The client will not initialize the communication with the remote ICCP server itself.
    Communication with several remote ICCP communication partners is possible.
    This is the case if the Initalise communication property is not active.
    Note: General tab in the configuration dialog of the Process Gateway.

  • Server and active client

    The client can initialize communication with remote ICCP servers itself.
    A communication is only possible with a remote ICCP communication partner.

Establishing communication

After the initialization of the communication with the zenon ICCP server or initialization by its own client, the verification of the bilateral table ID is carried out. If the verification was successful, the zenon ICCP client registers the variables to be communicated on the remote server as a DataSet and activates spontaneous communication of the DSTransferSet (MMS.InformationReport).

Note: The ICCP client also communicates with the server if, in the configuration of the Client variables tab, no variables are contained in the Available from ICCP list. In this case, the client only checks the bilateral table.

ICCP data exchange

  • ICCP Server
    • The ICCP server sends value changes of variables to DSTransferSets (MMS.InformationReport) spontaneously. If the values of variables in zenon Runtime change, a DSTransferSet is sent to the remote client.
    • The ICCP server can also receive write requests from the remote client (MMS.write request). These are transferred to zenon Runtime and Runtime forwards this request to the corresponding zenon driver. If the writing is confirmed by the PLC, the zenon variable changes its value.
  • ICCP Client
    • In the event that a variable in zenon Runtime sends the ICCP client a corresponding write request (MMS.write request) to the remote server.
    • If a DSTransferSet (MMS.InformationReport) is received by the ICCP client (from the remote server) the received values are sent to zenon Runtime. Runtime forwards these requests to the zenon driver. If the writing is confirmed by the PLC, the zenon variables do not change their value.

Autres sujets abordés dans ce chapitre

Module configuration

Status variables of the connection

Show non-present variables in Runtime

Configuration file: INI entries for ICCP-Tase.2

LOG entries

Interoperability


Module configuration

Manuel -> Process Gateway -> ICCP-TASE.2 -> Module configuration

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Configuration is carried out using three tabs. It can be confirmed and closed by clicking on OK if all three tabs have been configured.

Parameter | Description
General | General settings.
Server variables | Configuration of the server variables. Selection of the variables that the ICCP server provides.
Client variables | Configuration of the client variables. Selection of the variables that are received by the ICCP client.

Fermer boîte de dialogue

Options | Description :
OK | Applique les paramètres et ferme la boîte de dialogue.
Annuler | Annule toutes les modifications et ferme la boîte de dialogue.
Aide | Ouvre l'aide en ligne.

Autres sujets abordés dans ce chapitre

General

Server variables

Client variables


General

Manuel -> Process Gateway -> ICCP-TASE.2 -> Module configuration -> General

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Configuration of the connection settings.

Connection

The Connection settings are any desired strings that are coordinated on all devices in the system.

The unique bilateral table ID must be the same on all devices that communicate with the ICCP Process Gateway. It is queried when a connection is established by both communication partners. The connection is disconnected if they do not correspond.

The domain names provide the references used at MMS protocol level to ICCP data points. It must be set as the same mirror image for the communication partners.

These comparison rules are prescribed by the ICCP standard.

Parameter | Description
Bilateral Table ID | The bilateral table identification is synced when the communication partner establishes a connection. Access to the data is only permitted for authorized remote clients. Note: The ID must be configured as exactly the same on both sides of the communication. Note: Missing or incorrect entries are visualized as an error message in the dialog.
Local Domain Name | Name of the local ICCP-domain that is used for all server variables. Note: the name must be set as mirrored on the communication partners (= the same as on the remote client). Note: Missing or incorrect entries are visualized as an error message in the dialog.
Remote Domain Name | Name of the remote ICCP-domain that is used for all client variables. Note: the name must be set as mirrored on the communication partners (= the same as on the remote server). Note: Missing or incorrect entries are visualized as an error message in the dialog.
Error message | Display of missing configuration data.

Connection Status

Connection status variables allow the display of the current connection status of Process Gateway to the remote ICCP communication partner in Runtime. The zenon variable names are given in the Process Gateway. The variables should be a numeric data type; recommendation: Internal variables.

You can find detailed information on this in the Status variables chapter.

Parameter | Description
Server state variable | Input field for the entry of a variable name for the display of the current connection status of the server. If this field is empty, no status information can be displayed in zenon. Default: empty
Client state variable | Input field for the entry of a variable name for the display of the current connection status of the client. If this field is empty, no status information can be displayed in zenon. Default: empty

Client

Parameter

Description

Initialise communication

Checkbox for the activation of the automatic establishment of a connection to the remote ICCP server when the Process Gateway is started.

  • active:
    When Process Gateways is started, the client automatically attempts to establish a connection to the configured remote ICCP server.
    If the connection attempt is unsuccessful, another attempt to establish a connection is made after 20 seconds. During this waiting time, a connection attempt can be accepted from a remote ICCP communication partner if this corresponds to the configured IP address or host name.
  • inactive:
    No automatic attempt to establish a connection to the ICCP server when the Process Gateway is started.

Default: Inactive

If this option is activated, the following limitation applies:

  • The connection is only possible with a remote ICCP communication partner.
  • Connection attempts from remote clients with an unknown address are not accepted.

IP Address/Hostname

Input field for IP address or host name for the automatic connection to the remote ICCP server.

Note: Only active if Initialise communication is inactive.

Note: Missing or incorrect entries are visualized as an error message in the dialog.

Port

Input field for port number that is used for communication to the remote ICCP server.

Default: 102

Note: Only active if Initialise communication is inactive.

Note: Missing or incorrect entries are visualized as an error message in the dialog.

Check presence of remote items

Checkbox for the activation of the checking of the variable names of the current client connection to the variable name of the remote ICCP server.

  • active:
    Activates the checking and allows the configuration of the Set result in status bit and Variable for result names properties. For the connection, the client on the remote server creates a DataSet that only contains existing variables.
  • inactive:
    It is assumed that the configured ICCP variables are available on the remote server.
    If one or more configured ICCP variables are not on the remote server, no successful connection to the remote server can be established.

Default: Inactive

Set result in status bit

Status bit for zenon variables of the client that are not on the remote ICCP server.
Selection of the corresponding user status bit from drop-down list:

  • None
    No user status bit is set for the variable if the variable is not present on the remote server.
    ICCP variables that are not present can be evaluated with Variable for result names.
  • M1 bis M8
    The configured status bit is set for the variable if the variable is not present on the remote server.

Default: None

This user status bit is set for configured zenon variables if they are not found during checking on the remote server.

Note: Only active if Check presence of remote Items is inactive.

You can find further information on status processing in the Status processing manual in the User status chapter.

Variable for result names

Input field to configure a variable name for the display of the names of the missing ICCP variables.
In the variable, variable names that are not present on the remote server are visualized.

Is this field is empty, the evaluation is carried out with the configured user status bit.

Default: empty

Note: Only active if Check presence of remote Items is inactive.

You can find further information on the display of variables that do not exist in the Show variables that are not present in Runtime chapter.

Close dialog

Parameter | Description
OK | Accepts the settings of all tabs, saves the configuration in the zenProcGateway.ini file, starts the ICCP server and waits for incoming connections.
Cancel | Annule toutes les modifications effectuées sur tous les onglets, puis ferme la boîte de dialogue.
Help | Ouvre l'aide en ligne.

Error messages - example

Error messages are displayed in red font:


Server variables

Manuel -> Process Gateway -> ICCP-TASE.2 -> Module configuration -> Server variables

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Selection and configuration of the variables that the zenon Process Gateway provides as an ICCP server. The value changes of the variables are sent to the remote ICCP client spontaneously.

Parameter

Description

SCADA variables

List of all numeric variables available in the zenon project. The list can be sorted and filtered.

The list shows:

  • Name:
    Name in zenon
  • Type:
    Data type of the zenon variable

Arrow keys

Selected variables are exchanged between the two lists by means of the cursor key.

  • Key >>:
    Copies all variables from zenon to ICCP.
  • Key <<:
    Removes all variables from the ICCP list.
  • Key >:
    Copies selected variables from zenon to ICCP
  • Key <:
    Removes selected variables from the ICCP list.

Variables can also be added to the list for zenon by double clicking on the variable for the ICCP list.

Available for ICCP

Variables from the list are provided by the server for the remote ICCP client.

The list shows:

  • SCADA Variable:
    Name in zenon
  • ICCP Name:
    Name in the ICCP protocol
  • Type:
    ICCP Type

ICCP name and type can be changed using the settings ICCP name, Data type and Extended type options.

ICCP Name

Name of the ICCP data point selected from the top list.

Change to the ICCP Name by entering the new name.
Empty if no entry is selected in the Available for ICCP list.

Note: The ICCP name can usually be named as desired in accordance with the standard. However, it must be ensured that both communication partners use the same name.

Data type

ICCP data type of the variable selected from the top list.

Change of the data type by clicking on the options field:

  • State
  • Real
  • Discrete

Standard display of zenon variables on ICCP:

  • BOOL on State
  • REAL on Real
  • INTEGER on Discrete

Depending on the variables provided by zenon, data types can also be unavailable (grayed out).

Extended type

ICCP suffix of the variable selected from the top list.

Change to the Extended type by clicking on the option field:

  • None:
    No ICCP suffix (only value of the variable)
  • Quality flags:
    Quality
  • Timestamp:
    Quality + time stamp
  • Extended:
    Quality + time stamp + change counter
  • Timestamp Extended:
    Quality + extended timestamp

Depending on the variables provided by zenon, data types can also be unavailable (grayed out).

attention Attention

Data type and Extended type must be correctly assigned for both communication partners. Incorrect amendments lead to the received data sets not being interpreted 100% correctly. All other information in the data set is lost!

Close dialog

Parameter | Description
OK | Accepts the settings of all tabs, saves the configuration in the zenProcGateway.ini file, starts the ICCP server and waits for incoming connections.
Cancel | Annule toutes les modifications effectuées sur tous les onglets, puis ferme la boîte de dialogue.
Help | Ouvre l'aide en ligne.


Client variables

Manuel -> Process Gateway -> ICCP-TASE.2 -> Module configuration -> Client variables

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Selection and configuration of the variables that the zenon Process Gateway uses as an ICCP client. The client transmits the value changes that it receives from the remote ICCP server to the zenon variables.

Parameter

Description

SCADA variables

List of all numeric variables available in the zenon project. The list can be sorted and filtered.

The list shows:

  • Name:
    Name in zenon
  • Type:
    Data type of the zenon variable

Arrow keys

Selected variables are exchanged between the two lists by means of the cursor key.

  • Key >>:
    Copies all variables from zenon to ICCP.
  • Key <<:
    Removes all variables from the ICCP list.
  • Key >:
    Copies selected variables from zenon to ICCP
  • Key <:
    Removes selected variables from the ICCP list.

Variables can also be added to the list for zenon by double clicking on the variable for the ICCP list.

Available from ICCP

Variables from the list are expected from the remote ICCP server.

The list shows:

  • SCADA Variable:
    Name in zenon
  • ICCP Name:
    Name in the ICCP protocol
  • Type:
    ICCP Type

The ICCP name and type can be modified using the ICCP Name, Data type and Extended type settings.

ICCP Name

Name of the ICCP data point selected from the top list.

Change to the ICCP Name by entering the new name.
Empty if no entry is selected in the Available for ICCP list.

Note: The ICCP name can usually be named as desired in accordance with the standard. However, it must be ensured that both communication partners use the same name.

Data type

ICCP data type of the variable selected from the top list.

Change of the data type by clicking on the options field:

  • State
  • Real
  • Discrete

Standard display of zenon variables on ICCP:

  • BOOL on State
  • REAL on Real
  • INTEGER on Discrete

Depending on the variables provided by zenon, data types can also be unavailable (grayed out).

Extended type

ICCP suffix of the variable selected from the top list.

Change to the Extended type by clicking on the option field:

  • None:
    No ICCP suffix (only value of the variable)
  • Quality flags:
    Quality
  • Timestamp:
    Quality + time stamp
  • Extended:
    Quality + time stamp + change counter
  • Timestamp Extended:
    Quality + extended timestamp

Depending on the variables provided by zenon, data types can also be unavailable (grayed out).

attention Attention

Data type and Extended type must be correctly assigned for both communication partners. Incorrect amendments lead to the received data sets not being interpreted 100% correctly. All other information in the data set is lost!

Close dialog

Parameter | Description
OK | Accepts the settings of all tabs, saves the configuration in the zenProcGateway.ini file, starts the ICCP server and waits for incoming connections.
Cancel | Annule toutes les modifications effectuées sur tous les onglets, puis ferme la boîte de dialogue.
Help | Ouvre l'aide en ligne.


Status variables of the connection

Manuel -> Process Gateway -> ICCP-TASE.2 -> Status variables of the connection

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Status variables of communication are used for the display of the connection status between the Process Gateway and the remote ICCP communication partner. A separate variable each is configured for the ICCP server and ICCP client. The Process Gateway only communicates this status to zenon Runtime. There is no communication of values of these variables to remote ICCP communication partners.

Engineering

To show the connection status in Runtime, carry out the following project configuration steps:

  1. In your zenon Editor, create two numeric variables.
    It is recommended that these are configured for the internal driver.
    • The variable cannot be a STRING variable.
  2. Configuration in the Process Gateway:
    • Status variable for server connection:
      Enter the name of the variable in the Server state variable input field in the General tab in the Process Gateway module configuration.
    • Status variable for client connection:
      Enter the name of the variable in the Client state variable input field in the General tab in the Process Gateway module configuration.

Assigned states

The connection status variables have the following values:

Parameters

Description

0

IDLE
  • Communication inactive:
    Directly after the start of Process Gateway or reloading the zenon project.
  • Connection disconnected again:
    Once Process Gateway has been closed or after the settings in Process Gateway have been edited, and before the establishing of a new connection.

1

CONNECTING

Communication via TCP/IP and MMS is being established.

This status is shown if an incoming CR (Connection Request) has been received or a CR (Connection Request) has been sent successfully. This depends on which page has established the TCP/IP connection.
This status is the same for server and client.

2

CONNECTED

ICCP communication has been established successfully.

This status is set to a logical connection if a dataset (DSTransferSet) has been agreed for the transfer of data and the first MMS.write request (logical server connection) or the first MMS.write response (logical client connection) has been received.

If the ICCP client does not request any data from the remote server, the status of the logical connection remains CONNECTED.

Note: The client does not request any data if:

  • The list of variables is empty Available from ICCP.
  • None of the variables from the Available from ICCP list are available and the Check presence of remote items check has been activated.

3

ERROR

This status is shown if the TCP/IP connection as been interrupted.
This status is the same for both logical connections.


Show non-present variables in Runtime

Manuel -> Process Gateway -> ICCP-TASE.2 -> Show non-present variables in Runtime

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

With the help of this project configuration, you can evaluate in zenon Runtime which of the variables configured on the ICCP client are not present on the remote server.

This evaluation can be carried out with two project configurations:

  1. Display of the missing variable names in an additional string variable.
  2. Display of a user status bit when there are variables that do not exist.

Requirement

  • The checking of the variable names of the current client connection must be activated:
    Checkbox Check presence of remote items in the General tab in the Process Gateway module configuration.

Display of the missing variables in a string variable

To display the missing variables in Runtime in one variable:

  1. In the zenon Editor, create a STRING variable.
    It is recommended that these are configured for the internal driver.
  2. Configuration in Process Gateway:
    Enter the name of the variable in the input fieldVariable for result names in the General tab in the Process Gateway module configuration.

info Informations

The value of the variable in Runtime contains the name of the non-present variables, separated by a comma ( ; ).

Display of a user status bit when there are variables that do not exist.

To mark the zenon variables in Runtime with a user status bit if they are not present on a remote ICCP server:

  • Select the desired user status bit from the drop-down list of the Set result in status bit property in the General tab in the Process Gateway module configuration.

Note: This user status bit can be evaluated in <CD_RUNTIME> with a reaction matrix or a combined element.


Configuration file: INI entries for ICCP-Tase.2

Manuel -> Process Gateway -> ICCP-TASE.2 -> Configuration file: INI entries for ICCP-Tase.2

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

The configuration file zenProcGateway.ini contains this entries for ICCP-Tase.2.

[ICCP]

Entrée

Description

SERVER_PORT=

Numéro de port IP du serveur ; le port permet de connecter d'autres clients.

Le port est ouvert au démarrage et reste ouvert.

Par défaut : 102

Remarque : Cette entrée INI ne peut pas être configurée dans l'interface utilisateur graphique de la passerelle de processus ICCP-TASE. 2.

MAX_CONNECTIONS=

Nombre maximum de connexions d'autres clients ICCP au serveur. Is ignored if CLIENT_AUTO_CONNECT=1 has been configured.

Par défaut : 0 (= illimité)

Remarque : Cette entrée INI ne peut pas être configurée dans l'interface utilisateur graphique de la passerelle de processus ICCP-TASE. 2.

MAJOR_VERSION_NUMBER=

Numéro de version principal du protocole ICCP, par exemple : 1996, 2000.

Par défaut : 2000

Remarque : Cette entrée INI ne peut pas être configurée dans l'interface utilisateur graphique de la passerelle de processus ICCP-TASE. 2.

MINOR_VERSION_NUMBER=

Numéro de version secondaire du protocole ICCP.

Par défaut : 8

Remarque : Cette entrée INI ne peut pas être configurée dans l'interface utilisateur graphique de la passerelle de processus ICCP-TASE. 2.

BILATERAL_TABLE_ID=

Bilateral Table ID This is synchronized when establishing a connection between all ICCP communication partners.

Remarque : L'identifiant unique de tableau bilatéral doit être identique sur tous les équipements communiquant avec le module ICCP-TASE.2 Process Gateway.

LOCAL_DOMAIN_NAME=

Nom de domaine ICCP local ; configuration du serveur, doit être définie en miroir (c'est-à-dire inversée) par rapport au partenaire de communication.

REMOTE_DOMAIN_NAME=

Nom de domaine ICCP local ; configuration du client, doit être définie en miroir (c'est-à-dire inversée) par rapport au partenaire de communication.

CLIENT_AUTO_CONNECT=

Configuration du projet permettant de déterminer si le client initie automatiquement l'établissement d'une connexion avec le serveur ICCP distant au démarrage de Process Gateway.

0: ne pas initialiser - il suffit d'attendre

1: initialiser

CLIENT_IP_NAME=

Adresse IP ou nom d'hôte du serveur distant si ce client doit initialiser la communication.

CLIENT_PORT=

Numéro de port du serveur distant si ce client doit initialiser la communication.

CHECK_SERVER_Variables=

Vérifiez si toutes les variables configurées sont disponibles sur le serveur distant.

0: pas de vérification des noms des variables configurées.

1 : Vérification des noms de variables configurées.

CHECK_SERVER_VARIABLES_MERKER_BIT=

Bit d'état pour les variables client qui ne sont pas présentes sur le serveur si un contrôle des variables configurées est activé.

0 pas de bit d'état pour les variables client manquantes.

1 à 8 : Bit d'état utilisateur M1 à M8

SERVER_STATE_VARIABLE=

Nom de la variable pour l'affichage de l'état de la connexion entre le serveur ICCP et le client distant.

CLIENT_STATE_VARIABLE=

Nom de la variable pour l'affichage de l'état de la connexion entre le client ICCP et le serveur distant.

NOT_AVAILABLE_SERVER_VARIABLES_VARIABLE=

Nom de la variable pour l'affichage des noms de variables (in zenon Runtime) qui ne sont pas disponibles pour la connexion client courante sur le serveur distant.

CALLING_OSI_SESSION_SELECTOR=

CALLING_OSI_PRESENTATION_SELECTOR=

CALLING_OSI_AE_QUALIFIER=

CALLING_OSI_AP_TITLE=

CALLED_OSI_SESSION_SELECTOR=

CALLED_OSI_PRESENTATION_SELECTOR=

CALLED_OSI_AE_QUALIFIER=

CALLED_OSI_AP_TITLE=

Paramètres de communication OSI

Remarque : Cette entrée INI ne peut pas être configurée dans l'interface utilisateur graphique de la passerelle de processus ICCP-TASE. 2.

[VARIABLES]

Groupe de références configurées entre les variables de zenon et les variables ICCP. Les éléments suivants sont mentionnés dans la liste :

  • Paramètres de chaque variable ICCP
  • Nombre de variables
  • Nom des variables
Entrée | Description
PARAM_0= | Paramètre de la nome ICCP. La numérotation commence par zéro 0. Le compteur est incrémenté de 1 à chaque nouveau paramètre. L'identifiant correspond à l'identifiant du nom de variable. PARAM_0 correspond à NAME_0. Exemple : PARAM_0=1,0,0,ICCP_Name
COUNT= | Nombre de références configurées
NAME_0= | Nom de la variable de zenon La numérotation commence par zéro 0. Le compteur est incrémenté de 1 à chaque nouveau paramètre. Cet identifiant correspond à l'identifiant du paramètre. PARAM_0 correspond à NAME_0. Exemple : NAME_0=MyName


LOG entries

Manuel -> Process Gateway -> ICCP-TASE.2 -> LOG entries

General

Parameters

Level

Note

Failed to get %s application object.

ERROR

Start zenon Runtime before you start Process Gateway.

Failed to start ICCP server.

ERROR

Correct the settings of Process Gateway.

When starting several Process Gateways, configure a different IP port for each one.
  • Failed to interpret report for data set %s.%s. Bad message structure.
  • Failed to interpret report for %s. Bad message structure.
  • Failed to interpret write request for %s.%s. Bad message structure.
  • Failed to interpret received data for %s.

ERROR

Match the ICCP 'data type' and 'extended type' between Process Gateway and remote ICCP communication partner.

Failed to write '%s', error code: %u.

ERROR

The remote ICCP server responds to the write request in the negative, with MMS error code %u.

Correct the settings on the remote server and/or move the variable from the client configuration to the server variables in Process Gateway.

Automatic establishment of a connection

Parameters

Level

Description

Could not resolve host name %s. Errorcode: %d

ERROR

The pre-set host name or the IP address could not be resolved.

  • %1
    Host name or IP address of the set counterparty.
  • %2
    Windows socket error code

Autoconnection is not possible because no hostname (or IP address) is defined

ERROR

The pre-set host name or the IP address are resolved to the address 0.0.0.0 and are thus invalid.

Maximum number of %1 connections reached. Declining new connection from %2.

MSG

Rejection of an incoming connection that has already achieved the maximum number of possible connections:

  • %1
    Maximum number of connections could be established.
  • %2
    IPv4 address of the counterparty.

Cannot verify selected host name %1. Declining new connection from %2.

MSG

The configured host name cannot be resolved to the IP address.

  • %1
    Configured host name
  • %2
    IPv4 address of the counterparty.

Only connection from %1 allowed. Declining new connection from %2.

MSG

An incoming connection is rejected because the source address does not correspond to the IP address of the configured host for automatic establishment of a connection.

  • %1
    configured IP address of the set host.
  • %2
    IPv4 address of the counterparty.

Only one active connection allowed. Declining new connection from %2.

MSG

An incoming connection is rejected because a connection has been established automatically.

  • %2
    IPv4 address of the counterparty.

Creating a socket connection to the ICCP server %s [%2:%3].

DEBUG

A TCP socket connection to the configured counterparty is established.

  • %1
    Host name or IP address of the set counterparty.
  • %2
    IPv4 address of the counterparty.
  • %3
    Port number of the counterparty.

Could not create the socket connection to the ICCP server %1. Errorcode: %2.

DEBUG

A TCP socket connection to the set counterparty could not be established within the socket timeout.

  • %1
    Host name or IP address of the set counterparty.
  • %2
    Windows socket error code.

Status variables of the connection

Parameters

Level

Description

Server state variable with name '%s' does not exist or has an invalid type.

ERROR

The configured status variable to display the status of the server connection does not exist in the project or has an invalid data type (required data type: numeric).

  • %s
    Configured name of the status variable.

Client state variable with name '%s' does not exist or has an invalid type.

ERROR

The configured status variable to display the status of the client connection does not exist in the project or has an invalid data type (required data type: numeric).

  • %s
    Configured name of the status variable.

set server state: %1(%2)

MSG

New status of a pre-existing server connection.

  • %1
    Numeric value of the current status of the server connection
  • %2
    Current status of the server connection as a text (IDLE, CONNECTING, CONNECTED, ERROR)

set client state: %1(%2)

MSG

New status of a pre-existing client connection.

  • %1
    Numeric value of the current status of the client connection
  • %2
    Current status of the client connection as a text (IDLE, CONNECTING, CONNECTED, ERROR)

Display of variables not present

Parameters

Level

Description

Unavailable server items variable with name '%1' does not exist or has an invalid type.

ERROR

The configured status variable to display the name of the variable that does not exist does not exist in the project or has an invalid data type (required data type: STRING).

  • %1
    Configured name of the status variable.

Error configured client variable '%1' is not available on the remote device.

ERROR

A variable configured in Process Gateway for the client is not available on the remote ICCP server.

  • %1
    ICCP name of the variable that is not present on the remote server


Interoperability

Manuel -> Process Gateway -> ICCP-TASE.2 -> Interoperability

Process Gateway for ICCP-TASE.2 based on the IEC 60870-6 TASE.2 ICCP protocol.

ICCP-TASE.2 supports Conformance Blocks 1 and 2 as client and server. Process Gateway acts like a server by default when communication is established.

Supported protocol version: 2000.8 and 1996.8


IEC870 Slave

Manuel -> Process Gateway -> IEC870 Slave

Language

The IEC870Sl Process Gateway and its dialogs for configuration are only available in English.

Structure

You can configure several virtual controllers (devices) in the IEC870 slave gateway. According to the used protocol, they are associated directly to a Master (870-104) or polled by a Master (870-101). The devices can contain several sectors. These sectors contain IOs (information objects) representing the actual variables. IOs refer to a variable of the process control system.

Identification and addressing

  • 870-101: The PLC is identified by the link address of the Slave.
  • 870-104: The PLC is identified by the IP address of the Master.
  • Sector: Addressed by COA.
  • IO: Addressed by type identification and IOA.

In the following chapters, you will read how to configure the IEC870SI Gateway, how communication takes place and you will read about compatibility issues.

info Informations

For variables that are configured in the IEC870Sl Process Gateway as command variables, each command is logged as Send value via the COM interface in the CEL if the Valeurs modifiées par VBA property is active (Enregistrer dans la liste d'événements group).

Autres sujets abordés dans ce chapitre

Module configuration

Communication

Error analysis

Interoperability


Module configuration

Manuel -> Process Gateway -> IEC870 Slave -> Module configuration

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

You have many settings options available in the IEC870 slave process gateway. All lists in the configuration dialogs can be sorted. To change the sorting sequence, simply click on the column title.

870-101 protocol vs 104 protocol

The gateway supports both protocol IEC60870-5-101 (abbreviated to: 870-101, serial communication) as well as IED60870-5-104 (abbreviated to: 870-104, TCP/IP communication). The settings for protocols -101 and -104 differ.

In the main window, you can choose the protocol you want to use and define general settings:

  • (Protocol) 870-101
    Unlocks the settings for protocol 101 and locks other, irrelevant input fields.
  • (Protocol) 870-104
    Unlocks the settings for protocol 104 and locks other, irrelevant input fields.

Devices section

Devices (connections) are created and deleted in the Devices section of the main window. A device defines how the Process Gateway, as an IEC870 slave, should work for a certain 870 master. These devices are configured in the tabs. Several devices (connections) can be set up - for several masters.

The following tabs are available in the process gateway:

  • Device - general settings and master IP address (-104) or link address of the slave (-101).
  • Sector - settings valid for a Common Address of ASDU (COA). A device should contain at least one sector; and one sector should contain at least one Information Object (IO):
    • Information Objects - the list of the Information Object Address (IOA), their Type Identifications (TID) and the assignment to zenon variables.
  • Sequence of Events (SOE)
  • 104 settings

info Informations

Only the general properties are documented in this section. You can find the protocol-dependent configurations in the section for the respective protocol (101) or in the description of the respective device settings (101 and 104).

Parameter

Description

Settings

Configuration file

Name of the configuration file. This is where all active settings are stored and also loaded from. The name you enter must be a valid file name. Otherwise, no data can be stored. In this case, you will get an error message.

Only enter the file name without path. You do not have to add the file extension XML, as it will be added automatically during saving. The current INI directory will be used as path.

The file name will automatically be entered in the INI file of the process gateway as configuration.
You can find the INI file in the system folder of the process control system. It is called '<SCADA>ProcGateway.ini' - <SCADA>is the placeholder for the name of the process control system.

Import...

Loads configuration data from an XML configuration file. The current settings are replaced by the ones stored in the file. The current setting for the 'configuration file' remains the same.

Export...

Stores the current settings in a file.

Attention: Device that still have the default ID '????' (defined during creation) will not be exported. To export them, you must first configure the device in the configuration window "Device".

870-104

Activates protocol 104 (data layer via TCP), unlocks all input fields for 104 and locks settings only relevant to 101.

Port

Slave TCP/IP port; the port to which the masters connect.

Default: 2404

Note: Inactive if 870-101 is selected as a protocol.

It is possible to have several instances of the Process Gateway running at the same time. That is why you can change this port:
Allowed port numbers: 1200 to 65535

870-101

Activates protocol 101 (serial data layer), unlocks all input fields for 101 and locks settings only relevant for 104.

Deactivate standard DPI/DCS mapping and use internal mapping (not recommended).

Deactivates the standard communication via DPI/DCS and uses internal mapping in communication.
Default: Inactive

Inactive: The transfer (between the Process Gateway and an 870 master) in accordance with the protocol. It is also guaranteed that the values of the zenon variables assigned to the DPI/DPC are suitable for command input and ALC:

  • zenon value 0 = DPI/DCS value 1 (= OFF)
  • zenon value 1 = DPI/DCS value 2 (= ON)
  • zenon value 2 = DPI value 0
  • zenon value 3 = DPI value 3

Note: It is not recommend to activate the setting.

Devices

List of configured devices.

Add

Adds a new device with standard settings. By default, it gets the invalid ID '????' and invalid IP/link addresses. Before you can use or export the device, you must configure it.

Delete

Deletes the selected device. This button is not active if no device has been selected.

Device

Tab for the configuration of the devices

Sector

Tab for the configuration of the sectors

SOE

Tab for the configuration of the sequence of events

104 settings

Tab for 870-104 protocol-specific configurationot the timeout.
Note: Not active if 870-101 is selected as a protocol.

OK

Accepts all changed settings. They will immediately be stored in the current configuration file (as defined in the Configuration file).
Attention: By clicking on 'OK', all existing connections to 870 masters are closed and communication is restarted. There may be communication errors during that.

Cancel

Discards all changed settings. Nothing is saved, the pre-existing communication is not interrupted.

Help

Ouvre l'aide en ligne.

Autres sujets abordés dans ce chapitre

Communication settings for 870-101

Devices

Mapping of double point values

XML-File


Communication settings for 870-101

Manuel -> Process Gateway -> IEC870 Slave -> Module configuration -> Communication settings for 870-101

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

info Informations

Only the general properties of the 870-101 protocol are documented in this section. You can find further information in the general description of the respective device settings.

Parameter | Description
Settings |
870-104 | activates protocol 104, unlocks all input fields for 104 and locks settings for 101.
870-101 | activates protocol 101, unlocks all input fields for 101 and locks settings for 104.
Link Address Size | Size, in bytes, of the slave's link address. Default: 1 Note: Applicable to all connections to masters. Inactive if 870-104 is selected as a protocol.
COM Port | Serial interface of the computer with zenon Runtime. Default: COM 1 Note: Applicable to all connections to masters. Inactive if 870-104 is selected as a protocol.
Baud Rate | Data transfer rate. Default: 9600 Note: Applicable to all connections to masters. Inactive if 870-104 is selected as a protocol.


Devices

Manuel -> Process Gateway -> IEC870 Slave -> Module configuration -> Devices

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Parameter | Description
Device | ID of the device: IP address of the master (104) or link address of the slave (101). Default: ???? (Not defined) Attention: Before you can use or export the device, you must configure it.
Name | Name of the device/connection - desired text for easier identification.
Add | Adds a new device with standard settings. By default, it gets the invalid ID "????" and invalid IP/link addresses. Attention: Before you can use or export the device, you must configure it.
Delete | Deletes the selected device. This button is not active if no device has been selected.

Devices are created or deleted on the left-hand side of the dialog.

Clicking on the Add button adds a device, which is configured in the Device, Sector, SOE and 104settings tabs. Several devices can be created. A simple click on the respective device in the list opens the attendant configuration.

Autres sujets abordés dans ce chapitre

Device

Sector

104 settings


Device

Manuel -> Process Gateway -> IEC870 Slave -> Module configuration -> Devices -> Device

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

In the part of the main window called 'Device' you can define the settings of the device. Certain areas are grayed out depending on the protocol selected. A precise definition of which input fields are available for which protocol is in the list below.

Parameter | Protocol | Description
Common Settings |  |
Name | 101 104 | Name of the device for easy identification
File transfer directory | 101 104 | Defines the directory for transfer of files and directories. Note: The files are sent to the master.
File Transfer in Control Direction Directory | 101 104 | Defines the directory in which the files for transfer of files and directories are stored. Note: These files are received by the master. All files with the NOF 255 (the temporary NOF for reverse file transfer) are ignored for the directory query.
Short pulse | 101 104 | Defines the size of the pulse for the Qualifier of Command with the value 'short pulse duration' (QOC = 1) in milliseconds. Valid values: 0 to 4294967295 Default: 1000 ms
Long pulse | 101 104 | Defines the size of the pulse for the Qualifier of Command with the value 'long pulse duration' (QOC = 2) in milliseconds. Valid values: 0 to 4294967295. Default: 2000 ms
Max APDU size | 104 | Maximum length of APDU data as defined in the standard 870-5-104. Valid values: between 25 and 253. Default: 253
Max. user data | 101 | Maximum length of User Data as defined in TF1.2 870-5-2 3.2. Valid values: between (19 + LAF size + COA size + COT size + IOA size) and (255). Default: 253
Commands active | 101 104 | This option allows commands from the master to be prevented on a lasting basis. If the setting is deactivated, the commands are not accepted and error entries are made in the log. Note: The commands can be dynamically activated or deactivated using a variable in zenon (T00, IOA 2). Default: active

870-101 specific

870-101 specific

COA size

101

Defines the length of the COA (Common Object Address/Common Address of ASDU).
Selection of address size from drop-down list:

  • 1 octet
  • 2 octets
  • Note: If the 60870-5-104 (TCP/IP) connection type is selected for link layer, the value 2 octets is expected in accordance with the standard. Only change the default value for a connection with a non-compliant PLC.

Default: 2

COT size

101

Defines the length of the COT (cause of transmission).

Selection of address size from drop-down list. Valid:

  • 1 octet
  • 2 octets
  • Note: If the 60870-5-104 (TCP/IP) connection type is selected for link layer, the value 2 octets is expected in accordance with the standard. Only change the default value for a connection with a non-compliant PLC.

Default: 2

IOA size

101

Defines the length of the IOA (Information Object Address).

Selection of address size from drop-down list. Valid:

  • 1 octet
  • 2 octets
  • 3 octets
  • Note: If the 60870-5-104 (TCP/IP) connection type is selected for link layer, the value 3 octets is expected in accordance with the standard. Only change the default value for a connection with a non-compliant PLC.

Default: 3

Link address

101

Link address Via the link address contained in the TF 1.2 frame, the master specifies the device that the command is intended for. With link addresses, a Master can communicate with multiple devices. The allowed range of the address depends on the Link Address Size setting in the main settings.
Link address size = 1 allows a range of 0 to 254
Link address size = 2 allows a range of 0 to 65534

Default: -1 (invalid)

Note: The current value is lost if the protocol is changed.

Master polling timeout

101

Shows the time in seconds in which the master must execute a query to the slave.

If there is no query within this time, the connection is ended.

Default: 0

Note: 0 deactivates the monitoring.

870-104 specific

IP-Adress

104

IP address of the Master. This allows to identify the device that the Master communicates with. All IP addresses except 255.255.255.255 are allowed.

Note: The current value is lost if the protocol is changed.


Sector

Manuel -> Process Gateway -> IEC870 Slave -> Module configuration -> Devices -> Sector

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

The Sector tab lists all sectors defined in the device. If you select a sector, its Information Objects (IOs) will be displayed.

Parameters | Description
Sectors |
New | Activates the dialog for creating a new sector. You close this subsequent dialog and create a new sector by clicking on OK.
Edit | Activates the dialog for editing the selected sector. You can also launch the editor by double-clicking on the sector in the list. This button is inactive if no sector was selected.
Delete | Deletes the selected sector. This button is inactive if no sector was selected.
Information Objects |
New | Activates the dialog for creating new IOs. This subsequent dialog is closed and a new IO is created by clicking on 'OK'. This button is inactive if no sector was selected.
Edit | Activates the dialog for editing the selected IO. You can also launch the editor by double-clicking on the IO in the list. This button is inactive if no IO was selected.
Delete | Deletes the selected information object. This button is inactive if no IO was selected.

Autres sujets abordés dans ce chapitre

Sector Settings

Information Objects

Data point selection

Mapping of the data types

Sector


Sector Settings

Sector Settings

Parameter

Description

Name

Any name. For easy identification of a sector.

COA

The COMMON ADDRESS OF ASDUs (IEC 60870-5-101 7.2.4) by which the sector is addressed.
This number must be unique for each device (1..254).

Time for Background scan [min]

The "Background scan" cycle in accordance with the requirements of the IEC 60870-5-101 standard, chapter 7.4.13 "Background scan". The values are sent with COT = 2. The time is shown in minutes.

Values are transferred cyclically in the time grid set up for all IOs with the "Background Scan" option activated.

Values are only transferred cyclically if no spontaneous value is transferred within the time set.

If the value is "0", cyclical transfer of values is deactivated for this sector.

Default: 0

Time for periodic transfer [s]

Support of cyclical data transfer corresponding to the norm (IEC 60870-5-5 6.3). The values are sent with COT = 1. The time is configured in seconds.

Values are transferred cyclically for all IOs with the "Periodic data transfer" option activated. IOs are transferred cyclically and not spontaneously.

If the value is "0", cyclical transfer of values is deactivated for this sector.

Default: 0

Select routing

If active, a prior select is necessary for an Execute when the command is executed. The switching commands from the master are forwarded using the command processing - via the auto/remote actions - to the respective Energy driver in zenon Runtime.

SBE Timeout [s]

Timeout in seconds within which the select process must be completed and an Execute is triggered. If there is no confirmation of the select from zenon Runtime or the select has been confirmed but the master does not send an execute - the Process Gateway cancels the process.
Note: Inactive if select routing is not active.
Default: 30 s
Input range: 1 to 65535

Transmition of integrated totals

Selection of the transfer mode (see IEC 60870-5-101 7.4.8) for the integrated totals - the IOs of type ID:

  • 15 (M_IT_NA_1)
  • 16 (M_IT_TA_1)
  • 37 (M_IT_TB_1)

No reset is supported. An FRZ with a reset triggers a warning in the LOG.

For modes A to D, IOs are requested immediately after connecting to the master of zenon. Value changes to integrated totals IOs are administered in their own buffer. This can buffer the larger value of (ITs IO number) * 4, or 2048 value changes.

With general interrogation

Integrated Totals are also transferred during a general interrogation (C_IC_NA_1).

Mode A: Local freeze with spontaneous transmission

Integrated totals are transferred when a value is changed.

Mode B: Local freeze with counter interrogation

Integrated totals are only transferred with a counter interrogation command (C_CI_NA_1). To do this, a maximum of five seconds is waited after the interrogation is activated until all ITs have been supplied with values. ITs without a value are transferred with an invalid qualifier. The value changes are buffered until the interrogation is completed (freeze active). All ITs thus transfer the value of the point in time, when the last IT was supplied with a value.

Mode C: freeze and transmit by counter interrogation Transmition of integrated totalscommands

As with mode B.

Mode D: freeze by counter interrogation command, frozen values spontaneous

Transfer as with mode C, mode A is activated after conclusion of the interrogation.

OK

By pressing the button OK, you can check whether the COA is available in the device. If it is already in use you will receive an error message. If it is available, the setting is accepted and the dialog is closed.

Cancel

Discards all entries and closes the dialog.

Help

Ouvre l'aide en ligne.


Information Objects

Information Objects

Settings

Parameter

Description

Information Object

Defines the address (IOA) under which the IO is addressed (IEC 60870-5-101 7.2.5). In combination with the type ID (Type identifications), it must be unique for each sector.

Default: 1

Type identification

Drop-down list with the supported Type identifications (IEC 60870-5-101 7.2.1).

Default: <0> Internal status

This setting is also called type ID.

It also determines the variables of the process control system that can be associated to the IO based on their data type.

Note: You can also find more detailed information on type ID in the chapters Assignment of data types and Interoperability.

SCADA variable

Defines the variable from the process control system associated with the IO.
Syntax: <Project name>#<variable name> define the project connection.
If there is no project reference for a variable, it is assumed that this variable is present in the start project.
While entering, the system checks if the specified variable exists in the according project and if it has a data type compatible with the type identification.
The Button '...' opens the dialog for variable selection.
Read more about this in the section 'Variable selection'.
(Scada stands for the name of the process control system.)

Data Transfer

Determines the type of data transfer for IOs

Default: Spontaneous

Spontaneous

IO data transfer is spontaneous.

Background Scan

IOs are transferred as a background scan in accordance with the IEC 60870 norm. A data point that does not receive a new spontaneous value within the set background scan time is automatically sent by the gateway after the time has expired. Values are only transferred if no spontaneous value has yet been transferred within the time set.

The setting is inactive if the background scan is locked in the sector (Time=0) or if the type ID used is not suitable for a background scan in accordance with the protocol. Permitted type IDs:

  • M_SP_NA_1 and M_SP_TA_1, M_SP_TB_1 - for T01,
  • M_DP_NA_1 and M_DP_TA_1, M_DP_TB_1 - for T03,
  • M_ST_NA_1 and M_ST_TA_1, M_ST_TB_1 - for T05,
  • M_BO_NA_1 and M_BO_TA_1, M_BO_TB_1 - for T07,
  • M_ME_NA_1 and M_ME_TA_1, M_ME_TD_1 - for T09,
  • M_ME_NB_1 and M_ME_TB_1, M_ME_TE_1 - for T11,
  • M_ME_NC_1 and M_ME_TC_1, M_ME_TF_1 - for T13

Note: The type IDs with time stamp (for example M_ME_TA_1) is mapped to the corresponding TID without time stamp (for example M_ME_NA_1) in the process of sending the background scan.

The setting is not available for any other type ID.

Periodic Data Transfer

Periodic data transfer in accordance with IEC 60870-5-5-6.3 norm.

IOs are transferred cyclically and not spontaneously.

The setting is inactive if periodic data transfer is locked for the sector (Time=0) or if the type ID used does not support periodic data transfer.

Only the type ID=9, 11 and 13 support a periodic transfer - M_ME_NA_1, M_ME_NB_1, M_ME_NC_1 - "measured values" without time stamp.

The setting is not available for any other type ID.

Off

Changes in value are not transferred. No value is sent for the IO during a general interrogation (GI).

Spontaneous, buffered when master is offline

When a connection fails, the data is buffered until the master connects again. All buffered data is sent with the status COT_spont (3). The last buffered value is sent with the status COT_inrogen (20) again.

Buffering can be activated for the type IDs <30..37>:

M_SP_TB_1, M_DP_TB_1, M_ST_TB_1, M_BO_TB_1, M_ME_TD_1, M_ME_TE_1, M_ME_TF_1 und M_IT_TB_1

Note: Only type IDs that have a time stamp with a date are permitted as Events ("time tag CP56Time2a").

The setting is not available for any other type ID.

Sequences of events

These settings define the IO-specific behavior for SOE. The SOE transfer (see IEC norm 60870-5-101 7.4.11.3.1) can also be activated for the type IDs <30..37>:

M_SP_TB_1, M_DP_TB_1, M_ST_TB_1, M_BO_TB_1, M_ME_TD_1, M_ME_TE_1, M_ME_TF_1 und M_IT_TB_1

Note: Only type IDs that have a time stamp with a date are permitted as Events ("time tag CP56Time2a").

Default: Inactive

Inactive

Data point is not used for SOE description.

Is automatically used for all type IDs that do not support SOE.

All events

Each value or status change triggers a write in the open file.

The setting is blocked if the type ID if not planned for the SOE function.

Raising Edge

If the value changes from 0 to <> 0, then it triggers the write mode in the open file.

The setting is blocked if the type ID if not planned for the SOE function.

Falling Edge

If the value changes from <> 0 to 0, then it triggers the write mode in the open file.

The setting is blocked if the type ID if not planned for the SOE function.

Raising + Falling Edge

A change of value from 0 to <> 0 or from <> 0 to 0 triggers a write in the open file.

The setting is blocked if the type ID if not planned for the SOE function.

File trigger

If a value is to be written due to the settings previously described, a new file is created and opened for the activated file, provided this has not yet been opened. The trigger event itself is also written to the SOE file.

The setting is blocked if the type ID if not planned for the SOE function.

Default: Inactive

Hysteresis

Value changes that are within the the hysteresis are ignored - not transferred to the master.

Hysteresis is applicable for the permitted TID ("measured values") and only if these have been configured for spontaneous data transfer.

A transfer is therefore triggered:

  • If Type Identification allows hysteresis.
    The Type Identifications <9> to <14> and <34> to <36> are permitted.
  • If Data Transfer = spontaneous
  • With a value change that acts >= the hysteresis (according to the direction).

And notwithstanding the hysteresis:

  • Change of the quality (status bits of the variable) always triggers the transfer;
  • The response to a GI (C_IC_NA_1) and a read (C_RD_NA_1) command is always the current value.

Negative

Negative hysteresis, starting from measuring range of the variable.

Default: 0

Note: not active if type identification is not <9> to <14> or <34> to <36>. This field is also inactive if the value Data Transfer is not spontaneous.

Erroneous and meaningless entries (such as text input or incorrect hysteresis values) are ignored and must be corrected by the engineer of the project.

Positive

Positive hysteresis, starting from measuring range of the variable.

Default: 0

Note: not active if type identification is not <9> to <14> or <34> to <36>. This field is also inactive if the value Data Transfer is not spontaneous.

Erroneous and meaningless entries (such as text input or incorrect hysteresis values) are ignored and must be corrected by the engineer of the project.

OK

Your settings are verified after pressing the button "OK". If they are valid, they are accepted and the dialog is closed.

Cancel

Discards all entries and closes the dialog.

Help

Ouvre l'aide en ligne.

info Informations

The communication for Spontaneous data transfer, Background Scan and Periodic Data Transfer starts once the first general request has been received (C_IC_NA_1). For background scan and periodic data transfer, the start of the transfer cycle is calculated per IO from the time of the answer to the general query.


Data point selection

Data point selection

This dialog lists all available projects and their variables.

Parameters

Description

Projekte

An asterisk (*) marks the default project.

Variablen

The list of variables is filtered. You only see the variables that can be used with the 'type identification' selected for the IO. Selecting a project updates the list of variables.

OK

Assumes the selected variable. Alternatively, the variable can be assumed by double clicking. When loading, the currently configured project and the variable will be selected.

The same variable can be used several times:
for several IOs in the same sector or other sectors,
for the same device or another one.

If the dialog remains open and there is a reload in the Runtime, all lists will be emptied and refilled after the reload is finished.

Cancel

Discards all entries and closes the dialog.

Help

Ouvre l'aide en ligne.


Mapping of the data types

Mapping of the data types

The zenon data types are compared to the IEC60870 data types in the following table.

Process Gateway |  | zenon
IEC 60870-5-101 ASDU | Type identification | Data type | Comment
M_SP_NA_1 | 1 | BOOL |
M_SP_TA_1 | 2 | BOOL |
M_SP_TB_1 | 30 | BOOL |
M_DP_NA_1 | 3 | USINT |
M_DP_TA_1 | 4 | USINT |
M_DP_TB_1 | 31 | USINT |
M_ST_NA_1 | 5 | USINT | Corresponds to whole VTI (IEC60870-5-101 7.2.6.5). Bit 8 is the Transient bit.
M_ST_TA_1 | 6 | USINT | Corresponds to whole VTI (IEC60870-5-101 7.2.6.5). Bit 8 is the Transient bit.
M_ST_TB_1 | 32 | USINT | Corresponds to whole VTI (IEC60870-5-101 7.2.6.5). Bit 8 is the Transient bit.
M_BO_NA_1 | 7 | UDINT |
M_BO_TA_1 | 8 | UDINT |
M_BO_TB_1 | 33 | UDINT |
M_ME_NA_1 | 9 | REAL | If, in zenon, values of the variables in the norm range for 'normalized values' <-1 .. 1-2-15> are gone below or exceeded, the value of the IO is amended in ASDU and the OV quality bit is set.
M_ME_TA_1 | 10 | REAL | If, in zenon, values of the variables in the norm range for 'normalized values' <-1 .. 1-2-15> are gone below or exceeded, the value of the IO is amended in ASDU and the OV quality bit is set.
M_ME_TD_1 | 34 | REAL | If, in zenon, values of the variables in the norm range for 'normalized values' <-1 .. 1-2-15> are gone below or exceeded, the value of the IO is amended in ASDU and the OV quality bit is set.
M_ME_NB_1 | 11 | INT |
M_ME_TB_1 | 12 | INT |
M_ME_TE_1 | 35 | INT |
M_ME_NC_1 | 13 | REAL |
M_ME_TC_1 | 14 | REAL |
M_ME_TF_1 | 36 | REAL |
M_IT_NA_1 | 15 | DINT |
M_IT_TA_1 | 16 | DINT |
M_IT_TB_1 | 37 | DINT |
M_EI_NA_1 | 70 | USINT | A value change from 126 to 127 causes End of initialization to be sent to the master
C_SC_NA_1 | 45 | BOOL |
C_SC_TA_1 | 58 | BOOL | mirrors the command direction during execution
C_DC_NA_1 | 46 | USINT | mirrors the command direction during execution
C_DC_TA_1 | 59 | USINT | mirrors the command direction during execution
C_RC_NA_1 | 47 | USINT | mirrors the command direction during execution
C_RC_TA_1 | 60 | USINT | mirrors the command direction during execution
C_SE_NA_1 | 48 | REAL | mirrors the command direction during execution
C_SE_TA_1 | 61 | REAL | mirrors the command direction during execution
C_SE_NB_1 | 49 | INT | mirrors the command direction during execution
C_SE_TB_1 | 62 | INT | mirrors the command direction during execution
C_SE_NC_1 | 50 | REAL | mirrors the command direction during execution
C_SE_TC_1 | 63 | REAL | mirrors the command direction during execution
C_BO_NA_1 | 51 | UDINT | mirrors the command direction during execution
C_BO_TA_1 | 64 | UDINT | mirrors the command direction during execution
C_IC_NA_1 | 100 | - | Is executed automatically and the execution is not reflected in zenon
C_CI_NA_1 | 101 | - | Is executed automatically and the execution is not reflected in zenon
C_RD_NA_1 | 102 | - | Is executed automatically and the execution is not reflected in zenon
C_CS_NA_1 | 103 | BOOL | The enable variable of the time synchronization
C_TS_NA_1 | 104 | - | Is executed automatically and the execution is not reflected in zenon
C_TS_TA_1 | 107 | - | Is executed automatically and the execution is not reflected in zenon
C_RP_NA_1 | 105 | USINT | QRP during execution
F_DR_TA_1 | 126 | USINT | For spontaneous directory transfer


Sector

Sector

XML fields

Parameters

Description

Version

The CNT_MODE field is expected from version 3 onwards.

CNT_MODE

Configured mode of integrated totals IOs.

Sector

The new items ToSBe and ob SBE are added for the sector:

  • ToSBe:
    Timeout [ms] for Select before execute: 1000 - 65535000
  • SBE:
    0 => not required 1 => necessary for execute

Configured mode

Parameters | Description
0 | With general interrogation. (Default)
1 | Mode A
2 | Mode B
3 | Mode C
4 | Mode D

Error codes

Code | Description
13 | Advise for integrated totals fail.
14 | Queue overrun. Integrated totals values lost.
16 | Advise failed for command variable
17 | List of value changes for command variables with SBE too long. Value change has been lost. 2048 value changes are buffered as a minimum, or four times the number of active Select Before Execute (SBE) - depending on which value is greater.
572 | Counter interrogation. Unsupported QCC.
573 | Counter interrogation. Unexpected IOA.
574 | Counter interrogation. Unsupported COT.
575 | Buffer for integrated totals interrogation data too small.

Warnings

Code | Description
1011 | QCC FRZ is only partly supported.
1012 | Counter interrogation already active.
1014 | Activation confirmation already confirmed.

Error message

Message | Description
Unsupported qualifier of counter interrogation. <command> | Unknown QCC. RQT is only supported with 5.
Counter interrogation processed without reset. < command> | Warning. Reset is not supported.
Can't advise IT data point. Device:(<device>)<device> Sector:(<COA>)<Sektorname> adv:0x<Advise-ID> | Data points for integrated totals could not be requested.
IT Values lost, queue full! Device:(<device>)<device> Sector:(<COA>)<Sektorname> <Wertänderung> | The buffer for the value changes of IT IOs is full. The value change is lost.


104 settings

Manuel -> Process Gateway -> IEC870 Slave -> Module configuration -> Devices -> 104 settings

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

In the 104 settings tab, you set the timeout times and the number of APDUs . The settings should be the same for slave and master. If a master overwrites a timeout or the number of frames to be confirmed, the slave closes the connection.

Note: The input fields of this tab are only available if 870-104 has been selected as a protocol.

Parameter | Description
Timeouts | Timeout settings of the connection
T0: time-out of connection establishment | Timeout for establishing connection. Value range 0 - 4294967295 Default: 30000 There should also be at least one u-frame from the master in that time.
T1: Time-out send or test APDUs | Timeout for frame confirmation by the master. Value range: 0 - 4294967295 Default: 15000
T2: Time-out for ack. in case of no data msg | Timeout, within which the master should confirm if no data is exchanged. Value range: 0 - 4294967295 Default: 10000
T3: Time-out for sending test frames | Time after which a U-frame is sent to the master if no data is to be transferred. Value range: 0 - 4294967295 Default: 20000
APDUs | Settings for the ISO 7816 standard: Application Protocol Data Unit (APDU).
k: Maximum difference receive sequence nr to send state | Number of maximum I-frames not yet confirmed by the master. Value range: 0 - 4294967295 Default: 12
w: Latest acknowledge after receiving w I-Format APDUs | Number of I-frames received after a confirmation is sent. Value range: 0 - 4294967295 Default: 8

info Informations

The Reset to default button resets all input to the values prescribed by the standard.


Mapping of double point values

Manuel -> Process Gateway -> IEC870 Slave -> Module configuration -> Mapping of double point values

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Double Point Value Mapping is a standard function of the zenon Energy driver. It only influences zenon Runtime and has no effect on the driver communication with a device. Configuration is carried out in the driver settings in the Basic Settings tab.

Note: It is recommended that you leave the Deactivate standard double point value mapping option in the driver configuration as the default, inactive.

The driver uses Double Point Value Mapping to convert values so that they are displayed in a user-friendly manner. However this only applies to the HMI.

The driver always communicates with one device with values for Double Points with 2-bit information. This corresponds to the definitions of the energy standard. That means:

Parameters | Double Point | Value | Meaning
Intermediate | 00b | 0 | Switches are neither open nor closed, for example the End-Position has not yet been reached
Off | 01b | 1 | Switch open
On | 10b | 2 | Close switch/switch closed
Fault | 11b | 3 | Error

Double Points are coded with 2-bits in the energy sector for historical reasons: The transmission of a telegram to a serial connection (RS232) with a series of values that only contain 0 was not safeguarded against transmission errors. In order to increase the certainty, it was decided in the first standards that the value for OFF is not to be sent as 0 but as 01b, which corresponds to decimal 1. These Double Point Values also precisely reflect the type of how two sensors record the physical position of a switch.

However, the values sent this way may be confusing for people:

  • OFF = 1
  • ON = 2

Humans are used to all other devices and systems:

  • OFF = 0
  • ON = 1

At the same time, Single Point Values are also defined with OFF = 0 in the same standard.

The user must always be aware of the technical level on which they are acting and receiving or sending information. In stressful situations, this can very easily lead to serious mistakes. For example, if ON is sent instead of OFF.

In order to avoid this dangerous error, the zenon Energy driver offers its own Double Point Value Mapping.

Mapping vor HMI

With the Double Point Value Mapping, all Double Points in zenon have the following values:

  • Intermediate = 2
  • Off = 0
  • On = 1
  • Fault = 3

info Informations

This function can be deactivated in the driver settings. However some features such as Command Processing or ALC can no longer be used then.

Recommendation: Do not use numerical elements and numerical values to display OFF/ON or OPEN/CLOSE. Use combined elements with graphic symbols or text elements instead.

DPI mapping in IEC61850 client driver

In accordance with the IEC61850-7-3 standard, in Common Data Classes, Double Point Status (DPS) and Controllable Double Point (DPC), the stVal attribute has the data type CODED ENUM with the value range: intermediate-state (00) | off (01) | on (10) | bad-state (11). The driver therefore waits until a Double Point attribute of the data type CODED ENUM is mapped to the communication protocol as an MMS of the bit string data type. The stVal data attribute can thus have the following values: 0x00, 0x40, 0x80 and 0xC0. This basic data type is permitted in the SCL language with the name Dbpos (IEC61850-6). In zenon, this corresponds to a variable with data type UDINT (default) or STRING (if changed manually) - see assignment of datatypes.

In the driver configuration, the Deactivate standard double point value mapping option should remain inactive by default in order to use the modules from the zenon Energy Edition, for example the functions of Command Processing and ALC.

With the default settings, the driver assigns values of the stVal data attributes of DPS and DPC in accordance with the following table:

Position value in the end device | zenon Dbpos value - STRING | zenon Dbpos value - UDINT unmapped | zenon Wert - value mapped
Intermediate (00b) | '00' | 0 | 2
Off (01b) | '01' | 64 (0x40) | 0
On (10b) | '10' | 128 (0x80) | 1
Fault (11b) | '11' | 192 (0xC0) | 3

The driver only converts values for variables with the names */stVal and numerical data type that corresponds to bType 'Dbpos' in the SCL language (IEC61850-6). This means that the values of the */stVal variable with a data type set to STRING manually are excluded from mapping.

This means in Runtime (for example):

Position of the switch | UDINT mapped | UDINT unmapped | STRING
off | 0 | 64 | '01'
on | 1 | 128 | '10'


XML-File

Manuel -> Process Gateway -> IEC870 Slave -> Module configuration -> XML-File

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

The configuration of the IEC870SI is stored in an XML file. You can import and export different configurations with the buttons 'Export' and 'Import' in the main window.

The active configuration is stored in the INI file, for example:
[IEC 870]
SETTINGS=IEC870SLAVE.XML

You can choose any name. The path is the same as in the INI file.

Structure of the XML file

The names of most fields intuitively indicate their meaning. The settings correspond to those that are permitted in the dialog.

The values and structure of the XML file are verified when the file is read. Erroneous entries trigger an error message that is also logged.

attention Attention

XML entries are case sensitive. Pay attention to use correct upper and lower cases.

Name | Property
process_gateway_IEC870Slave | The root node must have this name. Otherwise, the reading process will stop with an error.
VERSION | Contains the current version of attributes and nodes.
Device_x | Nodes for the device configuration. X is replaced by a consecutive number, starting with 1. This way of naming nodes is not obligatory. A device is created for every node.
LinkAdr | In protocol 101, the link address is set here. It must be unique for all devices. For protocol 104, this entry has no meaning.
IpAdr | In protocol 104, the IP address of the Master is entered here. It must be unique for all devices. For protocol 101, this entry has no meaning.
Sector_x | Number of nodes per configured sector. X is replaced by the COA. This way of naming nodes is not obligatory. A sector is created for every node.
IO_x | Number of nodes per information object. X is replaced by a consecutive number, starting with 1. This way of naming nodes is not obligatory. An IO is created for every node.
ScadaVar | When the document is loaded, the existence of the specified variable in the project is verified. Variables without project reference are looked for in the default project. [ScadaProjectName#]ScadaVariableName. (Scada stands for the name of the process control system.)
TypeId | Type identification When the document is loaded, the system will check if the type ID with the specified variable data type is possible.
COA | Common object address Must be unique for every device per sector.
IOA | Information object address In combination with the type ID, it must be unique per sector.
Is101active | With the value '1', the protocol 101 is activated, otherwise 104 will be active.
BSTime | Time for background scan Unit of measurement: ms. 0 deactivates the background scan. Default: 0
CYTime | time for cyclical data transfer Unit of measurement: ms. 0 deactivates the cyclical transfer. Default: 0 Available in version 2 and above
KindOfTransfer | States the type of data transfer. 0: Spontaneous. Is also the default value. 1: backscan 2: Cyclic 3: off 4: Spontaneous transfer with buffering Default: 0 Available in version 3 and above
DeActDPIStd | DPI /DCS compliant (IEC60870 compliant) data transfer or internal control system format
Version | 6: describes an XML file with the following fields for SOE support
EnableSOE | 0 = inactive 1 = SOE active
MaxBufferedFilesSOE | Maximum number of buffered SOE files.
AutodeleteFilesSOE | 0 = no Autodelete 1 = Autodelete if maximum file number reached
MaxEventsPerFileSOE | Maximum number of ASDU per file
PostTrgToSOE | Post trigger timeout in [ms]
FileToSOE | File timeout in [ms]
Information Object Einstellung für die SOE Unterstützung | Additional settings that must be made at the Information Object for SOE support.
Version | 4: describes an XML file with the following fields for SOE support
KindOfTransfer | Defines when an update triggers a transfer. 0 Spontaneous 1 Background scan 2 periodic 3 no transfer
TrgSOE | 0 = inactive 1 = IO acts as trigger
EvDetectionSOE | Determines when a change to an IO value or status can trigger a write in the SOE file. 0 SOE active 1 Saves all changes. 2 Raising edges 3 Falling edges 4 Raising and falling edges
HysteresisNegative | Value of the negative hysteresis. Note: from zenon 7.11, the entry must exist for each IO.
HysteresisPositive | Value of the positive hysteresis. Note: from zenon 7.11, the entry must exist for each IO.

Example configuration for protocol 101:

Example configuration for protocol 104:


Communication

Manuel -> Process Gateway -> IEC870 Slave -> Communication

This chapter explains details on communication in the Process Gateway:

  • Start
  • General query
  • Reset
  • Value changes
  • Priority
  • Read
  • Process Initialized
  • File transfer
    • Storage and naming of files for transfer
    • Spontaneous directory transfer
  • Sequence of Events (SOE)
    • Warnings
    • Error message
  • Time synchronization
  • DPI / DCS mapping
  • Select Before Operate
  • Qualifier of command
  • Invalid Bit Handling
  • Normalized Values
  • Monitoring command
  • Internal type T00
  • Pulse generation
  • Reload project online
  • Broadcasts
  • Realtime invalid - Statusbit T_INVAL
  • Test commands

Autres sujets abordés dans ce chapitre

Start

General query

End of connection and resets

Transfer of the value changes

Reload project online

Data priorities

Internal type T00 (status variable)

Time synchronization

Broadcasts

Mapping of status bits in message direction

Commands

File transfer

Sequence of Events (SOE)

Read - T102 - request

Test - T104 and T107 - requests


Start

Manuel -> Process Gateway -> IEC870 Slave -> Communication -> Start

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

When the process gateway is started, it loads the configured driver.

The driver then attempts to read its active configuration from the file entered in the INI file. If this is not possible, an error message is displayed and the configuration dialog is opened.

If the dialog is not left with OK, the application closes.

attention Attention

If the application is launched as invisible, there will be no configuration dialog. The Process Gateway will automatically quit if its configuration is invalid or missing.


General query

Manuel -> Process Gateway -> IEC870 Slave -> Communication -> General query

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

The general query (GI) triggers an establishment of the connection to zenon Runtime in the IEC870 slave. The receipt of the GI - C_IC_NA_1 - from a master is a requirement for spontaneous communication, Background scan or Periodic data transfer. This connection is built up in sectors (COA).

If the connection cannot be established in Runtime, there is a negative confirmation of the general query (COT_actcon + PN). The query that is already active for the sector is ended and a warning is logged.

A GI for a sector that does not exist in the slave (unknown COA) is confirmed in the negative (COT=46 + PN) and the connection to the master is disconnected. This is an indicator for a configuration error in the system.

For general queries, the slave supports the global address COA=0xFF(FF). You can find detailed information on this in the Broadcast chapter. A master can thus query several sectors with just one GI. This is an alternative envisaged by the standard, which the master can use. Otherwise a master must query the sectors consecutively (one after the other).

If the master sends a further GI whilst the current one has not yet been concluded, the ongoing GI is canceled and the new one is started. Overlapping GIs are logged as a warning. This is an indication of non-standard-compliant behavior with a master.

Value changes for IOs whose value has already been reported to the master as part of the current GI are buffered as long as the GI - due to other IOs is still running in the same sector (COA). If the buffer is overfilled, the current connection is disconnected. You can find further information on this in the Transfer of the value changes chapter.

During a project reload, it is not possible to connect to the Runtime. The general request will fail in this case.

attention Attention

In accordance with the IEC60870 standard, a master must start communication with a general query. For this reason, the slave closes the connection if the master has not sent a GI in the envisaged time ((T0)).

The GI and buffers of the value changes are independent for different Devices (for different masters). A master can deactivate the ongoing general query by ASDU<100> with COT_deact(8).


End of connection and resets

Manuel -> Process Gateway -> IEC870 Slave -> Communication -> End of connection and resets

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

The reset in the slave is triggered if a master connects:

  • 870-101: All commands will be rejected until the function code for reset (0) has been received. The code causes a reset in the link layer and the application layer.
  • 870-104: As a result of the connection being disconnected, a master can detect the interruption immediately and starts the initialization process again.

Ending communication

In general, communication is ended if:

  • The Process Gateway application is ended
  • Changes to the configuration of the slave are activated
  • Runtime reloads
  • the master has established the connection but no general query was sent
  • The list of the value changes that have not been sent for the sector has overflowed
  • A non-supported command has been received (command is answered in the negative and the connection is ended for security reasons).
  • A command with a non-supported address is received (command is answered in the negative and the connection is ended for security reasons).

Autres sujets abordés dans ce chapitre

'Reset process command' - T105 - request

'End of Initialization' - T70 - send


'Reset process command' - T105 - request

Manuel -> Process Gateway -> IEC870 Slave -> Communication -> End of connection and resets -> 'Reset process command' - T105 - request

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

The slave can inform zenon Runtime of the receipt of a C_RP_NA_1 command. To do this:

  • create an IO of type T105with IOA 0.

If a master sends the command C_RP_NA_1, the value of the variable is first set to 0 and then to the value of QRP.

The slave confirms receipt of the command to the master and changes the value of the corresponding T105 variable for Runtime but otherwise the command has no effect in the slave. The optional sending of the 'End of initialization' (T70) is not executed automatically.


'End of Initialization' - T70 - send

Manuel -> Process Gateway -> IEC870 Slave -> Communication -> End of connection and resets -> 'End of Initialization' - T70 - send

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

From the process control system, it is possible to instigate an ASDU<70> - M_EI_NA_1 ('End of initialization') being sent to the master. To do this:

  • create an IO of type T70 with IOA 0.

The transfer is triggered if the current value of the variable is 126 and this is amended to 127. As COI (Cause of initialization), 2 (remote reset) is used.


Transfer of the value changes

Manuel -> Process Gateway -> IEC870 Slave -> Communication -> Transfer of the value changes

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

The IEC870 slave receives, from zenon Runtime, all value changes of the requested variables. Because, as a result of this, the list of process information that has not yet been transferred to the master can become very large, the list of outstanding value changes is limited.

Limit: at least 2048 values or 4 x number of IOs per sector.

If a master receives the values more slowly than they are generated in the process control system, the list can exceed this maximum. The slave can then no longer buffer the value changes that have not yet been transferred. The slave therefore terminates the connection to the master. The master is thus requested to obtain the next connection with a general query, so that it gets current, only recent variable values.

attention Attention

The Master must be able to recognize a communication interrupt, so he can react with a new general request. This is why no process commands will be executed until the Master has caused a reset.

Every time there is a chance of data loss (value changes were lost), a reset will be triggered.


Reload project online

Manuel -> Process Gateway -> IEC870 Slave -> Communication -> Reload project online

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

If one of the projects is reloaded in the zenon Runtime, the connection to all projects using the IOs in the sector will be closed. The device (Device) with the according sector (COA) must be reset. That means: The connection to the master is closed.

While the reload is active, you cannot establish a connection to the Runtime. This means that general requests are also not possible.


Data priorities

Manuel -> Process Gateway -> IEC870 Slave -> Communication -> Data priorities

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

The driver supports class 1 and class 2 files.

Spontaneous communication, background scan and periodic data transfer belong to class 1.

The whole file transfer is treated as class 2. This makes sure that value changes will be transferred to the Master even during a file transfer.


Internal type T00 (status variable)

Manuel -> Process Gateway -> IEC870 Slave -> Communication -> Internal type T00 (status variable)

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

The internal type T00 is used for communication between the Slave and the process control system.

For the status variables, each numeric zenon variable can be assigned, for example internal drivers.

IOA 1

The variable provides the status information as to whether there is already a connection to the master. Create an IO of type T00 with IOA 1. If a connection is established, the value will change from 0 to 1.

IOA 2

A decision as to whether commands are carried out in control direction can be made for each sector by means of a zenon variable for each sector. For rejected commands, a master receives COT_actcon (7) + PN as confirmation. Rejected commands create a warning in the log.

The zenon variable must be of UINT or DWORD type and is assigned with T00 at IOA . If the value of the variable is = 1, the commands are approved. The variable must not have the status INVALID. The commands are always approved if no IO is configured.

This setting can be set globally using the Commands active property.

The enhanced meaning of the IOA 2 variable:

Value | Description
0 | Commands are rejected; sets PN bit
1 | Commands are approved
2 | Silent mode: accept without execution or error message
3.... | Reserved for future versions

info Informations

Attendant warning message:

Commands for sector deactivated, execution prohibited. <Command text>

Warning: 1009 command in control direction was received, but rejected due to a missing enable.

IOA 3

Status variable is set to 1 if the number of SOE files in the transfer directory exceeds the maximum number of buffered files.

IOA 4

Variable provides status information on the current or most recently processed SOE file:

0 - initialization. As long as no SOE file was written.

1 - SOE file is opened

2 - file was closed

3 - too many SOE files in the directory

4 - error when writing the SOE file

5 - errors when creating the SOE file

IOA 5

Variable provides status information by means of file transfer in Monitoring Direction ("Standard Direction" - from the master to the slave).

0 - no transfer active

1 - section is selected

2 - section is requested

3 - waiting on section confirmation

4 - waiting on confirmation of file transfer

255 - error when transferring

IOA 6

Variable provides the number of SOE files present in the transfer directory.

IOA 7

Variable provides status information by means of file transfer in Control Direction ("Reverse Direction" - from the slave to the master).

The information is integrated in a DWORD as follows: [IOA of the transferred files] * 256 + [status information].

Possible status information:

1 = transfer is ongoing

2 - Transfer is ongoing - the transfer that had not been completed beforehand is terminated by the transfer that has currently been started.
Status 3 is also written for the transfer that has been terminated. However because the new status is immediately written afterwards, it cannot be guaranteed in the case of zenon that this is visible in Runtime.

3 - Transfer was terminated due to an error.

4 - File transfer was completed and file is available.


Time synchronization

Manuel -> Process Gateway -> IEC870 Slave -> Communication -> Time synchronization

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

In order for time synchronization to be carried out - on receipt of C_CS_NA_1 , there must be, at any desired Device/Sektor a type T103 IO connected to a process variable. The first IO that uses type T103 is used as an enable.

This variable must have a value of <> 0 and must not have any of the following status bits set:

  • INVALID (Bit 18)
  • OFF (Bit 20)
  • ALT_VAL (Bit 27)
  • BL_870 (Bit 44)

Non execution of the command due to a missing enable (value 0 or status) does not lead to the connection being terminated, the command is only confirmed negatively - COT_actcon + PN.

If the Enable variable has not been configured or the value for this variable is missing, the connection is disconnected if a C_Cs_NA_1 is received.

The missing configuration of the enable variable or the missing value of the enable variable leads to the connection being lost when the C_CS_NA_1 command is received.


Broadcasts

Manuel -> Process Gateway -> IEC870 Slave -> Communication -> Broadcasts

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Global address 0xFF(FF) in the Common Address of ASDU (COA) is supported for the following Typ IDs:

  • C_IC_NA_1 - General query - ASDU<100>
  • C_CS_NA_1 - Time synchronization - ASDU<103>

No additional project configuration steps are necessary for this.

attention Attention

For Data Link Layer, the Broadcast Adress 0xFF(FF) - "all outstations" is not supported in 60870-4-101 communication.

The Broadcast Adress 0xFF(FF) - "all outstations" - in Data Link Layer in 60870-4-101 communication is not supported.


Mapping of status bits in message direction

Manuel -> Process Gateway -> IEC870 Slave -> Communication -> Mapping of status bits in message direction

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

The IEC870 slave supports the sending of quality bits for the information objects. The quality bits of the IO are set - in ASDUs in 'monitor direction' - using certain status bits of the linked zenon variable.

The quality bits are assigned to the status bits of the variables as follows:

Status bit in zenon | IEC60870 quality descriptor bits | Notes
INVALID | IV (invalid) NT (not topical) | The slave forwards the INVALID status bit in message direction as two quality bits.
OFF | IV (invalid) |
OV_870 | OV (overflow) | OV_870 status bits that already have the variables in zenon are sent to the master. If values for Normalized Values (T09) go below or exceed the norm range <-1 .. 1-2-15>, the OV quality bit is set, even if the variable does not have the status bit in zenon.
BL_870 | BL (blocked) |
SB_870 | SB (substituted) |
ALT_VAL | SB (substituted) | Up to zenon version 7.10, it is mapped the same as the OFF bit.
NT_870 | NT (not topical) |
T_INVAL (time invalid) | Only in "Binary Time 2a" (CP24Time2a/CP56Time2a) BS[24]- IV (invalid) | The slave forwards the T_INVAL status bit in the time stamp of the IOs with "time tag" only.


Commands

Manuel -> Process Gateway -> IEC870 Slave -> Communication -> Commands

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

A command received - T45..T64 - is set as the value for the zenon variables. In sectors without Select routing, a confirmation, which is always positive, is always sent to the master immediately - COT_actcon (7) and COT_actterm (10).

In such sectors, a Select is also immediately also confirmed automatically - COT_actcon + SE and the zenon variable change neither the value nor the status bit.

Note: For variables that are configured in the IEC870Sl Process Gateway as command variables, if the Write set value via VBA property is active (Logging in group), each command is logged as a write set value via the API interface in the CEL.

Autres sujets abordés dans ce chapitre

Select routing

Pulse generation - 'Qualifier of Command'


Select routing

Manuel -> Process Gateway -> IEC870 Slave -> Communication -> Commands -> Select routing

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Select routing can only be used together with Command Processing module - auto/remote actions.

If Select routing was configured for the sector being addressed, there is a wait in receipt of a Select until, via the command variable of zenon, the status SE_870 is acknowledged with COT_actcon (7) and possibly with N_CONF (corresponds to PN).

Only once this has happened is a confirmation to the master (for example a Control Center) triggered. All others for this IO are rejected as long as a selection is taking place.

Timeout, cancel and missing select

The following rules apply for the different possibilities for responding to a Select routing :

  • If Select routing is configured on a sector, one Select Timeout per IO is started for each Select.
  • The slave checks whether the Timeout has expired and then sets the variable to SE, COT_actterm (10) and PN.
  • If a Cancel - COT_deact (8) is received by the master for an ongoing Select , confirmation is provided with COT_deactcon (9) and the Select is deleted.
  • If an Execute or Cancel is received without a Select beforehand, it is responded to with PN - negative.


Pulse generation - 'Qualifier of Command'

Manuel -> Process Gateway -> IEC870 Slave -> Communication -> Commands -> Pulse generation - 'Qualifier of Command'

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

The IEC870 slave supports pulse generation for commands received. The Qualifier of Command (QoC) is supported for all commands envisaged in the IEC60870 standard (T45,T46,T47 and T58,T59,T60).

For example, an pulse command received - an ASDU of type T45 - with QoC has the following effect on a zenon variable:

  • QoC 0: Undefined in accordance with IEC standard. Behaves in slave as in QoC 3 persistent output.
  • QoC 1: Short pulse. The zenon variable assumes the value 'ON' and changes, after the time defined in the Process Gateway settings to 'OFF'.
  • QoC 2: Long pulse. The zenon variable assumes the value 'ON' and changes, after the time defined in the Process Gateway settings to 'OFF'.
  • QoC 3: Persistent output. The zenon variable assumes the value 'ON' (or 'OFF') and retains the value. This must be reset to receive further commands.

As soon as communication is ended, the pulse for all other active pulse variables will be stopped (i.e. an OFF will be written). If a pulse is triggered for a running pulse generation, the active pulse generation will be stopped. The variable contains the value 'OFF'.

Note: For SCS (single command state), the value 'OFF' is always 0, for DCS (double command state) an 'OFF' is 00b at protocol level, then 2 or 0 in zenon, depending on the "DPI/DCS mapping" setting.

Note: In sectors with Select routing , pulse generation cannot be carried out because 'OFF' after Select is in conflict with Execute .


File transfer

Manuel -> Process Gateway -> IEC870 Slave -> Communication -> File transfer

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

The following applies for file transfer:

  • The values 1-4 are supported in the AFQ UI4
  • The values 0-6 are supported in the SCQ UI4;
    0 and 1 are both 'select file'

If a new transfer is started while another one is still active, the currently active transfer will be interrupted and the new one will be started.

Autres sujets abordés dans ce chapitre

Storage and naming

Spontaneous directory transfer


Storage and naming

Manuel -> Process Gateway -> IEC870 Slave -> Communication -> File transfer -> Storage and naming

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Use the following scheme for storage and naming:

<Configured folder>\<COA>\<IOA>.<NOF>

Only 1 = 'Name of file' is supported as NOF (transparent file).
The maximum size of files for transfer is 16.711.680 Bytes.

Example

Folder in the module configuration: C:\TEMP\IEC870

File 1100.1: For IO of sector COA=151 and IOA 1100

Save location: C:\TEMP\IEC870\151\1100.1


Spontaneous directory transfer

Manuel -> Process Gateway -> IEC870 Slave -> Communication -> File transfer -> Spontaneous directory transfer

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Spontaneous transfer of files in the folder for file transfer can be triggered by the process control system. To do this:

  • create an IO of type F_DR_NA_1 (T126) with IOA '0'.
Value | Meaning
Change from 1 to 2 | Starting transfer
3 | Transfer active
4 | Transfer finished
5 | Transfer failure

Nested activation is prevented.


Sequence of Events (SOE)

Manuel -> Process Gateway -> IEC870 Slave -> Communication -> Sequence of Events (SOE)

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Settings in the main SOE window:

Parameters | Description
Use sequences of events | If active, the SOE for the selected device is activated. If inactive, all SOE settings to the IOs are ignored. Default: inactive

File settings per sector

Parameters | Description
Buffered SOE Files | If the number set for SOE files in the folder is reached for the sector, a spontaneous directory transfer (type ID "F_DT_TA_1") is triggered. If the number of files in the folder is doubled, the oldest file will start to be deleted (ring buffer function). Value range 1 to 1024. Default: 1024
Events per File | Number of value changes that are written in a file before it is closed. Value range: 1 to 4096. Default: 512
Automatically delete SOE file | If active, the reaction is that this is then automatically closed for type ID "F_AF_NA_1" (confirmation for file) for an SOE file.

Timeouts

Parameters | Description
Post trigger timeout | If no ASDU is written to the file within this period of time, this is then closed. The time period starts over with each ASDU written. Value range: 100ms to 120000ms Default: 1000ms
File timeout | Maximum time for which the file remains open (regardless of the number of events). Value range: 100ms to 120000ms Default: 5000ms

First value

The exchange of data for SOE starts immediately once the Gateway has been initialized. The exchange of data for data in monitoring direction only starts when a master has connected and triggered a general interrogation (GI). The first value that is initialized does not trigger an event and is thus also not entered into the file. The same applies if Runtime is ready again to exchange data after reloading.

File transfer

As part of the SOE function for transparent (1), event (3) is also supported as NOF.

Files are not transferred automatically if the maximum number of SOE files to be buffered is exceeded.

The IEC 60870 norm describes this with "may be activated". The Gateway does not support any file transfers activated by the Slave in the current version.

Directory Transfer

As part of the SOE function for transparent (1), event (3) is also supported as NOF.

Automatic directory transfer:

In accordance with the IEC 60870 norm, an automatic spontaneous directory transfer is activated for the following reasons with existing SOE files:

  • 24 hours after the last automatic directory transfer.
  • if the master connects
  • if the maximum number of files to be buffered is exceeded

Autres sujets abordés dans ce chapitre

Warnings

Error message

LOG entries


Warnings

Manuel -> Process Gateway -> IEC870 Slave -> Communication -> Sequence of Events (SOE) -> Warnings

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Warning message | Meaning
Sequences of events for device <Devicename> sector <Sectorname> are activated but no trigger defined | The device has SOE activated, on the server there is an IO with SOE active but the trigger was not activated for any IO. No file is created without a trigger. At least one IO must have the trigger activated for the sector.
SOE value change without trigger and file is closed. Value lost! Device:(<Device ID>)<Device-Name> Sector:(<COA>)<Sector name> <Value information> | A value change was not written because the SOE file is not open. Code:1010


Error message

Manuel -> Process Gateway -> IEC870 Slave -> Communication -> Sequence of Events (SOE) -> Error message

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Error message | Meaning
Sequence of events active but no directory for the file transfer defined! | SOE files are archived in the file transfer folder. Therefore a folder for file transfer must be present.
SOE values lost, queue full! Device:(<Device ID>)<Device-Name> Sector:(<COA>)<Sector name> <Value information> | for IOs that have a SOE activated, data is exchanged to the stack via a queue. This can assume a value of 2048 or 4 * the number of SOE IO’s in sector entries. If this number is exceeded, this error message is created and the value change is lost. Error code: 6
Can't create subdirectory for file transfer. Device:(<Device ID>)<Device name> Sector:(<COA>)<Sector name> system error:<System error code> | The subfolder for the sector is automatically created for SOE in the folder for file transfers. This error shows that this folder could not be created. SOE then indicates that this sector is NOT available. Error code: 10
System error code | Contains the error code returned from the operating system.
Can't advise SOE data point. Device:(<Device ID>)<Device name> Sector:(<COA>)<Sector name> adv:0x<Advise ID> | Data point request for SOE IOs failed. SOE then indicates that this sector is NOT available. Error code: 11
Write asdu to file <Filename> fail! Device:(<Device ID>)<Device name> Sector:(<COA>)<Sector name> <Value> system error: <System error code> | ASDU write to SOE file failed. Error code: 8
Illegal file name <Filename> detected! Device:(<Device ID>)<Device name> Sector:(<COA>)<Sector name> | Filenames for the file transfer have a defined format <IOA>.<NOF>. The file does not adhere to this convention. Error code: 12
Auto delete for file failed! System error: <System error code> <File transfer information> | Error code: 9
File transfer information | Contains the information that identifies the file transfer.


LOG entries

Manuel -> Process Gateway -> IEC870 Slave -> Communication -> Sequence of Events (SOE) -> LOG entries

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

The sequence of events writes the following entries to the LOG file

Parameters | Description
deviceIp: | IP address from the device
devicename: | Name of device
COA: | Care of Address -> according to standard
SecName: | Sector description
TypeyId: | Command number
TypeIdAsTxt: | Command as text
IOA: | According to standard
AdviseID: | ID via which value changes are requested and assigned
Value: | Value transferred
TimeStamp: | Time of value change. From the driver or command
QUALDESC: | According to standard
SBEValue: | COT, select and pn mapped to unique enums: 0: Not select relevant 1: actcon+pn+select 2: actcon+select 3: deactcon+pn+select, 4: deactcon+select 5: actterm+pn+select, 6: actterm+select,
Confirmed: | 1 if select already confirmed
COT: | According to standard
CotTxt: | Cot asText
Qualifier: | According to standard and command
Originator: | According to standard
QU: | Qualifier of command QU 7.2.6.26
DCS: | 7.2.6.16 Double command (IEV 371-03-03)
ControlCommand: | Depending on control command

Example for 45:

<TypeId> <TypeIdAsTxt> Device:(<deviceip>)<devicename> Sector:(<IOA>)< SecName > ioa:<IOA> cot:(<COT>)<CotTxt> ori:<Originator> sel:<QOC S/E> qu:<QU> dcs:<DCS>

ValueChange cmd(<TypeyId>)<<TypeId>> <TypeIdAsTxt> ioa:<IOA> id:<AdviseID> value:<Wert> time:<TimeStamp> state:< QUALDESC > sir:<SBEValue>

LOG entry | Module/Level | Description
SBE IED processing. Device:(<deviceIp>)<devicename> Sector:(<COA>)<SecName> <ValueChange> SBE command: advise:<AdviseID> conf:<confirmed> <ControlCommand> | OSI7/Debug | Each value change that is processed for SBE creates this log message
Wrn:1014 SBE activation already confirmed! Device:(<DeviceIp>)<devicename> Sector:(<COA>)<SecName> <ValueChange> | OSI7/Warnung | Renewed conformation for Select received and ignored
Error:16 Advise for SBE data point fail. SBE command: advise:<AdviseId> conf:<confirmed> <ControlCommand> | Scada/error | Variable could not be requested.
Error:17 SBE value lost, queue full! Device:(<DeviceIp>)<devicename> Sector:(<COA>)<SecName> <ValueChange> | Scada/Error | Value change for SBE lost because the source is full.


Read - T102 - request

Manuel -> Process Gateway -> IEC870 Slave -> Communication -> Read - T102 - request

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Maximum 2048 read requests - C_RD_NA_1 - can be active at the same time. Once this limit has been reached, further read requests are rejected.

A read request is executed for each IO with the requested IOA .
Several requests for one IO can be active at the same time.
Read requests will be processed even if the general request is not finished yet.

The response to the read command does not need to be configured and automatically runs in the background.


Test - T104 and T107 - requests

Manuel -> Process Gateway -> IEC870 Slave -> Communication -> Test - T104 and T107 - requests

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

The IEC870 slave responds to the master automatically with the two test commands C_TS_NA_1 (ASDU<104>) and C_TS_TA_1 (ASDU<107>).

This response does not need to be engineerd and runs in the background.

info Informations

You can find further information on command IDs the Interoperability chapter.


Error analysis

Manuel -> Process Gateway -> IEC870 Slave -> Error analysis

Should there be communication problems, this chapter will assist you in finding out the error.

Autres sujets abordés dans ce chapitre

Analysis tool

Error codes

Check list


Analysis tool

Manuel -> Process Gateway -> IEC870 Slave -> Error analysis -> Analysis tool

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Process Gateway behaves like a zenon driver and writes messages to a common log file. To display them correctly and clearly, use the Diagnosis Viewer program that was also installed with zenon. You can find it under Start/All programs/zenon/Tools 7.60 -> Diagviewer. In general:

Le driver de zenon consigne toutes les erreurs dans les fichiers journaux. Les fichiers journaux sont des fichiers texte dotés d'une structure spéciale. Le dossier par défaut des fichiers journaux est le sous-dossier LOG, dans le dossier ProgramData. Par exemple :

%ProgramData%\COPA-DATA\LOG.

Attention : avec les paramètres par défaut, un driver consigne uniquement les informations d'erreur. Avec l'outil Diagnosis Viewer, vous pouvez améliorer le niveau de diagnostic de la plupart des drivers, grâce aux options "Debug" (Débogage) et "Deep Debug" (Débogage approfondi). Dans ce cas, le driver consigne également les autres tâches et événements importants.

L'outil Diagnosis Viewer vous permet également :

  • Suivre les nouvelles entrées en temps réel
  • De personnaliser les paramètres de journalisation
  • De modifier le dossier dans lequel sont enregistrés les fichiers journaux

Remarque :

  1. L'outil Diagnosis Viewer affiche toutes les entrées à l'heure UTC (temps universel coordonné), et pas à l'heure locale.
  2. Par défaut, l'outil Diagnosis Viewer n'affiche pas toutes les colonnes d'un fichier journal. Pour afficher d'autres colonnes, activez la propriété Add all columns with entry (Ajouter toutes les colonnes avec une entrée) dans le menu contextuel de l'en-tête des colonnes.
  3. Si vous utilisez uniquement Error-Logging, la description du problème se trouve dans la colonne Error text. Pour d'autres niveaux de diagnostic, la description est fournie dans la colonne General text.
  4. En cas de problèmes de communication, de nombreux drivers consignent également les numéros d'erreur de journal qui leur sont attribués par l'automate. Ils sont affichés dans Error text, dans Error code ou dans Driver error parameter (1 et 2). Des conseils concernant la signification des codes d'erreur sont disponibles dans la documentation du driver et le fichier journal/la description de l'automate.
  5. À la fin de l'essai, réinitialisez le niveau de diagnostic Debug (Débogage) ou Deep Debug (Débogage approfondi). Pour les options Debug (Débogage) et Deep Debug (Débogage approfondi), de grands volumes de données sont enregistrés sur le disque dur, ce qui peut influencer les performances du système. L'enregistrement de ces données se poursuit même après la fermeture de l'outil Diagnosis Viewer.

attention Attention

Sous Windows CE, les erreurs ne sont pas consignées par défaut, pour préserver les performances du système.

Note: Process Gateway is not available under Windows CE.

info Informations

You can find further information on the Diagnosis Viewer in the Diagnosis Viewer chapter.

Autres sujets abordés dans ce chapitre

Logging


Logging

Manuel -> Process Gateway -> IEC870 Slave -> Error analysis -> Analysis tool -> Logging

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

The driver supports a comprehensive logging function for:

  • Client name
  • zenProcGateway_IEC870Slave
  • Modules

Client name

The way the name of the client is displayed in the Diagnosis Viewer depends on the configuration. That is why the name changes if you change the TCP port, the COM port or the protocol. In this case, the logging settings may also change.

If the Process Gateway is started several times with the same settings, the same client name will be used. The error messages of the different instances can be distinguished by the process ID.

Example Exemple

zenProcGateway_IEC870Slave

  • 104 protocol with standard port 2404
  • 101 if COM1 selected.
  • If the configuration has not been loaded yet, error messages during startup will always be visible under this client.

zenProcGateway_IEC870Slave:COM4

  • 101 with COM4.
    The name contains the used COM port.

zenProcGateway_IEC870Slave:Port:12345

  • 104 with port 12345.
    The name contains the port for the Master connection.

Modules

Error messages are shown for all modules:

  • IEC870 Slave
  • OSI2
  • OSI7
  • SCADA Runtime (ScadaRT)

IEC870 Slave

Concerns the connection to the Process Gateway and its configuration.

Information about:

  • Errors during engineering

OSI2

Concerns the protocol level. This where framing with its according functions is implemented.

Information about:

  • Received data as byte dump
  • Sent data as byte dump
  • Function codes for 101
  • Errors on this level, e.g. in the framing
  • APCI for 104 (870-5-104 5)

Levels

  • Msg: Frame interpreting
  • Debug:
    Received and sent data
    Frame analysis.
    New Master connection.
  • Deep Debug: Every request about existence of characters. Produces a large number of logging entries!

OSI7

Concerns the application layer.
This is where commands are interpreted and executed.

Information about:

  • Logging 'process and system information'
  • Errors in the ASDUs

Levels:

  • Warning: Recursive interrogation
  • Msg: Process information, System information
  • Debug: Confirmed I-frames
  • Deep Debug: Interrogation runs. Produces a large number of logging entries!

SCADA Runtime (ScadaRT)

Messages for connection to the Runtime:

Information about:

  • advised and unadvised variables
  • updated variables
  • Deactivating the project

Levels

  • Debug:
    changed values
    project inactive


Error codes

Manuel -> Process Gateway -> IEC870 Slave -> Error analysis -> Error codes

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

The following error codes can be displayed in the Diagnosis Viewer:

Error code | Meaning
570 | Value change for unknown cyclical IO
571 | Transfer buffer too small to transfer a cyclical IO

Error messages for file transfer in reverse direction

Error number | Error level | Description
20 | Error message | Creation of the temporary file for the file transfer in reverse direction was unsuccessful.
1017 | Warning | File transfer in reverse direction is already active, the ongoing one will be ended and a new one started.
21 | Error message | Segment data write error occurred
22 | Error message | Length of the data exceeds the expected file length
23 | Error message | Checksum of the transferred segments incorrect for the sector.
24 | Error message | Checksum for file incorrect.
25 | Error message | Segment data transferred for sector exceeds the data length defined at the start
26 | Error message | Sector data transfer is reported as finished but the amount of segment data transferred does not correspond to that stated at the start.
27 | Error message | File data is reported as completed but the given file length does not correspond.
581 | Error message | Unexpected IOA with SG
582 | Error message | Unexpected NOF with SG
583 | Error message | Unexpected NOS with SG
584 | Error message | Unexpected NOS with LS
585 | Error message | Unexpected NOS with LS
586 | Error message | Unexpected NOS with LS
587 | Error message | FR with non-supported NOF. We only support 1 == transparent


Check list

Manuel -> Process Gateway -> IEC870 Slave -> Error analysis -> Check list

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
  • Is the COM port in use by another application or are the settings incorrect?
  • Is the device (PLC) that you are trying to communicate with connected to the power supply?
  • Is the cable between PLC and PC/IPC connected correctly?
  • Have you analyzed the error file (which errors did occur)?
  • For additional error analyses, please send a project backup and the LOG file of the DiagViewer to the support team responsible for you.


Interoperability

Manuel -> Process Gateway -> IEC870 Slave -> Interoperability

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

This companion standard presents sets of parameters and alternatives from which subsets must be selected to implement particular telecontrol systems. Certain parameter values, such as the choice of 'structured' or'unstructured' fields of the informationobject address of ASDUs represent mutually exclusive alternatives. This means that only one value of the defined parameters is admitted per system. Other parameters, such as the listed set of different process information incommand and in monitor direction allow the specification of the complete set orsubsets, as appropriate for given applications. This clause summarizes theparameters of the previous clauses to facilitate a suitable selection for aspecific application. If a system is composed of equipment stemming from different manufacturers, it is necessary that all partners agree on the selected parameters.

The interoperability list is defined as in IEC 60870-5-101 and extended with parameters used in this standard. The text descriptions of parameters which are not applicable to this companion standard are strike-through (corresponding check box is marked black).

NOTE In addition, the full specification of a system may require individual selection of certain parameters for certain parts of the system, such as the individual selection of scaling factors for individually addressable measured values.

The selected parameters should bemarked in the white boxes as follows:

[ ] Function or ASDU is not used
[ X ] Function or ASDU is used as standardized (default)
[ R ] Function or ASDU is used in reverse mode
[ B ] Function or ASDU is used in standard and reverse mode

The possible selection (blank, X , R , or B ) is specified for each specific clause or parameter.

A black check box indicates that the option cannot be selected in this companion standard.

1. System or device

(system-specific parameter, indicate definition of a system or a device by marking one of the following with ' X ')

[ ] System definition
[ ] Controlling station definition (Master)
[ X ] Controlled station definition (Slave)

2. Network Configuration: 101 only

(network-specific parameter, all configurations that are used are to be marked ' X ')

[ X ] Point-to-point | [ X ] Multipoint
[ X ] Multiple point to point | [ ] Multipoint-star

3. Physical Layer: 101 only

(network-specific parameter, all interfaces and data rates that are used are to be marked ' X ')

Transmission speed (control direction)

Unbalanced interchange Circuit V.24/V.28 Standard | Unbalanced interchange Circuit V.24/V.28 Recommended if >1 200 bit/s | Balanced interchange Circuit X.24/X.27
[ ] 100 bit/s | [ X ] 2400 bit/s | [ ] 2400 bit/s
[ ] 200 bit/s | [ X ] 4800 bit/s | [ ] 4800 bit/s
[ X ] 300 bit/s | [ X ] 9600 bit/s | [ ] 9600 bit/s
[ X ] 600 bit/s | [ X ] 19200 bit/s | [ ] 19200 bit/s
[ X ] 1200 bit/s | [ X ] 38400 bit/s | [ ] 38400 bit/s
 | [ X ] 56000 bit/s | [ ] 56000 bit/s
 | [ X ] 57600 bit/s | [ ] 64000 bit/s
 | [ X ] 115200 bit/s |
 | [ X ] 128000 bit/s |
 | [ X ] 256000 bit/s |

Transmission speed (monitor direction)

Unbalanced interchange Circuit V.24/V.28 Standard | Unbalanced interchange Circuit V.24/V.28 Recommended if >1 200 bit/s | Balanced interchange Circuit X.24/X.27
[ ] 100 bit/s | [ X ] 2400 bit/s | [ ] 2400 bit/s
[ ] 200 bit/s | [ X ] 4800 bit/s | [ ] 4800 bit/s
[ X ] 300 bit/s | [ X ] 9600 bit/s | [ ] 9600 bit/s
[ X ] 600 bit/s | [ X ] 19200 bit/s | [ ] 19200 bit/s
[ X ] 1200 bit/s | [ X ] 38400 bit/s | [ ] 38400 bit/s
 | [ X ] 56000 bit/s | [ ] 56000 bit/s
 | [ X ] 57600 bit/s | [ ] 64000 bit/s
 | [ X ] 115200 bit/s |
 | [ X ] 128000 bit/s |
 | [ X ] 256000 bit/s |

4. Link layer: 101 only

(network-specific parameter, all options that are used are to be marked ' X '. Specify the maximum frame length. If a non-standard assignment of class 2 messages is implemented for unbalanced transmission, indicate the Type ID and COT of all messages assigned to class 2.)

Frame format FT 1.2, single character 1 and the fixed time out interval are used exclusively in this companion standard.

Link transmission | Frame length [octets] | Address field of the link
[ ] Balanced transmission | [255] Maximum length L (both directions)* | [ ] not present (balanced transmission only)
[ X ] Unbalanced transmission |  | [ X ] One octet
 |  | [ X ] Two octets
 |  | [ X ] Structured
 |  | [ X ] Unstructured

*may be reduced by the system

Link Address 0xFF(FF) - broadcast to all outstations - is not supported.

The structure of Link Address is not interpreted.

When using an unbalanced link layer, the following ASDU types are returned in class 2 messages (low priority) with the indicated causes of transmission:

[ ] The standard assignment of ASDUs to class 2 messages is used as follows:

Type identification | Cause of transmission
9, 11, 13, 21 | <1>

[ X ] A special assignment of ASDUs to class 2 messages is used as follows:

Type identification | Cause of transmission
120 - 126 | All (as specified in the standard)

Note: (In response to a class 2 poll, a controlled station may respond with class 1 data when there is no class 2 data available).

5. Application Layer

Transmission mode for application data

Mode 1 (Least significant octet first), as defined in 4.10 of IEC 60870-5-4, is used exclusively in this companion standard.

Common address of ASDU

(system-specific parameter, all configurations that are used are to be marked ' X ')

ASDU adress
101 only [ X ] One octet | [ X ] Two octets

The ASDU address 0xFF(FF) - global address - is supported only for C_IC_NA_1 and C_CS_NA_1

Information object address

(system-specific parameter, all configurations that are used are to be marked ' X ')

Object adress
101 only [ X ] One octet | [ X ] Structured
101 only [ X ] Two octets | [ X ] Unstructured
[ X ] Three octets |

Cause of transmission

(system-specific parameter, all configurations that are used are to be marked ' X ')

Cause of transmission
101 only [ X ] One octet | [ X ] Two octets (with originator address) Originator address is set to zero if not used.

Length of APDU: 104 only

(system-specific parameter, specify the maximum length of the APDU per system)
The maximum length of APDU for both directions is 253. The maximum length may be reduced by the system.

[ 253 ] Maximum length of APDU per system

Selection of standard ASDUs

Process information in monitor direction

(station-specific parameter, mark each Type ID ' X ' if it is only used in the standard direction, ' R ' if only used in the reverse direction, and ' B ' if used in both directions).

Mark | Parameter | Type
[ B ] | <1>: = Single-point information | M_SP_NA_1
[ B ] | <2>: = Single-point information with time TAG | M_SP_TA_1
[ B ] | <3>: = Double-point information | M_DP_NA_1
[ B ] | <4>: = Double-point information with time TAG | M_DP_TA_1
[ B ] | <5>: = Step position information | M_ST_NA_1
[ B ] | <6>: = Step position information with time TAG | M_ST_TA_1
[ B ] | <7>: = Bitstring of 32 bit | M_BO_NA_1
[ B ] | <8>: = Bitstring of 32 bit with time TAG | M_BO_TA_1
[ B ] | <9>: = Measured value, normalized value | M_ME_NA_1
[ B ] | <10>: = Measured value, normalized value with time TAG | M_ME_TA_1
[ B ] | <11>: = Measured value, scaled value | M_ME_NB_1
[ B ] | <12>: = Measured value, scaled value with time TAG | M_ME_TB_1
[ B ] | <13>: = Measured value, short floating point value | M_ME_NC_1
[ B ] | <14>: = Measured value, short floating point value with time TAG | M_ME_TC_1
[ B ] | <15>: = Integrated totals | M_IT_NA_1
[ B ] | <16>: = Integrated totals with time TAG | M_IT_TA_1
[ ] | <17>: = Event of protection equipment with time TAG | M_EP_TA_1
[ ] | <18>: = Packed start events of protection equipment with time TAG | M_EP_TB_1
[ ] | <19>: = Packed output circuit information of protection equipment with time TAG | M_EP_TC_1
[ ] | <20>: = Packed single-point information with status change detection | M_SP_NA_1
[ ] | <21>: = Measured value, normalized value without quality descriptor | M_ME_ND_1
[ B ] | <30>: = Single-point information with time TAG CP56Time2a | M_SP_TB_1
[ B ] | <31>: = Double-point information with time TAG CP56Time2a | M_DP_TB_1
[ B ] | <32>: = Step position information with time TAG CP56Time2a | M_ST_TB_1
[ B ] | <33>: = Bitstring of 32 bit with time TAG CP56Time2a | M_BO_TB_1
[ B ] | <34>: = Measured value, normalized value with time TAG CP56Time2a | M_ME_TD_1
[ B ] | <35>: = Measured value, scaled value with time TAG CP56Time2a | M_ME_TE_1
[ B ] | <36>: = Measured value, short floating point value with time TAG CP56Time2a | M_ME_TF_1
[ B ] | <37>: = Integrated totals with time TAG CP56Time2a | M_IT_TB_1
[ ] | <38>: = Event of protection equipment with time TAG CP56Time2a | M_EP_TD_1
[ ] | <39>: = Packed start events of protection equipment with time TAG CP56Time2a | M_EP_TE_1
[ ] | <40>:= Packed output circuit information of protection equipment with time TAG CP56Time2a | M_EP_TF_1

Either the ASDUs of the set <2>, <4>, <6>, <8>, <10>, <12>, <14>, <16>, <17>, <18>, <19> or of the set <30> – <40> are used.

Process information in control direction

(station-specific parameter, mark each Type ID ' X ' if it is only used in the standard direction, ' R ' if only used in the reverse direction, and ' B ' if used in both directions).

Mark | Parameter | Type
[ X ] | <45>: = Single command | C_SC_NA_1
[ X ] | <46>: = Double command | C_DC_NA_1
[ X ] | <47>: = Regulating step command | C_RC_NA_1
[ X ] | <48>: = Set point command, normalized value | C_SE_NA_1
[ X ] | <49>: = Set point command, scaled value | C_SE_NB_1
[ X ] | <50>: = Set point command, short floating point value | C_SE_NC_1
[ X ] | <51>: = Bitstring of 32 bit | C_BO_NA_1
[ X ] | <58>: = Single command with time TAG CP56Time2a | C_SC_TA_1
[ X ] | <59>: = Double command with time TAG CP56Time2a | C_DC_TA_1
[ X ] | <60>: = Regulating step command with time TAG CP56Time2a | C_RC_TA_1
[ X ] | <61>: = Set point command, normalized value with time TAG CP56Time2a | C_SE_TA_1
[ X ] | <62>: = Set point command, scaled value with time TAG CP56Time2a | C_SE_TB_1
[ X ] | <63>: = Set point command, short floating point value with time TAG CP56Time2a | C_SE_TC_1
[ X ] | <64>:= Bitstring of 32 bit with time TAG CP56Time2a | C_BO_TA_1

Either the ASDUs of the set <45> – <51> or of the set <58> – <64> are used.

System information in monitor direction

(station-specific parameter, mark ' X ' if used)

Mark | Parameter | Type
[ X ] | <70> : = End of initialization | M_EI_NA_1

System information in control direction

(station-specific parameter, mark each Type ID ' X ' if it is only used in the standard direction, ' R ' if only used in the reverse direction, and ' B ' if used in both directions).

Mark | Parameter | Type
[ X ] | <100>: = Interrogation command* | C_IC_NA_1
[ X ] | <101>: = Counter interrogation command | C_CI_NA_1
[ X ] | <102>: = Read command | C_RD_NA_1
[ X ] | <103>: = Clock synchronization command (option see 7.6)* | C_CS_NA_1
[ X ] | <104>: = Test command | C_TS_NA_1
[ X ] | <105>: = Reset process command | C_RP_NA_1
[ ] | <106>: = Delay acquisition command | C_CD_NA_1
[ X ] | <107>: = Test command with time TAG CP56Time2a | C_TS_TA_1

*also with global address - with Common Address of ASDU = 0xFF(FF)

Parameter in control direction

(station-specific parameter, mark each Type ID ' X ' if it is only used in the standard direction, ' R ' if only used in the reverse direction, and ' B ' if used in both directions).

Mark | Parameter | Type
[ ] | <110>: = Parameter of measured value, normalized value | P_ME_NA_1
[ ] | <111>: = Parameter of measured value, scaled value | P_ME_NB_1
[ ] | <112>: = Parameter of measured value, short floating point value | P_ME_NC_1
[ ] | <113>: = Parameter activation | P_AC_NA_1

File transfer

(station-specific parameter, mark each Type ID ' X ' if it is only used in the standard direction, ' R ' if only used in the reverse direction, and ' B ' if used in both directions).

Mark | Parameter | Type
[ B ] | <120>: = File ready | F_FR_NA_1
[ B ] | <121>: = Section ready | F_SR_NA_1
[ B ] | <122>: = Call directory, select file, call file, call section | F_SC_NA_1
[ B ] | <123>: = Last section, last segment | F_LS_NA_1
[ B ] | <124>: = Ack file, ack section | F_AF_NA_1
[ B ] | <125>: = Segment | F_SG_NA_1
[ X ] | <126>: = Directory {blank or X, only available in monitor (standard) direction} | F_DR_TA_1

Type identifier and Cause of transmission assignments

(station-specific parameters)

Shaded boxes: option not required.
Blank: functions or ASDU not used.

Mark Type Identification/Cause of transmission combinations:
' X ' if only used in the standard direction;
' R ' if only used in the reverse direction;
' B ' if used in both directions.

Type identification |  | Cause of transmission
 |  | 1 | 2 | 3 | 4 | 5 | 6 | 7 | 8 | 9 | 10 | 11 | 12 | 13 | 20 to 36 | 37 to 41 | 44 | 45 | 46 | 47
<1> | M_SP_NA_1 |  | B | B |  | X |  |  |  |  |  |  |  |  | X |  |  |  |  |
<2> | M_SP_TA_1 |  |  | B |  | X |  |  |  |  |  |  |  |  |  |  |  |  |  |
<3> | M_DP_NA_1 |  | B | B |  | X |  |  |  |  |  |  |  |  | X |  |  |  |  |
<4> | M_DP_TA_1 |  |  | B |  | X |  |  |  |  |  |  |  |  |  |  |  |  |  |
<5> | M_ST_NA_1 |  | B | B |  | X |  |  |  |  |  |  |  |  | X |  |  |  |  |
<6> | M_ST_TA_1 |  |  | B |  | X |  |  |  |  |  |  |  |  |  |  |  |  |  |
<7> | M_BO_NA_1 |  | B | B |  | X |  |  |  |  |  |  |  |  | X |  |  |  |  |
<8> | M_BO_TA_1 |  |  | B |  | X |  |  |  |  |  |  |  |  |  |  |  |  |  |
<9> | M_ME_NA_1 | B | B | B |  | X |  |  |  |  |  |  |  |  | X |  |  |  |  |
<10> | M_ME_TA_1 |  |  | B |  | X |  |  |  |  |  |  |  |  |  |  |  |  |  |
<11> | M_ME_NB_1 | B | B | B |  | X |  |  |  |  |  |  |  |  | X |  |  |  |  |
<12> | M_ME_TB_1 |  |  | B |  | X |  |  |  |  |  |  |  |  |  |  |  |  |  |
<13> | M_ME_NC_1 | B | B | B |  | X |  |  |  |  |  |  |  |  | X |  |  |  |  |
<14> | M_ME_TC_1 |  |  | B |  | X |  |  |  |  |  |  |  |  |  |  |  |  |  |
<15> | M_IT_NA_1 |  |  | B |  | X |  |  |  |  |  |  |  |  | X1 | X |  |  |  |
<16> | M_IT_TA_1 |  |  | B |  | X |  |  |  |  |  |  |  |  |  | X |  |  |  |
<17> | M_EP_TA_1 |  |  |  |  |  |  |  |  |  |  |  |  |  |  |  |  |  |  |
<18> | M_EP_TB_1 |  |  |  |  |  |  |  |  |  |  |  |  |  |  |  |  |  |  |
<19> | M_EP_TC_1 |  |  |  |  |  |  |  |  |  |  |  |  |  |  |  |  |  |  |
<20> | M_PS_NA_1 |  |  |  |  |  |  |  |  |  |  |  |  |  |  |  |  |  |  |
<21> | M_ME_ND_1 |  |  |  |  |  |  |  |  |  |  |  |  |  |  |  |  |  |  |
<30> | M_SP_TB_1 |  |  | B |  | X |  |  |  |  |  |  |  |  |  |  |  |  |  |
<31> | M_DP_TB_1 |  |  | B |  | X |  |  |  |  |  |  |  |  |  |  |  |  |  |
<32> | M_ST_TB_1 |  |  | B |  | X |  |  |  |  |  |  |  |  |  |  |  |  |  |
<33> | M_BO_TB_1 |  |  | B |  | X |  |  |  |  |  |  |  |  |  |  |  |  |  |
<34> | M_ME_TD_1 |  |  | B |  | X |  |  |  |  |  |  |  |  |  |  |  |  |  |
<35> | M_ME_TE_1 |  |  | B |  | X |  |  |  |  |  |  |  |  |  |  |  |  |  |
<36> | M_ME_TF_1 |  |  | B |  | X |  |  |  |  |  |  |  |  |  |  |  |  |  |
<37> | M_IT_TB_1 |  |  | B |  | X |  |  |  |  |  |  |  |  |  | X |  |  |  |
<38> | M_EP_TD_1 |  |  |  |  |  |  |  |  |  |  |  |  |  |  |  |  |  |  |
<39> | M_EP_TE_1 |  |  |  |  |  |  |  |  |  |  |  |  |  |  |  |  |  |  |
<40> | M_EP_TF_1 |  |  |  |  |  |  |  |  |  |  |  |  |  |  |  |  |  |  |
<45> | C_SC_NA_1 |  |  |  |  |  | X | X | X2 | X2 | X |  |  |  |  |  |  |  | X | X
<46> | C_DC_NA_1 |  |  |  |  |  | X | X | X2 | X2 | X |  |  |  |  |  |  |  | X | X
<47> | C_RC_NA_1 |  |  |  |  |  | X | X | X2 | X2 | X |  |  |  |  |  |  |  | X | X
<48> | C_SE_NA_1 |  |  |  |  |  | X | X | X2 | X2 | X |  |  |  |  |  |  |  | X | X
<49> | C_SE_NB_1 |  |  |  |  |  | X | X | X2 | X2 | X |  |  |  |  |  |  |  | X | X
<50> | C_SE_NC_1 |  |  |  |  |  | X | X | X2 | X2 | X |  |  |  |  |  |  |  | X | X
<51> | C_BO_NA_1 |  |  |  |  |  | X | X | X2 | X2 | X |  |  |  |  |  |  |  | X | X
<58> | C_SC_TA_1 |  |  |  |  |  | X | X | X2 | X2 | X |  |  |  |  |  |  |  | X | X
<59> | C_DC_TA_1 |  |  |  |  |  | X | X | X2 | X2 | X |  |  |  |  |  |  |  | X | X
<60> | C_RC_TA_1 |  |  |  |  |  | X | X | X2 | X2 | X |  |  |  |  |  |  |  | X | X
<61> | C_SE_TA_1 |  |  |  |  |  | X | X | X2 | X2 | X |  |  |  |  |  |  |  | X | X
<62> | C_SE_TB_1 |  |  |  |  |  | X | X | X2 | X2 | X |  |  |  |  |  |  |  | X | X
<63> | C_SE_TC_1 |  |  |  |  |  | X | X | X2 | X2 | X |  |  |  |  |  |  |  | X | X
<64> | C_BO_TA_1 |  |  |  |  |  | X | X | X2 | X2 | X |  |  |  |  |  |  |  | X | X
<70> | M_EI_NA_1* |  |  |  | X |  |  |  |  |  |  |  |  |  |  |  |  |  |  |
<100> | C_IC_NA_1 |  |  |  |  |  | X | X | X | X | X |  |  |  |  |  |  |  | X |
<101> | C_CI_NA_1 |  |  |  |  |  | X | X |  |  | X |  |  |  |  |  |  |  | X |
<102> | C_RD_NA_1 |  |  |  |  | X |  |  |  |  |  |  |  |  |  |  |  | X | X | X
<103> | C_CS_NA_1 |  |  |  |  |  | X | X |  |  |  |  |  |  |  |  |  | X | X |
<104> | C_TS_NA_1 |  |  |  |  |  | X | X |  |  |  |  |  |  |  |  |  |  |  |
<105> | C_RP_NA_1 |  |  |  |  |  | X | X |  |  |  |  |  |  |  |  |  | X | X |
<106> | C_CD_NA_1 |  |  |  |  |  |  |  |  |  |  |  |  |  |  |  |  |  |  |
<107> | C_TS_TA_1 |  |  |  |  |  | X | X |  |  |  |  |  |  |  |  |  |  |  |
<110> | P_ME_NA_1 |  |  |  |  |  |  |  |  |  |  |  |  |  |  |  |  |  |  |
<111> | P_ME_NB_1 |  |  |  |  |  |  |  |  |  |  |  |  |  |  |  |  |  |  |
<112> | P_ME_NC_1 |  |  |  |  |  |  |  |  |  |  |  |  |  |  |  |  |  |  |
<113> | P_AC_NA_1 |  |  |  |  |  |  |  |  |  |  |  |  |  |  |  |  |  |  |
<120> | F_FR_NA_1 |  |  |  |  |  |  |  |  |  |  |  |  | X |  |  |  |  | X |
<121> | F_SR_NA_1 |  |  |  |  |  |  |  |  |  |  |  |  | X |  |  |  |  | X |
<122> | F_SC_NA_1 |  |  |  |  | X |  |  |  |  |  |  |  | X |  |  |  | X | X |
<123> | F_LS_NA_1 |  |  |  |  |  |  |  |  |  |  |  |  | X |  |  |  |  | X |
<124> | F_AF_NA_1 |  |  |  |  |  |  |  |  |  |  |  |  | X |  |  |  | X | X |
<125> | F_SG_NA_1 |  |  |  |  |  |  |  |  |  |  |  |  | X |  |  |  |  | X |
<126> | F_DR_TA_1* |  |  | X |  | X |  |  |  |  |  |  |  |  |  |  |  |  |  |

* Blank or X only

1 Optional.

2 Slave confirms deactivations of write command (TI <45> ... <64>) but by deactivated 'Select routing' the corresponding activation is already transferred to execution; COT_actcon and COT_actterm were already sent.

COT | Cause of Transmission |
<0> | not used |
<1> | periodic, cyclic | per/cyc
<2> | background scan | back
<3> | spontaneous | spont
<4> | initialized | init
<5> | request or requested | req
<6> | activation | act
<7> | activation confirmation | actcon
<8> | deactivation | deact
<9> | deactivation confirmation | deactcon
<10> | activation termination | actterm
<11> | return information caused by a remote command | retrem
<12> | return information caused by a local command | retloc
<13> | file transfer | file
<14...19> | reserved |
<20> | interrogated by station interrogation | inrogen
<21...36> | interrogated by interrogation of the group 1..16 | inro1..16
<37> | requested by general counter request | reqcogen
<38...41> | requested by counter interrogation of the group 1 ... 4 | reqco1..4
<42, 43> | reserved |
<44> | unknown type identification |
<45> | unknown cause of transmission |
<46> | unknown common address of ASDU |
<47> | unknown information object address |
<48, 63> | for special use (private range) |

6. Basic application functions

Station initialization

(station-specific parameter, mark 'X' if function is used)

[ ] Remote initialization

Cyclic data transmission

(station-specific parameter, mark ' X ' if function is only used in the standard direction, ' R ' if only used in the reverse direction, and ' B ' if used in both directions)

[ X ] Cyclic data transmission

Read procedure

(station-specific parameter, mark ' X ' if function is only used in the standard direction, ' R ' if only used in the reverse direction, and ' B ' if used in both directions)

[ X ] Read procedure

Spontaneous transmission

(station-specific parameter, mark ' X ' if function is only used in the standard direction, ' R ' if only used in the reverse direction, and ' B ' if used in both directions)

[ B ] Spontaneous transmission

Double transmission of information objects with cause of transmission spontaneous

(station-specific parameter, mark each information type ' X ' where both a Type ID without time and corresponding Type ID with time are issued in response to a single spontaneous change of a monitored object)

The following type identifications may be transmitted in succession caused by a single status change of an information object. The particular information object addresses for which double transmission is enabled are defined in a project-specific list.

[ ] Single-point information M_SP_NA_1, M_SP_TA_1, M_SP_TB_1 and M_PS_NA_1
[ ] Double-point information M_DP_NA_1, M_DP_TA_1 and M_DP_TB_1
[ ] Step position information M_ST_NA_1, M_ST_TA_1 and M_ST_TB_1
[ ] Bitstring of 32 bit M_BO_NA_1, M_BO_TA_1 and M_BO_TB_1 (if defined for a specific project)
[ ] Measured value, normalized value M_ME_NA_1, M_ME_TA_1, M_ME_ND_1 and M_ME_TD_1
[ ] Measured value, scaled value M_ME_NB_1, M_ME_TB_1 and M_ME_TE_1
[ ] Measured value, short floating point number M_ME_NC_1, M_ME_TC_1 and M_ME_TF_1

Station interrogation

(station-specific parameter, mark ' X ' if function is only used in the standard direction, ' R ' if only used in the reverse direction, and ' B ' if used in both directions).

[ X ] global |  |
[ ] group 1 | [ ] group 7 | [ ] group 13
[ ] group 2 | [ ] group 8 | [ ] group 14
[ ] group 3 | [ ] group 9 | [ ] group 15
[ ] group 4 | [ ] group 10 | [ ] group 16
[ ] group 5 | [ ] group 11 | Information object addresses assigned to each group must be shown in a separate table.
[ ] group 6 | [ ] group 12

Clock synchronization

(station-specific parameter, mark ' X ' if function is only used in the standard direction, ' R ' if only used in the reverse direction, and ' B ' if used in both directions).

[ X ] Clock synchronization

[ ] Day of week used
[ ] RES1, GEN (time tag substituted/ not substituted) used
[ B ] SU-bit (summertime) used

optional, see 7.6

Command transmission

(station-specific parameter, mark ' X ' if function is only used in the standard direction, ' R ' if only used in the reverse direction, and ' B ' if used in both directions).

[ X ] Direct command transmission
[ X ] Direct set point command transmission
[ X ] Select and execute command
[ X ] Select and execute set point command
[ X ] C_SE ACTTERM used

[ X ] No additional definition
[ X ] Short-pulse duration (duration determined by a system parameter in the outstation)
[ X ] Long-pulse duration (duration determined by a system parameter in the outstation)
[ X ] Persistent output

[ setting ] Supervision of maximum delay in command direction of commands and set point commands
[ no limit ] Maximum allowable delay of commands and set point commands

Transmission of integrated totals

(station-specific parameter, mark ' X ' if function is only used in the standard direction, ' R ' if only used in the reverse direction, and ' B ' if used in both directions).

[ X ] Mode A: Local freeze with spontaneous transmission
[ X ] Mode B: Local freeze with counter interrogation
[ X ] Mode C: Freeze and transmit by counter-interrogation commands
[ X ] Mode D: Freeze by counter-interrogation command, frozen values reported spontaneously

[ X ] Counter read
[ X ] Counter freeze without reset
[ ] Counter freeze with reset
[ ] Counter reset

[ X ] General request counter
[ ] Request counter group 1
[ ] Request counter group 2
[ ] Request counter group 3
[ ] Request counter group 4

Parameter loading

(station-specific parameter, mark ' X ' if function is only used in the standard direction, ' R ' if only used in the reverse direction, and ' B ' if used in both directions).

[ ] Threshold value
[ ] Smoothing factor
[ ] Low limit for transmission of measured values
[ ] High limit for transmission of measured values

Parameter activation

(station-specific parameter, mark ' X ' if function is only used in the standard direction, ' R ' if only used in the reverse direction, and ' B ' if used in both directions).

[ ] Act/deact of persistent cyclic or periodic transmission of the addressed object

Test procedure

(station-specific parameter, mark ' X ' if function is only used in the standard direction, ' R ' if only used in the reverse direction, and ' B ' if used in both directions).

[ X ] Test procedure

File transfer

(station-specific parameter, mark 'X' if function is used).
File transfer in monitor direction

[ X*] Transparent file
[ ] Transmission of disturbance data of protection equipment
[ X ] Transmission of sequences of events
[ ] Transmission of sequences of recorded analogue values

* a data can be transparently transported by the system but not generated or evaluated. Maximum file size is 16711680 bytes.

File transfer in control direction

[ X ] Transparent file

Background scan

(station-specific parameter, mark ' X ' if function is only used in the standard direction, ' R ' if only used in the reverse direction, and ' B ' if used in both directions).

[ X ] Background scan

Acquisition of transmission delay

(station-specific parameter, mark ' X ' if function is only used in the standard direction, ' R ' if only used in the reverse direction, and ' B ' if used in both directions).

[ ] Acquisition of transmission delay

Definition of time outs: 104 only

Parameter | Default value | Remarks | Selected value
t0 | 30 s | Time-out of connection establishment | setting
t1 | 15 s | Time-out of send or test APDUs | setting
t2 | 10 s | Time-out for acknowledges in case of no data messages; t2 < t1 | setting
t3 | 20 s | Time-out for sending test frames in case of a long idle state; t3 > t1 | setting

Recommended range for timeouts t0 - t2 : 1s to 255s, accuracy 1s

Recommended range for timeout t3 : 0s to 48hrs, accuracy 1s
Long timeouts for t3 may be needed in special cases where satellite links or dialup connections are used (e.g. to establish connection and collect values only once per day or week). For dialup connections it may be necessary to give up the connection supervision completely. This is achievable by setting the timeout t3 to zero.

Maximum number of outstanding I format APDUs k and latest acknowledge APDUs (w): 104 only

Parameter | Default value | Remarks | Selected value
k | 12 APDUs | Maximum difference receive sequence number to send state variable | setting
w | 8 APDUs | Latest acknowledge after receiving w I format APDUs | setting

Recommended range of values k: 1 to 32767 APDUs, accuracy 1 APDU

Recommended range of values w: 1 to 32767 APDUs, accuracy 1 APDU (Recommendation: w should not exceed two-thirds of k)

Portnumber: 104 only

Parameter | Default value | Remarks
Portnumber | 2404 | setting

Redundant connections

[ ] Number N of redundancy group connections used

RFC 2200 suite

RFC 2200 is an official Internet Standard which describes the state of standardization of protocols used in the Internet as determined by the Internet Architecture Board (IAB). It offers a broad spectrum of actual standards used in the Internet. The suitable selection of documents from RFC 2200 defined in this standard for given projects has to be chosen by the user of this standard.

[ ] Ethernet 802.3
[ ] Serial X.21 interface
[ ] Other selection from RFC 2200:

List of valid documents from RFC 2200
1. ..........................................................................
2. ..........................................................................
3. ..........................................................................
4. ..........................................................................
5. ..........................................................................
6. ..........................................................................
7. etc.


MODBUS Slave

Manuel -> Process Gateway -> MODBUS Slave

Process Gateway for Modbus Slave supports:

  • Function Code 3:
    Read Multiple Registers
  • Function Code 16:
    Write Multiple Registers

Autres sujets abordés dans ce chapitre

Module configuration

Hardware address of the MODBUS system

Configuration file: specific entries for AccessMODBUS


Module configuration

Manuel -> Process Gateway -> MODBUS Slave -> Module configuration

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Clicking on the Settings button in the start dialog for the Process Gateway opens the dialog for selecting the variables. The variables selected in this way are continuously synchronized in zenon or in the MODBUS system.

Variables

Parameters

Description

Variables

Selection of variables that are exported to MODBUS and synchronized with zenon.

Available in Scada

Displays all variables available in zenon

With multi-project administration, variables from active projects can be selected.

  • Projects: shows all available projects; the standard project is marker with a *
  • Variables: offers all variables from the selected project to be transferred

Exported into MODBUS

Lists all variables exported to MODBUS and their offset. List can be sorted by clicking on headings.

  • Variables:
    List of all SCADA variables that are exported to the MODBUS.

    Variables that do not come from the standard project receive the project name as a prefix, separated by a # in front of the variable name.
  • Offset:
    Offset of the variable (MODBUS holding register offset)

Pfeiltasten

Allocation of the variables to MODBUS:

  • Clicking on the > button adds variables from the Available in Scada list to the Exported into MODBUS list. A dialog to allocate the address is opened (see Allocation dialog section).
  • Clicking on the < button removes variables from the Exported into MODBUS list and inserts them back into the Available in Scada list.

MODBUS Connection

MODBUS Connection

MODBUS connection settings.

Slave Adress

Modbus hardware address.

Default: 1

Serial

Active: Serial connection is used.

  • Port: Serial interface that is used for access to the MODBUS system.
  • Stop bits: number of stop bits.
    Default: 1
  • Parity: Parity setting:
    No (default)
    Odd
    Even
  • Data bit: number of data bits.
    Default: 8
  • Baud rate: baud rate of the serial interface.
    Default: 9600

TCP/IP

Active: TCP/IP connection is used.

  • Port: Port address for the connection.
  • Timeout: Waiting period.

OK

Applique les paramètres et ferme la boîte de dialogue.

Cancel

Discards all changes and closes the dialog.

Note:

  • Change of name of project or variables in the Editor:
    If a project name or a variable name is changed in the Editor, this change must subsequently be carried out in the configuration file, so that the name in the INI file and in the prefix of the Exported into MODBUS are amended accordingly.
  • Change to standard project:
    If the standard project is changed in multi-project administration, the variables must be amended.
    Variables of the standard project must not have a prefix. All other variables need a Projectname# prefix.

Allocation dialog

If a variable is moved to the Exported into MODBUS list via clicking the button >, a dialog for the name assignment of the zenon variable to an offset in MODBUS opens:

Parameters | Description
Name | Name of the variable. Note: The name of the variable is grayed out, because it can no longer be changed.
Offset | Offset: MODBUS holding register offset. Offset of the variable in MODBUS Attention: 0 is always entered as the offset by default.
OK | Applique les paramètres et ferme la boîte de dialogue.
Cancel | Discards all changes and closes the dialog.


Hardware address of the MODBUS system

Manuel -> Process Gateway -> MODBUS Slave -> Hardware address of the MODBUS system

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

The MODBUS system of the Process Gateway has a MODBUS hardware address that can be defined. This is set in the configuration dialog with the Slave Adress property. The address 1 is given as standard.


Configuration file: specific entries for AccessMODBUS

Manuel -> Process Gateway -> MODBUS Slave -> Configuration file: specific entries for AccessMODBUS

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

The configuration file zenProcGateway.ini contains specific entries for MODBUS. The file must be in the system folder.

[MODBUS]

Entrée | Description
COMPORT= | port de communication série (COM1=0, COM2=1, ...). Peut être défini dans la boîte de dialogue de configuration.
BAUD= | Vitesse de l'interface série. Peut être défini dans la boîte de dialogue de configuration.
BYTESIZE= | Nombre de bits de données de l'interface série
PARITY= | Paramètres de parité du port de communication série : 0=Non 1=Impair 2=Pair Peut être défini dans la boîte de dialogue de configuration.
STOPBITS= | Nombre de bits d'arrêt de l'interface série. 0=1 1=1,5 2=2 Peut être défini dans la boîte de dialogue de configuration.
TIMEOUT= | timeout pour l'interface série en millisecondes
HWADDRESS= | Adresse matérielle du système Modbus. Par défaut : 1 Peut être défini dans la boîte de dialogue de configuration.
REFRESHRATE= | Période de rafraichissement, en ms
SERIELL= | Communications série ou TCP/IP : 1 = Série 0 = TCP/IP Peut être défini dans la boîte de dialogue de configuration.
PORT= | port TCP/IP
TCPTIMEOUT= | timeout pour la communication TCP/IP en secondes

[MODBUS VARIABLES]

Variables à remplacer dans AccessMODBUS.

Remarque : Cette entrée remplace l'entrée [VARIABLES] originale à partir de zenon 7.11. Ceci évite le remplacement inutile des variables issues du projet standard dans la mémoire partagée à l'aide de la connexion entre Logic et SCADA.

Entrée

Description

COUNT

Nombre de variables à exporter

OFFSET_n

Adresse Modbus attribuée au numéro correspondant (n). La numérotation commence par zéro (0).

NAME_n

Nom de la variable attribuée au numéro correspondant (n). La numérotation commence par zéro (0).

Exemples :

  • OFFSET_0=0
    NAME_0=EMS_Supply area 1_forecast_final_consumption
    Variable du projet de démarrage
  • OFFSET_1=2
    NAME_1=BASISTUTORIAL#Temperaturfühler
    Variable issue du projet BASISTUTORIAL


MS Azure

Manuel -> Process Gateway -> MS Azure

AccessAzure.dll écrit les valeurs des variables du Runtime dans une Queue ou un Event Hub du bus de service MS Azure Service Bus. Les données issues de la Queue peuvent ensuite être obtenues du driver AzureDrv de MS Azure, puis être intégrées aux processus de zenon. Les données issues d'un Event Hub sont destinées aux applications tierces et ne peuvent plus être lues par zenon.

Le module Process Gateway établit cycliquement une connexion à MS Azure et écrit des messages dans la Servicebus Queue ou l'Event Hub.

Pour lire valeurs issues de la Servicebus Queue, le driver AzureDrv établit une connexion à la Service Bus Queue avec le nom configuré et lit tous les messages reçus de celle-ci. Ces messages sont décompressés et les valeurs en ligne qu'ils contiennent sont attribuées aux variables. La clé de cette opération est l'Adresse symbolique.
Tous les messages déjà présents dans la file d'attente lors du premier établissement réussi de la connexion sont chargés, puis effacés. Dans tous les cas, seules les valeurs actuelles sont affichées.

Ceci signifie : Chaque instance de driver sur chaque ordinateur possède sa propre file d'attente (Queue) en tant que signal d'entrée.
Exemple : La Servicebus Queue pour l'ordinateur MYSERVER1 et le préfixe onlinedata configuré sont appelés comme ceci dans Microsoft Azure : onlinedata_myserver1.

Les valeurs numériques (DOUBLE) et alphanumériques (STRING) sont prises en charge. Les informations d'horodatage et les bits d'état du système sont transférés vers la variable cible.

You can also find general information on MS Azure in the MS Azure manual.

Autres sujets abordés dans ce chapitre

Configuration du module

Message formats

Error message

Configuration file: specific entries for MS Azure


Configuration du module

Manuel -> Process Gateway -> MS Azure -> Configuration du module

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Boîte de dialogue de configuration de la connexion Microsoft Azure via Process Gateway.

Variables

Dans le groupe Variables, vous configurez les variables dont les valeurs sont enregistrées par zenon dans un bus de service MS Azure (MS Azure Service Bus.

Paramètre

Description

Available in Scada

Affiche toutes les variables disponibles dans zenon.

Les variables issues de projets actifs peuvent être sélectionnées dans le cadre de la gestion multi-projets.

Projects

Liste de tous les projets disponibles.
Le projet standard est identifié par un *.

Variables

Liste de toutes les variables du projet sélectionné.

La liste peut être triée, et une sélection multiple est possible.

Conseil : Double-cliquez sur une variable pour la déplacer.

Bouton >

Les variables sélectionnées dans la liste de variables sont déplacées vers la liste Exported into MS Azure .

Bouton <

Les variables sélectionnées sont retirées de la liste Exported into MS Azure.

Exported into MS Azure

Liste des variables écrites par Process Gateway dans la file d'attente du bus de service de Microsoft Azure (MS Azure Service Bus).

Dénomination :

  • Nom du projet
  • # (en guise de séparateur)
  • Nom de la variable.

La clé des valeurs dans Microsoft Azure est toujours PROJECTNAME#VARIABLENAME.

Conseil : Double-cliquez sur une variable pour la déplacer.

Connexions Microsoft Azure

Toutes les connexions cible dans lesquelles les valeurs actuelles de la variable sélectionnée doivent être insérées dans Microsoft Azure doivent être saisies dans le groupe MS Azure Connections.

Toutes les valeurs de variables actuelles sont alors simultanément ajoutées à la connexion créée dans Tous.

Paramètre

Description

Liste de connexions Microsoft Azure

Affiche la liste de toutes les connexions configurées à Microsoft Azure. Chaque connexion comprend le nom de la connexion (MS Azure Connection) et le Service Bus Queue Namen.

  • Pour créer une nouvelle connexion, cliquez sur le bouton New....
  • Une connexion sélectionnée peut être modifiée en cliquant sur le bouton Edit....

Connexion à Microsoft Azure Connection

Adresse de la connexion MS Azure.

Nom de la file d'attente du bus de service

Nom de la file d'attente dans le bus de service de Microsoft Azure.

New...

Ouvre la boîte de dialogue de configuration de la connexion MS Azure.

Edit...

Ouvre les connexions existantes pour vous permettre de configurer la connexion à Microsoft Azure (MS Azure).

Delete

Supprime la connexion MS Azure sélectionnée de la liste.

Paramètres de Microsoft Azure

Paramètre

Description

Integrity period

Intervalle de temps durant lequel les valeurs actuelles des variables sélectionnées sont écrites sous forme d'image dans la file d'attente du bus de service de Microsoft Azure (MS Azure Service Bus).

Si la valeur d'une variable change pendant cette période, le changement de valeur est immédiatement transféré vers la file d'attente de MS Azure.
Par défaut : 5 s

HTTP Proxy Domain

Adresse du serveur proxy sur le réseau.

HTTP Proxy User

Champ de saisie du nom d'utilisateur de connexion au serveur proxy.

HTTP Proxy Password

Champ de saisie du mot de passe de connexion au serveur proxy.
Remarque : La saisie est affichée sous forme de points (même pendant la saisie).

Confirm HTTP Proxy Password

Champ de saisie de confirmation du mot de passe de connexion au serveur proxy.

Remarque : La saisie est affichée sous forme de points (même pendant la saisie).

Navigation

Paramètre | Description
OK | Applique les paramètres et ferme la boîte de dialogue.
Cancel | Annule toutes les modifications et ferme la boîte de dialogue.

Boîte de dialogue en cas de saisie de valeurs erronées

Les configurations du serveur proxy sont validées. Une boîte de dialogue d'avertissement est affichée en cas de configuration incorrecte.

attention Attention

.NET Framework 4.5 doit être installé sur l'ordinateur pour que la configuration du serveur proxy fonctionne.

Autres sujets abordés dans ce chapitre

Paramètres de la connexion à Microsoft Azure


Paramètres de la connexion à Microsoft Azure

Manuel -> Process Gateway -> MS Azure -> Configuration du module -> Paramètres de la connexion à Microsoft Azure

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Boîte de dialogue de configuration de la connexion à Microsoft Azure (MS Azure) :

Paramètre

Description

MS Azure Connection

Adresse de la connexion MS Azure.

Remarque : Vous pouvez lire et copier cette adresse dans le portail d'administration d'Azure, dans la section Manage Connection Strings de l'Servicebus Namespace concerné.

Service Bus Queue / Event Hub Name

Nom de la file d'attente ou du Event Hub du MS Azure Service Bus. La sélection de l'attribution s'effectue au moyen des cases d'option.

Remarque : Seuls les caractères qui apparaissent dans le nom d'une MS Azure Service Bus Queue ou dans un Event Hub sont autorisés. Utilisez des noms simples, courts et évocateurs. Évitez les caractères spéciaux, les lettres spécifiques à une langue et les espaces.

Service Bus Queue

Le nom de la Service Bus Queue comprend :

  • Le préfixe librement configurable
  • Un tiret bas (_)
  • Le nom NETBIOS de l'ordinateur (sans suffixe de nom de domaine) en caractères minuscules

Si le nom n'existe pas encore dans l'Namespace, une Queue possédant ce nom est créée.
Éléments requis : Les droits correspondants sont présents.

Event Hub

  • Format des messages : Dans la liste déroulante, sélectionnez l'option Format.
  • Event Hub Name: Noms des Event Hubs dans le MS Azure Service Bus
    Le Event Hub doit déjà avoir été créé avec ce nom dans l'Namespace.

Queue
  • Active : La connexion est établie avec le nom du Service Bus Queue.

Event Hub
  • Active : La connexion est établie avec le nom du Event Hub. Sélection du format de message avec l'option Format.

IoT Hub
  • Active : Envoi des valeurs réelles et réception des messages via MS Azure.
    Saisie de la chaîne de connexion à l'appareil dans le champ de saisie de MS Azure Connectionfield.

Format

Format de message d'établissement de la connexion via le Event Hub.
Sélectionnez dans la liste déroulante :

  • XML
  • JSON
  • BOND (compact binary)

OK

Applique les paramètres et ferme la boîte de dialogue.

Cancel

Annule toutes les modifications et ferme la boîte de dialogue.

info Informations

Le Service Bus Queue Name peut être librement configuré.
Cette file d'attente est créée automatiquement dans Microsoft Azure pendant la première communication avec Microsoft Azure.

Pour chaque ordinateur appelant des données depuis MS Azure, utilisez le driver AzureDrv pour créer une MS Azure Connection distincte.

Hub IoT

Les valeurs réelles sont transmises au IoT Hub sous forme de message. Les messages reçus par le IoT Hub sont décodés et écrits dans la valeur contenue sous forme de valeur prescrite.

Contenu de la configuration IoT

VarName | String | Nom de la variable
IsString | BOOL | Valeur de la chaîne réelle.
NumValue | Nombre | Valeur numérique
StrValue | Chaîne | Valeur de la chaîne
Time | Horodatage ISO | Horodatage
Status | Nombre | État

Exemple de saisie de connexion à MS Azure :

{"IsString":true,"NumValue":0,"Status":1078067200,"StrValue":"sunshine","Time":"2016-12-16T06:45:39.851Z","VarName":"AZURE_TEST#Weather"}]


Message formats

Manuel -> Process Gateway -> MS Azure -> Message formats

Service Bus Queue

The messages in the Queue must have a serialized .NET class OnlineValueMessage.

Format:

public class OnlineValueMessage

{

public string strVarProject { get; set; }

public string strVarName { get; set; }

public long nVarID { get; set; }

public double fValue { get; set; }

public string strValue { get; set; }

public bool bValueIsString { get; set; }

public long nTime_s { get; set; }

public short nTime_milli { get; set; }

public long nStatus { get; set; }

}

Event Hub

When using the Event Hub as a connection, it is possible to choose between XML, JSON and BOND (compact binary) as a message format. Partition-Key is the zenon variable name.

Format BOND

namespace AzureServiceBusShared

struct ArchiveMessage

{

0: string strArvProject;

1: string strArvName;

2: string strVarProject;

3: string strVarName;

4: int64 nVarID;

5: int16 nCalc;

6: double fValue;

7: string strValue;

8: bool bValueIsString;

9: int64 nTime_s;

10: int16 nTime_milli;

11: int64 nStatus;

}

struct OnlineValueMessage

{

0: string strVarProject;

1: string strVarName;

2: int64 nVarID;

3: double fValue;

4: string strValue;

5: bool bValueIsString;

6: int64 nTime_s;

7: int16 nTime_milli;

8: int64 nStatus;

}


Error message

Manuel -> Process Gateway -> MS Azure -> Error message

Error message in the LOG file:

Error message | Debug Level | Description
Project %s inactive fail! | Error | The project-inactive event could not be processed by the Gateway in the given time.
Project %s active fail! | Error | The project-active event could not be processed by the Gateway in the given time.
Value change queue full: Value change for id:%u of project:%s lost! | Error | The queue for the value changes from Runtime is full. Additional values are discarded. The connection to Azure is probably too slow in order to forward all value changes.
Adding of %d Online Rows failed for '%s' Queue '%s | Error | The insertion of value changes into the service bus queue was unsuccessful.
Adding of %d Online Rows succeeded for '%s' Queue '%s' | Deep Debug | The insertion of value changes into the service bus queue was successful.
Starting to add Online Rows failed for '%s' Queue '%s' | Error | The establishment of the a connection to the service bus queue was unsuccessful.
Creating Azure Wrapper failed | Error | The ManagedAzureWrapper.dll could not be loaded.

IoT

Parameter | Description | Description
Sending value to '%s' failed | Error | The writing of the set value has failed
IoTHubMessage_GetByteArray() failed | Error | The SDK API call has failed.
Received message from IoT Hub | Deep Debug | Message from IoT hub received.
Exception when deserializing payload: %s | Error | Received message is in the wrong format
IoTHubClient_CreateFromConnectionString() failed | Error | The SDK API call has failed.
IoTHubClient_SetMessageCallback() failed | Error | The SDK API call has failed.
IoTHubMessage_CreateFromByteArray() failed | Error | The SDK API call has failed.
Sent message to IoT Hub | Deep Debug | The message was sent.


Configuration file: specific entries for MS Azure

Manuel -> Process Gateway -> MS Azure -> Configuration file: specific entries for MS Azure

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

The configuration file zenProcGateway.ini contains this entries for MS Azure.

[Azure]

Entrée | Description
INTEGRITYPERIOD= | Intervale du cycle d'écritures, en secondes.
PROXY_DOMAIN= | Adresse du serveur proxy.
PROXY_USER= | Nom d'utilisateur de connexion au serveur proxy.
PROXY_PWD= | mot de passe de connexion au serveur proxy. Remarque : Le mot de passe est également indiqué sous forme cryptée dans le fichier. INI.

Remarque : .NET Framework 4.5 doit être installé sur l'ordinateur pour que la configuration du serveur proxy fonctionne.

[VARIABLES]

Entrée

Description

Name_n=

Nom de la variable pour Process Gateway.
Format : SOURCEPROJECT#SOURCEVARIABLE.

Numérotation (n) :

n Commence par le numéro de série de la configuration de la connexion.

La numérotation commence par zéro (0).

Exemple :

  • 1 variable génère n = 0
  • 3 variables génèrent, pour la troisième entrée, n = 2

Count=

Nombre de variables.

Remarque : La numérotation commence ici par 1. Huit connexions génèrent Count=8.

[CONNECTIONS]

Entrée

Description

CONN_n=

Nom de la connexion MS Azure.

Numérotation (n) :

n Commence par le numéro de série de la configuration de la connexion.

La numérotation commence par zéro (0).

Exemple :

  • 1 connexion génère n = 0
  • 3 connexions génèrent, pour la troisième entrée, n = 2

QUEUE_n=

Nom de la file d'attente MS Azure.

Pour la numérotation (_n), les mêmes règles s'appliquent que pour CONN

COUNT=

Numéro de la connexion MS Azure configurée.

Remarque : La numérotation commence ici par 1. Deux connexions génèrent Count=2.


OPC UA Server

Manuel -> Process Gateway -> OPC UA Server

The OPC UA Server provides the variables used in the project to all standard-compliant OPC UA Client tools.

info Informations

The OPC UA server can be used for all zenon versions from 5.50.

The predecessor to the OPC UA servers is the OPC DA server. This is not part of the Process Gateway.

The OPC UA driver and all dialogs are only available in English.

Multi-Project capability

The OPC UA server is multi-project compatible from zenon 7.11 onwards. Variable from the Runtime project and all its subprojects can be selected. In doing so, the object name from the variable name and the project name are combined. Configurations for OPC UA clients that were created before zenon 7.11 are thus not compatible. These must be amended when using zenon 7.11 or higher.

From version 7.60, the NodeIDs change if variables are not explicitly defined in the configuration. The data type of the NodeID is string. The NodeID always consists of the project GUID and the variable ID. If variables have been explicitly configured, this change has no effect.

Example Exemple

NodeID: "6d5ea886-1b04-4d9c-aa35-2b5664c500cd-38d"; the following is applicable in the process: "6d5ea886-1b04-4d9c-aa35-2b5664c500cd" is the Identifiant du projet and "38d" corresponds to the variable ID 909.

From version 7.60, the NameSpace Index is "2" by default, instead of "80", for new configurations. The NameSpace Index can no longer be configured in the user interface. This change has no effect for existing configurations.

The earlier action can be activated again by means of the "configuration_version=1" entry in the INI file. This can, for example, make sense for a NameSpace Index with 80 or for a configurable NameSpace Index.

Autres sujets abordés dans ce chapitre

Comparaison du serveur OPC et du serveur OPC UA

Module configuration

Getting started

Connection

Security

Alarms and Conditions

Service Sets

Communication

Configuration file: INI entries for OPC UA

Error message

Status mapping


Comparaison du serveur OPC et du serveur OPC UA

Manuel -> Process Gateway -> OPC UA Server -> Comparaison du serveur OPC et du serveur OPC UA

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Le système de serveur OPC UA a remplacé le serveur OPC. Nous vous recommandons d'utiliser un serveur OPC UA pour la plupart de vos applications.

Serveur OPC

  • OPC Task Force existe depuis 1995
  • Interface uniforme pour les systèmes d'automation
  • Repose sur la technologie COM/DCOM de Microsoft
  • La fondation OPC existe depuis 1996
  • Plusieurs spécifications pour différentes applications

OPC UA Server

Comparaison du serveur OPC et du serveur OPC UA

Paramètres | Serveur OPC | OPC UA Server
Modèle de données | Limité | Pour toutes les applications
Mise en œuvre | Dépendante des fabricants | Indépendante des fabricants
Interopérabilité | -- | X
Configuration | Fastidieuse | Simple
Plusieurs instances | -- | X
Utilisation en réseau | -- | X
Technologie de réseau | -- | Protocole binaire TCP OPC UA
Performances | faibles | élevées
Plates-formes | Windows uniquement | Indépendant
Ressources requises | élevées | moindres
Architecture orientée services | -- | X
Sécurité | Obsolète | Conforme aux normes actuelles
Sécurité de la connexion | -- | X
Windows CE | -- | X

Légende :

  • X : Pris en charge
  • -- : Indisponible


Module configuration

Manuel -> Process Gateway -> OPC UA Server -> Module configuration

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

To configure the server and variables for OPC UA:

  1. In the Process Gateway statistics dialog, click the Configuration button.
    The dialog for the configuration of the OPC UA module is opened.
  2. In the module configuration dialog, you configure:
    • Server
      Connection parameters to the OPC UA server
    • Variables
      Variable assignment

Autres sujets abordés dans ce chapitre

Server

Variables


Server

Manuel -> Process Gateway -> OPC UA Server -> Module configuration -> Server

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

You configure connection parameters to an OPC UA server in the Server tab.

Connection

Communication parameters to the OPC/OPC UA server.

Parameters | Description
Name | Name of the server as it is shown on the client. Default: zenon OPC UA Process Gateway
Port | TCP port via which the client establishes the connection to the OPC UA server. Default: 4841

Security

Settings and assignment of certificates for secure and encrypted communication.

Parameters

Description

Certificates path

Path for the root folder with the certificate files and the respective subfolders.

Click on the ... button to open the file selection dialog

Default: %ProgramData%\PKI\CA\

Note: If this root folder is changed, the paths for Server certificate path and Server private key path must also be amended.

Server certificate path

File with the public key of the server. This public key is used by the client for the encryption of messages.

Click on the ... button to open the file selection dialog Files with the following file type are shown for selection:

  • Format: DER
  • Suffix: .der

Default: %ProgramData%\PKI\CA\certs\zenopcua.der

Note: This path must be a subfolder of the configured Certificates path. In the event of an error, a warning dialog is visualized and the OK button is grayed out.

Server private key path

File with the private key of the server. This private key is used by the server to decrypt the messages from the client.

Click on the ... button to open the file selection dialog Files with the following file type are shown for selection:

  • Format: PEM
  • No password

Default: %ProgramData%\PKI\CA\private\zenopcua.pem

Note: This path must be a subfolder of the configured Certificates path. In the event of an error, a warning dialog is visualized and the OK button is grayed out.

Accept secure connections only

Checkbox to be ticked if only one secure connection can be used to establish the connection.

  • Active:
    Establishment of a connection is only accepted with a secure connection. Securing is carried out each time with a signature or with a signature and encryption.
  • Inactive:
    Establishment of a connection is only accepted with a secure connection.

The following are considered a secure connection:

  • Basic128Rsa15:
    RSA15 as key wrap algorithm and
    128-bit basic as algorithm for the message encryption
  • Basic256:
    256-bit basic as algorithm for message encryption

Default: Inactive

Note: for connections with a signature, the packages are secured against tampering, but the contents of the package are not encrypted.

Trust all client certificates

Checkbox to select whether all client certificates are accepted for the establishment of a connection or only client certificates known on the server.

  • Active:
    All client certificates are accepted and the connection is made.
  • Inactive:
    All clients that want to connect with the server must send a valid certificate. This certificate is also checked to see if it is in the list of known client certificates Certificate trust list path.

Default: active

Note: An OPC UA client without a secure connection does not send a certificate. For an OPC UA client with a secure connection, the certificate must always be stored in the Trust List folder.

Use SCADA user authentication

Checkbox to configure the connection.
If there is no user administration configured in the zenon project, this checkbox is grayed out.

  • Active:
    Clients can only log on to the server with a valid user ID and password.
    Note: To do this, the user administration must be activated and configured in zenon Editor.
  • Inactive:
    Anonymous login is possible.

Attention: The user name and password are not transferred in encrypted form in the OPC UA telegram. If necessary, use your own users in the project without assigned authorization levels.

Historical data

Archive for historical data

Archive for historical data. Selection of the archive from a drop-down list. Only one individual archive from one of the projects can be selected in Runtime.

The archive must have already been configured in the zenon project.

Close dialog

OK | Applique toutes les modifications effectuées sur tous les onglets, puis ferme la boîte de dialogue. Attention: All active connections are ended and the server is restarted with the new settings. Connection errors may occur in the process.
Cancel | Annule toutes les modifications effectuées sur tous les onglets, puis ferme la boîte de dialogue.
Help | Ouvre l'aide en ligne.

Error message

Error messages are displayed in red font. In doing so, not all errors are shown together. The first error of the configuration is shown each time. It is therefore possible that a new error message is shown after a correction has been made.

Autres sujets abordés dans ce chapitre

Certificates

Generate new certificate


Certificates

Manuel -> Process Gateway -> OPC UA Server -> Module configuration -> Server -> Certificates

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

All certificates must correspond to the format X509.

Certificate store

The OPC UA server in the process gateway uses an OpenSSL Directory certificate store.

Server certificate

The server certificate created on initial startup is a self-signed certificate. The certificate contains a public key. In addition, a suitable private RSA key (1024 bit) is generated.

Although the OPC UA can in principle run with the self-created certificate, it is recommended that a corresponding certificate is created for productive operation. To do this, the self-created certificate can serve as a template for applications that allows creation of the certificates according to user criteria.

Attention: The file name zenopcua.der is used by both the OPC UA server as well as the OPCUA32 client driver. If encrypted communication between the OPCUA32 client driver and OPC UA server in the Process Gateway is configured for tests on the same computer, it is best that the certificate for the OPCUA32 client driver is renamed before the certificate is copied to the trust list by the OPCUA server.

As a URI in the SubjectAltName field, the certificate gets the Full Qualitfied Domainname (FQN) of the computer, the default port number 4841 from the OPC UA server and a DNS entry with the computer name. The URI of the OPCUA servers is compiled dynamically and changes if, for example, the port number is changed. The server certificate is not changed in this case. A client that carries out a strict check of the server certificate can then reject the server certificate. It can also be necessary to create your own certificate where SubjectAltname also contains an entry for the IP address in addition to the DNS entry.

Certificate Trust List/Certificate Trust Chain

All certificates with the suffix .der are checked by the OPC UA server and classed as a trustworthy certificate. As an alternative to the self-designated Application Instance certificate of an OPC UA clients, the public root certificate of the Certificate Authority that was used to sign an Application Instance certificate of an OPC UA client can also be stored. The Application Instance certificate of the client does not need to be present on the server in this case.

Certificate Revocation List

If an OPC UA client uses an Application Instance certificate that is signed by a Certificate Authority, the Certificate Revocation List is also checked by the server in addition to the certificate. The OPC UA server checks all files with the suffix .crl in the Crl subfolder.
Attention: The .crl file must be stored in PEM format. Only one single .crl file can be present per Certificate Authority.

The connection is denied if:

  • The client certificate is included in the Revocationlist BadCertificateRevoked
  • The CRL is no longer current (BadCertificateTimeInvalid)

If, for a certificate that was signed by a Certificate Authority, there is no Certificate Revocation List present, it is assumed that there is no such Revocation List. In this case, the certificate is treated as trustworthy.


Generate new certificate

Manuel -> Process Gateway -> OPC UA Server -> Module configuration -> Server -> Generate new certificate

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

If necessary, new certificates can be generated when the OPC UA server is started.
To do this:

  1. Remove the existing certificates.
    There are two possibilities for doing so:
    1. Delete the following folder: %programdata%\COPA-DATA\system\PKI.
      In doing so, all trusted certificates and certificate revocation lists are removed.
      Or:
    2. Delete the following files in order to get all other certificates and lists:

      zenopcua.der in the folder %programdata%\COPA-DATA\system\PKI\CA\certs

      zenopcua.pem in the folder %programdata%\COPA-DATA\system\PKI\CA\private

      zenopcua.crl in the folder %programdata%\COPA-DATA\system\PKI\CA\crl

  2. Open the zenprocgateway.ini configuration file.
  3. Navigate to the section [OPCUA].
  4. Remove the following entries:
    • CERTIFICATES_PATH=
    • SERVER_CERTIFICATE_LOCATION=
    • SERVER_PRIVATE_KEY_LOCATION=
  5. Start the OPC UA Process Gateway.
  6. Confirm the message box by clicking on the Yes button to create new certificates.

attention Attention

If server certificates need to be renewed, each OPC UA client that needs a valid server certificate must receive the renewed certificate.

The following situations can make it necessary to create the server certificate from scratch:

- several instances of Process Gateway on the same system with different port numbers

- a change to the port number

- a change to the computer name

- the certificate has expired


Variables

Manuel -> Process Gateway -> OPC UA Server -> Module configuration -> Variables

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Variables for the OPC UA Process Gateway can be selected automatically or individually.

Variables from the current project and its subprojects can be selected. The name on the server consists of the variable names and the project names.

attention Attention

Variables that do not have the Ecrire valeur prescrite property activated in the zenon Editor cannot be written by an OPC UA client.

Defining variables

If no variables are defined in the OPC UA server configuration, all variables from the zenon projects are added to the OPC UA Address Space. All variables (including system driver variables) are visible for the clients.

with manual configuration (at least one configured variable), the values defined by the user are used. The Namespace Index 2 is used by default and a String Identifier with the variable names is entered.

You configure the variables that are to be provided as a node in the OPC UA data model in the Variables tab.

Parameter

Description

Available in SCADA

List of the configured variables available in the zenon Runtime.

  • Project
    zenon project name
  • Name
    zenon variable name

The list can be sorted and filtered.

  • Sort by clicking on the column heading. Another click changes the sorting order.
  • Filter by entering the filter text in the input field. The characters * or ? are possible as placeholders.

Exported to OPC UA

List of exported variables.

The variables can be sorted according to:

  • Identifier
  • SCADA Project
  • SCADA name

Node Id

The input field for Node ID is only available if an entry in the Exported to OPC UA list is selected.

Namespace index
  • Field can only be configured with an old configuration; otherwise not available. For a new configuration, the namespace index is always Default 2.

Identifier

Defines the Node Identifier for the selected OPC UA variable. The node identifier type is automatically defined through the entry:

  • A numerical Identifier is automatically created with numerical input.
  • If a GUID is entered, a GUID Identifier is created automatically, otherwise the Identifier is treated as a string.
    GUID form: xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx)

The field must not be empty.

The node identifier must be unique in the complete address range.

To export variables to OPC UA:

  1. Select the desired variables and aggregation archives in Available in SCADA with a mouse click. Multiple selection is possible.
  2. Click on the arrow direction Exported to OPC UA

    To export all variables, click on the double arrow

The zenon variable name is used as Browsename and Displayname.

info Informations

For zenon variables with a slash (/) in the names, the / is replaced by a dot (.). The parts of the name separated by a slash are saved in their own subfolders.

Example: The zenon variable "Static/Scalar/Int32" is divided into:

  • An OPC UA variable "Int32"
  • In a folder called "Scalar",
  • which is a subfolder of the "Static" folder

This works with all data types, multi-dimensional arrays, umlauts in names and slashes at the end.


Getting started

Manuel -> Process Gateway -> OPC UA Server -> Getting started

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

When starting, Process Gateway loads the configured module.

When first starting or if no variables have been explicitly configured, the OPC UA server automatically creates the data model for all projects in Runtime. With many variables, or with many variables configured with alarms, the start can take a corresponding length of time. It is, in principle, to be recommended that only the variables that are actually needed by the OPC UA client are provided through the OPC UA server. Several instances of the OPC UA Process Gateway can also be started, with a different TCP port and a different configuration in terms of variables.

The driver tries to read the active configuration from the given INI file. If the configuration contains error, or an error occurs on starting, the configuration dialog is opened and an error message is shown with an error text. If the configuration is not confirmed with OK, the Process Gateway is closed.

attention Attention

If the application is started as invisible, there is also no configuration dialog displayed. If the configuration is invalid or not present, the process gateway is automatically closed.


Connection

Manuel -> Process Gateway -> OPC UA Server -> Connection

The OPC UA Process Gateway only supports the OPC UA TCP binary Protocol and does not contain a Discovery Server. The client must also connect directly to the server. The connection address corresponds to the scheme: opc.tcp://hostname.of.server:port

The connection can be secured.


Security

Manuel -> Process Gateway -> OPC UA Server -> Security

The module uses the security procedures that correspond to OPC UA (signing and encrypting messages) as defined in the standard. Certificates can be checked or all accepted, depending on the setting.

Secure connections

If the Accept secure connections only option is activated, the server only accepts connections that use the Security Mode Sign or Sign & Encrypt. In addition, the Security Policy used by the client must be Basic128Rsa15 or Basic256. If this option is deactivated, any desired combination of Security Mode and Security Policy is accepted.

User Administration

If user administration is activated in the zenon project and at least one user is created, the option Use SCADA user authentication is available. If this option is activated only clients that send a valid combination of user and password have access to the OPC UA server data. There is no check if this option is inactive. In this case, both anonymous connections and also all user/password combinations are accepted.


Alarms and Conditions

Manuel -> Process Gateway -> OPC UA Server -> Alarms and Conditions

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

The OPC UA Process Gateway also supports OPC UA Alarms and Conditions. When starting, the OPC UA server automatically checks the configured variables for existing limit values or a reaction matrix, with statuses that are defined as an alarm.

An OPC UA client can create a subscription for event notifications and add the server object. The OPC UA client can thus be informed of limit value breaches of a variable with an alarm active. The client is also in a position to confirm the alarm, as in the zenon Runtime.

Attention: The comments for alarms for the OPC UA method call for acknowledgment is no longer submitted to zenon Runtime. If an alarm is configured in zenon with "Comment required", an OPC UA client cannot confirm this alarm with a comment.

Attention: If an alarm is configured so that an alarm cause is required, the alarm cannot be acknowledged on the OPC UA side.

The standard-compliant OPC weighting is shown on the index of the alarm/event classes linked to the limit value. The index of an alarm/event class is automatically incremented by the zenon Editor with each new alarm/event class and can be checked in the properties. Up to 20 classes with the following allocation are supported:

OPC UA range | zenon alarm/event class | OPC weighting
HIGH | 20 | 1000
 | 19 | 950
 | 18 | 900
 | 17 | 850
MEDIUM HIGH | 16 | 800
 | 15 | 750
 | 14 | 700
 | 13 | 650
MEDIUM | 12 | 600
 | 11 | 550
 | 10 | 500
 | 9 | 450
MEDIUM LOW | 8 | 400
 | 7 | 350
 | 6 | 300
 | 5 | 250
LOW | 4 | 200
 | 3 | 150
 | 2 | 100
 | 1 | 50

If a variable with no alarm/event class is linked, the lowest possible classification 1 (LOW) is used.

Illustration zenon alarm as object

zenon variables and related alarms are illustrated in the OPC UA server as objects.

The illustration shows the inclusion of the zenon project (TEST651) and the zenon variables (WIZ_VAR_10, WIZ_VAR_11, WIZ_VAR_12) as objects in the upper area. Below this are the alarms that have been generated when the limit values are reached (Limit 750 reached! etc.).

Alarm condition node identifier

The node identifier type of the alarm condition is a string type node ID.

The following structure is used:

<project GUID>-<variable ID hexadecimal>@<variable name>:_<limit value description or "Rema">

About the INI entry: USE_LIMIT_TEXT_FOR_ALARM_NODES=TRUE in the OPCUA section in the ini file for the OPC UA process gateway, an alternative structure can be activated where the limit value text is used. This alternative structure is only available for limit values and not for alarms via a reaction matrix. A dynamic limit value text is not supported in doing so. It must be ensured that the same limit value text is not used for several limit value texts for the same variable, because otherwise there is no uniqueness:

<project GUID>-<variable ID hexadecimal>@<static limit value text>

Logging

The driver supports a comprehensive LOG function. These LOG entries can be evaluated with the Diagnosis Viewer tool.


Service Sets

Manuel -> Process Gateway -> OPC UA Server -> Service Sets

Service Set | Is supported
Discovery Service Set |
FindServers | yes
GetEndpoints | yes
RegisterServer | No
SecureChannel Service Set |
OpenSecureChannel | Yes
CloseSecureChannel | Yes
Session Service Set |
CreateSession | yes
ActivateSession | yes
CloseSession | yes
Cancel | yes
NodeManagement Service Set |
AddNodes | no
AddReferences | no
DeleteNodes | no
DeleteReferences | no
View Service Set |
Browse | yes
BrowseNext | yes
TranslateBrowsePathsToNodeIds | yes
RegisterNodes | yes
UnregisterNodes | yes
Query Service Set |
QueryFirst | no
QueryNext | no
Attribute Service Set |
Read | yes
HistoryRead | yes
Write | yes
HistoryUpdate | no
Method Service Set |
Call | yes
MonitoredItem Service Set |
CreateMonitoredItems | yes
ModifyMonitoredItems | yes
SetMonitoringMode | yes
SetTriggering | yes
DeleteMonitoredItems | yes
Subscription Service Set |
CreateSubscription | yes
ModifySubscription | yes
SetPublishingMode | yes
Publish | yes
Republish | yes
TransferSubscriptions | yes
DeleteSubscriptions | yes


Communication

Manuel -> Process Gateway -> OPC UA Server -> Communication

Subscriptions

The OPC UA server supports communication by means of Subscriptions. Several Subscriptions with different settings can be created per session by a client. The maximum number of Subscriptions per Session is limited to 10 by default. The "MAX_COUNT_OF_SUBSCRIPTIONS_PER_SESSION" ini entry in the "OPCUA" section can be used to configure the maximum number between "1" and "100".

PublishRequests

A maximum of 10 PublishRequests for the queue are permitted by the OPC UA server per session. This depends on the number of Subscriptions.

  • Sequence for publish requests (first in, first out):
    When sending, the incoming sequence of the PublishRequest is taken into account. If a subscription is executed and a PublishResponse must be sent for a DataChangeNotification or a KeepAlive, the oldest PublishRequest from the queue is always taken.
  • BadNoSubscription for all publish requests if the last Subscription has been deleted or the session has been closed:
    If the last Subscription has been logged off from the server, for PublishRequests that are still logged onto the server, PublishResponse with the value OpcUa_BadNoSubscription is created and sent to the client. The open PublishResponses are then deleted on the server.
  • timeoutHint for PublishRequests:
    Before the PublishResponses for the Subscriptions are sent, it is ensured that only valid - i.e. not expired PublishRequests are present. The validity is checked using the time stamp of the PublishRequests as well as the timeoutHint stated in the Request. The resulting end time must be less than the current time of the server. If this is not the case, a Response with OpcUa_BadTimeout is sent back to the client. The Request is deleted in this case.
  • SubscriptionAcknowledgement that is included in the PublishRequest processes the OPC UA server if the PublishRequest is taken from the queue

RepublishRequests

The OPC UA server also supports the RepublishRequests in the event that the TCP connection between OPC UA client and OPC UA server is interrupted.

Synchronous time

For PublishRequests, the OPC UA server takes the "timeoutHint" field into account.

If the OPC UA server has to send a PublishResponse, all existing PublishRequests in the queue (max. 10) are checked. This check validates whether the time stamp is more recent that the current time. If this is the case, the oldest PublishRequest from the queue is used.

If the queue contains PublishRequests whereby the time stamp in the PublishRequest + timeoutHint in the PublishReuest is the same or older then the current time in the OPC UA server, the PublishRequests are removed from the queue and for each PublishRequest, a ServiceFault with "Bad_Timeout" is sent.

It is therefore important that the system time of the OPC UA server and the system time of the OPC UA client is synchronized accordingly. For this time synchronization, it is recommended that, for both the OPC UA server and the OPC UA client, a common synchronization source is used. A common source can, for example, be the same NTP server for server and client. Otherwise it is possible that the OPC UA server immediately rejects all PublishRequests from the OPC UA client and no value changes can be transferred.

info Informations

The time stamp name consists of: PublishRequest + timeoutHint from the PublishRequest.

Monitored Items

The OPC UA server supports the adding, removal and modification of MonitoredItems.

If a queue of greater than 1 is requested from a OPC UA client, this request is supported. As a result, several value changes for the same variable are buffered between two publish intervals by the OPC UA server. A PublishResponse is used to send the value changes to the OPC UA client.

DataChangeFilter - deadband

The OPC UA server supports the absolute deadband.

Read Requests

The OPC UA server also supports, in addition to communication by means of Subscriptions, Read Requests. In principle, communication by means of Subscriptions is preferred to communication by means of read requests. If an OPC UA client does not support subscriptions and sends read requests cyclically in order to get the current value, it is strongly recommended that the client uses the RegisterNodes call once for such nodes that are read cyclically.

This allows the OPC UA server to optimize communication with Runtime for cyclical Read Requests.

Write requests

The OPC UA server supports write requests. The set value limits of the variable are taken into account.

Attention: If a variable in the Energy Edition is linked to a command group and this variable is written by an OPC UA client, the command interlocking is not taken into account but the command variable is written directly.


Configuration file: INI entries for OPC UA

Manuel -> Process Gateway -> OPC UA Server -> Configuration file: INI entries for OPC UA

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

The configuration file zenProcGateway.ini contains this entries for OPC UA:

[OPCUA]

Entrée

Description

SERVER_NAME=

Nom du serveur OPC UA sur lequel la passerelle établit une connexion.

SERVER_PORT=

Port pour la communication vers le serveur OPC UA.

Par défaut : 4841

CERTIFICATES_PATH=

Chemin du dossier racine avec les fichiers de certificat et les sous-dossiers respectifs.

Par défaut : %ProgramData%\PKI\CA\

Remarque : L'entrée doit être supprimée si un nouveau certificat doit être créé au démarrage de Process Gateway.

SERVER_CERTIFICATE_LOCATION=

Fichier contenant la clé publique du serveur. Le chemin est toujours indiqué en absolu. Cette clé publique est utilisée par le client pour le cryptage des messages.

Par défaut : %ProgramData%\PKI\CA\certs\zenopcua.der

Remarque : L'entrée doit être supprimée si un nouveau certificat doit être créé au démarrage de Process Gateway.

SERVER_PRIVATE_KEY_LOCATION=

Fichier contenant la clé privée du serveur. Le chemin est toujours indiqué en absolu. Elle est utilisée par le serveur pour déchiffrer les messages provenant du client.

Par défaut : %ProgramData%\PKI\CA\private\zenopcua.pem

Remarque : L'entrée doit être supprimée si un nouveau certificat doit être créé au démarrage de Process Gateway.

ARCHIVE_NAME=

Nom d'une archive configurée dans zenon pour les données historiques. Seule une archive individuelle de l'un des projets peut être sélectionnée dans le Runtime.

ONLY_SECURE_CONNECTIONS=

Sélection du type de connexion (sécurisée ou non sécurisée) approuvé pour l'établissement d'une connexion.

  • TRUE
    Une connexion au serveur n'est possible qu'avec une connexion sécurisée.
  • FALSE
    Une connexion au serveur est également possible avec une connexion non sécurisée.

Par défaut : TRUE

TRUST_ALL_CLIENT_CERTIFICATES=

Choix du type de certificats (certificats client ou serveur) pour établir une connexion.

  • TRUE
    tous les certificats de clients sont acceptés, et la connexion est établie.
  • FALSE
    tous les clients souhaitant se connecter au serveur doivent transmettre un certificat valide. Ce certificat est également vérifié pour déterminer s'il se trouve dans la liste des certificats de clients connus (Certificate trust list path).

Par défaut : TRUE

USE_USER_AUTHENTICATION=

Sélectionner si l'administration utilisateur du projet zenon en cours doit être utilisée pour l'identification lors de la connexion au serveur.

  • TRUE
    Les clients peuvent uniquement se connecter au serveur avec un identifiant d'utilisateur et un mot de passe valides.
    Remarque : Pour ce faire, l'administration des utilisateurs doit être activée et configurée dans zenon Editor.
  • FALSE
    Les connexions anonymes sont autorisées.

Par défaut : FALSE

CONFIGURATION_VERSION=2

Avis de versionnage.

Remarque : Cette entrée INI ne peut pas être configurée dans l'interface utilisateur graphique de la passerelle OPC UA.

MAX_COUNT_OF_SUBSCRIPTIONS_PER_SESSION=

Nombre d'abonnements par session. Peut être réglé entre un minimum de 1 et un maximum de 100 abonnements.

Par défaut : 10

[Variables]

Entrée | Description
PROJECT_x= | Nom du projet duquel sont issues les variables. x représente la numérotation du projet, qui commence par 0. Exemple : PROJECT_0=TEST
PARAM_x= | Paramètres du projet x. La numérotation commence à partir de 0. Exemple : PARAM_0=80:INI.Driverforinternalvariables_ModemHwAdrSet
COUNT= | Nombre de variables configurées.
NAME_x= | Nom de la variable. x représente la numérotation du projet, qui commence par 0. Exemple : NAME_0=Driverforinternalvariables_ModemHwAdrSet

2 = constantes pour l'index des espaces de noms

Ces valeurs sont définies par Editor et ne doivent pas être modifiées !


Error message

Manuel -> Process Gateway -> OPC UA Server -> Error message

Error messages in the log file:

Error message

Debug Level

Description

Failed to validate client certificate

Error

The client certificate could not be validated.

It is either invalid (the date of validity may have been overwritten) or it was not found in the list of known client certificates.

Additional information including an error number describes the error in more detail.

Wrong user/password supplied while trying to activate session (User: %s)

Error

User authentication failed.

  • %s:
    Name of the user to be authenticated.

Login of user '%s' succeeded.

Deep Debug

User authentication successful.

  • %s:
    Name of the user to be authenticated.

Variable '%s' could not be added to OPC UA address space, because node '%s' with the same node identifier already exists

Error

A variable defined by the user could not be created, because another variable with the same Identifier already exists.

Failed to initialize server architecture: An internal error occurred as a result of a programming or configuration error. (0x80020000)

Error

The file format for one or more of the following files is not present in a valid format:

  • Certificate
  • Private Key
  • Certificate Revocation List

%1 PublishResponse with OpcUa_BadNoScubscriptions sent because no subscriptions are created in session %2

Error

There is no valid Subscription for a publish request or the session was deleted. The OPC UA server sends a messages to the OPC UA client for all active PublishRequests if the last subscription was deleted by the server or the client.

  • %1
    Number of PublishResponses that have been sent to a client with the result value OpcUa_BadNoSubscription.
  • %2
    Name of the session from which the PublishResponse has been sent.

%1 PublishResponse with OpcUa_BadTimeout sent in session %2

Error

The time stamp + timeout hint in the PublishRequest that is provided by the client is older than the current time on the OPC UA server. Possible causes: the timeoutHint in the PublishRequest is too short, the OPC UA client provides more PublishRequests than are needed and the PublishRequests expire or the time of the computer with the OPC UA server and the time of the computer with the OPC UA client are not synchronous.

  • %1
    Number of the PublishResponses that have beens sent to a client with the result value OpcUa_BadTimeout.
  • %2
    Name of the session from which the PublishResponses are sent.

Note: The PublishRequest is deleted.


Status mapping

Manuel -> Process Gateway -> OPC UA Server -> Status mapping

In certain situations, the OPC UA server communicates a different StatusCode for the value (Value Attribute). This concerns each node that represents the variable.

The table below lists the zenon status with the corresponding UA status code.

Status of the variable in the Runtime | StatusCode Value Attribute OPC UA Node
INVALID | 0x80050000 BadCommunicationError
ALT_VAL | 0x40910000 UncertainSubstituteValue
OFF | 0x808C0000 BadSensorFailure
OV_870 | 0x803C0000 BadOutOfRange
N_UPDATE | 0x80310000 BadNoCommunication


SNMP agent

Manuel -> Process Gateway -> SNMP agent

Autres sujets abordés dans ce chapitre

SNMP architecture

Management Information Base (MIB)

MIB structure

Module configuration

Configuration file: specific entries for Access SNMP

Configuration of the Windows SNMP agent


SNMP architecture

Manuel -> Process Gateway -> SNMP agent -> SNMP architecture

The Windows SNMP agent supports SNMP version 2 (SNMPv2c). It also supports the SNMP functions (GET, GETNEXT, GETBULK, SET, TRAP).

More details about Microsoft's implementation of the SNMP can be found on the Microsoft TechNet Website: “How SNMP Works” http://technet2.microsoft.com/windowsserver/en/library/bf555774-2d63-4e96-b432-c4b7bcac6b531033.mspx

Windows operating system components with a connection to the Process Gateway and the Runtime:


Management Information Base (MIB)

Manuel -> Process Gateway -> SNMP agent -> Management Information Base (MIB)

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

The Management Information Base (MIB) is organized in the form of a tree structure, in which the SNMP agent provides the variables = (OID – Object Identifier). See below: the MIB structure, with additional variables provided via the Process Gateway.


MIB structure

Manuel -> Process Gateway -> SNMP agent -> MIB structure

Info block structure is always present |  |  |  |
OID | Description | Data type | Access | Change is sent as Trap
1.3.6.1.4.1.300.1.1.0 | copadata.info.statusinfo, Runtime is (Online, Offline) | string | read | yes
1.3.6.1.4.1.300.1.2.0 | copadata.info.statusval, Runtime is 1=Online 0=Offline | integer | read | yes
1.3.6.1.4.1.300.1.3.0 | copadata.info.watchdog | integer | read | no
1.3.6.1.4.1.300.1.4.0 | copadata.info.project, name of project which the Process Gateway reads variables from | string | read | no

Variable structure (table) is dynamically adjusted, according to the configuration of the Process Gateway |  |  |  |
OID | Description | Data type | Access | Change is sent as Trap
1.3.6.1.4.1.300.2.1.0 | copadata.variables.ifNumber, number of configured variables=OID | integer | read | yes
1.3.6.1.4.1.300.2.2.1.X | copadata.variables.ifTables.ifIndex, configured OID index from the Process Gateway configuration | integer | read | no
1.3.6.1.4.1.300.2.2.2.X | copadata.variables.ifTables.ifName, variable name | string | read | no
1.3.6.1.4.1.300.2.2.3.X | copadata.variables.ifTables.ifValue, variable value as Integer. All numerical data types are formatted to an SNMP Integer data type. ATTENTION: the decimal places of REAL and DOUBLE are lost. | integer | according to configuration in Process Gateway | no
1.3.6.1.4.1.300.2.2.4.X | copadata.variables.ifTables.ifValueAsString, variable value as String. All numerical data types are formatted to an SNMP String data type. | string | according to configuration in Process Gateway | yes
1.3.6.1.4.1.300.2.2.5.X | copadata.variables.ifTables.ifStatus, variable status value | integer | read | yes
1.3.6.1.4.1.300.2.2.6.X | copadata.variables.ifTables.ifTimestamp, variable time stamp | integer | read | yes


Module configuration

Manuel -> Process Gateway -> SNMP agent -> Module configuration

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

The following dialog appears after the Settings button is clicked:

Here the variables that should be connected can be selected. On the left-hand side all variables which are available in zenon are displayed. You can select them there and move them to the SNMP export list with the button > With the button < they can be removed again. If you move a variable to the export list, a dialog for the name assignment of the zenon variable to an OID address in the SNMP structure appears:

The variables selected in this way are then available on the SNMP server and are continuously synchronized between zenon and the SNMP OID structure. For every OID address you can define whether it can be write-accessed via SNMP SET. The exact structure of every OID address is described in the chapter "MIB structure.


Configuration file: specific entries for Access SNMP

Manuel -> Process Gateway -> SNMP agent -> Configuration file: specific entries for Access SNMP

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

The configuration file must be in the system folder.

Parameters | Description
[SNMP] |
REFRESHRATE | Update time in milliseconds

Parameters | Description
[VARIABLES] |
COUNT | number of variables to be exported
NAME_n | name of the variable with the number n (0<=<COUNT)
PARAM_n | Parameter SNMP OID table offset and the information R=read only / RW=read and write with the number n (0<=n<COUNT)

Export of variables

For the successful export the project name in zenProcgateway.ini in folder %CD_SYSTEM% must be entered correctly. Enter it here:

[DEFAULT]
PROJECT=

Attention: If the entry is wrong or missing the gateway is closed without any error messages. Thus the variable is not available.


Configuration of the Windows SNMP agent

Manuel -> Process Gateway -> SNMP agent -> Configuration of the Windows SNMP agent

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

To make sure that the Windows SNMP Agent (SNMP.exe) provides the zenon MIB partial structure, the Process Gateway file AccessSNMP.dll in the registry must be configured accordingly:

  1. Installation of the Windows SNMP service via the control panel:
    • Via module: Programs and functions - >Activate or deactivate Windows functions.

    Note: With Windows 8, the computer must be restarted once the SNMP service has been added.

  2. Installation of Process Gateway with the file AccessSNMP.dll in the folder
    %Program Files (x86)%\COPA-DATA\zenon 7.60
  3. Add the following keys and character strings using the registry editor. The paths and content are sometimes different for 32-bit systems and 64-bit systems:

    32-Bit:

    • [HKEY_LOCAL_MACHINE\SYSTEM\CurrentControlSet\Services\SNMP\Parameters\ExtensionAgents]
      Name=ProcessGateway
      Wert=SOFTWARE\COPA-DATA\SNMP\CurrentVersion
    • [HKEY_LOCAL_MACHINE\SOFTWARE\COPA-DATA\SNMP\CurrentVersion]
      Name=Pathname
      Wert=C:\Program Files\COPA-DATA\zenon 7.60 SP0\AccessSNMP.dll

    64-Bit:

    • [HKEY_LOCAL_MACHINE\SYSTEM\CurrentControlSet\Services\SNMP\Parameters\ExtensionAgents]
      Name=ProcessGateway
      Wert=SOFTWARE\COPA-DATA\SNMP\CurrentVersion
    • [HKEY_LOCAL_MACHINE\SOFTWARE\Wow6432Node\COPA-DATA\SNMP\CurrentVersion]
      Name=Pathname
      Wert=C:\Program Files (x86)\COPA-DATA\zenon 7.60 SP0\AccessSNMP.dll
  4. Start the SNMP service.
    This loads the process gateway file AccessSNMP.dll via the registry configuration.
    Further configuration settings for the Windows SNMP service: Control panel -> Administration-> Services-> SNMP service-> Properties
    1. Traps: tab Defines the IP address in the network to which traps are sent:

    • Communityname: Must be identical on manager and agent
    • Trap destinations: Addresses of the destinations as host names, IP addresses or IPX addresses
    1. Security: tab Defines the rights with which an SNMP client can access the SNMP agent:

    • Rights: Must be set to "READ WRITE"
    • Community: Must be identical on manager and agent


SQL

Manuel -> Process Gateway -> SQL

Autres sujets abordés dans ce chapitre

Module configuration

Variables selection

Creating tables

Operation in a redundant system

Configuration file: specific entries for AccessSQL

Table format


Module configuration

Manuel -> Process Gateway -> SQL -> Module configuration

The configuration of the database connection consists of two parts.

  1. OLE-DB connection: This OLE-DB connection can be defined in the configuration dialog using the selection button for the connect string. Then the standard dialog for data connection properties is opened.
  2. Additionally the name of the table can be defined, if the standard name ONLINE_VALUES should not be used.
    This can be set with the TABLE entry in the [DATABASE] section of the configuration file (zenProcGateway.ini). The settings are taken over by the add-on when starting it.

attention Attention

If table names are defined manually in the configuration file (zenProcGateway.ini), these table names must also be amended or created in the database by hand.

Oracle databases

Use of the Process Gateway and AccessSQL.dll in conjunction with Oracle databases can cause errors: It it possible, with some ODBC drivers, that no online values are written to the database. The advanced ODBC logging then issues the error message "1843".

The problem can be solved by changing the ODBC driver. Example: ODBC driver 9.02.00.05 for Oracle 9.2.


Variables selection

Manuel -> Process Gateway -> SQL -> Variables selection

In the configuration dialog the zenon variables that should be written to the SQL process image can be defined. In order to do this the variables available in the zenon project - listed in the left part - have to be added to the image - listed in the right part.


Creating tables

Manuel -> Process Gateway -> SQL -> Creating tables

After closing the configuration dialog with OK, the table structure of the SQL database is automatically generated. For the case, that it is created by hand:


Operation in a redundant system

Manuel -> Process Gateway -> SQL -> Operation in a redundant system

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

In redundant operation two alternatives are available. In the first variation the SQL database runs locally on both servers and the Process Gateway also runs on both servers. As only online values are handled no further alignment between the databases is necessary. The big disadvantage of this version is the high network load that is a result from the additional reading of online values on the Standby Server.

In the second version the Process Gateway only runs on the Runtime server and writes data to a local or a remote SQL database. In this alternative no additional network load between the Runtime Server and the Standby Server occurs and in the case of the remote SQL database the Server is not strained by external requests to that database.


Configuration file: specific entries for AccessSQL

Manuel -> Process Gateway -> SQL -> Configuration file: specific entries for AccessSQL

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

The configuration file must be in the system folder.

Parameters | Description
[DATABASE] |
INITSTRING | OLE-DB connect-string to the SQL database
TABLE_ONL | name of the table that receives the process image
TABLE_VAR | name of the table that receives the variable IDs
REFRESHRATE | maximum refresh rate in milliseconds

Parameters | Description
[VARIABLES] |
COUNT | number of variables to be exported
NAME_n | name of variable number n (0


Table format

Manuel -> Process Gateway -> SQL -> Table format

Autres sujets abordés dans ce chapitre

Table for process image

Table for variable IDs


Table for process image

Manuel -> Process Gateway -> SQL -> Table format -> Table for process image

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
VARIABLE | int[4] | ID of the zenon variable
VALUE | varchar[64] | current value as string
VALUE_NUM | float | current value as float
TIMESTAMP | int[4] | time stamp of the current value (as UNIX time)
TIMESTAMP2 | datetime | time stamp of the current value (as datetime)
STATUS | int[4] | status word of the current value


Table for variable IDs

Manuel -> Process Gateway -> SQL -> Table format -> Table for variable IDs

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
VARIABLE | int[4] | ID of the zenon variable
NAME | varchar[128] | name of the control system variable


Process Recorder

Manuel -> Process Recorder

Le module Process Recorder vous offre la possibilité d'enregistrer les données de processus dans l'environnement Runtime de production. Ces données enregistrées peuvent être visualisées dans le Runtime, dans un client de simulation de projet, à un stade ultérieur.

Généralement :

  • Les variables sélectionnées sont enregistrées pendant le processus de production.
  • L'enregistrement est effectué en cas de changement des valeurs.
  • Ces enregistrements peuvent être lus dans le Runtime de zenon, en mode de simulation.
  • L'heure et la durée de cette lecture peuvent être librement définies.
  • Les synoptiques existants de zenon peuvent être utilisés.
  • Si la lecture n'est pas démarrée dans un Runtime avec plusieurs projets, toutes les valeurs enregistrées provenant de tous les projets sont chargées, correctement triées par ordre chronologique, puis lues.
  • Le module est intégré au réseau de zenon et prend également en charge la redondance.

tutorial Informations concernant la licence

Ces fonctions ou modules doivent disposer d'une licence pour l'Éditeur et le Runtime (simple, serveur, redondant et client).

La fonction de simulation de projet est incluse dans la licence du module Process Recorder.

Autres sujets abordés dans ce chapitre

Introduction

Configuration dans Editor

Process Recorder in the Runtime

Module Process Recorder sur le réseau zenon

Entrées de fichier journal


Introduction

Manuel -> Process Recorder -> Introduction

Le module Process Recorder comprend deux parties :

  1. Lors de la configuration d'un projet dans zenon, les variables de journalisation sont activées.

    Ces variables sont journalisées dans le Runtime pendant le processus de production.

  2. Les données enregistrées sont relues dans le Runtime, via la fonction de simulation de projet.
    • Ces données enregistrées peuvent être appelées et relues à tout moment. Cette lecture se déroule dans le mode de simulation du Runtime, hors du processus de production.
    • Cette lecture permet de visualiser ou d'analyser les processus enregistrés.
    • Les synoptiques existants de zenon peuvent être utilisés pendant la lecture. Dans la mesure où tous les synoptiques de zenon peuvent être utilisés pendant la lecture, les processus historiques peuvent être suivis dans l'environnement de production.
    • Les synoptiques qui ont uniquement été configurés par la personne chargée de la configuration du projet pendant la lecture peuvent également être utilisés à des fins d'analyse.

Autres sujets abordés dans ce chapitre

Enregistrer

Rejouer


Enregistrer

Manuel -> Process Recorder -> Introduction -> Enregistrer

Les données provenant du processus en cours sont continuellement enregistrées et sauvegardées.

L'enregistrement est activé pour chaque variable configurée, via la propriété de variable Activer l'enregistrement.


Rejouer

Manuel -> Process Recorder -> Introduction -> Rejouer

Les données enregistrées provenant de l'environnement de production peuvent être lues ultérieurement :

  • Les données enregistrées peuvent être lues à chaque instant du processus.
  • Cette lecture se déroule dans le mode de simulation du Runtime, hors du processus de production.
  • Cette lecture permet de visualiser ou d'analyser les processus enregistrés.
  • Les synoptiques existants de zenon peuvent être utilisés pendant la lecture. Dans la mesure où tous les synoptiques de zenon peuvent être utilisés pendant la lecture, les processus historiques peuvent être suivis dans l'environnement de production.
  • La lecture est contrôlée depuis un synoptique Process Recorder dans zenon.
  • Les synoptiques qui ont uniquement été configurés par la personne chargée de la configuration du projet pendant la lecture peuvent également être utilisés à des fins d'analyse.

Les considérations suivantes s'appliquent à la lecture :

  • L'affichage pendant la lecture est entièrement déterminé par les valeurs enregistrées. Les données de processus actuelles ne sont pas visualisées pendant la lecture.
  • Seuls des synoptiques contenant des valeurs enregistrées sont fournis. Aucun autre module zenon ne reçoit de données.

Exceptions

  • Driver interne

    Les valeurs des variables internes qui n'ont pas été activées pour être enregistrées dans le module Process Recorder reçoivent (en plus des valeurs enregistrées) des valeurs actuelles, même pendant la lecture.

  • Driver système

    Les valeurs des variables de driver système qui n'ont pas été activées pour être enregistrées dans le module Process Recorder reçoivent également les valeurs actuelles pendant la lecture.
    Ceci s'applique aux types de variables suivants :

    • Module Batch Control
    • Gestion de commandes
    • Défini par l'utilisateur
    • Gestion des utilisateurs
    • Imprimante
    • Dossier
    • Informations sur le projet
    • Séquenceur de commandes
    • Info système

Conditions préalables

Le fichier correspondant à l'heure de début est sélectionné au démarrage. Un message de fichier journal correspondant est généré et peut être affiché dans l'outil Diagnosis Viewer.

Le fichier requis :

  • Comporte l'extension *.rec
  • Se trouve dans le répertoire de simulation du répertoire de données de l'ordinateur, dans le dossier ProcessRecorder
  • Est le fichier dont les informations d'horodatage correspondent le plus précisément à l'heure de début de la lecture
  • Et dont les informations d'horodatage +5 minutes contiennent encore l'instant sélectionné.

Si aucun fichier ne correspond à ces critères, aucun fichier n'est chargé et un message de fichier journal est écrit.


Configuration dans Editor

Manuel -> Process Recorder -> Configuration dans Editor

Étapes de configuration du module Process Recorder :

  1. Activez la propriété de projet Activer Process Recorder pour activer le module.
    1. Dans zenon, activez le projet dans l'arborescence de l'Espace de travail.
    2. Dans le groupe de propriétés Process Recorder du projet, activez la propriété Activer Process Recorder.
  2. Activez la propriété Activer l'enregistrement pour les variables que vous souhaitez enregistrer.
    1. Sélectionnez les variables que vous souhaitez enregistrer.
      Remarque : Une sélection multiple est possible.
    2. Dans le groupe de propriétés Process Recorder, activez la propriété Activer l'enregistrement.
      Remarque : Cette propriété peut également être configurée pour les types de données. Cette configuration peut être transmise à toutes les variables correspondant à ce type de données.

    Vous trouverez d'autres informations à ce sujet au chapitre Variables et types de données.

  3. Configurez un synoptique Process Recorder dans zenon.
    Vous trouverez d'autres information à ce sujet au chapitre Synoptique Process Recorder.
  4. Configurez une fonction d'appel de synoptique ou les fonctions Activer/désactiver le projet de simulation.
    Vous trouverez d'autres informations à ce sujet au chapit erActivation/désactivation de la simulation de projet.
    Vous trouverez d'autres informations dans le manuel simulation de projet.

Autres sujets abordés dans ce chapitre

Variables et types de données

Données de Process Recorder – Enregistrement

Synoptique Process Recorder

Fonctions de zenon


Variables et types de données

Manuel -> Process Recorder -> Configuration dans Editor -> Variables et types de données

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Pour enregistrer des variables afin de pouvoir les relire ultérieurement, la propriété d'enregistrement Activer l'enregistrement doit être activée. Vous trouverez cette propriété dans le groupe de propriétés Process Recorder de la variable ou du type de données.

Appliquez les variables lors de la création de nouveaux paramètres correspondant à la propriété de type de données.

Les variables avec des paramètres configurés de cette manière sont advised au démarrage du Runtime. Les variables sont à nouveau unadvised à l'arrêt du Runtime.

Transmission

Les variables et les types de données reprennent la configuration des paramètres dy type de données de niveau supérieur.

Remarque :

  • Les types de données reprennent les paramètres de la propriété au moment de la création du nouveau type de données.
    Les modifications apportées au type de données original ne sont pas appliquées.
  • Les variables reprennent les paramètres de la propriété du type de données attribué.
    Les modifications apportées au type de données sont mises en œuvre pour la variable:
    • Si la propriété Activer l'enregistrement a été appliquée par le type de données sans être modifiée, toutes les modifications apportées au type de données sont appliquées pour la variable.
    • Si la propriété Activer l'enregistrement a été modifiée pour la variable, les modifications apportées au type de données ne sont plus appliquées pour la variable correspondante.
      Attention : cela s'applique également si, après plusieurs modifications, la propriété correspond à la configuration des paramètres du type de données. Dans ce cas, une modification du type de données n'est pas appliquée à la variable.
  • Si un nouveau type de données est attribué à une variable, la configuration actuelle des paramètres de la variable est conservée. Elle est alors indépendante de la configuration des paramètres du type de données nouvellement attribué.
  • Tableaux :
    Le comportement des tableaux est identique à celui des variables.
  • Types de données structure :
    Pris en charge. Le comportement est identique à celui des types de données.

Tipp Conseil

Si les propriétés d'une variable ont été modifiées, la configuration des paramètres peut être à nouveau transférée depuis le type de données, en sélectionnant l'entrée de menu Lier toutes les propriétés avec le type de données.

Appliquer les modifications pour l'enregistrement

Si la configuration existante d'une ou plusieurs variables est ultérieurement modifiée, l'enregistrement est modifié en conséquence, après que le projet ait été rechargé dans le Runtime. Les variables nouvellement activées peuvent uniquement être utilisées dans le module Process Recorder dès lors qu'elles ont été activées et que le projet a été rechargé. Cela s'applique également aux modifications d'un type de données.


Données de Process Recorder – Enregistrement

Manuel -> Process Recorder -> Configuration dans Editor -> Données de Process Recorder – Enregistrement

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Pour que les données de procédé soient disponibles à des fins de lecture ou d'évaluation dans le module Process Recorder, toutes les variables sont enregistrées dans des fichiers pour lesquels la propriété Activer l'enregistrement est activé.

L'enregistrement a lieu :

  • Chaque fois qu'une valeur est modifiée
  • Chaque fois que le bit d'état de la variable est modifié
  • Chaque fois qu'une information d'horodatage est modifiée

La nouveau valeur correspondante est écrite dans la variable. Si aucune valeur n'est présente au démarrage du Runtime, aucune entrée n'est écrite.

Fichier Process Recorder

Les fichiers Process Recorder possèdent un suffixe .rec.
Les informations suivantes sont enregistrées dans ce fichier :

  • Valeur actuelle de la variable
    Les valeurs de signal de la variable sont toujours enregistrées (pas les valeurs calculées suite à la modification de la valeur).
    Dans zenon Editor, ceci correspond aux propriétés Plage de valeurs automate, pour la valeur de signal, et Ajustement linéaire, pour la modification de la valeur.
  • Bits d'état de la variable
  • Informations d'horodatage de la variable
    Les informations d'horodatage des variables sont enregistrées au format UTC et possèdent une précision de l'ordre de la milliseconde.
    • Horodatage externe
    • Informations d'horodatage internes
    • Informations d'horodatage de Process Recorder
      Ces informations d'horodatage sont uniquement utilisées aux fins de la lecture dans le module Process Recorder. Elles sont générées automatiquement, et ne peuvent pas être activement configurées ou modifiées.

Les considérations suivantes s’appliquent au fichier REC :

  • L'enregistrement est effectué dans un fichier REC situé dans le répertoire de données de l'ordinateur. Le nom du fichier est défini automatiquement Le nom est constitué de l'heure de création du fichier, précédé d'un préfixe : PRAAMMJJHHMMSS.rec.
  • Emplacement de sauvegarde des fichiers du module Process Recorder :
    Les données disponibles pour être lues ultérieurement dans le module Process Recorder sont enregistrées dans le répertoire de données de l'ordinateur local.
    Emplacement de sauvegarde des fichiers de journalisation : ../[nom du projet]/[nom de l'ordinateur]/[nom du projet]/ProcessRecorder/PRAAAA.
    Le dossier PRAAAA est créé automatiquement par zenon et contient tous les fichiers du module Process Recorder depuis un an.
    Vous trouverez d'autres informations concernant l'emplacement de sauvegarde dans le manuel du Runtime, au chapitre Structure de fichier.
    Remarque : Vous pouvez accéder à l'emplacement de sauvegarde local des fichiers de Runtime dans zenon Editor, à l'aide du raccourci-clavier Ctrl+Alt+R.
  • Un nouveau fichier est enregistré automatiquement toutes les cinq minutes. Ce cycle est fixe et ne peut pas être configuré.
  • Le fichier d'enregistrement actuel est uniquement ouvert si nécessaire ; il est refermé une fois l'écriture terminée.
    Par conséquent, la synchronisation des fichiers entre le serveur et le serveur redondant n'est pas bloquée, car le fichier n'est que brièvement bloqué.

Veuillez noter que les besoins de capacité de stockage augmentent. Plus la durée d'enregistrement est longue, plus la capacité de stockage sur le disque dur doit être importante.

attention Attention

Assurez-vous de disposer d'une capacité de stockage suffisante. Notez également la qualité de l'emplacement de stockage : L'utilisation de supports de stockage amovibles et de clés USB est expressément déconseillée.


Synoptique Process Recorder

Manuel -> Process Recorder -> Configuration dans Editor -> Synoptique Process Recorder

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Le synoptique Process Recorder permet de contrôler la lecture des données de procédé enregistrées dans le Runtime. Les données enregistrées sont lues dans le Runtime de zenon, en mode de simulation.

Tipp Conseil

Configurez le synoptique Process Recorder dans le modèle spécifique.

Autres sujets abordés dans ce chapitre

Créer un synoptique Process Recorder

Éléments de contrôle des synoptiques Process Recorder


Créer un synoptique Process Recorder

Manuel -> Process Recorder -> Configuration dans Editor -> Synoptique Process Recorder -> Créer un synoptique Process Recorder

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Le synoptique Process Recorder permet de contrôler la lecture des données de procédé enregistrées dans le Runtime de zenon.

Développement

Étapes de création du synoptique :

  1. Créez un nouveau synoptique :

    Dans la barre d’outils ou le menu contextuel du nœud Synoptiques, sélectionnez la commande Nouveau synoptique.
    Un synoptique vide Standard est créé.

  2. Modifiez les propriétés du synoptique :
    1. Nommez le synoptique dans la propriété Nom.
    2. Sélectionnez Process Recorder dans la propriété Type de synoptique.
    3. Sélectionnez le cadre souhaité dans la propriété Gabarit.
  3. Configurez le contenu du synoptique :
    1. Sélectionnez l’option de menu Éléments de contrôle dans la barre de menus
    2. Sélectionnez Insérer un modèle dans la liste déroulante.
      La boîte de dialogue de sélection de mises en forme prédéfinies s’affiche à l’écran. Certains éléments de contrôle sont insérés dans le synoptique à des positions prédéfinies.
    3. Supprimez les éléments superflus du synoptique.
    4. Si nécessaire, sélectionnez des éléments supplémentaires dans la liste déroulante Éléments. Placez-les aux emplacements souhaités sur le synoptique.
  4. Créez une fonction d’appel de synoptique.
    Configurez cette fonction d'appel de synoptique.
    Vous trouverez d'autres informations à ce sujet au chapitre Appel de synoptique Process Recorder.


Éléments de contrôle des synoptiques Process Recorder

Manuel -> Process Recorder -> Configuration dans Editor -> Synoptique Process Recorder -> Éléments de contrôle des synoptiques Process Recorder

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Elément de contrôle | Description :
Insérer un modèle... | Ouvre la boîte de dialogue de sélection de modèle pour le type de synoptique correspondant. Des modèles sont fournis avec zenon, et peuvent également être créés par l’utilisateur. Modèles ajoutent des éléments de contrôle prédéfinis à des positions prédéfinies sur le synoptique. Les éléments qui ne sont pas nécessaires peuvent également être supprimés individuellement après leur création. Les éléments supplémentaires peuvent être sélectionnés dans la liste déroulante, puis insérés dans le synoptique zenon. Les éléments peuvent être déplacés et disposés individuellement sur le synoptique.

Rejouer

Paramètre | Description
Position de lecture | Affiche la position de la lecture à l'heure locale. Vide si le Runtime n'est pas en mode de lecture. Format : JJ.MM.AAAA HH:MM:SS.MMM Remarque : La valeur est "N/A" si aucun fichier d'enregistrement n'est chargé.
Annuler | Annule le rechargement des données enregistrées. La lecture se poursuit à la position actuelle.

Start/Pause

Le bouton est intitulé Démarrer/Pause.

L'affichage de ce button dans le Runtime dépend si la lecture est actuellement en cours ou non.

  • Pause :
    En mode de lecture, pendant la lecture
  • Démarrer:
    Le mode de lecture n'a pas encore été démarré
Paramètre | Description
Lire | Démarre le mode de lecture. N'est pas visible en mode de lecture.
Pause | Met le mode de lecture en pause. N'est pas visible lorsque le mode de lecture est en pause.

Un pas

Cliquez sur ce bouton pour avancer à la lecture de la modification de valeur suivante ou précédente. La modification de valeur suivante ou précédente est affichée dans l'aperçu de l'événement.

Elément de contrôle | Description
Avancer d'une étape | Avance à la modification de valeur suivante pendant la lecture. Inactif en mode Lecture.
reculer | Recule à la modification de valeur précédente pendant la lecture. Inactif en mode Lecture.

Intervalle de pas

Cliquez sur le bouton pour avancer ou reculer de l'intervalle configuré.
Remarque : cet intervalle est toujours exécuté, que les modifications de valeurs soient ou non présentes après cet intervalle.

Elément de contrôle | Description
Intervalle vers l'avant | Effectue un saut en avant conformément à l'intervalle configuré pendant la lecture. L'intervalle est configuré dans la fonction d'appel de synoptique. Inactif en mode Lecture.
Intervalle vers l'arrière | Effectue un saut en arrière conformément à l'intervalle configuré pendant la lecture. L'intervalle est configuré dans la fonction d'appel de synoptique. Inactif en mode Lecture.

Liste des événements

Liste des modifications de valeurs précédentes ou suivantes de l'enregistrement. Les événements dans l'intervalle actuel sont affichés.
Lorsque vous sélectionnez un événement dans la liste et cliquez sur le bouton Aller à l'événement, la lecture passe directement à l'heure de l'événement sélectionné.

Remarque : Lorsque la lecture est active, ces listes sont bloquées et ne sont pas mises à jour.
Fenêtre d'affichage de la liste dans le Runtime :

  • Les colonnes peuvent être triées et filtrées dans le Runtime.
  • Les préférences de filtrage et de tri peuvent être enregistrées dans les profils de filtre.
  • La largeur des colonnes peut être modifiée en appuyant longuement sur le bouton droit de la souris.
  • Les colonnes peuvent être réorganisées en effectuant un glisser-déplacer.

Elément de contrôle

Description

Prochain événement

Affichage du prochain événement pour la lecture.

Evénement précédent

Affichage de l'événement précédent pour la lecture.

Liste des prochains événements

Liste des prochaines modifications de valeur pour la lecture.
L'affichage de la liste est configuré dans la fonction d'appel de synoptique.

Remarque : L'affichage de cette liste est vide dans le Runtime si le fichier d'enregistrement est vide.

Les entrées dans cette liste sont filtrées pour la durée de l'intervalle.

Liste des précédents événements

Liste des modifications de valeurs précédentes pour la lecture.

L'intervalle est configuré dans la fonction d'appel de synoptique.

Remarque : L'affichage de cette liste est vide dans le Runtime si le fichier d'enregistrement est vide.

Les entrées dans cette liste sont filtrées pour la durée de l'intervalle.

Aller à l'événement

En mode Lecture, passe directement à l'heure d'un événement sélectionné dans une liste d'aperçu. Si plusieurs événements sont présents ou si aucun événement n'est sélectionné dans la liste d'aperçu, le bouton est grisé dans le Runtime.

Chronologie

La liste d'heures permet de visualiser l'intervalle de lecture. L'élément peut être positionné horizontalement ou verticalement sur le synoptique zenon.

Dans le Runtime, la position de lecture peut être déplacée en avant et en arrière à l'aide du pointeur de la souris. Pour cela, déplacez le curseur dans la barre de défilement en appuyant longuement sur le bouton de la souris. Ce positionnement est possible dans tous les modes du module Process Recorder. La lecture reprend ensuite à la position sur la ligne de temps. Pour arrêter le déplacement, déplacez le pointeur de la souris vers la zone d'affichage. Le curseur de commande revient alors dans sa position initiale.

Les raccourcis-clavier suivants sont pris en charge :

Touche | Description :
Fin | Avance à la fin de l'intervalle de lecture.
Pos1 | Revient au début de l'intervalle de lecture.
Page suiv. | Pendant la lecture, avance conformément à l'intervalle configuré.
Page préc. | Pendant la lecture, recule conformément à l'intervalle configuré.

Remarque : Le début et la fin d'une période de lecture peuvent également être représentés dans le Runtime, à l'aide des variables driver système [Process Recorder] début d'intervalle de lecture et [Process Recorder] fin d'intervalle de lecture dans le Runtime.

Autres sujets abordés dans ce chapitre

invisible en runtime


invisible en runtime

Manuel -> Process Recorder -> Configuration dans Editor -> Synoptique Process Recorder -> Éléments de contrôle des synoptiques Process Recorder -> invisible en runtime

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Les considérations suivantes s’appliquent à l'affichage dans le Runtime :

  • Si le Runtime de zenon n'exécute pas le mode Lecture du module Process Recorder, tous les éléments de synoptique de type Process Recorder sont grisés ou vides.
  • Les listes d'aperçus d'événements sont mises à jour de manière dynamique.
  • Les valeurs enregistrées de tous les projets chargés sont prises en charge pendant la lecture.
    Ces valeurs sont compilées pour être affichées dans les listes.
  • Lors d'un appel de synoptique en mode Lecture, les valeurs enregistrées sont chargées depuis les fichiers Process Recorder dans la mémoire, puis conservées dans le buffer. Le module Process Recorder détecte si un autre fichier Process Recorder doit ête chargé et, le cas échéant, le charge dans le buffer en tâche de fond.
    • Ceci permet d'assurer, dans le Runtime, que le fait d'avancer ou de reculer vers des événements ou se déplacer conformément à un intervalle (en cliquant sur les boutons du synoptique Process Recorder) peut être exécuté sans délai.
    • Toutefois, le chargement d'un fichier Process Recorder demande plus de temps, cela est indiqué par l'affichage d'une boîte de dialogue dans le Runtime. La mise à jour des valeurs est légèrement retardée, par conséquent.
  • Pendant la lecture, si la fonction Activer/désactiver la lecture du Process Recorder est utilisée pour accéder à une nouvelle heure, la lecture est mise en pause.
  • Si une étape est exécutée, une entrée de fichier journal correspondante est créée.


Fonctions de zenon

Manuel -> Process Recorder -> Configuration dans Editor -> Fonctions de zenon

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Autres sujets abordés dans ce chapitre

Activer/désactiver le projet de simulation

Appel de synoptique Process Recorder

Process Recorder : Activer/désactiver lecture


Activer/désactiver le projet de simulation

Manuel -> Process Recorder -> Configuration dans Editor -> Fonctions de zenon -> Activer/désactiver le projet de simulation

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Exécutez la fonction Activer/désactiver le projet de simulation pour démarrer la simulation de projet. Dans ce chapitre, vous trouverez des informations concernant l'utilisation de cette fonction dans le module Process Recorder.

D’autres informations sont disponibles dans le manuel consacré aux simulations de projets, au chapitre Activer/désactiver la simulation de projet.

Initialiser avec l’image de procédé et les fichiers du Runtime

Paramètre

Description :

Fichiers de Process Recorder

Lors du démarrage de la simulation de projet, les fichiers de journalisation existants sont utilisés aux fins de la simulation.

Remarque : Inactive si la fonction Initialiser avec l'image de procédé et les fichiers de Runtime n'est pas active

Démarrer le module Process Recorder en mode Lecture

Démarre la simulation de projet en mode Lecture du module Process Recorder. Les enregistrements existants peuvent ainsi être visualisés dans le Runtime.

Remarque : Disponible uniquement si la propriété Fichiers Process Recorder est active.

En alternative à l'utilisation de cette propriété, vous pouvez également utiliser la fonction Process Recorder : activer/désactiver la lecture au début de la lecture.

Remarque : Le mode Lecture actuel est également affiché dans la variable driver système [Process Recorder] Mode d'enregistrement.

Pour la visualisation

Développement

Pour créer une fonction :

  1. Créez une nouvelle fonction :

    Dans la barre d'outils ou le menu contextuel du nœud Fonctions, sélectionnez Nouvelle fonction.
    La boîte de dialogue de sélection d'une fonction s'affiche à l'écran.

  2. Accédez au nœud Application.
  3. Sélectionnez la fonction Activer/désactiver le projet de simulation.

    La boîte de dialogue de configuration des paramètres de la simulation de projet s’affiche à l’écran.

  4. Sélectionner :
    1. Initialiser avec l’image de procédé et les fichiers du Runtime
    2. Activez la propriété Fichiers Process Recorder
    3. Optionnel : pour démarrer directement la simulation dans le Runtime après avoir appelé la fonction en mode Lecture, configurez les paramètres sur l'onglet Lecture.
  5. Vous pouvez également configurer les propriétés Options et Runtime.
  6. Name the function in the Nom property.

info Informations

Dans le mode de simulation, le module Process Recorder n'enregistre aucune donnée ultérieure.

Autres sujets abordés dans ce chapitre

Rejouer


Rejouer

Manuel -> Process Recorder -> Configuration dans Editor -> Fonctions de zenon -> Activer/désactiver le projet de simulation -> Rejouer

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Sous l'onglet Rejouer, vous pouvez configurer les paramètres du mode Lecture du module Process Recorder. Si cette boîte de dialogue s'affiche dans le Runtime, seules les exigences de temps peuvent être modifiées.

Les paramètres de cet onglet sont optionnels.

Ils n'ont d'intérêt que si on commutera du mode live directement en mode Lecture.

Paramètre

Description

Démarrer le process recorder en mode rejouer

Cochez la case pour sélectionner le comportement du Runtime après l'exécution de la fonction.

  • Actif :
    le Runtime démarre en mode Lecture.
  • Inactif :
    le Runtime démarre en mode simulation.

Par défaut : Inactive

Filtre

Dans cette zone, vous pouvez configurer l'heure de début de la lecture dans le Runtime.

Paramètre

Description

Filtre de temps absolu

Le début et la fin de la zone de lecture sont fournis manuellement.

La saisie de l'heure de début de la lecture dans les champs d'entrée distincts pour le début et la fin.
Format :

  • Date : JJ.MM.AAAA
    Par défaut : Date du jour
  • Heure : hh:mm:ss
    Par défaut : 00:00:00

Par défaut : active

Remarque : inactif si le type de filtre est Filtre de temps relatif.

Filtre de temps relatif

Début de la plage de lecture, par rapport à l'heure de début. L'heure de début est configurée dans la zone Heure de début.

Saisie de la différence dans les champs de saisie.

  • Soustraire le temps :
    j hh:mm:ss.
  • Ajouter le temps : j hh:mm:ss.

Par défaut : Inactive

Remarque : inactif si le type de filtre est filtre de temps absolu.

Heure de début

Les options ne sont donc disponibles que si le filtre activé est le filtre de temps relatif. À défaut, les options sont grisées. Sélection de l'heure de début dans une case d'option.

Paramètre

Description

Manuel

L'heure de début de la lecture est saisie manuellement pour le module Process Recorder.

Configuration de l'heure de début avec une saisie dans les deux

Par défaut : Date du jour / 00:00:00

Depuis une variable

L'heure de début de la lecture du module Process Recorder provient de la valeur de la variable configurée.

Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de variables.

Le type de données DINT est recommandé pour la variable liée.

Si la variable n'a pas de valeur valide ou si elle a la valeur 0, la fonction ne s'exécute pas ! Une entrée de fichier journal correspondante est créée dans le processus.

Prendre en compte depuis l'écran d'appel

L'heure de début de la lecture dans le Runtime et dans le module Process Recorder provient de l'écran d'appel.

Remarque :

  • La fonction Activer/désactiver le projet de simulation peut être appelée avec succès à partir d'un écran zenon Alarm Message List ou Liste chronologique d’événements.
  • Pour l'appel, seule une entrée (alarme ou événement) de la liste peut être sélectionnée.
    L'heure entrante peut servir d'heure de début de la lecture dans le module Process Recorder.

Si le démarrage de la fonction ne peut pas réussir via Prendre en compte depuis l'écran d'appel, une entrée de fichier journal correspondante est écrite.

Fermer boîte de dialogue

Options | Description :
OK | Applique toutes les modifications effectuées sur tous les onglets, puis ferme la boîte de dialogue.
Annuler | Annule toutes les modifications effectuées sur tous les onglets, puis ferme la boîte de dialogue.
Aide | Ouvre l'aide en ligne.


Appel de synoptique Process Recorder

Manuel -> Process Recorder -> Configuration dans Editor -> Fonctions de zenon -> Appel de synoptique Process Recorder

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Pour ouvrir un synoptique Process Recorder dans le Runtime :

  1. Configurez un synoptique Process Recorder.
  2. Créez une fonction d'appel de synoptique pour ce synoptique.
  3. Définissez les propriétés de filtre souhaitées.

Créez une fonction d’appel de synoptique

La fonction d'appel de synoptique permet d'appeler des synoptiques dans le Runtime. Pour configurer un appel de synoptique Process Recorder, vous pouvez également configurer la durée de l'intervalle, ainsi que l'apparence graphique des listes dans l'aperçu des événements.

Développement

Pour créer une fonction :

  1. Créez une nouvelle fonction :

    Dans la barre d'outils ou le menu contextuel du nœud Fonctions, sélectionnez Nouvelle fonction.
    La boîte de dialogue de sélection d'une fonction s'affiche à l'écran.

  2. Accédez au nœud Synoptiques.
  3. Sélectionnez la fonction Appel de synoptique.

    La boîte de dialogue de sélection de synoptique s’affiche à l’écran.

  4. Sélectionnez l’écran de votre choix.
    Remarque : Si vous sélectionnez un synoptique d'un autre projet, assurez-vous que ce projet est en cours d’exécution dans le Runtime.
  5. Confirmez votre sélection en cliquant sur le bouton OK.
    La boîte de dialogue Filtrer permet de configurer les paramètres de lecture et l'apparence graphique de l'intervalle et d'ouvrir la liste d'événements.
  6. Name the function in the Nom property.

Autres sujets abordés dans ce chapitre

Filtre d’appel de synoptique Process Recorder

Sélection de colonnes

Format colonne


Filtre d’appel de synoptique Process Recorder

Manuel -> Process Recorder -> Configuration dans Editor -> Fonctions de zenon -> Appel de synoptique Process Recorder -> Filtre d’appel de synoptique Process Recorder

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Dans cette boîte de dialogue, vous pouvez configurer les éléments suivants :

  • La durée (en secondes) d'un intervalle
  • L'apparence graphique de la liste dans l'aperçu des événements

Paramètre pour rejouer

Paramètre | Description :
Taille de l'intervale | Saisie de la durée de l'intervalle. Saisie en secondes. Par défaut : 30

Paramètres de colonne des intervalles d'événement

Configuration de l'affichage dans le Runtime des fonctions Liste d'événements : suivant et Liste d'événements : précédent.

Paramètre

Description :

Aperçu

Aperçu de l'affichage configuré.

Remarque : Configuration via un clic, le menu contextuel ou les boutons Sélection de colonne... et Format de colonne....

Sélection de colonnes...

Ouvre la boîte de dialogue de sélection des colonnes à afficher.

Format de colonne...

Ouvre la boîte de dialogue de configuration des formats de colonnes.

Utiliser des couleurs personnalisées

Les couleurs du texte et de l'arrière-plan des résultats suivants et précédents dans la liste d'aperçu des événements peuvent, contrairement à la configuration de la liste intégrale, être configurées séparément.

Si cette option est activée, seules les apparences spécialement configurées sont utilisées pour les entrées suivantes et précédentes de la liste. Toutes les autres entrées de la liste utilisent les paramètres configurés dans la section Format des colonnes.

L'activation s'effectue en cochant la case correspondante.

Textfarbe

Couleur d'affichage du texte de l'événement suivant dans la liste d'aperçu des événements. Cliquez sur la couleur pour la palette de sélection de couleurs.

Remarque : inactive si la propriété Utiliser des couleurs personnalisées est inactive.

Hintergrundfarbe

Couleur de l'arrière-plan de l'événement suivant dans la liste d'aperçu.

Remarque : inactive si la propriété Utiliser des couleurs personnalisées est inactive.

Paramètres de colonne des événements

Configuration de l'affichage dans le Runtime des fonctions Liste d'événements : suivant et Liste d'événements : précédent.

Paramètre | Description :
Aperçu | Remarque : les modifications initiales peuvent déjà être configurées dans cet aperçu, en cliquant avec la souris ou en sélectionnant l'option correspondante dans le menu contextuel.
Sélection de colonnes... | Ouvre la boîte de dialogue de sélection des colonnes à afficher.
Format de colonne... | Ouvre la boîte de dialogue de configuration de l'affichage des colonnes.

Fermer la boîte de dialogue

Option | Description :
OK | Applique les paramètres et ferme la boîte de dialogue.
Annuler | Annule toutes les modifications et ferme la boîte de dialogue.
Aide | Ouvre l'aide en ligne.


Sélection de colonnes

Manuel -> Process Recorder -> Configuration dans Editor -> Fonctions de zenon -> Appel de synoptique Process Recorder -> Sélection de colonnes

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Dans cette section, vous configurez les colonnes affichées dans le Runtime.

Options | Fonction
Colonnes disponibles | Liste de colonnes pouvant être affichées dans la table.
Colonnes sélectionnées | Colonnes affichées dans la table.
Ajouter -> | Déplace la colonne sélectionnée des colonnes disponibles vers les éléments sélectionnés. Lorsque vous confirmez la boîte de dialogue en cliquant sur OK, ces colonnes sont affichées dans la vue de détail.
Ajouter toutes -> | Déplace toutes les colonnes disponibles vers les colonnes sélectionnées.
<- Supprimer | Supprime les colonnes marquées des éléments sélectionnés et les affiche dans la liste des colonnes disponibles. Lorsque vous confirmez la boîte de dialogue en cliquant sur OK, ces colonnes sont supprimées de la vue de détail.
<- Supprimer tout | Toutes les colonnes sont supprimées de la liste des colonnes sélectionnées.
Haut | Déplace l’entrée sélectionnée vers le haut. Cette fonction est uniquement disponible pour les entrées uniques?; les sélections multiples ne sont pas autorisées dans ce cas.
Bas | Déplace l’entrée sélectionnée vers le bas. Cette fonction est uniquement disponible pour les entrées uniques?; les sélections multiples ne sont pas autorisées dans ce cas.

Fermer boîte de dialogue

Options | Description :
OK | Applique les paramètres et ferme la boîte de dialogue.
Annuler | Annule toutes les modifications et ferme la boîte de dialogue.
Aide | Ouvre l'aide en ligne.


Format colonne

Manuel -> Process Recorder -> Configuration dans Editor -> Fonctions de zenon -> Appel de synoptique Process Recorder -> Format colonne

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Apparence graphique des colonnes sélectionnées.

Configuration des propriétés des colonnes pour les listes configurables. Les paramètres ont un effet sur la liste correspondante dans Editor ou, lors de la configuration d’un appel de synoptique, dans le Runtime.

Colonnes disponibles

Options | Description :
Colonnes disponibles | Liste de colonnes disponibles avec la fonction de sélection de colonnes. La configuration de la colonne sélectionnée se déroule via les options de la section Paramètres.

Paramètres

Option

Description :

Paramètres

Paramètres de la colonne sélectionnée.

Intitulé

Nom de l’intitulé de colonne.

Cet intitulé de colonne est compatible avec la fonction de changement de langue en ligne. Pour cela, le caractère @ doit être saisi devant le nom.

Largeur

Largeur de la colonne en caractères.
Calcul : nombre de caractères multiplié par la largeur moyenne des caractères de la police sélectionnée.

Alignement

Alignement. La sélection de l'attribution s'effectue au moyen des cases d'option.

Paramètres possibles :

  • Gauche : Le texte est justifié contre le bord gauche de la colonne.
  • Centré : Le texte est centré dans la colonne.
  • Droite : Le texte est justifié contre le bord droit de la colonne.

Couleurs définies par l'utilisateur

Propriétés permettant de sélectionner des couleurs définies par l’utilisateur pour le texte et l’arrière-plan. Les paramètres ont une incidence dans Editor et dans le Runtime.

Remarque :

  • Ces paramètres sont uniquement disponibles pour les listes configurables.
  • En outre, le focus correspondant dans la liste peut être indiqué par différentes couleurs de texte et d’arrière-plan dans le Runtime. Celles-ci sont configurées dans les propriétés du projet.

Couleurs définies par l’utilisateur

Active : Les couleurs définies par l’utilisateur sont appliquées.

Couleur du texte

Couleur d’affichage du texte. Cliquez sur la couleur pour la palette de sélection de couleurs.

Couleur d'arrière-plan

Couleur d’affichage de l’arrière-plan de la cellule. Cliquez sur la couleur pour la palette de sélection de couleurs.

Désactiver le filtre de colonnes dans le Runtime
  • Active : Le filtre de cette colonne ne peut pas être modifié dans le Runtime.

Remarque : Uniquement disponible pour :

  • Batch Control
  • Extended Trend
  • Synoptiques de filtre
  • Message Control
  • Gestionnaire de groupe de recettes (Recipe Group Manager)
  • Gestion d'équipes
  • Liste contextuelle

Fermer boîte de dialogue

Options | Description :
OK | Applique toutes les modifications effectuées sur tous les onglets, puis ferme la boîte de dialogue.
Annuler | Annule toutes les modifications effectuées sur tous les onglets, puis ferme la boîte de dialogue.
Aide | Ouvre l'aide en ligne.

Colonnes disponibles

Options | Description :
Colonnes disponibles | Liste de colonnes disponibles avec la fonction de sélection de colonnes. La configuration de la colonne sélectionnée se déroule via les options de la section Paramètres.

Paramètres

Option

Description :

Paramètres

Paramètres de la colonne sélectionnée.

Intitulé

Nom de l’intitulé de colonne.

Cet intitulé de colonne est compatible avec la fonction de changement de langue en ligne. Pour cela, le caractère @ doit être saisi devant le nom.

Largeur

Largeur de la colonne en caractères.
Calcul : nombre de caractères multiplié par la largeur moyenne des caractères de la police sélectionnée.

Alignement

Alignement. La sélection de l'attribution s'effectue au moyen des cases d'option.

Paramètres possibles :

  • Gauche : Le texte est justifié contre le bord gauche de la colonne.
  • Centré : Le texte est centré dans la colonne.
  • Droite : Le texte est justifié contre le bord droit de la colonne.

Couleurs définies par l'utilisateur

Propriétés permettant de sélectionner des couleurs définies par l’utilisateur pour le texte et l’arrière-plan. Les paramètres ont une incidence dans Editor et dans le Runtime.

Remarque :

  • Ces paramètres sont uniquement disponibles pour les listes configurables.
  • En outre, le focus correspondant dans la liste peut être indiqué par différentes couleurs de texte et d’arrière-plan dans le Runtime. Celles-ci sont configurées dans les propriétés du projet.

Couleurs définies par l’utilisateur

Active : Les couleurs définies par l’utilisateur sont appliquées.

Couleur du texte

Couleur d’affichage du texte. Cliquez sur la couleur pour la palette de sélection de couleurs.

Couleur d'arrière-plan

Couleur d’affichage de l’arrière-plan de la cellule. Cliquez sur la couleur pour la palette de sélection de couleurs.

Désactiver le filtre de colonnes dans le Runtime
  • Active : Le filtre de cette colonne ne peut pas être modifié dans le Runtime.

Remarque : Uniquement disponible pour :

  • Batch Control
  • Extended Trend
  • Synoptiques de filtre
  • Message Control
  • Gestionnaire de groupe de recettes (Recipe Group Manager)
  • Gestion d'équipes
  • Liste contextuelle

Fermer boîte de dialogue

Options | Description :
OK | Applique toutes les modifications effectuées sur tous les onglets, puis ferme la boîte de dialogue.
Annuler | Annule toutes les modifications effectuées sur tous les onglets, puis ferme la boîte de dialogue.
Aide | Ouvre l'aide en ligne.


Process Recorder : Activer/désactiver lecture

Manuel -> Process Recorder -> Configuration dans Editor -> Fonctions de zenon -> Process Recorder : Activer/désactiver lecture

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Vous pouvez démarrer ou arrêter la lecture de l'enregistrement dans le Runtime avec la fonction Activer/désactiver le projet de simulation.

Paramètre

Description :

Mode Simulation

Type de simulation dans le Runtime de zenon.
Sélection du mode dans un champ d'options :

  • Lecture Process Recorder
    Démarre le Runtime en mode de lecture de la simulation de projet pour le module Process Recorder.
  • Simulation
    Dans le Runtime, bascule du mode de lecture vers la simulation de projet.

Par défaut : Simulation

Début de la lecture

Heure de début de la lecture.
Saisie de l'heure à laquelle démarre la lecture dans le Runtime.

Sélection de la date et de l'heure dans une zone de liste déroulante.
Format d'affichage : JJ.MM.AAAA ou HH:MM:SS.
Cliquez sur la zone sélectionnée pour l'afficher en subrillance et la modifier. Modifiez le contenu de la zone sélectionnée en effectuant une saisie ou en cliquant sur les boutons fléchés.

Par défaut : Date de l'appel, 00:00:00

Remarque : Inactive si l'option Simulation est définie pour la fonction mode Simulation.

Afficher boîte de dialogue dans le Runtime

Checkbox to select whether this dialog is shown in Runtime:

  • Active:
    This dialog is called up during operation in Runtime on the current computer or in the network on the calling client. Changes made by the user in the existing project configurations are thus made possible.
  • Inactive:
    This dialog is not shown in Runtime during operation. The function or the command is immediately executed with the project configuration created in the Editor.

Par défaut : Inactive

Fermer boîte de dialogue

Options

Description :

OK

Applique les paramètres et ferme la boîte de dialogue.

Annuler

Annule toutes les modifications et ferme la boîte de dialogue.

Aide

Ouvre l'aide en ligne.

Tipp Conseil

Pour bénéficier d'une flexibilité maximale dans le Runtime, configurez la fonction en activant la propriété Afficher cette boîte de dialogue dans le Runtime.

Liez cette fonction à un bouton dans un modèle accessible depuis les synoptiques utilisés pendant la lecture.

Ainsi, l'heure de début peut être sélectionnée de manière flexible pendant la lecture.


Process Recorder in the Runtime

Manuel -> Process Recorder -> Process Recorder in the Runtime

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

The following is applicable for the Process Recorder in zenon Runtime:

  • Loading files in playback mode:
    Data from the playback runs in its own thread. This allows the continuous playback of the recorded data without time-consuming reload pauses.
  • Record files:
    The data recording of the Process Recorder module runs in its own thread. This allows continuous data recording without a loss of performance.
  • Display of values:
    If a time range during which Runtime was not active is replayed in the playback, no values are shown during the playback. The elements in the process screens remain empty.
  • Cross-project:
    Data that overlaps several projects in terms of time is compiled into a time bar and played back after being sorted chronologically.
  • Variables that have not been recorded are marked with the PR_NR status bit.
    If the status bit is active, this status is shown in a yellow square in a screen element during playback.

Playback mode

If Runtime is in playback mode, it continues to act as in project simulation.

Examples:

  • No recording of Process Recorder data.
  • Files are created or read in the simulation directory (for example: batch, command sequences).
  • The AUTOEND_Simul script also works in playback mode when Runtime is closed.
  • When closing Runtime, the Variable image remanent property is taken into account for each driver.
  • Archives cannot be exported.
  • The import of command sequences that have been created during simulation is not carried out.
  • The Shift Management module does not access the database.

No data that is created by the playback is saved during playback. This is applicable for the following modules:

  • CEL
  • Alarm Message List
  • Historian
  • Process Recorder
  • HD saving

info Informations

The teaching process for the Command Sequencer module is also available if Runtime is running in Process Recorder's playback mode.


Module Process Recorder sur le réseau zenon

Manuel -> Process Recorder -> Module Process Recorder sur le réseau zenon

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Les règles suivantes s'appliquent au comportement du module Process Recorder sur le réseau :

  • Les serveurs principal et redondant créent un fichier initial au démarrage.
  • Comportement sur le serveur :
    • Une nouvelle entrée est enregistrée dans le fichier sur le serveur, en cas de modification de la valeur.
    • L'entrée est également transmise au serveur redondant.
  • Comportement sur le serveur redondant :
    • Le serveur redondant obtient les fichiers Process Recorder existants auprès du serveur au démarrage.
    • Une fois le transfert des fichiers terminé :
      Le serveur redondant écrit l'entrée reçue du serveur dans le fichier sur le serveur redondant.
    • Si le fichier n'existe pas, le serveur redondant écrit un message de fichier journal correspondant.
    • Pour garantir une synchronisation des fichiers aussi efficacement que possible, il est essentiel de s'assurer que les fichiers Process Recorder sur le serveur redondant possèdent les mêmes propriétés que ceux sur le serveur.
  • Pour la commutation de redondance et le rechargement de projet :
    • Le fichier Process Recorder actuel est fermé.
    • Un nouveau fichier Process Recorder est créé.

attention Attention

Remarque :

  • Sur le serveur redondant, les valeurs du serveur principal sont enregistrées dans le module Process Recorder. Les valeurs reçues par le driver du serveur redondant ne sont pas les valeurs utilisées.
  • La fonction de redondance transparente n'est pas prise en charge par le module Process Recorder. Les variables sont advised sur le serveur redondant, mais ne sont pas enregistrées dans le buffer. L'enregistrement n'est donc pas garanti lors de la commutation de la redondance.


Entrées de fichier journal

Manuel -> Process Recorder -> Entrées de fichier journal

Le module Process Recorder écrit les entrées de fichier journal suivantes.

Enregistrer

Entrée

Niveau

Description :

Unable to Create File: [Nom de fichier]

ERROR

Impossible de créer le nouveau fichier.

Unable to Create Filefolder: [Nom/Dossier]

ERROR

Impossible de créer le répertoire cible.
Causes possibles :

  • Droits d'utilisateur insuffisants
  • Espace de stockage disponible insuffisant
  • Impossible d'atteindre le répertoire cible

Could not write to file!

ERROR

Échec lors de l'accès au fichier, ou le fichier n'a pas encore été créé.

Ce message peut apparaître la première fois qu'une variable est advise, car le fichier requis n'est pas encore présent et n'est créé automatiquement qu'à cet instant.

Filehandler not initialized

ERROR

Les fonctionnalités d'écriture du fichier Process Recorder n'ont pas été démarrées.

Cette entrée de fichier journal peut uniquement être écrite au démarrage.

Réseau

Entrée

Niveau

Description :

Send Data: Cls:CProcessRecorderMsgStartFile name:<filename> size:<filesize> time:<time>

Debug

Entrée de fichier journal sur le serveur.

Envoie un message au serveur redondant, indiquant que le nouveau fichier <filename>, avec la taille <size> et les informations d'horodatage <time>, a été écrit .

Receive Data: Cls:CProcessRecorderMsgStartFile name:<filename> size:<filesize> time:<time>

Debug

Entrée de fichier journal sur le serveur redondant.

Réception d'un message indiquant que le nouveau fichier <filename>, avec la taille <size> et les informations d'horodatage <time>, a été écrit sur le serveur.

Unable to start new file correctly: <filename>

ERROR

Entrée de fichier journal sur le serveur redondant.

Impossible de créer le nouveau fichier <filename> !

Data is missing. File is smaller in size on SB<filename>

ERROR

Entrée de fichier journal sur le serveur redondant.

En cas de modification d'une valeur, si le fichier <filename> est trop petit. C'est le cas si le fichier présent sur le serveur comporte un plus grand nombre d'entrées que celui sur le serveur redondant.

Receive Data: Cls:CProcessRecorderMsgValueChange file:<filename> startPos: :<start> modifyTime:<time> length:<length>

DEBUG

Entrée de fichier journal sur le serveur redondant.

Notification du serveur indiquant que de nouvelles modifications de valeurs ont été enregistrées sur le serveur.

Réception de modifications de valeurs provenant du serveur, écrites dans le fichier <filename>, à partir de la position <start>, avec l'information d'horodatage <time>. Le fichier d'image mémoire possède une longueur de <length>

Send Data: Cls:CProcessRecorderMsgValueChange file:<filename> startPos: :<start> modifyTime:<time> length:<length>

DEBUG

Entrée de fichier journal sur le serveur.

Envoi de modifications de valeurs au serveur redondant pour écriture dans le fichier <nom du fichier>, à partir de la position <début>, avec les informations d'horodatage <heure>. Le fichier d'image mémoire possède une longueur de <longueur>.

Unable to write value changes to file: <filename>

ERROR

Entrée de fichier journal sur le serveur redondant.

Impossible d'écrire les modifications de valeurs dans le fichier <filename>.

Unable to set modify time correctly: <filename>

ERROR

Entrée de fichier journal sur le serveur redondant.

Les modifications de valeurs ont pu être écrites, mais les informations d'horodatage du fichier <filename> n'ont pas pu être modifiées.

C'est le cas si les informations d'horodatage du fichier diffèrent des informations d'horodatage du fichier provenant du serveur. Le fichier sera synchronisé lors de la prochaine synchronisation de fichier.

Runtime

Entrée

Niveau

Description :

Reload PR with process recorder now enabled / disabled

DEBUG

Rechargement en cas de modification de l'activation du module Process Recorder:

  • Pas de modification de la propriété de la variable.
  • Le module Process Recorder a été activé ou désactivé.

Reload <n> variables with process recorder enabled

DEBUG

Rechargement de la configuration pour le module Process Recorder :

L'administration des variables (avec <n> valeurs nouvelles ou modifiées) a été rechargée.

Le module Process Recorder est maintenant également utilisé pour ces variables.

Runtime switch to Simulationmode

DEBUG

Le Runtime bascule du mode Lecture vers le mode Simulation.

Runtime switch to Playbackmode

DEBUG

Le Runtime bascule du mode Simulation vers le mode Lecture.

RT started in playback mode

DÉBOGAGE

Le Runtime a été démarré en mode Lecture.

RT started in simulation mode

DÉBOGAGE

Le Runtime a été démarré en mode Simulation.

Start time for playback from Abs: | Rel: %source% is invalid

ERREUR

Aucune valeur ou aucune variable n'a été trouvée pour l'exécution de la fonction.
source :

  • Saisie utilisateur
  • Nom de la variable (heure de début issue de la variable)
  • Nom du synoptique (heure de début issue du synoptique d'appel)

Rejouer

Entrée

Niveau

Description :

No file loaded

DEBUG

Au démarrage de la lecture, aucun fichier contenant des données enregistrées pour l'heure sélectionnée n'a été trouvé.

Load file for replay <filename>

DEBUG

Notification de réussite au démarrage de la lecture : Le fichier <nom du fichier> a été chargé et contient des données d'enregistrement valides pour l'heure sélectionnée.

No replay buffer filled

DEBUG

Aucune valeur n'a été trouvée dans le fichier.

Filled buffer for replay with <count> variables and <number> entries

DEBUG

Des valeurs associées aux variables ont été trouvées dans le fichier.

  • <count>:
    Nombre de variables comportant des entrées.
  • <number>:
    Nombre de modifications de valeurs.

Intervallstep forward

DEBUG

Déplacement d'un intervalle en avant effectué avec succès pendant la lecture.

Intervallstep back

DEBUG

Déplacement d'un intervalle en arrière effectué avec succès pendant la lecture.

Cancel action

DEBUG

Successful cancellation of a jump command

singlestep forward

DEBUG

Accès à la prochaine modification de valeur effectuée avec succès.

singlestep back

DEBUG

Accès à la modification de valeur précédente effectuée avec succès.

playback status change

DEBUG

La lecture a été démarrée ou mise en pause :

État :

  • started
  • paused

replay timer waiting nn ms

DEEPDEBUG

Recherche de modifications de valeurs pendant la lecture.

Unload File: <filename>

DEBUG

Le fichier <filename> a été supprimé de la mémoire en mode Lecture.


Production and Facility Scheduler (PFS)

Manuel -> Production and Facility Scheduler (PFS)

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Le module Production & Facility Scheduler (PFS) permet l’exécution d’actions (par ex. modification de la valeur prescrite de variables, exécution de fonctions) à des heures définies ou dans un calendrier.

tutorial Informations concernant la licence

Ce module doit disposer d’une licence dans Editor et le Runtime.

Menu contextuel Gestionnaire de projet

Élément de menu | Action
Équipement nouveau | Ouvre l’assistant de création d’un nouveau groupe de modèles horaires.
Nouvel événement | Crée un nouvel événement.
Profil Editor | Ouvre la liste déroulante contenant les profils Editor prédéfinis.
Aide | Ouvre l'aide en ligne.

Autres sujets abordés dans ce chapitre

Général

Barre d’outils et menu contextuel du module PFS

Vues du module Production Facility Scheduler

Développement avec le module Production and Facility Scheduler

Configuration avancée dans le module PFS

Types d’objets

Propriétés

Boîtes de dialogue

Exécuter un événement PFS

Type de synoptique Production and Facility Scheduler (PFS)

Appel de synoptique - PFS


Général

Manuel -> Production and Facility Scheduler (PFS) -> Général

Le module Production & Facility Scheduler (PFS) facultatif permet de définir des actions à exécuter selon une période de temps spécifique ou un modèle de temps.

Le module PFS peut être configuré dans Editor aussi bien que dans le Runtime. La configuration dans le Runtime peut être limitée grâce à la définition de droits d’accès. Toutes les configurations établies dans le Runtime peuvent être rapatriées dans Editor.

Toutes les heures indiquées sont indépendantes des fuseaux horaires, de l’heure d’été et de l’heure légale.

info Informations

Si le projet n’est pas affiché après le démarrage d’Editor :

  • Ouvrez le menu Option.
  • Sélectionnez la commande Gestionnaire de projet.


Barre d’outils et menu contextuel du module PFS

Manuel -> Production and Facility Scheduler (PFS) -> Barre d’outils et menu contextuel du module PFS

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Symbole | Description
Créer | En fonction de l'élément sélectionné, un nouvel élément est créé et la boîte de dialogue correspondante est ouverte.
Couper | Coupe l'élément sélectionné.
Copier | Copie l'élément sélectionné.
Coller | Colle l'élément depuis le presse-papiers.
Supprimer | Supprime l'élément sélectionné.
Aide | Ouvre l'aide en ligne.

Menu contextuel

Élément de menu

Action

Enregistrer

Enregistre les modifications dans la configuration du synoptique PFS.

Annuler

Annule toutes les modifications effectuées depuis le dernier enregistrement du synoptique PFS.

Propriétés

Ouvre la boîte de dialogue de configuration des éléments suivants :

  • Changement d'heure
  • Jours fériés
  • Table de couleurs
  • Enregistrer les horaires des équipes

Aperçu de l'événement

Ouvre la boîte de dialogue d’aperçu des points de commutation.

Critères de filtre…

Ouvre la boîte de dialogue de sélection de filtres.

Aide

Ouvre l'aide en ligne.

info Informations

Vous trouverez des explications concernant les menus contextuels des éléments individuels de l’arborescence et la table aux chapitres correspondants, et plus particulièrement au chapitre Types d’objets.


Vues du module Production Facility Scheduler

Manuel -> Production and Facility Scheduler (PFS) -> Vues du module Production Facility Scheduler

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

La visualisation du module PFS est divisée en deux sections : l’arbre hiérarchique, affiché du côté gauche de l’écran, et la grille, du côté droit de l’écran.

Autres sujets abordés dans ce chapitre

Fenêtre avec l’arborescence

Vue grille


Fenêtre avec l’arborescence

Manuel -> Production and Facility Scheduler (PFS) -> Vues du module Production Facility Scheduler -> Fenêtre avec l’arborescence

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

L’arbre permet à l’utilisateur d’identifier facilement le niveau d’un objet et à quels éléments il se réfère. Les objets de même niveau dans l’arbre sont reliés avec des lignes. Il s’agit ici d’informations importantes, étant donné que le comportement des objets dépend des relations établies entre eux.
Sur chaque type d’objet, vous pouvez activer un menu contextuel dédié en cliquant avec le bouton droit de la souris.

Ceci permet aussi aux utilisateurs de copier, déplacer et supprimer des objets, dans la mesure où ils ont les droits pour faire ces opérations.


Vue grille

Manuel -> Production and Facility Scheduler (PFS) -> Vues du module Production Facility Scheduler -> Vue grille

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

La zone de droite de l’environnement PFS affiche, selon le type d’objet sélectionné dans l’arbre, les données relatives à cet objet. Certains objets peuvent être configurés avec plus de détails dans cette zone, alors que pour d’autres objets (par exemple les événements), leur configuration est seulement visualisée et ne peut pas être modifiée. Par exemple : Événements

Si des modifications peuvent être apportées dans la table, vous pourrez accéder aux commandes nécessaires par le biais des menus contextuels. Ainsi, vous pouvez définir la configuration souhaitée pour les éléments de votre choix.

Pour certains types d’objets, vous pouvez aussi entrer les données directement dans les cellules de la grille - par exemple, les heures utilisées dans les plannings.


Développement avec le module Production and Facility Scheduler

Manuel -> Production and Facility Scheduler (PFS) -> Développement avec le module Production and Facility Scheduler

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Dans cette section, nous procédons pas à pas à la création d’un projet PFS. Les opérations suivantes seront effectuées :

  • Création de groupes de modèles horaires, de modèles et de plannings.
  • Création d’heures absolues et relatives avec des liens vers des variables ou des fonctions.
  • Création et exécution d’événements définis par l’utilisateur.
  • Utilisation de fonctions d’éditions telles que Copier, Déplacer, Supprimer.
  • Création dans le calendrier des liens vers les plannings et les modèles.
  • Vérification de la configuration créée en utilisant l’aperçu des événements.
  • Création des plannings dans le Runtime.

Vous devez, à cette fin, être familiarisé avec les techniques de création de projets, de variables, de fonctions, de cadres et de synoptiques. Dans cette section, seule la description des paramètres relatifs au module PFS sera fournie. Si vous souhaitez obtenir davantage d’informations sur ces fonctionnalités de base, veuillez vous reporter aux chapitres correspondants dans la documentation.

info Informations

Les intitulés dans les listes telles que les calendriers, les plannings, les événements et autres sont toujours affichés dans la langue de création du projet.

Autres sujets abordés dans ce chapitre

Description des tâches

Étape 1 : Préparatifs

Étape 2 : Paramètres du module Production and Facility Scheduler (PFS)

Étape 3 : Créez des groupes de modèles horaires

Étape 4 : Créez le modèle

Étape 5 : Créez les postes et les pauses

Étape 6 : Définissez le modèle de vacances

Étape 7 : Durée définie par l’utilisateur de la sonnerie

Étape 8 : Réflexions concernant la structure des plannings

Étape 9 : Planning du hall

Étape 10 : considérations relatives aux heures

Étape 11 : Heures du planning Hall

Étape 12 : Événements du planning Hall

Étape 13 : Ligne de planning I

Étape 14 : Ligne de planning II

Étape 15 : réflexions concernant l’attribution du calendrier

Étape 16 : exécution de l’attribution du calendrier

Étape 17 : Vérification du projet

Étape 18 : Le module PFS dans le Runtime

Étape 19 : Exécution dans le Runtime

Étape 20 : Resume


Description des tâches

Manuel -> Production and Facility Scheduler (PFS) -> Développement avec le module Production and Facility Scheduler -> Description des tâches

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

La tâche que nous devons créer est définie comme suit : un atelier d’usine (Hall I), contenant deux lignes de production (Ligne I et Ligne II) tournant avec une équipe de 06.00 à 18.00, doit être chauffé, et son système d’éclairage doit être mis en route et arrêté. Le chauffage nécessite un temps de préchauffage de deux heures pour la ligne I et d’une heure pour la ligne II?; la ligne de production I doit être chauffée à 83° et la ligne II à 45°. S’il n’y a pas de production, le chauffage doit être baissé à 20°. Les lumières doivent être allumées 10 minutes avant que l’équipe arrive ou arrêtées 10 minutes après son départ. Le démarrage, l’arrêt ou les différentes pauses de l’équipe de production doivent être signalés par une sonnerie de 6 secondes. Pendant la journée, il y a une pause de 15 minutes à 9:00, une pause repas d’une heure démarrant à 12:00, et une autre pause de 15 minutes à 15:00. La production se fait les 5 jours de la semaine. Il n’y a aucune production durant les congés et les week-ends. Cet atelier est situé en Autriche. Toutes les 6 heures, la pompe de traitement des eaux usées doit être mise en route pendant 30 secondes.


Étape 1 : Préparatifs

Manuel -> Production and Facility Scheduler (PFS) -> Développement avec le module Production and Facility Scheduler -> Étape 1 : Préparatifs

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Dans cette étape, nous allons effectuer quelques tâches préalablement à la configuration du module PFS. Nous allons créer un projet?; puis un driver est mis en œuvre, et les variables nécessaires dans le cadre de notre exemple sont créées.

  1. Créez un nouveau projet nommé PfsSample dans un nouvel espace de travail.
  2. Dans le menu contextuel du projet, dans Fichiers du Runtime -> Données modifiables dans le Runtime....
  3. Décochez la case Ne pas générer et transférer pour la ligne correspondant au 'Planning'. De cette façon, tout changement fait dans le module PFS dans Editor entraînera la génération du fichier Runtime correspondant?; les modifications éventuellement faites dans le Runtime seront donc écrasées.
  4. Décochez la case Ne pas décompiler pour la ligne correspondant au 'Planning'. Les modifications effectuées dans le Runtime peuvent être transférées à Editor, via une décompilation.
  5. Intégrez le driver de simulation au projet. Acceptez ensuite les paramètres de configuration.
  6. Créez les variables suivantes :
    • Bit HD?; Offset 10 ; Bit 0, Nom : Sonnerie
    • Bit HD?; Offset 10 ; Bit 1, Nom : Lumière I
    • Bit HD?; Offset 10 ; Bit 2, Nom : Lumière II
    • Bit HD?; Offset 10 ; Bit 3, Nom : Pompe à eaux usées
    • Mot HD?; Offset 11?; Nom : Chauffage P I
    • Mot HD?; Offset 12?; Nom : Chauffage P II
  7. Activez le module PFS en cliquant sur le nœud approprié dans le gestionnaire de projet. Une section de gestion de plannings vide doit s’afficher dans la vue de détails.
  8. Agrandissez la fenêtre Gestionnaire de projet en cochant l’option Déplacer dans la fenêtre principale ou en décochant Autoriser l’amarrage dans le menu contextuel de la fenêtre. Une zone de configuration assez grande dans le gestionnaire de projet permet une configuration plus facile du module PFS.


Étape 2 : Paramètres du module Production and Facility Scheduler (PFS)

Manuel -> Production and Facility Scheduler (PFS) -> Développement avec le module Production and Facility Scheduler -> Étape 2 : Paramètres du module Production and Facility Scheduler (PFS)

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Dans cette étape, on définit les paramètres qui s’appliquent à l’environnement PFS complet. Afin de déterminer les jours fériés appropriés, il faut sélectionner le pays dans lequel le projet PFS actuel est réalisé.

  1. Faites un clic droit avec la souris sur l’entrée Production & Facility Scheduler dans la vue détaillée.
  2. Sélectionnez Propriétés.

    La boîte de dialogue de configuration des propriétés s’affiche alors à l’écran.

  3. Basculez vers l'onglet Jours fériés.
  4. Sélectionnez le pays souhaité dans la liste.
    Dans notre exemple : Austria.
  5. Cliquez sur OK.

La boîte de dialogue se ferme et les jours fériés sont appliqués.


Étape 3 : Créez des groupes de modèles horaires

Manuel -> Production and Facility Scheduler (PFS) -> Développement avec le module Production and Facility Scheduler -> Étape 3 : Créez des groupes de modèles horaires

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Dans cette étape, nous allons créer un nouveau groupe de modèles horaires et le configurer en fonction de nos besoins.

Dans notre cas, Hall I désignera le groupe de modèles horaires, car ce hall nécessite des modèles spécifiques (reportez-vous à la rubrique concernant les objets Modèle horaire). Dans le cas où plusieurs modèles différents sont nécessaires pour le même jour du calendrier, vous devrez scinder un projet en différents groupes de modèles horaires.

Développez le nœud principal, Production & Facility Scheduler. Vous devez voir trois entrées dans l’arbre. Groupes de modèles horaires, Événements et Calendrier

Cliquez avec le bouton droit de la souris sur l’entrée Groupe de modèles horaires et choisissez la commande Créer dans le menu contextuel. La page de propriétés du groupe de modèles horaires s’affiche maintenant. Le champ Label (Intitulé) reste vide, car nous sommes en train de créer un nouveau groupe de modèles horaires.

Saisissez Hall I dans le champ Nom?; cela sera le nom du nouveau groupe de modèles horaires. La désignation (c’est-à-dire l’intitulé) du groupe de modèles horaires doit être unique dans tout l’environnement du module PFS. Dans ce cas particulier, nous en sommes vraiment certains.

Laissez les paramètres Début de journée (00:00:00) et Fin de journée (23:59:59) tels quels. Ces déclarations définissent le cycle du groupe de modèles horaires pour un jour complet.

Après vous être assuré que la désignation du groupe de modèles horaires est valide, cliquez sur OK pour enregistrer ces paramètres et créer le nouveau groupe de modèles horaires.

Vous pouvez maintenant voir qu’une nouvelle entrée est apparue sous l’en-tête Groupe de modèles horaires, appelée Hall I?; cette entrée contient deux sous-entrées : Modèles horaires et Plannings.


Étape 4 : Créez le modèle

Manuel -> Production and Facility Scheduler (PFS) -> Développement avec le module Production and Facility Scheduler -> Étape 4 : Créez le modèle

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Les modèles sont nécessaires pour définir les horaires relatifs. Ils contiennent les informations concernant les équipes (postes) : heures de travail et de pauses.

Sélectionnez l’item Nouveau modèle horaire dans le menu contextuel Modèles horaires.

Un nouveau modèle horaire est créé avec le nom modèle horaire 0. Vous pouvez le renommer en cliquant deux fois sur le nom dans l’arbre. Donnez-lui le nom Jour de travail. Confirmez le nouveau nom en appuyant sur la touche Entrée ou en cliquant en dehors du champ de saisie. Cliquez deux fois sur l’intitulé Jour de travail pour revenir au "mode Renommer". Vous pouvez aussi activer ce mode en utilisant l’entrée Renommer du menu contextuel. La désignation doit être unique sur l’ensemble du groupe de modèles horaires.


Étape 5 : Créez les postes et les pauses

Manuel -> Production and Facility Scheduler (PFS) -> Développement avec le module Production and Facility Scheduler -> Étape 5 : Créez les postes et les pauses

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Les postes (équipes de travail) sont des éléments décisifs pour la définition des horaires relatifs. Cela ne concerne pas seulement les événements relatifs comme Début de poste et Fin de poste, mais aussi le démarrage et l’arrêt de la production.

Sélectionnez la cellule du haut dans la colonne Postes/Pauses. Pour créer un nouveau poste, sélectionner Créer un poste dans le menu contextuel. Assurez-vous de donner une désignation unique au nouveau poste. Nous nommons ce poste 1. Avec la touche Tabulation ou la souris, nous sélectionnons la colonne Heure de début. Notre équipe démarre à 06:00:00 et termine à 18:00:00?; vous devez donc définir l’heure de début 06:00:00 et l’heure de fin 18:00:00.

Les postes sont affichés avec une couleur de fond grise, alors que les pauses sont affichées en blanc.

Notre équipe de travail a heureusement des pauses que nous allons définir maintenant. Pour cela, sélectionnez une cellule de la ligne en dessous du poste, et ouvrez le menu contextuel. Pour créer une nouvelle pause, sélectionner Créer une pause dans le menu contextuel. Nous lui donnons le nom Matin. La première pause démarre à 09:00:00 et se termine à 09:15:00.

Nous allons créer la pause déjeuner. Désignation : Pause déjeuner?; début : 12:00:00, fin : 15:15:00 13:00:00

Et la dernière, la pause de l’après-midi : Nom : Après-midi?; début : 15:00:00, fin : 15:15:00

Notre modèle nommé Jour de travail doit maintenant être configuré ainsi :


Étape 6 : Définissez le modèle de vacances

Manuel -> Production and Facility Scheduler (PFS) -> Développement avec le module Production and Facility Scheduler -> Étape 6 : Définissez le modèle de vacances

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Comme il n’y a aucune production les jours fériés et comme ces jours fériés peuvent être des jours entre lundi et vendredi, ces jours nécessitent un modèle spécifique. Le modèle est très simple, car il ne contient pas de poste. Dans cette situation, vous devez vous rappeler qu’un modèle relatif à un jour spécial est prioritaire par rapport aux modèles utilisés pour les semaines habituelles. Ceci repose sur les "modèles par défaut". Pour expliquer cela rapidement, disons simplement que les attributions de modèle sur un seul jour ont une priorité plus importante que les jours spéciaux. Un modèle qui ne contient pas de poste a la même priorité qu’un jour auquel aucun modèle n’est lié.

Comme décrit dans l’étape 4, créez un modèle nommé Jours fériés. Aucun poste n’est à définir dans ce modèle.


Étape 7 : Durée définie par l’utilisateur de la sonnerie

Manuel -> Production and Facility Scheduler (PFS) -> Développement avec le module Production and Facility Scheduler -> Étape 7 : Durée définie par l’utilisateur de la sonnerie

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Nous allons maintenant configurer le projet pour faire retentir une sonnerie pendant 6 secondes, au début et à la fin des postes et des pauses. La durée de 6 secondes de la sonnerie peut être définie efficacement en utilisant un événement défini par l’utilisateur.

Qu’est-ce qu’un événement défini par l’utilisateur ? Les événements définis par l’utilisateur sont en fait des horaires relatifs, qui sont spéciaux dans la mesure où ils sont définis par l’utilisateur développant le projet. Un événement défini par l’utilisateur est déclenché en appelant la fonction PFS - exécuter événement défini par l’utilisateur. Par conséquent, l’heure de l’appel de fonction sera entrée comme déclencheur de l’événement défini par l’utilisateur. L’action liée à l’événement sera effectuée selon la valeur d’offset que vous avez définie.

Maintenant que nous avons expliqué les principes, créons cet événement. Cliquez droit sur la section Événements et créez un nouvel événement utilisateur avec l’item Créer. L’événement est créé avec le nom événement défini par l’utilisateur 0 et se trouve en mode renommer. Nous y sommes déjà familiarisés à partir du modèle horaire. Entrez Durée de la sonnerie comme désignation pour cet événement. La nouvelle désignation doit être unique dans l’ensemble de l’environnement du module PFS.

Allez dans Gestion des fonctions et ajoutez la fonction PFS - Déclencher événement défini par l’utilisateur à l’événement défini par l’utilisateur Durée de la sonnerie.


Étape 8 : Réflexions concernant la structure des plannings

Manuel -> Production and Facility Scheduler (PFS) -> Développement avec le module Production and Facility Scheduler -> Étape 8 : Réflexions concernant la structure des plannings

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

La tâche qui nous incombe comporte deux lignes de production que nous devons inclure dans des plannings séparés. En même temps, certaines tâches vont être identiques pour les deux lignes. Sur les deux lignes, les lumières doivent être allumées 10 minutes avant que l’équipe de travail commence et doivent être éteintes 10 minutes après son départ. Ceci va être défini dans un planning supplémentaire de niveau supérieur. Nous allons faire bon usage des capacités du logiciel à utiliser dans de nouveaux plannings des horaires de plannings définis précédemment. Cependant, seul l’événement est identique ici, car chaque ligne de production est équipée avec son propre système d’éclairage. La pompe des eaux usées doit aussi être activée et cela sera ajouté dans le planning supplémentaire supérieur.

Après ça, on doit encore configurer la sonnerie. Cette configuration est identique sur les deux lignes, car une seule sonnerie équipe les deux halls, et donc cela sera traité dans le planning supplémentaire supérieur.

Planning Hall. Désignation Hall. Nous devons configurer les heures pour la sonnerie, la pompe des eaux usées et le système d’éclairage.

Planning pour la Ligne I : Planning supplémentaire de niveau inférieur pour le hall. Désignation pour la Ligne I, les lumières doivent être allumées et éteintes. Définition de la température.

Planning pour la Ligne II : Planning supplémentaire de niveau inférieur pour le hall. Désignation pour la Ligne II, les lumières doivent être allumées et éteintes. Définition de la température.

Maintenant que nous avons posé ces principes, nous allons définir les plannings.


Étape 9 : Planning du hall

Manuel -> Production and Facility Scheduler (PFS) -> Développement avec le module Production and Facility Scheduler -> Étape 9 : Planning du hall

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Le premier planning que nous devons créer contient les événements pour le Hall I. En plus, il contient tous les horaires nécessaires pour les plannings du niveau inférieur (sous plannings).

Démarrons la création de notre premier planning. Pour cela, développer les branches Production & Facility Scheduler, Groupe de modèles horaires puis Hall I dans l’arborescence, afin que l’entrée Planning située près du groupe de modèles horaires Hall I soit visible. Cliquez avec le bouton droit de la souris sur l’entrée Plannings et choisissez la commande Créer ... dans le menu contextuel. Les différentes propriétés relatives aux plannings sont montrées à l’écran. Dans le champ Désignation, entrez le nom Hall. Le planning doit être actif (c’est-à-dire la case Planning actif doit être cochée), et ne doit pas être défini comme une 'structure de planning (la case Structure de planning ne doit pas être cochée).

Nous devons pouvoir exécuter l’événement définit par l’utilisateur Durée de la sonnerie. Pour ce faire, cette fonction est ajoutée aux fonctions utilisées dans le planning. Cliquez avec le bouton droit de la souris sur l’entrée Liste de fonctions et choisissez la commande Ajouter fonction dans le menu contextuel. Appliquez la fonction précédemment définie PFS - Exécuter un événement défini par l’utilisateur [Durée de la sonnerie]. Une fois validée la sélection, cette fonction apparaît dans la liste des fonctions du planning et peut être utilisée dans celui-ci.

En plus, nous voulons utiliser les variables Sonnerie et Pompe à eaux usées qui serviront à activer la sonnerie et la pompe des eaux usées. Pour cela, nous devons ajouter ces variables à la liste des variables du planning. Ouvrez le menu contextuel sur Liste de variables et cliquez sur l’item Ajouter variable. La liste des variables apparaissant sur le synoptique vous permet d’ajouter les variables requises. Pour ce faire, double-cliquez sur une variable de la liste de variables disponibles ou sélectionnez une variable avant de cliquer sur le bouton Ajouter.

Maintenant nous allons configurer le planning.


Étape 10 : considérations relatives aux heures

Manuel -> Production and Facility Scheduler (PFS) -> Développement avec le module Production and Facility Scheduler -> Étape 10 : considérations relatives aux heures

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Les heures servent à définir le moment où les événements sont exécutés. Deux types d’heures sont disponibles :

Heure absolue : ce type nécessite que vous définissiez directement une heure spécifique. L’événement s’exécute à ce moment ou non. L’heure de l’exécution ne change pas. L’exécution n’aura pas lieu si le planning ou l’événement a été désactivé, ou si le planning n’a pas été lié correctement au jour. Ce type d’heure est idéal quand une heure d’exécution a été définie de façon catégorique.

Heure relative : Dans ce cas, l’heure d’exécution réelle ne dépend pas seulement du type d’événement configuré, mais aussi de la façon dont sont positionnés les modèles horaires dans le calendrier, sur le type de jour (normal ou congé), et d’un certain nombre d’autres facteurs. Les conditions d’exécution sont décrites en détail dans la section sur les types d’heures. En bref, l’heure d’exécution dépend d’un certain nombre de facteurs, d’où le nom d’heure "relative". L’avantage d’utiliser ce type d’heure est que, dans le cas où une référence doit être modifiée, tous les événements relatifs à cette référence seront mis à jour automatiquement. Cependant, il y a aussi un inconvénient que vous devez garder en tête. Comme l’heure d’exécution n’est pas affichée directement, les heures relatives définies ne peuvent pas être supervisées aussi facilement que les heures absolues. Mais l’aperçu des événements fournit cependant une solution à ce problème.

Donc, quels types d’heures devons-nous utiliser pour répondre à notre cahier des charges?? Pour répondre à cette question, considérons comment et pourquoi les différentes actions doivent être effectuées et quels sont les différents éléments à activer/désactiver.

D’abord la sonnerie. Elle doit retentir pendant 6 secondes à chaque fois que l’équipe démarre, s’arrête ou fait une pause. Le déclenchement de la sonnerie est directement lié aux horaires de chaque poste ou pause. Nous savons à quelle heure commence et finit chaque équipe (ou poste) et chaque pause. Ainsi, il nous est possible d’utiliser ces horaires directement. Cependant, si l’équipe change, ces horaires doivent aussi être modifiés. La même chose s’applique pour les horaires qui en dépendent (switching of the horn) qui doivent à leur tour être modifiés. Ceci peut être la cause d’un certain nombre d’erreurs. En utilisant les horaires relatifs Début de poste, Fin de poste, Début de pause et Fin de pause, tous les ajustements nécessaires seront faits automatiquement. Pour obtenir une durée de sonnerie de 6 secondes, nous devrons appliquer un offset sur notre événement défini par l’utilisateur qui définira la désactivation de la sonnerie.

La lumière de la ligne de production dépend également directement du poste. Elle s’exécute donc au début de poste et fin de poste.

Les températures de la ligne de production dépendent également directement du poste.

La pompe à eaux usées doit être activée à des intervalles spécifiques - toutes les 6 heures et pendant 30 secondes. Là il n’y a pas de lien avec les horaires des équipes. Donc, des horaires absolus sont définitivement recommandés ici.

Maintenant que nous avons analysé les différents types d’exécution, nous pouvons démarrer la configuration.


Étape 11 : Heures du planning Hall

Manuel -> Production and Facility Scheduler (PFS) -> Développement avec le module Production and Facility Scheduler -> Étape 11 : Heures du planning Hall

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Nous démarrons par la création de l’heure de début pour la pompe des eaux usées. Pour cela, sélectionnez la cellule dans la première rangée à côté de la colonne Type d’horaire. Nous utilisons l’élément du menu contextuel Créer grille d’horaires pour ouvrir une boîte de dialogue pour la création d’une grille d’horaires. Lorsque vous activez la case Temps cyclique, des champs supplémentaires peuvent être définis.

Saisissez les données comme montrées dans la capture d’écran montrée ci-dessus. Avec ces paramètres 4 heures absolues sont créées. Minuit, 6:00, midi et 18:00.

30 secondes après l’activation, les pompes doivent être arrêtées. Nous devons donc créer 4 autres heures, avec 30 secondes de décalage par rapport à celles que nous venons de définir. Pour obtenir cet offset, spécifier 00:00:30 comme heure de départ.

Nous allons maintenant procéder à la configuration de la sonnerie. Cliquez droit dans la grille et sélectionnez Fixer horaire dans le menu contextuel. Une nouvelle période de temps absolue a été créée. Cependant, nous avons besoin ici d’une heure relative. Sélectionnez dans la liste de la colonne 'Type d’horaire' et de cette ligne, le choix 'Temps relatif'. Maintenant, si vous sélectionnez la colonne Heure, vous avez accès à une liste qui contient les événements relatifs disponibles. Sélectionnez début de poste. La valeur d’offset reste à 0, car la sonnerie doit être déclenchée au moment où l’équipe démarre son travail. La sonnerie doit aussi être déclenchée à l’arrêt de l’équipe, au début des pauses et à la fin des pauses. Donc 3 horaires relatifs supplémentaires doivent être créés avec les événements correspondants. La sonnerie doit être arrêtée 6 secondes après avoir été activée. Pour configurer cela, ajouter un nouvel horaire relatif et sélectionner l’événement utilisateur Durée de la sonnerie à la liste. Durée de la sonnerie est l’événement défini par l’utilisateur que nous avons créé précédemment. Spécifiez un offset de 0.1 minute, c’est-à-dire 6 secondes. Cette valeur indique la durée de la sonnerie.

Maintenant, occupons-nous du chauffage. Créez deux horaires relatifs ; pour le démarrage de l’équipe, utilisez une valeur d’offset de -120 et -60, respectivement.

Il nous manque toujours les heures d’activation pour le système d’éclairage. Créez deux horaires relatifs?; pour le démarrage de l’équipe, utilisez un offset de -10, et pour l’arrêt de l’équipe, utilisez un offset de 10.


Étape 12 : Événements du planning Hall

Manuel -> Production and Facility Scheduler (PFS) -> Développement avec le module Production and Facility Scheduler -> Étape 12 : Événements du planning Hall

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Nous avons utilisé des horaires pour définir des instants où des événements surviennent, et nous devons définir maintenant ce qui doit effectivement se passer à ces moments-là. C’est à cela que servent ces événements.

Commençons par la pompe des eaux usées. Sélectionnez l'heure 00:00:00. Dans le menu contextuel, cliquez sur l’entrée Créer un événement. Une nouvelle ligne, représentant l’événement, est ajoutée juste en dessous de la ligne d’heure. Les événements contiennent les colonnes suivantes : Actif, Type de lien, Action et Mot de passe. Regardons rapidement ces champs.

Active : Ce champ vous permet d’activer ou de désactiver un événement. Vous pouvez l’utiliser pour empêcher l’exécution d’un événement.

Type de lien : Ce champ spécifie si l’action sera une modification de variable ou un appel de fonction. Les autres types de liens sont documentés dans la partie Objet Événement.

Liens : Selon le type de lien, vous pouvez sélectionner une variable ou une fonction parmi les variables et fonctions que vous aurez ajoutées dans les listes liées au planning.

Action : Si le type de lien est Variable, ce champ contient la valeur à envoyer à la variable. Si le type de lien est fonction, ce champ est identique à la colonne Actif.

Mot de passe : Permet de définir des autorisations d’accès spécifiques pour la configuration dans le Runtime.

Nous allons maintenant définir l’événement. La colonne actuellement sélectionnée est Type de lien. Sélectionnez l’élément Variable dans la liste déroulante. Maintenant, sélectionnez la colonne Liens. Sélectionnez la variable Pompe à eaux usées dans la liste. Maintenant, sélectionnez la colonne Action. Dans cette colonne, entrez la valeur 1. Ceci signifie qu’à 00:00:00, le système enverra 1 dans la variable Pompe à eaux usées.

Maintenant, créez les événements suivants :

  • 00:00:30 Variable : Pompe à eaux usées?; valeur : 0
  • 06:00:00 Variable : Pompe à eaux usées?; valeur : 1
  • 06:00:30 Variable : Pompe à eaux usées?; valeur : 0
  • 12:00:00 Variable : Pompe à eaux usées?; valeur : 1
  • 12:00:30 Variable : Pompe à eaux usées?; valeur : 0
  • 18:00:30 Variable : Pompe à eaux usées?; valeur : 1
  • 18:00:30 Variable : Pompe à eaux usées?; valeur : 0

Maintenant, occupons-nous de la sonnerie. Si vous vous rappelez, nous avons défini un certain nombre d’horaires relatifs pour la sonnerie.
Début de poste, offset 0, Fin de poste, offset 0, Début de pause, offset 0, Fin de pause, offset 0 et Durée de sonnerie, offset 0,1.
Deux événements doivent être exécutés pour le démarrage de la sonnerie et l’arrêt. Le premier active la sonnerie. Le second déclenche l’événement défini par l’utilisateur Durée de la sonnerie.
L’horaire relatif (événement utilisateur) durée de la sonnerie doit alors désactiver la sonnerie. Donc, commençons la création de ces événements. Contrairement à la configuration de la pompe des eaux usées, cette configuration utilise 4 heures différentes. Par exemple, pour Début de poste, offset 0, nous pouvons créer deux événements fonction consécutifs. Cependant, une solution plus simple est possible. Sélectionnez l’heure Début de poste, Offset 0. Dans le menu contextuel, activez la commande Créer événements .... Le système affiche la boîte de dialogue de création d’événements. Sélectionnez la fonction Événement PFS [Durée de la sonnerie] et la variable Sonnerie. Cliquez ensuite sur Ajouter pour ajouter effectivement ces objets à la liste. Après avoir cliqué sur OK, les 2 événements correspondants avec les bons types et paramètres sont créés. Vous devez toutefois quand même mettre la valeur 1 dans la colonne Action pour positionner la variable Sonnerie à 1. Utilisez maintenant, la même méthode pour les événements relatifs à "Fin de poste", "Début de pause", et "Fin de pause". Nous allons maintenant terminer la gestion de la sonnerie en utilisant l’événement utilisateur Sonnerie pour remettre la variable Sonnerie à 0.

info Informations

Une valeur décimale peut être saisie avec une virgule ou un point, mais la virgule sera automatiquement changée en point.


Étape 13 : Ligne de planning I

Manuel -> Production and Facility Scheduler (PFS) -> Développement avec le module Production and Facility Scheduler -> Étape 13 : Ligne de planning I

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Lorsque nous avons précédemment considéré la structure du site de production, nous avons décidé que les systèmes de réglage des températures et de l’éclairage seraient définis dans des "sous-plannings".

Nous allons créer le planning pour la Ligne I. Pour cela, sélectionnez le planning Hall dans l’arbre. Ouvrez le menu contextuel et sélectionnez Créer pour activer la boîte de dialogue des propriétés des plannings. Définissez le nom Ligne 1 et ici, on n’a pas besoin d’ajouter des variables. Cette partie fournit l’opportunité de parler des modifications que l’on apporte ultérieurement sur des liens de variables ou de fonctions.

Pour le nouveau planning Ligne I, sélectionnez Liste de variable dans l’arborescence. Utilisez le menu contextuel et Ajouter une variable pour relier les variables Lumière I et Chauffage P I au planning.

Si le planning Ligne I est sélectionné, tous les horaires définis sur les plannings de niveaux supérieurs sont montrés sur un fond gris dans la grille. Les horaires affichés sur fond gris identifient les horaires qui sont hérités des plannings de niveaux supérieurs. Si un item est modifié dans un planning "parent", alors les horaires dans les plannings "enfants" seront mis à jour automatiquement.

Nous allons maintenant définir les événements pour les systèmes de réglages des températures et de l’éclairage. Le processus est identique que celui pour le planning Hall.


Étape 14 : Ligne de planning II

Manuel -> Production and Facility Scheduler (PFS) -> Développement avec le module Production and Facility Scheduler -> Étape 14 : Ligne de planning II

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Créer un nouveau planning, nommé Ligne II, qui comportera les mêmes événements.


Étape 15 : réflexions concernant l’attribution du calendrier

Manuel -> Production and Facility Scheduler (PFS) -> Développement avec le module Production and Facility Scheduler -> Étape 15 : réflexions concernant l’attribution du calendrier

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Les horaires définis dans les plannings ne sont pas liés à des dates?; ce lien va être défini par l’attribution des horaires dans les jours du calendrier. Ce processus d’attribution doit être effectué séparément pour les horaires absolus et les horaires relatifs. Les attributions peuvent être effectuées séparément pour chaque groupe de modèles horaires.

Autres sujets abordés dans ce chapitre

Temps absolu

Temps relatifs


Temps absolu

Manuel -> Production and Facility Scheduler (PFS) -> Développement avec le module Production and Facility Scheduler -> Étape 15 : réflexions concernant l’attribution du calendrier -> Temps absolu

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Lorsqu’on utilise des temps absolus, le lien du planning à des jours spécifiques du calendrier est très important. Dans ce cas, les types de liens suivants sont supportés :

Utiliser le planning ce jour.

Ne pas utiliser de planning ce jour.

Utiliser le planning ce jour férié.

Utiliser le planning les jours de la semaine.


Temps relatifs

Manuel -> Production and Facility Scheduler (PFS) -> Développement avec le module Production and Facility Scheduler -> Étape 15 : réflexions concernant l’attribution du calendrier -> Temps relatifs

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Lors de l’utilisation de temps relatifs, l’attribution d’un modèle à un jour est aussi importante que les postes définis dans le modèle. Dans ce cas, les types de liens suivants sont pris en charge :

  • Utiliser le modèle ce jour
  • Modèle jour férié si le jour est un jour férié
  • Utiliser le modèle les jours de la semaine

Remarque : Les horaires relatifs ne sont pas vérifiés en cas de conflits horaires.


Étape 16 : exécution de l’attribution du calendrier

Manuel -> Production and Facility Scheduler (PFS) -> Développement avec le module Production and Facility Scheduler -> Étape 16 : exécution de l’attribution du calendrier

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Sélectionnez l’entrée Calendrier dans l’arborescence. La grille affiche maintenant le mois courant. Chaque semaine comporte les lignes Modèle - Hall I et Planning - Hall I. Sélectionnez la cellule Planning - Hall I du lundi. Activez le menu contextuel et sélectionnez la commande 'Sélectionner plannings' pour ouvrir la boîte de sélection de planning. Sélectionnez le planning Hall, et cliquez sur le bouton Ajouter pour ajouter cet item à la liste. L’identification complète Hall I.Hall, héritée du planning, est affichée. Fermez la boîte de dialogue par le bouton OK?; la configuration des séries peut être faite dans la boîte de dialogue affichée. Notre planning doit être exécuté sur une base hebdomadaire, sans date de fin définie du lundi au dimanche. Pour définir le planning les jours spéciaux, activez les Propriétés sur le planning, puis l’onglet Remplissage calendrier. Il est également possible d’y effectuer des tâches d’attribution pour les jours de semaine. Aucun remplissage de calendrier n’est nécessaire pour les plannings Ligne I et Ligne II, car ces plannings n’utilisent pas d’événement avec des horaires absolus.

Les horaires relatifs nécessitent l’attribution des modèles horaires, pour ceci procédez comme suit. Sélectionnez la cellule Modèle Hall I du lundi. Activez le menu contextuel et sélectionnez la commande Sélectionner modèle pour ouvrir la boîte de sélection de modèle. Sélectionnez le modèle Jour de travail, puis ajoutez-le à la liste. Cliquez sur OK pour fermer la boîte de dialogue, une boîte de dialogue est ouverte pour que vous confirmiez si ce modèle doit être utilisé comme modèle par défaut. Cliquez sur Oui : ce modèle sera alors lié à tous les lundis. Si vous cliquez sur Non, le modèle n’est lié qu’à ce lundi particulier. Nous devons activer ce modèle pour tous les lundis. Vous pouvez répéter cette opération pour les jours de la semaine du mardi au vendredi. Cependant, un moyen plus simple consiste à accéder à la page Propriétés - Remplissage calendrier pour le groupe de modèles horaires Hall I, et de procéder ensuite aux attributions sur cette page. Sélectionnez le modèle Jour de travail pour les jours de la semaine de mardi à vendredi, et sélectionnez le modèle Jour férié pour les jours spéciaux. Si maintenant, vous visualisez à nouveau la vue Calendrier, vous verrez quels sont les modèles associés à chaque jour.


Étape 17 : Vérification du projet

Manuel -> Production and Facility Scheduler (PFS) -> Développement avec le module Production and Facility Scheduler -> Étape 17 : Vérification du projet

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Editor permet de vérifier la configuration du planning et du remplissage du calendrier. C’est possible dans l’aperçu de l’événement, dans lequel le mode aperçu vous permet de visualiser n’importe quelle période de temps, même les périodes passées.


Étape 18 : Le module PFS dans le Runtime

Manuel -> Production and Facility Scheduler (PFS) -> Développement avec le module Production and Facility Scheduler -> Étape 18 : Le module PFS dans le Runtime

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Dans le Runtime, les événements actifs sont calculés et exécutés chaque seconde. Ce processus commence dès le lancement du runtime et reste actif jusqu’à ce qu’il soit arrêté.

Le module PFS permet la gestion d’une configuration complète dans le Runtime?; cette gestion ne diffère que très peu par rapport à Editor.

Les principales différences sont les suivantes :

  • L’autorisation est active pour la visualisation, la modification, l’ajout et la suppression.
  • Les fonctions du menu contextuel peuvent être activées dans chaque type de synoptique, à l’aide de boutons.
  • L’aperçu des événements affiche les événements définis par l’utilisateur selon leurs heures de déclenchement.
  • L’enregistrement des modifications sur une configuration active immédiatement les heures de déclenchement.

Pour nos tests dans l’environnement Runtime, nous allons configurer les éléments suivants :

  • Un synoptique de démarrage est le type de synoptique standard.
  • Un synoptique de type PFS Production & Facility Scheduler.
  • Dans ce synoptique, nous utiliserons le menu Éléments de contrôle / Défaut pour insérer les éléments graphiques par défaut.
  • Dans le synoptique de départ, un bouton active la fonction Appel de synoptique du synoptique PFS. On ne spécifie aucun filtre.
  • Sur le synoptique de départ, nous insérons plusieurs éléments graphiques pour afficher les valeurs des variables (valeurs numériques).


Étape 19 : Exécution dans le Runtime

Manuel -> Production and Facility Scheduler (PFS) -> Développement avec le module Production and Facility Scheduler -> Étape 19 : Exécution dans le Runtime

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Lors de l’exécution d’un événement absolu, l’heure et la date sont les données essentielles. Les heures relatives et absolues, qui ne sont pas liées à la date, sont définies - en utilisant le processus de remplissage de calendrier - par rapport à des temps absolus. Pour effectuer nos tests maintenant, nous devons modifier l’heure système - une alternative étant d’avoir du temps devant soi et pouvoir attendre la fin de la journée?!

Le module PFS s’aperçoit bien sûr des modifications de l’heure système et donc ces modifications peuvent, selon la configuration courante, générer les diverses réactions. Pour vous prouver ceci, regardons la section Propriétés du module Production & Facility Scheduler (activée par le menu contextuel sur le sommet de l’arbre dans la vue de détail). La page Changement d’heure définit la façon de réagir du module PFS lorsque l’heure est modifiée.

Autres sujets abordés dans ce chapitre

Changement d'heure positif

Changement d'heure négatif


Changement d'heure positif

Manuel -> Production and Facility Scheduler (PFS) -> Développement avec le module Production and Facility Scheduler -> Étape 19 : Exécution dans le Runtime -> Changement d'heure positif

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

La commande Récupérer les événements lance l’exécution des événements compris dans la période de temps démarrant de l’exécution de la commande jusqu’à la nouvelle heure.

La commande Recalculer les événements redéfinit les événements en recalculant leurs heures d’exécution. Tous les événements compris dans la période de temps allant de l’exécution de la commande jusqu’à la nouvelle heure ne sont pas exécutés.


Changement d'heure négatif

Manuel -> Production and Facility Scheduler (PFS) -> Développement avec le module Production and Facility Scheduler -> Étape 19 : Exécution dans le Runtime -> Changement d'heure négatif

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

La commande Rejeter les événements ne lance pas un nouveau calcul, ainsi les événements ne seront exécutés à nouveau que lorsque l’heure d’exécution sera atteinte (c’est-à-dire. heure précédente).

La commande Recalculer les événements redéfinit les événements en recalculant leurs heures d’exécution. Avec cette commande les événements seront à nouveau exécutés.

Les définitions ci-dessus relatives au changement d’heure ne s’appliquent que si le Runtime n’a pas été fermé. S’il y a un redémarrage du Runtime, le calcul de tous les événements s’effectue toujours sur la base de l’heure système courante. De plus, toutes les corrections faites sur l’heure système doivent être plus grandes que la tolérance spécifiée.

Si on garde en tête que le module PFS réagit dans le cas d’un changement d’heure, nous recommandons de seulement "avancer" le temps (c’est-à-dire. procéder à un changement d’heure positif) lors de la vérification d’une configuration que vous avez créée. Si vous avez besoin de réinitialiser le temps, alors fermez le Runtime, modifiez l’heure et redémarrez le Runtime.

Maintenant, redémarrez le Runtime et modifiez l’heure. Pour tester de façon sûre ce qui se passe à 12:00 : à cet instant, la sonnerie doit être activée pendant 6 secondes. Testez cette fonction.

Comme nous n’avons qu’un seul déclencheur pour l’événement défini par l’utilisateur Durée de la sonnerie, seule l’heure d’exécution apparaît dans l’aperçu des événements. Heure d’exécution : 12:00:06.


Étape 20 : Resume

Manuel -> Production and Facility Scheduler (PFS) -> Développement avec le module Production and Facility Scheduler -> Étape 20 : Resume

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Avec ces 20 étapes, nous avons appris les bases du module PFS. Vous devez maintenant être capable de créer vos propres projets PFS.

La séparation des événements sur 3 plannings n’est pas nécessaire?; nous avons procédé de cette façon pour illustrer le principe d’héritage pour les horaires. Si on avait utilisé un seul planning, la configuration aurait nécessité moins d’opérations.

Voici un récapitulatif des étapes nécessaires :

  1. Créez des événements définis par l’utilisateur.
  2. Création du groupe de modèles horaires
  3. Création de modèles horaires.
  4. Créer le planning.
  5. Créer les horaires avec les temps absolus.
  6. Créer les horaires avec les temps relatifs.
  7. Créer les événements.
  8. Associer le planning au calendrier pour les horaires absolus.
  9. Associer les modèles horaires au calendrier pour les horaires relatifs.


Configuration avancée dans le module PFS

Manuel -> Production and Facility Scheduler (PFS) -> Configuration avancée dans le module PFS

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Autres sujets abordés dans ce chapitre

Glisser et déposer

Filtrer la configuration du module PFS

Traitement groupé

Structurer les plannings

Configuration de la fonction Appel de synoptique pour un synoptique de type PFS

Autorisations dans l’environnement Runtime

Utilisation du module PFS sur un réseau

Conversion de projets

Interface VBA


Glisser et déposer

Manuel -> Production and Facility Scheduler (PFS) -> Configuration avancée dans le module PFS -> Glisser et déposer

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Vous pouvez déplacer les objets rapidement et facilement d’un élément vers un autre en effectuant un glisser-déplacer. Cette façon de faire est équivalente à un couper / coller. Ceci ne peut être fait qu’entre objets de même nature. Le pointeur de la souris indique si oui ou non vous pouvez déposer un objet là où le curseur se situe. Si vous essayez de déposer un objet à un endroit interdit, le déplacement est annulé. Ceci peut être utile si par exemple, vous avez accidentellement sélectionné et commencé à déplacer un objet vers une autre branche dans l’arbre.


Filtrer la configuration du module PFS

Manuel -> Production and Facility Scheduler (PFS) -> Configuration avancée dans le module PFS -> Filtrer la configuration du module PFS

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

À force d’augmenter le nombre de groupes de modèles horaires, de modèles, de plannings et d’événements, cela peut devenir difficile de retrouver un objet en particulier ou d’afficher une vue en particulier. Une fonction de filtre a été spécialement conçue pour réduire ce problème. Dans la fenêtre de l’arborescence, sélectionnez l’élément Critères de filtre dans le menu contextuel du module Production & Facility Scheduler pour ouvrir la boîte de dialogue Filtre. Vous pouvez en apprendre davantage sur la boîte de dialogue Filtre dans la section Boîte de dialogue de filtres du module PFS?; pour l’heure, nous nous concentrerons sur l’utilisation de la fonction.

Le filtrage est uniquement effectué sur l’affichage des objets. Un objet qui ne correspond pas au filtre ne sera pas affiché. Toutefois, il existe toujours. Cette indication doit clarifier toute confusion potentielle – par exemple, lorsqu’un nouveau planning est créé et que son nom est ajouté à un planning filtré. Cette situation entraînera l’affichage d’un message d’erreur déclarant que le nom spécifié existe déjà.

Si les nouveaux objets créés ne correspondent pas au filtre, ils restent visibles jusqu’à la prochaine mise à jour de l’affichage (par exemple, la création d’une heure située hors du filtre). Cette heure restera visible aussi longtemps que vous ne fermerez pas le planning actuel. Toutefois, lors de la prochaine mise à jour de l’écran, l’heure spécifiée disparaîtra (mais restera malgré tout disponible). Le filtre est d’abord réutilisé lorsque l’affichage est réactivé.

Les plannings et modèles liés dans le calendrier peuvent être filtrés de la même manière.


Traitement groupé

Manuel -> Production and Facility Scheduler (PFS) -> Configuration avancée dans le module PFS -> Traitement groupé

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Maintenant, qui n’a jamais été confronté au problème suivant : Des heures absolues entre 06:00:00 et 20:00:00 doivent être décalées de 00:43:25. Vous avez alors à calculer et corriger toutes les heures et cela probablement une douzaine de fois. Le traitement groupé a été intégré au module PFS de façon à pouvoir faire ce genre de modifications rapidement. Cette fonction permet aux utilisateurs de faire leurs modifications sur les cellules sélectionnées sur un niveau de planning spécifique selon le type de colonne requis. Le problème ci-dessus peut alors être résolu avec quelques clics souris et données saisies.

En utilisant cette fonction et les filtres simultanément, vous pouvez réduire efficacement le nombre d’éléments à modifier.

Les colonnes suivantes supportent le traitement groupé :

Paramètre | Description
Type d’horaire | Permet de passer du temps absolu au temps relatif et vice versa sur un groupe d’événements.
Temps | Pour le type d’horaire 'Temps absolu', cela permet de décaler les heures. Pour cela, utiliser l’entrée "Modifier l’heure" du menu contextuel et utiliser les champs proposés dans la boîte de dialogue.
Offset | Pour le type d’horaire 'Temps relatif', l’offset peut être décalé. Pour cela, utiliser l’entrée "Ajuster offset" du menu contextuel et utiliser les champs proposés dans la boîte de dialogue.
Actif | Cela vous permet de désactiver ou activer les événements sélectionnés.
Action | Selon le type de lien, l’activation ou la macro à exécuter peut être changée. Pour cela, utiliser l’entrée "Modifier la valeur" du menu contextuel et utiliser les champs proposés dans la boîte de dialogue.


Structurer les plannings

Manuel -> Production and Facility Scheduler (PFS) -> Configuration avancée dans le module PFS -> Structurer les plannings

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Les structures de plannings sont utilisées pour créer une structure visuelle pour les plannings dans l’arbre (sorte de groupes de plannings). Un planning est marqué comme structure de planning si la case Structure de planning est cochée dans la boîte de dialogue Propriétés planning.

Les structures de planning n’ont aucune variable ou fonction associée?; elles n’ont pas non plus ni horaire ni événement. Le planning peut contenir différents plannings. En conséquence, il est possible d’afficher une appartenance logique pour les plannings sous-ordonnés.


Configuration de la fonction Appel de synoptique pour un synoptique de type PFS

Manuel -> Production and Facility Scheduler (PFS) -> Configuration avancée dans le module PFS -> Configuration de la fonction Appel de synoptique pour un synoptique de type PFS

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Lorsque vous utilisez un synoptique de type PFS, la boîte de dialogue de filtre de la fonction Appel de synoptique Vous permet de définir quel type de données vous voulez afficher et de personnaliser la grille affichée en conséquence.

Paramètre | Description
Filtre de l’arbre | Sélectionnez l’objet que vous voulez activer lors de l’affichage du synoptique. L’objet doit correspondre aux critères de filtres, ou vous devez désactiver le filtre. Vous pouvez aussi vous référer au filtre de l’arbre pour la fonction Appel de synoptique.
Filtre de la grille | Cette fonction définit le format de la grille. Vous pouvez aussi vous référer au filtre de la vue Table pour la fonction Appel de synoptique.


Autorisations dans l’environnement Runtime

Manuel -> Production and Facility Scheduler (PFS) -> Configuration avancée dans le module PFS -> Autorisations dans l’environnement Runtime

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Les autorisations peuvent être spécifiées pour chaque objet de l’arbre selon sa fonctionnalité. Dans le Runtime, l’utilisateur actuellement connecté peut seulement exécuter les fonctions pour lesquelles il a les autorisations. Les autorisations sont liées aux types d’objets.

Si un utilisateur n’a pas les droits de visualiser un objet, cet objet et tous ses sous-objets seront cachés. Même si l’utilisateur a les droits pour un des sous-objets.

Si vous avez le droit de modifier un objet alors vous avez le droit de modifier ses groupes d’autorisations.


Utilisation du module PFS sur un réseau

Manuel -> Production and Facility Scheduler (PFS) -> Configuration avancée dans le module PFS -> Utilisation du module PFS sur un réseau

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Le module PFS peut être installé en réseau, mais dans ce cas, l’exécution des événements ne se fait que sur le serveur. S’il y a un serveur de secours disponible, il calculera la liste d’événements en conséquence, mais ne les exécutera pas. La synchronisation du processus est effectuée selon l’heure système.

La façon dont le module PFS réagit lors du basculement entre le redondant et le serveur principal peut être configurée. Le problème dans de telles situations est que le serveur de secours ne peut pas déterminer avec certitude le moment où le dernier basculement du serveur primaire (précédent) a eu lieu. Pour ce faire, dans la boîte de dialogue Basculement horaire dans le Production & Facility Scheduler, l’option Refuser basculement SB a été envisagée.

Paramètre | Description
Refuser les événements | Lorsque les événements sont annulés, le procédé continue à partir de la position courante dans le serveur redondant. Ceci peut impliquer qu’un certain nombre d’événements n’a pas été exécuté.
Recalculer les événements | Les événements sont recalculés sur la base de l’heure actuelle - 30 secondes, et leur exécution s’effectue immédiatement. Ceci peut impliquer qu’un certain nombre d’événements sera exécuté deux fois.

Lorsque le serveur principal redevient disponible sur le réseau et que le redondant redonne la main au serveur principal, le serveur est synchronisé en utilisant les données courantes du module PFS. Ceci assure que l’exécution des événements continue sans interruption.

Paramètre

Description

Serveur

Exécute les événements.
Enregistre la configuration courante du module PFS.

Des configurations de projets non sauvegardées sur le serveur sont annulées si une sauvegarde de projet plus récente est sauvegardée par un client.

Client
  • N’assure aucune exécution d’événement.
  • Les données du projet peuvent être éditées.
  • Si des données de projet sont modifiées par un changement de projet effectué par d’autres clients, un message d’information apparaîtra pour le client.
  • Le déclenchement des événements utilisateur est toujours défini selon l’heure système du client.

Serveur de secours
  • Le serveur de secours agit de la même manière que le client.
    Remarque : Si le serveur de secours devient le serveur primaire, il agit comme un serveur.
  • Le comportement du processus de mise à jour peut être configuré.
  • Enregistre la configuration courante du module PFS.


Conversion de projets

Manuel -> Production and Facility Scheduler (PFS) -> Configuration avancée dans le module PFS -> Conversion de projets

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Lorsqu’un projet a été créé avec une version antérieure à la version 5.50, les profils contenus dans les structures de planning sont convertis. Les profils ne sont plus supportés dans la version 5.50 et les versions suivantes. Pour chaque profil, une structure de planning, qui contient les plannings liés, est créée. Les plannings liés contiennent toutes les heures se situant à l’intérieur de la plage d’activation / désactivation du profil.

L’information sur le jour, contenue dans le profil, est insérée dans le calendrier.

Le processus de configuration peut être visualisé dans la fenêtre de suivi d’Editor.


Interface VBA

Manuel -> Production and Facility Scheduler (PFS) -> Configuration avancée dans le module PFS -> Interface VBA

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Le module PFS contient une interface VBA, qui est intégrée à l’objet VBA Project. En plus, les événements peuvent être liés à une macro VBA de type ExecuteValue. Dans ce cas, l’événement est passé en paramètre à la macro VBA.

La macro VBA doit alors gérer les tâches à exécuter.


Types d’objets

Manuel -> Production and Facility Scheduler (PFS) -> Types d’objets

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Les objets contiennent la configuration que vous avez définie pour eux. Deux types d’objets peuvent être identifiés :

les types d’objets éditables et les types d’objets fixes

Autres sujets abordés dans ce chapitre

Types d’objets fixes

Édition des types d’objets

Objet Production and Facility Scheduler

Objet Groupes de modèles horaires

Objet Groupes de modèles horaires éditables

Objet Planning

L’objet planning éditable

Objet Liste de fonctions

Objet Heure

Objet Événement

Objet Modèle horaire

Objet Poste

Objet Pause

Objet Événement

Événement objet utilisateur

Objet Calendrier

Objet Liste de variables

Objet Fonction


Types d’objets fixes

Manuel -> Production and Facility Scheduler (PFS) -> Types d’objets -> Types d’objets fixes

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Si l’objet précédent (c’est-à-dire l’objet parent) a été créé et si les utilisateurs ont les droits de visualisation, ces types d’objets sont toujours disponibles. Ils ne peuvent pas être déplacés, renommés ou supprimés. Si ces objets sont cachés, tous les objets fils sont aussi cachés.
Par ex. : Les groupes de modèles horaires contiennent les types d’objets fixes suivants : Plannings et Modèles horaires.


Édition des types d’objets

Manuel -> Production and Facility Scheduler (PFS) -> Types d’objets -> Édition des types d’objets

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Ces types d’objets sont créés selon le nombre d’objets requis lors du processus de configuration.


Objet Production and Facility Scheduler

Manuel -> Production and Facility Scheduler (PFS) -> Types d’objets -> Objet Production and Facility Scheduler

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Ceci constitue le type d’objet racine pour tout le module PFS. Tous les paramètres définis dans cet objet s’appliquent à l’ensemble du module PFS. C’est un objet de type fixe.

Paramètres | Description
Enregistrer | Enregistre les modifications effectuées. Dans le Runtime, tous les paramètres sont sauvegardés dans les données de Runtime, et un nouveau calcul des événements est effectué sur la base de la nouvelle configuration.
Annuler | Après avoir confirmé ce choix, toutes les modifications effectuées seront annulées. Aucun retour en arrière ne sera possible?!
Propriétés | Affiche la boîte de dialogue des propriétés du module PFS.
Aperçu de l'événement | Ouvre la boîte de dialogue permettant d’afficher un aperçu des événements selon divers critères de filtre.
Critères de filtre | Ouvre la boîte de définition des filtres.
Aide | Ouvre l’aide en ligne.


Objet Groupes de modèles horaires

Manuel -> Production and Facility Scheduler (PFS) -> Types d’objets -> Objet Groupes de modèles horaires

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Cet objet contient tous les groupes de modèles horaires définis dans le module PFS. C’est un objet de type fixe.

Paramètre | Description
Créer | Crée un nouveau groupe de modèles horaires et affiche la page de Propriétés du nouveau groupe de modèles horaires.
Coller | Si un groupe de modèles horaires est actuellement conservé dans le presse-papiers, il peut être collé sous forme de copie. Lorsque des copies sont créées, un numéro est ajouté à leur nom de façon à avoir un nom unique.
Autorisation | Ouvre la boîte de dialogue pour la définition des droits d’accès.
Aide | Ouvre l’aide en ligne.


Objet Groupes de modèles horaires éditables

Manuel -> Production and Facility Scheduler (PFS) -> Types d’objets -> Objet Groupes de modèles horaires éditables

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Les groupes de modèles horaires contiennent leurs plannings et leurs modèles horaires. De plus, ils permettent la définition des paramètres liés aux horaires relatifs.

Dans le calendrier, les utilisateurs peuvent associer des plannings et des modèles horaires pour chaque jour et chaque groupe de modèles horaires montré.

Chaque groupe de modèles horaires contient toujours les d’objets de type fixe : Plannings et Modèles horaires.

Paramètre | Description
Copier | Copie les groupes de modèles horaires sélectionnés vers le presse-papiers.
Renommer | Dans l’arborescence, l’identification du groupe de modèles horaires passe en mode édition. Seule l’identification peut être changée. La nouvelle désignation doit être unique dans tout le module PFS.
Supprimer | Supprime tous les groupes de commandes sélectionnés après une demande de confirmation.
Propriétés | Affiche la page contenant le groupe de modèles horaires.
Autorisations | Ouvre la boîte de dialogue de définition des droits d’accès.
Aide | Ouvre l’aide en ligne.


Objet Planning

Manuel -> Production and Facility Scheduler (PFS) -> Types d’objets -> Objet Planning

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Cet objet contient tous les plannings de premier rang. C’est un objet de type fixe.

Menu contextuel

Élément de menu | Action
Créer | Crée un nouveau planning.
Coller | Colle un planning depuis le presse-papiers.
Autorisations | Ouvre la boîte de dialogue d’autorisations.
Aide | Ouvre l’aide en ligne.

Autres sujets abordés dans ce chapitre

Menu contextuel Nouveau planning

Menu contextuel Affichage de l’heure – Nouveau planning


Menu contextuel Nouveau planning

Manuel -> Production and Facility Scheduler (PFS) -> Types d’objets -> Objet Planning -> Menu contextuel Nouveau planning

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Élément de menu | Action
Créer | Crée un nouveau planning.
Copier | Copie les plannings sélectionnés.
Couper | Coupe les plannings sélectionnés.
Coller | Colle les plannings depuis le presse-papiers.
Inactif / Actif | Bascule entre les modes Actif et Inactif pour les plannings sélectionnés.
Renommer | Permet de renommer les plannings.
Supprimer | Supprime les plannings sélectionnés après une demande de confirmation.
Propriétés | Ouvre la fenêtre Propriétés pour l'entrée sélectionnée.
Autorisations | Ouvre la boîte de dialogue d’autorisations.
Aide | Ouvre l'aide en ligne.


Menu contextuel Affichage de l’heure – Nouveau planning

Manuel -> Production and Facility Scheduler (PFS) -> Types d’objets -> Objet Planning -> Menu contextuel Affichage de l’heure – Nouveau planning

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Les éléments de menu affichés varient selon l’endroit auquel a été effectué le clic droit. Les entrées qui ne sont pas affichées en permanence reçoivent l’extension "(facultatif)".

Élément de menu | Action
Créer grille horaire | Ouvre la boîte de dialogue de création d’une grille d’horaires.
Créer horaire | Insère une nouvelle heure dans la liste.
Créer un événement | Crée un nouveau niveau de commutation.
Créer des événements | Ouvre la boîte de dialogue permettant de créer plusieurs points de commutation.
Supprimer un horaire | Supprime l’heure sélectionnée.
Supprimer des événements | Supprime les points de commutation sélectionnés.
Modifier heure (facultatif) | Ouvre la boîte de dialogue permettant de modifier l’heure.
Temps absolu (facultatif) | Change le type d’horaire dans temps absolu.
Temps relatif (facultatif) | Change le type d’horaire dans temps relatif.
Toutes les valeurs actives (facultatif) | Définit la valeur active.
Toutes les valeurs inactives (facultatif) | Définit la valeur inactive.
Aide | Ouvre l'aide en ligne.


L’objet planning éditable

Manuel -> Production and Facility Scheduler (PFS) -> Types d’objets -> L’objet planning éditable

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Les plannings sont le cœur du module PFS. Ils contiennent les horaires et les événements nécessaires à l’exécution des actions.

On peut créer des "sous-plannings"?; dans ce cas, les plannings "enfants" héritent des horaires définis dans le planning "parent". Il n’y a aucune limitation concernant la profondeur de la hiérarchie.

Paramètre | Description
Créer | Crée un nouveau planning "enfant", et affiche la page de propriétés correspondante.
Copier | Les plannings sélectionnés sont copiés dans le presse-papier.
Couper | Les plannings sélectionnés sont coupés et placés dans le presse-papier. Les plannings 'coupés' sont indiqués par une icône particulière et seront à nouveau affichés normalement après leur insertion (c’est-à-dire après avoir été "collés") dans un autre planning ou équipement. Un planning que vous avez 'coupé' ne peut être 'collé' sur lui-même ou dans le planning d’un niveau hiérarchique directement supérieur.
Coller | Insère (c’est-à-dire "colle") les plannings contenus dans le presse-papier. La désignation du planning inséré est alors modifiée de façon à préserver l’unicité du nom.
Inactif / Actif | Active ou désactive le planning. Les événements contenus dans les plannings qui ont été désactivés ne seront pas exécutés?!
Renommer | Permet de changer le nom du planning. La nouvelle désignation doit être unique sur le même niveau de plannings.
Supprimer | Supprime les plannings sélectionnés ainsi que les plannings "enfants", une fois obtenue votre confirmation.
Propriétés | Affiche la boîte de dialogue des propriétés du planning.
Autorisations | Ouvre la boîte de dialogue de définition des droits d’accès.
Aide | Ouvre l’aide en ligne.


Objet Liste de fonctions

Manuel -> Production and Facility Scheduler (PFS) -> Types d’objets -> Objet Liste de fonctions

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Cet objet contient la liste des fonctions utilisables dans le planning. Seules les fonctions présentes dans cette liste peuvent être utilisées dans le planning. C’est un objet de type fixe.

Menu contextuel Liste de fonctions

Élément de menu | Action
Ajouter fonction | Permet d’ajouter une fonction dans liste. Lorsque la boîte de sélection de fonction est ouverte, sélectionnez la fonction voulue et acceptez par OK.
Insérer une fonction | Insère (c’est-à-dire colle) les fonctions contenues dans le presse-papier dans la liste.
Autorisations | Ouvre la boîte de dialogue d’autorisations.
Aide | Ouvre l'aide en ligne.

Menu contextuel Fonction

Élément de menu | Action
Copier | Copie les fonctions sélectionnées.
Couper | Coupe les fonctions sélectionnées.
Remplacer fonction | Ouvre la boîte de dialogue permettant de remplacer les fonctions sélectionnées.
Supprimer une fonction | Supprime les fonctions sélectionnées de la liste.
Autorisations | Ouvre la boîte de dialogue de définition des droits d’accès.
Aide | Ouvre l’aide en ligne.


Objet Heure

Manuel -> Production and Facility Scheduler (PFS) -> Types d’objets -> Objet Heure

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Une heure définit le moment où l’événement doit être exécuté.

Deux types d’heures sont disponibles :

  • Chemin absolu
  • relatif

Les heures définies précédemment sont 'répliquées' dans les plannings fils, dans lesquels elles sont affichées sur fond gris.

Autres sujets abordés dans ce chapitre

Type 'Temps absolu'

Type Temps relatif

Offset

Menu contextuel Heure


Type 'Temps absolu'

Manuel -> Production and Facility Scheduler (PFS) -> Types d’objets -> Objet Heure -> Type 'Temps absolu'

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Les heures sont définies directement dans le champ Heure. Si le planning est lié à un jour spécifique, tous les événements actifs liés à cet horaire sont exécutés. Le champ offset n’est pas utilisé dans ce cas.

Les champs Groupe de modèles horaires et Attribution de modèle ne sont pas utilisés ici non plus.


Type Temps relatif

Manuel -> Production and Facility Scheduler (PFS) -> Types d’objets -> Objet Heure -> Type Temps relatif

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Pour ce type d’heure, un événement est sélectionné. Cet événement est transformé en événement absolu dans l’aperçu ou dans le Runtime. Les critères selon lesquels l’événement absolu est créé dépendent de l’événement et de la configuration associée. Un offset peut être défini pour chacun des événements créés (les actions) pour retarder ou avancer l’heure de leur exécution.

Paramètres

Description

Démarrage du cycle

Exécuté tous les jours à minuit.

Démarrage du cycle sans production

Exécuté les jours qui ne sont liés à aucun poste (aucune équipe). L’heure d’exécution est le "début de journée" du groupe de modèles horaires correspondant.

Un jour est aussi considéré comme un jour sans production, lorsque, par exemple, le dernier poste (la dernière équipe) termine à seulement 02:00:00 le même jour.

Démarrage du cycle avec production

Exécuté les jours où au moins un poste a été défini. L’heure d’exécution est le "début de journée" du groupe de modèles horaires correspondant.

Début de production

Exécuté à l’heure de démarrage de la première équipe (du premier poste), définie par le fait que la première équipe est celle qui travaille en premier après un jour sans production.

Fin de production

Exécuté à l’heure d’arrêt de la dernière équipe (du dernier poste), définie par le fait que la dernière équipe est celle qui travaille en dernier avant un jour sans production. Ainsi, si une phase de production est planifiée pour le jour suivant, l’équipe de fin de journée n’est pas considérée comme fin de production.

Début de poste

Exécuté à chaque début de poste.

Fin de poste

Exécuté à chaque fin de poste.

Début de pause

Exécuté à chaque début de pause.

Fin de pause

Exécuté à chaque fin de pause.

Événement défini par l’utilisateur

Les noms des précédents événements définis par l’utilisateur apparaissent dans la liste des choix possibles. Si vous choisissez un événement défini par l’utilisateur, alors les événements (actions) liés à cet horaire seront exécutés lorsque l’événement sera déclenché (par la fonction Déclencher événement PFS).

Début premier poste

Exécuté au début du premier poste dans le cycle du groupe de modèles horaires.

Fin dernier poste

Exécuté à la fin du dernier poste dans le cycle du groupe de modèles horaires.

Début poste libre

Exécuté à la fin du poste, si entre ce poste et le poste suivant il y a plus d’une seconde.

Fin poste libre

Exécuté au départ d’un poste qui suit un poste libre (= fin de période sans poste défini).

Début poste libre sans fin de production

Exécuté au départ d’une période sans poste défini, prenant en compte le fait qu’il n’y a pas une 'Fin de production' juste après.

Fin poste libre sans début de production

Exécuté à la fin d’une période sans poste défini, prenant en compte le fait qu’il n’y a pas un 'Début de production' juste après.

Début premier poste sans démarrage production

Exécuté au départ du premier poste (démarrage première équipe), prenant en compte le fait qu’il n’y a pas de 'Début de production' juste à ce moment.

Fin dernier poste sans fin de production

Exécuté à la fin du poste (arrêt équipe), prenant en compte le fait qu’il n’y a pas de 'Fin de production' juste à ce moment.

Début du poste sans démarrage production

Exécuté au départ du poste (démarrage équipe), prenant en compte le fait qu’il n’y a pas de 'Début de production' juste à ce moment.

Fin du poste sans fin de production

Exécuté à la fin du poste (arrêt équipe), prenant en compte le fait qu’il n’y a pas de 'Fin de production' juste à ce moment.


Offset

Manuel -> Production and Facility Scheduler (PFS) -> Types d’objets -> Objet Heure -> Offset

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Si vous travaillez sur des horaires relatifs, l’heure d’exécution peut être décalée du temps spécifié ici par rapport à l’événement de référence. Par exemple, 30 minutes avant le démarrage d’une équipe de travail (début de poste)... Un offset ne peut pas être plus grand qu’un jour moins 1 seconde (en positif ou négatif). Si l’horaire se réfère à un événement utilisateur, vous ne pouvez spécifier qu’un offset positif. L’offset est spécifié en minutes et secondes?; les secondes étant définies après le point décimal avec une précision de 1/100ème de minute.

Paramètres | Description
Créer grille horaire | Cette commande ouvre la page de paramètres indispensables à la création cyclique d’une période de temps absolue.
Créer horaire | Crée un nouvel horaire.
Créer un événement | Crée un nouvel événement à l’horaire sélectionné.
Créer des événements | Permet la création de plusieurs événements utilisant des variables et des fonctions en une seule opération.
Supprimer un horaire | Supprime l’horaire couramment sélectionné avec tous les événements éventuellement définis pour celui-ci.
Supprimer des événements | Supprime les événements sélectionnés.
Intervalle absolu | Modifie l’horaire sélectionné avec un type Temps absolu.
Temps relatif | Modifie l’horaire sélectionné avec un type Temps relatif.
Aide | Ouvre l’aide en ligne.


Menu contextuel Heure

Manuel -> Production and Facility Scheduler (PFS) -> Types d’objets -> Objet Heure -> Menu contextuel Heure

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Les items de menu non décrits ici sont identiques à ceux décrits dans la partie sur l’offset.

  • Modifier heure : Ouvre la boîte de dialogue qui permet de modifier l’heure.


Objet Événement

Manuel -> Production and Facility Scheduler (PFS) -> Types d’objets -> Objet Événement

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

L’événement définit l’action à exécuter lorsque l’heure d’exécution est atteinte.

Autres sujets abordés dans ce chapitre

Actif

Type de lien

Liens

Action

Autorisations


Actif

Manuel -> Production and Facility Scheduler (PFS) -> Types d’objets -> Objet Événement -> Actif

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Ce paramètre permet à l’utilisateur d’autoriser ou de bloquer l’exécution d’un événement.


Type de lien

Manuel -> Production and Facility Scheduler (PFS) -> Types d’objets -> Objet Événement -> Type de lien

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Le type de lien définit quel élément doit être exécuté. Les types suivants peuvent être spécifiés :

Paramètres | Description
Variable | La valeur à envoyer dans la variable est définie dans la colonne 'action'.
Fonction | La fonction sera exécutée si l’événement est actif.
Macro VBA avec variable | La macro préalablement définie dans la section Macro -> Navigateur -> ModuleScheduler -> Executevalue relative à la variable spécifiée est exécutée.
Macro VBA avec fonction | La macro préalablement définie dans la section Macro -> Navigateur -> ModuleScheduler -> Executevalue relative à la fonction spécifiée est exécutée.


Liens

Manuel -> Production and Facility Scheduler (PFS) -> Types d’objets -> Objet Événement -> Liens

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Contient la liste des variables ou des fonctions liées au planning.


Action

Manuel -> Production and Facility Scheduler (PFS) -> Types d’objets -> Objet Événement -> Action

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Selon le type de lien, la cellule a la signification suivante :

Paramètres | Description
Variable | Valeur qui doit être envoyée dans la variable sélectionnée.
Fonction | Contient l’état Actif ou Inactif selon si l’événement est actif ou pas (c’est-à-dire. si la fonction est exécutée ou non).
Macro VBA avec variable | Nom de la macro qui doit être exécutée.
Macro VBA avec fonction | Nom de la macro qui doit être exécutée.


Autorisations

Manuel -> Production and Facility Scheduler (PFS) -> Types d’objets -> Objet Événement -> Autorisations

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Niveau d’autorisation requis pour l’édition dans le Runtime.


Objet Modèle horaire

Manuel -> Production and Facility Scheduler (PFS) -> Types d’objets -> Objet Modèle horaire

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Cet objet contient tous les modèles horaires définis pour le groupe de modèles horaires actuels. C’est un objet de type fixe.

Un modèle horaire contient la définition des horaires des postes de travail (équipes) et des pauses, ces heures étant utilisées ensuite comme événement pour déclencher des actions dans les plannings.

Menu contextuel Modèle horaire

Élément de menu | Action
Nouveau modèle horaire | Crée un nouveau modèle horaire.
Coller | Colle les modèles horaires depuis le presse-papiers.
Autorisations | Ouvre la boîte de dialogue d’autorisations.
Aide | Ouvre l'aide en ligne.

Menu contextuel Modèle horaire

Élément de menu | Action
Copier | Copie les modèles sélectionnés.
Couper | Coupe les modèles sélectionnés.
Renommer | Permet de renommer le modèle horaire.
Supprimer | Supprime les modèles sélectionnés.
Autorisations | Ouvre la boîte de dialogue de définition des droits d’accès.
Aide | Ouvre l'aide en ligne.

Autres sujets abordés dans ce chapitre

Menu contextuel Groupe de modèles horaires


Menu contextuel Groupe de modèles horaires

Manuel -> Production and Facility Scheduler (PFS) -> Types d’objets -> Objet Modèle horaire -> Menu contextuel Groupe de modèles horaires

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Menu contextuel Groupe de modèles horaires

Élément de menu | Action
Créer | Crée un nouveau modèle horaire. Lors de la création d’un nouveau modèle horaire, vous devez spécifier un nom unique.
Coller | Insère (c’est-à-dire colle) les modèles horaires contenus dans le presse-papiers dans la liste.
Autorisations | Ouvre la boîte de dialogue d’autorisations.
Aide | Ouvre l'aide en ligne.

Menu contextuel Modèle horaire

Élément de menu | Action
Enregistrer | Enregistre les modifications dans la configuration du synoptique PFS.
Annuler | Annule toutes les modifications effectuées depuis le dernier enregistrement du synoptique PFS.
Propriétés | Ouvre la fenêtre Propriétés pour l'entrée sélectionnée.
Aperçu de l'événement | Ouvre la boîte de dialogue d’aperçu des points de commutation.
Critères de filtre… | Ouvre la boîte de dialogue de sélection de filtres.
Aide | Ouvre l'aide en ligne.


Objet Poste

Manuel -> Production and Facility Scheduler (PFS) -> Types d’objets -> Objet Poste

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Un modèle horaire contient les différents postes définis. Les postes sont nécessaires si vous avez des événements relatifs à définir (par exemple, pour exécuter des actions avant que les équipes démarrent leur travail). Les plages horaires des postes ne doivent pas se chevaucher et doivent être incluses dans la plage horaire définie pour le groupe de modèles horaires.

Les postes sont affichés sur un arrière-plan gris dans la grille.

Paramètres | Description
Créer un poste | Crée un nouveau poste.
Créer une pause | Crée une nouvelle pause pour le poste couramment sélectionné.
Supprimer poste | Supprime le poste couramment sélectionné avec toutes les pauses éventuellement définies pour ce poste.
Aide | Ouvre l'aide en ligne.

Remarque : l'heure est enregistrée au format local. Pour plus de détails, reportez-vous au chapitre Gestion de la date et de l'heure, dans le chapitre Runtime.


Objet Pause

Manuel -> Production and Facility Scheduler (PFS) -> Types d’objets -> Objet Pause

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Plusieurs pauses peuvent être définies pour un même poste. Les pauses ne doivent pas se chevaucher, et doivent être définies à l’intérieur des horaires de début et fin du poste.

Paramètres | Description
Créer une pause | Crée une nouvelle pause pour le poste couramment sélectionné.
Supprimer une pause | Supprime la pause couramment sélectionnée.
Aide | Ouvre l’aide en ligne.


Objet Événement

Manuel -> Production and Facility Scheduler (PFS) -> Types d’objets -> Objet Événement

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Cet objet contient les différents événements utilisateur pour le module PFS. C’est un objet de type fixe.

Paramètre | Description
Créer | Crée un nouvel événement défini par l’utilisateur. Lors de la création d’un nouvel événement utilisateur, vous devez spécifier un nom unique.
Coller | Insère (c’est-à-dire colle) les événements définis par l’utilisateur contenus dans le presse-papiers.
Autorisations | Ouvre la boîte de dialogue de définition des droits d’accès.
Aide | Ouvre l’aide en ligne.


Événement objet utilisateur

Manuel -> Production and Facility Scheduler (PFS) -> Types d’objets -> Événement objet utilisateur

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Les événements utilisateur sont des événements créés par l’utilisateur. Ceux-ci sont définis pour l’ensemble du module PFS. Les événements utilisateurs sont déclenchés par la fonction Déclencher événement PFS (dans la section Application dans la boîte de dialogue de création des fonctions). Sur un calendrier, on définit ensuite, un horaire relatif à cet événement pour déclencher les actions nécessaires. Le nombre d’événements utilisateur est limité seulement par la place disque ou la mémoire disponible.

Parce qu’Editor ne peut pas savoir quand l’événement se déclenche, il n’affichera pas ces événements dans l’aperçu. Dans le Runtime, les déclenchements sont stockés en mémoire pendant 14 jours au plus, pour permettre l’analyse des événements liés. Si le Runtime est arrêté, le stockage de ces déclenchements est supprimé.

La vue en grille montre la liste des événements utilisateurs définis (affichés avec un arrière-plan gris) ainsi que les plannings auxquels ils sont liés.

Menu contextuel Événement

Élément de menu | Action
Créer | Crée un nouvel événement utilisateur.
Coller | Colle un événement utilisateur depuis le presse-papiers.
Autorisations | Ouvre la boîte de dialogue de définition des droits d’accès.
Aide | Ouvre l’aide en ligne.

Menu contextuel Événement utilisateur

Élément de menu | Action
Copier | Copie l’événement utilisateur sélectionné vers le presse-papiers.
Renommer | Permet de spécifier un nouveau nom pour l’événement utilisateur.
Supprimer | Supprime l’événement utilisateur sélectionné.
Autorisations | Ouvre la boîte de dialogue de définition des droits d’accès.
Aide | Ouvre l’aide en ligne.


Objet Calendrier

Manuel -> Production and Facility Scheduler (PFS) -> Types d’objets -> Objet Calendrier

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Les heures absolues et relatives des événements définis dans les plannings ne sont pas liées aux jours?; seules les heures sont définies. Le calendrier permet de définir quels sont les jours où les plannings doivent être exécutés. Pour cela, vous pouvez attribuer un modèle actif et un planning actif à chaque jour pour chaque groupe de modèles horaires.

Le calendrier peut être visualisé de différentes façons, selon le niveau de détail que vous voulez avoir.

Menu contextuel Calendrier

Élément de menu | Action
Créer | Crée un nouveau calendrier.
Coller | Colle un calendrier depuis le presse-papiers.
Autorisations | Ouvre la boîte de dialogue de définition des droits d’accès.
Aide | Ouvre l’aide en ligne.

info Informations

Dans le calendrier, vous pouvez définir certains jours comme des jours spéciaux. Pour ces jours, les plannings définis pour les jours spéciaux sont pris en compte. Chaque jour (de lundi à dimanche) peut être défini comme un jour spécial.

Autres sujets abordés dans ce chapitre

Temps absolu

Temps relatif

Affichage par mois

Affichage par semaine

Affichage par jour

Types d’attributions de modèles

Types d’attributions de planning

Attribution des modèles dans la vue Calendrier

Menu contextuel des modèles horaires

Menu contextuel Planning


Temps absolu

Manuel -> Production and Facility Scheduler (PFS) -> Types d’objets -> Objet Calendrier -> Temps absolu

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Pour exécuter des événements un jour particulier, le planning adéquat doit être lié au jour correspondant. Pour cela, sélectionnez la cellule du Planning sur le jour souhaité. Ouvrez le menu contextuel pour ouvrir la boîte de sélection de plannings et créez le lien. L’identification du planning lié est insérée dans la cellule. Dans "l’affichage jour", le détail complet de ces plannings peut être affiché.


Temps relatif

Manuel -> Production and Facility Scheduler (PFS) -> Types d’objets -> Objet Calendrier -> Temps relatif

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Lors de l’exécution d’heures relatives et d’heures absolues, la façon dont le modèle horaire est lié (ou pas) à un jour donné est très importante. Le jour du calendrier démarre toujours à l’heure de début de journée définie pour le groupe de modèles horaires. Dans le cas où le cycle de fonctionnement d’un groupe de modèles horaires doit dépasser le jour, toutes les heures définies avant l’heure de début de journée sont considérées comme appartenant au jour précédent.

Par exemple : Début de journée 02:00:00 - Fin de journée 01:59:59. Pour un événement défini par l’utilisateur déclenché le lundi 15.10.2001 à 00:30:00, le modèle défini pour le dimanche 14 est utilisé. Si par contre le déclenchement a lieu à 02:00:00, alors le modèle défini pour le lundi est utilisé.

Par exemple : Début de journée 06:00:00 - Fin de journée 21:59:59. Pour un événement défini par l’utilisateur déclenché le lundi 15.10.2001 à 00:30:00, le modèle défini pour le lundi 15 est utilisé.


Affichage par mois

Manuel -> Production and Facility Scheduler (PFS) -> Types d’objets -> Objet Calendrier -> Affichage par mois

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

L’affichage Mois affiche le mois complet dans la vue du calendrier. Si la partie affichée n’est pas assez grande pour afficher le mois complet, le système essaie de visualiser le jour courant dans la partie visible. La grande zone d’affichage est conçue pour permettre une vue d’ensemble rapide.

Double-cliquez sur une cellule du calendrier contenant une référence à au moins un planning ouvre ce dernier dans une table qui vous permet de le (les) modifier.

Menu contextuel Affichage mois :

Élément de menu | Action
Sélectionner le modèle | Ouvre la boîte de dialogue permettant de sélectionner un modèle.
Sélectionner plannings | Ouvre la boîte de dialogue de sélection de plannings.
Affichage par jour | Bascule vers la vue quotidienne.
Affichage par semaine | Bascule vers la vue hebdomadaire.
Affichage par mois | Bascule vers la vue mensuelle.
Aller à aujourd'hui | Passe à la date actuelle.
Aller à une date donnée... | Ouvre la boîte de dialogue de sélection de date.
Afficher l’élément précédent | Affiche l’élément précédent.
Afficher l’élément suivant | Affiche l’élément suivant.
Aide | Ouvre l’aide en ligne.


Affichage par semaine

Manuel -> Production and Facility Scheduler (PFS) -> Types d’objets -> Objet Calendrier -> Affichage par semaine

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

La vue hebdomadaire affiche les attributions sur la base d’une semaine.

Menu contextuel Affichage semaine :

Élément de menu | Action
Sélectionner le modèle | Ouvre la boîte de dialogue permettant de sélectionner un modèle.
Sélectionner plannings | Ouvre la boîte de dialogue de sélection de plannings.
Affichage par jour | Bascule vers la vue quotidienne.
Affichage par semaine | Bascule vers la vue hebdomadaire.
Affichage par mois | Bascule vers la vue mensuelle.
Aller à aujourd'hui | Passe à la date actuelle.
Aller à une date donnée... | Ouvre la boîte de dialogue de sélection de date.
Afficher l’élément précédent | Affiche l’élément précédent.
Afficher l’élément suivant | Affiche l’élément suivant.
Aide | Ouvre l’aide en ligne.


Affichage par jour

Manuel -> Production and Facility Scheduler (PFS) -> Types d’objets -> Objet Calendrier -> Affichage par jour

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

L’affichage "Jour" montre les informations détaillées sur les plannings liés au jour.

Menu contextuel Vue quotidienne

Élément de menu | Action
Sélectionner plannings | Ouvre la boîte de dialogue de sélection de plannings.
Visualiser planning | Ouvre le planning sélectionné dans une nouvelle fenêtre.
Affichage par jour | Bascule vers la vue quotidienne.
Affichage par semaine | Bascule vers la vue hebdomadaire.
Affichage par mois | Bascule vers la vue mensuelle.
Aller à aujourd'hui | Passe à la date actuelle.
Aller à une date donnée... | Ouvre la boîte de dialogue de sélection de date.
Afficher l’élément précédent | Affiche l’élément précédent.
Afficher l’élément suivant | Affiche l’élément suivant.
Par défaut | Le planning doit être exécuté systématiquement le jour de la semaine actuellement sélectionné.
Comme un jour unique | Le planning est exécuté seulement ce jour.
Supprimer | Si un planning est défini 'par défaut', une exception est faite pour ce jour. Dans le cas d’une exécution seulement ce jour, l’exécution de ce jour sera supprimée.
Aide | Ouvre l’aide en ligne.


Types d’attributions de modèles

Manuel -> Production and Facility Scheduler (PFS) -> Types d’objets -> Objet Calendrier -> Types d’attributions de modèles

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Quand vous utilisez des modèles, les types d’attributions suivants peuvent être définis :

Utiliser le modèle ce jour.

Utiliser le modèle jour férié, si le jour concerné est un jour férié.

Utiliser le modèle les jours de la semaine.


Types d’attributions de planning

Manuel -> Production and Facility Scheduler (PFS) -> Types d’objets -> Objet Calendrier -> Types d’attributions de planning

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Les plannings peuvent être attribués à des jours comme suit :

Utiliser le planning ce jour.

Ne pas utiliser de planning ce jour.

Utiliser le planning un jour férié, si le jour concerné est un jour férié.

Utiliser le planning les jours de la semaine.


Attribution des modèles dans la vue Calendrier

Manuel -> Production and Facility Scheduler (PFS) -> Types d’objets -> Objet Calendrier -> Attribution des modèles dans la vue Calendrier

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Les modèles peuvent aussi être attribués directement dans la vue Calendrier. Après avoir sélectionné les cellules pour définir le modèle que vous voulez utiliser pour un groupe de modèles horaires et un jour donnés, les différents modèles disponibles pour ce groupe de modèles horaires sont listés. Sélectionnez le modèle à attribuer ce jour. Lorsque vous quittez cette cellule, le module PFS vous demande si vous voulez ou non utiliser ce modèle comme modèle par défaut pour ce jour.


Menu contextuel des modèles horaires

Manuel -> Production and Facility Scheduler (PFS) -> Types d’objets -> Objet Calendrier -> Menu contextuel des modèles horaires

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Ce menu contextuel apparaît si vous cliquez avec le bouton droit de la souris dans une cellule du calendrier correspondant à un modèle et un équipement et si le calendrier est en Affichage Semaine ou Mois.

Paramètre | Description
Sélectionner le modèle | Ouvre la boîte de dialogue permettant de sélectionner le modèle horaire.
Visualiser le modèle | Montre la table d’édition de modèle.
Affichage par jour | Affiche la liste des équipements et plannings associés le jour pour lequel l’affichage jour a été activé.
Affichage par semaine | Affiche la liste des équipements et plannings associés pour la semaine sur laquelle l’affichage semaine a été activé.
Aller à aujourd'hui | Sélectionne le jour correspondant à aujourd’hui.
Aller à une date donnée... | Sélectionne le jour correspondant à la date définie.
Visualiser élément précédent | Affiche l’élément précédent (suivant l’affichage : jour précédent, semaine précédente, mois précédent).
Visualiser élément suivant | Affiche l’élément suivant (suivant l’affichage : jour suivant, semaine suivante, mois suivant).
Par défaut | Définit le modèle couramment sélectionné comme modèle pour le jour de la semaine correspondant pour le groupe de modèles horaires actuel.
Supprimer | Supprime l’attribution du modèle pour le jour sélectionné. Si l’attribution concerne le modèle standard sélectionné pour le jour de la semaine, l’attribution est supprimée pour le modèle de groupes horaires correspondant.
Aide | Ouvre l’aide en ligne.


Menu contextuel Planning

Manuel -> Production and Facility Scheduler (PFS) -> Types d’objets -> Objet Calendrier -> Menu contextuel Planning

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Pour activer ce menu contextuel, sélectionnez une cellule du calendrier pour un jour particulier et cliquez avec le bouton droit sur un groupe de modèles horaires. Les items de menu non décrits ici sont identiques à ceux décrits dans la partie concernant le menu contextuel pour les modèles horaires.

Paramètre

Description

Sélectionner plannings

Ouvre la boîte de dialogue permettant de sélectionner les plannings.

Visualiser planning

Montre la table d’édition de planning.

Par défaut

Le planning est défini par défaut pour le jour sélectionné.

Comme un jour unique

Le planning est exécuté seulement ce jour.

Supprimer

Ouvre une boîte de dialogue permettant de sélectionner les éléments à supprimer :

  • Supprimer tous les éléments : Tous les plannings de ce type sont supprimés.
  • Supprimer seulement cet élément : Pour cet élément, une exception est créée pour le jour sélectionné.


Objet Liste de variables

Manuel -> Production and Facility Scheduler (PFS) -> Types d’objets -> Objet Liste de variables

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Cet objet contient la liste des variables utilisables dans le planning. Seules les variables liées à un planning peuvent être utilisées dans les événements de ce planning. C’est un objet de type fixe.

Menu contextuel Liste de variables

Élément de menu | Action
Ajouter variable | Ajoute une nouvelle variable au planning. C’est aussi possible pendant le Runtime.
Insérer variable | Insère (c’est-à-dire colle) les variables contenues dans le presse-papier.
Autorisations | Ouvre la boîte de dialogue d’autorisations.
Aide | Ouvre l'aide en ligne.

Menu contextuel Variable

Élément de menu | Action
Copier | Copie les variables sélectionnées.
Couper | Coupe les variables sélectionnées.
Remplacer une variable... | Ouvre la boîte de dialogue permettant de remplacer les variables sélectionnées.
Effacer la variable | Supprime les variables sélectionnés de la liste.
Autorisations | Ouvre la boîte de dialogue de définition des droits d’accès.
Aide | Ouvre l’aide en ligne.

Autres sujets abordés dans ce chapitre

Objet Variable


Objet Variable

Manuel -> Production and Facility Scheduler (PFS) -> Types d’objets -> Objet Liste de variables -> Objet Variable

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

À l’aide des événements d’un planning, on peut envoyer des valeurs dans les variables liées à ce planning.

Paramètre | Description
Copier | Copie les variables sélectionnées et les met dans le presse-papiers.
Couper | Copie les variables sélectionnées dans le presse-papier et les marque pour la suppression. Les variables ne sont effectivement supprimées que lorsqu’elles ont été insérées (c’est-à-dire. collées) dans d’autres plannings. Les événements utilisant ces variables sont supprimés.
Remplacer variable | Permet de remplacer la variable sélectionnée par une autre variable. Si la nouvelle variable est déjà utilisée dans le planning, la variable d’origine est supprimée. Tous les événements utilisant la variable d’origine sont transférés vers la nouvelle variable.
Effacer la variable | Supprime la variable de la liste des variables du planning. Les événements utilisant ces variables sont supprimés.
Autorisations | Ouvre la boîte de dialogue de définition des droits d’accès.
Aide | Ouvre l’aide en ligne.


Objet Fonction

Manuel -> Production and Facility Scheduler (PFS) -> Types d’objets -> Objet Fonction

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Les fonctions liées à un planning peuvent être ensuite utilisées dans les actions des événements et ainsi être exécutées.

Paramètre | Description
Copier | Copie les fonctions sélectionnées et les met dans le presse-papiers.
Couper | Les fonctions sélectionnées sont copiées dans le presse-papier et marquées pour la suppression. Les fonctions ne sont effectivement supprimées que lorsqu’elles ont été insérées (c’est-à-dire. collées) dans d’autres plannings. Les événements utilisant ces fonctions sont supprimés.
Remplacer fonction | Permet de remplacer la fonction sélectionnée par une autre fonction. Tous les événements utilisant la fonction d’origine sont modifiés pour utiliser la nouvelle fonction. Si la nouvelle fonction existe déjà dans la liste des fonctions du planning, la fonction source est supprimée de la liste.
Supprimer une fonction | Supprime la fonction de la liste des fonctions du planning. Les événements utilisant ces fonctions sont supprimés.
Autorisations | Ouvre la boîte de dialogue de définition des droits d’accès.
Aide | Ouvre l’aide en ligne.


Propriétés

Manuel -> Production and Facility Scheduler (PFS) -> Propriétés

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Pour configurer les propriétés du module Production & Facility Scheduler :

  • Cliquez avec le bouton droit Production & Facility Scheduler dans la vue de détail du gestionnaire de projet.
  • Sélectionnez Propriétés dans le menu contextuel.
  • Sélectionnez l’onglet que vous voulez modifier.
    • Changement d’heure : fournit des paramètres de commutation entre l’heure d’été et l’heure légale.
    • Fêtes nationales : configure les fêtes nationales
    • Table de couleurs : définit les couleurs des points de commutation.
    • Enregistrer les horaires des postes : autorise l’enregistrement des données des postes.

Autres sujets abordés dans ce chapitre

Changement d'heure

Jours fériés

Table de couleurs

Lien d’un modèle d’équipement

Groupes de modèles horaires éditables

Édition des plannings


Changement d'heure

Manuel -> Production and Facility Scheduler (PFS) -> Propriétés -> Changement d'heure

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Cette page définit le comportement du module PFS au cas où l’heure système change (par exemple pour les passages en heure d’été et heure d’hiver).

Les options possibles sont les suivantes :

Paramètres | Description
Changement d'heure positif | L'heure est avancée, l'heure système est avancée dans le futur (par exemple, heure d'été)
Récupérer les évènements | Les actions entre l'heure actuelle et la nouvelle heure sont exécutées immédiatement après le changement d'heure.
Recalculer les événements | Les actions entre l'heure actuelle et la nouvelle heure sont ignorées et ne sont pas exécutées. Les événements sont recalculés.
Changement d'heure négatif | L'heure est retardée, l'heure système est retardée dans le passé (par exemple, heure d'hiver)
Refuser les événements | Les événements sont recalculés. Les événements sont calculés lorsque l'heure originale est atteinte.
Recalculer les événements | Les actions entre l'heure actuelle et la nouvelle heure sont recalculées. (Ce qui signifie que lorsque la nouvelle heure est atteinte, elles sont exécutées). Ceci entraîne une double exécution des événements dans la période de temps corrigée.
Commutation de redondance | Commutation sur serveur redondant, valide pendant le délai d'attente, lors de la commutation vers le serveur redondant.
Refuser les événements | L'exécution des événements démarre selon la position courante du redondant. Les événements compris dans cette période de temps ne seront peut-être pas exécutés.
Recalculer les événements | Les événements sont recalculés et exécutés selon la nouvelle heure. Ceci peut entraîner la double exécution de ces événements.
Zone de tolérance pour déviation horaire | Tolérance qui définit de combien au max l'heure système peut être changée sans entraîner le recalcul des événements selon les critères ci-dessus.

attention Attention

Effectuez toujours un passage à l’heure d’été/l’heure d’hiver avec la fonction de changement d’heure automatique de Windows. Ne modifiez jamais l’heure manuellement?; cela peut provoquer des erreurs d’heure pouvant affecter zenon.


Jours fériés

Manuel -> Production and Facility Scheduler (PFS) -> Propriétés -> Jours fériés

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Cette page est utilisée pour sélectionner le pays afin que le module PFS prenne en compte les jours fériés correspondants.

Les données de base concernant les jours fériés se trouvent dans le fichier Holidays.txt, dans le dossier %programdata%\COPA-DATA\zenon[Version]. Il peut être édité avec un éditeur de texte.

Les entrées spécifiques à un pays commencent par l’identification du pays, entre crochets, suivie d’un numéro d’identification, comme dans Microsoft Office. La définition des jours fériés se trouve dans les lignes qui suivent : nom, date du jour férié.

Par exemple :

[Autriche] 45

Toussaint, 01/11/2006

Toussaint, 01/11/2007

Toussaint, 01/11/2008

Toussaint, 01/11/2009

Toussaint, 01/11/2010

Toussaint, 01/11/2011

Toussaint, 01/11/2012

Ascension, 25/05/2006

Ascension, 17/05/2007

Ascension, 01/05/2008

Ascension, 21/05/2009

Ascension, 13/05/2010

Ascension, 02/06/2011

Ascension, 17/05/2012

Assomption, 15/08/2006

Assomption, 15/08/2007

Assomption, 15/08/2008

Assomption, 15/08/2009

Assomption, 15/08/2010

Assomption, 15/08/2011

Assomption, 15/08/2012

...


Table de couleurs

Manuel -> Production and Facility Scheduler (PFS) -> Propriétés -> Table de couleurs

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Cette section permet de définir les couleurs utilisées dans le calendrier pour les différents cas.

Les options possibles sont les suivantes :

Paramètres | Description
Jours |
Défaut | Jour du calendrier sans caractéristiques spéciales.
Jour spécial | Le jour correspond à un jour férié.
Change day light saving time -> standard time (Changement de l’heure d’été à l’heure d’hiver) | Date du changement de l’heure d’été à l’heure d’hiver.
Change standard time -> daylight saving time (Changement de l’heure d’hiver à l’heure d’été) | Le jour est le jour du passage à l’heure d’été.
Modèles horaires |
Défaut | Un modèle horaire est utilisé ce jour.
Exception | Un modèle horaire est utilisé uniquement ce jour.
Jour spécial | Un modèle horaire est utilisé un jour férié.
Plannings |
Défaut | Un planning est actif ce jour de semaine.
Jour spécial | Un planning est actif ce jour spécial.
Passer | Aucun planning n’est actif ce jour.
Jour simple | Un planning est actif seulement ce jour.
Entrées multiples | Plusieurs propriétés s’appliquent à ce jour.


Lien d’un modèle d’équipement

Manuel -> Production and Facility Scheduler (PFS) -> Propriétés -> Lien d’un modèle d’équipement

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Pour lier un groupe d’équipements à un groupe de modèles horaires :

  1. Sélectionnez le groupe de modèles horaires
  2. Sélectionnez la commande Propriétés dans le menu contextuel
  3. La boîte de dialogue de paramètres du modèle horaire s’affiche
  4. Sélectionnez l’onglet Modélisation d’équipements

  5. Sélectionnez le groupe d’équipements de votre choix
  6. Ajoutez-le en cliquant sur le bouton Ajouter
  7. Confirmez en cliquant sur OK, après avoir ajouté tous les groupes d’équipements souhaités

Remarque : La liaison des groupes de modèles d’équipements avec les groupes de modèles horaires est la condition requise pour enregistrer les horaires de postes dans une base de données SQL. Si plusieurs groupes de modèles d’équipement sont liés, les données historiques des postes sont enregistrées dans plusieurs tables. Si le lien entre un groupe de modèles d’équipement et un groupe de modèles horaires est modifié, une nouvelle table contenant le GUID du nouveau groupe de modèles d’équipement est créée. Dans ce cas, les dispositions suivantes s'appliquent :

  • Les données de la table existante ne sont pas reprises.
  • La table existante n’est toutefois pas supprimée.


Groupes de modèles horaires éditables

Manuel -> Production and Facility Scheduler (PFS) -> Propriétés -> Groupes de modèles horaires éditables

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Les propriétés des groupes de modèles horaires permettent d’ajuster les temps de cycle des groupes de modèles horaires et d’effectuer des attributions de modèle. Pour ouvrir la boîte de dialogue, accédez au menu contextuel d’un groupe de modèles horaires et cliquez sur l’élément Propriétés....

Autres sujets abordés dans ce chapitre

Propriétés du groupe de modèles horaires

Attribution de modèles par défaut


Propriétés du groupe de modèles horaires

Manuel -> Production and Facility Scheduler (PFS) -> Propriétés -> Groupes de modèles horaires éditables -> Propriétés du groupe de modèles horaires

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Cette page de paramètres contient la désignation et les informations de cycle du groupe de modèles horaires.

Les paramètres suivants peuvent être définis ici :

Paramètre | Description
Identifiant | Définit le nom du groupe de modèles horaires. Ce champ ne peut pas être vide, et cette désignation doit être unique sur l’ensemble des données du module PFS.
Début de journée | Définit le début de journée pour ce groupe de modèles horaires.
Fin de journée | Définit la fin de journée pour ce groupe de modèles horaires.

Remarque : l'heure est enregistrée au format local. Pour plus de détails, reportez-vous au chapitre Gestion de la date et de l'heure, dans le chapitre Runtime.


Attribution de modèles par défaut

Manuel -> Production and Facility Scheduler (PFS) -> Propriétés -> Groupes de modèles horaires éditables -> Attribution de modèles par défaut

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Cette page de paramètres permet aux utilisateurs de spécifier un modèle par défaut à utiliser pour chaque jour et aussi pendant les congés.


Édition des plannings

Manuel -> Production and Facility Scheduler (PFS) -> Propriétés -> Édition des plannings

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Les propriétés permettent de configurer les plannings et le remplissage du calendrier. Pour ouvrir la boîte de dialogue, activez l’entrée Propriétés dans le menu contextuel des plannings.

Autres sujets abordés dans ce chapitre

Menu contextuel Heure

Remplissage calendrier


Menu contextuel Heure

Manuel -> Production and Facility Scheduler (PFS) -> Propriétés -> Édition des plannings -> Menu contextuel Heure

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Cette page permet de configurer le planning et d’attribuer les variables et les fonctions au planning.

Paramètres | Description
Identifiant | Définit le nom du planning. Ce nom doit être unique dans le même niveau de planning.
Planning actif | Passe le planning du mode actif au mode inactif ou vice versa. Les événements contenus dans les plannings qui ont été désactivés ne seront pas exécutés?!
Structure de planning | Une structure de planning ne contient ni fonction, ni variable. Elle sert uniquement pour structurer les plannings (répartition des plannings en différents groupes).
Liste de fonctions | Contient les fonctions liées au planning. Les fonctions sont traitées comme habituellement.
Liste de variables | Contient les variables liées au planning. Les variables sont traitées comme habituellement.


Remplissage calendrier

Manuel -> Production and Facility Scheduler (PFS) -> Propriétés -> Édition des plannings -> Remplissage calendrier

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Cette page de propriétés permet de définir les modèles horaires à utiliser pour chaque jour de la semaine.

Remplissage calendrier

Active le modèle horaire pour chaque jour de la semaine. Pour plus d’information, veuillez aussi vous reporter à la section concernant le calendrier.


Boîtes de dialogue

Manuel -> Production and Facility Scheduler (PFS) -> Boîtes de dialogue

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Autres sujets abordés dans ce chapitre

Aperçu des événements

Dialogue de filtre du module PFS

Autorisations

Création de grilles d’horaires

Sélection de plannings

Période d’activation des plannings

Sélection de modèles

Édition de planning dans la vue Table

Vue de modification des modèles

Modifier heure

Ajuster le décalage

Modifier une valeur

Créer des événements

Dupliquer


Aperçu des événements

Manuel -> Production and Facility Scheduler (PFS) -> Boîtes de dialogue -> Aperçu des événements

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Le menu contextuel du module Production & Facility Scheduler permet d’avoir un aperçu des événements.

Le mode 'Aperçu des événements' est un outil de diagnostic puissant permettant aux utilisateurs de vérifier la configuration du module PFS. Il définit et affiche, selon les critères de filtre sélectionné, les événements absolus ou relatifs et les heures d’exécution en temps absolu. Ainsi, cela permet aux utilisateurs de vérifier les effets des modifications qu’ils ont effectuées avant de les appliquer réellement à l’équipement. Cet aperçu peut aussi être utilisé pour afficher un historique. La définition est toujours faite sur la base de la configuration courante.

Les événements définis par l’utilisateur ne peuvent pas être exécutés dans Editor. Dans l’environnement du Runtime, les heures de déclenchement pour les événements définis par l’utilisateur sont conservées en mémoire pendant 14 jours au plus, ainsi l’historique ne peut pas remonter en arrière dans le temps au-delà de cette période.

Vous pouvez aussi filtrer les objets configurés, par exemple, si vous voulez rechercher uniquement dans un planning particulier.

Quand vous fermez la boîte de dialogue en cliquant sur OK, les paramétrages effectués sont enregistrés et resteront disponibles jusqu’à la prochaine ouverture.

Boîte de dialogue de recherche dans les champs texte

Les champs Groupe de modèles horaires, Planning, Variable et Fonction offrent une prise en charge les opérateurs lors du filtrage :

caractère générique | Signification
Texte | Le nom doit être Text
*Text | Le nom doit se terminer par Text
Text* | Le nom doit commencer par Text
T??t | N’importe quel caractère peut se trouver en deuxième et troisième position.

Propriété

Description

Sélection des critères de filtre

Groupe de modèles horaires

Définit le filtre à utiliser pour l’équipement en cours d’examen. Seuls les événements liés aux équipements correspondants apparaîtront dans l’aperçu.
Attention : La saisie dépend de la casse.

Planning

Définit le filtre à utiliser pour le planning en cours d’examen. Seuls les événements liés aux plannings correspondants apparaîtront dans l’aperçu.
Attention : La saisie dépend de la casse.

Variable

Définit le filtre à appliquer aux variables recherchées. Seuls les événements liés aux variables correspondantes et remplissant les conditions du filtre seront affichés dans l’aperçu.
Attention : La saisie dépend de la casse.

Fonction

Définit le filtre à appliquer aux fonctions recherchées. Seuls les événements liés aux fonctions correspondantes et remplissant les conditions du filtre seront affichés dans l’aperçu.
Attention : La saisie dépend de la casse.

Filtrage de

Sélection des données utilisées pour créer l’aperçu par le biais d’une liste déroulante :

  • Éditable data (Données modifiables)
    tient compte des données modifiées pour définir l’aperçu. L’aperçu vous permet ainsi de vérifier votre configuration avant de la sauvegarder.
  • Saved data (Données enregistrées)
    crée l’aperçu sur la base de la configuration utilisée pour l’exécution des événements.

Critères des événements

Cette option vous permet de définir sur quelle période de temps vous voulez créer l’aperçu.

Aperçu

Démarre le calcul des heures d’exécution selon les critères définis.

Contient la table avec les événements qui sont exécutés selon la période définie et qui respecte les critères de filtre. Les événements désactivés ou les événements contenus dans des plannings désactivés sont mis en évidence.


Dialogue de filtre du module PFS

Manuel -> Production and Facility Scheduler (PFS) -> Boîtes de dialogue -> Dialogue de filtre du module PFS

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Le dialogue de filtre permet de réduire le nombre d’objets visibles dans le module PFS aux seuls objets respectant les critères de filtre.

Remarque : l'heure est enregistrée au format local. Pour plus de détails, reportez-vous au chapitre Gestion de la date et de l'heure, dans le chapitre Runtime.

La fonction de filtre permet de remplir un masque de filtre pour isoler certains types d’objets. Lorsqu’un filtre est activé, la branche filtrée est identifiée avec un entonnoir symbolisant le procédé de filtrage. La fonction de filtre tient compte de la casse.

Les champs Groupe de modèles horaires, Planning, Variable et Fonction offrent une prise en charge les opérateurs lors du filtrage :

caractère générique | Signification
Texte | Le nom doit être Text
*Text | Le nom doit se terminer par Text
Text* | Le nom doit commencer par Text
T??t | N’importe quel caractère peut se trouver en deuxième et troisième position.

Lorsque des objets "enfants" remplissent les conditions du filtre, les objets "parents" sont aussi affichés, même si eux-mêmes ne répondent pas aux critères de filtre. L’exception à cette règle concerne le groupe de modèles horaires. Si un groupe de modèles horaires ne remplit pas les conditions du filtre correspondant, le groupe de modèles horaires entier est masqué, même dans l’éventualité où certains sous-objets de niveau inférieur respecteraient les conditions du filtre.


Autorisations

Manuel -> Production and Facility Scheduler (PFS) -> Boîtes de dialogue -> Autorisations

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Celles-ci vous permettent de définir les groupes d’autorisation utilisateur nécessaires pour permettre les différentes actions sur les objets. Si l’objet ne supporte pas une fonctionnalité en particulier, alors elle est grisée.

Si les autorisations sont éditées dans le Runtime, seuls les groupes d’autorisations de l’utilisateur actuellement connecté peuvent être sélectionnés.

Les autorisations ne sont prises en compte que dans le Runtime.

Paramètres | Description
Afficher | Permet aux utilisateurs avec ce groupe d’autorisation d’afficher l’objet et tous ses sous-niveaux.
Créer | Permet d’autoriser ou non la création de l’objet et des objets d’un niveau inférieur.
Modifier | Permet ou non la modification des paramètres de l’objet ou ses autorisations.
Renommer | Permet ou non le renommage de l’objet.
Supprimer | Permet aux utilisateurs avec ce groupe d’autorisation de supprimer l’objet et tous ses sous-niveaux.


Création de grilles d’horaires

Manuel -> Production and Facility Scheduler (PFS) -> Boîtes de dialogue -> Création de grilles d’horaires

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Cette boîte de dialogue permet de créer, en une seule action, une grille d’horaires avec une période de temps définie et dans une plage d’heures spécifique configurable.

Pour ouvrir cette boîte de dialogue, sélectionnez un planning et accédez à son menu contextuel sur la grille dans la vue à droite, et cliquez sur l’item "Créer grille d’horaires".

Paramètres | Description
Heure ou Cycle | Définit l’heure de l’horaire à créer ou la période du cycle pour la création d’une grille d’horaires.
Horaires cycliques | Si cette option est activée, plusieurs horaires sont créés à intervalle régulier.
Groupe d’autorisation | Pas encore pris en charge?! Doit rester à 0.
Heure de début | Heure de départ pour la création des horaires.
Heure de fin | Heure de fin pour la création des horaires.

Remarque : l'heure est enregistrée au format local. Pour plus de détails, reportez-vous au chapitre Gestion de la date et de l'heure, dans le chapitre Runtime.


Sélection de plannings

Manuel -> Production and Facility Scheduler (PFS) -> Boîtes de dialogue -> Sélection de plannings

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Cette boîte de dialogue vous permet de sélectionner des plannings qui doivent être liés à un jour. Quand vous sélectionnez les plannings requis et vous les ajoutez à la liste, les plannings sont alors insérés dans la liste des plannings liés.

Pour ouvrir la boîte de dialogue, activez l’entrée Sélectionner plannings dans le menu contextuel de "l’affichage jour" du calendrier.


Période d’activation des plannings

Manuel -> Production and Facility Scheduler (PFS) -> Boîtes de dialogue -> Période d’activation des plannings

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Cette boîte de dialogue permet de définir à quel moment et à quelle fréquence tel ou tel planning doit être activé ou de les sélectionner selon un modèle dans le calendrier.

Pour ouvrir la boîte de dialogue :

  1. Cliquez avec le bouton droit sur une ligne ou une cellule contenant le planning dans la vue Calendrier
  2. Sélectionnez Sélectionner les plannings dans le menu contextuel.
  3. La boîte de dialogue de sélection de plannings s’affiche à l’écran.

  4. Sélectionnez les plannings souhaités, puis confirmez-les en cliquant sur OK.
  5. La boîte de dialogue de planification de la durée de la série s’affiche

Durée des séries

Paramètres | Description
Durée des séries | Paramètres de durée de la série.
Pas de date de fin | L’exécution commence par la création de la série, et ne comporte pas de date de fin (paramètre par défaut). La série est exécutée chaque semaine.
Commence le | Date de début.
Finit le | Date de fin.

Période des séries

Paramètres

Description

Type de périodicité

Type d’exécution.

Champ Détails

Options de configuration de la série, dépendantes de la sélection de :

  • Quotidien
  • Hebdomadaire
  • Tous les mois
  • Annuel

Quotidien

L’exécution peut être définie comme suit dans le champ Détails :

  • Tous les [nombre] jours : Tous les mois : saisissez un nombre déterminant la fréquence d’exécution.
    Par défaut : 1
  • Every work day (Chaque jour ouvré) : La série est exécutée chaque jour ouvré (conformément au calendrier de vacances officielles préalablement défini).

Hebdomadaire

L’exécution peut être définie sur certains jours dans le champ Détails.

Tous les mois

L’exécution peut être définie comme suit dans le champ Détails :

  • Actif : Sélection de la date
  • Every month (Tous les mois) : Tous les mois : saisissez un nombre déterminant la fréquence d’exécution.

Annuel

L’exécution peut être définie sur certaines dates dans le champ Détails.

Plannings sélectionnés

Paramètres | Description
Plannings sélectionnés | Liste de plannings sélectionnés.
Sélectionner | Cliquez sur le bouton pour ouvrir la boîte de dialogue de sélection de plannings.
OK | Accepte la saisie et ferme la boîte de dialogue.
Annuler | Annule les entrées et ferme la boîte de dialogue.
Aide | Ouvre l'aide en ligne.


Sélection de modèles

Manuel -> Production and Facility Scheduler (PFS) -> Boîtes de dialogue -> Sélection de modèles

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Cette boîte de dialogue permet d’attribuer un modèle par groupe de modèles horaires le jour souhaité.

  1. Cliquez sur la cellule Modèles dans le calendrier

  2. Sélectionnez Sélectionner les modèles dans le menu contextuel.
  3. Sélectionnez le modèle de votre choix.
  4. Cliquez sur le bouton Ajouter.
  5. Fermez la boîte de dialogue en cliquant sur OK


Édition de planning dans la vue Table

Manuel -> Production and Facility Scheduler (PFS) -> Boîtes de dialogue -> Édition de planning dans la vue Table

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Cliquez avec le bouton droit de la souris sur un planning dans la vue Calendrier pour afficher le menu contextuel. La commande Afficher le planning ouvre la boîte de dialogue de configuration.

Cette vue vous permet de modifier les plannings liés au calendrier. Les possibilités sont les mêmes que pour la vue des modèles ou des événements.


Vue de modification des modèles

Manuel -> Production and Facility Scheduler (PFS) -> Boîtes de dialogue -> Vue de modification des modèles

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Cliquez avec le bouton droit de la souris sur un modèle horaire dans la vue Calendrier pour afficher le menu contextuel. La commande Display model (Afficher le modèle) ouvre la boîte de dialogue de configuration.

Cette vue vous permet de modifier les modèles liés au calendrier. Les possibilités d’édition sont les mêmes que celles pour définir les postes et les pauses.


Modifier heure

Manuel -> Production and Facility Scheduler (PFS) -> Boîtes de dialogue -> Modifier heure

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Cette boîte de dialogue vous permet de mettre un délai (offset) sur l’heure spécifiée.

Pour ouvrir la boîte de dialogue, activez le menu contextuel sur une heure et cliquez sur la commande Modifier heure.


Ajuster le décalage

Manuel -> Production and Facility Scheduler (PFS) -> Boîtes de dialogue -> Ajuster le décalage

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Permet de modifier les offsets sélectionnés.

Pour ouvrir la boîte de dialogue, activez le menu contextuel sur la colonne 'Offset' et cliquez sur la commande Ajuster offset.


Modifier une valeur

Manuel -> Production and Facility Scheduler (PFS) -> Boîtes de dialogue -> Modifier une valeur

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Cette commande permet de modifier les cellules sélectionnées dans la colonne Action.

Pour ouvrir la boîte de dialogue, activez le menu contextuel sur la colonne 'Action' et cliquez sur la commande Modifier la valeur.

Paramètre

Description

Variable

Modifier la valeur de

Modifie le contenu des cellules couramment sélectionnées en ajoutant le montant spécifié.

Modifier la valeur en

Modifie le contenu des cellules couramment sélectionnées avec le montant spécifié.

Croissance linéaire initialisée avec

Modifie le contenu des cellules couramment sélectionnées en ajoutant le montant spécifié. Le montant est incrémenté de 1 à chaque cellule modifiée.

Décroissance linéaire initialisée avec

Modifie le contenu des cellules couramment sélectionnées en ajoutant le montant spécifié. Le montant est décrémenté de 1 à chaque cellule modifiée.

Fonction

Changer l’état en

Modifie l’activation des événements couramment sélectionnés avec l’état spécifié :

  • Actif
  • Inactive

Macro

Changer la macro en

Change la macro en la macro sélectionnée.


Créer des événements

Manuel -> Production and Facility Scheduler (PFS) -> Boîtes de dialogue -> Créer des événements

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

La boîte de dialogue est ouverte par le biais du menu contextuel d’une entrée d’heure sélectionnée et de la commande Créer événements.

Dans la liste supérieure, sélectionnez les entrées pour lesquelles vous voulez créer des événements et insérez-les en cliquant sur le bouton Ajouter dans la liste inférieure.

info Informations

Par défaut, les événements sont toujours inactifs lors de leur création dans le Runtime, et doivent être activés volontairement pour fonctionner. Par défaut, les événements sont actifs lorsqu’ils sont créés dans Editor.


Dupliquer

Manuel -> Production and Facility Scheduler (PFS) -> Boîtes de dialogue -> Dupliquer

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

La boîte de dialogue peut être affichée lors de la copie d’un planning, pour contrôler les comportements suivants :

  • Si les plannings enfants sous-ordonnés doivent également être copiés lors de la phase de collage
  • Si les variables sont remplacées lors de la phase de collage

Paramètres

Description

dupliquer seulement le planning courant

Insère (c’est-à-dire colle) le planning de niveau le plus haut contenu dans le presse-papier.

dupliquer le planning actuel et le planning enfant

Le planning sera inséré (c’est-à-dire collé) avec ses plannings de niveaux inférieurs. Ceci représente la méthode standard si cette boîte de dialogue est désactivée.

Ouvrir la boîte de dialogue de substitution

Afficher la boîte de dialogue de remplacement Ceci permet d’échanger les variables lors de leur insertion.

Afficher la boîte de dialogue seulement si la touche Ctrl est enfoncée

Supprime la boîte de dialogue. Le planning et les plannings enfants sont toujours copiés sans substitution. Dans ce cas, si vous appuyez sur la touche Ctrl lors du copier/coller, la boîte de dialogue apparaîtra.

Remarque : cette fonction peut également être contrôlée par le biais d’une entrée dans le fichier project.ini :

[PFM]

AnzeigenMitStrg = [Valeur]

Valeurs :

1 : la boîte de dialogue est uniquement affichée si la touche Ctrl est enfoncée pendant l'insertion du planning.

0 : la boîte de dialogue est toujours affichée.

OK

Accepte la saisie et ferme la boîte de dialogue.

Annuler

Annule les entrées et ferme la boîte de dialogue.

Aide

Ouvre l'aide en ligne.


Exécuter un événement PFS

Manuel -> Production and Facility Scheduler (PFS) -> Exécuter un événement PFS

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

En utilisant cette fonction, un événement défini du module PFS peut être exécuté pendant le Runtime de façon à déclencher un temps relatif dans le module PFS.


Type de synoptique Production and Facility Scheduler (PFS)

Manuel -> Production and Facility Scheduler (PFS) -> Type de synoptique Production and Facility Scheduler (PFS)

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Les plannings et profils sont administrés dans le Runtime avec un synoptique Production & Facility Scheduler. Ce type de synoptique n’est disponible qu’avec la licence du module PFS?; si vous n’avez pas cette licence, le type de synoptique Planning peut être sélectionné.

Créé un synoptique Production & Facility Scheduler

Développement

Étapes de création du synoptique :

  1. Créez un nouveau synoptique :

    Dans la barre d’outils ou le menu contextuel du nœud Synoptiques, sélectionnez la commande Nouveau synoptique.
    Un synoptique vide Standard est créé.

  2. Modifiez les propriétés du synoptique :
    1. Nommez le synoptique dans la propriété Nom.
    2. Dans la propriété Type de synoptique, sélectionnez Production & Facility Scheduler.
    3. Sélectionnez le cadre souhaité dans la propriété Gabarit.
  3. Configurez le contenu du synoptique :
    1. Sélectionnez l’option de menu Éléments de contrôle dans la barre de menus
    2. Sélectionnez Insérer un modèle dans la liste déroulante.
      La boîte de dialogue de sélection de mises en forme prédéfinies s’affiche à l’écran. Certains éléments de contrôle sont insérés dans le synoptique à des positions prédéfinies.
    3. Supprimez les éléments superflus du synoptique.
    4. Si nécessaire, sélectionnez des éléments supplémentaires dans la liste déroulante Éléments. Placez-les aux emplacements souhaités sur le synoptique.
  4. Créez une fonction d’appel de synoptique.

Éléments de contrôle

Insérer un modèle

Élément de contrôle | Description
Insérer un modèle | Ouvre la boîte de dialogue de sélection de modèle pour le type de synoptique correspondant. Des modèles sont fournis avec zenon, et peuvent également être créés par l’utilisateur. Modèles ajoutent des éléments de contrôle prédéfinis à des positions prédéfinies sur le synoptique. Les éléments qui ne sont pas nécessaires peuvent également être supprimés individuellement après leur création. Les éléments supplémentaires peuvent être sélectionnés dans la liste déroulante, puis insérés dans le synoptique zenon. Les éléments peuvent être déplacés et disposés individuellement sur le synoptique.

Éléments de contrôle

Élément de contrôle | Description
Fenêtre Planning | Le planning est affiché.

Général

Éléments de contrôle généraux :

Élément de contrôle | Description
Critères de filtre … | Ouvre la boîte de dialogue de sélection des filtres.
Paramètres... | Ouvre la boîte de dialogue pour le paramétrage des couleurs pour les jours, modèles horaires et plannings dans le tableau.
Propriétés... | Ouvre la boîte de dialogue propriétés pour les groupes de modèles horaires.
Aperçu de l'événement... | Ouvre la boîte de dialogue pour l’aperçu des événements.
Enregistrer | Enregistre les modifications apportées dans le module Scheduler.
Annuler | Annule les modifications.
Copier... | Copie un élément sélectionné dans le planning.
Couper | Découpe un élément sélectionné dans le planning.
Coller... | Copie un élément du presse-papiers dans le planning.
Renommer | Renomme l'élément sélectionné.
Supprimer | Supprime les éléments sélectionnés.
Tri croissant | Trie les éléments du planning par ordre croissant.
Tri décroissant | Trie les éléments du planning par ordre décroissant.

Planning

Éléments de contrôle des plannings

Nouveau groupe de modèles horaires...

Créer groupe de modèles horaires.

Modèle horaire
  • Nouveau modèle horaire...
  • Nouvelle équipe...
  • Supprimer poste
  • Créer pause...
  • Supprimer pause...

Planning
  • Nouveau planning...
  • Activer le planning
  • Ajouter une variable...
  • Effacer la variable
  • Supprimer une fonction
  • Remplacer les liens...
  • Nouvelle grille d'horaires...
  • Nouvel horaire...
  • Supprimer un horaire
  • Nouvel événement...
  • Nouveaux événements...
  • Supprimer des événements

Nouvel événement

Créer un événement.

Calendrier
  • Sélectionner modèles...
  • Sélectionner plannings...
  • Visualiser ce jour
  • Aller à aujourd'hui
  • Atteindre une date...
  • Par défaut
  • Comme un jour unique
  • Avancer
  • Reculer
  • Affichage par jour
  • Affichage par semaine
  • Affichage par mois

Traitement groupé
  • Toutes les valeurs actives
  • Toutes les valeurs inactives
  • Horaire absolu
  • Horaire relatif
  • Modifier un horaire…
  • Modifier une valeur...
  • Sélectionner un événement...
  • Ajuster l’offset...

Vous trouverez plus d’informations concernant les fichiers de Runtime modifiables au chapitre Fichiers modifiables dans le Runtime.


Appel de synoptique - PFS

Manuel -> Production and Facility Scheduler (PFS) -> Appel de synoptique - PFS

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Autres sujets abordés dans ce chapitre

Filtres pour les vues d’arborescence lors des appels de synoptique

Filtres pour les vues de grille lors de l’appel de synoptique


Filtres pour les vues d’arborescence lors des appels de synoptique

Manuel -> Production and Facility Scheduler (PFS) -> Appel de synoptique - PFS -> Filtres pour les vues d’arborescence lors des appels de synoptique

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Les paramètres sont identiques à ceux de la boîte de dialogue de filtre dans le module PFS. Une option supplémentaire vous permet de spécifier si vous voulez ou non activer la boîte de dialogue de filtre avant l’affichage du synoptique. L’objet sélectionné dans l’arborescence sera à nouveau sélectionné lors d’un nouvel appel de ce synoptique.

Remarque : l'heure est enregistrée au format local. Pour plus de détails, reportez-vous au chapitre Gestion de la date et de l'heure, dans le chapitre Runtime.


Filtres pour les vues de grille lors de l’appel de synoptique

Manuel -> Production and Facility Scheduler (PFS) -> Appel de synoptique - PFS -> Filtres pour les vues de grille lors de l’appel de synoptique

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

La page "Propriétés colonnes" vous permet de définir les colonnes et les titres qui seront utilisés pour les différentes vues de grille.

Paramètre | Description
Champs disponibles | Selon la vue sélectionnée, les colonnes sont affichées dans la liste. Seules les colonnes sélectionnées seront affichées.
Texte | Le champ Texte contient le texte qui sera montré en tête de colonne. Ce texte peut être précédé par un @ pour être pris en compte comme mot clé pour la traduction.
Largeur | Largeur de colonne
Alignement | Alignement du texte de l’en-tête de colonne.
Objets | Liste des différents objets pour lesquels les vues peuvent être configurées.
Vue préférée | Liste des vues possibles pour l’objet sélectionné.

Vues disponibles pour un objet

Paramètre

Description

Objet

Sélectionnez dans la liste déroulante :

Événements utilisateur

  • Planning
  • Calendrier
  • Modèles horaires
  • Groupes de modèles horaires

Vue préférée


Recettes standard

Manuel -> Recettes standard

Les recettes rassemblent les valeurs prescrites et les commandes sous forme de liste peuvent être exécutées dans le Runtime à l’aide d’une fonction.

Les recettes peuvent être développées dans Editor ou dans le Runtime (à l’aide du synoptique Recette standard).

Une collection comprenant plusieurs recettes peut être créée et gérée à l’aide du module Recipe Group Manager.

tutorial Informations concernant la licence

Composante de la licence standard d’Editor et du Runtime.

Menu contextuel Gestionnaire de projet

Élément de menu | Action
Profil Editor | Ouvre la liste déroulante contenant les profils Editor prédéfinis.
Aide | Ouvre l'aide en ligne.

Autres sujets abordés dans ce chapitre

Configuration dans Editor

Fonction d’appel de synoptique de recette standard

Utilisation dans le Runtime


Configuration dans Editor

Manuel -> Recettes standard -> Configuration dans Editor

Autres sujets abordés dans ce chapitre

Menu contextuel Gestionnaire de projet

Menu contextuel Vue de détail

Créer un synoptique de type Recette standard

Créer une nouvelle recette

Ajouter des variables à une recette

Modifier valeurs

Exécuter recettes


Menu contextuel Gestionnaire de projet

Manuel -> Recettes standard -> Configuration dans Editor -> Menu contextuel Gestionnaire de projet

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Élément de menu | Action
Nouvelle recette | Crée une nouvelle recette dans la liste et ouvre le nom aux fins de l’édition.
Exporter tout (XML) | Exporte toutes les entrées sous forme de fichier XML.
Importer XML | Importe les entrées à partir d'un fichier XML.
Import ASCII | Importe les entrées à partir d'un fichier ASCII.
Profil Editor | Ouvre la liste déroulante dans laquelle vous pouvez associer un profil Editor.
Aide | Ouvre l'aide en ligne.


Menu contextuel Vue de détail

Manuel -> Recettes standard -> Configuration dans Editor -> Menu contextuel Vue de détail

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Barre d'outils

Élément de menu | Action
Nouvelle recette | Crée une nouvelle recette dans la liste et ouvre le nom aux fins de l’édition.
Créer une fonction standard | Ouvre la boîte de dialogue permettant de sélectionner une recette et une action et crée une fonction adéquate. Cette action est consignée dans la fenêtre de sortie.
Ajouter variable | Ouvre la boîte de dialogue de sélection de variables.
Retour à l'élément de départ | Jumps back to the initial position in the zenon Editor. Remarque : This context menu entry is only available if a jump to the current position has been made from another position with the Linked elements context menu entry.
Copier | Copie les entrées sélectionnées vers le presse-papiers.
Coller | Colle le contenu depuis le presse-papiers. Si une entrée portant le même nom existe déjà, le contenu est collé sous le nom Copie de...
Supprimer | Supprime les entrées sélectionnées.
Déplacer vers le haut | Remonte l’entrée d’une place dans la liste de recettes.
Déplacer vers le bas | Descend l’entrée d’une place dans la liste de recettes.
Modifier valeur prescrite | Active la cellule Valeur prescrite pour autoriser l’insertion d’une valeur.
Exporter la sélection en XML... | Exporte les entrées sélectionnées sous forme de fichier XML.
Importer XML | Importe les entrées à partir d'un fichier XML.
Exporter la sélection en ASCII | Exporte les entrées sélectionnées sous forme de fichier ASCII.
Import ASCII | Importe les entrées à partir d'un fichier ASCII.
Renommer | Permet de renommer la recette sélectionnée. Ceci est également possible en cliquant avec le bouton gauche de la souris sur le champ ou en appuyant sur la touche F2.
Propriétés | Ouvre la fenêtre de propriétés.
Aide | Ouvre l'aide en ligne.

Arborescence du menu contextuel dans la vue de détail

Élément de menu | Action
Ajouter variable | Ouvre la boîte de dialogue de sélection de variables.
Nouvelle recette | Crée une nouvelle recette dans la liste et ouvre le nom aux fins de l’édition.
Créer une fonction standard | Ouvre la boîte de dialogue permettant de sélectionner une recette et de définir l’action souhaitée.
Copier | Copie les entrées sélectionnées vers le presse-papiers.
Coller | Colle le contenu depuis le presse-papiers. Si une entrée portant le même nom existe déjà, le contenu est collé sous le nom Copie de...
Supprimer | Supprime les entrées sélectionnées.
Exporter la sélection en XML... | Exporte les entrées sélectionnées sous forme de fichier XML.
Importer XML | Importe les entrées à partir d'un fichier XML.
Exporter la sélection en ASCII | Exporte les entrées sélectionnées sous forme de fichier ASCII.
Import ASCII | Importe les entrées à partir d'un fichier ASCII.
Renommer | Permet de renommer la recette sélectionnée. Ceci est également possible en cliquant avec le bouton gauche de la souris sur le champ ou en appuyant sur la touche F2.
Propriétés | Ouvre la fenêtre de propriétés.
Aide | Ouvre l'aide en ligne.

Menu contextuel Détails

Élément de menu | Action
Ajouter variable | Ouvre la boîte de dialogue de sélection de variables.
Supprimer une variable | Supprime la variable sélectionnée après une demande de confirmation.
Déplacer vers le haut | Remonte la variable sélectionnée d’une position.
Déplacer vers le bas | Descend la variable sélectionnée d’une position.
Modifier valeur prescrite | Ouvre la cellule contenant la valeur prescrite afin d’en autoriser la modification.
Supprimer le filtre | Supprime tous les paramètres de filtre actuels.
Aide | Ouvre l'aide en ligne.


Créer un synoptique de type Recette standard

Manuel -> Recettes standard -> Configuration dans Editor -> Créer un synoptique de type Recette standard

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

La gestion des recettes dans le Runtime peut se faire à l’aide d’un synoptique de type Recette standard. Ce synoptique doit d’abord être créé dans Editor.

Créer un synoptique de type Recette standard

Développement

Étapes de création du synoptique :

  1. Créez un nouveau synoptique :

    Dans la barre d’outils ou le menu contextuel du nœud Synoptiques, sélectionnez la commande Nouveau synoptique.
    Un synoptique vide Standard est créé.

  2. Modifiez les propriétés du synoptique :
    1. Nommez le synoptique dans la propriété Nom.
    2. Dans la propriété Type de synoptique, sélectionnez Recettes standard.
    3. Sélectionnez le cadre souhaité dans la propriété Gabarit.
  3. Configurez le contenu du synoptique :
    1. Sélectionnez l’option de menu Éléments de contrôle dans la barre de menus
    2. Sélectionnez Insérer un modèle dans la liste déroulante.
      La boîte de dialogue de sélection de mises en forme prédéfinies s’affiche à l’écran. Certains éléments de contrôle sont insérés dans le synoptique à des positions prédéfinies.
    3. Supprimez les éléments superflus du synoptique.
    4. Si nécessaire, sélectionnez des éléments supplémentaires dans la liste déroulante Éléments. Placez-les aux emplacements souhaités sur le synoptique.
  4. Créez une fonction d’appel de synoptique.

Éléments de contrôle

Élément de contrôle | Description
Insérer un modèle | Ouvre la boîte de dialogue de sélection de modèle pour le type de synoptique correspondant. Des modèles sont fournis avec zenon, et peuvent également être créés par l’utilisateur. Modèles ajoutent des éléments de contrôle prédéfinis à des positions prédéfinies sur le synoptique. Les éléments qui ne sont pas nécessaires peuvent également être supprimés individuellement après leur création. Les éléments supplémentaires peuvent être sélectionnés dans la liste déroulante, puis insérés dans le synoptique zenon. Les éléments peuvent être déplacés et disposés individuellement sur le synoptique.

Fenêtre

Fenêtre dans le Runtime.

Élément de contrôle

Description

Nom de la recette

Nom ou sélection de la recette actuelle

Fenêtre des recettes

Affichage de la recette actuelle dans une table

Écriture en cours

Barre de progression indiquant la progression de l’écriture des variables de la recette.

L’élément de contrôle affiche la barre de progression du bas vers le haut ou de gauche à droite, selon l’emplacement et la forme de l’élément.

L’élément de contrôle est dissimulé dans le Runtime, et est uniquement affiché durant l’écriture de la recette.

Remarque : L’élément de contrôle est uniquement affiché si la propriété Ecrire de façon synchrone est active.

Fonctions de recettes

Actions pour les recettes dans le Runtime.

Élément de contrôle

Description

Nouvelle recette

Créer une nouvelle recette

Édition recette

Éditer la recette actuelle.

Copier recette

Copier la recette actuelle.

Enregistrer la recette

Enregistrer la recette actuelle sous le même nom

Supprimer une recette

Supprimer la recette actuelle

Exporter une recette

Enregistre la recette actuelle sous forme de fichier TXT.

Importer une recette

Charge la recette actuelle à partir d'un fichier TXT.

Lire les valeurs sur l'automate

Les valeurs des variables de la recette sélectionnée sont lues sur le procédé et sont insérées dans la recette. Les modifications doivent être enregistrées !

Modifier une valeur prescrite

Modifier la valeur de la variable sélectionnée dans la recette. Une valeur décimale peut être saisie avec une virgule ou un point, mais la virgule sera automatiquement changée en point.

Attention : Si cet élément n’existe pas dans le synoptique, les recettes sont affichées en lecture seule dans la liste.

Toutes les valeurs ++

Toutes les valeurs de la recette sélectionnée sont augmentées de 1

Toutes les valeurs - -

Toutes les valeurs de la recette sélectionnée sont réduites de 1

Exécuter recette

Les valeurs des variables de la recette sélectionnée sont écrites dans le procédé telles qu'elles sont affichées dans la recette.

Ajouter variable

Ajouter des variables à la recette sélectionnée. Il est aussi possible d’ajouter des variables d’autres projets couramment chargés en mémoire.

Effacer la variable

Supprimer la variable sélectionnée de la recette

Navigation

Boutons de navigation dans la recette.

Élément de contrôle | Description
Recette précédente | Aller jusqu’à la recette précédente
Première recette | Aller jusqu’à la première recette
Recette suivante | Avancer jusqu’à la recette suivante
Dernière recette | Avancer jusqu’à la dernière recette

Écriture synchrone :

Si la propriété Ecrire de façon synchrone est active, la progression de l’écriture de l’élément de contrôle est affichée si une recette est écrite dans le contrôle, jusqu’à ce que la confirmation d’écriture atteigne le module de la recette. Peu importe que la confirmation d’écriture soit positive ou négative. Si vous souhaitez réagir à une confirmation d’écriture négative, vous pouvez le faire à l’aide d’une matrice de réaction.

info Informations

Les boutons peuvent être protégés par un mot de passe et un niveau d’autorisation. Pour plus de détails, reportez-vous au chapitre Fonctionnement dans le Runtime.


Créer une nouvelle recette

Manuel -> Recettes standard -> Configuration dans Editor -> Créer une nouvelle recette

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Pour créer une nouvelle recette, utilisez la commande Nouvelle recette du menu contextuel du dossier Recettes / Recettes standard dans le gestionnaire de projet. La nouvelle recette est affichée dans la vue de détails du gestionnaire de projet. D’autres définitions se font également dans l’affichage détaillé.


Ajouter des variables à une recette

Manuel -> Recettes standard -> Configuration dans Editor -> Ajouter des variables à une recette

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Après la création d’une nouvelle recette, des variables peuvent être ajoutées à la recette.

attention Attention

Une variable de chaîne ne peut pas être écrite dans l’automate avec une recette standard. Pour les variables de chaîne, utilisez le module Recipe Groupe Manager.

Les variables sont sélectionnées dans la boîte de dialogue de Sélection des variables. Vous pouvez appliquer les variables en double-cliquant dessus ou en cliquant sur le bouton Ajouter. La sélection multiple est possible. Les variables des sous-projets en mémoire peuvent être utilisées. Les variables ajoutées à une recette ne doivent pas être en mode lecture seule (propriété 'forçage valeur actif' de la section 'Spécifier valeur prescrite' des propriétés de la variable). Si les définitions des variables sont modifiées (échelles), les valeurs définies dans les recettes sont aussi modifiées de la même façon.

info Informations

Une valeur décimale peut être saisie avec une virgule ou un point, mais la virgule sera automatiquement changée en point.

Trier les variables

Vous pouvez ordonner les variables comme vous le souhaitez :

Sélectionnez la variable que vous voulez déplacer et choisissez une des actions suivantes :

  • utilisez les boutons fléchés dans le coin inférieur droit pour déplacer les objets
  • choisissez Haut ou Bas dans le menu contextuel

Menu contextuel de la vue de détail Variable

Paramètres | Description
Ajouter variable | Ouvre la boîte de dialogue de sélection de variables.
Effacer la variable | Supprime les variables sélectionnées de la liste après confirmation d’un message d’avertissement.
Déplacer vers le haut | Remonte la variable sélectionnée d’une position.
Déplacer vers le bas | Descend la variable sélectionnée d’une position.
Modifier une valeur prescrite | Active la cellule Valeur prescrite et sélectionne la valeur prescrite actuelle.
Supprimer tous les filtres | Supprime tous les filtres définis.
Aide | Ouvre l'aide en ligne.


Modifier valeurs

Manuel -> Recettes standard -> Configuration dans Editor -> Modifier valeurs

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Pour modifier les valeurs à envoyer, vous pouvez soit sélectionner Modifier valeur prescrite dans le menu contextuel, soit modifier la valeur directement dans la colonne 'Valeur prescrite'. Afin de vous permettre de contrôler la valeur prescrite, les valeurs techniques minimale et maximale de chaque variable de procédé sont affichées de chaque côté de la valeur. La sélection multiple est possible pour la suppression, mais pas pour la modification des variables.

La variable '_LASTRECIPE' contient le nom de la recette standard qui a été exécutée le plus récemment.

Ceci permet de faire une gestion de recettes, car cette variable donne à tout moment l’information de quelle recette est couramment active.

La variable '_LASTNEWRECIPE' contient le nom de la recette standard qui a été créée le plus récemment.

Les variables "_LASTRECIPE" et "_LASTNEWRECIPE" peuvent être basées sur n’importe quel driver et doivent être accessibles en mode écriture.

attention Attention

Exceptions :

La variable "_LASTRECIPE" ne peut pas être traitée avec le driver système.

La variable "_LASTRECIPE" ne peut pas être traitée avec le driver système.

Autres sujets abordés dans ce chapitre

Vérification de l’écriture de valeurs prescrites


Vérification de l’écriture de valeurs prescrites

Manuel -> Recettes standard -> Configuration dans Editor -> Modifier valeurs -> Vérification de l’écriture de valeurs prescrites

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Lors de l’écriture de valeurs, la valeur reçoit un bit d’état qui a été écrit. Si le procédé d’écriture est un succès, le bit d’état correspondant est défini :

  • WR-ACK

    Le driver a reçu une valeur à écrire.

  • WR-SUC

    Valeur 1 : Écriture réussie.

    Valeur 0 : L’écriture a échoué. La valeur n’a pas été écrite.

info Informations

Dans le cas d’un rechargement du projet ou d’un basculement sur le serveur redondant, les réponses actuellement actives ou les confirmations d’écriture sont abandonnées.

Cette combinaison d’états existe jusqu’au prochain changement de valeur. À ce moment, les deux états sont définis sur 0, jusqu’à ce que l’action d’écriture soit terminée. Pour l’évaluation, la combinaison de bits suivante doit être demandée dans la matrice de réaction :

WR-ACK, WR-SUC

Résultat :

  • WR-ACK 1, WR-SUC 1: L’action d’écriture a réussi.
  • WR-ACK 1, WR-SUC 0: L’action d’écriture a échoué.

attention Attention

Le mécanisme montre seulement que l’action d’écrire a réussi (ou non) sur l’automate. Ceci ne signifie pas que la valeur a effectivement été modifiée dans l’automate, car l’automate peut réinitialiser ou remplacer la valeur immédiatement. (Par exemple, pour l’écriture de résultats ou de bits transitoires, définis pour un court laps de temps.)

Modules

Ce mécanisme peut être utilisé dans les modules suivants :

  • Fonction Spécifier valeur prescrite : Activez l’option Attendre confirmation d’écriture dans la boîte de dialogue de configuration de la fonction.
  • Les recettes standard : Activez la propriété Ecrire de façon synchrone.
  • Recipe Group Manager : Activez la propriété Ecrire de façon synchrone.

Entrée dans la liste CEL

  • Fonction Spécifier valeur prescrite

    Pour l’entrée dans la liste CEL, vous devez activer la propriété Fonction envoi valeur prescrite dans le nœud Liste d'événements dans les paramètres du projet. La réaction positive ou négative à l’exécution de la fonction est ensuite écrite dans la liste CEL.

  • Recettes standard et module Recipe Group Manager

    Pour une entrée dans la liste CEL, une variable de driver du système est utilisée et définie sur 1 lors de l’écriture réussie d’une recette. Une variable globale est évaluée sur le serveur, et une variable locale sur chaque client permet de déterminer quand l’écriture de la dernière recette exécutée a été finalisée.
    Avec ces variables, une entrée dans la liste CEL peut être générée par l’intermédiaire d’une valeur limite ou d’une matrice de réaction. La requête est exécutée par le biais d’une matrice de réaction multi-analogique ou multi-binaire.


Exécuter recettes

Manuel -> Recettes standard -> Configuration dans Editor -> Exécuter recettes

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

L’exécution de la recette peut se dérouler :

  • Dans le Runtime, via un bouton sur le synoptique Recette standard
  • Par le biais d’un appel de fonction configuré dans Editor pour l’exécution, via :
    • Dans un script (par exemple, le script AUTOSTART)
    • État de la variable
    • Dans un élément dynamique dans un synoptique, par exemple Bouton.


Fonction d’appel de synoptique de recette standard

Manuel -> Recettes standard -> Fonction d’appel de synoptique de recette standard

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

La fonction d’appel de synoptique d’une recette standard permet d’appeler un synoptique de type recette standard dans le Runtime.

Pour configurer la fonction :

  1. Créez une nouvelle fonction.
  2. Sélectionnez Appel de synoptique.
  3. Sélectionnez le synoptique supprimé de type Recette standard
  4. La boîte de dialogue de filtre s’affiche pour les éléments suivants :
    • Sélection de recettes
    • Paramètres des colonnes
  5. Définissez les paramètres de la recette et des colonnes
  6. Fermez la boîte de dialogue en cliquant sur OK.

Autres sujets abordés dans ce chapitre

Sélection de l’onglet Recette

Onglet Paramètres des colonnes


Sélection de l’onglet Recette

Manuel -> Recettes standard -> Fonction d’appel de synoptique de recette standard -> Sélection de l’onglet Recette

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Paramètres

Description

Recettes

Sélection de la recette devant être affichée lors de l’appel de synoptique.

Afficher cette boîte de dialogue dans le Runtime

active : Dans le Runtime, cette boîte de dialogue est affichée lors de l’appel de synoptique. La recette sélectionnée peut être modifiée.

Inactive : Le synoptique est ouvert avec la recette définie dans Editor. Aucune possibilité de modification dans le Runtime.


Onglet Paramètres des colonnes

Manuel -> Recettes standard -> Fonction d’appel de synoptique de recette standard -> Onglet Paramètres des colonnes

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Vous définissez ici le format d’affichage des colonnes dans le champ de liste.

Paramètres | Description
Colonnes disponibles | Définition des colonnes affichées dans le Runtime.
Paramètres | Définition des propriétés pour les colonnes sélectionnées.
Intitulé : | Intitulé des colonnes affichées dans le Runtime.
Largeur : | Largeur de la colonne en pixels.
Alignement : | Alignement du texte dans la colonne.


Utilisation dans le Runtime

Manuel -> Recettes standard -> Utilisation dans le Runtime

En mode de fonctionnement en ligne, les fonctions suivantes sont disponibles et peuvent être utilisées dans des scripts :

Paramètres | Description
Recette : envoi direct | Envoi direct de la recette activée
Recette : modification avant envoi | Modifier les paramètres de la recette activée
Recette : sélection et modification avant envoi | Sélection d’une recette et modification de ses paramètres

La fonction Recette : modification avant envoi permet d’afficher le masque de recettes.

Les boutons de contrôle sont les suivants :

Paramètres

Description

Enregistrer

Enregistrer les modifications apportées à la recette

Fermer

Fermez les paramètres de la recette.

Envoyer

Transmettre la recette au matériel avec les paramètres actuels.

Ajouter variable

Ajouter une nouvelle variable à l’aide de la liste de variables.

Effacer la variable

Effacement temporaire de la variable de procédé sélectionnée de la recette (cette suppression devient définitive si la recette est enregistrée)

Modifier une valeur prescrite

Modifier la valeur prescrite de la variable sélectionnée

Une valeur décimale peut être saisie avec une virgule ou un point, mais la virgule sera automatiquement changée en point.

Attention : Si cet élément n’existe pas dans le synoptique, les recettes sont affichées en lecture seule dans la liste.

En utilisant la fonction Sélection et modification avant envoi, il est possible de modifier la recette et les paramètres de la recette. La sélection de recette s’affiche à l’écran. La procédure à suivre est similaire au paramétrage dans Editor, à ceci près que les recettes ne peuvent être supprimées.

info Informations

Dans le cas d'un rechargement du projet ou d'un basculement sur le serveur redondant, il y a une distorsion dans les réponses présentes ou les confirmations d'écriture.

Vous trouverez plus d’informations concernant les fichiers de Runtime modifiés au chapitre Fichiers modifiables dans le Runtime.

Autorisation dans le Runtime

Les actions dans le Runtime peuvent être protégées par un mot de passe et un niveau d’autorisation :

  • Lorsque des recettes sont supprimées, enregistrées, modifiées ou dupliquées, l’utilisateur actuellement connecté doit avoir les groupes d’autorisation requis, qui ont été spécifiés dans la propriété de niveau d’autorisation de la recette. Si l’utilisateur n’a pas les groupes d’autorisation requis, la fonction n’est pas exécutée.
  • En cas de protection par mot de passe du bouton Modifier valeur prescrite, la valeur dans la liste peut uniquement être modifiée si l’utilisateur possède le niveau d’autorisation correspondant. Si ce n’est pas le cas, la boîte de dialogue de connexion est ouverte pour établir une connexion temporaire active dès que l’utilisateur clique sur une colonne pour modifier une valeur.
  • Si le bouton Enregistrer les modifications est protégé par un mot de passe et l’utilisateur ne dispose pas du niveau d’autorisation requis, la boîte de dialogue de connexion temporaire est ouverte après un changement de recette, lorsque la boîte de dialogue est fermée, pour autoriser l’enregistrement des recettes.

Autres sujets abordés dans ce chapitre

Fonctions - recettes

Informations d'état des recettes et du module Recipe Group Manager


Fonctions - recettes

Manuel -> Recettes standard -> Utilisation dans le Runtime -> Fonctions - recettes

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Pour autoriser le fonctionnement dans le Runtime, les fonctions de recettes correspondantes doivent être créées.

Lorsque la fonction standard est créée depuis le menu contextuel dans l’affichage détaillé, zenon crée automatiquement une fonction Recette standard pour la recette sélectionnée.

Autres sujets abordés dans ce chapitre

Recette unique

Recette standard


Recette unique

Manuel -> Recettes standard -> Utilisation dans le Runtime -> Fonctions - recettes -> Recette unique

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Les fonctions de recette individuelles sont disponibles dans trois versions :

  • Recette : envoi direct
  • Recette : modification avant envoi
  • Recette : sélection et modification avant envoi

Recette : envoi direct

Cette fonction est utilisée pour exécuter une recette donnée dans le Runtime. Dans une recette, seules les variables de procédé d’un driver peuvent être sélectionnées.

Indiquez la recette comme paramètre de transfert. La configuration de cette fonction s'effectue par le biais d'une boîte de dialogue de saisie.

Recette : modification avant envoi

Cette fonction est utilisée pour modifier une recette avant l’envoi dans le Runtime (modification de la valeur).

Indiquez la recette comme paramètre de transfert. La configuration de cette fonction s'effectue par le biais d'une boîte de dialogue de saisie.

La nouvelle recette est disponible dans la liste des recettes.

Seul le paramètre Valeur prescrite de la recette est activé en mode de fonctionnement en ligne.

Les actions possibles dans Editor et le Runtime sont :

Paramètres | Description
Ajouter variable | Ajoute une nouvelle variable à la recette
Effacer la variable | Supprime une variable de la recette
Modifier valeur | Change la valeur de la variable sélectionnée dans la recette

Recette : sélection et modification avant envoi

Cette fonction est utilisée pour sélectionner et modifier une recette avant l’envoi en mode de fonctionnement en ligne (envoi des valeurs des variables).

Indiquez la recette comme paramètre de transfert. La configuration de cette fonction s'effectue par le biais d'une boîte de dialogue de saisie.

Dans le Runtime, la boîte de sélection de recettes est ouverte.

Les entrées pouvant être configurées sont les suivantes :

Paramètres | Description
Nouveau | Créer une nouvelle recette
Copier | Copie la recette sélectionnée et l’enregistre sous un nouveau nom
Modifier | Change le nom de la recette sélectionnée
Supprimer | Supprime la recette sélectionnée

La nouvelle recette est disponible dans la liste des recettes.

Les options pouvant être configurées sont les suivantes :

Ajouter variable | Ajoute une nouvelle variable à la recette
Effacer la variable | Supprime une variable de la recette
Modifier valeur | Change la valeur de la variable sélectionnée dans la recette

Pour éviter les modifications des entrées de la recette tout en permettant la sélection de recettes pendant le mode de fonctionnement en ligne, créez une entrée dans le fichier zenon6.ini.

[FUNKTIONEN] |
REZEPT_AENDERN= | 0 : modifications non autorisées 1 : 1 : modifications autorisées (par défaut)


Recette standard

Manuel -> Recettes standard -> Utilisation dans le Runtime -> Fonctions - recettes -> Recette standard

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Avec cette fonction, vous pouvez exécuter une recette existante, ou la mettre à jour avec les valeurs provenant du matériel ou encore l’exporter dans le Runtime. En plus, de nouvelles recettes peuvent être importées ou créées avec les valeurs courantes en provenance du matériel.

Pour créer la fonction :

  1. Créez une nouvelle fonction.
  2. Dans le nœud Recettes, sélectionnez la fonction Afficher le menu.
  3. La boîte de dialogue de sélection de recettes s’affiche.
  4. Sur l’onglet Sélection recette, sélectionnez la recette que vous souhaitez appeler.
  5. Sur l’onglet Action à exécuter, définissez l’action devant être exécutée dans le Runtime.

Sélection de recettes

Paramètres | Description
Sélectionner une recette | Sélection de la recette devant être lue ou écrite.
Nom de recette par variable | Le nom de la recette devant être lue ou écrite est donné par la variable sélectionnée. Attention : Dans le Runtime, la variable de chaîne doit contenir un nom de recette valide, par exemple Recette_4, avant l’exécution. Dans le cas contraire, cette fonction ne sera pas exécutée.

Action à exécuter

Paramètres | Description
Envoyer valeurs | Les valeurs des variables de la recette sélectionnée sont écrites sur l’automate.
Lire les valeurs | Les valeurs des variables de la recette sélectionnée sont lues sur l’automate et remplacent les valeurs courantes dans la recette.
Dupliquer une recette | La recette source crée une copie d’elle-même avec le nom donné comme recette cible. Le nom de la recette dupliquée n’est pas stocké dans la variable _LASTNEWRECIPE. Pour plus de détails concernant la configuration, reportez-vous au chapitre Duplication de recettes.
Exporter une recette | Exporte la recette. Pour plus de détails concernant la configuration, reportez-vous au chapitre Exportation de recettes.
Importer une recette | Importe des recettes depuis un fichier ou une variable. Pour plus de détails concernant la configuration, reportez-vous au chapitre Importation de recettes.
Afficher cette boîte de dialogue dans le Runtime | Affiche une boîte de dialogue de modification de paramètres dans le Runtime.

Dupliquer une recette

Paramètres

Description

Sélection recette cible

Sélection d’une recette existante qui sera écrasée avec les données de la recette source.

Attention : Les données de la recette cible sont écrasées.

Nouvelle recette

(générer le nom)

Une nouvelle recette est créée conformément à la syntaxe standard. Les espaces vides dans l’ordre de la recette sont renseignés automatiquement.

Exemple : Les recettes Recipe_0 et Recipe_2 existent déjà. La première duplication crée une recette portant le nom Recipe_1. La deuxième duplication crée une recette portant le nom Recipe_3.

Recette cible à partir d’une variable

Le nom de la recette cible est défini par le contenu d’une variable STRING.

Remarque : Si la variable de chaîne de la recette ne cible ne contient pas de texte, un nom de recette est fourni automatiquement.

Exporter une recette

Paramètres | Description
Attribution automatique du nom de fichier | Le nom de fichier est créé automatiquement.
Définition du nom de fichier | Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de dossiers et spécifier un nom de dossier.
Nom de fichier par une variable | Le nom du fichier est défini par le contenu d’une variable de chaîne.

Importer une recette

Paramètres | Description
Définition du nom de fichier | Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de dossiers et de fichiers.
Nom de fichier par une variable | La recette est importée depuis une variable liée


Informations d'état des recettes et du module Recipe Group Manager

Manuel -> Recettes standard -> Utilisation dans le Runtime -> Informations d'état des recettes et du module Recipe Group Manager

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Dans le Runtime, les informations d'état sont fournies pour :

  • Lecture/écriture
  • Exporter/Importer
  • Enregistrer

Si une recette est écrite, la variable d'état contient le résultat de l'opération d'écriture.

Valeurs

Exécuter recette

Variable de driver de système : Recette standard/Recette de module RGM entièrement écrite

Valeur | Résultat
0 | Envoyer valeur d'initialisation avant la recette
1 | Écriture réussie
2 | Écriture non exécutée à cause d'une erreur de paramètre
3 | Écriture non réussie
5 | Écriture terminée, car le Runtime a été arrêté
6 | Expiration du délai d'attente

Remarque : si le réseau est actif dans le projet, la variable de driver système Recette/Recette de groupe écrite complètement localement est significative pour la fonction exécutée sur l'ordinateur local.

info Informations

Le terme "écriture" désigne l'écriture sur le driver. Le driver transfère ensuite la recette vers le contrôle. Ceci signifie :

  • Propriété Ecrire de façon synchrone inactif : la valeur 1 pour le paramètre Recette/Recette de groupe écrite complètement ne signifie pas que les valeurs sont disponibles dans le contrôle. Elles sont écrites dans le driver.
  • Propriété Ecrire de façon synchrone active : le changement de valeur se déroule lorsque toutes les valeurs au niveau du contrôle sont actuelles.

Remarque : La progression de l'écriture est uniquement affichée si la propriété Ecrire de façon synchrone est active.

Recette en cours

Variable de driver du système Recette standard/Fonction de recette en cours du module RGM

Valeur

Résultat

-1

en cours d'exécution

0

Valeur d'initialisation, lecture réussie

1

L'utilisateur n'a pas l'autorisation

2

Pas d'autorisation sur le réseau

3

Annulation par l'utilisateur

4

Erreur - impossible de lire un élément, par ex.

  • Si la communication avec le matériel est interrompue avant le lancement de la lecture
  • Un bloc de données n'est pas disponible sur l'automate
  • Erreur lors de la transmission

5

Erreur lors de l'enregistrement du fichier de recette

6

Fonction annulée via VBA

Fonctions spécifiques selon le type de synoptique

Pendant

  • lecture (variable de driver système : Lecture toutes les valeurs de la recette standard/recette de groupe terminée
  • Exportation/importation et
  • Enregistrer

d'une recette via une fonction spécifique du synoptique, les valeurs suivantes sont disponibles :

Valeur

Résultat

0

Valeur d'initialisation attend une réponse du driver

1

Lecture réussie

2

Erreur pendant la lecture, l'exportation/importation ou l'enregistrement

  • Si la communication avec le matériel est interrompue avant le lancement de la lecture
  • Un bloc de données n'est pas disponible sur l'automate
  • Erreur lors de la transmission


Recipe Group Manager

Manuel -> Recipe Group Manager

Conjointement aux recettes, le module Recipe Group Manager offre d'autres fonctionnalités :

Configuration de la présentation sous forme de table (format par défaut ou format paramétrable dans le module Report Generator), configuration libre de la présentation avec des éléments dynamiques, recettes accessibles via OLE, exécution indirecte de recettes (par exemple, en fonction d'une variable de procédé à l'ouverture d'un synoptique), groupement libre.

tutorial Informations concernant la licence

Ces fonctions ou modules doivent disposer d'une licence pour l'Éditeur et le Runtime (simple, serveur, redondant et client).

Stockage fichier

Jusqu'à la version 7.0 incluse, MS Access ou les données binaires pouvaient être sélectionnés comme emplacement de stockage des fichiers pour le module RGM. À partir de la version 7.10, la base de données Access n'est plus prise en charge dans le module Recipe Group Manager. Lors de l'ouverture d'un projet existant, le fichier est automatiquement converti en données binaires. Vous trouverez des détails à ce sujet dans le guide de conversion de projets, au chapitre Conversion de bases de données du module Recipe Group Manager.

Pour les versions antérieures à 7.10, dans lesquelles le stockage des données dans MS Access est actif, veuillez noter :

  • La longueur maximale du texte des variables de réaction est de 300 caractères.
  • Sur le réseau, l'utilisation de MS Access associée à l'utilisation de terminaux CE en tant que client ou serveur peut entraîner des erreurs dans le Runtime ; le format données binaires doit alors être utilisé.
  • L'utilisation de caractères Unicode dans les noms de recettes, les groupes de recettes ou les commentaires n'est pas prise en charge.

Autres sujets abordés dans ce chapitre

Configuration dans Editor

Fonctions

Utilisation dans le Runtime

Gestion d'erreur

Exemples


Configuration dans Editor

Manuel -> Recipe Group Manager -> Configuration dans Editor

Pour configurer le module RGM, vous devez généralement disposer des éléments suivants :

  • Un synoptique de type Recipe Group Manager
  • Des groupes de recettes et des recettes
  • Des fonctions permettant d'utiliser le module Recipe Group Manager dans le Runtime

Remarque concernant les noms de recettes : dans les recettes, les caractères alphanumériques sont autorisés. Les caractères non valides sont les suivants : (\"'./*?<>!|).

Autres sujets abordés dans ce chapitre

Menu contextuel Gestionnaire de projet

Menu contextuel Vue de détail

Créer un synoptique de type Groupes de recettes

Validation des recettes avant écriture

Créer un groupe de recettes

Variables des groupes de recettes

Ajouter des recettes à un groupe de recettes

Version de la recette

État de la recette

Liste des bits d'état

Windows CE


Menu contextuel Gestionnaire de projet

Manuel -> Recipe Group Manager -> Configuration dans Editor -> Menu contextuel Gestionnaire de projet

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Élément de menu | Action
Nouveau groupe de recettes | Crée un nouveau groupe de recettes dans la liste et ouvre le nom aux fins de l’édition.
Exporter tout (XML) | Exporte toutes les entrées sous forme de fichier XML.
Importer XML | Importe les entrées à partir d'un fichier XML.
Profil | Ouvre la liste déroulante dans laquelle vous pouvez associer un profil Editor.
Aide | Ouvre l'aide en ligne.


Menu contextuel Vue de détail

Manuel -> Recipe Group Manager -> Configuration dans Editor -> Menu contextuel Vue de détail

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Barre d'outils

Paramètre | Description
Nouveau groupe de recettes | Crée un nouveau groupe de recettes dans la liste et ouvre le nom aux fins de l’édition.
Nouvelle recette | Crée une nouvelle recette dans la liste et ouvre la cellule contenant le nom aux fins de l'édition.
Édition recette | Ouvre la boîte de dialogue contenant les recettes.
Modifier les paramètres de variables | Ouvre la boîte de dialogue contenant les recettes.
Créer une fonction standard | Ouvre la boîte de dialogue permettant de sélectionner une recette et définir une action.
Ajouter variable | Ouvre la boîte de dialogue de sélection de variables.
Supprimer une variable | Supprime les variables sélectionnés de la liste.
Monter | Déplace la variable sélectionnée vers le haut.
Descendre | Déplace la variable sélectionnée vers le bas.
Dupliquer | Crée un nouveau groupe de recettes avec le contenu de la recette sélectionnée, et attribue automatiquement un nom conformément à ce motif : nom original+0, Default10 devient Default100.
Supprimer | Supprime l'entrée sélectionnée.
Exporter le groupe de recettes sélectionné au format XML | Exporte le groupe de recettes sélectionné sous forme de fichier XML.
Importer XML | Importe les entrées à partir d'un fichier XML.
Import ASCII | Importe les entrées à partir d'un fichier ASCII.
Renommer | Permet de renommer les objets sélectionnés.
Aide | Ouvre l'aide en ligne.

Menu contextuel Groupe de recettes

Élément de menu | Action
Nouveau groupe de recettes | Crée un nouveau groupe de recettes dans la liste et ouvre le nom aux fins de l’édition.
Exporter tout (XML) | Exporte toutes les entrées sous forme de fichier XML.
Importer XML | Importe les recettes et les groupes de recettes depuis un fichier XML.
Aide | Ouvre l'aide en ligne.

Menu contextuel Groupe de recettes sélectionné

Élément de menu

Action

Dupliquer

Crée un nouveau groupe de recettes avec le contenu du groupe de recettes sélectionné, et attribue un nom suivant le schéma nom d'origine+[numéro consécutif] :
Default10 devient Default100, puis Default101 si une nouvelle copie du groupe est créée.

Remarque : avec les groupes de variables de recettes liées, le remplacement peut être effectué à base de règles durant la création de la nouvelle copie du groupe.

Supprimer

Supprime le groupe de recettes sélectionné après affichage d’une demande de confirmation.

Groupes d'équipements...

Ouvre la boîte de dialogue de sélection d'un groupe d'équipements.

Exporter le groupe de recettes sélectionné au format XML

Exporte le groupe de recettes sélectionné sous forme de fichier XML.

Importer XML

Importe les entrées à partir d'un fichier XML.

Renommer

Ouvre la cellule contenant le nom du groupe de recettes aux fins de l'édition.

Aide

Ouvre l'aide en ligne.

Menu contextuel Variable

Élément de menu | Action
Ajouter variable | Ouvre la boîte de dialogue de sélection de variables.
Modifier les paramètres de variables | Ouvre la boîte de dialogue contenant les recettes.
Aide | Ouvre l'aide en ligne.

Menu contextuel Variable sélectionnée

Élément de menu | Action
Supprimer une variable | Supprime une variable de la liste.
Monter | Remonte la variable d'une place dans une liste.
Descendre | Abaisse la variable d'une place dans une liste.
Aide | Ouvre l'aide en ligne.

Menu contextuel

Élément de menu | Action
Nouvelle recette | Crée une nouvelle recette dans la liste et ouvre la cellule contenant le nom aux fins de l'édition.
Import ASCII | Importe les entrées à partir d'un fichier ASCII.
Aide | Ouvre l'aide en ligne.

Menu contextuel Recette sélectionnée

Élément de menu

Action

Édition recette

Ouvre la boîte de dialogue contenant les recettes.

Créer une nouvelle version d'une recette

Crée une nouvelle version de la recette.

Créer une fonction standard

Ouvre la boîte de dialogue permettant de sélectionner une recette et définir une action.

Créer une copie comme version de la recette

Crée une nouvelle version de la recette sélectionnée.

Dupliquer

Crée un nouveau groupe de recettes avec le contenu du groupe de recettes sélectionné, et attribue un nom suivant le schéma nom d'origine+[numéro consécutif] :
Default10 devient Default100, puis Default101 si une nouvelle copie du groupe est créée.

Remarque : les variables source de l'action Lier à une variable peuvent être remplacées lors de la création d'une copie de la recette.

Supprimer

Supprime la recette sélectionnée après une demande de confirmation.

Exporter la recette sélectionnée au format XML

Exporte la recette sélectionnée sous forme de fichier XML.

Renommer

Ouvre la cellule contenant le nom de la recette aux fins de l'édition.

Aide

Ouvre l'aide en ligne.


Créer un synoptique de type Groupes de recettes

Manuel -> Recipe Group Manager -> Configuration dans Editor -> Créer un synoptique de type Groupes de recettes

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Les recettes individuelles et les recettes groupées dans le Runtime sont gérées depuis un synoptique Recipe Group Manager.

Créer un synoptique de type Groupes de recettes

Développement

Étapes de création du synoptique :

  1. Créez un nouveau synoptique :

    Dans la barre d’outils ou le menu contextuel du nœud Synoptiques, sélectionnez la commande Nouveau synoptique.
    Un synoptique vide Standard est créé.

  2. Modifiez les propriétés du synoptique :
    1. Nommez le synoptique dans la propriété Nom.
    2. Sélectionnez le paramètre Recipe Group Manager dans la propriété Type de synoptique.
    3. Sélectionnez le cadre souhaité dans la propriété Gabarit.
  3. Configurez le contenu du synoptique :
    1. Sélectionnez l’option de menu Éléments de contrôle dans la barre de menus
    2. Sélectionnez Insérer un modèle dans la liste déroulante.
      La boîte de dialogue de sélection de mises en forme prédéfinies s’affiche à l’écran. Certains éléments de contrôle sont insérés dans le synoptique à des positions prédéfinies.
    3. Supprimez les éléments superflus du synoptique.
    4. Si nécessaire, sélectionnez des éléments supplémentaires dans la liste déroulante Éléments. Placez-les aux emplacements souhaités sur le synoptique.
  4. Créez une fonction d’appel de synoptique.

info Informations

Durant la lecture, l'exportation, l'importation et l'enregistrement de recettes dans le Runtime, une barre de progression vous informe de la progression de l'action. Pour plus de détails, reportez-vous au chapitre Création de variables de driver système pour les recettes standard et le module Recipe Group Manager

info Informations

Une valeur décimale peut être saisie avec une virgule ou un point ; le séparateur décimal sera automatiquement remplacé par un point.

Autres sujets abordés dans ce chapitre

Éléments de contrôle

Apparence de la liste de recettes


Éléments de contrôle

Manuel -> Recipe Group Manager -> Configuration dans Editor -> Créer un synoptique de type Groupes de recettes -> Éléments de contrôle

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Insérer un modèle

Élément de contrôle | Description
Insérer un modèle | Ouvre la boîte de dialogue de sélection de modèle pour le type de synoptique correspondant. Des modèles sont fournis avec zenon, et peuvent également être créés par l’utilisateur. Modèles ajoutent des éléments de contrôle prédéfinis à des positions prédéfinies sur le synoptique. Les éléments qui ne sont pas nécessaires peuvent également être supprimés individuellement après leur création. Les éléments supplémentaires peuvent être sélectionnés dans la liste déroulante, puis insérés dans le synoptique zenon. Les éléments peuvent être déplacés et disposés individuellement sur le synoptique.

Informations

Informations concernant les recettes, les utilisateurs et les modifications.

Élément de contrôle

Description

Nom du groupe de recettes

Nom ou sélection du groupe de recettes actuel.

Liste de recettes

Affiche toutes les recettes/versions de recettes sous forme de liste. La sélection contient uniquement les recettes incluses dans le filtre de recette de la fonction d'appel de synoptique lors de l'appel de synoptique.

Une entrée correspondante peut être sélectionnée dans le Runtime. La recette sélectionnée est affichée sur le synoptique, et peut être modifiée.

Si les éléments de contrôle Nom de la recette et/ou Recipe version (Version de la recette) sont utilisés, la sélection est toujours synchronisée. Si la sélection est modifiée dans l'élément de contrôle, la sélection change dans la liste de recettes, et inversement. Si un critère de filtre exclut l'entrée sélectionnée dans la liste, aucune entrée n'est sélectionnée dans la liste.

Remarque :

  • Les nouvelles recettes sont ajoutées à la fin de la liste, indépendamment des critères de filtre.
  • Les modifications apportées aux données d'une recette sont uniquement affichées après l'enregistrement de la recette.
  • La langue peut être changée en sélectionnant les options de liste suivantes :
    - Intitulés dans l'en-tête
    - Texte des commentaires
    - Textes d'état des recettes

Sélection colonne (liste recette)

Ouvre la boîte de dialogue de sélection des colonnes à afficher.

Format colonne (liste recette)

Ouvre la boîte de dialogue de formatage des colonnes.

Nom de la recette

Liste déroulante contenant les noms de recettes, autorisant la sélection de la recette à afficher.

Version de la recette

Crée une liste déroulante contenant tous les numéros de version de la recette sélectionnée dans le Runtime.

État de la recette

Crée une liste déroulante contenant tous les états configurés dans le Runtime. L'état actuel de la version sélectionnée de la recette est affiché.

L'état peut être modifié ici dans le Runtime. Il est uniquement accepté après l'enregistrement de la recette.

Conseil : le changement d'état dans le Runtime peut être surveillé ou annulé dans le Runtime via l'événement VBA StatusChange.

Liste de valeurs de recette

Affiche la recette actuelle sous forme de table. La table peut être configurée directement dans le Runtime.

Remarque : Indisponible sous Windows CE. Dans cet environnement, remplacée par la fonction Table de valeurs de la recette (obsolète).

Sélection colonne (table de valeurs de la recette)

Ouvre la boîte de dialogue de sélection des colonnes à afficher.

Indisponible pour la table de valeurs de la recette CE.

Format colonne (table valeurs de recette)

Ouvre la boîte de dialogue de formatage des colonnes.

Indisponible pour la table de valeurs de la recette CE.

Liste des valeurs de la recette (CE)

Affichage de la recette sélectionnée sous forme de table fixe. Remplace la table de valeurs de la recette sous Windows CE.

Filtre de recette

Liste déroulante avec filtre de recette.

Nom utilisateur

Nom de l'utilisateur ayant apporté les dernières modifications en date à la recette

Remarque : Élément de type Texte dynamique. L'attribution de la fonctionnalité a lieu à l'aide de la propriété Fonction spécifique au type de synoptique.

Date de dernière modification

Date et heure auxquelles la recette actuelle a été modifiée

Remarque : Élément de type Texte dynamique. L'attribution de la fonctionnalité a lieu à l'aide de la propriété Fonction spécifique au type de synoptique.

Écriture en cours

Affichage graphique de la durée d'envoi d'une recette.

Édition

Éléments de contrôle pour éditer les informations.

Élément de contrôle

Description

Filtre

Définir les options de filtre pour la fenêtre de recettes.

Dans le Runtime, vous pouvez utiliser la liste déroulante pour filtrer les variables affichées en fonction des textes de filtres préalablement définis.

Lire les valeurs sélectionnées

Les valeurs des variables sélectionnées dans le tableau sont extraites du PLC et sont insérées dans le tableau. Les modifications doivent être enregistrées !

Écrire les valeurs sélectionnées

Les valeurs des variables sélectionnées dans le tableau sont écrites dans le procédé telles qu'elles sont affichées dans le tableau.

Lire toutes les valeurs

Les valeurs des variables de la recette sélectionnée sont lues sur le procédé et sont insérées dans la recette. Les modifications doivent être enregistrées !

Lire & enregistrer toutes les valeurs

Écrire les valeurs du procédé directement dans la recette actuelle, et l'enregistrer immédiatement

Écrire toutes les valeurs

Les valeurs des variables de la recette sélectionnée sont écrites dans le procédé telles qu'elles sont affichées dans la recette.

Toutes les valeurs ++

Toutes les valeurs de la recette sélectionnée sont augmentées de 1

Toutes les valeurs - -

Toutes les valeurs de la recette sélectionnée sont réduites de 1

Modifier toutes les valeurs %

Lorsque l'utilisateur clique sur ce bouton dans le Runtime, toutes les valeurs de la recette sélectionnée sont modifiées selon la valeur du pourcentage saisi dans la fenêtre d'édition Value % change (Changement de valeur en %), selon le préfixe :

  • Préfixe Plus (+) : La valeur est augmentée en conséquence
    Exemple : +20% -> 100 devient 120
  • Préfixe Moins (-) : La valeur est diminuée en conséquence
    Exemple : -20% -> 100 devient 80
  • Pas de préfixe : la valeur en pourcentage de la valeur actuelle devient la nouvelle valeur
    Exemple : 20% -> 100 devient 20

% (champ de saisie)

Toutes les valeurs de la recette sélectionnées sont augmentées (+) ou réduites (-) du pourcentage spécifié dans l'élément "valeur %" lorsque vous cliquez sur le bouton correspondant "Toutes les valeurs %"

Remarque : Élément de type Texte dynamique. L'attribution de la fonctionnalité a lieu à l'aide de la propriété Fonction spécifique au type de synoptique.

Modifier toutes valeurs avec formule

Toutes les valeurs de la recette sélectionnée sont modifiées par l'opération mathématique définie dans l'élément valeur math.

Une opération exactement peut être exécutée. Ceci affecte toutes les variables numériques.

Les additions (+), soustractions (-), multiplications (*) et divisions (/) sont autorisées.

La valeur de la recette correspond à l'opérande gauche ; l'utilisateur définit l'opération dans le champ Formule et l'opérande droite.
Ceci signifie : $NewValue = $CurrentValue $Champ Formule.
$Champ Formule doit contenir un opérateur.

Exemple :

  • Saisie dans le champ Formule : +100
  • Résultat : Toutes les valeurs sont augmentées de 100.

Attention : Un seul opérateur peut être saisi. L'utilisation de plusieurs opérations peut avoir des conséquences imprévues. Par exemple, la saisie de /250+5 augmenterait toutes les valeurs de 2505.

Formule (champ de saisie)

Toutes les valeurs de la recette sélectionnée sont modifiées par l'opération mathématique définie ici lorsque l'utilisateur clique sur le bouton Toutes les valeurs formule math.

Remarque : Élément de type Texte dynamique. L'attribution de la fonctionnalité a lieu à l'aide de la propriété Fonction spécifique au type de synoptique.

Imprimer la liste

Imprime la table sur l'imprimante définie.

Disponible uniquement pour la table de valeurs de la recette CE.
La table de valeurs de la recette peut être imprimée à l'aide du module Report Viewer.

Exporter/Importer

Éléments de contrôle pour l'exportation et l'importation.

Élément de contrôle | Description
Exporter le groupe de recettes (XML) | Exporte le groupe de recettes sous forme de fichier XML.
Exporter recette (TXT) | Exporte la recette actuelle sous forme de fichier TXT.
Importer une recette (TXT) | Importe la recette actuelle sous forme de fichier TXT.
Exporter recette (XML) | Exporte la recette actuelle sous forme de fichier XML.
Importer une recette (XML) | Importe la recette ou le groupe de recettes depuis un fichier XML. Si le fichier comporte des recettes individuelles, un groupe de recettes doit être sélectionné pour l'importation.

Gestion des recettes

Éléments de contrôle pour la gestion de recettes.

Élément de contrôle

Description

Nouvelle recette

Créer une nouvelle recette

Renommer recette

Renommer la recette actuelle

Enregistrer recette

Enregistrer la recette actuelle sous le même nom

Enregistrer recette sous

Enregistrer la recette sous un autre nom. La nouvelle recette contient uniquement les propriétés enregistrées dans la recette d'origine.

Supprimer recette

Supprimer la recette actuelle

Nouvelle version de recette

Crée une nouvelle version de la recette. Les valeurs de la nouvelle version de recette créée sont renseignées avec les valeurs de remplacement.

Conseil : cette action peut être vérifiée avec l'événement VBA VersionCreate.

Dupliquer la version de la recette

Crée une copie de la version sélectionnée de la recette. Une nouvelle version est créée, et les valeurs de la recette sont renseignées avec les valeurs de la version précédemment sélectionnée.

Conseil : cette action peut être vérifiée avec l'événement VBA VersionDuplicate.

Dupliquer la recette et lire la version

Crée une copie de la version de recette sélectionnée, puis la lit.

D'abord, une nouvelle version de la recette sélectionnée est configurée. Les valeurs de la recette sont renseignées avec les valeurs de la version sélectionnée. Les valeurs de la nouvelle version sont alors lues par l'automate.

Conseil : cette action peut être vérifiée avec l'événement VBA VersionDuplicateRead.

Supprimer la version de la recette

Supprime la version sélectionnée de la recette. Si la version de la recette sélectionnée est la dernière version restante de cette recette, l'ensemble de la recette est supprimé.

Conseil : cette action peut être vérifiée avec l'événement VBA VersionDelete.

État recette :
définir état 1 - 10

Définit l'un de dix états possibles.

Cette fonction définit la valeur de l'état (1 - 10) pour la recette actuellement sélectionnée sur le synoptique. Pour accepter l'état dans la recette, vous devez enregistrer la recette.

Seuls les états qui ont également été configurés dans le module Recipe Group Manager sont définis. Si une valeur d'état indisponible est définie, la variable de driver système de la fonction de recette du module Recipe Group Manager en cours de traitement est définie comme erronée, et une entrée est insérée dans la liste CEL.

Remarque : l'état sélectionné avec ce bouton est affiché dans la liste déroulante État de la recette. La liste de recettes, en revanche, affiche toujours l'état de la recette de la même manière que dans le stockage de données. Le changement d'état est uniquement accepté après la modification de l'état, puis affiché dans la liste de recettes.

Vérifier les valeurs des recettes

Pour tester les valeurs de recettes, toutes les variables liées à la recette sont lues et elles sont comparées aux valeurs courantes de la recette.
Les résultats sont affichés dans la colonne Valeur actuelle, dans la couleur correspondante.

  • Vert : Les résultats correspondent.
  • Rouge : Des écarts sont présents.
  • Violet : Pas de connexion à l'automate.

Attention : La fonction de l'élément de contrôle utilise des points décimaux lors de la synchronisation avec l'automate. Si, pour les variables du type de données REAL, la propriété Nombre de décimales n'est pas configurée conformément aux paramètres de l'automate et les valeurs dans la zone du point décimal sont différentes, la fonction affiche différentes valeurs.

Groupe de recettes

Éléments de contrôle pour le groupe de recettes.

Élément de contrôle | Description
Nouveau groupe de recettes | Créer un nouveau groupe de recettes
Éditer groupe de recettes | Modifier le groupe de recettes actuel
Renommer groupe de recettes | Renommer le groupe de recettes actuel
Enregistrer groupe de recettes | Enregistrer le groupe de recettes actuel sous le même nom
Enregistrer groupe de recettes sous | Enregistrer le groupe de recettes actuel sous un nom différent
Supprimer groupe de recettes | Supprimer le groupe de recettes actuel

Commentaire

Éléments de contrôle pour les commentaires.

Élément de contrôle

Description

Commentaires 1 - 8

Lignes de commentaire de la recette actuelle.

Jusqu'à 8 commentaires peuvent être insérés.

Les champs de commentaires comportent une propriété Texte/Traduire le texte affiché.

Les chams de commentaires sont également écrits lors de l'exportation et l'importation au format XML.

En langage VBA, les champs de commentaires peuvent être lus et écrits à l'aide de la propriété DynProperties (nom Commentn, n=1 à 8) de l'objet Recettes.

Remarque : Élément de type Texte dynamique. L'attribution de la fonctionnalité a lieu à l'aide de la propriété Fonction spécifique au type de synoptique.

Navigation liste de recettes

Éléments de contrôle pour la navigation dans les listes de recettes.

Élément de contrôle | Description
Groupe de recettes précédent | Reculer jusqu'au groupe de recettes précédent
Groupe de recettes suivant | Avancer jusqu'au groupe de recettes suivant
Premier groupe de recettes | Reculer jusqu'au premier groupe de recettes
Dernier groupe de recettes | Avancer jusqu'au dernier groupe de recettes
Recette précédente | Revenir à la recette précédente du groupe de recettes actuel
Recette > | Avancer à la recette suivante du groupe de recettes actuel
Première recette | Reculer jusqu'à la première recette du groupe de recettes actuel
Dernière recette | Avancer jusqu'à la dernière recette du groupe de recettes actuel
Numéro de la recette | Passer à la recette dont le numéro a été saisi. Remarque : Élément de type Texte dynamique. L'attribution de la fonctionnalité a lieu à l'aide de la propriété Fonction spécifique au type de synoptique.
Chercher numéro recette | Afficher la première recette comportant le numéro spécifié dans l'élément "numéro de recette source"
Version précédente | Sur la version précédente.
Version suivante | Sur la version suivante.
Première version | Sur la première version.
Dernière version | Sur la dernière version.

Navigation liste de valeurs de recette CE

Éléments de contrôle pour la navigation dans une table de valeurs de recettes CE.

Élément de contrôle | Description
Ligne précédente | Se déplacer d'une ligne vers le haut dans la table
Ligne suivante | Se déplacer d'une ligne vers le bas dans la table
Colonne droite | Se déplacer d'une colonne vers la droite dans la table
Colonne gauche | Se déplacer d'une colonne vers la gauche dans la table
Page précédente | Se déplacer d'une page vers le haut dans la table
Page suivante | Se déplacer d'une page vers le bas dans la table
Page droite | Se déplacer d'une page vers la droite dans la table
Page gauche | Se déplacer d'une page vers la gauche dans la table

Éléments compatibles

Les éléments de contrôle supprimés ou remplacés par des versions plus récentes restent disponibles, pour des raisons de compatibilité. Ces éléments ne sont pas pris en compte lors de l’insertion automatique de modèles.

Élément de contrôle | Description
Informations | Éléments de contrôle compatibles dans le groupe Informations.
Nom utilisateur | Élément de contrôle statique Win32. Remplacé par un champ de texte dynamique. Pour la description, reportez-vous à l’élément actuel.
Date de la dernière modification | Élément de contrôle statique Win32. Remplacé par un champ de texte dynamique. Pour la description, reportez-vous à l’élément actuel.
Édition | Éléments de contrôle compatibles dans le groupe Édition.
% (champ de saisie) | Élément de contrôle statique Win32. Remplacé par un champ de texte dynamique. Pour la description, reportez-vous à l’élément actuel.
Formule (champ de saisie) | Élément de contrôle statique Win32. Remplacé par un champ de texte dynamique. Pour la description, reportez-vous à l’élément actuel.
Commentaire | Éléments de contrôle compatibles dans le groupe Commentaires.
Commentaires 1 - 8 | Élément de contrôle statique Win32. Remplacé par un champ de texte dynamique. Pour la description, reportez-vous à l’élément actuel.
Navigation liste de recettes | Éléments de contrôle compatibles dans le groupe Navigation dans la liste de recettes.
Numéro de la recette | Élément de contrôle statique Win32. Remplacé par un champ de texte dynamique. Pour la description, reportez-vous à l’élément actuel.

Remarque : Pour les textes dynamiques ou les éléments de contrôle d’interrupteurs, la fonctionnalité correspondante est attribuée avec la propriété Fonction spécifique au type de synoptique.


Apparence de la liste de recettes

Manuel -> Recipe Group Manager -> Configuration dans Editor -> Créer un synoptique de type Groupes de recettes -> Apparence de la liste de recettes

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

La vue de table de la liste de recettes peut être adaptée aux exigences individuelles :

Paramètres des colonnes

Les paramètres d'affichage des colonnes dans le Runtime sont définis durant la configuration des appels de synoptique. Pour plus de détails, reportez-vous à la section Paramètres des colonnes de la liste de recettes.

Barres de défilement

Pour définir la taille et l'apparence des barres de défilement de la table :

  1. Dans le groupe Affichage, activez la propriété Paramètres du graphique étendu.
  2. Définissez les propriétés de votre choix dans les groupes Ascenceurs et En-tête et grille.

info Informations

Si la propriété Fichier graphique est sélectionnée pour la propriété Style d'affichage, tous les éléments pour lesquels aucun fichier graphique n'a été sélectionné sont illustrés avec un dégradé de couleurs. Les éléments graphiques transparents ne peuvent pas être utilisés pour les éléments de contrôle des listes.

Hauteur de ligne

La hauteur des lignes peut être ajustée, indépendamment de la taille de la police, à l'aide de la propriété Affichage/Hauteur de ligne [pixel].

La valeur par défaut est 0 pixel. La hauteur des lignes est définie indépendamment de la taille de la police. Toute valeur supérieure à 0 définit une valeur fixe de hauteur de ligne, en pixels. Si une hauteur de ligne est définie, les illustrations graphiques ne sont pas redimensionnées en fonction de la hauteur de ligne, mais adaptées à la taille de la police.

Attention : si la hauteur de ligne

  • sélectionnée est trop élevée, dans certaines circonstances, aucune information ne sera affichée dans le Runtime.
  • sélectionnée est inférieure à la taille de la police, les éléments graphiques seront tronqués.

Aperçu

Lorsque vous activez la propriété Affichage/Paramètres du graphique étendu dans Editor, vous pouvez prévisualiser les en-têtes et les barres de défilement. Ainsi, les détails tels que les effets de remplissage de couleur, les effets de lumière et les grilles peuvent être configurés plus facilement.

Attention : puisque la taille des barres de défilement est égale à leur taille dans le Runtime, la taille totale de la liste dans Editor peut différer de la taille dans le Runtime. Cela s'applique également à la taille de l'en-tête et à la police de caractères de l'en-tête.


Validation des recettes avant écriture

Manuel -> Recipe Group Manager -> Configuration dans Editor -> Validation des recettes avant écriture

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Recettes du Recipe Group Manager validées avant écriture. Dans ce cas, une vérification est effectuée pour voir si toutes les valeurs dans la recette se trouvent dans une plage valide de valeurs.

Des valeurs de recettes peuvent se trouver en dehors de la plage valide de valeurs en raison de :

  • Importation XML d’un fichier manipulé
  • Utilisation de l’action Lien vers variable avec une variable ayant une plage de valeur différente de la variable de recette

La validation peut être désactivée à l'aide de la propriété dans le groupe Recettes invalides écrites via la fonction.

La validation est effectuée lors de l’écriture des recettes à l’aide de :

  • La fonction Écrire recette Recipe Group Manager
  • Les éléments de contrôle Écrire toutes les valeurs et Écrire les valeurs sélectionnés
  • L’API

Dès qu’une valeur se trouve en dehors de la plage valide de valeurs, la recette n’est pas écrite.

Dans ce cas de figure :

  • Une entrée CEL avec les informations correspondantes est créé
  • La valeur des variables du driver système spécifique à RGM
    • [Recettes : recettes standard et groupes de recettes] RGM dernière recette écrite - état recette (local)
    • [Recettes : recettes standard et groupes de recettes] RGM dernière recette écrite - état recette (glocal)

    Définie sur 8

attention Attention

La fonctionnalité ne doit pas être confondue avec la fonction Vérifier les valeurs de recettes, ce qui compare les valeurs actuelles aux valeurs dans la recette, mais pas la plage des valeurs.


Créer un groupe de recettes

Manuel -> Recipe Group Manager -> Configuration dans Editor -> Créer un groupe de recettes

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Créer un nouveau groupe de recettes :

  1. Sélectionnez le nœud Recettes/Recipe Group Manager ou la commande Nouveau groupe de recettes dans la vue de détail.
  2. Un nouveau groupe de recettes est créé avec un nom standard. Le nom est déjà affiché en surbrillance et peut être édité.
    Attention : Si le groupe de recettes doit être utilisé sous forme de données binaires, le nom peut uniquement contenir des caractères alphanumériques.
  3. Les variables et les recettes doivent être ajoutées à chaque groupe de recettes.
    Remarques : 32 000 variables maximum peuvent être ajoutées à un groupe de recettes.


Variables des groupes de recettes

Manuel -> Recipe Group Manager -> Configuration dans Editor -> Variables des groupes de recettes

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Un groupe de recettes est composé de variables du procédé et de recettes. Toutes les variables de procédé requises dans les recettes doivent d'abord être insérées dans le sous-menu Variable, à l'aide du menu contextuel.

Pour configurer des variables :

  1. Cliquez avec le bouton droit sur Variable.
  2. Sélectionnez l'entrée Insérer une variable dans le menu contextuel.
  3. La boîte de dialogue de sélection de variables multiples s'affiche.
  4. Sélectionnez les variables de votre choix.
    Remarque : les variables d'autres projets ayant été chargés peuvent également être sélectionnées. Assurez-vous que ces projets sont également disponibles dans le Runtime. Maximum 32 000 variables peuvent être configurées par groupe de recettes.
  5. Confirmez la configuration en cliquant sur le bouton OK.

Vous pouvez configurer individuellement les limites des valeurs minimales et maximales pour les différentes variables.

info Informations

Archivfüllwert Est utilisé par défaut :

  • Pour les variables de nouvelles recettes
  • Lors de l'ajout de variables à un groupe de recettes dans les nouvelles recettes

info Informations

Vous pouvez utiliser une virgule ou un point comme séparateur décimal. Le séparateur décimal est automatiquement transformé en point décimal.

Trier les variables

Vous pouvez trier les variables dans le module Recipe Group Manager comme vous le souhaitez.

Sélectionnez la variable que vous voulez déplacer et choisissez une des actions suivantes :

- choisissez haut ou bas dans le menu contextuel
- déplacez les variables par glisser-déplacer

Vous pouvez également déplacer les variables dans la boîte de sélection de variables avec les boutons ^ et v situés en bas à droite de cette boîte de dialogue.

Suppression de variables

Pour supprimer les variables :

  1. Sélectionnez les variables souhaitées
    (sélection multiple possible).
  2. Cliquez avec le bouton droit sur les variables sélectionnées.
  3. Sélectionnez la commande Supprimer variable dans le menu contextuel.
  4. Les variables sont supprimées après une demande de confirmation.
    Remarque : les variables sont uniquement supprimées du groupe de recettes, et sont conservées dans le projet.

Autres sujets abordés dans ce chapitre

Modifier les paramètres de variables

Variables de réponse


Modifier les paramètres de variables

Manuel -> Recipe Group Manager -> Configuration dans Editor -> Variables des groupes de recettes -> Modifier les paramètres de variables

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Sélectionnez l'élément de menu Modifier les paramètres de la variable dans le menu contextuel Variables.

Dans la boîte de dialogue, vous pouvez modifier les réglages suivants.

Paramètres

Description

Nom de la variable

Dans cette colonne, toutes les variables utilisées dans ce groupe de recettes sont affichées.

Valeur min.

Définissez la valeur minimale de la variable.

Remarque : Les variables binaires comportent une valeur minimale de 0. Cette valeur ne peut pas être modifiée.

Valeur max.

Définissez la valeur maximale de la variable.

Remarque : Les variables binaires comportent une valeur minimale de 1. Cette valeur ne peut pas être modifiée.

Définition de la valeur limite des variables

Prise en compte de la valeur prescrite limite des variables.

Verrouillage

Sélectionnez le verrouillage souhaité dans la liste déroulante. (Voir également Verrouillage et visibilité).

Visibilité

Choisissez une variable adaptée en cliquant avec le bouton droit de la souris et en sélectionnant l’entrée Sélection de variable dans le menu contextuel. Vous pouvez également saisir le nom de la variable directement. (Voir également Verrouillage et visibilité).

Filtre

Saisissez un texte de filtre. (Voir également Filtre).

Clavier

Vous pouvez lier un synoptique de type Clavier pour chaque variable dans cette colonne. Sélectionnez un synoptique en cliquant avec le bouton droit de la souris et en sélectionnant l’entrée du menu contextuel Sélection du synoptique. Vous pouvez également saisir le nom de l'écran directement.

Dans le Runtime, le synoptique Clavier lié est invoqué lorsque vous cliquez sur la valeur de la variable. Il n'est plus possible de saisir les valeurs directement. Lorsque vous fermez le synoptique Clavier en cliquant sur OK, la nouvelle valeur est saisie dans la liste valeurs de la recette. En outre, la fonction de synoptique Saisir une valeur prescrite est disponible. D'un clic, vous pouvez transférer une valeur prescrite préalablement définie.

Variable de recette graphique

Liaison d'une variable de recette graphique.

info Informations

Contrôle de la visibilité des variables

Les paramètres suivants permettent de contrôler la visibilité et le fonctionnement des variables :

  • Filtre : Définit les conditions selon lesquelles les variables peuvent être filtrées. Les variables qui ne correspondent pas au filtre ne sont pas affichées. Les filtres sont contrôlés par l'utilisateur.
  • Visibilité : contrôle l'affichage des variables dans la liste à l'aide de la valeur limite d'une variable. Les variables définies sur "Non visible" ne sont pas affichées. La visibilité est contrôlée par le procédé.
  • Autorisation : définit les autorisations permettant de modifier une variable. Les variables pour lesquelles l'utilisateur ne dispose pas d'une autorisation sont affichées, mais ne peuvent pas être actionnées. Les autorisations sont contrôlées par la personne chargée de la configuration du projet et par l'administrateur.

Autres sujets abordés dans ce chapitre

Verrouillage et visibilité

Filtre


Verrouillage et visibilité

Manuel -> Recipe Group Manager -> Configuration dans Editor -> Variables des groupes de recettes -> Modifier les paramètres de variables -> Verrouillage et visibilité

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Vous pouvez interdire aux utilisateurs d'accéder à certaines zones de la table de recettes à l'aide des fonctions de verrouillage ou de visibilité. La différence entre ces fonctions est la suivante : avec la fonction de verrouillage, la zone correspondante est grisée, tandis qu'avec la fonction de visibilité, elle n'est pas affichée du tout.

Verrouillage

Vous attribuez un verrouillage à chaque variable dans la colonne, ou via la propriété Verrouillage. Sélectionnez le verrouillage souhaité dans la liste déroulante. Des verrouillages supplémentaires peuvent être configurés dans le module Verrouillages.

Dans le Runtime, la ligne est affichée normalement ou grisée, en fonction de l'état du verrouillage. Les couleurs du texte et de l'arrière-plan peuvent être définies individuellement à l'aide des propriétés du module RGM (groupe Couleurs/Verrouillage).

Vous trouverez plus d'informations au chapitre Verrouillage.

info Informations

Affichage avec les fonctions de rapport du module Report Generator :

Le nom du verrouillage n'est pas disponible dans le Runtime. Cela signifie que seuls les identifiants de verrouillage sont affichés dans la liste de recettes lorsque les verrouillages sont affichés à l'aide des fonctions recipew ou recipef.

Importation de code VBA et de données XML

Les considérations suivantes s'appliquent lors de l'importation de verrouillages au format XML :

  • Le nom du verrouillage existe dans le projet : Le verrouillage de la variable de la recette provenant du fichier d'importation remplace le verrouillage existant pour le verrouillage configuré pour la variable de la recette.
  • Le nom du verrouillage n'existe pas dans le projet : Le verrouillage est supprimé.
    Une chaîne vide peut être utilisée dans le fichier d'importation pour supprimer les verrouillages configurés pour la variable de la recette en tant que paramètre de la variable de la recette.

Ceci s'applique de la même manière que pour l'édition de variables de recettes avec VBA.

Visibilité

Vous attribuez une visibilité à chaque variable dans la colonne Visibilité. Pour cela :

  1. Cliquez avec le bouton droit sur la cellule et sélectionnez la variable utilisée pour contrôler la visibilité, ou saisissez directement son nom dans la cellule
  2. Définissez une valeur limite pour la variable

Dès que la variable de contrôle dépasse la valeur limite définie, la variable attribuée dans la table des recettes est masquée.

info Informations

La Liste des valeurs de la recette (CE) est actualisée après chaque changement d'un état attribué. Lors de la configuration, gardez à l'esprit que la modification trop fréquente des états attribués peut entraîner des problèmes de performances durant le fonctionnement.

Ceci n'affecte pas la liste de valeurs de la recette. Ceci modifie uniquement les entrées qui ont été modifiées.


Filtre

Manuel -> Recipe Group Manager -> Configuration dans Editor -> Variables des groupes de recettes -> Modifier les paramètres de variables -> Filtre

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Les filtres permettent de masque les recettes au niveau de l'utilisateur.

Les filtres sont définis à l'aide de la propriété Filtre pour les variables dans la vue de détail du module Recipe Group Manager. Une expression de filtrage libre est attribuée aux variables. Ce texte de filtre est utilisé dans le synoptique Recipe Group Manager pour restreindre l'affichage des variables. Ce filtre peut être défini comme suit :

  • Cette procédure est effectuée dans le Runtime, sur le synoptique Recipe Group Manager, à l'aide de la liste déroulante Filtre de recette.
  • Lors de l'appel du synoptique Recipe Group Manager

Si aucun filtre n'a été explicitement sélectionné, toutes les variables définies comme invisibles sont affichées.

info Informations

Le filtre s'applique uniquement à l'affichage de la liste de valeurs de la recette. Par exemple, si une recette est transmise au contrôleur, toutes les valeurs de la recette sont écrites.


Variables de réponse

Manuel -> Recipe Group Manager -> Configuration dans Editor -> Variables des groupes de recettes -> Variables de réponse

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Des variables peuvent être liées à chaque groupe de recettes ; elles sont fournies avec les données des recettes pour les actions d'écriture, de lecture, de vérification et d'importation de données XML. Ces variables d'acquittement spécifiques au module Recipe Group Manager se comportent comme des variables de driver système, mais sont attribuées à des groupes de recettes individuels. Elles permettent ainsi d'évaluer simultanément plusieurs groupes de recettes.

Vous pouvez lier autant de variables que vous le souhaitez.
Note concernant les versions de zenon antérieures à 7.10 SP0 : Si la propriété DataSource est définie sur MS Access, la longueur maximale du texte est de 300 caractères. Le stockage sous forme de fichiers binaires est automatiquement utilisé à partir de la version 7.10.

Les données de recette suivantes peuvent être définies sur des variables :

  • Nom de la recette
  • Numéro de la recette
  • Version de la recette
  • État de la recette sous forme de texte
    (sous la forme 1 - Texte ; le texte n'est pas traduit, mais cette fonction peut être activée par le biais de l'élément d'affichage)
  • État de la recette sous forme de nombre
  • Niveau d'autorisation de la recette
  • Heure de la dernière modification
  • Utilisateur ayant effectué la dernière modification
  • Commentaires 1 - 8

Création d'une variable d'acquittement

Pour créer une variable d'acquittement :

  1. Sélectionnez le groupe de recettes
  2. Accédez au nœud souhaité
    • Retour pour \""Ecrire recette\""
    • Retour pour \""Lire recette\""
    • Retour pour \""Vérification recette\""
    • Résultat de l'importation de données XML
  3. Cliquez sur le bouton ... adjacent à la propriété souhaitée.
  4. La boîte de dialogue de liaison de variables s'affiche à l'écran.

Vous trouverez des remarques concernant les propriétés individuelles dans l'aide de la propriété concernée. Le résultat est fourni localement et sur le réseau pour toutes les actions réalisées par le biais des variables de driver système.

info Informations

Les modifications effectuées en langage VBA sont uniquement visibles après la réouverture du module Recipe Group Manager.


Ajouter des recettes à un groupe de recettes

Manuel -> Recipe Group Manager -> Configuration dans Editor -> Ajouter des recettes à un groupe de recettes

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Pour ajouter une recette à un groupe de recettes :

  1. Cliquez avec le bouton droit sur le nœud Recettes dans le groupe de recettes souhaité
  2. Sélectionnez Nouvelle recette dans le menu contextuel.
  3. Une nouvelle recette est créée avec un nom par défaut ; le nom est déjà sélectionné pour modification
  4. Définissez les propriétés souhaitées pour le nom, le numéro, la version, l'autorisation et le commentaire.

info Informations

Si la recette doit être utilisée sous forme de fichier binaire, le nom peut uniquement contenir des caractères alphanumériques.

Attribution d'un nom lors de la création

Les nouvelles recettes sont créées avec un nom par défaut, par exemple, recette_0. En outre, un numéro de recette est attribué à chaque nouvelle recette. Pour chaque nouvelle recette ce numéro est incrémenté automatiquement.

Le nom de la recette doit être unique. L'unicité du numéro de recette n'est pas contrôlée. Il est uniquement utilisé pour appeler une recette via une variable, à l'aide de la fonction Recipe Group Manager. Si plusieurs recettes comportant le même numéro existent, zenon utilise la première recette trouvée.

Example Exemple

Il existe déjà une recette Recipe_0 avec le numéro de recette 0 et une recette Recipe_2 avec le numéro de recette 2. Lors de la création d'une nouvelle recette, une recette portant le nom Recipe_1 et un numéro de recette 3 sont créées.

Autres sujets abordés dans ce chapitre

Éditer une recette d'un groupe de recettes


Éditer une recette d'un groupe de recettes

Manuel -> Recipe Group Manager -> Configuration dans Editor -> Ajouter des recettes à un groupe de recettes -> Éditer une recette d'un groupe de recettes

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Pour modifier une recette provenant d'un groupe de recettes :

  • Cliquez avec le bouton droit sur une recette.
  • Sélectionnez la commande Éditer recette.
  • La boîte de dialogue Groupes de recettes s'affiche à l'écran.

Entrée

Description

Général

Numéro de la recette

Numéro de la recette

Écriture synchrone

Active : Lors de l'écriture d'une recette, tous les éléments de contrôle sont verrouillés sur le synoptique Recipe Group Manager jusqu'à ce que le driver confirme que toutes les valeurs ont été écrites avec succès, ou que le délai d'attente défini a expiré.

Inactive : Les valeurs de la recette sont écrites sans attendre de confirmation. Les éléments de contrôle peuvent être immédiatement réutilisés. La confirmation du driver est faite sur le bit d’état WR-SUC de chaque variable : il est mis à 1 lorsque la valeur a été écrite avec succès.
Remarque :

  • ce paramètre peut être modifié en Runtime dans le synoptique Recipe Group Manager avec le bouton Renommer recette.
  • La barre de progression fonctionne uniquement si cette propriété est active.

Timeout (Délai d'attente) [ms]

Si Écriture de façon synchrone est cochée pour une recette, on peut alors définir ici le temps d'attente maximum. Les éléments de contrôle du module Recipe Group Manager peuvent être actionnés une dernière fois après ce délai.
Si la valeur 0 est saisie dans Délai d’attente, zenon calcule le délai d’attente avant expiration comme suit :
30000+(100*nombre de points de données)
Conseil : ce paramètre peut être modifié en Runtime dans le synoptique Recipe Group Manager avec le bouton Renommer recette.

Niveau d'autorisation

Seuls les utilisateurs qui auront ce niveau d'autorisation pourront modifier la recette en Runtime. Ceci concerne la modification manuelle de la recette sur le synoptique du groupe de recettes mais aussi les possibilités de la renommer, la supprimer, et aussi la "remplir" avec les valeurs lues sur le matériel.
Remarque : les groupes de recettes ne peuvent être modifiés que par les utilisateurs qui ont l'autorisation nécessaire pour accéder à toutes les recettes du groupe.

Entrées de liste

Nom de la variable

Nom d'une variable.

Cette boîte de dialogue sert uniquement à l'affichage d'informations ; aucune modification n'est possible.

Valeur min.

Valeur minimale de la variable

Cette boîte de dialogue sert uniquement à l'affichage d'informations ; aucune modification n'est possible.

Valeur max.

Valeur maximale de la variable

Cette boîte de dialogue sert uniquement à l'affichage d'informations ; aucune modification n'est possible.

Action

Fonction exécutée sur les variables.

L'entrée peut être modifiée dans la liste. Pour plus de détails, reportez-vous au chapitre Actions :

Valeur ou variable

Valeur transférée au contrôle lors de l'écriture de la recette.

La valeur dépendante de l'action peut être modifiée dans la liste.

Unité de mesure

Unité d'une variable

Cette boîte de dialogue sert uniquement à l'affichage d'informations ; aucune modification n'est possible.

Édition dans le Runtime : Pour plus de détails, reportez-vous au chapitre Exécution de batch dans le Runtime.

info Informations

Les considérations suivantes s'appliquent aux groupes de recettes dans le module RGM :

  • Le nom de la recette doit être unique.
  • L'unicité du numéro de recette n'est pas contrôlée. Il est uniquement utilisé pour appeler une recette via une variable, à l'aide de la fonction Recipe Group Manager. Si plusieurs recettes comportant le même numéro existent, zenon utilise la première recette trouvée.
  • La longueur d'une chaîne d'une recette du module RGM est limitée à 249 caractères.

Autres sujets abordés dans ce chapitre

Actions


Actions

Manuel -> Recipe Group Manager -> Configuration dans Editor -> Ajouter des recettes à un groupe de recettes -> Éditer une recette d'un groupe de recettes -> Actions

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Pour définir une action, cliquez sur la variable concernée dans la ligne Action. Cliquez sur le symbole comportant une flèche, puis sélectionnez l'action souhaitée dans la liste déroulante. Si vous avez besoin d'entrées dans la cellule Valeur ou variable, cliquez sur la cellule et saisissez une valeur. Pour sélectionner une variable, cliquez avec le bouton droit sur la cellule pour afficher la boîte de dialogue de sélection.

Action

Description

Saisir une valeur dans Valeur ou variable.

Aucune action

Désactive une variable dans cette recette.

Aucune saisie.

État utilisateur

Informations d'état. Définit le bit d'état correspondant de la variable.

Remarque : vous pouvez uniquement définir les bits d'état identifiés comme définis par l'utilisateur. Les bits d'état automatiquement définis par le système ne peuvent pas être modifiés.

Attention : Pour pouvoir appeler un clavier dans le Runtime, un synoptique de type Clavier doit être lié dans le groupe de propriétés Claviers de la propriété Tags de chaîne.

Saisissez l'intitulé d'état court :
=1 pour définir
=0 pour réinitialiser

Vous pouvez définir d'autres états en les séparant par un point-virgule (;). Par exemple :
M1 ; état utilisateur 0

Modifier valeur de remplacement

Définit la valeur de remplacement sur la valeur spécifiée sous Valeur ou variable.

Saisir la valeur de remplacement.

Modification valeur spontanée

Définit la valeur spontanée sur la valeur spécifiée sous Valeur ou variable.

Saisir une valeur prescrite.

Désactiver valeur spontanée

Désactive la valeur spontanée en définissant le bit d'état OFF (bit 20).

Aucune saisie.

Activer valeur spontanée

Active la valeur spontanée en réinitialisant le bit OFF.

Aucune saisie.

Basculer vers valeur de remplacement

Bascule de la valeur spontanée vers la valeur de remplacement.

Aucune saisie.

Basculer vers valeur spontanée

Bascule de la valeur de remplacement vers la valeur spontanée.

Aucune saisie.

Commuter vers et modifier valeur de remplacement

Bascule de la valeur spontanée vers la valeur de remplacement et définit la valeur de remplacement sur la valeur spécifiée sous Valeur ou variable.

Saisir la valeur de remplacement.

Basculer et modifier la valeur spontanée

Bascule de la valeur de remplacement vers la valeur spontanée et définit la valeur spontanée sur la valeur spécifiée sous Valeur ou variable.

Saisir une valeur prescrite.

Lier à une variable

Lie une variable à une autre variable.

Nom d'une variable.

Cliquez avec le bouton droit dans le champ pour ouvrir le menu contextuel dans lequel vous pouvez afficher la boîte de dialogue de sélection de variables. La valeur de la variable est transférée vers la variable de recette sélectionnée. Il est possible d'utiliser des variables d'autres projets actuellement chargés en mémoire.

attention Attention

Si la fonction Lire toutes les valeurs est utilisée avec l'action Lier à une variable au niveau de la recette, l'autorisation de l'utilisateur n'est pas vérifiée et l'action n'est pas consignée dans le journal. Si vous voulez créer un journal, vous devez le créer manuellement, par ex. à l'aide d'une macro VBA.

Note concernant la réglementation FDA : En conséquence, cette fonctionnalité ne peut pas être utilisée pour les projets qui doivent respecter de façon stricte les standards de la FDA !

Autres sujets abordés dans ce chapitre

Vérification de l’écriture de valeurs prescrites


Vérification de l’écriture de valeurs prescrites

Manuel -> Recipe Group Manager -> Configuration dans Editor -> Ajouter des recettes à un groupe de recettes -> Éditer une recette d'un groupe de recettes -> Actions -> Vérification de l’écriture de valeurs prescrites

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Vérification de l’écriture de valeurs prescrites

Lors de l’écriture de valeurs, la valeur reçoit un bit d’état qui a été écrit. Si le procédé d’écriture est un succès, le bit d’état correspondant est défini :

  • WR-ACK

    Le driver a reçu une valeur à écrire.

  • WR-SUC

    Valeur 1 : Écriture réussie.

    Valeur 0 : L’écriture a échoué. La valeur n’a pas été écrite.

info Informations

Dans le cas d’un rechargement du projet ou d’un basculement sur le serveur redondant, les réponses actuellement actives ou les confirmations d’écriture sont abandonnées.

Cette combinaison d’états existe jusqu’au prochain changement de valeur. À ce moment, les deux états sont définis sur 0, jusqu’à ce que l’action d’écriture soit terminée. Pour l’évaluation, la combinaison de bits suivante doit être demandée dans la matrice de réaction :

WR-ACK, WR-SUC

Résultat :

  • WR-ACK 1, WR-SUC 1: L’action d’écriture a réussi.
  • WR-ACK 1, WR-SUC 0: L’action d’écriture a échoué.

attention Attention

Le mécanisme montre seulement que l’action d’écrire a réussi (ou non) sur l’automate. Ceci ne signifie pas que la valeur a effectivement été modifiée dans l’automate, car l’automate peut réinitialiser ou remplacer la valeur immédiatement. (Par exemple, pour l’écriture de résultats ou de bits transitoires, définis pour un court laps de temps.)

Modules

Ce mécanisme peut être utilisé dans les modules suivants :

  • Fonction Spécifier valeur prescrite : Activez l’option Attendre confirmation d’écriture dans la boîte de dialogue de configuration de la fonction.
  • Les recettes standard : Activez la propriété Ecrire de façon synchrone.
  • Recipe Group Manager : Activez la propriété Ecrire de façon synchrone.

Entrée dans la liste CEL

  • Fonction Spécifier valeur prescrite

    Pour l’entrée dans la liste CEL, vous devez activer la propriété Fonction envoi valeur prescrite dans le nœud Liste d'événements dans les paramètres du projet. La réaction positive ou négative à l’exécution de la fonction est ensuite écrite dans la liste CEL.

  • Recettes standard et module Recipe Group Manager

    Pour une entrée dans la liste CEL, une variable de driver du système est utilisée et définie sur 1 lors de l’écriture réussie d’une recette. Une variable globale est évaluée sur le serveur, et une variable locale sur chaque client permet de déterminer quand l’écriture de la dernière recette exécutée a été finalisée.
    Avec ces variables, une entrée dans la liste CEL peut être générée par l’intermédiaire d’une valeur limite ou d’une matrice de réaction. La requête est exécutée par le biais d’une matrice de réaction multi-analogique ou multi-binaire.


Version de la recette

Manuel -> Recipe Group Manager -> Configuration dans Editor -> Version de la recette

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Il est possible de suivre les versions des recettes. Les versions peuvent être gérées dans le Runtime, via les paramètres d'Editor et les fonctions et éléments de contrôle du Runtime.

Pour créer une nouvelle version de recette dans Editor, deux possibilités s'offrent à vous :

  1. Nouvelle version de recette : Crée une nouvelle version de la recette sélectionnée.
    Pour cela :
    1. Sélectionnez la recette dans la vue de détail du module Recipe Group Manager
    2. Sélectionnez la commande Créer une nouvelle version de recette dans le menu contextuel.

    ou

  2. Création d'une copie d'une version de recette : crée une copie de la version sélectionnée de la recette comme s'il s'agissait d'une nouvelle version.
    Pour cela :
    1. Sélectionnez la version de la recette dans la vue de détail du module RGM
    2. Sélectionnez la commande Copier en tant que version de la recette dans le menu contextuel.

Une nouvelle version de la recette est créée et insérée sous la recette. Le numéro de version est automatiquement généré dans la propriété Version de la recette. Le nombre de versions disponibles est affiché à droite de la recette d'origine.

Pour créer une nouvelle version d'une recette dans le Runtime, utilisez la fonction Créer une nouvelle version d'une recette.

info Informations

Au maximum, 89 999 versions d'une recette peuvent être créées.


État de la recette

Manuel -> Recipe Group Manager -> Configuration dans Editor -> État de la recette

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

L'état de la recette est utilisé pour l'identification et le filtrage d'une recette, avec les éléments suivants :

  • Propriété État de la recette
  • Synoptique Recipe Group Manager
  • Fonction d'appel de synoptique Recipe Group Manager
  • Fonction du module Recipe Group Manager

Cette fonction comprend un indice fourni par zenon et un texte d'état individuel. L'état de la recette peut être réglé différemment pour chaque version de la recette. Cette propriété peut être modifiée à l'aide des fonctions et éléments de contrôle dans le synoptique du Runtime.

Pour créer un état de recette :

  1. Sélectionnez le nom Groupes de recettes dans la vue de détail du module Recipe Group Manager
  2. Cliquez sur la propriété Identifiant d'état de recette
  3. La boîte de dialogue de configuration de l'état de la recette s'affiche

Paramètres

Description

Identifiant d'état de recette

Création et gestion du nom de l'état de la recette.

#

Indice de l'état. Cette information est générée automatiquement.

Texte d'état

Le texte d'état est défini conformément au contenu de cette boîte de dialogue :

  • Création : cliquez sur le bouton Nouveau.
  • Édition : cliquez sur le texte pour le modifier, si nécessaire.

Ce texte peut également contenir des mots-clés (précédés du préfixe @) pour le changement de langues.

Nouveau

Insère un nouvel état à la fin de la liste.

Supprimer

Supprime le texte d'état sélectionné.

Si l'état à supprimer se trouve à la fin de la liste, le texte d'état et le numéro d'indice sont supprimés.

Si l'état à supprimer ne se trouve pas à la fin de la liste, le texte d'état est supprimé, mais le numéro d'indice est conservé. Ceci permet de renseigner les informations manquantes ultérieurement.

OK

Accepte la saisie et ferme la boîte de dialogue.

Annuler

Annule toutes les modifications et ferme la boîte de dialogue.

Aide

Ouvre l'aide en ligne.


Liste des bits d'état

Manuel -> Recipe Group Manager -> Configuration dans Editor -> Liste des bits d'état

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Numéro de bit | Désignation abrégée | Nom long | Intitulé zenon Logic
0 | M1 | User status 1; for Command Processing: Type d'action "Bloquer" ; Service Tracking du driver IEC 850 | _VSB_ST_M1
1 | M2 | État utilisateur 2 | _VSB_ST_M2
2 | M3 | État utilisateur 3 | _VSB_ST_M3
3 | M4 | État utilisateur 4 | _VSB_ST_M4
4 | M5 | État utilisateur 5 | _VSB_ST_M5
5 | M6 | État utilisateur 6 | _VSB_ST_M6
6 | M7 | État utilisateur 7 | _VSB_ST_M7
7 | M8 | État utilisateur 8 | _VSB_ST_M8
8 | NET_SEL | Sélectionné dans le réseau | _VSB_SELEC
9 | REVISION | Révision | _VSB_REV
10 | PROGRESS | En fonctionnement | _VSB_DIREC
11 | TIMEOUT | Command "Timeout exceeded" (command runtime exceeded) | _VSB_RTE
12 | MAN_VAL | Valeur manuelle | _VSB_MVALUE
13 | M14 | État utilisateur 14 | _VSB_ST_14
14 | M15 | État utilisateur 15 | _VSB_ST_15
15 | M16 | État utilisateur 16 | _VSB_ST_16
16 | GI | Requête générale | _VSB_GR
17 | SPONT | Spontané | _VSB_SPONT
18 | INVALID | Invalide | _VSB_I_BIT
19 | T_STD_E | External standard time (standard time) Caution: up to version 7.50, this was the status bit T_CHG_A | _VSB_SUWI
20 | OFF | Désactivé | _VSB_N_UPD
21 | T_EXTERN | Temps réel - horodatage externe | _VSB_RT_E
22 | T_INTERN | Informations d'horodatage internes | _VSB_RT_I
23 | N_SORTAB | Non triable | _VSB_NSORT
24 | FM_TR | MD_TR;Message de défaut du transfo | _VSB_DM_TR
25 | RM_TR | Message de marche du transformateur | _VSB_RM_TR
26 | INFO | Informations de la variable | _VSB_INFO
27 | ALT_VAL | Valeur de remplacement | _VSB_AVALUE
28 | RES28 | Réservé à une utilisation interne (clignotement d'alarme) | _VSB_RES28
29 | N_UPDATE | Not updated (zenon network) | _VSB_ACTUAL
30 | T_STD | Heure d’hiver interne | _VSB_WINTER
31 | RES31 | Réservé à une utilisation interne (clignotement d'alarme) | _VSB_RES31
32 | COT0 | Cause de transmission bit 1 | _VSB_TCB0
33 | COT1 | Cause de transmission bit 2 | _VSB_TCB1
34 | COT2 | Cause de transmission bit 3 | _VSB_TCB2
35 | COT3 | Cause de transmission bit 4 | _VSB_TCB3
36 | COT4 | Cause de transmission bit 5 | _VSB_TCB4
37 | COT5 | Cause de transmission bit 6 | _VSB_TCB5
38 | N_CONF | Confirmation négative de la commande par l'appareil (IEC 60870 [P/N]) | _VSB_PN_BIT
39 | TEST | Bit de test (IEC60870 [T]) | _VSB_T_BIT
40 | WR_ACK | Écriture reconnue | _VSB_WR_ACK
41 | WR_SUC | Écriture réussie | _VSB_WR_SUC
42 | NORM | NORM;État Normal | _VSB_NORM
43 | N_NORM | État déviation normale | _VSB_ABNORM
44 | BL_870 | État IEC 60870 : blocked | _VSB_BL_BIT
45 | SB_870 | État IEC 60870 : substituted | _VSB_SP_BIT
46 | NT_870 | État IEC 60870 : not topical | _VSB_NT_BIT
47 | OV_870 | État IEC 60870 : overflow | _VSB_OV_BIT
48 | SE_870 | État IEC 60870 : select | _VSB_SE_BIT
49 | T_INVAL | Horodatage externe invalide | non défini
50 | CB_TRIP | Déclenchement de disjoncteur détecté | non défini
51 | CB_TR_I | Détection de déclenchement de disjoncteur inactive | non défini
52 | OR_DRV | Valeur non comprise dans la plage valide (IEC 61850) | non défini
53 | T_UNSYNC | ClockNotSynchronized (IEC 61850) | non défini
54 | PR_NR | Pas enregistré dans le Process Recorder | non défini
55 | RES55 | réservé | non défini
56 | RES56 | réservé | non défini
57 | RES57 | réservé | non défini
58 | RES58 | réservé | non défini
59 | RES59 | réservé | non défini
60 | RES60 | réservé | non défini
61 | RES61 | réservé | non défini
62 | RES62 | réservé | non défini
63 | RES63 | réservé | non défini

info Informations

Dans les formules, tous les bits d'état sont disponibles. La disponibilité peut être réduite dans le cadre d'autres utilisations.

Pour plus de détails concernant la gestion des états, reportez-vous au chapitre Gestion d'états.


Windows CE

Manuel -> Recipe Group Manager -> Configuration dans Editor -> Windows CE

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Boîte de dialogue de filtre dans le Runtime

Si vous activez la propriété Avec dial. de filtre dans les options de la liste de valeurs de la recette lors de l’appel de synoptique, des options limitées sont disponibles sous Windows CE :

  • Filtre de recette
  • Paramètres des colonnes (pour la table de recettes)

Les options Sélection recette, Modélisation d’équipements et les paramètres des colonnes de la liste de recettes ne sont pas disponibles.


Fonctions

Manuel -> Recipe Group Manager -> Fonctions

Lorsque la fonction standard est créée depuis le menu contextuel dans l'affichage détaillé, <CD_PRODUCTNANE> crée automatiquement une fonction Recipe Group Manager pour la recette sélectionnée.

Autres sujets abordés dans ce chapitre

Fonction Appel de synoptique Recipe Group Manager

Fonction du module Recipe Group Manager


Fonction Appel de synoptique Recipe Group Manager

Manuel -> Recipe Group Manager -> Fonctions -> Fonction Appel de synoptique Recipe Group Manager

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Lors de l'appel du synoptique Recipe Group Manager, vous définissez une recette devant être transmise lors de l'appel. Ces paramètres peuvent également être définis dans le Runtime, si l'option Afficher cette boîte de dialogue dans le Runtime .

Pour configurer l'appel de synoptique :

  1. Créez une nouvelle fonction.
  2. Sélectionnez Appel de synoptique.
  3. Sélectionnez le synoptique Recipe Group Manager
  4. Sélectionnez vos paramètres sur les différents onglets
    • Table de valeurs de la recette : Paramètres de la recette
    • Paramètres des colonnes de la table de valeur des recettes : paramètres d'affichage dans le Runtime.
    • Filtres recette : définition des recettes d'un groupe de recettes devant être affichées sur un synoptique Recipe Group Manager.
    • Paramètres des colonnes de la liste de recettes : paramètres d'affichage des listes de recettes.
    • Modèles d'équipement : sélection des modèles d'équipements.

info Informations

Vous trouverez les paramètres de visibilité des variables du Runtime dans les sections suivantes :

  • Modifier les paramètres des variables : Filtre, Visibilité
  • Modification d'une recette d'un groupe de recettes : Groupes d'autorisation

Ces paramètres ont uniquement trait à l'affichage dans la table de recettes. Par exemple, si une recette est transmise au contrôleur, toutes les valeurs de la recette sont écrites.

Autres sujets abordés dans ce chapitre

Liste de valeurs de recette

Paramètres des colonnes de la table de valeur des recettes

Filtre de recette

Paramètres des colonnes de la liste de recettes

Modèles d'équipement

Sélection d'une colonne de la liste de recettes et de la table de valeurs de la recette

Format des colonnes de la liste de recettes et de la table de valeurs de la recette


Liste de valeurs de recette

Manuel -> Recipe Group Manager -> Fonctions -> Fonction Appel de synoptique Recipe Group Manager -> Liste de valeurs de recette

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Sur cet onglet, la recette affichée dans la table de valeurs de la recette est sélectionnée. La table de valeurs de la recette est disponible dans deux versions :

  • Table de valeurs de la recette : Table pouvant être configurée directement dans le Runtime. Indisponible pour for Windows CE.
  • Liste des valeurs de la recette (CE) : Affichage de la recette sélectionnée sous forme de table fixe. Remplace la table de valeurs de la recette sous Windows CE.

Les deux tables peuvent être configurées dans Editor. Toutefois, une seule des deux tables peut être insérée dans un synoptique. La table de valeurs de la recette est recommandée pour toutes les tables, à l'exception de celles sous Windows CE. La configuration de l'appel de synoptique peut être différente pour les deux tables. Si une table de valeurs de la recette est automatiquement remplacée par une table de valeurs de la recette (CE) sous Windows CE, les paramètres de l'appel de synoptique original sont appliqués.

Configuration

Sélection de groupes de recettes/sélection de recette

Sélection du groupe de recettes et de la recette. La sélection peut être effectuée :

  • De manière statique, à partir d'entrées prédéfinies
  • De manière dynamique, à l'aide de variables
  • À partir d'un fichier

Cliquez sur Propriétés pour afficher une liste déroulante permettant de sélectionner une méthode.

Paramètres

Description

Groupe de recettes

Paramètres de sélection du groupe de recettes. Cliquez sur le texte pour ouvrir une liste déroulante de sélection.

  • Groupe de recettes statiques
  • Nom de groupe de recettes par une variable

Groupe de recettes statiques :

Sélection d'un groupe de recettes déjà créé.

Nom de groupe de recettes à partir d'une variable :

Le nom du groupe de recettes est dérivé d'une variable. Cliquez sur le bouton ... Ouvre la boîte de dialogue de sélection de variables.

Si les valeurs de la variable ne sont pas valides, aucune recette n'est ouverte.

Recette

Paramètres de sélection de recettes. Cliquez sur le texte pour ouvrir une liste déroulante de sélection.

  • Recette statique
  • Nom de recette par nom de variable
  • Nom de recette par numéro de variable

Remarque : Si la sélection des recettes aboutit à une erreur dans le Runtime (recette non présente dans le Runtime, aucune sélection effectuée, recette non contenue dans le filtre), aucune recette n'est sélectionnée et l'affichage de la liste déroulante Recette reste vide.

Recette statique :

Sélection d'une recette déjà créée.

Nom de recette par une variable :

Le nom de la recette est dérivé d'une variable. Cliquez sur le bouton ... Ouvre la boîte de dialogue de sélection de variables.

Si les valeurs de la variable ne sont pas valides, aucune recette n'est ouverte.

Numéro de recette par une variable :

Le numéro de la recette est dérivé d'une variable. Cliquez sur le bouton ... Ouvre la boîte de dialogue de sélection de variables.

Si plusieurs recettes comportant le même numéro existent, zenon utilise la première recette trouvée. Si les valeurs de la variable ne sont pas valides, aucune recette n'est ouverte.

Version de la recette

Sélection de la version de la recette parmi les versions existantes ou à l'aide d'une variable.

Version d'une recette statique :

Sélection d'une version d'une recette existante dans une liste déroulante. Sélection possible :

  • Version de recette préexistante
  • Version la plus basse ;
    Sélection d'un état de recette supplémentaire autorisée
  • Version la plus élevée ;
    Sélection d'un état de recette supplémentaire autorisée

Version de recette par variable :

La version de la recette est dérivée d'une variable. Cliquez sur le bouton ... Ouvre la boîte de dialogue de sélection de variables.

Remarque : si la version de la recette est obtenue à partir d'une variable numérique, les considérations suivantes s'appliquent :

  • La valeur 90000 correspond à un symbole statique version la plus basse de la recette.
  • La valeur 90001 correspond à un symbole statique version la plus élevée de la recette.

État de la recette

Sélection de l'état de la recette parmi les états existants ou à l'aide d'une variable.

État de la recette :

L'état de la recette est évalué conjointement à la version. Disponible uniquement si la version de la recette possède la valeur version la plus élevée ou version la plus basse, ou si elle est dérivée d'une variable.
version la plus élevée avec l'état Départ.

Sélection d'un état de recette dans la liste déroulante.

  • État existant
  • Tout

État de la recette par variable :

L'état de la recette est dérivé d'une variable. Cliquez sur le bouton ... Ouvre la boîte de dialogue de sélection de variables.

Remarque : si l'état de la recette est obtenu à partir d'une variable numérique, les considérations suivantes s'appliquent :

  • La valeur 0 est évaluée comme Tous
  • L'action est annulée si l'état ne peut pas être trouvé dans la recette

Format de la liste de valeurs de la recette

Paramètres de mise en forme de la table de valeurs des recettes.

Paramètres

Description

Table

Sélection du fichier du rapport. Cliquez sur le bouton pour ouvrir une liste déroulante de sélection :

  • Utiliser la liste standard
  • Utiliser un fichier de format pour la liste

Utiliser une table standard :

Les valeurs de la recette sont affichées dans une table de valeurs de la recette ou dans la table de valeurs de la recette CE dans le Runtime.

Sélection du fichier de mise en forme de la table :

Les valeurs de la recette peuvent être affichées dans un fichier de rapport (*.xrs). Ce fichier doit avoir été créé préalablement dans le module Report Generator. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection d'un fichier graphique.

Remarque : Lorsqu'un fichier de mise en forme est utilisé, la valeur de la recette CE est affichée dans le Runtime.

Filtre d'affichage des valeurs

Sélection du filtre actif lors de l'appel de synoptique, afin de limiter la liste de valeurs de recette affichées.

Paramètres

Description

Critères de filtre

Sélection du filtre. Cliquez sur le texte pour afficher une liste déroulante de sélection du filtre.

  • Critère de filtre statique
  • Critère de filtre par une variable

Critère de filtre statique :

Sélection d'un filtre défini dans la liste déroulante définie dans la propriété de variable Filtre.

Critère de filtre sous forme de variable :

Le critère de filtre est issu d'une variable STRING dans le Runtime.

Paramètres du Runtime

Paramètres de fonctionnement dans le Runtime.

Paramètres

Description

Avec dial. de filtre

Active : La boîte de dialogue est affichée dans le Runtime, afin d'autoriser les modifications.

Remarque : seules des fonctions limitées sont disponibles sous Windows CE lors de l'utilisation du bouton Filtre du module Recipe Group Manager :

  • Filtre de recette
  • Paramètres des colonnes (pour la table de recettes)

Interdire la sélection de groupes de recettes dans le Runtime

Active : la sélection de groupes de recettes est bloquée dans le Runtime.

Disponible uniquement si l'option Afficher cette boîte de dialogue dans le Runtime est active.

Bloquer les modifications du synoptique

Bloque tous les éléments de contrôle du synoptique Recipe Group Manager. L'utilisateur ne peut alors apporter aucune modification au synoptique Recipe Group Manager.

Fermer boîte de dialogue

Paramètres | Description
OK | Applique toutes les modifications effectuées sur tous les onglets, puis ferme la boîte de dialogue.
Annuler | Annule toutes les modifications effectuées sur tous les onglets, puis ferme la boîte de dialogue.
Aide | Ouvre l'aide en ligne.

info Informations

Le nom de la recette doit être unique. L'unicité du numéro de recette n'est pas contrôlée. Il est uniquement utilisé pour appeler une recette via une variable, à l'aide de la fonction Recipe Group Manager. Si plusieurs recettes comportant le même numéro existent, zenon utilise la première recette trouvée.


Paramètres des colonnes de la table de valeur des recettes

Manuel -> Recipe Group Manager -> Fonctions -> Fonction Appel de synoptique Recipe Group Manager -> Paramètres des colonnes de la table de valeur des recettes

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarque : Indisponible si, pour un appel de synoptique dans la table de valeurs de la recette, la propriété Fichier de mise en forme de la table : a été sélectionnée.

Toutes les colonnes de la liste de valeurs de la recette sont librement configurables. Vous pouvez rendre les colonnes visibles, les trier et leur attribuer un intitulé à votre convenance. En outre, vous pouvez masquer la numérotation des lignes.

Sur cet onglet, les colonnes de la table de valeurs de la recette CE et de la table de valeurs de la recette peuvent être configurées. Pour cela, deux outils s'offrent à vous :

  • Paramètres colonnes pour CE : Configure les paramètres pour la table de valeurs de la recette CE.
  • Paramètres des colonnes : Configure les paramètres pour la table de valeurs de la recette.

Paramètres colonnes pour la liste CE

Ces paramètres concernant la table de valeurs de la recette CE. Ils sont utilisés pour l'affichage des tables de valeurs fixes de la recette sous Windows CE. Le bouton Table de valeurs de la recette est toujours configuré dans la section inférieure de la boîte de dialogue.

Paramètres | Description
Type de colonne | Type de colonne. Cette donnée ne peut pas être éditée. L'affichage dans le Runtime est activé ou désactivé par l'intermédiaire d'une case à cocher.
Description | Définit l'en-tête de la colonne concernée. Vous pouvez configurer celui-ci afin d'autoriser le changement de langue. La valeur peut être éditée.
Largeur | Définit la largeur de la colonne, en caractères. Vous pouvez également définir la largeur de la colonne en faisant glisser la colonne avec la souris dans la ligne d'affichage horizontale des noms de colonnes. La valeur peut être éditée.
Vers le haut | Déplace la ligne sélectionnée vers le haut. Vous pouvez également déplacer les colonnes par glisser-déplacer.
Déplacer l'entrée sélectionnée vers le bas | Déplace la ligne sélectionnée vers le bas. Vous pouvez également déplacer les colonnes par glisser-déplacer.
Champ avec affichage horizontal des noms de colonnes | Affiche les colonnes actives dans la liste. Vous pouvez définir les tailles des colonnes en faisant glisser les bordures des colonnes à l'aide de la souris.
Display numbering column (Afficher la colonne de numérotation) | Active : La première colonne du rapport est affichée avec des numéros de ligne.

Paramètres des colonnes

Configuration de la table de valeurs de la recette.

Paramètres | Description
Table | Cliquez sur le bouton de sélection de colonnes pour sélectionner les colonnes de la table. Elles peuvent être organisées en cliquant sur l'intitulé de la colonne et en effectuant un glisser-déplacer avec la souris. Lors de la réorganisation, deux flèches rouges indiquent à quel endroit la colonne en cours de déplacement sera insérée.
Sélection de colonnes | Cliquez sur le bouton pour ouvrir la boîte de dialogue de sélection des colonnes à afficher.
Format des colonnes | Cliquez sur le bouton pour ouvrir la boîte de dialogue de mise en forme des colonnes.

Fermer boîte de dialogue

Paramètres | Description
OK | Applique toutes les modifications effectuées sur tous les onglets, puis ferme la boîte de dialogue.
Annuler | Annule toutes les modifications effectuées sur tous les onglets, puis ferme la boîte de dialogue. La fonction est néanmoins créée lors de la première configuration de l'appel de synoptique, toutefois, sans cible.
Aide | Ouvre l'aide en ligne.


Filtre de recette

Manuel -> Recipe Group Manager -> Fonctions -> Fonction Appel de synoptique Recipe Group Manager -> Filtre de recette

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Sur cet onglet, vous définissez quelles recettes d'un groupe de recettes doivent être affichées dans un synoptique de type Recipe Group Manager. Seules les recettes autorisées par le filtre de recettes de la fonction d'appel de synoptique sont affichées. Le filtrage repose sur les noms des recettes.

info Informations

Si la sélection des recettes aboutit à une erreur dans le Runtime (recette non présente dans le Runtime, aucune sélection effectuée, recette non contenue dans le filtre), aucune recette n'est sélectionnée et l'affichage de la liste déroulante Recette reste vide.

Paramètres

Description

Filtre de texte

Définit les critères de filtre.

Pas de filtre de texte

Active : Le filtre de texte n'est pas utilisé.

Rechercher (mots séparés par des espaces)

Active : Le filtre de recettes est utilisé. Les paramètres supplémentaires sont activés.

Champ de saisie

Saisissez les mots ou chaînes de caractères souhaité(e)s.

Respecter la casse

Active : la capitalisation est prise en compte lors du chiffrage.

Les mots doivent être en partie présents dans le nom de la recette

Active : Les expressions saisies dans le champ de saisie sont prises en compte, même si elles n'apparaissent que dans un mot dans le nom de la recette.

Au moins un mot doit être présent dans le nom de la recette

Active : Au moins un mot de la chaîne recherchée doit apparaître dans le nom de la recette.

Tous les mots doivent être présents dans le nom de la recette

Active : Tous les mots de la chaîne recherchée doivent être présents dans le nom de la recette, mais l'ordre n'a pas d'importance.

Le texte de filtre exact doit être présent dans le nom de la recette

Active : Tous les mots de la chaîne recherchée doivent être présents dans le nom de la recette, dans le même ordre.

Filtre étendu

Paramètres des filtres de version et d'état.

Version

Filtre de version : sélection dans une liste déroulante ou saisie directe.

Liste déroulante :

  • Version la plus basse
  • Version la plus haute
  • Tout

Ces paramètres sont toujours associés à l'état.

Saisie directe :

  • Saisie numérique, valeurs séparées par une virgule. Par exemple : 1,2,6

Les entrées peuvent comprendre des chiffres, des virgules et des espaces ; leur validité est contrôlée. Les saisies erronées sont identifiées lorsque la boîte de dialogue est confirmée en cliquant sur OK, ou que l'onglet est modifié. La boîte de dialogue reste ouverte et le focus est placé sur l'entrée sélectionnée.

État

Critère de filtre d'état. Sélection :

Liste déroulante :

  • Tout
  • État préalablement configuré

Saisie directe :

  • Saisie numérique, valeurs séparées par une virgule. Par exemple : 1,2,6

La langue des textes d'état peut être modifiée.

Les entrées peuvent comprendre des chiffres, des virgules et des espaces ; leur validité est contrôlée. Les saisies erronées (telles que les lettres) sont identifiées lorsque la boîte de dialogue est confirmée en cliquant sur OK. La boîte de dialogue reste ouverte et le focus est placé sur l'entrée sélectionnée.

OK

Valide les paramètres définis sur tous les onglets et ferme la boîte de dialogue.

Annuler

Abandonne toutes les modifications effectuées sur tous les onglets, puis ferme la boîte de dialogue. La fonction est créée lors de la première configuration de l'appel de synoptique, toutefois, sans cible.

Aide

Ouvre l'aide en ligne.

Combinaisons possibles du filtre de version et du filtre d'état

Filtre de version | Filtre d'état | Résultat
Version la plus basse | Tout | Seules les versions les plus basses de toutes les recettes sont affichées.
Version la plus basse | 1.2 | Seules les versions les plus basses de toutes les versions de recettes comportant l'état 1 ou 2 sont affichées.
Version la plus haute | Tout | Seules les versions les plus hautes de toutes les recettes sont affichées.
Version la plus haute | 1.2 | Seules les versions les plus hautes de toutes les versions de recettes comportant l'état 1 ou 2 sont affichées.
Tout | Tout | Toutes les versions des recettes sont affichées.
Tout | 1.2 | Toutes les versions des recettes comportant l'état 1 ou 2 sont affichées.
2.3 | Tout | Toutes les versions des recettes 2 et 3 sont affichées, indépendamment de l'état.
2.3 | 1,2 | La version 2 ou 3 de la recette est affichée, si celle-ci comporte l'état 1 ou 2.


Paramètres des colonnes de la liste de recettes

Manuel -> Recipe Group Manager -> Fonctions -> Fonction Appel de synoptique Recipe Group Manager -> Paramètres des colonnes de la liste de recettes

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Sur cet onglet, les paramètres des colonnes pour l'affichage de la liste de recettes dans le Runtime sont configurés.

Attention : les paramètres des colonnes de la liste de recettes ne sont pas disponibles pour les projets CE.

Paramètre | Description
Champ de liste | Affichage des colonnes configurées.
Sélection de colonnes | Ouvre la boite de dialogue de sélection des colonnes.
Format colonne | Ouvre la boîte de dialogue de mise en forme des colonnes.
OK | Applique toutes les modifications et ferme la boîte de dialogue.
Annuler | Annule toutes les modifications et ferme la boîte de dialogue.
Aide | Ouvre l’aide en ligne.

D'autres paramètres, tels que les barres de défilement, sont configurés dans les propriétés du champ de liste. Pour plus de détails, reportez-vous à la section Apparence de la liste de recettes.


Modèles d'équipement

Manuel -> Recipe Group Manager -> Fonctions -> Fonction Appel de synoptique Recipe Group Manager -> Modèles d'équipement

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Ici, vous procédez à l'attribution des modèles et niveaux d'équipements :

Option

Description :

Barre d'outils

Symboles pour:

  • Modifier les modèles d'équipement locaux
  • Agrandir ou réduire l'affichage
  • Afficher des informations

Liste de modèles d'équipements

Autorise la sélection de modèles et de groupes. La liste distingue les modèles d'équipement issus du projet global et des projets locaux.

Les modèles d'équipement locaux peuvent être créés, modifiés ou supprimés.

Remarque : Les modèles d’équipement du projet global ne peuvent pas être affichées si des modèles portant le même nom que dans le projet local. Les modèles affectés sont affichés en cliquant sur le symbole d’avertissement (triangle avec point d’exclamation). Pour plus de détails, reportez-vous au manuel Modèles d’équipement, chapitre Modification de modèles d’équipement locaux.

Ajouter

Ajoute les groupes sélectionnés à la liste de filtres.

Supprimer

Supprime tous les groupes sélectionnés de la liste de filtres.

Filtre hiérarchique

Case à cocher pour l’activation du filtre hiérarchique de modèle d’équipement.

  • Activé :
    les variables liées à une sous-hiérarchie du groupe d’équipement sélectionné sont prises en compte dans le filtre et sont incluses dans l’affichage du Runtime.
  • Inactif :
    lors du filtre, seules les variables liées au groupe d’équipement sélectionné sont prises en compte.Par défaut : Actif

Liste de filtres

Affiche tous les groupes d'équipements devant être filtrés.

Fermer la boîte de dialogue

Options | Description :
OK | Applique les paramètres et ferme la boîte de dialogue.
Annuler | Annule la sélection et ferme la boîte de dialogue. Attention : Toute modification apportée à la structure des équipements locaux est conservée.
Aide | Ouvre l'aide en ligne.

Configuration

De nouveaux modèles et groupes peuvent être créés pour le projet actif et les modèles et groupes existants peuvent être supprimés.

Ajouter un modèle au projet

Pour ajouter un nouveau modèle :

  1. Cliquez sur le projet.
  2. Dans la barre d'outils, sélectionnez Nouveau modèle d'équipement

Supprimer un modèle

Pour supprimer un modèle existant :

  1. Cliquez sur le modèle.
  2. Sélectionnez Supprimer dans la barre d'outils.

Ajouter des groupes au modèle

Pour ajouter un groupe au modèle :

  1. Sélectionnez le modèle d'équipement de votre choix.
    Attention : Si des conflits de nom existent entre les modèles d'équipement globaux et locaux, les modèles d'équipement locaux sont affichés et les modèles locaux sont ignorés. Vous pouvez obtenir des informations concernant d'éventuels conflits en cliquant sur le symbole correspondant (un triangle avec un point d'exclamation) dans la barre d'outils.
  2. Sélectionnez un groupe ou un niveau d'équipements.
  3. Ajoutez le nouveau groupe à la liste affichée dans la partie inférieure de la boîte de dialogue en cliquant sur le bouton Ajouter.

    Remarque :

    • Les sous-groupes ne sont pas ajoutés automatiquement.
    • Vous pouvez sélectionner autant de groupes que vous le souhaitez.

Supprimer un groupe du modèle

Pour supprimer un groupe d'un modèle :

  1. Sélectionnez les éléments souhaités dans la liste affichée dans la partie inférieure de la boîte de dialogue (les sélections multiples sont autorisées).
  2. Cliquez sur le bouton Supprimer.

Remarque : les modifications apportées à un élément dans l'arborescence sont conservées, même si vous cliquez sur le bouton Annuler. Annuler signifie uniquement qu'aucun élément n'a été sélectionné.


Sélection d'une colonne de la liste de recettes et de la table de valeurs de la recette

Manuel -> Recipe Group Manager -> Fonctions -> Fonction Appel de synoptique Recipe Group Manager -> Sélection d'une colonne de la liste de recettes et de la table de valeurs de la recette

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Ici, vous pouvez configurer les colonnes de la liste de recettes et de la table de valeurs de la recette à afficher dans le Runtime. L'illustration suivante présente un exemple de liste de recettes. La configuration des colonnes de la table de valeurs de la recette se déroule sensiblement de la même manière.

Options | Fonction
Colonnes disponibles | Liste de colonnes pouvant être affichées dans la table.
Colonnes sélectionnées | Colonnes affichées dans la table.
Ajouter -> | Déplace la colonne sélectionnée des colonnes disponibles vers les éléments sélectionnés. Lorsque vous confirmez la boîte de dialogue en cliquant sur OK, ces colonnes sont affichées dans la vue de détail.
Ajouter toutes -> | Déplace toutes les colonnes disponibles vers les colonnes sélectionnées.
<- Supprimer | Supprime les colonnes marquées des éléments sélectionnés et les affiche dans la liste des colonnes disponibles. Lorsque vous confirmez la boîte de dialogue en cliquant sur OK, ces colonnes sont supprimées de la vue de détail.
<- Supprimer tout | Toutes les colonnes sont supprimées de la liste des colonnes sélectionnées.
Haut | Déplace l’entrée sélectionnée vers le haut. Cette fonction est uniquement disponible pour les entrées uniques?; les sélections multiples ne sont pas autorisées dans ce cas.
Bas | Déplace l’entrée sélectionnée vers le bas. Cette fonction est uniquement disponible pour les entrées uniques?; les sélections multiples ne sont pas autorisées dans ce cas.

Fermer boîte de dialogue

Options | Description :
OK | Applique les paramètres et ferme la boîte de dialogue.
Annuler | Annule toutes les modifications et ferme la boîte de dialogue.
Aide | Ouvre l'aide en ligne.


Format des colonnes de la liste de recettes et de la table de valeurs de la recette

Manuel -> Recipe Group Manager -> Fonctions -> Fonction Appel de synoptique Recipe Group Manager -> Format des colonnes de la liste de recettes et de la table de valeurs de la recette

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Ici, vous pouvez configurer les colonnes de la liste de recettes et de la table de valeurs de la recette.

Configuration des propriétés des colonnes pour les listes configurables. Les paramètres ont un effet sur la liste correspondante dans Editor ou, lors de la configuration d’un appel de synoptique, dans le Runtime.

Colonnes disponibles

Options | Description :
Colonnes disponibles | Liste de colonnes disponibles avec la fonction de sélection de colonnes. La configuration de la colonne sélectionnée se déroule via les options de la section Paramètres.

Paramètres

Option

Description :

Paramètres

Paramètres de la colonne sélectionnée.

Intitulé

Nom de l’intitulé de colonne.

Cet intitulé de colonne est compatible avec la fonction de changement de langue en ligne. Pour cela, le caractère @ doit être saisi devant le nom.

Largeur

Largeur de la colonne en caractères.
Calcul : nombre de caractères multiplié par la largeur moyenne des caractères de la police sélectionnée.

Alignement

Alignement. La sélection de l'attribution s'effectue au moyen des cases d'option.

Paramètres possibles :

  • Gauche : Le texte est justifié contre le bord gauche de la colonne.
  • Centré : Le texte est centré dans la colonne.
  • Droite : Le texte est justifié contre le bord droit de la colonne.

Couleurs définies par l'utilisateur

Propriétés permettant de sélectionner des couleurs définies par l’utilisateur pour le texte et l’arrière-plan. Les paramètres ont une incidence dans Editor et dans le Runtime.

Remarque :

  • Ces paramètres sont uniquement disponibles pour les listes configurables.
  • En outre, le focus correspondant dans la liste peut être indiqué par différentes couleurs de texte et d’arrière-plan dans le Runtime. Celles-ci sont configurées dans les propriétés du projet.

Couleurs définies par l’utilisateur

Active : Les couleurs définies par l’utilisateur sont appliquées.

Couleur du texte

Couleur d’affichage du texte. Cliquez sur la couleur pour la palette de sélection de couleurs.

Couleur d'arrière-plan

Couleur d’affichage de l’arrière-plan de la cellule. Cliquez sur la couleur pour la palette de sélection de couleurs.

Désactiver le filtre de colonnes dans le Runtime
  • Active : Le filtre de cette colonne ne peut pas être modifié dans le Runtime.

Remarque : Uniquement disponible pour :

  • Batch Control
  • Extended Trend
  • Synoptiques de filtre
  • Message Control
  • Gestionnaire de groupe de recettes (Recipe Group Manager)
  • Gestion d'équipes
  • Liste contextuelle

Fermer boîte de dialogue

Options | Description :
OK | Applique toutes les modifications effectuées sur tous les onglets, puis ferme la boîte de dialogue.
Annuler | Annule toutes les modifications effectuées sur tous les onglets, puis ferme la boîte de dialogue.
Aide | Ouvre l'aide en ligne.


Fonction du module Recipe Group Manager

Manuel -> Recipe Group Manager -> Fonctions -> Fonction du module Recipe Group Manager

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Cette fonction exécute des actions définies pour une recette sélectionnée du module Recipe Group Manager dans le Runtime.

Pour configurer la fonction :

  1. Créez une nouvelle fonction.
  2. Accédez au groupe Recettes.
  3. Sélectionnez la fonction Recipe Group Manager.

La boîte de dialogue de configuration de la fonction s'affiche à l'écran.

Paramètre

Description

Action

Sélection du type de fonction souhaité dans la liste déroulante. La sélection peut être modifiée ultérieurement. Fonctions possibles :

  • Exécuter recette
  • Lire recette
  • Vérification valeur de recette
  • Renommer recette
  • Modification de l'état des recettes
  • Créer une nouvelle recette
  • Supprimer recette
  • Dupliquer
  • Dupliquer et lire
  • Créer une nouvelle version d'une recette
  • Supprimer la version de la recette
  • Créer une copie comme nouvelle version de la recette
  • Créer une copie et lire en tant nouvelle de la recette
  • Écrire la valeur de la recette dans la variable de sauvegarde
  • Écrire la variable de sauvegarde dans la valeur de la recette
  • Exporter tout (XML)
  • Exportation du groupe de recettes au format XML
  • Exporter la recette au format XML
  • Importer XML
  • Informations détaillées de la recette lors de l'enregistrement de la documentation au format XML
  • Exportation d'une recette vers un fichier texte
  • Importer la recette depuis un fichier texte

OK

Applique les paramètres et ferme la boîte de dialogue.

Annuler

Discards all changes and closes the dialog.

La fonction est créée, mais sans action.

Aide

Ouvre l'aide en ligne.

info Informations

Le nom de la recette doit être unique pour toutes les fonctions. L'unicité du numéro de recette n'est pas contrôlée. Il est uniquement utilisé pour appeler une recette via une variable, à l'aide de la fonction Recipe Group Manager. Si plusieurs recettes comportant le même numéro existent, zenon utilise la première recette trouvée.

Autres sujets abordés dans ce chapitre

Exécuter recette

Lire recette

Vérification valeur de recette

Renommer recette

Modification de l'état des recettes

Créer une nouvelle recette

Supprimer recette

Dupliquer

Dupliquer et lire

Créer une nouvelle version d'une recette

Supprimer la version de la recette

Créer une copie comme nouvelle version de la recette

Créer une copie et lire en tant nouvelle de la recette

Écrire la valeur de la recette dans la variable de sauvegarde

Écrire la variable de sauvegarde dans la valeur de la recette

Exporter tout (XML)

Exportation du groupe de recettes au format XML

Exporter la recette au format XML

Importer XML

Informations détaillées de la recette lors de l'enregistrement de la documentation au format XML

Exportation d'une recette vers un fichier texte

Importer la recette depuis un fichier texte


Exécuter recette

Manuel -> Recipe Group Manager -> Fonctions -> Fonction du module Recipe Group Manager -> Exécuter recette

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Cette fonction transmet la recette sélectionnée au Runtime.

Paramètres

Description

Action

Affiche l'action sélectionnée dans la boîte de dialogue de la fonction Recipe Group Manager. Cette boîte de dialogue sert uniquement à l'affichage d'informations ; aucune sélection n'est possible.

Sélection de groupes de recettes/
de recettes

Sélection du groupe de recettes et de la recette. La sélection peut être effectuée :

  • De manière statique, à partir d'entrées prédéfinies
  • De manière dynamique, à l'aide de variables

Cliquez sur Propriétés pour afficher une liste déroulante permettant de sélectionner une méthode.

Groupe de recettes

Paramètres de sélection du groupe de recettes. Cliquez sur le texte pour ouvrir une liste déroulante de sélection.

  • Groupe de recettes statiques
  • Nom de groupe de recettes par une variable

Groupe de recettes statiques :

Sélection d'un groupe de recettes déjà créé.

Nom de groupe de recettes à partir d'une variable :

Le nom du groupe de recettes est dérivé d'une variable. Cliquez sur le bouton ... Ouvre la boîte de dialogue de sélection de variables.

Si les valeurs de la variable ne sont pas valides, aucune recette n'est ouverte.

Recette

Paramètres de sélection de recettes. Cliquez sur le texte pour ouvrir une liste déroulante de sélection.

  • Recette statique
  • Nom de recette par nom de variable
  • Nom de recette par numéro de variable

Recette statique :

Sélection d'une recette déjà créée.

Nom de recette par nom de variable :

Le nom de la recette est dérivé d'une variable. Cliquez sur le bouton ... Ouvre la boîte de dialogue de sélection de variables.

Si les valeurs de la variable ne sont pas valides, aucune recette n'est ouverte.

Numéro de recette par numéro de variable :

Le numéro de la recette est dérivé d'une variable. Cliquez sur le bouton ... Ouvre la boîte de dialogue de sélection de variables.

Si plusieurs recettes comportant le même numéro existent, zenon utilise la première recette trouvée. Si les valeurs de la variable ne sont pas valides, aucune recette n'est ouverte.

Version de la recette

Sélection de la version de la recette parmi les versions existantes ou à l'aide d'une variable.

Version d'une recette statique :

Sélection d'une version d'une recette existante dans une liste déroulante. Sélection possible :

  • Version de recette préexistante
  • Version la plus basse ;
    Sélection d'un état de recette supplémentaire autorisée
  • Version la plus élevée ;
    Sélection d'un état de recette supplémentaire autorisée

Version de recette par variable :

La version de la recette est dérivée d'une variable. Cliquez sur le bouton ... Ouvre la boîte de dialogue de sélection de variables.

Remarque : si la version de la recette est obtenue à partir d'une variable numérique, les considérations suivantes s'appliquent :

  • La valeur 90000 correspond à la version la plus élevée en termes statistiques
  • La valeur 90001 correspond à la version la plus élevée statistique

État de la recette

Sélection de l'état de la recette parmi les états existants ou à l'aide d'une variable.

État de la recette :

L'état de la recette est évalué conjointement à la version. Disponible uniquement si la version de la recette possède la valeur plus petite version ou plus grande version, ou si elle est dérivée d'une variable.
version la plus élevée avec l'état Départ.

Sélection d'un état de recette dans la liste déroulante.

  • État existant
  • Tout

État de la recette par variable :

L'état de la recette est dérivé d'une variable. Cliquez sur le bouton ... Ouvre la boîte de dialogue de sélection de variables.

Remarque : si l'état de la recette est obtenu à partir d'une variable numérique, les considérations suivantes s'appliquent :

  • La valeur 0 est évaluée comme Tous
  • L'action est annulée si l'état ne peut pas être trouvé dans la recette

Paramètres du Runtime

Paramètres de fonctionnement dans le Runtime.

Avec dial. de filtre

Active : La boîte de dialogue est affichée dans le Runtime, afin d'autoriser les modifications.

Interdire la sélection de groupes de recettes dans le Runtime

Active : la sélection de groupes de recettes est bloquée dans le Runtime.

Disponible uniquement si l'option Afficher cette boîte de dialogue dans le Runtime est active.

OK

Applique les paramètres et ferme la boîte de dialogue.

Annuler

Abandonne les paramètres et ferme la boîte de dialogue. La fonction est créée, mais sans cible.

Aide

Ouvre l'aide en ligne.


Lire recette

Manuel -> Recipe Group Manager -> Fonctions -> Fonction du module Recipe Group Manager -> Lire recette

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Les valeurs des variables correspondantes sont lues et écrites dans la recette sélectionnée (enseignement).

Lors de la lecture, une vérification est effectuée pour s'assurer que les valeurs des propriétés Valeur min. et Valeur max. ont été respectées. Si les valeurs réelles sont inférieures ou supérieures à celles de ces propriétés, ou si la variable comporte l'état INVALID, les valeurs ne sont pas écrites dans la recette. Les erreurs peuvent être évaluées à l'aide des variables système.

Paramètres

Description

Action

Affiche l'action sélectionnée dans la boîte de dialogue de la fonction Recipe Group Manager. Cette boîte de dialogue sert uniquement à l'affichage d'informations ; aucune sélection n'est possible.

Sélection de groupes de recettes/
de recettes

Sélection du groupe de recettes et de la recette. La sélection peut être effectuée :

  • De manière statique, à partir d'entrées prédéfinies
  • De manière dynamique, à l'aide de variables

Cliquez sur Propriétés pour afficher une liste déroulante permettant de sélectionner une méthode.

Groupe de recettes

Paramètres de sélection du groupe de recettes. Cliquez sur le texte pour ouvrir une liste déroulante de sélection.

  • Groupe de recettes statiques
  • Nom de groupe de recettes par une variable

Groupe de recettes statiques :

Sélection d'un groupe de recettes déjà créé.

Nom de groupe de recettes à partir d'une variable :

Le nom du groupe de recettes est dérivé d'une variable. Cliquez sur le bouton ... Ouvre la boîte de dialogue de sélection de variables.

Si les valeurs de la variable ne sont pas valides, aucune recette n'est ouverte.

Recette

Paramètres de sélection de recettes. Cliquez sur le texte pour ouvrir une liste déroulante de sélection.

  • Recette statique
  • Nom de recette par nom de variable
  • Nom de recette par numéro de variable

Recette statique :

Sélection d'une recette déjà créée.

Nom de recette par nom de variable :

Le nom de la recette est dérivé d'une variable. Cliquez sur le bouton ... Ouvre la boîte de dialogue de sélection de variables.

Si les valeurs de la variable ne sont pas valides, aucune recette n'est ouverte.

Numéro de recette par numéro de variable :

Le numéro de la recette est dérivé d'une variable. Cliquez sur le bouton ... Ouvre la boîte de dialogue de sélection de variables.

Si plusieurs recettes comportant le même numéro existent, zenon utilise la première recette trouvée. Si les valeurs de la variable ne sont pas valides, aucune recette n'est ouverte.

Version de la recette

Sélection de la version de la recette parmi les versions existantes ou à l'aide d'une variable.

Version d'une recette statique :

Sélection d'une version d'une recette existante dans une liste déroulante. Sélection possible :

  • Version de recette préexistante
  • Version la plus basse ;
    Sélection d'un état de recette supplémentaire autorisée
  • Version la plus élevée ;
    Sélection d'un état de recette supplémentaire autorisée

Version de recette par variable :

La version de la recette est dérivée d'une variable. Cliquez sur le bouton ... Ouvre la boîte de dialogue de sélection de variables.

Remarque : si la version de la recette est obtenue à partir d'une variable numérique, les considérations suivantes s'appliquent :

  • La valeur 90000 correspond à la version la plus élevée en termes statistiques
  • La valeur 90001 correspond à la version la plus élevée statistique

État de la recette

Sélection de l'état de la recette parmi les états existants ou à l'aide d'une variable.

État de la recette :

L'état de la recette est évalué conjointement à la version. Disponible uniquement si la version de la recette possède la valeur plus petite version ou plus grande version, ou si elle est dérivée d'une variable.
version la plus élevée avec l'état Départ.

Sélection d'un état de recette dans la liste déroulante.

  • État existant
  • Tout

État de la recette par variable :

L'état de la recette est dérivé d'une variable. Cliquez sur le bouton ... Ouvre la boîte de dialogue de sélection de variables.

Remarque : si l'état de la recette est obtenu à partir d'une variable numérique, les considérations suivantes s'appliquent :

  • La valeur 0 est évaluée comme Tous
  • L'action est annulée si l'état ne peut pas être trouvé dans la recette

Paramètres du Runtime

Paramètres de fonctionnement dans le Runtime.

Avec dial. de filtre

Active : La boîte de dialogue est affichée dans le Runtime, afin d'autoriser les modifications.

Interdire la sélection de groupes de recettes dans le Runtime

Active : la sélection de groupes de recettes est bloquée dans le Runtime.

Disponible uniquement si l'option Afficher cette boîte de dialogue dans le Runtime est active.

OK

Applique les paramètres et ferme la boîte de dialogue.

Annuler

Abandonne les paramètres et ferme la boîte de dialogue. La fonction est créée, mais sans cible.

Aide

Ouvre l'aide en ligne.


Vérification valeur de recette

Manuel -> Recipe Group Manager -> Fonctions -> Fonction du module Recipe Group Manager -> Vérification valeur de recette

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Cette fonction exécute une vérification de la recette. La valeur de la recette et la valeur réelle sont alors comparées, et le résultat est transféré vers la variable système correspondante.

Les valeurs de recettes peuvent être vérifiées à l'aide de la fonction Recipe Group Manager ou de VBA.

Recipe Group Manager

Paramètres

Description

Action

Affiche l'action sélectionnée dans la boîte de dialogue de la fonction Recipe Group Manager. Cette boîte de dialogue sert uniquement à l'affichage d'informations ; aucune sélection n'est possible.

Sélection de groupes de recettes/
de recettes

Sélection du groupe de recettes et de la recette. La sélection peut être effectuée :

  • De manière statique, à partir d'entrées prédéfinies
  • De manière dynamique, à l'aide de variables

Cliquez sur Propriétés pour afficher une liste déroulante permettant de sélectionner une méthode.

Groupe de recettes

Paramètres de sélection du groupe de recettes. Cliquez sur le texte pour ouvrir une liste déroulante de sélection.

  • Groupe de recettes statiques
  • Nom de groupe de recettes par une variable

Groupe de recettes statiques :

Sélection d'un groupe de recettes déjà créé.

Nom de groupe de recettes à partir d'une variable :

Le nom du groupe de recettes est dérivé d'une variable. Cliquez sur le bouton ... Ouvre la boîte de dialogue de sélection de variables.

Si les valeurs de la variable ne sont pas valides, aucune recette n'est ouverte.

Recette

Paramètres de sélection de recettes. Cliquez sur le texte pour ouvrir une liste déroulante de sélection.

  • Recette statique
  • Nom de recette par nom de variable
  • Nom de recette par numéro de variable

Recette statique :

Sélection d'une recette déjà créée.

Nom de recette par nom de variable :

Le nom de la recette est dérivé d'une variable. Cliquez sur le bouton ... Ouvre la boîte de dialogue de sélection de variables.

Si les valeurs de la variable ne sont pas valides, aucune recette n'est ouverte.

Numéro de recette par numéro de variable :

Le numéro de la recette est dérivé d'une variable. Cliquez sur le bouton ... Ouvre la boîte de dialogue de sélection de variables.

Si plusieurs recettes comportant le même numéro existent, zenon utilise la première recette trouvée. Si les valeurs de la variable ne sont pas valides, aucune recette n'est ouverte.

Version de la recette

Sélection de la version de la recette parmi les versions existantes ou à l'aide d'une variable.

Version d'une recette statique :

Sélection d'une version d'une recette existante dans une liste déroulante. Sélection possible :

  • Version de recette préexistante
  • Version la plus basse ;
    Sélection d'un état de recette supplémentaire autorisée
  • Version la plus élevée ;
    Sélection d'un état de recette supplémentaire autorisée

Version de recette par variable :

La version de la recette est dérivée d'une variable. Cliquez sur le bouton ... Ouvre la boîte de dialogue de sélection de variables.

Remarque : si la version de la recette est obtenue à partir d'une variable numérique, les considérations suivantes s'appliquent :

  • La valeur 90000 correspond à la version la plus élevée en termes statistiques
  • La valeur 90001 correspond à la version la plus élevée statistique

État de la recette

Sélection de l'état de la recette parmi les états existants ou à l'aide d'une variable.

État de la recette :

L'état de la recette est évalué conjointement à la version. Disponible uniquement si la version de la recette possède la valeur plus petite version ou plus grande version, ou si elle est dérivée d'une variable.
version la plus élevée avec l'état Départ.

Sélection d'un état de recette dans la liste déroulante.

  • État existant
  • Tout

État de la recette par variable :

L'état de la recette est dérivé d'une variable. Cliquez sur le bouton ... Ouvre la boîte de dialogue de sélection de variables.

Remarque : si l'état de la recette est obtenu à partir d'une variable numérique, les considérations suivantes s'appliquent :

  • La valeur 0 est évaluée comme Tous
  • L'action est annulée si l'état ne peut pas être trouvé dans la recette

Paramètres du Runtime

Paramètres de fonctionnement dans le Runtime.

Avec dial. de filtre

Active : La boîte de dialogue est affichée dans le Runtime, afin d'autoriser les modifications.

Interdire la sélection de groupes de recettes dans le Runtime

Active : la sélection de groupes de recettes est bloquée dans le Runtime.

Disponible uniquement si l'option Afficher cette boîte de dialogue dans le Runtime est active.

OK

Applique les paramètres et ferme la boîte de dialogue.

Annuler

Abandonne les paramètres et ferme la boîte de dialogue. La fonction est créée, mais sans cible.

Aide

Ouvre l'aide en ligne.

attention Attention

La fonction utilise des points décimaux lors de la synchronisation avec l'automate. Si, pour les variables du type de données REAL, la propriété Nombre de décimales n'est pas configurée conformément aux paramètres de l'automate et les valeurs dans la zone du point décimal sont différentes, la fonction affiche différentes valeurs.

Synoptique

Les valeurs de la recette peuvent également être vérifiées à l'aide d'un élément de contrôle dans le synoptique RGM. Pour plus de détails, reportez-vous au chapitre Création d'un synoptique Recipe Group Manager.

VBA

Les valeurs de recettes peuvent être exécutées automatiquement via VBA : Pour cela, utilisez la fonction (Check()). Celle-ci reprend les paramètres suivants ou renvoie les variables suivantes :

Check(ByRef vList As Variant)as Long

  • Valeur renvoyée : correspond aux valeurs de la variable système Vérification des valeurs de recettes du module Recipe Group Manager - Résultat.
  • vList : correspond aux valeurs de la variable système Vérification des valeurs de recettes du module Recipe Group Manager - Écarts.
    Dans ce cas, une nouvelle entrée est utilisée pour chaque index de tableau (pas de retour à la ligne).

Variables système

La fonction exécute une vérification de la recette. La valeur de la recette et la valeur réelle sont alors comparées, et le résultat est transféré vers la variable système correspondante. La variable peut être sélectionnée et vérifiée localement ou globalement. Les variables qui ne peuvent pas être vérifiées en raison d'erreurs de communication avec l'automate (état INVALID) sont identifiées par un arrière-plan coloré (rouge).

Variable

Datentyp

Beschreibung

[Rezepte: Standard und RGM] RGM Rezeptwerte prüfen - Abweichungen (global/lokal)

STRING

Listet alle Variablenunterschiede in folgender Reihenfolge auf:

[Variablenname; Rezeptwert; Variablenwert; Einheit]

jeder Eintrag wird in eine neue Zeile geschrieben.

Voraussetzung: Die Variable RGM Rezeptwerte prüfen - Ergebnis liefert einen Wert = 1.

Achtung: Variable kann entweder global oder lokal angelegt und ausgewertet werden.

[Rezepte: Standard und RGM] RGM Rezeptwerte prüfen - Bedienberechtigung (global/lokal)

DINT

Ebene der Bedienberechtigung des zuletzt geprüften Rezepts.

[Rezepte: Standard und RGM] RGM Rezeptwerte prüfen - Bediener letzte Änderung (global/lokal)

STRING

Name des angemeldeten Benutzers der letzten Rezeptänderung des zuletzt geprüften Rezepts.

[Rezepte: Standard und RGM] RGM Rezeptwerte prüfen - Ergebnis (global/lokal)

DINT

Ergebnisse der Prüfung:

  • 0: Alle Werte stimmen überein.
  • 1: Mindestens ein Variablenwert unterscheidet sich vom Rezeptwert.
  • 2: Mindestens eine Variable ist gestört (INVALID).
  • 3: Überprüfung nicht möglich, da die Spalte für den aktuellen Wert nicht angezeigt wird. Systemtreibervariable wird zurückgesetzt.

Fehlermeldungen:

  • -1: Ein Fehler beim Lesen der Variablenwerte ist aufgetreten.
  • -2: Die Rezeptgruppe konnte nicht geöffnet werden.
  • -3: Das Rezept konnte nicht geöffnet werden.

Achtung: Variable kann entweder global oder lokal angelegt und ausgewertet werden.

[Rezepte: Standard und RGM] RGM Rezeptwerte prüfen - Kommentar 1 bis 8 (global/lokal)

STRING

Acht Kommentare können zu einem Rezept hinzugefügt werden. Die Variable enthält den Kommentar der jeweiligen Nummer zum zuletzt geprüften Rezept.

[Rezepte: Standard und RGM] RGM Rezeptwerte prüfen - Rezeptgruppenname (global/lokal)

STRING

Name der Rezeptgruppe des zuletzt überprüften Rezepts.

Voraussetzung: Die Variable RGM Rezeptwerte prüfen - Ergebnis liefert einen Wert >= -1.

Achtung: Variable kann entweder global oder lokal angelegt und ausgewertet werden.

[Rezepte: Standard und RGM] RGM Rezeptwerte prüfen - Rezeptname (global/lokal)

STRING

Name des zuletzt überprüften Rezepts.

Voraussetzung: Die Variable RGM Rezeptwerte prüfen - Ergebnis liefert einen Wert >= -1.

Achtung: Variable kann entweder global oder lokal angelegt und ausgewertet werden.

[Rezepte: Standard und RGM] RGM Rezeptwerte prüfen - Rezeptnummer (global/lokal)

UDINT

Nummer des zuletzt überprüften Rezepts.

Voraussetzung: Die Variable RGM Rezeptwerte prüfen - Ergebnis liefert einen Wert >= -1.

Achtung: Variable kann entweder global oder lokal angelegt und ausgewertet werden.

[Rezepte: Standard und RGM] RGM Rezeptwerte prüfen - Rezeptstatus (global/lokal)

DINT

Status des zuletzt geprüften Rezepts als Zahl.

[Rezepte: Standard und RGM] RGM Rezeptwerte prüfen - Rezeptstatus Text (global/lokal)

STRING

Status des zuletzt geprüften Rezepts als Text im Format: 1 - @Text

[Rezepte: Standard und RGM] RGM Rezeptwerte prüfen - Rezeptversion (global/lokal)

DINT

Version des zuletzt geprüften Rezepts.

[Rezepte: Standard und RGM] RGM Rezeptwerte prüfen - Zeit, letzte Änderung (global/lokal)

STRING

Zeitpunkt der letzten Rezeptänderung des zuletzt geprüften Rezepts.


Renommer recette

Manuel -> Recipe Group Manager -> Fonctions -> Fonction du module Recipe Group Manager -> Renommer recette

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Cette fonction renomme la recette sélectionnée, ainsi que toutes ses versions.

Paramètre

Description

Action

Affiche l'action sélectionnée dans la boîte de dialogue de la fonction Recipe Group Manager. Cette boîte de dialogue sert uniquement à l'affichage d'informations ; aucune sélection n'est possible.

Sélection de groupes de recettes/
de recettes

Sélection du groupe de recettes et de la recette. La sélection peut être effectuée :

  • De manière statique, à partir d'entrées prédéfinies
  • De manière dynamique, à l'aide de variables

Cliquez sur Propriétés pour afficher une liste déroulante permettant de sélectionner une méthode.

Groupe de recettes

Paramètres de sélection du groupe de recettes. Cliquez sur le texte pour ouvrir une liste déroulante de sélection.

  • Groupe de recettes statiques
  • Nom de groupe de recettes par une variable

Groupe de recettes statiques :

Sélection d'un groupe de recettes déjà créé.

Nom de groupe de recettes à partir d'une variable :

Le nom du groupe de recettes est dérivé d'une variable. Cliquez sur le bouton ... Ouvre la boîte de dialogue de sélection de variables.

Si les valeurs de la variable ne sont pas valides, aucune recette n'est ouverte.

Recette

Paramètres de sélection de recettes. Cliquez sur le texte pour ouvrir une liste déroulante de sélection.

  • Recette statique
  • Nom de recette par nom de variable
  • Nom de recette par numéro de variable

Recette statique :

Sélection d'une recette déjà créée.

Nom de recette par nom de variable :

Le nom de la recette est dérivé d'une variable. Cliquez sur le bouton ... Ouvre la boîte de dialogue de sélection de variables.

Si les valeurs de la variable ne sont pas valides, aucune recette n'est ouverte.

Numéro de recette par numéro de variable :

Le numéro de la recette est dérivé d'une variable. Cliquez sur le bouton ... Ouvre la boîte de dialogue de sélection de variables.

Si plusieurs recettes comportant le même numéro existent, zenon utilise la première recette trouvée. Si les valeurs de la variable ne sont pas valides, aucune recette n'est ouverte.

Recette cible

Sélectionnez la méthode suivant laquelle vous souhaitez renommer la recette cible :

  • Nom de recette cible statique
  • Créer une nouvelle recette cible
  • Nom de recette cible à partir d'une variable

Nom de la recette cible statique :

Sélection d'une recette existante dans une liste déroulante.

Créer un nom de nouvelle recette cible

Une nouvelle recette est créée avec un nom généré automatiquement.

Nom de recette cible à partir d'une variable :

Le nom de la recette cible est dérivé d'une variable. Cliquez sur le bouton ... Ouvre la boîte de dialogue de sélection de variables.

La recette n'est pas renommée si les valeurs des variables ne sont pas valides.

Paramètres du Runtime

Paramètres de fonctionnement dans le Runtime.

Avec dial. de filtre

Active : La boîte de dialogue est affichée dans le Runtime, afin d'autoriser les modifications.

Blocage de la sélection de groupes de recettes dans le Runtime

Active : la sélection de groupes de recettes est bloquée dans le Runtime.

Disponible uniquement si l'option Afficher cette boîte de dialogue dans le Runtime est active.

OK

Applique les paramètres et ferme la boîte de dialogue.

Annuler

Abandonne les paramètres et ferme la boîte de dialogue. La fonction est créée, mais sans cible.

Aide

Ouvre l'aide en ligne.


Modification de l'état des recettes

Manuel -> Recipe Group Manager -> Fonctions -> Fonction du module Recipe Group Manager -> Modification de l'état des recettes

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Cette fonction modifie l'état d'une recette.

Le programme tente de définir la valeur de l'état de la recette sélectionnée, puis la recette est enregistrée. Si la valeur d'état spécifiée n'est pas valide (0 ou une valeur d'état non configurée), la recette n'est pas modifiée et une entrée est insérée dans la liste CEL. La variable de la fonction Recipe Group Manager en cours de traitement affiche, dans ce cas, une erreur (4).

Paramètres

Description

Action

Affiche l'action sélectionnée dans la boîte de dialogue de la fonction Recipe Group Manager. Cette boîte de dialogue sert uniquement à l'affichage d'informations ; aucune sélection n'est possible.

Sélection de groupes de recettes/
de recettes

Sélection du groupe de recettes et de la recette. La sélection peut être effectuée :

  • De manière statique, à partir d'entrées prédéfinies
  • De manière dynamique, à l'aide de variables

Cliquez sur Propriétés pour afficher une liste déroulante permettant de sélectionner une méthode.

Groupe de recettes

Paramètres de sélection du groupe de recettes. Cliquez sur le texte pour ouvrir une liste déroulante de sélection.

  • Groupe de recettes statiques
  • Nom de groupe de recettes par une variable

Groupe de recettes statiques :

Sélection d'un groupe de recettes déjà créé.

Nom de groupe de recettes à partir d'une variable :

Le nom du groupe de recettes est dérivé d'une variable. Cliquez sur le bouton ... Ouvre la boîte de dialogue de sélection de variables.

Si les valeurs de la variable ne sont pas valides, aucune recette n'est ouverte.

Recette

Paramètres de sélection de recettes. Cliquez sur le texte pour ouvrir une liste déroulante de sélection.

  • Recette statique
  • Nom de recette par nom de variable
  • Nom de recette par numéro de variable

Recette statique :

Sélection d'une recette déjà créée.

Nom de recette par nom de variable :

Le nom de la recette est dérivé d'une variable. Cliquez sur le bouton ... Ouvre la boîte de dialogue de sélection de variables.

Si les valeurs de la variable ne sont pas valides, aucune recette n'est ouverte.

Numéro de recette par numéro de variable :

Le numéro de la recette est dérivé d'une variable. Cliquez sur le bouton ... Ouvre la boîte de dialogue de sélection de variables.

Si plusieurs recettes comportant le même numéro existent, zenon utilise la première recette trouvée. Si les valeurs de la variable ne sont pas valides, aucune recette n'est ouverte.

Version de la recette

Sélection de la version de la recette parmi les versions existantes ou à l'aide d'une variable.

Version d'une recette statique :

Sélection d'une version d'une recette existante dans une liste déroulante. Sélection possible :

  • Version de recette préexistante
  • Version la plus basse ;
    Sélection d'un état de recette supplémentaire autorisée
  • Version la plus élevée ;
    Sélection d'un état de recette supplémentaire autorisée

Version de recette par variable :

La version de la recette est dérivée d'une variable. Cliquez sur le bouton ... Ouvre la boîte de dialogue de sélection de variables.

Remarque : si la version de la recette est obtenue à partir d'une variable numérique, les considérations suivantes s'appliquent :

  • La valeur 90000 correspond à la version la plus élevée en termes statistiques
  • La valeur 90001 correspond à la version la plus élevée statistique

État de la recette

Sélection de l'état de la recette parmi les états existants ou à l'aide d'une variable.

État de la recette :

L'état de la recette est évalué conjointement à la version. Disponible uniquement si la version de la recette possède la valeur plus petite version ou plus grande version, ou si elle est dérivée d'une variable.
version la plus élevée avec l'état Départ.

Sélection d'un état de recette dans la liste déroulante.

  • État existant
  • Tout

État de la recette par variable :

L'état de la recette est dérivé d'une variable. Cliquez sur le bouton ... Ouvre la boîte de dialogue de sélection de variables.

Remarque : si l'état de la recette est obtenu à partir d'une variable numérique, les considérations suivantes s'appliquent :

  • La valeur 0 est évaluée comme Tous
  • L'action est annulée si l'état ne peut pas être trouvé dans la recette

Recette cible

Définition de l'état de la recette cible.

État de la recette cible

Sélection du nouvel état de la recette parmi les états existants ou à l'aide d'une variable.

Liste de recettes cible statiques :

Sélection d'un état existant dans une liste déroulante.

État de la recette cible à partir d'une variable :

l'état de la recette est dérivé d'une variable, sous forme de valeur numérique. Cliquez sur le bouton ... Ouvre la boîte de dialogue de sélection de variables.

L'action est annulée si l'état ne peut pas être trouvé dans la recette

Paramètres du Runtime

Paramètres de fonctionnement dans le Runtime.

Avec dial. de filtre

Active : La boîte de dialogue est affichée dans le Runtime, afin d'autoriser les modifications.

Interdire la sélection de groupes de recettes dans le Runtime

Active : la sélection de groupes de recettes est bloquée dans le Runtime.

Disponible uniquement si l'option Afficher cette boîte de dialogue dans le Runtime est active.

OK

Applique les paramètres et ferme la boîte de dialogue.

Annuler

Abandonne les paramètres et ferme la boîte de dialogue. La fonction est créée, mais sans cible.

Aide

Ouvre l'aide en ligne.


Créer une nouvelle recette

Manuel -> Recipe Group Manager -> Fonctions -> Fonction du module Recipe Group Manager -> Créer une nouvelle recette

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Cette fonction crée une nouvelle recette dans le groupe de recettes sélectionné.

Paramètres

Description

Action

Affiche l'action sélectionnée dans la boîte de dialogue de la fonction Recipe Group Manager. Cette boîte de dialogue sert uniquement à l'affichage d'informations ; aucune sélection n'est possible.

Sélection de groupes de recettes/
de recettes

Sélection du groupe de recettes et de la recette. La sélection peut être effectuée :

  • De manière statique, à partir d'entrées prédéfinies
  • De manière dynamique, à l'aide de variables

Cliquez sur Propriétés pour afficher une liste déroulante permettant de sélectionner une méthode.

Groupe de recettes

Paramètres de sélection du groupe de recettes. Cliquez sur le texte pour ouvrir une liste déroulante de sélection.

  • Groupe de recettes statiques
  • Nom de groupe de recettes par une variable

Groupe de recettes statiques :

Sélection d'un groupe de recettes déjà créé.

Nom de groupe de recettes à partir d'une variable :

Le nom du groupe de recettes est dérivé d'une variable. Cliquez sur le bouton ... Ouvre la boîte de dialogue de sélection de variables.

Si les valeurs de la variable ne sont pas valides, aucune recette n'est ouverte.

Recette

Paramètres de sélection de recettes. Cliquez sur le texte pour ouvrir une liste déroulante de sélection.

  • Recette statique
  • Nom de recette par nom de variable
  • Nom de recette par numéro de variable

Recette statique :

Sélection d'une recette déjà créée.

Nom de recette par nom de variable :

Le nom de la recette est dérivé d'une variable. Cliquez sur le bouton ... Ouvre la boîte de dialogue de sélection de variables.

Si les valeurs de la variable ne sont pas valides, aucune recette n'est ouverte.

Numéro de recette par numéro de variable :

Le numéro de la recette est dérivé d'une variable. Cliquez sur le bouton ... Ouvre la boîte de dialogue de sélection de variables.

Si plusieurs recettes comportant le même numéro existent, zenon utilise la première recette trouvée. Si les valeurs de la variable ne sont pas valides, aucune recette n'est ouverte.

Paramètres du Runtime

Paramètres de fonctionnement dans le Runtime.

Avec dial. de filtre

Active : La boîte de dialogue est affichée dans le Runtime, afin d'autoriser les modifications.

Interdire la sélection de groupes de recettes dans le Runtime

Active : la sélection de groupes de recettes est bloquée dans le Runtime.

Disponible uniquement si l'option Afficher cette boîte de dialogue dans le Runtime est active.

OK

Applique les paramètres et ferme la boîte de dialogue.

Annuler

Abandonne les paramètres et ferme la boîte de dialogue. La fonction est créée, mais sans cible.

Aide

Ouvre l'aide en ligne.


Supprimer recette

Manuel -> Recipe Group Manager -> Fonctions -> Fonction du module Recipe Group Manager -> Supprimer recette

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Cette fonction supprime la recette sélectionnée, ainsi que toutes ses versions.

Paramètres

Description

Action

Affiche l'action sélectionnée dans la boîte de dialogue de la fonction Recipe Group Manager. Cette boîte de dialogue sert uniquement à l'affichage d'informations ; aucune sélection n'est possible.

Sélection de groupes de recettes/
de recettes

Sélection du groupe de recettes et de la recette. La sélection peut être effectuée :

  • De manière statique, à partir d'entrées prédéfinies
  • De manière dynamique, à l'aide de variables

Cliquez sur Propriétés pour afficher une liste déroulante permettant de sélectionner une méthode.

Groupe de recettes

Paramètres de sélection du groupe de recettes. Cliquez sur le texte pour ouvrir une liste déroulante de sélection.

  • Groupe de recettes statiques
  • Nom de groupe de recettes par une variable

Groupe de recettes statiques :

Sélection d'un groupe de recettes déjà créé.

Nom de groupe de recettes à partir d'une variable :

Le nom du groupe de recettes est dérivé d'une variable. Cliquez sur le bouton ... Ouvre la boîte de dialogue de sélection de variables.

Si les valeurs de la variable ne sont pas valides, aucune recette n'est ouverte.

Recette

Paramètres de sélection de recettes. Cliquez sur le texte pour ouvrir une liste déroulante de sélection.

  • Recette statique
  • Nom de recette par nom de variable
  • Nom de recette par numéro de variable

Recette statique :

Sélection d'une recette déjà créée.

Nom de recette par nom de variable :

Le nom de la recette est dérivé d'une variable. Cliquez sur le bouton ... Ouvre la boîte de dialogue de sélection de variables.

Si les valeurs de la variable ne sont pas valides, aucune recette n'est ouverte.

Numéro de recette par numéro de variable :

Le numéro de la recette est dérivé d'une variable. Cliquez sur le bouton ... Ouvre la boîte de dialogue de sélection de variables.

Si plusieurs recettes comportant le même numéro existent, zenon utilise la première recette trouvée. Si les valeurs de la variable ne sont pas valides, aucune recette n'est ouverte.

Paramètres du Runtime

Paramètres de fonctionnement dans le Runtime.

Avec dial. de filtre

Active : La boîte de dialogue est affichée dans le Runtime, afin d'autoriser les modifications.

Interdire la sélection de groupes de recettes dans le Runtime

Active : la sélection de groupes de recettes est bloquée dans le Runtime.

Disponible uniquement si l'option Afficher cette boîte de dialogue dans le Runtime est active.

OK

Applique les paramètres et ferme la boîte de dialogue.

Annuler

Abandonne les paramètres et ferme la boîte de dialogue. La fonction est créée, mais sans cible.

Aide

Ouvre l'aide en ligne.


Dupliquer

Manuel -> Recipe Group Manager -> Fonctions -> Fonction du module Recipe Group Manager -> Dupliquer

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Cette fonction supprime la recette sélectionnée. Les valeurs des variables correspondantes sont écrites dans la nouvelle recette.

Remarque : La duplication peut limiter l'exécution du Runtime aux seuls cas de figure où l'utilisateur connecté possède les droits requis pour modifier la recette. Si l'utilisateur ne dispose pas des droits requis, la boîte de dialogue de connexion temporaire est appelée.

Paramètres

Description

Action

Affiche l'action sélectionnée dans la boîte de dialogue de la fonction Recipe Group Manager. Cette boîte de dialogue sert uniquement à l'affichage d'informations ; aucune sélection n'est possible.

Sélection de groupes de recettes/
de recettes

Sélection du groupe de recettes et de la recette. La sélection peut être effectuée :

  • De manière statique, à partir d'entrées prédéfinies
  • De manière dynamique, à l'aide de variables

Cliquez sur Propriétés pour afficher une liste déroulante permettant de sélectionner une méthode.

Groupe de recettes

Paramètres de sélection du groupe de recettes. Cliquez sur le texte pour ouvrir une liste déroulante de sélection.

  • Groupe de recettes statiques
  • Nom de groupe de recettes par une variable

Groupe de recettes statiques

Sélection d'un groupe de recettes existant.

Nom de groupe de recettes par une variable

Le nom du groupe de recettes est dérivé d'une variable. Cliquez sur le bouton ... Ouvre la boîte de dialogue de sélection de variables.

Si les valeurs de la variable ne sont pas valides, aucune recette n'est ouverte.

Attention : Cet élément ne doit pas être configuré pour les versions antérieures à zenon 7.00.

Recette

Paramètres de sélection de recettes. Cliquez sur le texte pour ouvrir une liste déroulante de sélection.

  • Recette statique
  • Nom de recette par nom de variable
  • Nom de recette par numéro de variable

Recette statique

Sélection d'une recette existante.

Nom de recette par variable

Le nom de la recette est dérivé d'une variable. Cliquez sur le bouton ... Ouvre la boîte de dialogue de sélection de variables.

Si les valeurs de la variable ne sont pas valides, aucune recette n'est ouverte.

Attention : Cet élément ne doit pas être configuré pour les versions antérieures à zenon 7.00.

Numéro de recette par une variable

Le numéro de la recette est dérivé d'une variable. Cliquez sur le bouton ... Ouvre la boîte de dialogue de sélection de variables.

Si plusieurs recettes comportant le même numéro existent, zenon utilise la première recette trouvée. Si les valeurs de la variable ne sont pas valides, aucune recette n'est ouverte.

Version de la recette

Sélection de la version de la recette parmi les versions existantes ou à l'aide d'une variable.

Version de recette statique

Sélection d'une version d'une recette existante dans une liste déroulante. Sélection possible :

  • Version de recette préexistante
  • Version la plus basse ;
    Sélection d'un état de recette supplémentaire autorisée
  • Version la plus élevée ;
    Sélection d'un état de recette supplémentaire autorisée

Version de recette issue d'une variable

La version de la recette est dérivée d'une variable. Cliquez sur le bouton ... Ouvre la boîte de dialogue de sélection de variables.

Remarque : si la version de la recette est obtenue à partir d'une variable numérique, les considérations suivantes s'appliquent :

  • La valeur 90000 correspond à la version la plus élevée en termes statistiques
  • La valeur 90001 correspond à la version la plus élevée statistique

État de la recette

Sélection de l'état de la recette parmi les états existants ou à l'aide d'une variable.

État de recette statique

L'état de la recette est évalué conjointement à la version. Disponible uniquement si la version de la recette possède la valeur plus petite version ou plus grande version, ou si elle est dérivée d'une variable.
version la plus élevée avec l'état Départ.

Sélection d'un état de recette dans la liste déroulante.

  • État existant
  • Tout

État de recette par une variable

L'état de la recette est dérivé d'une variable. Cliquez sur le bouton ... Ouvre la boîte de dialogue de sélection de variables.

Remarque : si l'état de la recette est obtenu à partir d'une variable numérique, les considérations suivantes s'appliquent :

  • La valeur 0 est évaluée comme Tous
  • L'action est annulée si l'état ne peut pas être trouvé dans la recette

Recette cible

Définition de l'état de la recette cible.

Création de la recette cible

Paramètres de définition du nom de la recette. Cliquez sur le texte pour ouvrir une liste déroulante de sélection.

  • Nom de recette cible statique
  • Créer une nouvelle recette cible
  • Nom de recette cible à partir d'une variable

Nom de recette cible statique

Sélection d'un nom existant dans une liste déroulante.

Créer une nouvelle recette cible

Le nom est créé et attribué par le système.

Nom de recette cible à partir d'une variable

Le nom de la recette est dérivé d'une variable. Cliquez sur le bouton ... Ouvre la boîte de dialogue de sélection de variables.

Version de la recette cible

Sélection de la version de la recette parmi les versions existantes ou à l'aide d'une variable.

Version de recette cible statique

Sélection d'une version d'une recette existante dans une liste déroulante. Sélection possible :

  • Version de recette préexistante
  • Version la plus basse ;
    Sélection d'un état de recette supplémentaire autorisée
  • Version la plus élevée ;
    Sélection d'un état de recette supplémentaire autorisée

Version de recette cible par une variable

La version de la recette est dérivée d'une variable. Cliquez sur le bouton ... Ouvre la boîte de dialogue de sélection de variables.

Remarque : si la version de la recette est obtenue à partir d'une variable numérique, les considérations suivantes s'appliquent :

  • La valeur 90000 correspond à la version la plus élevée en termes statistiques
  • La valeur 90001 correspond à la version la plus élevée statistique

État de la recette cible

Sélection du nouvel état de la recette parmi les états existants ou à l'aide d'une variable.

Liste de recettes cible statiques :

Sélection d'un état existant dans une liste déroulante.

État de recette cible par une variable

L'état de la recette est dérivé d'une variable. Cliquez sur le bouton ... Ouvre la boîte de dialogue de sélection de variables.

L'action est annulée si l'état ne peut pas être trouvé dans la recette

Paramètres du Runtime

Paramètres de fonctionnement dans le Runtime.

Avec dial. de filtre

Active : La boîte de dialogue est affichée dans le Runtime, afin d'autoriser les modifications.

Blocage de la sélection de groupes de recettes dans le Runtime

Active : la sélection de groupes de recettes est bloquée dans le Runtime.

Disponible uniquement si l'option Afficher cette boîte de dialogue dans le Runtime est active.

OK

Applique les paramètres et ferme la boîte de dialogue.

Annuler

Discards all changes and closes the dialog.

Aide

Ouvre l'aide en ligne.

Procédure de duplication

Lors de la duplication, une recette source existante et ses propriétés sont :

  • Transférées vers une recette existante ; celle-ci est alors remplacée par tous les paramètres de la recette source
    ou
  • Une nouvelle recette comportant tous les paramètres de la recette source est créée dans le même groupe de recettes

L'état de la recette est toujours repris de la recette source (et de sa version de la recette).

La version de la recette n'est pas transférée, car il ne s'agit pas d'une propriété de la recette, mais le nom est spécifié.

Les considérations suivantes s'appliquent lors de la déclaration de la version et de l'état de la recette :

  • La version de recette spécifiée doit exister pour le nom de recette spécifié ou pour les noms de recette spécifiés avec l'état de recette spécifié
  • Si aucune recette n'existe avec le nom spécifié, une nouvelle version 1 est créée avec le nom spécifié et l'état est défini conformément à la recette source.

Spécification à l'aide de variables

Durant la configuration, si la version ou l'état de la recette cible sont spécifiés à l'aide de variables, la recette cible est uniquement créée ou remplacée conformément dans les conditions suivantes :

  • La version cible définie par la valeur de la variable avec l'état défini par la valeur de la variable existe déjà :
    • La recette cible définie est remplacée par la recette source.
    • Le numéro de version de la recette reste inchangé.
    • L'état de la recette est repris de la recette source.
  • Il n'existe pas encore de version de la recette avec ce nom :
    • Une version 1 de la recette est créée, indépendamment de la valeur de la variable pour la version cible.
    • L'état de la recette est repris de la recette source.
  • Il existe une recette avec le nom cible, mais aucune version de la recette ne correspond à la valeur de la variable pour la version cible :
    • Aucune nouvelle version n'est créée.
      Ceci s'applique également si aucune version 1 de la recette n'existe.


Dupliquer et lire

Manuel -> Recipe Group Manager -> Fonctions -> Fonction du module Recipe Group Manager -> Dupliquer et lire

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Cette fonction supprime la recette sélectionnée. Les valeurs des variables correspondantes sont écrites dans la nouvelle recette. Les valeurs sont lues depuis l'automate. Si les valeurs ne peuvent pas être lues, les valeurs de la copie ne proviennent plus de l'automate, mais sont uniquement copiées depuis la recette d'origine.

Remarque : La duplication peut limiter l'exécution du Runtime aux seuls cas de figure où l'utilisateur connecté possède les droits requis pour modifier la recette. Si l'utilisateur ne dispose pas des droits requis, la boîte de dialogue de connexion temporaire est appelée.

Paramètres

Description

Action

Affiche l'action sélectionnée dans la boîte de dialogue de la fonction Recipe Group Manager. Cette boîte de dialogue sert uniquement à l'affichage d'informations ; aucune sélection n'est possible.

Sélection de groupes de recettes/
de recettes

Sélection du groupe de recettes et de la recette. La sélection peut être effectuée :

  • De manière statique, à partir d'entrées prédéfinies
  • De manière dynamique, à l'aide de variables

Cliquez sur Propriétés pour afficher une liste déroulante permettant de sélectionner une méthode.

Groupe de recettes

Paramètres de sélection du groupe de recettes. Cliquez sur le texte pour ouvrir une liste déroulante de sélection.

  • Groupe de recettes statiques
  • Nom de groupe de recettes par une variable

Groupe de recettes statiques

Sélection d'un groupe de recettes déjà créé.

Nom de groupe de recettes par une variable

Le nom du groupe de recettes est dérivé d'une variable. Cliquez sur le bouton ... Ouvre la boîte de dialogue de sélection de variables.

Si les valeurs de la variable ne sont pas valides, aucune recette n'est ouverte.

Attention : Cet élément ne doit pas être configuré pour les versions antérieures à zenon 7.00.

Recette

Paramètres de sélection de recettes. Cliquez sur le texte pour ouvrir une liste déroulante de sélection.

  • Recette statique
  • Nom de recette par nom de variable
  • Nom de recette par numéro de variable

Recette statique

Sélection d'une recette déjà créée.

Nom de recette par variable

Le nom de la recette est dérivé d'une variable. Cliquez sur le bouton ... Ouvre la boîte de dialogue de sélection de variables.

Si les valeurs de la variable ne sont pas valides, aucune recette n'est ouverte.

Attention : Cet élément ne doit pas être configuré pour les versions antérieures à zenon 7.00.

Numéro de recette par une variable

Le numéro de la recette est dérivé d'une variable. Cliquez sur le bouton ... Ouvre la boîte de dialogue de sélection de variables.

Si plusieurs recettes comportant le même numéro existent, zenon utilise la première recette trouvée. Si les valeurs de la variable ne sont pas valides, aucune recette n'est ouverte.

Version de la recette

Sélection de la version de la recette parmi les versions existantes ou à l'aide d'une variable.

Version de recette statique

Sélection d'une version d'une recette existante dans une liste déroulante. Sélection possible :

  • Version préexistante
  • Version la plus basse ;
    Sélection d'un état de recette supplémentaire autorisée
  • Version la plus élevée ;
    Sélection d'un état de recette supplémentaire autorisée

Version de recette issue d'une variable

La version de la recette est dérivée d'une variable. Cliquez sur le bouton ... Ouvre la boîte de dialogue de sélection de variables.

Remarque : si la version de la recette est obtenue à partir d'une variable numérique, les considérations suivantes s'appliquent :

  • La valeur 90000 correspond à la version la plus élevée en termes statistiques
  • La valeur 90001 correspond à la version la plus élevée statistique

État de la recette

Sélection de l'état de la recette parmi les états existants ou à l'aide d'une variable.

État de recette statique

L'état de la recette est évalué conjointement à la version. Disponible uniquement si la version de la recette possède la valeur plus petite version ou plus grande version, ou si elle est dérivée d'une variable.
version la plus élevée avec l'état Départ.

Sélection d'un état de recette dans la liste déroulante.

  • État existant
  • Tout

État de recette par une variable

L'état de la recette est dérivé d'une variable. Cliquez sur le bouton ... Ouvre la boîte de dialogue de sélection de variables.

Remarque : si l'état de la recette est obtenu à partir d'une variable numérique, les considérations suivantes s'appliquent :

  • La valeur 0 est évaluée comme Tous
  • L'action est annulée si l'état ne peut pas être trouvé dans la recette

Recette cible

Définition de l'état de la recette cible.

Création de la recette cible

Paramètres de définition du nom de la recette. Cliquez sur le texte pour ouvrir une liste déroulante de sélection.

  • Nom de recette cible statique
  • Créer une nouvelle recette cible
  • Nom de recette cible à partir d'une variable

Nom de recette cible statique

Sélection d'un nom existant dans une liste déroulante.

Créer une nouvelle recette cible

Le nom est créé et attribué par le système.

Nom de recette cible à partir d'une variable

Le nom de la recette est dérivé d'une variable. Cliquez sur le bouton ... Ouvre la boîte de dialogue de sélection de variables.

Version de la recette cible

Sélection de la version de la recette parmi les versions existantes ou à l'aide d'une variable.

Version d'une recette cible statique :

Sélection d'une version d'une recette existante dans une liste déroulante. Sélection possible :

  • Version de recette préexistante
  • Version la plus basse ;
    Sélection d'un état de recette supplémentaire autorisée
  • Version la plus élevée ;
    Sélection d'un état de recette supplémentaire autorisée

Version de recette cible par une variable

La version de la recette est dérivée d'une variable. Cliquez sur le bouton ... Ouvre la boîte de dialogue de sélection de variables.

Remarque : si la version de la recette est obtenue à partir d'une variable numérique, les considérations suivantes s'appliquent :

  • La valeur 90000 correspond à la version la plus élevée en termes statistiques
  • La valeur 90001 correspond à la version la plus élevée statistique

État de la recette cible

Sélection du nouvel état de la recette parmi les états existants ou à l'aide d'une variable.

État de recette cible statique

Sélection d'un état existant dans une liste déroulante.

État de recette cible par une variable

L'état de la recette est dérivé d'une variable. Cliquez sur le bouton ... Ouvre la boîte de dialogue de sélection de variables.

L'action est annulée si l'état ne peut pas être trouvé dans la recette

Paramètres du Runtime

Paramètres de fonctionnement dans le Runtime.

Avec dial. de filtre

Active : La boîte de dialogue est affichée dans le Runtime, afin d'autoriser les modifications.

Blocage de la sélection de groupes de recettes dans le Runtime

Active : la sélection de groupes de recettes est bloquée dans le Runtime.

Disponible uniquement si l'option Afficher cette boîte de dialogue dans le Runtime est active.

OK

Applique les paramètres et ferme la boîte de dialogue.

Annuler

Discards all changes and closes the dialog.

Aide

Ouvre l'aide en ligne.

Procédure de duplication

Lors de la duplication, une recette source existante et ses propriétés sont :

  • Transférées vers une recette existante ; celle-ci est alors remplacée par tous les paramètres de la recette source
    ou
  • Une nouvelle recette comportant tous les paramètres de la recette source est créée dans le même groupe de recettes

L'état de la recette est toujours repris de la recette source (et de sa version de la recette).

La version de la recette n'est pas transférée, car il ne s'agit pas d'une propriété de la recette, mais le nom est spécifié.

Les considérations suivantes s'appliquent lors de la déclaration de la version et de l'état de la recette :

  • La version de recette spécifiée doit exister pour le nom de recette spécifié ou pour les noms de recette spécifiés avec l'état de recette spécifié
  • Si aucune recette n'existe avec le nom spécifié, une nouvelle version 1 est créée avec le nom spécifié et l'état est défini conformément à la recette source.

Spécification à l'aide de variables

Durant la configuration, si la version ou l'état de la recette cible sont spécifiés à l'aide de variables, la recette cible est uniquement créée ou remplacée conformément dans les conditions suivantes :

  • La version cible définie par la valeur de la variable avec l'état défini par la valeur de la variable existe déjà :
    • La recette cible définie est remplacée par la recette source.
    • Le numéro de version de la recette reste inchangé.
    • L'état de la recette est repris de la recette source.
  • Il n'existe pas encore de version de la recette avec ce nom :
    • Une version 1 de la recette est créée, indépendamment de la valeur de la variable pour la version cible.
    • L'état de la recette est repris de la recette source.
  • Il existe une recette avec le nom cible, mais aucune version de la recette ne correspond à la valeur de la variable pour la version cible :
  • Aucune nouvelle version n'est créée.
    Ceci s'applique également si aucune version 1 de la recette n'existe.


Créer une nouvelle version d'une recette

Manuel -> Recipe Group Manager -> Fonctions -> Fonction du module Recipe Group Manager -> Créer une nouvelle version d'une recette

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Cette fonction crée une nouvelle version de recette pour la recette sélectionnée. Les valeurs de la recette sont renseignées avec les valeurs de remplacement des variables sélectionnées. Au maximum, 89 999 versions d'une recette peuvent être créées.

Paramètres

Description

Action

Affiche l'action sélectionnée dans la boîte de dialogue de la fonction Recipe Group Manager. Cette boîte de dialogue sert uniquement à l'affichage d'informations ; aucune sélection n'est possible.

Sélection de groupes de recettes/
de recettes

Sélection du groupe de recettes et de la recette. La sélection peut être effectuée :

  • De manière statique, à partir d'entrées prédéfinies
  • De manière dynamique, à l'aide de variables

Cliquez sur Propriétés pour afficher une liste déroulante permettant de sélectionner une méthode.

Groupe de recettes

Paramètres de sélection du groupe de recettes. Cliquez sur le texte pour ouvrir une liste déroulante de sélection.

  • Groupe de recettes statiques
  • Nom de groupe de recettes par une variable

Groupe de recettes statiques :

Sélection d'un groupe de recettes déjà créé.

Nom de groupe de recettes à partir d'une variable :

Le nom du groupe de recettes est dérivé d'une variable. Cliquez sur le bouton ... Ouvre la boîte de dialogue de sélection de variables.

Si les valeurs de la variable ne sont pas valides, aucune recette n'est ouverte.

Recette

Paramètres de sélection de recettes. Cliquez sur le texte pour ouvrir une liste déroulante de sélection.

  • Recette statique
  • Nom de recette par nom de variable
  • Nom de recette par numéro de variable

Recette statique :

Sélection d'une recette déjà créée.

Nom de recette par nom de variable :

Le nom de la recette est dérivé d'une variable. Cliquez sur le bouton ... Ouvre la boîte de dialogue de sélection de variables.

Si les valeurs de la variable ne sont pas valides, aucune recette n'est ouverte.

Numéro de recette par numéro de variable :

Le numéro de la recette est dérivé d'une variable. Cliquez sur le bouton ... Ouvre la boîte de dialogue de sélection de variables.

Si plusieurs recettes comportant le même numéro existent, zenon utilise la première recette trouvée. Si les valeurs de la variable ne sont pas valides, aucune recette n'est ouverte.

Paramètres du Runtime

Paramètres de fonctionnement dans le Runtime.

Avec dial. de filtre

Active : La boîte de dialogue est affichée dans le Runtime, afin d'autoriser les modifications.

Interdire la sélection de groupes de recettes dans le Runtime

Active : la sélection de groupes de recettes est bloquée dans le Runtime.

Disponible uniquement si l'option Afficher cette boîte de dialogue dans le Runtime est active.

OK

Applique les paramètres et ferme la boîte de dialogue.

Annuler

Abandonne les paramètres et ferme la boîte de dialogue. La fonction est créée, mais sans cible.

Aide

Ouvre l'aide en ligne.


Supprimer la version de la recette

Manuel -> Recipe Group Manager -> Fonctions -> Fonction du module Recipe Group Manager -> Supprimer la version de la recette

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Cette fonction supprime la version sélectionnée de la recette. La recette entière est sélectionnée s'il n'existe qu'une seule version de la recette.

Paramètres

Description

Action

Affiche l'action sélectionnée dans la boîte de dialogue de la fonction Recipe Group Manager. Cette boîte de dialogue sert uniquement à l'affichage d'informations ; aucune sélection n'est possible.

Sélection de groupes de recettes/
de recettes

Sélection du groupe de recettes et de la recette. La sélection peut être effectuée :

  • De manière statique, à partir d'entrées prédéfinies
  • De manière dynamique, à l'aide de variables

Cliquez sur Propriétés pour afficher une liste déroulante permettant de sélectionner une méthode.

Groupe de recettes

Paramètres de sélection du groupe de recettes. Cliquez sur le texte pour ouvrir une liste déroulante de sélection.

  • Groupe de recettes statiques
  • Nom de groupe de recettes par une variable

Groupe de recettes statiques :

Sélection d'un groupe de recettes déjà créé.

Nom de groupe de recettes à partir d'une variable :

Le nom du groupe de recettes est dérivé d'une variable. Cliquez sur le bouton ... Ouvre la boîte de dialogue de sélection de variables.

Si les valeurs de la variable ne sont pas valides, aucune recette n'est ouverte.

Recette

Paramètres de sélection de recettes. Cliquez sur le texte pour ouvrir une liste déroulante de sélection.

  • Recette statique
  • Nom de recette par nom de variable
  • Nom de recette par numéro de variable

Recette statique :

Sélection d'une recette déjà créée.

Nom de recette par nom de variable :

Le nom de la recette est dérivé d'une variable. Cliquez sur le bouton ... Ouvre la boîte de dialogue de sélection de variables.

Si les valeurs de la variable ne sont pas valides, aucune recette n'est ouverte.

Numéro de recette par numéro de variable :

Le numéro de la recette est dérivé d'une variable. Cliquez sur le bouton ... Ouvre la boîte de dialogue de sélection de variables.

Si plusieurs recettes comportant le même numéro existent, zenon utilise la première recette trouvée. Si les valeurs de la variable ne sont pas valides, aucune recette n'est ouverte.

Version de la recette

Sélection de la version de la recette parmi les versions existantes ou à l'aide d'une variable.

Version d'une recette statique :

Sélection d'une version d'une recette existante dans une liste déroulante. Sélection possible :

  • Version de recette préexistante
  • Version la plus basse ;
    Sélection d'un état de recette supplémentaire autorisée
  • Version la plus élevée ;
    Sélection d'un état de recette supplémentaire autorisée

Version de recette par variable :

La version de la recette est dérivée d'une variable. Cliquez sur le bouton ... Ouvre la boîte de dialogue de sélection de variables.

Remarque : si la version de la recette est obtenue à partir d'une variable numérique, les considérations suivantes s'appliquent :

  • La valeur 90000 correspond à la version la plus élevée en termes statistiques
  • La valeur 90001 correspond à la version la plus élevée statistique

État de la recette

Sélection de l'état de la recette parmi les états existants ou à l'aide d'une variable.

État de la recette :

L'état de la recette est évalué conjointement à la version. Disponible uniquement si la version de la recette possède la valeur plus petite version ou plus grande version, ou si elle est dérivée d'une variable.
version la plus élevée avec l'état Départ.

Sélection d'un état de recette dans la liste déroulante.

  • État existant
  • Tout

État de la recette par variable :

L'état de la recette est dérivé d'une variable. Cliquez sur le bouton ... Ouvre la boîte de dialogue de sélection de variables.

Remarque : si l'état de la recette est obtenu à partir d'une variable numérique, les considérations suivantes s'appliquent :

  • La valeur 0 est évaluée comme Tous
  • L'action est annulée si l'état ne peut pas être trouvé dans la recette

Paramètres du Runtime

Paramètres de fonctionnement dans le Runtime.

Avec dial. de filtre

Active : La boîte de dialogue est affichée dans le Runtime, afin d'autoriser les modifications.

Interdire la sélection de groupes de recettes dans le Runtime

Active : la sélection de groupes de recettes est bloquée dans le Runtime.

Disponible uniquement si l'option Afficher cette boîte de dialogue dans le Runtime est active.

OK

Applique les paramètres et ferme la boîte de dialogue.

Annuler

Abandonne les paramètres et ferme la boîte de dialogue. La fonction est créée, mais sans cible.

Aide

Ouvre l'aide en ligne.


Créer une copie comme nouvelle version de la recette

Manuel -> Recipe Group Manager -> Fonctions -> Fonction du module Recipe Group Manager -> Créer une copie comme nouvelle version de la recette

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Cette fonction crée une nouvelle version de recette pour la recette sélectionnée. Les valeurs de la recette sont renseignées avec les valeurs de la recette sélectionnée.

Paramètres

Description

Action

Affiche l'action sélectionnée dans la boîte de dialogue de la fonction Recipe Group Manager. Cette boîte de dialogue sert uniquement à l'affichage d'informations ; aucune sélection n'est possible.

Sélection de groupes de recettes/
de recettes

Sélection du groupe de recettes et de la recette. La sélection peut être effectuée :

  • De manière statique, à partir d'entrées prédéfinies
  • De manière dynamique, à l'aide de variables

Cliquez sur Propriétés pour afficher une liste déroulante permettant de sélectionner une méthode.

Groupe de recettes

Paramètres de sélection du groupe de recettes. Cliquez sur le texte pour ouvrir une liste déroulante de sélection.

  • Groupe de recettes statiques
  • Nom de groupe de recettes par une variable

Groupe de recettes statiques :

Sélection d'un groupe de recettes déjà créé.

Nom de groupe de recettes à partir d'une variable :

Le nom du groupe de recettes est dérivé d'une variable. Cliquez sur le bouton ... Ouvre la boîte de dialogue de sélection de variables.

Si les valeurs de la variable ne sont pas valides, aucune recette n'est ouverte.

Recette

Paramètres de sélection de recettes. Cliquez sur le texte pour ouvrir une liste déroulante de sélection.

  • Recette statique
  • Nom de recette par nom de variable
  • Nom de recette par numéro de variable

Recette statique :

Sélection d'une recette déjà créée.

Nom de recette par nom de variable :

Le nom de la recette est dérivé d'une variable. Cliquez sur le bouton ... Ouvre la boîte de dialogue de sélection de variables.

Si les valeurs de la variable ne sont pas valides, aucune recette n'est ouverte.

Numéro de recette par numéro de variable :

Le numéro de la recette est dérivé d'une variable. Cliquez sur le bouton ... Ouvre la boîte de dialogue de sélection de variables.

Si plusieurs recettes comportant le même numéro existent, zenon utilise la première recette trouvée. Si les valeurs de la variable ne sont pas valides, aucune recette n'est ouverte.

Version de la recette

Sélection de la version de la recette parmi les versions existantes ou à l'aide d'une variable.

Version d'une recette statique :

Sélection d'une version d'une recette existante dans une liste déroulante. Sélection possible :

  • Version de recette préexistante
  • Version la plus basse ;
    Sélection d'un état de recette supplémentaire autorisée
  • Version la plus élevée ;
    Sélection d'un état de recette supplémentaire autorisée

Version de recette par variable :

La version de la recette est dérivée d'une variable. Cliquez sur le bouton ... Ouvre la boîte de dialogue de sélection de variables.

Remarque : si la version de la recette est obtenue à partir d'une variable numérique, les considérations suivantes s'appliquent :

  • La valeur 90000 correspond à la version la plus élevée en termes statistiques
  • La valeur 90001 correspond à la version la plus élevée statistique

État de la recette

Sélection de l'état de la recette parmi les états existants ou à l'aide d'une variable.

État de la recette :

L'état de la recette est évalué conjointement à la version. Disponible uniquement si la version de la recette possède la valeur plus petite version ou plus grande version, ou si elle est dérivée d'une variable.
version la plus élevée avec l'état Départ.

Sélection d'un état de recette dans la liste déroulante.

  • État existant
  • Tout

État de la recette par variable :

L'état de la recette est dérivé d'une variable. Cliquez sur le bouton ... Ouvre la boîte de dialogue de sélection de variables.

Remarque : si l'état de la recette est obtenu à partir d'une variable numérique, les considérations suivantes s'appliquent :

  • La valeur 0 est évaluée comme Tous
  • L'action est annulée si l'état ne peut pas être trouvé dans la recette

Paramètres du Runtime

Paramètres de fonctionnement dans le Runtime.

Avec dial. de filtre

Active : La boîte de dialogue est affichée dans le Runtime, afin d'autoriser les modifications.

Interdire la sélection de groupes de recettes dans le Runtime

Active : la sélection de groupes de recettes est bloquée dans le Runtime.

Disponible uniquement si l'option Afficher cette boîte de dialogue dans le Runtime est active.

OK

Applique les paramètres et ferme la boîte de dialogue.

Annuler

Abandonne les paramètres et ferme la boîte de dialogue. La fonction est créée, mais sans cible.

Aide

Ouvre l'aide en ligne.


Créer une copie et lire en tant nouvelle de la recette

Manuel -> Recipe Group Manager -> Fonctions -> Fonction du module Recipe Group Manager -> Créer une copie et lire en tant nouvelle de la recette

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Cette fonction crée une nouvelle version de recette pour la recette sélectionnée. Les valeurs de la recette sont renseignées avec les valeurs de la recette sélectionnée. Les valeurs sont lues depuis l'automate. Si les valeurs ne peuvent pas être lues, les valeurs de la copie ne proviennent plus de l'automate, mais sont uniquement copiées depuis la recette d'origine.

Paramètres

Description

Action

Affiche l'action sélectionnée dans la boîte de dialogue de la fonction Recipe Group Manager. Cette boîte de dialogue sert uniquement à l'affichage d'informations ; aucune sélection n'est possible.

Sélection de groupes de recettes/
de recettes

Sélection du groupe de recettes et de la recette. La sélection peut être effectuée :

  • De manière statique, à partir d'entrées prédéfinies
  • De manière dynamique, à l'aide de variables

Cliquez sur Propriétés pour afficher une liste déroulante permettant de sélectionner une méthode.

Groupe de recettes

Paramètres de sélection du groupe de recettes. Cliquez sur le texte pour ouvrir une liste déroulante de sélection.

  • Groupe de recettes statiques
  • Nom de groupe de recettes par une variable

Groupe de recettes statiques :

Sélection d'un groupe de recettes déjà créé.

Nom de groupe de recettes à partir d'une variable :

Le nom du groupe de recettes est dérivé d'une variable. Cliquez sur le bouton ... Ouvre la boîte de dialogue de sélection de variables.

Si les valeurs de la variable ne sont pas valides, aucune recette n'est ouverte.

Recette

Paramètres de sélection de recettes. Cliquez sur le texte pour ouvrir une liste déroulante de sélection.

  • Recette statique
  • Nom de recette par nom de variable
  • Nom de recette par numéro de variable

Recette statique :

Sélection d'une recette déjà créée.

Nom de recette par nom de variable :

Le nom de la recette est dérivé d'une variable. Cliquez sur le bouton ... Ouvre la boîte de dialogue de sélection de variables.

Si les valeurs de la variable ne sont pas valides, aucune recette n'est ouverte.

Numéro de recette par numéro de variable :

Le numéro de la recette est dérivé d'une variable. Cliquez sur le bouton ... Ouvre la boîte de dialogue de sélection de variables.

Si plusieurs recettes comportant le même numéro existent, zenon utilise la première recette trouvée. Si les valeurs de la variable ne sont pas valides, aucune recette n'est ouverte.

Version de la recette

Sélection de la version de la recette parmi les versions existantes ou à l'aide d'une variable.

Version d'une recette statique :

Sélection d'une version d'une recette existante dans une liste déroulante. Sélection possible :

  • Version de recette préexistante
  • Version la plus basse ;
    Sélection d'un état de recette supplémentaire autorisée
  • Version la plus élevée ;
    Sélection d'un état de recette supplémentaire autorisée

Version de recette par variable :

La version de la recette est dérivée d'une variable. Cliquez sur le bouton ... Ouvre la boîte de dialogue de sélection de variables.

Remarque : si la version de la recette est obtenue à partir d'une variable numérique, les considérations suivantes s'appliquent :

  • La valeur 90000 correspond à la version la plus élevée en termes statistiques
  • La valeur 90001 correspond à la version la plus élevée statistique

État de la recette

Sélection de l'état de la recette parmi les états existants ou à l'aide d'une variable.

État de la recette :

L'état de la recette est évalué conjointement à la version. Disponible uniquement si la version de la recette possède la valeur plus petite version ou plus grande version, ou si elle est dérivée d'une variable.
version la plus élevée avec l'état Départ.

Sélection d'un état de recette dans la liste déroulante.

  • État existant
  • Tout

État de la recette par variable :

L'état de la recette est dérivé d'une variable. Cliquez sur le bouton ... Ouvre la boîte de dialogue de sélection de variables.

Remarque : si l'état de la recette est obtenu à partir d'une variable numérique, les considérations suivantes s'appliquent :

  • La valeur 0 est évaluée comme Tous
  • L'action est annulée si l'état ne peut pas être trouvé dans la recette

Paramètres du Runtime

Paramètres de fonctionnement dans le Runtime.

Avec dial. de filtre

Active : La boîte de dialogue est affichée dans le Runtime, afin d'autoriser les modifications.

Interdire la sélection de groupes de recettes dans le Runtime

Active : la sélection de groupes de recettes est bloquée dans le Runtime.

Disponible uniquement si l'option Afficher cette boîte de dialogue dans le Runtime est active.

OK

Applique les paramètres et ferme la boîte de dialogue.

Annuler

Abandonne les paramètres et ferme la boîte de dialogue. La fonction est créée, mais sans cible.

Aide

Ouvre l'aide en ligne.


Écrire la valeur de la recette dans la variable de sauvegarde

Manuel -> Recipe Group Manager -> Fonctions -> Fonction du module Recipe Group Manager -> Écrire la valeur de la recette dans la variable de sauvegarde

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Cette fonction écrit les valeurs de la recette dans une variable de recette graphique.

Paramètres

Description

Action

Affiche l'action sélectionnée dans la boîte de dialogue de la fonction Recipe Group Manager. Cette boîte de dialogue sert uniquement à l'affichage d'informations ; aucune sélection n'est possible.

Sélection de groupes de recettes/
de recettes

Sélection du groupe de recettes et de la recette. La sélection peut être effectuée :

  • De manière statique, à partir d'entrées prédéfinies
  • De manière dynamique, à l'aide de variables

Cliquez sur Propriétés pour afficher une liste déroulante permettant de sélectionner une méthode.

Groupe de recettes

Paramètres de sélection du groupe de recettes. Cliquez sur le texte pour ouvrir une liste déroulante de sélection.

  • Groupe de recettes statiques
  • Nom de groupe de recettes par une variable

Groupe de recettes statiques :

Sélection d'un groupe de recettes déjà créé.

Nom de groupe de recettes à partir d'une variable :

Le nom du groupe de recettes est dérivé d'une variable. Cliquez sur le bouton ... Ouvre la boîte de dialogue de sélection de variables.

Si les valeurs de la variable ne sont pas valides, aucune recette n'est ouverte.

Recette

Paramètres de sélection de recettes. Cliquez sur le texte pour ouvrir une liste déroulante de sélection.

  • Recette statique
  • Nom de recette par nom de variable
  • Nom de recette par numéro de variable

Recette statique :

Sélection d'une recette déjà créée.

Nom de recette par nom de variable :

Le nom de la recette est dérivé d'une variable. Cliquez sur le bouton ... Ouvre la boîte de dialogue de sélection de variables.

Si les valeurs de la variable ne sont pas valides, aucune recette n'est ouverte.

Numéro de recette par numéro de variable :

Le numéro de la recette est dérivé d'une variable. Cliquez sur le bouton ... Ouvre la boîte de dialogue de sélection de variables.

Si plusieurs recettes comportant le même numéro existent, zenon utilise la première recette trouvée. Si les valeurs de la variable ne sont pas valides, aucune recette n'est ouverte.

Version de la recette

Sélection de la version de la recette parmi les versions existantes ou à l'aide d'une variable.

Version d'une recette statique :

Sélection d'une version d'une recette existante dans une liste déroulante. Sélection possible :

  • Version de recette préexistante
  • Version la plus basse ;
    Sélection d'un état de recette supplémentaire autorisée
  • Version la plus élevée ;
    Sélection d'un état de recette supplémentaire autorisée

Version de recette par variable :

La version de la recette est dérivée d'une variable. Cliquez sur le bouton ... Ouvre la boîte de dialogue de sélection de variables.

Remarque : si la version de la recette est obtenue à partir d'une variable numérique, les considérations suivantes s'appliquent :

  • La valeur 90000 correspond à la version la plus élevée en termes statistiques
  • La valeur 90001 correspond à la version la plus élevée statistique

État de la recette

Sélection de l'état de la recette parmi les états existants ou à l'aide d'une variable.

État de la recette :

L'état de la recette est évalué conjointement à la version. Disponible uniquement si la version de la recette possède la valeur plus petite version ou plus grande version, ou si elle est dérivée d'une variable.
version la plus élevée avec l'état Départ.

Sélection d'un état de recette dans la liste déroulante.

  • État existant
  • Tout

État de la recette par variable :

L'état de la recette est dérivé d'une variable. Cliquez sur le bouton ... Ouvre la boîte de dialogue de sélection de variables.

Remarque : si l'état de la recette est obtenu à partir d'une variable numérique, les considérations suivantes s'appliquent :

  • La valeur 0 est évaluée comme Tous
  • L'action est annulée si l'état ne peut pas être trouvé dans la recette

Paramètres du Runtime

Paramètres de fonctionnement dans le Runtime.

Avec dial. de filtre

Active : La boîte de dialogue est affichée dans le Runtime, afin d'autoriser les modifications.

Interdire la sélection de groupes de recettes dans le Runtime

Active : la sélection de groupes de recettes est bloquée dans le Runtime.

Disponible uniquement si l'option Afficher cette boîte de dialogue dans le Runtime est active.

OK

Applique les paramètres et ferme la boîte de dialogue.

Annuler

Abandonne les paramètres et ferme la boîte de dialogue. La fonction est créée, mais sans cible.

Aide

Ouvre l'aide en ligne.


Écrire la variable de sauvegarde dans la valeur de la recette

Manuel -> Recipe Group Manager -> Fonctions -> Fonction du module Recipe Group Manager -> Écrire la variable de sauvegarde dans la valeur de la recette

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Cette fonction écrit les valeurs d'une variable de recette graphique dans les valeurs de la recette.

Paramètres

Description

Action

Affiche l'action sélectionnée dans la boîte de dialogue de la fonction Recipe Group Manager. Cette boîte de dialogue sert uniquement à l'affichage d'informations ; aucune sélection n'est possible.

Sélection de groupes de recettes/
de recettes

Sélection du groupe de recettes et de la recette. La sélection peut être effectuée :

  • De manière statique, à partir d'entrées prédéfinies
  • De manière dynamique, à l'aide de variables

Cliquez sur Propriétés pour afficher une liste déroulante permettant de sélectionner une méthode.

Groupe de recettes

Paramètres de sélection du groupe de recettes. Cliquez sur le texte pour ouvrir une liste déroulante de sélection.

  • Groupe de recettes statiques
  • Nom de groupe de recettes par une variable

Groupe de recettes statiques :

Sélection d'un groupe de recettes déjà créé.

Nom de groupe de recettes à partir d'une variable :

Le nom du groupe de recettes est dérivé d'une variable. Cliquez sur le bouton ... Ouvre la boîte de dialogue de sélection de variables.

Si les valeurs de la variable ne sont pas valides, aucune recette n'est ouverte.

Recette

Paramètres de sélection de recettes. Cliquez sur le texte pour ouvrir une liste déroulante de sélection.

  • Recette statique
  • Nom de recette par nom de variable
  • Nom de recette par numéro de variable

Recette statique :

Sélection d'une recette déjà créée.

Nom de recette par nom de variable :

Le nom de la recette est dérivé d'une variable. Cliquez sur le bouton ... Ouvre la boîte de dialogue de sélection de variables.

Si les valeurs de la variable ne sont pas valides, aucune recette n'est ouverte.

Numéro de recette par numéro de variable :

Le numéro de la recette est dérivé d'une variable. Cliquez sur le bouton ... Ouvre la boîte de dialogue de sélection de variables.

Si plusieurs recettes comportant le même numéro existent, zenon utilise la première recette trouvée. Si les valeurs de la variable ne sont pas valides, aucune recette n'est ouverte.

Version de la recette

Sélection de la version de la recette parmi les versions existantes ou à l'aide d'une variable.

Version d'une recette statique :

Sélection d'une version d'une recette existante dans une liste déroulante. Sélection possible :

  • Version de recette préexistante
  • Version la plus basse ;
    Sélection d'un état de recette supplémentaire autorisée
  • Version la plus élevée ;
    Sélection d'un état de recette supplémentaire autorisée

Version de recette par variable :

La version de la recette est dérivée d'une variable. Cliquez sur le bouton ... Ouvre la boîte de dialogue de sélection de variables.

Remarque : si la version de la recette est obtenue à partir d'une variable numérique, les considérations suivantes s'appliquent :

  • La valeur 90000 correspond à la version la plus élevée en termes statistiques
  • La valeur 90001 correspond à la version la plus élevée statistique

État de la recette

Sélection de l'état de la recette parmi les états existants ou à l'aide d'une variable.

État de la recette :

L'état de la recette est évalué conjointement à la version. Disponible uniquement si la version de la recette possède la valeur plus petite version ou plus grande version, ou si elle est dérivée d'une variable.
version la plus élevée avec l'état Départ.

Sélection d'un état de recette dans la liste déroulante.

  • État existant
  • Tout

État de la recette par variable :

L'état de la recette est dérivé d'une variable. Cliquez sur le bouton ... Ouvre la boîte de dialogue de sélection de variables.

Remarque : si l'état de la recette est obtenu à partir d'une variable numérique, les considérations suivantes s'appliquent :

  • La valeur 0 est évaluée comme Tous
  • L'action est annulée si l'état ne peut pas être trouvé dans la recette

Paramètres du Runtime

Paramètres de fonctionnement dans le Runtime.

Avec dial. de filtre

Active : La boîte de dialogue est affichée dans le Runtime, afin d'autoriser les modifications.

Interdire la sélection de groupes de recettes dans le Runtime

Active : la sélection de groupes de recettes est bloquée dans le Runtime.

Disponible uniquement si l'option Afficher cette boîte de dialogue dans le Runtime est active.

OK

Applique les paramètres et ferme la boîte de dialogue.

Annuler

Abandonne les paramètres et ferme la boîte de dialogue. La fonction est créée, mais sans cible.

Aide

Ouvre l'aide en ligne.


Exporter tout (XML)

Manuel -> Recipe Group Manager -> Fonctions -> Fonction du module Recipe Group Manager -> Exporter tout (XML)

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Cette fonction exporte le contenu intégral du synoptique Recipe Group Manager vers un fichier XML.

Paramètre

Description

Action

Affiche l'action sélectionnée dans la boîte de dialogue de la fonction Recipe Group Manager. Cette boîte de dialogue sert uniquement à l'affichage d'informations ; aucune sélection n'est possible.

Sélection du fichier

Paramètres d'attribution du nom de fichier du fichier d'exportation. Cliquez sur le texte pour ouvrir une liste déroulante de sélection.

  • Nom de fichier statique
  • Nom de fichier par une variable
  • Attribution automatique du nom de fichier

Si aucun autre dossier n'est stipulé, le fichier d'exportation est conservé dans le dossier d'exportation du projet :

%CD_USERDATA%\[Projet]\Export

Nom de fichier statique :

Le nom du fichier d'export est directement défini par l'utilisateur. Le nom du fichier peut être fourni avec le chemin indiqué, ou le chemin d'exportation défini peut être utilisé. En outre, il est possible de générer des noms de fichier de manière dynamique, grâce aux opérateurs de données.

Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de dossiers et spécifier un nom de dossier.

Si un nom est fourni sans chemin, l'écriture est effectuée dans le fichier d'exportation situé dans le dossier du Runtime.

Nom de fichier de la variable :

Le nom du fichier d'export est défini par le contenu d'une variable STRING. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de variables. Les variables peuvent également générer les noms de fichiers avec un chemin absolu, un chemin relatif et des opérateurs de données.

Attribution automatique du nom de fichier :

Le nom du fichier d'exportation est créé automatiquement. Il comprend le préfixe RGM, ainsi que l'opérateur de données <DateTime>.

Par exemple : RGM 10_11_2011 10_42_29.xml

Remplacer le fichier existant

Active : tout fichier portant le même nom et existant déjà dans le dossier est remplacé.

Inactive : L'exportation est annulée si un fichier portant le même nom est présent.

Par défaut : Inactive

Paramètres du Runtime

Paramètres de fonctionnement dans le Runtime.

Avec dial. de filtre

Active : La boîte de dialogue est affichée dans le Runtime, afin d'autoriser les modifications.

Blocage de la sélection de groupes de recettes dans le Runtime

Active : la sélection de groupes de recettes est bloquée dans le Runtime.

Disponible uniquement si l'option Afficher cette boîte de dialogue dans le Runtime est active.

OK

Applique les paramètres et ferme la boîte de dialogue.

Annuler

Abandonne les paramètres et ferme la boîte de dialogue. La fonction est créée, mais sans cible.

Aide

Ouvre l'aide en ligne.

Autres sujets abordés dans ce chapitre

Opérateurs de données de chemins dynamiques


Opérateurs de données de chemins dynamiques

Manuel -> Recipe Group Manager -> Fonctions -> Fonction du module Recipe Group Manager -> Exporter tout (XML) -> Opérateurs de données de chemins dynamiques

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

caractère générique

Condition

Résultat

<Nom du projet>
  • Systématique

Nom du projet

<DateHeure>
  • Systématique

Date et heure au format correspondant aux paramètres du système.

Tout caractère non valide ou indésirable dans un nom de fichier est remplacé par un caractère de soulignement (_).

Pour l'allemand (Allemagne), par exemple, la date 24/12/2001, 16h04m59s devient : 24_12_2011 16_04_59

<RGMGroupName>
  • Exportation d'un groupe de recettes
  • Exportation d'une recette
  • Importation avec sélection de groupe

Nom du groupe de recettes sélectionné.

<RGMRecipeName>
  • Exportation d'une recette

Nom de la recette sélectionnée.

<RGMRecipeVersion>
  • Exportation d'une recette

Numéro de version de la recette sélectionnée.


Exportation du groupe de recettes au format XML

Manuel -> Recipe Group Manager -> Fonctions -> Fonction du module Recipe Group Manager -> Exportation du groupe de recettes au format XML

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Cette fonction exporte le groupe de recettes sélectionné et son contenu sous forme de fichier XML.

Paramètres

Description

Action

Affiche l'action sélectionnée dans la boîte de dialogue de la fonction Recipe Group Manager. Cette boîte de dialogue sert uniquement à l'affichage d'informations ; aucune sélection n'est possible.

Sélection de groupes de recettes/
de recettes

Sélection du groupe de recettes. La sélection peut être effectuée :

  • De manière statique, à partir d'entrées prédéfinies
  • De manière dynamique, à l'aide de variables

Cliquez sur Propriétés pour afficher une liste déroulante permettant de sélectionner une méthode.

Groupe de recettes

Paramètres de sélection du groupe de recettes. Cliquez sur le texte pour ouvrir une liste déroulante de sélection.

  • Groupe de recettes statiques
  • Nom de groupe de recettes par une variable

Groupe de recettes statiques :

Sélection d'un groupe de recettes déjà créé.

Nom de groupe de recettes à partir d'une variable :

Le nom du groupe de recettes est dérivé d'une variable. Cliquez sur le bouton ... Ouvre la boîte de dialogue de sélection de variables.

Sélection du fichier

Paramètres d'attribution du nom de fichier du fichier d'exportation. Cliquez sur le texte pour ouvrir une liste déroulante de sélection.

  • Nom de fichier statique
  • Nom de fichier par une variable
  • Attribution automatique du nom de fichier

Si aucun autre dossier n'est stipulé, le fichier d'exportation est conservé dans le dossier d'exportation du projet :

%CD_USERDATA%\[Projet]\Export

Nom de fichier statique :

Le nom du fichier d'export est directement défini par l'utilisateur. Le nom du fichier peut être fourni avec le chemin indiqué, ou le chemin d'exportation défini peut être utilisé. En outre, il est possible de générer des noms de fichier de manière dynamique, grâce aux opérateurs de données.

Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de dossiers et spécifier un nom de dossier.

Si un nom est fourni sans chemin, l'écriture est effectuée dans le fichier d'exportation situé dans le dossier du Runtime.

Nom de fichier de la variable :

Le nom du fichier d'export est défini par le contenu d'une variable STRING. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de variables. Les variables peuvent également générer les noms de fichiers avec un chemin absolu, un chemin relatif et des opérateurs de données.

Attribution automatique du nom de fichier :

Le nom du fichier d'exportation est créé automatiquement. Il comprend le préfixe RGM, ainsi que l'opérateur de données <RGMGroupName>.

Par exemple : <RGM GroupName>.xml produit, pour le nom Group 1 : Group 1.xml.

Remplacer le fichier existant

Active : tout fichier portant le même nom et existant déjà dans le dossier est remplacé.

Inactive : L'exportation est annulée si un fichier portant le même nom est présent.

Par défaut : Inactive

Paramètres du Runtime

Paramètres de fonctionnement dans le Runtime.

Avec dial. de filtre

Active : La boîte de dialogue est affichée dans le Runtime, afin d'autoriser les modifications.

Interdire la sélection de groupes de recettes dans le Runtime

Active : la sélection de groupes de recettes est bloquée dans le Runtime.

Disponible uniquement si l'option Afficher cette boîte de dialogue dans le Runtime est active.

OK

Applique les paramètres et ferme la boîte de dialogue.

Annuler

Abandonne les paramètres et ferme la boîte de dialogue. La fonction est créée, mais sans cible.

Aide

Ouvre l'aide en ligne.

Opérateurs de données de chemins dynamiques

caractère générique

Condition

Résultat

<Nom du projet>
  • Systématique

Nom du projet

<DateHeure>
  • Systématique

Date et heure au format correspondant aux paramètres du système.

Tout caractère non valide ou indésirable dans un nom de fichier est remplacé par un caractère de soulignement (_).

Pour l'allemand (Allemagne), par exemple, la date 24/12/2001, 16h04m59s devient : 24_12_2011 16_04_59

<RGMGroupName>
  • Exportation d'un groupe de recettes
  • Exportation d'une recette
  • Importation avec sélection de groupe

Nom du groupe de recettes sélectionné.

<RGMRecipeName>
  • Exportation d'une recette

Nom de la recette sélectionnée.

<RGMRecipeVersion>
  • Exportation d'une recette

Numéro de version de la recette sélectionnée.


Exporter la recette au format XML

Manuel -> Recipe Group Manager -> Fonctions -> Fonction du module Recipe Group Manager -> Exporter la recette au format XML

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Cette fonction exporte la recette sélectionnée vers un fichier XML. Le nom du groupe de recettes est également exporté. Si les groupes de recettes sont renommés après l'exportation, cette attribution est perdue lors de l'importation.

Paramètres

Description

Action

Affiche l'action sélectionnée dans la boîte de dialogue de la fonction Recipe Group Manager. Cette boîte de dialogue sert uniquement à l'affichage d'informations ; aucune sélection n'est possible.

Sélection de groupes de recettes/
de recettes

Sélection du groupe de recettes et de la recette. La sélection peut être effectuée :

  • De manière statique, à partir d'entrées prédéfinies
  • De manière dynamique, à l'aide de variables

Cliquez sur Propriétés pour afficher une liste déroulante permettant de sélectionner une méthode.

Groupe de recettes

Paramètres de sélection du groupe de recettes. Cliquez sur le texte pour ouvrir une liste déroulante de sélection.

  • Groupe de recettes statiques
  • Nom de groupe de recettes par une variable

Groupe de recettes statiques :

Sélection d'un groupe de recettes déjà créé.

Nom de groupe de recettes à partir d'une variable :

Le nom du groupe de recettes est dérivé d'une variable. Cliquez sur le bouton ... Ouvre la boîte de dialogue de sélection de variables.

Recette

Paramètres de sélection de recettes. Cliquez sur le texte pour ouvrir une liste déroulante de sélection.

  • Recette statique
  • Nom de recette par nom de variable
  • Nom de recette par numéro de variable

Recette statique :

Sélection d'une recette déjà créée.

Nom de recette par nom de variable :

Le nom de la recette est dérivé d'une variable. Cliquez sur le bouton ... Ouvre la boîte de dialogue de sélection de variables.

Numéro de recette par numéro de variable :

Le numéro de la recette est dérivé d'une variable. Cliquez sur le bouton ... Ouvre la boîte de dialogue de sélection de variables.

Si plusieurs recettes comportant le même numéro existent, zenon utilise la première recette trouvée.

Version de la recette

Sélection de la version de la recette parmi les versions existantes ou à l'aide d'une variable.

Version d'une recette statique :

Sélection d'une version d'une recette existante dans une liste déroulante. Sélection possible :

  • Version de recette préexistante
  • Version la plus basse ;
    Sélection d'un état de recette supplémentaire autorisée
  • Version la plus élevée ;
    Sélection d'un état de recette supplémentaire autorisée

Version de recette par variable :

La version de la recette est dérivée d'une variable. Cliquez sur le bouton ... Ouvre la boîte de dialogue de sélection de variables.

Remarque : si la version de la recette est obtenue à partir d'une variable numérique, les considérations suivantes s'appliquent :

  • La valeur 90000 correspond à la version la plus élevée en termes statistiques
  • La valeur 90001 correspond à la version la plus élevée statistique

État de la recette

Sélection de l'état de la recette parmi les états existants ou à l'aide d'une variable.

État de la recette :

L'état de la recette est évalué conjointement à la version. Disponible uniquement si la version de la recette possède la valeur plus petite version ou plus grande version, ou si elle est dérivée d'une variable.
version la plus élevée avec l'état Départ.

Sélection d'un état de recette dans la liste déroulante.

  • État existant
  • Tout

État de la recette par variable :

L'état de la recette est dérivé d'une variable. Cliquez sur le bouton ... Ouvre la boîte de dialogue de sélection de variables.

Remarque : si l'état de la recette est obtenu à partir d'une variable numérique, les considérations suivantes s'appliquent :

  • La valeur 0 est évaluée comme Tous
  • L'action est annulée si l'état ne peut pas être trouvé dans la recette

Sélection du fichier

Paramètres d'attribution du nom de fichier du fichier d'exportation. Cliquez sur le texte pour ouvrir une liste déroulante de sélection.

  • Nom de fichier statique
  • Nom de fichier par une variable
  • Attribution automatique du nom de fichier

Si aucun autre dossier n'est stipulé, le fichier d'exportation est conservé dans le dossier d'exportation du projet :

%CD_USERDATA%\[Projet]\Export

Nom de fichier statique :

Le nom du fichier d'export est directement défini par l'utilisateur. Le nom du fichier peut être fourni avec le chemin indiqué, ou le chemin d'exportation défini peut être utilisé. En outre, il est possible de générer des noms de fichier de manière dynamique, grâce aux opérateurs de données.

Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de dossiers et spécifier un nom de dossier.

Si un nom est fourni sans chemin, l'écriture est effectuée dans le fichier d'exportation situé dans le dossier du Runtime.

Nom de fichier de la variable :

Le nom du fichier d'export est défini par le contenu d'une variable STRING. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de variables. Les variables peuvent également générer les noms de fichiers avec un chemin absolu, un chemin relatif et des opérateurs de données.

Attribution automatique du nom de fichier :

Le nom du fichier d'exportation est créé automatiquement. Il comprend le préfixe RGM, ainsi que les opérateurs de données <RGMRecipeName>.<RGMRecipeVersion>.

Par exemple : <RGMRecipeName>.<RGMRecipeVersion> produit, pour la recette Recipe 1 avec la version 3 : Recipe 1.3.xml.

Remplacer le fichier existant

Active : tout fichier portant le même nom et existant déjà dans le dossier est remplacé.

Inactive : L'exportation est annulée si un fichier portant le même nom est présent.

Par défaut : Inactive

Paramètres du Runtime

Paramètres de fonctionnement dans le Runtime.

Avec dial. de filtre

Active : La boîte de dialogue est affichée dans le Runtime, afin d'autoriser les modifications.

Interdire la sélection de groupes de recettes dans le Runtime

Active : la sélection de groupes de recettes est bloquée dans le Runtime.

Disponible uniquement si l'option Afficher cette boîte de dialogue dans le Runtime est active.

OK

Applique les paramètres et ferme la boîte de dialogue.

Annuler

Abandonne les paramètres et ferme la boîte de dialogue. La fonction est créée, mais sans cible.

Aide

Ouvre l'aide en ligne.


Importer XML

Manuel -> Recipe Group Manager -> Fonctions -> Fonction du module Recipe Group Manager -> Importer XML

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Cette fonction importe le contenu du fichier XML spécifié. Si le fichier contient des recettes individuelles n'appartenant pas à un groupe, ces recettes sont importées dans le groupe sélectionné ; dans le cas contraire, la sélection de groupe est ignorée :

Paramètres

Description

Action

Affiche l'action sélectionnée dans la boîte de dialogue de la fonction Recipe Group Manager. Cette boîte de dialogue sert uniquement à l'affichage d'informations ; aucune sélection n'est possible.

Sélection de groupes de recettes/
de recettes

Sélection du groupe de recettes dans lequel sont importées les recettes non attribuées. La sélection peut être effectuée :

  • De manière statique, à partir d'entrées prédéfinies
  • De manière dynamique, à l'aide de variables
  • À l'aide d'un fichier d'importation

Cliquez sur Propriétés pour afficher une liste déroulante permettant de sélectionner une méthode.

Ce paramètre est ignoré si des groupes de recettes sont déjà présents dans le fichier XML.

Groupe de recettes

Paramètres de sélection du groupe de recettes. Cliquez sur le texte pour ouvrir une liste déroulante de sélection.

  • Groupe de recettes statiques
  • Nom de groupe de recettes par une variable

Groupe de recettes statiques :

Sélection d'un groupe de recettes déjà créé.

Nom de groupe de recettes à partir d'une variable :

Le nom du groupe de recettes est dérivé d'une variable. Cliquez sur le bouton ... Ouvre la boîte de dialogue de sélection de variables.

Nom de groupe de recettes à partir d'un fichier.

Le nom du groupe de recettes est dérivé du fichier à importer.

Sélection du fichier

Paramètres de sélection du fichier depuis lequel doit se dérouler l'importation. Cliquez sur le texte pour ouvrir une liste déroulante de sélection.

  • Nom de fichier statique
  • Nom de fichier par une variable

Le dossier par défaut pour les données exportées est le dossier d'exportation du projet :

%CD_USERDATA%\[Projet]\Export

Nom de fichier statique :

Le nom du fichier d'importation est défini par l'utilisateur. Le nom du fichier peut être fourni avec le chemin indiqué, ou le chemin d'exportation défini peut être utilisé. En outre, il est possible de générer des noms de fichier de manière dynamique, grâce aux opérateurs de données.

Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de dossiers et de fichiers.

Nom de fichier de la variable :

Le nom du fichier d'importation est défini par le contenu d'une variable STRING. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de variables. Les variables peuvent également générer les noms de fichiers avec un chemin absolu, un chemin relatif et des opérateurs de données.

Remplacer les recettes existantes
  • Active : Les recettes existantes portant le même nom sont remplacées durant l'importation.
  • Inactive : Les recettes existantes ne sont pas remplacées. Seules les nouvelles recettes sont créées.

Par défaut : Inactive

Attention : Notez le comportement lors de l’écrasement des recettes données par version. Dans certains cas, les recettes importées dans le processus peuvent être écrasées. Pour plus de détails, reportez-vous à la section Importation et gestion de version.

Paramètres du Runtime

Paramètres de fonctionnement dans le Runtime.

Avec dial. de filtre
  • Active : La boîte de dialogue est affichée dans le Runtime, afin d'autoriser les modifications.

Blocage de la sélection de groupes de recettes dans le Runtime
  • Active : la sélection de groupes de recettes est bloquée dans le Runtime.

Disponible uniquement si l'option Afficher cette boîte de dialogue dans le Runtime est active.

OK

Applique les paramètres et ferme la boîte de dialogue.

Annuler

Annule toutes les modifications et ferme la boîte de dialogue.

La fonction est créée, mais sans cible.

Aide

Ouvre l'aide en ligne.

Remarques concernant l'exportation avec différentes variables

Procédure

Si une recette est importée depuis un fichier XML et ses variables diffèrent des variables de la recette d'origine :

  • La recette est importée.
  • Les variables existant dans le fichier XML et dans le Runtime sont remplacées dans la recette d'origine.
  • Les autres variables sont ignorées
  • La variable de driver système renvoie la valeur 2 (importation terminée sans erreurs)

Ensembles de blocs

Si la taille d'un ensemble de blocs est modifiée entre l'importation et la réimportation d'un groupe de recettes, les considérations suivantes s'appliquent à ces opérations :

  • Agrandissement de la taille de l'ensemble de blocs (le groupe existe déjà) : les nouvelles variables ne sont pas ajoutées aux groupes de recettes
  • Agrandissement de l'ensemble de groupes de recettes (groupe absent) : les nouvelles variables sont ajoutées au groupe de recettes ; un message est affiché dans la fenêtre de résultats
  • Réduction de la taille de l'ensemble de groupes : les variables manquantes sont supprimées du groupe de recettes

Importation et gestion de version

Lors de l’importation des recettes via XML, une configuration peut exister dans laquelle au moins une version n’a pas été correctement importée.

Arrière-plan : Le compteur de version est défini sur 1 lors de la création de nouvelles recettes. Ce numéro est incrémenté de 1 à chaque nouvelle version. En interne, ce numéro n’est jamais réduit, même lorsque les versions sont supprimées.

Les versions de recettes existantes peuvent également être écrasées comme option durant l’importation XML. Cependant, l’écrasement ne fonctionne que si cette version n’existe pas encore. Si la version n’existe plus, le compteur de version est incrémenté et une recette avec ce numéro de version est créé.

Ceci peut entraîner le comportement suivant : Si plusieurs versions de recettes sont importées et si une version correspond au numéro de compteur et une autre est inférieure, la version inférieure est au moins créée, sinon écrasée.

Exemple :

  • Une recette avec les versions 1 et 2.
  • Le compteur de version est défini sur 3.
  • La version 2 est supprimée.

Les versions 2 et 3 sauvegardées précédemment sont importées à partir d’un fichier XML avec l’option Écraser recettes existantes activée.
Ceci entraîne le comportement suivant :

  • Lors de l’importation des versions de recettes, la version 2 ne peut pas être écrasée, car elle n’existe plus.
  • Elle est créée en tant que nouvelle version 3.
  • La version 3 est ensuite importée à partir du fichier XML.
    Ceci écrase la version 3 créée récemment, ce qui correspond à l’ancienne version 2.
  • Au lieu des versions 1, 2 et 3 seules les versions 1 et 3 sont existantes.


Informations détaillées de la recette lors de l'enregistrement de la documentation au format XML

Manuel -> Recipe Group Manager -> Fonctions -> Fonction du module Recipe Group Manager -> Informations détaillées de la recette lors de l'enregistrement de la documentation au format XML

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Cette fonction exporte les informations détaillées de la recette vers la documentation au format XML.

Remarque : Ces données ne peuvent plus être importées. Elles sont destinées à constituer la base d'une documentation exacte.

Paramètres

Description

Action

Affiche l'action sélectionnée dans la boîte de dialogue de la fonction Recipe Group Manager. Cette boîte de dialogue sert uniquement à l'affichage d'informations ; aucune sélection n'est possible.

Sélection de groupes de recettes/
de recettes

Sélection du groupe de recettes et de la recette. La sélection peut être effectuée :

  • De manière statique, à partir d'entrées prédéfinies
  • De manière dynamique, à l'aide de variables

Cliquez sur Propriétés pour afficher une liste déroulante permettant de sélectionner une méthode.

Groupe de recettes

Paramètres de sélection du groupe de recettes. Cliquez sur le texte pour ouvrir une liste déroulante de sélection.

  • Groupe de recettes statiques
  • Nom de groupe de recettes par une variable

Groupe de recettes statiques :

Sélection d'un groupe de recettes déjà créé.

Nom de groupe de recettes à partir d'une variable :

Le nom du groupe de recettes est dérivé d'une variable. Cliquez sur le bouton ... Ouvre la boîte de dialogue de sélection de variables.

Recette

Paramètres de sélection de recettes. Cliquez sur le texte pour ouvrir une liste déroulante de sélection.

  • Recette statique
  • Nom de recette par nom de variable
  • Nom de recette par numéro de variable

Recette statique :

Sélection d'une recette déjà créée.

Nom de recette par nom de variable :

Le nom de la recette est dérivé d'une variable. Cliquez sur le bouton ... Ouvre la boîte de dialogue de sélection de variables.

Numéro de recette par numéro de variable :

Le numéro de la recette est dérivé d'une variable. Cliquez sur le bouton ... Ouvre la boîte de dialogue de sélection de variables.

Si plusieurs recettes comportant le même numéro existent, zenon utilise la première recette trouvée.

Version de la recette

Sélection de la version de la recette parmi les versions existantes ou à l'aide d'une variable.

Version d'une recette statique :

Sélection d'une version d'une recette existante dans une liste déroulante. Sélection possible :

  • Version de recette préexistante
  • Version la plus basse ;
    Sélection d'un état de recette supplémentaire autorisée
  • Version la plus élevée ;
    Sélection d'un état de recette supplémentaire autorisée

Version de recette par variable :

La version de la recette est dérivée d'une variable. Cliquez sur le bouton ... Ouvre la boîte de dialogue de sélection de variables.

Remarque : si la version de la recette est obtenue à partir d'une variable numérique, les considérations suivantes s'appliquent :

  • La valeur 90000 correspond à la version la plus élevée en termes statistiques
  • La valeur 90001 correspond à la version la plus élevée statistique

État de la recette

Sélection de l'état de la recette parmi les états existants ou à l'aide d'une variable.

État de la recette :

L'état de la recette est évalué conjointement à la version. Disponible uniquement si la version de la recette possède la valeur plus petite version ou plus grande version, ou si elle est dérivée d'une variable.
version la plus élevée avec l'état Départ.

Sélection d'un état de recette dans la liste déroulante.

  • État existant
  • Tout

État de la recette par variable :

L'état de la recette est dérivé d'une variable. Cliquez sur le bouton ... Ouvre la boîte de dialogue de sélection de variables.

Remarque : si l'état de la recette est obtenu à partir d'une variable numérique, les considérations suivantes s'appliquent :

  • La valeur 0 est évaluée comme Tous
  • L'action est annulée si l'état ne peut pas être trouvé dans la recette


Exportation d'une recette vers un fichier texte

Manuel -> Recipe Group Manager -> Fonctions -> Fonction du module Recipe Group Manager -> Exportation d'une recette vers un fichier texte

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Cette fonction exporte la recette sélectionnée vers un fichier texte.

Paramètres

Description

Action

Affiche l'action sélectionnée dans la boîte de dialogue de la fonction Recipe Group Manager. Cette boîte de dialogue sert uniquement à l'affichage d'informations ; aucune sélection n'est possible.

Sélection de groupes de recettes/
de recettes

Sélection du groupe de recettes et de la recette. La sélection peut être effectuée :

  • De manière statique, à partir d'entrées prédéfinies
  • De manière dynamique, à l'aide de variables

Cliquez sur Propriétés pour afficher une liste déroulante permettant de sélectionner une méthode.

Groupe de recettes

Paramètres de sélection du groupe de recettes. Cliquez sur le texte pour ouvrir une liste déroulante de sélection.

  • Groupe de recettes statiques
  • Nom de groupe de recettes par une variable

Groupe de recettes statiques :

Sélection d'un groupe de recettes déjà créé.

Nom de groupe de recettes à partir d'une variable :

Le nom du groupe de recettes est dérivé d'une variable. Cliquez sur le bouton ... Ouvre la boîte de dialogue de sélection de variables.

Recette

Paramètres de sélection de recettes. Cliquez sur le texte pour ouvrir une liste déroulante de sélection.

  • Recette statique
  • Nom de recette par nom de variable
  • Nom de recette par numéro de variable

Recette statique :

Sélection d'une recette déjà créée.

Nom de recette par nom de variable :

Le nom de la recette est dérivé d'une variable. Cliquez sur le bouton ... Ouvre la boîte de dialogue de sélection de variables.

Numéro de recette par numéro de variable :

Le numéro de la recette est dérivé d'une variable. Cliquez sur le bouton ... Ouvre la boîte de dialogue de sélection de variables.

Si plusieurs recettes comportant le même numéro existent, zenon utilise la première recette trouvée.

Version de la recette

Sélection de la version de la recette parmi les versions existantes ou à l'aide d'une variable.

Version d'une recette statique :

Sélection d'une version d'une recette existante dans une liste déroulante. Sélection possible :

  • Version de recette préexistante
  • Version la plus basse ;
    Sélection d'un état de recette supplémentaire autorisée
  • Version la plus élevée ;
    Sélection d'un état de recette supplémentaire autorisée

Version de recette par variable :

La version de la recette est dérivée d'une variable. Cliquez sur le bouton ... Ouvre la boîte de dialogue de sélection de variables.

Remarque : si la version de la recette est obtenue à partir d'une variable numérique, les considérations suivantes s'appliquent :

  • La valeur 90000 correspond à la version la plus élevée en termes statistiques
  • La valeur 90001 correspond à la version la plus élevée statistique

État de la recette

Sélection de l'état de la recette parmi les états existants ou à l'aide d'une variable.

État de la recette :

L'état de la recette est évalué conjointement à la version. Disponible uniquement si la version de la recette possède la valeur plus petite version ou plus grande version, ou si elle est dérivée d'une variable.
version la plus élevée avec l'état Départ.

Sélection d'un état de recette dans la liste déroulante.

  • État existant
  • Tout

État de la recette par variable :

L'état de la recette est dérivé d'une variable. Cliquez sur le bouton ... Ouvre la boîte de dialogue de sélection de variables.

Remarque : si l'état de la recette est obtenu à partir d'une variable numérique, les considérations suivantes s'appliquent :

  • La valeur 0 est évaluée comme Tous
  • L'action est annulée si l'état ne peut pas être trouvé dans la recette

Sélection du fichier

Paramètres d'attribution du nom de fichier du fichier d'exportation. Cliquez sur le texte pour ouvrir une liste déroulante de sélection.

  • Nom de fichier statique
  • Nom de fichier par une variable
  • Attribution automatique du nom de fichier

Si aucun autre dossier n'est stipulé, le fichier d'exportation est conservé dans le dossier d'exportation du projet :

%CD_USERDATA%\[Projet]\Export

Nom de fichier statique :

Le nom du fichier d'export est directement défini par l'utilisateur. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de dossiers et spécifier un nom de dossier.

Si un nom est fourni sans chemin, l'écriture est effectuée dans le fichier d'exportation situé dans le dossier du Runtime.

Nom de fichier de la variable :

Le nom du fichier d'export est défini par le contenu d'une variable STRING. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de variables.

Attribution automatique du nom de fichier :

Le nom du fichier d'exportation est créé automatiquement. Il comprend le préfixe RGM, ainsi que la date et l'heure.

Par exemple : RGM 10_11_2011 10_42_29.txt

Remplacer le fichier existant

Active : tout fichier portant le même nom et existant déjà dans le dossier est remplacé.

Paramètres du Runtime

Paramètres de fonctionnement dans le Runtime.

Avec dial. de filtre

Active : La boîte de dialogue est affichée dans le Runtime, afin d'autoriser les modifications.

Interdire la sélection de groupes de recettes dans le Runtime

Active : la sélection de groupes de recettes est bloquée dans le Runtime.

Disponible uniquement si l'option Afficher cette boîte de dialogue dans le Runtime est active.

OK

Applique les paramètres et ferme la boîte de dialogue.

Annuler

Abandonne les paramètres et ferme la boîte de dialogue. La fonction est créée, mais sans cible.

Aide

Ouvre l'aide en ligne.

Autres sujets abordés dans ce chapitre

Structure et format du fichier texte


Structure et format du fichier texte

Manuel -> Recipe Group Manager -> Fonctions -> Fonction du module Recipe Group Manager -> Exportation d'une recette vers un fichier texte -> Structure et format du fichier texte

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Vous pouvez sélectionner le format d’exportation du fichier texte dans les paramètres de projet dans le groupe Paramètres du Runtime en utilisant la Exporter le texte en unicode propriété.

Pour la version actuelle, le numéro de version est la 4e

structure pour la version 4 (en-tête taille 21)

Ligne | Description | Commentaire
VER:4; | Numéro de version du fichier d'exportation |
Recipe1; | Nom de la recette |
1; | Version de la recette |
3; | Numéro de la recette |
FALSE; | La propriété Ecrire de façon synchronedérive de la recette ou du groupe de recettes | TRUE ou FALSE
FALSE; | Ecrire de façon synchrone est actif | TRUE ou FALSE
FALSE; | La propriété Timeout [ms]dérive de la recette ou du groupe de recettes | TRUE ou FALSE
0; | Timeout [ms] |
0; | Niveau d'autorisation | 0 devient 127
Test comment 1; | Commentaire 1 |
; | Commentaire 2 |
; | Commentaire 3 |
; | Commentaire 4 |
Another comment; | Commentaire 5 |
; | Commentaire 6 |
; | Commentaire 7 |
; | Commentaire 8 |
SYSTEM; | Utilisateur ayant édité la recette en dernier. |
18.05.2016 11:25:15; | Horodatage de la dernière modification | Les paramètres du système local sont utilisés.
SYSTEM; | Utilisateur ayant écrit la recette en dernier. |
18.05.2016 11:45:17; | Horodatage de l’écriture | Les paramètres du système local sont utilisés.
Variable1;2;10; | Variable de recette Nom de variable ; type d’action ; valeur (variable source) ; |
Variable2;2;12; | Variable de recette Nom de variable ; type d’action ; valeur (variable source) ; |
BooleanVariable;2;1; | Variable de recette Nom de variable ; type d’action ; valeur (variable source) ; |

Autres sujets abordés dans ce chapitre

Structure et format pour version 3

Structure et format pour version 2

Structure et format pour version 1


Structure et format pour version 3

Manuel -> Recipe Group Manager -> Fonctions -> Fonction du module Recipe Group Manager -> Exportation d'une recette vers un fichier texte -> Structure et format du fichier texte -> Structure et format pour version 3

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Structure et format pour version 3

structure pour la version 3 (en-tête taille 12)

Ligne | Description | Commentaire
VER:3; | Numéro de version du fichier d'exportation |
Recipe1; | Nom de la recette |
3; | Numéro de la recette |
FALSE; | Ecrire de façon synchrone est actif | TRUE ou FALSE
0; | Timeout [ms] |
0; | Niveau d'autorisation | 0 devient 127
Test comment 1; | Commentaire 1 |
; | Commentaire 2 |
SYSTEM; | Utilisateur ayant édité la recette en dernier. |
18.05.2016 11:25:15; | Horodatage de la dernière modification | Les paramètres du système local sont utilisés.
SYSTEM; | Utilisateur ayant écrit la recette en dernier. |
18.05.2016 11:45:17; | Horodatage de l’écriture | Les paramètres du système local sont utilisés.
Variable1;2;10; | Variable de recette Nom de variable ; type d’action ; valeur (variable source) ; |
Variable2;2;12; | Variable de recette Nom de variable ; type d’action ; valeur (variable source) ; |
BooleanVariable;2;1; | Variable de recette Nom de variable ; type d’action ; valeur (variable source) ; |


Structure et format pour version 2

Manuel -> Recipe Group Manager -> Fonctions -> Fonction du module Recipe Group Manager -> Exportation d'une recette vers un fichier texte -> Structure et format du fichier texte -> Structure et format pour version 2

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Structure et format pour version 2

Structure pour la version 2 (en-tête taille 11)

Ligne | Description | Commentaire
VER:2; | Numéro de version du fichier d'exportation |
Recipe1; | Nom de la recette |
3; | Numéro de la recette |
FALSE; | Ecrire de façon synchrone est actif | TRUE ou FALSE
0; | Timeout [ms] |
Test comment 1; | Commentaire 1 |
; | Commentaire 2 |
SYSTEM; | Utilisateur ayant édité la recette en dernier. |
18.05.2016 11:25:15; | Horodatage de la dernière modification | Les paramètres du système local sont utilisés.
SYSTEM; | Utilisateur ayant écrit la recette en dernier. |
18.05.2016 11:45:17; | Horodatage de l’écriture | Les paramètres du système local sont utilisés.
Variable1;2;10; | Variable de recette Nom de variable ; type d’action ; valeur (variable source) ; |
Variable2;2;12; | Variable de recette Nom de variable ; type d’action ; valeur (variable source) ; |
BooleanVariable;2;1; | Variable de recette Nom de variable ; type d’action ; valeur (variable source) ; |


Structure et format pour version 1

Manuel -> Recipe Group Manager -> Fonctions -> Fonction du module Recipe Group Manager -> Exportation d'une recette vers un fichier texte -> Structure et format du fichier texte -> Structure et format pour version 1

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Structure et format pour version 1

Structure pour la version 1 (en-tête taille 8)

Ligne | Description | Commentaire
Recipe1; | Nom de la recette |
3; | Numéro de la recette |
Test comment 1; | Commentaire 1 |
; | Commentaire 2 |
SYSTEM; | Utilisateur ayant édité la recette en dernier. |
18.05.2016 11:25:15; | Horodatage de la dernière modification | Les paramètres du système local sont utilisés.
SYSTEM; | Utilisateur ayant écrit la recette en dernier. |
18.05.2016 11:45:17; | Horodatage de l’écriture | Les paramètres du système local sont utilisés.
Variable1;2;10; | Variable de recette Nom de variable ; type d’action ; valeur (variable source) ; |
Variable2;2;12; | Variable de recette Nom de variable ; type d’action ; valeur (variable source) ; |
BooleanVariable;2;1; | Variable de recette Nom de variable ; type d’action ; valeur (variable source) ; |


Importer la recette depuis un fichier texte

Manuel -> Recipe Group Manager -> Fonctions -> Fonction du module Recipe Group Manager -> Importer la recette depuis un fichier texte

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Cette fonction importe les données depuis un fichier texte.

Paramètres

Description

Action

Affiche l'action sélectionnée dans la boîte de dialogue de la fonction Recipe Group Manager. Cette boîte de dialogue sert uniquement à l'affichage d'informations ; aucune sélection n'est possible.

Sélection de groupes de recettes/
de recettes

Sélection du groupe de recettes à importer. La sélection peut être effectuée :

  • De manière statique, à partir d'entrées prédéfinies
  • De manière dynamique, à l'aide de variables
  • À l'aide d'un fichier d'importation

Cliquez sur Propriétés pour afficher une liste déroulante permettant de sélectionner une méthode.

Groupe de recettes

Paramètres de sélection du groupe de recettes. Cliquez sur le texte pour ouvrir une liste déroulante de sélection.

  • Groupe de recettes statiques
  • Nom de groupe de recettes par une variable

Groupe de recettes statiques :

Sélection d'un groupe de recettes déjà créé.

Nom de groupe de recettes à partir d'une variable :

Le nom du groupe de recettes est dérivé d'une variable. Cliquez sur le bouton ... Ouvre la boîte de dialogue de sélection de variables.

Nom de groupe de recettes à partir d'un fichier.

Le nom du groupe de recettes est dérivé du fichier à importer.

Sélection du fichier

Paramètres de sélection du fichier depuis lequel doit se dérouler l'importation. Cliquez sur le texte pour ouvrir une liste déroulante de sélection.

  • Nom de fichier statique
  • Nom de fichier par une variable

Le dossier par défaut pour les données exportées est le dossier d'exportation du projet :

%CD_USERDATA%\[Projet]\Export

Nom de fichier statique :

Le nom du fichier d'importation est défini par l'utilisateur. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de dossiers et de fichiers.

Nom de fichier de la variable :

Le nom du fichier d'importation est défini par le contenu d'une variable STRING. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de variables.

Remplacer les recettes existantes

Active : Les recettes existantes portant le même nom sont remplacées durant l'importation.

Paramètres du Runtime

Paramètres de fonctionnement dans le Runtime.

Avec dial. de filtre

Active : La boîte de dialogue est affichée dans le Runtime, afin d'autoriser les modifications.

Interdire la sélection de groupes de recettes dans le Runtime

Active : la sélection de groupes de recettes est bloquée dans le Runtime.

Disponible uniquement si l'option Afficher cette boîte de dialogue dans le Runtime est active.

OK

Applique les paramètres et ferme la boîte de dialogue.

Annuler

Abandonne les paramètres et ferme la boîte de dialogue. La fonction est créée, mais sans cible.

Aide

Ouvre l'aide en ligne.


Utilisation dans le Runtime

Manuel -> Recipe Group Manager -> Utilisation dans le Runtime

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Le synoptique configuré dans Editor est accessible dans le Runtime, via la fonction d'appel de synoptique.

Configuration : voir la section Création d'un synoptique Recipe Group Manager.

Remarque : Les boutons sont uniquement actifs si la liste ou la table correspondante est présente.

Édition et enregistrement sous un autre nom d'une recette

Une recette modifiée est uniquement enregistrée si l'utilisateur clique sur l'un des boutons suivants :

  • Enregistrer recette
  • Écrire toutes les valeurs
  • Écrire les valeurs sélectionnées

Cliquez sur le bouton Enregistrer la recette sous pour enregistrer la recette en cours d'édition sous un autre nom. Les modifications apportées à la recette originale et non encore enregistrées ne sont également pas présentes dans la nouvelle recette.

Modification du nom ou du numéro de recette

Le nom de la recette doit être unique. L'unicité du numéro de recette n'est pas contrôlée. Il est uniquement utilisé pour appeler une recette via une variable, à l'aide de la fonction Recipe Group Manager. Si plusieurs recettes comportant le même numéro existent, zenon utilise la première recette trouvée.

Changement de nom ou suppression de recettes

Pour pouvoir renommer ou supprimer une recette, un utilisateur doit disposer de l'autorisation d'utilisation associée à toutes les versions existantes de la recette.

Actualité des informations affichées

Le synoptique Recipe group Manager utilise une copie de la base de données du module Recipegroup Manager dans le Runtime. Les informations actuelles provenant de la base de données sont affichées dans le Runtime lors de l'affichage du synoptique Recipe Group Manager. Cet affichage n'est pas mis à jour automatiquement.

Les modifications sont mises à jour comme suit :

  • Si le contenu est modifié en raison de l'exécution d'une fonction ou de l'édition du synoptique dans un client, la modification n'est pas représentée dans le synoptique actuellement affiché. Pour afficher les modifications, vous devez fermer, puis rouvrir le synoptique. La base de données est alors lue à nouveau, et l'état mis à jour est affiché.
  • Les nouveaux groupes de recettes sont affichés immédiatement, dès la réouverture du synoptique ; les variables sont uniquement affichées après l'actualisation du Runtime.
  • Les recettes et les groupes de recettes modifiés dans Editor uniquement affichés après l'actualisation du Runtime.

attention Attention

Si la variable de visibilité (propriété Visibilité/Variable) modifie sa valeur pendant qu'un synoptique Recipe Group Manager contenant la variable est ouvert, le module Recipe Group Manager est ouvert. Les modifications du synoptique qui ne sont pas enregistrées sont alors perdues.

Mise en file d'attente sur le réseau

À partir de la version 7.10, le module RGM autorise la mise en file d'attente des communications sur le réseau. Les requêtes du module RGM reçoivent un identifiant unique et sont traitées dans l'ordre. Les versions antérieures à zenon 7.10 n'autorisent pas la mise en file d'attente. Ceci signifie que les requêtes qui parviennent au serveur durant le traitement d'une autre requête sont refusées.

Autres sujets abordés dans ce chapitre

Liste de recettes

Liste de valeurs de recette

Claviers

Informations d'état des recettes et du module Recipe Group Manager

Écriture de valeurs dans une recette depuis un synoptique (variables de recette graphique)


Liste de recettes

Manuel -> Recipe Group Manager -> Utilisation dans le Runtime -> Liste de recettes

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Une entrée individuelle de la liste de recettes peut être sélectionnée. La recette sélectionnée est affichée dans la table de valeurs des recettes, et peut ensuite être éditée à l'aide des boutons (renommer, supprimer, etc.). Les colonnes peuvent être organisées en effectuant un glisser-déplacer (sauf sous Windows CE).

Si la liste est utilisée conjointement aux listes déroulantes Nom de recette ou Recipe version (Version de la recette), la sélection est synchronisée. Si la sélection est modifiée dans la liste déroulante, la sélection change dans la liste de recettes, et inversement. Si l'entrée sélectionnée n'est pas visible en raison d'un critère de filtre, aucune sélection n'est effectuée dans la liste.

De nouvelles recettes et versions de recettes sont ajoutées à la fin de la liste, indépendamment des critères de filtre. Les données de recettes modifiées, par exemple le texte d'un commentaire ou de l'état, sont affichées après l'enregistrement de la recette. Les textes (c'est-à-dire la langue) des commentaires et les intitulés de colonnes sont traduits.

Apparence de la liste de recettes : Reportez-vous à la section Édition de la liste de recettes.


Liste de valeurs de recette

Manuel -> Recipe Group Manager -> Utilisation dans le Runtime -> Liste de valeurs de recette

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Dans la table de valeurs de la recette, les valeurs et actions sont affichées pour la recette sélectionnée. La table de valeurs de la recette est disponible dans deux versions :

  • Liste de valeurs de recette
  • Liste des valeurs de la recette (CE)

Différences entre les tables de valeurs de la recette

Liste de valeurs de recette

Les colonnes de la table peuvent être réorganisées en effectuant un glisser-déplacer, et leur contenu peut être trié en cliquant sur l'en-tête de la colonne. Les colonnes peuvent être sélectionnées et mises en forme à l'aide des boutons de sélection de colonnes de la table de valeurs de la recette et de mise en forme des colonnes de la table de valeurs de la recette.

Les possibilités suivantes sont disponibles :

  • Ordre d'écriture : Affichage uniquement
  • Action : Affichage uniquement
  • Identifiant de ressource : Affichage uniquement
  • Texte de filtre : Affichage uniquement
  • Valeur actuelle : Affichage uniquement
  • Identification : Affichage uniquement
  • Unité de mesure : Affichage uniquement
  • Valeur maximale : Affichage uniquement
  • Valeur minimum : Affichage uniquement
  • Nom de la variable : Affichage uniquement
  • Valeur ou variable : peuvent être modifiées en fonction de l'entrée dans la colonne Action
  • Affichage des valeurs sous forme de texte : peuvent être modifiées en fonction de l'entrée dans la colonne Action (uniquement via le synoptique Keyboard)

Liste des valeurs de la recette (CE)

Cette table est configurée dans la fonction d'appel de synoptique.

Utilisation dans le Runtime

La table de valeurs de la recette est utilisée si cette condition est applicable :

  • La table de valeurs de la recette a été configurée dans le synoptique et la propriété Utiliser une table standard a été sélectionnée pour l'option Mise en forme de la table de valeurs de la recette.

La table de valeurs de la recette CE est utilisée si l'une des conditions suivantes est applicable :

  • La table de valeurs de la recette CE a été configurée dans le synoptique.
  • La table de valeurs de la recette a été configurée dans le synoptique et la propriété Utiliser un fichier de mise en forme pour la table a été sélectionnée pour l'option Mise en forme de la table de valeurs de la recette.
  • La propriété Projet Windows CE doit être activée dans les propriétés du projet.

Autres sujets abordés dans ce chapitre

Sélection des colonnes de la table de valeur des recettes

Mise en forme des colonnes de la table de valeurs de la recette

Affichage, exportation ou impression de la table de valeurs de la recette avec Report Viewer

Valeurs et actions

Validation de la valeur de recette

Afficher la valeur sous forme de texte


Sélection des colonnes de la table de valeur des recettes

Manuel -> Recipe Group Manager -> Utilisation dans le Runtime -> Liste de valeurs de recette -> Sélection des colonnes de la table de valeur des recettes

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Cliquez sur le bouton Sélection des colonnes pour afficher la boîte de dialogue de configuration des colonnes à afficher dans la liste. Ce bouton doit être configuré dans Editor.

Remarque : Indisponible si, pour un appel de synoptique dans la table de valeurs de la recette, la propriété Fichier de mise en forme de la table : a été sélectionnée.

Options | Fonction
Colonnes disponibles | Liste de colonnes pouvant être affichées dans la table.
Colonnes sélectionnées | Colonnes affichées dans la table.
Ajouter -> | Déplace la colonne sélectionnée des colonnes disponibles vers les éléments sélectionnés. Lorsque vous confirmez la boîte de dialogue en cliquant sur OK, ces colonnes sont affichées dans la vue de détail.
Ajouter toutes -> | Déplace toutes les colonnes disponibles vers les colonnes sélectionnées.
<- Supprimer | Supprime les colonnes marquées des éléments sélectionnés et les affiche dans la liste des colonnes disponibles. Lorsque vous confirmez la boîte de dialogue en cliquant sur OK, ces colonnes sont supprimées de la vue de détail.
<- Supprimer tout | Toutes les colonnes sont supprimées de la liste des colonnes sélectionnées.
Haut | Déplace l’entrée sélectionnée vers le haut. Cette fonction est uniquement disponible pour les entrées uniques?; les sélections multiples ne sont pas autorisées dans ce cas.
Bas | Déplace l’entrée sélectionnée vers le bas. Cette fonction est uniquement disponible pour les entrées uniques?; les sélections multiples ne sont pas autorisées dans ce cas.

Close dialog

Option | Description
OK | Applique les paramètres et ferme la boîte de dialogue.
Cancel | Annule toutes les modifications et ferme la boîte de dialogue.


Mise en forme des colonnes de la table de valeurs de la recette

Manuel -> Recipe Group Manager -> Utilisation dans le Runtime -> Liste de valeurs de recette -> Mise en forme des colonnes de la table de valeurs de la recette

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Cliquez sur le bouton Format des colonnes pour ouvrir la boîte de dialogue de configuration des colonnes. Ce bouton doit être configuré dans Editor.

Remarque : Indisponible si, pour un appel de synoptique dans la table de valeurs de la recette, la propriété Fichier de mise en forme de la table : a été sélectionnée.

Colonnes disponibles

Options | Description :
Colonnes disponibles | Liste de colonnes disponibles avec la fonction de sélection de colonnes. La configuration de la colonne sélectionnée se déroule via les options de la section Paramètres.

Paramètres

Option

Description :

Paramètres

Paramètres de la colonne sélectionnée.

Intitulé

Nom de l’intitulé de colonne.

Cet intitulé de colonne est compatible avec la fonction de changement de langue en ligne. Pour cela, le caractère @ doit être saisi devant le nom.

Largeur

Largeur de la colonne en caractères.
Calcul : nombre de caractères multiplié par la largeur moyenne des caractères de la police sélectionnée.

Alignement

Alignement. La sélection de l'attribution s'effectue au moyen des cases d'option.

Paramètres possibles :

  • Gauche : Le texte est justifié contre le bord gauche de la colonne.
  • Centré : Le texte est centré dans la colonne.
  • Droite : Le texte est justifié contre le bord droit de la colonne.

Couleurs définies par l'utilisateur

Propriétés permettant de sélectionner des couleurs définies par l’utilisateur pour le texte et l’arrière-plan. Les paramètres ont une incidence dans Editor et dans le Runtime.

Remarque :

  • Ces paramètres sont uniquement disponibles pour les listes configurables.
  • En outre, le focus correspondant dans la liste peut être indiqué par différentes couleurs de texte et d’arrière-plan dans le Runtime. Celles-ci sont configurées dans les propriétés du projet.

Couleurs définies par l’utilisateur

Active : Les couleurs définies par l’utilisateur sont appliquées.

Couleur du texte

Couleur d’affichage du texte. Cliquez sur la couleur pour la palette de sélection de couleurs.

Couleur d'arrière-plan

Couleur d’affichage de l’arrière-plan de la cellule. Cliquez sur la couleur pour la palette de sélection de couleurs.

Désactiver le filtre de colonnes dans le Runtime
  • Active : Le filtre de cette colonne ne peut pas être modifié dans le Runtime.

Remarque : Uniquement disponible pour :

  • Batch Control
  • Extended Trend
  • Synoptiques de filtre
  • Message Control
  • Gestionnaire de groupe de recettes (Recipe Group Manager)
  • Gestion d'équipes
  • Liste contextuelle

Fermer boîte de dialogue

Options | Description :
OK | Applique les paramètres et ferme la boîte de dialogue.
Annuler | Annule toutes les modifications et ferme la boîte de dialogue.
Aide | Ouvre l'aide en ligne.


Affichage, exportation ou impression de la table de valeurs de la recette avec Report Viewer

Manuel -> Recipe Group Manager -> Utilisation dans le Runtime -> Liste de valeurs de recette -> Affichage, exportation ou impression de la table de valeurs de la recette avec Report Viewer

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Pour afficher une table de valeurs de la recette sous forme de rapport et l'imprimer :

  1. Créez les variables du driver système correspondant.
  2. Créez le rapport correspondant :
  3. Affichez le rapport dans le Runtime, ou imprimez ou exportez le rapport.

Créer des variables de driver système

Créez les variables du driver système à partir du groupe Recipe Group Manager. Pour cela :

Créez une nouvelle variable.

  1. Sélectionnez SYSDRV en tant que driver.
  2. Sélectionnez Variable système en tant que type d'objet.

  3. Cliquez sur Suivant.
  4. Ajoutez les variables de driver système suivantes :
    • RGM dernière recette sélectionnée - nom du groupe (local)
    • RGM dernière recette sélectionnée - nom de la recette (local)
    • RGM dernière recette sélectionnée - version de la recette (local)
    • RGM dernière recette sélectionnée - état de la recette (local)

  5. Cliquez sur Terminer.

Configurer le module Report Viewer

Créez un nouveau rapport RGMReport.rdl avec les données de la recette et les valeurs de la recette.
Pour cela :

  1. Créer un nouveau rapport.
  2. Sélectionnez les ensembles de données Données de la recette et Valeurs de la recette.

  3. Confirmez votre sélection en cliquant sur OK.
  4. Enregistrez le fichier dans Report Builder sous le nom RGMReport.rdl, ou renommez-le dans zenon.

Affichez le rapport, exportez-le directement ou imprimez-le

Affichage du rapport dans le Runtime

Pour afficher le rapport dans le Runtime :

  1. Créez un synoptique Report Viewer si le projet n'en comporte pas déjà un.
  2. Configurez une fonction d'appel de synoptique pour le synoptique Report Viewer.
  3. Sélectionnez le fichier RGMReport.rdl précédemment créé en tant que fichier de définition de rapport.
  4. Cliquez sur le bouton Lire les ensembles de données à partir du fichier.
  5. Les ensembles de données sont affichés.

  6. Sélectionnez le premier ensemble de données, par exemple, les données de la recette.
  7. Cliquez sur Édition.
  8. La boîte de dialogue de configuration s'affiche.
    Basculez vers l'onglet Filtre de recette.
  9. Basculez les quatre listes déroulantes de Sélection de la recette ou du groupe de recettes
    de [...] Statique
    à[...] depuis la variable.
  10. Attribuez une des variables de driver système précédemment créées à chaque entrée.

  11. Répétez cette étape pour le deuxième ensemble de données (valeurs de la recette).
  12. Fermez la boîte de dialogue et les fonctions et attribuez un nom à la fonction.
  13. Attribuez cette fonction à un bouton sur le synoptique RGM pour l'utiliser dans le Runtime.

Imprimer ou exporter un rapport

Pour imprimer directement ou exporter un rapport :

  1. Créez une nouvelle fonction.
  2. Accédez au groupe de fonctions Report Generator / Report Viewer / Analyzer.
  3. Sélectionnez la fonction Report Viewer : exporter / imprimer.

  4. Sélectionnez l'action souhaitée pour l'option Publier le rapport :
    • Sortie en PDF : Crée un document PDF.
      Configurez le nom du fichier et l'emplacement d'enregistrement, ainsi que l'option Remplacer les données existantes.
    • Sortie sur imprimante : Imprime la table sur l'imprimante configurée.
  5. Basculez vers l'onglet Définition de rapports.
  6. Configurez cet onglet de la même manière que la documentation pour la propriété Afficher le rapport dans le Runtime.
  7. Fermez la boîte de dialogue et les fonctions et attribuez un nom à la fonction.
  8. Attribuez cette fonction à un bouton sur le synoptique RGM pour l'utiliser dans le Runtime.


Valeurs et actions

Manuel -> Recipe Group Manager -> Utilisation dans le Runtime -> Liste de valeurs de recette -> Valeurs et actions

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Les valeurs et actions peuvent être modifiées dans le Runtime, directement dans la table de valeurs de la recette.

Remarque : Dans Editor, les actions et les valeurs sont définies lors de l'édition d'une recette. Voir Édition d'une recette du groupe de recettes/Actions.

info Informations

Si des valeurs ou des actions non valides sont présentes dans une recette, celles-ci ne sont pas enregistrées. Si, par exemple, le type d'action est modifié, mais la valeur de l'action n'est pas modifiée, la commande Enregistrer la recette peut être exécutée, mais les valeurs modifiées non valides ne sont pas appliquées.

Saisir des valeurs

Les valeurs affichées dans la colonne Valeur ou variable et dans la colonne Affichage des valeurs sous forme de texte peuvent être modifiées directement dans le Runtime, ou au moyen d'un synoptique Clavier.

Pour saisir des valeurs dans les cellules :

  1. Double-cliquez sur la cellule.
  2. Saisissez la valeur.

Remarque :

  • Seules les valeurs conformes à la Limite de valeur pour Valeur min. et Valeur max. définie pour les valeurs de la recette peuvent être saisies.
  • L'édition d'une valeur ou d'une variable est uniquement possible si l'action associée possède l'un des types suivants :
    • Modification valeur spontanée
    • Commuter vers mode "valeur spontanée" :
    • Modifier valeur de remplacement
    • Commuter vers mode valeur de remplacement :
    • État utilisateur
    • Lier à une variable
  • Si un clavier doit être appelé pour la saisie, il doit être lié à al variable ou configuré pour le type de données.

Remarque : Les valeurs de la recette peuvent être basculées à l'aide de variables invisibles.

Filtrage des valeurs

Les valeurs peuvent être filtrées ou affichées à l'aide d'éléments de contrôle de filtres. Si un filtre est sélectionné dans la liste déroulante, les valeurs correspondantes sont basculées en mode invisible ou sont affichées. Si aucun filtre n'est sélectionné, toutes les valeurs sont affichées à l'exception des variables basculées en mode invisible.

Définir des actions

Les valeurs dans la colonne Action peuvent être modifiées directement dans le Runtime via une sélection dans une liste déroulante.

Pour définir une action :

  1. Double-cliquez sur la cellule Action des variables correspondantes.
  2. Cliquez sur le symbole comportant une flèche.
  3. Sélectionnez l'action souhaitée dans la liste déroulante.
  4. L'action est appliquée à la table de valeurs de la recette avec la sélection.

Actions disponibles :

Action

Description

Saisir une valeur dans Valeur ou variable.

Aucune action

Désactive une variable dans cette recette.

Aucune saisie.

État utilisateur

Informations d'état. Définit le bit d'état correspondant de la variable.

Remarque : vous pouvez uniquement définir les bits d'état identifiés comme définis par l'utilisateur. Les bits d'état automatiquement définis par le système ne peuvent pas être modifiés.

Attention : Pour pouvoir appeler un clavier dans le Runtime, un synoptique de type Clavier doit être lié dans le groupe de propriétés Claviers de la propriété Tags de chaîne.

Saisissez l'intitulé d'état court :
=1 pour définir
=0 pour réinitialiser

Vous pouvez définir d'autres états en les séparant par un point-virgule (;). Par exemple :
M1 ; état utilisateur 0

Modifier valeur de remplacement

Définit la valeur de remplacement sur la valeur spécifiée sous Valeur ou variable.

Saisir la valeur de remplacement.

Modification valeur spontanée

Définit la valeur spontanée sur la valeur spécifiée sous Valeur ou variable.

Saisir une valeur prescrite.

Désactiver valeur spontanée

Désactive la valeur spontanée en définissant le bit d'état OFF (bit 20).

Aucune saisie.

Activer valeur spontanée

Active la valeur spontanée en réinitialisant le bit OFF.

Aucune saisie.

Basculer vers valeur de remplacement

Bascule de la valeur spontanée vers la valeur de remplacement.

Aucune saisie.

Basculer vers valeur spontanée

Bascule de la valeur de remplacement vers la valeur spontanée.

Aucune saisie.

Commuter vers et modifier valeur de remplacement

Bascule de la valeur spontanée vers la valeur de remplacement et définit la valeur de remplacement sur la valeur spécifiée sous Valeur ou variable.

Saisir la valeur de remplacement.

Basculer et modifier la valeur spontanée

Bascule de la valeur de remplacement vers la valeur spontanée et définit la valeur spontanée sur la valeur spécifiée sous Valeur ou variable.

Saisir une valeur prescrite.

Lier à une variable

Lie une variable à une autre variable.

Nom d'une variable.

Cliquez avec le bouton droit dans le champ pour ouvrir le menu contextuel dans lequel vous pouvez afficher la boîte de dialogue de sélection de variables. La valeur de la variable est transférée vers la variable de recette sélectionnée. Il est possible d'utiliser des variables d'autres projets actuellement chargés en mémoire.

Remarque : La colonne Affichage des valeurs sous forme de texte peut également être modifiée. Pour cela, un synoptique Keyboard doit être lié. Les paramètres correspondent à ceux de la colonne Valeur ou variable.
Les actions suivantes sont des exceptions :

  • État utilisateur : peut uniquement être édité avec un clavier RGM.
  • Lier à une variable : modification impossible

attention Attention

Si la fonction Lire toutes les valeurs est utilisée avec l'action Lier à une variable au niveau de la recette, l'autorisation de l'utilisateur n'est pas vérifiée et l'action n'est pas consignée dans le journal. Si vous voulez créer un journal, vous devez le créer manuellement, par ex. à l'aide d'une macro VBA.

Note concernant la réglementation FDA : En conséquence, cette fonctionnalité ne peut pas être utilisée pour les projets qui doivent respecter de façon stricte les standards de la FDA !

Identification des erreurs et des verrouillages

Les valeurs affichées dans les tables de valeurs de la recette sont vérifiées automatiquement et sont mises en évidence si des erreurs sont présentes. Les cellules suivantes sont marquées.

  • Erreur :
    • Valeurs extérieures à la valeur minimum/maximum définie
    • Valeurs associées à une variable absente ou non joignable

    Par défaut : couleur d'arrière-plan rouge.
    Cet intitulé d'erreur est indisponible pour la table de valeurs de la recette CE.

  • Cellules affichant les paramètres verrouillés.
    Par défaut : couleur d'arrière-plan grise.

La mise en correspondance de valeurs de l'automate et de la recette peut être affichée et vérifiée à l'aide de la fonction de vérification des valeurs de la recette.

Les couleurs du texte et de l'arrière-plan peuvent être modifiées individuellement à l'aide des propriétés du groupe Couleurs (indisponible pour la table de valeurs de la recette CE).

Priorité des marquages de couleur

Si plusieurs couleurs sont appliquées sur une liste, les priorités suivantes s'appliquent :

  1. Général : Sélection couleurs pour les listes d'objets
  2. Module RGM : Validation valeur de recette
  3. Module RGM : Validation en ligne
  4. Module RGM : Verrouillage
  5. Fichier: Couleur des colonnes


Validation de la valeur de recette

Manuel -> Recipe Group Manager -> Utilisation dans le Runtime -> Liste de valeurs de recette -> Validation de la valeur de recette

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Lors de la vérification de la recette, la valeur de la recette et la valeur réelle sont comparées. Le résultat de la vérification peut être affiché dans la table de valeurs de la recette ou être transféré vers des variables système.

Les valeurs de la recette peuvent être vérifiées :

  • Automatiquement, lors du chargement, de l'enregistrement et de la lecture des valeurs de l'automate.
  • Avec la fonction Vérification valeur recette.
  • Avec la fonction Recipe Group Manager.
  • À l'aide de code VBA.

Une valeur est non valide si :

  • Une action fait référence à une variable, mais aucune variable n'est liée.
  • Une certaine action fait référence à des valeurs extérieures à la plage autorisée (min./max.). Ceci s'applique aux figures suivantes :
    • Modifier valeur de remplacement
    • Modification valeur spontanée
    • Commuter vers mode "valeur spontanée" :
    • Commuter vers mode valeur de remplacement :

Coloration

Les résultats sont affichés dans la colonne Valeur actuelle, dans la couleur correspondante. Les couleurs peuvent être modifiées via les propriétés du groupe Couleurs/Validation valeur de recette. La fonction de modification est indisponible pour la table de valeurs de la recette CE. Les couleurs individuelles peuvent également être configurées pour les verrouillages. Si des erreurs sont présentes, la table associée à l'emplacement de la première erreur identifiée (couleur rouge ou violette) est parcourue.
Coloration :

  • Vert : Les résultats correspondent.
  • Rouge : La valeur de l'automate diffère de la valeur de la recette.
  • Bleu : Pas de connexion à l'automate.

Bouton Vérification valeur recette

Pour vérifier immédiatement des valeurs d'une recette dans le Runtime, dans la table de valeurs de la recette :

  1. Configurez le bouton Vérification valeur recette dans le synoptique.
  2. Cliquez sur le bouton Imprimer avec boîte de dialogue dans le Runtime.
  3. Toutes les variables liées à la recette sont lues et les valeurs réelles actuelles sont comparées aux valeurs de la recette.

Attention : La fonction de l'élément de contrôle utilise des points décimaux lors de la synchronisation avec l'automate. Si, pour les variables du type de données REAL, la propriété Nombre de décimales n'est pas configurée conformément aux paramètres de l'automate et les valeurs dans la zone du point décimal sont différentes, la fonction affiche différentes valeurs.

Fonction Recipe Group Manager

Pour vérifier les valeurs de la recette dans le Runtime et afficher le résultat à l'aide de variables de driver système :

  1. Configurez une fonction Recipe Group Manager.
  2. Si la fonction est déclenchée dans le Runtime :
    1. Les valeurs de la recette sont vérifiées
    2. Les résultats sont transférés vers les variables système correspondantes


Afficher la valeur sous forme de texte

Manuel -> Recipe Group Manager -> Utilisation dans le Runtime -> Liste de valeurs de recette -> Afficher la valeur sous forme de texte

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

La colonne Affichage des valeurs sous forme de texte peut uniquement être définie si un synoptique Keyboard est lié. Aucune saisie n'est possible pour l'action Lier à une variable.

Pour une valeur, si vous souhaitez également afficher la signification de la valeur dans une recette dans le Runtime :

  1. Créez une matrice de réaction de type Numérique ou Chaîne pour la variable utilisée dans la recette.

    Le type de matrice de réaction doit correspondre au type de variable utilisé.

  2. Dans la matrice de réaction, vous définissez des états "égal à" et saisissez la signification souhaitée, c'est-à-dire le texte à afficher.

Vous pouvez également procéder ainsi : Pour afficher du texte, vous pouvez également utiliser des valeurs limite ou des matrices de réaction binaires avec des états autres que "égal à". Dans ce cas, toutefois, vous ne pouvez pas utiliser les fonctions des synoptiques de type Clavier.

Affichage dans le Runtime

La liste de valeurs de la recette d'un synoptique de type Recipe Group Manager affiche, dans la colonne Afficher la valeur sous forme de texte, les textes de valeur limite liés provenant soit de la matrice de réaction, soit de la valeur limite dépassée par la valeur de la recette. Si aucun texte de valeur limite n'est lié, la valeur de la recette est affichée.

Dans les listes configurées par l'utilisateur du module Report Generator, vous pouvez obtenir les mêmes fonctionnalités à l'aide des fonctions recipew et recipef avec le paramètre Symbole.

Si une valeur de recette est modifiée et un état de valeur limite est dépassé, le texte de valeur limite affiché est immédiatement mis à jour. Les valeurs peuvent être modifiées dans le Runtime, dans la table de valeurs de la recette, à l'aide d'un synoptique de type Keyboard.

Entrées de la liste d'événements

Lors des modifications de valeurs de recettes et de l'écriture de recettes (valeur de la recette), les valeurs et les textes de valeur limite correspondants sont inscrits dans l'entrée de la liste d'événements. Si aucun état ou valeur limite n'est dépassé, seule la valeur est écrite.


Claviers

Manuel -> Recipe Group Manager -> Utilisation dans le Runtime -> Claviers

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Les claviers dans zenon sont utilisés en tant que claviers virtuels autorisant la saisie sur des équipements sans clavier physique dans le Runtime. Les claviers sont définis à l'aide d'un synoptique de type Clavier. zenon fournit des claviers générés automatiquement, qui peuvent être configurés par l'utilisateur. Les claviers peuvent être définis pour des entrées dans la table de valeurs de la recette. Lorsque vous cliquez sur une cellule dans la colonne Valeur ou variable, le clavier correspondant est appelé.
Exigence : Dans Editor, le clavier était

  • Soit configuré pour le type de données correspondant
  • Soit lié à la variable

Les claviers suivants sont disponibles dans le groupe Claviers :

  • Tags binaires
  • Tags numériques
  • Tags de chaîne

attention Attention

Un clavier de type String est requis pour le type d'action État utilisateur. Celui-ci doit être configuré en tant que clavier String global.

Raison : Pour éditer une variable, le clavier lié à la variable et associé à son type de données est toujours appelé. Un clavier de type String est requis pour le type d'action État utilisateur. Celui-ci n'est pas lié à une variable numérique et doit donc être configuré séparément.

Configuration : Configurez le clavier à l'aide de la propriété Tags de chaîne du groupe de propriétés Claviers du module RGM.

Clés du clavier du module RGM

Pour le module RGM, les éléments de contrôle spéciaux sont disponibles sous Éléments de contrôle -> Spécifiques à Recipe Group Manager lors de la configuration du synoptique de clavier :

Élément de contrôle

Description

Envoyer la valeur

La valeur prescrite est transmise à la variable, mise à jour dans la recette, puis le clavier est fermé.

Enregistrer la recette

La recette est enregistrée.

Envoyer la valeur et enregistrer la recette

La valeur prescrite est transmise à la variable, la recette est enregistrée et le clavier est fermé.

Valeur affichée comme Texte 1
en
Valeur affichée comme Texte 32

Les touches peuvent être liées à des valeurs limites provenant de matrices de réaction. Pour cela, la variable du paramètre de recette

  • doit être liée à la une matrice de réaction de type Numérique ou une matrice de réaction de type Chaîne et
  • les états "égale" doivent être inclus

Les touches attribuées sont affichées dans le Runtime, et reçoivent en intitulé le texte provenant de la matrice de réaction.

Cliquez sur le bouton pour écrire la valeur liée dans la matrice de réaction sous forme de proposition pour la valeur de la recette dans l’élément de contrôle Saisie de valeur prescrite.


Informations d'état des recettes et du module Recipe Group Manager

Manuel -> Recipe Group Manager -> Utilisation dans le Runtime -> Informations d'état des recettes et du module Recipe Group Manager

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Dans le Runtime, les informations d'état sont fournies pour :

  • Lecture/écriture
  • Exporter/Importer
  • Enregistrer

Si une recette est écrite, la variable d'état contient le résultat de l'opération d'écriture.

Valeurs

Exécuter recette

Variable de driver de système : Recette standard/Recette de module RGM entièrement écrite

Valeur | Résultat
0 | Envoyer valeur d'initialisation avant la recette
1 | Écriture réussie
2 | Écriture non exécutée à cause d'une erreur de paramètre
3 | Écriture non réussie
5 | Écriture terminée, car le Runtime a été arrêté
6 | Expiration du délai d'attente

Remarque : si le réseau est actif dans le projet, la variable de driver système Recette/Recette de groupe écrite complètement localement est significative pour la fonction exécutée sur l'ordinateur local.

info Informations

Le terme "écriture" désigne l'écriture sur le driver. Le driver transfère ensuite la recette vers le contrôle. Ceci signifie :

  • Propriété Ecrire de façon synchrone inactif : la valeur 1 pour le paramètre Recette/Recette de groupe écrite complètement ne signifie pas que les valeurs sont disponibles dans le contrôle. Elles sont écrites dans le driver.
  • Propriété Ecrire de façon synchrone active : le changement de valeur se déroule lorsque toutes les valeurs au niveau du contrôle sont actuelles.

Remarque : La progression de l'écriture est uniquement affichée si la propriété Ecrire de façon synchrone est active.

Recette en cours

Variable de driver du système Recette standard/Fonction de recette en cours du module RGM

Valeur

Résultat

-1

en cours d'exécution

0

Valeur d'initialisation, lecture réussie

1

L'utilisateur n'a pas l'autorisation

2

Pas d'autorisation sur le réseau

3

Annulation par l'utilisateur

4

Erreur - impossible de lire un élément, par ex.

  • Si la communication avec le matériel est interrompue avant le lancement de la lecture
  • Un bloc de données n'est pas disponible sur l'automate
  • Erreur lors de la transmission

5

Erreur lors de l'enregistrement du fichier de recette

6

Fonction annulée via VBA

Fonctions spécifiques selon le type de synoptique

Pendant

  • lecture (variable de driver système : Lecture toutes les valeurs de la recette standard/recette de groupe terminée
  • Exportation/importation et
  • Enregistrer

d'une recette via une fonction spécifique du synoptique, les valeurs suivantes sont disponibles :

Valeur

Résultat

0

Valeur d'initialisation attend une réponse du driver

1

Lecture réussie

2

Erreur pendant la lecture, l'exportation/importation ou l'enregistrement

  • Si la communication avec le matériel est interrompue avant le lancement de la lecture
  • Un bloc de données n'est pas disponible sur l'automate
  • Erreur lors de la transmission


Écriture de valeurs dans une recette depuis un synoptique (variables de recette graphique)

Manuel -> Recipe Group Manager -> Utilisation dans le Runtime -> Écriture de valeurs dans une recette depuis un synoptique (variables de recette graphique)

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Les valeurs des recettes peuvent être modifiées directement dans le Runtime, à l'aide de synoptiques. Pour cela, des variables de recette graphique sont utilisées ; elles peuvent être lues et écrites dans le module Recipe Group Manager, à l'aide de la fonction Recipe Group Manager.

Définition d'une variable de recette graphique

Une variable de recette graphique peut être définie pour chaque variable dans une recette. Chaque variable de recette graphique peut uniquement être utilisée une fois par groupe de recettes. Il n'est pas nécessaire que toutes les variables du groupe de recettes comportent une variable de recette graphique. Pour définir une variable de recette graphique :

  1. Sélectionnez la variable du groupe de recettes.
  2. Accédez aux propriétés dans le groupe Général.
  3. Cliquez sur la propriété Variable de recette graphique
  4. La boîte de dialogue de sélection de variables s'affiche à l'écran
  5. Sélectionnez la variable de recette graphique de votre choix.
  6. Confirmez la boîte de dialogue en cliquant sur OK.

Procédure de configuration

  1. Durant la configuration, définissez une variable de recette graphique pour chaque variable comportant des valeurs pouvant être modifiées dans le Runtime à l'aide d'un synoptique.
    Ces variables sont définies à l'aide de la propriété Général/Variable de recette graphique.
  2. Configurez un synoptique affichant les valeurs de recettes modifiables (par exemple, une cuve).
  3. Liez le synoptique à la fonction Recipe Group Manager, puis sélectionnez l'action Écrire les valeurs de la recette dans les variables de recette graphique.
  4. Configurez un bouton sur le synoptique.
  5. Liez le bouton à la fonction Recipe Group Manager, puis sélectionnez l'action Écrire les variables de la recette graphique dans les valeurs de la recette.

Procédure dans le Runtime

  1. Le synoptique de configuration des valeurs du module Recipe Group Manager est appelé.
  2. Les variables sont alors remplacées par les variables de recette graphique.
  3. Lors de l'ouverture du synoptique, la fonction Recipe Group Manager est appelée par l'action Écrire les valeurs de la recette dans les variables de recette graphique.
  4. Les valeurs de la recette sont affichées sur le synoptique et peuvent être modifiées.
  5. Les valeurs modifiées sont écrites dans la recette du module Recipe Group Manager à l'aide du bouton associé à la fonction Recipe Group Manager/Écrire les variables de recette graphique dans les valeurs de la recette.
  6. Si une erreur se produit, elle peut être évaluée à l'aide des variables du driver système et des entrées des fichiers LOG.


Gestion d'erreur

Manuel -> Recipe Group Manager -> Gestion d'erreur

Les erreurs peuvent être évaluées à l'aide des messages des variables de driver système et des messages d'erreur. Les messages des variables du driver système sont présentés dans le chapitre Manuel des variables du driver système, section Recipe Group Manager.

Fichiers journaux

Entrée

Niveau

Signification

Événements COM

Événement COM "RecipeCreate" renvoyé avec le message "bAnnuler == TRUE"

DÉBOGAGE

Message des événements COM si l'action correspondante est annulée avec le paramètre de fonction bAnnuler :

  • RecipeCreate
  • VersionCreate
  • RecipeDuplicate
  • VersionDuplicate
  • VersionDuplicateRead
  • RecipeRename
  • RecipeDelete
  • VersionDelete

Aucune entrée de fichier journal spéciale n'est insérée si l'action n'est pas annulée dans la fonction d'événement.

Variable de recette graphique

RGM : valeur enseignée hors plage min.-max. Variable : "x1", Value: x2, FromShadow: x3

ÉCHEC

Une valeur lue dépasse la valeur des propriétés Valeur min. ou Valeur max. de la valeur cible de la recette.

  • x1: Nom variable
  • x2: valeur normalisée de la variable
  • x3: Remarque concernant la valeur de procédé ou la valeur d'une variable de recette graphique

Erreur lors de la lecture de la valeur actuelle pour la journalisation dans la liste CEL.

INTERNE

Une erreur s'est produite lors de la lecture de la valeur actuelle pour la journalisation dans la liste CEL (recette définie). Raisons possibles :

  • Une valeur est située hors des limites Valeur min. et Valeur max.
    -> Entrée supplémentaire RGM : valeur enseignée hors plage min.-max. Variable : "x1", Value: x2, FromShadow: x3
  • Une valeur comporte l'état INVALID
  • Le délai d'attente a expiré

Messages contextuels

Message | Signification
Le nom "Recipe\Test" contient des caractères non valides (\"'./*?<>!|). | Le nom du groupe de recettes ou le nom de la recette saisi n'est pas conforme aux directives d'attribution de noms. L'expression entre parenthèses contient des caractères non autorisés.
Supprimer la version "7" de la recette "Recipe1" ? | Demande de confirmation avant la suppression d'une version de recette sur le synoptique Recipe Group Manager dans le Runtime.


Exemples

Manuel -> Recipe Group Manager -> Exemples

Vous trouverez ici des exemples de configuration :

Autres sujets abordés dans ce chapitre

Écriture de la version la plus élevée d'une recette avec l'état Autorisée sur un automate

Changement de langue du texte affiché dans l'élément de texte dynamique


Écriture de la version la plus élevée d'une recette avec l'état Autorisée sur un automate

Manuel -> Recipe Group Manager -> Exemples -> Écriture de la version la plus élevée d'une recette avec l'état Autorisée sur un automate

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Pour écrire la version la plus élevée d'une recette avec l'état Autorisé dans un automate dans le Runtime :

  1. Création de textes d'état pour l'état de la recette :
    1. Ouvrez la propriété Identifiant d'état de recette dans l'élément Recipe Group Manager
    2. Dans la boîte de dialogue, créez les états :

      - 1 provisoire

      - 2 vérifiée

      - 3 autorisée

      - 4 bloquée

      - 5 supprimée

    Conseil : ici, vous pouvez également définir les textes d'état avec le préfixe @, ainsi que les mots-clés de changement de langue (par exemple : @Validée

  2. Création de plusieurs versions d'une recette :
    1. Créez un nouveau groupe de recettes à l'aide du menu contextuel
    2. Liez des variables au groupe de recettes
    3. Création d'une nouvelle recette
    4. Créez une nouvelle version de la recette.
    5. Changez l'état de la deuxième version de la recette en 3 Autorisée
  3. Création de la fonction :
    1. Sélectionnez la recette, puis sélectionnez l'option Créer une fonction standard dans le menu contextuel ou la barre d'outils
    2. La boîte de dialogue de configuration s'affiche à l'écran.
    3. Sélectionnez Exécuter recette
    4. Définissez le paramètre Recipe version (Version de la recette) sur >
    5. Dans Recette statique, sélectionnez l'entrée 3 Autorisée

Si la fonction est exécutée dans le Runtime, la version la plus élevée de la recette avec l'état 3 Autorisée est écrite sur l'automate. Si, par exemple, une nouvelle version d'une recette est créée avec l'état 3 Autorisée, cette nouvelle version est écrite sur l'automate lors de la prochaine exécution de la fonction.


Changement de langue du texte affiché dans l'élément de texte dynamique

Manuel -> Recipe Group Manager -> Exemples -> Changement de langue du texte affiché dans l'élément de texte dynamique

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Pour utiliser le changement de langue pour un élément de texte dynamique, créez celui-ci dans Editor et activez-le dans le Runtime.

Dans Editor

Pour créer et configurer un élément dynamique du type texte dynamique :

  1. Cliquez sur le symbole de texte dynamique dans la barre d'outils de l'élément, puis faites glisser l'élément vers le synoptique.
  2. Sélectionnez une variable de chaîne.
  3. Activez la propriété Traduire le texte affiché.

Dans le Runtime

La valeur prescrite par défaut affiche le texte sous forme de valeur brute. Le texte peut être édité :

Le texte affiché est modifié par la fonction de changement de langue :


Remote Transport

Manuel -> Remote Transport

Le module Remote Transport est utilisé pour transférer les fichiers du Runtime sur un système cible. Des explications concernant la sauvegarde et le rechargement des fichiers d’Editor sont fournies au chapitre sauvegardes des projets.

tutorial Informations concernant la licence

Composante de la licence standard d’Editor et du Runtime.

Informations générales

Si Editor et le Runtime sont sur le même PC, les fichiers du Runtime sont directement disponibles pour le Runtime. Si le Runtime s’exécute sur un autre ordinateur, les fichiers du Runtime sont transférés via Remote Transport afin de fournir une copie locale des fichiers.

Avec Remote Transport :

  • Seuls les fichiers requis sont transférés sur le réseau
  • D’autres fichiers (contrôles ActiveX, polices, etc.) peuvent également être transférés, au choix de l’utilisateur
  • Le transfert automatique vers Serveur 1 et Serveur 2 peut être déclenché
  • De nombreuses autres fonctions peuvent être utilisées

Conseil : Utilisez la vue Topologie du réseaudans Editor pour configurer tous les ordinateurs du Runtime et le transfert des fichiers du Runtime.

Remarque : Dans le cadre de la gestion multi-projets, vérifiez le transfert correct des projets individuels.

attention Attention

Les fichiers graphiques PNG ne peuvent pas être remplacés s'ils sont actuellement affichés dans le Runtime.

Arrière-plan : Le Runtime protège les fichiers .png ouverts. Ceci évite qu'ils ne soient remplacés.

Solution : Avant d'activer Remote Transport, assurez-vous que les synoptiques comportant des fichiers *.png :

  • Ne sont pas appelés dans le Runtime
  • Ne sont pas utilisés par un autre programme

Cela s'applique également à l'actualisation des fichiers Runtime modifiés. La synchronisation dans le Runtime sur le réseau ne fonctionne pas pour un synoptique comportant un fichier *.png si l'appel de synoptique est effectué sur un ordinateur zenon impliqué dans le procédé (serveur redondant, client).

Fonctionnalités

Outre la fonction de copie, Remote Transport propose également de nombreuses autres fonctionnalités :

Paramètres | Description
Copie incrémentielle | Editor identifie automatiquement, sur le système cible, les fichiers différents des fichiers devant être transférés et transfère uniquement les fichiers modifiés.
Définir le projet de démarrage | Avec Remote Transport, vous pouvez définir le projet de démarrage sur le poste distant.
Démarrer et arrêter le Runtime | Le Runtime peut être démarré et fermé sur l’ordinateur distant.
Récupérer l’état du système | L’état du système distant (système d’exploitation, version de zenon, lecteurs existants, etc.) peut être déterminé.
Redémarrer le système distant | Le PC distant peut être redémarré.
Actualisation en ligne | Le Runtime distant est actualisé en ligne à cet instant.
Démarrer la connexion au bureau distant | Crée une connexion Remote Desktop.
Rapatrier les données du projet | Les données de Runtime du projet peuvent être récupérées du système distant.
Copier et enregistrer des données | Les fichiers ne sont pas seulement copiés, mais également enregistrés sur le système cible. Cela s’avère particulièrement intéressant pour les polices de caractères et les éléments ActiveX.
Copier et exécuter des données | Les fichiers exécutables sont copiés et démarrés.

attention Attention

Tenez compte des indications suivantes lors du démarrage du Runtime via Remote Transport :

  • Le programme 32 bits zensyssrv.exe démarre le Runtime 32 bits
  • Le programme 64 bits zensyssrv.exe démarre le Runtime 64 bits

info Informations

En théorie, le transfert via l’Explorateur Windows ou la validation de lecteurs réseau est possible. Toutefois, nous déconseillons expressément cette procédure. Le transfert via Remote Transport est plus sécurisé et systématique, et réduit la charge exercée sur la connexion réseau. Lors de la connexion en tant que périphérique réseau, le bon fonctionnement du Runtime dépend de la disponibilité du lecteur et de l’adéquation de ses performances.

Autres sujets abordés dans ce chapitre

Barre de boutons Remote Transport

Menu contextuel Remote Transport

Configuration dans Editor

Établir la connexion

Traitement par lots : transferts vers plusieurs ordinateurs à la fois


Barre de boutons Remote Transport

Manuel -> Remote Transport -> Barre de boutons Remote Transport

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Un ordinateur de développement peut établir des connexions à distance vers d’autres postes. La barre d’outils Remote Transport fournit des fonctions pour les transferts et les requêtes de données.

Symbole

(de gauche à droite)

Fonction

Remote Transport : Paramètres de connexion

Ouvre la boîte de dialogue de configuration du module Remote Transport permettant de configurer le système cible et le dossier cible.

Remote Transport : Établir une connexion

Établit une connexion Remote Transport avec le système distant.

Transport distant : Transférer les fichiers du Runtime modifiés

Transfère tous les fichiers de Runtime modifiés sur l’ordinateur de développement vers l’ordinateur cible depuis la dernière modification.

Transport distant : Relire tous les fichiers du Runtime

Récupérer les fichiers du Runtime des dossiers configurés sur le système distant vers le dossier Runtime local.

Transport distant : Définir le projet de démarrage

Définit le projet actif comme projet de démarrage sur le système distant.

Transport distant : Démarrer le Runtime

Démarre le Runtime sur le système distant.

Transport distant : Arrêter le Runtime

Arrête Runtime sur le système distant.

Transport distant : Recharger le projet

Exécute la fonction Actualiser sur le système distant.

Remote Desktop: Démarrer la connexion

Démarre une connexion permettant d’actionner l’ordinateur cible par le biais de zenon Remote Desktop. Cette fonction autorise une utilisation visuelle.

Options pour la barre de symboles

Cliquez sur la flèche pour ouvrir le sous-menu :

Active : la barre d'outils est affichée.

Si la barre d’outils n’est pas affichée, elle peut être activée en sélectionnant le menu Options -> Barre d’outils.

Remarque : Si la barre d’outils est positionnée librement (c’est-à-dire dissociée d’Editor), les options ne sont pas affichées. Pour fermer la barre d’outils, cliquez sur le bouton X.

D’autres symboles peuvent être ajoutés à l’aide des options des barres d’outils :

Transférer tous les fichiers du Runtime

Transfère tous les fichiers du Runtime vers le système cible.

Redémarrer le système d’exploitation

Après affichage d’une demande de confirmation, redémarre le système d’exploitation de l’ordinateur cible. Sur Windows CE, cette option n’est pas supportée.

Obtenir l’état du système

Détermine l’état du système de l’ordinateur cible et écrit les données dans la fenêtre de sortie. Les informations suivantes sont définies :

  • Nom de l'ordinateur
  • Système d'exploitation
  • Runtime actif/inactif
  • Projet de démarrage
  • Mémoire réelle
  • Lecteurs
  • Numéro de série de l’ordinateur distant
  • Numéro d’activation de l’ordinateur distant
  • Version de zenon de l’ordinateur distant

Modification du mot de passe et affichage de la licence

Ouvre la boîte de dialogue d’établissement de la connexion.

Autorise :

  • La modification du mot de passe d’établissement de la connexion
  • L’affichage et la modification des informations de la licence pour l’ordinateur cible
  • La configuration du chiffrement sur l’ordinateur cible

Remarque : Toutes les commandes de Remote Transport sont disponibles dans le menu contextuel du projet.


Menu contextuel Remote Transport

Manuel -> Remote Transport -> Menu contextuel Remote Transport

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Vous pouvez accéder aux commandes du module Remote Transport par le biais de la barre d’outils ou du menu contextuel du projet :

  1. Cliquez avec le bouton droit sur le projet dans le gestionnaire de projets
  2. Dans le menu contextuel, sélectionnez le nœud Remote Transport
  3. Sélectionnez la commande souhaitée dans la liste déroulante.

Commande

Fonction

Établir la connexion

Établit une connexion avec l’ordinateur distant.

Paramètres de connexion

Ouvre la boîte de dialogue de configuration de la connexion.

Transférer les fichiers du Runtime modifiés

Transfère tous les fichiers du Runtime modifiés sur l’ordinateur de développement vers l’ordinateur cible.

Transférer tous les fichiers du Runtime

Transfère tous les fichiers du Runtime de l’ordinateur de développement vers l’ordinateur cible.

Relire tous les fichiers du Runtime

Charge tous les fichiers pouvant être édités dans le Runtime (tels que les recettes ou les fichiers de gestion d’utilisateurs) sur l’ordinateur de développement.

Définir comme projet de démarrage

Définit le projet de démarrage pour le poste cible.

Lancer le Runtime

Démarre le Runtime sur le poste cible.

Arrêter le Runtime

Arrête le Runtime sur le poste cible.

Recharger le projet

Exécute la fonction Recharger sur l’ordinateur cible.

Redémarrer le système d’exploitation

Après affichage d’une demande de confirmation, redémarre le système d’exploitation de l’ordinateur cible. Sur Windows CE, cette option n’est pas supportée.

Obtenir l’état du système

Détermine l’état du système de l’ordinateur cible et écrit les données dans la fenêtre de sortie. Les informations suivantes sont définies :

  • Nom de l'ordinateur
  • Système d'exploitation
  • Runtime actif/inactif
  • Projet de démarrage
  • Mémoire réelle
  • Lecteurs
  • Numéro de série de l’ordinateur distant
  • Numéro d’activation de l’ordinateur distant
  • Version de zenon de l’ordinateur distant

Modification du mot de passe et affichage de la licence

Ouvre la boîte de dialogue d’établissement de la connexion.

Autorise :

  • La modification du mot de passe d’établissement de la connexion
  • L’affichage et la modification des informations de la licence pour l’ordinateur cible
  • La configuration du chiffrement sur l’ordinateur cible

Transport distant : Démarrer la connexion au bureau distant

Démarre une connexion permettant d’actionner l’ordinateur cible par le biais de zenon Remote Desktop.


Configuration dans Editor

Manuel -> Remote Transport -> Configuration dans Editor

L’outil Remote Transport est configuré dans les propriétés du projet, sous Général/Transport à distance (Remote Transport), et contrôlé par le biais de la barre d’outils Remote Transport.

Pour configurer Remote Transport :

  1. Accédez au nœud Général dans les propriétés.
  2. Cliquez sur la propriété Transport à distance (Remote Transport)
  3. La boîte de dialogue de configuration des propriétés de la connexion et de sélection des fichiers à transférer s’affiche à l’écran.
    Remarque : la capture d’écran affiche la configuration du support de transport TCP/IP lorsque le réseau est actif.

Paramètre

Description

Support de transport

Série

Transfert via une connexion série, par exemple vers un terminal CE.

Port

Sélection des ports COM pour la connexion série.

Remarque : Visible uniquement si le paramètre Support de transport sélectionné est Série.

TCP/IP

Transfert via TCP/IP sur un réseau, ou via un modem.

Transférer vers serveur 1 et serveur 2

Si la case est cochée, lorsqu’un téléchargement est effectué, les fichiers de Runtime sont également transférés vers les ordinateurs définis en tant que Serveur 1 et Serveur 2 sur le réseau.

Attention : Les données sont uniquement transférées vers le Serveur 2 si un nom d’ordinateur a été défini pour le Serveur 2.

Par défaut : Inactive

Remarque : Visible uniquement si le réseau a été activé dans les paramètres du projet et le support de transport TCP/IP a été sélectionné.

Nom de l’ordinateur ou adresse IP

Le nom de l’ordinateur ou l’adresse TCP/IP sont saisis en tant que cible :

  • Saisissez le nom de l’ordinateur manuellement, ou en cliquant sur le bouton ...
  • Saisissez manuellement l’adresse IP

L’adresse IP doit être conforme à la version IP définie (IPv4 ou IPv6).

Source / Cible

Liste des connexions.

Sur la première ligne, vous pouvez définir une cible pour le premier dossier de la structure. Cliquez avec le bouton droit sur la cellule pour afficher un menu contextuel de sélection.

Vous pouvez également saisir le chemin manuellement. Dans ce cas, les dispositions suivantes s'appliquent :

  • Barre oblique inversée devant (\) : Chemin relatif du projet.
  • Lettre de lecteur devant : Chemin absolu.
    Remarque concernant Windows CE : Dans zenon, vous pouvez également saisir une lettre de lecteur pour Windows CE. Cette lettre indique uniquement qu’il s’agit d’un chemin absolu?; elle est ignorée durant le transfert.
  • Attention : ce chemin doit être disponible en permanence sur le système cible. Ne configurez pas un lecteur réseau intégré, un périphérique USB ou un lecteur amovible?!

Remarque : Dans le cadre de la gestion multi-projets, vérifiez le transfert correct des projets individuels.

La largeur des colonnes de la liste peut être modifiée avec la souris.

active

Définissez les fichiers devant être transférés en option.

Le chemin de base du projet ne peut pas être désélectionné.

Source

Dossier des fichiers devant être transférés.

Destination

Dossier cible.

Définit le dossier racine. De nouvelles entrées peuvent être définies.

Les sous-dossiers ne peuvent pas être modifiés. Ceci permet de garantir que tous les fichiers sont présents sur le système cible dans le Runtime.

Remarque : Le dossier par défaut est le dossier de Runtime défini dans les propriétés du projet. Si le dossier cible est saisi manuellement, veillez à ce qu’il se termine par le nom du projet. Ceci est important dans le cadre de la gestion multi-utilisateurs.

Par exemple :
C:\Users\Public\Documents\zenon_Projects\MY_PROJECT

Révision

Type de transfert. Peut être sélectionné librement pour le dossier racine et les nouvelles entrées. Cliquez sur le mot (Copier) pour afficher une liste déroulante :

  • Copier :
    Copie les fichiers (par défaut)
  • Copier et enregistrer :
    copie les fichiers et les enregistre sur le système. Utile pour les éléments ActiveX et les polices (fichiers ttf).
  • Copier et exécuter :
    Copie les fichiers, puis les exécute

Remarque : Le type de transfert est uniquement disponible pour les entrées librement configurables. Les fichiers nécessaires au bon fonctionnement du Runtime sont automatiquement créés dans la liste, et le type de transfert ne peut pas être modifié.

Description

Saisie de texte facultative pour les nouvelles entrées, permettant de décrire les fichiers devant être transférés.

attention Attention !

Pour les projets redondants : Si des drivers nécessitant un fichier de configuration sont utilisés, l’entrée \zenon\custom\drivers doit être désactivée.

Utilisation du module Remote Transport sur le réseau

Dans le menu contextuel, sélectionnez le projet -> Remote Transport -> <Commande> :

Paramètres

Description

Établir une connexion

Par l’intermédiaire du service zenSysSrv, une connexion au système cible est établie. Sur les deux systèmes, le service zenSysSrv.exe (ou sur les systèmes CE, SysSrvCE.exe) doit être démarré. Les versions doivent être identiques.

Transférer les fichiers de Runtime modifiés

Si cette option est sélectionnée, les fichiers du Runtime qui ont changé depuis le dernier transfert sont envoyés sur le système cible. Si aucun fichier Runtime n’existe sur le système cible, tous les fichiers du Runtime sont transférés.

- Transférer tous les fichiers du Runtime

Si cette option est activée, tous les fichiers du Runtime sont transférés. Les seules exceptions sont les fichiers, comme les recettes standard ou les informations du module Message Control, pour lesquels l’option Ne pas générer et transférer a été cochée dans les paramètres : Données modifiables dans le Runtime.

- Relire tous les fichiers du Runtime

Si cette option est sélectionnée, les fichiers du Runtime des modules Recettes, Recipe Group Manager, Message Control, Gestion des utilisateurs et Production & Facility Scheduler (PFS) sont transférés du système cible vers le répertoire Runtime local. Ensuite les données de ces fichiers se trouvant dans le répertoire Runtime local peuvent être insérées dans Editor par la commande "Importer les fichiers du Runtime".

Définir le projet en tant que projet de démarrage

Le projet sélectionné est défini comme le projet de démarrage. Ce projet est chargé lors du démarrage du Runtime.

Lancer le Runtime

Le Runtime démarre.

Arrêter le Runtime

Le Runtime est arrêté.

Recharger le projet

Le projet est rechargé. Les fichiers du Runtime modifiés sont rechargés dans le Runtime.

Redémarrer le système d’exploitation

Le terminal avec lequel la connexion est établie est redémarré après affichage d’un message de confirmation. Si nécessaire, vous devez à nouveau vous connecteur au système d’exploitation. Sur Windows CE, cette option n’est pas supportée.

Obtenir l’état du système

On vérifie si le Runtime s’exécute sur le système cible et quel est son état. La version installée de zenon est également contrôlée. Les informations suivantes sont définies :

  • Nom de l'ordinateur
  • Système d'exploitation
  • Runtime actif/inactif
  • Projet de démarrage
  • Mémoire réelle
  • Lecteurs
  • Numéro de série de l’ordinateur distant
  • Numéro d’activation de l’ordinateur distant
  • Version de zenon de l’ordinateur distant

Modification du mot de passe et affichage de la licence.

Ouvre la boîte de dialogue d’établissement de la connexion.

Autorise :

  • Modification du mot de passe
  • Affichage et modification des informations de licence
  • Configuration du chiffrement

Démarrer la connexion au bureau distant

Démarre une connexion permettant d’actionner l’ordinateur cible par le biais de zenon Remote Desktop.

Autres sujets abordés dans ce chapitre

TCP/IP

Série

Fichiers définis

Fichiers modifiables dans le Runtime

Windows CE


TCP/IP

Manuel -> Remote Transport -> Configuration dans Editor -> TCP/IP

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Lors de la configuration du service Remote Transport, vous devez saisir le nom du système cible ou l’adresse IP. L’adresse IP doit être conforme à la version d’IP définir, c’est-à-dire être conforme à IPv4 en cas d’utilisation du protocole IPv4 et conforme à IPv6 en cas d’utilisation du protocole IPv6.

En cas d’utilisation de noms, les derniers noms utilisés sont enregistrés et peuvent être sélectionnés par l’intermédiaire de la liste déroulante. L’utilisation du numéro de port est uniquement possible avec des noms.

attention Attention

Par défaut, Remote Transport utilise toujours le port TCP 1101. Ce port ne doit pas être bloqué par d’autres applications.

Autres sujets abordés dans ce chapitre

Configuration automatique des projets en réseau


Configuration automatique des projets en réseau

Manuel -> Remote Transport -> Configuration dans Editor -> TCP/IP -> Configuration automatique des projets en réseau

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Si le projet à transférer est configuré sous forme de projet en réseau, aucune autre configuration n’est requise dans le champ de saisie Nom de l’ordinateur ou adresse IP de la boîte de dialogue Remote Transport : paramètres de la connexion. Dans ce cas, le module Remote Transport inscrit toujours l’ordinateur défini dans la configuration du réseau comme Serveur 1- dans le champ des propriétés. Ceci garantit ainsi que les modifications sont toujours transférées sur le serveur, qui transfère ensuite automatiquement les fichiers vers les clients?!

Si la case Transférer vers Serveur 1 et Serveur 2 est cochée, l’ordinateur avec lequel une connexion est établie n’est pas le seul mis à jour. Les serveurs définis dans la configuration sont également mis à jour.

Les conditions requises sont les suivantes :

  • Case à cocher active
  • Réseau actif
  • Serveur 1 saisi

Les données sont uniquement transférées vers le Serveur 2 si un nom d’ordinateur a été défini pour le Serveur 1.

Si l’ordinateur connecté est l’un des serveurs (qu’il soit connecté via son nom ou son adresse IP), aucun transfert supplémentaire n’est effectué sur cet ordinateur. Ce téléchargement supplémentaire serait en effet redondant, car la mise à jour a déjà été effectuée via Remote Transport.

info Informations

Vous trouverez d’autres informations concernant le réseau de zenon au chapitre Réseau.


Série

Manuel -> Remote Transport -> Configuration dans Editor -> Série

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Par défaut, les communications dans Remote Transport utilisent le protocole TCP/IP. Vous pouvez toutefois configurer des communications série. Vous pourrez ainsi vous connecter à des terminaux Windows CE, par exemple. Les conditions suivantes doivent en outre être vraies dans le navigateur

  • changez le type de communication du service de transport sur le terminal distant via le fichier zenon6.ini
  • Configurez le module Remote Transport dans Editor

attention Attention

Si le fichier zenon6.ini est édité, les modifications ne seront prises en compte que lors du redémarrage du service transport.

Entrées du fichier zenon6.ini

Si le service transport doit être utilisé en liaison série, les entrées suivantes doivent être définies manuellement dans le fichier zenon6.ini du système cible :
Remarque : (Sur Windows CE ces entrées sont automatiquement générées dans le fichier zenon6.ini à l'aide de l'interface utilisateur du service transport).

[SYS_REMOTE]

CONFIG=DEVICE=COM;

PORT=COM2?;

attention Attention

N’oubliez pas le?; (point-virgule) à la fin.

Avec ces paramètres, le module Remote Transport fonctionne avec la vitesse de 115200 bits/seconds. Par défaut, Editor utilise aussi cette vitesse.

Paramètres d’Editor

Dans Editor, sélectionnez :

  • l’option Série pour le paramètre Moyen de transport
  • Dans la liste déroulante, le port COM de l’ordinateur source


Fichiers définis

Manuel -> Remote Transport -> Configuration dans Editor -> Fichiers définis

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Vous définissez les fichiers transférés dans la boîte de dialogue de configuration par le biais des cases à cocher dans la colonne Active. La ligne indiquant le chemin de base du projet ne peut pas être désactivée. Les fichiers suivants sont systématiquement transférés.

Remarque : les chemins source sont toujours créés par rapport au chemin de base du projet.

attention Attention

Tenez compte des effets des paramètres si le projet est utilisé sur le réseau.

Par exemple :

Le transfert des éléments graphiques est désactivé, car ces éléments sont déjà sur le serveur. Alors si un client est démarré. Le client se rend compte que les graphiques ne doivent pas être transférés et donc ne les rapatrie pas chez lui. Dans ce cas, aucun élément graphique n’est affiché sur le client.

À l’inverse, les fichiers peuvent être transférés vers le client?; les fichiers présents sur le client sont alors remplacés.

Fichiers à transférer

With Remote Transport, all files required for the project are transferred to the target system.

In doing so, all files are always transferred to the folder:

Standard

  • All files that are in the project's Runtime folder (...\RT\FILES\zenon\system\).
    These files determine the appearance and behavior of the project and are transferred as standard:

info Info

Files with the following suffixes are not transferred by default:

  • .hot
  • .ho
  • .ret
  • .re

Optional

In addition, all files that are embedded into the project must be transferred. They are selected using the Active checkbox of the Remote Transport settings. These files are in the following subfolders of the project folder:

  • \zenon\custom\graphics: for graphics
  • \zenon\custom\lists: for language tables
  • \zenon\custom\media: for all media files
  • \zenon\custom\reports: for the reports of the Report Generator
  • \zenon\custom\help: for help files
  • \zenon\custom\additional: for additional files
  • \zenon\custom\rdlc: for Report Viewer files
  • \zenon\custom\drivers: for drivers
  • \straton: for zenon Logic

    Recommendation: Project basis path, graphics, language tables, report tables and media files are always transferred.
    The following are transferred from the basis path by default: The files project.ini, Projekt.vba, Monitor.mon and the Projekt folder.

    As a default zenon always uses relative paths and not absolute paths, so that the files can easily be found on the target system.

    For the files that can be transferred optionally, the original paths should be used (empty field under target), so that zenon can find them on the target system.

Global project

If there is a global project in the workspace, this is automatically transferred. No additional settings need to be made. Always all files necessary for the global project will be transported.

Définir le projet de démarrage

Pour le Runtime, le projet de départ doit toujours être défini dans zenon6.ini. Pour cela, cliquez sur l’option Spécifier le projet de démarrage du Runtime à distance de la barre d’outils Remote Transport. Les entrées suivantes sont alors définies :

[PATH]

VBF30='chemin projet'

[DEFAULT]

DEFANWENDUNG30='nom projet'

Sélection de fichiers individuels

Pour transférer des fichiers individuels :

  1. Cliquez avec le bouton droit dans la première cellule vide de la colonne Source
  2. Dans le menu contextuel, sélectionnez Sélection fichier ou Sélection répertoire
  3. L’explorateur s’affiche, vous permettant d’effectuer la sélection
  4. Sélectionnez le fichier ou le dossier souhaité
  5. Cochez la case dans la colonne Active
  6. Cliquez avec le bouton droit sur la cellule dans la colonne Cible
  7. Définissez le dossier cible
    Si le dossier cible n’est pas spécifié, les fichiers sont transférés vers le répertoire défini dans la section Source.

attention Attention

Les chemins doivent être spécifiés de manière relative?!

Saisissez les chemins d’accès des fichiers individuels par rapport au chemin de base du projet. De cette manière, le système cible possède également la structure de dossiers correcte.
Exemple :

Spécification pour Source : enter /default.iso.
Le module Remote Transport sait automatiquement que le fichier est dans le chemin de base du projet.
Les dossiers sont saisis de la même manière.

Windows CE :

Si le système cible est un terminal Windows CE et aucun chemin cible n’est spécifié pour le chemin de base du projet, le chemin \Storage Card\Data est utilisé par défaut.

Action lors du transfert

Dans les lignes nouvellement créées, l’entrée de la colonne Révision définit comment procéder avec les fichiers lors du transfert. Il y a trois possibilités :

Action | Description
Copier | Le fichier est copié sur le système cible.
Copier et enregistrer | Le fichier est copié sur le système cible et ajouté dans la base de registres. Conseil : Utile pour les éléments ActiveX et les polices (fichiers ttf).
Copier et exécuter | Le fichier est copié sur le système cible et exécuté.


Fichiers modifiables dans le Runtime

Manuel -> Remote Transport -> Configuration dans Editor -> Fichiers modifiables dans le Runtime

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Il y a différentes données qui peuvent être modifiées dans zenon Editor aussi bien que dans le Runtime. Ces fichiers concernent les éléments suivants :

  • Recipe Group Manager (Gestionnaire de groupes de recettes)
  • Recettes standard
  • Gestion des utilisateurs
  • Planning

Protection contre l’écrasement des fichiers du Runtime

Si tous les fichiers du Runtime sont créés ou transférés, les fichiers modifiés dans le Runtime entre-temps seraient écrasés. De façon à éviter l’écrasement involontaire de fichiers, qui ne devraient pas être générés ou transférés, ils peuvent être sélectionnés dans la section Ne pas générer et transférer.

Protection contre l’écrasement des fichiers d’Editor

Les données modifiées dans le Runtime peuvent être rapatriées. Dans ce cas, les données dans Editor sont remplacées. De façon à éviter l’écrasement involontaire de fichiers, qui ne devraient pas être rapatriés, ils peuvent être sélectionnés dans la section Ne pas décompiler.

Boîte de dialogue des fichiers modifiables dans le Runtime

Vous pouvez ouvrir la boîte de dialogue de configuration des fichiers modifiables dans le Runtime via les paramètres de projet Général/Données modifiables dans le Runtime :

Les types de fichiers suivants peuvent être sélectionnés :

Paramètres | Description
Recipe Group Manager (Gestionnaire de groupes de recettes) | Les groupes de recettes et les recettes des groupes de recettes Lors du transfert, les nouveaux fichiers sont transférés et de nouveaux sous-dossiers sont créés?; les fichiers et sous-dossiers supprimés sont également supprimés sur le système cible.
Recettes standard | Recettes standard
Gestion des utilisateurs | Gestion des utilisateurs pour la connexion et la gestion des droits dans le Runtime.
Planning | Modifications dans les modèles de temps et les plannings du module PFS.

attention Attention

Lors de la conversion du projet, assurez-vous que les fichiers modifiables dans le Runtime sont également convertis. Pour cela, les fichiers du Runtime doivent être importés dans Editor, puis copiés vers le Runtime après la mise à jour. Pour plus de détails, reportez-vous au chapitre Procédure recommandée pour la conversion des fichiers du Runtime dans le manuel Conversion de projets.

Transfert des fichiers

Dans le Runtime :

Pour transférer des fichiers vers le Runtime :

  1. Tous les fichiers peuvent être transférés
  2. Seuls les fichiers modifiés peuvent être transférés

Ces deux méthodes tiennent compte des fichiers définis dans la propriété Données modifiables dans le Runtime.

Fichiers du Runtime

Pour lire les fichiers du Runtime, deux méthodes s’offrent à vous :

  1. Restaurer tous les fichiers du Runtime :
    1. relit tous les fichiers du Runtime vers le dossier défini dans la propriété Dossier du Runtime
    2. Cette fonction est indépendante de la propriété Données modifiables dans le Runtime
  2. Importer fichiers les du Runtime :
    1. Importe les fichiers définis dans la propriété Données modifiables dans le Runtime et
    2. Remplace le développement dans Editor par les fichiers du Runtime
    3. Cette méthode est adaptée à la conversion de données depuis un système distant dans Editor

Erreur de connexion

Durant le transfert, les données existantes sont remplacées, conformément aux paramètres.

Si une erreur se produit lors du transfert vers ou depuis le Runtime, ou si la connexion est interrompue, les fichiers doivent être entièrement transférés à nouveau.


Windows CE

Manuel -> Remote Transport -> Configuration dans Editor -> Windows CE

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Le transfert vers un système Windows CE peut être effectué via une connexion TCP, une connexion série ou une carte mémoire.

Configuration

Connexion série ou TCP/IP

  1. Assurez-vous que dans les propriétés du projet, la propriété Général du nœud Projet Windows CE est activée.
  2. Sélectionnez un type de connexion.
    • TCP/IP
    • Série
  3. La boîte de dialogue de configuration contient maintenant neuf entrées?; le répertoire cible prédéfini est C:\Storage Card\Data.
    L’indication C:\ est automatiquement supprimée par Remote Transport, car les communications avec les systèmes CE sont effectuées sans lettre de lecteur.

Carte mémoire

Le module Remote Transport prend en charge un type de transfert spécial, dans lequel le projet est transféré directement vers une carte de stockage, plutôt que d’utiliser une connexion série ou TCP/IP. Pour cela, un ordinateur qui a directement accès à une carte mémoire (PCMCIA, carte ATA, Compact Flash, etc.) est nécessaire.

attention Attention

Il est crucial que le Runtime CE et le fichier zenon6.ini soient à la racine de la carte?!

Insérez la carte dans le lecteur approprié et vérifiez quelle est la lettre de "lecteur réseau" qui est assignée à la carte par le système d’exploitation. (p. ex. : D:, ou E:, ...)
  1. Cochez la case Dossier de base du projet CE
  2. Spécifiez le dossier de Runtime sur le terminal cible.

    Exemple : si la carte de stockage est montrée comme '\Storage Card' sous CE, le dossier du Runtime du système cible doit être C:\Storage Card\chemin du projet?! C:\ sera automatiquement supprimé par le module Remote Transport.

  3. Établissez la connexion à votre PC et transférez les fichiers vers la carte mémoire locale.
  4. Créez le dossier de Runtime sur le système cible à l’aide de la fonction Définit le projet actif comme projet de démarrage sur le système distant (barre d’outils Remote Transport) dans le fichier zenon6.ini de la carte mémoire.
  5. Insérez la carte mémoire dans le terminal CE et démarrez le Runtime.


Établir la connexion

Manuel -> Remote Transport -> Établir la connexion

Pour établir une connexion à distance :

  1. Cliquez sur le bouton correspondant dans la barre d’outils Remote Transport

    Ou sélectionnez, dans le menu contextuel du projet : Établir une connexion via Remote Transport >

  2. La boîte de dialogue de configuration de la connexion s’affiche

Paramètres |  | Description
Mot de passe de connexion |  | Configuration du mot de passe pour la connexion à distance.
Mot de passe |  | Saisissez le mot de passe d’établissement de la connexion (facultatif).
Modification du mot de passe de la connexion |  | Ouvre la boîte de dialogue de modification du mot de passe.
Configuration du système cible |  | Paramètres du système cible.
Saisissez le numéro de série et le numéro d’activation |  | Active : Les informations de licence de l’ordinateur distant sont affichées après l’établissement de la connexion, et peuvent être modifiées. Par défaut : Inactif
Configuration du chiffrement des communications du réseau | Active : Lorsque la connexion a été établie, vous pouvez activer ou désactiver le chiffrement des communications du réseau sur le système cible. Remarque : Pour cela, la connexion de Remote Transport doit être protégée par un mot de passe. Par défaut : Inactif
Ne pas afficher cette boîte de dialogue |  | Active : Cette boîte de dialogue ne s’affiche pas lors de l’établissement de la connexion. Remarque : Pour afficher la boîte de dialogue, dans le menu contextuel du projet, sélectionnez Remote Transport -> Modifier le mot de passe distant et afficher la licence Par défaut : Inactif
OK |  | Applique les paramètres et établit la connexion.
Annuler |  | Abandonne les modifications et ferme la boîte de dialogue sans établir la connexion.
Aide |  | Ouvre l'aide en ligne.

Autres sujets abordés dans ce chapitre

Chiffrement


Chiffrement

Manuel -> Remote Transport -> Établir la connexion -> Chiffrement

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

La connexion Remote Transport peut être chiffrée via SysSrv. Pour cela, saisissez un mot de passe dans Remote Transport. À partir de la version 7.20, le mot de passe est enregistré sous forme chiffrée :

  • Sur la source (Editor), dans la section project.ini, TRANSPASS.
  • Sur la destination (Runtime), dans la section zenon6.ini, TRANSPASS.

Les communications de Remote Transport peuvent également être chiffrées. Pour cela, le chiffrement du réseau zenon doit uniquement être activé dans Startup Tool.

Enregistrement du mot de passe sous forme chiffrée

Le mot de passe du transfert Remote Transport est enregistré dans le fichier project.ini dans la section [TRANSPASS] dans l’entrée KEYCRYPT=. Le mot de passe peut être sauvegardé sous forme de texte simple dans l'entrée KEY=. Cette méthode a été utilisée jusqu’à la version 7.11 incluse. Lors de la conversion d’un projet vers le format de la version 7.20, la valeur de l’entrée KEY= est supprimée et le mot de passe est enregistré sous forme chiffrée dans l’entrée KEYCRYPT=.

Les considérations suivantes s’appliquent au transfert :

  • Si une entrée existe pour KEY=, le SysSrv utilise le mot de passe chiffré. Ceci s’applique aussi si un mot de passe chiffré a été configuré pour l’entrée INI KEYCRYPT=.
  • Si aucune entrée a été configurée pour KEY= et si une entrée existe pour KEYCRYPT=, SysSrv utilise le mot de passe chiffré.
  • Saisie ou modification du mot de passe :
    Si aucun mot de passe n’a été configuré pour l’entrée KEY=, cette entrée est mise à jour. Si aucun mot de passe n’a été configuré et si la version zenon est supérieure à 7.20, une entrée est automatiquement créée dans KEYCRYPT=.
  • Conversion de projets :
    Si, dans project.ini, une entrée existe pour KEY=, sa valeur est supprimée et une nouvelle entrée pour KEYCRYPT= est créée et remplie.

Comportement :

Instance locale d’Editor | PC distant | Mot de passe distant | Résultat | Condition
<7.20 | <7.20 | non | Connexion opérationnelle | avec mot de passe vide
<7.20 | <7.20 | Non chiffré | Connexion opérationnelle | avec mot de passe correct
<7.20 | <7.20 | Chiffrement (non) | Connexion opérationnelle | Le mot de passe chiffré à distance est ignoré.
>=7.20 | <7.20 | non | Connexion opérationnelle | avec mot de passe vide
>=7.20 | <7.20 | Non chiffré | Connexion opérationnelle | avec mot de passe correct
>=7.20 | <7.20 | Chiffrement (non) | Connexion opérationnelle | Le mot de passe chiffré à distance est ignoré.
>=7.20 | >=7.20 | non | Connexion opérationnelle | avec mot de passe vide
>=7.20 | >=7.20 | Non chiffré | Connexion opérationnelle | avec mot de passe correct
>=7.20 | >=7.20 | Chiffré | Connexion opérationnelle | avec mot de passe correct
>=7.20 | >=7.20 | Chiffré + non chiffré | Connexion opérationnelle | avec mot de passe correct
<7.20 | >=7.20 | non | Connexion opérationnelle | avec mot de passe vide
<7.20 | >=7.20 | Non chiffré | Connexion opérationnelle | avec mot de passe correct
<7.20 | >=7.20 | Chiffré | Connexion opérationnelle | avec mot de passe correct
<7.20 | >=7.20 | Chiffré + non chiffré | Connexion opérationnelle | avec mot de passe correct

Conversion

  • Dans Editor (système source), lors de la conversion du projet de la version X vers la version 7.20, l'entrée KEY= est remplacée par la clé KEYCRYPT= et le mot de passe est enregistré sous forme chiffrée.
  • Sur le système cible, une requête est envoyée pour déterminer si la clé KEY= du fichier zenon6.ini comporte une entrée.
    Si cette entrée est configurée, elle a la priorité la plus haute. Lors de la conversion, l'entrée sur le système cible doit être supprimée manuellement.

Chiffrement de toutes les communications sur le réseau

L’ensemble des communications peuvent être chiffrées en activant le chiffrement du trafic réseau de zenon.

Comportement :

Version source (Editor) | Version cible (Runtime") | Réseau Chiffrement de la source | Réseau Chiffrement de la cible | Connexion possible
<7.20 | <7.20 | Indifférent | Indifférent | Oui
<7.20 | >= 7.20 | Indifférent | Actif | Non
<7.20 | >= 7.20 | Indifférent | Inactif | Oui, non chiffré
>= 7.20 | <7.20 | Inactif | Indifférent | Oui
>= 7.20 | <7.20 | Actif | Indifférent | Non
>= 7.20 | >= 7.20 | Inactif | Inactif | Oui, non chiffré
>= 7.20 | >= 7.20 | Inactif | Actif | Non
>= 7.20 | >= 7.20 | Actif | Inactif | Non
>= 7.20 | >= 7.20 | Actif, mot de passe "abc" | Actif, mot de passe "def" | Non
>= 7.20 | >= 7.20 | Actif, mot de passe "xyz" | Actif, mot de passe "xyz" | Oui, chiffré

Activation du chiffrement du trafic réseau via Remote Transport

Si le chiffrement du trafic réseau est activé via Remote Transport, les conditions suivantes sont applicables :

  • Jusqu’au redémarrage, Remote Transport s’exécute également sans chiffrement après la définition d’un mot de passe pour le chiffrement du trafic réseau.
  • Après le redémarrage de la cible, le système demande une connexion chiffrée avec saisie du mot de passe correct.

Autres sujets abordés dans ce chapitre

Modification du mot de passe de la connexion

Configuration du chiffrement de la connexion réseau


Modification du mot de passe de la connexion

Manuel -> Remote Transport -> Établir la connexion -> Chiffrement -> Modification du mot de passe de la connexion

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Pour modifier le mot de passe de la connexion :

  1. Dans le menu contextuel du projet, sélectionnez Remote Transport -> Établir la connexion ou Modifier le mot de passe distant et afficher la licence
  2. Dans la boîte de dialogue, cliquez sur le bouton Modifier mot de passe de connexion
  3. La boîte de dialogue de modification du mot de passe s’affiche alors à l’écran.

Paramètres | Description
Ancien mot de passe | Saisissez le mot de passe existant.
Nouveau mot de passe | Saisissez le nouveau mot de passe.
Confirmer le mot de passe | Saisissez le nouveau mot de passe une nouvelle fois pour le confirmer.


Configuration du chiffrement de la connexion réseau

Manuel -> Remote Transport -> Établir la connexion -> Chiffrement -> Configuration du chiffrement de la connexion réseau

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Les communications du réseau peuvent être protégées à l’aide d’un chiffrement fort. Le chiffrement peut être activé localement, par le biais de zenon Startup Tool, d’un outil pour zenon Web Client ou via Remote Transport, dans la boîte de dialogue Établir la connexion :

Paramètres | Description
Lire la configuration locale | Lit le paramètre de chiffrement de l’ordinateur local.
Chiffrement des communications du réseau | Active : Le chiffrement du réseau est activé sur l’ordinateur distant. Par défaut : Inactif
Mot de passe | Saisissez le mot de passe. Pour le critère, reportez-vous à la section Chiffrement du mot de passe du réseau du chapitre Chiffrement fort des communications du réseau. The displayed length is always set at 20 characters, in order to hide the actual length.
Confirmer le mot de passe | Saisissez à nouveau le mot de passe de vérification.
OK | Enregistre les modifications et ferme la boîte de dialogue.
Annuler | Annule toutes les modifications et ferme la boîte de dialogue.
Aide | Ouvre l'aide en ligne

Le mot de passe défini ici est conservé sous forme chiffrée dans le fichier zenon6.ini de l’ordinateur distant.

info Informations

You can find notes on error messages from strong encryption in:

Network handbook -> Strong encryption of network communication chapter -> Error messages section.


Traitement par lots : transferts vers plusieurs ordinateurs à la fois

Manuel -> Remote Transport -> Traitement par lots : transferts vers plusieurs ordinateurs à la fois

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

La fonction de gestion des états permet d’adresser plusieurs ordinateurs simultanément.

Configuration de la gestion des états du module Remote Transport :

  1. Créez un fichier intitulé hosts.txt.
  2. Saisissez l’adresse IP ou le nom de chaque ordinateur sur une ligne distincte.

    Exemple :

    HOST=192.168.0.24?;
    HOST=192.168.0.15?;

  3. Ajoutez un fichier hosts.txt au dossier \zenon\custom\additional.


Réseau

Manuel -> Réseau

zenon networks can be set up quickly and securely.

zenon in the network allows you to, among other things:

  • full access to the Runtime of different computers
    This way, actions such as the acknowledgment of alarms at a workspace on all other computers in the network thus becomes visible.
  • Centralized logging and archiving
  • Creation of redundant systems (see redundancy, circular redundancy)
  • Redundancy switching with integrated rating methods
  • Creation of distributed systems (see multi-project administration)
  • Use of zenon Web Server and zenon Web Client for access using the web browser.
  • Use of zenon in a terminal server environment
  • Use of strong encryption
  • Concurrent work on a project from several computers (see distributed engineering)

tutorial Informations concernant la licence

Composante de la licence standard d’Editor et du Runtime.

Simple administration of the zenon network

The network functionality of zenon makes it possible to deploy projects in a distributed manner on different computers. You can thus create very efficient, complex network arrangements with it. In doing so, setups can also be configured in such a way that certain project content is only visible at a certain location (a certain computer) for an activity. The zenon Editor supports users in creating and configuring such configurations.

The integrated topology administration creates interrelationships for the individual projects in the process, with the attendant computers in graphical form. A testing routine checks the configured structure to see that it is complete and that there are no configuration errors.

With the network nodes function, zenon also checks to see if the selected network topology can function.

info Informations

With network projects, note the roles (Primary Server, Standby Server or Client) in which modules and functions can be administered and executed.

zenon Web Server

The zenon Web Server allows access to Runtime via a web browser. No adaptations to the project are necessary. Access is via the zenon Web Client. This offers the same functionality and display as an installed zenon Runtime. The zenon Web Server is available as:

  • zenon Web Server: Pure monitoring functionality.
  • zenon Web Server Pro: Complete operation and monitoring functionality. It is possible to directly engage in processes over the web.
  • zenon Web Server Pro Light: Limited functionality of zenon Web Server Pro for use with zenon Operator.

info Informations

You can find further information in the zenon Web Server manual.

Action with licensed data concentrator

With a Data Concentrator license, the connection of a client to a Primary Server or Standby Server is not possible! This licensing is primarily for zenon Analyzer use. A connection query from a client to a server is always rejected by the server. The values are not updated on the client. The configured standby server can connect to the server. This guarantees that redundancy also works with a Data Concentrator license.

Autres sujets abordés dans ce chapitre

Roles of computers

Requirements

Setting up the zenon network

Strong encryption of network communication

zenon on the Terminal Server

Administering and checking network topology

Redundancy

COPA-DATA PRP

Routing

Authorization in the network

zenon functions in the network

Behavior of zenon modules in the network

Network messages from the system driver


Roles of computers

Manuel -> Réseau -> Roles of computers

With zenon, it is possible to create diverse network topologies. Starting with the simple client-server model through to comprehensive multi-hierarchical models.

IT-specific terms such as Server and Client are also used in zenon. However, in order to achieve unique identification of the individual components for complex multi-hierarchical structures with various computers and projects involved, we always speak of roles in zenon. Roles are always to be considered from the point of view of a project.

zenon Runtime can, on one computer, start one or more projects, depending on the project configuration (see also multi-project administration). In doing so, the computer on which Runtime is started assumes one of the following roles for the respective projects:

  • Primary Server
  • Standby Server
  • Client

These roles are shown below using examples in different topologies.

info Info

If, in the course of this documentation, we speak of Primary Server, Standby Server or Client, the role that the computer takes for the project is always meant.

Autres sujets abordés dans ce chapitre

Terminology

Client-server model

Redundant model

Multi-hierarchical models


Terminology

Manuel -> Réseau -> Roles of computers -> Terminology

The following terms are used for the role description in the zenon network:

Parameter

Description

Server:

Computer with connection to the PLC. The server takes on the administration of process and project data exclusively. Communication is checked by means of a watchdog.

In the event of a server failure, the Standby Server undertakes its tasks, provided a standby was defined. As soon as the server is ready again, it automatically takes on its tasks and synchronizes all data.

Standby Server:

Takes on, in redundant systems, the role of the server, if this fails. It acts like a client in the network, but al saves all data like the server. In the event of hardware redundancy, the standby communicates with the redundant PLC both ways.

The standby works with an internal buffer. Data loss during the downtime between server failure and the standby taking on the server role is thus avoided.

Clients:

Each computer on which Runtime is started is a client. Clients connect to the server to receive process data or to send this.

info Informations

Server and client are not defined in relation to a computer, but in relation to a project.

If the names of the Server or Standby Server are changed, these cannot be reloaded. They are only updated by restarting Runtime.


Client-server model

Manuel -> Réseau -> Roles of computers -> Client-server model

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

In the Client-Server model, one computer is the Primary Server; all other computers are Clients.

  • Computer 1 is the Primary Server for Project A.
  • Computer 2 is the Client for Project A.

info Informations

You can find detailed information on this in the Multi-Project Administration chapter.


Redundant model

Manuel -> Réseau -> Roles of computers -> Redundant model

In the redundant model, one computer is the Primary Server and one computer is the Standby Server. All other computers are Clients.
If the Primary Server fails, the Standby Server takes on this role. All Clients connect to the new Primary Server.

Redundancy without Clients

  • Computer 1 is the Primary Server for Project A.
  • Computer 2 is the Standby Server for Project A.
  • If Computer 1 fails, Computer 2 is the new Primary Server for Project A.

Redundancy with Clients

  • Computer 1 is the Primary Server for Project A.
  • Computer 2 is the Standby Server for Project A.
  • If Computer 1 fails, Computer 2 is the new Primary Server for Project A. All Clients automatically connect to Computer 2.

info Informations

You can find detailed information on this in the Redundancy chapter.


Multi-hierarchical models

Manuel -> Réseau -> Roles of computers -> Multi-hierarchical models

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

It is possible to create different multi-hierarchical topologies with the help of multi-project administration. In doing so, it is possible to start several projects on one computer. The computer assumes a certain role for the project in the process.

info Informations

Multi-hierarchical projects can also be executed without a network on standalone computers.

Examples

Multi-client model

  • Computer 1 is the Primary Server for Project A.
  • Computer 2 is the Primary Server for Project B.
  • Project I runs on Computer 3 (integration project) as a standalone project and starts Projects A and B.
    • Computer 3 is a Client for both of these projects.

Multi-server model

  • Project I runs on Computer 1 (integration project) as a standalone project and starts Projects A and B.
    • Computer 1 is the Primary Server for both of these projects.
  • Project I runs on Computer 2 (integration project) as a standalone project and starts Projects A and B.
    • Computer 2 is a Client for both of these projects.
  • Computer 3 is the Client for Project A.
  • Computer 4 is the Client for Project A.

Multi-client-multi-server model

  • Project I runs on Computer 1 (integration project) as a standalone project and starts Projects A, B, C and D.
    • Computer 1 is the Primary Server for projects A and B.
    • Computer 1 is the Client for projects C and D.
  • Project I runs on Computer 2 (integration project) as a standalone project and starts Projects A, B, C and D.
    • Computer 2 is the Client for projects A and B.
    • Computer 2 is the Primary Server for projects C and D.
  • Project I runs on Computer 3 (integration project) as a standalone project and starts Projects A, B, C and D.
    • Computer 3 is the Client for projects A, B, C and D.

info Informations

You can find detailed information on this in the Multi-Project Administration chapter.


Requirements

Manuel -> Réseau -> Requirements

A basic requirement for using zenon is a functional Windows network.

General

The following prerequisites are necessary:

  • TCP/IP as the network protocol
  • Functional naming, can be chosen as DNS, WINS or local HOST files.
  • Free TCP Port 1100:
    If a network project is loaded, zenon Runtime automatically starts the zenNetSrv network service. This service opens port 1100. This must therefore be contactable remotely and must not be blocked by a firewall.

info Info

zenon networks work with all supported operating systems.

IPv4 and IPv6

The zenon network allows the choice of using IPv4 or IPv6. Dual operation is not possible. The setting is made via:

  • in the Network configuration in the Startup Tool
    or
  • zenon6.ini

If this setting is changed, all ongoing zenon processes must be restarted.
The services affected are:

  • zenAdminSrv
  • zenSysSrv
  • zenLogSrv
  • zenDBSrv

The following components are not affected by the setting; they always use IPv4:

  • Driver communication with the PLCs
  • Protocol communication via process gateways
  • Workbench and Runtime communication in zenon Logic

attention Attention

IPv6 only works with zenon version 7.00 onwards. If IPv6 is used, no versions prior to zenon version 7.00 can be started.

Ports used

For communication within zenon, only TCP ports are used; no UDP ports are used.

The following ports are required for zenon in the network:

Service | File | Goal | TCP-port
Network service | zenNetSrv.exe | Runtime communication. | 1100
Transport service | zenSysSrv.exe | Data transfer by means of Remote Transport (Editor). | 1101
zenon Web Server | zenWebSrv.exe | On-site logging machine between zenon Web client and Runtime | 1102

Port numbers can be amended individually by means of the Listening ports tab in the Startup Tool. Note in this case that all devices affected must be amended.

info Informations

You can find further information in the Tools manual, in the Startup Tool chapter.

Standard ports

Application | Port standard
zenon |
Network Service | 1100
Transport Service | 1101
WEB Service Classic | 1102
DB Service | 1103
SQL Browser Service, (pour le développement distribué dans Editor) | 1434
zenAdminSrv.exe | 50777
Logging Service | 50780
zenVNC.exe | 5600 - 5610
SNMP Trap Service | 50782
zenLicenseSr | 50783
zenLicenseStub | 50789
zenLicenseCenter | 50689
WEB Service Tunneling | 8080
zenon Logic |
Le port attribué à zenon Logic ou straton dépend du projet et du service. Par ex. : Le premier projet zenon Logic occupe les ports 1200 et 9000, le deuxième projet occupe les ports 1201 et 9001, et ainsi de suite. | 1200 - 1210 4500 - 4510 7000 - 7010 9000 - 9010
zenon Analyzer |
Administration Service | 50777
Analyzer Connector Service | 50778
Analyzer License Service | 50779
ZAMS | 50781
Drivers |
Driver Simulation | 6000 - 6020
Process Gateway OPC Server | 135
Process Gateway SNMP | 161
Process Gateway Modbus | 502
Process Gateway IEC60870-5 104 slave | 2402
Process Gateway DEC | 5555
Process Gateway DNP3 Slave | 20000

Check the requirements

Name resolution

To check the name resolution:

  1. Start the windows command line
    (cmd.exe)
  2. Enter the following command:
    ping [COMPUTER NAME]
  3. If the name resolution is correct, you receive the IP address of the computer with Runtime as the answer; otherwise you receive an error message

TCP ports

To check the contactability of the TCP port 1100:

  1. Start the zenon Runtime with a network project on a Remote computer:
    This starts the program zenNetSrv.exe and the TCP port 1100 is opened.
  2. Start the windows command line
    (cmd.exe)
  3. Enter the following command:
    telnet RECHNERNAME 1100
  4. As soon as a connection is established, the content of the command line window disappears. Otherwise an error message will be displayed.

attention Attention

The Telnet command is not part of the Windows operating system and must be installed separately. You can find instructions for this in the operating system help pages (search for: Telnet).

Autres sujets abordés dans ce chapitre

Time synchronization in the network


Time synchronization in the network

Manuel -> Réseau -> Requirements -> Time synchronization in the network

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

With network projects, all computers in the network must be time-synchronized. zenon automatically carries out the synchronization necessary for this.

In a topology with several Primary Servers (such as circular redundancy), it is recommended that time synchronization is implemented by means of an external time service (such as DCF77) or Windows resources. In this case, the automatic time synchronization in zenon must be deactivated.

attention Attention

If the time difference between the server and the client is more than 5 seconds, no more files are synchronized.

Automatic time synchronization in zenon

If the time synchronization is to be turned on or off manually, the following entry in zenon6.ini must be amended:

[Netz]

TIMESYNCH=1 -> automatic time synchronization active (default)

TIMESYNCH=0 -> automatic time synchronization inactive

External time synchronization using the operating system

If the automatic time synchronization in zenon is deactivated, synchronization can be carried out via the operating system. To do this, a time server must be specified for this (with or without an external time service such as DCF77), which takes on the time synchronization with the other computers.

In the conventional Client-Server/Standby topology (without multi-project administration), the Primary Server is the active time master. This should keep its own time itself by means of an external time service if possible. The respective clients get the current time from this (depending on the timeout that has been set) and update their own times accordingly. Communication is via SNTP (Simple Network Time Protokoll). The delay in transfer is taken into account in the process.

info Informations

Watchdog

Time synchronization is carried out periodically at the set timeout time.

When using the default setting of 30 seconds for the Network communication timeout property in the Startup Tool, the network service (zenNetSrv.exe) of each client sends a Watchdog to the network service (zenNetSrv.exe) of the Primary Server every 10 seconds during online operation. If the Primary Server responds to at least one of the three watchdogs within the 30 seconds, the client assumes that the network connection is working.

Configuration in the Startup Tool:

Application -> Options-> Network configuration tab -> Option Network communication timeout.

Configuration in zenon6.ini:

Alternatively, the setting can be made directly in zenon6.ini:

[Netz]

NET_TIMEOUT_MSEC=30000

(timeout in milliseconds, default: 30000.)

Note the additional configuration necessary in WAN.

Attention: The minimum timeout time is 5 seconds. If a lower value is defined, this is interpreted as 5 seconds.

Commands under Windows

For external synchronization using Windows, enter the following command with the respective necessary arguments in the console for command processing: NET TIME [\\computer name | /DOMAIN[:domain name] : /RTSDOMAIN[:domain name]] [/SET] [/YES]

Argument

Description

NET TIME
  • Synchronizes the time of the computer with that of another computer or another domain
    or
  • Displays the time for a computer or a domain

If this command is executed without further arguments, then the current date and the current time of the computer that was defined as the time server for the domains is displayed.

Computer name

The name of the computers that checks or is to be synchronized.

DOMAIN[:Domain name]

The time is synchronized with the primary domain controller of the Domain name domain.

RTSDOMAIN[:Domain name]

The time of the computer is synchronized with a reliable time server from the Domain name domain.

/SET

Synchronizes the clock of the computer with the stated computer or the stated domain. After the command has been set, the server time is displayed and a request is made to see if this time is to be set.

/YES

Displays the current server time and synchronizes this with the local computer without a further request or confirmation.

Example Exemple

NET TIME \\Server /SET /YES

Autres sujets abordés dans ce chapitre

Time synchronization in the WAN


Time synchronization in the WAN

Manuel -> Réseau -> Requirements -> Time synchronization in the network -> Time synchronization in the WAN

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

In a WAN and for dial-up connection, the standard defined value of 30 seconds for the timeout means that the connection would probably be maintained permanently.

Select a timeout time in the WAN that only initiates the establishment of a connection at the desired interval.

However, note: The longer the timeout, the later server failures are detected. For example, if you select 64800 as the time for the timeout, the timeout time is 18 hours. A connection is made every 6 hours and a watchdog is sent. A server failure would thus only be noticed after around 18 hours.

info Informations

If no entry for the timeout is defined in zenon6.ini, the standard timeout of 30 seconds is used when Runtime is started.

Function Screen switch

Active data is requested when a screen is switched. Procedure:

  • A check is made to see if a watchdog was sent to the Primary Server in the last 30 seconds.
  • If this is not the case, a watchdog is sent to the Primary Server immediately. the waiting time for a response is 40 seconds.
  • If a Server break down is recognized, the zenon network service automatically tries to reconnect every 30 seconds.

This would lead to a permanent connection establishment in the WAN network. This behavior can lead to entries in zenon6.ini being amended:

  1. Open zenon6.ini.
  2. Go to the [NETZ] section.
  3. Create or edit the entry

    NET_CONNECTWAIT_MSEC=30000
    This defines the value for a reconnect in milliseconds.

    Maximum value: Timeout time

  4. Create or edit the entry

    NET_CONNECTCOUNT=

    This defines the number of repetitions for a reconnect per cycle.

    The default is 0 repetitions, this means 1 attempt at reconnection.


Setting up the zenon network

Manuel -> Réseau -> Setting up the zenon network

Topologies

zenon supports several network topologies:

  • Client server network:
    The same project runs on the server and all clients.
  • Multi-server network:
    A client can access different servers and thus display the data of different projects at the same time.
  • Multi-client-multi-server model:
    All clients and servers communicate with each other. Other projects can be accessed from each project.

Configuring the network

To make a network network-compatible:

  1. navigate to the Réseau node in properties
  2. Activate the property Réseau actif
  3. Use the Serveur 1 property to define the computer that takes on the server role in the project
    Note: The IP address is not sufficient; the name of the computer must be entered.

If necessary, you still configure the following in this section:

  • Standby Server: Serveur 2 property:
  • Redundancy: Type de redondance property:
  • Message de fin: Defines if, when Runtime is ended on a server, the clients are informed 70 seconds in advance.
  • Operating authorization: If active operations are to be executed at the same time on just one station.

attention Attention

Issue of a name for Serveur 1 and Serveur 2:

  • The computer name must be entered.
    The entry of an IP address is not permitted.
  • localhost must not be used.

Autres sujets abordés dans ce chapitre

Client-server model

Multi-Project Administration

Horizontal transparency

Optimization for projects with a large number of Clients


Client-server model

Manuel -> Réseau -> Setting up the zenon network -> Client-server model

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

In the conventional Client-Server model, only one project is used, which is started on all computers involved. In doing so, a certain computer is the Primary Server for this project. All other connected computers are Clients.

To set up the Client-Server model, the following must be the case in the project:

  • The Réseau actif property must be activated
  • The name of the computer that is to be the Primary Server is to be entered in the Serveur 1 property

Recommendation: Select the most powerful computer in the network as the Primary Server.

In the zenon Client-Server model:

  • Only the Primary Server has a direct connection to the PLC
  • The Primary Server administers all process data (such as online data, archive data, alarms, recipes, etc.)
  • The Primary Server administers all project data (such as screens, functions, defined variables, etc.)
  • Each other computer starts as a Client in the network
  • Each client establishes the connection to the Primary Server when Runtime is started,
    • synchronizes the project data and
    • displays the current process data

info Informations

The Client-Server model is fully supported under Windows CE. Windows CE devices can be used as Primary Servers or as a Client.

Autres sujets abordés dans ce chapitre

Redundancy

Configuring the server

Configuring the clients


Redundancy

Manuel -> Réseau -> Setting up the zenon network -> Client-server model -> Redundancy

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Redundant SCADA servers are used, if 100% process control and data safety is demanded, even when the server fails.

You achieve this fail safety by defining a second server, a so-called Standby Server, along with the project server. This standby automatically recognized a server failure If the Primary Server fails, the Standby Server takes on the complete functionality of the server.

In order to avoid data loss in the time between the server failure and the detection of the failure, the standby always buffers all data. This data buffering also takes place if the Standby Server is not the Primary Server. After a server failure this buffer is merged with the last data from the server and the new incoming data, so no data can be lost. The control system thus guarantees seamless redundancy.

Depending on the configuration of the Mode de redondance property, the original server is started either as a Server or as a Standby after restarting.

Redundancy mode | Description
Non-dominant | The original Server (Serveur 1) starts as a Standby. Serveur 2 retains the Server role.
Dominant | The original Server (Serveur 1) takes on the role of Server again after all data has been synced. Serveur 2 is downgraded to the Standby.
Rated | Depending on the configured rating, the original server is started either as a Server or as a Standby after restarting.

You can find detailed information on this in the Redundancy modes chapter in this manual.

info Info

If the standby is running, when the server is started, the server copies all Runtime data from the standby. If you made any changes in the project data, while the server was offline and you have only updated them on the (not running) server, these changes will be overwritten, when the server copies the data from the standby.

In this case you have to update the standby before starting the server; or you close the standby when starting the server. As soon as it is restarted the standby then will get the new data from the (running) server.

Configuring the standby

  • In the network properties, enter, in addition to the Server (property: Serveur 1) the name of he standby server too (property: Serveur 2).
  • To transfer the Runtime files, the process is the same as with the client.

The control system supports two different kinds of redundancy:

Software redundancy | The PLC is not redundant. Only the control system is redundant. (standard case)
Hardware redundancy | Both the PLC and the control system are redundant.

You can find detailed information on this in the Redundancy chapter in this manual.


Configuring the server

Manuel -> Réseau -> Setting up the zenon network -> Client-server model -> Configuring the server

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

The Primary Server makes the connection to the PLC and administers all data, both online data and configuration data. The Clients synchronize their data with the Primary Server.

To set up the Primary Server

  1. Activate the Réseau actif property.
  2. Define the computer that is to be the Primary Server for the project using the Serveur 1 property.
    Note: The IP address must not be used; the name of the computer must be entered.
  3. Note the correct configuration of the internal variable drivers
  4. Optional: Create AUTOSTART and AUTOEND scripts for the clients if necessary

attention Attention

Issue of a name for Serveur 1 and Serveur 2:

  • The computer name must be entered.
    The entry of an IP address is not permitted.
  • localhost must not be used.
  • If the development computer on which you created the project is also the Primary Server, configuration is now complete.

If the development computer is not the desired server, transfer your project configuration to the desired computer. The data can be transferred by means of Remote Transport or the network topology.

info Informations

You can find further information on this in the administer and check network topology chapter or in the Remote Transport manual.


Configuring the clients

Manuel -> Réseau -> Setting up the zenon network -> Client-server model -> Configuring the clients

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Clients can be set up via Remote Transport, via the network topology or manually. Setup via Remote Transport or the network topology is recommended.

For this, the following applies:

  • If the development computer is also is a client, start Runtime locally on that computer.
  • You set up all other clients either by means of Remote Transport, network topology or manually.
  • If special processes are to be executed on the clients, a respective script in the project must be created, which defines the behavior on startup (AUTOSTART_CLIENT script) and when being ended (AUTOEND_CLIENT script).

info Informations

You can find further information on this in the administer and check network topology chapter or in the Remote Transport manual.

Autres sujets abordés dans ce chapitre

Set up client with Remote Transport

Setting up a Client by means of network topology

Setting up the client manually

Behavior in Runtime


Set up client with Remote Transport

Manuel -> Réseau -> Setting up the zenon network -> Client-server model -> Configuring the clients -> Set up client with Remote Transport

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

By default, Remote Transport always transports the Runtime files to the computer that is defined as the server in the Réseau project properties group. To set up clients from the development computer by Remote Transport, the Remote Transport connection must be set up before the Client is set up.

To set up clients using Remote Transport:

  1. Open the Général node in Project Properties.
  2. Click on the Transport à distance (Remote Transport) property.
    The dialog Remote Transport is opened.
  3. Enter the name of the client in the network in Connection under Name.
  4. Confirm the configuration by clicking on the OK button.
  5. Establish a connection to Remote Transport.
    To continue to use Remote Transport, it is best to use the toolbar symbols.
  6. Transport all Runtime files to the client with Remote Transport.
  7. Set the start project for the client with Remote Transport.
  8. Start the Runtime on the client with Remote Transport.
  9. Close the Remote Transport connection

info Informations

Find out more information in the chapter Remote Transport.


Setting up a Client by means of network topology

Manuel -> Réseau -> Setting up the zenon network -> Client-server model -> Configuring the clients -> Setting up a Client by means of network topology

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Network topology is suitable for setting up several Clients at the same time. In doing so, Runtime files can be transferred to several computers at the same time by means of multiple selection.

info Informations

You can find detailed information on this in the Network topology chapter.


Setting up the client manually

Manuel -> Réseau -> Setting up the zenon network -> Client-server model -> Configuring the clients -> Setting up the client manually

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

To configure clients for the start of Runtime:

  1. Close the zenon Editor and the zenon Runtime.
  2. Open the file zenon6.ini with a text editor.
    You can find the file in the folder %ProgramData%\COPA-DATA\System\
  3. Remove the line VBF30 =.... or comment this line out.

    (Note: This entry defines which project is to be loaded when the Runtime is started.)

  4. Leave the Editor closed and start Runtime.
  5. A request is made in a dialog, requesting which project is to be loaded.

  6. Activate the check box for the Load project from Runtime server option.

  7. Configure the input field:
    1. Runtime server:
      Computer that is set up as the Primary Server. The name can be entered directly or selected from a list using the ... button.
      You can find further information on configuration for a redundant network after these step-by-step instructions
    2. Project name:
      Name of the project that runs on the Primary Server.
      Note: Ensure that the project names are correct. If the folder name does not correspond to the project name, the project name must be changed here!
    3. Project target folder:
      Folder for Runtime on the client's local hard drive. You either can select an existing folder using the … button or enter a path manually. If a folder that does not exist is entered, this is created automatically.
    4. Confirm the input by clicking OK.
  8. These project configurations have the following effect in zenon Runtime.
    Runtime:
    1. Creates a connection to the Primary Server
    2. Copies its Runtime files to a project target folder
    3. Starts Runtime
    4. Requires - if necessary - Runtime to be restarted
  9. In the VBF30=... entry in the zenon6.ini file you set the project target folder.

    Runtime then starts the network project automatically on the client each time it is started.

attention Attention

Repeat this process for each client.

Configuration of the Runtime server in the redundant network

With a redundant zenon network configuration, the issuing of roles for the primary server and standby server depends on the Mode de redondance set. In doing so, the role of the configured Serveur 1 and Serveur 2 computers can change over time in Runtime, depending on the configuration of the Mode de redondance and the current evaluation (for evaluated).

You should therefore always enter both servers for the configuration in the Runtime Server dialog. The server names are separated from one another by a semi colon (;). Empty spaces for the server names are permitted.

Please note that the sequence of the entered servers corresponds to the sequence of the project configuration. The Runtime client does not start if the computer names do not correspond.

If the project configuration of Serveur 1 or Serveur 2 is changed, this change is discovered when reloading on the client. In Runtime, a dialog is displayed that informs you of the amended server configuration and forces the client to be restarted.

Ensure that the new Runtime files are transferred to the client again if necessary.


Behavior in Runtime

Manuel -> Réseau -> Setting up the zenon network -> Client-server model -> Configuring the clients -> Behavior in Runtime

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Network projects can be operated in the same way in the network by all computers in Runtime and Clients and are visualized in the same way. If there is no valid project defined when Runtime is started, the dialog to define the Runtime projects is opened. For details, see the Set up client manually section.

Differences between the Primary Server and the Client:

  • Only the Primary Server of the project has a connection to the hardware and administers the process data.
  • The other computers (Clients) receive, from this:
    • Current values of the variables
    • Chronological Event List system messages
    • Alarm information
    • Recipes
    • Archive data
    • etc.

The transfer from the Primary Server to the Clients (such as a value change from a driver) is spontaneous and event-triggered (such as calling up a zenon Extended Trend screen, which needs archive data from a Primary Server).

Monitoring the connection

When using the default setting of 30 seconds for the Network communication timeout property in the Startup Tool, the network service (zenNetSrv.exe) of each client sends a Watchdog to the network service (zenNetSrv.exe) of the Primary Server every 10 seconds during online operation. If the Primary Server responds to at least one of the three watchdogs within the 30 seconds, the client assumes that the network connection is working.


Multi-Project Administration

Manuel -> Réseau -> Setting up the zenon network -> Multi-Project Administration

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Multi-project administration makes decentralized solutions possible. Sub projects can be distributed to different computers. The individual computers in turn can be the Primary Server, Standby Server or Client for the respective sub projects.

The following is possible with the help of multi-project administration:

  • Several projects in one workspace can be edited in the Editor at the same time
  • Several projects can be started at the same time and thus variables, functions, archives etc. from other projects can be accessed directly throughout projects

info Informations

Multi-project administration is not available under zenon Operator. Here, only one project and a global project per workspace can be created and administered in the Editor. Runtime can only start one project.

Structure

An integration project that is loaded in Runtime as a start project is required.

zenon creates a multi-hierarchical project tree, at the top of which is the integration project. Multi-project administration makes it possible to place the projects in a logical connection to one another.

info Informations

Configure and check the topology with the zenon network topology.

Work efficiently with multi-project administration and the project hierarchy

zenon makes it possible to reuse data and screens from existing projects consistently. zenon multi-project administration makes a logical connection between the individual projects and places these in a hierarchical connection to one another. The user can display this project hierarchy graphically in the zenon Editor, by dragging the projects to the desired position with the mouse and thus creating a multi-hierarchical project tree.

The project that is highest in the hierarchy is the integration project. All other projects are subordinate to this project. The data from individual projects is available throughout all projects in the project structure.

The zenon multi-project structure is comparable to a file folder:

  • Additional sheets – zenon projects – can be added at any time. The folder always automatically covers all information of the sheets stored in there. It is possible to browse through the pages at any time and look at the information, without taking the individual pages out. In the zenon multi-project structure, users can change between the individual screens or projects without having to take these out.
  • The integration project can be compared to the contents of the file folder. It serves as a central navigation project and makes it possible to display screens or data from the subordinate projects. The individual projects are autonomous and can continue to be operated autonomously. Access from a project to the data or screens of another project is enabled via the zenon standard interfaces. Expansions or amendments to projects are made directly in the individual projects. Any maintenance work that may be carried out only has an influence on the respective project; the overall system remains unaffected by this.

Note: Please note the recommendations for monitor configuration during configuration.

Multi-project administration means

  • Small-sized, clear structures.
  • Easy, quick and clear maintenance of the individual projects.
    It is possible, for example, to deactivate individual projects without influencing the others. In the same way projects can be distributed to different processors.
  • Load distribution.
  • Cross-project operation, as all projects on a processor are simultaneously activate.
  • Multiple-hierarchy network structure allows the centralization of data (measured values, alarms, plant information, archive data, etc.) in a higher-ranking level.
  • No limit on projects per processor.
  • Summary of projects to large control rooms.
  • Node structure – physical network separation.

Autres sujets abordés dans ce chapitre

Definition of the structure in the Editor

Transferring and starting projects

Administering projects


Definition of the structure in the Editor

Manuel -> Réseau -> Setting up the zenon network -> Multi-Project Administration -> Definition of the structure in the Editor

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

The structure is created by simply dragging & dropping in the Editor. You also need, in addition to productive projects, an integration project that administers all other projects. Because standalone projects do not send data to other computers, a Primary Server must be defined in each (sub-)project. The integration project itself can also be a network-capable productive project.

Example

Three projects are used in this example:

  • Integration project IPRO
  • Productive project PRO1
  • Productive project PRO2

To create the structure:

  1. Create three projects:
    • IPRO
    • PRO1
    • PRO2
  2. Define a Primary Server for each computer
    (The integration project can also be implemented as a standalone project)
  3. In the Project Manager, drag PRO1 to IPRO by holding the left mouse button
  4. Do the same for PRO2
  5. PRO1 and PRO2 are now displayed in the Project Manager as branches of the IPRO

The hierarchical structure of the network has thus been created.

info Informations

In order for elements of sub projects, such as screens, variables or functions to be able to be selected, the Keep project in the memory function (in the project context menu) must be activated.


Transferring and starting projects

Manuel -> Réseau -> Setting up the zenon network -> Multi-Project Administration -> Transferring and starting projects

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

With the help of the network topology, the integration project can automatically be transferred to the respective target computer with all sub projects. All sub projects are also automatically transferred if the integration project is also the start project.

Transferring and starting projects manually

Remote Transport can be used to transfer and start projects manually.
Each project is individually transferred to the corresponding computer.

  • With Remote Transport, move all Runtime files of PRO1 to its Primary Server.
  • Set the start project with Remote Transport.
  • Start the Runtime with Remote Transport.
  • Stop the online connection.
  • Do the same for PRO2.

info Info

In order to transfer the integration project and both sub projects to a Client via Remote Transport, 3 Remote Transport processes are necessary (a process for each project).

Network topology is preferred here, because all projects can also be transferred to several computers at the same time.

Additional information

  • For details of network topology, read the Administering and checking network topology chapter.
  • You can find the configuration of the computer with an example for automatic transfer of sub projects in the Configuration of computers in the network section.
  • You can find details for data transfer in the Remote Transport manual.


Administering projects

Manuel -> Réseau -> Setting up the zenon network -> Multi-Project Administration -> Administering projects

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

You have the following possibilities, among others, for accessing the data from sub projects:

  • Integration project
  • Navigation between projects
  • Using variables or functions from another project
  • Sending recipes to different variables in different projects
  • Create archives for use throughout projects
  • Creating a joint AML or CEL for different projects

attention Attention

During configuration, note the roles in which the modules and functions are executed (Primary Server, Standby Server, Client). You can find a list of the possible configurations here: Behavior of modules in the network.

Autres sujets abordés dans ce chapitre

The integration project


The integration project

Manuel -> Réseau -> Setting up the zenon network -> Multi-Project Administration -> Administering projects -> The integration project

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

The integration project administers subprojects that can be accessed in Runtime. The integration project can be used as a pure administration project in multi-project administration (for example just for the navigation to the sub projects) or also as a complete productive project (with its own PLC connection, archiving, etc.). If the integration project is used as a start project, all sub projects are automatically started in Runtime.

In an integration project, you can for example create central Alarm Message Lists or Chronological Event lists for all subordinate projects with a few mouse clicks. This allows the alarms of all sub projects in the Alarm Message List of the integration project to be displayed in chronological order.

attention Attention

When designing the multi-project administration, ensure that the navigation works.

info Informations

These must be editable in order to be able to delete subprojects. For example, a subproject that has been created with an earlier editor version than the integration project can only be deleted after conversion.

Autres sujets abordés dans ce chapitre

Navigation between projects

Variables and functions

Archives

Recipes

Alarms and CEL


Navigation between projects

Manuel -> Réseau -> Setting up the zenon network -> Multi-Project Administration -> Administering projects -> The integration project -> Navigation between projects

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Navigation between projects

When administering more than one sub project in an integration project, it is absolutely necessary to ensure that it is possible to switch from one subproject to another or to the integration project in Runtime.
Hint: Create a template that is always in the foreground. Create a screen with navigation buttons based on this.

Screen switch to subprojects

To switch between screens of individual projects, use the zenon screen switching function. In order for the navigation to be available at all times, first create a frame that is always in the foreground:

  1. Create a new template that offers space for the navigation controls.
  2. Assign it the Toujours en avant plan property.
  3. Activate the properties Type de cadre and Titre (this means that the template can be moved in Runtime).
    Of course a template can also be used without a frame and title being in a fixed position.
  4. Create a screen with navigation buttons on the basis of this template

Example of switching between PRO1 and PRO2

  1. Create a new Screen switch function.
  2. If there is more than one project available in the current workspace, the dialog to select a screen for the selection of a project is expanded.

  3. Select PRO1.
  4. Select the start screen of PRO1 and close the dialog with OK.
  5. Repeat points 1 to 4 for PRO2.
  6. Add two text buttons with the text PRO1 and PRO2 to the navigation screen.
  7. Link the two text buttons to each the functions that have been created.

attention Attention

zenon does not check in the Editor to see if the network structure in Runtime actually allows access to the selected project/screen.

For example, in the Editor, screen switching to a screen in the integration project can be created in the project PRO1. This switching only works in Runtime if the integration project has also been started. This screen switching will not work on a computer on which the PRO1 project (start project) has been started.


Variables and functions

Manuel -> Réseau -> Setting up the zenon network -> Multi-Project Administration -> Administering projects -> The integration project -> Variables and functions

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Variables and functions

You can access variables and functions from other projects in the same workspace directly by means of dynamic elements.

Variable example

  1. Open the IPRO start screen.
  2. Add a new counter value dynamic element.
  3. The variable selection dialog now opens.

  4. Here, you can select not just variables from the IPRO. To select a variable from a different project:
    1. Click on a project in the left list area
    2. You are offered the attendant variables
    3. select the variable you want to assign
  5. Select a variable from PRO1 or PRO2.

Proceed in the same way for functions.

attention Attention

zenon does not check in the Editor to see if the network structure in Runtime actually allows access to the selected project and its variables/functions.

For example, in the Editor, in project PRO1, a variable from the integration project can be selected. This connection only works in Runtime if the integration project has also been started. This connection will not work on a computer on which only project PRO1 has been started (start project).


Archives

Archives

Values of variables of different projects of the workspace can be recorded in an archive. The values recorded in this way can be filtered, displayed in list form or trend form, and they can be printed or exported just like data from normal archives.

Example of archive

  1. In the project IPRO open the node Historian.
  2. Create a new archive named BA - BASIS.
  3. Open the context menu of RECIPE1 and select Add variable.
  4. The dialog for selecting variables is opened

  5. Here, you can select not just variables from the IPRO. To select variables from other projects:
    1. Click on the left list area on a project:
      You are offered the attendant variables
    2. select the variable you want to assign
  6. Select variables from PRO1 and PRO2.
  7. The project name is written in front of the variable name in the archive variable list.

attention Attention

zenon does not check in the Editor to see if the network structure in Runtime actually allows access to the selected project and its variables.

For example, in the Editor, in project PRO1, a variable from the integration project can be selected. This connection only works in Runtime if the integration project has also been started. This connection will not work on a computer on which only project PRO1 has been started (start project).

After the selection of variables has been concluded, a warning dialog indicates that seamless recording is guaranteed under all circumstances.

Example

  • The project PRO1 is executed redundantly; one computer is the Primary Server, a second computer is the Standby Server.
  • The same applies for the PRO2 project.
  • The integration project with the subordinate projects PRO1 and PRO2 is started on a third computer. This is the client for all sub projects.

If variables of the projects PRO1 and PRO2 are now archived in the integration project, then the computer receives the data about the network from the respective Primary Server from PRO1 and PRO2.
If, for example, the Primary Server of PRO1 fails, for the time period until the Standby Server of PRO1 has taken over the Server role, there would be alternative values in the archive for variables from PRO1.

Note: The Standby buffer of seamless redundancy only saves variables of the project where the computer has been configured as one of the two servers.
Solution: In order to ensure recording without interruptions, the archiving must be local in a redundantly-executed subproject.


Recipes

Recipes

You can write values to variables from different projects of the workspace in a recipe.

Recipe example

  1. In the project IPRO open the node Recipes.
  2. Create, under Standard recipe recipes a new recipe with the name Recipe 1.
  3. Open the context menu of Recipe 1 and select Add variable.
  4. The dialog for selecting variables is opened

  5. Here, you can select not just variables from the IPRO. To select variables from other projects:
    1. Click on a project in the left list area
    2. You are offered the attendant variables.
    3. Select variables from PRO1 and PRO2.
    4. The name of the respective project is also placed in front of the variable name in variable list of the recipe.

Proceed in the same way for the Recipegroup Manager.

attention Attention

zenon does not check in the Editor to see if the network structure in Runtime actually allows access to the selected project and its variables.

For example, in the Editor, in project PRO1, a variable from the integration project can be selected. This connection only works in Runtime if the integration project has also been started. This connection will not work on a computer on which only project PRO1 has been started (start project).


Alarms and CEL

Manuel -> Réseau -> Setting up the zenon network -> Multi-Project Administration -> Administering projects -> The integration project -> Alarms and CEL

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Alarms and CEL

In zenon, system messages and alarms from different projects of a workspace can be displayed together in a list. These entries can be filtered, displayed, printed or exported just the data from normal Alarm Message Lists or Chronological Event Lists.

AML example

  1. Create an AML screen.
  2. Add control elements to the screen via Control elements -> Add templates.
  3. Create a function Appel de synoptique for this screen.
  4. The filter dialog for alarm lists is opened.
  5. Open the Project tab.
  6. Select the project that is to be displayed in the AML of the IPRO.
    (Multiple selection button Ctrl plus a mouse click.)

  7. Open the Column settings tab.
  8. Select the Nom du projet property for display in Runtime.
    You thus gain an overview of the project from which an alarm comes in Runtime.

Proceed in the same way for the Chronological Event List.


Horizontal transparency

Manuel -> Réseau -> Setting up the zenon network -> Horizontal transparency

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Multi-project administration also allows horizontal transparency.

Horizontal transparency means that all projects that are on the same level can be called up on one computer. The requirement for this is an integration project with corresponding navigation, which starts these projects.

Example

Several terminals belong to one machine. Each has its own visualization project. With the help of horizontal transparency, it is possible to show and operate, on each terminal, its own project and all other projects. This way the entire machine can be monitored and operated from each terminal.


Optimization for projects with a large number of Clients

Manuel -> Réseau -> Setting up the zenon network -> Optimization for projects with a large number of Clients

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Large network projects can, under certain circumstances with standard settings, place the Primary Server under full load for a period of time by reloading many Clients. The extent of the load depends on several factors (Primary Server resources, available bandwidth, etc.).
Guideline values:

  • Runtime files of 10 MB or larger
  • More than 50 clients

In this case, the reloading process can be optimized in order to prevent all Clients being reloaded at the same time. You undertake the project configuration of this in project.ini.

Possible INI entries for the optimization of the reloading process of clients in the zenon network:

  • RELOADDELAY_SEC
  • CLIENT

Random reload delay (RELOADDELAY_SEC)

With the RELOADDELAY_SEC ININ entry, the reloading is delayed by a random value.
To do this:

  1. Open project.ini in the \Projekt_SQL_Ordner\FILES\zenon\system\. folder
    Hint: Highlight the project in the project manager and press the keys Ctrl+Alt+E; the Windows Explorer opens the \Project_SQL_folder\FILES\ folder
  2. Navigate to the section [NETZ].
  3. Create the entry RELOADDELAY_SEC=[Value].
  4. Select a value value for the delay.

When reloading, a random delay in seconds is calculated for each client, which is between 0 and the selected value. 0 means no delay (standard action). The selected value has no influence on standalone projects, the Primary Server or the Standby Server.

Note: This entry should only be set in every large projects with a noticeable delay when reloading. The standard settings provide better performance in normal projects.

Defined reload delay (CLIENTx)

With the CLIENTx INI entry, the reload times for clients can be defined differently.

  1. Open project.ini in the \Projekt_SQL_Ordner\FILES\zenon\system\. folder
    Hint: Highlight the project in the project manager and press the keys Ctrl+Alt+E; the Windows Explorer opens the \Project_SQL_folder\FILES\ folder
  2. Navigate to the section [NETZ].
  3. Create a CLIENTx=[value] entry for each client.
    x = the serial numbering for clients.
    CLIENT[serial number]=client name,[reload delay in seconds]
  4. Select a value value for the delay.
    Example:
    • CLIENT0=VM-CDSBG104,5
    • CLIENT1=WKS001,10

Attention: the consecutive numbering of the clients must be continuously consecutive. If there are, for example, entries for CLIENT0, CLIENT1, CLIENT2, CLIENT3 and CLIENT5, only the entries for the following clients are taken into account: Client0, Client1, Client2 and Client3. The reload delay for Client5 is not taken into account.

info Informations

For clients that do not have a CLIENTx entry, the random reload delay, as given in the RELOADDELAY_SECentry, is applicable.

If this entry is also empty, reloading takes place immediately.


Strong encryption of network communication

Manuel -> Réseau -> Strong encryption of network communication

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

zenon enables strong encryption of communication in the zenon network. Strong encryption works from zenon Version 7.0 for all supported operating systems and for the zenon Web Client.

If encryption is active, communication between the Primary Server, Standby Server, Clients and zenon Web Clients is in encrypted form; the zenon Web Server only forwards data packets and is not affected by encryption.

info Informations

Network communication was also encrypted in earlier versions of zenon. The method has changed with version 7. The term "encryption" in conjunction with zenon 7 or later always means strong encryption.

Autres sujets abordés dans ce chapitre

Basics

Activate encryption

Network encryption password

Checklist for errors

Error message


Basics

Manuel -> Réseau -> Strong encryption of network communication -> Basics

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Encryption for zenon Runtime is available from version 7.00. It is not possible to communicate with earlier versions of zenon if encryption is switched on. Encryption does not impair any zenon functionality.

Basic encryption from zenon 7.00

To use the strong encryption of the zenon network, note:

  • The password is encrypted individually on each computer and stored in zenon6.ini. That means:
    • The password cannot be transferred by copying zenon6.ini to another computer.
    • If hardware components are changed, in the network adapter area in particular, the password may be invalid and need to be re-entered.
  • Encryption must always be activated or deactivated for all components involved in the zenon network. Communication between encrypted and unencrypted systems is not possible. zenon Web Servers only act as a proxy computer and are not affected by encryption.
  • If encryption is activated on a computer, it always applies for the projects of this computer with the Réseau actif property active.

info Informations

AES 192 from Microsoft is used as the encryption algorithm for network communication.

SHA 256 from Microsoft is used in order to generate the key from the entered password.

Compatibility

Encryption is not compatible with versions prior to zenon 7.00 SP0. That means:

System 1 | System 2 | Communication
zenon 7 encrypted | zenon 7 encrypted | Yes
zenon 7 unencrypted | zenon 7 unencrypted or zenon prior to version 7 unencrypted | Yes
zenon 7 encrypted | zenon 7 unencrypted or zenon prior to version 7 unencrypted | No

Errors are logged in the Diagnosis Viewer 's LOG file.

Example

The following illustration shows an example of a network with Primary Server, Standby Server, two clients, one zenon Web Server and two Web Clients. All devices are running zenon 7.00 SP0. The devices are configured as follows:

  • Encryption is activated on the Primary Server using the Startup Tool.
  • Encryption is also activated on the Standby Server and client A via Remote Transport when Runtime files are transferred.
  • Client B and Web Client B still communicate without encryption.
  • On Web Client A, encryption is activated on the server using the Startup Tool.
  • Because the zenon Web Server does not evaluate the data packets, but instead forwards these on immediately, it does not require encryption. In theory, it can also have an older version, and the Web Clients can nevertheless create encrypted connections.

This configuration leads to the following result:

  • The Standby Server communicates successfully with the Primary Server.
  • Client A can log in to the Primary Server and exchange data.
  • Because client B sends unencrypted messages and these are rejected by the Primary Server because encryption is active, client B cannot communicate with the Primary Server and is therefore offline.
  • Web Client A logs on to the server via the zenon Web Server and can exchange data.
  • The unencrypted messages from Web Client B are forwarded from the zenon Web Server to the Primary Server, but the server rejects these. Web Client B cannot communicate with the Primary Serverr and is therefore offline.

As soon as encryption via Remote Transport or the Startup Tool configuration on client B and via Encrypt network communication on Web Client B is activated, these connections can also make connections to the Primary Server.


Activate encryption

Manuel -> Réseau -> Strong encryption of network communication -> Activate encryption

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Encryption can be activated in different ways:

  • By means of the Startup Tool for the local computer and the zenon web client
  • via Remote Transport

Tipp Conseil

For quick, easy activation of the encryption, it is recommended that the configuration is carried our on a computer using Remote Transport.

Autres sujets abordés dans ce chapitre

Locally via the Startup Tool

Via Remote Transport


Locally via the Startup Tool

Manuel -> Réseau -> Strong encryption of network communication -> Activate encryption -> Locally via the Startup Tool

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

To activate encryption on the local computer or for the <CD_PRODUCTNAME Web> Client:

  1. Open the zenon Startup Tool.
  2. Click Application -> Options.

    The dialog for the settings is opened.

  3. Select the Network configuration tab.

  4. Activate the Encrypt network communication. checkbox
  5. Enter the password and verify it.
  6. Confirm the dialog by clicking on OK.

Connector encryption

In order to activate the encryption for the SCADA Runtime Connector zenon or zenon Analyzer, the HTML web engine or for the Runtime remote driver, configure the Encrypt Runtime connector communication group of properties.


Via Remote Transport

Manuel -> Réseau -> Strong encryption of network communication -> Activate encryption -> Via Remote Transport

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Encryption can be activated on remote computers using Remote Transport. However, this is only possible if the Remote Transport connection is protected with a password.

To activate encryption using Remote Transport:

  1. Click on the corresponding button in the Remote Transport toolbar

    or select, in the project's context menu: Set up Remote Transport> connection.

    The dialog for setting up the connection is opened

  2. Enter the connection password or create one, if none has been set
  3. Activate the Configure encryption of network communication checkbox
  4. Click on OK.

    The dialog for encryption of network communication is opened

  5. Activate the Encrypt network communication checkbox
  6. Issue a password (for criteria, see the network password encryption section.)
    To quickly transfer the local configuration to other computers, the local password can first be read via Read local configuration.
  7. Confirm the dialog by clicking on the OK button.


Network encryption password

Manuel -> Réseau -> Strong encryption of network communication -> Network encryption password

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

The following is applicable for encryption of the communication in the network:

  • Minimum length 8 characters
  • Maximum length: 20 characters
    The displayed length is always set at 20 characters, in order to hide the actual length.
  • Permitted characters:
    • Letters: A - Z; a - z
    • Digits: 0 - 9
    • Special characters
  • Non-permitted characters:
    • Space
    • Enter key (Return key)
  • Summary: a password must contain at least 1 figure and 1 letter

If the password entered does not correspond to these requirements, an error message is shown:

If, when configuring, the confirmation password is entered incorrectly, this is shown with an error message:


Checklist for errors

Manuel -> Réseau -> Strong encryption of network communication -> Checklist for errors

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

In the event of errors, check:

  • Do all computers have access to the network and does the naming resolution work between the computers?
  • Was the Réseau actif property activated for the project in the Editor?
  • Is zenon Runtime version 7.00 SP0 or higher being used? (relevant if encryption is being used)
  • Is - for projects with encryption - the configuration correct on all computers?
    (USE_ENCRYPTION setting in zenon6.ini: The same for all computers, either 0, 1 or not present.)
  • Was the password set correctly?
  • Was the hardware changed on one of the computers involved after the encryption has been configured?
  • Does a ping work on a computer?
    • Yes: Network connection present, fault is with the communication.
    • No: Check the network.
  • Is it possible to connect to Telnet?
    • The connection is made: Both computers communicate at the same level. Check the password.
    • The connection is made and lost again: One computer communicates with encryption, one without encryption.
    • Faulty connection: zenon Runtime does not run on the target computer.

    Note: Telnet must be installed as an extra on more recent Windows operating systems. Connection is generally made via port 1100.
    The Telnet command is then: open [IPAdresse] 1100

  • Are the required (operating system) functions available (primarily relevant for CE terminals)?
    • Non-existent functions lead to Runtime not being able to start.
  • If the service provider or one of the algorithms is not available, an error message is written to the log file when Runtime is started.

Errors are logged in the Diagnosis Viewer's log file.


Error message

Manuel -> Réseau -> Strong encryption of network communication -> Error message

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Errors are either displayed in the output window of the zenon Editors, in pop-ups or in the LOG files of the Diagnosis Viewer.

No connection

If a client has been configured with an incorrect encryption password (not the same as the password on the Primary Server) then this is evident from the following events:

  • The Client is offline, although the Primary Server can be reached by pinging.
  • The Primary Server writes error messages to the LOG file:

    SysMod Error: Serialize in Object Project:[project name] Modul: [module number]

    or:

    NET Error During Decryption [Error number]

Pop-ups and error messages

Encryptions errors are notified by means of pop-ups and entries in LOG files or in the zenon output window.

Autres sujets abordés dans ce chapitre

Error messages in pop-ups

Error messages in the output window

Error messages in LOG files


Error messages in pop-ups

Manuel -> Réseau -> Strong encryption of network communication -> Error message -> Error messages in pop-ups

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Startup Tool and Web Client

The following error messages are output by the zenon Startup Tool as a pop-up for local encryption or by the Encrypt Network Communication Tool for the configuration of the zenon Web Client.

These messages are always in English. Messages from Runtime itself are in the respective language that has been set.

Error message | Description
The password has to be entered in both text boxes! | When configuring the encryption, the user has left one of the two input fields (Password or Password confirmation) empty.
The passwords you typed do not match. Please retype the password in both boxes. | The content of the input field for password confirmation is different to the content of the input field for the password.
The network password does not fullfill the password criterias! Password criterias: - Minimum length = 8 - Maximum length = 20 - At least one character of the latin charset - At least one number - No spaces | The password entered does not meet the password criteria. The password criteria are displayed in the error message.
The network password could not be encrypted! | An error occurred when encrypting the network password.
The network encryption configuration in the file zenon6.ini is invalid. Please enter a new configuration. | When opening the Network configuration tab, it was established that the zenon6.ini file does not contain a valid configuration for the network encryption. A new configuration must be entered.
The network encryption password in zenon6.ini is invalid. | The password read in from the zenon6.ini file is invalid and must be reentered.
The password for network encryption is invalid and must be entered again! | Message when Runtime starts if the password cannot be verified.

Remote Transport

The following error messages are given by Remote Transport as a pop-up when the remote computer is encrypted.

Error message | Description
For configuring the network encryption, the Remote Transport connection must be protected with a password! | An attempt was made to configure remote encryption without securing the Remote Transport connection by means of a password.
You must enter the password in both input fields! | When configuring the encryption, the user has left one of the two input fields (Password or Password confirmation) empty.
The password confirmation does not match the password! | The content of the input field for password confirmation is different to the content of the input field for the password.
The password entered does not correspond to the password criteria. Password criteria: At least 8 characters Maximum 20 characters At least one letter At least one number No spaces | The password entered does not fulfill the password criteria. The password criteria are displayed in the error message.
An error occurred when encrypting the password! | An error occurred when encrypting the password. If this error occurs during configuration via Remote Transport, a more detailed error message is written to the log.
An error occurred when decrypting the network password from zeon6.ini. | The password stored in zenon6.ini cannot be decrypted. If this error occurs during configuration via Remote Transport, a more detailed error message is written to the log.
The encryption configuration in zenon6.ini is not valid and must be reentered. | The password read off from zenon6.ini is invalid. The password must be entered again.


Error messages in the output window

Manuel -> Réseau -> Strong encryption of network communication -> Error message -> Error messages in the output window

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Errors are displayed in the output window as messages:

Message | Level | Description
The server reports an error when compiling the data for the encryption configuration. | ERROR | The remote zenSysSrv reports an error when compiling the information for the encryption of the password for network encryption. The adapter information cannot be read off.
*** Configure the encryption of the network communication at the target system. |  | This message is at the start of the conclusion message after encryption has been configured on a remote device via Remote Transport. After this, there is a message in relation to the success of the remote configuration.
The server reports an error when the encryption configuration is changed. | ERROR | The remote zenSysSrv reports an error when the encryption configuration is saved to the remote device. The configuration was not saved.
The configuration was successfully saved on the server. | MESSAGE | The remote zenSysSrv reports that the encryption configuration was successfully saved.
The version of the remote zenSysSrv is too low. The encryption cannot be configured. | ERROR | An attempt was made to configure the encryption on a remote device, which has a zenSysSrv from a version prior to version 7.00 SP0. Encryption is only available from zenon version 7.00 SP0; an earlier version of zenSysSrv cannot therefore configure this.


Error messages in LOG files

Manuel -> Réseau -> Strong encryption of network communication -> Error message -> Error messages in LOG files

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Errors in encrypted network traffic are documented in LOG entries. The Error IDs of the error messages in the following summary are system or COM error codes. You can find more information in the MSDN library.

LOG entry

Level

Description

NET Error During Acquiring Cryptography Context [Error-ID]

ERRORS

The creation of a service provider for encryption was unsuccessful.

NET Error During Creating Hash [Error-ID]

ERRORS

The creation of a hash value was unsuccessful.

NET Error During Using Hash [Error-ID]

ERRORS

The processing of a hash value was unsuccessful.

NET Error During Destroying Hash [Error-ID]

ERRORS

The release of a hash value that is no longer required was unsuccessful.

NET Error During Deriving Key [Error-ID]

ERRORS

The creation of a key for symmetrical encryption was unsuccessful.

NET Error During Configuring Key [Error-ID]

ERRORS

The setting of parameters for symmetrical encryption was unsuccessful.

NET Error Cryptography Not Initialized!

ERRORS

An encryption or decryption function was called up but initialization of the required parameters (service provider, key) was unsuccessful.

NET Error Invalid Pointer passed!

ERRORS

An encryption or decryption function was given invalid parameters.

NET Error Message Length Must Not Be 0!

ERRORS

The encryption function was called up with an empty message.

NET Error During Buffer Length Calaulation [Error-ID]

ERRORS

The calculation of required buffer size for encryption was unsuccessful.

NET Error Buffer Length Must Not Be 0!

ERRORS

The buffer for encryption or decryption has not been created.

NET Error During Decryption 0x%x

ERRORS

An error occurred during decryption.

NET Error During Encryption 0x%x

ERRORS

An error occurred during encryption.

NET Error: Encryption Is Required And Project [Projekt] Received Plaintext Network Message

ERRORS

Encryption is active and a decrypted message was received. The message is discarded in this case.

NET Error: Encryption Is Not Supported And Project [Projekt] Received Encrypted Network Message

ERRORS

Encryption is not active and an encrypted message was received. The message is discarded in this case.

NET Cryptography Successfully Initialized

DEBUG

The parameters required for encryption and decryption were initialized successfully. The parameters are initialized when Runtime is started.

NET Uninitializing Cryptography

DEBUG

The parameters required for encryption and decryption were released. This happens when Runtime is ended. If the log connection is separated before release, the message does not appear in the Diagnosis Viewer.

NET Error During Buffer Size Calculation [Error ID]

ERRORS

An error occurred when the necessary buffer size for compiling information for encrypting or decrypting the network password was calculated.

NET Error During Buffer Size Calculation: No Adapters

ERRORS

The computer does not have a network adapter. For this reason, the network password cannot be encrypted or decrypted.

NET Error During Adapter Info Query [Error ID]

ERRORS

An error occurred when the adapter information for encrypting or decrypting the network password was read off.

NET Error Passwort Not Properly Formatted

ERRORS

The hex dump of the encrypted password is in an invalid format.

NET Error During Decrypting Password [Error ID]

ERRORS

An error occurred when decrypting the network password.

NET Error During Encrypting Password [Error ID]

ERRORS

An error occurred when encrypting the network password.

NET Cryptography Is Disabled

DEBUG

Encryption of the network traffic is deactivated.

NET Error No Password

ERRORS

Encryption is active, but no password is entered.

NET Error Password Could Not Be Decrypted

ERRORS

The password for network encryption could not be decrypted.

NET Password successfully loaded

DEBUG

The password for network encryption has been loaded successfully.

Network Cryptography Disabled By Remote Configuration

DEBUG

zenSysSrv reports that encryption of network traffic on the computer was deactivated by the Remote Transport configuration.

Network Cryptography Enabled By Remote Configuration

DEBUG

zenSysSrv reports that encryption of network traffic on the computer was activated by the Remote Transport configuration.

Network Cryptography Remote Configuration Error

ERRORS

A configuration sent by Remote Transport for network encryption is erroneous.

Error During Buffer Size Calculation [Error ID]

ERRORS

An error occurred when the necessary buffer size for compiling information for encrypting or decrypting the network password for the configuration of Remote Transport was calculated.

Error During Buffer Size Calculation: No Adapters

ERRORS

The computer does not have a network adapter. For this reason, the network password cannot be encrypted or decrypted and thus not set via Remote Transport (it must therefore be connected via COM). The use of network encryption on a computer without a network adapter makes no sense however.

Error During Adapter Info Query [Error ID]

ERRORS

An error occurred when the adapter information for encrypting or decrypting the network password for configuration via Remote Transport was read off.

NET Error During Decrypting Password: The Password is Invalid!

ERRORS

The password is no longer valid, because the

initial data for computer-dependent encryption has changed.

This error can be rectified by configuring the password again.

The decryption process is usually canceled before the validity of the password is checked, because the old password cannot be decrypted with the new encryption data.

This leads to the „NET Error During Decrypting Password 0x80090005" error, which is usually displayed instead of „NET Error During Decrypting Password: The Password is Invalid!". Another consequence is that a password that is now invalid on the computer in question can lead to error messages when network packages are sent or received. The „NET Error Cryptography Not Initialized!" error message is written to the LOG file.

Connector-Container: Decryption failed. Perhaps wrong encryption key.

ERRORS

The encryption of the data packet received by the connector client was not successful.


zenon on the Terminal Server

Manuel -> Réseau -> zenon on the Terminal Server

The zenon Runtime can also be used together with a terminal server solution.

Limitations:

  • The Editor cannot run on a terminal server.
  • Project simulation is not available for clients at the terminal server.

info Informations

Keep in mind that the name of the terminal client is resolved. That means: The name of the device that initiates the terminal connection is the name of the Clients for the zenon network.

Attention: Ensure that all corresponding ports have been unlocked when using a firewall.

Terminal server solutions are offered by several manufacturers. All tests with zenon were carried out using the Windows terminal server (Windows Remote Desktop Services).

attention Attention

When using zenon with a terminal server, it must be licensed with a Network dongle.

Several instances of Runtime

Only one instance of zenon Runtime can be started on a computer at any time. This applies regardless of whether Runtime is started as an EXE file, a zenon Web Client or as Runtime Control (OCX).

Exception: On the terminal server or terminal client, one instance of Runtime per user can be started as an EXE file, as a zenon Web Client or as Runtime Control (OCX). Only 1 instance can run at any time within a user context.

Autres sujets abordés dans ce chapitre

How terminal servers work

Advantages and disadvantages

How zenon works on the terminal server

Required settings

zenon Remote Desktop versus Terminal Server


How terminal servers work

Manuel -> Réseau -> zenon on the Terminal Server -> How terminal servers work

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

With terminal servers, it is possible to provide data and applications centrally, regardless of the end device. Terminal servers make it possible to start several shell instances (desktops) that are separate from one another on the terminal server. If a client connects to the terminal server, a new shell instance is created and the client is assigned its own graphic user interface. The applications are executed on the terminal server itself and the data is saved on the terminal server. Input (via the keyboard, mouse etc.) and output (display, audio, etc.) is on the Client.

info Info

Not all software is compatible with terminal servers.


Advantages and disadvantages

Manuel -> Réseau -> zenon on the Terminal Server -> Advantages and disadvantages

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

The use of zenon offers the following advantages and disadvantages:

Advantages

  • Only one computer (the terminal server) has to be maintained.
  • Clients do not have to be very powerful (Thin Clients).
  • Clients can have different operating systems (Windows, Windows CE, Linux, Unix, MacOS, iOS, Android etc.).
  • High degree of data security, because no data is saved on the Client.

Disadvantages

  • All started programs of all instances run on one computer (the terminal server).
    This:
    • must have sufficient computing power for all started programs.
    • must have sufficient RAM for all started programs.
  • All interfaces have to be shared. E.g. network adapters, COM ports, parallel ports.
  • The network load can be high with an appropriate number of Clients (such as transfer of graphic data).
  • The screen resolution is defined by the client started first. If screens in different resolutions are to be used, this can be implemented on the terminal server by means of an entry in the zenon6.ini (SERIALIZE=1). All screens are then calculated again for the client, which further increases the necessary performance for the terminal server.


How zenon works on the terminal server

Manuel -> Réseau -> zenon on the Terminal Server -> How zenon works on the terminal server

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

On a terminal server, operation is possible as:

  • zenon Client possible without limitations
  • zenon standalone systems only worthwhile and possible:
    • as a superordinate integration project to start several Client sub projects
    • without drivers, database connections etc.
  • zenon Primary Server not possible

Schematic display

Example topology of a terminal server network with zenon:

Computer | Description
Runtime Server | zenon Primary Runtime Server
Terminal Server | Terminal Server and n-fold Runtime Client
Terminal RDP Client a - D | Terminal Clients (input and output only)


Required settings

Manuel -> Réseau -> zenon on the Terminal Server -> Required settings

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

In order for zenon Runtime to be able to be started more than once on the terminal server, several settings must be made. The settings for registration, screen resolution and transfer service can be undertaken with the zenon Startup Tool.

info Informations

The following parameters are automatically set with registration via the Startup Tool:

  • INI entries:
    • [TERMINAL]
      CLIENT=1
    • [DEFAULT]
      SERIALIZE=1
  • Registration of ZenSysSrv.exe as a service
  • Deregistration of ZenDBSrv.exe

General settings

  1. Registration

    Register the use on the terminal server via the zenon Startup Tool.
    Alternatively, you can configure the corresponding INI entries manually.

    zenon6.ini entry:
    The following entry must be added in zenon6.ini on the terminal server. On the Primary Runtime server no settings are needed.

    [TERMINAL]
    CLIENT=1

    1: The Runtime can be started several times, all settings for the terminal server operation are automatically set by the Runtime.
    0: Runtime can only be started once per terminal server session. Operation on the terminal server is not possible. (standard setting)

  2. Automatic adjustment of the screen resolution

    Per default the first client at the terminal server defines the screen resolution. This setting can be amended on the terminal server with the following entry in zenon6.ini:

    [DEFAULT]
    SERIALIZE=1

    • 0: Screen resolution individual, all screens are recalculated for each client
    • 1: The first client started sets the screen resolution.
  3. Transfer

    The transport service (ZenSysSrv.exe) must be registered and started as a Windows service, not as a standard EXE file. This setting is automatically set when registering via the Startup Tool, but can also be set manually.

    Manual setting:

    1. Start the program from the command line interface with the -service option.

      For example: C:\Programs (x86)\COPA-DATA\zenon760\zenSysSrv.exe -service

    2. Then start the Windows Service Manager. The service will be started automatically during every computer restart.

    Note: The setup always registers the transport service as a standard EXE. Therefore the transport service must be re-registered as a Windows service after every reinstallation.

  4. Runtime folder

    All users must have write access to the Runtime folder. All Windows users (Windows users: All) in Windows Explorer must have complete access to the Runtime folder and all its subfolders.

attention Attention

If TERMINAL= 1 is set, the project simulation is no longer available.

Selective reloading of single projects

Projects can also be synchronized selectively. In this case clients only reload projects if project changes exist. To activate the selective reloading:

  1. Open the file zenon6.ini with a text editor.
  2. Navigate to the section [TERMINAL].
  3. Edit or create the entry: CLIENT_NO_FILE_ALIGN=.

    Possible values:

    • 0: Projects are always reloaded by all clients
    • 1: Selective synchronization active. Only the zenon client which is started in the console session of the terminal server synchronizes the Runtime files with the zenon server.

After synchronizing the Runtime files, the console client writes the file reloadindicator.tmp to the directory that contains project.ini file of the program . The session clients at the terminal server check every 10 seconds whether this file is available. Does it exist and is its file time stamp newer that the date of the last reload, a session client reloads automatically.

Entry in zenon6.ini for selective reload

[TERMINAL]

CLIENT=1

CLIENT_NO_FILE_ALIGN=1

[DEFAULT]

SERIALIZE=1

info Informations

You can get further information configuration files manual, in the Terminal server [TERMINAL] chapter.


zenon Remote Desktop versus Terminal Server

Manuel -> Réseau -> zenon on the Terminal Server -> zenon Remote Desktop versus Terminal Server

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

The terminal server solution is different from zenon Remote Desktop primarily due to the following points:

zenon Remote Desktop connection | Terminal server connection
All connected stations always see one and the same desktop. If e.g. one user starts a program, all see the same program, the same mouse cursor, the same keyboard input, etc. | Each connected station has its own desktop - an own instance. Only it sees, what happens there. Mouse actions and keyboard inputs only affect this one instance.
 | That also means: In each instance a program can be started separate, e.g. a text editor. The program then runs on the terminal server several times and therefore needs more resources.

info Informations

You can also find further information in the zenon Remote Desktop manual


Administering and checking network topology

Manuel -> Réseau -> Administering and checking network topology

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

The network topology is displayed in a separate project manager tab.

The display is divided into three areas:

  • Topology tree (top left):
    shows active projects; the global project is not displayed
  • Event tree (top right):
    only the result is displayed; represents the topology tree of a selected computer
  • Computer list(bottom):
    List display and configuration of computers in the network

Autres sujets abordés dans ce chapitre

Topology tree

Result tree

Computer list

Error messages from topological testing


Topology tree

Manuel -> Réseau -> Administering and checking network topology -> Topology tree

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

The topology tree displays active projects in hierarchical form.

Parameter

Description

Project name

Is defined in the project tree tab and cannot be changed here.

Network active

Displays whether the network option is active for this project. The setting can be changed via the Réseau actif property.

  • Yes
    project is a network project
  • No
    project is not a network project

Server 1

Displays the Primary Server defined for this project. The setting can be changed via the context menu, the symbol in the toolbar or the Serveur 1 property.

Server 2

Displays the Standby Server defined for this project. The setting can be changed via the context menu, the symbol in the toolbar or the Serveur 2 property.

Autres sujets abordés dans ce chapitre

Toolbar and context menu


Toolbar and context menu

Manuel -> Réseau -> Administering and checking network topology -> Topology tree -> Toolbar and context menu

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Property | Description
Set computer as Primary Server | Defines the computer highlighted in the computer list as the Primary Server for the project highlighted in the tree.
Set computer as Standby Server | Defines the computer highlighted in the computer list as the Standby Server for the project highlighted in the tree.
Delete Primary Server | Deletes the Primary Server defined for the highlighted project. Note: Configured computer is removed from the Serveur 1 property.
Delete Standby Server | Deletes the Standby Server defined for the highlighted project. Note: Configured computer is removed from the Serveur 2 property.
Help (? symbol) | Ouvre l'aide en ligne.


Result tree

Manuel -> Réseau -> Administering and checking network topology -> Result tree

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

The result tree represents the project tree of the computer selected in the computer list from the project, which is set as a start project for the selected computer and displays these project settings.

The result tree is empty if:

  • The start project of the selected computer was not found
  • More than one computer in the list was selected

Parameter

Description

Project name

Projects that are assigned to the selected computer.

Role

Role of the computer:

  • Primary Server
  • Standby Server
  • Client

Primary Server

Name of the computer that acts as a Primary Server to Runtime.

Standby Server

Name of the computer that acts as a Standby Server to Runtime.

Result of test

Shows detailed error messages for topology test.


Computer list

Manuel -> Réseau -> Administering and checking network topology -> Computer list

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

The computer list shows computers that have been set up in the project and allows them to be configured. The list relates to the workspace and is saved in the workspace file (*.wsp6).

The cells can be sorted and filtered. The column width can be amended with a right mouse click.

Parameter

Description

Computer name

Name of the computer. Can be changed by:

  • Click in the cell:
    Clicking on the ... button opens a drop-down list of the computers currently available in the network.
    Note: This is only possible for pre-existing entries.
  • Edit computer entry in the context menu or toolbar.
    Opens the dialog to configure the computer in the network.
  • Nom de l'ordinateur property.

Start project

The start project assigned to the computer Can be changed by:

  • Click in the cell:
    Select from drop-down list.
    Note: This is only possible for pre-existing entries.
  • Set start project entry in the context menu or the toolbar Sets the project selected in the topology tree as the start project.
  • Projet de démarrage property.

Start project Runtime folder

Folder for project files on the target computer. The files of the start project are saved in this folder. All other projects relating to this correspond to the structure of the Dossier du Runtime set up on the local computer.

For example:
Dossier Runtime du projet de démarrage: C:\Projecs\Top = location where start project is stored.
Sub projects are stored in C:\Projects\.

Hint: Use the project name as folder name in order to create the same structure as on the engineering computer automatically.

The Dossier Runtime du projet de démarrage can be changed by:

  • double clicking on the computer:
    Opens the Configure computer dialog in the network.
  • Click in the cell: Manual entry possible.
  • Dossier Runtime du projet de démarrage property.

Result of test

Shows the result of the topology test.

  • OK:
    All projects are free of errors.
  • Error detected - For details see detail view!
    One or more projects have an error.
  • Critical error detected - For details see the detail view!
    A project has a serious error. Serious errors halt further testing.
  • Not tested, because there is a serious error in the structure:
    The computer was not fully tested, because the test was ended due to a serious error.

Detailed error messages are displayed in the result tree.

Autres sujets abordés dans ce chapitre

Toolbar and context menu

Computer network configuration dialog


Toolbar and context menu

Manuel -> Réseau -> Administering and checking network topology -> Computer list -> Toolbar and context menu

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Entry | Description
Add computer... | Opens the Configure computer dialog in the network.
Edit computer... | Opens the dialog to configure the computer in the network for these computers.
Delete computer | Deletes computer from the topology after requesting confirmation. Multiple selection is possible. Attention: Deletion of the Primary Server or Standby Server leads to serious errors in the topology.
Set start project | Sets the project selected in the topology tree as the start project.
Copy Runtime files from all projects on the computer | Copies all projects valid for the selected computer to the target computer. The result is displayed in the output window.
Help (? symbol) | Ouvre l'aide en ligne.


Computer network configuration dialog

Manuel -> Réseau -> Administering and checking network topology -> Computer list -> Computer network configuration dialog

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

The following configurations are necessary to configure the computers:

Parameter

Description

Computer name

Clicking on the ... button opens the dialog to select a computer from the list of computers that are currently available in the network.

Note: If many computers are available in the network, it can take some time to call up the dialog.

Start project

Selection of the start project from a drop-down list.

All projects that are currently available in the workspace are displayed.

Start project Runtime folder:

Folder for project files on the target computer. The files of the start project are saved in this folder. All other projects relating to this correspond to the structure of the Dossier du Runtime set up on the local computer.

Hint: Use the project name as folder name in order to create the same structure as on the engineering computer automatically.

For example:
Project name = I-Project
at Dossier Runtime du projet de démarrage enter: C:\Projects\I_Project
The sub projects in relation to this path are stored at C:\Projects\Projektname, for example:
The project name is SubProject1, then the Runtime folder for this is C:\Projects\SubProject1.

Requirement:
The Runtime folders are left at their default settings and the projects were created at one file level.

If this is not the case, it may be the case that subprojects cannot be copied, because the relative folder cannot be created from the start project.

Example:
The integration project has the following set up as a Runtime folder: C:\Workspace\Projects\I_Project. The sub project has the following set up as a Runtime folder: C:\Subproject. The start project Runtime folder is set to C:\Project. The sub project cannot be transferred, because the relative folder would be..\..\Project. This does not work, because the Runtime folder for the sub project would be below C:\.
Solution: Set the Dossier du Runtime project property correctly. It is best to do it so that the Runtime folder is at the same level for all projects.

Fermer boîte de dialogue

Options | Description :
OK | Applique les paramètres et ferme la boîte de dialogue.
Annuler | Annule toutes les modifications et ferme la boîte de dialogue.
Aide | Ouvre l'aide en ligne.


Error messages from topological testing

Manuel -> Réseau -> Administering and checking network topology -> Error messages from topological testing

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

The topology test is always carried out if settings concerning the topology change. The effect of each change can be observed immediately this way. The topology is also tested if the topological view is changed.

Tests carried out

  • Is the project defined in the project tree available in the project tree?
  • Was a Primary Server defined?
  • Were different computers defined for Primary Server and Standby Server?
  • Can the client achieve its Primary Server/Standby Server?
  • Can the Primary Server reach its clients?
  • Can the Standby Server reach its clients?
  • Is the Primary Server available for a project in the topology?
  • Is the Standby Server available for a project in the topology?
  • Is a computer included more than once in the path from Client to the Primary Server?

Not tested:

  • Is a client only updated on one path by the Primary Server or do several paths exist?

Client to server

  • Does the client reach its Primary Server via the Primary Server's chain?
  • Was a computer that routes switched to its Standby Server?

    Info: The server must also be able to be reached by the client via the project's Standby Server that routes.

Error message

Errors that are recognized during the topology test are displayed in the result tree in the test result column.

Error

Reason

Solution

The start project is unknown!

Start project cannot be found.

Correct project configuration or include missing project in the workspace.

The computer is entered as a server and standby!

Server and Standby Server must be different computers.

Define different computers as Server and Standby Server.

No computer is entered as server!

The project is a network project but no server was configured.

Define a computer as a server.

The project is not started on computer [name]! However it is necessary because higher hierarchic levels need access to it.

The project is not loaded on the computer stated. The project is however routed via this.

Adapt topology or start project for the computer or deactivate the Routage actif property.

Circular access to the server: The computer [name] redirects to the client [name]!

The routing path from the client to server goes around in a circle. The computer that acts as a node redirects to the client.

Adapt topology or start project for the computer or deactivate the Routage actif property.

Circular access to the standby: The computer [name] redirects to the client [name]!

The routing path from the client to the standby goes around in a circle. The computer that acts as a node redirects to the client.

Adapt topology or start project for the computer or deactivate the Routage actif property.

The computer [name] is not included in the list of computers

Computer is missing in the list of computers for the topology.

Add computer to topology.

Not checked because there is critical error in the topology

No check could be made out for this computer because there was a critical error.

Rectify other errors so that the check can also check this computer.

Circular access path: [computer names]

The routing path from the client its the server/standby goes around in a circle.

The "computer names" field contains the names of the computer that are affected.

Structure:
The first computer is always the client. The separator between the computer names indicates whether the following computer is a server or standby.

  • > identifies the following computer as a server.
  • "+" labels the following computer as a standby.

For example: Computer1+Computer2 > Computer3

Adapt topology or start project for the computer or deactivate the Routage actif property.

Circular access path exists from server to client!

The server is found according to the node when searching for the client computer.

Adapt topology or start project for the computer or deactivate the Routage actif property.

The server (name) cannot reach this client!

The path is not closed from the stated server to the client. The client is included in the client list on the server but is not updated. (The blue dots do not disappear on the client.)

Adapt topology or start project for the computer or deactivate the Routage actif property.


Redundancy

Manuel -> Réseau -> Redundancy

Redundancy in zenon ensures that processes are not interrupted even in the event of a failure of the Primary Server and that no data is lost. In zenon, we speak of seamless redundancy.

Seamless redundancy means that the time period between the failure of the Primary Server and detection of the failure is protected from data loss. This is implemented as follows:

  1. The Standby Server buffers all data.
  2. The Standby Server detects the failure of the Primary Server and automatically takes on the complete functionality thereof.
  3. The standby server adds the data from the buffer to the corresponding modules (AML, CEL, archives).

info Informations

Project changes need only be entered on the Primary Server; the standby server and the connected clients automatically synchronize online data. This ensures that the project status is the same on all computers.

Software redundancy and hardware redundancy

With redundant systems in zenon, a distinction is made between software redundancy and hardware redundancy.

Circular redundancy

zenon circular redundancy is a special form of redundancy that allows seamless redundancy for several projects with a low amount of hardware being used and very simple eingineering.

zenon redundancy and zenon Logic redundancy

You can find details on the combination of zenon redundancy and zenon Logic redundancy in the zenon Logic Runtime manual).

info Info

If only one controller is available, which offers only one communication channel, the Stop at the Standby Server option in the general settings of the driver configuration can be activated. The driver is thus stopped at the Standby Server and only started again at the upgrade.

Redundancy with zenon Operator depending on its role

For zenon Operator, depending on the role, the following is applicable for connections to one server with Supervisor license:

As client

  • Connection to Serveur 1 and Serveur 2 is possible.
  • The client connects to the Standby Server if the Primary Server fails.
  • Several instances of a driver are supported (because it is started on the primary server and/or the standby server.
  • All variables of all drivers are displayed and can be written.
  • Archives can be read.
  • Redundancy switching can be executed.

As Primary Server

  • Redundancy with zenon Operator (licensed for Serveur 1 and Serveur 2) is not supported.
  • If Runtime is started with an Operator license as a standby server, there is an undefined status.

As a data server

  • More than one instance of a driver can be started. However only one of the instances can send values to Runtime. zenon Operator thus behaves along the lines of a CE panel on which only one driver can be started for technical reasons.

Autres sujets abordés dans ce chapitre

Types of redundancy

Redundancy modes

Configuration of seamless redundancy

Setting up the Standby Server

Special setups in the communication between Primary Server and Standby Server

Integrated rating methods for redundancy switching

zenon circular redundancy

Redundancy Management Tool


Types of redundancy

Manuel -> Réseau -> Redundancy -> Types of redundancy

For redundant systems with zenon, a distinction is made between:

  • Software redundancy
    The primary server communicates with the controller on a two-way basis; the standby server is read only.
  • Hardware redundancy
    Both servers communicate on a two-way basis with the respective connected controller. Is usually applied in conjunction with controllers connected in series.

Autres sujets abordés dans ce chapitre

Software redundancy

Hardware redundancy


Software redundancy

Manuel -> Réseau -> Redundancy -> Types of redundancy -> Software redundancy

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

The system usually consists of a controller and two redundant computers (primary server and standby server). Both computers must be connected to the PLC.

Software redundancy with a controller

Behavior in operation

In normal operation, both computers communicate with the controller; in doing so:

  • The Primary Server communicates with the controller in two directions (read and write)
  • The Standby communicates with the controller as read only
  • Both computers keep the controller's data current and synchronous

Action in the event of a failure of the Primary Server:

In the event of a failure of the Primary Server:

  • The Standby Server becomes the new Primary Server
  • The Seamless redundancy ensures that all data is complete without omissions, including data from the time between the failure and the switch
  • The new Primary Server communicates with the PLC both ways

Software redundancy with two controllers via TCP-IP

It is also possible to operate two controllers with software redundancy.

The requirements for this are:

  • The driver supports this.
  • There is a configuration file that can be manually edited (using a text editor).

To configure, carry out the following steps:

  1. Configure the driver for communication with the primary controller with its IP address in the Editor.
  2. Transfer the Runtime files to Serveur 2 initially.
  3. Enter the IP address of the secondary controller into the driver configuration at Serveur 2 instead of the the IP address of the primary controller.
  4. Deactivate the transfer of the driver files in the project settings for remote transport.

    It is thus ensured that the configuration at Serveur 2 is not overwritten by the configuration of Serveur 1.

Behavior in operation

In normal operation:

  • The Primary Server communicates both ways with the first controller
  • The Standby Server communicates read only with the second controller
  • The integrity of the data is ensured by means of a data sync in zenon

Action in the event of a failure of the Primary Server

If the Primary Server fails, the Standby Server takes over its role and communicates on a two-way basis with the secondary controller.

If the server that has failed is started again, it takes over, depending on the selected redundancy mode, either the role of the Primary Server again or that of the Standby Server.

Action in the event of a failure of the first controller

If the first controller fails, redundancy switching is not carried out automatically.

You can implement automated redundancy switching by means of corresponding configuration of Redundancy mode - Evaluated.


Hardware redundancy

Manuel -> Réseau -> Redundancy -> Types of redundancy -> Hardware redundancy

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Hardware redundancy must have two controllers and two computers, in contrast to software redundancy. Hardware redundancy is primarily used in conjunction with controllers connected in serial.

In normal operation:

  • The Primary Server communicates both ways with the first controller
  • The Standby Server communicates both ways with the second controller

Action in the event of a failure of the Primary Server:

In the event of a failure of the Primary Server:

  • The Standby Server becomes the new Primary Server
  • Seamless redundancy ensures that all data is complete without omissions, even during the time between the failure of the Primary Server and the switch to the Standby Server

Action in the event of a failure of the first PLC

If the controller connected to the Primary Server fails (initially Serveur 1), redundancy switching is not carried out automatically.

To get automated redundancy switching:

  1. Create two variables:
    1. Variable A, which is read by the Primary Server's controller
    2. Variable B, which is read by the Standby Server's controller

      Attention: To do this, activate the option for Variable B: Lire uniquement sur le serveur redondant.

  2. Create two functions:
    1. A function for redundancy switching at Serveur 2
    2. A function for redundancy switching on Serveur 1
  3. Create two binary reaction matrices, which each check the INVALID status for the value 1.
    1. For the first reaction matrix, link the function for redundancy switching to Serveur 2
    2. For the second reaction matrix, link the function for redundancy switching to Serveur 1

      Info: You can find more information on the creation and configuration of reaction matrices in the following chapter: Reaction Matrices

  4. Link:
    1. The first reaction matrix to Variable A
    2. The second reaction matrix to Variable B

If, during ongoing operation, the controller of the Primary Server fails (Variable A gets the status INVALID), redundancy switching to Serveur 2 is carried out.

If the controller on the original Standby Server (Serveur 2) fails, redundancy switching to Serveur 1 is carried out.

To get redundancy switching after reaching the controller again:

  1. Add an entry to the reaction matrix in which the INVALID status is checked for the value 0.
  2. Link the corresponding function to redundancy switching.


Redundancy modes

Manuel -> Réseau -> Redundancy -> Redundancy modes

If software redundancy is selected as a redundancy type, there are three different redundancy modes available. The distribution of roles (Primary Server or Standby Server) during operation and after the re-availability of a server that failed beforehand depends on the selected redundancy mode.

A distinction is made between

  • Dominant
  • Non-dominant
  • Rated

The behavior in detail

Dominant

  1. The Primary Server fails.
  2. The original Primary Server goes online again.
    In doing so:
    1. It connects to the current Primary Server
    2. It synchronizes all data
    3. It becomes the Primary Server itself again
  3. The original Standby Server becomes the Standby Server again.
  4. All Clients connect to the new Primary Server.

Non-dominant

  1. The Primary Server fails.
  2. The original Primary Server goes online again.
    In doing so:
    1. It connects to the current Primary Server
    2. It synchronizes all data
    3. It becomes the Standby Server itself
  3. The current Primary Server remains the Primary Server.
  4. All Clients retain the connection to this.

Rated

With rated redundancy, the roles of Primary Server and Standby Server are given on the basis of an evaluation matrix.
In doing so:

  1. both computers each carry out a rating calculation on the basis of configured rating criteria.
  2. The computer that has the higher rating becomes the Primary Server
  3. No change of roles is carried out if both computers have the same rating
  4. Alarms and CEL entries are written by the Primary Server
  5. The clients connect to the Primary Server

info Informations

The settings for the different redundancy modes are not available for the hardware redundancy redundancy type. The dominant redundancy mode is always used there.

Autres sujets abordés dans ce chapitre

Redundancy in a rated network


Redundancy in a rated network

Manuel -> Réseau -> Redundancy -> Redundancy modes -> Redundancy in a rated network

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

With hardware redundancy in a rated network, rating criteria decide which computer takes on the role of the Primary Server and which takes on the role of the Standby Server.

This rating can be freely configured and can include different criteria. Each criterion is assigned rating points - the weighting. The sum of the weighting points decides on the respective server role.

info Informations

If one of the two servers, regardless of which role they are currently in, loses the connection to a different server (due to a hardware or network failure, for example), it automatically upgrades itself to the Primary Server.

Reasons for delaying the regrading

The following causes can delay a redundancy switching:

  • The internal modules have not yet been fully initialized. This is possible if a driver delays the regrading process.
  • The regrading is already active but not yet completed.
  • The file sync is still active.
  • Reloading is taking place.

attention Attention

If, in a rated network, server redundancy switching is triggered due to a rating, there is no guarantee that pending functions in the queue of the old Primary Server have also actually been processed successfully before switching.

Reason

During redundancy switching in rated networks, both servers take on the role of the Primary Server for a short time. In this time period, Serveur 1 and Serveur 2 synchronize their data. The time period of this status depends on the network load and can be between 200 and 500 milliseconds.

Time synchronization

Recommendation: With a rated network, always deactivate the time synchronization of Serveur 1 and Serveur 2 through the zenon network.

To do this:

  • Deactivate the automatic time synchronization in zenon.
  • Activate external time synchronization on Serveur 1 and Serveur 2 by means of the operating system.

info Informations

You can find detailed information on this in the Time synchronization in the network chapter.

Autres sujets abordés dans ce chapitre

Redundancy in a rated network

Configuration of redundancy rating

Switching delay, down time and hysteresis

Example: Configuration for software redundancy with 2 controllers

LOG entries in the rated network


Redundancy in a rated network

Manuel -> Réseau -> Redundancy -> Redundancy modes -> Redundancy in a rated network -> Redundancy in a rated network

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

The following properties of the Réseau properties group must be configured for the configuration of a rated network:

  1. Réseau actif must be activated.
  2. Serveur 1 and Serveur 2
  3. Type de redondance is Software redundancy
  4. Mode de redondance is Rated
  5. Redundancy rating in the Évaluations property field.
    You can find details on rating in the chapter "Configuration of redundancy rating".
  6. Délai de commutation [s]
  7. Temps mort après commutation [s]
  8. Hystérésis (the rating points)


Configuration of redundancy rating

Manuel -> Réseau -> Redundancy -> Redundancy modes -> Redundancy in a rated network -> Configuration of redundancy rating

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

The dialog to configure the redundancy rating is opened by clicking on "..." in the Évaluations properties field in the Réseau properties group.

The result of this rating is evaluated with the system variables [Network] Rating result for Server 1 and [Network] Rating result for Server 2.
Note: You can find further information on the network system variables in the System driver manual, in the Theme [Network] chapter.

The fields in this dialog can be filtered and sorted.

Option

Description

Name of the variable

List of the variables that can be used for the rating.

Note: A maximum of 200 variables can be used for the redundancy rating.

Weighting

Value of the test criteria.
Provides the value of the individual test criteria in the entirety of the test results.

The weightings of all variables that are applicable (see Comparison) are counted up.

  • Input range: 0 - 1000

Default: 100

Comparison

States the type of comparison, from which the value of the weighting is taken into account in the overall assessment.

Drop-down list:

  • Not used
    No comparison to the weighting is carried out.
  • Only status OK /value OK
    Only a check to see if there is a value is carried out. As soon as there is a valid value, the value of the weighting is used for the overall evaluation.
  • Values from limit are OK
    Values that are greater than or the same as the limit that has been entered use the value of the rating in the overall evaluation.
  • Values up to limit are OK
    Values that are less than or the same as the limit that has been entered use the value of the rating in the overall evaluation.

Default: not used

Limit

Limit for comparison with Values from limit are OK or Values up to limit are OK

Default: 0

Note: If the comparison is "not used" or "Only status OK /value OK", entries in this field have no influence on the rating.

Add...

Opens the dialog to select variables.

Remove

Removes the selected variables from the list
Note: Multiple selection is possible.

Cancel filtering

Removes the filter criteria.

Fermer boîte de dialogue

Options

Description :

OK

Applique les paramètres et ferme la boîte de dialogue.

Annuler

Annule toutes les modifications et ferme la boîte de dialogue.

Aide

Ouvre l'aide en ligne.

Example Exemple

A variable is configured in the rating dialog with the following settings:

  • Weighting: 50
  • Comparison: Values from limit are OK
  • Limit: 50

Set the value of the variable to 55. The condition becomes true as a result and the weighting of 50 is added to the result of the system variable [Network] Rating result for Server 1.

a further variable is configured with the following settings:

  • Weighting: 30
  • Comparison: Values up to limit are OK
  • Limit: 10

As long as the value of this second variable =< 10, the weighting is added to the system variable.

If the value of the second variable is 5 for example, the [network] rating result for Server 1 is 80. This is also applicable if the previously-described variable is true.


Switching delay, down time and hysteresis

Manuel -> Réseau -> Redundancy -> Redundancy modes -> Redundancy in a rated network -> Switching delay, down time and hysteresis

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Switching delay

The Délai de commutation [s] is the time (tolerance time) in which value changes of the rating result do not trigger a regrading of the server. In doing so, short peaks or a brief failure do not lead to an immediate server change.

Note: A further improvement of the rating result during the configured switching delay does not reset the timer.

Example Exemple

If a Délai de commutation [s] of 30 seconds is configured, the rating on the current Standby Server must be at least 30 seconds better than that of the Primary Server in order to trigger regrading.

After successful regrading, the timers of Temps mort après commutation [s] and Délai de commutation [s] switching delay can run at the same time; both must have expired in order to trigger a regrading.

Down time

This setting prevents resetting on the basis of the Primary server during the configured time.

Note: The Commutation redondance function can be executed.

Example Exemple

If the rating of the current Standby Server - after the last regrading within the set down time - is higher than that of the current server, there is not another regrading until this time expires. The start of the time period is the time in which the role swap of the server is completed.

If the rating increases within the down time of the Standby to more than that of the Server, but it goes down again to below or the level as the rating of the server before it expires, there is no regrading.

Hysteresis (in rating points)

If a Hystérésis is configured, a check is made before redundancy switching to see whether the rating results between the two computers (Serveur 1 and Serveur 2) correspond to the configured rating points. The switching is triggered once the value has been reached.

Example Exemple

Serveur 1 is Primary Server.

Serveur 1 and Serveur 2 each have rating result 0.

The Hystérésis is configured with value 100.

If the rating changes from Serveur 2 to 99, nothing happens; if the value reaches 100, a regrading is triggered.

Autres sujets abordés dans ce chapitre

Switching delay - example


Switching delay - example

Manuel -> Réseau -> Redundancy -> Redundancy modes -> Redundancy in a rated network -> Switching delay, down time and hysteresis -> Switching delay - example

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Switching delay - example

In this example, the switching of the two servers is triggered by a higher rating of the Serveur 2.

  • Once the reason for switching has occurred, the delay time is waited.
    Serveur 2 then becomes the Primary Server.
  • Although Serveur 1 could take on the role of the Primary Server again, the delay time is waited for before Serveur 1 takes on the role of the Primary Server.
  • Serveur 2 takes on the role of the Primary Server once the difference of the rating system variables is higher than the hysteresis of the delay time. After switching, the counting of the configured Dead time after switching is activated.
  • Serveur 2 takes on the role of the Standby Server at the time at which the difference is higher than the hysteresis again, once the switching delay time has expired.

Note: The role exchange of the two servers is visualized in the graphics by the respective vertical dashed line.


Example: Configuration for software redundancy with 2 controllers

Manuel -> Réseau -> Redundancy -> Redundancy modes -> Redundancy in a rated network -> Example: Configuration for software redundancy with 2 controllers

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Configuration in the Editor..

To get automatic redundancy switching in the event of a failure of a controller:

  1. Create a configuration as described in software redundancy - Software redundancy with two controllers via TCP-IP.
  2. Create a variable from the corresponding driver.
  3. Add this variable in the dialog for the redundancy rating.

  4. For Comparison, configure Status OK only / value OK with a corresponding weighting.

Behavior in Runtime

  1. If the controller of the Primary Server fails or the connection to the controller is interrupted, the variable gets the status INVALID and the rating falls by the configured value.
  2. On the Standby Server, at the time of the failure, the INVALID status is shown visually, but the value from the standby buffer is used internally for the evaluation. This value has a valid status because the Standby Server reads from the second controller.
  3. Once the switching delay has expired, the Standby Server takes on the role of the Primary Server and applies the valid values from the Standby buffer.

info Informations

To calculate the redundancy evaluation, the status of values from the buffer of the Standby Server is used. This is an exceptional case, because the status of the Primary server is always used for other evaluations.


LOG entries in the rated network

Manuel -> Réseau -> Redundancy -> Redundancy modes -> Redundancy in a rated network -> LOG entries in the rated network

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

The following log entries are written in the Diagnosis Viewer for the rated network:

LOG entry

Debug Level

Description

LOG SendData Project:RATED_NET To:CDSBG079.COPA-DATA.INTERNAL Modul:10 Prior:0 Class:CD_CSystemDaten

Debug

Data from the CD_CSystemDaten class is transported via connection 0 (watchdog) to computer cdsbg079.

The module gives the zenon module to the one that has the data.

Module 10: Synchronous execution network module

LOG SendData Project:RATED_NET To:W7X64 Modul:10 Prior:0 Class:CD_CSrv1SystemDaten

Debug

As above, the target is Server2 and the source is Server1

LOG ReceiveData Project:RATED_NET To:S Modul:10 Class:CD_CSrv2SystemDaten

Debug

As above, the target is Server and the source is Server1

<Beschreibung> Prj:<ProjektName> client:<ClientRechner> Cmd:<CommandTxt>(<CommandNum>) Timeout:<Timeout>, ReqId:<ReqId> reload:<Reload> stat1:<SubCommand> stat2:<Stat2> string:<AddText> list:<ItemCnt>

Description of the function for which the message is created. e.g.: Server received system data.; Client send watchdog; etc.

ClientRechner: Source or target depending on direction

CommandTxt: Command as plain text. e.g.: Server_REQ_DateiListe

CommandNum: Numerical identification of the command:

  • 0 = Server_REQ_LifeMsg,
  • 1 = Server_REQ_DateiListe,
  • 2 = Server_REQ_GetDatei,
  • 3 = Client_REQ_UpdateProjekt,
  • 4 = Server_REQ_RedundanzUmschaltung,
  • 5 = NETSRV_ConnectionClosed,
  • Timeout: Timeout in ms

ReqId: Request ID

Reload: 1 if Server is in Reload, otherwise 0

SubCommand: Number of subcommand. Meaning depending on CommandNum

For Command 0 ServerReqLifeMsg:

  • 1 = STAT_CLIENT_ABGEWIESEN,
  • 2 = STAT_CLIENT_ANGENOMMEN
  • 3 = STAT_CLIENT_SERVERCLOSE
  • 4 = STAT_CLIENT_SERVERSWITCH
  • 5 = STAT_CLIENT_SB_ANGENOMMEN
  • 6 = STAT_SB_SERVER_TO_SB
  • 7 = STAT_PEER_ALIVE

For Command 4 redundancy switching:

  • 0 = IdleChangeOfDominance
  • 1 = AdviseChangeOfDominance
  • 2 = ConfirmChangeOfDominance

Stat2: Additional command-specific information. e.g.: With command Server_Req_LifeMsg, subcommand: STAT_CLIENT_ANGENOMMEN, response for a Client logging on to a Server is the project version number in HiWORD.

AddText: Additional text.

ItemCnt: Number of objects in the list.

Client send watchdog. Prj:RATED_NET client:ATSZG-WKS053.COPA-DATA.INTERNAL Cmd:Server_REQ_LifeMsg(0) Timeout:30000, ReqId:0 reload:0 stat1:2(STAT_CLIENT_ANGENOMMEN) stat2:1 string: list:0 quantifier:<Quant> role:<RoleTxt>(<RoleNum>)

Message from Serveur 1 to Server2

Quant: Current rating.

RoleTxt: Current role as text

RoleNum: Current role as number

Server received system data. Prj:RATED_NET client:WKS053-W7X64 Cmd:Server_REQ_LifeMsg(0) Timeout:30000, ReqId:0 reload:0 stat1:2(STAT_CLIENT_ANGENOMMEN) stat2:1 string: list:0 expSrv1role:<ExpRoleTxt>(<ExpRoleNum>)

ExpRoleTxt: Role expected by Server2 for Serveur 1 as text.

ExpRoleNum: Expected role as number

Manual role switch for project %s denied.

WARNINGS

Manual redundancy switching cannot be carried out because a regrading is already active.

Current evaluated server1 role: %s(%i) Performing manual role switch.

DEBUG

A manual redundancy switch is carried out. Serveur 1 must switch its role according to the message.

Unknown standby logon! Project:<PrjName> new client <Pc>!

ERROR

Message is logged if a Client logs on as a Standby Server, but the Client name does not correspond to that of Serveur 1 or Serveur 2. The identification is carried out through the host name.

PrjName: Project that logs on to the Standby Server.

PC: Name with which the Standby Server logs on.

Unknown standby logon! Project:<PrjName> new client <Pc>!

ERROR

Message is logged if a Client logs on as a Standby Server, but the Client name does not correspond to that of Serveur 1 or Serveur 2. The identification is carried out through the host name.

PrjName: Project that logs on to the Standby Server.

PC: Name with which the Standby Server logs on.


Configuration of seamless redundancy

Manuel -> Réseau -> Redundancy -> Configuration of seamless redundancy

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

For the configuration of seamless redundancy for a zenon project, you need two (conventional) computers.

Define, in the project properties:

  1. A computer as Primary Server for the project
  2. A computer that is to be the Standby Server for the project.

Procedure for seamless redundancy

The process of seamless redundancy is implemented as follows:

  • One computer is the Primary Server and one computer is the Standby Server for a project.
  • As in a normal Client-Server model, the Primary Server has ownership of all data.
  • The Standby Server acts outwardly to the user like any other computer on the network that has started the project.
  • The Standby Server independently records all historical data such as alarms, events and archives and synchronizes other data (recipes, users, etc.) with the Primary Server.
  • If the Primary Server fails, the Standby Server upgrades itself and takes over its tasks.

    In order to avoid data loss in the time period between the server failure and the detection of the failure, the standby always buffers all data.
    After a failure of the Primary Server, this buffer is merged with the last data from the server and the new incoming data, so no data can be lost.

  • All Clients connect to the new Primary Server.
  • If the original Primary Server goes online again, a distinction must be made between when redundancy mode is used.

    Find out more information in the chapter Redundancy modes.

info Info

Project changes need only be entered on the Primary Server; the standby server and the connected clients automatically synchronize online data. This ensures that the project status is the same on all computers.

zenon redundancy and zenon Logic redundancy

You can find details on the combination of zenon redundancy and zenon Logic redundancy in the zenon Logic Runtime manual).


Setting up the Standby Server

Manuel -> Réseau -> Redundancy -> Setting up the Standby Server

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

To set up the Standby Server:

  1. In the project properties in the zenon Editor, switch to the Réseau group.
  2. Enter, in the Serveur 2 property, the name of the computer that is to serve as the Standby Server for the project.
    Note: the computer must have a connection to the PLC.

    You can enter the computer name:

    1. By selecting from the drop-down list by clicking on the ... button
      The Select the desired computer dialog is opened with all computers available in the network.
      Note: This process can take a very long time, depending on the number of computers available in the network.
    2. By entering the server name in the input field
  3. Select, in the Type de redondance property, the desired type of redundancy from the drop-down list:

info Informations

Servers from different domains are permitted!
In this case, configure the server name including the domain name.

e.g.: terminal_01.mydomain.net


Special setups in the communication between Primary Server and Standby Server

Manuel -> Réseau -> Redundancy -> Special setups in the communication between Primary Server and Standby Server

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Note the rules in the following setup:

  • The Primary Server has failed
  • The Standby Server has taken on its role
  • The original Primary Server is restarted
  • The original Primary Server gets all Runtime files from the current Primary Server (originally the Standby Server)

In exceptional cases, there may be conflicts if:

  1. Changes have only been made to the project of the original Primary Server that has been stopped
  2. It is not clear, due to network problems, which computer is the Primary Server.

1. Project changes with the Primary Server stopped

If, during the time in which Runtime is stopped on the original Primary Server, you make changes to the project and introduce these before synchronizing on this (stopped) computer, these changes are overwritten again as soon as the original Primary Server gets the data from the current Primary Server (the original Standby Server).

To prevent this: Introduce the amended data onto the Primary Server (configured Standby Server) as well, before starting the original (configured) Primary Server.

2. Project changes in redundancy mode or the servers used

The following changes are only accepted after the Primary Server has restarted:

  • Change of the Mode de redondance.
  • Changes in the Serveur 1 properties or Serveur 2 in the Réseau properties group.

attention Attention

In this case, reloading the project in Runtime is not sufficient to apply the necessary changes! To accept all changes, restart the Primary Server.

3. Server role not clear due to network problems

In exceptional cases, it may happen that both computers are the Primary Server. The cause of this can be, for example, a loss of network connection due to a switch failure, a disconnected network cable etc. In this case, the communication between the Primary Server, Standby Server and Clients depends on the error screen.

If, with this setup, the error screen is resolved and both servers communicate with each other again (at this time), then the original (configured) server has data sovereignty. That means: The standby server's more recent data could be overwritten.

To prevent this:

  1. Always check the role distribution with the [Network] Current Primary Server system variable:
    You will see the role that Runtime has and discover duplicate Primary Servers.
  2. End zenon Runtime on the Primary Server that lost the network connection.
  3. Set up the network connection again.
  4. Restart zenon Runtime on this computer.
  5. Runtime then starts the project with the computer as a Standby Server, updates its data and only then switches back to the Primary Server role.

Hint: Monitor the network connection with the Redundancy Management Tool.

attention Attention

Les fichiers graphiques PNG ne peuvent pas être remplacés s'ils sont actuellement affichés dans le Runtime.

Arrière-plan : Le Runtime protège les fichiers .png ouverts. Ceci évite qu'ils ne soient remplacés.

Solution : Avant d'activer Remote Transport, assurez-vous que les synoptiques comportant des fichiers *.png :

  • Ne sont pas appelés dans le Runtime
  • Ne sont pas utilisés par un autre programme

Cela s'applique également à l'actualisation des fichiers Runtime modifiés. La synchronisation dans le Runtime sur le réseau ne fonctionne pas pour un synoptique comportant un fichier *.png si l'appel de synoptique est effectué sur un ordinateur zenon impliqué dans le procédé (serveur redondant, client).


Integrated rating methods for redundancy switching

Manuel -> Réseau -> Redundancy -> Integrated rating methods for redundancy switching

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

In the dominant network, the Serveur 2, as the configured computer, regularly sends a telegram to the (dominant) Serveur 1, so that this - as soon as it receives a connection - can take on its role again. In a rated network, no telegram is sent any more in this case.

If there are two servers, the rating decides on the role.

Use of dominant behavior in zenon Logic

  • A driver can delay upgrading to a server on the dominant server. This function is no longer present in a rated network with severs that have equal rights.
  • Archives also receive an extra byte per entry on the Standby Server as well as on the Serveur 2. This ensures that the archives are different and are included in a synchronization.
  • Furthermore, the network topology for the drivers uses the terms Dominant and Standby as well as the roles as Server or Standby. However only the role is evaluated, so no change is therefore necessary.
  • zenon Logic is supplied with information on the label and role via CStratonVM::UpdatePrjSTates. The only thing that is evaluated is whether a computer is configured as a Standby and not the Primary Server. in this case, zenon Logic is also not active.


zenon circular redundancy

Manuel -> Réseau -> Redundancy -> zenon circular redundancy

zenon circular redundancy allows seamless redundancy for several projects with a low amount of hardware being used.

Two computers are normally required for each redundant project: one computer as the Primary Server and one computer as the Standby Server. 3 projects would thus require 6 computers. Just three computers are sufficient for implementing three projects with zenon circular redundancy. Another computer is added for each further project. For this, zenon combines multi-project administration with seamless redundancy.

Concept of circular redundancy

Circular redundancy uses the possibility of multi-project administration. Several projects can run simultaneously on one computer. Each computer is the Primary Server for a project and the Standby Server for a second "neighboring project" and can also be the Client for further projects. This results in a circle. Instead of four computers, for example, and licenses for two projects, six for three or eight for four, you only need half of that.

Topology with three projects

  • Computer 1 is the Primary Server for Project A and Standby Server for Project B.
  • Computer 2 is the Primary Server for Project B and Standby Server for Project C.
  • Computer 3 is the Primary Server for Project C and Standby Server for Project A.

    The circle is closed!

  • Each computer can be a Client for the other projects at the same time.
  • Expense: 3 computers and 3 Runtime licenses

info Info

An integration project is needed to start more than one project on a computer.

Normally you would need six computers and six Runtime licenses in this example. zenon circular redundancy is of course not limited to three projects, but can connect as many projects as desired in a circle. The fact that the computers can also be clients for other projects allows easy implementation of a low-cost, fail-safe, highly-available production line.

Time synchronization for zenon circular redundancy

If zenon time synchronization is active, the Standby Server and clients always receive the current time from the Primary Server. This makes no sense when using zenon circular redundancy, because the individual PCs are Primary Server and Standby Server at the same time. Computer 1 for example, would thus obtain the time from computer 2, computer 2 would obtain it from computer 3 etc.

Recommendation: In this case, deactivate the zenon time synchronization and carry out external time synchronization. You can find instructions for this in Time synchronization in the network.


Redundancy Management Tool

Manuel -> Réseau -> Redundancy -> Redundancy Management Tool

The Redundancy Management Tool monitors the network adapter and its connection to the network. If the device loses the connection to the network - e.g. by removing the network cable, the Redundancy Management Tool stops the Runtime. This process can be canceled by the operator within a configurable period of time. If the connection to the network is reestablished, the Redundancy Management Tool restarts the Runtime.

Start and configuration

The Redundancy Management Tool can be configured as an application with a dialog or by means of the command line interface.

To open the dialog:

  • Using the Windows start folder:
    Start -> All programs -> COPA-DATA -> Tools 7.60 -> Redundancy Management Tool
  • Using the Startup Tool:
    Tools -> Redundancy Management Tool
  • Direct start of the file zenon_redman.exe from the zenon program folder

After the start the Redundancy Management Tool is also displayed as symbol in the right area of the Windows task bar. A Double click on the symbol opens the configuration dialog:

Status

Status information on the monitored network adapter.

Parameter

Description

Network Adapter Connection State

Information about the status:

  • Connected:
    Connection to the network established.
  • Disconnected:
    Connection to the network interrupted.

Runtime State

Status of the zenon Runtime

  • Running:
    Runtime is running.
  • Stopped by Redundancy Management Tool:
    Runtime was closed by the tool.
  • Stopped:
    Runtime is not running.

Settings

Configuration of the network adapter to be monitored

Parameter | Description
Monitoring Network Adapter | Selection of the network adapter which should be monitored from the drop-down list. The list shows all network adapters available on the computer.
Runtime Shutdown Delay | Setting of the delay time before ending Runtime, in seconds. In this period of time the operator can cancel the closing of the Runtime. Default: 10 s Maximum value: 2147483647 s Values above this are interpreted as 0.
OK | Applique les paramètres et ferme la boîte de dialogue. Settings are applied in the INI file.

INI file

At the configuration via the dialog, file RedMan.ini is created in path %ProgramData%\COPA-DATA\System.
It contains the following entries.

Parameter | Description
[DEFAULT] | Group in the INI file.
ADAPTER= | Selected LAN connection.
DELAY= | Value for delay time.

Command line

The Redundancy Management Tool can also be started via the command line.

Possible parameters:

  • ADAPTER=[Name]
    Defines the network adapter which should be monitored.
  • DELAY=[Seconds]
    Defines the waiting time after a connection loss.
    Maximum value: 2147483647. Values above this are interpreted as 0.
  • HELP,?
    Displays help about the command line parameters.

info Informations

At the configuration via command line:

  • these settings are taken over directly
  • the configuration is deactivated in the dialog

no INI file is written

In the Runtime

During the Runtime the Redundancy Management Tool monitors continuously the network connection. If the connection is canceled, the Redundancy Management Tool shows a warning message. Runtime is ended after the configured delay time.

As soon as the connection is available again, the Redundancy Management Tool restarts the Runtime.

Click on button Cancel to halt the countdown and prevent the closing of the Runtime. If the connection is reestablished, the dialog is displayed again when the connection fails again. The user can cancel again or let the tool close the Runtime.

info Informations

The current status of the connection and Runtime is also always displayed in the configuration dialog.

Error treatment

Error message

Error are displayed by pop-up messages.

Message | Meaning
GetAdapterAddresses not supported on this platform! Error code '%u'! | Operating system version is not supported
GetAdapterAddresses did not return information about network adapters. Error code '%u'! | No network adapter found.

Log files of the Diagnosis Viewer

In the log file of the Diagnosis Viewer the following is documented:

Entry | Debug Level | Meaning
Network link '%s' down for '%u' seconds. zenon Runtime will be terminated. | Error | Network connection failed: The Runtime is closed.
Network link '%s' is up. Restarting zenon Runtime now. | Information | Network connection available again: The Runtime is restarted


COPA-DATA PRP

Manuel -> Réseau -> COPA-DATA PRP

zenon supports the Parallel Redundancy Protocol (PRP) for hardware-redundant communication in an Ethernet network. The protocol is standardized in IEC 62439-3.

PRP communication is carried out at at OSI Layer 2 level directly, regardless of zenon Editor and zenon Runtime. Special configurations in zenon are not required. To use the protocol, the computer must have two network cards and be configured accordingly.

You need the following for the use of PRP:

  • COPA-DATA PRP driver network service
  • PRP configuration and diagnosis tool

You can find this on the installation medium. You can find a detailed description of the required configuration steps in this chapter in the installation and configuration chapter.

Note: The packet sync of the network service supports networks up to 100 Mbit.

tutorial Informations concernant la licence

The network service is supplied.
A valid zenon license is required on the computer for use.

Autres sujets abordés dans ce chapitre

System requirements

Hardware requirements

Installation and configuration

PRP configuration and diagnosis tool


System requirements

Manuel -> Réseau -> COPA-DATA PRP -> System requirements

PRP communication is supported for 100-Mbit/s-Ethernet in the following operating systems:

  • Windows 7
  • Windows 8
  • Windows 10 from version 1607
    Attention: Earlier versions of Windows 10 are not supported.


Hardware requirements

Manuel -> Réseau -> COPA-DATA PRP -> Hardware requirements

The following hardware requirements are applicable for communication via PRP:

  • Both used network cards must support Jumboframes.
  • A configuration of the locally-administrated MAC address is possible for both network cards.

attention Attention

PRP communication is only supported within a redundant network. In doing so, two physical networks can be connected via PRP.

An additional connection in a further PRP network is not supported.


Installation and configuration

Manuel -> Réseau -> COPA-DATA PRP -> Installation and configuration

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

To prepare the computer for PRP installation:

  1. Switch the computer off and separate the computer from the power supply (physical reset).
  2. Restart the computer

Carry out the following steps in the operating system:

  1. Configure your two existing network adapters.
  2. Create a network bridge (= Bridge) from the network adapters.
  3. Install the COPA-DATA PRP driver for the network bridge.
  4. Configure your PRP connection

You can find a detailed description in the further chapters.

Note:

Please note:

  • Administrator rights on the computer are required for installation.
  • The system must be restarted for the installation.
  • Note the instructions for the respective steps.
  • The packet sync of the network service supports networks up to 100 Mbit.
  • The PRP files can only be updated with a zenon main version or a service pack.
    Build versions are not in a position to do this.

attention Attention

Ensure that you carry out the configuration steps in the given sequence.

Autres sujets abordés dans ce chapitre

Installation and configuration

Installation and configuration

Installation and configuration

Configuration of PRP connection (step 4 of 4)


Installation and configuration

Manuel -> Réseau -> COPA-DATA PRP -> Installation and configuration -> Installation and configuration

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

In the first step, amend the configuration of the operating system for both network adapters used. The configuration dialog and the naming of the enhanced properties depends on the network card.

Network adapter 1

Configure the first network adapter in the operating system.

  1. Open the Change adapter settings system setting.
    You can find these settings in the Control Panel => Network and Internet => Network and Sharing Center
  2. Select the desired network adapter.
  3. With the right mouse button, select the Properties entry in the context menu.
    The configuration dialog for the properties of the network adapter are opened.
  4. Click on the Configure ... button
    The properties window of the network adapter is opened.
  5. Switch to the Advanced tab there.
  6. In the list of settings there, select the Jumbo Packet entry
    Note: The name of this entry may be different for each network card.
  7. Select a value in the Value drop-down list.
    Select the lowest-available value that is greater than 1530 bytes.
    Attention: The Disabled setting must not be selected.
  8. In the Advanced tab, select the Locally-administered address setting.
  9. Enter a unique MAC address in the Value: input field. The format of the MAC address depends on the hardware used.
    Examples:
    • 0A:80:41:ae:fd:7e
    • 0A-80-41-ae-fd-7e
    • 0A8041aefd7e
  10. Ensure that, for both connections used, the same MAC address is used.
    Change this address in the Value input field:
    • This MAC address must start with 0A!
    • The MAC address in the local network must be unique.
  11. Finish configuration of the network card by clicking on the OK button.

Network adapter 2

Repeat the steps for the second network adapter.
When entering the MAC address, ensure that the same MAC address as the one in the previous configuration is entered.

attention Attention

Ensure that

  • The MAC address used on both computers is the same
  • It is not used by any other computer in the local network.


Installation and configuration

Manuel -> Réseau -> COPA-DATA PRP -> Installation and configuration -> Installation and configuration

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

In this step, you combine two network adapters with a network bridge. Amend the configuration for both network adapters used.

Create a network bridge in the system settings.

  1. Open the Change adapter settings system setting.
    You can find these settings in the Control Panel => Network and Internet => Network and Sharing Center
  2. Select the two network adapters that you want to use for PRP communication.
    Note: Note that for both network adapters, the necessary configurations have already been carried out. A subsequent amendment to the configuration of a network adapter only becomes effective if you then create a new bridge.
    Attention: Both network adapters selected must be configured with the same MAC address!
  3. With the right mouse button, select the Bridge connections entry in the context menu.
    A network bridge is created for the selected network adapter. This is visualized in a dialog.
  4. The bridge created is displayed in the Control Panel:

    Attention: The bridge must only contain two adapters.


Installation and configuration

Manuel -> Réseau -> COPA-DATA PRP -> Installation and configuration -> Installation and configuration

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

In this step, you install the service system required for PRP communication.

Install the COPA-DATA PRP driver

  1. Select the Bridge created.
  2. With the right mouse button, select the Properties entry in the context menu.
    The configuration dialog for the properties of the bridge is opened.
  3. Click on the Install button.
    The dialog to install a network feature is opened.
  4. Select Service as the network feature to be installed.
  5. Click on the Add... button
    The dialog for the selection of the network service is opened.
  6. Click on the Data medium ... button
    The dialog to select the save location of the installation program for the network service is opened.
  7. Click on the Browse button.
  8. Go to the following folder on your local computer:
    • \Programs (x86)\Common Files\COPA-DATA\CDPrpFlt\
      for 32-bit operating systems.
    • \Programs\Common Files\COPA-DATA\CDPrpFlt\
      for 64-bit operating systems.
  9. Select the CDPrpFlt.inf file.
    Attention: Ensure that you select the correct installer for your operating system (32-bit or 64-bit).
  10. Confirm the selection by clicking on OK.
    The dialog to select the network service is opened.
  11. Select the COPA-DATA PRP driver network service.
  12. Confirm your selection with OK.
    • Confirm the Windows request for confirmation by clicking on the Install button.
      Attention: It may then be necessary to restart your computer.

      Note: This request for confirmation is not shown if you have already activated the "... always trust" box when installing zenon program components earlier.
  13. After successful installation (and restarting the computer) the service is visible in the properties window of the network adapter in the list of elements used.
  14. Ensure that the LAN connection and the network service COPA-DATA PRP driver are activated using the checkbox.

attention Attention

Ensure that use in the active system is not jeopardized by the required restart.


Configuration of PRP connection (step 4 of 4)

Manuel -> Réseau -> COPA-DATA PRP -> Installation and configuration -> Configuration of PRP connection (step 4 of 4)

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Before configuration, ensure that the LAN connection and the COPA-DATA PRP driver network service are activated.

PRP configuration

  1. Start the program called PRPCfgDiag.exe.
    You can find this software on your computer in the following folder: C:\Program Files (x86)\Common Files\COPA-DATA\STARTUP.
    The PRP Configuration and Diagnostics dialog is opened.

    Note: The PRP Configuration and Diagnostics Tool is only available in English.
  2. Click on the Configuration button.
    The dialog for the selection of the network adapter is opened.

    Note: The content of the drop-down list is based on the system settings.
  3. Select, from the drop-down list, the network adapter for LAN_A and LAN_B.
    Note: Ensure that, for all PRP-compatible devices in the network, the references between the physical network and LAN_A or LAN_B are configured the same.
  4. Confirm the assignment with OK.
  5. End the configuration by clicking on the Exit button.

info Informations

You can find a detailed description of the PRP Configuration and Diagnostics Tools in the PRP configuration and diagnosis tool.


PRP configuration and diagnosis tool

Manuel -> Réseau -> COPA-DATA PRP -> PRP configuration and diagnosis tool

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

The PRP Configuration and Diagnostics Tool performs two tasks:

  • Visualization
    Display of the data traffic sent via PRP. The display is separate for the two network adapters used.
  • Configuration
    Assignment of the configured network adapter.

Remarque : Cette boîte de dialogue est uniquement disponible en anglais.

PRPCfgDiag.exe is supplied with zenon.
You can find this software on your computer in the C:\Program Files (x86)\Common Files\COPA-DATA\STARTUP folder.

Requirements

The PRP Konfigurations- und Diagnose Tool needs the following for operation or configuration:

  • Two network adapters that are combined into a bridge in the system settings.
    Note: In this bridge, only the two network adapters that are used for PRP communication can be configured. Other network adapters must not be included in this bridge.
  • The CDPrpFlt driver must be installed.

info Informations

You can find information on the installation and necessary preparations in the system settings in the installation and configuration chapter.

Autres sujets abordés dans ce chapitre

Statistics

Configuration


Statistics

Manuel -> Réseau -> COPA-DATA PRP -> PRP configuration and diagnosis tool -> Statistics

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

The data flow is visualized in the Statistics dialog. The setting is displayed separately for both LAN adapters.

The flow of data is always recorded, even if the tool is not open.

Remarque : Cette boîte de dialogue est uniquement disponible en anglais.

Parameter

Description

Send count

Display of the Ethernet frame sent.

Receive count

Display of the Ethernet frame received.

Error count

Display of invalid PRP frames.

Mismatch count

Display of PRP frames received/sent differently if the network data traffic of the two LAN adapters differs from one another.

Link status

Status of the network card:

  • Active
    PRP-Supervision frames are received correctly for the respective (LAN_A or LAN_B).
  • Inactive
    No PRP Supervision frames are received within the past two seconds. There is no PRP station in the network or there is an error.

Configuration

Opens the configuration dialog.

Exit

Closes the program.
Note: The data continues to be recorded.


Configuration

Manuel -> Réseau -> COPA-DATA PRP -> PRP configuration and diagnosis tool -> Configuration

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

The following is carried out in the Configuration dialog:

  • Network adapter is assigned by means of a drop-down list.
    The content of the drop-down list is based on the network settings.
    You can find further information in the installation and configuration chapter.
  • The multicast MAC address is visualized
  • Error messages from the network adapter configuration are visualized in an output window

attention Attention

The computer must be restarted after changes to the configuration have been made.

Remarque : Cette boîte de dialogue est uniquement disponible en anglais.

Parameter | Description
Primary physical LAN Adapter | Assignment of a network adapter to the physical connection for the primary LAN adapter. In the drop-down list, the adapters that are included on the configured bridge are listed. You can find information on this in the installation and configuration chapter.
Secondary physical LAN Adapter | Assignment of a network adapter to the physical connection for the secondary/redundant LAN adapter. In the drop-down list, the adapters that are included on the configured bridge are listed. You can find information on this in the installation and configuration chapter.
LAN_A/LAN_B Multicast MAC | Multicast MAC address for PRP-Supervision frames. This address for communication in the network is preset and cannot be changed. Note: Ensure that no other network adapter in your network uses this address! The last byte can be configured in the input field. The input format for this entry is HEX.
Error message | Output window with error messages.
OK | Accepts all changes and switches to statistics dialog.
Cancel | Discards all changes and switches to statistics dialog.


Routing

Manuel -> Réseau -> Routing

It is strongly recommended that the Routage actif project is no longer used for a current project configuration. This property is deactivated by default if the zenon network is reconfigured.

Procedure

For routing, the packets of subordinate projects are sent to the first client project (FCP) in the branch. The computer acts as node computer and can route packets. Thereby all network packets from the outside use this computer. However, this setting can lead to bottlenecks and influences the possible network topology. It is only worthwhile using it in special network setups, e.g. for slow WAN networks or routed networks.

  • Example:
    If, in a setup consisting of several computers, not all computers can reach the others, a computer can act as a router.
  • Technical implementation:
    The Serveur 1 and the Serveur 2 of the subordinate projects are amended on that of the FCP; this is the Serveur 1/Serveur 2 active in runtime.

Autres sujets abordés dans ce chapitre

General notes on routing

Compatibility


General notes on routing

Manuel -> Réseau -> Routing -> General notes on routing

Two basic rules must be noted when configuring network structures with routing. If one of these rules is not adhered to, communication problems or other undesired effects may occur depending on the respective structure.

  • Rule 1: Server and levels
    A PC that acts as a server may only in one level (circular redundancy) act as a server or Standby several times. It must not be defined as a server a level above or below.
  • Rule 2: Standalone

    If the start project is a single-user project, only one single level below can be used for network projects.

Client sends to a server

  • The client sends the packet to the server active in the project in Runtime.
  • If the project on this computer is not the server, the packet is sent until it arrives at the server.
  • This functionality is not affected by an integration project.

Server sends to a client with routing

  1. If the server has a direct connection to the client, the packet is sent there.
  2. If there is no connection to the target computer, the server sends the packet to all computers on which the project is running for which it acts as a server.
  3. If the node has a direct connection to the client, the packet is sent there.
  4. If the computer works as a node, then the packet is sent to all computers which have connected to the node computer. It the target computer is also the source computer, the packet is not sent any further.
  5. The procedure is continued at point 3.

Note: Points 2 and 4 are only carried out if routing is active on these computers.

info Informations

The Server and Standby need not correspond to what has been configured on the client computers, otherwise they may change themselves depending on the topology of the respective computer.

What is a client connection?

A network service connection is labeled as a client connection if it is made to the server or standby handling the process by a client. This is recognizable in that there is a connection to port 1100 on the target computer.

attention Attention

It is not guaranteed that that a pure client computer added to a functional, defined topology will work. It is possible that some projects cannot be reached by the server due to routing on client computers in particular.

Checking the routing

To check the routing settings, use the procedure from "Administering network topology".


Compatibility

Manuel -> Réseau -> Routing -> Compatibility

Rules for routing before zenon version 6.50:

  1. The first client network project of a branch on a computer defines the server and standby for all subordinate projects in the branch. This also applies
    • If a subordinate project on this computer is a server or a standby server
    • for projects that do not really have a Standby Server
  2. If the subordinate project is not a network project or is not a server, the branches of the subprojects of the start project are considered in parallel. Different computers can therefore be servers for the subprojects. The rules from item 1 apply for the branches.
  3. Single user projects are not taken into account for the topology, with the exception of the start project.
  4. If the start project is not a server (i.e. single user, client or standby not handling the process), routing is not activated in the network service. This only affects the direction from the server to the client.

Rules for routing from zenon version 6.50:

The Routage actif property is deactivated as standard from version 6.50 onwards.

Without routing

If the Routage actif property is not active for the start project on the computer, routing does not take place. Each project then connects directly to the corresponding computer, where it is the server. The computer is then not a node and packets are also not routed from here.

With routing

The rules as they were prior to 6.50 remain valid.

Exception:

  • A project that is a server or standby on the computer remains a server or standby, even if the superordinate project uses another server or standby.


Authorization in the network

Manuel -> Réseau -> Authorization in the network

A network project can be operated from all stations in the same way with the basic settings.

Operating here means actively intervening in the process, such as:

  • Send values
  • Write recipes
  • Acknowledge alarms
  • etc.

There is thus the danger that two users on two different stations want to set different values for the same variable at the same time.

In this case:

  • Both actions are executed
  • The values that is entered last overwrites all previous ones

Block of actions on clients by means of operating authorization

In zenon you have the possibility to allow operation of the project only from one station at the time. In this case the operator has to get the authorization, before he can operate the project. Opening screens, as well as read access to lists such as AML, CEL, recipes, etc. is possible on each station as always.

info Informations

Operating authorizations for projects without a network can be implemented by evaluating a binary variable for the project property Vérouillage fonctionnement. For details, see the Operating authorizations chapter in the Project administration and workspace manual.

Supported zenon elements

The following zenon elements support Autorisation sur le réseau, both for global operating authorizations as well as for operating authorizations via equipment model:

  • Clock
  • Universal slider
  • Dynamic text
  • Bar display
  • Pointer instrument
  • Numeric value
  • Switch

In addition, the global operating authorizations need corresponding operating authorization for each write access to Runtime.

Procedure

The following is applicable if the Autorisation sur le réseau property is engineered:

  • Authorization must be obtained if active operation takes place.
  • If operation is blocked by another computer, a dialog is opened on the compute that is blocking it.
  • The user who is locking it can approve the authorization or keep it locked.
  • If there is no response, the authorization is approved after a pre-set timeout.
  • If an interruption in the network connection is recognized, then the authorization for this computer is reset.

For details see chapter:

  • Configuring authorization
  • Authorization in Runtime

info Informations

The processes of the operating authorizations create corresponding entries in the CEL.

System variables for authorization

The system variables inform you about operating authorization.

  • [Network] operating authorization: Computer that owns it:
    Name of the computer that has the authorization (Data type: String)
  • [Network] Operating authorization available:
    Computer has authorization (Data type: Bool)
  • [Network] Authorization denied:
    Computer requests authorization, but does not receive it (Data type: Bool)

info Informations

Please note that the system variables are only applicable for the global operating authorizations. With Operating authorization via equipment modeling, visualization in Runtime is with variables linked to the equipment group directly.
You can find further information in the Equipment modeling manual in the Engineering in the Editor chapter.

Autres sujets abordés dans ce chapitre

Types of operating authorization

Engineering in the Editor

Authorization in Runtime

Project configuration amendments - reloading of Runtime

LOG entries for Operating authorization


Types of operating authorization

Manuel -> Réseau -> Authorization in the network -> Types of operating authorization

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

With operating authorizations in zenon, a distinction is made between:

  • Global operating authorization
    • Can be activated or deactivated for the complete project.
    • Operating authorization is locked or unlocked for all elements.
  • Operating authorization via equipment modeling
    • Can be activated or deactivated for parts of the project, based on the equipment model.
    • Operating authorization is locked or unlocked for equipment groups.

attention Attention

The Operating authorization via equipment modeling is not available for the Batch Control module.


Engineering in the Editor

Manuel -> Réseau -> Authorization in the network -> Engineering in the Editor

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

To enable the operating authorization in the network,:

  • Activate Autorisation sur le réseau.
  • Set the properties for the operating authorization.
  • Engineer one or more functions for getting and releasing operating authorizations in the Runtime.

Operating authorization via Equipment model

If the operating authorization is controlled by means of the equipment model, variables must be linked to the corresponding equipment group.
You can find further information in the Equipment modeling manual in the Operating authorization via equipment model chapter.

Autres sujets abordés dans ce chapitre

Activating authorizations

Engineering in the Editor


Activating authorizations

Manuel -> Réseau -> Authorization in the network -> Engineering in the Editor -> Activating authorizations

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Carry out the following steps to activate the operating authorization:

  1. navigate to the Réseau group in Project Properties.
  2. In the Autorisation sur le réseau drop-down list, select the type of operating authorization.
  3. Define the Timeout pour requête [s]:
  4. Defines the period of time in which a computer can respond to an approval request. The authorization is automatically approved after this time has expired.
  5. Default: 60 seconds
  6. Define the Timeout pour autorisation [s]:

    Defines the period of time in which a computer that has authorization must report to the Primary Server. The authorization is automatically approved after this time has expired. Connection interruptions in the network are therefore recognized. The authorization can therefore not be blocked by a compute that cannot be contacted.

    Default: 60 seconds.

    Attention: Select the time period as shorter than the network timeout.


Engineering in the Editor

Manuel -> Réseau -> Authorization in the network -> Engineering in the Editor -> Engineering in the Editor

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

To obtain authorizations or to approve these, the corresponding functions must be available in Runtime. To do this, create two buttons that are designated for the corresponding functions:

  • Get authorization:
    Obtains authorization from the user's own computer
  • Approve authorization:
    Approve authorization or explicit request

Get authorization

  1. Create a new function.
  2. Select the Network function in the Autorisation sur le réseau group.
  3. The selection dialog for authorizations in the network is opened.

  4. Select Get.

If this function is executed in Runtime, the authorization can be obtained from the user's own station.

Approve authorization

  1. Create a new function.
  2. Select the Network function in the Autorisation sur le réseau group.
  3. The selection dialog for authorizations in the network is opened.
  4. Select Approve.

If this function is executed in Runtime, the authorization can be approved again.

info Informations

You can find further information in the Creating operating authorization functions in the network chapter.


Authorization in Runtime

Manuel -> Réseau -> Authorization in the network -> Authorization in Runtime

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

If the Autorisation sur le réseau project property is engineered, active operations are only executed in the Runtime if there is operating authorization for the station.

If the operating authorization is not present, it can be requested by means of a function.

Example

If there is no operating authorization, a set value should be written to a variable:

  1. The set value is not sent to the hardware when the button is clicked on.
  2. Instead, a dialog opens informing you that you do not have the authorization for this project.
  3. Click on the Obtain the operating authorization button that has been configured.

Does not block authorization for any other computer:

If the operation is freely available:

  • You receive the authorization
  • You can write the set value
  • You can, after the operation with the configured Autorisation sur le réseau function, with the Unlock authorization option selected, make this available to other users.

Blocks authorization for another computer:

If authorization is blocked:

  • A dialog to unlock the operating authorization is opened on the computer that is blocking.
  • Possible unlocking options by the user of the blocking computer:
    • Yes:
      The authorization is passed over to the other computer.
    • No:
      Authorization remains blocked
    • No reaction:
      Countdown corresponding to the timeout time defined in the Timeout pour autorisation [s] property runs out. The authorization is automatically released at 00:00.


Project configuration amendments - reloading of Runtime

Manuel -> Réseau -> Authorization in the network -> Project configuration amendments - reloading of Runtime

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

If changes to parts related to operating authorizations (project properties, equipment model, variables) are made, the current operating authorization must be applied by reloading or restarting Runtime.

For this, the following applies:

  • The old project configuration is applicable until the client has reloaded.
  • If tokens that have already been distributed in Runtime are no longer needed after reloading, these are unlocked again by the reloading. As a result, no messages about assigned tokens are sent to the server. The server stops monitoring the tokens on the client.
    A corresponding LOG entry is created for this.
  • When reloading, the configured timeout times Timeout pour autorisation [s] and Timeout pour requête [s] are also reloaded automatically. Open requirements of an operating authorization are rejected by the reloading and no longer modified.
    Note: If the timeout is reduced for the operating authorization, clients that have not yet reloaded lose their tokens relatively quickly because they report to the server too late.


LOG entries for Operating authorization

Manuel -> Réseau -> Authorization in the network -> LOG entries for Operating authorization

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Text

Level

Description

Token no longer relevant for group <group>

Project
DEBUG

The <group> is no longer current after reloading and has no meaning for the operating authorization.

Token no longer exists for group guid <guid>

Project
DEBUG

The group with the guid <guid> has been removed on reloading.

Token reserved for group <group> for host <host> with id <id>

Project
DEBUG

Message on the Server or Standby Server by means of the issue of a token:
The token for the <group> group for <host> computer under ID <id> has been reserved.

Token denied for host <host>

Project
DEBUG

Message on the server that the token query for the <host> host has been rejected.

Background: One of the queried groups is already reserved for a different computer.

LOG SendData Project:<project> To:<hostname> Modul:8 Prior:1 Class:CEqTokenReservationMsg

NET
DEBUG

Reservation information for a reservation in the <project>. Sent by the Server to the Standby Server <hostname>

LOG ReceiveData Project:<project> From:<server> To:<hostname> Modul:8 Class:CEqTokenReservationMsg

NET
DEBUG

The reservation information received from the Server on the Standby.

Token reservation lifted for <group> for id <id>

Project
DEBUG

Reservation for the <group> with the <id> has been withdrawn.

Background: Reservation no longer necessary, because the token can be issued directly.

LOG SendData Project:<project> To:<host> Modul:8 Prior:1 Class:CEqTokenRemoveReservationMsg

NET
DEBUG

Network message from the server to the standby server for the synchronization of the reservation.

LOG ReceiveData Project:<project> From:<server> To:<host> Modul:8 Prior:1 Class:CEqTokenRemoveReservationMsg

NET
DEBUG

Network message on the Standby Server for the synchronization of the reservation.

Token reservation lifted due to timeout

Project
Debug

The reservation has been withdrawn, because it has existed for too long.

Standby received 1 token reservations

Project
DEBUG

Existing reservations have been transferred from the server to the starting Standby.

Background: The reservation must be known for a possible server switch.

Token reservation <id=1> for host WKS086-W7X64 with 1 groups: <relevant.screen.batch>

Project
DEEPDEBUG

Each reservation is logged in its own line:

  • Reservation ID
  • Name of the reserving host
  • Number of the group
  • Group Name

Token acquired for Group: <voller Gruppenname>

Project
DEBUG

Message when getting an operating authorization for the <full group name> group. (Server/Client)

Token released for Group: <voller Gruppenname>

Project
DEBUG

Message when releasing an operating authorization for the <full group name> group. (Server/Client)

SendData Project:<Projekt> To:C Modul:8 Prior:1 Class:CEqReleaseTokenMsg

Net
DEBUG

States that the server has sent a ReleaseMessage to all clients

ReceiveData Project:<Projekt> From:<Client> To:S Modul:8 Class: CEqReleaseTokenMsg

Net
DEBUG

A release token message <Client> has been received by client on the server.

ReceiveData Project:<Projekt> From:<Client> To:C Modul:8 Class: CEqReleaseTokenMsg

Net
DEBUG

On the client, a release token message <Client> was received from the server.

ReceiveData Project:<Projekt> From:<Server> To:<Client> Modul:8 Class:CEQTokenInfoAnswer

Net
DEBUG

An info answer was received on the client so that the client knows the current token issue on the server

SendData Project:<Projekt> To:<Client> Modul:8 Prior:1 Class:CEQTokenInfoAnswer

Net
DEBUG

Server sent token info <Client> to the client

ReceiveData Project:MANYMODULS From:<Client> To:S Modul:8 Class:CD_CNetTokenQuit

Net
DEBUG

On the server, the confirmation <Client> that it does not exist yet has been received from the client.

SendData Project:MANYMODULS To:S Modul:8 Prior:1 Class:CD_CNetTokenQuit

Net
DEBUG

On the client, the confirmation that it (the client) still exists has been sent to the server.


zenon functions in the network

Manuel -> Réseau -> zenon functions in the network

Special zenon functions for the network:

  • Authorization in network
  • Redundancy switch
    1. in redundancy mode: Dominant
    2. in redundancy mode: Non-dominant
    3. in redundancy mode: Rated

In general, the location of execution must be noted when using functions in the network. For some functions, the location of execution can be freely configured; this is fixed for others.

Autres sujets abordés dans ce chapitre

Authorization in network

Redundancy switching in the dominant network


Authorization in network

Manuel -> Réseau -> zenon functions in the network -> Authorization in network

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

The Autorisation sur le réseau function can be used to request, transfer or sort operating authorizations according to equipment groups.

Parameter

Description

Fetch

Fetches operating authorization for the calling computer.

Release

Transfers the operating authorization to the requesting computer.

Note: Please note that each client can only release its own tokens. There is no general releasing.

Equipment Groups

The operating authorization is requested or unlocked for variables of the selected equipment group.

Click on button ... in order to open the dialog for selecting an equipment group. Multiple selection and hierarchical filtering is possible.

If no equipment group has been selected, the request or release is for the complete project.

Note: In the selection dialog, only the equipment group for which the Modèle d'équipement pertinent pour l'autorisation d'opération property has been activated is offered.

If an equipment group that is no longer available for the operating authorization has been configured in the function dialog, no operating authorizations are issued. A LOG message is created in this case.

Show this dialog in the Runtime

Selection of whether the dialog is shown in Runtime.

  • Active: Dialog is displayed in Runtime
    Settings can be edited before execution.
  • Inactive: Dialog is not offered in Runtime.
    The settings configured in the Editor are applied.

Fermer boîte de dialogue

Options | Description :
OK | Applique les paramètres et ferme la boîte de dialogue.
Annuler | Annule toutes les modifications et ferme la boîte de dialogue.
Aide | Ouvre l'aide en ligne.

Autres sujets abordés dans ce chapitre

Create operating authorization in the network function


Create operating authorization in the network function

Manuel -> Réseau -> zenon functions in the network -> Authorization in network -> Create operating authorization in the network function

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

An operating authorization in the network function is for requesting or permitting an operating authorization for an action in Runtime.

Engineering

Pour créer une fonction :

  1. Créez une nouvelle fonction :

    Dans la barre d'outils ou le menu contextuel du nœud Fonctions, sélectionnez Nouvelle fonction.
    La boîte de dialogue de sélection d'une fonction s'affiche à l'écran.

  2. Navigate to node Réseau
  3. Select the Autorisation sur le réseau function.

    The dialog for engineering a function is opened.

  4. Select the desired option:
    1. Get
      Request operating authorization for blocked element.
    2. Release
      Transfers operating authorization
  5. Optional - with operating authorization via equipment model:
    Link the corresponding equipment groups by clicking on the ... button.
    Note: Only the equipment models for which the Modèle d'équipement pertinent pour l'autorisation d'opération property has been activated are offered for selection.
    You can find further information in the Equipment Modeling manual in the Engineering in the Editor chapter.
  6. Name the function in the Nom property.
  7. Link the function to a button.


Redundancy switching in the dominant network

Manuel -> Réseau -> zenon functions in the network -> Redundancy switching in the dominant network

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

With this function, manual switching between the Primary Server and Standby Server is possible. The current Primary Server thus becomes the Standby Server and vice versa.

The function is available for all redundancy modes (zenon Editor Mode de redondance property):

  • Non-dominant
  • Dominant
  • Rated

Note: The redundancy switching function is only available if the Réseau actif property has been activated.

Application examples

Possibilities for use in practice are:

  • Planned maintenance work on the Primary Server
  • Better hardware coupling of the Standby Server
  • In a rated network:
    Deactivate rating temporarily

attention Attention

This function is not suitable for testing redundancy, as the behavior differs from that of a server failure.

Switching delay

Some zenon modules can delay redundancy switching. For example, a command that is running delays redundancy switching.

Please note the module descriptions in the Behavior of zenon modules in the network in this manual in relation to this.

Autres sujets abordés dans ce chapitre

Project configuration in zenon

Configuration dialog for redundancy switching


Project configuration in zenon

Manuel -> Réseau -> zenon functions in the network -> Redundancy switching in the dominant network -> Project configuration in zenon

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Create redundancy switching function

A Commutation redondance function serves to control the roles of Primary Server and Standby Server in a zenon Network.

Engineering

Pour créer une fonction :

  1. Créez une nouvelle fonction :

    Dans la barre d'outils ou le menu contextuel du nœud Fonctions, sélectionnez Nouvelle fonction.
    La boîte de dialogue de sélection d'une fonction s'affiche à l'écran.

  2. Navigate to node Réseau
  3. Select the Commutation redondance.
    The dialog to configure redundancy switching is opened.
  4. Configure the behavior of redundancy switching.
  5. Name the function in the Nom property.

Tipp Conseil

Configure a separate redundancy switching function for each switching direction.


Configuration dialog for redundancy switching

Manuel -> Réseau -> zenon functions in the network -> Redundancy switching in the dominant network -> Configuration dialog for redundancy switching

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

You configure the action of a planned Commutation redondance in the redundancy switching dialog.

Switching direction

Parameter | Description
Toggle | Serveur principal and Standby Server switch roles.
Serveur 1 | Serveur 1 becomes (or remains) Serveur principal.
Serveur 2 | Serveur 2 becomes (or remains) Serveur principal.
Without (reactivation of the assessment) | No switching takes place. Instead, a possible switching for the suppression time configured in the properties field is prevented for the configured duration. If the suppression time is 0, the switching is possible again immediately. Note: This option is only available in a rated network.

Suppression time

Parameter

Description

Suppression time

The time in minutes within which no automatic redundancy switching takes place due to an amended rating.
If the value is 0, the automatic switching is carried out as configured in the rating principles.

Range of values: 0 to 10080 minutes (= one week)

This means: The current Primary Server (Serveur 1 or Server 2) remains the Primary Server for this time, regardless of the current result of the rating.

If Temps mort après commutation [s] and the suppression time are configured differently in a rated network, the greater value prevails here.

Note: This option is only available in a rated network.

Navigation

Parameter | Description
OK | Applique les paramètres et ferme la boîte de dialogue.
Cancel | Discards all changes and closes the dialog.
Help | Ouvre l'aide en ligne.
info Informations
You can find further information in the Switching delay, down time and hysteresis chapter in this manual.


Behavior of zenon modules in the network

Manuel -> Réseau -> Behavior of zenon modules in the network

With network projects, the behavior of individual modules and functions in the network should be noted.

Autres sujets abordés dans ce chapitre

AML and CEL

Historian

Batch Control

User Administration

Files

Extended Trend

Fonctions

Message Control

Programming Interfaces

Cross-reference list

Report Generator & Report Viewer

Recipes

Command Sequencer

Scripts

Context lists

Drivers in the zenon network

zenon web client in the redundant network

Time Control

Allocations


AML and CEL

Manuel -> Réseau -> Behavior of zenon modules in the network -> AML and CEL

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Alarming

The alarming is administered on the Primary Server. The Primary Server answers requests for alarming from the clients. Changes are synchronized between the Primary Server and Standby Server.

info Informations

If the Standby Server takes on the role of the Primary Server after the failure of the previous Primary Server, the missing data in the AML, CEL and archives is filled. The missing data comes from the internal buffer of the Standby Server. This buffer is supplied with values by drivers.

Chronological Event List

The CEL is administered on the respective Primary Server. Changes are synchronized between the Primary Server and the Standby Standby Server.

In a rated network, no new CEL entries are created for regrading due to the rating.

Tipp Conseil

In order to log the ratings in the CEL, create a system driver variable "[Network] Rating Result of Server 1" or "[Network] Rating result of Server 2":

  • Select, in the Espace de travail, in the Variables node, the New variable... entry
  • Select SYSDRV - driver for system variables as a driver.
  • In the Variables of the system driver dialog, select the Network entry in the Theme entry.
  • Select [Network] Rating Result of Server 1 and [Network] Rating Result of Server 2 and add these to the list of system driver variable to be created by clicking on the Add button.
  • Create a numerical reaction matrix, activate the "Treat each change of value as new limit violation" and set the "In Chronological Event List" option
  • Link this newly-created reaction matrix to the two variables.


Historian

Manuel -> Réseau -> Behavior of zenon modules in the network -> Historian

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Archiving is carried out on the Primary Server.

The Primary Server synchronizes the archive data with the Standby Server and responds to requests from the Clients (such as calling up an Extended Trend). screen).

info Informations

If the Standby Server takes on the role of the Primary Server after the failure of the previous Primary Server, the missing data in the AML, CEL and archives is filled. The missing data comes from the internal buffer of the Standby Server. This buffer is supplied with values by drivers.

Redundancy switching

With redundancy switching, there may be a delay in switching by the zenon Historian module.

If variables from a different project are archived in an archive, the starting behavior of Runtime in the zenon network changes. In this case, the archives are only started once all projects have been loaded.

As a result, it is ensured that all variables to be archived are detected before the archiving starts and that the computer takes on the role of the Primary Server.

Example Exemple

zenon Runtime is started on a computer that has been configured as Serveur 1 or Serveur 2 during project setup.

  • Runtime starts in the role of the Standby Server.
  • All projects are loaded.
  • The archiving is compared.

These steps are carried out regardless of the current role or evaluation of the computer.

Only once these steps have been completed is redundancy switching carried out - if necessary.


Batch Control

Manuel -> Réseau -> Behavior of zenon modules in the network -> Batch Control

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

The module Batch Control is fully capable of using a network in terms of Client/Server technology. This means that Batch recipes can be created, duplicated, edited, deleted, etc. on a Client. The whole recipe management remains always on the server. Likewise the whole process control such as start recipe, pause recipe, stop recipe, etc. can be done from the Client. Also mode changes and manual operations such as jump are possible.

attention Attention

Module Batch Control does not support redundancy. There is no synchronization between Standby Server. When the Server breaks down, the executed Batch recipes are not continued seamlessly on the Standby!

For using Batch Control in a network the following is true:

Functions

Functions are always carried out at the Server.

Phases

  • Editing phases in the master recipe:
    • Edit mode: Changes a done locally at the Client.
      If during the editing the recipe is saved on another computer in the network, the current configuration is lost. An appropriate message is displayed and the editing dialog is closed. The new data from the server are displayed.
    • Test mode: Changes a done at the Server.
  • Control recipe: Changes a done at the Server.
  • If a recipe is saved in the network, all Clients using this recipe are updated.
  • If a recipe is opened on a client, the current version on the server is always displayed, even if it has not yet been saved there.
  • If a recipe is deleted on a computer, a message is displayed on all computer on which the recipe is opened that the recipe has been deleted.

Mode

  • The mode (automatic, semi-automatic, manual) can be switched by the server and the client.
  • Jumps in the recipe and step-by-step progress of a recipe can be done from Server and Client.

Recipes

  • Recipes can be started and controlled by the zenon server and by zenon clients.
  • If parameters in a recipe are changed whilst the recipe is saved on a different zenon client, the change to the parameters is refused and not carried out.
  • A master recipe can be changed on the zenon client whilst it switches to test mode on the zenon server and is sent to the zenon client. The changes that were last saved are transferred. This means: If the zenon client saves last, the recipe is switched to editing mode again. If the zenon server saves last, the change to the zenon clients is discarded and the recipe is in test mode.
  • If a communication error occurs when deleting a recipe or an operation template, the deletion is refused with an error message.

Web Client

With a standard web client:

  • The settings for grid and color can be changed
  • No recipes can be created or edited
  • The size of the editing area cannot be changed
  • In the toolbar, all symbols that are not permitted are deactivated; it is not possible to select the corresponding objects.

Web client PRO is not affected by these restrictions.


User Administration

Manuel -> Réseau -> Behavior of zenon modules in the network -> User Administration

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

User administration is administered on the Primary Server. Log-in procedure:

  1. The login request is sent to the Primary Server.
  2. It answers with the list of authorized users.
  3. The client verifies the data.

If changes to user administration are made on a client in Runtime, the complete user list is sent from the client to the Primary Server.

info Info

Active Directory, ADAM, ADLDS users

If Active Directory, ADAM or ADLDS users are used, all computers (regardless of whether they are the Primary Server, Standby Server or Client) communicate directly with the Active Directory, ADAM or ADLDS server.

This means that all computers must be in the corresponding infrastructure (such as Active Directory domains when Active Directory users are used); it is not sufficient that only the Primary Server is in the Active Directory domains with the corresponding users.


Files

Manuel -> Réseau -> Behavior of zenon modules in the network -> Files

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Lists for the files of all modules are created when data is exchanged between the Primary Server and the Standby Server. The Primary Server monitors these lists for changes. Changes that are detected are transferred to the Standby Server.

attention Attention

The Primary Server does not react to watchdogs that are sent by the Standby Server when lists are created. Note this when stipulating the time for the network timeout.

With Remote Transport, all files required for the project are transferred to the target system.

In doing so, all files are always transferred to the folder:

Standard

  • All files that are in the project's Runtime folder (...\RT\FILES\zenon\system\).
    These files determine the appearance and behavior of the project and are transferred as standard:

info Info

Files with the following suffixes are not transferred by default:

  • .hot
  • .ho
  • .ret
  • .re

Optional

In addition, all files that are embedded into the project must be transferred. They are selected using the Active checkbox of the Remote Transport settings. These files are in the following subfolders of the project folder:

  • \zenon\custom\graphics: for graphics
  • \zenon\custom\lists: for language tables
  • \zenon\custom\media: for all media files
  • \zenon\custom\reports: for the reports of the Report Generator
  • \zenon\custom\help: for help files
  • \zenon\custom\additional: for additional files
  • \zenon\custom\rdlc: for Report Viewer files
  • \zenon\custom\drivers: for drivers
  • \straton: for zenon Logic

    Recommendation: Project basis path, graphics, language tables, report tables and media files are always transferred.
    The following are transferred from the basis path by default: The files project.ini, Projekt.vba, Monitor.mon and the Projekt folder.

    As a default zenon always uses relative paths and not absolute paths, so that the files can easily be found on the target system.

    For the files that can be transferred optionally, the original paths should be used (empty field under target), so that zenon can find them on the target system.

Global project

If there is a global project in the workspace, this is automatically transferred. No additional settings need to be made. Always all files necessary for the global project will be transported.

attention Attention

If the time difference between the server and the client is more than 5 seconds, no more files are synchronized.


Extended Trend

Manuel -> Réseau -> Behavior of zenon modules in the network -> Extended Trend

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Extended Trend shows information from archives and online data. This data is saved in the Primary Server and requested by the Primary Server if required (if a trend screen is called up on the client).


Fonctions

Manuel -> Réseau -> Behavior of zenon modules in the network -> Fonctions

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Pour les fonctions utilisées sur le réseau :

  • L'emplacement d'exécution peut être librement configuré, dans certains cas
  • L'emplacement d'exécution est prédéfini, dans d'autres cas

info Informations

Les scripts associent plusieurs fonctions. L'emplacement d'exécution dépend alors des paramètres de la fonction Exécuter le script. Ce paramètre remplace les paramètres des fonctions individuelles.

Configurez l'emplacement d'exécution

Pour les fonctions pour lesquelles l'emplacement d'exécution peut être librement configuré, les paramètres correspondants sont disponibles dans les propriétés de la fonction.

Pour définir l'emplacement d'exécution :

  1. Accédez au groupe Exécution dans les propriétés du projet.
  2. Sélectionnez l'emplacement d'exécution souhaité en cochant la case. Une sélection multiple est possible :
    • Ordinateur actuel : La fonction sera exécutée sur l'ordinateur actuel.
    • Serveur principal : La fonction sera exécutée sur le serveur principal.
    • Serveur redondant : La fonction sera exécutée sur le serveur redondant.
    • Client : La fonction sera exécutée sur la totalité des clients.

Vue d'ensemble des fonctions de réseau

La table suivante illustre les fonctions exécutées, ainsi que leur emplacement d'exécution.

Légende :

  • Paramétrable : le comportement peut être configuré

    + : Oui

    - : Non

    O : Défaut

  • Si non paramétrable, O identifie l'emplacement d'exécution :
    • Ordinateur actif
    • Serveur primaire
    • Serveur redondant
    • Client

Fonction | Paramétrable | Ordinateur actuel | Serveur principal | Serveur redondant | Client
Alarmes et événements |  |  |  |  |
Alarmes : acquitter clignotement | - | O |  |  |
Alarmes : Supprimer | - |  | O | O |
Acquitter les alarmes | - |  | O | O |
Inscrire/désinscrire groupe d'alarmes/d'événements | - | O |  |  |
Activer/désactiver liste d'alarmes / groupe d'alarmes/d'événements / classe d'alarmes/d'événements | - |  | O | O |
Alarmes : activer | - |  | O |  |
Gestion des alarmes active/inactive | - |  | O |  |
Liste d'alarmes inactives | - |  | O |  |
Exporter liste d'alarmes | + | O |  |  |
Enregistrer le buffer des alarmes et des événements | - |  | O | O |
Exporter liste d'événements | + | O |  |  |
Imprimer liste d'alarmes ou d'événements | + | O |  |  |
Créer/imprimer un document IPA | - |  | O |  |
Activer/désactiver impression en ligne | - |  | O | O |
Démarrer nouvelle page pour l'impression en ligne | + | O |  |  |
Changer d'imprimante pour les impressions en ligne | - |  | O |  |
Application |  |  |  |  |
Sélection imprimante | + | O |  |  |
Démarrer la Gestion de charge | - |  | O |  |
Arrêter la Gestion de charge | - |  | O |  |
Imprimer le diagramme Extended Trend | + | O |  |  |
Changer de palette | + | O |  |  |
Fonctions : activer sur valeur limite | - |  | O | O |
Fonctions 'activer/désactiver' sur valeur limite | - |  | O | O |
Fonctions : désactiver sur valeur limite | - |  | O | O |
Ouvrir l'aide | + | O |  |  |
Réinitialiser projet en ligne | + | O |  |  |
Détermine les maintenances ouvertes | - |  | O |  |
Déclencher événement PFS | + | O |  |  |
Activer/désactiver le projet de simulation | - | O |  |  |
Simuler le clic droit | + | O |  |  |
Enregistrer les données rémanentes | + | O |  |  |
Arrêter le Runtime | + | O |  |  |
Analyser les heuristiques du graphe S7 | + | O |  |  |
Exécuter une fonction SAP | + | O |  |  |
Changement de langue | + | O |  |  |
Topologie - Recherche des défauts de terre | - |  | O |  |
Topologie – Délestage | - |  | O |  |
Archives |  |  |  |  |
Archive : Arrêter | - |  | O | O |
Indexer les archives | - |  | O |  |
Archive : Début | - |  | O | O |
Exporter archives | - | O |  |  |
Archive : liste des archives actives | - |  | O | O |
Gestion des utilisateurs |  |  |  |  |
Changer d'utilisateur | + | O |  |  |
Connexion avec boite de dialogue | + | O |  |  |
Connexion sans mot de passe | + | O |  |  |
Déconnexion | + | O |  |  |
Modifier le mot de passe | - | O |  |  |
Synoptiques |  |  |  |  |
Modifier la couleur de la source (CAL) | + | O |  |  |
Synoptique indexé | - | O |  |  |
Synoptique : fermeture | + | O |  |  |
Synoptique : retour au précédent | - | O |  |  |
Synoptique : déplacer le centre | + | O |  |  |
Appel de synoptique | + | O |  |  |
Activer l'élément qui a le focus | + | O |  |  |
Donner le focus au gabarit | + | O |  |  |
Déplacer le focus | - | O |  |  |
Enlever le focus du gabarit | + | O |  |  |
Afficher le menu | + | O |  |  |
Sélection moniteur | + | O |  |  |
Profils du Runtime | + | O |  |  |
Fermer le cadre | + | O |  |  |
Saisie de valeur pour synoptique clavier | - | O |  |  |
Affichage de la fenêtre d'aperçu | + | O |  |  |
Localisation de défauts sur les réseaux électriques |  |  |  |  |
Acquitter le message de défaut de terre | + | O |  |  |
Arrêter la recherche des défauts de terre | + | O |  |  |
Démarrer la recherche des défauts de terre | + | O |  |  |
Acquitter le message de court-circuit | + | O |  |  |
Message Control |  |  |  |  |
Enregistrer queue courante | - |  | O |
Supprimer des groupes, classes, zones ou équipements | - |  | O |  |
Envoi d'un message | - |  | O |  |
Envoi de messages : activer | - |  | O |  |
Envoi de messages : désactiver | - |  | O |  |
Réseau |  |  |  |  |
Autorisation sur le réseau | + | O |  |  |
Commutation redondance | - |  |  | O |
Report Generator |  |  |  |  |
Imprimer le rapport | + |  |  |  |
Rapport : exécuter | + |  |  |  |
Exporter rapport | + |  |  |  |
Recettes |  |  |  |  |
Recipe Group Manager (Gestionnaire de groupes de recettes) | - | O |  |  |
Recette standard | - | O |  |  |
Recette : envoi direct | + | O |  |  |
Recette : modification avant envoi | - | O |  |  |
Recette : sélection et modification avant envoi | - | O |  |  |
Script |  |  |  |  |
Script : exécuter | + | O |  |  |
Script : sélection en ligne | + | O |  |  |
Variable |  |  |  |  |
Exporter les données | - |  | O |  |
Lire un fichier dBase | + | O |  |  |
Imprimer valeurs actuelles | + | O |  |  |
Conversion d'unités | + | O |  |  |
Gestion HD active | - |  | O | O |
Gestion HD inactive | - |  | O | O |
Gestion HD inactive/active | - |  | O | O |
Spécifier valeur prescrite | - |  | O |  |
Commandes du driver | - | O |  |  |
Transférer l'image de simulation du driver vers le serveur de secours | - |  |  | O |
Écrire l'heure dans la variable | + | O |  |  |
Lire l'heure depuis la variable | + | O |  |  |
VBA |  |  |  |  |
Ouvrir l'éditeur PCE | - |  | O |  |
Ouvrir l'éditeur VBA | + | O |  |  |
Exécuter macro VBA | + | O |  |  |
Montrer la boîte de dialogue des macros VBA | + | O |  |  |
VSTA |  |  |  |  |
Ouvrir l'éditeur VSTA | + | O |  |  |
Exécuter macro VSTA | + | O |  |  |
Montrer la boîte de dialogue des macros VSTA | + | O |  |  |
Windows |  |  |  |  |
Lire un fichier audio | + | O |  |  |
Opérations sur fichiers | + | O |  |  |
Son beep : début | + | O |  |  |
Son beep : fin | + | O |  |  |
Fenêtre en arrière-plan | - | O |  |  |
Fenêtre en avant-plan | - | O |  |  |
Imprimer une capture d'écran | + | O |  |  |
Exécuter un programme | + | O |  |  |


Message Control

Manuel -> Réseau -> Behavior of zenon modules in the network -> Message Control

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Message Control will be executed on the Primary Server.

The Primary Server synchronizes with the Standby Server.


Programming Interfaces

Manuel -> Réseau -> Behavior of zenon modules in the network -> Programming Interfaces

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

VBA and VSTA

Code in VBA or VSTA is always, by default, executed locally on the system on which it is started or where events occur.

The place of execution can however be defined otherwise when this is called up via the function.

PCE

PCE is always executed on the server in the network. On standalone computers in standalone projects.


Cross-reference list

Manuel -> Réseau -> Behavior of zenon modules in the network -> Cross-reference list

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

The use of variables in rated networks is also taken into account. The property name of the place of usage is stated as the element name. This is either "event variable" or "evaluations".

info Informations

You can find out further information in the cross-reference list manual.


Report Generator & Report Viewer

Manuel -> Réseau -> Behavior of zenon modules in the network -> Report Generator & Report Viewer

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

The *.xrs files of the Report Generator and the *.rdl files of the Report Viewer are synchronized on all systems in the network (Clients, Standby Server, Primary Server).

Editor

If the file is modified in the zenon Editor, transferred to the Primary Server and reloaded, it is automatically distributed to the other computers in the network.

Runtime

If the file is amended in Runtime, the changes are only saved on a temporary basis and replaced the next time a reload takes place or when Runtime is restarted.


Recipes

Manuel -> Réseau -> Behavior of zenon modules in the network -> Recipes

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

The execution of recipes is different for standard recipes and the RGM.

Standard Recipes

Standard recipes are managed on the Primary Server and on the Standby Server.

If a standard recipe is changed by a user in Runtime, the client requests the full recipe list from the Primary Server. In the event of changes, the recipe list is sent back to the Primary Server.

info Informations

This list is not identical to the file rezepturen.cmp

If a recipe is changed and executed in Runtime on the client, it is executed with the new values. When the standard recipe, you are given the option to save the changes.

Recipegroup Manager

When the Recipegroup Manager screen is loaded on the client, a list of all recipe names is requested by the Primary Server. As soon as a recipe is selected, it is loaded by the Primary Server.


Command Sequencer

Manuel -> Réseau -> Behavior of zenon modules in the network -> Command Sequencer

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

The network concept of the Command Sequencer module works according to the following principle:

  • The command sequences can be configured on the client, as well as the Server or on the Standby Server.
  • The configured command sequences are administered on the Primary Server and distributed to the clients.
  • The command sequences can be operated on both the client and the Server.
  • The command sequences are always executed on the Primary Server.
  • With redundancy switching, the command sequences are canceled.
    These can be restarted manually on the new Primary Server.

Role switch between Server 1 and Server 2

  • Redundancy switching is delayed until all active command sequences have been completed.
  • The start of command sequences is blocked during a redundancy switching. The buttons on the client are grayed out in this time.
    • This redundancy switching can be planned in a Rated network.
    • In a dominant network or a non-dominant network, redundancy switching is carried out when the Primary Server fails.
  • It is possible to start command sequences again once the switch has been carried out or if the switch has been completed.
    An entry is written to the CEL in this case.
  • CEL messages are written for the following events:
    • Start of a command sequence on the server is blocked.
    • If a command sequence in the dominant network is to be started on the Serveur 2 .
    • The command sequence cannot be started because there is currently a redundancy switch pending.
    • Note: No CEL message is generated if an incorrect command sequence is started.

LOG entry

Entry | Level | Description
The sequence (mrid:<id1>, crid:<id2>)<name> could not be started, because a redundancy switch is pending. | ERRORS | The command sequence cannot be started because there is a redundancy switch pending.

Special case: Two servers in the network

In the event that, when switching the Primary Server, there are still command sequences running on the "new" Standby Server, these are canceled on the Standby. This can only occur if both servers in the network were no longer connected (due to a network failure for example) and are now connected again. In this case, the change to the command sequence is not transferred to the Primary Server.

This means that, if there is a connection and command sequences that are now canceled on the Standby have already been opened on the Primary Server, these continue to be considered as running. It can only be restarted again once this command sequence has been closed on Serveur 1 and Serveur 2.

No connection to Server and Standby

If the command sequence screen is opened on the Client when neither Serveur 1 nor Serveur 2 are contactable, the command sequences editor on the Client is not available. The command sequence editor remains empty. An error text is displayed in zenon Runtime instead of the command sequence image.

Error dialog

If a command sequence cannot be started, the following error dialog is shown:


Scripts

Manuel -> Réseau -> Behavior of zenon modules in the network -> Scripts

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Scripts combine several functions. The place of execution depends on the settings of the Script : exécuter function. This setting overwrites the settings of the individual functions.

The execution of scripts in the network is controlled with predefined scripts:

Script

Description

Place of execution

AUTOSTART

The script is executed automatically when Runtime starts before the start screen is loaded if the project is the Runtime start project. It is not executed when subordinate projects are started.
  • Network project:
    Primary Server
  • Single-user project:
    Active computer

AUTOEND

The script is executed automatically when Runtime is ended if the project is the Runtime start project. It is not executed when subordinate projects are ended.
  • Network project:
    Primary Server
  • Single-user project:
    Active computer

AUTOSTART_CLIENT

The script is executed automatically on a client when Runtime starts before the start screen is loaded if the project is the Runtime start project. It is not executed when subordinate projects are started.

Single-user project:
Active computer

AUTOEND_CLIENT

The script is executed automatically on a client when Runtime is ended if the project is the Runtime start project. It is not executed when subordinate projects are ended.

Single-user project:
Active computer

AUTOSTART_SRVPRJ

Script is executed automatically when Runtime is started for any desired project on the Primary Server before the start screen is loaded.

Network project:
Primary Server

AUTOEND_SRVPRJ

Script is automatically executed when Runtime of a desired project is ended on the Primary Server.

Network project:
Primary Server


Context lists

Manuel -> Réseau -> Behavior of zenon modules in the network -> Context lists

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

When using a Liste contextuelle in a network project, saving is carried out on the server. Clients are synchronized automatically.
If a list is processed on several clients at the same time, the last-saved version is used by the server and distributed to all clients.

If the client loses the connection to the server, the Liste contextuelle is emptied on the client and the screen elements are grayed out for editing. Linked entries in the Alarm Message List are shown with the text <Alarm cause does not exist>.
As soon as there is a connection to the server, the Liste contextuelle is shown and the screen elements are released for editing.


Drivers in the zenon network

Manuel -> Réseau -> Behavior of zenon modules in the network -> Drivers in the zenon network

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

In the zenon network, the Primary Server normally communicates with the controller via the driver. Requests from the Client are routed via the Primary Server. This gets the information from the controller and forwards it to the Client. Limit values are monitored by the Primary Server.

Drivers

Drivers are executed on the Primary Server and Standby Server.

Autres sujets abordés dans ce chapitre

Driver for internal variables

Drivers - Limit values and reaction matrices

Driver - regrading delay in the event of redundancy switching


Driver for internal variables

Manuel -> Réseau -> Behavior of zenon modules in the network -> Drivers in the zenon network -> Driver for internal variables

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

With internal variables, it is possible in zenon to stipulate, for each variable, whether the variable is local on the computer or the same in the complete network.

info Informations

Driver object type internal variables are only available for the driver for internal variables(INTERN).

To start calculating internal variables:

  1. Navigate to the Variable interne node in the properties of internal variables

  2. Stipulate the place of execution using the Calcul property:
    This property can be set individually for each variable. Arrays are also supported.
    1. Local: The internal variable is evaluated or managed locally for network projects, i.e. also on the Standby Server and the Clients. The values are not synchronized with other computers in the network.
    2. Network: With network projects, the internal variable is evaluated or administered on the project's Primary Server. It has the same value on the Primary Server and all Clients.

Remarque : Indisponible si le terminal CE est utilisé en tant que serveur de données. D'autres informations sont disponibles dans le manuel zenon Operator, au chapitre Terminal CE en tant que serveur de données.


Drivers - Limit values and reaction matrices

Manuel -> Réseau -> Behavior of zenon modules in the network -> Drivers in the zenon network -> Drivers - Limit values and reaction matrices

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

In principle, limit values and reaction matrices are monitored on the Primary Server (where the AML is also administered).

The following applies for local internal variables in addition:

  • Limit values and reaction matrices are monitored locally on all computers (Primary Server, Standby Server and Clients).
  • Linked limit values are only executed where the limit value of the local internal variable was violated.
  • Limit value violations of these variables on the Standby Server or Client are not an alarm.


Driver - regrading delay in the event of redundancy switching

Manuel -> Réseau -> Behavior of zenon modules in the network -> Drivers in the zenon network -> Driver - regrading delay in the event of redundancy switching

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

When a configured server is started or restarted, the regrading to the Primary Server can be delayed by a driver.

This ensures that regrading only takes place if all process variables have a valid value.

info Informations

The regarding delay is only supported by very few drivers, such as the Siemens AK-Treiber for example

You can find out whether a regrading delay is supported in the respective documentation of the driver.

LOG messages

Parameter

Level

Description

Redundancy Switch confirmation requested for project <Project name> module:VAR sequenceNo:<SequenceNo>

Debug

Confirmation that the Primary Server can be switched requested

  • Project name
    The project name
  • SequenceNo
    Serial number for the assignment of request and response.

Redundancy Switch confirmed for project <Project name> module:VAR sequenceNo: <SequenceNo>

Debug

Confirmation that the Primary Server can be switched.

Redundancy Switch delayed for project <Project name> module:VAR sequence id: <SequenceNo>

Debug

Delay activated for regrading.

Sample driver gave startup okay

Debug

Delay time on the driver expired.

me:<transport class> mod:<NetzwerkModuleId>(<network module name>) msg:<network module command> SeqId:<SequenceId> dest:<Target computer> prj:<project name>

Debug

LOG entry if cross-computer confirmation is necessary:

  • Transport class:
    Class name for the transport of the command. Varies according to module.
  • Network module ID:
    ID of the network module.
  • Network module name:
    Name of the network module.
  • SequenceId:
    Serial number that is used to assign request and response.
  • Target computer:
    Computer on which the data is transferred.
    Optional. S denotes the active server
  • Project name:
    Name of the project for which the transport is executed.


zenon web client in the redundant network

Manuel -> Réseau -> Behavior of zenon modules in the network -> zenon web client in the redundant network

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

With a redundant zenon network configuration, the issuing of roles for the primary server and standby server depends on the Mode de redondance set. In doing so, the role of the configured Serveur 1 and Serveur 2 computers can change over time in Runtime, depending on the configuration of the Mode de redondance and the current evaluation (for evaluated).

You should therefore configure both servers for the zenon Web Server. To do this, in the global_vars.js configuration file, change the line with the entry RUNTIMESERVER= and enter both computers there.

In doing so, the sequence should conform to the configuration in the zenon Editor.

You can find details on configuration in the configuration of global_vars.js chapter.

Amended server configuration

If the server names configured in the Editor do not correspond to the server names of global_vars.js, the zenon Web Client will not start.

If the configuration of the server is amended for a running system in zenon, the "Runtime is busy dialog will be shown in the zenon Web Client.

After a project synchronization, the currently-running and the actual project configuration will be shown in a further dialog. In this case, the browser window must be closed by the user and the zenon Web Client must be restarted.

attention Attention

If the project configuration of Serveur 1 andServeur 2 is changed in the zenon Editor, the global_vars.js file must also be amended accordingly.

You can find further information in the zenon web server manual in the configuration of global_vars.js chapter.


Time Control

Manuel -> Réseau -> Behavior of zenon modules in the network -> Time Control

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Time control will be executed on the Primary Server. The function triggered is executed on the systems that were selected for execution of the function in the settings.


Allocations

Manuel -> Réseau -> Behavior of zenon modules in the network -> Allocations

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Allocations are always executed on the Primary Server.

attention Attention

This is relevant to local internal variables most of all. These are not executed on the Standby Server or on Clients!


Network messages from the system driver

Manuel -> Réseau -> Network messages from the system driver

The following system driver variables are available for this subject area:

Name

Data Type

Comment

[Network] Current Primary Server

STRING

lokal

Computer name of the current Primary Server
If the name was acquired from the host file, it will be the name used there. With DNS, this is the Fully Qualified Domain Name.

Note: If the network is deactivated, the variable sends the status INVALID. The [Network] Current Standby Server variable remains empty in contrast.

[Network] Current Standby Server

STRING

lokal

Computer name of the server which is currently not handling processes.
If the name was acquired from the host file, this is the name entered there. With DNS, this is the Fully Qualified Domain Name.

[Network] Number of connected clients

UDINT

Delivers the number of clients currently connected to the server. This number also includes the standby server, if there is one.

[Network] Authorization denied

BOOL

Shows whether a requested authorization is denied in the network. The value of this variable is changed only for a short time and then changed back to the initial state.

  • 0 = operating authorization request accepted
  • 1 = operating authorization request declined

[Network] Authorization available

BOOL

Shows whether there is an authorization for the current project on the local computer.

  • 0 = No
  • 1 = Yes

[Network] operating authorization: Computer that has it

STRING

Shows the name of the computer that has the authorization for the currently loaded project.

[Network] Evaluation result of Server 1

UDINT

In the event of changes to a variable from the evaluation matrix, this value is written to the corresponding system driver variable for Serveur 1 and Serveur 2 after calculation of the new result of the evaluation. The values are equal to one another (server <-> standby), so that the current value is always displayed on both sides. However, after the other side has a failure, this value remains for the attendant variable and only updates itself once it reconnects.

Note: You can find further information on evaluation in the Network manual in the Configuration of redundancy evaluation chapter.

[Network] Evaluation result of Server 2

UDINT

In the event of changes to a variable from the evaluation matrix, this value is written to the corresponding system driver variable for Serveur 1 and Serveur 2 after calculation of the new result of the evaluation. The values are equal to one another (server <-> standby), so that the current value is always displayed on both sides. However, after the other side has a failure, this value remains for the attendant variable and only updates itself once it reconnects.

Note: You can find further information on evaluation in the Network manual in the Configuration of redundancy evaluation chapter.

[Network] Names of connected clients

STRING

xxx Delivers the names of the clients currently connected to the server. The standby server, if there is one, is also included.

[Network] Primary Server <-> Standby Server in data sync

BOOL

A binary variable that takes the value 1 (for a short time) when the system performs a redundancy switch between server and standby server.

  • 0 = no file sync
  • 1 = file sync active

[Network] Primary Server broke down

BOOL

lokal

Indicates that the connection to the process handling server was lost.
Depending on the network position of the computer, this means:

  • Dominant Server: While it is not yet the process handling server, the value changes to TRUE if the connection to the process handling server is lost. Always FALSE after synchronization.
  • Non-dominant Server: Changes to TRUE if the connection to the dominant server, which was the process handling server, is lost. Changes back to FALSE if the Standby Server was promoted to be the Primary Server.
    EVALUATION: Preferably via a reaction matrix (REMA), as the Alarm Management is also swapped and taken over by the SB at that time. The Online Container is also not suitable because the variables are re-initialized during redundancy switching.

Client: Changes to TRUE if the connection to the process handling server is lost. Changes back to FALSE if the client connects to the SB computer that is now the process handling server.

[Network] Primary Server shut down

BOOL

lokal

Indicates the regular stop of the process handling server.
The value changes to TRUE if the Primary Server was stopped properly. FALSE if there is a process handling server in the net.

Depending on the network position of the computer, this means:

  • Dominant Server: While it is not yet the process handling server, the value changes to TRUE if the process handling server has stopped.
  • Non-dominant Server: Changes to TRUE if the dominant server, which was the process handling server, has stopped. Changes back to FALSE if the StandBy was promoted to be the process handling server.
  • EVALUATION: Preferably via a reaction matrix (REMA), as the Alarm Management is also swapped and taken over by the SB at that time. The Online Container is also not suitable because the variables are re-initialized during redundancy switching.
  • Client: Changes to TRUE if the dominant server has stopped. Changes back to FALSE if the client connects to the SB computer that is now the process handling server.
    Is also TRUE while the process handling non-dominant server changes back to be the non-process handling server.

[Network] Standalone/Primary Server/Standby Server/Client

DINT

Shows the type of the local computer in the network.

  • -1 = Standalone
  • 0 = Client
  • 1 = Primary Server
  • 2 = Standby Server

[Network] Standby Server broke down

BOOL

Changes to TRUE if the connection to the currently non-process handling server is terminated unexpectedly. If there is a connection, the value is FALSE.

Depending on the network position of the computer, this means:

  • Dominant Server: The variable only acts as described from the time when the standby became the server handling the process.
  • Non-dominant Server: If, during file synchronization, the connection to a server that is dominant but is not handling the process is interrupted, the value changes to TRUE. Always FALSE if not the server handling the process.
  • Client: As per server handling the process.

[Network] Standby Server shut down

BOOL

Is TRUE on the process handling server, if the non-process handling server was stopped properly and if there is no connection anymore. Changes to FALSE if the non-process handling server has registered at the process handling server.

Depending on the network position of the computer, this means:

  • Dominant Server: Only from the time when the standby became the server handling the process does the variable act as described.
  • Non-dominant Server: If this is ended during file synchronization with a server that is dominant but is not handling the process, the value changes to TRUE. Always FALSE if not the server handling the process.
  • Client: As per server handling the process.

[Network] Standby Server started

BOOL

Is TRUE if the non-Primary Server has signed into the Primary Server, the file sync was carried out and the connection between the two computers is active.

Depending on the network position of the computer, this means:

  • Dominant Server: Only from the time when the standby became the server handling the process does the variable act as described.
  • Non-dominant Server: Becomes TRUE if the dominant server not handling the process starts. Changes to FALSE if the computer is the server handling the process.
  • Client: As per server handling the process.

[Network] Timeout [ms]

UDINT

Shows the timeout in milliseconds for the zenon network as configured in the project configuration.

[Network] Switch from Primary Server to Standby Server

BOOL

A binary variable that takes on the value 1 if the server becomes the standby server during a redundancy switch.

  • 0= registered server is available as server in the network.
  • 1 = registered server is available as standby server in the network.

[Network] Switch from Standby Server to Primary Server

BOOL

A binary variable that takes on the value 1 if the standby server becomes the server during a redundancy switch.

  • 0 = registered Standby Server is available as standby server in the network.
  • 1 = registered Standby Server is available as server in the network.


Sauvegarde de projet

Manuel -> Sauvegarde de projet

Un projet est constitué de fichiers pour Editor et pour le Runtime. Un transfert des fichiers du Runtime est par exemple possible grâce au module Remote Transport. Ce chapitre concerne la sauvegarde et la restauration des fichiers du projet nécessaires pour Editor.

La sauvegarde du projet crée un fichier ZIP avec les données du projet. Cette sauvegarde peut être restaurée sur le même ordinateur ou sur un autre. Il est également possible d’effectuer le suivi de la version des sauvegardes de projets.

Dans le gestionnaire de projet, une section Sauvegardes est disponible. Voir également le chapitre Gestionnaire de projet. Dans le menu contextuel associé à cette entrée, vous pouvez sélectionner Créer sauvegarde ou Importer sauvegarde.

attention Attention

Les sauvegardes de projet créées avec zenon et SQL Server Express (SQL Server 2005) ne peuvent pas être restaurées dans une base de données MSDE (ou sous SQL Server 2000)?!

attention Attention

Les symboles provenant de la bibliothèque générale de symboles sont enregistrés localement dans leur propre fichier (*.sym), dans le dossier de programme zenon. Ces fichiers doivent toujours être ajoutés manuellement aux sauvegardes de projets multi-utilisateurs et lors de la transmission de projets.

Les symboles provenant de la bibliothèque de symboles dans le projet local et le projet global sont automatiquement inclus dans la sauvegarde de projet correspondante.

Conseil : Enregistrez toujours les symboles localement.

Menu contextuel Gestionnaire de projet

Élément de menu | Action
Créer une sauvegarde | Ouvre la boîte de dialogue permettant de créer un nouveau projet.
Importer une sauvegarde | Ouvre le gestionnaire de fichiers pour vous permettre de sélectionner un fichier de sauvegarde et d’importer ce fichier dans la liste.
Profil Editor | Ouvre la liste déroulante contenant les profils Editor prédéfinis.
Aide | Ouvre l'aide en ligne.

tutorial Informations concernant la licence

Composante de la licence standard d’Editor et du Runtime.

Autres sujets abordés dans ce chapitre

Configuration dans Editor

Contrôle de version


Configuration dans Editor

Manuel -> Sauvegarde de projet -> Configuration dans Editor

La création, la gestion et la restauration des sauvegardes de projets se déroulent dans le nœud Sauvegardes de projet.

Vous pouvez effectuer les opérations suivantes :

  • Créer et exporter des sauvegardes de projet
  • Restaurer des sauvegardes de projet
  • Sauvegarder et restaurer des espaces de travail
  • Supprimer des projets

Si le nœud Sauvegarde de projet est sélectionné dans le gestionnaire de projet, tous les fichiers de sauvegarde existants sont affichés dans la Vue de détail du gestionnaire de projet.

Autres sujets abordés dans ce chapitre

Barre d’outils et menu contextuel de la vue de détail Sauvegarde projet

Sauvegarde de projet et export

Restaurer une sauvegarde de projet

Sauvegarder et restaurer des espaces de travail

Supprimer le projet


Barre d’outils et menu contextuel de la vue de détail Sauvegarde projet

Manuel -> Sauvegarde de projet -> Configuration dans Editor -> Barre d’outils et menu contextuel de la vue de détail Sauvegarde projet

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Menu contextuel

Élément de menu | Action
Créer une sauvegarde | Ouvre la boîte de dialogue permettant de créer un nouveau projet.
Charger sauvegarde | Restaurez le projet dans l’état enregistré dans le fichier de sauvegarde.
Restaurer une sauvegarde comme un nouveau projet | Crée un nouveau projet avec les données de la sauvegarde.
Supprimer | Après une demande de confirmation, supprime les entrées sélectionnées de la liste.
Exporter sauvegarde | Ouvre la boîte de dialogue permettant de sélectionner le dossier pour le fichier de sauvegarde, puis exporte le fichier de sauvegarde.
Importer une sauvegarde | Ouvre le gestionnaire de fichiers pour vous permettre de sélectionner un fichier de sauvegarde et d’importer ce fichier dans la liste.
Comparer les sauvegardes sélectionnées dans l’historique des modifications | Active uniquement pour les sélections multiples Les versions les plus ancienne et récente sont déterminées. Un filtre de temps est alors créé, vous permettant de basculer vers l’historique des modifications pour comparer les différences entre les sauvegardes d’un projet sélectionné.
Supprimer tous les filtres | Supprime tous les paramètres de filtre
Éditer cellule sélectionnée | Ouvre la cellule sélectionnée pour la modification. Le symbole représentant des jumelles dans l'en-tête indique la cellule sélectionnée dans une ligne affichée en surbrillance. Seules les cellules pouvant être modifiées peuvent être sélectionnées.
Propriétés | Ouvre la fenêtre de Propriétés.
Aide | Ouvre l'aide en ligne.


Sauvegarde de projet et export

Manuel -> Sauvegarde de projet -> Configuration dans Editor -> Sauvegarde de projet et export

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Sauvegarde du projet

Pour créer une sauvegarde de projet, cliquez avec le bouton droit sur Sauvegarde de projet dans le Gestionnaire de projet, puis sélectionnez Créer sauvegarde... .

La boîte de dialogue de sauvegarde de projets s’affiche à l’écran.

Option | Description
Nom du fichier | Nom du fichier ZIP pour la sauvegarde du projet
Description | Commentaire sous forme de texte libre
OK | Accepte la saisie et crée la sauvegarde de projet.
Annuler | Annule la sauvegarde.
Aide | Ouvre l'aide en ligne.

Remarque : Lors de la conversion d'un projet, une sauvegarde de projet est automatiquement créée. Si son nom est identique à celui d'une sauvegarde déjà existante, cette dernière est automatiquement remplacée, sans demande de confirmation.

attention Attention

Comme le service zenDbSrv.exe fonctionne seulement avec les droits locaux et non avec les droits de l’utilisateur connecté, une sauvegarde sur un disque réseau n’est pas possible.

zenon place la sauvegarde du projet dans un dossier de base de données (SQL) prédéfini :

%ProgramData%\COPA-DATA\[Dossier SQL]\UID]\BACKUP

info Informations

Lors de la sauvegarde de l’espace de travail, tous les projets de l’espace de travail sont également sauvegardés. Ils ne sont en revanche pas contenus dans la sauvegarde du projet, et ne peuvent pas être restaurés individuellement.

Exportation du projet

Vous pouvez exporter vos sauvegardes à tout instant depuis zenon (par exemple, pour les envoyer ou les transférer vers un autre ordinateur). Cliquez avec le bouton droit sur la sauvegarde de projet souhaitée, puis sélectionnez Exporter la sauvegarde dans le menu contextuel. Dans la boîte de dialogue suivante, sélectionnez le dossier souhaité, puis confirmez en cliquant sur OK.
Si la sauvegarde du projet prend plus de 1 seconde, une barre de progression est affichée.
Les informations relatives à la sauvegarde (par ex. échec ou réussite) sont inscrites dans la fenêtre de suivi.

Vous pouvez afficher toutes les sauvegardes d’un projet dans la vue de détail en cliquant sur Sauvegardes de projet dans le Gestionnaire de projet.

(Reportez-vous également au chapitre Gestionnaire de projet, section Affichage détaillé du gestionnaire de projet).


Restaurer une sauvegarde de projet

Manuel -> Sauvegarde de projet -> Configuration dans Editor -> Restaurer une sauvegarde de projet

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

La sauvegarde d’un projet peut être lue via :

  • L’espace de travail
  • Le nœud de sauvegarde du projet

attention Attention

Les projets créés dans les versions 6.01 ou 6.20 de zenon ne peuvent plus être lus directement dans zenon 7.10 (ou versions ultérieures).

Arrière-plan : les versions reposant sur le logiciel MSDE (SQL Server 2000) ne sont pas compatibles avec le logiciel SQL Server 2012 utilisé dans zenon.

Solution : Convertissez d'abord le projet vers zenon 7.0, puis vers la version 7.10 ou supérieure.

Espace de travail

  1. Dans le menu contextuel de l’espace de travail, sélectionnez la commande Lire une sauvegarde de projet....
  2. La boîte de dialogue de sélection de sauvegardes de projet s’affiche

Paramètres

Description

Fichier de sauvegarde

Sélection du fichier à lire.

Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de fichiers.

Créer un nouveau projet

Active : un nouveau projet est créé dans la base de données.

Détails de la sauvegarde

Informations concernant le projet à lire :

  • Nom
  • Identifiant du projet
  • Version d’Editor
  • Version du projet (uniquement si la fonction de suivi des versions est active)
  • Description

Toutes les données proviennent du projet à lire, et sont uniquement fournies à des fins d’information. Vous ne pouvez pas les modifier dans cette boîte de dialogue.

OK

Les données sont reprises et le projet sélectionné est lu.

Annuler

Abandonne toutes les données et ferme la boîte de dialogue.

Aide

Ouvre l'aide en ligne.

Nœud Sauvegardes

  1. Accédez au nœud Sauvegardes.
  2. Sélectionnez la sauvegarde de projet souhaitée.
    Remarque : Si la sauvegarde souhaitée n’est pas disponible, importez-la.
  3. Sélectionnez Charger sauvegarde... dans le menu contextuel ou la barre d'outils.
  4. La sauvegarde de projet est lue, après affichage d’une demande de confirmation, puis activée automatiquement

attention Attention

Projets

  • Les projets créés dans SQL Server 2005 Express ne peuvent pas être utilisés dans SQL Server 2000 (MSDE)
  • Les projets créés dans SQL Server 2008 R2 ne peuvent pas être utilisés dans SQL Server 2005 Express

Importer une sauvegarde de projet

Pour créer une sauvegarde du projet, dans le menu contextuel du nœud Sauvegardes du Gestionnaire de projet, sélectionnez Importer une sauvegarde. Le projet est d’abord importé, avant de pouvoir être restauré dans l’étape suivante.

Une vérification est d’abord effectuée pour déterminer si le fichier de sauvegarde du projet existe. Si la sauvegarde n’existe pas, le fichier importé est ajouté à la liste des sauvegardes. Toutes les sauvegardes de projet qui ont été importées, mais pas encore restaurées, sont ajoutées à la liste des sauvegardes dans la vue de détail du Gestionnaire de projet.

C’est ici que vous trouvez la liste de toutes les sauvegardes créées pour le projet. Les commentaires peuvent être modifiés dans la liste.

Exporter et importer une sauvegarde de projet

Il peut être nécessaire d’exporter ou d’importer une sauvegarde de projet si les fichiers du projet développés dans Editor doivent être utilisés sur un autre PC. Lors de l’utilisation de la commande d’exportation, le fichier de sauvegarde est copié à partir du dossier %ProgramData%\COPA-DATA\[Dossier SQL]\Nom_projet vers un autre périphérique (par exemple, une clé USB). Aussi bien l’export que l’import sont des actions de copie et non de déplacement.

Supprimer une sauvegarde de projet

Les fichiers de sauvegarde sont supprimés du dossier %ProgramData%\COPA-DATA\[dossier SQL]\Nom_projet.

Traitement des erreurs

Erreur | Solution
La sauvegarde du projet n’est pas affichée. | Le nœud Sauvegardes affiche uniquement la liste des projets contenus dans le dossier SQL/de sauvegarde par défaut. Les projets provenant d’autres dossiers peuvent être importés manuellement.
Le bouton OK n’est pas utilisable dans la boîte de dialogue de lecture. | Le fichier .zip sélectionné contient des données non valides. Une autre sauvegarde d’espace de travail ou un autre fichier .zip a peut-être été sélectionné.
L’historique des sauvegardes du projet n’est plus disponible. | Le projet a été renommé, et l’historique n’est donc plus disponible. Le fichier de sauvegarde est toutefois encore disponible, et peut être importé manuellement ou lu depuis le menu contextuel de l’espace de travail.


Sauvegarder et restaurer des espaces de travail

Manuel -> Sauvegarde de projet -> Configuration dans Editor -> Sauvegarder et restaurer des espaces de travail

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Créer une sauvegarde d’un espace de travail

Sélectionnez l’entrée Espace de travail -> Créer sauvegarde dans le menu contextuel de l’espace de travail. Les sauvegardes d’espaces de travail sont des fichiers d’extension *.wsb. Le nom peut être librement défini.

Remarque : Tous les projets de l’espace de travail sont sauvegardés avec l’espace de travail. Ils ne sont en revanche pas contenus dans la sauvegarde du projet, et ne peuvent pas être restaurés individuellement.

Charger sauvegarde

Dans le cas d’un espace de travail :

Sélectionnez l’entrée Espace de travail / Charger sauvegarde dans le menu contextuel de l’espace de travail. Vous pouvez alors sélectionner le fichier de sauvegarde et définir dans quel répertoire vous voulez restaurer l’espace de travail.


Supprimer le projet

Manuel -> Sauvegarde de projet -> Configuration dans Editor -> Supprimer le projet

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Pour supprimer un projet, choisissez l’entrée Projet / Supprimer dans le menu contextuel sur le projet.

attention Attention

Lorsqu’un projet est supprimé, toutes les connexions à la base de données sont fermées. Lorsqu’un projet existant est rechargé, ce n’est pas le cas.


Contrôle de version

Manuel -> Sauvegarde de projet -> Contrôle de version

Il est également possible d’effectuer le suivi de la version des sauvegardes de projets. Les versions sont identifiées et triées par numéro et par date et heure de création.

Pour activer la fonction de suivi des versions :

  1. Accédez au nœud Général dans les propriétés.
  2. Accédez au nœud Gestion de version.
  3. Activez la propriété Gestion de version active.
  4. Attribuez un nombre principal à la propriété Version principale

Ceci permet de créer un nombre correspondant à la version du projet pour chaque sauvegarde de projet Ce nombre est constitué de l’élément Version principale et d’un nombre détaillé généré par un procédé interne, séparés par un point. Ce nombre détaillé est incrémenté à chaque sauvegarde d’un projet. La version d’une sauvegarde de projet est affichée dans :

  • La vue de détail du nœud Sauvegardes
  • La boîte de dialogue de restauration d’une sauvegarde dans l’espace de travail

Le nombre de l’élément Version du projet est vérifié lors du transfert des fichiers du Runtime avec Remote Transport ou via la topologie de réseau, et peut être lu via une commande VBA ou une variable de driver système. Si une autre version est chargée dans Editor, un message d’avertissement est affiché. Si un conflit se produit durant le transfert des fichiers du Runtime via le réseau, vous pouvez accepter ou refuser le transfert de tous les projets vers l’ordinateur si des conflits sont présents.

Le projet actuel peut également être ajouté à la sauvegarde du projet sous forme de données exportées au format XML.

info Informations

La fonction de suivi des versions est également utilisable avec le développement distribué. Dans ce cas, le fichier project.ini doit être verrouillé contre les modifications lors d’une sauvegarde sur le serveur. Les fichiers XML sont uniquement conservés pour les sauvegardes locales.

Sauvegarde de l’ordre de tri correct.

La fonction de suivi des versions permet de déverrouiller l’élément Version principale. Le nombre principal et le nombre détaillé sont automatiquement incrémentés à partir de 0 pour chaque sauvegarde. Si l’élément Version principale est modifié, la distribution du nombre détaillé recommence à partir de 0.

Veillez à garantir la cohérence de l’élément Version principale et des informations de suivi de version. L’élément Version principale étant librement modifiable par l’utilisateur, plusieurs possibilités s’offrent à vous :

  • Ordre aléatoire

    par exemple, 2.1 est suivi de 1.0

  • Utilisation du même nombre plusieurs fois

    Par exemple, 1.0, 1.1, 1.2, 1.0

  • Désactivation temporaire du suivi des versions

    Ceci signifie : Les sauvegardes de projets sans numéro de version sont mélangées aux sauvegardes avec suivi des versions

Pour fournir une vue d’ensemble de l’ordre des différentes sauvegardes du projet, l’heure de création de la sauvegarde est également enregistrée dans le fichier project.ini.

Export XML

Si la propriété Export XML actif est active, un fichier compressé VERSION.ZIP est créé dans la sauvegarde du projet. Ce fichier d’exportation au format XML contient les données suivantes :

  • Variables
  • Type de données
  • Matrices de réaction
  • Attributions
  • Alarmes
  • Unités
  • Synoptiques
  • Cadres
  • Listes de polices
  • Palettes de couleurs
  • Bibliothèque de symboles du projet
  • Fonctions
  • Serveur d'archives
  • Recettes
  • Recipe Group Manager (Gestionnaire de groupes de recettes)
  • Commande temporisée
  • Macros VBA
  • Verrouillages
  • Envoi de commande
  • EMS
  • Menus
  • Gestion des utilisateurs
  • Groupes d'utilisateurs
  • Interface SAP

Le contenu du fichier est équivalent à celui du fichier XML exporté manuellement.

Le contenu de ce fichier XML correspond au contenu du fichier d’exportation XML commun. Dans les projets multi-utilisateurs, les fichiers exportés au format XML sont uniquement créés pour des sauvegardes locales.

Variable du driver système

À l’image de la propriété Version du projet, une variable de driver système Version du projet est présentée au chapitre Info système.

Autres sujets abordés dans ce chapitre

Dépannage


Dépannage

Manuel -> Sauvegarde de projet -> Contrôle de version -> Dépannage

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Les erreurs de suivi des versions sont affichées et consignées dans le fichier journal, dans la fenêtre d’affichage et dans les messages contextuels.

Diagnosis Viewer

Entrées dans les fichiers journaux :

Entrée | Description
Error BackupDatabase: Skip on an Error in BackupXml: [Chemin] | Erreur lors de la création de VERSION.ZIP avec les fichiers d’exportation au format XML durant la sauvegarde du projet. La sauvegarde a été créée, mais les fichiers XML sont manquants.
GetDBBackupStatus: BINARY.ZIP not exists: [Chemin] | Lors de la lecture des informations de suivi de version d’une sauvegarde de projet, le fichier BINARY.ZIP n’a pas été trouvé. La sauvegarde est endommagée.
GetDBBackupStatus: project.ini not exists: [Chemin] | Lors de la lecture des informations de suivi de version d’une sauvegarde de projet, le fichier project.ini n’a pas été trouvé. La sauvegarde est endommagée.

Fenêtre de sortie

Entrées dans la fenêtre d’affichage :

Entrée dans la fenêtre d’affichage

Explication?; signification

The transfer of project '%s' was declined

Deux raisons possibles :

  • Lors de la vérification de la version, un conflit s’est produit et l’utilisateur a refusé le transfert.
  • Lors de la vérification de la version, une erreur s’est produite.

No project directory defined

Erreur durant la vérification de la version.

Message contextuel

Messages d’erreur contextuels :

Message d'erreur

Description

The version %d.%d of the project at the target computer do not match: Should it be transferred anyway?

Lors du transfert des fichiers du Runtime avec Remote Transport :

Pour le projet, la fonction de suivi des versions a été activée et le numéro de version du projet dans Editor ne correspond pas au numéro de version dans le fichier project.ini sur l’ordinateur cible.

Réactions disponibles :

  • Oui :
  • Non : pas de transfert

At computer %s the version %d.%d of the project does not concur: Should it be transferred anyway?

Lors du transfert des fichiers du Runtime avec la fonction de topologie du réseau :

Pour un ou plusieurs projets, la fonction de suivi des versions a été activée et le numéro de version du projet dans Editor ne correspond pas au numéro de version dans le fichier project.ini sur l’ordinateur cible.

Réactions disponibles :

  • Oui : le transfert continue
  • Non : pas de transfert
  • Oui pour tous : le transfert continue sans demande de confirmation ultérieure pour tous les projets concernés
  • Non pour tous : le transfert est annulé sans demande de confirmation ultérieure pour tous les projets concernés

Cette boîte de dialogue est affichée à nouveau si, durant le transfert vers un autre ordinateur, un nouveau conflit de versions se produit.

The project cannot be saved because 'project.ini' is locked!

Lors de la création d’une sauvegarde de projet pour un projet multi-utilisateurs avec suivi des versions, le numéro de version inscrit dans le fichier project.ini doit être incrémenté. Cela est toutefois impossible, car le fichier project.ini est verrouillé.


Serveur d'archives

Manuel -> Serveur d'archives

Dans zenon, le module Serveur d'archives gère l'enregistrement des données de procédé, ainsi que l'exportation des données archivées. Les données sont ainsi disponibles pour être traitées et évaluées ultérieurement, même en-dehors de zenon.

Le module Serveur d'archives est disponible dans deux versions dans zenon :

  • Serveur d’archivesStarter Edition : version de base, dotée de fonctions limitées
  • Version avec licence du Serveur d'archives

tutorial Informations concernant la licence

Ces fonctions ou modules doivent disposer d'une licence pour Editor et le Runtime (autonome, serveur, veille).

Remarque : La version Starter Edition du Serveur d'archives, dotée de fonctions limitées, est déjà incluse dans la licence standard. Elle n'est pas disponible pour les versions dont la licence repose sur le nombre d'I/O versions.

Le module Serveur d'archives est accessible depuis le Gestionnaire de projets.

Dans zenon, vous pouvez évaluer et traiter les données d'archives avec :

  • Synoptique Maintenance d'archive
  • Extended Trend
  • Report Generator
  • Report Viewer
  • zenon Analyzer

Autres sujets abordés dans ce chapitre

Informations générales

Types d'archivage

Concept d'archivage

Configuration dans Editor

Fonctions

Utilisation dans le Runtime

Utilisation de données d'archive dans zenon

Informations supplémentaires


Informations générales

Manuel -> Serveur d'archives -> Informations générales

L'archivage est effectué avec différentes méthodes et différents types d'enregistrement.

Pour utiliser la fonction d'archivage :

  • Créez des archives et des archives agrégées dans Editor.
  • Appelez les archives dans le Runtime en configurant un synoptique Maintenance d'archive.
  • Enregistrez les données de l'archive dans différents formats.
  • Évaluez les données de l'archive avec d'autres modules tels que les modules Extended Trend, Report Generator, Report Viewer et zenon Analyzer.

Heure

Les archives utilisent l'heure locale lors de l'enregistrement. L'heure locale affichée sur l'ordinateur est calculée comme ceci : heure UTC + fuseau horaire + heure d'hiver/heure d'été Le Runtime de zenon tient automatiquement compte de l'heure locale dans les demandes d'archives.

Informations détaillées

Vous trouverez des informations détaillées concernant les formats, l'heure et les types d' archives RDA dans la section Autres informations.

Autres sujets abordés dans ce chapitre

Version avec licence du Serveur d'archives

Serveur d'archives, version Starter Edition


Version avec licence du Serveur d'archives

Manuel -> Serveur d'archives -> Informations générales -> Version avec licence du Serveur d'archives

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

La version Starter Edition du Serveur d'archives présente sur le PC peut être mise à niveau vers la version complète du Serveur d'archives à tout instant, sans problème de compatibilité (extension de licence).

  • Si le Serveur d'archives comporte une licence, toutes les fonctionnalités de celui-ci sont accessibles.
  • La version Starter Edition du Serveur d'archives est disponible avec le module Extended Trend Starter Edition for Windows CE 6.0 Runtime (l'exportation de données est uniquement disponible au format CSV dans Windows CE).

Inclus dans la version avec licence

La version avec licence du Serveur d'archives propose les fonctionnalités suivantes :

  • Journalisation de données : cyclique, événementielle, suivant changement
  • Agrégation de données en cascade (archives résultantes)
  • Enregistrement de lots
  • Archivage RDA
  • Transfert vers SQL
  • Début/arrêt d'enregistrement définis par l'utilisateur
  • Exécution de fonctions à l'ouverture et à la fermeture de l'archive
  • Transfert automatique des données
  • Création automatique d'archives de remplacement
  • Exportation de données via une fonction (vers XML, par exemple)
  • Révision manuelle des données archivées

Transfert vers SQL

La version avec licence du module Serveur d'archives peut être améliorée avec une fonction de transfert vers SQL. Pour cela, zenon SQL Server doit comporter une licence


Serveur d'archives, version Starter Edition

Manuel -> Serveur d'archives -> Informations générales -> Serveur d'archives, version Starter Edition

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

La licence standard de la version reposant sur les tags de zenon inclut une version limitée du Serveur d'archives dès la version Starter Edition.

Limitations

La version Starter Edition repose sur le Serveur d'archives standard, mais comporte les limitations suivantes :

  • Pas de RDA
  • Pas de création d'archives définies par l'utilisateur à l'aide des fonctions Archive : départ et Archive : arrêt
  • Pas d'archivage événementiel (spontané), ni d'archivage déclenché par un événement ; archivage cyclique uniquement
  • Pas de transfert de données
  • Pas d'archive résultante
  • Pas d'archivage de lot
  • Pas de révision manuelle des données archivées
  • L'exportation sous CE est uniquement possible au format ASCII (également possible aux formats XML et DBF sur un PC)
  • Les données d'archives peuvent uniquement être enregistrées au format ARX

attention Attention
  • Dans Editor, si seule la version Starter Edition du Serveur d'Archives comporte une licence, les fonctionnalités dépassant ses restrictions ne peuvent pas être configurées.
  • Dans le Runtime, si seule la version Starter Edition du Serveur d'Archives comporte une licence, les archives dépassant ses restrictions ne sont pas exécutées. Une entrée est créée dans le Diagnosis Server.
    Aucune opération d'enregistrement ne peut être exécutée depuis le rapport ou la fonction de maintenance d'archives.
    Exemple : Une archive avec fonction d'archivage événementiel est créée. Elle n'est pas démarrée dans le Runtime. Ceci signifie qu'aucune données n'est enregistrée pour cette archive.

Remarque : La version Starter Edition n'est pas disponible dans la version dont la licence repose sur le nombre d'I/O.


Types d'archivage

Manuel -> Serveur d'archives -> Types d'archivage

L'archive repose sur le principe des archives en cascade. Cela signifie que les variables souhaitées sont enregistrées dans une archive de base, puis transférées vers une archive résultante par le biais d'une fonction d'agrégation. Ceci peut être utilisé autant de fois que nécessaire. Les archives peuvent être créées de différentes manières. Il existe jusqu'à trois méthodes d'enregistrement pour chaque type de création d'archive.

Création

Une archive peut être créée de différentes manières.

  • Au démarrage et à l'arrêt du Runtime :
    L'archive est toujours active si le Runtime est en cours d'exécution.
  • Défini par l'utilisateur :
    L'intervalle de temps durant lequel des données peuvent être écrites dans l'archive est défini avec les fonctions Archive : départ et Archive : arrêt.
  • Acquisition de données temps réel (RDA)
    Lecture des valeurs archivées dans le contrôleur et enregistrement des valeurs dans une archive de zenon.

Types d'enregistrements

Les données peuvent être enregistrées dans les archives suivant différentes méthodes :

  • Cyclique :
    Les valeurs des variables attribuées sont écrites dans l'archive à intervalles définis. La valeur des millisecondes est automatiquement définie sur 0 dans les informations d'horodatage.
  • Déclenché :
    Une variable de déclenchement est attribuée à l'archive. Lorsque la valeur de la variable de déclenchement est définie sur 1, les valeurs des variables sont toujours écrites dans l'archive attribuée lors de la sélection de variables.
  • Suivant changement :
    Les valeurs des variables attribuées sont écrites dans l'archive à chaque modification d'une valeur.
    Remarque : Pour limiter au maximum la quantité de données enregistrées, la configuration de *** Hystérésis, et tout particulièrement de *** Négatif pour l'archive et *** Positif pour l'archive, est recommandée pour ce type d'enregistrement. Pour plus de détails, reportez-vous au chapitre Hystérésis dans le manuel Variables.

Le type d'hystérésis disponible dépend de la méthode utilisée pour créer l'archive.

attention Attention

Dans une archive de type Événementiel, les variables sont également enregistrées à chaque changement d'état.

Par exemple : si un driver est arrêté, toutes ses variables reçoivent l'état OFF. Par conséquent, l'arrêt et le démarrage d'un driver déclenchent deux entrées.

  1. OFF
  2. SPONT ou GI (si la reconnexion est effectuée avec succès)

Ceci se produit également lorsque la valeur de la variable n'est pas modifiée.

Agrégation

La fonction de synthèse est exécutée à la fin du cycle d'archivage. Les fonctions d'agrégation suivantes sont disponibles :

  • Somme
  • Moyenne
  • Minimum
  • Maximum

Plusieurs archives résultantes peuvent également être utilisées simultanément dans un projet.

attention Attention

Les chaînes de caractères (STRING) ne peuvent pas être compressées.

Stockage

Pour préserver l'intégrité du cycle d'archivage, les données de l'archive peuvent être enregistrées ou exportées à l'aide d'une fonction.

Stockage

Description

Base de données

Chaque archive comporte des fichiers dans lesquels peut être conservé le nombre de cycles d'archivage définis. En cas de dépassement du nombre de fichiers configuré, les fichiers peuvent être supprimés ou exportés.

Exporter un fichier

Lorsqu'un cycle d'archivage est fermé, il est immédiatement exporté vers un fichier.

Fonction Exporter

L'exportation d'archives enregistre les archives avec des filtres de temps aux formats de fichier standard suivants :

  • ASCII
  • dBase
  • SQL
  • XML

Dans ce cas, les dispositions suivantes s'appliquent :

  • Les fichiers peuvent être enregistrés localement et sur l'ordinateur connecté au réseau.
  • Les noms de fichiers sont générés indépendamment du système.
  • Le nom contient l'année, le mois, le jour, l'heure, la minute et la seconde d'exportation :
    AAMMJJhhmmss.XML

Autres sujets abordés dans ce chapitre

Au démarrage et à l'arrêt du Runtime

Démarrage et arrêt d'archives à l'aide de fonctions

Acquisition de données temps réel (RDA)


Au démarrage et à l'arrêt du Runtime

Manuel -> Serveur d'archives -> Types d'archivage -> Au démarrage et à l'arrêt du Runtime

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Avec cette forme d'archivage, l'archive est démarrée au démarrage du Runtime et arrêtée à l'arrêt du Runtime. Les modes d'enregistrement de données suivants sont disponibles :

  • Cyclique
  • Événementiel
  • Suivant changement


Démarrage et arrêt d'archives à l'aide de fonctions

Manuel -> Serveur d'archives -> Types d'archivage -> Démarrage et arrêt d'archives à l'aide de fonctions

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

L'archivage dans zenon peut également être commandé manuellement, grâce aux fonctions Archive : démarrage et Archive : arrêt.

Tant qu'une archive est active, des valeurs peuvent être écrites dans l'archive. Pour les enregistrements commandés via ces fonctions, les modes suivants sont disponibles :

  • Cyclique
  • Événementiel
  • Suivant changement


Acquisition de données temps réel (RDA)

Manuel -> Serveur d'archives -> Types d'archivage -> Acquisition de données temps réel (RDA)

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

La fonction RDA est utilisée pour lire les valeurs archivées dans un système de contrôle et les sauvegarder dans une archive zenon. Les types d'enregistrement suivants sont disponibles :

  • Suivant changement

Une application habituelle pour ce type d'enregistrement est celle des contrôleurs qui ne communiquent pas en permanence avec zenon ou qui doivent archiver de nombreuses valeurs dans un intervalle réduit.
Par exemple : pour un contrôleur utilisant des communications en cas de changement d'une valeur, les valeurs doivent être archivées dans un intervalle <100 ms. zenon autorise une valeur minimum de 100 ms. Dans ce cas, les valeurs sont collectées sur le contrôleur et lues sous forme de bloc avec la fonction RDA.

La fonction RDA peut également être utilisée pour l'analyse a posteriori d'erreurs survenues au niveau de l'automate, si l'automate le permet.

Remarque : Les archives RDA peuvent également être transférées. Le transfert est effectué immédiatement après l’archive est fermée.

Configuration

Pour configurer la fonction RDA :

  1. Définissez les variables dans l'automate.
    • Une zone distincte, continue, linéaire doit être définie dans l'automate pour chacune des variables RDA.
    • Le type de données associé aux variables ne doit pas être antérieur à celui selon lequel est organisé le système de l'automate.
    • La première variable de la zone désignée dans la fonction RDA sur l'automate est utilisée comme déclencheur du processus de transfert.
      Ceci signifie : Si cette variable est définie sur une valeur de 1 (ou de >0) par l'automate, les valeurs suivantes (telles que définies dans l'en-tête) sont chargées et archivées dans zenon. Ensuite, le driver réinitialise automatiquement la variable à la valeur 0.
  2. Définissez la variable dans zenon.

    Les valeurs sont affichées dans l'archive au format du type de données associé à la variable RDA.
    Exemple : Si les valeurs sont affichées sous forme de nombre à virgule flottante (REAL) dans l'archive, la variable RDA doit posséder le type de données REAL.

    Attention : La propriété Type d'enregistrement de la variable pour *** Stockage données disque dur doit être définie sur Valeurs retriées (RDA).

  3. Créez l'archive dans zenon et sélectionnez les variables RDA.
    L'archive doit être configurée avec un enregistrement de type Suivant changement.

Remarque : Vous trouverez des informations détaillées concernant la fonction d'archivage RDA au chapitre RDA, dans la section Autres informations.

info Informations

Vous trouverez des informations concernant la compatibilité de votre driver avec la fonction RDA dans la documentation du driver correspondant.

Les drivers utilisant des communications symboliques ne sont généralement pas compatibles avec la fonction RDA. Toutefois, pour certains de ces drivers, il existe une solution alternative. Vous trouverez des informations à ce sujet au chapitre spécifique au driver concerné, ainsi qu'au chapitre Remarques.


Concept d'archivage

Manuel -> Serveur d'archives -> Concept d'archivage

Théoriquement, jusqu'à 1296 archives différentes peuvent être ouvertes pour chaque projet. Ce nombre résulte des possibilités de nommage de la description courte : Deux caractères alphanumériques (A-Z, 0-9) génèrent 362 archives. Vous pouvez créer autant de variables que vous le souhaitez pour chaque archive. Le nombre d'archives fermées et enregistrées est uniquement limité par l'espace disque disponible.

Même avant la création de l'archive, il est nécessaire de définir les données devant être archivées, ainsi que le niveau de granularité du processus.

Recommandations :

  • Veillez à ce que vos archives restent faciles à gérer et n'enregistrez pas de trop grandes quantités de données, car :
    • Les archives inutiles occupent beaucoup d'espace disque et, dans certaines circonstances, exercent une charge superflue sur l'ordinateur.
    • L'affichage d'archives excessivement volumineuses dans le Runtime nécessite des ressources supplémentaires et demande beaucoup de temps.
  • Tentez de déterminer précisément la cohérence de vos données et adaptez la constitution de votre archive en conséquence.

Questions de base

Il est impératif de créer un concept avant de configurer l'archivage. La décision suivante est importante :

  • Quelles données doivent être utilisées ?
    • À quel intervalle ?
    • Via quel driver ou protocole ?
    • À quelles fins ?
  • Quelles données doivent être utilisées ?
    • Dans quels modules de zenon ou applications externes ?

Provenance des données

La provenance des données est l'un des points les plus importants lors de la création d'une archive. Gardez principalement à l'esprit les points suivants :

  • De quel type de données s'agit-il ?
  • Comment les données sont-elles transférées vers zenon ?

Autres informations importantes pour la configuration :

  • Driver :
    Quels drivers établissent une connexion à l'automate ?
    La vitesse d'écriture des données dans une archive ne dépassera jamais la vitesse de transmission des données par le driver.
  • Granularité
    Avec quel niveau de détail souhaitez-vous enregistrer les données ?
    Par exemple : Pour un compteur d'eau, il suffit d'archiver une valeur chaque jour. Contrairement à cela, pour une presse utilisée dans la construction automobile, toute modification d'une valeur dans une plage de quelques millisecondes seulement doit être enregistrée.
  • Période de stockage :
    Combien de temps les données doivent-elles rester disponibles dans zenon ?
    Plus la quantité de données archivées dans un intervalle donné est importante, plus la consommation de mémoire est élevée.
  • Granularité de l'archivage à long terme :
    Pour de grandes quantités de données, il est important de planifier la durée de conservation des données à une certaine résolution. Par exemple, sera-t-il nécessaire de pouvoir utiliser les données avec ce niveau de détail plusieurs années après leur collecte ? Ou la conservation de valeurs moyennes ou de sommes de données sera-t-elle suffisante sur des périodes plus longues ? Dans ce dernier cas, des archives résultantes sont créées dans zenon.

Utilisation des données

La provenance des données n'est pas le seul facteur important lors de l'archivage ; leur utilisation ultérieure dans zenon doit également être prise en compte.

Les données d'archives sont principalement utilisées dans les tendances et les rapports. Pour réduire la capacité de stockage requise et les délais de chargement autant que possible, il est nécessaire d'optimiser l'efficacité de la conservation de données.

Remarque : les données doivent toujours être encapsulées de manière adaptée à leur utilisation. Ceci signifie : le cycle d'archivage des données doit être sélectionné avec soin. La période des données contenues dans une capsule doit correspondre à la période des données utilisées dans zenon.

Par exemple : les données enregistrées au cours des dix dernières minutes doivent être examinées dans une tendance. Si une seule capsule est enregistrée par archive et par jour, l'ensemble de l'archive d'une journée doit être lu pour afficher les données La majorité des données sont donc chargées pour rien. À l'inverse, si les capsules sont enregistrées à intervalles d'une minute, 10 capsules doivent être ouvertes pour être prises en compte.

Dans le concept d'utilisation de données, le contenu d'informations par capsule et le nombre de fichiers requis doivent être équilibrés. Méthodes fréquemment utilisées :

  • Création d'archives à différentes fins.
    Par exemple, archives destinées au stockage de données à long terme et archives destinées à être utilisées dans les tendances, enregistrées pendant un bref laps de temps seulement.
  • Par ailleurs, compilation dans une archive de données utilisées conjointement.
    Par exemple, les données destinées à être utilisées dans une tendance sont enregistrées dans une archive dédiée à l'affichage dans une tendance. Ceci évite de devoir charger plusieurs capsules pour différentes courbes dans une tendance ; cela peut inclure les données qui n'ont aucune signification par rapport à la tendance.

Résolution d'impression et résolution de moniteur

Lors de l'utilisation de données dans le module Extended Trend, en particulier, la résolution du synoptique et la résolution d'impression jouent un rôle décisif. En effet, la résolution limite le nombre de valeurs par courbe pouvant être affichées de manière significative. Si la courbe de tendance est affichée dans un élément d'une largeur de 1000 pixels, au maximum 1000 valeurs par courbe peuvent être affichées.

Autres sujets abordés dans ce chapitre

Bonnes pratiques


Bonnes pratiques

Manuel -> Serveur d'archives -> Concept d'archivage -> Bonnes pratiques

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

La configuration d'archives doit d'abord prendre en compte les données nécessaires à une fin particulière durant une période déterminée. Pour cela, il est important d'optimiser la taille et le nombre d'archives. Des archives trop volumineuses peuvent exercer une charge importante sur les ordinateurs et consommer une grande quantité de mémoire, voire empêcher l'exécution du Runtime. Les types d'enregistrement et les durées de cycle prises en charge dépendent de l'automate et du driver.

D'autres informations concernant les configurations effectives sont disponibles dans ce chapitre.

Configuration pour le type d'enregistrement Suivant changement

Le type d'enregistrement Suivant changement enregistre chaque changement. Il peut générer 36 000 valeurs par seconde, avec un maximum de 10 valeurs. Si des périodes plus étendues doivent être affichées, les archives volumineuses doivent être lisibles dans le Runtime. Toutes les valeurs de toutes les variables sont toujours lues, même si une variable seulement est affichée. Le nombre maximum de valeurs devant être lues dans la mémoire pour le module Extended Trend, la maintenance d'archives, les listes AML et CEL et les tables peut être modifié. Par défaut, la taille est limitée à 1 Go. La taille peut être modifiée dans le fichier zenon6.ini et dans l'entrée SPEICHER=.

Recommandations :

  • Identifiez les variables générant le plus grand nombre d'entrées.
  • Configurez hysteresis pour des valeurs qui changent rapidement (tels que des valeurs fluctuants). Le nombre d'entrées est ainsi réduit.
  • Modifiez la valeur pour l'entrée SPEICHER= en fonction de votre système.
  • Évaluez l'augmentation de la taille des fichiers d'archive sur un système de test avant la mise en œuvre du système en production.

Configuration de l'affichage dans une tendance

Les données pouvant être affichées dans une tendance sont également limitées par les restrictions du synoptique ou de l'impression. Si un diagramme de tendance s'étend sur plus de 1440 pixels, par exemple, un maximum de 1440 valeurs peut être affiché, en théorie. Si 5 pixels sont disponibles pour une valeur, ceci correspond à la valeur enregistrée toutes les cinq minutes pendant une période de 24 heures.

Recommandations :

  • Évaluez les données et les intervalles requis dans le Runtime.
  • Regroupez les variables affichées ensemble sous forme d'archive, au lieu de diviser les archives en fonction des variables.
  • Utilisez des archives résultantes.
  • Modifiez les cycles d'archivage et les archives résultantes en fonction des périodes à afficher.

    Moins la quantité de données redondantes devant être importées et transférées sur le réseau est élevée, moins la contrainte exercée sur le Runtime est importante.

  • Pour les périodes plus longues, utilisez le zoom pour afficher les données provenant d'archives résultantes au lieu d'afficher toutes les données provenant d'une archive de base.
  • Indexez les fichiers de Runtime (propriété de projet Indexer les fichiers du Runtime).
  • Indexez les variables de lot (configuration des archives).
  • En présence de grandes quantités de données, désactivez la mise à jour automatique de l'affichage dans la tendance.

Configuration pour la création de rapports

Recommandations :

  • Utilisez uniquement le type d'enregistrement Suivant changement si ce dernier est absolument nécessaire.
    Notez que l'enregistrement de chaque changement peut générer de très grandes quantités de données.
  • Utilisez des archives avec enregistrement cyclique.
  • Modifiez les périodes d'enregistrement et les cycles d'archivage en fonction des périodes à afficher.


Configuration dans Editor

Manuel -> Serveur d'archives -> Configuration dans Editor

Les archives sont créées et gérées dans le module Serveur d'archives d'Editor.

Autres sujets abordés dans ce chapitre

Vue de détail

Barre d'outils et menus contextuels

Créer une nouvelle archive

Modifier l'archive

Archives résultantes

Ajout et suppression de variables

Archivage par lot

Créer un synoptique de type Maintenance d'archive


Vue de détail

Manuel -> Serveur d'archives -> Configuration dans Editor -> Vue de détail

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Les archives sont présentées dans une table, dans la vue de détail. Les colonnes de cette table sont fixes, et ne peuvent pas être configurées individuellement. La largeur des colonnes peut être modifiée avec la souris. Une recherche incrémentielle est possible dans les colonnes.

Colonnes de la table

Les informations suivantes sont affichées pour chaque variable :

  • Archives
  • Démarrer, Arrêter
  • Début
  • Type d'enregistrement
  • Transférer
  • Variable de lot
  • Nombre
  • Taille estimée

Recherche dans la table

Pour effectuer une recherche dans la table :

  1. Cliquez sur l'en-tête de colonne souhaité.
  2. Un symbole représentant des jumelles indique qu'une recherche est en cours dans cette colonne.
  3. Saisissez l'expression de recherche souhaitée.
  4. La première entrée appropriée est affichée en surbrillance.


Barre d'outils et menus contextuels

Manuel -> Serveur d'archives -> Configuration dans Editor -> Barre d'outils et menus contextuels

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Arborescence du projet

Menu contextuel Serveur d'archives

Élément de menu | Action
Nouvelle archive | Ouvre l'assistant de création d'une nouvelle archive.
Exporter tout (XML) | Exporte toutes les archives sous forme de fichier XML.
Importer XML | Importe des fichiers XML.
Profil Editor | Ouvre la liste déroulante contenant les profils Editor prédéfinis.
Aide | Ouvre l'aide en ligne.

Vue de détail

Barre d'outils Serveur d'archives et archives

Paramètre | Description
Nouvelle archive | Ouvre l'assistant de création d'archives.
Nouvelle archive résultante | Ouvre l'assistant de création d'archives résultantes.
Modifier l'archive | Ouvre la boîte de dialogue d'édition de l'archive sélectionnée.
Ajouter variable | Ouvre la boîte de dialogue de sélection de variables.
Supprimer une variable | Supprime une variable de la liste sans confirmation.
Retour à l'élément de départ | Jumps back to the initial position in the zenon Editor. Remarque : This context menu entry is only available if a jump to the current position has been made from another position with the Linked elements context menu entry.
Supprimer | Supprime l'archive sélectionnée.
Exporter la sélection en XML... | Exporte les archives sélectionnées sous forme de fichier XML.
Importer XML | Importe des fichiers XML.
Renommer | Permet de modifier le nom de l'archive.
Aide | Ouvre l'aide en ligne.

Menu contextuel Serveur d'archives

Élément de menu | Action
Nouvelle archive | Ouvre l'assistant de création d'une nouvelle archive.
Enregistrer | Enregistre les archives modifiées.
Exporter tout (XML) | Exporte toutes les archives sous forme de fichier XML.
Importer XML | Importe des fichiers XML.
Aide | Ouvre l'aide en ligne.

Menu contextuel Archive

Élément de menu | Action
Modifier l'archive | Ouvre la boîte de dialogue d'édition de l'archive sélectionnée.
Ajouter variable | Ouvre la boîte de dialogue de sélection de variables.
Nouvelle archive résultante | Ouvre l'assistant de création d'archives résultantes.
Créer un modèle | Ouvre la boîte de dialogue de création d'un modèle d'archive résultante.
Importer un modèle | Ouvre la boîte de dialogue d'importation d'un modèle d'archive résultante.
Supprimer | Supprime l'archive sélectionnée.
Exporter la sélection en XML... | Exporte les archives sélectionnées sous forme de fichier XML.
Importer XML | Importe des fichiers XML.
Renommer | Permet de modifier le nom de l'archive.
Aide | Ouvre l'aide en ligne.

Menu contextuel Archive résultante

Élément de menu | Action
Modifier l'archive | Ouvre la boîte de dialogue d'édition de l'archive sélectionnée.
Ajouter variable | Ouvre la boîte de dialogue de sélection de variables.
Nouvelle archive résultante | Ouvre l'assistant de création d'archives résultantes.
Supprimer | Supprime l'archive sélectionnée.
Exporter la sélection en XML... | Exporte les archives sélectionnées sous forme de fichier XML.
Importer XML | Importe des fichiers XML.
Renommer | Permet de modifier le nom de l'archive.
Aide | Ouvre l'aide en ligne.

Menu contextuel Liste de variables

Élément de menu | Action
Ajouter variable | Ouvre la boîte de dialogue de sélection de variables.
Aide | Ouvre l'aide en ligne.

Menu contextuel Variable

Élément de menu | Action
Supprimer une variable | Supprime une variable de la liste. Attention : aucune demande de confirmation n'est affichée avant la suppression.
Aide | Ouvre l'aide en ligne.


Créer une nouvelle archive

Manuel -> Serveur d'archives -> Configuration dans Editor -> Créer une nouvelle archive

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Vous pouvez créer des archives manuellement ou à l'aide d'un assistant. Pour pouvoir démarrer l'assistant, vous devez au préalable activer l'option Utiliser les assistants dans le menu Options/Paramètres d'Editor.

Pour créer une nouvelle archive avec l'assistant :

  1. Assurez-vous d'avoir activé l'option Utiliser les assistants.
  2. Accédez au nœud Serveur d'archives.
  3. Sélectionnez Nouvelle archive dans le menu contextuel ou la barre d'outils.
  4. L'assistant démarre. Suivez les étapes définies de l'assistant.

Pour créer une nouvelle archive individuellement :

  1. Accédez au nœud Serveur d'archives.
  2. Sélectionnez Nouvelle archive dans le menu contextuel ou la barre d'outils.
  3. La boîte de dialogue Nouvelle archive s'affiche :
    Si l'assistant démarre, fermez-le en cliquant sur le bouton Annuler.
  4. Configurez l'archive dans la boîte de dialogue Éditer l'archive.

Autres sujets abordés dans ce chapitre

Assistant


Assistant

Manuel -> Serveur d'archives -> Configuration dans Editor -> Créer une nouvelle archive -> Assistant

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

L'assistant vous aide pour effectuer la configuration de base d'une archive. L'assistant vous aide lors de la création d'archives et d'archives résultantes. Il permet de saisir le nom et le nom court de l'archive, mais également de sélectionner les variables à archiver et de configurer et modifier les paramètres d'enregistrement des valeurs de variables.

Paramètres | Description
Suivant | Accède à la page suivante de l'assistant.
Retour | Revient à la page précédente de l'assistant.
Annuler | Tout le paramétrage effectué est perdu. Aucune archive n'est créée.
Terminer | Uniquement disponible à la fin de l'assistant. Termine l'assistant. La nouvelle archive est ajoutée dans l'arbre des archives (dans la vue de détail du gestionnaire de projet).

Si vous voulez configurer l'archive sans l'aide de l'assistant, cliquez sur Annuler.

Si l'assistant ne s'affiche pas :

  1. Ouvrez la liste déroulante Options dans Editor
  2. Sélectionnez l'option Paramètres
  3. Sur l'onglet Paramètre, activez l'option Utiliser l'assistant

Configuration avec l'assistant

  1. Cliquez sur le bouton Suivant après le démarrage de l'assistant. Pour démarrer la configuration, spécifiez un nom et une description courte.
  2. Saisissez une description courte (2 caractères minimum requis) et un nom.

    • Nom court : 2 caractères. Peut uniquement contenir des caractères alphanumériques : toutes les lettres (A-Z et a-z) et les chiffres de 0 à 9 ; les caractères spéciaux sont interdits.
      Remarque : L'identifiant ne peut pas être modifié par la suite.
    • Nom : saisissez un nom valide pour l'archive.
      Les caractères suivants ne sont pas autorisés : / \ : * ? < > ! | " ' # % @
      Le nom peut être modifié par la suite.
  3. Cliquez sur Suivant.
  4. Configurez la sélection de variables.

    1. Cliquez sur le bouton Sélection de variables.
    2. La boîte de dialogue de sélection des variables à archiver s'affiche à l'écran.
    3. Sélectionnez les variables de votre choix.
  5. Cliquez sur Suivant.

    Sélectionnez le modèle à utiliser pour la structure d'agrégation souhaitée.

    Cliquez sur le bouton Sélection de modèle pour ouvrir la boîte de dialogue de sélection d'un modèle.

    • Les modèles peuvent uniquement être importés pour les archives de base utilisant la fonction d'analyse cyclique. Pour l'instant, ces archives ne peuvent pas comporter d'archives agrégées.
    • La boîte de dialogue s'ouvre uniquement si un modèle au moins est présent.

    Attention : Aucune vérification n'est effectuée pour déterminer si le modèle contient une structure d'agrégation valide.

    Séquence suivante de l'assistant :

    • Sélectionnez un modèle. L'assistant est maintenant terminé. Cliquez sur le bouton Terminer.
    • Aucun modèle sélectionné : cliquez sur Suivant pour configurer individuellement le type d'enregistrement.
  6. Configurez le type d'enregistrement, si vous n'avez pas sélectionné un modèle à l'étape précédente.

    Sélection du type d'enregistrement dans la liste déroulante.

  7. Cliquez sur Suivant.

    Configurez les nouvelles archives résultantes si vous le souhaitez.

    1. Cliquez sur Nouveau pour créer une nouvelle archive résultante, ou cliquez sur Édition pour modifier le nom d'une archive existante.
    2. Associez l'archive résultante aux types d'agrégation souhaités. Ceux-ci sont systématiquement appliqués à toutes les archives résultantes affichées dans cette boîte de dialogue.
    3. Pour supprimer une archive résultante, cliquez sur Supprimer.
  8. Fermez l'assistant en cliquant sur le bouton Terminer.

Types d'enregistrement disponibles

Paramètres

Description

Analyse cyclique

Configurez le Temps de cycle.

Suivant changement

Configurez les éléments suivants :

  • Enregistrement possible de l'image de procédé
  • Valeur d'initialisation, si nécessaire

Enregistrement événementiel

Configurez les éléments suivants :

  • Spécifiez une variable d'événement en cliquant sur le bouton ....
  • Informations d'horodatage
  • Valeur d'initialisation, si nécessaire

Pour plus de détails, reportez-vous au chapitre Type d'enregistrement.

info Informations

Lors de la création d'une nouvelle archive, la boîte de dialogue de sélection du type d'enregistrement est affichée. Elle n'est pas affichée lors de la création d'une archive résultante, car cette dernière effectue des enregistrements systématiques en cas de changement.


Modifier l'archive

Manuel -> Serveur d'archives -> Configuration dans Editor -> Modifier l'archive

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Pour éditer une archive :

  1. Sélectionnez l'archive de votre choix.
  2. Sélectionnez Éditer archive dans le menu contextuel ou la barre d'outils, ou appuyez sur la touche Entrée.
  3. La boîte de dialogue de configuration de l'archive s'affiche.

Remarque : Cette boîte de dialogue s'affiche si une nouvelle archive est créée et l'assistant est désactivé.

Autres sujets abordés dans ce chapitre

Propriétés

Runtime

Type d'enregistrement

Enregistrer

Options

Exemple


Propriétés

Manuel -> Serveur d'archives -> Configuration dans Editor -> Modifier l'archive -> Propriétés

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Sur cet onglet, vous définissez l'identifiant et sélectionnez les variables, les lots et les modèles d'équipement.

Remarque : Des informations supplémentaires concernant la configuration des propriétés des archives résultantes sont disponibles au chapitre Archives résultantes.

Identifiant

Paramètres

Description

Identifiant

Nom et identifiant de l'archive.

Identifiant

Identifiant unique à deux chiffres de l'archive. Cet identifiant est intégré au nom du fichier ARX lors de l'enregistrement des données de l'archive et durant l'attribution automatique du nom lors de l'exportation. L'attribution des fichiers est ainsi garantie.

Attention : L'identifiant peut uniquement être défini lors de la création d'une nouvelle archive. Il ne peut pas être modifié par la suite.
Remarque : Seuls les caractères alphanumériques (A-Z et 0-9) sont autorisés pour l'identifiant. Ceci permet d'éviter tout problème lors de l'exportation ou du transfert de l'archive.

Nom de l'archive

Nom librement configurable de l'archive.

Remarque : Les caractères suivants ne sont pas autorisés : / \ : * ? < > ! | " ' # % @

Sélection de variables

Affichage et configuration des variables devant être prises en compte dans cette archive.

  • Ajout de variables.
    Sélectionnez Ajouter une variable dans le menu contextuel. Vous pouvez ajouter à l'archive des variables provenant de tous les projets présents dans le même espace de travail. Assurez-vous que les variables issues d'autres projets sont également disponibles dans le Runtime.
  • Suppression de variables :
    Sélectionnez une variable, puis sélectionnez l'option Supprimer la variable dans le menu contextuel.

Remarque : La fonction de redondance transparente est uniquement prise en charge pour les variables issues du même projet que l'archive.

Lots

Paramètres

Description

Lots

Configuration des lots. Reportez-vous également au chapitre Archivage de lots.

Variable de lot

Sélection des variables de lot. Il doit s'agir de variables de type String (Chaîne). La valeur de la variable est utilisée comme nom de lot. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de variables.

Remarque : La valeur de la variable est utilisée comme nom de lot. Lorsque l'archive est ouverte, la valeur de la variable (et donc du lot) peut changer. Veuillez en tenir compte lors du filtrage. Lors de la clôture de l'archive, la valeur de la variable est utilisée comme nom de lot final.

Indexer les lots

Active : Les valeurs des lots de cette archive sont automatiquement indexées. Cette option permet d'accéder plus rapidement aux valeurs de lots.

Il est également possible d'indexer les lots dans le Runtime, à l'aide de la fonction Indexer les archives.

Modèles d'équipements

Paramètres | Description
Modèles d'équipements | Configuration des modèles d'équipements.
Equipment Groups (Groupes d'équipements) | Sélection d'un groupe d'équipements pour l'archive. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue permettant de sélectionner un groupe d'équipements.

Fermer boîte de dialogue

Options | Description :
OK | Applique toutes les modifications effectuées sur tous les onglets, puis ferme la boîte de dialogue.
Annuler | Annule toutes les modifications effectuées sur tous les onglets, puis ferme la boîte de dialogue.
Aide | Ouvre l'aide en ligne.

info Informations

Les archives peuvent contenir des variables issues de sous-projets. Les variables issues de sous-projets peuvent être identifiées grâce au nom de la variable. Celui-ci contient le nom du projet.

Les variables issues de sous-projets peuvent également être utilisées pour les variables de lot (archivage de lots) et la variable d'événement.


Runtime

Manuel -> Serveur d'archives -> Configuration dans Editor -> Modifier l'archive -> Runtime

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Sur cet onglet, vous définissez à quel moment et de quelle manière les archives sont démarrées et arrêtées, ainsi que les fonctions exécutées, outre le démarrage ou l'arrêt de l'archive.

Démarrage et arrêt

Paramètre

Description

Démarrage et arrêt

Sélection du démarrage et de l'arrêt des archives dans le Runtime.

Au démarrage et à l'arrêt du Runtime

L'archive démarre et s'arrête automatiquement avec l'exécution du Runtime.

Dans ce cas, l'heure définie dans l'option Début de l'archivage est également prise en compte. Si cette heure se trouve dans le futur, aucun archivage n'est effectué tant que cette heure n'a pas été atteinte.

Attention : Si vous activez ce paramètre, l'archive ne doit pas être arrêtée à l'aide de fonctions. Cela peut provoquer un comportement indésirable dans le Runtime.

Défini par l'utilisateur (par exemple, par le biais de fonctions)

L'archive est démarrée et arrêtée par l'utilisateur. Il est, par exemple, possible d'utiliser les fonctions Archive : départ et Archive : arrêt.

Ces fonctions peuvent être déclenchées :

  • Manuellement, par l’utilisateur
  • Par des événements
  • Par des commandes temporisées

Attention : Ces fonctions ne correspondent pas à celles des paramètres de la commande Exécuter la fonction.

Archive de blocs de valeurs retriées (RDA)

L'archive est gérée par la fonction RDA.

Dans ce cas, les valeurs archivées sont lues dans le contrôleur, puis enregistrées dans une archive. Ce processus est activé par une variable de déclenchement.

Exécuter la fonction

Paramètre | Description
Exécuter la fonction | Sélection des fonctions devant être exécutées au démarrage et à l'arrêt de l'archive. Attention : Ces fonctions sont exécutées au démarrage et à l'arrêt. Toutefois, elles ne déclenchent pas le démarrage ou l'arrêt de l'archive. Les fonctions de démarrage et d'arrêt d'une archive sont configurées séparément dans le projet et sont liées à un bouton ou un événement.
Démarrage de l'archive | Sélection d'une fonction devant être exécutée au démarrage de l'archive.

Arrêt de l'archive

Paramètre | Description
Arrêt de l'archive | Sélection d'une fonction devant être exécutée à l'arrêt de l'archive.

État de l'archive

Paramètre

Description

Variable d'état

Variable servant à représenter l'état de l'archive :

  • true ou 1:
    l'archive est en cours d'exécution
  • false ou 0:
    l'archive n'est pas en cours d'exécution

Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de variables. La variable liée doit être de type BOOL.

Les considérations suivantes s'appliquent à la valeur de la variable d'état :

  • Pour les archives démarrées avec le Runtime, la valeur initiale est true (au démarrage aussi).
  • Les archives démarrées avec une fonction ont la valeur initiale false et passent de cet état à true après le démarrage réussi.
  • Avec la commutation de la redondance, l'état est conservé sur le serveur de secours, c'est-à-dire que les archives en cours d'exécution sont définies sur true et les archives arrêtées sur false.
  • Avec l'archivage cyclique, le variable obtient brièvement la valeur false au cours d'un changement de cycle.

Conseil : liez un driver de variable interne en tant que variable d'état.

Début de l'archivage

Paramètre

Description

Début de l'archivage

Configuration de l'heure de début.

Date/heure

Définition de l'heure de début du cycle d'analyse et d'enregistrement.

L'heure définie détermine l'heure du premier enregistrement des fichiers devant être archivés. Elle est utilisée comme base de calcul des cycles d'enregistrement définis.

Exemple : Vous configurez une archive devant être enregistrée chaque semaine. Ce cycle d'archivage débute à l'heure de début définie. Si celle-ci est définie un mardi, votre archive hebdomadaire court du mardi au mardi.

Recommandations :

  • Laissez l'heure de début sur 1. 1. à 00:00. Ceci garantit que les archives mensuelles et annuelles démarrent toujours le premier jour de chaque mois ou année.
  • Le début du cycle d'analyse et d'enregistrement doit contenir une heure arrondie et une date passées, pour que l'enregistrement des données débute automatiquement au prochain démarrage du Runtime.

Fermer boîte de dialogue

Options | Description :
OK | Applique toutes les modifications effectuées sur tous les onglets, puis ferme la boîte de dialogue.
Annuler | Annule toutes les modifications effectuées sur tous les onglets, puis ferme la boîte de dialogue.
Aide | Ouvre l'aide en ligne.


Type d'enregistrement

Manuel -> Serveur d'archives -> Configuration dans Editor -> Modifier l'archive -> Type d'enregistrement

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Sur cet onglet, vous définissez de quelle manière les données sont enregistrées dans les archives.

Cyclique

Paramètres

Description

Cyclique

Paramètres d'enregistrement cyclique.

Le cycle peut être sélectionné librement. Toutefois, il est étroitement lié au cycle d'archivage.

Conseil : Le cycle d'archivage doit être un multiple du cycle d'analyse. Dans le cas contraire, l'analyse et l'enregistrement des archives risquent de se chevaucher. Ceci peut entraîner des imprécisions dans les archives résultantes.

Remarque : La valeur des millisecondes est automatiquement définie sur 0 dans les informations d'horodatage.

Analyse cyclique

Active : Les données des archives sont enregistrées de manière cyclique. Ensuite, définissez le temps de cycle.

Temps de cycle :

Définissez le temps de cycle (jours, heures, minutes et secondes) pendant lequel les valeurs doivent être écrites dans l'archive.

Tous les mois

L'acquisition des valeurs est exécutée à chaque changement de mois

Décalage

Définit le délai d'attente de l'archive après la demande des valeurs auprès du driver. L'offset est principalement nécessaire pour les drivers plus lents. Ce paramètre est important si une archive est fermée directement après la lecture de la dernière valeur.
Il n'a toutefois aucune incidence sur les informations d'horodatage des valeurs.

Remarque : Le décalage doit toujours être inférieur au temps de cycle !

Événementiel

Paramètres

Description

Événementiel

Paramètres de l'enregistrement événementiel.

Enregistrement événementiel

Active : Les données de l'archive sont enregistrées sur une base événementielle.

Variable de déclenchement

Sélection des variables devant déclencher la lecture des valeurs. La lecture est déclenchée par le front montant de la variable de déclenchement, de 0 à 1. Effectuez votre sélection en cliquant sur le bouton ....

Informations d'horodatage issues de

Configuration des informations d'horodatage. Les informations des éléments suivants peuvent être acceptées :

  • Variable de déclenchement
  • Variable de l'archive

Suivant changement

Paramètres

Description

Suivant changement

Paramètres de l'enregistrement suivant changement.

Conseil : Cette méthode ne doit pas être mise en œuvre pour des valeurs fluctuantes, car elle peut générer un nombre d'entrées exceptionnellement élevé.

Suivant changement

Active : Les variables sont uniquement écrites dans l'archive lorsque leurs valeurs changent de manière événementielle.

Recommandation : Définissez une plage de mesure pour Hystérésis pour éviter les valeurs qui changent rapidement (comme les valeurs fluctuantes). Ces fluctuations peuvent rapidement générer d'importantes quantités de données. Pour plus de détails, reportez-vous au chapitre Hystérésis du manuel Variables.

Enregistrer l'image du procédé au démarrage

Active : A la création d'un nouveau fichier d'archive, les valeurs actuelles des variables sont écrites dans l'archive.

Remarque : Doit être activée si un diagramme de Gantt est également utilisé pour afficher l'état actuel dans le module Extended Trend.

Enregistrer l'image du procédé à l'arrêt

Active : A la fermeture d'un fichier d'archive, les valeurs actuelles des variables sont écrites dans l'archive.

Déclenché / Événementiel

Paramètres

Description

Déclenché / Événementiel

Ignorer la valeur initiale

Si une variable est lue pour la première fois, une valeur d'initialisation peut être saisie. Ceci se produit par exemple au démarrage du Runtime ou lorsqu'un Serveur de secours est mis à niveau et devient un Serveur principal.

  • Active : La valeur d'initialisation n'est pas prise en compte dans l'archive.
  • Inactive : la valeur d'initialisation est prise en compte. Le démarrage et la commutation exécutés par le serveur sont indiqués.

Fermer boîte de dialogue

Options | Description :
OK | Applique toutes les modifications effectuées sur tous les onglets, puis ferme la boîte de dialogue.
Annuler | Annule toutes les modifications effectuées sur tous les onglets, puis ferme la boîte de dialogue.
Aide | Ouvre l'aide en ligne.


Enregistrer

Manuel -> Serveur d'archives -> Configuration dans Editor -> Modifier l'archive -> Enregistrer

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Sur cet onglet, vous définissez de quelle manière les archives sont enregistrées.

attention Attention

L'archive Alpha actuelle est supprimée en cas de modification du type d'enregistrement ou du cycle d'archivage. Une archive Alpha est le fichier d'archive en cours d'écriture par zenon.

Options d'enregistrement de la boîte de dialogue

Format d'enregistrement

Sélection du mode d'enregistrement des archives

Paramètre

Description

Base de données interne (*.arx)

Active : Les données sont disponibles pour modification et évaluation ultérieures dans une mémoire circulaire (FIFO). Les données sont initialement conservées dans le dossier suivant : [Chemin du projet]\[Nom de l'ordinateur]\[Nom du projet].
Elles sont déplacées vers le dossier d'exportation, puis transférées (FIFO).

dBase (*.dbf)

Active : Lors de la fermeture de l'archive, les données sont immédiatement transférées sous forme de fichier dBase (*.dbf).

Attention : Pour les archives transférées, les fonctions de révision d'archives, de création de fichiers journaux et de création de courbes ne sont plus possibles.

CSV (*.txt)

Active : Lors de la fermeture de l'archive, les données sont immédiatement transférées sous forme de fichier CSV (*.txt).

Attention : Pour les archives transférées, les fonctions de révision d'archives, de création de fichiers journaux et de création de courbes ne sont plus possibles.

Enregistrer au format Unicode

Active : Le fichier TXT est enregistré au format Unicode.

XML (*.xml)

Active : Lors de la fermeture de l'archive, les données sont immédiatement transférées sous forme de fichier *.xml.

Attention : Pour les archives transférées, les fonctions de révision d'archives, de création de fichiers journaux et de création de courbes ne sont plus possibles.

Remarque : La version Starter Edition du Serveur d'archives propose uniquement l'enregistrement dans la base de données interne (ARX).

Cycle d'archivage

Définit l'intervalle durant lequel sont créées les archives. Ce cycle possède un effet réciproque sur le type d'enregistrement dans le Runtime. Pour plus de détails, reportez-vous au chapitre Cycles dans le Runtime.

Paramètre

Description

Temps de cycle

Active : La longueur des archives est définie en jours, heures, minutes et secondes.

Cette option détermine la taille des fichiers et le nombre de fichiers d'archive, et définit le temps de cycle des archives résultantes.

Définissez les valeurs pour les éléments suivants :

  • Jours
  • Heures
  • Minutes
  • Secondes

Remarque : Ces valeurs affectent également les archives définies par l'utilisateur. Elles sont utilisées pour calculer le nombre d'archives à archiver.

Recommandation : Valeurs supérieures à 30 secondes.

Changement de mois

Active : L'archive est enregistrée à chaque changement de mois (archive mensuelle).

Changement d'année

Active : L'archive est enregistrée à chaque changement d'année (archive annuelle).

Remarque : Ce paramètre définit déjà le cycle des archives résultantes.

attention Attention

Démarrage et arrêt des archives par l'utilisateur :

Les informations contenues dans l'option Cycle n'affectent pas le démarrage et l'arrêt des archives, car ceux-ci sont exécutés par le biais de fonctions. Toutefois, cette influence le nombre de fichiers d'archives enregistrés. Les différentes tailles réelles des fichiers d'archive ne sont pas prises en compte.

Le nombre de fichiers d'archive à enregistrer est calculé comme suit :
Période de stockage/Durée de cycle.
Le transfert démarré ensuite. Ceci garantit que le transfert est effectué au moyen de l'archivage par l'utilisateur après un certain nombre de fichiers. Le nombre de fichiers à enregistrer est limité à 65 535. La configuration des paramètres Cycle d'archivage et Période de stockage tient automatiquement compte de cette limitation.

Exemple :

  • Période de stockage : 5 heures (= 300 minutes)
  • Cycle : 15 minutes

Résultat : 300/15 = 20 fichiers d'archive à stocker.

Transfert

Configuration du transfert d'archives. Les archives sont supprimées localement après transfert.

Paramètre

Description

Période de stockage

Définissez la période de stockage de l'archive avant son transfert.

Granularité

  • Heures
  • Jours
  • Mois
  • Années

Au maximum, 65 535 fichiers d'archive peuvent être stockés.

Attention : la période de stockage dépend directement du cycle d'archivage. Si le cycle d'archivage est modifié, les valeurs de la période de stockage sont modifiées au maximum.

Exemples :

  • Temps de cycle : Temps de cycle de 1 seconde
    Période de stockage maximum de 18 heures.
  • Temps de cycle de 1 minute
    Période de stockage maximum de 1092 heures ou 45 jours ou 1 mois.

Attention : Aucune archive n'est enregistrée si la valeur 0 est saisie. La seule archive existante est l'archive courante.

Transfert après la période de stockage

Configuration de la méthode de transfert.

Remarque : Le type de méthode de transfert affecte également l'affichage dans le module Extended Trend.

Pour plus d'informations à ce sujet, reportez-vous au chapitre Différences d'affichage associées aux méthodes de transfert dans le manuel Extended Trend.

Ne pas transférer (les archives sont supprimées)

Active : Les archives sont supprimées après expiration de la période de stockage.

Base de données interne (*.arx)

Active : Les archives sont transférées au format de base de données interne *.arx.

Si le nombre d'archives a atteint le nombre à conserver, les archives les plus anciennes sont transférées au format ARX. Ce fichier peut ultérieurement être importé dans zenon, où il peut être lu et écrit.

Base de données SQL
  • Active : Les archives sont transférées vers une base de données SQL. Par ex. : Microsoft SQL Server, Oracle, CRATE.IO et autres systèmes de base de données comportant une interface ODBC.
    Sélection d'une base de données : Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection et de configuration d'une base de données.

Contrairement aux archives au format dBase, ASCII ou XML, les archives transférées vers une base de données SQL sont automatiquement rechargées dès que nécessaire (par ex. pour le module Extended Trend).
Attention : Les archives transférées vers une base de données SQL peuvent être lues dans zenon, mais il n'est plus possible d'écrire des données dans celles-ci.

Remarque : Les bases de données peuvent également être transférées vers MS Azure Service Bus.

Vous trouverez des détails concernant le transfert vers les bases de données SQL au chapitre Transfert d'archives vers une base de données vers une base de données SQL, à la section Autres informations.

Créer la table

Cliquez sur ce bouton pour ouvrir la boîte de dialogue de création ou de mises à jour de tables dans la base de données SQL.

Utilisation de MS Azure Service Bus pour l'écriture

Active : L'écriture dans la table SQL n'est pas effectuée directement via la connexion OLE DB et la déclaration SQL INSERT, mais via MS Azure Service Bus.

Le nom de la connexion de MS Azure Service Bus doit être saisi dans le champ sous l'option correspondante.

Pour plus de détails, lisez la section Autres informations, au chapitre MS Azure Service Bus.

XML (*.xml)

Active : Les modèles sont transférés au format XML.

CSV (*.txt)

Active : Les archives sont transférées au format CSV, sous forme de fichier texte.

Exporter au format Unicode

Active : Cochez cette case pour enregistrer les fichiers TXT transférés au format Unicode.

dBase (*.dbf)

Active : Les archives sont transférées au format DBF.

Colonnes exportées lors du transfert au format CSV/dBase :

Les options de transfert dBase et CSV permettent également de transférer certains paramètres des variables archivées.

Saisissez les paramètres souhaités dans le champ de texte, dans l'ordre suivant :

  • V : Nom de variable
  • I : Identifiant de la variable
  • W : Valeur
  • S : État
  • D : Date
  • Z : Heure

Par défaut : DZVWS

Le chemin de l'emplacement de sauvegarde des fichiers transférés est configuré à l'aide de la propriété Général/Stockage fichier. Le transfert vers une base de données SQL n'est pas inclus ici. Le chemin est défini dans l'option Archives transférées (voir également le chapitre Dossier de projet). En outre, le chemin de sauvegarde des archives peut également être défini avec l'option Dossier de relecture des archives. Ces chemins peuvent également renvoyer au même emplacement d'enregistrement. Les fichiers de données des archives exportées peuvent ainsi être réimportés sans copie manuelle. Il est pertinent de spécifier des chemins différents si, par exemple, la réimportation est effectuée depuis un DVD et les données exportées sont uniquement gravées sur des DVD neufs à intervalles définis.

Remarque : Les archives RDA peuvent également être transférées. Le transfert est effectué immédiatement après l’archive est fermée.

Variable pour l'état de l'évacuation

Paramètre

Description

Variable pour l'état de l'évacuation

Variable pour la représentation de l'état du transfert d'une archive :

  • true ou 1:
    un problème est survenu avec le transfert.
  • false ou 0:
    le transfert se déroule sans erreurs.

Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de variables. La variable liée doit être de type BOOL.

Si le transfert d'une archive échoue, par exemple si le serveur SQL n'est pas accessible ou si le support de données n'est pas prêt pour l'écriture, la valeur de la variable d'état du transfert passe brièvement à true. Ce changement peut être évalué avec une matrice de réaction.

Conseil : liez un driver de variable interne en tant que variable d'état.

Fermer la boîte de dialogue

Paramètres | Description
OK | Applique toutes les modifications effectuées sur tous les onglets, puis ferme la boîte de dialogue.
Annuler | Annule toutes les modifications effectuées sur tous les onglets, puis ferme la boîte de dialogue.
Aide | Ouvre l'aide en ligne.

Paramètres d'exportation

Le caractère séparateur de colonnes pour l'exportation au format ASCII et les virgules décimales des fichiers TXT, DBF, XML et SQL peuvent être modifiées dans le fichier project.ini :

Section : [ARCHIV]

Entrées :

  • TRENNZEICHEN=
  • ARCHDIGITS=

Noms de fichiers

Les noms de fichier des archives devant être exportées sont définis comme ceci :

Paramètre | Description
XXAAMMJJhhmmss.xxx | Nom du fichier
XX | Description courte de l'archive
AA | Année (par exemple 14 pour 2014)
MM | Année (par exemple 03 pour 2005)
JJ | Jour
hh | Heures (UTC)
mm | Minute
ss | Secondes
xxx | Format de fichier


Options

Manuel -> Serveur d'archives -> Configuration dans Editor -> Modifier l'archive -> Options

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Sur cet onglet, vous définissez les critères de création d'archives résultantes. Pour cela, vous pouvez configurer des filtres exclusifs et inclusifs pour différents bits d'état.

Calculs dans l'archive résultante

Paramètres

Description

Calculs dans l'archive résultante

Accepter les valeurs dans le calcul d'archives résultantes uniquement si le filtre d'état suivant est valide

Active : Les bits d'état activés sont pris en compte pour le calcul des valeurs des archives résultantes.

Les états supplémentaires sont :

  • Affichés dans l'éditeur d'archives
  • Affichés dans le rapport et peuvent également y être définis

Pour la définition de l'état, voir le chapitre Gestion des états.

Chaque bit d'état peut avoir l'un de 5 états possibles :

  • Vide : le bit n'est pas évalué
  • 0 vert : le bit est pris en compte si la valeur est 0.
  • 1 vert : le bit est pris en compte si la valeur est 1.
  • 0 rouge : le bit n'est pas pris en compte si la valeur est 0.
  • 1 rouge : le bit n'est pas pris en compte si la valeur est 1.

Remarque : si la case à cocher est activée, au moins un bit d'état doit être activé.

Configurer les informations d'horodatage des archives résultantes

Paramètres | Description
Configurer les informations d'horodatage des archives résultantes |
Horodatage de la valeur minimum/maximum | Active : Les informations d'horodatage de la valeur minimum/maximum trouvée sont utilisées comme informations d'horodatage.
Informations d'horodatage du calcul | Active : Les informations d'horodatage du calcul sont utilisées comme informations d'horodatage.

Archives de remplacement

Paramètres

Description

Archives de remplacement

Créer fichiers pour archives manquantes

Comportement si le Runtime n'est pas actif :

  • Active : les fichiers d'archive manquants sont créés lors du prochain démarrage du Runtime.
    Remarque : Pour cela, l'option d'enregistrement cyclique doit être sélectionnée.
  • Inactive : seul le cycle actuel est finalisé.

Fermer boîte de dialogue

Options | Description :
OK | Applique toutes les modifications effectuées sur tous les onglets, puis ferme la boîte de dialogue.
Annuler | Annule toutes les modifications effectuées sur tous les onglets, puis ferme la boîte de dialogue.
Aide | Ouvre l'aide en ligne.

Création d'un filtre d'état

Cochez la case adjacente à chaque état affiché pour déterminer, pour chaque valeur de l'archive, si elle doit être prise en compte dans l'archive résultante.

Example Exemple

Dans l'archive résultante, seules les valeurs pour lesquelles le bit NORM est défini et le bit INVALID n'est pas défini sont prises en compte.

Pour cela, vous définissez un 1 vert pour le bit NORM et un 1 rouge pour le bit INVALID. Les cases à cocher de tous les autres bits restent grisées.

Vous pouvez inclure ou exclure des bits définis ou non définis de manière explicite.

info Informations

Tous les bits d'état définis durant l'illustration ne sont pas visualisés. Les bits non visualisés sont les suivants :

  • T_EXTERN (bit d'état 21)
  • T_INTERN (bit d'état 22)
  • INFO (bit d'état 26)
  • RES28 (bit d'état 28)
  • RES31 (bit d'état 31)
  • WR_ACK (bit d'état 40)
  • WR_SUC (bit d'état 41)
  • COT0 (bit d'état 32) à COT5 (bit d'état 37)
  • T_STD (bit d'état 30)

Les bits d'état non visualisés sont les suivants :

  • Non enregistré sous forme de fichier TXT ou écrit dans un fichier XML
  • N'apparaît pas lors de l'impression
  • Pas affiché dans le module Recipe Group Manager

Vous trouverez un aperçu de tous les bits d'état au chapitre Bits d'état.


Exemple

Manuel -> Serveur d'archives -> Configuration dans Editor -> Modifier l'archive -> Exemple

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Les heures de début et de fin d'un fichier d'archive, ainsi que les heures d'ajout des valeurs des variables au fichier d'archive, sont calculées à partir des options des onglets suivants :

  • Runtime : Début de l'archivage
  • Type d'enregistrement : Analyse cyclique
  • Enregistrer : Cycle d'archivage

Le calcul de l'heure d'ajout des valeurs des variables au fichier d'archive est redémarré pour chaque fichier d'archive.

attention Attention

Notez la différence entre les paramètres suivants :

  • Le cycle d'analyse et d'enregistrement (SSC) et
  • Le temps de cycle (CT)

Ces paramètres ne doivent pas être confondus !

Exemple

  • Identification : XX
  • Début de l'archivage : 01.01.2013, 00:00:00
  • Analyse cyclique : 13 secondes (00:00:13)
  • Cycle d'archivage : 1 minute (00:01:00)

Résultat :

Date | Heure | Fichier d'archive
07.12.2013 | 03:08:13 | xx80131207020900.arx
07.12.2013 | 03:08:26 | xx80131207020900.arx
07.12.2013 | 03:08:39 | xx80131207020900.arx
07.12.2013 | 03:08:52 | xx80131207020900.arx
07.12.2013 | 03:09:13 | xx80131207021000.arx
07.12.2013 | 03:09:26 | xx80131207021000.arx
07.12.2013 | 03:09:39 | xx80131207021000.arx
07.12.2013 | 03:09:52 | xx80131207021000.arx
  • Chaque fichier d'archive contient des données pour une minute.
  • L'enregistrement des données pour chaque fichier d'archive début à hh:mm:13.

Détermination de l'heure de la première valeur (DTV)

L'heure de la première valeur (DTV) est déterminée en arrondissant les heures des cycles de contrôle et d'enregistrement au plus près de la durée de cycle. Dans ce cas de figure, tenez compte de ceci :

  • L'arrondissement du cycle d'analyse et d'enregistrement au premier temps de cycle est effectué selon le modèle suivant :
    • Heures avec heures
    • Minutes avec minutes
    • Secondes avec secondes

    Ceci signifie : Si l'heure (H:M:S) du cycle d'enregistrement et d'archivage à arrondir est inférieure au temps de cycle, ce dernier est toujours égal à 0.

  • Si la durée de cycle est d'un jour, le cycle d'enregistrement et de sauvegarde est toujours considéré comme étant 00:00 - l'enregistrement démarre à minuit.
  • Pour un temps de cycle mensuel, l'enregistrement a toujours lieu le premier jour du mois, à 00:00:00.

Quelques exemples :

  • SSC : Cycle d'analyse et d'enregistrement
  • ASZr : Cycle d'analyse et de sauvegarde arrondis :
  • AZ : Temps de cycle
  • EZW : Heure de la première valeur
SSC | AZ -> | EZW; | ASZr + AZ = | EZW
XX:XX:XX | 1j 00:00:00 | 00:00:00; | 00:00:00 + 00:00:00 | 00:00.00
00:01:00 | 0j 23:59:00 | 23:59:00; | 00:00:00 + 23:59:00 | 23:59:00
00:30:00 | 0j 00:30:00 | 01:00:00; | 00:30:00 + 00:30:00 | 01:00:00
00:30:00 | 0j 00:29:00 | 00:58:00; | 00:29:00 + 00:29:00 | 00:58:00
00:30:00 | 0j 00:05:00 | 00:35:00; | 00:30:00 + 00:05:00 | 00:35:00
00:29:00 | 0j 00:05:00 | 00:30:00; | 00:25:00 + 00:05:00 | 00:30:00
00:00:00 | 0j 00:00:00 | 00:30:00; | 00:00:00 + 2j:00:00 | 3. 00:00:00


Archives résultantes

Manuel -> Serveur d'archives -> Configuration dans Editor -> Archives résultantes

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Les archives résultantes sont toujours liées à une archive de base, dont elles affichent les données sous forme compressée. Dans zenon, les archives résultantes se comportent comme n'importe quelle autre archive. Vous pouvez effectuer les opérations suivantes sur des archives résultantes :

  • Les modifier dans le Runtime, avec un synoptique Maintenance d'archive
  • Les inclure dans des rapports et des tendances
  • Les transférer

Les méthodes de calcul suivantes sont disponibles pour la compression des données :

  • Somme
  • Moyenne
  • Minimum
  • Maximum

L'utilisation d'archives résultantes est essentiellement recommandée pour les grandes quantités de données. Pour comparer des intervalles de temps tels que des semaines, des mois ou des années, les valeurs moyennes ou les sommes suffisent fréquemment. Les données brutes peuvent ainsi être préparées de manière claire, et la quantité de données peut être réduite.

Création d'une archive résultante

Pour créer une archive résultante :

  1. Dans la vue de détail, sélectionnez l'archive à agréger :
  2. Sélectionnez Nouvelle archive résultante dans le menu contextuel ou la barre d'outils.
  3. S'il a été activé dans les paramètres, l'assistant démarre.
    (Pour pouvoir démarrer l'assistant, vous devez au préalable activer l'option Utiliser l'assistant dans le menu Outils/Paramètres d'Editor.)
  4. Veuillez attribuer un nom !

  5. Sélectionnez la variable et la méthode d'agrégation.

    Cliquez sur le bouton Sélection de variables pour ouvrir la boîte de dialogue de sélection de variables et de méthode d'agrégation.

    Les archives résultantes sont également enregistrées suivant changement. Le cycle d'analyse de l'archive résultante est défini par l'intermédiaire du cycle d'archivage de l'archive de base correspondante. Les valeurs sélectionnées pour l'archive résultante sont toujours calculées si une archive de base est fermée et enregistrée. zenon identifie la fermeture de l'archive de base comme un changement de valeur et déclenche les calculs pour l'archive résultante.

Autres sujets abordés dans ce chapitre

Sélection de variables et d'une méthode d'agrégation

Édition d'archives résultantes

Modèles d'archives résultantes


Sélection de variables et d'une méthode d'agrégation

Manuel -> Serveur d'archives -> Configuration dans Editor -> Archives résultantes -> Sélection de variables et d'une méthode d'agrégation

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Dans la boîte de dialogue de sélection de variables, les variables à agréger et la méthode d'agrégation sont sélectionnées.

Archives disponibles

Paramètres | Description
Archives disponibles | Dans la liste de variables, sélectionnez les variables qui doivent être prises en compte dans l'archive résultante. Sélection multiple avec Ctrl ou Maj..
Somme | Active : Les valeurs des variables sélectionnées sont ajoutées en fonction du cycle d'archivage.
Moyenne | Active : la valeur moyenne des variables sélectionnées est générée.
Minimum | Active : la valeur minimum par variable sélectionnée est déterminée.
Maximum | Active : la valeur maximum par variable sélectionnée est déterminée.

Fermer boîte de dialogue

Options | Description :
OK | Applique toutes les modifications effectuées sur tous les onglets, puis ferme la boîte de dialogue.
Annuler | Annule toutes les modifications effectuées sur tous les onglets, puis ferme la boîte de dialogue.
Aide | Ouvre l'aide en ligne.

Modification des informations d'horodatage d'une valeur moyenne

Les informations d'horodatage d'une archive résultante correspondent à l'heure de fermeture du fichier ARX.
Ceci aboutit à la situation suivante :

  • Les valeurs d'un jour, X, sont enregistrées dans une archive. L'heure de début est donc 00:00, l'heure d'archivage est 24:00.
  • L'archive résultante de cette journée, X, possède une valeur moyenne et reçoit les informations d'horodatage 00:00:00 le jour X + 1. (Les valeurs minimum et maximum peuvent comporter les mêmes informations d'horodatage originales ; dans ce cas, nous supposons qu'il s'agit des informations originales.)
  • Si le filtrage pour le jour X, 00:00:00, jusqu'au jour X + 1, 00:00:00 est effectué dans l'archive résultante, vous obtenez les valeurs minimum et maximum avec les informations d'horodatage originales pour le jour X.
  • Vous obtenez la valeur moyenne pour le jour X-1 (informations d'horodatage : jour X, 00:00:00). La valeur pour le jour X (dans le fichier, les informations d'horodatage du jour X + 1, 00:00:00) est attendue.
  • Les valeurs minimum et maximum ont ainsi des informations d'horodatage dans la période sélectionnée ; la valeur moyenne comporte des informations d'horodatage en dehors de cette période de temps.

Solution

Pour recevoir des informations d'horodatage correspondantes, définissez les informations d'horodatage pour la valeur moyenne sur une valeur inférieure d'une seconde. Pour cela, dans le fichier project.ini, dans la section [ARCHIV], définissez l'entrée ZEIT_AUTOMATISCH= sur 1.

L'heure de l'archive résultante est ainsi automatiquement définie sur une seconde avant l'enregistrement. Jour X+1, 00:00:00 devient Jour X, 23:59:00.


Édition d'archives résultantes

Manuel -> Serveur d'archives -> Configuration dans Editor -> Archives résultantes -> Édition d'archives résultantes

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

L'édition d'archives résultantes diffère principalement de l'édition d'archives de base au regard des propriétés. Pour les archives résultantes, des variables sont attribuées aux méthodes de calcul.

Identifiant

Paramètre

Description

Identifiant

Nom et identifiant de l'archive.

Identifiant

Identifiant unique à deux chiffres de l'archive. Utilisé pour l'attribution automatique de nom avec les fonctions d'exportation.

Attention : L'identifiant peut uniquement être défini lors de la création d'une nouvelle archive de base. Il ne peut pas être modifié ultérieurement.

Nom de l'archive

Nom librement configurable de l'archive.

Remarque : Les caractères suivants ne sont pas autorisés : / \ : * ? < > ! | " ' # % @

Sélection de variables

Paramètre

Description

Sélection des variables

Sélectionnez la méthode de calcul dans l'archive et ajoutez-lui des variables ou supprimez-en les variables devant être prises en compte dans l'archive résultante. Sélection multiple avec Ctrl ou Maj..

  • Somme : les valeurs des variables associées sont ajoutées en fonction du cycle d'enregistrement.
  • Moyenne : la valeur moyenne des valeurs des variables associées est générée.
  • Minimum : la valeur minimum par variable associée est déterminée.
  • Maximum : la valeur maximum par variable associée est déterminée.

Ajout ou suppression de variables :

  • Ajout de variables.
    Sélectionnez Ajouter une variable dans le menu contextuel. Vous pouvez ajouter des variables depuis l'archive de base.
  • Suppression de variables :
    Sélectionnez une variable, puis sélectionnez l'option Supprimer la variable dans le menu contextuel.

Lots

Paramètre

Description

Lots

Configuration des lots. (Reportez-vous également au chapitre Sélection de lots.)

Variable de lot

Sélection des variables de lot. Il doit s'agir de variables de type String (Chaîne). La valeur de la variable est utilisée comme nom de lot. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de variables.

Remarque : La valeur de la variable est utilisée comme nom de lot. Lorsque l'archive est ouverte, la valeur de la variable (et donc du lot) peut changer. Veuillez en tenir compte lors du filtrage. Lors de la clôture de l'archive, la valeur de la variable est utilisée comme nom de lot final.

Indexer les lots

Active : Les valeurs des lots de cette archive sont automatiquement indexées. Cette option permet d'accéder plus rapidement aux valeurs de lots.

Modèles d'équipements

Paramètre | Description
Modèles d'équipements | Configuration des modèles d'équipements.
Equipment Groups (Groupes d'équipements) | Sélection d'un groupe d'équipements pour l'archive. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue permettant de sélectionner un groupe d'équipements.

Fermer boîte de dialogue

Options | Description :
OK | Applique toutes les modifications effectuées sur tous les onglets, puis ferme la boîte de dialogue.
Annuler | Annule toutes les modifications effectuées sur tous les onglets, puis ferme la boîte de dialogue.
Aide | Ouvre l'aide en ligne.

Remarque : La configuration des autres onglets se déroule de la même manière que lors de l'édition de l'archive.

Limitations

  • Les archives résultantes sont automatiquement définies sur Suivant changement par zenon. Le mode d'enregistrement ne peut pas être modifié.
  • Le cycle d'archivage dépend de la longueur de l'archive de base associée. Les valeurs des variables sont toujours enregistrées dans l'archive résultante chaque fois que l'archive de base est arrêtée.
  • Toutes les entrées de l'archive de base sont utilisées par défaut pour le calcul (c'est-à-dire les entrées INVALID et les entrées manuelles également).
    Exception : dans l'archive de base, la propriété Accepter les valeurs dans le calcul d'archives résultantes uniquement si le filtre d'état suivant est valide dans les options est activée et configurée.


Modèles d'archives résultantes

Manuel -> Serveur d'archives -> Configuration dans Editor -> Archives résultantes -> Modèles d'archives résultantes

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Les modèles d'archives résultantes permettent d'importer les archives résultantes existantes sous forme d'archives de base. Les structures déjà configurées peuvent ainsi facilement être réutilisées.

Des modèles préconfigurés sont fournis avec zenon. En outre, des configurations individuelles peuvent être enregistrées sous forme de modèles.

Les modèles peuvent uniquement être importés pour les archives de base utilisant la fonction d'analyse cyclique. Pour l'instant, ces archives ne peuvent pas comporter d'archives agrégées.

Chemins des modèles

Les modèles sont enregistrés dans deux répertoires :

  • Modèles prédéfinis :
    Dans le sous-dossier du dossier d'installation : \Templates\Archives\<Langue>\<Nom_fichier>.xml
  • Modèles définis par l'utilisateur :
    %programdata%\COPA-DATA\zenon7.60plates\Templates\Archives\<Langue>\<Nom_fichier>.xml

    Remarque : Selon le type d'inscription effectué, ce répertoire peut également se trouver dans le dossier du programme. zenon en tient automatiquement compte.

Format de fichier

Les modèles sont enregistrés au format XML. Le modèle contient des métadonnées fournissant les informations suivantes :

  • Description du modèle
  • Nom du modèle
  • Les principaux paramètres de l'archive pour chaque archive dans la hiérarchie

Autres sujets abordés dans ce chapitre

Importation de modèles

Modèles fournis

Création et édition de modèles


Importation de modèles

Manuel -> Serveur d'archives -> Configuration dans Editor -> Archives résultantes -> Modèles d'archives résultantes -> Importation de modèles

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Pour importer des modèles pour des archives résultantes :

  1. Sélectionnez l'archive de base souhaitée.
  2. Sélectionnez l'option Importer un modèle dans le menu contextuel.
  3. La boîte de dialogue de sélection de modèles s'affiche à l'écran.
  4. Sélectionnez le modèle de votre choix.
  5. Cliquez sur le bouton Accepter.
  6. L'archive résultante est importée.

info Informations

Les modèles peuvent uniquement être importés pour les archives de base utilisant la fonction d'analyse cyclique. Pour l'instant, ces archives ne peuvent pas comporter d'archives agrégées.

Paramètres | Description
Fenêtre Modèles | Affichage des modèles présents.
Fenêtre Modèles sélectionnés | Affichage de l'archive résultante sélectionnée.
Appliquer | Importe l'archive résultante dans l'archive de base et ferme la boîte de dialogue.
Annuler | Discards all changes and closes the dialog.
Aide | Ouvre l'aide en ligne.


Modèles fournis

Manuel -> Serveur d'archives -> Configuration dans Editor -> Archives résultantes -> Modèles d'archives résultantes -> Modèles fournis

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Les modèles préconfigurés suivants sont fournis avec zenon :

  • Compteurs : Archive résultante avec compteur, qui effectue l'agrégation de données d'un jour sur une semaine, un mois ou une année jusqu'à deux ans et conserve les données pendant 10 ans maximum.
  • Standard : Archive résultante standard, qui effectue l'agrégation de données de 30 minutes sur une heure, un jour et un mois jusqu'à un an et conserve les données pendant 16 ans maximum.
  • Energy : Archive résultante pour le module Energy Edition, qui effectue l'agrégation de données de 15 minutes sur une heure, un jour et un mois jusqu'à un an et conserve les données pendant 1 an maximum.

Les modèles fournis sont protégés en écriture et ne peuvent pas être modifiés. Ils sont représentés avec des symboles bleus dans la boîte de dialogue. Les modèles créés automatiquement comportent des symboles rouges.

Compteur d'archives résultantes

Niveau de l'archive | Niveau d'agrégation actuel | Niveau d'agrégation de l'archive résultante | Stockage
1 : CO-P_COU_30MIN | 30 minutes | 1 heure | 14 jours
2 : C2-P_COU_1HOUR | 1 heure | 1 jour | 6 mois
3 : C3-P_COU_1DAY | 1 jour | Lors du changement de mois | 3 ans
4 : C4-P_COU_1MONTH | 1 mois | Lors du changement d'année | 10 ans

Archive résultante standard

Niveau de l'archive | Archive résultante actuelle | Agrégation de l'archive résultante | Stockage
1 : DO-P_STD_1DAY | 1 jour | 7 jours | 1 an
2 : D2-P_STD_1WEEK | 1 semaine | Lors du changement de mois | 3 ans
3 : D3-P_STD_1MONTH | 1 mois | Lors du changement d'année | 10 ans
4 : D4-P_STD_1YEAR | 1 an | 2 ans | 16 ans

Archive résultante Énergie

Niveau de l'archive | Archive résultante actuelle | Agrégation de l'archive résultante | Stockage
1 : EO-P_ENE_15MIN | 15 minutes | 1 heure | 14 jours
2 : E1-P_ENE_1HOUR | 1 heure | 1 jour | 6 mois
3 : E2-P_ENE_1DAY | 1 jour | 30 jours | 1 an


Création et édition de modèles

Manuel -> Serveur d'archives -> Configuration dans Editor -> Archives résultantes -> Modèles d'archives résultantes -> Création et édition de modèles

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Les modèles peuvent être créés individuellement. Les modèles peuvent uniquement être créés pour les archives de base (premier niveau), et uniquement pour les archives avec une analyse cyclique. L'option de menu est désactivée pour toutes les autres archives ou n'est pas présente pour les archives résultantes.

Pour créer un modèle distinct :

  1. Sélectionnez l'archive résultante souhaitée dans la vue de détail.
  2. Sélectionnez Créer un modèle dans le menu contextuel.
  3. La boîte de dialogue de configuration de modèles s'affiche à l'écran.
  4. Sélectionnez le dossier souhaité ou créez-en un nouveau.
  5. Attribuez un nom éloquent au modèle.
  6. Confirmez le nouveau modèle en cliquant sur OK.

Lors de la création d'un modèle, la hiérarchie complète de l'archive résultante sélectionnée est utilisée.

Remarque : Les modèles fournis et leur structure de dossiers ne peuvent être ni édités, ni supprimés.

Création et édition de modèles

Paramètres | Description
Liste de modèles | Contient une structure de dossiers avec tous les modèles prédéfinis. Les modèles peuvent être sélectionnés et leurs nom et description peuvent être édités. Les éléments prédéfinis ne peuvent pas être édités.
Nom | Nom du modèle. Conseil : Sélectionnez un nom éloquent afin de pouvoir identifier rapidement le modèle adéquat lors de l'importation de données.
Description | Description détaillée du modèle.
Nouveau dossier | Crée un nouveau dossier dans le dossier sélectionné. Utilisation du clavier : Touche Insér.
Renommer | Ouvre l'élément sélectionné pour la modification. Utilisation au clavier : La touche F2 Les éléments prédéfinis ne peuvent pas être renommés.
Supprimer | Supprime l'élément sélectionné. Si les modèles doivent uniquement être supprimés et aucun nouveau modèle ne doit être créé, fermez la boîte de dialogue en cliquant sur Annuler. Raccourci-clavier : touche Suppr. Remarque : Les éléments prédéfinis ne peuvent pas être supprimés.

Fermer la boîte de dialogue

OK | Applique les paramètres et ferme la boîte de dialogue. Le modèle enregistre les paramètres de toutes les archives résultantes dans l'archive sélectionnée.
Annuler | Discards all changes and closes the dialog.
Aide | Ouvre l'aide en ligne.

Création, édition et suppression d'éléments

Création d'un dossier

Pour créer un nouveau dossier :

  1. Sélectionnez le dossier existant
  2. Cliquez sur le bouton Nouveau dossier
    ou

    Appuyez sur la touche Insér.
    ou

    Sélectionnez Nouveau dossier dans le menu contextuel du dossier parent.

Éditer élément

Pour éditer un élément :

  1. Sélectionnez l'élément
  2. Modifiez le nom ou la description
    ou

    Sélectionnez la commande correspondante dans le menu contextuel de l'élément sélectionné.

Supprimer un élément

Pour supprimer un élément :

  1. Sélectionnez l'élément
  2. Cliquez sur le bouton Supprimer
    ou

    Appuyez sur la touche Suppr.
    ou

    Sélectionnez l'option Supprimer dans le menu contextuel de l'élément.

  3. Fermez la boîte de dialogue en cliquant sur OK.

Modification de la structure

Pour modifier la structure :

  1. Sélectionnez l'élément souhaité (dossier ou modèle).
  2. Avec la souris, faites-le glisser vers le dossier dont il doit être un sous-dossier.

Modifiez le dossier et les modèles sans valider les paramètres des archives.

Vous pouvez également modifier les dossiers et les paramètres sans accepter les paramètres de l'archive lors de la fermeture.

Pour cela, modifiez les éléments dans la fenêtre gauche, à l'aide de la liste de modèles.


Ajout et suppression de variables

Manuel -> Serveur d'archives -> Configuration dans Editor -> Ajout et suppression de variables

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Les variables et leurs types d'agrégation sont affichés dans la vue de détail de l'archive.

Vous pouvez ajouter ou supprimer des variables ici.

  • Ajouter :
    Pour ajouter des variables, sélectionnez la commande Ajouter une variable dans me menu contextuel ou la barre d'outils en effectuant un Drag&Drop (Glisser-déplacer).
  • Supprimer :
    Sélectionnez les variables souhaitées, puis appuyez sur la touche Suppr. ou sélectionnez la commande Supprimer une variable dans le menu contextuel ou la barre d'outils.
    Attention : Les variables sont supprimées de la liste de variables sans demande de conformation.

Ajout d'une variable à une archive de base

Pour ajouter une variable à une archive de base :

  1. Sélectionnez Ajouter une variable dans le menu contextuel, la barre d'outils de l'archive de base ou la liste de variables.
  2. La boîte de dialogue de sélection s'affiche.

    Ajoutez les variables de votre choix.

  3. Fermez la boîte de dialogue.
  4. Si des archives résultantes sont présentes, la boîte de dialogue d'ajout de nouvelles variables aux archives résultantes s'affiche.

    Sélectionnez si les variables doivent être ajoutées à toutes les archives résultantes existantes, ainsi que les types d'agrégation utilisés :

    • Appliquer à toutes les archives résultantes : Les nouvelles variables ajoutées sont prises en compte dans toutes les archives résultantes existantes. Lors de l'activation, les archives résultantes souhaitées (total, valeur moyenne, minimum, maximum) doivent être sélectionnées.

Ajout d'une variable à une archive résultante

Pour ajouter une variable à une archive résultante :

  1. Sélectionnez Ajouter une variable dans le menu contextuel, la barre d'outils de l'archive de base ou la liste de variables.
  2. La boîte de dialogue de sélection s'ouvre, selon le type d'archive sélectionné :
    1. Aucune archive résultante sous-ordonnée présente

    Ajoutez les variables de votre choix.

    1. Archive résultante sous-ordonnée présente :

      Sélectionnez les variables et archives résultantes souhaitées.

      Si ces variables sont appliquées dans toutes les archives résultantes sous-ordonnées, l'option Appliquer à toutes les archives résultantes doit être activée.

  3. Fermez la boîte de dialogue.

Insérez des variables dans l'archive résultante en effectuant un glisser-déposer.

Des variables supplémentaires peuvent également être insérées directement dans une archive résultante par Drag&Drop. Pour cela, deux méthodes s'offrent à vous :

  • Variable individuelle :
    Sélectionnez une variable individuelle dans la liste de variables de l'archive de basse ; maintenez le bouton gauche de la souris enfoncé, puis faites-la glisser vers le type de compression de données souhaité d'une archive résultante associée.
  • Toutes les variables :
    Faites glisser l'archive de base complète vers un type de compression de données. Toutes les variables qu'elle contient sont alors attribuées.


Archivage par lot

Manuel -> Serveur d'archives -> Configuration dans Editor -> Archivage par lot

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

L'archivage par lot permet d'attribuer facilement des désignations de lots à une archive. L'étiquetage des lots permet, à votre convenance, de filtrer les données de l'archive, comme dans les modules Extended Trend ou Report Generator, pour en poursuivre le traitement.

Une archive de lot est principalement utilisée lorsqu'aucun processus cyclique ne doit être enregistré ; par exemple, dans une usine de boissons, dans laquelle différents produits sont fabriqués avec différents niveaux de qualité. Dans ce cas, des noms de lots librement définissables peuvent être utilisés pour établir un lien entre l'archive et le lot. Le nom de lot peut ensuite également être utilisé pour le filtrage dans le Runtime.

Les archives de lots ne reposent pas sur des périodes de temps fixes ou un nombre d'entrées de valeurs ; il est donc pertinent de les indexer. Ceci permet d'accéder plus rapidement aux données par la suite.

Principales différences entre une archive de lot et une archive :

  • Définition des heures de début et de fin de l'archive (généralement : non cyclique)
  • Définition du nom de lot

info Informations

La valeur de la variable de lot est écrite dans le fichier d'index et dans l'en-tête du fichier ARX au début du lot. Ces entrées sont ajustées à chaque modification de la variable. Lors de la fermeture du lot, la valeur de la variable de lot à cet instant est finalement écrite dans le fichier d'index et dans l'en-tête.

De cette manière, le nom du lot est définitif à la fermeture du lot.

Index

Pour accéder plus rapidement aux valeurs de filtre du lot, un index peut être créé pour chaque archive. L'index est enregistré dans le fichier [nom court].ARI. Une entrée est insérée dans le fichier d'index à chaque enregistrement d'une archive de lot. Cette entrée contient un nom d'archive, une description de lot et une heure de fin. Lors du transfert de l'archive, l'index est également mis à jour.

Les archives peuvent être supprimées ou déplacées au moyen d'opérations sur fichier. Dans ce cas, le fichier d'index doit être recréé. Pour cela, utilisez la fonction Indexer les archives.

Indexation automatique

Lors de la configuration de l'archive de base ou de l'archive résultante, activez l'option Indexer les lots sur l'onglet Propriétés. L'index est créé uniquement à partir des fichiers d'archive dans le dossier du Runtime. Si la lecture est effectuée à partir du dossier de sauvegarde, la réimportation est effectuée fichier par fichier.

La création d'un nouvel index de lot est effectuée à l'aide de la fonction Indexer les archives. Utilisez cette fonction si vous souhaitez enregistrer manuellement des données dans un dossier du Runtime ou réimporter manuellement des données depuis celui-ci. Les fichiers d'index ne sont pas transférés avec le dossier et ne sont également pas lus lorsque les données sont obtenues depuis le dossier de sauvegarde. Le processus d'indexation accède à nouveau uniquement aux fichiers d'archive dans le dossier du Runtime. Si les fichiers d'archive sont réimportés depuis le dossier de sauvegarde, ces derniers ne sont pas à nouveau déplacés vers le dossier de Runtime. Les données seront chargées dans la RAM. La nouvelle procédure d'indexation accède ainsi aux données dans le dossier du Runtime, mais pas aux données dans le dossier de sauvegarde.

Fonction Indexer les archives

Générer un fichier d'index peut prendre du temps selon le nombre de fichiers d'archive. De façon à ne pas bloquer le Runtime, ceci est effectué en tâche de fond. Si le nouvel indexage n'est pas terminé, mais les valeurs des lots sont requises, cette requête doit attendre la fin de la procédure. Avant l'exécution de la fonction, l'option Exécuter de façon synchrone impose un délai d'attente jusqu'à ce que la nouvelle indexation soit terminée.


Créer un synoptique de type Maintenance d'archive

Manuel -> Serveur d'archives -> Configuration dans Editor -> Créer un synoptique de type Maintenance d'archive

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Créer un synoptique de type Maintenance d'archive

Le synoptique Maintenance d'archive permet d'afficher, de configurer et d'éditer des archives dans le Runtime.

Développement

Étapes de création du synoptique :

  1. Créez un nouveau synoptique :

    Dans la barre d’outils ou le menu contextuel du nœud Synoptiques, sélectionnez la commande Nouveau synoptique.
    Un synoptique vide Standard est créé.

  2. Modifiez les propriétés du synoptique :
    1. Nommez le synoptique dans la propriété Nom.
    2. Sélectionnez Maintenance d'archive dans la propriété Type de synoptique.
    3. Sélectionnez le cadre souhaité dans la propriété Gabarit.
  3. Configurez le contenu du synoptique :
    1. Sélectionnez l’option de menu Éléments de contrôle dans la barre de menus
    2. Sélectionnez Insérer un modèle dans la liste déroulante.
      La boîte de dialogue de sélection de mises en forme prédéfinies s’affiche à l’écran. Certains éléments de contrôle sont insérés dans le synoptique à des positions prédéfinies.
    3. Supprimez les éléments superflus du synoptique.
    4. Si nécessaire, sélectionnez des éléments supplémentaires dans la liste déroulante Éléments. Placez-les aux emplacements souhaités sur le synoptique.
  4. Créez une fonction d’appel de synoptique.

Synoptique Maintenance d'archive

Éléments de contrôle

Élément de contrôle | Description
Insérer un modèle | Ouvre la boîte de dialogue de sélection de modèle pour le type de synoptique correspondant. Des modèles sont fournis avec zenon, et peuvent également être créés par l’utilisateur. Modèles ajoutent des éléments de contrôle prédéfinis à des positions prédéfinies sur le synoptique. Les éléments qui ne sont pas nécessaires peuvent également être supprimés individuellement après leur création. Les éléments supplémentaires peuvent être sélectionnés dans la liste déroulante, puis insérés dans le synoptique zenon. Les éléments peuvent être déplacés et disposés individuellement sur le synoptique.

Fenêtre

Éléments de contrôle des fenêtres.

Élément de contrôle | Description
Fenêtre de données d'archive | Affichage des données d'archive dans le Runtime.
Configurer le filtre (liste) | Configuration du filtre défini.
Configurer le filtre (affichage) | Affichage du filtre configuré. Remarque : Élément de type Texte dynamique. L'attribution de la fonctionnalité a lieu à l'aide de la propriété Fonction spécifique au type de synoptique.
État de l'archive | Affichage de l'état de l'archive. Remarque : Élément de type Texte dynamique. L'attribution de la fonctionnalité a lieu à l'aide de la propriété Fonction spécifique au type de synoptique.
Nom court | Affiche la description courte de l'archive sélectionnée. Remarque : Élément de type Texte dynamique. L'attribution de la fonctionnalité a lieu à l'aide de la propriété Fonction spécifique au type de synoptique.
Nombre total | Affiche le nombre de valeurs affichées. Remarque : Élément de type Texte dynamique. L'attribution de la fonctionnalité a lieu à l'aide de la propriété Fonction spécifique au type de synoptique.
NuméroINVALID | Affichage du nombre de variables ayant l'état INVALID. Remarque : Élément de type Texte dynamique. L'attribution de la fonctionnalité a lieu à l'aide de la propriété Fonction spécifique au type de synoptique.

Fonctions de la liste

Boutons permettant de contrôler les fonctions de liste dans le Runtime.

Élément de contrôle | Description
Ouvrir une archive | Ouvre la boîte de dialogue de sélection d'archives.
Fermer l'archive | Ferme l'archive actuellement ouverte.
Enregistrer l'archive | Enregistre les modifications dans l'archive et effectue la mise à jour des archives résultantes à la demande de l'utilisateur.
Modifier l'entrée | Ouvre la boîte de dialogue d'édition de l'entrée d'archive sélectionnée.
Insérer une entrée | Ouvre la boîte de dialogue d'insertion d'entrées d'archives dans les fichiers d'archive. Si aucun fichier d'archive correspondant à cette plage de temps n'est présent, aucune entrée ne peut être insérée. Un message d'erreur correspondant est affiché en cas de tentative d'insertion d'une entrée.
Supprimer l'entrée | Supprime les entrées sélectionnées de l'archive après une demande de confirmation.
Sélectionner | Cliquez sur le bouton pour ouvrir la boîte de dialogue de configuration du filtre.
Configuration des colonnes | Ouvre la boîte de dialogue de configuration de la largeur des colonnes et de la police de caractères.
Imprimer | Imprime la liste sur l'imprimante configurée.

Éléments compatibles

Les éléments de contrôle supprimés ou remplacés par des versions plus récentes restent disponibles, pour des raisons de compatibilité. Ces éléments ne sont pas pris en compte lors de l’insertion automatique de modèles.

Élément de contrôle | Description
Configurer le filtre (affichage) | Élément de contrôle statique Win32. Remplacé par un champ de texte dynamique. Pour la description, reportez-vous à l’élément actuel.
État de l'archive | Élément de contrôle statique Win32. Remplacé par un champ de texte dynamique. Pour la description, reportez-vous à l’élément actuel.
Nom court | Élément de contrôle statique Win32. Remplacé par un champ de texte dynamique. Pour la description, reportez-vous à l’élément actuel.
Nombre total | Élément de contrôle statique Win32. Remplacé par un champ de texte dynamique. Pour la description, reportez-vous à l’élément actuel.
NuméroINVALID | Élément de contrôle statique Win32. Remplacé par un champ de texte dynamique. Pour la description, reportez-vous à l’élément actuel.

Profils de filtre

Boutons de configuration des filtres dans le Runtime.

Élément de contrôle | Description
Sélectionner un profil | Sélectionner un profil dans la liste.
Enregistrer | Enregistrer la configuration actuelle sous forme de profil. Remarque : Le nom ne peut contenir que 31 caractères maximum et uniquement des caractères valides. Les caractères suivants sont interdits : ! \ / : * ? < > | ""
Supprimer | Supprimer le profil sélectionné.
Importer | Importe les profils de filtre depuis un fichier d’exportation.
Exporter | Exporte les profils de filtre vers un fichier.


Fonctions

Manuel -> Serveur d'archives -> Fonctions

Dans zenon, plusieurs fonctions permettent de contrôler l'archivage.

  • Appel de synoptique - Maintenance d'archive : Configuration des appels de synoptique avec filtrage
  • Archive : Début : Démarrer l'archive manuellement
  • Archive : Arrêter : Arrêter l'archive manuellement
  • Afficher les archives actives : Afficher les archives actives dans le Runtime
  • Indexer l'archive : démarrer/recommencer l'indexation de l'archive
  • Exporter les archives : Exporter archive

Autres sujets abordés dans ce chapitre

Appel de synoptique - Maintenance d'archive

Archive : Début

Archive : Arrêter

Indexe d’archive

Afficher les archives actives

Exporter les archives


Appel de synoptique - Maintenance d'archive

Manuel -> Serveur d'archives -> Fonctions -> Appel de synoptique - Maintenance d'archive

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Pour ouvrir un synoptique Maintenance d'archive dans le Runtime et pour configurer les paramètres :

  1. Créez un synoptique de type Maintenance d'archive.
  2. Créez une fonction d'appel de synoptique pour ce synoptique.
  3. Définissez les propriétés de filtre souhaitées.

La configuration des paramètres du contenu à afficher dans le Runtime s'effectue en utilisant les conditions de filtre de l'appel de synoptique. Vous pouvez accéder plusieurs fois au même synoptique avec différentes fonctions ; des listes filtrées de différentes façons sont alors affichées.

Dans le Runtime, vous pouvez modifier les propriétés du filtre Exception : dans Editor, un filtre d'heure fixe a été défini.

Configuration des appels de synoptique

Pour créer un appel de synoptique de type Maintenance d'archive :

  1. Dans le menu contextuel du nœud Fonction, sélectionnez la commande Nouvelle fonction
  2. Cliquez sur Appel de synoptique.
  3. La boîte de dialogue de sélection de synoptique s'affiche à l'écran.
  4. Sélectionnez un synoptique de type Maintenance d'archive.
  5. La boîte de dialogue de sélection d'archives s'affiche
  6. Sélectionnez l'archive devant être affichée dans le Runtime lors de l'appel de synoptique.
  7. Utilisez l'option Format pour configurer la manière dont les données seront triées pour l'affichage.
  8. Configurez le filtre souhaité pour les variables, les bits d'état, l'heure et les lots.
    Pour cela, cliquez sur le bouton Filtre.
  9. Fermez la boîte de dialogue de filtre et la boîte de dialogue de l'archive en cliquant pour chacune sur le bouton OK.

Boîte de dialogue de sélection d'archive

Paramètres

Description

Nom du filtre

Nom du filtre configuré.

Ce nom est associé aux paramètres de la fonction d'appel de synoptique et sert à distinguer les différentes fonctions d'appel de synoptique avec différentes configurations de filtre.

Archives

Liste d'archives disponibles.

Attention : une archive doit être sélectionnée. L'archive sélectionnée est affichée dans le Runtime. Si une archive de lots doit être affichée, celle-ci doit correspondre à l'archive configurée pour la sélection dans le Runtime.

Format

Format d'affichage et tri des entrées d'archives affichées :

  • Heure : Filtre de date et d'heure
  • Variable : selon le nom de variable
  • Non trié : pas de tri

Lire les archives depuis le dossier de sauvegarde

Active : Les archives provenant du dossier de sauvegarde sont également utilisées.

Inactive : Seules les archives actuelles sont utilisées.

Lors du chargement de données d'archives depuis le dossier de restauration, les données d'archives provenant du chemin du Runtime et de tous les sous-dossiers du dossier de restauration sont également lues.

Attention : Avant de pouvoir accéder aux archives transférées avec l'option Lire les archives depuis le dossier de sauvegarde, vous devez d'abord les copier vers le dossier de sauvegarde. Lors du transfert, les archives sont enregistrées dans le dossier Archives transférées. Ce dossier n'est pas compatible avec le dossier de sauvegarde. Vous définissez les dossiers dans la boîte de dialogue Paramètres standard, sur l'onglet Dossier. Cette boîte de dialogue est accessible sous Fichier -> Configuration générale -> Standard.

Conseil : les dossiers configurés pour les options Archives transférées et Lire les archives depuis le dossier de sauvegarde peuvent également être définis comme un seul et même dossier, afin d'éviter la nécessité d'effectuer la copie manuellement. Il est pertinent de spécifier des chemins différents si, par exemple, la réimportation est effectuée depuis un DVD et les données exportées sont uniquement gravées sur des DVD neufs à intervalles définis.

Fermer la boîte de dialogue

OK

Applique les paramètres et ferme la boîte de dialogue.

Annuler

Discards all changes and closes the dialog.

Filtre

Ouvre la boîte de dialogue de configuration des critères de filtre :

  • Filtre d'archive : Variables (disponibles uniquement si une archive a été sélectionnée) et bits d'état
  • Temps : Filtre de temps
  • Lots : Filtre de lots

Aide

Ouvre l'aide en ligne.

Autres sujets abordés dans ce chapitre

Filtre d'archive

Heure

Lots


Filtre d'archive

Manuel -> Serveur d'archives -> Fonctions -> Appel de synoptique - Maintenance d'archive -> Filtre d'archive

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Paramètres

Description

Liste d'états

Sélection des bits d'état devant être filtrés. La sélection et la désélection s'effectuent en cliquant sur le bit d'état correspondant.

Disponible uniquement si l'option Toutes les entrées a été désactivée.

Liste de variables

Variables de l'archive sélectionnée devant être affichées. Sélectionnez et désélectionnez-les en cliquant sur la case à cocher adjacente aux variables.

Disponible uniquement si l'option Toutes les entrées a été désactivée.

Valeur (en unité de base)

Active : le filtrage est effectué pour les valeurs de l'archive comprises entre des limites minimum et maximum ou les valeurs contenant une séquence de caractères particulière, sous forme de chaîne.

Saisie de :

  • Minimum : limite inférieure de la valeur
  • Maximum : limite supérieure de la valeur
  • Masque de chaîne : séquence de caractères devant être localisée grâce au filtre

Disponible uniquement si l'option Toutes les entrées a été désactivée.

Supprimer la sélection

Disponible uniquement si la boîte de dialogue est appelée dans le Runtime avec le bouton Sélection.

Dans le Runtime, lorsque la boîte de dialogue est appelée avec le bouton Sélection, les entrées de la liste correspondant aux variables et bits d'état sélectionnés sont affichés en surbrillance.

  • Active : supprime tous les caractères en gras de la liste lors de la fermeture de la boîte de dialogue.

Afficher cette boîte de dialogue dans le Runtime

Active : La boîte de dialogue de filtre est ouverte avant chaque appel de synoptique. Les paramètres de filtre peuvent être modifiés. Cette option n’est pas disponible dans Windows CE.
Remarque : Sur l’onglet Lots, si l’option Afficher la boîte de dialogue de sélection de lots est également activée, la boîte de dialogue de sélection de lots est appelée dans le Runtime. Elle n’est plus affichée après l’actualisation.

Remarques concernant les filtres d’intervalle :

Propriété Afficher cette boîte de dialogue dans le Runtime active :

  • Le filtre est ouvert dans le Runtime lors de l’appel de synoptique. Le filtre n’est plus proposé lors du rechargement. Ce comportement peut différer selon les différents types de synoptiques si la boîte de dialogue a été affichée lors de l’appel de synoptique, puis annulée.
  • La dernière période terminée est toujours utilisée.

Afficher cette boîte de dialogue dans le Runtime inactive :

  • Propriété Utiliser la dernière période de temps effectuée active :
    La dernière période terminée est toujours utilisée.
  • Utiliser la dernière période terminée inactive :
    L’intervalle de temps actuel est utilisé.

Toutes les entrées

Active : Les paramètres s'appliquent à tous les états et variables. Les entrées des champs Liste d'états, Liste de variables et Valeurs ne peuvent pas être sélectionnées individuellement.

Fermer boîte de dialogue

Options | Description :
OK | Applique toutes les modifications effectuées sur tous les onglets, puis ferme la boîte de dialogue.
Annuler | Annule toutes les modifications effectuées sur tous les onglets, puis ferme la boîte de dialogue.
Aide | Ouvre l'aide en ligne.


Heure

Manuel -> Serveur d'archives -> Fonctions -> Appel de synoptique - Maintenance d'archive -> Heure

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Configuration du filtre de temps.

Remarque : L’heure est enregistrée au format UTC. Pour plus de détails, reportez-vous au chapitre Gestion de la date et de l'heure, dans le chapitre Runtime.

Des filtres de temps peuvent être prédéfinis dans Editor et dans le Runtime pour les éléments suivants :

  • Intervalle absolu
  • Intervalle relatif
  • De
  • Période

Le filtrage horaire peut être effectué de deux manières :

  1. En définissant un intervalle de temps dans Editor
    Des plages de temps fixes sont utilisées. un intervalle de temps est fourni dans Editor. Il est uniquement possible de filtrer les données en fonction de cet intervalle de temps dans le Runtime. Les autres filtres - tels que le filtrage par nom de variable, groupes d'alarmes/d'événements et classes d'alarmes/d'événements, etc. ne peuvent plus être modifiés dans le Runtime.
  2. Filtre de temps configurable dans le Runtime
    Le filtre de temps est défini dans Editor et peut être modifié dans le Runtime, le cas échéant.

Configuration du filtre horaire

Filtre

Sélection du filtre.

Paramètres

Description

Pas de filtre horaire

Active : Aucun filtre temps n’est utilisé.

Note : toutes les entrées Runtime depuis 1. 1. 1990 sont affichées.

Filtre absolu

Active : Un intervalle de temps fixe est défini dans Editor. Lors de l’exécution de la fonction, l’intervalle temps absolu défini est utilisé avec exactitude.

La section Paramètres permet d’afficher et de configurer les options correspondantes.

Remarque : L’heure est enregistrée au format UTC. Pour plus de détails, reportez-vous au chapitre Gestion de la date et de l'heure, dans le chapitre Runtime.

Intervalle relatif

Active : Un intervalle de temps relatif est saisi.

La section Paramètres permet d’afficher et de configurer les options correspondantes.

Attention : Ce filtre est continuellement mis à jour.

De

Active : L’heure à partir de laquelle le filtre est appliqué. Si l’heure n’est pas atteinte ce jour, le filtrage a lieu à partir de l’heure correspondante le jour précédent.

Sélectionnez le mode du domaine dans la liste déroulante?;

  • À partir de HH:MM:SS
  • À partir du jour - HH:MM:SS
  • À partir d’un jour, d’un mois, à HH:MM:SS

La section Paramètres permet d’afficher et de configurer les options correspondantes.

Attention : L’heure de début de ce filtre n’est pas mise à jour automatiquement. Seules les heures existantes affichées sont utilisées.
L’heure de fin n’est pas définie avec ce filtre?; elle est reportée.

Intervalle

Active : Un intervalle de temps fixe est saisi. Sélectionnez le mode du domaine dans la liste déroulante?;

  • Horaire-jour
  • Horaire-semaine
  • Deux semaines
  • Un mois
  • Une année
  • 15 minutes
  • 30 minutes
  • 60 minutes

La section Paramètres permet d’afficher et de configurer les options correspondantes.

Fermer boîte de dialogue

Paramètres | Description
OK | Applique toutes les modifications effectuées sur tous les onglets, puis ferme la boîte de dialogue.
Annuler | Annule toutes les modifications effectuées sur tous les onglets, puis ferme la boîte de dialogue.
Aide | Ouvre l'aide en ligne.

Autres sujets abordés dans ce chapitre

Filtre temps absolu

Intervalle relatif

De

Intervalle

Spécifier un intervalle de temps dans Editor

Le filtre de temps peut être configuré dans le Runtime


Filtre temps absolu

Manuel -> Serveur d'archives -> Fonctions -> Appel de synoptique - Maintenance d'archive -> Heure -> Filtre temps absolu

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Le filtre absolu permet de définir une période de temps fixe. Lors de l’exécution de la fonction, l’intervalle temps absolu défini est utilisé avec exactitude. Pour configurer le filtre :

  1. Dans la section Filtre, sélectionnez l’option Intervalle absolu.
  2. Configurez l’intervalle de temps souhaité dans la section Paramètres.

Paramètres | Description
Paramètres | Configuration du filtre de temps.
Proposer la date/l’heure actuelle | Active : Le filtre de temps est affiché dans le Runtime.
Par défaut | Active : Le filtre de temps est fourni dans Editor. Seule l’heure de début peut encore être configurée dans le Runtime.
De | Heure de début du filtre. Sélection du jour, du mois, de l’année, de l’heure, de la minute et de la seconde
À | Heure de fin du filtre. Sélection du jour, du mois, de l’année, de l’heure, de la minute et de la seconde

Fermer boîte de dialogue

Options | Description :
OK | Applique toutes les modifications effectuées sur tous les onglets, puis ferme la boîte de dialogue.
Annuler | Annule toutes les modifications effectuées sur tous les onglets, puis ferme la boîte de dialogue.
Aide | Ouvre l'aide en ligne.


Intervalle relatif

Manuel -> Serveur d'archives -> Fonctions -> Appel de synoptique - Maintenance d'archive -> Heure -> Intervalle relatif

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Un intervalle de temps relatif est saisi.

Attention : Ce filtre est constamment mis à jour et continue à fonctionner.
Exemple : Vous pouvez définir un intervalle relatif de 10 minutes et basculer vers un synoptique en réglant ce filtre de temps sur 12:00. Vous verrez alors s’afficher les alarmes de 11:50 à 12:00 lors de l’appel de synoptique. Si le synoptique reste ouvert, le filtre est automatiquement mis à jour. À 12:01, les alarmes de 11:51 à 12:01 sont affichées, et ainsi de suite.

Pour configurer le filtre :

  1. Dans la section Filtre, sélectionnez l’option Intervalle relatif.
  2. Configurez l’intervalle de temps souhaité dans la section Paramètres.

Paramètres | Description
Paramètres | Configuration du filtre de temps.
Proposer la date/l’heure actuelle | Active : Le filtre de temps est affiché dans le Runtime.
Par défaut | Active : Le filtre de temps est fourni dans Editor. Seule l’heure de début peut encore être configurée dans le Runtime. Sélection de l’intervalle relatif en jours, heures, minutes et secondes.

Fermer boîte de dialogue

Options | Description :
OK | Applique toutes les modifications effectuées sur tous les onglets, puis ferme la boîte de dialogue.
Annuler | Annule toutes les modifications effectuées sur tous les onglets, puis ferme la boîte de dialogue.
Aide | Ouvre l'aide en ligne.


De

Manuel -> Serveur d'archives -> Fonctions -> Appel de synoptique - Maintenance d'archive -> Heure -> De

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Définit l’heure à partir de laquelle le filtre est appliqué. Pour configurer le filtre :

  1. Dans la section Filtre, sélectionnez l’option Inactif.
  2. Sélectionnez le filtre souhaité dans la liste déroulante.
    • À partir de HH:MM:SS heures
    • Depuis le jour - HH:MM:SS heures
    • Depuis le jour, mois à HH:MM:SS
  3. Configurez l’intervalle de temps souhaité dans la section Paramètres.

Paramètres

Description

Paramètres

Configuration du filtre de temps.

[Date/Heure]

Selon la configuration de l’option Inactif, l’heure à partir de laquelle le filtre est appliqué est configurée ici :

  • À partir de HH:MM:SS
  • À partir du jour - HH:MM:SS
  • À partir d’un jour, d’un mois, à HH:MM:SS

Attention ! L’heure de début de ce filtre n’est pas mise à jour automatiquement. Seules les heures existantes affichées sont appliquées, même si le synoptique reste ouvert et l’heure de 23:00:00 est atteinte.
L’heure de fin de l’intervalle n’est pas définie avec ce filtre?; elle est reportée.
  • À partir de HH:MM:SS

L’heure à partir de laquelle le filtre est appliqué. Si l’heure n’est pas atteinte ce jour, le filtrage a lieu à partir de l’heure correspondante le jour précédent.

Exemple : Vous saisissez 23:00:00. Si la fonction est exécutée à 23:30, elle est filtrée de 23:00:00 jusqu’à l’heure actuelle. S’il est 22:30, toutefois, le filtrage est actif de 23:00:00 le jour précédent jusqu’à l’heure actuelle.
  • À partir du jour - HH:MM:SS

Un jour et une heure de début du filtre sont saisis. Si l’heure indiquée n’a pas été atteinte au cours du mois actuel, l’heure correspondante définie le mois précédent est utilisée.

Exemple : Vous saisissez jour 5 - 23:00:00. Si nous sommes le 10 du mois et il est 23:30, le filtrage sera appliqué à compter du 5 à 23:00:00 jusqu’à l’heure actuelle. Si toutefois nous sommes le 4 du mois, le filtrage sera appliqué à partir du 5 du mois précédent jusqu’à l’heure actuelle.

  • À partir d’un jour, d’un mois, à HH:MM:SS

Un mois, un jour et une heure de début du filtre sont saisis. Si l’heure indiquée n’a pas été atteinte au cours de l’année actuelle, l’heure correspondante définie l’année précédente est utilisée.

Exemple : Vous saisissez Jour 5, Mois Octobre - 23:00:00. Si nous sommes le 10 octobre et il est 23:30, le filtrage est appliqué à compter du 5 octobre à 23:00:00 jusqu’à l’heure actuelle. Si toutefois nous ne sommes que le 4 octobre, le filtrage sera appliqué à partir du 5 octobre de l’année précédente, de 23:00 jusqu’à l’heure actuelle.

Fermer boîte de dialogue

Options | Description :
OK | Applique toutes les modifications effectuées sur tous les onglets, puis ferme la boîte de dialogue.
Annuler | Annule toutes les modifications effectuées sur tous les onglets, puis ferme la boîte de dialogue.
Aide | Ouvre l'aide en ligne.


Intervalle

Manuel -> Serveur d'archives -> Fonctions -> Appel de synoptique - Maintenance d'archive -> Heure -> Intervalle

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Définit une période de temps durant laquelle le filtre est appliqué. Pour configurer le filtre :

  1. Dans la section Filtre, sélectionnez l’option Intervalle.
  2. Configurez l’intervalle de temps souhaité dans la section Paramètres.

Options

Description :

Intervalle

Sélection d’une plage de temps dans une liste déroulante.

Le filtrage de cette plage de temps est effectué dans le Runtime. Le filtre est définir par rapport à l’heure de l’appel de synoptique.
Par exemple : La valeur 60 minutes affiche toutes les archives de la dernière heure.

Si cette boîte de dialogue est affichée dans le Runtime, l’heure de début de la plage de temps peut être sélectionnée.

Paramètres

Paramètre en option pour l’intervalle.

Modifier l'intervalle

Permet de modifier les cycles, les délais et les prolongations de périodes de temps.

Active : L’évaluation est réalisée conformément aux règles suivantes :

  • D’abord, l’option Utiliser la dernière période de temps effectuée est évaluée.
  • Ensuite, l’option Modifier la période de temps de est utilisée.
  • Enfin, l’option Déplacer la période de temps dans le futur de est appliquée.

Inactive : Aucune modification n’est apportée à la période de temps.

Attention : Dans la version 7.10, les actions de filtrage réalisées avec cette fonction génèrent des résultats différents de celles réalisées dans les versions antérieures.

Déplacer l’intervalle dans le futur de

Active : La période de temps définie dans le filtre est décalée vers le futur. L’heure de début et l’heure de fin sont déplacées en fonction du cycle d’heure défini.

Indication en heures - minutes - secondes.

Si un décalage égal ou supérieur à la période de temps sélectionnée est défini, un message invitant l’utilisateur à vérifier la configuration s’affiche.

Modifier l’intervalle de

Active : La période de temps définie dans le filtre est modifiée. L’heure de fin est déplacée en fonction du cycle d’heure défini. L’heure de début reste inchangée.

Indication en heures - minutes - secondes.

L’intervalle peut être ajouté ou déduit. La sélection de l'attribution s'effectue au moyen des cases d'option :

  • Ajouter le temps : L’heure indiquée dans le paramètre Modifier la période de temps de est ajoutée au temps défini dans le paramètre Période de temps.
  • Soustraire le temps : L’heure indiquée dans le paramètre Modifier la période de temps de est déduite du temps défini dans le paramètre Période de temps.

Si une modification et un décalage égaux ou supérieurs à la période de temps sélectionnée sont définis, un message invitant l’utilisateur à vérifier la configuration s’affiche à côté de l’élément de contrôle pour la configuration du temps.

Utiliser la dernière période terminée

Active : La période de temps sélectionnée en dernier et entièrement terminée dans l’option Période de temps est utilisée.

Exemple : Pour l’option Période de temps, Un jour a été sélectionné. Le filtre est effectué pour "Hier", car il s’agit du dernier jour qui s’est entièrement terminé.

Fermer boîte de dialogue

Options | Description :
OK | Applique toutes les modifications effectuées sur tous les onglets, puis ferme la boîte de dialogue.
Annuler | Annule toutes les modifications effectuées sur tous les onglets, puis ferme la boîte de dialogue.
Aide | Ouvre l'aide en ligne.


Spécifier un intervalle de temps dans Editor

Manuel -> Serveur d'archives -> Fonctions -> Appel de synoptique - Maintenance d'archive -> Heure -> Spécifier un intervalle de temps dans Editor

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Avec cette méthode, saisissez un intervalle de temps fixe dans Editor?; celui-ci sera alors appliqué lorsque la fonction sera exécutée dans le Runtime. Vous pouvez alors uniquement définir l’heure de début dans le Runtime, mais aucun autre paramètre de filtre.

Par exemple : Vous définissez un filtre temps de 30 minutes. Dans le Runtime, vous pouvez uniquement définir l’instant auquel doit débuter cet intervalle de temps de 30 minutes. Toutefois, vous ne pouvez pas transformer le filtre en filtre de jour.

attention Attention

Si vous utilisez ce filtre, vous ne pouvez plus modifier les autres filtres disponibles dans l’onglet Général dans le Runtime. Vous pouvez toutefois encore filtrer le texte, les états et les équipements.

Pour créer le filtre :

  1. Le synoptique doit comporter un bouton Filtre permettant d’exécuter le filtre dans le Runtime
  2. Sélectionnez le filtre souhaité
  3. Configurez l’intervalle de temps spécifié

Conseil relatif à l’intervalle de temps : Activez l’option Afficher la boîte de dialogue de filtre dans le Runtime dans la boîte de dialogue de filtre. Ceci vous permet de modifier l’heure de début avant l’exécution de la fonction. N’activez pas l’affichage du filtre dans le Runtime lorsque la fonction est activée?; ceci garantit que l’intervalle actuel est toujours utilisé. Si vous avez activé l’option Utiliser le dernier intervalle de temps fermé, l’intervalle de temps précédent est affiché.
Exemple : Vous définissez un filtre temps de 30 minutes. Il est 10:45 lorsque la fonction est activée. Si l’option Utiliser le dernier intervalle de temps fermé est désactivée, le filtre est défini sur l’intervalle de temps actuel, de 10:30:00 à 10:59:59. Si l’option est activée, le filtre est défini sur l’intervalle de temps précédent, de 10:00:00 à 10:29:59.


Le filtre de temps peut être configuré dans le Runtime

Manuel -> Serveur d'archives -> Fonctions -> Appel de synoptique - Maintenance d'archive -> Heure -> Le filtre de temps peut être configuré dans le Runtime

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Avec cette méthode, vous définissez un filtre de temps dans Editor. Celui-ci peut être modifié dans le Runtime avant exécution. Pour créer le filtre :

  1. Le synoptique doit comporter des boutons Filtre et Visualiser filtre
  2. Sélectionnez le filtre souhaité :
    • Filtre temps absolu
    • Intervalle relatif
  3. Dans la section Paramètres, sélectionnez l’option Proposer la date/l’heure actuelle.
  4. La boîte de dialogue de filtre s’affiche dans le Runtime, avec la date et l’heure actuelles.


Lots

Manuel -> Serveur d'archives -> Fonctions -> Appel de synoptique - Maintenance d'archive -> Lots

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Vous pouvez choisir de limiter l’affichage à certains lots sur cet onglet. Les informations des lots sont également appliquées au filtre existant.

Si le filtre de lots est activé, les événements suivants se produisent dans le Runtime :

  • Une liste de tous les lots configurés correspondant à la période configurée est obtenue à l'avance depuis l'archive
  • La liste des archives est filtrée en conséquence.

    Attention : l'archive de lots sélectionnée dans le Runtime doit correspondre à l'archive sélectionnée dans l'appel de synoptique.

info Informations

Certains filtres dans zenon peuvent être configurés indépendamment les uns des autres, puis associés dans le Runtime. Ceci est uniquement possible dans une certaine mesure, avec le filtre de lots.

Le filtre de lots peut afficher une liste de lots existants dans le Runtime. En revanche, les données du Runtime ne sont pas disponibles dans Editor.

Lors de la configuration de l’appel de synoptique dans Editor, l’onglet Filtre de temps peut uniquement être utilisé conjointement au filtre de lots, en tant que pré-filtre pour la boîte de dialogue de sélection. Si vous sélectionnez un lot dans cette liste dans le Runtime, le filtre de temps est remplacé avec les données issues du lot sélectionné pour autoriser un filtrage précis du lot sélectionné.

Ceci signifie : Si la boîte de dialogue de sélection de lots est utilisée dans le Runtime et un lot est sélectionné, le filtre de temps affiché ne correspond pas à celui configuré dans Editor.

Filtre

Paramètres d’application du filtre de lots. Sélectionnez une des options suivantes :

  • Pas de filtre de lots
  • Appliquer directement le filtre de lots
  • Afficher la boîte de dialogue de sélection de lots
    Remarque : Si le filtre de lots est affiché sous forme de boîte de dialogue, il peut être pré-filtré en fonction des identifiants d’archive. Nous vous recommandons expressément d’utiliser ce pré-filtrage pour améliorer les performances.

Paramètres

Description

Pas de filtre de lots
  • Active : Le filtre de lots est désactivé et ne peut pas être configuré. Le filtrage de lots n’est pas exécuté dans le Runtime.

Appliquer directement le filtre de lots
  • Active : Le filtre configuré ici est directement appliqué dans le Runtime.

Remarque : Il n’existe aucune possibilité pour afficher tous les lots dans une liste et en sélectionner un manuellement. Si un lot particulier doit être affiché, le filtre pour les archives, les noms et les heures doit être configuré en conséquence. Ceci nécessite une excellente connaissance des données existantes. Dans l’alternative, nous vous recommandons de sélectionner l’option Afficher la boîte de dialogue de sélection de lots.

Afficher la boîte de dialogue de sélection de lots

Active : La boîte de dialogue de sélection est affichée dans le Runtime dans les situations suivantes :

  • Lorsque vous cliquez sur Filtre, ou
  • Lors d’un appel de synoptique, si l’option Afficher cette boîte de dialogue dans le Runtime a été activée (indisponible avec tous les types de fonctions et de synoptiques).
    Remarque : La boîte de dialogue n’est pas affichée en cas de rechargement du projet.

Les options peuvent être présélectionnées dans Editor.

Remplacer dialogue avec ce synoptique en runtime

Uniquement disponible si l’option Afficher la boîte de dialogue de sélection de lots a été sélectionnée.

Permet de définir un synoptique devant être appelé dans le Runtime à la place de la boîte de dialogue de sélection de lots. Seuls les synoptiques Filtre de temps/de lot sont proposés.

Cliquez sur le bouton ... pour ouvrir une boîte de dialogue permettant de sélectionner un synoptique.

Si le synoptique lié n’est pas localisé dans le Runtime, une recherche est effectuée pour trouver les synoptiques correspondants portant le nom spécifié.

Remarque : Un synoptique de filtre de lots peut également être sélectionné avec l’option Afficher cette boîte de dialogue dans le Runtime. Toutefois, il n’est pas utilisé comme filtre, mais comme synoptique de filtre de temps. Les options de filtre de lots ne sont pas correctement appliquées à cet emplacement.

Sélection relative des lots

Attention : Cette option est uniquement disponible pour le module Extended Trend. Avec les cadrans, elle est affichée pour tous les types de synoptiques?; ici, toutefois, elle est uniquement disponible pour le module ETM.

Configuration pour le module ETM :

Pour que l’option soit disponible, l’option Afficher la boîte de dialogue de sélection de lots doit être activée et la propriété Projet Windows CE doit être désactivée dans les propriétés du projet.

  • Active : Autorise la comparaison directe de plusieurs lots. L’affichage débute toujours au point zéro.

Remarque : Si l’option est activée, les boutons Diagramme et l’axe X ne sont pas disponibles dans le Runtime. Ceci s’applique également pour la fonctionnalité clic droit.

Vue d’ensemble de la mise en œuvre de la configuration dans le Runtime :

Heure

Configuration du filtre de temps pour la sélection de lots. Sélectionnez une des options suivantes :

  • Pas de filtre
  • Derniers lots
  • Utiliser le filtre de temps de l’onglet Temps

Paramètres

Description

Pas de filtre
  • Active : La plage de temps définie sur l’onglet Temps n’est pas prise en compte. Tous les lots terminés et actuels sont affichés.

Derniers lots

Attention : Fonctionne uniquement avec l’option Appliquer directement le filtre de lots.

L’option permet d’associer les options Afficher les lots actuels et Afficher les lots terminés. Une des deux options au moins doit être activée. Si les deux options ont été désactivées, ceci correspond au paramètre Pas de filtre.

  • Active : Saisie du nombre de lots terminés, en fonction des critères de filtre sélectionnés. Saisie du nombre dans le champ correspondant ou configuration à l’aide des touches fléchées.

Exemple : La valeur 3 a été saisie pour l’option. 2 lots sont en cours d’exécution et 10 sont terminés. Les lots suivants sont affichés : les deux lots actuels et les lots terminés.

Remarque : La configuration du filtre de temps n’est pas utilisée comme intervalle pour les lots actuels, mais pour l’année passée. Le filtre ne sera pas mis en œuvre en tant que pré-filtre, et ne peut donc pas être utilisé pour améliorer les performances.

Notes concernant la compatibilité :
Si le projet est compilé pour une version antérieure à la version 7.11, les dispositions suivantes s’appliquent : Si les lots actuels ou l’association de lots en cours et terminés sont sélectionnés, seuls les lots terminés sont affichés dans le Runtime.

Afficher les lots actuels
  • Active : Les lots actuels sont affichés.

Remarque : Si le nombre de lots à afficher est supérieur au nombre de lots actuels, les lots terminés sont également affichés jusqu’à ce que la limite configurée soit atteinte.
Exemple : 3 lots doivent être affichés. 1 lot est en cours d’exécution, 5 lots sont terminés. Le lot actuel et les deux lots terminés sont affichés.

Afficher les lots terminés
  • Active : Les lots terminés sont affichés.

Remarque : Si le nombre de lots à afficher est supérieur au nombre de lots terminés, les lots terminés sont également affichés jusqu’à ce que la limite configurée soit atteinte.

Utiliser le filtre de temps de l’onglet Temps
  • Active : Le préfiltrage est effectué avec les paramètres de l’onglet Temps.

La plage effective du filtre peut être modifiée dans les limites de cette plage de temps. Sélectionnez dans la liste déroulante :

  • Inclure les valeurs de début et de fin situées hors des limites du filtre : (Par défaut)
    Les lots peuvent démarrer avant l’heure de début configurée dans le filtre Temps et se terminer après l’heure de fin configurée.
  • Uniquement les valeurs de début et de fin situées hors des limites du filtre :
    Les lots doivent commencer et se terminer dans les limites des horaires de début et de fin configurés dans le filtre Temps.
  • Inclure les valeurs de début antérieures aux limites du filtre :
    Les lots peuvent démarrer avant l’heure de début configurée dans le filtre Temps et se terminer après l’heure de fin configurée.
  • Inclure les valeurs postérieures à la limite du filtre :
    Les lots peuvent également se terminer après la fin de la période définie dans le filtre Temps, mais doivent commencer à l’heure de début configurée ou après celle-ci.
  • Conformer les valeurs de début et de fin aux limites du filtre :
    Les lots sont tronqués conformément aux horaires de début et de fin configurés dans le filtre Temps.

Archives

Configuration du filtrage pour les archives. Ce filtre est appliqué comme pré-filtre pour la boîte de dialogue de sélection de lots.

Sélectionnez une des options suivantes :

  • Pas de filtre
  • Statique
  • Depuis une variable

Paramètres

Description

Pas de filtre
  • Active : Le filtrage des noms d’archives est désactivé.

Statique
  • Active : Les archives dont l’identifiant correspond à la chaîne de caractères saisie dans le champ de recherche sont filtrées.

Saisissez les identifiants d’archive dans le champ de recherche.

  • Séparez plusieurs identifiants par une virgule (,).
  • * ou vide : Toutes les archives, pas de filtre.

Depuis une variable
  • Active : La valeur des variables liées ici est appliquée sous forme de filtre de noms d’archive dans le Runtime.

Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de variables.

Disponible pour les modules AML et CEL si l'option Appliquer directement le filtre de lots a été sélectionnée : D’autres modules utilisent leurs propres configurations.

Remarques concernant les variables dans le Runtime :

  • La sélection de variables est uniquement activée dans le Runtime si une variable valide a déjà été liée dans le Runtime. Le bouton ... est toujours désactivé dans le Runtime. L’option peut être sélectionnée, mais aucune nouvelle variable ne peut être liée.
  • Si la variable n’est pas authentifiée auprès du driver au moment de l’application du filtre de lots, la variable est authentifiée et lue. Ceci peut entraîner des délais avec les connexions de drivers et protocoles plus lents.

Attention : Si la variable sélectionnée n’est pas présente dans le Runtime, aucun filtrage de noms d’archive n’est effectué. Ceci est également vrai s’il est impossible de déterminer la valeur de la variable. Le filtre correspond dans ce cas au paramètre Pas de filtre.

Remarque concernant le module ETM : Dans le module ETM, les archives sont définies en fonction des courbes configurées dans la fonction d’appel de synoptique. Dans le Runtime, ceci est uniquement possible avec l’option lots relatifs. Les variables doivent alors être sélectionnées dans le Runtime, ce qui dépend de l’éventuelle sélection d’archives. Une fois filtrée, l’archive doit être une des archives liées aux courbes configurées. Si ce n’est pas le cas, aucune donnée ne sera affichée. Ce paramètre peut toutefois également être utilisé pour limiter l’affichage des courbes. Ces courbes restent toutefois affichées dans la liste de courbes.

Exemple avec le module ETM :

Courbes configurées | Source de données | Pré-filtrage des archives dans le filtre de lots | Résultat sur le synoptique
A | AR | AR | Affichée dans la liste de courbes et dessinée dans la tendance.
B | EA |  | Uniquement affichée dans la liste de courbes.
C | EP |  | Uniquement affichée dans la liste de courbes.

Remarque concernant la maintenance d’archive : L’archive pour laquelle le synoptique est ouvert est déjà sélectionnée dans la fonction d’appel de synoptique. Une seule archive peut être sélectionnée?; aussi, il est inutile d’imposer d’autres limitations.

Exemple de maintenance d’archive :

Archive configurée | Pré-filtrage des archives dans le filtre de lots | Résultat sur le synoptique
AR | EA | Aucune donnée n’est affichée.

Noms

Configuration du filtrage des noms. Sélectionnez une des options suivantes :

  • Pas de filtre
  • Statique
  • Depuis une variable

Paramètres

Description

Pas de filtre
  • Active : Le filtrage des noms de lots est désactivé.

Statique
  • Active : Les noms de lots correspondant à la chaîne de caractères saisie dans le champ de recherche sont filtrés.

Saisissez le nom de lot dans le champ de recherche :

  • Séparez les entrées multiples par un tube (|).
  • * ou vide : Tous les lots de toutes les archives affichées, pas de filtre.

Depuis une variable
  • Active : La valeur de la variable liée ici est appliquée sous forme de filtre de noms de lot dans le Runtime.

Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de variables.

Uniquement disponible si l’option Appliquer directement le filtre de lots a été sélectionnée :

Remarques concernant les variables dans le Runtime :

  • La sélection de variables est uniquement activée dans le Runtime si une variable valide a déjà été liée dans le Runtime. Le bouton ... est toujours désactivé dans le Runtime. L’option peut être sélectionnée, mais aucune nouvelle variable ne peut être liée.
  • Si la variable n’est pas authentifiée auprès du driver au moment de l’application du filtre de lots, la variable est authentifiée et lue. Ceci peut entraîner des délais avec les connexions de drivers et protocoles plus lents.

Attention : Si la variable sélectionnée n’est pas présente dans le Runtime, aucun filtrage de noms de lot n’est effectué. Ceci est également vrai s’il est impossible de déterminer la valeur de la variable. Le filtre correspond dans ce cas au paramètre Pas de filtre.

Fermer boîte de dialogue

Paramètres | Description
OK | Applique toutes les modifications effectuées sur tous les onglets, puis ferme la boîte de dialogue.
Annuler | Annule toutes les modifications effectuées sur tous les onglets, puis ferme la boîte de dialogue.
Aide | Ouvre l'aide en ligne.


Archive : Début

Manuel -> Serveur d'archives -> Fonctions -> Archive : Début

Cette fonction démarre une archive déjà configurée dans le Runtime.

attention Attention

Attention : Si le démarrage est l'arrêt sont définis par le démarrage/l'arrêt du Runtime, l'archive ne peut plus être démarrée ou arrêtée à l'aide de fonctions. Ces fonctions sont alors sans effet.

Pour configurer la fonction :

  1. Dans le nœud Fonctions, sélectionnez Nouvelle fonction dans la barre d'outils ou le menu contextuel.
  2. La boîte de dialogue de sélection d'une fonction s'affiche à l'écran.
  3. Accédez au nœud Archives.
  4. Sélectionnez la fonction Archive : départ.
  5. La boîte de dialogue de sélection d'archives s'affiche :
  6. Sélectionnez l'archive souhaitée
  7. Fermez la boîte de dialogue en cliquant sur OK.
    Le nom de l'archive est affiché sous forme de paramètre dans la liste de fonctions.
  8. Liez la fonction à un bouton.

Dans le Runtime, la fonction démarre l'archive sélectionnée, si elle est exécutée.

Boîte de dialogue de sélection d'archive

Paramètre | Description
Archives disponibles | Affichage de toutes les archives de base et archives résultantes configurées. Effectuez votre sélection en cliquant sur l'entrée.
OK | Applique les paramètres et ferme la boîte de dialogue.
Annuler | Discards all changes and closes the dialog.
Aide | Ouvre l'aide en ligne.


Archive : Arrêter

Manuel -> Serveur d'archives -> Fonctions -> Archive : Arrêter

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Cette fonction arrête l'archive sélectionnée dans le Runtime.

attention Attention

Attention : Si le démarrage est l'arrêt sont définis par le démarrage/l'arrêt du Runtime, l'archive ne peut plus être démarrée ou arrêtée à l'aide de fonctions. Ces fonctions sont alors sans effet.

Pour configurer la fonction :

  1. Dans le nœud Fonctions, sélectionnez Nouvelle fonction dans la barre d'outils ou le menu contextuel.
  2. La boîte de dialogue de sélection d'une fonction s'affiche à l'écran.
  3. Accédez au nœud Archives.
  4. Sélectionnez la fonction Archive : arrêt.
  5. La boîte de dialogue de sélection d'archives s'affiche :
  6. Sélectionnez l'archive souhaitée
  7. Fermez la boîte de dialogue en cliquant sur OK.
    Le nom de l'archive est affiché sous forme de paramètre dans la liste de fonctions.
  8. Liez la fonction à un bouton.

Dans le Runtime, la fonction arrête l'archive sélectionnée, si elle est exécutée.

Boîte de dialogue de sélection d'archive

Paramètres | Description
Archives disponibles | Affichage de toutes les archives de base et archives résultantes configurées. Effectuez votre sélection en cliquant sur l'entrée.
OK | Applique les paramètres et ferme la boîte de dialogue.
Annuler | Discards all changes and closes the dialog.
Aide | Ouvre l'aide en ligne.


Indexe d’archive

Manuel -> Serveur d'archives -> Fonctions -> Indexe d’archive

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Pour accéder plus rapidement aux valeurs de filtre du lot, un index peut être créé pour chaque archive. L'index est enregistré dans le fichier [nom court].ARI. Une entrée est insérée dans le fichier d'index à chaque enregistrement d'une archive de lot. Cette entrée contient un nom d'archive, une description de lot et une heure de fin. Lors du transfert de l'archive, l'index est également mis à jour.

Les archives peuvent être supprimées ou déplacées au moyen d'opérations sur fichier. Dans ce cas, le fichier d'index doit être recréé. Pour cela, utilisez la fonction Indexer les archives.
Remarque : L'indexation peut également être automatique. Pour cela, activez l'option Indexer les lots sur l'onglet Propriétés lors de la configuration de l'archive.

Pour plus de détails, reportez-vous au chapitre Archives de lots.

info Informations

La fonction Indexer les archives est toujours exécutée sur le serveur principal.

Pour configurer la fonction :

  1. Dans le nœud Fonctions de la barre d'outils ou dans le menu contextuel, sélectionnez l'option Nouvelle fonction.
  2. La boîte de dialogue de sélection d'une fonction s'affiche à l'écran.
  3. Accédez au nœud Archives.
  4. Sélectionnez la fonction Indexer les archives.
  5. La boîte de dialogue de sélection d'archives s'affiche :
    Seules les archives de lots sont affichées.
  6. Sélectionnez l'archive souhaitée
  7. Fermez la boîte de dialogue en cliquant sur OK.
    Le nom de l'archive est affiché sous forme de paramètre dans la liste de fonctions.
  8. Liez la fonction à un bouton.

Dans le Runtime, la fonction indexe l'archive sélectionnée, si elle est exécutée.

Boîte de dialogue de sélection d'archive

Paramètres | Description
Archives disponibles | Affichage de toutes les archives de lots configurées. Effectuez votre sélection en cliquant sur l'entrée.
Exécuter de façon synchrone | Valide uniquement en cas d'exécution dans un script. Active : la nouvelle fonction démarre uniquement lorsque cette fonction a été complétée.
OK | Applique les paramètres et ferme la boîte de dialogue.
Annuler | Annule toutes les modifications effectuées sur tous les onglets, puis ferme la boîte de dialogue.
Aide | Ouvre l'aide en ligne.


Afficher les archives actives

Manuel -> Serveur d'archives -> Fonctions -> Afficher les archives actives

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Cette fonction ouvre, dans le Runtime, une fenêtre affichant toutes les archives actuellement ouvertes. La fenêtre est toujours affichée au premier plan.

Pour configurer la fonction :

  1. Dans le nœud Fonctions de la barre d'outils ou dans le menu contextuel, sélectionnez l'option Nouvelle fonction.
  2. La boîte de dialogue de sélection d'une fonction s'affiche à l'écran.
  3. Accédez au nœud Archives.
  4. Sélectionnez la fonction Archive : liste des archives actives.
  5. Liez la fonction à un bouton.


Exporter les archives

Manuel -> Serveur d'archives -> Fonctions -> Exporter les archives

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Cette fonction est utilisée pour exporter dans un fichier les données enregistrées dans une archive. La langue de l'identifiant et l'unité de mesure peuvent être modifiées lors de l'exportation. Ces données sont exportées dans la langue d'exécution du Runtime.

Les considérations suivantes s'appliquent à la conversion d'unités de mesure : Les données d'archives sont toujours exportées dans l'Unité de mesure dans laquelle elles ont été créées. Une conversion des unités de mesure n'est pas prise en compte ici.

Les informations suivantes doivent être configurées pour l'exportation :

  • Informations générales concernant les formats, les contenus et la destination d'exportation.
  • Archive
  • Filtre de temps
  • Filtre de lots

attention Attention

Le nom du fichier d'exportation ne peut contenir aucun caractère spécial.
Les caractères suivants sont interdits : \ / : * ? " < > |

Pour configurer l'exportation de l'archive :

  1. Dans le nœud Fonctions de la barre d'outils ou dans le menu contextuel, sélectionnez l'option Nouvelle fonction.
  2. La boîte de dialogue de sélection d'une fonction s'affiche à l'écran.
  3. Accédez au nœud Archives.
  4. Sélectionnez la fonction Exporter archives.
  5. La boîte de dialogue de filtre pour la configuration de l'exportation s'affiche à l'écran.

info Informations

Le nombre de points décimaux lors de l'exportation d'archives au format TXT, XML ou DBF (ainsi que lors du transfert d'archives vers SQL Server) peut être modifié dans le fichier project.ini, grâce au paramètre ARCHDIGITS= dans la section [ARCHIV].

Par défaut : ARCHDIGITS=1

Avec dialogue de filtre

Onglets

Description

Général

Définition des paramètres suivants :

  • Format d'exportation
  • Les colonnes à exporter
  • Options
  • Exporter le fichier

Archive

Sélectionnez l'archive à exporter.

Heure

Indiquez la plage de temps correspondante.

Lots

Sélectionnez les lots souhaités

info Informations

Lors de l'exportation d'une archive de lots, les entrées suivantes sont automatiquement définies :

  • Heure de fin : heure de l'exportation
  • Nom de lot : valeur actuelle des variables de lot

Attention : il n'est pas nécessaire que ces valeurs correspondent aux valeurs de l'archive de lot arrêtée.

Structure de table et comportement lors de l'exportation

Structure de table

Déclarations :

  • Table _DATA :

    "CREATE TABLE [" + szDBTable "_DATA"] ([PRJ] varchar(128),[ARV] varchar(2),[VAR] varchar(128),[CALCULATION] int,[TIMESTAMP_S] int,[TIMESTAMP_MS] int,[VALUE] varchar(128),[STATUS] int)"

  • Table_BATCH pour les lots :

    "CREATE TABLE [" + szDBTable + "_BATCH] ([PRJ] varchar(128),[ARV] varchar(2),[BATCH] varchar(128),[START_S] int,[END_S] int)"

Comportement lors de l'exportation

  1. Aucun nom de table n'est indiqué :

    La table intitulée _DATA est créée et les valeurs sont saisies.
    (La table intitulée _BATCH est également créée, bien qu'aucun filtre ne soit actif et qu'aucune valeur n'ait été saisie.)

  2. Nom de table indiqué : XXX :

    Les tables XXX_DATA et XXX_BATCH sont créées et les valeurs sont saisies en fonction de la configuration (lot activé/désactivé).

Lors de l'exportation, aucun nom n'est saisi ou le nom de la table sans _DATA est saisi dans zenon. Si des valeurs doivent être saisies dans une table définie (par ex. MYPROJECT_DATA), seul le nom MYPROJECT peut être indiqué comme nom de table dans zenon. Si le nom MYPROJECT_DATA est indiqué, la table MYPROJECT_DATA_DATA est créée et renseignée.

Si une table préexistante est exportée (pas de nom ou nom sans _DATA), les valeurs sont également insérées dans la table. Ceci est le cas, que des valeurs identiques soient déjà présentes dans la table ou non.

Vérification de la mémoire durant la lecture

La quantité de mémoire disponible est vérifiée lors de la lecture d'archives.

Type d'enregistrement

Vérification de l'enregistrement

SQL

Si moins de 10 % de la mémoire disponible dans le système est libre, la lecture des données provenant du serveur SQL est annulée.

Fichiers ARX

L'espace disponible est vérifié avant la lecture des données d'archive (*.arx). La lecture est annulée si :

  • Moins de 10 % de la mémoire disponible sont libres
  • La taille de la mémoire réservée (SPEICHER) dans le fichier project.ini est dépassée

L'annulation est documentée dans l'outil Diagnosis Viewer, par le biais d'un message d'erreur.

attention Attention

Si des fichiers créés dans le Serveur d'archives dépassent la quantité de mémoire réservée dans le fichier project.ini ou la règle des 10 %, les données ne peuvent pas être lues.

Autres sujets abordés dans ce chapitre

Général

Archive

Heure

Lots


Général

Manuel -> Serveur d'archives -> Fonctions -> Exporter les archives -> Général

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Les paramètres suivants peuvent être configurés sur cet onglet :

  • Format d'exportation
  • Sommaire
  • Options du fichier

Format d'exportation

Sélection du format d'exportation.

Format

Description

dBase

Active : Exportation vers un fichier dBase IV (*.dbf).
Attention : Les fichiers DBF doivent :

  • Posséder un nom conforme au format DOS 8.3 (8 caractères alphanumériques pour le nom, 3 caractères pour l'extension, pas d'espace)
  • Être stockés près du répertoire racine

CSV

Active : Exportation vers un fichier texte au format CSV (*.txt).

Structure (-> représente une marque de tabulation) :
Nom -> Identifiant -> Valeur -> Unité -> (état_HI_DWORD)(état_LO_DWORD) -> seconde

XML

Active : Exportation vers un fichier XML (*.xml).

SQL

Active : Exportation vers une base de données SQL.

Remarque : Pour effectuer l'exportation vers une base de données SQL, la licence correspondante doit être disponible pour Editor et le Runtime.

Colonnes exportées

Sélection des colonnes de la base de données devant être exportées. Cette sélection est uniquement valide pour l'exportation aux formats dBase et CSV. Des colonnes fixes sont définies pour les formats XML et SQL. Si le format d'exportation XML ou SQL est sélectionné, la sélection des colonnes est désactivée.

Remarque : Les formes courtes des colonnes sélectionnées sont affichées sous les cases de sélection des colonnes devant être exportées. Dans ce cas, l'ordre est l'ordre de sélection. Chaque forme courte est insérée entre parenthèses, près de l'intitulé de la colonne.

dBase et CSV

Les colonnes suivantes peuvent être sélectionnées :

Colonne | Description
Nom de variable (V) | Active : la colonne Nom de variable est exportée. Elle contient les noms des variables.
Identifiant (I) | Active : la colonne Identifiant est exportée. Elle contient l'identifiant de la variable.
Valeur (W) | Active : la colonne Valeur est exportée. Elle contient la valeur technique des variables.
Unité (U) | Active : la colonne Unité est exportée. Elle contient l'unité associée à une valeur.
État (S) | Active : la colonne État est exportée. Elle indique l'état des variables.
Date (D) | Active : la colonne Date est exportée. Elle contient les informations d'horodatage (date) des variables
Heure (Z) | Active : la colonne Heure est exportée. Elle contient les informations d'horodatage (heure) des variables

SQL

Les colonnes d'exportation sont définies et fixes, et ne peuvent plus être sélectionnées. Les éléments suivants sont exportés :

Colonne | Description
PRJ | Nom du projet
ARV | Identifiant de l'archive
VAR | Nom de variable
CALCULATION | Non nul, pour les entrées provenant d'archives résultantes.
TIMESTAMP_S | Informations d'horodatage des variables au format Unix.
TIMESTAMP_MS | Nombre de millisecondes des informations d'horodatage
VALUE | Valeur des variables.
STATUS | État des variables (valeur décimale).

Options

Options d'exportation supplémentaires.

Paramètres | Description
Afficher cette boîte de dialogue dans le Runtime | Active : Cette boîte de dialogue est affichée dans le Runtime lors de l'appel de synoptique.
Lire les archives depuis le dossier de sauvegarde | Active : Les archives à exporter sont lues depuis le dossier de restauration. Lors du chargement de données d'archives depuis le dossier de restauration, les données d'archives provenant du chemin du Runtime et de tous les sous-dossiers du dossier de restauration sont également lues.
Exporter au format Unicode | Active : le fichier exporté est enregistré au format Unicode (UTF-16). Uniquement disponible pour le format d'exportation CSV.

Exporter dans un fichier

Définition du fichier dans lequel seront exportées les archives.

Paramètres

Description

Nom du fichier

Nom de fichier libre, défini par l'utilisateur. Le fichier est enregistré avec le même nom à chaque exportation.
Remarque : Le nom ne peut contenir aucun caractère spécial. Les caractères suivants sont interdits : \ / : * ? " < > |

Disponible uniquement si l'option Attribution automatique du nom de fichier a été désactivée.

Attribution automatique du nom de fichier

Active : les noms de fichiers sont générés automatiquement à partir d'un identifiant court et d'un indice de jour.

Format de l'indice de jour : AAMMJJHHMMSS.yyy

  • AA: Année (deux chiffres)
  • MM: Mois (deux chiffres)
  • JJ: Jour (deux chiffres)
  • HH: Heure (deux chiffres)
  • MM: Minutes (deux chiffres)
  • SS : Secondes (deux chiffres)
  • yyy : type du fichier (DBF, TXT, XML)

Générer le nom de fichier à partir du nom de lot

Active : le nom de lot est utilisé pour créer le nom du fichier d'exportation.

Disponible uniquement si l'option Attribution automatique du nom de fichier a été activée.

Attention : le nom de lot ne peut contenir aucun caractère spécial.

Suffixe

Identifiant libre, automatiquement ajouté aux noms de fichier.

Peut comprendre 29 caractères ASCII maximum.
Remarque : disponible uniquement si l'option Attribution automatique du nom de fichier est active.

Dossier d'export

Affiche le chemin d'exportation défini.

Vous pouvez modifier le dossier dans Editor, en accédant au menu suivant : Fichier -> Configuration générale -> Onglet Standard -> Dossier d'exportation des archives.

Exporter vers une base de données SQL

Paramètres

Description

Connexion à la base de données

Lors du transfert d'archives vers une base de données SQL : Définition de la base de données à utiliser.

Remarque : la fonction d'exportation vers une base de données SQL n'est disponible que si Editor et le Runtime comportent une licence.

Table

Lors du transfert d'archives vers une base de données SQL : Définition de la table à utiliser.

Remarque : la fonction d'exportation vers une base de données SQL n'est disponible que si Editor et le Runtime comportent une licence.

Fermer la boîte de dialogue

Paramètres | Description
OK | Applique toutes les modifications effectuées sur tous les onglets, puis ferme la boîte de dialogue.
Annuler | Annule toutes les modifications effectuées sur tous les onglets, puis ferme la boîte de dialogue.
Aide | Ouvre l'aide en ligne.


Archive

Manuel -> Serveur d'archives -> Fonctions -> Exporter les archives -> Archive

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

L'archive à exporter peut être sélectionnée sur cet onglet.

Sélection d'une archive

Paramètres | Description
Sélection d'une archive | Sélection d'une archive déjà créée dans l'arborescence des archives. Le nom de l'archive sélectionnée est affiché sous forme de paramètre dans la liste des fonctions.
OK | Applique toutes les modifications effectuées sur tous les onglets, puis ferme la boîte de dialogue.
Annuler | Annule toutes les modifications effectuées sur tous les onglets, puis ferme la boîte de dialogue.
Aide | Ouvre l'aide en ligne.


Heure

Manuel -> Serveur d'archives -> Fonctions -> Exporter les archives -> Heure

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

La configuration du filtre de temps s'effectue sur cet onglet.

Filtre

Sélection du filtre.

Paramètres

Description

Pas de filtre horaire

Active : Aucun filtre temps n’est utilisé.

Note : toutes les entrées Runtime depuis 1. 1. 1990 sont affichées.

Filtre absolu

Active : Un intervalle de temps fixe est défini dans Editor. Lors de l’exécution de la fonction, l’intervalle temps absolu défini est utilisé avec exactitude.

La section Paramètres permet d’afficher et de configurer les options correspondantes.

Remarque : L’heure est enregistrée au format UTC. Pour plus de détails, reportez-vous au chapitre Gestion de la date et de l'heure, dans le chapitre Runtime.

Intervalle relatif

Active : Un intervalle de temps relatif est saisi.

La section Paramètres permet d’afficher et de configurer les options correspondantes.

Attention : Ce filtre est continuellement mis à jour.

De

Active : L’heure à partir de laquelle le filtre est appliqué. Si l’heure n’est pas atteinte ce jour, le filtrage a lieu à partir de l’heure correspondante le jour précédent.

Sélectionnez le mode du domaine dans la liste déroulante?;

  • À partir de HH:MM:SS
  • À partir du jour - HH:MM:SS
  • À partir d’un jour, d’un mois, à HH:MM:SS

La section Paramètres permet d’afficher et de configurer les options correspondantes.

Attention : L’heure de début de ce filtre n’est pas mise à jour automatiquement. Seules les heures existantes affichées sont utilisées.
L’heure de fin n’est pas définie avec ce filtre?; elle est reportée.

Intervalle

Active : Un intervalle de temps fixe est saisi. Sélectionnez le mode du domaine dans la liste déroulante?;

  • Horaire-jour
  • Horaire-semaine
  • Deux semaines
  • Un mois
  • Une année
  • 15 minutes
  • 30 minutes
  • 60 minutes

La section Paramètres permet d’afficher et de configurer les options correspondantes.

Fermer boîte de dialogue

Paramètres | Description
OK | Applique toutes les modifications effectuées sur tous les onglets, puis ferme la boîte de dialogue.
Annuler | Annule toutes les modifications effectuées sur tous les onglets, puis ferme la boîte de dialogue.
Aide | Ouvre l'aide en ligne.

La configuration est similaire à la configuration du filtre de temps pour les appels de synoptique.


Lots

Manuel -> Serveur d'archives -> Fonctions -> Exporter les archives -> Lots

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Vous pouvez choisir de limiter l’affichage à certains lots sur cet onglet. Les informations des lots sont également appliquées au filtre existant.

info Informations

Certains filtres dans zenon peuvent être configurés indépendamment les uns des autres, puis associés dans le Runtime. Ceci est uniquement possible dans une certaine mesure, avec le filtre de lots.

Le filtre de lots peut afficher une liste de lots existants dans le Runtime. En revanche, les données du Runtime ne sont pas disponibles dans Editor.

Lors de la configuration de l’appel de synoptique dans Editor, l’onglet Filtre de temps peut uniquement être utilisé conjointement au filtre de lots, en tant que pré-filtre pour la boîte de dialogue de sélection. Si vous sélectionnez un lot dans cette liste dans le Runtime, le filtre de temps est remplacé avec les données issues du lot sélectionné pour autoriser un filtrage précis du lot sélectionné.

Ceci signifie : Si la boîte de dialogue de sélection de lots est utilisée dans le Runtime et un lot est sélectionné, le filtre de temps affiché ne correspond pas à celui configuré dans Editor.

Filtre

Paramètres d’application du filtre de lots. Sélectionnez une des options suivantes :

  • Pas de filtre de lots
  • Appliquer directement le filtre de lots
  • Afficher la boîte de dialogue de sélection de lots
    Remarque : Si le filtre de lots est affiché sous forme de boîte de dialogue, il peut être pré-filtré en fonction des identifiants d’archive. Nous vous recommandons expressément d’utiliser ce pré-filtrage pour améliorer les performances.

Paramètres

Description

Pas de filtre de lots
  • Active : Le filtre de lots est désactivé et ne peut pas être configuré. Le filtrage de lots n’est pas exécuté dans le Runtime.

Appliquer directement le filtre de lots
  • Active : Le filtre configuré ici est directement appliqué dans le Runtime.

Remarque : Il n’existe aucune possibilité pour afficher tous les lots dans une liste et en sélectionner un manuellement. Si un lot particulier doit être affiché, le filtre pour les archives, les noms et les heures doit être configuré en conséquence. Ceci nécessite une excellente connaissance des données existantes. Dans l’alternative, nous vous recommandons de sélectionner l’option Afficher la boîte de dialogue de sélection de lots.

Afficher la boîte de dialogue de sélection de lots

Active : La boîte de dialogue de sélection est affichée dans le Runtime dans les situations suivantes :

  • Lorsque vous cliquez sur Filtre, ou
  • Lors d’un appel de synoptique, si l’option Afficher cette boîte de dialogue dans le Runtime a été activée (indisponible avec tous les types de fonctions et de synoptiques).
    Remarque : La boîte de dialogue n’est pas affichée en cas de rechargement du projet.

Les options peuvent être présélectionnées dans Editor.

Remplacer dialogue avec ce synoptique en runtime

Uniquement disponible si l’option Afficher la boîte de dialogue de sélection de lots a été sélectionnée.

Permet de définir un synoptique devant être appelé dans le Runtime à la place de la boîte de dialogue de sélection de lots. Seuls les synoptiques Filtre de temps/de lot sont proposés.

Cliquez sur le bouton ... pour ouvrir une boîte de dialogue permettant de sélectionner un synoptique.

Si le synoptique lié n’est pas localisé dans le Runtime, une recherche est effectuée pour trouver les synoptiques correspondants portant le nom spécifié.

Remarque : Un synoptique de filtre de lots peut également être sélectionné avec l’option Afficher cette boîte de dialogue dans le Runtime. Toutefois, il n’est pas utilisé comme filtre, mais comme synoptique de filtre de temps. Les options de filtre de lots ne sont pas correctement appliquées à cet emplacement.

Sélection relative des lots

Attention : Cette option est uniquement disponible pour le module Extended Trend. Avec les cadrans, elle est affichée pour tous les types de synoptiques?; ici, toutefois, elle est uniquement disponible pour le module ETM.

Configuration pour le module ETM :

Pour que l’option soit disponible, l’option Afficher la boîte de dialogue de sélection de lots doit être activée et la propriété Projet Windows CE doit être désactivée dans les propriétés du projet.

  • Active : Autorise la comparaison directe de plusieurs lots. L’affichage débute toujours au point zéro.

Remarque : Si l’option est activée, les boutons Diagramme et l’axe X ne sont pas disponibles dans le Runtime. Ceci s’applique également pour la fonctionnalité clic droit.

Vue d’ensemble de la mise en œuvre de la configuration dans le Runtime :

Heure

Configuration du filtre de temps pour la sélection de lots. Sélectionnez une des options suivantes :

  • Pas de filtre
  • Derniers lots
  • Utiliser le filtre de temps de l’onglet Temps

Paramètres

Description

Pas de filtre
  • Active : La plage de temps définie sur l’onglet Temps n’est pas prise en compte. Tous les lots terminés et actuels sont affichés.

Derniers lots

Attention : Fonctionne uniquement avec l’option Appliquer directement le filtre de lots.

L’option permet d’associer les options Afficher les lots actuels et Afficher les lots terminés. Une des deux options au moins doit être activée. Si les deux options ont été désactivées, ceci correspond au paramètre Pas de filtre.

  • Active : Saisie du nombre de lots terminés, en fonction des critères de filtre sélectionnés. Saisie du nombre dans le champ correspondant ou configuration à l’aide des touches fléchées.

Exemple : La valeur 3 a été saisie pour l’option. 2 lots sont en cours d’exécution et 10 sont terminés. Les lots suivants sont affichés : les deux lots actuels et les lots terminés.

Remarque : La configuration du filtre de temps n’est pas utilisée comme intervalle pour les lots actuels, mais pour l’année passée. Le filtre ne sera pas mis en œuvre en tant que pré-filtre, et ne peut donc pas être utilisé pour améliorer les performances.

Notes concernant la compatibilité :
Si le projet est compilé pour une version antérieure à la version 7.11, les dispositions suivantes s’appliquent : Si les lots actuels ou l’association de lots en cours et terminés sont sélectionnés, seuls les lots terminés sont affichés dans le Runtime.

Afficher les lots actuels
  • Active : Les lots actuels sont affichés.

Remarque : Si le nombre de lots à afficher est supérieur au nombre de lots actuels, les lots terminés sont également affichés jusqu’à ce que la limite configurée soit atteinte.
Exemple : 3 lots doivent être affichés. 1 lot est en cours d’exécution, 5 lots sont terminés. Le lot actuel et les deux lots terminés sont affichés.

Afficher les lots terminés
  • Active : Les lots terminés sont affichés.

Remarque : Si le nombre de lots à afficher est supérieur au nombre de lots terminés, les lots terminés sont également affichés jusqu’à ce que la limite configurée soit atteinte.

Utiliser le filtre de temps de l’onglet Temps
  • Active : Le préfiltrage est effectué avec les paramètres de l’onglet Temps.

La plage effective du filtre peut être modifiée dans les limites de cette plage de temps. Sélectionnez dans la liste déroulante :

  • Inclure les valeurs de début et de fin situées hors des limites du filtre : (Par défaut)
    Les lots peuvent démarrer avant l’heure de début configurée dans le filtre Temps et se terminer après l’heure de fin configurée.
  • Uniquement les valeurs de début et de fin situées hors des limites du filtre :
    Les lots doivent commencer et se terminer dans les limites des horaires de début et de fin configurés dans le filtre Temps.
  • Inclure les valeurs de début antérieures aux limites du filtre :
    Les lots peuvent démarrer avant l’heure de début configurée dans le filtre Temps et se terminer après l’heure de fin configurée.
  • Inclure les valeurs postérieures à la limite du filtre :
    Les lots peuvent également se terminer après la fin de la période définie dans le filtre Temps, mais doivent commencer à l’heure de début configurée ou après celle-ci.
  • Conformer les valeurs de début et de fin aux limites du filtre :
    Les lots sont tronqués conformément aux horaires de début et de fin configurés dans le filtre Temps.

Archives

Configuration du filtrage pour les archives. Ce filtre est appliqué comme pré-filtre pour la boîte de dialogue de sélection de lots.

Sélectionnez une des options suivantes :

  • Pas de filtre
  • Statique
  • Depuis une variable

Paramètres

Description

Pas de filtre
  • Active : Le filtrage des noms d’archives est désactivé.

Statique
  • Active : Les archives dont l’identifiant correspond à la chaîne de caractères saisie dans le champ de recherche sont filtrées.

Saisissez les identifiants d’archive dans le champ de recherche.

  • Séparez plusieurs identifiants par une virgule (,).
  • * ou vide : Toutes les archives, pas de filtre.

Depuis une variable
  • Active : La valeur des variables liées ici est appliquée sous forme de filtre de noms d’archive dans le Runtime.

Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de variables.

Disponible pour les modules AML et CEL si l'option Appliquer directement le filtre de lots a été sélectionnée : D’autres modules utilisent leurs propres configurations.

Remarques concernant les variables dans le Runtime :

  • La sélection de variables est uniquement activée dans le Runtime si une variable valide a déjà été liée dans le Runtime. Le bouton ... est toujours désactivé dans le Runtime. L’option peut être sélectionnée, mais aucune nouvelle variable ne peut être liée.
  • Si la variable n’est pas authentifiée auprès du driver au moment de l’application du filtre de lots, la variable est authentifiée et lue. Ceci peut entraîner des délais avec les connexions de drivers et protocoles plus lents.

Attention : Si la variable sélectionnée n’est pas présente dans le Runtime, aucun filtrage de noms d’archive n’est effectué. Ceci est également vrai s’il est impossible de déterminer la valeur de la variable. Le filtre correspond dans ce cas au paramètre Pas de filtre.

Remarque concernant le module ETM : Dans le module ETM, les archives sont définies en fonction des courbes configurées dans la fonction d’appel de synoptique. Dans le Runtime, ceci est uniquement possible avec l’option lots relatifs. Les variables doivent alors être sélectionnées dans le Runtime, ce qui dépend de l’éventuelle sélection d’archives. Une fois filtrée, l’archive doit être une des archives liées aux courbes configurées. Si ce n’est pas le cas, aucune donnée ne sera affichée. Ce paramètre peut toutefois également être utilisé pour limiter l’affichage des courbes. Ces courbes restent toutefois affichées dans la liste de courbes.

Exemple avec le module ETM :

Courbes configurées | Source de données | Pré-filtrage des archives dans le filtre de lots | Résultat sur le synoptique
A | AR | AR | Affichée dans la liste de courbes et dessinée dans la tendance.
B | EA |  | Uniquement affichée dans la liste de courbes.
C | EP |  | Uniquement affichée dans la liste de courbes.

Remarque concernant la maintenance d’archive : L’archive pour laquelle le synoptique est ouvert est déjà sélectionnée dans la fonction d’appel de synoptique. Une seule archive peut être sélectionnée?; aussi, il est inutile d’imposer d’autres limitations.

Exemple de maintenance d’archive :

Archive configurée | Pré-filtrage des archives dans le filtre de lots | Résultat sur le synoptique
AR | EA | Aucune donnée n’est affichée.

Noms

Configuration du filtrage des noms. Sélectionnez une des options suivantes :

  • Pas de filtre
  • Statique
  • Depuis une variable

Paramètres

Description

Pas de filtre
  • Active : Le filtrage des noms de lots est désactivé.

Statique
  • Active : Les noms de lots correspondant à la chaîne de caractères saisie dans le champ de recherche sont filtrés.

Saisissez le nom de lot dans le champ de recherche :

  • Séparez les entrées multiples par un tube (|).
  • * ou vide : Tous les lots de toutes les archives affichées, pas de filtre.

Depuis une variable
  • Active : La valeur de la variable liée ici est appliquée sous forme de filtre de noms de lot dans le Runtime.

Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de variables.

Uniquement disponible si l’option Appliquer directement le filtre de lots a été sélectionnée :

Remarques concernant les variables dans le Runtime :

  • La sélection de variables est uniquement activée dans le Runtime si une variable valide a déjà été liée dans le Runtime. Le bouton ... est toujours désactivé dans le Runtime. L’option peut être sélectionnée, mais aucune nouvelle variable ne peut être liée.
  • Si la variable n’est pas authentifiée auprès du driver au moment de l’application du filtre de lots, la variable est authentifiée et lue. Ceci peut entraîner des délais avec les connexions de drivers et protocoles plus lents.

Attention : Si la variable sélectionnée n’est pas présente dans le Runtime, aucun filtrage de noms de lot n’est effectué. Ceci est également vrai s’il est impossible de déterminer la valeur de la variable. Le filtre correspond dans ce cas au paramètre Pas de filtre.

Fermer boîte de dialogue

Paramètres | Description
OK | Applique toutes les modifications effectuées sur tous les onglets, puis ferme la boîte de dialogue.
Annuler | Annule toutes les modifications effectuées sur tous les onglets, puis ferme la boîte de dialogue.
Aide | Ouvre l'aide en ligne.

La configuration du filtre de lots se déroule de manière semblable à celle d'un filtre de temps pour l'appel de synoptiques.


Utilisation dans le Runtime

Manuel -> Serveur d'archives -> Utilisation dans le Runtime

Les archives peuvent être affichées et éditées dans le Runtime par l'intermédiaire d'un synoptique Maintenance d'archive.

Les archives créées dans le Runtime sont enregistrées sous forme de fichiers *.arx dans le dossier Runtime de l'ordinateur :
%Public%\Documents\zenon_Projects\[workspace]\[project]\[computer_name]\[project]

Le fichier d'archive actuel possède le nom de l'identifiant. Si l'archive est fermée, ce fichier est enregistré et renommé, et un autre fichier est créé avec le nom de l'identifiant. Lorsque le fichier est renommé, l'heure au format UTC est utilisée. Les fichiers sont accessibles dans le Runtime à l'aide de filtres. Il n'est pas nécessaire d'intervenir sur les fichiers dans l'explorateur de fichiers.

Les valeurs provenant des archives peuvent être éditées, supprimées et complétées dans le Runtime, selon le paramètre choisi.

Attention : Si des fichiers créés dans le Serveur d'archives dépassent la quantité de mémoire réservée dans le fichier project.ini ou la règle des 10 %, les données ne peuvent pas être lues. Pour plus de détails, reportez-vous au chapitre Exporter les archives.

info Informations

Pour une valeur décimale, vous pouvez utiliser une virgule (,) ou un point (.) comme séparateur décimal. Dans ce cas, le séparateur décimal est automatiquement transformé en point.

Création d'un synoptique Maintenance d'archive

Élément de contrôle | Description
Fenêtre de données d'archive | Affichage des données d'archive dans le Runtime.
Configurer le filtre (liste) | Configuration du filtre défini.
Configurer le filtre (affichage) | Affichage du filtre configuré.
État de l'archive | Affichage de l'état de l'archive.
Nom court | Affiche la description courte de l'archive sélectionnée.
Nombre total | Affiche le nombre de valeurs affichées.
Nombre d'états INVALID | Affichage du nombre de variables avec l'état INVALID.
Ouvrir une archive | Ouvre la boîte de dialogue de sélection d'archives.
Fermer l'archive | Ferme l'archive actuellement ouverte.
Enregistrer l'archive | Enregistre les modifications dans l'archive et effectue la mise à jour des archives résultantes à la demande de l'utilisateur.
Modifier l'entrée | Ouvre la boîte de dialogue d'édition de l'entrée d'archive sélectionnée.
Insérer une entrée | Ouvre la boîte de dialogue d'insertion d'entrées d'archives dans les fichiers d'archive. Si aucun fichier d'archive correspondant à cette plage de temps n'est présent, aucune entrée ne peut être insérée. Un message d'erreur correspondant est affiché en cas de tentative d'insertion d'une entrée.
Supprimer l'entrée | Supprime les entrées sélectionnées de l'archive après une demande de confirmation.
Sélectionner | Cliquez sur le bouton pour ouvrir la boîte de dialogue de configuration du filtre.
Configuration des colonnes | Ouvre la boîte de dialogue de configuration de la largeur des colonnes et de la police de caractères.
Imprimer | Imprime la liste sur l'imprimante configurée.
Sélection de profil | Saisissez un nom d'un nouveau profil de filtre ou sélectionnez un profil de filtre dans une liste déroulante.
Enregistrer | Enregistre le filtre actuel sous forme de profil avec le nom défini dans le champ de texte profil de filtre.
Supprimer | Supprime le profil de filtre actuellement sélectionné.
Importer | Ouvre la boîte de dialogue d'importation de profil de filtre.
Exporter | Ouvre la boîte de dialogue d'exportation de profil de filtre.

Profils de filtre

Les profils de filtre sont des paramètres que l’utilisateur peut enregistrer et activer dans le Runtime en rapport avec un synoptique particulier.

Pour pouvoir utiliser les profils de filtre, vous devez configurer les éléments suivants :

Élément de contrôle | Description
Profils de filtre | Gestion des profils dans le Runtime.
Sélectionner un profil | Sélection, dans une liste déroulante, d’un profil enregistré.
Enregistrer | Cliquez sur le bouton dans le Runtime pour enregistrer les profils de filtre sous forme de profil. Remarque : Le nom ne peut contenir que 31 caractères maximum et uniquement des caractères valides. Les caractères suivants sont interdits : ! \ / : * ? < > | ""
Supprimer | Cliquez sur le bouton dans le Runtime pour supprimer le profil sélectionné.

Ceci vous permet d’effectuer les opérations suivantes dans le Runtime :

  • Enregistrer des filtres
  • Utiliser des filtres enregistrés
  • Supprimer des profils de filtre

Les profils de filtre peuvent également être exportés et importés avec d’autres éléments de contrôle.

Fonctions

En mode de fonctionnement en ligne, les fonctions suivantes sont disponibles pour le contrôle et la surveillance des archives :

  • Archive : Début : Démarrage manuel d'une archive sélectionnée dans Editor.
  • Archive : Arrêter : Arrêt manuel d'une archive sélectionnée dans Editor.
  • Indexer l'archive : nouvelle indexation des archives de lot.
  • Afficher les archives actives : affichage des archives en cours d'exécution.
  • Exporter les archives : exportation d'archives dans différents formats.

Édition d'archives enregistrées dans SQL

Les valeurs des archives enregistrées dans SQL peuvent être modifiées.
En revanche, il est impossible de :

  • Modifier les informations d'horodatage
  • Supprimer des valeurs
  • Insérer des valeurs

Autres sujets abordés dans ce chapitre

Procédure

Sélection

Filtre de lots et filtre de temps

Définition de la police et de la largeur des colonnes

Édition de valeurs

Insertion de valeurs

Stockage de valeurs dans une archive

Imprimer l'archive

Cycles dans le Runtime


Procédure

Manuel -> Serveur d'archives -> Utilisation dans le Runtime -> Procédure

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Lors du démarrage d'une archive dans le Runtime, un fichier xx.arx (xx = identifiant court de l'archive) est créé. Dès que l'archive est arrêtée, elle est fermée et nommée conformément aux règles.

Les variables de type String peuvent également être archivées.

attention Attention

Ne fermez jamais le Runtime pendant qu'une archive est active. Ceci s'applique également aux processus continus utilisant des archives (module Batch Control, par exemple).

Raison : Arrêter le Runtime pendant qu'une archive est active empêche la fermeture correcte de l'archive.

Le Runtime a été arrêté alors qu'une archive était en cours d'exécution.

Problème : le Runtime a été arrêté alors qu'une archive était encore en cours d'exécution. Ceci signifie :

  • L'archive ne sera pas fermée.
  • Le fichier ne peut donc pas être renommé.
  • Le fichier ARX est encore présent.

Ceci entraîne le comportement suivant :

  • L'archive n'est plus active au redémarrage du Runtime.

    Si une archive est configurée comme une archive cyclique, au redémarrage du Runtime, le système la remplit avec des valeurs par défaut pour la zone manquante dans l'intervalle actuel. Si aucune valeur n'a été transférée, la valeur de remplacement définie est utilisée ; dans le cas contraire, la dernière valeur valide est utilisée. Les entrées existantes ne sont pas écrasées.

  • L'exécution de la fonction Archive : arrêt n'arrête plus l'archive. Le fichier ARX ne peut donc pas être copié correctement.
  • Aucune exportation de l'archive ne peut avoir lieu tant que le fichier ARX est présent.

Solution : Redémarrer l'archive, puis l'arrêter. L'archive est alors correctement fermée et renommée.
L'archive peut contenir des valeurs non valides.
Conseil pour le développement : Dans les scripts AUTOEND ou AUTOEND_SERVPROJ, fermez toutes les archives démarrées manuellement. Ces dernières seront ainsi arrêtées et fermées automatiquement lors de la fermeture du Runtime.

Valeurs avec une archive arrêtée

Si des valeurs sont générées pendant qu'une archive est arrêtée :

  • Avec une archive cyclique, des valeurs de remplacement sont utilisées pour les renseigner.
  • Avec des archives ne comportant aucun point d'échantillonnage défini, la dernière valeur correspondante avec l'état I-Bit est écrite dans l'archive.

Actualisation et commutation de serveur

Si l'actualisation est déclenchée dans le Runtime pendant l'exécution ou si une reclassification de Serveur 1 et Serveur 2 a lieu, des valeurs dupliquées ou transférées peuvent être présentes.


Sélection

Manuel -> Serveur d'archives -> Utilisation dans le Runtime -> Sélection

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Cliquez sur le bouton Sélection pour afficher la boîte de dialogue de sélection des valeurs affichées en caractères gras.

Toutes les entrées correspondant aux critères sélectionnés sont affichées en surbrillance dans la liste. Les caractères en gras peuvent être supprimés en activant l'option Effacer la sélection.

Avec dialogue de filtre

Paramètres

Description

Liste d'états

Sélection des bits d'état devant être filtrés. La sélection et la désélection s'effectuent en cliquant sur le bit d'état correspondant.

Disponible uniquement si l'option Toutes les entrées a été désactivée.

Liste de variables

Variables de l'archive sélectionnée devant être affichées. Sélectionnez et désélectionnez-les en cliquant sur la case à cocher adjacente aux variables.

Disponible uniquement si l'option Toutes les entrées a été désactivée.

Valeur (en unité de base)

Active : le filtrage est effectué pour les valeurs de l'archive comprises entre des limites minimum et maximum ou les valeurs contenant une séquence de caractères particulière, sous forme de chaîne.

Saisie de :

  • Minimum : limite inférieure de la valeur
  • Maximum : limite supérieure de la valeur
  • Masque de chaîne : séquence de caractères devant être localisée grâce au filtre

Disponible uniquement si l'option Toutes les entrées a été désactivée.

Supprimer la sélection
  • Active : tous les caractères en gras dans la liste sont supprimés lors de la fermeture de la boîte de dialogue.
    Désactive toute possibilité de saisie de bits d'état et de variables.

Toutes les entrées

Active : Les paramètres s'appliquent à tous les états et variables. Les entrées des champs Liste d'états, Liste de variables et Valeurs ne peuvent pas être sélectionnées individuellement.


Filtre de lots et filtre de temps

Manuel -> Serveur d'archives -> Utilisation dans le Runtime -> Filtre de lots et filtre de temps

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Les paramètres de filtre configurés dans la fonction d'appel de synoptique peuvent être modifiés dans le Runtime. Pour cela,

  1. Ouvrez la fonction d'appel de synoptique dans Editor.
  2. Cliquez sur Filtre.
  3. Activez l'option Afficher la boîte de dialogue de filtre dans le Runtime sur l'onglet Filtre d'archive.
  4. Si des variables individuelles doivent également être configurées dans le Runtime, désactivez l'option Toutes les entrées dans Editor.

Dans le Runtime, le filtre de temps ou le filtre de lots sont affichés lors de l'appel de synoptique, selon la configuration des éléments suivants :

  • Filtre de lots activé : Le filtre de lots est proposé
  • Filtre de lots désactivé : Le filtre de temps est proposé

Configuration du filtre de lots

Si vous définissez l'option Tout comme type de filtre de temps, toutes les entrées de Runtime depuis le 01.01.2000 sont affichées.

attention Attention

Toutes les archives de lot configurées sont présentées dans la liste d'archives. Ici, vous devez sélectionner la même archive que dans la fonction d'appel de synoptique. Dans ce cas seulement, les données seront affichées.

Paramètre

Description

Filtre de lots

Sélection du groupe de recettes à importer. Le filtre comprend deux listes :

  • Liste d'archives : Liste d'archives
  • Liste de lots : Liste de lots attribués à l'archive sélectionnée.

Liste d'archives

Sélectionnez l'archive souhaitée

Nœud * :

  • regroupe tous les lots de l'archive affichée.
  • La légende indique le nom du lot.
  • L'heure de début est l'heure de début du premier lot.
  • L'heure de fin est l'heure de fin la plus tardive de tous les lots.

Liste de lots

Affiche la liste de lots attribués à l'archive sélectionnée.

La liste peut être filtrée par saisie de texte, par date, par heure ou par intervalle, selon le type d'archive sélectionné.

Pour trier la liste, cliquez sur un en-tête.

Nom de lot

Affiche le nom de tous les lots disponibles.

Filtre : Saisie d'une chaîne de caractères. Seuls les lots correspondant à la chaîne de caractères saisie seront affichés.

Date de début

Affiche la date de début de tous les lots disponibles.

Filtre : saisie d'une date de début ou sélection dans un calendrier.

Heure de début

Disponible uniquement si vous avez saisi une date de début.

Affiche l'heure de début de tous les lots disponibles.

Filtre : saisie d'une heure de début. * signifie 0:00:00 heure.

Date de fin

Affiche la date de début de tous les lots disponibles.

Filtre : saisie d'une date de fin ou sélection dans un calendrier.

Heure de fin

Disponible uniquement si vous avez saisi une date de fin.

Affiche l'heure de début de tous les lots disponibles.

Filtre : saisie d'une heure de début. * signifie 23:59:59 heure.

Durée

Cette colonne affiche la durée de chaque lot disponible.

Affichage uniquement.

info Informations

Les lots encore ouverts sont affichés s'ils correspondent aux critères de filtre définis.

info Informations

La valeur de la variable de lot est écrite dans le fichier d'index et dans l'en-tête du fichier ARX au début du lot. Ces entrées sont ajustées à chaque modification de la variable. Lors de la fermeture du lot, la valeur de la variable de lot à cet instant est finalement écrite dans le fichier d'index et dans l'en-tête.

De cette manière, le nom du lot est définitif à la fermeture du lot.

SQL

Le filtrage de lots des valeurs d'archives transférées vers SQL est effectué à l'aide d'un filtre de temps. Ce filtre de temps contient toutes les valeurs de l'archive entre l'heure de début et l'heure de fin du lot. L'heure de début et l'heure de fin du lot sont également incluses. Les millisecondes ne sont pas prises en compte avec ce filtrage de temps.

Configuration de la plage de temps

Lorsqu'elle est proposée dans le Runtime, la boîte de dialogue de configuration de la plage de temps peut être spécialisée pour une plage de temps particulière. Pour cela :

  1. Ouvrez la fonction d'appel de synoptique dans Editor.
  2. Cliquez sur Filtre.
  3. Ouvrez l'onglet Temps.
  4. Sélectionnez l'option Période de temps.

Dans le Runtime, à la place de la boîte de dialogue complète, seule une boîte de dialogue de configuration de la plage de temps est proposée. Par exemple, pour le paramètre Un jour :

Exemple

Avec ce paramètre, les plages de temps individuelles (telles que les équipes) peuvent être appelées et configurées rapidement.

Par exemple : Équipe de 06:00 à 14:00.

  1. Sélectionnez la période de temps suivante : Un jour.

    Par défaut, un jour dure de 00:00 à 00:00.

  2. Définissez le décalage de la plage de temps sur six heures.

    La journée durée de 06:00 à 06:00 le lendemain.

  3. Maintenant, définissez la période de temps sur 16 heures.
  4. Laissez l'option Soustraire le temps activée.

    Cela signifie qu'un calcul rétroactif sur 16 heures sera effectué à partir de 06:00 le jour suivant. Maintenant, la journée dure de 06:00 à 14:00, ce qui correspond précisément à la durée de l'équipe du matin.

  5. Transférez les nouveaux fichiers du Runtime.
  6. Redémarrez le Runtime.
  7. Sélectionnez le jour souhaité dans l'appel de synoptique.

Vous obtenez les données correspondant au jour souhaité de 06h00 à 14h00.


Définition de la police et de la largeur des colonnes

Manuel -> Serveur d'archives -> Utilisation dans le Runtime -> Définition de la police et de la largeur des colonnes

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Le type de police et la largeur des colonnes de la liste contenant les données de l'archive peuvent également être modifiés dans le Runtime. Pour cela, vous devez configurer l'élément Fenêtre de diagramme. Dans le Runtime, cliquez sur le bouton pour ouvrir la boîte de dialogue de configuration de la largeur de colonne et de la police :

Paramètre

Description

Largeur de colonne

Largeur de colonne en caractères.

Pour modifier la largeur d'une colonne, saisissez la valeur souhaitée dans le champ de texte adjacent à la colonne.

Police

Sélection du type de police dans la liste déroulante. Toutes les polices configurées dans Editor sont disponibles. La même police est utilisée pour l'expression.

La police sélectionnée est enregistrée dans le fichier project.ini jusqu'au redémarrage du Runtime par l'Editor.

OK

Applique les paramètres et ferme la boîte de dialogue.

Annuler

Discards all changes and closes the dialog.

Standard

Définit toutes les entrées de largeur des colonnes sur les valeurs par défaut. La police sélectionnée n'est pas modifiée.

Enregistrer définitivement la police

Si le Runtime démarre depuis l'Editor, le fichier project.ini est écrasé et la police définie est à nouveau modifiée.

Vous modifiez la police dans le fichier project.ini à l'aide de l'entrée ARCHEDITFONT=.

To apply entries in project.ini permanently, the following procedure is recommended:

  1. Identifiez le projet.
    To do this, note the GUID of the project in the Editor. The first 4-6 digits are sufficient.

    Conseil : Highlight the project in the project manager and press Ctrl+Alt+E.
    Explorer opens the folder ...\<GUID>\Project_SQL_directory\FILES\
    You need this path in the next step.

    Then close the workspace or end the Editor.

  2. Accédez à project.ini : This is in the following folder: ...\<GUID>\Project_SQL_directory\FILES\zenon\system.
  3. Edit the project.ini: Make the desired changes in project.ini. Enregistrez et fermez le fichier.
  4. Transférer fichiers Runtime Open the Editor again or load the project. Create the amended Runtime files and transfer the Runtime files.


Édition de valeurs

Manuel -> Serveur d'archives -> Utilisation dans le Runtime -> Édition de valeurs

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Les valeurs de variables dans les archives peuvent être éditées dans le Runtime. Pour éditer des valeurs :

  1. Sélectionnez l'entrée dans la liste des données de l'archive.

    Remarque : Plusieurs entrées peuvent également être sélectionnées en même temps.

  2. Cliquez sur le bouton Ouvrir ou double-cliquez sur l'entrée.
  3. La boîte de dialogue d'édition de l'entrée s'affiche à l'écran.
  4. Saisissez la valeur et les informations d'horodatage souhaitées.

    Si plusieurs archives sont modifiées et enregistrées au même moment, toutes reçoivent la valeur et les informations d'horodatage spécifiées dans la boîte de dialogue.

  5. Fermez la boîte de dialogue en cliquant sur OK.

    Si une ou plusieurs valeurs ont été modifiées, les événements suivants se produisent lorsque vous cliquez sur OK :

    • L'état de l'entrée est défini sur Valeur manuelle (MAN_VAL).
    • La ligne modifiée est colorée en bleu
    • L'intitulé de la colonne est coloré en rouge
    • Le bouton Enregistrer est activé
  6. Enregistrez la liste mise à jour en cliquant sur le bouton Enregistrer.
    Une fois la liste modifiée enregistrée, la couleur de l'intitulé de la colonne est à nouveau réinitialisée.

Boîte de dialogue Modifier archive

Paramètres

Description

Valeur

Saisie de la nouvelle valeur

Si plusieurs valeurs ont été sélectionnées :

  • La valeur par défaut est toujours définie sur 0
  • La nouvelle valeur est appliquée aux entrées sélectionnées

Heure

Saisie des nouvelles informations d'horodatage

Si plusieurs valeurs ont été sélectionnées :

  • La valeur par défaut est toujours définie sur 0
  • La nouvelle valeur est appliquée aux entrées sélectionnées

OK

Applique les paramètres et ferme la boîte de dialogue.

Annuler

Discards all changes and closes the dialog.


Insertion de valeurs

Manuel -> Serveur d'archives -> Utilisation dans le Runtime -> Insertion de valeurs

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

De nouvelles valeurs peuvent également être insérées dans une archive existante.

Pour insérer de nouvelles valeurs :

  1. Cliquez sur le bouton Insérer.
  2. La boîte de dialogue de création de nouvelles valeurs s'affiche à l'écran.

  3. Sélectionnez une variable.
  4. Saisissez une valeur, un nombre et des informations d'horodatage.
  5. Confirmez votre sélection en cliquant sur OK.

    Les événements suivants se produisent lorsque vous cliquez sur OK et sur l'entrée dans la liste :

    • Si l'état de l'entrée est défini sur Valeur manuelle (MAN_VAL) :
    • La nouvelle ligne est colorée en bleu
    • L'intitulé de la colonne est coloré en rouge
    • Le bouton Enregistrer est activé
  6. Enregistrez la liste mise à jour en cliquant sur le bouton Enregistrer.
    Une fois la liste modifiée enregistrée, la couleur de l'intitulé de la colonne est à nouveau réinitialisée.

Remarque :

  • Si une entrée est sélectionnée avant l'ouverture de la boîte de dialogue :
    • Les informations d'horodatage et de cycle ne peuvent pas être modifiées
    • Si la nouvelle valeur est saisie sous la variable sélectionnée
  • Aucune nouvelle valeur ne peut être insérée dans les archives enregistrées dans SQL.
  • Une fois que la liste modifiée a été enregistrée, la couleur de la colonne est à nouveau réinitialisée.

Boîte de dialogue Insérer une nouvelle valeur

Paramètres | Description
Valeur | Saisie de la nouvelle valeur
Nombre | Saisissez le nombre de valeurs souhaité.
Temps de cycle | Saisissez la durée du cycle, en secondes.
Date | Saisissez la date.
Heure | Saisissez l'horaire.
Variables | Sélection des variables dans une liste.
OK | Applique les paramètres et ferme la boîte de dialogue.
Annuler | Discards all changes and closes the dialog.


Stockage de valeurs dans une archive

Manuel -> Serveur d'archives -> Utilisation dans le Runtime -> Stockage de valeurs dans une archive

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Les valeurs nouvelles et modifiées doivent être enregistrées pour être transférées dans l'archive. Pour cela, cliquez sur le bouton Enregistrer. Les valeurs modifiées sont alors enregistrées dans l'archive. Si des archives résultantes sont également associées à l'archive, celles-ci sont automatiquement mises à jour.

Si l'archive contient des valeurs non enregistrées, celles-ci sont signalées par la coloration en rouge des en-têtes.


Imprimer l'archive

Manuel -> Serveur d'archives -> Utilisation dans le Runtime -> Imprimer l'archive

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Lorsque vous cliquez sur le bouton Imprimer, les archives sont imprimées sous forme de liste, par défaut. Vous pouvez ajouter une ligne de titre à la liste. Pour cela, un fichier de format nommé ARV_G.FRMM doit être spécifié dans zenon.

Pour mettre l'impression en forme :

  1. Créez un fichier de mise en forme :
    • Nom : ARV_G.FRM
  2. Importez le fichier dans Editor, dans les sous-nœuds : Fichiers\Textes et formats.

    Ceci correspond à l'emplacement d'enregistrement : %PUBLIC%\Documents\zenon_Projects\[Arbeitsbereich]\[Projekt]\RT\FILES\zenon\custom\lists.

  3. Vérifiez l'imprimante définie pour les listes et les mises en forme en sélectionnant Fichier -> Configuration générale -> Par défaut -> Imprimante -> Pour le Bloc-notes.

Configuration du fichier ARV_G.FRM

Créez un fichier texte nommé ARV_G.FRM.

Ce fichier contient les mots-clés pour la mise en forme de l'impression dans le Runtime.

Attention : Les mots-clés doivent être saisis en allemand, quelle que soit la langue sélectionnée.

Mot clé | Signification
@AMELDUNG | Texte de valeur limite de l'entrée de l'archive
@ARCHIVNAME | Nom de l'archive.
@DATZEIT | Informations d'horodatage (date/heure) de l'entrée d'archive
@EINHEIT | Unité de l'entrée de l'archive
@HEADZEIT | Informations d'horodatage (date/heure) de l'archive
@KANALNAME | Nom de la variable de l'entrée d'archive
@SEITE | Numéro de page pour l'impression.
@STATUS | Texte d'état spécifique à l'entrée de l'archive
@TAGNR | Identifiant de variable de l'entrée.
@WERT | Valeur de l'entrée de l'archive.

Les mots-clés associés aux entrées d'archives cycliques dans la liste doivent être ajoutés avec le caractère %%.

Exemple

@HEADZEIT @ARCHIVNAME
Page : @SEITE -----------------

Date/Heure Nom de la variable Valeur Unité de mesure Texte d'état État
----------------------------------------------------------------------------------------------------------------
%%
@DATZEIT @KANALNAME @WERT @EINHEIT @AMELDUNG @STATUS
%%


Cycles dans le Runtime

Manuel -> Serveur d'archives -> Utilisation dans le Runtime -> Cycles dans le Runtime

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

La configuration du type d'enregistrement et de l'enregistrement dans Editor, ainsi que de l'heure de début des archives a une incidence sur l'exécution dans le Runtime :

L'heure de début définie dans l'archive sert de base de calcul des heures d'enregistrement. Les cycles d'enregistrement sont ajoutés à partir de cette heure. zenon sait ainsi, à chaque démarrage du Runtime, quand l'archive Alpha en cours d'exécution sera fermée et quand un nouveau fichier doit être démarré.

info Informations

Les archives actuellement ouvertes s'intitulent archives Alpha et n'ont donc pas d'horodatage.

Si le Runtime est arrêté pendant l'écriture de données dans l'archive, ce fichier reste ouvert. Lors du prochain démarrage, le Runtime vérifie si le fichier doit maintenant être fermé.

  • Oui : le fichier est fermé et un nouveau fichier est immédiatement démarré.
  • Non : les nouvelles données sont ajoutées au fichier existant et le fichier est réutilisé. Les valeurs générées durant l'arrêt du Runtime sont insérées par zenon avec la valeur de remplissage d'archive correspondante et reçoivent l'état INVALID.

info Informations

Les cycles d'analyse et d'enregistrement doivent toujours être configurés de manière à constituer des multiples entiers l'un de l'autre, afin d'éviter tout recouvrement ou imprécision dans les archives résultantes.


Utilisation de données d'archive dans zenon

Manuel -> Serveur d'archives -> Utilisation de données d'archive dans zenon

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Les données d'archives peuvent être réutilisées dans zenon :

  • Report Generator
  • Report Viewer
  • Extended Trend

En outre, les données peuvent être évaluées à l'aide du produit zenon Analyzer de COPA-DATA.

Autres sujets abordés dans ce chapitre

Report Generator

Report Viewer

Extended Trend


Report Generator

Manuel -> Serveur d'archives -> Utilisation de données d'archive dans zenon -> Report Generator

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

L'outil Report Generator fonctionne sur la base des cellules.

Exemple de rapport :

Chacune de ces cellules peut recevoir certains formats et fonctions. Un rapport est configuré sous forme de synoptique Report Generator à part entière. Les données sont calculées, générées et affichées à l'aide de fonctions de rapport prédéfinies. Elles peuvent être saisies dans les cellules correspondantes, manuellement ou via une boîte de dialogue. Pour pouvoir afficher des rapports dans le Runtime, vous devez configurer les données dans Editor.

attention Attention

L'imprimante souhaitée doit être sélectionnée avant la création du rapport, car le formatage de page d'un rapport dépend de l'imprimante définie. Toute modification du choix de l'imprimante par la suite peut imposer un nouveau formatage du tableau existant.

Autres sujets abordés dans ce chapitre

Fonctions d'archivage et de journalisation


Fonctions d'archivage et de journalisation

Manuel -> Serveur d'archives -> Utilisation de données d'archive dans zenon -> Report Generator -> Fonctions d'archivage et de journalisation

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Notions fondamentales

Toutes les fonctions d'archivage reposent sur la fonction de base archive(FILTERINDEX,PARAMETER,DIRECTION).

Les extensions peuvent être distinguées à l'aide des lettres supplémentaires dans les noms de fonctions.

Code | Signification | Commentaire
r | read only | L'archive est uniquement accessible en lecture seule. Les valeurs modifiées ne peuvent pas être enregistrées.
sp | Colonnes | Fournit des options de mise en forme spéciales permettant de définir les cellules à utiliser.
min | Mathématiques | Agit uniquement sur Valeur et Temps.
ex | extended | Fournit des traitements spéciaux.
w | write | L'écriture est possible.

Indice de filtre

L'index de filtre établit une distinction entre les nombres du filtre d'archive utilisé dans les fonctions de rapport et les variables provenant des archives.

Example Exemple

=archive(5,"valeur","vers le bas")

FILTERINDEX = 5

L'entrée présente dans le filtre sous le no. 5 est utilisée pour la fonction de rapport.

Paramètres

Options | Valeur possible
valeur | [1-n]
État | [1-n]
Heure | [1-n]
Numéro | [1]

Sens de déplacement

Options

Signification

À Droite

La valeur est insérée à droite (ligne).

Le nombre de cellules vides doit autoriser l'insertion des entrées attendues suite à la création d'autres rapports.

Attention : Si une fonction archivesp est créée avec une seule colonne, la valeur est insérée vers le bas (dans la colonne).

En bas

La valeur est insérée vers le bas (colonne).

Le nombre de cellules vides doit autoriser l'insertion des entrées attendues suite à la création d'autres rapports.

Attention : Si une fonction archivesp est créée avec une seule colonne, la valeur est insérée à droite (dans la ligne).

Toutes les fonctions d'archive peuvent être créées avec l'assistant Fonction.

Lors de l'affichage des informations d'état, les paramètres utilisés sont ceux définis dans le fichier project.ini, dans la section [STATUS] ou ceux dérivés de l'attribution définie au niveau interne. Si l'intitulé de l'état a été modifié dans project.ini, le nom modifié est fourni. (Conseil : permet de préserver la compatibilité du projet avec les anciens intitulés d'état.)

Dans le fonctionnement en ligne, la durée des requêtes est définie dans la fonction Requête ou fournie dans le Runtime lors de l'ouverture d'un fichier de rapport.

Modifier les entrées d'archives

Si les autorisations utilisateur le permettent, les valeurs d'archives peuvent également être modifiées dans le Runtime. Les modifications sont soit sauvegardées manuellement via l'élément de contrôle Enregistrer, soit enregistrées automatiquement lors de l'enregistrement d'un fichier de rapport. L'état d'une entrée modifiée est automatiquement défini sur valeur manuelle.

info Informations

Modification des champs de chaînes dans le rapport : Si un texte est uniquement constitué de nombres, par défaut, les espaces sont supprimés lors de l'enregistrement. Les espaces souhaités doivent être affichés à l'aide du caractère ASCII 255 (Alt+255).


Report Viewer

Manuel -> Serveur d'archives -> Utilisation de données d'archive dans zenon -> Report Viewer

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Le module Report Viewer autorise également la préparation de données d'archives pour l'utilisateur. Toutefois, contrairement au module Report Generator, il n'autorise pas la modification des données. Pour cela, le module Report Viewer offre de vastes possibilités d'affichage graphique, à l'image des diagrammes. Il permet en outre de comparer deux plages de temps aux fins des analyses.

Pour pouvoir créer des rapports avec le module Report Viewer, des logiciels tiers sont nécessaires. À cette fin, Microsoft Report Designer est installé en même temps que zenon. Ce dernier démarre dès que vous créez un nouveau rapport. Un type de synoptique distinct est dédié à l'affichage dans le Runtime.

Vous trouverez des informations détaillées concernant la configuration dans le manuel du module Report Viewer.


Extended Trend

Manuel -> Serveur d'archives -> Utilisation de données d'archive dans zenon -> Extended Trend

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Le module Extended Trend, qui nécessite une licence, fournit des valeurs en ligne et des valeurs d'archive issues de variables sous forme de courbes. Au contraire de l'élément dynamique Tendance, ce type de fenêtre comporte des fonctions de zoom, de navigation, de requête et de mise à l'échelle de valeurs en ligne et des valeurs extraites d'archives. À l'image des modules Report Generator et Report Viewer, un type de synoptique distinct existe également pour le module Extended Trend. Des informations détaillées concernant le changement de configuration sont disponibles dans le manuel du module Extended Trend.

Extended Trend Starter Edition

Dans la version standard de zenon, une version réduite du module Extended Trend, dotée de fonctionnalités limitées, est incluse dans la version Starter Edition.

La version Starter Edition comporte les limitations suivantes :

  • Pas de courbe de tendance XY
  • Pas de deuxième axe de temps
  • Nombre de courbes limité à 8
  • Pas de représentation logarithmique
  • Analyse avec un curseur


Informations supplémentaires

Manuel -> Serveur d'archives -> Informations supplémentaires

Cette section contient des informations de fond concernant les archives et l'archivage.

Autres sujets abordés dans ce chapitre

Format des fichiers d'archive

Transfert d'archives vers une base de données SQL

RDA

Archivage sur le réseau de zenon


Format des fichiers d'archive

Manuel -> Serveur d'archives -> Informations supplémentaires -> Format des fichiers d'archive

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Les archives possèdent la structure de données suivante :

  • Le fichier d'archive avec l'extension ARX contient la définition des variables et les valeurs numériques.
  • Le fichier ARS contient les données de type String (chaîne de caractères).
  • L'en-tête de l'archive contient la définition de l'archive et éventuellement les valeurs des variables de lot.
  • La mémoire réservée pour la valeur de la variable de lot dépend de la longueur de la chaîne, dans le cas où la variable de lot est une chaîne de caractères. Pour les variables numériques, un nombre fixe de 32 caractères est réservé. Les chaînes de lot sont stockées en Unicode. Si aucune variable de lot n'est définie, aucune place mémoire n'est réservée.
  • Les données enregistrées dans les fichiers ARX ont une longueur de 24 octets et offrent la possibilité de stocker des valeurs de type double. L'information d'état est stockée sur 64 bits.
  • Les archives peuvent être enregistrées à intervalles de 1 seconde. Pour les archives cycliques, il est recommandé d'utiliser des cycles d'enregistrement d'une longueur supérieure à 30 secondes.

Conversion de projets antérieurs à la version 6.20 SP0

À partir de la version 6.20 SP0, les fichiers d'archive sont stockés au format ARX ; avant cela, le format ARV était utilisé. Lors de la conversion d'un projet, une vérification est effectuée au démarrage du Runtime pour identifier la présence de fichiers d'archive au format ARV dans le dossier du Runtime. Après confirmation de la conversion, ces fichiers sont convertis au format ARX. Cette conversion est faite pour tous les projets avant que le projet ne démarre. Les fichiers ARV sont supprimés durant la conversion. Pour le transfert au format SQL, d'autres colonnes doivent être ajoutées à la table.

Recommandation : Sauvegardez les fichiers ARV avant la conversion.

Attribution d'un nom à une archive

Le nom d'une archive est constitué des éléments suivants :

  • Nom court
  • Heure d'enregistrement UTC, au format AAMMTThhmmss
  • Extension de fichier .arx

Par exemple : XX140403071200.arx

XX | Nom de l'archive
14 | Année
04 | Mois
03 | Jour
07 | Heures (UTC)
12 | Minutes
00 | Secondes

Heure UTC et heure locale

Les archives utilisent l'heure locale lors de l'enregistrement. L'heure locale affichée sur l'ordinateur est calculée comme ceci : heure UTC + fuseau horaire + heure d'hiver/heure d'été. Le Runtime de zenon tient automatiquement compte de l'heure locale dans les demandes d'archives.

Exemple : Berlin en été

  • Heure locale : 14:00
  • UTC : 14:00 (heure locale) moins 1 heure (heure d'été) moins 1 heure (fuseau horaire) = 12:00 UTC
    La valeur générée à 14:00 localement est enregistrée à l'heure 12:00.

Si vous demandez les valeurs enregistrées entre 13:00 et 15:00, heure locale, à Berlin. Le Runtime recherche alors les valeurs comportant un horodatage entre 11:00 et 13:00 dans l'archive, et les affiche à l'heure locale (soit de 13:00 à 15:00).

Autres sujets abordés dans ce chapitre

Variables de chaîne


Variables de chaîne

Manuel -> Serveur d'archives -> Informations supplémentaires -> Format des fichiers d'archive -> Variables de chaîne

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Les variables de types STRING peuvent être archivées. Elles sont conservées dans un fichier intitulé [description courte][heure].ARS. Ce fichier contient uniquement les données des variables de type string et forme une unité logique avec le fichier ARX. Les informations concernant l'existence ou non d'une archive de données de type string sont conservées dans le fichier ARX. Si aucune variable de type STRING n'est stockée dans l'archive, il n'y a pas de fichier ARS. Si elle contient des chaînes, le fichier ARS doit être présent.

attention Attention

Les opérations sur fichier doivent inclure les deux fichiers. Si un fichier ARS requis est manquant, les données du fichier ARX ne sont pas chargées.

Les données de type string sont conservées au format Unicode avec une longueur des données dynamique. Cette configuration permet de gagner de la place en mémoire et est indépendante de la longueur de chaîne définie sur la variable. Dans l'enregistrement des données du fichier ARX, on a la position de l'enregistrement STRING dans le fichier ARS.

attention Attention

Si des chaînes sont modifiées dans le fichier ARS, leur position peut changer. Elle est mise à jour pour la chaîne modifiée dans le fichier ARX. Cela ne concerne que la chaîne modifiée et non pas les autres. En cas d'accès au fichier ARS via l'API ou des outils, il ne peut être garanti que les chaînes adressées se trouvent à la position supposée.

Dans les propriétés des variables, une valeur de remplacement peut être renseignée pour les chaînes de caractères de façon à ce que les archives contiennent toujours une valeur. La Valeur chaîne pour le remplissage des archives est utilisée si zenon nécessite (par exemple, pour le renseignement des archives cycliques) une valeur pour une variable de chaîne et aucune valeur n'est disponible. Si aucune valeur n'a été transférée, la valeur de remplacement définie est utilisée ; dans le cas contraire, la dernière valeur valide est utilisée.

L'éditeur d'archives tient compte de la valeur maximum des longueurs de chaîne.

Taille du champ de données

En règle générale, la taille du champ de données dépend directement de la variable de chaîne la plus longue de l'archive. Dans ce cas, les considérations suivantes s'appliquent :

  • Transfert d'archives :
    Lors de la création des tables pour le transfert d'archives avec zenon Editor, la largeur des colonnes est définie en fonction de la chaîne la plus longue.
  • Exportation de l'archive
    La largeur de la colonne est fixe (128 caractères). Les caractères dépassant cette limite sont ignorés.

Note concernant les variables de driver du système : La longueur des chaînes est limitée à 5 caractères et ne peut pas être modifiée. Le contenu des chaînes du driver système peut toutefois comporter plus de 5 caractères. Insérez une variable de chaîne supplémentaire d'une longueur (par exemple) de 256 caractères dans l'archive pour éviter toute perte de données.

attention Attention

Si la longueur d'une variable de chaîne devant être archivée est modifiée, ce champ de données doit être adapté lors du transfert ou de l'exportation vers SQL.

Remarque : ces modifications doivent être effectuées avant que les modifications soient acceptées dans le Runtime. Sinon les chaînes les plus longues pourraient être archivées tronquées !

Modification du champ de données pour SQL

Cette modification peut être effectuée manuellement, avec un outil d'administration de base de données (par exemple, Management Studio for MS-SQL Server) ou dans la configuration de l'archive.

Pour modifier le champ de données dans zenon Editor, effectuez les étapes suivantes dans chaque archive :

  1. Sélectionnez Éditer l'archive dans le menu contextuel de l'archive.
  2. Basculez vers l'onglet Enregistrement.
  3. Accédez à la section Transfert après la période de stockage section:
  4. Cliquez sur Créer des tables.


Transfert d'archives vers une base de données SQL

Manuel -> Serveur d'archives -> Informations supplémentaires -> Transfert d'archives vers une base de données SQL

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Le transfert d'archives vers une base de données SQL autorise le stockage normalisé de données, aux fins de leur utilisation dans d'autres applications. Les applications suivantes, par exemple, sont prises en charge : Microsoft SQL Server, Oracle, CRATE.IO et autres systèmes de base de données comportant une interface ODBC. Par ailleurs, les données restent utilisables dans les tendances et rapports dans zenon. Les bases de données SQL permettent d'optimiser le stockage des données de manière ciblée.

Une distinction est établie entre les deux niveaux de stockage de données lors du stockage de données d'archives dans une base de données SQL.

  • Stockage à court terme : correspond au paramètre Durée de stockage dans la boîte de dialogue Enregistrer. Ces données sont enregistrées au format ARX sur le support de données local.
  • Stockage à long terme : au terme de la période indiquée ici, le contenu de ce fichier est écrit dans la base de données SQL sous forme de transaction combinée, puis il est supprimé du disque local.

Si les données de cette archive sont requises dans des tendances ou des rapports, les données locales stockées à court terme sont automatiquement associées aux données stockées à long terme enregistrées dans la base de données SQL, sous forme de flux de travail transparent.

Cette propriété peut également être appliquée aux données externes dans zenon. Une fois la création des tables de base de données requises effectuée, celles-ci peuvent être renseignées avec des données à l'aide d'outils externes. Il n'est pas nécessaire de démarrer l'archive à cette fin. Les données insérées dans la table sont ainsi disponibles pour affichage dans une tendance ou un rapport dans zenon.

Remarque : Les archives SQL peuvent également être transférées vers un bus de service MS Azur. Pour cela, l'option Utiliser MS Azure Service Bus pour l'écriture doit être activée pour la configuration de l'archive, sur l'onglet Enregistrement. Des informations détaillées sont disponibles

  • au chapitre MS Azur-Dienstbus, dans ce manuel
  • Manuel MS Azure

Formats des tables

Une table est générée pour chaque archive de la base de données contenant les données d'archive transférées. En outre, une table de références croisées est générée pour l'ensemble du projet ; elle contient les associations de noms de variables et d'identifiants de variables numériques uniques.

info Informations

Lors de la création de tables SQL pour les données d'archive, les lots et les variables, une clé primaire est automatiquement générée via Editor.

Attention : pour des raisons de performances, la clé primaire des archives n'est pas optimisée pour les références de variables non multi-projets. Le GUID de projet des variables n'est donc pas inclus. Si des archives contenant des références de variables multi-projets doivent être transférées au format SQL, la clé primaire doit être supprimée manuellement ou doit être complétée avec le GUID du projet.

Format de la table de données

La table de données comprend les colonnes suivantes :

Colonne

Type

Signification

VARIABLE

int[4]

ID numérique de la variable

CALCULATION

int[4]

Type de réduction de données dans les archives résultantes.

Jusqu'à 4 valeurs limite peuvent être créées : somme, valeur moyenne, minimum, maximum.
Lors de l'exportation de l'archive résultante sous forme de fichier (par exemple, .csv), les valeurs 1 à 4 sont écrites sous forme de chaînes :

  • 1=Somme
  • 2=Valeur moyenne
  • 3=Minimum
  • 4=Maximum

Lors du transfert ou de l'exportation vers SQL, les valeurs sont écrites sous forme d'un entier en code ASCII :

  • 49=Somme
  • 50=Valeur moyenne
  • 51=Minimum
  • 52=Maximum

TIMESTAMP_S

int[4]

Horodatage au format Unix

TIMESTAMP_MS

int[4]

Nombre de millisecondes à ajouter à l'horodatage

VALUE

float[8]

Valeur

STATUS

int[4]

Drapeau d'état de la valeur (état de zenon)

GUID

varchar[36]

Enregistre le GUID de projet des variables. Ne doit pas être ZERO.

STRVALUE

varchar

La longueur dépend de la chaîne la plus longue à archiver. Pour les variables numériques, ce champ prend la valeur ZÉRO.

Clé primaire, en cluster : TIMESTAMP_S et TIMESTAMP_MS et VARIABLE et CALCULATION et GUID.

Le nom de la table de base de données est constitué du nom du projet et du nom court de l'archive. Les noms des deux tables sont reliés par un tiret de soulignement :
ProjectName_ShortName.
Si le nom du projet est ARV_IN_DB et le nom court de l'archive est A1, le nom de la table est : ARV_IN_DB_A1.

attention Attention

Le GUID est inclus dans l'indice ; aussi, la valeur de NOT doit être zéro. À partir de la version 7.20 de zenon, une chaîne vide est saisie à la place de la chaîne ZERO pour le transfert des variables de votre projet pour le GUID.

Si des fichiers de Runtime de la version 7.11 (ou d'une version antérieure) sont compilés, un problème de compatibilité apparaît : la chaîne ZERO est écrite dans la colonne GUID, et le transfert ne fonctionne donc pas.

Solution : La table dans SQL Server doit être créée manuellement, sans GUID dans la clé primaire, ou doit être créée sans clé primaire.

Dans ce cas, avec la syntaxe suivante :

CREATE TABLE [$projectname$_$archivename$]

(

[VARIABLE] int,

[CALCULATION] int,

[TIMESTAMP_S] int,

[TIMESTAMP_MS] int,

[VALUE] float,

[STATUS] int,

[GUID] varchar(36),

[STRVALUE] varchar(?),

CONSTRAINT [PK_$projectname$_$archivename$] PRIMARY KEY CLUSTERED

(

[TIMESTAMP_S] ASC,

[TIMESTAMP_MS] ASC,

[VARIABLE] ASC,

[CALCULATION] ASC

)

)

Format de la table pour le nom de lot

La table contenant les noms de batch des archives transférées au format SQL :

  • Possède le nom [Nom de projet]_[abréviation de l'archive]_BATCH
  • Comporte 3 colonnes
Colonne | Type | Signification
BATCH | VARCHAR (128) | Nom de lot
START_S | INT | Horodatage Unix du début du batch
END_S | INT | Horodatage Unix de la fin du batch

Clé primaire, en cluster : START_S et END_S.

Format de la table des références croisées

Colonne | Type | Signification
VARIABLE | INT[4] | ID numérique de la variable
NAME | VARCHAR[128] | Nom variable
GUID | VARCHAR[36] | Enregistre le GUID de projet des variables. Ne doit pas être ZERO.

Clé primaire, en cluster : VARIABLE et GUID.

Le nom de la table de références croisées est une concaténation du nom du projet et du suffixe VARIABLES. Les deux parties sont reliées par un caractère souligné. Par conséquent, si le nom du projet est ARV_IN_DB, le nom de la table sera ARV_IN_DB_VARIABLES.

Autres sujets abordés dans ce chapitre

Configuration

MS Azure Service Bus

CRATE.IO

Conversion

Dépannage


Configuration

Manuel -> Serveur d'archives -> Informations supplémentaires -> Transfert d'archives vers une base de données SQL -> Configuration

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Pour enregistrer les données d'une archive dans une base de données SQL :

  1. Sur l'onglet Enregistrement, sélectionnez la propriété Base de données SQL.
  2. Cliquez sur le bouton ...
  3. La boîte de dialogue de sélection d'une base de données s'affiche.
    1. Configurez le fournisseur.
      Par exemple, SQL Server Native Client.
    2. Configurez la connexion.

      Par exemple, avec zenon 2012 Server, avec l'utilisateur de base de données standard de zenon zenonSrv, et avec le mot de passe srv_$2012.

    3. Testez la connexion.
    4. Fermez la boîte de dialogue en cliquant sur OK.

    Lorsque vous confirmez la boîte de dialogue, zenon crée la table de références croisées et la table de données dans la base de données. Dès que des données doivent être transférées, celles-ci sont insérées dans la table de données. Si la connexion entre zenon et la base de données est interrompue durant l'exécution, les données restent enregistrées localement. Le transfert se poursuit dès que la connexion a été rétablie.

  4. Cliquez sur le bouton Créer table, si nécessaire.

    Le bouton Créer table permet de créer des tables nouvelles ou d'adapter automatiquement des tables existantes à un instant donné, par exemple, si des variables sont ajoutées ou supprimées dans une archive ou si la chaîne Provider (Fournisseur) est adaptée manuellement. Chaque fois que vous ajoutez ou supprimez des variables dans des archives configurées pour le transfert vers SQL, vous devez mettre les tables à jour dans SQL.

attention Attention

Lors de l’utilisation de Native Client 10 et 11, le mot de passe n’est pas automatiquement transféré vers la chaîne du fournisseur. Il doit être saisi manuellement

Par exemple : ...;User ID=sqlExampleUser1;Password=secretPassword;...

Remarque : Si vous configurez une archive pour un transfert vers SQL et reconfigurez l'archive ultérieurement, vous devez adapter les tables correspondantes dans SQL.
Par exemple : Vous avez configuré une archive aux fins du transfert vers SQL ; les tables dans SQL ont déjà été configurées. Vous liez ensuite une variable aux fins de l'archivage de lots. Les tables doivent alors être créées une nouvelle fois dans SQL. Dans le cas contraire, le transfert vers SQL ne peut être effectué, car la table contenant les informations des lots n'est pas présente.

attention Attention

Assurez-vous que le fournisseur configuré dans la connexion est également disponible sur l’ordinateur du Runtime dans le Runtime.

Remarque : Un client SQL est également installé avec zenon Editor. Le Runtime de zenon ne nécessite pas de serveur SQL?; aussi, aucun client SQL n’est automatiquement installé. Celui-ci peut être téléchargé sur le site Web de Microsoft, et doit être installé individuellement.

Assurez-vous d’avoir installé la version correcte lors de l’installation du fournisseur. Celle-ci doit correspondre à la version de zenon utilisée. Ceci signifie : Si la version 32 bits du Runtime de zenon est utilisée, le fournisseur doit également être une version 32 bits. Cela s’applique également s’il est installé sur un système d’exploitation 64 bits, et également si la base de données elle-même est une application 64 bits.


MS Azure Service Bus

Manuel -> Serveur d'archives -> Informations supplémentaires -> Transfert d'archives vers une base de données SQL -> MS Azure Service Bus

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Si l'option Utiliser MS Azure Service Bus pour l'écriture est activée pour le transfert d'une archive au format SQL, toutes les valeurs de l'archive sont ajoutées à la file d'attente de Azure Service Bus Queue, sous le nom archivequeue. Celle-ci doit exister dans l'espace de nom MS Azure (MS Azure-Namespace) de la connexion configurée. Le nom de la connexion MS Azure est inséré dans le champ de saisie situé sous l'option.

Configuration

Dans MS Azure, au moins une instance du service de Cloud AzureZenonArchiveWorker doit être en cours d'exécution ; elle reçoit les valeurs d'archive depuis la file d'attente avec le nom archivequeue et les insère dans la base de données SQL MS Azure. Le format de table correspond au transfert classique d'une archive au format SQL.

Le service de Cloud doit être affiché manuellement avec le package de déploiement AzureArchiveCloudService.cspkg, via l'interface utilisateur de configuration de MS Azure. Le package se trouve dans le dossier suivant : %ProgramData%\COPA-DATA\zenon7.60\CloudServices.

Paramètres :

  • Zenon.ArchiveServiceBus.ConnectionString: Correspond au nom de connexion de MS Azure dans la configuration de l'archive.
  • Zenon.ArchiveSQLServer.ConnectionString: Signale le nom de la base de données SQL MS Azurede destination.

Procédure

Les fichiers d'archive sont lus via une connexion OLE DB et une déclaration SQL SELECT. Le nom de la connexion OLE DB affiche donc généralement la même base de données Microsoft Azure SQL (MS Azure SQL-Storage) que le nom de la connexion de sortie (Zenon.ArchiveSQLServer.ConnectionString) in AzureZenonArchiveWorker.


CRATE.IO

Manuel -> Serveur d'archives -> Informations supplémentaires -> Transfert d'archives vers une base de données SQL -> CRATE.IO

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Une base de données Crate peut être sélectionnée lors du transfert des données d'archive ou au cours d'une exportation SQL des données d'archives.

INSERT

Avec un INSERT des valeurs, l'UNNEST de la commande SQP propre à Crate est utilisé. Les valeurs du fichier d'archive sont transférées, bloc par bloc, sous forme de chaînes dans le processus.

Conditions requises :

  • La version Crate prend en charge UNNEST.
  • Les données d'un bloc sont inférieures à la longueur Query maximale de la base de données.

Réglage de la taille du bloc

La taille de bloc (Rows) peut être définie dans project.ini :

  • Section : [ARCHIV]
  • Entrée : CRATE_BLOCKSIZE=
  • Par défaut : 10000


Conversion

Manuel -> Serveur d'archives -> Informations supplémentaires -> Transfert d'archives vers une base de données SQL -> Conversion

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Si des archives de versions zenon antérieures à la version 6.20 SP0 sont utilisées dans une nouvelle version, les colonnes suivantes doivent être ajoutées manuellement :

  • STRVALUE dans la table de données
  • GUID dans la liste de références croisées

Ces colonnes peuvent être ajoutées directement à la base de données, ou être ajoutées depuis la boîte de dialogue dans zenon Editor.

Pour ajouter les colonnes dans Editor :

  1. Ouvrez la boîte de dialogue Éditer l'archive pour chaque archive concernée.
  2. Accédez à l'onglet Enregistrement.
  3. Ouvrez la boîte de dialogue en sélectionnant l'option Base de données SQL.
  4. Fermez la boîte de dialogue en cliquant sur OK.

Après la fermeture de cette boîte de dialogue, les modifications sont effectuées dans la base de données.

attention Attention

Si ces modifications ne sont pas effectuées, aucune donnée d'archive ne sera transférée vers la base de donnée SQL.


Dépannage

Manuel -> Serveur d'archives -> Informations supplémentaires -> Transfert d'archives vers une base de données SQL -> Dépannage

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Doublons

Les doublons ne peuvent pas être transférés vers la base de données SQL en raison de la clé primaire !
Les doublons peuvent survenir avec les variables dont l'horodatage provient d'un autre appareil ou de l'annulation de la fin du Runtime.

Horodatage externe

Des doublons peuvent apparaître lorsque des variables comportent un horodatage appliqué par un périphérique externe.
Par exemple : Le contrôleur transmet des événements spéciaux peu avant une défaillance de la connexion, et reprend l'envoi lorsque la connexion a été rétablie. Deux entrées comportant la même valeur et le même horodatage sont alors présentes.

Problème : La fonction d'exportation SQL est annulée en cas de tentative de transfert de données contenant des doublons.

Solution : Supprimez les doublons avant le transfert dans le synoptique Maintenance d'archive.

Annulation au cours de la fermeture du Runtime

Si une exportation vers la base de données SQL est effectuée lors de l'arrêt du Runtime, le Runtime est uniquement arrêté une fois l'exportation terminée. Si le Runtime est arrêté prématurément durant cette période depuis le système de gestion de procédés ou le gestionnaire de tâches, l'état suivant apparaît :

  • Une partie des valeurs est déjà présente dans la base de données SQL.
  • Toutefois, le fichier d'archive n'a pas été supprimé.

Une fois le Runtime redémarré, une tentative de transfert du fichier d'archive encore présent vers la base de données SQL est effectuée.
Procédure :

  • Les données originales sont transférées.
  • Si des doublons sont présents, ils ne sont pas transférés en raison de la clé primaire. L'exportation est répétée lors du cycle suivant. Les doublons sont alors supprimés.

Message d'erreur ODBC 80004005

Le message d'erreur suivant s'affiche pour un transfert SQL :
Execute INSERT statement failed 1, hr=80004005

Cela indique une erreur ODBC.

Solution :
Basculez vers un fournisseur de serveur SQL.


RDA

Manuel -> Serveur d'archives -> Informations supplémentaires -> RDA

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Des informations plus détaillées concernant la configuration et l'administration de la fonction d'archivage RDA sont disponibles.

Autres sujets abordés dans ce chapitre

Format de données de l'automate

En-tête de description

Format des informations d'horodatage

Types

Remarque :


Format de données de l'automate

Manuel -> Serveur d'archives -> Informations supplémentaires -> RDA -> Format de données de l'automate

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Les types de données RDA possibles sont :

  • BYTE
  • WORD
  • DWORD
  • FLOAT

Ces types dépendent des drivers utilisés dans zenon.

Remarque : Vous trouverez des informations concernant la compatibilité de votre driver avec la fonction RDA dans la documentation du driver.

attention Attention

Aucune valeur future ne peut être importée. Des valeurs futures peuvent être présentes si les heures du système de l'automate et de l'ordinateur sont différentes. Assurez-vous que les heures des systèmes sont toujours synchronisées.


En-tête de description

Manuel -> Serveur d'archives -> Informations supplémentaires -> RDA -> En-tête de description

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Paramètres

Description

Index [0]

Variable RDA ajoutée à l'archive. Détermine le type de données (par exemple BYTE, WORD, DWORD, FLOAT).

  • La taille dépend du type de données dans zenon.
  • Le bit de déclenchement est défini sur 1 par l'automate si des valeurs doivent être obtenues. Lorsque zenon a obtenu les données, le bit est automatiquement réinitialisé sur 0 par le driver.

Index [1]

Nombre de valeurs devant être enregistrées.

Format Intel 32 bits. Défini par l'automate.

Index [2]

Temps de cycle en millisecondes ; utilisé pour TYPE 1 et 4.

Format Intel 32 bits. Défini par l'automate.

Index [3]

Type RDA :

  • Type 1 : sans heure (n'est plus utilisé).
  • Type 2 : Avec format d'heure 1 (n'est plus utilisé)
  • Type 3 : Avec format d'heure 2
  • Type 4 : Sans heure

Format Intel 32 bits. Défini par l'automate.

Index [4]

Numéro de la valeur la plus récente. Doit correspondre à la valeur dans Index [1].

Format Intel 32 bits. Défini par l'automate.

Index [5]

Contient des données. Le contenu dépend du type.

  • Type 3 : Valeurs
  • Type 4 : Informations d'horodatage.

Index [6]

Contient des données. Le contenu dépend du type.

  • Type 3 : Informations d'horodatage
  • Type 4 : Valeurs

Index [etc.]


Format des informations d'horodatage

Manuel -> Serveur d'archives -> Informations supplémentaires -> RDA -> Format des informations d'horodatage

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Le format d'heure est représenté par une expression longue à 8 bits :

Octet | Correspond à | Valeurs possibles
1 | Année Remarque : Le format d'heure commence en 1900, et comporte deux chiffres. 1900 = 00. Trois chiffres sont utilisés à partir de 2000. 2000 = 100. | Par ex. 99, 100, 114, etc.
2 | Mois | 1 - 12
3 | Jour | 1 - 31
4 | Heure | 0 - 23
5 | Minute | 0 - 59
6 | Secondes | 0 - 59
7 | Centièmes de seconde | 0 - 100
8 | réservé | -


Types

Manuel -> Serveur d'archives -> Informations supplémentaires -> RDA -> Types

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Différents types d'archivage RDA sont disponibles. Les types suivants sont actuellement utilisés :

  • TYPE 3
  • TYPE 4

Attention : Les types 1 et 2 peuvent encore être configurés pour des raisons de compatibilité. Toutefois, ils ne sont plus utilisés, ni documentés. Le
type 1 a été remplacé par le type 4 ; le type 2 a été remplacé par le type 3.

Autres sujets abordés dans ce chapitre

TYPE 3

TYPE 4


TYPE 3

Manuel -> Serveur d'archives -> Informations supplémentaires -> RDA -> Types -> TYPE 3

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Index | Description
Index [0] | Variable RDA.
Index [1] | Nombre de valeurs devant être enregistrées.
Index [2] | Ignoré. (Temps de cycle, en millisecondes.)
Index [3] | Type RDA.
Index [4] | Numéro de la valeur la plus récente.
Index [5] | Première valeur enregistrée. Taille : dépend du type de données de zenon.
Index [6] | Informations d'horodatage de la première valeur. (Pour plus de détails, reportez-vous à la section Format des informations d'horodatage).
Index [7] | Deuxième valeur enregistrée. Taille : dépend du type de données de zenon.
Index [8] | Informations d'horodatage de la deuxième valeur. (Pour plus de détails, reportez-vous à la section Format des informations d'horodatage).
Index [...] | [nième valeur]


TYPE 4

Manuel -> Serveur d'archives -> Informations supplémentaires -> RDA -> Types -> TYPE 4

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Index

Description

Index [0]

Variable RDA.

Index [1]

Nombre de valeurs devant être enregistrées.

Index [2]

Temps de cycle, en millisecondes.

Index [3]

Type RDA.

Index [4]

Numéro de la valeur la plus récente.

Index [5]

Informations d'horodatage.
Pour plus de détails, reportez-vous à la section Format des informations d'horodatage. Première valeur enregistrée.

Taille : dépend du type de données de zenon.

Index [6]

Valeurs enregistrées.

  • Valeur 1
  • Valeur 2
  • Valeur 3
  • Valeur 4
  • etc.


Remarque :

Manuel -> Serveur d'archives -> Informations supplémentaires -> RDA -> Remarque :

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Veuillez tenir compte des informations suivantes lorsque vous utilisez la fonction d'archivage RDA :

  • Le transfert des données demande du temps. Lorsqu'un événement déclencheur se produit, selon le nombre de valeurs présentes, il est possible que le transfert dure plusieurs secondes.
  • Dans le cadre d'un fonctionnement redondant, l'allongement de la durée du transfert peut, si un fichier RDA est en cours de lecture par un serveur, empêcher la finalisation de la synchronisation en raison d'une erreur. Le serveur assumant le rôle de serveur principal relira une nouvelle fois l'archive RDA, car dans ce cas, le bit déclencheur n'a pas été défini sur 0.
  • Avec le type 4, contrairement au type 3, seule l'heure de début est transférée.
  • Le mécanisme RDA de zenon nécessite, dans le contrôleur, un bloc cohérent pouvant être adressé avec un offset. La fonction RDA est donc généralement indisponible pour les drivers utilisant l'adressage symbolique. Une solution alternative existe pour certains drivers à adressage symbolique. Un exemple est disponible ci-après, à la section Exemple de déclaration de type de données conformément à la norme IEC 61131-3. Vous trouvez plus de détails dans la documentation du driver concerné.

Exemple de déclaration de type de données conformément à la norme IEC 61131-3

RDA-Typ 3:

TYPE RDA_DATA_3 : (* Structure de données RDA type 3 *)

STRUCT

Value : DINT; (* valeur

TimeStamp : ARRAY[0..7] OF BYTE; (* Horodatage (année, mois, jour, heure, minute, seconde, 1/100ème de seconde, réserve) *)

END_STRUCT

END_TYPE

TYPE RDA_3 : (* Structure RDA type 3 *)

STRUCT

Trigger : DINT; (* variable de déclenchement *)

Count : UDINT; (* Nombre de jeux de données *)

Cycle : UDINT; (* Durée de cycle en [ms] (pertinente uniquement pour les types 1 et 4) *)

RDA_Type : UDINT; (* Type RDA, 1 - 4 *)

Oldest : UDINT; (* Indice de la valeur la plus ancienne (opérateur pour des raisons de compatibilité, pertinent uniquement pour le type 1) *)

Data : ARRAY[0..19] OF RDA_DATA_3; (* Données *)

END_STRUCT

END_TYPE

RDA-Typ 4:

TYPE RDA_4 : (* Structure RDA type 4 *)

STRUCT

Trigger : DINT; (* variable de déclenchement *)

Count : UDINT; (* Nombre de jeux de données *)

Cycle : UDINT; (* Durée de cycle en [ms] (pertinente uniquement pour les types 1 et 4) *)

RDA_Type : UDINT; (* Type RDA, 1 - 4 *)

Oldest : UDINT; (* Indice de la valeur la plus ancienne (opérateur pour des raisons de compatibilité, pertinent uniquement pour le type 1) *)

TimeStamp : ARRAY[0..7] OF BYTE; (* Horodatage de la première valeur (année, mois, jour, heure, minute, seconde, 1/100ème de seconde, réserve) *)

Data : ARRAY[0..19] OF DINT; (* Données *)

END_STRUCT

END_TYPE


Archivage sur le réseau de zenon

Manuel -> Serveur d'archives -> Informations supplémentaires -> Archivage sur le réseau de zenon

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

L'archivage est intégré sur le réseau de zenon.

La fonctionnalité de réseau de zenon permet de déployer des projets distribués sur différents ordinateurs et de créer très efficacement des constellations de réseaux complexes. Dans ce cas, les constellations de projets peuvent également être configurées de manière à ce que le contenu d'un projet particulier soit uniquement visible à un endroit donné (c'est-à-dire sur un ordinateur particulier) pour une activité. zenon Editor aide les utilisateurs à créer et configurer ces constellations.

Cette fonctionnalité en réseau peut également être exécutée de manière redondante. Ceci offre une protection supplémentaire des données, ainsi qu'une protection contre les défaillances.

info Informations

Vous trouverez plus d'informations dans le manuel Réseau.

Autres sujets abordés dans ce chapitre

Comportement sur le réseau

Gestion multi-projets


Comportement sur le réseau

Manuel -> Serveur d'archives -> Informations supplémentaires -> Archivage sur le réseau de zenon -> Comportement sur le réseau

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Archiving is carried out on the Primary Server.

The Primary Server synchronizes the archive data with the Standby Server and responds to requests from the Clients (such as calling up an Extended Trend). screen).

info Informations

If the Standby Server takes on the role of the Primary Server after the failure of the previous Primary Server, the missing data in the AML, CEL and archives is filled. The missing data comes from the internal buffer of the Standby Server. This buffer is supplied with values by drivers.

Redundancy switching

With redundancy switching, there may be a delay in switching by the zenon Historian module.

If variables from a different project are archived in an archive, the starting behavior of Runtime in the zenon network changes. In this case, the archives are only started once all projects have been loaded.

As a result, it is ensured that all variables to be archived are detected before the archiving starts and that the computer takes on the role of the Primary Server.

Example Exemple

zenon Runtime is started on a computer that has been configured as Serveur 1 or Serveur 2 during project setup.

  • Runtime starts in the role of the Standby Server.
  • All projects are loaded.
  • The archiving is compared.

These steps are carried out regardless of the current role or evaluation of the computer.

Only once these steps have been completed is redundancy switching carried out - if necessary.


Gestion multi-projets

Manuel -> Serveur d'archives -> Informations supplémentaires -> Archivage sur le réseau de zenon -> Gestion multi-projets

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Values of variables of different projects of the workspace can be recorded in an archive. The values recorded in this way can be filtered, displayed in list form or trend form, and they can be printed or exported just like data from normal archives.

Example of archive

  1. In the project IPRO open the node Historian.
  2. Create a new archive named BA - BASIS.
  3. Open the context menu of RECIPE1 and select Add variable.
  4. The dialog for selecting variables is opened

  5. Here, you can select not just variables from the IPRO. To select variables from other projects:
    1. Click on the left list area on a project:
      You are offered the attendant variables
    2. select the variable you want to assign
  6. Select variables from PRO1 and PRO2.
  7. The project name is written in front of the variable name in the archive variable list.

attention Attention

zenon does not check in the Editor to see if the network structure in Runtime actually allows access to the selected project and its variables.

For example, in the Editor, in project PRO1, a variable from the integration project can be selected. This connection only works in Runtime if the integration project has also been started. This connection will not work on a computer on which only project PRO1 has been started (start project).

After the selection of variables has been concluded, a warning dialog indicates that seamless recording is guaranteed under all circumstances.

Example

  • The project PRO1 is executed redundantly; one computer is the Primary Server, a second computer is the Standby Server.
  • The same applies for the PRO2 project.
  • The integration project with the subordinate projects PRO1 and PRO2 is started on a third computer. This is the client for all sub projects.

If variables of the projects PRO1 and PRO2 are now archived in the integration project, then the computer receives the data about the network from the respective Primary Server from PRO1 and PRO2.
If, for example, the Primary Server of PRO1 fails, for the time period until the Standby Server of PRO1 has taken over the Server role, there would be alternative values in the archive for variables from PRO1.

Note: The Standby buffer of seamless redundancy only saves variables of the project where the computer has been configured as one of the two servers.
Solution: In order to ensure recording without interruptions, the archiving must be local in a redundantly-executed subproject.

info Informations

Vous trouverez d'autres informations concernant les archives dans le modèle Client-Serveur du réseau de zenon dans le manuel Réseau, aux chapitres Modèle Client-Serveur, Gestion multi-projets et Archives.


Serveur OPC

Manuel -> Serveur OPC

Le serveur OPC rend les variables d'un projet accessible pour des clients OPC standard.

L’utilisation du serveur OPC UA est préconisée pour plusieurs opérations. Elle forme partie du module Process Gateway de COPA-DATA.

tutorial Informations concernant la licence

Ce module doit disposer d’une licence dans Editor et le Runtime.

Autres sujets abordés dans ce chapitre

Comparaison du serveur OPC et du serveur OPC UA

Principes techniques

Installation et enregistrement du serveur OPC

Licence sur serveur OPC

Réglages zenon

Consultation du serveur OPC

Démarrage/Arrêt du serveur OPC

Journalisation

Demande de lecture asynchrone

Accès à distance


Comparaison du serveur OPC et du serveur OPC UA

Manuel -> Serveur OPC -> Comparaison du serveur OPC et du serveur OPC UA

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Le système de serveur OPC UA a remplacé le serveur OPC. Nous vous recommandons d'utiliser un serveur OPC UA pour la plupart de vos applications.

Serveur OPC

  • OPC Task Force existe depuis 1995
  • Interface uniforme pour les systèmes d'automation
  • Repose sur la technologie COM/DCOM de Microsoft
  • La fondation OPC existe depuis 1996
  • Plusieurs spécifications pour différentes applications

OPC UA Server

Comparaison du serveur OPC et du serveur OPC UA

Paramètres | Serveur OPC | OPC UA Server
Modèle de données | Limité | Pour toutes les applications
Mise en œuvre | Dépendante des fabricants | Indépendante des fabricants
Interopérabilité | -- | X
Configuration | Fastidieuse | Simple
Plusieurs instances | -- | X
Utilisation en réseau | -- | X
Technologie de réseau | -- | Protocole binaire TCP OPC UA
Performances | faibles | élevées
Plates-formes | Windows uniquement | Indépendant
Ressources requises | élevées | moindres
Architecture orientée services | -- | X
Sécurité | Obsolète | Conforme aux normes actuelles
Sécurité de la connexion | -- | X
Windows CE | -- | X

Légende :

  • X : Pris en charge
  • -- : Indisponible


Principes techniques

Manuel -> Serveur OPC -> Principes techniques

Le concept d’OPC a été élaboré aux fins des applications au niveau des cellules et de l’administration. Ici, le serveur OPC fournit des données issues du niveau de contrôle.

Clients OPC et serveur OPC

Serveur OPC

OPC définit les objets qui sont décrits par des interfaces d’objets. Dans le serveur OPC, il existe deux types d’interfaces d’objets pouvant être adressés par un client OPC :

  • L’interface personnalisée COM
  • L’interface d’automatisation OLE

Interface objet du serveur OPC

L’interface COM est utilisée par les langages orientés vers les pointeurs de fonctions, tels que C++. Les communications peuvent être gérées à l’aide des langages de script tels que Visual Basic, via l’interface d’automatisation.

Hiérarchie des objets OPC

Un serveur OPC est constitué de trois objets hiérarchisés :

  • Le serveur
  • Les groupes et
  • Les objets

Un serveur OPC associe les objets réels à des éléments (variables). Ces éléments sont uniques sur le serveur OPC. Le client organise les éléments sous la forme d’un ou plusieurs groupes OPC.

Autres sujets abordés dans ce chapitre

Informations générales relatives au serveur OPC

Adressage des éléments :

Informations concernant le groupe

Spécifications OPC prises en charge :


Informations générales relatives au serveur OPC

Manuel -> Serveur OPC -> Principes techniques -> Informations générales relatives au serveur OPC

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Le serveur OPC :

  • est un serveur Out of Prozess
  • s’exécute dans un Single Thread Apartment (STA)
  • Est enregistré en tant que serveur COM MULTIPLEUSE
    Cela signifie que : Le serveur s’exécute une seule fois comme une instance de procédé. Plusieurs clients OPC s’authentifient sur le même serveur.
  • Il fonctionne uniquement localement.


Adressage des éléments :

Manuel -> Serveur OPC -> Principes techniques -> Adressage des éléments :

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Le serveur OPC doit être en mesure de distinguer les projets d’où proviennent les variables, car plusieurs projets peuvent être démarrés dans le Runtime.
Par conséquent, le serveur utilise la convention de dénomination suivante pour les variables du processus :
Nom_projet.Nom_variable

Exemple :

Projekt1.ActualValue

Projet1 = nom du projet en cours d’exécution dans le Runtime

. (Point) = Séparateur

ActualValue = Nom existant de la variable

attention Attention

Assurez-vous que l'instance d'OPC Data Access Client pour chaque projet accède aux variables du groupe correspondant. L'accès aux variables d'un même groupe depuis différents projets exécutés dans le Runtime de zenon peut entraîner l'affichage de messages d'erreur.


Informations concernant le groupe

Manuel -> Serveur OPC -> Principes techniques -> Informations concernant le groupe

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Un nom de groupe peut être librement défini. Par exemple : Groupe de test 1.

Le cycle de mise à jour du groupe n’est pas pris en compte par le serveur OPC, car le serveur OPC Server établit une connexion de données événementielle au Runtime. Par conséquent, toute modification d’une valeur sera transmise au serveur OPC, sans que la valeur soit interrogée de manière cyclique.

info Informations

Les clients OPC doivent créer un groupe propre pour chaque projet zenon.


Spécifications OPC prises en charge :

Manuel -> Serveur OPC -> Principes techniques -> Spécifications OPC prises en charge :

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

OPC Data Access Servers Version 1.0

OPC Data Access Servers Version 2.0

Interfaces OPC supportées :

Interfaces | supportées
IOPCServer | Oui
IOPCBrowseServerAddressSpace | Oui
IOPCServerPublicGroups | Non
IPersistFile | Oui
IOPCCommon (de 2.0) | Oui
IOPCSyncIO | Non
IOPCItemProperties (de 2.0) | Oui
IConnectionPointContainer (de 2.0) | Oui


Installation et enregistrement du serveur OPC

Manuel -> Serveur OPC -> Installation et enregistrement du serveur OPC

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Pour pouvoir utiliser le serveur OPC, vous devez installer les composants fondamentaux d’OPC, fournis par OPC Foundation. Sur les ordinateurs équipés d’un système d’exploitation 64 bits, il est nécessaire d’installer à la fois les versions 32 bits et 64 bits. Vous trouverez les programmes d’installation sur le support d’installation, avec les programmes supplémentaires. Il peut être nécessaire de redémarrer l’ordinateur après installation.

Le serveur OPC n’est pas enregistré par défaut, pour des raisons de sécurité. Une fois l’installation effectuée, le serveur OPC ne peut donc pas être découvert par un client OPC. Le serveur OPC doit être explicitement enregistré.

Enregistrement du serveur OPC

  1. Installez les OPC-DA Core Components fournis par OPC Foundation.
    Le programme d’installation se trouve sur le support d’installation, dans le dossier AdditionalSoftware.
  2. Ouvrez la ligne de commande avec des droits d’administrateur Elevated Command Prompt.
  3. Saisissez la commande de la base de registres avec les paramètres souhaités.
    Saisies possibles :
    • zenopcsrv.exe /RegSrv:
      Enregistrement du serveur OPC Un message est affiché si la procédure échoue.
    • zenopcsrv.exe /RegSrvD:
      Enregistre le serveur OPC et affiche également un message si l’opération se déroule correctement.
    • zenopcsrv.exe /UnregSrv:
      Annule l’enregistrement du serveur OPC. Un message est affiché si la procédure échoue.
    • zenopcsrv.exe /UnregSrvD:
      Enregistre le serveur OPC et affiche également un message si l’opération se déroule correctement.

En cas d’erreur, assurez-vous de disposer des autorisations requises.

Remarque : Les modifications apportées par le biais de zenon Startup Tool ou l’installation d’une nouvelle version de zenon n’entraînent aucune modification de l’enregistrement du serveur OPC.


Licence sur serveur OPC

Manuel -> Serveur OPC -> Licence sur serveur OPC

Le serveur OPC du système de contrôle s’exécute uniquement si vous avez correctement défini une licence. Si ce n’est pas le cas, vous obtiendrez le message d’erreur suivant :

La licence se définit conformément à la procédure standard. Lors de votre commande du serveur OPC, vous devez spécifier sur quel PC le serveur OPC doit être installé et le numéro de série du Runtime que vous faites tourner sur ce poste. Vous obtiendrez un nouveau numéro de série et un nouveau numéro d’activation pour ce PC. Avec ces informations, la licence du serveur OPC est active. Ces numéros peuvent être enregistrés dans le fichier zenon6.ini à l’aide de l’outil de commande de licence (Démarrer - Programmes - COPA-DATA - Commander une licence).


Réglages zenon

Manuel -> Serveur OPC -> Réglages zenon

Le VBA doit être activé, pour que le serveur OPC du système de contrôle puisse obtenir les données du Runtime du système de contrôle. Veuillez vérifier que les entrées suivantes sont correctement définies dans le fichier zenon6.ini :

[VBA]

EVENT=1 Active ou désactive le mécanisme d’événements pour l’interface VBA-COM.

Par défaut = 0

Ce paramètre doit être défini sur EVENT=1.

attention Attention

Si le mécanisme d’événements dans le Runtime du système de contrôle est désactivé, le serveur OPC pourra accéder aux variables du système de contrôle pour l’écriture, mais la lecture ne fonctionnera pas?!
Le serveur OPC ne reçoit aucun événement de changement de la part du Runtime du système de contrôle. Pour la qualité de connexion, tous les clients OPC afficheront "disturbed" (Connexion perturbée).

Aucune autre configuration dans zenon n’est nécessaire.

Le serveur OPC se connecte au Runtime en cours d’exécution et propose toutes les variables de tous les projets en cours d’exécution aux fins de la connexion.

info Informations

Dès que le Runtime démarre, vous pouvez lire les variables de tous les projets disponibles dans le Runtime. Ceci est indépendant du fait que les projets soient indépendants, clients ou serveurs.


Consultation du serveur OPC

Manuel -> Serveur OPC -> Consultation du serveur OPC

Les clients OPC utilisent deux méthodes différentes pour localiser et consulter les informations relatives aux variables sur le serveur OPC. Il existe deux manières de localiser les serveurs OPC installés sur le PC.

  • En consultant la base de registre
  • En consultant les données à l’aide du programme supplémentaire OPCEnum.exe

Le programme supplémentaire OPCEnum.exe n’est pas distribué. Il peut donc arriver qu’un client OPC ne détecte pas le serveur OPC du système de contrôle, car il utilise cette méthode de consultation. Consultez la documentation du client OPC pour savoir s’il est possible de modifier la méthode de consultation en optant pour une lecture de la base de registre. (Pour Matrikon OPC Explorer, cette option est disponible dans la section Options). Si ce n’est pas le cas, vous devez installer le programme OPCEnum.

Conseil : Si vous installez le programme gratuit Matrikon OPC Simulator Server, OPCEnum est également installé.

info Informations

Lors de la consultation du système de contrôle, le serveur OPC renvoie toutes les variables existant dans le Runtime du système de contrôle. Vous devez donc vous assurer que le Runtime du système de contrôle est en cours d’exécution avant de commencer à consulter les variables.


Démarrage/Arrêt du serveur OPC

Manuel -> Serveur OPC -> Démarrage/Arrêt du serveur OPC

Le serveur OPC est automatiquement démarré par le premier client qui se connecte à lui, et arrêté par le dernier client qui s’en déconnecte.


Journalisation

Manuel -> Serveur OPC -> Journalisation

Pour la surveillance et l’évaluation des activités du serveur OPC de zenon, l’Diagnosis Viewer est utilisé.


Demande de lecture asynchrone

Manuel -> Serveur OPC -> Demande de lecture asynchrone

L’interface OPC IAsyncIO et l’interface OPC IAsyncIO2 prennent en charge les demandes de lecture asynchrone multiples.


Accès à distance

Manuel -> Serveur OPC -> Accès à distance

L'accès à distance à l'aide de la technologie DCOM n'est pas pris en charge. zenon prend uniquement en charge l'accès aux serveurs OPC DA localement installés.

attention Attention

Le serveur OPC est optimisé pour une utilisation locale?; son utilisation sur un réseau est expressément déconseillée !
Explication : OPC utilise la technologie DCOM pour les communications sur le réseau ; cette méthode est considérée comme sujette à erreurs et instable. Les déconnexions particulières (par exemple, dues à un câble réseau débranché) et les périodes d’indisponibilité prolongées sont problématiques dans les applications industrielles.

Solution recommandée :

  • Utiliser un serveur OPC UA
    ou
  • Installation locale :
    Le Runtime de zenon est installé et se comporte comme un client pour les projets souhaités sur l’ordinateur sur lequel s’exécute le client OPC. zenon OPC Server est démarré pour ce client. De cette manière, zenon OPC Server peut être connecté au client OPC.


Simulation de driver

Manuel -> Simulation de driver

Si le procédé sous-jacent n'est pas disponible lors de la configuration, celui-ci peut être simulé et testé à l'avance. Trois modes sont disponibles à cette fin :

  • Simulation statique : valeurs constantes simulées par le driver
  • Simulation - comptage : les valeurs simulées par le driver sont comptées.
  • Simulation - Programmée : les valeurs sont calculées via un projet de simulation avec zenon Logic.

attention Attention

Si le driver est arrêté en mode Simulation - Comptage, seul le comptage est arrêté. La variable n'est pas basculée vers l'état défaillant. Dans tous les autres modes, le driver est vraiment arrêté.

Remarque : Simulation - programmée n'est pas pris en charge par les drivers spécifiques aux éléments suivants :

  • Variables internes
  • Variables mathématiques
  • Variables de simulation
  • Variables système

info Informations

Les variables de zenon représentant les variables IO de zenon Logic ne sont pas disponibles dans le projet sous l'état Simulation de drivée programmée.

tutorial Informations concernant la licence

Composante de la licence standard d’Editor et du Runtime.

Autres sujets abordés dans ce chapitre

Simulation statique

Simulation - comptage

Simulation - Programmée


Simulation statique

Manuel -> Simulation de driver -> Simulation statique

Lors d'une simulation statique, aucune communication n'est établie au niveau du système de contrôle ; les valeurs sont simulées par le driver. Dans ce mode, la valeur demeure constante. Les valeurs peuvent être modifiées par le Runtime ou l'utilisateur. Lors d'un redémarrage du Runtime en mode Simulation - Statique, ces valeurs ne sont toutefois pas enregistrées et sont perdues.


Simulation - comptage

Manuel -> Simulation de driver -> Simulation - comptage

Lors d'une simulation de comptage, aucune communication n'est établie au niveau du système de contrôle ; au lieu de cela, les valeurs sont simulées par le driver. Dans ce mode, le driver augmente automatiquement les valeurs dans les limites d'une plage de valeurs, en commençant par 0. Si la valeur maximale a été atteinte, le processus de comptage reprend à partir de 0.

info Informations

Pour les valeurs de départ négatives, le processus de comptage commence uniquement à 0.

INT utilise la valeur maximale de USINT pour le comptage.

attention Attention

Si le driver est arrêté en mode Simulation - Comptage, seul le comptage est arrêté. La variable n'est pas basculée vers l'état défaillant. Dans tous les autres modes, le driver est vraiment arrêté.


Simulation - Programmée

Manuel -> Simulation de driver -> Simulation - Programmée

Pour le mode Simulation - Programmée, aucune communication n'est établie avec l'automate ; au lieu de cela, les valeurs sont calculées par un projet de simulation librement programmable. Le projet de simulation est créé dans le module Workbench de zenon Logic et s'exécute dans le Runtime de zenon Logic. Celui-ci permet de modifier les informations d'horodatage des variables au niveau du driver. Les commandes d'écriture de variables exécutées par zenon sont transmises à la simulation et les serveurs redondants sont synchronisés. C'est également de cette manière que sont simulés les procédés complexes.

Pour démarrer le programme de simulation, sélectionnez le mode Simulation - Programmée dans Driver configuration (Configuration du driver).

info Informations

Windows CE

Simulation - programmée n'est pas disponible sous Windows CE.

Autres sujets abordés dans ce chapitre

Editor

Configuration du driver

zenon Logic Workbench

Runtime

Remarques concernant les variables dans les projets de simulation

Message d'erreur


Editor

Manuel -> Simulation de driver -> Simulation - Programmée -> Editor

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Autres sujets abordés dans ce chapitre

Créer un projet

Supprimer le projet

Développement distribué

Modifier un driver

Export/import XML


Créer un projet

Manuel -> Simulation de driver -> Simulation - Programmée -> Editor -> Créer un projet

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Pour créer un programme pour la fonction Simulation - programmée, vous devez :

  • Sélectionner un driver de procédé simple ;
  • Vous assurer que le nom du projet est valide.

attention Attention

Simulation - programmée n'est pas pris en charge par les drivers spécifiques aux éléments suivants :

  • Variables internes
  • Variables mathématiques
  • Variables de simulation
  • Variables système

Pour créer un projet de simulation :

  • Cliquez sur le groupe Projet de simulation pour le driver dans la propriété Édition, puis sur Cliquer ici ->.
  • Un nouveau projet zenon Logic est alors créé,
  • Nom et les numéros de port pour Port d'événements et Port standard sont définis automatiquement ; vous pouvez les modifier à votre convenance.
  • zenon Logic Workbench démarre.

Le module Workbench ouvert pour le projet de simulation est automatiquement fermé si :

  • zenon Editor est fermé.
  • Un driver est supprimé et le projet de simulation associé est actuellement en cours d'édition dans le module Workbench.
  • Le projet de simulation associé au driver est supprimé via la propriété Supprimer.
  • Le projet de simulation est renommé.

info Informations

Numéro de port : Lors de la création du projet de simulation pour ce projet, un numéro de port distinct est automatiquement attribué. Un numéro de port attribué automatiquement est seulement unique pour le projet correspondant. Dans les projets multi-hiérarchiques, il est impératif de s'assurer qu'un numéro de port est utilisé une fois seulement dans tous les projets exécutés dans le Runtime. Si un numéro de port est utilisé plusieurs fois, des erreurs de communication peuvent se produire avec zenon Logic Workbench ou le Runtime.

Les numéros de port peuvent être modifiés manuellement. Un numéro de port doit répondre aux conditions suivantes :

  • Il doit être disponible dans le projet.
  • Il doit être unique pour tous les projets exécutés dans le Runtime.
  • Il doit être disponible sur l'ordinateur sur lequel s'exécute le driver.

Numéros de port autorisés :

  • Minimum : 6000 (avec attribution automatique, recommandé en cas d’attribution manuelle)
  • Maximum : 6999 (avec attribution automatique, recommandé en cas d’attribution manuelle)

Archivage de projets

Un projet zenon Logic contient de nombreux fichiers et dossiers. Pour les gérer, et en particulier pour simplifier le développement distribué, tous les fichiers sont archivés dans un format compressé dans le fichier Simul_<driver-ID>.zip dans le dossier <Chemin du projet SQL>\FILES\zenon\custom\drivers. Ce fichier figure parmi les fichiers de drivers dans Editor. Lors du démarrage de zenon Logic Workbench, les fichiers sont automatiquement décompressés, et sont à nouveau compressés lors de l'arrêt du module.

Création de variables

Lors de la création de variables dans un projet de simulation, la succession est importante :

  1. Créez la variable
  2. Sélectionnez un type de données valide dans zenon Logic Workbench
  3. Ensuite, activez la propriété Embarquer les symboles

Arrière-plan : Les variables sont créées avec le type d'objet de driver Donnée automate, par défaut. Ce type d'objet n'est pas compatible avec tous les types de données pour tous les drivers. Si une variable est copiée dans zenon Logic Workbench alors que la propriété Embarquer les symboles est active, vous devez désactiver cette propriété pour modifier le type de données. La variable est alors supprimée dans zenon.

info Informations

Message d'erreur "Impossible de créer la variable"

Une variable ne peut pas être créée dans l'objet de simulation si le driver ne comporte pas le type d'objet de driver "exception".

Variable de driver - compatible avec ce type de données.

Lors de l'activation de la variable Embarquer les symboles, le message d'erreur "Impossible de créer la variable" est affiché.

Type structure

Lors de la création d'une variable avec un type de données structure :

  • Les variables sont créées avec le type d'objet de driver Donnée automate, si possible.
  • Tous les types de drivers d'objet, à l'exception de la variable de driver, sont testés jusqu'à ce qu'un type puisse être utilisé pour tous les éléments.
  • Si aucun type de driver d'objet adéquat n'est disponible :
    • Aucune variable n'est créée pour les variables non-structurelles.
    • Le type d'objet de driver Donnée automate est utilisé pour les variables structure.

Exemple :

Un type de données structure contient des éléments de type UINT et STRING. Une variable est créée pour le driver S7TCP, et la variable Embarquer les symboles est activée.

  • La variable n'est pas créée avec le type Marqueur d'automate, mais avec le type Bloc de données étendu, dans lequel existent tous les éléments de structure.
  • Un nouveau type (LINT) est ajouté ; il n'est pas compatible avec le type Bloc de données étendu.
  • Lorsqu'une nouvelle variable est créée, elle est créée sous le type Donnée automate. Seule la première variable complexe peut être activée (UINT). Pour la variable de structure existante, le type d'objet Bloc de données étendu est conservé, et le dernier élément structure (LINT) ne peut pas être activé.

Compilation des fichiers

Si un projet de simulation est compilé dans zenon Logic Workbench, ceci provoque la création d'une variable dans zenon et le fichier programme du Runtime.
Lors de la compilation, un sous-dossier portant le nom du projet de simulation est créé dans le dossier du Runtime\RT\FILES\zenon\custom\drivers. Le fichier contenant le code de la simulation est nommé SIMULRT.COD ; il est archivé dans ce dossier.

Le message suivant est affiché dans la fenêtre de sortie :

SIMULRT.COD

S'il est compilé avec le compilateur C, le message suivant est également affiché :

T5APP.DLL

attention Attention

Pour les projets multi-utilisateurs, vous ne devez pas créer de projets de simulation hors ligne. Ils ne peuvent plus être supprimés.


Supprimer le projet

Manuel -> Simulation de driver -> Simulation - Programmée -> Editor -> Supprimer le projet

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Pour supprimer un projet de simulation :

  1. Cliquez sur le bouton Cliquer ici -> dans la propriété Supprimer du groupe Projet de simulation pour le driver.
  2. Confirmez cette sélection lorsque le programme vous invite à le faire.
  3. Le fichier ZIP contenant les fichiers du projet est supprimé.
  4. zenon Logic Workbench est fermé.

Remarque :

  • Le dossier du Runtime pour le projet de simulation est conservé.
  • La fonction Annuler n'est pas disponible pour cette action.
  • Cliquez sur Édition pour créer un nouveau projet de simulation.
  • Pour les projets multi utilisateurs:
    • L'option de driver Autoriser les modifications doit être activée pour que le programme de simulation puisse être supprimé.
    • Le projet n'est pas affiché comme supprimé sur d'autres clients tant qu'il n'a pas été synchronisé.

      Si vous tentez d'ouvrir un projet supprimé avant qu'il n'ait été synchronisé (en cliquant sur Édition), un nouveau projet de simulation est créé.

    • Vous ne pouvez pas annuler la suppression de projets simples via la fonction Annuler les modifications.

attention Attention

Le projet de simulation est immédiatement supprimé de la base de données locale et de la base de données du serveur lors de la suppression. Cette action ne peut pas être annulée !

Remarque : La suppression manuelle du fichier ZIP du driver entraîne également la suppression du projet de simulation. Éléments requis : L'instance de zenon Logic Workbench associée à ce driver n'est pas ouverte. Nous ne recommandons pas ce mode opératoire !


Développement distribué

Manuel -> Simulation de driver -> Simulation - Programmée -> Editor -> Développement distribué

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Pour les projets multi-utilisateurs, toutes les instances de zenon Logic Workbench en cours d'exécution qui forment partie du projet sont fermés dans les cas suivants :

  • La fonction Accepter les modifications est exécutée pour des modules entièrement verrouillées pour d'autres utilisateurs dans la section Autoriser modifications, par exemple pour les variables, les drivers et les types de données.
  • Annuler les modifications :
    • Les nouveaux projets ne sont pas créés sur le serveur.
    • Les modifications apportées au programme de simulation sont perdues.
    • Les fichiers de driver non présents dans la base de données du serveur sont également perdus dans la base de données locale.
  • Synchroniser :
    Les modifications apportées localement au programme Simulation - Programmée sont perdues.
  • Mettre à jour la version locale :
    Les modifications apportées localement au programme de simulation dans la fonction Simulation - Programmée sont perdues.

attention Attention

L'état du fichier ZIP du projet de simulation ne peut pas être modifié (état multi-utilisateurs Accepter les modifications, Autoriser modifications, Annuler les modifications) afin de garantir l'exécution correcte des fonctions Accepter les modifications et Autoriser modifications pour le driver !

Supprimer le projet

Pour les projets multi utilisateurs

  • L'option de driver Autoriser les modifications doit être activée pour que le programme de simulation puisse être supprimé.
  • Le projet n'est pas affiché comme supprimé sur d'autres clients tant qu'il n'a pas été synchronisé.
    • Si vous tentez d'ouvrir un projet supprimé avant qu'il n'ait été synchronisé (en cliquant sur Édition), un nouveau projet de simulation est créé.
  • Vous ne pouvez pas annuler la suppression de projets simples via la fonction Annuler les modifications.

attention Attention

Un projet de simulation comportant l'état Autoriser modifications ne peut pas être supprimé dans le mode Hors ligne.

Un projet de simulation créé en mode hors ligne dans un projet multi-utilisateurs ne peut donc plus être supprimé.


Modifier un driver

Manuel -> Simulation de driver -> Simulation - Programmée -> Editor -> Modifier un driver

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

En cas de changement de driver dans zenon, les conditions suivantes sont vraies :

  • Le projet de simulation est conservé.
  • Tous les ports sont toutefois définis sur 0. Pour obtenir des numéros de port fonctionnels, ouvrez le projet dans Editor. Les nouveaux numéros de port seront alors saisis automatiquement. Les numéros de port peuvent également être attribués manuellement.

attention Attention

Les drivers liés à un projet zenon Logic à l'aide de la solution intégrée ne peuvent pas être échangés.


Export/import XML

Manuel -> Simulation de driver -> Simulation - Programmée -> Editor -> Export/import XML

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Un projet en mode Simulation - programmée peut être exporté au format XML. Il ne peut en revanche pas être importé en tant que nouveau projet pour un autre driver.

Solution :

  1. Exportez les programmes de zenon Logic.
  2. Importez-les dans le nouveau projet pour le nouveau driver.
  3. Remplacez les variables à l'aide de la fonction Rechercher et remplacer.


Configuration du driver

Manuel -> Simulation de driver -> Simulation - Programmée -> Configuration du driver

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Quatre modes sont disponibles lors de la configuration du driver :

  • Matériel
  • Simulation - comptage
  • Simulation statique
  • Simulation - Programmée

Sélectionnez le mode Simulation - Programmée.

Autres sujets abordés dans ce chapitre

État de la variable du driver

Synchronisation cyclique


État de la variable du driver

Manuel -> Simulation de driver -> Simulation - Programmée -> Configuration du driver -> État de la variable du driver

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

L'état du Runtime de zenon Logic est affiché dans la variable de driver SimulRTState, à l'offset 60. La variable est numérique et ne peut pas être écrite. La valeur vous informe au sujet de l'état du Runtime :

Bit | Signification | Description
31 | Sans application | Le Runtime n'a pas chargé de programme, le programme a été arrêté ou n'a pas été chargé dans le Runtime.
30 | Sans instance | Aucune instance de Runtime n'a été créée, par exemple parce que la DLL associée au Runtime n'a pas pu être chargée, parce que la quantité de mémoire disponible est insuffisante, parce que la DLL est absente ou parce que la version de la DLL est incorrecte.
18 | Code de programmation disponible | Le code de programmation est disponible avec le code compilé ; la commutation est possible.
17 | Code actif compilé | Le Runtime s'exécute avec le code compilé (dans le cas contraire, avec le code de programmation interprété)
16 | Code compilé disponible | Le code compilé provenant du compilateur C est disponible.
15 | L'application est chargée. | Une application est présente, le Runtime est en cours d'exécution.
14 | Démarrage impossible - gestionnaires manquants | Certaines fonctions "C" sont manquantes.
13 | Points d'interruption actifs installés | Au moins un point d'interruption a été défini par le débogueur.
12 | Le segment CT existe. | L'application a été compilée séparément avec l'option Variables complexes dans un segment distinct.
11 | Réservé | (Interne, uniquement destiné au Runtime.)
10 | Demande d'informations système disponible. | (Interne, uniquement destiné au Runtime.)
9 | Figer la production d'événements. | La fonction de liaison ne transmet pas les événements.
8 | Mode cycle unique | (Interne, uniquement destiné au Runtime et au débogueur.)
7 | Réservé | (Interne, uniquement destiné au Runtime.)
6 | Variables verrouillées. | Au moins une variable est verrouillée.
5 | Fonctions trigonométriques en degrés. | Les fonctions trigonométriques sont exprimées en degrés.
4 | Consigner les messages dans la pile. | (Interne, uniquement destiné au Runtime.)
3 | Application arrêtée entre deux programmes. | Le Runtime s'est arrêté entre deux étapes durant le débogage.
2 | Application arrêtée sur un point d'interruption de SFC. | (Interne, uniquement destiné au Runtime.)
1 | Application arrêtée sur une erreur. | Runtime arrêté avec une erreur grave, redémarrage requis.
0 | L'application est en cours d'exécution. | TRUE = L'application opère en mode exécution. FALSE = L'application est en pause en mode "cycle à cycle".

info Informations

La variable de driver SimulRTState comportant l'offset 60 affiche l'état du Runtime sur le serveur. Cela s'applique également lorsque la variable est affichée sur le serveur redondant.


Synchronisation cyclique

Manuel -> Simulation de driver -> Simulation - Programmée -> Configuration du driver -> Synchronisation cyclique

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Les simulations s'exécutent en réseau sur le serveur et le serveur redondant, chaque serveur étant indépendant de l'autre. Lors du démarrage du serveur redondant, une synchronisation est effectuée avec le serveur ; toutefois :

  • La première synchronisation est retardée conformément au délai d'exécution du paquet.
  • De petites différences dans l'exécution aboutissent à un écart plus important.

L'état des variables simulées devient alors différent. Pour minimiser ces différences, utilisez la fonction Transférer l'image de simulation du driver vers le serveur redondant pour synchroniser l'image de la simulation.

  • Créez une nouvelle fonction.
  • Sélectionnez Transférer l'image de simulation du driver vers le serveur redondant.

  • La boîte de dialogue de sélection de driver s'affiche à l'écran.

  • Dans la liste, tous les drivers liés au procédé sont disponibles dans la liste (à l'exception du simulateur) ; cliquez sur l'en-tête de la colonne pour modifier l'ordre de tri.
  • Sélectionnez le driver devant être synchronisé.
  • Chaque fois qu'une fonction est exécutée sur le serveur redondant, une image est demandée au serveur pour le driver sélectionné.

Les différences dans l'état actuel de la simulation peuvent être minimisées par l'activation cyclique. Adaptez la grille de l'exécution au volume de données à synchroniser, car cette tâche exerce une charge sur le réseau et sur l'ordinateur.

La Exécution de la fonction est fixe et définie sur Serveur redondant ; elle ne peut pas être modifiée. Ceci se produit uniquement si :

  • L'ordinateur est le serveur redondant.
  • Le serveur est en ligne.
  • Le projet est un projet en réseau.
  • Les drivers ont été sélectionnés aux fins de la synchronisation.

Pour modifier la sélection des drivers

  • Dans les propriétés du driver, cliquez sur le groupe Général de la propriété Paramètre.
  • La boîte de dialogue de sélection du driver s'affiche.


zenon Logic Workbench

Manuel -> Simulation de driver -> Simulation - Programmée -> zenon Logic Workbench

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

La programmation de la simulation programmée se déroule dans zenon Logic Workbench, qui opère en collaboration étroite avec zenon Editor. Pour la simulation (contrairement à la solution intégrée), seules les variables d'un driver sont échangées entre les différents éditeurs.

Définition des variables devant être échangées :

Lors du démarrage de zenon Logic Workbench, toutes les variables de driver qui ne sont pas encore présentes dans zenon Logic sont créées sous forme de variables globales. L'option Embarquer les symboles est automatiquement activée pour celles-ci.

Visibilité

Si une nouvelle variable est définie dans le module Workbench, dans la zone Global ou Retain, elle est uniquement visible dans zenon Logic. Pour la rendre visible dans zenon, l'option Embarquer les symboles doit être activée. À partir de cet instant, toutes les variables sont actualisées par les deux éditeurs.

Si l'option Embarquer les symboles est désactivée, la variable est supprimée dans zenon Editor. Cette action permet de définir des variables Global et Retain dans zenon Logic ; celles-ci ne sont pas visibles pour zenon.

Le programme tente d'attribuer une nouvelle variable créée par zenon Logic Workbench dans zenon à la zone SPSMERKER. Si le driver zenon ne prend pas en charge le type de données configuré, une recherche est effectuée afin de déterminer la première zone de données prenant ce type de données en charge. Si aucune zone n'est trouvée, la variable ne peut pas être créée.

Une variable est uniquement verrouillée dans le cadre d'un projet multi-utilisateurs, si l'état Permettre les modifications n'a pas été défini.

Paramètres du projet

Certains paramètres sous Projet -> Paramètres du projet... -> Autres options -> Étendues dans zenon Logic influencent les fonctionnalités de la simulation.

Paramètres étendus

Description

Runtime : Mode d'exécution

Recommandation :

Mode : déclenchement

Temps de cycle : Un quart à un tiers du délai d'actualisation du driver.
Les modifications de valeurs fréquentes des variables simulées entraînent une augmentation de la charge exercée sur l'ordinateur.

Compilateur/options : Embarquer les symboles de toutes les variables

Recommandation : désactivé.
Activé : les données d'une variable sont échangées, car les noms des symboles sont attribués dans le Runtime.

Toutefois : Toutefois, les modifications apportées à la configuration des variables ne sont pas actualisées entre zenon et zenon Logic. Il n'est plus possible d'effectuer des modifications en ligne.

Compilateur/options : Conserver la capitalisation des symboles

Sans incidence : les noms de variables sont toujours convertis en capitales dans le Runtime.

Compilateur/options : Créer des bits d'état pour les variables comportant un profil

Active : L'état des variables est simulé ou déclenche une réaction dans le programme de simulation.

"C" compiler (Compilateur C)

Le code natif est pris en charge.

Nom de la DLL devant être contenue dans le code compilé : t5app.dll.


Runtime

Manuel -> Simulation de driver -> Simulation - Programmée -> Runtime

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Autres sujets abordés dans ce chapitre

Fonctionnalité

Tableaux et simulation

Fichiers du Runtime

Échange de données

Stockage de données

Redondance

État

Démarrage/Arrêt

Commandes du driver

Attribution des variables

Informations d'horodatage


Fonctionnalité

Manuel -> Simulation de driver -> Simulation - Programmée -> Runtime -> Fonctionnalité

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Le Runtime zenon Logic offre les fonctions suivantes :

  • Transfert de fichier
  • Type de données :
    • BOOL
    • BYTE
    • DINT
    • DWORD
    • INT
    • LINT
    • LREAL
    • REAL
    • SINT
    • STRING
    • TIME
    • UDINT
    • UINT
    • USINT
    • WORD
  • Tableaux de zenon (reportez-vous également à la section Tableaux et simulation)
  • Horodatage
  • Enregistrement numérique de valeurs
  • Blocs fonctionnels avec liaisons dynamiques, mémorisés dans t5block*.dll
  • Redémarrage à chaud
  • Journalisation :
    • Journalisation des messages provenant du programme (printf)
    • Messages d'erreur dans le Runtime
    • Toutes les erreurs apparues dans les modules Workbench et Diagnosis Server
  • Code machine : code C natif compilé avec le post-compilateur (indisponible sous Windows CE)
  • Modification en ligne
  • Langages de programmation : IL, AS, FDB, LD, ST
  • Données Retain (données rémanentes)
  • Blocs fonctionnels et fonctions spéciales :
    • Numérotation consécutive des données
    • Attribution dynamique de mémoire
    • Recettes embarquées
    • Listes de variables embarquées
    • Gestion de fichiers
    • Fichiers
    • Mathématique
    • Aléatoires
    • Signaux
    • Tables de chaînes
    • Trigonométrie
    • Heure
  • Communications événementielles
    • Changement de valeur en cas d'événement
    • 16 connexions
    • Hystérésis
  • UDP & TCP/IP pour les langages IEC
  • Verrouillage de variables


Tableaux et simulation

Manuel -> Simulation de driver -> Simulation - Programmée -> Runtime -> Tableaux et simulation

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Pour simuler des tableaux multidimensionnels dans la simulation de driver, vous devez activer la propriété Enregistrer les variables complexes dans leur propre segment de zenon Logic Workbench.

Les tableaux commencent par l'indice 1

Si des tableaux comportant l'indice de départ 1 existent dans une simulation, ces tableaux sont générés avec un indice supplémentaire dans zenon Logic Workbench.

Example Exemple

Dans zenon, un tableau comporte les indices 1 à 4. Ce tableau comporte les indices 0 à 4 dans zenon Logic Workbench.

Ceci garantit que les mêmes indices sont utilisés dans zenon et zenon Logic. L'indice 0 n'est pas transféré au driver.

Si vous modifiez le tableau dans zenon Logic Workbench, vous devez tenir compte de cet indice supplémentaire.


Fichiers du Runtime

Manuel -> Simulation de driver -> Simulation - Programmée -> Runtime -> Fichiers du Runtime

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Lors de la création des fichiers de Runtime, un sous-dossier portant le nom du projet de simulation est créé dans l'élément Dossier du Runtime du projet, dans le répertoire \RT\FILES\zenon\custom\drivers. Le fichier contenant le code de la simulation est nommé simulrt.cod ; il est archivé dans ce dossier.

Une fois la compilation effectuée dans le module Workbench et le transfert vers le dossier de Runtime effectué, le message suivant s'affiche dans la fenêtre de sortie d'Editor :

SIMULRT.COD

S'il est compilé avec le compilateur C, le message suivant est également affiché :

T5APP.DLL

Remote transport

Les fichiers de Runtime destinés à la simulation sont générés sous la forme d'un sous-dossier des fichiers du driver. Pour le module Remote Transport, le sous-dossier et tous les informations qu'il contient sont transférés vers l'ordinateur cible.


Échange de données

Manuel -> Simulation de driver -> Simulation - Programmée -> Runtime -> Échange de données

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

L'échange de données entre le Runtime zenon Logic et le driver démarre lors du deuxième cycle du Runtime zenon Logic. Par conséquent, la première exécution est disponible aux fins de l'initialisation de toutes les variables dans le Runtime.

Les données sont uniquement échangées si :

  • La variable est demandée et...
    • N'a pas encore reçu une valeur.
    • Ne comporte pas l'état Désactivé (OFF/_VSB_N_UPD) ou Valeur de remplacement (ALT_VAL/_VSB_AVALUE) dans le driver
    • Est encore demandée par le driver.
    • A changé de valeur ou d'état.

L'échange de données avec le driver est exécuté de manière asynchrone durant le cycle du Runtime. Le driver analyse les changements de valeurs à chaque cycle de mise à jour. Toutes les valeurs modifiées - à l'exception de l'état Désactivé (OFF/_VSB_N_UPD) ou de la valeur de remplacement (ALT_VAL/_VSB_AVALUE) - sont entrées dans la liste de variables devant être mises à jour dans le driver et transmises au Runtime.

Fonction Transférer l'image de simulation du driver au serveur redondant

Cette fonction est uniquement exécutée sur le serveur redondant (pour plus d'informations concernant la configuration, se reporter au chapitre Comparaison cyclique). Les données sont obtenues de manière synchrone depuis le driver situé sur le serveur compilant l'image. Le driver dispose d'un délai de 5 secondes à cette fin. Parce que les données de l'image sont créées dans le même fil que celui dans lequel s'exécute la simulation, il est nécessaire de veiller à ce que la simulation soit traitée en l'espace de 5 secondes. En cas de dépassement de ce délai, aucune image n'est transférée pour ce driver.

Simulation de la valeur

Les changements de valeur ne sont pas transférés immédiatement, mais enregistrés dans un buffer. Le buffer peut enregistrer 8192 changements de valeur, ou cinq fois le nombre de variables, selon la valeur la plus élevée. Le délai de transfert résultant du cycle du driver peut atteindre 100 ms. Si la valeur change encore alors qu'elle attend d'être transférée, toutes les valeurs qui n'ont pas encore été transférées sont transmises au Runtime et la nouvelle valeur est alors consignée. Ceci peut entraîner une augmentation de la charge exercée sur l'ordinateur et le réseau, mais garantit que toutes les valeurs sont transférées dans le Runtime.

Commande d'écriture de driver

Si la fonction Simulation - Programmée est configurée et active, les commandes d'écriture sur le serveur redondant sont transmises au Runtime.

Les opérations d'écriture sont exécutées de manière asynchrone par le driver dans le Runtime. Les échanges de données sont effectués par le biais d'un buffer. Le buffer peut enregistrer 8192 changements de valeur, ou cinq fois le nombre de variables, selon la valeur la plus élevée.

Les commandes d'écriture sont examinées après les changements de valeur dans le Runtime. Si une commande d'écriture ne peut pas être correctement exécutée, le message d'erreur Write queue full! Write command for <DP-Name> lost! est affiché.

Si les bits d'état sont activés, le paramètre Écriture réussie sera affiché si la valeur provenant du driver a été écrite dans la valeur de la variable. Le programme du Runtime doit à nouveau supprimer cet état après avoir traité la commande d'écriture. Un bit d'état déjà actif ne provoque aucun délai en cas de nouvelle écriture dans le driver. Les commandes d'écriture sont également exécutées si le programme de Runtime a été arrêté par un point d'interruption.

Remarque : toutes les commandes d'écriture provenant du driver ne sont pas visibles dans le Runtime. Si plusieurs commandes d'écriture sont présentes dans le buffer, seule la dernière est visible dans le Runtime.

Désactiver les variables / Commuter vers valeur de remplacement

Si la variable est désactivée ou basculée vers une valeur de remplacement, le Runtime ne le reconnaît pas. Les modifications des valeurs qui sont également exécutées par le Runtime ne sont pas attribuées aux variables dans le driver. Si les variables sont à nouveau activées ou basculées vers une valeur événementielle, la valeur actuelle est à nouveau transférée depuis le Runtime vers le driver. Lors de la désactivation de la valeur événementielle, le bit d'état OFF est défini. Lorsque vous revenez à la valeur spontanée, le bit OFF est réinitialisé.


Stockage de données

Manuel -> Simulation de driver -> Simulation - Programmée -> Runtime -> Stockage de données

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Données Retain (données rémanentes)

Les données Retain sont conservées dans le fichier SimulRt<TreiberID>.ret. Un fichier comme celui-ci est créé pour chaque simulation, à condition que les variables Retain soient présentes. Le fichier est pris en compte lorsqu'une comparaison est réalisée sur le réseau.

Driver rémanent

Le paramètre Simulation - programmée au démarrage du driver n'est pas un critère de restauration de l'image de variable rémanente.


Redondance

Manuel -> Simulation de driver -> Simulation - Programmée -> Runtime -> Redondance

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Démarrage sur le serveur redondant

Si le driver s'exécute déjà sur une base redondante, l'image de la simulation doit déjà être disponible. Dans ce cas, la simulation est démarrée "à chaud" avec cette image. Si aucune image n'est présente, une reprise intermédiaire est exécutée.

Fonction Transférer l'image de simulation du driver au serveur redondant

Cette fonction est uniquement exécutée sur le serveur redondant (pour plus d'informations concernant la configuration, se reporter au chapitre Comparaison cyclique). Les données sont obtenues de manière synchrone depuis le driver situé sur le serveur compilant l'image. Le driver dispose d'un délai de 5 secondes à cette fin. Parce que les données de l'image sont créées dans le même fil que celui dans lequel s'exécute la simulation, il est nécessaire de veiller à ce que la simulation soit traitée en l'espace de 5 secondes. En cas de dépassement de ce délai, aucune image n'est transférée pour ce driver.

Synchronisation

Conjointement aux fichiers programme de la simulation, les éléments suivants sont également comparés :

  • Données Retain (*.ret)
  • Tous les fichiers *.simul
    Cette extension de fichier est créée par le programme de simulation pour les fichiers spécifiques à la simulation, qui sont archivés dans le dossier avec une description de l'ordinateur sous l'élément Dossier du Runtime.


État

Manuel -> Simulation de driver -> Simulation - Programmée -> Runtime -> État

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Simulation d'état

Pour la simulation d'état, dans zenon Logic, l'option Projet -> Paramètres du projet -> Étendus -> Compilateur -> Options -> Créer des bits d'état pour les variables comportant un profil doit être active. Si l'état d'une variable est modifié, ceci déclenche la transmission d'une variable au driver.

Les modifications des états suivants ne déclenchent pas de modification de valeur au niveau du driver, et ne sont également pas dérivées de la simulation :

  • Temps réel externe (T_EXTERN/_VSB_RT_E)
  • Temps réel interne (T_INTERN/_VSB_RT_I)
  • Heure standard (T_STD/_VSB_WINTER)
  • Écriture reconnue (WR_ACK/_VSB_WR_ACK)
  • Écriture réussie (WR_SUC/_VSB_WR_SUC)
  • État normal (NORM/_VSB_NORM)
  • Écart par rapport à l'état normal (N_NORM/_VSB_ABNORM)
  • Sélection sur le réseau (NET_SEL/_VSB_SELEC)
  • Dépassement du délai d'attente du Runtime (TIMEOUT/_VSB_RTE)
  • En cours d'utilisation (PROGRESS/_VSB_DIREC)
  • Désactivé (OFF/_VSB_N_UPD)
  • Valeur de substitution (ALT_VAL/_VSB_AVALUE)

info Informations

Le bit d'état Écriture réussie (WR_SUC/_VSB_WR_SUC)) est disponible dans le programme de Runtime, et peut être rétabli pour afficher une écriture réussie.

Toutefois, le rétablissement de l'état ne déclenche pas le transfert vers le Runtime de zenon. Seuls les changements de valeurs sont transférés du driver vers le Runtime.

Bits d'état traités différemment

Les bits d'état suivants s'annulent réciproquement :

Bit

Description

17 : Spontané
(SPONT/_VSB_SPONT)

L'état Spontané est défini. Cet état est défini si la fonction de gestion de l'état est désactivée ou si aucun état n'a été défini. L'état GI + INVALID est supprimé.

18 : Invalide
(INVALID/_VSB_I_BIT)

L'état INVALID est défini. L'état SPONTAN + GI est supprimé.

16 : Requête générale
(GI/_VSB_GR)

L'état Requête générale est défini. L'état SPONTAN + INVALID est supprimé.

8 : Sélection sur le réseau
(NET_SEL/_VSB_SELEC)

Si ce bit d'état est actif (activation/désactivation de la fonction SBO), les bits d'état suivants sont acceptés avec 0, puis transmis en tant que 0 au driver afin d'identifier une modification :

  • Sélection sur le réseau (NET_SEL)
  • Cause de transmission (COTx)
  • Sélection (SE_870)
  • N_CONF (P/N-BIT)
  • Bit de test (TEST)
  • Écriture réussie (WR_SUC)

Fonction Select Before Operate (SBO)

La simulation d'état doit être disponible dans le programme du Runtime pour qu'une réaction ait lieu à l'élément Select Before Operate. La procédure Select Before Operate est définie dans le Runtime.

Activation

Si une commande de sélection de procédure SBO (SBO select) est transmise au driver, cela déclenche l'écriture d'une valeur avec l'état Sélection sur le réseau (NET_SEL) + cause de la transmission (COT_act).

Une procédure SBO correspondant doit être mise en œuvre et doit démarrer dans le Runtime.

Le bit d'état Sélect sur le réseau (NET_SEL) doit être rétabli dans le programme de Runtime.

Désactivation

La désactivation déclenche l'écriture d'une valeur avec l'état Sélection sur le réseau (NET_SEL) + Cause de transmission (COT_deact).

La procédure SBO doit être terminée de manière correspondante dans le Runtime.

Le bit d'état Sélect sur le réseau (NET_SEL) doit être rétabli dans le programme de Runtime.


Démarrage/Arrêt

Manuel -> Simulation de driver -> Simulation - Programmée -> Runtime -> Démarrage/Arrêt

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Démarrage du driver

La mise à jour des valeurs démarre uniquement au niveau du serveur redondant si le driver a reçu l'image de procédé du serveur associé. L'image doit être reçue dans l'intervalle de temps défini pour le module ; dans le cas contraire, le driver démarrage sans image. Si le serveur redondant est mis à niveau comme serveur principal durant le délai d'attente, la période d'attente se termine. Les drivers qui démarrent dans un projet de réseau ou sans réseau ne comportent pas de délai d'attente. Ce comportement s'applique à la fois aux modes simulation et matériel.

Démarrage du Runtime

Si le driver démarre le mode Simulation - Programmée, la première étape consiste en le chargement de la DLL avec le Runtime de la simulation. Ensuite, le Runtime est paramétré et le programme du Runtime démarre, à condition d'avoir été correctement chargé.

Si une image du Runtime est présente, le Runtime est démarré à chaud avec celle-ci. Dans le cas contraire, une reprise intermédiaire est effectuée. Si celle-ci ne peut être exécutée, une tentative de démarrage à froid du Runtime est exécutée. En l'absence de programme valide, le Runtime démarre à l'arrêt. L'état de toutes les variables est défini sur INVALID.

Le programme de simulation s'exécute dans son propre fil, et est donc complètement indépendant du cycle du driver.

info Informations

Variables de retenue

Les données de retenue contiennent uniquement la valeur des variables de zenon Logic, et non leur état. Cela signifie, pour le démarrage :

  • Démarrage à chaud l'état défini pour une variable est restauré, qu'il s'agisse ou non d'une variable de retenue.
  • Démarrage à froid avec variables de retenue : seule la valeur de la variable de retenue dans zenon Logic est restaurée, et non son état.

Arrêter le Runtime

Si le Runtime est arrêté, l'état INVALID est défini pour toutes les variables. Les variables qui sont demandées lors de l'arrêt du Runtime comportent l'état INVALID lors de l'initialisation. Le Runtime sécurise les données lors de la reprise intermédiaire et de la modification en ligne :

  • SIMULRT.HOT : contient les données destinées au redémarrage à chaud.
  • SIMULRT.UPD : contient les données destinées à la modification en ligne.

Ces deux fichiers sont créés dans le dossier de programme du Runtime. Le Runtime doit disposer d'une autorisation d'écriture dans ce dossier.

Recharger

  • Recompilation du projet de simulation :
    Le driver correspondant est chargé à nouveau.
  • Modification du module de délai d'attente :
    Non reconnu comme une modification par le Runtime, ne provoque pas un nouveau chargement du driver.

Le déploiement standard dans le kit du driver déclenche un redémarrage à chaud lors de l'actualisation du projet de simulation. Si cela n'est pas possible (par exemple, parce que le programme est différent), un démarrage à froid est effectué avec les données Retain.

Suppression du Runtime

Si le Runtime est en cours d'exécution, celui-ci est arrêté. Avant la suppression du Runtime, toutes les mises à jour de valeurs en attente sont transmises au driver. Alors, seulement, le Runtime est déverrouillé et SimulRuntime.dll est supprimé du PC.


Commandes du driver

Manuel -> Simulation de driver -> Simulation - Programmée -> Runtime -> Commandes du driver

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Les commandes de driver sont utilisées pour influencer les drivers par le biais de zenon (démarrage et arrêt, par exemple).
Le développement est mis en œuvre à l'aide de la fonction Commandes de driver.

Démarrage/Arrêt driver

Si le driver est arrêté dans le mode Simulation - Programmée, cela entraîne la suppression du Runtime de la mémoire. Toutes les variables reçoivent l'état INVALID. Lors du redémarrage du driver, la simulation est chargée à nouveau et le Runtime est démarré.

Commutation du driver matériel/de simulation

Lors du basculement entre les modes Matériel et Simulation, le driver se comporte comme suit :

  1. Si le driver a été configuré en mode Matériel dans Editor :
    • le driver est configuré en mode Simulation statique après l'exécution de la fonction Commande de driver avec le paramètre Driver en mode simulation.
  2. Si le driver a été configuré dans Editor pour l'un des modes de simulation (statique, comptage, programmée) :
    • le driver est configuré en mode matériel et communiqué avec l'élément de contrôle après l'exécution de la fonction Commande de driver avec le paramètre Driver en mode réel.
    • Le driver revient alors au mode simulation configuré après l'exécution de la fonction Commande de driver avec le paramètre Driver en mode simulation.


Attribution des variables

Manuel -> Simulation de driver -> Simulation - Programmée -> Runtime -> Attribution des variables

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Le driver zenon est attribué aux variables zenon Logic ; les noms sont convertis en lettres majuscules. Si le Runtime zenon demande une variable au driver, cette demande est transmise à la simulation. Si aucune simulation n'est chargée, la variable reçoit l'état Désactivé ( OFF/VSB_N_UPD) lorsque le driver est arrêté. Dans le cas contraire, elle reçoit l'état Non valide (INVALID/_VSB_I_BIT). Les variables du type d'objet Variable de driver ne sont jamais demandés par la simulation.


Informations d'horodatage

Manuel -> Simulation de driver -> Simulation - Programmée -> Runtime -> Informations d'horodatage

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Pour utiliser la fonction d'horodatage, dans zenon Logic, l'option Projet -> Paramètres du projet -> Paramètres étendus -> Compilateur -> Options -> Créer des bits d'état pour les variables comportant un profil doit être active.

Si la date est définie pour une variable dans le Runtime, la valeur de la date et de l'heure est utilisée comme information d'horodatage. Si la date ou l'heure d'une variable change durant le dernier cycle, ceci déclenche toujours le transfert de la valeur au driver. Ceci est également vrai si ni la valeur, ni l'état n'ont changé.

La plupart des drivers transfèrent uniquement de nouvelles informations d'horodatage vers le Runtime en cas de modification simultanée de la valeur ou de l'état. Une exception est, par exemple, le driver IEC870, qui transfère également de nouvelles informations d'horodatage depuis le matériel (ou Simulation - Programmée) vers le Runtime, en conservant une valeur et un état identiques.

info Informations

Vous devez veiller à ce que la date et l'heure augmentent toujours. Si ce n'est pas le cas, des problèmes peuvent se produire lors de l'archivage. La date doit être une valeur supérieure ou égale à 0.

Les variables horodatées par le programme du Runtime reçoivent l'état Temps réel externe (T_EXTERN/_VSB_RT_E).

Toutes les variables devant être transférées vers le driver et qui n'ont pas été horodatées par le Runtime reçoivent des informations d'horodatage communes durant le cycle. Ceci permet de garantir que l'heure correspond bien à celle de la modification. Ces drivers reçoivent l'état Temps réel interne (T_INTERN/_VSB_RT_I).

Date & Heure

Les considérations suivantes s'appliquent à toutes les informations de date et d'heure :

  • les heures indiquées sont au format UTC.
  • Toutes les heures doivent être comprises entre le 2 janvier 1970 et 2038.
  • Les dates sont converties en chaîne au format AAAA/MM/JJ.
  • L'heure est convertie au format HH:MM:SS.


Remarques concernant les variables dans les projets de simulation

Manuel -> Simulation de driver -> Simulation - Programmée -> Remarques concernant les variables dans les projets de simulation

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Les conditions suivantes s'appliquent à la création et la modification de variables dans les projets de simulation :

  1. zenon Logic

    Si les variables sont créées pour un projet de simulation dans zenon Logic Workbench, elles ne disposent pas d'une adresse valide pour les communications. Si les communications basculent vers le matériel, elles peuvent être interrompues lorsque les nouvelles variables sont utilisées dans des synoptiques sans ajustement de l'adresse.

  2. Renommer

    Si une variable est renommée dans un projet de simulation, le nom de la variable est également modifié de manière correspondante dans zenon. Ainsi, par exemple, vous devez également ajuster les noms des variables utilisées dans un projet VBA dans le code VBA.

  3. Solutions intégrées

    Les variables des solutions intégrées telles que zenon Logic, IEC870 ou IEC850 ne doivent pas être renommées dans le projet de simulation. Dans ce cas, les variables perdent les informations relatives au projet.
    Par exemple : si vous renommez Project0/Global/NewVar en myNeVariablenwVar dans le projet de simulation, la variable devient myNewVar dans zenon. Une fois la variable renommée, les communications peuvent être établies avec le Runtime zenon Logic.

  4. Communications fondées sur les noms de variable

    Les variables d'un driver communiquant sur la base des noms de variables ne doivent pas être renommées dans le projet de simulation.

  5. Suppression ou importation de variables

    Si une variable est supprimée ou importée pendant que la fonction Modification en ligne est activée dans zenon Logic, toutes les variables sont supprimées et insérées à nouveau dans zenon Logic.

  6. Variables avec symbole "Embarqué" actif

    Les variables qui existent dans un programme et dont le symbole "Embarqué" est actif ne sont pas disponibles via la connexion entre Logic et SCADA dans zenon. Si une variable comportant un symbole "Embarqué" actif est déplacée de la zone globale vers un programme, la variable est supprimée dans zenon.


Message d'erreur

Manuel -> Simulation de driver -> Simulation - Programmée -> Message d'erreur

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Configuration dans zenon Editor

Message d'erreur

Cause et solution

Le nom choisi est déjà utilisé pour un autre driver ou contient des caractères non autorisés ! Veuillez saisir un nom différent !

Le nouveau nom du projet de simulation est déjà utilisé dans le projet ou n'est pas valide.

  • Spécifiez un nom valide

Le projet de simulation provenant du driver <Nom de fichier>/<Description> n'a pas été compilé et ne peut pas être pris en charge ! Veuillez compiler le projet dans le module Workbench.

Un projet de simulation est disponible pour le driver dans le module Workbench. Toutefois, il n'a pas été compilé.

  • Démarrez zenon Logic Workbench avec le projet de simulation de ce driver.
  • Compiler le projet

Conseil : Peu importe que les paramètres de driver soient définis sur Simulation - Programmée dans les paramètres du driver.

Write queue full! Write command for <Name Variable> lost!

Indique la perte d'une commande d'écriture.


Simulation de projet

Manuel -> Simulation de projet

La simulation de projet vous permet de basculer du mode simulation vers le mode matériel. Vous pouvez simuler les procédés dans le mode simulation, aux fins d’un essai. Dans ce mode, les actions de commutation sont exécutées, les recettes sont transmises, les valeurs prescrites sont définies et ainsi de suite, sans que ces opérations ne soient réellement transmises au procédé (à un contrôleur, par exemple).

De plus, la configuration du projet s'effectue dans le Runtime dans la simulation de projet pour les modules Command Sequencer et Process Recorder. Les processus productifs ne sont donc pas affectés.

Vous pouvez effectuer simulation sur un client et sur le réseau zenon. La simulation sépare le client du réseau.

Informations concernant la licence

À partir de zenon 7.60, le module Project Simulation ne peut plus être proposé individuellement sous licence.

Project Simulation est inclus dans les modules suivants qui requièrent une licence :

  • Command Sequencer
  • Process Recorder

Les considérations suivantes s'appliquent à l'octroi de licences de Project Simulation :

  • Tous les projets doivent comporter une licence.
  • Pour les projets simples, vous devez disposer d’une licence pour le client.
  • Avec les projets serveur, la licence doit être présente sur le serveur/serveur redondant ou localement.
  • Si la licence est modifiée au niveau du serveur, les clients doivent être redémarrés pour que la licence soit appliquée.

Simulation de fonctionnement

En mode simulation :

  • Tous les drivers sont démarrés en mode Simulation de driver programmée
  • Aucune donnée n’est enregistrée au niveau externe
    • Le transfert vers SQL n’est pas exécuté
    • Les entrées de la base de données IPA ne sont pas créées
    • Les entrées IPA existantes ne peuvent pas être supprimées, éditées ou commentées
  • Les données d’équipe du module PFS ne sont pas enregistrées dans la base de données
    (La sauvegarde est effectuée après le redémarrage du Runtime en mode matériel.)

info Informations

La simulation de projet n’est pas disponible pour les clients au niveau du système Terminal Server.

Autres sujets abordés dans ce chapitre

Général

Variable de driver système - état du Runtime (simulation)

Scripts

Caractéristiques spécifiques au mode simulation

Traduction en ligne

Image de simulation

Fichiers dans l’image de la simulation

Paramètres de la ligne de commande du Runtime

Limitations


Général

Manuel -> Simulation de projet -> Général

Vous pouvez uniquement basculer vers la simulation de projet si tous les projets dans le Runtime sont des projets mono-utilisateur ou des projets de client. Le mode simulation "isole" l’ordinateur ou le Runtime du réseau. En outre, tous les drivers sont démarrés en mode Simulation de driver programmée. Après cela, plus aucun driver n’est connecté à un procédé.

Après la commutation vers le mode simulation, le Runtime est redémarré et opère comme si tous les projets étaient configurés sous la forme d’un projet mono-utilisateur.

Autres sujets abordés dans ce chapitre

Commutation vers le mode simulation

Commutation en mode matériel

Créer une image de simulation

Rejouer

Activer/désactiver la fonction de simulation du projet


Commutation vers le mode simulation

Manuel -> Simulation de projet -> Général -> Commutation vers le mode simulation

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Les étapes suivantes sont exécutées si vous basculez vers le mode simulation :

  1. Exécution de la fonction pour basculer vers le mode simulation.
  2. Une vérification est effectuée afin de garantir que tous les projets dans le mode simulation peuvent être commutés, ou qu’ils opèrent déjà en mode simulation.
  3. Les étapes du mode de création de simulation sont exécutées.
  4. Pour chaque projet, une entrée est créée dans la liste d’événements correspondante, afin de consigner la commutation vers le mode simulation.
  5. Le Runtime arrête et démarre l’application zenProcess avec les paramètres complémentaires définis.
  6. L’application zenProcess attend la fin de l’exécution du Runtime, puis démarre en mode simulation.
  7. Le Runtime reconnaît le paramètre de ligne de commande, et démarre tous les projets sous la forme de projets mono-utilisateur.
  8. Le répertoire des données de Runtime est désormais le répertoire de la simulation. Le répertoire des données du Runtime dans le mode matériel n’est pas modifié.
  9. Les projets sont démarrés. Les drivers sont programmés en mode simulation de driver et sont chargés avec l’image de simulation provenant du répertoire de la simulation. Les variables locales obtiennent leurs valeurs de l’image locale. L’image de variable est appliquée à la simulation programmée. Dans la simulation de driver programmée, si la variable est modifiée durant le premier cycle d’un programme, dans le Runtime de zenon, la première valeur de la variable n’est pas sa valeur originale (comme dans le mode matériel du Runtime), mais la valeur qui a été modifiée dans la simulation.
  10. L’image des drivers internes est chargée.
  11. Pour chaque projet, une entrée est créée dans la liste d’événements correspondante, afin de consigner la commutation vers le mode simulation.
  12. La variable de driver système obtient la valeur pour le mode simulation.

Ces étapes sont exécutées pour tous les projets dans le Runtime, sauf indication contraire explicite.


Commutation en mode matériel

Manuel -> Simulation de projet -> Général -> Commutation en mode matériel

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Le mode matériel est disponible à chaque démarrage du Runtime, même si la commutation du mode matériel vers le mode simulation n’a pas été effectuée. Les étapes suivantes sont exécutées :

  1. Exécution de la fonction pour basculer vers le mode matériel.
  2. L’image du driver (driver de procédé et driver interne) et l’image de la simulation de zenon Logic sont enregistrées.
  3. Le Runtime arrête et démarre l’application zenProcess avec les paramètres complémentaires définis.
  4. L’application zenProcess attend la fin de l’exécution du Runtime, puis démarre avec les paramètres de démarrage définis pour la connexion au procédé.
  5. Le Runtime démarre et charge les projets et les données du Runtime (depuis le serveur, si nécessaire).
  6. Les drivers sont initialisés avec les données provenant des variables locales avant la simulation.
  7. Si nécessaire, l’image de la simulation est transférée vers le serveur. Vous pouvez activer celle-ci en saisissant les paramètres correspondants dans la ligne de commande.


Créer une image de simulation

Manuel -> Simulation de projet -> Général -> Créer une image de simulation

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Tous les fichiers et variables pouvant être modifiés par le Runtime sont associés dans l’image de la simulation. Si vous souhaitez créer une image de la simulation, les étapes suivantes sont exécutées :

  1. Tous les points de données provenant de tous les projets doivent être spécifiés, afin qu’ils puissent être alimentés en données actualisées.
  2. Les données qui ne sont pas requises sont supprimées dans l’image de la simulation, conformément au mode sélectionné (Exception : Initialiser avec l’image de simulation existante :
    1. Initialiser avec l’image de procédé et les données de Runtime (sans données d’archive) : Le projet de simulation local est entièrement supprimé.
    2. Initialiser avec l’image de procédé et les données de Runtime (avec données d’archive) : Tous les fichiers d’archive (*.ARX et *.ARS) sont supprimés du répertoire de simulation local.
  3. En fonction des paramètres définis pour la fonction Simulation on/off, les données de projet, données de Runtime et données de variables correspondantes sont obtenues pour tous les projets. Pour la liste de messages d’alarme, la liste d’événements et les fichiers HDD, l’état actuel est enregistré localement pour un projet d’utilisateur unique et enregistré sur le serveur pour un projet de serveur (Exception : Initialiser avec l’image de simulation existante.
  4. Les fichiers de projet pouvant être modifiés dans le Runtime (par exemple, les données du module PFS, les utilisateurs, etc.) seront copiés vers le fichier correspondant dans le répertoire du projet (exception : Initialiser avec l’image de simulation existante.
  5. Le programme attend alors que tous les points de données aient reçu une valeur. La barre de progression affiche les noms des points de données. L’affichage est limité à 60 caractères et affiche la valeur correspondante. Le temps d’attente n’est pas limité.
    Conseil : Dans la fonction Activer/désactiver la simulation de projet, si l’option Attendre toutes les variables est désactivée, seul le délai configuré dans la propriété Délai d’attente maximum est appliqué. Avec un délai d’attente maximum de 0, la barre de progression n’est pas affichée.
  6. Une image de variable de tous les drivers est créée, et les drivers internes enregistrent leurs données. Ces images sont copiées dans le répertoire de l’ordinateur. Si vous créez l’image dans la simulation, elle contient également l’image de la simulation de driver programmée.
  7. Nouveau transfert de fichiers modifiés conformément aux étapes 3 à 6.
  8. L’image de variable est comparée au répertoire de simulation local.
  9. L'image de variable des variables locales est enregistrée.
    Exception : Lors de la création d'une image de simulation.

Ces étapes sont exécutées pour tous les projets dans le Runtime, sauf indication contraire explicite.


Rejouer

Manuel -> Simulation de projet -> Général -> Rejouer

Sous l'onglet Rejouer, vous pouvez configurer les paramètres du mode Lecture du module Process Recorder. Si cette boîte de dialogue s'affiche dans le Runtime, seules les exigences de temps peuvent être modifiées.

Les paramètres de cet onglet sont optionnels.

Ils n'ont d'intérêt que si on commutera du mode live directement en mode Lecture.

Paramètre

Description

Démarrer le process recorder en mode rejouer

Cochez la case pour sélectionner le comportement du Runtime après l'exécution de la fonction.

  • Actif :
    le Runtime démarre en mode Lecture.
  • Inactif :
    le Runtime démarre en mode simulation.

Par défaut : Inactive

Filtre

Dans cette zone, vous pouvez configurer l'heure de début de la lecture dans le Runtime.

Paramètre

Description

Filtre de temps absolu

Le début et la fin de la zone de lecture sont fournis manuellement.

La saisie de l'heure de début de la lecture dans les champs d'entrée distincts pour le début et la fin.
Format :

  • Date : JJ.MM.AAAA
    Par défaut : Date du jour
  • Heure : hh:mm:ss
    Par défaut : 00:00:00

Par défaut : active

Remarque : inactif si le type de filtre est Filtre de temps relatif.

Filtre de temps relatif

Début de la plage de lecture, par rapport à l'heure de début. L'heure de début est configurée dans la zone Heure de début.

Saisie de la différence dans les champs de saisie.

  • Soustraire le temps :
    j hh:mm:ss.
  • Ajouter le temps : j hh:mm:ss.

Par défaut : Inactive

Remarque : inactif si le type de filtre est filtre de temps absolu.

Heure de début

Les options ne sont donc disponibles que si le filtre activé est le filtre de temps relatif. À défaut, les options sont grisées. Sélection de l'heure de début dans une case d'option.

Paramètre

Description

Manuel

L'heure de début de la lecture est saisie manuellement pour le module Process Recorder.

Configuration de l'heure de début avec une saisie dans les deux

Par défaut : Date du jour / 00:00:00

Depuis une variable

L'heure de début de la lecture du module Process Recorder provient de la valeur de la variable configurée.

Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de variables.

Le type de données DINT est recommandé pour la variable liée.

Si la variable n'a pas de valeur valide ou si elle a la valeur 0, la fonction ne s'exécute pas ! Une entrée de fichier journal correspondante est créée dans le processus.

Prendre en compte depuis l'écran d'appel

L'heure de début de la lecture dans le Runtime et dans le module Process Recorder provient de l'écran d'appel.

Remarque :

  • La fonction Activer/désactiver le projet de simulation peut être appelée avec succès à partir d'un écran zenon Alarm Message List ou Liste chronologique d’événements.
  • Pour l'appel, seule une entrée (alarme ou événement) de la liste peut être sélectionnée.
    L'heure entrante peut servir d'heure de début de la lecture dans le module Process Recorder.

Si le démarrage de la fonction ne peut pas réussir via Prendre en compte depuis l'écran d'appel, une entrée de fichier journal correspondante est écrite.

Fermer boîte de dialogue

Options | Description :
OK | Applique toutes les modifications effectuées sur tous les onglets, puis ferme la boîte de dialogue.
Annuler | Annule toutes les modifications effectuées sur tous les onglets, puis ferme la boîte de dialogue.
Aide | Ouvre l'aide en ligne.


Activer/désactiver la fonction de simulation du projet

Manuel -> Simulation de projet -> Général -> Activer/désactiver la fonction de simulation du projet

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

La fonction Simulation on/off permet de basculer entre les modes simulation et matériel.

Par ailleurs, zenon Runtime pour le module Process recorder peut également être démarré en mode Lecture.

Ces deux modes de simulation peuvent être démarrés sous différentes conditions.

info Informations

Si un projet dans le Runtime est en cours d’actualisation ou doit être actualisé, ou si une boîte de dialogue est ouverte dans VBA, par exemple, la fonction Simulation on/off n’est pas exécutée immédiatement. La fonction est exécutée immédiatement, dès qu’il n’existe plus aucune raison de retarder son exécution.

Si le mode sélectionné n’est pas Activer la connexion de procédé et la case à cocher Attendre toutes les variables n’est pas activée, le texte du paramètre est complété avec l’indication {délai d’attente xxx secondes}.

Diagnosis Viewer

Si des variables sans valeur sont encore présentes après expiration du délai d’attente, une entrée de fichier journal est créée dans Diagnosis Viewer pour chaque connexion. Le message simulation image has variables with missing values! apparaît dans le texte général, suivi d’une liste de variables sans valeur valide.

Autres sujets abordés dans ce chapitre

Créer un Activer/désactiver la fonction de simulation du projet

Paramètres

Rejouer


Créer un Activer/désactiver la fonction de simulation du projet

Manuel -> Simulation de projet -> Général -> Activer/désactiver la fonction de simulation du projet -> Créer un Activer/désactiver la fonction de simulation du projet

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

La fonction Activer/désactiver le projet de simulation permet de basculer Runtime entre les modes Simulation et Matériel.

Développement

Pour créer une fonction :

  1. Créez une nouvelle fonction :

    Dans la barre d'outils ou le menu contextuel du nœud Fonctions, sélectionnez Nouvelle fonction.
    La boîte de dialogue de sélection d'une fonction s'affiche à l'écran.

  2. Accédez au nœud Application
  3. Sélectionnez la fonction Activer/désactiver le projet de simulation.
    La boîte de dialogue servant à configurer la simulation de projet s'ouvre.
  4. Configurez le comportement souhaité de la simulation de projet.
    Pour rebasculer le Runtime du mode Simulation au mode Matériel, configurez la zone Activer le mode Matériel.
  5. Name the function in the Nom property.
  6. Pour appeler cette fonction dans le Runtime, liez cette fonction à un bouton existant d'un écran zenon.


Paramètres

Manuel -> Simulation de projet -> Général -> Activer/désactiver la fonction de simulation du projet -> Paramètres

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Vous configurez le comportement initial de la simulation de projet sous l'onglet Paramètres.

Les deux modes (Simulation et Matériel) peuvent être démarrés dans différentes conditions.

Activer la simulation :

  • Initialiser avec l'image de simulation existante
  • Initialiser avec l'image de procédé
  • Initialiser avec l’image de procédé et les fichiers du Runtime
    • Fichiers d'archive
    • Fichiers de Process Recorder

Mode matériel actif :

  • Activer la connexion au procédé
  • Activer la connexion au procédé et transférer l’image de simulation sur le serveur

Créer/transférer l’image de simulation

  • Créer une image de simulation (Runtime en mode Simulation) et Transférer une image de simulation vers le serveur (Runtime en mode matériel)

Options

Paramètre

Description

Nom de l’image de la simulation (nom du poste de travail, si laissé vide)

Nom du fichier dans lequel l'image de la simulation est enregistrée.
Entrez le nom souhaité de l'image de la simulation.

Remarque : Seul le nom du répertoire est enregistré.

Si vous ne spécifiez pas un nom, le nom de l’ordinateur est utilisé.

Attendre toutes les variables

Cochez la case pour indiquer si une valeur (valide) doit être présente pour toutes les variables avant de basculer vers Runtime.

  • Actif :
    le Runtime ne commute en mode simulation que si toutes les variables ont une valeur valide. La commutation peut donc être retardée.
  • Inactif :
    le Runtime bascule immédiatement en mode simulation. Une commutation a également lieu si toutes les variables n'ont pas de valeur ou si elles ont une valeur non valide.
    Cette option n'est pas recommandée !

Inactive si l’option Activer la connexion au procédé est active (activer le mode matériel)

Par défaut : active

Délai d'attente maximum

Délai d’attente maximal en secondes avant commutation vers des valeurs de variables valides.

Par conséquent, la commutation vers le mode simulation est également possible, même si toutes les variables ne possèdent pas une valeur ou ne sont pas valides.

Si ce délai d’attente est activé, le délai d’attente est affiché dans le Runtime, dans le titre de la boîte de dialogue. L’affichage de l’état affiche la progression du délai. Les variables manquantes sont toujours illustrées. Si le délai d’attente a expiré, le mode simulation est activé, en dépit des variables manquantes.

Si un délai d’attente maximum de 0 seconde est défini, la boîte de dialogue de progression n’est pas affichée.

Par défaut : 30 secondes
Plage de saisie : 0 - 3600

Note : active uniquement si l’option Attendre toutes les variables n’est pas active.

Afficher les messages d’erreur dans le Runtime

Cochez la case pour générer un message d'erreur en cas d'exécution incorrecte d'une fonction :

  • Actif :
    un message d'erreur s'affiche dans le Runtime si une fonction s'exécute de manière incorrecte.
  • Inactif :
    aucun message d'erreur ne s'affiche dans le Runtime si une fonction s'exécute de manière incorrecte.

Par défaut : Inactive

Avec dial. de filtre

Checkbox to select whether this dialog is shown in Runtime:

  • Active:
    This dialog is called up during operation in Runtime on the current computer or in the network on the calling client. Changes made by the user in the existing project configurations are thus made possible.
  • Inactive:
    This dialog is not shown in Runtime during operation. The function or the command is immediately executed with the project configuration created in the Editor.

Par défaut : Inactive

Remarque : les paramètres de sélection du mode sont verrouillés dans le Runtime. Si vous avez sélectionné l’option Activer la connexion de procédé, vous ne pouvez pas saisir un nom pour le synoptique de procédé.

Autres sujets abordés dans ce chapitre

Initialiser avec l'image de simulation existante

Initialiser avec l'image de procédé

Initialiser avec l’image de procédé et les fichiers du Runtime

Fichiers d'archive - Initialiser avec l’image de procédé et le fichier du Runtime

Données de Process Recorder - Initialiser avec l’image de procédé et les fichiers du Runtime

Activer la connexion au procédé

Activer la connexion au procédé et transférer l’image de simulation sur le serveur

Créer une image de simulation (Runtime en mode Simulation) et Transférer une image de simulation vers le serveur (Runtime en mode matériel)


Initialiser avec l'image de simulation existante

Manuel -> Simulation de projet -> Général -> Activer/désactiver la fonction de simulation du projet -> Paramètres -> Initialiser avec l'image de simulation existante

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Ici, un synoptique de simulation existant est transféré du serveur vers le client. Aucun transfert n’a lieu avec un projet autonome. Les états respectifs des variables locales sont enregistrés et le Runtime est redémarré sur la base de l’image de simulation. Le Runtime est également redémarré s’il est déjà en mode simulation. Toutefois, si c’est le cas, aucune image de driver des variables locales n’est enregistrée pour le démarrage en mode matériel.

info Informations

Grâce à la possibilité de créer une image de simulation (à l’aide de la fonction Créer une image de simulation), vous pouvez toujours démarrer une simulation au bon emplacement, et dans les mêmes conditions. Les valeurs des variables sont enregistrées dans le synoptique et l’état de la simulation de driver est programmé. L’image du serveur étant transférée, le cas échéant, vous avez également la possibilité de gérer plusieurs clients depuis un même synoptique. L’image est copiée depuis le serveur au démarrage du Runtime. Seules les modifications sont alors transférées.


Initialiser avec l'image de procédé

Manuel -> Simulation de projet -> Général -> Activer/désactiver la fonction de simulation du projet -> Paramètres -> Initialiser avec l'image de procédé

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Ici, une image des variables locales est créée, et les données de projet pouvant être modifiées dans le Runtime sont enregistrées. Ensuite, le Runtime est redémarré en mode simulation.

La fonction est uniquement exécutée si le projet ne se trouve pas déjà en mode simulation.

info Informations

Toutes les données existantes dans l’image sont supprimées. Seules les valeurs de variable actuelles sont obtenues aux fins de l’initialisation.


Initialiser avec l’image de procédé et les fichiers du Runtime

Manuel -> Simulation de projet -> Général -> Activer/désactiver la fonction de simulation du projet -> Paramètres -> Initialiser avec l’image de procédé et les fichiers du Runtime

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Ici, une image de toutes les variables locales et de tous les fichiers du dossier de l’ordinateur (Exception : données de l'archive) est créée ; les données de projet modifiées dans le Runtime sont enregistrées. Ensuite, le Runtime est redémarré en mode simulation.

Remarque :

  • Toutes les données existantes dans l’image sont supprimées.
    Seules les valeurs de variable actuelles sont obtenues aux fins de l’initialisation.
  • Assurez-vous que les alarmes historiques et les fichiers de la liste d’événements sont copiés.
    Cette procédure peut demander un certain temps, selon la quantité de fichiers impliquée.


Fichiers d'archive - Initialiser avec l’image de procédé et le fichier du Runtime

Manuel -> Simulation de projet -> Général -> Activer/désactiver la fonction de simulation du projet -> Paramètres -> Fichiers d'archive - Initialiser avec l’image de procédé et le fichier du Runtime

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Ici, une image de toutes les variables locales et de tous les fichiers présentés dans le répertoire de l’ordinateur est créée?; les éventuelles données d’archive présentes localement dans l’image ne sont pas supprimées, et les données du projet modifiées dans le Runtime sont enregistrées. Ensuite, le Runtime est redémarré en mode simulation.

Remarque :

  • Toutes les données existantes dans l’image sont supprimées.
    Seules les valeurs de variable actuelles sont obtenues aux fins de l’initialisation.
  • Assurez-vous que les alarmes historiques et les fichiers de la liste d’événements sont copiés.
    Cette procédure peut demander un certain temps, selon la quantité de fichiers impliquée.
  • Les archives existantes sont conservées.
    La procédure d’archivage commence par le remplissage des archives manquantes lors du premier démarrage du Runtime, si vous l’avez configuré de cette manière. Cette procédure peut demander un certain temps, selon la taille des fichiers impliqués.
    Remarque : Vous réalisez la configuration de projet de ce remplissage d'archives dans la propriété xxx.


Données de Process Recorder - Initialiser avec l’image de procédé et les fichiers du Runtime

Manuel -> Simulation de projet -> Général -> Activer/désactiver la fonction de simulation du projet -> Paramètres -> Données de Process Recorder - Initialiser avec l’image de procédé et les fichiers du Runtime

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Démarre la simulation de projet et bascule en mode Lecture du module Process Recorder.

info Informations

D’autres informations sont disponibles dans le manuel de Process Recorder, au chapitre Activer/désactiver le projet de simulation.


Activer la connexion au procédé

Manuel -> Simulation de projet -> Général -> Activer/désactiver la fonction de simulation du projet -> Paramètres -> Activer la connexion au procédé

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Ici, vous pouvez basculer du mode simulation vers le mode matériel. L’image des variables locales est utilisée à cette fin.

Lorsque vous quittez le mode simulation, l’image de la simulation est enregistrée?; vous pouvez ainsi restaurer le dernier état du mode simulation, si nécessaire. Si une connexion au serveur a été établie, l’image de la simulation est transférée vers le serveur, où elle est enregistrée.

attention Attention

Si un transfert est effectué depuis plusieurs clients pour la même image de simulation, au même moment, il n’y a aucune garantie que l’image de simulation enregistrée fonctionnera.


Activer la connexion au procédé et transférer l’image de simulation sur le serveur

Manuel -> Simulation de projet -> Général -> Activer/désactiver la fonction de simulation du projet -> Paramètres -> Activer la connexion au procédé et transférer l’image de simulation sur le serveur

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

La simulation de projet vous permet de basculer du mode simulation vers le mode matériel. Vous pouvez simuler les procédés dans le mode simulation, aux fins d’un essai. Dans ce mode, les actions de commutation sont exécutées, les recettes sont transmises, les valeurs prescrites sont définies et ainsi de suite, sans que ces opérations ne soient réellement transmises au procédé (à un contrôleur, par exemple).

De plus, la configuration du projet s'effectue dans le Runtime dans la simulation de projet pour les modules Command Sequencer et Process Recorder. Les processus productifs ne sont donc pas affectés.

Vous pouvez effectuer simulation sur un client et sur le réseau zenon. La simulation sépare le client du réseau.

Informations concernant la licence

À partir de zenon 7.60, le module Project Simulation ne peut plus être proposé individuellement sous licence.

Project Simulation est inclus dans les modules suivants qui requièrent une licence :

  • Command Sequencer
  • Process Recorder

Les considérations suivantes s'appliquent à l'octroi de licences de Project Simulation :

  • Tous les projets doivent comporter une licence.
  • Pour les projets simples, vous devez disposer d’une licence pour le client.
  • Avec les projets serveur, la licence doit être présente sur le serveur/serveur redondant ou localement.
  • Si la licence est modifiée au niveau du serveur, les clients doivent être redémarrés pour que la licence soit appliquée.

Simulation de fonctionnement

En mode simulation :

  • Tous les drivers sont démarrés en mode Simulation de driver programmée
  • Aucune donnée n’est enregistrée au niveau externe
    • Le transfert vers SQL n’est pas exécuté
    • Les entrées de la base de données IPA ne sont pas créées
    • Les entrées IPA existantes ne peuvent pas être supprimées, éditées ou commentées
  • Les données d’équipe du module PFS ne sont pas enregistrées dans la base de données
    (La sauvegarde est effectuée après le redémarrage du Runtime en mode matériel.)

info Informations

La simulation de projet n’est pas disponible pour les clients au niveau du système Terminal Server.

En outre, l’image de la simulation est transférée vers le serveur et est donc accessible à d’autres clients.


Créer une image de simulation (Runtime en mode Simulation) et Transférer une image de simulation vers le serveur (Runtime en mode matériel)

Manuel -> Simulation de projet -> Général -> Activer/désactiver la fonction de simulation du projet -> Paramètres -> Créer une image de simulation (Runtime en mode Simulation) et Transférer une image de simulation vers le serveur (Runtime en mode matériel)

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Ici, vous pouvez créer une image de simulation et l'enregistrer localement sous le nom donné si vous êtes en mode simulation.

L'image de la simulation est transférée vers le serveur en mode matériel, le cas échéant, et est enregistrée sous le nom indiqué.

info Informations

Ici, vous pouvez créer une image des états actuels et les enregistrer. Vous pouvez alors continuer à partir de cette étape, en appliquant exactement les mêmes conditions requises.


Rejouer

Manuel -> Simulation de projet -> Général -> Activer/désactiver la fonction de simulation du projet -> Rejouer

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Sous l'onglet Rejouer, vous pouvez configurer les paramètres du mode Lecture du module Process Recorder. Si cette boîte de dialogue s'affiche dans le Runtime, seules les exigences de temps peuvent être modifiées.

Les paramètres de cet onglet sont optionnels.

Ils n'ont d'intérêt que si on commutera du mode live directement en mode Lecture.

Paramètre

Description

Démarrer le process recorder en mode rejouer

Cochez la case pour sélectionner le comportement du Runtime après l'exécution de la fonction.

  • Actif :
    le Runtime démarre en mode Lecture.
  • Inactif :
    le Runtime démarre en mode simulation.

Par défaut : Inactive

Filtre

Dans cette zone, vous pouvez configurer l'heure de début de la lecture dans le Runtime.

Paramètre

Description

Filtre de temps absolu

Le début et la fin de la zone de lecture sont fournis manuellement.

La saisie de l'heure de début de la lecture dans les champs d'entrée distincts pour le début et la fin.
Format :

  • Date : JJ.MM.AAAA
    Par défaut : Date du jour
  • Heure : hh:mm:ss
    Par défaut : 00:00:00

Par défaut : active

Remarque : inactif si le type de filtre est Filtre de temps relatif.

Filtre de temps relatif

Début de la plage de lecture, par rapport à l'heure de début. L'heure de début est configurée dans la zone Heure de début.

Saisie de la différence dans les champs de saisie.

  • Soustraire le temps :
    j hh:mm:ss.
  • Ajouter le temps : j hh:mm:ss.

Par défaut : Inactive

Remarque : inactif si le type de filtre est filtre de temps absolu.

Heure de début

Les options ne sont donc disponibles que si le filtre activé est le filtre de temps relatif. À défaut, les options sont grisées. Sélection de l'heure de début dans une case d'option.

Paramètre

Description

Manuel

L'heure de début de la lecture est saisie manuellement pour le module Process Recorder.

Configuration de l'heure de début avec une saisie dans les deux

Par défaut : Date du jour / 00:00:00

Depuis une variable

L'heure de début de la lecture du module Process Recorder provient de la valeur de la variable configurée.

Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de variables.

Le type de données DINT est recommandé pour la variable liée.

Si la variable n'a pas de valeur valide ou si elle a la valeur 0, la fonction ne s'exécute pas ! Une entrée de fichier journal correspondante est créée dans le processus.

Prendre en compte depuis l'écran d'appel

L'heure de début de la lecture dans le Runtime et dans le module Process Recorder provient de l'écran d'appel.

Remarque :

  • La fonction Activer/désactiver le projet de simulation peut être appelée avec succès à partir d'un écran zenon Alarm Message List ou Liste chronologique d’événements.
  • Pour l'appel, seule une entrée (alarme ou événement) de la liste peut être sélectionnée.
    L'heure entrante peut servir d'heure de début de la lecture dans le module Process Recorder.

Si le démarrage de la fonction ne peut pas réussir via Prendre en compte depuis l'écran d'appel, une entrée de fichier journal correspondante est écrite.

Fermer boîte de dialogue

Options | Description :
OK | Applique toutes les modifications effectuées sur tous les onglets, puis ferme la boîte de dialogue.
Annuler | Annule toutes les modifications effectuées sur tous les onglets, puis ferme la boîte de dialogue.
Aide | Ouvre l'aide en ligne.


Variable de driver système - état du Runtime (simulation)

Manuel -> Simulation de projet -> Variable de driver système - état du Runtime (simulation)

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

La variable de driver système [Info système] État du Runtime (simulation)indique l’état actuel du Runtime. Vous trouverez la variable sous la rubrique Info système. Les états suivants sont présents :

État | Description
0 | Connexion au procédé?; le Runtime s’exécute en mode matériel.
1 | Commutation vers la connexion de procédé en mode simulation
2 | Commutation vers la simulation avec la connexion de procédé
3 | Simulation en cours?; le Runtime s’exécute en mode simulation


Scripts

Manuel -> Simulation de projet -> Scripts

Les scripts suivants sont disponibles dans le mode simulation ; ils sont exécutés automatiquement :

Script | Description
AUTOSTART_SIMUL | Si le Runtime est démarré en mode simulation, le script portant le nom AUTOSTART_SIMUL est exécuté automatiquement s'il est disponible. Remarque : s’applique aussi pour le mode lecture du module Process Recorder.
AUTOEND_SIMUL | Si le Runtime est arrêté en mode simulation, le script portant le nom AUTOEND_SIMUL est exécuté automatiquement s'il est disponible. Remarque : s’applique aussi pour le mode lecture du module Process Recorder.


Caractéristiques spécifiques au mode simulation

Manuel -> Simulation de projet -> Caractéristiques spécifiques au mode simulation

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Les différences entre le mode matériel et le mode simulation sont les suivantes :

  • Le répertoire de sauvegarde n’est pas utilisé
  • Les archives ne sont pas transférées
  • Les archives sont uniquement conservées au format zenon
  • La fonction Exporter archive ne peut pas être exécutée
  • Le transfert des données SQL est désactivé pour différents modules
  • Le module Message Control est désactivé
  • Les Runtime de zenon Logic ne sont pas démarrés
  • Aucune donnée n’est échangée avec les Runtime de zenon Logic par l’intermédiaire des drivers de zenon
  • Pas de simulation dans zenon Web Client et sous Windows CE.
  • Les variables du serveur de secours ne reçoivent aucune valeur
  • Le driver n’est pas basculé du mode matériel vers le mode simulation
  • Le script peut ne pas s’exécuter entièrement si une fonction nécessitant le redémarrage du Runtime doit être exécutée dans le script.
  • Le programme de simulation contenu dans la simulation de driver programmée est également utilisé pour la simulation de projet.
  • Dans le mode Simulation, la fonction Enregistrer les données rémanentes n’enregistre pas les valeurs pour les drivers suivants :
    • Driver interne
    • Driver mathématique
    • Driver système


Traduction en ligne

Manuel -> Simulation de projet -> Traduction en ligne

Spécifiez les textes concernés par la traduction pour tous les projets dans le projet de démarrage. Vous définissez la fonction dans le projet de démarrage de la même manière. Vous veillez ainsi à ce que le texte en ligne soit bien intégré au projet correspondant. Les éventuels messages d’erreur sont également saisis dans le projet correspondant.


Image de simulation

Manuel -> Simulation de projet -> Image de simulation

Pour garantir que les images seront recréées, les valeurs des variables de driver doivent être enregistrés dans les fichiers suivants :

Nom de fichier | Description
Drv’Treiber-ID’.sim | Dans ces fichiers, toutes les valeurs de tous les points de données sont enregistrées dans le driver correspondant. Les fichiers sont nécessaires pour recréer toutes les valeurs actuelles dans la simulation après le redémarrage du Runtime. Si les fichiers ont été créés durant le mode simulation, une image de la simulation programmable est également contenue.
Drv’Treiber-ID’.sim | Dans ce fichier, les valeurs des variables locales sont enregistrées pour les drivers correspondants. Si le Runtime démarre avec le couplage du procédé et ces fichiers sont localisés, les variables locales obtiennent les valeurs des fichiers. Les fichiers sont ensuite supprimés. Ceci se produit également si le Runtime est démarré manuellement.
Drv’Treiber-ID’.lssim | Enregistre une image des variables locales qui est ensuite incorporée à l’image de la simulation.


Fichiers dans l’image de la simulation

Manuel -> Simulation de projet -> Fichiers dans l’image de la simulation

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Si un synoptique de procédé est créé pour la simulation, les fichiers et les répertoires sont transférés vers le synoptique depuis différentes sources. Durant la simulation active, ces données sont utilisées à la place des données originales, telles que celles qui se trouvent dans le répertoire de l’ordinateur.

Les fichiers suivants sont copiés vers le répertoire système du synoptique de procédé depuis le répertoire système du projet :

  • project.mdb
  • rezepturen.cmp
  • rezepturenrt.cmp
  • fpm.cmp
  • password.cmp
  • passwordrt.cmp

Les répertoires suivants sont également copiés :

  • system\rgm_fb
  • system\rt_profiles
  • system\reports

Tous les fichiers (jusqu’à ceux comportant l’extension de fichier *.lsim) sont transférés depuis le répertoire de l’ordinateur. Pour le mode simulation sans image, les fichiers files *.sim, internvar.bin, sy_ma32.bin et uservar.bin sont transférés. Pour le mode simulation sans archive, tous les fichiers jusqu’à ceux comportant les extensions *.arx et *.ars sont transférés.


Paramètres de la ligne de commande du Runtime

Manuel -> Simulation de projet -> Paramètres de la ligne de commande du Runtime

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Le Runtime reconnaît s’il doit être démarré en mode simulation ou en mode matériel. Si aucun paramètre n’a été fourni, le Runtime démarre en mode matériel. Ces paramètres peuvent également être fournis pour un démarrage manuel.

Paramètres de la ligne de commande

zenProcess

L’application zenProcess.exe est utilisée pour redémarrer le zenon Runtime lors de la commutation entre les deux modes, le mode simulation et le mode matériel.

Syntaxe

zenProcess.exe est appelé avec la syntaxe suivante :

zenprocess.exe parameter1 parameter2 parameter3

  • Paramètre 1 : SIM ou vide :
  • Paramètre 2 : RESTART=
  • Paramètre 3 : RTPAR=

Paramètre

Paramètre

Description

SIM

Affichage dans l’intitulé de la boîte de dialogue.
Si ce paramètre est :

  • Défini : L’intitulé de la boîte de dialogue indique Commutation en mode simulation.
  • Non défini : L’intitulé de la boîte de dialogue indique Commutation en mode en ligne.

RESTART=

Redémarrage du Runtime. Le chemin d’accès au fichier zenrt32.exe doit être fourni.

Procédure :

Le paramètre est uniquement effectif après le redémarrage, lorsque le Runtime est arrêté. Le Runtime lui-même n’est pas arrêté par ce paramètre?; pour cela, une fonction doit être appelée dans le Runtime. Un délai d’attente s’applique avant l’arrêt normal de tous les processus. Le nombre et les noms de processus en cours (5 processus maximum) dont la fin est attendue sont affichés pendant ce délai. Le Runtime est ensuite redémarré.

Exemple : RESTART="d:\zversionen\720_inst\zenrt32.exe"

RTPAR=

Redémarrage en mode simulation ou en mode matériel.

  • SIMUL: Le Runtime est démarré en mode simulation avec le nom d’image donné. Le nom de l’ordinateur est utilisé si aucun nom d’image n’est fourni.
    Syntaxe : SIMUL=Nom de l’image de la simulation
  • REALMODE: Le Runtime est démarré en mode matériel avec le nom d’image donné. Aucun transfert n’a lieu si aucun nom d’image n’est donné.
    Syntaxe : REALMODE="Abbildname"

Exemple :

RTPAR="SIMUL=TEST.SIM"

CANCEL

Ce paramètre permet d’annuler le processus de commutation. Le Runtime est terminé, mais pas redémarré.

Exemple

Démarrage du Runtime en mode simulation avec une image existante :

zenprocess.exe SIM RESTART="d:\zversionen\720_inst\zenrt32.exe" RTPAR="SIMUL=TEST.SIM"


Limitations

Manuel -> Simulation de projet -> Limitations

Les restrictions suivantes sont connues :

  • le module Batch Control n’est pas pris en charge dans la simulation.


Styles

Manuel -> Styles

Les styles permettent d’effectuer les opérations suivantes sur les propriétés graphiques des éléments de synoptique :

  • Extraction de groupes de styles dans des cadres
  • Gestion de groupes de styles
  • Attribution de groupes de styles à d’autres éléments

La gestion des styles est effectuée dans le projet local et le projet global. Lors de l'extraction d'un groupe de styles depuis un élément, vous pouvez indiquer si vous souhaitez enregistrer le style dans le projet local ou le projet global.

tutorial Informations concernant la licence

Composante de la licence standard d’Editor et du Runtime.

Groupes de styles

Lors de l’extraction de styles, toutes les propriétés de conception prises en charge d’un élément sont extraites et enregistrées dans un groupe de styles.

Menu contextuel Gestionnaire de projet

Le nœud Styles dans le gestionnaire de projet comporte un menu contextuel.
Il contient les commandes suivantes :

  • Profil Editor : Permet d’attribuer des profils Editor.
  • Aide : Ouvre l'aide en ligne

Par ailleurs, pour les projets multi-utilisateurs :

  • Mettre à jour la version locale : Mettre à jour la version locale.
  • Permettre les modifications : Permettre les modifications.
  • Accepter les modifications : Accepte les modifications effectuées.
  • Annuler les modifications : Annule les modifications effectuées.

Autres sujets abordés dans ce chapitre

Types de styles

Création de styles

Gestion des styles

Liaison de styles et de groupes de styles

Boîte de dialogue de sélection de style


Types de styles

Manuel -> Styles -> Types de styles

Vous pouvez créer les styles suivants et les lier à des éléments statiques, ainsi qu'à des éléments dynamiques. Toutes les propriétés ne sont pas disponibles pour tous les éléments :

Propriété | Éléments statiques | Les éléments dynamiques
Troncages | X | Bouton uniquement
Bordure d'élément | -- | X
Remplissage | X | X - sauf Interrupteur
Luminescence | X | X
Cadre | X | Réglette universelle uniquement
Ligne | X, sauf texte statique | Élément Tendance uniquement
Cadres et ombres | X | X
Échelle | -- | X
Texte | X | X
Affichage de la valeur | -- | X
Représentation du temps | -- | Horloge uniquement

Légende :

  • X: disponibles
  • --: Non disponible

Autres sujets abordés dans ce chapitre

Coins arrondis

Bordure d'élément

Remplissage

Luminescence

Cadre

Ligne

Cadres et ombres

Échelle

Texte

Réglette universelle

Affichage de la valeur

Représentation du temps


Coins arrondis

Manuel -> Styles -> Types de styles -> Coins arrondis

Le type de style Coins arrondis est disponible pour tous les éléments compatibles avec le style arrondi.

Le type de style Coins arrondis couvre les propriétés suivantes :

  • Proportionnel
  • Tous les x [%]
  • Tous les y [%]
  • x haut/gauche [%]
  • y haut/gauche [%]
  • x haut/droit [%]
  • y haut/droit [%]
  • x bas/droit [%]
  • y bas/droit [%]
  • x bas/gauche [%]
  • y bas/gauche [%]


Bordure d'élément

Manuel -> Styles -> Types de styles -> Bordure d'élément

Le type de style Bordure d'élément est disponible pour tous les éléments compatibles avec les bordures d'éléments.

Le type de style Bordure d'élément couvre les propriétés suivantes :

  • Cadre élément
  • Couleur de la bordure
  • Transparence du cadre [%]


Remplissage

Manuel -> Styles -> Types de styles -> Remplissage

Le type de style Remplissage est disponible pour tous les éléments compatibles avec le remplissage.

Le type de style Remplissage couvre les propriétés suivantes :

  • Groupe de propriétés Remplissage
    • Remplissage (type)
    • Couleur de remplissage
    • Transparence de la couleur de remplissage [%]
    • Couleur du dégradé
    • Transparence du gradient de couleur [%]
  • Groupe de propriétés Gradient de couleur
    • Gradient de couleur
    • Inverser le gradient de couleur
    • Offset [%]
    • Angle [°]
  • Groupe de propriétés Grafikdatei
    • Graphiques prédéfinis
    • Grafikdatei
    • Taille du graphique
    • Toujours animation GIF
  • Groupe de propriétés Barre de remplissage
    • Explicite

Si un dégradé de couleurs est configuré dans le style de remplissage, la couleur de remplissage est utilisée pour colorer les éléments incompatibles avec le dégradé de couleurs.

Limitations

Pour un projet dans lequel la propriété Projet Windows CE est active ou le paramètre Windows basic est défini pour la propriété Qualité graphique, les considérations suivantes s’appliquent :

  • Seuls les coins, les cercles et les quartiers de cercle comportent un dégradé de couleur.
  • La couleur du dégradé peut uniquement être définie à l’aide des propriétés des valeurs de luminosité.
  • Les propriétés du groupe Gradient de couleur sont désactivées pour tous les éléments.
  • Les transparences sont désactivées.

Paramètres des couleurs

Les considérations suivantes s’appliquent aux propriétés des couleurs :

  • Couleurs statiques : Ces couleurs sont toujours enregistrées directement dans le style.
  • Palettes de couleurs : Les couleurs des palettes de couleurs du projet local ou du projet global peuvent être utilisées ; dans ce cas :
    • Les palettes de couleurs doivent faire partie du même projet que celui dans lequel a été créé le style.
    • Si des palettes de couleurs sont présentes dans les deux projets, les couleurs du projet global sont remplacées par les couleurs du projet local.

Tipp Conseil

Utilisez les palettes de couleurs issues uniquement du projet local ou du projet global, puis créez les styles dans le projet correspondant.


Luminescence

Manuel -> Styles -> Types de styles -> Luminescence

Le type de style Luminescence est disponible pour tous les éléments.

Le type de style Luminescence couvre les propriétés suivantes :

  • Activer
  • Transparence [%]
  • Propagation [pixel]
  • Coloration
  • Couleur


Cadre

Manuel -> Styles -> Types de styles -> Cadre

Le type de style Cadre est disponible pour tous les éléments compatibles avec le remplissage.

Le type de style Cadre couvre les propriétés suivantes :

  • Gauche [pixels]
  • Droite [pixels]
  • Haut [pixels]
  • Bas [pixels]


Ligne

Manuel -> Styles -> Types de styles -> Ligne

Le type de style Ligne est disponible pour tous les éléments compatibles avec les lignes.
Exception : Texte statique.

Le type de style Ligne couvre les propriétés suivantes :

  • Sous-groupe Affichage
    • Épaisseur de ligne [pixels]
    • Type de ligne
  • Sous-groupe Remplissage
    • Couleur de ligne
    • Transparence du contour [%]
  • Sous-groupe Fin de ligne
    • Type de démarrage
    • Type de terminaison
    • Dimension

Paramètres des couleurs

Les considérations suivantes s’appliquent aux propriétés des couleurs :

  • Couleurs statiques : Ces couleurs sont toujours enregistrées directement dans le style.
  • Palettes de couleurs : Les couleurs des palettes de couleurs du projet local ou du projet global peuvent être utilisées ; dans ce cas :
    • Les palettes de couleurs doivent faire partie du même projet que celui dans lequel a été créé le style.
    • Si des palettes de couleurs sont présentes dans les deux projets, les couleurs du projet global sont remplacées par les couleurs du projet local.

Tipp Conseil

Utilisez les palettes de couleurs issues uniquement du projet local ou du projet global, puis créez les styles dans le projet correspondant.

Autres sujets abordés dans ce chapitre

Élément Tendance


Élément Tendance

Manuel -> Styles -> Types de styles -> Ligne -> Élément Tendance

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Comportement de l'élément Tendance lors de la liaison de styles de lignes :

  • Chaque courbe peut être liée à un style de ligne.
  • Si un groupe de styles est créé, les dispositions suivantes s'appliquent :
    • Les styles de lignes sont liés dans l'ordre de leur affichage dans la vue de liste.
    • Si le nombre de styles est inférieur au nombre de courbes, les autres courbes ne sont liées à aucun style.
  • Des styles individuels peuvent également être liés à des courbes individuelles.
    Des styles individuels peuvent remplacer des styles de groupes.
  • Si une courbe est supprimée, les dispositions suivantes s'appliquent :
    • Avec les styles de groupes, la courbe suivante reprend le style de la courbe supprimée.
      Exemple : La Courbe 1 est supprimée. La Courbe 2 devient la Courbe 1 et reprend le style de groupe de la Courbe 1.
    • Avec les styles individuels, le style de ligne est conservé par la courbe.
      Exemple : La Courbe 1 est supprimée. La Courbe 2 possède un style individuel. La Courbe 2 devient la Courbe 1, le style de ligne lié est conservé.
  • Lors de la liaison multiple (en effectuant des Drag&Drop), les styles de lignes sont liés dans l'ordre de leur sélection.


Cadres et ombres

Manuel -> Styles -> Types de styles -> Cadres et ombres

Le type de style Bordures et ombres est disponible pour tous les éléments.

Il inclut les propriétés suivantes :

  • Type de cadre
  • Couleur cadre/ombre
  • Transparence [%]
  • Épaisseur de ligne [pixels]
  • Flou
  • Distance [pixels]
  • Angle [°]
  • Taille de l'ombre [%]


Échelle

Manuel -> Styles -> Types de styles -> Échelle

Le type de style Échelle est disponible pour tous les éléments compatibles avec le remplissage.

Le type de style Échelle couvre les propriétés suivantes :

  • Groupe de propriétés Echelle
    • Visualiser echelle
    • Logarithmique
    • Distance [pixels]
    • Hauteur [pixels]
    • Graduations principales
    • Graduations secondaires
    • Couleur des graduations principales
    • Couleur des graduations secondaires
  • Groupe de propriétés Légende
    • Afficher la légende
    • Distance [pixels]
    • Couleur de légende


Texte

Manuel -> Styles -> Types de styles -> Texte

Le type de style Texte est disponible pour l’élément Texte statique, ainsi que pour la plupart des éléments dynamiques.

Il inclut les propriétés suivantes :

  • Groupe de propriétés Texte
    • Police
  • Groupe de propriétés Remplissage
    • Couleur du texte
  • Groupe de propriétés Formatage texte
    • Alignement horizontal
    • Alignement vertical
    • Retour à la ligne automatique
  • Propriétés pour l'élément Texte DynamiqueGroupe de propriétés, uniquement disponible pour l'élément Texte dynamique.
    • Saisie masquée
    • Caractère de masquage

Polices

Pour les styles, les polices de caractères du projet local ou du projet global peuvent être utilisées ; dans ce cas :

Le style de texte lié peut être remplacé par les paramètres du projet global dans les conditions suivantes :

  • Le projet comporte une configuration différente de celle du projet global pour la propriété Liste de polices dans Editor
  • La liste de polices du projet global est remplacée par celle du projet local

Tipp Conseil

Utilisez les listes de polices issues uniquement du projet local ou du projet global, puis créez les styles dans le projet correspondant.


Réglette universelle

Manuel -> Styles -> Types de styles -> Réglette universelle

Le type de style Réglette universelle est disponible pour l’élément Réglette universelle.

Il inclut les propriétés suivantes :

  • Groupe de propriétés Type de représentation
    • Forme
    • Alignement
    • Style
    • Type d'instrument à aiguille
    • Direction inversée
  • Groupe de propriétés Titre
    • Afficher le titre
    • Distance [pixels]
  • Groupe de propriétés Bouton
    • Afficher le bouton
    • Couleur de bouton
    • Type de bouton
  • Groupe de propriétés Indicateur pour le glisser
    • Visualiser indicateur
    • Type d'affichage
    • Couleur valeur min
    • Couleur valeur max
    • Reset auto.
    • Reset automatique après [min]


Affichage de la valeur

Manuel -> Styles -> Types de styles -> Affichage de la valeur

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Le type de style Affichage de la valeur est disponible pour tous les éléments compatibles avec l'affichage de la valeur.

Le type de style Affichage de la valeur couvre les propriétés suivantes :

  • Groupe de propriétés Affichage de la valeur
    • Visualiser valeur en pourcentage
    • Montant absolu
    • Position unité [%]
    • Afficher la valeur valeur
    • Base pour l'affichage de valeurs
    • Base d'affichage
    • Montrer les zéros devant le nombre
    • Afficher les unités de mesure
  • Groupe de propriétés Affichage des instruments
    • Type d'affichage
    • Angle de départ
    • Angle final


Représentation du temps

Manuel -> Styles -> Types de styles -> Représentation du temps

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Le type de style Représentation du temps est disponible pour tous les éléments compatibles avec la représentation du temps.

Le type de style Représentation du temps couvre les propriétés suivantes :

  • Type d'affichage
  • Formatage
  • Séparateur


Création de styles

Manuel -> Styles -> Création de styles

Pour créer un style, extrayez-le d’un élément existant. L’option n’est pas disponible si plusieurs éléments sont sélectionnés simultanément.

Extraction de styles

Pour extraire un style :

  1. Dans Editor, sélectionnez l’élément dont vous souhaitez extraire le style.
  2. Sélectionnez la commande Créer un groupe de styles à partir de l’élément dans le menu contextuel.

    La boîte de dialogue Extraire le style à partir de l'élément s'affiche.

  3. Les propriétés prises en charge de l’élément sont extraites et créées sous forme de nouveau groupe de styles avec le nom défini dans le projet local ou le projet global, dans le nœud Styles. La saisie est validée ; une info-bulle s'affiche si le nom est non valide.

    Dans ce cas, les dispositions suivantes s'appliquent :

    • Le groupe de styles contient toutes les propriétés prises en charge sous forme de styles individuels.
    • Les propriétés qui ne sont pas disponibles dans l’objet source sont créées avec les valeurs par défaut correspondantes.
    • Les propriétés prises en charge dépendent du type de style et de l’élément d’origine.

Validation incorrecte

info Informations

Les noms :

  • Doivent être uniques pour les groupes de styles et les styles dans un groupe de styles
  • Ne doivent pas être vides
  • Ne doivent pas uniquement contenir des espaces
  • Ne doivent pas contenir les caractères suivants : / \ . : * ? < > | " ' # % @


Gestion des styles

Manuel -> Styles -> Gestion des styles

La gestion des styles de zenon s’effectue dans le projet local et le projet global, dans le nœud Styles.

Tous les groupes de styles sont affichés dans la vue détaillée du nœud styles. Cette vue contient les styles individuels sous forme d’arborescence.
Les éléments peuvent être triés et filtrés en fonction de chaque colonne.
Remarque : Le temps affiché dans la colonne Dernière modification n’indique pas l’heure de la modification du style, mais l’heure d’enregistrement du fichier contenant le style.

Les propriétés du style sélectionné sont affichées dans la fenêtre des propriétés, et peuvent y être modifiées.

Édition de styles et de groupes de styles

Pour chaque style, les propriétés correspondantes peuvent être éditées dans la fenêtre des propriétés.
Pour éditer un style ou un groupe de styles :

  1. Sélectionnez l'élément de votre choix.

    Une sélection multiple est possible. Avec la sélection multiple, seules les propriétés pouvant être modifiées conjointement pour l’ensemble les éléments sélectionnés sont disponibles. Les champs dont la configuration actuelle est différente sont mis en évidence avec des caractères rouges.

  2. Configurez les propriétés de votre choix.

    Les modifications sont enregistrées dès que le curseur quitte le champ ou lorsque l’utilisateur confirme sa saisie en appuyant sur la touche Entrée.
    Chaque modification a un effet sur tous les éléments liés à ce style.

Propriétés des groupes de styles et des styles :

  • Groupe Général :
    • Name : Nom du style ou du groupe de styles
    • Typ : Type de style.
    • Beschreibung : Description individuelle du style ou du groupe de styles.
    • Catégorie : Texte libre pour catégoriser le style ou le groupe de styles.

      Conseil : Saisissez un texte explicite et utilisez cette propriété pour trier ou grouper les informations en fonction de la colonne affichée dans la vue de détail.

    • ID : Identifiant du style ou du groupe de styles
    • Référence externe : Identifiant unique des composants de zenon.
  • Les groupes de propriétés correspondants sont affichés en fonction du style : Vous trouverez des informations détaillées à ce sujet au chapitre Types de styles

info Informations

Les noms :

  • Doivent être uniques pour les groupes de styles et les styles dans un groupe de styles
  • Ne doivent pas être vides
  • Ne doivent pas uniquement contenir des espaces
  • Ne doivent pas contenir les caractères suivants : / \ . : * ? < > | " ' # % @

Copie et ajout de styles et de groupes de styles

Dans la vue détaillée, vous pouvez copier-coller des styles et des groupes de styles dans la barre d'outils ou le menu contextuel à l'aide de raccourcis-clavier (Ctrl+C, Ctrl+V).

Dans ce cas de figure :

  • Le copier-coller de styles et de groupes de styles entre différents projets est pris en charge.
  • Le copier-coller de styles issus de groupes de styles vers d'autres groupes de styles est pris en charge.
  • La sélection multiple est prise en charge.

Exportation et importation de styles et de groupes de style sous forme de données XML

Les styles peuvent être exportés sous forme de fichiers XML et être également importés depuis ces derniers. Vous trouverez des informations détaillées à ce sujet au chapitre Exportation et importation au format XML.

Suppression de groupes de styles ou de styles

Pour supprimer un style ou un groupe de styles :

  1. Sélectionnez les éléments de votre choix.
    Une sélection multiple est possible.
  2. Sélectionnez la commande Supprimer dans la barre d’outils ou le menu contextuel.

    Les éléments sélectionnés sont supprimés après affichage d’une demande de confirmation. Lorsque des groupes de styles sont supprimés, tous les styles qu’ils contiennent sont également supprimés.

Remarque : Si des styles sont supprimés, les valeurs précédemment définies sont restaurées pour les propriétés auxquelles elles sont liées. La propriété du style indique alors Aucun style lié.

Autres sujets abordés dans ce chapitre

Barre d'outils et menu contextuel de la vue détaillée

Exportation et importation au format XML


Barre d'outils et menu contextuel de la vue détaillée

Manuel -> Styles -> Gestion des styles -> Barre d'outils et menu contextuel de la vue détaillée

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Des symboles et un menu contextuel sont disponibles pour les styles. Les commandes dans le menu contextuel correspondent aux symboles.

Symbole/Commande

Description

Copier

Copie les entrées sélectionnées et vers le presse-papiers.

Coller

Insère le contenu du presse-papier. Si une entrée portant le même nom existe déjà, le contenu est collé sous le nom Copie de....

Supprimer

Après une demande de confirmation, supprime les entrées sélectionnées de la liste.

Exporter XML (sélection)...

Exporte touts les entrées sélectionnées sous forme de fichier XML.

Importer XML...

Importe des entrées à partir d'un fichier XML.

Supprimer tous les filtres

Supprime tous les paramètres de filtre

Développer tout

Permet de développer ou de réduire l’ensemble des nœuds ou les nœuds sélectionnés. Sélection :

  • Développer tout
  • Réduire tout
  • Étendre les objets sélectionnés
  • Réduire les éléments sélectionnés

Éditer cellule sélectionnée

Ouvre la cellule sélectionnée pour la modification. Le symbole représentant des jumelles dans l'en-tête indique la cellule sélectionnée dans une ligne affichée en surbrillance. Seules les cellules pouvant être modifiées peuvent être sélectionnées.

Remplacer le texte dans la colonne sélectionnée...

Ouvre la boîte de dialogue de recherche et de remplacement de texte.

Propriétés

Ouvre la fenêtre de Propriétés.

Aide

Ouvre l'aide en ligne.


Exportation et importation au format XML

Manuel -> Styles -> Gestion des styles -> Exportation et importation au format XML

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Les styles sont toujours exportés ou importés sous forme de données XML, sous forme de groupes de styles complets. L'exportation et l'importation de styles individuels ne sont pas autorisées.

Les éléments suivants permettent d'exporter les styles :

  • Le menu contextuel Exporter tout (XML) dans l'arborescence du projet
  • Le symbole Exporter la sélection en XML... dans la vue détaillée
  • Le menu contextuel Exporter la sélection en XML... dans la liste de menus de la vue détaillée.

Les éléments suivants permettent d'importer les styles :

  • Le menu contextuel Importer XML... dans l'arborescence du projet
  • Le symbole Importer XML... dans la barre d'outils de la vue détaillée
  • Le menu contextuel Importer XML... dans la liste de la vue détaillée

Action en cas de conflit d'identifiants ou de noms

  • S'il existe déjà, dans le projet, un groupe de styles avec le même identifiant que le groupe de styles à importer, une boîte de dialogue s'affiche ; vous pouvez alors remplacer le groupe de styles existant ou annuler l'importation.
  • S'il existe déjà, dans le projet, un groupe de styles avec le même nom que le groupe de styles à importer, le groupe de styles est importé et un suffixe est appliqué à celui-ci (par exemple, Groupe de styles 2).
  • S'il existe déjà, dans le projet, un style avec le même identifiant qu'un style à importer, faisant déjà partie d'un autre groupe de styles, l'importation n'est pas effectuée et un message d'avertissement est affiché.


Liaison de styles et de groupes de styles

Manuel -> Styles -> Liaison de styles et de groupes de styles

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Des éléments statiques et des éléments dynamiques peuvent être attribués aux styles et groupes de styles. Dans ce cas, le style ou le groupe de styles est alors lié à l’élément. Les modifications apportées au style ou au groupe de styles dans le module Styles du projet global sont transférées vers tous les éléments liés.

Remarque : Tous les éléments ne sont pas compatibles avec toutes les propriétés d’un style. Seules les propriétés prises en charge sont attribuées.

Pour attribuer un style ou un groupe de styles à un élément, vous pouvez utiliser :

  • Drag&Drop
  • La boîte de dialogue de la propriété correspondante
  • Le menu contextuel de l'élément correspondant via la fenêtre de propriétés

Remarque : Les styles liés sont affichés dans la propriété correspondante, avec la syntaxe suivante : NomduGroupedeStyles.NomduStyle.

Règles concernant les liens

Les dispositions suivantes s’appliquent à la création de liens avec des styles ou des groupes de styles :

  • Seuls les styles correspondant à la propriété cible sont liés.
  • Lors de la liaison de groupes de styles, seuls les styles pris en charge par les propriétés de l’élément sont liés.

Effectuez un glisser-déposer sur l'élément.

Pour lier un groupe de styles ou un style en effectuant un Drag&Drop :

  1. Accédez au nœud Styles dans le projet.
  2. Sélectionnez le style ou le groupe de styles souhaité.
  3. Avec la souris, faites glisser le groupe de styles ou le style vers l’élément dans la fenêtre principale.

    Les propriétés du style ou du groupe de styles sont appliquées à l’élément.

Tipp Conseil

Sélectionnez plusieurs styles dans le même groupe de styles pour effectuer des liaisons multiples avec un élément.

Effectuez un glisser-déposer sur la propriété.

Pour lier un groupe de styles ou un style à une propriété d'un élément en effectuant un Drag&Drop :

  1. Accédez au nœud Styles dans le projet.
  2. Sélectionnez l’élément.
  3. Accédez au groupe de propriétés de votre choix.
  4. Avec la souris, faites glisser le style ou le groupe de styles vers la propriété correspondante.

    Les propriétés du style ou du groupe de styles sont appliquées à l’élément.

Boîte de dialogue des propriétés

Pour lier un groupe de styles ou un style à un élément à l’aide de la boîte de dialogue de sélection de styles :

  1. Sélectionnez l’élément.
  2. Accédez au nœud Styles dans le projet.
  3. Accédez au groupe de propriétés de votre choix.
  4. Configurez le groupe de styles ou le type de style souhaité, par exemple : Style, Style de remplissage, Style effet de rayonnement, etc.

    Si un style est déjà lié à la propriété, ceci est affiché.
    Si plusieurs éléments comportant différents styles ont été sélectionnés, le style du dernier élément sélectionné est affiché en caractères rouges. Si le style est modifié, il est appliqué à tous les éléments sélectionnés.

  5. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection d’un style ou d’un groupe de styles.
    Un style précédemment lié peut également être supprimé depuis cette boîte de dialogue.

Menu contextuel

  1. Sélectionnez l’élément.

    Un groupe de styles doit déjà être lié pour l’élément.

  2. Accédez au groupe de votre choix dans les propriétés du projet.
  3. Cliquez avec le bouton droit sur la propriété
  4. Sélectionnez l’option Dériver toutes les propriétés du groupe de styles :
    Pour cet élément, toutes les propriétés disponibles dans le groupe de styles sont liées.

Tipp Conseil

La sélection multiple est prise en charge pour la liaison de styles et de groupes de styles à l'aide de la boîte de dialogue de sélection de style ou du menu contextuel de la propriété.

Si vous liez un style ou un groupe de styles issu du projet global, celui-ci est identifié par le préfixe g_.

À titre d'exemple, le style StyleGroup.LineStyle du projet global est affiché, dans l'élément du projet local, avec le nom g_StyleGroup.LineStyle.

Dès que la liaison définie via la saisie de texte est modifiée dans le champ de propriétés, ce préfixe est supprimé.

Conseil : Liez les styles issus du projet global avec

Autres sujets abordés dans ce chapitre

Styles et groupes de styles issus du projet global

Éléments du menu contextuel

Remplacement ou suppression de liens

Limitations


Styles et groupes de styles issus du projet global

Manuel -> Styles -> Liaison de styles et de groupes de styles -> Styles et groupes de styles issus du projet global

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Si vous liez un style ou un groupe de styles issu du projet global, celui-ci est identifié par le préfixe g_.

À titre d'exemple, le style StyleGroup.LineStyle du projet global est affiché, dans les propriétés de l'élément du projet local, avec le nom g_StyleGroup.LineStyle.

Dès que le texte est modifié manuellement dans le champ de propriétés de la liaison, cve préfixe est supprimé et la liaison est modifiée ou perdue.

Dans ce cas de figure :

  • Si un style ou un groupe de styles avec le même nom (saisi manuellement) est trouvé dans le projet local, celui-ci est utilisé
  • Si aucun style ou groupe de styles avec le même nom (saisi manuellement) n'est trouvé, le texte <Aucun style lié> est affiché

Tipp Conseil

Les styles peuvent être liés depuis le projet global avec un glisser-déposer ou dans la boîte de dialogue de sélection de styles.

attention Attention

Si un style ou un groupe de styles avec le même nom ou GUID existe dans le projet local et le projet global (créés par copier-coller, exportation/importation de données XML ou API), les styles ou groupes de styles locaux sont toujours utilisés.


Éléments du menu contextuel

Manuel -> Styles -> Liaison de styles et de groupes de styles -> Éléments du menu contextuel

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Éléments dans zenon auxquels un style ou un groupe de styles peuvent être liés pour recevoir les commandes relatives au groupe de styles dans le menu contextuel de la fenêtre des propriétés.
Pour lier les styles ou les groupes de styles à l'aide du menu contextuel ou de la liaison :

  1. Marquez l’élément de votre choix.
  2. Cliquez avec le bouton droit sur la description de la propriété souhaitée ou sur le bouton ....
  3. Sélectionnez la commande de votre choix dans le menu contextuel.

Commandes disponibles :

Commande

Action

Annotation

Dériver [style] du groupe de styles

Le style ou groupe de styles lié à l'élément est lié pour la propriété sélectionnée.

Une flèche située à droite, près du champ de saisie de la propriété, indique la présence d’un lien.

Si aucun groupe de styles n'est lié à l'élément, la configuration originale de l'élément est utilisée.

Détacher [style] du groupe de styles

Dissocie le lien de cette propriété à un style particulier dans un groupe de styles. Toutes les autres propriétés conservent leurs liens.

La flèche représentant le lien est supprimée.

La propriété est supprimée du groupe de styles. Un style différent peut être lié à cette propriété. Si aucun autre style n’est lié, les valeurs configurées dans le groupe de styles d’origine sont utilisées.

Pour toutes les autres propriétés, les liens avec le groupe de styles d’origine sont conservés.

Dériver toutes les propriétés du groupe de styles

Pour cet élément, toutes les propriétés disponibles dans le groupe de styles sont liées.

Une flèche située à droite, près du champ de saisie de la propriété, indique la présence d’un lien.

Toutes les propriétés liées remplacent les valeurs existantes. Si ces propriétés sont modifiées dans le groupe de styles, elles sont également modifiées ici.

Détacher toutes les propriétés du groupe de styles

Tous les liens dérivés de ce groupe de styles sont détachés.

La flèche représentant le lien est supprimée.

Les valeurs configurées sont conservées. Si les valeurs dans le groupe de styles sont modifiées, la modification n’est pas acceptée pour ces éléments.

Toutes les propriétés liées de cet élément sont détachées. Les propriétés peuvent être liées à un autre groupe de styles ou à d’autres styles.

Si aucun autre style n’est lié, les valeurs configurées dans le groupe de styles d’origine sont utilisées.


Remplacement ou suppression de liens

Manuel -> Styles -> Liaison de styles et de groupes de styles -> Remplacement ou suppression de liens

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Si un groupe de styles est lié à un élément, les propriétés individuelles de l’élément peuvent être remplacées par d’autres valeurs ou être supprimées.

Remplacement de valeurs

Plusieurs possibilités s’offrent à vous pour le remplacement de valeurs :

  • Détachez le style du groupe de styles à l’aide du menu contextuel de la propriété.
    Attribuez un nouveau style à la propriété.
  • Liez un nouveau style individuel à la propriété en effectuant un Drag&Drop.
  • Sélectionnez un autre style pour la propriété à l’aide de la boîte de dialogue de sélection.

Suppression d'un style ou d'un groupe de styles de l'élément

Pour supprimer la liaison d'un style ou d’un groupe de styles de l'élément :

  • Supprimez le style ou le groupe de styles de la propriété.
    Aucun style lié n’est affiché. Les propriétés associées contiennent la valeur qu’elles avaient avant la configuration du nouveau lien.


Limitations

Manuel -> Styles -> Liaison de styles et de groupes de styles -> Limitations

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

La gestion des styles est effectuée dans le projet local ou le projet global et est déterminée par la configuration du projet global. Les dispositions suivantes doivent être prises en compte :

Paramètres des couleurs

Les considérations suivantes s’appliquent aux propriétés des couleurs :

  • Couleurs statiques : Ces couleurs sont toujours enregistrées directement dans le style.
  • Palettes de couleurs : Les couleurs des palettes de couleurs du projet local ou du projet global peuvent être utilisées ; dans ce cas :
    • Les palettes de couleurs doivent faire partie du même projet que celui dans lequel a été créé le style.
    • Si des palettes de couleurs sont présentes dans les deux projets, les couleurs du projet global sont remplacées par les couleurs du projet local.

Tipp Conseil

Utilisez les palettes de couleurs issues uniquement du projet local ou du projet global, puis créez les styles dans le projet correspondant.

Polices

Pour les styles, les polices de caractères du projet local ou du projet global peuvent être utilisées ; dans ce cas :

Le style de texte lié peut être remplacé par les paramètres du projet global dans les conditions suivantes :

  • Le projet comporte une configuration différente de celle du projet global pour la propriété Liste de polices dans Editor
  • La liste de polices du projet global est remplacée par celle du projet local

Tipp Conseil

Utilisez les listes de polices issues uniquement du projet local ou du projet global, puis créez les styles dans le projet correspondant.


Boîte de dialogue de sélection de style

Manuel -> Styles -> Boîte de dialogue de sélection de style

Cliquez sur le bouton ... d’une propriété pour lier un style ou ou groupe de styles ouvre la boîte de dialogue de sélection d’un style ou d’un groupe de styles. Ici, vous pouvez attribuer un style ou un groupe de styles et détacher les lienss de styles et de groupes de styles.

info Informations

Seuls les groupes de styles et les styles pouvant être liés à l’élément depuis lequel la boîte de dialogue a été ouverte sont proposés.

Paramètre

Description

Liste de projets

Affichage du projet global et du projet local.

Liste de styles

Liste des styles et groupes de styles disponibles.
Cliquez sur un style pour le sélectionner.

La liste peut être triée et filtrée.

Barre d’outils et menu contextuel :

  • Supprimer tous les filtres :
    Cliquez pour supprimer les paramètres de filtre
  • Développer tout :
    Permet de développer ou de réduire l’ensemble des nœuds ou les nœuds sélectionnés.

Aucune sélection

Supprime le style actuellement lié de la propriété.

Fermer boîte de dialogue

Options | Description :
OK | Applique les paramètres et ferme la boîte de dialogue.
Annuler | Annule toutes les modifications et ferme la boîte de dialogue.
Aide | Ouvre l'aide en ligne.

Liaison d’un style ou d’un groupe de styles

Pour lier un style ou un groupe de styles :

  1. Ouvrez la boîte de dialogue.
  2. Cliquez sur le style ou le groupe de styles de votre choix.
  3. Cliquez sur OK.

    Le style ou le groupe de styles (avec tous ses styles) est transféré vers la propriété et appliqué à tous les éléments sélectionnés.

Règles concernant les liens

Les dispositions suivantes s’appliquent à la création de liens avec des styles ou des groupes de styles :

  • Seuls les styles correspondant à la propriété cible sont liés.
  • Lors de la liaison de groupes de styles, seuls les styles pris en charge par les propriétés de l’élément sont liés.

Détacher le lien

Pour détacher le lien d’un style ou d’un groupe de styles :

  1. Ouvrez la boîte de dialogue.
  2. Cliquez sur Aucune sélection.

    Le style ou le groupe de styles est supprimé de la propriété, et la boîte de dialogue est fermée. Les éléments sélectionnés contiennent les propriétés du dernier style lié.


Synoptiques

Manuel -> Synoptiques

Les synoptiques sont les éléments centraux d'un projet. Ils affichent les équipements configurés, des informations et fournissent des éléments utilisateur.
Les synoptiques sont constitués d'éléments vectoriels ou d'éléments dynamiques. Ils sont liés à des variables ou des fonctions. Les synoptiques sont configurés dans la fenêtre principale de l'Éditeur.

zenon offre un grand nombre de types de synoptiques prédéfinis, par ex. listes d'alarmes, Extended Trend et bien d'autres encore. L'avantage de ces types de synotiques est que la fonctionnalité souhaitée est connectée au type de synoptique. Vous devez uniquement créer le type de synoptique ; vous disposez pour cela de différentes fonctions prédéfinies.

Vous trouverez un aperçu des types de synoptiques dans la section Types de synoptiques.

tutorial Informations concernant la licence

Composante de la licence standard d’Editor et du Runtime.

Fenêtre principale

Dans la fenêtre principale, les documents tels que les synoptiques, les rapports et autres sont affichés et édités. La fenêtre principale est la seule fenêtre qui ne peut pas être masquée.

Ouvrez plusieurs documents simultanément.

Vous pouvez afficher plusieurs synoptiques à la fois dans la fenêtre principale. Les synoptiques peuvent être sélectionnés à l’aide des onglets situés dans la partie supérieure de la fenêtre principale, et peuvent être positionnés via les options accessibles par l’élément de menu Fenêtres. Lors d’un changement d’onglet dans la fenêtre principale, les éléments affichés dans la fenêtre des propriétés sont modifiés en fonction de l’onglet actif.

Pour fermer les synoptiques ouverts, utilisez le raccourci-clavier Ctrl+F4, le menu contextuel ou la commande Fenêtre -> Fermer.

Menu contextuel Documents

Cliquez avec le bouton droit de la souris sur l’onglet d’un document pour ouvrir le menu contextuel.

Paramètres | Description
Enregistrer | Enregistre le document.
Fermer | Ferme le document.
Fermer tous les autres | Ferme tous les autres documents.

Positionner les éléments sur le synoptique

Activez les éléments en cliquant sur le symbole dans la barre d’outils éléments et ouvrez-les dans la fenêtre principale à l’aide de la souris.

Il existe plusieurs manières de déplacer les éléments :

  • Déplacement rapide : Cliquez sur l’élément et positionnez-le à l’aide de la souris.
  • Positionnement précis : Cliquez sur l’élément et positionnez-le à l’aide des touches fléchées.
  • Rotation : Faites pivoter l’élément à votre convenance à l’aide de la poignée située sur le Point de référence.

Positionnement d'éléments dans Editor et le Runtime

Des niveaux de visibilité peuvent être attribués aux éléments dans Editor ; les éléments peuvent également être masqués individuellement.

Attention : Les éléments de contrôle sont toujours affichés dans la position la plus haute. Cela reste également vrai s’ils sont recouverts par d’autres éléments dans Editor. Ceci permet à l’utilisateur d’y accéder à tout moment.

Ajustement en fonction de la résolution

Les synoptiques et leurs éléments sont automatiquement ajustés en fonction de la résolution de l'écran dans le Runtime. Vous pouvez interdire cet ajustement. Pour afficher les éléments de synoptique à la taille et la position configurées dans Editor, activez la propriété Ne pas adapter l'élément à la résolution de l'écran pour le synoptique correspondant dans le groupe Affichage.

Autres sujets abordés dans ce chapitre

Qualité graphique

Menu contextuel Gestionnaire de projet

Vue de détail de la barre d'outils et du menu contextuel

Création d'un synoptique

Barre d’outils Synoptique

Barre de boutons Éléments

Éléments du menu contextuel

Exportation et importation au format XML

Éléments de synoptique

Modifier les éléments de synoptique

Gabarits

Palettes de couleurs

Polices

Symboles et groupes d'éléments

Niveaux de visibilité

Types de synoptique

Fonctions de synoptiques


Qualité graphique

Manuel -> Synoptiques -> Qualité graphique

Dans zenon, la qualité d’affichage graphique peut être adaptée aux ressources du système. Ce paramètre est configuré par le biais du paramètre de projet Qualité graphique, dans le groupe Apparence graphique. Ces paramètres ont uniquement un effet dans le Runtime. DirectX est toujours utilisé dans Editor.

Les options possibles sont les suivantes :

  • Windows Basic : Paramètres graphiques de base. Paramètre recommandé lorsque les ressources du matériel sont limitées.
  • DirectX Software: Les calculs graphiques sont effectués par le processeur. Selon les éléments graphiques affichés, vous pouvez utiliser plusieurs processeurs. Utiliser l’option DirectX Software peut exercer une forte charge sur le processeur.
  • DirectX Hardware: Certains calculs graphiques sont effectués par la carte graphique, ce qui améliore les performances d’affichage. Si ce paramètre n’est pas pris en charge par le système utilisé, zenon bascule automatiquement vers l’option DirectX Software. En principe, DirectX Hardware est préférable et DirectX Software doit uniquement être utilisé en cas de besoin.

attention Attention
  • DirectX n’est pas disponible sous Windows CE.
  • DirectX n’est pas utilisable avec les éléments OCX.

DirectX

DirectX offre une qualité supérieure à celle du mode Windows Basic.

Pour utiliser DirectX, plusieurs conditions préalables doivent être remplies :

Conditions préalables

Description

L’option DirectX Hardware (Matériel DirectX) ou DirectX Software (Logiciel DirectX) doit être activée.

Dans les paramètres du projet, vous devez sélectionner DirectX Hardware ou DirectX Software pour la propriété Apparence graphique.

Le système d’exploitation doit prendre en charge DirectX 11.1.

Les options DirectX Hardware et DirectX Software sont uniquement compatibles avec les systèmes d’exploitation prenant en charge DirectX11.1.

Si le système n’est pas compatible avec DirectX 11.1, le mode Windows Enhanced (Windows optimisé) est sélectionné automatiquement.

Le programme DirectX-Runtime le plus récent doit être installé. Pour zenon, il est installé lors de l’installation du programme. Pour zenon Web Client, il doit être installé manuellement.

Le synoptique ou l’élément doit être compatible avec DirectX.

Seuls les éléments ou les synoptiques pris en charge peuvent être affichés avec DirectX.

Pour l’option DirectX Hardware (Matériel DirectX), les conditions préalables minimales doivent être satisfaites.

Vous trouverez des informations détaillées concernant la configuration minimale requise au chapitre Configuration requise lors de l’utilisation de DirectX. Si ces conditions ne sont pas satisfaites, la carte graphique active automatiquement l’option Logiciel DirectX.

Si le système d’exploitation ne fournit aucune accélération matérielle (par exemple, dans Remote Desktop), l’option DirectX Hardware (Matériel DirectX) ne pourra peut-être pas être sélectionnée.

DirectX 11.1

Les considérations suivantes s'appliquent en cas d'utilisation de DirectX11.1 :

  • DirectX 11.1 est intégré de façon native à Windows 8 et aux versions ultérieures de ce système d'exploitation.
  • DirectX 11.1 n'est pas utilisable sous Windows 7 et Server 2008 R2 (ou versions antérieures) sans Service Pack.
  • Pour Windows 7 SP1 et Server 2008 R2 SP1, un Service Pack Windows doit être installé.

Installer le Service Pack pour Windows 7 SP1 et Server 2008 R2 SP1.

Pour installer le Service Pack :

  1. Téléchargez la mise à jour KB2670838 sur le site Web de support technique de Microsoft.
  2. Sélectionnez la version correspondant à votre système d'exploitation :
    • 32 bit
    • 64 bit
  3. Sélectionnez le fichier d'installation correspondant.

Remarque : Ceci concerne uniquement Windows 7 SP1 et Server 2008 R2 SP1. DirectX 11.1 est déjà présent sur les versions plus récentes. La mise à jour ne peut pas être installée sur des versions plus anciennes.

Autres sujets abordés dans ce chapitre

DirectX : Améliore les performances graphiques

DirectX : Comparaison entre les modes Matériel DirectX et Logiciel DirectX

DirectX : Traitement des erreurs


DirectX : Améliore les performances graphiques

Manuel -> Synoptiques -> Qualité graphique -> DirectX : Améliore les performances graphiques

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Chaque ordinateur est équipé d'une carte ou d'un processeur graphique intégré. Ce composant est important pour afficher les graphiques à l'écran.

Si la carte graphique comporte une mémoire graphique dédiée, la carte graphique possède sa propre mémoire opérationnelle ; elle est donc une carte graphique à part entière, et non un processeur graphique intégré. Une carte graphique avec une mémoire graphique dédiée et un processeur graphique sont normalement utilisés sous forme de cartes enfichables dans l'ordinateur. Elles offrent généralement des performances élevées.

Un processeur intégré se trouve directement dans le processeur principal, et ne peut pas être supprimé. Il ne possède généralement pas de mémoire graphique dédiée, et nécessite donc une partie de la mémoire de travail. Ces cartes graphiques offrent généralement des performances graphiques peu élevées.

Des performances graphiques élevées sont indispensables à une visualisation efficace et rapide des synoptiques. Les performances graphiques sont améliorées par DirectX ; toutefois, les synoptiques haute résolution comportant de nombreux éléments et effets peuvent entraîner des délais d'attente élevés.

Dans ce cas, les performances graphiques peuvent être améliorées, à condition de tenir compte des informations suivantes.

Facteurs pouvant influencer les performances graphiques :

Effets

L'application d'effets pour les éléments peut avoir une incidence sur les performances graphiques lorsque les propriétés suivantes sont utilisées :

  • Taille des ombres pour les valeurs différentes de 100 %
  • Flou pour les valeurs supérieures à 0
  • Propagation pour les valeurs supérieures à 0

Tipp Solutions pour améliorer les performances graphiques
  • Si possible, utilisez des modèles alternatifs avec lesquels ces effets ne sont pas nécessaires.

Nombre d'éléments

Les besoins en matière de performances augmentent avec le nombre d'éléments configurés.

attention Attention

Tenez compte des informations suivantes lorsque vous ajoutez des éléments à des symboles :

  • Les symboles sont fréquemment utilisés plus d'une fois ; par conséquent, chaque élément ajouté a un effet correspondant sur les performances.

Pour une meilleure vue d'ensemble et des performances graphiques supérieures, les mesures suivantes sont recommandées :

Tipp Solutions pour améliorer les performances graphiques

Affichage depuis plusieurs éléments :

  • Si possible, rassemblez plusieurs éléments sous la forme d'un élément unique.

Exemples :

  • Utilisez un élément rectangle pour afficher un rectangle, plutôt qu'un élément polygone.
  • Associez plusieurs éléments polygones individuels sous la forme d'un éléments polygone unique.

Restrictions concernant la taille du synoptique :

  • Répartissez les éléments sur plusieurs synoptiques, auxquels vous attribuez chacun une tâche.
  • Appelez uniquement le synoptique dont l'utilisateur a besoin pour accomplir la tâche en cours.

Masquage d'éléments pour des niveaux de zoom spécfiques :

Différents niveaux de détail sont requis à différents niveaux de zoom.

  • Vous devez donc définir la visibilité des éléments pour certains niveaux de zoom.

Éléments imbriqués (symboles, éléments combinés et cadrans)

Un élément directement présent sur un synoptique offre des performances supérieures à celles d'un élément imbriqué, par exemple, dans un symbole.

Tipp Solutions pour améliorer les performances graphiques
  • Évitez de définir une complexité hiérarchique inutile, si possible.

Dégradés de couleur

Les dégradés de couleur nécessitent davantage de puissance de calcul que les couleurs de remplissage unies.

Tipp Solutions pour améliorer les performances graphiques
  • Les éléments comportant des dégradés de couleurs difficilement visibles à l'écran, voire même à peine visibles n'ont parfois qu'un impact visuel mineur. Dans ce cas, ils peuvent être remplacés par une couleur de remplissage unie.
  • Évitez les dégradés de couleurs en utilisant d'autres alternatives, tels qu'un design uni.

Propriétés dynamiques

L'utilisation de propriétés dynamiques pour les éléments peut, sans effet visible, nécessiter un besoin de performances accru.

Exemples de propriétés dynamiques :

  • Panoramique,
  • Graduations,
  • Rotation.

Tipp Solutions pour améliorer les performances graphiques
  • N'utilisez les propriétés dynamiques que si cela est vraiment nécessaire.
  • Utilisez des éléments statiques plutôt que des propriétés dynamiques, si l'effet souhaité reste inchangé.
  • Évitez de définir une précision inutile pour les valeurs élevées dans les propriétés dynamiques.

Résolutions et tailles d'éléments

Le nombre de points de synoptique utilisés pour l'affichage peut avoir une incidence directe sur les performances graphiques.

Tipp Solutions pour améliorer les performances graphiques
  • Évitez les résolutions graphiques inutilement élevées.
  • Réduisez la résolution :
    • Réduisez la résolution du moniteur.
    • Réduisez les tailles des éléments.

Chevauchement d'éléments

Si un élément doit être redessiné suite à une modification, ceci peut entraîner la nécessité de redessiner les éléments situés sous et au-dessus de celui-ci.

Tipp Solutions pour améliorer les performances graphiques
  • Évitez le chevauchement d'éléments changeant rapidement et fréquemment.
  • Évitez un taux d'actualisation trop rapide, avec des changements de valeurs constants.

Grands fichiers graphiques

En raison du nombre de pixels qu'ils comportent, les grands fichiers graphiques nécessitent une importante puissance de calcul.

Tipp Solutions pour améliorer les performances graphiques
  • Adaptez les éléments graphiques à la taille de l'affichage.
  • Évitez les résolutions élevées.
  • Utilisez des éléments de zenon à la place des fichiers graphiques, si possible.

Nombre de synoptiques ouverts

L'ouverture simultanée de plusieurs synoptiques peut nécessiter davantage de puissance de calcul graphique.

Tipp Solutions pour améliorer les performances graphiques
  • Appelez uniquement les synoptiques requis.
  • Fermez les synoptiques dont vous n'avez plus besoin.
  • Créez des synoptiques de vue d'ensemble spécifiques aux tâches comportant de nombreuses vues détaillées.

Troncages

L'utilisation de coins arrondis sur les éléments peut nécessiter davantage de puissance de calcul graphique.

Tipp Solutions pour améliorer les performances graphiques
  • Évitez d'utiliser des coins arrondis, si possible.
  • Au lieu de cela, optez pour alternatives telles qu'un design uni.

Remarque : Il est recommandé de tester les performances graphiques et l'ergonomice sur la plate-forme de destination du projet, dsè les premières phases de développement.


DirectX : Comparaison entre les modes Matériel DirectX et Logiciel DirectX

Manuel -> Synoptiques -> Qualité graphique -> DirectX : Comparaison entre les modes Matériel DirectX et Logiciel DirectX

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

En princupe, les performances graphiques offertes par les modes Matériel DirectX et Logiciel DirectX sont identiques. Les mêmes propriétés graphiques sont prises en charge pour les synoptiques et les éléments de synoptiques avec les deux options graphiques.

Lorsque vous sélectionnez les options graphiques Matériel DirectX ou Logiciel DirectX, tenez compte des informations suivantes :

Matériel DirectX

Autorise une accélération matérielle supplémentaire grâce à un processeur graphique compatible DirectX. Il peut prendre la forme d'un processeur graphique intégré ou, idéalement, d'une carte graphique dédiée intégrée à l'ordinateur. Toutes les cartes graphiques compatibles DirectX permettent d'accélérer certaines opérations graphiques. Ceci réduit la charge exercée sur l'ordinateur, et permet potentiellement d'améliorer les performances.

Tipp Conseil

Pour une visualisation étendue, il est recommandé d'utiliser une carte graphique puissante, dotée de capacités graphiques élevées, pour créer des conditions adaptées à des fonctionnalités ergonomiques. Vous trouverez plus de détails concernant les exigences minimales applicables à l'utilisation de DirectX au chapitre Configuration requise pour l'utilisation de DirectX.

Logiciel DirectX

Si l'option Matériel DirectX n'est pas disponible, l'option graphique Logiciel DirectX peut être utilisée. Lorsque vous sélectionnez cette option , DirectX utilise une émulation pour exécuter les tâches graphiques du processeur sur l'ordinateur. Par conséquent, il est possible que la charge exercée sur le système soit plus importante, particulièrement au regard du processeur et de la mémoire.

Remarque : Les performances offertes par un processeur mono-cœur ou multi-cœurs sont utilisées au maximum avec cette option graphique.

Tipp Conseil

Pour les visualisations étendues, il est recommandé d'utiliser une puissance de calcul graphique, sous la forme d'un processeur multi-cœurs, pour créer des conditions adaptées à des fonctionnalités ergonomiques. Vous trouverez plus de détails concernant les exigences minimales applicables à l'utilisation de DirectX au chapitre Configuration requise pour l'utilisation de DirectX.


DirectX : Traitement des erreurs

Manuel -> Synoptiques -> Qualité graphique -> DirectX : Traitement des erreurs

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Les erreurs sont éditées dans l’outil Diagnosis Viewer.

DirectX n’est pas initialisé.

Si DirectX ne peut pas être initialisé durant un appel de synoptique ou dans le cadre du fonctionnement continu, une nouvelle tentative d’initialisation de DirectX est effectuée. Durant ce processus, Editor et le Runtime de zenon continuent à s’exécuter normalement. Vous pouvez tenter de remédier au problème pendant ce temps. Les causes et solutions possibles peuvent être déterminées avec l’outil Diagnosis Viewer.

Une barre de progression apparaît durant la réinitialisation. Pour annuler la réinitialisation :

  1. Cliquez sur le bouton Annuler.
  2. Confirmez le message d’erreur affiché.
  3. Selon l’annulation ou non du processus, Editor ou le Runtime sont arrêtés.

Remarque : Les erreurs qui interdisent la réinitialisation de DirectX sont annoncées au moyen d’un message d’erreur.

Diagnosis Viewer

DirectX fournit différents messages dans Diagnosis Viewer?; ces messages contiennent :

  • Un message d’erreur
  • Des causes d’erreurs possibles
  • Des codes d’erreur

L’affichage se déroule dans un module DirectX spécifique. En cas d’erreur, le texte de l’erreur est affiché dans le champ de texte Erreur. Dans le cas des avertissements et informations de débogage, les messages correspondants sont affichés dans le champ de texte Général :

  • En cas d’appel de synoptique réussi, au moins un message de débogage indiquant le succès de l’opération est affiché.
  • Les avertissements désignent les événements pouvant influencer le fonctionnement.
  • Si une erreur ne pouvant pas être résolue se produit, un message d’erreur est affiché.

info Informations

Si un message n’est pas entièrement affiché dans la table dans l’outil Diagnosis Viewer, vous pouvez double-cliquer sur l’entrée pour l’ouvrir et afficher le message dans sa totalité.

Liste de contrôle de recherche d’erreurs

Une vérification du bon fonctionnement de DirectX peut être effectuée en activant les messages de débogage dans l’outil Diagnosis Viewer. Un message correspondant est affiché si la vérification est réussie.

  • Les avertissements ou messages d’erreur concernant DirectX sont-ils affichés dans l’outil Diagnosis Viewer??
  • L’option DirectX Hardware ou DirectX Software est-elle configurée dans la propriété Qualité graphique du projet??
  • Les conditions indispensables à l’exécution de DirectX sont-elles satisfaites?? Vous trouverez des informations détaillées concernant la configuration minimale requise au chapitre Configuration requise lors de l’utilisation de DirectX.
  • DirectX est-il pris en charge par le synoptique ou l’élément??
  • L’affichage fonctionne-t-il correctement lorsque le mode Windows Basic est activé??
  • L’écran fonctionne-t-il avec un autre driver??
  • L’écran fonctionne-t-il avec une carte graphique d’un autre fabricant??


Menu contextuel Gestionnaire de projet

Manuel -> Synoptiques -> Menu contextuel Gestionnaire de projet

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Élément de menu | Action
Nouveau synoptique | Crée un nouveau synoptique portant le nom par défaut "Synoptique" avec le type de synoptique par défaut.
Exporter tout (XML) | Exporte toutes les entrées sous forme de fichier XML.
Importer XML … | Importe des entrées à partir d'un fichier XML. Remarque : les cadres existants ne sont pas remplacés durant la procédure d'importation au format XML à l'aide du nœud Synoptiques. Les cadres existants sont remplacés par le biais du nœud Cadres durant l'importation au format XML. Dans ce cas, tous les synoptiques et leurs éléments sont adaptés au nouveau cadre.
Profil Editor | Ouvre la liste déroulante contenant les profils Editor prédéfinis.
Aide | Ouvre l’aide en ligne.


Vue de détail de la barre d'outils et du menu contextuel

Manuel -> Synoptiques -> Vue de détail de la barre d'outils et du menu contextuel

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Menu contextuel

Élément de menu

Action

Nouveau synoptique

Ajoute un nouveau synoptique à la liste et bascule l'affichage vers cette entrée.

Ouvrir synoptique

Ouvre la fenêtre principale pour le synoptique sélectionné.

Créer une fonction standard

Ouvre les assistants de sélection de synoptiques et de configuration des détails, afin de créer automatiquement une fonction adaptée. Cette action est consignée dans la fenêtre de sortie.

Retour à l'élément de départ

Cliquez pour revenir à l'élément depuis lequel vous avez directement accédé au synoptique.

Copier

Copie les entrées sélectionnées et vers le presse-papiers.

Coller

Insère le contenu du presse-papier. Si une entrée portant le même nom existe déjà, le contenu est collé sous le nom Copie de....

Supprimer

Après une demande de confirmation, supprime les entrées sélectionnées de la liste.

Développer/Réduire

Permet de développer ou de réduire l’ensemble des nœuds ou les nœuds sélectionnés. Sélection :

  • Développer tout
  • Réduire tout
  • Étendre les objets sélectionnés
  • Réduire les éléments sélectionnés

Exporter la sélection en XML...

Exporte touts les entrées sélectionnées sous forme de fichier XML.

Importer XML

Importe des entrées à partir d'un fichier XML.

Remarque : les cadres existants ne sont pas remplacés durant la procédure d'importation au format XML à l'aide du nœud Synoptiques. Les cadres existants sont remplacés par le biais du nœud Cadres durant l'importation au format XML. Dans ce cas, tous les synoptiques et leurs éléments sont adaptés au nouveau cadre.

Exporter synoptique/symbole en fichier graphique

Exporte le synoptique/symbole sous forme de fichier graphique. La boîte de dialogue de sélection de fichiers propose les formats graphiques pris en charge par le système. En principe, tous les codecs Windows Imaging Component (WIC) compatibles avec la fonction d’enregistrement sont disponibles en sélection. La taille des éléments graphiques dépend du synoptique ou du symbole à exporter.

Création d'un modèle pour un type de synoptique

Ouvre la boîte de dialogue de création d'un nouveau modèle pour vous permettre d'ajouter des éléments de contrôle au type de synoptique spécifié.

Supprimer tous les filtres

Supprime tous les paramètres de filtre

Éditer la cellule sélectionnée

Ouvre la cellule sélectionnée pour la modification. Le symbole représentant des jumelles dans l'en-tête indique la cellule sélectionnée dans une ligne affichée en surbrillance. Seules les cellules pouvant être modifiées peuvent être sélectionnées.

Remplacer un texte dans la colonne sélectionnée

Ouvre la boîte de dialogue de recherche et de remplacement de texte.

Propriétés

Ouvre la fenêtre de Propriétés.

Aide

Ouvre l'aide en ligne.

Remarque : Les sous-synoptiques des cadrans liés dans le conteneur de synoptique ne peuvent pas être édités. Ils peuvent uniquement être affichés et copiés.


Création d'un synoptique

Manuel -> Synoptiques -> Création d'un synoptique

Pour créer un synoptique :

  1. Sélectionnez, dans le nœud Synoptiques ou la vue détaillée des synoptiques, la commande Nouveau synoptique dans le menu contextuel ou la barre d'outils.
  2. Un nouveau synoptique standard est créé.
  3. Si nécessaire, sélectionnez un type de synoptique spécial dans les propriétés ou la vue détaillée.
  4. Configurez les propriétés telles que la taille, les cadres sur lesquels repose le synoptique, les interactions, etc.

Remarque : Les synoptiques prennent la taille du cadre sur lequel ils reposent. les tailles inférieures à la taille du cadre sont ignorées. Si la largeur des synoptiques est définie sur une valeur supérieure à celle du cadre, les synoptiques deviennent une vue globale. Pour la navigation et le déplacement de l’écran dans la vue globale, vous pouvez utiliser un synoptique Aperçu de la vue globale, des commandes tactiles ou la souris.


Barre d’outils Synoptique

Manuel -> Synoptiques -> Barre d’outils Synoptique

Une barre d’outils vous permet d’éditer les synoptiques. Par défaut, elle est affichée sous la barre de menus.

Symbole

(de gauche à droite)

Fonction

Enregistrer le synoptique

Enregistre le synoptique courant.

Enregistrer tout

Enregistre tous les synoptiques modifiés.

Couper

Coupe l’élément sélectionné et le stocke dans le presse-papiers?; cette fonction est également utilisable d’un projet à l’autre. Disponible uniquement si un élément a été sélectionné.

Copier

Transfère une copie du synoptique actuel vers le presse-papiers. Disponible uniquement si un élément a été sélectionné.

Coller

Insère (c’est-à-dire colle) un synoptique depuis le presse-papier. Uniquement disponible si le presse-papiers contient des données.

Transférer le format

Transfère la mise en forme de l’élément sélectionné vers le prochain élément sélectionné.

Redessiner le synoptique

Rafraîchit l'affichage.

Annuler

Permet d’annuler jusqu’à 100 actions. Par défaut, 10 actions peuvent être annulées.

Définissez le nombre d’actions : Options -> Paramètres -> Paramètres -> Nombre d’actions pouvant être annulées. Saisissez un nombre compris entre 1 et 100.

Mode édition

Bascule du mode Zoom au mode Édition.

Zoom

Fournit deux modes de zoom :

  • Zoom variable :
    Une valeur prédéfinie peut être sélectionnée dans la liste déroulante, ou vous pouvez directement saisir n’importe quelle valeur comprise entre 15 % et 400 %.
  • Outil zoom :
    Vous pouvez directement effectuer un zoom sur le synoptique en sélectionnant les deux symboles d’agrandissement (+ et -). La touche Ctrl permet de basculer entre les différents modes. Le zoom défini est enregistré pour chaque synoptique.

Fermer le mode Zoom : Cliquez sur le symbole du mode Édition dans la barre d’outils Éléments.

Aide

Ouvre l’aide en ligne.

Options pour la barre de symboles

Cliquez sur la flèche pour ouvrir le sous-menu :

Active : la barre d'outils est affichée.

Si la barre d’outils n’est pas affichée, elle peut être activée en sélectionnant le menu Options -> Barre d’outils.

Remarque : Si la barre d’outils est positionnée librement (c’est-à-dire dissociée d’Editor), les options ne sont pas affichées. Pour fermer la barre d’outils, cliquez sur le bouton X.


Barre de boutons Éléments

Manuel -> Synoptiques -> Barre de boutons Éléments

Symbole

Fonction

Mode édition

Bascule du mode Zoom au mode Édition.

Ellipse/Circle

Avec couleur de cadre et de remplissage, type de cadre et motif de remplissage (cercle).

Arc de cercle

Avec épaisseur, couleur de ligne et type de ligne définissables.

Quartier de cercle

Trace un quartier de cercle avec un angle d’ouverture de 180º (modifiable)?; épaisseur, couleur de ligne et type de ligne définissables.

Ligne

Avec épaisseur, couleur de ligne et type de ligne définissables.

Polygone

Avec couleur de cadre et de remplissage, type de cadre et motif de remplissage

Polyligne

Avec type de ligne et couleur de ligne.

Rectangle

Avec couleur de cadre et de remplissage, type de cadre et motif de remplissage

Tube

Avec couleur de cadre et de remplissage, type de cadre et motif de remplissage

Texte statique

Avec couleur de la police et sélection du type de police.

Bouton

Zone sensible à la souris affichée sous forme de bouton.

Élément combiné

Affiche une ou plusieurs variables sur un point du synoptique, en couleurs ou sous forme de symboles (caractères chaînés).

Réglette universelle

Commande à réglette ou commande rotative.

Commutation

Déclenchement de commande simple ou élément de saisie de valeur prescrite.

Zone de liste/Liste modifiable

Permet de lier les valeurs de variable à des textes.

Élément Gestion de commande

Uniquement disponible avec une licence pour <CD_SIEMENS_PRODUCTNAME.>

Bouton Synoptique d’alarmes

Uniquement disponible avec une licence pour <CD_SIEMENS_PRODUCTNAME.>

Valeur numérique

Affichage numérique de valeurs.

Graphique à barres

Affichage de valeurs sous forme de bargraphe.

Instrument à aiguille

Affichage de la valeur sur un cadran d’instrument à aiguille.

Texte dynamique

Affichage des textes des limites d’une variable ou directement de la valeur d’une variable de type STRING (chaîne de caractères)

Élément Tendance

Tracé de courbes

Élément WPF

Affiche des fichiers XAML WPF valides.

Élément ActiveX

Insère un contrôle ActiveX.

Horloge

Affichage de la date et de l’heure.

Options pour la barre de symboles

Cliquez sur la flèche pour ouvrir le sous-menu :

Active : la barre d'outils est affichée.

Si la barre d’outils n’est pas affichée, elle peut être activée en sélectionnant le menu Options -> Barre d’outils.

Remarque : Si la barre d’outils est positionnée librement (c’est-à-dire dissociée d’Editor), les options ne sont pas affichées. Pour fermer la barre d’outils, cliquez sur le bouton X.


Éléments du menu contextuel

Manuel -> Synoptiques -> Éléments du menu contextuel

Des commandes adaptées à la situation sont disponibles dans le menu contextuel. Ces commandes sont également accessibles par le biais des menus et des barres d'outils.

Commande

Description

Symbole

Ouvre la liste déroulante contenant les commandes. Les commandes suivantes sont disponibles, selon l'état du symbole :

  • Créer un groupe d'éléments
  • Dissocier
  • Activer ou désactiver le mode d'édition individuelle
  • Insérer dans un groupe d’éléments existant
  • Convertir symbole en un groupe d'éléments
  • Modification dans l'Éditeur de symboles
  • Insertion dans la bibliothèque de symboles
  • Créer un groupe d'éléments

Créer un groupe d'éléments
  • Dissocier

Dissocie un groupe d'éléments sous forme d'éléments de synoptique individuels.
  • Activer ou désactiver le mode d'édition individuelle

Active le mode d'édition individuelle, ou revient au mode d'édition de symbole. Le mode d'édition individuelle vous permet d'éditer les éléments individuels d'un symbole.
  • Insérer dans un groupe d’éléments existant

Insère le symbole dans un groupe d'éléments existant.
  • Convertir symbole en un groupe d'éléments

Convertit un symbole en un groupe d’éléments.
  • Modifier dans l'éditeur de symboles

Ouvre un symbole lié dans l'éditeur de symboles, vous permettant de le modifier.
  • Insertion dans la bibliothèque de symboles

Ouvre la boîte de dialogue d'ajout d'un groupe d'éléments depuis un synoptique d'une bibliothèque de symboles. Dans ce cas, le groupe d'éléments est converti en symboles et inséré sous forme de symboles. Le groupe d'éléments dans le synoptique est conservé sous forme de groupe d'éléments.

Position de l'élément

Ouvre la liste déroulante permettant de modifier la position de l'élément :

  • Premier plan : Passe les éléments sélectionnés en premier plan.
  • Arrière-plan : Passe les éléments sélectionnés en arrière-plan.
  • Avancer : Avance les éléments sélectionnés d'un pas (vers le premier-plan).
  • Reculer : Recule les éléments sélectionnés d'un pas (vers l'arrière-plan).

Cascade

Ouvre la liste déroulante permettant de réorganiser les éléments liés.

Eléments liés

Ouvre la liste déroulante contenant les éléments dynamiques liés, par exemple : variables, fonctions, polices de caractères, symboles, etc.

Remplacer les liens

Fonction Rechercher/Remplacer
Par ex. "Température cuve 1" est remplacé par "Température cuve 2"

Couper

Coupe l’élément sélectionné et le stocke dans le presse-papiers.

Copier

Copier les objets sélectionnés.

Coller

Colle les objets qui ont été coupés ou copiés depuis le presse-papiers.

Coller à la même position

Colle les objets qui ont été coupés ou copiés depuis le presse-papiers.

Supprimer

Supprime les objets sélectionnés.

Transférer le format

Transfère les propriétés d’un élément sélectionné vers un ou plusieurs éléments.

  • Transférer vers un élément :

    Cliquez sur l'élément comportant les propriétés originales.
    -> Cliquez sur le symbole Copier les propriétés ou la commande du menu contextuel.
    -> Cliquez sur l'élément cible : les propriétés sont transférées.

  • Transférer vers plusieurs éléments :

    Sélectionnez l'élément source.
    -> Sélectionnez l'élément cible en maintenant la touche Ctrl enfoncée (les éléments source et cible sont sélectionnés).
    > Cliquez sur le symbole Copier les propriétés ou la commande dans le menu contextuel.
    -> Les propriétés de l'élément source sont transférées vers l'élément cible.

Les objets source et cible déterminent les propriétés transférées.

Si plusieurs éléments ont été choisis comme source, les propriétés du premier élément sont transférées.

Mode plein écran

Le mode plein écran masque toutes les autres fenêtres et affiche uniquement la fenêtre principale contenant tous les documents ouverts (synoptiques, rapports, etc.) en mode plein écran.

Remarque : The Control elements menu can still be called up in full-screen mode.

Vous pouvez fermer le mode plein écran en :

  • Cliquant sur le bouton de fermeture du mode plein écran
  • En appuyant sur Maj+F9

Redessiner le synoptique/symbole

Rafraîchit l'affichage.

Afficher la grille

Active ou désactive la grille.

Positionner sur la grille

Active ou désactive l'alignement des éléments sur la grille.

Active : Tous les objets sont automatiquement alignés sur la grille.

Remarque : La touche Ctrl permet de désactiver temporairement ce paramètre. Si vous maintenez la touche Ctrl enfoncée pendant le déplacement d'un élément, celui-ci ne sera pas aligné sur la grille.

Utiliser les points magnétiques

Active ou désactive les points magnétiques.

Utilisation : Si vous déplacez un objet à proximité du point de manipulation d’un autre objet, il s’enclenche automatiquement sur ce point de manipulation.

Zoom

Modifie la résolution par incréments fixes compris entre 15 % et 400 %.

Exporter synoptique/symbole en fichier graphique ...

Exporte le synoptique/symbole sous forme de fichier graphique. La boîte de dialogue de sélection de fichiers propose les formats graphiques pris en charge par le système. En principe, tous les codecs Windows Imaging Component (WIC) compatibles avec la fonction d’enregistrement sont disponibles en sélection. La taille des éléments graphiques dépend du synoptique ou du symbole à exporter.

Insérer graphiques vectoriels

Ouvre la boîte de dialogue permettant d’insérer des éléments graphiques vectoriels externes.
Supports some versions of the file types DXF and PLT.

Remarque : L'importation d'éléments graphiques vectoriels n'est pas disponible pour la version 64 bits d'Editor.

Propriétés

Ouvre la fenêtre des propriétés pour l’élément sélectionné.

Aide

Ouvre l’aide en ligne.


Exportation et importation au format XML

Manuel -> Synoptiques -> Exportation et importation au format XML

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Exportation de synoptiques

Les variables et les fonctions incluses sont exportées avec les synoptiques. Le fichier d’exportation pour les synoptiques comporte les sections suivantes :

  • Synoptiques
  • Cadres
  • Symboles
  • Variables
  • Fonctions

Pour exporter des synoptiques :

  1. Sélectionnez les synoptiques de votre choix.
  2. dans le menu contextuel de la vue de détail, Exporter la sélection en XML....
    Vous pouvez également sélectionner, dans le nœud Synoptique, la commande Exporter tout (XML)
  3. La boîte de dialogue de sélection de l’emplacement d’enregistrement s’ouvre
  4. Sélectionnez l’emplacement d’enregistrement de votre choix
  5. Attribuez un nom
  6. Prêtez attention au type de fichier XML
  7. Confirmez en cliquant sur le bouton Enregistrer

Les synoptiques sélectionnés sont exportés vers un fichier XML, et peuvent être importés à tout instant dans ce projet ou d’autres projets.

Importation de synoptiques

Pour importer les synoptiques :

  1. Dans le menu contextuel du nœud Synoptiques ou la vue de détail Synoptiques, sélectionnez la commande Importer XML...
  2. La boîte de dialogue de sélection de l’emplacement d’enregistrement s’ouvre
  3. Accédez à l’emplacement d’enregistrement du fichier XML souhaité
  4. Sélectionnez le fichier de votre choix
  5. Confirmez l’importation en cliquant sur le bouton Ouvrir.

Les synoptiques sont importés.

Conflits de noms durant l’importation

Lors de l’importation d’un synoptique, le nom (attribut ShortName) conservé dans le fichier XML est utilisé pour le nom du synoptique créé. Si un synoptique portant le même nom existe déjà, l’importation est interrompue et un message d’erreur est affiché :

Paramètre | Description
Oui | Le synoptique décrit dans le message d’erreur est remplacé par le synoptique du fichier XML lors de l’importation. En cas de nouveau conflit, le message d’erreur est affiché une nouvelle fois.
Non | Le synoptique décrit dans le message d’erreur n’est pas importé. Le synoptique existant est conservé. En cas de nouveau conflit, le message d’erreur est affiché une nouvelle fois.
Yes, all (Oui, tous) | Le synoptique décrit dans le message d’erreur est remplacé par le synoptique du fichier XML lors de l’importation. Ce paramètre est utilisé automatiquement lorsqu’une erreur liée à l’utilisation du même nom se produit. Tous les synoptiques affectés sont remplacés.
Non pour tous | Le synoptique décrit dans le message d’erreur n’est pas importé. Le synoptique existant est conservé. Ce paramètre est utilisé automatiquement lorsqu’une erreur liée à l’utilisation du même nom se produit. Tous les synoptiques affectés sont conservés.

Remarque : Seul l’attribut ShortName est utilisé. Le nom de fichier n’a aucune importance au regard des synoptiques devant être importés. Il ne peut donc pas être utilisé pour résoudre le conflit.

Variables et fonctions dans les synoptiques

Les éléments dynamiques et les cadres sont automatiquement importés avec les synoptiques. Les variables et les fonctions doivent être importées manuellement avant, à partir du même fichier.

Seules les variables et fonctions du premier niveau sont traitées, c’est-à-dire les variables et fonctions directement liées au synoptique. Puisque d’une part, des variables peuvent être liées à des fonctions (par exemple, configuration de valeurs) et que des fonctions peuvent être liées à des variables (par exemple, fonctions sur valeurs limites), il peut être nécessaire d’importer d’abord les variables, puis les fonctions et à nouveau les variables. Ainsi, tous les liens seront recréés correctement.

Exemple : Un synoptique contient un bouton comportant une fonction Envoi de valeur associée à une variable. La fonction est importée avec le synoptique, mais sans la variable.

info Informations

Nous recommandons ici l’utilisation des assistants d’importation XML.


Éléments de synoptique

Manuel -> Synoptiques -> Éléments de synoptique

Deux types d'éléments de synoptique sont utilisés dans zenon :

  1. Les éléments vectoriels statiques
  2. Les éléments dynamiques

Éléments vectoriels dans zenon

Élément | Propriétés
Ellipse | Avec couleur de cadre et de remplissage, type de cadre et motif de remplissage
Cercle | Sélectionnez le symbole Ellipse et maintenez la touche Maj enfoncée pendant que vous tracez la forme ; avec couleur de cadre et de remplissage, type de cadre et motif de remplissage
Arc de cercle | Avec épaisseur, couleur et type de ligne définissables
Quartier de cercle | Avec épaisseur, couleur et type de ligne définissables
Ligne | Avec épaisseur, couleur et type de ligne définissables
Polygone | Avec couleur de cadre et de remplissage, type de cadre et motif de remplissage
Polyligne | Avec type et couleur de ligne (également motif de remplissage et couleur pour une description de l'élément)
Carré | Sélectionnez le symbole Rectangle et maintenez la touche Maj enfoncée pendant que vous tracez la forme ; avec couleur de cadre et de remplissage, type de cadre et motif de remplissage
Rectangle | Avec couleur de cadre et de remplissage, type de cadre et motif de remplissage
Rectangle arrondi | Avec couleur de cadre et de remplissage, type de cadre et motif de remplissage
Tube | Avec couleur de cadre et de remplissage, type de cadre et motif de remplissage
Texte statique | Avec couleur de la police et sélection du type de police

Éléments dynamiques dans zenon

Élément

Fonction

ActiveX

Permet d'insérer des contrôles ActiveX. Ces éléments doivent déjà être installés sur l'ordinateur.

Graphique à barres

Affiche la taille d'un signal sous forme de barre. La longueur de la barre évolue en fonction de la taille du signal.

Elément de gestion de commande

Permet d'envoyer des commandes pour le module de gestion de commande. Nécessite une licence pour SICAM 230.

Bouton écran d'alarmes

Autorise l'affichage d'alarmes colorées et clignotantes via le synoptique. Nécessite une licence pour SICAM 230.

Bouton Bitmap

Éléments graphiques pixellisés : *.bmp, *.jpg, *.gif, or *.png ou éléments graphiques vectoriels : *.wmf.

Attention ! Cet élément est uniquement disponible si la propriété Créer fichiers RT pour du projet a été définie sur une valeur inférieure à 6.50. Cette fonction a été intégrée à l'élément bouton à partir de la version 6.50.

Bouton

Autorise les actions telles que l'exécution d'une fonction ou l'écriture d'une valeur prescrite. Il permet d'afficher des textes et des éléments graphiques, et peut être créé sous forme d'objet transparent via d'autres éléments.

Attention ! Si la propriété Créer fichiers RT pour du projet est définie sur une valeur inférieure à 6.50, seule la sortie au format texte est affichée dans le Runtime. Les éléments graphiques et la fonction invisible doivent ensuite être configurés avec les éléments Bouton bitmap et Bouton invisible. Vous trouverez ces deux éléments au bas de la liste déroulante Éléments.

Élément combiné

Affiche les états des variables au moyen de symboles ; les synoptiques et les textes au format graphique peuvent également être utilisés comme commutateurs ou boutons.

Liste de choix / menu déroulant

Affiche du texte dans une zone de liste ou une liste déroulante, quelle que soit la valeur de la variable. Lorsqu'une entrée est sélectionnée, la valeur correspondant est transmise ou la fonction correspondante est exécutée.

Texte dynamique

Affiche la valeur d'une variable de chaîne au format alphanumérique ou le texte de limite actuel de variables numériques.

Élément de message

Lit le texte depuis un fichier texte, en fonction de deux variables, et l'affiche.

Attention ! Cet élément est uniquement disponible si la propriété Créer fichiers RT pour du projet a été définie sur une valeur inférieure à 7.50. La propriété n'est plus pris en charge à partir de la version 7.50.

Combinaison multiple

Active l'affichage d'un graphique ou la coloration de symboles et l'affichage d'un texte d'état, indépendamment des valeurs de variables.

Attention ! Cet élément est uniquement disponible si la propriété Créer fichiers RT pour du projet a été définie sur une valeur inférieure à 7.50. La propriété n'est plus pris en charge à partir de la version 7.50.

Commutation

Affiche et modifie les valeurs d'une variable binaire.

Elément de déplacement

Permet de déplacer, pivoter et augmenter ou diminuer la taille d'un symbole, indifféremment des valeurs de variables.
Nécessaire pour les configurations de projet sous Windows CE.

Elément tendance

Affiche des valeurs sous forme de courbes de tendance

Horloge

Affiche la date et l'heure actuelles.

Réglette universelle

Fournit des réglettes sous différentes formes graphiques.

Notes on the moving scale style: Dans le Runtime, les valeurs peuvent uniquement être modifiées par l’intermédiaire d’une boîte de dialogue. Il est impossible de modifier une valeur directement à l’aide de la réglette.

Bouton invisible

Objet transparent permettant de déclencher des actions telles que l'exécution d'une fonction ou l'écriture d'une valeur prescrite.

Attention ! Cet élément est uniquement disponible si la propriété Créer fichiers RT pour du projet a été définie sur une valeur inférieure à 6.50. Cette fonction a été intégrée à l'élément bouton à partir de la version 6.50.

Élément WPF

Affiche des fichiers WPF-XAML dans zenon.

Valeur numérique

Affiche la valeur d'une variable sous forme numérique.

Instrument à aiguille

Affiche la valeur d'une variable sous forme d'outil de mesure analogique en utilisant un indicateur en tant qu'élément d'affichage.

Élément d'état

Transfère les propriétés de variables liées vers un symbole et affiche des textes de limite statistique.

Attention ! Cet élément est uniquement disponible si la propriété Créer fichiers RT pour du projet a été définie sur une valeur inférieure à 7.50. La propriété n'est plus pris en charge à partir de la version 7.50.

Autres sujets abordés dans ce chapitre

Éléments de synoptique

Screen elements in the Runtime

Contrôle .NET

ActiveX

Graphique à barres

Elément de gestion de commande

Bouton écran d'alarmes

Bouton

Élément combiné

Liste de choix / menu déroulant

Texte dynamique

Ellipse and Circle

Arc de cercle

Quartier de cercle

Ligne

Polygone

Polyligne

Rectangle et rouge

Tube

Commutation

Texte statique

Elément tendance

Horloge

Réglette universelle

WPF

Valeur numérique

Instrument à aiguille

Elements from earlier versions


Éléments de synoptique

Manuel -> Synoptiques -> Éléments de synoptique -> Éléments de synoptique

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Général

De nombreuses combinaisons de touches sont disponibles lors de l'édition d'éléments de synoptique. Vous trouverez plus de détails à ce propos dans l'aide, à la section relative aux combinaisons de touches d'éléments graphiques.

Dans cette section, vous trouverez des informations concernant :

  • Éléments vectoriels dans zenon
  • Éléments dynamiques dans zenon
  • Insert into the main window (Insérer dans la fenêtre principale)
  • Définition des propriétés
  • Modifier la taille de l'élément
  • Faire pivoter l'élément
  • Hauteur de ligne
  • Visibilité
  • Pour la configuration de projets :

Éléments vectoriels dans zenon

Utilisez l'éditeur de caractères pour créer des éléments vectoriels dans zenon. Sélectionnez l'élément de votre choix dans la barre d'outils Éléments ou dans la liste déroulante et déplacez-le vers la fenêtre principale avec la souris. Configurez les propriétés dans la fenêtre Propriétés. Pour cela, l'élément doit être activé dans la fenêtre principale.

Importation de vos propres graphiques vectoriels

Les éléments vectoriels créés à l'aide de programmes externes peuvent être importés sous forme de synoptique et incorporés. Pour cela, accédez à Fichiers -> Graphiques -> Add data (Ajouter des données) dans le gestionnaire de projet.

Remarque : L'importation d'éléments graphiques vectoriels n'est pas disponible pour la version 64 bits d'Editor.

Éléments dynamiques dans zenon

Utilisez l'éditeur de caractères pour créer des éléments de synoptique dynamiques dans zenon. Sélectionnez l'élément de votre choix dans la barre d'outils Éléments ou dans la liste déroulante et déplacez-le vers la fenêtre principale avec la souris. Configurez les propriétés dans la fenêtre Propriétés. Pour cela, l'élément doit être activé dans la fenêtre principale. Les éléments graphiques peuvent être activés directement ici, par l'intermédiaire des variables. Pour de nombreux éléments, une boîte de dialogue de configuration est affichée lors de leur création.

Définition des propriétés

Pour de nombreux éléments dynamiques, une boîte de dialogue de configuration s'ouvre pour autoriser la sélection des variables ou des fonctions qui définissent les éléments dans le Runtime. Les propriétés peuvent également être définies indépendamment de la boîte de dialogue de configuration dans la fenêtre des propriétés. Elles peuvent être modifiées ici à tout instant. Pour cela, l'élément doit être activé dans la fenêtre principale.

Vous pouvez également sélectionner plusieurs éléments simultanément et leur attribuer des propriétés communes. Dans ce cas, les dispositions suivantes s'appliquent :

  • Les différentes valeurs correspondant aux différentes propriétés sont affichées en rouge.
  • Les propriétés qui ne peuvent être modifiées conjointement sont désactivées.

Des instructions d'aide relatives aux propriétés vous sont également fournies lors de la création d'éléments. Pour cela, activez la liste des propriétés dans zenon.

Affichage dans la fenêtre principale

Vous pouvez obtenir des informations concernant un élément dynamique dans la fenêtre principale en consultant :

L'info-bulle qui apparaît lorsque vous positionnez la souris sur l'élément :

  • Type élément
  • Nom de l'élément
  • Nom de fonction/Type de fonction
  • Variables liées

Dans la barre d'état, lors de l'activation :

  • Position du pointeur de souris
  • Type élément
  • Nom de l'élément
  • Point de départ
  • Largeur/hauteur

Insert into the main window (Insérer dans la fenêtre principale)

L'élément sélectionné peut être sélectionné plusieurs fois dans la fenêtre principale et y être réorganisé. L'élément sélectionné (et donc actif) est représenté par l'affichage d'un symbole à l'extrémité du pointeur de souris. Pour dessiner le gabarit :

  1. Cliquez sur le bouton gauche de la souris.
  2. Déplacez la souris.
  3. Relâchez le bouton de la souris.

Exception : polyligne, polygone et tube :

  • Cliquez pour insérer une nouvelle position d'ancrage.
  • Double-cliquez ou appuyez sur la touche Échap pour arrêter de tirer sur une poignée.

Les éléments peuvent être pivotés librement avec la souris ; pour cela :

  1. Cliquez sur l'élément.
  2. Faites-le pivoter à l'aide de la poignée de redimensionnement jaune.

Le point de contact, et donc le point de rotation, peuvent être définis dans les propriétés Point de référence.

attention Attention

Each element must have a unique ID. If several elements with the same ID are used in a screen, all duplicates are removed during compilation. If, for example, a button is copied and inserted into the same screen, it has the same ID. The copy is removed during compilation.

Exception : Plusieurs conteneurs de synoptique peuvent être utilisés dans un synoptique de cadran (Faceplate).

Définition des propriétés

Pour les éléments de la fenêtre principale, les propriétés sont définies dans les propriétés de la fenêtre. Pour cela, l'élément doit être activé dans la fenêtre principale.

Vous pouvez également sélectionner plusieurs éléments simultanément et leur attribuer des propriétés communes. Dans ce cas, les dispositions suivantes s'appliquent :

  • Les différentes valeurs correspondant aux différentes propriétés sont affichées en rouge.
  • Les propriétés qui ne peuvent être modifiées conjointement sont désactivées.

Des instructions d'aide relatives aux propriétés vous sont également fournies lors de la création d'éléments. Pour cela, activez la fenêtre d'aide dans zenon.

Modifier la taille de l'élément

Pour modifier la taille d'un élément, vous pouvez utiliser la souris, le clavier, les propriétés ou une boîte de dialogue :

  • Avec la souris :
    1. Cliquez sur une des poignées du cadre de l'élément.
    2. Faites glisser l'élément jusqu'à obtenir la taille souhaitée.
  • Avec le clavier :
    • Activez la poignée de redimensionnement souhaitée (le pointeur de la souris doit se trouver sur la poignée de redimensionnement.)
    • Faites-le glisser à l'aide des touches fléchées du clavier :
    • lorsque vous appuyez sur une touche fléchée, vous modifiez la position de 1 pixel.
    • Avec la touche Maj : + curseur lorsque vous appuyez sur une touche fléchée, vous modifiez la position de 10 pixel.
  • Avec la fenêtre des propriétés : Dans le groupe de propriétés Position, vous pouvez spécifier la position et la taille avec une précision de 1 pixel.
  • Avec une boîte de dialogue : double-cliquez sur une poignée pour ouvrir une boîte de dialogue dans laquelle vous pouvez saisir la position avec une précision de 1 pixel.

Remarque : Si, dans la propriété Taille du graphique, le paramètre Taille d'origine a été sélectionné pour la valeur associée à l'élément Combinaison multiple, Élément combiné, Bouton ou Interrupteur, la largeur et la hauteur du fichier graphique correspondant ne peuvent plus être modifiées.

Faire pivoter l'élément

Les éléments peuvent pivoter librement. Vous pouvez définir le point de rotation à l'aide des propriétés dans le groupe Point de référence.

Définissez l'angle de rotation comme suit :

  • Avec la souris : cliquez sur l'élément et faites-le pivoter à l'aide de la poignée verte.
  • Avec la fenêtre des propriétés : avec la propriété Angle de rotation [°] dans le groupe Position.
  • Avec une boîte de dialogue : Double-cliquez sur la poignée de redimensionnement verte pour ouvrir une boîte de dialogue dans laquelle vous pouvez saisir l'angle de rotation.

info Informations

Les éléments de synoptique à base de fenêtres, tels que les éléments ActiveX, les listes ou les menus déroulants/zones de liste déroulantes ne peuvent pas être pivotés dans le Runtime. La configuration dans l'Éditeur est possible pour ActiveX, mais elle n'a aucune incidence sur l'affichage dans le Runtime.

Hauteur de ligne

La hauteur de ligne peut être définie pour certains éléments, indépendamment de la taille de la police, à l'aide de la propriété Affichage/Hauteur de ligne [pixel]. La valeur par défaut est 0 pixel. La hauteur des lignes est définie indépendamment de la taille de la police. Toute valeur supérieure à 0 définit une valeur fixe de hauteur de ligne, en pixels. Si une hauteur de ligne est définie, les illustrations graphiques ne sont pas redimensionnées en fonction de la hauteur de ligne, mais adaptées à la taille de la police.

Attention : si la hauteur de ligne

  • sélectionnée est trop élevée, dans certaines circonstances, aucune information ne sera affichée dans le Runtime.
  • sélectionnée est inférieure à la taille de la police, les éléments graphiques seront tronqués.

Visibilité

La visibilité d'un élément dans le Runtime est définie par les propriétés dans le groupe Visibilité/Clignotement. Les paramètres de la propriété Visibilité sont utilisés pour définir si la visibilité d'une variable ou d'un verrouillage est déterminée.

  • Variable: La visibilité est contrôlée par une variable. L'élément est toujours visible si aucune variable n'est définie. Si une variable a été définie, la visibilité est soit reprise des propriétés de valeur limite de cette variables, soit définie par la plage de valeurs définie dans les propriétés de et À.
  • Verrouillage: La visibilité est contrôlée par un verrouillage. L'élément est toujours visible si aucun verrouillage n'est défini. La propriété Visible si verrouillé est utilisée pour définir si l'élément est visible et s'il est verrouillé ou non.

Visibilité avec un verrouillage :

Verrouillage lié | Verrouillage actif | Visible si verrouillé | Résultat
X | X | X | Visible
X | X | - | Invisible
X | - | X | Invisible
X | X | - | Visible
- | - | - | Visible

Pour la configuration de projets :

Project properties vs. screen properties

There can be ambiguous project configurations at project property level. This is the case, for example, if the graphic display for interlockings has been configured firstly in the project properties for Gestion des utilisateurs or Apparence graphique and secondly in the Visible si verrouillé property for the screen element. In this case, the local setting has a higher priority than the setting in the project properties.

Éléments recouverts

Les considérations suivantes s'appliquent aux éléments recouverts :

  • Si un élément vectoriel recouvre un élément dynamique :
    • Les éléments dynamiques ou la partie recouverte ne sont pas affichés
    • Les éléments dynamiques peuvent être actionnés, même s'ils sont entièrement recouverts
    • Si plusieurs éléments dynamiques sont recouverts, seules les parties visibles (c'est-à-dire pouvant être cliquées) peuvent être cliquées.

Tipp Conseil

Elements that remain hidden or out of the visibility range of a screen in Runtime can be actuated in the Editor with the keyboard. Pour plus de détails concernant la configuration, reportez-vous au manuel Runtime, au chapitre Définition de séquences dans les cadres.


Screen elements in the Runtime

Manuel -> Synoptiques -> Éléments de synoptique -> Screen elements in the Runtime

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Dans le Runtime :

  • Comportement dans le Runtime :
    • Transformation
    • Affichage graphique
    • Séquence dans le Runtime
    • Visibilité
      Vous trouverez des informations détaillées à ce sujet au chapitre Développement.
    • Éléments cachés
      Vous trouverez des informations détaillées à ce sujet au chapitre Développement.

info Informations

Les éléments de synoptique liés à une variable, qui ne comportent ni valeur, ni état, deviennent invisibles dans le Runtime.

Transformation

Définit la séquence de transformation des éléments graphiques.

  • Rotation -> Zoom -> Translation
  • Zoom -> Rotation -> Translation

Par défaut : Zoom -> Rotation -> Translation

Vous trouverez des informations détaillées à ce sujet au chapitre séquence de transformation des éléments d'écran.

Affichage graphique

Pour les éléments comportant des éléments graphiques, ces derniers sont uniquement affichés si la valeur associée est présente.

Si la variable n'a pas de valeur ou si la valeur n'a pas encore été demandée, les éléments graphiques contenus dans les éléments (tels que les éléments combinés) ne sont pas affichés dans le Runtime. Ceci s'applique également aux variables issues de sous-projets pour lesquels le serveur de projet est injoignable. Dans ce cas, toutefois, un problème de communication est signalé (carré bleu, si le paramètre correspondant est activé). Si le serveur d'un sous-projet est injoignable après que les valeurs aient été transférées vers la variable, les éléments graphiques sont affichés jusqu'à ce que le synoptique soit réouvert.
You can find further information in the Status processing manual in the Not updated(N_UPDATE) chapter.

If there is no communication with the PLC, the value of the variable concerned is visualized in Runtime with a red square.

You can find out more information in relation to this at the Visualiser l'état de la variable property.

Ordre de tri

In Runtime, the elements are shown in a sequence from top to bottom. Dans ce cas, les dispositions suivantes s'appliquent :

  1. Élément WPF : toujours au premier plan
  2. Élément ActiveX : toujours au premier plan, sauf s'il est recouvert par un élément WPF
  3. Dynamic elements and vector elements
    You can find detailed information on this in the Engineering chapter.

Pour définir l'ordre d'actionnement des éléments d'un synoptique, utilisez les options de configuration du projet dans zenon Editor. Pour plus de détails concernant la configuration, reportez-vous au manuel Runtime, au chapitre Définition de séquences dans les cadres.

Autres sujets abordés dans ce chapitre

Transformation sequence of the screen elements

Character behavior of buttons and vector elements on a Windows basis


Transformation sequence of the screen elements

Manuel -> Synoptiques -> Éléments de synoptique -> Screen elements in the Runtime -> Transformation sequence of the screen elements

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

The transformation sequence of the graphic elements can be selected in the Editor in the Graphical design group under the Transformation sequence project property.

You can select between the following two options:

  1. Rotation -> Zoom -> Translation
  • If you select this transformer sequence, the graphical element under this option will look as follows in the original:

    After a 4x enlargement of the graphical element, it will look like this:

    It will look as follows with a 45° enlargement and rotation:

  1. Zoom -> Rotation -> Translation
  • If you select this transformer sequence, the graphical element under this option will look as follows in the original:

    After a 4x enlargement of the graphical element, it will look like this:

It will look as follows with a 45° enlargement and rotation:

Remarque : The difference between the two transformation sequences is in the use of enlargement and rotation of a graphical element. The Zoom -> Rotation -> Translation option is selected by default.


Character behavior of buttons and vector elements on a Windows basis

Manuel -> Synoptiques -> Éléments de synoptique -> Screen elements in the Runtime -> Character behavior of buttons and vector elements on a Windows basis

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Depending on the setting of the project.ini UseGDILegacyDrawing, the following is applicable for buttons and vector elements:

With the setting active (corresponds to the display in versions < 7.60)

  • Buttons with a color gradient are displayed with roundings of 20%.
  • Right-angled buttons with a color gradient are shown with centered (50%) or full (100%) offset.
  • Round buttons are shown with the Spot setting.
  • Rectangles with color gradients are shown with the Linear color gradient setting.
  • Rectangles with roundings are shown without color gradient.
  • The ellipse/circle element with color gradient are shown with the Selective color gradient setting.

If the setting is inactive (corresponds to the display in versions from 7.60 and the display in the Editor)

  • Buttons with a color gradient are displayed with roundings like on the element.
  • Linear color gradients for buttons can have any value (0-100%).
  • Round buttons can be displayed with all color gradient settings (Linear, Selective, Radiant).
  • Rectangles (also with roundings) can be displayed with the color gradient settings Linear and Radiant.
  • The ellipse/circle elements can be displayed with all color gradient settings (Linear, Selective, Radiant).
  • Vector elements (rectangle, circle/ellipse) with color gradient are displayed with the frame as configured in the settings in the Ligne group.


Contrôle .NET

Manuel -> Synoptiques -> Éléments de synoptique -> Contrôle .NET

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Le contrôle ActiveX CD_DotNetControlContainer.Container permet d'utiliser les contrôles Windows Forms .NET ( .NET Windows Forms Controls) de votre choix en tant qu'éléments dynamiques dans zenon. Dans ce cas, toutes les fonctions déployées dans le contrôle .NET sont prises en charge. Le contrôle peut être utilisé avec toutes les versions de zenon compatibles avec ActiveX, à partir de la version 5.50.

Remarque : .NET Framework 3.5 (ou une version supérieure) doit être disponible.

info Informations

D'autres informations concernant l'utilisation de .NET avec zenon sont disponibles dans le manuel Interfaces de programmation, au chapitre .NET.

Pour utiliser le contrôle ActiveX CD_DotNetControlContainer.Container :

  1. Créez un élément dynamique de type ActiveX.
  2. Sélectionnez CD_DotNetControlContainer.Container dans la liste des contrôles disponibles.

    Remarque : Les contrôles doivent toujours être enregistrés dans le dossier Additional du projet. Ils sont ainsi pris en compte pendant les sauvegardes et les transferts. If the file is saved in the Additional folder, select the Relative option for Path.

  3. Cliquez sur le bouton Propriétés.

    La boîte de dialogue de configuration du contrôle s'affiche à l'écran.

Boîte de dialogue de configuration

Option

Description

SelectUserControl

Sélection des contrôles .NET parmi les contrôles disponibles dans l'ensemble de contrôle .NETsélectionné.

Browse

Ouvre le gestionnaire de fichiers et vous permet de sélectionner .NET Control Assembly.

Remarque : The .NET Control Assembly should be in the project's Additional folder.

Path

Selection of how the path is saved:

  • Absolute: The path is stated as absolute.
    Note: This can lead to problems if, for example, Runtime is running on a different computer than the Editor and the path does not exist on the Runtime computer.
  • Relative: Path relative to save location of the DLL. Select this option if the DLL is in the project's Additional folder.

Par défaut : Relative

The selected path is shown underneath the radio button.

Preview

Shows path to the .NET Control Assembly.

Champ inférieur gauche : aperçu du contrôle.

Champ inférieur droit : Liste de propriétés pour le contrôle .NET sélectionné.

Symbole : Par catégorie

Affiche les propriétés triées par catégorie.

Symbole : alphabétique

Affiche les propriétés par ordre alphabétique.

Symbole : pages de propriétés

Affiche les pages de propriétés.

OK

Confirme la configuration. Celle-ci est ensuite enregistrée dans l'élément ActiveX de zenon, sous forme de flux XML.

Cancel

Abandonne la configuration.


ActiveX

Manuel -> Synoptiques -> Éléments de synoptique -> ActiveX

La connexion des éléments ActiveX de projets s'effectue à l'aide de l'élément dynamique ActiveX .

info Informations

D'autres informations concernant l'utilisation d'ActiveX avec zenon sont disponibles dans le manuel Interfaces de programmation, au chapitre ActiveX.

Pour créer un élément ActiveX sur un synoptique :

  1. Sélectionnez le symbole ActiveX dans la barre d'outils Éléments.
  2. Sélectionnez le point de départ dans la fenêtre principale.
  3. Agrandissez l'élément de contrôle tout en maintenant le bouton gauche la souris enfoncé.
  4. Une boîte de dialogue de configuration s'affiche, vous permettant de sélectionner l'élément et le configurer.
  5. Vous pouvez modifier la forme, la taille et la position de l'élément à tout instant en déplaçant les coins ou l'élément tout entier.
  6. Si vous maintenez la touche Alt enfoncée pendant que vous déplacez les coins extérieurs, la modification est apportée de manière symétrique.

Vous pouvez définir les propriétés individuelles de l'élément dans la fenêtre des propriétés. Pour cela, l'élément doit être actif (clic sur un bouton de la souris) dans la fenêtre principale. Pour sélectionner ou modifier un contrôle ultérieurement, ouvrez la boîte de dialogue de configuration en double-cliquant sur l'élément de menu Propriétés du menu contextuel.

attention Attention

Seuls les éléments ActiveX installés ou enregistrés sur l'ordinateur sont affichés. Assurez-vous que tous les éléments ActiveX sont également installés sur les systèmes Runtime sur lesquels vous utilisez le projet.
Vous pouvez également utiliser le module de transport à distance pour enregistrer les éléments ActiveX sur les systèmes distants. Voir: Reportez-vous à Fichiers définis (copie & enregistrement)

Configuration ActiveX

Éléments ActiveX

Élément | Fonction
Éléments ActiveX | Liste de tous les éléments ActiveX disponibles.
Propriétés | Ouvre une boîte de dialogue de configuration pour l'élément ActiveX affiché en surbrillance, le cas échéant. Vous pouvez obtenir de l'aide et des informations concernant la configuration du contrôle ActiveX concerné auprès du développeur.

Attribution des variables

Élément | Fonction
Attribution des variables | Liste des variables liées à l'élément ActiveX.
Variable | Ouvre la boîte de dialogue de sélection de variables de zenon, s'il est possible de lier des variables.
En bas | Trie les variables triées dans l'ordre décroissant.
Haut | Trie les variables triées dans l'ordre croissant.

Changement de position dans le Runtime

Les contrôles ActiveX en mode fenêtré utilisent des coordonnées de souris non transformées dans le Runtime. Si un élément est pivoté, étiré ou autrement modifié en termes de taille ou de position, le contrôle ne correspond plus et continue à être exécuté à l'emplacement d'origine. L'élément transformé ne peut donc plus être actionné dans sa position transformée à l'aide du contrôle.

Les contrôles ActiveX sans fenêtre utilisent des coordonnées de souris transformées dans le Runtime. Si un élément est pivoté, étiré ou si sa position est autrement modifiée, le contrôle fonctionne si les conditions suivantes ont été satisfaites :

  • Ne fonctionne pas sous Windows CE.
  • Ne contient pas de contrôle ActiveX sans fenêtre
  • Les contrôles ActiveX sans fenêtre offrent une prise en charge correcte des caractères transformés

info Informations

Considérations relatives à la différence entre les éléments ActiveX avec et sans fenêtre.

Les éléments ActiveX avec fenêtre (par exemple, tous les contrôles Microsoft ActiveX) se trouvent toujours au premier plan.

Contrairement à cela, vous pouvez par exemple disposer un élément dynamique par-dessus des éléments ActiveX sans fenêtre.


Graphique à barres

Manuel -> Synoptiques -> Éléments de synoptique -> Graphique à barres

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

La taille numérique d'un signal est définie à l'aide de l'élément dynamique Graphique à barres. La longueur de la barre varie en fonction de la taille du signal dans le Runtime.

Pour créer un graphique à barres sur un synoptique :

  1. Sélectionnez le symbole Graphique à barres dans la barre d'outils Éléments ou dans la liste déroulante Éléments.
  2. Sélectionnez le point de départ dans la fenêtre principale.
  3. Agrandissez l'élément tout en maintenant le bouton gauche la souris enfoncé.
  4. La boîte de dialogue d'attribution de variable s'affiche à l'écran.
  5. Vous pouvez modifier la forme, la taille et la position de l'élément à tout instant en déplaçant les coins ou l'élément tout entier.
  6. Si vous maintenez la touche Alt enfoncée pendant que vous déplacez les coins extérieurs, la modification est apportée de manière symétrique.

Vous pouvez définir les propriétés individuelles de l'élément dans la fenêtre Propriétés. Pour cela, l'élément doit être actif (clic sur un bouton de la souris) dans la Fenêtre principale.

Pour modifier la variable liée :

  1. Ouvrez la variables dans la vue de détail du gestionnaire de projet,
  2. Faites glisser la variable de votre choix sur l'élément tout en maintenant le bouton gauche de la souris enfoncé.
  3. La nouvelle variable se substitue à la variable précédente.

Affichage avec code de couleurs du dépassement de limite

En cas de dépassement d'une limite, la couleur de la variable peut colorer la zone entière ou uniquement la zone commençant après le dépassement de limite. Cette fonctionnalité est contrôlée par le biais de la propriété Explicite, dans le groupe Affichage.

Cette propriété affecte uniquement l’affichage de valeurs comportant des valeurs limites définies issues des variables.
Les valeurs limites des matrices de réaction ne sont pas prises en compte.

  • Active : Si une valeur limite de la variable liée est dépassée, seule la partie de l’affichage correspondant au dépassement de valeur limite est affichée dans la couleur de la valeur limite correspondante.
    Si la variable comporte plusieurs valeurs limites définies, les zones correspondantes de l’affichage sont individuellement affichées dans la couleur de la valeur limite correspondante.
  • Inactive : Si une valeur limite de la variable liée est dépassée, l’affichage entier reprend les couleurs de la valeur limite dépassée.

Par défaut : Inactive


Elément de gestion de commande

Manuel -> Synoptiques -> Éléments de synoptique -> Elément de gestion de commande

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Permet de transmettre des commandes pour le module de Gestion des commandes. Nécessite une licence pour SICAM 230.

Vous trouverez des instructions concernant l'utilisation des éléments dans l'aide de SICAM 230.


Bouton écran d'alarmes

Manuel -> Synoptiques -> Éléments de synoptique -> Bouton écran d'alarmes

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Attention : Le bouton Alarme de synoptique nécessite une licence pour SICAM 230. Vous trouverez d'autres instructions concernant l'utilisation des éléments dans l'aide de SICAM 230.


Bouton

Manuel -> Synoptiques -> Éléments de synoptique -> Bouton

L'élément dynamique Bouton permet de créer un bouton que vous pouvez configurer librement et utiliser de manière interactive sur le synoptique, pour exécuter une fonction ou activer ou désactiver une variable binaire.

Le bouton peut :

  • Afficher un fichier graphique
  • Animer un fichier graphique
  • Être affiché de manière invisible

info Informations

Jusqu'à la version 6.22 (incluse), les boutons sont répartis dans les catégories Bouton texte, Bouton Bitmap et Bouton invisible. À partir de la version 6.50, toutes les propriétés pouvant être configurées avec des boutons sont regroupées dans l'élément bouton.

Pour créer un élément dynamique Bouton sur un synoptique :

  1. Sélectionnez le symbole Bouton dans la barre d'outils Éléments.
  2. Sélectionnez le point de départ dans la fenêtre principale.
  3. Agrandissez l'élément tout en maintenant le bouton gauche la souris enfoncé.
  4. La boîte de dialogue de sélection de fonctions s'affiche.
  5. Sélectionnez la fonction de votre choix.
  6. Définissez les propriétés de votre choix dans la fenêtre des propriétés.

    Conseil : Vous pouvez arrondir les coins si vous le souhaitez.

  7. Vous pouvez ajouter des variables par glisser-déplacer.

Intitulé

Pour attribuer un intitulé au bouton :

  • Cliquez sur l'élément.
  • Saisissez le texte.
  • Définissez les propriétés du texte dans le nœud Texte.

Souligné

Pour souligner du texte, insérez un caractère & avant le texte à souligner.

&"Texte" devient :

Si vous souhaitez utiliser le caractère "&" dans du texte, saisissez-le deux fois :
"1 && 2" devient "1 & 2".

Saut de ligne

Pour définir un saut de ligne, utilisez la chaîne \n.

Exemple :

Ligne 1 \n

Ligne 2

Bouton comme commutateur

Pour utiliser le bouton comme commutateur :

  1. Activez la propriété Commutateur dans le nœud Écrire valeur prescrite
  2. La propriété Mode temporaire permet d'activer les paramètres permettant d'utiliser le bouton en tant que commutateur temporaire.
  3. Liez le bouton à une variable binaire (nœud Variable/fonction, propriété Variable)

Bouton d'exécution de fonction

Pour lier un bouton à une fonction :

  1. Désactivez la propriété Commutateur dans le nœud Écrire valeur prescrite
  2. Liez le bouton à une variable binaire (nœud Variable/fonction, propriété Fonction)

Bouton avec élément graphique

Pour placer un élément graphique sur le bouton :

  1. Cliquez sur l'élément.
  2. Définissez les éléments graphiques correspondant aux différents états du commutateur dans le nœud Remplissage par le biais des propriétés Fichier graphique et de l'option Fichier graphique bouton enfoncé.
    Vous pouvez utiliser les fichiers graphiques suivants :
    Éléments graphiques pixellisés : *.bmp, *.jpg, *.gif, *.png or *.tif
    éléments vectoriels : *.wmf.

Un bouton comportant un élément graphique comporte par défaut un cadre 3D fin, d'une épaisseur d'un pixel, sur chaque côté de l'élément graphique. Si les éléments graphiques doivent être visibles :

  • Dans les propriétés, sélectionnez la propriété Transparence du cadre [%] du groupe Remplissage.
    • Avec la valeur 100.

    ou

  • Activez la propriété Transparence pour désactiver la couleur d'arrière-plan et la couleur du cadre.

Dans ce cas, le trait du cadre 3D n'est pas affiché, et l'élément graphique est visible dans son intégralité.

Bouton invisible

Pour définir une interface utilisateur interactive transparente :

  1. Cliquez sur l'élément.
  2. Définissez la propriété Transparence dans le nœud Remplissage.
  3. Supprimez tout intitulé du bouton.

Accès au Runtime :

  • Le pointeur de souris change lorsque vous déplacez la souris sur l'élément.
  • Par une combinaison de touches définie (nœud Runtime, propriété Raccourci-clavier)

Informations concernant info

Pour les boutons invisibles, l'état de la variable ne peut pas être affiché.

Autres sujets abordés dans ce chapitre

Fill pattern and color gradient

Graphiques animés


Fill pattern and color gradient

Manuel -> Synoptiques -> Éléments de synoptique -> Bouton -> Fill pattern and color gradient

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

The Element button supports different Remplissage (type).

Pour définir un dégradé de couleur, sélectionnez Color Gradient (Dégradé de couleur) comme Remplissage (type).

The following color gradients and the Spot setting are supported, depending on Forme du bouton and Qualité graphique:

 | DirectX |  | Base Windows
Forme du bouton | Anguleux | Rond | Anguleux | Rond
Linéaire | X | X | X (horizontal uniquement) | X
Sélectif | X | X | -- | X
Sélectif avec bordures | X | -- | -- | --
Lumineux | X | -- | X | --
Spot | -- | X | -- | X

Légende :

  • X : disponible
  • -- : indisponible


Graphiques animés

Manuel -> Synoptiques -> Éléments de synoptique -> Bouton -> Graphiques animés

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Les fichiers graphiques au format GIF peuvent être animés dans le bouton (Button) d'élément dynamique :

  1. Attribuez un fichier GIF à un bouton dans le nœud Remplissage via la propriété Fichier graphique
  2. In the same node, activate an activation possibility for Animation GIF.

    You can execute the animation continuously or as dependent on a Bool variable:

    1. To execute the animation continuously: Activez la propriété Toujours animation GIF.
    2. To execute the animation as dependent on a variable: Si nécessaire, liez la propriété Variable à une variable (Bool). The animation is executed as soon as this variable gets the value 1.


Élément combiné

Manuel -> Synoptiques -> Éléments de synoptique -> Élément combiné

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

L'élément combiné est un élément dynamique qui peut être utilisé de manière universelle, et peut adopter des caractéristiques graphiques extrêmement diverses :

  • Éléments graphiques
  • Symbole de synoptique
  • Texte

Le format de l'affichage est défini par l'intermédiaire d'états. Les valeurs de variable de la valeur principale, les valeurs des autres valeurs et les informations d'état provenant de toutes les variables liées peuvent toutes servir d'états. Les liens peuvent être créés à l'aide de formules.
Les états des variables principales (attributs de limites) peuvent être transférés directement vers l'élément combiné. L'élément combiné offre également la prise en charge de la définition de valeurs sous forme de commutateurs/commutateurs temporaires, ainsi que l'envoi de fonctions ; il est utilisé pour le déploiement d'éléments spécifiques aux processus techniques avec la coloration automatique des lignes.

Si les valeurs prescrites sont définies par le biais du traitement de commandes et une variable de réponse est définie dans l'élément combiné ou l'élément dynamique, celle-ci peut être définie indépendamment de la configuration de la propriété Ecrire valeur prescrite. Tous les boutons d'action du synoptique de Gestion des commandes qui déclenchent une modification directe de la variable de réponse sont alors définis comme invisibles.

Créer un élément combiné

Pour créer un élément combiné sur un synoptique :

  1. Cliquez sur le symbole Élément combiné dans la barre d'outils Éléments et faites glisser l'élément vers la fenêtre principale à l'aide de la souris.

    La boîte de dialogue de sélection de variables s'ouvre ; seules les variables numériques sont affichées.

  2. Sélectionnez la variable de votre choix.
  3. L'assistant de configuration des paramètres de l'élément combiné s'ouvre pour vous guider tout au long des réglages de base. Si vous préférez définir tous les paramètres manuellement, cliquez sur Annuler maintenant. Vous trouvez plus de détails au chapitre Assistant.

Si vous souhaitez configurer les paramètres manuellement, définissez la propriété Type d'affichage du nœud Affichage. Le symbole provenant de la bibliothèque est fourni par défaut. Vous pouvez définir les données et le texte du synoptique en fonction des paramètres spécifiés.

Vous pouvez définir d'autres états dans l'assistant, via la fonction Nouvel état, ou dans les propriétés de l'élément combiné, dans l'affichage du nœud de propriétés Configuration et test.

Vous pouvez attribuer les fonctions et les variables à l'élément combiné par glisser-déplacer. Dans ce cas, les variables et fonctions concernées sont remplacées par les nouvelles variables et fonctions.

Les éléments combinés peuvent accepter les actions définies pour les boutons configurés dans le projet. Pour cela, activez la propriété Appliquer les propriétés projet pour "verrouillé". Les paramètres des propriétés Boutons protégés et Boutons verrouillés sont alors appliqués. La sélection grisée a uniquement un effet sur les composants textuels non symboliques.

attention Attention !

Note the following limitations:

  • On ne peut pas agir en Runtime sur les symboles dans un élément combiné.
    Exception : Les symboles de la bibliothèque peuvent être créés sous forme de boutons à cliquer.
  • If the combined element is configured with shading, it cannot be rotated within a symbol.

Règles concernant les liens

Si vous avez sélectionné le type d'affichage Symbole de la bibliothèque, vous pouvez définir des règles concernant les liens. Ouvrez la boîte de dialogue de saisie de l'élément via la propriété Configuration et test. Après avoir sélectionné le symbole via le bouton Sélection de symbole, vous pouvez créer et modifier les règles relatives aux liens. Ces règles sont enregistrées pour chaque état.

Example Exemple

Variables/fonctions référencées dans le symbole :
Var_SWITCH_0010
Var_TEMPERATURE_0010
Fct_ShowTrend_0010
Fct_Help_0000

Les variables et fonctions du symbole sont maintenant remplacées selon la règle suivante :
Source: *_0010
remplacée par : _0020

Résultat de la règle relative aux liens :
Var_SWITCH_0020
Var_TEMPERATURE_0020
Fct_ShowTrend_0020
Fct_Help_0000

La règle relative aux liens permet d'échanger toutes les variables et fonctions. Si une variable ou une fonction ne 'colle' pas pour le remplacement, ce lien n'est pas remplacé.

Lorsque les fichiers Runtime sont générés, les liens correspondants sont définis pour chaque état selon les règles définies.

Example Exemple

Vous souhaitez afficher graphiquement l'état de fonctionnement d'un moteur, ainsi que son sens de rotation.

Les informations concernant le sens de fonctionnement et l'état de marche/arrêt du moteur proviennent de variables côté procédé. Le texte d'état indique si le moteur fonctionne, et son sens de rotation.

  • Sélectionnez Propriétés -> Type d'affichage -> Texte d'état.
  • Ouvrez la boîte de dialogue de saisie de l'élément en cliquant sur Configuration et test.
  • Saisissez le texte d'état que vous souhaitez associer à valeur correspondante.

Il sera ensuite affiché dans le moteur dans le Runtime ; par exemple : "à gauche", "à droite" ou pas de texte si le moteur ne tourne pas.

Vous trouverez plus d'informations sur l'évaluation des bits d'état au chapitre États.

Autres sujets abordés dans ce chapitre

Assistant

Boutons à cliquer de la forme de votre choix

États

Mode Test

Éditeur de formules

Affichage des informations d'une variable


Assistant

Manuel -> Synoptiques -> Éléments de synoptique -> Élément combiné -> Assistant

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Un assistant est disponible pour vous aider à configurer les principaux aspects de l'élément combiné. Celui-ci s'affiche dès que vous sélectionnez une variable pour l'élément combiné.

Lors de la première étape, vous sélectionnez le type d'affichage. Les types d'affichage suivants sont disponibles :

  • Symbole de la bibliothèque
  • Textes d'état et symboles de synoptique
  • Fichier graphique et symbole de synoptique
  • Seulement symbole de synoptique

info Informations

Vous pouvez définir des états supplémentaires dans toutes les fenêtres de sélection d'états. Le bouton Nouvel état est disponible à cette fin.

Par défaut : Symbole de la bibliothèque.
Ce paramètre est également proposé en tant que paramètre par défaut dans les propriétés, si vous créez l'élément combiné sans recourir à l'assistant.

Vous pouvez définir des états dès que vous avez sélectionné un type d'affichage. Le premier état est toujours l'état par défaut.
Astuce : Une valeur ne peut pas être saisie pour l'état par défaut ; une valeur doit être saisie pour tous les autres états. Vous ne pouvez modifier qu'un état à la fois.

Symbole de la bibliothèque

Cliquez dans la fenêtre vide affichée en bas à gauche pour sélectionner un symbole dans la bibliothèque de symboles globale ou la bibliothèque du projet. Vous pouvez à nouveau supprimer le symbole sélectionné en cliquant sur le X adjacent à la fenêtre.

Paramètre | Description
Valeur | Valeur numérique qui active l'état. Par défaut : pas de valeur À partir de 2 État : saisie requise.
Nouvel état | Crée un nouvel état pour l'élément combiné.

info Informations

Pour le paramètre Symbole de la bibliothèque, des boutons pouvant être cliqués peuvent être créés sous toutes les formes.

Textes d'état et symboles de synoptique

Chaque état peut être identifié à l'aide d'un texte et de couleurs d'avant-plan et d'arrière-plan.

Paramètre | Description
Valeur | Valeur numérique qui active l'état. Par défaut : pas de valeur À partir de 2 État : saisie requise.
Texte d'état | Texte tel qu'il est affiché dans le Runtime.
Couleur | Couleur de la police de caractères du texte d'état.
Couleur de remplissage | Couleur d'arrière-plan du texte d'état.
Nouvel état | Crée un nouvel état pour l'élément combiné.

Fichier graphique et symbole de synoptique

Cliquez sur le bouton <Aucun graphique sélectionné> dans la partie inférieure gauche pour sélectionner un fichier de synoptique (*.bmp, *.gif, *.jpg, *.png etc.). Vous disposez de deux options pour sélectionner un synoptique :

  1. Synoptiques du projet :

    Il s'agit de synoptiques que vous avez déjà enregistrés dans le répertoire d'éléments graphiques d'un projet (reportez-vous au chapitre Éditeur -> Gestionnaire de projet -> Fichiers) ; ils vous sont automatiquement proposés par l'assistant.

  2. Absolute path to other directories (Chemin absolu des autres répertoires) :
    • Pour cette option, activez la sélection directe de fichiers.
    • La fenêtre bascule en mode de sélection directe.
    • Cliquez sur le bouton ....
    • Sélectionnez le fichier de votre choix dans l'explorateur.
Paramètre | Description
Valeur | Valeur numérique qui active l'état. Par défaut : pas de valeur À partir de 2 État : saisie requise.
Nouvel état | Crée un nouvel état pour l'élément combiné.

Seulement symbole de synoptique

Vous pouvez spécifier un symbole commun pour tous les états d'éléments combinés.
Ce symbole :

  • doit déjà être présent sur le synoptique.
  • s'applique à tous les états.
  • peut être défini pour chaque état avec une couleur de remplissage spécifique.
Paramètre | Description
Valeur | Valeur numérique qui active l'état. Par défaut : pas de valeur À partir de 2 État : saisie requise.
Symbole de synoptique | Liste déroulante permettant de sélectionner un symbole. Si aucun symbole n'est affiché, aucun symbole n'est présent sur le synoptique actuel.
Couleur de remplissage | Définit le nom de l'état attribué.
Nouvel état | Crée un nouvel état pour l'élément combiné.


Boutons à cliquer de la forme de votre choix

Manuel -> Synoptiques -> Éléments de synoptique -> Élément combiné -> Boutons à cliquer de la forme de votre choix

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Dans l'élément combiné, des boutons à cliquer peuvent être créés avec la forme de votre choix.

info Informations

Cette option est disponible à compter de la version 6.51. Pour les projets destinés aux précédentes versions du logiciel, la propriété est considérée comme inactive.

Pour créer des boutons à cliquer de la forme de votre choix :

  1. Créez un élément combiné dans les attributs Symbole de la bibliothèque.
  2. Dans les propriétés de l'élément combiné, activez la propriété La forme du symbole définie la zone de clic dans le nœud Affichage.

info Informations

Cette propriété ne fonctionne pas sous Windows CE, car la fonctionnalité requise n'est pas disponible sous Windows CE.

Éléments

D'autres symboles ou éléments combinés peuvent être intégrés au symbole. Ces derniers sont déclenchés en fonction de la zone du clic. Pour les symboles, les limites de l'élément sont utilisées normalement ; avec un élément combiné, cela dépend de la propriété La forme du symbole définie la zone de clic – soit des zones de clic individuelles des éléments, soit du rectangle d'environnement de l'élément combiné.

Les éléments suivants disposent d'une zone de clic spécifique :

  • Rectangle arrondi (présent sous la forme d'élément vectoriel dédié jusqu'à la version 6.50)
  • Bouton
  • Élément combiné comportant la propriété "Symbol form defines the click area" (La forme du symbole détermine la zone du clic)
  • Cercle
  • Quartier de cercle
  • Arc de cercle
  • Ligne
  • Tube
  • Polygone
  • Polyligne
  • Rectangle
  • Texte statique
  • Symbole (les zones de clic correctes des éléments du symbole sont utilisées)

Pour tous les autres éléments, la zone de clic est définie par le contour.

Attributs spéciaux

Attribut spécial

Effets

Ne font jamais l'objet d'un traitement particulier :

  • Type de ligne
  • Motif de remplissage
  • Transparences de tout type
    (saut éléments texte)

Les zones peuvent toujours être cliquées.

Transparence pour le texte statique :

Les éléments se comportent comme si l'élément n'existait pas. Par conséquent, il est possible de nommer des éléments sans agrandir la zone de clic par erreur.

Cela n'a aucune incidence sur la zone de clic.

Conseil : si vous souhaitez qu'un élément de texte transparent influence la zone de clic :

  • Désactivez la propriété Transparence.
  • Placez manuellement un élément transparent sur ou sous l'élément de texte.

Bouton

Utilisés pour la zone de clic ; la propriété Animation GIF correspondant à l'état "appuyé" n'est pas disponible ici. Ceci correspond au comportement obtenu lorsque la propriété La forme du symbole définie la zone de clic est inactive.

Le symbole dépasse de l'élément combiné.

Le symbole est affiché, mais les clics sont uniquement interprétés dans l'élément combinés.

Commentaire : si des éléments dépassent les limites de symboles ou des symboles dépassent les limites d'un élément combiné, cela peut provoquer des problèmes d'affichage et des effets de flou.

Zones de clic

Dans l'éditeur, des zones plus grandes que la zone de clic sont parfois définies pour faciliter les clics sur la zone concernée. Par exemple, une ligne d'une épaisseur de 1 pixel dans l'éditeur peut être sélectionnée avec une largeur de 8 pixels.

La largeur de la zone de clic est définie de manière exacte dans le Runtime. Par exemple, une ligne de 1 pixel d'épaisseur peut également uniquement être sélectionnée avec une largeur de 1 pixel.

Le calcul de la zone de clic de l'élément combiné est exécuté indépendamment de la configuration de la propriété Qualité graphique. Toutefois, une zone de clic différente est calculée pour les éléments concernés, indépendamment de ce paramètre.

info Informations

Si le pointeur de la souris se trouve au-dessus de l'élément combiné, il est analysé, que le curseur se trouve ou non dans la zone de clic de l'élément. La charge exercée sur le processeur peut ensuite être élevée si un grand nombre d'éléments se trouvent dans le symbole de l'élément combiné.

Autres sujets abordés dans ce chapitre

Exemples de boutons à cliquer


Exemples de boutons à cliquer

Manuel -> Synoptiques -> Éléments de synoptique -> Élément combiné -> Boutons à cliquer de la forme de votre choix -> Exemples de boutons à cliquer

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Exemple 1

État La forme du symbole définie la zone de clic | Action
active | Pas de clic
Inactive | Clic

Exemple 2

État La forme du symbole définie la zone de clic | Action
active | Clic
Inactive | Clic

Exemple 3

État La forme du symbole définie la zone de clic | Action
active | Pas de clic
Inactive | Clic


États

Manuel -> Synoptiques -> Éléments de synoptique -> Élément combiné -> États

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Pour accéder à la fenêtre des états, sélectionnez la propriété Configuration et test dans le nœud Affichage.

Cliquez sur le bouton ... ou sur le texte Cliquez ici pour ouvrir la fenêtre :

Ici

  • Vous pouvez modifier les états existants.
  • Ajouter de nouveaux états.
  • Spécifier dans quel sens les états doivent être traités.

Les paramètres affichés dans la partie supérieure de la fenêtre sont identiques pour tous les types d'affichage. Dans le tiers inférieur, les paramètres individuels correspondant aux quatre types d'affichage différents sont définis.

Common Settings

Définition des états

Affiche la liste de tous les états définis. Un état peut être constitué de valeurs et d'un état. L'élément est traité depuis le premier état jusqu'à la dernière entrée. La première correspondance totale est affichée. Exception : La propriété Chevauchement (pour les symboles de la bibliothèque) ou Chaîné (pour les textes) est active.

Paramètres | Description
Valeur par défaut | L'état défini lors de la création de l'élément. Il se trouve toujours en première position, et ne peut plus être modifié ou supprimé.
Valeur | Affiche la valeur définie (32 bits).
États | Affiche l'état défini. Un "F" suivant l'état indique une formule.
Nouveau | Définit de nouveaux états. Dans ce cas, les valeurs, l'état et les formules de l'état actuellement sélectionné sont repris en tant que valeurs initiales.
Supprimer | Supprime l'état sélectionné. L'état par défaut ne peut pas être supprimé.
Haut/bas | Modifie l'ordre de traitement des états. Le premier état est toujours l'état par défaut.

Variables de formule

Affiche toutes les variables définies aux fins d'une saisie dans des formules. Les variables existantes sont identifiées par une coche verte ; les variables inexistantes sont identifiées par une croix rouge. Les variables inexistantes peuvent être remplacées par les variables existantes via la fonction Modifier. Les boutons Ajouter et Modifier ouvrent la boîte de dialogue de sélection de variables.

Valeur

Autorise

  • La saisie d'une valeur correspondant à un état via une matrice ou par voie numérique
  • La définition d'une formule
Paramètres | Description
Valeur | Définition d'une valeur via une structure de bit prédéfinie
Valeur | Saisissez la valeur numérique.
Formule | Ouvre la fenêtre de saisie de formules. Dans la zone de variables de la formule, les variables définies sont disponibles. La liaison s'effectue au moyen d'opérateurs logiques, par bit et par comparaison.

attention Attention

Pour les variables non-binaires, la valeur doit être spécifiée dans la résolution du signal. Les configurations des plages de valeurs de mesures (ajustement linéaire) ou de l'ajustement non-linéaire ne sont pas prises en compte dans cet élément.

États

Autorise les requêtes d'informations d'état.

Attention : La plupart des états peuvent uniquement être demandés si le pilote est compatible avec le traitement d'états.

No. | Désignation abrégée | Nom long | Commentaire
0 | M1 | État utilisateur 1 |
1 | M2 | État utilisateur 2 |
2 | M3 | État utilisateur 3 |
3 | M4 | État utilisateur 4 |
4 | M5 | État utilisateur 5 |
5 | M6 | État utilisateur 6 |
6 | M7 | État utilisateur 7 |
7 | M8 | État utilisateur 8 |
8 | NET_SEL | Sélectionné dans le réseau |
9 | REVISION | Révision |
10 | PROGRESS | En cours d'utilisation |
11 | TIMEOUT | Dépassement du délai d'attente |
12 | MAN_VAL | Valeur manuelle | Disponible uniquement pour les formules
13 | M14 | État utilisateur 14 | Disponible uniquement pour les formules
14 | M15 | État utilisateur 15 | Disponible uniquement pour les formules
15 | M16 | État utilisateur 16 | Disponible uniquement pour les formules
16 | GI | Requête générale |
17 | SPONT | Spontané |
18 | INVALID | Invalide |
19 | T_CHG_A | Annonce de changement d'heure |
20 | OFF | Désactivé |
21 | T_EXTERN | Temps réel externe | Disponible uniquement pour les formules
22 | T_INTERN | Horodatage temps réel interne | Disponible uniquement pour les formules
23 | N_SORTAB | Non triable | Disponible uniquement pour les formules
24 | FM_TR | MD_TR;Message de défaut du transfo |
25 | RM_TR | Message de marche du transformateur |
26 | INFO | Informations de la variable |
27 | ALT_VAL | Valeur de substitution |
28 | RES28 | Réservé |
29 | N_UPDATE | Non mis à jour |
30 | T_STD | Heure standard | Disponible uniquement pour les formules
31 | RES31 | Réservé |
32 | COT0 | Cause de transmission bit 1 | Disponible uniquement pour les formules
33 | COT1 | Cause de transmission bit 2 | Disponible uniquement pour les formules
34 | COT2 | Cause de transmission bit 3 | Disponible uniquement pour les formules
35 | COT3 | Cause de transmission bit 4 | Disponible uniquement pour les formules
36 | COT4 | Cause de transmission bit 5 | Disponible uniquement pour les formules
37 | COT5 | Cause de transmission bit 6 | Disponible uniquement pour les formules
38 | N_CONF | Acceptation négative de la sélection par le périphérique (IEC60870 [P/N]) | Disponible uniquement pour les formules
39 | TEST | Bit de test (IEC 60870 [T]) |
40 | WR_ACK | Écriture reconnue | Disponible uniquement pour les formules
41 | WR_SUC | Écriture réussie | Disponible uniquement pour les formules
42 | NORM | NORM;État Normal | Disponible uniquement pour les formules
43 | N_NORM | Ecart par rapport à l'état normal | Disponible uniquement pour les formules
44 | BL_870 | État IEC 60870 : bloqué |
45 | SB_870 | État IEC 60870 : substitué |
46 | NT_870 | État IEC 60870 : non topique |
47 | OV_870 | État IEC 60870 : dépassement |
48 | SE_870 | État IEC 60870 : sélectionné |
49 | T_INVAL | Temps invalide | Disponible uniquement pour les formules
50 | RES50 | réservé |
51 | RES51 | réservé |
52 | RES52 | réservé |
53 | RES53 | réservé |
54 | RES54 | réservé |
55 | RES55 | réservé |
56 | RES56 | réservé |
57 | RES57 | réservé |
58 | RES58 | réservé |
59 | RES59 | réservé |
60 | RES60 | réservé |
61 | RES61 | réservé |
62 | RES62 | réservé |
63 | RES63 | réservé |

info Informations

Les désignations abrégées des bits d'état ont été unifiées pour toutes les langues depuis la version 6.50. Vous trouverez plus de détails et des informations concernant l'utilisation des anciennes désignations au chapitre Bits d'état - nouvelles désignations abrégées.

Non acquitté : si l'option "Clignotement" est active pour une limite d'une variable, le bit "Non acquittée" est défini sur 1. Avec l'option L'acquittement du clignotement acquitte aussi l'alarme dans la gestion des alarmes, l'alarme est acquittée et le bit Non acquittée est défini sur 0.

Paramètres individuels

Les paramètres individuels correspondant aux quatre types d'affichage d'états sont présentés dans les sous-chapitres suivants :

  • Symbole de la bibliothèque
  • Textes d'état et symboles de synoptique
  • Fichier graphique et symbole de synoptique
  • Seulement symbole de synoptique

Configuration de l'état pour les variables non encore liées

Parfois, vous devez définir un élément combiné mais ne disposez pas encore d'une variable réelle existante. Par exemple, si l'élément combiné est utilisé dans un symbole de la bibliothèque, la variable ne sera réellement liée à l'élément que lors de l'insertion du symbole dans un synoptique. Dans ce cas, vous travaillez d'abord avec une "variable factice", que vous remplacez ensuite par une variable existante. Vous pouvez ensuite définir tous les états dans l'élément combiné si les variables existantes n'ont pas encore été liées. Vous n'avez pas accès aux variables factices en mode test.

Voici comment créer une variable "fantôme" :

  • Saisissez un nom symbolique dans les propriétés de l'élément combiné, dans le champ de saisie Variable.
  • Cliquez sur la zone Affichage du champ Configuration et test : les états des pages de la saisie de l'élément sont ouverts.
  • Dans la liste des variables de formule, les variables existantes sont identifiées par une coche verte. Les variables qui n'existent pas sont montrées avec une croix rouge. Vous pouvez ajouter d'autres variables :
  • Utilisez le bouton Ajouter pour les variables existantes.
    Avec le bouton Modifier, vous pouvez remplacer les variables existantes ou non-existantes par d'autres variables.
  • Pour ajouter une variable non-existante, cliquez sur Ajouter et ensuite sur Annuler sélection. Vous obtenez une variable de formule nommée comme suit : X00 : <vide>. (00 représente un nombre à 2 chiffres).
    Sélectionnez la variable et cliquez dans la zone <vide> ; définissez un intitulé.
    Si vous saisissez le nom d'une variable existante, le lien est établi et l'icône passe d'une croix rouge à une coche verte.

Formules

Pour plus d'informations concernant la création d'une formule, reportez-vous au chapitre relatif à l'éditeur de formules.

Autres sujets abordés dans ce chapitre

Symbole de la bibliothèque

Textes d'état et symboles de synoptique

Fichier graphique et symbole de synoptique

Seulement symbole de synoptique


Symbole de la bibliothèque

Manuel -> Synoptiques -> Éléments de synoptique -> Élément combiné -> États -> Symbole de la bibliothèque

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Les paramètres généraux de tous les types d'affichage sont décrits au chapitre relatif aux états.

Option

Description

Éléments de l'affichage

Symbole de la bibliothèque

Cliquer sur le symbole pour ouvrir la boîte de dialogue et sélectionner un symbole.

Cliquez sur le symbole X adjacent au symbole pour supprimer le symbole sélectionné.

Modifier la règle de liens

Les variables et les fonctions contenues dans le symbole peuvent être échangés grâce aux règles de liens.

Attention : Si une variable ou une fonction ne 'colle' pas pour le remplacement, ce lien n'est pas remplacé.

Couleurs

Actif uniquement si la propriété Couleurs de symboles originales des Paramètres spécifiques est désactivée.

Couleur

Choix de la couleur.

Couleur de remplissage

Choix de la couleur de remplissage.

A partir de CAL

La couleur de la source liée est utilisée.

Paramètres spécifiques

Couleur d'origine du symbole
  • Active : Transfère la couleur originale depuis le symbole. Désactive la propriété Prendre la couleur de la variable principale.

Clignotement
  • Active : le symbole clignote dans le Runtime si l'état a été atteint.


Textes d'état et symboles de synoptique

Manuel -> Synoptiques -> Éléments de synoptique -> Élément combiné -> États -> Textes d'état et symboles de synoptique

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Les paramètres généraux de tous les types d'affichage sont décrits au chapitre relatif aux états.

Paramètres | Description
Éléments de l'affichage |
Texte d'état | Texte correspondant à l'état.
Texte affiché lors de l'appui sur le symbole. | Texte affiché lorsque le symbole est enfoncé.
Couleurs |
Couleur | Choix de la couleur.
Couleur de remplissage | Choix de la couleur de remplissage.
A partir de CAL | La couleur de la source liée est utilisée.
Paramètres spécifiques |
Clignotement | Active : le symbole clignote dans le Runtime si l'état a été atteint.
Transparent | Active : La couleur de remplissage est définie sur transparent.


Fichier graphique et symbole de synoptique

Manuel -> Synoptiques -> Éléments de synoptique -> Élément combiné -> États -> Fichier graphique et symbole de synoptique

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Les paramètres généraux de tous les types d'affichage sont décrits au chapitre relatif aux états.

Paramètres | Description
Éléments de l'affichage |
Éléments graphiques | Cliquez sur Graphiques pour ouvrir la boîte de dialogue de sélection d'éléments graphiques. Supprimer : supprime le nom de la ligne de texte.
Paramètres spécifiques |
Clignotement | Active : le symbole clignote dans le Runtime si l'état a été atteint.


Seulement symbole de synoptique

Manuel -> Synoptiques -> Éléments de synoptique -> Élément combiné -> États -> Seulement symbole de synoptique

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Les paramètres généraux de tous les types d'affichage sont décrits au chapitre relatif aux états.

Paramètres | Description
Couleurs |
Couleur | Choix de la couleur.
A partir de CAL | La couleur de la source liée est utilisée.
Paramètres spécifiques |
Couleur d'origine du symbole | Active : Transfère la couleur originale depuis le symbole.
Symbole transparent | Active : la couleur du symbole est définie sur transparent.
Clignotement | Active : le symbole clignote dans le Runtime si l'état a été atteint.


Mode Test

Manuel -> Synoptiques -> Éléments de synoptique -> Élément combiné -> Mode Test

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Le mode test simule le fonctionnement en Runtime : vous pouvez tester le changement d'une valeur et voir comment votre élément combiné se comporte en Runtime. Vous pouvez activer cet onglet uniquement si tous les liens se réfèrent à des variables existantes.

Remarque : en mode test, le symbole est affiché à une résolution inférieure à celle du synoptique dans le Runtime.


Éditeur de formules

Manuel -> Synoptiques -> Éléments de synoptique -> Élément combiné -> Éditeur de formules

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

L'éditeur de formules fournit une assistance lors de la création de formules comportant des opérateurs logiques ou de comparaison avec un élément combiné, pour les verrouillages et les Gestion de commande. Si vous avez besoin de variables supplémentaires pour la formule, vous devez les créer dans la section Variables de formule de la fenêtre d'état en cliquant sur le bouton Ajouter. Les formules existantes sont affichées dans la liste d'état avec la lettre F.

Remarque concernant la saisie de points décimaux :

  • Séparateur décimal : La virgule (,) est automatiquement converti en point (.) :
  • les zéros situés après le point décimal sont automatiquement supprimés ; 23,000 devient automatiquement 23.

Créer une formule

Cliquez sur le bouton Formule dans la fenêtre d'état. L'éditeur de formule s'ouvre.

Sélectionnez les bits de votre formule dans la section gauche.

A droite, vous trouverez les opérateurs d'opérations logiques et de comparaison.

La formule créée est affichée dans la section Formule.

info Informations

Jusqu'à 99 variables peuvent être liées dans une formule. X01 à X99. La longueur de la formule ne doit pas dépasser 4096 caractères.

Signification des bits :

Paramètre

Description

Valeur en bits

32 bits de valeurs (de 0 à 31) sont disponibles. Ils décrivent la variable, bit par bit. Pour les variables BINAIRE compte le bit 0 ; pour SINT et USINT, seuls comptent les bits compris entre 0 et 7, etc.

Remarque : la valeur fait référence à la valeur brute (plage de signal) des variables, et non à la plage de mesures convertie.

Bits d'état

Ici vous trouvez les bits d'états les plus couramment utilisés. Vous trouverez des informations concernant la définition et l'utilisation des bits d'état dans la Liste des bits d'état.

Non acquittée

Non acquitté est traité comme un bit d'état habituel. Mais il est montré séparément ici, car il n'appartient pas aux états classiques des variables.

Valeur et État

Dans les formules, toutes les valeurs (valeur des bits et bits d'état) sont traitées comme des valeurs binaires pouvant être liées de manière logique par des conditions AND et OR, etc.
Les exceptions à cette règle sont la valeur totale et l'état global. Pour obtenir une expression booléenne, une condition logique ORed doit être appliquée à cette valeur totale, de bit à bit, avec une constante. Pour cela, on utilise l'opérateur &.
For the result 0 (FALSE) of this logical ORing, we get the binary value 0 (FALSE), otherwise 1 (TRUE).

Exemple : See the bitwise ORing example chapter

Informations concernant info

Les bits d'état NORM et N_NORM sont uniquement disponibles dans l'éditeur de formules et ne peuvent pas être configurés par l'intermédiaire de l'état.

Si d'autres paramètres externes à la formule sont définis pour l'état courant, ils sont "ajoutés" à la formule à l'aide d'un ET logique.

Reportez-vous à la section Exemples pour obtenir des exemples.

info Informations

Les formules comportant des valeurs X binaires et des liens au niveau des bits peuvent être utilisées avec 2 valeurs binaires maximum. Si d'autres valeurs sont requises, la liaison doit être établie sans valeurs X binaires.

Exemple :

X01.Value & X02.Value -> fonctionne

X01.Value & X02.Value & X03.Value -> ne fonctionne pas

Toutefois :

X01.00 AND X02.00 AND X03.00 AND X04.00 AND X05.00 -> fonctionne

Autres sujets abordés dans ce chapitre

Liste des bits d'état

Opérateurs logiques

Formules Bit

Opérateurs de comparaison

Exemples pour les formules


Liste des bits d'état

Manuel -> Synoptiques -> Éléments de synoptique -> Élément combiné -> Éditeur de formules -> Liste des bits d'état

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Numéro de bit | Désignation abrégée | Nom long | Intitulé zenon Logic
0 | M1 | User status 1; for Command Processing: Type d'action "Bloquer" ; Service Tracking du driver IEC 850 | _VSB_ST_M1
1 | M2 | État utilisateur 2 | _VSB_ST_M2
2 | M3 | État utilisateur 3 | _VSB_ST_M3
3 | M4 | État utilisateur 4 | _VSB_ST_M4
4 | M5 | État utilisateur 5 | _VSB_ST_M5
5 | M6 | État utilisateur 6 | _VSB_ST_M6
6 | M7 | État utilisateur 7 | _VSB_ST_M7
7 | M8 | État utilisateur 8 | _VSB_ST_M8
8 | NET_SEL | Sélectionné dans le réseau | _VSB_SELEC
9 | REVISION | Révision | _VSB_REV
10 | PROGRESS | En fonctionnement | _VSB_DIREC
11 | TIMEOUT | Command "Timeout exceeded" (command runtime exceeded) | _VSB_RTE
12 | MAN_VAL | Valeur manuelle | _VSB_MVALUE
13 | M14 | État utilisateur 14 | _VSB_ST_14
14 | M15 | État utilisateur 15 | _VSB_ST_15
15 | M16 | État utilisateur 16 | _VSB_ST_16
16 | GI | Requête générale | _VSB_GR
17 | SPONT | Spontané | _VSB_SPONT
18 | INVALID | Invalide | _VSB_I_BIT
19 | T_STD_E | External standard time (standard time) Caution: up to version 7.50, this was the status bit T_CHG_A | _VSB_SUWI
20 | OFF | Désactivé | _VSB_N_UPD
21 | T_EXTERN | Temps réel - horodatage externe | _VSB_RT_E
22 | T_INTERN | Informations d'horodatage internes | _VSB_RT_I
23 | N_SORTAB | Non triable | _VSB_NSORT
24 | FM_TR | MD_TR;Message de défaut du transfo | _VSB_DM_TR
25 | RM_TR | Message de marche du transformateur | _VSB_RM_TR
26 | INFO | Informations de la variable | _VSB_INFO
27 | ALT_VAL | Valeur de remplacement | _VSB_AVALUE
28 | RES28 | Réservé à une utilisation interne (clignotement d'alarme) | _VSB_RES28
29 | N_UPDATE | Not updated (zenon network) | _VSB_ACTUAL
30 | T_STD | Heure d’hiver interne | _VSB_WINTER
31 | RES31 | Réservé à une utilisation interne (clignotement d'alarme) | _VSB_RES31
32 | COT0 | Cause de transmission bit 1 | _VSB_TCB0
33 | COT1 | Cause de transmission bit 2 | _VSB_TCB1
34 | COT2 | Cause de transmission bit 3 | _VSB_TCB2
35 | COT3 | Cause de transmission bit 4 | _VSB_TCB3
36 | COT4 | Cause de transmission bit 5 | _VSB_TCB4
37 | COT5 | Cause de transmission bit 6 | _VSB_TCB5
38 | N_CONF | Confirmation négative de la commande par l'appareil (IEC 60870 [P/N]) | _VSB_PN_BIT
39 | TEST | Bit de test (IEC60870 [T]) | _VSB_T_BIT
40 | WR_ACK | Écriture reconnue | _VSB_WR_ACK
41 | WR_SUC | Écriture réussie | _VSB_WR_SUC
42 | NORM | NORM;État Normal | _VSB_NORM
43 | N_NORM | État déviation normale | _VSB_ABNORM
44 | BL_870 | État IEC 60870 : blocked | _VSB_BL_BIT
45 | SB_870 | État IEC 60870 : substituted | _VSB_SP_BIT
46 | NT_870 | État IEC 60870 : not topical | _VSB_NT_BIT
47 | OV_870 | État IEC 60870 : overflow | _VSB_OV_BIT
48 | SE_870 | État IEC 60870 : select | _VSB_SE_BIT
49 | T_INVAL | Horodatage externe invalide | non défini
50 | CB_TRIP | Déclenchement de disjoncteur détecté | non défini
51 | CB_TR_I | Détection de déclenchement de disjoncteur inactive | non défini
52 | OR_DRV | Valeur non comprise dans la plage valide (IEC 61850) | non défini
53 | T_UNSYNC | ClockNotSynchronized (IEC 61850) | non défini
54 | PR_NR | Pas enregistré dans le Process Recorder | non défini
55 | RES55 | réservé | non défini
56 | RES56 | réservé | non défini
57 | RES57 | réservé | non défini
58 | RES58 | réservé | non défini
59 | RES59 | réservé | non défini
60 | RES60 | réservé | non défini
61 | RES61 | réservé | non défini
62 | RES62 | réservé | non défini
63 | RES63 | réservé | non défini

info Informations

Dans les formules, tous les bits d'état sont disponibles. La disponibilité peut être réduite dans le cadre d'autres utilisations.

Pour plus de détails concernant la gestion des états, reportez-vous au chapitre Gestion d'états.


Opérateurs logiques

Manuel -> Synoptiques -> Éléments de synoptique -> Élément combiné -> Éditeur de formules -> Opérateurs logiques

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Liens logiques : seule la valeur logique '0' sera recherchée dans les variables ; si la valeur n'est pas égale à '0', elle sera considérée comme égale à '1'.

Contrairement aux formules bit, la portée technique peut être modifiée au moyen d'un facteur d'étirement -> (différent de '0' ou '1').

Opérateur | Signification
AND | ET logique
NOT | Négation
OR | OU logique
XOR | OU EXCLUSIF logique

Les opérateurs possèdent la priorité suivante dans le calcul de la formule :

Priorité | Opérateur
1 | & (opérateur des formules bit)
2 | NOT
3 | AND
4 | XOR/OR

Informations concernant info

Jusqu'à 99 variables peuvent être liées dans une formule. X01 à X99.

Informations concernant info

Les bits d'état NORM et N_NORM sont uniquement disponibles dans l'éditeur de formules et ne peuvent pas être configurés par l'intermédiaire de l'état.


Formules Bit

Manuel -> Synoptiques -> Éléments de synoptique -> Élément combiné -> Éditeur de formules -> Formules Bit

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Les formules Bit comportent uniquement un état logique haut ou bas. Contrairement aux formules logiques, la valeur brute est déjà prédéfinie (0,1).

Opérateur | Description
& | AND
| | OR

Autres sujets abordés dans ce chapitre

Exemple : Comparaison de bits avec OR


Exemple : Comparaison de bits avec OR

Exemple : Comparaison de bits avec OR

Vous voulez savoir si l'un des bits d'état utilisateur 1 à 8 (M1 ... M8) de la variable X01 est défini :

Formule classique :

X01.M1 OR X01.M2 OR X01.M3 OR X01.M4 OR X01.M5 OR X01.M6 OR X01.M7 OR X01.M8.
Cette requête peut être considérablement simplifiée en utilisant la condition logique OR sur l'état général.

Interrogation OR logique

X01.Status & 0xFF

La constante peut être saisie au format hexadécimal, comme ci-dessus.

0xFF en décimal vaut 255, et correspond aux huit premiers bits d'état (en binaire, 11111111). Si l'un de ces bits est défini sur 1, le résultat de l'application de la condition logique ORing au niveau des bits est 1 (True) ; dans le cas contraire, le résultat est 0 (False).

Si, par exemple, tous les bits d'états utilisateur sont à tester sauf le bit M7, la formule binaire serait : 10111111. Le bit 7 est sans intérêt, et est donc défini sur 0. Ceci correspond à 0xBF en hexadécimal. L'expression de la formule est alors : X01.Status & 0xBF.

A la place d'une comparaison de bits avec OR à l'aide d'une constante, la valeur peut également être comparée directement à un nombre décimal. Si la comparaison est fausse, la valeur binaire sera égale à 0 (False) ; dans le cas contraire, elle prendra la valeur 1 (True).

Exemple :

Si vous voulez savoir si la valeur est égale à la constante 202 : La formule est alors :

X01.value = 202

Si la valeur est égale à la constante 202, le résultat de la formule est 1 (True) ; dans le cas contraire, le résultat est 0 (False).

Remarque : avec le caractère OR (|), la condition logique OR au niveau des bits fonctionne de la même manière que dans cet exemple.


Opérateurs de comparaison

Manuel -> Synoptiques -> Éléments de synoptique -> Élément combiné -> Éditeur de formules -> Opérateurs de comparaison

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Les opérateurs de comparaison permettent de comparer directement deux valeurs numériques. Le résultat des comparaisons est une valeur binaire. "0" si la condition est fausse et "1" si la condition est vraie.

Opérateur | Description
< | Inférieur
> | supérieur
<= | Inférieur ou égal
>= | supérieur ou égal
= | Égal
<> | Différent de

À gauche et à droite de l'opérateur de comparaison doivent se trouver des valeurs complètes ou des états complets ; des bits simples ne peuvent pas être utilisés.

A droite d'un opérateur de comparaison, vous pouvez également utiliser une constante
Ces constantes sont saisies sous forme de valeurs hexadécimales ou de valeurs décimales dans l'élément combiné. Hexadecimal numbers are automatically converted to decimal numbers by clicking on OK. For example, 0x64 corresponds to the numerical value 100.

Remarque : The combined element is not available in the Batch Control module.

Example Exemple

X01.valeur >= X02.valeur
Le résultat est 1, si la valeur de X01 est supérieure ou égale à la valeur de X02

X01.valeur = 0x64
Le résultat est 1, si la valeur de X01 est exactement égale à la valeur numérique 100 (= hex 0x64)

(X01.valeur = 0x64) OR (X01.valeur = 0x65)
Le résultat est 1, si la valeur de X01 est exactement égale à la valeur numérique 100 ou 101 (= hex 0x64 ou hex 0x65)


Exemples pour les formules

Manuel -> Synoptiques -> Éléments de synoptique -> Élément combiné -> Éditeur de formules -> Exemples pour les formules

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Liaison logique AND simple entre deux valeurs de bits

Example Exemple

Formule : X01.03 AND X02.03

Cette formule vaut TRUE si le bit 3 de la variable 1 et le bit 3 de la variable 2 sont tous deux égaux à 1.

Comparaison d'une valeur analogique ou de l'état d'une variable

Example Exemple

(X01.Value > X02.Value)

Comparaison de valeurs analogiques sur une base logique

Example Exemple

(X01.Value> X02.Value) AND (X01.Value = X02.Value)

Comparaison à l'aide de bits de valeur et de bits d'état

Example Exemple

(X01.Value> X02.Value) AND (X01.Value = X02.Value) OR (X01.03 = X02.03)

Comparaison d'une valeur avec une valeur décimale ou hexadécimale

Example Exemple

Formule : (X01.Value = 111)

Formule : (X01.Value = 0x6F)

Si une valeur hexadécimale est utilisée, cette dernière est convertie en valeur décimale lorsque vous cliquez sur OK. Si une valeur décimale est saisie et confirmée, la valeur reste affichée au format décimal après la réouverture.

Informations concernant info

Il n'est pas possible d'utiliser une virgule ou un point lors de la saisie d'une valeur.


Affichage des informations d'une variable

Manuel -> Synoptiques -> Éléments de synoptique -> Élément combiné -> Affichage des informations d'une variable

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Vous pouvez afficher des informations concernant les variables via l'élément combiné pour les éléments suivants :

  • Identifiant de ressources
  • Unité de mesure
  • Identification de variable
  • Nom de variable
  • Valeur de la variable
  • Horodatage

The information shown is always applicable for the linked main variable.

Développement

  1. Créez un élément combiné.
  2. Sélectionnez le type d'affichage Texte d'état et symbole.
  3. Créez un état par défaut.
  4. Saisissez le caractère générique suivant comme texte d'état.
    Prêtez attention aux lettres majuscules et minuscules lors de la saisie des données !
    Les chiffres sont des exemples.
  5. Activate the Transparence option for the element.

Identifiant de ressources

caractère générique | Description
%r | Affiche l'identifiant de ressources.
%r,1,2 | Affiche l'identifiant de ressources en commençant à la position 1 pour 2 caractères.
%R | Affiche l'identifiant de ressources.
%R,3,2 | Affiche l'identifiant de ressources moins les 3 premiers et les 2 derniers caractères.

Unité de mesure

caractère générique | Description
%u | Afficher les unités de mesure.
%u,1,2 | Affiche l'unité de mesure en commençant à la position 1 pour 2 caractères
%U | Afficher les unités de mesure.
%U,3,2 | Affiche l'unité de mesure moins les 3 premiers et les 2 derniers caractères.

Identification de variable

caractère générique | Description
%l | affiche l'identification de la variable.
%l,1,2 | Affiche l'identification de la variable en commençant à la position 1 pour 2 caractères.
%L | affiche l'identification de la variable.
%L,3,2 | Affiche l'identification de la variable, moins les trois premiers et les deux derniers caractères.

Nom de variable

caractère générique | Description
%n | Affiche le nom de la variable.
%n,1,2 | affiche le nom de la variable en commençant à la position 1 pour 2 caractères.
%N | Affiche le nom de la variable.
%N,3,2 | Affiche le nom de la variable, moins les trois premiers et les deux derniers caractères.

Valeur de la variable

caractère générique | Description
%v | Affiche la valeur de la variable courante.
%v,1,2 | Affiche la valeur de la variable en commençant à la position 1 pour 2 caractères.
%V | Affiche la valeur de la variable courante.
%V,3,2 | Affiche la valeur de la variable, moins les trois premiers et les deux derniers caractères.

Horodatage

caractère générique | Description
%t | Affiche les informations d'horodatage.
%t,1,2 | Affiche les informations d'horodatage en commençant à la position 1 pour 2 caractères.
 | Affiche les informations d'horodatage.
%T,3,2 | Affiche les informations d'horodatage moins les 3 premiers et les 2 derniers caractères.

Les formats des paramètres de temps du système d'exploitation sont appliqués.


Liste de choix / menu déroulant

Manuel -> Synoptiques -> Éléments de synoptique -> Liste de choix / menu déroulant

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

L'élément dynamique Listes déroulantes/Zones de liste permet de lier des valeurs de variables à des textes. Ces éléments peuvent être utilisés de deux manières :

  1. Si du texte est sélectionné dans le Runtime, la valeur de la variable devient la valeur liée au texte.
  2. Si la valeur atteint la valeur de la valeur définie, le texte lié est affiché dans la zone de liste avec la valeur actuelle.

Créer une liste déroulante/zone de liste

Pour créer l'élément dynamique Liste déroulante/Zone de liste dans un synoptique :

  1. Sélectionnez le symbole Zone de liste/Liste déroulante dans la barre d'outils Éléments.
  2. Sélectionnez le point de départ dans la fenêtre principale.
  3. Agrandissez l'élément tout en maintenant le bouton gauche la souris enfoncé.
  4. Une boîte de dialogue s'affiche, vous permettant de lier la variable souhaitée à l'élément. Une variable peut également être liée à un élément au moyen d'une manipulation glisser-déplacer. Faites glisser une variable sur une liste déroulante/zone de liste ; celle-ci remplace alors les variables qui s'y trouvaient précédemment.
    Les types de variable suivants sont supportés :
    • Binaire
    • Numérique
    • String

Informations concernant info

Un point-virgule (;) ne peut pas être affiché dans le texte pour les variables de chaîne, car le point-virgule est utilisé comme séparateur.

L'élément liste déroulante/zone de liste prend en charge les mêmes fonctions supplémentaires que l'élément valeur numérique :

  • Verrouillage, État, Visibilité, Couleurs dynamiques.
  • Couleurs dynamiques : La couleur d'arrière-plan est uniquement prise en compte pour les entrées existantes. Si une partie de l'élément ne contient pas d'entrées, c'est la couleur d'arrière-plan par défaut qui est utilisée.

La liaison de macros à des événements d'éléments (tels que LeftClickUp, par exemple) n'est pas prise en charge.

attention Attention !

Il est impossible de modifier les couleurs et les polices de caractères dans la zone de lister sous Windows CE.

Les zones de listes/listes déroulantes peuvent être créées de manière dynamique ou statique. La propriété Entrées depuis une variable chaine permet de basculer entre les modes de fonctionnement statique et dynamique. Les entrées fixes sont définies dans l'Éditeur durant le fonctionnement statique. Durant le fonctionnement dynamique, une variable de contenu est liée et sa valeur est interprétée dans le Runtime.

Différence entre zone de liste et liste déroulante

Les textes sont ouverts individuellement dans une fenêtre, dans une Liste déroulante.

Remarque concernant l'affichage de la liste déroulante dans Editor : La première ligne est affichée dans la couleur d'arrière-plan ; le reste de la boîte est transparent. Les autres éléments ne sont donc pas couverts dans Editor. L'affichage dans le Runtime reste inchangé.

Les valeurs sont affichées dans une liste et la valeur actuelle est marquée, dans la zone de liste. Si le nombre d'états dépasse les états pouvant être affichés dans la liste, alors un ascenseur est ajouté sur la droite.

Informations concernant info

Si la variable possède une valeur qui n'a pas été définie dans les entrées de liste déroulante/zone de liste, aucun texte n'est affiché ou marqué.

Zone de liste déroulante statique ou zone de liste

Les entrées fixes sont configurées dans l'Éditeur, pour une zone de liste statique. Celles-ci sont affichées et utilisées dans le Runtime.

Pour saisir des valeurs :

  1. Ouvrez le groupe Affichage.
  2. Sélectionnez le type d'affichage de votre choix avec la propriété Type : Liste déroulante ou Zone de liste.

    Valeur par défaut : Listbox (Zone de liste)

  3. Entries can be entered directly or created dynamically. Pour cela, accédez à la propriété dans le groupe Texte.
  4. To create entries dynamically, activate the Entrées depuis une variable chaine property.
  5. To configure entries using the dialog, click on the ... button in the Entrées property.

    La boîte de dialogue de configuration des entrées s'affiche à l'écran.

  6. Saisissez les valeurs des états.
  7. Liez les valeurs aux textes correspondant aux états.

Boîte de dialogue des entrées

Entrées

Paramètre

Description

Entrées

Liste des entrées déjà définies.

No.

Numéro séquentiel attribué automatiquement.

Valeur

Valeur attribuée sous Entrées/Valeur.

Envoyer la valeur

Oui : Envoyer valeur est active.

Non : Envoyer valeur est inactive.

Texte

Chaîne de caractères saisie sous Entrées/Texte.

Fonction

Fonction liée au champ Entrées/Fonction.

Paramètre

Paramètre défini pour la fonction de remplacement.

Variable

Variable de visibilité liée.

Nouveau

Crée une nouvelle entrée avec :

  • nombre consécutif
  • Valeur active définie

Supprimer

Supprime l'entrée sélectionnée. Une seule entrée peut être supprimée ; il est impossible de sélectionner plusieurs entrées.

Copier

Copie l'élément sélectionné et l'ajoute à la fin de la liste, en tant que nouvel élément. Les paramètres des éléments copiés sont repris.

Haut/bas

Déplace l'entrée sélectionnée vers le haut ou vers le bas et adapte la numérotation consécutive.

Création des entrées

Paramètre

Description

Création des entrées

Configuration des entrées de la liste.

Texte

Saisie de la chaîne de caractères liée à la valeur.

Valeur

Valeur numérique.

Les valeurs pouvant être saisies dépendent du type de données des variables.

Envoyer la valeur

Active ou désactive la valeur définie :

Active : la valeur est définie sous forme de valeur prescrite.
Inactif : la valeur saisie est uniquement utilisée pour référencer la sélection.
Attention : Valeur prescrite affecte uniquement la valeur, et non la fonction. La fonction est toujours exécutée. L'option Spécifier valeur prescrite doit être inactive pour tout appel de fonction ne comportant pas une variable liée.

Fonction

Fonction exécutée lors de la sélection de l'entrée dans le Runtime. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de fonctions.
Attention : la fonction est uniquement exécutée si l'entrée est sélectionnée dans la zone de liste/liste déroulante dans le Runtime. Si la valeur de déclenchement change et atteint le niveau de la variable, la fonction n'est pas exécutée. L'option Spécifier valeur prescrite doit être inactive pour tout appel de fonction ne comportant pas une variable liée.

Paramètre pour la substitution

Saisie de la séquence de caractères pour le remplacement au moyen de paramètres. Remplace le mot-clé {PARAM} dans la boîte de de dialogue de remplacement de la fonction d'appel de synoptique pour les indices.

Variable de visibilité

Il s'agit de variables dont la valeur change, qui permettent donc d'évaluer les dépassements de limites dans le Runtime. En cas de dépassement de limite des variables de visibilité, la propriété Visibilité est évaluée en fonction du dépassement de limite. Elle détermine si l'entrée est visible ou non dans la liste. L'entrée est affichée dans la liste, par défaut (pas de dépassement de limite). Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de variables.

Attention : avec les listes déroulantes, un changement de valeur durant le fonctionnement du système peut provoquer la fermeture d'une zone de liste ouverte.

Fermer boîte de dialogue

Options | Description :
OK | Applique les paramètres et ferme la boîte de dialogue.
Annuler | Annule toutes les modifications et ferme la boîte de dialogue.
Aide | Ouvre l'aide en ligne.

Tri d'entrées

Les entrées peuvent être triées comme suit :

  • Boutons Vers le haut et Vers le bas : sélectionnez l'élément souhaité et déplacez-le en cliquant sur les boutons.
  • Glisser-déplacer : Faites glisser l'élément vers l'emplacement souhaité avec la souris. Un trait rouge indique l'emplacement auquel sera inséré l'élément.

Zone de liste déroulante dynamique ou zone de liste

Dans le cadre d'une utilisation dynamique, une variable de chaîne définissant le contenu doit être liée à l'aide de la propriété Variable. Toute entrée statique pouvant être configurée au même moment dans le Runtime est ignorée. La valeur de la variable de contenu est évaluée et interprétée. Pour cela, la valeur des variables doit correspondre à une configuration valide dans le Runtime.

Calque

La valeur de chaîne affiche une liste d'entrées. Chaque entrée consiste en une valeur et un texte séparé par une virgule (,). Les entrées se terminent par un point-virgule (;). Si la partie textuelle d'une entrée contient un caractère @, cette partie sera traduite à l'aide de la table de langues existante.

Exemple de valeur de chaîne valide :

1,un;2,deux;3,trois;

Exemple de valeur de chaîne valide avec traduction :

1,@un;2,@deux;3,@trois;

Configuration

Pour lier une variable :

  1. Ouvrez le groupe Affichage.
  2. Sélectionnez le type d'affichage de votre choix avec la propriété Type : Liste déroulante ou Zone de liste.

    Valeur par défaut : Listbox (Zone de liste)

  3. Activez la propriété Entrées depuis une variable chaine.
  4. À l'aide de la propriété Variable, sélectionnez la variable souhaitée
    (Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de variables)
  5. Sélectionnez la variable de chaîne contenant les entrées configurées

Marquer l'élément dans la liste lors de la sélection

Les éléments affichés dans la liste déroulante ou la zone de liste peuvent être marqués en couleur dans le Runtime. Pour cela :

  • Accédez au groupe Remplissage dans les propriétés.
  • In group Remplissage select the properties
    • Couleur de texte pour l'entrée sélectionnée pour la couleur du texte
    • Couleur d'arrière plan pour l'entrée sélectionnée pour la couleur de l'arrière-plan du texte

Ces couleurs sont ensuite utilisées dans le Runtime. Les paramètres du système d'exploitation sont ignorés, tout comme les couleurs des variables liées.

info Informations

Les couleurs du système d'exploitation étaient utilisées jusqu'à la version 6.50. Lors de la conversion du projet :

  • la couleur d'arrière-plan est identique à celle configurée dans le système d'exploitation.
  • Si la couleur de texte est définie sous forme de couleur statique :

Sur les ordinateurs sur lesquels les couleurs ont été modifiées dans le système d'exploitation, cela peut provoquer un comportant différent dans le Runtime.

Gestion des erreurs

Les erreurs sont affichées sous forme d'entrées de fichier journal dans le service Diagnosis Server :

Message

Niveau

Signification

The value '%s' of the content variable '%s' is not valid, entries might be incorrect or missing! (La valeur '%s' de la variable de contenu '%s' n'est pas valide ; des entrées sont peut-être incorrectes ou manquantes !)

Erreur

La variable de chaîne liée dans la propriété Variable comporte une valeur dont la configuration n'est pas valide.

Le texte est évalué dans la mesure du possible. La valeur actuelle est également consignée dans le fichier journal, afin de faciliter l'analyse des erreurs dans le Runtime.


Texte dynamique

Manuel -> Synoptiques -> Éléments de synoptique -> Texte dynamique

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

L'élément dynamique Texte dynamique vous permet d'afficher le texte de valeur de la limite actuelle en cas de dépassement de la limite, ou d'afficher la valeur d'une variable de chaîne sous forme alphanumérique. Si aucun dépassement de limite n'est détectée, le texte défini dans l'éditeur est affiché à l'écran.

Pour créer un texte dynamique sur un synoptique :

  1. Sélectionnez le symbole Texte dynamique dans la barre d'outils Éléments.
  2. Sélectionnez le point de départ dans la fenêtre principale.
  3. Agrandissez l'élément tout en maintenant le bouton gauche la souris enfoncé.
  4. La boîte de dialogue de sélection de variable s'affiche à l'écran.
  5. Sélectionnez la variable de votre choix.
  6. Définissez les propriétés de votre choix dans la fenêtre des propriétés,
    et surtout :
    • Sélectionnez le type pour le Afficher le texte.
      Si un texte de valeur limite est sélectionné ici, vous devez définir le texte affiché tant qu'aucun dépassement de valeur limite n'est constaté dans la propriété Texte.

The linked variable and the content selected in the Afficher le texte property is displayed in the preview of the element in the main window.

info Informations

If the element is used in Runtime to replace a static Win32 control element and it is deactivated, the background color and text color is set to gray values.

Hidden entry of text

If the element is used to design sensitive elements such as passwords, input can be masked. Pour cela, activez la propriété Saisie masquée. If you want, you can define any desired character using the Caractère de masquage property, which is used for masking.

Text is replaced with the defined character in Runtime. The replacement is already carried out during entry. The input field always the character 8 times, regardless of the actual length of the text. If the Saisie masquée property is deactivated, the text that was entered originally is displayed.

Display text in Runtime

Valeur pour Afficher le texte :

  • Identifiant de ressource : Le contenu de la propriété de la variable Description externe est affiché.
  • Texte de valeur limite : Si aucune valeur limite n’a été dépassée, le contenu de la propriété de synoptique Texte est affiché. En cas de dépassement d’une valeur limite, le contenu de la propriété de variable Texte valeur limite est affiché. La couleur du texte de valeur limite est utilisée pour le texte. Si une couleur dynamique a été configurée pour l'élément, elle est utilisée.
  • Unité de mesure : Le contenu de la propriété de la variable Unité de mesure est affiché. L'élément est mis à jour dès qu'une fonction Conversion d'unités de mesure est exécutée.
  • Identifiant de variable : Le contenu de la propriété de la variable Identification est affiché.
  • Nom de la variable : Le contenu de la propriété de la variable Nom est affiché.
  • Valeur de la variable : La valeur de la variable est affichée.

Écriture de valeur prescrite

When writing a set value using a dynamic text, it is possible to use the Écriture en cas de perte de focus property to define how the element acts in Runtime.

Propriété :

  • Active : La valeur est écrite dès que l'élément de contrôle perd le focus.
    Pour annuler la saisie, appuyez sur la touche Échap ; la valeur n'est alors pas écrite.
  • Inactive : La valeur est écrite lorsque l'utilisateur appuie sur la touche Insér.
    Pour annuler la saisie, appuyez sur la touche Échap ; la valeur n'est alors pas définie.

The default value depends on whether the element from the tool bar can be inserted into the screen or whether it was inserted as editable dynamic text from the control elements menu:

  • En tant qu'élément sur le synoptique : Inactive
  • From the control elements menu: active

Fichier de langue

La langue de tous les contenus affichés correspondant au type Texte d'affichage est traduite si le fichier de langue contient les entrées correspondantes.
Exception : Le nom de la variable n'est pas traduit.

With projects before version 7.20

With version 7.20, the checkbox Text from variable was replaced by the new drop-down selection Afficher le texte and the possible settings were increased. A conversion of the original entries was implemented for this change: The 'variable value' value was originally only used for STRING variables. From version 7.20, this version is converted depending on the type of the variables. INTEGER variables become limit value text, STRING variables become variable value. This conversion is carried out in the Editor and in Runtime when loading a screen element.

If Runtime files are transferred from a project before 7.20 directly into a version 7.20 project, this can lead to the following behavior: INTEGER variables are swapped for STRING variables and vice versa.

Solution : Create the Runtime files again in version 7.20.


Ellipse and Circle

Manuel -> Synoptiques -> Éléments de synoptique -> Ellipse and Circle

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Pour dessiner une ellipse :

  1. Sélectionnez le symbole Ellipse/Cercle dans la barre d'outils Éléments ou dans la liste déroulante Éléments.
  2. Sélectionnez le point de départ dans la fenêtre principale.
  3. Agrandissez l'ellipse tout en maintenant le bouton gauche la souris enfoncé.
  4. To change the shape, size or position, drag the corners or move the element.
  5. Définissez les propriétés de votre choix dans la fenêtre des propriétés.

Remarque :

  • Adjusting an ellipse:
    To execute changes symmetrically when dragging, hold down the Alt key.
  • Drawing a circle:
    Pour tracer un cercle : maintenez la touche Maj enfoncée pendant le redimensionnement.
  • Adjust circle:
    To get the circle shape when dragging, hold down the Shift key.


Arc de cercle

Manuel -> Synoptiques -> Éléments de synoptique -> Arc de cercle

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Pour tracer un arc de cercle :

  • Sélectionnez le symbole Arc de cercle dans la barre d'outils Éléments.
  • Sélectionnez le point de départ dans la fenêtre principale.
  • Agrandissez l'arc de cercle tout en maintenant le bouton gauche la souris enfoncé.
  • Déplacez la souris vers le coin supérieur droit de l'écran pour ouvrir l'arc de cercle vers la gauche ; procédez de même pour l'ouvrir dans une autre direction.
  • Pour modifier la direction d'ouverture, déplacez un point de contact de l'autre côté de la ligne située à l'opposé.
  • Vous pouvez modifier la forme, la taille et la position de l'élément à tout instant en déplaçant les coins ou l'élément tout entier.
  • Si vous maintenez la touche Alt enfoncée pendant que vous déplacez les coins extérieurs, la modification est apportée de manière symétrique.
  • Maintenez la touche Maj enfoncée pendant le déplacement du coin pour préserver le ratio de l'élément.
  • Définissez les propriétés de votre choix dans la fenêtre des propriétés.

Informations concernant info

L'arc de cercle est toujours affiché sous forme de secteur, et peut être étendu grâce à un copier-coller.
Les motifs et couleurs de remplissage ne sont pas disponibles pour les arcs de cercle.


Quartier de cercle

Manuel -> Synoptiques -> Éléments de synoptique -> Quartier de cercle

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

attention Attention

Avec le quartier de cercle, vous dessinez la portion souhaitée d'un cercle ou d'une ellipse.

Pour dessiner un quartier de cercle :

  1. Sélectionnez le symbole Quartier de cercle dans la barre d'outils Éléments.
  2. Sélectionnez le point de départ dans la fenêtre principale.
  3. Agrandissez le quartier de cercle tout en maintenant le bouton gauche la souris enfoncé.
  4. Déplacez le la souris en haut à droite pour ouvrir le quartier vers la gauche, et inversement.
  5. Pour modifier la direction d'ouverture, déplacez un point de contact de l'autre côté de la ligne située à l'opposé.
  6. Vous pouvez modifier la forme, la taille et la position de l'élément à tout instant en déplaçant les coins ou l'élément tout entier.
  7. Si vous maintenez la touche Alt enfoncée pendant que vous déplacez les coins extérieurs, la modification est apportée de manière symétrique.
  8. Maintenez la touche Maj enfoncée pendant le déplacement du coin pour préserver le ratio de l'élément.
  9. Vous disposez de deux possibilités pour modifier l'angle d'ouverture ou ouvrir le quartier de cercle vers le haut ou vers le bas :
    • Placez le pointeur de la souris sur l'un des deux points de contact scindés jusqu'à ce que le pointeur de souris situé sur le point de contact extérieur se transforme en croix noire avec des flèches, puis déplacez le point dans la direction de votre choix
      ou
    • Vous pouvez modifier les propriétés des paramètres d'angle sous Angle d'ouverture. Par exemple :
      - pour une ouverture vers le bas : Angle de fin [degrés] 180° et Angle de début [degrés] sur 0°
      - pour une ouverture vers le bas :
      Les données d'angle peuvent comporter deux virgules décimales au maximum.
      Remarque : les coins calculés à partir des données d'angle étant des pixels, et ces derniers étant obligatoirement des nombres entiers, la valeur angulaire affichée peut légèrement différer des données. Par exemple, une valeur de 45° ne produit pas un nombre entier de pixels. La valeur est arrondie au niveau interne par zenon et l'angle affiché est de 44,75°.
  10. Définissez les propriétés de votre choix dans la fenêtre des propriétés.

Légende :

  1. Points de contact de l'angle d'ouverture
  2. Point de contact de la hauteur

Informations concernant info

Si vous souhaitez utiliser le segment de cercle comme arc de cercle, modifiez la valeur de la propriété Remplissage (type) en transparent. Seule la ligne extérieure est affichée avec le type d'affichage transparent.
L'angle d'ouverture doit toujours être > 0° et < 360°.

Attention

L'élément segment de cercle n'est pas disponible dans Windows CE.

Epaisseur segment

L'épaisseur d'un quartier de cercle peut être définie à l'aide des propriétés du groupe Epaisseur segment. Si la propriété Epaisseur de segment ajustable est activée, l'ellipse affichée au niveau des angles de début et de fin entre le bord extérieur et le centre affiche uniquement l'épaisseur définie. Ainsi, des tubes comportant différentes épaisseurs de début et de fin peuvent être affichées sous forme de courbe.

Les quartiers de cercle circulaires et elliptiques sont tous deux pris en charge. La propriété Epaisseur de fin égal épaisseur de début permet d'afficher les formes de même épaisseur.

Si la valeur 0 est définie comme épaisseur de quartier de cercle pour Angle de départ du segment [pixel] et Angle de fin du segment [pixel], un arc de cercle est affiché.

Remarques concernant la disponibilité : Indisponible pour Qualité graphique Windows de base, pour Projet Windows CE actif ou pour Gradient de couleur Par les valeurs de luminosité.


Ligne

Manuel -> Synoptiques -> Éléments de synoptique -> Ligne

Pour tracer une ligne :

  1. Sélectionnez le symbole Ligne dans la barre d'outils Éléments.
  2. Sélectionnez le point de départ dans la fenêtre principale.
  3. Agrandissez la ligne tout en maintenant le bouton gauche la souris enfoncé
  4. Vous pouvez modifier la forme, la taille et la position de l'élément à tout instant en déplaçant les coins ou l'élément tout entier.
  5. Si vous maintenez la touche Alt enfoncée pendant que vous déplacez les coins extérieurs, la modification est apportée de manière symétrique.
  6. Définissez les propriétés de votre choix dans la fenêtre des propriétés.

Informations concernant info

Les motifs et couleurs de remplissage ne sont pas disponibles pour les lignes.


Polygone

Manuel -> Synoptiques -> Éléments de synoptique -> Polygone

Pour tracer un polygone :

  1. Sélectionnez le symbole Polygone dans la barre d'outils Éléments.
  2. Dans la fenêtre principale, sélectionnez le point de départ en cliquant sur le bouton gauche de la souris.
  3. Tracez la première section.
  4. Positionnez un premier point d'angle en cliquant sur le bouton gauche de la souris.
  5. Tracez une autre ligne et positionnez les points d'angle.
  6. Positionnez le point de fin en double-cliquant ou en appuyant sur la touche Échap.
  7. Vous pouvez modifier la forme, la taille et la position de l'élément à tout instant en déplaçant les coins ou l'élément tout entier.
  8. Maintenez la touche Maj enfoncée pendant que vous tracez l'élément ; de cette manière seuls les déplacements horizontaux ou verticaux à partir de la position d'origine sont possibles.
  9. Définissez les propriétés de votre choix dans la fenêtre des propriétés.

    Conseil : Utilisez la propriété Arrondir pour définir l'arrondi des lignes. Pour cela, sélectionnez une valeur comprise entre 0 (pas d'arrondi) et 1 (arrondi maximal).

Add dots

To add corner dots (support dots):

  • Move the mouse pointer to a line of the polyobject.
  • Click on the right mouse button.
  • Select the Add node in the selected element menu item from the context menu

ou :

  • Hold down Ctrl and Shift at the same time.
  • Move the mouse pointer to a line of the polyobject.
  • The mouse pointer changes to an arrow including a plus sign.
  • A mouse click adds a corner dot.

Delete dots

To add corner dots (support dots):

  • Placez le pointeur de la souris sur une ligne du polygone :
  • Click on the right mouse button.
  • Select the Delete node in the selected element menu entry from the context menu

ou :

  • Hold down Ctrl and Shift at the same time.
  • Placez le pointeur de la souris sur une ligne du polygone :
  • The mouse pointer changes to an arrow including a plus sign.
  • A mouse click removes the point.

Move points

To move end points (support points):

  • move the mouse pointer over the desired point of the polyobject.
  • Place the point over the arrow keys at the desired place.

Remarque :

  • Pressing on the cursor key moses the position by 1 pixel. If the Shift key is held at the same time, a press of the button moves the point by 10 pixels.
  • The options Use grid, Horizontal distance and Vertical distance in the Editor settings are ignored.

info Informations

La propriété Par les valeurs de luminosité n'est pas disponible pour les polygones.


Polyligne

Manuel -> Synoptiques -> Éléments de synoptique -> Polyligne

Pour tracer une polyligne :

  1. Sélectionnez le symbole Polyligne dans la barre d'outils Éléments.
  2. Dans la fenêtre principale, sélectionnez le point de départ en cliquant sur le bouton gauche de la souris.
  3. Tracez la première section.
  4. Positionnez un premier point d'angle en cliquant sur le bouton gauche de la souris.
  5. Tracez une autre ligne et positionnez les points d'angle.
  6. Positionnez le point de fin en double-cliquant ou en appuyant sur la touche Échap.
  7. Vous pouvez modifier la forme, la taille et la position de l'élément à tout instant en déplaçant les coins ou l'élément tout entier.
  8. Maintenez la touche Maj enfoncée pendant que vous tracez l'élément ; de cette manière seuls les déplacements horizontaux ou verticaux à partir de la position d'origine sont possibles.
  9. Définissez les propriétés de votre choix dans la fenêtre des propriétés.

    Conseil : Utilisez la propriété Arrondir pour définir l'arrondi des lignes. Pour cela, sélectionnez une valeur comprise entre 0 (pas d'arrondi) et 1 (arrondi maximal).

Add dots

To add corner dots (support dots):

  • Move the mouse pointer to a line of the polyobject.
  • Click on the right mouse button.
  • Select the Add node in the selected element menu item from the context menu

ou :

  • Hold down Ctrl and Shift at the same time.
  • Move the mouse pointer to a line of the polyobject.
  • The mouse pointer changes to an arrow including a plus sign.
  • A mouse click adds a corner dot.

Delete dots

To add corner dots (support dots):

  • Placez le pointeur de la souris sur une ligne du polygone :
  • Click on the right mouse button.
  • Select the Delete node in the selected element menu entry from the context menu

ou :

  • Hold down Ctrl and Shift at the same time.
  • Placez le pointeur de la souris sur une ligne du polygone :
  • The mouse pointer changes to an arrow including a plus sign.
  • A mouse click removes the point.

Move points

To move end points (support points):

  • move the mouse pointer over the desired point of the polyobject.
  • Place the point over the arrow keys at the desired place.

Remarque :

  • Pressing on the cursor key moses the position by 1 pixel. If the Shift key is held at the same time, a press of the button moves the point by 10 pixels.
  • The options Use grid, Horizontal distance and Vertical distance in the Editor settings are ignored.


Rectangle et rouge

Manuel -> Synoptiques -> Éléments de synoptique -> Rectangle et rouge

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Pour tracer un rectangle :

  1. Sélectionnez le symbole Rectangle dans la barre d'outils Éléments ou dans la liste déroulante Éléments.
  2. Sélectionnez le point de départ dans la fenêtre principale.
  3. Agrandissez le rectangle en maintenant le bouton gauche la souris enfoncé.
  4. To change the shape, size or position, drag the corners or move the element.
  5. Définissez les propriétés de votre choix dans la fenêtre des propriétés.

    Conseil : Vous pouvez arrondir les angles à votre convenance afin de créer un rectangle doté de coins arrondis

Remarque :

  • Amending a rectangle:
    To execute changes symmetrically when dragging, hold down the Alt key.
  • Drawing a square:
    Pour tracer un carré : maintenez la touche Maj enfoncée pendant le redimensionnement.
  • Adjust square:
    To get the square shape when dragging, hold down the Shift key.


Tube

Manuel -> Synoptiques -> Éléments de synoptique -> Tube

Pour tracer un tube :

  1. Sélectionnez le symbole Tube dans la barre d'outils Éléments.
  2. Dans la fenêtre principale, sélectionnez le point de départ en cliquant sur le bouton gauche de la souris.
  3. Tracez la première section.
  4. Positionnez un premier point d'angle en cliquant sur le bouton gauche de la souris.
  5. Tracez une autre ligne et positionnez les points d'angle.
  6. Positionnez le point de fin en double-cliquant ou en appuyant sur la touche Échap.
  7. Vous pouvez modifier la forme, la taille et la position de l'élément à tout instant en déplaçant les coins ou l'élément tout entier.
  8. Maintenez la touche Maj enfoncée pendant que vous tracez l'élément ; de cette manière seuls les déplacements horizontaux ou verticaux à partir de la position d'origine sont possibles.
  9. Définissez les propriétés de votre choix dans la fenêtre des propriétés.

    Conseil : Utilisez la propriété Arrondir pour définir l'arrondi des lignes. Pour cela, sélectionnez une valeur comprise entre 0 (pas d'arrondi) et 1 (arrondi maximal).

Add dots

To add corner dots (support dots):

  • Move the mouse pointer to a line of the polyobject.
  • Click on the right mouse button.
  • Select the Add node in the selected element menu item from the context menu

ou :

  • Hold down Ctrl and Shift at the same time.
  • Move the mouse pointer to a line of the polyobject.
  • The mouse pointer changes to an arrow including a plus sign.
  • A mouse click adds a corner dot.

Delete dots

To add corner dots (support dots):

  • Placez le pointeur de la souris sur une ligne du polygone :
  • Click on the right mouse button.
  • Select the Delete node in the selected element menu entry from the context menu

ou :

  • Hold down Ctrl and Shift at the same time.
  • Placez le pointeur de la souris sur une ligne du polygone :
  • The mouse pointer changes to an arrow including a plus sign.
  • A mouse click removes the point.

Move points

To move end points (support points):

  • move the mouse pointer over the desired point of the polyobject.
  • Place the point over the arrow keys at the desired place.

Remarque :

  • Pressing on the cursor key moses the position by 1 pixel. If the Shift key is held at the same time, a press of the button moves the point by 10 pixels.
  • The options Use grid, Horizontal distance and Vertical distance in the Editor settings are ignored.


Commutation

Manuel -> Synoptiques -> Éléments de synoptique -> Commutation

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

La valeur d'une variable binaire est affichée sous forme graphique, et peut être modifiée avec l'élément dynamique Commutateur. L'élément peut également être utilisé en tant que commutateur pour le traitement de commandes non sécurisé à une étape.

Pour créer un élément Commutateur sur un synoptique :

  1. Sélectionnez le symbole Commutateur dans la barre d'outils Éléments.
  2. Sélectionnez le point de départ dans la fenêtre principale.
  3. Agrandissez l'élément tout en maintenant le bouton gauche la souris enfoncé.

    La boîte de dialogue de sélection d'une variable binaire s'affiche à l'écran.

  4. Sélectionnez la variable de votre choix.
  5. Définissez les propriétés de votre choix dans la fenêtre des propriétés.

Remarque :

  • Pour utiliser l'élément en tant que commutateur, activez la propriété Mode temporaire dans le nœud Écrire valeur prescrite.
  • The element can also be used in screens as a control element for checkboxes.

Screen types for switches

There are different screen types available for the display of the switch in Runtime, depending on the settings of the Qualité graphique property:

  • Windows Basic :
    The following screen types can be used:
    • BMP
    • JPG
    • PNG
    • in zenon pre-defined bitmaps
  • DirectX software or DirectX hardware:
    All supported screen types in Windows Basic plus TIF, animated GIF and WMF can be used.

Use as a control element

The element is also used in control elements of screens to display checkboxes. If the element in a screen is used as a control element, it is not available in Runtime if it is activated and the necessary user rights are available. Otherwise it is displayed as deactivated with gray shading.


Texte statique

Manuel -> Synoptiques -> Éléments de synoptique -> Texte statique

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Pour saisir du texte statistique :

  1. Select the Statistical Text symbol in the Elements toolbar
  2. Sélectionnez le point de départ dans la fenêtre principale.
  3. Agrandissez le champ de texte tout en maintenant le bouton gauche la souris enfoncé.

    Vous pouvez modifier la forme, la taille et la position de l'élément à tout instant en déplaçant les coins ou l'élément tout entier.

    Si vous maintenez la touche Alt enfoncée pendant que vous déplacez les coins extérieurs, la modification est apportée de manière symétrique.

  4. Définissez les propriétés de votre choix dans la fenêtre des propriétés.

Entering and formating text

Pour saisir du texte :

  1. Double-cliquez lentement sur le champ de texte.

    Or: select Edit text in the context menu:
    Or: Write the text in the Texte property.

  2. Saisissez le texte de votre choix.

info Informations

Par défaut, le texte est automatiquement renvoyé à la ligne, en fonction de la taille du champ de texte. Pour désactiver le retour à la ligne automatique, désactivez la propriété Retour à la ligne automatique dans le nœud Texte.

Conseil : si un Textwinkel [°] (Affichage) est défini dans la propriété, il est impossible de renvoyer le texte à la ligne automatiquement. Un affichage d'angle avec renvoi automatique du texte peut également être obtenu en pivotant l'élément dans son intégralité (lignes du cadre incluses, le cas échéant).

Souligné

Pour souligner du texte, insérez un caractère & avant le texte à souligner.

&"Texte" devient :

Si vous souhaitez utiliser le caractère "&" dans du texte, saisissez-le deux fois :
"1 && 2" devient "1 & 2".

Saut de ligne

Pour définir un saut de ligne, utilisez la chaîne \n.

Exemple :

Ligne 1 \n

Ligne 2


Elément tendance

Manuel -> Synoptiques -> Éléments de synoptique -> Elément tendance

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Avec l'élément dynamique Courbe de tendance, vous pouvez afficher toutes les valeurs dans le Runtime sous forme de courbes de tendance sur lesquelles plusieurs variables de procédé peuvent être affichées en même temps.

Pour que l'élément Courbe de tendance affiche les valeurs, la propriété Stockage de données sur disque dur actif dans le nœud Stockage données disque dur des propriétés de la variable doit être actif. Temps de cycle [s] et Nombre de valeurs doivent correspondre aux éléments Temps d'actualisation et Durée de visualisation dans la courbe de tendance ; dans le cas contraire, le tracé de la courbe redémarre à chaque nouvel appel de synoptique. Chaque modification peut avoir une incidence sur les autres Courbes de tendance utilisant les mêmes variables de procédé.

Créer une courbe de tendance :

Pour créer une Courbe de tendance sur un synoptique :

  1. Select the Trend Element symbol in the Elements toolbar or in the Elements drop-down list.
  2. Sélectionnez le point de départ dans la fenêtre principale.
  3. Agrandissez l'élément tout en maintenant le bouton gauche la souris enfoncé.

    La boîte de dialogue d'attribution de variables numériques multiples s'affiche à l'écran.

  4. Sélectionnez les variables de votre choix.

    Toutes les courbes sont automatiquement créées dans la courbe de tendance.

    Pour ajouter une courbe ultérieurement :

    • Dans les propriétés, sélectionnez la propriété {Nouvelle courbe} dans le nœud Courbes.

      ou :

    • Faites glisser la variable de votre choix sur la courbe de tendance tout en maintenant le bouton gauche de la souris enfoncé.
  5. Définissez les propriétés de votre choix dans la fenêtre des propriétés.
    • Vous définissez les propriétés graphiques des courbes dans le nœud Courbes des propriétés.
    • Vous déterminez le temps de cycle et le nombre de valeurs dans les propriétés de la variable correspondante dans le nœud Stockage données disque dur.

info Informations

Vous pouvez également lier les variables et les fonctions aux éléments dynamiques en les faisant glisser sur l'élément dans le synoptique. Si aucune courbe n'est définie dans Editor, l'élément Tendance n'est pas affiché dans le Runtime.


Horloge

Manuel -> Synoptiques -> Éléments de synoptique -> Horloge

With the dynamic element Clock, you show the current time in Runtime or you convert numerical values into a time. La date et/ou l'heure peuvent être affichées sous forme de période de temps absolu ou de différence de temps.

Affichage

L'affichage dans le Runtime dépend de la présence d'une variable liée.

  • Si aucune variable n'est liée à l'élément, l'heure système actuelle est affichée sous forme de temps absolu dans le Runtime.
    Pour cela, dans le groupe Affichage, définissez la propriété Type d'affichage sur la valeur Heure système/Temps absolu.
  • Si une variable est liée, sa valeur peut être affichée comme ceci :
    • Différence de temps : La variable doit contenir le nombre de secondes.
      Les valeurs entières affichées dans la zone des secondes (de -2147483648 (min(DINT)) à +4294967295 (max(UDINT))) peuvent être affichées.
      Il est également possible d'afficher des valeurs négatives : Une valeur de variable de -60 est représentée par -01:00 au format mm:ss. Par conséquent, si la différence -01:40 est affichée, la valeur de la variable résultante est -100.
    • Filtre temps absolu : temps Unix, c'est-à-dire les secondes écoulées depuis le 1er janvier 1970 à 00:00 UTC dans la plage positive.

      Seules les valeurs positives jusqu'à 2147483647 peuvent être affichées. Une valeur de variable extérieure à cette plage produit un affichage incorrect : la partie hh:mm reste 00:00 ou 01:00 à l'heure d'hiver.

Développement

Pour créer une Horloge sur un synoptique :

  1. Sélectionnez le symbole Horloger dans la barre d'outils Éléments ou dans la liste déroulanteÉléments.
  2. Sélectionnez le point de départ dans la fenêtre principale.
  3. Agrandissez l'élément tout en maintenant le bouton gauche la souris enfoncé.
  4. Si une variable doit être liée :
    Liez la variable souhaitée dans la section Variable/fonction, ou effectuez un glisser-déplacer avec l'élément.
    • Toutes les variables peuvent être liées, à l'exception des variables de type chaîne (STRING) et booléenne (BOOL).
    • Les fractions de variables flottantes (des types de données REAL et DATA_AND_TIME) ne sont pas prises en compte.
  5. Définissez les propriétés de votre choix dans la fenêtre des propriétés, et surtout :
  6. Sélectionnez la propriété Type d'affichage dans le groupe Affichage.
    • Heure système/Période de temps absolu L'heure est affichée sous forme de temps absolu.
      Remarque : les menus contextuels et les infos-bulle ne sont pas pris en charge.
    • Différence de temps : La différence de temps est indiquée en minutes et en secondes. La variable doit contenir le nombre de secondes.
      Les valeurs entières peuvent être affichées dans la zone des secondes : de -2147483648 (min(DINT)) à +4294967295 (max(UDINT)). Il est donc également possible d'afficher des valeurs négatives.
      Exemples au format mm:ss : La valeur de variable 50 est affichée comme 00:50 ; la valeur de variable 100 est affichée comme 01:40.
      La valeur de variable -60 est affichée comme -01:00. Par conséquent, si la différence -01:40 est affichée, la valeur de la variable résultante est -100.
  7. Sélectionnez le type d'affichage de votre choix avec la propriété Formatage.

info Informations

Si l'option Période de temps absolu est sélectionnée pour l'élément Écrire valeur prescrite par, le champ de saisie comporte un format Différence de temps.

Par exemple :

  • Le formatage de la période de temps absolu hh:mm:ss jj.mm.aa
    est affiché sous la forme suivante dans l'élément : jj:hh:mm:ss
  • jj.mm.aaaa (par exemple, 17.12.2008)
    est affiché sous la forme jjjjj (14230 jours depuis le 1.1.1970). 1. 1970).


Réglette universelle

Manuel -> Synoptiques -> Éléments de synoptique -> Réglette universelle

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

L'élément Réglette universelle permet d'afficher des variables sous forme de réglettes, de bargraphes, de bargraphes à LED ou de toute autre réglette de votre choix. Les réglettes permettent de définir des éléments à valeur prescrite dans le Runtime.

Pour créer une réglette universelle sur un synoptique :

  1. Select the Universal Slider symbol in the Elements toolbar or in the Elements drop-down list.
  2. Sélectionnez le point de départ dans la fenêtre principale.
  3. Agrandissez l'élément tout en maintenant le bouton gauche la souris enfoncé.

    La boîte de dialogue de sélection de variable s'affiche à l'écran.

  4. Sélectionnez la variable de votre choix.

    L'assistant de configuration de réglette universelle s'affiche à l'écran.

  5. Sélectionnez l'alignement :
    horizontal, vertical ou circulaire.

  6. Sélectionnez la forme :
    Réglette/potentiomètre, Barre, Bargraphe à LED ou Réglette animée.

  7. Un aperçu s'affiche à l'écran :
    définissez l'affichage du titre et la position de l'affichage de la valeur.

  8. Définissez les autres propriétés dans la fenêtre des propriétés.

    Conseil : Vous pouvez modifier l'affichage et la forme d'une réglette universelle dans les propriétés du nœud Réglette universelle.

info Informations

Remarque :

  • Un indicateur permet d'afficher les valeurs minimales ou maximales des variables au cours d'un intervalle donné. Si vous double-cliquez sur l'élément dans Runtime, le marquage du minimum et du maximum est réinitialisé.
  • Moving scale style: Dans le Runtime, les valeurs peuvent uniquement être modifiées par l’intermédiaire d’une boîte de dialogue. Il est impossible de modifier une valeur directement à l’aide de la réglette.

Affichage avec code de couleurs du dépassement de limite

En cas de dépassement d'une limite, la couleur de la variable peut colorer la zone entière ou uniquement la zone commençant après le dépassement de limite. Cette fonctionnalité est contrôlée par le biais de la propriété Barre explicite, dans le groupe Réglette universelle.

Cette propriété affecte uniquement l’affichage de valeurs comportant des valeurs limites définies issues des variables.
Les valeurs limites des matrices de réaction ne sont pas prises en compte.

  • Active : Si une valeur limite de la variable liée est dépassée, seule la partie de l’affichage correspondant au dépassement de valeur limite est affichée dans la couleur de la valeur limite correspondante.
    Si la variable comporte plusieurs valeurs limites définies, les zones correspondantes de l’affichage sont individuellement affichées dans la couleur de la valeur limite correspondante.
  • Inactive : Si une valeur limite de la variable liée est dépassée, l’affichage entier reprend les couleurs de la valeur limite dépassée.

Par défaut : Inactive


WPF

Manuel -> Synoptiques -> Éléments de synoptique -> WPF

L'élément dynamique WPF permet d'intégrer et d'afficher les fichiers WPF/XAML valides dans zenon.

info Informations

You can find further information on the dynamic element WPF in the zenon WPF manual.


Valeur numérique

Manuel -> Synoptiques -> Éléments de synoptique -> Valeur numérique

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

You display numerical values with the dynamic element Numericavalues.

Pour créer une valeur numérique sur un synoptique :

  1. Sélectionnez le symbole Valeur numérique dans la barre d'outils Éléments.
  2. Sélectionnez le point de départ dans la fenêtre principale.
  3. Agrandissez l'élément tout en maintenant le bouton gauche la souris enfoncé.
  4. La boîte de dialogue d'attribution de valeur numérique s'affiche à l'écran.
  5. Sélectionnez la variable que vous voulez attribuer.
  6. Définissez les propriétés de votre choix dans la fenêtre des propriétés.

Informations concernant info

Les considérations suivantes s'appliquent dans le Runtime : Une valeur décimale peut être saisie avec une virgule, mais également avec un point en tant que séparateur décimal. Elle est toujours affichée sous forme de point.


Instrument à aiguille

Manuel -> Synoptiques -> Éléments de synoptique -> Instrument à aiguille

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

You display the indicating instrument with the dynamic element indicating instrument.

Pour créer un instrument de mesure sur un synoptique :

  1. select the Indicating Instrument symbol in the Elements toolbar or in the Elements drop-down list
  2. Sélectionnez le point de départ dans la fenêtre principale.
  3. Agrandissez l'élément tout en maintenant le bouton gauche la souris enfoncé.
  4. La boîte de dialogue d'attribution de valeur numérique s'affiche à l'écran.
  5. Sélectionnez la variable souhaitée et définissez les propriétés de votre choix dans la fenêtre des propriétés.

Affichage avec code de couleurs du dépassement de limite

En cas de dépassement d'une limite, la couleur de la variable peut colorer la zone entière ou uniquement la zone commençant après le dépassement de limite. Cette fonctionnalité est contrôlée par le biais de la propriété Explicite, dans le groupe Affichage.

Cette propriété affecte uniquement l’affichage de valeurs comportant des valeurs limites définies issues des variables.
Les valeurs limites des matrices de réaction ne sont pas prises en compte.

  • Active : Si une valeur limite de la variable liée est dépassée, seule la partie de l’affichage correspondant au dépassement de valeur limite est affichée dans la couleur de la valeur limite correspondante.
    Si la variable comporte plusieurs valeurs limites définies, les zones correspondantes de l’affichage sont individuellement affichées dans la couleur de la valeur limite correspondante.
  • Inactive : Si une valeur limite de la variable liée est dépassée, l’affichage entier reprend les couleurs de la valeur limite dépassée.

Par défaut : Inactive


Elements from earlier versions

Manuel -> Synoptiques -> Éléments de synoptique -> Elements from earlier versions

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

The following elements are no longer available for the current zenon version:

Élément | Available up to and including version
Bouton Bitmap | 6,22
Élément de message | 7,20
Combinaison multiple | 7,20
Elément de déplacement | 6,22
Bouton invisible | 6,22
Élément d'état | 7,20

Les dispositions suivantes s'appliquent aux éléments qui ne sont plus pris en charge :

  • Après la conversion dans un projet actuel incompatible avec un élément :
    • Les éléments existants sont affichés dans Editor et dans le Runtime.
    • Les éléments existants ne peuvent pas être configurés dans Editor.
    • Les nouveaux éléments ne peuvent pas être créés dans Editor.
  • Lors de la compilation des fichiers de Runtime pour une version compatible avec ces éléments :
    • Les éléments peuvent être affichés, configurés et créés. Vous trouverez ensuite ces éléments au bas de la liste déroulante Éléments.

Autres sujets abordés dans ce chapitre

Bouton Bitmap (versions 6.22 et antérieures uniquement)

Message element (up to version 7.20 only)

Multibin (up to version 7.20 only)

Elément de déplacement

Bouton invisible (versions 6.22 et antérieures uniquement)

Status element (up to version 7.20 only)


Bouton Bitmap (versions 6.22 et antérieures uniquement)

Manuel -> Synoptiques -> Éléments de synoptique -> Elements from earlier versions -> Bouton Bitmap (versions 6.22 et antérieures uniquement)

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Lie un fichier graphique (éléments graphiques pixellisés : *.bmp, *.jpg, *.gif ou *.png ou vectoriels : *.wmf) à un bouton.

Si la propriété Créer fichiers RT pour du projet est définie sur une valeur basse (6.50), le bouton de l'élément permet uniquement d'afficher des textes dans le Runtime. Dans ce cas, les éléments graphiques doivent être configurés à l'aide du bouton Bitmap.

Boutons de développement des différentes versions du Runtime :

Bouton pour : | Créer fichiers RT pour <06:50 | à partir de 6.50
Texte | Bouton | Bouton
Éléments graphiques | Bouton Bitmap | Bouton
invisible | Bouton invisible | Bouton

Pour activer un bouton Bitmap :

  • Sélectionnez le symbole Bouton bitmap dans la barre d'outils Éléments.
  • Sélectionnez le point de départ dans la fenêtre principale.
  • Agrandissez l'élément tout en maintenant le bouton gauche la souris enfoncé.
  • Une boîte de dialogue s'affiche, vous permettant de lier la fonction de votre choix à l'élément.
  • Vous pouvez modifier la forme, la taille et la position de l'élément à tout instant en déplaçant les coins ou l'élément tout entier.
  • Si vous maintenez la touche Alt enfoncée pendant que vous déplacez les coins extérieurs, la modification est apportée de manière symétrique.
  • Vous pouvez définir les propriétés individuelles de l'élément dans la fenêtre des propriétés. Pour cela, l'élément doit être actif (clic sur un bouton de la souris) dans la fenêtre principale.

Une boîte de dialogue filtrée s’affiche pour vous permettre de sélectionner les fonctions :

Élément

Description

Arbre du projet

Définition du projet à partir duquel la fonction doit être sélectionnée.

Volet de sélection

Sélection de la fonction.

Pas de sélection

Selon l’élément :

  • le dialogue est annulé
  • Les fonctions déjà liées sont supprimées.

Conseil : Vous pouvez ajuster la taille de cette boîte de dialogue. La taille et la position de la boîte de dialogue sont enregistrées.

Modifier une fonction liée

  1. manuellement
    • Dans la vue de détail du gestionnaire de projet, ouvrez les fonctions concernées.
    • Faites glisser la fonction de votre choix sur l’élément tout en maintenant le bouton gauche de la souris enfoncé.
    • La nouvelle fonction se substitue à la fonction précédente.
  2. Automatique
    • Sélectionnez l’entrée Remplacer les liens du menu contextuel. Pour plus de détails, reportez-vous au chapitre Substitution de variables dans les éléments dynamiques.

Les fichiers graphiques au format GIF peuvent être animés dans le bouton (Button) d'élément dynamique :

  1. Attribuez un fichier GIF à un bouton dans le nœud Remplissage via la propriété Fichier graphique
  2. In the same node, activate an activation possibility for Animation GIF.

    You can execute the animation continuously or as dependent on a Bool variable:

    1. To execute the animation continuously: Activez la propriété Toujours animation GIF.
  3. To execute the animation as dependent on a variable: Si nécessaire, liez la propriété Variable à une variable (Bool). The animation is executed as soon as this variable gets the value 1.


Message element (up to version 7.20 only)

Manuel -> Synoptiques -> Éléments de synoptique -> Elements from earlier versions -> Message element (up to version 7.20 only)

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Avec l'élément dynamique Élément message, vous pouvez afficher le texte dans le Runtime en fonction de la valeur des variables de procédé. Les sources des textes sont des fichiers texte, structurés sous forme de tables. Vous pouvez les configurer librement. attention Attention

This element is no longer supported from version 7.50.

Cet élément est uniquement disponible si la propriété Créer fichiers RT pour du projet a été définie sur une valeur inférieure à 7.50.

Pour créer un élément dynamique Élément message sur un synoptique :

  1. Sélectionnez le symbole Élément message dans la barre d'outils Éléments.
  2. Sélectionnez le point de départ dans la fenêtre principale.
  3. Agrandissez l'élément tout en maintenant le bouton gauche la souris enfoncé.
  4. La boîte de dialogue de sélection de variables multiples s'affiche à l'écran.
  5. Sélectionnez les variables de votre choix.
  6. Définissez les propriétés de votre choix dans la fenêtre des propriétés.

Construction de la table

  • Créez un document texte.
  • Enregistrez-le au format Unicode.
  • Utilisez le caractère | (code ASCII 124) comme séparateur de colonnes.
  • Exemple :

    Off|On|Diff|Fault

    Off|On|True|False

    Texte1|Texte2|Texte3|Texte4

  • Les variables liées définissent les lignes et les colonnes du texte à afficher.

Sélection de la colonne Variable

Cette variable doit être une variable mot (UINT), et définit la position de la colonne de laquelle est extrait le texte. Dans le même temps, elle contrôle le type de traitement.

Bit défini | Effet
Bit 15 (bit dont la valeur est la plus élevée) | L'élément message est bloqué ; rien ne s'affiche plus à l'écran.
Bit 14 | Désactivation de la mise à jour de l'affichage à l'écran ; le dernier texte actif est affiché.

Variables d'activation des cellules

L'adressage des cellules se déroule en fonction du numéro de bit, et non de la valeur numérique.

Les autres variables définissent les positions des cellules depuis lesquelles est extrait le texte. Les positions des cellules sont définies par les éléments suivants :

Valeur | Ligne
1 | Ligne 1
2 | Ligne 2
4 | Ligne 3

Chaque variable de ligne est responsable pour un maximum de 16 lignes. Si plus de 16 lignes sont requises, d'autres variables de ligne peuvent être définies.

Si la ligne 1 et la ligne 2 doivent être affichées en alternance, la valeur de la variable de ligne doit être 3. Si les 16 bits de la première variable sont définis, les lignes de 1 à 16 sont affichées en alternance. Si les 16 bits de la deuxième variable sont définis, les lignes de 17 à 32 sont affichées en alternance.

  • Exemple :

Si le premier bit des premières variables et le premier bit de la deuxième variable sont définis, les lignes 1 et 17 sont affichées en alternance.


Multibin (up to version 7.20 only)

Manuel -> Synoptiques -> Éléments de synoptique -> Elements from earlier versions -> Multibin (up to version 7.20 only)

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

You can define several elements with the dynamic element Multibin:

  • Affichage d'éléments graphiques en fonction des valeurs de variables.
  • Symboles de couleur
  • Génération de texte d'état
  • Liaison de valeurs numériques et de valeurs binaires
  • Affichez un commutateur ou une touche pour la première variable, à condition que la première variable soit une variable binaire.

Remarque : The functionality of the Multibin element can also be configured using the combined element.

attention Attention

This element is no longer supported from version 7.50.

Cet élément est uniquement disponible si la propriété Créer fichiers RT pour du projet a été définie sur une valeur inférieure à 7.50.

Creating the multi binary element

Pour créer un élément combinaison multiple sur un synoptique :

  1. Select the Multibin symbol in the Elements toolbar
  2. Sélectionnez le point de départ dans la fenêtre principale.
  3. Agrandissez l'élément tout en maintenant le bouton gauche la souris enfoncé.
  4. La boîte de dialogue d'attribution de variable s'affiche à l'écran.
  5. Sélectionnez les variables de votre choix.
  6. Définissez les propriétés de votre choix dans la fenêtre des propriétés.

Définition d'états

Vous définissez les paramètres d'affichage des états variables dans la boîte de dialogue de saisie d'éléments :

  1. Cliquez sur le nœud Affichage.
  2. Sélectionnez la propriété Configuration.
  3. La boîte de dialogue de définition des états s'ouvre.
  4. Les états définis sont traités du haut vers le bas.
  5. Les paramètres du premier état applicable sont affichés.

Autres sujets abordés dans ce chapitre

Élément combinaison multiple


Élément combinaison multiple

Manuel -> Synoptiques -> Éléments de synoptique -> Elements from earlier versions -> Multibin (up to version 7.20 only) -> Élément combinaison multiple

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Autres sujets abordés dans ce chapitre

Fichier graphique

Textes d'état et symboles de synoptique

Paramètres de commutation

Pour attribuer l'élément combinaison multiple à certains états :

  1. Dans le nœud Affichage, cliquez sur la propriété Configuration.
  2. La boîte de dialogue de saisie d'éléments s'affiche à l'écran.
  3. Sélectionnez le type d'affichage souhaité :
    • Graphics file: Affichage des informations sous forme de fichiers graphiques bitmap ; ceci autorise également le déplacement de synoptiques.
    • Affichage de textes d'état et de symboles de synoptiques et informations sur les textes
  4. Les états définis traités du haut vers le bas et le paramètre du premier état applicable sont affichés.


Fichier graphique

Manuel -> Synoptiques -> Éléments de synoptique -> Elements from earlier versions -> Multibin (up to version 7.20 only) -> Élément combinaison multiple -> Fichier graphique

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Fichier graphique

Affichage des informations dans les fichiers graphiques. Autorise également les images en mouvement.

Type d'affichage

Propriété | Description
Fichier graphique | Active : Les fichiers graphiques sont utilisés pour l'affichage des états dans le Runtime. Leur configuration est expliquée ici.
Textes d'état et symboles de synoptique | Active : Les textes d'état et symboles de synoptique sont utilisés pour l'affichage des états dans le Runtime. Le symbole ou le groupe d'éléments doit déjà être présent dans le synoptique. Le symbole affiché dans la liste déroulante clignote sur le synoptique jusqu'à ce que la boîte de dialogue Saisir un élément soit fermée. Sa configuration est expliquée au chapitre Texte d'état et symbole de synoptique.
Avec dimension originale | Active : les éléments graphiques sont affichés à leur taille originale. Inactive : les éléments graphiques sont étirés ou compressés en fonction de la taille de l'affichage. Remarque : Si la propriété est active, il est recommandé d’utiliser la même taille pour tous les fichiers graphiques contenus dans l’élément, car la taille de l’élément est adaptée à celle de tous les fichiers graphiques actuellement affichés.

Options

Propriété | Description
Afficher état | Sélectionne l'élément dans le Runtime avec un point rouge en cas d'état d'exception.
Tenir compte du clignotement de toutes les variables | Active : Résumé des alarmes pour toutes les variables de procédé liées. La couleur et les éléments graphiques sont définis en fonction de l'état actuel. Les états clignotants actifs sont conservés jusqu'à la validation.

État 0 (BAS)

Propriété

Description

État 0 (LOW)

Paramètres de l'état actuel conformes au type d'affichage.

Éléments graphiques

Sélection des éléments graphiques. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de fichiers.

  • Si les fichiers souhaités dans les nœuds Fichiers/Graphiques ne sont pas encore présents dans le gestionnaire de projet, vous pouvez les ajouter depuis la boîte de dialogue de sélection.
  • Pour pouvoir sélectionner directement un fichier dans un dossier de l’ordinateur, la propriété Sélection directe du fichier doit être activée.

Remarque : Si la propriété Taille d'origine est active, il est recommandé d’utiliser la même taille pour tous les fichiers graphiques contenus dans l’élément, car la taille de l’élément est adaptée à celle de tous les fichiers graphiques actuellement affichés.

Autres états

Propriété

Description

Autres états

Sélectionnez d'autres variables en cliquant sur le bouton ..., puis triez les états en cliquant sur les boutons Haut et Bas.

Pour chacune des variables liées, un état discret doit être défini ; pour définir celui-ci, spécifiez les valeurs des informations à combinaison de bits et les valeurs numériques. Les valeurs à combinaison de bits doivent être attribuées plusieurs fois : nombre d'états moins 1 ; exemple : double message = 3.

Si un des états est vrai en Runtime, il est affiché à l'écran (bitmap ou symbole/texte). Si aucun des états définis n'est vrai, alors l'état 0 [BAS], globalement valable pour la combinaison multiple, est affiché à l'écran.

Remarque : Pour les variables non-binaires, la valeur doit être spécifiée dans la résolution du signal.

Paramètres de commutation

Si une variable binaire est liée en tant que première variable, elle peut être utilisée en tant que commutateur ou commutateur temporaire.
Pour les informations de configuration, reportez-vous au chapitre Paramètres de commutation.

Fermer boîte de dialogue

Options | Description :
OK | Applique les paramètres et ferme la boîte de dialogue.
Annuler | Annule toutes les modifications et ferme la boîte de dialogue.
Aide | Ouvre l'aide en ligne.


Textes d'état et symboles de synoptique

Manuel -> Synoptiques -> Éléments de synoptique -> Elements from earlier versions -> Multibin (up to version 7.20 only) -> Élément combinaison multiple -> Textes d'état et symboles de synoptique

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Textes d'état et symboles de synoptique

Affichage de symboles et d'informations textuelles. La couleur de l'état actuel est transférée vers le symbole au même moment.

Type d'affichage

Propriété | Description
Fichier graphique | Active : Les fichiers graphiques sont utilisés pour l'affichage des états dans le Runtime. Leur configuration est expliquée au chapitre Fichier graphique.
Textes d'état et symboles de synoptique | Active : Les textes d'état et symboles de synoptique sont utilisés pour l'affichage des états dans le Runtime. Le symbole ou le groupe d'éléments doit déjà être présent dans le synoptique. Le symbole affiché dans la liste déroulante clignote sur le synoptique jusqu'à ce que la boîte de dialogue Saisir un élément soit fermée. Leur configuration est expliquée ici.
Afficher texte d'état | Active : Les textes d'état sont affichés dans le Runtime.
La couleur d'arrière-plan peut être définie. | Active : La couleur d'arrière-plan du texte peut être choisie librement.

Options

Propriété | Description
Afficher état | Active : Sélectionne l'élément dans le Runtime avec un point rouge en cas d'état d'exception.
Colorer uniquement la zone de remplissage | Active : Seules les zones de remplissage sont colorées ; la bordure reste inchangée.
Reprendre le clignotement de toutes les variables | Active : Résumé des alarmes pour toutes les variables de procédé liées. La couleur et les éléments graphiques sont définis en fonction de l'état actuel. Les états clignotants actifs sont conservés jusqu'à la validation.
Couleur de remplissage du clignotement | Couleur de fond lorsque l'élément clignote. Cliquez sur la couleur pour ouvrir la boîte de dialogue de sélection d'une couleur.

État 0 (Bas)

Propriété | Description
Texte d'état | Texte tel qu'il est affiché dans le Runtime. La saisie est uniquement possible si la propriété Afficher texte d'état est active.
Couleur du symbole/couleur du texte | Sélectionnez la couleur du symbole et du texte d'état. Cliquez sur la couleur pour ouvrir la boîte de dialogue de sélection d'une couleur.
Couleur d'arrière-plan du texte | Sélection de la couleur d'arrière-plan du texte d'état. Cliquez sur la couleur pour ouvrir la boîte de dialogue de sélection d'une couleur. Disponible uniquement si la propriété Arrière-plan configurable est active.

Autres états

Propriété

Description

Autres états

Sélectionnez d'autres variables en cliquant sur le bouton ..., puis triez les états en cliquant sur les boutons Haut et Bas.

Pour chacune des variables liées, un état discret doit être défini ; pour définir celui-ci, spécifiez les valeurs des informations à combinaison de bits et les valeurs numériques. Les valeurs à combinaison de bits doivent être attribuées plusieurs fois : nombre d'états moins 1 ; exemple : double message = 3.

Si un des états est vrai en Runtime, il est affiché à l'écran (bitmap ou symbole/texte). Si aucun des états définis n'est vrai, alors l'état 0 [BAS], globalement valable pour la combinaison multiple, est affiché à l'écran.

Remarque : Pour les variables non-binaires, la valeur doit être spécifiée dans la résolution du signal.

Texte d'état

Texte tel qu'il est affiché dans le Runtime. La saisie est uniquement possible si la propriété Afficher texte d'état est active.

Couleur du symbole/couleur du texte

Sélectionnez la couleur du symbole et du texte d'état. Cliquez sur la couleur pour ouvrir la boîte de dialogue de sélection d'une couleur.

Couleur d'arrière-plan du texte

Sélection de la couleur d'arrière-plan du texte d'état. Cliquez sur la couleur pour ouvrir la boîte de dialogue de sélection d'une couleur.

Disponible uniquement si la propriété Arrière-plan configurable est active.

Paramètres de commutation

Si une variable binaire est liée en tant que première variable, elle peut être utilisée en tant que commutateur ou commutateur temporaire.
Pour les informations de configuration, reportez-vous au chapitre Paramètres de commutation.

Fermer boîte de dialogue

Options | Description :
OK | Applique les paramètres et ferme la boîte de dialogue.
Annuler | Annule toutes les modifications et ferme la boîte de dialogue.
Aide | Ouvre l'aide en ligne.


Paramètres de commutation

Manuel -> Synoptiques -> Éléments de synoptique -> Elements from earlier versions -> Multibin (up to version 7.20 only) -> Élément combinaison multiple -> Paramètres de commutation

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Paramètres de commutation

Si une variable binaire est liée en tant que première variable, elle peut être utilisée en tant que commutateur ou commutateur temporaire.

Propriété | Description
Lecture seule | Active : Il est impossible de saisir des valeurs prescrites dans le Runtime.
Commutation | Active : L'élément se comporte comme un commutateur pour la saisie de valeurs prescrites.
Activation temporaire | Active : Écrit la valeur prescrite HAUT. La position préférée du commutateur devient Arrêt.
Désactivation temporaire | Active : Écrit la valeur prescrite BAS. La position préférée du commutateur devient Marche.
Période de maintien en ms | Durée de maintien de l'état de la valeur prescrite, en millisecondes.
Groupe d'autorisation | Définit le niveau d'autorisation requis pour l'élément valeur prescrite.
Raccourci-clavier | Raccourci clavier utilisable pour la spécification des valeurs prescrites
Supprimer | Supprime la combinaison de touches


Elément de déplacement

Manuel -> Synoptiques -> Éléments de synoptique -> Elements from earlier versions -> Elément de déplacement

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Avec l'élément Déplacer un symbole, vous pouvez déplacer les éléments que vous souhaitez déplacer horizontalement ou verticalement ou en modifier la talle (facteur de zoom), quel que soit l'état des autres variables. Pour cela, connectez les éléments à un symbole.

Pour créer un élément dynamique Déplacer un symbole sur un synoptique :

  • select the Move Symbol symbol in the Elements toolbar
  • Sélectionnez le point de départ dans la fenêtre principale.
  • Agrandissez l'élément tout en maintenant le bouton gauche la souris enfoncé.
  • Sélectionnez la variable souhaitée et définissez les propriétés de votre choix dans la fenêtre des propriétés.
  • Vous pouvez uniquement utiliser les symboles déjà présents dans le synoptique.

Remarque : The Move Symbol dynamic element is generally only available up to version 6.22. From version 6.50, use dynamic properties of an element such as Position, Dimensions et rotation dynamiques or Remplissage for all dynamic actions.
Exception: Windows CE : Projects from all versions provide the element if the Projet Windows CE property has been activated.


Bouton invisible (versions 6.22 et antérieures uniquement)

Manuel -> Synoptiques -> Éléments de synoptique -> Elements from earlier versions -> Bouton invisible (versions 6.22 et antérieures uniquement)

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Si la propriété Créer fichiers RT pour du projet est définie sur une valeur basse (6.50), le bouton de l'élément permet uniquement d'afficher des textes dans le Runtime. Les boutons invisibles doivent être configurés à l'aide de l'élément bouton invisible, dans ce cas.

Boutons de développement des différentes versions du Runtime :

Bouton pour : | Créer fichiers RT pour <06:50 | à partir de 6.50
Texte | Bouton | Bouton
Éléments graphiques | Bouton Bitmap | Bouton
invisible | Bouton invisible | Bouton

L'élément dynamique Bouton invisible offre la possibilité de définir une interface utilisateur interactive transparente, qui est liée à une fonction d'appel de fonction.

Pour activer un bouton invisible :

  • select the Invisible Button symbol in the Elements toolbar or in the Elements drop-down list
  • Sélectionnez le point de départ dans la fenêtre principale.
  • Agrandissez l'élément tout en maintenant le bouton gauche la souris enfoncé.
  • Une boîte de dialogue s'affiche, vous permettant de lier la fonction de votre choix à l'élément.
  • Vous pouvez modifier la forme, la taille et la position de l'élément à tout instant en déplaçant les coins ou l'élément tout entier.
  • Si vous maintenez la touche Alt enfoncée pendant que vous déplacez les coins extérieurs, la modification est apportée de manière symétrique.
  • Vous pouvez définir les propriétés individuelles de l'élément dans la fenêtre des propriétés. Pour cela, l'élément doit être actif (clic sur un bouton de la souris) dans la fenêtre principale.

Une boîte de dialogue filtrée s’affiche pour vous permettre de sélectionner les fonctions :

Élément

Description

Arbre du projet

Définition du projet à partir duquel la fonction doit être sélectionnée.

Volet de sélection

Sélection de la fonction.

Pas de sélection

Selon l’élément :

  • le dialogue est annulé
  • Les fonctions déjà liées sont supprimées.

Conseil : Vous pouvez ajuster la taille de cette boîte de dialogue. La taille et la position de la boîte de dialogue sont enregistrées.

Modifier une fonction liée

  1. manuellement
    • Dans la vue de détail du gestionnaire de projet, ouvrez les fonctions concernées.
    • Faites glisser la fonction de votre choix sur l’élément tout en maintenant le bouton gauche de la souris enfoncé.
    • La nouvelle fonction se substitue à la fonction précédente.
  2. Automatique

Sélectionnez l’entrée Remplacer les liens du menu contextuel. Pour plus de détails, reportez-vous au chapitre Substitution de variables dans les éléments dynamiques.

Informations concernant info

Pour les boutons invisibles, l'état de la variable ne peut pas être affiché.


Status element (up to version 7.20 only)

Manuel -> Synoptiques -> Éléments de synoptique -> Elements from earlier versions -> Status element (up to version 7.20 only)

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Les symboles affichés sur le synoptique peuvent être contrôlés avec un élément dynamique Élément logique. De cette manière, les propriétés d'une variable liée, telles que les couleurs ou le clignotement, sont transférées vers un symbole. Vous pouvez ainsi afficher des textes de valeur limite statistique.

attention Attention

This element is no longer supported from version 7.50.

Cet élément est uniquement disponible si la propriété Créer fichiers RT pour du projet a été définie sur une valeur inférieure à 7.50.

Pour créer un élément dynamique Élément logique sur un synoptique :

  1. Sélectionnez le symbole Élément logique dans la barre d'outils Éléments ou dans la liste déroulanteÉléments.
  2. Sélectionnez le point de départ dans la fenêtre principale.
  3. Agrandissez l'élément tout en maintenant le bouton gauche la souris enfoncé.
  4. La boîte de dialogue de sélection de variable s'affiche à l'écran.
  5. Sélectionnez la variable de votre choix.
  6. Définissez les propriétés de votre choix dans la fenêtre des propriétés.

info Informations

Instead of the status element dynamic element, the dynamics properties of an element or the combined element can be used.


Modifier les éléments de synoptique

Manuel -> Synoptiques -> Modifier les éléments de synoptique

De nombreuses possibilités s'offrent à vous pour modifier les éléments de synoptique :

  • Actions graphiques
  • Remplacement automatisé
  • Image de fond
  • Boîte de dialogue de sélections de fonctions
  • Boîte de dialogue de sélection de variables

Autres sujets abordés dans ce chapitre

Actions graphiques

Remplacement des liens de variables et de fonctions

Image de fond

Fonctions

Variables


Actions graphiques

Manuel -> Synoptiques -> Modifier les éléments de synoptique -> Actions graphiques

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Des actions graphiques sont également possibles dans zenon. Pour cela, utilisez les commandes suivantes :

  • Propriétés de l'élément
  • Les commandes du menu Edition.
  • Actions avec la souris :
    • Maintenez la touche Ctrl tout en déplaçant la souris pour copier l'élément.
    • Déplacer l'élément en maintenant le bouton droit de la souris enfoncé ouvre le menu contenu, et vous permet au choix de copier ou déplacer l'élément.
  • Le menu contextuel

info Informations

Les actions graphiques, telles que l'application d'une ombre ou d'un effet de flou, peuvent avoir une incidence sur les performances du système, dans l'éditeur comme dans le Runtime.

Saisie de valeurs

Pour la saisie de valeurs dans une limite déterminée, des réglettes permettent de définir de nombreuses propriétés. Ces réglettes sont accessibles via le bouton .... Les modifications apportées aux valeurs à l'aide de la réglette sont immédiatement affichées dans le champ des propriétés.

Lors de la sélection de couleurs, la couleur activée dans la palette est affichée directement sur l'objet, sous forme d'aperçu.

Autres sujets abordés dans ce chapitre

Troncages

Effets pour les éléments de synoptique

Déplacement d'éléments

Dégradé de couleurs et transparence

Transférer le format

Copie, insertion et déplacement

Création de listes

Ajouter et supprimer des points de polylignes, de polygones et de tubes :

Flèches dans les éléments vectoriels

Grille

Police

Sélectionner

Redimensionnement, centrage et zoom

Raccourcis-clavier

Assigning a keyboard shortcut to an element


Troncages

Manuel -> Synoptiques -> Modifier les éléments de synoptique -> Actions graphiques -> Troncages

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Les éléments Rectangle et bouton , Polygone, Polyligne et Tube peuvent être affichés avec des troncages.

info Informations

Rounding is only available to a limited extent for:

  • Active Projet Windows CE property
    or
  • Windows basic value for the Qualité graphique property

Rectangle et bouton

Définissez le niveau de troncage grâce aux propriétés du nœud Coins arrondis. Deux valeurs peuvent être définies pour chaque coin :

  • Valeur X : valeur de pourcentage de l'arrondi calculée sur la base de la largeur de l'élément.
  • Valeur Y : valeur de pourcentage de l'arrondi calculée sur la base de la hauteur de l'élément.

0% signifie aucun arrondi.
100% signifie un arc de cercle.

Si la propriété Proportionnel est activée, seule la valeur X peut être saisie.

Les valeurs peuvent être définies séparément pour chaque angle. La valeur d'un angle est définie sur -1, puis celui-ci dérive sa valeur d'arrondi des propriétés Tous les x [%] et/ou Tous les y [%].

info Informations

Si la valeur de Tous les x [%] ou Tous les y [%] est modifiée, toutes les valeurs sont définies sur -1 sur l'axe correspondant. Par conséquent, différentes valeurs peuvent être à nouveau harmonisées très facilement.

Conseil : un petit triangle jaune se trouve dans le quartier inférieur droit de l'élément. Cliquez dessus avec la souris et déplacez-le triangle vers le haut jusqu'à obtenir l'arrondi souhaité.

Exemple :

Le bouton comporte un fichier GIF avec un arrière-plan transparent. Un dégradé de couleur rouge a été défini pour le bouton. L'arrondi des angles a été défini avec Tous les x [%] et Proportionnel ; la valeur a ensuite été modifiée individuellement pour l'angle inférieur gauche.

info Informations

Si la propriété Par les valeurs de luminosité est utilisée pour afficher la couleur de remplissage, les bords arrondis ne peuvent pas être utilisés. Si cet élément est activé pour un élément utilisant des coins arrondis, l'élément est affiché avec des coins non arrondis.

Polygone, polyligne et tube

Vous pouvez définir le degré d'arrondi des polygones, des polylignes et des tubes avec la propriété Arrondir du nœud Affichage. Pour cela, saisissez une valeur comprise entre 0 et 1.


Effets pour les éléments de synoptique

Manuel -> Synoptiques -> Modifier les éléments de synoptique -> Actions graphiques -> Effets pour les éléments de synoptique

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Différents éléments graphiques peuvent être mis en évidence à l'aide d'effets dans le Runtime.

Vous trouverez des effets supplémentaires au chapitre effets pour les cadres.

Autres sujets abordés dans ce chapitre

Effet de rayonnement

Cadres et ombres


Effet de rayonnement

Manuel -> Synoptiques -> Modifier les éléments de synoptique -> Actions graphiques -> Effets pour les éléments de synoptique -> Effet de rayonnement

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

De nombreux éléments de zenon sont compatibles avec l'effet de luminescence.

Conditions requises

Pour utiliser l'effet de luminescence pour un élément graphique, vous devez satisfaire les conditions suivantes :

  • The project property Apparence graphique/Qualité graphique must be set to DirectX Hardware or DirectX Software. Pour plus de détails, reportez-vous au chapitre Qualité d'affichage graphique.
  • L'élément graphique doit être pris en charge.
    À l'exception des éléments suivants, tous les éléments graphiques sont pris en charge : WMF, symboles, éléments combinés, ActiveX, WPF, éléments de contrôle Win32, fenêtres et certains éléments de contrôle spéciaux.
  • L'élément doit être visible.
    Si l'élément est invisible, l'effet de luminescence est automatiquement invisible, car il est directement dérivé de l'élément.

Configuration

Pour configurer l'effet de luminescence pour un élément pris en charge :

  1. Ensure that the Qualité graphique property is set to DirectX Hardware or DirectX Software.
  2. Créez l'élément.
  3. Accédez au nœud Effets des propriétés
  4. Activez la propriété Activer dans le nœud Effet de rayonnement (seulement DirectX).
  5. Configurez la transparence, la couleur, l'étendue et la visibilité

    Si vous configurez plusieurs propriétés pour un même effet, la propriété la plus significative est exécutée dans le Runtime. Pour plus de détails, reportez-vous à la section Dépendances de la configuration. (Par exemple : un effet de luminescence invisible est toujours invisible ; les paramètres de clignotement n'ont plus aucune incidence.)

Valeur par défaut de l'effet de luminescence :

  • Activer: Inactive
  • Actif seulement si cliqué: Inactive
  • Transparence [%]: 20 %
  • Propagation [pixel]: 15 pixels
  • Coloration: Inactive
  • Couleur: #FFFF90 (jaune)
  • Variable pour la couleur: Aucun
  • Variable pour la visibilité: Aucun
  • Visibilité depuis valeur limite: Inactive
  • Visible de: 0
  • Visible jusqu'à: 0
  • Variable pour le clignotement: Aucun
  • Clignotement depuis valeur limite: Inactive
  • 2 états de clignotement invisibles: Inactive

Dépendances de la configuration

Variable de visibilité

La visibilité génère des effets particulièrement puissants. Si l'effet de luminescence est défini sur invisible, le clignotement et la couleur sont ignorés. Dépendances :

  1. Variable pour la visibilité est lié et Visibilité depuis valeur limite est actif :
    • La propriété Invisible dans la valeur limite est activée : L'effet de luminescence est invisible.
    • La propriété Invisible dans la valeur limite n'est pas activée :
      L'effet de luminescence configuré dans les propriétés est affiché. Selon les paramètres définis, l'effet de luminescence peut également clignoter.
  2. Variable pour la visibilité est lié et Visibilité depuis valeur limite est inactif :
    • La valeur de la variable est conforme aux valeurs limite des propriétés de Visible de et Visible jusqu'à :
      L'effet de luminescence configuré dans les propriétés est affiché. Selon les paramètres définis, l'effet de luminescence peut également clignoter.
    • La valeur de la variable n'est pas conforme aux valeurs limite des propriétés de Visible de et Visible jusqu'à :
      L'effet de luminescence est invisible.
  3. La Variable pour la visibilité n'est pas liée :
    L'effet de luminescence configuré dans les propriétés est affiché. Selon les paramètres définis, l'effet de luminescence peut également clignoter.

Variable de clignotement

Pour tous les états pour lesquels l'effet de luminescence initialement configuré est affiché, vous définissez l'effet de luminescence configuré dans les propriétés. Dans ce cas, par exemple, la couleur d'une valeur limite peut être issue d'une variable spécifique ; pour plus de détails, reportez-vous à la section Couleur issue d'une variable.

  1. Variable pour le clignotement est lié, Clignotement depuis valeur limite est actif et 2 états de clignotement invisibles est actif :
    • La valeur limite a été dépassée :
      L'effet de luminescence clignote et alterne entre un effet de luminescence coloré (résultant du dépassement de valeur limite) et l'effet de luminescence initialement configuré.
    • La valeur limite n'a pas été dépassée :
      L'effet de luminescence ne clignote pas et l'effet de luminescence est affiché tel qu'il était initialement configuré.
  2. Variable pour le clignotement est lié, Clignotement depuis valeur limite est actif et 2 états de clignotement invisibles est inactif :
    • Limit value violation is active:
      L'effet de luminescence clignote et alterne entre un effet de luminescence coloré (résultant du dépassement de valeur limite) et l'absence d'effet de luminescence.
    • Limit value breach inactive:
      L'effet de luminescence ne clignote pas et l'effet de luminescence est affiché tel qu'il était initialement configuré.
  3. Variable pour le clignotement is linked, Clignotement depuis valeur limite is inactive:
    • Limit value violation is active:
      L'effet de luminescence clignote et alterne entre l'effet de luminescence initialement configuré et l'absence d'effet de luminescence.
    • Limit value breach inactive:
      L'effet de luminescence ne clignote pas et l'effet de luminescence est affiché tel qu'il était initialement configuré.
  4. Variable pour le clignotement n'est pas actif :
    L'effet de luminescence peut être affiché en fonction des autres propriétés.

Couleur issue d'une variable :

Offre la possibilité de définir la couleur de l'effet de luminescence dans la vue normale, par le biais des limites d'une variable. Ceci s'applique également à la vue normale lorsque l'effet de luminescence ne clignote pas.

  1. Variable pour la couleur lié :
    1. Limit value violation is active:
      La couleur de la limite dépassée est utilisée.
    2. Limit value breach inactive:
      Pour la coloration de l'effet de luminescence, la couleur définie par la propriété Couleur est utilisée.
  2. Variable pour la couleurNon lié
    Pour la coloration de l'effet de luminescence, la couleur définie par la propriété Couleur est utilisée.

Coloration :

définit si l'effet de luminescence est créé comme une image de l'élément réel, ou s'il est coloré avec une couleur unique.

  1. Coloration actif et Variable pour la couleur lié :
    1. Limit value violation is active:
      La couleur associée au dépassement de limite est utilisée pour colorer l'effet de luminescence.
    2. Limit value breach inactive:
      Pour la coloration de l'effet de luminescence, la couleur définie par la propriété Couleur est utilisée.
  2. La propriété Coloration est active et la propriété Variable pour la couleur n'est pas liée :
    Pour la coloration de l'effet de luminescence, la couleur définie par la propriété Couleur est utilisée.
  3. ColorationInactive : une image de l'élément réel avec toutes les couleurs correspondantes de l'élément est utilisée pour l'effet de luminescence.

Conseils relatifs à la configuration

Pour optimiser les résultats :

  • Sélectionnez plutôt une valeur peu élevée pour Transparence [%]. Sans coloration, la valeur peut être un peu plus élevée qu'avec la coloration.
  • Ne sélectionnez pas une valeur trop basse pour Propagation [pixel]. Celle-ci doit être >5 pour que l'effet soit visible hors de l'élément.
    Attention : les valeurs trop élevées (>20) peuvent entraîner une diminution considérable de l'effet de luminescence. Dans ce cas, la visibilité peut être augmentée en réduisant la transparence. En règle générale, l'effet de luminescence nécessite une puissance de calcul élevée. Réfléchissez bien avant de l'utiliser, et déterminez dans quelles conditions vous pouvez le faire. Une valeur plus élevée pour Propagation [pixel] nécessite davantage de ressources, ce qui affecte particulièrement les éléments proches les uns des autres.
  • Avec DirectX, l'effet de luminescence (à l'image de l'effet d'ombre) est issu de l'élément d'origine, et les modifications dynamiques de l'élément n'affectent pas l'effet. En outre, des éléments graphiques au format bitmap peuvent recevoir cet effet. Ainsi, par exemple, un élément graphique au format PNG comportant des zones semi-transparentes et une animation au format GIF fournit un effet de luminescence correct, qui est créé de manière dynamique durant l'affichage. L'effet de luminescence, comme l'ombre, affecte le texte ; l'effet peut être étendu au texte en corrélant les effets.

Autres sujets abordés dans ce chapitre

Exemples d'effets de luminescence

Gestion des erreurs


Exemples d'effets de luminescence

Manuel -> Synoptiques -> Modifier les éléments de synoptique -> Actions graphiques -> Effets pour les éléments de synoptique -> Effet de rayonnement -> Exemples d'effets de luminescence

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Exemples d'effets de luminescence

Effet de rayonnement

Élément sans effet de luminescence :

Élément avec effet de luminescence :

Couleurs

Couleur par défaut 0xFFFF90 (jaune) :

Couleur 0xFFFFFF (blanc) :

Transparence

Transparence de 0 % :

Transparence de 20% :

Transparence de 60% :

Étendue

Étendue de 0 pixels et transparence de 0 % :

Étendue de 5 pixels et transparence de 0 % :

Étendue de 10 pixels et transparence de 0 % :

Étendue de 20 pixels et transparence de 0 % :

Couleur 0xFFFF90, étendue de 5 pixels et transparence de 20 % :

Couleur 0xFFFF90, étendue de 20 pixels et transparence de 20 % :

Textes

Étendue de 5 pixels et transparence de 0 % :

Couleur 0xFF0000, étendue de 5 pixels et transparence de 0% :

Grande police de caractères avec étendue de 15 pixels et transparence de 0 % :

Grande police de caractères avec couleur 0xFF0000, étendue de 35 pixels et transparence de 20% :

Élément graphique partiellement transparent

Original :

Étendue de 20 pixels et transparence de 20% :

Couleur 0xFF0000, étendue de 20 pixels et transparence de 20% :

Incolore, étendue de 20 pixels et transparence de 20 % avec ombre (distance 40 pixels), transparence de 60 %, noir et lissage de 5 pixels.

Modifications d'éléments

Bouton 3D en couleurs contrastées, étendue de 15 pixels et transparence de 0 % sur un bouton 3D :

Bouton 3D en couleurs contrastées, enfoncé avec étendue de 15 pixels et transparence de 0 % sur un bouton 3D :


Gestion des erreurs

Manuel -> Synoptiques -> Modifier les éléments de synoptique -> Actions graphiques -> Effets pour les éléments de synoptique -> Effet de rayonnement -> Gestion des erreurs

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Gestion des erreurs

Fenêtre de sortie

Entrée | Niveau | Description
DirectX : synoptique 'Nom du synoptique' - L'élément 'Nom de l'élément' utilise un effet ne pouvant pas être affiché avec les paramètres graphiques actuellement sélectionnés. | Avertissement | L'effet de luminescence a été désactivé pour un élément. Toutefois, l'option DirectX Software ou DirectX Hardware n'est pas sélectionnée ou n'est pas disponible.

Liste de contrôle de recherche d'erreurs

  • DirectX est-il activé ?
  • DirectX est-il disponible sur le système ? Une vérification correspondante peut être effectuée en activant les messages de débogage dans l'outil de diagnostic Diagnosis Viewer. Pour faciliter la résolution d'incidents, un message détaillé est affiché.
  • L'élément est-il compatible avec l'effet de luminescence ?
  • L'élément est-il visible ?
  • Certaines propriétés statiques (par exemple, transparence) ne perturbent-elles ou n'empêchent-elles pas l'affichage de l'effet de luminescence ?
  • Certaines propriétés dynamiques ne perturbent-elles ou n'empêchent-elles pas l'affichage de l'effet de luminescence ?
  • Une propriété sélectionnée empêche-t-elle l'affichage de l'effet de luminescence dans certaines circonstances (par exemple, un bouton avec la propriété "Actif uniquement si enfoncé") ?


Cadres et ombres

Manuel -> Synoptiques -> Modifier les éléments de synoptique -> Actions graphiques -> Effets pour les éléments de synoptique -> Cadres et ombres

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Les éléments peuvent être complétés avec des cadres et des ombres.

Exception : Les éléments d'état ne peuvent pas recevoir d'ombres.

info Informations

Si la transparence d'un objet (par exemple, la couleur d'arrière-plan) est modifiée, l'affichage de l'ombre préconfigurée est modifié en conséquence. Toutefois, les valeurs de couleur et de transparences des ombres demeurent identiques durant le processus.

Définir un cadre et des ombres

  • Pour définir un cadre pour un élément, sélectionnez Cadre dans le nœud Cadres/Ombres de la propriété Type de cadre.
  • Pour définir un cadre pour un élément, sélectionnez Cadre dans le nœud Cadres/Ombres de la propriété Type de cadre.

Pour les ombres et les cadres, vous pouvez définir :

  • Distance : la distance du cadre ou de l'ombre par rapport à l'élément.
  • La couleur du cadre : la couleur du cadre ou de l'ombre.

Pour les cadres, vous pouvez définir :

  • La largeur de ligne : la largeur du cadre.

Pour les ombres, vous pouvez définir :

  • L'angle : l'angle à laquelle porte l'ombre, en degrés, dans le sens antihoraire en partant du bord extérieur droit.

  • La transparence : la transparence de l'ombre, comprise entre 0 et 100%, 0% étant une ombre opaque et 100% une ombre transparente.
  • La taille de l'ombre : la taille de l'ombre en pixels.
  • L'effet de flou : applique un effet de flou à la couleur de la surface et adoucit la transition avec l'ombre.
    Remarque : si une valeur est incorrectement définie sur 0, le calcul de l'effet affectera les performances du système.

info Informations

La transparence des lignes et les couleurs de remplissage d'un élément ont une incidence sur son ombre. Par exemple : Si la couleur de remplissage est réglée sur un niveau de transparence de 100%, aucune ombre ne sera visible pour la zone de remplissage.

Autres sujets abordés dans ce chapitre

Exemples


Exemples

Manuel -> Synoptiques -> Modifier les éléments de synoptique -> Actions graphiques -> Effets pour les éléments de synoptique -> Cadres et ombres -> Exemples

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Exemples

Ombre à un angle de 45 degrés, avec un décalage de 10 pixels

Ombre à un angle de 45 degrés, avec un décalage de 30 pixels

Ombre d'une taille de 30 pixels

Ombre d'une taille de -20 pixels

Ombre d'une taille de -20 pixels, avec un dégradé de couleurs transparent dans l'élément

Rectangle arrondi avec un flou de 10


Déplacement d'éléments

Manuel -> Synoptiques -> Modifier les éléments de synoptique -> Actions graphiques -> Déplacement d'éléments

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Pour déplacer des éléments, utilisez :

A partir de la version 6.50

  • Les propriétés de l'élément concerné :
    • Position
    • Dimensions et rotation dynamiques
  • Vous pouvez également animer des éléments à l'aide des propriétés.
    • Couleur(s) de remplissage dynamique(s)Dans le nœudRemplissage
    • ClignotementDans le nœudVisibilité/Clignotement
    • VisibilitéDans le nœudVisibilité/Clignotement

Up to and including version 6.22 and for Runtime compatibility with version 6.22, as well as for Windows CE:

  • Vous pouvez également utiliser l'élément dynamique Move Symbol (Déplacer le symbole).


Dégradé de couleurs et transparence

Manuel -> Synoptiques -> Modifier les éléments de synoptique -> Actions graphiques -> Dégradé de couleurs et transparence

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Les éléments peuvent recevoir des dégradés de couleurs ou être définis comme transparents.

Pour cela, sélectionnez les propriétés de l'élément correspondant dans le nœud Remplissage :

Dégradés de couleur

Les dégradés de couleurs peuvent être définis dans la direction suivante, pour les éléments suivants :

Élément | Linéaire | Sélectif | Sélectif avec bordures | Lumineux
Rectangle | X | X | X | X
Cercle | X | X | -- | X
Quartier de cercle | X | X | -- | X
Polygone | X | X | X | X
Bouton | X | X | X (if angular) | X

Pour définir un dégradé de couleur, sélectionnez Color Gradient (Dégradé de couleur) comme Remplissage (type).

Vous pouvez maintenant définir le dégradé de couleurs via les propriétés du groupe Gradient de couleur. Vous pouvez également définir le dégradé de couleurs à l'aide de la souris. Pour cela, cliquez sur le cercle jaune dans l'élément qui comporte une ligne reliée au point central, puis déplacez le cercle jusqu'à ce que vous obteniez le dégradé souhaité.

Dégradé de couleurs sous Windows CE ou, pour la qualité des éléments graphiques, Windows Basic.

Sous Windows CE, ou pour le paramètre Windows Basic pour la propriété Qualité graphique, les dégradés de couleur des éléments vectoriels peuvent uniquement obtenus par le biais de valeurs de luminosité. Pour l'affichage des dégradés de couleur, utilisez la propriété :

  • Luminosité à l'extérieur
  • Luminosité à l'intérieur

Remarque :

La propriété Par les valeurs de luminosité n'a pas besoin d'être activée séparément.

La propriété Angle [°] peut uniquement être modifiée par incréments de 90° dans Windows CE et lorsque le paramètre Windows Basic est défini pour la propriété Qualité graphique.

info Informations

Gradients are orientated horizontally for angles between 45° and 135°, and angles between 225° and 315°, otherwise they are vertical.

La propriété Par les valeurs de luminosité n'est pas disponible pour les polygones.

Bouton

Sous Windows CE et avec le paramètre Windows Basic, les conditions suivantes s'appliquent également au bouton de l'élément :

  • For property Gradient de couleur the values Selective and Selective with edges are not available.

Transparence

La propriété Transparence permet de définir un élément comme entièrement transparent.

Pour activer la transparence partielle d'éléments, utilisez les propriétés de transparence des couleurs de remplissage, de dégradé de couleurs et de couleur du cadre. Ici, vous pouvez définir l'opacité des couleurs en spécifiant des valeurs comprises entre 0 et 100 pour cent. Dans ce cas, 0 est opaque et 100 est complètement transparent. Toutes les valeurs comprises entre ces valeurs définissent un niveau de transparence variable selon le réglage.

Exemples

Transparence : couleur de remplissage = 100, couleur de remplissage 2 = 100

Transparence : couleur de remplissage = 50, couleur de remplissage 2 = 100

Transparence : couleur de remplissage = 0, couleur de remplissage 2 = 100

info Informations

Les éléments de contrôle de champs de listes, tels que les barres de défilement de synoptiques, ne sont pas compatibles avec la fonction de transparence.


Transférer le format

Manuel -> Synoptiques -> Modifier les éléments de synoptique -> Actions graphiques -> Transférer le format

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Transfère les propriétés d'un élément sélectionné vers un ou plusieurs éléments :

  1. Transférer vers un élément :
    1. Cliquez sur l'élément possédant les propriétés originales
    2. Cliquez sur le symbole Copier les propriétés
      ou la commande correspondante dans le menu contextuel
    3. Cliquez sur l'élément cible : les propriétés sont transférées.
  2. Transférer vers plusieurs éléments :
    1. Sélectionnez l'élément source
    2. Sélectionnez l'élément cible en maintenant la touche Ctrl enfoncée (les éléments source et cible sont sélectionnés)
    3. Cliquez sur le symbole Copier les propriétés ou la commande correspondante dans le menu contextuel
    4. Les propriétés de l’élément source sont transférées vers les éléments cibles.

Si plusieurs éléments ont été choisis comme source, les propriétés du premier élément sont transférées.

info Informations

Acceptez les propriétés par le biais de la fenêtre des propriétés :

Si plusieurs éléments sont sélectionnés, les propriétés du dernier élément correspondant sélectionné dans les propriétés sont affichées. Si la fenêtre des propriétés est affichée dans le mode Vue groupée ou le mode Toutes les propriétés, la propriété correspondante peut être transférée vers tous les éléments sélectionnés en appuyant sur la touche Entrée. Cela n'est pas possible dans le mode Vue en boîte de dialogue. Pour plus de détails, reportez-vous au chapitre Fenêtre des propriétés, section Sélection multiple.

Règles de copie des formats

Les éléments suivants sont copiés :

  • Les propriétés définissant directement un élément en termes de forme, de couleur et d'apparence, mais qui ne sont pas influencées par une variable.

Les éléments suivants ne sont pas copiés :

  • Les propriétés désactivées
  • Les propriétés qui n'ont aucun intérêt à être copiées, telles que les textes et Fichiers graphiques

    Exception :

    • les fichiers graphiques associés à un interrupteur sont copiés, dans la mesure où il est souhaitable que tous les interrupteurs soient identiques.
    • Les fichiers graphiques associés aux boutons ne sont pas copiés, car des fichiers graphiques différents sont normalement utilisés.
  • Les propriétés des groupes :
    • Autorisation
    • Coloration Automatique de Lignes
    • Général
    • Position
    • Dimensions et rotation dynamiques
    • Runtime
    • macros VBA
    • Écrire valeur prescrite
  • Tout ce qui provient directement des variables.
  • Les variables et fonctions liées.


Copie, insertion et déplacement

Manuel -> Synoptiques -> Modifier les éléments de synoptique -> Actions graphiques -> Copie, insertion et déplacement

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Pour copier, déplacer ou supprimer des éléments d'un synoptique, utilisez

  • Les commandes du menu Edition.
  • Actions avec la souris :

    Maintenez la touche Ctrl tout en déplaçant la souris pour copier l'élément.
    Déplacer l'élément en maintenant le bouton droit de la souris enfoncé ouvre le menu contenu, et vous permet au choix de copier ou déplacer l'élément.

  • Le menu contextuel

Déplacer

A l'exception des cadres, les objets peuvent être déplacés à l'aide du clavier ou de la souris. Vous pouvez utiliser des effets spéciaux associés à des touches de fonction lors du déplacement d'éléments :

Légende | Action | Résultat
Ctrl | Déplacement avec la souris | L'objet est copié.
Maj | Déplacement avec la souris | L'objet peut uniquement être déplacé horizontalement et verticalement.
Maj | Déplacement avec les touches fléchées | Chaque pression sur une touche déplace l'objet de 10 pixels.
Bouton droit de la souris | Déplacement avec la souris | Le menu contextuel vous permet de Copier ou Déplacer l'objet.
Barre d'espacement |  | Le pointeur de la souris devient une main. Avec cette main, la zone d'édition peut être déplacée avec le bouton gauche de la souris.


Création de listes

Manuel -> Synoptiques -> Modifier les éléments de synoptique -> Actions graphiques -> Création de listes

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

L'affichage de certaines listes peut être modifiée dans le Runtime. Toutes les options de configuration ne sont pas disponibles pour toutes les listes. La configuration peut différer selon le type de synoptique ; par exemple, les en-têtes du module Batch Control peuvent être configurés avec des propriétés différentes de ceux de la liste AML. Et surtout, les éléments de la liste pour les modules Liste AML, Batch Control, Liste CEL, Tendance Étendue, Report Viewer ou RGM proposent différentes options de création.

Par exemple, les paramètres suivants sont disponibles :

  • Affichage général
  • En-têtes et barres de défilement
  • Élément graphique de la case à cocher.
  • Listes configurables

Autres sujets abordés dans ce chapitre

Affichage

En-têtes et barres de défilement

Élément graphique de la case à cocher.

Listes configurables


Affichage

Manuel -> Synoptiques -> Modifier les éléments de synoptique -> Actions graphiques -> Création de listes -> Affichage

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Dans la section Affichage, vous pouvez configurer la police et la hauteur de lignes et activer la propriété Paramètres du graphique étendu.

Police

Sélectionnez la police à utiliser pour la liste à l'aide de la propriété Police. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de polices. Vous pouvez configurer les polices proposées ici dans le nœud Synoptiques/Listes de polices.

Hauteur de ligne

Vous pouvez définir la hauteur de ligne indépendamment de la taille de la police, avec la propriété Hauteur de ligne [pixel].

attention Attention

Paramètres du graphique étendu

Cette propriété autorise l'utilisation des barres de défilement personnalisables horizontales et verticales, de l'en-tête et de la grille.

Aperçu

Lorsque vous activez la propriété Paramètres du graphique étendu, l'en-tête et les barres de défilement sont affichés sous forme d'aperçu dans Editor. Ainsi, les détails tels que les couleurs, les effets de remplissage et de lumière ou les grilles peuvent être configurés plus facilement.

Attention : puisque la taille des barres de défilement est égale à leur taille dans le Runtime, la taille totale de la liste dans Editor peut différer de la taille dans le Runtime. Cela s'applique également à la taille de l'en-tête et à la police de caractères de l'en-tête.

Affichage de valeurs binaires

Les valeurs binaires dans les listes configurables peuvent être affichées sous forme graphique ou numérique dans le Runtime. L'affichage est configuré à l'aide des propriétés dans le groupe Affichage/Affichage valeurs booléennes.


En-têtes et barres de défilement

Manuel -> Synoptiques -> Modifier les éléments de synoptique -> Actions graphiques -> Création de listes -> En-têtes et barres de défilement

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Dans le Runtime, les en-têtes permettent d'effectuer les opérations suivantes :

  • Déplacer les colonnes
  • Modifier la taille
  • Modifier l'ordre de tri

La configuration des en-têtes se déroule généralement dans la section Affichage/En-tête. Les en-têtes des listes AML et CEL diffèrent ; pour plus de détails, reportez-vous à la section intitulée En-têtes des listes AML et CEL.

En-têtes - Informations générales

Pour pouvoir utiliser des en-têtes dans le Runtime, activez la propriété Montrer l'en-tête.

Configurez l'en-tête à l'aide de la propriété Kopfzeile statisch. Il ne peut ensuite plus être modifié dans le Runtime. Seule la largeur des colonnes peut être modifiée.

Pour activer la ligne de filtre dans le Runtime, activez la propriété Afficher la ligne de filtres.
Remarque : Les filtres préconfigurés sont également appliqués si la ligne de filtre n'est pas affichée.

Vous pouvez définir la hauteur de l'en-tête à l'aide de la propriété Hauteur de l'en-tête [en pixels]. La hauteur est déterminée automatiquement sur la base de la police si la valeur est 0. La hauteur maximum est de 255 pixels.

En-tête des listes AML et CEL

Pour utiliser des en-têtes dans des synoptiques de liste AML ou de liste CEL :

  1. Accédez au groupe Liste d'alarmes dans les propriétés du projet.
  2. Dans la propriété En-tête liste d'alarmes, sélectionnez la valeur Actions autorisées sur les en-têtes de colonne.
    (Vous pouvez également rendre l'en-tête invisible ou en interdire la modification.)

info Informations

Vous pouvez interdire la manipulation ou l'affichage de l'en-tête pour chaque liste d'alarmes en désactivant la propriété Montrer l'en-tête ou En-tête éditable pour la vue sous forme de table.

Tri dans le Runtime

Pour sélectionner une colonne aux fins du tri dans le Runtime et déterminer la séquence de tri, configurez l'élément graphique pour la ligne d'intitulé :

  1. Sélectionnez le fichier graphique pour la propriété Style d'affichage.
  2. Liez les propriétés Tri croissant et Tri décroissant à un fichier graphique.
  3. Le fichier graphique sélectionné pour le sens de tri concerné est affiché dans le Runtime, pour autoriser le tri des colonnes concernées.
  4. Cliquez sur l'élément graphique pour modifier l'ordre de tri.
  5. Cliquez sur l’intitulé d’une colonne pour activer le tri de cette colonne.

Configuration de l'apparence des barres de défilement et de la grille

Pour définir la taille et l'apparence des barres de défilement, de l'en-tête ou des grilles :

  1. Dans le groupe Affichage, activez la propriété Paramètres du graphique étendu.
  2. Définissez les propriétés de votre choix dans les groupes Ascenceurs ou En-tête et grille.

Vous trouverez des informations détaillées concernant les propriétés individuelles dans l'aide intégrée.

info Informations

Si la propriété Fichier graphique est sélectionnée pour la propriété Style d'affichage, tous les éléments pour lesquels aucun fichier graphique n'a été sélectionné sont illustrés avec un dégradé de couleurs. Les éléments graphiques transparents ne peuvent pas être utilisés pour les éléments de contrôle des listes.


Élément graphique de la case à cocher.

Manuel -> Synoptiques -> Modifier les éléments de synoptique -> Actions graphiques -> Création de listes -> Élément graphique de la case à cocher.

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Des cases à cocher comportant des éléments graphiques peuvent être configurées individuellement. Pour cela, attribuez les éléments graphiques de votre choix aux propriétés correspondantes dans Editor. Les éléments graphiques doivent être préalablement créés dans le nœud Fichiers\Éléments graphiques. Les éléments graphiques définis sont dessinés dans le Runtime ; le rapport d'aspect est respecté.

Spécifiez le fichier graphique utilisé pour l'état d'une case à cocher à l'aide des propriétés dans le groupe Affichage :

  • On: La case à cocher est activée.
  • On (inactif): La case à cocher est activée et ne peut pas être modifiée.
  • Off: La case à cocher est désactivée.
  • Off (inactif): La case à cocher est désactivée et ne peut pas être modifiée.


Listes configurables

Manuel -> Synoptiques -> Modifier les éléments de synoptique -> Actions graphiques -> Création de listes -> Listes configurables

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Une sélection de listes peut être configurée individuellement dans le Runtime :

  • Active Directory :
    • Liste dans la fenêtre Active Directory (pas d’arborescence)
  • Liste d’alarmes
  • Filtre de liste AML/filtre de liste CEL/filtre de temps :
    • Lots : Sélection des archives
    • Lots : Sélection de lot
  • Batch :
    • Liste de recettes principales
    • Liste de recettes de contrôle
    • Liste de tags 1
    • Liste de tags 2
  • Gestion de commandes
    • Liste des verrouillages
  • Liste des utilisateurs :
    • Liste des utilisateurs
  • Liste d’événements
  • Extended Trend :
    • Liste de courbes étendues
  • Message Control :
    • Queue des messages
  • Process Recorder
  • Module RGM :
    • Liste de recettes et table de valeurs des recettes (sauf table de valeurs de recettes CE)
  • Gestion d’équipe
  • Listes de textes

Les actions suivantes sont possibles dans ces listes :

  • Déplacement de colonnes
  • Configuration of the columns
  • Coloration des colonnes
  • Mise en évidence de la position avec le focus
  • Utilisation de variables de réponse

For general information, see also the Design lists chapter.

info Informations

Touch boxes can be configured like lists:

  • Filtre de liste AML/filtre de liste CEL/filtre de temps :
  • Modifier utilisateur
  • Liste de groupes d'utilisateurs

Remarque : Not all elements can be configured with touch boxes. For example, there is no header and there is only one column.

Configuration dans Editor.

The appearance and behavior of the configurable lists in Runtime can be preconfigured in the Editor using the properties of the Affichage group.

Properties of the headers

The behavior of headers in Runtime is now defined in the Editor by means of the properties of the En-tête group:

  • Montrer l'en-tête: L’en-tête est affiché dans le Runtime.
  • Afficher la ligne de filtres: La ligne de filtre est affichée dans le Runtime.
  • Désactiver le tri: Contrôle la possibilité de trier le contenu du tableau dans le Runtime, en cliquant sur les en-têtes des colonnes.
  • Figer la sélection des colonnes: Contrôle la possibilité de déplacer ou modifier la largeur des colonnes avec la souris dans le Runtime.
  • Désactiver le menu contextuel: Activates or deactivates the context menu for the header.

Comportement dans le Runtime

Édition de cellules

Vous disposez de différentes possibilités d'édition de cellules dans les listes de type Liste configurable :

  • Double-cliquez sur l'entrée
  • Cliquez sur la cellule, puis cliquez une nouvelle fois dessus (double-clic lent)

Selon le type de synoptique, un autre bouton peut également permettre d'activer l'édition.

Couleur des colonnes

Dans les listes configurables, la couleur du texte et la couleur de l'arrière-plan de chaque colonne peuvent être configurées individuellement. Pour cela, configurez la section Couleurs définies par l'utilisateur de la fonction Appel de synoptique du synoptique correspondant, sur l'onglet Format des colonnes.

Afficher le focus

Dans les listes configurables, le focus correspondant peut être indiqué par différentes couleurs de texte et d'arrière-plan. La cellule, la colonne ou la ligne sur laquelle se trouve le focus est mise en évidence en caractères gras. Ces couleurs sont configurées dans les propriétés Sélection couleurs pour les listes d'objets du projet, dans le nœud Apparence graphique.

Priorités lors de la coloration

Si plusieurs couleurs sont appliquées sur une liste, les priorités suivantes s'appliquent :

  1. Général : Sélection couleurs pour les listes d'objets
  2. Module RGM : Validation valeur de recette
  3. Module RGM : Validation en ligne
  4. Module RGM : Verrouillage
  5. Fichier: Couleur des colonnes

Variables de réponse

Les listes configurables peuvent être liées à une variable de réponse BOOL. La sélection d'un élément dans la liste est signalée dans le Runtime.

Pour lier une variable de réponse :

  1. Cliquez sur Listes configurables.
  2. Ouvrez le groupe Variables de réponse dans les propriétés.
  3. Dans la propriété Sélection active, cliquez sur le bouton ....

    La boîte de dialogue de sélection d'une variable BOOL s'affiche à l'écran.

  4. Sélectionnez une variable.
  5. Lisez la variable à un élément d'affichage de l'état de la variable dans le Runtime.
    Signification des valeurs :
    • 0: Aucune sélection dans la liste.
      Remarque : Si un synoptique est fermé, la liste est automatiquement définie sur 0.
    • 1: Un élément a été sélectionné dans la liste.


Ajouter et supprimer des points de polylignes, de polygones et de tubes :

Manuel -> Synoptiques -> Modifier les éléments de synoptique -> Actions graphiques -> Ajouter et supprimer des points de polylignes, de polygones et de tubes :

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

With polylines, Polygons and pipes, dots can be added, deleted and moved.

Add dots

To add corner dots (support dots):

  • Move the mouse pointer to a line of the polyobject.
  • Click on the right mouse button.
  • Select the Add node in the selected element menu item from the context menu

ou :

  • Hold down Ctrl and Shift at the same time.
  • Move the mouse pointer to a line of the polyobject.
  • The mouse pointer changes to an arrow including a plus sign.
  • A mouse click adds a corner dot.

Delete dots

To add corner dots (support dots):

  • Placez le pointeur de la souris sur une ligne du polygone :
  • Click on the right mouse button.
  • Select the Delete node in the selected element menu entry from the context menu

ou :

  • Hold down Ctrl and Shift at the same time.
  • Placez le pointeur de la souris sur une ligne du polygone :
  • The mouse pointer changes to an arrow including a plus sign.
  • A mouse click removes the point.

Move points

To move end points (support points):

  • move the mouse pointer over the desired point of the polyobject.
  • Place the point over the arrow keys at the desired place.

Remarque :

  • Pressing on the cursor key moses the position by 1 pixel. If the Shift key is held at the same time, a press of the button moves the point by 10 pixels.
  • The options Use grid, Horizontal distance and Vertical distance in the Editor settings are ignored.


Flèches dans les éléments vectoriels

Manuel -> Synoptiques -> Modifier les éléments de synoptique -> Actions graphiques -> Flèches dans les éléments vectoriels

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Un symbole de début et de fin de ligne peut être défini pour tous les éléments vectoriels affichant des figures ouvertes. Ceci s'applique aux figures suivantes :

  • Ligne
  • Polyligne
  • Arc de cercle sans remplissage
  • Quartier de cercle sans remplissage

Pour ajouter un symbole :

  1. Ensure that, in the properties for the Qualité graphique property (Synoptiques node), at least DirectX Software has been selected.
  2. Dessinez l'élément.
  3. Dans les propriétés, dans le groupe Fin de ligne, sélectionnez les propriétés pour les éléments suivants :
    1. Type de démarrage: symbole de début de ligne.
    2. Type de terminaison: symbole de fin de ligne.
    3. Dimension : facteur d'agrandissement de la largeur de la ligne. Le facteur détermine la largeur de ligne de l'élément vectoriel tel qu'il est défini dans la propriété Épaisseur de ligne [pixels]. Par défaut = 0

Les symboles suivants sont disponibles :

depuis la gauche ou vers la gauche :

depuis la droite ou vers la droite :

info Informations

Les éléments suivants ne sont pas disponibles :

  • With Windows CE, because Qualité graphique DirectX hardware or DirectX software must be activated
  • Avec un quartier de cercle avec remplissage
  • Avec un arc de cercle avec remplissage.

Autres sujets abordés dans ce chapitre

Exemple pour les flèches


Exemple pour les flèches

Manuel -> Synoptiques -> Modifier les éléments de synoptique -> Actions graphiques -> Flèches dans les éléments vectoriels -> Exemple pour les flèches

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Éléments vectoriels avec des symboles de début et de fin et un facteur d'agrandissement de 1,5 :


Grille

Manuel -> Synoptiques -> Modifier les éléments de synoptique -> Actions graphiques -> Grille

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

zenon Editor offre la possibilité d'activer une grille pour aligner les éléments dans des positions incrémentielles. La grille permet d'aligner précisément des éléments sur le synoptique. Les paramètres de base sont fournis dans le menu Outils/Paramètres :

Grille

Paramètres

Description

Afficher la grille

Active : Affiche la grille pouvant être définie dans la fenêtre principale sous Type de grille.
Inactive : La grille n’est pas affichée.

Utiliser la grille

Active : Les éléments de l’écran sont automatiquement alignés sur la grille. Cette fonction est indépendante de l’option Afficher la grille.

Couleur

Définit la couleur de la grille. La palette de couleurs de la fenêtre est utilisée pour la sélection.

Affichage

Liste déroulante de sélection du type d’affichage de la grille :

  • plein
  • Intersections

Taille verticale

Définit la distance verticale entre des points de marqueur uniques. Cette option détermine donc également la finesse avec laquelle les éléments redimensionnés peuvent être affichés.

Pas de grille recommandé : 10 pixels

Taille horizontale

Définit la distance horizontale entre des points de marqueur uniques. Cette option détermine donc également la finesse avec laquelle les éléments redimensionnés peuvent être affichés.

Pas de grille recommandé : 10 pixels

Dans le menu contextuel du synoptique, vous décidez :

Entrée de menu | Description
Afficher la grille | Basculer la grille en mode visible ou invisible.
Utiliser la grille | Les éléments sont alignés sur la grille.
Utiliser les points magnétiques | Les points de contact des objets "s'enclenchent" lorsqu'ils se trouvent à proximité et s'alignent les uns sur les autres.

info Informations

Si les points de la grille sont espacés de 5 pixels ou moins, seules les lignes de grille espacées de plus de 5 pixels sont affichées. Les lignes de grille plus petites sont également utilisées pour le positionnement.


Police

Manuel -> Synoptiques -> Modifier les éléments de synoptique -> Actions graphiques -> Police

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Une police de caractères par défaut est automatiquement créée lors de la création d'un projet. Elle est fournie en tant que police de caractères par défaut pour les nouveaux objets. La police par défaut ne peut pas être supprimée ! Si d'autres polices de caractères sont requises :

  • Créez la police de caractères de votre choix dans le nœud Polices (sous-nœud de Synoptiques)
  • Sélectionnez la police de caractères dans les propriétés de l'objet (nœud Style de texte, propriété Police)


Sélectionner

Manuel -> Synoptiques -> Modifier les éléments de synoptique -> Actions graphiques -> Sélectionner

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

La sélection des objets s'effectue avec un clic. Pour sélectionner plusieurs objets :

  • Pendant que vous cliquez, maintenez la touche Maj ou Ctrl enfoncée,
    ou
  • Tracez un rectangle de sélection avec la souris

Pour désélectionner un objet, cliquez dessus en maintenant la touche Ctrl enfoncée.

Modifier l'ordre de la sélection

Si des objets doivent être alignés l'un à côté de l'autre, le premier objet sélectionné sert de référence. Vous pouvez identifier l'objet de référence grâce aux poignées de redimensionnement entièrement colorées. Pour sélectionner un autre objet comme objet de référence :

  1. Maintenez la touche Maj enfoncée.
  2. Avec la souris, cliquez sur l'objet dont vous souhaitez faire l'objet de référence.

Aligner un objet sélectionné

Vous trouverez d'autres informations concernant la sélection d'objets aux chapitres relatifs aux commandes Editor/Barre d'outils/Alignement et Editor/Barre de menus/Édition.


Redimensionnement, centrage et zoom

Manuel -> Synoptiques -> Modifier les éléments de synoptique -> Actions graphiques -> Redimensionnement, centrage et zoom

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Graduations

Vous pouvez redimensionner les éléments de deux manières :

  1. Proportionnelle : maintenez la touche Maj enfoncée pendant le redimensionnement.
  2. Autour du centre : maintenez la touche Maj enfoncée.

Remarque : si un angle différent de 0 a été défini pour un élément via la propriété Angle de rotation [°], il ne peut pas être redimensionné à l'aide des touches fléchées.

Centré

L'élément actuellement sélectionné peut être centré dans la fenêtre d'édition en appuyant sur la touche H.

Zoom

Editor

Deux modes de zoom sont disponibles dans Editor, au-dessus du symbole Zoom :

  • Zoom variable :
    Une valeur prédéfinie peut être sélectionnée dans la liste déroulante, ou vous pouvez directement saisir n’importe quelle valeur comprise entre 15 % et 400 %.
  • Outil zoom :
    Vous pouvez directement effectuer un zoom sur le synoptique en sélectionnant les deux symboles d’agrandissement (+ et -). La touche Ctrl permet de basculer entre les différents modes. Le zoom défini est enregistré pour chaque synoptique.

Fermer le mode Zoom : Cliquez sur le symbole du mode Édition dans la barre d’outils Éléments.

Runtime

Un synoptique peut uniquement être agrandi dans les limites définies pour les propriétés suivantes :

  • Largeur (maximum) [pixels]
  • Hauteur (maximum) [pixels]
  • Breite(Minimum) [Pixel]
  • Höhe(Minimum) [Pixel]

Si une limite est atteinte pendant l'utilisation du zoom, une tentative d'agrandissement dans les directions comportant de l'espace libre est effectuée. Le rapport d'aspect de la page est alors pris en compte.

Les synoptiques Cadran ne peuvent pas être agrandis.

Zoom with Multi-Touch in the ETM

In the Extended Trend module, in addition to the window, the curve graphics can also be zoomed into with a two-finger gesture.

For zooming in the ETM, this means:

  • Zooming graphics: Both fingers must be on the graphics.
  • Zooming into the screen: Both fingers must be in the screen. No finger can be on the graphics.
  • If there are two fingers on the graphics and two on the screen, graphics and the screen are zoomed.
  • If there is one finger in the screen and one finger on the graphics, the screen is moved if configured accordingly.
  • If a Button button is pressed during an action, this action can no longer be canceled.


Raccourcis-clavier

Manuel -> Synoptiques -> Modifier les éléments de synoptique -> Actions graphiques -> Raccourcis-clavier

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Raccourcis de l'éditeur graphique :

Note concernant les raccourcis : le signe plus (+) signifie que les touches sont enfoncées simultanément.
Par exemple :

Ctrl+A signifie : maintenez la touche Ctrl enfoncée, puis appuyez sur la touche A.

Ctrl++ signifie : maintenez la touche Ctrl enfoncée, puis appuyez sur la touche +.

Général

Commande | Raccourci-clavier
Fenêtre principale : faire défiler le contenu avec le pointeur Main | Maintenez la touche Espace enfoncée
Fermer le synoptique actuel | Ctrl+F4
Ouvrir les propriétés | Alt+Entrée

Sélectionner

Commande

Raccourci-clavier

Sélectionner plusieurs objets

Appuyez sur Maj ou Ctrl

Désélectionner un objet dans une sélection multiple

Ctrl + clic de souris

Sélection : modifier l'ordre de tri. Définir l'élément sur lequel tous les autres seront réalignés

Appuyez sur Maj durant la sélection

Sélectionner les objets masqués
  1. Appuyez sur Alt
  2. Cliquez sur l'objet et déplacez-le

Sélectionner tous les éléments d'un synoptique

Ctrl+A

Sélectionner l'élément suivant dans l'ordre de création des éléments

Onglet

Sélectionner l'élément précédent dans l'ordre de création des éléments

Maj + Tabulation

Positionnement

Commande | Raccourci-clavier
Déplacer l'objet sélectionné | Touches fléchées du clavier
Déplacer l'objet de 10 pixels à chaque pression sur une touche fléchée | Maj + touches fléchées
Déplacer l'objet horizontalement ou verticalement | Appuyez sur Maj durant le déplacement
Centrer l'objet sélectionné dans la zone de travail | H

Actions

Commande | Raccourci-clavier
Enregistrer les modifications | Ctrl+S
Coller l'élément depuis le presse-papiers | Ctrl+V Maj + Insér.
Insérer un élément du presse-papiers dans sa position originale ; l'original et la copie se superposent | Ctrl+Maj+V
Copie l'élément sélectionné. | Ctrl+C Ctrl+Insér.
Copier, plutôt que déplacer | Appuyez sur Ctrl durant le déplacement
Duplique l'élément sélectionné. You can find more detailed information in the Duplicating elements section. | Ctrl+D
Supprime l'élément sélectionné. | Suppr
Couper l'élément sélectionné | Maj + Suppr. Ctrl+X
Annuler les modifications | Ctrl+Z Alt+Retour arrière
Ajouter ou supprimer un nœud dans l'élément sélectionné. Ajouter : le pointeur de la souris devient un symbole moins (+). Supprimer : le pointeur de la souris devient un symbole moins (-). Fonctionne avec les polylignes, les polygones et les barres verticales. | Ctrl+Maj
Annuler le tracé des polylignes et polygones | s
Annuler le tracé des polylignes et polygones et supprimer la dernière section tracée | Échap
Déplacer les éléments sélectionnés d'un niveau vers le haut | +
Déplacer les éléments sélectionnés d'un niveau vers le bas | -
Déplacer les éléments sélectionnés au premier plan | Ctrl++
Déplacer les éléments sélectionnés vers l'arrière-plan | Ctrl+-

Graduations

Commande

Raccourci-clavier

Modifier la taille

Déplacez le pointeur de la souris sur le coin ; le pointeur devient une flèche. Vous pouvez ensuite positionner le coin au pixel près en vous servant des touches fléchées, ou le déplacer par incréments de 10 pixels en appuyant sur les touches fléchées+Maj.

Remarque : si un angle différent de 0 a été défini pour un élément via la propriété Angle de rotation [°], il ne peut pas être redimensionné à l'aide des touches fléchées.

Redimensionner l'objet autour du centre

Appuyez sur Alt durant le redimensionnement.

Redimensionnement proportionnel

Appuyez sur Maj durant le redimensionnement

Autres sujets abordés dans ce chapitre

Duplicating elements


Duplicating elements

Manuel -> Synoptiques -> Modifier les éléments de synoptique -> Actions graphiques -> Raccourcis-clavier -> Duplicating elements

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

You have the possibility of duplicating elements in screens and elements in the frame editor to create free frame forms.

To duplicate an element:

  • Select an element
  • Select the Ctrl+D keyboard shortcut or the Duplicate entry from the element's context menu
  • The element is duplicated and positioned with a default distance of 15 pixels to the right and 15 pixels down from the start point of the original element

To efficiently duplicate further elements:

  • Position the last-duplicated element at the desired distance next to the original element
  • press the short cut Ctrl+D
  • The element is duplicated and positioned at the same distance to the previous element in X-direction and in Y-direction

If the original element is deselected, the default distance of 15 pixels is used again for the next duplication process.

info Informations

Elements are not positioned outside the screen window or the frame window during duplication. If there is no longer any room for positioning at the corresponding distance, the elements are added at the edge of the window.

attention Attention

To be able to copy elements by means of the Ctrl key and the left mouse button being held down, release the selection and select the Ctrl+D keyboard shortcut once again.


Assigning a keyboard shortcut to an element

Manuel -> Synoptiques -> Modifier les éléments de synoptique -> Actions graphiques -> Assigning a keyboard shortcut to an element

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Les éléments actionnables d'un synoptique peuvent être liés à l'aide d'une combinaison de touches et ainsi, être actionnés par ce biais. Ceci s'applique par exemple aux actions suivantes :

  • Exécution d'éléments de contrôle et de fonctions attribuées telles que l'impression, le déplacement de synoptiques, etc.
  • L'envoi de valeurs (avec un interrupteur, par exemple)
  • Set focus of certain windows (such as curve list in Extended Trend or Comboboxes in the Recipegroup Manager)

La fonction de l'élément de contrôle peut être exécutée à l'aide du clavier dans le Runtime.

Pour attribuer une touche à un élément de contrôle :

  1. Sélectionnez l’élément de contrôle de votre choix.
  2. Accédez à la propriété Raccourci-clavier (propriétés de l'objet -> Runtime -> Opération clavier)
  3. Cliquez sur le bouton ... ou cliquez dans le champ de saisie.
  4. La boîte de dialogue de définition de la combinaison de touches est ouverte.

Paramètre | Description
Raccourci-clavier | Saisie de la combinaison de touches. Cliquez dans le champ et appuyez sur la touche ou la combinaison de touches souhaitée, par exemple : A. La combinaison de touches est affichée dans le champ de saisie.
X | Supprime la séquence de caractères dans le champ de saisie.
OK | Accepte la combinaison de touches et ferme la boîte de dialogue.
Annuler | Annule la saisie ou la modification et ferme la boîte de dialogue.
Aide | Ouvre l’aide en ligne.


Remplacement des liens de variables et de fonctions

Manuel -> Synoptiques -> Modifier les éléments de synoptique -> Remplacement des liens de variables et de fonctions

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Si plusieurs variables ou fonctions doivent être remplacées simultanément, nous vous recommandons d'utiliser la fonction de remplacement automatique pour les tâches suivantes :

  • Remplacement de liens dans Editor
  • Remplacement de liens lors des appels de synoptique
  • Remplacer les indices
  • Symboles

Vous pouvez également vous informer sur le remplacement automatisé pour la configuration dans le manuel Configuration efficace avec zenon, à a section Réutilisation d'éléments.

Autres sujets abordés dans ce chapitre

Conventions d'affectation de noms

Remplacement de liens dans Editor

Remplacement de liens lors des appels de synoptique

Gestion de commandes

Remplacer les indices


Conventions d'affectation de noms

Manuel -> Synoptiques -> Modifier les éléments de synoptique -> Remplacement des liens de variables et de fonctions -> Conventions d'affectation de noms

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Pour autoriser le remplacement sûr des variables et autres éléments, l'affectation de noms doit être systématique et standardisée, dans la mesure du possible. Ceci facilite la réutilisation des variables et autres éléments, mais également les opérations de maintenance et de développement inverse.

Différents systèmes sont disponibles pour faciliter l'affectation de noms systématique.

Par exemple : Industrie électrique

Allemagne

  • KKS (Kraftwerk-Kennzeichen-System – Système de classification des centrales électriques) ; pour plus de détails (en allemand), consultez la page http://de.wikipedia.org/wiki/Kraftwerk-Kennzeichensystem.
  • La norme DIN 6779 (Kennzeichnungssystematik für technische Produkte und technische Produktdokumentation – Système de classification des produits techniques et documentations de produits techniques) ; pour plus de détails (en allemand), consultez la page http://de.wikipedia.org/wiki/DIN_6779.
  • AKZ (Anlagenkennzeichnungssystem – Système de classification d'équipements) ; pour plus de détails (en allemand), consultez la page http://de.wikipedia.org/wiki/Anlagenkennzeichnungssystem.

International

  • KKS (Système de classification des centrales électriques) ; pour plus de détails, consultez la page (en allemand) http://de.wikipedia.org/wiki/Kraftwerk-Kennzeichensystem.

Ces standards existent dans tous les secteurs de l'industrie. Nous vous recommandons d'utiliser les conventions d'affectation de noms correspondantes.

Exemple dans KKS :

Dans un projet de centrale électrique, les variables doivent être nommées conformément au système KKS.
Une variable correspondante avec l'intitulé C01_MDY10-QA001_QA07 indique :

  • Équipement éolien C01 (rang C, no. 1)
  • Wind turbine control MDY10
  • Power part QA001
  • Dispositif de protection de puissance QA07.


Remplacement de liens dans Editor

Manuel -> Synoptiques -> Modifier les éléments de synoptique -> Remplacement des liens de variables et de fonctions -> Remplacement de liens dans Editor

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Les variables ou fonctions liées peuvent être définitivement remplacées dans Editor, à l'aide de règles. Le remplacement ne se limite pas aux fonctions ou variables définies dans les propriétés du groupe Variable/fonction. Toutes les autres variables présentes dans le synoptique peuvent être remplacées, à l'image des variables de Visibilité, Clignotement et Dimensions et rotation dynamiques, entre autres.

Pour remplacer les variables ou les fonctions à l'aide de règles, directement dans l'élément :

  1. Sélectionnez l'élément de votre choix et ouvrez-le en cliquant avec le bouton droit sur l'élément dans le menu contextuel.
  2. Sélectionnez Remplacer les liens.

    La boîte de dialogue de remplacement de liens s'ouvre.

Eigenschaft

Beschreibung

Quelle

Eingabe des zu suchenden Teilstrings.

Platzhalter * und ? können verwendet werden. Platzhalter sind nur als Präfix oder Suffix zugelassen, also *xxx oder xxx*.

Beachten Sie bei der Verwendung von Platzhaltern das Verhalten, wenn ein Zeichen mehrmals vorkommt:

  • Beispiel Zeichenfolge: 01{SU(00,Test1)}
    Test1 soll durch Test 2 ersetzt werden.
  • Quelleintrag *1 und Zieleintrag 2 findet und ersetzt die 1 in 01 aber nicht im später folgenden t1.
    Ergebnis: 02{SU(00,Test1)}
  • Quelleintrag *t1 und Zieleintrag t2 findet und ersetzt t1.
    Ergebnis: 01{SU(00,Test2)}

Ziel

Eingabe des neuen Teilstrings.

Hinweis: Quelle und Ziel müssen sich im selben Projekt befinden.

Übernehmen

Tausch gesuchte Strings der Quelle gegen die in Ziel definierten.

Groß-/ Kleinschreibung beachten

Achtet beim Tausch auf exakte Übereinstimmung der Groß-/und Kleinschreibung.

Name

Tauscht Information im Variablennamen.

Kennung

Tauscht Information in der Kennung.

Variable/Funktion

Öffnet die Auswahlliste für Variablen/Funktionen bezogen auf die ausgewählte Zeile in der Liste. Klick auf Variable oder Funktion in der Liste definiert neue Zielvariable oder Zielfunktion.
Alternativ: Doppelklick auf die entsprechende Quellvariable oder Quellfunktion.

Ersetzen

Ersetzen mit manueller Auswahl

Um Elemente manuell zu ersetzen:

  • Wählen Sie aus der Liste das Element, das sie ersetzen, möchten als Quelle.
  • Wählen Sie über die Schaltfläche Variable/Funktion ein Zielelement.

    Das bisherige Element wird durch das neue ersetzt.

Automatisiert ersetzen mit Regeln

Um Elemente regelbasiert automatisch zu ersetzen:

  • Definieren Sie im Eingabefeld Quelle die Parameter für das Element, das Sie ersetzen möchten.
  • Definieren Sie über das Eingabefeld Ziel den Parameter für die neue Variable/Funktion.
  • Legen Sie über Name/Kennung fest, was getauscht werden soll.
  • Klicken Sie auf Übernehmen.

info Informations

Die Zielvariable oder Zielfunktion kann sich auch in einem anderen Projekt als die Quellvariable oder Quellfunktion befinden. Dabei müssen alle beteiligten Projekte in der Runtime am gleichen Rechner gestartet zur Verfügung stehen.

Zur Ersetzung werden interne Variablen IDs herangezogen. D.h. werden verwendete Variablen oder Funktion umbenannt bleibt die Ersetzung bestehen.

attention Attention

Achten Sie beim Ersetzen von Variablen auf den Typ und die Signalauflösung. Wenn Sie eine Variable durch eine im Typ nicht kompatible ersetzen, kann das zu Fehlern in der Ausführung führen. Sie werden beim Ersetzen gewarnt, die Ersetzung wird aber durchgeführt.

info Informations

Remplacer via un glisser-déplacer : Les éléments qui ne peuvent contenir qu'une seule variable ou fonction peuvent être remplacés par glisser-déplacer. Faites glisser la nouvelle variable ou fonction vers l'élément à l'aide de la souris. Elle remplace automatiquement la précédente.

Autres sujets abordés dans ce chapitre

Exemple : Remplacement de variables liées, à base de règles


Exemple : Remplacement de variables liées, à base de règles

Manuel -> Synoptiques -> Modifier les éléments de synoptique -> Remplacement des liens de variables et de fonctions -> Remplacement de liens dans Editor -> Exemple : Remplacement de variables liées, à base de règles

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Toutes les variables dont le nom contient WIZ_VAR_1 doivent être remplacées par WIZ_VAR_2.

  1. Saisissez WIZ_VAR_1 dans le champ de texte Source. Le caractère * permet d'inclure toutes les variables qui commencent par WIZ_VAR_1.
  2. Enter WIZ_VAR_2 into the target text field.
  3. Cliquez sur Accepter.
  4. Les variables WIZ_VAR_10, WIZ_VAR_11 et WIZ_VAR_12 sont remplacées par les variables WIZ_VAR_20, WIZ_VAR_21 et WIZ_VAR_22.


Remplacement de liens lors des appels de synoptique

Manuel -> Synoptiques -> Modifier les éléments de synoptique -> Remplacement des liens de variables et de fonctions -> Remplacement de liens lors des appels de synoptique

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Les variables ou fonctions liées dans un ou plusieurs éléments peuvent être remplacées, à l'image des alias, dans le module CAL lors d'un appel de synoptique. Dans ce cas, les éléments affichés à l'écran ne sont pas remplacés durablement, mais l'appel de synoptique est lié dans le Runtime.

Pour remplacer le lien lors de l'appel de synoptique :

  • Engineer a screen switching function
  • Définissez les éléments pouvant être remplacés dans le synoptique ; la boîte de dialogue de remplacement s'affiche à l'écran

Eigenschaft

Beschreibung

Quelle

Eingabe des zu suchenden Teilstrings.

Platzhalter * und ? können verwendet werden. Platzhalter sind nur als Präfix oder Suffix zugelassen, also *xxx oder xxx*.

Beachten Sie bei der Verwendung von Platzhaltern das Verhalten, wenn ein Zeichen mehrmals vorkommt:

  • Beispiel Zeichenfolge: 01{SU(00,Test1)}
    Test1 soll durch Test 2 ersetzt werden.
  • Quelleintrag *1 und Zieleintrag 2 findet und ersetzt die 1 in 01 aber nicht im später folgenden t1.
    Ergebnis: 02{SU(00,Test1)}
  • Quelleintrag *t1 und Zieleintrag t2 findet und ersetzt t1.
    Ergebnis: 01{SU(00,Test2)}

Ziel

Eingabe des neuen Teilstrings.

Hinweis: Quelle und Ziel müssen sich im selben Projekt befinden.

Übernehmen

Tausch gesuchte Strings der Quelle gegen die in Ziel definierten.

Groß-/ Kleinschreibung beachten

Achtet beim Tausch auf exakte Übereinstimmung der Groß-/und Kleinschreibung.

Name

Tauscht Information im Variablennamen.

Kennung

Tauscht Information in der Kennung.

Variable/Funktion

Öffnet die Auswahlliste für Variablen/Funktionen bezogen auf die ausgewählte Zeile in der Liste. Klick auf Variable oder Funktion in der Liste definiert neue Zielvariable oder Zielfunktion.
Alternativ: Doppelklick auf die entsprechende Quellvariable oder Quellfunktion.

Ersetzen

Ersetzen mit manueller Auswahl

Um Elemente manuell zu ersetzen:

  • Wählen Sie aus der Liste das Element, das sie ersetzen, möchten als Quelle.
  • Wählen Sie über die Schaltfläche Variable/Funktion ein Zielelement.

    Das bisherige Element wird durch das neue ersetzt.

Automatisiert ersetzen mit Regeln

Um Elemente regelbasiert automatisch zu ersetzen:

  • Definieren Sie im Eingabefeld Quelle die Parameter für das Element, das Sie ersetzen möchten.
  • Definieren Sie über das Eingabefeld Ziel den Parameter für die neue Variable/Funktion.
  • Legen Sie über Name/Kennung fest, was getauscht werden soll.
  • Klicken Sie auf Übernehmen.

info Informations

Die Zielvariable oder Zielfunktion kann sich auch in einem anderen Projekt als die Quellvariable oder Quellfunktion befinden. Dabei müssen alle beteiligten Projekte in der Runtime am gleichen Rechner gestartet zur Verfügung stehen.

Zur Ersetzung werden interne Variablen IDs herangezogen. D.h. werden verwendete Variablen oder Funktion umbenannt bleibt die Ersetzung bestehen.

attention Attention

Achten Sie beim Ersetzen von Variablen auf den Typ und die Signalauflösung. Wenn Sie eine Variable durch eine im Typ nicht kompatible ersetzen, kann das zu Fehlern in der Ausführung führen. Sie werden beim Ersetzen gewarnt, die Ersetzung wird aber durchgeführt.

Remplacement des verrouillages

Dans la boîte de dialogue, les variables des verrouillages utilisés sur ce synoptique s'affichent à proximité des variables directement liées au synoptique. Cela inclut également la variable de résultat d'un verrouillage. Si une variable a été liée aux deux éléments d'un synoptique et avec des verrouillages de synoptique, elles ne sont affichées qu'une seule fois dans la boîte de dialogue.

Les variables devant être remplacées pour tous les verrouillages utilisant ces variables sont remplacées dans le Runtime. En plus des variables normalement liées au verrouillage, les variables de résultat liées au verrouillage sont remplacées pour le synoptique.

Remplacement dans les projets d'intégration

Si des variables ou des fonctions sont remplacées entre un sous-projet et le projet d'intégration, vous devez vous assurer que tous les projets concernés dans le Runtime sont disponibles et démarrés sur l'ordinateur.

Example Exemple

L'appel d'un synoptique du sous-projet est configuré dans le sous-projet. Dans ce cas, la variable variable1 du sous-projet est remplacée par la variable variable2 du projet d'intégration. Pour que ce remplacement soit effectué dans le Runtime, le projet d'intégration doit être le projet de démarrage.

Si le sous-projet n'est pas le projet de démarrage, la variable variable2 du projet d'intégration n'est pas disponible. Aucun remplacement n'est effectué, et la variable originale variable1 du sous-projet est utilisée.

L'utilisateur n'est pas informé que le remplacement n'a pas été effectué avec succès dans le Runtime.


Gestion de commandes

Manuel -> Synoptiques -> Modifier les éléments de synoptique -> Remplacement des liens de variables et de fonctions -> Gestion de commandes

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

With a command input screen switching function, the Command tab is also displayed:

Paramètres

Description

Variable définissant la gestion de commandes

Selection of the variable to determine the command.

Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de variables.

Étape initiale

Defines the initial status of the command screen when it is called up in Runtime. Sélectionnez dans la liste déroulante :

  • Step 1
    Command screen is in status 1. Step called up.
  • Lock
    Command screen is called up in Lock status.

Par défaut : Étape 1

Fermer boîte de dialogue

Options | Description :
OK | Applique les paramètres et ferme la boîte de dialogue.
Annuler | Annule toutes les modifications et ferme la boîte de dialogue.
Aide | Ouvre l'aide en ligne.

§§Trenner

info Informations

You can also find further information about the possibilities of substituting variables for command screens in the variable substitution chapter in the Energy Edition - command input manual.


Remplacer les indices

Manuel -> Synoptiques -> Modifier les éléments de synoptique -> Remplacement des liens de variables et de fonctions -> Remplacer les indices

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Lors d'un appel de synoptique dans le Runtime, les variables et les fonctions peuvent être remplacées dynamiquement, à l'aide de règles d'indexation ou de paramètres spécifiques aux éléments.

Possibilités de remplacement :

  • Via les variables d'indexation : par exemple, {X01}
  • Via les paramètres spécifiques aux éléments : {PARAM}
  • Sans indexation de variables ou de paramètres

attention Attention

Parce que les noms sont remplacés, les variables et les fonctions doivent toujours recevoir des noms différents. Les variables et les fonctions sont remplacées si les noms sont identiques.

Exemple : S'il existe une variable test et une fonction test et la variable test doit être remplacée, la fonction test sera également remplacée en même temps.

Conseil : Attribuez aux variables et aux fonctions un nom comportant un préfixe (par exemple, var_ et func_). Vous disposerez ainsi d'une visibilité satisfaisante, même dans les listes.

attention Attention

Contrairement au remplacement de liens, le remplacement d'indices repose entièrement sur le nom, et non sur des identifiants de variables internes.

Ceci signifie que si les variables ou les fonctions utilisées dans la fonction d'appel de synoptique sont renommées, ces modifications doivent également être mises en œuvre dans la fonction d'appel de synoptique.

Boîte de dialogue Remplacer les indices

Règles d'indexation

Paramètres

Description

Règles d'indexation

Configuration des règles pour le remplacement de variables et de fonctions.

Source

Saisie de la source à remplacer.

Cible

Saisie de la cible. Les paramètres des valeurs issues de l'indexation de valeurs (par exemple, ({X01}) et les paramètres ({PARAM}) de fonctions peuvent également être utilisés.

Respecter la casse
  • Active : La fonction de remplacement tient compte de la casse.

Liste de règles

Liste des règles définies.

Ajouter une règle

Cliquez sur le bouton pour ajouter la règle définie, accessible via Source et Cible, à la liste.

Information : Si une règle est sélectionnée dans la liste, celle-ci est remplacée. Pour ajouter une nouvelle règle, vous devez au préalable supprimer la sélection.

Supprimer une règle

Cliquez sur le bouton pour supprimer la règle sélectionnée de la liste.

Flèche vers le haut

Cliquez sur le bouton pour faire monter la règle sélectionnée d'une position dans la liste.

Flèche vers le bas

Cliquez sur le bouton pour faire descendre la règle sélectionnée d'une position dans la liste.

Remarque : La méthode Remplacer les indices peut également être appliquée sans indexation des variables. Les variables sont saisies dans la liste des règles.
Avantage : Si des sous-éléments sont ajoutés à la structure, il n'est pas nécessaire de modifier une nouvelle fois la fonction, comme cela était le cas avec la méthode Remplacer les liens.

Indexer les variables

Paramètres

Description

Indexer les variables

Configuration des variables d'indexation.

Liste de règles

Affiche les variables d'indexation sélectionnées.

Ajouter

Cliquez sur le bouton pour ouvrir la boîte de dialogue d'ajout et de suppression de variables d'indexation.

Les variables sélectionnées sont ajoutées dans l'ordre et reçoivent un paramètre. Celui-ci peut être utilisé dans les règles de remplacement de la variable d'indexation correspondante. Les valeurs de ces variables sont généralement utilisées durant le remplacement.

Aperçu du remplacement

Paramètres | Description
Aperçu du remplacement | Affiche la liste de tous les remplacements configurés. Cliquer sur une entrée renseigne également les options Source et Cible dans la section des règles d'indexation.

Fermer boîte de dialogue

Options | Description :
OK | Applique toutes les modifications effectuées sur tous les onglets, puis ferme la boîte de dialogue.
Annuler | Annule toutes les modifications effectuées sur tous les onglets, puis ferme la boîte de dialogue.
Aide | Ouvre l'aide en ligne.
attention Attention
Si des variables d'indice sont utilisées dans un projet de réseau, le client doit d'abord obtenir la valeur auprès du serveur. Le calcul est ensuite exécuté. Sur les équipements comportant du matériel peu performant, cela peut entraîner un délai lors des appels de synoptique. Conseil : Activez toujours les variables d'indice dans un projet en réseau Stockage de données sur disque dur actif.

Autres sujets abordés dans ce chapitre

Replacing by means of indexing variables

Replacement by means of element-specific parameters

Sans indexation de variables ou de paramètres

Remplacer des valeurs multiples à l'aide de variables d'indexation et de paramètres de fonctions


Replacing by means of indexing variables

Manuel -> Synoptiques -> Modifier les éléments de synoptique -> Remplacement des liens de variables et de fonctions -> Remplacer les indices -> Replacing by means of indexing variables

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

To configure replacement by means of indexing variables:

  1. Toutes les variables et fonctions présentes dans le synoptique sont affichées dans le champ Source de la section Replacement preview (Aperçu du remplacement).
  2. Cliquez avec le bouton gauche de la souris sur la variable ou la fonction pour laquelle vous souhaitez créer une règle d'indices.
  3. Dans la section Règle d'indices, la variable ou fonction est saisie dans les champs Source et Cible.
    Vous pouvez également saisir la variable ou fonction directement dans le champ Source de la section Règle d'indices.
  4. Définissez la règle d'indices.
    La partie dynamique de la règle est insérée entre accolades, par exemple, {X01}.

    Exemple :

    La variable source Motor1.RPM est remplacée par la variable cible Motor{X01}.RPM,
    le paramètre fictif X01 étant remplacé par la valeur correspondante de la variable d'indice dans le Runtime.
    La règle de remplacement serait donc la suivante :

    Source : Motor1

    Cible : Motor{X01}

  5. Transférez-la ensuite vers le champ Ajouter une règle en cliquant avec le bouton gauche de la souris sur les règles d'indices.
    Info: Si une règle est sélectionnée dans la liste, celle-ci est remplacée. Pour ajouter une nouvelle règle, vous devez au préalable supprimer la sélection.
  6. Toutes les règles d'indices qui ont été créées sont affichées dans cette liste.
  7. Vous pouvez modifier l'ordre des entrées en cliquant sur le bouton représentant une flèche.

    Attention : les substitutions sont exécutées dans l'ordre dans lequel elles apparaissent dans la liste.

  8. Use the Add... button in the Indexing variables area to add the required indexing variables.
  9. Les variables qui se trouvent dans cette liste sont toujours conservées en mémoire dans l'ordre, afin de réduire les temps d'attente lors du chargement du synoptique.

info Informations

Pour l'opérateur *, les règles sont les mêmes que pour la fonction Remplacer les liens.

Remplacement dans l'ensemble du projet

Si la destination se trouve dans un projet différent de la source, ceci peut être affiché avec le caractère #.

Example Exemple

Source : VAR_1

Cible : VAR_1 in Projekt_1

Vous saisissez donc VAR_1 en tant que source, et Projekt_1#VAR_1 en tant que cible.

Source : SUBPROJEKT1#VAR_1

Cible : {X01}VAR_1

La variable d'indice X01 est une variable de chaîne et comporte un nom de projet contenant # avec une valeur, par exemple SUBPROJEKT4#.


Replacement by means of element-specific parameters

Manuel -> Synoptiques -> Modifier les éléments de synoptique -> Remplacement des liens de variables et de fonctions -> Remplacer les indices -> Replacement by means of element-specific parameters

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Variables and functions can also be replaced with element-specific parameters when screen switching.

info Informations

The advantage of this method is that only one function needs to be created and the substitution formation direct from the calling element is used.

The parameter for the variables and functions to be replaced is used in the substitution dialog for indices of screen switching. Dans ce cas, le mot-clé {PARAM} est remplacé par le contenu de l'entrée du paramètre dans la règle de remplacement.

Remarque : Évitez les séquences de caractères également utilisées pour les paramètres d’indexation de variables, telles que {X01}.

Les fonctions liées aux éléments de synoptique suivants peuvent être remplacées à l'aide de paramètres :

  • Bouton
  • Liste de choix/menu déroulant
  • Élément combiné

Pour configurer un paramètre, saisissez la séquence de caractères correspondant au paramètre dans la propriété correspondante :

  • Bouton et élément combiné : Parameter property for substitution in the variable / function group
  • Option Parameter for substitution de la zone de liste/liste déroulante dans la boîte de dialogue de configuration de la zone de liste ou liste déroulante statique

Lors de l'exécution dans le Runtime d'une fonction utilisant le remplacement, le mot-clé {PARAM} est remplacé par l'entrée correspondante. Si l'entrée ne renvoie pas un résultat significatif, la valeur d'origine est affichée.

Example Exemple
  • Si le résultat du remplacement est Motor13, mais l'indice 13 n'existe pas, la valeur d'origine est affichée.
  • Si le paramètre est 2 et la règle consiste à remplacer Motor1* par Motor2 et les deux paramètres existent, l'élément qui affichait précédemment Motor1.RPM affichera maintenant Motor2.RPM.


Sans indexation de variables ou de paramètres

Manuel -> Synoptiques -> Modifier les éléments de synoptique -> Remplacement des liens de variables et de fonctions -> Remplacer les indices -> Sans indexation de variables ou de paramètres

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

As an alternative to replacement via indexing variables or element-specific parameters, a "purely statistical" replacement is possible.

To do this, neither indexing rules with, for example, {X01}, nor the {PARAM} key word need be used.

Example Exemple

Source : Motor1*

Cible : Motor2

In Runtime, the variables that start with Motor1 are replaced with Motor2.

Informations concernant info

Pour l'opérateur *, les règles sont les mêmes que pour la fonction Remplacer les liens.

info Informations

The advantage of this method:
If new variables are added to a screen (that are to be replaced), the same substitution rules can be used. This also applies for new structure elements.

The function does not need to be reconfigured in this example, as is the case for replacing linkings.

attention Attention

The advantage of this method is that, in contrast to Replace linkings, replacement is text-only and is not based on internal variable IDs.

Ceci signifie que si les variables ou les fonctions utilisées dans la fonction d'appel de synoptique sont renommées, ces modifications doivent également être mises en œuvre dans la fonction d'appel de synoptique.


Remplacer des valeurs multiples à l'aide de variables d'indexation et de paramètres de fonctions

Manuel -> Synoptiques -> Modifier les éléments de synoptique -> Remplacement des liens de variables et de fonctions -> Remplacer les indices -> Remplacer des valeurs multiples à l'aide de variables d'indexation et de paramètres de fonctions

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Les paramètres d'indexation de variables et de fonctions peuvent être associés et utilisés autant de fois que vous le souhaitez.

Règles :

Si le paramètre est configuré en tant que chaîne de caractères {X01} et cet indice existe pour l'indexation de variables, {X01} n'est pas remplacé par la valeur des variables d'indexation ; seul {PARAM} est remplacé par la séquence de caractères {X01}, sans qu'une variable associée soit recherchée.

Exemples

Différents paramètres

  • Valeurs de base :
    • La valeur de la propriété Paramètre pour la substitution est 1.
    • L'indice X01 possède la valeur 2.
    • L'indice X02 possède la valeur 3.
  • Règle :
    • Remplacer monitor[3] par monitor[{PARAM}{X01}{X02}{PARAM}{X02}]
  • Résultat :
    • monitor[12313]

Le paramètre de la fonction est identique au paramètre d'indexation de variables.

  • Valeurs de base :
    • La valeur de la propriété Paramètre pour la substitution est {X01}.
    • L'indice X01 possède la valeur 2.
    • L'indice X02 possède la valeur 3.
  • Règle :
    • Remplacer monitor[3] par monitor[{PARAM}{X01}{X02}{PARAM}{X02}]
  • Résultat :
    • mon[{X01}23{X01}3]


Image de fond

Manuel -> Synoptiques -> Modifier les éléments de synoptique -> Image de fond

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Un fichier image peut être affiché en arrière-plan de tous les synoptiques. Ces fichiers graphiques sont positionnés au niveau de visibilité le plus loin vers l'arrière, et sont recouverts par tous les autres éléments du synoptique. Le fonctionnement de cette option est semblable à celui des images d'arrière-plan du bureau de Windows.

Des options de positionnement (par exemple, Centrer ou Mosaïque) sont disponibles. Les éléments graphiques ne peuvent pas être déplacés librement.

Seules les données graphiques déjà disponibles dans la section Fichiers/Graphiques du projet peuvent être utilisées. Voir: Fichiers.

Conseil : si vous souhaitez utiliser la même image d'arrière-plan pour plusieurs synoptiques, vous pouvez prédéfinir les images d'arrière-plan dans les cadres. Voir: Images d'arrière-plan des cadres

Conseil : vous pouvez également utiliser un bouton avec un fichier graphique ne comportant aucune fonction liée pour afficher un fichier graphique que vous pouvez positionner librement.


Fonctions

Manuel -> Synoptiques -> Modifier les éléments de synoptique -> Fonctions

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Une boîte de dialogue filtrée s’affiche pour vous permettre de sélectionner les fonctions :

Élément

Description

Arbre du projet

Définition du projet à partir duquel la fonction doit être sélectionnée.

Volet de sélection

Sélection de la fonction.

Pas de sélection

Selon l’élément :

  • le dialogue est annulé
  • Les fonctions déjà liées sont supprimées.

Conseil : Vous pouvez ajuster la taille de cette boîte de dialogue. La taille et la position de la boîte de dialogue sont enregistrées.

Modifier une fonction liée

  1. manuellement
    • Dans la vue de détail du gestionnaire de projet, ouvrez les fonctions concernées.
    • Faites glisser la fonction de votre choix sur l’élément tout en maintenant le bouton gauche de la souris enfoncé.
    • La nouvelle fonction se substitue à la fonction précédente.
  2. Automatique
    • Sélectionnez l’entrée Remplacer les liens du menu contextuel. Pour plus de détails, reportez-vous au chapitre Substitution de variables dans les éléments dynamiques.


Variables

Manuel -> Synoptiques -> Modifier les éléments de synoptique -> Variables

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Une boîte de dialogue filtrée s’affiche pour vous permettre de sélectionner les variables :
Les variables peuvent également être utilisées dans l’ensemble des projets. Lors de la sélection dans l’ensemble d’un projet, assurez-vous que les projets correspondants sont disponibles dans le Runtime.

Lier une variable

Les éléments qui ne peuvent être liés qu’à une seule variable unique ouvrent la boîte de dialogue suivante :

Élément

Description

Arbre du projet

Sélection du projet à partir duquel la variable doit être sélectionnée.

Volet de sélection

Sélection de la variable devant être liée. Elle peut être liée de deux manières :

  • Par un double-clic sur la variable souhaitée : La boîte de dialogue est automatiquement fermée.
  • En sélectionnant la variable souhaitée et en cliquant ensuite sur OK.

Pas de sélection

Selon l’élément :

  • le dialogue est annulé
  • Les variables déjà liées sont supprimées (telles que les variables de lot liées dans le Serveur d’archives)

Remarque : Vous pouvez ajuster la taille de cette boîte de dialogue. La position et la taille de la fenêtre de la boîte de dialogue sont enregistrées dans Editor, dans le Runtime et dans zenon Web Client, indépendamment du projet.

Gestion des erreurs

si la variable souhaitée n’est pas affichée, il peut y avoir plusieurs raisons à cela :

  • Vous avez sélectionné un filtre et la variable souhaitée ne correspond pas au filtre : Vérifier qu’aucun filtre n’est actif dans la ligne de filtres. Les informations concernant les éléments filtrés qui sont affichées au bas de la fenêtre de sélection sont également utiles lors de la recherche de filtres actifs.
  • La boîte de dialogue est filtrée par Editor, et la variable ne correspond pas au filtre. La commutation après filtrage a alors uniquement lieu lorsqu’un certain type de données est autorisé. Par exemple, avec un élément de données valeur numérique, aucune variable de chaîne ne peut être liée.
  • Vous avez sélectionné un projet incorrect dans l’arborescence des projets.

attention Attention

La boîte de dialogue permet généralement de sélectionner plusieurs variables en utilisant les raccourcis-clavier Windows habituels. Dans les boîtes de dialogue de sélection d’une seule variable, toutefois, seule une variable peut être liée. En cas de sélection multiple, la première variable sélectionnée est attribuée à l’élément.

Liaison de variables multiples :

Les éléments qui peuvent être liés à plusieurs variables ouvrent la boîte de dialogue suivante :

Élément

Description

Arbre du projet

Définition du projet à partir duquel la variable doit être sélectionnée.

Volet de sélection

Sélection des variables :

  • Double-cliquez sur la variable sélectionnée pour l’ajouter à la liste de variables.
  • Vous pouvez déplacer la variable sélectionnée vers la liste de variables en effectuant un glisser-déplacer.
  • Sélectionnez la variable de votre choix. Vous pouvez sélectionner plusieurs variables en appuyant sur les touches Ctrl et/ou Maj. En cliquant sur Ajouter, vous ajoutez les variables sélectionnées à la liste de variables.

Liste de variables

Liste toutes les variables sélectionnées

Ajouter

Ajoute la variable actuellement sélectionnée dans la fenêtre de sélection à la liste de variables.

Supprimer

Supprime (de la liste) les variables qui sont sélectionnées dans la liste de variables.

Pas de sélection

Selon l’élément :

  • le dialogue est annulé
  • certains liens comme les variables batch dans les archives peuvent être libérés

Remarque : Vous pouvez ajuster la taille de cette boîte de dialogue. La position et la taille de la fenêtre de la boîte de dialogue sont enregistrées dans Editor, dans le Runtime et dans zenon Web Client, indépendamment du projet.

Gestion des erreurs

si la variable souhaitée n’est pas affichée, il peut y avoir plusieurs raisons à cela :

  • Vous avez sélectionné un filtre et la variable souhaitée ne correspond pas au filtre : Vérifier qu’aucun filtre n’est actif dans la ligne de filtres. Les informations concernant les éléments filtrés qui sont affichées au bas de la fenêtre de sélection sont également utiles lors de la recherche de filtres actifs.
  • La boîte de dialogue est filtrée par Editor, et la variable ne correspond pas au filtre. La commutation après filtrage a alors uniquement lieu lorsqu’un certain type de données est autorisé. Par exemple, avec un élément de données valeur numérique, aucune variable de chaîne ne peut être liée.
  • Vous avez sélectionné un projet incorrect dans l’arborescence des projets.

Modifier une variable liée

Sélectionnez l’entrée Remplacer les liens dans le menu contextuel de l’élément. Pour plus de détails, reportez-vous au chapitre Substitution de variables dans les éléments dynamiques.


Gabarits

Manuel -> Synoptiques -> Gabarits

Les cadres forment la base de l'organisation de la fenêtre et des synoptiques affichés dans le Runtime. Vous structurez l'affichage sur le synoptique et en déterminez la position. Chaque synoptique est associé à un cadre et affiché dans la zone de l'écran définie par le cadre.

Les cadres déterminent les propriétés générales de la fenêtre, telles que la position, la taille, l'apparence et les options de manipulation dans le Runtime.

Cadres :

  • Ils fournissent un aperçu de toutes les zones de synoptique définies dans un projet.
  • Ils peuvent être librement définis via la propriété Définir une forme libre de gabarit.
  • Ils autorisent l'affectation de fonctions spéciales à tous les synoptiques disponibles dans un cadre, par exemple :

    Retour au synoptique précédent, Donner le focus au gabarit, Enlever le focus du gabarit, Fermer le gabarit, acquittement du clignotement des alarmes, Imprimer une capture d'écran.

  • Modifier tous les synoptiques en fonction en fonction du cadre correspondant
  • Les synoptiques apparaissent toujours de la même taille, à l'emplacement défini dans le Runtime, et ne peuvent pas être déplacés librement.
  • Les cadres peuvent être fermés automatiquement dans le Runtime si le focus est transféré vers un autre élément.
  • Les synoptiques dans un cadre peuvent être modifiés à volonté en mode de fonctionnement en ligne.

info Informations

Si aucun cadre n'existe lors de la création d'un synoptique, zenon crée automatiquement un cadre par défaut qui couvre l'intégralité du synoptique.

Menu contextuel Gestionnaire de projet

Élément de menu | Action
Créer nouveau gabarit | Crée un nouveau cadre.
Ouvrir l'éditeur de gabarits | Ouvre l'éditeur de cadres dans la fenêtre principale et affiche la liste des cadres dans la vue de détail.
Exporter tout (XML) | Exporte toutes les entrées sous forme de fichier XML.
Importer XML … | Importe des entrées à partir d'un fichier XML. Remarque : Les cadres existants sont remplacés par le biais du nœud Cadres durant l'importation au format XML. Dans ce cas, tous les synoptiques et leurs éléments sont adaptés au nouveau cadre.
Aide | Ouvre l’aide en ligne.

Autres sujets abordés dans ce chapitre

Vue de détail de la barre d'outils et du menu contextuel Cadre

L'éditeur de cadres

Définir des images de fond pour les cadres

Développement distribué avec les cadres

Gabarits principaux

Effets des cadres


Vue de détail de la barre d'outils et du menu contextuel Cadre

Manuel -> Synoptiques -> Gabarits -> Vue de détail de la barre d'outils et du menu contextuel Cadre

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Élément de menu | Action
Créer nouveau gabarit | Ajoute un nouveau cadre à la liste et bascule l'affichage vers cette entrée.
Ouvrir l'éditeur de gabarits | Ouvre l'éditeur de cadres dans la fenêtre principale.
Définir une forme libre de gabarit | Bascule vers la fenêtre principale pour définir une forme de cadre libre.
Retour à l'élément de départ | Jumps back to the initial position in the zenon Editor. Remarque : This context menu entry is only available if a jump to the current position has been made from another position with the Linked elements context menu entry.
Copier | Copie les entrées sélectionnées et vers le presse-papiers.
Coller | Insère le contenu du presse-papier. Si une entrée portant le même nom existe déjà, le contenu est collé sous le nom Copie de....
Supprimer | Après une demande de confirmation, supprime les entrées sélectionnées de la liste.
Exporter la sélection en XML... | Exporte touts les entrées sélectionnées sous forme de fichier XML.
Importer XML | Importe des entrées à partir d'un fichier XML. Remarque : Les cadres existants sont remplacés par le biais du nœud Cadres durant l'importation au format XML. Dans ce cas, tous les synoptiques et leurs éléments sont adaptés au nouveau cadre.
Supprimer tous les filtres | Supprime tous les paramètres de filtre
Éditer la cellule sélectionnée | Ouvre la cellule sélectionnée pour la modification. Le symbole représentant des jumelles dans l'en-tête indique la cellule sélectionnée dans une ligne affichée en surbrillance. Seules les cellules pouvant être modifiées peuvent être sélectionnées.
Remplacer un texte dans la colonne sélectionnée | Ouvre la boîte de dialogue de recherche et de remplacement de texte.
Propriétés | Ouvre la fenêtre de Propriétés.
Aide | Ouvre l'aide en ligne.


L'éditeur de cadres

Manuel -> Synoptiques -> Gabarits -> L'éditeur de cadres

Vous pouvez définir et positionner tous les cadres dans l'éditeur de cadres.

Autres sujets abordés dans ce chapitre

Ouvrir l'éditeur de cadres

Créer nouveau gabarit

Positionnement et actions dans le Runtime

Appeler un cadre à plusieurs reprises

Supprimer des cadres


Ouvrir l'éditeur de cadres

Manuel -> Synoptiques -> Gabarits -> L'éditeur de cadres -> Ouvrir l'éditeur de cadres

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Pour ouvrir l'éditeur de cadres :

  • Dans le gestionnaire de projet, double-cliquez sur le cadre de votre choix dans la vue de détail Cadres.

    ou

  • Sélectionnez Gestionnaire de projet -> Cadres -> Menu contextuel -> Ouvrir l'Éditeur de cadres.

La taille affichée dans l'éditeur de cadres dépend de la taille de moniteur définie dans la section de gestion de moniteur. Voir le chapitre Gestion de moniteur. Si les paramètres du moniteur sont modifiés par la suite, l'éditeur de cadres doit être fermé, puis ouvert à nouveau pour que les nouveaux paramètres du moniteur soient pris en compte.

Le cadre rouge de la ligne d'état des alarmes est automatiquement créé le long du bord supérieur de l'écran par zenon pour chaque projet. Vous pouvez modifier sa position via les propriétés du groupe Position. Pour cela, la propriété Utiliser position standard doit être désactivée.


Créer nouveau gabarit

Manuel -> Synoptiques -> Gabarits -> L'éditeur de cadres -> Créer nouveau gabarit

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Vous disposez de deux possibilités pour créer un nouveau cadre :

  • Crez un nouveau cadre à la taille définie dans les propriétés du moniteur :
    Gestionnaire de projet -> Cadres -> Menu contextuel -> Créer un nouveau cadre

ou

Vue détaillée Cadre -> Menu contextuel -> Nouveau cadre

  • Dessiner un nouveau gabarit :

Fenêtre principale -> Menu contextuel -> Dessiner un nouveau cadre

Remarque : Le pointeur de souris devient un carré noir ; le point de départ est représenté par une croix située dans le coin supérieur gauche. Vous pouvez maintenant faire glisser la souris pour redimensionner et positionner le cadre à votre convenance.

Créer nouveau gabarit

Pour créer un cadre :

  1. Dans le gestionnaire de projet, sélectionnez l'élément Cadres du nœud Synoptiques.
  2. Sélectionnez Nouveau cadre dans le menu contextuel.
  3. Un nouveau cadre en Cascade est créé.
  4. La taille initiale est déterminée par la taille de l'affichage.
  5. Cliquez sur le nouveau cadre et faites glisser le cadre sur le point de contact, jusqu'à obtenir la taille souhaitée.

    La taille, ainsi que la taille définie lors de l'appel dans le Runtime et les propriétés de déplacement peuvent être modifiées au moyen des propriétés du groupe Position.

  6. Positionnez le cadre à l'emplacement souhaité dans la fenêtre.
  7. Définissez les propriétés de votre choix dans la fenêtre des propriétés.

attention Attention

Si les cadres reçoivent le même nom dans le projet global et dans le sous-projet, les cadres dans le projet global reçoivent automatiquement le préfixe g_.

Example Exemple

Trois éléments doivent être présents dans l'ensemble du projet :

  • Un en-tête comportant l'heure et un logo apparaît en haut de l'écran.
    Un cadre d'en-tête est défini pour cet élément. Ce cadre définit la taille et la position de la ligne d'en-tête.
  • Un menu apparaît en bas de l'écran.
    Une barre de menus est créée.
  • Synoptiques de procédé provisoires.
    Un synoptique de procédé est créé.

Les cadres sont toujours affichés à la taille et à l'emplacement définis. Tous les synoptiques créés sont liés à un de ces cadres, et le Runtime les affiche dans ce dernier. Si l'organisation du synoptique est modifiée (par exemple, si vous souhaitez afficher les barres de menus en haut de l'écran et transformer l'en-tête en pied de page), seule la position des cadres doit être modifiée. Les synoptiques contenus dans les cadres sont automatiquement transférés.

Conseil : ne placez jamais les gabarits directement l'un au-dessus de l'autre. Ceci vous permet d'accéder à tout instant aux synoptiques dans le Runtime.

Modifier la taille dans le Runtime

Si la taille d'un cadre peut être modifiée dans le Runtime, les modifications de taille autorisées peuvent être limitées par le biais des propriétés suivantes dans le groupe Position :

  • Breite(Minimum) [Pixel]: Définit la largeur minimum.
  • Breite(Maximum) [Pixel]: Définit la largeur maximum.
  • Höhe(Minimum) [Pixel]: Définit la hauteur minimum.
  • Höhe(Maximum) [Pixel]: Définit la hauteur maximum.

Ces limites affectent uniquement la manipulation avec les gestes MultiTouch.

Positionner les cadres

La position et l'orientation d'un cadre ou d'un groupe de cadres sélectionnés peuvent être déterminées grâce à l'option Arranger du menu contextuel dans la fenêtre principale.

Positionner en utilisant les points de connexion :

Si l'option 'Utiliser les points magnétiques' a été activée (voir le chapitre Éditeur, section Paramétrage), les points magnétiques des cadres "collent" à ceux des autres cadres. De plus, les cadres peuvent se "coller" aux bords du synoptique et à la ligne d'alarme, si celle-ci est affichée et active.

Autres sujets abordés dans ce chapitre

Cadre avec forme de cadre libre

Afficher des cadres dans l'éditeur de cadres


Cadre avec forme de cadre libre

Manuel -> Synoptiques -> Gabarits -> L'éditeur de cadres -> Créer nouveau gabarit -> Cadre avec forme de cadre libre

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Vous pouvez adapter la forme du cadre à vos exigences grâce à la propriété Forme de gabarit librement définie. Après avoir activé cette propriété, vous pouvez ouvrir l'éditeur de cadres de l'une des manières suivantes :

  • Cliquez sur le bouton de la propriété Définir une forme libre de gabarit.
  • Cliquez sur le symbole de cadre correspondant dans la barre d'outils.
  • Sélectionnez l'entrée de menu Define Free Frame (Définir un cadre libre) dans le menu contextuel lors de la sélection du cadre.
  • Sélectionnez l'entrée de menu Define Free Frame (Définir un cadre libre) dans le menu contextuel de l'éditeur de cadres.
  • Double-cliquez sur un cadre dans l'éditeur de cadres.

Ici, vous pouvez créer le cadre à votre convenance grâce aux éléments rectangle, cercle, rectangle arrondi et polygone. La zone transparente est affichées sous la forme d'un motif d'échiquier gris et blanc.

info Informations

Forme de gabarit librement définie n'est pas disponible :

  • Pour le cadre de la ligne d'état des alarmes
  • Sous Windows CE

Si la propriété Définir une forme libre de gabarit est désactivée, une forme de cadre libre existante n'est pas affichée – ni dans l'Éditeur de cadres, ni dans l'Éditeur de synoptiques.

La propriété Forme de gabarit librement définie n'est pas utilisable avec la propriété Bordure.

Vous décidez de quelle manière les différents éléments influencent l'apparence du cadre avec l'aide de la propriété Utilisation domaine. Pour cela, les paramètres suivants sont nécessaires :

Paramètre | Description
Cover (Couverture) | La surface de l’élément est utilisée en tant que zone du synoptique.
Couper | La surface de l'élément est supprimée des surfaces situées dessous. Vous pouvez par exemple créer des "découpes" dans le cadre.
ORed | Cet élément est découpé ou couvert, en fonction de la présence d'un élément de couverture situé sous l'élément.
Informations concernant info
La manière dont la surface est utilisée dépend toujours des surfaces situées sous l'élément. Si, par exemple, vous dessinez un élément de couverture par-dessus un élément de découpe, la surface apparaît remplie. Si vous inversez l'ordre, l'élément de découpe est supprimé de l'élément de couverture.


Afficher des cadres dans l'éditeur de cadres

Manuel -> Synoptiques -> Gabarits -> L'éditeur de cadres -> Créer nouveau gabarit -> Afficher des cadres dans l'éditeur de cadres

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Vous pouvez afficher les cadres ou les rendre visibles ou invisibles en procédant comme suit :

  • Propriété Afficher dans l'éditeur des gabarits :
    Activée : le cadre est affiché
  • Glisser-déposer :
    invisible ; faites glisser le cadre depuis la fenêtre principale
    visible : faites glisser le cadre depuis la vue de détail vers la fenêtre principale
  • Vue de détail -> Vue dans l'Éditeur de cadre :
    Invisible : désélectionnez la case à cocher
    Visible : cochez la case

Vous pouvez obtenir des informations concernant le nom et la position du cadre dans le coin supérieur gauche du cadre et par les infos-bulles lorsque vous déplacez le pointeur de la souris sur le cadre.

info Informations

Une ligne d'état d'alarme ou un menu du système est automatiquement pris en compte dans l'éditeur de cadre, et toujours affiché au premier plan. Un cadre incorrectement positionné ne peut donc masquer aucune information importante dans le Runtime.


Positionnement et actions dans le Runtime

Manuel -> Synoptiques -> Gabarits -> L'éditeur de cadres -> Positionnement et actions dans le Runtime

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Les positions des cadres peuvent être définies de manière fixe ou relative dans le Runtime. De cette manière, vous pouvez positionner les synoptiques de type clavier ou les boîtes de dialogue à l'emplacement exact auquel se situe le pointeur de la souris ou l'élément devant être sélectionné. Les positions des cadres peuvent être définies dans le Runtime :

  • Position absolue
  • Par rapport au pointeur de souris
  • relatif à l'élément

Les positions absolues et relatives sont définies dans les propriétés du cadre, dans zenon Editor.

Conserver la position lors de l'actualisation de l'affichage

Windows détermine toujours la position des synoptiques en fonction du modèle. Si des synoptiques contextuels sont planifiés et déplacés pendant l'exécution du programme, chaque synoptique contextuel est placé dans la position planifiée lors de la prochaine activation de la fonction de commutation. En utilisant la propriété Garder position et taille pour le prochain affichage, le modèle peut être configuré pour conserver sa position tant qu'il est ouvert, indépendamment des appels de synoptique. Si la propriété est active :

  • Si un synoptique est ouvert dans le Runtime dans un cadre déplacé manuellement, sa position et sa taille sont également conservées en cas d'appel de synoptique.
  • Si un autre synoptique est ouvert dans le même modèle, sa position et sa taille sont conservées. Cela s'applique également aux appels de remplacement.

Avec cette fonction, une position de modèle différente peut être utilisée pour chaque client, dans la mesure où la position locale est toujours sauvegardée.

Positionnement absolu

Les coordonnées du cadre sont toujours fixes et prédéfinies. Une position fixe est toujours utilisée pour tous les autres synoptiques automatiquement chargés par le système, comme, par exemple, lors d'une exécution par une commande temporisée ou du dépassement d'une valeur limite.

Positionnement relatif

Le positionnement relatif est particulièrement adapté au chargement de boîtes de dialogue, de synoptiques de type clavier ou de synoptiques Gestion de commande. Ceci est possible pour tous les appels de synoptiques, saisies de valeurs prescrites avec des synoptiques de type clavier librement définis et synoptiques Gestion de commande démarrés manuellement par l'utilisateur. Le fait que l'action soit déclenchée par une fonction Appel de synoptique, ou une définition de valeur prescrite ou directement sur un élément n'a pas d'importance. Le positionnement relatif est disponible pour :

  • les éléments dynamiques, auxquels vous pouvez associer une fonction
  • les éléments dynamiques pouvant être utilisés pour saisir une valeur prescrite (boutons, éléments combinés, etc.)
  • Menus principaux et contextuels
  • Exécutez la fonction spécifique au synoptique depuis le synoptique de la liste d'alarmes.

Le positionnement relatif fonctionne aussi pour les appels de fonctions imbriqués, par exemple, lorsqu'un appel de synoptique ou un envoi de valeur prescrite est déclenché par un script. Dans le cas où le synoptique s'afficherait hors des limites de l'écran, il est automatiquement repositionné pour qu'il soit visible. Ceci s'applique aussi dans le cadre d'une gestion multi-moniteurs, où le synoptique s'afficherait sur l'écran d'à côté.

attention Attention

Le positionnement relatif fonctionne uniquement lorsqu'il est appelé directement par l'utilisateur, et non avec des fonctions automatisées ou via une commande VBA.

Par rapport à l'élément

Positionne le point de référence du cadre par rapport à l'élément depuis lequel a été initié l'appel de synoptique (par ex. un bouton ou un élément combiné). Le point de référence du cadre sera toujours placé sur le point de référence calculé de l'élément. Si le cadre ne peut pas être désactivé dans cette position, car cela placerait le synoptique hors de l’écran, les points de référence alternatifs sont utilisés.

Définissez d'abord un point de référence pour votre cadre, puis pour la position préférée dans l'élément. Les paramètres suivants sont disponibles :

Propriété

Valeur

Point de référence d'élément vertical
  • En bas
  • Haut

Point de référence d'élément horizontal
  • Gauche
  • À droite

Mouvement vertical en pixels

Saisissez le déplacement souhaité

Mouvement horizontal en pixels

Saisissez le déplacement souhaité

Position alternative

Définissez une position alternative pour le point de référence du cadre et le point de référence de l'élément. Continuez en définissant les positions alternatives de la même manière que vous définissez les positions préférées. La position alternative est utilisée lorsque le cadre ne peut pas être placé dans la première position.

Par rapport au pointeur de souris

L'affichage du synoptique varie selon la position du pointeur de souris. Si le point de référence se trouve sur le côté supérieur gauche, le cadre sera chargé dans le coin inférieur droit du point de référence. Si le synoptique ne peut pas être affiché entièrement à la position configurée, la position sera décalée jusqu’à ce que le synoptique se trouve entièrement dans la zone affichable de l’écran.

Définissez le point de référence du cadre au-dessus des propriétés Point de référence vertical et Point de référence horizontal. Le point de référence est identifié par un point rouge sur le cadre. Les paramètres suivants sont disponibles :

Propriété

Valeur

Point de référence de cadre vertical
  • Haut
  • En bas
  • centré

Point de référence horizontale du cadre
  • Gauche
  • À droite
  • centré

Example Exemple

Vous avez défini un bouton sur la bordure droite de l'écran et essayez de positionner une fenêtre contextuelle sur son côté droit :

  • Élément point de référence : droit/centré
  • Élément point de référence : gauche/centré

Dans le Runtime, la fenêtre contextuelle s'affiche à droite du bouton, centrée par rapport au milieu du bouton. La fenêtre contextuelle ne couvre pas le bouton.

Vous pouvez également utiliser le même cadre pour un bouton sur la bordure gauche de l'écran. Il n'y aura peut-être pas assez de place sur le côté droit pour afficher entièrement la fenêtre contextuelle. La position configurée alternative sera alors utilisée. Pour cela, vous devez définir

  • Le point de référence alternatif de l'élément sur : gauche/centré
  • Le point de référence alternatif de l'élément sur : à droite/centré

Modifier la taille dans le Runtime

La taille d'affichage d'un synoptique dans le Runtime et les modifications autorisées de la taille sont configurées via les propriétés du groupe Position.

Propriété

Description

Largeur (maximum) [pixels]:

Définit la largeur maximum.

Hauteur (maximum) [pixels]:

Définit la hauteur maximum.

Limitation Minimum:

Définit les limites de la taille minimum. Valeurs possibles :

  • Sans : Pas de restriction.
    Si une valeur différente est sélectionnée, la valeur limite sélectionnée dans le Runtime est représentée par une ligne en pointillés dans la fenêtre du cadre.
  • Largeur : limite de largeur.
  • Hauteur. limite de hauteur.
  • Relatif : Limitation selon une valeur pourcentage de la taille de synoptique définie.

Agit uniquement sur les gestes MultiTouch. Les valeurs correspondantes sont définies avec la propriété Valeur (minimum).

Par défaut : Sans

Taille ouverture:

Définit la taille à laquelle un synoptique défini sur la base de ce cadre est appelé dans le Runtime :

  • Taille du cadre. Taille du cadre, définie dans Largeur (maximum) [pixels] et Hauteur (maximum) [pixels].
    Si une valeur différente est sélectionnée, la taille dans le Runtime est représentée par une ligne en pointillés dans la fenêtre du cadre.
  • Largeur [px]. Largeur définie dans Valeur (Taille ouverture) ; la hauteur est modifiée en conséquence.
  • Hauteur [px]. Hauteur définie dans Valeur (Taille ouverture) ; la largeur est modifiée en conséquence.
  • Relative [%]. La taille définie dans Largeur (maximum) [pixels] et Hauteur (maximum) [pixels] est modifiée conformément à la valeur de pourcentage définie dans Valeur (Taille ouverture).

Les valeurs correspondantes sont définies avec la propriété Valeur (Taille ouverture).

Par défaut : Taille du cadre

Déplacement et zoom

Les cadres peuvent être déplacés et agrandis, à l'aide de la fonction Zoom, dans le Runtime.

Déplacer

Le déplacement est toujours effectué par rapport aux moniteurs définis dans la fonction de gestion de moniteur. Ces paramètres ne sont pas pris en charge sous Windows CE.

Le déplacement des cadres dans le Runtime peut être limité aux éléments suivants :

  • Bordure de gabarit : Le cadre ne peut pas être déplacé au-delà de la limite du moniteur.
  • Zone de bordure de gabarit : Le cadre peut être déplacé au-delà de la limite du moniteur. Toutefois, une zone du moniteur (Marge de gabarit minimum) doit rester accessible pour d'autres actions.

La limite est uniquement valide si le cadre se trouve déjà dans la limite définie lors de son ouverture. Si le déplacement d'un cadre n'est pas limité, il peut - avec des gestes MultiTouch, par exemple - être déplacé au-delà de la zone visible.

info Informations

Le déplacement de cadres est principalement destiné à une utilisation en plein écran. L'application Runtime elle-même ne doit pas être déplacée vers un autre synoptique. Le déplacement du Runtime peut entraîner des limitations lors du déplacement.

Zoom

Les limites s'appliquent également à l'utilisation du zoom. Si une limite est atteinte pendant l'utilisation du zoom, une tentative d'agrandissement dans les directions comportant de l'espace libre est effectuée. Dans ce cas, le rapport d'aspect des côtés est conservé.

Déplacement et zoom de la vue d'ensemble

Lors du déplacement et du zoom, les cadres se comportent comme ceci, en fonction des paramètres configurés :


Appeler un cadre à plusieurs reprises

Manuel -> Synoptiques -> Gabarits -> L'éditeur de cadres -> Appeler un cadre à plusieurs reprises

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Les cadres peuvent être appelés plusieurs fois dans le Runtime. Les synoptiques peuvent donc également être appelés plusieurs fois. Pour que les cadres puissent être appelés plusieurs fois, vous devez activer la propriété Le gabarit peut être activé plusieurs fois dans le groupe Général des propriétés du cadre.

Si cette option est activée, le cadre est créé sous forme d'instance indépendante chaque fois qu'un synoptique est appelé. Ceci signifie : Les synoptiques précédemment ouverts dans ce cadre restent ouverts.

Par exemple : Un synoptique est appelé 100 fois :

  • Le gabarit peut être activé plusieurs fois Active : 100 synoptiques sont ouverts sur le moniteur
  • Le gabarit peut être activé plusieurs fois inactive : 1 synoptique est ouvert sur le moniteur

Remarques relatives à la configuration de projets

Si des synoptiques appelés à plusieurs reprises sont couverts par d'autres, il peut arriver que ces synoptiques restent ouverts, invisibles et inaccessibles en arrière-plan jusqu'à ce la fermeture du Runtime.

La personne effectuant la configuration du projet doit donc s'assurer qu'aucun synoptique n'est déplacé vers l'arrière-plan.
Recommandations :

  • Activer la propriété Toujours en avant plan : Celle-ci maintient le cadre/synoptique au premier plan à tout instant.
  • Configuration de la fonction Fermer le cadre : Celle-ci ferme tous les synoptiques reposant sur ce cadre, et notamment ceux ouverts en arrière-plan.
  • Configuration des cadres comme librement positionnables : Les opérateurs doivent adapter le positionnement des cadres sur le synoptique en fonction de leurs besoins ; par exemple, à l'aide de commandes tactiles, de la souris ou de la configuration de la position relative du cadre par rapport à un contrôle ou au pointeur de la souris.

Recommandation : Cette option est principalement adaptée à la configuration de fenêtres contextuelles.

Ouverture une fois par symbole seulement

Pour ouvrir un synoptique une fois par symbole seulement, configurez un bouton qui devient invisible lorsqu'il est actionné la première fois :

  1. Créez un bouton dans le symbole
  2. Contrôlez la visibilité du bouton avec une variable booléenne
  3. Définissez cette variable booléenne comme une variable active sur le synoptique

Dès que le synoptique est ouvert pour la première fois, le bouton ne peut plus être actionné

Behavior in the event of a loss of focus

Frames can always be automatically closed if the focus is lost In doing so, all screens that relate to this template are closed. Activate the Fermer après la perte du focus property to automatically close frames if they are no longer in focus.

This closing in the event of a loss of focus can also be suppressed. Pour cela, activez la propriété Ne pas fermer après la perte du focus. Si ce cadre reçoit le focus, tous les autres cadres pour lesquels la propriété Fermer après la perte du focus est active restent ouverts, malgré la perte du focus.


Supprimer des cadres

Manuel -> Synoptiques -> Gabarits -> L'éditeur de cadres -> Supprimer des cadres

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Pour supprimer des cadres, vous pouvez :

  • Sélectionner un ou plusieurs cadres avec la souris, puis sélectionner Supprimer dans le menu contextuel ou appuyer sur la touche Suppr.
  • Sélectionner un ou plusieurs cadres dans la vue de détail, puis sélectionner Supprimer dans le menu contextuel ou appuyer sur la touche Suppr.

Une demande de confirmation de l'action est affichée à l'écran avant que la suppression n'ait lieu.

attention Attention

La suppression des cadres ne peut pas être annulée.


Définir des images de fond pour les cadres

Manuel -> Synoptiques -> Gabarits -> Définir des images de fond pour les cadres

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Un fichier image peut être affiché en arrière-plan de tous les synoptiques. Ces fichiers graphiques sont positionnés au niveau de visibilité le plus loin vers l'arrière, et sont recouverts par tous les autres éléments du synoptique. Le positionnement s'effectue par l'intermédiaire des propriétés ; ils ne peuvent pas être positionnés librement. Seules les données graphiques déjà disponibles dans la section Fichiers/Graphiques du gestionnaire de projet peuvent être utilisées.

Si plusieurs synoptiques utilisent la même couleur d'arrière-plan, celle-ci est définie par le cadre de synoptique :

  1. Dans les propriétés, cliquez sur la propriété Fichier graphique dans le nœud Graphique d'arrière plan.
  2. Sélectionnez un fichier dans le nœud Fichiers/Graphiques du gestionnaire de projet.
  3. Définissez la position avec la propriété Alignement.

Ce fichier graphique est alors utilisé pour tous les synoptiques créés à l'aide de ce cadre. Toutefois, des fichiers graphiques individuels peuvent toujours être définis comme arrière-plans de synoptiques pour chaque synoptique.

Attention ! Le fichier graphique est enregistré avec les synoptiques. La modification du fichier graphique ou de sa configuration dans le cadre affectera uniquement les nouveaux synoptiques. Les synoptiques existants doivent être modifiés manuellement.


Développement distribué avec les cadres

Manuel -> Synoptiques -> Gabarits -> Développement distribué avec les cadres

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Dans les opérations multi-utilisateurs, tous les mécanismes habituels pour permettre et accepter les modifications sont implémentés. Dans l'éditeur de cadres, en revanche, contrairement aux synoptiques, chaque cadre est traité individuellement (le synoptique n'est pas intégralement accessible). Pour un meilleur aperçu, les cadres dans lesquels les modifications ne sont pas permises sont signalés avec une bordure en pointillés.


Gabarits principaux

Manuel -> Synoptiques -> Gabarits -> Gabarits principaux

Les derniers synoptiques ouverts peuvent être affichés dans le driver système à l'aide de la variable Dernier synoptique ouvert. Les gabarits incorporés dans l'affichage sont définis à l'aide de la propriété Gabarits principaux du gestionnaire de projet (Apparence graphique, Généralités runtime). Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de gabarits :

  • La sélection et la désélection des cadres s'effectuent avec un clic.
  • Les cadres sélectionnés sont affichés avec un arrière-plan bleu.
  • Cliquez sur OK pour accepter la sélection et fermer la boîte de dialogue.

info Informations

Cette propriété a également un effet sur la fonction Synoptique : retour au précédent.


Effets des cadres

Manuel -> Synoptiques -> Gabarits -> Effets des cadres

Les cadres peuvent également être associés à des effets.

Vous trouverez des effets supplémentaires pour les éléments de synoptique au chapitre effets pour les éléments de synoptique.

Autres sujets abordés dans ce chapitre

Mise en évidence du gabarit


Mise en évidence du gabarit

Manuel -> Synoptiques -> Gabarits -> Effets des cadres -> Mise en évidence du gabarit

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

La fonction Afficher le cadre en surbrillance permet de sélectionner un cadre pour attirer l'attention de l'utilisateur sur un synoptique en particulier. À cette fin, le cadre sur lequel repose le synoptique est mis en évidence par la coloration de la zone libre dans le Runtime. Pour cela, vous devez définir une couleur et une transparence pour la zone proche du cadre de synoptique recouvrant le synoptique sous-jacent. Le synoptique sous-jacent ne peut pas être actionné.

Remarque :

  • les synoptiques doivent reposer sur différents cadres, de différentes tailles.
  • Only one screen with the Mise en évidence du gabarit property active can be called up at any one time.
  • Screens can be called up from the highlighted screen, if they also have the Mise en évidence du gabarit property activated. Ils sont également affichés en surbrillance.
    For example, a keyboard can be called up from a list. The list and keyboard are then both shown as emphasized.

    Attention : Un synoptique non modal ne peut pas être appelé depuis un synoptique modal !
    Si un synoptique non modal est appelé depuis un synoptique modal, ce synoptique sera visible, mais ne pourra pas être actionné. Le synoptique modal situé sous celui-ci ne pourra également pas être actionné, car il sera masqué. Le Runtime sera donc bloqué !

  • Ce paramètre est ignoré lorsqu’il est utilisé dans un conteneur de cadran.

Configuration

Pour utiliser la fonction Afficher le cadre en surbrillance, appelez le synoptique qui sera positionné sur un synoptique plus grand : Configuration :

  1. Accédez au groupe Affichage des propriétés du synoptique.
  2. Activez la propriété Dialogue modal.
  3. Activez la propriété Mise en évidence du gabarit.
  4. La propriété Couleur de contour permet de configurer la couleur utilisée pour la coloration de la zone située autour du synoptique actif.
    Cette propriété affecte toujours le cadre sur lequel repose le synoptique.
  5. La propriété Transparence de contour permet de configurer la transparence de la propriété Couleur de contour.
  6. Configurez un bouton permettant de fermer le synoptique dans le Runtime.

Dès que vous ouvrez ce synoptique par-dessus un autre synoptique, la zone située autour du cadre est colorée, ce qui met le synoptique en évidence. Seul ce synoptique peut être actionné. Après la fermeture du synoptique, les autres synoptiques sont affichés avec des couleurs normales et peuvent être actionnés.

Exemple

Le synoptique est ouvert :

Le deuxième synoptique comportant l'effet actif Highlight frame (Mettre le cadre en évidence) est également ouvert. Tous les éléments situés à l'extérieur du synoptique supplémentaire ouvert sont mis en évidence avec la couleur définie dans la propriété Couleur de contour et la transparence définie dans la propriété Transparence de contour.


Palettes de couleurs

Manuel -> Synoptiques -> Palettes de couleurs

Les palettes de couleurs permettent de regrouper des couleurs individuelles sous forme de palettes de couleurs. Vous pouvez ainsi définir des ensembles de couleurs que vous pouvez ensuite modifier à votre convenance dans Editor et dans le Runtime. Toutes les couleurs définies à l'aide de la palette de couleurs peuvent être facilement modifiées avec cette fonction, de manière centrale ou globale, à l'aide d'un projet global. Les couleurs de la palette de couleurs peuvent être utilisées partout où des couleurs sont utilisées.

This also allows the implementation of corporate design requirements without problems. Si nécessaire, le modèle peut être entièrement remplacé (changement de palette), ou des couleurs individuelles (changement de couleur dans la palette) peuvent être modifiées de manière centrale.

info Informations

Do not use zenon color palettes for dynamic limit values for zenon projects whose data is to be exported for zenon Analyzer. Limit values cannot be dynamically amended in zenon Analyzer. Information from color palettes can therefore not be evaluated. This can lead to illegible graphics.

Développement

Les palettes de couleurs sont créées dans l'éditeur ; elles peuvent être exportées et importées, et il existe une fonction permettant de les modifier dans le Runtime. Les palettes de couleurs peuvent être créées dans un projet global ou local.

Remarque : Toutes les palettes d'un projet contiennent toujours le même nombre de couleurs. Un projet global et un projet local peuvent donc comporter un nombre différent de couleurs.

attention Attention

En cas de conflits d’événements dans le Runtime, les palettes de couleurs du projet local sont prioritaires.

Menu contextuel Gestionnaire de projet

Élément de menu | Action
Nouvelle palette de couleurs | Crée une nouvelle palette de couleurs portant le nom par défaut Palette de couleurs suivi d'un numéro d'indice.
Exporter tout (XML) | Exporte touts les entrées sélectionnées sous forme de fichier XML.
Importer XML... | Importe des entrées à partir d'un fichier XML.
Profil Editor | Ouvre la liste déroulante contenant les profils Editor prédéfinis.
Aide | Ouvre l'aide en ligne.

Autres sujets abordés dans ce chapitre

Vue de détail de la barre d'outils et du menu contextuel des palettes de couleurs

Créer et modifier des couleurs

Création et édition de couleurs

Utiliser les palettes de couleurs dans l'éditeur

Créer fichiers Runtime

Fonction de changement de palettes de couleurs

Exportation et importation

Message d'erreur

Exemple pour l'éditeur et le Runtime


Vue de détail de la barre d'outils et du menu contextuel des palettes de couleurs

Manuel -> Synoptiques -> Palettes de couleurs -> Vue de détail de la barre d'outils et du menu contextuel des palettes de couleurs

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Barre d'outils et menu contextuel

Symbole | Action
Nouvelle palette de couleurs | Crée une nouvelle palette de couleurs portant le nom par défaut Palette de couleurs suivi d'un numéro d'indice.
Créer une fonction standard | Ouvre la boîte de dialogue permettant de créer une fonction de changement de palette et active automatiquement la palette sélectionnée dans la liste déroulante.
Suppression d'une palette de couleurs | Supprime la palette de la couleur sélectionnée. les palettes peuvent uniquement être supprimées individuellement.
Nouvelle couleur | Crée une nouvelle couleur avec la couleur avec la couleur par défaut blanc et le nom par défaut Couleur suivi d'un numéro d'indice. Des nouvelles couleurs sont toujours créées pour toutes les palettes du projet. Conseil : définissez des noms univoques pour le projet global et le projet local.
Suppression d'une couleur | Supprime la couleur sélectionnée de toutes les palettes du projet. Remarque : la commande est uniquement active si la dernière couleur de chaque palette est sélectionnée. Pour quelles raisons?? En effet, seule la dernière couleur d'une palette peut être supprimée, pour que les numéros d'indices soient encore valables. En outre, la couleur doit être supprimée pour toutes les palettes, afin que le nombre de couleurs reste identique dans toutes les palettes.
Copier | Copie les couleurs sélectionnées vers le presse-papiers.
Coller | Colle les couleurs sélectionnées depuis le presse-papiers.
Retour à l'élément de départ | Jumps back to the initial position in the zenon Editor. Remarque : This context menu entry is only available if a jump to the current position has been made from another position with the Linked elements context menu entry.
Palette dans Editor | Ouvre une liste déroulante contenant toutes les palettes pouvant être définies dans le projet local et le projet global.
Enregistrer | Enregistre toutes les modifications apportées aux palettes de couleurs.
Exporter la sélection en XML... | Exporte touts les palettes sélectionnées sous forme de fichier XML.
Importer XML... | Importe des entrées à partir d'un fichier XML.
Propriétés | Ouvre la fenêtre de propriétés.
Aide | Ouvre l’aide en ligne.


Créer et modifier des couleurs

Manuel -> Synoptiques -> Palettes de couleurs -> Créer et modifier des couleurs

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Vous pouvez créer des palettes de couleurs globalement, ou dans un projet local. Les palettes de couleurs globales sont disponibles dans tous les projets, tandis que les palettes de couleurs locales sont uniquement disponibles dans le projet dans lequel elles ont été créées. S'il existe des conflits lors de la définition de ces palettes dans le Runtime, les palettes de couleurs du projet local sont prioritaires (reportez-vous également à la section Palettes de couleurs dans le Runtime).

Créer une palette de couleurs

Pour créer une palette de couleurs :

  1. Sélectionnez le nœud Palettes de couleurs (sous Synoptiques dans le projet local ou le projet global).
  2. Select New color palettes in the context menu or in the toolbar.

    A new color palette is created with:

    • Color palette plus Color palette, for example Color0
    • Le même nombre de couleurs que les palettes préexistantes ; par défaut, toutes les couleurs sont blanches.

Renaming color palette

Pour renommer une palette individuellement :

  1. Sélectionnez la palette ou une ou plusieurs couleurs de la palette.
  2. Dans les propriétés, sélectionnez la propriété Palette de couleurs du groupe Nom palette.
  3. Saisissez le nom de la palette souhaitée.
    Conseil : Make a distinction between a global project and local project when issuing a name. You then always know where the palette comes from when selecting color palettes.

Suppression d'une palette de couleurs

Pour supprimer une palette de couleurs :

  1. Sélectionnez l'intégralité de la colonne de la palette de couleurs.
  2. Sélectionnez Supprimer dans le menu contextuel ou la barre d'outils, ou appuyez sur la touche Suppr..

    La palette sera supprimée sans demande de confirmation.

Remarque : les palettes peuvent uniquement être supprimées individuellement.


Création et édition de couleurs

Manuel -> Synoptiques -> Palettes de couleurs -> Création et édition de couleurs

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Créer une couleur

Pour créer un couleur :

  1. Sélectionnez une couleur ou une palette.
  2. Select New color in the context menu or in the toolbar, or press the Insert key

    À l'extrémité inférieure de la table des couleurs, une nouvelle couleur est insérée pour toutes les palettes, avec les caractéristiques suivantes :

    • Default color white and
    • Default color plus index number, for example Color10
  3. Définissez la couleur et attribuez-lui un nom

Renommer une couleur

Pour renommer une couleur :

  1. Sélectionnez la couleur
  2. Dans les propriétés, sélectionnez la propriété Couleur du groupe Nom couleur.
  3. Enter the desired name.

Définir une couleur

Pour définir une couleur :

  1. Sélectionnez la couleur de votre choix sur la palette.
  2. Saisissez la couleur :
    • Soit directement, dans la cellule de la table dans la vue de détail, sous forme de code hexadécimal ou via la boîte de dialogue de sélection en cliquant sur ...
    • Ou dans les propriétés du groupe Couleur, dans le champ Couleur des propriétés, sous forme de code hexadécimal ou via la boîte de dialogue de sélection en cliquant sur ...

Définir une couleur via la boîte de dialogue

Pour sélectionner des couleurs de base prédéfinies dans une boîte de dialogue ou créer vos propres couleurs :

  1. Dans la vue de détail, cliquez sur la cellule contenant la couleur de votre choix ou, dans les propriétés Couleur, cliquez sur ...

    La boîte de dialogue de sélection des couleurs standard s'affiche.

  2. Cliquez sur une couleur standard pour l'attribuer.
  3. Pour définir votre propre couleur, cliquez sur le bouton Définir une couleur.

  4. Définir la couleur.
  5. Cliquez sur le bouton Ajouter la couleur pour ajouter la couleur à la liste Couleurs personnalisées.
  6. Sélectionnez la couleur de votre choix.
  7. Cliquez sur OK pour attribuer la couleur.

Copier une couleur

Pour copier plusieurs couleurs possédant la même définition de couleurs :

  1. sélectionnez le code hexadécimal de la couleur dans le champ de saisie de la couleur souhaitée.
  2. Copiez le code hexadécimal en appuyant sur Ctrl+C ou en sélectionnant la commande Copier du menu contextuel.
  3. Insérez le code hexadécimal pour toutes les couleurs devant recevoir la même définition de couleurs en appuyant sur Ctrl+V ou en sélectionnant la commande Insérer du menu contextuel.

Suppression d'une couleur

Les couleurs de la palette sont faciles à distinguer grâce à leur numéro d'indice dans la palette (qui correspond au numéro de ligne dans la fenêtre d'affichage de la palette). Par conséquent, les couleurs peuvent uniquement être supprimées à la fin de la palette ; dans le cas contraire, les indices des couleurs ultérieures changeront. Toutes les palettes d'un même projet doivent comporter la même couleur ; aussi, il est uniquement possible de supprimer des lignes de couleur entières. Pour supprimer une couleur de toutes les palettes :

  1. Sélectionnez les lignes que vous souhaitez supprimer, en commençant par l'extrémité inférieure des couleurs de la palette.
  2. Select Delete color in the context menu or in the tool bar, or press the DEL key


Utiliser les palettes de couleurs dans l'éditeur

Manuel -> Synoptiques -> Palettes de couleurs -> Utiliser les palettes de couleurs dans l'éditeur

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Sélectionner la palette active dans l'éditeur

Dans l'éditeur, une palette peut être utilisée en tant que palette active pour l'affichage et la sélection de couleurs issues du projet local ou global.

Pour sélectionner une palette afin de l'afficher dans l'éditeur :

  1. Cliquez sur la table des palettes de couleurs avec le bouton droit de la souris.
  2. Sélectionnez Palette de couleurs dans l'Éditeur dans le menu contextuel
  3. Sélectionnez la palette de couleurs de votre choix dans la liste déroulante.

Remarque : Les palettes de couleurs issues du projet local sont disposées avant celles issues du projet global.

Attention : si des palettes des projets global et local portent le même nom, seules les palettes issues du projet local peuvent être sélectionnées.

attention Attention

Si un nombre différent de couleurs est configuré pour chaque palette dans les projets global et local, le nombre de couleurs disponible pour la sélection de la palette active sera peut-être moins élevé !

Les définitions de palettes issues du projet local sont toujours prioritaires : si au moins une couleur est configurée dans les palettes du projet local, le nombre de couleurs contenues dans la palette locale est proposé ; dans le cas contraire, le nombre de couleurs proposé est celui de la palette du projet local.

Les couleurs manquantes dans la palette active sont affichées en blanc.

Sélection des couleurs de la palette

Les couleurs de la palette peuvent être attribuées dans l'éditeur via :

  • La boîte de dialogue des propriétés.
  • Un glisser-déplacer de la description d'une couleur dans le champ correspondant dans les propriétés.
  • La saisie directe d'une description d'une couleur dans le champ correspondant dans les propriétés.

Si une couleur est attribuée à un élément via les propriétés, la boîte de dialogue de couleurs s'ouvre ; elle comporte deux onglets :

  • Couleurs : sélection d'une couleur particulière
  • Palettes de couleurs : sélection d'une palette de couleurs particulière dans la palette de couleurs active

Si aucune palette comportant une couleur au moins n'est configurée dans le projet local ou global, ou si la propriété n'autorise pas l'affectation d'une couleur, seules les couleurs de l'onglet sont affichées.

Couleurs des projets multi-utilisateurs

Les modifications apportées aux palettes de couleurs peuvent uniquement être autorisées, transférées ou annulées pour toutes les palettes d'un projet.


Créer fichiers Runtime

Manuel -> Synoptiques -> Palettes de couleurs -> Créer fichiers Runtime

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Les palettes du projet global et du projet local sont transférées dans une liste commune lors de la création de fichiers Runtime. Des conflits peuvent se produire durant cette opération. Remarque :

  • Le projet local est toujours prioritaire.
  • Chaque palette affiche la quantité unifiée et contient donc autant de couleurs que la plus grande palette.
  • Si les palettes du projet global et du projet local contiennent un nombre de couleurs différent, les palettes plus courtes sont remplies de blanc, afin que toutes les palettes possèdent le même nombre de couleurs et qu'une couleur soit disponible dans chaque palette pour chaque indice de couleur.
  • Lorsque plusieurs palettes portent le même nom, les palettes du projet local sont utilisées et remplies avec les couleurs du projet global, si celui-ci contient plus de couleurs.

Exemple :

  • Le projet global comporte 3 palettes : Global 1, Global 2 et Palette 1, comportant 10 couleurs chacune.
  • Le projet local comporte deux couleurs : Palette 1 et Palette 2, comportant 5 couleurs chacune.
  • Le Runtime comporte alors :
    • la Palette 1 provient du projet local et remplace la Palette 1 du projet global ; elle contient les 5 couleurs du projet local, ainsi que les couleurs 6 à 10 de la Palette 1 du projet global.
    • la Palette 2 contient les 5 couleurs du projet local, plus les couleurs 6 à 10 initialisées en blanc.
    • Global 1 : contient les 10 couleurs du projet global.
    • Global 2 : contient les 10 couleurs du projet global.

Changement de couleurs dans le Runtime

Pour changer les couleurs dans Runtime, vous devez utiliser la fonction Changer de palette (reportez-vous au chapitre concernant le changement de palettes de couleurs).

Vous trouverez un exemple de changement dans le Runtime au chapitre fournissant un exemple dans l'éditeur et le Runtime.


Fonction de changement de palettes de couleurs

Manuel -> Synoptiques -> Palettes de couleurs -> Fonction de changement de palettes de couleurs

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Lors du démarrage du Runtime, la première palette du projet devient automatiquement active, tant qu'une autre palette n'est pas activée via un script de démarrage.

La palette active peut être modifiée dans le Runtime à l'aide de la fonction Changer de palette. Tous les synoptiques et éléments sont ensuite modifiés avec les couleurs de la nouvelle palette.

La palette active est définie par l'intermédiaire du nom de la palette. Si aucune palette portant le nom fourni n'existe, la première palette du projet est activée.

Pour créer la fonction Changer de palette :

  1. Dans le gestionnaire de projet, sélectionnez l'option Nouvelle fonction... dans le nœud Fonctions. .
  2. Accédez au nœud Application.
  3. Sélectionnez Changer de palette.

  4. Confirmez avec OK.

    La boîte de dialogue de sélection de palette de couleurs s'affiche.

Select color palette dialog

Option | Description
Palette | Sélectionnez la palette de couleurs de votre choix dans la liste déroulante.
Afficher cette boite de dialogue dans le Runtime | Autorise la sélection d'une nouvelle palette de couleurs dans le Runtime.
OK | Applique les paramètres et ferme la boîte de dialogue.
Annuler | Annule toutes les modifications et ferme la boîte de dialogue.
Aide | Ouvre l'aide en ligne.

These settings can be modified in the properties of the function in the Général group at any time.


Exportation et importation

Manuel -> Synoptiques -> Palettes de couleurs -> Exportation et importation

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Les palettes de couleurs peuvent être exportées sous forme de fichiers XML, et être importées depuis ces derniers.

Exporter

Pour exporter une palette de couleurs :

  1. Select the desired palette
    . To select several palettes use the ctrl or shift key or hold down the left mouse button and move the mouse over the title line of the table Only complete selected palettes can be exported, not individual colors
    Note: Selected palettes can no longer be deselected individually.
  2. Sélectionnez Exporter la sélection en XML... dans le menu contextuel ou la barre d’outils.
  3. Dans le gestionnaire de fichiers qui s'affiche à l'écran, sélectionnez l'emplacement auquel vous souhaitez enregistrer le fichier et spécifiez le nom du fichier XML.

Importer

Pour importer une palette de couleurs :

  1. Sélectionnez Importer XML … dans le menu contextuel ou la barre d'outils.
  2. Sélectionnez le fichier que vous souhaitez importer dans le gestionnaire de fichiers qui s'affiche à l'écran.
  3. Les palettes enregistrées dans le fichier XML seront importées.

attention Attention

The sequence in the import file is taken into account:
If, for example, a palette is exported to the third place in the table, this is imported at the same place or added at the end if the project has fewer palettes. Les palettes déjà présentes sont remplacées.
Ceci signifie :

  • Si des palettes sont présentes à l'emplacement de destination de l'importation, les noms et couleurs des palettes existantes sont remplacés.
  • Si une palette est importée vers un emplacement libre, elle est insérée à la fin de la séquence et reçoit un nom standard défini de manière consécutive.
  • Si le nom d'une palette importée est déjà utilisé pour une palette à un emplacement différent, les couleurs de la palette remplacée sont remplacées, mais pas son nom.
  • Si la palette importée comprend plus de couleurs que les palettes existantes, les couleurs manquantes sont remplacées par du blanc dans les palettes existantes.
  • Si la palette importée comporte moins de couleurs que la palette existante, les couleurs manquantes sont acceptées par la palette remplacée ou complétées avec du blanc, si aucune palette n'a été remplacée.


Message d'erreur

Manuel -> Synoptiques -> Palettes de couleurs -> Message d'erreur

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Lors du transfert d'éléments, par exemple lors de l'importation de fichiers XML ou de l'utilisation de la fonction copier-coller, il est possible que certaines palettes ne s'affichent plus correctement. Causes possibles :

  • Aucune palette de couleurs n'a encore été créée dans le projet.
  • Les palettes comportent différents nombres de couleurs.
  • Les couleurs ont été supprimées.

Les message d'erreur correspondant est affiché dans le champ de saisie des propriétés, et l'élément est affiché en blanc.

Message d'erreur | Motif
Aucune palette n'est chargée ! | Aucune palette n'a été configurée dans les projets local et global.
La palette de couleurs est indisponible ! | Il n'existe aucune couleur dans la palette du projet possédant l'indice correspondant.


Exemple pour l'éditeur et le Runtime

Manuel -> Synoptiques -> Palettes de couleurs -> Exemple pour l'éditeur et le Runtime

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Dans Editor

Voici par exemple comment on utilise les palettes de couleurs dans l'éditeur :

  1. Créez un synoptique comportant un bouton avec du texte et un élément graphique.
  2. Select the Couleur de remplissage properties.
  3. Cliquez sur le bouton ....

    La boîte de dialogue de sélection des couleurs s'ouvre.

  4. Sélectionnez l'onglet Palette de couleurs.

    Les couleurs de la palette de couleurs active sont affichées.

  5. Sélectionnez la couleur de votre choix.
  6. Répétez cette étape pour les propriétés Couleur de la bordure et Couleur du texte.

    Synoptique avec une palette de couleurs de base :

  7. Dans la table de palettes de couleurs, cliquez sur une cellule avec le bouton droit de la souris.
  8. Sélectionnez Palette de couleurs dans l'Éditeur dans le menu contextuel
  9. Dans la liste déroulante, sélectionnez une autre palette de couleurs, par exemple Palette 2.

    Synoptique dans l'Éditeur :

Dans le Runtime

Le synoptique dont la palette de couleurs a été activée dans l'éditeur est affiché dans le Runtime.

If you have configured a switch color palette function, you can change the palette color in Runtime.

Pour cela :

  1. Cliquez sur l'élément.
  2. If the Show this dialog in Runtime option has been activated, a new palette can be chosen in Runtime. Otherwise the palette prescribed in the function is automatically used.

    L'élément est basculé vers les nouvelles couleurs.


Polices

Manuel -> Synoptiques -> Polices

Dans zenon, toutes les polices installées dans le système d'exploitation peuvent être utilisées. Le nœud Polices se trouve sous le nœud Synoptiques dans le gestionnaire de projet.

Menu contextuel Gestionnaire de projet

Élément de menu | Action
Nouvelle liste de polices | Crée une nouvelle liste de polices de caractères dans la vue de détail.
Exporter tout (XML) | Exporte toutes les entrées sous forme de fichier XML.
Importer XML... | Importe des entrées à partir d'un fichier XML.
Aide | Ouvre l’aide en ligne.

info Informations

La police sélectionnée doit également être présente sur le système cible comportant le Runtime. Si la police n'est pas présente sur le système cible, une autre police présente sur le système et provenant de la même famille sera utilisée.

Compatibilité avec DirectX

Toutes les polices ne sont pas utilisables avec DirectX ; seules les polices TrueType et OpenType sont utilisables avec DirectX. Les polices bitmap ne sont pas adaptées. Les polices non adaptées seront remplacées par une police adaptée dans le Runtime.

  • Polices recommandées avec zenon et adaptées à DirectX:
    • TrueType (.ttf)
    • OpenType (.otf)
  • Polices non adaptées :
    • Bitmap (.fon), telles que System ou Script, par exemple
    • Adobe Type 1 (.pfm/.pfb)

Autres sujets abordés dans ce chapitre

Listes de polices

Police par défaut et police système

Dénomination et numérotation de polices et de listes de polices

Lier une police à un élément


Listes de polices

Manuel -> Synoptiques -> Polices -> Listes de polices

Par défaut, une liste de polices existe. Elle est affichée dans la vue de détail si le nœud Synoptiques/Polices est sélectionné dans le gestionnaire de projet.

Barre d'outils et menu contextuel

Paramètre | Description
Nouvelle liste de polices | Creates a new font list. For details, see the Creating a new font list section.
Supprimer liste de polices | Supprime la liste de polices sélectionnée.
Nouvelle police | Crée une nouvelle police. The operating system's font dialog is opened. Settings for font, style, degree etc. can be changed. See chapter Creating a new font also.
Supprimer une police | Supprime la police sélectionnée de la liste de police.
Retour à l'élément de départ | Jumps back to the initial position in the zenon Editor. Remarque : This context menu entry is only available if a jump to the current position has been made from another position with the Linked elements context menu entry.
Liste de polices dans Editor | Affiche les listes de polices existantes et permet de sélectionner celle qui est utilisée pour afficher les textes utilisés dans les synoptiques dans l'éditeur.
Enregistrer | Enregistre les modifications.
Exporter XML sélection | Exporte les éléments sélectionnés sous forme de fichier XML. Pour plus de détails, reportez-vous au chapitre Importation/Exportation de synoptiques/Polices.
Importer XML | Importe des éléments à partir d'un fichier XML.
Propriétés | Ouvre la fenêtre de propriétés.
Aide | Ouvre l'aide en ligne.

Dans les propriétés, le nom de la liste de polices peut être modifié.

attention Attention

Les modifications de noms effectuées ultérieurement ne sont pas intégrées automatiquement. Si vous modifiez le nom d'une liste de polices après avoir créé une fonction de changement de langue pour cette liste, vous devrez également modifier le nom de la liste de polices dans cette fonction.

Listes de polices : projet global et projet d'intégration

L'éditeur comporte toujours une liste de polices activement basculée. Pour utiliser des polices provenant du projet standard et du projet global, les listes de polices dans ces deux projets doivent porter le même nom.

Note lors de l'utilisation de listes de polices dans les projets globaux :

  • Si les listes de polices sont nommées de manière identique dans un projet global et un projet standard, la liste de polices du projet standard devient prioritaire dans le Runtime.
  • Si elles comportent des noms différents, deux listes de polices sont présentes dans le projet standard, et l'une d'elle peut être utilisée dans le Runtime, au choix de l'utilisateur.

Pour éviter cet effet : Planifiez une fonction de changement de langue en sélectionnant la liste de polices.

Autres sujets abordés dans ce chapitre

Créer une nouvelle liste de polices


Créer une nouvelle liste de polices

Manuel -> Synoptiques -> Polices -> Listes de polices -> Créer une nouvelle liste de polices

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

To link elements to fonts other than those in Font list 1, another font list must be created.

Créer d'autres listes de polices

A new font list can be created in the Project Manager in the section Screens/Fonts with the entry Font list new from the context menu. La nouvelle liste de polices est affichée dans la vue de détail du gestionnaire de projet.

The standard font is also automatically created in the first position here.

Activer une liste de polices

Pour activer une liste de polices, sélectionnez-la dans le menu contextuel, puis sélectionnez l'entrée Liste de polices dans l'éditeur. Ceci peut être nécessaire dans le cas de l'utilisation de la fonctionnalité de changement de langues. De cette façon, vous pouvez déjà vérifier dans l'éditeur, comment l'élément apparaitra dans le Runtime avec la liste de polices sélectionnée. (par exemple, si la police est trop grosse pour un bouton). Voir chapitre : Changement de langue/Polices

info Informations

There is no standard font list for Runtime. Si plusieurs listes de polices sont prévues, la liste de polices devant être utilisée dans le Runtime doit être définie à l'aide de la fonction de Changement de langue.


Police par défaut et police système

Manuel -> Synoptiques -> Polices -> Police par défaut et police système

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Tous les nouveaux éléments sont liés à une police par défaut. C'est cette police qui est attribuée au type de l'élément. Si vous modifiez la propriété Police d'un élément, alors tous les éléments du même type qui seront créés après seront liés à cette police. Après le redémarrage de l'éditeur, la police de caractères par défaut est à nouveau utilisée pour tous les types d'éléments. La police par défaut est Arial 10 ; elle apparaît en deuxième position dans la liste. Position.

Les polices suivantes sont automatiquement créées lors de la création initiale d'un projet :

Police | Style de police | Taille de police | Informations
Arial | Standard | 8 |
Arial | Standard | 10 | Police standard
Arial | Standard | 12 |
Arial | Standard | 14 |
Arial | Standard | 20 |

Remarque :

  • La police par défaut peut être éditée. Les modifications sont ensuite répercutées partout où cette police est utilisée.
  • La police système n'est pas redimensionnable, ce qui peut conduire à des problèmes lors de l'utilisation du zoom ou de l'ajustement automatique de la résolution.
  • La police par défaut peut être modifiée avec la propriété Police. La boîte de dialogue est la même que celle qui s'ouvre lorsqu'on utilise la commande Nouvelle police dans le menu contextuel.

Autres sujets abordés dans ce chapitre

Créer une nouvelle police


Créer une nouvelle police

Manuel -> Synoptiques -> Polices -> Police par défaut et police système -> Créer une nouvelle police

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Par défaut, une seule liste de polices existe ; elle est affichée dans la vue de détail du gestionnaire de projet et peut être remplie avec différentes polices.

Créer une nouvelle police dans la liste de polices

Cliquez sur la fenêtre de la vue de détail et ouvrez le menu contextuel en cliquant avec le bouton droit. Sélectionnez ici l'entrée Nouvelle police.

La boîte de dialogue Police de Windows s'affiche à l'écran. Les paramètres suivants sont disponibles :

Paramètres | Description
Famille de polices | Toutes les polices du système d'exploitation sont triées par ordre alphabéthique.
Style de police | Gras, Italique, etc.
Taille de police | Taille de la police en pixels.
Effets | Souligné, barré.
Couleur | Sélection de la couleur de la police
Script | Occidentale, Cyrillique, etc.

info Informations

Les paramètres de couleurs sont ignorés. Text is displayed in black unless the color has been explicitly edited in the properties Text colors only change in the Runtime (e.g. because of limit value violations).

Pour les polices définies dans un projet global, référez-vous au chapitre : Gestion de projet / Projet global.

attention Attention

Toutes les polices de caractères utilisées doivent être installées sur tous les ordinateurs sur lesquels le projet sera démarré.
L'installation peut également être effectuée à l'aide du module de transport à distance. Voir également : Reportez-vous à Fichiers définis (copie & enregistrement)


Dénomination et numérotation de polices et de listes de polices

Manuel -> Synoptiques -> Polices -> Dénomination et numérotation de polices et de listes de polices

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Lors de la création d'un projet zenon, 5 polices par défaut sont créées. Le nom de la liste de polices et de la police par défaut dépendent de la langue de démarrage de l'éditeur. Ceci s'applique à la fois aux projets standard et aux projets globaux.

Les polices sont représentées par des numéros. Les polices numéro 1 et 2 sont des polices standard. Ces deux numéros ne peuvent pas être modifiés ; tous les autres numéros peuvent être adaptés individuellement. Lors de la création d'éléments dynamiques, ces derniers sont automatiquement associés à la police portant le numéro 2.

L'éditeur comporte toujours une liste de polices activement basculée. Pour utiliser des polices provenant du projet standard et du projet global, les listes de polices dans ces deux projets doivent porter le même nom.

Remarque : Les projets zenon qui ont été convertis de la version 5.50 à une version ultérieure ne comportent pas de liste de polices par défaut si le projet ne comporte aucune police dans la version 5.50.

Projets globaux et locaux

Les polices provenant du projet standard local sont prioritaires sur les polices provenant du projet global.
Par exemple : une police porte le numéro 50 dans le projet global. Cette police peut être utilisée dans l'espace de travail de tout projet standard, tant que le projet standard ne comporte aucune police portant le numéro 50. Si le projet standard comporte également un numéro 50, c'est cette police qui est utilisée.

Les polices portant les numéros 1 et 2 ne peuvent pas être supprimées dans le projet standard. Ceci signifie : les polices portant les numéros 1 et 2 peuvent être modifiées dans le projet global. Toutefois, elles ne peuvent pas être utilisées dans le projet standard, car ces deux numéros sont toujours présents dans le projet standard et comportent une priorité plus élevée. Un offset peut être utilisé pour différencier les polices du projet global et du projet standard. Par exemple, la police 2 du projet standard peut devenir la police 2002 dans le projet global.

Solution pour utiliser les polices 1 et 2 du projet global dans le projet standard : Supprimez la liste de polices dans le projet standard et donnez à une nouvelle liste de polices vide le même nom que la liste de polices du projet global.

Supprimer liste de polices

Si les polices portant les numéros 1 et 2 du projet global doivent être utilisées dans le projet standard, la liste de polices doit être supprimée dans le projet standard. Pour cela :

  1. Voici comment créer une sauvegarde du projet :
  2. Si les polices adaptées depuis un projet standard doivent être utilisées globalement :
    1. Exportez la liste de polices du projet standard au format XML.
    2. Importez la liste de polices au format XML dans le projet global.
  3. Ouvrez le dossier SQL du projet standard.

    Conseil : sélectionnez le projet dans zenon et appuyez Ctrl+Alt+E ; le dossier du projet est ouvert dans l'Explorateur. Accédez ensuite à zenon/system.

  4. Fermez l'espace de travail.
  5. Supprimez le fichier intitulé fonts.bin.
  6. Ouvrez l'espace de travail.
  7. Maintenant, créez une nouvelle liste de polices vide et donnez-lui le même nom que la liste de polices du projet global.

Les polices portant les numéros 1 et 2 du projet global sont maintenant utilisées dans le projet standard. Les nouveaux éléments utilisent la police numéro 2 du projet global, le cas échéant, ou la police système si le projet global n'est pas disponible.

Éléments dynamiques et statiques

Les polices de l'élément vectoriel Texte statique et des éléments dynamiques ne sont pas sauvegardées de la même manière. La raison est que l'option Texte statique autorise également l'incorporation de polices.

Le terme incorporation signifie : La police n'est plus liée à une liste de polices, mais est locale et uniquement configurée pour cet élément.

Attention : cela ne signifie pas que la police est incorporée dans le synoptique, et qu'elle est donc toujours correctement affichée. La police doit rester présente dans le système qui l'affiche.

Importation et exportation via XML

Lors de l'importation et de l'exportation via XML, la propriété Nom est utilisée aux fins de l'identification avec des éléments dynamiques. Si, par exemple, le projet global comporte une police portant le nom "zenon" et le projet standard local comporte une autre police portant aussi le nom "zenon", la police du projet local doit être utilisée durant l'importation et l'exportation.

Conseil : les noms des polices doivent être explicites dans le projet global et le projet standard. L'éditeur n'effectue aucune vérification en ce sens.

VBA

Le langage VBA utilise la propriété Numéro de la police pour les éléments dynamiques. Ici, l'offset peut s'avérer utile pour les polices dans le projet global et le projet standard.

Par exemple : La police 2 du projet standard est remplacée par la police 2002 du projet global. Pour les éléments vectoriels, le numéro de police est enregistré en deuxième position de la chaîne de polices. Dans la chaîne de polices "0 7 0 0 700 255 0 0 0 3 2 5 34 Arial", le numéro de la police est 7 et peut facilement être remplacé par 2007 dans le projet global.


Lier une police à un élément

Manuel -> Synoptiques -> Polices -> Lier une police à un élément

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

There are two possibilities to link a font to a dynamic or vector element (e.g: to link a text)

  • Drag&Drop:
    • In the font list, click in the cell with the counter number of the desired font.
    • Drag it to the desired element while holding the left mouse button.

    The font is linked to the element.

  • Propriétés :
    The font can also be linked in the properties of the selected element.
    Click on the ... button of the Police property in the Style de texte group to open the dialog to select a font.


Symboles et groupes d'éléments

Manuel -> Synoptiques -> Symboles et groupes d'éléments

Les symboles et les groupes d'éléments sont des éléments de synoptique auxquels il est possible d'attribuer des éléments de synoptique vectoriels et des éléments de synoptique dynamiques, sous forme de macros de synoptique. Tous deux sont utilisables comme symboles de synoptiques sur les synoptiques. L'attribut de couleur d'un symbole de synoptique peut être modifié au moyen d'éléments dynamiques (élément d'état, élément multi-binaire et élément combiné) dans le Runtime.

  • Les symboles sont regroupés dans une bibliothèque de symboles et peuvent être créés à cet endroit. Ils sont soit liés à un synoptique, soit insérés dans un synoptique sous forme de groupe d'éléments. Dès qu'ils sont liés, chaque modification du symbole dans la bibliothèque a une influence directe sur le symbole du synoptique. Les symboles peuvent également être insérés dans un synoptique sous forme de groupe d'éléments. La connexion à la bibliothèque est ainsi supprimée. Les modifications apportées au symbole n'ont plus d'incidence sur le groupe d'éléments.
  • Les groupes d'éléments peuvent être créés à partir de plusieurs éléments sur un synoptique. Un groupe d'éléments peut également être inséré sous forme de symbole dans une bibliothèque de symboles. Dans ce cas, il est converti en symbole lors de son insertion. Toutefois, le groupe d'éléments dans le synoptique est conservé sous forme de groupe d'éléments.

zenon comporte trois bibliothèques de symboles distinctes :

Bibliothèques de symboles

Propriété

Bibliothèque générale de symboles

Les symboles sont disponibles dans tous les projets. Le nœud Bibliothèque de symboles globale se trouve dans le gestionnaire de projets, sous les projets actuellement chargés.

Intitulé lors de la création d’un lien sur le synoptique : [groupe de symboles]/[nom du symbole]

Règles :

  • La boîte de dialogue sélection de variables affiche tous les projets de l'espace de travail pour la création de liens.
  • Ces symboles sont enregistrés dans le dossier de programme de zenon, et sont uniquement mis à jour lors du démarrage d'Editor. Ces symboles ne sont pas enregistrés durant la sauvegarde du projet.
  • Les verrouillages et les alias de la fonction CAL ne peuvent pas être configurés.
    Avertissement : Si les symboles contenant des verrouillages ou des alias sont ajoutés, ces paramètres sont supprimés.

Bibliothèque de symboles du projet global

Les symboles sont disponibles dans tous les projets de l’espace de travail.

Intitulé lors de la création d’un lien sur le synoptique : Projet global [Nom du symbole]

Règles :

  • Les symboles copiés dans la bibliothèque de symboles du projet global conservent leurs liens de variables sans modification.
  • La boîte de dialogue sélection de variables affiche tous les projets de l'espace de travail pour la création de liens. Les variables liées sont placées devant le nom du projet correspondant.
  • Le nom de la Variable peut être modifié dans la fenêtre des propriétés. Ainsi, par exemple, le préfixe peut être supprimé avec l'origine du projet.
  • Les symboles sont également sauvegardés lors de la sauvegarde d'un projet.
  • Les verrouillages et les alias de la fonction CAL ne peuvent pas être configurés.
    Avertissement : Si les symboles contenant des verrouillages ou des alias sont ajoutés, ces paramètres sont supprimés.

Bibliothèque de symboles du projet

Les symboles sont uniquement disponibles dans le projet actuel.

Intitulé lors de la création d’un lien sur le synoptique : [Nom du symbole]

Règles :

  • Les symboles sont enregistrés dans le dossier du projet. La bibliothèque de symboles du projet se trouve dans le projet actuel, dans le nœud Synoptiques, et est sauvegardée lors de la sauvegarde du projet.
  • Les verrouillages et les alias de la fonction CAL peuvent être configurés. Ces propriétés sont également conservées lors de l'ajout de symboles.

Copying of symbols between libraries

Symbols can be copied with Drag&Drop .
Dans ce cas, les considérations suivantes s'appliquent :

  • Only symbols of the first level of the tree can be copied.
  • Groups and folders cannot be copied.
  • If there are already names of symbols in the target library, the names of the added symbols are automatically renamed.
    Renaming is carried out by adding an underscore and an ordinal number, for example: Calibrator_1.
  • Copying between libraries is only possible to a limited extent.

Overview of copying between symbol libraries using Drag&Drop:

Copying using Drag&Drop possible | Bibliothèque générale de symboles | Bibliothèque de symboles du projet global | Bibliothèque de symboles du projet
Bibliothèque générale de symboles | -- | + | --
Bibliothèque de symboles du projet global | -- | -- | +
Bibliothèque de symboles du projet | -- | + | --

Légende :

  • +: copying possible
  • --: copying not possible

Pour vous permettre de travailler simultanément avec toutes ces bibliothèques, les aperçus des différentes bibliothèques sont affichées dans des fenêtres distinctes. Les noms des bibliothèques sont alors affichés dans les onglets visibles sur l'écran principal.

Remarque : If, for the global project, an authorization level greater than 0 is configured for the editing of screens and the logged-in user does not have this authorization level, the adding of symbols into the symbol library is not possible. Linked symbols from the global project can also be edited in screens of the local project in this case.

Symboles de synoptique et symboles de la bibliothèque de symboles

  • Symboles du synoptique : Symboles ou groupes d'éléments contenus dans un synoptique.
  • Symboles de bibliothèque : Les symboles provenant d'une bibliothèque sont modifiés dans la bibliothèque et liés au synoptique.

attention Attention

Les symboles provenant de la bibliothèque générale de symboles sont enregistrés localement dans leur propre fichier (*.sym), dans le dossier de programme zenon. Ces fichiers doivent toujours être ajoutés manuellement aux sauvegardes de projets multi-utilisateurs et lors de la transmission de projets.

Les symboles provenant de la bibliothèque de symboles dans le projet local et le projet global sont automatiquement inclus dans la sauvegarde de projet correspondante.

Conseil : Enregistrez toujours les symboles localement.

Menu contextuel Gestionnaire de projet

Élément de menu | Action
Exporter tout (XML) | Exporte toutes les entrées sous forme de fichier XML.
Importer XML | Importe les entrées à partir d'un fichier XML.
Ouvrir dans une nouvelle fenêtre... | Ouvre une nouvelle fenêtre permettant d'afficher et modifier la variable. (Par défaut : au bas de la fenêtre d'Editor.)
Aide | Ouvre l’aide en ligne.

Vérification de symboles

Les symboles sont vérifiés, afin de s'assurer qu'ils sont présents et corrects :

  • lors de la génération des fichiers Runtime
  • lors de la fermeture de l'éditeur et de la création de nouveaux fichiers Runtime

Les symboles manquants sont indiqués en rouge dans la fenêtre de sortie. Le message d'erreur indique le nom des synoptiques et symboles concernés.

Symboles du menu

Dès qu'un symbole est ouvert dans un éditeur de symboles, l'élément de menu Synoptique est remplacé par un symbole dans la barre d'outils.

Les actions suivantes sont possibles :

Élément de menu

Action

Enregistrer symbole

Enregistre le symbole actuel.

Enregistrer tous les symboles

Enregistre tous les symboles.

Changer symbole...

Ouvre la boîte de dialogue de configuration de la taille et de la couleur d’arrière-plan des symboles.

Remarque : Les modifications apportées à la couleur d’arrière-plan affectent toujours tous les symboles dans la bibliothèque de symboles globale.

Barre d’outils

Affiche une liste de tous les symboles utilisés dans le synoptique actuel. Pour chaque symbole, la liste des composants graphiques est fournie.

Mode plein écran

Le mode plein écran masque toutes les autres fenêtres et affiche uniquement la fenêtre principale contenant tous les documents ouverts (synoptiques, rapports, etc.) en mode plein écran.

Remarque : The Control elements menu can still be called up in full-screen mode.

Vous pouvez fermer le mode plein écran en :

  • Cliquant sur le bouton de fermeture du mode plein écran
  • En appuyant sur Maj+F9

Redessiner symbole

Rafraîchit l'affichage.

Afficher la grille

Active ou désactive la grille.

Utiliser la grille

Active ou désactive l’utilisation de la grille.

Active : Tous les objets sont automatiquement alignés sur la grille.

Utiliser les points magnétiques

Active ou désactive les points magnétiques.

Utilisation : Si vous déplacez un objet à proximité du point de manipulation d’un autre objet, il s’enclenche automatiquement sur ce point de manipulation.

Ordre du focus

Ouvre la liste déroulante permettant de définir l’ordre horizontal ou vertical lors de l’utilisation du clavier.

Ordre vers la gauche/la droite : Détermine l’ordre horizontal.

Ordre vers le haut/le bas : Détermine l’ordre vertical.

Zoom

Modifie la résolution par incréments fixes compris entre 15 % et 400 %.

Exporter synoptique/symbole en fichier graphique

Enregistre le synoptique ou le symbole sélectionné dans un fichier graphique.
Les informations suivantes sont enregistrées :

  • Dans les synoptiques : le synoptique sélectionné, avec tous les éléments et symboles
  • Dans l’éditeur de symboles : le symbole sélectionné

L’explorateur de fichiers est ouvert lors de l’enregistrement. Sélectionnez l’emplacement d’enregistrement et saisissez le nom du fichier.

Insérer graphiques vectoriels

Ouvre la boîte de dialogue permettant d’insérer des éléments graphiques vectoriels externes.

Autres sujets abordés dans ce chapitre

Barre d'outils et menu contextuel de la vue de détail Symbole

Configuration de la taille et de la couleur d'arrière-plan

Déverrouillage des propriétés du lien

Créer et supprimer vos propres symboles

Ajout de symboles à un synoptique

Barre d'outils

Exportation et importation au format XML


Barre d'outils et menu contextuel de la vue de détail Symbole

Manuel -> Synoptiques -> Symboles et groupes d'éléments -> Barre d'outils et menu contextuel de la vue de détail Symbole

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

La bibliothèque de symboles peut être actionnée depuis le menu contextuel ou la barre d’outils :

Commandes du menu contextuel et de la barre d’outils

Menu contextuel | Fonction
Nouveau symbole | Crée un nouveau symbole.
Ouvrir symbole | Ouvre le symbole dans l’éditeur de symboles, vous permettant de le modifier.
Nouveau groupe de symboles | Un nouveau groupe est créé et vous pouvez y ajouter des symboles sélectionnés dans la bibliothèque ou des symboles que vous avez définis dans des synoptiques. (Copier et coller). Disponible uniquement dans la bibliothèque de symboles globale.
Insérer symbole en tant que groupe d’éléments dans le synoptique | Crée un groupe d’éléments à partir du symbole et l’ajoute à un synoptique (pour plus de détails, reportez-vous au chapitre Groupes d’éléments).
Insérer symbole dans le synoptique | Lie le symbole au synoptique (pour plus de détails, reportez-vous au chapitre Symboles).
Eléments liés | Ouvre le sous-menu contenant les éléments liés et offre la possibilité de revenir à l’élément de départ.
Retour à l'élément de départ | Revient à l’élément de départ (barre d’outils uniquement).
Copier | Copie le symbole sélectionné vers le presse-papiers (vue hiérarchique uniquement).
Coller | Insère le symbole copié dans le groupe actif (vue hiérarchique uniquement).
Supprimer | Supprime le symbole ou groupe de symboles sélectionné (vue hiérarchique uniquement). Attention : La suppression ne peut pas être annulée.
Développer/Réduire les nœuds | Autorise le développement/la réduction du nœud sélectionné ou de tous les nœuds dans la vue hiérarchique.
Vue aplatie | Réorganise tous les symboles sous forme de vue plane. Facilite la recherche de certains symboles. Remarque : Dans cette vue, vous ne pouvez ni créer, ni supprimer des symboles?; il est également impossible de copier ou insérer des symboles depuis le presse-papiers.
Vue hiérarchique | Trie tous les symboles de manière hiérarchique dans des sous-groupes et affiche les dépendances.
Exporter la sélection en XML... | Ouvre la boîte de dialogue permettant d’exporter les symboles sélectionnés au format XML. (Pour plus de détails, reportez-vous au chapitre Importation/exportation de symboles.)
Exporter synoptique/symbole en fichier graphique... | Exporte le synoptique/symbole sous forme de fichier graphique. La boîte de dialogue de sélection de fichiers propose les formats graphiques pris en charge par le système. En principe, tous les codecs Windows Imaging Component (WIC) compatibles avec la fonction d’enregistrement sont disponibles en sélection. La taille des éléments graphiques dépend du synoptique ou du symbole à exporter.
Importer XML | Importe des symboles depuis un fichier XML (reportez-vous au chapitre Importation/exportation de symboles).
Supprimer tous les filtres | Supprime tous les paramètres de filtre
Éditer la cellule sélectionnée | Ouvre la cellule sélectionnée pour la modification. Le symbole représentant des jumelles dans l'en-tête indique la cellule sélectionnée dans une ligne affichée en surbrillance. Seules les cellules pouvant être modifiées peuvent être sélectionnées.
Remplacer le texte dans la cellule sélectionnée | Ouvre la boîte de dialogue de recherche et de remplacement de texte.
Propriétés | Ouvre la fenêtre de Propriétés.
Aide | Ouvre l'aide en ligne.


Configuration de la taille et de la couleur d'arrière-plan

Manuel -> Synoptiques -> Symboles et groupes d'éléments -> Configuration de la taille et de la couleur d'arrière-plan

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Pour configurer la taille et la couleur de l'arrière-plan du symbole :

  1. Placez le focus sur l'éditeur de symboles.
  2. Dans le groupe de propriétés Général, sélectionnez les paramètres souhaités pour l'affichage du symbole dans l'éditeur de symboles :
    1. Couleur d'arrière-plan: Définit la couleur d'arrière-plan des symboles dans l'éditeur de symboles. Cliquez sur Couleur pour ouvrir la palette de couleurs.
      Remarque : les modifications apportées à la couleur d'arrière-plan affectent toujours tous les symboles dans la bibliothèque de symboles globale.
    2. Largeur [pixels]: Saisie de la largeur du symbole, en pixels.
    3. Hauteur [pixels]: Saisie de la hauteur du symbole, en pixels.


Déverrouillage des propriétés du lien

Manuel -> Synoptiques -> Symboles et groupes d'éléments -> Déverrouillage des propriétés du lien

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Pour une utilisation optimale des symboles, il est parfois nécessaire d'attribuer des valeurs individuelles à des propriétés individuelles provenant d'éléments du système. Par exemple, un symbole de moteur comporte un en-tête contenant son nom.

Vous pouvez déverrouiller la propriété Texte avec cette fonction. Si vous faites glisser le symbole sur le synoptique, vous pouvez ensuite modifier la propriété Texte individuellement pour chaque moteur.

Cette fonction est disponible pour toutes les propriétés.

Développement

L'éditeur de symboles est ouvert lors de l'ouverture d'un symbole. L'éditeur de symbole est constitué d'une fenêtre scindée en deux parties, qui permet de modifier le symbole sélectionné.

Le symbole est modifié dans la zone supérieure ; dans la zone inférieure apparaissent les propriétés déverrouillées de l'élément de ce symbole. Il existe différentes manières de déverrouiller les éléments :

  1. Glisser et déposer
    1. Déplacez les propriétés de votre choix en effectuant un glisser-déplacer de la fenêtre de la propriété vers la section inférieure de l'Éditeur de symboles.
    2. Remarque : vous devez toujours cliquer sur le nom de la propriété (pas sur la valeur) et la déplacer vers la zone de déverrouillage par un glisser-déplacer.
  2. Menu contextuel Propriétés
    1. Cliquez avec le bouton droit sur le nom de la propriété.
    2. Sélectionnez Libérer [propriété] dans le menu contextuel.
    3. La propriété apparaît dans la liste.
  3. Barre d'outils Propriété
    1. Cliquez avec le bouton gauche sur le nom de la propriété.
    2. Cliquez sur le symbole de déverrouillage de la barre d'outils (la flèche vers le haut de couleur verte, située au-dessus du champ de texte).
    3. La propriété apparaît dans la liste.

Remarque : si l'entrée n'est pas proposée, ou si le symbole est affiché comme désactivé, l'élément ne peut pas être déverrouillé. Causes possibles :

  • Aucun élément de synoptique n'est sélectionné dans l'Éditeur de symboles.
  • La propriété a déjà été déverrouillée
  • L'élément n'autorise pas le déverrouillage (ActiveX, par exemple)

La zone de déverrouillage est une liste qui peut être filtrée. Vous pouvez filtrer cette liste en fonction des différentes propriétés, si vous le souhaitez. Un menu contextuel est disponible pour toutes les actions.

Menu contextuel de la liste de propriétés déverrouillées :

Paramètre | Description
Remove selected property (Supprimer la propriété sélectionnée) | Annule le déverrouillage de l'élément.
Annuler | Révise la dernière action.
Aide | Ouvre l’aide en ligne.

Modification de propriétés déverrouillées

Si le symbole est affiché sur le synoptique, le nœud supplémentaire $_Element Name est disponible. Toutes les propriétés déverrouillées individuellement sont déverrouillées. Elles sont séparées du principe de lien (déverrouillées), et n'ont plus aucun lien avec ce symbole si elles sont modifiées. Si une propriété de l'un de ces éléments est sélectionnée dans la fenêtre Propriétés, cet élément clignote à l'écran.

Les propriétés déverrouillées peuvent être modifiées :

  • Par le biais des propriétés du nœud $_nom_élément
  • À l'aide de l'assistant Symbole lié

Assistant Symbole lié

L'assistant Symbole lié vous permet d'éditer facilement les propriétés déverrouillées, avec un aperçu clair :

  1. Double-cliquez sur un symbole :
    1. Lié dans le synoptique et
    2. Dont les propriétés sont déverrouillées
  2. L'assistant Symbole lié s'affiche
  3. Sélectionnez la propriété à modifier.
  4. Saisissez la nouvelle valeur.
    Conseil : chaque modification est acceptée immédiatement !
  5. Fermez l'assistant de dialogue en cliquant sur Quitter.

Paramètre | Description
Select an element in the symbol (Sélectionner un élément dans le symbole) | Sélection d'un élément dans le symbole à l'aide de la liste déroulante.
Select the exported property to (Sélectionner la propriété exportée pour) | Sélection de la propriété déverrouillée dans une liste.
Display of property (Affichage de la propriété) | Affichage de la propriété à modifier.
Champ de saisie | Saisie de la nouvelle valeur de la propriété par la saisie d'une saisie textuelle/numérique, d'une liste déroulante ou d'une boîte de dialogue de sélection, selon la propriété.
Quitter | Ferme l'assistant

info Informations

L'assistant n'est pas compatible avec toutes les propriétés de symbole.


Créer et supprimer vos propres symboles

Manuel -> Synoptiques -> Symboles et groupes d'éléments -> Créer et supprimer vos propres symboles

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Créez des symboles dans l'éditeur de symboles ou dans un synoptique. Les éléments d'un symbole peuvent être :

  • Éléments vectoriels
  • Les éléments dynamiques
  • D'autres symboles : Les symboles peuvent être insérés dans les groupes d'éléments.

info Informations

Les éléments contenus dans un symbole doivent uniquement être placés dans la zone du symbole, et ne doivent pas en dépasser. Si des éléments dépassent des bordures du symbole, des erreurs d'affichage peuvent se produire lors de l'affichage dans le Runtime. Cela s'applique également aux éléments utilisant des symboles (par exemple, éléments combinés).

Dans l'éditeur de symboles :

  1. Sélectionnez Nouveau symbole dans le menu contextuel ou la barre d'outils.
  2. Cliquez sur le champ de saisie Nom d'élément et spécifiez un nom (l'usage des points n'est pas autorisé dans les noms de symboles).
  3. Créez le symbole dans l'éditeur de symboles.
  4. Ajoutez les éventuelles propriétés individuelles (reportez-vous au sous-chapitre relatif à la modification des propriétés héritées).
  5. Enregistrez le symbole.

Dans le synoptique :

  1. Sélectionnez un ou plusieurs éléments dans le synoptique.
  2. Dans le menu contextuel, sélectionnez Symbole -> Créer (ou -> Insérer dans symbole existant),
    ou sélectionnez le menu Édition-> Symbole -> Créer.
  3. Enregistre le synoptique.

attention Attention !

Polices de caractères et éléments graphiques des symboles utilisés dans le projet :

Polices :les polices de caractères sont définies par des identifiants. Assurez-vous que le même identifiant est attribué à toutes les polices de caractères dans tous les projets dans lesquels le symbole est utilisé.

Éléments graphiques : les éléments graphiques intégrés à un symbole ne sont pas sauvegardés avec le symbole. Les éléments graphiques correspondants doivent être copiés manuellement vers la bibliothèque d'éléments graphiques du projet correspondant.

Intégration de symboles à d'autres symboles ou de symboles de liens à des symboles

Lors de la création de symboles, vous pouvez également lier des symboles existants ou les créer sous forme de groupe d'éléments, de manière semblable aux synoptiques (reportez-vous au chapitre Insérer un symbole dans un synoptique). Dans ce cas, vous devez respecter les consignes suivantes :

  • Un symbole ne doit pas contenir de récursion, c'est-à-dire qu'il ne doit pas être lié à lui-même !
  • Les symboles d'un projet ne doivent pas comporter des liens vers d'autres projets !
  • Les symboles provenant de la bibliothèque globale ne peuvent pas contenir de liens vers les symboles du projet.

info Informations

Le contenu d'un symbole peut uniquement être modifié dans l'éditeur de symboles. Si vous l'insérez dans un synoptique sous forme de groupe d'éléments, vous ne pouvez pas modifier cela dans l'éditeur de synoptiques.

attention Attention

Vous pouvez uniquement lier les symboles provenant de la bibliothèque du projet au projet concerné. Il est impossible de lier des symboles provenant de la bibliothèque d'un projet à d'autres projets. Pour utiliser un symbole provenant d'une autre bibliothèque de projet, vous pouvez créer un groupe d'éléments à partir du symbole.

Supprimer et effacer

Pour supprimer un symbole :

  1. Sélectionnez le symbole dans la bibliothèque.
  2. Sélectionnez la commande Supprimer dans le menu contextuel ou la barre d'outils.

Pour supprimer un groupe d'éléments d'un synoptique :

  1. Sélectionnez le groupe d'éléments dans la bibliothèque.
  2. Dans le menu contextuel, sélectionnez Symbole -> Supprimer
  3. Le groupe d'éléments est supprimé des éléments.
  4. Si le symbole de la bibliothèque de symboles a déjà été inséré, il reste inchangé ; il est définitivement supprimé de la section de gestion des symboles.

Pour supprimer un symbole :

  1. Sélectionnez le symbole dans la bibliothèque.
  2. Sélectionnez Supprimer dans le menu contextuel.
  3. Le symbole reste inchangé dans la bibliothèque de symboles ; en revanche, il est supprimé de la section de gestion des symboles.

info Informations

Pour modifier les éléments individuels d'un symbole sans supprimer l'attribution du symbole, procédez comme suit :

  • Pour les symboles : Modifier dans l'éditeur de symboles
  • Pour les groupes d'éléments : Basculer vers le mode édition des éléments

Autres sujets abordés dans ce chapitre

Transférer vos propres symboles vers la bibliothèque


Transférer vos propres symboles vers la bibliothèque

Manuel -> Synoptiques -> Symboles et groupes d'éléments -> Créer et supprimer vos propres symboles -> Transférer vos propres symboles vers la bibliothèque

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Les groupes d'éléments créés sur un synoptique peuvent être insérés dans une bibliothèque de symboles sous forme de symboles.

Pour insérer un groupe d'éléments dans une bibliothèque de symboles sous forme de symboles :

  1. Dans le menu contextuel du groupe d'éléments, sélectionnez Symbole -> Insérer dans la bibliothèque de symboles.
  2. La boîte de dialogue de définition des symboles s'ouvre.
  3. Sélectionnez le symbole souhaité dans la bibliothèque et le dossier adéquat.
  4. Confirmez la boîte de dialogue en cliquant sur OK.
  5. Basculez vers la bibliothèque de symboles sélectionnée.
  6. Le groupe d'éléments a été converti en symbole et a été saisi avec le nom Groupe d'éléments_no. (No est une numérotation consécutive des groupes d'éléments existants, en commençant à 1)
  7. Saisissez le nom souhaité.
  8. Pour continuer à modifier le symbole ou pour l'associer à des propriétés individuelles (voir Déverrouiller les propriétés héritées), ouvrez le symbole en double-cliquant dessus ou en sélectionnant l'option Ouvrir symbole du menu contextuel dans l'éditeur de symboles.

Remarque : If, for the global project, an authorization level greater than 0 is configured for the editing of screens and the logged-in user does not have this authorization level, the adding of symbols into the symbol library is not possible. Linked symbols from the global project can also be edited in screens of the local project in this case.


Ajout de symboles à un synoptique

Manuel -> Synoptiques -> Symboles et groupes d'éléments -> Ajout de symboles à un synoptique

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Les symboles peuvent être insérés dans un synoptique de deux manières :

  • Groupe d'éléments : Ces symboles ne sont plus connectés au symbole dans la bibliothèque ; les modifications apportées au symbole original n'ont aucun effet sur le symbole embarqué.
  • Symboles : Ces symboles restent liés au symbole original. Les modifications apportées au symbole modifient également le symbole dans le synoptique.

attention Attention

Vous pouvez uniquement lier les symboles provenant de la bibliothèque du projet au projet concerné. Il est impossible de lier des symboles provenant de la bibliothèque d'un projet à d'autres projets. Si vous souhaitez utiliser un symbole provenant d'une bibliothèque de projet dans un autre projet, vous pouvez l'incorporer.

info Informations

Si vous avez activé la propriété Afficher un cadre autour des éléments dynamiques dans Editor, vous pouvez différencier les symboles incorporés et les symboles liés d'un simple coup d'œil. Pour les symboles, un symbole représentant une flèche est affiché dans le coin supérieur droit. Vous trouverez cette propriété sous Options -> Paramètres, dans la section Paramètres.

Autres sujets abordés dans ce chapitre

Groupes d'éléments

Symboles

Sélection de symboles dans les éléments combinés


Groupes d'éléments

Manuel -> Synoptiques -> Symboles et groupes d'éléments -> Ajout de symboles à un synoptique -> Groupes d'éléments

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Voici comme insérer un symbole sous forme de groupe d'éléments :

  • Maintenez la touche Ctrl enfoncée et déplacez le symbole en effectuant un glisser-déplacer

    ou

  • Sélectionnez l'option Insérer un symbole sous forme de groupe d'éléments dans le synoptique dans le menu contextuel du symbole pour incorporer le symbole dans le synoptique actuel.

Les groupes d'éléments peuvent ensuite être dissociés en éléments individuels, ou leurs éléments individuels peuvent être édités. Pour cela, sélectionnez Symbole -> Activer le mode d'édition individuelle dans le menu contextuel, ou sélectionnez Édition -> Symbole -> Symbole/Mode d'édition de symboles/d'éléments individuels dans le menu.

Les groupes d'éléments ne changent pas si le symbole original à partir duquel ils ont été créés est modifié dans la bibliothèque, car ils n'y sont plus liés.

Remplacement de variables liées

Lors de la création d'un groupe d'éléments à partir d'un symbole contenant des variables, la boîte de dialogue de remplacement de variables et de fonctions s'ouvre. Ici, vous pouvez automatiquement remplacer les éléments présents par ceux que vous souhaitez attribuer à ce symbole. Vous trouverez plus de détails concernant le remplacement automatique de variables et de fonctions au chapitre Remplacement de d'éléments liés dans l'Éditeur .

Pour remplacer les variables dans des symboles déjà insérés, sélectionnez l'option Remplacer les liens dans le menu contextuel.

Conseil : Veillez à attribuer des noms univoques et logiques aux variables dès le début.


Symboles

Manuel -> Synoptiques -> Symboles et groupes d'éléments -> Ajout de symboles à un synoptique -> Symboles

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Les symboles n'enregistrent pas les variables physiquement présentes dans la bibliothèque de symboles, mais uniquement les noms de variables. Lors de l'insertion de variables dans un synoptique sous forme de liens, les noms de variables enregistrés dans le symbole peuvent être attribués aux variables issues du projet. Si le projet reçoit une variable correspondant à un nom de variable enregistré dans le symbole, celui-ci est lié automatiquement, sans règle supplémentaire.

Insérer symbole dans le synoptique

Voici comme lier un symbole à un synoptique :

  • Déplacez le symbole en effectuant un glisser-déplacer vers le synoptique

    ou

  • Dans le menu contextuel, sélectionnez Symbole - Insérer dans le synoptique.

Les symboles sont uniquement enregistrés sous forme de référence dans le synoptique. Chaque modification du symbole dans la bibliothèque a une influence directe dans le symbole du synoptique. Si, par exemple, un élément dynamique est ajouté à un symbole, il est également disponible dans tous les synoptiques dans lesquels le symbole est utilisé.
Exception : Les modifications de la taille du symbole ont uniquement un effet sur le synoptique si l'option Taille originale est sélectionnée dans la propriété Taille du graphique du symbole.

Vous pouvez effectuer les opérations suivantes sur les symboles :

  • Convertir en groupes d'éléments : Menu contextuel du symbole -> Convertir le symbole en groupe d'éléments
  • Les modifier dans l'éditeur de symboles : Symbole -> Modifier dans éditeur de symbole
  • Insérer dans un groupe d'éléments existant : Symbole ->Insérer dans un groupe d'éléments existant

Les symboles ne peuvent pas être dissociés sous forme d'éléments, et leurs éléments ne peuvent pas être modifiés par le biais de la commande Éditer symbole (menu contextuel -> Symbole -> Activer le mode d'édition individuelle ou menu Édition -> Symbole -> Mode d'édition de symboles/groupes d'éléments individuels.

attention Attention

Dans les symboles, vous ne devez utiliser que les polices de caractères "embarquées", car les polices "liées" ne sont pas redimensionnées avec le symbole. La position du texte changera en fonction de l'élément graphique du symbole.

Autres sujets abordés dans ce chapitre

Remplacement de variables et de fonctions liées

Linking rule - composite names


Remplacement de variables et de fonctions liées

Manuel -> Synoptiques -> Symboles et groupes d'éléments -> Ajout de symboles à un synoptique -> Symboles -> Remplacement de variables et de fonctions liées

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Lors de l'insertion d'un symbole contenant des variables, la boîte de dialogue de remplacement de variables et de fonctions s'ouvre. Ici, vous pouvez automatiquement remplacer les éléments présents par ceux que vous souhaitez attribuer à ce symbole. Les alias de CAL utilisés dans les éléments du symbole peuvent également être remplacés. Séparez les entrées multiples par un point-virgule (;).

Vous pouvez également accéder à cette boîte de dialogue à l'aide de la propriété Aperçu dans le nœud Règle de création de liens de l'élément.

info Informations

Le processus spécifique aux symboles peut également être appliqué aux conteneurs de synoptique de cadran. Les mêmes propriétés et règles s'appliquent.

Exception : La propriété Noms hiérarchiques n'est pas disponible.

Remplacement de variables et de fonctions liées

Verknüpfungsregel

Eigenschaft | Beschreibung
Verknüpfungsregel | Konfiguration, welche Zeichenketten wie ersetzt werden.
Quelle | Eingabe der zu suchenden Zeichenkette. Erlaubte Wildcards: * und ? Wildcards sind nur als Präfix oder Suffix zugelassen, also *xxx oder xxx*.
Ersetzen durch | Eingabe der Zeichenkette, die eingesetzt werden soll.
Name | Tauscht Information im Variablennamen.
Kennung | Tauscht Information in der Kennung.
Groß-/ Kleinschreibung beachten | Achtet beim Tausch auf exakte Übereinstimmung der Groß-/und Kleinschreibung.
Zusammengesetzte Namen | Zusammengesetzte Namen erlauben. Steht für ALC Aliase und Faceplate Container nicht zur Verfügung. Diese werden immer ohne Symbolpräfix verwendet.

Vorschau

Eigenschaft | Beschreibung
Vorschau | Anzeige der gewählten und ersetzen Elemente.
OK | Applique les paramètres et ferme la boîte de dialogue.
Abbrechen | Discards all changes and closes the dialog.
Hilfe | Ouvre l'aide en ligne.

Weitere Details zum automatisierten Ersetzen von Variablen und Funktionen finden Sie im Kapitel Verknüpfungen von Variablen und Funktionen ersetzen.

Tipp: Achten Sie darauf, dass die Variablen von Anfang eindeutig und sinnvoll benannt werden.


Linking rule - composite names

Manuel -> Synoptiques -> Symboles et groupes d'éléments -> Ajout de symboles à un synoptique -> Symboles -> Linking rule - composite names

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Si la propriété Noms hiérarchiques du nœud Règle de création de liens est active, les noms des variables liées issues des noms d'objet du symbole et des variables définies dans le symbole sont associés.

This action is determined in the Par le nom de variable property.

  • Active:
    The name of the linked variable is compiled from the object name of the symbol and the variable name (the Nom property in the Général property group for the variable).
  • Not active:
    The name of the linked variable is compiled from the object name of the symbol and the variable identification (the Identification property in the Général property group for the variable).

Les deux noms sont séparés par un point :
"Nom du symbole.Variable" ou "Nom du symbole.Identifiant"

attention Attention

Si la propriété Noms hiérarchiques est active, mais la propriété Par le nom de variable n’est pas active, l’identifiant de variable est utilisé. Toutefois, si cette Identification est vide, l’association échouera !

Exemple

Nom de la variable : Moteur.Vitesse
Le nom d'objet du symbole est Moteur. L'élément dynamique utilisé dans le symbole comporte l'opérateur Régime en tant que variable liée.
L'opérateur Régime peut facilement être saisi pour la propriété du symbole lors de la création de la variable.

Les noms combinés fonctionnent également avec les symboles imbriqués :
Si vous avez un symbole Pompe, qui contient à son tour un symbole Moteur et un symbole Convertisseur avec l'opérateur de variable Puissance, la liaison fonctionne en présence d'une variable Pompe.Moteur.Puissance et d'une variable Pompe.Convertisseur.Puissance.


Sélection de symboles dans les éléments combinés

Manuel -> Synoptiques -> Symboles et groupes d'éléments -> Ajout de symboles à un synoptique -> Sélection de symboles dans les éléments combinés

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Pour lier des éléments combinés à un symbole :

  1. Sélectionnez Symbole de la bibliothèque dans les propriétés de l'élément combiné, dans le nœud Affichage de la propriété Type d'affichage.
  2. Cliquez sur Configuration et test.

    La boîte de dialogue de configuration s'ouvre.

Les paramètres généraux de tous les types d'affichage sont décrits au chapitre relatif aux états.

Option

Description

Éléments de l'affichage

Symbole de la bibliothèque

Cliquer sur le symbole pour ouvrir la boîte de dialogue et sélectionner un symbole.

Cliquez sur le symbole X adjacent au symbole pour supprimer le symbole sélectionné.

Modifier la règle de liens

Les variables et les fonctions contenues dans le symbole peuvent être échangés grâce aux règles de liens.

Attention : Si une variable ou une fonction ne 'colle' pas pour le remplacement, ce lien n'est pas remplacé.

Couleurs

Actif uniquement si la propriété Couleurs de symboles originales des Paramètres spécifiques est désactivée.

Couleur

Choix de la couleur.

Couleur de remplissage

Choix de la couleur de remplissage.

A partir de CAL

La couleur de la source liée est utilisée.

Paramètres spécifiques

Couleur d'origine du symbole
  • Active : Transfère la couleur originale depuis le symbole. Désactive la propriété Prendre la couleur de la variable principale.

Clignotement
  • Active : le symbole clignote dans le Runtime si l'état a été atteint.


Barre d'outils

Manuel -> Synoptiques -> Symboles et groupes d'éléments -> Barre d'outils

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Sélectionnez Édition -> Symbole ->Barre d'outils... pour ouvrir une liste présentant tous les symboles du synoptique actif.

Paramètres | Description
Symboles/Groupes d'éléments disponibles | Liste des symboles et des groupes d'éléments dans le synoptique.
No. | Numéro du symbole ou du groupe d'éléments.
Nom | Numéro du symbole ou du groupe d'éléments.

Fermer boîte de dialogue

Options | Description :
OK | Applique les paramètres et ferme la boîte de dialogue.
Annuler | Annule toutes les modifications et ferme la boîte de dialogue.
Aide | Ouvre l'aide en ligne.

Vous pouvez trier les symboles par numéro ou par nom en cliquant sur l'intitulé de la colonne correspondante. Tout symbole sélectionné dans la liste de symboles clignote dans le synoptique.


Exportation et importation au format XML

Manuel -> Synoptiques -> Symboles et groupes d'éléments -> Exportation et importation au format XML

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

L’importation/exportation des symboles est possible à partir du projet et de la bibliothèque globale de symboles. Les symboles sélectionnés ou tous les symboles d’une bibliothèque (c’est-à-dire la bibliothèque complète) peuvent être importés ou exportés. Le chemin d’exportation peut être défini librement.

Exportation de symboles

Pour exporter des symboles :

  1. Sélectionnez les symboles de votre choix
  2. Select the Exporter la sélection en XML... command in the context menu of the detail view.
    Alternate: select in the context menu of the project symbol library node, the Exporter tout (XML) command
  3. La boîte de dialogue de sélection de l’emplacement d’enregistrement s’ouvre
  4. Sélectionnez l’emplacement d’enregistrement de votre choix
  5. Attribuez un nom
  6. Prêtez attention au type de fichier XML
  7. Confirmez en cliquant sur le bouton Enregistrer

Les symboles sélectionnés sont exportés vers un fichier XML, et peuvent être importés à tout instant dans ce projet ou d’autres projets.

Importation de symboles

Pour importer des symboles :

  1. Dans le menu contextuel du nœud ou la vue de détail de la Bibliothèque de symboles du projetn ou dans la vue de détail de la Bibliothèque de symboles globale, sélectionnez la commande Importer XML....
  2. La boîte de dialogue de sélection de l’emplacement d’enregistrement s’ouvre
  3. Accédez à l’emplacement d’enregistrement du fichier XML souhaité
  4. Sélectionnez le fichier de votre choix
  5. Confirmez l’importation en cliquant sur le bouton Ouvrir.

Les symboles sont importés.

Conflits de noms durant l’importation

Lors de l’importation d’un symbole, le nom (attribut ShortName) conservé dans le fichier XML est utilisé pour le nom du symbole créé. Si un symbole portant le même nom existe déjà, l’importation est interrompue et un message d’erreur est affiché :

Paramètre | Description
Oui | Le symbole décrit dans le message d’erreur est remplacé par le symbole du fichier XML lors de l’importation. En cas de nouveau conflit, le message d’erreur est affiché une nouvelle fois.
Non | Le symbole décrit dans le message d’erreur n’est pas importé. Le symbole existant est conservé. En cas de nouveau conflit, le message d’erreur est affiché une nouvelle fois.
Yes, all (Oui, tous) | Le symbole décrit dans le message d’erreur est remplacé par le symbole du fichier XML lors de l’importation. Ce paramètre est utilisé automatiquement lorsqu’une erreur liée à l’utilisation du même nom se produit. Tous les symboles affectés sont remplacés.
Non pour tous | Le symbole décrit dans le message d’erreur n’est pas importé. Le symbole existant est conservé. Ce paramètre est utilisé automatiquement lorsqu’une erreur liée à l’utilisation du même nom se produit. Tous les symboles affectés sont conservés.

Remarque : Seul l’attribut ShortName est utilisé. Le nom de fichier n’a aucune importance au regard du symbole devant être importé. Il ne peut donc pas être utilisé pour résoudre le conflit.


Niveaux de visibilité

Manuel -> Synoptiques -> Niveaux de visibilité

Comme dans les programmes de CAO, vous pouvez définir des niveaux de visibilité dans Editor et les associer à des éléments uniques. De cette manière, vous pouvez facilement masquer les éléments inutilisés dans des images complexes et les afficher à nouveau à votre convenance. 15 niveaux de visibilité sont disponibles. Les niveaux sont associés par l’intermédiaire des propriétés Niveau de visibilité du nœud Général. Les différents niveaux peuvent être activés et désactivés à l’aide des boutons de la barre d’outils Niveaux de visibilité :

Symbole

(de gauche à droite)

Fonction

Rendre visibles tous les niveaux de visibilité

Affiche tous les niveaux.

Rendre invisibles tous les niveaux de visibilité

Masque tous les niveaux.

Niveau de visibilité <no.>

Affiche ou masque le niveau de visibilité concerné.

Options pour la barre de symboles

Cliquez sur la flèche pour ouvrir le sous-menu :

Active : la barre d'outils est affichée.

Si la barre d’outils n’est pas affichée, elle peut être activée en sélectionnant le menu Options -> Barre d’outils.

Remarque : Si la barre d’outils est positionnée librement (c’est-à-dire dissociée d’Editor), les options ne sont pas affichées. Pour fermer la barre d’outils, cliquez sur le bouton X.

info Informations

Les niveaux de visibilité concernent uniquement Editor, et sont sans effet dans le Runtime.

Remarque concernant les éléments de contrôle : Les éléments de contrôle sont toujours affichés dans la position la plus haute. Cela reste également vrai s’ils sont recouverts par d’autres éléments dans Editor. Ceci permet à l’utilisateur d’y accéder à tout moment.


Types de synoptique

Manuel -> Synoptiques -> Types de synoptique

La création de synoptiques se déroule au niveau des paramètres de base avec le type de synoptique Standard. Une liste déroulante permet de sélectionner les types de synoptiques spéciaux pour les propriétés dans les propriétés du synoptique.

attention Attention

Si un type de synoptique est basculé du type standard vers un type spécial, le nouveau type de synoptique est défini de manière fixe avec l'écran, et ne peut plus être modifié.

Types de synoptiques spéciaux

zenon propose une gamme de types de synoptiques spéciaux pour des tâches spéciales. Après avoir sélectionné un type de synoptique spécial, tous les éléments utilisateur correspondant au type de synoptique sont disponibles dans le menu Éléments de contrôle. L'option de menu Insérer un modèle ouvre une boîte de dialogue de sélection permettant d'ajouter des mises en forme prédéfinies à certains éléments de contrôle, à des emplacements prédéfinis.

info Informations

Les types de synoptiques spéciaux ne doivent être créés qu'une fois, même s'ils sont utilisés à plusieurs reprises. Ils peuvent être ouverts avec différentes données grâce à la fonction d'appel de synoptique.

Types de synoptiques spéciaux en tant que synoptiques de démarrage

Chaque type de synoptique peut être utilisé comme synoptique de départ, en théorie.

Attention : les types de synoptiques spéciaux sont ouverts avec un filtre vide, et par conséquent, aucune donnée n'est affichée.

Autres sujets abordés dans ce chapitre

Types de synoptiques spéciaux

Fonctions spécifiques selon le type de synoptique

Gestion des utilisateurs d'Active Directory

Modèle d'équipement

Cadran

Synoptiques de filtre

Boîte de message

HTML

Bloc-notes

Liste contextuelle

Vidéo


Types de synoptiques spéciaux

Manuel -> Synoptiques -> Types de synoptique -> Types de synoptiques spéciaux

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Types de synoptiques spéciaux dans zenon :

Type de synoptique

Description

Gestion des utilisateurs d'Active Directory

Autorise la gestion des utilisateurs Active Directory et des groupes d'utilisateurs dans le Runtime.

Liste des alarmes

Rassemble les messages d'alarme et les affiche sous forme de liste.

Filtre de liste d’alarmes

Filtre de la Liste d'alarmes.

Modèle d'équipement

Permet de changer de modèle d'équipement depuis un synoptique dans le Runtime.

Maintenance d'archive

Affichage et édition des valeurs d'archives sauvegardées dans une table.

Attention : disponible uniquement si le module Serveur d'archives comporte une licence.

Batch

Création de valeurs par défaut pour la recette principale dans le module Batch Control (Contrôle de batch).

Attention : disponible uniquement si le module Batch Control comporte une licence.

Gestion de commandes

Affichage du traitement des commandes.
ATTENTION : disponible uniquement si le module Energy Edition comporte une licence.

Liste des utilisateurs

Affichage des utilisateurs et possibilité de les éditer via le synoptique Éditer utilisateur screen.

Liste de groupes d'utilisateurs

Affichage des groupes d'utilisateurs et possibilité de les éditer via le synoptique Éditer utilisateur screen.

Modifier utilisateur

Création, modification et suppression d'utilisateurs.

Liste d'événements

Rassemble les événements de procédé, les événements système et les paramètres par défaut de l'utilisateur et les affiche sous forme de liste.

Filtre de liste d'événements

Filtre de la liste chronologique d'événements.

Extended Trend

Affiche les valeurs en ligne et les valeurs archivées sous forme de diagrammes.

Cadran

Incorpore plusieurs synoptiques de différents types sur dans un même synoptique.

Prévision de charge maximale

Screen for the display of Maximum Load Forecast.

Attention : disponible uniquement si SICAM 230 comporte une licence.

HTML

Permet d'afficher un synoptique au format HTML adapté à Microsoft Internet Explorer.

Industrial Maintenance Manager

Affichage des informations de maintenance.
ATTENTION : disponible uniquement si le module Industrial Maintenance Manager comporte une licence.

Remarque : Indisponible sous Windows CE.

Industrial Performance Analyzer

Analyse les alarmes afin d'identifier les faiblesses (périodes d'indisponibilité) des équipements.

Remarque : Indisponible sous Windows CE.

Clavier

Crée un clavier virtuel librement définissable.

Load Management - Gestion de charge

Planification et affichage de la gestion d'énergie (électricité, gaz).

Attention : Uniquement disponible avec une licence pour Gestion de charge.

Remarque : Indisponible sous Windows CE.

Connexion

Fenêtre configurable utilisable pour les connexions temporaires au Runtime, ainsi que la saisie d'une signature et la connexion via une fonction.

Boîte de message

Individually-designable window to display system messages.

Message control

Synoptique de gestion de la file d'attentes dans le module Gestion des messages.

Bloc-notes

Affiche les protocoles et les fichiers texte créés à partir de la base de données ou de fichiers texte existants.

Production & Facility Scheduler

Gestion des programmes et des profils.

Attention : disponible uniquement si le module Production & Facility Scheduler (PFS) comporte une licence.

Process Recorder

Screen for the control of the playback of recorded process data in Runtime.

Attention : Only available with a license for the optional Process Recorder module.

Report Generator

Destiné à la création de rapports générés au moyen du générateur de rapports.

Attention : disponible uniquement si le générateur de rapports comporte une licence. Si vous souhaitez uniquement afficher des rapports sans les modifier, il n'est pas nécessaire de disposer d'une licence pour le Runtime.

Report Viewer

Permet d'afficher les rapports RDL pour les archives, les listes AML et CEL et les valeurs en ligne.

Attention : disponible uniquement si le gestionnaire de rapports comporte une licence.

Recipe Group Manager

Autorise la gestion des recettes et leur utilisation dans un groupe de recettes.

Attention : disponible uniquement si le gestionnaire de groupes de recettes module comporte une licence.

S7 Graph

Utilisé dans les chaînes séquentielles comportant des séquences avec étapes alternatives ou parallèles (SFC). Affiche l'état actuel du système de contrôle de la chaîne dans l'automate dans le Runtime.

Recettes standard

Gestion des recettes.

Séquenceur de commandes

Creation of processes in Runtime directly. Command actions that are configured in the Editor serve as a basis.

Attention : Only available with an additional license. Can only be licensed in addition to Energy Edition.

Liste contextuelle

Allows the central administration of hierarchically-structured texts in Runtime, for example for use as an alarm cause.

Variable Diagnosis

Affiche les variables dans le Runtime et transmet les valeurs aux équipements.

Remarque : Indisponible sous Windows CE.

Vidéo

Affiche les vidéos en ligne et enregistrées (*.avi).

Remarque : Indisponible sous Windows CE.

Vue globale

Autorise le défilement de synoptiques standard dont la largeur est supérieure à la résolution d'écran.

Filtre de temps/lot

Permet de définir des paramètres de filtre généraux pour des listes. Les listes contrôlées de cette manière sont définies dans la fonction d'appel de synoptique.

Autres sujets abordés dans ce chapitre

Créer des types de synoptiques spéciaux

Modèle pour les synoptiques standard et les types de synoptique spéciaux


Créer des types de synoptiques spéciaux

Manuel -> Synoptiques -> Types de synoptique -> Types de synoptiques spéciaux -> Créer des types de synoptiques spéciaux

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Pour créer un type de synoptique spécial :

  1. Créez un nouveau synoptique ou sélectionnez un synoptique existant de type Standard.
  2. Cliquez sur le type prédéfini Standard dans les propriétés, à l'emplacement Type de synoptique du nœud Général.

    Alternative : Dans la vue de détail Synoptique, vous pouvez également cliquer sur le type de synoptique des éléments et sélectionner le type de synoptique de votre choix dans la liste déroulante.

  3. Sélectionnez le type de synoptique souhaité dans la liste déroulante.
  4. Sélectionnez les éléments de contrôle de votre choix dans le menu Éléments de contrôle.
    • L'option Insérer un modèle ouvre une boîte de dialogue de sélection permettant d'ajouter des mises en forme prédéfinies à certains éléments de contrôle, à des emplacements prédéfinis.
    • Les éléments déjà présents sur le synoptique sont grisés et ne peuvent plus être sélectionnés.

info Informations

Restriction concernant l'insertion automatique du modèle :

Si un élément statique, tel qu'un élément de contrôle, est déjà présent dans le synoptique, aucun cadre ou texte de cadre n'est ajouté lors de l'insertion des éléments de contrôle par défaut.

Recommandation : après avoir créé un synoptique de type spécial insérez les éléments de contrôle par défaut du modèle, puis les autres éléments.


Modèle pour les synoptiques standard et les types de synoptique spéciaux

Manuel -> Synoptiques -> Types de synoptique -> Types de synoptiques spéciaux -> Modèle pour les synoptiques standard et les types de synoptique spéciaux

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Pour les types de synoptique spéciaux et les synoptiques, vous pouvez utiliser des modèles permettant d'insérer et de positionner les éléments automatiquement. Vous pouvez créer vous-même les modèles, à partir de n'importe quel synoptique. Pour les types de synoptiques spéciaux, des modèles prédéfinis sont fournis avec zenon.

Les modèles sont enregistrés sous forme de fichiers zip compressés contenant trois fichiers :

  • Métadonnées : fichier XML contenant la description du modèle (nom, description, taille, etc.).
  • Éléments de synoptique : fichier XML contenant les éléments exportés du synoptique.
  • Aperçu : fichier bitmap comportant un aperçu du modèle.

Modèles fournis

Les modèles fournis sont disponibles dans différentes résolutions et dans des versions optimisées pour les écrans tactiles. Ces modèles ne peuvent être ni modifiés, ni supprimés. Les gabarits prédéfinis de COPA-DATA sont enregistrés dans le dossier de programme sous zenon. \Templates\ScreenTypes\[LANGUE]\[Nom du type de synoptique]\[Nom du fichier].zip.

Exemple : Les gabarits en langue anglaise de la liste d'alarmes se trouvent dans le répertoire %Program Files (x86)%\COPA-DATA\zenon 9.1\Templates\ScreenTypes\ENGLISH\Alarm Message list\

Remarque : Seuls les gabarits associés à la langue actuellement définie sont chargés.

Modèle défini par l'utilisateur

Les utilisateurs peuvent créer et enregistrer des modèles pour tous les types de synoptique. Ils peuvent également les modifier et les supprimer.

Les gabarits définis par l'utilisateur sont enregistrés dans le dossier de données de zenon : Templates\ScreenTypes\<Nom du type de synoptique>\<Nom du fichier>.zip.
Par exemple : %ProgramData%\COPA-DATA\zenon7.60\Templates\ScreenTypes\Alarm Message List\3e9afbcf-f93d-46d9-a199-e00effe4811c.zip.

Remarque : le chemin dépend si le programme a été enregistré lors de l'installation, ou par le biais de l'outil Startup Tool. Dans ce dernier cas, le dossier actuel du programme est utilisé comme dossier de données.

Autres sujets abordés dans ce chapitre

Utilisation de modèles

Création de modèles


Utilisation de modèles

Manuel -> Synoptiques -> Types de synoptique -> Types de synoptiques spéciaux -> Modèle pour les synoptiques standard et les types de synoptique spéciaux -> Utilisation de modèles

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Pour utiliser des modèles pour un synoptique :

  1. Ouvrez le synoptique.
  2. Select the Select template command in the control element menu.
  3. La boîte de dialogue de sélection de modèles prédéfinis et définis par l'utilisateur s'affiche.

    Note: for standard screens, only user-defined templates are available.

  4. Sélectionnez le modèle de votre choix.
  5. Cliquez sur Accepter.
  6. Les éléments définis dans les modèles sont insérés à l'emplacement prédéfini.

Paramètres | Description
Champ de liste de modèles (à gauche) | Affiche la liste des modèles prédéfinis et définis par l’utilisateur.
Aperçu du modèle (en haut à droite) | Aperçu du synoptique lors de l'adaptation du modèle sélectionné.
Description du modèle (en bas à droite) | Description du modèle.
Supprimer les éléments de synoptique existants | Active : les éléments existants du synoptique sont supprimés lors de l’utilisation du modèle.
Appliquer | Insère l’élément du modèle sélectionné dans le synoptique et ferme la boîte de dialogue.
Annuler | Ferme la boîte de dialogue sans insérer les éléments.
Aide | Ouvre l’aide en ligne.


Création de modèles

Manuel -> Synoptiques -> Types de synoptique -> Types de synoptiques spéciaux -> Modèle pour les synoptiques standard et les types de synoptique spéciaux -> Création de modèles

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Les dossiers et modèles peuvent être créés, supprimés, renommés et déplacés pour les modèles définis par l'utilisateur. Les modèles prédéfinis, fournis avec le logiciel, ne peuvent être ni modifiés, ni supprimés.

Création de dossiers ou de modèles

Pour créer un dossier, sélectionnez :

  • Le bouton Nouveau dossier dans la boîte de dialogue
  • Ou la commande Nouveau dossier dans le menu contextuel
  • Ou appuyez sur la touche Insér.

Pour créer un modèle :

  1. Sélectionnez le synoptique souhaité dans la vue de détail.
  2. Sélectionnez la commande Create template for screen type (Créer un modèle pour le type de synoptique) dans le menu contextuel ou la barre d'outils.
  3. La boîte de dialogue de création de modèles personnalisés s'affiche à l'écran.
  4. Sélectionnez un dossier existant ou créez-en un nouveau.
  5. Saisissez un nom pour le nouveau modèle.
  6. Vous pouvez ajouter une description, si vous le souhaitez.
  7. Confirmez avec OK.
  8. Le modèle est ajouté au dossier de gabarit.

Paramètre | Description
Champ de liste de modèles (à gauche) | Affiche la liste des modèles prédéfinis et définis par l’utilisateur. Permet de supprimer ou renommer les dossiers et modèles et d'ajouter des dossiers par le biais du menu contextuel.
Aperçu du modèle (en haut à droite) | Aperçu du synoptique lors de l'adaptation du modèle sélectionné.
Description du modèle (en bas à droite) | Description du modèle.
Nouveau dossier | Crée un nouveau dossier. Vous pouvez créer plusieurs niveaux.
Renommer | Ouvre le champ de nom pour la modification. Vous pouvez également effectuer ceci en appuyant sur la touche F2 ou en cliquant deux fois sur le champ.
Supprimer | Supprime le dossier sélectionné et tous les sous-dossiers après l'affichage d'une demande de confirmation.
OK | Crée le modèle et ferme la boîte de dialogue.
Annuler | Ferme la boîte de dialogue sans créer le modèle.
Aide | Ouvre l’aide en ligne.

Supprimer le dossier

Pour supprimer un dossier ou un modèle :

  1. Sélectionnez le dossier ou le modèle
  2. Sélection
    1. Bouton Supprimer dans la boîte de dialogue
    2. Ou la commande Supprimer dans le menu contextuel
    3. Ou appuyez sur la touche Suppr.

Le dossier ou le modèle est supprimé après affichage d'une demande de confirmation. Dans le cas des dossiers, les éventuels sous-dossiers et tous les modèles qu'ils contiennent sont également supprimés.

Renommer un dossier ou un modèle

Pour supprimer un dossier ou un modèle :

  • Sélectionnez la commande Renommer dans le menu contextuel
  • ou cliquez sur le bouton Renommer
  • ou sélectionnez l'élément, puis ouvrez-le en appuyant sur la touche F2 ou en cliquant deux fois sur le texte pour l'éditer.
  • Ou, dans le cas des modèles, modifiez directement le texte dans le champ Nom

Déplacement de dossiers ou de modèles

Les dossiers et modèles peuvent être déplacés vers d'autres dossiers avec la souris, par le biais d'une manipulation "glisser-déplacer" (drag&drop).

Autres sujets abordés dans ce chapitre

Menu contextuel création d'un modèle pour un type de synoptique


Menu contextuel création d'un modèle pour un type de synoptique

Manuel -> Synoptiques -> Types de synoptique -> Types de synoptiques spéciaux -> Modèle pour les synoptiques standard et les types de synoptique spéciaux -> Création de modèles -> Menu contextuel création d'un modèle pour un type de synoptique

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Menu contextuel création d'un modèle pour un type de synoptique

La boîte de dialogue de création de nouveaux modèles comporte également des menus contextuels.

Menu contextuel du dossier

Paramètres | Description
Nouveau dossier | Crée un nouveau dossier sous le niveau sélectionné.
Supprimer | Supprime le dossier sélectionné après affichage d'une demande de confirmation.
Renommer | Ouvre l'intitulé du dossier pour vous permettre de le renommer.
Aide | Ouvre l’aide en ligne.

Menu contextuel des modèles

Paramètres | Description
Supprimer | Supprime le modèle sélectionné après affichage d'une demande de confirmation.
Renommer | Ouvre l'intitulé du modèle pour vous permettre de le renommer.
Aide | Ouvre l’aide en ligne.


Fonctions spécifiques selon le type de synoptique

Manuel -> Synoptiques -> Types de synoptique -> Fonctions spécifiques selon le type de synoptique

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Si un élément dynamique Bouton est créé dans un synoptique de type spécial, la propriété supplémentaire Fonction spécifique au type de synoptique est disponible dans les propriétés des nœuds Variable/fonction. Cette propriété permet de lier les fonctions spéciales, dépendant du type de synoptique, à un bouton.

Si des fonctions spécifiques à un type de synoptique sont non valides, par exemple, suite à la copie d'un bouton vers un synoptique de type différent, la liaison non valide est identifiée et peut être remplacée. Les fonctions non valides sont supprimées durant la compilation.

attention Attention

Outre une fonction spécifique au type de synoptique, il est également possible de lier une fonction générale au bouton. Les événements VBA (tels que LeftClickDown) peuvent également être exécutés dans le Runtime.

Dans ce cas, notez l’ordre d’exécution lorsque vous cliquez sur le bouton :

  1. Événements VBA
  2. Fonction spécifique au type de synoptique
  3. Fonction générale

Une fonction est uniquement exécutée si l'événement précédent a été terminé.

Boîte de dialogue Saisir un élément

Paramètres | Description
Liste de fonctions | Affiche la liste de toutes les fonctions spécifiques disponibles pour le type de synoptique. Les fonctions qui ne sont pas disponibles pour ce bouton sont affichées en gris. Cliquez sur une entrée pour la sélectionner pour la création d'un lien.
OK | Applique les paramètres et ferme la boîte de dialogue.
Annuler | Annule toutes les modifications et ferme la boîte de dialogue.
Aide | Ouvre l'aide en ligne.


Gestion des utilisateurs d'Active Directory

Manuel -> Synoptiques -> Types de synoptique -> Gestion des utilisateurs d'Active Directory

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Vous pouvez accéder à Windows Active Directory dans le Runtime depuis un synoptique de gestion des utilisateurs Active Directory. Vous pouvez créer, supprimer et modifier des unités organisationnelles, des utilisateurs et des groupes d'utilisateurs et leur attribuer des droits dans zenon.

info Informations

Active Directory , AD LDS, et ADAM (pour Windows XP), ne sont pas disponibles sous Windows CE.

Domaines dans le Runtime

Dans le Runtime, le domaine de l'utilisateur qui a démarré le Runtime pour la connexion à Active Directory est utilisé. Seuls les utilisateurs qui appartiennent à ce domaine peuvent se connecter.

Autorisation utilisateur

attention Attention

Les droits attribués dans zenon s'appliquent à un projet ou à un espace de travail. Les droits attribués dans Active Directory sont appliqués globalement.

Si des droits ont été attribués à des utilisateurs ou des groupes d'utilisateurs d'Active Directory, les droits de ces utilisateurs sont appliqués à tous les projets dans zenon !

Création d'un synoptique de gestion des utilisateurs Active Directory

Développement

Étapes de création du synoptique :

  1. Créez un nouveau synoptique :

    Dans la barre d’outils ou le menu contextuel du nœud Synoptiques, sélectionnez la commande Nouveau synoptique.
    Un synoptique vide Standard est créé.

  2. Modifiez les propriétés du synoptique :
    1. Nommez le synoptique dans la propriété Nom.
    2. Sélectionnez Gestion des utilisateurs Active Directory dans la propriété Type de synoptique.
    3. Sélectionnez le cadre souhaité dans la propriété Gabarit.
  3. Configurez le contenu du synoptique :
    1. Sélectionnez l’option de menu Éléments de contrôle dans la barre de menus
    2. Sélectionnez Insérer un modèle dans la liste déroulante.
      La boîte de dialogue de sélection de mises en forme prédéfinies s’affiche à l’écran. Certains éléments de contrôle sont insérés dans le synoptique à des positions prédéfinies.
    3. Supprimez les éléments superflus du synoptique.
    4. Si nécessaire, sélectionnez des éléments supplémentaires dans la liste déroulante Éléments. Placez-les aux emplacements souhaités sur le synoptique.
  4. Créez une fonction d’appel de synoptique.

Synoptique Gestion des utilisateurs Active Directory

Éléments de contrôle

Élément de contrôle | Description
Insérer un modèle | Ouvre la boîte de dialogue de sélection de modèle pour le type de synoptique correspondant. Des modèles sont fournis avec zenon, et peuvent également être créés par l’utilisateur. Modèles ajoutent des éléments de contrôle prédéfinis à des positions prédéfinies sur le synoptique. Les éléments qui ne sont pas nécessaires peuvent également être supprimés individuellement après leur création. Les éléments supplémentaires peuvent être sélectionnés dans la liste déroulante, puis insérés dans le synoptique zenon. Les éléments peuvent être déplacés et disposés individuellement sur le synoptique.

Fenêtre Active Directory

Éléments de contrôle pour l'affichage et l'administration d'Active Directory.

Contient la vue détaillée d'Active Directory : Fenêtre dans laquelle est affichée la structure d'Active Directory.

Élément de contrôle | Description
Fenêtre Active Directory |
Créer une nouvelle unité organisationnelle (Arborescence) | Ouvre la boîte de dialogue de création d'une nouvelle unité organisationnelle dans l'arborescence.
Modifier l'unité organisationnelle |
Supprimer unité d'organisation ... l'arborescence | Supprime l'unité organisationnelle sélectionnée dans l'arborescence après une demande de confirmation.
Monter d'un niveau | Remonte d'un niveau dans la structure.
Créer une nouvelle unité organisationnelle | Crée une nouvelle unité organisationnelle située sous l'élément sélectionné dans l'arborescence. La boîte de dialogue correspondante s'affiche.
Créer nouvel utilisateur | Ouvre l'assistant de création d'un nouvel utilisateur.
Créer un nouveau groupe d'utilisateurs | Ouvre la boîte de dialogue de création d'un nouveau groupe d'utilisateurs.
Modifier l'objet | Ouvre la boîte de dialogue d'édition de l'objet sélectionné.
Supprimer un objet | Supprime l'objet sélectionne.

Connexion

Éléments de contrôle pour la connexion à Active Directory.

Élément de contrôle | Description
Nom de domaine | Saisie et affichage du nom de domaine. Remarque : Élément de type Texte dynamique. L'attribution de la fonctionnalité a lieu à l'aide de la propriété Fonction spécifique au type de synoptique.
Nom utilisateur | Saisie et affichage du nom d'utilisateur AD. Remarque : Élément de type Texte dynamique. L'attribution de la fonctionnalité a lieu à l'aide de la propriété Fonction spécifique au type de synoptique.
Mot de passe | Saisie du mot de passe. Remarque : Élément de type Texte dynamique. L'attribution de la fonctionnalité a lieu à l'aide de la propriété Fonction spécifique au type de synoptique.
Connexion | Cliquez sur ce bouton pour vous connecter à AD.
Déconnexion | Cliquez sur ce bouton pour vous déconnecter.

Éléments compatibles

Les éléments de contrôle supprimés ou remplacés par des versions plus récentes restent disponibles, pour des raisons de compatibilité. Ces éléments ne sont pas pris en compte lors de l’insertion automatique de modèles.

Élément de contrôle | Description
Nom de domaine | Élément de contrôle statique Win32. Remplacé par un champ de texte dynamique. Pour la description, reportez-vous à l’élément actuel.
Nom utilisateur | Élément de contrôle statique Win32. Remplacé par un champ de texte dynamique. Pour la description, reportez-vous à l’élément actuel.
Mot de passe | Élément de contrôle statique Win32. Remplacé par un champ de texte dynamique. Pour la description, reportez-vous à l’élément actuel.

Vous trouverez des informations détaillées concernant l'utilisation dans zenon et la configuration d'Active Directory dans le manuel Gestion des utilisateurs, aux chapitres suivants :

  • Gestion des utilisateurs Active Directory dans le Runtime de zenon
  • Gestion des utilisateurs avec Microsoft Active Directory

attention Attention

Les droits attribués dans zenon s'appliquent à un projet ou à un espace de travail. Les droits attribués dans Active Directory sont appliqués globalement.

Si des droits ont été attribués à des utilisateurs ou des groupes d'utilisateurs d'Active Directory, les droits de ces utilisateurs sont appliqués à tous les projets dans zenon !


Modèle d'équipement

Manuel -> Synoptiques -> Types de synoptique -> Modèle d'équipement

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Un synoptique de modèle d'équipement autorise les opérations suivantes dans le Runtime :

  • D'autres synoptiques déjà ouverts peuvent être filtrés en fonction de certains groupes d'équipement
  • Toutes les fonctions liées à un certain groupe d'équipements sont automatiquement insérées de manière consécutive dans une liste

Le filtrage en fonction d'un groupe d'équipements a toujours une incidence sur les synoptiques déjà ouverts. Si des synoptiques sont appelés ou chargés à nouveau, ils sont affichés dans le filtre de modèle d'équipement.

Remarque : Ave l'option Filtre hiérarchique, il suffit que la variable soit liée à un niveau du modèle d'équipement. Cette variable est automatiquement prise en compte au cours du filtrage à des niveaux supérieurs.

info Informations

Des modèles d'équipement issus des projets globaux et locaux sont disponibles. Si des conflits de nom sont présents, les projets d'équipements locaux sont privilégiés.

Conseil : Assurez-vous d'utiliser des noms clairs lors de la configuration des modèles d'équipements. Par exemple, attribuez aux modèles d'équipements globaux un préfixe ou un suffixe correspondant. Ceci vous évitera d'avoir les mêmes noms pour les modèles d'équipements locaux et globaux. Vous pourrez en outre facilement identifier l'origine des modèles d'équipements affichés dans les listes de sélection.

Vous trouverez des informations détaillées concernant la configuration et l'utilisation des synoptiques de modèles d'équipement dans le manuel Modélisation d'équipements, aux chapitres Synoptique Modèle d'équipement et Filtrage dans le Runtime.


Cadran

Manuel -> Synoptiques -> Types de synoptique -> Cadran

Le terme cadran désigne un synoptique zenon pouvant accepter plusieurs synoptiques de différents types à l'aide de conteneurs de synoptiques et les afficher de manière consécutive dans le Runtime. Par exemple, avec les cadrans :

  • Plusieurs synoptiques peuvent être affichés simultanément sur un même écran
  • Plusieurs filtre de temps peuvent être appliqués au même type de synoptique en même temps
  • Les données provenant d'un synoptique peuvent être appliquées à un autre synoptique à l'aide d'un filtre

Types de synoptiques autorisés pour les cadrans

Les types de synoptiques suivants peuvent être liés dans des cadrans :

  • Alarmes
  • Filtre de liste AML
  • Modèle d'équipement
  • Liste d'événements
  • Filtre de liste CEL
  • Module Extended Trend
  • HTML
  • Report Generator
  • Report Viewer
  • Standard
  • Filtre de temps

Cadrans dans la vue de détail

Les sous-synoptiques liés dans des cadrans sont affichés sous forme de groupe sous le synoptique de cadran dans la vue de détail.

Il est possible de filtrer les sous-synoptiques dans la colonne Nom. Tous les sous-synoptiques adaptés au filtre et au cadran correspondants sont affichés. Les sous-synoptiques peuvent être copiés, mais ne peuvent plus être modifiés.

Autres sujets abordés dans ce chapitre

Création d'un synoptique de cadran

Remplacer les liens

Configuration des appels de synoptique

Utilisation du cadran dans le Runtime


Création d'un synoptique de cadran

Manuel -> Synoptiques -> Types de synoptique -> Cadran -> Création d'un synoptique de cadran

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Un synoptique de cadran est constitué de conteneurs de synoptique et des boutons optionnels Filtre et Filtre paramétrable.

Conteneur de synoptique :

Les conteneurs de synoptique affichent le nom du conteneur, ainsi que le nom et le type du synoptique lié. Pour les synoptiques déjà liés, ces informations sont accentuées par des couleurs d'arrière-plan automatiquement définies. Ces informations dans Editor se superposent donc toujours au contenu du synoptique lié positionné au même emplacement.

La taille du conteneur peut être adaptée à la taille du synoptique lié. Pour cela, accédez à la propriété Accepter la taille du synoptique lié dans le groupe Position. Cliquez sur le bouton ... pour accepter la taille du synoptique lié pour le conteneur.

Synoptique de cadran

Éléments de contrôle

Description

Insérer un modèle

Ouvre la boîte de dialogue de sélection de modèle pour le type de synoptique correspondant.

Des modèles sont fournis avec zenon, et peuvent également être créés par l’utilisateur.

Modèles ajoutent des éléments de contrôle prédéfinis à des positions prédéfinies sur le synoptique. Les éléments qui ne sont pas nécessaires peuvent également être supprimés individuellement après leur création. Les éléments supplémentaires peuvent être sélectionnés dans la liste déroulante, puis insérés dans le synoptique zenon. Les éléments peuvent être déplacés et disposés individuellement sur le synoptique.

Conteneur de synoptique

Élément lié à un synoptique existant et permettant d'afficher le contenu du synoptique lié dans le Runtime.

Plusieurs conteneurs de synoptique peuvent être utilisés dans un synoptique de cadran.

Si l'option Bordure autour des éléments dynamiques (Options -> Paramètres) est activée, un symbole est affiché dans le coin supérieur droit. Ceci indique que le contenu est lié.

Le conteneur contient des informations concernant le synoptique lié.

Filtre

Ouvre, dans le Runtime, une fenêtre contenant les filtres configurés dans l'Éditeur. Seuls les filtres déverrouillés peuvent être modifiés.

Filtre paramétrable

Ouvre, dans le Runtime, une fenêtre contenant les filtres configurés dans Editor et autorise l'édition de tous les filtres, indépendamment des exigences dans Editor.

Création d'un synoptique de cadran

Développement

Étapes de création du synoptique :

  1. Créez un nouveau synoptique :

    Dans la barre d’outils ou le menu contextuel du nœud Synoptiques, sélectionnez la commande Nouveau synoptique.
    Un synoptique vide Standard est créé.

  2. Modifiez les propriétés du synoptique :
    1. Nommez le synoptique dans la propriété Nom.
    2. Sélectionnez Cadran dans la propriété Type de synoptique.
    3. Sélectionnez le cadre souhaité dans la propriété Gabarit.
  3. Configurez le contenu du synoptique :
    1. Sélectionnez l’option de menu Éléments de contrôle dans la barre de menus
    2. Sélectionnez Insérer un modèle dans la liste déroulante.
      La boîte de dialogue de sélection de mises en forme prédéfinies s’affiche à l’écran. Certains éléments de contrôle sont insérés dans le synoptique à des positions prédéfinies.
    3. Supprimez les éléments superflus du synoptique.
    4. Si nécessaire, sélectionnez des éléments supplémentaires dans la liste déroulante Éléments. Placez-les aux emplacements souhaités sur le synoptique.
  4. Créez une fonction d’appel de synoptique.

Remarques relatives à la configuration de projets

Vous disposez des options suivantes pour lier un synoptique à un conteneur :

  • Glisser-déplacer :
    Déplacez un synoptique dans le conteneur en le faisant glisser-déplacer. Un symbol est affiché lorsque le pointeur de la souris est positionné sur la cible, indiquant si le synoptique peut être lié.
    Remarque : Si plusieurs synoptiques sont déplacés simultanément vers un conteneur par glisser-déplacer, le premier synoptique sélectionné est lié.
  • Sélection via une propriété :
    Select a screen using the properties screen in the Display properties group. Seuls les types de synoptiques autorisés sont proposés pour la création de liens.
  • Boîte de dialogue du conteneur :
    Appelez la boîte de dialogue pour sélectionner un synoptique en double-cliquant sur le conteneur de synoptique vide. Seuls les types de synoptiques autorisés sont proposés pour la création de liens.
    Remarque : Double-cliquez sur un conteneur déjà rempli pour ouvrir le synoptique lié.

Conseils :

  • Double-cliquez sur le conteneur de synoptique pour ouvrir :
    • Si le conteneur de synoptique est vide : la boîte de dialogue de liaison de synoptique
    • Si la conteneur de synoptique est configuré : le synoptique lié dans le nouvel onglet
  • La propriété Afficher l'aperçu dans Editor peut être utilisée pour activer ou désactiver, dans Editor, l'affichage du synoptique lié dans le conteneur de synoptique. Il est recommandé de désactiver l'affichage en cas de problèmes de performances.

info Informations

Lorsque vous définissez le nom du synoptique pour la propriété Nom d'élément, assurez-vous d'utiliser un identifiant unique. Voici comment vous vous assurer que chaque sélection est unique lors de la création d'un appel de synoptique.

Création manuelle de conteneurs de synoptique

Pour créer des conteneurs de synoptique manuellement :

  1. Ouvrez le menu Éléments de contrôle.
  2. Sélectionnez le conteneur de synoptique.
  3. Faites glisser le conteneur vers le synoptique avec la souris.

    La boîte de dialogue de sélection de synoptique s’affiche à l’écran.

  4. Sélectionnez le synoptique souhaité dans la liste et confirmez votre sélection en cliquant sur OK.
  5. Attribuez un nom unique au conteneur de synoptique.

Répétez cette étape pour les conteneurs de synoptique souhaités.

info Informations

Seuls les cadrans comportant des synoptiques du type autorisé peuvent être créés dans Editor. Toutefois, pour le type de synoptique standard défini, un type de synoptique non autorisé peut être défini ultérieurement. Si des synoptiques de ce type sont sélectionnés dans Editor, les liens sont supprimés. Un conteneur vide est affiché dans le Runtime.


Remplacer les liens

Manuel -> Synoptiques -> Types de synoptique -> Cadran -> Remplacer les liens

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Les fonctions, variables, variables de verrouillage et alias de la fonction CAL liés dans le conteneur peuvent être remplacés automatiquement.

Pour remplacer les liens :

  1. Accédez au groupe Règle de création de liens dans les propriétés du conteneur
  2. Configurez directement les remplacements correspondants ou utilisez la boîte de dialogue.
  3. Cliquez sur le bouton ... dans la propriété Aperçu ouvre la boîte de dialogue de configuration et de prévisualisation des remplacements.

Les remplacements de plusieurs conteneurs peuvent être effectués en même temps, à l'aide de la sélection multiple. Dans ce cas, les règles doivent être définies à l'aide des propriétés. La boîte de dialogue de prévisualisation n'est alors plus disponible.

Verknüpfungsregel

Eigenschaft | Beschreibung
Verknüpfungsregel | Konfiguration, welche Zeichenketten wie ersetzt werden.
Quelle | Eingabe der zu suchenden Zeichenkette. Erlaubte Wildcards: * und ? Wildcards sind nur als Präfix oder Suffix zugelassen, also *xxx oder xxx*.
Ersetzen durch | Eingabe der Zeichenkette, die eingesetzt werden soll.
Name | Tauscht Information im Variablennamen.
Kennung | Tauscht Information in der Kennung.
Groß-/ Kleinschreibung beachten | Achtet beim Tausch auf exakte Übereinstimmung der Groß-/und Kleinschreibung.
Zusammengesetzte Namen | Zusammengesetzte Namen erlauben. Steht für ALC Aliase und Faceplate Container nicht zur Verfügung. Diese werden immer ohne Symbolpräfix verwendet.

Vorschau

Eigenschaft | Beschreibung
Vorschau | Anzeige der gewählten und ersetzen Elemente.
OK | Applique les paramètres et ferme la boîte de dialogue.
Abbrechen | Discards all changes and closes the dialog.
Hilfe | Ouvre l'aide en ligne.

Weitere Details zum automatisierten Ersetzen von Variablen und Funktionen finden Sie im Kapitel Verknüpfungen von Variablen und Funktionen ersetzen.

Tipp: Achten Sie darauf, dass die Variablen von Anfang eindeutig und sinnvoll benannt werden.

La règle de liaison définie s'applique aux objets suivants, s'ils sont présents dans le synoptique :

  • Fonctions
  • Variables
  • Variables de verrouillage
  • Alias de la fonction CAL

Procédure

Lors de l'appel d'un synoptique de cadran, la règle de liaison des objets à remplacer avec la règle de liaison configurée pour le conteneur de synoptique est affichée dans la liste de prévisualisation de l'appel de synoptique. La prévisualisation du conteneur de synoptique affiche également déjà les objets remplacés. Différents conteneurs de synoptique peuvent utiliser le même synoptique, mais imposent règles de liaison différentes.

Dans le Runtime, seul la règle de remplacement configurée pour le conteneur de synoptique s'applique au synoptique lié. Ensuite, si elle est configurée, la règle de liaison s'applique à la fonction d'appel de synoptique.

Si une règle de liaison ne peut pas être supprimée dans le Runtime, une entrée de fichier journal est créée.


Configuration des appels de synoptique

Manuel -> Synoptiques -> Types de synoptique -> Cadran -> Configuration des appels de synoptique

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Pour créer une nouvelle fonction d'appel de synoptique Diagnostic de variables :

  1. Sélectionnez Nouvelle fonction.
  2. Sélectionnez Appel de synoptique.
  3. Sélectionnez un synoptique de cadran ou un sous-synoptique lié dans le cadran.

    La boîte de dialogue de configuration et de liaison des filtres s'affiche à l'écran.

  4. Configurez le filtre souhaité
    Conseil : Vous pouvez configurer différents filtres du même type.
  5. Liez les conteneurs de synoptique au filtre :
    Remarque : Seuls les filtres compatibles avec le type de synoptique présent dans le conteneur de synoptique sont utilisables.
    Des filtres de liste AML, de liste CEL, de temps et de modèle d'équipement peuvent être appliqués aux sous-synoptiques.
  6. Confirmez la configuration en cliquant sur le bouton OK.

Avec dialogue de filtre

Paramètres

Description

Filtre

Onglet de configuration des filtres des conteneurs de synoptique dans le cadran.

Remplacer les liens

Onglet permettant de remplacer les variables liées.

Remplacer les indices

Onglet permettant de remplacer les indices.

Liste de filtres

Liste de tous les filtres créés. Ces filtres peuvent être attribués à des conteneurs de synoptique individuels.

La liste est triée par ordre alphabétique, en fonction du filtre. Les entrées de chaque groupe peuvent être triées en fonction de la description ou des paramètres de filtre en cliquant sur l'intitulé de la colonne.

Case à cocher

Active : Si l'option Afficher cette boîte de dialogue dans le Runtime a été activée pour la boîte de dialogue, ce filtre est disponible pour la configuration dans le dans le Runtime.

Inactive : Ce filtre ne peut pas être sélectionné dans Runtime.

Par défaut : active

Nouveau

Ouvre la boîte de dialogue permettant de sélectionner un type de filtre et crée un nouveau filtre correspondant dans la liste.

Raccourci : Touche Insér.

Édition

Ouvre une boîte de dialogue de configuration selon le type de filtre.
La boîte de dialogue peut également être ouverte en double-cliquant sur le filtre dans la liste.

Dupliquer

Copie le filtre sélectionné et l'insère sous un nouveau nom dans le groupe de filtres correspondant.

Supprimer

Supprime le filtre actuellement sélectionné de la liste.

Raccourci : Touche Suppr.

Conteneur de synoptique

Attribution des filtres aux conteneurs de synoptique.

Liste de filtres

Dresse la liste de tous les conteneurs de synoptique et des filtres liés correspondants.

Les noms des conteneurs sont constitués des éléments suivants : Identifiants du conteneur de synoptique, nom du synoptique et type de synoptique.

Les filtres déjà liés sont affichés par ordre alphabétique sous le nom du conteneur. Chaque entrée de conteneur comporte un bouton Filtre de liens. Cliquez sur le bouton Filtre de liens ouvre la boîte de dialogue de sélection de filtre.

Filtre de liens

Cliquez sur ce bouton pour ouvrir la boîte de dialogue permettant de sélectionner le filtre devant être lié dans le conteneur. Seuls les filtres pouvant être liés au conteneur sélectionnés sont affichés.

Plusieurs filtres peuvent être sélectionnés pour chaque conteneur ; toutefois, il n'est pas possible de sélectionner plusieurs synoptiques de même type. Les types de filtre déjà liés au conteneur de synoptique correspondant ne sont plus disponibles pour la sélection.

Ce bouton est affiché pour chaque conteneur de synoptique à la fin de la liste de filtres.

Édition

Ouvre une boîte de dialogue de configuration selon le type de filtre.
La boîte de dialogue peut également être ouverte en double-cliquant sur le filtre dans la liste.

Supprimer

Supprimer la liaison du filtre actuellement sélectionné au conteneur de synoptique.

Raccourci : Touche Suppr.

Afficher cette boite de dialogue dans le Runtime

Active : La boîte de dialogue de filtre est affichée dans le Runtime avant l'exécution de la fonction.

In Runtime, only filters whose checkboxes have been activated in the Editor and whose screen type is appropriate are offered for editing. Les autres filtres sont affichés, mais ne peuvent pas être modifiés.

Remarque : Ce paramètre peut être contourné dans le Runtime, dans le synoptique, en cliquant sur le bouton Filtre paramétrable.

OK

Applique les paramètres et ferme la boîte de dialogue.

Annuler

Discards all changes and closes the dialog.

Aide

Ouvre l'aide en ligne.

Supported screen types for offering the dialog in Runtime

If the Show this dialog in Runtime option activated, the dialog to edit the filter is offered in Runtime before the screen switching is executed. Not all screen types support this in full.

List of the screen types and filters:

Légende :

  • X : disponible
  • 1/2/3: with restrictions; see notes
  • -- : indisponible
Type de synoptique | Filtre | Peut être édité en Runtime
Liste des alarmes | Liste d'alarmes (général) | X
 | Liste d'alarmes (paramètres des colonnes) | X
 | Modèle d'équipement | X
 | Lots | 1
 | Projet | X
 | États | X
 | Texte | X
 | Heure : | 2
Filtre de liste d’alarmes | Filtre de liste d'alarmes (général) | X
 | Lots | 1
 | Liste de lots (paramètres colonnes) | X
 | Texte | X
 | Synoptiques liés | --
 | Heure : | 2
Modèle d'équipement | Modèle d'équipement (général) | --
Liste d'événements | Modèle d'équipement | X
 | Lots | 1
 | Liste d'événements (général) | X
 | Liste d'événements (paramètres des colonnes) | X
 | Projet | X
 | États | X
 | Texte | X
 | Heure : | 2
Filtre de liste d'événements | Lots | 1
 | Liste de lots (paramètres colonnes) | X
 | Filtre de liste d'événements (général) | X
 | Texte | X
 | Synoptiques liés | --
 | Heure : | 2
Extended Trend | Lots | 1
 | Extended Trend (général) | 3
 | Extended Trend (paramètres d'impression) | X
 | Extended Trend (paramètres des colonnes) | X
 | Heure : | 2
HTML | HTML (général) | X
Report Generator | Report Generator (fichier) | X
 | Report Generator (paramètres) | X
 | Lots | 1
 | Heure : | 2
Report Viewer | Report Viewer (définition des rapports) | --
Standard |  | --
Filtre de temps | Lots | 1
 | Liste de lots (paramètres colonnes) | X
 | Synoptiques liés | --
 | Heure : | 2

Remarque :

  • 1 - lots: No lot filter or Apply lot filter directly.
    No Name/archive from variable.
  • 2 - Heure : Absolute/relative time period with preset only.
    No time period.
  • 3 - Extended Trend (general): Same limitations as for Extended Trend screen switching, for example no switch of the data source, diagram type, etc.

Autres sujets abordés dans ce chapitre

Créer un nouveau filtre

Filtre de liens

Transfert des filtres lors de l'appel d'autres types de synoptiques

Remplacement de liens et d'indices


Créer un nouveau filtre

Manuel -> Synoptiques -> Types de synoptique -> Cadran -> Configuration des appels de synoptique -> Créer un nouveau filtre

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Les filtres des conteneurs de synoptique sont créés et gérés dans la partie supérieure de l'onglet Filtre.

Pour créer un filtre :

  1. cliquez sur le bouton Nouveau.
  2. La boîte de dialogue de sélection d'un type de filtre s'affiche à l'écran.

  3. Les indications suivantes sont affichées :
    • Filtres généraux
    • Filtre spécifique au type de synoptique
  4. Sélectionnez le filtre souhaité.
    Vous pouvez sélectionner plusieurs filtres en même temps :
    • Touche Ctrl+clic : sélectionne tous les filtres sur lesquels vous avez cliqué
    • Clic -> Touche Maj + clic : sélectionne tous les filtres entre le premier et le deuxième clic
    • Clic sur l'intitulé du filtre : sélectionne tous les filtres de ce groupe
    • Ctrl+A : sélectionne tous les filtres
    • Ctrl+D : désélectionne tous les filtres
    • Maj+[lettre] : sélectionne le prochain filtre commençant par la lettre correspondante

    Si un seul filtre est sélectionné, cliquez sur OK pour ouvrir la boîte de dialogue de configuration correspondante.
    Aucune boîte de dialogue ne s'ouvre si plusieurs filtres sont sélectionnés. Chaque filtre sélectionné doit être configuré manuellement après avoir été créé.

  5. Configurez le filtre.
  6. Fermez la boîte de dialogue de configuration en cliquant sur OK.

Types de filtre

Différents types de filtre sont disponibles pour les cadrans. Pendant la configuration, seuls les filtres adaptés aux types de synoptique présents dans le cadran sont proposés. Si, par exemple, aucun des types de synoptique liés n'utilise des lots, le filtre de lots n'est pas proposé.

Filtre

Description

Filtres généraux

Filtres disponibles indépendamment des types de synoptique configurés.

Heure :

Configuration des filtres de temps.

Texte

Limitation de l'affichage aux messages contenant certains termes de recherche.

Lots

Définition d'un filtre de lot.

Disponible si un synoptique Liste AML, Liste CEL, Extended Trend ou Report Generator est lié dans le cadran.

États

Configuration de l'état à filtrer.

Modèle d'équipement

Configuration d'un filtre pour les groupes d'équipement à partir du projet global ou du projet local.

Projet

Sélection des projets issus d'un projet d'intégration qui doivent être filtrés.

Remarque : Généralement disponible uniquement si plusieurs projets ont été créés dans un projet d'intégration. Lors de la configuration de filtres pour les cadrans, le filtre de projet est également accessible pour les projets individuels.

Filtre spécifique au type de synoptique

Filtres disponibles indépendamment des types de synoptique configurés.

Liste d'alarmes (général)

Configuration des alarmes affichées.

Liste d'alarmes (paramètres des colonnes)

Configuration des colonnes affichées de la liste AML, ainsi que de l'ordre et de l'ordre de tri.

Modèle d'équipement (général)

Configuration du filtre pour un synoptique de modèle d'équipement.

Liste d'événements (général)

Configuration des événements affichés :

Liste d'événements (paramètres des colonnes)

Configuration des colonnes affichées de la liste CEL, ainsi que de l'ordre et de l'ordre de tri.

Extended Trend (général)

Configuration des paramètres suivants pour le module Extended Trend :

  • Données
  • Affichage
  • Axe X

Extended Trend (paramètres d'impression)

Configuration des paramètres d'impression pour le module Extended Trend.

Extended Trend (paramètres des colonnes)

Configuration des paramètres des colonnes pour le module Extended Trend.

HTML (général)

Configuration du filtre pour un synoptique HTML.

Report Generator (fichier)

Configuration du fichier de rapport du module Report Generator.

Report Generator (paramètres)

Configuration des paramètres du module Report Generator.

Report Viewer (définition des rapports)

Configuration des définitions de rapports du module Report Viewer.

Synoptiques liés

Configuration des synoptiques liés pour les filtres de temps, la liste d'alarmes (AML) et la liste chronologique d'événements (CEL).


Filtre de liens

Manuel -> Synoptiques -> Types de synoptique -> Cadran -> Configuration des appels de synoptique -> Filtre de liens

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Les filtres des conteneurs de synoptique sont liés et gérés dans la partie inférieure de l'onglet Filtre.

Pour lier un conteneur de synoptique à un filtre :

  1. Dans la fenêtre du conteneur de synoptique, cliquez sur le bouton Filtre de liens.
  2. La boîte de dialogue de liaison de filtres s'affiche à l'écran.

  3. Sélectionnez le filtre souhaité.
  4. Confirmez la liaison en cliquant sur le bouton OK.

Sélection du filtre à lier

Plusieurs filtres peuvent être liés à chaque conteneur de synoptique. Toutefois, un seul filtre peut être lié par type de filtre. Les types de filtre déjà liés au conteneur de synoptique correspondant ne sont plus disponibles pour la sélection.

La liste de filtres est triée par ordre alphabétique, en fonction du filtre. Les entrées de chaque groupe peuvent être triées en fonction de la description ou des paramètres de filtre en cliquant sur l'intitulé de la colonne.

Plusieurs filtres peuvent être sélectionnés en même temps.

  • Touche Ctrl+clic : sélectionne tous les filtres sur lesquels vous avez cliqué
  • Clic -> Touche Maj + clic : sélectionne tous les filtres entre le premier et le deuxième clic
  • Clic sur l'intitulé du filtre : sélectionne tous les filtres de ce groupe
  • Ctrl+A : sélectionne tous les filtres
  • Ctrl+D : désélectionne tous les filtres
  • Maj+[lettre] : sélectionne le prochain filtre commençant par la lettre correspondante


Transfert des filtres lors de l'appel d'autres types de synoptiques

Manuel -> Synoptiques -> Types de synoptique -> Cadran -> Configuration des appels de synoptique -> Transfert des filtres lors de l'appel d'autres types de synoptiques

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Pour appeler certains types de synoptiques, les synoptiques de cadran ou les sous-synoptiques d'un cadran peuvent être sélectionnés comme synoptique à appeler ou à actualiser. Si le synoptique de cadran est sélectionné en tant que synoptique à actualiser, le filtre s'applique à tous les sous-synoptiques concernés.

Types de synoptiques autorisant l'utilisation de cadrans et de sous-synoptiques comme source/cible de la fonction d'appel de synoptique :

  • Filtre de liste AML
  • Modèle d'équipement
  • Filtre de liste CEL
  • Filtre de temps

Conteneurs de synoptique pris en charge dans le cadran sélectionné en tant synoptique à actualiser :

  • Alarmes
  • Filtre de liste AML
  • Modèle d'équipement
  • Liste d'événements
  • Filtre de liste CEL
  • Extended Trend
  • Filtre de temps


Remplacement de liens et d'indices

Manuel -> Synoptiques -> Types de synoptique -> Cadran -> Configuration des appels de synoptique -> Remplacement de liens et d'indices

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Sur cet onglet sont affichées toutes les variables et fonctions des synoptiques liés. Ils peuvent également être remplacés automatiquement, comme avec d'autres appels de synoptique.

Pour plus de détails, reportez-vous au chapitre :

  • Remplacement des liens de variables et de fonctions
  • Remplacement de liens lors des appels de synoptique
  • Remplacer les indices

Fonction particulière lors du remplacement de synoptiques de cadran

Les paramètres de remplacement des variables et des fonctions sont appliqués sur un synoptique de cadran, mais également sur tous les synoptiques incorporés. Les remplacements déjà configurés pour le conteneur via les propriétés du groupe Règle de création de liens sont affichés sur l'onglet Remplacement des liens.Dans le Runtime, seul la règle de remplacement configurée pour le conteneur de synoptique s'applique au synoptique lié. Ensuite, si elle est configurée, la règle de liaison s'applique à la fonction d'appel de synoptique.

Exemple :

Situation initiale :

  • Le synoptique de cadran contient une variable, Test1, et un synoptique, CEL.
  • Le synoptique CEL contient également une variable, Test1.
  • Lors de l'appel de synoptique, la variable Test1 est remplacée par Test2.

Résultat :

  • Le synoptique de cadran est appelé et affiche, à la place de la variable Test1, la variable Test2.
  • Le synoptique CEL est affiché comme incorporé.
  • La variable Test1 est également remplacée par Test2 sur le synoptique CEL.


Utilisation du cadran dans le Runtime

Manuel -> Synoptiques -> Types de synoptique -> Cadran -> Utilisation du cadran dans le Runtime

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Dans le Runtime, aux emplacements auxquels sont disposé les conteneurs de synoptique, les synoptiques liés dans les conteneurs sont affichés. Les synoptiques adoptent la taille du conteneur de synoptique et peuvent être utilisés de la même manière que tous les autres synoptiques appelés.

Deux conteneurs comportant différents synoptiques sont affichés dans le synoptique de cadran supplémentaire.

info Informations

Seuls les cadrans comportant des synoptiques du type autorisé peuvent être créés dans Editor. Toutefois, pour le type de synoptique standard défini, un type de synoptique non autorisé peut être défini ultérieurement. Si des synoptiques de ce type sont sélectionnés dans Editor, les liens sont supprimés. Un conteneur vide est affiché dans le Runtime.

Modifications apportées aux cadres et aux synoptiques

Les synoptiques dans les conteneurs sont adaptés aux bordures et aux cadres.

Le synoptique à afficher est tronqué si :

  • Le cadre configuré est plus petit que le synoptique devant être affiché
  • Un synoptique de cadran a été appelé sous forme de fenêtre contextuelle et sa taille a été modifiée

Autres sujets abordés dans ce chapitre

Édition de filtres


Édition de filtres

Manuel -> Synoptiques -> Types de synoptique -> Cadran -> Utilisation du cadran dans le Runtime -> Édition de filtres

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Les filtres des synoptiques dans les conteneurs de synoptique configurés dans Editor peuvent être modifiés, selon les paramètres dans le Runtime.

Le filtre ne peut pas être modifié

Pour qu'il soit impossible de modifier un filtre lors de l'appel d'un synoptique dans le Runtime, désactivez l'option Afficher cette boîte de dialogue dans le Runtime (les filtres activés peuvent être modifiés dans le Runtime) dans la section Configuration des appels de synoptique.

Ce bloc peut être contourné grâce au bouton Filtre modifiable.

Sélection d'un filtre paramétrable

Pour que les filtres puissent être modifiés dans le Runtime lors d'un appel de synoptique :

  • Dans la section Configuration des appels de synoptique,
    • dans la liste Filtre, cochez la case associée à chaque filtre souhaité
    • l'option Afficher cette boîte de dialogue dans le Runtime (les filtres activés sont modifiables dans le Runtime

Remarque : Note the limitations for supported screen types in the Supported screen types for offering the dialog in Runtime section.

La boîte de dialogue de sélection et de modification du filtre est affichée dans le Runtime lors de l'appel de synoptique. Tous les filtres validés pour modification peuvent être sélectionnés et modifiés. Tous les autres filtres sont bloqués. Toutefois, les filtres verrouillés peuvent également être déverrouillés avec le bouton Filtre modifiable.

Affichage et modification de tous les filtres dans le Runtime

La boîte de dialogue contenant tous les filtres modifiables peut être appelée dans le Runtime en cliquant sur le bouton Filtre paramétrable.

Si les filtres doivent seulement être modifiés dans une certaine mesure, mais un utilisateur doit disposer d'un accès illimité :

  1. Configurez l'appel de synoptique en définissant un accès limité ou interdit pour le filtre
  2. Créez un bouton Filtre paramétrable
  3. Attribuez au bouton des droits d'accès correspondants pour les utilisateurs et les groupes d'utilisateurs

Dans le Runtime, les filtres peuvent uniquement être modifiés conformément à la configuration de l'appel de synoptique. Toutefois, les utilisateurs autorisés pour le bouton peuvent modifier tous les filters configurables.


Synoptiques de filtre

Manuel -> Synoptiques -> Types de synoptique -> Synoptiques de filtre

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Vous pouvez utiliser des synoptiques de filtre pour concevoir des pages de filtre individuelles avec leurs propres boîtes de dialogue de filtre. Vous pouvez faire cela en fonction d'aspects tels que l'utilisation d'une interface tactile, le filtrage de zones spécifiques uniquement, la possibilité de changer de langage, etc.

Les informations suivantes sont fournies dans les synoptiques de filtre :

  • Filtre de liste d’alarmes
  • Filtre de liste d'événements
  • Filtre de temps/lot

Autres sujets abordés dans ce chapitre

Création de synoptiques de filtre

Appel d'un synoptique de filtre


Création de synoptiques de filtre

Manuel -> Synoptiques -> Types de synoptique -> Synoptiques de filtre -> Création de synoptiques de filtre

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Voici comment créer un synoptique de filtre :

  • Filtre de liste d’alarmes
  • Filtre de liste d'événements
  • Filtre de temps/lot

Autres sujets abordés dans ce chapitre

Création d’un synoptique de filtre de liste d’alarmes

Créer un synoptique de type filtre de liste CEL

Créer un filtre de temps/de lots

Noms prédéfinis

Utiliser un synoptique de filtre


Création d’un synoptique de filtre de liste d’alarmes

Manuel -> Synoptiques -> Types de synoptique -> Synoptiques de filtre -> Création de synoptiques de filtre -> Création d’un synoptique de filtre de liste d’alarmes

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Vous pouvez ajuster les paramètres de filtre de la liste d’alarmes dans le Runtime à l’aide du synoptique de filtre de liste d’alarmes. Seuls les éléments de filtre réellement nécessaires sont configurés et proposés à l’utilisateur. L’apparence peut également être configurée librement et ainsi, être adaptée à différents terminaux finaux. Tous les paramètres de filtre disponibles dans le filtre pour la fonction d’appel de synoptique de Liste d’événements peuvent être configurés.

Par conséquent :

  • Seuls les éléments de filtre réellement nécessaires sont configurés et proposés à l’utilisateur.
  • Seuls ces filtres et une vue d’ensemble sont accessibles à l’utilisateur.
  • Vous êtes libre de modifier l’apparence et pouvez, par exemple, faciliter l’utilisation du système avec un écran tactile.

Pour plus de détails concernant l’utilisation dans le Runtime, reportez-vous au chapitre Utilisation des filtres de la liste d’alarmes.

Pour la définition des critères de filtre, reportez-vous au chapitre Filtres de la liste d’alarmes.

attention Attention

Les synoptiques de type Filtre de liste d’alarmes, Filtre de liste d’événements et Filtre de temps doivent être développés avec un cadre spécifique. S’ils utilisent le même cadre que d’autres synoptiques, tous les synoptiques configurés avec ce cadre sont fermés lors de la fermeture du cadre.

Création d’un synoptique de filtre de liste d’alarmes

Le synoptique de filtre de liste d’alarmes est utilisé pour [description].

Développement

Étapes de création du synoptique :

  1. Créez un nouveau synoptique :

    Dans la barre d’outils ou le menu contextuel du nœud Synoptiques, sélectionnez la commande Nouveau synoptique.
    Un synoptique vide Standard est créé.

  2. Modifiez les propriétés du synoptique :
    1. Nommez le synoptique dans la propriété Nom.
    2. Dans la propriété Type de synoptique, sélectionnez Filtre de liste d’alarmes.
    3. Sélectionnez le cadre souhaité dans la propriété Gabarit.
      Remarque : Le synoptique Filtre de liste AML ne doit pas être conçu autour du même cadre que les autres synoptiques?!
  3. Configurez le contenu du synoptique :
    1. Sélectionnez l’option de menu Éléments de contrôle dans la barre de menus
    2. Sélectionnez Insérer un modèle dans la liste déroulante.
      La boîte de dialogue de sélection de mises en forme prédéfinies s’affiche à l’écran. Certains éléments de contrôle sont insérés dans le synoptique à des positions prédéfinies.
    3. Supprimez les éléments superflus du synoptique.
    4. Si nécessaire, sélectionnez des éléments supplémentaires dans la liste déroulante Éléments. Placez-les aux emplacements souhaités sur le synoptique.
  4. Créez une fonction d’appel de synoptique.

Autres sujets abordés dans ce chapitre

Éléments de contrôle

Modèle


Éléments de contrôle

Manuel -> Synoptiques -> Types de synoptique -> Synoptiques de filtre -> Création de synoptiques de filtre -> Création d’un synoptique de filtre de liste d’alarmes -> Éléments de contrôle

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Éléments de contrôle

Le synoptique de filtre de liste d’alarmes peut contenir les éléments de contrôle et d’affichage suivants :

Insérer un modèle

Élément de contrôle

Description

Insérer un modèle

Ouvre la boîte de dialogue de sélection de modèle pour le type de synoptique correspondant.

Des modèles sont fournis avec zenon, et peuvent également être créés par l’utilisateur.

Modèles ajoutent des éléments de contrôle prédéfinis à des positions prédéfinies sur le synoptique. Les éléments qui ne sont pas nécessaires peuvent également être supprimés individuellement après leur création. Les éléments supplémentaires peuvent être sélectionnés dans la liste déroulante, puis insérés dans le synoptique zenon. Les éléments peuvent être déplacés et disposés individuellement sur le synoptique.

Pour plus d’informations concernant les modèles pour ce type de synoptique, reportez-vous au chapitre Modèles.

Filtres généraux

Liste déroulante des différents filtres généraux.

Élément de contrôle

Description

Insérer tous les éléments : Filtres généraux

Insère tous les éléments de la zone des filtres généraux à des emplacements prédéfinis. Les éléments peuvent être arrangés individuellement.

Insérer tous les éléments : Filtre général (Tactile)

Insère tous les éléments de la zone des filtres généraux à des emplacements prédéfinis. Les éléments peuvent être arrangés individuellement. Les éléments ont été optimisés pour un fonctionnement tactile.

Variables

Alarmes des variables affichées :
  • Nom

Filtrer selon les noms des variables.
  • Identification

Filtrer selon l’identification des variables.
  • Respecter la casse

Tenir compte de la capitalisation lors du filtrage des variables.

Type d'alarmes

Alarmes affichées :
  • Seulement les alarmes non acquittées

Seulement les alarmes non acquittées.
  • Alarmes acquittées uniquement

Alarmes acquittées uniquement.
  • Seulement les alarmes courantes

Alarmes actuelles uniquement
  • Commentaire requis

Alarmes dont l’acquittement nécessite la saisie d’un commentaire
  • Cause d'alarme nécessaire

Alarmes dont l’acquittement nécessite le lien d’une cause d’alarme.

Durée minimum d'activité des alarmes

Durée pendant laquelle les alarmes doivent être actives au minimum.
  • Jours

Seules les alarmes actives depuis le nombre de jours indiqué sont affichées.
  • Heures

Seules les alarmes actives depuis le nombre d’heures indiqué sont affichées.
  • Minutes

Seules les alarmes actives depuis le nombre de minutes indiqué sont affichées.
  • Secondes

Seules les alarmes actives depuis le nombre de secondes indiqué sont affichées.
  • Millisecondes

Seules les alarmes actives depuis le nombre de millisecondes indiqué sont affichées.

Temps minimum d'alarmes actives (tactile)

Éléments optimisés pour le fonctionnement tactile pour la configuration de la durée minimum pour les alarmes en instance.

  • Bouton : Jours (haut)
  • Zone tactile : Jours
  • Bouton : Jours (bas)
  • Bouton : Heures (haut)
  • Zone tactile : Heures
  • Bouton : Heures (bas)
  • Bouton : Minutes (haut)
  • Zone tactile : Minutes
  • Bouton : Minutes (bas)
  • Bouton : Secondes (haut)
  • Zone tactile : Secondes
  • Bouton : Secondes (bas)
  • Bouton : Millisecondes (haut)
  • Zone tactile : Millisecondes
  • Bouton : Millisecondes (bas)

Provenance des données

Provenance des données :
  • Buffer circulaire

Depuis la mémoire circulaire.
  • Données historiques

Depuis une archive.
  • Nombre maximal (champ de saisie)

Saisie du nombre maximal d’alarmes à afficher lors de l’affichage d’alarmes historiques.

0 : toutes les alarmes sont affichées

Groupes d’alarmes/d’événements / Classes d’alarmes/d’événements / Domaines d’alarmes/d’événements

Champ de liste pour l’affichage groupé :
  • Groupes d’alarmes/d’événements

Groupes d’alarmes/d’événements
  • Classes d’alarmes/d’événements

Classes d’alarmes/d’événements
  • Domaines d'alarmes

Domaines d'alarme

Éléments compatibles

Les éléments de contrôle Standard Win32 ayant été remplacés ou supprimés par des éléments zenon (texte dynamique, basculer) et continuent à être disponibles pour des raisons de compatibilité. Ces éléments ne sont pas pris en compte lors de l’insertion automatique de modèles.

Pour la description, reportez-vous aux éléments actuels.

Variables

  • Nom
  • Identification

Type d'alarme

  • Seulement les alarmes non acquittées
  • Alarmes acquittées uniquement
  • Seulement les alarmes courantes
  • Commentaire requis

Provenance des données

  • Buffer circulaire
  • Données historisées
  • Nombre maximal (champ de saisie)

Filtre de temps

Éléments pour les filtres horaires.

Élément de contrôle

Description

Insérer tous les éléments

Ouvre la liste déroulante de sélection d’éléments prédéfinis de configuration de certaines périodes de temps.

Intervalle absolu (affichage classique)

Éléments de configuration de périodes de temps absolues, avec un affichage compact.

Intervalle absolu (affichage compact)

Éléments de configuration de périodes de temps absolues, avec un affichage compact.

Période de temps relative

Éléments de configuration de périodes de temps relatives.

À partir de HH:MM:SS

Éléments de configuration d’une période de temps commençant à une heure définie.

À partir du jour - HH:MM:SS

Éléments de configuration d’une période de temps débutant à une heure définie.

À partir du jour, mois - HH:MM:SS

Éléments de configuration d’une période de temps commençant un jour défini, dans un mois défini, à une heure définie.

Période : 15/30/60 minutes

Éléments de configuration d’une période de temps de 15, 30 ou 60 minutes.

Intervalle : 1 jour

Éléments de configuration d’une période de temps d’une journée.

Intervalle : 1 ou 2 semaines

Éléments de configuration d’une période de temps d’une ou deux semaines.

Chaque semaine peut être sélectionnée, aussi bien dans l’affichage d’une semaine que dans l’affichage de deux semaines. Avec l’affichage de deux semaines, un intervalle de 14 jours est sélectionné, selon la semaine sélectionnée.

Intervalle : 1 mois

Éléments de configuration d’une période de temps d’un mois.

Intervalle : 1 an

Éléments de configuration d’une période de temps d’une année.

Insérer tous les éléments (tactile)

Ouvre la liste déroulante de sélection d’éléments prédéfinis de configuration de certaines périodes de temps, optimisée pour un fonctionnement tactile. Comme dans l’option Insérer tous les éléments, les paramètres suivants sont disponibles.

  • Intervalle absolu (affichage classique)
  • Période de temps relative
  • À partir de HH:MM:SS
  • À partir du jour - HH:MM:SS
  • À partir du jour, mois - HH:MM:SS
  • Intervalle : 15/30/60 minutes
  • Intervalle : 1 jour
  • Intervalle : 1 ou 2 semaines
  • Intervalle : 1 mois
  • Intervalle : 1 an

Type de filtre de temps (affichage)

Élément Texte dynamique pour l’affichage du type de filtre de temps.

Type de filtre de temps (intitulé)

Intitulé du type de filtre de temps.

Type de filtre de temps (zone de liste)

Liste déroulante : Type filtre horaire

Type de filtre de temps (boutons d'option)

Éléments de basculement affichant ou masquant certains éléments dans le Runtime :

  • Pas de filtre
  • Filtre de temps absolu
  • Filtre de temps relatif
  • À partir du jour, mois - HH:MM:SS
  • À partir du jour - HH:MM:SS
  • À partir de HH:MM:SS
  • Période de temps : 15 minutes
  • Période de temps : 30 minutes
  • Période de temps : 60 minutes
  • Intervalle : 1 jour
  • Intervalle : 1 semaine
  • Période 2 semaines
  • Intervalle : 1 mois
  • Intervalle : 1 an

Début de l’intervalle

Champs et intitulés de définition de l’heure de début.

  • De l’année (intitulé)
  • De l’année (zone de liste)
  • Du mois (intitulé)
  • Du mois (zone de liste)
  • Du jour (intitulé)
  • Du jour (zone de liste)
  • De l’heure (intitulé)
  • De l’heure (zone de liste)
  • De la minute (intitulé)
  • De la minute (zone de liste)
  • De la seconde (intitulé)
  • De la seconde (zone de liste)
  • De (commande rotative)

À

Champs et intitulés de définition de l’heure de fin.

  • À l’année (intitulé)
  • À l’année (zone de liste)
  • Au mois (intitulé)
  • Au mois (zone de liste)
  • Au jour (intitulé)
  • Au jour (zone de liste)
  • À l’heure (intitulé)
  • À l’heure (zone de liste)
  • À la minute (intitulé)
  • À la minute (zone de liste)
  • À la seconde (intitulé)
  • À la seconde (zone de liste)
  • À (commande rotative)

Heure de début (zone tactile)

Champs et intitulés de définition de l’heure de début, optimisés pour un fonctionnement tactile.

  • De l’année (intitulé)
  • De l’année (zone de liste)
  • Du mois (intitulé)
  • Du mois (zone de liste)
  • Du jour (intitulé)
  • Du jour (zone de liste)
  • De l’heure (intitulé)
  • De l’heure (zone de liste)
  • De la minute (intitulé)
  • De la minute (zone de liste)
  • De la seconde (intitulé)
  • De la seconde (zone de liste)
  • De (commande rotative)

Fin de l’intervalle (tactile)

Champs et intitulés de définition de l’heure de fin, optimisés pour un fonctionnement tactile.

  • À l’année (intitulé)
  • À l’année (zone de liste)
  • Au mois (intitulé)
  • Au mois (zone de liste)
  • Au jour (intitulé)
  • Au jour (zone de liste)
  • À l’heure (intitulé)
  • À l’heure (zone de liste)
  • À la minute (intitulé)
  • À la minute (zone de liste)
  • À la seconde (intitulé)
  • À la seconde (zone de liste)
  • À (commande rotative)

Filtre de temps absolu

Champs et intitulés de définition du filtre de temps (temps absolu).

  • De (intitulé)
  • De la date (affichage du calendrier)
  • De la date (affichage de la date)
  • De l’heure (affichage de l’heure)
  • À (intitulé)
  • À la date (affichage calendrier)
  • À la date (affichage de la date)
  • À l’heure (affichage de l’heure)

Intervalle

Champs et intitulés de définition des périodes de temps.

  • De l’année (intitulé)
  • De l’année (zone de liste)
  • Du mois (intitulé)
  • Du mois (zone de liste)
  • Semaine (intitulé)
  • Semaine (zone de liste)
  • Du jour (intitulé)
  • Du jour (zone de liste)
  • De l'heure (intitulé)
  • De l’heure (zone de liste)

Intervalle (tactile)

Champs et intitulés de définition de l’heure de début, optimisés pour un fonctionnement tactile.

  • De l’année (intitulé)
  • De l'année (bouton : haut)
  • Boite tactile : de l'année
  • De l'année (bouton : bas)
  • Du mois (intitulé)
  • Du mois (bouton : haut)
  • Boite tactile : du mois
  • Du mois (bouton : bas)
  • Semaine (intitulé)
  • De la semaine (bouton : haut)
  • De la semaine (zone tactile)
  • De la semaine (bouton : bas)
  • Du jour (intitulé)
  • Du jour (bouton : haut)
  • Boite tactile : du jour
  • Du jour (bouton : bas)
  • De l'heure (intitulé)
  • De l'heure (bouton : haut)
  • Boite tactile : Heure de début
  • De l'heure (bouton : bas)

Éléments compatibles

Les éléments de contrôle supprimés ou remplacés par des versions plus récentes restent disponibles, pour des raisons de compatibilité. Ces éléments ne sont pas pris en compte lors de l’insertion automatique de modèles.

  • Type de filtre de temps (groupe radio)
    Éléments de contrôle Radiobutton Win32. A été remplacé par éléments de basculement. Pour la description, reportez-vous aux éléments actuels.
  • Définir le type de filtre de temps (affichage)
    Élément de contrôle statique Win32. Remplacé par un champ de texte dynamique. Pour la description, reportez-vous à l’élément actuel.

Filtre de lots

Éléments pour la sélection de lots dans le Runtime.

Élément de contrôle

Description

Insérer tous les éléments

Tous les éléments.

Liste d'archives

Liste d’archives disponibles dans le Runtime.

État liste d'archives

État de la liste d’archives avec le nombre d’alarmes :

  • disponibles
  • filtrés
  • affichés

Liste de lots

Liste de lots disponibles.

État liste de lots

État de la liste de lots avec le nombre de lots :

  • disponibles
  • filtrés
  • affichés

Appliquer le filtre horaire à la liste de lots

Applique le filtre de temps configuré à la sélection dans la liste de lots.

Filtre nom lot (Saisie)

Saisissez une séquence de caractères utilisés pour filtrer les noms de lots dans la liste de lots.

Filtre de nom de lot (bouton)

Bouton d’exécution du filtrage par noms de lots.

Désactivé si l’élément Filtre de nom de lot n’est pas présent.

Éléments compatibles

Les éléments de contrôle supprimés ou remplacés par des versions plus récentes restent disponibles, pour des raisons de compatibilité.

Ces éléments ne sont pas pris en compte lors de l’insertion automatique de modèles.

Les éléments Win32 suivants ont été remplacés par des éléments Texte dynamique.

  • État liste d'archives
  • État liste de lots
  • Filtre nom lot (Saisie)

Filtre de texte

Liste déroulante des différents filtres de texte.

Élément de contrôle

Description

Insérer tous les éléments : Filtre de texte

Insère tous les éléments des filtres de texte.

Pas de filtre de texte

Bouton d’option permettant de désélectionner le filtre de texte.

Rechercher (mots séparés par des espaces)

Bouton d’option permettant d’activer la recherche

Texte : Recherche de texte

Intitulé du champ de recherche.

Champ de saisie : Recherche de texte

Champ de saisie du terme de cherche.

Options

Options de recherche
  • Respecter la casse

La capitalisation sera prise en compte.
  • Les mots n’ont pas besoin d’être entiers dans le texte

Vous pouvez également rechercher des fragments.
  • Au moins un mot doit se trouver dans le texte

Un au moins des termes de recherche doit être présent dans le résultat.
  • Tous les mots doivent être dans le texte

Tous les termes de recherche doivent être présents dans le résultat.
  • L’expression de filtre doit apparaître exactement dans le texte

Les résultats doivent contenir le texte exact du champ de recherche.

Éléments compatibles

Les éléments de contrôle Standard Win32 ayant été remplacés ou supprimés par des éléments zenon (texte dynamique, basculer) et continuent à être disponibles pour des raisons de compatibilité. Ces éléments ne sont pas pris en compte lors de l’insertion automatique de modèles.

Pour la description, reportez-vous aux éléments actuels.

  • Pas de filtre de texte
  • Rechercher (mots séparés par des espaces)
  • Champ de saisie : Recherche de texte
  • Dépend de la casse
  • Les mots doivent être en partie présents dans le texte
  • Un mot au moins doit être présent dans le texte
  • Tous les mots doivent être présents dans le texte
  • La chaîne exacte doit être présente dans le texte

Boutons

Boutons dans le Runtime.

OK

Bouton : Applique les paramètres de filtre et ferme le synoptique.

Remarques concernant les cadrans : Il est possible d’utiliser des synoptiques Filtre de liste, Filtre de liste et Filtre de temps/de lot dans les cadrans. Lors de la configuration de ces éléments dans le Runtime, cliquez sur OK pour fermer le cadran. Pour enregistrer les paramètres de filtre et laisser le cadran ouvert, cliquez sur Accepter.

Annuler

Bouton : Annule la configuration des paramètres de filtre.

Appliquer

Bouton : Valide les paramètres de filtre.

Actualiser la recherche

Bouton : Actualise l’affichage filtré.

Éléments compatibles

Les éléments de contrôle Standard Win32 ayant été remplacés ou supprimés par des éléments zenon (texte dynamique, basculer) et continuent à être disponibles pour des raisons de compatibilité. Ces éléments ne sont pas pris en compte lors de l’insertion automatique de modèles.

  • Afficher la liste sans l'actualiser


Modèle

Manuel -> Synoptiques -> Types de synoptique -> Synoptiques de filtre -> Création de synoptiques de filtre -> Création d’un synoptique de filtre de liste d’alarmes -> Modèle

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Modèle

Modèle | Description
Champ de liste de modèles (à gauche) | Affiche la liste des modèles prédéfinis et définis par l’utilisateur.
Aperçu et description (à droite) | Affiche un aperçu et une description du modèle sélectionné.
Standard | Insère les éléments standard.
SCADA | Modèles spéciaux, optimisés pour une utilisation avec une souris.
Filtre de variables et de texte uniquement. | Ajoute des éléments pour le filtrage de variables et de texte.
Sans groupes d’alarmes | Ajoute des éléments pour le filtrage de variables, de texte et de délais d’attente minimum sans groupes d’alarmes.
Standard | Insère les éléments standard.
Filtres de variables, de texte et de temps | Ajoute des éléments pour le filtrage de variables, de texte et de temps.
Filtres de variables, de texte & de temps (par mois) | Ajoute des variables pour le filtrage de variables, de texte et d’intervalles relatifs Depuis le mois.
Filtres de variables, de texte & de temps (par heure) | Ajoute des variables pour le filtrage de variables, de texte et d’intervalles relatifs Depuis l’heure.
Filtres de variables, de texte & de temps (par jour) | Ajoute des variables pour le filtrage de variables, de texte et d’intervalles relatifs Depuis le jour.
Filtres de variables, de texte & de temps (absolu - affichage compact) | Ajoute des éléments pour le filtrage de variables, de texte et d’intervalles absolus.
Filtres de variables, de texte & de temps (absolu - affichage compact) | Ajoute des éléments pour le filtrage de variables, de texte et d’intervalles absolus sous forme compacte.
Filtres de variables, de texte & de temps (absolu) | Ajoute des éléments pour le filtrage de variables, de texte et d’intervalles absolus.

Fermer boîte de dialogue

Bouton | Description
Supprimer les éléments de synoptique existants | Active : les éléments existants du synoptique sont supprimés lors de l’utilisation du modèle.
Appliquer | Insère les éléments du modèle sélectionné dans le synoptique et ferme la boîte de dialogue.
Annuler | Ferme la boîte de dialogue sans insérer les éléments.
Aide | Ouvre l'aide en ligne.


Créer un synoptique de type filtre de liste CEL

Manuel -> Synoptiques -> Types de synoptique -> Synoptiques de filtre -> Création de synoptiques de filtre -> Créer un synoptique de type filtre de liste CEL

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Vous pouvez ajuster les paramètres de filtre de liste d’événements dans le Runtime à l’aide du synoptique de filtre de liste d’événements. Seuls les éléments de filtre réellement nécessaires sont configurés et proposés à l’utilisateur. L’apparence peut également être configurée librement et ainsi, être adaptée à différents terminaux finaux. Tous les paramètres de filtre disponibles dans le filtre pour la fonction d’appel de synoptique de Liste d’événements peuvent être configurés.

Par conséquent :

  • Seuls les éléments de filtre réellement nécessaires sont configurés et proposés à l’utilisateur.
  • Seuls ces filtres et une vue d’ensemble sont accessibles à l’utilisateur.
  • Vous êtes libre de modifier l’apparence et pouvez, par exemple, faciliter l’utilisation du système avec un écran tactile.

Pour plus de détails concernant l’utilisation dans le Runtime, reportez-vous au chapitre Utilisation des filtres de la liste d’événements.

Pour la définition des critères de filtre, reportez-vous au chapitre Filtres d’appel de synoptique de filtre de liste CEL.

attention Attention

Les synoptiques de type Filtre de liste d’alarmes, Filtre de liste d’événements et Filtre de temps doivent être développés avec un cadre spécifique. S’ils utilisent le même cadre que d’autres synoptiques, tous les synoptiques configurés avec ce cadre sont fermés lors de la fermeture du cadre.

Créer un synoptique de type filtre de liste d’événements

Développement

Étapes de création du synoptique :

  1. Créez un nouveau synoptique :

    Dans la barre d’outils ou le menu contextuel du nœud Synoptiques, sélectionnez la commande Nouveau synoptique.
    Un synoptique vide Standard est créé.

  2. Modifiez les propriétés du synoptique :
    1. Nommez le synoptique dans la propriété Nom.
    2. Sélectionnez Filtre de liste d’événements dans la propriété Type de synoptique.
    3. Sélectionnez le cadre souhaité dans la propriété Gabarit.
      Remarque : Les synoptiques Filtre de liste CEL ne doivent pas être conçus autour du même cadre que les autres synoptiques?!
  3. Configurez le contenu du synoptique :
    1. Sélectionnez l’option de menu Éléments de contrôle dans la barre de menus
    2. Sélectionnez Insérer un modèle dans la liste déroulante.
      La boîte de dialogue de sélection de mises en forme prédéfinies s’affiche à l’écran. Certains éléments de contrôle sont insérés dans le synoptique à des positions prédéfinies.
    3. Supprimez les éléments superflus du synoptique.
    4. Si nécessaire, sélectionnez des éléments supplémentaires dans la liste déroulante Éléments. Placez-les aux emplacements souhaités sur le synoptique.
  4. Créez une fonction d’appel de synoptique.

Autres sujets abordés dans ce chapitre

Éléments de contrôle

Modèle


Éléments de contrôle

Manuel -> Synoptiques -> Types de synoptique -> Synoptiques de filtre -> Création de synoptiques de filtre -> Créer un synoptique de type filtre de liste CEL -> Éléments de contrôle

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Éléments de contrôle

Le synoptique de type Filtre de liste d’événements peut contenir les éléments de contrôle et d’affichage suivants.

Insérer un modèle

Élément de contrôle

Description

Insérer un modèle

Ouvre la boîte de dialogue de sélection de modèle pour le type de synoptique correspondant.

Des modèles sont fournis avec zenon, et peuvent également être créés par l’utilisateur.

Modèles ajoutent des éléments de contrôle prédéfinis à des positions prédéfinies sur le synoptique. Les éléments qui ne sont pas nécessaires peuvent également être supprimés individuellement après leur création. Les éléments supplémentaires peuvent être sélectionnés dans la liste déroulante, puis insérés dans le synoptique zenon. Les éléments peuvent être déplacés et disposés individuellement sur le synoptique.

Pour plus d’informations concernant les modèles pour ce type de synoptique, reportez-vous au chapitre Modèles.

Filtres généraux

Liste déroulante des différents filtres généraux.

Élément de contrôle

Description

Exclure les messages système du filtre

Affiche une case à cocher dans le Runtime permettant d’afficher ou de filtrer les messages système. Les messages du système sont des messages qui n’ont pas trait à une variable.

invisible en runtime :

  • Active : Les messages du système sont toujours affichés dans le Runtime. Ceci s’applique également si les messages doivent être filtrés à l’aide du filtre de texte ou de variable.
    Exception : Les messages du système ne sont pas affichés, bien que la case soit cochée, s’ils sont filtrés par le filtre de temps ou les filtres de provenance des données (mémoire circulaire ou données historiques).

Exemple : Seuls les messages contenant le texte "XY" doivent être affichés. Toutefois, si cette option est active, les messages du système ne contenant pas l’expression sont également affichés.

Insérer tous les éléments : Filtres généraux

Insère tous les éléments de la zone des filtres généraux à des emplacements prédéfinis. Les éléments peuvent être arrangés individuellement.

Variables

Alarmes des variables affichées :
  • Nom

Filtrer selon les noms des variables.
  • Identification

Filtrer selon l’identification des variables.
  • Respecter la casse

Tenir compte de la capitalisation lors du filtrage des variables.

Provenance des données

Provenance des données :
  • Mémoire circulaire

Depuis la mémoire circulaire.
  • Données historiques

Depuis une archive.
  • Nombre maximum (description)

Texte du champ de recherche Nombre maximum
  • Nombre maximal (champ de saisie)

Saisie du nombre maximal d’alarmes à afficher lors de l’affichage d’alarmes historiques.

0 : toutes les alarmes sont affichées

Paramètres du Runtime

  • Montrer la liste sans actualisation

Active l’état Arrêt de la liste d’alarmes. Les nouvelles alarmes ne sont pas ajoutées.
  • Afficher les heures relatives

Bascule entre l’affichage normal et l’affichage de l’heure relative, sans perte du focus entre les entrées.

Heure relative : Toutes les entrées sont affichées avec, dans la colonne de l’heure d’apparition, la différence de temps par rapport à l’entrée sélectionnée.

Le temps affiché est le temps écoulé depuis l’heure d’apparition de l’entrée sélectionnée. L’entrée sélectionnée reçoit automatiquement l’information d’horodatage 0. Les autres événements comportent :

  • Une différence de temps positive par rapport à l’entrée sélectionnée s’ils se sont produits plus tard
  • Une différence de temps négative par rapport à l’entrée sélectionnée s’ils se sont produits plus tôt

Groupes d’alarmes/d’événements / Classes d’alarmes/d’événements / Domaines d’alarmes/d’événements

Champ de liste pour l’affichage groupé :
  • Groupes d’alarmes/d’événements

Groupes d’alarmes/d’événements
  • Classes d’alarmes/d’événements

Classes d’alarmes/d’événements
  • Domaines d'alarmes

Domaines d'alarmes

Éléments compatibles

Les éléments de contrôle Standard Win32 ayant été remplacés ou supprimés par des éléments zenon (texte dynamique, basculer) et continuent à être disponibles pour des raisons de compatibilité. Ces éléments ne sont pas pris en compte lors de l’insertion automatique de modèles.

Pour la description, reportez-vous aux éléments actuels.

Exclure les messages système du filtre

Variables

  • Nom
  • Identification
  • Respecter la casse

Provenance des données

  • Buffer circulaire
  • Données historisées
  • Nombre maximal (champ de saisie)

Filtre de temps

Éléments pour les filtres horaires.

Élément de contrôle

Description

Insérer tous les éléments

Ouvre la liste déroulante de sélection d’éléments prédéfinis de configuration de certaines périodes de temps.

Intervalle absolu (affichage classique)

Éléments de configuration de périodes de temps absolues, avec un affichage compact.

Intervalle absolu (affichage compact)

Éléments de configuration de périodes de temps absolues, avec un affichage compact.

Période de temps relative

Éléments de configuration de périodes de temps relatives.

À partir de HH:MM:SS

Éléments de configuration d’une période de temps commençant à une heure définie.

À partir du jour - HH:MM:SS

Éléments de configuration d’une période de temps débutant à une heure définie.

À partir du jour, mois - HH:MM:SS

Éléments de configuration d’une période de temps commençant un jour défini, dans un mois défini, à une heure définie.

Période : 15/30/60 minutes

Éléments de configuration d’une période de temps de 15, 30 ou 60 minutes.

Intervalle : 1 jour

Éléments de configuration d’une période de temps d’une journée.

Intervalle : 1 ou 2 semaines

Éléments de configuration d’une période de temps d’une ou deux semaines.

Chaque semaine peut être sélectionnée, aussi bien dans l’affichage d’une semaine que dans l’affichage de deux semaines. Avec l’affichage de deux semaines, un intervalle de 14 jours est sélectionné, selon la semaine sélectionnée.

Intervalle : 1 mois

Éléments de configuration d’une période de temps d’un mois.

Intervalle : 1 an

Éléments de configuration d’une période de temps d’une année.

Insérer tous les éléments (tactile)

Ouvre la liste déroulante de sélection d’éléments prédéfinis de configuration de certaines périodes de temps, optimisée pour un fonctionnement tactile. Comme dans l’option Insérer tous les éléments, les paramètres suivants sont disponibles.

  • Intervalle absolu (affichage classique)
  • Période de temps relative
  • À partir de HH:MM:SS
  • À partir du jour - HH:MM:SS
  • À partir du jour, mois - HH:MM:SS
  • Intervalle : 15/30/60 minutes
  • Intervalle : 1 jour
  • Intervalle : 1 ou 2 semaines
  • Intervalle : 1 mois
  • Intervalle : 1 an

Type de filtre de temps (affichage)

Élément Texte dynamique pour l’affichage du type de filtre de temps.

Type de filtre de temps (intitulé)

Intitulé du type de filtre de temps.

Type de filtre de temps (zone de liste)

Liste déroulante : Type filtre horaire

Type de filtre de temps (boutons d'option)

Éléments de basculement affichant ou masquant certains éléments dans le Runtime :

  • Pas de filtre
  • Filtre de temps absolu
  • Filtre de temps relatif
  • À partir du jour, mois - HH:MM:SS
  • À partir du jour - HH:MM:SS
  • À partir de HH:MM:SS
  • Période de temps : 15 minutes
  • Période de temps : 30 minutes
  • Période de temps : 60 minutes
  • Intervalle : 1 jour
  • Intervalle : 1 semaine
  • Période 2 semaines
  • Intervalle : 1 mois
  • Intervalle : 1 an

Début de l’intervalle

Champs et intitulés de définition de l’heure de début.

  • De l’année (intitulé)
  • De l’année (zone de liste)
  • Du mois (intitulé)
  • Du mois (zone de liste)
  • Du jour (intitulé)
  • Du jour (zone de liste)
  • De l’heure (intitulé)
  • De l’heure (zone de liste)
  • De la minute (intitulé)
  • De la minute (zone de liste)
  • De la seconde (intitulé)
  • De la seconde (zone de liste)
  • De (commande rotative)

À

Champs et intitulés de définition de l’heure de fin.

  • À l’année (intitulé)
  • À l’année (zone de liste)
  • Au mois (intitulé)
  • Au mois (zone de liste)
  • Au jour (intitulé)
  • Au jour (zone de liste)
  • À l’heure (intitulé)
  • À l’heure (zone de liste)
  • À la minute (intitulé)
  • À la minute (zone de liste)
  • À la seconde (intitulé)
  • À la seconde (zone de liste)
  • À (commande rotative)

Heure de début (zone tactile)

Champs et intitulés de définition de l’heure de début, optimisés pour un fonctionnement tactile.

  • De l’année (intitulé)
  • De l’année (zone de liste)
  • Du mois (intitulé)
  • Du mois (zone de liste)
  • Du jour (intitulé)
  • Du jour (zone de liste)
  • De l’heure (intitulé)
  • De l’heure (zone de liste)
  • De la minute (intitulé)
  • De la minute (zone de liste)
  • De la seconde (intitulé)
  • De la seconde (zone de liste)
  • De (commande rotative)

Fin de l’intervalle (tactile)

Champs et intitulés de définition de l’heure de fin, optimisés pour un fonctionnement tactile.

  • À l’année (intitulé)
  • À l’année (zone de liste)
  • Au mois (intitulé)
  • Au mois (zone de liste)
  • Au jour (intitulé)
  • Au jour (zone de liste)
  • À l’heure (intitulé)
  • À l’heure (zone de liste)
  • À la minute (intitulé)
  • À la minute (zone de liste)
  • À la seconde (intitulé)
  • À la seconde (zone de liste)
  • À (commande rotative)

Filtre de temps absolu

Champs et intitulés de définition du filtre de temps (temps absolu).

  • De (intitulé)
  • De la date (affichage du calendrier)
  • De la date (affichage de la date)
  • De l’heure (affichage de l’heure)
  • À (intitulé)
  • À la date (affichage calendrier)
  • À la date (affichage de la date)
  • À l’heure (affichage de l’heure)

Intervalle

Champs et intitulés de définition des périodes de temps.

  • De l’année (intitulé)
  • De l’année (zone de liste)
  • Du mois (intitulé)
  • Du mois (zone de liste)
  • Semaine (intitulé)
  • Semaine (zone de liste)
  • Du jour (intitulé)
  • Du jour (zone de liste)
  • De l'heure (intitulé)
  • De l’heure (zone de liste)

Intervalle (tactile)

Champs et intitulés de définition de l’heure de début, optimisés pour un fonctionnement tactile.

  • De l’année (intitulé)
  • De l'année (bouton : haut)
  • Boite tactile : de l'année
  • De l'année (bouton : bas)
  • Du mois (intitulé)
  • Du mois (bouton : haut)
  • Boite tactile : du mois
  • Du mois (bouton : bas)
  • Semaine (intitulé)
  • De la semaine (bouton : haut)
  • De la semaine (zone tactile)
  • De la semaine (bouton : bas)
  • Du jour (intitulé)
  • Du jour (bouton : haut)
  • Boite tactile : du jour
  • Du jour (bouton : bas)
  • De l'heure (intitulé)
  • De l'heure (bouton : haut)
  • Boite tactile : Heure de début
  • De l'heure (bouton : bas)

Éléments compatibles

Les éléments de contrôle supprimés ou remplacés par des versions plus récentes restent disponibles, pour des raisons de compatibilité. Ces éléments ne sont pas pris en compte lors de l’insertion automatique de modèles.

  • Type de filtre de temps (groupe radio)
    Éléments de contrôle Radiobutton Win32. A été remplacé par éléments de basculement. Pour la description, reportez-vous aux éléments actuels.
  • Définir le type de filtre de temps (affichage)
    Élément de contrôle statique Win32. Remplacé par un champ de texte dynamique. Pour la description, reportez-vous à l’élément actuel.

Filtre de lots

Éléments pour la sélection de lots dans le Runtime.

Élément de contrôle

Description

Insérer tous les éléments

Tous les éléments.

Liste d'archives

Liste d’archives disponibles dans le Runtime.

État liste d'archives

État de la liste d’archives avec le nombre d’alarmes :

  • disponibles
  • filtrés
  • affichés

Liste de lots

Liste de lots disponibles.

État liste de lots

État de la liste de lots avec le nombre de lots :

  • disponibles
  • filtrés
  • affichés

Appliquer le filtre horaire à la liste de lots

Applique le filtre de temps configuré à la sélection dans la liste de lots.

Filtre nom lot (Saisie)

Saisissez une séquence de caractères utilisés pour filtrer les noms de lots dans la liste de lots.

Filtre de nom de lot (bouton)

Bouton d’exécution du filtrage par noms de lots.

Désactivé si l’élément Filtre de nom de lot n’est pas présent.

Éléments compatibles

Les éléments de contrôle supprimés ou remplacés par des versions plus récentes restent disponibles, pour des raisons de compatibilité.

Ces éléments ne sont pas pris en compte lors de l’insertion automatique de modèles.

Les éléments Win32 suivants ont été remplacés par des éléments Texte dynamique.

  • État liste d'archives
  • État liste de lots
  • Filtre nom lot (Saisie)

Filtre de texte

Liste déroulante des différents filtres de texte.

Élément de contrôle

Description

Insérer tous les éléments : Filtre de texte

Insère tous les éléments des filtres de texte.

Pas de filtre de texte

Bouton d’option permettant de désélectionner le filtre de texte.

Rechercher (mots séparés par des espaces)

Bouton d’option permettant d’activer la recherche

Texte : Recherche de texte

Intitulé du champ de recherche.

Champ de saisie : Recherche de texte

Champ de saisie du terme de cherche.

Options

Options de recherche
  • Respecter la casse

La capitalisation sera prise en compte.
  • Les mots n’ont pas besoin d’être entiers dans le texte

Vous pouvez également rechercher des fragments.
  • Au moins un mot doit se trouver dans le texte

Un au moins des termes de recherche doit être présent dans le résultat.
  • Tous les mots doivent être dans le texte

Tous les termes de recherche doivent être présents dans le résultat.
  • L’expression de filtre doit apparaître exactement dans le texte

Les résultats doivent contenir le texte exact du champ de recherche.

Éléments compatibles

Les éléments de contrôle Standard Win32 ayant été remplacés ou supprimés par des éléments zenon (texte dynamique, basculer) et continuent à être disponibles pour des raisons de compatibilité. Ces éléments ne sont pas pris en compte lors de l’insertion automatique de modèles.

Pour la description, reportez-vous aux éléments actuels.

  • Pas de filtre de texte
  • Rechercher (mots séparés par des espaces)
  • Champ de saisie : Recherche de texte
  • Dépend de la casse
  • Les mots doivent être en partie présents dans le texte
  • Un mot au moins doit être présent dans le texte
  • Tous les mots doivent être présents dans le texte
  • La chaîne exacte doit être présente dans le texte

Paramètres du Runtime

Élément de contrôle

Description
  • Montrer la liste sans actualisation

Active l’état Arrêt de la liste d’alarmes. Les nouvelles alarmes ne sont pas ajoutées.
  • Afficher les heures relatives

Bascule entre l’affichage normal et l’affichage de l’heure relative, sans perte du focus entre les entrées.

Heure relative : Toutes les entrées sont affichées avec, dans la colonne de l’heure d’apparition, la différence de temps par rapport à l’entrée sélectionnée.

Le temps affiché est le temps écoulé depuis l’heure d’apparition de l’entrée sélectionnée. L’entrée sélectionnée reçoit automatiquement l’information d’horodatage 0. Les autres événements comportent :

  • Une différence de temps positive par rapport à l’entrée sélectionnée s’ils se sont produits plus tard
  • Une différence de temps négative par rapport à l’entrée sélectionnée s’ils se sont produits plus tôt

Boutons

Boutons dans le Runtime.

OK

Bouton : Applique les paramètres de filtre et ferme le synoptique.

Remarques concernant les cadrans : Il est possible d’utiliser des synoptiques Filtre de liste, Filtre de liste et Filtre de temps/de lot dans les cadrans. Lors de la configuration de ces éléments dans le Runtime, cliquez sur OK pour fermer le cadran. Pour enregistrer les paramètres de filtre et laisser le cadran ouvert, cliquez sur Accepter.

Annuler

Bouton : Annule la configuration des paramètres de filtre.

Appliquer

Bouton : Valide les paramètres de filtre.

Actualiser la recherche

Bouton : Actualise l’affichage filtré.

Éléments compatibles

Les éléments de contrôle Standard Win32 ayant été remplacés ou supprimés par des éléments zenon (texte dynamique, basculer) et continuent à être disponibles pour des raisons de compatibilité. Ces éléments ne sont pas pris en compte lors de l’insertion automatique de modèles.

  • Montrer la liste sans actualisation
  • Monter les filtres de temps relatifs (relatifs à l'entrée sélectionnée)


Modèle

Manuel -> Synoptiques -> Types de synoptique -> Synoptiques de filtre -> Création de synoptiques de filtre -> Créer un synoptique de type filtre de liste CEL -> Modèle

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Modèle

Modèle | Description
Champ de liste de modèles (à gauche) | Affiche la liste des modèles prédéfinis et définis par l’utilisateur.
Aperçu et description (à droite) | Affiche un aperçu et une description du modèle sélectionné.
Standard | Insère les éléments standard.
SCADA | Modèles spéciaux, optimisés pour une utilisation avec une souris.
Standard | Insère les éléments standard.
Filtres de variables, de texte & de temps (absolu - affichage compact) | Ajoute des éléments pour le filtrage de variables, de texte et d’intervalles absolus sous forme compacte.
Filtres de variables, de texte & de temps (absolu) | Ajoute des éléments pour le filtrage de variables, de texte et d’intervalles absolus.
Filtres de variables, de texte & de temps (par mois) | Ajoute des variables pour le filtrage de variables, de texte et d’intervalles relatifs Depuis le mois.
Filtres de variables, de texte & de temps (par heure) | Ajoute des variables pour le filtrage de variables, de texte et d’intervalles relatifs Depuis l’heure.
Filtres de variables, de texte & de temps (par jour) | Ajoute des variables pour le filtrage de variables, de texte et d’intervalles relatifs Depuis le jour.
Filtres de variables, de texte & de temps (absolu - affichage compact) | Ajoute des éléments pour le filtrage de variables, de texte et d’intervalles absolus.
Filtres de variables, de texte et de temps (le type peut être sélectionné) | Ajoute des éléments pour le filtrage de variables, de texte et d’intervalles paramétrables.

Fermer boîte de dialogue

Paramètres | Description
Supprimer les éléments de synoptique existants | Active : les éléments existants du synoptique sont supprimés lors de l’utilisation du modèle.
Appliquer | Insère l’élément du modèle sélectionné dans le synoptique et ferme la boîte de dialogue.
Annuler | Ferme la boîte de dialogue sans insérer les éléments.
Aide | Ouvre l’aide en ligne.


Créer un filtre de temps/de lots

Manuel -> Synoptiques -> Types de synoptique -> Synoptiques de filtre -> Création de synoptiques de filtre -> Créer un filtre de temps/de lots

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Vous pouvez modifier les paramètres du filtre de temps dans le Runtime par l'intermédiaire d'un synoptique Filtre de temps. Les synoptiques suivants peuvent être influencés par le filtre :

  • Liste des alarmes
  • Maintenance d'archive
  • Liste d'événements
  • Extended Trend

L'avantage de ce type de synoptique est qu'il permet de configurer uniquement les éléments de filtre réellement nécessaires. Par conséquent, il est inutile que l'utilisateur s'astreigne à comprendre de nombreux paramètres de filtre. Seuls les paramètres de filtre nécessaires dans ce contexte particulier sont affichés. En outre, vous êtes entièrement libre de modifier l'apparence et pouvez, par exemple, faciliter l'utilisation du système avec un écran tactile.

attention Attention

Les synoptiques de type Filtre de liste d’alarmes, Filtre de liste d’événements et Filtre de temps doivent être développés avec un cadre spécifique. S’ils utilisent le même cadre que d’autres synoptiques, tous les synoptiques configurés avec ce cadre sont fermés lors de la fermeture du cadre.

Sur le synoptique de filtre de temps, tous les paramètres de filtre de temps également présents dans le filtre associé à la fonction d'appel du synoptique correspondant peuvent être configurés.

Créer un synoptique de type Filtre de temps

Créer un synoptique de type Filtre de temps

Développement

Étapes de création du synoptique :

  1. Créez un nouveau synoptique :

    Dans la barre d’outils ou le menu contextuel du nœud Synoptiques, sélectionnez la commande Nouveau synoptique.
    Un synoptique vide Standard est créé.

  2. Modifiez les propriétés du synoptique :
    1. Nommez le synoptique dans la propriété Nom.
    2. Select Time filter in the Type de synoptique property.
    3. Sélectionnez le cadre souhaité dans la propriété Gabarit.
  3. Configurez le contenu du synoptique :
    1. Sélectionnez l’option de menu Éléments de contrôle dans la barre de menus
    2. Sélectionnez Insérer un modèle dans la liste déroulante.
      La boîte de dialogue de sélection de mises en forme prédéfinies s’affiche à l’écran. Certains éléments de contrôle sont insérés dans le synoptique à des positions prédéfinies.
    3. Supprimez les éléments superflus du synoptique.
    4. Si nécessaire, sélectionnez des éléments supplémentaires dans la liste déroulante Éléments. Placez-les aux emplacements souhaités sur le synoptique.
  4. Créez une fonction d’appel de synoptique.

Autres sujets abordés dans ce chapitre

Éléments de contrôle

Modèle


Éléments de contrôle

Manuel -> Synoptiques -> Types de synoptique -> Synoptiques de filtre -> Création de synoptiques de filtre -> Créer un filtre de temps/de lots -> Éléments de contrôle

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Éléments de contrôle

Pour les synoptiques de filtre de temps, des éléments ont également été optimisés pour les écrans tactiles, outre les éléments conventionnels.

Insérer un modèle

Élément de contrôle

Description

Insérer un modèle

Ouvre la boîte de dialogue de sélection de modèle pour le type de synoptique correspondant.

Des modèles sont fournis avec zenon, et peuvent également être créés par l’utilisateur.

Modèles ajoutent des éléments de contrôle prédéfinis à des positions prédéfinies sur le synoptique. Les éléments qui ne sont pas nécessaires peuvent également être supprimés individuellement après leur création. Les éléments supplémentaires peuvent être sélectionnés dans la liste déroulante, puis insérés dans le synoptique zenon. Les éléments peuvent être déplacés et disposés individuellement sur le synoptique.

Pour plus d’informations concernant les modèles pour ce type de synoptique, reportez-vous au chapitre Modèles.

Filtre de temps

Éléments pour les filtres horaires.

Élément de contrôle

Description

Insérer tous les éléments

Ouvre la liste déroulante de sélection d’éléments prédéfinis de configuration de certaines périodes de temps.

Intervalle absolu (affichage classique)

Éléments de configuration de périodes de temps absolues, avec un affichage compact.

Intervalle absolu (affichage compact)

Éléments de configuration de périodes de temps absolues, avec un affichage compact.

Période de temps relative

Éléments de configuration de périodes de temps relatives.

À partir de HH:MM:SS

Éléments de configuration d’une période de temps commençant à une heure définie.

À partir du jour - HH:MM:SS

Éléments de configuration d’une période de temps débutant à une heure définie.

À partir du jour, mois - HH:MM:SS

Éléments de configuration d’une période de temps commençant un jour défini, dans un mois défini, à une heure définie.

Période : 15/30/60 minutes

Éléments de configuration d’une période de temps de 15, 30 ou 60 minutes.

Intervalle : 1 jour

Éléments de configuration d’une période de temps d’une journée.

Intervalle : 1 ou 2 semaines

Éléments de configuration d’une période de temps d’une ou deux semaines.

Chaque semaine peut être sélectionnée, aussi bien dans l’affichage d’une semaine que dans l’affichage de deux semaines. Avec l’affichage de deux semaines, un intervalle de 14 jours est sélectionné, selon la semaine sélectionnée.

Intervalle : 1 mois

Éléments de configuration d’une période de temps d’un mois.

Intervalle : 1 an

Éléments de configuration d’une période de temps d’une année.

Insérer tous les éléments (tactile)

Ouvre la liste déroulante de sélection d’éléments prédéfinis de configuration de certaines périodes de temps, optimisée pour un fonctionnement tactile. Comme dans l’option Insérer tous les éléments, les paramètres suivants sont disponibles.

  • Intervalle absolu (affichage classique)
  • Période de temps relative
  • À partir de HH:MM:SS
  • À partir du jour - HH:MM:SS
  • À partir du jour, mois - HH:MM:SS
  • Intervalle : 15/30/60 minutes
  • Intervalle : 1 jour
  • Intervalle : 1 ou 2 semaines
  • Intervalle : 1 mois
  • Intervalle : 1 an

Type de filtre de temps (affichage)

Élément Texte dynamique pour l’affichage du type de filtre de temps.

Type de filtre de temps (intitulé)

Intitulé du type de filtre de temps.

Type de filtre de temps (zone de liste)

Liste déroulante : Type filtre horaire

Type de filtre de temps (boutons d'option)

Éléments de basculement affichant ou masquant certains éléments dans le Runtime :

  • Pas de filtre
  • Filtre de temps absolu
  • Filtre de temps relatif
  • À partir du jour, mois - HH:MM:SS
  • À partir du jour - HH:MM:SS
  • À partir de HH:MM:SS
  • Période de temps : 15 minutes
  • Période de temps : 30 minutes
  • Période de temps : 60 minutes
  • Intervalle : 1 jour
  • Intervalle : 1 semaine
  • Période 2 semaines
  • Intervalle : 1 mois
  • Intervalle : 1 an

Début de l’intervalle

Champs et intitulés de définition de l’heure de début.

  • De l’année (intitulé)
  • De l’année (zone de liste)
  • Du mois (intitulé)
  • Du mois (zone de liste)
  • Du jour (intitulé)
  • Du jour (zone de liste)
  • De l’heure (intitulé)
  • De l’heure (zone de liste)
  • De la minute (intitulé)
  • De la minute (zone de liste)
  • De la seconde (intitulé)
  • De la seconde (zone de liste)
  • De (commande rotative)

À

Champs et intitulés de définition de l’heure de fin.

  • À l’année (intitulé)
  • À l’année (zone de liste)
  • Au mois (intitulé)
  • Au mois (zone de liste)
  • Au jour (intitulé)
  • Au jour (zone de liste)
  • À l’heure (intitulé)
  • À l’heure (zone de liste)
  • À la minute (intitulé)
  • À la minute (zone de liste)
  • À la seconde (intitulé)
  • À la seconde (zone de liste)
  • À (commande rotative)

Heure de début (zone tactile)

Champs et intitulés de définition de l’heure de début, optimisés pour un fonctionnement tactile.

  • De l’année (intitulé)
  • De l’année (zone de liste)
  • Du mois (intitulé)
  • Du mois (zone de liste)
  • Du jour (intitulé)
  • Du jour (zone de liste)
  • De l’heure (intitulé)
  • De l’heure (zone de liste)
  • De la minute (intitulé)
  • De la minute (zone de liste)
  • De la seconde (intitulé)
  • De la seconde (zone de liste)
  • De (commande rotative)

Fin de l’intervalle (tactile)

Champs et intitulés de définition de l’heure de fin, optimisés pour un fonctionnement tactile.

  • À l’année (intitulé)
  • À l’année (zone de liste)
  • Au mois (intitulé)
  • Au mois (zone de liste)
  • Au jour (intitulé)
  • Au jour (zone de liste)
  • À l’heure (intitulé)
  • À l’heure (zone de liste)
  • À la minute (intitulé)
  • À la minute (zone de liste)
  • À la seconde (intitulé)
  • À la seconde (zone de liste)
  • À (commande rotative)

Filtre de temps absolu

Champs et intitulés de définition du filtre de temps (temps absolu).

  • De (intitulé)
  • De la date (affichage du calendrier)
  • De la date (affichage de la date)
  • De l’heure (affichage de l’heure)
  • À (intitulé)
  • À la date (affichage calendrier)
  • À la date (affichage de la date)
  • À l’heure (affichage de l’heure)

Intervalle

Champs et intitulés de définition des périodes de temps.

  • De l’année (intitulé)
  • De l’année (zone de liste)
  • Du mois (intitulé)
  • Du mois (zone de liste)
  • Semaine (intitulé)
  • Semaine (zone de liste)
  • Du jour (intitulé)
  • Du jour (zone de liste)
  • De l'heure (intitulé)
  • De l’heure (zone de liste)

Intervalle (tactile)

Champs et intitulés de définition de l’heure de début, optimisés pour un fonctionnement tactile.

  • De l’année (intitulé)
  • De l'année (bouton : haut)
  • Boite tactile : de l'année
  • De l'année (bouton : bas)
  • Du mois (intitulé)
  • Du mois (bouton : haut)
  • Boite tactile : du mois
  • Du mois (bouton : bas)
  • Semaine (intitulé)
  • De la semaine (bouton : haut)
  • De la semaine (zone tactile)
  • De la semaine (bouton : bas)
  • Du jour (intitulé)
  • Du jour (bouton : haut)
  • Boite tactile : du jour
  • Du jour (bouton : bas)
  • De l'heure (intitulé)
  • De l'heure (bouton : haut)
  • Boite tactile : Heure de début
  • De l'heure (bouton : bas)

Éléments compatibles

Les éléments de contrôle supprimés ou remplacés par des versions plus récentes restent disponibles, pour des raisons de compatibilité. Ces éléments ne sont pas pris en compte lors de l’insertion automatique de modèles.

  • Type de filtre de temps (groupe radio)
    Éléments de contrôle Radiobutton Win32. A été remplacé par éléments de basculement. Pour la description, reportez-vous aux éléments actuels.
  • Définir le type de filtre de temps (affichage)
    Élément de contrôle statique Win32. Remplacé par un champ de texte dynamique. Pour la description, reportez-vous à l’élément actuel.

Filtre de lots

Éléments pour la sélection de lots dans le Runtime.

Élément de contrôle

Description

Insérer tous les éléments

Tous les éléments.

Liste d'archives

Liste d’archives disponibles dans le Runtime.

État liste d'archives

État de la liste d’archives avec le nombre d’alarmes :

  • disponibles
  • filtrés
  • affichés

Liste de lots

Liste de lots disponibles.

État liste de lots

État de la liste de lots avec le nombre de lots :

  • disponibles
  • filtrés
  • affichés

Appliquer le filtre horaire à la liste de lots

Applique le filtre de temps configuré à la sélection dans la liste de lots.

Filtre nom lot (Saisie)

Saisissez une séquence de caractères utilisés pour filtrer les noms de lots dans la liste de lots.

Filtre de nom de lot (bouton)

Bouton d’exécution du filtrage par noms de lots.

Désactivé si l’élément Filtre de nom de lot n’est pas présent.

Éléments compatibles

Les éléments de contrôle supprimés ou remplacés par des versions plus récentes restent disponibles, pour des raisons de compatibilité.

Ces éléments ne sont pas pris en compte lors de l’insertion automatique de modèles.

Les éléments Win32 suivants ont été remplacés par des éléments Texte dynamique.

  • État liste d'archives
  • État liste de lots
  • Filtre nom lot (Saisie)

Boutons

Boutons dans le Runtime.

OK | Bouton : Applique les paramètres de filtre et ferme le synoptique. Remarques concernant les cadrans : Il est possible d’utiliser des synoptiques Filtre de liste, Filtre de liste et Filtre de temps/de lot dans les cadrans. Lors de la configuration de ces éléments dans le Runtime, cliquez sur OK pour fermer le cadran. Pour enregistrer les paramètres de filtre et laisser le cadran ouvert, cliquez sur Accepter.
Annuler | Bouton : Annule la configuration des paramètres de filtre.
Appliquer | Bouton : Valide les paramètres de filtre.
Actualiser la recherche | Bouton : Actualise l’affichage filtré.

Mise en évidence des éléments tactiles.

Les éléments de contrôle tactiles peuvent être mis en évidence avec des couleurs. Pour cela, configurez les propriétés suivantes dans le groupe Remplissage pour les éléments tactiles :

  • Couleur du texte avec le focus: Couleur du texte lorsque le focus se trouve sur l'élément
  • Couleur de fond avec le focus: Couleur de l'arrière-plan texte lorsque le focus se trouve sur l'élément
  • Couleur de texte sans le focus: Couleur du texte lorsque le focus ne se trouve pas sur l'élément
  • Couleur de fond sans le focus: Couleur de l'arrière-plan lorsque le focus ne se trouve pas sur l'élément


Modèle

Manuel -> Synoptiques -> Types de synoptique -> Synoptiques de filtre -> Création de synoptiques de filtre -> Créer un filtre de temps/de lots -> Modèle

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Modèle

Plusieurs modèles prédéfinis sont disponibles pour les synoptiques de type Filtre de temps.

Modèle | Description
Champ de liste de modèles (à gauche) | Affiche la liste des modèles prédéfinis et définis par l’utilisateur.
Aperçu et description (à droite) | Affiche un aperçu et une description du modèle sélectionné.
Standard | Insère les éléments standard.
SCADA | Modèle pour l'utilisation avec la souris.
Absolu | Insère les éléments de configuration d'intervalles de temps absolus.
Absolu, calendrier | Insère les éléments de configuration d'intervalles de temps absolus avec un calendrier.
Absolu compact | Insère les éléments de configuration d'intervalles de temps absolus, avec un affichage compact.
Standard | Insère les éléments standard.
À partir d'un mois | Insère les éléments de configuration de la plage de temps à partir d'un mois.
À partir d'une heure | Insère les éléments de configuration de la plage de temps à partir d'une heure.
À partir d'un jour | Insère les éléments de configuration de la plage de temps à partir d'un jour.
Tactile | Les modèles sont optimisés pour un fonctionnement tactile.
Absolu | Insère les éléments de configuration d'intervalles de temps absolus.
Standard | Insère les éléments standard.
À partir d'un mois | Insère les éléments de configuration de la plage de temps à partir d'un mois.
À partir d'une heure | Insère les éléments de configuration de la plage de temps à partir d'une heure.
À partir d'un jour | Insère les éléments de configuration de la plage de temps à partir d'un jour.
Aperçu du modèle (en haut à droite) | Aperçu du synoptique lors de l'adaptation du modèle sélectionné.
Description du modèle (en bas à droite) | Description du modèle.
Supprimer les éléments de synoptique existants | Active : les éléments existants du synoptique sont supprimés lors de l’utilisation du modèle.

Fermer boîte de dialogue

Paramètres | Description
Supprimer les éléments de synoptique existants | Active : les éléments existants du synoptique sont supprimés lors de l’utilisation du modèle.
Appliquer | Insère l’élément du modèle sélectionné dans le synoptique et ferme la boîte de dialogue.
Annuler | Ferme la boîte de dialogue sans insérer les éléments.
Aide | Ouvre l’aide en ligne.


Noms prédéfinis

Manuel -> Synoptiques -> Types de synoptique -> Synoptiques de filtre -> Création de synoptiques de filtre -> Noms prédéfinis

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Des noms prédéfinis sont disponibles pour les filtres de temps.

Attention : Les noms prédéfinis ne sont pas disponibles sous Windows CE.

Pour sélectionner un nom :

  1. Dans la vue de détail, définissez un filtre de temps, un filtre de liste d’événements ou un filtre de liste d’alarmes.
  2. Cliquez deux fois sur le champ du nom dans la colonne Nom.
  3. Sélectionnez le nom prédéfini dans la liste déroulante.
    • TIMEFILTER_ABSOLUTE
    • TIMEFILTER_DAY
    • TIMEFILTER_HOUR
    • TIMEFILTER_MONTH
    • TIMEFILTER_PERIOD
    • TIMEFILTER_PERIOD_DAY
    • TIMEFILTER_PERIOD_MINUTE
    • TIMEFILTER_PERIOD_MONTH
    • TIMEFILTER_PERIOD_WEEK
    • TIMEFILTER_PERIOD_YEAR
    • TIMEFILTER_RELATIVE

Remarque : les synoptiques Filtre de liste CEL et le Filtre de liste AML possèdent également des noms prédéfinis, CEL_FILTER ou AML_FILTER.


Utiliser un synoptique de filtre

Manuel -> Synoptiques -> Types de synoptique -> Synoptiques de filtre -> Création de synoptiques de filtre -> Utiliser un synoptique de filtre

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Synoptiques de filtre

Les synoptiques de filtre permettent de transférer un filtre prédéfini d’un synoptique vers un autre. Le filtre du synoptique source est défini à l’aide du synoptique cible. Les synoptiques peuvent également être de types différents.

attention Attention

Pour que le temps du synoptique soit affiché dans le Runtime, la plage de temps suivante doit être sélectionnée dans Editor pour la fonction d’appel de synoptique de la liste d’alarmes ou de la liste d’événements, dans la propriété filtre de temps : Définir le filtre avec un type de filtre horaire

Définition de l’affichage

Les conditions suivantes doivent être remplies pour que les filtres définis soient utilisés :

  1. Le filtre défini pour le type de filtre de temps est sélectionné en tant qu’intervalle de temps pour le filtre de temps.
  2. Le synoptique (synoptiques Filtre de liste d’alarmes, Filtre de liste d’événements et Filtre de temps/de lots) est activé à l’aide d’un bouton ou d’un élément combiné. C’est la seule manière de maintenir la relation entre le synoptique de filtre et le synoptique source.
  3. Le synoptique source et le synoptique de filtre doivent être configurés dans différents cadres ou sur différents moniteurs. Le filtre du synoptique de filtre peut uniquement être actualisé si le synoptique source est ouvert. Cela est uniquement possible si les deux synoptiques n’utilisent pas le même cadre ou le même moniteur.
  4. Le synoptique appelé doit être compatible avec le synoptique de filtre appelé (voir table).
Synoptique source | Filtre de liste AML | Filtre de liste CEL | Filtre de temps
Maintenance d'archive | T | T | T
Extended Trend | T | T | T
Filtre de temps | T | T | X
Filtre d'alarmes | X | C | T
Filtre de liste d’événements | C | X | T
Liste des alarmes | X | C | T
Liste d'événements | C | X | T

Légende :

  • C : Les paramètres communs sont mis à jour.
  • T : Les paramètres de temps sont mis à jour.
  • X : Tous les paramètres sont mis à jour.

info Informations

Aucun filtrage

Le synoptique de filtre n’est pas filtré, mais il est ouvert avec les valeurs configurées si :

  • Une des conditions 1 à 3 n’est pas satisfaite ou
  • Le paramètre Synoptique appelé n’est pas activé pour la fonction Appel de synoptique ou
  • Le synoptique n’est pas appelé par le biais d’un élément de synoptique

Dans ce cas, les boutons Accepter, Fermer et Mise à jour sont grisés dans le Runtime et n’ont aucune fonction.

Mise à jour

Lorsqu’un synoptique de filtre est activé (filtre de liste d’alarmes, filtre de liste d’événements et filtre de temps), les synoptiques configurés dans la fonction d’appel de synoptique sont mis à jour de deux manières :

  • Si le synoptique de filtre est invoqué par le biais d’un élément de synoptique, les synoptiques cibles affichés sur le même moniteur que le synoptique source sont mis à jour.
  • Si le filtre est invoqué de manière différente ou si le paramètre Mettre à jour sur tous les moniteurs est activé, tous les synoptiques cible sont configurés et mis à jour.

Ils sont mis à jour dès que vous cliquez sur le bouton Accepter ou que vous fermez le synoptique de filtre en cliquant sur le bouton Fermer. Le bouton Annuler annule les modifications et ferme le synoptique de filtre.

Mise à jour des paramètres de filtre

Vous pouvez actualiser les paramètres de filtre actuels du synoptique source en cliquant sur le bouton Actualiser. Si le synoptique de filtre n’est pas invoqué par un élément de synoptique, ou si l’option Synoptique d’activation n’a pas été activée, tous les moniteurs sont inspectés afin de déterminer les synoptiques pouvant être utilisés aux fins de la mise à jour. Le premier synoptique trouvé est alors utilisé pour la mise à jour.


Appel d'un synoptique de filtre

Manuel -> Synoptiques -> Types de synoptique -> Synoptiques de filtre -> Appel d'un synoptique de filtre

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Pour créer une fonction d'appel de synoptique de filtre :

  1. Sélectionnez Nouvelle fonction.
  2. Sélectionnez Appel de synoptique.
  3. Sélectionnez le synoptique de votre choix :
    • Filtre de liste AML
    • Filtre de liste CEL
    • Filtre de temps
  4. La boîte de dialogue de configuration et de liaison du filtre pour le type de synoptique sélectinné s'affiche.
    Les onglets affichés dépendent du type de synoptique.
  5. Configurez les onglets correspondants.

info Informations

Onglets pour les types de synoptiques spéciaux :

  • Filtre de liste AML : Synoptiques, Général, Texte, Heure, Lots, Paramètres des colonnes
  • Filtre de liste CEL : Synoptiques, Général, Texte, Heure, Lots, Paramètres des colonnes
  • Filtre horaire : Synoptiques, Heure, Lots, Paramètres des colonnes

Autres sujets abordés dans ce chapitre

Synoptiques

Général

Texte

Heure :

Lots

Paramètres des colonnes


Synoptiques

Manuel -> Synoptiques -> Types de synoptique -> Synoptiques de filtre -> Appel d'un synoptique de filtre -> Synoptiques

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Sur cet onglet, vous pouvez définir les écrans que vous souhaitez mettre à jour par l’intermédiaire du filtre de synoptique.

Les paramètres suivants sont disponibles :

Le filtre est issu du synoptique suivant

Paramètres

Description

Le filtre est issu du synoptique suivant

Définition du synoptique dont le filtre doit être issu.

Synoptique effectuant l'appel

Active : Les paramètres du filtre sont ceux du synoptique depuis lequel le synoptique de filtre est appelé. Le bouton de synoptique est grisé. Vous ne pouvez pas sélectionner de synoptique en particulier, car avec ce paramètre, le filtre est toujours mis à jour depuis le synoptique d’activation.

Remarque : Les paramètres des onglets Général, Texte et Heure sont verrouillés.

Synoptique prédéfini

Cliquez sur le bouton pour ouvrir la boîte de dialogue de sélection de synoptique.

Sélectionnez le synoptique depuis lequel le filtre doit être lu lorsque vous cliquez sur le bouton Mise à jour dans le Runtime.

Les sous-synoptiques de cadrans peuvent être sélectionnés pour les appels de synoptiques de type Filtre de liste AML, Filtre de liste CEL, Filtre de temps et Modèle d’équipement. Pour ces synoptiques, le nom du synoptique du cadran est affiché devant le sous-synoptique, afin de le distinguer clairement des autres synoptiques.

Attention : Lorsque le filtre de synoptique est ouvert pour la première fois à l’aide de la fonction, c’est le filtre configuré dans la fonction qui est utilisé, et non le filtre de synoptique indiqué ici?!

Remarque : Il convient donc de sélectionner un synoptique pouvant intégrer ou remplir le filtre de synoptique.

Le synoptique sélectionné est ajouté à la liste des synoptiques devant être mis à jour. Si vous le supprimez de la liste, le prochain synoptique de la liste est automatiquement inséré à sa place.

Remarque : Indisponible si vous avez coché la case Synoptique exécutant l’appel.

Synoptiques à mettre à jour

Paramètres | Description
Synoptiques à mettre à jour | Sélectionnez les synoptiques que vous souhaitez mettre à jour. Les sous-synoptiques de cadrans peuvent être sélectionnés pour les appels de synoptiques de type Filtre de liste AML, Filtre de liste CEL, Filtre de temps et Modèle d’équipement. Pour ces synoptiques, le nom du synoptique du cadran est affiché devant le sous-synoptique, afin de le distinguer clairement des autres synoptiques.
Sélection du synoptique | Cliquez sur le bouton pour ouvrir la boîte de dialogue de sélection des synoptiques de filtre. Sélectionnez l’écran de votre choix.
Mise à jour | Indication de l’instant auquel le filtre doit commencer à agir.
Mettre à jour sur tous les moniteurs | Active : Les synoptiques devant être mis à jour dans la liste de synoptiques sont mis à jour sur tous les moniteurs accessibles.


Général

Manuel -> Synoptiques -> Types de synoptique -> Synoptiques de filtre -> Appel d'un synoptique de filtre -> Général

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Cet onglet est uniquement disponible pour le Filtre de liste d'alarmes et la Liste d'événements, etaffiche le filtre standard de la liste correspondante. Reportez-vous aux sections Filtre de la liste d'alarmes ou Filtre de la liste chronologique d'événements.

Alarmes

Filtre de variables

Paramètres

Description

Filtre de variables

Limitation de certaines variables aux alarmes

Nom de la variable

Saisissez le nom ou la partie du nom de la variable que vous souhaitez filtrer.

L’utilisation de l’opérateur * est autorisée. Les opérateurs sont uniquement autorisés sous forme de préfixe ou de suffixe?; par exemple, *xxx ou xxx*.

Remarque : Les expressions de filtre saisies dans le Runtime ou dans Editor sont automatiquement enregistrées sur l’ordinateur local, dans le fichier zenon6.ini, et peuvent ensuite être sélectionnées dans la liste déroulante.

Attention : Le caractère de virgule (,) n’est pas autorisé pour filtrer les noms de variables !
La virgule peut être saisie comme un texte de filtre, mais aucune entrée n’est affichée. Ceci signifie que filtre spécial des variables d’ensemble pour Dim 2 and Dim 3 est impossible.

Identification

Saisissez l’identification ou une partie de l’identifiant de la variable que vous souhaitez filtrer. L’opérateur * peut être utilisé.

L’utilisation de l’opérateur * est autorisée. Les opérateurs sont uniquement autorisés sous forme de préfixe ou de suffixe?; par exemple, *xxx ou xxx*.

Remarque : Les expressions de filtre saisies dans le Runtime ou dans Editor sont automatiquement enregistrées sur l’ordinateur local, dans le fichier zenon6.ini, et peuvent ensuite être sélectionnées dans la liste déroulante.

Respecter la casse

Active : Les caractères majuscules et minuscules sont pris en compte lors du filtrage par nom ou identifiant de variable.

Type d'alarmes

Paramètres

Description

Type d'alarmes

Type d’alarme affiché.

Seulement les alarmes non acquittées

Active : Seules les alarmes non encore acquittées par l’utilisateur sont affichées.

Alarmes acquittées uniquement

Active : Seules les alarmes déjà passées, c’est-à-dire dont les valeurs ne se trouvent plus dans la plage critique, sont affichées.

Seulement les alarmes courantes

Active : Seules les alarmes encore actives, c’est-à-dire dont les valeurs se trouvent encore dans la plage critique, sont affichées.

Commentaire requis

Active : Seules les alarmes pour lesquelles un commentaire doit être ajouté sont affichées.

Cause d'alarme nécessaire

Active : Seules les alarmes qui sont nécessaires pour le lien d’une cause d’alarme sont affichées.

Les alarmes doivent au moins être en instance

Utilisez la commande rotative pour définir la durée d’activité minimale d’une alarme avant son affichage. Paramètres possibles :

  • Jours
  • Heures (hr)
  • Minutes (min.)
  • Secondes (sec.)
  • Millisecondes (ms)

Provenance des données

Paramètres | Description
Provenance des données | Affichage des alarmes actuelles ou actuelles et historiques.
Buffer circulaire | Active : Seules les données issues de la mémoire circulaire sont affichées.
Données historiques Nombre maximal | Active : Les données de la mémoire circulaire et les données historiques de la liste AML sont affichées. Le nombre maximal de données à afficher inclut les données de la mémoire circulaire.

Groupes/classes d’alarmes/d’événements et domaines d’alarmes

Paramètres | Description
Groupes/Classes d’alarmes/d’événements, Domaines d’alarmes | Sélection des groupes, classes et domaines d’alarmes
Groupes d’alarmes/d’événements | Parmi les groupes d’alarmes/d’événements existants, sélectionnez celui dont vous souhaitez afficher les alarmes.
Classes d’alarmes/d’événements | Parmi les classes d’alarmes/d’événements existants, sélectionnez celle dont vous souhaitez afficher les alarmes.
Domaines d'alarme | Parmi les domaines d’alarmes existants, sélectionnez celui dont vous souhaitez afficher les alarmes. Remarque : Si la fonction de gestion hiérarchique des alarmes en fonction du modèle d’équipement est activée, la colonne Domaine d’alarmes reste vide.
Paramètres du Runtime | Comportement de la liste AML dans le Runtime
Afficher la liste sans l'actualiser | Active : Lorsque la liste est ouverte, aucune nouvelle entrée n’est ajoutée.


Texte

Manuel -> Synoptiques -> Types de synoptique -> Synoptiques de filtre -> Appel d'un synoptique de filtre -> Texte

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Sur cet onglet, vous pouvez définir les valeurs standard utilisées pour le filtrage de texte. Uniquement disponible pour la liste d'alarmes et la liste chronologique d'événements.

Critères de filtre

Paramètres | Description
Critères de filtre |
Pas de filtre de texte | Le filtre de texte n'est pas utilisé.
Rechercher (mots séparés par des espaces) | Le filtre textuel n’est pas utilisé. Les autres options sont désactivées.
Champ de saisie | Saisissez les mots ou chaînes de caractères souhaité(e)s.

Options

Paramètres | Description
Options |
Tenir compte de la capitalisation | Active : La fonction de filtre tient compte de la casse.
Les mots entiers n’apparaissent pas dans le texte | Active : Certaines parties de mots peuvent également être prises en compte durant le filtrage.
Au moins un mot doit se trouver dans le texte | Active : Au moins un des mots de l’expression de recherche doit être présent dans le texte.
Tous les mots doivent être présents dans le texte | Active : Tous les mots doivent être présents dans l’expression de recherche. Dans ce cas, l’ordre des mots n’a aucune incidence.
Le texte filtré apparaît exactement dans le texte | Active : Le texte doit être absolument identique au texte de l’expression de recherche.


Heure :

Manuel -> Synoptiques -> Types de synoptique -> Synoptiques de filtre -> Appel d'un synoptique de filtre -> Heure :

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Sur cet onglet, vous pouvez définir la période de temps utilisée lors de l’ouverture du synoptique de filtre.

Filtre

Sélection du filtre.

Paramètres

Description

Pas de filtre horaire

Active : Aucun filtre temps n’est utilisé.

Note : toutes les entrées Runtime depuis 1. 1. 1990 sont affichées.

Filtre absolu

Active : Un intervalle de temps fixe est défini dans Editor. Lors de l’exécution de la fonction, l’intervalle temps absolu défini est utilisé avec exactitude.

La section Paramètres permet d’afficher et de configurer les options correspondantes.

Remarque : L’heure est enregistrée au format UTC. Pour plus de détails, reportez-vous au chapitre Gestion de la date et de l'heure, dans le chapitre Runtime.

Intervalle relatif

Active : Un intervalle de temps relatif est saisi.

La section Paramètres permet d’afficher et de configurer les options correspondantes.

Attention : Ce filtre est continuellement mis à jour.

De

Active : L’heure à partir de laquelle le filtre est appliqué. Si l’heure n’est pas atteinte ce jour, le filtrage a lieu à partir de l’heure correspondante le jour précédent.

Sélectionnez le mode du domaine dans la liste déroulante?;

  • À partir de HH:MM:SS
  • À partir du jour - HH:MM:SS
  • À partir d’un jour, d’un mois, à HH:MM:SS

La section Paramètres permet d’afficher et de configurer les options correspondantes.

Attention : L’heure de début de ce filtre n’est pas mise à jour automatiquement. Seules les heures existantes affichées sont utilisées.
L’heure de fin n’est pas définie avec ce filtre?; elle est reportée.

Intervalle

Active : Un intervalle de temps fixe est saisi. Sélectionnez le mode du domaine dans la liste déroulante?;

  • Horaire-jour
  • Horaire-semaine
  • Deux semaines
  • Un mois
  • Une année
  • 15 minutes
  • 30 minutes
  • 60 minutes

La section Paramètres permet d’afficher et de configurer les options correspondantes.

Fermer boîte de dialogue

Paramètres | Description
OK | Applique toutes les modifications effectuées sur tous les onglets, puis ferme la boîte de dialogue.
Annuler | Annule toutes les modifications effectuées sur tous les onglets, puis ferme la boîte de dialogue.
Aide | Ouvre l'aide en ligne.

Autres sujets abordés dans ce chapitre

Filtre temps absolu

Intervalle relatif

De

Intervalle

Spécifier un intervalle de temps dans Editor

Le filtre de temps peut être configuré dans le Runtime


Filtre temps absolu

Filtre temps absolu

Le filtre absolu permet de définir une période de temps fixe. Lors de l’exécution de la fonction, l’intervalle temps absolu défini est utilisé avec exactitude. Pour configurer le filtre :

  1. Dans la section Filtre, sélectionnez l’option Intervalle absolu.
  2. Configurez l’intervalle de temps souhaité dans la section Paramètres.

Paramètres | Description
Paramètres | Configuration du filtre de temps.
Proposer la date/l’heure actuelle | Active : Le filtre de temps est affiché dans le Runtime.
Par défaut | Active : Le filtre de temps est fourni dans Editor. Seule l’heure de début peut encore être configurée dans le Runtime.
De | Heure de début du filtre. Sélection du jour, du mois, de l’année, de l’heure, de la minute et de la seconde
À | Heure de fin du filtre. Sélection du jour, du mois, de l’année, de l’heure, de la minute et de la seconde

Fermer boîte de dialogue

Options | Description :
OK | Applique toutes les modifications effectuées sur tous les onglets, puis ferme la boîte de dialogue.
Annuler | Annule toutes les modifications effectuées sur tous les onglets, puis ferme la boîte de dialogue.
Aide | Ouvre l'aide en ligne.


Intervalle relatif

Intervalle relatif

Un intervalle de temps relatif est saisi.

Attention : Ce filtre est constamment mis à jour et continue à fonctionner.
Exemple : Vous pouvez définir un intervalle relatif de 10 minutes et basculer vers un synoptique en réglant ce filtre de temps sur 12:00. Vous verrez alors s’afficher les alarmes de 11:50 à 12:00 lors de l’appel de synoptique. Si le synoptique reste ouvert, le filtre est automatiquement mis à jour. À 12:01, les alarmes de 11:51 à 12:01 sont affichées, et ainsi de suite.

Pour configurer le filtre :

  1. Dans la section Filtre, sélectionnez l’option Intervalle relatif.
  2. Configurez l’intervalle de temps souhaité dans la section Paramètres.

Paramètres | Description
Paramètres | Configuration du filtre de temps.
Proposer la date/l’heure actuelle | Active : Le filtre de temps est affiché dans le Runtime.
Par défaut | Active : Le filtre de temps est fourni dans Editor. Seule l’heure de début peut encore être configurée dans le Runtime. Sélection de l’intervalle relatif en jours, heures, minutes et secondes.

Fermer boîte de dialogue

Options | Description :
OK | Applique toutes les modifications effectuées sur tous les onglets, puis ferme la boîte de dialogue.
Annuler | Annule toutes les modifications effectuées sur tous les onglets, puis ferme la boîte de dialogue.
Aide | Ouvre l'aide en ligne.


Spécifier un intervalle de temps dans Editor

Manuel -> Synoptiques -> Types de synoptique -> Synoptiques de filtre -> Appel d'un synoptique de filtre -> Heure : -> Spécifier un intervalle de temps dans Editor

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Spécifier un intervalle de temps dans Editor

Avec cette méthode, saisissez un intervalle de temps fixe dans Editor?; celui-ci sera alors appliqué lorsque la fonction sera exécutée dans le Runtime. Vous pouvez alors uniquement définir l’heure de début dans le Runtime, mais aucun autre paramètre de filtre.

Par exemple : Vous définissez un filtre temps de 30 minutes. Dans le Runtime, vous pouvez uniquement définir l’instant auquel doit débuter cet intervalle de temps de 30 minutes. Toutefois, vous ne pouvez pas transformer le filtre en filtre de jour.

attention Attention

Si vous utilisez ce filtre, vous ne pouvez plus modifier les autres filtres disponibles dans l’onglet Général dans le Runtime. Vous pouvez toutefois encore filtrer le texte, les états et les équipements.

Pour créer le filtre :

  1. Le synoptique doit comporter un bouton Filtre permettant d’exécuter le filtre dans le Runtime
  2. Sélectionnez le filtre souhaité
  3. Configurez l’intervalle de temps spécifié

Conseil relatif à l’intervalle de temps : Activez l’option Afficher la boîte de dialogue de filtre dans le Runtime dans la boîte de dialogue de filtre. Ceci vous permet de modifier l’heure de début avant l’exécution de la fonction. N’activez pas l’affichage du filtre dans le Runtime lorsque la fonction est activée?; ceci garantit que l’intervalle actuel est toujours utilisé. Si vous avez activé l’option Utiliser le dernier intervalle de temps fermé, l’intervalle de temps précédent est affiché.
Exemple : Vous définissez un filtre temps de 30 minutes. Il est 10:45 lorsque la fonction est activée. Si l’option Utiliser le dernier intervalle de temps fermé est désactivée, le filtre est défini sur l’intervalle de temps actuel, de 10:30:00 à 10:59:59. Si l’option est activée, le filtre est défini sur l’intervalle de temps précédent, de 10:00:00 à 10:29:59.


Le filtre de temps peut être configuré dans le Runtime

Manuel -> Synoptiques -> Types de synoptique -> Synoptiques de filtre -> Appel d'un synoptique de filtre -> Heure : -> Le filtre de temps peut être configuré dans le Runtime

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Le filtre de temps peut être configuré dans le Runtime

Avec cette méthode, vous définissez un filtre de temps dans Editor. Celui-ci peut être modifié dans le Runtime avant exécution. Pour créer le filtre :

  1. Le synoptique doit comporter des boutons Filtre et Visualiser filtre
  2. Sélectionnez le filtre souhaité :
    • Filtre temps absolu
    • Intervalle relatif
  3. Dans la section Paramètres, sélectionnez l’option Proposer la date/l’heure actuelle.
  4. La boîte de dialogue de filtre s’affiche dans le Runtime, avec la date et l’heure actuelles.


Lots

Manuel -> Synoptiques -> Types de synoptique -> Synoptiques de filtre -> Appel d'un synoptique de filtre -> Lots

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Sur cet onglet, vous pouvez définir les lots à afficher.

Filtre

Paramètres d’application du filtre de lots. Sélectionnez une des options suivantes :

  • Pas de filtre de lots
  • Appliquer directement le filtre de lots
Paramètres | Description
Pas de filtre de lots | Active : Le filtre de lots est désactivé et ne peut pas être configuré. Le filtrage de lots n’est pas exécuté dans le Runtime.
Appliquer directement le filtre de lots | Active : Le filtre configuré ici est directement appliqué dans le Runtime.

Archive(s)

Configuration du filtrage pour les archives. Sélectionnez une des options suivantes :

  • Pas de filtre
  • Statique
  • Depuis une variable

Paramètres

Description

Pas de filtre

Active : Le filtrage des noms d’archives est désactivé.

Statique

Active : Les archives dont l’identifiant correspond à la chaîne de caractères saisie dans le champ de recherche sont filtrées.

Saisissez les identifiants d’archive dans le champ de recherche.

  • Séparez plusieurs identifiants par une virgule (,).
  • * ou vide : Toutes les archives, pas de filtre.

Depuis une variable

Active : La valeur des variables liées ici est appliquée sous forme de filtre de noms d’archive dans le Runtime.

Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de variables.

Uniquement disponible pour tous les modules si l’option Appliquer directement le filtre de lots a été sélectionnée :

Remarques concernant les variables dans le Runtime :

  • La sélection de variables est uniquement activée dans le Runtime si une variable valide a déjà été liée dans le Runtime. Le bouton ... est toujours désactivé dans le Runtime. L’option peut être sélectionnée, mais aucune nouvelle variable ne peut être liée.
  • Si la variable n’est pas authentifiée auprès du driver au moment de l’application du filtre de lots, la variable est authentifiée et lue. Ceci peut entraîner des délais avec les connexions de drivers et protocoles plus lents.

Attention : Si la variable sélectionnée n’est pas présente dans le Runtime, aucun filtrage de noms d’archive n’est effectué. Ceci est également vrai s’il est impossible de déterminer la valeur de la variable. Le filtre correspond dans ce cas au paramètre Pas de filtre.

Nom(s)

Configuration du filtrage des noms. Sélectionnez une des options suivantes :

  • Pas de filtre
  • Statique
  • Depuis une variable

Paramètres

Description

Pas de filtre

Active : Le filtrage des noms de lots est désactivé.

Statique

Active : Les noms de lots correspondant à la chaîne de caractères saisie dans le champ de recherche sont filtrés.

Saisissez le nom de lot dans le champ de recherche :

  • Séparez les entrées multiples par un tube (|).
  • * ou vide : Tous les lots de toutes les archives affichées, pas de filtre.

Depuis une variable

Active : La valeur de la variable liée ici est appliquée sous forme de filtre de noms de lot dans le Runtime.

Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de variables.

Indisponible si l’option Appliquer directement le filtre de lots a été sélectionnée :

Remarques concernant les variables dans le Runtime :

  • La sélection de variables est uniquement activée dans le Runtime si une variable valide a déjà été liée dans le Runtime. Le bouton ... est toujours désactivé dans le Runtime. L’option peut être sélectionnée, mais aucune nouvelle variable ne peut être liée.

Si la variable n’est pas authentifiée auprès du driver au moment de l’application du filtre de lots, la variable est authentifiée et lue. Ceci peut entraîner des délais avec les connexions de drivers et protocoles plus lents.

Attention : Si la variable sélectionnée n’est pas présente dans le Runtime, aucun filtrage de noms de lot n’est effectué. Ceci est également vrai s’il est impossible de déterminer la valeur de la variable. Le filtre correspond dans ce cas au paramètre Pas de filtre.

Fermer boîte de dialogue

Paramètres | Description
OK | Applique toutes les modifications effectuées sur tous les onglets, puis ferme la boîte de dialogue.
Annuler | Annule toutes les modifications effectuées sur tous les onglets, puis ferme la boîte de dialogue.
Aide | Ouvre l'aide en ligne.


Paramètres des colonnes

Manuel -> Synoptiques -> Types de synoptique -> Synoptiques de filtre -> Appel d'un synoptique de filtre -> Paramètres des colonnes

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Sur cet onglet, vous configurez l’affichage de la liste d’archives et de la liste de lots du synoptique Filtre de temps/de lots dans le Runtime :

  • Sélection des colonnes à afficher
  • Tri des colonnes
  • Mise en forme des colonnes
    • Intitulé
    • Largeur
    • Alignement

Liste d'archives

Paramètres | Description
Liste d'archives | Configuration de la liste d’archives. Affichage des colonnes configurées.
Sélection de colonnes | Cliquez sur le bouton pour ouvrir une boîte de dialogue de sélection et de tri des colonnes.
Format colonne | Cliquez sur le bouton pour ouvrir une boîte de dialogue de mise en forme de la liste.

Liste de lots

Paramètres | Description
Liste de lots | Configuration de la liste de lots. Affichage des colonnes configurées.
Sélection de colonnes | Cliquez sur le bouton pour ouvrir une boîte de dialogue de sélection et de tri des colonnes.
Format colonne | Cliquez sur le bouton pour ouvrir une boîte de dialogue de mise en forme de la liste.
OK | Applique toutes les modifications effectuées sur tous les onglets, puis ferme la boîte de dialogue.
Annuler | Annule toutes les modifications effectuées sur tous les onglets, puis ferme la boîte de dialogue.
Aide | Ouvre l'aide en ligne.

Autres sujets abordés dans ce chapitre

Sélection colonne

Format colonne


Sélection colonne

Manuel -> Synoptiques -> Types de synoptique -> Synoptiques de filtre -> Appel d'un synoptique de filtre -> Paramètres des colonnes -> Sélection colonne

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Sélection colonne

Sélection et ordre des colonnes.

Options | Fonction
Colonnes disponibles | Liste de colonnes pouvant être affichées dans la table.
Colonnes sélectionnées | Colonnes affichées dans la table.
Ajouter -> | Déplace la colonne sélectionnée des colonnes disponibles vers les éléments sélectionnés. Lorsque vous confirmez la boîte de dialogue en cliquant sur OK, ces colonnes sont affichées dans la vue de détail.
Ajouter toutes -> | Déplace toutes les colonnes disponibles vers les colonnes sélectionnées.
<- Supprimer | Supprime les colonnes marquées des éléments sélectionnés et les affiche dans la liste des colonnes disponibles. Lorsque vous confirmez la boîte de dialogue en cliquant sur OK, ces colonnes sont supprimées de la vue de détail.
<- Supprimer tout | Toutes les colonnes sont supprimées de la liste des colonnes sélectionnées.
Haut | Déplace l’entrée sélectionnée vers le haut. Cette fonction est uniquement disponible pour les entrées uniques?; les sélections multiples ne sont pas autorisées dans ce cas.
Bas | Déplace l’entrée sélectionnée vers le bas. Cette fonction est uniquement disponible pour les entrées uniques?; les sélections multiples ne sont pas autorisées dans ce cas.

Fermer boîte de dialogue

Options | Description :
OK | Applique les paramètres et ferme la boîte de dialogue.
Annuler | Annule toutes les modifications et ferme la boîte de dialogue.
Aide | Ouvre l'aide en ligne.


Format colonne

Format colonne

Configuration des propriétés des colonnes pour les listes configurables. Les paramètres ont un effet sur la liste correspondante dans Editor ou, lors de la configuration d’un appel de synoptique, dans le Runtime.

Colonnes disponibles

Options | Description :
Colonnes disponibles | Liste de colonnes disponibles avec la fonction de sélection de colonnes. La configuration de la colonne sélectionnée se déroule via les options de la section Paramètres.

Paramètres

Option

Description :

Paramètres

Paramètres de la colonne sélectionnée.

Intitulé

Nom de l’intitulé de colonne.

Cet intitulé de colonne est compatible avec la fonction de changement de langue en ligne. Pour cela, le caractère @ doit être saisi devant le nom.

Largeur

Largeur de la colonne en caractères.
Calcul : nombre de caractères multiplié par la largeur moyenne des caractères de la police sélectionnée.

Alignement

Alignement. La sélection de l'attribution s'effectue au moyen des cases d'option.

Paramètres possibles :

  • Gauche : Le texte est justifié contre le bord gauche de la colonne.
  • Centré : Le texte est centré dans la colonne.
  • Droite : Le texte est justifié contre le bord droit de la colonne.

Couleurs définies par l'utilisateur

Propriétés permettant de sélectionner des couleurs définies par l’utilisateur pour le texte et l’arrière-plan. Les paramètres ont une incidence dans Editor et dans le Runtime.

Remarque :

  • Ces paramètres sont uniquement disponibles pour les listes configurables.
  • En outre, le focus correspondant dans la liste peut être indiqué par différentes couleurs de texte et d’arrière-plan dans le Runtime. Celles-ci sont configurées dans les propriétés du projet.

Couleurs définies par l’utilisateur

Active : Les couleurs définies par l’utilisateur sont appliquées.

Couleur du texte

Couleur d’affichage du texte. Cliquez sur la couleur pour la palette de sélection de couleurs.

Couleur d'arrière-plan

Couleur d’affichage de l’arrière-plan de la cellule. Cliquez sur la couleur pour la palette de sélection de couleurs.

Désactiver le filtre de colonnes dans le Runtime
  • Active : Le filtre de cette colonne ne peut pas être modifié dans le Runtime.

Remarque : Uniquement disponible pour :

  • Batch Control
  • Extended Trend
  • Synoptiques de filtre
  • Message Control
  • Gestionnaire de groupe de recettes (Recipe Group Manager)
  • Gestion d'équipes
  • Liste contextuelle

Fermer boîte de dialogue

Options | Description :
OK | Applique toutes les modifications effectuées sur tous les onglets, puis ferme la boîte de dialogue.
Annuler | Annule toutes les modifications effectuées sur tous les onglets, puis ferme la boîte de dialogue.
Aide | Ouvre l'aide en ligne.


Boîte de message

Manuel -> Synoptiques -> Types de synoptique -> Boîte de message

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

You can have system messages displayed in Runtime by means of message boxes. Five different system messages can be configured in Runtime:

  • Boîte de message [OK]
  • Boîte de message [Oui, Non]
  • Boîte de message [Oui, Non, Oui pour tous, Non pour tous]
  • Boîte de message [OK, Annuler]
  • Boîte de message [Oui, Non, Annuler]

Remarque : The listed message box types are only called up if they are called up from a zenon screen directly. The message boxes that are called up from a dialog remain unchanged.

Autres sujets abordés dans ce chapitre

Création d'un synoptique de type Boîte de messages

Utilisation dans le Runtime


Création d'un synoptique de type Boîte de messages

Manuel -> Synoptiques -> Types de synoptique -> Boîte de message -> Création d'un synoptique de type Boîte de messages

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Étapes de création du synoptique :

  1. Créez un nouveau synoptique :

    Dans la barre d’outils ou le menu contextuel du nœud Synoptiques, sélectionnez la commande Nouveau synoptique.
    Un synoptique vide Standard est créé.

  2. Modifiez les propriétés du synoptique :
    1. Nommez le synoptique dans la propriété Nom.
    2. Sélectionnez Boîte de messages dans la propriété Type de synoptique.
    3. Sélectionnez le cadre souhaité dans la propriété Gabarit.
  3. Configurez le contenu du synoptique :
    1. Sélectionnez l’option de menu Éléments de contrôle dans la barre de menus
    2. Sélectionnez Insérer un modèle dans la liste déroulante.
      La boîte de dialogue de sélection de mises en forme prédéfinies s’affiche à l’écran. Certains éléments de contrôle sont insérés dans le synoptique à des positions prédéfinies.
    3. Supprimez les éléments superflus du synoptique.
    4. Si nécessaire, sélectionnez des éléments supplémentaires dans la liste déroulante Éléments. Placez-les aux emplacements souhaités sur le synoptique.
  4. Créez une fonction d’appel de synoptique.

attention Attention

Be sure to have the following settings for the selected frame:

  • Activate the option Frame can be opened multiple times
  • Activate the option Do not close after losing focus
  • The Message box screen must not be based on the same frame as other screens!
  • Deactivate the Min./max. option Buttons in the Frame project properties.

Note the following information for the message box screen:

  • No screen switching can be configured in the screen.
  • The message box screen must not be called up by means of a screen switching function.


Utilisation dans le Runtime

Manuel -> Synoptiques -> Types de synoptique -> Boîte de message -> Utilisation dans le Runtime

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Les éléments de contrôle suivants sont disponibles :

Élément de contrôle | Action
En-tête des boîte de message | En-tête des boîte de message.
Texte des boîte de message | Message box content.
Boutons | Opens the dialog for selecting an action.
OK | Confirms action and closes the dialog.
Annuler | Discards action and closes the dialog.
Oui | Applies changes and closes the dialog.
Non | Annule les modifications et ferme la boîte de dialogue.
Oui (toutes) | Applique toutes les modifications et ferme la boîte de dialogue.
Non (toutes) | Annule toutes les modifications et ferme la boîte de dialogue.
Icônes | Some system messages have an icon to symbolize their type.
Points d'exclamation | Appears in the form of a warning in the system message.
Informations | Appears in the form of information in the system message.
Question | Appears in the form of a question in the system message.
Erreur | Appears in the form of an error in the system message.

Remarque : Icons are implemented as buttons without a function. Replace the labeling with graphics files to achieve the desired display.


HTML

Manuel -> Synoptiques -> Types de synoptique -> HTML

Permet d'afficher un synoptique au format HTML. Les contrôles du navigateur de Microsoft actuellement installé sur l'ordinateur sont utilisés comme moteur de rendu.

info Informations

Les possibilités offertes par les navigateurs sont limitées dans Windows CE. Les pages peuvent ne pas s'afficher correctement.

Mode de compatibilité

Le comportement du mode de compatibilité peut être modifié à l'aide de la base de registres de Windows.

Exemple : Définir le mode de compatibilité pour Internet Explorer 11 :

  1. Accédez à la clé HKEY_LOCAL_MACHINE\SOFTWARE\Microsoft\Internet Explorer\Main\FeatureControl\FEATURE_BROWSER_EMULATION
  2. Ajoutez la valeur DWORD suivante : Zenrt32.exe
    (Tenez compte de la capitalisation)
  3. Définissez la valeur décimale sur : 11001

Remarque : Sur un ordinateur 64 bits, ajoutez la même valeur DWORD dans la clé suivante :

HKEY_LOCAL_MACHINE\SOFTWARE\Wow6432Node\Microsoft\Internet Explorer\Main\FeatureControl\FEATURE_BROWSER_EMULATION

GPU Rendering

The behavior can be amended using the Windows Registry.

Exemple : Set GPU rendering:

  1. Accédez à la clé HKEY_LOCAL_MACHINE\SOFTWARE\Microsoft\Internet Explorer\Main\FeatureControl\FEATURE_GPU_RENDERING
  2. Ajoutez la valeur DWORD suivante : Zenrt32.exe
    (Tenez compte de la capitalisation)
  3. Définissez la valeur décimale sur : 00000001

Remarque : Sur un ordinateur 64 bits, ajoutez la même valeur DWORD dans la clé suivante :

HKEY_LOCAL_MACHINE\SOFTWARE\Wow6432Node\Microsoft\Internet Explorer\Main\FeatureControl\FEATURE_GPU_RENDERING

Autres sujets abordés dans ce chapitre

Creating a screen of the type HTML

Appel d'un synoptique de HTML


Creating a screen of the type HTML

Manuel -> Synoptiques -> Types de synoptique -> HTML -> Creating a screen of the type HTML

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Creating a screen of the type HTML

Développement

Étapes de création du synoptique :

  1. Créez un nouveau synoptique :

    Dans la barre d’outils ou le menu contextuel du nœud Synoptiques, sélectionnez la commande Nouveau synoptique.
    Un synoptique vide Standard est créé.

  2. Modifiez les propriétés du synoptique :
    1. Nommez le synoptique dans la propriété Nom.
    2. Select HTML in the Type de synoptique property.
    3. Sélectionnez le cadre souhaité dans la propriété Gabarit.
  3. Configurez le contenu du synoptique :
    1. Sélectionnez l’option de menu Éléments de contrôle dans la barre de menus
    2. Sélectionnez Insérer un modèle dans la liste déroulante.
      La boîte de dialogue de sélection de mises en forme prédéfinies s’affiche à l’écran. Certains éléments de contrôle sont insérés dans le synoptique à des positions prédéfinies.
    3. Supprimez les éléments superflus du synoptique.
    4. Si nécessaire, sélectionnez des éléments supplémentaires dans la liste déroulante Éléments. Placez-les aux emplacements souhaités sur le synoptique.
  4. Créez une fonction d’appel de synoptique.

HTML screen

Control element | Description
Insert template | Ouvre la boîte de dialogue de sélection de modèle pour le type de synoptique correspondant. Des modèles sont fournis avec zenon, et peuvent également être créés par l’utilisateur. Modèles ajoutent des éléments de contrôle prédéfinis à des positions prédéfinies sur le synoptique. Les éléments qui ne sont pas nécessaires peuvent également être supprimés individuellement après leur création. Les éléments supplémentaires peuvent être sélectionnés dans la liste déroulante, puis insérés dans le synoptique zenon. Les éléments peuvent être déplacés et disposés individuellement sur le synoptique.
Browser | Control elements for the browser.
Browser Window | The browser is displayed.
Address field | Field for entry of the address (URL).
Home page | The start page is called up.
Search forward | Go forward.
Search back | Go back.
Refresh search | Refresh display.
Cancel | Stop navigation.
Search | Control elements for the search. When clicking a link in the Search field, the corresponding page is shown in the browser. So e.g. in the field Search a navigation bar or the results of a search engine can be displayed without changing the contents, when a link is activated.
Search window | Display of the search.
Search field | Search for address or file.
Home | Back to home in the search area.
Forward | Page down in the search area.
Search back | Page up in the search area.
Refresh | Refresh display in search area.
Stop | Cancel search action.
Filter | Open filterbox.


Appel d'un synoptique de HTML

Manuel -> Synoptiques -> Types de synoptique -> HTML -> Appel d'un synoptique de HTML

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Pour créer une fonction à d'appel de synoptique HTML :

  • Sélectionnez Nouvelle fonction.
  • Sélectionnez Appel de synoptique.
  • Sélectionnez Synoptique HTML.
  • La boîte de dialogue de configuration s'affiche.
  • Configurez les paramètres de navigateur et de recherche.
    L'adresse du navigateur peut être configurée de manière statique ou transférée depuis une variable.
  • Confirmez la configuration en cliquant sur OK.

Fonction d'appel de synoptique HTML

Adresses

Paramètres

Description

Adresses

Sélection du type de saisie d'adresse pour la page d'accueil :

  • URL statique : Saisissez une adresse fixee dans la fenêtre de navigateur ou sélectionnez-la dans la liste déroulante.
  • URL à partir d'une variable : Sélectionnez une variable dans le champ Variable, qui transfère l'adresse dans le Runtime.

Variable

Saisissez les variables qui transfèrent l'URL de la page d'accueil dans le Runtime. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de variables. Les variables peuvent uniquement être saisies directement dans le champ.

Disponible uniquement si, pour la propriété Adresses, l'option URL à partir d'une variable a été sélectionnée

Fenêtre du navigateur

Saisissez l'URL devant être réouverte en tant que page d'accueil dans le Runtime. Sélection au moyen d'une liste déroulante ou d'une saisie directe dans le champ.

Disponible uniquement si, pour la propriété Adresses, l'option URL statique a été sélectionnée

Fenêtre de recherche

Sélection de l'URL utilisée pour la recherche sur Internet. Sélection au moyen d'une liste déroulante ou d'une saisie directe dans le champ.

Progression

Paramètres | Description
Progression | Nombre d'adresses disponibles dans la liste déroulante.
Adresses de recherche | Nombre d'adresses notées pour la plage de recherche et disponibles dans la liste déroulante. Minimum : 0 Maximum : 20 Par défaut : 10
Adresses du navigateur | Nombre d'adresses notées pour la page d'accueil. Minimum : 0 Maximum : 20 Par défaut : 10

Général

Paramètres

Description

Afficher cette boite de dialogue dans le Runtime
  • Active : Ouvre la boîte de dialogue lorsque le synoptique est ouvert dans le Runtime. Les paramètres peuvent être modifiés.
  • Inactive : Les paramètres définis ici sont applicables dans le Runtime. Ils ne peuvent plus être modifiés.

Fermer boîte de dialogue

Options | Description :
OK | Applique les paramètres et ferme la boîte de dialogue.
Annuler | Annule toutes les modifications et ferme la boîte de dialogue.
Aide | Ouvre l'aide en ligne.


Bloc-notes

Manuel -> Synoptiques -> Types de synoptique -> Bloc-notes

Le bloc-notes vous permet d'afficher des fichiers texte et de les éditer, le cas échéant.

Autres sujets abordés dans ce chapitre

Créer un bloc-notes de synoptique

Fonction Appel de synoptique Bloc-notes

Utilisation dans le Runtime


Créer un bloc-notes de synoptique

Manuel -> Synoptiques -> Types de synoptique -> Bloc-notes -> Créer un bloc-notes de synoptique

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Créer un bloc-notes de synoptique

La taille de l'affichage du synoptique Bloc-notes est définie par la taille du gabarit. Lors de l'activation du synoptique, vous devez définir quel rapport sera ouvert.

Développement

Étapes de création du synoptique :

  1. Créez un nouveau synoptique :

    Dans la barre d’outils ou le menu contextuel du nœud Synoptiques, sélectionnez la commande Nouveau synoptique.
    Un synoptique vide Standard est créé.

  2. Modifiez les propriétés du synoptique :
    1. Nommez le synoptique dans la propriété Nom.
    2. Select HTML in the Type de synoptique property.
    3. Sélectionnez le cadre souhaité dans la propriété Gabarit.
  3. Configurez le contenu du synoptique :
    1. Sélectionnez l’option de menu Éléments de contrôle dans la barre de menus
    2. Sélectionnez Insérer un modèle dans la liste déroulante.
      La boîte de dialogue de sélection de mises en forme prédéfinies s’affiche à l’écran. Certains éléments de contrôle sont insérés dans le synoptique à des positions prédéfinies.
    3. Supprimez les éléments superflus du synoptique.
    4. Si nécessaire, sélectionnez des éléments supplémentaires dans la liste déroulante Éléments. Placez-les aux emplacements souhaités sur le synoptique.
  4. Créez une fonction d’appel de synoptique.

Élément de contrôle | Action
Insérer un modèle | Ouvre la boîte de dialogue de sélection de modèle pour le type de synoptique correspondant. Des modèles sont fournis avec zenon, et peuvent également être créés par l’utilisateur. Modèles ajoutent des éléments de contrôle prédéfinis à des positions prédéfinies sur le synoptique. Les éléments qui ne sont pas nécessaires peuvent également être supprimés individuellement après leur création. Les éléments supplémentaires peuvent être sélectionnés dans la liste déroulante, puis insérés dans le synoptique zenon. Les éléments peuvent être déplacés et disposés individuellement sur le synoptique.
Fenêtre du bloc-notes | Affiche le bloc-notes sélectionné.
Fonctions du bloc-notes | Éléments de contrôle pour l'utilisation du bloc-notes.
Fichier... | Ouvre la boîte de dialogue de sélection de fichiers.
Actualiser la recherche | Actualise la fenêtre sélectionnée.
Enregistrer | Enregistre le fichier texte dans le dossier spécifié.
Enregistrer sous... | Ouvre la boîte de dialogue de sélection d'un chemin d'enregistrement et d'un nom.
Fermer | Ferme la fenêtre actuelle.
Imprimer | Imprime le contenu du bloc-notes sur l'imprimante définie.
Imprimer avec boîte de dialogue... | Ouvre la boîte de dialogue de sélection d'une imprimante avant l'impression.
Navigation |  | Élément de contrôle pour la navigation.
Ligne précédente |  | Remonte d'une ligne dans le fichier texte.
Ligne suivante |  | Descend d'une ligne dans le fichier texte.
Colonne droite |  | Se déplace d'une colonne vers la droite dans le fichier texte.
Colonne gauche |  | Se déplace d'une colonne vers la gauche dans le fichier texte.
Page précédente |  | Remonte d'une page dans le fichier texte.
Page suivante |  | Descend d'une page dans le fichier texte.
Page droite |  | Se déplace d'une page vers la droite dans le fichier texte.
Page gauche |  | Se déplace d'une page vers la gauche dans le fichier texte.


Fonction Appel de synoptique Bloc-notes

Manuel -> Synoptiques -> Types de synoptique -> Bloc-notes -> Fonction Appel de synoptique Bloc-notes

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Pour créer une fonction permettant de basculer vers le synoptique Bloc-notes :

  • Sélectionnez Nouvelle fonction
  • Sélectionnez Appel de synoptique.
  • Sélectionnez le synoptique Bloc-notes.
  • Ouvre une boîte de dialogue permettant de définir le fichier devant être affiché.

Paramètres | Description
Nom du fichier | Pour sélectionner le fichier à afficher, cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection. Le fichier doit déjà avoir été créé dans le gestionnaire de projet, dans le nœud Fichier/Textes et formats. Si aucun fichier approprié n'a été créé, vous pouvez en sélectionner un dans la boîte de dialogue en cliquant sur le symbole Ajouter fichier. Types de fichiers autorisés : TXT, HTM, HTML, FRM.
En lecture seulement | Active : Dans le Runtime, le texte peut être lu, mais pas édité.


Utilisation dans le Runtime

Manuel -> Synoptiques -> Types de synoptique -> Bloc-notes -> Utilisation dans le Runtime

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Les éléments de contrôle suivants sont disponibles :

Élément de contrôle | Action
Fenêtre du bloc-notes | Affiche le bloc-notes sélectionné.
Fonctions du bloc-notes | Éléments de contrôle pour l'utilisation du bloc-notes.
Fichier... | Ouvre la boîte de dialogue de sélection de fichiers.
Actualiser la recherche | Actualise la fenêtre sélectionnée.
Enregistrer | Enregistre le fichier texte dans le dossier spécifié.
Enregistrer sous... | Ouvre la boîte de dialogue de sélection d'un chemin d'enregistrement et d'un nom.
Fermer | Ferme la fenêtre actuelle.
Imprimer | Imprime le contenu du bloc-notes sur l'imprimante définie.
Imprimer avec boîte de dialogue... | Ouvre la boîte de dialogue de sélection d'une imprimante avant l'impression.
Navigation |  | Élément de contrôle pour la navigation.
Ligne précédente |  | Remonte d'une ligne dans le fichier texte.
Ligne suivante |  | Descend d'une ligne dans le fichier texte.
Colonne droite |  | Se déplace d'une colonne vers la droite dans le fichier texte.
Colonne gauche |  | Se déplace d'une colonne vers la gauche dans le fichier texte.
Page précédente |  | Remonte d'une page dans le fichier texte.
Page suivante |  | Descend d'une page dans le fichier texte.
Page droite |  | Se déplace d'une page vers la droite dans le fichier texte.
Page gauche |  | Se déplace d'une page vers la gauche dans le fichier texte.


Liste contextuelle

Manuel -> Synoptiques -> Types de synoptique -> Liste contextuelle

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Context Lists allow central administration of hierarchically-structured texts in Runtime. They can be used for the central administration of alarm causes. To do this, a Context List entry is linked to one or several entries in the Alarm Message List.

Possible alarm causes can be pre-defined centrally with the help of the Liste contextuelle. This also simplifies evaluation, for example in reports. Texts that are also required (alarm causes) can be easily added in runtime using the zenon Liste contextuelle screen.

The following is applicable for context lists:

  • Levels
    Several nodes can be arranged in parallel or hierarchically in a Context List. Each node can contain several entries.
    Context Lists are limited to a maximum hierarchy level of 5 levels and the language cannot be switched.

  • Persistence
    Context Lists are persistent. They cannot therefor be deleted, only hidden from the user interface. Gaps in reports are thus avoided.

Context lists in the network

When using a Liste contextuelle in a network project, saving is carried out on the server. Clients are synchronized automatically.
If a list is processed on several clients at the same time, the last-saved version is used by the server and distributed to all clients.

If the client loses the connection to the server, the Liste contextuelle is emptied on the client and the screen elements are grayed out for editing. Linked entries in the Alarm Message List are shown with the text <Alarm cause does not exist>.
As soon as there is a connection to the server, the Liste contextuelle is shown and the screen elements are released for editing.

Conseil : In the network, use tokens for operating authorizations; for details, see the Context List in the network chapter.

Alarmes

When calling up an alarm list, the "Alarm Cause" can be displayed as empty (<Alarm cause does not exist>), if the update has not yet been sent by the server. As soon as the first update comes from the server, the alarm causes are shown correctly.

Liste d'événements

Changes in the Context List can be logged in the CEL. To do this, activate, in the project properties for the Liste d'événements group, the logging for Listes contextuelles.

Autres sujets abordés dans ce chapitre

Creating a screen of the type Context List

Configuration des appels de synoptique

Use the Context List in the Runtime


Creating a screen of the type Context List

Manuel -> Synoptiques -> Types de synoptique -> Liste contextuelle -> Creating a screen of the type Context List

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Développement

Étapes de création du synoptique :

  1. Créez un nouveau synoptique :

    Dans la barre d’outils ou le menu contextuel du nœud Synoptiques, sélectionnez la commande Nouveau synoptique.
    Un synoptique vide Standard est créé.

  2. Modifiez les propriétés du synoptique :
    1. Nommez le synoptique dans la propriété Nom.
    2. Select Liste contextuelle in the Type de synoptique property.
    3. Sélectionnez le cadre souhaité dans la propriété Gabarit.
  3. Configurez le contenu du synoptique :
    1. Sélectionnez l’option de menu Éléments de contrôle dans la barre de menus
    2. Sélectionnez Insérer un modèle dans la liste déroulante.
      La boîte de dialogue de sélection de mises en forme prédéfinies s’affiche à l’écran. Certains éléments de contrôle sont insérés dans le synoptique à des positions prédéfinies.
    3. Supprimez les éléments superflus du synoptique.
    4. Si nécessaire, sélectionnez des éléments supplémentaires dans la liste déroulante Éléments. Placez-les aux emplacements souhaités sur le synoptique.
  4. Créez une fonction d’appel de synoptique.

Screen of the type Context List

Insérer un modèle

Élément de contrôle | Description
Insérer un modèle | Ouvre la boîte de dialogue de sélection de modèle pour le type de synoptique correspondant. Des modèles sont fournis avec zenon, et peuvent également être créés par l’utilisateur. Modèles ajoutent des éléments de contrôle prédéfinis à des positions prédéfinies sur le synoptique. Les éléments qui ne sont pas nécessaires peuvent également être supprimés individuellement après leur création. Les éléments supplémentaires peuvent être sélectionnés dans la liste déroulante, puis insérés dans le synoptique zenon. Les éléments peuvent être déplacés et disposés individuellement sur le synoptique.

Éléments de contrôle

Élément de contrôle

Description

Liste contextuelle

Display of the Context List with its entries and the columns defined during screen switching.

Sélection de colonnes

Opens the dialog for selecting the columns to be displayed.

Only available in Runtime if the list is shown in the screen.

Format des colonnes

Opens the dialog for configuration of the individual columns.

Only available in Runtime if the list is shown in the screen.

Nom

Entry of the name for a node or a text.
The following is applicable for names:

  • The name for nodes must be unique in the Context List within a level.
  • The name for texts must be unique within a node.
  • Longueur maximale : 256 caractère
  • The following characters are not permitted: /\:*?<>!|"'?#%

Description

Entry of the description for a node or a text.

Insérer noeud racine

Inserts a node at the first level.

Ajouter une note

Inserts a node under the selected element and switches the selection to the newly-created element.

Add text

Adds text to the selected element. The selection of the element remains.

Enregistrer

Saves the Context List.

Montrer les textes marqués comme "supprimés"

Switch element to configure the display of entries that are marked as deleted.

  • Active : Deleted entries are shown in the context list.
  • Désactivée (OFF) No display of deleted entries in the context list.

Default: depends on the setting in screen switching.

Développer/Réduire les nœuds

Permet de développer ou de réduire l’ensemble des nœuds ou les nœuds sélectionnés.
Sélection :

  • Expand all:
    Opens all nodes of all levels.
  • Reduce all:
    Collapses all nodes of all levels.
  • Expand selected:
    Opens all entries at the selected level.
  • Reduce selected:
    Reduces all entries at the selected level.

Exporter XML...

Exports the Context List as an XML file.

Importer XML

Imports a Context List from an XML file.
Existing Context Lists are replaced completely during import. No texts are combined. Pre-existing texts are deleted.

OK

Applique les paramètres et ferme le synoptique.

Remarque : Only available in Runtime if the screen to select alarm causes is used.

Annuler

Discards all changes and cancels configuration.

Remarque : Only available in Runtime if the screen to select alarm causes is used.

Pas de sélection

Annule la sélection et ferme e synoptique.

Remarque : Only available in Runtime if the screen to select alarm causes is used.

Autres sujets abordés dans ce chapitre

Use of a Context List screen to select alarm causes.


Use of a Context List screen to select alarm causes.

Manuel -> Synoptiques -> Types de synoptique -> Liste contextuelle -> Creating a screen of the type Context List -> Use of a Context List screen to select alarm causes.

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Liste contextuelle screens can be used in Runtime to select alarm causes.

Développement

To use a Liste contextuelle screen to elect alarm causes, proceed as follows:

Creation of the screen

  1. Créez un nouveau synoptique :

    Dans la barre d’outils ou le menu contextuel du nœud Synoptiques, sélectionnez la commande Nouveau synoptique.
    Un synoptique vide Standard est créé.

  2. Modifiez les propriétés du synoptique :
    1. Nommez le synoptique dans la propriété Nom.
    2. In the properties select Type de synoptique Liste contextuelle.
    3. Sélectionnez le cadre souhaité dans la propriété Gabarit.

      Conseil : To call up the screen in dialog form, it is recommended that a template with the Type de cadre setting set to Size fixed is used.

  3. Configurez le contenu du synoptique :
    1. Sélectionnez l’option de menu Éléments de contrôle dans la barre de menus
    2. Sélectionnez Insérer un modèle dans la liste déroulante.
      La boîte de dialogue de sélection de mises en forme prédéfinies s’affiche à l’écran. Certains éléments de contrôle sont insérés dans le synoptique à des positions prédéfinies.
    3. Supprimez les éléments superflus du synoptique.
  4. Si nécessaire, sélectionnez des éléments supplémentaires dans la liste déroulante Éléments. Placez-les aux emplacements souhaités sur le synoptique.
  5. If necessary, activate the Dialogue modal setting in the Display group for the screen.

Use of the screen

In order to be able to use the screen in Runtime to select alarm causes, select the previously-created screen in the project settings in the Alarm Message List group for the Écran de sélection des causes d'alarme setting. The default dialog to select alarm causes is replaced by this screen as a result.

Utilisation dans le Runtime

Use the OK, Cancel and None control elements to assign entries from the Context List (alarm causes) to the alarms selected in the Alarm Message List.

In Runtime, only the control elements to select alarm causes, the control elements for column settings and the control elements to expand and reduce nodes are active in the screen. All other control elements for editing the Context List, if present in the screen, grayed out.


Configuration des appels de synoptique

Manuel -> Synoptiques -> Types de synoptique -> Liste contextuelle -> Configuration des appels de synoptique

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Développement

Pour créer une fonction :

  1. Créez une nouvelle fonction :

    Dans la barre d'outils ou le menu contextuel du nœud Fonctions, sélectionnez Nouvelle fonction.
    La boîte de dialogue de sélection d'une fonction s'affiche à l'écran.

  2. Accédez au nœud Synoptiques.
  3. Sélectionnez la fonction Appel de synoptique.

    La boîte de dialogue de sélection de synoptique s’affiche à l’écran.

  4. Sélectionnez le synoptique de votre choix.
    Remarque : Si vous sélectionnez un synoptique issu d'un autre projet, assurez-vous que ce projet est en cours d'exécution dans le Runtime.
  5. Configurez le filtre.
  6. Name the function in the Nom property.

Autres sujets abordés dans ce chapitre

Général

Paramètres des colonnes


Général

Manuel -> Synoptiques -> Types de synoptique -> Liste contextuelle -> Configuration des appels de synoptique -> Général

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Configuration of the general properties.

Option

Description

Montrer les textes marqués comme "supprimés"

Configuration of the display of entries that have been marked as deleted.

  • Active : Display in the Context List.
  • inactive : Not displayed in the Context List.

Par défaut : Inactive

Remarque : If a corresponding control element has been configured for the screen, it is configured along the same lines as this setting.

Standard view in the Context List

Configuration of the view in which the Context List is opened in Runtime.
La sélection de l'attribution s'effectue au moyen des cases d'option :

  • Tous les noeuds étendus :
    All entries of all nodes are shown. (Par défaut.)
  • Premier niveau de noeuds étendus :
    The first level is shown as opened.
  • Tous les noeuds repliés :
    Only the first level of the node is visible.

Fermer boîte de dialogue

Options | Description
OK | Applique toutes les modifications effectuées sur tous les onglets, puis ferme la boîte de dialogue.
Annuler | Annule toutes les modifications effectuées sur tous les onglets, puis ferme la boîte de dialogue.


Paramètres des colonnes

Manuel -> Synoptiques -> Types de synoptique -> Liste contextuelle -> Configuration des appels de synoptique -> Paramètres des colonnes

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Configuration of the view of the Context List in Runtime. Select the columns to be displayed and configure its appearance.
The configuration can be amended in Runtime, either by clicking or by means of the corresponding control elements.
The Column selection and Column format options are only available in the screen if the list is displayed in the screen.

Paramètre | Description
Champ de liste | Affichage des colonnes configurées.
Sélection de colonnes | Ouvre la boite de dialogue de sélection des colonnes.
Format colonne | Ouvre la boîte de dialogue de mise en forme des colonnes.
OK | Applique toutes les modifications et ferme la boîte de dialogue.
Annuler | Annule toutes les modifications et ferme la boîte de dialogue.
Aide | Ouvre l’aide en ligne.

Fermer boîte de dialogue

Options | Description
OK | Applique toutes les modifications effectuées sur tous les onglets, puis ferme la boîte de dialogue.
Annuler | Annule toutes les modifications effectuées sur tous les onglets, puis ferme la boîte de dialogue.

Autres sujets abordés dans ce chapitre

Sélection de colonnes

Format colonne


Sélection de colonnes

Manuel -> Synoptiques -> Types de synoptique -> Liste contextuelle -> Configuration des appels de synoptique -> Paramètres des colonnes -> Sélection de colonnes

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Sélection de colonnes

Dans cette section, vous configurez les colonnes affichées dans le Runtime.

Options | Fonction
Colonnes disponibles | Liste de colonnes pouvant être affichées dans la table.
Colonnes sélectionnées | Colonnes affichées dans la table.
Ajouter -> | Déplace la colonne sélectionnée des colonnes disponibles vers les éléments sélectionnés. Lorsque vous confirmez la boîte de dialogue en cliquant sur OK, ces colonnes sont affichées dans la vue de détail.
Ajouter toutes -> | Déplace toutes les colonnes disponibles vers les colonnes sélectionnées.
<- Supprimer | Supprime les colonnes marquées des éléments sélectionnés et les affiche dans la liste des colonnes disponibles. Lorsque vous confirmez la boîte de dialogue en cliquant sur OK, ces colonnes sont supprimées de la vue de détail.
<- Supprimer tout | Toutes les colonnes sont supprimées de la liste des colonnes sélectionnées.
Haut | Déplace l’entrée sélectionnée vers le haut. Cette fonction est uniquement disponible pour les entrées uniques?; les sélections multiples ne sont pas autorisées dans ce cas.
Bas | Déplace l’entrée sélectionnée vers le bas. Cette fonction est uniquement disponible pour les entrées uniques?; les sélections multiples ne sont pas autorisées dans ce cas.

Fermer boîte de dialogue

Options | Description :
OK | Applique les paramètres et ferme la boîte de dialogue.
Annuler | Annule toutes les modifications et ferme la boîte de dialogue.
Aide | Ouvre l'aide en ligne.


Format colonne

Manuel -> Synoptiques -> Types de synoptique -> Liste contextuelle -> Configuration des appels de synoptique -> Paramètres des colonnes -> Format colonne

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Format colonne

Configuration des propriétés des colonnes pour les listes configurables. Les paramètres ont un effet sur la liste correspondante dans Editor ou, lors de la configuration d’un appel de synoptique, dans le Runtime.

Colonnes disponibles

Options | Description :
Colonnes disponibles | Liste de colonnes disponibles avec la fonction de sélection de colonnes. La configuration de la colonne sélectionnée se déroule via les options de la section Paramètres.

Paramètres

Option

Description :

Paramètres

Paramètres de la colonne sélectionnée.

Intitulé

Nom de l’intitulé de colonne.

Cet intitulé de colonne est compatible avec la fonction de changement de langue en ligne. Pour cela, le caractère @ doit être saisi devant le nom.

Largeur

Largeur de la colonne en caractères.
Calcul : nombre de caractères multiplié par la largeur moyenne des caractères de la police sélectionnée.

Alignement

Alignement. La sélection de l'attribution s'effectue au moyen des cases d'option.

Paramètres possibles :

  • Gauche : Le texte est justifié contre le bord gauche de la colonne.
  • Centré : Le texte est centré dans la colonne.
  • Droite : Le texte est justifié contre le bord droit de la colonne.

Couleurs définies par l'utilisateur

Propriétés permettant de sélectionner des couleurs définies par l’utilisateur pour le texte et l’arrière-plan. Les paramètres ont une incidence dans Editor et dans le Runtime.

Remarque :

  • Ces paramètres sont uniquement disponibles pour les listes configurables.
  • En outre, le focus correspondant dans la liste peut être indiqué par différentes couleurs de texte et d’arrière-plan dans le Runtime. Celles-ci sont configurées dans les propriétés du projet.

Couleurs définies par l’utilisateur

Active : Les couleurs définies par l’utilisateur sont appliquées.

Couleur du texte

Couleur d’affichage du texte. Cliquez sur la couleur pour la palette de sélection de couleurs.

Couleur d'arrière-plan

Couleur d’affichage de l’arrière-plan de la cellule. Cliquez sur la couleur pour la palette de sélection de couleurs.

Désactiver le filtre de colonnes dans le Runtime
  • Active : Le filtre de cette colonne ne peut pas être modifié dans le Runtime.

Remarque : Uniquement disponible pour :

  • Batch Control
  • Extended Trend
  • Synoptiques de filtre
  • Message Control
  • Gestionnaire de groupe de recettes (Recipe Group Manager)
  • Gestion d'équipes
  • Liste contextuelle

Fermer boîte de dialogue

Options | Description :
OK | Applique toutes les modifications effectuées sur tous les onglets, puis ferme la boîte de dialogue.
Annuler | Annule toutes les modifications effectuées sur tous les onglets, puis ferme la boîte de dialogue.
Aide | Ouvre l'aide en ligne.


Use the Context List in the Runtime

Manuel -> Synoptiques -> Types de synoptique -> Liste contextuelle -> Use the Context List in the Runtime

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

The Context List shows nodes and texts in up to 5 levels in Runtime. The columns that are shown by default are configured using the screen switching. Depending on the configuration, the columns are moved and amended by means of the corresponding control elements or by clicking.

Éléments de contrôle

Élément de contrôle

Description

Liste contextuelle

Display of the Context List with its entries and the columns defined during screen switching.

Sélection de colonnes

Opens the dialog for selecting the columns to be displayed.

Only available in Runtime if the list is shown in the screen.

Format des colonnes

Opens the dialog for configuration of the individual columns.

Only available in Runtime if the list is shown in the screen.

Nom

Entry of the name for a node or a text.
The following is applicable for names:

  • The name for nodes must be unique in the Context List within a level.
  • The name for texts must be unique within a node.
  • Longueur maximale : 256 caractère
  • The following characters are not permitted: /\:*?<>!|"'?#%

Description

Entry of the description for a node or a text.

Insérer noeud racine

Inserts a node at the first level.

Ajouter une note

Inserts a node under the selected element and switches the selection to the newly-created element.

Add text

Adds text to the selected element. The selection of the element remains.

Enregistrer

Saves the Context List.

Montrer les textes marqués comme "supprimés"

Switch element to configure the display of entries that are marked as deleted.

  • Active : Deleted entries are shown in the context list.
  • Désactivée (OFF) No display of deleted entries in the context list.

Default: depends on the setting in screen switching.

Développer/Réduire les nœuds

Permet de développer ou de réduire l’ensemble des nœuds ou les nœuds sélectionnés.
Sélection :

  • Expand all:
    Opens all nodes of all levels.
  • Reduce all:
    Collapses all nodes of all levels.
  • Expand selected:
    Opens all entries at the selected level.
  • Reduce selected:
    Reduces all entries at the selected level.

Exporter XML...

Exports the Context List as an XML file.

Importer XML

Imports a Context List from an XML file.
Existing Context Lists are replaced completely during import. No texts are combined. Pre-existing texts are deleted.

OK

Applique les paramètres et ferme le synoptique.

Remarque : Only available in Runtime if the screen to select alarm causes is used.

Annuler

Discards all changes and cancels configuration.

Remarque : Only available in Runtime if the screen to select alarm causes is used.

Pas de sélection

Annule la sélection et ferme e synoptique.

Remarque : Only available in Runtime if the screen to select alarm causes is used.

Display of the levels

Each Context List can contain up to 5 levels. The display of the levels can be controlled by clicking on the node symbols in the list or by means of a button.

Boutons :

  • Expand all:
    Opens all entries of the next closed level.
  • Expand all nodes:
    Opens all entries of all levels.
  • Reduce all:
    Collapses all nodes of all levels.
  • Expand selected:
    Opens all entries at the selected level.
  • Reduce selected:
    Collapses all entries of the selected level.

Filtering of entries

The entries in the Context List can be shown as filtered.
You can combine the filter of several columns.

To filter a Context List:

  1. Enter the filter text into the filter line.
    In doing so, you can use the placeholders ? and *.
  2. Press the Enter key.

    The Context List is shown after filtering

Sorting of entries

The entries in the Context List can be shown as sorted. In doing so, all nodes and subnodes are sorted.

To sort, click on the corresponding column overview.

It is possible to sort according to:

  • Texte
  • Description
  • Marqué comme "supprimé"

In ascending and descending order.

Autres sujets abordés dans ce chapitre

Editing nodes and texts

Selection of alarm causes

Context Lists in the network

Causes d'alarmes

Gestionnaire de listes de API textes


Editing nodes and texts

Manuel -> Synoptiques -> Types de synoptique -> Liste contextuelle -> Use the Context List in the Runtime -> Editing nodes and texts

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Up to 5 levels can be created in the Context List. Nodes can contain as many texts as you wish. Text names must be unique within a node. Names and descriptions can be added and amended. Nodes and texts can be highlighted as deleted.

Creating and editing entries

Creating nodes

To create a node:

  1. For a node at the uppermost level, nothing can be selected in the Context List.
    For a node in a sublevel, highlight a node in the superordinate level.
  2. In the Name field, enter a name that is unique within the Context List.
    Maximum length: 256 characters.
    Note:: The following characters are not permitted: /\:*?<>!|"'?#%
  3. Confirm the entry by pressing the Enter key.
  4. Click on the Add node button.

    The node is created and has the focus. This is how you can easily create a hierarchy or new texts for the new node.

Creating text

To create a text:

  1. Highlight a node in the Context List.
  2. In the Name field, enter a name that is unique within the level.
    Longueur maximale : 256 characters.
    Note:: The following characters are not permitted: /\:*?<>!|"'?#%
  3. Confirm the entry by pressing the Enter key.
  4. Cliquez sur le bouton Ajouter.

    The text is added in the level.
    The focus remains on the superordinate node. This is how you can create several texts after one another.
    Note: The button is deactivated if no entry is selected in the Context List.

Tipp Conseil

To create nodes and texts: In the Name and Description fields, select the Element option for the Écrire valeur prescrite par property.

Éditer les entrées

To edit an entry:

  1. Highlight the entry in the Context List.
  2. Open the field for editing with a double click.
  3. Amend the entry.
  4. Accept the change by pressing the Enter key or clicking next to the field.
  5. Save the change by clicking on the Save button.

Saving entries

To save changes in the Context List, press the Save button.
If there are unsaved changes when leaving the screen, a dialog is called up that offers to save the changes. To save the changes, the dialog must be confirmed within 15 seconds by clicking on Yes. Otherwise all unsaved changes are discarded.

Highlight entries as deleted

Entries in a Context List cannot be deleted; they can only be marked as deleted.
To mark an entry as deleted:

  1. Highlight the desired elements in the Context List.
    Multiple selection is possible.
  2. Click twice on the checkbox in the Mark as "deleted" column or press the Del key.
    With multiple selection, click on the Del key.
    The checkbox is shown with a tick.

    The elements are marked as deleted.
    Depending on the setting for the Show texts marked as "deleted" control element, the elements from the list are removed or shown as grayed out.

If a node is marked as deleted, then all its subelements are marked as deleted. As soon as an entry has been marked as deleted, the name and description can no longer be changed.

The marking can be removed again.
To remove a marking:

  1. Highlight the element.
    Note: For subelements of elements marked as deleted, the marking cannot be removed as long as the higher-level element is still marked as deleted.
  2. Click twice on the checkbox in the Mark as "deleted" column. The checkbox can no longer be ticked.

    This element can then be edited.

Remarque : The name and description can always be changed using the API.


Selection of alarm causes

Manuel -> Synoptiques -> Types de synoptique -> Liste contextuelle -> Use the Context List in the Runtime -> Selection of alarm causes

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

If the screen to select alarm causes is used, you can assign entries from the Context List (alarm causes) to the alarms currently selected in the Alarm Message List using the OK, Cancel and None entries.

In Runtime, only the control elements to select alarm causes, the control elements for column settings and the control elements to expand and reduce nodes are active in the screen. All other control elements for editing the Context List, if present in the screen, grayed out.


Context Lists in the network

Manuel -> Synoptiques -> Types de synoptique -> Liste contextuelle -> Use the Context List in the Runtime -> Context Lists in the network

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

When using a Liste contextuelle in a network project, saving is carried out on the server. Clients are synchronized automatically.
If a list is processed on several clients at the same time, the last-saved version is used by the server and distributed to all clients.

If the client loses the connection to the server, the Liste contextuelle is emptied on the client and the screen elements are grayed out for editing. Linked entries in the Alarm Message List are shown with the text <Alarm cause does not exist>.
As soon as there is a connection to the server, the Liste contextuelle is shown and the screen elements are released for editing.

With operating authorizations activated

If the Autorisation sur le réseau property is configured for the Réseau group accordingly (Global or via equipment model), this leads to the following behavior in Runtime:

  • If there is operating authorization for the computer, all actions can be carried out as described in Editing nodes and texts.
  • If there is no operating authorization, these actions are prohibited and a notice dialog is called up.
  • If there is operating authorization during editing, but not when closing the screen if there are unsaved changes, a notice dialog is called up and the changes are discarded.

You can find further information on operating authorizations in the Operating authorizations in the network chapter.


Causes d'alarmes

Manuel -> Synoptiques -> Types de synoptique -> Liste contextuelle -> Use the Context List in the Runtime -> Causes d'alarmes

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

The Liste contextuelle module is available for the Alarm Message List for the configuration and display of alarm causes.


Gestionnaire de listes de API textes

Manuel -> Synoptiques -> Types de synoptique -> Liste contextuelle -> Use the Context List in the Runtime -> Gestionnaire de listes de API textes

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Access to the Context Lists via the API is possible using the Textlist Manager. In doing so, nodes and texts can be created. The Textlist Manager creates a unique GUID for each entry in the Context List. These elements can be accessed via this GUID. Une chaîne vide est générée si un GUID n’est pas valide. Si le GUID n’est pas trouvé, le message Cause d’alarme inexistante est généré.

Texts can be created in several levels. The individual texts are combined for output in the Alarm Cause column in the Alarm Message List, separated with periods (.).
For example: Alarm causes.Filler.Bottle broken

Nombre maximal de niveaux : 5

Exemple :

Les éléments colorés en bleu sont corrects, mais les éléments colorés en rouge ne sont plus utilisés, car le nombre de niveaux autorisé a été dépassé.

attention Attention

The Text List Manager object in the API corresponds to the Context List in zenon. The Text List objects correspond to the nodes and texts in zenon.

Le script suivant crée cette liste de textes.

Script

Option Explicit

Public Sub CreateTree()

Dim TM As TextListManager

Set TM = thisProject.TextListManager

' ##################### T1 ####################

Dim T1 As TextList

Set T1 = TM.Create("T1 Name", "T1 Description")

Dim T11 As TextList

Set T11 = T1.Create("T11 Name", "T11 Description")

Dim T12 As TextList

Set T12 = T1.Create("T12 Name", "T12 Description")

' ##################### T2 ####################

Dim T2 As TextList

Set T2 = TM.Create("T2 Name", "T2 Description")

Dim T21 As TextList

Set T21 = T2.Create("T21 Name", "T21 Description")

' ##################### T3 ####################

Dim T3 As TextList

Set T3 = TM.Create("T3 Name", "T3 Description")

Dim T31 As TextList

Set T31 = T3.Create("T31 Name", "T31 Description")

Dim T32 As TextList

Set T32 = T3.Create("T32 Name", "T32 Description")

Dim T321 As TextList

Set T321 = T32.Create("T321 Name", "T321 Description")

Dim T3211 As TextList

Set T3211 = T321.Create("T3211 Name", "T3211 Description")

Dim T32111 As TextList

Set T32111 = T3211.Create("T32111 Name", "T32111 Description")

'########## Ceci ne fonctionne pas, en raison de la profondeur de niveau ###############

'Dim T321111 As TextList

'Set T321111 = T32111.Create("T321111 Name", "T321111 Description")

Dim T32112 As TextList

Set T32112 = T3211.Create("T32112 Name", "T32112 Description")

Dim T3212 As TextList

Set T3212 = T321.Create("T3212 Name", "T3212 Description")

Dim T322 As TextList

Set T322 = T32.Create("T322 Name", "T322 Description")

Dim T3221 As TextList

Set T3221 = T322.Create("T3221 Name", "T3221 Description")

Dim T323 As TextList

Set T323 = T32.Create("T323 Name", "T323 Description")

' ##################### T4 ####################

Dim T4 As TextList

Set T4 = TM.Create("T4 Name", "T4 Description")

'####################### Test du fonctionnement du Gestionnaire de listes de textes ###########################

Dim textlisttest As TextList

Set textlisttest = TM.Item(0)

thisProject.Cel.WriteCelString (textlisttest.Name() + textlisttest.Description() + textlisttest.Guid())

'##################### Enregistrement des listes de textes ###########################################

Dim answ As Boolean

answ = thisProject.TextListManager.Save()

End Sub


Vidéo

Manuel -> Synoptiques -> Types de synoptique -> Vidéo

Les enregistrements vidéo (en ligne et issus de données enregistrées) peuvent être affichés dans zenon à l'aide d'un synoptique d'affichage vidéo et d'un enregistrement vidéo. Le format utilisé est le format .avi.

Les vidéos sont lues dans le Runtime, au centre du cadre défini. Elles peuvent être contrôlées à l'aide des éléments de contrôle.

Remarque : Les codecs nécessaires pour lire les vidéos doivent être installés sur l'ordinateur.

info Informations

Les fonctions de contrôle des caméras intégrées aux ordinateurs portables via le driver du fabricant ne sont pas toujours compatibles avec zenon. Dans ce cas :

  • Installez une caméra d'un fournisseur tiers
  • Ensuite, sélectionnez la caméra intégrée en tant que source

Autres sujets abordés dans ce chapitre

Créer un synoptique de type Vidéo

Appel de synoptique - vidéo

Utilisation dans le Runtime


Créer un synoptique de type Vidéo

Manuel -> Synoptiques -> Types de synoptique -> Vidéo -> Créer un synoptique de type Vidéo

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Créer un synoptique de type Vidéo

Développement

Étapes de création du synoptique :

  1. Créez un nouveau synoptique :

    Dans la barre d’outils ou le menu contextuel du nœud Synoptiques, sélectionnez la commande Nouveau synoptique.
    Un synoptique vide Standard est créé.

  2. Modifiez les propriétés du synoptique :
    1. Nommez le synoptique dans la propriété Nom.
    2. Select Video in the Type de synoptique property.
    3. Sélectionnez le cadre souhaité dans la propriété Gabarit.
  3. Configurez le contenu du synoptique :
    1. Sélectionnez l’option de menu Éléments de contrôle dans la barre de menus
    2. Sélectionnez Insérer un modèle dans la liste déroulante.
      La boîte de dialogue de sélection de mises en forme prédéfinies s’affiche à l’écran. Certains éléments de contrôle sont insérés dans le synoptique à des positions prédéfinies.
    3. Supprimez les éléments superflus du synoptique.
    4. Si nécessaire, sélectionnez des éléments supplémentaires dans la liste déroulante Éléments. Placez-les aux emplacements souhaités sur le synoptique.
  4. Créez une fonction d’appel de synoptique.

info Informations

Insérer un modèle ajoute des éléments de contrôle prédéfinis à des emplacements prédéfinis sur le synoptique. Tous les éléments de contrôle peuvent être ajoutés, supprimés et librement positionnés. Les autres éléments dynamiques et éléments vectoriels peuvent également être ajoutés.


Appel de synoptique - vidéo

Manuel -> Synoptiques -> Types de synoptique -> Vidéo -> Appel de synoptique - vidéo

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Avec le synoptique Vidéo, vous pouvez afficher deux types de vidéos dans le Runtime :

  1. Les vidéos enregistrées (*.avi)
  2. Les vidéos provenant d'une caméra de surveillance

La vidéo affichée dépend de l'onglet affiché lors de l'enregistrement de la boîte de dialogue.

info Informations

Si les fichiers vidéo et les vidéos en ligne doivent être affichés, créez deux fonctions d'appel de synoptique.

Pour créer une fonction permettant de basculer vers le synoptique Vidéo :

  • Sélectionnez Nouvelle fonction
  • Sélectionnez Appel de synoptique.
  • Sélectionnez le synoptique Vidéo.
  • Une boîte de dialogue pour la définition de la source vidéo est ouverte.
    • Fichier vidéo
    • Vidéo en ligne

Autres sujets abordés dans ce chapitre

Fichier vidéo

Vidéo en ligne


Fichier vidéo

Manuel -> Synoptiques -> Types de synoptique -> Vidéo -> Appel de synoptique - vidéo -> Fichier vidéo

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Les paramètres nécessaires à l'affichage du synoptique Vidéo pour afficher une caméra de surveillance sont les suivants :

  • Définissez la vidéo devant être affichée
  • Paramètres de position, de vitesse, de volume et de facteur d'agrandissement de l'affichage

Paramètre | Description
Fichier AVI | Le fichier vidéo à afficher Attention : Please note that due to a Windows limitation, the absolute length of the file path must not exceed 128 characters, because otherwise the video cannot be played back. Because the absolute path is prescribed, and as a result the majority of the characters available are occupied, the videos should be given a short file name.

Options et paramètres

Paramètre | Description
Barre de lecture | Affiche une barre de progression dans le synoptique vidéo.
Menu | Affiche un menu dans la barre de lecture pour le contrôle de la vidéo (seulement avec barre de lecture activée)
Centrer la vidéo | Point de référence de la position de l'affichage de la vidéo lors des actions de zoom. Active : La vidéo 'zoomée' est positionné au centre du gabarit. Inactive : L'affichage de la vidéo est zoomé à partir du coin bas droit.
Démarrage auto. | Le fichier vidéo est automatiquement lancé à l'ouverture du synoptique
Lecture continue | La vidéo est exécutée en boucle.
Vitesse | Vitesse, en millièmes de la vitesse d'origine. Par défaut : 1000 (vitesse d'origine)
Zoom | Facteur d'agrandissement pour un affichage agrandi ou réduit avec des proportions correctes, sous forme de pourcentage de la taille d'origine. Par défaut : 100 (taille d'origine)
Volume | Volume, en millièmes du volume d'origine. par défaut : 1000 (volume d'origine)
TimrFreq | Remarque : actuellement inutilisé. Fréquence de l'horloge. Par défaut : 500

Fermer boîte de dialogue

Options | Description :
OK | Applique les paramètres et ferme la boîte de dialogue.
Annuler | Annule toutes les modifications et ferme la boîte de dialogue.
Aide | Ouvre l'aide en ligne.


Vidéo en ligne

Manuel -> Synoptiques -> Types de synoptique -> Vidéo -> Appel de synoptique - vidéo -> Vidéo en ligne

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Les paramètres nécessaires à l'affichage du synoptique Vidéo pour afficher une caméra de surveillance sont les suivants :

  • Paramètres du lecteur vidéo
  • Paramètres spécifiques aux options d'enregistrement si la vidéo doit être enregistrée

Paramètres | Description
Drivers vidéo | Sélection du pilote vidéo utilisé. Remarque : le pilote doit être compatible avec Microsoft Capturing.
Option d'enregistrement | Options d'enregistrement et de sauvegarde de la vidéo sous forme de fichier AVI ou de bitmaps. Si seule une vidéo en ligne doit être affichée, aucun paramètre n'est nécessaire.
Nom ou abréviation | Nom du fichier à sauvegarder.
Générer le nom automatiquement | Le nom est automatiquement généré par le système durant l'enregistrement.
Activate cap. Limitée dans le temps | Limite de temps de l'enregistrement, en secondes.
Format | AVI ou BMP.
Démarrage auto. de l'enregistrement | L'enregistrement démarre automatiquement lors de l'affichage du synoptique.
Utiliser les buffers DOS | Concerne uniquement les systèmes 16 bits.
Frame Rate | Nombre d'images à la seconde lors de l'enregistrement
Video Buffers | Nombre de Mo réservés pour le buffer d'enregistrement
Max Drop Rate | Nombre maximal d'images "oubliées" (en pourcentage) durant l'enregistrement. Valeur : 0 devient 100 Par défaut : 10
Vidéo | Paramètres spécifiques du pilote.
Vues... | Paramètres variables selon le pilote sélectionné.
Format... | Paramètres variables selon le pilote sélectionné.
Compression... | Paramètres variables selon le pilote sélectionné.
Source... | Paramètres variables selon le pilote sélectionné.
Audio | Paramètres d'enregistrement audio
Saisie audio | Active l'enregistrement audio.
Format audio | Paramètres spécifiques du pilote.


Utilisation dans le Runtime

Manuel -> Synoptiques -> Types de synoptique -> Vidéo -> Utilisation dans le Runtime

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Les vidéos sont affichées au centre du cadre.

Élément de contrôle | Description
Filtre | Paramètres de filtrage.
Contrôle | Éléments de contrôle des vidéos.
Lecture | Lire la vidéo.
Arrêter | Mettre la lecture en pause/reprendre la lecture.
Enregistrer | Enregistrer une vidéo.
Pause | Interrompre la lecture d'une vidéo.
Vidéo en ligne | Éléments de contrôle d'une vidéo en ligne.
Format | Format de sortie.
Source | Source de données.
Affichage | Afficher la vidéo.
Compression | Compression de données.
Fichier vidéo | Éléments de contrôle d'un fichier vidéo.
Grossissement | Agrandir la section sélectionnée.
Vitesse | Vitesse.
>> (En avant) | Avance d'un pas (une image).
<< Retour | Recule d'un pas (une image).
Éjecter | Éjecter.


Fonctions de synoptiques

Manuel -> Synoptiques -> Fonctions de synoptiques

Lorsque la fonction standard est créée depuis le menu contextuel dans l'affichage détaillé, zenon crée automatiquement une fonction Appel de synoptique pour le synoptique sélectionné. D'autres fonctions peuvent être configurées via le nœud Fonctions et la commande Nouvelle fonction.

Autres sujets abordés dans ce chapitre

Synoptique avec index

Synoptique : fermeture

Synoptique : retour au précédent

Supprimer chemin pour Synoptique : retour au précédent

Synoptique : déplacer le centre

Appel de synoptique

Activer l'élément qui a le focus

Donner le focus au cadre

Déplacer le focus

Enlever le focus du cadre

Afficher le menu

Sélection moniteur

Mettre le gabarit au premier plan

Fermer le cadre

Imprimer copie d'écran

Saisie de valeur pour synoptique clavier

Afficher la fenêtre d'aperçu


Synoptique avec index

Manuel -> Synoptiques -> Fonctions de synoptiques -> Synoptique avec index

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Cette fonction permet d'appeler, dans le Runtime, un synoptique dont le nom est défini par une variable chaîne. Cette fonction permet de sélectionner la variable.

Paramètre

Description

Variable pour le nom du synoptique

Linked variables with the name of the zenon screen to which this function is switched.

Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de variables. Une variable de chaîne doit être sélectionnée dans la liste des variables, en tant que paramètre de transfert.

Moniteur

Target monitor for screen switching.

Sélectionnez dans la liste déroulante :

  • Current monitor
    Screen is switched to the current, calling monitor.
  • Name of virtual Monitor 1
    Screen is switched to the 1st virtual monitor.
  • Name of virtual Monitor x
    Screen is switched to the xth virtual monitor.

The selection corresponds to the configuration in the Gestion de moniteur property in the Apparence graphique project properties group.

Note: not visible if no virtual monitor has been configured.

Fermer boîte de dialogue

Options | Description :
OK | Applique les paramètres et ferme la boîte de dialogue.
Annuler | Annule toutes les modifications et ferme la boîte de dialogue.
Aide | Ouvre l'aide en ligne.


Synoptique : fermeture

Manuel -> Synoptiques -> Fonctions de synoptiques -> Synoptique : fermeture

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Cette commande permet de fermer un synoptique défini dans le Runtime. Dans le cadre des projets multi-moniteurs, si un synoptique est basculé vers plusieurs moniteurs, il est possible de sélectionner le synoptique devant être fermé sur un moniteur.

Pour configurer la fonction :

  1. Dans la liste de fonctions, dans le nœud Synoptiques, sélectionnez la fonction Synoptique : fermeture.
  2. Sélectionnez le synoptique de votre choix.
  3. Dans le cadre d'un projet multi-moniteurs, sélectionnez le moniteur virtuel sur lequel le synoptique doit être fermé dans la liste :
    • Tous
    • Moniteur actuel
    • Moniteur virtuel désigné

Synoptique : fermeture

Paramètre | Description
Synoptique : fermeture | Configuration des synoptiques fermés lors de l'exécution de la fonction.
Tous les synoptiques avec ce nom | Tous les synoptiques ouverts avec le nom sélectionné sont fermés. Cliquez sur le bouton ... pour ouvrir une boîte de dialogue permettant de sélectionner un synoptique. Pour plus de détails, reportez-vous à la section Boîte de dialogue de sélection de synoptique.
Synoptique exécutant l'appel | Le synoptique depuis lequel a été effectué l'appel est fermé. Cela se produit également si plusieurs synoptiques possédant le même nom sont ouverts ; seul le synoptique depuis lequel est exécuté l'appel est fermé. Lorsque cette option est sélectionnée, la sélection de moniteur ne peut pas être configurée manuellement. Recommandation : utilisable pour la fermeture de fenêtre contextuelles.

Sélection du moniteur

Paramètre

Description

Sélection du moniteur

Configuration du moniteur sur lequel doit être configurée la fermeture du synoptique.

Moniteur

Sélectionnez le moniteur dans la liste.

  • Tous les moniteurs
  • Moniteur actuel
  • Sélectionnez un moniteur virtuel
    (Remarque : les moniteurs physiques sont affichés, puis appelés dans le Runtime.)

Disponible uniquement pour les systèmes multi-moniteurs et uniquement pour l'option Tous les synoptiques avec ce nom.

Afficher cette boite de dialogue dans le Runtime

Active : La boîte de dialogue de filtre est affichée dans le Runtime avant l'exécution de la fonction.

OK

Applique les paramètres et ferme la boîte de dialogue.

Annuler

Discards all changes and closes the dialog.

Aide

Ouvre l'aide en ligne.

Boîte de dialogue de sélection de synoptique

Dans la boîte de dialogue de sélection de synoptique, des synoptiques peuvent être sélectionnés pour l’exécution de fonctions parmi les éléments suivants :

  • Projet actuel
  • Sous-projets
  • Tous les projets de l’espace de travail dans lesquels l’option Garder projet en mémoire est active

Paramètres | Description
Fenêtre d’arborescence des projets | Affiche tous les projets dans l’espace de travail. Les synoptiques peuvent être sélectionnés dans le projet actuel et dans tous les projets dans lesquels l’option Garder projet en mémoire est active.
Fenêtre d’affichage des synoptiques | Sélection du synoptique. Si plusieurs synoptiques sont sélectionnés, le premier synoptique affiché dans la liste est utilisé pour l’exécution de la fonction.
Pas de sélection | Supprime la sélection et ferme la boîte de dialogue.
OK | Applique les paramètres et ferme la boîte de dialogue.
Annuler | Discards all changes and closes the dialog.
Aide | Ouvre l'aide en ligne.


Synoptique : retour au précédent

Manuel -> Synoptiques -> Fonctions de synoptiques -> Synoptique : retour au précédent

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Cette fonction permet d'appeler le synoptique d'un gabarit précédemment appelé, puis fermé en mode de fonctionnement en ligne. Les synoptiques précédemment ouverts sont gérés dans une mémoire tampon après leur fermeture. Lorsqu'ils sont à nouveau ouverts, la fonction utilisée pour ouvrir le synoptique est exécutée une nouvelle fois. Cela signifie que les filtres de synoptique ne sont pas enregistrés, et doivent être recréés. Lors de l'exécution de la fonction Appel de synoptique, les synoptiques des cadres correspondants sont conservés en mémoire.

Attention : Chaque appel de la fonction Appel de synoptique compte, même si l'appel de synoptique ne se déroule pas directement, mais est saisi dans les propriétés du synoptique en tant que fonction de démarrage.

Pour configurer la fonction :

  1. Définissez les cadres à prendre en compte dans la propriété de projet Gabarits principaux, dans le groupe Apparence graphique/Généralités runtime.
  2. Définissez le nombre de synoptiques devant être parcourus en arrière avec la propriété de projet Nombre de synoptiques pour la fonction \"Retour au précédent\" dans le groupe Fonctions.
  3. Configurez la fonction Synoptique : retour au précédent.
    Dans les fonctions sélectionnées, Gabarits principaux doit également être sélectionné dans la propriété du projet.
    Note concernant les systèmes multi-moniteurs : plusieurs moniteurs ne peuvent pas être sélectionnés. La fonction concerne toujours tous les moniteurs.

info Informations

Un synoptique est uniquement ajouté à la liste des synoptiques précédents lorsqu'il est fermé. Toutefois, les gabarits ouverts en arrière-plan ne sont pas considérés comme des synoptiques fermés. En cas d'appel de synoptiques dans plusieurs gabarits superposés, la liste de synoptiques précédents reste vide, car tous les synoptiques sont encore ouverts.

Conseil : En règle générale, ne jamais placer les gabarits directement l'un au-dessus de l'autre.

Supprimer le chemin

Le synoptique de précédent peut être supprimé dans le Runtime :

  • Automatiquement, lors d'un changement d'utilisateur à l'aide de la propriété de projet Supprimer chemin vers "Synotique : Retour au précédent" lors de changement d'utilisateur, dans le groupe Gestion des utilisateurs.
  • Individuellement, en configurant la fonction Supprimer le synoptique précédent.


Supprimer chemin pour Synoptique : retour au précédent

Manuel -> Synoptiques -> Fonctions de synoptiques -> Supprimer chemin pour Synoptique : retour au précédent

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Cette fonction permet de supprimer le chemin de la fonction Synoptique : retour au précédent dans le Runtime.

Pour configurer la fonction :

  1. Dans la liste de fonctions, dans le nœud Synoptique : retour au précédent, sélectionnez la fonction Supprimer le synoptique précdent.
  2. La fonction est créée.
  3. Liez la fonction à un bouton dans le synoptique.

Remarque : Le synoptique précédent peut également être supprimé automatiquement dans le Runtime, en cas de changement d'utilisateur. Pour cela, vous devez configurer la propriété de projet Supprimer chemin vers "Synotique : Retour au précédent" lors de changement d'utilisateur dans le groupe Gestion des utilisateurs.


Synoptique : déplacer le centre

Manuel -> Synoptiques -> Fonctions de synoptiques -> Synoptique : déplacer le centre

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Avec cette fonction, le centre du synoptique peut être déplacé et un facteur de zoom peut être spécifié pour la fonctionnalité Vue globale.

Conditions requises :

  • La taille du synoptique doit être supérieure à la résolution du moniteur.
  • Dans les propriétés du synoptique, la propriété Dimension du gabarit doit être désactivée dans le groupe Gabarit.
  • La taille doit être définie à l'aide des propriétés Largeur [pixels] et Hauteur [pixels].

info Informations

Cette fonction n’est pas disponible sous Windows CE.

Boîte de dialogue Centre du synoptique et zoom

Paramètre | Description
Synoptique | Sélectionnez le synoptique dont vous souhaitez définir le centre. Cliquez sur le bouton pour ouvrir la boîte de dialogue de sélection de synoptique.
Sélectionner le centre du synoptique | Paramètres du centre du synoptique
Nom d'objet | Définissez le centre souhaitée du synoptique par le biais d'un objet issu d'une liste d'objets.
Coordonnées | Saisissez les coordonnées (x,y) du centre du synoptique.
Configuration des niveaux de zoom | Définition du facteur de zoom.
en % | Définition du facteur de zoom en pourcentage.
Etape | Définition du facteur de zoom via des pas de zoom.
OK | Applique les paramètres et ferme la boîte de dialogue.
Annuler | Annule toutes les modifications et ferme la boîte de dialogue.
Aide | Ouvre l'aide en ligne.

Remarque : Si la Vue globale est appelée à plusieurs reprises, cette fonction s'applique uniquement au dernier synoptique appelé.


Appel de synoptique

Manuel -> Synoptiques -> Fonctions de synoptiques -> Appel de synoptique

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

La fonction Appel de synoptique permet d'afficher différents synoptiques de procédés durant le Runtime.

Example Exemple

Un projet comporte un synoptique de démarrage et un synoptique de type Liste d'alarmes. Dans le Runtime il est possible de basculer de l'un à l'autre. Dans ce cas, par exemple, un bouton est créé sur le synoptique de démarrage et une fonction de type Appel de synoptique est créée sur le synoptique Liste d'informations sur les alarmes. Après cela, la fonction est liée au bouton, par exemple au moyen d'un glisser-déplacer. Maintenant, dans le Runtime, vous pouvez masquer le synoptique de démarrage en cliquant sur le bouton et activer la Liste d'alarmes.

Configuration des appels de synoptique

Pour configurer la fonction :

  1. Créez une nouvelle fonction
  2. Accédez au nœud Synoptiques.
  3. Sélectionnez la fonction Appel de synoptique.
  4. La boîte de dialogue de sélection de synoptique s’affiche à l’écran.
  5. Sélectionnez un synoptique.
  6. La boîte de dialogue de remplacement de variables et de fonctions s'affiche à l'écran.
  7. Fermez la boîte de dialogue de configuration en cliquant sur OK
  8. Attribuez un bouton à la fonction

Boîte de dialogue de sélection de synoptique

Dans la boîte de dialogue de sélection de synoptique, des synoptiques peuvent être sélectionnés pour l’exécution de fonctions parmi les éléments suivants :

  • Projet actuel
  • Sous-projets
  • Tous les projets de l’espace de travail dans lesquels l’option Garder projet en mémoire est active

Paramètres | Description
Fenêtre d’arborescence des projets | Affiche tous les projets dans l’espace de travail. Les synoptiques peuvent être sélectionnés dans le projet actuel et dans tous les projets dans lesquels l’option Garder projet en mémoire est active.
Fenêtre d’affichage des synoptiques | Sélection du synoptique. Si plusieurs synoptiques sont sélectionnés, le premier synoptique affiché dans la liste est utilisé pour l’exécution de la fonction.
Pas de sélection | Supprime la sélection et ferme la boîte de dialogue.
OK | Applique les paramètres et ferme la boîte de dialogue.
Annuler | Discards all changes and closes the dialog.
Aide | Ouvre l'aide en ligne.


Activer l'élément qui a le focus

Manuel -> Synoptiques -> Fonctions de synoptiques -> Activer l'élément qui a le focus

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Cette fonction active l'élément sélectionné dans le cadre sélectionné.


Donner le focus au cadre

Manuel -> Synoptiques -> Fonctions de synoptiques -> Donner le focus au cadre

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Cette fonction transfère la sélection vers un cadre défini lors de l'utilisation des touches dans le Runtime.

Pour configurer la fonction :

  1. Dans la liste de fonctions, dans le nœud Synoptiques, sélectionnez la fonction Donner le focus au gabarit.

    La boîte de dialogue de sélection de cadre s'affiche à l'écran.

  2. Sélectionnez le cadre que vous voulez attribuer.
  3. Pour les projets multi-moniteurs, sélectionnez le moniteur virtuel utilisé pour l'ouverture du cadre.
  4. Fermez la boîte de dialogue de configuration en cliquant sur OK.
  5. Define the screen element that is to get the focus.
    Pour cela :
    1. Open the dialog for Move sequence for focus with Sequence for left/right.
    2. Define the element that should be triggered first.

Comportement dans le Runtime :

  • The frame with a focus is displayed with a border. La largeur et la couleur de ligne du cadre sont définis dans le nœud Apparence graphique/Synoptiques des propriétés du projet.
  • In the screen, the element gets the focus that has been defined as the first element in the sequence for left/right. The sequence for top/bottom is ignored.

Boîte de dialogue de sélection de cadre

Dans la boîte de dialogue de sélection de cadre, des cadres peuvent être sélectionnés pour l’exécution de fonctions parmi les éléments suivants :

  • Projet actuel
  • Sous-projets
  • Tous les projets de l’espace de travail dans lesquels l’option Garder projet en mémoire est active

Paramètres | Description
Fenêtre d’arborescence des projets | Affiche tous les projets dans l’espace de travail. Les cadres peuvent être sélectionnés dans le projet actuel et dans tous les projets dans lesquels l’option Garder projet en mémoire est active.
Fenêtre de cadres | Sélection d’un cadre. Si plusieurs cadres sont sélectionnés, le cadre affiché au début de la liste est utilisé pour exécuter la fonction.
Aucune sélection | Supprime la sélection et ferme la boîte de dialogue.
OK | Applique les paramètres et ferme la boîte de dialogue.
Annuler | Discards all changes and closes the dialog.
Aide | Ouvre l'aide en ligne.

Set focus on frame when calling up frames several times

Si un cadre est affiché à plusieurs reprises sur un moniteur, le focus est déplacé dans l'ordre inverse de la séquence de commutation à chaque exécutions des fonctions du focus. Si, par exemple, avec un cadre appelé à plusieurs reprises, les synoptiques Screen1, Screen2 et Screen3 sont ouverts, puis le focus est défini sur ce cadre, le focus est déplacé vers le dernier synoptique ouvert, Screen3. Lorsque la fonction Donner le focus au cadre est à nouveau exécutée, le focus est défini sur le synoptique Screen2, etc.


Déplacer le focus

Manuel -> Synoptiques -> Fonctions de synoptiques -> Déplacer le focus

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Cette fonction active la sélection d'un élément particulier dans le Runtime pour l'utilisation du clavier, et peut donc être utilisée pour parcourir un cadre.

Propriété | Action
Direction | Définition de la direction dans laquelle la sélection doit être déplacée. La séquence définie ci-dessous est applicable à l'éditeur, via le menu contextuel ou le menu Édition/ Modifier l'ordre de sélection...
Sur l'élément | Définition de l'élément pour le focus. Entrez le nom d'objet de l'élément


Enlever le focus du cadre

Manuel -> Synoptiques -> Fonctions de synoptiques -> Enlever le focus du cadre

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Cette fonction annule la sélection du cadre actuel dans le Runtime. Si vous souhaitez continuer à utiliser le clavier, vous devez à nouveau activer la sélection d'un cadre.


Afficher le menu

Manuel -> Synoptiques -> Fonctions de synoptiques -> Afficher le menu

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Cette fonction contrôle l’affichage des menus principaux.

  1. Créez une nouvelle fonction en sélectionnant Nouvelle fonction
  2. Dans le nœud Synoptiques, sélectionnez la fonction Afficher le menu.
  3. Définissez l’action à exécuter et le menu principal.

Paramètres | Description
Action | Sélection de l’action :
Afficher le menu | Le menu sélectionné est affiché.
Cacher menu | Le menu sélectionné est caché.
Changer menu | Le menu courant est caché et le menu sélectionné est affiché à la place.
Si aucun menu disponible | Le menu sélectionné est affiché si aucun menu n’est affiché à cet instant.
Menu | Sélection du menu.
Afficher cette boite de dialogue dans le Runtime | Active : Cette boîte de dialogue s’affiche lorsque la fonction est exécutée dans le Runtime.


Sélection moniteur

Manuel -> Synoptiques -> Fonctions de synoptiques -> Sélection moniteur

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Dans un environnement multi moniteurs, vous pouvez attribuer un moniteur virtuel à un moniteur réel unique.


Mettre le gabarit au premier plan

Manuel -> Synoptiques -> Fonctions de synoptiques -> Mettre le gabarit au premier plan

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Cette fonction permet de déplacer au premier plan les synoptiques recouverts par d'autres synoptiques dans le Runtime. Un gabarit est sélectionné, ainsi qu'une attribution de moniteur si plusieurs moniteurs ont été configurés. Lorsque cette fonction est exécutée, dans le Runtime, toutes les instances du gabarit défini sont déplacées au premier plan sur le moniteur sélectionné. Cette fonction est principalement utile pour les synoptiques et les cadres appelés comportant une barre de titre.

Pour configurer la fonction :

  1. Dans le menu contextuel du nœud Fonction, sélectionnez la commande Nouvelle fonction.
  2. Ouvrez le nœud Synoptiques dans la boîte de dialogue de sélection.
  3. Sélectionnez la fonction Mettre le gabarit au premier plan.
  4. La boîte de dialogue de sélection de cadre s'affiche à l'écran.
  5. Sélectionnez le cadre souhaité, puis confirmez-le en cliquant sur OK.
  6. Liez la fonction à un bouton.

Boîte de dialogue de sélection de cadre

Paramètres

Description

Fenêtre d’arborescence des projets

Affiche tous les projets dans l’espace de travail. Les cadres peuvent être sélectionnés dans le projet actuel et dans tous les projets dans lesquels l'option Garder projet en mémoire est active.

Fenêtre de cadres

Sélection d’un cadre.

Si plusieurs cadres sont sélectionnés, le cadre affiché au début de la liste est utilisé pour exécuter la fonction.

Pas de sélection

Supprime la sélection et ferme la boîte de dialogue.

Moniteur

Pour les systèmes multi-moniteurs, sélection du moniteur pour lequel cette fonction est configurée dans une liste déroulante :

  • Tous les moniteurs
  • Moniteur actuel
  • Moniteur virtuel désigné

OK

Applique les paramètres et ferme la boîte de dialogue.

Annuler

Discards all changes and closes the dialog.

Aide

Ouvre l'aide en ligne.


Fermer le cadre

Manuel -> Synoptiques -> Fonctions de synoptiques -> Fermer le cadre

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Cette fonction permet de fermer le cadre sélectionné et tous les synoptiques reposant sur celui-ci. Contrairement à la fonction Fermer le synoptique, il n'est pas nécessaire de fournir précisément le nom du synoptique. Dans le cadre de projets multi-moniteurs, si un cadre est basculé vers plusieurs moniteurs, il est possible de sélectionner le cadre devant être fermé sur un moniteur.

Pour configurer la fonction :

  1. Dans la liste de fonctions, dans le nœud Synoptiques, sélectionnez la fonction Fermer le gabarit.
  2. Sélectionnez le cadre que vous voulez attribuer.
  3. Dans le cadre d'un projet multi-moniteurs, sélectionnez le moniteur virtuel sur lequel doit être fermé le cadre dans la liste déroulante :
    • Tous
    • Moniteur actuel
    • Moniteur virtuel désigné

Fermer le cadre

Paramètres | Description
Fermer le cadre | Configuration des cadres fermés lors de l'exécution de la fonction.
Tous les gabarits de nom | Tous les cadres ouverts avec le nom sélectionné sont fermés. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de cadre. Pour plus de détails, reportez-vous à la section Boîte de dialogue Sélection de cadre.
Gabarit appelant | Le cadre exécutant l'appel est fermé. Cela se produit également si plusieurs cadres possédant le même nom sont ouverts ; seul le cadre depuis lequel est exécuté l'appel est fermé. Lorsque cette option est sélectionnée, la sélection de moniteur ne peut pas être configurée manuellement.

Sélection du moniteur

Paramètres

Description

Sélection du moniteur

Configuration du moniteur sur lequel doit être configurée la fermeture du cadre.

Moniteur

Sélectionnez le moniteur dans la liste.

  • Tous les moniteurs
  • Moniteur actuel
  • Sélectionnez un moniteur virtuel
    (Remarque : les moniteurs physiques sont affichés, puis appelés dans le Runtime.)

Disponible uniquement pour les systèmes multi-moniteurs et uniquement pour l'option Tous les cadres avec ce nom.

Afficher cette boite de dialogue dans le Runtime

Active : La boîte de dialogue de filtre est affichée dans le Runtime avant l'exécution de la fonction.

OK

Applique les paramètres et ferme la boîte de dialogue.

Annuler

Discards all changes and closes the dialog.

Aide

Ouvre l'aide en ligne.

Autres sujets abordés dans ce chapitre

Boîte de dialogue de sélection de cadre


Boîte de dialogue de sélection de cadre

Manuel -> Synoptiques -> Fonctions de synoptiques -> Fermer le cadre -> Boîte de dialogue de sélection de cadre

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Dans la boîte de dialogue de sélection de cadre, des cadres peuvent être sélectionnés pour l’exécution de fonctions parmi les éléments suivants :

  • Projet actuel
  • Sous-projets
  • Tous les projets de l’espace de travail dans lesquels l’option Garder projet en mémoire est active

Paramètres | Description
Fenêtre d’arborescence des projets | Affiche tous les projets dans l’espace de travail. Les cadres peuvent être sélectionnés dans le projet actuel et dans tous les projets dans lesquels l’option Garder projet en mémoire est active.
Fenêtre de cadres | Sélection d’un cadre. Si plusieurs cadres sont sélectionnés, le cadre affiché au début de la liste est utilisé pour exécuter la fonction.
Aucune sélection | Supprime la sélection et ferme la boîte de dialogue.
OK | Applique les paramètres et ferme la boîte de dialogue.
Annuler | Discards all changes and closes the dialog.
Aide | Ouvre l'aide en ligne.


Imprimer copie d'écran

Manuel -> Synoptiques -> Fonctions de synoptiques -> Imprimer copie d'écran

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Cette fonction est utilisée pour effectuer une capture d'écran de l'écran entier ou d'un cadre (synoptiques, fichiers, courbes de tendance, etc.) en mode de fonctionnement en ligne.

Indiquez le cadre et les options additionnelles comme paramètres de transfert. La configuration de cette fonction s'effectue par le biais de la boîte de dialogue suivante.

Propriété

Description

Selected print area (Zone d'impression sélectionnée)

Affichage de la zone sélectionnée.

Define print area (Définir la zone d'impression)

Sélection de la zone devant être imprimée.

Zone écran totale

Imprime une capture d'écran de l'ensemble de l'écran. Sur les systèmes multi-moniteurs, le contenu du moniteur standard est imprimé.

Liste des gabarits

Disponible uniquement si la propriété Zone écran totale est inactive.

Sélectionnez le cadre souhaité en double-cliquant dessus. Il est affiché dans le champ Selected print area (Zone d'impression sélectionnée).

Remarque : Si le cadre sélectionné n'est pas actif dans le Runtime, rien n'est imprimé.

Moniteur

Disponible uniquement si un cadre a été sélectionné et la propriété Zone écran totale est inactive.

Sélectionnez le moniteur souhaité dans la liste déroulante.

  • Tous
  • Moniteur actuel
  • Moniteur virtuel désigné

Remarque : Si vous avez sélectionné un cadre couvrant plus d'un écran, vous devez sélectionner Current monitor (Moniteur actuel) pour imprimer l'ensemble du cadre.

Options d'impression

Avec marge

Lors de l'impression, une marge d'agrafage est prévue.

Inverser

Inverse les zones claires et sombres.

Fax

L'impression est redirigée vers un fax Pour cela, vous devez sélectionner un fax comme imprimante pour les captures d'écran dans la section Paramètres pour l'impression.


Saisie de valeur pour synoptique clavier

Manuel -> Synoptiques -> Fonctions de synoptiques -> Saisie de valeur pour synoptique clavier

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

La fonction Saisie de valeur pour synoptique clavier n'est pas disponible pour les synoptiques Clavier. Par ailleurs, le champ de texte Valeur prescrite doit avoir été créé. Il vous permet de définir ou de définir et envoyer une valeur préalablement définie.

Paramètres | Description
Saisie valeur | Saisie de la valeur cible.
Action | Sélectionnez une action dans la liste déroulante. (Pour la liste des actions possibles, voir le tableau suivant.)
OK | Accepte les saisies, ferme la boîte de dialogue et crée des fonctions avec la valeur et l'action définies.
Annuler | Accepte les saisies, ferme la boîte de dialogue et crée des fonctions sans point de consigne ou action.
Aide | Ouvre l’aide en ligne.

Actions dans la liste déroulante :

Action

Description

Valeur proposée

Le point de consigne par défaut est écrit sur le synoptique Clavier.

Accepter la valeur

Les événements suivants se produisent :

  • Le point de consigne par défaut est écrit sur le synoptique Clavier.
  • Cliquez sur OK pour fermer le synoptique Clavier.

Module RGM : accepter et envoyer les valeurs

Si le synoptique Clavier est appelé depuis la table du Gestionnaire de groupes de recettes, les événements suivants se produisent :

  • Le point de consigne par défaut est écrit sur le synoptique Clavier.
  • Cliquez sur OK pour fermer le synoptique Clavier.
  • La valeur de la recette est écrite dans la variable.

Module RGM : Accepter la valeur et enregistrer la recette

Si le synoptique Clavier est appelé depuis la table du Gestionnaire de groupes de recettes, les événements suivants se produisent :

  • Le point de consigne par défaut est écrit sur le synoptique Clavier.
  • Cliquez sur OK pour fermer le synoptique Clavier.
  • La recette est enregistrée.

Module RGM : Write and send value and save recipe (Gestionnaire de groupes de recettes : écrire et envoyer la valeur, puis enregistrer la recette)

Si le synoptique Clavier est appelé depuis la table du Gestionnaire de groupes de recettes, les événements suivants se produisent :

  • Le point de consigne par défaut est écrit sur le synoptique Clavier.
  • Cliquez sur OK pour fermer le synoptique Clavier.
  • La valeur de la recette est écrite dans la variable.
  • La recette est enregistrée.


Afficher la fenêtre d'aperçu

Manuel -> Synoptiques -> Fonctions de synoptiques -> Afficher la fenêtre d'aperçu

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

La fonction Afficher la fenêtre d'aperçu affiche la fenêtre d’aperçu dans le Runtime?; celle-ci présente les moniteurs réels ou les cadres dans un système multi-moniteurs. Un moniteur ou un cadre peuvent être activés avec un clic.

Pour configurer la fonction :

  1. Créez une nouvelle fonction
  2. Accédez au nœud Synoptiques.
  3. Sélectionnez la fonction Afficher la fenêtre d'aperçu.
  4. La boîte de dialogue de configuration de la fenêtre d’aperçu s’affiche
  5. Sélectionnez votre configuration
  6. Fermez la boîte de dialogue de configuration en cliquant sur OK
  7. Attribuez un bouton à la fonction

Affichage de la fenêtre d'aperçu

Paramètres

Paramètre | Description
Paramètres | La fonction peut afficher, fermer ou basculer la fenêtre d’aperçu. La sélection est effectuée à l’aide de boutons d’option :
Affichage | La fenêtre d’aperçu s’ouvre.
Bascule | L’état de la fenêtre d’aperçu bascule entre ouvert et fermé.
Fermer | La fenêtre d’aperçu se ferme.

Affichage de

Paramètre | Description
Affichage de | Sélection de l’affichage dans la fenêtre d’aperçu. Les cadres ou les moniteurs sont affichés.
Gabarits | La fenêtre d’aperçu scinde le synoptique en cadres.
Moniteurs | La fenêtre d’aperçu scinde le synoptique en moniteurs.
Position | Position de la fenêtre d'aperçu sur le synoptique, calculée en pixels à partir du coin supérieur gauche.

Style de la fenêtre

Paramètre | Description
Style de la fenêtre |
Avec titre | Active : La fenêtre d’aperçu comporte une barre de titre Windows
Menu système | Active : Un menu système est affiché en cas d’activation de la barre de titre.
Avec bordure | Active : La fenêtre d’aperçu est affichée avec une bordure. La taille de la fenêtre peut être configurée dans le Runtime en faisant glisser la bordure. La sélection de la largeur de la bordure s’effectue au moyen des cases d’option :
Fine | Bordure épaisse.
Gras | Bordure fine.

Couleurs

Paramètre | Description
Couleurs | Définition des couleurs dans la fenêtre d’aperçu. Cliquez sur Couleur pour ouvrir la palette de couleurs.
Couleur d'arrière-plan | Couleur de l'arrière-plan de la fenêtre
Vue actuelle | Cadres/moniteurs actuellement affichés.
Bordure | Couleur de la bordure.
Sélectionnés | Cadres/moniteurs sélectionnés.
OK | Accepte les paramètres, ferme la boîte de dialogue et crée des fonctions avec l'attribution.
Annuler | Annule les paramètres, ferme la boîte de dialogue et crée des fonctions avec des paramètres standard.
Aide | Ouvre l’aide en ligne.


Tools (Outils)

Manuel -> Tools (Outils)

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Différents outils facilitent les tâches de gestion, d'analyse et de configuration de zenon :

  • 3D Integration:
    In this zenon application, 3D CAD files can be linked to zenon project configurations in a graphical user interface. The project configuration is displayed in zenon Runtime with a zenon WPF element.
    Note: The engineering environment (3D Configurator) has to be licensed seperately.
  • Diagnosis Viewer: permet de lire et configurer les fichiers journaux de zenon.
  • GIS Integration:
    This tool allows objects to be designed with a geographic reference and to link these objects with zenon ALC information, variables and functions.
    Display in the zenon Runtime visualizes ALC engineering with selectable Map providers.
  • Keyblock Runtime Start:
    démarre le Runtime de zenon et bloque toutes les touches système de Windows.
  • Mise à jour en ligne de l'aide de zenon :
    autorise la mise à jour en ligne de l'aide de zenon.
  • Project Translation Interface:
    outil de traduction des fichiers linguistiques de zenon. Ouvre ou enregistre les données de l'Language Translation Wizard (assistant Language Translation Wizard)de zenon. Il autorise ainsi l'importation ou l'exportation de projets dans ou depuis zenon.
  • Startup Tool:
    Permet de démarrer Editor et le Runtime avec certains paramètres, de gérer les différentes versions de zenon installées sur un ordinateur, de gérer les instances de SQL et de définir les langues d'Editor et du Runtime.
  • System Information Collector:
    Lit les informations concernant le système et zenon, les affiche dans une fenêtre de sortie et les enregistre sous forme de fichier ZIP.
  • COPA-DATA PRP:
    Allows the operation of a hardware-redundant zenon network via PRP communication.
    Note: PRP communication requires a valid zenon license on the computer.

Les éléments suivants sont disponibles dans zenon Logic :

  • zenon Logic Runtime Manager: Autorise la gestion des projets de Runtime indépendants ou à démarrage manuel de zenon Logic sur votre ordinateur.
    La documentation de cet outil est intégrée à la documentation de zenon Logic.

Autres sujets abordés dans ce chapitre

3D Integration

Diagnosis Viewer

Mise à jour en ligne de l'aide de zenon :

Keyblock Runtime Start

GIS Integration

Startup Tool

System Information Collector

COPA-DATA PRP


3D Integration

Manuel -> Tools (Outils) -> 3D Integration

The 3D integration package from zenon offers an easy and simple possibility to link 3D files from a CAD program to project configurations in zenon.

Included in the 3D integration package:

  • 3D Configurator

    3D files are loaded in this project configuration environment. The structure of a 3D model is transferred into the 3D Configurator and visualized in a preview. In this structure, assembly groups or objects can be selected with the click of a mouse. The preview can be rotated and enlarged or reduced as desired using the mouse. Assembly groups or objects can also be selected in the preview directly, with the click of a mouse.

    The selected assembly group or an individual object can be:

    • Assigned to one or more variables.
      If a variable is linked, the visibility, flashing and color settings are taken from the variable.
    • Assigned to one or more function(s).
      If a function is linked, the function is triggered by clicking on the object in Runtime. This is visualized in Runtime with a different mouse pointer.
    • Be assigned to a variable in addition to a camera position.
      If a camera position is linked, the position is called up if the limit value of the linked variable is breached.
  • zenon WPF screen element
    Display of the 3D project configuration in Runtime in a zenon screen.
    • Free navigation in the 3D model:
      The display can be moved, rotated, enlarged or reduced.
    • Execution of functions in the 3D model:
      A configured function can be executed by clicking on an object or an assembly group.
      Example: Opening a linked online help or calling up an information window.
    • Calling up the 3D model in a defined perspective:
      The 3D model with views of a configured position can be visualized by setting a value of a "camera variable".
    • Visualization of a limit value breach:
      When a limit value is breached, an object or an assembly group can be shown in color or flashing in the 3D model.
    • Objects or assembly groups can be switched to visible or invisible.

info Informations

All functionalities can also be executed by means of touch gestures.

Autres sujets abordés dans ce chapitre

Installation and licensing

General

Keyboard shortcut and mouse button assignment

3D Configurator

Engineering in the zenon Editor

Display in Runtime


Installation and licensing

Manuel -> Tools (Outils) -> 3D Integration -> Installation and licensing

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Installation

The 3D 3D Configurator project configuration tool is included with the standard installation of zenon.

Please note that the 3D Configurator is only available for 64-bit operating systems. Project configuration in the zenon Editor and display in zenon Runtime is also possible with 32-bit operating systems.

info Informations

Due to the computer performance required for 3D modeling, operation on 64-bit operating systems is strongly recommended.

Licensing

The engineering (= 3D Configurator) environment has to be licensed.

The display in zenon Runtime is included in every zenon license. This includes also the specific zenon WPF screen element for engineering in the zenon Editor.


General

Manuel -> Tools (Outils) -> 3D Integration -> General

The 3D integration package includes:

  • 3D Configurator
    Tool for the linking of 3D models to zenon project configurations:
    • Functions
    • Variables

      Limit Values

      Reaction matrixes

  • COPA-DATA WPF screen element
    The parameters for the attendant parameter file are set in the 3D Configurator and automatically applied by clicking a button in the Editor configuration.

Supported 3D model file formats

The following file formats are supported by the 3D Configurator:

  • *.OBJ
  • *3DS
  • *.STL
  • *.DWFX
  • *.STEP
  • *.STP

The maximum file size of a 3D model is limited to 50 MB for performance reasons. This is shown with a warning dialog when a larger file is loaded. The model is not loaded.

Supported functionality

The display in zenon Runtime supports:

  • Display of equipment or parts of equipment with freely-configurable camera positions.
  • Execution of linked functions.
  • Selection of the rendering mode for the display.
  • Selection of the background color, light settings and light angle for display.
  • Linking of numerical variables for the display options.

3D configurator - display language

The 3D Configurator starts with the language set for the zenon Editor.


Keyboard shortcut and mouse button assignment

Manuel -> Tools (Outils) -> 3D Integration -> Keyboard shortcut and mouse button assignment

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

The 3D Configurator and Runtime display use the following keyboard shortcut and mouse button assignments:

Parameter

Description

CTRL+Q

CTRL+double click on mouse wheel

Centers the 3D model to the preview and sets the zoom factor to 100%. Ensures that the file model that is loaded is completely visible in the preview.

Sets to default in the preview.

CTRL+E

CTRL+double click

Sets zoom level in the preview to 100%.

Centers the 3D model in the preview; the rotation is retained. Ensures that the file model that is loaded is completely visible in the preview.

Note: There is no centering if the preview is already at zoom stage 100%.

Mouse wheel forwards

Zooms into the preview = larger display.

Mouse wheel backwards

Reduces zoom stage of the preview.

Mouse wheel pressed + mouse movement
(to the left, right, up, down)

Enlarges or reduces the zoom level of the preview:

  • Up or down
    Large zoom stages
  • Left or right
    Small zoom stages

Left mouse button pressed

Moves preview in mouse direction.

The display of the mouse pointer switches during this time.

The mouse pointer is displayed as the mobile phone symbol.

Right mouse button pressed

Rotates the view of the model by one rotation point in accordance with the mouse movement.

The rotation point is visualized in the middle of the preview with a gray cross-hair.

The display of the mouse pointer switches during this time.

The mouse pointer is shown as a cross-hair.

CTRL + mouse button pressed

A selection tool is shown when the mouse button is pressed.

The area selected as a result is shown in the preview, enlarged accordingly.

Del key

Deletes configured camera positions in the 3D Configurator.


3D Configurator

Manuel -> Tools (Outils) -> 3D Integration -> 3D Configurator

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

In this graphic user interface, variables and functions of an existing zenon project configuration are linked.

Start

To start the 3D Configurator:

  1. Start the zenon Editor.
    Also ensure that a project is active in the Editor. If the Editor has not been started or no project is active, the 3D Configurator does not work properly.
  2. Open the Startup-Tool.
  3. Click the Tools button.
  4. In the Avialable 64-bit applications section, select the 3D Configurator entry.
  5. Click on the Start button.
    The 3D configurator starts in the language in which the Editor has also been started.

As an option, start the 3D Configurator using your computer's Start menu with the zen3DConfig.exe entry.

attention Attention

Please note that the 3D configurator is only available for 64-bit operating systems.

Apply 3D project configurations

Project configurations that you carry out in the 3D Configurator are applied in the current project in the zenon Editor by clicking on the Save configuration button.

If you close the 3D Configurator and have not yet applied all project configuration in the Editor, this is visualized in a warning dialog.

zenon Editor

Ensure that you only start the 3D Configurator if you have activated the correct project in the zenon Editor.

If the 3D Configurator is started and the zenon Editor has not been started yet, this is shown in a dialog.

In this case, close the 3D Configurator and start the Editor first.

Autres sujets abordés dans ce chapitre

User interface

3D file structure

Configuration

Preview

Configuration in the 3D configurator


User interface

Manuel -> Tools (Outils) -> 3D Integration -> 3D Configurator -> User interface

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

The 3D Configurator's window can be freely scaled. The size of the areas can be moved with the mouse button held down.

The areas in the Configuration section can be opened or closed with the up cursor or down cursor.

The user interface of the 3D Configurator is divided into three areas:

  • 3D file structure
    Tree view of the loaded 3D model,
  • Configuration
    • Link to zenon project.
    • Configuration of display options in Runtime.
  • Preview
    Preview of the selected assembly area.
    In this area, the zoom level and view angle can also be amended.


3D file structure

Manuel -> Tools (Outils) -> 3D Integration -> 3D Configurator -> 3D file structure

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

The 3D file structure visualizes content of the loaded 3D models.
This content can also be filtered.

Parameter | Description
Search | Search field for entry of search terms for the naming of the existing objects in the loaded 3D model. The number of hits found is visualized with a number next to the search field. Note: if the entry does not match a valid hit, the search field is shown with a red background.
Previous | Jumps to the next hit and selects this hit.
Next | Jumps to the next hit and selects this entry.
Only selected object | Only the selected element is shown in the preview. Default: Not activated
info Informations
When selecting a new level, the current view, zoom and direction are reset. The newly-selected element is shown as centered in the preview.


Configuration

Manuel -> Tools (Outils) -> 3D Integration -> 3D Configurator -> Configuration

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

The configuration area of the 3D Configurator is divided into the following areas:

  • File
    File administration and exchange of the project configuration between 3D Configurator and zenon Editor.
  • Linked variables and functions
    Variables and functions of a zenon project configuration and its linking to a 3D model.
  • Camera positions
    Zoom level and view angle of 3D model content
  • Default settings
    Settings for the display (Runtime and preview in 3D Configurator)
  • DWF attributes
    List of DWF attributes.
    This area only becomes visible if the element selected in the 3D file structure contains a corresponding DWF attribute.

Autres sujets abordés dans ce chapitre

File

Linked variables and functions

Camera positions

Default settings


File

Manuel -> Tools (Outils) -> 3D Integration -> 3D Configurator -> Configuration -> File

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Parameter

Description

Open 3D model...

Opens the file selection dialog to load a 3D model.

This loading process can last longer depending on the scope of the 3D model. A progress bar is shown during this loading and interpretation process.

Attention: If there is currently a 3D model open, all project configurations are rejected without requesting confirmation!

You should therefore ensure that your 3D project configurations have already been saved.

Replace 3D model...

Replaces the currently-loaded 3D model with the selected file.

Existing 3D project configurations are retained.

Ensure that the new 3D model to be loaded contains the corresponding objects.

Load configuration...

Opens selection dialog to select an existing 3D project configuration of the zenon Editor.

Applies existing project configuration from the active zenon project.
The selection dialog is empty if there is not yet a 3D project configuration saved in the active project.

[Name of the loaded 3D model]

File name of the loaded 3D model.

This is also the name of the configuration as it is applied in the zenon Editor - after clicking on the Save configuration button.

The entry is validated. Possible characters correspond to the permitted characters for file names. If there is an incorrect character entered, this is shown with red error text in the tool. The Save configuration button is grayed out in the event of an error.

Default: [File name]
(if no 3D model is loaded)

Save configuration

Saves current 3D project configuration in the active project of the zenon Editor.

Save location in the Editor:

  • Project nodes Files => Graphics:
    - .cdwpf
    XAML file for linking to the WPF screen element in the zenon Editor.
  • Project nodes Files -> Other -> ThreeD
    This folder is automatically created - if it has not already been created - when the 3D Configurator is created for the active zenon project.

Note: Please note the Clean up 3D project configuration section in the Project configuration in the zenon Editor chapter.

Information bar

Parameter | Description
Project | Name of the project that is currently activated in zenon.
File | File name of the 3D model that is currently loaded.
Model | Not currently used.


Linked variables and functions

Manuel -> Tools (Outils) -> 3D Integration -> 3D Configurator -> Configuration -> Linked variables and functions

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

The linked variables and functions area visualizes project configurations of the zenon Editor.

The display can be sorted and filtered.

Parameter

Description

Update variables and functions

Clicking on the button updates the displayed variables and functions with the current project configuration in the zenon Editor.

[List of configured variables]

List of the configured variables of the current zenon project.

  • Variable name:
    Configured variable name in the zenon project.
    Corresponds to the Nom variable property in the zenon Editor.
  • Identification:
    Configured variable identification in the zenon project.
    Corresponds to the Identification variable property in the zenon Editor.

Note: The list can be updated with the project configuration in the Editor by clicking on the Update variables and functions button.

[List of configured functions]

List of the configured functions from the current zenon project.

  • Function name
    Configured function name in the zenon project.
    Corresponds to the Nom function property in the zenon Editor.
  • Function type
    Configured function type in the zenon project.
    Corresponds to the Type function property in the zenon Editor.

Note: The list can be updated with the project configuration in the Editor by clicking on the Update variables and functions button.

Arrow keys

Variables or functions can be transferred to the object list or removed with the cursor keys. This is also possible by double clicking on the respective entry. The double-click functionality is applicable for both object lists as well as for the list of variables or functions.
Please note that there are separate cursor keys for variables and functions.

Object list

The display of this list depends on the level selected in the 3D file structure:

  • Linkings must always be linked to a level.
    Please note: If no level has been selected in the 3D file structure, no linking is possible.
  • Linking to the root node is not permitted.
  • If the root node is selected in the 3D file structure, all linkings are shown in the object list, regardless of where they are linked in the file structure.

Click on the cursor key to transfer a variable or a function to the object list.

Parameter

Description

Object name

Name of the object in the 3D model.
This corresponds to the level selected in the 3D file structure.

Name

Name of the variable or function to be linked.

Type of link

Type of list entry:

  • Variable
  • Function

Camera

Selection from drop-down list.
The content of the drop-down list corresponds to the configured camera positions in the camera positions area. If no camera position has been assigned, this is shown with No camera position.

Note: if the name of a camera position is amended, this is updated by clicking on the drop-down list.


Camera positions

Manuel -> Tools (Outils) -> 3D Integration -> 3D Configurator -> Configuration -> Camera positions

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

The camera positions are set up regardless of the level selected in the 3D file structure.

Parameter

Description

[List of configured camera positions]

List of configured camera positions]. The naming of the index and the camera position can be freely configured. Manual entry is validated and must be unique.
The display can be sorted and filtered.

  • Name
    Name of the camera position:
    Default: Camera_n
    n = consecutive number
  • Index
    unique number of the camera position.
    Negative camera indexes are not permitted.

Please note the Configure camera position section in the Configuration in the 3D configurator chapter.

New

Creates a new entry in the list of configured camera positions.

When clicking on the New button, the current orientation, including zoom level, is saved as seen in the preview.

Overwrite position

Overwrites the settings of the selected camera position with the current position, zoom level, etc. of the 3D model, as set up in the preview.

Delete

Deletes selected camera position from the list of configured camera positions.


Default settings

Manuel -> Tools (Outils) -> 3D Integration -> 3D Configurator -> Configuration -> Default settings

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Area for the configuration of view options. The options selected in this area are visualized in real time in the preview window.

Parameter

Description

Rendering mode

Rendering mode for the display of the 3D model in <CD_PRODCUTNAME> Runtime.

Please ensure, when selecting the rendering mode, that this is also supported by the loaded 3D file. Otherwise the model will not be shown.

Select from drop-down list.

Use variable for rendering mode

Checkbox for selection of the rendering mode from a variable.

Clicking on the ... opens the dialog to select a numerical variable of the zenon Editor configuration.

  • Active:
    Display is shown with the value of the linked variable.
    If the value of the variable is invalid or if the checkbox is active but no variable is linked, the configured rendering mode is applied.
  • Inactive:
    Rendering mode is taken directly from the project configuration in the 3D Configurator for the display.

Note: You can get the numerical value from the numeric value in the brackets next to the mode in the drop-down list of the Rendering mode option.

[Selected variable]

Display of the name of the linked variable for rendering mode.

Default: No variable selected
(if no variable has been selected)

...

Opens dialog to select variables for the rendering mode.

Show this combobox in the Runtime.

Checkbox to select whether the rendering mode is offered for selection in Runtime.

  • Active:
    Rendering mode can be selected in Runtime from a drop-down list.
  • Inactive:
    No possibility to select rendering mode in Runtime.

Background color

Background color of the display of the 3D model.

Select from drop-down list.

Default: White

Light setting

Light color of the illumination of the 3D model.

Selection from drop-down list

Default: White

Light angle

Slider to configure the light angle for the light settings.
Selection in clockwise direction (from left to right)

Use variable for camera position index

Checkbox for selection of the camera position from a variable.

Clicking on the ... opens the dialog to select a numerical variable of the zenon Editor configuration.

  • Active:
    The camera position is defined with the value of the linked variable.
    If the value of the variable is invalid or if the checkbox is active but no variable is linked, the display is not amended.
  • Inactive:
    Camera position is taken directly from the project configuration in the 3D configurator for the display.

Note: You can find out the numerical value of the camera position from the corresponding entry in the Index column of the Camera positions option.

Default: No variable selected
(if no variable has been selected)

Please note the Configure camera position section in the Configuration in the 3D configurator chapter.

Transformation matrix for 3DS files

Checkbox for improved display of 3DS files.
This option is only applied for 3DS files. With all other file formats, this option has no effect.

Deactivate this option for 3DS files if the display has been moved in the preview.

  • Active:
    3DS file is shown with internal transformation matrix.
  • Inactive:
    3DS transformation matrix is ignored.

Default: activated

Note: a change to the configuration of this option causes automatic reloading of the corresponding 3DS file in the 3D Configurator. Properties that have already been configured in the tool are retained.

Create DWF attributes as variables

Checkbox to select whether attributes of a DWFX file are transferred to the project configuration in the zenon Editor.

The respective DWF attributes are displayed in the 3D Configurator in the DWF attributes field. This area only becomes visible if the element selected in the 3D file structure contains a corresponding DWF attribute.

Contents of the DWF attribute cannot be changed.

  • Active:
    DWF attributes are transferred to the project configuration of the Editor.
  • Inactive:
    DWF attributes are not taken into account. No variables are created.

Please note:

  • This selection is applicable for the complete loaded 3D model.
  • By clicking on the Save configuration button, an internal STRING data type variable is created in the zenon Editor for each attribute.
  • The value of the attribute is written to the initial value of the variable.
  • DWF attributes can only be transferred to the Editor project configuration when a 3D model is first loaded.

Transformation matrix for 3DS files

This property is only applicable for the display of 3DS files.

Example:
Transformation matrix for 3DS files option deactivated:

Example:
Transformation matrix for 3DS files option activated:

DWF attributes

If the loaded 3D model contains DWF attributes, they are loaded in the 3D Configurator in the Configuration area:


Preview

Manuel -> Tools (Outils) -> 3D Integration -> 3D Configurator -> Preview

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

The loaded 3D model is shown for editing in the preview. The view can be orientated and scaled as desired with the mouse. This can also be carried out by means of touch operation instead of the mouse.

The selected element of a 3D model is shown highlighted in red. An element can be selected in the preview directly or in the structure tree of the 3D file structure.

info Informations

If the Selected object only option is activated in the 3D file structure, only the selected object is shown in the preview.

ViewCube

The ViewCube tool is a permanently-visible 3D cube. It offers visual feedback on the current viewpoint of the model. The ViewCube can also be used for orientation in the preview.

Drag the ViewCube or click on it

The ViewCube offers the following functionality:

  • Display of the view in a three-dimensional area
  • Orientation of the preview:
    • Click on the surface
      (for example: View from above when clicking on the top of the ViewCube.)
    • Click on an edge
    • Click on a corner point

If you drag or click on the ViewCube tool, the view of the model is newly aligned by one rotation point. The view is then scaled back to 100% in the process. The rotation point is shown in the middle of the object that was last selected before the ViewCube tool was used.

Rotation and zoom point

The rotation and zoom point for the direction can be defined by means a mouse click.
The following is applicable in the process:

  • If an assembly group is clicked on in the process, the location of the click is the rotation and zoom point.
  • If a point outside an assembly group is clicked on in the preview, the center point of the preview is the rotation and zoom point.


Configuration in the 3D configurator

Manuel -> Tools (Outils) -> 3D Integration -> 3D Configurator -> Configuration in the 3D configurator

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Carry out the following steps to link a 3D file to your zenon project configuration:

  1. Start the zenon Editor.
  2. Carry out the configuration in the Editor:
    • Variables
    • Functions
    • ...
  3. Start the 3D Configurator.
  4. Load a 3D model in the 3D Configurator:
    To do this, click on the Open 3D model ... button and select the 3D file.
  5. Configure the camera positions:
    1. Select the desired assembly group.
    2. Select the angle and the zoom level in the preview.
    3. In the Camera positions area, click on the New button.
      A new entry is created for the camera positions option.
  6. Select a level in the 3D file structure.
    Note: The linkings are always connected to a level of the 3D file structure.
    Please note: if no level is selected, no linkings can be configured.
  7. Link a camera position to a function or a variable:
    1. Select a variable in the 3D Configurator in the list of configured variables.
    2. Accept the selection by clicking on the arrow downwards button in the object list.
    3. In the Camera entry in the object list, select a configured camera position in the drop-down list.
  8. Configure additional linkings.
  9. Save your 3D project configurations in the current <CD_PRODCUTNAME> Editor project:
    To do this, click on the Save configuration button.
    The project configurations of the 3D Configurator are saved in the active zenon project.

Configure camera position

  1. Configure camera positions in the 3D Configurator:
    1. Select the desired assembly group.
    2. Select the angle and the zoom level in the preview.
    3. In the Camera positions area, click on the New button.
      A new entry is created for the camera positions option.
  2. Link a variable for the camera index:
    1. In the Default settings area, activate the Use variable for index of the camera position.
    2. Click on the ... button.
      The variable selection dialog is opened.
    3. Select a numeric variable.
    4. By entering the number of the index of the camera position for the linked variable, the 3D model can be visualized in Runtime with the configured view - including zoom level, orientation and positioning.

attention Attention

Please ensure that you assign different camera positions for each variable. If several camera positions are linked to a variable, it is always the last-configured position that is visualized in zenon Runtime. If this project configuration has the value "no camera position", there is no repositioning in Runtime.

Load configuration

If you want to add to or correct pre-existing project configurations, carry out the following steps:

  1. Start the zenon Editor.
  2. Start the 3D Configurator
  3. In the 3D Configurator, click on the Load configuration ... button
    The selection dialog of the 3D configurations already saved in the zenon project are opened.
  4. Select a project configuration.
    The project configuration is loaded in the 3D Configurator.
  5. Carry out further configurations in the 3D Configurator.
  6. Save your project configurations by clicking on the Save configuration button.
    If a 3D configuration is already saved in the current zenon project, this is shown in a notice dialog.

Replace 3D model

Click on the Replace 3D model... button in the 3D Configurator to add new file content to existing project configurations. Amended content is shown in a dialog.

Please note that the newly-loaded file contains the same information for existing project configurations in the 3D Configurator. Ensure in particular that, in the newly-loaded file, only additional information is contained and that the existing content is not changed. Especially deleted or renamed content of the newly-loaded 3D model can lead to incorrect project configurations (invalid linkings).

attention Attention

Linkings that cannot be transferred are deleted from the configuration.


Engineering in the zenon Editor

Manuel -> Tools (Outils) -> 3D Integration -> Engineering in the zenon Editor

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Carry out the following steps in zenon to visualize a 3D configuration in zenon Runtime:

  1. Start the zenon Editor.
  2. Carry out the project configurations in the Editor.
  3. Start the 3D Configurator.
  4. Configure the linkings and camera positions in the 3D Configurator.
  5. Transfer the 3D configuration of the 3D Configurator to the Editor by clicking on the Save configuration button.
    The project configuration in the 3D configurator is saved in the current zenon project.
  6. Configure a zenon screen.

Create a zenon screen

  1. Créez un nouveau synoptique :

    Dans la barre d’outils ou le menu contextuel du nœud Synoptiques, sélectionnez la commande Nouveau synoptique.
    Un synoptique vide Standard est créé.

  2. Modifiez les propriétés du synoptique :
    1. Nommez le synoptique dans la propriété Nom.
    2. Select the desired screen type in the Type de synoptique property.
      Note: 3D project configurations can be configured for each zenon screen type.
    3. Sélectionnez le cadre souhaité dans la propriété Gabarit.
  3. Configure the content of the screen:
    1. to do this, select the WPF element screen element.
    2. Place the WPF screen element on your screen.
      The file selection dialog to select a 3D project configuration is opened.
    3. Select the desired 3D configuration.
      Note: The parameters of the *.CDWPF file are set in the 3D Configurator and transferred to the Editor configuration using the Save configuration button there.
    4. Ensure that the WPF screen element is placed in a corresponding size in the zenon screen.
    5. Place a corresponding screen element in the screen for the display and control of the display in Runtime.
      Example: Numeric value screen element for the entry of camera positions.
  4. Créez une fonction d’appel de synoptique.

Clean up 3D configuration

3D configurations are not deleted automatically in the zenon Editor. The naming of the files corresponds to the respective 3D model that was loaded during project configuration in the 3D Configurator.

Carry out the following steps to delete an existing 3D project configuration:

  1. Close the 3D Configurator.
  2. Switch to the zenon Editor.
  3. Delete the 3D project configuration files in the zenon Editor:
    1. Go to the Files node in the Espace de travail.
    2. Select the Graphics folder.
    3. Delete the .cdwpf file.
      This file represents the configuration file for the zenon WPF screen element.
    4. Switch to the Others folder.
    5. Switch to the ThreeD folder.
    6. Delete the .z3m file.
      This file represents the internal 3D model for display in zenon Runtime.
    7. Delete the .png file.
      This file represents the preview screen for the zenon Editor.
    8. Delete the z3d file.
      This file represents the configuration file of the 3D Configurator. This file is loaded if you click on the Load configuration... button in the 3D Configurator.


Display in Runtime

Manuel -> Tools (Outils) -> 3D Integration -> Display in Runtime

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

The following is applicable for display in Runtime:

  • The ViewCube is automatically visualized in Runtime for 3D display.
  • With linkings, in the mouse-over view, the display of the mouse pointer switches to the display of an arrow to display a cross.
  • Free navigation in the 3D model:
    The display can be moved, rotated, enlarged or reduced.
  • Execution of functions in the 3D model:
    A configured function can be executed by clicking on an object or an assembly group.
    Example: Opening a linked online help or calling up an information window.
  • Calling up the 3D model in a defined perspective:
    The 3D model with views of a configured position can be visualized by setting a value of a "camera variable".
  • Visualization of a limit value breach:
    When a limit value is breached, an object or an assembly group can be shown in color or flashing in the 3D model.
  • Objects or assembly groups can be switched to visible or invisible.

Linked objects assume the same properties for display in Runtime as the linked variables:

  • Configurations of the Valeurs limite variable property group
    In particular the configurations of the Attributs supplémentaires property group:
    • Couleur de limite
    • Invisible
    • Clignotement
    • Freq. Clignot. [10ième de sec.]
      Note: You can find this property in the project properties,
    • Visibilité
    • Function Changer de palette


Diagnosis Viewer

Manuel -> Tools (Outils) -> Diagnosis Viewer

Tous les modules de zenon, tels qu'Editor, le Runtime, les drivers, etc. ainsi que zenon Analyzer écrivent des messages dans un fichier journal commun. Vous pouvez les lire et les configurer avec le programme Diagnosis Viewer. Il permet de lire des fichiers de LOG existants, de faire du "logging" en ligne, d'enregistrer la vue courante, de paramétrer les clients (Diagnosis Viewer) et le serveur (Diagnosis Server).

tutorial Informations concernant la licence

Composante de la licence standard d’Editor et du Runtime.

Démarrez l’outil Diagnosis Viewer

L’outil Diagnosis Viewer est installé dans le dossier %Program Files (x86)%\Common Files\COPA-DATA\STARTUP. Pour l'appeler :

  • Windows 8 : Saisissez Diagnosis Viewer sur le Bureau dans le volet Applications.
  • Windows 7 : Start/All Programs/zenon/Version Independent Tools -> Diagnosis Viewer.

L’outil Diagnosis Viewer est uniquement disponible en anglais.

Utilisation d'IPv6

Diagnosis Servercollabore également avec les clients de diagnostic, dont l'adressage est défini sous forme d'adresses IPv6. Pour cela, le format du fichier journal a été adapté. Diagnosis Viewer lit uniquement le nouveau format des fichiers journaux. Si des fichiers journaux provenant de versions antérieures de zenon (ou inversement) sont ouverts, l'adresse IP de Diagnosis Client n'est pas affichée correctement.

Analyse du driver

Le driver de zenon consigne toutes les erreurs dans les fichiers journaux. Les fichiers journaux sont des fichiers texte dotés d'une structure spéciale. Le dossier par défaut des fichiers journaux est le sous-dossier LOG, dans le dossier ProgramData. Par exemple :

%ProgramData%\COPA-DATA\LOG.

Attention : avec les paramètres par défaut, un driver consigne uniquement les informations d'erreur. Avec l'outil Diagnosis Viewer, vous pouvez améliorer le niveau de diagnostic de la plupart des drivers, grâce aux options "Debug" (Débogage) et "Deep Debug" (Débogage approfondi). Dans ce cas, le driver consigne également les autres tâches et événements importants.

L'outil Diagnosis Viewer vous permet également :

  • Suivre les nouvelles entrées en temps réel
  • De personnaliser les paramètres de journalisation
  • De modifier le dossier dans lequel sont enregistrés les fichiers journaux

Remarque :

  1. L'outil Diagnosis Viewer affiche toutes les entrées à l'heure UTC (temps universel coordonné), et pas à l'heure locale.
  2. Par défaut, l'outil Diagnosis Viewer n'affiche pas toutes les colonnes d'un fichier journal. Pour afficher d'autres colonnes, activez la propriété Add all columns with entry (Ajouter toutes les colonnes avec une entrée) dans le menu contextuel de l'en-tête des colonnes.
  3. Si vous utilisez uniquement Error-Logging, la description du problème se trouve dans la colonne Error text. Pour d'autres niveaux de diagnostic, la description est fournie dans la colonne General text.
  4. En cas de problèmes de communication, de nombreux drivers consignent également les numéros d'erreur de journal qui leur sont attribués par l'automate. Ils sont affichés dans Error text, dans Error code ou dans Driver error parameter (1 et 2). Des conseils concernant la signification des codes d'erreur sont disponibles dans la documentation du driver et le fichier journal/la description de l'automate.
  5. À la fin de l'essai, réinitialisez le niveau de diagnostic Debug (Débogage) ou Deep Debug (Débogage approfondi). Pour les options Debug (Débogage) et Deep Debug (Débogage approfondi), de grands volumes de données sont enregistrés sur le disque dur, ce qui peut influencer les performances du système. L'enregistrement de ces données se poursuit même après la fermeture de l'outil Diagnosis Viewer.

attention Attention

Sous Windows CE, les erreurs ne sont pas consignées par défaut, pour préserver les performances du système.

Autres sujets abordés dans ce chapitre

Général

Topologie du système de diagnostic

Procédure

Diagnosis Server

Diagnosis Client

Diagnosis Viewer - Programme d'analyse

Possibilités de filtres

Lecture des fichiers journaux

Structure du fichier journal

Traitement des erreurs et des messages pour le module Diagnosis Viewer


Général

Manuel -> Tools (Outils) -> Diagnosis Viewer -> Général

zenon Diagnosis System enregistre les messages d'erreur de zenon et de zenon Analyzer. Celui-ci comprend trois éléments :

  • Diagnosis Server: local ou défini dans le fichier zenon6.ini zenLogSrv
  • Diagnosis Clients : tous les modules, drivers, services, etc. écrivant des messages
  • Diagnosis Viewer: Programme d'analyse

Versions

À partir de la version zenon 7.00, le système de diagnostic utilise le service zenLogSrv à la place du service zenSysSrv. Ceci signifie :

  • Les systèmes de diagnostic jusqu'à la version 6.51 et à partir de la version 7.00 sont compatibles.
  • Les mécanismes de diagnostic de zenon 6.51 SP0 et de zenon 7.00 SP0 ne sont pas compatibles.
Compatibilité | Diagnosis Server, versions 6.51 SP0 et antérieures | Diagnosis Server, versions 7.00 SP0 et ultérieures
Diagnosis Client, versions 6.51 SP0 et antérieures | compatible | incompatible
Diagnosis Viewer 6.51 SP0 et précédentes | compatible | incompatible
Diagnosis Client, versions 7.00 SP0 et ultérieures | incompatible | compatible
Diagnosis Viewer 7.00 SP0 et ultérieures | incompatible | compatible

Avec Diagnosis Viewer, versions 7.00 SP0 et ultérieures, vous pouvez ouvrir les fichiers JOURNAUX créés dans Diagnosis Server, versions 6.51 SP0 (ou antérieures). Cela ne fonctionne pas dans l'autre sens !

Ports par défaut

  • Versions 7 et ultérieures : 50780 (port du service zenLogSrv)
  • jusqu'à la version 6.51 : 1101 (port du service zenSysSrv)

Si le port ne peut pas être ouvert, le service est arrêté.

attention Attention

Si le port auquel doit se connecter Diagnosis Viewer est fermé, le système tente de démarrer le service Diagnosis Server local. Ceci permet de garantir que la journalisation locale est effectuée si aucun service Diagnosis Server n'est disponible sur le réseau.

Utilisation de la mémoire

Le service zenLogSrv conserve les entrées de fichier journal en mémoire jusqu'à ce qu'elles puissent être écrites dans le fichier journal. Si la consommation de mémoire augmente continuellement en raison de zenLogSrv, cela indique que l'écriture dans le fichier journal est impossible.


Topologie du système de diagnostic

Manuel -> Tools (Outils) -> Diagnosis Viewer -> Topologie du système de diagnostic

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

La topologie du système de diagnostic diffère selon la version utilisée – versions 6.51 SP0 et antérieures et versions 7.00 SP0 et ultérieures.

Topologie avant zenon 7.00 SP0

Le diagramme affiche toutes les connexions possibles gérées par zenSysSrv. Chaque flèche représente une connexion réseau entre les applications. Toutes les applications se connectent au service zenSysSrv via le port 1101, que le client et le serveur se trouvent sur le même ordinateur ou qu'ils communiquent l'un avec l'autre par le biais d'un réseau.

  1. L'Éditeur transmet les entrées de fichier journal, les commandes et les données du module Remote Transport à zenSysSrv. zenSysSrv transmet la configuration des clients de Diagnosis Client (Editor, Runtime, driver, zenon Web Server, zenon Web Client, etc.) et les données de Remote Transport à Editor.
  2. Le service Diagnosis Viewer transmet les commandes de diagnostic, les configurations de diagnostic et les entrées de fichier journal à zenSysSrv. zenSysSrv transmet les données de diagnostic et les informations de configuration de Diagnosis Client au service Diagnosis Viewer.
  3. zenSysSrv transmet les informations de configuration de Diagnosis Client aux services Diagnosis Client Les services Diagnosis Client transmettent les entrées de fichier journal à zenSysSrv.

zenSysSrv réagit de manière adéquate à chaque message reçu :

  • Les entrées de fichier journal sont écrites dans les fichiers journaux.
  • Les commandes Remote Transport (démarrage du Runtime, écriture/lecture de données, etc.) sont exécutées.
  • Les commandes de diagnostic (définition de la configuration du serveur/du client, début de la journalisation en ligne, etc.) sont exécutées.

Topologie à partir de zenon 7.00 SP0

Le diagramme affiche toutes les connexions possibles gérées par zenSysSrv et zenLogSrv (à partir de la version 7.00 SP0). Chaque flèche représente une connexion réseau entre les applications. Toutes les applications se connectent au service zenLogSrv via le port 50780. Toutes les applications se connectent au service zenSysSrv via le port 1101. que le client et le serveur se trouvent sur le même ordinateur ou qu'ils communiquent l'un avec l'autre par le biais d'un réseau.

  1. L'Éditeur transmet les commandes et les données du module Remote Transport à zenSysSrv. zenSysSrv transmet les données du module Remote Transport à l'Éditeur.
  2. L'Éditeur transmet les entrées de fichier journal à zenLogSrv. zenLogSrv transmet les informations de configuration de Diagnosis Client à l'Éditeur.
  3. Le service Diagnosis Viewer transmet les commandes de diagnostic, les configurations de diagnostic et les entrées de fichier journal à zenLogSrv. zenLogSrv transmet les données de diagnostic et les informations de configuration de Diagnosis Client au service Diagnosis Viewer.
  4. zenSysSrv transmet les entrées de fichier journal à zenLogSrv. zenLogSrv transmet les informations de configuration de Diagnosis Client à zenSysSrv.
  5. zenLogSrv transmet les informations de configuration de Diagnosis Client aux services Diagnosis Client. Les services Die Diagnosis Client transmettent les entrées de fichier journal à zenLogSrv.

zenSysSrv réagit aux commandes reçues du module Remote Transport.
zenLogSrv réagit aux commandes de diagnostic et aux entrées de fichier journal reçues

Exemple

Dans un environnement comportant un service Diagnosis Server central, le Runtime est démarré sur un ordinateur. Selon la version du Runtime, les informations de configuration sont lues dans le fichier zenon6.ini. Les versions antérieures à la version 7.00 SP0 lisent l'entrée LOG_CONFIG de la section [SYS_REMOTE], tandis que les versions ultérieures lisent cette entrée dans la section [LOGGING_SYSTEM]. Cette configuration est utilisée pour établir une connexion de diagnostic. (Pour plus de détails, reportez-vous au chapitre Procédure standard). Chaque composant supplémentaire chargé par le Runtime (driver, zenNetSrv, etc.) établit également une connexion de diagnostic.


Procédure

Manuel -> Tools (Outils) -> Diagnosis Viewer -> Procédure

Par défaut, seuls les messages d'erreur (c'est-à-dire les erreurs) sont envoyés par les clients au service Diagnosis Server.

Le service Diagnosis Server enregistre les messages reçus sous forme de fichiers TXT comportant une structure spéciale. Le dossier par défaut des fichiers journaux est le sous-dossier LOG, dans le dossier %ProgramData%. Par exemple : %ProgramData%\COPA-DATA\LOG.
Vous trouverez d'autres informations dans le manuel Installation et mises à jour, au chapitre Structure de fichier.

Remarque : Sous Windows CE, les messages d'erreur ne sont pas générés, afin de préserver les ressources.

Pour transmettre au service Diagnosis Server journalisation des informations autres que des messages d'erreurs (à savoir des infirmations importantes concernant les diagnostics), les paramètres correspondants doivent être définis pour le client.

Vous pouvez également configurer le comportement du serveur.

Configuration

La configuration de la connexion est réalisée dans le fichier zenon6.ini, qui comporte les sections suivantes :

  • Diagnosis Client
  • Diagnosis Server
  • Différentes versions sont disponibles, afin d'éviter que la configuration d'une version n'affecte pas l'autre

La configuration du module Diagnosis Viewer vous permet également de configurer les paramètres de la connexion :

  • Paramétrage du serveur
  • Paramètres de connexion, Connexion au serveur de diagnostic ( Diagnosis Server )
  • Diagnosis Client
  • Diagnosis Viewer Programme d'analyse

Nous vous recommandons de configurer la connexion pour le serveur et le client par le biais du fichier zenon6.ini.

Procédure

Diagnosis Server est :

  • Un service exécuté sur l'ordinateur.
    Le service démarre automatiquement au démarrage du système d'exploitation. Le service local ne peut être démarré qu'une fois.
  • Une application sous CE.
    Sous CE, un seul procédé peut utiliser le port. Les autres procédés démarrés s'arrêtent automatiquement, car le port ne peut pas être ouvert. Si la configuration locale du service Diagnosis Servers est définie sous CE, de telle manière que seule l'interface utilisateur est affichée (INIT=2), plusieurs processus peuvent apparaître au niveau de Diagnosis Client et tenter de démarrer le service local Diagnosis Server

Dès qu'un client Diagnosis Client est actif, les étapes suivantes sont effectuées :

  1. Diagnosis Client lit et utilise les informations de configuration du fichier zenon6.ini. Si aucune configuration n'est disponible dans zenon6.ini, la configuration par défaut (Diagnosis Server=localhost:50780) est utilisée.
  2. The Diagnosis Client attempts to establish a connection to the Diagnosis Server:

    Establishing successful (Connexion établie avec succès) :

    1. la connexion de diagnostic a été établie, et les entrées de fichier journal sont transmises.

    Establishing failed (Échec de l'établissement de la connexion) :

    1. L’outil Diagnosis Client tente de démarrer et d'utiliser le service Diagnosis Server local.
      Sur un PC, il tente de démarrer le service.
      Sous CE, il tente de créer le processus.
    2. The Diagnosis Client attempts to establish a connection to the local Diagnosis Server. s'il y parvient, la connexion de diagnostic est établie et les entrées de fichier journal sont envoyées.

    S'il échoue, aucune entrée de fichier journal n'est créée.

Autres sujets abordés dans ce chapitre

Entrées du fichier zenon6.ini

Windows CE


Entrées du fichier zenon6.ini

Manuel -> Tools (Outils) -> Diagnosis Viewer -> Procédure -> Entrées du fichier zenon6.ini

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

zenSysSrv and zenLogSrv are configured in zenon6.ini. La procédure de configuration diffère entre les versions 7.00 et ultérieures, et les versions 6.51 et antérieures. Vous pouvez configurer des clients de diagnostic (Diagnosis Clients) et serveurs de diagnostics (Diagnosis Server) récents ou anciens indépendamment les uns des autres, sur un même ordinateur. Par exemple, les entrées de fichier journal des anciens clients de diagnostics sont reroutées, sans que les entrées de fichier journal des nouveaux clients n'en soient affectées.

Diagnosis Server avant la version 7.00 SP0

Entrée de fichier INI

Description

[SYS_REMOTE]

Section in zenon6.ini.

Contient des paramètres pour zenSysSrv (modules Remote Transport et Diagnosis Server).

LOGDirectory=

Définit le dossier des fichiers journaux.

En l'absence d'entrée, le dossier LOG du dossier %ProgramData% est utilisé par défaut.

Exemple :
LOGDirectory= %ProgramData%\COPA-DATA\zenon760\LOG

CONFIG=

Chaîne de configuration pour les modules Diagnosis Server et zenSysSrv . Remote Transport et le système de diagnostic utilisent la même configuration de serveur jusqu'à la version 6.51 SP0 incluse. La chaîne comprend les éléments suivants : DEVICE=[Équipement];HOST=[Nom d'hôte];PORT=[Port];TIMEOUT=[Délai d'attente]

  • DEVICE: définit le type de communication utilisé.
    Les types TCP/IP et série sont disponibles.
  • HOST: défini sur le nom de l'ordinateur du module Diagnosis Server.
  • PORT: indique le port utilisé.
  • TIMEOUT: fournit le délai d'expiration de la connexion, en secondes.
  • BAUD: indique la vitesse d'une connexion série.

Configuration du PC :

  • DEVICE=TCP/IP
  • HOST=localhost
  • PORT=1101
  • TIMEOUT=10

Configuration de CE :

  • DEVICE=COM1
  • BAUD=115200

LOGMinFreeDiskSpace=

Définit la quantité minimale de mémoire (en Mo) devant être disponible sur le disque dur. Les fichiers journaux (LOG) sont supprimés avant que cette valeur ne soit dépassée.

Par défaut : 1024

LOGMaxUsedDiskSpace=

Définit la quantité maximale de mémoire, en Mo, utilisée par les fichiers journaux sur le disque dur. Les fichiers journaux (LOG) sont supprimés si cette valeur est dépassée.

Par défaut : 1024

LOGMinUsedDiskSpace=

Définit la quantité de mémoire (en Mo) utilisée sur le disque dur, même en l'absence de fichiers journaux.

Par défaut : 5

LOGLogLifeTime=

Définit le cycle de vie des fichiers journaux, en secondes. Les fichiers journaux les plus anciens sont supprimés.

Par défaut : 1209600 (correspond à 14 jours)

LOGImageCnt=

Définit le nombre d'entrées de fichiers journaux ; au-delà de ce nombre, des fichiers journaux incrémentiels sont créés.

  • 0 : - Inactif (par défaut)

LOGLogUpdateTime=

Délai en millisecondes au terme duquel les entrées de fichiers journaux reçues sont écrites dans un fichier journal.

Par défaut : 2000

LOGMaxBufferedRecs=

Définit le nombre d'entrées de fichiers journaux conservées dans le buffer si elles ne peuvent pas être écrites dans les fichiers journaux.

Par défaut : 10240

LOGMaxLogFileSize=

Taille maximum d'un fichier journal, en octets. Si un fichier journal atteint cette taille, il est fermé et un nouveau fichier journal est créé.

Par défaut : 5242880 (correspond à 5 Mo)

LOGCheckDiskTime=

Définit l'intervalle en secondes durant lequel la mémoire occupée par les fichiers journaux est contrôlée.

Par défaut : 60

INIT=

Action lors du démarrage de l'application dans Windows CE :

  • 0 : terminer immédiatement
  • 1 (ou toute autre valeur supérieure à 2) : ouvrir le port d'écoute et minimiser dans la barre des tâches.
  • 2 : afficher uniquement la surface.

Par défaut : 1

Remarque : dans le cadre de la séparation de zenSysSrv et zenLogSrv dans zenon 7.00, cette valeur par défaut a également été modifiée pour d'autres versions. La valeur par défaut était auparavant 2.

Diagnosis Server à partir de la version 7.00 SP0

Entrée de fichier INI

Description

[LOGGING_SYSTEM]

Section in zenon6.ini.

Contient les paramètres du module Diagnosis Server. Affecte uniquement zenLogSrv et n'a aucune incidence sur zenSysSrv.

LOGDirectory=

Définit le dossier des fichiers journaux.

En l'absence d'entrée, les paramètres suivants sont utilisés comme valeur standard :

  • Le chemin extrait de la base de registres,
    par exemple : %ProgramData%\COPA-DATA\LOG
  • Le dossier LOG du dossier %ProgramData% du module zenLogSrv, si aucun chemin n'est défini dans la base de registres,
    par exemple %ProgramData%\COPA-DATA\zenon760\LOG

CONFIG=

Chaîne de configuration de Diagnosis Server. La chaîne comprend les éléments suivants : DEVICE=TCP/IP;HOST=[Nom d'hôte];PORT=[Port];TIMEOUT=[Délai d'attente]

  • DEVICE: définit le type de communication utilisé ; doit toujours être configurés sur TCP/IP
  • HOST: défini sur le nom de l'ordinateur du module Diagnosis Server.
  • PORT: indique le port utilisé.
  • TIMEOUT: fournit le délai d'expiration de la connexion, en secondes.

Configuration :

  • DEVICE=TCP/IP
  • HOST=localhost
  • PORT=50780
  • TIMEOUT=10

LOGMinFreeDiskSpace=

Définit la quantité minimale de mémoire (en Mo) devant être disponible sur le disque dur. Les fichiers journaux (LOG) sont supprimés avant que cette valeur ne soit dépassée.

Par défaut : 1024

LOGMaxUsedDiskSpace=

Définit la quantité maximale de mémoire, en Mo, utilisée par les fichiers journaux sur le disque dur. Les fichiers journaux (LOG) sont supprimés si cette valeur est dépassée.

Par défaut : 1024

LOGMinUsedDiskSpace=

Définit la quantité de mémoire (en Mo) utilisée sur le disque dur, même en l'absence de fichiers journaux.

Par défaut : 5

LOGLogLifeTime=

Définit le cycle de vie des fichiers journaux, en secondes. Les fichiers journaux les plus anciens sont supprimés.

Par défaut : 1209600 (correspond à 14 jours)

LOGImageCnt=

Définit le nombre d'entrées de fichiers journaux ; au-delà de ce nombre, des fichiers journaux incrémentiels sont créés.

Par défaut : 0

LOGLogUpdateTime=

Délai en millisecondes au terme duquel les entrées de fichiers journaux reçues sont écrites dans un fichier journal.

Par défaut : 2000

LOGMaxBufferedRecs=

Définit le nombre d'entrées de fichiers journaux conservées dans le buffer si elles ne peuvent pas être écrites dans les fichiers journaux.

Par défaut : 10240

LOGMaxLogFileSize=

Taille maximum d'un fichier journal, en octets. Si un fichier journal atteint cette taille, il est fermé et un nouveau fichier journal est créé.

Par défaut : 5242880 (correspond à 5 Mo)

LOGCheckDiskTime=

Définit l'intervalle en secondes durant lequel la mémoire occupée par les fichiers journaux est contrôlée.

Par défaut : 60

INIT=

Action lors du démarrage de l'application dans Windows CE :

  • 0 : terminer immédiatement
  • 1 (ou toute autre valeur supérieure à 2) : ouvrir le port d'écoute et minimiser dans la barre des tâches.
  • 2 : afficher uniquement la surface.

Par défaut : 1

Diagnosis Client avant la version 7.00 SP0

Entrée de fichier INI

Description

[SYS_REMOTE]

Section in zenon6.ini.

Contient les paramètres du module Diagnosis Client.

LOG_CONFIG=

Une chaîne de configuration du module Diagnosis Client est conservée ici. La chaîne comprend les éléments suivants : DEVICE=TCP/IP;HOST=[Nom d'hôte];PORT=[Port];TIMEOUT=[Délai d'attente]

  • DEVICE: définit le type de communication utilisé ; doit toujours être configurés sur TCP/IP
  • HOST: défini sur le nom de l'ordinateur du module Diagnosis Server.
  • PORT: indique le port utilisé.
  • TIMEOUT: fournit le délai d'expiration de la connexion, en secondes.

Configuration :

  • DEVICE=TCP/IP
  • HOST=localhost
  • PORT=1101
  • TIMEOUT=10

Diagnosis Client à partir de la version 7.00 SP0

Entrée de fichier INI

Description

[LOGGING_SYSTEM]

Section in zenon6.ini.

Contient les paramètres du module Diagnosis Client.

LOG_CONFIG=

Une chaîne de configuration du module Diagnosis Client est conservée ici. La chaîne comprend les éléments suivants :

DEVICE=TCP/IP;HOST=[Nom d'hôte];PORT=[Port];TIMEOUT=[Délai d'attente]

  • DEVICE: définit le type de communication utilisé ; doit toujours être configurés sur TCP/IP
  • HOST: défini sur le nom de l'ordinateur du module Diagnosis Server.
  • PORT: indique le port utilisé.
  • TIMEOUT: fournit le délai d'expiration de la connexion, en secondes.

Configuration :

  • DEVICE=TCP/IP
  • HOST=localhost
  • PORT=50780
  • TIMEOUT=10

Remarque :

INI sous CE

Sous Windows CE, nous vous recommandons instamment de ne pas définir l'entrée INIT= (dans la section [LOGGING_SYSTEM] ou [SYS_REMOTE]) sur la valeur 2.

Raison : la valeur 2 signifie que SysSrvCE et LogSrvCEaffichent uniquement l'interface utilisateur, et n'ouvrent pas le port d'écoute.
Dans ce cas, si un service Diagnosis Client tente d'établir une connexion, il échouera. Dans ce cas, puisque le service Diagnosis Client démarre le procédé LogSrvCE et le procédé n'ouvre pas le port, chaque service Diagnosis Client démarre un procédé. Par conséquent, plusieurs procédés LogSrvCE s'exécutent en parallèle et le démarrage du service Diagnosis Clients est retardé, car celui-ci attend l'expiration du délai d'attente de la connexion pour établir la connexion de diagnostic.

Utilisation de zenLogSrv sur un système comportant différentes versions

Si zenLogSrv est utilisé en tant que serveur de diagnostic (Diagnosis Server) local central sur un système comportant différentes versions, l'entrée LOG_CONFIG dans [SYS_REMOTE] doit être configurée comme ceci :
DEVICE=TCP/IP;HOST=localhost;PORT=5780;TIMEOUT=10

Raison : les anciens clients utilisent alors zenLogSrv en tant que serveur de diagnostics (Diagnosis Server). Les nouveaux clients font cela automatiquement. Ce service est automatiquement activé sur le PC au démarrage du système ; il doit être démarré manuellement sous CE.

Attention : si le port ne peut pas être atteint, les anciens clients démarrent zenSysSrv et réessaient de s'y connecter.


Windows CE

Manuel -> Tools (Outils) -> Diagnosis Viewer -> Procédure -> Windows CE

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Sous Windows CE, Diagnosis Server est démarré en tant qu'application.

Lors de la configuration de la connexion, tenez compte de la recommandation suivante concernant le paramètre INIT :

Sous Windows CE, nous vous recommandons instamment de ne pas définir l'entrée INIT= (dans la section [LOGGING_SYSTEM] ou [SYS_REMOTE]) sur la valeur 2.

Raison : la valeur 2 signifie que SysSrvCE et LogSrvCEaffichent uniquement l'interface utilisateur, et n'ouvrent pas le port d'écoute.
Dans ce cas, si un service Diagnosis Client tente d'établir une connexion, il échouera. Dans ce cas, puisque le service Diagnosis Client démarre le procédé LogSrvCE et le procédé n'ouvre pas le port, chaque service Diagnosis Client démarre un procédé. Par conséquent, plusieurs procédés LogSrvCE s'exécutent en parallèle et le démarrage du service Diagnosis Clients est retardé, car celui-ci attend l'expiration du délai d'attente de la connexion pour établir la connexion de diagnostic.

Interface utilisateur sous CE

Transport Service (zenSysSrv)

Paramètre

Description

Start

Ouvre le port d'écoute et permet à zenSysSrv de recevoir des commandes du module Remote Transport.

Browse

Ouvre la boîte de dialogue de navigation du système de fichiers.

Stop

Désactive la réception des commandes du module Remote Transport et ferme le port d'écoute.

Configuration

Sélection d'une configuration de recette existante dans une liste déroulante. Les nouvelles connexions ne peuvent pas être configurées. Reportez-vous à la section Entrées du fichier zenon6.ini pour configurer la connexion.
Les fonctions suivantes sont disponibles :

  • Configuration du zenon6.ini
  • Configuration standard pour TCP/IP
  • Configuration standard pour COM1 et COM4

Hide

Réduit l'interface utilisateur dans la barre des tâches.

Exit

Ferme l'application et le port d'écoute, si nécessaire.

X
(bouton en haut à droite)

Réduit l'interface utilisateur dans la barre des tâches.

Service de journalisation (zenLogSrv)

Paramètre

Description

Start

Ouvre le port d'écoute et permet à zenLogSrv de recevoir des entrées du fichier journal.

Stop

Désactive la réception des entrées de journal et ferme le port d'écoute.

Configuration

Sélection d'une configuration existante dans une liste déroulante. Les nouvelles connexions ne peuvent pas être configurées. Reportez-vous à la section Entrées du fichier zenon6.ini pour configurer la connexion.
Les fonctions suivantes sont disponibles :

  • Configuration à partir du fichier zenon6.ini
  • Configuration standard pour TCP/IP

Hide

Réduit l'interface utilisateur dans la barre des tâches.

Exit

Ferme l'application et le port d'écoute, si nécessaire.

X
(bouton en haut à droite)

Réduit l'interface utilisateur dans la barre des tâches.


Diagnosis Server

Manuel -> Tools (Outils) -> Diagnosis Viewer -> Diagnosis Server

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

L'outil Diagnosis Server :

  • Crée et gère les fichiers log.
  • Le serveur est :
    • Déployé sous le nom zenLogSrv à partir de zenon 7.00
    • Intégré à zenSysSrv jusqu'à la version zenon 6.51
  • La configuration du serveur est lue à partir du fichier zenon6.ini.
  • Le serveur écrit les données reçues dans le fichier journal.
  • L'emplacement des fichiers enregistrés doit être configuré. Standard : %ProgramData%\COPA-DATA\LOG\
  • Les fichiers journaux sont nommés comme suit : LOG<AAMMJJhhmmss>.txt.
  • Le serveur est multi-client. Plusieurs évaluations peuvent se connecter simultanément au serveur.
  • Il est possible de se connecter au serveur en ligne pour voir les messages couramment enregistrés.
  • Il est possible de se connecter aux serveurs de diagnostics (Diagnosis Server) autres que le serveur local et d'exécuter les mêmes tâches (configuration du serveur, configuration des clients, journalisation en ligne) que sur le serveur local.
  • Les paramètres du serveur courant (avec lequel le Diagnosis Viewer est connecté) peuvent être modifiés. Si un autre serveur de diagnostic (Diagnosis Server) doit être modifié, la connexion serveur peut être changée avec le menu File - Connect to... (Fichier – Connexion à...). .
  • L’entrée de menu Settings - Server configuration (Paramètres – Configuration du serveur) est disponible seulement si la fonction de journalisation en ligne n’est pas utilisée.

Autres sujets abordés dans ce chapitre

Contrôle de l'intégrité du système

Paramétrage du serveur


Contrôle de l'intégrité du système

Manuel -> Tools (Outils) -> Diagnosis Viewer -> Diagnosis Server -> Contrôle de l'intégrité du système

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Au démarrage du Runtime, un fil de surveillance doté d'une priorité élevée est également démarré. Le fil de surveillance contrôle les paramètres critiques toutes les dix secondes et inscrit les avertissements ou erreurs correspondants dans le module de supervision du service Diagnosis Server.

Les paramètres suivants sont contrôlés.

Paramètre | Valeur limite
Warning threshold for used handles (Seuil d'avertissement des descripteurs utilisés) | > 5000
Error threshold for used handles (Seuil d'erreur des descripteurs utilisés) | > 9000
Warning threshold for used GDI objects (Seuil d'avertissement des objets GDI utilisés) | > 5000
Error threshold for used GDI objects (Seuil d'erreur des objets GDI utilisés) | > 9000
Warning threshold for CPU use for the main thread (Seuil d'avertissement d'utilisation du processeur pour le fil principal) | > 70 %
Error threshold for CPU use for the main thread (Seuil d'erreur d'utilisation du processeur pour le fil principal) | > 90 %
Warning threshold for total CPU use (Seuil d'avertissement d'utilisation totale du processeur) | > 70 %
Warning threshold for total CPU use (Seuil d'avertissement d'utilisation totale du processeur) | > 90 %
Warning threshold for free main memory (Seuil d'avertissement de mémoire principale libre) | < 30 %
Error threshold for free main memory (Seuil d'erreur de mémoire principale libre) | < 10 %
Warning threshold for OnTimer in the main frame (Seuil d'avertissement du paramètre OnTimer dans l'ordinateur central) | > 1000 ms
Error threshold for OnTimer in the main frame (Seuil d'erreur du paramètre OnTimer dans l'ordinateur central) | > 5000 ms


Paramétrage du serveur

Manuel -> Tools (Outils) -> Diagnosis Viewer -> Diagnosis Server -> Paramétrage du serveur

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Le service Diagnosis Server peut être configuré par le biais des entrées du fichier zenon6.ini, ou de la boîte de dialogue Server configuration (Configuration du serveur) dans Diagnosis Client. Nous recommandons d'effectuer la configuration par le biais du fichier zenon6.ini.

Configuration via le fichier zenon6.ini

Reportez-vous à la section Entrées du fichier zenon6.ini.

Configuration via la boîte de dialogue

Pour configurer Diagnosis Server par le biais de la boîte de dialogue :

  1. Démarrez l’outil Diagnosis Viewer
  2. Ouvrez l'entrée File Connect to... (Fichier – Connexion à...).
  3. Configurez le serveur souhaité
    (Veillez à sélectionner le port adéquat, selon la version utilisée !)
  4. Sélectionnez l'option Settings -> Server configuration (Paramètres - Configuration du serveur).
  5. Configurez les événements à consigner dans le fichier journal
  6. Fermez la boîte de dialogue en cliquant sur OK.

Remarque : toutes les modifications sont écrites dans le fichier zenon6.ini lors de la confirmation de la boîte de dialogue.

Configuration des événements devant être consignés par Diagnosis Viewer dans le fichier journal :

Paramètre | Description
Modules | Sélection des modules que vous souhaitez configurer.
Messagelevel | Sélection des événements devant être consignés dans le fichier journal. Par défaut : Erreurs
LOGImageCnt | Nombre d'enregistrements après lesquels tous les champs incrémentiels seront écrits. Par défaut : 0 (inactive)
LOGMinFreeDiskSpace | On vérifie continuellement si l'espace disque libre disponible est inférieur au minimum configuré. Les fichiers journaux les plus anciens sont détruits. Espace disque libre minimum en Mo avant que les fichiers de traces ne soient détruits. Par défaut : 1024 Mo
LOGMaxUsedDiskSpace | Espace disque maximum occupé par les fichiers de traces en Mo. Par défaut : 1024 Mo
LOGMinUsedDiskSpace | Espace disque minimum utilisé en Mo, indépendamment du fait que LOGMinFreeDiskSpace ne soit pas dépassé. Par défaut : 5 Mo
LOGLogUpdateTime | Délai en ms après lequel les entrées reçues sont enregistrées. Par défaut : 2000 ms
LOGMaxBufferedRecs | Le serveur stocke (buffer) le contenu de tous les champs de fichiers journaux incrémentiels pour les diverses applications, de façon à être capable de faire une image de ceux-ci dans le fichier journal. Avec le démarrage d'un fichier journal et après un nombre paramétrable d'entrées dans le fichier journal, une image complète de toutes les adresses est écrite dans le fichier journal. Les données reçues sont écrites dans les fichiers journaux. L'entrée est faite via un 'buffer' (zone mémoire) temporaire. Vous pouvez configurer l'écriture immédiate ou décalée des données. Nombre d'entrées mémorisées si l'écriture est impossible. Par défaut : 10240
LOGMaxLogFileSize | Le serveur écrit les données reçues dans le fichier journal. Si le fichier journal atteint la taille configurée, un nouveau fichier est créé pour les nouveaux enregistrements. Taille maximale d'un fichier journal en octets. Par défaut : 5 Mo
LOGDirectory | Dossier dans lequel sont enregistrés les fichiers journaux. Par défaut : %ProgramData%\COPA-DATA\LOG\
LOGLogLifeTime | On vérifie continuellement si la durée de vie des fichiers journaux est dépassée. Les fichiers journaux les plus anciens sont détruits. Nombre de secondes pendant lesquelles les fichiers journaux seront conservés. Par défaut : 14 jours
LOGCheckDiskTime | Temps en secondes, durant lequel on teste l'espace disque utilisé. Par défaut : 60 s
Message level for all modules | Les paramètres sont repris pour tous les modules.
Default values | Rétablit les paramètres par défaut.
Accept | Accepter les paramètres pour ce module.
Cancel | Annule toutes les modifications et ferme la boîte de dialogue.
OK | Appliquer toutes les modifications et ferme la boîte de dialogue.


Diagnosis Client

Manuel -> Tools (Outils) -> Diagnosis Viewer -> Diagnosis Client

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Each program that creates log entries is a Diagnosis Client. Les entrées de fichier journal sont envoyées au service Diagnosis Server, via TCP/IP. L'ordinateur et le numéro de port du serveur sont lus (selon la version utilisée) dans le fichier zenon6.ini local, et le contact est établi. En cas de défaillance de la connexion, la procédure suivante est effectuée cycliquement :

  • Si le service Diagnosis Server ne peut pas être contacté, une tentative de reconnexion est effectuée toutes les 500 ms.
  • Si aucune connexion n'a pu être établie après la moitié du délai d'attente, le système tente de démarrer le service zenSysSrv ou zenLogSrv.

Les paramètres sont configurés par le biais de l'entrée LOG_CONFIG=, dans la section [SYS_REMOTE] (jusqu'à la version 6.51) ou la section [LOGGING_SYSTEM] (à partir de la version 7.00).

Configuration de Diagnosis Client

Pour configurer Diagnosis Client par le biais de la boîte de dialogue :

  1. Ouvrez Diagnosis Viewer.
  2. Sélectionnez Settings -> Client configuration (Paramètres - Configuration du client)
    (uniquement disponible si la fonction de journalisation est inactive)
  3. Sélectionnez un client
  4. Cliquez sur List of parameters.
  5. La boîte de dialogue de configuration s'affiche à l'écran.
  6. Configurez le client
  7. Fermez la boîte de dialogue en cliquant sur OK.
  8. Répétez la procédure pour les autres clients, si nécessaire

Liste de clients

Paramètre | Description
Clients | Affiche la liste de tous les clients disponibles.
Refresh | Actualise la liste de clients.
List of parameters | Ouvre la boîte de dialogue de configuration du client sélectionné.
Close | Ferme la boîte de dialogue.

Configure Client (Configurer le client)

Modules that can be selected:

Module

Description

Modules

Sélection des modules que vous souhaitez configurer.

La liste est composée de modules standard et de modules dépendants du client concerné.

  • General: Messages généraux
  • Net: Messages de réseau
  • Proxy: Messages du proxy de zenon
  • Db: Messages du ZenDbSrv
  • SysSrv: Messages du ZenSysSrv
  • Driver: Messages d'un driver
  • LOG: Messages de traces
  • SAT: <Messages spécifiques à CD_SIEMENS_PRODUCTNAME>

Messagelevel

Définit le type d'informations devant être consignées.

All

Sélectionne tous les éléments.

None

Désélectionne tous les éléments.

Message Level for all Modules

Attribue les niveaux de message sélectionnés à tous les modules.

Max Buffered records

Nombre d'enregistrements à stocker si aucune connexion au Diagnosis Server n'est établie.
Par défaut : 256

OK

Applique toutes les modifications et ferme la boîte de dialogue.

Cancel

Annule toutes les modifications et ferme la boîte de dialogue.

Accept

Applique toutes les modifications. La boîte de dialogue reste ouverte.

Default values

Rétablit les valeurs par défaut.


Diagnosis Viewer - Programme d'analyse

Manuel -> Tools (Outils) -> Diagnosis Viewer -> Diagnosis Viewer - Programme d'analyse

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

L'outil Diagnosis Viewer permet d'afficher les données des fichiers journaux. Il se connecte au service Diagnosis Server pour afficher les données en ligne, ou lire les fichiers journaux historiques. Les fichiers journaux contiennent non seulement les données de journalisation, mais également d'autres informations importantes pour l'analyse, telles que les en-têtes de colonnes.

Pour afficher un fichier journal :

  1. Sélectionnez File -> Open.
  2. La boîte de dialogue de sélection de fichier journal s'affiche ; le dossier configuré par défaut est sélectionné
  3. Sélectionnez le fichier de votre choix.
  4. Le fichier journal est affiché

  5. Double-cliquez sur une entrée pour afficher la vue détaillée.

Identifier un dépassement de capacité de la file d'attente au niveau du driver

Si les messages d'un driver sont supprimés en raison d'un dépassement de capacité de la vile d'attente, Diagnosis Client et le service Diagnosis Server définissent un marqueur lors de l'écriture d'une nouvelle entrée pour tous les modules activés, indiquant que les entrées antérieures ont été supprimées de la file d'attente. Les reconnaissances de dépassement de capacité mentionnées dans les fichiers journaux ouverts sont comptées :

Paramètre | Description
Colonne Record version (Version de l'enregistrement) | Cette colonne doit former partie de la sélection de colonnes. Elle indique le numéro de version de l'enregistrement de données. La version 8x signale les dépassements de capacité.
Compteur 82 | 8 indique le dépassement de capacité, 2 désigne la version concernée de l'enregistrement de données.
Ligne d'état : queue overflows (dépassements de capacité de la file d'attente) | Si la barre d'état est active, le nombre de dépassements de capacité est affiché ici.

Remarque : toutes les entrées consignées dans le fichier journal ne sont pas affichées. Si un enregistrement de données de fichier journal est signalé avec un marqueur de dépassement de capacité, il sera affiché au niveau du prochain enregistrement de données visualisé de ce client. Si plusieurs entrées non affichées consécutives sont signalées avec un marqueur de dépassement, la valeur affichée par le compteur de la barre d'état peut être différente du nombre d'enregistrements de données signalés par des marqueurs de dépassement de capacité.

Autres sujets abordés dans ce chapitre

Paramétrage global


Paramétrage global

Manuel -> Tools (Outils) -> Diagnosis Viewer -> Diagnosis Viewer - Programme d'analyse -> Paramétrage global

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Les entrées sont en anglais.

Paramètre

Description

File

Commandes du menu Fichier.

Open

Ouvre la boîte de dialogue de sélection d'un fichier journal enregistré au format TXT. Chaque nouveau fichier ouvert est affiché dans sa propre fenêtre.

Open to active document

Chaque nouveau fichier journal est ajouté à la fenêtre active.

Close

Ferme la fenêtre active.

Save

Enregistre les fichiers journaux de la fenêtre active.

Save as

Enregistre la vue courante de la fenêtre active (e.g paramétrage des filtres) dans un fichier à sélectionner.

Remote Download

Seulement disponible si une connexion au Diagnosis Server distant existe. Permet le téléchargement des fichiers journaux à partir du serveur distant vers le répertoire de fichiers journaux local. Un sous-répertoire avec le nom du PC est créé. Seulement les fichiers, qui ont changés ou qui sont nouveaux, sont disponibles.

Connect to

Ouvre la boite de dialogue de sélection de la connexion.

Online

Active la vue des erreurs en ligne
Si la fonction de journalisation en ligne est démarrée, toutes les entrées entrantes sont affichées. Une boite de dialogue de filtre identique à celle montrée pour lire les fichiers peut être renseignée ici.

Différence : Si aucune connexion de fichier journal n'est sélectionnée, toutes les entrées de fichiers journaux entrantes sont affichées, sinon on affiche uniquement celles de la connexion sélectionnée.

Si le filtre de la connexion de fichier journal est modifié, toutes les entrées qui ne remplissent pas les critères de filtre seront perdues. (Le fichier journal est tout de même créé, et toutes les entrées sont enregistrées.) Les entrées affichées peuvent être sauvegardées.

Offline

Désactive la vue des erreurs en ligne (Par défaut)

Exit

Ferme l'outil Diagnosis Viewer.

Autres sujets abordés dans ce chapitre

Paramètres de connexion, Connexion au serveur de diagnostic

Paramètres des colonnes

Profils


Paramètres de connexion, Connexion au serveur de diagnostic

Manuel -> Tools (Outils) -> Diagnosis Viewer -> Diagnosis Viewer - Programme d'analyse -> Paramétrage global -> Paramètres de connexion, Connexion au serveur de diagnostic

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

L'outil Diagnosis Viewer se connecte automatiquement au serveur standard sélectionné au démarrage. Si aucun serveur standard n'est défini, localhost est utilisé en tant que serveur standard.
Recommandation : Set up the server configuration using the entries in zenon6.ini.

Sélection du service Diagnosis Server

Cliquez sur File -> Connect to... pour ouvrir la boîte de dialogue de sélection de cadre.

Paramètre

Description

List Server (Liste de serveurs)

Dresse la liste de tous les serveurs configurés et les affiche :

  • État :
    Con: connected server
    Def: Default Server. This is shown on opening.
  • Nom
  • Port
  • Délai d’attente

OK

Applique les paramètres et ferme la boîte de dialogue.

Cancel

Abandonne les paramètres et ferme la boîte de dialogue.

New Server

Ouvre la boîte de dialogue de configuration d'un nouveau serveur.

Delete Server

L'entrée correspondant au serveur sélectionné est supprimée de la liste.

Edit Server

Ouvre la boîte de dialogue de configuration du serveur sélectionné.

Connect to

Établit une connexion au serveur sélectionné.

As default

Le serveur sélectionné devient le serveur standard.

Création et modification du service Diagnosis Server

Click on New Server or Edit Server in dialog Diagnosis Server connection to open the dialog for configuring the Server:

Paramètre

Description

Server name

Nom du PC auquel se connecter.
Each computer can only be entered as a server once.

Le procédé suivant doit être en cours d'exécution sur l'ordinateur :

  • Jusqu'à la version 6.51 : zenSysSrv
  • A partir de la version 7.00 zenLogSrv

Port

Port du service sur l'ordinateur cible :

  • Jusqu'à la version 6.51 : 1101
  • À partir de la version 7.00 : 50780

Timeout

Délai d'attente, en secondes, de la réponse du service Sysservice.

Par défaut : 10 s

OK

Applique les paramètres et ferme la boîte de dialogue.

Cancel

Abandonne les paramètres et ferme la boîte de dialogue.


Paramètres des colonnes

Manuel -> Tools (Outils) -> Diagnosis Viewer -> Diagnosis Viewer - Programme d'analyse -> Paramétrage global -> Paramètres des colonnes

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

You can select the columns that are to be displayed in the menu under Settings -> Column settings. The selection is only applicable for the time period in which the file is opened. La configuration des colonnes peut être enregistrée sous forme de profils.

Paramètre | Description
available | Colonnes disponibles
selected | Colonnes affichées
> | Ajoute les colonnes sélectionnées dans la section Available (Disponibles) la section Selected (Sélectionnées)
>> | Ajoute toutes les colonnes de la section Available (Disponibles) à la section Selected (Sélectionnées)
< | Supprime les colonnes sélectionnées de la section Selected (Sélectionnées)
<< | Supprime toutes les colonnes sélectionnées de la section Selected (Sélectionnées)
^ | Trie les entrées sélectionnées au niveau supérieur (sélection multiple autorisée)
v | Trie les entrées sélectionnées au niveau inférieur (sélection multiple autorisée)
OK | Applique les paramètres et ferme la boîte de dialogue.
Annuler | Abandonne les paramètres et ferme la boîte de dialogue.

Les colonnes peuvent également être configurées par le biais du menu contextuel :

Paramètre | Description
Add all columns with entry | Ajoute toutes les colonnes contenant des entrées.
Remove Column | Masque la colonne sélectionnée.
Remove all empty columns | Masque toutes les colonnes ne contenant pas des entrées.
Column width automatic | La largeur de la colonne sélectionnée est ajustée automatiquement en fonction de l'entrée la plus longue.
All columns widths automatic | La largeur de toutes les colonnes est ajustée automatiquement en fonction de l'entrée la plus longue.


Profils

Manuel -> Tools (Outils) -> Diagnosis Viewer -> Diagnosis Viewer - Programme d'analyse -> Paramétrage global -> Profils

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

La configuration des colonnes peut être enregistrée sous forme de profils.

Pour enregistrer les profils :

  1. Saisissez un nom dans le champ situé dans la barre d'outils
  2. Cliquez sur le symbole comportant une flèche.

Pour charger des profils :

  1. Sélectionnez la liste souhaitée dans la liste déroulante.
  2. Cliquez sur le symbole comportant une flèche.

Les profils sont enregistrés dans des fichiers comportant l'extension *.lvs.


Possibilités de filtres

Manuel -> Tools (Outils) -> Diagnosis Viewer -> Possibilités de filtres

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Pour définir des filtres, ouvrez la boîte de dialogue de filtre correspondante en cliquant sur le symbole ou l'onglet du filtre approprié.

Filtre de la barre de symboles

Pour utiliser la barre de symboles, vous devez l'activer dans le menu View (Vue), par le biais de l'option Icon bar (Barre d'icônes).

Symbole | Info-bulles | Description
1 | Change pre-filter settings | Ouvre une boîte de dialogue comportant cinq onglets permettant de configurer des filtres.
2 | Change pre-filter for IP-ProcessID-LogID | Ouvre l'onglet IP address - ProcessNo - Log ID(Adresse IP - No. procédé - ID de fichier journal).
3 | Change pre-filter for modules | Ouvre l'onglet Modules.
4 | Change pre-filter for additional columns | Ouvre l'onglet Modules (Colonnes supplémentaires).
5 | Change pre-filter for time interval | Ouvre l'onglet Modules (Intervalle de temps).
6 | Change pre-filter for coloring | Ouvre l'onglet Colors (Couleurs).

Avec dialogue de filtre

Onglets | Description
IP-ProcessID-LogID | Ouvre l'onglet Adresse IP - No. de procédé - ID de fichier journal permettant de configurer la connexion devant être consignée dans le fichier journal.
Modules | Ouvre l'onglet Modules permettant de définir les modules devant être consignés dans le fichier journal.
Additional columns | Ouvre l'onglet Colonnes supplémentaires permettant de sélectionner les colonnes supplémentaires à afficher.
Time interval | Ouvre l'onglet Time interval (Intervalle de temps) permettant de définir le filtre de temps.
Colors | Ouvre l'onglet Couleurs permettant de définir le code de couleurs d'affichage des informations.

Autres sujets abordés dans ce chapitre

IP address - Process No - Log ID (Adresse IP - No. de procédé - ID de fichier journal)

Modules

Colonnes supplémentaires

Intervalle de temps

Couleurs


IP address - Process No - Log ID (Adresse IP - No. de procédé - ID de fichier journal)

Manuel -> Tools (Outils) -> Diagnosis Viewer -> Possibilités de filtres -> IP address - Process No - Log ID (Adresse IP - No. de procédé - ID de fichier journal)

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Configuration des connexions et procédés à afficher.

Paramètre | Description
available | Liste de connexions disponibles.
selected | Liste de connexions sélectionnées.
Pfeiltasten | Ajoute les connexions sélectionnées (>) ou toutes les connexions (>>) à la liste Sélectionné, ou les supprime de la liste (< ou <<).
OK | Applique toutes les modifications effectuées sur tous les onglets, puis ferme la boîte de dialogue.
Abbrechen | Applique toutes les modifications effectuées sur tous les onglets, puis ferme la boîte de dialogue.


Modules

Manuel -> Tools (Outils) -> Diagnosis Viewer -> Possibilités de filtres -> Modules

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Sélection des modules devant être affichés.

Paramètre | Description
Module filter active | Active : des filtres sont actifs au niveau des modules. Lorsque cette option est activée, seuls les enregistrements de données attribués à un module sélectionné sont affichés.
available | Modules disponibles.
selected | Modules sélectionnés.
Touches fléchées du clavier | Ajoute les connexions sélectionnées (>) ou toutes les connexions (>>) à la liste Sélectionné, ou les supprime de la liste (< ou <<).
OK | Applique toutes les modifications effectuées sur tous les onglets, puis ferme la boîte de dialogue.
Annuler | Applique toutes les modifications effectuées sur tous les onglets, puis ferme la boîte de dialogue.


Colonnes supplémentaires

Manuel -> Tools (Outils) -> Diagnosis Viewer -> Possibilités de filtres -> Colonnes supplémentaires

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Sélection des colonnes supplémentaires devant être affichées.

Paramètre | Description
available | Liste de colonnes disponibles. Toutes les définitions de champs existantes dans le fichier sont affichées.
selected | Liste de colonnes sélectionnées.
Touches fléchées du clavier | Ajoute les connexions sélectionnées (>) ou toutes les connexions (>>) à la liste Sélectionné, ou les supprime de la liste (< ou <<).
OK | Applique toutes les modifications effectuées sur tous les onglets, puis ferme la boîte de dialogue.
Annuler | Applique toutes les modifications effectuées sur tous les onglets, puis ferme la boîte de dialogue.


Intervalle de temps

Manuel -> Tools (Outils) -> Diagnosis Viewer -> Possibilités de filtres -> Intervalle de temps

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Configuration du filtre de temps pour l'affichage des entrées.

Paramètre | Description
Start time: | Sélection de la date et de l'heure à partir desquelles les entrées doivent être affichées. Par défaut : date actuelle
End time: | Sélection de la date et de l'heure jusqu'auxquelles les entrées doivent être affichées. Par défaut : date actuelle
Reset time interval | Rétablit les valeurs par défaut du filtre.
OK | Applique toutes les modifications effectuées sur tous les onglets, puis ferme la boîte de dialogue.
Annuler | Applique toutes les modifications effectuées sur tous les onglets, puis ferme la boîte de dialogue.


Couleurs

Manuel -> Tools (Outils) -> Diagnosis Viewer -> Possibilités de filtres -> Couleurs

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Sélection du code de couleurs des informations.

Paramètre | Description
Colors for: | Sélection de la couleur
IP address | Active : les différentes adresses IP sont colorées différemment.
Modules | Active : Les différents modules sont colorés différemment.
Log connection | Active : les différents noms de la connexion de journalisation sont colorés différemment.
no colors | Active : les entrées ne sont pas colorées.
OK | Applique toutes les modifications effectuées sur tous les onglets, puis ferme la boîte de dialogue.
Annuler | Applique toutes les modifications effectuées sur tous les onglets, puis ferme la boîte de dialogue.


Lecture des fichiers journaux

Manuel -> Tools (Outils) -> Diagnosis Viewer -> Lecture des fichiers journaux

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Un ou plusieurs fichiers journaux peuvent être ouverts afin d'être analysés en même temps. Un pré-filtre doit être mis en place pour limiter l'affichage. Ceci est possible à l'aide de cinq pages de propriétés. Le filtre peut être modifié ultérieurement. Si le filtre est défini, seules les entrées remplissant les critères du filtre sont affichées. Ces entrées sont listées de façon chronologique.

Colonnes de filtre

Une autre possibilité de filtre est disponible avec les colonnes de filtre. Des critères de filtre peuvent être définis pour chaque colonne dans le champ de saisi situé sous l'en-tête de colonne. Les champs supportent les expressions génériques (Regular Expressions), ce qui permet donc aussi de définir des critères de filtre complexes. Il est possible de trier la liste (en ordre croissant ou décroissant) en cliquant sur l'en-tête de colonne. Les entrées affichées peuvent être sauvegardées. Les champs à afficher peuvent être sélectionnés à l'aide de l'entrée de menu Settings -> Column settings (Paramètres -> Paramètres des colonnes).

Champs standard du fichier journal :

ID | Paramètre | Description
i | IP address | Adresse IP Ces champs identifient les clients et permet une attribution correcte du message.
i | Log ID | Identifiant d'entrée Ces champs identifient les clients et permet une attribution correcte du message.
i | Message Level | Nom du niveau de message dans lequel le message a été saisi.
i | Module | Nom du module qui a entré le message.
i | Process ID | Identifiant du projet. Ces champs identifient les clients et permet une attribution correcte du message.
i | Record type | Type d'entrée.
i | Record version | Numéro de version de l'entrée.
i | Thread ID | ID du "thread" dans lequel le message a été entré.
i | Timestamp | Horodatage du message en UTC.

Champs optionnels avec des ID fixes.

ID | Constant | Description
1 | Name of log connection | Nom de la connexion de journalisation
2 | Thread name | Nom des threads.
3 | Name of source files | Nom du fichier source.
4 | Source line | Ligne source
5 | Assert condition | Condition d'affirmation
6 | Computer name | Nom de l'ordinateur
7 | Function name | Nom fonction
8 | Project name | Nom du projet
9 | Project GUID | GUID du projet.
10 | Project path | Chemin du projet
11 | Sent Data | Donnée envoyée
12 | Received data | Donnée reçue
13 | no. serial interface | Numéro de l'interface série
14 | Baudrate | Débit de données
15 | dtr setting | Paramétre DTR.
16 | rts setting | Paramètre RTS.
17 | Serial char. length | Longueur d'un caractère en liaison série
18 | Parity | Parity
19 | No. stopbits | Nombre de bits de stop
20 | CTS | CTS.
21 | dsr | DSR.
22 | dsr sensitivity | Sensibilité DSR.
23 | Network port no. | Numéro de port sur le réseau.
24 | Server name | Nom du serveur.
25 | Standby name | Nom du serveur redondant.
26 | Client name | Nom du client.
27 | Server IP | Adresse IP du serveur.
28 | Standby IP | Adresse IP du serveur redondant.
29 | Client IP | Adresse IP du client.
30 | Binary buffer | Buffer binaire.
31 | Pointer | Instrument à aiguille
32 | Class name | Nom de classe
33 | Error code | Code d'erreur :
34 | DLL instance handle | Handle de l'instance de DLL
35 | DLL name | Nom de la DLL
36 | Driver error parameter 1 | Paramètre d'erreur driver 1
37 | Driver error parameter 2 | Paramètre d'erreur driver 2
38 | Trace Message | Message de trace
39 | Errortext | Texte d'erreur
40 | Error file name | Nom du fichier d'erreur.
41 | Success condition | Condition de réussite
42 | Value if successful | Valeur lors de la réussite
43 | Net adress | Adresse réseau :
44 | Datablock | Bloc de données.
45 | Offset | Offset
46 | Bit number | Numéro de bit
47 | Area in PLC | Secteur dans l'automate.
48 | Communication direction | Montre la direction de la communication dans une chaîne de caractères.
49 | General text | Texte général
50 | Main version no. | Numéro de la version principale.
51 | Sub version no. | Numéro de la sous-version.
52 | Build no. | Numéro de build.
53 | Servicepack | Service pack
54 | Hotfix no. | Numéro de hotfix
55 | Sending client | Client qui envoie la commande
56 | Target client for command | Client cible de la commande.
57 | Database no. | Numéro de la base de données.
58 | Datapoint no. | Numéro de la variable (numéro de voie)
59 | Datapoint value | Valeur de la variable
60 | Datapoint status | État de la variable
61 | Datapoint timestamp | Horodatage de la variable en secondes
62 | Duration in ms | Délai d'attente d'erreur en millisecondes.
63 | Number, counter | Nombre, compteur.


Structure du fichier journal

Manuel -> Tools (Outils) -> Diagnosis Viewer -> Structure du fichier journal

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Les fichiers log sont des fichiers texte ANSI. The individual fields are separated using tab characters. CR+LF is used as an end character. This data can be opened in Notepad as a result.

Log file get the information sequentially, not sorted chronologically.

Autres sujets abordés dans ce chapitre

Niveaux de message

Fonction de recherche


Niveaux de message

Manuel -> Tools (Outils) -> Diagnosis Viewer -> Structure du fichier journal -> Niveaux de message

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Eight groups can be selected to divide the log messages. Ils sont codés sur des bits et peuvent donc être combinés.

1 | Message d'erreur
2 | Avertissements
4 | Message de succès.
8 | TRACE
16 | AFFIRMATION
32 | ID; message
64 | Debug
128 | Debug étendu


Fonction de recherche

Manuel -> Tools (Outils) -> Diagnosis Viewer -> Structure du fichier journal -> Fonction de recherche

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Avec la commande View/Find (Afficher / Rechercher), vous pouvez effectuer des recherches dans la fenêtre active. Toutes les occurrences sont signalées.


Traitement des erreurs et des messages pour le module Diagnosis Viewer

Manuel -> Tools (Outils) -> Diagnosis Viewer -> Traitement des erreurs et des messages pour le module Diagnosis Viewer

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Erreur

Erreur

Causes possibles

Le port ne peut pas être ouvert.
  • Une autre application utilise actuellement le port.
    Contrôler le port à l'aide de la commande netstat.
  • The ports for entries
    [SYS_REMOTE] CONFIG and
    [LOGGING_SYSTEM] CONFIG
    are identical. zenLogSrv Et zenSysSrv tentent alors d'ouvrir le même port.

Diagnosis Clients do not start the zenLogSrv
  • zenAdminSrv was ended. Sans lui, le service ne peut pas démarrer.
  • zenLogSrv n'est pas enregistré en tant que service sur le PC. Dans ce cas, saisissez les informations suivantes dans la ligne de commande : zenLogSrv.exe –Service
  • Diagnosis Clientne correspondent pas à la version 7.00 SP0 ou ultérieure. Le service zenLogSrv est uniquement pris en charge à partir de cette version.
  • Sous Windows CE : les composants individuels (Runtime, SysSrvCE, LogSrvCE) sont situés dans des dossiers différents. Ils doivent se trouver dans le même dossier. Dans le cas contraire, les composants ne peuvent pas se localiser.

Sous CE, de nombreux procédés sont créés par SysSrvCE.exe ou LogSrvCE.exe.
  • Une des deux entrées du fichier zenon6.ini
    [SYS_REMOTE] INIT ou
    [LOGGING_SYSTEM] INIT
    comporte la valeur 2.
    Par conséquent, l'application affiche uniquement l'interface utilisateur et n'ouvre pas le port d'écoute. Chaque Diagnosis Client tente alors de démarrer le procédé, car il ne parvient pas à se connecter à Diagnosis Server.

Si plusieurs procédés sont exécutés simultanément, ils se ferment.

(Le message "Unhandled Exceptions of the Diagnosis Server" (Exceptions non gérées de Diagnosis Server) apparaît à la réception de messages de fichiers journaux ou de commandes de configuration des services Diagnosis Client et Diagnosis Viewer au démarrage, ou la à réception de la configuration)
  • Les versions ne correspondent pas. Diagnosis ClientLes services Diagnosis Client, Diagnosis Server et Diagnosis Viewer doivent tous correspondre aux versions 7.00 SP0 ou ultérieures ou 6.51 SP0 ou antérieures (reportez-vous à la section Compatibilité).

Entrées de fichier journal

Entrée

Description

SysSrv received not supported network message!

zenSysSrv a reçu un télégramme de réseau non pris en charge. Exemple : entrées de fichier journal.

LogSrv received not supported network message!

zenLogSrv a reçu un télégramme de réseau non pris en charge. Exemple : Commandes Remote Transport

Could not open listening port. Server will be stopped.

Le service zenLogSrv ou zenSysSrv n'a pas pu ouvrir le port d'écoute correspondant. Le message d'erreur est consigné comme suit :

  • zenLogSrv et zenSysSrv sur PC :
    Entrée dans la section d'affichage des événements de Windows.
  • zenSysSrv Sous CE :
    Affichage d'un message pour l'utilisateur et ajout d'une entrée de fichier journal dans Diagnosis Server.
  • zenLogSrv Sous CE :
    Affichage d'un message pour l'utilisateur.

Les entrées de fichier journal suivantes sont attribuées à différents systèmes. La première partie du message indique si le service ou le client sont affectés :

  • SysSrv: zenSysSrv
  • SysCli: Client pour zenSysSrv
  • LogSrv: zenLogSrv
  • LogCli: Diagnosis Client
Entrée | Description
[SysSrv/LogSrv/SysCli/LogCli] Info InitString [String] | Une connexion réseau a été initialisée avec la chaîne de configuration affichée. Le serveur ouvre des ports et les clients se connectent au serveur.
[SysSrv/LogSrv/SysCli/LogCli] WINSOCK ERROR | Une exception s'est produite durant une opération sur le réseau. Les détails sont également affichés.
[SysSrv/LogSrv] Accept Failed! | Une connexion entrante provenant d'un client n'a pas pu être acceptée.
[SysSrv/LogSrv/SysCli/ LogCli] Write Faild | Les données qui devaient être transmises n'ont pas toutes pu être transmises. Le nombre d'octets envoyés et le nombre d'octets devant être envoyés sont affichés.
[SysSrv/LogSrv] Client [String] in List Delete! | Le client s'est déconnecté du serveur.
[SysSrv/LogSrv] Client [String] in List Insert | Le client s'est connecté au serveur.


Mise à jour en ligne de l'aide de zenon :

Manuel -> Tools (Outils) -> Mise à jour en ligne de l'aide de zenon :

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

L'outil Documentation Download Tool gère la mise à jour de l'aide en ligne (aide embarquée, aide des boîtes de dialogue, infos-bulles et documentation des produits au format PDF) dans zenon et zenon Logic.

La mise à jour est effectuée en ligne. Une connexion Internet est requise à cette fin.

Contenu de la mise à jour de la documentation :

Documentation Download Tool effectue la mise à jour des éléments suivants :

  • Documentation de produit de zenon et de zenon Logic
  • Documentation des drivers
  • Guides
  • Glossaire

Formats de fichier de la mise à jour de la documentation :

Documentation Download Tool effectue la mise à jour des éléments suivants :

  • Aide en ligne de zenon et de zenon Logic (.chm)
  • Documentation de produit de zenon (.pdf)

Remarque : L'outil est disponible en anglais uniquement.

tutorial Informations concernant la licence

Composante de la licence standard d’Editor et du Runtime.

Autres sujets abordés dans ce chapitre

Installation

Démarrage du programme

Navigation

Proxy Settings

Sélection de la version

Boîte de dialogue Language (Langue)

Aperçu des mises à jour disponibles

Boîte de dialogue Status (État)


Installation

Manuel -> Tools (Outils) -> Mise à jour en ligne de l'aide de zenon : -> Installation

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

L'outil Documentation Download Tool est installé automatiquement en même temps que zenon.


Démarrage du programme

Manuel -> Tools (Outils) -> Mise à jour en ligne de l'aide de zenon : -> Démarrage du programme

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Pour démarrer le programme Documentation-Download-Tool :

  1. Accédez au dossier : %PROGRAMFILES(X86)%\Common Files\COPA-DATA\STARTUP.
  2. Démarrez le programme DokumentationDownloadTool.exe en double-cliquant dessus.

    La boîte de dialogue de démarrage du programme s'affiche à l'écran.


Navigation

Manuel -> Tools (Outils) -> Mise à jour en ligne de l'aide de zenon : -> Navigation

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Il est possible de parcourir les différentes boîtes de dialogue à l'aide de la barre de navigation affichée dans la partie inférieure de la boîte de dialogue :

Bouton | Description
Exit | Ferme l'outil Documentation Download Tool.
Back | Recule d'une boîte de dialogue dans le processus de l'outil.
Next | Avance d'une boîte de dialogue dans le processus de l'outil.
Proxy Settings | Ouvre/ferme la liste de configuration des paramètres du serveur proxy. Active uniquement dans la boîte de dialogue de démarrage.


Proxy Settings

Manuel -> Tools (Outils) -> Mise à jour en ligne de l'aide de zenon : -> Proxy Settings

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Les paramètres du serveur proxy de votre réseau peuvent uniquement être configurés depuis l'entrée Proxy Settings (Paramètres du proxy).

Pour cela, cliquez sur l'entrée Proxy Settings (Paramètres du proxy) dans la fenêtre de démarrage de l'outil. Cette option est uniquement accessible depuis la boîte de dialogue de démarrage. La propriété n'est pas active dans les boîtes de dialogue suivantes.

Paramètre | Description
Détecter automatiquement les paramètres de proxy pour ce réseau | Les paramètres de serveur proxy de votre système sont utilisés pour les communications avec Internet. (Par défaut : active)
Manual proxy configuration | Permet de configurer les paramètres du serveur proxy.
Proxy : | Adresse du serveur proxy.
Port : | Port du serveur proxy (Par défaut : 8080)
Utilisateur | Nom d'utilisateur sur le serveur proxy (facultatif)
Mot de passe : | Mot de passe sur le serveur proxy (facultatif)

info Informations

L'outil Documentation Download Tool mémorise ces paramètres de configuration du serveur proxy. Si vous modifiez régulièrement votre mot de passe, vous devez également modifier le mot de passe dans les paramètres du serveur proxy de l'outil Documentation Download Tool.

Autres sujets abordés dans ce chapitre

Configuration incorrecte du serveur proxy


Configuration incorrecte du serveur proxy

Manuel -> Tools (Outils) -> Mise à jour en ligne de l'aide de zenon : -> Proxy Settings -> Configuration incorrecte du serveur proxy

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Une boîte de dialogue s'affiche pour présenter les entrées incorrectes.

Confirmez cette boîte de dialogue d'erreur en cliquant sur OK pour revenir automatiquement à la saisie des informations de l'entrée Proxy Settings (Paramètres du serveur proxy).


Sélection de la version

Manuel -> Tools (Outils) -> Mise à jour en ligne de l'aide de zenon : -> Sélection de la version

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Dans cette boîte de dialogue, sélectionnez la version de zenon à mettre à jour.

Paramètre | Description
List of installed versions (Liste des versions installées) | Affiche la liste des versions de zenon installées sur l'ordinateur. Sélectionnez la version à mettre à jour en cliquant simplement dessus. Note : une seule version de COPA-DATA peut être mise à jour à la fois. Les sélections multiples ne sont pas autorisées.
Exit | Ferme l'outil Documentation Download Tool.
Next | Avance d'une boîte de dialogue dans le processus de l'outil.
Proxy Settings | Inactive dans cette boîte de dialogue


Boîte de dialogue Language (Langue)

Manuel -> Tools (Outils) -> Mise à jour en ligne de l'aide de zenon : -> Boîte de dialogue Language (Langue)

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Dans cette boîte de dialogue, vous sélectionnez la langue de zenon que vous souhaitez mettre à jour.

Paramètre

Description

List of available languages (Liste des langues disponibles)

Affiche la liste des langues disponibles pour zenon :

  • Anglais (ENGLISH)
  • Français (FRENCH)
  • Allemand (GERMAN)
  • Italien (ITALIAN)
  • Russe (RUSSIAN)
  • Espagnol (SPANISH)

Sélectionnez la langue à mettre à jour en cliquant dessus.

Note : une seule version de COPA-DATA peut être mise à jour à la fois. Les sélections multiples ne sont pas autorisées.

Exit

Recule d'une boîte de dialogue dans le processus de l'outil.

Back

Recule d'une boîte de dialogue dans le processus de l'outil.

Next

Avance d'une boîte de dialogue dans le processus de l'outil.

Proxy Settings

Inactive dans cette boîte de dialogue

Autres sujets abordés dans ce chapitre

Aucune mise à jour disponible

Contenus dépendants de la langue de l'aide de zenon


Aucune mise à jour disponible

Manuel -> Tools (Outils) -> Mise à jour en ligne de l'aide de zenon : -> Boîte de dialogue Language (Langue) -> Aucune mise à jour disponible

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Si l'ordinateur est en ligne et l'aide hors ligne est à jour, une boîte de dialogue s'affiche :

Cliquez sur le bouton OK pour revenir à la boîte de dialogue Language (Langue).


Contenus dépendants de la langue de l'aide de zenon

Manuel -> Tools (Outils) -> Mise à jour en ligne de l'aide de zenon : -> Boîte de dialogue Language (Langue) -> Contenus dépendants de la langue de l'aide de zenon

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Contenus disponibles dans la langue sélectionnée pour zenon et zenon Logic :

Langue | Aide embarquée | Aide en ligne/hors ligne | Documentation en ligne/hors ligne des drivers
Anglais | Anglais | Anglais | Anglais
Français | Français | Anglais | Anglais
Allemand | Allemand | Allemand | Allemand
Italien | Italien | Italien | Anglais
Russe | Russe | Anglais | Anglais
Espagnol | Espagnol | Anglais | Anglais


Aperçu des mises à jour disponibles

Manuel -> Tools (Outils) -> Mise à jour en ligne de l'aide de zenon : -> Aperçu des mises à jour disponibles

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Lorsque les conditions de mise à jour ont été sélectionnées, une boîte de dialogue contenant les mises à jour disponibles est affichée :

Paramètre | Description
List of available Updates (Liste de mises à jour disponibles) | Affiche la liste des documents disponibles pour la version sélectionnée de zenon. Note : la liste est fournie à titre d'information uniquement. Aucune sélection n'est possible.
Exit | Ferme l'outil Documentation Download Tool.
Back | Recule d'une boîte de dialogue dans le processus de l'outil.
Next | Avance d'une boîte de dialogue dans le processus de l'outil.
Proxy Settings | Inactive dans cette boîte de dialogue


Boîte de dialogue Status (État)

Manuel -> Tools (Outils) -> Mise à jour en ligne de l'aide de zenon : -> Boîte de dialogue Status (État)

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Cette boîte de dialogue affiche la progression du téléchargement du fichier d'aide PDF ou en ligne lors de la mise à jour.

Paramètre

Description

Fileinformation

Informations détaillées concernant le fichier en cours de téléchargement :

  • Provenance du fichier
  • Taille du fichier
  • Emplacement d'enregistrement sur l'ordinateur local.

Current File:

État du fichier actuel, avec vitesse de téléchargement actuelle.

Overall Progress

État de la mise à jour, avec indication du pourcentage et du temps restant.

Exit
  • Annule le téléchargement actuellement en cours.
  • Ferme l'outil Documentation Download Tool.

Pause

Suspend le téléchargement actuel

Resume

Reprend le téléchargement suspendu (en cliquant sur Pause).

Ce bouton est uniquement actif si l'utilisateur a préalablement cliqué sur le bouton Pause.

Cancel

Annule le téléchargement actuel.

Proxy Setting

Inactive dans cette boîte de dialogue

Autres sujets abordés dans ce chapitre

Téléchargement terminé

Annuler


Téléchargement terminé

Manuel -> Tools (Outils) -> Mise à jour en ligne de l'aide de zenon : -> Boîte de dialogue Status (État) -> Téléchargement terminé

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

La boîte de dialogue suivante s'affiche une fois le téléchargement terminé :

Paramètre | Description
Exit | Ferme l'outil Documentation Download Tool.
Resume | Inactive dans cette boîte de dialogue
Restart | Revient à la boîte de dialogue de démarrage de l'outil.
Proxy Settings | Inactive dans cette boîte de dialogue


Annuler

Manuel -> Tools (Outils) -> Mise à jour en ligne de l'aide de zenon : -> Boîte de dialogue Status (État) -> Annuler

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

La boîte de dialogue suivante s'affiche lorsque l'utilisateur clique sur le bouton Cancel (Annuler).

Paramètre | Description
Exit | Ferme l'outil Documentation Download Tool.
Resume | Inactive dans cette boîte de dialogue
Restart | Revient à la boîte de dialogue de démarrage de l'outil.
Proxy Settings | Inactive dans cette boîte de dialogue


Keyblock Runtime Start

Manuel -> Tools (Outils) -> Keyblock Runtime Start

Keyblock Runtime Start is a program with which zenon Runtime runs as a Shell. In doing so, zenon Runtime is started, but all Windows system tasks are blocked. Keyboard shortcuts such as Windows key or Ctrl+Alt+Del no longer have an effect. User can no longer access the operating system but only work on the zenon user interface.

The precondition for this is that the project properties are set Titre runtime to No title (full screen). Then zenon runs in full screen mode and the Runtime cannot be minimized.

Note also the information provided in the Protect Runtime files chapter.

Note: The blocking of the Windows key can be circumvented. You should therefore block the Windows key using the corresponding entry in the Startup Tool

tutorial Informations concernant la licence

Composante de la licence standard d’Editor et du Runtime.

Autres sujets abordés dans ce chapitre

Usage

Protect Runtime files


Usage

Manuel -> Tools (Outils) -> Keyblock Runtime Start -> Usage

To use Keyblock Runtime Start:

  1. In the Windows start folder, under COPA-DATA, open the zenon Tools.
  2. Select Keyblock Runtime Start.
  3. The program is opened and automatically starts Runtime.
  4. The program blocks all access to the operating system:
    • locked shortcuts:

      Ctrl+Alt+Del

      Ctrl+Esc

      Alt+Tab

      Alt+Esc

      Alt+F4

      Windows key (except Windows + L)
      Notes:
      When locking the system keys, the normal operation of the scroll bars with the mouse in the Runtime is also blocked. This block can be circumvented with the context menu.
      If the system is blocked using the keyboard shortcut Windows + L, All Windows keyboard shortcuts are available again when signing in again. To prevent this, in the Startup Tool under Application -> Options -> General, deactivate the Windows key.

    • Hiding the Control Panel in the start menu
    • Locking the toolbar for operation
    • Prevents

      Changing passwords

      Closing Windows

      Logout

      Locking the computer

      User change

    • Hiding all element in the task manager

info Informations

If Keyblock Runtime Start is started using the startup process of the operating system, then note the following:

  • The Autostart folder is user specific:
    If another user logs in, the program is not executed.
  • Execution of the Autostart programs can be prevented by pressing the Shift key when the operating system is booting.

This locking cannot be bypassed during Runtime. When the Runtime is closed normally, the system restrictions are canceled. If the Runtime is to be operable without these limitations, Runtime must be started without the Keyblock Runtime Start.

attention Attention

Take care that you engineer a possibility to close the Runtime in your project. There is no possibility to end the Runtime regularly.

  • It can only be ended by shutting the computer down using the hardware
  • All system keys also remain blocked after restarting

In order to make system keys accessible again after not being shut down properly (in the event of a power cut for example):

  • start the Runtime again with the help of Keyblock Runtime Start
  • end the Runtime regularly via a close button


Protect Runtime files

Manuel -> Tools (Outils) -> Keyblock Runtime Start -> Protect Runtime files

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

The access to the Runtime files can be strongly restricted and therefore well protected. At this only a single Windows user has read and write rights for the Runtime folder. All other Windows user do not have any rights in the Runtime folder including read rights. Operators in the Runtime log on as zenon user.

In order to limit access to the file system:

  1. Only create a single Windows user (for instance: zenon_ADMIN) who is authorized to start zenon as well as to read and write in the zenon Runtime folder.
  2. Disable access to the zenon Runtime folder for all other Windows users – including read authorizations!
  3. Disable any remote access to the user zenon_ADMIN.
  4. Block any software for remote maintenance or remote access such as zenon Remote Desktop.
  5. Make sure that zenon can only be started if this user (zenon_ADMIN) is logged in.
    Since other Windows users do not have read authorization Runtime will only start in the context of this user (zenon_ADMIN).
  6. Make sure that zenon runs as shell:
    1. For this purpose, create a zenon autostart with Keyblock Runtime Start
    2. activate the property Bloquer les touches système in the group Paramètres du Runtime of project properties
    3. start zenon in full-screen mode: Set property Titre runtime to No title
    4. also bear multi-screen systems in mind in the configuration
    5. disable Explorer start
    6. do not offer file selection dialogues
      (in this case no functions may be projected which require the user to select files in Runtime)

Access to the zenon file system is thus restricted.


GIS Integration

Manuel -> Tools (Outils) -> GIS Integration

The GIS Integration package from <CD_PROUDCTNAME> offers an easy and simple possibility to draw objects with a geographic reference and to link these objects to zenon ALC information, variables and functions.

Display in the zenon Runtime visualizes ALC engineering with selectable Map provider.

Included in the GIS integration package:

  • GIS Editor
    Tool for the configuration of a GEO-data-based ALC project configuration.
    The project configuration is implemented by means of the mouse and setting parameters of properties. The geographical relationship is visualized in a real-time view of selectable maps. Project configuration content is placed on a map directly.
  • GIS control
    As a result of the positioning of an ActiveX element for the project configuration in the zenon Editor, the project configurations in the GIS Editor are applied for display in Runtime.

Autres sujets abordés dans ce chapitre

GIS Editor

Engineering in the zenon Editor

Operation in zenon Runtime


GIS Editor

Manuel -> Tools (Outils) -> GIS Integration -> GIS Editor

The GIS Editor is a tool for the configuration of a GEO-data-based ALC configuration.

The result is saved in a file. This file contains information for display in zenon Runtime.

For project configuration, lines, areas and markers are supported.

These can:

  • Be drawn or placed on a map.
    There are different Map providers available for display on a map.
  • Set up in the GIS Editor directly.
    Simple engineering of the elements by clicking on a mouse.
  • Be linked to an existing configuration of the zenon Editor.
    The following can be linked
    • Variables
    • Functions
    • ALC information

tutorial Informations concernant la licence

Composante de la licence standard d’Editor et du Runtime.

Autres sujets abordés dans ce chapitre

Installing and calling up the GIS editor

Areas in the GIS Editor

Map view

Engineering in the GIS editor


Installing and calling up the GIS editor

Manuel -> Tools (Outils) -> GIS Integration -> GIS Editor -> Installing and calling up the GIS editor

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

The GIS Editor is automatically installed as part of the zenon standard installation.

For wizards to be displayed, the settings for VBA or VSTA must be set correctly in file zenon6.ini:

[VBA]

EIN=1

[VSTA]

ON=1

If VSTA wizards are not displayed although the settings are correct, set entry LOADED= to 1 in area [VSTA].

attention Attention

The GIS Editor only accepts backed-up project configurations from the zenon Editor.

Ensure that your current project configuration - especially for opened zenon screens - has been saved.

To start the wizard:

  1. Click on Tools -> Start Editor Wizards....
    Or: Press the short cut Alt+F12

    The selection window with the available wizards opens.

  2. Navigate to node GIS Editor.
  3. Select GIS Editor.

  4. Click on OK.

    The GIS editor is started.


Areas in the GIS Editor

Manuel -> Tools (Outils) -> GIS Integration -> GIS Editor -> Areas in the GIS Editor

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

In general, the following applies:

  • The window size of the tool can be freely scaled.
  • The size of the areas can be amended by moving the splitters.
  • If the GIS editor is open, no configuration in the zenon Editor is possible.

Note: The user interface of is only available in English.

The GIS Editor´s user interface consists of different areas:

Parameter

Description

(1)

Tree view of the GIS configuration

Tree view of the current GIS configuration.

The display is divided into levels and the elements contained therein.

  • [+]
    Expand the tree view.
  • [-]
    Collapse the tree view

(2)

Settings

Configurations of the selected level
Properties for the currently-selected element. The properties depend on the selected element.
Select the element in the tree view of the GIS configuration or click directly on a configured element in the map view.

(3)

Property help

Short description of the property currently selected in the Settings area.

(4)

Configuration content of zenon Editor

Configuration content of the current zenon project.

Note: This area can be shown or hidden by clicking on the ... button for a property with a linking function.
This area is hidden by default.

(5)

Main window

Main window with map view.
Map view of the selected Map provider and configured elements.

Autres sujets abordés dans ce chapitre

Graphic user interface (tool bars/context menus)

CD_GIS

Settings


Graphic user interface (tool bars/context menus)

Manuel -> Tools (Outils) -> GIS Integration -> GIS Editor -> Areas in the GIS Editor -> Graphic user interface (tool bars/context menus)

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Menu bar

Parameter | Description
File | Menu bar for file administration.
Configure GIS controls... | Opens the dialog to link a GIS configuration file to a configured GIS control in the zenon project configuration.

File

The File menu entry contains entries for the administration of an XML file with the saved GIS project configurations.

Parameter

Description

New

Creates a new, empty GIS configuration.

Open...

Opens an existing GIS configuration.

Selection of the file by means of a file selection dialog. Only XML files can be loaded in this selection dialog.

  • If there is already a GIS configuration active in the GIS editor and this contains unsaved changes, this is visualized with a request for confirmation.
  • If the file to be loaded contains an invalid data structure (i.e. not compliant with the project), this is shown in a warning dialog.

Save

Saves the current configuration of the GIS editor.

Default: DefaultGISConfiguration.xml
Default save path: C:\ProgramData\COPA-DATA\SQL2012\e6ba3e09-878b-4383-a6ef-56acac1f7ee7\FILES\zenon\custom\additional

Note: If the project configuration is saved for the first time, the save dialog is opened at first.

Save as...

Backs up the current GIS configuration as a new XML file.

Selection of the save path by means of a save dialog.

Exit

Closes the GIS Editor.
If there are unsaved changes in the current project configuration, this is shown by a warning dialog.

Unsaved changes

Parameter | Description
Yes | Saves current project configuration. Select the save location with the save dialog. Note: Clicking on the Cancel button in the save dialog closes the GIS editor. Unsaved configurations are discarded.
No | Changes to the current project configuration are discarded without saving. The GIS editor is closed.

File not successfully loaded


CD_GIS

Manuel -> Tools (Outils) -> GIS Integration -> GIS Editor -> Areas in the GIS Editor -> CD_GIS

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Tree view of the current GIS configuration.

The display is divided into levels and the elements contained therein.

Context Menu

Parameter | Description
Add Layer | Creates a new layer.
Show/Hide Lines | Showing and hiding lines. Note: This entry is not supported in the current version.


Settings

Manuel -> Tools (Outils) -> GIS Integration -> GIS Editor -> Areas in the GIS Editor -> Settings

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

In the settings area, properties in the context of the selected node in the CD_GIS tree are shown.

Context help is available for each property. This offers a short description of the selected property in the Settings area and is shown in updated form by clicking on an property.

Autres sujets abordés dans ce chapitre

GIS control configuration

Layer

Line

Area

Marker


GIS control configuration

GIS control configuration

In this area, you configure the general settings for the display. This project configuration is applicable for all elements configured in the GIS editor.

Settings

Parameter

Description

Cache mode

Type of updating of the map view for display in zenon Runtime.

Select from drop-down list:

  • CacheOnly
    The map view is only displayed with loaded data.
    Note: only select these settings in order to be able to carry out your project configuration offline.
  • ServerOnly
    The display of the map view is automatically updated via the Internet.
  • ServerAndCache
    The display of the map view is updated online if required.

Default: ServerAndCache

Note: ServerOnly requires an active Internet connection for the display.

Map

Selection of the provider for the display in map view.

Select from drop-down list:

  • GoogleMap
  • GoogleSetelliteMap
  • GoogleTerrainMap
  • BingMap
  • BingSatelitteMap
  • OpenStreetMap
  • ArcGISWorldStreet
  • ArcGISWorldTopo
  • EmptyProvider

Default: BingMap

Map variable

Input field for the name of the zenon variable for the selection of the Map provider.

Clicking on the ... button opens the area to select the zenon variable.

Default: MapProvider

Numerical values for the map provider

The following prescribed assignment is applicable for the selection of the Map provider by means of a variable:

Value | Map provider
1 | GoogleMap
2 | GoogleSatelliteMap
3 | GoogleTerrainMap
4 | BingMap
5 | BingSatelliteMap
6 | OpenStreetMap
7 | EmptyProvider
8 | ArcGISWorldStreet
9 | ArcGISWorldTopo

If an invalid value is selected, no map is displayed on the GIS control.


Layer

Layer

You configure the general settings of a Layer in this area. This engineering is applicable for all elements configured in the GIS editor.

  • If a configuration is changed for the layer, this is applied for all elements of this layer.
  • If a configuration of an element is amended, this is applied for the settings of the layer.

info Informations

Layer correspond to Niveau de visibilité in the zenon Editor.

Settings for layer

Parameter | Description
Areas | Settings (properties) for areas. Clicking on the ... button opens the area properties (Settings) in their own dialog.
Lines | Settings (properties) for lines. Clicking on the ... button opens the line properties (Settings) in their own dialog.
Markers | Settings (properties) for markers. Clicking on the ... button opens the marker properties (Settings) in their own dialog.
Name | Name of the layer. Entry of an element name in the input field. Default: NewLayer

Layer context menu

Parameter | Description
Add Line | Inserts a new line into the current layer. The display of the mouse pointer in the map view switches to a cross-hair. Lines can be drawn by setting the line points by means of clicking.
Add area | Inserts a new area into the current layer. The display of the mouse pointer in the map view switches to a cross-hair. Areas can be drawn by setting the corner points of the area by means of clicking.
Add marker | Inserts a new marker into the current layer. The display of the mouse pointer in the map view switches to a cross-hair. A marker can be positioned by clicking in the map view directly.
Show/hide | Hides or shows the current layer and elements configured for this. Note: This entry is not supported in the current version.
Rename | Renaming of the level. Note: Note: This entry is not supported in the current version. Change the name in the Name property.
Delete | Deletes the level and the elements configured therein. Attention: The deletion of the level and the content configured therein is carried out directly, without requesting confirmation.

Properties dialog for levels

The settings in this dialog correspond to those as set up for the respective GIS element in the Settings area.

attention Attention

Please note that changes to the properties in the dialog also change the parameter settings for the existing GIS element.

It is expressly recommended that the parameters for project configurations for GIS elements are always set up using the element properties. A project configuration with the properties dialog of the level is not recommended.

Warning dialog for level without element

If a level is created and assigned an invalid project configuration, this configuration error is visualized with a warning dialog. The project configuration is not applied and the level is removed.


Line

Line

You configure the settings of a line in this area.

Parameter

Description

Context menu

Linked zenon function

The function linked here is executed in Runtime with a mouse click.

Clicking on the ... button opens the area to select a configured zenon function.

Clicking on the ... button opens an area in the GIS Editor with functions of the current zenon project configuration.

Default: empty

You can find further information on this in the Linking of functions chapter.

Description

Input field for a freely-configurable description of the element. The configured content of this property is visualized as a tool tip in the zenon Runtime display.

Default: empty

Note: This entry is not supported in the current version.

GEO coordinates

Configuration of the line by entering GEO coordinates.

Clicking on ... opens the dialog for the manual entry of GEO coordinates.

Note: A line must consist of at least two GEO coordinates.

Line color

Static color for the display of the GIS element in zenon Runtime.
Clicking on ... opens a drop-down list to select colors.

Note: The configuration of this property is applied by the level settings. A change to the settings is applied in the level settings.

Default: 0; 0; 0 (Black)

Line color from ALC

The color of the GIS element is dynamically applied for the display in Runtime of an existing ALC project configuration in the zenon Editor.

By clicking on ..., in the GIS Editor, the area of the zenon Editor project configuration content with configured ALC elements of the zenon Editor are shown.

You can find further information in the Coloring of GIS elements chapter in zenon Runtime.

Default: empty

Line color from limit

The color of the GIS elements is applied dynamically for display in Runtime from the configuration of the zenon variable.

By clicking on ... in the GIS Editor, the area of the zenon Editor configuration content with variables is shown.

You can find further information in the Coloring of GIS elements chapter in zenon Runtime.

Default: empty

Line type

Type of line.

Select from drop-down list:

  • Solid
    solid line
  • Dash
    dashed line
  • Dot
    dotted line
  • DashDot
    dash-dot line
  • DashDotDot
    dash-dot-dot line
  • Custom

Default: Solid

Note: The Custom line type is not supported and displayed as Solid.

Line width

Line thickness in pixels.

Entry of a numerical value in the input field.
The input is validated. If no valid numerical value is entered, this is shown in a warning dialog.
Default: 3

Name

Name of the line.

Entry of an element name in the input field.

Default: NewLine

Context Menu

Parameter | Description
Delete | Deletes the selected element. Attention: The selected element and its configuration are carried out immediately, without a request for confirmation.


Area

Area

You configure the settings of an area in this area.

An area object is a polygenic area with any desired number of support points. An area must consist of more than two points.

Parameter

Description

Context menu

Linked zenon function

The function linked here is executed in Runtime with a mouse click.

Clicking on the ... button opens the area to select a configured zenon function.

Clicking on the ... button opens an area in the GIS Editor with functions of the current zenon project configuration.

Default: empty

You can find further information on this in the Linking of functions chapter.

Description

Input field for a freely-configurable description of the element. The configured content of this property is visualized as a tool tip in the zenon Runtime display.

Default: empty

Note: This entry is not supported in the current version.

Fill color

Static color for the display of the GIS element in zenon Runtime.
Clicking on ... opens a drop-down list to select colors.

Note: The configuration of this property is applied by the level settings. A change to the settings is applied in the level settings.

Default: 175; 238; 238 (Cyan)

Fill color from ALC

The color of the GIS element is dynamically applied for the display in Runtime of an existing ALC project configuration in the zenon Editor.

By clicking on ..., in the GIS Editor, the area of the zenon Editor project configuration content with configured ALC elements of the zenon Editor are shown.

You can find further information in the Coloring of GIS elements chapter in zenon Runtime.

Default: empty

Fill color from limit

The color of the GIS elements is applied dynamically for display in Runtime from the configuration of the zenon variable.

By clicking on ... in the GIS Editor, the area of the zenon Editor configuration content with variables is shown.

You can find further information in the Coloring of GIS elements chapter in zenon Runtime.

Default: empty

Fill color transparency

Transparency of the Fill color of the GIS element.
Enter the transparency in percent. An input of 100 causes the element to be completely colorless or see-through.

Note: The values of this property are also used for the display of objects in limit value colors. If the transparency for limit values is not used for the element, configure the value 0 here.

Default: 50

GEO coordinates

Configure the area by entering GEO coordinates.

Clicking on ... opens the dialog for the manual entry of GEO coordinates.

Note: An area must consist of at least three GEO coordinates.

Line color

Static color of the outer line of the surface area.

Static color for the display of the GIS element in zenon Runtime.
Clicking on ... opens a drop-down list to select colors.

Default: 0; 0; 0 (Black)

Line color from ALC

Color of the outer line of the area is transferred from a zenon ALC element.

The color of the GIS element is dynamically applied for the display in Runtime of an existing ALC project configuration in the zenon Editor.

By clicking on ..., in the GIS Editor, the area of the zenon Editor project configuration content with configured ALC elements of the zenon Editor are shown.

You can find further information in the Coloring of GIS elements chapter in zenon Runtime.

Default: empty

Line color from limit

Color of the outer line of the area is transferred from a zenon variable.

The color of the GIS elements is applied dynamically for display in Runtime from the configuration of the zenon variable.

By clicking on ... in the GIS Editor, the area of the zenon Editor configuration content with variables is shown.

You can find further information in the Coloring of GIS elements chapter in zenon Runtime.

Default: empty

Line type

Type of outer line of the area.
Selection form a drop-down list:

  • Solid
  • Dash
  • Dot
  • DashDot
  • DashDotDot
  • Custom

Default: Solid

Note: The Custom line type is not supported and displayed as Solid.

Line width

Width of the outer line of the area in pixels.

Default: 1,3

Name

Name of the area.

Entry of an element name in the input field.

Default: NewArea

Context Menu

Parameter | Description
Delete | Deletes the selected element. Attention: The selected element and its configuration are carried out immediately, without a request for confirmation.


Marker

Marker

You configure the settings of a marker in this area.

An area object is a polygenic area with any desired number of support points. An area must consist of more than two points.

Parameter | Description
Context menu | Linked zenon function The function linked here is executed in Runtime with a mouse click. Clicking on the ... button opens the area to select a configured zenon function. Clicking on the ... button opens an area in the GIS Editor with functions of the current zenon project configuration. Default: empty You can find further information on this in the Linking of functions chapter.
Description | Input field for a freely-configurable description of the element. The configured content of this property is visualized as a tool tip in the zenon Runtime display. Default: empty Note: This entry is not supported in the current version.
GEO coordinate | Configure the marker by entering GEO coordinates. Clicking on ... opens the dialog for the manual entry of GEO coordinates. Note: A marker always consists of a GEO coordinate.
Graphics file | Graphics for the display of the marker. Clicking on ... opens the dialog to select the file selection dialog to select a graphics file. If there is no graphics file selected for the marker, graphics prescribed by the GIS editor are used. Default: CD_Marker.png Note: if an invalid file type is selected, this is shown in a warning dialog. In this case, no new file is used for the marker.
Graphics heigt | Height of the graphics in pixels. Entry of a numerical value in the input field. The input is validated. If no valid numerical value is entered, this is shown in a warning dialog. Default: 25
Graphics width | Width of the graphics in pixels. Entry of a numerical value in the input field. The input is validated. If no valid numerical value is entered, this is shown in a warning dialog. Default: 25
Name | Name of the marker. Entry of an element name in the input field. Default: NewMarker

Context Menu

Parameter | Description
Delete | Deletes the selected element. Attention: The selected element and its configuration are carried out immediately, without a request for confirmation.

Symbol for marker

The graphic display of the marker can be designed individually with graphics. Different markers of a GIS configuration can be displayed with different markers.

The file selection dialog is opened by clicking on the ... button in the Graphics file property. The content of the folder ..\ProgramData\COPA-DATA\SQL2012\[PROJECTGUID]\FILES\zenon\custom\graphics is displayed by default. This folder contains the content of the Files => Graphics node of the current project of the zenon Editor.

Select a graphics file to use this for the display of the marker in the GIS editor and in zenon Runtime.

Tipp Conseil

The selection of the graphics file for the marker is not limited to the content of the zenon project folder. You can select a graphics file from any desired folder in the file selection dialog.

After a file is selected, it is applied in the zenon project configuration. In addition to the GIS project configuration, this file is automatically applied in the Files => Graphics node in the current zenon Editor project. The graphics file is copied across accordingly.


Map view

Manuel -> Tools (Outils) -> GIS Integration -> GIS Editor -> Map view

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

The GIS elements are configured at the click of a mouse in the map view.

  • The display depends on the Map provider selected.
  • The context menu entries depend on the selected element.
  • If there is no valid Map provider available, the view is gray.

Navigation in the map view

The view can be orientated and scaled as desired with the mouse.

  • Mouse wheel forwards:
    Zooms into the map view = larger display.
  • Mouse wheel backwards:
    Reduces zoom stage of the map view.
  • Moving the mouse pointer when the right mouse button is held down
    Moves the card view in the direction of the mouse. The display of the mouse pointer switches during this time.
  • Right mouse button held on the element
    Display of the context menu
    Note: The context menu can be hidden by pressing the ESC key.


Engineering in the GIS editor

Manuel -> Tools (Outils) -> GIS Integration -> GIS Editor -> Engineering in the GIS editor

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

The following is applicable for configuration in the GIS editor:

  • The configuration is implemented with the mouse and by setting parameters.
  • Changes to the properties are visualized in real time in the map view of the GIS editor.
  • The geographical relationship is visualized in a real-time view of selectable maps.
  • The configured elements are placed on a map directly.
  • For linkings, the content of the current zenon editor projects are offered for selection.
  • The project configuration is saved in an XML file.
    This file contains the necessary parameters for the GIS control for display in zenon Runtime.

Project configuration steps in the GIS editor

Carry out the following steps in the GIS editor for a new GIS configuration:

  1. Start the GIS editor in the zenon Editor.
  2. Create a new configuration file:
    To do this, select the New entry in the File menu bar.
  3. Configure the GIS element.
    Note: You can find further information on this in the project configuration instructions for the individual elements.
  4. Link the GIS project configuration to zenon screens.
    1. To do this, select the Configure GIS controls... entry in the menu bar.
      The GIS Control configuration configuration dialog is opened.
  5. Save the project configuration:
    To do this, click on the Save or Save as... entry in the File menu bar.

Changing an existing GIS configuration

Carry out the following steps to amend an existing configuration:

  1. Start the GIS editor in the zenon Editor.
  2. Load an existing GIS configuration.
    1. To do this, select the Open... entry in the File menu bar.
      The file selection dialog is opened.
    2. Select an XML file.
      The configuration of the selected file is loaded. The content is visualized in the GIS editor.

Autres sujets abordés dans ce chapitre

Configuration of a level

Configuration of a line

Configuration of a line

Configuration of a line

Linking of functions

Linking of functions

Linking of functions

GIS control configuration dialog

GEO coordinates dialog


Configuration of a level

Manuel -> Tools (Outils) -> GIS Integration -> GIS Editor -> Engineering in the GIS editor -> Configuration of a level

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

To create a new layer:

  1. In the tree view of the GIS configuration, select the Add Layer context menu entry.
    A new level with the name NewLayer is added.
  2. Set the properties for the layer.

To delete an existing layer:

  1. Select the level to be deleted in the tree view of the GIS configuration.
  2. Select the Delete context menu entry.
    The selected level is removed from the node without a request for confirmation.


Configuration of a line

Manuel -> Tools (Outils) -> GIS Integration -> GIS Editor -> Engineering in the GIS editor -> Configuration of a line

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

To create a new line:

  1. In the tree view of the GIS configuration, select the corresponding level at which the line is to be created.
  2. Select Add Line in the context menu entry.
    A new line with the name NewLine is added in the node.
  3. Position line points (supporting points) in the main window of the GIS editor.
  4. End drawing of the element by pressing the Esc key.
  5. Set the properties of the line.

To delete an existing line:

  1. Select the line to be deleted in the tree view of the GIS configuration.
  2. Select the Delete context menu entry.
    The selected line and its configuration are removed from the node without a request for confirmation.

To extend an existing line:

  1. Select the line to be extended in the tree view of the GIS configuration.
    The respective line is selected in the main view.
  2. Select the corresponding context menu entry in the main view:
    • Add point
    • Extend line at end
    • Extend line at begin

Positioning of the line

Lines are positioned in the main window of the GIS Editor by clicking the mouse. New or existing support points are created or moved with a mouse click.

The drawing or editing of the element is ended with the ESC key. The cross-hair is replaced with the normal mouse pointer.

attention Attention

LinesCan only be configured for one layer.
You can find information on creating a layer in the Configuration of a level chapter.

Context menu entries

A context menu with the following entries is shown by right-clicking on a line that has already been configured in the map view:

Parameter | Description
Add Point | Adds a new point to the existing project configurationat the position of the mouse pointer.
Extend line at end | Adds a new point to the existing project configurationat the end of the line.
Extend line at begin | Adds a new point to the existing project configurationat the start of the line.
Delete point | Deletes the selected point or the marker.

Incorrect configuration of a line

A line must consist of at least two points (support points). If a configuration is canceled with the ESC key after only one point has been configured, configuration is canceled and a corresponding warning dialog is shown. The line configuration is discarded and the line created in the layer is deleted.


Configuration of a line

Manuel -> Tools (Outils) -> GIS Integration -> GIS Editor -> Engineering in the GIS editor -> Configuration of a line

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

To create a new area:

  1. In the tree view of the GIS configuration, select the corresponding level at which the area is to be created.
  2. Select Add Area in the context menu entry.
    A new area with the name NewArea is added.
  3. Position corner points of the area in the main window of the GIS editor.
  4. End drawing of the element by pressing the Esc key.
  5. Set the properties for the area.

To extend an existing area:

  1. Select the area to be extended in the tree view of the GIS configuration.
    The selected area is selected in the main view.
  2. Select the Add Point context menu entry in the main view.

To delete an existing area:

  1. Select the area to be deleted in the tree view of the GIS configuration.
  2. Select the Delete context menu entry.
    The area to be deleted and its configuration are removed from the configurations without a request for confirmation.

Positioning of the area

Areas are positioned in the main window of the GIS Editor by clicking the mouse. Points for the areas are moved with a mouse click.

The drawing or editing of the element is ended with the ESC key. The cross-hair is replaced with the normal mouse pointer.

attention Attention

AreasCan only be configured for one layer.
You can find information on creating a layer in the Configuration of a level chapter.

Context menu entries

A context menu with the following entry is shown by right-clicking on an area in the map view that has already been configured:

Parameter | Description
Add Point | Adds a new point to the existing project configurationat the position of the mouse pointer.

Incorrect configuration of a line

An area must consist of at least three points (support points). If a configuration is canceled with the ESC key after only one or two support points have been configured, configuration is canceled and a corresponding warning dialog is shown. The area configuration is discarded and the area created in the layer is deleted.


Configuration of a line

Manuel -> Tools (Outils) -> GIS Integration -> GIS Editor -> Engineering in the GIS editor -> Configuration of a line

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

To create a new area:

  1. Select the corresponding layer on which the marker ist to be created in the tree view of the GIS configuration.
  2. Select Add Marker in the context menu entry.
    A new area with the name NewArea is added.
  3. Position the marker in the main window of the GIS editor with a mouse click.
  4. Set the properties for the marker.

To delete an existing area:

  1. Select the area to be deleted in the tree view of the GIS configuration.
  2. Select the Delete Element context menu entry.
    The area to be deleted and its configuration are removed from the configurations without a request for confirmation.

Positioning of the marker

A marker is positioned in the main window of the GIS Editor by clicking the mouse. The marker can be moved by holding down the mouse button. The marker is highlighted with a black border whilst being edited in the main window.

attention Attention

MarkerCan only be configured for one layer.
You can find information on creating a layer in the Configuration of a level chapter.

Context menu entries

A context menu with the following entry is shown by right-clicking on a marker that has already been configured in the map view:

Parameter | Description
Delete point | Deletes the selected point or the marker.


Linking of functions

Manuel -> Tools (Outils) -> GIS Integration -> GIS Editor -> Engineering in the GIS editor -> Linking of functions

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

The area of the zenon Editor project configuration content is divided into two windows:

  • Function
    List of all functions configured in the current zenon Editor project.
    The list entry corresponds to the Nom property in the zenon Editor.
    Hinweis: The list can be filtered. Click on the funnel symbol to select a filter criterion.
  • Linked function(s)
    List of the function(s) linked to the GIS Editor property
    Functions can be applied or removed from the list of linked functions by slowly double-clicking on the Function list.
    The column width can be moved by holding down the mouse button. The list can be filtered by clicking on the filter bar and entering corresponding parameters.
    • Display name of the function in Runtime
      This name can be changed in the name field by clicking in the name field.
    • Function
      Name of the function configured in zenon.
      This name cannot be changed.

Engineering in the GIS editor

Carry out the following steps in order to be able to execute a zenon function in Runtime via a context menu:

  • In the map view, select the GIS element that you want to link to a configured zenon function.
  • In the Context menu property of the GIS element, click the ... Button.
    The area with the configuration content of the zenon Editor is shown.
  • Select the desired zenon function in the function list.
  • Apply the selected function by double clicking in the list of linked functions.


Linking of functions

Manuel -> Tools (Outils) -> GIS Integration -> GIS Editor -> Engineering in the GIS editor -> Linking of functions

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

The area of the zenon Editor configuration content for variables lists variables that are configured in the zenon Editor.

  • The list entry corresponds to the Nom property in zenon Editor.
  • The list can be filtered.
    Click on the funnel symbol to select a filter criterion.
  • The selected variable is linked to the property by double clicking on a variable name in the list.

Engineering in the GIS editor

Carry out the following steps to link a zenon variable to the GIS configuration:

  • In the map view, select the GIS element that you want to link to a configured zenon variable.
  • In the Fill color from limit property of the GIS element, click the ... Button.
    The area with the configuration content of the zenon Editor is shown.
  • Select the desired zenon variable from the list.
  • Apply the selected variable by double clicking in the GIS configuration.


Linking of functions

Manuel -> Tools (Outils) -> GIS Integration -> GIS Editor -> Engineering in the GIS editor -> Linking of functions

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

The zenon Editor configuration content area for ALC element lists variables configured in the zenon Editor:

  • The list can be filtered.
    Click on the funnel symbol to select a filter criterion.
  • The selected variable is linked to the property by double clicking on a variable name in the list.
  • The list entries comprise:

    [zenon screen name].[zenon Nom d'élément of the ALC line]

Engineering in the GIS editor

Carry out the following steps to link a zenon variable to the GIS configuration:

  • In the map view, select the GIS element that you want to link to a configured zenon variable.
  • In the Line color from ALC property of the GIS element, click the ... Button.
    The area with the configuration content of the zenon Editor is shown.
  • Select the desired zenon ALC element from the list.
  • Apply the selected variable by double clicking in the GIS configuration.


GIS control configuration dialog

Manuel -> Tools (Outils) -> GIS Integration -> GIS Editor -> Engineering in the GIS editor -> GIS control configuration dialog

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

In this dialog, you configure the linking of a file to the GIS project configuration content with an ActiveX GIS control in the zenon Editor.

Parameter | Description
Screen name | Name of the screen of the zenon Editor project configuration. This corresponds to the Nom property in zenon Editor. zenon screens with a configured GIS control are shown in this dialog.
Control name | Name of the configured GIS ActiveX controls in zenon Editor. This corresponds to the Nom d'élément property in zenon Editor.
Select file... | Opens dialog to select a GIS configuration file (default: GisConfigLoadFile.xml).
Clear | Discards all configured settings. The dialog remains open.
Close | Applique les paramètres et ferme la boîte de dialogue.
info Informations
The number of available entries and their naming depends on the project configuration in the current zenon project.

Error treatment

If the file selected with Select file... cannot be loaded, this is shown by a warning dialog.

Possible solutions:

  • If the selected file is blocked by a running service, end the task responsible for the blocking with the Task Manager.
  • If the file is blocked by an external application, close the external application.
  • If the selected file contains an invalid XML structure, select a file with a valid structure.


GEO coordinates dialog

Manuel -> Tools (Outils) -> GIS Integration -> GIS Editor -> Engineering in the GIS editor -> GEO coordinates dialog

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

In this dialog, you configure GEO coordinates by manually entering coordinates for the geographical length and width.

Parameter

Description

Members

List of the configured GEO coordinates:

  • New coordinates:
    Click on the Add button.
  • Delete coordinate(s):
    Select and click on the Remove button.
    Note: Multiple selection is possible.

Misc

Properties of the GEO coordinates selected for Members:

  • Lat:
    GEO coordinates of the geographical width of the support point.
  • Lng:
    GEO coordinates of the geographical length of the support point.

Add

Adds new GEO coordinates to the Members list.

Remove

Removes the selected GEO coordinate from the Members list.

Tipp Conseil

It is recommended that the GEO coordinates of the support points are placed in the main view of the graphical user interface with the mouse.


Engineering in the zenon Editor

Manuel -> Tools (Outils) -> GIS Integration -> Engineering in the zenon Editor

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

The configuration in the zenon Editor serves as the basis for the configurations in the GIS-Editor. Ensure that all configurations in zenon - especially the content of screens opened in the Editor - have been saved. Unsaved content is not offered in the GIS editor for linking.

Tipp Conseil

Well-structured naming of elements in the zenon Editor simplifies the assignment for linking in the GIS editor.

Note:
The configuration of a zenon screen with a GIS control must be carried out before starting the GIS editor.

info Informations

The connection between a zenon configuration and a GIS configuration is implemented by means of links. This means that, in the event of a change to the zenon Editor configuration, the GIS configuration does not need to be newly created, amended or linked.

Autres sujets abordés dans ce chapitre

zenon screen and GIS control

Functions and Colors

Variables, Limits and Reaction matrices

GIS control - Engineering in the zenon Editor


zenon screen and GIS control

Manuel -> Tools (Outils) -> GIS Integration -> Engineering in the zenon Editor -> zenon screen and GIS control

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Carry out the following steps for the display in Runtime in the zenon Editor:

  1. Créez un nouveau synoptique :

    Dans la barre d’outils ou le menu contextuel du nœud Synoptiques, sélectionnez la commande Nouveau synoptique.
    Un synoptique vide Standard est créé.

  2. Modifiez les propriétés du synoptique :
    1. Nommez le synoptique dans la propriété Nom.
  3. Create a new screen:

    In the toolbar or the context menu of the Screensnode, select the New screen command.
    An empty Standard screen is created.

  4. Change the properties of the screen:
    1. Name the screen in the Nom property.
    2. Select the desired screen type in the Type de synoptique property.
      Note: The GIS control can be configured for each screen type.
    3. Sélectionnez le cadre souhaité dans la propriété Gabarit.
  5. Configure the content of the screen:
    1. Place the ActiveX screen element in the screen.
      The element input dialog is opened.
    2. In this dialog, select the GisControlGISControl entry from the list of the ActiveX elements.
    3. Confirm the selection by clicking on the OK button.
    4. The screen element is shown on the screen with a preview screen:
      Note: the symbolic display always visualizes the country settings configured on the operating system. The actual zoom level configured in the GIS editor and the map view are not visualized in the zenon Editor.
    5. Ensure that this ActiveX element is configured with a sufficient size in order for it to be shown correctly in Runtime.
    6. If necessary, configure additional elements for the screen.
  6. Créez une nouvelle fonction :

    Dans la barre d'outils ou le menu contextuel du nœud Fonctions, sélectionnez Nouvelle fonction.
    La boîte de dialogue de sélection d'une fonction s'affiche à l'écran.

    Navigate to node Favoris.

    1. Select the Appel de synoptique function.
    2. The dialog for selecting a screen is opened.
    3. Select the desired screen.
      Note: If you select a screen from another project, ensure that the project is running in Runtime.
    4. Name the function in the Nom property.


Functions and Colors

Manuel -> Tools (Outils) -> GIS Integration -> Engineering in the zenon Editor -> Functions and Colors

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Function(s) - Engineering

Carry out the following steps to create a new function:

  1. Créez une nouvelle fonction :
    • Dans la barre d'outils ou le menu contextuel du nœud Fonctions, sélectionnez Nouvelle fonction.
      La boîte de dialogue de sélection d'une fonction s'affiche à l'écran.
  2. Select the desired color function in the list of functions.
  3. The dialog for selecting a screen is opened.
  4. Select the desired screen.
    Note: If you select a screen from another project, ensure that the project is running in Runtime.
  5. Optional: Configure the filter.
  6. Name the function in the Nom property.

Note: You can find further information in the Functions and Scripts manual.

Color(s) - Engineering

Carry out the following steps to create a color:

  1. Create a new Color palette:
    • Select the Color Palettes node (either via the Screens node in the local project or in the global project)
  2. Select New color palettes in the context menu or in the toolbar.
    A new color palette is created with:
    • Color palette plus Color palette, for example Color0
    • the same number of colors as the pre-existing palettes, all colors are white as standard
  3. Create a new color:
    • Select New color in the context menu or in the toolbar, or press the Insert key

    At the lower end of the color table, a new color is inserted for all palettes with

    • Default color white and
    • Default color plus index number, for example Color10
  4. Define the color and give it a name:
    1. Highlight the desired color in the palette
    2. Enter the color:
    • either directly into the table cell in the detail view, as a hexadecimal code or via the selection dialog by clicking on ...
    • or in the properties in the Couleur group in the property group Couleur field as a hexadecimal code or via the selection dialog by clicking on ...

Note: You can find further information in the Screens manual in the Color palettes chapter.

info Informations

zenon functions are linked in the GIS editor in the Context menu property.

You can find further information for the display in Runtime in the Coloring of GIS elements chapter in zenon Runtime.


Variables, Limits and Reaction matrices

Manuel -> Tools (Outils) -> GIS Integration -> Engineering in the zenon Editor -> Variables, Limits and Reaction matrices

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Variable(s) - Engineering

Carry out the following steps to create a new variable:

  1. Create a new variable:
    • In the Variables node in the context menu, select the New variable command.
      The dialog to configure the variables is opened.
  2. Configure the properties of the variable.

Note: You can find further information on this in the Variables manual in the Create, modify and use variables chapter.

Limit(s) - Engineering

Carry out the following steps to create a new limit:

  1. Select the Variables node in the tree view of the Project Manager.
    • Select a variable in the detail view of the project manager.
  2. Create a limit:
    1. Click on the Valeurs limite property group.
    2. Create a new limit value by clicking on the {Nouvelle limite} property.
      A new limit value is created. The view of the properties switches to the properties group of the new limit value.
    3. Configure the properties for the limit value.
    4. Optional: Use the color palettes when setting the parameters of the limit value color.
      to do this, click on ... in the Couleur de limite property and select the color palettes tab in the drop-down list.
  3. Repeat Item 2 to create further limit values.

Note: You can find further information in the Variables manual in the Limit values chapter.

Reaction matrix - Engineering

Carry out the following steps to create a Reaction matrix:

  1. Create a new Reaction matrix
    1. In the Variables node, go to the Reaction matrix sub node.
    2. In the toolbar or in the context menu of the node, select the New reaction matrix... command.
      The dialog to select a reaction matrix is opened.
    3. Name the reaction matrix and select the type of reaction matrix from the options list.
    4. Confirm your input by clicking on the OK button.
      The dialog to configure the reaction matrix is opened.
  2. Set the parameters for the Reaction matrix
    1. Configure the states for the respective status.
    2. Configure the limit value color property in the Additional attributes field.
    3. Optional: Activate the Flashing option
  3. Link the reaction matrix to a variable:
    1. Select the Variables node in the tree view of the Project Manager.
    2. Select a variable in the detail view of the project manager.
    3. Go to the Valeurs limite property group.
    4. Click on the ... button for the Matrice de réaction property.
      The dialog to select a reaction matrix is opened.
    5. Select the configured reaction matrix and confirm your selection by clicking on the OK button.

Note: You can find further information in the Variables manual in the Reaction matrices chapter.

info Informations

zenon limit values and reaction matrices are linked to a zenon variable in the GIS editor in the Limit color from limit or Fill color from limit property.

The variable for the display of the map view is linked in the GIS editor in the Map variable property.

You can find further information for the display in Runtime in the Coloring of GIS elements chapter in zenon Runtime.


GIS control - Engineering in the zenon Editor

Manuel -> Tools (Outils) -> GIS Integration -> Engineering in the zenon Editor -> GIS control - Engineering in the zenon Editor

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

ALC line - Engineering

Carry out the following steps for the display in Runtime in the zenon Editor:

  1. Créez un nouveau synoptique :

    Dans la barre d’outils ou le menu contextuel du nœud Synoptiques, sélectionnez la commande Nouveau synoptique.
    Un synoptique vide Standard est créé.

  2. Modifiez les propriétés du synoptique :
    1. Nommez le synoptique dans la propriété Nom.
  3. Create a new screen:

    In the toolbar or the context menu of the Screensnode, select the New screen command.
    An empty Standard screen is created.

  4. Change the properties of the screen:
    1. Name the screen in the Nom property.
    2. Select the desired screen type in the Type de synoptique property.
      Note: The GIS control can be configured for each screen type.
    3. Sélectionnez le cadre souhaité dans la propriété Gabarit.
  5. Configure the content of the screen:
    1. Place the Line screen element on the screen.
      Click on the start of the line in the screen and drag the line with the mouse button held down.
      The end of the line is set by releasing the mouse button.
  6. Change the properties of the line:
    1. Name the line in the Nom d'élément property of the Général properties group.
    2. Activate, in the Coloration Automatique de Lignes project properties group, the Couleur définie par CAL property.
    3. Optional: Amend the parameter settings for Automatic Line Coloring in the properties of the Coloration Automatique de Lignes project properties group.
  7. Save the configurations of the zenon screen.
  8. Optional: Configure additional ALC lines:
    • Repeat steps 5 to 7.

Note: You can find further information on configuration in the Automatic Line Coloring (ALC) manual in the Lines chapter.

Flashing - Engineering

Carry out the following steps to activate the flashing of screen elements:

  1. Place the desired screen element onto a zenon screen.
  2. Change the properties of the screen element:
    1. Activate the Gestion d'alarmes active property in the Liste d'alarmes properties group.
    2. Activate the Les alarmes non acquittées clignotent property.
    3. Optional: Configure further alarm settings.

info Informations

zenon ALC lines are linked to a zenon ALC line in the GIS editor in the Limit color from ALC or Fill color from ALC property.

You can find further information for the display in Runtime in the Coloring of GIS elements chapter in zenon Runtime.


Operation in zenon Runtime

Manuel -> Tools (Outils) -> GIS Integration -> Operation in zenon Runtime

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Navigation in the map view

Navigation is effected with the mouse:

  • Mouse wheel forwards:
    Zooms into the map view = larger display.
  • Mouse wheel backwards:
    Reduces zoom stage of the map view.
  • Moving the mouse pointer when the right mouse button is held down
    Moves the card view in the direction of the mouse. The display of the mouse pointer switches during this time.
  • Right mouse button held on the element
    Display of the context menu
    Note: The context menu can be hidden by pressing the ESC key.

Execution of linked functions via the context menu

The context menu of the element is shown by right-clicking on a line or in an area. zenon functions that were linked during configuration are offered in this context menu. The function is executed in Runtime by selecting a context menu entry.

Display in the event of invalid map provider

If no Map provider is linked or the map view cannot be loaded with the existing configuration, a gray background is shown in Runtime.

Autres sujets abordés dans ce chapitre

Coloring of GIS elements


Coloring of GIS elements

Manuel -> Tools (Outils) -> GIS Integration -> Operation in zenon Runtime -> Coloring of GIS elements

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

GIS elements take on the color for display in zenon according to the configuration of the variable in the zenon Editor. If several configurations have been configured for a GIS element and these are relevant, they are visualized according to a prescribed priority.

It is always only the highest-priority coloring that is visualized in Runtime.

Prioritization of the coloring

The coloring of a GIS element is shown in zenon Runtime according to the following order:

  1. Automatic Line Coloring
    If a zenon ALC line is linked in the GIS configuration, the coloring of the linked element is visualized in Runtime according to the ALC line configuration.
  2. Reaction matrix
    If the GIS configuration contains a linking to a zenon variable with a linked reaction matrix, the coloring of the GIS element is visualized in Runtime according to the reaction matrix.
  3. Limit value
    If there is a violation of a limit value for a variable and this variable is linked in the GIS editor, the limit value colors linked to the variable are used for display of the element in Runtime.
  4. Configured color in the GIS editor
    If there is no variable in the configuration in the GIS editor linked for ALC, reaction matrices or limit values, the (static) color configured in the GIS editor is shown.

Flashing

If flashing has been configured in the configuration in the zenon Editor for the element linked in the GIS editor (variable, ALC line, ...), this is also visualized for the display of GIS elements in zenon Runtime. The flashing interval is prescribed with a value of 750 milliseconds in the process. This flashing interval cannot be changed.


Startup Tool

Manuel -> Tools (Outils) -> Startup Tool

The Startup Tool enables you:

  • to start Editor and Runtime with certain parameters
  • to run different zenon versions on one computer in parallel
    (already installed zenon versions are automatically created in the Startup Tool)
  • to administrate different SQL instances for the same zenon version
  • to administrate the settings for different versions
  • to define the language of the Editor and the Runtime before the start
  • To define the language of the web client
  • to start tools in the Startup Tool directly

tutorial Informations concernant la licence

Composante de la licence standard d’Editor et du Runtime.

attention Attention

The Startup Tool only starts if the zenAdminSrv service is running. If it is not active, you can start it manually in the Windows Control Panel under Administrative tools/Services.

Autres sujets abordés dans ce chapitre

Start dialog

Properties

Message at registering

Command line

Tools


Start dialog

Manuel -> Tools (Outils) -> Startup Tool -> Start dialog

You administrate the currently installed zenon versions in the start dialog. From version 7.10, you have the possibility to choose whether to start Editor and Runtime as a 32-bit application or as a 64-bit application.

If only a 32-bit version of zenon 7.10 was specified or an older version was detected, only one button is shown for the Editor and Runtime respectively:

If both versions are specified, separate buttons for 32-bit and for 64-bit are displayed.

Button

Function

List of zenon versions.

Shows all installed zenon versions.

Move entry down

Moves the selected entry in the list downwards.

Move entry up

Moves the selected entry in the list upwards.

Editor

Starts the Editor of the selected zenon version

Two separate buttons are available for 64-bit versions. The button for 64-bit contains a corresponding indication in the bottom left corner.

Runtime

Starts the Runtime of the selected zenon version

Two separate buttons are available for 64-bit versions. The button for 64-bit contains a corresponding indication in the bottom left corner.

Register

Registers all services of the selected zenon version.

  • Standard: Registers zenon. ZenSysSrv is registered as a process.
  • Terminal Server: Registers zenon for use with a terminal server. Procedures:
    ZenDBSrv is deregistered and no longer re-registered and also not started.
    ZenSysSrv is registered as a service.
    The entries in zenon6.ini are amended for use on the terminal server.

If, in an entry, there are no parameters stored for workspace or Runtime, the current version is re-registered. This applies for registration as a standard server and as a terminal server.

Help

Ouvre l'aide en ligne.

Update Help

Starts the Documentation Download Tool

Tools

Opens a dialog for starting additional applications of the selected zenon version

If the tools for a valid 64-bit version are opened, then the tools are displayed in two lists for 32-bit tools and 64-bit tools.

Processes during starting

When starting the Editor or the Runtime, data from the start settings are written to the zenon6.ini file. Existing settings in the INI file are overwritten.

From version 5, network communication has been handled with the two services zenNetSrv.exe and zenSysSrv.exe. Both files must exist in the zenon folder. As these services are version dependent, they must be registered for the appropriate version.

attention Attention

After conversion of a project into a later zenon version, this can no longer be edited with the previous version or will no longer run on it. However, the backup version created during the conversion can still be used in the original editor.

For network projects, the same zenon Editor versions must be started on the server and clients.

Autres sujets abordés dans ce chapitre

Application

Item

Help


Application

Manuel -> Tools (Outils) -> Startup Tool -> Start dialog -> Application

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Entry | Function
Options | Opens the dialog for configuring the settings.
Exit | Closes the Startup Tool.

Options

  • The Options entry in the Application menu opens the dialog to configure the properties for:
  • General:
    General settings
  • Network configuration:
    Configuration of the network and the strong encryption of network communication
  • Listening ports:
    Configuration of the monitoring ports
  • Service startup:
    Start programs as a service

Autres sujets abordés dans ce chapitre

General

Network configuration

Listening ports

Service startup


General

Manuel -> Tools (Outils) -> Startup Tool -> Start dialog -> Application -> General

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

General settings:

Remarque : Cette boîte de dialogue est uniquement disponible en anglais.

The buttons are displayed in the system language of the computer.

Option

Active

Inactive

Start Startup Tool mimimized

Starts the Startup Tool minimized. You can reach the tool with the help of its icon in the task bar.

The context menu offers all possible actions from the Start dialog for the active zenon.

Opens the tool on the desktop (default).

Remember last registered version

Sets the chosen version as standard and selects it automatically at the next start. Then the version is not registered again (default).

Offers the first version in the list when starting the Startup Tool. When the Editor or the Runtime are started, the respective version is always registered again.

Disable Windows Key

The Windows key is blocked on the keyboard and is not functional.

Changes only take effect after the system has been restarted. This required restart is visualized with a dialog.

The Windows key is available.

Changes only take effect after the system has been restarted.

This required restart is visualized with a dialog.

Option

Description

Language for Editor and Runtime

Starts Editor or Runtime in the selected language. Selection form combobox:

  • Czech
  • Chinese
  • German
  • English
  • Spanish
  • French
  • Italian
  • Russian

Ensures that zenon with the Startup Tool is always started in the defined language. Has no influence if zenon.exe is started directly.

Behavior of the Disable Windows Key option

The Disable Windows Key option behaves as follows:

Set block

  • Initial situation: The option is not set.
  • Action: The option is activated.
  • Result:
    • The system must be restarted.
    • The Windows button is used for operation. Windows keyboard shortcuts are blocked.

Undo block

  • Initial situation: The option is not set.
  • Action: The option is deactivated.
  • Result:
    • The system must be restarted.
    • The Windows button is available for the operation. The block of the Windows key combinations is released.


Network configuration

Manuel -> Tools (Outils) -> Startup Tool -> Start dialog -> Application -> Network configuration

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

The following applies for zenon from version 7 onwards:

  • you can use IPv6
  • you can encrypt the transfer in the network.

This dialog configures:

  • Timeouts
  • the use of TCP/IP via IPv4 or IPv6
  • the serious encryption of the network communication at the local computer
  • the encryption for Runtime connector

Remarque : Cette boîte de dialogue est uniquement disponible en anglais.

The buttons are displayed in the system language of the computer.

General settings

General settings.

Changes of these settings are written to the registry in the zenon6.ini file and overwrite manual configurations that may be different.

Changed settings must be carried out for all Runtime computers or all connected stations. At changes of the IPv6 settings, the computer must be restarted.

Changes are carried out after leaving the dialog only after the confirmation of a warning message by clicking on the Yes button.

Parameter

Description

Network communication timeout

Timeout for network communication in seconds.
Default = 30

Corresponds to the NET_TIMEOUT_MSEC= entry in zenon6.ini.

Network module timeout

Timeout for module communication in seconds. Is not used for spontaneous module request on the client or standby. If no response comes from the server in the set time, the action is canceled.

Default = 30

Examples: Call up of archive data for Extended Trend, recipe administration, password list...)

Corresponds to the NET_NETMODULE_TIMEOUT_MSEC= entry in zenon6.ini.

Time synchronisation with server project

Checkbox for the setting of the time synchronization.

  • Active:
    Time is synced with a server project (default).
  • Inactive:
    Time is not synced (for circular redundancy, for example)

Default: Inactive

Corresponds to the TIMESYNCH= entry in zenon6.ini.

Use IPv6 for all TCP/IP connections

Checkbox for the activation of IPv6 for TCP/IP communication.

  • Active:
    All TCP connections are only established via IPv6.
  • Inactive:
    All TCP connections are only established via IPv4.

Default: Inactive

Dual operation is not possible.

Corresponds to the USEIPV6= entry in zenon6.ini.

Note: If this option is changed, the computer must be rebooted. The change must also be carried out on all connected stations.

The following components are not affected by the setting (IPv4 used):

  • Driver communication with the PLCs
  • Protocol communication in the Process Gateway plug-ins
  • Workbench and Runtime communication in zenon Logic
  • SNMP trap service communication (zenSnmpTrapSrv.exe) with the SNMPNG32 driver

Attention: Only works with version 7 onwards. No versions prior to version 7 can be started if this is active.

Encrypt network communication

Settings for serious encryption in the network

Parameter

Description

Encrypt network communication

Checkbox for the activation of strong encryption.

  • Active:
    Communication is encrypted.
  • Inactive:
    Communication is not encrypted.

Default: Inactive.

Password

Input field for the password for encrypted network communication.

For the criteria, see the "Network encryption password" section in the Strong encryption of network communication chapter.

The displayed length is always set at 20 characters, in order to hide the actual length.

The password defined here is stored encrypted in the zenon6.ini.

Confirm password

Input field for password confirmation.
enter password for confirmation again.

Encrypt Runtime connector communication

Settings for encrypted communication of the HTML web engine, the SCADA Runtime connectors (CD_PRODUCTNAME and <ZRS> and the Remote Runtime driver (RemoteRT.exe).

Parameter

Description

Encrypt Runtime Connector communication

Checkbox for the activation of encrypted communication with SCADA Runtime connectors (HTML web engine, zenon, zenon Analyzer) and Remote Runtime driver.

  • Active:
    Communication in the network is encrypted.
  • Inactive:
    Communication in the network is encrypted.

Default: Inactive

Note: This encryption is also applicable for zenon web client communication.

Password

Input field for the password for encrypted network communication.

For the criteria, see the "Network encryption password" section in the Strong encryption of network communication chapter.

The displayed length is always set at 20 characters, in order to hide the actual length.

Corresponds to the ENCRYPTION_PWD= entry in zenon6.ini.

Confirm password

Input field for password confirmation.
enter password for confirmation again.

attention Attention

If entries were changed manually in the local zenon6.ini, they are overwritten as soon as the confirmation message is answered with "Yes" on login.

Conformation dialog

Changes to the configuration are only completed after corresponding confirmation in a confirmation dialog:

  • Click the YES button to apply your configurations.
  • Clicking on the Cancel button returns to configuration.

Messages

For explanations about system messages and error messages see chapter Message at registration.

info Informations

You can find notes on error messages from strong encryption in:

Network handbook -> Strong encryption of network communication chapter -> Error messages section.


Listening ports

Manuel -> Tools (Outils) -> Startup Tool -> Start dialog -> Application -> Listening ports

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

In this tab, the ports that are used by zenon can be individually configured for individual applications. The settings that were saved in the respective zenon6.ini file are used in Runtime.

attention Attention

Note the following during configuration:

  • Changes in this tab can trigger a restart of the computer.
    Note: This is shown by a corresponding dialog. If this dialog is closed by clicking on the No button, no changes are made.
  • All computers with which communication takes place must have the same settings.
  • These settings are not available under Windows CE.
  • If an IP address is defined, it must be amended if the setting for IPv6 is activated or deactivated
  • If a defined network address is not connected at the time when the service is started, no listening socket is opened
  • Error messages are not logged in the Diagnosis Server but in the Windows Application Event Log.

Listening ports dialog

Remarque : Cette boîte de dialogue est uniquement disponible en anglais.

The buttons are displayed in the system language of the computer.

Parameter

Description

Services

List with all configurable applications. The selected application can be configured by means of the options in Settings.

Settings

Settings for the application selected in Services.

All network adapters

All available network cards are used for the binding of the Listening ports.

Single network adapter

The local address defined here is used for the binding of the Listening ports.

Supported protocols:

  • IPv4
  • IPv6

Single network adapter

The first address of the network card defined here is used for the binding of the Listening ports.

Default port

The standard port number is used for the binding.

Customer port

The port number entered here is used for the binding.

Close dialog

Parameters | Description
OK | Applique toutes les modifications effectuées sur tous les onglets, puis ferme la boîte de dialogue.
Cancel | Annule toutes les modifications effectuées sur tous les onglets, puis ferme la boîte de dialogue.

Default ports

Assignment of the standard ports to applications:

Application | Port standard
zenon |
Network Service | 1100
Transport Service | 1101
WEB Service Classic | 1102
DB Service | 1103
SQL Browser Service, (pour le développement distribué dans Editor) | 1434
zenAdminSrv.exe | 50777
Logging Service | 50780
zenVNC.exe | 5600 - 5610
SNMP Trap Service | 50782
zenLicenseSr | 50783
zenLicenseStub | 50789
zenLicenseCenter | 50689
WEB Service Tunneling | 8080
zenon Logic |
Le port attribué à zenon Logic ou straton dépend du projet et du service. Par ex. : Le premier projet zenon Logic occupe les ports 1200 et 9000, le deuxième projet occupe les ports 1201 et 9001, et ainsi de suite. | 1200 - 1210 4500 - 4510 7000 - 7010 9000 - 9010
zenon Analyzer |
Administration Service | 50777
Analyzer Connector Service | 50778
Analyzer License Service | 50779
ZAMS | 50781
Drivers |
Driver Simulation | 6000 - 6020
Process Gateway OPC Server | 135
Process Gateway SNMP | 161
Process Gateway Modbus | 502
Process Gateway IEC60870-5 104 slave | 2402
Process Gateway DEC | 5555
Process Gateway DNP3 Slave | 20000


Service startup

Manuel -> Tools (Outils) -> Startup Tool -> Start dialog -> Application -> Service startup

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Programs can be started automatically using the zenStartupMgr service.

Tipp Conseil

Use the possibility to start zenon Runtime automatically as a service.

Dialog Service startup

Parameter | Description
Liste Services | List of configured services.
New | Opens dialog to select a program.
Edit | Opens the dialog to edit the highlighted entry.
Delete | Deletes the highlighted entry.
OK | Applique toutes les modifications effectuées sur tous les onglets, puis ferme la boîte de dialogue.
Cancel | Annule toutes les modifications effectuées sur tous les onglets, puis ferme la boîte de dialogue.

Select program dialog

Parameter | Description
Program | Path to the program that is to be started as a service. Clicking on the ... button opens the file selection dialog. Maximum length: 259 characters
Parameters | Input of parameters. The possible parameters depend on the program selected in the Program option. Maximum length: 259 characters
OK | Applique les paramètres et ferme la boîte de dialogue.
Cancel | Discards all changes and closes the dialog.

Start Runtime as a service

To start Runtime as a service:

  1. Register the file zenStartupMgr.exe as a service:
  2. Configure the properties for sign-in.
  3. Start, if necessary, Remote Transport with zenStartupMgr.
  4. Define the Runtime to be started in the Startup Tool.
  5. Configure a start delay for zenon Runtime if you are using a dongle license.

You can find details on this in the Runtime manual in the Starting Runtime as a service chapter.

Attention: If Runtime is started using the zenStartupMgr, it can no longer be stopped or restarted by users.

Register service

To register zenStartupMgr.exe as a service:

  1. Open the command line.
  2. Go to the save location of the file zenStartupMgr.exe.
    (default with 32-bit OS: %ProgramFiles(x86)%\Common Files\COPA-DATA\zenStartupMgr
    (default 64-bit OS: %ProgramFiles\Common Files\COPA-DATA\zenStartupMgr)
  3. Register the file as a service with the zenStartupMgr.exe –service command.
    Note: The service, if it is already running, is first stopped and then registered. If zenStartupMgr is running, it is closed.

Configure service for the use of many drivers

Windows as an operating system limits the number of windows that can be created due to its fixed, reserved desktop memory, depending on the version and possible interaction with the desktop.

Version/action | Interactive Desktop | Non-Interactive Desktop
Windows 7 32-Bit | 12 MB | 512 KB
Windows 7/Windows Server 2008 R2 64-bit | 20 MB | 768 KB

zenon drivers each need several windows. The number of drivers that can be used can be influenced using the Allow data exchange between service and desktop option in the properties of the service.

  • Inactive:
    A maximum of 20 drivers can be started.
  • Active:
    As many drivers as there are in a Runtime started as a user process can be started.

To activate the Allow data exchange between service and desktop option:

  1. Open the Windows Service Manager.
  2. Open the properties of the zenStartupMgr service.
  3. Go to the Login tab.

  4. Activate the Allow data exchange between service and desktop.
    This service must be configured to automatic start type. With the service active, the user logged on to the computer is notified if the zenon Runtime as a service opens an additional window, for example in the event of a new alarm and active status line.

    Note Windows 8/Server 2012: In order for the service to be able to be started, the entry must be set correctly in the Windows registry:

    1. Go to the entry HKEY_LOCAL_MACHINE\SYSTEM\CurrentControlSet\Control\Windows.
    2. Open or create the DWORD value NoInteractiveServices.
    3. Set the decimal value of 1 to 0.
  5. To stop Runtime messages being displayed on the desktop:
    Deactivate the Detection of inactive services service.


Item

Manuel -> Tools (Outils) -> Startup Tool -> Start dialog -> Item

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

The menu Item has the following entries:

Entry | Function
New | Creates a new entry in the list and opens dialog Properties.
Delete | Deletes the selected entry after confirming a confirmation message.
Properties | Opens dialog Properties for the selected entry.


Help

Manuel -> Tools (Outils) -> Startup Tool -> Start dialog -> Help

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Help menu to call up:

  • Help:
    Opens the online help for the Startup Tool.
  • Info about:
    Shows version information for the Startup Tool.
  • Update Help:

    Starts the Documentation-Download-Tool.


Properties

Manuel -> Tools (Outils) -> Startup Tool -> Properties

The parameters for each entry are defined in the Properties dialog:

Entry | Function
General | General settings
Database | Settings for the database connection
Extras | Settings for registering ActiveX controls (OCX) and COM servers (DLL) and for starting additional programs or batch files.

Autres sujets abordés dans ce chapitre

General

Database

Extras


General

Manuel -> Tools (Outils) -> Startup Tool -> Properties -> General

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

In this part, details about the zenon versions are entered. The path to the 32-bit version of zenon is absolutely necessary. If the Startup Tool detects a 64-bit version, the path to the 64-bit version is also cleared for an entry.

The following properties are available for a selected entry:

General

Parameter

Description

Name

Distinct name as it should be displayed in the list. This entry is absolutely essential.

Version

The Startup Tool automatically enters the zenon version number here. To do this, a program path must be entered beforehand under Program Path.

Programm path (32-bit)

Program path in which the executable 32-bit version of the zenon file (Zenrt32.exe) is located.

If a 64-bit version of zenon is detected here, the Programm path (64-bit) property is also unlocked for input.

Programm path (64-bit)

Program path in which the executable 64-bit version of the zenon file (Zenrt32.exe) is located.

Input only possible if the path to the 32-bit version was stated and a 64-bit version was detected by zenon.

As soon as both paths have been entered correctly, the buttons for starting Editor and Runtime are divided into two buttons, one for 32-bit and one for 64-bit.

Overwrite INI settings

Active: The settings of this dialog are always used when the Editor is started. Changes made while working with the Editor are discarded. Workspace, Editor-Project, Runtime-Project and Runtime-Path are affected.

Take over INI settings

Active: All amended settings for Workspace, Editor-Project, Runtime-Project and Runtime-Path are saved in zenon6.ini after the Editor is closed, read into the Startup Tool and used for the next start.

Editor

Parameter | Description
Workspace | The desired workspace when the Editor is started. As soon as this is entered, all projects that are in this workspace are displayed automatically in the drop-down list under Editor-Projekt.
Editor-Project | Select the project which should be active after the Editor started.

Runtime

Parameter | Description
Runtime-Project | Project that is set as the start project for Runtime.
Runtime-Path | Path of the project. If the Runtime project is part of the workspace, the path is entered automatically.

info Info

Unknown parameters?

If the settings for the workspace are unknown, use the following approach.

  1. Enter Name, Program Path and Workspace
  2. Leave Editor-Project, Runtime-Project and Runtime-Path
  3. Activate Read back the INI settings
  4. Leave dialog by clicking OK.

After the Editor has been started and closed once, the start settings are automatically taken from the INI file.


Database

Manuel -> Tools (Outils) -> Startup Tool -> Properties -> Database

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Define the database properties. It is possible to use different SQL instances for the different entries (zenon versions).

attention Attention

As of version 6.51 the SQL instance can be defined and the password is saved in an encrypted form. New entries have a higher priority than existing entries.

Compatibility: If nothing is changed, the existing entries remain valid. If you change an entry for version 6.51 or higher, the new entries are valid. Older versions must be maintained separately. You can find the settings for version previous to 6.51 in chapter Database previous version 6.51.

Display dialog: The display of the dialog is automatically adopted to the selected version (previous 6.51, as of 6.51).

Entry

Function

Read from zenDB.ini

Clicking on the button reads off the settings from the zenDB.ini file and the following fields are automatically filled:

  • SQL instance
  • DB Path
  • User
  • Password

Clear all fields

All input field are cleared.

Empty entries are not written to zenDB.ini at registering.

SQL Instance

Name of the SQL server instance which should be used.

The name can be entered directly in the input field or can be selected from the drop-down list.
Note: By clicking on the drop-down list the local computer is searched for instances which are then listed. The search may take some time.

DB Path

Path for the SQL database of the zenon projects.
For example: %ProgramData%\COPA-DATA\SQL\

Attention: Different SQL Servers (for example 2008R2 and 2012) must use separate paths.

Background: When converting projects the GUID stays the same. If the same folders are used, both instances overwrite each others database files.

User

User name for the database.

Necessary rights

In SQL Server, the user must have the following Server roles:

  • public
  • sysadmin

Password

Password of the user. It is stored encrypted. The entry length is always displayed with 20 characters regardless of the actual length.

Attention : Le chiffrement est effectué par le biais de Startup Tool. Vous devez donc effectuer la configuration de la base de données par le biais de Startup Tool.
Le mot de passe doit également être modifié sur le serveur SQL pour l’utilisateur zenOnSrv.

These settings are saved in the zenDB.ini file.

Autres sujets abordés dans ce chapitre

Database previous version 6.51


Database previous version 6.51

Manuel -> Tools (Outils) -> Startup Tool -> Properties -> Database -> Database previous version 6.51

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Setting of the database property before zenon 6.51:

Entry

Function

Read from zenDB.ini

Clicking on the button reads off the settings from the zenDB.ini file and automatically fills the Provider and DB Path fields.

Clear all fields

All input field are cleared.

Empty entries are not written to zenDB.ini at registering.

Provider

Connection to the SQL instance. Important information:

  • Instance name
  • Used provider
  • User name
  • User password

For example:
Provider=SQLNCLI.1;
Password=srv_000;
Persist Security Info=False;
User ID=zenOnSrv;
Initial Catalog=%s;
Data Source=localhost\ZENON_DEV;

DB Path

Path for the SQL database of the zenon projects.
For example: %ProgramData%\COPA-DATA\SQL\

Attention: It is necessary that SQL Server 2005 and SQL Server 2008 R2 use different folders.

Background: When converting projects the GUID stays the same. If the same folders are used, both instances overwrite each others database files.

attention Attention

The entry for Provider differs in this dialog from the entry in the zenDB.ini.

Dialog: String starts with Provider=...

zenDB.ini: String starts with Provider=Provider=...


Extras

Manuel -> Tools (Outils) -> Startup Tool -> Properties -> Extras

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Here, you create ActiveX controls (*.ocx) or COM servers (*.dll) which should be registered together with the respective zenon version. These OCX and DLL files can originate from any source, i.e. they can be written by you or come from other providers. Additionally you can define programs which are carried out before the starting or after the closing the Editor or the Runtime.

Registration ActiveX Controls - COM Server

All files listed here are automatically registered together with the respective zenon version - independent of the central setting register.

Parameter | Description
Filename/Filepath | List of all files to be registered
Add | Opens the Windows dialog to select a file to be registered. There you can select OCX or DLL files individually and add them to the list. First select the wanted file type (OCX or DLL). All files are saved with path information. If the path changes, remove the link with Remove and create a new one.
Remove | Removes all selected entries from the selection list of the files to be registered. Attention: the selected entries are deleted without requesting confirmation.

Pre-start and post-start programs

Pre Start and Post Start allow you to define programs and batch files that are to be executed before starting or after ending zenon.

Parameter | Description
Pre Start | External program that should be started, before the Editor or Runtime is started. Clicking on ... opens the Windows selection dialog to select a program or batch file to be executed. Attention: Editor or Runtime are only started if this program is ended again.
Post Start | External program that should be started, after the Editor or Runtime is closed. Clicking on ... opens the Windows selection dialog to select a program or batch file to be executed. Attention: Post Start is only called up if the Read back the INI settings (Item->Properties->General) option has been activated.


Message at registering

Manuel -> Tools (Outils) -> Startup Tool -> Message at registering

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Pop-up at registering

Message

Meaning

You have changed the IPv6 setting. All internal TCP/IP connections will be switched to IPv6/IPv4.

To ensure that all affected components are properly switched you have to restart the computer! You will also have to change this setting on all connected station!

Do you really want to apply the change?

You change the settings for the IP protocol from IPv4 to IPv6 or vice versa.

After the changes you must restart the computer for all services to be adapted accordingly. The change must also be carried out on all connected stations.

These changes are written to zenon6.ini or zenon.ini together with the registration and overwrite any manual configurations.

Gerneral network configuration settings will be changed.

You have to restart the runtime to apply the changes!

Attention: Do not forget to adept the settings on other stations as well.

Apply settings.

Are you sure this is your intent?

You change general settings in the same ways as time outs.

These changes are written to zenon6.ini or zenon.ini together with the registration and overwrite any manual configurations.

You must adapted changed settings for all Runtimes.

Message at registering

At registering the service all steps are displayed in an own window which closes after 4 seconds automatically. When an error occurs, a warning message informs you about the cause. After confirming the message the procedure is canceled. zenon is not started. Possible error messages:

Message | Reason | Hint
Couldn´t find zenNetSrv Service! | File zenNetSrv.exe is missing from the zenon program folder or a wrong version is available. | Most of the time the fastest and safest solution is a new installation of zenon.
zenNetSrv.exe still running! | The service zenNetSrv.exe could not be stopped. | It is possible that a security tool is running on the computer which prevents the access.
Couldn´t find zenSysSrv Service! | File zenNetSrv.exe is missing from the zenon program folder or a wrong version is available. | Most of the time the fastest and safest solution is a new installation of zenon.
zenSysSrv.exe still running! | The service zenSysSrv.exe could not be stopped. | It is possible that a security tool is running on the computer which prevents the access.


Command line

Manuel -> Tools (Outils) -> Startup Tool -> Command line

You can also operate the Startup Tool using the command line. To do this, zenon_Startup.exe must be in the system path. You can find the file in the following folder: %Program Files%\Common Files\COPA-DATA\STARTUP

In the commando line you can:

  • create new entries
  • reorganize existing entries (e.g. after older versions have been deleted)
  • register entries

Autres sujets abordés dans ce chapitre

Parameters


Parameters

Manuel -> Tools (Outils) -> Startup Tool -> Command line -> Parameters

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

The input is started with zenon_Startup.exe followed by a Parameter and possible field names.

Parameters:

Parameters | Function | Field name | Return value
-new | creates a new entry. | yes, list see also new | 0 or 1
-reg | registers services | Name of the entry | none
-reorg | checks and reorganizes existing entries | not available | none

If the startup tool is only called up with -reg, only the version is re-registered. In doing so, zenon6.ini is accessed on a read-only basis only. The version defined in the [PATH] section is registered; all parameters are taken from zenon6.ini.

Using several parameters at once:

It is possible to use several parameters at once. If several -new parameters are used at once, the return value cannot be evaluated unambiguously.

In general when several parameters are used, it is proceeded in the following order:

  1. –new: Create new entries.
  2. –reg: Register the stated entry.
  3. –reorg: Remove all invalid entries for deleted zenon versions.

Autres sujets abordés dans ce chapitre

new - Creating new entries

reorg - reorganizing of entries

reg - register entries


new - Creating new entries

Manuel -> Tools (Outils) -> Startup Tool -> Command line -> Parameters -> new - Creating new entries

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

The -new parameter is used for creating new entries. It needs at least two field names:

  • NAME as unique name for the entry

    If the name of the entry is already available, no entry is created.

  • PATH as path in which zenon is stored.

Syntax

The syntax is constructed as follows: zenon_Startup.exe -> Parameter > Field name="TEXT"

  1. zenon_Startup.exe
  2. Space
  3. Parameter
  4. Space
  5. Field name
  6. = character
  7. opening quotation marks
  8. Text
  9. closing quotation marks

Example Exemple

zenon_Startup.exe -new NAME="new entry" PATH="C:\example folder\test"

Field name

The following field names can be used:

Field name | Mandatory field | Description
NAME | X | Unique name of the entry. E.g.: NAME="Test"
PATH | X | The user path in which zenon is saved. E.g.: PATH="C:\Program Files (x86)\COPA-DATA\zenon 7.10 SP0"
PATH64 | - | The application path, in which the 64-bit version of zenon is located. E.g.: PATH="C:\Program Files\COPA-DATA\zenon 7.10 SP0"
PROJECT_RT | - | Name of the Runtime project which should be started. E.g.: PROJECT_RT="Test Project"
PROJECT_RT_PATH | - | The Runtime folder of the project (see PROJECT_RT). E.g.: PROJECT_RT_PATH="C:\Users\Public\Documents\zenon_Projects\Test Project"
PROJECT_ED | - | The project which should be activated in the Editor. E.g.: PROJECT_ED="Test Project"
WSP | - | The workspace with which the Editor should be loaded. E.g.: WSP="C:\Users\Public\Documents\zenon_Projects\DEMO760.WSP6"
SQLSRV | - | Name of the SQL Server which should be used by the Editor. E.g.: SQLSRV="MSSQL$ZENON_DEV"
PROVIDER | - | Provider string for the initialization of the SQL connection. E.g.: PROVIDER="Provider=SQLNCLI.1;Password=000;Persist Security Info=False;User ID=zenOnSrv;Initial Catalog=%s;Data Source=localhost\ZENON_DEV;"
DBPATH | - | Path for the SQL database which should be used E.g.: DBPATH="C:\ProgramData\COPA-DATA\SQL\"
PRESTART | - | Program call which is executed before the start of the Editor or the Runtime or the registering of this version. E.g.: PRESTART="C:\zenon Versions\zenon7.60\Dlls\zenVNCCli.exe"
POSTSTART | - | Program call which is executed after the Editor is closed. E.g.: POSTSTART="C:\zenon Versions\zenon7.60\Dlls\zenVNCCli.exe" Attention: Post Start is only executed when in the Startup Tool or in Startup.ini option Read back the INI settings (Item -> Properties -> General) is activated.

The field names are separated by spaces.

info Informations

Paths with spaces must always be put between parentheses.

Return Values

  • 0: Execution faultless
  • 1: Entry could not be created


reorg - reorganizing of entries

Manuel -> Tools (Outils) -> Startup Tool -> Command line -> Parameters -> reorg - reorganizing of entries

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Parameter -reorg checks all entries to see whether the linked zenon version is still available in the file system. If the application files are no longer found, the entry is finally deleted from the Startup Tool.

The command does not provide a return value. After execution the Startup Tool is started.

Example: zenon_Startup.exe -reorg


reg - register entries

Manuel -> Tools (Outils) -> Startup Tool -> Command line -> Parameters -> reg - register entries

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

The –reg parameter registers all necessary services in the folder of the stated entry. It is called up via:

  • -reg "Name of the entry"

If the Startup Tool has already been started, nothing is registered but the Startup Tool is moved to the foreground.
The command does not provide a return value.

Example Exemple

zenon_Startup.exe -reg "version 6750"

Registers version 7.50.

Prerequisite: there is an entry with this name in the Startup Tool.


Tools

Manuel -> Tools (Outils) -> Startup Tool -> Tools

Tools allow the starting of applications from the Startup Tool directly. Depending on the application, parameters for the command line can also be transferred. The tools that are available depend on the zenon version and operating system.

You can find the tools in their own dialog. You can get to this by clicking on the Tools dialog in the Startup Tool:

Available 32-bit applications

List of available 32-bit applications.

Option | Description
Keyblock Runtime Start | Starts the currently-active Runtime with the Keyblock option. All Windows system keys thus remain blocked when Runtime is started. Note the Information in the Keyblock Runtime Start chapter in the Runtime manual. Name of the EXE file: zenKeyBlock.exe
Licensing | Starts the dialog for product licensing. Name of the EXE file: LizenzKnd.exe
OPC Server | Starts the zenon OPC server. Name of the EXE file: zenOPCSrv.exe
Process Gateway | Starts the Process Gateway. Note the information in relation to configuration of the parameters. Name of the EXE file: zenProcGateway.exe Parameter: /ini:MyConfig.INI Replace MyConfig.INI with the correct name of your INI file
Redundancy Management Tool | Starts the zenon Redundancy Management Tool. Name of the EXE file: zenon_redman.exe
Remote runtime update | Opens the dialog to configure the Remote Runtime Update for CE. Name of the EXE file: UpdateCE.exe
SharpDevelop IDE | Start the SharpDevelop IDE for creating AddIns. Name of the EXE file: SharpDevelop.exe
SQL Server communication test tool for zenDBSrv | Opens the dialog to access to the zenon Database Admin client. Name of the EXE file: zenDBAdmin.exe
zenon Logic Compare projects | Opens the dialog to compare two zenon Logic projects. Name of the EXE file: K5DiffTest.exe
zenon Logic Library Manager | Opens the dialog of the zenon Logic Library Manager. Name of the EXE file: K5LibMan.exe
zenon Logic Licence Manager | Opens the zenon Logic License Manager. Name of the EXE file: K5LicMan.exe
zenon Logic Monitoring | Opens the zenon Logic Monitor. Name of the EXE file: W5Monitoring.exe
zenon Logic Runtime | Starts zenon Logic Runtime. You can also find further information in the Starting Runtime chapter in the zenon Logic Runtime manual. Name of the EXE file: STRATONRT.exe
zenon Remote Desktop | Opens the dialog for establishing a connection to a zenon Remote Desktop. Name of the EXE file: zenVNCCli.exe
Available 64-bit applications | List of available 64-bit applications.
Keyblock Runtime Start | Starts the currently-active Runtime with the Keyblock option. All Windows system keys thus remain blocked when Runtime is started. Note the Information in the Keyblock Runtime Start chapter in the Runtime manual. Name of the EXE file: zenKeyBlock.exe

Available applications (current folder)

List of the applications available in the current folder.

Option | Description
Diagviewer | Starts the Diagnosis Viewer. Name of the EXE file: DiagViewer.exe
System Information Collector | Starts the System Information Collector. Name of the EXE file: SIC.exe
Web Engine Deployment Tool | Starts the Web Engine Deployment Tool. You can also find further information in the Deployment of the web engine chapter in the zenon Web Server manual. Name of the EXE file: WebEngineDeploymentTool.exe Parameters: none
zenon Remote Desktop Configuration | Opens the dialog for the configuration of a zenon Remote Desktop. Name of the EXE file: zenVNCCfg.exe
Command line parameters | Entry of the parameters for the command line. Syntax: [Name of the EXE] /[Parameters] Attention: The name of the EXE file must be given.
Start | Closes the dialog and starts the selected application with the parameters entered.
Cancel | Closes the dialog.

Autres sujets abordés dans ce chapitre

Starting the tool


Starting the tool

Manuel -> Tools (Outils) -> Startup Tool -> Tools -> Starting the tool

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

To start a tool:

  1. Open the zenon Startup Tool.
  2. Click Tools.

    The dialog for configuring the zenon Tools is opened.

  3. Select the desired tool.
  4. Enter, if required, the following in the Command line parameters field:
    [Tool].EXE /[Parameter]
    Attention: The parameters alone are not sufficient. There must be a call to the respective EXE.
  5. Click on Start.

Available .EXE files

Application

EXE

Remark

Diagviewer

DiagViewer.exe

Keyblock Runtime Start

zenKeyBlock.exe

Licensing

LizenzKnd.exe

OPC Server

zenOPCSrv.exe

Process Gateway

zenOnOnline.exe

Process Gateway

zenProcGateway.exe

Name of the INI file:

/ini:MyConfig.INI

Replace MyConfig.INI with the correct name of your INI file.

Redundancy Management Tool

zenon_redman.exe

Remote runtime update

UpdateCE.exe

SQL Server communication test tool for zenDbSrv

zenDBAdmin.exe

System Information Collector

SIC.exe

Parameters:

  • forcedbaction:
    Always allow SQL Attach/Detach
  • externalxmlenable:
    Allow loading from external Query-XML
  • developer:
    Quick scan

Web Engine Deployment Tool

WebEngineDeploymentTool.exe

--

zenon Logic Compare projects

K5DiffTest.exe

zenon Logic Library Manager

K5LibMan.exe

zenon Logic Licence Manager

K5LicMan.exe

zenon Logic Monitoring

W5Monitoring.exe

zenon Logic Runtime

STRATONRT.exe

zenon Logic Runtime Manager

StratonRT_Manager.exe

zenon Remote Desktop

zenVNCCli.exe

zenon Remote Desktop Configuration

zenVNCCfg.exe


System Information Collector

Manuel -> Tools (Outils) -> System Information Collector

Lors de la résolution d'incidents, le service d'assistance de COPA-DATA peut vous demander de fournir des informatrions concernant votre système d'exploitation et zenon. La manière la plus simple pour vous de créer ces données consiste à procéder de manière automatisée avec l'outil System Information Collector, puis à les transmettre au service d'assistance.

Autres sujets abordés dans ce chapitre

Démarrage de l'outil System Information Collector

Collecte d'informations

Utilisation des informations

Envoi du rapport à COPA-DATA


Démarrage de l'outil System Information Collector

Manuel -> Tools (Outils) -> System Information Collector -> Démarrage de l'outil System Information Collector

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Ce System Information Collector est également installé lors de l'installation de zenon. Il se trouve à l'emplacement suivant :

  • Sur l'ordinateur, dans le répertoire : %Program Files (x86)%\Common Files\COPA-DATA\STARTUP
  • Sur le support d’installation, ouvrez le chemin suivant : \AdditionalSoftware\COPA-DATA System Information Collector.

Pour démarrer System Information Collector

  1. Windows 8 : saisissez SIC dans le champ de recherche du volet Applications du Bureau
    Windows 7 : accédez à Démarrer/Tous les programmes/zenon/Version Independent Tools
    Ou exécutez l'outil depuis le support d'installation.
  2. Cliquez sur System Information Collector
  3. L'outil System Information Collector démarre.

Menu et barre d’outils

Menu

Les options suivantes sont accessibles dans le menu :

  • File
    • New Scan: Ouvre la fenêtre de démarrage.
    • Open: ouvre un rapport enregistré
    • Save: enregistre le rapport actuellement affiché sous forme de fichier ZIP
    • Exit: ferme l'outil System Information Collector.
  • Edit
    • Copy: copie le texte sélectionné vers le presse-papiers.
    • Find: ouvre une boîte de dialogue permettant d'effectuer une recherche dans le rapport actuel.
  • View
    • Expand: développe tous les nœuds.
    • Collapse: réduit tous les nœuds.
  • Help
    • About: Informations concernant la version du programme.

With the exception of Exit and About, all options are also available from the toolbar.

Barre d'outils

Symbole | Description
Home New Scan | Ouvre la fenêtre de démarrage.
Open | Ouvre un rapport enregistré.
Save | Enregistre le rapport actuellement affiché sous forme de fichier ZIP.
Copy | Copie le texte sélectionné vers le presse-papiers.
Find | Ouvre une boîte de dialogue permettant d'effectuer une recherche dans le rapport actuel.
Expand | Développe tous les nœuds.
Collapse | Réduit tous les nœuds.


Collecte d'informations

Manuel -> Tools (Outils) -> System Information Collector -> Collecte d'informations

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Pour collecter des informations de manière automatisée :

  1. Démarrez l'outil System Information Collector.
  2. Sélectionnez une des quatre options disponibles en cliquant sur le bouton correspondant :
    • Complètes : collecte des informations concernant le système et zenon. Les fichiers d'image mémoire ne sont pas collectés
    • System : collecte uniquement les informations concernant le système
    • Scada : collecte les informations cocnernant zenon, sans fichiers d'image mémoire
    • Scada with dumpfiles (Scada avec fichiers d'image mémoire) : collecte des informations concernant zenon et inclut les fichiers d'image mémoire

  3. L'outil System Information Collector crée un rapport avec les informations souhaitées.

  4. Le rapport terminé est affiché dans la fenêtre principale.


Utilisation des informations

Manuel -> Tools (Outils) -> System Information Collector -> Utilisation des informations

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Toutes les informations collectées sont affichées dans l'outil System Information Collector. Elles ne peuvent pas :

  • Enregistrer le rapport
  • Parcourir le rapport et rechercher certaines informations
  • Surligner des informations sélectionnées et les placer dans le presse-papiers

Enregistrement d'un rapport

Pour enregistrer un rapport :

  1. Cliquez sur le symbole Enregistrer ou sélectionnez la commande Save (Enregistrer) dans le menu File (Fichier).
  2. La boîte de dialogue de saisie volontaire d'un mot de passe de chiffrement du rapport s'affiche à l'écran
  3. La boîte de dialogue permettant de sélectionner un dossier et un nom de fichier s'affiche.
  4. Le rapport est enregistré sous forme de fichier ZIP.

Ouvrir un rapport

Pour ouvrir un rapport enregistré :

  1. Cliquez sur le symbole Dossier dans la barre d'outils
  2. Sélectionnez le rapport
  3. Si vous avez saisi un mot de passe pour le chiffrement du rapport lors de l'enregistrement, saisissez-le maintenant ou passer à l'étape suivante en cliquant sur OK
  4. Le rapport est ouvert

Enregistrement d'informations sélectionnées

Pour enregistrer uniquement des informations sélectionnées :

  1. Sélectionnez les informations souhaitées.
  2. Cliquez sur le symbole Copier ou sélectionnez la commande Copy dans le menu Édition.
  3. La sélection est copiée vers le presse-papiers.
  4. Insérez le contenu du presse-papiers dans un fichier texte, puis enregistrez-le.
  5. Répétez cette procédure pour les autres informations sélectionnées.


Envoi du rapport à COPA-DATA

Manuel -> Tools (Outils) -> System Information Collector -> Envoi du rapport à COPA-DATA

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Selon la taille du rapport, vous pouvez l'envoyer par e-mail‑à COPA-DATA ou le transférer vers un emplacement de sauvegarde défini. Pour plus de détails concernant l'envoi de votre rapport et le choix d'un emplacement de sauvegarde en ligne, contactez le service d'assistance de COPA-DATA.


COPA-DATA PRP

Manuel -> Tools (Outils) -> COPA-DATA PRP

zenon supports the Parallel Redundancy Protocol (PRP) for hardware-redundant communication in an Ethernet network. The protocol is standardized in IEC 62439-3.

PRP communication is carried out at at OSI Layer 2 level directly, regardless of zenon Editor and zenon Runtime. Special configurations in zenon are not required. To use the protocol, the computer must have two network cards and be configured accordingly.

You need the following for the use of PRP:

  • COPA-DATA PRP driver network service
  • PRP configuration and diagnosis tool

You can find this on the installation medium. You can find a detailed description of the required configuration steps in this chapter in the installation and configuration chapter.

Note: The packet sync of the network service supports networks up to 100 Mbit.

tutorial Informations concernant la licence

The network service is supplied.
A valid zenon license is required on the computer for use.

Autres sujets abordés dans ce chapitre

System requirements

Hardware requirements

Installation and configuration

PRP configuration and diagnosis tool


System requirements

Manuel -> Tools (Outils) -> COPA-DATA PRP -> System requirements

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

PRP communication is supported for 100-Mbit/s-Ethernet in the following operating systems:

  • Windows 7
  • Windows 8
  • Windows 10 from version 1607
    Attention: Earlier versions of Windows 10 are not supported.


Hardware requirements

Manuel -> Tools (Outils) -> COPA-DATA PRP -> Hardware requirements

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

The following hardware requirements are applicable for communication via PRP:

  • Both used network cards must support Jumboframes.
  • A configuration of the locally-administrated MAC address is possible for both network cards.

attention Attention

PRP communication is only supported within a redundant network. In doing so, two physical networks can be connected via PRP.

An additional connection in a further PRP network is not supported.


Installation and configuration

Manuel -> Tools (Outils) -> COPA-DATA PRP -> Installation and configuration

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

To prepare the computer for PRP installation:

  1. Switch the computer off and separate the computer from the power supply (physical reset).
  2. Restart the computer

Carry out the following steps in the operating system:

  1. Configure your two existing network adapters.
  2. Create a network bridge (= Bridge) from the network adapters.
  3. Install the COPA-DATA PRP driver for the network bridge.
  4. Configure your PRP connection

You can find a detailed description in the further chapters.

Note:

Please note:

  • Administrator rights on the computer are required for installation.
  • The system must be restarted for the installation.
  • Note the instructions for the respective steps.
  • The packet sync of the network service supports networks up to 100 Mbit.
  • The PRP files can only be updated with a zenon main version or a service pack.
    Build versions are not in a position to do this.

attention Attention

Ensure that you carry out the configuration steps in the given sequence.

Autres sujets abordés dans ce chapitre

Installation and configuration

Installation and configuration

Installation and configuration

Configuration of PRP connection (step 4 of 4)


Installation and configuration

Manuel -> Tools (Outils) -> COPA-DATA PRP -> Installation and configuration -> Installation and configuration

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

In the first step, amend the configuration of the operating system for both network adapters used. The configuration dialog and the naming of the enhanced properties depends on the network card.

Network adapter 1

Configure the first network adapter in the operating system.

  1. Open the Change adapter settings system setting.
    You can find these settings in the Control Panel => Network and Internet => Network and Sharing Center
  2. Select the desired network adapter.
  3. With the right mouse button, select the Properties entry in the context menu.
    The configuration dialog for the properties of the network adapter are opened.
  4. Click on the Configure ... button
    The properties window of the network adapter is opened.
  5. Switch to the Advanced tab there.
  6. In the list of settings there, select the Jumbo Packet entry
    Note: The name of this entry may be different for each network card.
  7. Select a value in the Value drop-down list.
    Select the lowest-available value that is greater than 1530 bytes.
    Attention: The Disabled setting must not be selected.
  8. In the Advanced tab, select the Locally-administered address setting.
  9. Enter a unique MAC address in the Value: input field. The format of the MAC address depends on the hardware used.
    Examples:
    • 0A:80:41:ae:fd:7e
    • 0A-80-41-ae-fd-7e
    • 0A8041aefd7e
  10. Ensure that, for both connections used, the same MAC address is used.
    Change this address in the Value input field:
    • This MAC address must start with 0A!
    • The MAC address in the local network must be unique.
  11. Finish configuration of the network card by clicking on the OK button.

Network adapter 2

Repeat the steps for the second network adapter.
When entering the MAC address, ensure that the same MAC address as the one in the previous configuration is entered.

attention Attention

Ensure that

  • The MAC address used on both computers is the same
  • It is not used by any other computer in the local network.


Installation and configuration

Manuel -> Tools (Outils) -> COPA-DATA PRP -> Installation and configuration -> Installation and configuration

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

In this step, you combine two network adapters with a network bridge. Amend the configuration for both network adapters used.

Create a network bridge in the system settings.

  1. Open the Change adapter settings system setting.
    You can find these settings in the Control Panel => Network and Internet => Network and Sharing Center
  2. Select the two network adapters that you want to use for PRP communication.
    Note: Note that for both network adapters, the necessary configurations have already been carried out. A subsequent amendment to the configuration of a network adapter only becomes effective if you then create a new bridge.
    Attention: Both network adapters selected must be configured with the same MAC address!
  3. With the right mouse button, select the Bridge connections entry in the context menu.
    A network bridge is created for the selected network adapter. This is visualized in a dialog.
  4. The bridge created is displayed in the Control Panel:

    Attention: The bridge must only contain two adapters.


Installation and configuration

Manuel -> Tools (Outils) -> COPA-DATA PRP -> Installation and configuration -> Installation and configuration

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

In this step, you install the service system required for PRP communication.

Install the COPA-DATA PRP driver

  1. Select the Bridge created.
  2. With the right mouse button, select the Properties entry in the context menu.
    The configuration dialog for the properties of the bridge is opened.
  3. Click on the Install button.
    The dialog to install a network feature is opened.
  4. Select Service as the network feature to be installed.
  5. Click on the Add... button
    The dialog for the selection of the network service is opened.
  6. Click on the Data medium ... button
    The dialog to select the save location of the installation program for the network service is opened.
  7. Click on the Browse button.
  8. Go to the following folder on your local computer:
    • \Programs (x86)\Common Files\COPA-DATA\CDPrpFlt\
      for 32-bit operating systems.
    • \Programs\Common Files\COPA-DATA\CDPrpFlt\
      for 64-bit operating systems.
  9. Select the CDPrpFlt.inf file.
    Attention: Ensure that you select the correct installer for your operating system (32-bit or 64-bit).
  10. Confirm the selection by clicking on OK.
    The dialog to select the network service is opened.
  11. Select the COPA-DATA PRP driver network service.
  12. Confirm your selection with OK.
    • Confirm the Windows request for confirmation by clicking on the Install button.
      Attention: It may then be necessary to restart your computer.

      Note: This request for confirmation is not shown if you have already activated the "... always trust" box when installing zenon program components earlier.
  13. After successful installation (and restarting the computer) the service is visible in the properties window of the network adapter in the list of elements used.
  14. Ensure that the LAN connection and the network service COPA-DATA PRP driver are activated using the checkbox.

attention Attention

Ensure that use in the active system is not jeopardized by the required restart.


Configuration of PRP connection (step 4 of 4)

Manuel -> Tools (Outils) -> COPA-DATA PRP -> Installation and configuration -> Configuration of PRP connection (step 4 of 4)

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Before configuration, ensure that the LAN connection and the COPA-DATA PRP driver network service are activated.

PRP configuration

  1. Start the program called PRPCfgDiag.exe.
    You can find this software on your computer in the following folder: C:\Program Files (x86)\Common Files\COPA-DATA\STARTUP.
    The PRP Configuration and Diagnostics dialog is opened.

    Note: The PRP Configuration and Diagnostics Tool is only available in English.
  2. Click on the Configuration button.
    The dialog for the selection of the network adapter is opened.

    Note: The content of the drop-down list is based on the system settings.
  3. Select, from the drop-down list, the network adapter for LAN_A and LAN_B.
    Note: Ensure that, for all PRP-compatible devices in the network, the references between the physical network and LAN_A or LAN_B are configured the same.
  4. Confirm the assignment with OK.
  5. End the configuration by clicking on the Exit button.

info Informations

You can find a detailed description of the PRP Configuration and Diagnostics Tools in the PRP configuration and diagnosis tool.


PRP configuration and diagnosis tool

Manuel -> Tools (Outils) -> COPA-DATA PRP -> PRP configuration and diagnosis tool

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

The PRP Configuration and Diagnostics Tool performs two tasks:

  • Visualization
    Display of the data traffic sent via PRP. The display is separate for the two network adapters used.
  • Configuration
    Assignment of the configured network adapter.

Remarque : Cette boîte de dialogue est uniquement disponible en anglais.

PRPCfgDiag.exe is supplied with zenon.
You can find this software on your computer in the C:\Program Files (x86)\Common Files\COPA-DATA\STARTUP folder.

Requirements

The PRP Konfigurations- und Diagnose Tool needs the following for operation or configuration:

  • Two network adapters that are combined into a bridge in the system settings.
    Note: In this bridge, only the two network adapters that are used for PRP communication can be configured. Other network adapters must not be included in this bridge.
  • The CDPrpFlt driver must be installed.

info Informations

You can find information on the installation and necessary preparations in the system settings in the installation and configuration chapter.

Autres sujets abordés dans ce chapitre

Statistics

Configuration


Statistics

Manuel -> Tools (Outils) -> COPA-DATA PRP -> PRP configuration and diagnosis tool -> Statistics

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

The data flow is visualized in the Statistics dialog. The setting is displayed separately for both LAN adapters.

The flow of data is always recorded, even if the tool is not open.

Remarque : Cette boîte de dialogue est uniquement disponible en anglais.

Parameter

Description

Send count

Display of the Ethernet frame sent.

Receive count

Display of the Ethernet frame received.

Error count

Display of invalid PRP frames.

Mismatch count

Display of PRP frames received/sent differently if the network data traffic of the two LAN adapters differs from one another.

Link status

Status of the network card:

  • Active
    PRP-Supervision frames are received correctly for the respective (LAN_A or LAN_B).
  • Inactive
    No PRP Supervision frames are received within the past two seconds. There is no PRP station in the network or there is an error.

Configuration

Opens the configuration dialog.

Exit

Closes the program.
Note: The data continues to be recorded.


Configuration

Manuel -> Tools (Outils) -> COPA-DATA PRP -> PRP configuration and diagnosis tool -> Configuration

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

The following is carried out in the Configuration dialog:

  • Network adapter is assigned by means of a drop-down list.
    The content of the drop-down list is based on the network settings.
    You can find further information in the installation and configuration chapter.
  • The multicast MAC address is visualized
  • Error messages from the network adapter configuration are visualized in an output window

attention Attention

The computer must be restarted after changes to the configuration have been made.

Remarque : Cette boîte de dialogue est uniquement disponible en anglais.

Parameter | Description
Primary physical LAN Adapter | Assignment of a network adapter to the physical connection for the primary LAN adapter. In the drop-down list, the adapters that are included on the configured bridge are listed. You can find information on this in the installation and configuration chapter.
Secondary physical LAN Adapter | Assignment of a network adapter to the physical connection for the secondary/redundant LAN adapter. In the drop-down list, the adapters that are included on the configured bridge are listed. You can find information on this in the installation and configuration chapter.
LAN_A/LAN_B Multicast MAC | Multicast MAC address for PRP-Supervision frames. This address for communication in the network is preset and cannot be changed. Note: Ensure that no other network adapter in your network uses this address! The last byte can be configured in the input field. The input format for this entry is HEX.
Error message | Output window with error messages.
OK | Accepts all changes and switches to statistics dialog.
Cancel | Discards all changes and switches to statistics dialog.


Variables

Manuel -> Variables

Les variables, également appelées variables de procédé ou points de données, sont l'interface entre les données source (automates, but de terrain, etc.) et zenon. Elles représentent certaines valeurs mesurées ou des états du matériel, et notamment des propriétés telles que les changements d'échelle, les valeurs limite, etc.

Les variables sont définies dans la liste de variables centrale d'un projet et sont disponibles pour tous les éléments du système (fonctions, synoptiques, archives, etc.). Les projets d'intégration peuvent directement accéder aux variables de niveau inférieur.

Une variable est toujours basée sur deux composants. Le Type de données et le Type d'objet driver. Ces deux composants sont indépendants et peuvent donc être configurés indépendamment.

tutorial Informations concernant la licence

Composante de la licence standard d’Editor et du Runtime.

Menu contextuel Gestionnaire de projet

Élément de menu | Action
Nouvelle variable... | Ouvre l'assistant de création d'une nouvelle variable.
Exporter tout (XML) | Exporte toutes les entrées sous forme de fichier XML.
Importer XML... | Importe des entrées à partir d'un fichier XML.
Importer/Exporter étendu | Ouvre le menu d'importation et d'exportation de projets aux formats Step 7, dBase et CSV. Remarque : Pour plus d'informations, veuillez lire le chapitre Importation de projets Step 7 du manuel Importation et exportation.
Affichage des variables inutilisées | Crée une analyse de projet pour les variables inutilisées dans le projet actuel, et l’affiche sous forme de liste de résultats dans une fenêtre spécifique.
Ouvrir dans nouvelle fenêtre. | Ouvre une nouvelle fenêtre permettant d'afficher et modifier la variable. (Par défaut : au bas de la fenêtre d'Editor.)
Profil Editor | Ouvre la liste déroulante contenant les profils Editor prédéfinis.
Aide | Ouvre l'aide en ligne.

Chaque variable peut comporter ses propres attributs. Au total, 64 états/attributs ont été définis.

info Informations

Les éléments de synoptique liés à une variable, qui ne comportent ni valeur, ni état, deviennent invisibles dans le Runtime.

Autres sujets abordés dans ce chapitre

Barre d’outils et menu contextuel de la vue de détail Variables

Dénomination d'objets

Type de données

Drivers

Créer, modifier et utiliser des variables

Concept d'héritage

Plages de valeurs

Grenzwerte

Matrices de réaction

Fonctions des variables

Synoptique Liste d'états

Conversion d'unités de mesure


Barre d’outils et menu contextuel de la vue de détail Variables

Manuel -> Variables -> Barre d’outils et menu contextuel de la vue de détail Variables

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Barre d'outils

Symbole | Action
Nouvelle variable | Ouvre la boîte de dialogue de création d’une nouvelle variable.
Créer une fonction standard | Ouvre l’assistant de sélection des variables et des valeurs prescrites et crée une fonction correspondante. Cette action est consignée dans la fenêtre de sortie.
Utilisation des variables | Crée une analyse de projet pour les variables sélectionnées dans le projet actuel, et l’affiche sous forme de liste de résultats dans une fenêtre spécifique.
Affichage des variables inutilisées | Crée une analyse de projet pour les variables inutilisées dans le projet actuel, et l’affiche sous forme de liste de résultats dans une fenêtre spécifique.
Retour à l'élément de départ | Jumps back to the initial position in the zenon Editor. Remarque : This context menu entry is only available if a jump to the current position has been made from another position with the Linked elements context menu entry.
Copier | Copie les entrées sélectionnées et vers le presse-papiers.
Coller | Insère le contenu du presse-papier. Si une entrée portant le même nom existe déjà, le contenu est collé sous le nom Copie de....
Supprimer | Après une demande de confirmation, supprime les entrées sélectionnées de la liste.
Développer/Réduire | Liste déroulante permettant de développer ou réduire tous les nœuds ou les nœuds sélectionnés.
Activer tout | Active tous les éléments inactifs d’une variable de structure.
Activer | Active les éléments sélectionnés d’une variable de structure.
Désactiver | Désactive les éléments sélectionnés d’une variable de structure.
Exporter la sélection en XML... | Exporte les éléments sélectionnés sous forme de fichier XML.
Importer XML | Importe des variables à partir d’un fichier XML.
Importer/Exporter | Ouvre le menu d'importation et d'exportation de projets aux formats Step 7, dBase et CSV. Remarque : Pour plus d'informations, veuillez lire le chapitre Importation de projets Step 7 du manuel Importation et exportation.
Filtre étendu | Activer/Désactiver le filtre étendu L’activation ouvre la boîte de dialogue de sélection des critères de filtre.
Supprimer tous les filtres | Supprime tous les paramètres de filtre
Éditer cellule sélectionnée | Ouvre la cellule sélectionnée pour la modification. Le symbole représentant des jumelles dans l'en-tête indique la cellule sélectionnée dans une ligne affichée en surbrillance. Seules les cellules pouvant être modifiées peuvent être sélectionnées.
Remplacer un texte dans la colonne sélectionnée | Ouvre la boîte de dialogue de recherche et de remplacement de texte.
Remplacer le texte des valeurs limites | Ouvre la boîte de dialogue de sélection des propriétés dynamiques. Après avoir sélectionné une propriété, ouvrez la boîte de dialogue Rechercher/Remplacer en cliquant sur OK.
Propriétés | Ouvre la fenêtre de Propriétés.
Aide | Ouvre l'aide en ligne.

Menu contextuel

Élément de menu

Action

Nouvelle variable

Ouvre la boîte de dialogue de création d’une nouvelle variable.

Créer une fonction standard

Ouvre l’assistant de sélection des variables et des valeurs prescrites et crée une fonction correspondante. Cette action est consignée dans la fenêtre de sortie.

Éléments liés

Ouvre le sous-menu avec les éléments liés.

Utilisation des variables

Crée une analyse de projet pour les variables sélectionnées dans le projet actuel, et l’affiche sous forme de liste de résultats dans une fenêtre spécifique.

Affichage des variables inutilisées

Crée une analyse de projet pour les variables inutilisées dans le projet actuel, et l’affiche sous forme de liste de résultats dans une fenêtre spécifique.

Copier

Copie les entrées sélectionnées et vers le presse-papiers.

Coller

Insère le contenu du presse-papier. Si une entrée portant le même nom existe déjà, le contenu est collé sous le nom Copie de....

Supprimer

Après une demande de confirmation, supprime les entrées sélectionnées de la liste.

Développer/Réduire les nœuds

Permet de développer ou de réduire l’ensemble des nœuds ou les nœuds sélectionnés. Sélection :

  • Développer tout
  • Réduire tout
  • Étendre les objets sélectionnés
  • Réduire les éléments sélectionnés

Activer tout

Active tous les éléments inactifs d’une variable de structure.

Activer

Active les éléments sélectionnés d’une variable de structure.

Désactiver

Désactive les éléments sélectionnés d’une variable de structure.

Exporter la sélection en XML...

Exporte touts les entrées sélectionnées sous forme de fichier XML.

Importer XML

Importe des entrées à partir d'un fichier XML.

Importer/Exporter étendu

Ouvre le menu d'importation et d'exportation de projets aux formats Step 7, dBase et CSV.

Remarque : Pour plus d'informations, veuillez lire le chapitre Importation de projets Step 7 du manuel Importation et exportation.

Filtre étendu

Activer/Désactiver le filtre étendu

L’activation ouvre la boîte de dialogue de sélection des critères de filtre.

Supprimer tous les filtres

Supprime tous les paramètres de filtre

Éditer cellule sélectionnée

Ouvre la cellule sélectionnée pour la modification. Le symbole représentant des jumelles dans l'en-tête indique la cellule sélectionnée dans une ligne affichée en surbrillance. Seules les cellules pouvant être modifiées peuvent être sélectionnées.

Remplacer un texte dans la colonne sélectionnée

Ouvre la boîte de dialogue de recherche et de remplacement de texte.

Remplacer le texte des valeurs limites

Ouvre la boîte de dialogue de sélection des propriétés dynamiques. Après avoir sélectionné une propriété, ouvrez la boîte de dialogue Rechercher/Remplacer en cliquant sur OK.

Propriétés

Ouvre la fenêtre de Propriétés.

Aide

Ouvre l'aide en ligne.


Dénomination d'objets

Manuel -> Variables -> Dénomination d'objets

Le nom d'un objet doit être unique dans zenon.

info Informations

Tenez compte des indications suivantes lors de l'attribution de noms :

  • Les caractères # et @ ne sont pas autorisés dans les noms de variables.
  • La longueur maximale de Nom, Identification et Valeur chaîne pour le remplissage des archives est de 128 caractères chacun.
  • La longueur maximale de Description externe est de 255 caractères.

Les noms de variables sont sensibles à la casse. Vous pouvez créer des variables portant un même nom, et qui diffèrent uniquement par la présence d'une lettre en caractères minuscules ou majuscules. Pour cet exemple, les variables test et Test sont deux variables différentes.

Attention : les noms identiques, qui ne diffèrent les uns des autres que par l'utilisation de lettres minuscules ou majuscules, peuvent poser un problème au niveau des drivers ou de zenon Logic avec les éléments suivants :

  1. Configuration du driver :

    si le nom du driver diffère uniquement par l'utilisation de lettres minuscules et majuscules, les deux drivers utilisent le même fichier d'attribution.

  2. zenon Logic :

    zenon Logic ne distingue pas les lettres majuscules et minuscules. Deux variables dont les noms ne diffèrent que par l'utilisation de minuscules et de majuscules dans zenon ne peuvent pas être utilisées dans zenon Logic. Ceci concerne les variables :

    • De projets zenon Logic utilisant les drivers zenon Logic, IEC870 et IEC850
    • Qui sont définies sur Visible par d'autres programmes dans zenon
    • Qui sont attribuées à un driver pour lequel un projet zenon Logic a été créé pour le mode Simulation - Programmée

info Informations

Recommandation : Utilisez des noms d'objets uniques, qui ne diffèrent pas uniquement par l'utilisation de minuscules et de majuscules.


Type de données

Manuel -> Variables -> Type de données

Chaque variable est basée sur un type de données IEC61131. Le type de données possède les mêmes propriétés que la variable elle-même (unité, résolution du signal, valeurs limite, etc.), à l'exception des propriétés spécifiques au driver, telles que l'adresse de l'automate, par exemple. Un type de donnée est un modèle de variable sans connexion au procédé. Cette connexion au procédé est uniquement établie en fonction du type d'objet du driver associé à la variable.

Lors de la création d'une nouvelle variable, un type de donnée doit être sélectionné. Toutes les propriétés du type de donnée sont répercutées sur la variable (héritage). Dans ce cas, les propriétés sont référencées en fonction du type de données sur lequel elles reposent. Ceci signifie : Si une propriété du type de données est modifiée, elle est également modifiée pour toutes les variables qui ont été créées avec ce type de données. Si une propriété est une référence, elle est marquée avec un symbole (une flèche) dans la fenêtre des propriétés. Ce lien peut aussi être "cassé". Une description plus détaillée est fournie au chapitre Concept d'héritage.

Menu contextuel Gestionnaire de projet

Élément de menu | Action
Nouveau type de données simple... | Ouvre la boîte de dialogue de création d'un nouveau type de données.
Nouvelle structure | Ouvre la boîte de dialogue de création d'un nouveau type de données Structure.
Exporter tout (XML) | Exporte toutes les entrées sous forme de fichier XML.
Importer XML... | Importe des entrées à partir d'un fichier XML.
Aide | Ouvre l’aide en ligne.

Types de données IEC

Les types de données sont normalisés sur la base de la norme IEC 61131-3. A l'heure actuelle, zenon prend en charge les types de données IEC suivants :

Nom court

Nom long

Commentaire / plage de valeurs

Nombre de bits

BOOL

Boolean

Bit.

Plage de valeurs : 0/1 - FALSE/TRUE

1

BYTE

Oktett

Compilation ordonnée de 8 bits.

Plage de valeurs : 0 à +256

8

DATE

Date

Date IEC : par incréments de 1 jour.

Plage de valeurs : 1990-1-1 à 2168-12-31

16

DATE_AND_TIME

Date and time of day

Définit une période à 64 bits, enregistrée dans un format décimal binaire.

Plage de valeurs : 1990-1-1-0:0:0.0 à 2089-12-31-23:59:59.999

64

DINT

Double integer

Entier double signé :

Plage de valeurs : -2147483648 à +2147483647

32

DWORD

Double Word

Chiffres doubles et hexadécimaux avec 32 bits.

Plage de valeurs : (0,0,0,0) à (255,255,255,255)

32

INT

Integer

Mot signé.

Plage de valeurs : -32768 à +32767

16

LINT

Long integer

zenon ne peut gérer la plage de valeurs d'un nombre à 64 bits ; la plage de valeurs réelle est donc limitée à 52 bits. La plage de nombres sans signe s'étend de 0 à –2251799813685248- 2251799813685247. Les nombres situés hors de cette plage provoquent un dépassement ou un défaut de capacité, en fonction d'un nombre entier à 52 bits (52 bit Integer).

Les composants suivants utilisent une résolution entière de 64 bits dans le Runtime de zenon :

  1. Shared Memory VBA Interface : la valeur doit être spécifiée dans la résolution du signal.
  2. Le Shared Memory zenon Logic interface
  3. Le kit de drivers est compatible avec toute l'étendue de nombre à 64 bits, et les drivers également, à condition que le driver prenne en charge ce type de données IEC.

Remarque : Le module Recipe Group Manager et les recettes ne peuvent pas enregistrer avec exactitude une valeur à 52 bits.

Plage de valeurs : -9223372036854775808 à +9223372036854775807

64 ou 52

LREAL

Real numbers

Nombre réel

Plage de valeurs : -1,7E+308 à

+1,7E+308

Précision : 15 chiffres.

64

REAL

Real numbers

Nombre réel

Le type de données REAL avec single point precision (32 bits) couvre un grand nombre de valeurs, mais offre une précision limitée.

Lors de la conversion de valeurs décimales en valeurs du type de données REAL, selon la taille, il est possible que la septième décimale comporte une erreur d'arrondi. L'administration de valeurs décimales comportant plus de 6 décimales significatives n'est donc pas recommandée, d'un point de vue technique.

Recommandation : Use the LREAL data type instead of REAL if the PLC supports it. The possible higher precision that would result in comparison to the REAL data type is, for example, necessary for counter statuses.
If they are values that are counted in whole-number increments, an integer data type is recommended. Par exemple, une variable UDINT peut enregistrer sans erreur n'importe quelle valeur numérale entière comprise entre 0 et +4.294.967.295. Si les états de compteur dépassent cette valeur limite, en règle générale, deux variables DINT sont définies en cascade ou le compteur est réinitialisé.

Conseil et solution : Si vous souhaitez malgré tout continuer à utiliser le Type de données REAL , (par exemple, en cas de restriction imposée par l'automate concernant les types de données), la chaîne de bits de DINT: l'automate peut être lue à la place du type de données REAL.
Cette chaîne de bits peut être décomposée dans zenon Logic, à l'aide des blocs fonctionnels AND_MASK et OR_MASK et des composants de la valeur REAL (signe, exposant, partie à virgule fixe) peut être extraite. Des valeurs de compteur exactes peuvent être extraites de cette opération.

Plage de valeurs :
-3,4E+38 à +3,4E+38

Précision : 6 chiffres

32

SINT

Short integer

Préfixe Byte.

Plage de valeurs : -128 à +127

8

STRING

Variable-length single byte character string

ASCII String.

Chaîne de caractères (la longueur maximum de la chaîne dépend du driver).
La longueur de la chaîne par défaut est fixée à 5 caractères. La longueur correcte doit être fournie durant la configuration, si nécessaire.

Plage de valeurs : 0 +254 caractères.

>= 8 x longueur de chaîne

TIME

Duration

Durée au format IEC.
Signed integer
IEC time in steps of 1 ms.

Plage de valeurs : -24D_20H_31M_23S_648MS

à

24D_20H_31M_23S_647MS

32

TOD

Time of day

Heure par incréments de 1 ms.

Plage de valeurs : 0:0:0.0 à 23:59:59.999

32

UDINT

Unsigned double integer

Double:

Plage de valeurs : 0 à +4294967295

32

UINT

Unsigned integer

Word.

Plage de valeurs : 0 à +65535

16

ULINT

Unsigned long integer

zenon ne peut gérer la plage de valeurs d'un nombre à 64 bits ; la plage de valeurs réelle est donc limitée à 52 bits. La plage de nombres sans signe s'étend de 0 à +4503599627370495. Les nombres situés hors de cette plage provoquent un dépassement ou un défaut de capacité, en fonction d'un nombre entier à 52 bits.

Les composants suivants utilisent une résolution entière de 64 bits dans le Runtime de zenon :

  • L'interface VBA Mémoire partagée, lorsque la valeur a été saisie dans la résolution du signal.
  • L'interface Mémoire partagée de zenon Logic.
  • Le kit de drivers est compatible avec toute l'étendue de nombre à 64 bits, et les drivers également, à condition que le driver prenne en charge ce type de données IEC. À l'heure actuelle, il s'agit des types Sample32, Internal et STRATON32.

Le module Recipe Group Manager et les recettes ne peuvent pas enregistrer avec exactitude une valeur à 52 bits.

Plage de valeurs :
0 à +18446744073709551615

64 ou 52

USINT

Unsigned short integer

Byte:

Plage de valeurs : 0 à +255

8

WORD

Word

Chiffres doubles et hexadécimaux avec 16 bits.

Plage de valeurs : (0,0) à (255,255)

16

WSTRING

Variable-length

multi-byte character string

Contient des chaînes multi-octets, par exemple des chaînes encodées au format Unicode (UTF-8, etc.).
La longueur de la chaîne par défaut est fixée à 5 caractères. La longueur correcte doit être fournie durant la configuration, si nécessaire.

Plage de valeurs : 0 +16382 caractères (n)

>= N x longueur de chaîne

Remarque : Vous trouverez des informations concernant le fonctionnement de l'héritage des propriétés du type de données dans la section Concept d'héritage.

attention Attention

Dans zenon, les types de données DATE, TIME, TOD sont traités comme le type de données UDINT au format d'heure Unix (secondes écoulées depuis le 01. 01. 1970) Le type de données DATE_AND_TIME équivaut au type de données FLOAT au format d'heure Unix. Dans ce format, l'heure est enregistrée à la milliseconde près, c'est-à-dire trois chiffres après le point décimal. Le driver convertit le type de données utilisé dans zenon en type de données correspondant et envoie la nouvelle valeur à l'automate.
Tous les drivers ne sont pas compatibles avec ces types de données. Reportez-vous à la documentation du driver correspondant afin de déterminer si le driver utilisé est compatible avec les types de données.

Autres sujets abordés dans ce chapitre

Barre d'outils et menu contextuel de la vue de détail Types de données

Types de données


Barre d'outils et menu contextuel de la vue de détail Types de données

Manuel -> Variables -> Type de données -> Barre d'outils et menu contextuel de la vue de détail Types de données

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Menu contextuel

Élément de menu | Action
Nouveau type de données simple | Ouvre la boîte de dialogue de création d'un nouveau type de données simple.
Nouveau type structure | Ouvre la boîte de dialogue de création d'un nouveau type de données Structure.
Nouvel élément de structure | Ouvre la boîte de dialogue permettant d'ajouter un élément de structure à un type de données de structure.
Copier | Copie les entrées sélectionnées et vers le presse-papiers.
Coller | Insère le contenu du presse-papier. Si une entrée portant le même nom existe déjà, le contenu est collé sous le nom Copie de....
Supprimer | Après une demande de confirmation, supprime les entrées sélectionnées de la liste.
Éditer la cellule sélectionnée | Ouvre la cellule sélectionnée pour la modification. Le symbole représentant des jumelles dans l'en-tête indique la cellule sélectionnée dans une ligne affichée en surbrillance. Seules les cellules pouvant être modifiées peuvent être sélectionnées.
Exporter la sélection en XML... | Exporte touts les entrées sélectionnées sous forme de fichier XML.
Importer XML | Importe des entrées à partir d'un fichier XML.
Supprimer tous les filtres | Supprime tous les paramètres de filtre
Éditer la cellule sélectionnée | Ouvre la cellule sélectionnée pour la modification. Le symbole représentant des jumelles dans l'en-tête indique la cellule sélectionnée dans une ligne affichée en surbrillance. Seules les cellules pouvant être modifiées peuvent être sélectionnées.
Remplacer un texte dans la colonne sélectionnée | Ouvre la boîte de dialogue de recherche et de remplacement de texte.
Remplacer le texte des valeurs limites | Ouvre la boîte de dialogue de sélection des propriétés dynamiques. Après avoir sélectionné une propriété, ouvrez la boîte de dialogue Rechercher/Remplacer en cliquant sur OK.
Propriétés | Ouvre la fenêtre de Propriétés.
Aide | Ouvre l'aide en ligne.


Types de données

Manuel -> Variables -> Type de données -> Types de données

Il y a principalement deux types de données différents :

  • Les types de données simples ; à leur tour, ces types comprennent les catégories suivantes :
    • Types de données simples préconfigurés
    • Types de données simples définis par l'utilisateur
  • Types de données de structure

Autres sujets abordés dans ce chapitre

Types de données prédéfinis simples

Types de données simples définis par l'utilisateur

Types de données de structure


Types de données prédéfinis simples

Manuel -> Variables -> Type de données -> Types de données -> Types de données prédéfinis simples

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Ces éléments sont fournis avec zenon et sont immédiatement disponibles lorsqu'une nouvelle variable est créée. Ils sont es aux types de données simples normalisés de la norme IEC 61131-3, tels que INT, USINT etc. Ils définissent une plage de valeurs prescrites (limites inférieure et supérieure fixes) avec un nombre défini de valeurs. C'est la raison pour laquelle les nombres réels ne peuvent être représentés qu'avec une certaine précision sous la forme de nombres à virgule flottante.

Les propriétés des types de données simples peuvent être modifiées. Les noms de ces types de données correspondent aux noms définis dans la norme CEI. Ces types ne peuvent pas être supprimés ou renommés.

Les types de données deviennent uniquement visibles dans zenon lorsqu'un driver est sélectionné. Chaque driver ouvre une liste de types qu'il supporte. Si un type de données IEC n'existe pas dans la liste des types de données, c'est qu'il n'est supporté par aucun driver du projet.

Les modifications apportées à un type de donnée se répercuteront sur toutes les variables liées et aussi sur toutes les structures liées.


Types de données simples définis par l'utilisateur

Manuel -> Variables -> Type de données -> Types de données -> Types de données simples définis par l'utilisateur

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Ces types peuvent être créés par l'utilisateur. Lors de la création, un type existant est utilisé. Toutes les propriétés du type de base sont copiées dans le nouveau type et peuvent être changées ultérieurement. Il n'existe aucune référence au type de données sur lequel il reposait à l'origine. Tous les types de données peuvent donc être configurés indépendamment les uns des autres.

Pour les types utilisateur, toutes les propriétés, y compris le nom et le type de données IEC, peuvent être modifiées.

attention Attention

Il peut être nécessaire de configurer manuellement toutes les variables reposant sur un type de données dans lequel le type de données IEC est modifié.

Exemple

Si le type IEC INT est modifié en type IEC BOOL. Toutes les limites de valeurs prescrites de toutes les variables et toutes les positions auxquelles elles sont utilisées (synoptiques) ne sont plus correctes. Cela devient encore plus critique si les propriétés des variables sont écrasées et n'ont plus de référence au type de donnée.

Lors de la création d'un nouveau type de données défini par l'utilisateur, un type de données de base correspondant au type de données IEC requis doit être utilisé.

attention Attention

La modification ultérieure des types de données IEC n’est pas recommandée.
Un certain nombre de paramètres dépendent du type de données IEC et doivent être reconfigurés manuellement si le type de données IEC a été modifié. (Exemple : la résolution du signal, la plage de valeurs, l'hystérésis, les limites de valeurs prescrites, l'ajustement non-linéaire, etc.).
Lors d'une modification d'un type de données IEC, toutes les propriétés spécifiques à ce type de données doivent être vérifiées. Parfois, les propriétés doivent être adaptées avant la modification, car pour les variables BOOL, la résolution du signal et la plage de mesure ne peuvent pas être modifiées, par exemple.

Autres sujets abordés dans ce chapitre

Créer un nouveau type de données défini par l'utilisateur

Modification des propriétés d'un type de données défini par l'utilisateur

Supprimer un type de données défini par l'utilisateur


Créer un nouveau type de données défini par l'utilisateur

Manuel -> Variables -> Type de données -> Types de données -> Types de données simples définis par l'utilisateur -> Créer un nouveau type de données défini par l'utilisateur

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Créer un nouveau type utilisateur

  1. Sélectionnez le nœud Variables.
  2. Cliquez sur Type de données.

    Tous les types de données existants sont répertoriés dans la liste de la vue détaillée.

    • Lors de la première ouverture seuls les types prédéfinis correspondants aux types CEI sont affichés dans la liste.
    • Un type utilisateur est toujours base sur un type CEI (IEC Datatype).
  3. Cliquez sur la cellule de votre choix avec le bouton droit de la souris.
  4. Sélectionnez Nouveau type de fichier dans le menu contextuel.

    The Create simple data type dialog is opened.

  5. Modification des propriétés d'un type de données défini par l'utilisateur

    Remarque : Le nom du type de données est limité à 128 caractères !

  6. Sélectionner un type de données déjà existant. Ce nouveau type sera aussi sélectionnable pour les futurs types que vous créerez.
  7. Cliquez sur le bouton Terminer.

    Le nouveau type utilisateur apparaît maintenant dans la liste des types simples dans la vue de détail.

Remarque :

  • Toutes les propriétés du type sont copiées vers le nouveau type. Elles peuvent ensuite être modifiées dans la fenêtre des propriétés.
  • Il ne reste aucune référence au type de données d'origine à partir duquel la copie a été faite.
  • Vous pouvez également utiliser le type de fichier nouvellement créé comme modèle pour d'autres types de données.


Modification des propriétés d'un type de données défini par l'utilisateur

Manuel -> Variables -> Type de données -> Types de données -> Types de données simples définis par l'utilisateur -> Modification des propriétés d'un type de données défini par l'utilisateur

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Les propriétés d'un type de données défini par l'utilisateur peuvent être modifiées dans la fenêtre des propriétés, où sont fournies toutes les propriétés du type de données.

Veillez à ne pas modifier les données IEC, car cela entraînerait également une modification de la résolution du signal.


Supprimer un type de données défini par l'utilisateur

Manuel -> Variables -> Type de données -> Types de données -> Types de données simples définis par l'utilisateur -> Supprimer un type de données défini par l'utilisateur

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Sélectionnez le type de données à supprimer dans la vue de détail et confirmez la suppression dans la boîte de dialogue suivante.

attention Attention

Si un type utilisateur est supprimé, toutes les variables liées à ce type sont aussi supprimée.


Types de données de structure

Manuel -> Variables -> Type de données -> Types de données -> Types de données de structure

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Les types structures sont toujours des types de données utilisateur. Au contraire des types simples, qui ne permettent qu'une liste de variables "plate", ils permettent de construire une structure. Cette structure peut également en contenir d'autres (imbrication) et devenir ainsi très complexe.

Si vous avez besoin de créer des variables structures, vous devez d'abord créer le type structure correspondant. Une structure est composée d'un nom et d'éléments. Les éléments de structure peuvent être des types simples ou d'autres structures. Les éléments de structure peuvent aussi être des tableaux (champs) qui peuvent avoir jusqu'à trois dimensions.

attention Attention

Lors de la création, vous devez définir si l'élément de structure doit utiliser le type lié ou embarqué. Aucune modification ultérieure n'est possible.

Exemple de type structure :

Deux structures sont affichées ci-dessus.

La structure Controller est composée de deux éléments. Engine speed set et Engine speed actual.

  • L'élément Engine speed actual est lié au type INT, c'est-à-dire que toutes les propriétés du type INT sont transmises dans cet élément de structure (héritage).
  • L'élément Engine speed set est incorporé dans la structure. De cette façon, les propriétés de ce type peuvent être configurées dans l'élément lui-même.

La structure Engine est composée des éléments suivants : Activity Input, Charging Rate, Voltage, Temperature[3] et Engine Speed Control.

  • L'élément Activity Input est lié au type UINT - toutes les propriétés sont récupérées du type UINT.
  • L'élément Charging Rate a le type embarqué INT – toutes les propriétés sont définies dans l'élément de structure.
  • L'élément Voltage est lié au type utilisateur Voltage. L'élément prend toutes ses propriétés de ce type.
  • L'élément Temperature est un tableau à une dimension de trois éléments de type SINT.
  • L'élément Engine Speed Control est lié au type structure Structure Controller décrit ci-dessus. Les structures dans une structure ne peuvent pas être incorporées. Elles sont toujours liées à la structure originale. La structure contient deux éléments. Engine Speed Set et Engine Speed Actual qui prennent leurs propriétés de la structure de base.

Autres sujets abordés dans ce chapitre

Créer un type structure

Insertion d'autres éléments de structure

Changer les propriétés d'un élément de structure

Déplacement d'un élément de structure

Supprimer un type structure


Créer un type structure

Manuel -> Variables -> Type de données -> Types de données -> Types de données de structure -> Créer un type structure

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Voici comment créer un type de données de structure :

  1. Cliquez avec le bouton droit sur la liste des types et sélectionnez Nouveau type structure dans le menu contextuel.
  2. Vous pouvez définir les noms dans la boîte de dialogue qui s'affiche à l'écran.

    Remarque : Le nom du type de données est limité à 128 caractères.

  3. Confirmez en cliquant sur Terminer. Le nom du type structure peut être changé ultérieurement.
  4. Une nouvelle boîte de dialogue s'ouvre de façon à définir le premier élément de la structure.
  5. Veuillez utiliser un nom unique.
  6. Sélectionnez le type de données sur lequel doit être basé l'élément. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection.

    Vous ne pouvez également pas lier des structures sous forme d'éléments de structure. Il est impossible d'incorporer des structures sous forme d'éléments de structure. Il est en outre uniquement possible de lier des structures entières, et non des parties d'une structure.

  7. Indiquez si le type de données doit être incorporé ou lié.
  8. Définir les dimensions du tableau si besoin.
    Si vous ne souhaitez pas utiliser un tableau, définissez les dimensions sur 0.
  9. Confirmez en cliquant sur Terminer.

Incorporation ou liaison

Paramètres | Description
Éléments de structure embarqués | Ils peuvent avoir des propriétés différentes des types de base sur lesquels ils sont basés. Les propriétés sont définies individuellement pour chaque élément de structure et sont sauvegardées localement.
Éléments de structure liés | Les éléments liés reçoivent toutes leurs propriétés des types de données élémentaires auxquels ils sont liés. Si le type de base est modifié, tous les éléments liés seront modifiés de la même façon !


Insertion d'autres éléments de structure

Manuel -> Variables -> Type de données -> Types de données -> Types de données de structure -> Insertion d'autres éléments de structure

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Pour insérer d'autres éléments de structure :

  1. Cliquez avec le bouton droit sur le type de donnée de structure souhaité.
  2. Sélectionnez Nouvel élément de structure... dans le menu contextuel.
  3. Définissez l'élément de structure dans la boîte de dialogue qui s'affiche à l'écran.
    1. Une description précise (le nom est limité à 128 caractères)
    2. les dimensions du tableau et
    3. indiquez si vous souhaitez incorporer ou lier l'élément de structure.

Si vous sélectionnez maintenant le type Données de structure dans la vue de détail, les éléments de structure existants sont affichés sous forme de sous-points.


Changer les propriétés d'un élément de structure

Manuel -> Variables -> Type de données -> Types de données -> Types de données de structure -> Changer les propriétés d'un élément de structure

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Pour modifier les propriétés d'un élément de structure :

Éléments de structure embarqués

  1. Sélectionnez l'élément de structure dans la vue de détail.
  2. Modifiez les propriétés de votre choix dans la fenêtre des propriétés.

Élément de structure liée

Avec les éléments de structure liés, les éléments suivants peuvent être modifiés dans la fenêtre des propriétés :

  • Nom
    Remarque : Si le renommage conduit à un nom de variable invalide, un avertissement s'affiche et la variable n'est pas activée. Cela s'applique également aux pour l'importation XML.
  • Offsets
  • Dimensions du tableau
  • Description

Toutes les autres propriétés doivent être modifiées directement au niveau du type de données d'origine.

attention Attention

Attention : les modifications faites sur un type de données sont directement répercutées sur toutes les variables associées, et ont également une incidence sur tous les autres types de données de structure liées à ce type de données.

Nous vous déconseillons d'apporter des modifications au type de données. Ces dernières doivent être préparées et mises en œuvre avec soin, , tout particulièrement lors de la modification des paramètres de type de données IEC, des paramètres de plage de mesures, des paramètres de valeur prescrite et valeur limite, etc.

Dans certaines circonstances, toutes les variables et tous les synoptiques sur lesquels sont utilisées ces variables devront être ajustés manuellement par la suite !


Déplacement d'un élément de structure

Manuel -> Variables -> Type de données -> Types de données -> Types de données de structure -> Déplacement d'un élément de structure

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Les éléments d'un type de données structuré peuvent être déplacés par glisser-déplacer. Pour déplacer des éléments :

  1. Sélectionnez l'élément de votre choix.
  2. Vous pouvez également sélectionner plusieurs éléments liés.
  3. Cliquez sur la sélection et faites glisser l'élément vers la position souhaitée.

Pour les projets multi-utilisateurs, une vérification est effectuée pour déterminer si l'état du type de données devant être modifié est défini sur Autoriser les modifications, ou peut être défini sur cette valeur.

Déplacement d'objets multiples

Les éléments liés peuvent être déplacés par glisser-déplacer Dans ce cas, les dispositions suivantes s'appliquent :

  • Seuls les éléments de structure liés peuvent être déplacés.

  • Si un écart est identifié avec une sélection multiple, l'action "déposer" est refusée.


Supprimer un type structure

Manuel -> Variables -> Type de données -> Types de données -> Types de données de structure -> Supprimer un type structure

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Pour supprimer un type structure :

  1. Cliquez avec le bouton droit sur le type de données de structure dans la liste.
  2. Sélectionnez Supprimer dans le menu contextuel.
  3. Le type de données de structure est supprimé avec tous ses éléments de structure.

attention Attention

Lors de la suppression, toutes les variables reposant sur ce type de données structurelles sont également supprimées !


Drivers

Manuel -> Variables -> Drivers

zenon propose plus de 300 connexions différentes à différents automates, systèmes de bus et applications.

Pour communiquer avec une source de données, il faut utiliser un driver. Le driver établit une connexion entre un automate et zenon. La source de données n'est pas nécessairement un automate. Le driver DDE communique avec un serveur DDE, le driver OPC client avec un serveur OPC, le driver SNMP avec des agents SNMP, etc.

De nombreux drivers sont disponibles et peuvent être utilisés simultanément.

attention Attention

Sous Windows CE, un seul driver de chaque type peut être utilisé à la fois.

Menu contextuel Gestionnaire de projet

Élément de menu | Action
Nouveau driver... | Ouvre la vue de détail permettant de sélectionner un driver.
Aide | Ouvre l’aide en ligne.

Lors de la création d'une nouvelle variable, vous devez définir pour quel driver la variable est créée.

Les drivers de zenon sont des drivers de type protocole. Ils ne doivent pas être confondus avec des drivers d'interface du système Windows (par exemple, les drivers pour les cartes LAN ou les drivers pour l'interface série). Les drivers de zenon sont toujours basés sur un driver d'interface du système d'exploitation, et communiquent avec le protocole correspondant (par exemple : Modbus RTU, MPI, Melsec A, etc.) qui est compris par l'automate.

Les drivers élémentaires sont disponibles gratuitement dans zenon : Les variables basées sur ces drivers ne sont pas comptabilisées dans les points d'E/S de la licence.

Paramètre

Description

Driver de simulation SIMUL32

Pour les variables internes.

Celles-ci peuvent être définies en tant que variables invulnérables aux défaillances (données de disque dur) ou en tant que types de drapeaux ; la valeur des objets de type drapeau peuvent modifier leur valeur automatiquement aux fins de simulations dynamiques.

Driver mathématique MATHDR32

Les variables de ce driver sont utilisées pour des calculs mathématiques ou pour des compteurs.

Driver système Sysdrv

Variables pour faire du monitoring ou du contrôle du matériel, du réseau et d'autres propriétés spécifiques au projet.

Driver interne Internal

Variables définies par l'utilisateur et sans connexion à un automate. (Similaires aux variables utilisateur du driver système.)

Chaque variable a une valeur propre. Il n'est donc pas possible d'extraire un bit ou un octet à partir d'une variable de type INT.

La définition de l'adresse n'est pas nécessaire. Les propriétés correspondantes ne peuvent d'ailleurs pas être éditées.

Des descriptions détaillées des drivers pour les drivers individuels sont disponibles dans la documentation de driver correspondante, accessible via l'aide en ligne (au chapitre Driver) et sur le support d'installation.

Lors de la création d'un nouveau driver, une boîte de dialogue de sélection s'ouvre et affiche tous les drivers disponibles. Les informations spécifiques à cette boîte de dialogue se trouvent dans les fichiers Treiber_DE.xml, Treiber_EN.xml etc., selon la langue. Vous pouvez ouvrir ou modifier ces fichiers XML avec l'outil driverinfo.exe.

Autres sujets abordés dans ce chapitre

Type d'objet driver

Créer un driver

Configuration d'un driver

Simulation de driver

Modifier un driver

Supprimer un driver

Détails de communication

Barre d'outils et menu contextuel de la vue de détail Driver

Documentation des drivers


Type d'objet driver

Manuel -> Variables -> Drivers -> Type d'objet driver

Le type d'objet driver définit à quelle catégorie de variable le système doit se référer dans l'automate. Aujourd'hui, chaque constructeur utilise des noms différents pour les emplacements dans leurs automates. Dans le monde Siemens, il y a des blocs de données, des marqueurs, des entrées, des sorties, etc. Dans le monde Modbus, il y a des "coils" et des "holding registers". Chaque driver crée une liste interne mentionnant les types d'objet de driver disponibles. Lors de la création d'une nouvelle variable, la zone d'attribution de la variable dans l'automate doit être spécifiée.

Remarque : The language of driver object types cannot be switched. They are always shown in the language in which they have been created, regardless of the language of the Editor. La même considération s'applique aux erreurs de communication :

Il existe une distinction stricte entre les types de données et les types d'objet de driver.

Cette distinction stricte permet de créer une structure sous forme de type de données de manière complètement indépendante, et ainsi, indépendamment de l'automate. Une variable avec cette structure peut être liée à n'importe quel driver. Une structure peut, par exemple, être liée au driver correspondant 1:1 avec un automate Siemens, ainsi qu'à un automate Modbus doté des drivers correspondants.


Créer un driver

Manuel -> Variables -> Drivers -> Créer un driver

In the Create driver dialog, you create a list of the new drivers that you want to create.

Paramètre | Description
Drivers disponibles | Liste de drivers disponibles. The display is in a tree structure: [+] expands the folder structure and shows the drivers contained therein. [-] reduces the folder structure Par défaut : pas de sélection
Nom du driver | Identification unique du driver. Par défaut : Empty The input field is pre-filled with the pre-defined Identification after selecting a driver from the list of available drivers.
Informations du driver | Further information on the selected driver. Par défaut : Vide Les informations sur le pilote sélectionné sont affichées dans cette zone après avoir sélectionné un pilote.

Fermer

Option | Description
OK | Accepte tous les paramètres et ouvre la boîte de dialogue de configuration du pilote sélectionné.
Annuler | Annule toutes les modifications et ferme la boîte de dialogue.
Aide | Ouvre l'aide en ligne.

info Informations

Le contenu de cette boîte de dialogue est sauvegardé dans le fichier Treiber_[Language].xml. Celui-ci se trouve dans le répertoire suivant : C:\ProgramData\COPA-DATA\zenon[numéro de version].

Créer un nouveau driver

Pour créer un nouveau driver :

  1. Cliquez avec le bouton droit sur Driver dans le gestionnaire de projet, puis sélectionnez Nouveau driver dans le menu contextuel.
    Optionnel: Sélectionnez le bouton Nouveau driver dans la barre d'outils de la vue détaillée des Variables
    , puis ouvrez la boîte de dialogue Définir un driver.
  2. Dans la boîte de dialogue suivante, le système de contrôle propose une liste des drivers disponibles.

  3. Select the desired driver and name it in the Nom du driver input field.
    This input field corresponds to the Identification property. The name of the selected driver is automatically inserted into this input field by default.
    The following is applicable for the Nom du driver:
    • Le Nom du driver doit être unique.
      If a driver is used more than once in a project, a new name has to be given each time.
      Confirmez la configuration en cliquant sur le bouton OK. Si le pilote est déjà présent dans le projet, une boîte de dialogue d'avertissement s'affiche.
    • Le Nom du driver forme partie du nom de fichier.
      Il peut donc uniquement contenir des caractères pris en charge par le système d'exploitation. Les caractères non valides sont remplacés par un caractère de soulignement (_).
    • Attention : Le nom ne peut pas être modifié par la suite.
  4. Confirmez la configuration en cliquant sur le bouton OK.
    La boîte de dialogue de sélection du pilote (ou driver) s'affiche à l'écran.

Remarque : La langue noms de pilotes ne peut pas être modifiée. They are always shown in the language in which they have been created, regardless of the language of the Editor. Ceci s'applique également aux types d'objet pilote.

Nom du driver le dialogue existe déjà

S'il y a déjà un driver dans le projet, il est affiché dans une boîte de dialogue. Confirmez la configuration en cliquant sur le bouton OK. Le texte peut être nommé librement.

<CD_PRODUCNTAME> projets

The following drivers are created automatically for newly-created projects:

  • Intern
  • MathDr32
  • SysDrv

info Informations

Seuls les drivers nécessaires au projet ont besoin d'être insérés dans le zenon projet. Des drivers peuvent être ajoutés ultérieurement si nécessaire.


Configuration d'un driver

Manuel -> Variables -> Drivers -> Configuration d'un driver

La boîte de dialogue de configuration est ouverte lors de la création d'un driver. Pour pouvoir ouvrir la boîte de dialogue ultérieurement aux fins de l'édition, double-cliquez sur le driver dans la liste ou cliquez sur la propriété Configuration.

Option

Description

Mode

Permet de basculer entre les modes Équipement et Simulation.

  • Hardware :
    Une connexion au système de contrôle est établie.
  • Simulation - Statique :
    Aucune communication n'est établie au niveau du système de contrôle ; les valeurs sont simulées par le driver. Dans ce mode, les valeurs demeurent constantes et/ou les variables conservent les valeurs définies par zenon Logic. Chaque variable possède sa propre zone de mémoire ; Par exemple, deux variables de type marqueur avec un offset 79 peuvent comporter des valeurs différentes dans le Runtime et ne s'influencent pas mutuellement. Exception : le driver de simulation.
  • Simulation - Comptage :
    Aucune communication n'est établie au niveau du système de contrôle ; les valeurs sont simulées par le driver. Dans ce mode, le driver augmente automatiquement les valeurs dans les limites d'une plage de valeurs.
  • Simulation - Programmée :
    Aucune communication n'est établie avec l'automate. Les valeurs sont calculées par un projet de simulation librement programmable. Le projet de simulation est créé dans zenon Logic Workbench et s'exécute dans un Runtime de zenon Logic intégré au driver. Pour plus de détails, reportez-vous au chapitre Driver de simulation.

Conserver la liste de mises à jour en mémoire

Les variables demandées une fois sont encore demandées par le système de contrôle, même si elles ne sont actuellement pas nécessaires.
Ceci offre par exemple l'avantage d'accélérer l'exécution des appels de synoptique après la première utilisation du synoptique, dans la mesure où les variable ne sont pas appelées à nouveau. L'inconvénient est une augmentation de la charge de communications au niveau du système de contrôle.

Les résultats peuvent être écrits

Active : les résultats peuvent être écrits.

Inactive : l'écriture des résultats est interdite.

Remarque : indisponible pour certains drivers.

Image des variables rémanente

Cette option permet de sauvegarder et restaurer les valeurs courantes des variables, leur horodatage et leur état.

Condition préalable fondamentale : la variable doit posséder une valeur valide et des informations d'horodatage.

L'image de la variable est sauvegardée en mode Équipement si :

  • Un des états S_MERKER_1(0) à S_MERKER8(7), REVISION(9), AUS(20) ou ERSATZWERT(27) est actif

L'image de la variable est toujours sauvegardée si :

  • La variable est du type d'objet Variable de driver
  • Le driver s'exécute en mode de simulation (simulation non programmée).

Les états suivants ne sont pas restaurés au démarrage du Runtime :

  • SELECT(8)
  • WR-ACK(40)
  • WR-ACK(41)

Le mode Simulation - programmée au démarrage du driver n'est pas un critère de restauration de l'image de variable rémanente.

Arrêt sur le serveur redondant

Configuration de la redondance pour les drivers autorisant seulement une direction de communication. Pour cela, le driver est arrêté au niveau du serveur redondant, et redémarré uniquement lors de la mise à niveau.

Attention : si cette option est active, l'archivage sans erreur ne peut plus être garanti.

Active : Définit un état semblable à l'arrêt pour le driver au niveau du serveur ne dirigeant pas le procédé. Contrairement à l'arrêt par le biais de la commande de driver, la variable ne reçoit pas l'état désactivé, mais une valeur vide. Ceci évite que lors de la mise à niveau du serveur, des valeurs erronées ne soient générées dans les listes AML et CEL et le Serveur d'archives.

Remarque : Indisponible si le terminal CE est utilisé en tant que serveur de données. D'autres informations sont disponibles dans le manuel zenon Operator, au chapitre Terminal CE en tant que serveur de données.

Durée de la mise à jour globale

Active : Le paramètre Durée de la mise à jour globale, exprimé en ms, est utilisé pour toutes les variables du projet. La priorité définie au niveau des variables n'est pas utilisée.
Inactive : les priorités définies sont utilisées pour les variables individuelles.

Priorité

Les intervalles d'interrogation des différentes classes prioritaires sont définis ici. Toutes les variables possédant la priorité correspondante sont interrogées dans l'intervalle de temps défini.

L'attribution aux différentes variables a lieu séparément dans les paramètres des propriétés de variables.
La communication des variables individuelles est évaluée au regard de l'importance ou du sujet, grâce aux priorités. Ainsi, la charge de communications est mieux répartie.

Attention : Les classes prioritaires ne sont pas prises en charge par tous les drivers. Par exemple, les drivers utilisant des communications événementielles ne les prennent pas en charge.

Fermer boîte de dialogue

Options | Description :
OK | Applique toutes les modifications effectuées sur tous les onglets, puis ferme la boîte de dialogue.
Annuler | Annule toutes les modifications effectuées sur tous les onglets, puis ferme la boîte de dialogue.
Aide | Ouvre l'aide en ligne.

Délai de mise à jour des drivers cycliques

Les dispositions suivantes s'appliquent aux drivers cycliques :

Pour les valeurs prescrites, la définition de variables et les Requests, un cycle de lecture est immédiatement déclenché pour tous les drivers - indépendamment de l'heure de mise à jour définie. Ceci garantit que la valeur est immédiatement disponible pour la visualisation après l'écriture. Les délais de mise à jour peuvent donc être plus courts que les valeurs prédéfinies pour les drivers cycliques.


Simulation de driver

Manuel -> Variables -> Drivers -> Simulation de driver

Si le procédé sous-jacent n'est pas disponible lors de la configuration, celui-ci peut être simulé et testé à l'avance. Trois modes sont disponibles à cette fin :

  • Simulation statique : valeurs constantes simulées par le driver
  • Simulation - comptage : les valeurs simulées par le driver sont comptées.
  • Simulation - Programmée : les valeurs sont calculées via un projet de simulation avec zenon Logic.

attention Attention

Si le driver est arrêté en mode Simulation - Comptage, seul le comptage est arrêté. La variable n'est pas basculée vers l'état défaillant. Dans tous les autres modes, le driver est vraiment arrêté.

Remarque : Simulation - programmée n'est pas pris en charge par les drivers spécifiques aux éléments suivants :

  • Variables internes
  • Variables mathématiques
  • Variables de simulation
  • Variables système

info Informations

Les variables de zenon représentant les variables IO de zenon Logic ne sont pas disponibles dans le projet sous l'état Simulation de drivée programmée.

tutorial Informations concernant la licence

Composante de la licence standard d’Editor et du Runtime.

Autres sujets abordés dans ce chapitre

Simulation statique

Simulation - comptage

Simulation - Programmée


Simulation statique

Manuel -> Variables -> Drivers -> Simulation de driver -> Simulation statique

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Lors d'une simulation statique, aucune communication n'est établie au niveau du système de contrôle ; les valeurs sont simulées par le driver. Dans ce mode, la valeur demeure constante. Les valeurs peuvent être modifiées par le Runtime ou l'utilisateur. Lors d'un redémarrage du Runtime en mode Simulation - Statique, ces valeurs ne sont toutefois pas enregistrées et sont perdues.


Simulation - comptage

Manuel -> Variables -> Drivers -> Simulation de driver -> Simulation - comptage

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Lors d'une simulation de comptage, aucune communication n'est établie au niveau du système de contrôle ; au lieu de cela, les valeurs sont simulées par le driver. Dans ce mode, le driver augmente automatiquement les valeurs dans les limites d'une plage de valeurs, en commençant par 0. Si la valeur maximale a été atteinte, le processus de comptage reprend à partir de 0.

info Informations

Pour les valeurs de départ négatives, le processus de comptage commence uniquement à 0.

INT utilise la valeur maximale de USINT pour le comptage.

attention Attention

Si le driver est arrêté en mode Simulation - Comptage, seul le comptage est arrêté. La variable n'est pas basculée vers l'état défaillant. Dans tous les autres modes, le driver est vraiment arrêté.


Simulation - Programmée

Manuel -> Variables -> Drivers -> Simulation de driver -> Simulation - Programmée

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Pour le mode Simulation - Programmée, aucune communication n'est établie avec l'automate ; au lieu de cela, les valeurs sont calculées par un projet de simulation librement programmable. Le projet de simulation est créé dans le module Workbench de zenon Logic et s'exécute dans le Runtime de zenon Logic. Celui-ci permet de modifier les informations d'horodatage des variables au niveau du driver. Les commandes d'écriture de variables exécutées par zenon sont transmises à la simulation et les serveurs redondants sont synchronisés. C'est également de cette manière que sont simulés les procédés complexes.

Pour démarrer le programme de simulation, sélectionnez le mode Simulation - Programmée dans Driver configuration (Configuration du driver).

info Informations

Windows CE

Simulation - programmée n'est pas disponible sous Windows CE.

Autres sujets abordés dans ce chapitre

Editor

Configuration du driver

zenon Logic Workbench

Runtime

Remarques concernant les variables dans les projets de simulation

Message d'erreur


Editor

Manuel -> Variables -> Drivers -> Simulation de driver -> Simulation - Programmée -> Editor

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Autres sujets abordés dans ce chapitre

Créer un projet

Supprimer le projet

Développement distribué

Modifier un driver

Export/import XML


Créer un projet

Créer un projet

Pour créer un programme pour la fonction Simulation - programmée, vous devez :

  • Sélectionner un driver de procédé simple ;
  • Vous assurer que le nom du projet est valide.

attention Attention

Simulation - programmée n'est pas pris en charge par les drivers spécifiques aux éléments suivants :

  • Variables internes
  • Variables mathématiques
  • Variables de simulation
  • Variables système

Pour créer un projet de simulation :

  • Cliquez sur le groupe Projet de simulation pour le driver dans la propriété Édition, puis sur Cliquer ici ->.
  • Un nouveau projet zenon Logic est alors créé,
  • Nom et les numéros de port pour Port d'événements et Port standard sont définis automatiquement ; vous pouvez les modifier à votre convenance.
  • zenon Logic Workbench démarre.

Le module Workbench ouvert pour le projet de simulation est automatiquement fermé si :

  • zenon Editor est fermé.
  • Un driver est supprimé et le projet de simulation associé est actuellement en cours d'édition dans le module Workbench.
  • Le projet de simulation associé au driver est supprimé via la propriété Supprimer.
  • Le projet de simulation est renommé.

info Informations

Numéro de port : Lors de la création du projet de simulation pour ce projet, un numéro de port distinct est automatiquement attribué. Un numéro de port attribué automatiquement est seulement unique pour le projet correspondant. Dans les projets multi-hiérarchiques, il est impératif de s'assurer qu'un numéro de port est utilisé une fois seulement dans tous les projets exécutés dans le Runtime. Si un numéro de port est utilisé plusieurs fois, des erreurs de communication peuvent se produire avec zenon Logic Workbench ou le Runtime.

Les numéros de port peuvent être modifiés manuellement. Un numéro de port doit répondre aux conditions suivantes :

  • Il doit être disponible dans le projet.
  • Il doit être unique pour tous les projets exécutés dans le Runtime.
  • Il doit être disponible sur l'ordinateur sur lequel s'exécute le driver.

Numéros de port autorisés :

  • Minimum : 6000 (avec attribution automatique, recommandé en cas d’attribution manuelle)
  • Maximum : 6999 (avec attribution automatique, recommandé en cas d’attribution manuelle)

Archivage de projets

Un projet zenon Logic contient de nombreux fichiers et dossiers. Pour les gérer, et en particulier pour simplifier le développement distribué, tous les fichiers sont archivés dans un format compressé dans le fichier Simul_<driver-ID>.zip dans le dossier <Chemin du projet SQL>\FILES\zenon\custom\drivers. Ce fichier figure parmi les fichiers de drivers dans Editor. Lors du démarrage de zenon Logic Workbench, les fichiers sont automatiquement décompressés, et sont à nouveau compressés lors de l'arrêt du module.

Création de variables

Lors de la création de variables dans un projet de simulation, la succession est importante :

  1. Créez la variable
  2. Sélectionnez un type de données valide dans zenon Logic Workbench
  3. Ensuite, activez la propriété Embarquer les symboles

Arrière-plan : Les variables sont créées avec le type d'objet de driver Donnée automate, par défaut. Ce type d'objet n'est pas compatible avec tous les types de données pour tous les drivers. Si une variable est copiée dans zenon Logic Workbench alors que la propriété Embarquer les symboles est active, vous devez désactiver cette propriété pour modifier le type de données. La variable est alors supprimée dans zenon.

info Informations

Message d'erreur "Impossible de créer la variable"

Une variable ne peut pas être créée dans l'objet de simulation si le driver ne comporte pas le type d'objet de driver "exception".

Variable de driver - compatible avec ce type de données.

Lors de l'activation de la variable Embarquer les symboles, le message d'erreur "Impossible de créer la variable" est affiché.

Type structure

Lors de la création d'une variable avec un type de données structure :

  • Les variables sont créées avec le type d'objet de driver Donnée automate, si possible.
  • Tous les types de drivers d'objet, à l'exception de la variable de driver, sont testés jusqu'à ce qu'un type puisse être utilisé pour tous les éléments.
  • Si aucun type de driver d'objet adéquat n'est disponible :
    • Aucune variable n'est créée pour les variables non-structurelles.
    • Le type d'objet de driver Donnée automate est utilisé pour les variables structure.

Exemple :

Un type de données structure contient des éléments de type UINT et STRING. Une variable est créée pour le driver S7TCP, et la variable Embarquer les symboles est activée.

  • La variable n'est pas créée avec le type Marqueur d'automate, mais avec le type Bloc de données étendu, dans lequel existent tous les éléments de structure.
  • Un nouveau type (LINT) est ajouté ; il n'est pas compatible avec le type Bloc de données étendu.
  • Lorsqu'une nouvelle variable est créée, elle est créée sous le type Donnée automate. Seule la première variable complexe peut être activée (UINT). Pour la variable de structure existante, le type d'objet Bloc de données étendu est conservé, et le dernier élément structure (LINT) ne peut pas être activé.

Compilation des fichiers

Si un projet de simulation est compilé dans zenon Logic Workbench, ceci provoque la création d'une variable dans zenon et le fichier programme du Runtime.
Lors de la compilation, un sous-dossier portant le nom du projet de simulation est créé dans le dossier du Runtime\RT\FILES\zenon\custom\drivers. Le fichier contenant le code de la simulation est nommé SIMULRT.COD ; il est archivé dans ce dossier.

Le message suivant est affiché dans la fenêtre de sortie :

SIMULRT.COD

S'il est compilé avec le compilateur C, le message suivant est également affiché :

T5APP.DLL

attention Attention

Pour les projets multi-utilisateurs, vous ne devez pas créer de projets de simulation hors ligne. Ils ne peuvent plus être supprimés.


Supprimer le projet

Supprimer le projet

Pour supprimer un projet de simulation :

  1. Cliquez sur le bouton Cliquer ici -> dans la propriété Supprimer du groupe Projet de simulation pour le driver.
  2. Confirmez cette sélection lorsque le programme vous invite à le faire.
  3. Le fichier ZIP contenant les fichiers du projet est supprimé.
  4. zenon Logic Workbench est fermé.

Remarque :

  • Le dossier du Runtime pour le projet de simulation est conservé.
  • La fonction Annuler n'est pas disponible pour cette action.
  • Cliquez sur Édition pour créer un nouveau projet de simulation.
  • Pour les projets multi utilisateurs:
    • L'option de driver Autoriser les modifications doit être activée pour que le programme de simulation puisse être supprimé.
    • Le projet n'est pas affiché comme supprimé sur d'autres clients tant qu'il n'a pas été synchronisé.

      Si vous tentez d'ouvrir un projet supprimé avant qu'il n'ait été synchronisé (en cliquant sur Édition), un nouveau projet de simulation est créé.

    • Vous ne pouvez pas annuler la suppression de projets simples via la fonction Annuler les modifications.

attention Attention

Le projet de simulation est immédiatement supprimé de la base de données locale et de la base de données du serveur lors de la suppression. Cette action ne peut pas être annulée !

Remarque : La suppression manuelle du fichier ZIP du driver entraîne également la suppression du projet de simulation. Éléments requis : L'instance de zenon Logic Workbench associée à ce driver n'est pas ouverte. Nous ne recommandons pas ce mode opératoire !


Développement distribué

Développement distribué

Pour les projets multi-utilisateurs, toutes les instances de zenon Logic Workbench en cours d'exécution qui forment partie du projet sont fermés dans les cas suivants :

  • La fonction Accepter les modifications est exécutée pour des modules entièrement verrouillées pour d'autres utilisateurs dans la section Autoriser modifications, par exemple pour les variables, les drivers et les types de données.
  • Annuler les modifications :
    • Les nouveaux projets ne sont pas créés sur le serveur.
    • Les modifications apportées au programme de simulation sont perdues.
    • Les fichiers de driver non présents dans la base de données du serveur sont également perdus dans la base de données locale.
  • Synchroniser :
    Les modifications apportées localement au programme Simulation - Programmée sont perdues.
  • Mettre à jour la version locale :
    Les modifications apportées localement au programme de simulation dans la fonction Simulation - Programmée sont perdues.

attention Attention

L'état du fichier ZIP du projet de simulation ne peut pas être modifié (état multi-utilisateurs Accepter les modifications, Autoriser modifications, Annuler les modifications) afin de garantir l'exécution correcte des fonctions Accepter les modifications et Autoriser modifications pour le driver !

Supprimer le projet

Pour les projets multi utilisateurs

  • L'option de driver Autoriser les modifications doit être activée pour que le programme de simulation puisse être supprimé.
  • Le projet n'est pas affiché comme supprimé sur d'autres clients tant qu'il n'a pas été synchronisé.
    • Si vous tentez d'ouvrir un projet supprimé avant qu'il n'ait été synchronisé (en cliquant sur Édition), un nouveau projet de simulation est créé.
  • Vous ne pouvez pas annuler la suppression de projets simples via la fonction Annuler les modifications.

attention Attention

Un projet de simulation comportant l'état Autoriser modifications ne peut pas être supprimé dans le mode Hors ligne.

Un projet de simulation créé en mode hors ligne dans un projet multi-utilisateurs ne peut donc plus être supprimé.


Modifier un driver

Modifier un driver

En cas de changement de driver dans zenon, les conditions suivantes sont vraies :

  • Le projet de simulation est conservé.
  • Tous les ports sont toutefois définis sur 0. Pour obtenir des numéros de port fonctionnels, ouvrez le projet dans Editor. Les nouveaux numéros de port seront alors saisis automatiquement. Les numéros de port peuvent également être attribués manuellement.

attention Attention

Les drivers liés à un projet zenon Logic à l'aide de la solution intégrée ne peuvent pas être échangés.


Export/import XML

Export/import XML

Un projet en mode Simulation - programmée peut être exporté au format XML. Il ne peut en revanche pas être importé en tant que nouveau projet pour un autre driver.

Solution :

  1. Exportez les programmes de zenon Logic.
  2. Importez-les dans le nouveau projet pour le nouveau driver.
  3. Remplacez les variables à l'aide de la fonction Rechercher et remplacer.


Configuration du driver

Manuel -> Variables -> Drivers -> Simulation de driver -> Simulation - Programmée -> Configuration du driver

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Quatre modes sont disponibles lors de la configuration du driver :

  • Matériel
  • Simulation - comptage
  • Simulation statique
  • Simulation - Programmée

Sélectionnez le mode Simulation - Programmée.

Autres sujets abordés dans ce chapitre

État de la variable du driver

Synchronisation cyclique


État de la variable du driver

État de la variable du driver

L'état du Runtime de zenon Logic est affiché dans la variable de driver SimulRTState, à l'offset 60. La variable est numérique et ne peut pas être écrite. La valeur vous informe au sujet de l'état du Runtime :

Bit | Signification | Description
31 | Sans application | Le Runtime n'a pas chargé de programme, le programme a été arrêté ou n'a pas été chargé dans le Runtime.
30 | Sans instance | Aucune instance de Runtime n'a été créée, par exemple parce que la DLL associée au Runtime n'a pas pu être chargée, parce que la quantité de mémoire disponible est insuffisante, parce que la DLL est absente ou parce que la version de la DLL est incorrecte.
18 | Code de programmation disponible | Le code de programmation est disponible avec le code compilé ; la commutation est possible.
17 | Code actif compilé | Le Runtime s'exécute avec le code compilé (dans le cas contraire, avec le code de programmation interprété)
16 | Code compilé disponible | Le code compilé provenant du compilateur C est disponible.
15 | L'application est chargée. | Une application est présente, le Runtime est en cours d'exécution.
14 | Démarrage impossible - gestionnaires manquants | Certaines fonctions "C" sont manquantes.
13 | Points d'interruption actifs installés | Au moins un point d'interruption a été défini par le débogueur.
12 | Le segment CT existe. | L'application a été compilée séparément avec l'option Variables complexes dans un segment distinct.
11 | Réservé | (Interne, uniquement destiné au Runtime.)
10 | Demande d'informations système disponible. | (Interne, uniquement destiné au Runtime.)
9 | Figer la production d'événements. | La fonction de liaison ne transmet pas les événements.
8 | Mode cycle unique | (Interne, uniquement destiné au Runtime et au débogueur.)
7 | Réservé | (Interne, uniquement destiné au Runtime.)
6 | Variables verrouillées. | Au moins une variable est verrouillée.
5 | Fonctions trigonométriques en degrés. | Les fonctions trigonométriques sont exprimées en degrés.
4 | Consigner les messages dans la pile. | (Interne, uniquement destiné au Runtime.)
3 | Application arrêtée entre deux programmes. | Le Runtime s'est arrêté entre deux étapes durant le débogage.
2 | Application arrêtée sur un point d'interruption de SFC. | (Interne, uniquement destiné au Runtime.)
1 | Application arrêtée sur une erreur. | Runtime arrêté avec une erreur grave, redémarrage requis.
0 | L'application est en cours d'exécution. | TRUE = L'application opère en mode exécution. FALSE = L'application est en pause en mode "cycle à cycle".

info Informations

La variable de driver SimulRTState comportant l'offset 60 affiche l'état du Runtime sur le serveur. Cela s'applique également lorsque la variable est affichée sur le serveur redondant.


Synchronisation cyclique

Synchronisation cyclique

Les simulations s'exécutent en réseau sur le serveur et le serveur redondant, chaque serveur étant indépendant de l'autre. Lors du démarrage du serveur redondant, une synchronisation est effectuée avec le serveur ; toutefois :

  • La première synchronisation est retardée conformément au délai d'exécution du paquet.
  • De petites différences dans l'exécution aboutissent à un écart plus important.

L'état des variables simulées devient alors différent. Pour minimiser ces différences, utilisez la fonction Transférer l'image de simulation du driver vers le serveur redondant pour synchroniser l'image de la simulation.

  • Créez une nouvelle fonction.
  • Sélectionnez Transférer l'image de simulation du driver vers le serveur redondant.

  • La boîte de dialogue de sélection de driver s'affiche à l'écran.

  • Dans la liste, tous les drivers liés au procédé sont disponibles dans la liste (à l'exception du simulateur) ; cliquez sur l'en-tête de la colonne pour modifier l'ordre de tri.
  • Sélectionnez le driver devant être synchronisé.
  • Chaque fois qu'une fonction est exécutée sur le serveur redondant, une image est demandée au serveur pour le driver sélectionné.

Les différences dans l'état actuel de la simulation peuvent être minimisées par l'activation cyclique. Adaptez la grille de l'exécution au volume de données à synchroniser, car cette tâche exerce une charge sur le réseau et sur l'ordinateur.

La Exécution de la fonction est fixe et définie sur Serveur redondant ; elle ne peut pas être modifiée. Ceci se produit uniquement si :

  • L'ordinateur est le serveur redondant.
  • Le serveur est en ligne.
  • Le projet est un projet en réseau.
  • Les drivers ont été sélectionnés aux fins de la synchronisation.

Pour modifier la sélection des drivers

  • Dans les propriétés du driver, cliquez sur le groupe Général de la propriété Paramètre.
  • La boîte de dialogue de sélection du driver s'affiche.


zenon Logic Workbench

Manuel -> Variables -> Drivers -> Simulation de driver -> Simulation - Programmée -> zenon Logic Workbench

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

La programmation de la simulation programmée se déroule dans zenon Logic Workbench, qui opère en collaboration étroite avec zenon Editor. Pour la simulation (contrairement à la solution intégrée), seules les variables d'un driver sont échangées entre les différents éditeurs.

Définition des variables devant être échangées :

Lors du démarrage de zenon Logic Workbench, toutes les variables de driver qui ne sont pas encore présentes dans zenon Logic sont créées sous forme de variables globales. L'option Embarquer les symboles est automatiquement activée pour celles-ci.

Visibilité

Si une nouvelle variable est définie dans le module Workbench, dans la zone Global ou Retain, elle est uniquement visible dans zenon Logic. Pour la rendre visible dans zenon, l'option Embarquer les symboles doit être activée. À partir de cet instant, toutes les variables sont actualisées par les deux éditeurs.

Si l'option Embarquer les symboles est désactivée, la variable est supprimée dans zenon Editor. Cette action permet de définir des variables Global et Retain dans zenon Logic ; celles-ci ne sont pas visibles pour zenon.

Le programme tente d'attribuer une nouvelle variable créée par zenon Logic Workbench dans zenon à la zone SPSMERKER. Si le driver zenon ne prend pas en charge le type de données configuré, une recherche est effectuée afin de déterminer la première zone de données prenant ce type de données en charge. Si aucune zone n'est trouvée, la variable ne peut pas être créée.

Une variable est uniquement verrouillée dans le cadre d'un projet multi-utilisateurs, si l'état Permettre les modifications n'a pas été défini.

Paramètres du projet

Certains paramètres sous Projet -> Paramètres du projet... -> Autres options -> Étendues dans zenon Logic influencent les fonctionnalités de la simulation.

Paramètres étendus

Description

Runtime : Mode d'exécution

Recommandation :

Mode : déclenchement

Temps de cycle : Un quart à un tiers du délai d'actualisation du driver.
Les modifications de valeurs fréquentes des variables simulées entraînent une augmentation de la charge exercée sur l'ordinateur.

Compilateur/options : Embarquer les symboles de toutes les variables

Recommandation : désactivé.
Activé : les données d'une variable sont échangées, car les noms des symboles sont attribués dans le Runtime.

Toutefois : Toutefois, les modifications apportées à la configuration des variables ne sont pas actualisées entre zenon et zenon Logic. Il n'est plus possible d'effectuer des modifications en ligne.

Compilateur/options : Conserver la capitalisation des symboles

Sans incidence : les noms de variables sont toujours convertis en capitales dans le Runtime.

Compilateur/options : Créer des bits d'état pour les variables comportant un profil

Active : L'état des variables est simulé ou déclenche une réaction dans le programme de simulation.

"C" compiler (Compilateur C)

Le code natif est pris en charge.

Nom de la DLL devant être contenue dans le code compilé : t5app.dll.


Runtime

Manuel -> Variables -> Drivers -> Simulation de driver -> Simulation - Programmée -> Runtime

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Autres sujets abordés dans ce chapitre

Fonctionnalité

Tableaux et simulation

Fichiers du Runtime

Échange de données

Stockage de données

Redondance

État

Démarrage/Arrêt

Commandes du driver

Attribution des variables

Informations d'horodatage


Fonctionnalité

Fonctionnalité

Le Runtime zenon Logic offre les fonctions suivantes :

  • Transfert de fichier
  • Type de données :
    • BOOL
    • BYTE
    • DINT
    • DWORD
    • INT
    • LINT
    • LREAL
    • REAL
    • SINT
    • STRING
    • TIME
    • UDINT
    • UINT
    • USINT
    • WORD
  • Tableaux de zenon (reportez-vous également à la section Tableaux et simulation)
  • Horodatage
  • Enregistrement numérique de valeurs
  • Blocs fonctionnels avec liaisons dynamiques, mémorisés dans t5block*.dll
  • Redémarrage à chaud
  • Journalisation :
    • Journalisation des messages provenant du programme (printf)
    • Messages d'erreur dans le Runtime
    • Toutes les erreurs apparues dans les modules Workbench et Diagnosis Server
  • Code machine : code C natif compilé avec le post-compilateur (indisponible sous Windows CE)
  • Modification en ligne
  • Langages de programmation : IL, AS, FDB, LD, ST
  • Données Retain (données rémanentes)
  • Blocs fonctionnels et fonctions spéciales :
    • Numérotation consécutive des données
    • Attribution dynamique de mémoire
    • Recettes embarquées
    • Listes de variables embarquées
    • Gestion de fichiers
    • Fichiers
    • Mathématique
    • Aléatoires
    • Signaux
    • Tables de chaînes
    • Trigonométrie
    • Heure
  • Communications événementielles
    • Changement de valeur en cas d'événement
    • 16 connexions
    • Hystérésis
  • UDP & TCP/IP pour les langages IEC
  • Verrouillage de variables


Tableaux et simulation

Tableaux et simulation

Pour simuler des tableaux multidimensionnels dans la simulation de driver, vous devez activer la propriété Enregistrer les variables complexes dans leur propre segment de zenon Logic Workbench.

Les tableaux commencent par l'indice 1

Si des tableaux comportant l'indice de départ 1 existent dans une simulation, ces tableaux sont générés avec un indice supplémentaire dans zenon Logic Workbench.

Example Exemple

Dans zenon, un tableau comporte les indices 1 à 4. Ce tableau comporte les indices 0 à 4 dans zenon Logic Workbench.

Ceci garantit que les mêmes indices sont utilisés dans zenon et zenon Logic. L'indice 0 n'est pas transféré au driver.

Si vous modifiez le tableau dans zenon Logic Workbench, vous devez tenir compte de cet indice supplémentaire.


Fichiers du Runtime

Fichiers du Runtime

Lors de la création des fichiers de Runtime, un sous-dossier portant le nom du projet de simulation est créé dans l'élément Dossier du Runtime du projet, dans le répertoire \RT\FILES\zenon\custom\drivers. Le fichier contenant le code de la simulation est nommé simulrt.cod ; il est archivé dans ce dossier.

Une fois la compilation effectuée dans le module Workbench et le transfert vers le dossier de Runtime effectué, le message suivant s'affiche dans la fenêtre de sortie d'Editor :

SIMULRT.COD

S'il est compilé avec le compilateur C, le message suivant est également affiché :

T5APP.DLL

Remote transport

Les fichiers de Runtime destinés à la simulation sont générés sous la forme d'un sous-dossier des fichiers du driver. Pour le module Remote Transport, le sous-dossier et tous les informations qu'il contient sont transférés vers l'ordinateur cible.


Échange de données

Échange de données

L'échange de données entre le Runtime zenon Logic et le driver démarre lors du deuxième cycle du Runtime zenon Logic. Par conséquent, la première exécution est disponible aux fins de l'initialisation de toutes les variables dans le Runtime.

Les données sont uniquement échangées si :

  • La variable est demandée et...
    • N'a pas encore reçu une valeur.
    • Ne comporte pas l'état Désactivé (OFF/_VSB_N_UPD) ou Valeur de remplacement (ALT_VAL/_VSB_AVALUE) dans le driver
    • Est encore demandée par le driver.
    • A changé de valeur ou d'état.

L'échange de données avec le driver est exécuté de manière asynchrone durant le cycle du Runtime. Le driver analyse les changements de valeurs à chaque cycle de mise à jour. Toutes les valeurs modifiées - à l'exception de l'état Désactivé (OFF/_VSB_N_UPD) ou de la valeur de remplacement (ALT_VAL/_VSB_AVALUE) - sont entrées dans la liste de variables devant être mises à jour dans le driver et transmises au Runtime.

Fonction Transférer l'image de simulation du driver au serveur redondant

Cette fonction est uniquement exécutée sur le serveur redondant (pour plus d'informations concernant la configuration, se reporter au chapitre Comparaison cyclique). Les données sont obtenues de manière synchrone depuis le driver situé sur le serveur compilant l'image. Le driver dispose d'un délai de 5 secondes à cette fin. Parce que les données de l'image sont créées dans le même fil que celui dans lequel s'exécute la simulation, il est nécessaire de veiller à ce que la simulation soit traitée en l'espace de 5 secondes. En cas de dépassement de ce délai, aucune image n'est transférée pour ce driver.

Simulation de la valeur

Les changements de valeur ne sont pas transférés immédiatement, mais enregistrés dans un buffer. Le buffer peut enregistrer 8192 changements de valeur, ou cinq fois le nombre de variables, selon la valeur la plus élevée. Le délai de transfert résultant du cycle du driver peut atteindre 100 ms. Si la valeur change encore alors qu'elle attend d'être transférée, toutes les valeurs qui n'ont pas encore été transférées sont transmises au Runtime et la nouvelle valeur est alors consignée. Ceci peut entraîner une augmentation de la charge exercée sur l'ordinateur et le réseau, mais garantit que toutes les valeurs sont transférées dans le Runtime.

Commande d'écriture de driver

Si la fonction Simulation - Programmée est configurée et active, les commandes d'écriture sur le serveur redondant sont transmises au Runtime.

Les opérations d'écriture sont exécutées de manière asynchrone par le driver dans le Runtime. Les échanges de données sont effectués par le biais d'un buffer. Le buffer peut enregistrer 8192 changements de valeur, ou cinq fois le nombre de variables, selon la valeur la plus élevée.

Les commandes d'écriture sont examinées après les changements de valeur dans le Runtime. Si une commande d'écriture ne peut pas être correctement exécutée, le message d'erreur Write queue full! Write command for <DP-Name> lost! est affiché.

Si les bits d'état sont activés, le paramètre Écriture réussie sera affiché si la valeur provenant du driver a été écrite dans la valeur de la variable. Le programme du Runtime doit à nouveau supprimer cet état après avoir traité la commande d'écriture. Un bit d'état déjà actif ne provoque aucun délai en cas de nouvelle écriture dans le driver. Les commandes d'écriture sont également exécutées si le programme de Runtime a été arrêté par un point d'interruption.

Remarque : toutes les commandes d'écriture provenant du driver ne sont pas visibles dans le Runtime. Si plusieurs commandes d'écriture sont présentes dans le buffer, seule la dernière est visible dans le Runtime.

Désactiver les variables / Commuter vers valeur de remplacement

Si la variable est désactivée ou basculée vers une valeur de remplacement, le Runtime ne le reconnaît pas. Les modifications des valeurs qui sont également exécutées par le Runtime ne sont pas attribuées aux variables dans le driver. Si les variables sont à nouveau activées ou basculées vers une valeur événementielle, la valeur actuelle est à nouveau transférée depuis le Runtime vers le driver. Lors de la désactivation de la valeur événementielle, le bit d'état OFF est défini. Lorsque vous revenez à la valeur spontanée, le bit OFF est réinitialisé.


Stockage de données

Stockage de données

Données Retain (données rémanentes)

Les données Retain sont conservées dans le fichier SimulRt<TreiberID>.ret. Un fichier comme celui-ci est créé pour chaque simulation, à condition que les variables Retain soient présentes. Le fichier est pris en compte lorsqu'une comparaison est réalisée sur le réseau.

Driver rémanent

Le paramètre Simulation - programmée au démarrage du driver n'est pas un critère de restauration de l'image de variable rémanente.


Redondance

Redondance

Démarrage sur le serveur redondant

Si le driver s'exécute déjà sur une base redondante, l'image de la simulation doit déjà être disponible. Dans ce cas, la simulation est démarrée "à chaud" avec cette image. Si aucune image n'est présente, une reprise intermédiaire est exécutée.

Fonction Transférer l'image de simulation du driver au serveur redondant

Cette fonction est uniquement exécutée sur le serveur redondant (pour plus d'informations concernant la configuration, se reporter au chapitre Comparaison cyclique). Les données sont obtenues de manière synchrone depuis le driver situé sur le serveur compilant l'image. Le driver dispose d'un délai de 5 secondes à cette fin. Parce que les données de l'image sont créées dans le même fil que celui dans lequel s'exécute la simulation, il est nécessaire de veiller à ce que la simulation soit traitée en l'espace de 5 secondes. En cas de dépassement de ce délai, aucune image n'est transférée pour ce driver.

Synchronisation

Conjointement aux fichiers programme de la simulation, les éléments suivants sont également comparés :

  • Données Retain (*.ret)
  • Tous les fichiers *.simul
    Cette extension de fichier est créée par le programme de simulation pour les fichiers spécifiques à la simulation, qui sont archivés dans le dossier avec une description de l'ordinateur sous l'élément Dossier du Runtime.


État

État

Simulation d'état

Pour la simulation d'état, dans zenon Logic, l'option Projet -> Paramètres du projet -> Étendus -> Compilateur -> Options -> Créer des bits d'état pour les variables comportant un profil doit être active. Si l'état d'une variable est modifié, ceci déclenche la transmission d'une variable au driver.

Les modifications des états suivants ne déclenchent pas de modification de valeur au niveau du driver, et ne sont également pas dérivées de la simulation :

  • Temps réel externe (T_EXTERN/_VSB_RT_E)
  • Temps réel interne (T_INTERN/_VSB_RT_I)
  • Heure standard (T_STD/_VSB_WINTER)
  • Écriture reconnue (WR_ACK/_VSB_WR_ACK)
  • Écriture réussie (WR_SUC/_VSB_WR_SUC)
  • État normal (NORM/_VSB_NORM)
  • Écart par rapport à l'état normal (N_NORM/_VSB_ABNORM)
  • Sélection sur le réseau (NET_SEL/_VSB_SELEC)
  • Dépassement du délai d'attente du Runtime (TIMEOUT/_VSB_RTE)
  • En cours d'utilisation (PROGRESS/_VSB_DIREC)
  • Désactivé (OFF/_VSB_N_UPD)
  • Valeur de substitution (ALT_VAL/_VSB_AVALUE)

info Informations

Le bit d'état Écriture réussie (WR_SUC/_VSB_WR_SUC)) est disponible dans le programme de Runtime, et peut être rétabli pour afficher une écriture réussie.

Toutefois, le rétablissement de l'état ne déclenche pas le transfert vers le Runtime de zenon. Seuls les changements de valeurs sont transférés du driver vers le Runtime.

Bits d'état traités différemment

Les bits d'état suivants s'annulent réciproquement :

Bit

Description

17 : Spontané
(SPONT/_VSB_SPONT)

L'état Spontané est défini. Cet état est défini si la fonction de gestion de l'état est désactivée ou si aucun état n'a été défini. L'état GI + INVALID est supprimé.

18 : Invalide
(INVALID/_VSB_I_BIT)

L'état INVALID est défini. L'état SPONTAN + GI est supprimé.

16 : Requête générale
(GI/_VSB_GR)

L'état Requête générale est défini. L'état SPONTAN + INVALID est supprimé.

8 : Sélection sur le réseau
(NET_SEL/_VSB_SELEC)

Si ce bit d'état est actif (activation/désactivation de la fonction SBO), les bits d'état suivants sont acceptés avec 0, puis transmis en tant que 0 au driver afin d'identifier une modification :

  • Sélection sur le réseau (NET_SEL)
  • Cause de transmission (COTx)
  • Sélection (SE_870)
  • N_CONF (P/N-BIT)
  • Bit de test (TEST)
  • Écriture réussie (WR_SUC)

Fonction Select Before Operate (SBO)

La simulation d'état doit être disponible dans le programme du Runtime pour qu'une réaction ait lieu à l'élément Select Before Operate. La procédure Select Before Operate est définie dans le Runtime.

Activation

Si une commande de sélection de procédure SBO (SBO select) est transmise au driver, cela déclenche l'écriture d'une valeur avec l'état Sélection sur le réseau (NET_SEL) + cause de la transmission (COT_act).

Une procédure SBO correspondant doit être mise en œuvre et doit démarrer dans le Runtime.

Le bit d'état Sélect sur le réseau (NET_SEL) doit être rétabli dans le programme de Runtime.

Désactivation

La désactivation déclenche l'écriture d'une valeur avec l'état Sélection sur le réseau (NET_SEL) + Cause de transmission (COT_deact).

La procédure SBO doit être terminée de manière correspondante dans le Runtime.

Le bit d'état Sélect sur le réseau (NET_SEL) doit être rétabli dans le programme de Runtime.


Démarrage/Arrêt

Démarrage/Arrêt

Démarrage du driver

La mise à jour des valeurs démarre uniquement au niveau du serveur redondant si le driver a reçu l'image de procédé du serveur associé. L'image doit être reçue dans l'intervalle de temps défini pour le module ; dans le cas contraire, le driver démarrage sans image. Si le serveur redondant est mis à niveau comme serveur principal durant le délai d'attente, la période d'attente se termine. Les drivers qui démarrent dans un projet de réseau ou sans réseau ne comportent pas de délai d'attente. Ce comportement s'applique à la fois aux modes simulation et matériel.

Démarrage du Runtime

Si le driver démarre le mode Simulation - Programmée, la première étape consiste en le chargement de la DLL avec le Runtime de la simulation. Ensuite, le Runtime est paramétré et le programme du Runtime démarre, à condition d'avoir été correctement chargé.

Si une image du Runtime est présente, le Runtime est démarré à chaud avec celle-ci. Dans le cas contraire, une reprise intermédiaire est effectuée. Si celle-ci ne peut être exécutée, une tentative de démarrage à froid du Runtime est exécutée. En l'absence de programme valide, le Runtime démarre à l'arrêt. L'état de toutes les variables est défini sur INVALID.

Le programme de simulation s'exécute dans son propre fil, et est donc complètement indépendant du cycle du driver.

info Informations

Variables de retenue

Les données de retenue contiennent uniquement la valeur des variables de zenon Logic, et non leur état. Cela signifie, pour le démarrage :

  • Démarrage à chaud l'état défini pour une variable est restauré, qu'il s'agisse ou non d'une variable de retenue.
  • Démarrage à froid avec variables de retenue : seule la valeur de la variable de retenue dans zenon Logic est restaurée, et non son état.

Arrêter le Runtime

Si le Runtime est arrêté, l'état INVALID est défini pour toutes les variables. Les variables qui sont demandées lors de l'arrêt du Runtime comportent l'état INVALID lors de l'initialisation. Le Runtime sécurise les données lors de la reprise intermédiaire et de la modification en ligne :

  • SIMULRT.HOT : contient les données destinées au redémarrage à chaud.
  • SIMULRT.UPD : contient les données destinées à la modification en ligne.

Ces deux fichiers sont créés dans le dossier de programme du Runtime. Le Runtime doit disposer d'une autorisation d'écriture dans ce dossier.

Recharger

  • Recompilation du projet de simulation :
    Le driver correspondant est chargé à nouveau.
  • Modification du module de délai d'attente :
    Non reconnu comme une modification par le Runtime, ne provoque pas un nouveau chargement du driver.

Le déploiement standard dans le kit du driver déclenche un redémarrage à chaud lors de l'actualisation du projet de simulation. Si cela n'est pas possible (par exemple, parce que le programme est différent), un démarrage à froid est effectué avec les données Retain.

Suppression du Runtime

Si le Runtime est en cours d'exécution, celui-ci est arrêté. Avant la suppression du Runtime, toutes les mises à jour de valeurs en attente sont transmises au driver. Alors, seulement, le Runtime est déverrouillé et SimulRuntime.dll est supprimé du PC.


Commandes du driver

Commandes du driver

Les commandes de driver sont utilisées pour influencer les drivers par le biais de zenon (démarrage et arrêt, par exemple).
Le développement est mis en œuvre à l'aide de la fonction Commandes de driver.

Démarrage/Arrêt driver

Si le driver est arrêté dans le mode Simulation - Programmée, cela entraîne la suppression du Runtime de la mémoire. Toutes les variables reçoivent l'état INVALID. Lors du redémarrage du driver, la simulation est chargée à nouveau et le Runtime est démarré.

Commutation du driver matériel/de simulation

Lors du basculement entre les modes Matériel et Simulation, le driver se comporte comme suit :

  1. Si le driver a été configuré en mode Matériel dans Editor :
    • le driver est configuré en mode Simulation statique après l'exécution de la fonction Commande de driver avec le paramètre Driver en mode simulation.
  2. Si le driver a été configuré dans Editor pour l'un des modes de simulation (statique, comptage, programmée) :
    • le driver est configuré en mode matériel et communiqué avec l'élément de contrôle après l'exécution de la fonction Commande de driver avec le paramètre Driver en mode réel.
    • Le driver revient alors au mode simulation configuré après l'exécution de la fonction Commande de driver avec le paramètre Driver en mode simulation.


Attribution des variables

Attribution des variables

Le driver zenon est attribué aux variables zenon Logic ; les noms sont convertis en lettres majuscules. Si le Runtime zenon demande une variable au driver, cette demande est transmise à la simulation. Si aucune simulation n'est chargée, la variable reçoit l'état Désactivé ( OFF/VSB_N_UPD) lorsque le driver est arrêté. Dans le cas contraire, elle reçoit l'état Non valide (INVALID/_VSB_I_BIT). Les variables du type d'objet Variable de driver ne sont jamais demandés par la simulation.


Informations d'horodatage

Informations d'horodatage

Pour utiliser la fonction d'horodatage, dans zenon Logic, l'option Projet -> Paramètres du projet -> Paramètres étendus -> Compilateur -> Options -> Créer des bits d'état pour les variables comportant un profil doit être active.

Si la date est définie pour une variable dans le Runtime, la valeur de la date et de l'heure est utilisée comme information d'horodatage. Si la date ou l'heure d'une variable change durant le dernier cycle, ceci déclenche toujours le transfert de la valeur au driver. Ceci est également vrai si ni la valeur, ni l'état n'ont changé.

La plupart des drivers transfèrent uniquement de nouvelles informations d'horodatage vers le Runtime en cas de modification simultanée de la valeur ou de l'état. Une exception est, par exemple, le driver IEC870, qui transfère également de nouvelles informations d'horodatage depuis le matériel (ou Simulation - Programmée) vers le Runtime, en conservant une valeur et un état identiques.

info Informations

Vous devez veiller à ce que la date et l'heure augmentent toujours. Si ce n'est pas le cas, des problèmes peuvent se produire lors de l'archivage. La date doit être une valeur supérieure ou égale à 0.

Les variables horodatées par le programme du Runtime reçoivent l'état Temps réel externe (T_EXTERN/_VSB_RT_E).

Toutes les variables devant être transférées vers le driver et qui n'ont pas été horodatées par le Runtime reçoivent des informations d'horodatage communes durant le cycle. Ceci permet de garantir que l'heure correspond bien à celle de la modification. Ces drivers reçoivent l'état Temps réel interne (T_INTERN/_VSB_RT_I).

Date & Heure

Les considérations suivantes s'appliquent à toutes les informations de date et d'heure :

  • les heures indiquées sont au format UTC.
  • Toutes les heures doivent être comprises entre le 2 janvier 1970 et 2038.
  • Les dates sont converties en chaîne au format AAAA/MM/JJ.
  • L'heure est convertie au format HH:MM:SS.


Remarques concernant les variables dans les projets de simulation

Manuel -> Variables -> Drivers -> Simulation de driver -> Simulation - Programmée -> Remarques concernant les variables dans les projets de simulation

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Les conditions suivantes s'appliquent à la création et la modification de variables dans les projets de simulation :

  1. zenon Logic

    Si les variables sont créées pour un projet de simulation dans zenon Logic Workbench, elles ne disposent pas d'une adresse valide pour les communications. Si les communications basculent vers le matériel, elles peuvent être interrompues lorsque les nouvelles variables sont utilisées dans des synoptiques sans ajustement de l'adresse.

  2. Renommer

    Si une variable est renommée dans un projet de simulation, le nom de la variable est également modifié de manière correspondante dans zenon. Ainsi, par exemple, vous devez également ajuster les noms des variables utilisées dans un projet VBA dans le code VBA.

  3. Solutions intégrées

    Les variables des solutions intégrées telles que zenon Logic, IEC870 ou IEC850 ne doivent pas être renommées dans le projet de simulation. Dans ce cas, les variables perdent les informations relatives au projet.
    Par exemple : si vous renommez Project0/Global/NewVar en myNeVariablenwVar dans le projet de simulation, la variable devient myNewVar dans zenon. Une fois la variable renommée, les communications peuvent être établies avec le Runtime zenon Logic.

  4. Communications fondées sur les noms de variable

    Les variables d'un driver communiquant sur la base des noms de variables ne doivent pas être renommées dans le projet de simulation.

  5. Suppression ou importation de variables

    Si une variable est supprimée ou importée pendant que la fonction Modification en ligne est activée dans zenon Logic, toutes les variables sont supprimées et insérées à nouveau dans zenon Logic.

  6. Variables avec symbole "Embarqué" actif

    Les variables qui existent dans un programme et dont le symbole "Embarqué" est actif ne sont pas disponibles via la connexion entre Logic et SCADA dans zenon. Si une variable comportant un symbole "Embarqué" actif est déplacée de la zone globale vers un programme, la variable est supprimée dans zenon.


Message d'erreur

Manuel -> Variables -> Drivers -> Simulation de driver -> Simulation - Programmée -> Message d'erreur

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Configuration dans zenon Editor

Message d'erreur

Cause et solution

Le nom choisi est déjà utilisé pour un autre driver ou contient des caractères non autorisés ! Veuillez saisir un nom différent !

Le nouveau nom du projet de simulation est déjà utilisé dans le projet ou n'est pas valide.

  • Spécifiez un nom valide

Le projet de simulation provenant du driver <Nom de fichier>/<Description> n'a pas été compilé et ne peut pas être pris en charge ! Veuillez compiler le projet dans le module Workbench.

Un projet de simulation est disponible pour le driver dans le module Workbench. Toutefois, il n'a pas été compilé.

  • Démarrez zenon Logic Workbench avec le projet de simulation de ce driver.
  • Compiler le projet

Conseil : Peu importe que les paramètres de driver soient définis sur Simulation - Programmée dans les paramètres du driver.

Write queue full! Write command for <Name Variable> lost!

Indique la perte d'une commande d'écriture.


Modifier un driver

Manuel -> Variables -> Drivers -> Modifier un driver

Les drivers peuvent être modifiés dans zenon. Les variables restent accessibles et fonctionnelles après que le driver ait été modifié, à condition qu'elles soient présentes dans le driver qui a été modifié. Il n'est possible d'échanger la définition de drivers que lorsque les drivers ont été déclarés comme étant compatibles.

attention Attention

Les drivers liés à un projet zenon Logic à l'aide de la solution intégrée ne peuvent pas être échangés.

Pour modifier un driver existant :

  1. Sélectionnez le driver à modifier dans la vue de détail
  2. Ouvrez le menu contextuel en cliquant avec le bouton droit
  3. Sélectionnez la commande Changer de driver
  4. La boîte de dialogue de création de drivers s'affiche
  5. Sélectionnez le nouveau driver

Les paramètres nécessaires du driver (ou des drivers) - interface, adresse d'interruption etc. - sont définis lors de la configuration des variables.

Example Exemple

Le concept d'adressage de zenon n'est pas disponible lors de la création d'un projet. Seules les variables devant être utilisées ont été définies.

Pour autoriser le traitement en parallèle d'un projet, le driver des variables de simulateur est inclus en tant que driver. La génération des synoptiques avec les liens dynamiques et le test en ligne (spécification valeur prescrite, etc.) peuvent être effectués.

Une fois le concept d'adressage final et les liens vers zenon établis, le driver est modifié et peut alors être testé et utilisé dans les conditions du projet.

Un changement de driver ne peut être réalisé qu'à condition que le driver utilisé au cours de la configuration et le driver utilisé au final possèdent les mêmes propriétés (types de variables).


Supprimer un driver

Manuel -> Variables -> Drivers -> Supprimer un driver

Pour supprimer les drivers :

  1. Sélectionnez le driver souhaité (sélection multiple possible).
  2. Sélectionnez Supprimer dans le menu contextuel ou la barre d’outils.
  3. Les drivers sélectionnés sont supprimés.

    Le processus de suppression doit être confirmé après une demande de confirmation.

Attention : Toutes les variables liées à ce driver sont aussi détruites.


Détails de communication

Manuel -> Variables -> Drivers -> Détails de communication

Le kit de drivers déploie un certain nombre de variables de driver. Celles-ci sont réparties selon les catégories suivantes :

  • Informations
  • Configuration
  • Statistiques et
  • Message d'erreur

Les définitions des variables définies dans le kit de drivers sont disponibles dans le fichier d'importation drvvar.dbf (sur le support d'installation, dans le dossier \Predefined\Variables), et peuvent être importées depuis cet emplacement.

Remarque : Les noms de variable doivent être uniques dans zenon. Si des variables de driver doivent être à nouveau importées depuis drvvar.dbf, les variables qui ont été préalablement importées doivent être renommées.

info Informations

Tous les drivers ne sont pas compatibles avec toutes les variantes de driver.

Par exemple :

  • les variables concernant les informations du modem sont uniquement prises en charge par les drivers compatibles avec un modem.
  • Les variables de driver relatives au cycle d'interrogation sont uniquement compatibles avec les drivers d'interrogation.
  • Les informations associées à la connexion, telles que les données ErrorMSG, concernent uniquement les drivers éditant une connexion à la fois.

Informations

Nom issu de l'importation

Type

Offset

Description

MainVersion

UINT

0

Numéro de version principale du driver

SubVersion

UINT

1

Numéro de version secondaire du driver

BuildVersion

UINT

29

Numéro de version du driver.

RTMajor

UINT

49

zenon - Numéro de version

RTMinor

UINT

50

zenon - Numéro de sous-version

RTSp

UINT

51

zenon - Numéro de service pack

RTBuild

UINT

52

zenon - Numéro de build

LineStateIdle

BOOL

24,0

TRUE, si la connexion modem est "idle"

LineStateOffering

BOOL

24,1

TRUE si un appel est reçu

LineStateAccepted

BOOL

24,2

L'appel est accepté

LineStateDialtone

BOOL

24,3

La tonalité est reconnue

LineStateDialing

BOOL

24,4

La numérotation est active

LineStateRingBack

BOOL

24,5

La connexion est en train d'être établie

LineStateBusy

BOOL

24,6

La ligne est occupée

LineStateSpecialInfo

BOOL

24,7

État spécial d'information reçue

LineStateConnected

BOOL

24,8

Connexion établie

LineStateProceeding

BOOL

24,9

Numérotation terminée

LineStateOnHold

BOOL

24,10

Connexion en attente

LineStateConferenced

BOOL

24,11

Connexion en mode de conférence.

LineStateOnHoldPendConf

BOOL

24,12

Connexion en attente en mode conférence

LineStateOnHoldPendTransfer

BOOL

24,13

Connexion en attente pour le transfert

LineStateDisconnected

BOOL

24,14

Connexion arrêtée.

LineStateUnknow

BOOL

24,15

État de connexion inconnu

ModemStatus

UDINT

24

État actuel du modem

TreiberStop

BOOL

28

Driver arrêté

Pour l'arrêt du driver, la variable possède la valeur TRUE et un bit OFF. Après le démarrage du driver, la variable possède la valeur FALSE et aucun bit OFF.

SimulRTState

UDINT

60

Renvoie l'état du Runtime aux fins de la simulation de driver.

ConnectionStates

STRING

61

Etat de la connexion interne du driver au PLC.

État de la connexion :

0 : Connexion opérationnelle

1 : Échec de connexion

2 : Simulation de connexion

Formatage :

<Netzadresse>:<Verbindungszustand>;…;…;

A connection is only known after a variable has first signed in. In order for a connection to be contained in a string, a variable of this connection must be signed in once.

The status of a connection is only updated if a variable of the connection is signed in. Otherwise there is no communication with the corresponding controller.

Configuration

Nom issu de l'importation | Type | Offset | Description
ReconnectInRead | BOOL | 27 | Si TRUE, me modem se reconnecte automatiquement pour la lecture
ApplyCom | BOOL | 36 | Applique les modifications dans le paramétrage de l'interface série L'écriture de cette variable entraîne immédiatement l'appel de la méthode SrvDrvVarApplyCom (qui ne possède actuellement aucune fonction ultérieure).
ApplyModem | BOOL | 37 | Applique les modifications dans le paramétrage du modem Écrire cette variable appelle immédiatement la méthode SrvDrvVarApplyModem. Ceci ferme la connexion actuelle et ouvre une nouvelle connexion, conformément aux paramètres PhoneNumberSet et ModemHwAdrSet.
PhoneNumberSet | STRING | 38 | Numéro de téléphone qui doit être utilisé
ModemHwAdrSet | DINT | 39 | Adresse physique pour le numéro de téléphone
GlobalUpdate | UDINT | 3 | Délai de mise à jour en millisecondes (ms).
BGlobalUpdaten | BOOL | 4 | TRUE si la période de rafraichissement est globale
TreiberSimul | BOOL | 5 | TRUE si le driver est en mode simulation
TreiberProzab | BOOL | 6 | TRUE si la liste de variables à mettre à jour doit être gardée en mémoire
ModemActive | BOOL | 7 | TRUE si le modem est actif pour le driver
Device | STRING | 8 | Nom de l'interface série ou nom du modem
ComPort | UINT | 9 | Numéro de l'interface série
Baudrate | UDINT | 10 | Vitesse de l'interface série.
Parity | SINT | 11 | Parité de l'interface série
ByteSize | USINT | 14 | Nombre de bits par caractère pour l'interface série Valeur = 0 si le driver ne peut pas établir une connexion série.
StopBit | USINT | 13 | Nombre de bits d'arrêt de l'interface série.
Autoconnect | BOOL | 16 | TRUE si la connexion modem doit être établie de façon automatique pour la lecture et l'écriture
PhoneNumber | STRING | 17 | Numéro de téléphone courant
ModemHwAdr | DINT | 21 | Adresse physique du numéro de téléphone courant
RxIdleTime | UINT | 18 | Le modem est considéré comme déconnecté s'il n'y a pas de transfert de données pendant cette période de temps (en secondes) (s)
WriteTimeout | UDINT | 19 | Durée d'écriture maximum pour une connexion par modem, en millisecondes (ms).
RingCountSet | UDINT | 20 | Nombre de sonneries avant qu'un appel soit accepté
ReCallIdleTime | UINT | 53 | Délai d'attente entre les appels en secondes (s).
ConnectTimeout | UINT | 54 | Délai d'établissement d'une connexion, en secondes (s).

Statistiques

Nom issu de l'importation | Type | Offset | Description
MaxWriteTime | UDINT | 31 | La durée maximale nécessaire à l'écriture en millisecondes (ms).
MinWriteTime | UDINT | 32 | La durée minimale nécessaire à l'écriture en millisecondes (ms).
MaxBlkReadTime | UDINT | 40 | La durée maximale de la lecture d'un bloc de données, en millisecondes (ms).
MinBlkReadTime | UDINT | 41 | La durée minimale de la lecture d'un bloc de données, en millisecondes (ms).
WriteErrorCount | UDINT | 33 | Nombre d'erreurs d'écriture
ReadSucceedCount | UDINT | 35 | Nombre d'essais de lecture réussis
MaxCycleTime | UDINT | 22 | La durée maximale de lecture de toutes les données requises, en millisecondes (ms).
MinCycleTime | UDINT | 23 | La durée minimale de lecture de toutes les données requises, en millisecondes (ms).
WriteCount | UDINT | 26 | Nombre d'essais d'écriture
ReadErrorCount | UDINT | 34 | Nombre d'erreurs de lecture
MaxUpdateTimeNormal | UDINT | 56 | Durée (en millisecondes, ms) depuis la dernière actualisation du groupe de priorité Normale.
MaxUpdateTimeHigher | UDINT | 57 | Durée (en millisecondes, ms) depuis la dernière actualisation du groupe de priorité Supérieure.
MaxUpdateTimeHigh | UDINT | 58 | Durée (en millisecondes, ms) depuis la dernière actualisation du groupe de priorité Élevée.
MaxUpdateTimeHighest | UDINT | 59 | Durée (en millisecondes, ms) depuis la dernière actualisation du groupe de priorité Maximale.
PokeFinish | BOOL | 55 | Bascule vers 1 pour une requête si toutes les interrogations ont été exécutées

Message d'erreur

Nom issu de l'importation | Type | Offset | Description
ErrorTimeDW | UDINT | 2 | Durée (en secondes depuis le 1.1.1970) depuis la dernière erreur.
ErrorTimeS | STRING | 2 | Durée (en secondes depuis le 1.1.1970) depuis la dernière erreur.
RdErrPrimObj | UDINT | 42 | Numéro de l'élément PrimObject lorsque la dernière erreur de lecture est apparue.
RdErrStationsName | STRING | 43 | Nom du poste de travail lorsque la dernière erreur de lecture est apparue.
RdErrBlockCount | UINT | 44 | Nombre de blocs à lire lorsque la dernière erreur de lecture est apparue.
RdErrHwAdresse | DINT | 45 | Adresse du matériel lorsque la dernière erreur de lecture est apparue.
RdErrDatablockNo | UDINT | 46 | Numéro de bloc lorsque la dernière erreur de lecture est apparue.
RdErrMarkerNo | UDINT | 47 | Numéro de marqueur lorsque la dernière erreur de lecture est apparue.
RdErrSize | UDINT | 48 | Taille du bloc lorsque la dernière erreur de lecture est apparue.
DrvError | USINT | 25 | Message d'erreur en format nombre
DrvErrorMsg | STRING | 30 | Message d'erreur en format texte
ErrorFile | STRING | 15 | Nom du fichier d'erreur


Barre d'outils et menu contextuel de la vue de détail Driver

Manuel -> Variables -> Drivers -> Barre d'outils et menu contextuel de la vue de détail Driver

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Menu contextuel

Élément de menu | Action
Nouveau driver | Ouvre la boîte de dialogue de création d'un nouveau driver.
Modifier un driver | Ouvre la fenêtre de sélection permettant de définir un driver.
Supprimer | Après une demande de confirmation, supprime les entrées sélectionnées de la liste.
Configuration du driver | Ouvre la boîte de dialogue de configuration du driver.
Importer les variables à partir du driver | Ouvre la boîte de dialogue d'importation de variables.
Éditer la cellule sélectionnée | Ouvre la cellule sélectionnée pour la modification. Le symbole représentant des jumelles dans l'en-tête indique la cellule sélectionnée dans une ligne affichée en surbrillance. Seules les cellules pouvant être modifiées peuvent être sélectionnées.
Remplacer un texte dans la colonne sélectionnée | Ouvre la boîte de dialogue de recherche et de remplacement de texte.
Propriétés | Ouvre la fenêtre de Propriétés.
Supprimer tous les filtres | Supprime tous les paramètres de filtre
Aide | Ouvre l'aide en ligne.


Documentation des drivers

Manuel -> Variables -> Drivers -> Documentation des drivers

Vous trouverez toutes les informations concernant tous les drivers de zenon dans les documentations des drivers correspondants. Vous trouverez plus de détails au chapitre Driver.

info Informations

Si vous ne trouvez aucune documentation pour un driver particulier, vous pouvez solliciter l'aide de support@copadata.com.


Créer, modifier et utiliser des variables

Manuel -> Variables -> Créer, modifier et utiliser des variables

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Variables pouvant être créées :

  • Sous forme de variables simples
  • Dans des tableaux
  • Sous forme de variables de structure

Boîte de dialogue Variable

Pour créer une nouvelle variable, quel que soit son type :

  1. Sélectionnez la commande Nouvelle variable dans le nœud Variables du menu contextuel

    La boîte de dialogue de configuration des variables s'affiche alors à l'écran.

  2. Configurer la variable
  3. Les paramètres possibles dépendent du type des variables.

Propriété

Description

Nom

Nom unique de la variable. Si une variable portant le même nom existe déjà dans le projet, aucune variable supplémentaire ne peut être créée avec ce même nom.

Longueur maximale : 128 caractère

Attention : Les caractères # et @ ne sont pas autorisés dans les noms de variables. Si des caractères non autorisés sont utilisés, la création de variables ne peut être accomplie et le bouton Terminer reste inactif.
Remarque : Pour certains drivers, l'adressage est également possible via la propriété Adresse symbolique.

Drivers

Sélectionnez le driver souhaité dans la liste déroulante.

Remarque : Si aucun driver n'a été ouvert dans le projet, le driver des variables internes (Intern.exe) est chargé automatiquement.

Type d'objet driver

Sélectionnez le type d'objet de driver adéquat dans la liste déroulante.

Type de données

Sélectionnez le type de données souhaité. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection.

Paramètres des tableaux

Paramètres étendus pour les variables de tableau. Vous trouvez plus de détails au chapitre Tableaux.

Options d'adressage

Paramètres étendus pour les tableaux et les variables de structure. Vous trouvez plus de détails dans la section concernée.

Activation automatique d'éléments

Paramètres étendus pour les tableaux et les variables de structure. Vous trouvez plus de détails dans la section concernée.

Adresse symbolique

La propriété Adresse symbolique peut être utilisée pour l'adressage, à la place des champs Nom ou Identification des variables. La sélection s'effectue dans la boîte de dialogue du driver, et la configuration dans les propriétés de la variable. Lors de l'importation de variables de drivers pris en charge, la propriété est définie automatiquement.

Longueur maximale : 1024 caractères.

Héritage du type de données

Les paramètres Plage de mesure, Plage de signal et Valeur prescrite sont toujours :

  • Dérivés du type de données
  • Adaptés automatiquement en cas de modification du type de données

Remarque concernant la plage de signal : Si une modification apportée au type de données n'est pas compatible avec la plage de signal de l'ensemble, le paramètre Plage de signal est modifié automatiquement. Par exemple, en cas de modification d'INT en SINT, la plage de signal est changée en 127. La modification est également effectuée si la plage de signal n'a pas été héritée du type de données. Dans ce cas, la plage de mesure doit être adaptée manuellement.

Autres sujets abordés dans ce chapitre

Variables simples

Les tableaux

Variables de type structure

Variables de recouvrement de projets

Utilisation dans zenon Analyzer


Variables simples

Manuel -> Variables -> Créer, modifier et utiliser des variables -> Variables simples

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Les variables simples sont toujours constituées d'un type de données et d'un type d'objet driver. Elles forment la base des variables de tableau et des variables de structure.

Autres sujets abordés dans ce chapitre

Créer une variable simple

Changer les propriétés d'une variable simple

Supprimer des variables simples


Créer une variable simple

Manuel -> Variables -> Créer, modifier et utiliser des variables -> Variables simples -> Créer une variable simple

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Dans le Gestionnaire de projet, cliquez avec le bouton droit sur une variable et sélectionnez Nouvelle variable... dans le contextuel.

Définissez le nom, le driver, le type d'objet du driver et le type de données dans la boîte de dialogue suivante.

Propriété | Description
Nom | Nom unique de la variable. Si une variable portant le même nom existe déjà dans le projet, aucune variable supplémentaire ne peut être créée avec le même nom.
Drivers | Sélectionnez le driver souhaité dans la liste déroulante.
Type d'objet driver | Sélectionnez le type d'objet de driver adéquat dans la liste déroulante.
Type de données | Sélectionnez le type de données souhaité. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection.

La nouvelle variable est affichée dans la vue de détails du gestionnaire de projet. Vous pouvez modifier les propriétés supplémentaires de la variable dans sa fenêtre de propriétés.


Changer les propriétés d'une variable simple

Manuel -> Variables -> Créer, modifier et utiliser des variables -> Variables simples -> Changer les propriétés d'une variable simple

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Les modifications des propriétés d'une variable se font dans la fenêtre des propriétés. Sélectionnez la variable à modifier dans la vue de détail et saisissez les modifications souhaitées dans la fenêtre des propriétés.

Autres sujets abordés dans ce chapitre

Modifier variable

Erreur lors de la modification des variables


Modifier variable

Manuel -> Variables -> Créer, modifier et utiliser des variables -> Variables simples -> Changer les propriétés d'une variable simple -> Modifier variable

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

La boîte de dialogue Modifier variable est ouverte si une ou plusieurs variables sont sélectionnées et que l'une des propriétés suivantes est sélectionnée :

  1. Type de données
  2. Drivers
  3. Type d'objet driver
  4. Paramètre tableau
    1. Dim. 1
    2. Dim. 2
    3. Dim. 3
    4. Index de début
  5. Offset de calcul
  6. Type de données

Ici, les paramètres sont modifiés pour toutes les variables qui ont été sélectionnées à l'aide d'une sélection multiple, afin de les uniformiser.

Modification, si plusieurs variables ont été sélectionnées :

Si la valeur de la propriété sélectionnée est la même pour toutes les variables sélectionnées, elle est affichée dans la boîte de dialogue, sinon elle reste vide. Vide signifie que le paramètre n'a pas été défini. Si une sélection a été faite, il n'est plus possible de "désélectionner". Si vous voulez changer la sélection, vous devez d'abord fermer la boîte de dialogue avec le bouton Annuler et la rouvrir ensuite (exception : (Exception : cases à cocher).

Tant que le driver n'a pas été spécifié, la liste de choix Type d'objet driver montre les types d'objet disponibles pour le driver de la variable sélectionnée. Dès que le driver est sélectionné, seuls les types d'objet du driver sélectionné sont montrés. Si un driver est changé 'de' ou 'vers' un driver zenon Logic, le nom de la variable est automatiquement modifié en conséquence.
Lorsque plusieurs variables sont sélectionnées, des cases à cocher peuvent avoir l'un des trois états suivants : cochée, non cochée et non définie. Les champs qui ne sont pas définis ne sont pas modifiés au niveau de la variable. Si un champ a été spécifié, il définit la nouvelle valeur pour toutes les variables sélectionnées.

Vérification avec la modification :

Pour chaque variable, le système vérifie avant la modification que les paramètres résultants sont bien autorisés.

Example Exemple

Exemple d'une modification non valide : Une variable de tableau et une variable simple ont été sélectionnées ; la dimension du tableau est modifiée. Erreur : Une variable simple ne peut être ultérieurement changée en variable de tableau.

Pour les variables qui ne peuvent pas être modifiées avec les nouveaux paramètres, un message d'erreur est généré. Avant la modification, les messages sont listés dans la boîte de dialogue Erreur lors de la modification des variables, après la modification, ils sont affichés dans la fenêtre de suivi d'Editor.


Erreur lors de la modification des variables

Manuel -> Variables -> Créer, modifier et utiliser des variables -> Variables simples -> Changer les propriétés d'une variable simple -> Erreur lors de la modification des variables

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Si une modification pour une ou plusieurs variables n'est pas possible, la boîte de dialogue Erreur lors de la modification des variables s'ouvre. On y trouve toutes les variables qui ne peuvent pas être modifiées. Si elle est ouverte, avant que la modification ne soit effectuée, et uniquement en présence de variables ne pouvant pas être modifiées. Les entrées peuvent être triées et filtrées.

Paramètre | Description
Nom | Nom de la variable (ne peut pas être modifié).
Drivers | Nom du driver avec l'identification du driver sur lequel la variable est basée.
Type de données | Type utilisé par la variable.
Type d'objet driver | Type d'objet de driver utilisé par la variable.
Message | Description de la raison pour laquelle la variable ne peut pas être modifiée.
Annuler | La modification de la variable est interrompue. Aucune modification n'est effectuée.
Ignorer tout | Toutes les variables, qui ne peuvent pas être modifiées, sont ignorées. Toutes les variables, qui peuvent être modifiées, sont modifiées. Un message pour toutes les variables ignorées est généré dans la fenêtre de suivi. Le texte est identique à celui montré dans le message.
Retour | Retour dans la boîte de dialogue de modification.
Barre d'état | Nombre de variables sélectionnées et nombre d'obstacles. La variable est considérée comme non modifiable lorsque le premier obstacle a été reconnu. Il peut très bien y avoir d'autres causes d'échec, mais celles-ci ne seront donc pas montrées. Dans le cas de variables complexes (tableaux ou structures), toutes les variables activées sont vérifiées pour savoir si elles peuvent acceptées la modification. Pour chaque variable non modifiable activée, un message est généré. Ceci signifie que le nombre d'obstacles peut être supérieur au nombre de variables sélectionnées.


Supprimer des variables simples

Manuel -> Variables -> Créer, modifier et utiliser des variables -> Variables simples -> Supprimer des variables simples

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Dans la vue de détail, cliquez avec le bouton droit de la souris sur la variable à supprimer et choisissez l'option Supprimer dans le menu contextuel.

Cliquer sur Supprimer ouvre la fenêtre de sécurité suivante :


Les tableaux

Manuel -> Variables -> Créer, modifier et utiliser des variables -> Les tableaux

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Les tableaux sont des champs de types de données ou de variables. Nous effectuons la distinction suivante :

  • Tableaux de types de données : peuvent uniquement être déployés dans des structures.
  • Tableaux de variables : peuvent également être définis aussi avec des types de données simples.

Les tableaux peuvent avoir jusqu'à trois dimensions.

Example Exemple

Exemple d'une variable tableau à deux dimensions :

Engine speed [2.3]
Cette variable est composée de six variables (2x3) :

  • Engine Speed [1,1]
  • Engine Speed [1,2]
  • Engine Speed [1,3]
  • Engine Speed [2,1]
  • Engine Speed [2,2]
  • Engine speed [2.3]

En interne, les tableaux sont gérés comme les structures. Ceci concerne plus particulièrement le système d'adressage.

attention Attention

Les variables d'ensemble reposant sur un driver stratonNG ou straton32 ne doivent pas commencer par 1. Un ensemble de zenon avec les dimensions 1,2,2 est créé comme une variable simple dans zenon Logic.

Variables inactives

Une variable d'un tableau peut être rendue inactive de façon indépendante. Variable inactive

  • Indisponible dans in zenon
  • Non enregistrés avec le driver
  • Non pris en compte lors du calcul des E/S pour la taille de la licence

De cette manière, des variables de réserve peuvent être créées dans un tableau, qui peut être activé ultérieurement, par exemple lors de l'expansion.

Taille de l'ensemble de blocs (jusqu'à la version 5.50).

Jusqu'à la version 5.50, la taille de l'ensemble de blocs pouvait être définie avec la propriété Dimension tableau. Il est donc possible d'utiliser une seule variable comportant une licence, par exemple, dans le module RGM ou dans VBA ; toutefois, vous ne pouvez pas adresser indirectement plusieurs variables associées à des drivers utilisant des adresses d'offset. Cette propriété est conservée pour des raisons de compatibilité.

Les variables comportant le suffixe [0] à [n] sont créées.
Attention : Aucune autre variable portant le même nom ne peut exister dans le projet !

Remarque : Le driver interne ne prend pas cette propriété en charge. Une valeur peut être définie dans Editor, mais aucune variable n'est affichée (la valeur est toujours 0).

Autres sujets abordés dans ce chapitre

Créer une variable de tableau

Adressage

Changer les propriétés d'un tableau

Désactiver / activer des éléments de tableau


Créer une variable de tableau

Manuel -> Variables -> Créer, modifier et utiliser des variables -> Les tableaux -> Créer une variable de tableau

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Les variables de tableau simples sont créées comme des variables simples.

Propriété

Description

Nom

Nom unique de la variable. Si une variable portant le même nom existe déjà dans le projet, aucune variable supplémentaire ne peut être créée avec ce même nom.

Drivers

Sélectionnez le driver souhaité dans la liste déroulante.

Remarque : Si aucun driver n'a été ouvert dans le projet, le driver des variables internes (Intern.exe) est chargé automatiquement.

Type d'objet driver

Sélectionnez le type d'objet de driver adéquat dans la liste déroulante.

Type de données

Sélectionnez le type de données souhaité. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection.

Adressage automatique

zenon calcule une attribution d'adresse automatique. Ceci dépend de la granularité du type d'objet de driver utilisé et du type de données IEC sur lequel est basé le type utilisé.

L'adresse décalée est conforme à l'offset de type de données et à l'offset de départ.

Le décalage est conforme à l'offset et au bit définis pour l'élément de structure attribué.

Adressage manuel

Adressage manuel.

Chaque type de données commence avec un nouvel offset

Définissez de quelle manière les éléments de tableau uniques sont positionnés avec l'adressage automatique.

Actif : un nouvel offset est démarré pour chaque tableau.

Inactive : les offsets sont utilisés dans leur intégralité (l'adressage des variables est effectué par ligne).

Activer tous les éléments

Lors de la création d'une nouvelle variable tableau, tous les éléments sont activés.

Activer manuellement les éléments

Les éléments ne sont pas activés lors de la création. Ils doivent être activés individuellement dans la liste de variables. Ceci est fait à l'aide du menu contextuel de la liste de variables.


Adressage

Manuel -> Variables -> Créer, modifier et utiliser des variables -> Les tableaux -> Adressage

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

L'adressage des tableaux est généralement automatique. Dans ce cas, les indications suivantes sont fournies pour les variables de tableau :

  • Adresse réseau
  • Offset démarrage
  • Bloc de données (facultatif)
  • Numéro de bit (facultatif)

Aucun paramètre supplémentaire n'est nécessaire pour les éléments de tableau uniques. L'adresse est calculée automatiquement.

Si l'adressage des tableaux doit être effectué manuellement, l'option Adressage manuel doit être désactivée, soit lors de la création du tableau, soit à un stade ultérieur dans la fenêtre des propriétés.

L'adresse est à nouveau calculée lorsque des modifications sont apportées aux éléments suivants :

  • Type de données d'un tableau
  • Type d'objet driver
  • Drivers
  • Dimensions du tableau

Autres sujets abordés dans ce chapitre

Exemple de tableau avec adressage automatique pour une variable INT

Exemple de tableau avec adressage automatique pour une variable BOOL

Exemple d'un tableau avec adressage manuel :


Exemple de tableau avec adressage automatique pour une variable INT

Manuel -> Variables -> Créer, modifier et utiliser des variables -> Les tableaux -> Adressage -> Exemple de tableau avec adressage automatique pour une variable INT

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Nous souhaitons créer un tableau comportant cinq variables entières.

Configuration de base

Dans la boîte de dialogue de configuration de variables

  • Nom : Envoi libre
  • Driver : S7 TCP/IP
  • Type d'objet driver : Ext. Blocs de données
  • Type de données : INT
  • Tableau : l'indice de départ est 1
  • Dim 1 : 5
  • Dim 2 : 0
  • Adressage : Adressage automatique
  • Chaque type de données démarre avec un nouveau décalage : actif
  • Activation des éléments : Activer tous les éléments

Lorsque vous cliquez sur OK, les cinq variables définies sont créées dans la liste de variables. En outre, une variable de tableau correspondante est créée, dans laquelle les propriétés du tableau peuvent être définies.

Configuration des détails

Lorsque l'on sélectionne la variable tableau dans la vue de détail, les propriétés du tableau complet peuvent être définies dans la fenêtre des propriétés. Les paramètres les plus importants sont dans le groupe "Adresse". Nous définissons maintenant les éléments suivants pour le tableau :

  • Bloc de données
  • Adresse réseau (= adresse de bus)
  • Offset démarrage

Puisque l'option d'adressage automatique a été activée, les adresses de tous les éléments du tableau seront calculées par rapport à l'offset de départ. Dans notre exemple, nous changeons le paramètre Bloc de données en 50, nous laissons l'adresse réseau à 0 et nous modifions l'offset à 100.

La granularité des blocs de données S7 est de 8 bits. La zone des blocs de données est orientée octets. Chaque variable INT a besoin de 16 bits. Le résultat de l'adressage automatique pour le tableau donne donc :

Tableau | Adresse réseau | Bloc de données | Offset
Tableau de INT[1] | 0 | 50 | 100
Tableau de INT[2] | 0 | 50 | 102
Tableau de INT[3] | 0 | 50 | 104
Tableau de INT[4] | 0 | 50 | 106
Tableau de INT[5] | 0 | 50 | 108

Chaque offset est plus grand que le précédent avec un pas de 2, car une variable de 16 bits prend 2 fois 8 bits.

Si on prend un driver S5 au lieu du driver S7, cela change l'adressage. Sur un automate S5, la zone des blocs de données possède une granularité de 16 bits. La zone des blocs de données d’un automate S5 est orientée mots. Un projet identique générerait le résultat suivant :

Tableau | Adresse réseau | Bloc de données | Offset
Tableau de INT[1] | 0 | 50 | 100NT
Tableau de INT[2] | 0 | 50 | 101
Tableau de INT[3] | 0 | 50 | 102
Tableau de INT[4] | 0 | 50 | 103
Tableau de INT[5] | 0 | 50 | 104

Chaque offset est plus grand que le précédent avec un pas de un, car une variable de 16 bits prend une fois 16 bits.


Exemple de tableau avec adressage automatique pour une variable BOOL

Manuel -> Variables -> Créer, modifier et utiliser des variables -> Les tableaux -> Adressage -> Exemple de tableau avec adressage automatique pour une variable BOOL

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Nous procéderons de la même manière que dans l'exemple d'adressage automatique, avec le type de données INT ; toutefois, nous utilisons le type de données standard BOOL comme type de données. Tous les autres paramètres restent identiques, et nous allons créer une nouvelle variable de tableau.

Nous définissons les valeurs suivantes dans les propriétés de la variable de tableau :

Bloc de données : 50

Adresse réseau : 0

Offset 100

Numéro de bit : 0

Avec un driver S7, le synoptique suivant est généré par l'adressage automatique :

Tableau | Adresse réseau | Bloc de données | Offset | Numéro de bit
Tableau de INT[1] | 0 | 50 | 100 | 0
Tableau de INT[2] | 0 | 50 | 101 | 0
Tableau de INT[3] | 0 | 50 | 102 | 0
Tableau de INT[4] | 0 | 50 | 103 | 0
Tableau de INT[5] | 0 | 50 | 104 | 0

Une variable qui prend 1 bit a assez de place dans un offset de 8 bits. L'option Chaque type de données démarre avec un nouvel offset ayant été activée, chaque élément du tableau initie un nouvel offset.

Si on désactive cette option dans les propriétés de la variable tableau, le résultat est le suivant :

Tableau | Adresse réseau | Bloc de données | Offset | Numéro de bit
Tableau de INT[1] | 0 | 50 | 100 | 0
Tableau de INT[2] | 0 | 50 | 100 | 1
Tableau de INT[3] | 0 | 50 | 100 | 2
Tableau de INT[4] | 0 | 50 | 100 | 3
Tableau de INT[5] | 0 | 50 | 100 | 4

Maintenant tous les bits sont sur le même offset. Si l'offset n'avait pas été assez grand (par exemple, dans le cas d'un tableau de 20 BOOL), le bit suivant serait le premier de l'offset suivant. Un tableau de 20 BOOL irait de l'offset 100, bit 0 à l'offset 102, bit 3.


Exemple d'un tableau avec adressage manuel :

Manuel -> Variables -> Créer, modifier et utiliser des variables -> Les tableaux -> Adressage -> Exemple d'un tableau avec adressage manuel :

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Pour l'adressage manuel, la propriété Adressage manuel doit être sélectionnée dans la configuration de variable. Ensuite, les informations d'adressage de chaque élément du tableau peuvent être insérées manuellement pour :

  • Adresse réseau
  • Offset
  • Bloc de données (facultatif)
  • Numéro de bit (facultatif)

Cela pourrait se présenter comme suit pour l'exemple de tableau avec adressage automatique pour une variable BOOL :

Tableau | Adresse réseau | Bloc de données | Offset | Numéro de bit
Tableau de INT[1] | 0 | 50 | 100 | 0
Tableau de INT[2] | 0 | 50 | 100 | 2
Tableau de INT[3] | 0 | 50 | 101 | 0
Tableau de INT[4] | 0 | 50 | 101 | 2
Tableau de INT[5] | 0 | 50 | 102 | 0

attention Attention

Si vous modifiez l'offset de départ ou la dimension du tableau, toutes les adresses (offset et adresse de bit) sont recalculées.

Si l'offset de départ est modifié, les offsets des variables déjà activées sont également modifiés conformément à l'ampleur de la modification. La différence d'offset entre la variable activée et les variables de tableau est ainsi conservée.


Changer les propriétés d'un tableau

Manuel -> Variables -> Créer, modifier et utiliser des variables -> Les tableaux -> Changer les propriétés d'un tableau

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Les propriétés sont modifiées dans la fenêtre Propriétés et la boîte de dialogue Modifier variable.

Vous devez tout particulièrement tenir compte de deux propriétés :

  • Dernier offset utilisé: Montre le dernier offset (en incluant le numéro de bit) utilisé par l'adressage automatique.
  • Dimension en octet: Montre combien d’octets sont utilisés par le tableau sélectionné.

Les éléments suivants ne peuvent pas être modifiés :

  • Nom
  • Activation des éléments

Propriété

Description

Drivers

Sélectionnez le driver souhaité dans la liste déroulante.

Remarque : Si aucun driver n'a été ouvert dans le projet, le driver des variables internes (Intern.exe) est chargé automatiquement.

Type d'objet driver

Sélectionnez le type d'objet de driver adéquat dans la liste déroulante.

Type de données

Sélectionnez le type de données souhaité. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection.

Adressage automatique

zenon calcule une attribution d'adresse automatique. Ceci dépend de la granularité du type d'objet de driver utilisé et du type de données IEC sur lequel est basé le type utilisé.

L'adresse décalée est conforme à l'offset de type de données et à l'offset de départ.

Le décalage est conforme à l'offset et au bit définis pour l'élément de structure attribué.

Adressage manuel

Adressage manuel ou semi-automatique.

Chaque type de données commence avec un nouvel offset

Définissez de quelle manière les éléments de tableau uniques sont positionnés avec l'adressage automatique.

Actif : un nouvel offset est démarré pour chaque tableau.

Inactive : les offsets sont utilisés dans leur intégralité (l'adressage des variables est effectué par ligne).

Remarques concernant la modification du type de données IEC

Si le type de données d'un ensemble est modifié, les dispositions suivantes s'appliquent :

  • Tant que la valeur de la plage de signal actuelle se trouve dans la plage de signal correspondant au type de données, aucune modification n'est effectuée.
  • La plage de mesure n'est pas adaptée.

    Exception : les plages de signal et de mesure sont toujours adaptées pour le type de données BOOL.

Pour l'adaptation de la plage de signal, la nouvelle plage de signal doit être inférieure à la plage de signal précédente :

  • Signal min. est uniquement adapté si SignalbereichMinNeu est < SignalbereichMinAlt
  • Signal max. est uniquement adapté si SignalbereichMaxnNeu est < SignalbereichMaxAlt


Désactiver / activer des éléments de tableau

Manuel -> Variables -> Créer, modifier et utiliser des variables -> Les tableaux -> Désactiver / activer des éléments de tableau

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Chaque élément de tableau peut être activé ou désactivé individuellement. L'activation est faite soit lors de la création du tableau (Activer tous les éléments) ou manuellement par le menu contextuel sur chaque élément du tableau. Les éléments inactifs du tableau sont pris en compte par le calcul automatique d'adresse comme s'ils étaient actifs. Les éléments inactifs correspondent à des emplacements qui pourront être activés à tout moment.


Variables de type structure

Manuel -> Variables -> Créer, modifier et utiliser des variables -> Variables de type structure

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Une structure est constituée d'éléments individuels. Il s'agit toujours de types de données. Lors de la création d'un élément de structure, un type existant doit être sélectionné. Les éléments de structure peuvent être incorporés ou liés.

Paramètres | Description
Éléments de structure embarqués | Ils peuvent avoir des propriétés différentes des types de base sur lesquels ils sont basés. Les propriétés sont définies individuellement pour chaque élément de structure et sont sauvegardées localement.
Éléments de structure liés | Les éléments liés reçoivent toutes leurs propriétés des types de données élémentaires auxquels ils sont liés. Si le type de base est modifié, tous les éléments liés seront modifiés de la même façon !

Types de données structure

Vous trouverez des détails concernant la création de types de données structure dans la section Types de données/Types de données de structure.

Variables de type structure

Les variables de structure sont toujours basées sur un type de données de structure. Ainsi, par principe, elles récupèrent la structure du type de données de base. Lors de la création de la variable de structure, un certain nombre d'options peuvent être définies.

Paramètre

Description

Les tableaux

Vous pouvez choisir de créer la structure sous forme de structure unique ou de tableau. Vous pouvez définir jusqu'à trois dimensions pour un tableau de structures.

Adressage

La variable de structure peut maintenant être adressée manuellement ou automatiquement. Par défaut, l'adressage est automatique. Le calcul des adresses dépend donc de la granularité du type d'objet de driver utilisé et des éléments de structure utilisés.

Avec l'adressage automatique, chaque type de données peut être démarré avec un nouvel offset.

Activation d'éléments avec des variables de structure

Vous pouvez définir si tous les éléments de la structure doivent être activés ou non.

Activer signifie que tous les éléments sont définis comme actif. Les variables actives peuvent être utilisées immédiatement dans zenon. Les variables inactives ne sont pas disponibles dans zenon, ne sont pas comptées dans les points d'E/S de la licence et ne sont pas enregistrées dans le driver. Par conséquent, des zones de réserve peuvent être créées dans une structure, qui peut être activée ultérieurement. Tous les éléments d'une variable de structure peuvent être activés ou désactivés à n'importe quel moment par l'intermédiaire du menu contextuel.

Remarque : Les variables de structure désactivées sont également prises en compte lors du calcul des adresses. Si ce n'est pas ce que vous voulez, vous devez définir les adresses manuellement ou l'élément doit être supprimé du type de données de structure.

Comportement durant l'importation au format XML

Structures

Les structures qui diffèrent des structures existantes peuvent être importées dans des structures déjà existantes. Les variables reposant sur celles-ci sont adaptées automatiquement.

  • Les éléments de structure sont identifiés par leur nom.
  • Avec les éléments de structure déjà existants, le type est adapté si nécessaire.
  • Les éléments non existants sont ajoutés.
  • Les éléments qui n’existent pas dans le type de données de structure sont supprimés.

Variables inactives

Lors de l’importation des variables de structure, les variables actives et inactives sont importées. Les importations existantes ne sont pas remplacées durant l’importation. Si une variable inactive est importée dans un projet, puis activée, elle reste active même après une nouvelle importation au format XML.

Autres sujets abordés dans ce chapitre

Modification des variables de structure

Modification des variables de structure

Suppression de variables de structure


Modification des variables de structure

Manuel -> Variables -> Créer, modifier et utiliser des variables -> Variables de type structure -> Modification des variables de structure

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Pour créer une variable de structure :

  1. Créez une variable simple.
  2. Sélectionnez un type de données de structure en tant que type de données.
  3. Sélectionnez le driver et le type d'objet driver.
  4. Définissez les dimensions du tableau.

Propriété

Description

Nom

Nom unique de la variable. Si une variable portant le même nom existe déjà dans le projet, aucune variable supplémentaire ne peut être créée avec ce même nom.

Drivers

Sélectionnez le driver souhaité dans la liste déroulante.

Remarque : Si aucun driver n'a été ouvert dans le projet, le driver des variables internes (Intern.exe) est chargé automatiquement.

Type d'objet driver

Sélectionnez le type d'objet de driver adéquat dans la liste déroulante.

Type de données

Sélectionnez le type de données souhaité. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection.

Adressage automatique

zenon calcule une attribution d'adresse automatique. Ceci dépend de la granularité du type d'objet de driver utilisé et du type de données IEC sur lequel est basé le type utilisé.

L'adresse décalée est conforme à l'offset de type de données et à l'offset de départ.

Le décalage est conforme à l'offset et au bit définis pour l'élément de structure attribué.

Adressage manuel

Adressage manuel ou semi-automatique.

Chaque type de données commence avec un nouvel offset

Définissez de quelle manière les éléments de structure sont positionnés avec l'adressage automatique.

Actif : un nouvel offset est démarré pour chaque élément de structure. Un offset de bit de > 0 augmente le décalage de 1.

Inactive : les offsets sont utilisés dans leur intégralité (l'adressage des variables est effectué par ligne).

Activer tous les éléments

Tous les éléments sont activés automatiquement lors de la création de la nouvelle variable de structure.

Activer manuellement les éléments

Les éléments ne sont pas activés lors de la création. Ils doivent être activés individuellement dans la liste de variables. Ceci est fait à l'aide du menu contextuel de la liste de variables.

Organisation du type de données avec adressage automatique

  • Une granularité de driver de niveau OCTET peut uniquement utiliser les bits 0 à 7 avec BOOL. Tous les autres types de données démarrent au bit 0.
  • Avec WORD : BOOL : bits 0 à 15, U(S)INT : bits 0 et 8. Tous les autres types de données démarrent au bit 0.
  • Avec DWORD : BOOL : bits 0 à 31, U(S)INT : bits 0, 8, 16 et 24. (U)INT – bits 0 et 16. Tous les autres types de données démarrent au bit 0.
  • Les chaînes doivent toujours démarrer au bit 0.
    Par conséquent : si, avec l'adresse actuelle, l'offset de bit > est de 0, la variable est définie sur le bit 0 et l'offset sur +1.

Exemple

USINT = 8 bits, granularité WORD = 16 bits.

La variable peut uniquement commencer par les bits 0 ou 8. Si, par exemple, l'offset de bit planifié est 2 et l'adresse actuelle est Offset=0 et Bit=0, la variable est définie sur Offset 0 et Bit 8. Si l'adresse actuelle était Offset=0 et Bit=7, la variable serait définie sur Offset=1 et Bit=0.

Autres sujets abordés dans ce chapitre

Structure simple avec adressage automatique

Variable de structure sous forme de tableau avec adressage automatique

Adressage manuel


Structure simple avec adressage automatique

Manuel -> Variables -> Créer, modifier et utiliser des variables -> Variables de type structure -> Modification des variables de structure -> Structure simple avec adressage automatique

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Exemple

La première étape consiste à créer un type de données de structure. Pour cela, nous créons une structure de réglette comportant quatre éléments :

  • Engine speed set (UINT),
  • Engine speed actual (USINT),
  • Tableau [2] de
    • activé/désactivé (BOOL) et
  • surveillance (SINT).

Ensuite, nous devons créer, dans la boîte de dialogue Créer une variable, une variable de structure basée sur ce type de donnée. Dans cet exemple, nous utiliserons :

  • Le driver S7 TCP/IP
  • Le bloc de données Intervalle
  • La dimension de tableau 0
  • Les options activées
    • Adressage automatique
    • Chaque type de données commence avec un nouvel offset
    • Activer tous les éléments

La structure avec tous ses éléments apparaît dans la liste des variables après avoir cliqué sur Terminer.

Lorsque l’on sélectionne la variable de structure Engine Speed Control dans la vue de détail, les propriétés de la structure complète peuvent être définies dans la fenêtre des propriétés. Les paramètres les plus importants sont dans le groupe Adresse. Le bloc de données, l'adresse réseau (= adresse de bus) et l'offset de départ peuvent être modifiés. L'adressage automatique ayant été activé, les adresses de tous les éléments de structure seront calculées par rapport à l'offset de départ.

Dans notre exemple, nous utilisons les paramètres suivants :

Bloc de données : 50

Offset : 100

Adresse réseau : 0

La granularité des blocs de données S7 est de 8 bits. La zone des blocs de données est orientée octets. Chaque variable UINT a besoin de 16 bits, un USINT de 8 bits, un BOOL de 1 bit et un SINT de 8 bits.

Le résultat de l'adressage automatique pour la structure donne donc :

Variable | Adresse réseau | Bloc de données | Offset | Numéro de bit
Engine Speed Control.Engine Speed Set | 0 | 50 | 100 | 0
Engine Speed Control.Engine Speed Actual | 0 | 50 | 102 | 0
Engine Speed Control.Engine Speed.On/Off[1] | 0 | 50 | 104 | 0
Engine Speed Control.Engine Speed.On/Off[2] | 0 | 50 | 105 | 1
Engine Speed Control.Engine Speed.Monitoring | 0 | 50 | 106 | 0

Dernier offset utilisé : 106 Bit 7

Les éléments individuels de la variable de structure s'intègrent ainsi de façon optimale aux offsets.

La variable à 8 bits Engine Speed Control.Engine Speed.Set utilise un offset ; la variable à 16 bits Engine Speed Control.Engine Speed.Actual utilise deux offsets ; les deux variables BOOL utilisent deux bits dans un offset et la variable Engine Speed Control.Engine Speed.Monitoring utilise un offset.

Les adresses peuvent être changées dans le type structure ou dans les paramètres de la section "Adresse" de la variable structure, mais pas individuellement dans chaque élément de la structure. Ce serait uniquement possible avec l'adressage manuel.

Si on prend un driver S5 au lieu du driver S7, cela change l'adressage. Sur un automate S5, la zone des blocs de données possède une granularité de 16 bits. La zone des blocs de données d’un automate S5 est orientée mots.

Un projet identique générerait le résultat suivant :

Variable | Adresse réseau | Bloc de données | Offset | Numéro de bit
Engine Speed Control.Engine Speed Set | 0 | 50 | 100 | 0
Engine Speed Control.Engine Speed Actual | 0 | 50 | 101 | 0
Engine Speed Control.Engine Speed.On/Off[1] | 0 | 50 | 102 | 0
Engine Speed Control.Engine Speed.On/Off[2] | 0 | 50 | 102 | 1
Engine Speed Control.Engine Speed.Monitoring | 0 | 50 | 102 | 8

Dernier offset utilisé : 102 Bit 15

Les éléments individuels de la variable de structure s'intègrent ainsi de façon optimale aux offsets.

La variable à 8 bits Engine Speed Control.Engine Speed.Set occupe un demi-offset (bits 0 à 7), la variable à 16 bits Engine Speed Control.Engine Speed.Actual occupe un offset. Les deux variables BOOL utilisent seulement les deux bits suivants à l'offset 102, et la variable Engine Speed Control.Engine Speed.Monitoring démarre au même offset avec le bit numéro 8.


Variable de structure sous forme de tableau avec adressage automatique

Manuel -> Variables -> Créer, modifier et utiliser des variables -> Variables de type structure -> Modification des variables de structure -> Variable de structure sous forme de tableau avec adressage automatique

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Tableau avec un élément de structure comportant un type de données simple

Les variables sont adressées sous forme d'ensemble, sur la base de l'offset au niveau de l'élément de structure, en fonction du type de données IEC et de la granularité. Il n'y a donc aucune différence par rapport à l'adressage sous forme d'ensemble.

Variable de structure sous forme de tableau

L'adresse du premier élément de structure de l'indice n est dérivée de l'adresse du dernier élément de structure de l'indice n-1, plus l'offset au niveau de l'élément de structure.

Si la propriété Chaque type de données démarre avec un nouvel offset est :

  • Active : l'indice démarre toujours à un offset entier (le bit est 0 et peut être décalé par l'offset au niveau de l'élément de structure).
  • Inactive : la variable est traitée sous forme d'ensemble, en fonction du type de données et de la granularité, et décalé conformément à l'offset au niveau de l'élément de structure. Dans tous les cas, la variable est définie conformément au type de données et à la granularité.

Exemple

Nous utilisons le même exemple qu'à la section Structure simple avec adressage automatique, toutefois, nous modifions les dimensions du tableau 1 de 0 à 2 dans les propriétés de la variable de structure.

Lorsque vous cliquez sur Terminer, la liste de variables se présente comme suit :

La structure existante a été modifiée de façon à ce que chaque élément de structure apparaisse deux fois.

Par exemple, avec le driver S7, ceci provoque l'adressage automatique suivant, à condition que nous l'ayons activé : Chaque type de données démarre avec un nouvel offset :

Variable | Adresse réseau | Bloc de données | Offset | Numéro de bit
Engine Speed Control[1].Engine Speed.Set | 0 | 50 | 100 | 0
Engine Speed Control[1].Engine Speed.Actual | 0 | 50 | 101 | 0
Engine Speed Control[1].Engine Speed.Ein/Aus[1] | 0 | 50 | 103 | 0
Engine Speed Control[1].Engine Speed.Ein/Aus[2] | 0 | 50 | 103 | 1
Engine Speed Control[1].Engine Speed.Monitoring | 0 | 50 | 104 | 0
Engine Speed Control[2].Engine Speed.Set | 0 | 50 | 105 | 0
Engine Speed Control[2].Engine Speed.Actual | 0 | 50 | 106 | 0
Engine Speed Control[2].Engine Speed.Ein/Aus[2] | 0 | 50 | 108 | 0
Engine Speed Control[2].Engine Speed.Ein/Aus[2] | 0 | 50 | 108 | 1
Engine Speed Control[2].Engine Speed.Monitoring | 0 | 50 | 109 | 0

Dernier offset utilisé : 109 Bit 7

Le tableau de structures a été créé exactement comme une structure simple. La deuxième structure démarre là où la première finit.

Si on utilise le driver S5, cela donne :

Variable | Adresse réseau | Bloc de données | Offset | Numéro de bit
Engine Speed Control[1].Engine Speed.Set | 0 | 50 | 100 | 0
Engine Speed Control[1].Engine Speed.Actual | 0 | 50 | 101 | 0
Engine Speed Control[1].Engine Speed.Ein/Aus[1] | 0 | 50 | 102 | 0
Engine Speed Control[1].Engine Speed.Ein/Aus[2] | 0 | 50 | 102 | 1
Engine Speed Control[1].Engine Speed.Monitoring | 0 | 50 | 102 | 8
Engine Speed Control[2].Engine Speed.Set | 0 | 50 | 103 | 0
Engine Speed Control[2].Engine Speed.Actual | 0 | 50 | 104 | 0
Engine Speed Control[2].Engine Speed.Ein/Aus[2] | 0 | 50 | 105 | 0
Engine Speed Control[2].Engine Speed.Ein/Aus[2] | 0 | 50 | 105 | 1
Engine Speed Control[2].Engine Speed.Monitoring | 0 | 50 | 105 | 7

Dernier offset utilisé : 105 Bit 15

Chaque type de données commence avec un nouvel offset

Le tableau de structures a été créé exactement comme une structure simple. La deuxième structure démarre là où la première finit. Ici les différences peuvent dépendre de l'option Chaque type de données démarre avec un nouvel offset. Si cette option est activée, la structure suivante démarre toujours à un nouvel offset, même si la structure suivante tiendrait dans le même offset.

Example Exemple

Le dernier élément de structure est un SINT (8 bits) et utilise à l'offset 102 les bits de 0 à 7. Dans le cas de l’utilisation du driver S5 (offset de 16 bits) et si le premier élément de la structure était de type SINT ou USINT, la structure suivante démarrerait comme décrit ci-dessous :

  • Si l'option "Chaque type de données démarre avec un nouvel offset" est activée : Offset 103 Bit 0
  • Si l'option "Chaque type de données démarre avec un nouvel offset" est désactivée : Offset 102 Bit 8 Les structures sont maintenant situées directement l'une après l'autre.


Adressage manuel

Manuel -> Variables -> Créer, modifier et utiliser des variables -> Variables de type structure -> Modification des variables de structure -> Adressage manuel

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Les adresses peuvent être émises de manière semi-automatique ou manuellement, via l'adressage manuel.

Solution semi-automatique

Les offsets et numéros de bits sont définis dans les éléments de structure dans le type de données. Mais ici cela correspond à un offset relatif. Dans la variable de structure, un offset de départ est défini et tous les offsets relatifs sont ajoutés à cet offset de départ.

Exemple

A l'image d'une structure simple avec adressage automatique, nous créons le type de données de structure réglette. L'offset souhaité est ensuite défini pour les éléments de structure individuels, par exemple l'offset 3 pour l'élément de structure Engine speed set.

Pour les variables de structure, l'option adressage automatique est activée lors de sa création. Un offset de départ de 100 est défini dans les propriétés de la variable de structure. zenon calcule ensuite, à l'adresse de la variable Drehzahl-Regelung.Drehzahl.Soll, l'offset 103 (100 pour la structure + 3 pour l'élément de structure).

Si l'offset relatif doit être modifié par la suite, les étapes suivantes doivent être exécutées :

  • Premièrement, vous changez l'offset dans l'élément de structure dans le type de donnée.
  • Ensuite, vous devez modifier l'offset de départ pour variable de structure (par exemple, en 101).
  • Ensuite, revenons à l'offset initial (100, dans notre exemple).

Arrière-plan : Le recalcul des adresses n'est fait que lorsque l’offset de démarrage de la variable est modifié, mais n'est pas fait si on change seulement les offsets dans les éléments du type structure.

Solution complètement manuelle

La façon de faire est à peu près identique que pour le mode semi-automatique sauf qu'ici les adresses sont entrées "à la main" sur chaque élément de la variable structure.

Si l'offset de départ d'une variable de structure est modifié, les offsets des variables déjà activées sont également modifiés conformément à l'ampleur de la modification. La différence d'offset entre la variable activée et les variables de tableau est ainsi conservée.


Modification des variables de structure

Manuel -> Variables -> Créer, modifier et utiliser des variables -> Variables de type structure -> Modification des variables de structure

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Les modifications sont apportées via les boîtes de dialogue Propriétés et Variable.

Les éléments suivants ne peuvent pas être modifiés :

  • Nom
  • Activation des éléments

Propriété

Description

Drivers

Sélectionnez le driver souhaité dans la liste déroulante.

Remarque : Si aucun driver n'a été ouvert dans le projet, le driver des variables internes (Intern.exe) est chargé automatiquement.

Type d'objet driver

Sélectionnez le type d'objet de driver adéquat dans la liste déroulante.

Type de données

Sélectionnez le type de données souhaité. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection.

Adressage automatique

zenon calcule une attribution d'adresse automatique. Ceci dépend de la granularité du type d'objet de driver utilisé et du type de données IEC sur lequel est basé le type utilisé.

L'adresse décalée est conforme à l'offset de type de données et à l'offset de départ.

Le décalage est conforme à l'offset et au bit définis pour l'élément de structure attribué.

Adressage manuel

Adressage manuel ou semi-automatique.

Chaque type de données commence avec un nouvel offset

Définissez de quelle manière les éléments de structure sont positionnés avec l'adressage automatique.

Actif : un nouvel offset est démarré pour chaque élément de structure.

Inactive : les offsets sont utilisés dans leur intégralité (l'adressage des variables est effectué par ligne).

Autres sujets abordés dans ce chapitre

Modifier les propriétés

Désactiver / activer des éléments de structure

Changer l'ordre des éléments


Modifier les propriétés

Manuel -> Variables -> Créer, modifier et utiliser des variables -> Variables de type structure -> Modification des variables de structure -> Modifier les propriétés

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Les modifications sont effectuées dans la fenêtre des propriétés.

Attention : les modifications faites dans la variable de structure peuvent en affecter les éléments (par exemple, le calcul de l'adresse, si vous modifiez l'offset de départ ou le driver). Les propriétés de chaque élément de la structure peuvent être modifiées individuellement. Les modifications peuvent être faites sur chaque élément de la variable ou dans les éléments du type structure de base. Les changements sont alors répercutés sur les éléments de variables. (Reportez-vous au chapitre Concept d'héritage pour plus d'informations à ce propos.)


Désactiver / activer des éléments de structure

Manuel -> Variables -> Créer, modifier et utiliser des variables -> Variables de type structure -> Modification des variables de structure -> Désactiver / activer des éléments de structure

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Vous devez sélectionner les éléments dans la liste des variables et ensuite utiliser le menu contextuel. Les éléments inactifs du tableau sont pris en compte par le calcul automatique d'adresse comme s'ils étaient actifs. Les éléments inactifs correspondent à des emplacements qui pourront être activés à tout moment.

Variable inactive

  • Indisponible dans in zenon
  • Non enregistrés avec le driver
  • Non pris en compte lors du calcul des E/S pour la taille de la licence

Notes importantes

Note lors de la désactivation de variables :

  • Les références de variables sur les éléments de synoptique sont perdues lors de la désactivation. Les connexions peuvent uniquement être restaurées manuellement.
  • Si un élément de structure est basé sur un type IEC qui n'est pas autorisé avec le driver sélectionné, l'élément ne peut pas être activé.
  • Si les variables sont désactivées, puis réactivées, les éléments dynamiques de ces variables ne sont pas actualisés dans Editor. Pour les actualiser, cliquez sur la variable correspondante dans la fenêtre de propriétés de l'élément.


Changer l'ordre des éléments

Manuel -> Variables -> Créer, modifier et utiliser des variables -> Variables de type structure -> Modification des variables de structure -> Changer l'ordre des éléments

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

L'ordre des éléments de structure dans une variable de structure peut uniquement être modifié dans le type structure correspondant. Si vous modifiez le type structure, toutes les variables basées sur ce type seront aussi modifiées.


Suppression de variables de structure

Manuel -> Variables -> Créer, modifier et utiliser des variables -> Variables de type structure -> Suppression de variables de structure

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Sélectionnez la variable dans la vue de détail et appuyez sur la touche Suppr..


Variables de recouvrement de projets

Manuel -> Variables -> Créer, modifier et utiliser des variables -> Variables de recouvrement de projets

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Les variables peuvent également être sélectionnées dans d'autres projets et utilisées dans le projet. Cela est également possible dans différentes hiérarchies. Les variables issues de projets de niveau supérieur, de projets de même niveau et de projets de niveau inférieur peuvent être utilisées à votre convenance, ainsi que les variables issues de projets non liés.

Pour utiliser les variables dans un projet, dans le Runtime, tous les projets :

  • Doivent être chargés
  • Doivent être accessibles sur le réseau zenon ne vérifie pas l'accessibilité du réseau dans le Runtime.

Dans le projet, les variables issues d'autres projets sont affichées comme suit :
[Nom du projet]#[Nom de la variable], par exemple Projet1#WIZ_VAR_10

Si l'utilisation inter-projets est impossible, les projets dans la boîte de dialogue de sélection de variables sont grisés.

Remarque : Vous pouvez ajuster la taille de cette boîte de dialogue. La position et la taille de la fenêtre de la boîte de dialogue sont enregistrées dans Editor, dans le Runtime et dans zenon Web Client, indépendamment du projet.

attention Attention

Si les noms de projets sont modifiés ultérieurement ou les projets sont copiés, vous devez vous assurer que l'attribution est correctement effectuée. Pour cela, utilisez la boîte de dialogue de remplacement des références de projet.

Tenez compte des conditions spéciales concernant les variables inter-projets dans le module Gestion de commande.


Utilisation dans zenon Analyzer

Manuel -> Variables -> Créer, modifier et utiliser des variables -> Utilisation dans zenon Analyzer

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Les variables peuvent être fournies avec des informations de rapports spécifiques, utilisables dans le produit zenon Analyzer de COPA-DATA. Un groupe de propriétés distinct est disponible à cette fin.

Les propriétés suivantes dans le groupe de propriétés de la variable Analyzer de zenon fournissent des informations concernant les rapports dans zenon Analyzer :

  • Nom visuel : Saisie d'un nom d'affichage de la variable dans zenon Analyzer. Celui-ci doit être unique dans le projet. La vérification n'est pas effectuée lors de l'émission dans zenon, mais lors de l'importation dans zenon Analyzer. Si cette propriété est modifiée après la première exportation vers zenon Analyzer, ces modifications ne sont appliquées dans zenon Analyzer.
  • Signification : Saisie de la Meaning d'une variable dans zenon Analyzer. La saisie peut être manuelle ou être effectuée à l'aide de l'Meaning and Waterfall Chart Wizard. Plusieurs significations doivent être séparées par une virgule.
    Syntaxe : [Meaning1],[Meaning2],…,[MeaningN]
  • Paramètre pour le waterfall diagram : Paramètres d'une variable pour un diagramme en cascade dans zenon Analyzer. La saisie peut être manuelle ou être effectuée à l'aide de l'Meaning and Waterfall Chart Wizard. Les paramètres individuels doivent être séparés par une virgule. Plusieurs cascades doivent être séparées par un point-virgule.
    Syntaxe : [nom de modèle],[indice de ligne],[indice dans la ligne],[code de couleur];

L'importation des données de zenon dans zenon Analyzer est possible via la fonction d'exportation offerte par l'assistant Analyzer Export Wizard.

Autres sujets abordés dans ce chapitre

Exportation de diagrammes en cascade


Exportation de diagrammes en cascade

Manuel -> Variables -> Créer, modifier et utiliser des variables -> Utilisation dans zenon Analyzer -> Exportation de diagrammes en cascade

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

A waterfall diagram can be used for either line-based reports or for machine-based reports. The parameters for the diagram are stored in the Analyzer/Paramètre pour le waterfall diagram variable property from zenon 7.20. These can be entered manually or created with the Meaning and Waterfall Chart Wizard.

Export

The wizard reads the Paramètre pour le waterfall diagram property when loading the zenon workspace. If there are correct entries, these these are exported in the background and written to the database of the zenon Analyzer.

Structure of the entries

Depending on the structure of the entries, a decision is made on whether it is entries for machine-based or line-based diagrams.

  • Machine based: Structure with 4 digits, separated by a comma; ended with a semicolon.

    Syntax: [model name],[line index],[column index],[color code code];
    Example: MyWaterfall,4,2,#80FF00;

  • Line-based: Structure with 7 digits, separated by a comma; ended with a semicolon.

    Syntax: [model name],[line index],[column index],[color code],[loss of auxiliary machine],[add loss of auxiliary machine],[subtract loss of auxiliary machine];
    Example: MyLineAnlaysis,4,2, #80FF00,0,0,0;

Rules for reading:

The following is applicable for reading:

  • If there are entries for Paramètre pour le waterfall diagram, corresponding entries in the Description externe field are ignored.
    The structure decides whether the entry can be evaluated as machine-based or line-based.
  • The identification WF= is not necessary but can to be used. The individual elements of a model are separated by a comma. If several waterfall models are assigned to a variable, a semicolon is used as a separator.
  • If there are no entries, corresponding entries from the Description externe are accepted. The identification WF= must be prefixed here.
  • With versions of zenon before 7.20, the waterfall parameters are taken from the zenon Description externe property.


Concept d'héritage

Manuel -> Variables -> Concept d'héritage

L'héritage signifie que les propriétés d'un objet sont propagées aux objets liés à cet objet. Les objets basés sur un objet, héritent en principe de toutes les propriétés de l'objet de base, mais les propriétés individuelles de ces objets peuvent être modifiées (c'est-à-dire remplacées).

Il existe également aussi la possibilité de conserver le lien avec le type de base. Ici aussi l'objet lié reçoit toutes les propriétés du type de base, mais ces propriétés ne peuvent pas être modifiées ou écrasées dans l'objet de base. Les modifications ne sont possibles que dans l'objet de base.

Dans les deux cas, ce qui suit est vrai : Si une propriété est modifiée dans l'objet de base, tous les objets dérivés de cet objet de base acceptent également la modification. Les objets individuels ne sont pas enregistrés directement avec l'objet dérivé, mais sont toujours référencés par l'objet de base.

Exception : Dès qu'une valeur pour un objet dérivé est remplacée (modifiée), cette propriété perd la référence à l'objet de base (uniquement pour l'héritage). Si cette propriété est modifiée dans l'objet de base, elle ne sera pas répercutée dans l'objet où la propriété a été modifiée. Toutefois, ceci concerne uniquement la propriété qui a été interrompue dans la connexion à l'objet de base. Toutes les autres propriétés sont appliquées par l'objet de base, comme auparavant. Une propriété remplacée peut être retransformée en propriété dérivée à tout instant.

Autres sujets abordés dans ce chapitre

Héritage dans zenon

Propriétés héritées d'un type de données dans le cas de variables simples


Héritage dans zenon

Manuel -> Variables -> Concept d'héritage -> Héritage dans zenon

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Dans zenon, les objets de base sont les types de données. Les types de données simples et structurés lient leurs propriétés aux variables basées sur celles-ci.

Les variables sont les objets basés sur les types de données. En principe, elles héritent de toutes leurs propriétés. Les exceptions sont les propriétés qui

peuvent uniquement être définies au niveau de la variable, par ex. l'adressage qui est basé sur le type d'objet de driver et non le type de donnée.

Dans les structures, il y a les éléments de structure. Ces derniers peuvent être embarqués ou liés. S'ils sont liés, ils héritent des propriétés du type de données auquel ils sont liés. Toutes les modifications dans le type de base sont directement répercutées. Mais aucune propriété ne peut être écrasée, comme elles ne sont que liées et non héritées.

Les éléments de structure embarqués n'ont pas, en principe, de référence vers leur type de base. Ils sont des copies, où toutes les propriétés peuvent être modifiées localement. Les modifications dans le type de base n'ont aucune influence sur eux. Les éléments de structure embarqués peuvent à tout moment être changés en éléments liés, et inversement.

Autres sujets abordés dans ce chapitre

Héritage des propriétés avec les types structure et les variables structure


Héritage des propriétés avec les types structure et les variables structure

Manuel -> Variables -> Concept d'héritage -> Héritage dans zenon -> Héritage des propriétés avec les types structure et les variables structure

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Les variables structures sont gérées de la même façon que les variables simples. Mais les propriétés sont définies sur chaque élément de la structure. Chaque élément d'une variable structure est lié à l'élément du type structure sur lequel la variable est basée.

En plus un élément de structure peut aussi être lié à un type.

Ainsi, l'élément de la variable structure hérite des propriétés de l'élément de structure qui lui-même peut être lié à un type.

Cela peut même devenir encore plus complexe si une structure utilise d'autres structures.

Variables avec une structure dans une structure

Dans l'exemple, la variable est Engine.Speed.Control. Speed est déduite de la structure Engine. Celle-ci contient l'élément Engine Speed Control qui est aussi une structure. Cette structure est liée à la structure Engine, car les structures dans les structures peuvent seulement être liées. Dans cette structure, Speed Control est lié au type de données INT.

Ainsi, s'il y a des modifications dans ce type de données, ces modifications affectent directement la variable Engine.Speed Control. Engine.Speed Actual.

Donc attention aux modifications dans les types de données.

Écraser les propriétés ou restaurer les liens avec le type se fait comme décrit plus haut.


Propriétés héritées d'un type de données dans le cas de variables simples

Manuel -> Variables -> Concept d'héritage -> Propriétés héritées d'un type de données dans le cas de variables simples

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Toutes les propriétés sont héritées d'un nouveau type de données lors de la création d'une nouvelle variable. Ceci est indiqué par une marque dans la propriété.

Les propriétés héritées sont identifiées par une marque

Dans cet exemple, toutes les propriétés sont héritées du type de données sauf la propriété 'Unité'. Cette propriété a été écrasée dans la variable. Si la propriété de mesure est modifiée dans le type de données de base, la propriété d'unité de mesure sera modifiée pour toutes les variables basées sur ce type de données. Ceci ne s’applique pas aux variables dans lesquelles cette propriété a été remplacée.

attention Attention

Veuillez noter que les modifications dans le type modifient toutes les variables basées sur ce type (sauf pour les propriétés qui ont été modifiées de façon correspondante dans les variables).

Autres sujets abordés dans ce chapitre

Remplacer les propriétés

Restaurer les propriétés d'un type de données


Remplacer les propriétés

Manuel -> Variables -> Concept d'héritage -> Propriétés héritées d'un type de données dans le cas de variables simples -> Remplacer les propriétés

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Les propriétés de variables peuvent être remplacées de deux façons :

  • La propriété est modifiée à l'aide du clavier ou de la souris. Dès que la modification est appliquée, cette propriété de la connexion est séparée du type de données.
  • La propriété est séparée du type de données à l'du menu contextuel correspondant. Dans ce cas, il est possible de sélectionner la propriété à partir du type de données ou de sélectionner toutes les propriétés de la variable. (Capture d'écran !)

La coche disparaît dès que la propriété est remplacée. Toutes les modifications apportées à un type de données n'influencent alors plus les propriétés remplacées d'une variable.


Restaurer les propriétés d'un type de données

Manuel -> Variables -> Concept d'héritage -> Propriétés héritées d'un type de données dans le cas de variables simples -> Restaurer les propriétés d'un type de données

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Sélectionnez les propriétés écrasées et dans le menu contextuel, choisir Prendre toutes les propriétés du type de données ou seulement Lier <Nom> avec type de données. Ces propriétés retrouvent la marque du lien avec le type de données.


Plages de valeurs

Manuel -> Variables -> Plages de valeurs

Le calcul de la valeur définit la plage de valeurs d'une variable avec différentes propriétés.

Hystérésis et valeur de seuil

Les valeurs fluctuantes peuvent être détectées avec différentes propriétés pour éviter les réactions indésirables telles que les alarmes ou les entrées dans les archives. Dans ce cas, la distinction suivante est faite :

  • Hystérésis: évite le transfert des valeurs fluctuantes du driver vers les variables.
  • Hystérésis pour les archives: évite la création d'entrées dans les archives pour les valeurs qui fluctuent par rapport à la plage de mesure.
  • Hystérésis: Évite les réactions indésirables, telles que les alarmes, pour les valeurs numériques fluctuantes.

Modification de valeurs non-linéaires

Les variables dont la valeur brute (contrôleur) ne peut être ajustée de manière linéaire dans la valeur mesurée (zenon) peuvent être modifiées via la propriété Ajustement non-linéaire avec macros. Dans ce cas, les valeurs brutes sont modifiées à l'aide de macros VBA dans l'automate et au moyen d'une macro dans zenon.
Les macros requises doivent déjà être disponibles dans la liste de macros de zenon. Celles-ci sont sélectionnées via les propriétés suivantes :

  • AdjustHardwareValue: macro appelée dans le Runtime à chaque modification de la valeur brute dans l'automate ; modifie la valeur dans zenon.
  • AdjustScadaValue: macro appelée lors de l'écriture d'une valeur depuis zenon ; modifie la valeur brute dans l'automate.

attention Attention

Les deux propriétés doivent toujours être configurées. La macro AdjustHardwareValue doit être créée à l'inverse de la propriété AdjustScadaValue, sous forme de fonction inverse.

Autres sujets abordés dans ce chapitre

Hystérésis


Hystérésis

Manuel -> Variables -> Plages de valeurs -> Hystérésis

L'hystérésis définit la zone dans laquelle une modification de valeur est ignorée. Ceci permet d'éviter l'affichage de fluctuations de valeurs qui déclencheraient constamment des dépassements de valeurs limite dans un élément de synoptique.

Dans <CD_ PRODUCTNAME>, l'hystérésis peut être définie dans les propriétés des variables (Plages de valeurs/Hystérésis) pour les éléments suivants :

  • Calculs des valeurs des variables :
    Positif pour le signal and Négatif pour le signal properties for signal range.
    Les valeurs modifiées dans la plage d'hystérésis ne sont pas transférées vers les variables depuis le driver.
  • Entrées dans l'archive en cas de changement de valeur :
    propriétés Positif pour l'archive et Négatif pour l'archive pour la plage de mesure

    Les valeurs modifiées situées dans la plage d'hystérésis ne sont pas saisies dans l'archive.

Example Exemple

Une valeur limite de 50 °C est définie. La température fluctue normalement dans une certaine limite. Par conséquent, la valeur limite est dépassée à chaque dépassement de la limite de 50°, ce qui déclenche une alarme et une entrée dans l'archive.

Pour éviter cela, les valeurs suivantes sont définies comme hystérésis de la variable :

  • Positif pour le signal: 2
  • Négatif pour le signal: 2

Et pour l'archive en tant qu'hystérésis :

  • Positif pour l'archive: 8
  • Négatif pour l'archive: 6

Ainsi :

  • Seules les valeurs supérieures à 52° ou inférieures à 48° sont considérées comme un dépassement de valeur limite.
  • Une entrée n'est créée dans l'archive que lorsque les valeurs s'élèvent au-dessus de 58° ou à moins de 44°.

Remarque : Des hystérésis permettant d'éviter les réactions indésirables (telles que le déclenchement d'alarmes) pour limiter les dépassements de valeurs limite dues aux fluctuations de valeurs peuvent être créés à l'aide des valeurs de seuil.

info Informations

Remarque :

  • Tous les drivers ne sont pas compatibles avec les hystérésis. Vous trouverez des informations concernant la compatibilité de votre driver avec les hystérésis dans la documentation du driver correspondant.
  • Projet d'intégration :
    Si une hystérésis est configurée pour une variable dans un sous-projet, ceci n'a aucun effet si la variable se trouve dans une archive du projet d'intégration.


Grenzwerte

Manuel -> Variables -> Grenzwerte

Grenzwerte haben die Aufgabe, bei Erreichen oder Überschreiten einer Grenze oder eines Zustandes eine Reaktion auszulösen. Die Grenze wird feststehend im Editor eingetragen oder stellt sich variabel nach dem Wert einer anderen Variablen zur Runtime ein. Die Reaktionsarten sind sehr vielfältig. Zum Beispiel: Farbumschläge, Alarm-, CEL Einträge, Ausdrucke, Funktionsaufrufe usw. Die Ausführung der Reaktion erfolgt in zenon.

Die Projektierung von

  • Grenzwerten definiert das Verhalten für numerische Variablen
  • Status definiert das Verhalten für binäre Variablen (low, high oder logisch 0, 1).

    Hinweis: Aus Gründen der Allgemeingültigkeit wird in weiterer Folge auch für Status die Bezeichnung Grenzwert verwendet.

Ist eine zusätzliche Auswertung der Statusinformationen der Variablen notwendig, so muss die Projektierung über Reaktionsmatrizen erfolgen. Remas können auch für String-Werte verwendet werden. Detaillierte Information zu den Reaktionsmatrizen finden Sie im Abschnitt Reaktionsmatrizen.

Verwendung mit EPLAN

Bei einem Alarm kann auch ein EPLAN-Dokument aufgerufen werden. Dazu muss die EPLAN-Anbindung lizenziert sein und der Pfad zum EPLAN-Programm in der zenon6.ini definiert sein.
Konfiguration:

  • Eingabe der Zeichenfolge $PRG:xxxxxx in die Eigenschaft Fichier d'aide in der Gruppe Valeurs limite

    Hinweis: xxxxxx ist Platzhalter für die zu übergebenden Parameter

  • Die Eigenschaft Chapitre d'aide wird ignoriert, darf aber nicht leer sein

Details siehe Kapitel EPLAN aus Hilfe aufrufen im Handbuch Runtime-Hilfe.

Autres sujets abordés dans ce chapitre

Définir les valeurs limites dans Editor

Valeurs limite dans le Runtime

Texte de limite dynamique


Définir les valeurs limites dans Editor

Manuel -> Variables -> Grenzwerte -> Définir les valeurs limites dans Editor

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Sélectionner une variable dans la vue de détail du Gestionnaire de projet affiche toutes les propriétés de cette variable dans la fenêtre de propriétés.

Pour créer une nouvelle valeur limite, cliquez sur Nouvelle valeur limite. Chaque fois que vous cliquez sur Nouvelle valeur limite, une nouvelle valeur limite (Valeur limite 1, Valeur limite 2, etc.) est ajoutée à la liste.

Toutes les propriétés disponibles pour définir les valeurs limite sont affichées dans la fenêtre des propriétés et sont décrites dans l'aide des propriétés. L'aide embarquée est automatiquement affichée lorsque l'on sélectionne une propriété.

Un nombre illimité de valeurs limite peut être défini pour chaque variable.

Cliquez sur le + situé devant la propriété Valeur limite pour ouvrir la liste. Toutes les valeurs limite sont listées dans ce groupe. Une valeur limite peut maintenant être sélectionnée pour afficher les propriétés de la valeur limite.

Autres sujets abordés dans ce chapitre

Délai

Seuil

Déduction des valeurs limite issues du type de données

Sélection multiple

Suppression de valeurs limite

Chevauchement de valeurs limite

Aperçu des valeurs limite


Délai

Manuel -> Variables -> Grenzwerte -> Définir les valeurs limites dans Editor -> Délai

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

La propriété Délai (s) peut être utilisée pour configurer une valeur de délai dans les propriétés de la valeur limite. Cette valeur définit l'intervalle en secondes dans lequel le dépassement de valeur limite doit avoir lieu pour que l'action définie associée au dépassement de limite soit exécutée.
Par défaut : 0 - aucun délai

Valeur maximale : 4294967295 secondes

Le délai s'applique, quelles que soient les conditions du dépassement de valeur limite.

Exemple :

  • Développement
    • la valeur du paramètre Valeur limite 1 est de 50.
    • la valeur du paramètre Valeur limite 2 est de 100.
    • Le délai est de 3 s.
  1. La valeur augmente à 110.
    • Si le dépassement a lieu pendant 3 secondes, le dépassement de valeur limite pour la valeur 100 est affiché.
  2. La valeur diminue à 70.
    • Si cette valeur a été affichée pendant 3 secondes, l'alarme de dépassement de la valeur limite 100 est désactivée et un dépassement de valeur limite pour la valeur 50 est affiché.
  3. Si la valeur descend en dessous de 40, l'alarme est désactivée après 3 secondes.

Horodatage et valeur

L'heure du premier dépassement de valeur limite est utilisée en tant qu'horodatage du dépassement de valeur limite dans la liste d'alarmes et/ou la liste d'événements.
La première valeur après expiration du délai, et non la valeur déclenchant l’alarme, est définie en tant que valeur.

Légende :

Chiffre

Description

1

Heure du dépassement de valeur limite.

Début du délai configuré.

Valeur à déclencher.

2

Fin du délai configuré. Alarme reçue :

  • Heure : Heure du dépassement de valeur limite (1)
  • Valeur affichée : Valeur après le délai (2)

info Informations

Associée à la propriété Clignotement, cette propriété a l'effet suivant sur le réseau :
Les éléments liés pour les valeurs limites et les alarmes, avec ou sans délai, sont affichés sur le serveur et sur les clients comme clignotants.


Seuil

Manuel -> Variables -> Grenzwerte -> Définir les valeurs limites dans Editor -> Seuil

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Les seuils permettent d'éviter des réactions indésirables en cas de modification rapide (fluctuation) des valeurs numériques. Elles créent une hystérésis de valeur limite. La valeur limite est donc différente au début du dépassement de valeur limite et à la fin du dépassement de valeur limite.

Par exemple : valeur limite max. de 100, valeur de seuil de 10. Dès que la valeur de la variable atteint 100, la valeur limite est dépassée. Si la valeur redescend à 95, rien ne se passe. Le dépassement de valeur limite ne se termine que si la valeur limite descend à 89.

Les seuils peuvent être définis sur maximum ou minimum. Pour la configuration maximum, le seuil se déplace vers le bas, et vers le haut pour la configuration minimum.
Par exemple, une valeur maximum de 900 et un seuil de 10 produisent une valeur de 890.
La valeur limite sera dépassée en cas de valeur supérieure à 900, et la zone critique sera quittée lorsque la valeur chutera en dessous de 890.
Exemple de valeur minimum : une valeur minimale de 900 et un seuil de 10 produisent une valeur de 910.
La valeur limite sera dépassée en cas de valeur inférieure à 900, et la zone critique sera quittée lorsque la valeur dépassera 910.
Au contraire de l'hystérésis, cette propriété affecte uniquement le comportement de l'alarme, et non la représentation de la valeur.


Déduction des valeurs limite issues du type de données

Manuel -> Variables -> Grenzwerte -> Définir les valeurs limites dans Editor -> Déduction des valeurs limite issues du type de données

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Les valeurs limite peuvent être déjà définies dans le type de données. Les valeurs limite définies dans le type sont disponibles dans toutes les variables reposant sur ce type de données. Le concept d'héritage marche ici comme décrit plus haut : toutes les propriétés sont issues du type et peuvent être écrasées dans chaque variable. Ainsi, une valeur limite peut être désactivée dans une seule variable. Une valeur limite héritée du type de données ne peut pas être supprimée dans une variable (la suppression n'est possible qu'au niveau du type de données). Toutefois, des valeurs limite supplémentaires peuvent être ajoutées dans la variable. Ces valeurs limite spécifiques à une variable peuvent évidemment être supprimées au niveau de la variable.

Vous trouverez plus d'information sur les matrices de réaction dans le chapitre Types de données.


Sélection multiple

Manuel -> Variables -> Grenzwerte -> Définir les valeurs limites dans Editor -> Sélection multiple

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Si plusieurs variables sont sélectionnées simultanément, les propriétés des valeurs limite peuvent également être modifiées simultanément pour plusieurs valeurs limite. Si une des variables sélectionnées ne comporte pas la valeur limite devant être éditée, elle n'est pas prise en compte.

Avec cette multi-sélection, les propriétés qui diffèrent d'une variable à l'autre sont affichées en rouge dans la fenêtre des propriétés. (La propriété de la première variable sélectionnée est affichée). Si les propriétés n'existent pas pour toutes les variables sélectionnées (par ex., valeurs limites), elles sont affichées en jaune.


Suppression de valeurs limite

Manuel -> Variables -> Grenzwerte -> Définir les valeurs limites dans Editor -> Suppression de valeurs limite

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Cliquez sur Supprimer la valeur limite dans les propriétés.


Chevauchement de valeurs limite

Manuel -> Variables -> Grenzwerte -> Définir les valeurs limites dans Editor -> Chevauchement de valeurs limite

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Vous pouvez définir des valeurs limite qui se chevauchent. Dans ce cas, zenon vérifie automatiquement la valeur limite valide.

Example Exemple

Valeur limite 1 (maximum) définie à 100. Valeur limite 2 (maximum) définie à 200. Si la variable dans le Runtime reçoit une valeur comprise entre 100 et 199, la valeur limite 1 est concernée par le dépassement. Si la valeur dépasse 200, la valeur limite 2 est concernée par le dépassement.


Aperçu des valeurs limite

Manuel -> Variables -> Grenzwerte -> Définir les valeurs limites dans Editor -> Aperçu des valeurs limite

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Les valeurs limite d'une variable ou d'un type de données simple, ainsi que les matrices de réaction liées, peuvent être affichées dans une boîte de dialogue d'aperçu.
La boîte de dialogue peut être affichée pour les éléments suivants :

  • Variables, types de données simples et matrices de réaction : pour les valeurs limite
  • Éléments de synoptique : pour les propriétés correspondantes des couleurs et des effets Glow, Clignotement ou Visibilité, à condition que ceux-ci soient définis à l'aide de variables

Affichage de l'aperçu de valeurs limite

Pour afficher l'aperçu d'une valeur limite, ouvrez la boîte de dialogue à l'aide de la propriété correspondante :

Élément

Groupe de propriétés

Propriété

Éléments de synoptique

Clignotement

Affichage aperçu clignotement

Éléments de synoptique

Couleur(s) de remplissage dynamique(s)

Affichage aperçu couleur pour les Couleur de ligne

Affichage aperçu couleur pour les Couleur de remplissage

Affichage aperçu couleur pour les Couleur du dégradé

Éléments de synoptique

Effet de rayonnement (seulement DirectX)

Affichage aperçu couleur pour les Variable pour la couleur

Affichage aperçu visibilité pour les Variable pour la visibilité

Affichage aperçu clignotement pour les Variable pour le clignotement

Éléments de synoptique

Visibilité

Affichage aperçu visibilité

Variables
et
types de données

Valeurs limite

Aperçu des valeurs limite

La boîte de dialogue correspondante appelée dépend du type de configuration de valeur limite, via les valeurs limite ou les matrices de réaction :

  • Aperçu des valeurs limite
  • Aperçu d'état de matrice de réaction

Autres sujets abordés dans ce chapitre

Boîte de dialogue d'aperçu de valeur limite

Aperçu de la boîte de dialogue d'état de la matrice de réaction


Boîte de dialogue d'aperçu de valeur limite

Manuel -> Variables -> Grenzwerte -> Définir les valeurs limites dans Editor -> Aperçu des valeurs limite -> Boîte de dialogue d'aperçu de valeur limite

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Boîte de dialogue d'aperçu de valeur limite

L'aperçu affiche des informations concernant les valeurs limite configurées. La propriété Matrice de réaction ne doit pas contenir de lien.

Paramètres

Description

Aperçu des valeurs limite

Affichage de la valeur limite définie avec les propriétés suivantes :

  • Minimum/Maximum
  • Texte valeur limite
  • Couleur de limite
  • Clignotement
  • Invisible
  • Valeur limite

Aucune configuration possible.

OK

Ferme la boîte de dialogue.

Annuler

Ferme la boîte de dialogue.

Aide

Ouvre l'aide


Aperçu de la boîte de dialogue d'état de la matrice de réaction

Manuel -> Variables -> Grenzwerte -> Définir les valeurs limites dans Editor -> Aperçu des valeurs limite -> Aperçu de la boîte de dialogue d'état de la matrice de réaction

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Si une matrice de réaction a été sélectionnée pour les valeurs limite, les valeurs limite configurées sont désactivées. L'aperçu affiche un aperçu de la matrice de réaction liée.

Paramètres

Description

Aperçu matrice de réaction

Affichage de la matrice de réaction sélectionnée avec les informations suivantes :

  • Valeur
  • Texte de limite
  • Couleur de valeur limite
  • Invisible
  • Clignotement
  • Texte de valeur limite

Aucune configuration possible.

OK

Ferme la boîte de dialogue.

Annuler

Ferme la boîte de dialogue.

Aide

Ouvre l'aide


Valeurs limite dans le Runtime

Manuel -> Variables -> Grenzwerte -> Valeurs limite dans le Runtime

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Pour les variables binaires, zenon réagit lorsque l'état est atteint (front montant). Pour les variables numériques, le système de contrôle réagit lorsque la valeur maximum est atteinte ou dépassée (GreaterThanEqualTo) ou lorsque la valeur minimum est atteinte ou dépassée (LessThanEqualTo). Ceci est appelé un dépassement de valeur limite.

info Informations

Une variable binaire comporte deux valeurs limites, une valeur limite Min. et une valeur limite Max. Attention : La valeur limite Min. est la valeur limite 1 et la valeur limite Max. est la valeur limite 2.

Lors du calcul des valeurs limite de variables numériques, la valeur brute de la variable (résolution de signal) destinée à être utilisée dans zenon est toujours calculée de manière linéaire, à moins qu'elle ne soit définie différemment par la fonction "ajustement de valeur non linéaire".

Exemple : Un capteur de température transmet sa valeur au système de contrôle. La variable d'octet correspondante possède une résolution de signal de 0-255. Dans zenon, la variable correspondante possède une plage de mesure de 0-100. Par conséquent :

Automate | Système de contrôle
0 | 0
127 | 50
255 | 100

Si une valeur limite est dépassée, au démarrage de zenon, la réaction est exécutée immédiatement au démarrage du Runtime.

Exception : Si la réaction correspond à une entrée dans la liste d’alarmes ou la liste du CEL, le système vérifie d'abord si l’entrée n’existe pas déjà (issue de la dernière session). Si c'est le cas, le système n'ajoute pas une nouvelle entrée ! Ainsi les doublons sont évités. Toutes les autres réactions sont quand même exécutées.

attention Attention

Une seule valeur limite peut être active à un instant donné pour une variable donnée.

D'autres informations concernant la conversion de la plage de signal en plage de mesure sont disponibles dans la section d'aide dédiée aux propriétés de la fenêtre des propriétés, lorsque vous sélectionnez la propriété "Valeur".

Autres sujets abordés dans ce chapitre

Fin de dépassement de valeur limite


Fin de dépassement de valeur limite

Manuel -> Variables -> Grenzwerte -> Valeurs limite dans le Runtime -> Fin de dépassement de valeur limite

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Si une valeur limite est dépassée, une modification de valeur dans la plage de valeurs limite ne génère pas une nouvelle réaction.

Par exemple : Une plage de valeurs limite de 100-200 est configurée. Si la valeur change de 110 à 115, aucune nouvelle réaction n'intervient. Si la valeur change en 210, il y a une nouvelle réaction liée à la valeur limite suivante.

Les réactions indésirables pour les valeurs numériques fluctuantes peuvent être évitées à l'aide des seuils.


Texte de limite dynamique

Manuel -> Variables -> Grenzwerte -> Texte de limite dynamique

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Permet d'inclure les valeurs actuelles des autres variables, ainsi que des informations supplémentaires concernant les variables, dans le texte de valeur limite d'une variable et le texte de valeur limite des matrices de réaction. Un texte fixe peut être lié à cela via un index contenant des mots-clés générés à partir d'une table de langue (voir également Utiliser des mots-clés des tables de langues ).

Le texte de la valeur limite dynamique peut être affiché dans:

  • de la liste d'alarmes
  • de la liste d'événements
  • de la module Report Viewer
  • de la ligne d’état des alarmes
  • de la Élément Texte dynamique

info Informations

Si la valeur limite dynamique est affichée à l'aide de l'élément de texte dynamique, la valeur variable courante est toujours utilisée.

Syntaxe

La nomenclature suivante est valide pour le paramétrage des textes de valeurs limite :

Paramètre | Description
$ | Indique un texte de valeur limite dynamique. Ce caractère doit se trouver en première position dans le texte de valeur limite.
; | Séparateur de commandes. Il est utilisé pour séparer le texte constant du texte dynamique. Lorsque vous séparez des variables, aucun espace ne doit être laissé entre le séparateur et la variable.
@Texte | texte issu de la table de langue couramment chargée.
%PV | Valeur d'une variable dont le nom est "PV"
@Text+%PV | Mot clé composé qui sera cherché dans la table de langue couramment chargée. La valeur de la variable "PV" est enregistrée et lors de l'affichage, l'association texte + valeur de la variable est recherchée dans la table de langue.
%caractère générique | For the display of additional information, see display of variable information.

L'utilisation de combinaisons de mots-clés permet de créer des textes de valeur limite dynamique pouvant comporter plus de 80 caractères.

Example Exemple 1

Texte de valeur limite = $@Texte; Pos-X; %Valeur1; Pox-Y ; %Valeur2

Les conditions préalables suivantes sont valides :

  • @Text est un mot clé de la table de langues correspondant à "Texte de la table"
  • Value1 est une variable entière possédant la valeur 14
  • Value2 est une variable entière possédant la valeur 12

Sortie = Texte de la table X-Pos 14 Y-Pos 12

Example Exemple 2

$OFF in position ;%String1

Les conditions préalables suivantes sont valides :

  • %String1 est une variable de chaîne possédant le contenu "ORT"

Sortie = OUT à la position ORT

Example Exemple 3

$%@message_+value1
Les conditions préalables suivantes s'appliquent :

  • @message_ est une partie d'un mot clé dans la table des langues
  • Value1 est une variable entière possédant la valeur 12

La combinaison des deux donne le mot clé "message_12" et le texte correspondant dans la table de langue est affiché.

Example Exemple 4

$%@message_+String1
Les conditions préalables suivantes s'appliquent :

  • @message_ est une partie d'un mot clé dans la table des langues
  • String1 est une variable de chaîne possédant le contenu "zenon"

La combinaison des deux donne le mot clé "message_zenon" et le texte correspondant dans la table de langue est affiché.

Valeurs limite des textes de valeur limite dynamique

Le stockage des textes de valeur limite dynamiques comporte un certain nombre de valeurs limites :

  1. Le texte statique est stocké dans la zone de stockage du texte de valeur limite :
    maximum 1024 caractères
  2. Les valeurs des variables liées sont stockées dans la zone de stockage du texte de commentaire :
    Maximum 80 caractères.
  3. Si des textes de valeur limite dynamique sont utilisés, aucun commentaire ne peut être utilisé pour ces alarmes.

Ces limites peuvent être contournées :

Contourner la limite à l'aide de textes de valeur limite dynamique longs

Les valeurs de variables associées aux textes de valeur limite dynamique peuvent être transférées dans un fichier distinct.

Conditions requises : dans les propriétés du projet, dans le groupe Liste d'alarmes, la propriété Textes de limite dynamiques longs pour les alarmes et/ou, dans le groupe Liste d'événements, la propriété Textes de limite dynamiques longs pour les événements est active.
Au lieu du champ de commentaires, les valeurs sont conservées dans un fichier distinct.

1032 octets sont disponibles par valeur limite, en principe. Sur ces 1032 octets, un certain nombre d'octets est déduit de chaque variable liée dans le texte de valeur limite. Le nombre déduit dépend du type de données. Par conséquent, lorsque plusieurs variables liées sont utilisées dans le texte de valeur limite dynamique, le nombre de caractères disponibles est logiquement moins élevé.

Exemple 1 : Valeur limite dynamique avec variable de chaîne :
Sur les 1032 octets

  • 9 octets sont utilisés pour les informations de structure
  • 1023 octets sont disponibles pour le contenu de la variable chaîne

Exemple 2 : Valeur limite dynamique avec deux variables chaîne :
Sur les 1032 octets

  • 18 (2 x 9) octets sont utilisés pour les informations de structure
  • 1014 octets restent disponibles pour le contenu des deux variables chaîne

Remarque :

  • Il n'existe aucune limite du nombre autorisé de variables par texte de valeur limite.
  • Le nombre d'octets requis pour l'information de structure dépend du type de données.
  • Les noms de fichier des fichiers supplémentaires créés sont Dxxx.aml et/ou Dxxx.cel.
  • Pour la mémoire circulaire, les informations supplémentaires sont enregistrées dans les fichiers aml.bin et cel.bin.

Textes d'erreur durant le Runtime :

Paramètre | Description
XXX | La valeur d'une variable liée a changé.
--- | les valeurs des variables liées sont indisponibles (peut se produire au démarrage du programme).
>>> | Le nombre maximum de caractères pour le texte de valeur limite dynamique a été dépassé.

Autres sujets abordés dans ce chapitre

Affichage des informations d'une variable

Mots-clés dynamiques dans les textes de valeur limite


Affichage des informations d'une variable

Manuel -> Variables -> Grenzwerte -> Texte de limite dynamique -> Affichage des informations d'une variable

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

The following variable information can be shown with the help of the dynamic limit value text, using placeholders.

Identifiant de ressources

caractère générique | Description
%r | Affiche l'identifiant de ressources.
%r,1,2 | Affiche l'identifiant de ressources en commençant à la position 1 pour 2 caractères.
%R | Affiche l'identifiant de ressources.
%R,3,2 | Affiche l'identifiant de ressources moins les 3 premiers et les 2 derniers caractères.

Unité de mesure

caractère générique | Description
%u | Afficher les unités de mesure.
%u,1,2 | Affiche l'unité de mesure en commençant à la position 1 pour 2 caractères
%U | Afficher les unités de mesure.
%U,3,2 | Affiche l'unité de mesure moins les 3 premiers et les 2 derniers caractères.

Identification de variable

caractère générique | Description
%l | affiche l'identification de la variable.
%l,1,2 | Affiche l'identification de la variable en commençant à la position 1 pour 2 caractères.
%L | affiche l'identification de la variable.
%L,3,2 | Affiche l'identification de la variable, moins les trois premiers et les deux derniers caractères.

Nom de variable

caractère générique | Description
%n | Affiche le nom de la variable.
%n,1,2 | affiche le nom de la variable en commençant à la position 1 pour 2 caractères.
%N | Affiche le nom de la variable.
%N,3,2 | Affiche le nom de la variable, moins les trois premiers et les deux derniers caractères.

Valeur de la variable

caractère générique | Description
%v | Affiche la valeur de la variable courante.
%v,1,2 | Affiche la valeur de la variable en commençant à la position 1 pour 2 caractères.
%V | Affiche la valeur de la variable courante.
%V,3,2 | Affiche la valeur de la variable, moins les trois premiers et les deux derniers caractères.

Horodatage

caractère générique | Description
%t | Affiche les informations d'horodatage.
%t,1,2 | Affiche les informations d'horodatage en commençant à la position 1 pour 2 caractères.
 | Affiche les informations d'horodatage.
%T,3,2 | Affiche les informations d'horodatage moins les 3 premiers et les 2 derniers caractères.

Les formats des paramètres de temps du système d'exploitation sont appliqués.

Example Exemple
  • Display of language-switchable text, the variable value and the measuring unit:

    $@texte - ;%v; ;%u

  • Display of language-switchable text and the variable identification, limited to the first three characters:

    $@texte - ;%l,1,3


Mots-clés dynamiques dans les textes de valeur limite

Manuel -> Variables -> Grenzwerte -> Texte de limite dynamique -> Mots-clés dynamiques dans les textes de valeur limite

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Les messages d'alarme de variables booléennes ne fournissent pas la raison du déclenchement d'une alarme lors du traitement de messages collectifs. La cause peut être transférée à l'aide d'une variable avec indice, afin que le texte de valeur limite imprime systématiquement la cause de l'alarme. Le texte correct est localisé et affiché à l'aide du texte de valeur limite dynamique (reportez-vous au chapitre Changement de langue). Dans ce cas, aucun mot fixe ne peut être utilisé comme mot-clé ; utilisez un mot dynamique. Ce dernier est constitué ainsi : préfixe+valeur de l'indice de variable (soit %@errornr+mIndex).

Il est possible d'utiliser des mots-clés multidimensionnels (comportant plusieurs indices).
Par exemple : texte fixe; @Motorfehler%meinIndex1-%meinIndex2 devient, par exemple, @Motorfehler4-67 dans le Runtime. Ce mot-clé est ensuite recherché dans la table de langue, et le texte correspondant est affiché.

Exemples

Exemple 1

$@error in module: ;%moduleNr;@error type: ;%@errornr+mIndex;

Description :

$ définit un texte de valeur limite dynamique.

@erreur dans le module : mot-clé normal provenant de la table de langue.

%moduleNr : Remplacé par la valeur de ModuleNr dans le Runtime (fonctionnalité du texte de valeur limite dynamique).

Type d'erreur : mot-clé normal provenant de la table de langue.

@errornr : la première partie du mot-clé dynamique.

+mIndex: remplacé dans le Runtime par la valeur de la variable mIndex et complète le mot-clé @errornr.

Résultat :

Valeur de mIndex | Mot clé
1 | @errornr1
2 | @errornr2

Exemple 2 : Chaînes de caractères

$%@Message_+Internal_UINT_001;/;%@Reason_+Internal_STRING_004

Si Index_UINT_001 possède la valeur 4 et Index_STRING_004 possède la valeur Incendie, les textes Message_4 et Cause_of_fire sont recherchés dans la table de langue et affichés dans la liste d'alarmes ou la liste d'événements.


Matrices de réaction

Manuel -> Variables -> Matrices de réaction

Les informations concernant les valeurs limite peuvent être définies de manière centrale, dans une matrice de réaction.
Par exemple, lorsqu'un nombre de niveaux de remplissage correspond à un contrôle des niveaux de remplissage, cette information peut être définie dans une matrice de réaction unique. Cela permet par exemple de modifier la valeur d'une limite inférieure en un point central.

Avantages au regard des valeurs limite :

  • une même matrice de réaction peut être utilisée à plusieurs reprises. Une matrice de réaction peut être liée à plusieurs variables qui peuvent même être basées sur des types différents.
  • Les matrices de réaction peuvent gérer chaque changement de valeur d'une variable numérique comme un dépassement de valeur limite. Ceci n'est pas possible dans les valeurs limite.
  • Avec les matrices de réaction, un état tel que non valide (voir le chapitre Gestion d'états) peut par exemple être demandé. Cela n'est en revanche pas possible avec les valeurs de limite.

Vous trouverez d'autres informations concernant les valeurs limite au chapitre Limites.

Autres sujets abordés dans ce chapitre

Créer une matrice de réaction

Éditer une matrice de réaction

Lier des matrices de réaction à des variables ou des types de données

Types de matrices de réaction

Textes dynamiques de valeur limite dans les matrices de réaction

États en cas de changement de valeur et de délai

Liste des bits d'état


Créer une matrice de réaction

Manuel -> Variables -> Matrices de réaction -> Créer une matrice de réaction

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Sélectionnez "Matrices de réaction" dans le gestionnaire de projet et ouvrez le menu contextuel avec le bouton droit de la souris. Ici, sélectionnez Nouvelle matrice de réaction.

Dans la boîte de dialogue qui s'affiche à l'écran, saisissez le nom et le type de matrice de réaction. Notez que cette attribution ne peut pas être modifiée ultérieurement. Toutefois, le nom peut être modifié ultérieurement.

Les différents types de matrices de réaction sont utilisés pour les évaluations suivantes :

Paramètre | Description
Binaire | Évaluation d'états discrets (orienté bits)
Numérique | Évaluation d'états analogiques (orienté valeurs)
Multi-binaire | Évaluation étendue de variables 32 bits ; les 16 premiers bits déterminent la valeur de la variable et sont transmis en tant que valeurs numériques ; reroutage de bits d'état ; fonction spéciale (désactivation de variables si le bit d'état est mis à 1) (Configuration des données de protection - spécifique à SAT uniquement)
Multi-numérique | Évaluation étendue avec routage d'état simultané et fonction spéciale (désactivation de variables lorsque le bit d'état est mis à 1)
Chaîne | comparaison de chaîne


Éditer une matrice de réaction

Manuel -> Variables -> Matrices de réaction -> Éditer une matrice de réaction

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Pour modifier une matrice de réaction :

  • Sélectionnez la matrice de réaction dans la vue de détail.
  • Sélectionnez la commande de votre choix dans le menu contextuel.

Menu contextuel de la vue de détail Matrice de réaction

Paramètre | Description
Nouvelle matrice de réaction | Crée une nouvelle matrice de réaction.
Configuration | Ouvre la boîte de dialogue de configuration de la matrice de réaction.
Copier | Copie la matrice de réaction sélectionnée.
Coller | Colle la matrice de réaction qui a été coupée ou copiée.
Supprimer | Supprime la matrice de réaction sélectionnée.
Exporter la sélection en XML... | Exporte les matrices de réaction sélectionnées sous forme de fichier XML.
Tous filtres supprimés | Supprime tous les paramètres de filtre
Éditer la cellule sélectionnée | Ouvre la cellule pour la modification si la modification de la cellule est autorisée dans la liste.
Propriétés | Ouvre la fenêtre de propriétés.
Aide | Ouvre l'aide en ligne.

États et réactions de boîtes de dialogue

En cliquant sur Configuration, vous pouvez ouvrir la boîte de dialogue de configuration des états. Les possibilités de configuration dépendent du type de matrice de réaction.

Dans la liste États, vous pouvez également sélectionner plusieurs états à la fois et les modifier. Différents paramètres sont affichés en surbrillance (avec un fond rouge ou un cadre rouge).

Conseil : vous pouvez ainsi modifier l'état et la valeur pour plusieurs états.

Menu contextuel États

Dans la zone de liste États, les commandes suivantes sont accessibles via le menu contextuel :

Commande | Description
Créer un nouvel état | Crée un nouvel état sur la base de l'état actuellement sélectionné.
Créer un nouveau sous-état | Remarque concernant les éléments multi-binaires : Crée un nouveau sous-état pour l'état sélectionné.
Copier | Copie l'état sélectionné vers le presse-papiers. Remarque concernant les éléments multi-binaires: Vous pouvez uniquement copier les états principaux. Les sous-états sont copiés avec les états principaux.
Coller | Colle l'état sélectionné depuis le presse-papiers.
Supprimer | Supprime l'état sélectionné de la liste. L'état par défaut ne peut pas être supprimé.
Tester | Ouvre la boîte de dialogue permettant de tester l'état.
Vers le haut | Déplace les entrées sélectionnées vers le haut. (Également possible avec un glisser-déplacer.)
Vers le bas | Déplace l'entrée sélectionnée vers le bas. (Également possible avec un glisser & déposer.)
Aide | Ouvre l'aide en ligne de la matrice de réaction concernée.

Vous trouverez les paramètres généraux et la définition des valeurs dans la matrice de réaction correspondante :

  • Binaire
  • Numérique
  • Chaîne
  • États et réactions multi-binaires
  • États et réactions multi-numériques

info Informations

Dans le cas d'un rechargement du projet ou d'un basculement sur le serveur redondant, il y a une distorsion dans les réponses présentes ou les confirmations d'écriture.


Lier des matrices de réaction à des variables ou des types de données

Manuel -> Variables -> Matrices de réaction -> Lier des matrices de réaction à des variables ou des types de données

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Les matrices de réaction peuvent être liées à variables ou des types de données, plutôt qu'à des valeurs limite.

Pour lier une matrice de réaction :

  1. Sélectionnez le fichier de variable ou le type de données souhaité.
  2. Accédez au groupe de propriétés Valeurs limite.
  3. Dans la propriété Matrice de réaction, cliquez sur le bouton ....
  4. La boîte de dialogue de sélection et de configuration des matrices de réaction s'affiche à l'écran.
  5. Sélectionnez la matrice de réaction souhaitée.
  6. Fermez la boîte de dialogue en cliquant sur OK.

Remarque : Pour supprimer une matrice de réaction déjà liée, cliquez sur Aucune dans la boîte de dialogue.

info Informations

Si vous liez un type de données à une matrice de réaction, toutes les variables créées sur la base de ce type de données utilisent automatiquement cette matrice de réaction.

Boîte de dialogue de sélection de matrice de réaction

La boîte de dialogue permet de sélectionner une matrice de réaction pour une variable ou un type de données. Les informations suivantes sont affichées pour chaque matrice de réaction existante :

  • Nom
  • Type
  • Nombre d'états configurés
  • Appliquer à la liste AML
  • Appliquer à la liste CEL
  • Est une fonction liée
  • Clignote lorsqu'elle est active ou inactive

Les matrices de réaction peuvent également être configurées et créées dans cette boîte de dialogue. Il est toutefois impossible de supprimer les matrices de réaction.

Paramètres

Description

Liste de projets

Affichage du projet actif. Seules les matrices de réaction issues de ce projet peuvent être liées.

Listes de matrices de réaction

Liste des matrices de réaction déjà configurées dans ce projet. Des informations concernant le nom, le type et la configuration sont affichées pour chaque matrice de réaction.

Sélectionnez la matrice de réaction en cliquant dessus, puis cliquez sur OK.

La liste peut être affichée après avoir été filtrée. Pour cela, saisissez l'expression de filtre dans le champ de filtre. Les opérateurs * et ? peuvent être utilisés.

Toutes les matrices de réaction peuvent être configurées, copiées et créées à l'aide de la barre d'outils et du menu contextuel.

Les matrices de réaction peuvent également être renommées. Pour renommer une matrice de réaction, cliquez deux fois lentement sur la cellule Nom ou sélectionnez la cellule, puis appuyez sur la touche F2.

Aucun

Cliquez sur cette option pour supprimer une liaison existante et fermer la boîte de dialogue.

Fermer boîte de dialogue

Options | Description :
OK | Applique les paramètres et ferme la boîte de dialogue.
Annuler | Annule toutes les modifications et ferme la boîte de dialogue.
Aide | Ouvre l'aide en ligne.

Barre d'outils et menu contextuel

Les actions associées aux matrices de réaction dans la boîte de dialogue de sélection de matrices de réaction peuvent être exécutées à l'aide de la barre d'outils ou du menu contextuel.

Symbole/Commande | Description
Nouvelle matrice de réaction | Ouvre la boîte de dialogue de création d'une nouvelle matrice de réaction.
Configuration | Ouvre la boîte de dialogue de configuration de la matrice de réaction sélectionnée.
Copier | Copie la matrice de réaction sélectionnée vers le presse-papiers. Remarque : Pour effectuer la copie, plusieurs matrices de réaction peuvent être sélectionnées en même temps.
Coller | Colle les matrices de réaction copiées dans la liste.
Supprimer tous les filtres | Supprime tous les filtres configurés.


Types de matrices de réaction

Manuel -> Variables -> Matrices de réaction -> Types de matrices de réaction

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Cinq types de matrices de réaction sont disponibles :

  • Binaire
  • Numérique
  • Chaîne
  • Multi-binaire
  • Multi-numérique

Pour les types multi-binaire et multi-numérique, vous pouvez également configurer les textes des listes AML et CEL, le routage d'états et le traitement des variables.

Autres sujets abordés dans ce chapitre

Binaire

Numérique

Chaîne

Les matrices à multi-réactions en général

Tester


Binaire

Manuel -> Variables -> Matrices de réaction -> Types de matrices de réaction -> Binaire

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Une matrice de réaction binaire sert à l'évaluation de variables booléennes et de bits d'état de variables. L'évaluation est orientée bit. Des variables analogiques peuvent aussi être testées de cette façon.

Parameter | Beschreibung
Zustände | Liste der projektierten Zustände mit Wert, Status und Übertragungsursache.
Zustand neu | Legt einen neuen Zustand auf Basis des aktuelle ausgewählten Zustands an.
Unterzustand neu | Nur bei Multibinär: Legt einen neuen Unterzustand für den ausgewählten Zustand an.
Löschen | Löscht alle ausgewählten Zustände aus Liste.
Test | Öffnet den Dialog zum Testen des Zustands.
Nach oben | Sortiert ausgewählten Zustand nach oben.
Nach unten | Sortiert ausgewählten Zustand nach untern.
Status | Auswahl der Status.
Übertragungsursache | Zusätzlicher Status für Übertragungsursache (COT) laut IEC 60870 Protokoll. Details siehe Kapitel Übertragungsursache im Handbuch Statusverarbeitung.

Funktion

Funktion | Öffnet den Dialog zur Verknüpfung einer Funktion. Eine bereits verknüpfte Funktion kann in diesem Dialog über die Schaltfläche Keine Auswahl wieder abgewählt werden.
Aufruf über Alarmmeldeliste | Nur verfügbar, wenn in AML/CEL die Option In Alarmmeldeliste aktiviert wurde. Aktiv: Funktion wird über AML aufgerufen.

Zusatzattribute

Parameter

Beschreibung

Grenzwertfarbe

Farbe bei Grenzwertverletzung.

Blinken

Aktiv: Blinkt bei Grenzwertverletzung.

Unsichtbar

Aktiv: Wird bei Grenzwertverletzung auf unsichtbar geschaltet.

Hilfe-Datei

Klick auf ... öffnet den Dialog zur Auswahl einer Hilfedatei im Format chm. Diese muss zuvor im Projektmanager im Knoten Dateien/Hilfe angelegt worden sein.

Zur Runtime wird die verknüpfte Hilfe-Datei geöffnet, wenn:

  • ein Hilfekapitel eingetragen wurde
  • in der Alarmmeldeliste der entsprechende Alarm ausgewählt und
  • auf den Button Hilfe aufrufen geklickt wird

Hinweis: Die Eigenschaft kann nur konfiguriert werden, wenn die Eigenschaft In Alarmmeldeliste aktiv ist.

Hilfe-Kapitel

Angabe des Hilfekapitels. Muss einen Eintrag enthalten, damit die Hilfe zur Runtime geöffnet wird.

Hinweis: Steht nur zur Verfügung, wenn die Eigenschaft In Alarmmeldeliste aktiv ist.

Zusatzinformation 1

In der Runtime kann die hier eingegebene Zusatzinformation in einem VBA Makro ausgewertet werden.

Zusatzinformation 2

In der Runtime kann die hier eingegebene Zusatzinformation in einem VBA Makro ausgewertet werden.

AML/CEL

Parameter | Beschreibung
In Alarmmeldeliste | Aktiv: Wird in AML eingetragen.
Quittierpflichtig | Steht nur zur Verfügung, wenn In Alarmmeldeliste aktiviert ist. Aktiv: Ist quittierpflichtig.
Kommentar erforderlich | Um den Alarm quittieren zu können, muss zuvor ein Kommentar eingegeben werden. Der Benutzer muss über die dazu notwendige Funktionsberechtigung verfügen.
Löschpflichtig | Steht nur zur Verfügung, wenn In Alarmmeldeliste aktiviert ist. Aktiv: Ist löschpflichtig.
Drucken | Steht nur zur Verfügung, wenn In Alarmmeldeliste aktiviert ist. Aktiv: Wird überden eingestellten Standarddrucker ausgedruckt.
In Chronologische Ereignisliste | Aktiv: Wird in CEL eingetragen. Hinweis: Wenn schon der Initialwert (der erste Wert, der von der Steuerung kommt) oder der Wert beim Start der Runtime den Grenzwert verletzt oder dadurch der Rema-Zustand aktiv ist, wird kein Eintrag in der CEL erzeugt. Erst wenn die Grenzwertverletzung aufgehoben ist und dann erneut auftritt oder der Zustand inaktiv und dann wieder aktiv ist, wird ein CEL-Eintrag erzeugt.
Alarm/Ereignis-Gruppe | Zuweisung an eine Alarm/Ereignis-Gruppe.
Alarm/Ereignis-Klasse | Zuweisung an eine Alarm/Ereignis-Klasse.

Valeur

Paramètre | Description
Valeur | Valeur actuelle de la variable
Texte de valeur limite | Texte affiché en cas de dépassement d'une valeur limite.
Délai | La durée pendant laquelle le dépassement de valeur limite doit être constaté pour que la valeur limite soit active.
Numéro d'état pour le compteur du driver mathématique | Attribution de quatre numéros d'état possibles pour un compteur dans le driver mathématique. Pour cela, la variable doit comporter une matrice de réaction.

La définition de la combinaison des bits de variable ou de valeurs d'état s'effectue en cochant les cases appropriées. La valeur de l'état est la valeur binaire codée de façon non-linéaire des variables. La valeur transformée dans la plage de mesure (avec ajustement linéaire ou non-linéaire) n'est pas considérée !

L'attribution des bits est la suivante :

État : |
Bit "0" défini | 2^0 = 1
Bit "1" défini | 2^1 = 2
Bit "2" défini | 2^2 = 4 ....

Deux liens sont possibles. La signification des champs est la suivante :

État : |
Non pris en compte | lorsqu'il y a un point, non défini
vérification de "0" | 0, le bit est vérifié pour une valeur logique "0"
vérification de "1" | 1, le bit est vérifié pour une valeur logique "1"

L'ordre de la configuration est un facteur décisif lors des utilisations futures. Au cours du traitement de la matrice de réaction en mode de fonctionnement en ligne, la vérification de la combinaison de l'état et du bit d'état démarre à la première ligne. La vérification se poursuit jusqu'à la ligne pour laquelle la combinaison est vraie. Les lignes suivantes ne sont pas vérifiées. Si aucune ligne n'est vraie par rapport à la valeur actuelle de la variable, l'entrée par défaut est appliquée. Ceci permet d'établir une hiérarchisation de la priorité des textes de valeur limite pour la liste d'événements et la liste d'alarmes. L'évaluation des états se fait de la même façon que l'évaluation de la valeur de la variable.

Analyse

Pour les variables binaires, seul le bit 0 est évalué. Les autres bits sont ignorés. Pour les variables 8 bits (Types IEC : SINT et USINT) seuls les bits de 0 à 7 sont évalués, etc.

Exemple | (information simple et surveillance de perturbations)
Vérifier si le bit INVALID est défini | ................, ............1...
Vérifier si le bit "0" est à 1 | ...............0, ................
Vérifier si le bit "1" est à 1 | ...............1, ................

Dans l'exemple ci-dessus, la vérification se termine après la première ligne en cas de détection de l'état INVALID (pas de connexion à l'automate – variable perturbée), peu importe la valeur de la variable. Les propriétés de la variable (alarme, clignotement, liste CEL, etc.) sont contrôlées exclusivement par cette condition. Dès que l'état INVALID n'est plus détecté, les autres lignes sont traitées. Si vous souhaitez modifier l'ordre, vous pouvez le faire en sélectionnant la ligne concernée et en cliquant sur les boutons Nouveau, Supprimer, Vers le haut et Vers le bas.


Numérique

Manuel -> Variables -> Matrices de réaction -> Types de matrices de réaction -> Numérique

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Une matrice de réaction numérique est utilisée pour l'évaluation de tous les types d'état de valeur limite et les bits d'état de variables. Par rapport aux matrices binaires, ici les valeurs numériques peuvent être évaluées. Ici c'est la valeur ajustée (de façon linéaire ou non-linéaire) qui est utilisée et non pas la valeur automate.

Parameter | Beschreibung
Zustände | Liste der projektierten Zustände mit Wert, Status und Übertragungsursache.
Zustand neu | Legt einen neuen Zustand auf Basis des aktuelle ausgewählten Zustands an.
Unterzustand neu | Nur bei Multibinär: Legt einen neuen Unterzustand für den ausgewählten Zustand an.
Löschen | Löscht alle ausgewählten Zustände aus Liste.
Test | Öffnet den Dialog zum Testen des Zustands.
Nach oben | Sortiert ausgewählten Zustand nach oben.
Nach unten | Sortiert ausgewählten Zustand nach untern.
Status | Auswahl der Status.
Übertragungsursache | Zusätzlicher Status für Übertragungsursache (COT) laut IEC 60870 Protokoll. Details siehe Kapitel Übertragungsursache im Handbuch Statusverarbeitung.

Funktion

Funktion | Öffnet den Dialog zur Verknüpfung einer Funktion. Eine bereits verknüpfte Funktion kann in diesem Dialog über die Schaltfläche Keine Auswahl wieder abgewählt werden.
Aufruf über Alarmmeldeliste | Nur verfügbar, wenn in AML/CEL die Option In Alarmmeldeliste aktiviert wurde. Aktiv: Funktion wird über AML aufgerufen.

Zusatzattribute

Parameter

Beschreibung

Grenzwertfarbe

Farbe bei Grenzwertverletzung.

Blinken

Aktiv: Blinkt bei Grenzwertverletzung.

Unsichtbar

Aktiv: Wird bei Grenzwertverletzung auf unsichtbar geschaltet.

Hilfe-Datei

Klick auf ... öffnet den Dialog zur Auswahl einer Hilfedatei im Format chm. Diese muss zuvor im Projektmanager im Knoten Dateien/Hilfe angelegt worden sein.

Zur Runtime wird die verknüpfte Hilfe-Datei geöffnet, wenn:

  • ein Hilfekapitel eingetragen wurde
  • in der Alarmmeldeliste der entsprechende Alarm ausgewählt und
  • auf den Button Hilfe aufrufen geklickt wird

Hinweis: Die Eigenschaft kann nur konfiguriert werden, wenn die Eigenschaft In Alarmmeldeliste aktiv ist.

Hilfe-Kapitel

Angabe des Hilfekapitels. Muss einen Eintrag enthalten, damit die Hilfe zur Runtime geöffnet wird.

Hinweis: Steht nur zur Verfügung, wenn die Eigenschaft In Alarmmeldeliste aktiv ist.

Zusatzinformation 1

In der Runtime kann die hier eingegebene Zusatzinformation in einem VBA Makro ausgewertet werden.

Zusatzinformation 2

In der Runtime kann die hier eingegebene Zusatzinformation in einem VBA Makro ausgewertet werden.

AML/CEL

Parameter | Beschreibung
In Alarmmeldeliste | Aktiv: Wird in AML eingetragen.
Quittierpflichtig | Steht nur zur Verfügung, wenn In Alarmmeldeliste aktiviert ist. Aktiv: Ist quittierpflichtig.
Kommentar erforderlich | Um den Alarm quittieren zu können, muss zuvor ein Kommentar eingegeben werden. Der Benutzer muss über die dazu notwendige Funktionsberechtigung verfügen.
Löschpflichtig | Steht nur zur Verfügung, wenn In Alarmmeldeliste aktiviert ist. Aktiv: Ist löschpflichtig.
Drucken | Steht nur zur Verfügung, wenn In Alarmmeldeliste aktiviert ist. Aktiv: Wird überden eingestellten Standarddrucker ausgedruckt.
In Chronologische Ereignisliste | Aktiv: Wird in CEL eingetragen. Hinweis: Wenn schon der Initialwert (der erste Wert, der von der Steuerung kommt) oder der Wert beim Start der Runtime den Grenzwert verletzt oder dadurch der Rema-Zustand aktiv ist, wird kein Eintrag in der CEL erzeugt. Erst wenn die Grenzwertverletzung aufgehoben ist und dann erneut auftritt oder der Zustand inaktiv und dann wieder aktiv ist, wird ein CEL-Eintrag erzeugt.
Alarm/Ereignis-Gruppe | Zuweisung an eine Alarm/Ereignis-Gruppe.
Alarm/Ereignis-Klasse | Zuweisung an eine Alarm/Ereignis-Klasse.

Valeur

Paramètres

Description

Valeur

Définition de la déclaration de la valeur :

  • Tous : tout changement de valeur entraîne un dépassement de valeur limite
  • supérieure : Saisie d'une valeur limite
  • inférieure : Saisie d'une valeur limite
  • égale : Saisie d'une valeur limite
  • Domaine : Saisie d'une plage (de... à)

Texte de valeur limite

Texte affiché en cas de dépassement d'une valeur limite.

Considérer chaque modification de valeur comme un nouveau dépassement de valeur limite

Active : Chaque modification de la valeur est affichée sous forme de dépassement de limite.

Délai

La durée pendant laquelle le dépassement de valeur limite doit être constaté pour que la valeur limite soit active.

Texte d'état du compteur dans le driver mathématique

Attribution de quatre numéros d'état possibles pour un compteur dans le driver mathématique. Pour cela, la variable doit comporter une matrice de réaction.

info Informations

Une valeur décimale peut être saisie avec une virgule ou un point ; le séparateur décimal sera automatiquement remplacé par un point.


Chaîne

Manuel -> Variables -> Matrices de réaction -> Types de matrices de réaction -> Chaîne

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Une matrice de réaction de type String sert à l'évaluation de valeurs limite et de bits d'état de variables chaîne. En complément des configurations connues de combinaisons de valeur limite et d'états, d'autres configurations sont possibles.

Parameter | Beschreibung
Zustände | Liste der projektierten Zustände mit Wert, Status und Übertragungsursache.
Zustand neu | Legt einen neuen Zustand auf Basis des aktuelle ausgewählten Zustands an.
Unterzustand neu | Nur bei Multibinär: Legt einen neuen Unterzustand für den ausgewählten Zustand an.
Löschen | Löscht alle ausgewählten Zustände aus Liste.
Test | Öffnet den Dialog zum Testen des Zustands.
Nach oben | Sortiert ausgewählten Zustand nach oben.
Nach unten | Sortiert ausgewählten Zustand nach untern.
Status | Auswahl der Status.
Übertragungsursache | Zusätzlicher Status für Übertragungsursache (COT) laut IEC 60870 Protokoll. Details siehe Kapitel Übertragungsursache im Handbuch Statusverarbeitung.

Funktion

Funktion | Öffnet den Dialog zur Verknüpfung einer Funktion. Eine bereits verknüpfte Funktion kann in diesem Dialog über die Schaltfläche Keine Auswahl wieder abgewählt werden.
Aufruf über Alarmmeldeliste | Nur verfügbar, wenn in AML/CEL die Option In Alarmmeldeliste aktiviert wurde. Aktiv: Funktion wird über AML aufgerufen.

Zusatzattribute

Parameter

Beschreibung

Grenzwertfarbe

Farbe bei Grenzwertverletzung.

Blinken

Aktiv: Blinkt bei Grenzwertverletzung.

Unsichtbar

Aktiv: Wird bei Grenzwertverletzung auf unsichtbar geschaltet.

Hilfe-Datei

Klick auf ... öffnet den Dialog zur Auswahl einer Hilfedatei im Format chm. Diese muss zuvor im Projektmanager im Knoten Dateien/Hilfe angelegt worden sein.

Zur Runtime wird die verknüpfte Hilfe-Datei geöffnet, wenn:

  • ein Hilfekapitel eingetragen wurde
  • in der Alarmmeldeliste der entsprechende Alarm ausgewählt und
  • auf den Button Hilfe aufrufen geklickt wird

Hinweis: Die Eigenschaft kann nur konfiguriert werden, wenn die Eigenschaft In Alarmmeldeliste aktiv ist.

Hilfe-Kapitel

Angabe des Hilfekapitels. Muss einen Eintrag enthalten, damit die Hilfe zur Runtime geöffnet wird.

Hinweis: Steht nur zur Verfügung, wenn die Eigenschaft In Alarmmeldeliste aktiv ist.

Zusatzinformation 1

In der Runtime kann die hier eingegebene Zusatzinformation in einem VBA Makro ausgewertet werden.

Zusatzinformation 2

In der Runtime kann die hier eingegebene Zusatzinformation in einem VBA Makro ausgewertet werden.

AML/CEL

Parameter | Beschreibung
In Alarmmeldeliste | Aktiv: Wird in AML eingetragen.
Quittierpflichtig | Steht nur zur Verfügung, wenn In Alarmmeldeliste aktiviert ist. Aktiv: Ist quittierpflichtig.
Kommentar erforderlich | Um den Alarm quittieren zu können, muss zuvor ein Kommentar eingegeben werden. Der Benutzer muss über die dazu notwendige Funktionsberechtigung verfügen.
Löschpflichtig | Steht nur zur Verfügung, wenn In Alarmmeldeliste aktiviert ist. Aktiv: Ist löschpflichtig.
Drucken | Steht nur zur Verfügung, wenn In Alarmmeldeliste aktiviert ist. Aktiv: Wird überden eingestellten Standarddrucker ausgedruckt.
In Chronologische Ereignisliste | Aktiv: Wird in CEL eingetragen. Hinweis: Wenn schon der Initialwert (der erste Wert, der von der Steuerung kommt) oder der Wert beim Start der Runtime den Grenzwert verletzt oder dadurch der Rema-Zustand aktiv ist, wird kein Eintrag in der CEL erzeugt. Erst wenn die Grenzwertverletzung aufgehoben ist und dann erneut auftritt oder der Zustand inaktiv und dann wieder aktiv ist, wird ein CEL-Eintrag erzeugt.
Alarm/Ereignis-Gruppe | Zuweisung an eine Alarm/Ereignis-Gruppe.
Alarm/Ereignis-Klasse | Zuweisung an eine Alarm/Ereignis-Klasse.

Valeur

Paramètres

Description

Valeur

Définition de la déclaration de la valeur :

  • Tous : tout changement de valeur entraîne un dépassement de valeur limite
  • supérieure : Saisie d'une valeur limite
  • inférieure : Saisie d'une valeur limite
  • égale : Saisie d'une valeur limite
  • Domaine : Saisie d'une plage (de... à)

Respecter la casse

Lors de la comparaison entre les chaînes de caractères de valeurs limite, les minuscules et majuscules sont différenciées.

Utiliser caractères génériques

Les chaînes de caractères de valeurs limite peuvent contenir des caractères génériques.

(Les opérateurs sont uniquement autorisés sous forme de préfixe ou de suffixe, par exemple, *xxx ou xxx*.)

Texte de valeur limite

Texte affiché en cas de dépassement d'une valeur limite.

Considérer chaque modification de valeur comme un nouveau dépassement de valeur limite

Active : Chaque modification de la valeur est affichée sous forme de dépassement de limite.

Délai

La durée pendant laquelle le dépassement de valeur limite doit être constaté pour que la valeur limite soit active.

Texte d'état du compteur dans le driver mathématique

Attribution de quatre numéros d'état possibles pour un compteur dans le driver mathématique. Pour cela, la variable doit comporter une matrice de réaction.

Example Exemple

Exemple :

Dans la séquence, pour une évaluation haut après bas :

  • Chaînes de caractères : Mein,Name,ist,Hase.
  • L'ordre d'exécution est : ist,Name,Mein,Hase.
  • Raison :
    ist: Commence par une lettre minuscule ; elle est donc plus élevée que les autres chaînes.
    Name N est supérieur à M et H,
    Mein : M est supérieur à H

Affiché dans la colonne Valeur des listes AML et CEL.

Seules les valeurs associées à des types de données numériques peuvent être affichées dans la colonne Valeur des Listes d'alarmes/Listes d'événements. La colonne reste vide pour les entrées associées à un type de données String. Toutefois, les valeurs String peuvent être affichées à l'aide d'un élément de texte dynamique.


Les matrices à multi-réactions en général

Manuel -> Variables -> Matrices de réaction -> Types de matrices de réaction -> Les matrices à multi-réactions en général

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Onglets | Description
État et réactions | Configuration des états et réactions des matrices de réaction multi-binaire et multi-numérique.
Texte des listes d'alarmes/d'événements | Configuration de la sortie de la valeur adjacente au texte de limite dans la liste d'alarmes et la liste d'événements.
Routage des états | Configuration du routage d'états.
Fonctions spéciales | Configuration des fonctions spéciales.

Remarque : les bits d'état NORM et N_NORM sont disponibles pour les deux types de matrices multi-réactions, mais pas pour les matrices standard.

Traitement de l'information

Les 16 bits 16 à 31 servent à la configuration de données de protection pour le traitement d'informations ; le numéro de l'information est mémorisé dans les 16 bits supérieurs.

La fonction des matrices de réaction multi-binaires est identique à celle des matrices de réaction binaires pour les états principaux. En cas de modification des états principaux, les états de configuration respectifs (alarme, liste d'événements, texte etc.) sont exécutées.

  • Si un état principal comporte des sous-états, les sous-états sont vérifiés en premier lieu lorsque l'état principal est atteint.
  • Si aucun sous-état ne correspond à l'état actuel des variables, la configuration d'état correspondante (alarme, CEL, texte etc.) de l'état principal est exécutée.
  • Si le sous-état correspond à l'état actuel des variables, la configuration d'état respective (alarme, CEL, texte etc.) du sous-état concerné est exécutée.
  • Si l'état des variables change d'un sous-état vers l'état principal, aucune nouvelle sortie n'est ajoutée à la liste des événements ou à la liste d'alarmes (par ex. traitement des déclenchements d'interrupteurs dans le système SAT).

Exemple :

Paramètres | Description
Valeur principale | Configuration -> valeur basse xxxxxx00 pas d'alarme, texte CEL "Off" -> xxxxx100 alarme, texte CEL "Déclenchement frein off" xxxxxx01 pas d'alarme, texte CEL "On" xxxxxx10 alarme, texte CEL "Différence" xxxxxx11 alarme, texte CEL "Dysfonctionnement"
Changement de "ON" à "OFF" | Pas d'alarme, texte CEL "On"
Changement de "ON" à "OFF" | Entrée d'alarme "Déclenchement interrupteur off", texte CEL "Déclenchement interrupteur off" -> Acquittement du déclenchement d'interrupteur (changement de "ARRET DECLENCHEMENT INTERRUPTEUR" en "OFF") suppression de l'alarme "déclenchement frein off", pas de nouveau texte de CEL

Pour la sortie dans la liste d'événements et les synoptiques du procédé, le contenu complet de la variable peut être séparé en deux parties. Une partie est utilisée pour la définition des valeurs limite ; la seconde partie (valeur) est utilisée dans les synoptiques. (Champ d'application : télégramme de protection dans SAT 1703).

Cause de transmission (CoT)

Les matrices de réaction multi-binaires et multi-analogiques autorisent l'évaluation de la cause de transfert.

Le standard IEC 60870-5-101/104. La cause de transmission est constituée de :

Bit | Description
6 bit | Value de la cause de transmission 0 ... 63
1 bit | N_CONF (Bit P/N) 0 = positif 1 = confirmation négative
1 bit | Bit de test

Dans la matrice de réaction, l'identification de la cause de transmission et le bit N_CONF (bit P/N) peuvent être attribués à chaque état. Ainsi la "violation" de l'état est déclenché seulement si la cause de transmission est la même que celle qui a été définie.

Paramètres | Description
Case à cocher Cause de transfert. | Active l'évaluation du champ de saisie Transfer cause (Cause de transfert).
Champ de saisie Cause de transfert | Attend une valeur comprise entre 0 et 63 comme identification de la cause de transfert.

Autres sujets abordés dans ce chapitre

États et réactions multi-binaires

États et réactions multi-numériques

Configuration du texte de la liste d'alarmes et de la liste d'événements

Configuration du routage d'états

Configuration des fonctions spéciales


États et réactions multi-binaires

Manuel -> Variables -> Matrices de réaction -> Types de matrices de réaction -> Les matrices à multi-réactions en général -> États et réactions multi-binaires

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Une matrice de réaction multi binaire sert à l'évaluation de valeurs, états et bits d'état de variables booléennes. Les bits de 0 à 15 sont utilisés en tant que valeur pour l'affichage dans les synoptiques (éléments dynamiques) et dans la liste d'événements (champs "valeur"). En complément des configurations connues de combinaisons de valeur et d'états, d'autres configurations sont possibles.

Parameter | Beschreibung
Zustände | Liste der projektierten Zustände mit Wert, Status und Übertragungsursache.
Zustand neu | Legt einen neuen Zustand auf Basis des aktuelle ausgewählten Zustands an.
Unterzustand neu | Nur bei Multibinär: Legt einen neuen Unterzustand für den ausgewählten Zustand an.
Löschen | Löscht alle ausgewählten Zustände aus Liste.
Test | Öffnet den Dialog zum Testen des Zustands.
Nach oben | Sortiert ausgewählten Zustand nach oben.
Nach unten | Sortiert ausgewählten Zustand nach untern.
Status | Auswahl der Status.
Übertragungsursache | Zusätzlicher Status für Übertragungsursache (COT) laut IEC 60870 Protokoll. Details siehe Kapitel Übertragungsursache im Handbuch Statusverarbeitung.

Funktion

Funktion | Öffnet den Dialog zur Verknüpfung einer Funktion. Eine bereits verknüpfte Funktion kann in diesem Dialog über die Schaltfläche Keine Auswahl wieder abgewählt werden.
Aufruf über Alarmmeldeliste | Nur verfügbar, wenn in AML/CEL die Option In Alarmmeldeliste aktiviert wurde. Aktiv: Funktion wird über AML aufgerufen.

Zusatzattribute

Parameter

Beschreibung

Grenzwertfarbe

Farbe bei Grenzwertverletzung.

Blinken

Aktiv: Blinkt bei Grenzwertverletzung.

Unsichtbar

Aktiv: Wird bei Grenzwertverletzung auf unsichtbar geschaltet.

Hilfe-Datei

Klick auf ... öffnet den Dialog zur Auswahl einer Hilfedatei im Format chm. Diese muss zuvor im Projektmanager im Knoten Dateien/Hilfe angelegt worden sein.

Zur Runtime wird die verknüpfte Hilfe-Datei geöffnet, wenn:

  • ein Hilfekapitel eingetragen wurde
  • in der Alarmmeldeliste der entsprechende Alarm ausgewählt und
  • auf den Button Hilfe aufrufen geklickt wird

Hinweis: Die Eigenschaft kann nur konfiguriert werden, wenn die Eigenschaft In Alarmmeldeliste aktiv ist.

Hilfe-Kapitel

Angabe des Hilfekapitels. Muss einen Eintrag enthalten, damit die Hilfe zur Runtime geöffnet wird.

Hinweis: Steht nur zur Verfügung, wenn die Eigenschaft In Alarmmeldeliste aktiv ist.

Zusatzinformation 1

In der Runtime kann die hier eingegebene Zusatzinformation in einem VBA Makro ausgewertet werden.

Zusatzinformation 2

In der Runtime kann die hier eingegebene Zusatzinformation in einem VBA Makro ausgewertet werden.

AML/CEL

Parameter | Beschreibung
In Alarmmeldeliste | Aktiv: Wird in AML eingetragen.
Quittierpflichtig | Steht nur zur Verfügung, wenn In Alarmmeldeliste aktiviert ist. Aktiv: Ist quittierpflichtig.
Kommentar erforderlich | Um den Alarm quittieren zu können, muss zuvor ein Kommentar eingegeben werden. Der Benutzer muss über die dazu notwendige Funktionsberechtigung verfügen.
Löschpflichtig | Steht nur zur Verfügung, wenn In Alarmmeldeliste aktiviert ist. Aktiv: Ist löschpflichtig.
Drucken | Steht nur zur Verfügung, wenn In Alarmmeldeliste aktiviert ist. Aktiv: Wird überden eingestellten Standarddrucker ausgedruckt.
In Chronologische Ereignisliste | Aktiv: Wird in CEL eingetragen. Hinweis: Wenn schon der Initialwert (der erste Wert, der von der Steuerung kommt) oder der Wert beim Start der Runtime den Grenzwert verletzt oder dadurch der Rema-Zustand aktiv ist, wird kein Eintrag in der CEL erzeugt. Erst wenn die Grenzwertverletzung aufgehoben ist und dann erneut auftritt oder der Zustand inaktiv und dann wieder aktiv ist, wird ein CEL-Eintrag erzeugt.
Alarm/Ereignis-Gruppe | Zuweisung an eine Alarm/Ereignis-Gruppe.
Alarm/Ereignis-Klasse | Zuweisung an eine Alarm/Ereignis-Klasse.

Case à cocher État

Chaque état peut comporter l'un de 5 états. Ils sont définis en cliquant sur la case à cocher située avant l'état correspondant.

États possibles :

  • Non pris en compte (point)
  • on (1)
  • off (0)
  • Entrant (flèche vers le haut)
  • Sortant (Flèche vers le bas)
  • Changeant (double flèche)

Valeur

Paramètres | Description
Valeur | Valeur actuelle de la variable
Texte de valeur limite | Texte affiché en cas de dépassement d'une valeur limite.
Délai | La durée pendant laquelle le dépassement de valeur limite doit être constaté pour que la valeur limite soit active.
Texte d'état du compteur dans le driver mathématique | Attribution de quatre numéros d'état possibles pour un compteur dans le driver mathématique. Pour cela, la variable doit comporter une matrice de réaction.

info Informations

Une valeur décimale peut être saisie avec une virgule ou un point ; le séparateur décimal sera automatiquement remplacé par un point.


États et réactions multi-numériques

Manuel -> Variables -> Matrices de réaction -> Types de matrices de réaction -> Les matrices à multi-réactions en général -> États et réactions multi-numériques

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Une matrice de réaction multi-numérique sert à l'évaluation de valeurs limite et de bits d'état de variables. En complément des configurations connues de combinaisons de valeur limite et d'états, d'autres configurations sont possibles.

Parameter | Beschreibung
Zustände | Liste der projektierten Zustände mit Wert, Status und Übertragungsursache.
Zustand neu | Legt einen neuen Zustand auf Basis des aktuelle ausgewählten Zustands an.
Unterzustand neu | Nur bei Multibinär: Legt einen neuen Unterzustand für den ausgewählten Zustand an.
Löschen | Löscht alle ausgewählten Zustände aus Liste.
Test | Öffnet den Dialog zum Testen des Zustands.
Nach oben | Sortiert ausgewählten Zustand nach oben.
Nach unten | Sortiert ausgewählten Zustand nach untern.
Status | Auswahl der Status.
Übertragungsursache | Zusätzlicher Status für Übertragungsursache (COT) laut IEC 60870 Protokoll. Details siehe Kapitel Übertragungsursache im Handbuch Statusverarbeitung.

Funktion

Funktion | Öffnet den Dialog zur Verknüpfung einer Funktion. Eine bereits verknüpfte Funktion kann in diesem Dialog über die Schaltfläche Keine Auswahl wieder abgewählt werden.
Aufruf über Alarmmeldeliste | Nur verfügbar, wenn in AML/CEL die Option In Alarmmeldeliste aktiviert wurde. Aktiv: Funktion wird über AML aufgerufen.

Zusatzattribute

Parameter

Beschreibung

Grenzwertfarbe

Farbe bei Grenzwertverletzung.

Blinken

Aktiv: Blinkt bei Grenzwertverletzung.

Unsichtbar

Aktiv: Wird bei Grenzwertverletzung auf unsichtbar geschaltet.

Hilfe-Datei

Klick auf ... öffnet den Dialog zur Auswahl einer Hilfedatei im Format chm. Diese muss zuvor im Projektmanager im Knoten Dateien/Hilfe angelegt worden sein.

Zur Runtime wird die verknüpfte Hilfe-Datei geöffnet, wenn:

  • ein Hilfekapitel eingetragen wurde
  • in der Alarmmeldeliste der entsprechende Alarm ausgewählt und
  • auf den Button Hilfe aufrufen geklickt wird

Hinweis: Die Eigenschaft kann nur konfiguriert werden, wenn die Eigenschaft In Alarmmeldeliste aktiv ist.

Hilfe-Kapitel

Angabe des Hilfekapitels. Muss einen Eintrag enthalten, damit die Hilfe zur Runtime geöffnet wird.

Hinweis: Steht nur zur Verfügung, wenn die Eigenschaft In Alarmmeldeliste aktiv ist.

Zusatzinformation 1

In der Runtime kann die hier eingegebene Zusatzinformation in einem VBA Makro ausgewertet werden.

Zusatzinformation 2

In der Runtime kann die hier eingegebene Zusatzinformation in einem VBA Makro ausgewertet werden.

AML/CEL

Parameter | Beschreibung
In Alarmmeldeliste | Aktiv: Wird in AML eingetragen.
Quittierpflichtig | Steht nur zur Verfügung, wenn In Alarmmeldeliste aktiviert ist. Aktiv: Ist quittierpflichtig.
Kommentar erforderlich | Um den Alarm quittieren zu können, muss zuvor ein Kommentar eingegeben werden. Der Benutzer muss über die dazu notwendige Funktionsberechtigung verfügen.
Löschpflichtig | Steht nur zur Verfügung, wenn In Alarmmeldeliste aktiviert ist. Aktiv: Ist löschpflichtig.
Drucken | Steht nur zur Verfügung, wenn In Alarmmeldeliste aktiviert ist. Aktiv: Wird überden eingestellten Standarddrucker ausgedruckt.
In Chronologische Ereignisliste | Aktiv: Wird in CEL eingetragen. Hinweis: Wenn schon der Initialwert (der erste Wert, der von der Steuerung kommt) oder der Wert beim Start der Runtime den Grenzwert verletzt oder dadurch der Rema-Zustand aktiv ist, wird kein Eintrag in der CEL erzeugt. Erst wenn die Grenzwertverletzung aufgehoben ist und dann erneut auftritt oder der Zustand inaktiv und dann wieder aktiv ist, wird ein CEL-Eintrag erzeugt.
Alarm/Ereignis-Gruppe | Zuweisung an eine Alarm/Ereignis-Gruppe.
Alarm/Ereignis-Klasse | Zuweisung an eine Alarm/Ereignis-Klasse.

Valeur

Paramètres

Description

Valeur

Définition de la déclaration de la valeur :

  • Tous : tout changement de valeur entraîne un dépassement de valeur limite
  • supérieure : Saisie d'une valeur limite
  • inférieure : Saisie d'une valeur limite
  • égale : Saisie d'une valeur limite
  • Domaine : Saisie d'une plage (de... à)

Texte de valeur limite

Texte affiché en cas de dépassement d'une valeur limite.

Considérer chaque modification de valeur comme un nouveau dépassement de valeur limite

Active : Chaque modification de la valeur est affichée sous forme de dépassement de limite.

Délai

La durée pendant laquelle le dépassement de valeur limite doit être constaté pour que la valeur limite soit active.

Texte d'état du compteur dans le driver mathématique

Attribution de quatre numéros d'état possibles pour un compteur dans le driver mathématique. Pour cela, la variable doit comporter une matrice de réaction.

info Informations

Une valeur décimale peut être saisie avec une virgule ou un point ; le séparateur décimal sera automatiquement remplacé par un point.


Configuration du texte de la liste d'alarmes et de la liste d'événements

Manuel -> Variables -> Matrices de réaction -> Types de matrices de réaction -> Les matrices à multi-réactions en général -> Configuration du texte de la liste d'alarmes et de la liste d'événements

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Dans cet onglet, les messages de la liste d'alarmes et de la liste d'événements sont configurés.


Configuration du routage d'états

Manuel -> Variables -> Matrices de réaction -> Types de matrices de réaction -> Les matrices à multi-réactions en général -> Configuration du routage d'états

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Dans cet onglet, le routage d'état peut être configuré. Cette fonction gère le routage de bits (et également la négation de bits) vers d'autres bits.

Sources possibles : Valeur des bits 0 ... 31l

Paramètre | Description
Bit source | Sélectionnez le bit source à partir d'une liste
NEG | Inversion (négation) du bit source pendant le routage
Bit d'état : | Sélectionnez le bit cible à partir d'une liste
Appliquer | Accepte le routage sélectionné
Supprimer | Supprime le routage sélectionné ; Attention : Aucune confirmation ne vous sera demandée
Vers le haut | Déplacer le routage sélectionné vers le haut dans la séquence
Vers le bas | Déplacer le routage sélectionné vers le bas dans la séquence


Configuration des fonctions spéciales

Manuel -> Variables -> Matrices de réaction -> Types de matrices de réaction -> Les matrices à multi-réactions en général -> Configuration des fonctions spéciales

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Dans cet onglet, vous configurez les fonctions spéciales.

Avec les bits d'état actifs, les variables peuvent être désactivées automatiquement et les modifications d'états (lors de la réinitialisation) peuvent être autorisées au niveau des variables désactivées. Pour plus de détails, reportez-vous au chapitre Définition d'états.

Paramètres | Description
Désactiver pour | bits d'état pour lesquels la variable doit être désactivée ; on peut choisir "0" ou "1"
Autoriser pour | bits d'état pour lesquels une modification de l'état doit être autorisée
Pas de comparaison Ancien/Nouveau | Pas de gestion des changements
Pas de comparaison Ancien/nouveau pour chemin EZ | Pas de gestion des changements dans le chemin temps réel


Tester

Manuel -> Variables -> Matrices de réaction -> Types de matrices de réaction -> Tester

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Permet de tester les paramètres de la matrice de réaction. Selon la configuration de la matrice de réaction, une simulation des événements déclenchés lorsque des valeurs définies sont atteintes est effectuée. Les entrées dans les listes CEL ou AML sont simulées. Cette fonctionnalité concerne SICAM 230.

Paramètres | Description
Texte de limite | Permet de simuler un changement d'état.
Valeur | Simulation des changements de valeurs.
Résultat du test | Affichage des changements d'état et de valeur dans les listes CEL et AML.
Envoi TR | Envoi de modifications en temps réel.
SendenNEZ | Envoyer les modifications.


Textes dynamiques de valeur limite dans les matrices de réaction

Manuel -> Variables -> Matrices de réaction -> Textes dynamiques de valeur limite dans les matrices de réaction

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Les textes dynamiques de valeur limite peuvent également être utilisés dans les matrices de réaction :

$ %PV

$ @text

Voir également le chapitre Texte de valeur limite dynamique.

La même matrice de réaction peut être utilisée sur plusieurs variables.


États en cas de changement de valeur et de délai

Manuel -> Variables -> Matrices de réaction -> États en cas de changement de valeur et de délai

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Un état peut générer des alarmes en fonction des valeurs et des délais. Par exemple, une alarme peut être créée si une variable n'a pas changé depuis un certain temps.

Configuration :

  • Valeur : indifférent
  • Traiter chaque modification de valeur comme un nouveau dépassement de limite : active
  • Délai : >0

Dans ce cas :

  • l'alarme est activée si la valeur est une constante plus longue que la valeur Délai.
  • Si la valeur change dans le délai, le délai redémarre. Par exemple, une alarme peut être créée si une variable n'a pas changé depuis un certain temps.


Liste des bits d'état

Manuel -> Variables -> Matrices de réaction -> Liste des bits d'état

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Numéro de bit | Désignation abrégée | Nom long | Intitulé zenon Logic
0 | M1 | User status 1; for Command Processing: Type d'action "Bloquer" ; Service Tracking du driver IEC 850 | _VSB_ST_M1
1 | M2 | État utilisateur 2 | _VSB_ST_M2
2 | M3 | État utilisateur 3 | _VSB_ST_M3
3 | M4 | État utilisateur 4 | _VSB_ST_M4
4 | M5 | État utilisateur 5 | _VSB_ST_M5
5 | M6 | État utilisateur 6 | _VSB_ST_M6
6 | M7 | État utilisateur 7 | _VSB_ST_M7
7 | M8 | État utilisateur 8 | _VSB_ST_M8
8 | NET_SEL | Sélectionné dans le réseau | _VSB_SELEC
9 | REVISION | Révision | _VSB_REV
10 | PROGRESS | En fonctionnement | _VSB_DIREC
11 | TIMEOUT | Command "Timeout exceeded" (command runtime exceeded) | _VSB_RTE
12 | MAN_VAL | Valeur manuelle | _VSB_MVALUE
13 | M14 | État utilisateur 14 | _VSB_ST_14
14 | M15 | État utilisateur 15 | _VSB_ST_15
15 | M16 | État utilisateur 16 | _VSB_ST_16
16 | GI | Requête générale | _VSB_GR
17 | SPONT | Spontané | _VSB_SPONT
18 | INVALID | Invalide | _VSB_I_BIT
19 | T_STD_E | External standard time (standard time) Caution: up to version 7.50, this was the status bit T_CHG_A | _VSB_SUWI
20 | OFF | Désactivé | _VSB_N_UPD
21 | T_EXTERN | Temps réel - horodatage externe | _VSB_RT_E
22 | T_INTERN | Informations d'horodatage internes | _VSB_RT_I
23 | N_SORTAB | Non triable | _VSB_NSORT
24 | FM_TR | MD_TR;Message de défaut du transfo | _VSB_DM_TR
25 | RM_TR | Message de marche du transformateur | _VSB_RM_TR
26 | INFO | Informations de la variable | _VSB_INFO
27 | ALT_VAL | Valeur de remplacement | _VSB_AVALUE
28 | RES28 | Réservé à une utilisation interne (clignotement d'alarme) | _VSB_RES28
29 | N_UPDATE | Not updated (zenon network) | _VSB_ACTUAL
30 | T_STD | Heure d’hiver interne | _VSB_WINTER
31 | RES31 | Réservé à une utilisation interne (clignotement d'alarme) | _VSB_RES31
32 | COT0 | Cause de transmission bit 1 | _VSB_TCB0
33 | COT1 | Cause de transmission bit 2 | _VSB_TCB1
34 | COT2 | Cause de transmission bit 3 | _VSB_TCB2
35 | COT3 | Cause de transmission bit 4 | _VSB_TCB3
36 | COT4 | Cause de transmission bit 5 | _VSB_TCB4
37 | COT5 | Cause de transmission bit 6 | _VSB_TCB5
38 | N_CONF | Confirmation négative de la commande par l'appareil (IEC 60870 [P/N]) | _VSB_PN_BIT
39 | TEST | Bit de test (IEC60870 [T]) | _VSB_T_BIT
40 | WR_ACK | Écriture reconnue | _VSB_WR_ACK
41 | WR_SUC | Écriture réussie | _VSB_WR_SUC
42 | NORM | NORM;État Normal | _VSB_NORM
43 | N_NORM | État déviation normale | _VSB_ABNORM
44 | BL_870 | État IEC 60870 : blocked | _VSB_BL_BIT
45 | SB_870 | État IEC 60870 : substituted | _VSB_SP_BIT
46 | NT_870 | État IEC 60870 : not topical | _VSB_NT_BIT
47 | OV_870 | État IEC 60870 : overflow | _VSB_OV_BIT
48 | SE_870 | État IEC 60870 : select | _VSB_SE_BIT
49 | T_INVAL | Horodatage externe invalide | non défini
50 | CB_TRIP | Déclenchement de disjoncteur détecté | non défini
51 | CB_TR_I | Détection de déclenchement de disjoncteur inactive | non défini
52 | OR_DRV | Valeur non comprise dans la plage valide (IEC 61850) | non défini
53 | T_UNSYNC | ClockNotSynchronized (IEC 61850) | non défini
54 | PR_NR | Pas enregistré dans le Process Recorder | non défini
55 | RES55 | réservé | non défini
56 | RES56 | réservé | non défini
57 | RES57 | réservé | non défini
58 | RES58 | réservé | non défini
59 | RES59 | réservé | non défini
60 | RES60 | réservé | non défini
61 | RES61 | réservé | non défini
62 | RES62 | réservé | non défini
63 | RES63 | réservé | non défini

info Informations

Dans les formules, tous les bits d'état sont disponibles. La disponibilité peut être réduite dans le cadre d'autres utilisations.

Pour plus de détails concernant la gestion des états, reportez-vous au chapitre Gestion d'états.


Fonctions des variables

Manuel -> Variables -> Fonctions des variables

Fonctions permettant d'exécuter des commandes dans le Runtime à l'aide d'un bouton ou d'un script.

Pour créer une fonction :

  1. sélectionnez Nouvelle fonction... dans le menu contextuel ou la barre d'outils.
  2. Accédez à la variable.
  3. Sélectionnez la fonction de votre choix.

Autres sujets abordés dans ce chapitre

Exporter données

Lire un fichier dBase

Imprimer valeurs actuelles

Gestion HD active

Gestion HD inactive

Gestion HD inactive/active

Écrire valeur prescrite

Commandes du driver

Écrire l'heure dans la variable

Lire l'heure depuis la variable


Exporter données

Manuel -> Variables -> Fonctions des variables -> Exporter données

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Cette fonction permet d'exporter les données de variables dans le Runtime.

Le format d'exportation et le nom de fichier sont définis dans Editor. L'emplacement de stockage lors de l'exécution dans le Runtime est le dossier Export, situé dans le dossier du Runtime.

Conseil : Vous pouvez accéder au dossier du projet en sélectionnant le projet dans Editor et en appuyant sur la combinaison de touches Ctrl+Alt+R.

Pour créer la fonction :

  1. Créez une nouvelle fonction.
  2. Sélectionnez Exporter données.
  3. La boîte de dialogue de configuration s'affiche.

Format de sortie

Paramètre

Description

Format

Sélectionnez l'un des types de fichiers disponibles :

  • dBase IV (*.dbf)
  • XML (*.xml)
  • CSV (*.txt)

Au format Unicode

Cette case à cocher est uniquement active si vous avez sélectionné le type de fichier CSV (*.txt).
Active : le fichier est enregistré au format Unicode (UTF-16).

Noms de fichiers

Créez les noms de fichiers.
Au maximum, 8 caractères sont autorisés pour les fichiers DBF.

Remarque : le nom ne peut plus être modifié dans le Runtime.

Emplacement de stockage dans le Runtime : dossier Export, situé dans le dossier du Runtime.

Variables

Paramètre

Description

Sélection de variables

Sélection de variables à exporter. Cliquez sur le bouton pour ouvrir la boîte de dialogue de sélection de variables.

Cette sélection ne peut plus être modifiée dans le Runtime.

Remarque : pour qu'une variable puisse être sélectionnée, vous devez activer la propriété Stockage de données sur disque dur actif dans le groupe Stockage données disque dur pour cette variable.

Réinitialiser les valeurs
  • Pour les valeurs stockées sur le disque dur (HD), une mémoire circulaire est remplie et conservée.
    Active :
    la mémoire circulaire est vidée pour l'exportation.
  • Inactive :
    le buffer circulaire est conservé.


Lire un fichier dBase

Manuel -> Variables -> Fonctions des variables -> Lire un fichier dBase

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Cette fonction permet de lire un fichier DBase pendant le fonctionnement en ligne et de définir son contenu sous forme de valeurs prescrites.

info Informations

Cette fonction est uniquement disponible à des fins de compatibilité.
Recommandation : Au lieu de cela, utilisez zenon Logic pour écrire des valeurs ou des recettes individuelles et utilisez le module Recipe Group Manager pour l'écriture en bloc.

Les noms des variables et des valeurs prescrites associées sont contenus dans le fichier DBase. Si la variable définie existe dans le projet, la valeur définie dans le fichier dBase est transmise à l'automate comme nouvelle valeur prescrite.

  • Paramètres de transfert : Nom du fichier DBase.
    Le nom et le nom de dossier doivent être conformes aux conventions DOS.

Le fichier dBaseIV doit avoir les structure et contenus suivants :

Titres des colonnes

Type

Valeur

Commentaire

NAME

Char

32

Nom de la variable.

WERT

Num

20

Valeur des variables.

TYP

Char

8

Type de données.
Valeurs possibles :

  • C: Chaîne
  • N: Numérique

DIRECTION

Char

12

(Actuellement inutilisée)

Attention : La largeur des colonnes doit correspondre avec exactitude aux valeurs fournies. Vous ne devez donc pas éditer le fichier dans un calcul de table, car la largeur des colonnes serait modifiée. Utilisez un éditeur permettant de transférer les largeurs de colonnes fixes et les Header.


Imprimer valeurs actuelles

Manuel -> Variables -> Fonctions des variables -> Imprimer valeurs actuelles

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Cette fonction est utilisée pour créer un rapport simple des valeurs de variables (variables du procédé et variables dérivées) en mode de fonctionnement en ligne.

Indiquez un fichier de formatage comme paramètre de transfert. La configuration de cette fonction s'effectue par le biais d'une boîte de dialogue de saisie.

Les options pouvant être configurées sont les suivantes :

Paramètres | Description
Boutons système | OK, Annuler, Aide
Avec boîte de dialogue d'annulation | Affiche un dialogue qui permet d'annuler pendant la génération en mode de fonctionnement en ligne
Sélectionner le fichier de mise en forme | Ouvre une boîte de dialogue permettant de sélectionner un fichier *.FRM. Ce fichier est créé avec le bouton situé en dessous. Le format FRM est décrit ci-dessous.
Démarrer l'éditeur de mise en forme | Démarre l'éditeur texte pour la création de fichier
Police | Définit la police à utiliser

Sélectionnez le fichier (*.FRM) en cliquant sur le bouton "Sélectionner fichier de formatage".

Des mots-clés définis peuvent être utilisés dans le fichier de formatage. En mode de fonctionnement en ligne, les paramètres des variables correspondants sont utilisés au lieu des mots-clés

Mots-clés :

Mot clé | Description
@TTA.name | Nom de variable
@TTA.wert | Donne la valeur technique actuelle ou un état binaire ou une chaîne, selon le type de la variable
@TTA.einheit | Renvoie le texte défini pour la variable de procédé
@TTA.text | Renvoie le texte défini pour la variable de procédé
@TTA.status | Donne le bit d'état actuel de la variable du procédé avec les noms courts (provenant de ZENON6.INI)

Les mots-clés suivants sont disponibles pour formater la page de sortie ou comme information générale :

Mot clé | Description
%DATE | Donne la date actuelle
%TIME | Donne l'heure actuelle
%PAGE | Donne le numéro de page actuelle

Les textes pour l'entête et le pied de page peuvent être définis. Les sections (entête, section principale, pied de page) doivent être marquées avant et après la section avec les caractères %%. Trois lignes vides doivent être laissées après le dernier "%%".

L'utilisation de Tab donnera des problèmes à l'impression de texte de différentes longueurs. Seuls des espaces peuvent être utilisées pour le positionnement. Le caractère @ n'est pas compté.

Fichier FRM PROJEKT.FRM

%%
En-tête de page
%%
%%
%date Valeurs mesurées de l'équipement XYZ %heures

Identification Valeur technique Unité de mesure
Valeur 1 @Value1.value bar
Valeur 2 @VALUE2.value kV
Valeur 3 @VALUE3.value ºF

Page %page
%%
%%
Pied de page
%%

Impression en ligne par le fichier “PROJEKT.FRM”.

Texte d'entête

21.02.1995 Valeurs mesurées de l'équipement XYZ 12:00 heures

Identification Valeur technique Unité de mesure
Valeur 1 0.63 bar
Valeur 2 9.98 kV
> Valeur 3 17.3 ºF

> Page 5

Texte de pied de page

Si le formatage souhaité des valeurs actuelles est plus petit que l'espace disponible entre les mots-clés TTA, on peut utiliser un fichier QRF du même nom. Dans le fichier QRF les variables du procédé sont affectées à des marqueurs définis. Chaque marqueur (xxx) commence par un "$" et est construit sur une certaine syntaxe.

"define $" xxx as "Variable" |
- xxx | identificateur librement choisi ou numéro
Variable | Nom de variable

attention Attention

Le format de définition QRF attendu par le code est, par exemple :
define "$001" as "REAL_VAR_NAME"
Les guillemets sont importants, ici.

Ces marqueurs sont accessibles dans le fichier FRM. Les paramètres de variables sont alors accessibles via d'autres paramètres.

$xxx.1 | Nom de la variable du procédé
$xxx.2 | Valeur technique
$xxx.3 | Unité
$xxx.4 | Texte d'état

Remarque : Les noms de variables comportant un point doivent être saisis entre apostrophes, par exemple : "Variable.Test".

Exemple de structure d'un fichier QRF :

fichier QRF “MOMENT.QRF”

"define $001" as "TTA1 "
"define $002" as "TTA2"

fichier FRM “MOMENT.FRM”

%%
Texte d'en-tête
%%
%%
Section principale
Valeur de TTA1=@$001.2
Valeur de TTA2= @$002.2
%%
%%
Pied de page
%%

Impression en ligne par le fichier “MOMENT.FRM”

Texte d'en-tête
Valeur de TTA1= 100.25
Valeur de TTA2= 25.745
Texte de pied de page


Gestion HD active

Manuel -> Variables -> Fonctions des variables -> Gestion HD active

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Cette fonction est utilisée pour activer la gestion du HD (indication des valeurs en ligne avec la configuration HD; Onlinetrend) en mode de fonctionnement en ligne.

Aucun paramètre de transfert n'est nécessaire dans ce cas.


Gestion HD inactive

Manuel -> Variables -> Fonctions des variables -> Gestion HD inactive

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Cette fonction est utilisée pour désactiver la gestion du HD (indication des valeurs en ligne avec la configuration HD; Onlinetrend) en mode de fonctionnement en ligne.

attention Attention

Plus aucune valeur n'est enregistrée ! Les valeurs en ligne sont mises à jour. Aucun paramètre de transfert n'est nécessaire dans ce cas.


Gestion HD inactive/active

Manuel -> Variables -> Fonctions des variables -> Gestion HD inactive/active

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Cette fonction est utilisée pour basculer le mode de la gestion HD (disque dur) (indication des valeurs en ligne avec la configuration HD ; tendance en ligne) entre deux états en mode de fonctionnement en ligne. L'état enregistré dans le fichier project.ini sera lu au lancement du mode de fonctionnement en ligne.

[DEFAULT] |
... |
HDDATEN= | 0 - inactif
 | 1 - actif


Écrire valeur prescrite

Manuel -> Variables -> Fonctions des variables -> Écrire valeur prescrite

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Cette fonction est utilisée pour définir une valeur prescrite pour une variable dans le mode de fonctionnement en ligne.

La variable, sa valeur prescrite et la façon de forcer la valeur doivent être renseignées comme paramètres d'appel. La configuration de cette fonction s'effectue par le biais d'une boîte de dialogue de saisie. Cette fonction est configurée avec des boîtes de dialogue spécifiques :

  • Variables numériques
  • Variables binaires
  • Variables de chaîne

La boîte de dialogue de valeur prescrite est utilisée pour la saisie dans le Runtime. Si le synoptique de type Clavier et de nom SETVALUEKBD existe dans le projet, alors il est automatiquement utilisé.

info Informations

Dans le cas d'un rechargement du projet ou d'un basculement sur le serveur redondant, il y a une distorsion dans les réponses présentes ou les confirmations d'écriture.

Autres sujets abordés dans ce chapitre

pour les variables numériques

Pour les variables binaires

Pour variables chaîne

Vérification de l’écriture de valeurs prescrites


pour les variables numériques

Manuel -> Variables -> Fonctions des variables -> Écrire valeur prescrite -> pour les variables numériques

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Paramètre

Description

Paramètres de la valeur prescrite

Configuration de la valeur cible.

Valeur prescrite

Saisie de la valeur prescrite à définir pour la variable.

Minimum

Saisie de la valeur minimale.

Maximum

Saisie de la valeur maximale.

Utilisation des limites de la variable

Active : La plage de valeurs de la valeur prescrite est issue de la définition de la variable (Spécifier valeur prescrite).
Inactive : La plage de valeurs de la valeur prescrite peut être directement définie dans la fonction (Min et Max).

Options

Configuration des options.

Proposer valeur actuelle

Active : La valeur est lue sur le matériel et ensuite proposée par défaut ou directement envoyée au matériel. En plus, le libellé du champ Valeur prescrite devient Modifiée par et la valeur entrée ici est ajoutée à la valeur courante (soustraite si la valeur entrée ici est négative).
Inactive : La valeur définie dans Valeur prescrite est proposée comme valeur par défaut ou directement envoyée au matériel.

Directement sur le matériel

Active : Après l'appel à la fonction, la valeur est directement envoyée au matériel sans demande de confirmation.
Inactive : Avant d'envoyer la valeur au matériel, la boîte de dialogue de valeur prescrite est ouverte et l'utilisateur peut modifier le paramétrage dans le Runtime.

Attendre la confirmation d'écriture

Active : L'exécution de la fonction n'est pas terminée tant qu'une confirmation positive de l'écriture n'est pas reçue, ou tant que le délai d'attente fixe de 30 secondes n'est pas écoulé.
Dans les scripts, ceci permet de s'assurer que la fonction suivante n'est pas exécutée tant que celle-ci n'est pas terminée.
La confirmation peut aussi être évaluée par le bit d'état WR-SUC.
Inactive : N’attend pas la confirmation d’écriture.

Écrire valeur prescrite par

Configuration de la méthode de définition de la valeur cible :

  • Boîte de dialogue standard : Valeur prescrite dans le Runtime définie à l'aide d'une boîte de dialogue.
  • Programme : Valeur prescrite dans le Runtime définie à l'aide d'un programme. Effectuez votre sélection en cliquant sur le bouton ....

OK

La configuration est acceptée, la fonction est créée et la boîte de dialogue est fermée.

Annuler

La configuration est refusée, la fonction est créée sans paramètres et la boîte de dialogue est fermée.

Aide

L'aide en ligne s'affiche.

info Informations

Une valeur décimale peut être saisie avec une virgule, mais également avec un point en tant que séparateur décimal. Le séparateur décimal est automatiquement transformé en point.


Pour les variables binaires

Manuel -> Variables -> Fonctions des variables -> Écrire valeur prescrite -> Pour les variables binaires

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Paramètre

Description

OFF (0)

La valeur de la variable sera définie sur Off (0).

ON (1)

La valeur de la variable sera définie sur ON (1).

TOGGLE

La valeur de la variable passera à l'état complémentaire.

Conseil : si la valeur de la variable doit être basculée, nous vous recommandons d’activer la propriété Variable lue en permanence. Dans le cas contraire, le Runtime patiente jusqu’à ce que le driver connaisse la valeur des variables. Si la valeur n’est pas disponible en raison d’une interruption des communications avec le contrôleur, le délai d’attente correspond au délai d’attente avant expiration du driver.

Paramètre

Description

Paramètres de la valeur prescrite

Configuration de la valeur cible.

Valeur prescrite

Saisie de la valeur prescrite à définir pour la variable.

Minimum

Saisie de la valeur minimale.

Maximum

Saisie de la valeur maximale.

Utilisation des limites de la variable

Active : La plage de valeurs de la valeur prescrite est issue de la définition de la variable (Spécifier valeur prescrite).
Inactive : La plage de valeurs de la valeur prescrite peut être directement définie dans la fonction (Min et Max).

Options

Configuration des options.

Proposer valeur actuelle

Active : La valeur est lue sur le matériel et ensuite proposée par défaut ou directement envoyée au matériel. En plus, le libellé du champ Valeur prescrite devient Modifiée par et la valeur entrée ici est ajoutée à la valeur courante (soustraite si la valeur entrée ici est négative).
Inactive : La valeur définie dans Valeur prescrite est proposée comme valeur par défaut ou directement envoyée au matériel.

Directement sur le matériel

Active : Après l'appel à la fonction, la valeur est directement envoyée au matériel sans demande de confirmation.
Inactive : Avant d'envoyer la valeur au matériel, la boîte de dialogue de valeur prescrite est ouverte et l'utilisateur peut modifier le paramétrage dans le Runtime.

Attendre la confirmation d'écriture

Active : L'exécution de la fonction n'est pas terminée tant qu'une confirmation positive de l'écriture n'est pas reçue, ou tant que le délai d'attente fixe de 30 secondes n'est pas écoulé.
Dans les scripts, ceci permet de s'assurer que la fonction suivante n'est pas exécutée tant que celle-ci n'est pas terminée.
La confirmation peut aussi être évaluée par le bit d'état WR-SUC.
Inactive : N’attend pas la confirmation d’écriture.

Écrire valeur prescrite par

Configuration de la méthode de définition de la valeur cible :

  • Boîte de dialogue standard : Valeur prescrite dans le Runtime définie à l'aide d'une boîte de dialogue.
  • Synoptique : Valeur prescrite dans le Runtime définie à l'aide d'un écran.
  • Programme : Valeur prescrite dans le Runtime définie à l'aide d'un programme. Effectuez votre sélection en cliquant sur le bouton ....

OK

La configuration est acceptée, la fonction est créée et la boîte de dialogue est fermée.

Annuler

La configuration est refusée, la fonction est créée sans paramètres et la boîte de dialogue est fermée.

Aide

L'aide en ligne s'affiche.


Pour variables chaîne

Manuel -> Variables -> Fonctions des variables -> Écrire valeur prescrite -> Pour variables chaîne

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Paramètres

Description

Paramètres de la valeur prescrite

Configuration de la valeur cible.

Valeur prescrite

Saisie de la valeur prescrite à définir pour la variable.

Options

Configuration des options.

Proposer valeur actuelle

Active : La valeur est lue sur le matériel et ensuite proposée par défaut ou directement envoyée au matériel. En plus, le libellé du champ Valeur prescrite devient Modifiée par et la valeur entrée ici est ajoutée à la valeur courante (soustraite si la valeur entrée ici est négative).
Inactive : La valeur définie dans Valeur prescrite est proposée comme valeur par défaut ou directement envoyée au matériel.

Directement sur le matériel

Active : Après l'appel à la fonction, la valeur est directement envoyée au matériel sans demande de confirmation.
Inactive : Avant d'envoyer la valeur au matériel, la boîte de dialogue de valeur prescrite est ouverte et l'utilisateur peut modifier le paramétrage dans le Runtime.

Attendre la confirmation d'écriture

Active : L'exécution de la fonction n'est pas terminée tant qu'une confirmation positive de l'écriture n'est pas reçue, ou tant que le délai d'attente fixe de 30 secondes n'est pas écoulé.
Dans les scripts, ceci permet de s'assurer que la fonction suivante n'est pas exécutée tant que celle-ci n'est pas terminée.
La confirmation peut aussi être évaluée par le bit d'état WR-SUC.
Inactive : N’attend pas la confirmation d’écriture.

Écrire valeur prescrite par

Configuration de la méthode de définition de la valeur cible :

  • Boîte de dialogue standard : Valeur prescrite dans le Runtime définie à l'aide d'une boîte de dialogue.
  • Synoptique : Valeur prescrite dans le Runtime définie à l'aide d'un écran.
  • Programme : Valeur prescrite dans le Runtime définie à l'aide d'un programme. Effectuez votre sélection en cliquant sur le bouton ....

OK

La configuration est acceptée, la fonction est créée et la boîte de dialogue est fermée.

Annuler

La configuration est refusée, la fonction est créée sans paramètres et la boîte de dialogue est fermée.

Aide

L'aide en ligne s'affiche.


Vérification de l’écriture de valeurs prescrites

Manuel -> Variables -> Fonctions des variables -> Écrire valeur prescrite -> Vérification de l’écriture de valeurs prescrites

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Lors de l’écriture de valeurs, la valeur reçoit un bit d’état qui a été écrit. Si le procédé d’écriture est un succès, le bit d’état correspondant est défini :

  • WR-ACK

    Le driver a reçu une valeur à écrire.

  • WR-SUC

    Valeur 1 : Écriture réussie.

    Valeur 0 : L’écriture a échoué. La valeur n’a pas été écrite.

info Informations

Dans le cas d’un rechargement du projet ou d’un basculement sur le serveur redondant, les réponses actuellement actives ou les confirmations d’écriture sont abandonnées.

Cette combinaison d’états existe jusqu’au prochain changement de valeur. À ce moment, les deux états sont définis sur 0, jusqu’à ce que l’action d’écriture soit terminée. Pour l’évaluation, la combinaison de bits suivante doit être demandée dans la matrice de réaction :

WR-ACK, WR-SUC

Résultat :

  • WR-ACK 1, WR-SUC 1: L’action d’écriture a réussi.
  • WR-ACK 1, WR-SUC 0: L’action d’écriture a échoué.

attention Attention

Le mécanisme montre seulement que l’action d’écrire a réussi (ou non) sur l’automate. Ceci ne signifie pas que la valeur a effectivement été modifiée dans l’automate, car l’automate peut réinitialiser ou remplacer la valeur immédiatement. (Par exemple, pour l’écriture de résultats ou de bits transitoires, définis pour un court laps de temps.)

Modules

Ce mécanisme peut être utilisé dans les modules suivants :

  • Fonction Spécifier valeur prescrite : Activez l’option Attendre confirmation d’écriture dans la boîte de dialogue de configuration de la fonction.
  • Les recettes standard : Activez la propriété Ecrire de façon synchrone.
  • Recipe Group Manager : Activez la propriété Ecrire de façon synchrone.

Entrée dans la liste CEL

  • Fonction Spécifier valeur prescrite

    Pour l’entrée dans la liste CEL, vous devez activer la propriété Fonction envoi valeur prescrite dans le nœud Liste d'événements dans les paramètres du projet. La réaction positive ou négative à l’exécution de la fonction est ensuite écrite dans la liste CEL.

  • Recettes standard et module Recipe Group Manager

    Pour une entrée dans la liste CEL, une variable de driver du système est utilisée et définie sur 1 lors de l’écriture réussie d’une recette. Une variable globale est évaluée sur le serveur, et une variable locale sur chaque client permet de déterminer quand l’écriture de la dernière recette exécutée a été finalisée.
    Avec ces variables, une entrée dans la liste CEL peut être générée par l’intermédiaire d’une valeur limite ou d’une matrice de réaction. La requête est exécutée par le biais d’une matrice de réaction multi-analogique ou multi-binaire.


Commandes du driver

Manuel -> Variables -> Fonctions des variables -> Commandes du driver

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Ce chapitre décrit les fonctions standard valides pour la plupart des drivers de zenon. Toutes les fonctions décrites ici ne sont pas disponibles pour tous les drivers. Par exemple, selon la fiche technique, un driver ne prenant pas en charge une connexion par modem ne possède par ailleurs aucune fonction de modem.

Les commandes de driver sont utilisées pour influencer les drivers par le biais de zenon (démarrage et arrêt, par exemple).
Le développement est mis en œuvre à l'aide de la fonction Commandes de driver. Pour cela :

  • Créez une nouvelle fonction.
  • Sélectionnez Variables -> Commandes driver.
  • La boîte de dialogue de configuration s'affiche à l'écran.

Paramètre

Description

Drivers

Liste déroulante contenant tous les drivers chargés dans le projet.

État actuel

Entrée fixe ne possédant aucune fonction dans la version actuelle.

Commande du driver

Liste déroulante de sélection de la commande.
  • Démarrage du driver (mode en ligne)

le driver est réinitialisé et démarré.
  • Arrêt du driver

Le driver est arrêté. Aucune nouvelle donnée n'est acceptée.

Remarque : Si le driver est hors ligne, toutes les variables créées pour ce driver reçoivent l'état désactivé (OFF ; bit 20).
  • Driver en mode simulation

Le driver est défini en mode simulation.
Toutes les valeurs de toutes les variables du driver sont simulées par le driver. Aucune valeur du matériel connecté n'est affichée (par exemple, automate, bus de terrain, etc.)
  • Driver en mode réel

Le driver est défini en mode matériel.
Pour les variables liées au driver, les valeurs du matériel connecté sont affichées (par exemple, automate, bus de terrain, …).
  • Commande spécifique au driver

Saisissez les commandes spécifiques au driver. Ouvre le champ de saisie permettant de saisir une commande.
  • Driver - activation envoi de valeur

L'écriture de valeurs prescrites dans un driver est autorisée.
  • Driver - désactivation envoi de valeur

L'écriture de valeurs prescrites dans un driver est interdite.
  • Établir connexion avec un modem

Établit une connexion (pour les drivers de modem). Ouvre les champs de saisie de l'adresse de l'équipement et du numéro de téléphone.
  • Déconnecter du modem

Interrompt la connexion (pour les drivers modem)

Afficher cette boite de dialogue dans le Runtime

La boîte de dialogue est affichée dans le Runtime, afin d'autoriser les modifications.

Commandes de driver sur le réseau

Si l'ordinateur sur lequel s'exécute la fonction de commande de driver forme partie du réseau de zenon, des actions supplémentaires sont exécutées. Une commande de réseau spéciale est transmise de l'ordinateur au serveur de projet, qui exécute l'action souhaitée sur son driver. En outre, le serveur transmet la même commande de driver au serveur redondant du projet. Le serveur redondant exécute également l'action sur son driver.

Cela permet d'assurer la synchronisation du serveur et du serveur redondant. Cela fonctionne uniquement si le serveur et le serveur redondant disposent tous deux d'une connexion fonctionnelle et indépendante au matériel.


Écrire l'heure dans la variable

Manuel -> Variables -> Fonctions des variables -> Écrire l'heure dans la variable

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Avec cette fonction, un automate connecté peut être synchronisé avec le PC. Lors de l'exécution de cette fonction, l'heure système du PC est lue et enregistrée dans une variable de type chaîne (String) de l'automate avec le format suivant : JJ.MM.AAAA HH:MM:SS.

Le nom de la variable doit être indiqué comme paramètre.


Lire l'heure depuis la variable

Manuel -> Variables -> Fonctions des variables -> Lire l'heure depuis la variable

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Avec cette fonction, le PC peut être synchronisé avec un automate connecté. A l'exécution, la fonction lit une variable chaîne de l'automate. Si la différence de temps entre le PC et l'automate est supérieure à 1 seconde, l'heure système du PC est définie et une entrée est ajoutée au CEL. La variable chaîne (STRING) doit avoir le format : JJ.MM.AAAA HH:MM:SS.

Remarque : l'heure est enregistrée au format local. Pour plus de détails, reportez-vous au chapitre Gestion de la date et de l'heure, dans le chapitre Runtime.

Le nom de la variable doit être indiqué comme paramètre.


Synoptique Liste d'états

Manuel -> Variables -> Synoptique Liste d'états

Le type de synoptique Liste d'états permet d'afficher des variables dans le Runtime et de définir des valeurs cible.

info Informations

Vous trouverez d'autres informations concernant les types de synoptiques prédéfinis au chapitre Synoptiques / Types de synoptiques.

Autres sujets abordés dans ce chapitre

Créer un synoptique de type Variable Diagnosis

Créer un synoptique de type Diagnostic des variables

Appel de synoptique - Liste d'états

Fonctionnement dans le Runtime


Créer un synoptique de type Variable Diagnosis

Manuel -> Variables -> Synoptique Liste d'états -> Créer un synoptique de type Variable Diagnosis

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Développement

Étapes de création du synoptique :

  1. Créez un nouveau synoptique :

    Dans la barre d’outils ou le menu contextuel du nœud Synoptiques, sélectionnez la commande Nouveau synoptique.
    Un synoptique vide Standard est créé.

  2. Modifiez les propriétés du synoptique :
    1. Nommez le synoptique dans la propriété Nom.
    2. Sélectionnez Diagnostic variable paramètre dans la propriété Type de synoptique.
    3. Sélectionnez le cadre souhaité dans la propriété Gabarit.
  3. Configurez le contenu du synoptique :
    1. Sélectionnez l’option de menu Éléments de contrôle dans la barre de menus
    2. Sélectionnez Insérer un modèle dans la liste déroulante.
      La boîte de dialogue de sélection de mises en forme prédéfinies s’affiche à l’écran. Certains éléments de contrôle sont insérés dans le synoptique à des positions prédéfinies.
    3. Supprimez les éléments superflus du synoptique.
    4. Si nécessaire, sélectionnez des éléments supplémentaires dans la liste déroulante Éléments. Placez-les aux emplacements souhaités sur le synoptique.
  4. Créez une fonction d’appel de synoptique.
    Configurez cette fonction d'appel de synoptique.
    Vous trouverez d'autres informations à ce sujet au chapitre Appel de synoptique - Liste d'états.


Créer un synoptique de type Diagnostic des variables

Manuel -> Variables -> Synoptique Liste d'états -> Créer un synoptique de type Diagnostic des variables

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

The variable diagnosis screen visualizes variables in Runtime

Elément de contrôle | Description :
Insérer un modèle... | Ouvre la boîte de dialogue de sélection de modèle pour le type de synoptique correspondant. Des modèles sont fournis avec zenon, et peuvent également être créés par l’utilisateur. Modèles ajoutent des éléments de contrôle prédéfinis à des positions prédéfinies sur le synoptique. Les éléments qui ne sont pas nécessaires peuvent également être supprimés individuellement après leur création. Les éléments supplémentaires peuvent être sélectionnés dans la liste déroulante, puis insérés dans le synoptique zenon. Les éléments peuvent être déplacés et disposés individuellement sur le synoptique.

Liste de variables

Affichage des champs sous forme de liste dans le Runtime :

  • Les colonnes peuvent être triées et filtrées dans le Runtime.
  • Les préférences de filtrage et de tri peuvent être enregistrées dans les profils de filtre.
  • La largeur des colonnes peut être modifiée en appuyant longuement sur le bouton droit de la souris.
  • Les colonnes peuvent être réorganisées en effectuant un glisser-déplacer.

Colonne

Description

Nom

Nom de la variable.

Pour cela, activez la propriété Nom dans zenon Editor.

Par défaut : Visible dans Runtime

Remarque : ne peut pas être modifié dans Runtime

Identification

Identification de la variable.

Pour cela, activez la propriété Identification dans zenon Editor.

Par défaut : Visible dans Runtime

Remarque : ne peut pas être modifié dans Runtime

Valeur actuelle

Valeur actuelle de la variable.

Updating by means of Updating on or Update now buttons.

Par défaut : Visible dans Runtime

Remarque : ne peut pas être modifié dans Runtime

Valeur prescrite

Modification valeur de la variable

Par défaut : Visible dans Runtime

Unité de mesure

Unité de mesure des variables.

Pour cela, activez la propriété Unité de mesure dans zenon Editor.

Par défaut : Visible dans Runtime

Remarque : ne peut pas être modifié dans Runtime

Minimum

Valeur minimum des variables dans l'automate.

Pour cela, activez la propriété Signal min. dans zenon Editor.

Par défaut : Visible dans Runtime

Remarque : ne peut pas être modifié dans Runtime

Maximum

Valeur minimum des variables dans l'automate.

Pour cela, activez la propriété Signal max. dans zenon Editor.

Par défaut : Visible dans Runtime

Remarque : ne peut pas être modifié dans Runtime

Texte de limite

Current status of the variable in plain text display.

Par défaut : Visible dans Runtime

Remarque : ne peut pas être modifié dans Runtime

Horodatage

Horodatage de la variable

  • Si une valeur possède l’état T_EXTERN et non T_INVAL, la valeur de l’horodatage externe est utilisée comme horodatage.
    L’horodatage externe est la valeur de temps que le contrôleur a fourni avec la valeur du driver.
  • Si une valeur possède l’état T_INTERN ou possède T_EXTERN et T_INVAL,, la valeur de l’horodatage interne est utilisée comme horodatage.
    L’horodatage interne correspond à l’instant où le driver a reçu la valeur du contrôleur.

Display with precision in seconds.

Par défaut : Visible dans Runtime

Remarque : ne peut pas être modifié dans Runtime

Horodatage interne (UTC)

Current internal time stamp of the variable in UTC time.

Display in microsecond resolution.

Par défaut : Visible dans Runtime

Remarque : ne peut pas être modifié dans Runtime

Horodatage externe (UTC)

Current external time stamp of the variable in UTC time.

Display in microsecond resolution.

Par défaut : Visible dans Runtime

Remarque : ne peut pas être modifié dans Runtime

Adresse symbolique

Symbolic address of the variable.

Pour cela, activez la propriété Adresse symbolique dans zenon Editor.

Vide, s'il n'est pas présent.

Par défaut : Visible dans Runtime

Remarque : ne peut pas être modifié dans Runtime

Adresse

Adresse de la variable

Pour cela, activez la propriété Adresse dans zenon Editor.

Par défaut : Visible dans Runtime

Remarque : ne peut pas être modifié dans Runtime

Valeur réelle (données brutes)

Raw data of the variable's actual value. This value corresponds to the actual value of the variable before the value adjustment.

Par défaut : N'est pas affiché par défaut dans Runtime.

Remarque : ne peut pas être modifié dans Runtime

Statut (binaire)

État de la variable.

Display format: shows the complete 64-bit status register in binary form. This display is always binary, regardless of the selected value display in the display options.

Par défaut : N'est pas affiché par défaut dans Runtime.

Remarque : ne peut pas être modifié dans Runtime

Horodatage externe (local)

Current external time stamp of the variable in local time.

Display in microsecond resolution.

N/A if there is no external time stamp.

Par défaut : N'est pas affiché par défaut dans Runtime.

Remarque : ne peut pas être modifié dans Runtime

Horodatage interne (local)

Internal time stamp of the variable in local time.

Display in microsecond resolution.

Par défaut : N'est pas affiché par défaut dans Runtime.

Remarque : ne peut pas être modifié dans Runtime

Options d'affichage

Control elements for the display of counter values of the variable list. Switching of the value display resets the column width back to the default. For example, manually-widened columns become wider as a result.

In the variable lists, the following content is visualized in counter values and can be switched using the value display:

  • Valeur actuelle
  • Valeur prescrite
  • Minimum
  • Maximum
  • Valeur réelle (données brutes)
Élément de contrôle | Description
Affichage valeurs : Décimal | Variable list values are shown in decimal form.
Affichage valeurs : Hexadécimal | Variable list values are shown in hexadecimal form.
Affichage valeurs : Binaire | Variable list values are shown in binary form.
Affichage valeurs : Octal | Variable list values are shown in octal form.
Affichage valeurs : Exponentiel | Variable list values are shown in decimal exponential form.

Variables

Élément de contrôle | Description
Ajouter une variable... | Ajouter une variable à la liste dans le Runtime.
Supprimer une variable | Supprimer une variable de la liste dans le Runtime.

Actualiser la valeur

Élément de contrôle | Description
Actualiser les valeurs réelles (actif) | Activation de la mise à jour automatique des valeurs actuelles des variables.
Actualiser les valeurs réelles (inactif) | Désactivation de la mise à jour automatique des valeurs actuelles des variables.
Actualiser les valeurs réelles | Met à jour les valeurs actuelles des variables.
Toutes les variables : Écrire valeur prescrite | Écrit les valeurs prescrites de toutes les variables sur le matériel.
Variables sélectionnées : Écrire valeur prescrite | Écrit les valeurs prescrites des variables sélectionnées sur le matériel.
Modifier valeur prescrite | Modifier la valeur prescrite de la variable sélectionnée.

Variables sélectionnées

Élément de contrôle | Description
Basculer vers valeur spontanée | Bascule la variable sélectionnée vers une valeur spontanée.
Basculer vers valeur de remplacement | Bascule la variable sélectionnée vers une valeur de remplacement.
Modifier valeur de remplacement | Modifier la valeur de remplacement de la variable sélectionnée.
Définir l'état REVISION | Active la révision pour les variables sélectionnées. Pour cela, le bit d'état REVISION (bit 09) est défini.
Réinitialiser l'état REVISION | Désactive la révision pour les variables sélectionnées. Pour cela, le bit d'état REVISION (bit 09) est réinitialisé.
Définir l'état OFF | Active la valeur spontanée pour la variable sélectionnée. Pour cela, le bit d'état OFF (bit 20) est réinitialisé.
Réinitialiser l'état OFF | Désactive la valeur spontanée pour la variable sélectionnée. Pour cela, le bit d'état OFF (bit 20) est défini.

Profils de filtre

Boutons de configuration des filtres dans le Runtime.

Élément de contrôle

Description

Sélection de profil

Sélectionner un profil dans la liste.
Sélectionnez dans la liste déroulante : This drop-down list contains profiles that have been saved with the Save button.

Enregistrer

Enregistrer la configuration actuelle sous forme de profil.

Remarque : Le nom ne peut contenir que 31 caractères maximum et uniquement des caractères valides.
Les caractères suivants sont interdits : ! \ / : * ? < > | ""
Saved profiles are shown in the Profile selection drop-down list.

Remarque : Le nom ne peut contenir que 31 caractères maximum et uniquement des caractères valides.
Les caractères suivants sont interdits : ! \ / : * ? < > | ""

Supprimer

Supprimer le profil sélectionné. The deleted profile is no longer available in Profile selection.

Importer

Importe les profils de filtre depuis un fichier d’exportation.

Imported filter profiles are then available in Profile selection.

Exporter

Exporte les profils de filtre vers un fichier.

info Informations

Une valeur décimale peut être saisie avec une virgule, mais également avec un point en tant que séparateur décimal. Le séparateur décimal est automatiquement transformé en point décimal.

Tipp Conseil

Vous pouvez effectuer un filtrage en fonction des bits d'état NORM et N_NORM.


Appel de synoptique - Liste d'états

Manuel -> Variables -> Synoptique Liste d'états -> Appel de synoptique - Liste d'états

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Les paramètres nécessaires pour ouvrir un synoptique de type Liste d'états sont les variables à afficher dans le synoptique et les valeurs prescrites par défaut pour ces variables.

Pour créer une fonction permettant de basculer vers le synoptique Liste d'états :

  • Sélectionnez Nouvelle fonction
  • Sélectionnez Appel de synoptique
  • Sélectionnez le synoptique Liste d'états.
  • La boîte de dialogue de configuration s'affiche alors à l'écran.

Paramètre | Description
Variables | Liste des variables et de leurs propriétés.
Ajouter une variable | Ouvre la boîte de dialogue de sélection de variables, vous permettant d'ajouter une ou plusieurs variables.
Supprimer une variable | Les variables sélectionnées sont retirées du synoptique.
Modifier valeur prescrite | La valeur prescrite par défaut peut être modifiée. Il est également possible de modifier les valeurs prescrites en cliquant sur la cellule contenant la valeur prescrite.

Options

Paramètre

Description

Base pour l'affichage de valeurs

Définit l'affichage de valeurs dans le Runtime. Sélection du changement de valeur dans une liste déroulante:

Valeurs possibles :

  • Décimal
  • Hexadécimal
  • Binaire
  • Octal
  • Décimal exponentiel

Actualiser les valeurs réelles (actif)

Active : Les valeurs réelles sont actualisées lorsque la fenêtre est invoquée dans le Runtime.

Show this dialog in the Runtime

Selection of whether the dialog is shown in Runtime.

  • Active: Dialog is displayed in Runtime
    Settings can be edited before execution.
  • Inactive: Dialog is not offered in Runtime.
    The settings configured in the Editor are applied.

info Informations

Vous pouvez modifier les colonnes (texte affiché, type de colonne et largeur de colonne) en cliquant avec le bouton droit dans l'en-tête de la colonne. Vous trouverez les paramètres correspondants dans le menu contextuel.


Fonctionnement dans le Runtime

Manuel -> Variables -> Synoptique Liste d'états -> Fonctionnement dans le Runtime

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

When calling up the Variable diagnosis screen, the variables configured in the screen switching function are shown.

Carry out the following steps in Runtime to remove or add variables from the variable list:

  • Click on the Add...
    The variable selection dialog is opened.
  • Sélectionnez les variables de votre choix. Une sélection multiple est possible.
    Remarque : The variables in the selection area can be sorted and filtered.
  • Click on the Add button to apply the selected variables.
  • Confirmez votre sélection en cliquant sur OK.
  • The variable selection dialog is closed.
    The selected variables are listed in the variable list.

Hide variables

  • Select the desired variable in the variable list with a simple right click.
  • Select additional, optional variables with the CTRL key and a right mouse click (multi-select).
  • Click on the Release button.
    The selected variables are removed from the variable list.

Boîte de dialogue de sélection de variables

The variable selection dialog is called up by clicking on the Add button.

Variables that are already shown in the list are included in the list of variables to be displayed.

Paramètre

Description

Workspace

Tree view of the current workspace.

The current project and integration projects therein are shown.

Selection of the project by clicking.

Liste des variables

List of all configured variables of a project.

La liste peut être triée et filtrée.

Additional columns can be displayed by means of a context menu. You get this context menu if you right in a column heading.

Information about available and selected variables is shown in the footer of the variable list as text.

List of variables to be displayed

Liste toutes les variables sélectionnées

Ajouter

Ajoute les variables sélectionnées provenant de la liste des variables à la liste de variables à afficher.

Remarque : Variables from the variable list can also be accepted by double clicking.

Supprimer

Retire les variables sélectionnées de la liste de variables à afficher.

Aucun utilisateur sélectionné

removes all variables from the list of variables to be displayed and closes the dialog.

No variables are displayed in Runtime. La liste est vide.

Touche haut du curseur

The current selection switches to the entry above.

Touche curseur vers le bas

The current selection switches to the entry below.

OK

Applique les paramètres et ferme la boîte de dialogue.

Annuler

Annule toutes les modifications et ferme la boîte de dialogue.


Conversion d'unités de mesure

Manuel -> Variables -> Conversion d'unités de mesure

La fonction de conversion d'unités de mesure autorise la conversion et le basculement d'unités de base en unités de conversion, par exemple de mètres en yards ou de mètres en décimètres, centimètres et millimètres. Une unité de base contient la valeur initiale pour une conversion. L'unité de mesure de conversion contient la valeur convertie par rapport à la valeur de base. Toutes deux comportent un nom d'unité. Des éléments Facteur, Offset et Décalage du point décimal peuvent être définis pour les unités de conversion en fonction de l'unité de base correspondante.

Une unité de base peut être sélectionnée lors de la configuration de paramètres pour une variable. Il est possible de basculer entre les différentes unités durant le Runtime à l'aide de la fonction de basculement d'unités.

tutorial Informations concernant la licence

Composante de la licence standard d’Editor et du Runtime.

Menu contextuel Gestionnaire de projet

Élément de menu | Action
New base unit (Nouvelle unité de base) | Crée une nouvelle unité de base.
Exporter tout (XML) | Exporte toutes les entrées sous forme de fichier XML.
Importer XML | Importe des unités de mesure à partir d'un fichier XML.
Aide | Ouvre l'aide en ligne.

info Informations

Measurement unit switching must not be used together with the variablerw function of the Report Generator. Cette fonction de rapport fournit une fonction de conversion d'unité pour les projets anciens. Si l'unité de mesure définie dans la fonction de conversion d'unités d'une variable est modifiée par la fonction de rapport dans le Runtime, vous devez exécuter à nouveau la configuration dans la fonction de conversion d'unités.

Autres sujets abordés dans ce chapitre

Barre d'outils et menu contextuel de la vue de détail Unités

Développement d'unités de mesure

Attribuer une unité de base à une variable

Fonction de conversion d'unités de fonction

Runtime


Barre d'outils et menu contextuel de la vue de détail Unités

Manuel -> Variables -> Conversion d'unités de mesure -> Barre d'outils et menu contextuel de la vue de détail Unités

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Menu contextuel de la vue de détail Unités

Élément de menu | Action
New base unit (Nouvelle unité de base) | Crée une nouvelle unité de base.
Exporter XML tous | Exporte toutes les entrées sous forme de fichier XML.
Importer XML | Importe des unités de mesure à partir d'un fichier XML.
Aide | Ouvre l'aide en ligne.

Menu contextuel et barre d'outils Unité de base/Unité de conversion

Élément de menu | Action
New base unit (Nouvelle unité de base) | Crée une nouvelle unité de base.
New conversion unit (Nouvelle unité de conversion) | Crée une nouvelle unité de conversion pour l'unité de base supérieure.
Éléments liés : Retour à l'élément de départ | Liste déroulante contenant un lien vers l'élément permettant d'accéder à l'unité de mesure. Disponible uniquement si l'unité est liée à un autre élément.
Renommer | Permet de renommer l'unité. Attention : si les unités sont renommées, toutes les unités de mesure déjà liées aux variables ou utilisées dans des fonctions doivent alors être adaptées manuellement pour la variable ou la fonction concernée. Voir également : Associer une unité de base à une variable et Fonction de conversion d'unités de mesure.
Exporter XML tous | Exporte toutes les entrées sous forme de fichier XML.
Importer XML | Importe des unités de mesure à partir d'un fichier XML.
Copier | Copie les entrées sélectionnées et vers le presse-papiers.
Coller | Insère le contenu du presse-papier. Si une entrée portant le même nom existe déjà, le contenu est collé sous le nom Copie de...
Supprimer | Supprime les entrées sélectionnées.
Aide | Ouvre l'aide en ligne.


Développement d'unités de mesure

Manuel -> Variables -> Conversion d'unités de mesure -> Développement d'unités de mesure

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Vous devez créer une unité de base et une unité de conversion pour la conversion, et définir les paramètres de la conversion. La conversion est effectuée en utilisant la formule y=kx+d (Autriche) ou y=mx+b (Allemagne). Chaque unité de base peut être attribuée sous forme d'unité de mesure à une variable.

Pour créer une nouvelle unité de base :

  • Sélectionnez le nœud Unités de mesure dans le Gestionnaire de projet.
  • Cliquez avec le bouton droit sur Unités de mesure.
  • Sélectionnez l'option Nouvelle unité de base dans le menu contextuel.
  • Une nouvelle entrée est créée dans la liste.
  • Donnez un nom à l'unité de mesure.
  • Créez l'unité de conversion.

Pour créer une nouvelle unité de conversion :

  • Cliquez avec le bouton droit sur une unité de base.
  • Sélectionnez l'option Unité de conversion dans le menu contextuel.
  • Une nouvelle entrée est créée dans la liste.
  • Donnez un nom à l'unité.
  • Définissez un élément : Facteur pour la conversion.
  • Définissez une valeur pour l'élément : Décalage du point décimal.
  • Définissez une valeur pour l'élément : Offset.


Attribuer une unité de base à une variable

Manuel -> Variables -> Conversion d'unités de mesure -> Attribuer une unité de base à une variable

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Les unités de base sont attribuées à une variable dans la propriété Unité de mesure (nœud Général).

Ici, vous pouvez nommer les unités comme vous l'entendez. Si la conversion d'unités de mesure est utilisée dans le Runtime, sélectionnez une unité de base prédéfinie dans la liste déroulante.

Conseil : si vous la nommez à votre convenance, nous vous recommandons de créer immédiatement un lien portant le même nom dans le nœud Unité - Unité de base.

Vous devez créer une fonction de conversion d'unités pour pouvoir effectuer la conversion durant le Runtime.

attention Attention

Si une unité de mesure est renommée ultérieurement, les variables déjà liées à celle-ci ne sont pas automatiquement renommées.

Pour renommer les unités de mesure déjà liées :

  • Sélectionnez la vue de détail dans le gestionnaire de projet.
  • Sélectionnez la colonne Unités de mesure, ou ajoutez celle-ci à la vue si elle est encore affichée.
  • Dans le menu contextuel, sélectionnez la commande Remplacer un texte dans la colonne sélectionnée.
  • Dans la boîte de dialogue qui s'affiche à l'écran, effectuez une recherche sur le nom et remplacez-le par le nouveau nom.


Fonction de conversion d'unités de fonction

Manuel -> Variables -> Conversion d'unités de mesure -> Fonction de conversion d'unités de fonction

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Pour exécuter la conversion d'unités de mesure dans le Runtime, vous devez créer une conversion d'unités de fonction :

  • Sélectionnez le nœud Fonctions dans le Gestionnaire de projet.
  • Dans le menu contextuel, sélectionnez la commande Nouvelle fonction...
  • Accédez à la variable.
  • Sélectionnez la fonction Conversion d'unités de mesure.

    Remarque : L'exécution d'une conversion d'unité de fonction déclenche l'actualisation du rapport s'il est actuellement affiché.

  • La boîte de dialogue de définition de la conversion d'unités de mesure s'ouvre.

Propriété

Description

Unit conversion (Conversion d'unités)

Boîte de dialogue autorisant l'association d'unités de conversion à des unités de base.

Unité de base

Liste des unités de base créées.

Commuter en

Liste déroulante de sélection de l'unité de conversion. Vous pouvez soit sélectionner une unité de conversion ou l'unité de base.

Engineered conversion unit (Unité de conversion développée) : dans le Runtime, l'unité de base est convertie en unité de conversion.

<Unité de base>: l'unité de base est toujours active dans le Runtime.

info Informations

Les unités ne sont pas exportées avec l'exportation au format XML de cette fonction. Vous devez exporter les unités séparément.

attention Attention

Si une unité de mesure est renommée ultérieurement, l'unité de base renommée est automatiquement prise en compte dans la fonction. Vous devez toutefois modifier les unités de conversion manuellement.


Runtime

Manuel -> Variables -> Conversion d'unités de mesure -> Runtime

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Chaque valeur de variable associée à chaque entrée ou sortie (en plus de celles utilisées par défaut lors de la conversion d'unités de signal en unités de plage de mesure) est convertie dans le Runtime.

  • Sortie : une unité de conversion associée à une variable est activée avec la fonction de basculement d'unités. La valeur en unités de mesure dépend de l'offset et du facteur prédéfinis. En outre, lors de la conversion de la valeur en chaîne, le nombre de décimales définies pour une variable est corrigé.
  • Entrée : la conversion est effectuée suivant les mêmes règles que la sortie dans l'autre sens.

Limitations :

  • Lors de l'exportation, les nouvelles unités sont exportées.
  • Les valeurs enregistrées sous forme de chaîne ne sont pas recalculées pour la sortie. Ces valeurs sont conservées dans l'unité de mesure active lors de la création de la chaîne. Ceci affecte tout particulièrement toutes les valeurs insérées dans le texte d'une entrée de la liste CEL – par exemple, modification d'une valeur prescrite de OLD en NEW, etc.
  • Les heures de fonctionnement et les compteurs d'opérations fournis dans le module Industrial Maintenance Manager sont toujours affichés en unités de base, dans ce cas.
  • Les sorties affichées sur l'écran EMS sont toujours affichées dans l'unité de base.

VBA

Les valeurs supérieures à VBA sont toujours affichées sous forme d'unités de base. Par exemple, Variable.Value ne fournit pas une valeur avec des unités "basculées", car il ne s'agit pas d'une sortie de valeur. Quatre nouvelles fonctions ont été incorporées dans Variable., afin que la commutation d'unités puisse également être utilisées au-delà de VBA :

Mot-clé | Description
SecondaryUnitName | Renvoie le nom de l'unité de conversion définie.
SecondaryUnitDigits | Fournit les décimales pour l'unité de conversion définie.
CalcSecondaryUnitValue | Convertit la valeur de l'unité de base en valeur d'unité de conversion.
CalcPrimaryUnitValue | Convertit la valeur de l'unité de conversion en valeur d'unité de base.


Verrouillages

Manuel -> Verrouillages

Les verrouillages contrôlent l'accès à certains objets zenon durant le Runtime, par l'intermédiaire de variables. Les actions opérateurs peuvent être interdites ou autorisées selon les valeurs de variables données. Selon l'état du procédé, on peut permettre ou interdire les actions de l'opérateur.

Il est possible de créer et d'utiliser plusieurs verrouillages au sein d'un même projet. Dans chaque verrouillage, vous pouvez définir plusieurs conditions de verrouillage.

tutorial Informations concernant la licence

Composante de la licence standard d’Editor et du Runtime.

Verrouillage d'objets

Tous les éléments dynamiques, exceptés les éléments tendance et message.

Menu contextuel Gestionnaire de projet

Paramètre | Description
Nouveau verrouillage | Crée un nouveau verrouillage et ouvre la boîte de dialogue de sélection de variables.
Exporter tout (XML) | Exporte toutes les entrées du verrouillage sous forme de fichier XML.
Importer XML | Importe des fichiers XML.
Profil Editor | Ouvre la liste déroulante contenant les profils Editor prédéfinis.
Aide | Ouvre l'aide en ligne.

info Informations

Les variables de verrouillage peuvent être remplacées. Pour plus de détails, reportez-vous au chapitre Substitution de variables dans les éléments dynamiques.

Example Exemple

Par exemple, une machine en cours de fonctionnement automatique, ne doit pas être passée en mode manuel. L'opérateur pourra activer ce mode seulement si un certain état du système est actif (par exemple STOP). Avec un verrouillage, le bouton pour basculer du mode manuel au mode automatique pourra être verrouillé jusqu'à ce que l'état du système (par exemple, STOP) soit True (Vrai). Ceci permet d'éviter des erreurs de fonctionnement.

Autres sujets abordés dans ce chapitre

Vue de détail de la barre d'outils et du menu contextuel

Configuration dans Editor

Utilisation dans le Runtime


Vue de détail de la barre d'outils et du menu contextuel

Manuel -> Verrouillages -> Vue de détail de la barre d'outils et du menu contextuel

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Barre d'outils

Symbole | Description
Nouveau verrouillage | Crée un nouveau verrouillage et ouvre la boîte de dialogue de sélection de variables.
Nouvelle condition de verrouillage | Crée une nouvelle condition de verrouillage.
Ajouter variable | Ouvre la boîte de dialogue de sélection de variables.
Copier | Copie la condition sélectionnée.
Coller | Colle la condition depuis le presse-papiers.
Supprimer | Supprime la condition sélectionnée.
Exporter la sélection en XML... | Exporte les entrées sélectionnées sous forme de fichier XML.
Importer XML | Importe les entrées à partir d'un fichier XML.
Renommer | Permet de renommer l'élément. Ceci est également possible en cliquant avec le bouton gauche de la souris sur le champ ou en appuyant sur la touche F2.
Propriétés | Ouvre la fenêtre des propriétés pour l’élément sélectionné.
Aide | Ouvre l'aide en ligne.

Menu contextuel Verrouillages

Paramètre | Description
Nouveau verrouillage | Crée un nouveau verrouillage et ouvre la boîte de dialogue de sélection de variables.
Coller | Colle le verrouillage depuis le presse-papiers.
Exporter tout (XML) | Exporte toutes les entrées du verrouillage sous forme de fichier XML.
Importer XML | Importe des fichiers XML.
Aide | Ouvre l'aide en ligne.

Menu contextuel Verrouillage individuel

Paramètre | Action
Ajouter variable | Ouvre la boîte de dialogue permettant de sélectionner une variable.
Nouvelle condition de verrouillage | Crée une nouvelle condition de verrouillage.
Copier | Copie le verrouillage sélectionné.
Coller | Colle le verrouillage depuis le presse-papiers.
Supprimer | Supprime le verrouillage sélectionné.
Exporter tout (XML) | Exporte toutes les entrées sous forme de fichier XML.
Importer XML | Importe les entrées à partir d'un fichier XML.
Renommer | Permet de renommer l'élément. Ceci est également possible en cliquant avec le bouton gauche de la souris sur le champ ou en appuyant sur la touche F2.
Propriétés | Ouvre la fenêtre des propriétés pour l’élément sélectionné.
Aide | Ouvre l'aide en ligne.

Menu contextuel Variables de groupe

Paramètre | Action
Ajouter variable | Ouvre la boîte de dialogue de sélection de variables.
Coller | Colle la condition depuis le presse-papiers.
Aide | Ouvre l'aide en ligne.

Menu contextuel Variable individuelle

Paramètre | Action
Supprimer une variable | Supprime la variable sélectionnée après une demande de confirmation.
Copier | Copie la variable sélectionnée.
Coller | Colle la variable depuis le presse-papiers.
Propriétés | Ouvre la fenêtre des propriétés pour l’élément sélectionné.
Aide | Ouvre l'aide en ligne.

Menu contextuel Conditions de verrouillage

Paramètre | Action
Nouvelle condition de verrouillage | Crée une nouvelle condition de verrouillage.
Coller | Colle la condition depuis le presse-papiers.
Aide | Ouvre l'aide en ligne.


Configuration dans Editor

Manuel -> Verrouillages -> Configuration dans Editor

Autres sujets abordés dans ce chapitre

Création de verrouillages

Éditeur de formules


Création de verrouillages

Manuel -> Verrouillages -> Configuration dans Editor -> Création de verrouillages

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Sélectionnez Verrouillages dans le gestionnaire de projet pour visualiser les verrouillages dans la vue de détail du gestionnaire de projet. Un clic droit sur Verrouillage général permet d'ouvrir un menu contextuel par lequel on peut créer un nouveau verrouillage.

Ensuite le nouveau verrouillage peut être renommé dans la fenêtre des propriétés. Un clic droit sur Variables ouvre un autre menu. Ici une ou plusieurs variables peuvent être liées au verrouillage.

attention Attention

Une variable ne peut pas être une variable de verrouillage et de réaction à la fois. Cette configuration produirait une boucle infinie.

Le verrouillage doit être défini par une condition. La ou les conditions sont créées dans la fenêtre des propriétés. Pour chaque condition, une formule binaire peut être saisie dans la fenêtre des propriétés, sous Lien logique.

info Informations

Un élément d'un synoptique est verrouillé si la condition est vraie, i.e. résultat logique 1 - TRUE.

Verrouillage : Si plusieurs conditions sont définies dans un verrouillage, il suffit qu'une des conditions soit vraie pour que l'élément soit verrouillé.

L'éditeur de formules peut être utilisé pour définir des formules binaires et numériques comme condition de verrouillage. Pour l'ouvrir, cliquez sur la propriété Liens logiques dans la fenêtre des propriétés. L'éditeur de formules permet de définir des déclarations binaires à l'aide des variables liées avec des opérateurs logiques, de bit et de comparaison. Voir également le chapitre Synoptiques / Opérateurs de comparaison.

info Informations

Déverrouiller : Si plusieurs conditions sont liées au verrouillage, toutes les conditions satisfaites doivent être déverrouillées.


Éditeur de formules

Manuel -> Verrouillages -> Configuration dans Editor -> Éditeur de formules

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

L'éditeur de formules fournit une assistance lors de la création de formules comportant des opérateurs logiques ou de comparaison avec un élément combiné, pour les verrouillages et les Gestion de commande. Si vous avez besoin de variables supplémentaires pour la formule, vous devez les créer dans la section Variables de formule de la fenêtre d'état en cliquant sur le bouton Ajouter. Les formules existantes sont affichées dans la liste d'état avec la lettre F.

Remarque concernant la saisie de points décimaux :

  • Séparateur décimal : La virgule (,) est automatiquement converti en point (.) :
  • les zéros situés après le point décimal sont automatiquement supprimés ; 23,000 devient automatiquement 23.

Créer une formule

Cliquez sur le bouton Formule dans la fenêtre d'état. L'éditeur de formule s'ouvre.

Sélectionnez les bits de votre formule dans la section gauche.

A droite, vous trouverez les opérateurs d'opérations logiques et de comparaison.

La formule créée est affichée dans la section Formule.

info Informations

Jusqu'à 99 variables peuvent être liées dans une formule. X01 à X99. La longueur de la formule ne doit pas dépasser 4096 caractères.

Signification des bits :

Paramètre

Description

Valeur en bits

32 bits de valeurs (de 0 à 31) sont disponibles. Ils décrivent la variable, bit par bit. Pour les variables BINAIRE compte le bit 0 ; pour SINT et USINT, seuls comptent les bits compris entre 0 et 7, etc.

Remarque : la valeur fait référence à la valeur brute (plage de signal) des variables, et non à la plage de mesures convertie.

Bits d'état

Ici vous trouvez les bits d'états les plus couramment utilisés. Vous trouverez des informations concernant la définition et l'utilisation des bits d'état dans la Liste des bits d'état.

Non acquittée

Non acquitté est traité comme un bit d'état habituel. Mais il est montré séparément ici, car il n'appartient pas aux états classiques des variables.

Valeur et État

Dans les formules, toutes les valeurs (valeur des bits et bits d'état) sont traitées comme des valeurs binaires pouvant être liées de manière logique par des conditions AND et OR, etc.
Les exceptions à cette règle sont la valeur totale et l'état global. Pour obtenir une expression booléenne, une condition logique ORed doit être appliquée à cette valeur totale, de bit à bit, avec une constante. Pour cela, on utilise l'opérateur &.
For the result 0 (FALSE) of this logical ORing, we get the binary value 0 (FALSE), otherwise 1 (TRUE).

Exemple : See the bitwise ORing example chapter

Informations concernant info

Les bits d'état NORM et N_NORM sont uniquement disponibles dans l'éditeur de formules et ne peuvent pas être configurés par l'intermédiaire de l'état.

Si d'autres paramètres externes à la formule sont définis pour l'état courant, ils sont "ajoutés" à la formule à l'aide d'un ET logique.

Reportez-vous à la section Exemples pour obtenir des exemples.

info Informations

Les formules comportant des valeurs X binaires et des liens au niveau des bits peuvent être utilisées avec 2 valeurs binaires maximum. Si d'autres valeurs sont requises, la liaison doit être établie sans valeurs X binaires.

Exemple :

X01.Value & X02.Value -> fonctionne

X01.Value & X02.Value & X03.Value -> ne fonctionne pas

Toutefois :

X01.00 AND X02.00 AND X03.00 AND X04.00 AND X05.00 -> fonctionne

Autres sujets abordés dans ce chapitre

Liste des bits d'état

Opérateurs logiques

Formules Bit

Opérateurs de comparaison

Exemples pour les formules


Liste des bits d'état

Manuel -> Verrouillages -> Configuration dans Editor -> Éditeur de formules -> Liste des bits d'état

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Numéro de bit | Désignation abrégée | Nom long | Intitulé zenon Logic
0 | M1 | User status 1; for Command Processing: Type d'action "Bloquer" ; Service Tracking du driver IEC 850 | _VSB_ST_M1
1 | M2 | État utilisateur 2 | _VSB_ST_M2
2 | M3 | État utilisateur 3 | _VSB_ST_M3
3 | M4 | État utilisateur 4 | _VSB_ST_M4
4 | M5 | État utilisateur 5 | _VSB_ST_M5
5 | M6 | État utilisateur 6 | _VSB_ST_M6
6 | M7 | État utilisateur 7 | _VSB_ST_M7
7 | M8 | État utilisateur 8 | _VSB_ST_M8
8 | NET_SEL | Sélectionné dans le réseau | _VSB_SELEC
9 | REVISION | Révision | _VSB_REV
10 | PROGRESS | En fonctionnement | _VSB_DIREC
11 | TIMEOUT | Command "Timeout exceeded" (command runtime exceeded) | _VSB_RTE
12 | MAN_VAL | Valeur manuelle | _VSB_MVALUE
13 | M14 | État utilisateur 14 | _VSB_ST_14
14 | M15 | État utilisateur 15 | _VSB_ST_15
15 | M16 | État utilisateur 16 | _VSB_ST_16
16 | GI | Requête générale | _VSB_GR
17 | SPONT | Spontané | _VSB_SPONT
18 | INVALID | Invalide | _VSB_I_BIT
19 | T_STD_E | External standard time (standard time) Caution: up to version 7.50, this was the status bit T_CHG_A | _VSB_SUWI
20 | OFF | Désactivé | _VSB_N_UPD
21 | T_EXTERN | Temps réel - horodatage externe | _VSB_RT_E
22 | T_INTERN | Informations d'horodatage internes | _VSB_RT_I
23 | N_SORTAB | Non triable | _VSB_NSORT
24 | FM_TR | MD_TR;Message de défaut du transfo | _VSB_DM_TR
25 | RM_TR | Message de marche du transformateur | _VSB_RM_TR
26 | INFO | Informations de la variable | _VSB_INFO
27 | ALT_VAL | Valeur de remplacement | _VSB_AVALUE
28 | RES28 | Réservé à une utilisation interne (clignotement d'alarme) | _VSB_RES28
29 | N_UPDATE | Not updated (zenon network) | _VSB_ACTUAL
30 | T_STD | Heure d’hiver interne | _VSB_WINTER
31 | RES31 | Réservé à une utilisation interne (clignotement d'alarme) | _VSB_RES31
32 | COT0 | Cause de transmission bit 1 | _VSB_TCB0
33 | COT1 | Cause de transmission bit 2 | _VSB_TCB1
34 | COT2 | Cause de transmission bit 3 | _VSB_TCB2
35 | COT3 | Cause de transmission bit 4 | _VSB_TCB3
36 | COT4 | Cause de transmission bit 5 | _VSB_TCB4
37 | COT5 | Cause de transmission bit 6 | _VSB_TCB5
38 | N_CONF | Confirmation négative de la commande par l'appareil (IEC 60870 [P/N]) | _VSB_PN_BIT
39 | TEST | Bit de test (IEC60870 [T]) | _VSB_T_BIT
40 | WR_ACK | Écriture reconnue | _VSB_WR_ACK
41 | WR_SUC | Écriture réussie | _VSB_WR_SUC
42 | NORM | NORM;État Normal | _VSB_NORM
43 | N_NORM | État déviation normale | _VSB_ABNORM
44 | BL_870 | État IEC 60870 : blocked | _VSB_BL_BIT
45 | SB_870 | État IEC 60870 : substituted | _VSB_SP_BIT
46 | NT_870 | État IEC 60870 : not topical | _VSB_NT_BIT
47 | OV_870 | État IEC 60870 : overflow | _VSB_OV_BIT
48 | SE_870 | État IEC 60870 : select | _VSB_SE_BIT
49 | T_INVAL | Horodatage externe invalide | non défini
50 | CB_TRIP | Déclenchement de disjoncteur détecté | non défini
51 | CB_TR_I | Détection de déclenchement de disjoncteur inactive | non défini
52 | OR_DRV | Valeur non comprise dans la plage valide (IEC 61850) | non défini
53 | T_UNSYNC | ClockNotSynchronized (IEC 61850) | non défini
54 | PR_NR | Pas enregistré dans le Process Recorder | non défini
55 | RES55 | réservé | non défini
56 | RES56 | réservé | non défini
57 | RES57 | réservé | non défini
58 | RES58 | réservé | non défini
59 | RES59 | réservé | non défini
60 | RES60 | réservé | non défini
61 | RES61 | réservé | non défini
62 | RES62 | réservé | non défini
63 | RES63 | réservé | non défini

info Informations

Dans les formules, tous les bits d'état sont disponibles. La disponibilité peut être réduite dans le cadre d'autres utilisations.

Pour plus de détails concernant la gestion des états, reportez-vous au chapitre Gestion d'états.


Opérateurs logiques

Manuel -> Verrouillages -> Configuration dans Editor -> Éditeur de formules -> Opérateurs logiques

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Liens logiques : seule la valeur logique '0' sera recherchée dans les variables ; si la valeur n'est pas égale à '0', elle sera considérée comme égale à '1'.

Contrairement aux formules bit, la portée technique peut être modifiée au moyen d'un facteur d'étirement -> (différent de '0' ou '1').

Opérateur | Signification
AND | ET logique
NOT | Négation
OR | OU logique
XOR | OU EXCLUSIF logique

Les opérateurs possèdent la priorité suivante dans le calcul de la formule :

Priorité | Opérateur
1 | & (opérateur des formules bit)
2 | NOT
3 | AND
4 | XOR/OR

Informations concernant info

Jusqu'à 99 variables peuvent être liées dans une formule. X01 à X99.

Informations concernant info

Les bits d'état NORM et N_NORM sont uniquement disponibles dans l'éditeur de formules et ne peuvent pas être configurés par l'intermédiaire de l'état.


Formules Bit

Manuel -> Verrouillages -> Configuration dans Editor -> Éditeur de formules -> Formules Bit

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Les formules Bit comportent uniquement un état logique haut ou bas. Contrairement aux formules logiques, la valeur brute est déjà prédéfinie (0,1).

Opérateur | Description
& | AND
| | OR

Autres sujets abordés dans ce chapitre

Exemple : Comparaison de bits avec OR


Exemple : Comparaison de bits avec OR

Manuel -> Verrouillages -> Configuration dans Editor -> Éditeur de formules -> Formules Bit -> Exemple : Comparaison de bits avec OR

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Vous voulez savoir si l'un des bits d'état utilisateur 1 à 8 (M1 ... M8) de la variable X01 est défini :

Formule classique :

X01.M1 OR X01.M2 OR X01.M3 OR X01.M4 OR X01.M5 OR X01.M6 OR X01.M7 OR X01.M8.
Cette requête peut être considérablement simplifiée en utilisant la condition logique OR sur l'état général.

Interrogation OR logique

X01.Status & 0xFF

La constante peut être saisie au format hexadécimal, comme ci-dessus.

0xFF en décimal vaut 255, et correspond aux huit premiers bits d'état (en binaire, 11111111). Si l'un de ces bits est défini sur 1, le résultat de l'application de la condition logique ORing au niveau des bits est 1 (True) ; dans le cas contraire, le résultat est 0 (False).

Si, par exemple, tous les bits d'états utilisateur sont à tester sauf le bit M7, la formule binaire serait : 10111111. Le bit 7 est sans intérêt, et est donc défini sur 0. Ceci correspond à 0xBF en hexadécimal. L'expression de la formule est alors : X01.Status & 0xBF.

A la place d'une comparaison de bits avec OR à l'aide d'une constante, la valeur peut également être comparée directement à un nombre décimal. Si la comparaison est fausse, la valeur binaire sera égale à 0 (False) ; dans le cas contraire, elle prendra la valeur 1 (True).

Exemple :

Si vous voulez savoir si la valeur est égale à la constante 202 : La formule est alors :

X01.value = 202

Si la valeur est égale à la constante 202, le résultat de la formule est 1 (True) ; dans le cas contraire, le résultat est 0 (False).

Remarque : avec le caractère OR (|), la condition logique OR au niveau des bits fonctionne de la même manière que dans cet exemple.


Opérateurs de comparaison

Manuel -> Verrouillages -> Configuration dans Editor -> Éditeur de formules -> Opérateurs de comparaison

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Les opérateurs de comparaison permettent de comparer directement deux valeurs numériques. Le résultat des comparaisons est une valeur binaire. "0" si la condition est fausse et "1" si la condition est vraie.

Opérateur | Description
< | Inférieur
> | supérieur
<= | Inférieur ou égal
>= | supérieur ou égal
= | Égal
<> | Différent de

À gauche et à droite de l'opérateur de comparaison doivent se trouver des valeurs complètes ou des états complets ; des bits simples ne peuvent pas être utilisés.

A droite d'un opérateur de comparaison, vous pouvez également utiliser une constante
Ces constantes sont saisies sous forme de valeurs hexadécimales ou de valeurs décimales dans l'élément combiné. Hexadecimal numbers are automatically converted to decimal numbers by clicking on OK. For example, 0x64 corresponds to the numerical value 100.

Remarque : The combined element is not available in the Batch Control module.

Example Exemple

X01.valeur >= X02.valeur
Le résultat est 1, si la valeur de X01 est supérieure ou égale à la valeur de X02

X01.valeur = 0x64
Le résultat est 1, si la valeur de X01 est exactement égale à la valeur numérique 100 (= hex 0x64)

(X01.valeur = 0x64) OR (X01.valeur = 0x65)
Le résultat est 1, si la valeur de X01 est exactement égale à la valeur numérique 100 ou 101 (= hex 0x64 ou hex 0x65)


Exemples pour les formules

Manuel -> Verrouillages -> Configuration dans Editor -> Éditeur de formules -> Exemples pour les formules

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Liaison logique AND simple entre deux valeurs de bits

Example Exemple

Formule : X01.03 AND X02.03

Cette formule vaut TRUE si le bit 3 de la variable 1 et le bit 3 de la variable 2 sont tous deux égaux à 1.

Comparaison d'une valeur analogique ou de l'état d'une variable

Example Exemple

(X01.Value > X02.Value)

Comparaison de valeurs analogiques sur une base logique

Example Exemple

(X01.Value> X02.Value) AND (X01.Value = X02.Value)

Comparaison à l'aide de bits de valeur et de bits d'état

Example Exemple

(X01.Value> X02.Value) AND (X01.Value = X02.Value) OR (X01.03 = X02.03)

Comparaison d'une valeur avec une valeur décimale ou hexadécimale

Example Exemple

Formule : (X01.Value = 111)

Formule : (X01.Value = 0x6F)

Si une valeur hexadécimale est utilisée, cette dernière est convertie en valeur décimale lorsque vous cliquez sur OK. Si une valeur décimale est saisie et confirmée, la valeur reste affichée au format décimal après la réouverture.

Informations concernant info

Il n'est pas possible d'utiliser une virgule ou un point lors de la saisie d'une valeur.


Utilisation dans le Runtime

Manuel -> Verrouillages -> Utilisation dans le Runtime

Autres sujets abordés dans ce chapitre

Utilisation des verrouillages


Utilisation des verrouillages

Manuel -> Verrouillages -> Utilisation dans le Runtime -> Utilisation des verrouillages

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Un élément dynamique lié à un verrouillage est verrouillé ou non verrouillé selon le résultat de la condition logique associée au verrouillage. Si les conditions sont remplies - le résultat est égal à 1 - l'élément est verrouillé.

Pour définir un verrouillage sur un élément dynamique, il faut le sélectionner. Dans la fenêtre des propriétés, dans la partie Runtime / Autorisation / Verrouillage, sélectionnez un des verrouillages que vous aurez définis au préalable.

info Informations

Pour afficher si l'élément est verrouillé dans le Runtime, vous pouvez activer l'affichage d'un symbole représentant un cadenas pour les éléments verrouillés dans les propriétés du projet sous Gestion utilisateur Identification graphique active.

En outre, vous pouvez personnaliser l'apparence d'un bouton Verrouillé via la propriété Boutons verrouillés (Apparence graphique) ou Boutons protégés (Gestion utilisateur).


Vue globale

Manuel -> Vue globale

Dans zenon, une vue globale désigne n’importe quel synoptique pour lequel l’option Dimension du gabarit a été désactivée, et dont la taille est supérieure ou égale à celle du cadre. Elle permet d’afficher des synoptiques dont la taille dépasse celle du cadre, et offre des fonctions de navigation et de zoom sur ces synoptiques. Il permet d’afficher entièrement et parcourir un équipement de très grande taille. Dans la vue globale, vous pouvez agrandir certaines parties de l’équipement. Selon les étapes de zoom, vous pouvez définir les détails affichés (zoom, défilement et désencombrement). Vous pouvez également accéder directement à certains éléments.

info Informations

Certains éléments ne peuvent pas être agrandis à l’aide de la fonction Zoom, à l’image des zones de liste et listes déroulantes, des listes d’informations sur les alarmes, des diagrammes du module Extended Trend, etc. La taille de ces éléments reste constante. Toutefois, leur position change.

tutorial Informations concernant la licence

Composante de la licence standard d’Editor et du Runtime.

Autres sujets abordés dans ce chapitre

Configuration dans Editor

Fonction d’appel de synoptique Vue d’aperçu

Utilisation dans le Runtime


Configuration dans Editor

Manuel -> Vue globale -> Configuration dans Editor

Pour utiliser une vue globale, vous devez disposer des éléments suivants :

  1. Un synoptique dont la taille est supérieure à celle du cadre?; il s’agit de la vue globale.
  2. Un synoptique de type Vue d’aperçu?; celui-ci permet de se déplacer dans la vue globale et affecte le cadre de la vue globale.

Remarque : Ces deux synoptiques doivent reposer sur des cadres différents.

Lors de l’appel du synoptique de type Vue d’aperçu, vous définissez le cadre contrôlé par le synoptique.

Conseils :

  • N’utilisez pas la Vue globale comme synoptique de démarrage.
  • Démarrez la Vue globale et la Vue d’aperçu à l’aide d’un script.

info Informations

Une vue d’aperçu est nécessaire lors de l’utilisation d’un synoptique de vue globale avec des gestes MultiTouch. Les fonctions MultiTouch vous permettent de vous déplacer directement dans la vue globale.

Éléments de synoptique

La visibilité des éléments dynamiques, des éléments vectoriels et de leurs noms dans les listes d’objets est définie dans les propriétés des objets correspondants : Runtime/Affichage vue globale/...

Autres sujets abordés dans ce chapitre

Création de vue globale

Création d’un synoptique de type Vue d’aperçu

Niveaux de zoom

Objets


Création de vue globale

Manuel -> Vue globale -> Configuration dans Editor -> Création de vue globale

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Pour créer une vue globale :

  1. Créez un nouveau synoptique.
  2. Accédez au groupe de propriétés Gabarit.
  3. Sélectionnez la propriété Dimension du gabarit.
  4. Désactivez cette propriété (décochez la case, si nécessaire).
  5. Pour les propriétés Largeur [pixels] et Hauteur [pixels], sélectionnez des valeurs supérieures à la taille du cadre.

    Valeurs maximales : 32,000

  6. Créez une fonction d’appel de synoptique pour ce synoptique.

info Informations

Les cadrans ne sont pas utilisables avec la Vue globale. Les synoptiques liés ne sont pas mis à l’échelle dans les conteneurs de synoptique, mais sont toujours affichés dans leur taille d’origine.


Création d’un synoptique de type Vue d’aperçu

Manuel -> Vue globale -> Configuration dans Editor -> Création d’un synoptique de type Vue d’aperçu

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Développement

Étapes de création du synoptique :

  1. Créez un nouveau synoptique :

    Dans la barre d’outils ou le menu contextuel du nœud Synoptiques, sélectionnez la commande Nouveau synoptique.
    Un synoptique vide Standard est créé.

  2. Modifiez les propriétés du synoptique :
    1. Nommez le synoptique dans la propriété Nom.
    2. Sélectionnez Aperçu de la vue globale dans la propriété Type de synoptique.
    3. Sélectionnez le cadre souhaité dans la propriété Gabarit.
  3. Configurez le contenu du synoptique :
    1. Sélectionnez l’option de menu Éléments de contrôle dans la barre de menus
    2. Sélectionnez Insérer un modèle dans la liste déroulante.
      La boîte de dialogue de sélection de mises en forme prédéfinies s’affiche à l’écran. Certains éléments de contrôle sont insérés dans le synoptique à des positions prédéfinies.
    3. Supprimez les éléments superflus du synoptique.
    4. Si nécessaire, sélectionnez des éléments supplémentaires dans la liste déroulante Éléments. Placez-les aux emplacements souhaités sur le synoptique.
  4. Créez une fonction d’appel de synoptique.

Éléments de contrôle

Élément de contrôle | Description
Insérer un modèle | Ouvre la boîte de dialogue de sélection de modèle pour le type de synoptique correspondant. Des modèles sont fournis avec zenon, et peuvent également être créés par l’utilisateur. Modèles ajoutent des éléments de contrôle prédéfinis à des positions prédéfinies sur le synoptique. Les éléments qui ne sont pas nécessaires peuvent également être supprimés individuellement après leur création. Les éléments supplémentaires peuvent être sélectionnés dans la liste déroulante, puis insérés dans le synoptique zenon. Les éléments peuvent être déplacés et disposés individuellement sur le synoptique.

Fenêtre

Éléments de contrôle pour la fenêtre d’aperçu.

Élément de contrôle | Description
Fenêtre d'aperçu | Affiche le synoptique contrôlé.
Liste d’objets | Liste d’objets directement contrôlables.
Afficher les niveaux de zoom | Affiche le niveau de zoom actuel. Remarque : Élément de type Texte dynamique. L'attribution de la fonctionnalité a lieu à l'aide de la propriété Fonction spécifique au type de synoptique.

Zoom

Éléments de contrôle pour le zoom.

Élément de contrôle | Description
Zoom minimum | Désactive la fonction de zoom. Le synoptique est affiché à la taille du cadre.
Zoom maximum | Niveau de zoom maximum.
Zoom avant | Agrandit le synoptique.
Zoom arrière | Réduit la taille d’affichage du synoptique.
Zoom (curseur) | Réglette de réglage du niveau de zoom.

Navigation

Boutons de navigation dans le diagramme.

Élément de contrôle | Description
Déplacer à gauche | Déplace la section affichée vers la gauche.
Déplacer à droite | Déplace la section affichée vers la droite.
Vers le haut | Déplace la section affichée vers le haut.
Vers le bas | Déplace la section affichée vers le bas.

Éléments compatibles

Les éléments de contrôle supprimés ou remplacés par des versions plus récentes restent disponibles, pour des raisons de compatibilité. Ces éléments ne sont pas pris en compte lors de l’insertion automatique de modèles.

Élément de contrôle | Description
Afficher les niveaux de zoom | Élément de contrôle statique Win32. Remplacé par un champ de texte dynamique. Pour la description, reportez-vous à l’élément actuel.


Niveaux de zoom

Manuel -> Vue globale -> Configuration dans Editor -> Niveaux de zoom

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Les niveaux de zoom définissent la relation entre la taille du cadre et le synoptique affiché. Le zoom est activé par niveaux, auxquels sont associés des pourcentages. 100 % est égal à la taille du cadre. Plus la section est grande, plus la valeur du niveau est faible.

Remarque : Les fonctions de zoom de la vue globale sont désactivées dans les cadrans.

Pour configurer les niveaux de zoom :

  1. accédez au groupe Apparence graphique/Généralités runtime dans les propriétés du projet
  2. Cliquez sur le bouton ... de la propriété Pas de zoom pour vue globale.
  3. La boîte de dialogue de configuration des niveaux de zoom s’affiche à l’écran.

Paramètres | Description
Niveaux de zoom existants. | Dans la liste, vous trouverez les niveaux de zoom disponibles.
Nouveau... | Crée un nouveau niveau de zoom. Vous pouvez modifier la valeur proposée manuellement. La valeur doit être comprise entre 1 et 100.
Modifier... | Ouvre le champ de saisie de la valeur du pourcentage pour le niveau sélectionné.
Supprimer... | Supprime le niveau de zoom sélectionné.

Niveau de zoom minimum

Le niveau minimum est limité par le rapport entre la taille du synoptique et la taille du cadre.

Exemple :

  • 10 niveaux de zoom sont configurés, de 10 % à 100 %.
  • Le synoptique est deux fois plus grand que le cadre.
    • Les niveaux de zoom atteignent 50 %. Au-delà de ce seuil, le synoptique est affiché à taille normale.
  • Le synoptique est quatre fois plus grand que le cadre.
    • Les niveaux de zoom atteignent 20 %.


Objets

Manuel -> Vue globale -> Configuration dans Editor -> Objets

Chaque élément sur un synoptique peut recevoir un nom unique. Ce nom peut également être utilisé aux fins de la navigation dans la vue d’aperçu. Cliquez sur le nom dans la liste d’objets pour déplacer la section affichée jusqu’à ce que l’élément se trouve au centre de la section affichée.

Pour définir les objets :

  1. Cliquez sur l’élément souhaité.
  2. Accédez au groupe Runtime dans les propriétés.
  3. Cliquez sur la propriété Nom liste d'objets
  4. Spécifiez un nom pour l’objet.

Dans le Runtime, tous les objets nommés sont affichés dans la liste d’objets.


Fonction d’appel de synoptique Vue d’aperçu

Manuel -> Vue globale -> Fonction d’appel de synoptique Vue d’aperçu

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Lors de l’appel d’un synoptique Vue d’aperçu dans le Runtime, vous définissez le cadre parcouru par le synoptique. Le synoptique devant être contrôlé ne doit pas comporter la propriété Dimension du gabarit, et doit être d’une taille supérieure à celle du cadre correspondant.

Pour configurer une fonction d’appel de synoptique de type Vue d’aperçu :

  1. Créez une nouvelle fonction
  2. Sélectionnez Appel de synoptique.
  3. La boîte de dialogue de sélection de synoptique s’affiche à l’écran.
  4. Sélectionnez le synoptique type Vue d’aperçu.
  5. La boîte de dialogue de configuration du synoptique s’affiche à l’écran.

Paramètres | Description
Affichage du synoptique de vue d’aperçu pour le cadre. | Sélection du cadre qui sera contrôlé dans la liste déroulante.
Couleur de la bordure | Définit l’affichage des couleurs dans le Runtime :
Standard | Couleur du cadre indiquant la zone actuellement sélectionnée dans la vue globale. Cliquez sur Couleur pour ouvrir la palette de couleurs.
Après sélection avec un clic droit | Couleur de la bordure si l’utilisateur clique avec le bouton droit pour effectuer un déplacement. Cliquez sur Couleur pour ouvrir la palette de couleurs.
Paramètres |
Épaisseur cadre | Largeur du cadre indiquant la zone actuellement sélectionnée dans la vue globale.
Mise à jour cyclique du synoptique d'aperçu de la vue globale | Active : Les éléments dynamiques du synoptique associé sont mis à jour à intervalles définis.
Secondes | Délai en secondes de la mise à jour cyclique.
Afficher l’objet sélectionné en surbrillance | Active : Si vous cliquez sur un objet dans la liste d’objets, celui-ci est affiché en surbrillance.
Zoom | Propriétés du zoom.
Conserver le ratio | Active : Le rapport d'aspect entre la hauteur et la largeur du rectangle est conservée lorsque l'utilisateur fait glisser une poignée.
Désactiver les poignées latérales | Active : Les poignées latérales des bordures sont désactivées et ne sont plus affichées. Exception : Les coins.
- Zoom avec touches + / - | Utilisation des touches + et - pour la fonction de zoom : Les touches doivent être correctement attribuées.
% | Les touches permettent de contrôler la fonction de zoom par niveau. Saisissez une valeur comprise entre 1 et 100. Par défaut : 10
Niveaux de zoom | Les touches permettent de contrôler la fonction de zoom par niveau.
Déplacement avec touches fléchées en pixels | Saisissez le nombre de pixels suivant lequel le synoptique sera déplacé à chaque pression sur une touche fléchée. Les touches doivent être correctement attribuées. Saisissez une valeur comprise entre 1 et 16 000. Par défaut : 100
OK | Applique les informations, ferme la boîte de dialogue et ouvre la boîte de dialogue de remplacement de liens.
Annuler | Annule toutes les modifications et ferme la boîte de dialogue.
Aide | Ouvre l'aide en ligne.

info Informations

Les modifications de propriétés dans Editor ne prennent effet dans le Runtime qu’après que le synoptique de type Vue d’aperçu ait été appelé à nouveau.


Utilisation dans le Runtime

Manuel -> Vue globale -> Utilisation dans le Runtime

Pour pouvoir vous déplacer dans la vue globale dans le Runtime, utilisez les éléments suivants :

  • Un synoptique de type Vue d’aperçu
    Ou
  • Gestes MultiTouch sur un écran tactile

Vue globale

  1. Appelez un synoptique Vue globale en exécutant une fonction d’appel de synoptique
  2. Appelez un synoptique Vue d’aperçu en exécutant une fonction d’appel de synoptique

Conseil : Utilisez un script pour appeler les deux synoptiques et fonctions d’appel de synoptique.

Les éléments de contrôle, la souris et le clavier vous permettent d’utiliser les fonctions de navigation et de zoom dans la vue globale. Vous trouvez plus de détails au chapitre Vue d’aperçu.

MultiTouch

Vous pouvez également accéder directement à la vue globale sans vue d’aperçu, grâce aux gestes MultiTouch. Vous trouverez plus de détails au chapitre Navigation MultiTouch dans la vue globale.

Autres sujets abordés dans ce chapitre

Vue globale

Navigation avec la fonction MultiTouch dans la vue globale.


Vue globale

Manuel -> Vue globale -> Utilisation dans le Runtime -> Vue globale

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Dans le Runtime, vous pouvez contrôler le facteur de zoom et la section affichée dans la vue d’aperçu de différentes manières :

  • Éléments de contrôle
  • Souris et écran tactile
  • Clavier

Les éléments de contrôle peuvent également être contrôlés par le biais d’un écran tactile. Les points de contact pour le fonctionnement à l’aide de la souris sont redimensionnés pour pouvoir être facilement actionnés par le biais d’un écran tactile.

Si vous utilisez les gestes MultiTouch, vous pouvez accéder directement à une vue globale?; l’utilisation d’un synoptique de type Vue d’aperçu n’est pas nécessaire.

info Informations

La vue d’aperçu est toujours au premier plan, dans sa propre fenêtre, dans le Runtime, indépendamment de la configuration des éléments de synoptique dans Editor.

Autres sujets abordés dans ce chapitre

Navigation avec les éléments de contrôle

Navigation à l’aide de la souris

Navigation à l’aide du clavier


Navigation avec les éléments de contrôle

Manuel -> Vue globale -> Utilisation dans le Runtime -> Vue globale -> Navigation avec les éléments de contrôle

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Paramètres | Description
Zoom min. | Désactive la fonction de zoom. La section est affichée à la taille du cadre.
Zoom max. | Niveau de zoom maximum.
+ | Agrandit le synoptique.
- | Réduit la taille d’affichage du synoptique.
Réglette | Réglette de réglage du niveau de zoom.
Déplacer à gauche | Déplace la section affichée vers la gauche.
À Droite | Déplace la section affichée vers la droite.
Vers le haut | Déplace la section affichée vers le haut.
Vers le bas | Déplace la section affichée vers le bas.
Liste d’objets | Liste d’objets directement contrôlables. Cliquez sur un objet pour le centrer dans la section affichée à l’écran.


Navigation à l’aide de la souris

Manuel -> Vue globale -> Utilisation dans le Runtime -> Vue globale -> Navigation à l’aide de la souris

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

L’utilisation de la souris et du fonctionnement tactile autorisent les actions suivantes :

  • Déplacer la section :

    Pour déplacer la section de la vue globale affichée à l’écran, plusieurs possibilités s’offrent à vous :

    1. Cliquez au centre de la section et déplacez la souris au-dessus du cadre, tout en maintenant le bouton gauche de la souris enfoncé.
    2. Appuyez sur barre d’espacement et cliquez sur la vue globale. Le pointeur de souris change de forme, et devient une main. Vous pouvez maintenant déplacer la vue globale à l’aide de la souris. Les clics gauches n’ont aucun effet dans la vue globale lorsque la barre d’espacement est enfoncée.
    3. Cliquez sur la section affichée avec le bouton droit de la souris et déplacez le pointeur de la souris au-dessus du cadre, tout en maintenant le bouton droit de la souris enfoncé.
    4. Appuyez sur la molette de la souris et maintenez-la enfoncée pendant que vous déplacez la souris au-dessus du cadre.
  • Zoom :
    Cliquez sur la section et tournez la molette de la souris pour utiliser la fonction zoom. Le zoom est effectué conformément aux niveaux de zoom définis. Durant le zoom, le curseur de la souris reste au-dessus de la position sélectionnée affichée à l’écran.
  • Défilement :
    Vous pouvez faire défiler la vue globale à l’aide de la molette de la souris :
    • Vertical : Cliquez sur la vue globale et faites tourner la molette de la souris.
    • Horizontal : Cliquez sur la vue globale, maintenez la touche Maj enfoncée et faites tourner la molette de la souris.

      Touche Maj + molette de souris vers le haut : défilement vers la droite

      Touche Maj + molette de souris vers le bas : défilement vers la gauche

Effets réciproques info Informations

Les cadres peuvent également être déplacés avec la souris si le synoptique n’est pas une vue globale. Pour cela, la propriété Déplacer le gabarit avec la souris doit être activée. Dans le Runtime, cliquez avec le bouton gauche de la souris dans une zone vide du synoptique, puis déplacez la souris en maintenant le bouton enfoncé pour déplacer l’ensemble du synoptique.

La propriété Déplacer le gabarit avec la souris ne peut pas être activée en même temps que les propriétés Déplacer horizontalement et Déplacer verticalement. Le déplacement d’un cadre avec la souris ou le déplacement horizontal/vertical à l’aide de commandes tactiles peuvent tous deux être activés.

Tenez compte de ce cas de figure spécial : Dans le scénario suivant, les deux propriétés sont définies et restent ensuite non configurables :

  • La propriété Déplacer horizontalement ou Déplacer verticalement est activée.
  • La propriété de projet Reconnaissance pour Intéraction est définie sur Windows 7 ou Désactivé.
  • La propriété Déplacer le gabarit avec la souris est activée.
  • La propriété Reconnaissance est à nouveau définie sur Windows 8.

Solution :

  • Redéfinissez la propriété Reconnaissance sur Windows 7 ou Désactivé.
  • Désactivez la propriété Déplacer le gabarit avec la souris.


Navigation à l’aide du clavier

Manuel -> Vue globale -> Utilisation dans le Runtime -> Vue globale -> Navigation à l’aide du clavier

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Vous pouvez également utiliser le clavier pour contrôler les fonctions de zoom et de déplacement. Pour cela, vous devez attribuer des touches à des éléments de contrôle, par exemple :

  • Haut -> touche fléchée Haut
  • Bas -> touche fléchée Bas
  • Gauche -> touche fléchée Gauche
  • Droite -> touche fléchée droite
  • + (réglette) -> touche +
  • - (réglette) -> touche -

Pour attribuer une touche à un élément de contrôle :

  1. Sélectionnez l’élément de contrôle de votre choix.
  2. Accédez à la propriété Raccourci-clavier.
  3. Cliquez sur le bouton ... ou cliquez dans le champ de saisie.
  4. La boîte de dialogue de définition de la combinaison de touches est ouverte.
  5. Cliquez sur le champ de la combinaison de touches.
  6. appuyez sur la touche ou la combinaison de touches souhaitée du clavier, par exemple : +
  7. La combinaison de touches est affichée dans le champ de saisie.
  8. Fermez la boîte de dialogue de configuration en cliquant sur OK


Navigation avec la fonction MultiTouch dans la vue globale.

Manuel -> Vue globale -> Utilisation dans le Runtime -> Navigation avec la fonction MultiTouch dans la vue globale.

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Les fonctions MultiTouch de zoom et de défilement sont adaptées à la navigation dans la vue globale sur les écrans tactiles. Pour cela, un synoptique de type Vue d'aperçu n'est pas nécessaire. La navigation peut être mise en œuvre avec :

  • Les gestes tactiles Windows 7
  • Les gestes tactiles Windows 8

Règles

  • Déplacer : Si un conteneur de synoptique n'est pas une vue globale, il accepte les paramètres du synoptique cadran.

Déplacement d'une vue globale ou insertion d'une vue globale dans le conteneur d'un cadran

  • Le synoptique est plus grand que le cadre : Le contenu du synoptique est déplacé.
  • Le synoptique est plus petit ou de la même taille que le cadre : Pas de réaction.

Vue globale intégrée dans le cadran.

  • Le synoptique est plus grand que le cadre : Le contenu du synoptique est déplacé.
  • Le synoptique est plus petit ou de la même taille que le cadre : Pas de réaction.

Déplacement du cadre ou de la bordure avec la souris si le synoptique est une vue globale et est de la même taille ou plus petit que le cadre :

  • Avec le bouton droit de la souris : Pas de réaction.
  • Avec le bouton gauche de la souris : Le cadre est déplacé.

Modification de la taille de la vue globale

La taille de la vue globale ne peut pas être modifiée.
Exception : Si la vue globale est un cadran, la taille ne peut pas être modifiée.

Clic avec le bouton droit de la souris :

  • Le synoptique est plus grand que le cadre : Le contenu est déplacé.
  • Le synoptique est plus petit ou de la même taille que le cadre : Pas de réaction.

Conversion de projets

Valeurs pour Déplacer horizontalement et Déplacer verticalement lors de la conversion au format zenon 7.20 depuis une version antérieure :

  • Le synoptique est plus grand que le cadre : Déplacer.
  • Le synoptique est plus petit ou de la même taille que le cadre : Pas de réaction.

Autres sujets abordés dans ce chapitre

Navigation sous Windows 7

Navigation sous Windows 8


Navigation sous Windows 7

Manuel -> Vue globale -> Utilisation dans le Runtime -> Navigation avec la fonction MultiTouch dans la vue globale. -> Navigation sous Windows 7

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Pour pouvoir parcourir un synoptique Vue globale avec des gestes MultiTouch sous Windows 7, vous devez effectuer les opérations suivantes :

  • Activer les gestes MultiTouch par le biais de la propriété 'Multi-touche' pour le zoom et le déplacement
  • Ou la mettre en œuvre par le biais de code VBA/VSTA

Zoom et défilement via la propriété 'Multi-touche' pour le zoom et le déplacement

Pour utiliser la fonction MultiTouch sans VBA/VSTA :

  1. Dans les propriétés du projet, dans le nœud Intéraction de la propriété Reconnaissance, activez Windows 7.
  2. Désactivez la propriété Dimension du gabarit dans le nœud Gabarit des propriétés du synoptique
  3. Activez la propriété 'Multi-touche' pour le zoom et le déplacement dans le nœud Intéraction des propriétés du synoptique

Ceci vous permet de faire défiler et d'agrandir/de réduire la taille d'affichage du synoptique avec des gestes MultiTouch. Dans ce cas, les fonctions de zoom et de défilement VBA/VSTA sont désactivées.

Zoom et défilement via VBA/VSTA

Pour activer des fonctions de zoom et de défilement par le biais d'événements VBA/VSTA, la propriété 'Multi-touche' pour le zoom et le déplacement ne doit pas être active.

Les éléments suivants sont disponibles dans la propriété DynPicture :

  • Propriété

    int ZoomLevel : affiche le niveau de zoom actuel dans la vue globale (valeur valide uniquement dans le Runtime, pour une vue globale).

  • Style

    SetZoomAndPos(float ZoomX, float ZoomY, int ZoomLevel, int CursorX, int CursorY, int PosX, int PosY, int PosMode) :

    ZoomX -> Direction X du nouveau facteur de zoom ; définie sur 0 si inutilisée

    ZoomY -> Direction Y du nouveau facteur de zoom ; définie sur 0 si inutilisée

    ZoomLevel -> Niveau de zoom ; défini sur -1 si inutilisé

    CursorX -> Cursorposition X

    CursorY -> Cursorposition Y

    PosX -> Nouvelle position X (voir PosMode)

    PosY -> Nouvelle position Y (voir PosMode)

    PosMode -> Coordonnées dans Pos

    -1 = PosX, PosY sont ignorés

    0 = point central, coordonnées originales

    1 = point central, coordonnées après zoom

    2 = point supérieur gauche, coordonnées originales

    3 = point supérieur gauche, coordonnées après zoom

    4 = coordonnées après zoom du curseur à partir du point supérieur gauche
    La position de la fenêtre est modifiée de telle manière qu'après le zoom, le pointeur de la souris se trouve toujours au-dessus de la position du synoptique

Attention : ZoomX, ZoomY et ZoomLevel ne peuvent pas être utilisés simultanément. Vous devez soit spécifier un paramètre ZoomLevel, soit spécifier un facteur de zoom pour les axes x et y.


Navigation sous Windows 8

Manuel -> Vue globale -> Utilisation dans le Runtime -> Navigation avec la fonction MultiTouch dans la vue globale. -> Navigation sous Windows 8

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Pour naviguer avec des gestes MultiTouch dans un synoptique Vue globale sous Windows 8 :

  1. Dans les propriétés du projet, dans le nœud Intéraction de la propriété Reconnaissance, activez Windows 8.
  2. Pour le synoptique, dans le groupe Gabarit, désactivez la propriété Dimension du gabarit et définissez une taille de synoptique supérieure à la taille du cadre.
  3. Accédez au groupe Intéraction des propriétés du synoptique.
  4. Configurez les propriétés pour Zoomen et Verschieben.

Pour le geste de déplacement, vous pouvez définir la direction de votre choix - horizontale, verticale ou les deux. Pour cela, utilisez les propriétés Horizontal verschieben et Vertikal verschieben.


zenon Logic

Manuel -> zenon Logic

zenon Logic est un environnement de programmation intégré à zenon, conformément à la norme IEC 61131. Il est disponible sous forme d'éditeur et de Runtime (automate logiciel).

tutorial Informations concernant la licence

Ce module doit disposer d’une licence dans Editor et le Runtime.

Remarque : 8 identifiants sont inclus dans la licence standard. Pour plus de détails concernant la gestion des licences, reportez-vous au chapitre Gestion des licences.

Autres sujets abordés dans ce chapitre

Principes fondamentaux du module Workbench de zenon Logic (IEC 61131-3)

Module Workbench de zenon Logic

Runtime de zenon Logic (automate logiciel)

zenon Logic Runtime Manager


Principes fondamentaux du module Workbench de zenon Logic (IEC 61131-3)

Manuel -> zenon Logic -> Principes fondamentaux du module Workbench de zenon Logic (IEC 61131-3)

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

zenon Logic est un environnement de programmation IEC 61131-3 destiné à différents systèmes cibles utilisant le moteur de Runtime zenon Logic. Dans le cas de zenon, le moteur de Runtime zenon Logic est conçu sous la forme d'un automate logiciel destiné aux plates-formes PC et CE.
Avec l'environnement de développement zenon Logic, appelé Workbench, les automates programmables peuvent être configurés et programmés dans les cinq langages définis par la norme IEC 61131-3.

Menu contextuel Gestionnaire de projet

Élément de menu | Action
Nouveau projet zenon Logic | Ouvre l'assistant de création d'un nouveau projet zenon Logic.
Importer XML... | Importe des entrées à partir d'un fichier XML. Attention : lors de l'importation au format XML, vous devez désactiver les modifications en ligne pour que l'actualisation de la variable de zenon Logic fonctionne.
Importer un projet zenon Logic externe... | Ouvre la boîte de dialogue permettant de sélectionner un dossier de projet zenon Logic.
Profils Editor | Ouvre le menu contextuel contenant les profils Editor prédéfinis.
Aide | Ouvre l’aide en ligne.

Autres sujets abordés dans ce chapitre

Informations générales dans l'aide de zenon Logic

zenon Logic – Généralités

Barre d'outils et menu contextuel de la vue de détail zenon Logic

Premiers pas avec zenon Logic dans zenon

Gestion des variables

Les tableaux

Structures

Développement multi utilisateurs

Réutiliser des projets


Informations générales dans l'aide de zenon Logic

Manuel -> zenon Logic -> Principes fondamentaux du module Workbench de zenon Logic (IEC 61131-3) -> Informations générales dans l'aide de zenon Logic

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Ce manuel est une introduction rapide à l'utilisation de zenon Logic intégré à zenon. Ce manuel n'est pas le manuel d'utilisation des langages de l'automaticien, des fonctions et des blocs fonctionnels. À cette fin, veuillez utiliser l'aide exhaustive incluse directement dans le module Workbench de zenon Logic (environnement de programmation IEC 61131-3).

Le module Workbench de zenon Logic propose une fonction d'aide étendue. Pour accéder à cette fonction d'aide, ouvrez l'entrée Aide dans le menu du module Workbench de zenon Logic, ou cliquez ici. Pour avoir de l'aide sur un domaine particulier (par exemples les blocs fonctionnels), sélectionnez-le avec la souris et appuyez sur la touche F1.

Dans le module Workbench de zenon Logic intégré à zenon ne comporte pas de limitation des variables indépendante des E/S ou de l'extension des variables de l'Éditeur de zenon.


zenon Logic – Généralités

Manuel -> zenon Logic -> Principes fondamentaux du module Workbench de zenon Logic (IEC 61131-3) -> zenon Logic – Généralités

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

zenon Logic est un environnement de programmation IEC 61131-3 destiné à différents systèmes cibles utilisant le moteur de Runtime zenon Logic. Dans le cas de zenon, le moteur de Runtime zenon Logic est conçu sous la forme d'un automate logiciel destiné aux plates-formes PC et CE.

Module Workbench de zenon Logic

L'espace de travail zenon Logic est l'outil de programmation de l'automate zenon Logic. L'espace de travail de zenon Logic peut être démarré depuis l'Éditeur de zenon. Les 5 langages de la norme IEC 61131-3 sont disponibles :

Abréviation | Forme longue du langage
SFC | Sequential Function Chart - AS
FBD | Function Block Diagram - FUP
LD | Ladder Diagram - KOP
ST | Structured Text - ST
IL | Instruction List - AWL

CEI 61131-3

La partie 3 de la norme IEC 61131 définit la syntaxe et la sémantique des langages de programmation des automates. Les automates programmables sont pour leurs parts décrits dans la partie 1.

zenon Logic Runtime

Le Runtime zenon Logic est le système cible ; il exécute le code compilé dans l'espace de travail zenon Logic. There is the zenon Logic Soft PLC for the PC and for Windows CE platforms, as well as selected embedded platforms.

info Informations

Vous trouverez d'autres informations ici : www.copadata.com/en/products/zenon-logic.html.

You can find more information about the operation of zenon Logic Runtime in the zenon Logic Runtime (soft PLC) manual.

straton Runtime

In addition to the zenon Logic soft PLC, there is also the hardware PLC straton, which has implemented the zenon Logic runtime kernel as OEM software. La liste des fabricants de ces automates est disponible à l'adresse www.straton-plc.com.


Barre d'outils et menu contextuel de la vue de détail zenon Logic

Manuel -> zenon Logic -> Principes fondamentaux du module Workbench de zenon Logic (IEC 61131-3) -> Barre d'outils et menu contextuel de la vue de détail zenon Logic

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Barre d'outils

Paramètre | Description
Nouveau projet zenon Logic | Ouvre la boîte de dialogue permettant de créer un nouveau projet, ajoute le projet à la liste et ouvre l'espace de travail zenon Logic avec le nouveau projet.
Ouvrir le projet zenon Logic dans l'espace de travail | Ouvre le projet sélectionné dans l'espace de travail de zenon Logic.
Supprimer | Après une demande de confirmation, supprime les entrées sélectionnées de la liste.
Importer un projet zenon Logic externe | Opens dialog to select the zenon Logic project files to be imported.
Importer XML | Opens dialog to select the XML file to be imported. Attention : lors de l'importation au format XML, vous devez désactiver les modifications en ligne (online change) pour que l'actualisation de la variable de zenon Logic fonctionne.
Supprimer tous les filtres | Supprime tous les paramètres de filtre
Éditer la cellule sélectionnée | Ouvre la cellule sélectionnée pour la modification. Le symbole représentant des jumelles dans l'en-tête indique la cellule sélectionnée dans une ligne affichée en surbrillance. Seules les cellules pouvant être modifiées peuvent être sélectionnées.
Remplacer un texte dans la colonne sélectionnée | Ouvre la boîte de dialogue de recherche et de remplacement de texte.
Propriétés | Ouvre la fenêtre de Propriétés.
Aide | Ouvre l'aide en ligne.


Premiers pas avec zenon Logic dans zenon

Manuel -> zenon Logic -> Principes fondamentaux du module Workbench de zenon Logic (IEC 61131-3) -> Premiers pas avec zenon Logic dans zenon

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Here you can find out how you create, configure and edit a zenon Logic project in the zenon Editor.

Autres sujets abordés dans ce chapitre

Création d'un projet zenon Logic dans un projet zenon

Édition d'un projet dans zenon Logic

Suppression d'un projet zenon Logic

Conception du module Workbench


Création d'un projet zenon Logic dans un projet zenon

Manuel -> zenon Logic -> Principes fondamentaux du module Workbench de zenon Logic (IEC 61131-3) -> Premiers pas avec zenon Logic dans zenon -> Création d'un projet zenon Logic dans un projet zenon

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Pour créer un nouveau projet zenon Logic :

  1. Cliquez avec le bouton droit sur le nœud zenon Logic (IEC 61131-3) ou dans la vue de détail
  2. Dans le menu contextuel ou la barre d'outils, sélectionnez la commande Nouveau projet zenon Logic...
  3. La boîte de dialogue de configuration s'affiche.
  4. Spécifiez un nom valide.
  5. Sélectionnez le driver de votre choix.
    • Le driver STRATON est configuré automatiquement.
    • Pour le driver IEC, la boîte de dialogue de configuration s'affiche après la fermeture de la boîte de dialogue.
  6. Créez le projet en cliquant sur Terminer.

info Informations

Vous pouvez ajuster les propriétés des projets zenon Logic dans le projet zenon, dans la fenêtre des propriétés de l'Éditeur zenon. Vous trouverez une description des propriétés uniques dans l'aide relative aux propriétés.

Vous pouvez modifier les paramètres du projet zenon Logic dans les paramètres du projet. Pour cela, accédez aux paramètres du projet dans l'espace de travail en sélectionnant Projet/Paramètres....

Remarques relatives à la configuration de projets

Remarque lors de la configuration du projet :

Général :

  • Dans zenon Editor, aucun projet zenon Logic portant le nom __Global ne peut être créé.
    Remarque : Les projets existants portant le nom __Global ne sont pas affichés.
  • Le module zenon Logic Workbench crée, pour chaque projet zenon Logic, un projet avec le nom <NomduProjet>__Global. Ces projets ne sont pas visibles dans zenon Editor. Ils ne sont également pas supprimés si le projet zenon Logic associé est supprimé.

Développement distribué :

  • Dans le module zenon Logic Workbench, des lignes peuvent être créées dans le nœud Tous les projets. MultiSpy et la fonction de gestion globale des Binding d’Editor peuvent être appelés. Les considérations suivantes s’appliquent à ces paramètres : Ils ne sont pas :
    • Enregistrés en tant que paramètres multi-utilisateurs
    • Transférés vers le serveur de projet
    • En revanche, ils sont supprimés lors de la prochaine synchronisation
  • Si de nouveaux projets zenon Logic sont créés dans le module zenon Logic Workbench via l’option Fichier -> Ajouter un nouveau projet, les considérations suivantes s’appliquent : Ils ne sont pas :
    • Transférés vers le serveur de projet
    • En revanche, ils seront supprimés lors de la prochaine synchronisation

Attention : Les projets zenon Logic multi-utilisateurs peuvent être créés dans zenon Editor.

info Informations

En règle générale, vous devez uniquement créer des projets zenon Logic dans zenon Editor. En effet, les drivers associés sont également créés automatiquement dans le projet zenon.

Boîte de dialogue Nouveau projet

Paramètre

Description

Nom

Nom librement définissable pour le projet zenon Logic.

Remarque : Le nom

  • est constitué de caractères alphabétiques
  • ne doit pas excéder 15 caractères
  • Ne doivent pas être vides
  • must only contain valid characters:
    invalid characters are: all numbers and special characters such as \ / , ; ß ú ý : * ? " < > | ( )
    Un point peut uniquement être utilisé dans le nom (pas au début du nom)

Le bouton Terminer est uniquement actif si un nom valide a été saisi.

Drivers

Sélection du driver. Vous avez le choix entre :

  • stratonNG (Par défaut) :
    Établit une nouvelle connexion au nom de projet correct, au port du Runtime de zenon Logic et à l'adresse IP 127.0.0.1
  • straton32:
    Établit une nouvelle connexion au nom de projet correct, au port du Runtime de zenon Logic et à l'adresse IP 127.0.0.1
  • IEC870:
    Ouvre la boîte de dialogue de configuration.
  • IRC850:
    Ouvre la boîte de dialogue de configuration.

Cette sélection définit les éventuelles communications du Runtime entre zenon Logic et zenon. De plus, la création des variables d'exploitation et de contrôle est régie par les principes suivants :

  • nom défini sur la base du driver STRATON
  • Adresse définie sur la base du driver IEC

Terminer

Crée le nouveau projet zenon Logic.

Annuler

Annule la création du projet

Aide

Ouvre l’aide en ligne.

Sélection driver

Aide à la décision pour la sélection du driver :

Drivers

Propriétés

Driver stratonNG :

Driver par défaut pour les projets zenon Logic :

  • Utilisable de manière cyclique ou événementielle (c'est-à-dire en cas de modification)
  • Prend en charge les types de données complexes (types de données structurels ou ensembles)
  • Autorise l'établissement de plusieurs connexions avec un driver à plusieurs Runtime simultanément (utilisation recommandée avec Windows CE)

Driver straton32 :

Ethernet TCP/IP.

Remarque : Présente uniquement pour des raisons de compatibilité. L’utilisation du stratonNG driver est recommandée.

Pilote IEC870 :

Ce driver est principalement utilisé dans l'automation d'infrastructures.

Propriétés :

  • Vous pouvez l'utiliser en série (-101) ou avec des communications Ethernet TCP/IP (-104).
  • Le trafic de données est généralement événementiel (c'est-à-dire en cas de modification)
  • Les types de données complexes ne sont pas pris en charge.

Pilote IEC850 :

Il s'agit du successeur de la norme IEC60870 ; il est entièrement orienté objet.

Pour plus d'informations concernant la configuration du driver, reportez-vous à l'aide correspondante du driver :

  • Driver straton32 : straton32
  • Driver stratonNG : stratonNG
  • Pilote IEC870 : IEC870
  • Pilote IEC850 : IEC850

attention Attention

Une fois votre choix de pilote effectué, vous ne pouvez pas changer de pilote.

Exception : il est impossible de passer du driver straton32 au driver stratonNG.

Modifier un driver

Pour passer du driver straton32 au driver stratonNG :

  • Sélectionnez la vue de détail du nœud Variables/Driver du projet zenon Logic avec le driver straton32.
  • Sélectionnez Échanger driver dans le menu contextuel.
  • La boîte de dialogue de sélection du driver s'affiche.
  • Vous pouvez uniquement sélectionner le driver stratonNG.
  • Sélectionnez le driver.
  • Fermez la boîte de dialogue.
  • La configuration est reprise dans le projet zenon Logic.


Édition d'un projet dans zenon Logic

Manuel -> zenon Logic -> Principes fondamentaux du module Workbench de zenon Logic (IEC 61131-3) -> Premiers pas avec zenon Logic dans zenon -> Édition d'un projet dans zenon Logic

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Pour ouvrir un projet zenon Logic, double-cliquez sur son nom ou cliquez droit et choisissez Éditer projet Straton. Vous pouvez également cliquer sur l'icône correspondante dans la barre d'outils dans la fenêtre de détails.


Suppression d'un projet zenon Logic

Manuel -> zenon Logic -> Principes fondamentaux du module Workbench de zenon Logic (IEC 61131-3) -> Premiers pas avec zenon Logic dans zenon -> Suppression d'un projet zenon Logic

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Pour supprimer un projet zenon Logic :

  1. Sélectionnez l'option de menu Supprimer dans le menu contextuel du projet ou la barre d'outils.

    (La sélection multiple est possible.)

  2. Validez le message de confirmation de la suppression du projet.
  3. Indiquez si vous souhaitez supprimer le driver du projet.

    (Lors de la suppression simultanée de plusieurs projets, une demande de confirmation de suppression du driver est affichée pour chaque projet.)

attention Attention

Si vous supprimez le driver, toutes les variables liées au driver dans zenon sont également supprimées.


Conception du module Workbench

Manuel -> zenon Logic -> Principes fondamentaux du module Workbench de zenon Logic (IEC 61131-3) -> Premiers pas avec zenon Logic dans zenon -> Conception du module Workbench

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Le module Workbench de zenon Logic peut être divisé comme suit :

Intervalle | Description
1 | Dans cette section, les documents sont visualisés et édités (programmes, listes espion, ...).
2 | L'espace de travail : Les documents sont créés et ouverts dans cette liste.
3 | La fenêtre de sortie affiche les messages et donne accès aux outils de diagnostic.
4 | Dans l'éditeur de variables, les variables et les instances sont déclarées.
5 | L'onglet des propriétés et l'ordre de pile sont utilisés pour le développement des documents graphiques.
6 | L'onglet "Bibliothèques" montre la liste des fonctions et blocs disponibles
7 | L'onglet Liste d'espions affiche les valeurs en ligne des variables sélectionnées durant le débogage.
8 | L'onglet "Définitions" affiche toutes les définitions.
9 | L'onglet "Graphique" montre les types d'objets graphiques disponibles.

Chaque zone fixe (excepté la zone 1) peut être cachée ou montrée à l'aide des commandes du menu Affichage.

Dans la zone centrale sont ouverts les documents de l'espace de travail. Lorsque plusieurs documents sont ouverts ensemble, vous pouvez sélectionner les différents documents en cliquant sur l'onglet affiché au bas de la zone. Utilisez le bouton X dans la barre de titre pour fermer le document.

L'éditeur de variable et la fenêtre centrale peuvent être agrandies en cliquant sur le bouton correspondant (symbole bleu avec une ligne blanche) ou en cliquant deux fois dans leur barre de titre.

Lorsque plusieurs documents sont ouverts dans la zone centrale, vous pouvez "verrouiller" un d'eux en haut ou à gauche de la zone. Pour cela, cliquez avec le bouton droit de la souris sur l'onglet correspondant et sélectionnez Verrouiller. Le même menu vous permet à tout instant de déverrouiller le document ou d'en verrouiller un autre.

Version et informations concernant la licence

Use the Help -> Info... menu item to open the dialog to display version and license information.

Paramètres/boutons | Description
Version | Version number of the integrated workbench.
Edition | Édition utilisée.
Serial Number (Numéro de série) | Numéro de série de la licence.
Numéro d’activation | Numéro d’activation de la licence.
Fermer | Ferme la boîte de dialogue.


Gestion des variables

Manuel -> zenon Logic -> Principes fondamentaux du module Workbench de zenon Logic (IEC 61131-3) -> Gestion des variables

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

L'intégration complète de zenon Logic dans zenon offre de nombreux avantages dans le développement des projets de contrôle et de supervision. Les variables O&M (Operating and Monitoring) deviennent disponibles dans zenon avec juste quelques clics souris. Lors de la modification des variables (nom, type, ...) les changements sont immédiatement transmis à l'autre système.

Avantages de l'intégration :

  • Gestion facile des variables O&M
  • Répercussion immédiate des modifications
  • Gain de temps de travail car pas de phase d'import / export.
  • Qualité améliorée par la minimisation des causes d'erreurs

attention Attention

Instances of UDFBs are not available as B&B variables.

Autres sujets abordés dans ce chapitre

Créez des variables O&M dans zenon Logic

Créez des variables O&M dans zenon

Utilisation de variables zenon dans zenon Logic

Noms des variables


Créez des variables O&M dans zenon Logic

Manuel -> zenon Logic -> Principes fondamentaux du module Workbench de zenon Logic (IEC 61131-3) -> Gestion des variables -> Créez des variables O&M dans zenon Logic

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Toutes les variables créées dans l'espace de travail zenon Logic peuvent être marquées comme des variables O&S (Opération et Suivi) :

  • Variables locales des programmes
  • Variables globales
  • Variables de retenue (= variables rémanentes)
  • Variables tableau
  • Variables de type structure

Remarque : les variables du type de données TIME ne peuvent pas être déclarées en tant que variables O&M.

Sélection de variables en tant que variables O&M

Pour cela, les étapes suivantes sont nécessaires :

(Référez-vous à l'aide en ligne de zenon Logic pour les étapes à suivre pour créer une variable dans zenon Logic).

  1. Cliquez avec le bouton droit de la souris sur une variable dans la liste de variables.
  2. Sélectionnez Propriétés dans le menu contextuel.
  3. Cochez la case Embarquer les symboles dans la boîte de dialogue suivante.
  4. Dans la liste déroulante, remplacez le profil Aucun par STRATON (*opérationnelle et visualisable pour zenon*).
  5. Cliquez sur OK.

La variable O&M est maintenant ajoutée à la liste de variables de zenon.

attention Attention

Dès qu'une variable de zenon Logic est déclarée comme variable O et M, vous devez éviter de les modifier sous forme de texte dans l'espace de travail !

Ceci peut entraîner la disparition de déclarations de variables.

La variable O&M est affichée avec un préfixe dans zenon. Le préfixe est constitué de la façon suivante :

[zenon Logic project name >/zenon Logic program name or Global or Retain]/[variable name]

attention Attention

Les variables comportent une restriction de longueur de caractères. Préfixe, inclus, le nom de la variable ne doit pas dépasser 128 caractères.

Activation dans la liste de variables

You can update the profile and the checkbox directly in the variable list of zenon Logic so you do not have to go to the context menu and the profile dialog.

Marquez la ligne Propriétés de la variable correspondante. Appuyez sur Ctrl+F12. Le profil zenon Logic est alors affiché dans cette ligne. Vous devez en outre cocher la case pour embarquer le symbole en double-cliquant dessus ou en appuyant sur la touche Entrée dans la colonne Symb.

attention Attention

La case à cocher Embarquer les symboles doit être activée. Les variables pour lesquelles cette case n'est pas cochée ne peuvent pas communiquer avec zenon à l'aide du driver STRATON, et ne fourniront aucune valeur.

Attributs additionnels des variables

Les attributs supplémentaires Identification et Description d'une variable sont également affichés dans zenon lorsque vous sélectionnez le profil STRATON (*opérationnelles et visualisables pour zenon*). You can find the content of the identification and description in zenon in the Identification and Description externe variable properties.

Tableaux et variables de structure

Si les ensembles ou les variables de structure sont identifiées avec le profil STRATON (*fonctionnement et surveillance pour zenon*), ils sont également affichés dans la liste de variables de zenon. Vous devez toutefois activer les éléments souhaités de la variable.

attention Attention

Si une variable O et M est un ensemble, vous devez faire attention en définissant les valeurs initiales.

Recommandation : Les ensembles comportant des valeurs initiales ne doivent être déclarés comme variables O et M ! Si cela ne peut pas être évité, la chaîne décrivant la valeur initiale ne doit pas comporter plus de 1024 caractères.

Instances UDFB

  1. les variables d'entrée des instances UDFB ne sont pas disponibles par le biais de la solution intégrée dans zenon.
  2. Dans zenon, les variables d'une instance UDFB ne peuvent pas être créées. Cela n'est possible que si une instance de variable UDFB est créée dans zenon Logic et le profil zenon Logic est défini.

    Les instances UDFB marquées avec le profil zenon Logic (*fonctionnement et surveillance pour zenon*) ne sont pas automatiquement disponibles dans zenon. Si vous souhaitez les rendre disponibles, vous devez activer cette fonctionnalité manuellement, à l'aide de l'entrée suivante dans le fichier K5DBXS.INI. Dans le fichier K5DBXS.INI, accédez à la section [XS] et saisissez ShareUDFBDatatype=1 .

    Si vous désactivez cette entrée, les types de données UDFB dans un projet sont encore modifiés. Toutefois, aucune instance UFDB n'est créée.

Déclarations d'E/S matérielles

Les variables d'E/S de zenon Logic peuvent être utilisées dans zenon si, dans le module Workbench de zenon Logic :

  • Ils comportent un profil
  • Ils comportent un nom d'alias ; ce nom est utilisé dans zenon à la place de %IX0.0 (type de carte, indice de carte, numéro de bit).
    Un alias est nécessaire si le profil de zenon Logic est utilisé et la propriété Embarquer les symboles est activée. Dans ce cas, la variable est également disponible dans zenon (éditeur et Runtime).

Remarque : si un groupe d'E/S est supprimé dans zenon Logic, les variables de la carte d'E/S avec le profil zenon Logic sont également supprimées dans zenon.

Attention :

  • Les variables E/S ne peuvent pas être renommées dans zenon.
  • Les variables E/S des cartes E/S de zenon Logic ne peuvent pas être créées dans zenon.
  • Le type de données des variables E/S ne doit pas être modifié dans zenon : Les modifications ne sont pas adoptées dans le module Workbench de zenon Logic.
  • Les modifications apportées à la déclaration d'E/S du matériel doivent toujours être mises en œuvre dans zenon Logic. Dans zenon, aucune nouvelle variable ne peut être créée pour le driver straton32 en tant que variable E/S de matériel pour zenon Logic.


Créez des variables O&M dans zenon

Manuel -> zenon Logic -> Principes fondamentaux du module Workbench de zenon Logic (IEC 61131-3) -> Gestion des variables -> Créez des variables O&M dans zenon

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Les variables O&M ("Operating and Monitoring", fonctionnement et maintenance) pour l'automate logiciel PLC zenon Logic peuvent également être déclarées dans zenon. À cette fin, créez une variable dans zenon, comme vous le faites habituellement :

attention Attention

Attention aux conventions de nommage de la norme IEC 61131-3 (pas de caractère spécial, ...) ; sinon le bouton Terminer ne sera pas disponible dans la boîte de dialogue. Voir également : Noms des variables

info Informations

Les variables déclarées dans zenon sont toujours des variables globales pour zenon Logic.

Modifications apportées aux variables d'un driver zenon Logic dans zenon

Si les variables d'un driver lié à un projet zenon Logic sont supprimées :

  • Une identification des modifications du projet zenon Logic est effectuée
  • La connexion de l'espace de travail de zenon Logic au Runtime demande si le projet doit être recompilé

Ce comportement s'exécute indépendamment de l'effet des modifications sur le projet de zenon Logic.


Utilisation de variables zenon dans zenon Logic

Manuel -> zenon Logic -> Principes fondamentaux du module Workbench de zenon Logic (IEC 61131-3) -> Gestion des variables -> Utilisation de variables zenon dans zenon Logic

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Il est très facile de traiter dans straton des variables du procédé issues d'automates tels que les S7 de Siemens (Siemens S7) ou les TwinCAT de Beckhoff (Beckhoff TwinCAT) dans zenon Logic, des variables lues par les drivers zenon de zenon.

Pour cela, deux possibilités sont disponibles :

  • Attribution :
    La variable de l'automate (par exemple S7) est liée à une variable zenon Logic dans une attribution.
    Dans ce cas, seul un lien unidirectionnel est possible.
  • Logic to SCADA connection:
    The PLC variables (e.g. from a S7) are exchanged between zenon and zenon Logic using a Logic to SCADA connection. In order to switch the PLC variables in zenon Logic Workbench to visible, you must activate the Visible par d'autres programmes property in the properties of the variables. The variable is thus included in the variable list of zenon Logic Workbench.
    Advantage: This process works in two directions. It can also be configured very quickly and easily.
    Note: Attention, une telle connexion ne marche que localement sur le même PC ou la même plate-forme CE. Dans ce cas, il n'est pas possible de communiquer avec un Runtime zenon Logic tournant sur un autre poste.

Logic to SCADA connection

A Logic to SCADA connection variable is specially marked in zenon Logic, because it can no longer be changed in zenon Logic. Modifier la variable ici entrainerait des problèmes, car la variable est issue de l'environnement de programmation de l'automate externe (par exemple Step7).

In order for communication with Runtime for Logic to SCADA connection variables to also take place, an I/O driver - the Logic to SCADA connection driver - must also be created in zenon Logic.
Configuration :

  1. Opens the field bus configuration in zenon Logic Workbench.
    To do this, double click on the field bus configuration module or click on the symbol in the toolbar.
  2. Right-click in the I/O driver area.
  3. Sélectionnez Ajouter des variables dans le menu contextuel.
  4. In the All group, select the Logic to SCADA connection entry.
    This configuration is entered and displayed.

Maintenant les variables déclarées "visible par d'autres programmes" dans zenon peuvent communiquer avec zenon Logic.

attention Attention

Note when choosing the variable name:

The name of the variable from an external PLC must comply with IEC 61131-3 with regard to how it is written.
Les caractères suivants sont autorisés :

  • Nombres
  • Letters from A to Z (no umlauts)
  • Soulignement

En outre, le nom ne doit pas commencer par un nombre.
(for details, see also variable names.)
Tip: To use a variable with non-permitted characters in zenon Logic, the name can be set in the code directly in curly brackets.
Example: The variable myArray[3] is called up in the program with {myArray[3]}.

Possible interactions

Note for Logic to SCADA connections, possible interactions with the Hystérésis property.
Si une propriété Hystérésis a été configurée pour la variable zenon, la valeur dans zenon Logic ne correspondra pas à la valeur dans l'automate. Il est également possible qu'elle ne corresponde pas à la valeur dans zenon.
Dans ce cas, les règles suivantes s'appliquent :

  • The value changes in the PLC and within the configured hysteresis bandwidth:
    The value is not communicated to zenon Runtime and therefore also not to zenon Logic.
  • The value is changed by the user in zenon (by means of a function for example) and the value remains within the configured hysteresis bandwidth:
    The value remains the same in zenon and in zenon Logic but it changes in the PLC.
  • The value is changed in zenon Logic and remains within the configured hysteresis:
    The value changes in the PLC and in zenon Logic, but remains unchanged in zenon.
    Dans cette situation, si la valeur change au niveau de l'automate et reste conforme à l'hystérésis, trois valeurs différentes existent :
    une dans l'automate, une dans zenon et une dans zenon Logic.

attention Attention

Events are only triggered in the event of value changes. In special groups of applications, there may be inconsistencies between values.

This can be avoided very easily in that different variables are used for reading and writing.


Noms des variables

Manuel -> zenon Logic -> Principes fondamentaux du module Workbench de zenon Logic (IEC 61131-3) -> Gestion des variables -> Noms des variables

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Dans zenon Logic, les noms des variables doivent être conformes à la norme IEC 61131-3. L'exactitude de la saisie est contrôlée par zenon et par zenon Logic (la communication se déroule à l'aide du pilote STRATON).

In contrast, for variables of other drivers (e.g. S7 TCP/IP driver), the person configuring the project has to ensure that the variable name corresponds to the conventions of IEC 61131-3 (communication using Logic to SCADA connection).

Exemples de noms valides et non valides selon la norme IEC 61131-3 :

Noms autorisés | Noms interdits | Cause de la non-validité :
_XYZ | __XYZ | Deux tirets bas.
xy_z | xy__z | Deux tirets bas.
xyz_ | xyz__ | Deux tirets bas.
MotorOn | Motor On | Espace.
Motor_On | Motor/On | Barre oblique (/).
mw10 | 1mw10 | Nombre situé au début.
xyz | #xyz | Caractère #.
_Motor1 | _Motor 1 | Espace.
Stoerung | Störung | Tréma (¨).
Ueberbruecken | Überbrücken | Tréma (¨).
Mo_tor | Mo-tor | Tiret (-).

À partir de la version 6.22 SP1, il est possible d'utiliser des variables conformes aux réglementations de la norme IEC 61131-3 (noms de variables libres). Faites attention lorsque vous utilisez des noms de variables libres.

Suivez ces règles lorsque vous utilisez des noms de variables libres :

  • les caractères suivants ne sont pas autorisés dans les noms de variables : "(*", "*)", "//", "{" et "}"
  • Les noms de variables ne doivent pas commencer par "__" (deux tirets bas)
  • Si des noms de variables libres sont utilisés lors de l'utilisation du langage de programmation ST ou IL, ils doivent être saisis entre accolades {}.
  • Si des noms de variables libres sont utilisés avec une structure d'ensemble, ils doivent être saisis entre accolades {}.
  • Les variables possédant des noms de variables libres avec un type de données de base peuvent être saisies sans accolades {} dans les langages de programmation FBD et LD. Elles doivent être déclarées en tant que variables globales.
  • Des variables possédant le même nom, une fois avec {} et une autre fois sans {}, sont considérées comme deux variables différentes.

info Informations

Les variables de structure et les ensembles des variables de structure dont le nom comporte un point (.) sont correctement affichés. Les ensembles standard dont le nom comporte une barre oblique (/) ou un point (.) n'affichent pas de valeurs dans la liste d'espions (spy list).


Les tableaux

Manuel -> zenon Logic -> Principes fondamentaux du module Workbench de zenon Logic (IEC 61131-3) -> Les tableaux

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Les ensembles peuvent être créés dans zenon et zenon Logic pour les deux systèmes. La déclaration de variables d'exploitation et de contrôle a lieu conformément aux indications des chapitres Création de variables d'exploitation et de contrôle dans zenon Logic et Création de variables d'exploitation et de contrôle dans zenon. Lors de la création d'ensembles dans zenon Logic, veillez à activer les éléments uniques dans zenon.

Lors de la création d'ensembles dans zenon, définissez le début de l'ensemble sur 0. Ainsi, les ensembles comportent les mêmes indices sur les deux systèmes.

attention Attention

Les ensembles comportant des valeurs initiales ne doivent être déclarés comme variables O et M ! Si cela ne peut pas être évité, la chaîne décrivant la valeur initiale ne doit pas comporter plus de 255 caractères.


Structures

Manuel -> zenon Logic -> Principes fondamentaux du module Workbench de zenon Logic (IEC 61131-3) -> Structures

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Des données de type Structure peuvent être créées dans zenon ou dans l'espace de travail de zenon Logic.

info Informations

Lors de la création des données de type Structure dans zenon, attention de respecter les conventions de nommage de la norme IEC 61131-3, sinon la structure ne sera pas disponible dans zenon Logic. Reportez-vous également au chapitre Noms de variables. Aucun contrôle sur les noms n'est fait dans zenon !

info Informations

Si vous créez des données de type structure dans zenon Logic, elles sont toujours déclarées comme liées dans zenon.

Par conséquent, il est plus intéressant de créer une donnée de type Structure dans zenon, puisque vous pouvez ensuite décider si vous préférez un type de données lié ou embarqué.


Développement multi utilisateurs

Manuel -> zenon Logic -> Principes fondamentaux du module Workbench de zenon Logic (IEC 61131-3) -> Développement multi utilisateurs

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Several people configuring a project can work together on one zenon project. Ainsi, par exemple, un ingénieur travaille sur un projet zenon Logic, tandis qu'un autre travaille sur le projet zenon.

Variables

Dans un environnement de développement distribué, les variables d'exploitation et de contrôle sont gérées séparément par le projet zenon Logic.

Les variables peuvent être créées dans zenon Logic, comme d'habitude. Si les variables doivent également être disponibles dans zenon, elles doivent être pourvues de la propriété correspondante (groupe d'éléments, profil STRATON (*opérationnelle et visualisable pour zenon*). Ensuite, la variable est créée dans zenon. Vous pouvez accepter les modifications réalisées par d'autres ingénieurs (appliquer les modifications). Vous ne pouvez pas modifier une variable modifiée dans l'espace de travail zenon Logic. Elle est donc identifiée de manière adéquate dans la liste de variables zenon Logic.

Drivers

Les drivers STRATON sont accessibles, dans le développement distribué, par l'intermédiaire du projet zenon Logic. Cela signifie que si vous souhaitez effectuer des modifications, vous devez autoriser les modifications pour le driver STRATON.

Projets zenon Logic

In order to edit a zenon Logic project in a multi-user zenon project, the zenon Logic project must be checked out (Check out). Après le développement, les modifications peuvent être annulées ou acceptées.

Suppression d'un projet zenon Logic

In order to delete zenon Logic projects, it must be checked out (check out) or edited in offline mode.


Réutiliser des projets

Manuel -> zenon Logic -> Principes fondamentaux du module Workbench de zenon Logic (IEC 61131-3) -> Réutiliser des projets

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

zenon Logic projects can easily be integrated into a zenon project:

  1. Dans le menu contextuel de l'affichage détaillé du module zenon Logic (IEC 61131-3), sélectionnez l'option Importer un projet zenon Logic externe....
  2. Enter an existing zenon Logic project (highlight folder).
  3. Click on OK to integrate the existing zenon Logic project into the zenon project.
  4. Create a fixed name for the imported project.
  5. Select a driver for the integrated solution.

Une autre possibilité est l'import XML :

  1. Dans le menu contextuel de l'affichage détaillé du module zenon Logic (IEC 61131-3), vous trouverez l'option Importer XML.
  2. Sélectionnez le fichier XML souhaité.
  3. Click on OK to import the zenon Logic project.
  4. Create a fixed name for the imported project.
  5. Select a driver for the integrated solution.

Remarque : lors de l'importation au format XML, vous devez désactiver les modifications en ligne pour que l'actualisation de la variable de zenon Logic fonctionne.


Module Workbench de zenon Logic

Manuel -> zenon Logic -> Module Workbench de zenon Logic

Ici, vous trouverez le manuel de l'espace de travail zenon Logic. Il est uniquement disponible sous forme d'aide en ligne.


Runtime de zenon Logic (automate logiciel)

Manuel -> zenon Logic -> Runtime de zenon Logic (automate logiciel)

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Le Runtime zenon Logic interprète le code compilé de l'automate du module Workbench de zenon Logic.
This manual gives you an overview of the use of zenon Logic Runtime.

Systèmes d'exploitation compatibles

Récapitulatif des systèmes d'exploitation pour serveurs et ordinateurs de bureau pris en charge jusqu'à Windows 8.1

 | Windows Embedded 7/8 Standard | Windows Embedded 8.1 Pro/Industry | Windows 7 SP1/Windows 8 et 8.1/ Server 2008 (R2) SP1, 2012 et 2012 R2 | Windows CE
Editor | -- | X | X | --
Runtime | X | X | X | --
Runtime pour Windows CE | -- | -- | -- | X
Web Server | X | X | X | X Web Server Pro Light
Web Client | X | X | X | --
HTML Web Engine | X | X | X | --

Légende :

  • X: supportées
  • --: indisponible

attention Attention

Windows CE n'est plus pris en charge à partir de la version 7.50. zenon CE version 7.20 est installé. Pour l'utiliser, vous devez créer les fichiers de Runtime pour la version 7.20.

Récapitulatif des systèmes d'exploitation pour ordinateurs de bureau pris en charge pour Windows 10

Version de Windows | zenon Supervisor/Operator | Everywhere by zenon | zenon Logic Runtime
Windows 10 Home | X | X (PC) | X
Windows 10 Mobile | -- | X (Mobile) | --
Windows 10 Pro | X | X (PC) | X
Windows 10 Enterprise | X | X (PC) | X
Windows 10 Education | X | X (PC) | X
Windows 10 Mobile Enterprise | -- | X (Mobile) | --
Windows 10 IoT Core | -- | -- | X
Windows 10 IoT Enterprise (Windows 10 Enterprise LTSB) | X | X (PC) | X

Légende :

  • X: disponibles
  • --: Exécution impossible

zenon Web Client

zenon Logic n'est pas pris en charge par le zenon Web Client.

Autres sujets abordés dans ce chapitre

Interface utilisateur

Licence

Démarrez le Runtime zenon Logic

Cycle du Runtime zenon Logic

Fermez le Runtime zenon Logic

Création du fichier de redémarrage à chaud

Systèmes distants

Runtime de zenon Logic avec module Real Time Kernel (RTK)

Redondance de zenon Logic et zenon

Spécification OEM

Transmission des informations d'horodatage et d'état des variables

Prise en charge des pilotes d'E/S de zenon Logic

Pilotes d'E/S de zenon Logic : Redémarrage à chaud/Modification en ligne

Message d'erreur


Interface utilisateur

Manuel -> zenon Logic -> Runtime de zenon Logic (automate logiciel) -> Interface utilisateur

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

zenon Logic Runtime is available as a symbol in the system tray. This shows the current status of Runtime. Double-cliquer sur le symbole comportant une flèche verte ou sélectionner l'option de menu Afficher dans le menu contextuel ouvre l'interface utilisateur du Runtime de zenon Logic.

The user interface shows a different status depending on the current status:

  • en marche
  • Step mode
  • Breakpoints set
  • arrêté

Un diagramme à barres représente la charge de l'automate.

Conjointement aux informations concernant l'état du projet zenon Logic en cours d'exécution, les actions suivantes peuvent être exécutées dans l'interface utilisateur du Runtime de zenon Logic.

  • Réglette Allowed maximum (Maximum autorisé) pour les ressources de l'automate : définir le maximum autorisé
  • Bouton Paramètres... : permet de configurer les paramètres via trois onglets
    • Paramètres généraux
    • Redondance
    • Utilisateurs avancés
  • Bouton Démarrer/Arrêter : ouvre la boîte de dialogue de démarrage ou d'arrêt du Runtime
  • Bouton Messages : ouvre et ferme la fenêtre d'affichage des messages

Autres sujets abordés dans ce chapitre

Réglette Maximum autorisé

Configurer les barres d'outils

Messages


Réglette Maximum autorisé

Manuel -> zenon Logic -> Runtime de zenon Logic (automate logiciel) -> Interface utilisateur -> Réglette Maximum autorisé

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

La réglette Maximum autorisé est utilisée pour garantir que les autres applications qui s'exécutent sur le même périphérique - telles que zenon - disposent de ressources système.

Avec cette réglette, vous pouvez définir le temps maximum autorisé pour l'exécution du cycle automate. Si avec un cycle système de 10 ms, la réglette est positionnée à 50 %, le cycle automate pourra prendre au maximum 5 ms. Si le cycle automate dure plus que 5 ms, les calculs restants seront fait dans le cycle suivant. Donc un cycle doit être "omis" dans l'automate. Il en résulte un dépassement de cycle.

La réglette peut être définie de façon continue entre 10% et 100%.

Le bargraphe montre la charge occupée par l'automate selon ce qui a été défini par la réglette. Donc vous pouvez trouver comment fixer la valeur de la réglette pour un réglage optimal.

Charge d'automate élevée (réglette entre 50 et 100 %) : déplacer la réglette vers 100 % ou augmenter le temps de cycle.


Configurer les barres d'outils

Manuel -> zenon Logic -> Runtime de zenon Logic (automate logiciel) -> Interface utilisateur -> Configurer les barres d'outils

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Les paramètres permettent de configurer le Runtime zenon Logic par l'intermédiaire de trois onglets :

  • Paramètres généraux
  • Redondance
  • Utilisateurs avancés

Autres sujets abordés dans ce chapitre

Général

Redondance

Paramètres étendus


Général

Manuel -> zenon Logic -> Runtime de zenon Logic (automate logiciel) -> Interface utilisateur -> Configurer les barres d'outils -> Général

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Sur l'onglet Général, vous pouvez modifier les différents paramètres du Runtime de zenon Logic :

Paramètre | Effets
Communications |
Port (Main): | port IP du Runtime de zenon Logic pour le transfert de données cyclique (par ex. espace de travail de zenon Logic).
Port (Binding): | port IP du Runtime de zenon Logic pour le transfert de données en cas de modification (par exemple, espace de travail et/ou liaison avec zenon Logic).
Démarrage |
Pas de démarrage Ouvrir cette boîte de dialogue | Lors du démarrage du Runtime de zenon Logic, cette boîte de dialogue est ouverte en premier.
Démarrage à froid | toutes les variables sont initialisées au démarrage. Les variables RETAIN sont également initialisées lors du démarrage.
Démarrage à froid (chargement des variables RETAIN) : | les variables RETAIN sont initialisées avec leur valeur au moment du dernier arrêt lors du démarrage. Ils contiennent uniquement des valeurs, et non des états (voir la boîte de dialogue Infos).
Démarrage à chaud | lors du démarrage, toutes les variables prennent la valeur qu'elles avaient lors du dernier arrêt.
Démarrer en mode cycle à cycle | Démarre le Runtime zenon Logic et l'arrête immédiatement en mode de débogage.
Délai [s] | Retarde de démarrage du nombre de secondes défini. Par défaut : 0
Données Retain (données rémanentes) |
Chemin d'accès des données de retenue | endroit où est stocké le fichier qui contient les valeurs des RETAIN. Le paramètre par défaut varie selon le démarrage du Runtime zenon Logic.
Enregistrer les variables de retenue avec leurs noms | Cochez cette case si vous souhaitez enregistrer les données de retenue avec les noms de variables. Ceci permet d'enregistrer également les valeurs des variables de retenue lors de l'ajout ou de la suppression d'une variable de retenue. Remarque : pour enregistrer une variable, celle-ci doit être définie comme Embedded (Incorporée) dans l'espace de travail de zenon Logic. Si vous ne cochez pas la case, les données de retenue sont enregistrées de manière conventionnelle. En cas de modification de la variable de retenue, le Runtime démarre avec les valeurs initiales pour toutes les variables de retenue. Par défaut : Désactivé
Enregistrement cyclique des variables de retenue | Si vous décochez cette case, les données de retenue ne sont plus enregistrées de manière cyclique, mais uniquement lorsque le Runtime est fermé. Elles sont toujours enregistrées après une modification, mais pas plus souvent que toutes les 10 ms environ. Par défaut : activé
Priorité en temps réel : | attribue la priorité Windows Temps réel au processus du Runtime de zenon Logic. Si la balise n'est pas définie, cela signifie une priorité normale.

info Informations

Si vous avez activé l'option Enregistrer les variables retains avec leurs noms dans zenon et souhaitez également l'utilisateur lors du démarrage manuel du Runtime, vous devez vous assurer que dans la section [CMD] du fichier K5DBXS.INI, l'option RETAINBYNAME est définie. Ceci permet de définir toutes les variables de retenue comme incorporées lors du démarrage de l'espace de travail de zenon Logic.
Remarque : Le fichier INI est uniquement vérifié au démarrage de l'espace de travail de zenon Logic. Les modifications effectuées durant l'exécution de l'espace de travail n'ont aucun effet.

info Informations

Variables de retenue

Les données de retenue contiennent uniquement la valeur des variables de zenon Logic, et non leur état. Cela signifie, pour le démarrage :

  • Démarrage à chaud l'état défini pour une variable est restauré, qu'il s'agisse ou non d'une variable de retenue.
  • Démarrage à froid avec variables de retenue : seule la valeur de la variable de retenue dans zenon Logic est restaurée, et non son état.

info Informations

Si le Runtime de zenon Logic a été démarré avec le Runtime de zenon ou avec zenon Logic Runtime Manager, les changements faits avec cette interface NE seront PAS pris en compte après un redémarrage du Runtime de zenon Logic.

Veuillez faire les changements dans les propriétés du projet zenon Logic dans zenon Editor ou dans zenon Logic Runtime Manager.

Dans ces cas de figure, la boîte de dialogue vous aide à déterminer les paramètres transmis au Runtime zenon Logic.

Les modifications apportées aux paramètres par l'intermédiaire de cette boîte de dialogue s'appliquent uniquement si le Runtime de zenon Logic est démarré directement (par exemple à l'aide de l'Explorateur Windows).


Redondance

Manuel -> zenon Logic -> Runtime de zenon Logic (automate logiciel) -> Interface utilisateur -> Configurer les barres d'outils -> Redondance

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Dans l'onglet Redondance, vous pouvez consulter les paramètres de redondance du Runtime de zenon Logic.

Vous pouvez consulter ou effectuer les entrées suivantes :

Entrée | Signification
Activer la redondance | Le Runtime opère en mode redondant
Server Port: | Port de duplication de la connexion
Server Timeout [ms] | Délai d'attente visant à déterminer si le client passif est disponible. Après l'expiration du délai d'attente, la duplication est arrêtée.
Client Timeout [ms] | Délai d'attente visant à déterminer si le serveur actif est encore disponible ou non. Après l'expiration du délai d'attente, le client passif devient le serveur actif.
Adresse de partenaire | Adresse IP du partenaire de redondance.

info Informations

Vous trouverez plus de détails concernant la configuration de la redondance de zenon Logic et de zenon au chapitre Redondance de zenon Logic et zenon.

Limitations

La redondance n'est pas pris en charge dans le module RTK Runtime de zenon Logic.


Paramètres étendus

Manuel -> zenon Logic -> Runtime de zenon Logic (automate logiciel) -> Interface utilisateur -> Configurer les barres d'outils -> Paramètres étendus

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Dans cet onglet, vous pouvez accéder aux paramètres de communication avec les applications externes (liaison, driver zenon, etc.).

Les paramètres suivants sont disponibles :

Entrée

Signification

Plage de valeurs

Système

Longueur maximale de la file d'attente système. Cette file d'attente est par exemple utilisée pour conserver les dépassements de capacité de la file d'attente d'événements.

1024 ... 65520

Par défaut : 1024

Alarmes

Longueur de la file d'attente d'alarmes (actuellement non utilisée)

0 ... 65520

Par défaut : 0

Événements

Longueur de la queue d'événements :

Dans cette file d'attente sont écrits les événements provenant des serveurs d'événements du Runtime de zenon Logic. Ils sont ensuite transmis via TCP.

En cas de dépassement de la capacité de cette file d'attente, les messages de dépassement de capacité sont écrits dans la file d'attente du système.

0 ... 65535

Par défaut : 8192

Messages

Longueur de la queue d'information. Dans cette file d'attente sont conservés les messages transmis à l'espace de travail de zenon Logic.

1024 ... 65520

Par défaut : 32768

max. buffer

Taille de la mémoire tampon d'événements par cycle. Ce paramètre détermine le nombre de variables traitées par cycle d'événement de serveur.

128 ... 65535

Par défaut : 1024

Rétablir les paramètres par défaut

Remet les paramètres par défaut

info Informations

Si dans les gros projets, plus de 1024 variables doivent être transférées entre zenon Logic et zenon par le driver straton32.exe, le paramètre Max. buffer doit être augmenté en conséquence. Une méthode simple pour trouver le nombre Max. buffer (Mémoire tampon max.) est la valeur donnée en nombre d'E/S dans la fenêtre de sortie du module Workbench de zenon Logic lors de la compilation. Voir l'illustration ci-dessous.


Messages

Manuel -> zenon Logic -> Runtime de zenon Logic (automate logiciel) -> Interface utilisateur -> Messages

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Les messages de Runtime peuvent être affichés sur l'interface utilisateur du Runtime de zenon Logic. Cliquez sur le bouton Messages>> pour activer la vue. La fenêtre d'affichage du message apparaît. Cliquez sur le bouton Messages<< pour fermer l'affichage du message.

Pour effectuer des actions dans la fenêtre d'affichage du message, cliquez sur celle-ci avec le bouton gauche ou droit de la souris. Vous obtenez un menu contextuel :

Entrée de menu | Description
Display time stamp of messages (Afficher l'horodatage des messages) | Ajoute des informations d'horodatage à chaque message.
Copy messages to the clipboard (Copier les messages vers le presse-papiers) | Copie les entrées sélectionnées vers le presse-papiers.
Delete all messages (Supprimer tous les messages) | Supprime tous les messages de la fenêtre d'affichage des messages.

Vous pouvez configurer les paramètres de journalisation de zenon Logic et les drivers avec l'application Diagnosis Viewer.


Licence

Manuel -> zenon Logic -> Runtime de zenon Logic (automate logiciel) -> Licence

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Installation avec zenon (Runtime de zenon et Runtime de zenon Logic sur un PC)

La licence du Runtime zenon Logic est automatiquement activée avec le numéro de série de zenon. Lors de l'installation, entrez le numéro de série et le numéro d'activation lorsqu'ils vous sont demandés. Si aucun numéro de licence n'est disponible, cliquez sur Version de démo.

Définition de la licence ultérieurement avec une commande de licence

Vous pouvez mettre en place la licence plus tard avec la commande Licence order (Commande de licence). Ouvrez la commande "Licence order" à l'aide du menu Démarrer de Windows sous "Programmes -> COPA-DATA -> Licensing Pour l'entrée de la licence ultérieurement, vous entrerez le numéro de série et le numéro d'activation dans cette boîte de dialogue. La procédure est terminée en cliquant sur OK.

Pour une licence logicielle, le numéro de licence doit être lu depuis la configuration matérielle de votre PC. Cliquez sur le bouton License request for soft-licensing et suivez les instructions des boîtes de dialogue.

info Informations

Please note that the License request for soft-licensing button is not available for all OEM versions.

Après avoir activé la licence à l'aide de l'Éditeur zenon

In the zenon Editor, the dialog for licensing is opened via the File -> General configuration -> License product... menu entry. Vous pouvez entrer le numéro de série et le numéro d'activation ici.

Informations concernant la licence du Runtime de zenon Logic

Ouvrez l'interface utilisateur du Runtime de zenon Logic en cliquant sur l'icône du Runtime de zenon Logic dans la barre des tâches. Ensuite, cliquez dans le coin supérieur gauche et sélectionnez À propos de STARTON RT.... Une fenêtre s'affiche, contenant des informations relatives à la version et la licence du Runtime zenon Logic.

Autres sujets abordés dans ce chapitre

Gestion de balises dans zenon - zenon Logic

Mode démo


Gestion de balises dans zenon - zenon Logic

Manuel -> zenon Logic -> Runtime de zenon Logic (automate logiciel) -> Licence -> Gestion de balises dans zenon - zenon Logic

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Le nombre de balises utilisées dans zenon Logic correspond au nombre d'E/S dans zenon Logic, moins le nombre d'E/S utilisées avec un profil zenon ou zenon Logic. Ces E/S sont déjà prises en compte lors du calcul du nombre de balises dans zenon.

Ceci permet d'éviter qu'une E/S soit comptée deux fois.

The I/Os used are displayed in the <CA_PRODUCTNAME< Runtime user interface.


Mode démo

Manuel -> zenon Logic -> Runtime de zenon Logic (automate logiciel) -> Licence -> Mode démo

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Le Runtime zenon Logic démarre en mode démo si vous entrez un numéro de licence incorrect ou un numéro d'activation incorrect ou si vous n'entrez pas de numéro ou si aucun dongle n'est détecté. Le mode démo arrête le Runtime zenon Logic après 15 minutes. Avec un numéro de série de démo spécial, le Runtime zenon Logic peut fonctionner en continu pendant 30 jours. Après ces 30 jours, la durée maximale de fonctionnement du Runtime zenon Logic revient à nouveau à 15 minutes.

zenon Logic Mini

Vous n'avez pas acheté la licence zenon Logic, mais possédez une licence de Runtime de zenon valide. Dans ce cas, une licence est automatiquement activée pour une version "allégée" du Runtime de zenon Logic. Avec cette version "allégée", vous pouvez avoir jusqu'à 8 variables (TAG) utilisables en tant qu'entrée / sortie dans zenon Logic. Ces variables sont des variables connectées au bus de terrain ou celles qui ont un profil (par exemple les variables avec le profil zenon Logic). With the exception of the calculation, the zenon internal profiles STRATON and zenOnRT for zenon-internal communication.

Exemple de calcul :

  • quatre (4) variables pour les communications zenon
  • quatre (4) variables pour les communications Profibus
  • quatre (4) variables pour les communications IEC 61850 client.
  • Cela est égal au nombre maximal de huit variables (0 + 4 + 4 = 8).


Démarrez le Runtime zenon Logic

Manuel -> zenon Logic -> Runtime de zenon Logic (automate logiciel) -> Démarrez le Runtime zenon Logic

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Le Runtime de zenon Logic prend en charge les instances multiples et nécessite donc des paramètres (paramètres de transfert) lorsqu'il est démarré.

Il existe plusieurs possibilités pour démarrer le Runtime de zenon Logic :

  • à l'aide du Runtime zenon
  • à l'aide de l'outil zenon Logic Runtime Manager
  • Par fichier de formatage BAT
  • La ligne de commande

Démarrage à l'aide du Runtime zenon

Pour démarrer le Runtime zenon Logic avec le Runtime zenon :

  • Sélectionnez le projet zenon Logic dans l'Éditeur zenon.
  • Modifiez le Type de démarrage (Runtime) à votre guise. Les propriétés de Type de démarrage sont décrites dans l'aide incorporée à zenon.

Remarque : If the Poste de démarrage property is set to Server 1 and Server 2, then localhost has to be used in the 'Host' as a value. Dans le cas contraire, le Runtime de zenon Logic ne peut plus démarrer.

À l'aide de l'outil zenon Logic Runtime Manager

Vous pouvez utiliser l'outil zenon Logic Runtime Manger pour démarrer le Runtime zenon Logic manuellement. Vous trouverez le zenon Logic Runtime Manager dans le dossier COPA-DATA du menu Démarrer de Windows ®. Le gestionnaire du Runtime de zenon Logic est utilisé pour démarrer les instances de Runtime de zenon Logic sur un PC. Vous pouvez par exemple choisir temps réel de l'automate ici pour démarrer la version en temps réel de zenon Logic (zenon Logic RTK) ou démarrer une instance du Runtime de zenon Logic durant l'initialisation du système ("Démarrage auto").

Vous pouvez afficher des informations précises concernant les éléments individuels du gestionnaire de Runtime de zenon Logic en déplaçant le pointeur de la souris sur ceux-ci. La rubrique d'aide correspondante s'affiche alors dans l'aide des propriétés.

Vous pouvez consulter l'aide intégrale en cliquant sur ? dans la barre de menus.

attention Attention

Runtime Manager doit être démarré avec des droits d'administrateur.

Démarrage depuis une invite de commande DOS

zenon Logic Runtime can be started using the command line interface or a BAT file. This start process is also valid for starting under Windows CE. If the path under CE contains a space, the path parameter must be defined between individual quote marks. Exemple : -PATH='\hard disk\project1\'

Pour l'invite de commande, ce qui suit est vrai :

  • toutes les commandes doivent être saisies en lettres majuscules
  • les signes suivants sont autorisés :
    • -
    • / (must not be used as a last character for the value of PATH!)

Les paramètres transfert suivants sont disponibles :

Paramètre principal :

Settings as under Settings -> General in the user interface of zenon Logic Runtime.

Paramètre

Description

PORT=<Zahl>

Port de communication.

If no parameter is set: 1200 Par défaut :

PORTTRACE=<Zahl>

Port d'événements

If no parameter is set: PORT+7800

PATH=<DB-Path>

Emplacement de stockage du code de l'application zenon Logic.

If no parameter is set: zenon Logic Runtime folder.

Remarque :

  • Must be set.
  • Path must not end with a Backslash (\).
  • For error detection, the driver checks the project name at the end of the path.
  • zenon Runtime discovers, when starting, zenon Logic Runtimes that are already running by comparing the complete path.

ZENPATH=<Pfad>

Chemin de zenon :

ZENPROJECT=<Name>

zenon nom du projet

Remarque : Must be set.

DONTHIDE

Ne pas masquer le Runtime après le démarrage (il s'agit du seul paramètre sans =)

STEP=<0|1>

Activation/deactivation of the stepping mode:

  • 1 : Démarrage en mode modification d'instruction
  • 0 : pas de mode de modification d'instruction
  • Sans paramètres : pas de mode de modification d'instruction

START=<0|1|2|3>

Type de Runtime

  • 0 : Afficher la boîte de dialogue de configuration
  • 1 : Coldstart (démarrage à froid)
  • 2 : Démarrage à chaud
  • 3 : redémarrage à chaud :
  • Sans paramètres : Démarrage à chaud

LOWPRIORITY=<0|1>

Priorité :

  • 0 : low priority
  • 1 : Windows real time priority
  • Sans paramètres : low priority

WRITELOG=<0|1>

Setting for logging:

  • 0 : Ne pas créer un journal
  • 1 : Créer fichier LOG
  • Sans paramètres : Créer fichier LOG

The log file that is stated in the PATH parameter is created. Nom : STRATONRTLOG.TXT

Paramètres supplémentaires

Paramètre | Description
REMPATH=<Pfad> | Chemin des données rémanentes. If no parameter is set: PATH dossier
DELAY=<Zahl> | Délai de démarrage en [s] : Démarrage décalé du Runtime zenon Logic If no parameter is set: 0
MAXUTILPRCT=<Zahl> | Position de la réglette de charge maximale de l'automate en %. If no parameter is set: 100

Event parameter

Settings as under Settings -> Advanced settings in the user interface of zenon Logic Runtime for the queue/events.

Paramètre | Description
QSSYSTEM=<Zahl> | Taille de la file d'attente du système. If no parameter is set:1024
QSALARM=<Zahl> | Taille de la file d'attente d'alarmes. If no parameter is set: 0
QSEVENT=<Zahl> | Taille de la file d'attente d'événements. If no parameter is set: 8192
QSINFO=<Zahl> | Taille de la file d'attente d'informations. If no parameter is set: 32768
NBEVENT=<Zahl> | Nombre maximal d'événements enregistrables. If no parameter is set: 1024
EVENTCON=<Zahl> | Nombre de connexions d'événements possibles. If no parameter is set: 256

Redundancy parameter

Settings as under Settings -> Redundancy in the user interface of zenon Logic Runtime.

Paramètre | Description
REDENABLE=<0,1> | Redondance activée/désactivée. Sans paramètres : 0
REDADDR=<IP> | Adresse du partenaire de redondance.
REDPORT=<Zahl> | Port de redondance pour la duplication.
REDCLITIMEOUT=<Zahl> | Délai d'attente du client de redondance [ms] ; délai d'attente utilisé pour déterminer quand un client passif devient un serveur actif. If no parameter is set: 1000
REDSRVTIMEOUT=<Zahl> | Server Timeout redundancy [ms]. Time-out for ending the replication. If no parameter is set: 1000
REDZENON=<0,1> | Si ce paramètre est défini sur 1, l'adresse du partenaire est lue depuis le fichier PROJECT.INI. If no parameter is set: 0


Cycle du Runtime zenon Logic

Manuel -> zenon Logic -> Runtime de zenon Logic (automate logiciel) -> Cycle du Runtime zenon Logic

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Le cycle du Runtime zenon Logic comprend :

  • Calc. time: temps consacré à l'échange de données, au calcul, à l'enregistrement des valeurs calculées, à la lecture et l'écriture des valeurs modifiées et au temps de repos.
  • Cycle time: durée totale du cycle déterminée par la latence du système.
  • System latency: temps de réaction du système.

Ces valeurs peuvent être affichées sur l'interface utilisateur zenon Logic. Utilisez le raccourci Alt+S ou Maj+Alt+A.

Propriété

Description

Binding exchange

Lecture des valeurs de liaison publiées sur le réseau et configurées par l'application (si elles ont été configurées).

I/O exchange

Échange de données entre les pilotes d'E/S (sauf esclave/serveur Modbus) et les cartes d'E/S (si elles ont été configurées).

Application executione

Exécution des programmes.

Digital sampling trace

Exécution de l'échantillonnage numérique (s'il a été configuré).

Events

Envoi des événements (liaison ou pilote straton32.exe de zenon) (s'ils ont été configurés).

Forced values

Lecture des valeurs forcées de zenon depuis le module zenon Logic Workbench (débogage en ligne) et échange de données de l'esclave/du serveur Modbus (s'ils ont été configurés).

Sleep

Attendre jusqu'à la fin du cycle.

Lorsque le réglage du cycle est Aussi rapide que possible (exécution libre), le temps est toujours égal à 1 ms.

Le temps Sleep est utilisé pour exécuter les tâches du système d'exploitation et des autres applications de Windows.

Attribution de temps à l'automate et à Windows

Une réglette dans l'interface de l'interface utilisateur zenon Logic vous permet de déterminer la quantité de temps réservée à l'automate et à Windows. La valeur affichée dans le bargraphe fait toujours référence au taux défini à l'aide de la réglette.

Autres sujets abordés dans ce chapitre

Durée du cycle des messages d'erreur


Durée du cycle des messages d'erreur

Manuel -> zenon Logic -> Runtime de zenon Logic (automate logiciel) -> Cycle du Runtime zenon Logic -> Durée du cycle des messages d'erreur

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

En cas de dépassement de la durée du cycle (cycle time), les messages sont affichés dans le Runtime ou l'espace de travail de zenon Logic, et les entrées correspondantes sont écrites dans le fichier journal.

Message d'erreur de l'interface utilisateur | Entrée de fichier journal | Signification
Timing configuration error. (x) cycles lost. | Timing configuration error. (x1) cycles lost. Configured cycle time = (x2) us, maximum execution time = (x3) us, maximum PLC utilisation = (x4). | Nombre (x) de cycles non exécutés en raison de l'expiration du délai d'attente. Le délai d'exécution est supérieur à la durée de cycle définie, ou les ressources de processeur sont indisponibles.
Timing configuration error. PLC utilization peaked at (x)%. | Timing configuration error. PLC utilization exceeds 80%. Configured cycle time = (x1) us, maximum execution time = (x2) us, maximum PLC utilisation = (x3)%." | Le délai d'exécution est supérieur à 80 % de la durée de cycle définie ; actuellement (x) %.

Dépannage

You can rectify the cycle time being exceeded by:

  • Increasing the cycle time
  • En réduisant le délai d'exécution, par exemple :
    • En utilisant un système doté de ressources de processeur plus importantes
    • En utilisant un code C compilé
    • En réduisant le programme


Fermez le Runtime zenon Logic

Manuel -> zenon Logic -> Runtime de zenon Logic (automate logiciel) -> Fermez le Runtime zenon Logic

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Le Runtime de zenon Logic peut être fermé manuellement, soit par l'intermédiaire du menu contextuel du symbole affiché dans la barre des tâches, soit par l'intermédiaire de la fenêtre ouverte du Runtime de zenon Logic :

Menu contextuel du symbole

Cliquez avec le bouton droit sur l'icône dans la barre des tâches pour ouvrir le menu contextuel suivant :

  1. A dialog is opened if Close is clicked on.

  2. Cliquer sur "Oui" arrête et ferme le runtime.

Dans la fenêtre du Runtime zenon Logic

Une autre possibilité pour fermer le Runtime est fournie dans la fenêtre ouverte du Runtime zenon Logic.

Le menu suivant apparaît après un clic sur le coin haut-gauche de la fenêtre :

  1. A dialog is opened if Close is clicked on.
  2. Si vous confirmez la boîte de dialogue, le Runtime de zenon Logic se ferme immédiatement.

info Informations

Si le Runtime de zenon Logic a été démarré avec le Runtime de zenon et le type de démarrage "Démarrage/arrêt autom." a été sélectionné pour le projet zenon Logic dans l'Éditeur zenon, le Runtime de zenon Logic est automatiquement fermé lors de la fermeture du Runtime zenon.


Création du fichier de redémarrage à chaud

Manuel -> zenon Logic -> Runtime de zenon Logic (automate logiciel) -> Création du fichier de redémarrage à chaud

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Lorsque vous fermez le Runtime de zenon Logic, un fichier de redémarrage à chaud est créé automatiquement (Hot Restart). Vous pouvez déclencher l'écriture du fichier de redémarrage à chaud (Hot Restart) via la fonction WriteHot.

Chaque fois qu'un fichier de redémarrage (Hot Restart) à chaud est créé, un fichier de sauvegarde est également créé ; le dernier caractère du nom du fichier est alors remplacé par un _. En outre, les fichiers créés comportent un en-tête contenant la somme de contrôle (Checksum) des données. Lors de la lecture des données, l'en-tête et la somme de contrôle (Checksum) sont vérifiés. Si une erreur se produit, le fichier de sauvegarde est utilisé.

La fonction WriteHot comporte les paramètres de saisie suivants :

Paramètre | Description
I | Déclencher ; si ce paramètre est défini sur TRUE, la fonction est exécutée.
SYNC | Si ce paramètre est défini sur TRUE, le cycle est mis en attente pendant l'écriture du fichier de redémarrage Hot Restart à chaud. Si le paramètre est défini sur FALSE , la fonction est exécutée de manière asynchrone.
BUSY | Ce paramètre est défini sur TRUE si la fonction est exécutée.

info Informations

Si vous exécutez la fonction à plusieurs reprises dans un cycle, seul le dernier appel est pris en compte.


Systèmes distants

Manuel -> zenon Logic -> Runtime de zenon Logic (automate logiciel) -> Systèmes distants

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Ce chapitre concerne les systèmes cible qui ne sont pas sur le PC local. On accède au système cible par Ethernet TCP/IP.

Autres sujets abordés dans ce chapitre

Runtime zenon et Runtime zenon Logic sur un PC distant


Runtime zenon et Runtime zenon Logic sur un PC distant

Manuel -> zenon Logic -> Runtime de zenon Logic (automate logiciel) -> Systèmes distants -> Runtime zenon et Runtime zenon Logic sur un PC distant

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Installation sur le système cible

Commencez par installer et activer la licence du Runtime zenon sur le PC distant. L'installation et l'activation de la licence du Runtime zenon Logic se déroule automatiquement.

Téléchargez les données du projet avec le Runtime de zenon Logic, en utilisant le type de démarrage "Démarrage/arrêt autom." ou "Démarrage autom.".

Pour télécharger les fichiers des Runtime de zenon et zenon Logic, utilisez la fonction de transport à distance de zenon. Vous trouverez plus d'informations au chapitre Remote Transport.

Le Runtime zenon Logic démarre et se ferme automatiquement en même temps que le Runtime zenon.

Téléchargement des données applicatives lorsque le Runtime de zenon Logic est configuré en démarrage manuel

Si le Runtime de zenon Logic est démarré manuellement sur le PC cible (par exemple, au démarrage de Windows), le code de l'automate doit être chargé manuellement sur la plate-forme cible à l'aide de l'espace de travail de zenon Logic. Pour cela,

  • saisissez les paramètres adéquats dans la boîte de dialogue de propriétés Workbench de l'Éditeur zenon : 'Host' cible Et Port de la cible
  • Dans l'espace de travail zenon Logic, cliquez sur le bouton Online (En ligne).
  • L'espace de travail zenon Logic établit alors une connexion avec le système cible.
  • Vous pouvez maintenant transférer le code de l'automate vers le système cible via le bouton Download (Télécharger) ; la progression du téléchargement est représentée par une barre de progression.
  • Après le téléchargement, l'automate démarre automatiquement avec la nouvelle application.

Si le téléchargement a réussi et le programme de l'automate s'exécute sans incident sur le système cible, l'indication RUN est affichée dans la barre d'outils.


Runtime de zenon Logic avec module Real Time Kernel (RTK)

Manuel -> zenon Logic -> Runtime de zenon Logic (automate logiciel) -> Runtime de zenon Logic avec module Real Time Kernel (RTK)

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Le module zenon Logic RTK (Real Time Kernel) est le système Runtime zenon Logic dédié à la gestion en temps réel des équipements. Cela permet de garantir, vis-à-vis du système d'exploitation, un déterminisme maximal et une sécurité optimale en cas de défaillance.

Conditions requises :

  • zenon Logic RTK is available for the following Windows operating systems:
    • Windows 7, 32-bit version
    • Windows 8 et 8.1, 32-bit version
    • Windows 10, 32-bit version
  • The zenon Logic RTK can only be started with the zenon Logic Runtime Manager (Hard real time flag must be set) or in the command line input BAT file.

attention Attention

Ne faites pas fonctionner deux extensions en temps réel en parallèle sur un ordinateur. Ceci signifie :

  • si une autre extension en temps réel est déjà active sur l'ordinateur, ne démarrez pas le RTK de zenon Logic.
  • Une seule instance du module RTK de zenon Logic peut être exécutée à la fois.

Le module Real Time Kernel est conçu pour déclencher le cycle du Runtime zenon Logic indépendamment de Windows. Ainsi, on garantit que le cycle du Runtime zenon Logic est exécuté de façon déterministe.

La part de la capacité de calcul du PC peut être fixée à l'aide d'une réglette.

Selon la taille de l'application automate et le temps de cycle défini, vous devez ajuster la charge du PC en utilisant la réglette. La réglette peut être définie de façon continue entre 10% et 85%. La barre, qui montre la charge courante, indique si le temps maximum autorisé est suffisant pour exécuter le cycle automate.

Si la barre est près des 100%, il y a un risque de dépassements de cycle ! Dans ce cas, il faut déplacer la réglette vers le haut (vers les 85%). Si ce n'est pas possible à cause des autres applications de Windows (par exemple, mauvaise performance pour ouvrir les synoptiques de zenon), le temps de cycle de l'application zenon Logic doit être augmenté.

attention Attention

Si la barre atteint le repère des 100 %, il y a un risque de dépassement de cycle !

Example Exemple

Réglette à 10%, temps de cycle à 10ms :

Le module RTK de zenon Logic doit traiter le programme de l'automate en 1 ms, ce qui équivaut à 10 % du temps de cycle défini de 10 ms.

Réglette à 50%, temps de cycle à 5ms :

Pour exécuter le programme de l'automate, 2,5 ms sont disponibles pour le module RTK de zenon Logic.

Réglette à 85%, temps de cycle à 20ms :

Pour exécuter le programme de l'automate, 17 ms sont disponibles pour le module RTK de zenon Logic.

Formule

La formule suivante peut être utilisée pour vérifier, si la valeur donnée par la réglette ne conduit pas à des dépassements de cycle en prenant en compte le temps de cycle défini :

temps de cycle > ( 100 / position réglette [%] ) * temps de calcul

Pour trouver le temps de calcul pour le cycle automate, appuyez sur Maj+Alt+A et notez le temps maximum de calcul [µs] (sur la figure : 274 µs).

Supposition :

Temps de cal. Heure : 274µs

Position de la réglette : 50%

Temps de cycle défini : 1ms (1000µs)

Calcul :

(100/50)*274 = 548µs

Ceci signifie que le temps de cycle défini à 1 ms est suffisant.

attention Attention

Note : Si vous ne respectez pas la formule décrite, le déterminisme fondé sur le temps de cycle n'est plus indiqué !

Temps de cycle

Cycle times from 100 µs or higher can be set.
Remarque : The actual use of the set cycle time depends on the system and the selected HAL Timer. Information on the current system load is provided by the system load time (keyboard shortcut: ALT+S) and Advanced statistics (keyboard shortcut: SHIFT+ALT+A).

Description of the measured values displayed:

Latence du système (Alt+S) |
Actuelle [µs] | Latence actuelle du système (voir également Cycle de Runtime)
Maximum [µs] | Latence maximale du système (depuis le démarrage du Runtime)

Statistique étendue (Maj+Alt+A) |
Temps de cal. [µs]. | Temps de calcul actuel du dernier cycle
Temps de cal. max. [µs]. | Temps de calcul maximal pour un cycle d'automate (depuis le démarrage du Runtime)
Temps de cycle [µs] | Temps de cycle courant
Temps de cycle min. [µs] | Temps de cycle minimal (depuis le démarrage du Runtime)
Temps de cycle max. [µs] | Temps de cycle maximal (depuis le démarrage du Runtime)
Dépassements de cycle [1] | Compteur de dépassement du temps de cycle (depuis le démarrage du Runtime)
Dépassement de capacité de driver [1] | Compteur des cycles d'automate de drivers Windows (ne s'exécutant pas en temps réel) ayant échoué (depuis le démarrage du Runtime)

La valeur du temps de cycle peut toujours être uniquement un multiple de la période de temps HAL (HAL Timer) (base de temps). La base de temps dépend du compteur horaire sélectionné et de sa base de temps (voir également Configuration du module RTK de zenon Logic). Ceci signifie : un temps de cycle défini de 10 ms pour un équipement doté d'une base de temps de 122 µs n'est pas exécuté en 10 000 ms précisément, mais en 10 004 ms.

Autres sujets abordés dans ce chapitre

Limitations et exigences spécifiques au module RTK de zenon Logic

Configuration du module RTK de zenon Logic

Gestion de l'écran bleu

Codes d'erreur au démarrage du module RTK de zenon Logic


Limitations et exigences spécifiques au module RTK de zenon Logic

Manuel -> zenon Logic -> Runtime de zenon Logic (automate logiciel) -> Runtime de zenon Logic avec module Real Time Kernel (RTK) -> Limitations et exigences spécifiques au module RTK de zenon Logic

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Exigences matérielles spécifiques au module RTK de zenon Logic

ACPI :

Le matériel (PC ou PCI) et le système d'exploitation doivent supporter ACPI :

  • ACPI-Multiprocesseur-P
  • ACPI-PC (Advanced Configuration et Power Interface)
  • ACPI-Uniprocesseur-PC

Vous pouvez vérifier si votre PC est compatible avec ACPI dans le système de contrôle (système > gestionnaire de périphériques > ordinateur).

Processeurs :

Le module RTK de zenon Logic est pris en charge à partir des générations de processeurs suivantes :

  • Pentium II ou plus récent
  • AMD Athlon XP ou plus récent

Limitations

Le module Real Time Kernel (RTK) de zenon Logic s'exécute sous la forme d'un processus distinct au niveau matériel, indépendamment du système d'exploitation. À l'inverse, le Runtime de zenon Logic s'exécute dans Windows®. Le module straton RTK en temps réel de zenon Logic comporte quelques limitations par rapport au Runtime de zenon Logic.

  • Virtual Machines n'est pas supporté.
  • La fonction de redondance de zenon Logic n'est pas prise en charge.
  • Tous les blocs de fonction ne sont pas pris en charge.
  • Tous les drivers I/O ne sont pas pris en charge.
  • L'enregistrement et l'annulation de l'enregistrement de certains drivers doivent être effectués manuellement.

Blocs fonctionnels

Les blocs fonctionnels suivants ne sont pas traités directement en Mode Noyau (Kernel Mode), mais seulement émulés :

  • Toutes les opérations sur fichiers (catégorie "Fichiers")
  • Tous les modules TCP/IP (catégorie "TCP-IP")

Les blocs fonctionnels suivants ne sont pas pris en charge par le module RTK de zenon Logic :

  • day_time_local (catégorie "Horloge")

info Informations

The respective configuration of Runtime can be loaded in the zenon Logic workbench. To do this, select the Configuration entry in the Workbench in the context menu of the loaded project.

Lorsque vous avez sélectionné la configuration, les blocs fonctionnels non pris en charge sont marqués en rouge dans la bibliothèque.

Drivers d'E/S.

Les drivers d'E/S suivants de zenon Logic sont exécutés par le module RTK de zenon Logic en mode Noyau (Kernel mode) (Temps réel) :

  • Profibus (Hilscher CIF Profibus)
  • Hilscher SYCON universelle (configuration Hilscher SYCON)

Vous trouverez d'autres informations concernant les pilotes E/S pris en charge ici : Prise en charge des pilotes d'E/S de zenon Logic

Enregistrement et désenregistrement de drivers en temps réel

Il peut arriver que le driver en temps réel du module RTK de zenon Logic doive être enregistré et désenregistré manuellement. Pour cela, démarrez l'invite de commande en sélectionnant :
Démarrer > Exécuter > cmd.

Utilisez la syntaxe suivante :

  • Enregistrer :

    <Dossier du module RTK de zenon Logic> :\ stratonrtkvm -regsrv

  • Désenregistrement :

    Répertoire du module RTK de zenon Logic> :\ stratonrtkvm -unregsrv

Exemple de <dossier du module RTK de zenon Logic > : %Programme (x86)%\COPA-DATA\zenon 760


Configuration du module RTK de zenon Logic

Manuel -> zenon Logic -> Runtime de zenon Logic (automate logiciel) -> Runtime de zenon Logic avec module Real Time Kernel (RTK) -> Configuration du module RTK de zenon Logic

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Le module Real Time Kernel (RTK) de zenon Logic s'exécute sous la forme d'une instance distincte sur le matériel, indépendamment du système d'exploitation. Les tic-tacs utilisés aux fins du contrôle sont obtenus directement depuis la carte mère. La disponibilité des horloges dépend du matériel utilisé. La configuration est exécutée par l'application de configuration du module RTK de zenon Logic.

Autres sujets abordés dans ce chapitre

Démarrer la configuration du module RTK

Informations de base du module RTK

Paramètres de base du module RTK

Gestionnaire de tâches du module RTK

Configuration matérielle du module RTK

Journaux RTK

Fermer la configuration du module RTK


Démarrer la configuration du module RTK

Manuel -> zenon Logic -> Runtime de zenon Logic (automate logiciel) -> Runtime de zenon Logic avec module Real Time Kernel (RTK) -> Configuration du module RTK de zenon Logic -> Démarrer la configuration du module RTK

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Double-cliquez sur le bouton de l'outil de configuration du module zenon Logic RTK dans le panneau de configuration de Windows.

Le volet de modification de la configuration s'ouvre. Dans le volet de gauche, vous verrez s'afficher une arborescence comportant les options suivantes :

  • CDrtHAL Configuration
  • Paramètres par défaut
  • Gestionnaire de tâches
  • Configuration matérielle
  • Accès à la mémoire physique :
  • LOG messages

Dans le volet de droit, vous pouvez voir des informations concernant les éléments de menu et configurer le module RTK.


Informations de base du module RTK

Manuel -> zenon Logic -> Runtime de zenon Logic (automate logiciel) -> Runtime de zenon Logic avec module Real Time Kernel (RTK) -> Configuration du module RTK de zenon Logic -> Informations de base du module RTK

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Après le démarrage, l'élément de menu Configuration CDrtHal est actif dans le volet gauche du logiciel de configuration. Le volet droit affiche des informations de base concernant la configuration et le système :

Propriété | Informations
Version | Version du pilote en temps réel (CDrtHAL).
États | Le module RTK est actif ou inactif
Interrupt controller | Type de contrôleur d'interruptions.
High precision event timer | La prise en charge dépend du matériel utilisé ;
Process cores | Nombre de cœurs de processus disponibles.


Paramètres de base du module RTK

Manuel -> zenon Logic -> Runtime de zenon Logic (automate logiciel) -> Runtime de zenon Logic avec module Real Time Kernel (RTK) -> Configuration du module RTK de zenon Logic -> Paramètres de base du module RTK

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Paramètres de base du module RTK

Dans les réglages de base, vous pouvez définir les paramètres suivants :

  • Source for the Timertick
  • Processeur sur lequel s'exécute le module RTK
  • Temps de base en tant que base du facteur de multiplication pour le calcul de la durée de cycle

Timer for real-time source

Le temps affiché sur la liste de sélection dépend du matériel utilisé. Ces informations sont également affichées sur la page de départ de configuration du module RTK. Par exemple :

  • Interrupt-Controller APIC
  • Interrupt-Controller PIC
  • HPET (High Precision Event Timer)

Il en résulte les possibilités suivantes :

  1. PIC without HPET
    • Timer (8254 Timer), temps de base : 334 µs, 143 µs, 112 µs, 53 µs
    • Profils (horloge en temps réel), temps de base : 488 µs, 244 µs, 122 µs
  2. APIC without HPET
    • Profils (horloge en temps réel), temps de base : 488 µs, 244 µs, 122 µs
    • Profils (APIC local), temps de base : choisissez une valeur comprise entre 50 et 500 µs
    • Unused (8254 Timer), temps de base : choisissez une valeur comprise entre 50 et 500 µs
  3. APIC without HPET
    • Timer (HPET timer), temps de base : 500 µs, 250 µs, 125 µs
    • Profils (APIC local), temps de base : choisissez une valeur comprise entre 50 et 500 µs
    • Unused (HPET Timer2), temps de base : choisissez une valeur comprise entre 50 et 500 µs

La disponibilité des temps de base dépend du matériel (horloge en temps réel) et du système d'exploitation. Lors de l'utilisation de la source en temps réel "horloge", la source des interruptions d'horloge Windows est utilisée aux fins de l'exécution en temps réel. Dans ce cas, le temps de base défini doit être un facteur entier du temps de base des interruptions d'horloge Windows.

real-time source (la source en temps réel) dépend du système d'exploitation sélectionné à l'aide de la liste déroulante.

Nous vous recommandons d'utiliser le réglage de base suivant : Unused (HPET Timer2).

Real-time CPU : Sélectionnez le processeur sur lequel doit s'exécuter le processus du module RTK.

Basic time : Le temps de base du tic-tac. En fonction de la source en temps réel, le temps de base peut être sélectionné dans une liste ou saisi librement. Durant le fonctionnement, le facteur de multiplication du tic-tac fait référence au temps de base saisi.

attention Attention

Lors de l'utilisation du profil : Real time source, la gestion de profils du noyau ne doit en aucun cas être activée lors de l'exécution de l'application du module RTK de zenon Logic. Pour plus d'informations concernant la gestion de profils du noyau, reportez-vous à la page : http://www.microsoft.com/downloads/details.aspx?familyid=9d467a69-57ff-4ae7-96ee-b18c4790cffd&displaylang=en


Gestionnaire de tâches du module RTK

Manuel -> zenon Logic -> Runtime de zenon Logic (automate logiciel) -> Runtime de zenon Logic avec module Real Time Kernel (RTK) -> Configuration du module RTK de zenon Logic -> Gestionnaire de tâches du module RTK

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Le gestionnaire de tâches affiche les temps de cycle et les durées d'exécution.

Propriété | Information
Temps de cycle (en microsecondes) | Valeur minimale, maximale et actuelle. Le cycle fait référence aux cycles des impulsions reposant sur le temps de base.
Durée d'exécution (en microsecondes) | Valeur minimale, maximale et actuelle.


Configuration matérielle du module RTK

Manuel -> zenon Logic -> Runtime de zenon Logic (automate logiciel) -> Runtime de zenon Logic avec module Real Time Kernel (RTK) -> Configuration du module RTK de zenon Logic -> Configuration matérielle du module RTK

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Un espace de stockage distinct réservé est nécessaire pour les communications avec les pilotes E/S (par ex. Profibus) qui sont exécutés dans le mode Noyau. Le module zenon Logic RTK et le système de pilote d'E/S conviennent d'une zone dans laquelle tous deux disposent d'un accès en lecture et en écriture.

La configuration propose trois paramètres :

Options | Effets
Generally prohibit access to the physical memory (Interdire généralement l'accès à la mémoire physique). | Les zones d'accès libre à la mémoire constituent une source de risque au regard des programmes malveillants. Par conséquent, l'accès à la mémoire physique est interdit par défaut. Réglage de base.
Generally allow access to the physical memory (Autoriser généralement l'accès à la mémoire physique). | Autorise les communications à utiliser toute la mémoire, et autorise le module zenon Logic RTK et Profibus à définir leurs zones de communication de manière aléatoire. Réglage peu sûr, non recommandé.
Autoriser l'accès à une zone définie de la mémoire physique. | . Le module zenon Logic RTK et le pilote d'E/S possèdent une zone de mémoire attribuée de manière stricte. Réglage recommandé

Autres sujets abordés dans ce chapitre

Define memory area (Définir la zone de mémoire)


Define memory area (Définir la zone de mémoire)

Manuel -> zenon Logic -> Runtime de zenon Logic (automate logiciel) -> Runtime de zenon Logic avec module Real Time Kernel (RTK) -> Configuration du module RTK de zenon Logic -> Configuration matérielle du module RTK -> Define memory area (Définir la zone de mémoire)

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Define memory area (Définir la zone de mémoire)

Pour attribuer une zone fixe de la mémoire à zenon Logic et au pilote d'E/S, cliquez sur Access to the physical memory (Accès à la mémoire physique) dans le volet gauche, puis sur Allow access to defined physical memory area (Autoriser l'accès à une zone définie de la mémoire physique) dans le volet de sélection droit.

Propriété | Information
Domaine | Le nombre est automatiquement attribué par l'outil de configuration.
Adresse de base | Adresse de début de la mémoire libre. Vous pouvez par exemple déterminer cela à l'aide de l'outil Hilscher Tool (fourni avec la carte).
Longueur | Longueur de la zone libre. Attention : doit être déclarée en octets.
Ajouter une zone | Crée une nouvelle entrée dans la liste.
Supprimer | Supprime une entrée existante de la liste.


Journaux RTK

Manuel -> zenon Logic -> Runtime de zenon Logic (automate logiciel) -> Runtime de zenon Logic avec module Real Time Kernel (RTK) -> Configuration du module RTK de zenon Logic -> Journaux RTK

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

RTK messages are shown in the Log messages.

Propriété | Informations
Date/heure | Quand l'événement s'est produit
Type | Quel type de message (état, erreur, ...)
Description | Que s'est-il passé ?


Fermer la configuration du module RTK

Manuel -> zenon Logic -> Runtime de zenon Logic (automate logiciel) -> Runtime de zenon Logic avec module Real Time Kernel (RTK) -> Configuration du module RTK de zenon Logic -> Fermer la configuration du module RTK

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Lorsque vous cliquez sur le bouton OK, toutes les modifications sont enregistrées et l'outil de configuration est fermé. Si le système doit redémarrer, un message correspondant est affiché.

Si vous fermez l'outil de configuration en cliquant sur le symbole "Fermer" (X) ou en cliquant sur Annuler, une boîte de dialogue apparaît, vous demandant si vous souhaitez enregistrer les modifications.


Gestion de l'écran bleu

Manuel -> zenon Logic -> Runtime de zenon Logic (automate logiciel) -> Runtime de zenon Logic avec module Real Time Kernel (RTK) -> Gestion de l'écran bleu

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Bluescreen of Death (BSOD) : Les écrans bleus (pannes de protection générale) sont immédiatement reconnus par le module zenon Logic RTK.

  • Si le module zenon Logic RTK est configuré pour s'arrêter en cas de BSOD, le programme d'arrêt - s'il est défini - est exécuté immédiatement, c'est à dire au cycle suivant.
  • If the zenon Logic RTK is configured to continue, the next cycle is executed after a minimum delay of approximately 10 [ms] (switching of the graphics mode).
    To achieve this, in the zenon Logic application, the zenon Logic RTK_OnBugCheck function must be added to the zenon Logic standard library with TRUE.

attention Attention

En cas d'écran bleu, l'exécution de l'application zenon Logic peut être limitée.

Les fonctions suivantes ne sont plus prises en charge lorsque cela se produit :

  • Opérations sur fichiers
  • Fonctions TCP
  • Fonctions de l'interface série
  • Non real-time field bus driver
  • System clock functions
  • RETAIN variables
  • Writing of log messages (the right to make changes due to product version cycles is reserved)

Pour vérifier si un écran bleu s'est produit dans l'application zenon Logic, utilisez la fonction RTK_IsBugCheck de zenon Logic.

Options pour le Maître Profibus (Hilscher CIF Profibus) :

No restart after stop (keeping outputs) (Pas de redémarrage après un arrêt [conservation des sorties]) : si cette option est active, les sorties des E/S Profibus restent définies après l'arrêt. Sinon les sorties sont forcées à la valeur de remplacement après la séquence d'arrêt.


Codes d'erreur au démarrage du module RTK de zenon Logic

Manuel -> zenon Logic -> Runtime de zenon Logic (automate logiciel) -> Runtime de zenon Logic avec module Real Time Kernel (RTK) -> Codes d'erreur au démarrage du module RTK de zenon Logic

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Le code d'erreur affiché se réfère au démarrage de STRATONRTKVM.exe.

Code d'erreur | Signification
0x00000000 | Si une erreur survient dans le module RTK de zenon Logic, l'erreur est normalement expliquée par un message. Le message avec le code d'erreur 0x00000000 peut être ignoré.
0xFFFFFFFF | Une expiration du délai d'attente s'est produite lors du démarrage de STRATONRTKVM.exe. Causes possibles : STRATONRTKVM.exe n'existe pas, charge trop importante du système. Attention : après cette erreur, assurez-vous que les processus STRATONRTKVM.exe et STRATONRTK.exe ne sont plus en train de s'exécuter (dans le Gestionnaire de tâches) avant de redémarrer STRATONRTK.
0x00000001 – 0x0000FFFF | Code d'erreur de la machine virtuelle de zenon Logic (message d'erreur de COPALP).
0xFFFF01, 0xFFFF02 | Erreur lors du chargement des drivers de bus non temps réel : version incompatible (ancienne) de l'un ou plusieurs driver(s) de bus.
0xFFFFF000 | Code d'erreur rtHAL (0xFFFFF000 est ajouté au code rtHAL)
0xFFFFF001 | Assurez-vous que le driver rtHAL a été correctement installé. Si le problème persiste, contacter le support de zenon et indiquez la version de Windows (Service pack, correctifs etc.) et le Windows HAL utilisé. Le nom du HAL utilisé est montré dans le gestionnaire de périphériques sous ordinateur. Configuration système requise : ACPI, Pentium II ou AMD Athlon ou plus.

Codes d'erreur rtHAL

0x0

pas d'erreur

Codes d'erreur possibles lors du démarrage

Code d'erreur | Signification
0x1 | Erreur de chargement du driver. Cause : le driver n'est pas enregistré correctement.
0x2 | START n'a pas pu être exécuté. Raison : une version incorrecte du driver est installée.

Codes d'erreur pendant le Runtime

Code d'erreur | Signification
0x6 | SUSPEND n'a pas pu être exécuté.
0x7 | STOP n'a pas pu être exécuté.

Codes d'erreur internes de la machine virtuelle de zenon Logic

T5RET_OK 0
T5RET_ERROR 1
T5RET_BADCODE 2 invalid app code - bad header
T5RET_BADCODETARGET 3 invalid code - bad target id
T5RET_BADCODEVERSION 4 invalid code - bad version
T5RET_EXECSIZE 5 exec buffer overflow
T5RET_BADREQUEST 6 unknown comm request
T5RET_SERVEREAD 7 cannot process read request
T5RET_UNKNOWNTIC 8 unknocn tic code
T5RET_DATA8OVERFLOW 9 too many DATA8 used
T5RET_DATA16OVERFLOW 10 too many DATA16 used
T5RET_DATA32OVERFLOW 11 too many DATA32 used
T5RET_DIVZERO 12 division by 0 in TIC (32bit)
T5RET_TIMEOVERFLOW 13 too many TIME variables
T5RET_CANTACTIME 14 active timers not supported
T5RET_SAFETICLOOP 15 awful loop in TIC (safe mode)
T5RET_OUTOFTIC 16 TIC code ointer out of range
T5RET_UNKNOWNSTF 17 not supported std function
T5RET_LDIVZERO 18 division by 0 in TIC (64bit)
T5RET_DATA64OVERFLOW 19 too many DATA64 used
T5RET_STRINGOVERFLOW 20 too many strings
T5RET_SDIVZERO 21 division by zero in TIC (8 bit)
T5RET_WDIVZERO 22 division by zero in TIC (16 bit)
T5RET_HOTRESOURCES 23 HOT restart: system resources used
T5RET_HOTMAP 24 invalid var map in hot restart
T5RET_HOTACTIME 25 change of active timer map
T5RET_HOTSTAMP 26 bad build stamp for hot restart
T5RET_HOTSFC 27 SFC changed - no hot restart!
T5RET_HOTRETAIN 28 retain def has changed - no hot
T5RET_HOTFORMAT 29 bad DB format - no hot restart!
T5RET_CYCLEOVERFLOW 30 cycle time overflow
T5RET_RETAINSTORING 31 cant store retain variables
T5RET_ARRAYBOUND 32 array index out of bounds
T5RET_RECURSE 33 recursive call of sub-program
T5RET_XVOVERFLOW 34 too many external variables used
T5RET_NOBSAMPLING 35 sampling trace not supported
T5RET_TASKOVERFLOW 36 too many tasks
T5RET_HOTCALLSTACK 37 call stack overflow (hot)
T5RET_STACKOVER 38 stack overlow
T5RET_HOTASI 39 cannot hot restart ASi
T5RET_TOXC 40 OXC limit reached
T5RET_WOXC 41 OXC info


Redondance de zenon Logic et zenon

Manuel -> zenon Logic -> Runtime de zenon Logic (automate logiciel) -> Redondance de zenon Logic et zenon

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

zenon Logic peut être utilisé de manière redondante et offre la possibilité d'associer la redondance de zenon à la redondance de zenon Logic.

Dans ce chapitre, la configuration de la redondance zenon/zenon Logic est décrite. La fonction de redondance de zenon/>CA_PRODUCTNAME< sera appelée redondance logique SCADA ci-après.

Autres termes :

  • Serveur zenon = serveur zenon dominant
  • Serveur redondant de zenon = serveur redondant de zenon
  • Runtime zenon Logic actif = Instance du Runtime de zenon Logic en cours d'exécution
  • Runtime zenon Logic passif = Système de secours (redondant) du Runtime de zenon Logic

Systèmes d'exploitation

You can find information on supported operating systems in the zenon Logic Runtime chapter, Supported systems section.

Limitations

La redondance n'est pas pris en charge dans le module RTK Runtime de zenon Logic.

Autres sujets abordés dans ce chapitre

Conditions requises

Configuration de la redondance


Conditions requises

Manuel -> zenon Logic -> Runtime de zenon Logic (automate logiciel) -> Redondance de zenon Logic et zenon -> Conditions requises

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Deux PC sont nécessaires pour obtenir la redondance logique SCADA. Les deux ordinateurs sont connectés via un réseau Ethernet TCP/IP (100 MBit, 1 Gbit recommandé).

attention Attention

La redondance logique SCADA nécessite que les deux systèmes, zenon et zenon Logic, soient installés sur un PC.

Nous vous recommandons de définir le temps de cycle du projet zenon Logic sur une valeur deux fois supérieure au temps de cycle d'un projet unique, mais à 50 ms au moins.

Since SCADA logic assumes that zenon Logic and zenon communicate with each other using the Logicto SCADA driver, it must be ensured that the zenon server and the active zenon Logic Runtime run on the same PC.

Pour empêcher une commutation unilatérale depuis zenon Logic ou zenon, une synchronisation entre le Runtime zenon Logic et le Runtime zenon doit être développée. Une commande de surveillance est utilisée à cette fin.

Module de surveillance

zenon Logic

The status of the zenon project (standalone/server/standby server/client) is transferred via the Logic to SCADA connection and is evaluated by the redundancy function block. Il comporte une valeur d'expiration de délai d'attente librement définissable en tant qu'entrée. La sortie fournie indique les valeurs binaires de la fonction de commutation de redondance, ainsi que les états d'activité, d'inactivité et de défaillance du Runtime, etc. Ils déterminent la réaction du Runtime de zenon Logic.

zenon

A watchdog generated by the zenon Runtime driver is transferred using the Logic to SCADA connection and evaluated in zenon. Cette évaluation se déroule conformément aux paramètres des propriétés Reconnaissance de défaut après [s] et Fonction pour la reconnaissance du défaut. Ces derniers définissent un délai d'expiration de délai d'attente et une fonction (normalement, Arrêter le Runtime).

Pour que le module de surveillance correct soit évalué, il doit être clairement défini pour les différents projets actifs de zenon Logic depuis lesquels provient le module de surveillance zenon Logic. If zenon Logic is started manually, by means of a zenon function, batch file or command line, the zenon project name (ZENPROJECT=<Name>) must also be given as a transfer parameter.

attention Attention

Le démarrage du Runtime zenon ne doit pas être effectué depuis l'Éditeur zenon, mais au moyen d'un appel direct depuis le Runtime zenon !

La redondance zenon doit être configurée. Détails : voir le chapitre d'aide Réseau.


Configuration de la redondance

Manuel -> zenon Logic -> Runtime de zenon Logic (automate logiciel) -> Redondance de zenon Logic et zenon -> Configuration de la redondance

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

zenon Logic et zenon peuvent se contrôler mutuellement de manière redondante à l'aide d'une horloge de surveillance. En cas de défaillance du Runtime de zenon Logic :

  • Le Runtime local de zenon est également fermé
  • Les deux systèmes basculent en mode de redondance

Réglages dans zenon

Pour activer la redondance :

  • Activez la propriété Opération redondante dans le groupe Runtime des propriétés du projet zenon Logic de <CD_PRODUCTNAME.>
  • Définissez :
    • Reconnaissance de défaut après [s]
    • Fonction pour la reconnaissance du défaut

Configuration dans zenon

Les paramètres de redondance se trouvent sur l'onglet Redondance du Runtime de zenon Logic.

Module de surveillance

Le module de surveillance permet à chaque partie de surveiller les modifications de compteur déclenchées par l'autre partie. Si le compteur d'une heure projetée n'est pas modifié, cet événement est signalé au programme :

  • zenon : une fonction configurée dans un projet intégré est exécutée (Fonction pour la reconnaissance du défaut)
  • zenon Logic : une sortie de bloc fonctionnel devient active

L'examen de l'horloge de surveillance démarre dès que l'autre partie change son horloge de surveillance pour la première fois. Cela est indispensable, car le délai est nécessaire au démarrage du système, ou il n'est pas nécessaire que le Runtime de zenon Logic démarre avec le Runtime de zenon.

info Informations

Si le Runtime de zenon Logic est démarré manuellement, les paramètres de ligne de commande suivants doivent être saisis :

  • Chemin de zenon :

    ZENPATH=<Chemin>

  • Nom du projet zenon :

    ZENPROJECT=<nom>

  • Informations concernant le projet en réseau zenon :

    REDENABLE=<0,1>

    REDZENON=<0,1>

Horloge de surveillance dans zenon

zenon contrôle l'horloge de surveillance de zenon Logic dans les cas suivants :

  • Le Runtime de zenon Logic exécute un code, le délai d'attente est <> 0 et le Runtime peut être attribué à un projet zenon Logic intégré
  • Le Runtime de zenon Logic est arrêté
  • Le Runtime de zenon Logic est passif ou démarré de manière passive
  • Le Runtime de zenon Logic est arrêté, alors qu'il était précédemment passif ou actif

Fonction d'identification des défaillances

Avec la propriété Fonction pour la reconnaissance du défaut, une fonction est sélectionnée et exécutée dès que le délai d'attente défini dans Reconnaissance de défaut après [s] pour l'horloge de surveillance a expiré. L'horloge de surveillance est uniquement vérifiée à nouveau en cas de nouvel enregistrement du Runtime.

Si une fonction provenant d'un autre projet est utilisée, le projet doit déjà avoir été chargé lors du chargement du projet comportant le projet zenon Logic intégré.

Journalisation

La connexion au driver zenRT de zenon Logic peut être consignée à l'aide de l'outil Diagnosis Viewer. Le nom du module est zenon Logic. Chaque message contient le nom du projet zenon et le nom du projet zenon Logic. La journalisation inclut les informations suivantes :

  • Erreur
    • zprj:<z-projekt> sprj:<s-projekt> Runtime <ID de procédé du Runtime> watchdog expired.
      L'horloge du Runtime n'a plus été actionnée par le Runtime depuis trop longtemps.
    • zprj:<z-projekt> sprj: <s-projekt> Runtime: <ID de procédé du Runtime> Unknown zenon Logic project.(Projet straton inconnu).
      Le projet zenon Logic ne peut pas être attribué à un projet zenon intégré.
  • Avertissements
    • vm: <Vm-Prozess-ID> zenon project '<Name>' unknown
      Le nom du projet zenon Logic est inconnu dans zenon.

Horloge de surveillance dans le Runtime de zenon Logic

Les considérations suivantes s'appliquent à la commande de surveillance de zenon Logic :

  • La commande de surveillance de zenon est contrôlée régulièrement, tant que le délai d'attente avant expiration du paramètre de reconnaissance de défaillance de zenon est de <>0.
    Cette vérification a lieu dans les conditions suivantes :
    • Un code est exécuté
    • Le Runtime est actif ou passif

Bloc fonctionnel zenrt_Red et RedSwitch

Dans zenon Logic, les blocs fonctionnels permettent de vérifier si une connexion à un serveur zenon, et vous permettant de modifier l'état de zenon Logic si nécessaire.

Le bloc fonctionnel zenrt_Red contrôle, via les informations d'expiration du délai d'attente du driver straton_to_zenon_Runtime_Connection, si zenon Logic est connecté à un serveur de zenon. Si ce n'est pas le cas, vous pouvez basculer l'instance de zenon Logic concernée vers inactive à l'aide du bloc fonctionnel RedSwitch, et basculer le serveur redondant en mode actif.

Pour plus d'informations concernant les blocs fonctionnels, reportez-vous à l'aide en ligne de zenon Logic.

Gestion du temps dans le bloc fonctionnel zenrt_Red

Le nombre de tentatives de commutation est comptabilisé dans le cycle de délai d'attente Si le projet Runtime de zenon Logic ne peut pas être attribué à un projet réseau de zenon, le délai d'expiration du réseau (propriété Timeout [s] dans le groupe Réseau) est ajouté au délai d'identification de la défaillance (propriété Reconnaissance de défaut après [s]). Le temps d'activité de la sortie ERROR n'est désormais plus MAX_SWITCH * cycle, mais MAX_SWITCH * délai d'attente [+ délai d'attente du réseau].

L'ordinateur non dominant, ne gérant pas les procédés, sur lequel s'exécute zenon, est considéré comme un serveur redondant.
L'ordinateur dominant ne traitant pas le procédé (le serveur démarre comme un ordinateur redondant) n'est pas considéré comme un ordinateur redondant.


Spécification OEM

Manuel -> zenon Logic -> Runtime de zenon Logic (automate logiciel) -> Spécification OEM

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Dans cette spécification OEM, les possibilités du Runtime zenon Logic de COPA-DATA sont décrites ; elles sont également mentionnées dans l'aide relative au module zenon Logic Workbench (reportez-vous à la section Spécification OEM).

Configuration (Propriétés du projet)

En série, le module zenon Logic Workbench contient plusieurs fonctions et une vaste bibliothèque de fonctions et de blocs fonctionnels. En fonction de la configuration du Runtime, il est possible que certains blocs ou fonctions ne soient pas disponibles. Par conséquent, il est possible de sélectionner des configurations pour le module Workbench, afin de mettre en évidence les fonctions qui ne sont pas prises en charge par le Runtime.

The respective configuration of Runtime can be loaded in the zenon Logic workbench. To do this, select the Configuration entry in the Workbench in the context menu of the loaded project.

Fonction de gestion de fichiers (blocs fonctionnels)

Cette fonction permet de lire et écrire des fichiers de manière séquentielle.

Les fonctions suivantes sont prises en charge par les versions suivantes du Runtime zenon Logic :

  • CE
  • RT (PC)
  • RTK (PC)

et sont mises en œuvre sans blocage des éléments suivants :

F_ROPEN, F_WOPEN, F_AOPEN, F_CLOSE, F_EOF, FA_READ, FA_WRITE, FM_READ, FM_WRITE, FB_READ, FB_WRITE, F_EXIST, F_GETSIZE, F_COPY, F_DELETE, F_RENAME, LogFileCSV

Les fonctions suivantes sont uniquement prises en charge par les versions suivantes du Runtime zenon Logic :

  • CE
  • RT (PC)

et sont mises en œuvre sans blocage des éléments suivants :

F_EXIST, F_GETSIZE, F_COPY, F_DELETE, F_RENAME

Les chemins possibles varient en fonction du système d'exploitation. Notez que certains dossiers sont protégés en écriture si la fonction UAC (User Account Control) est activée.

Exécution de SFC

L'exécution du programme SFC est équivalente à celle d'un système cible T5 standard et se conforme aux informations de l'aide du module zenon Logic Workbench.

L'exclusivité des transitions au sein d'une divergence est prise en charge.

Applications d'interliaison - Binding

Au maximum, 65 535 variables de liaison peuvent être publiées sur le réseau. Toutefois, cette valeur est réduite avec chaque variable transmise à zenon à l'aide du service d'événements.

Le numéro de port IP standard d'un Runtime zenon Logic est 9000.

Propriétés du projet - Compilateur "C"

Cette fonction est prise en charge par tous les systèmes cibles zenon Logic (RT, CE, RTK). Tous les compilateurs C normalement proposés par le module zenon Logic Workbench peuvent être utilisés. Attention : Utilisez uniquement le nom par défaut de la DLL de Runtime créée.

LogFileCSV (bloc fonctionnel)

Reportez-vous au premier point : fonction de gestion de fichiers (blocs fonctionnels).

Autres fonctions et caractéristiques OEM d'intérêt :

Fonction | RT (PC) | RTK (PC) | CE
DTAT (bloc fonctionnel) | x | x | x
Fonctions de gestion TCP/IP | x | x | x
Fonction d'attribution de mémoire dynamique | x | x | x
PrintF (Fonction) | x | x | x
Step by Step Debugging | x | x | x
Fonctions de gestion d'horloge en temps réel | x | x | x
Enregistrement et échantillonnage numériques | x | x | x
Fonction de gestion UDP | x | x | x
Fonctions de gestion du registre T5 | - | - | -
DTFORMAT (Fonction) | x | x | x
GETSYSINFO (fonction) - _SYSINFO_CYCLESTAMP_MS | x | x | x
Bits d'état variables | x | -1 | x
DAY_TIME (Fonction) | x | x | x
SET_DAY_TIME Fonction 2 | x | - | x

Légende :

  • x : prise en charge
    • 1 : les pilotes prenant en charge les bits d'état variables sont uniquement émulés ou ne sont pas pris en charge par le module zenon Logic RTK. Par conséquent, aucun accès n'est accord aux bits d'état ou aux horodatages.
    • 2 : zenon utilise l'heure UNIX au niveau interne. Par conséquent, seules les heures système valides sont autorisées (0-MAXDINT à partir de 1.1.1970 0:00 GMT). Les données faisant référence à une heure antérieure affectent le fonctionnement du Runtime de zenon.
  • -: Indisponible

Variables RETAIN (= drapeaux rémanents)

Les variables de retenue sont enregistrées à l'emplacement d'enregistrement défini - normalement dans le chemin de l'instance (paramètre de transfert PATH) - lors de l'arrêt ou de la fermeture normale du Runtime. En fonction du système, il peut s'agir du disque dur ou d'une carte flash.

Avec la fonction "WriteHot", les données de retenue et les données de redémarrage à chaud peuvent être enregistrées de manière explicite, par exemple après chaque modification ou de manière cyclique.

Certains pilots d'E/S de zenon Logic prennent en charge l'enregistrement des valeurs RETAIN dans la SRAM (RAM alimentée par pile).

Pour que les valeurs RETAIN soient chargées lors du redémarrage de l'application de l'automate, le Runtime zenon Logic doit être démarré avec les paramètres et réglages de transfert correspondants (démarrage à froid - charger les variables RETAIN).

Vous trouverez des informations concernant la configuration des données Retain dans le Runtime de zenon Logic au chapitre Paramètres/Informations générales.

Drivers d'E/S.

Vous trouverez d'autres informations concernant les pilotes E/S pris en charge ici : Prise en charge des pilotes d'E/S de zenon Logic

Vous trouverez d'autres informations concernant la prise en charge des modifications en ligne ou des redémarrages à chaud ici : Pilotes d'E/S de zenon Logic : Redémarrage à chaud/Modification en ligne

Autres sujets abordés dans ce chapitre


Transmission des informations d'horodatage et d'état des variables

Manuel -> zenon Logic -> Runtime de zenon Logic (automate logiciel) -> Transmission des informations d'horodatage et d'état des variables

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

À partir de la version 6.22 SP1 Build 3, le Runtime de zenon Logic transmet automatiquement les informations d'horodatage et d'état des variables du driver d'E/S de zenon Logic au gestionnaire d'événements du Runtime de zenon Logic et ainsi, via straton32, à zenon. Par conséquent, dans zenon (par exemple, liste CEL), les informations d'horodatage de la source (driver d'E/S, esclave ou serveur) sont affichées, et non les informations d'horodatage du Runtime de zenon Logic.

Les conditions préalables suivantes doivent être remplies :

  • La variable doit comporter des informations d'horodatage dans le driver d'E/S de zenon Logic. Selon le protocole, certains drivers ne fournissent pas d'informations d'horodatage.
  • Le projet zenon Logic doit avoir été compilé et chargé alors que l'indicateur Create status bit for variable with profile (Créer un bit d'état pour la variable avec le profil) était activé.

Aperçu de la transmission des informations d'horodatage :


Prise en charge des pilotes d'E/S de zenon Logic

Manuel -> zenon Logic -> Runtime de zenon Logic (automate logiciel) -> Prise en charge des pilotes d'E/S de zenon Logic

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Pilotes d'E/S pris en charge par différents types de Runtime de zenon Logic :

Drivers | RT (PC) | RTK (PC) | CE
Advantech ADAM 5550 | -- | -- | --
Anybus Konfiguration | X | E | --
ApplicomIO Konfiguration | X | E | --
AS-interface | X | -- | --
BECKHOFF CX1000 | -- | -- | x
Brodersen IOTOOLS | X | E | --
CAN-bus | -- | -- | --
Hilscher CIF Profibus | X | X1 | X
Hilscher SYCON Konfiguration | X | E | X2
Hilscher SYCON Konfiguration [universal] | X | X | X
Hilscher SYCON.net Konfiguration | X | E | --
IEC 60870 Slave | X | -- | X
IEC 61850 Client | X | E1 | X
IEC 61850 Server | X | -- | X
Interbus-S | X | E | --
MODBUS Master Protokoll | X | E | X
MODBUS Slave Protokoll | X | E | X
PROFINET IO | X | E | X
SoftNet ProfibusDP | X | E | --
Logic zu SCADA Verbindung | X | -- | X
ThinkIO/IO System 758 | -- | -- | X
Wago 750-860 | -- | -- | --
Weihenstephan Standard - Client | X | E | X
Win32 Shared memory | X | -- | --
XFlow | -- | -- | --

Légende

  • X : entièrement pris en charge
  • --: Indisponible
  • E: exécuté sous forme d'émulation (diminution des performances possibles, déterminisme limité dans le cycle de l'automate, sélection du driver en cas d'écran bleu)
    • 1 : les blocs fonctionnels spécifiques du driver ne sont pas compatibles avec le module RTK de zenon Logic.
    • 2 : Les DLL Hilscher doivent être disponibles sur la plate-forme cible.


Pilotes d'E/S de zenon Logic : Redémarrage à chaud/Modification en ligne

Manuel -> zenon Logic -> Runtime de zenon Logic (automate logiciel) -> Pilotes d'E/S de zenon Logic : Redémarrage à chaud/Modification en ligne

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Les pilotes d'E/S de zenon Logic prennent en charge le redémarrage à chaud et/ou la modification en ligne de différentes manières :

Drivers | Redémarrage à chaud | Modification en ligne | Modification en ligne avec modification de la configuration du driver de bus
Anybus Konfiguration | X | X | X1
ApplicomIO Konfiguration | X | X | X1
AS-interface | X | X | X1
BECKHOFF CX1000 | X | X | --
Brodersen IOTOOLS | X | X | X1
Hilscher CIF Profibus | X | X | --
Hilscher SYCON Konfiguration | X | X | X1
Hischer SYCON Konfiguration [universal] | X | X | X1
Hilscher SYCON.net Konfiguration | X | X | X1
IEC 61850 Client | X | X | --
Interbus-S | X | X | --
MODBUS Master Protokoll | X | X | X1
MODBUS Slave Protokoll | X | X | X1
PROFINET IO | X | X | --
SoftNet ProfibusDP | X | X | X1
straton zu zenon Runtime Verbindung | X | X | --2
ThinkIO/IO System 758 | X | X | --
Weihenstephan Standard - Client | X | X | X1
Win32 Shared memory | X | X | X1

Légende

  • X : Fonctionnalité disponible
  • --: Fonctionnalité indisponible
    • 1 : la modification en ligne avec modification de la configuration du driver de bus est toujours suivie de la réinitialisation du driver d'E/S. Suite à la réinitialisation, il est possible que les E/S soient défaillantes pendant une courte période !
    • 2 : il n'est pas nécessaire de modifier la configuration du driver de bus.


Message d'erreur

Manuel -> zenon Logic -> Runtime de zenon Logic (automate logiciel) -> Message d'erreur

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Les erreurs durant l'exécution sont consignées dans le fichier journal.

Message d'erreur | Description
General error. | Erreur ne pouvant pas être spécifiée davantage.
Invalid application code - bad header. | Le fichier STRATON.cod n'est pas valide. En-tête non valide.
Invalid application code - bad target ID. | Le fichier STRATON.cod n'est pas valide. ID de cible non valide.
Invalid application code - bad version. | Le fichier STRATON.cod n'est pas valide. Version non valide.
Unknown communication request. | L'hôte et le Runtime ne sont pas compatibles (protocole T5).
Cannot process read request. | La requête de communication entrante ne peut pas être traitée.
Unknown TIC code. | Instruction non valide dans le fichier straton.cod.
Too many DATA8 used. | Trop de variables SINT/USINT utilisées.
Too many DATA16 used. | Trop de variables INT/UINT utilisées.
Too many DATA32 used. | Trop de variables DINT/UDINT/REAL utilisées.
Division by 0 in TIC (32bit). | Division par 0 dans la logique d'automate de l'utilisateur.
Too many TIME variables. | Dépassement de capacité de la mémoire pour la modification en ligne.
Infinite loop in TIC (safe mode). | Boucle non fermée dans le code de l'application.
Standard function used, which is not supported by this runtime. | La logique d'automate de l'utilisateur fait référence à une fonction indisponible dans cette version du Runtime.
Division by 0 in TIC (64bit). | Division par 0 dans la logique d'automate de l'utilisateur.
Too many DATA64 used. | Trop de variables LINT/LREAL utilisées.
Too many strings. | Dépassement de capacité de la mémoire pour la modification en ligne.
Division by zero in TIC (8 bit). | Division par 0 dans la logique d'automate de l'utilisateur.
Division by zero in TIC (16 bit). | Division par 0 dans la logique d'automate de l'utilisateur.
HOT restart: System resources used. | Redémarrage à chaud impossible.
Invalid variable map in hot restart. | Redémarrage à chaud impossible.
Bad build stamp for hot restart. | Redémarrage à chaud impossible. Version de straton.cod non valide.
SFC changed - no hot restart! | Redémarrage à chaud impossible.
Retain definition has changed - no hot restart. | Redémarrage à chaud impossible.
Bad DB format - no hot restart! | Redémarrage à chaud impossible.
Cycle time overflow. | Dépassement de la durée du cycle. Pour plus de détails, reportez-vous à la section Messages d'erreur relatifs à la durée de cycle.
Can not store retain variables. | Mémoire insuffisante pour ordonner l'enregistrement de la variable de retenue.
Array index out of bounds. | Accès à un indice d'ensemble non valide.
Recursive call of sub-program. | Un sous-programme s'appelle lui-même.
Too many external variables used. | Dépassement de capacité de la mémoire pour la modification en ligne.
Too many tasks. | Dépassement de capacité de la mémoire pour la modification en ligne.
Call stack overflow (hot). | Dépassement de capacité de la mémoire pour la modification en ligne.
Stack overflow. | Trop d'appels de sous-programmes complexes.
Can not hot restart (ASi). | Redémarrage à chaud impossible (driver de bus Asi).
Online change not supported. | Modification en ligne impossible.
Online change failed - Bad code. | Modification en ligne impossible. Version de straton.cod non valide.
Online change - Not the same application. | Modification en ligne impossible.
Online change failed - IO drivers. | Modification en ligne impossible.
Online change failed - CT segment changed. | Modification en ligne impossible.
Online change failed - bus drivers. | Modification en ligne impossible. Le driver de bus n'autorise pas la modification en ligne.
Online change failed - variable map / profiles. | Modification en ligne impossible.
Online change failed - tasks. | Modification en ligne impossible.
Online change failed - MODBUS. | Modification en ligne impossible.
Online change failed - CAN bus. | Modification en ligne impossible.
Online change failed - event production. | Modification en ligne impossible.
Online change failed - change D8 alloc. | Modification en ligne impossible.
Online change failed - change D16 alloc. | Modification en ligne impossible.
Online change failed - change D32 alloc. | Modification en ligne impossible.
Online change failed - change D64 alloc. | Modification en ligne impossible.
Online change failed - change TMR alloc. | Modification en ligne impossible.
Online change failed - change STR alloc. | Modification en ligne impossible.
Online change failed - change FBI alloc. | Modification en ligne impossible.
Online change failed - change CFC alloc. | Modification en ligne impossible.
Online change failed - change XV alloc. | Modification en ligne impossible.
Online change failed - STR buff size. | Modification en ligne impossible.
Online change failed - STR length. | Modification en ligne impossible.
Online change failed - FBI buffer. | Modification en ligne impossible.
Online change failed - FBI changed. | Modification en ligne impossible.
Online change failed - Program style. | Modification en ligne impossible.
Online change failed - Number of programs. | Modification en ligne impossible.

Durée du cycle des messages d'erreur

En cas de dépassement de la durée du cycle (cycle time), les messages sont affichés dans le Runtime ou l'espace de travail de zenon Logic, et les entrées correspondantes sont écrites dans le fichier journal.

Message d'erreur de l'interface utilisateur | Entrée de fichier journal | Signification
Timing configuration error. (x) cycles lost. | Timing configuration error. (x1) cycles lost. Configured cycle time = (x2) us, maximum execution time = (x3) us, maximum PLC utilisation = (x4). | Nombre (x) de cycles non exécutés en raison de l'expiration du délai d'attente. Le délai d'exécution est supérieur à la durée de cycle définie, ou les ressources de processeur sont indisponibles.
Timing configuration error. PLC utilization peaked at (x)%. | Timing configuration error. PLC utilization exceeds 80%. Configured cycle time = (x1) us, maximum execution time = (x2) us, maximum PLC utilisation = (x3)%." | Le délai d'exécution est supérieur à 80 % de la durée de cycle définie ; actuellement (x) %.

Dépannage

You can rectify the cycle time being exceeded by:

  • Increasing the cycle time
  • En réduisant le délai d'exécution, par exemple :
    • En utilisant un système doté de ressources de processeur plus importantes
    • En utilisant un code C compilé
    • En réduisant le programme


zenon Logic Runtime Manager

Manuel -> zenon Logic -> zenon Logic Runtime Manager

zenon Logic Runtime Manager gère tous les projets de Runtime zenon Logic, qui peuvent être autonomes ou doivent être démarrés manuellement, présents sur votre ordinateur. Peu importe qu'un Runtime zenon soit installé ou non sur l'ordinateur.

Autres sujets abordés dans ce chapitre

Pourquoi devez-vous utiliser zenon Logic Runtime Manager ?

Menu principal

Aide des propriétés


Pourquoi devez-vous utiliser zenon Logic Runtime Manager ?

Manuel -> zenon Logic -> zenon Logic Runtime Manager -> Pourquoi devez-vous utiliser zenon Logic Runtime Manager ?

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
  • Si vous avez créé votre projet zenon Logic dans zenon et avez défini la propriété zenon déterminant le type de démarrage de projet de Runtime zenon Logic sur Démarrer manuellement, zenon Logic Runtime Manager est l'outil idéal pour organiser les paramètres de démarrage manuel.
  • Si vous voulez démarrer votre projet de Runtime zenon Logic durant le démarrage du système d'exploitation Windows, vous pouvez définir ceci d'un simple clic dans zenon Logic Runtime Manager.
  • Si vous voulez réorganiser votre projet zenon Logic, vous pouvez le faire avec zenon Logic Runtime Manager.
  • Si vous voulez exécuter le Runtime zenon Logic de manière autarchique (sans le Runtime zenon), nous vous recommandons d'invoquer l'instance du Runtime zenon Logic à l'aide de zenon Logic Runtime Manager.


Menu principal

Manuel -> zenon Logic -> zenon Logic Runtime Manager -> Menu principal

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
  • Configurations : ici, vous pouvez gérer les projets de Runtime zenon Logic.
  • Langues : ici, vous pouvez sélectionner différentes langues en ligne.
  • Paramétrage : saisissez le chemin d'accès au Runtime zenon Logic.
  • %: ouvre l'aide.
  • Quitter : quitte le programme - Conseil : n'oubliez pas d'enregistrer les paramètres avant de quitter zenon Logic Runtime Manager !


Aide des propriétés

Manuel -> zenon Logic -> zenon Logic Runtime Manager -> Aide des propriétés

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Positionnez le pointeur de la souris sur un élément dans zenon Logic Runtime Manager pour afficher le texte d'aide correspondant dans l'aide des propriétés.

En outre, tous les éléments de zenon Logic Runtime Manager sont décrits ici :

Autres sujets abordés dans ce chapitre

Liste de configurations

Dossier de projets zenon Logic

Nom de la configuration

Port (Main) (Principal)

Port (Binding) (Liaison)

Démarrage

Démarrer en mode cycle à cycle

Priorité en temps réel de Windows

Hard real time (Temps réel de l'automate)

Sortie du rapport

Démarrage auto

Bouton "Nouveau"

Bouton Édition

Bouton Enregistrer

Bouton Supprimer

Bouton Démarrer

Runtime zenon Logic (paramètres)

Sélection des langues

Show splash screen (Afficher l'écran de démarrage) (paramètre)


Liste de configurations

Manuel -> zenon Logic -> zenon Logic Runtime Manager -> Aide des propriétés -> Liste de configurations

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Cette liste contient toutes les configurations disponibles pour le Runtime zenon Logic.

  • Cliquez sur une entrée dans la liste pour en afficher les paramètres.
  • Cliquez ensuite sur Édition pour modifier les paramètres.
  • Cliquez sur le bouton Enregistrer pour enregistrer les modifications.


Dossier de projets zenon Logic

Manuel -> zenon Logic -> zenon Logic Runtime Manager -> Aide des propriétés -> Dossier de projets zenon Logic

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Le chemin d'accès sélectionné au projet de Runtime zenon Logic (emplacement de stockage du code de l'automate) est automatiquement saisi ici. Vous pouvez modifier cette entrée manuellement ou en cliquant avec le bouton gauche sur le symbole du dossier.

info Informations

Avant de pouvoir modifier un paramètre que vous avez déjà enregistré, vous devez d'abord sélectionner la configuration concernée dans la liste. Ensuite, cliquez sur le bouton Édition. Pour enregistrer les modifications, cliquez sur le bouton Enregistrer.


Nom de la configuration

Manuel -> zenon Logic -> zenon Logic Runtime Manager -> Aide des propriétés -> Nom de la configuration

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Le nom du dernier chemin des fichiers du Runtime zenon Logic est défini automatiquement si une nouvelle configuration est créée. Vous pouvez modifier ce nom librement.

info Informations

Avant de pouvoir modifier un paramètre que vous avez déjà enregistré, vous devez d'abord sélectionner la configuration concernée dans la liste. Ensuite, cliquez sur le bouton Édition. Pour enregistrer les modifications, cliquez sur le bouton Enregistrer.


Port (Main) (Principal)

Manuel -> zenon Logic -> zenon Logic Runtime Manager -> Aide des propriétés -> Port (Main) (Principal)

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Définissez le port principal pour l'instance du Runtime zenon Logic. Ce port définit la connexion de l'espace de travail zenon Logic et des drivers zenon. Par défaut, ce port est défini sur 1200.

info Informations

Avant de pouvoir modifier un paramètre que vous avez déjà enregistré, vous devez d'abord sélectionner la configuration concernée dans la liste. Ensuite, cliquez sur le bouton Édition. Pour enregistrer les modifications, cliquez sur le bouton Enregistrer.


Port (Binding) (Liaison)

Manuel -> zenon Logic -> zenon Logic Runtime Manager -> Aide des propriétés -> Port (Binding) (Liaison)

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Définissez le port de liaison pour l'instance du Runtime zenon Logic. Le port de liaison définit la connexion pour les communications TCP/IP vers d'autres Runtime zenon Logic. Par défaut, ce port est défini sur une valeur plus élevée de 7800 que le port principal.

info Informations

Avant de pouvoir modifier un paramètre que vous avez déjà enregistré, vous devez d'abord sélectionner la configuration concernée dans la liste. Ensuite, cliquez sur le bouton Édition. Pour enregistrer les modifications, cliquez sur le bouton Enregistrer.


Démarrage

Manuel -> zenon Logic -> zenon Logic Runtime Manager -> Aide des propriétés -> Démarrage

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Définissez le comportement au démarrage de l'instance de Runtime zenon Logic.

  • Cold start
    Le Runtime zenon Logic démarre après initialisation des variables.
  • Cold start (load RETAIN variables)
    Die zenon Logic Runtime starts initialized with remanent markers.
  • Hot restart
    Le Runtime zenon Logic démarre avec les valeurs de variable provenant du dernier arrêt du Runtime.

info Informations

Avant de pouvoir modifier un paramètre que vous avez déjà enregistré, vous devez d'abord sélectionner la configuration concernée dans la liste. Ensuite, cliquez sur le bouton Édition. Pour enregistrer les modifications, cliquez sur le bouton Enregistrer.


Démarrer en mode cycle à cycle

Manuel -> zenon Logic -> zenon Logic Runtime Manager -> Aide des propriétés -> Démarrer en mode cycle à cycle

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Pour démarrer le Runtime zenon Logic en mode cycle à cycle, cochez cette case.

info Informations

Avant de pouvoir modifier un paramètre que vous avez déjà enregistré, vous devez d'abord sélectionner la configuration concernée dans la liste. Ensuite, cliquez sur le bouton Édition. Pour enregistrer les modifications, cliquez sur le bouton Enregistrer.


Priorité en temps réel de Windows

Manuel -> zenon Logic -> zenon Logic Runtime Manager -> Aide des propriétés -> Priorité en temps réel de Windows

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Pour que l'instance du Runtime zenon Logic s'exécute au niveau de priorité en temps réel de Windows, cochez cette case.

info Informations

Nous vous recommandons de toujours activer la priorité en temps réel. Plus que tout, la désactivation de la priorité en temps réel doit être réservée à des fins de test (par ex. afin de déceler d'éventuelles boucles infinies).

info Informations

Avant de pouvoir modifier un paramètre que vous avez déjà enregistré, vous devez d'abord sélectionner la configuration concernée dans la liste. Ensuite, cliquez sur le bouton Édition. Pour enregistrer les modifications, cliquez sur le bouton Enregistrer.


Hard real time (Temps réel de l'automate)

Manuel -> zenon Logic -> zenon Logic Runtime Manager -> Aide des propriétés -> Hard real time (Temps réel de l'automate)

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Si vous cochez cette case, l'automate en temps réel zenon Logic (zenon Logic RTK) est exécuté au démarrage de la configuration. L'automate en temps réel zenon Logic ne peut s'exécuter qu'une seule fois sur l'ordinateur ; cette case à cocher est donc activée pour une configuration seulement.

info Informations

Avant de pouvoir modifier un paramètre que vous avez déjà enregistré, vous devez d'abord sélectionner la configuration concernée dans la liste. Ensuite, cliquez sur le bouton Édition. Pour enregistrer les modifications, cliquez sur le bouton Enregistrer.


Sortie du rapport

Manuel -> zenon Logic -> zenon Logic Runtime Manager -> Aide des propriétés -> Sortie du rapport

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Cochez cette case pour activer l'écriture des messages du Runtime dans un fichier journal.

info Informations

L'écriture du journal a une incidence sur les performances.

info Informations

Le fichier journal est nommé "zenon Logic RTLOG.txt" et est enregistré dans le dossier du projet de Runtime zenon Logic.

info Informations

Avant de pouvoir modifier un paramètre que vous avez déjà enregistré, vous devez d'abord sélectionner la configuration concernée dans la liste. Ensuite, cliquez sur le bouton Édition. Pour enregistrer les modifications, cliquez sur le bouton Enregistrer.


Démarrage auto

Manuel -> zenon Logic -> zenon Logic Runtime Manager -> Aide des propriétés -> Démarrage auto

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Pour démarrer une instance du Runtime zenon Logic directement au démarrage du système d'exploitation Windows, cochez cette case.

info Informations

Avant de pouvoir modifier un paramètre que vous avez déjà enregistré, vous devez d'abord sélectionner la configuration concernée dans la liste. Ensuite, cliquez sur le bouton Édition. Pour enregistrer les modifications, cliquez sur le bouton Enregistrer.


Bouton "Nouveau"

Manuel -> zenon Logic -> zenon Logic Runtime Manager -> Aide des propriétés -> Bouton "Nouveau"

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Si vous voulez créer une configuration, cliquez sur le bouton Nouveau. Une boîte de dialogue s'ouvre alors, dans laquelle vous pouvez sélectionner le dossier dans lequel vous souhaitez enregistrer les fichiers du Runtime zenon Logic (code de l'automate). Confirmez votre sélection en cliquant sur OK. Vous pouvez modifier le nom de la configuration. Pour enregistrer la configuration et le nom de la configuration, cliquez sur Enregistrer.


Bouton Édition

Manuel -> zenon Logic -> zenon Logic Runtime Manager -> Aide des propriétés -> Bouton Édition

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Avant de pouvoir modifier les paramètres d'une configuration, vous devez cliquer sur le bouton Édition après avoir sélectionné une entrée dans la liste de configuration. Pour enregistrer les modifications, vous devez cliquer sur Enregistrer.


Bouton Enregistrer

Manuel -> zenon Logic -> zenon Logic Runtime Manager -> Aide des propriétés -> Bouton Enregistrer

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Cliquez sur le bouton Enregistrer pour enregistrer toutes les modifications.


Bouton Supprimer

Manuel -> zenon Logic -> zenon Logic Runtime Manager -> Aide des propriétés -> Bouton Supprimer

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Pour supprimer une configuration, sélectionnez l'entrée dans la liste de configuration et cliquez sur le bouton Supprimer.


Bouton Démarrer

Manuel -> zenon Logic -> zenon Logic Runtime Manager -> Aide des propriétés -> Bouton Démarrer

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Pour démarrer le Runtime zenon Logic avec la configuration de votre choix, sélectionnez une configuration dans la liste et cliquez sur le bouton Démarrer. Le Runtime zenon Logic démarre immédiatement.

info Informations

Si le dossier de la configuration ne contient aucun fichier de Runtime zenon Logic (code d'automate), le Runtime zenon Logic démarre dans le mode No program (Aucun programme).


Runtime zenon Logic (paramètres)

Manuel -> zenon Logic -> zenon Logic Runtime Manager -> Aide des propriétés -> Runtime zenon Logic (paramètres)

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Spécifiez le dossier du Runtime zenon Logic (dossier de stratonRT.exe). Pour parcourir votre disque dur, cliquez avec le bouton gauche sur le symbole représentant un dossier.


Sélection des langues

Manuel -> zenon Logic -> zenon Logic Runtime Manager -> Aide des propriétés -> Sélection des langues

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Sélectionnez la langue de votre choix en cliquant sur le drapeau correspondant.


Show splash screen (Afficher l'écran de démarrage) (paramètre)

Manuel -> zenon Logic -> zenon Logic Runtime Manager -> Aide des propriétés -> Show splash screen (Afficher l'écran de démarrage) (paramètre)

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Si vous cochez cette case, l'écran de démarrage de zenon Logic Runtime Manager est affiché au démarrage.


zenon Operator

Manuel -> zenon Operator

zenon Operator est adapté à la gestion de machines. Il comprend Editor et le Runtime. Le Runtime est disponible pour les systèmes d’exploitation pour PC et les systèmes d’exploitation CE. Windows CE est uniquement pris en charge jusqu’à la version 7.20 incluse. La version 7.20 est fournie et installée avec la version actuelle. Les projets peuvent encore être créés pour Windows CE avec la version actuelle. La version 7.20 doit être définie dans les paramètres du projet de la propriété Créer fichiers RT pour. Cette propriété se trouve dans les paramètres du projet, dans le groupe Général.

Son principe de fonctionnement est conforme à celui de zenon Supervisor. Contrairement à zenon Supervisor, la version Operator comporte certaines restrictions fonctionnelles.

Sous Windows CE, certaines restrictions sont également déterminées par le système.

Pour éditer un projet Operator, vous pouvez utiliser zenon Editor ou le module Editor de zenon Supervisor. Si, dans Supervisor Editor, vous configurez des fonctionnalités qui ne sont pas disponibles dans le Runtime d’Operator, ces fonctions ne seront pas exécutées.

Autres sujets abordés dans ce chapitre

Restrictions applicables à zenon Operator

zenon pour Windows CE


Restrictions applicables à zenon Operator

Manuel -> zenon Operator -> Restrictions applicables à zenon Operator

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Les fonctionnalités de zenon Operator diffèrent de celles de zenon Supervisor. En cas de déploiement sous Windows CE, d’autres restrictions proviennent du système d’exploitation. Vous trouvez plus de détails dans la présentation suivante :

Légende :

  • +: Standard
  • * : possible
  • - : impossible
  • o : disponible sous licence sous forme de module supplémentaire
Fonctionnalités du Runtime de la version Operator | Pour PC | Pour CE
Général |  |
Contrôles ActiveX | + | *
Licence par dongle | * | -
64 à 8192 balises | * | *
DirectX/Affichage graphique | * | -
Projet global | * | *
Gestion multi-projets dans Editor | - (1 projet plus projet global) | - (1 projet plus projet global)
Gestion multi-projets dans le Runtime | - (1 projet plus projet global) | - (1 projet plus projet global)
Assistants | + | -
Modules |  |
Serveur d'archives | o | -
Serveur d'archives, version Starter Edition | o | o (CE 6.0 ou supérieure)
Interface SQL Server pour Serveur d'archives | - | -
Coloration Automatique de Lignes | o | o
Module Batch Control | - | -
Gestion de charge | - | -
Extended Trend | o | -
Extended Trend Starter Edition | o | o (CE 6.0 ou supérieure)
Industrial Maintenance Manager | - | -
Industrial Performance Analyzer | - | -
Message Control avec Text to Speech Engine | o | -
Serveur OPC | - | -
PLC Diagnose Step 7 Graph | o | o
Process Gateway | o | -
Production & Facility Scheduler | - (Module Planning disponible) | - (Module Planning disponible)
Simulation du projet | - | -
Report Generator (sans stockage de données) | o (lecture seule) | -
Module d’affichage de fichiers RDL | o | -
Recipe Group Manager | o | o (CE 6.0 ou supérieure)
Interface SAP | - | -
Scheduler | + | +
Export SQL | - | -
Serveur SQL | - | -
Text to Speech Engine | - | -
Driver : 1 driver inclus, exceptions : driver Energy (IEC870-101/103/104, IEC850, DNP3, Modbus Energy) | * | *
Driver : plusieurs instances | - | -
S7 Graph | o | o
Réseau |  |
Réseau de zenon | + (Client serveur uniquement) | + (Client serveur uniquement)
Redondance | - (Client serveur uniquement) La redondance n’est pas prise en charge, mais une connexion à un système redondant est possible. | - (Client serveur uniquement) La redondance n’est pas prise en charge, mais une connexion à un système redondant est possible.
zenon Web Server Pro Light, 3 clients. Uniquement en cas de connexion au Runtime local | o | o
zenon Web Server/zenon Web Server Pro | o | -
zenon Web Client | * | - (Les clients classiques sont autorisés.)
Interfaces de programmation |  |
Accès via API | + | +
Process Control Engine (PCE) | + | +
VBA/VSTA | Runtime : - Editor : + | -
zenon Logic |  |
zenon Logic Monitoring Builder/Viewer | + | -
Nombre de variables du Runtime de zenon Logic | 64 - 8192 | 64 - 8192
zenon Logic Workbench Pro | o | -

Tous les modules/fonctionnalités mentionnés ne sont pas disponibles dans zenon Operator.

Autres sujets abordés dans ce chapitre

Restrictions spéciales concernant la version CE


Restrictions spéciales concernant la version CE

Manuel -> zenon Operator -> Restrictions applicables à zenon Operator -> Restrictions spéciales concernant la version CE

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Les modules suivants sont uniquement disponibles sous Windows CE 6.0 et les versions ultérieures :

  • Serveur d’archives, version Starter Edition
    Restrictions?; reportez-vous au manuel Serveur d’archives, chapitre Serveur d’archives, version Starter Edition.
  • Module Extended Trend, version Starter Edition
    Restrictions?; reportez-vous au manuel Module Extended Trend.
    En outre, les éléments de contrôle suivants ne sont pas disponibles dans les projets CE :
    • Bouton Diagramme
    • Bouton Courbe
    • Paramétrage du diagramme
    • Dialogue d’impression
    • Bouton Axe X
    • Fenêtre d’affichage du curseur
    • Profils de filtre
  • Recipe Group Manager

Acquittement de la ligne d’état des alarmes

Sous Windows CE, vous ne pouvez pas acquitter la ligne d’état des alarmes avec un clic droit.

Serveur d'archives

Pour l’archivage, seule la version Starter Edition du Serveur d’archives est disponible sous Windows CE. Elle comporte quelques restrictions, que ne comporte pas la version intégrale du Serveur d’archives. Pour plus de détails, reportez-vous au chapitre Serveur d’archives, version Starter Edition dans le manuel Serveur d’archives.

Résolution des plates-formes CE et affichage des boîtes de dialogue de filtre pour les listes CEL et AML

La liste d’alarmes et la liste d’événements (CEL) autorisent la sélection d’un filtre dans le Runtime. Toutefois, ce filtre est uniquement utilisable avec une résolution de 800x600 ou supérieure. La gestion de profils dans les synoptiques correspondants n’est pas disponible. Par conséquent, les boutons Enregistrer et Supprimer ne fonctionnent pas. La boîte de dialogue de configuration de l’impression ne peut pas être exécutée sous Windows CE?; le bouton correspondant ne fonctionne donc pas.

Types de synoptiques indisponibles :

  • Variable Diagnosis
  • Vidéo

Gestion des utilisateurs

Active Directory et ADAM/AD LDS ne sont pas disponibles sous Windows CE.

Imprimer

Aucun spouleur d’impressions n’est disponible dans Windows CE. L’impression est intégrée au procédé. L’impression bloque donc le fonctionnement du Runtime.
Sous Windows CE, la fonction d’impression n’est pas disponible si elle est déjà incluse dans l’image CE. Elle ne peut pas être ultérieurement ajoutée ou étendue à d’autres imprimantes.

Les dispositions suivantes s’appliquent aux tâches d’impression sous Windows CE :

  • Impression en ligne :
    L’impression est toujours effectuée directement sur LPT1. Ce port doit toujours être présent sur le terminal CE, et une imprimante en ligne doit être connectée.
  • Impression hors ligne :
    L’impression est toujours effectuée sur l’imprimante standard configurée sur le système.
    L’imprimante ne peut pas être configurée depuis le Runtime de zenon et ne peut pas être modifiée.

    Remarque : Pour que la fonction d’impression hors ligne soit opérationnelle sous Windows CE, le fabricant du terminal doit l’inclure dans l’image de Windows CE. Il doit également être possible de définir l’imprimante par défaut, par exemple, en utilisant des applications telles que Pocketword ou Notepad CE.

Propriétés dynamiques

Les propriétés dynamiques, telles que la rotation, le changement de hauteur ou de largeur ou les positions selon X ou Y ne sont pas disponibles.

Les éléments dynamiques

Éléments ActiveX : enregistrement sous Windows CE :

ActiveX – Les éléments doivent être enregistrés avant de pouvoir être utilisés sous Windows CE. Vous trouverez de l’aide à ce sujet au chapitre intitulé Conseils de développement - ActiveX.

Réglette universelle

L’affichage sous forme de Bande n’est pas disponible.

Fichiers XAML et WPF

Le format WPF n’est pas disponible. Par conséquent, le langage XAML (utilisé en tant que langage descriptif pour WPF) n’est pas utilisé.

Filtre des listes AML et CEL

Les filtres de la liste d’alarmes et de la liste d’événements ne peuvent pas être configurés si la propriété Projet Windows CE est activée. Ces boîtes de dialogue étant très grandes, cette limitation a été introduite dans le but d’autoriser leur utilisation, même sur des petits écrans (PDA). Si vous créez un projet Windows CE sans activer la propriété Projet Windows CE, vous pouvez utiliser les boîtes de dialogue de filtres comme vous le faites habituellement.

Profils de filtre

Il est impossible d’utiliser les profils dans le Runtime sous Windows CE.

Forme de cadre librement définie

Pour les cadres, la fonction Forme de gabarit librement définie n’est pas disponible sur Windows CE.

Fonctions

Sélection imprimante

La fonction Sélection imprimante n’est pas disponible pour tous les terminaux CE.

Éléments graphiques

Angle de rotation et positionnement dynamique

La propriété Angle de rotation [°] et les propriétés du groupe Dimensions et rotation dynamiques ne sont pas disponibles sous Windows CE. Les propriétés précédemment configurées sont réinitialisées lorsque la propriété Projet Windows CE est activée.

Effets de remplissage

Les effets de remplissage sur les éléments statiques peuvent être affichés différemment sur le terminal CE utilisé et sur PC, selon le modèle de terminal utilisé.

Motifs de remplissage 3D

Les motifs 3D sont disponibles, mais nécessitent davantage de ressources graphiques sur les terminaux CE.
Il n’est donc pas recommandé de les utiliser.

Qualité graphique

DirectX et les fonctions graphiques telles que les remplissages ombrés et la transparence ne sont pas disponibles dans Windows CE.
Remarque : Les fichiers GIF transparents et les fichiers PNG comportant des limitations peuvent être affichés.

Fichiers GIF

Pour afficher des fichiers GIF dans Windows CE, vous devez vous assurer que le fichier IMGDECEMP.dll est disponible sur le périphérique cible. Si le fichier est manquant, vous pouvez demander le fichier IMGDECEMP.dll auprès du service de conseil de COPA-DATA.

Lignes

Les lignes ne peuvent pas être affichées avec des coins arrondis. Même si les propriétés de projet sous Qualité graphique Base Windows sont sélectionnées, les coins arrondis ne sont pas affichés sous CE.

Affichage des noms de recettes

Sur les synoptiques de type Recipe Group Manager, les noms des recettes peuvent uniquement être affichés dans une liste déroulante. L’affichage de la zone de liste (via Style L) n’est pas pris en charge sur les plates-formes CE.

Menus principaux

Sur Windows CE, seuls les menus principaux standard peuvent être affichés. Il n’est pas possible de modifier leur couleur, la taille ou le type de la police.

Gestion des licences (dongle)

La licence par dongle n’est pas disponible sous Windows CE, ni localement, ni avec un dongle sur un réseau.

Capacité multi-projets

Sous Windows CE, vous ne pouvez pas utiliser les fonctionnalités multi-projets, ?; avec ce système, vous ne pouvez exécuter qu’un seul projet à la fois. C’est pour cette raison qu’il n’existe pas de hiérarchie de projets (projet d’intégration) dans les projets en réseau. Ceci ne s’applique pas au projet global.

Taille des projets

Sous Windows CE 6 (et versions supérieures), la mémoire opérationnelle peut être utilisée intégralement, mais elle est limitée sur certains terminaux CE. Ceci peut entraîner de nombreux goulets d’étranglement, plus particulièrement si les versions Starter Edition des modules Extended Trend et Serveur d’Archives sont utilisés. Veuillez noter que la "règle des 20%" s’applique dans ces cas.

info Informations

Règle des 20% : Lorsque tous les synoptiques de zenon sont affichés et que le nombre maximum d’alarmes en mémoire est actif, au moins 20% de la mémoire opérationnelle doit rester libre. Si cette limite n’est pas prise en compte, nous ne pouvons pas garantir le bon fonctionnement de zenon.

La mémoire centrale disponible peut être affichée à l’aide de la variable système Mémoire disponible [%].

Liste de références croisées

Si un bouton dans un projet CE est lié à une fonction qui n’est pas disponible pour Windows CE, dans le Runtime, l’indication "Fonction supprimée" est affichée.

Bouton droit de la souris

Cette fonction pour le double-clic droit n’est pas disponible sous Windows CE.

Redondance

L’association de la fonction de redondance et d’un terminal CE exécuté en tant que client est possible. La redondance, dans le sens où le terminal CE tient le rôle de serveur ou de serveur redondant, n’est pas possible.

Écriture de valeur prescrite

Les options de valeurs prescrites spécifiques aux éléments et aux fonctions ne sont pas disponibles lors de l’utilisation de macros ou de programmes. Les valeurs prescrites peuvent uniquement être spécifiées via une boîte de dialogue, ou directement dans les éléments.

Si une valeur prescrite est transmise à une variable HD sur un terminal CE (par ex. à l’aide de la réglette universelle), un certain délai se produira, car l’écriture sur la carte de stockage n’est pas assez rapide. Certains délais peuvent également apparaître si la valeur prescrite doit être enregistrée dans la liste CEL et si la liste CEL est sauvegardée sur la carte mémoire pour chaque entrée (propriété du projet).

Simulation de driver

Simulation - programmée n’est pas disponible sous Windows CE 6.

Éléments vectoriels

Arc de cercle

Sous Windows CE, l’élément statique Quartier de cercle n’est affiché correctement qu’avec une épaisseur de ligne de 1.
Attention : Les arcs avec des lignes plus épaisses ne sont également pas dessinés correctement dans les projets en réseau. Les arcs ont une apparence "dentelée" et ne ressemblent pas à ceux créés à l’aide d’Editor sur PC.

Quartier de cercle

L’élément statique Segment de cercle n’est pas disponible dans Windows CE.

Variables

Les variables du type de données LINT ne sont pas disponibles sous Windows CE.

Affichage Vue globale

La vue globale n’est pas disponible sous Windows CE, en raison des contraintes graphiques.

Fichiers WMF et EMF

L’utilisation des métafichiers (*.wmf) et (*.emf) n’est pas possible.


zenon pour Windows CE

Manuel -> zenon Operator -> zenon pour Windows CE

Le Runtime CE de zenon Operator peut s’exécuter sur différentes plates-formes matérielles CE. De façon générale, la version CE de zenon offre les mêmes possibilités que la version PC de zenon Operator?; cependant, elle comporte des limitations dues aux capacités matérielles plus restreintes.

attention Attention

Windows CE n'est plus pris en charge à partir de la version 7.50. zenon CE version 7.20 est installé. Pour l'utiliser, vous devez créer les fichiers de Runtime pour la version 7.20.

Remarque : Pour cela, la version 7.20 doit être définie dans les paramètres du projet de la propriété Créer fichiers RT pour. Cette propriété se trouve dans les paramètres du projet, dans le groupe Général.

Vous trouverez des informations détaillées concernant l’installation des Runtime zenon et zenon Logic pour Windows CE aux chapitres suivants :

  • Runtime de zenon Operator pour Windows CE
  • Runtime zenon Logic pour Windows CE

tutorial Informations concernant la licence

Le Runtime de zenon pour Windows CE doit comporter une licence.

Autres sujets abordés dans ce chapitre

Général

Configuration minimale requise

Fichiers système

Réseau

Connexion via le Gestionnaire pour appareils Windows Mobile

Recipe Group Manager

Transparence

Pocket PC et Windows Mobile Edition


Général

Manuel -> zenon Operator -> zenon pour Windows CE -> Général

Windows CE est une plate-forme ouverte et adaptable pour un grand nombre de matériels dédiés à la communication, au divertissement, à l’industrie et à la gestion de données mobile. De façon générale, Windows CE est un système réduit à l’essentiel et ne nécessite que de très faibles ressources matérielles. Ceci signifie que maintenant, des composants de très faible coût peuvent être équipés avec un système basé sur Windows.
Le système standard Windows CE autorise la mise en œuvre de nouveaux matériels capables de communiquer entre eux, d’échanger des informations avec des PC sous Windows et de se connecter à Internet.
Windows CE est un système d’exploitation 32 bits, doté de fonctions telles que la gestion multitâches et le traitement multifil. Windows CE possède une structure ouverte et prend en charge de nombreux périphériques. Windows CE est compact et offre ainsi des performances élevées, même avec une mémoire limitée.

Quelques avantages de Windows CE :

  • Démarrage rapide du terminal, car le système d’exploitation est décompressé en mémoire à chaque démarrage
  • Puisqu’aucun logiciel ne peut être installé sur le terminal CE, il n’existe pas de risque de blocage d’une installation ou de virus.
  • Robustesse supérieure, car un terminal CE ne comporte normalement aucun composant mobile (par exemple, un disque dur)

Quelques inconvénients de Windows CE :

  • Fonctionnalités limitées?; l’API (interface de programmation d’applications) de Windows n’est pas disponible dans sa totalité
  • Accès en lecture et en écriture plus lents sur la carte Compact Flash
  • Cycles de vie réduits du support de stockage, en raison des accès fréquents

Le Runtime de zenon offre les mêmes fonctionnalités sous Windows CE et sur PC. Les fonctionnalités sont limitées, en raison des ressources matérielles moins importantes et des limitations inhérentes au système d’exploitation.

Autres sujets abordés dans ce chapitre

Création de projets dans CE

Licence


Création de projets dans CE

Manuel -> zenon Operator -> zenon pour Windows CE -> Général -> Création de projets dans CE

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Editor est un outil qui vous permet de créer des applications de petite et moyenne taille, ainsi que des projets de grande ampleur. L’outil de paramétrage est toujours le même. Indépendamment de la plate-forme des projets, vous disposez toujours du même confort de développement. Les données du projet sont compatibles, quelle que soit la résolution.

Windows CE est uniquement pris en charge jusqu’à la version 7.20 incluse. La version 7.20 est fournie et installée avec la version actuelle. Les projets peuvent encore être créés pour Windows CE avec la version actuelle. La version 7.20 doit être définie dans les paramètres du projet de la propriété Créer fichiers RT pour. Cette propriété se trouve dans les paramètres du projet, dans le groupe Général.

CE Editor

Pour les projets CE, dans Editor, sous -> Propriétés -> Général, la case Projet Windows CE est cochée. Ainsi, seules les fonctions disponibles sous Windows CE sont activées. Toutes les autres fonctions sont grisées, à l’exception de VBA : Dans Editor, VBA peut être utilisé pour les assistants. Il ne peut pas être utilisé dans le Runtime.

En fonction de la licence, Editor est limité à 8 192 tags.

VBA sous CE

Dans Editor, VBA peut être utilisé pour les assistants. Il ne peut pas être utilisé dans le Runtime.


Licence

Manuel -> zenon Operator -> zenon pour Windows CE -> Général -> Licence

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

La licence du Runtime sur Windows CE peut être définie par l'intermédiaire du module Remote Transport. Lorsque vous vous connectez au système cible, vous pouvez entrer le numéro de série et le numéro de licence pour la version CE. Le numéro de série est enregistré sur le terminal CE dans le fichier zenon6.ini. Le numéro d'activation est enregistré dans la base de registres de Windows CE.

info Informations

Le numéro de série et le numéro d’activation ne sont pas entièrement vérifiés lors de la saisie depuis le module Remote Transport sur le PC. La vérification intégrale est effectuée au démarrage du Runtime sur le terminal CE. Il est donc nécessaire de redémarrer le Runtime après avoir défini le numéro de série et le numéro d’activation, de façon à vérifier qu’ils ont bien été correctement saisis.

La livraison inclut un numéro de série de démo pour CE, qui ne nécessite pas de numéro d’activation.

Example Exemple

Numéro de série de démo pour Windows CE 6.0 : 0.59211400.0.-256.0

La version de démo pour CE 6.0 :

  • est limitée à
    • 4 096 variables
    • Une durée de 10 minutes
  • contient
    • Process Control Engine (PCE)
    • Le module Extended Trend (version Starter Edition)
    • Serveur d’archives (Starter Edition)
    • zenon Web Server Pro (3 clients)

attention Attention

Avec Windows Mobile Edition, seules 800 à 1000 variables peuvent être chargées, selon la mémoire disponible sur le périphérique utilisé, les programmes installés et la taille du projet.


Configuration minimale requise

Manuel -> zenon Operator -> zenon pour Windows CE -> Configuration minimale requise

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Sur Windows CE, le système de contrôle peut être exécuté sur les plates-formes les plus variées, indépendamment du constructeur. Pour chaque combinaison de système et de type de processeur, vous avez besoin d’un Runtime spécifique, qui doit être compilé et maintenu pour cette plate-forme.
Configuration minimale requise du terminal CE :

  • 64 Mo de mémoire
  • 32 Mo d’espace disque

Comme la vitesse du processeur dépend énormément du type de processeur, une vitesse minimum est difficile à définir. Toutefois, nous recommandons généralement un processeur avec une cadence d’horloge minimum de 400 MHz.
Recommandation :

  • 128 Mo de RAM ou plus
  • 64 Mo RAM ou plus
  • Processeur cadencé à 800 MHz (processeurs ARM) ou 600 MHz (architecture x86)
  • Interface réseau

info Informations

Le Runtime et les projets doivent être stockés sur une mémoire rémanente permanente et accessible en écriture.

Les plates-formes CE avec écran tactile ont généralement une résolution d’écran faible. Vous devez prendre cela en considération lorsque vous créez votre projet. Certaines boîtes de dialogue (par exemple, la boîte de sélection de variables pour les recettes standard et d’autres boîtes de dialogue dans le Runtime) sont difficiles, voire même parfois impossibles à manipuler avec une résolution d’écran de 320 x 240 pixels. Toutefois, aucune valeur minimum n’est requise dans ce cas.
Le guide de développement inclut des directives pour le développement de projets sur des écrans à faible résolution.

Démarrage du Runtime depuis un terminal CE

Pour démarrer zenon depuis un terminal CE, tous les modules requis doivent être disponibles dans l’image.

Si des modules sont manquants, lorsque vous double-cliquez sur zenonrce.exe, seul un sablier pivotant est affiché. Le sablier disparaît, mais le Runtime de zenon ne démarre pas et aucun message d’erreur n’est affiché.

Cette action indique que des éléments du système d’exploitation CE sont manquants et que l’image n’a pas été correctement générée. Contactez le fabricant de la plate-forme pour remédier à l’erreur. Le service d’assistance de COPA-DATA sera ravi d’aider le fabricant à analyser l’erreur.

Autres sujets abordés dans ce chapitre

CE - Versions et processeurs pris en charge


CE - Versions et processeurs pris en charge

Manuel -> zenon Operator -> zenon pour Windows CE -> Configuration minimale requise -> CE - Versions et processeurs pris en charge

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Dans la version actuelle de zenon (7.60), les versions de Windows CE et les processeurs suivants sont pris en charge :

  • CE 6.00 pour x86
  • CE 6.00 pour ARM V4/V5

info Informations

Vous trouverez des informations concernant les versions de CE et les processeurs pris en charge par les versions antérieures de zenon dans la documentation correspondante?; vous pouvez également contacter l’assistance de COPA-DATA.


Fichiers système

Manuel -> zenon Operator -> zenon pour Windows CE -> Fichiers système

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Le Runtime Windows CE a besoin de certains fichiers système. Si un de ces fichiers est manquant, le système affiche un message d’erreur au démarrage du Runtime, indiquant qu’un ou plusieurs composants n’ont pas été trouvés. Les fichiers système suivants sont requis :

Fichier | Description
mfc90u.dll | Nécessaire au Runtime. Au démarrage, un message d’erreur apparaît si ce fichier n’existe pas.
msvcr90.dll | Nécessaire au Runtime. Au démarrage, un message d’erreur apparaît si ce fichier n’existe pas.
atl90.dll | Non nécessaire pour démarrer le Runtime, mais requis pour utiliser les drivers avec des connexions réseau et pour utiliser zenon sur un réseau. Si ce fichier n’existe pas, la plate-forme ne fonctionnera pas en tant que client ou les connexions de driver TCP/IP ne fonctionneront pas.
IMGDECMP.dll | Pas nécessaire pour démarrer le Runtime, mais nécessaire pour afficher la transparence si la fonction Alpha Blending n’est pas intégrée au système d’exploitation. L’animation de fichiers GIF n’est pas possible sous Windows CE.
VBSCRIPT.dll + JSCRIPT.dll | Pas nécessaire au démarrage du Runtime. Ce fichier est nécessaire pour PCE (Process Control Engine)

Certains de ces fichiers système sont installés lors de l’installation de zenon pour CE et peuvent être transférés vers le périphérique CE à l’aide de l’outil UpdateCE. Tous ces fichiers système devraient être intégrés à l’image du système d’exploitation du périphérique CE par le fabricant.

attention Attention !

Pour les fournisseurs d’images du système d’exploitation Windows CE :
Les versions de CE antérieures à la version 6.0 nécessitent le fichier toolhelp.dll. Activez l’option suivante dans Platform Manager pour que le fichier soit disponible sur le périphérique CE, et que Toolhelp soit disponible dans l’application SDK.
Core OS -> Display Based Device ->Core OS Services -> Debugging Tools -> Toolhelp API. Ainsi, le fichier Toolhelp.dll fait partie de l’image.
Conseil : utilisez toujours la dernière version en date du Service Pack du module Platform Builder.

Remarque : Le fichier toolhelp.dll n’est pas nécessaire sous Windows CE 6, et ne doit pas être utilisé avec ce système d’exploitation.

Autres sujets abordés dans ce chapitre

Runtime


Runtime

Manuel -> zenon Operator -> zenon pour Windows CE -> Fichiers système -> Runtime

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Le Runtime pour Windows CE inclut les fichiers suivants :

Nom du fichier | Description
zenonrCE.exe | application Runtime
CD_tooCE.dll | Nécessaire au Runtime.
ZennetsrvCE.dll | le service réseau du système de contrôle pour Windows CE. Nécessaire pour les projets en réseau.
SysSrvCE.exe | Service de transfert.
LogCliLibCE.dll | Le client logserver
zenon6.ini | Fichier texte avec le paramétrage du Runtime comme par exemple, le projet de démarrage, le langage du Runtime, etc.
UpdateCE.exe | Application nécessaire pour l'outil CE Update.
RgermaCE.dll | Fichier de langue pour l'allemand
RengliCE.dll | Fichier de langue pour l'anglais.
RfrancCE.dll | Fichier de langue pour le français.
RitaliCE.dll | Fichier de langue pour l'italien.
RrussiCE.dll | Fichier de langue pour le russe.
RspaniCE.dll | Fichier de langue pour l'espagnol.

Installez le Runtime sur le terminal CE en sélectionnant Mettre à jour le Runtime CE dans le menu Options.

info Informations

La considération suivante s'applique à une connexion à Windows CE 6.0 avec CX1000, Profibus ou SYCONuni : assurez-vous que le fichier CDMemDrv.dll a été transféré vers le périphérique. CDMemDrv.dll est un driver de périphérique de Windows CE. La DLL est disponible pour x86 et ARMV4I.

De plus, il y aussi beaucoup d'autres drivers pour la communication matérielle. Si le type de processeur du terminal CE est reconnu par Editor, le module Remote Transport transférera automatiquement les drivers utilisés dans le projet vers le terminal CE. La façon de transférer et le nombre de fichiers transférés sont affichés dans la fenêtre de sortie d’Editor.

Ces fichiers doivent toujours être compatibles avec la version de CE et le type de processeur. Mélanger des fichiers issus de différentes versions de Windows CE ou de différents Service Packs peut générer des blocages ou des "effets secondaires" indésirables ; cette pratique n'est donc pas autorisée.

Informations concernant info

Si, au démarrage du programme zenonrce.exe, le fichier syssrvce.exe est également exécuté, il est possible d’assurer qu’une connexion TCP peut être établie à tout instant. Ainsi, un seul fichier est nécessaire pour la fonction de démarrage automatique. Toutefois, un délai entre les deux démarrages doit être configuré.

Raison : Au démarrage de zenonRCE, zenLogSrvCE démarre également automatiquement. Toutefois, au démarrage de syssrvce, zenLogSrvCE est également exécuté.

Si zenonRCE et syssrvce sont démarrés dans un intervalle très réduit, tous deux tentent de démarrer zenLogSrvCE. Ceci génère un message d’erreur.

Solution : Pour éviter ce problème, configurez un délai entre le démarrage de zenonRCE et de zenLogSrvCE. Pour cela, vous pouvez définir l’entrée STARTDELAY= dans le fichier zenon6.ini. Le Runtime (zenLogSrvCE) est ainsi démarré plus tard. Une vérification est ensuite effectuée pour déterminer si zenLogSrvCE est déjà en cours d’exécution, en quel cas, il ne redémarre pas.


Réseau

Manuel -> zenon Operator -> zenon pour Windows CE -> Réseau

Bien entendu, zenon sous Windows CE peut toujours être utilisé en réseau. Le terminal CE peut être serveur ou client d’autres terminaux ou de PC standard.

La redondance sur le réseau n’est pas prise en charge sous Windows CE, c’est-à-dire qu’un terminal CE ne peut pas être un serveur redondant. Si des PC sont utilisés en tant que serveur et serveur redondant, le terminal CE peut se connecter en tant que client?; dans le cas d’une commutation de redondance, il se connecte automatiquement au serveur courant.

info Informations

La fonctionnalité multi-projets n’est pas prise en charge sous Windows CE.

Toutefois, plusieurs projets CE peuvent être combinés dans un projet d’intégration sur un PC.

Si le Runtime CE doit être utilisé en réseau, les éléments suivants sont requis :

  • Une connexion au réseau sur le terminal CE
  • Un réseau TCP/IP avec résolution par nom complète?! Résolution du nom
  • Un nom d’ordinateur et une adresse IP uniques sur le réseau
  • Les fichiers système nécessaires et le Runtime sur le terminal CE (référez-vous au chapitre Minimum requis)
  • Une licence du Runtime avec l’option réseau sur le terminal CE

info Informations

Si un terminal CE est utilisé sur un réseau, en tant que client ou serveur, vous devez disposer d’une licence réseau pour le terminal CE.

Pour le module Remote Transport, vous n’avez pas besoin de licence réseau?!

Si la licence réseau n’existe pas, zenon est automatiquement démarré de façon autonome, et chaque terminal CE établit sa liaison propre avec l’automate.

Autres sujets abordés dans ce chapitre

Paramétrages réseau

Terminal CE en tant que serveur

Terminal CE en tant que client

Possibilités de diagnostic


Paramétrages réseau

Manuel -> zenon Operator -> zenon pour Windows CE -> Réseau -> Paramétrages réseau

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Comme la résolution par nom n’existe pas toujours sous Windows CE, le nom du poste et l’adresse IP du terminal CE doivent être définis sur le PC. Sur le PC, il y a un fichier HOSTS dédié à cela?; il se trouve dans le dossier /Windows/System32/Drivers/etc. Dans ce fichier, l’adresse IP et le nom du terminal CE doivent être saisis en lettres majuscules et séparés par une marque de tabulation. Par exemple : 192.168.0.100 WINDOWSCE2

info Informations

Lors de la sauvegarde de ce fichier, veillezà ce qu’aucune extension ne soit ajoutée (pas de .txt)?!

Le lien entre les noms des ordinateurs et les adresses IP doit être défini sur le PC et aussi sur le terminal CE, si le réseau ne supporte pas complètement la résolution par nom. (Dans la résolution par nom, les noms des ordinateurs sont résolus sur la base des adresses IP). Sur PC, cette information est stockée dans le fichier hosts, sous \Windows\system32\drivers\etc.

Le système Windows CE ne supporte pas la fonctionnalité du fichier HOSTS. Le nom de l’ordinateur et l’adresse IP doivent être saisis dans le fichier zenon6.ini du terminal CE, de façon à ce que la résolution du nom fonctionne aussi correctement sur le terminal CE. L’entrée suivante est nécessaire :

Example Exemple

[IPADDR]
Nom de mon ordinateur=mon adresse IP
Nom du terminal CE =Adresse IP du terminal CE

SERVERNAME=192.168.1.152

Sous SERVERNAME, entrez le nom de votre serveur. Entrer l’adresse correspondante de votre serveur.

Exemple : Votre serveur est le PC0815 et a l’adresse IP 192.52.9.32, donc vous entrez : PC0815=192.52.9.32

Attention que le nom de l’ordinateur soit entré en majuscules?!

Autres exemples

[IPADDR]

WINDOWSCE2=192.168.0.100

PC1=192.168.0.1

Si le terminal CE ne connaît pas son propre nom, il peut aussi être défini ici.

attention Attention

N’utilisez pas d’adresse IP dynamique si la fonctionnalité de résolution par nom n’est pas disponible sur le réseau.


Terminal CE en tant que serveur

Manuel -> zenon Operator -> zenon pour Windows CE -> Réseau -> Terminal CE en tant que serveur

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Dans cette configuration, le projet dans le terminal CE est un projet serveur (avec des fonctionnalités limitées). Tous les autres ordinateurs qui se connectent à ce terminal sont des clients (des clients PC, clients CE et clients Web sont possibles).

Les drivers utilisés sont démarrés sur le terminal CE. Puisque les terminaux CE sont utilisés en tant que serveur, les fonctionnalités sont aussi limitées sur les PC clients. Comme nous l’avons déjà indiqué, l’utilisation d’un terminal CE en tant que serveur redondant est impossible.

Ce modèle possède les caractéristiques suivantes :

Le projet CE possède toujours des fonctionnalités limitées, c’est-à-dire pas d’archivage de données et pas de module optionnel disponible.

Le terminal CE envoie les données du procédé à tous les clients connectés. La gestion d’alarmes, les matrices de réaction, les calculs mathématiques sont gérés par le terminal CE.

Si de nombreux clients sont connectés, le terminal CE doit gérer une charge réseau relativement importante, ce qui, bien sûr, affecte les performances du terminal.

Développement sur le terminal CE en tant que serveur en pratique :

Pour définir le terminal CE en tant que serveur, le nom du terminal CE doit être saisie dans la propriété Serveur des propriétés du projet. Assurez-vous que le nom est saisi en lettres majuscules. Après avoir terminé le projet, vous devez transférer les fichiers du Runtime vers le serveur (terminal CE) avec le module Remote Transport. Ensuite, vous devez transférer une fois les fichiers du Runtime sur tous les clients.

Pour tout le système, un seul projet est créé. Les modifications suivantes ne seront à transférer que sur le serveur. Dans le cas où des modifications sont effectuées sur le serveur, tous les clients récupéreront automatiquement les modifications.

Vous devez uniquement utiliser les fonctionnalités prises en charge par le terminal CE. Pour cela, vous pouvez cocher l’option "Projet CE" dans les propriétés du projet. Cela évite d’utiliser des modules (synoptiques, fonctions, etc.) qui ne sont pas pris en charge sous Windows CE.

De façon à permettre l’archivage des données et l’utilisation des modules tels qu’Extended Trend ou Report Generator, ainsi qu’à fournir les données à un certain nombre de clients sans altération des performances sur le terminal, malgré l’utilisation de Windows CE, la deuxième possibilité suivante a été implémentée :


Terminal CE en tant que client

Manuel -> zenon Operator -> zenon pour Windows CE -> Réseau -> Terminal CE en tant que client

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Ici, le projet sur le terminal CE n’est pas un projet serveur. Donc le projet sur le terminal CE se connecte sur un serveur en tant que client. Ce serveur peut être un PC ou un autre terminal CE.

Ce modèle possède les caractéristiques suivantes :

Le projet CE sur le client possède des fonctionnalités limitées, c’est-à-dire que seules les fonctionnalités prises en charge par Windows CE sont disponibles sur le client. Les archives, les tendances étendues, les rapports, etc. ne sont pas disponibles. Le projet sur le serveur peut contenir ces éléments s’il tourne sur un PC. Sur un PC client, avec une licence, le projet complet est disponible. De manière à ne pas perturber l’utilisateur, le système offre l’option : Visible sous CE Si cette option n’est pas activée, l’élément correspondant ne sera pas affiché sur les terminaux CE.

La charge du réseau sur le client CE est négligeable, car il n’y a toujours qu’une seule connexion - celle vers le serveur. Dans ce cas, les drivers sont démarrés sur le serveur.

Développement du terminal CE en tant que client :

Pour tout le système, un seul projet est créé. Ce projet s’exécute sur le serveur qui gère toutes les données.

Le développement est fait sur le PC et les fichiers du Runtime créés sont transférés sur le serveur et les clients avec le module Remote Transport.

Si des modifications sont ultérieurement mises en œuvre dans le projet, les fichiers modifiés doivent être transférés sur le serveur avec le module Remote Transport. Les clients se mettront à jour avec les modifications après l’exécution de la fonction Actualiser le projet en ligne sur le serveur.

Il n’est pas nécessaire d’activer l’option "Projet Windows CE". Ainsi, la totalité des fonctionnalités de zenon est disponible pour le projet. Puisque les fonctionnalités sont limitées sous Windows CE, celles-ci ne seront pas exécutées sur ces plates-formes (modules et fonctions spéciaux, etc.)

Pour ne pas perturber les utilisateurs en leur proposant des synoptiques et des éléments non opérationnels sur le terminal CE, la propriété Visible dans CE d’Editor peut être activée sur les synoptiques et les éléments en question. L’ingénieur chargé du développement du projet peut donc choisir quelle partie du projet sera visible et disponible sous Windows CE, et définir une autre partie visible uniquement sur PC (PC serveur et autres PC clients, etc.).


Possibilités de diagnostic

Manuel -> zenon Operator -> zenon pour Windows CE -> Réseau -> Possibilités de diagnostic

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Terminal CE en tant que serveur

Pour être sûr que le terminal CE opère en tant que serveur, vous pouvez essayer de supprimer un driver utilisé dans le projet avec l’Explorateur sur le terminal CE pendant que le Runtime est en cours d’exécution. Si cela est possible, cela signifie que le Runtime sur le terminal CE ne s’exécute pas en tant que serveur (les applications ouvertes de façon exclusive ne peuvent pas être supprimées). Il est possible que le terminal CE ne connaisse pas son nom correct ou que le Runtime exécuté sur le terminal CE ne comporte pas de licence réseau.

Terminal CE en tant que client

Si le client ne peut établir la connexion avec le serveur, des petits carrés bleus s’affichent sur les éléments dynamiques dans les synoptiques. L’option Afficher l’état de la variable doit être activée sur les éléments dans la fenêtre des propriétés dans Editor.

Driver système

Le driver système propose un certain nombre de variables utilisées pour les diagnostics réseau.

Divers

Si le terminal CE est utilisé sur un réseau, il doit être possible d’établir une connexion avec le terminal CE en saisissant la commande : telnet NOM_DU_POSTE 1100 dans la boîte de commande. (Le curseur clignote dans le coin en haut à gauche.) Le Runtime doit être démarré sur le terminal CE.

NOM_DU_POSTE ici signifie le nom du terminal CE (vous pouvez le consulter en accédant au Panneau de configuration, entrée Système)?; 1100 est le numéro du port de communication du service réseau du système de contrôle (zenNetSrvCE.dll).

Si la connexion avec Telnet ne peut pas être établie, cela signifie que le nom n’a pas été reconnu sur le réseau, que le Runtime sur le terminal CE ne comporte pas de licence réseau ou que le fichier système ATLCEx00.dll n’existe pas sur le terminal.

Le fichier zennetsrvce.dll pour la plate-forme correspondante est automatiquement transféré vers le terminal CE par le module Remote Transport (transfert de tous les fichiers du Runtime). Si ce n’est pas le cas, les fichiers du Runtime pour Windows CE ne sont probablement pas installé sur le terminal. Dans Editor, si la commande Mettre à jour le Runtime CE est présente dans le menu Options, les fichiers de Runtime pour CE sont installés.

Si parfois, un client se connecte et parfois, un autre client se connecte, la cause est peut-être que les deux terminaux CE ont le même nom. Windows CE ne génère pas de message d’erreur si un nom d’ordinateur existe déjà sur le réseau.


Connexion via le Gestionnaire pour appareils Windows Mobile

Manuel -> zenon Operator -> zenon pour Windows CE -> Connexion via le Gestionnaire pour appareils Windows Mobile

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Le Gestionnaire pour appareils Windows Mobile permet d’établir une connexion entre un terminal CE industriel et un PC.

Autres sujets abordés dans ce chapitre

Connexion USB sous Windows 7

Mise à jour du Runtime Windows CE


Connexion USB sous Windows 7

Manuel -> zenon Operator -> zenon pour Windows CE -> Connexion via le Gestionnaire pour appareils Windows Mobile -> Connexion USB sous Windows 7

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

En cas de connexion USB entre le terminal CE et un ordinateur exécutant Windows 7 :

  1. Assurez-vous qu’une connexion à Internet peut être établie
  2. Connectez les deux terminaux à l’aide d’un câble USB
  3. Si une connexion Internet est présente, le Gestionnaire pour appareils Windows Mobile est installé automatiquement et la connexion est établie
  4. Vous pouvez transférer les données comme expliqué au chapitre Mise à jour du Runtime Windows CE.

info Informations

Si aucune connexion Internet active n’est présente au niveau de la connexion USB, l’installation et la configuration ne se déroulent pas automatiquement. Dans ce cas :

  • Établissez la connexion à Internet
  • Accédez au gestionnaire de périphériques dans le Panneau de configuration
  • Cliquez avec le bouton droit sur le périphérique inconnu
  • Sélectionnez l’option Mettre à jour le driver logiciel
  • Windows installe les drivers
  • Windows installe l’application Windows Mobile Adapter et, avec celle-ci, le Gestionnaire pour appareils Windows Mobile


Mise à jour du Runtime Windows CE

Manuel -> zenon Operator -> zenon pour Windows CE -> Connexion via le Gestionnaire pour appareils Windows Mobile -> Mise à jour du Runtime Windows CE

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Pour effectuer une mise à jour du Runtime Windows CE :

  • Assurez-vous que le service de transport de zenon (SysSrvCE.exe) s’exécute sur le périphérique CE.
  • Assurez-vous de ne pas avoir établi une connexion à distance avec le périphérique via zenon Editor.
  • Dans le menu Options de zenon, sélectionnez la commande Mise à jour du Runtime de Windows CE.

    La boîte de dialogue de transfert des fichiers de Runtime s'affiche à l'écran.

  • Configurez la connexion.
  • Définissez les données que vous souhaitez transférer.
  • Sélectionnez la version de votre choix.
  • Démarrez la mise à jour.

Remarque : Si vous transférez/installez le Runtime pour la première fois, notez les informations fournies au chapitre Installation et mise à jour manuelles du Runtime.

Configurez la connexion.

Vous pouvez configurer les connexions au périphérique Windows CE dans l’onglet Connexion.

Paramètres | Description
Serial | Paramètres de connexion série avec le périphérique Windows CE?; sélectionnez un port.
TCP/IP | Paramètres de connexion TCP/IP au périphérique Windows CE.
Adress | Adresse IP
Name | Nom de l'ordinateur
Syssrvce.exe starts with these settings | Paramètres de démarrage de syssrvce.exe.
Serial | Actif : connexion série sélectionnée?; vous devez sélectionner le port.
TCP/IP | Active : Connexion TCP/IP sélectionnée.
Connection with MS ActiveSync | Paramètres de la connexion via MS ActiveSync
Use MS ActiveSync for initial transport of syssrvce.exe | Actif : syssrvce.exe est transféré durant le premier transport via MS ActiveSync.
Destination folder | Dossier cible.
Help | Ouvre l'aide en ligne
Save | Enregistre toutes les modifications.
Exit | Ferme l’outil UpdateCE et affiche un message vous invitant à enregistrer les modifications non sauvegardées.

Définissez les fichiers que vous souhaitez transférer.

Paramètres | Description
Files to update | Fichiers à transférer.
HMI Runtime | Active : Transfère les fichiers zenon vers le périphérique cible. Par défaut : active
PLC Runtime | Active : Transfère les fichiers zenon Logic vers le périphérique cible. Par défaut : Inactive
OS system files | Active : Transfère les fichiers nécessaires au système d’exploitation. Par défaut : active
Update zenon6.ini | Transfère le fichier zenon6.ini vers le terminal cible. Ceci permet également de modifier les informations concernant la licence du périphérique cible.
Options |
Language | Langue du système cible. Par défaut : Anglais
HMI drivers | Sélectionnez les drivers HMI que vous souhaitez transférer.
Available | Liste de drivers disponibles.
Selected | Liste des drivers sélectionnés.
Add | Ajoute les drivers choisis à la liste des drivers sélectionnés.
Add all | Ajoute tous les drivers à la liste des drivers sélectionnés.
Remove | Supprime les drivers sélectionnés de la liste des drivers sélectionnés.
Remove all | Supprime tous les drivers de la liste des drivers sélectionnés.
Help | Ouvre l'aide en ligne
Save | Enregistre toutes les modifications.
Exit | Ferme l’outil UpdateCE et affiche un message vous invitant à enregistrer les modifications non sauvegardées.

Sélectionnez la version

Sélectionnez la version adéquate dans l’onglet Versions, si celle-ci n’a pas été automatiquement reconnue.

Paramètres | Description
WinCE version | Version du système d’exploitation Windows CE installé sur le périphérique cible. Cliquez sur le type de fonction pour ouvrir une liste déroulante de sélection.
Processor type | Processeur de l’équipement.
Source path | Chemin du dossier contenant les fichiers. Cliquez sur le bouton ... pour ouvrir une boîte de dialogue permettant de sélectionner un dossier.
New | Insère une nouvelle entrée vide dans la liste.
Delete | Supprime l’entrée sélectionnée de la liste.
Test | Contrôle les paramètres.
Help | Ouvre l'aide en ligne
Save | Enregistre toutes les modifications.
Exit | Ferme l’outil UpdateCE et affiche un message vous invitant à enregistrer les modifications non sauvegardées.

Démarrer la mise à jour

Pour établir une connexion :

  1. Cliquez sur le bouton Démarrer de l’onglet Mise à jour.

    Les données transférées sont contrôlées et affichées dans une fenêtre.

  2. Démarrez le transfert vers le périphérique cible en cliquant sur le bouton Suivant.

    Si le transfert ne peut pas démarrer parce que certains fichiers sont manquants, un message d’erreur contenant la liste des fichiers manquants s’affiche à l’écran :

    Si vous voyez s’afficher le message d’erreur La mise à jour actuelle n’a pas été terminée, la mise à jour a été interrompue ou n’a pas été exécutée correctement.

info Informations

Si vous souhaitez remplacer zenVNCServer.exe par le biais d’une mise à jour, le programme se ferme, puis redémarre après la mise à jour. Pour cela, le fichier zenVNCSrvCE.exe doit contenir

l’entrée suivant dans le fichier UpdateCE.ini, à la section [SOURCES_FILES_GENERAL] (existe par défaut) :

  • zenVNCSrvCE.exe
  • zenVNCCfgCE.exe


Recipe Group Manager

Manuel -> zenon Operator -> zenon pour Windows CE -> Recipe Group Manager

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Boîte de dialogue de filtre dans le Runtime

Si vous activez la propriété Avec dial. de filtre dans les options de la liste de valeurs de la recette lors de l’appel de synoptique, des options limitées sont disponibles sous Windows CE :

  • Filtre de recette
  • Paramètres des colonnes (pour la table de recettes)

Les options Sélection recette, Modélisation d’équipements et les paramètres des colonnes de la liste de recettes ne sont pas disponibles.


Transparence

Manuel -> zenon Operator -> zenon pour Windows CE -> Transparence

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Sous Windows CE, les fichiers GIF peuvent être affichés de manière transparente. Contrairement à cela, le paramètre de transparence des fonctions graphiques étendues n’est pas disponible dans Windows CE.

Pour afficher un fichier GIF transparent sous Windows CE :

  • Le fichier IMGDECEMP.dll doit être disponible sur le périphérique cible.
    Si le fichier est manquant, vous pouvez le demander via support@copadata.com.
  • La transparence peut être réglée à 0 % ou 100 %. Aucune valeur intermédiaire n’est possible.

info Informations

La transparence des fichiers entre 0 % et 100 % dans Windows CE ne dépend pas de zenon. Elle peut toutefois être utilisée dans certains cas :

  • Si zenon version 6.22 SP1 (ou une version ultérieure) n’est pas utilisé.
  • Si la fonction Alpha blending a déjà été déployée par le fabricant du périphérique cible?; COPA-DATA n’offre aucune prise en charge de cette fonction.


Pocket PC et Windows Mobile Edition

Manuel -> zenon Operator -> zenon pour Windows CE -> Pocket PC et Windows Mobile Edition

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Si vous quittez zenon avec X sur un Pocket PC ou sur une plate-forme Windows Mobile, notez que l’application ne se termine pas, mais s’exécute en tâche de fond.

Pour éviter de démarrer un nouveau Runtime de zenon sur votre plate-forme, nous avons créé l’outil Start_CERT.exe, qui met l’application en avant-plan si elle est déjà en cours d’exécution et démarre le Runtime normalement, dans le cas contraire.

Nous recommandons de démarrer le Runtime sur un Pocket PC ou sur une plate-forme Windows Mobile en utilisant Start_CERT.exe, plutôt qu’un lien direct.

Remarque : Pocket PC ne sera plus pris en charge à partir des versions 7 et suivantes de zenon.


zenon Remote Desktop

Manuel -> zenon Remote Desktop

L'outil zenon Remote Desktop permet d'établir une connexion distante à un ordinateur cible distant, et de gérer facilement un ordinateur distant. Ceci signifie que vous pouvez établir une connexion virtuel depuis votre PC vers un autre PC ou une plate-forme CE. Vous voyez le Bureau de la plate-forme cible comme il est sur celle-ci.

Le module zenon Remote Desktop offre deux types de connexions : un pour visualiser seulement et un pour utiliser le système distant.

tutorial Informations concernant la licence

Composante de la licence standard d’Editor et du Runtime.

Différences entre zenon Network, zenon Remote Desktop et Windows Remote Desktop

Le service zenon Remote Desktop ne remplace aucunement un réseau zenon. Ce n'est rien de plus qu'une transmission de données d'écran. Ceci signifie que tous les ordinateurs connectés montreront le même écran. Avec le réseau zenon, vous pouvez afficher différents écrans sur tous les clients.

L'avantage de zenon Remote Desktop par rapport à Windows Remote Desktop est que plusieurs ordinateurs peuvent se connecter au système cible en même temps. À tout moment, le système de contrôle reste complètement opérationnel, même si une connexion distante est active. Avec Windows Remote Desktop, l'utilisation est uniquement possible depuis le PC distant ou sur le système cible à un instant donné.

Activation

Pour éviter toute faille de sécurité, zenon Remote Desktop n'est pas activé lors de l'installation sur le PC. Pour pouvoir l'utiliser, vous devez l'activer (voir Configuration). Sous Windows CE, vous devrez démarrer le service Remote Desktop zenVNCSrvCE.exe manuellement ou par le mécanisme de démarrage de Windows CE.

Lorsque zenon est désinstallé, le programme d'installation ne désinstalle pas le zenon Remote Desktop. Il reste sur le PC. Voir le chapitre Désinstallation pour les instructions nécessaires à sa désinstallation.

attention Attention

Le zenon Remote Desktop est configuré avec des mots de passe standard. Nous recommandons de modifier ces mots de passe avec le logiciel de configuration ! Reportez-vous au chapitre Configuration.

Autres sujets abordés dans ce chapitre

Structure

Configuration

Établir une connexion

Limitations

Configuration avec plusieurs écrans

Conditions requises / problèmes

Désinstallation


Structure

Manuel -> zenon Remote Desktop -> Structure

L'outil zenon Remote Desktop est composé de trois parties :

Paramètres

Description

Service Remote Desktop de zenon.

Le service zenon Remote Desktop transfert les informations du bureau par le réseau pour le logiciel de visualisation. Le service n'a pas d'interface utilisateur sur le PC. Il tourne en tâche de fond comme un programme Windows invisible. Il n'est pas démarré en tant que service Windows.
Sous Windows CE, le service peut être vu dans la barre des tâches.

Le service zenon Remote Desktop est aussi un serveur Web HTTP intégré. Ce serveur Web est utilisé comme point de connexion pour n'importe quel type de navigateur Web. Vous pouvez démarrer une connexion Remote Desktop visuelle directement dans votre navigateur.

Configuration de zenon Remote Desktop

Le logiciel de configuration permet de modifier le comportement du service.

Logiciel de surveillance zenon Remote Desktop

Le logiciel de visualisation permet de visualiser zenon Remote Desktop depuis votre PC. Il y a deux types différents de ce logiciel :

  • Un logiciel de visualisation standard Windows, que vous pouvez démarrer depuis le module Remote Transport dans Editor ou depuis le menu Démarrer de Windows.
  • Une connexion directe avec un navigateur web standard sans avoir besoin de logiciel supplémentaire. Dans ce cas, le bureau distant sera visualisé directement dans le navigateur web.


Configuration

Manuel -> zenon Remote Desktop -> Configuration

La configuration de l'outil zenon Remote Desktop permet d'adapter ses paramètres de connexion selon vos besoins.

Paramètre

Description

Autoriser le service Remote Desktop

Active le service Remote Desktop.

Si le service est désactivé, il sera désinscrit et ne sera plus disponible. Vous ne pourrez le réactiver qu'avec ce logiciel de configuration.

En cas d'utilisation d'un serveur HTTP actif, vous devez modifier le mot de passe avant la désactivation.

Autoriser le serveur HTTP intégré

Active le serveur HTTP intégré. La page d'accueil affichée est figée et ne peut être changée.

Attention : Si vous avez désactivé le serveur HTTP, vous pouvez toujours accéder à la page de connexion par une réactualisation du navigateur.
La page sera alors redirigée du port HTTP normal (5600) vers le port du Remote Desktop (5610). De cette façon, vous pouvez toujours vous connecter et avoir un accès complet. Pour éviter tout accès, modifiez le mot de passe ou bloquez le port 5610 dans Remote Desktop.

Mot de passe primaire

Autorise un accès en écriture à l'ordinateur.

Traitement du mot de passe :

  • Le mot de passe par défaut après la première installation est SCADA-ALL.
    Nous recommandons de changer le mot de passe standard pour éviter des accès non autorisés.
  • La taille du mot de passe est limitée à 8 caractères.
    Vous pouvez toutefois saisir le mot de passe par défaut, SCADA-ALL.
  • Vous pouvez modifier le mot de passe à tout instant, même si vous ne connaissez pas le mot de passe actuel.
  • Si vous ne saisissez pas un mot de passe, un message d'avertissement s'affiche dès que vous cliquez à l'extérieur du champ.

Mot de passe de visualisation seulement

Lors de l'établissement d'une connexion, vous devez entrer ce mot de passe pour avoir un accès de visualisation seulement au bureau.

Traitement du mot de passe :

  • Le mot de passe par défaut après la première installation est SCADA.
    Nous recommandons de changer le mot de passe standard pour éviter des accès non autorisés.
  • La taille du mot de passe est limitée à 8 caractères.
  • Vous pouvez modifier le mot de passe à tout instant, même si vous ne connaissez pas le mot de passe actuel.
  • Si vous ne saisissez pas un mot de passe, un message d'avertissement s'affiche dès que vous cliquez à l'extérieur du champ.

Enregistrer les informations dans zenVNC.log

Le service zenon Remote Desktop écrit des informations d'analyse dans le fichier zenVNC.log. Ce fichier se trouve dans le répertoire Temp. C:\Users\Default\AppData\Local\Temp

Vous ne voyez ces dossiers que si vous avez activé l'option Afficher les fichiers et dossiers cachés par le menu "Outils / Options des dossiers" depuis l'explorateur Windows.

Enregistrer les informations de débogage détaillées

Le service zenon Remote Desktop écrit des informations détaillées concernant les erreurs et le débogage dans le fichier zenVNC.log. Cette option est uniquement disponible aux fins de l'analyse détaillée des erreurs.

Bloquer les événements distants entrants

Si vous ne voulez pas autoriser l'accès complet depuis l'extérieur, même si le mot de passe primaire est connu, vous pouvez activer cette option. Les accès en écriture depuis des PC distants sont bloqués. Seul l'accès en visualisation est possible.

Bloquer les entrées distantes par activité locale

S'il y a une activité locale sur le poste (avec le clavier ou la souris), cela ne peut pas agir depuis un PC distant. Les opérations distantes seront autorisées à nouveau après le temps configuré.

attention Attention

Si vous ne modifiez pas les mots de passe, n'importe qui pourra accéder à votre PC !

Entrer un mot de passe vide est possible mais non recommandé. Un mot de passe vide permet un accès complet à votre PC pour tout le monde.

info Informations

Toutes les modifications s'appliquent après avoir cliqué sur OK. Ceci engendre un redémarrage du service zenon Remote Desktop. Les ordinateurs connectés sont déconnectés.


Établir une connexion

Manuel -> zenon Remote Desktop -> Établir une connexion

Vous pouvez établir une connexion Remote Desktop en utilisant l'une des méthodes suivantes :

Intégré au module Remote Transport :

Le module zenon Remote Desktop est directement intégré à zenon. Vous pouvez établir une connexion à l'aide du bouton Remote Desktop: démarrer la connexion dans la barre d’outils de Remote Transport. Le système cible configuré dans Remote Transport sera automatiquement utilisé en tant que système cible. Si aucun ordinateur n'a été spécifié, c'est le poste serveur sélectionné dans la partie réseau qui est utilisé.

Veuillez noter que TCP/IP est le moyen de transport qui doit être configuré dans le module Remote Transport.

La connexion est établie de la même façon que si cela avait été fait à partir du menu Démarrer. Mais ici, vous n'avez pas à définir le nom du poste distant.

Par le menu Démarrer :

Si vous voulez établir une connexion par l'outil Remote Desktop à un système cible, vous pouvez utiliser le lien Démarrer - COPA-DATA - Outils - Démarrer le service zenon Remote Desktop du menu Démarrer de Windows.

Paramètres | Description
Server | Entrer le nom ou l'adresse IP du poste distant.
Connection profile | Le profil de connexion détermine la bande passante requise pour le réseau. Plus la bande passante est petite, plus la compression des données d'image sera élevée et plus la qualité de l'image sera faible. Cette option peut seulement être configurée au démarrage de la connexion et ne peut pas être changée par la suite. Si vous voulez la modifier, vous devez d'abord vous déconnecter.
Options | Ouvre la boîte de dialogue des Options de connexion. Vous pouvez aussi modifier les options de connexion alors que la connexion est active. Vous trouverez une description des options dans le chapitre Options de connexion.

Lorsque vous cliquez sur Connect (Connexion), la connexion est établie.

Par le navigateur web

Vous pouvez aussi établir une connexion par un navigateur web standard. Ceci nécessite le Java Runtime sur votre PC. Vous pouvez obtenir la version courante depuis le site Java : http://www.java.com.

Démarrez votre navigateur Web et saisissez le nom ou l'adresse IP du système cible dans la barre d'adresse, suivi du numéro de port 5600.

Exemple : http://MonPCDistant:5600.

Java version 8.45 ou supérieure

Une sécurité plus stricte a été mise en œuvre avec Java version 8.45. Par conséquent, il se peut qu'il soit désormais impossible d'établir une connexion HTTP à un serveur de connexion Remote Desktop dans zenon.

Pour continuer à vous connecter via le protocole HTTP :

  • Installez la version 7 de Java.
  • Utilisez un client VPN à la place d'un navigateur Web.
  • Utilisez TightVNC (versions 2.7.10 et supérieures) pour établir la connexion HTTP.
    • Site Web du concepteur :
      www.tightvnc.com/
    • Lien de téléchargement :
      www.tightvnc.com/release-2.7.10.php

info Informations

Pour toutes les connexions, ce qui suit est vrai : il est impossible d'établir une connexion au PC local !

Si vous rencontrez des problèmes de connexion, veuillez consulter le chapitre Conditions requises.

Autres sujets abordés dans ce chapitre

Authentication (Authentification)

Logiciel standard de visualisation

Logiciel de visualisation web


Authentication (Authentification)

Manuel -> zenon Remote Desktop -> Établir une connexion -> Authentication (Authentification)

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Logiciel standard de visualisation

Lors de l'établissement de la connexion, vous verrez une boîte de dialogue qui vous permet de vous assurer que vous vous connectez bien au bon système cible.

Dans cette boîte de dialogue, vous avez simplement besoin de saisir le mot de passe de connexion. Un nom d'utilisateur n'est pas requis.

Interface web :

_

Dans cette boîte de dialogue, vous avez simplement besoin de saisir le mot de passe de connexion. Dans la barre de titre, vous pouvez voir le bureau distant auquel vous êtes connecté.

Gestion utilisateurs

Vous avez besoin de connaître les mots de passe de connexion pour établir une connexion. Le mot de passe Primaire vous donne l'accès complet au système distant. Le mot de passe Visu seule vous donne un accès uniquement de visualisation. Selon le mot de passe saisi, l'un ou l'autre mode sera démarré. La taille du mot de passe est limitée à 8 caractères. (pour plus de détails, reportez-vous au chapitre Configuration)

attention Attention

Si l'option "Bloquer les événements entrants distants" a été activée dans le logiciel de configuration de l'outil Remote Desktop, vous ne pourrez pas agir sur le système distant, même si vous avez saisi le mot de passe primaire.

info Informations

Par défaut, le mot de passe Primaire est SCADA-ALL et le mot de passe Visu seule est SCADA. Vous pouvez modifier les mots de passe à tout instant dans le logiciel de configuration installé sur le système distant (voir le chapitre Configuration).


Logiciel standard de visualisation

Manuel -> zenon Remote Desktop -> Établir une connexion -> Logiciel standard de visualisation

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Après avoir établi une connexion, le logiciel de visualisation montre l'écran du bureau distant.

D'autres paramètres peuvent être définis via la barre d'outils, le menu contextuel ou la liste déroulante. Même si la barre d’outils n'est pas visible, vous pouvez utiliser le menu contextuel en cliquant avec le bouton droit de la souris sur la barre de titre du logiciel de visualisation ou sur le symbole dans la barre des tâches. Si vous êtes en mode plein écran, vous devez d'abord désactiver ce mode en utilisant le raccourci-clavier <Ctrl><Alt><Maj><F>.

La barre d'outils et le menu contextuel offrent les options suivantes :

Paramètres

Description

Fermer

Ferme la connexion et quitte le programme.

Options de connexion ...

Ouvre la boîte de dialogue permettant l'édition des options de la connexion. Voir le chapitre Options de connexion

Informations sur la connexion

Ouvre une boîte de dialogue qui montre des informations concernant la connexion courante.

Actualiser écran

Ceci entraîne l'actualisation et le rafraîchissement d'écran du service Remote Desktop.

Plein écran

Bascule en mode plein écran.

  • Si l'ordinateur distant et le PC local utilisent la même résolution d'écran, l'image du poste distant remplira l'écran local.
  • Si l'ordinateur distant utilise une résolution plus faible, le bureau distant sera centré et entouré d'une bordure noire.
  • Si l'ordinateur distant utilise une résolution supérieure à celle du poste local, vous ne verrez qu'une partie du bureau distant. Avec la souris, vous pourrez alors déplacer les zones de l'écran non visibles dans la partie visible.

Vous pouvez utiliser le raccourci clavier <Alt><Tabulation> pour basculer entre le poste distant et le poste local.

Vous pouvez terminer le mode Plein écran en utilisant le raccourci clavier Ctrl+Alt+Maj+F.

Afficher la barre d'outils

Active : la barre d'outils est affichée.

Envoi Ctrl-Alt-Suppr

Cette action n'a pas d'effet.

Envoi Ctrl-Échap

Ouvre le menu Démarrer sur le bureau distant.

Touche Ctrl enfoncée

Enfonce la touche Ctrl sur le poste distant. Cliquez une nouvelle fois pour relâcher la touche Ctrl.

Touche Alt enfoncée

Enfonce la touche Alt sur le poste distant. Cliquez une nouvelle fois pour relâcher la touche Ctrl.

Nouvelle connexion ...

Ouvre la boîte de dialogue pour une nouvelle connexion à un poste distant. Voir Établir une connexion. La connexion existante sera fermée.

Enregistrer info connexion sous ...

Enregistre un lien vers cette connexion dans un fichier RDC (Remote Desktop Communication). Vous pouvez ensuite mettre ce lien sur votre bureau par exemple. Lors de l'enregistrement, on vous demandera si vous voulez sauvegarder le mot de passe dans le fichier.
Remarque : stocker le mot de passe dans le fichier constitue un risque par rapport à la sécurité.

En double-cliquant sur le lien, vous établissez la connexion vers le poste distant configuré sans avoir à redéfinir un nom d'ordinateur (et un mot de passe, si vous avez choisi de le stocker dans le fichier).

Remarque : L'option de transfert de données Transférer les fichiers est uniquement disponible jusqu'à la version 6.22SP1 Build 7.

Autres sujets abordés dans ce chapitre

Options de connexion


Options de connexion

Manuel -> zenon Remote Desktop -> Établir une connexion -> Logiciel standard de visualisation -> Options de connexion

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Vous pouvez configurer les options suivantes sur l'onglet Connexion :

Options | Description :
Scale by | Redimensionne l'affichage du bureau distant à la taille configurée. Cette option est utile si le poste distant a une résolution supérieure à celle du poste local.
Full-screen mode | Bascule en mode plein écran. Vous pouvez terminer le mode Plein écran en utilisant le raccourci clavier <Ctrl><Alt>Maj<F.
Deiconify on remote Bell event | Ce paramètre n'a pas d'effet.

Vous pouvez configurer les options suivantes sur l'onglet Global :

Options | Description :
Show toolbars by default | Montre la barre d'outils. Si vous avez désactivé la barre d’outils, vous pouvez la réactiver en utilisant le menu contextuel.
Warn at switching to the full-screen mode | Si vous basculez en mode plein écran, vous aurez un message vous expliquant comment quitter ce mode.
Number of connections to remember | Le logiciel de visualisation peut se "rappeler" les connexions récentes. Lorsque vous établissez une connexion, vous pouvez la choisir depuis une liste de connexions récentes. Ici vous configurez combien de connexions sont à mémoriser.
Clear the list of saved connections | Supprime la liste des connexions enregistrées
Dot cursor | Le curseur local de la souris est affiché sous la forme d'un point noir au-dessus du curseur de la souris distante.
Small dot cursor | Le curseur local de la souris est affiché sous la forme d'un petit point noir au-dessus du curseur de la souris distante.
Normal arrow | Le curseur local de la souris est affiché sous la forme du curseur de souris standard Windows au-dessus du curseur de la souris distante.
No local cursor | Seul le curseur de la souris distante est affiché.


Logiciel de visualisation web

Manuel -> zenon Remote Desktop -> Établir une connexion -> Logiciel de visualisation web

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Vous pouvez utiliser les options suivantes dans l'interface du navigateur :

Paramètres | Description :
Déconnecter | Ferme la connexion. Le navigateur Web reste ouvert.
Options | Ici vous pouvez configurer plusieurs options de connexion. Ces options ne sont pas documentées. Nous vous recommandons de garder les paramètres d'origine. Les modifications ne sont pas sauvegardées. Si vous faites des changements, les paramètres d'origine seront restaurés lors de la prochaine connexion.
Presse-papier | Permet de récupérer le texte sauvegardé dans le presse-papier du zenon Remote Desktop ou d'envoyer du texte dans le presse-papier. La boîte de dialogue montre le presse-papier du zenon Remote Desktop. Si vous modifiez le texte, il sera envoyé vers le presse-papiers de zenon Remote Desktop après avoir cliqué sur Close.
Envoi Ctrl-Alt-Suppr | Cette option n'est pas prise en charge.
Actualiser | Rafraîchit le contenu de l'écran.


Limitations

Manuel -> zenon Remote Desktop -> Limitations

L'outil zenon Remote Desktop tourne dans le contexte de l'utilisateur. Il est démarré lorsque l'utilisateur se connecte à Windows.

Ceci signifie qu'une connexion distante ne peut être établie que si un utilisateur s'est connecté. Une connexion distante avec Ctrl-Alt-Suppr n'est pas possible. Si l'utilisateur se déconnecte, le service zenon Remote Desktop sera aussi arrêté. Tous les logiciels de visualisation connectés seront déconnectés.

Si l'ordinateur distant est verrouillé, il ne sera pas non plus possible d'établir une connexion. L'ordinateur est aussi verrouillé s'il y a un écran de veille actif avec l'option A la reprise, protéger par mot de passe.

Si plusieurs utilisateurs sont connectés en même temps sur le poste distant (pour un basculement rapide d'utilisateur), le service zenon Remote Desktop sera aussi démarré plusieurs fois. Cependant, le logiciel de visualisation ne pourra se connecter qu'au service qui a démarré en premier. Si le premier utilisateur n'est pas actif, la connexion sera établie, mais après la saisie du mot de passe, elle sera fermée immédiatement.

La connexion sera aussi fermée si l'utilisateur qui s'est connecté en premier clique sur "Changer d'utilisateur", car il devient inactif.


Configuration avec plusieurs écrans

Manuel -> zenon Remote Desktop -> Configuration avec plusieurs écrans

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Si un projet est exécuté sur un poste de travail comportant plusieurs écrans, ces derniers sont accessibles via une connexion à distance, dans certaines conditions. Le Runtime de zenon autorise également les configurations avec plusieurs écrans, même si le système actuel prend uniquement en charge l'utilisation d'un moniteur seulement.

Exigences applicables à la configuration d'un système avec plusieurs écrans dans Remote Desktop :

Client :

  • Windows Entreprise ou Édition Intégrale
  • RDP autorise la prise en charge des configurations avec plusieurs écrans
    Prise en charge de l'option /multimon

Serveur :

  • Windows Entreprise ou Édition Intégrale
    ou
  • Serveur de terminal/services de Bureau à distance
  • Directives autorisant la prise en charge de configuration à plusieurs écrans

Vous trouverez des détails concernant la configuration dans cette publication de Microsoft (entre autres) : https://blogs.msdn.microsoft.com/rds/2009/07/01/using-multiple-monitors-in-remote-desktop-session/


Conditions requises / problèmes

Manuel -> zenon Remote Desktop -> Conditions requises / problèmes

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Pour établir une connexion à un système distant, les conditions suivantes doivent être remplies :

  • zenon (version 6.22 ou ultérieure) doit être installé.
  • Le service zenon Remote Desktop (zenVNCSrv.exe) doit être activé sur le PC. Vous pouvez l'activer dans le logiciel de configuration du zenon Remote Desktop (voir Configuration). Vous pouvez vérifier si le service tourne en utilisant le gestionnaire des tâches de Windows.
  • Un utilisateur doit être connecté sur le PC distant et le PC ne doit pas être verrouillé. Voir le chapitre Limitations.
  • Sous Windows CE, vous devrez démarrer le service zenon Remote Desktop zenVNCSrvCE.exe manuellement ou par le mécanisme de démarrage de Windows CE. Veuillez consultez la documentation de votre plate-forme pour savoir comment activer les options de démarrage. Vous pouvez vérifier si le service tourne en utilisant le gestionnaire des tâches de Windows CE (si disponible).
  • Le service doit être enregistré dans le pare-feu Windows et dans tous les autres pare-feu. Les ports 5600 (port http) et 5610 (port du zenon Remote Desktop) doivent être enregistrés. Vous pouvez vérifier si ces ports sont enregistrés et activés en établissant une connexion Telnet depuis un autre PC vers les ports 5600 ou 5610. Pour cela, démarrez une Invite de commande (cmd.exe) et entrez la commande suivante :
    telnet RemotePCName 5610.
    Si la connexion réussit, une fenêtre noire apparaît.
    Sous Windows, Telnet n'est pas installé par défaut. Vous pouvez l'installer en exécutant les étapes suivantes :
    Menu Démarrer > Paramètres > Panneau de configuration > Programmes et fonctionnalités, puis 'Activer ou désactiver des fonctionnalités Windows'.
    Cochez la case 'Client Telnet' dans la liste montrée et cliquez sur OK.
  • Les ports 5600 et 5610 ne doivent pas être utilisés par d'autres programmes. S'ils sont utilisés par d'autres programmes, le système va aléatoirement sélectionner d'autres ports. Vous pouvez vérifier l'assignation des ports avec la commande Windows netstat -n -a -o dans l'invite de commande. Vous pouvez connaître le Process ID du service zenon Remote Desktop zenVNCSrv.exe dans l'onglet Processus du gestionnaire de tâches. Si l'ID n'est pas visible, vous pouvez activer la colonne PID (Identificateur de processus) dans le menu Affichage - Sélectionner les colonnes....
  • Si vous établissez une connexion depuis Editor, assurez-vous que TCP/IP a été sélectionné comme moyen de transport dans le module Remote Transport. Vous devez aussi entrer un ordinateur comme système cible soit dans le module Remote Transport soit en tant que serveur dans la partie Réseau.
  • La fonction de changement rapide de l'utilisateur de Windows n'est pas prise en charge. Cela entraîne une déconnexion. Voir le chapitre Limitations.

info Informations

Serveur HTTP désactivé :

Si vous avez désactivé le serveur HTTP, vous pouvez toujours accéder à la page de connexion par une réactualisation du navigateur.
La page sera alors redirigée du port HTTP normal (5600) vers le port du zenon Remote Desktop (5610). De cette façon, vous pouvez toujours vous connecter et avoir un accès complet. Pour éviter tout accès, modifiez le mot de passe ou bloquez le port 5610 dans Remote Desktop.


Désinstallation

Manuel -> zenon Remote Desktop -> Désinstallation

L'outil zenon Remote Desktop n'est pas désinstallé avec zenon car il peut être utilisé pour différentes versions de ce dernier. Le programme d'installation ne peut pas vérifier quelles sont les versions de zenon sont utilisées.

Si vous voulez supprimer le zenon Remote Desktop, vous devez suivre les étapes suivantes :

  1. Démarrez le logiciel de configuration.
  2. Décochez l'option Activer le service Remote Desktop.
  3. Cliquez sur OK.
  4. Le service zenon Remote Desktop est arrêté et son enregistrement est annulé.

Maintenant vous pouvez supprimer les fichiers zenVNCSrv.exe, zenVNCcfg.exe et oem.dll dans le dossier C:\Program Files\Fichiers communs\COPA-DATA\zenVNCSrv.


zenon Science Package for LEGO MINDSTORMS

Manuel -> zenon Science Package for LEGO MINDSTORMS

L’application zenon Science Package for LEGO MINDSTORMS autorise la programmation d’objets LEGO MINDSTORMS NXT and MINDSTORMS EV3 Brick. Les programmes sont créés dans zenon Logic et exécutés sur le contrôleur LEGO avec straton. zenon Logic est l’environnement de programmation conforme au standard IEC 61131-3 inclus dans zenon.

tutorial Informations concernant la licence

zenon Science Package for LEGO MINDSTORMS contient une licence limitée (pour plus de détails, reportez-vous au chapitre zenon Science Package license). Celle-ci est installée si aucune licence de zenon n’est présente sur l’ordinateur.

Ces instructions vous guideront tout au long de l’installation et la programmation de l’automatisation d’un objet LEGO MINDSTORMS NXT 2.0 ou MINDSTORMS EV3 EV3 Brick avec zenon. Seules les informations relatives à l’utilisation de zenon Logic/straton sont contenues dans cette documentation. Vous trouverez des informations élémentaires concernant la programmation et le fonctionnement des objets LEGO MINDSTORMS dans la documentation LEGO.

Tous les logiciels requis sont présents sur le support d’installation de zenon Science Package for LEGO MINDSTORMS. Cette application ne contient aucun matériel, composant ou contrôle de LEGO.

Pour configurer le matériel LEGO avec zenon, utilisez les logiciels suivants :

  • zenon : logiciel de surveillance et de contrôle contenant le zenon Logic intégré.
  • Workbench de zenon Logic : environnement de programmation des programmes s’exécutant sur le firmware intégré straton.
  • straton: Firmware du contrôleur LEGO

Vous trouverez toutes les applications et informations requises sur le support d’installation. Elles doivent également se trouver dans le dossier de zenon, sur votre ordinateur. Les dossiers les plus importants sont les suivants :

  • FIRMWARE : ce dossier contient le firmware que vous pouvez charger sur votre contrôleur LEGO MINDSTORMS, à l’aide de l’outil LEGO Firmware Loader.
  • USB_DRIVER: ce dossier contient le fichier INF du driver USB-série.

info Informations

LEGO, MINDSTORMS, NXT et EV3 sont des marques de commerce de la société LEGO.

Autres sujets abordés dans ce chapitre

zenon Science Package for Lego MINDSTORMS 2.0

zenon Science Package for LEGO MINDSTORMS EV3


zenon Science Package for Lego MINDSTORMS 2.0

Manuel -> zenon Science Package for LEGO MINDSTORMS -> zenon Science Package for Lego MINDSTORMS 2.0

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

L’application zenon Science Package for LEGO MINDSTORMS 2.0 autorise la programmation d’objets LEGO MINDSTORMS NXT 2.0. Les programmes sont créés dans zenon Logic et exécutés sur le contrôleur LEGO avec straton. zenon Logic est l’environnement de programmation conforme au standard IEC 61131-3 inclus dans zenon.

Autres sujets abordés dans ce chapitre

Installation

Créez une connexion entre zenon Logic et straton

Développement d’applications straton pour NXT

Connexion du Runtime de MINDSTORMS 2.0 à zenon

Questions et réponses

Utilisation de variables complexes


Installation

Manuel -> zenon Science Package for LEGO MINDSTORMS -> zenon Science Package for Lego MINDSTORMS 2.0 -> Installation

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Pour utiliser zenon Science Package for LEGO MINDSTORMS, vous devez disposer des éléments suivants :

  • zenon, versions 7.00 SP0 et ultérieures
  • Firmware du contrôleur LEGO

Si vous avez déjà installé zenon 7.00 ou une version ultérieure sur votre ordinateur, vous disposez déjà d’une licence d’utilisation de zenon Science Package for LEGO MINDSTORMS. Si vous n’avez pas encore installé zenon, installez la version de zenon fournie sur le support d’installation. Celle-ci comporte une licence d’utilisation limitée de LEGO MINDSTORMS 2.0.

Autres sujets abordés dans ce chapitre

Installation de zenon

Projets de démonstration

Installation de firmware

Utilisation de firmwares existants

Établissement d’une connexion Bluetooth avec le contrôleur


Installation de zenon

Manuel -> zenon Science Package for LEGO MINDSTORMS -> zenon Science Package for Lego MINDSTORMS 2.0 -> Installation -> Installation de zenon

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Pour installer la version actuelle de zenon :

  1. Connectez le support d’installation à l’ordinateur.
  2. Si l’installation ne démarre pas automatiquement, sélectionnez start.exe.
  3. Sélectionnez zenon 7.60:
  4. Suivez les instructions de l’assistant d’installation :

Remarque : si vous avez déjà installé zenon version 7.00 ou une version ultérieure, aucune installation n’est requise.

Autres sujets abordés dans ce chapitre

Licence de zenon Science Package


Licence de zenon Science Package

Manuel -> zenon Science Package for LEGO MINDSTORMS -> zenon Science Package for Lego MINDSTORMS 2.0 -> Installation -> Installation de zenon -> Licence de zenon Science Package

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

zenon Science Package for LEGO MINDSTORMS 2.0 est inclus dans la licence standard de zenon. Si cette version est installée sur un système non équipé de zenon, elle s’exécutera avec une licence de zenon Science Package. Cette licence permet également de créer et d’éditer des projets zenon dans les limites des modules comportant une licence.

Cette licence contient :

  • 128 variables
  • Extended Trend Starter Edition
  • Serveur d’archives, version Starter Edition
  • VBA
  • zenon Logic Workbench
  • Le firmware straton

Remarque : cette licence comporte une durée d’exécution de 90 minutes. Editor doit ensuite être fermé, puis redémarré.


Projets de démonstration

Manuel -> zenon Science Package for LEGO MINDSTORMS -> zenon Science Package for Lego MINDSTORMS 2.0 -> Installation -> Projets de démonstration

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Deux projets démo sont également disponibles en téléchargement sur le forum de COPA-DATA (www.copadata.com/forums) :

  • MINDSTORMS_DEMO: fournit un aperçu des capteurs et du contrôleur. Utilisez ce projet pour vous familiariser avec LEGO MINDSTORMS 2.0 et sa programmation.
  • LEGO_DEMO_SHOOTERBOT: un exemple de projet pour le modèle Shooterbot. Vous pouvez personnaliser ce projet selon vos besoins.

Chargez l’espace de travail contenant les deux projets dans zenon :

  1. Cliquez avec le bouton droit sur l’espace de travail actuel.
  2. Dans le menu contextuel de l’espace de travail, sélectionnez -> Restore backup... (Charger sauvegarde...).
  3. Accédez à la sauvegarde de l’espace de travail sur le support d’installation (*.wsb).
  4. Sélectionnez le fichier, puis cliquez sur OK.

Pour ouvrir des projets :

  1. Dans l’espace de travail, accédez au nœud zenon Logic (IEC 61131-3).
  2. Sélectionnez le nœud en cliquant dessus avec le bouton gauche.
  3. Sélectionnez le projet mindstorms.
  4. Cliquez sur le symbole Ouvrir dans la barre d’outils, ou double-cliquez sur le projet pour l’ouvrir dans le module Workbench de zenon Logic.


Installation de firmware

Manuel -> zenon Science Package for LEGO MINDSTORMS -> zenon Science Package for Lego MINDSTORMS 2.0 -> Installation -> Installation de firmware

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Pour pouvoir utiliser votre système LEGO MINDSTORMS 2.0 avec zenon, vous devez charger le firmware straton sur le contrôleur. Ce chapitre vous indique comment :

  • Charger le firmware de straton sur le contrôleur
  • Mettre à jour un firmware existant de straton ou remplacer un firmware existant
  • Établir une connexion USB avec le contrôleur, à l’aide du driver USB de COPA-DATA
  • Établir une connexion Bluetooth avec le contrôleur

Charger le firmware de straton sur le contrôleur

Pour charger le firmware de straton sur le contrôleur LEGO MINDSTORMS NXT 2.0, vous devez utiliser le logiciel LEGO MINDSTORMS NXT 2.0, fourni avec votre contrôleur LEGO MINDSTORMS NXT 2.0.

attention Attention

Si le contrôleur comporte déjà un firmware différent de celui fourni par LEGO, veuillez procéder conformément aux indications de la section Utilisation de firmwares existants.

Pour charger le firmware :

  1. Démarrez le logiciel LEGO MINDSTORMS NXT 2.0.
  2. Dans le menu TOOL (Outil), sélectionnez -> Update NXT Firmware.

  3. Assurez-vous d’utiliser le format correct : *.rfw.
    Si le suffixe de fichier est encore *.bin, changez-le en *.rfw.
    Dans zenon 7.20, le fichier est appelé : STRATON_NXT_103_2011_08_10.rfw.
    Vous le trouverez sur le support d’installation, dans le chemin : AdditionalSoftware\Science Package - Firmware\NXT2.
  4. Cliquez sur le bouton Browse.
  5. Sélectionnez le dossier contenant le firmware.

  6. Démarrez le contrôleur NXT.
    Pour cela, appuyez sur le bouton orange.
  7. Connectez le contrôleur à l’ordinateur par le biais du port USB.
  8. Cliquez sur le bouton Download (Télécharger) pour charger le firmware sur le contrôleur.

  9. Débranchez le câble USB.
  10. Le contrôleur démarre avec le firmware mis à jour.

info Informations

Pour effectuer ultérieurement la mise à jour du firmware de straton ou pour remplacer le firmware par un firmware LEGO, suivez les instructions fournies à la section Utilisation de firmwares existants.


Utilisation de firmwares existants

Manuel -> zenon Science Package for LEGO MINDSTORMS -> zenon Science Package for Lego MINDSTORMS 2.0 -> Installation -> Utilisation de firmwares existants

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Si un firmware non fourni par LEGO est déjà présent sur le contrôleur, celui-ci doit être configuré en Firmware-Load-Modus (mode de chargement de firmware) pour autoriser l’installation d’un autre firmware. Ce mode est également nécessaire si le firmware de straton doit être mis à jour ou le firmware LEGO doit être chargé à nouveau. Pour configurer le contrôleur en Firmware-Load-Modus (mode de chargement de firmware) :

  1. Pendant 5 secondes, jusqu’à ce que vous entendiez un "clic",
    • appuyez sur le bouton de démarrage orange et
    • le bouton Reset (Réinitialisation) situé à l’arrière de l’équipement.
      Utilisez un objet pointu pour accéder au bouton Reset (Réinitialisation).

  2. Mettez le contrôleur NXT sous tension en appuyant sur le bouton orange.

  3. Le contrôleur NXT démarre en Firmware-Load-Modus (mode de chargement de firmware). Un son régulier retentit.
  4. Démarrez le téléchargement du firmware souhaité.
    Pour cela, vous devez établir une connexion USB ou Bluetooth. Pour établir une connexion USB avec zenon/straton, vous devez utiliser le driver de COPA-DATA.

attention Attention

Le Firmware-Load-Modus (mode de chargement de firmware) peut uniquement être fermé par le téléchargement d’un firmware.

Autres sujets abordés dans ce chapitre

Connexion USB sans firmware LEGO


Connexion USB sans firmware LEGO

Manuel -> zenon Science Package for LEGO MINDSTORMS -> zenon Science Package for Lego MINDSTORMS 2.0 -> Installation -> Utilisation de firmwares existants -> Connexion USB sans firmware LEGO

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Si le firmware appliqué n’est pas fourni par LEGO, le driver correspondant devra probablement être installé. Dans ce cas, le contrôleur USB n’est pas reconnu durant la connexion avec l’ordinateur. Pour établir une connexion USB :

  1. Sélectionnez Panneau de configuration -> Système -> Gestionnaire de périphériques.
  2. Double-cliquez sur Périphérique inconnu.
  3. Sur l’onglet Pilote, cliquez sur Mettre à jour le pilote.
  4. La boîte de dialogue de sélection du pilote (ou driver) s’affiche à l’écran.
  5. Sélectionnez Search the computer for driver software (Rechercher un driver sur l’ordinateur).
  6. Sélectionnez le dossier contenant le fichier Mindstorm_straton.inf.
  7. Un avertissement concernant le fabricant du driver s’affiche à l’écran.
  8. Sélectionnez Install driver nevertheless (Installer le driver malgré tout).
  9. Le périphérique peut maintenant communiquer par le biais du port USB.


Établissement d’une connexion Bluetooth avec le contrôleur

Manuel -> zenon Science Package for LEGO MINDSTORMS -> zenon Science Package for Lego MINDSTORMS 2.0 -> Installation -> Établissement d’une connexion Bluetooth avec le contrôleur

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Si l’ordinateur est équipé d’un port Bluetooth, la connexion avec le contrôleur peut également être établie via Bluetooth. Pour configurer la fonction Bluetooth pour la connexion entre l’ordinateur et le contrôleur :

  1. Mettez le contrôleur LEGO sous tension en appuyant sur le bouton orange.

  2. Appuyez à nouveau sur le bouton orange.
  3. Sélectionnez Settings en appuyant sur le bouton gris clair.

  4. Confirmez votre sélection en appuyant sur le bouton orange.
  5. Accédez au menu des paramètres Bluetooth en appuyant sur les boutons gris.
    1. Activez la fonction Bluetooth.
    2. Donnez un nom à la connexion Bluetooth.
    3. Définissez l’état de la connexion Bluetooth sur visible.
    4. Quittez le menu Bluetooth en appuyant sur le bouton gris foncé.
  6. Accédez au menu Connections.
  7. Sélectionnez l’option Bluetooth en appuyant sur les boutons gris.
  8. Le contrôleur est désormais accessible via la connexion Bluetooth.
  9. Ouvrez le gestionnaire de périphériques Bluetooth sur l’ordinateur.
    1. Sélectionnez Ajout de périphérique.
    2. Windows recherche alors les équipements Bluetooth visibles.
    3. Sélectionnez le contrôleur MINDSTORMS NXT dans la liste, puis cliquez sur Suivant.
    4. Le contrôleur MINDSTORM demande un mot de passe pour établir la connexion :
      Nous vous recommandons d’utiliser 1234_. Confirmez le mot de passe en appuyant sur le bouton orange.
    5. Le mot de passe défini dans le contrôleur MINDSTORMS 2.0 doit également être saisi sur l’ordinateur.
    6. Cliquez sur Suivant.
  10. La connexion est établie et les drivers sont installés.
  11. Double-cliquez sur l’équipement Bluetooth créé.
    L’équipement installé et le port COM attribué à celui-ci sont affichés. Connectez le module Workbench de zenon Logic à ce port COM, ou connectez zenon au driver stratonNG.
    Pour configurer le port :
    1. Cliquez sur les propriétés.
    2. Cliquez sur le bouton Avancé.
    3. Modifiez le numéro de port en fonction de vos spécifications.


Créez une connexion entre zenon Logic et straton

Manuel -> zenon Science Package for LEGO MINDSTORMS -> zenon Science Package for Lego MINDSTORMS 2.0 -> Créez une connexion entre zenon Logic et straton

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Pour créer une connexion entre zenon Logic et straton :

  1. Démarrez zenon. Le projet MINDSTORMS est ouvert.
    Si vous souhaitez ouvrir un autre projet ou espace de travail, ouvrez l’espace de travail du projet par le biais du menu contextuel de l’espace de travail.
    Si vous souhaitez créer un nouveau projet :
    1. Sélectionnez l’option de menu Fichier -> Nouveau projet.
    2. Créez un nouveau projet zenon Logic en cliquant avec le bouton droit sur le nœud zenon Logic et en sélectionnant ensuite, dans l’arborescence du projet, Nouveau projet zenon Logic....
  2. Ouvrez le projet zenon Logic en double-cliquant sur le module Workbench.
  3. Dans le module Workbench de zenon Logic, cliquez sur Outils -> Paramètres de communication.

  4. La boîte de dialogue Options contenant l’onglet Debug (Débogage) s’affiche, vous permettant de configurer la connexion.
  5. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de paramètres des communications série.

  6. Configurez les paramètres de communication série pour le contrôleur LEGO.
    Remarque : dans cette boîte de dialogue, seuls les ports COM 1 à 4 peuvent être sélectionnés. Toutefois, sur l’onglet Debug (Débogage) de la boîte de dialogue Options, vous pouvez saisir le port COM directement dans le champ Paramètres de communication.

  7. Vous configurerez ainsi la connexion entre zenon Logic et straton.

Autres sujets abordés dans ce chapitre

Ajout du driver NXT dans zenon Logic

Connexion du contrôleur NXT

Paramètres de base du contrôleur


Ajout du driver NXT dans zenon Logic

Manuel -> zenon Science Package for LEGO MINDSTORMS -> zenon Science Package for Lego MINDSTORMS 2.0 -> Créez une connexion entre zenon Logic et straton -> Ajout du driver NXT dans zenon Logic

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Pour ajouter le driver NXT dans zenon Logic :

  1. Dans l’arborescence du projet dans le module Workbench de zenon Logic, double-cliquez sur Configuration du bus de terrain.
  2. Dans la fenêtre des drivers d’E/S, cliquez sur le symbole ou la commande dans le menu contextuel Add configuration (Ajouter une configuration).

  3. La boîte de dialogue de configuration s’affiche à l’écran.

  4. Sélectionnez le LEGO MINDSTORMS NXT 2.0.
  5. L’écran comporte trois sections :
    • NXT (État)
    • Lecteurs
    • Capteurs

    Cliquez sur le signe plus (+) adjacent à une section pour ouvrir une sous-section. Des variables prédéfinies peuvent être facilement créées pour chacune de ces sections.

Création de variables

Créez les variables requises :

  1. Cliquez avec le bouton droit sur l’une des branches NXT, Drives (Pilotes) ou Sensors (Capteurs).

  2. Sélectionnez Create variable (Créer une variable) dans le menu contextuel.

Lecteurs

Deux versions sont disponibles : easy et advanced. Pour commencer, nous vous recommandons de sélectionner l’option easy (Simple), puis l’option Create variable (Créer variable). D’autres informations concernant l’utilisation des Advanced Variables (variables avancées) sont disponibles dans la section Utilisation de variables complexes.

Capteurs

Avant de créer une variable dans la section Sensors (Capteurs), vous devez sélectionner un type de capteur dans le champ Type. Pour cela, double-cliquez sur le champ Value (Valeur).

Exemple de configuration :


Connexion du contrôleur NXT

Manuel -> zenon Science Package for LEGO MINDSTORMS -> zenon Science Package for Lego MINDSTORMS 2.0 -> Créez une connexion entre zenon Logic et straton -> Connexion du contrôleur NXT

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Pour connecter le contrôleur NXT :

  1. Sur le contrôleur, sélectionnez le type de connexion USB :
    1. Appuyez sur le bouton orange.
    2. Appuyez sur les boutons gris pour accéder au menu Settings et ouvrez-le en appuyant sur le bouton orange.
    3. Sélectionnez Connection.
    4. Sélectionnez USB.
      (Si vous souhaitez établir la connexion via Bluetooth, sélectionnez Bluetooth.)
  2. Compilez le projet zenon Logic :
    1. Cliquez avec le bouton droit sur l’entrée mindstorms dans l’arborescence du projet.
    2. Sélectionnez Compile project (Compiler le projet) dans le menu contextuel.
  3. Activez le mode en ligne :
    1. Sélectionnez l’entrée Online (En ligne) dans le menu Project (Projet) de zenon Logic.
    2. La demande de téléchargement est ouverte :

    3. Clic Yes.
  4. Le projet est maintenant en ligne, et vous pouvez consulter les relevés des valeurs des capteurs.


Paramètres de base du contrôleur

Manuel -> zenon Science Package for LEGO MINDSTORMS -> zenon Science Package for Lego MINDSTORMS 2.0 -> Créez une connexion entre zenon Logic et straton -> Paramètres de base du contrôleur

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Configuration de base

  1. Configurez les paramètres de communication (pour plus de détails, reportez-vous à la section : Settings).
  2. Activez ou désactivez la fonction Bluetooth (pour plus de détails, reportez-vous à la section : Connection).
  3. Si la fonction Bluetooth est active : attribuez un nom unique aux communications Bluetooth.

Opération

Activation

Pour activer le contrôleur, appuyez sur le bouton orange.

Navigation dans les menus

  • Ouvrez le menu : Appuyez sur le bouton orange.
  • Fermer le menu : appuyez sur le bouton gris foncé.
  • Naviguer dans le menu : cliquez sur le bouton fléché gris clair gauche ou droit. Sélectionnez une entrée de menu en appuyant sur le bouton orange. Pour quitter un sous-menu sans enregistrer vos modifications, appuyez sur le bouton gris foncé.

Arrêt

  1. Sélectionnez Turn off (Arrêter) dans le menu principal, puis appuyez sur le bouton orange.
  2. Sélectionnez une option :
    1. Enregistrer : enregistre tous les paramètres dans la mémoire Flash et ferme le contrôleur. L’application straton actuellement chargée, les données conservées et la configuration (Connection, Volume) sont enregistrées dans la mémoire Flash.
    2. Don't save: l’application est enregistrée sans que les données ou la configuration ne soient enregistrées sur la mémoire Flash.
    3. Cancel: l’enregistrement est annulé et le menu principal est affiché.

Au prochain démarrage, les dernières données enregistrées (straton application, données conservées, etc.) seront chargées.

Menu de straton

Le menu de straton vous permet de démarrer ou d’arrêter l’application straton chargée. Pour ouvrir le menu, sélectionnez l’entrée straton dans le menu principal.

Statistiques

L’option Statistiques affiche des informations concernant l’application en cours d’exécution. Pour afficher les données correspondantes, sélectionnez l’entrée Statistics dans le menu principal. Les informations suivantes sont affichées :

  • Le nom de l’application chargée
  • La taille du code en Ko
  • La taille de la base de données en Ko
  • La durée d’exécution du cycle de straton
  • La latence du cycle en microsecondes

Menu Paramètres

Dans ce menu, vous pouvez configurer et afficher les éléments suivants :

  • Versions : informations concernant la version utilisée.
  • Bluetooth: activation ou désactivation du Bluetooth. Vous pouvez gérer les noms et les contacts.
    • Name: saisissez un nom pour l’équipement Bluetooth. Ce nom doit être unique sur le réseau Bluetooth.
    • On/Off: active/désactive la fonction Bluetooth sur le contrôleur.
    • Visibility: détermine si l’équipement est visible par les autres équipements Bluetooth.
    • Search: démarre la recherche d’équipements Bluetooth. Pour ajouter un équipement aux contacts Bluetooth, sélectionnez-le dans la liste des périphériques détectés.
    • Contacts: gérez les contacts. Vous pouvez supprimer des contacts (c’est-à-dire les équipements pouvant être connectés) ou établir des connexions (par exemple, pour associer des équipements).

Connexion

Sélectionnez la connexion utilisée par le serveur de communication straton. Connexion pour les communications avec le module Workbench de zenon Logic. Le serveur de communication inclut également un esclave MODBUS. Le driver de zenon pour straton doit également être connecté avec le serveur de communication. Les options possibles sont les suivantes :

  • USB
  • Bluetooth : connexion Bluetooth entrante
  • RS-485: port RS-485 avec les paramètres 115200, E, 8, 1.
    Attention : l’utilisation de RS-485 désactive le port de capteur 4. Gardez également à l’esprit que le protocole du serveur de communication de straton peut uniquement être utilisé pour les communications de point à point.
  • None : le serveur de communication n’est pas utilisé.

Volume

Définit le volume des haut-parleurs. Les valeurs valides vont de 0 à 4 :

  • 0 : son désactivé
  • 4 : Maximum


Développement d’applications straton pour NXT

Manuel -> zenon Science Package for LEGO MINDSTORMS -> zenon Science Package for Lego MINDSTORMS 2.0 -> Développement d’applications straton pour NXT

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Les restrictions suivantes s’appliquent aux applications straton sur LEGO MINDSTORMS 2.0 :

Runtime de straton :

  • Taille maximale du code : 26 Ko
  • Taille maximale de la base de données de straton : 20 ko

Remarque : la taille du code et de la base de données peut être affichée dans le menu Statistics (Statistiques).

zenon Logic Workbench

  • Seuls les ports COM 1 à 9 peuvent être utilisés. Si un équipement USB ou un port COM Bluetooth ont reçu un numéro de port supérieur à 9, celui-ci doit être associé manuellement à un numéro de port inférieur à 10.
  • Dans le module Workbench, seuls les ports COM1 à COM4 peuvent être sélectionnés. Toutefois, les numéros de ports peuvent être saisis directement dans la chaîne de paramètres, par exemple COM9:19200,N,8,1. (Reportez-vous également à la section Établissement d’une connexion entre zenon Logic et straton.)
    Remarque : pour une connexion USB ou Bluetooth, il suffit d’indiquer le numéro de port, par exemple COM5

info Informations

Vous trouverez des informations générales concernant la programmation de LEGO MINDSTORMS NXT 2.0 dans la documentation de LEGO.

Autres sujets abordés dans ce chapitre

Utilisation des ports de communication du système NXT

Fonctions


Utilisation des ports de communication du système NXT

Manuel -> zenon Science Package for LEGO MINDSTORMS -> zenon Science Package for Lego MINDSTORMS 2.0 -> Développement d’applications straton pour NXT -> Utilisation des ports de communication du système NXT

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Les objets NXT contiennent trois ports de communication pouvant être utilisés par l’application straton.

Dans le menu Settings (Paramètres), sélectionnez une de ces connexions pour le serveur de communication. Cette connexion ne peut pas être utilisée ensuite depuis l’application straton (par exemple, par un Maître MODBUS ou un bloc fonctionnel). Toutefois, si une configuration d’Esclave MODBUS a été ajoutée, un Esclave MODBUS peut utiliser le port configuré.

Vous trouverez d’autres informations concernant l’utilisation du port série dans le programme straton et des informations concernant le driver d’E/S MODBUS dans la documentation de zenon Logic. Pour cela, dans le module Workbench, appuyez sur la touche F1 ou ouvrez le menu Aide.

Tous les ports qui ne sont pas utilisés par le serveur de communication peuvent être utilisés par l’application straton, et sont utilisés comme suit :

Autres sujets abordés dans ce chapitre

USB

Bluetooth

RS-485 Port (serial)

Bus de terrain


USB

Manuel -> zenon Science Package for LEGO MINDSTORMS -> zenon Science Package for Lego MINDSTORMS 2.0 -> Développement d’applications straton pour NXT -> Utilisation des ports de communication du système NXT -> USB

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Le composant NXT peut être connecté à un ordinateur via le port USB de l’ordinateur. Le système NXT est reconnu comme une connexion série par l’ordinateur.

Le port USB peut être utilisé par l’application straton ; pour cela, définissez le port USB en tant que port COM.


Bluetooth

Manuel -> zenon Science Package for LEGO MINDSTORMS -> zenon Science Package for Lego MINDSTORMS 2.0 -> Développement d’applications straton pour NXT -> Utilisation des ports de communication du système NXT -> Bluetooth

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Le port Bluetooth peut être utilisé de deux manières différentes :

  1. Pour les connexions entrantes :
    Dans ce cas, la connexion est établie depuis un équipement distant, par exemple, un ordinateur. Dans ce cas, la chaîne BT suffit à configurer l’utilisation du port Bluetooth.
  2. Pour les connexions sortantes :
    NXT est configuré pour établir une connexion avec un autre équipement Bluetooth, par exemple, un autre objet NXT. Dans ce cas, utilisez une chaîne commençant par BT et finissant par le nom de l’équipement, par exemple : BT:NXT.
    Remarque : l’équipement devant être contacté doit déjà être présent dans les contacts Bluetooth. Pour ajouter manuellement un équipement aux contacts, lancez la recherche et établissez manuellement la connexion la première fois. Pour établir le premier contact, il sera probablement nécessaire d’associer les équipements manuellement.


RS-485 Port (serial)

Manuel -> zenon Science Package for LEGO MINDSTORMS -> zenon Science Package for Lego MINDSTORMS 2.0 -> Développement d’applications straton pour NXT -> Utilisation des ports de communication du système NXT -> RS-485 Port (serial)

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Les objets NXT contiennent également un port série RS-485. Toutefois, celui-ci est partagé avec le capteur 4. Par conséquent, seul le port ou le capteur peut être utilisé.

L’adresse du port RS-485 est prise en compte par le biais d’une chaîne de caractères HS. Celle-ci permet d’ouvrir le port à l’aide du paramètre par défaut suivant :

  • Débit de données : 115200 bit/s
  • Parity: even
  • Data bits : 8
  • Stop bit : 1

Adaptation des paramètres

Si vous souhaitez adapter les paramètres de communication, ajoutez-les après les deux points, séparés par des virgules. L’ordre :

  • Débit de données en bits/s
  • Parity: N (aucune), E (paire), O (impaire), M (marque) et S (espace)
  • Bits de données
  • Stop bit

Par exemple : HS:19200,N,8,1

Remarque : si vous utilisez le port RS-485 avec MODBUS ou le protocole straton, définissez toujours les Data Bits (bits de données) sur 8.


Bus de terrain

Manuel -> zenon Science Package for LEGO MINDSTORMS -> zenon Science Package for Lego MINDSTORMS 2.0 -> Développement d’applications straton pour NXT -> Utilisation des ports de communication du système NXT -> Bus de terrain

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

straton NXT permet également d’utiliser la configuration Esclave MODBUS et Maître MODBUS. Pour plus d’informations concernant MODBUS, reportez-vous à la documentation de zenon Logic. Pour cela, dans le module Workbench, appuyez sur la touche F1 ou ouvrez le menu Aide. Le fonctionnement du capteur NXT et des ports de moteur est configuré dans l’interface de configuration du contrôleur LEGO LEGO MINDSTORMS NXT 2.0.

Autres sujets abordés dans ce chapitre

Variables d’état

Variables d’entraînement

Variables du capteur de couleurs

Multiplexeur Touch Sensor Multiplexer (HT)

Capteur gyroscopique (HT)

Capteur d’accélération numérique (HT)

Capteur de boussole numérique (HT)

Autres capteurs


Variables d’état

Manuel -> zenon Science Package for LEGO MINDSTORMS -> zenon Science Package for Lego MINDSTORMS 2.0 -> Développement d’applications straton pour NXT -> Utilisation des ports de communication du système NXT -> Bus de terrain -> Variables d’état

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Variables d’état

Les variables d’état suivantes sont disponibles :

  • STATUS_BATTERYVOLTAGE : charge actuelle de la batterie, en millivolts.
  • STATUS_BATTERYSTATE: capacité de la batterie.
    Valeur : 0 à 4 (comme indiqué sur l’affichage du système NXT)
  • STATUS_BLUETOOTHSTATE: État de la fonction Bluetooth
    Valeurs :
    • 0 : activé
    • 1 : visible
    • 2 : connecté
    • 3 : connecté et visible
    • 4 : désactivé
  • STATUS_USBSTATE: État de la connexion USB
    Valeurs :
    • 0 : déconnecté
    • 1 : connecté
    • 2 : en cours de fonctionnement
  • STATUS_RECHARGEABLE: état des batteries rechargeables
    Valeur :
    • 0 : aucune batterie rechargeable n’est présente
    • 1 : batterie rechargeable présente
  • STATUS_ERROR: Code d’erreur


Variables d’entraînement

Manuel -> zenon Science Package for LEGO MINDSTORMS -> zenon Science Package for Lego MINDSTORMS 2.0 -> Développement d’applications straton pour NXT -> Utilisation des ports de communication du système NXT -> Bus de terrain -> Variables d’entraînement

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Variables d’entraînement

Les variables suivantes sont disponibles pour l’entraînement :

  • PORT_x_AUTOSPEED (SINT, sortie) : définit la vitesse du moteur.
    Valeurs : de -100 à 100
    • 0 : moteur arrêté
    • -100 : vitesse maximum en marche arrière
    • 100 : vitesse maximum en marche avant
  • PORT_x_TACHOCOUNT (DINT, entrée) : contient le nombre absolu de rotations du moteur en degrés angulaires. 360° représente une rotation complète par seconde. Valeurs valides : de -2 147 483 648 à 2 147 483 647

Variables complexes

Les opérations d’entraînement plus complexes sont configurées avec des variables plus complexes. Choisissez-les en sélectionnant l’entrée Create advanced variables (Créer des variables avancées) dans le menu contextuel.

attention Attention

N’utilisez pas la variable AUTOSPEED et les Advanced Variables (variables avancées) en même temps. Leur utilisation simultanée peut entraîner un comportement non défini de l’entraînement.

Vous trouverez une description de la procédure de configuration de ces variables à la section Utilisation de variables complexes.


Variables du capteur de couleurs

Manuel -> zenon Science Package for LEGO MINDSTORMS -> zenon Science Package for Lego MINDSTORMS 2.0 -> Développement d’applications straton pour NXT -> Utilisation des ports de communication du système NXT -> Bus de terrain -> Variables du capteur de couleurs

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Variables du capteur de couleurs

Les variables suivantes sont disponibles pour la reconnaissance des couleurs :

  • PORT_x_COLOR (INT, sortie) : Définit le mode du capteur.
    • 0 : mode passif (mesurer la luminosité)
    • 1 : la couleur rouge est en cours de mesure.
    • 2 : la couleur verte est cours de mesure.
    • 3 : la couleur bleue est cours de mesure.
    • 4 : toutes les couleurs sont en cours de mesure
  • PORT_x_VALUE (INT, entrée) :

    Si le mode est passif, Rouge, Vert ou Bleu :

    • Une valeur comprise entre 0 et 255 définit l’intensité des couleurs.

    Si le mode est Toutes les couleurs :

    • 1 : noir
    • 2 : bleu
    • 3 : vert
    • 4 : jaune
    • 5 : rouge
    • 6 : blanc
  • PORT_x_RED: dans le mode Toutes les couleurs, l’intensité de la couleur rouge est mesurée.
  • PORT_x_GREEN: dans le mode Toutes les couleurs, l’intensité de la couleur verte est mesurée.
  • PORT_x_BLUE: dans le mode Toutes les couleurs, l’intensité de la couleur bleue est mesurée.
  • PORT_x_GRAY: la luminosité est mesurée.


Multiplexeur Touch Sensor Multiplexer (HT)

Manuel -> zenon Science Package for LEGO MINDSTORMS -> zenon Science Package for Lego MINDSTORMS 2.0 -> Développement d’applications straton pour NXT -> Utilisation des ports de communication du système NXT -> Bus de terrain -> Multiplexeur Touch Sensor Multiplexer (HT)

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Multiplexeur Touch Sensor Multiplexer (HT)

Les variables suivantes sont disponibles pour les capteurs tactiles :

Lors de l’utilisation du multiplexeur Hitechnic Touch Sensor Multiplexer, jusqu’à quatre capteurs peuvent être connectés à un port du système NXT :

  • PORT_x_SWITCH1: état du capteur 1
  • PORT_x_SWITCH2: état du capteur 2
  • PORT_x_SWITCH3: état du capteur 3
  • PORT_x_SWITCH4: état du capteur 4


Capteur gyroscopique (HT)

Manuel -> zenon Science Package for LEGO MINDSTORMS -> zenon Science Package for Lego MINDSTORMS 2.0 -> Développement d’applications straton pour NXT -> Utilisation des ports de communication du système NXT -> Bus de terrain -> Capteur gyroscopique (HT)

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Capteur gyroscopique (HT)

Le capteur gyroscopique LEGO MINDSTORMS 2.0 NXT fournit des informations concernant le nombre de rotations du moteur et le sens des rotations. Les rotations sont mesurées en degrés angulaires. 360° représente une rotation complète par seconde.

Après le démarrage de l’application straton, le capteur est calibré automatiquement lors de la connexion. Pour cela, la valeur de courant nul est calculée. Ceci demande environ 200 ms. Pendant ce temps, le capteur doit rester immobile.

  • PORT_x_VALUE: nombre de degrés angulaires par seconde de rotation
  • PORT_x_INVALID: Ce paramètre est défini sur TRUE dans les cas de figure suivants :
    • Lors du calibrage du capteur
    • Lorsque la valeur ne peut pas être lue


Capteur d’accélération numérique (HT)

Manuel -> zenon Science Package for LEGO MINDSTORMS -> zenon Science Package for Lego MINDSTORMS 2.0 -> Développement d’applications straton pour NXT -> Utilisation des ports de communication du système NXT -> Bus de terrain -> Capteur d’accélération numérique (HT)

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Capteur d’accélération numérique (HT)

Le capteur d’accélération de LEGO MINDSTORMS 2.0 NXT intègre un accéléromètre à 3 axes, qui mesure l’accélération sur les axes x, y et z. L’accélération est affichée sur une plage de -2 g à +2 g, avec environ 200 étapes par g.

Le capteur d’accélération peut également être utilisé pour mesurer l’inclinaison sur les trois axes. Ceci est possible, car la gravitation est perçue comme une accélération. Si le capteur est immobile en position horizontale normale, les axes x et y sont horizontaux et donc proches de zéro, tandis que la valeur de l’axe z sera proche de 200, ce qui correspond à 1 g. Si le capteur est ensuite, incliné, les autres axes percevront la gravité et la valeur de l’axe z diminuera. La gravité étant répartie sur trois vecteurs partiels, l’inclinaison du capteur peut être déterminée.

  • PORT_x_VALUE_X: accélération dans la direction de l’axe x
  • PORT_x_VALUE_Y: accélération dans la direction de l’axe y
  • PORT_x_VALUE_Z: accélération dans la direction de l’axe z
  • PORT_x_INVALID: défini sur TRUE si les données du capteur ne peuvent pas être lues.


Capteur de boussole numérique (HT)

Manuel -> zenon Science Package for LEGO MINDSTORMS -> zenon Science Package for Lego MINDSTORMS 2.0 -> Développement d’applications straton pour NXT -> Utilisation des ports de communication du système NXT -> Bus de terrain -> Capteur de boussole numérique (HT)

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Capteur de boussole numérique (HT)

Le capteur de boussole de LEGO MINDSTORMS 2.0 NXT contient une boussole magnétique numérique permettant de mesurer le champ magnétique de la terre et de calculer un angle d’orientation. Le capteur de boussole peut être connecté à un port NXT avec un câble NXT standard, et utilise le protocole de communication numérique I2C. L’orientation actuelle calculée est arrondie au degré angulaire entier suivant.

Le capteur de boussole HiTechnic est influencé par les interférences magnétiques locales, comme de nombreuses autres boussoles magnétiques. Les objets métalliques tels que les moteurs, les batteries ou les câbles peuvent provoquer des interférences magnétiques. Les interférences magnétiques locales peuvent entraîner la détection, par la boussole, d’une orientation différente de plusieurs degrés de son orientation magnétique actuelle. Cet effet est appelé "déviation compas". Pour remédier à ce phénomène, le capteur de boussole HiTechnic dispose d’une fonction de calibrage permettant de corriger les déviations et d’enregistrer ces valeurs dans la boussole.

Le calibrage est facultatif, et n’est pas nécessaire dans le cadre d’une utilisation normale. Pour minimiser la nécessiter d’effectuer un calibrage, installez la boussole à une distance minimale de 10 à 15 cm (4 à 6 pouces) du système NXT et des moteurs NXT.

Pour calibrer la boussole dans le programme :

  • Sélectionnez calibration mode.
  • Programmez votre objet NXT de manière à ce qu’il décrive un cercle très étroit.
  • Il doit pivoter entre 1½ et 2 fois (soit plus de 360 degrés).
  • Il doit effectuer un tour complet en 20 secondes environ.

La boussole conservera les paramètres de calibrage jusqu’à ce qu’un nouveau calibrage soit effectué, même si elle est débranchée.

  • PORT_x_VALUE: orientation actuelle en degrés.

    0 : Nord

  • PORT_x_INVALID: défini sur TRUE si les données du capteur ne peuvent pas être lues.
  • PORT_x_CAL : (affichage) contrôle le mode de calibrage.
    • TRUE : activer le mode de calibrage.
    • FALSE: activer le mode de mesure.

    Remarque : en mode de calibrage, le capteur fournit des données non valides.


Autres capteurs

Manuel -> zenon Science Package for LEGO MINDSTORMS -> zenon Science Package for Lego MINDSTORMS 2.0 -> Développement d’applications straton pour NXT -> Utilisation des ports de communication du système NXT -> Bus de terrain -> Autres capteurs

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Autres capteurs

Les variables supplémentaires suivantes sont disponibles pour les capteurs :

  • PORT_x_VALUE : valeur du capteur, dépend du capteur
    • Son (dB)
    • Son (dBA)
    • Ultrasonic : distance en centimètres (cm)
    • Temperature : température en degrés Celsius centigrades (°C/10)
  • PORT_x_INVALID:
    • TRUE : le capteur est en état d’erreur


Fonctions

Manuel -> zenon Science Package for LEGO MINDSTORMS -> zenon Science Package for Lego MINDSTORMS 2.0 -> Développement d’applications straton pour NXT -> Fonctions

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Pour que vous puissiez sélectionner des fonctions, celles-ci doivent se trouver dans le dossier correspondant. Copiez le dossier Mindstorms NXT depuis le dossier HWDEF du support d’installation vers le dossier HWDEF de votre installation de straton.
Par exemple : %ProgramData%\COPA-DATA\zenon7.60711\straton\HWDEF\Mindstorms NXT

Les fonctions suivantes sont disponibles :

  • BUTTONENABLE: straton prend le contrôle des boutons du NXT.
  • BUTTONGET: transmet des informations concernant le bouton enfoncé.
  • DISPLAYERASE: efface le contenu de l’écran.
  • DISPLAYLINE: trace une ligne.
  • DISPLAYPIXEL: trace un pixel.
  • DISPLAYSTRING: écrit une chaîne.
  • SOUNDFREQUENCY: produit un son.

Autres sujets abordés dans ce chapitre

BUTTONENABLE

BUTTONGET

DISPLAYERASE

DISPLAYLINE

DISPLAYPIXEL

DISPLAYSTRING

SOUNDFREQUENCY


BUTTONENABLE

Manuel -> zenon Science Package for LEGO MINDSTORMS -> zenon Science Package for Lego MINDSTORMS 2.0 -> Développement d’applications straton pour NXT -> Fonctions -> BUTTONENABLE

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

BOOL BUTTONENABLE (BOOL ENABLE)

Durant l’activation avec ENABLE et l’état TRUE, le contrôle est transmis à straton à l’aide des boutons de l’objet NXT. L’état du bouton peut être lu avec BUTTONGET.

Remarque :

  • le menu System (Système) de l’objet NXT est désactivé, dans ce cas.
  • L’activation de cette fonction est uniquement possible si le menu de l’objet NXT est inactif.
  • Cet état peut être interrompu, par exemple, par l’affichage d’une boîte de dialogue d’association Bluetooth. Dans ce cas, BUTTONGET renvoie la valeur -1.

Valeur de réponse :

  • TRUE: activité effectuée avec succès.


BUTTONGET

Manuel -> zenon Science Package for LEGO MINDSTORMS -> zenon Science Package for Lego MINDSTORMS 2.0 -> Développement d’applications straton pour NXT -> Fonctions -> BUTTONGET

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

SINT BUTTONGET

Valeurs retournées :

  • -1 : les boutons ne peuvent pas être lus par straton. Le menu System (Système) de l’objet NXT est activé.
  • 0 : aucun bouton n’est enfoncé.
  • 1 : bouton gauche enfoncé.
  • 2 : bouton Entry (Entrée) (bouton orange) enfoncé.
  • 3 : bouton droit enfoncé.
  • 4 : bouton Leave (Quitter) (bouton gris foncé) enfoncé.


DISPLAYERASE

Manuel -> zenon Science Package for LEGO MINDSTORMS -> zenon Science Package for Lego MINDSTORMS 2.0 -> Développement d’applications straton pour NXT -> Fonctions -> DISPLAYERASE

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

BOOL DISPLAYERASE

Efface le contenu de l’écran.

Valeur de réponse :

  • TRUE: activité effectuée avec succès.


DISPLAYLINE

Manuel -> zenon Science Package for LEGO MINDSTORMS -> zenon Science Package for Lego MINDSTORMS 2.0 -> Développement d’applications straton pour NXT -> Fonctions -> DISPLAYLINE

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

BOOL DISPLAYLINE (USINT X1,USINT Y1,USINT X2, USINT Y2, BOOL C)

Trace une ligne du point X1,Y1 au point X2,Y2.

Valeurs pour C :

  • TRUE : trace une ligne.
  • FALSE : efface la ligne

Valeur de réponse :

  • TRUE: activité effectuée avec succès.


DISPLAYPIXEL

Manuel -> zenon Science Package for LEGO MINDSTORMS -> zenon Science Package for Lego MINDSTORMS 2.0 -> Développement d’applications straton pour NXT -> Fonctions -> DISPLAYPIXEL

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

BOOL DISPLAYPIXEL (USINT X, USINT Y, BOOL C)

Trace un point situé aux coordonnées X,Y.

Valeurs pour C :

  • TRUE : trace un point
  • FALSE : efface le point

Valeur de réponse :

  • TRUE: activité effectuée avec succès.


DISPLAYSTRING

Manuel -> zenon Science Package for LEGO MINDSTORMS -> zenon Science Package for Lego MINDSTORMS 2.0 -> Développement d’applications straton pour NXT -> Fonctions -> DISPLAYSTRING

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

BOOL DISPLAYSTRING(USINT X, USINT Y, STRING TEXT)

Écrit une chaîne commençant par la position XY indiquée.

Valeur de réponse :

  • TRUE: activité effectuée avec succès.


SOUNDFREQUENCY

Manuel -> zenon Science Package for LEGO MINDSTORMS -> zenon Science Package for Lego MINDSTORMS 2.0 -> Développement d’applications straton pour NXT -> Fonctions -> SOUNDFREQUENCY

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

BOOL SOUNDFREQUENCY(UDINT FREQ, UDINT DUR, USINT VOL)

Diffuse un son à la fréquence indiquée (en Hz) durant la période définie (en millisecondes). Le volume (VOL) est indiqué sur une plage de 1 à 4. Il est limité par le volume maximal configuré dans le menu Volume.

Valeur de réponse :

  • TRUE: activité effectuée avec succès.


Connexion du Runtime de MINDSTORMS 2.0 à zenon

Manuel -> zenon Science Package for LEGO MINDSTORMS -> zenon Science Package for Lego MINDSTORMS 2.0 -> Connexion du Runtime de MINDSTORMS 2.0 à zenon

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Pour créer un nouveau projet zenon Logic dans zenon, nous vous recommandons d’utiliser le driver stratonNG. Celui-ci est compatible avec les communications série.

Lors de la création d’un nouveau projet zenon Logic dans la boîte de dialogue, définissez le nom du projet et le driver utilisé.

Sélectionnez STRATONNG dans la liste déroulante.

Remarque : la sélection du driver ne peut pas être modifiée ultérieurement.

Configuration du driver stratonNG

Pour configurer le driver :

  1. dans l’arborescence du projet zenon, sélectionnez le nœud Variables -> Driver
  2. Sélectionnez le driver stratonNG
    Remarque : celui-ci est affiché avec le nom défini pour le projet, par exemple, straton : mindstorms
  3. Sélectionnez Configuration du driver dans le menu contextuel.
  4. La boîte de dialogue de configuration du driver s’affiche à l’écran
  5. Ouvrez l’onglet Connexions

Pour modifier le driver :

  1. Sélectionnez le nom de la connexion
  2. Cliquez sur Edit
  3. Configurez le lien
  4. Cliquez sur Enregistrer, puis sur OK

Configuration du driver pour la connexion dans le cadre de LEGO MINDSTORMS 2.0 :

Options

Description

Connection name

Doit correspondre au nom du projet.

Si le nom est différent de celui du projet, cela entraînera des erreurs durant la connexion au contrôleur.

Adressing

Pour établir les communications avec straton NXT via USB ou Bluetooth, il suffit de définir le port sans configuration supplémentaire, par ex. : COM5 :

Primary IP address

Saisissez le port COM.

Les entrées commençant par COM et finissant par deux points sont interprétées comme des ports COM.

Attention : deux points (:) doivent être ajoutés à la fin de la définition du port. Dans le cas contraire, la connexion ne pourra pas être établie.

Si aucun paramètre supplémentaire n’est indiqué, la configuration standard du port COM est utilisée :

  • Débit de données : 115200 bit/s
  • Parity: even
  • Data bits : 8
  • Stop bit : 1

Si vous souhaitez adapter les paramètres de communication, ajoutez-les après les deux points, séparés par des virgules. L’ordre :

  • Débit de données en bits/s
  • Parity: N (aucune), E (paire), O (impaire), M (marque) et S (espace)
  • Bits de données
  • Stop bit

Par exemple : COM5:19200,N,8,1

Limitations : si un port COM est indiqué, les éléments suivants ne peuvent pas être utilisés :

  • Connexions d’événement
  • Connexions multiples (plusieurs connexions avec un driver)

La documentation relative à ces paramètres fait référence aux communications dans le cadre de LEGO MINDSTORMS 2.0. Vous trouverez des informations détaillées concernant la configuration générale du driver stratonNG dans l’aide en ligne (F1), au chapitre stratonNG.


Questions et réponses

Manuel -> zenon Science Package for LEGO MINDSTORMS -> zenon Science Package for Lego MINDSTORMS 2.0 -> Questions et réponses

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Voici les questions les plus fréquentes concernant l’installation et le fonctionnement du système LEGO MINDSTORMS avec straton et zenon Science Package.

Question | Réponse
Pourquoi un message d’erreur s’affiche-t-il durant l’installation ? | Une installation de zenon est probablement déjà présente sur le système. Utilisez l’installation existante. Détails : message d’erreur durant l’installation de zenon Science Package.
Comment puis-je restaurer le firmware LEGO original ? | Restaurer le firmware correspond à la procédure effectuée durant l’installation du firmware straton, lorsqu’un autre firmware est présent. Détails : activation du firmware LEGO original.
Que dois-je faire si le programme LEGO Firmware Loader ne détecte pas le contrôleur ? | Changez de port USB ou réinstallez le driver du contrôleur. Détails : LEGO Firmware Loader ne détecte pas le contrôleur.
Que dois-je faire si le driver du module Workbench de zenon Logic ne communique pas avec mon contrôleur ? | Ce problème peut avoir plusieurs causes. Contrôlez les paramètres et assurez-vous que tous les équipements sont en ligne. Détails : le driver du module Workbench de zenon Logic ne communique pas avec le contrôleur.
Que dois-je faire si le driver stratonNG ne communique pas avec mon contrôleur ? | Ce problème peut avoir plusieurs causes. Contrôlez les paramètres de communication, le Runtime et le projet. Détails : le driver stratonNG ne communique pas avec le contrôleur.

D’autres questions et réponses sont également disponibles sur le forum des utilisateurs de COPA-DATA : www.copadata.com/forums/.

Autres sujets abordés dans ce chapitre

Message d’erreur durant l’installation de zenon Science Package

Activation du firmware LEGO original

Le programme LEGO Firmware Loader ne détecte pas le contrôleur

le driver du module Workbench de zenon Logic ne communique pas avec le contrôleur.

Le driver stratonNG ne communique pas avec le contrôleur


Message d’erreur durant l’installation de zenon Science Package

Manuel -> zenon Science Package for LEGO MINDSTORMS -> zenon Science Package for Lego MINDSTORMS 2.0 -> Questions et réponses -> Message d’erreur durant l’installation de zenon Science Package

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Un message d’erreur s’affiche durant l’installation de zenon Science Package for LEGO MINDSTORMS et fait référence à une installation existante.

Cette version de zenon a déjà été installée sur votre système. Vous n’avez pas besoin d’installer zenon, et vous pouvez utiliser la version existante. Importez les projets de démonstration à partir du support d’installation et poursuivez l’installation du firmware.


Activation du firmware LEGO original

Manuel -> zenon Science Package for LEGO MINDSTORMS -> zenon Science Package for Lego MINDSTORMS 2.0 -> Questions et réponses -> Activation du firmware LEGO original

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Si un firmware non fourni par LEGO est déjà présent sur le contrôleur, celui-ci doit être configuré en Firmware-Load-Modus (mode de chargement de firmware) pour autoriser l’installation d’un autre firmware. Ce mode est également nécessaire si le firmware de straton doit être mis à jour ou le firmware LEGO doit être chargé à nouveau. Pour configurer le contrôleur en Firmware-Load-Modus (mode de chargement de firmware) :

  1. Pendant 5 secondes, jusqu’à ce que vous entendiez un "clic",
    • appuyez sur le bouton de démarrage orange et
    • le bouton Reset (Réinitialisation) situé à l’arrière de l’équipement.
      Utilisez un objet pointu pour accéder au bouton Reset (Réinitialisation).

  2. Mettez le contrôleur NXT sous tension en appuyant sur le bouton orange.

  3. Le contrôleur NXT démarre en Firmware-Load-Modus (mode de chargement de firmware). Un son régulier retentit.
  4. Démarrez le téléchargement du firmware souhaité.
    Pour cela, vous devez établir une connexion USB ou Bluetooth. Pour établir une connexion USB avec zenon/straton, vous devez utiliser le driver de COPA-DATA.

attention Attention

Le Firmware-Load-Modus (mode de chargement de firmware) peut uniquement être fermé par le téléchargement d’un firmware.

Téléchargement du firmware LEGO :

  1. Connectez le contrôleur à l’ordinateur par le biais du port USB.
  2. Démarrez le logiciel LEGO MINDSTORMS NXT 2.0.
  3. Dans le menu Tools (Outils), sélectionnez Update NXT Firmware.
  4. Le firmware original LEGO MINDSTORMS NXT est présélectionné.
  5. Cliquez sur le bouton Download.
  6. Le contrôleur redémarre avec le firmware LEGO original.


Le programme LEGO Firmware Loader ne détecte pas le contrôleur

Manuel -> zenon Science Package for LEGO MINDSTORMS -> zenon Science Package for Lego MINDSTORMS 2.0 -> Questions et réponses -> Le programme LEGO Firmware Loader ne détecte pas le contrôleur

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Si le programme LEGO Firmware Loader ne détecte pas le contrôleur, connectez le câble USB à un port USB différent. Le driver USB sera alors installé en mode Firmware Loader.

Si cela ne résout pas le problème, désinstallez le driver. Pour cela :

  1. Sans débrancher le contrôleur, ouvrez le gestionnaire de périphériques dans les contrôles du système.
  2. Sélectionnez le driver LEGO MINDSTORMS NXT Firmware Update Mode.
  3. Cliquez dessus avec le bouton droit.

  4. Sélectionnez Désinstaller dans le menu contextuel.
  5. Débranchez le câble USB du contrôleur LEGO MINDSTORMS 2.0, puis reconnectez-le.
  6. Le driver est réinstallé automatiquement.


le driver du module Workbench de zenon Logic ne communique pas avec le contrôleur.

Manuel -> zenon Science Package for LEGO MINDSTORMS -> zenon Science Package for Lego MINDSTORMS 2.0 -> Questions et réponses -> le driver du module Workbench de zenon Logic ne communique pas avec le contrôleur.

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Les communications avec le contrôleur sont des communications de point à point, transmises par un port série virtuel. Une seule application peut être connectée à la fois.

En cas de défaillance des communications, plusieurs raisons sont envisageables. Les plus fréquentes incluent notamment :

  1. Le driver stratonNG et zenon sont toujours en ligne.
  2. Les paramètres du port COM sont incorrects. Sélectionnez les paramètres corrects pour le port COM dans le menu Communication parameters (Paramètres de communication).
  3. Les paramètres de connexion du contrôleur ne sont pas définis sur le support correct (USB ou Bluetooth). Sélectionnez la connexion actuellement utilisée.


Le driver stratonNG ne communique pas avec le contrôleur

Manuel -> zenon Science Package for LEGO MINDSTORMS -> zenon Science Package for Lego MINDSTORMS 2.0 -> Questions et réponses -> Le driver stratonNG ne communique pas avec le contrôleur

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Les communications avec le contrôleur sont des communications de point à point, transmises par un port série virtuel. Une seule application peut être connectée à la fois.

En cas de défaillance des communications, plusieurs raisons sont envisageables. Les plus fréquentes incluent notamment :

  1. Le module du module Workbench de zenon Logic est encore en ligne.
  2. Les paramètres du port COM sont incorrects.
  3. Le Runtime de straton n’a pas été démarré sur le contrôleur LEGO MINDSTORMS 2.0.
    Pour démarrer le Runtime :
    1. Appuyez sur le bouton orange.
    2. Dès que vous voyez l’entrée straton, appuyez à nouveau sur le bouton orange.
    3. Sélectionnez Start (Démarrer) et appuyez sur le bouton orange.

    La rotation du symbole carré adjacente à l’indicateur d’état de la batterie indique que le Runtime est en cours d’exécution.

  4. Le projet straton n’a pas été téléchargé sur le contrôleur.
    Si un projet a été téléchargé, veuillez vous assurer qu’il s’agit du projet correct.
  5. Les noms de symboles de la variable n’ont pas été activés.
  6. Le nom de la connexion du driver stratonNG n’est pas identique au nom du projet zenon Logic.
  7. Les paramètres de connexion du contrôleur ne sont pas définis sur le support correct (USB ou Bluetooth). Sélectionnez la connexion actuellement utilisée.


Utilisation de variables complexes

Manuel -> zenon Science Package for LEGO MINDSTORMS -> zenon Science Package for Lego MINDSTORMS 2.0 -> Utilisation de variables complexes

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Cette section décrit comment contrôler un moteur avec des variables complexes.

info Informations

L’utilisation de variables complexes est uniquement recommandée pour les utilisateurs expérimentés !

En effectuant une programmation supplémentaire, vous pouvez ordonner aux moteurs du système NXT de se déplacer conformément à un angle prédéfini. Cette programmation est nécessaire pour configurer des déplacements très précis. Pour effectuer la configuration :

  1. Créez toutes les variables en cliquant avec le bouton droit sur le port et en sélectionnant Create advanced variables (Créer des variables avancées) dans le menu contextuel.

  2. Vous recevez 15 variables.

Les variables qui vous concernent sont les suivantes :

  • PORT_n_FLAGS
    • Masque de bit depuis lequel les variables doivent être écrites.
  • PORT_n_TACHOLIMIT
    • Limite relative, en degrés, conformément à laquelle le moteur doit se déplacer.
    • Attention : cette valeur est toujours positive, même si la rotation du moteur s’effectue en sens inverse.
  • PORT_n_MODE
    • Mode que doit utiliser le moteur.
    • Ne fait pas référence au sens de marche avant ou arrière ou à l’augmentation ou la diminution de la vitesse du moteur, mais à des commandes internes.
  • PORT_n_SPEED
    • Vitesse du moteur.
    • Domaine : -100 (en arrière) à 100 (en avant)
  • PORT_n_RUNSTATE
    • Mode de fonctionnement du moteur.
    • Propriétés physiques (set speed instantly [réglage instantané de la vitesse], Ramp UP ou Ramp DOWN [augmentation ou diminution progressive])

attention Attention

Toutes les variables doivent être écrites dans un cycle !

Cela signifie que les variables ne peuvent pas être forcées depuis le module Workbench de zenon Logic.

Structure

Au niveau interne, le système NXT utilise une structure. Créez toutes les variables de cette structure en cliquant avec le bouton droit sur le port et en sélectionnant Create advanced variables (Créer des variables avancées) dans le menu contextuel. Cette structure est écrite à chaque cycle. Toutefois, puisque PORT_n_FLAGS est défini sur 0 par straton après chaque cycle, aucun autre événement ne se produit.

La variable PORT_n_Flags est un masque de bit pour les variables concernées par ce cycle pour les requêtes relatives à la structure straton. Pour émettre une commande de Move n degree (déplacement sur n degrés), définissez la variable PORT_n_FLAGS sur un masque de bit [ST] :

Le système définit ensuite si les données pour PORT_n_MODE, PORT_n_SPEED et PORT_n_TACHOLIMIT sont disponibles. Quelles valeurs doivent comporter ces variables ?

Pour PORT_n_MODE, un masque de bit est requis. En principe, ces deux paramètres doivent être définis si vous souhaitez programmer un mouvement en avant [ST] :

Vous avez maintenant défini le masque de bit sur lequel les variables doivent être mises à jour, ainsi que des paramètres de balise interne.

Nous pouvons maintenant nous concentrer sur la partie la plus intéressante : la rotation du moteur, avec PORT_n_RUNSTATE. Aucun masque de bit n’est disponible dans ce cas. Les valeurs sont exclusives.

Et enfin : PORT_n_SPEED et PORT_n_TACHOLIMIT:

attention Attention

Assurez-vous impérativement que ces valeurs ne sont pas écrites à chaque cycle. Dans le cas contraire, la commande de command sera exécutée à chaque cycle. Toutefois, vous devez encore écrire toutes les variables à chaque cycle. Bloquez l’écriture de ces valeurs.


zenon Science Package for LEGO MINDSTORMS EV3

Manuel -> zenon Science Package for LEGO MINDSTORMS -> zenon Science Package for LEGO MINDSTORMS EV3

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

L’application zenon Science Package for LEGO MINDSTORMS EV3 autorise la programmation d’objets LEGO MINDSTORMS EV3.

Préparation :

zenon 7.20 doit être installé et le support d’installation doit être disponible.
Si vous n’avez pas installé zenon, vous devez installer zenon Science Package for LEGO MINDSTORMS (version 7.20 ou supérieure).

Autres sujets abordés dans ce chapitre

Configuration minimale requise

Installation

Créer un projet zenon Logic

Configuration d’EV3 dans zenon Logic

Connexion du système EV3 à zenon Logic Editor

Premières manipulations du projet de démonstration

Forum de COPA-DATA


Configuration minimale requise

Manuel -> zenon Science Package for LEGO MINDSTORMS -> zenon Science Package for LEGO MINDSTORMS EV3 -> Configuration minimale requise

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Matériel :

  • Netgear WNA1100 Wi-Fi Dongle
  • LEGO MINDSTORMS EV3 avec firmware version 1.03E ou 1.03H (ou supérieur).

Logiciel :

  • zenon, versions 7.20 et ultérieures
  • LEGO MINDSTORMS EV3 Runtime (disponible sur le support d’installation, dans le chemin \AdditionalSoftware\Science Package - Firmware\EV3)
  • Bricx Command Center (disponible à l’adresse http://bricxcc.sourceforge.net/)

Firmware pour LEGO MINDSTORMS EV3

La version du firmware installé sur LEGO MINDSTORMS EV3 doit être 1.03E ou 1.03H (ou supérieure).

Pour contrôler la version du firmware, sélectionnez Brick Info sur l’onglet Settings (Paramètres) de LEGO MINDSTORMS EV3. Vous pouvez télécharger la dernière version du firmware (fichier *.bin) sur le site Web de LEGO.

Utilisez le logiciel LEGO pour effectuer la mise à jour du firmware.


Installation

Manuel -> zenon Science Package for LEGO MINDSTORMS -> zenon Science Package for LEGO MINDSTORMS EV3 -> Installation

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

L’installation comprend :

  • zenon Science Package
  • EV3 Setup
  • Editor et Runtime de zenon

Si vous avez déjà installé zenon 7.20 ou une version supérieure, vous pouvez exécuter immédiatement le programme d’installation d’EV3.

Installation de zenon Science Package

Démarrez l’installation depuis le support d’installation de zenon et suivez les instructions de l’assistant d’installation. Vous pouvez également télécharger zenon Science Package sur le site Web de COPA-DATA. Cette installation inclut déjà zenon Logic.

Installation du Runtime de straton sur LEGO EV3

  1. Installez Bricx Command Center.
    Ce programme est disponible en téléchargement à l’adresse http://bricxcc.sourceforge.net/test_releases.
  2. Téléchargez une test_release actuelle.
    Le fichier test_release2013007.zip est utilisé aux fins de ces instructions.
  3. Connectez le système LEGO MINDSTORMS EV3 à l’ordinateur à l’aide d’un câble USB.
  4. Ouvrez Bricx CC : Tools -> Find Brick
  5. Configurez la connexion

    • Port : usb
    • Brick Type: EV3
    • Firmware: Linux
  6. Ouvrez Bricx Explorer : Tools -> Explorer.

  7. Créez un nouveau dossier appelé T5 Runtime.
  8. Sur le support d’installation, ouvrez le dossier T5 Runtime dans le chemin suivant : \AdditionalSoftware\Science Package – Firmware\EV3\apps.
  9. Copiez les fichiers de ce dossier et ajoutez-les au dossier T5 Runtime- dans Brick Explorer.
  10. Ouvrez le dossier \AdditionalSoftware\Science Package – Firmware\EV3\prjs sur le support d’installation.
  11. Copiez le fichier t5ev3 vers le dossier dans lequel se trouve également le dossier T5 Runtime.

  • Sur le système LEGO EV3 Brick, la nouvelle entrée T5 Runtime est maintenant disponible.


Créer un projet zenon Logic

Manuel -> zenon Science Package for LEGO MINDSTORMS -> zenon Science Package for LEGO MINDSTORMS EV3 -> Créer un projet zenon Logic

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

zenon Logic contient un outil de configuration totalement intégré pour LEGO MINDSTORMS EV3, ainsi qu’une bibliothèque de Functions et de Function Blocks.

La première étape consiste à créer un projet zenon et un projet zenon Logic dans celui-ci.

Créer un projet zenon

  1. Ouvrez zenon Editor
  2. Sélectionnez Fichier -> Nouveau projet.
  3. La boîte de dialogue de création de projet s’affiche à l’écran.

  4. Spécifiez un nom pour le projet.
  5. Cliquez sur OK.
    • L’assistant de création de projet démarre.
    • Fermez l’assistant.

Vous pouvez également ouvrir le projet de démonstration fourni.

Créer un projet zenon Logic

  1. Dans zenon Editor, accédez au nœud zenon Logic (IEC 61131-3).
  2. Dans le menu contextuel ou la barre d’outils de la vue détaillée, sélectionnez la commande Nouveau projet zenon Logic...

  3. La boîte de dialogue de création de projet s’affiche à l’écran.
  4. Spécifiez un nom pour le projet.
  5. Cliquez sur Fertigstellen.


Configuration d’EV3 dans zenon Logic

Manuel -> zenon Science Package for LEGO MINDSTORMS -> zenon Science Package for LEGO MINDSTORMS EV3 -> Configuration d’EV3 dans zenon Logic

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Le Runtime gère une table d’allocation qui contient les Inputs et Outputs de LEGO MINDSTORMS EV3. Un outil de configuration est intégré au module Workbench de zenon Logic.

Pour démarrer la configuration :

  1. Dans le module Workbench de zenon Logic, double-cliquez sur Configuration du bus de terrain.

  2. La fenêtre Driver I/O s’affiche à l’écran.
  3. Cliquez avec le bouton droit sur un emplacement libre dans cette fenêtre.
  4. Sélectionnez Ajouter des variables dans le menu contextuel.
  5. La fenêtre Ajouter une configuration s’affiche.

  6. Sélectionnez le nœud Tous.
  7. Sélectionnez LEGO EV3.
  8. Cliquez sur OK.

La configuration est créée dans l’arborescence :

Configuration LEGO EV3

  • EV3
    • Boutons
  • Capteurs
    • Port 0
    • Port 1
    • Port 2
    • Port 3

Autres sujets abordés dans ce chapitre

Définir le type de capteur

Création de variables

Fonction blocs et fonctions


Définir le type de capteur

Manuel -> zenon Science Package for LEGO MINDSTORMS -> zenon Science Package for LEGO MINDSTORMS EV3 -> Configuration d’EV3 dans zenon Logic -> Définir le type de capteur

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Vous pouvez définir le type de capteur pour chaque port dans le groupe Capteurs.

Pour cela :

  1. Double-cliquez sur port.
  2. La fenêtre de configuration s’affiche.
  3. Double-cliquez sur Type.
  4. La liste de sélection s’affiche.
  5. Sélectionnez le type souhaité.

  6. Fermez la boîte de dialogue en cliquant sur OK.


Création de variables

Manuel -> zenon Science Package for LEGO MINDSTORMS -> zenon Science Package for LEGO MINDSTORMS EV3 -> Configuration d’EV3 dans zenon Logic -> Création de variables

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Vous pouvez créer des variables automatiquement ou les connecter manuellement.

Création automatique de variables

  1. Cliquez avec le bouton droit sur port.
  2. Sélectionnez Créer des variables dans le menu contextuel.
  3. Toutes les variables requises sont créées automatiquement.

Remarque : Si le type de capteur est défini sur Aucun, aucune variable n’est créée.

Connexion manuelle de variables

Pour connecter manuellement les variables

  1. Cliquez avec le bouton droit sur port.
  2. Sélectionnez Add variables (Ajouter variables) dans le menu contextuel.
  3. La boîte de dialogue de configuration s’affiche à l’écran.
  4. Cliquez sur une valeur pour ouvrir la liste de sélection des valeurs disponibles pour ce type.

Configuration des variables

Paramètres

Description

Symbol

Sélection d’une variable conformément à la syntaxe IEC 61131-3.

Area

Intervalle.

Format

Type de données :

  • 32 bit float
  • Signed 16 bit integer
  • Signed 32 bit integer
  • Signed 8 bit integer
  • Single bit
  • Unsigned 16 bit integer
  • Unsigned 32 bit integer
  • Unsigned 8 bit integer

Offset

Non utilisé.

Bit Number

Numéro de bit.

Types de données

Vous pouvez connecter des variables de n’importe quel type de données aux I/O du système LEGO EV3. Le Runtime convertit automatiquement les valeurs conformément au type de données de la variable.

Remarque : Les variables STRING ne sont pas prises en charge.


Fonction blocs et fonctions

Manuel -> zenon Science Package for LEGO MINDSTORMS -> zenon Science Package for LEGO MINDSTORMS EV3 -> Configuration d’EV3 dans zenon Logic -> Fonction blocs et fonctions

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Certains Function Blocks et Functions fournis dans la bibliothèque permettent de contrôler les LED, les sons, les écrans à cristaux liquides et les moteurs du système LEGO EV3.

Les Function Blocks suivants sont décrits de manière plus détaillée :

  • LED
  • Sound
  • Motor

Autres sujets abordés dans ce chapitre

LED (diode électroluminescente)

Sons

Moteur


LED (diode électroluminescente)

Manuel -> zenon Science Package for LEGO MINDSTORMS -> zenon Science Package for LEGO MINDSTORMS EV3 -> Configuration d’EV3 dans zenon Logic -> Fonction blocs et fonctions -> LED (diode électroluminescente)

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Configuration du motif de LED :

Paramètres

Description

SetLed

Crée un motif de LED

[IN] LED

Indice du motif de LED à appliquer :

  • 0 : Toutes LED éteintes.
  • 1-9 : Motif de LED correspondant.

[OUT] Q

Motif de LED actuel.


Sons

Manuel -> zenon Science Package for LEGO MINDSTORMS -> zenon Science Package for LEGO MINDSTORMS EV3 -> Configuration d’EV3 dans zenon Logic -> Fonction blocs et fonctions -> Sons

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Configurer la diffusion de sons.

Général :

Paramètres

Description

PlaySnd

Diffuser les sons.

[IN] ENABLE

Activer la diffusion de sons :

  • TRUE: Les sons sont diffusés.
    Pour activer la diffusion de sons, le paramètre antérieur doit être FALSE.
  • FALSE: Les sons ne sont pas diffusés.

[IN] FREQ

Fréquence du son.

[IN] DURATION

Durée du signal.

[IN] VOLUME

Volume

  • Minimum : 0
  • Maximum : 100

[OUT] PLAYING

TRUE, si les sons sont diffusés.

Sons système :

Paramètres

Description

PlaySysSnd

Diffuser les sons système.

[IN] ENABLE

Activer la diffusion de sons :

  • TRUE: Les sons sont diffusés.
    Pour activer la diffusion de sons, le paramètre antérieur doit être FALSE.
  • FALSE: Les sons ne sont pas diffusés.

[IN] SND

Indice du système son.

[IN] VOLUME

Volume.

  • Minimum : 0
  • Maximum : 100

[OUT] PLAYING

TRUE, si un son système est diffusé.

Symbol

Nom de la variable, conformément à la syntaxe IEC 61131-3.

Area
  • Échange de données
  • État des données.

Format

Type de données :

  • 32 bit float
  • Signed 16 bit integer
  • Signed 32 bit integer
  • Signed 8 bit integer
  • Single bit
  • Unsigned 16 bit integer
  • Unsigned 32 bit integer
  • Unsigned 8 bit integer

Offset

Non utilisé.

Bit Number

Numéro de bit.


Moteur

Manuel -> zenon Science Package for LEGO MINDSTORMS -> zenon Science Package for LEGO MINDSTORMS EV3 -> Configuration d’EV3 dans zenon Logic -> Fonction blocs et fonctions -> Moteur

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Configuration du moteur.

Informations du moteur

Informations du moteur :

Paramètres | Description
MotorInfos | Appeler les informations du moteur.
[IN] MOTOR | Indice du moteur : 1 - 4
[OUT] SPEED | Vitesse actuelle.
[OUT] TACHO | Nombre actuel de rotations pour afficher la distance parcourue.

Fonctionnement du moteur

Fonctionnement d’un moteur :

Paramètres

Description

Rotate

Fonctionnement d’un moteur.

[IN] MOTOR

Indice du moteur : 1 - 4

[IN] START

Démarrer le moteur :

  • TRUE: Le moteur démarre. Pour que le moteur démarre, le paramètre antérieur doit être FALSE.
  • FALSE: Le moteur ne démarre pas.

[IN] POWER

Force à appliquer :

  • -255 à -1 : Reculer.
  • 0 : Arrêter.
  • 1 à 255 : Avancer.

[OUT] RUNNING

TRUE si le moteur fonctionne.

[OUT] SPEED

Vitesse actuelle.

Fonctionnement de plusieurs moteurs :

Paramètres

Description

Rotate2

Fonctionnement de plusieurs moteurs.

[IN] MOTORS

Indice des numéros de moteur.

  • Moteur 1 : 1
  • Moteur 2 : 2
  • Moteur 3 : 4
  • Moteur 4 : 8

Exemple : Pour adresser les moteurs 1 et 2, saisissez 3 (1 + 2).

[IN] START

Démarrer le moteur :

  • TRUE: Le moteur démarre. Pour que le moteur démarre, le paramètre antérieur doit être FALSE.
  • FALSE: Le moteur ne démarre pas.

[IN] POWER

Force à appliquer :

-255 à -1 : Reculer.

0 : Arrêter.

1 à 255 : Avancer.

[OUT] RUNNING

TRUE si le moteur fonctionne.

[OUT] SPEED

Vitesse actuelle.

Angle de rotation

Angle de rotation d’un moteur :

Paramètres

Description

RotateAngel

Angle de rotation d’un moteur.

[IN] MOTORS

Indice du moteur : 1 - 4

[IN] START

Démarrer le moteur :

  • TRUE: Le moteur démarre. Pour que le moteur démarre, le paramètre antérieur doit être FALSE.
  • FALSE: Le moteur ne démarre pas.

[IN] POWER

Force à appliquer :

  • -255 à -1 : Reculer.
  • 0 : Arrêter.
  • 1 à 255 : Avancer.

[IN] ANGLE

Angle en degrés.

[IN] BRAKE

Frein.

  • TRUE: Le moteur est freiné à la fin.
  • FALSE: Le moteur n’est pas freiné.

[OUT] RUNNING

TRUE si le moteur fonctionne.

[OUT] SPEED

Vitesse actuelle.

Angle de rotation de plusieurs moteurs :

Paramètres

Description

RotateAngel2

Angle de rotation de plusieurs moteurs.

[IN] MOTORS

Indice des numéros de moteur.

  • Moteur 1 : 1
  • Moteur 2 : 2
  • Moteur 3 : 4
  • Moteur 4 : 8

Exemple : Pour adresser les moteurs 1 et 2, saisissez 3 (1 + 2).

[IN] START

Démarrer le moteur :

  • TRUE: Le moteur démarre. Pour que le moteur démarre, le paramètre antérieur doit être FALSE.
  • FALSE: Le moteur ne démarre pas.

[IN] POWER

Force à appliquer :

  • -255 à -1 : Reculer.
  • 0 : Arrêter.
  • 1 à 255 : Avancer.

[IN] ANGLE

Angle en degrés.

[IN] BRAKE

Frein.

  • TRUE: Le moteur est freiné à la fin.
  • FALSE: Le moteur n’est pas freiné.

[OUT] RUNNING

TRUE si le moteur fonctionne.

[OUT] SPEED

Vitesse actuelle.

Vitesse

Vitesse d’un moteur :

Paramètres

Description

RotateCount

Faire fonctionner un moteur pendant un nombre défini d’impulsions de compteur.

[IN] MOTORS

Indice du moteur : 1 - 4

[IN] START

Démarrer le moteur :

  • TRUE: Le moteur démarre. Pour que le moteur démarre, le paramètre antérieur doit être FALSE.
  • FALSE: Le moteur ne démarre pas.

[IN] POWER

Force à appliquer :

  • -255 à -1 : Reculer.
  • 0 : Arrêter.
  • 1 à 255 : Avancer.

[IN] COUNT

Nombre d’impulsions de rotation.

[IN] BRAKE

Frein.

TRUE: Le moteur est freiné à la fin.

FALSE: Le moteur n’est pas freiné.

[OUT] RUNNING

TRUE si le moteur fonctionne.

[OUT] SPEED

Vitesse actuelle.

Vitesse de plusieurs moteurs :

Paramètres

Description

RotateCount2

Faire fonctionner un moteur pendant un nombre défini d’impulsions de compteur.

[IN] MOTORS

Indice des numéros de moteur.

  • Moteur 1 : 1
  • Moteur 2 : 2
  • Moteur 3 : 4
  • Moteur 4 : 8

Exemple : Pour adresser les moteurs 1 et 2, saisissez 3 (1 + 2).

[IN] START

Démarrer le moteur :

  • TRUE: Le moteur démarre. Pour que le moteur démarre, le paramètre antérieur doit être FALSE.
  • FALSE: Le moteur ne démarre pas.

[IN] POWER

Force à appliquer :

  • -255 à -1 : Reculer.
  • 0 : Arrêter.
  • 1 à 255 : Avancer.

[IN] COUNT

Nombre d’impulsions de rotation.

[IN] BRAKE

Frein.

  • TRUE: Le moteur est freiné à la fin.
  • FALSE: Le moteur n’est pas freiné.

[OUT] RUNNING

TRUE si le moteur fonctionne.

[OUT] SPEED

Vitesse actuelle.

Durée de fonctionnement

Durée de fonctionnement d’un moteur :

Paramètres

Description

RotateTime

Faire fonctionner un moteur pendant une durée définie.

[IN] MOTORS

Indice du moteur : 1 - 4

[IN] START

Démarrer le moteur :

  • TRUE: Le moteur démarre. Pour que le moteur démarre, le paramètre antérieur doit être FALSE.
  • FALSE: Le moteur ne démarre pas.

[IN] POWER

Force à appliquer :

  • -255 à -1 : Reculer.
  • 0 : Arrêter.
  • 1 à 255 : Avancer.

[IN] SECONDS

Durée de fonctionnement du moteur, en secondes.

[IN] BRAKE

Frein.

  • TRUE: Le moteur est freiné à la fin.
  • FALSE: Le moteur n’est pas freiné.

[OUT] RUNNING

TRUE si le moteur fonctionne.

[OUT] SPEED

Vitesse actuelle.

Vitesse de plusieurs moteurs :

Paramètres

Description

RotateTime2

Faire fonctionner plusieurs moteurs pendant une durée définie.

[IN] MOTORS

Indice des numéros de moteur.

  • Moteur 1 : 1
  • Moteur 2 : 2
  • Moteur 3 : 4
  • Moteur 4 : 8

Exemple : Pour adresser les moteurs 1 et 2, saisissez 3 (1 + 2).

[IN] START

Démarrer le moteur :

  • TRUE: Le moteur démarre. Pour que le moteur démarre, le paramètre antérieur doit être FALSE.
  • FALSE: Le moteur ne démarre pas.

[IN] POWER

Force à appliquer :

  • -255 à -1 : Reculer.
  • 0 : Arrêter.
  • 1 à 255 : Avancer.

[IN] SECONDS

Durée de fonctionnement des moteurs, en secondes.

[IN] BRAKE

Frein.

  • TRUE: Le moteur est freiné à la fin.
  • FALSE: Le moteur n’est pas freiné.

[OUT] RUNNING

TRUE si le moteur fonctionne.

[OUT] SPEED

Vitesse actuelle.

Puissance de sortie du moteur

Définir la puissance de sortie d’un moteur :

Paramètres

Description

SetPower

Définir la puissance de sortie d’un moteur :

[IN] MOTORS

Indice du moteur : 1 - 4

[IN] SET

Définir la puissance de sortie :

  • TRUE: La puissance de sortie est définie. Pour cela, le paramètre antérieur doit être FALSE.
  • FALSE: La puissance de sortie n’est pas modifiée.

[IN] POWER

Force à appliquer :

  • -255 à -1 : Reculer.
  • 0 : Arrêter.
  • 1 à 255 : Avancer.

Définir la puissance de sortie de plusieurs moteurs :

Paramètres

Description

SetPower2

Faire fonctionner plusieurs moteurs pendant une durée définie.

[IN] MOTORS

Indice des numéros de moteur.

  • Moteur 1 : 1
  • Moteur 2 : 2
  • Moteur 3 : 4
  • Moteur 4 : 8

Exemple : Pour adresser les moteurs 1 et 2, saisissez 3 (1 + 2).

[IN] SET

Définir la puissance de sortie :

  • TRUE: La puissance de sortie est définie. Pour cela, le paramètre antérieur doit être FALSE.
  • FALSE: La puissance de sortie n’est pas modifiée.

[IN] POWER

Force à appliquer :

  • -255 à -1 : Reculer.
  • 0 : Arrêter.
  • 1 à 255 : Avancer.

Arrêter un moteur

Arrêter un moteur :

Paramètres | Description
StopMotor | Arrêter un moteur.
[IN] MOTOR | Indice du moteur : 1 - 4
[IN] STOP | Le moteur est arrêté.

Arrêter plusieurs moteurs :

Paramètres

Description

StopMotor2

Arrêter plusieurs moteurs.

[IN] MOTORS

Indice des numéros de moteur.

  • Moteur 1 : 1
  • Moteur 2 : 2
  • Moteur 3 : 4
  • Moteur 4 : 8

Exemple : Pour adresser les moteurs 1 et 2, saisissez 3 (1 + 2).

[IN] STOP

Les moteurs sont arrêtés.


Connexion du système EV3 à zenon Logic Editor

Manuel -> zenon Science Package for LEGO MINDSTORMS -> zenon Science Package for LEGO MINDSTORMS EV3 -> Connexion du système EV3 à zenon Logic Editor

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

LEGO MINDSTORMS EV3 et zenon Logic communiquent par Wi-Fi.

Pour établir les communications :

  1. Insérez le Netgear WNA1100 Wi-Fi Dongle dans le port USB du système Brick.
  2. Activez la Wi-Fi du système LEGO MINDSTORMS EV3.
    Pour cela :
    1. Ouvrez l’onglet Settings (Paramètres) (symbole représentant un outil).
    2. Activez la Wi-Fi.
  3. Connectez-vous à votre réseau.

    Vous trouverez d’autres informations concernant la Wi-Fi dans les instructions de votre système LEGO MINDSTORMS EV3.

  4. Définissez l’adresse IP du système LEGO MINDSTORMS EV3 dans zenon Logic Editor.
    Pour cela :
    1. Ouvrez le menu Tools (Outils).
    2. Sélectionnez la commande Communication parameters (Paramètres de communication).
    3. La boîte de dialogue de sélection de l’adresse IP s’affiche.
    4. Sélectionnez l’adresse IP du système EV3. (Voir également le chapitre Premières manipulations du projet de démonstration.)

      Remarque :
      - Vous trouverez l’adresse IP correcte dans le système Brick, sur l’onglet Settings (Paramètres) (symbole représentant un outil), sous l’intitulé Brick Info.
      - Le Runtime utilise le port 1100.

  5. Démarrez T5 Runtime sur le système LEGO MINDSTORMS EV3.
    Pour cela :
    1. Sur l’onglet App (Application) (symbole représentant une flèche) du système Brick, sélectionnez T5 Runtime.
    2. Appuyez sur le bouton central du système Brick.
    3. Le Runtime démarre.

Vous pouvez maintenant créer un nouveau programme dans le module Workbench de zenon Logic pour contrôler votre système LEGO MINDSTORMS EV3 à l’aide de votre programme.


Premières manipulations du projet de démonstration

Manuel -> zenon Science Package for LEGO MINDSTORMS -> zenon Science Package for LEGO MINDSTORMS EV3 -> Premières manipulations du projet de démonstration

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Vous pouvez vous familiariser avec les fonctions et les paramètres de base du système LEGO MINDSTORMS EV3 en utilisant zenon et zenon Logic avec le projet de démonstration fourni.

Pour cela :

  1. Ouvrez le projet de démonstration appelé EV3_DEMO dans zenon Editor.
  2. Connectez les capteurs et les moteurs aux ports correspondants.

  3. Configurez le driver zenon Logic: LEGO_EV3.

Configuration du driver

Pour configurer le driver :

  1. Dans le projet zenon, accédez au nœud Driver (sous Variables).
  2. Cliquez avec le bouton droit sur le driver zenon Logic: LEGO_EV3.
  3. Sélectionnez Driver configuration (Configuration du driver) dans le menu contextuel.

  4. La fenêtre de configuration s’affiche.

  5. Sur l’onglet Général, sélectionnez l’entrée Matériel pour le paramètre Mode.
  6. Basculez vers l’onglet Connections (1).

    1. Sélectionnez la connexion LEGO_EV3 (2).
    2. Cliquez sur Edit. (3)
    3. Pour le paramètre Primary IP address, saisissez l’adresse IP de votre système Brick.
      Vous trouverez l’adresse dans le système Brick, sur l’onglet Settings (symbole représentant un outil), sous Brick Info.
    4. Modifiez le paramètre Primary port no (4) en 1100.
    5. Confirmez la saisie en cliquant sur Save (5).
  7. Fermez la fenêtre en cliquant sur OK.

Configurez le projet zenon Logic et démarrez le Runtime.

Après avoir configuré le driver, ouvrez le projet zenon Logic.
Pour cela :

  1. Dans zenon Editor, accédez au nœud zenon Logic (IEC 61131-3).
  2. Double-cliquez sur le projet.

  3. Dans le module Workbench de zenon Logic, ouvrez le menu Tools.
  4. Cliquez sur Partamètres de communication.

  5. La boîte de dialogue de configuration des paramètres de communication s’affiche.
    (Voir également le chapitre Connexion du système EV3 à zenon Logic Editor.)

  6. Saisissez l’adresse IP de votre système LEGO MINDSTORMS EV3 Brick, ainsi que son numéro de port.
    Format : Numéro de port d’adresse IP.
    Vous trouverez l’adresse IP dans le système Brick, sur l’onglet Settings (Paramètres) (symbole représentant un outil), sous l’intitulé Brick Info.
    Numéro de port : 1100.
  7. Utilisez le Runtime de straton pour établir la connexion au système EV3.
    Pour cela :
    • Ouvrez le menu Projet.
    • Sélectionnez l’entrée Online.
    • Confirmez votre réponse à la question après avoir téléchargé le projet en cliquant sur OK.
    • Chargez le projet sur le système EV3.
      (Ou : sélectionnez Projet -> Télécharger l’application.)
  8. Basculez vers zenon Editor
  9. Dans la barre d’outils Fichiers du Runtime, cliquez sur Créer tous les fichiers du Runtime.
  10. Cliquez sur Démarrer le Runtime.

Le Runtime du système EV3 démarre.


Forum de COPA-DATA

Manuel -> zenon Science Package for LEGO MINDSTORMS -> zenon Science Package for LEGO MINDSTORMS EV3 -> Forum de COPA-DATA

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Si vous avez des questions concernant zenon Science Package for LEGO MINDSTORMS, vous trouverez des réponses et des informations dans la rubrique Science Package Thread du forum de COPA-DATA : www.copadata.com/forums.


zenon Security Guide

Manuel -> zenon Security Guide

Security is an important issue for COPA-DATA. zenon, zenon Logic and zenon Analyzer are therefore analyzed for security risks not just internally, but also together with universities, research institutes and security services providers. Weak spots that are identified are rectified immediately.

The security of a system is always only as strong as its weakest link. In accordance with the Security in Depth principle, measures are carried out at different levels to minimize security risks.

The points where security measures can be made are very diverse and depend on the respective situation. The idea, for example, that a firewall can be the only security measure to protect the production equipment, has now been superseded. Security measures can take many different forms.
For example:

  • Activation of security functions.
  • Use of additional security products.
  • Deactivation of functions that are not needed.
  • Logging and monitoring of all communication.
  • Isolation of areas, both network areas and physical areas.
  • Switching off systems if other security measures cannot reduce risk with reasonable effort.

In order to continually improve security, we recommend:

  • Regular validation and reevaluation of the possible risks and measures carried out
  • Application of norms and standards
  • Possible support from a security services provider
  • Reevaluation of risks and measures each time a system is changed

Penetration Tests can be used to check whether the measures carried out offer sufficient protection.

This manual is primarily concerned with the system on which zenon Runtime is installed. It informs you of possible risks and strategies to rectify these. There are also recommendations for general security measures. You should however consider measures beyond these.

The protection of your automation environment includes, among other things, the following important areas:

  1. IT-Systems general:
    • Protection of your operating system and all additional software such as SQL server.
    • Creation and anchoring of general rules for each item of software, the network and users.
  2. HMI/SCADA with zenon:
    • Protection of the Runtime and its communication in the network.
    • Protection of the Editor.

How can COPA-DATA support you when protecting your systems?

In principle, the following applies:

  • COPA-DATA offers functions that make attacks on zenon server, clients and the communication in the network between zenon products more difficult.
  • The communication between Runtime and control can only be protected if this is supported by protocol, drivers and PLC.
  • zenon does not take over the task of taking care of the general IT security. This is the IT experts’ task. If an attacker has overcome the IT hurdles and has access to the local data system, then an attack on zenon can also be carried out with appropriate expertise.
  • If there is unauthorized file access with administrator rights, the zenon application can no longer guarantee the security and stability of the system.

This is how COPA-DATA makes provisions

COPA-DATA :

  • works together with university departments, universities of applied sciences and security experts
  • has zenon reviewed also externally for security risks
  • keeps a close watch on all attacks on automation software and security tests
  • Analyzes known weak spots of other systems for their influence on zenon, zenon Logic and zenon Analyzer
  • has been working together on the topic of security with other suppliers and the NERC

COPA-DATA provides information about how your products can be used securely. Neither COPA-DATA nor your products offer protection against negligent configuration.
Recommendation: Obtain advice from security experts if the necessary expertise is not or is only partially available in your company.

Autres sujets abordés dans ce chapitre

Protect the IT

Protect zenon

Further information and consulting


Protect the IT

Manuel -> zenon Security Guide -> Protect the IT

The security of COPA-DATA products also depends on the security of the IT environment in which it is used. COPA-DATA recommends to restrictively protect operating systems, networks and physical access to systems and computers using the expertise of a security expert.

COPA-DATA can only advise you on the security-related configuration of COPA-DATA products. The following general recommendations for IT systems are based on experience and analyses of COPA-DATA, but do not replace an actual analysis and evaluation of your system by security experts.

attention Attention

Security loopholes and threats can change very quickly.
Recommendation:

  • Use the help of knowledgeable experts for the security of your equipment and systems.
  • Note also the security standards and guidelines from Microsoft.

Autres sujets abordés dans ce chapitre

Putting a computer out of operation

Operating system

Installation zenon

Microsoft SQL server

Hardware


Putting a computer out of operation

Manuel -> zenon Security Guide -> Protect the IT -> Putting a computer out of operation

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Security must also be ensured with computers that are taken out of operation. Ensure that, in your company, there is a defined process that regulates how systems on which zenon are installed are taken out of operation. Ensure that this process is carried out and adhered to.

For taking systems on which zenon is installed, COPA-DATA recommends the following steps:

  • Examine the existing data.
  • Back up the data still required.
  • Check to see whether the backups created can also be restored.
  • Physically destroy the data media. This prevents saved information being able to be subsequently read.
  • Make any data backups on other systems or data media unusable.


Operating system

Manuel -> zenon Security Guide -> Protect the IT -> Operating system

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

The COPA-DATA products and their components can run on different systems and in different configurations:

From a Runtime with a zenon standalone project on a scrapped system with a Windows desktop operating system, to a system with Windows server operating system, zenon Runtime server and zenon web server with zenon web clients on systems that are in different networks. However COPA-DATA products can also be used on systems with operating systems other than Microsoft Windows, for example the Everywhere App or the HTML 5 client.

General notes

For a current overview of technical, organizational, personal and infrastructure notices on basic IT protection, we recommend the German Bundesamtes für Sicherheit in der Informationstechnik (BSI).

The DES BSI information is generally in German, but sometimes available in other languages too.
Additional information:

  • BSI general basic protection: https://www.bsi.bund.de/EN/Topics/ITGrundschutz/itgrundschutz_node.html
  • BSI international basic protection: https://www.bsi.bund.de/DE/Themen/ITGrundschutz/ITGrundschutzInternational/itgrundschutzinternational_node.html
  • "M 4 Hardware und Software" range of measures: https://www.bsi.bund.de/DE/Themen/ITGrundschutz/ITGrundschutzKataloge/Inhalt/_content/m/m04/m04.html
    Focuses on practical backup methods.
  • International technical specification from the IEC/TS 62443 range, especially the parts from the IEC/TR 62443-3 range.

Microsoft operating systems

Microsoft provides, on its website, comprehensive information and also tools for backup and secure operation of your operating system.

Autres sujets abordés dans ce chapitre

Secure installation and operation of the operating system

User Administration

Windows security settings

Specific Windows settings


Secure installation and operation of the operating system

Manuel -> zenon Security Guide -> Protect the IT -> Operating system -> Secure installation and operation of the operating system

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

The operating system is, like zenon, a component of the automation system and contributes to the overall security of the system. The requirements for backup of the installation and operation of the operating system differ in complexity and depend on the type:

  • Standalone client operating system
  • Client operating system in a domain group
  • Server operating system

General notes

The IT department may be able to support you with the secure installation and secure operation of computers with zenon, zenon Logic or zenon Analyzer. In doing so, please note the special features of the systems in the production environment: For example, an email server can be restarted in the night without problems in order to install security updates. For a system with zenon Runtime, this is generally only possible by agreement and during a maintenance interval.

Recommendation: Commission expert people with the planning, design, installation and operation of the operating system for the computers in your automation system. This can also include computers on which the zenon Editor is used.

info Informations

Many computers come with preinstalled operating systems. Reinstall the operating system from scratch before installing the zenon Runtime or Editor.

Background: Many providers install many different tools and programs by default, which are not necessary for zenon and may increase security risks.

Recommendation: Always only install the components and programs required for the operation.

Additional notices

This section provides additional notices for operating systems and their components in conjunction with zenon.

Equipment administration

Ensure complete documentation of which:

  • Systems are used in your equipment
  • Operating systems are used on the systems
  • Roles the systems fulfill
  • Software products are installed, the exact version thereof

If it is necessary to replace a system, this information helps get get the system able to run again.
For example: In oder for a certain driver to run in one of your zenon projects, certain additional software must be installed. In addition, a Build of the zenon software is installed, which rectifies a problem in your project configuration. If this information or backups of these setups are missing, this makes putting it back into operation longer.

Anti-virus

Real-time protection from anti-virus software can slow processes if these processes access the data medium. Check the interaction of anti-virus software with zenon Runtime. If necessary, defined exceptions for real-time protection in the anti-virus software to enable zenon Runtime to have access to Runtime data.

Establish processes in the company that define what exactly is to happen if anti-virus software discovers malware.
Note: With a false-positive report, cleaning of the system can, under certain circumstances, disable the computer or impair functionality. If an executable file of zenon software is detected as possibly infected, check the validity of the digital signature first. In the event of doubt, contact your local COPA-DATA support.

If malware is in fact discovered, it is not sufficient to delete the infected file or prevent access to the file. There must also be an investigation to find out how the malware got into the system, how far it has spread and what damage it may already have caused.

User roles

For the operation of zenon Runtime, the limited rights of a user from the Windows User user group are sufficient. Ensure that the user who is executing Runtime only belongs to this user group.

Operating system updates

In principle, it is recommended that the operating system is always kept current and that the security updates at least are installed. Check updates on your own system before installation for possible interaction with zenon, zenon Logic or zenon Analyzer .

Check in time to see what it means for the systems in your company if an operating system is discontinued and consequently no more security updates are provided by the manufacturer. Plan updates for systems carefully and check the systems in a test environment. The current version of zenon always supports the operating systems available at the time of release and allows the conversion of older <CD_PROJECTNAME> projects to the respective current version. Isolate systems that cannot be updated and undertake measures to increase the security of such systems.

Digital signature

All executable files of zenon software are digitally signed. With this signature, it is possible to check whether the software still corresponds to the original. The digital signature can also be used, under certain circumstances, by Application Whitelisting software, in order to prevent the execution of third-party software or manipulated software.

Internet connection

An Internet connection is not required for operation of zenon software.
Recommendation: Never connect systems in productive use to the Internet directly. If a connection is absolutely necessary, use a DMZ at least.

Define mechanisms and processes that also allows installations without an Internet connection for:

  • Security updates for the operating system
  • Updates of signatures of anti-virus software
  • Updates of zenon software

Backing up data and files

Create backups of not just Runtime data, but also compiled Runtime files. This is applicable most of all if you do not have project backups or workspace backups. Also consider whether you want to back up log data from the zenon diagnosis server and Windows events, in order to subsequently establish what happened in the event of a problem. Take good care of these backups, protect the backups from unauthorized access and ensure that they can also be restored again.

Backup of installation media

Create backups of installation media and also back up possible Patches/Builds for the COPA-DATA software that you have installed. Installation sets for required third-party software should also be backed up. In the event of an emergency, a system can also be set up from scratch without an Internet connection using this.

System backup

Create a backup of the system each time a change is made. Take good care of the backups and note who has access to the backups. Also check whether the backup can actually be restored. A system backup is only for restarting the system in the event of an emergency. It can also serve to carry out a forensic comparison with the current system or tests in a test environment.

Additional software

Restrict, on the systems on which zenon software is used, the use of further software to what is absolutely necessary and check for interaction between zenon and other products.

Manual installation of removable media

Windows makes it possible to shut off automatic access to removable media. Each new piece of removable media must be permitted on a one-off basis by an administrator, in order for this to be able to be used. If removable media actually needs to be used, this mechanism reduces the risk of unwanted removable media being used in the system.


User Administration

Manuel -> zenon Security Guide -> Protect the IT -> Operating system -> User Administration

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

COPA-DATA recommends to configure users and passwords as freely as necessary and as restricted as possible.

User Administration

For the operation of zenon in general 4 Windows users are required:

Role | Example | Rights
System Administrator | zenon_ADMIN | Administrator
System Services | zenon_SERVICE | Standard user
System Engineer | zenon_ENGINEER | Standard user
User (for Desktop Login or Autostart) | zenon_USER | Standard user

These users are also employed for configuring the SQL server.
You can read how you administer users in zenon in the user administration manual in the zenon login and user administration in Runtime chapter.

Passwords

Passwords should require an appropriate length and strength. This includes the use of capital letters, small letters, characters and special characters.

Recommendation:

  • Already create a password for the local administrator during the installation.
  • Enforce a password for every account, including guest accounts.
  • Force administrators to use particularly strong passwords.
  • Force user to use particularly strong passwords.
  • Inform users on how to memorize strong passwords without writing them down.

attention Attention

Note:

  • It is best to just use signs which can be entered with any keyboard, so for instance no German umlauts.
  • Passwords for Autologon accounts may not expire automatically.


Windows security settings

Manuel -> zenon Security Guide -> Protect the IT -> Operating system -> Windows security settings

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Windows offers a number of security settings. With regard to this, please also read the Microsoft documentation.

Recommendations:

  • Deactivate Autorun for all drives.
  • Prevent the automatic execution of updates for the operating system and applications.
    Only install updates after you have examined them for smooth operation with their applications in a test environment.
    Please note that some Service Packs/Updates can reactivate the automatic update property without notifying the user.
  • Deactivate all non-essential services.
  • Set a strong password for every account.
  • Also create passwords for deactivated guest accounts.
  • Disable automatic login.
  • Prevent network access to the accounts of local administrators and guest accounts.
  • Protect shared printers.
    Only enable the printer for a precisely-defined group of users.

info Informations

Group policy

Many security-related settings can be adjusted via group policy. It also depends on the operating system which settings are selected in which place. Please find details on this in the corresponding Microsoft documentation.

You can also find information online. For example:

  • Group policy for beginners: http://www.microsoft.com/download/en/details.aspx?id=20092
  • Microsoft Technet Security and Updates:
    http://technet.microsoft.com/en-us/library/cc498723.aspx
  • Mircosoft Technet Solution Accelerators:
    http://technet.microsoft.com/en-us/library/cc936627.aspx
  • Microsoft Compliance Manager:
    http://technet.microsoft.com/en-us/library/cc677002.aspx


Specific Windows settings

Manuel -> zenon Security Guide -> Protect the IT -> Operating system -> Specific Windows settings

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Increase the system security by adhering to some specific settings for Windows. With this regard please also read the Microsoft documentation.

Recommendations for increased Windows system security:

  • Always use the classic logon screen.
    Entering the user name and password is required and it is not displayed which accounts are available.
  • Deactivate the following functionalities:
    • Remote support and remote control.
    • Automatic updates of the root certificates.
    • Automatic Updates during an installation.
    • Help and Support Center.
    • Service for target server.
      Only activate this service if a computer must actually act as a time server.


Installation zenon

Manuel -> zenon Security Guide -> Protect the IT -> Installation zenon

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Before the installation of zenon, ensure that the installation medium corresponds to the original of COPA-DATA. Create secure checksums of downloads and contact COPA-DATA to compare the checksums.

Note: Even if you have obtained a file from s source that you think is secure, there is the possibility the the file has been manipulated during transport.

The following assumptions are made during installation:

  • The system on which the product is installed is free of malware such as viruses, Trojan horses, etc.
  • There are no software products on it that are not required for operation.
  • The system is in a protected environment without direct access to the Internet.

Note:

If you do not install the software in the standard folder, ensure that only users with administrator rights can amend files in, or add files to the selected folder. This is ensured by Windows in the standard folders %Program Files% and %Program Files (x86)%.

Autres sujets abordés dans ce chapitre

Firewall exceptions

Ports for zenon and zenon Analyzer


Firewall exceptions

Manuel -> zenon Security Guide -> Protect the IT -> Installation zenon -> Firewall exceptions

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Some exceptions in the Windows firewall are configured during installation. Depending on the area of use, the applications used and the functionality, these exceptions are not necessary under certain circumstances.

The table lists the exceptions and information on their necessity.

Program or service

Executable file

Comment

CodeMeter Runtime Server

C:\Program Files (x86)\CodeMeter\Runtime\bin\CodeMeter.exe

Necessary.

CodeMeter Runtime Server

C:\Program Files (x86)\CodeMeter\Runtime\bin\CodeMeter.exe

Necessary.

CodeMeter Runtime Server

C:\Program Files (x86)\CodeMeter\Runtime\bin\CodeMeter.exe

Necessary.

CodeMeter Runtime Server

C:\Program Files (x86)\CodeMeter\Runtime\bin\CodeMeter.exe

Necessary.

CodeMeterFWEx1

C:\Program Files (x86)\CodeMeter\Runtime\bin\CodeMeter.exe

Necessary.

zenon Logic Runtime

STRATONRT.exe

Only necessary if the remote computer communicates with zenon Logic Runtime on this computer

zenAdminSrv - Administration service

zenAdminSrv.exe

Not necessary.

zenDBSrv - Database service for SQL Server communication

zenDBSrv.exe 32 bit

Only necessary if distributed engineering is used.

zenDBSrv - Database service for SQL Server communication

zenDBSrv.exe 32 bit

Only necessary if distributed engineering is used.

zenLogSrv - Diagnosis server

zenLogSrv.exe

Only necessary if:

  • This computer is defined as a remote logging server
    or
  • If access to this computer is required by a remote computer with the Diagnosis Viewer

zenNetSrv - Network communication service

zenNetSrv.exe 32 bit

Only necessary if Runtime is running on this computer as a Serveur 1 or Serveur 2.

zenNetSrv - Network communication service

zenNetSrv.exe 64 bit

Only necessary if Runtime is running on this computer as a Serveur 1 or Serveur 2.

zenon Process Gateway

zenProcGateway.exe

Only necessary if the zenon Process Gateway is used on this computer.

ZenSysSrv - Transport service

zenSysSrv.exe 32 bit

Only necessary if remote transport to this computer is required.

ZenSysSrv - Transport service

zenSysSrv.exe 64 bit

Only necessary if remote transport to this computer is required.

zenVNCSrv - Remote Desktop Service

zenVNCSrv.exe

Only necessary if remote desktop to this computer is required.

Note: See also the Ports for zenon and zenon Analyzer chapter.


Ports for zenon and zenon Analyzer

Manuel -> zenon Security Guide -> Protect the IT -> Installation zenon -> Ports for zenon and zenon Analyzer

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

During the installation of zenon, exceptions are created in the Windows firewall by the Setup for some applications and services that open a TCP Listening Port.

info Informations

After installation, configure the exceptions in the Windows firewall more restrictively, appropriate to their environment and to the required applications and services.

On multi-homed systems with multiple network cards, zenon applications and services, with their default settings, open the TCP Listening Port for all network cards present in the system. However communication throughout all network cards is often not necessary and not desirable.

Note: After installation, use the Startup Tool to configure the TCP Listening Ports for the respective services and applications, according to their environment and requirements. Only allow communication between the network card or IP that is required for this. If you assign a service the local loopback adapter or the IP address 127.0.0.1, you only allow local communication. This way, local diagnosis server access to local diagnosis clients can be limited.

info Informations

If a port that is different to the standard port is configured for a connection, this does not mean that an unwanted connection is no longer possible. A possible attacker only needs some more time to find the correct port.

When using non-standard ports, the standard port can be used as a Canary under certain circumstances. To do this, you monitor the standard ports in an Intrusion Detection System that you may have and set alarms for any attempt to connect to these ports. Such connection attempts can be caused by:

  • An incorrectly-configured computer
  • By an attacker who is using the default ports

Ports

Application | File | Goal | TCP-port | UDP-Port
Network project | zenNetSrv.exe | Runtime communication. | 1100 |
Remote Transport | zenSysSrv.exe | Data transfer via Remote Transport (editor) and Diagnosis Server. | 1101 |
zenon Remote Desktop |  | Direct connection with other computers including the possibility to monitor and take over control. | 5600 5610 |
zenon Web Server | zenWebsrv.exe | On-site logging machine between Web Client and Runtime | 1102 |
Distributed Engineering | zenDBSrv.exe | Distributed Engineering | 1103 |
CodeMeter WebAdmin |  | Configuration of CodeMeter Dongles. | 22350 |
WibuyKey |  | Monitoring WibuKey Dongles. | 22347 |
SQL server with multi-user projects |  | Administration of objects being executed. | 1433 | 1434

Recommendation: Open only ports required for a smooth operation.
Ports can be amended in the Startup Tool in the Listening ports tab. Note in this case that all devices affected must be amended!

Standard ports in COPA-DATA products

The following ports are used by COPA-DATA products by default:

Application | Port standard
zenon |
Network Service | 1100
Transport Service | 1101
WEB Service Classic | 1102
DB Service | 1103
SQL Browser Service, (pour le développement distribué dans Editor) | 1434
zenAdminSrv.exe | 50777
Logging Service | 50780
zenVNC.exe | 5600 - 5610
SNMP Trap Service | 50782
zenLicenseSr | 50783
zenLicenseStub | 50789
zenLicenseCenter | 50689
WEB Service Tunneling | 8080
zenon Logic |
Le port attribué à zenon Logic ou straton dépend du projet et du service. Par ex. : Le premier projet zenon Logic occupe les ports 1200 et 9000, le deuxième projet occupe les ports 1201 et 9001, et ainsi de suite. | 1200 - 1210 4500 - 4510 7000 - 7010 9000 - 9010
zenon Analyzer |
Administration Service | 50777
Analyzer Connector Service | 50778
Analyzer License Service | 50779
ZAMS | 50781
Drivers |
Driver Simulation | 6000 - 6020
Process Gateway OPC Server | 135
Process Gateway SNMP | 161
Process Gateway Modbus | 502
Process Gateway IEC60870-5 104 slave | 2402
Process Gateway DEC | 5555
Process Gateway DNP3 Slave | 20000

Note: zenon drivers that communicate by means of Ethernet use TCP and thus need authorizations in the firewall in this case, regardless of the port used.


Microsoft SQL server

Manuel -> zenon Security Guide -> Protect the IT -> Microsoft SQL server

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

The Microsoft SQL Server is only required for the zenon Editor and for the zenon Analyzer. It is also installed during the installation of the zenon Editor or zenon Analyzer. The respectively required MS SQL Server is also contained on the installation medium. In the installation of the zenon Runtime no SQL server is installed.

The version of MS SQL Server that is installed is the one that is current at the time the installation medium is created. COPA-DATA recommends to install patches and updates after the installation.

In doing so, please note:

  • Load and install updates and patches individually instead of on an automated basis.
  • Check all updates and patches for unwanted effects on a test system before installation.
  • Only implement updates and patches on a productive system after they have been successfully tested.

attention Attention

For the maintenance and backup of the SQL server, use the corresponding documentation and guidelines from Microsoft.


Hardware

Manuel -> zenon Security Guide -> Protect the IT -> Hardware

Also protect the hardware from attacks. For this purpose, also adhere to the documentation of the corresponding devices.

Recommendations for the hardware protection:

  • Protect access to the BIOS with a password.
    The BIOS contains some areas relevant for security. Only the administrator should be authorized to change these settings.
  • Protect the start process with a password, if there is no good reason not to do this.
    Reasons not to set a boot password:
    • A server should automatically boot after a system error.
      In this case, physically protect the server by means of a locked cabinet.
    • Dual boot is not possible. Only the pre-set operating system can be booted.
    • Complete encryption of the hard drive, which demands the entry of a password before booting.
    • Several users share the computer.
  • Avoid wireless communication.
    It is possible to intercept the communication of wireless keyboards (radio waves, infrared, Bluetooth) to and from the system, even from a great distance.
  • Avoid biometric access controls; instead, use PKI-based smart cards.
    It is now known that biometric access checks for computers can be circumvented in several ways. They should not be used in productive systems.
    Recommendation: Use PKI-based smartcards. These can also be linked to biometric checks. For example, a fingerprint reader on the smartcard reader can allow the access to the smartcard. zenon supports the logon per chip ident system for Runtime.
  • Deactivate wake-on LAN if it is not needed for administrative purposes.
  • Deactivate Hardware virtualization.
  • Deactivate interfaces for removable media (USB).
    Note: You can also get COPA-DATA dongles for internal USB ports for licensing.
  • Protect physical access to your systems. The room with server cabinets should be locked and access should be monitored. Replace the standard locks that come with server cabinets with security locks. Cabinets for equipment computers and controllers should be locked. Cable connections should also be protected.
  • For unmanned areas, use camera systems with motion detection and alarming.
  • Consider which components you store, so that critical components can be replaced, even when there are supplier bottlenecks.
  • Ensure that you are informed if a product is discontinued or can no longer be supplied by the manufacturer and create a replacement strategy.


Protect zenon

Manuel -> zenon Security Guide -> Protect zenon

zenon ensures up-to-date protection with:

  • Separation of Editor and Runtime:
    The Editor and Runtime are administered separately in zenon. An infection of the Editor database by an attacker does not automatically lead to an infection of Runtime.
  • Encryption (from version 7.00):
    Optional strong encryption of communication in the zenon network and of communication between Editor and Runtime.
  • Encrypted passwords:
    The password for the Editor database can be stored in an encrypted form.
  • SQL server:
    The MS SQL server is only required on computers with the zenon Editor for configuration or for the zenon Analyzer server. The zenon Runtime does not require an SQL server. Only install the MS SQL server if you need it for operation of zenon and configure it restrictively.
  • File signature (from Version 7.00 on):
    checking of the file signature of the Runtime.
  • Authentication (from Version 7.00 on):
    Only authenticated clients will obtain access to a zenon server.
  • Limited rights:
    The zenon software is able to run in the user context of a standard user.
  • Start as a service without GUI:
    zenon Runtime can be configured so that it starts as a service with the operating system without a user interface. This option can be used for systems on which Runtime runs as as server.
  • Clients or zenon web clients on the terminal server:
    <CD_PROCUCTNAME> Runtime as a client and the zenon web client can run one one terminal server. A thin client can thus be used for an operating station. The administration and protection of thin clients and terminal servers can be central.
  • General functionalities such as:
    • Configurable ports
    • Components that can be deactivated, such as COM Interface and Everywhere Server
    • Current communication standards with security aspects, such as OPC UA

Autres sujets abordés dans ce chapitre

Supported Operating systems for zenon.

Runtime

Editor

PLC communication

Monitoring devices with SNMP

Web server/Web client


Supported Operating systems for zenon.

Manuel -> zenon Security Guide -> Protect zenon -> Supported Operating systems for zenon.

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Which operating systems are supported depends on the applied zenon version. zenon is continuously being developed also with regard to security. It is recommended to use the latest zenon version on a current operating system with the latest patches.

info Informations

Many computers come with preinstalled operating systems. Reinstall the operating system from scratch before installing the zenon Runtime or Editor.

Background: Many providers install many different tools and programs by default, which are not necessary for zenon and may increase security risks.

Recommendation: Always only install the components and programs required for the operation.

The following information refers to the zenon version.


Runtime

Manuel -> zenon Security Guide -> Protect zenon -> Runtime

zenon Runtime is protected in operation with the zenon user administration (including connection to Active Directory) by:

  • authentication of the client at the server (from version 7 on)
  • Strong encryption (from version 7 on)
  • Data storage in binary format
  • no SQL database used
    (only required for the zenon Editor)

You can further increase the protection by:

  • limiting the access to the zenon Runtime folder
  • disabling the zenon API

Autres sujets abordés dans ce chapitre

Protect zenon file system

User Administration

Encryption in the network

zenon API

IEC 61850

Voice over IP - Message Control


Protect zenon file system

Manuel -> zenon Security Guide -> Protect zenon -> Runtime -> Protect zenon file system

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

The access to the zenon file system should be strongly protected so that data cannot be manipulated externally. Only one Windows user should have read and write access. All other users should not have rights in the zenon Runtime folder. Operators in the Runtime log on as zenon user.

In order to limit access to the file system:

  1. Only create a single Windows user (for instance: zenon_ADMIN) who is authorized to start zenon as well as to read and write in the zenon Runtime folder.
  2. Disable access to the zenon Runtime folder for all other Windows users – including read authorizations!
  3. Disable any remote access to the user zenon_ADMIN.
  4. Block any software for remote maintenance or remote access such as zenon Remote Desktop.
  5. Make sure that zenon can only be started if this user (zenon_ADMIN) is logged in.
    Since other Windows users do not have read authorization Runtime will only start in the context of this user (zenon_ADMIN).
  6. Make sure that zenon runs as shell:
    1. For this purpose, create a zenon autostart with Keyblock Runtime Start
    2. activate the property Bloquer les touches système in the group Paramètres du Runtime of project properties
    3. start zenon in full-screen mode: Set property Titre runtime to No title
    4. also bear multi-screen systems in mind in the configuration
    5. disable Explorer start
    6. do not offer file selection dialogues
      (in this case no functions may be projected which require the user to select files in Runtime)

Access to the zenon file system is thus restricted.

The zenon tool Keyblock Runtime Start can be used to implement further protective measures by blocking the system keys.

Autres sujets abordés dans ce chapitre

Blocking system keys


Blocking system keys

Manuel -> zenon Security Guide -> Protect zenon -> Runtime -> Protect zenon file system -> Blocking system keys

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Keyblock Runtime Start is a program with which zenon Runtime runs as a Shell. In doing so, zenon Runtime is started, but all Windows system tasks are blocked. Keyboard shortcuts such as Windows key or Ctrl+Alt+Del no longer have an effect. User can no longer access the operating system but only work on the zenon user interface.

The precondition for this is that the project properties are set Titre runtime to No title (full screen). Then zenon runs in full screen mode and the Runtime cannot be minimized.

Note: The blocking of the Windows key can be circumvented. You should therefore block the Windows key using the corresponding entry in the Startup Tool

Usage

To use Keyblock Runtime Start:

  1. In the Windows start folder, under COPA-DATA, open the zenon Tools.
  2. Select Keyblock Runtime Start.
  3. The program is opened and automatically starts Runtime.
  4. The program blocks all access to the operating system:
    • locked shortcuts:

      Ctrl+Alt+Del

      Ctrl+Esc

      Alt+Tab

      Alt+Esc

      Alt+F4

      Windows key (except Windows + L)
      Notes:
      When locking the system keys, the normal operation of the scroll bars with the mouse in the Runtime is also blocked. This block can be circumvented with the context menu.
      If the system is blocked using the keyboard shortcut Windows + L, All Windows keyboard shortcuts are available again when signing in again. To prevent this, in the Startup Tool under Application -> Options -> General, deactivate the Windows key.

    • Hiding the Control Panel in the start menu
    • Locking the toolbar for operation
    • Prevents

      Changing passwords

      Closing Windows

      Logout

      Locking the computer

      User change

    • Hiding all element in the task manager

info Informations

If Keyblock Runtime Start is started using the startup process of the operating system, then note the following:

  • The Autostart folder is user specific:
    If another user logs in, the program is not executed.
  • Execution of the Autostart programs can be prevented by pressing the Shift key when the operating system is booting.

This locking cannot be bypassed during Runtime. When the Runtime is closed normally, the system restrictions are canceled. If the Runtime is to be operable without these limitations, Runtime must be started without the Keyblock Runtime Start.

attention Attention

Take care that you engineer a possibility to close the Runtime in your project. There is no possibility to end the Runtime regularly.

  • It can only be ended by shutting the computer down using the hardware
  • All system keys also remain blocked after restarting

In order to make system keys accessible again after not being shut down properly (in the event of a power cut for example):

  • start the Runtime again with the help of Keyblock Runtime Start
  • end the Runtime regularly via a close button


User Administration

Manuel -> zenon Security Guide -> Protect zenon -> Runtime -> User Administration

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

zenon supports a user administration for the Editor and for the online operation (Runtime). The password system meets the guidelines of the FDA (Food and Drug Administration, 21 CFR Part 11).

The concept

The password design assumes that different users have different operating rights (password levels). Administrators also have different authorization levels. However they also have additional administration-related functions, such as administering users.

The zenon password design allows to allocate several selective (separately defined) authorization levels (operating rights) to each user. A maximum of 128 (0 to -127) authorization levels can be configured. Users can be assigned to the individual authorization levels and the attendant project-specific password design in relation to this can be created completely freely. Each user can have any level allocated. Thus e.g. user 1 can have levels 0, 1, 5 and 6 assigned and user 2 can have levels 0, 1, 6, 8 and 10 assigned. Authorizations can only be issued if the administrator has those rights himself.

A user is logged in to Runtime during online operation by activating the Login function. If the user should be logged in automatically based on an event (e.g. position of a key known to the system), the function Login without password is used. This function is projected with a limit value or a Rema of the variable in the variable management, respectively.

The Logout function is used for the independent logging out of a user. The user who is newly logged into the system is the SYSTEM user. If during a defined period of time there is no operation, an automatic time-triggered logout can be engineered.

For the creation and administration of users, as well as the assignment of passwords, please also note the information in the Protecting the zenon file system chapter:

Autres sujets abordés dans ce chapitre

Options in Runtime


Options in Runtime

Manuel -> zenon Security Guide -> Protect zenon -> Runtime -> User Administration -> Options in Runtime

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

User administration in Runtime offers different possibilities.

Il est également possible d'utiliser Windows AD ou AD LDS pour la gestion des utilisateurs. Les utilisateurs peuvent se connecter de façon permanente ou temporaire et être administrés dans le Runtime.

Remarque : It is not possible to rename user groups in Runtime.

Les valeurs ou fonctions peuvent également être protégées par une signature. Pour cela, la propriété Signature nécéssaire doit être activée pour la propriété correspondante. Dans ce cas, l'utilisateur doit à nouveau saisir son mot de passe et sa signature, même s'il est connecté et dispose des droits appropriés. Une entrée supplémentaire est alors créée dans la liste d'événements.

attention Attention

Les paramètres des utilisateurs modifiés dans Editor peuvent uniquement être appliqués si la propriété de projet Données modifiables dans le Runtime (groupe Général) autorise le remplacement des propriétés d'utilisateurs lors de l'écriture de fichiers dans le Runtime.

Les paramètres modifiés dans le Runtime peuvent être appliqués à l'aide de la commande Importer les fichiers de Runtime (barre d'outils Fichiers du Runtime) dans Editor. Pour cela, la décompilation doit être autorisée dans la propriété Données modifiables dans le Runtime.

Permanent and temporary login

Après une connexion permanente, l'utilisateur est connecté de façon permanente et peut effectuer toutes les opérations qu'il est autorisé à effectuer. Pour les actions que l'utilisateur n'est pas autorisé à effectuer, un message correspondant est affiché.

Une connexion permanente peut être effectuée comme ceci :

  • Un appel d'un synoptique Connexion
  • La fonction Connexion avec boite de dialogue
  • La fonction Connexion sans mot de passe

Conseil : les boutons protégés par un mot de passe peuvent être masqués pour les utilisateurs connectés. Pour cela, la propriété Boutons protégés (Propriétés du projet -> Gestion des utilisateurs -> Connexion et signature) doit être correctement configurée.

  • Remarque : la connexion temporaire n'est pas disponible pour les utilisateurs connectés. Les utilisateurs connectés ne voient donc pas de boîte de dialogue de connexion temporaire pour les fonctions nécessitant un niveau d'utilisateur supérieur au leur.


Encryption in the network

Manuel -> zenon Security Guide -> Protect zenon -> Runtime -> Encryption in the network

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Data traffic in the zenon network is encrypted.

zenon enables strong encryption of communication in the zenon network. Strong encryption works from zenon Version 7.0 for all supported operating systems and for the zenon Web Client.

If encryption is active, communication between the Primary Server, Standby Server, Clients and zenon Web Clients is in encrypted form; the zenon Web Server only forwards data packets and is not affected by encryption.

info Informations

Network communication was also encrypted in earlier versions of zenon. The method has changed with version 7. The term "encryption" in conjunction with zenon 7 or later always means strong encryption.

Note: No encryption is available for VoIP in the Message Control module. This type of dispatch should therefore not be used if there is a need for security.

Autres sujets abordés dans ce chapitre

Basics

Activate encryption


Basics

Manuel -> zenon Security Guide -> Protect zenon -> Runtime -> Encryption in the network -> Basics

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Encryption for zenon Runtime is available from version 7.00. It is not possible to communicate with earlier versions of zenon if encryption is switched on. Encryption does not impair any zenon functionality.

Basic encryption from zenon 7.00

To use the strong encryption of the zenon network, note:

  • The password is encrypted individually on each computer and stored in zenon6.ini. That means:
    • The password cannot be transferred by copying zenon6.ini to another computer.
    • If hardware components are changed, in the network adapter area in particular, the password may be invalid and need to be re-entered.
  • Encryption must always be activated or deactivated for all components involved in the zenon network. Communication between encrypted and unencrypted systems is not possible. zenon Web Servers only act as a proxy computer and are not affected by encryption.
  • If encryption is activated on a computer, it always applies for the projects of this computer with the Réseau actif property active.

info Informations

AES 192 from Microsoft is used as the encryption algorithm for network communication.

SHA 256 from Microsoft is used in order to generate the key from the entered password.

Compatibility

Encryption is not compatible with versions prior to zenon 7.00 SP0. That means:

System 1 | System 2 | Communication
zenon 7 encrypted | zenon 7 encrypted | Yes
zenon 7 unencrypted | zenon 7 unencrypted or zenon prior to version 7 unencrypted | Yes
zenon 7 encrypted | zenon 7 unencrypted or zenon prior to version 7 unencrypted | No

Errors are logged in the Diagnosis Viewer 's LOG file.

Example

The following illustration shows an example of a network with Primary Server, Standby Server, two clients, one zenon Web Server and two Web Clients. All devices are running zenon 7.00 SP0. The devices are configured as follows:

  • Encryption is activated on the Primary Server using the Startup Tool.
  • Encryption is also activated on the Standby Server and client A via Remote Transport when Runtime files are transferred.
  • Client B and Web Client B still communicate without encryption.
  • On Web Client A, encryption is activated on the server using the Startup Tool.
  • Because the zenon Web Server does not evaluate the data packets, but instead forwards these on immediately, it does not require encryption. In theory, it can also have an older version, and the Web Clients can nevertheless create encrypted connections.

This configuration leads to the following result:

  • The Standby Server communicates successfully with the Primary Server.
  • Client A can log in to the Primary Server and exchange data.
  • Because client B sends unencrypted messages and these are rejected by the Primary Server because encryption is active, client B cannot communicate with the Primary Server and is therefore offline.
  • Web Client A logs on to the server via the zenon Web Server and can exchange data.
  • The unencrypted messages from Web Client B are forwarded from the zenon Web Server to the Primary Server, but the server rejects these. Web Client B cannot communicate with the Primary Serverr and is therefore offline.

As soon as encryption via Remote Transport or the Startup Tool configuration on client B and via Encrypt network communication on Web Client B is activated, these connections can also make connections to the Primary Server.


Activate encryption

Manuel -> zenon Security Guide -> Protect zenon -> Runtime -> Encryption in the network -> Activate encryption

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Encryption can be activated in different ways:

  • By means of the Startup Tool for the local computer and the zenon web client
  • via Remote Transport

Tipp Conseil

For quick, easy activation of the encryption, it is recommended that the configuration is carried our on a computer using Remote Transport.

Autres sujets abordés dans ce chapitre

Locally via the Startup Tool

Via Remote Transport


Locally via the Startup Tool

Locally via the Startup Tool

To activate encryption on the local computer or for the <CD_PRODUCTNAME Web> Client:

  1. Open the zenon Startup Tool.
  2. Click Application -> Options.

    The dialog for the settings is opened.

  3. Select the Network configuration tab.

  4. Activate the Encrypt network communication. checkbox
  5. Enter the password and verify it.
  6. Confirm the dialog by clicking on OK.

Connector encryption

In order to activate the encryption for the SCADA Runtime Connector zenon or zenon Analyzer, the HTML web engine or for the Runtime remote driver, configure the Encrypt Runtime connector communication group of properties.


Via Remote Transport

Via Remote Transport

Encryption can be activated on remote computers using Remote Transport. However, this is only possible if the Remote Transport connection is protected with a password.

To activate encryption using Remote Transport:

  1. Click on the corresponding button in the Remote Transport toolbar

    or select, in the project's context menu: Set up Remote Transport> connection.

    The dialog for setting up the connection is opened

  2. Enter the connection password or create one, if none has been set
  3. Activate the Configure encryption of network communication checkbox
  4. Click on OK.

    The dialog for encryption of network communication is opened

  5. Activate the Encrypt network communication checkbox
  6. Issue a password (for criteria, see the network password encryption section.)
    To quickly transfer the local configuration to other computers, the local password can first be read via Read local configuration.
  7. Confirm the dialog by clicking on the OK button.


zenon API

Manuel -> zenon Security Guide -> Protect zenon -> Runtime -> zenon API

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

The zenon API allows access to zenon by means of VBA and VSTA. Individual extensions can thus be programmed and many procedures can be further automated. In sensitive environments, this access constitutes a security risk and can be prevented in part.

Note: zenon does not support DCOM. For this reason, a remote access to the API is not possible.

info Informations

With the key combination Ctrl+Pause (BREAK) running code can be interrupted and the VBA editor accessed this way. If you use VBA or VSTA in the project disable the function BREAK.

Deactivating the sending of events

To deactivate the sending of COM events:

  1. Open the zenon6.ini.
  2. Navigate to the section [VBA].
  3. Enter the value 0 for the EVENT= key word.
    The sending of Events to external applications is thus prevented.


IEC 61850

Manuel -> zenon Security Guide -> Protect zenon -> Runtime -> IEC 61850

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

zenon supports the IEC 61850 protocol as well as OPC UA including security features.


Voice over IP - Message Control

Manuel -> zenon Security Guide -> Protect zenon -> Runtime -> Voice over IP - Message Control

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

In the zenon Message Control module, the Voice over IP (VoIP) dispatch type is also available. It is only for the sending of messages. No incoming calls are taken.

attention Attention

There is no encryption available for VoIP. This type of dispatch should therefore not be used if there is a need for security.


Editor

Manuel -> zenon Security Guide -> Protect zenon -> Editor

The concept of zenon allows the operation of Runtime and the Editor on separate computers. Often, the security of systems on which Runtime is running is rated as more important than that of Editor systems. However both must be rated as equally important.

Background: An attacker who has managed to get into a production network and discover, for example, a PLC with Modbus, cannot detect which processes and values are behind it using the Coils, Holding Registers or Inputs. A PLC program, technical illustrations or even also the HMI/SCADA software offer attackers the required information under certain circumstances.

Autres sujets abordés dans ce chapitre

Encryption

Editor computer without distributed engineering

Network: Multi Homed

Project backup and workspace backup

History of Changes

Project versioning with XML export

User Administration

Runtime tests

Import from variables


Encryption

Manuel -> zenon Security Guide -> Protect zenon -> Editor -> Encryption

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

The zenon Editor can - just like zenon Runtime - transmit the data in the network in encrypted form. Activate this encryption. You can find details in the section Encryption in the network.


Editor computer without distributed engineering

Manuel -> zenon Security Guide -> Protect zenon -> Editor -> Editor computer without distributed engineering

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

If the zenon is only installed on one computer as an Editor and the project configuration is carried out on this computer, we recommend the following checks and changes after installation:

  • SQL:
    • Change the standard password for the SQL user sa.
    • Change the standard password for the SQL user zenonsrv both in the SQL server instance and using the Startup Tool.

      Attention: For systems that use distributed engineering, the same password must be used for the user zenonsrv on the server and clients

    • Deactivate the SQL browser service on computers with the zenon Editor, if this is not needed by other SQL server instances on this computer.
    • Deactivate the remote access to the SQL server.
      Note: Systems with distributed engineering need remote access.
  • Limit the execution of the Editor and Runtime to precisely-defined users.

    In addition to the backup of the zenon projects using the user administration, it is also possible to use the Windows security settings to determine which users can execute the zenon Editor.

  • Do not close the required ports.
  • Activate network encryption and set the password according to your Runtime systems, provided you use Remote Transport.
  • Check the firewall exceptions that are added during installation.
    Remove exceptions for applications that are not used.


Network: Multi Homed

Manuel -> zenon Security Guide -> Protect zenon -> Editor -> Network: Multi Homed

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Prohibit operation of several networks on one computer.

Dual-Homed or Multi-Homed computers are a popular target for attackers. They can very often easily be configured to a bridge and then allow direct access from one network to another network. Existing firewalls are thus easily circumvented. Because a computer with the Editor is not always assigned to production, it may happen that such a computer is both connected to the company network and also to the production network. This configuration is unsafe and must be avoided.


Project backup and workspace backup

Manuel -> zenon Security Guide -> Protect zenon -> Editor -> Project backup and workspace backup

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Project backups and workspace backups should only be restored from trustworthy sources.

Encrypt copies of project backups or workspace backups before transport or storage at a central location. If necessary, use the additional functions or additional software. Before restoring to the Editor, the backup must be restored from the encrypted copy.


History of Changes

Manuel -> zenon Security Guide -> Protect zenon -> Editor -> History of Changes

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Activate the revision history, so that changes can be logged in the project. Set a password so that the change history cannot be deactivated without authorization. It usually makes sense to activate the revision history only once the equipment has been supplied.


Project versioning with XML export

Manuel -> zenon Security Guide -> Protect zenon -> Editor -> Project versioning with XML export

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Activate the project versioning in the project with the XML export option. The project backups also contain the XML export. This allows a further comparison between project backups and thus also incremental restoration of individual components.


User Administration

Manuel -> zenon Security Guide -> Protect zenon -> Editor -> User Administration

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Use the user administration in the Editor too.
You can thus prevent unauthorized loading of a project and link the editing to authorization levels granularly.


Runtime tests

Manuel -> zenon Security Guide -> Protect zenon -> Editor -> Runtime tests

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Use the driver simulation for Runtime tests.


Import from variables

Manuel -> zenon Security Guide -> Protect zenon -> Editor -> Import from variables

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

The online import of variables from the PLC directly replaces a connection between the Editor computer and the PLC. The use of a "third-party" computer in the production network that was also used in other networks constitutes a risk.

You should therefore use, if possible, offline import or an Editor computer that is a fixed part of the production network. Otherwise use a test environment for online import and check the PLC before this is integrated into the production network again.


PLC communication

Manuel -> zenon Security Guide -> Protect zenon -> PLC communication

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

With most protocols for communication with controllers, there is no possibility to encrypt the data used or to check the authentication. Many controllers also do not themselves offer the possibility to also encrypt the transport channel.

A SCADA system or a PLC thus has no possibility to check whether communication is actually taking place directly or if there is a compromised computer between them (man in the middle), which an attacker can use to view and also modify the data if they know the protocol.

For communication via Ethernet, use Switches, that have Port Security if possible, thus preventing the diversion of communication via a compromised computer or making it more difficult. Intrusion Detection systems can also monitor ARP or NDP and report attempts to divert communication.


Monitoring devices with SNMP

Manuel -> zenon Security Guide -> Protect zenon -> Monitoring devices with SNMP

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

zenon offers an SNMP_NG driver that supports SNMPv1, SNMPv2 and SNMPv3. This driver can be used on networked computers to monitor the devices connected to Runtime, such as Runtime clients or the PLC and to display and monitor the status of network components such as switches or network printers.

Reading SNMP agents - receiving traps

The SNMP_NG driver can read data from SNMP-compatible devices. It can use the ping status to establish whether the end device can be reached using the ICMP protocol and receive SNMP traps.

Ping status positive

The SNMP_NG driver can be used not just to read devices via SNMP, but also to cyclically ping devices connected to the network that are not SNMP agents. The result can be evaluated in Runtime and an alarm can be triggered if a device no longer responds.

Ping status negative: Security zones - DMZ - company network - Internet

The ping status can also be used for negative tests. If a networked computer is used together with zenon Runtime in an environment in which no connection to other security zones, the DMZ, the company network or to the Internet is to be possible, the ping status of the SNMP_NG driver can also be monitored cyclically. In the case the ping should always fail. If there is nevertheless a response to a ping, an alarm can be triggered accordingly.

Windows events as SNMP traps

The Windows event logs log much information about the local system. Messages that may be relevant to security are also logged there. However, if these messages are not collected and checked centrally, important notices and early warnings may be lost under certain circumstances. Events from the Windows event logs cannot be read into zenon directly. However this is possible with the Windows standard function and the SNMP_NG driver.

Windows offers an SNMP agent that can be activated as configured as a service using the Control Panel. With this service, the local computer can be configured as a trap recipient. The evntwin.exe (Event to Trap Translator) program can then be used to generate an SNMP trap for any desired Windows events. The SNMP traps can then be created in zenon as a trap variable. The reading of an initial value is not possible for this trap, however it is possible to set an alarm in Runtime if a certain Windows event is generated and a corresponding trap is received.

Non-networked computers can also be monitored this way. It is not just the local computer that can be configured as a trap, but also other computers in the network. The central monitoring of networked computers is thus possible via zenon Runtime and the SNMP_NG driver, even for Windows computers on which zenon Runtime is not installed.

Additional information:

  • Security check and attack detection: https://msdn.microsoft.com/en-us/library/cc875806.aspx
  • Event log monitoring: http://www.redblue.team/2015/09/spotting-adversary-with-windows-event.html


Web server/Web client

Manuel -> zenon Security Guide -> Protect zenon -> Web server/Web client

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Although it is perhaps implied in the name, the web server and web client are not designed for use in a protected network. The web server should not be contactable via the Internet, either directly or indirectly via port forwarding. In principle, it is possible to connect a web client at one site to Runtime at another site using a web server, but in doing so a a solid design of the network architecture must be ensured, with a DMZ for the web server and a VPN tunnel between the web server and web client network.


Further information and consulting

Manuel -> zenon Security Guide -> Further information and consulting

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

COPA-DATA can only provide support for the configuration of our own products. For general questions regarding security in IT, operating systems, networks etc. please contact your IT consultant.

For questions regarding the security in zenon please contact the COPA-DATA Consulting, either via the phone number stated in your service contract or via e-mail to support@copadata.com.


zenon Web Server

Manuel -> zenon Web Server

With zenon Web Server, visualization content can be called up and displayed with a web browser. In doing so, no installation of zenon Runtime is necessary on end devices. All components for the display of the user interface on the end device are provided automatically. Additional web clients can thus be incorporated into the system dynamically.

zenon Web Server, Web Server Pro and Web Server Pro Light constitute the complete scope of functions of a zenon visualization. A web browser plug-in required for this can be installed automatically the first time the web client is started.

The HTML web engine provides zenon visualization content in the HTML5 web standard. Selected functionalities can be applied.

Autres sujets abordés dans ce chapitre

zenon Web Server, Web Server Pro and Web Server Pro Light

HTML Web Engine


zenon Web Server, Web Server Pro and Web Server Pro Light

Manuel -> zenon Web Server -> zenon Web Server, Web Server Pro and Web Server Pro Light

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

zenon Web Server est actuellement disponible dans trois versions : Leurs fonctions sont brièvement décrites ci-après :

tutorial Informations concernant la licence

zenon Web Server, zenon Web Server Pro et zenon Web Server Pro Light nécessitent une licence pour fonctionner. Pour plus de détails, reportez-vous au chapitre Gestion des licences.

zenon Web Server :

  • Transmet les paquets de données provenant du serveur principal, via zenon Web Server, à zenon Web Client.
  • Gère les licences.
  • Only acts as a viewer.
    This means: No operations are possible, with the exception of screen switching, logging in and logging out.
  • Peut être installé sur un ordinateur distinct, dans une DMZ, par exemple.
  • Compatible avec le chiffrement du réseau.
  • Compatible avec la tunnellisation HTTP.
  • Nombreux clients possibles (selon la licence).

zenon Web Server Pro :

  • Fonctionnalités identiques à celles de zenon Web Server, excepté les caractéristiques suivantes :
    • Autorise les actions de l'utilisateur actif avec zenon Supervisor et zenon Runtime.
  • Le démarrage et l'utilisation sous Windows CE font l'objet de certaines limitations.
  • Peut être installé sur un ordinateur distinct, dans une DMZ, par exemple.
  • Compatible avec le chiffrement du réseau.
  • Compatible avec la tunnellisation HTTP.
  • Nombreux clients possibles (selon la licence).

zenon Web Server Pro Light :

  • Autorise les actions de l'utilisateur actif avec zenon Supervisor et zenon Runtime.
  • Le serveur principal auquel se connecte zenon Web Client doit être l'ordinateur sur lequel s'exécute zenon Web Server Pro Light.
    Remarque : Pour les projets redondants, le déploiement de zenon Web Server Pro Light doit être redondant : une instance sur le serveur, et l'autre sur le serveur redondant.
  • 3 clients maximum.
  • Pas de prise en charge du trafic chiffré. En cas d'utilisation de communications chiffrées, Web Server ne démarre pas ou se ferme.
  • La tunnellisation HTTP n'est pas prise en charge.
  • Les projets doivent être exécutés sur le même ordinateur que le serveur. Les projets exécutés en tant que client sur l'ordinateur ne sont pas pris en charge.
  • Plusieurs projets sont pris en charge si tous les projets sont exécutés localement, en tant que serveur.

Remarque : Web Server est fourni sous forme d'application 32 bits jusqu'à zenon 7.10. Depuis la version 7.11, il est également disponible sous forme d'application 64 bits.

Autres sujets abordés dans ce chapitre

Exemple de configuration avec zenon Web Server :

Composants requis et définitions

Configuration du projet

IPv6

Licence

Fonctionnement de la redondance

Tunnellisation HTTP

Navigateurs Web pris en charge :

Dossier de fichiers du Runtime

VSTA et VBA avec zenon Web Client, zenon Web Server et zenon Web Server Pro

Résolution de l'écran et gestion de moniteur

Déploiement de zenon Web Server dans l'environnement Internet

Gestion des erreurs


Exemple de configuration avec zenon Web Server :

Manuel -> zenon Web Server -> zenon Web Server, Web Server Pro and Web Server Pro Light -> Exemple de configuration avec zenon Web Server :

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Depuis PC1, vous vous connectez en tant que client via zenon Web Server à PC2 (en tant que passerelle), au serveur principal, c'est-à-dire à PC3 (voir l'illustration suivante). À l'aide de zenon Web Server et de zenon Web Client, le projet peut être affiché dans un navigateur Web sur PC1 par PC3, sans qu'une installation locale supplémentaire du Runtime soit nécessaire sur PC1. Les installations suivantes sont nécessaires pour cette fonction :

Remarque : L'organisation de composants suivante constitue uniquement une recommandation. Vous êtes libre de décider des composants installés sur chaque ordinateur. Toutefois, notez qu'une instance de zenon Web Client utilisée pour un projet A ne peut pas être utilisée sur un ordinateur utilisé en tant que serveur pour le projet A.

Furthermore: Lors de l'utilisation de zenon Web Server Pro Light, ce dernier doit être installé sur l'ordinateur sur lequel s'exécute le Runtime. Dans notre exemple, il s'agit de PC3.

  1. PC1 : Installez zenon Web Client et le navigateur Web sur cet ordinateur.
  2. PC2 : Installez le service de publication et zenon Web Server sur cet ordinateur.

    Remarque : Au regard du service de publication, ce manuel concerne IIS Publishing Service. Si IIS Publishing Service est installé sur cet ordinateur, la page d'accueil de zenon Web Client est configurée automatiquement. Toutefois, il existe également d'autres services de publication, tels que celui d'Apache. Vous êtes libre de choisir celui que vous souhaitez utiliser. En outre, vous pouvez choisir de ne pas utiliser le service de publication. Dans ce cas, toutefois, vous devrez exécuter manuellement des étapes supplémentaires. Ces étapes sont expliquées dans le détail au chapitre Service de publication.

  3. PC3 : Le Runtime de zenon et le projet doivent être sur cet ordinateur ; zenon Editor peut également y être exécuté.

    Remarque : Si zenon Web Server ne comporte pas de licence, il démarre en mode démo. Le démarrage automatique avec le système d'exploitation n'a pas lieu dans ce cas, et zenon Web Server doit être démarré manuellement, via l'interface utilisateur. La session se termine automatiquement après 30 minutes. 2 clients maximum peuvent s'y connecter.

Configuration des composants individuels :

La configuration est habituellement encore nécessaire après l'installation. Par exemple, après l'installation de zenon Web Server sur PC2, le fichier global.vars est important. Le fichier est installé automatiquement, et nécessite encore certaines modifications. Pour plus de détails, reportez-vous au chapitre Paramètres du script global_vars.js.

Le projet Runtime sur PC3 nécessite la configuration des paramètres de base suivants dans zenon Editor :

  • Propriétés du projet -> Réseau -> Activez le réseau actif.
  • Définissez la propriété de projet -> Réseau -> Serveur 1 -> nom de l'ordinateur dans le Runtime.

Si vous avez terminé l'installation et la configuration, vous pouvez afficher le Runtime sur PC1. Pour cela, ouvrez un navigateur Web et saisissez : Nom_ordinateur_PC2\zenon\index.htm


Composants requis et définitions

Manuel -> zenon Web Server -> zenon Web Server, Web Server Pro and Web Server Pro Light -> Composants requis et définitions

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Composants | Description
Serveur primaire | Le serveur sur lequel s'exécutent le Runtime, Editor et le projet, et auquel un client se connecte via zenon Web Server.
zenon Web Server | Transmet les paquets de données provenant du serveur principal, via zenon Web Server, à zenon Web Client. Assure également la gestion des licences. Ne peut pas écrire les valeurs.
zenon Web Server Pro | Autorise les actions de l'utilisateur actif avec zenon Supervisor. Le démarrage et l'utilisation sous Windows CE font l'objet de certaines limitations.
zenon Web Server Pro Light | Autorise les actions de l'utilisateur actif avec zenon Operator et zenon Supervisor.
Service de publication | Autorise la publication de documents, tels que les pages HTML, via le protocole HTTP.
zenon Web Client | zenon Web Client est un programme qui s'exécute dans une fenêtre de navigateur Internet standard et affiche un projet. Il se connecte au serveur primaire de Runtime avec zenon Web Server. Il affiche le projet du serveur primaire de Runtime, comme le ferait un client normal. La seule différence : avec zenon, le projet est affiché dans une fenêtre de navigateur Internet.
Navigateur Web | Les navigateurs Web sont des programmes informatiques spéciaux conçus pour l'affichage des sites Web sur Internet ou l'affichage général de documents et de données. Source : http://fr.wikipedia.org/wiki/Navigateur_web

Des droits d'administrateur sont requis pour l'installation ou la configuration de zenon Web Server, de zenon Web Client et du service de publication.

Remarque : Aucun droit d'administrateur Windows n'est nécessaire dans le cadre de l'utilisation normale. Des droits d'utilisateur normaux sont suffisants.

Autres sujets abordés dans ce chapitre

Installation du service de publication

Installation de zenon Web Server

Installation de zenon Web Client


Installation du service de publication

Manuel -> zenon Web Server -> zenon Web Server, Web Server Pro and Web Server Pro Light -> Composants requis et définitions -> Installation du service de publication

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Si vous utilisez un système d'exploitation Windows sur votre ordinateur, il n'est plus nécessaire d'installer le service de publication. Celui-ci doit uniquement être activé par le biais de fonctionnalités de Windows. L'exemple suivant concerne IIS Publishing Service. Toutefois, d'autres services de publication peuvent également être utilisés, tels que celui d'Apache. Dans ce cas, les emplacements de stockage de fichiers peuvent être différents. Dans ce cas, veuillez tenir compte des informations suivantes.

To activate the IIS publishing service:

  1. Press the Windows key + R keyboard shortcut.

    The dialog to enter a command for the command input is opened.

  2. Enter appwiz.cpl in the input field.

    Click on OK.
    A new control panel window to configure programs and Windows features is opened.

  3. In this window, click on Turn Windows features on or off.

    The window to select features of the operating system is opened.

  4. Activez l'option Internet Information Services.
  5. Activez l'ensemble des Services World Wide Web.

Si les services ont été activés avec succès, vous trouverez le dossier suivant dans le répertoire racine : \inetpub\wwwroot

Informations concernant info

Si zenon Web Server était déjà installé avant le service de publication, ou si un service de publication différent est utilisé, le dossier créé pendant l'installation de zenon Web Server (C:\Program Files (x86) \COPA-DATA\zenonWebserver\zenon) doit être déplacé manuellement vers C:\inetpub\wwwroot ou vers le dossier racine du service de publication de remplacement.

Remarque : Le service de publication permet d'accéder plus facilement aux fichiers de configuration du navigateur Web. Toutefois, si les fichiers de configuration sont accessibles localement ou sur le réseau, il n'est pas nécessaire d'utiliser le service de publication.


Installation de zenon Web Server

Manuel -> zenon Web Server -> zenon Web Server, Web Server Pro and Web Server Pro Light -> Composants requis et définitions -> Installation de zenon Web Server

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Tenez compte des critères suivants lors de la sélection de l'ordinateur pour zenon Web Server et le service de publication :

  • Les communications TCP entre zenon Web Server et le serveur principal doivent être autorisées.
  • La résolution des noms doit être entièrement configurée entre zenon Web Server et le serveur principal sur le réseau.

Conseil : Si zenon Web Server doit pouvoir être contacté depuis l'extérieur, il est fortement recommandé d'utiliser une connexion VPN et de placer zenon Web Server et l'ordinateur sur lequel s'exécute le service de publication dans une DMZ.

Il est recommandé d'installer zenon Web Server sur le même ordinateur que celui sur lequel vous avez installé le service de publication.

Pour cela :

  1. Démarrez l'installation depuis le support d'installation.
  2. Suivez les instructions fournies par l'assistant d'installation.
  3. Redémarrez l'ordinateur.

Le dossier zenon est créé automatiquement dans le dossier wwwroot d'IIS Publishing Service. Ce dossier contient, entre autres, des fichiers de configuration importants que vous devez installer. Par exemple, global_vars.js. est un fichier important, dans lequel certains paramètres doivent être modifiés. Pour plus d'informations, reportez-vous au chapitre Configuration de zenon Web Server.

Autres sujets abordés dans ce chapitre

Configuration et démarrage de zenon Web Server


Configuration et démarrage de zenon Web Server

Manuel -> zenon Web Server -> zenon Web Server, Web Server Pro and Web Server Pro Light -> Composants requis et définitions -> Installation de zenon Web Server -> Configuration et démarrage de zenon Web Server

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Pour configurer ou démarrer manuellement Web Server :

  1. Ouvrez le Panneau de configuration ou le menu Démarrer.
  2. Double-cliquez sur zenon Web Server

    La boîte de dialogue de configuration et de gestion des licences s'affiche :

    Remarque : Cette boîte de dialogue est uniquement disponible en anglais.

  3. Sélectionnez une connexion via TCP ou HTTP

    Attention : Activez uniquement l'option Tunnellisation HTTP si vous avez explicitement configuré toutes les instances de zenon Web Client à cette fin. Le protocole TCP est utilisé par défaut.

  4. Cliquez sur le bouton Démarrer pour démarrer Web Server manuellement.

Remarque : Dans le cadre d'une utilisation normale, zenon Web Server est démarré automatiquement en même temps que l'ordinateur, en tant que service Windows. Si le programme a été fermé ou si vous êtes en train de saisir un nouveau numéro de licence, Web Server doit être redémarré manuellement. Si aucune licence valide n'est présente, Web Server ne démarre pas en tant que service, mais en mode démo, depuis la boîte de dialogue.

Paramètre

Description

State:

Affiche la version et l'état de Web Server :

Versions possibles :

  • zenon Web Server
  • zenon Web Server Pro
  • zenon Web Server Pro Light

Messages d'état possibles :

  • running:
    Web Server fonctionne avec une licence valide
  • stopped:
    Web Server est arrêté :
  • Mode démo :
    Mode démo : Web Server fonctionne en mode démo, sans licence
  • not installed:
    Web Server n'est pas enregistré en tant que service, ou une erreur d'installation s'est produite

Max. number of clients:

nombre maximum de clients autorisés à se connecter à Web Server. Le nombre est défini par la licence.
En mode démo, deux clients bénéficient d'une licence valable pendant 30 minutes.

Par défaut : 0

Number of active clients:

Affiche le nombre de clients actuellement connectés.

Start

Démarre Web Server.

Stop

Arrête Web Server.

Refresh

Rafraîchit l'affichage.

Diagnosis Viewer

Ouvre Diagnosis Viewer.

HTTP tunnelling

Active : La tunnellisation HTTP est activée.

Indisponible dans la version Web Server Pro Light.
Remarque : Cette configuration peut uniquement être modifiée si l'état de Web Server est Arrêté. Elle ne peut pas être modifiée en cours de fonctionnement.

Par défaut : Inactive

Active clients

Liste de clients connectés.

OK

Applique les paramètres et ferme la boîte de dialogue.

Annuler

Annule les modifications et ferme la boîte de dialogue.

Démarre et configuration dans Windows CE.

Aucune boîte de dialogue de démarrage n'est présente dans Windows CE. zenon Web Server est déjà intégré au Runtime.

Pour démarrer zenon Web Server sous Windows CE, les conditions suivantes doivent être remplies :

  • La propriété Réseau actif doit être activée dans le projet,
  • Le Runtime doit avoir été démarré.
  • zenon Web Server doit comporter une licence.

Remarque : La tunnellisation HTTP n'est pas disponible sous Windows CE.

Sous Windows CE, les fonctionnalités sont sujettes à toutes les limitations généralement applicables à Windows CE et à zenon Web Server sous Windows CE.

info Informations

Aucun service de publication n'est installé avec le Runtime et la version intégrée de Web Server. Toutefois, vous pouvez utiliser le service de publication de votre choix sur un ordinateur Windows, à condition de disposer des fichiers de configuration associés.

Autres sujets abordés dans ce chapitre

Configuration of the global_vars.js

zenon web client in the redundant network


Configuration of the global_vars.js

Manuel -> zenon Web Server -> zenon Web Server, Web Server Pro and Web Server Pro Light -> Composants requis et définitions -> Installation de zenon Web Server -> Configuration et démarrage de zenon Web Server -> Configuration of the global_vars.js

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Configuration of the global_vars.js

Les paramètres de connexion requis pour établir la connexion entre zenon Web Client et le serveur principal se trouvent dans le fichier de configuration global_vars.js. You can find this file when using the IIS publishing service in the C:\inetpub\wwwroot\zenon\config\ folder on the computer on which the IIS publishing service runs.

Édition de fichiers FRM dans un éditeur de texte : You can also find notes on the required content in the comments text.

Content of global_vars.js:

// Please enter here the string name of your project and make sure that it is identical with the project name in the Editor

var PROJECTNAME = "PROJECT";

// Please enter here the computer name, on which the zenon Runtime is installed and on which it is actively running

// For redundant Runtime servers, please enter both "server1;server2"

var RUNTIMESERVER= "Runtime server";

// Please enter here the computer name, on which you have installed the zenon Web Server

var WEBSERVER = "Webserver";

// Please enter here an optional initial function to be executed when the Web Client connects to its server. Defaultvalue = "Init"

var INITFUNCTION = "Init";

// Optional: Please enable the zoom feature (This step will stretch the project resolution to the size of the Web Client control) OFF = "0" / ON = "1"

var ZOOM = "0";

// Please enter the version number corresponding to the Web Client.

var VERSION = "7,60,0,0";

// Optional: Please enable HTTP tunnelling feature: 0 = inactive (available on Web Client version 7.00 and higher)

var HTTP = "0";

Paramètre

Paramètre

Description

PROJECTNAME=

Définit le nom du projet de Runtime.

var PROJECTNAME = "Nom du projet";

Remarque : le projet doit s'exécuter en tant que projet de serveur sur le serveur de Runtime.

RUNTIMESERVER =

Désigne l'ordinateur cible sur lequel s'exécute le projet du Runtime.

  • Standalone:
    var RUNTIMESERVER = "SERVE RNAME";
  • Network project:
    var RUNTIMESERVER = "Runtime server; Runtime server2
    Note: Runtime server = Serveur 1; Runtime server2 = Serveur 2;

Le nom doit correspondre au nom du serveur dans les informations de configuration du projet.

Remarque : L'adresse IP ne doit pas être utilisée ici. La résolution des noms doit être configurée entre l'ordinateur sur lequel s'exécute zenon Web Server et le serveur principal sur le réseau, dans les deux directions. A ping to the computer name must work in both directions.

You can find further information on the correct configuration of the zenon Web Server when operating a redundant network in the zenon Web Client in the redundant network chapter.

WEBSERVER=

Désigne l'ordinateur cible sur lequel est installé zenon Web Server.

Attention : It does not necessarily need to be the publishing server!

var WEBSERVER = "WEBSERVER";

zenon Web Server redundancy

Si, outre le serveur primaire de Runtime de zenon, zenon Web Server doit être utilisé comme un serveur redondant, les conditions suivantes doivent être remplies :

  • Deux copies du module zenon Web Server doivent être installées et pourvues d'une licence sur différents ordinateurs
  • Les deux instances du module zenon Web Server, séparées par une virgule, doivent être indiquées dans la déclaration de variable sur la page HTML :

    var WEBSERVER = "WEBSERVER,WEB-STANDBY-SERVER";

Remarque : Instead of the computer name on which the zenon Web Server is installed, the IP address can also be used here. Si Web Server se trouve derrière un routeur NAT et un réacheminement de port (Port Forwarding) est configuré sur l'ordinateur sur lequel s'exécute Web Server, l'adresse IP du routeur NAT peut également être utilisée.

INITFUNCTION=

Définit une fonction de zenon qui sera exécutée au démarrage d'un projet dans le navigateur.

This setting is optional.

var INITFUNCTION = "Init";

Remarque : la syntaxe doit correspondre aux noms de fonctions dans zenon (capitalisation).

ZOOM=

Détermine si la fonction de zoom est utilisable avec le projet dans le navigateur.

This setting is optional.

var ZOOM = "VALUE";

  • 0: OFF
  • 1: ON

Par défaut : 0: OFF

Par exemple :

var ZOOM = "0";

Remarque : Le facteur de zoom est uniquement pris en compte lors de l'initialisation, et non lors de l'exécution du Runtime. Si une certaine taille est nécessaire, elle doit être définie par le contrôle ActiveX. Si la fenêtre de navigateur n'est pas maximisée à l'ouverture et vous ne la maximisez pas ultérieurement, ceci peut entraîner des problèmes d'affichage.

var VERSION=

Définit la version du module zenon Web Client.

var VERSION = "VALUE";

Par exemple :

var VERSION = "7,60,0,0";

Cette valeur doit toujours être identique ou supérieure à la version du Runtime de zenon.

var HTTP=

Defines type of communication and allows communication via HTTP. If this property is deactivated, communication is via TCP/IP.

This setting is optional:

  • 0 : inactive
  • 1 : active

Par défaut : 0: inactive :

Remarque : D'autres informations concernant les conditions sont disponibles au chapitre HTTP tunneling de ce manuel.

Remarque : Tenez compte de la capitalisation lors de la saisie de paramètres dans le fichier global_vars.js.


zenon web client in the redundant network

Manuel -> zenon Web Server -> zenon Web Server, Web Server Pro and Web Server Pro Light -> Composants requis et définitions -> Installation de zenon Web Server -> Configuration et démarrage de zenon Web Server -> zenon web client in the redundant network

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
zenon web client in the redundant network

With a redundant zenon network configuration, the issuing of roles for the primary server and standby server depends on the Mode de redondance set. In doing so, the role of the configured Serveur 1 and Serveur 2 computers can change over time in Runtime, depending on the configuration of the Mode de redondance and the current evaluation (for evaluated).

You should therefore configure both servers for the zenon Web Server. To do this, in the global_vars.js configuration file, change the line with the entry RUNTIMESERVER= and enter both computers there.

In doing so, the sequence should conform to the configuration in the zenon Editor.

You can find details on configuration in the configuration of global_vars.js chapter.

Amended server configuration

If the server names configured in the Editor do not correspond to the server names of global_vars.js, the zenon Web Client will not start.

If the configuration of the server is amended for a running system in zenon, the "Runtime is busy dialog will be shown in the zenon Web Client.

After a project synchronization, the currently-running and the actual project configuration will be shown in a further dialog. In this case, the browser window must be closed by the user and the zenon Web Client must be restarted.

attention Attention

If the project configuration of Serveur 1 andServeur 2 is changed in the zenon Editor, the global_vars.js file must also be amended accordingly.

You can find further information in the zenon web server manual in the configuration of global_vars.js chapter.


Installation de zenon Web Client

Manuel -> zenon Web Server -> zenon Web Server, Web Server Pro and Web Server Pro Light -> Composants requis et définitions -> Installation de zenon Web Client

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Il existe quatre manières d'installer zenon Web Client en tant qu'application 32 bits.

Remarque : Nous vous recommandons de procéder à l'installation conformément aux indications de la première option.

1. Depuis la page index.htm :

Il est recommandé d'effectuer les opérations suivantes sur l'ordinateur sur lequel est installé ou activé le service de publication. Dans cet exemple, il s'agit de PC2. Pour plus de détails, reportez-vous à l'écran illustré au chapitre Exemple de configuration avec zenon Web Server. Toutefois, zenon Web Client n'est pas nécessairement requis sur cet ordinateur. Vous êtes libre de choisir l'ordinateur.

  1. Ouvrez la page index.htm en saisissant l'adresse suivante dans le navigateur Web : http://Publishingserver//zenon/index.htm

  2. Ensuite, cliquez sur l'icône Démarrage de zenon Web Client.
  3. L'installation de WebClientSmall doit avoir été effectuée au préalable.

    Remarque : Des droits d'administrateur sont requis pour exécuter cette opération. L'installation de WebClientSmall nécessite également une connexion à Internet, pour le téléchargement des composants supplémentaires. Si votre ordinateur ne dispose pas d'une connexion à Internet, utilisez l'installation majeure et une des autres méthodes d'installation.

  4. La page init.htm continue à être appelée par la page index.htm.
  5. La page init.htm effectue le transfert des fichiers Javascript. Ces fichiers sont ensuite chargés par le plug-in zenon Web Client.

Remarque : Si vous souhaitez utiliser le fichier plus volumineux de zenon Web Client, vous devez modifier manuellement la page index.htm. Pour plus d'informations, reportez-vous au chapitre index.htm.

Vous pouvez également, en option, ouvrir la page index.htm depuis le dossier zenon. Ce dossier est créé automatiquement dans le répertoire \wwwroot lors de l'installation de zenon Web Server.

2. Par un copier-coller

Une fois l'installation d'IIS Publishing Service et de zenon Web Server terminée, les fichiers d'installation de zenon Web Client se trouvent dans le sous-répertoire : \inetpub\wwwroot\zenon\controlversions\version720SP0\WebClient.exe ou WebClient_small.exe.

Copiez l'application WebClient_small.exe ou WebClient.exe depuis cet emplacement.

  1. Ajoutez celle-ci à votre emplacement local d'enregistrement préféré.
  2. Installez l'application.

3. Depuis le support de démarrage et d'installation :

  1. Depuis le dossier ...\Setup\wwwroot\controlversions\version720SP0\WebClient.exe, copiez l'application WebClient.exe ou WebClient_small.exe.
  2. Ajoutez celle-ci à votre emplacement local d'enregistrement préféré.
  3. Installez l'application.

Remarque : zenon Web Client est principalement constitué d'un contrôle ActiveX. Celui-ci affiche les informations dans un navigateur, exactement comme dans un client de Runtime normal. La connexion au serveur de Runtime est exécutée avec zenon Web Server. zenon Web Client consigne les erreurs dans le serveur de diagnostic (Diagnosis Server) local. Le Diagnosis Server est également installé lors de l'installation du client Web de zenon.

4. Depuis la page init.htm :

Démarrez le navigateur Web et accédez à la page init.htm, sur laquelle vous saisirez l'adresse suivante : http://Publishingserver/zenon/init.htm

  1. Depuis cette page, démarrez l'application WebClient.exe.

Remarque : Le nombre d'instances de zenon Web Client que vous pouvez utiliser en même temps dépend de votre licence.

Attention : Vous devrez peut-être ajouter celui-ci aux sites de confiance dans les paramètres d'Internet Explorer, sous Suppléments -> Options Internet -> Sécurité.

Pour cela :

  • Ouvrez le navigateur Web :
  • Cliquez sur Options Internet.
  • Cliquez sur Sécurité.
  • Cliquez sur Sites de confiance.
  • Cliquez sur Sites.
  • Saisissez l'adresse de la page.

Autres sujets abordés dans ce chapitre

zenon Web Client – Compatibilité

Configuration de la langue de zenon Web Client

Création de la page HTML d'accès au projet

index.htm

init.htm

browsercheck.js

initcode.js


zenon Web Client – Compatibilité

Manuel -> zenon Web Server -> zenon Web Server, Web Server Pro and Web Server Pro Light -> Composants requis et définitions -> Installation de zenon Web Client -> zenon Web Client – Compatibilité

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Avec zenon Web Client, vous pouvez accéder à différentes versions du Runtime, conformément aux indications de compatibilité du Runtime. Le numéro de version de zenon Web Client doit impérativement être identique ou supérieur à la version du Runtime.

La compatibilité en ligne du Runtime autorise l'interopérabilité des systèmes du Runtime (également via zenon Web Client) sur le réseau zenon, même si la version du Runtime du client est supérieure à la version du Runtime du serveur.

Le Runtime actuel peut charger des projets des versions suivantes :

  • 6.20 SP4
  • 6.21 SP0
  • 6.21 SP1
  • 6.22 SP0
  • 6.22 SP1
  • 6.50 SP0
  • 6.51 SP0
  • 7.00 SP0
  • 7.10 SP0
  • 7.11 SP0
  • 7.20 SP0
  • 7.20 SP0 [no. de la dernière version] :
  • 7.50 SP0 :
  • 7.60 SP0

La fonction de gestion multi-projets permet de charger les projets provenant de différentes versions. Par exemple, le projet d'intégration peut comporter le numéro de version 7.60, tandis qu'un sous-projet peut comporter le numéro de version 7.50 et qu'un autre sous-projet peut comporter le numéro de version 6.51.

info Informations

Il est toujours recommandé d'utiliser la version de zenon Web Client comportant le numéro de Service Pack le plus élevé dans une version.


Configuration de la langue de zenon Web Client

Manuel -> zenon Web Server -> zenon Web Server, Web Server Pro and Web Server Pro Light -> Composants requis et définitions -> Installation de zenon Web Client -> Configuration de la langue de zenon Web Client

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Pour configurer la langue du module Web Client :

  1. Démarrez Startup Tool.
  2. Sélectionnez l'entrée de menu Général (General).
  3. Sélectionnez la liste souhaitée dans la liste déroulante (Language for Editor and Runtime).

Langues disponibles pour le module Web Client :

  • Chinois
  • Allemand
  • Anglais
  • Français
  • Italien
  • Russe
  • Espagnol
  • Tchèque

info Informations

D'autres informations concernant la configuration de la langue dans Startup Tool sont disponibles dans le manuel Outils, au chapitre Général.


Création de la page HTML d'accès au projet

Manuel -> zenon Web Server -> zenon Web Server, Web Server Pro and Web Server Pro Light -> Composants requis et définitions -> Installation de zenon Web Client -> Création de la page HTML d'accès au projet

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Une page de démarrage de projet est requise pour permettre au navigateur Web de démarrer zenon Web Client, afin que celui-ci se connecte ensuite au serveur principal correspondant. Cette page contient le code nécessaire. Java Script est utilisé en tant que langage de script.

Conditions requises :

  • JavaScript doit être activé dans le navigateur.
  • Par ailleurs, zenon Web Client doit également être installé localement sur l'ordinateur sur lequel est exécuté le navigateur Web.

Recommandation : Avant la page d'initialisation du projet (init.htm), basculez vers une page de démarrage (index .htm) qui autorise le téléchargement de zenon Web Client. Cette page de départ contient des liens hypertexte :

  • Pour télécharger les contrôles de zenon Web Client
  • Vers la page d'initialisation du projet init.htm, qui effectue une vérification de navigateur et établit la connexion entre zenon Web Server et le serveur primaire.

Autres sujets abordés dans ce chapitre

Exemple de page de démarrage de projet init.htm pour les protocoles TCP et HTTP


Exemple de page de démarrage de projet init.htm pour les protocoles TCP et HTTP

Manuel -> zenon Web Server -> zenon Web Server, Web Server Pro and Web Server Pro Light -> Composants requis et définitions -> Installation de zenon Web Client -> Création de la page HTML d'accès au projet -> Exemple de page de démarrage de projet init.htm pour les protocoles TCP et HTTP

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Exemple de page de démarrage de projet init.htm pour les protocoles TCP et HTTP

Sur la page d'initialisation du projet, une vérification de navigateur contrôle le navigateur utilisé par zenon Web Client. En fonction du résultat, zenon Web Client démarre ou un message d'erreur s'affiche.

Exemple de démarrage de projet :

La page de démarrage exécute trois scripts pour vérifier le navigateur utilisé et établir la connexion au Runtime ou afficher un message d'erreur :

  • global_vars.js : Définit les valeurs des paramètres de transfert pour démarrer zenon Web Client
  • browsercheck.js : Contrôle la version du navigateur
  • initcode.js : Définit les fonctions utilisées pour démarrer zenon Web Client

Remarque : Les paramètres diffèrent uniquement pour les connexions utilisant les protocoles TCP et HTTP pour l'entrée UseHTTP.


index.htm

Manuel -> zenon Web Server -> zenon Web Server, Web Server Pro and Web Server Pro Light -> Composants requis et définitions -> Installation de zenon Web Client -> index.htm

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

La page index.htm est la page de démarrage de notre exemple. Elle s'affiche en anglais par défaut, et peut être directement basculée dans les autres langues (les langues disponibles sont affichées en haut à droite de la page).

La page index.htm :

  • Affiche des informations concernant les navigateurs compatibles
  • Fournit des liens permettant de démarrer des instances de zenon Web Client
  • Fournit des liens permettant d'installer les contrôles de zenon Web Client ; ces liens sont nécessaires si zenon n'est pas installé sur l'ordinateur sur lequel s'exécute zenon Web Client
  • Au démarrage de zenon Web Client, affiche la page d'initialisation du projet init.htm, qui effectue la vérification de navigateur


init.htm

Manuel -> zenon Web Server -> zenon Web Server, Web Server Pro and Web Server Pro Light -> Composants requis et définitions -> Installation de zenon Web Client -> init.htm

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Le fichier init.htm vérifie le navigateur utilisé, puis démarre le projet ou affiche un message d'erreur.

Les scripts sont utilisés à cette fin :

  1. La configuration est chargée depuis global_vars.js.
  2. Le navigateur est déterminé par le script browsercheck.js.
  3. S'il s'agit d'un navigateur pris en charge, la fonction du script initcode.js permettant d'inclure zenon Web Client est exécutée.

Exemple :

<html>

<head>

<title></title>

</head>

<BODY scroll="no" leftmargin="0" topmargin="0" marginwidth="0" marginheight="0" BGCOLOR=#FFFFFF>

<script language="javascript" type="text/javascript" src="global_vars.js"></script>

<script language="javascript" type="text/javascript" src="browsercheck.js"></script>

<script language="javascript" type="text/javascript" src="initcode.js"></script>

<script language="JavaScript" type="text/javascript">

switch(browsercheck()) {

case "IEXPLORER":

runIexplorer(PROJECTNAME,RUNTIMESERVER,WEBSERVER,INITFUNCTION,ZOOM,VERSION);

break;

case "NPAPI":

runNPAPI(PROJECTNAME,RUNTIMESERVER,WEBSERVER,INITFUNCTION,ZOOM,VERSION);

break;

case "UNSUPPORTED_BROWSER":

alert(navigator.appName + ' : ' + navigator.appVersion + ' is not supported!');

break;

default:

alert("paramètre non valide");

break;

}

</script>

</html>


browsercheck.js

Manuel -> zenon Web Server -> zenon Web Server, Web Server Pro and Web Server Pro Light -> Composants requis et définitions -> Installation de zenon Web Client -> browsercheck.js

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Ce script JavaScript identifie le navigateur que zenon Web Client tente de démarrer et fournit le résultat à init.htm.

function browsercheck(){

var UserAgent = navigator.userAgent;

var fWin32 = (UserAgent.lastIndexOf('Win') != -1) && (UserAgent.lastIndexOf('Windows 3.1') == -1) && (UserAgent.lastIndexOf('Win16') == -1);

var fMSIE = (UserAgent.lastIndexOf('MSIE ') != -1);

var fNPAPI = (UserAgent.lastIndexOf('Firefox/') != -1) || (UserAgent.lastIndexOf('Chrome/') != -1) || ((UserAgent.lastIndexOf('Safari') != -1) && (UserAgent.lastIndexOf('Version/') != -1));

if(fWin32)

{

//Navigateur Win32

if(fMSIE)

{

//Internet Explorer -> utiliser le contrôle ActiveX

return "IEXPLORER";

}

if(fNPAPI)

{

//Firefox, Chrome ou Safari -> utiliser le plugin NPAPI

return "NPAPI";

}

}

//Navigateur non-Win32 ou navigateur non pris en charge (Opera, etc.)

return "NAVIGATEUR_INCOMPATIBLE";

}


initcode.js

Manuel -> zenon Web Server -> zenon Web Server, Web Server Pro and Web Server Pro Light -> Composants requis et définitions -> Installation de zenon Web Client -> initcode.js

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Ce script JavaScript définit :

  • L'entrée <embed> pour démarrer les instances de zenon Web Client dans Apple Safari, Google Chrome ou Mozilla Firefox
  • L'entrée <object> pour démarrer les instances de zenon Web Client dans Microsoft Internet Explorer

Script :

function runNPAPI(PROJECTNAME,RUNTIMESERVER,WEBSERVER,INITFUNCTION,ZOOM,VERSION) {

document.write ('<embed type="application/x-zenon"');

document.write (' width=100%');

document.write (' height=100%');

document.write (' Project="' +PROJECTNAME+ '"');

document.write (' Server="' +RUNTIMESERVER+ '"');

document.write (' WebServer="' +WEBSERVER+ '"');

document.write (' Load="-1"');

document.write (' ScrollV="0"');

document.write (' Scrollh="0"');

document.write (' InitFunction="' +INITFUNCTION+ '"');

document.write (' Zoom="' +ZOOM+ '"');

document.write (' UseHTTP = "' +HTTP+ '"');

document.write ('>');

document.write (' </EMBED> ');

}

function runIexplorer(PROJECTNAME,RUNTIMESERVER,WEBSERVER,INITFUNCTION,ZOOM,VERSION) {

document.write ('<object');

document.write (' id="CD_IClient1"');

document.write (' classid="clsid:2A3BC66B-03D7-11D4-991A-080009ABB492"');

document.write (' codebase="zenWebCli.ocx#version=' +VERSION+ '"');

document.write (' width=100%');

document.write (' height=100%');

document.write ('>');

document.write (' <PARAM NAME="Project" VALUE="' +PROJECTNAME+ '">');

document.write (' <PARAM NAME="Server" VALUE="' +RUNTIMESERVER+ '">');

document.write (' <PARAM NAME="WebServer" VALUE="' +WEBSERVER+ '">');

document.write (' <PARAM NAME="Load" VALUE="-1">');

document.write (' <PARAM NAME="ScrollV" VALUE="0">');

document.write (' <PARAM NAME="Scrollh" VALUE="0">');

document.write (' <PARAM NAME="InitFunction" VALUE="' +INITFUNCTION+ '">');

document.write (' <PARAM NAME="Zoom" VALUE="' +ZOOM+ '">');

document.write (' <PARAM NAME="UseHTTP" VALUE="' +HTTP + '">');

document.write ('</object>');

}


Configuration du projet

Manuel -> zenon Web Server -> zenon Web Server, Web Server Pro and Web Server Pro Light -> Configuration du projet

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Le projet devant être démarré avec zenon Web Server nécessite la configuration des paramètres de base suivants dans zenon Editor :

  • Activez la propriété de projet > Réseau -> Réseau actif
  • Propriétés du projet -> Réseau -> Serveur 1 -> : Nom de l'ordinateur opérant en tant que serveur pour le Runtime.
    With a redundant configuration, the Serveur 2 property must also be configured.
  • Le nom de l'ordinateur doit également être saisi sur la page de démarrage du projet (dans le script Globalvars.js pour qu'une connexion puisse être établie.

attention Attention

The configuration for Serveur 1 and Serveur 2 must correspond in the project and zenon web server. The information must not overlap under any circumstances. Ceci signifie : Serveur 1 in the project must not correspond to Serveur 2 on the zenon web server and vice versa.

Démarrez zenon Web Server

Pour démarrer zenon Web Server :

  1. Assurez-vous que les services de publication Web ont été démarrés et que la page d'initialisation est prête
  2. Démarrez le projet de Runtime sur l'ordinateur
  3. Démarrez zenon Web Server

attention Attention

VBA/VSTA et Prévention de l'exécution des données

Le système d'exploitation utilise la fonctionnalité Data Execution Prevention (DEP) pour interdire l'exécution de code VBA dans le navigateur.

Microsoft Internet Explorer 8 et 9:
Microsoft Internet Explorer version 8 (ou versions ultérieures) offre la possibilité de désactiver la fonction de prévention de l'exécution des données dans le navigateur.

  • Accédez à Suppléments -> Options Internet -> Avancé -> Sécurité.
  • Désactivez l'option Activer la protection mémoire pour contribuer à atténuer les attaques en ligne

Autres navigateurs et Internet Explorer, versions 10 et supérieures (Windows 8)

La prévention de l'exécution des données doit être entièrement désactivée, car le procédé du navigateur ne peut pas être exclu de manière explicite. Cette pratique est déconseillée, pour des raisons de sécurité.

Pour désactiver la fonction PED :

  • exécutez la ligne de commande avec des droits d'administrateur.
  • Exécutez la commande suivante :
    bcdedit.exe/set {current} nx AlwaysOff
  • Redémarrez l'ordinateur

Le paramètre peut être annulé avec la commande bcdedit.exe/set {current} nx AlwaysOn

Recommandations générales : utilisez VSTA, plutôt que VBA.

Autres sujets abordés dans ce chapitre

Limitations générales

Chiffrement des communications sur le réseau.


Limitations générales

Manuel -> zenon Web Server -> zenon Web Server, Web Server Pro and Web Server Pro Light -> Configuration du projet -> Limitations générales

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Les projets exécutés avec zenon Web Client comportent les restrictions suivantes :

  • Alarmes :
    L'acquittement d'alarmes est uniquement possible lorsque zenon Web Server Pro est utilisé.
  • Command Processing:
    The Command Processing module is not supported.
  • Gestion des utilisateurs

    AD et ADAM/ADLDS fonctionnent avec certaines limitations (comme sur les clients par défaut) :
    AD : Les ordinateurs doivent faire partie du même domaine
    ADAM/ADLDS : le module zenon Web Client doit disposer d'une connexion physique à zenon Web Server (et d'un port ouvert) et au serveur ADAM/ADLDS

  • Synoptiques :
    • Les synoptiques de type Maintenance de l'archive ne sont pas disponibles.
  • Imprimer :

    Avant d'effectuer une première impression depuis le module zenon Web Client, il est nécessaire d'exécuter la fonction Sélection imprimante. Ainsi les imprimantes pour le client peuvent être définies. Ces paramètres sont enregistrés dans le fichier zenon6.ini ; cette procédure n'a donc pas à être exécutée pour chaque nouvelle tâche d'impression.

  • IPA :

    Le module Industrial Performance Analyzer (IPA) est uniquement disponible dans zenon Web Client via un Intranet, car aucune connexion à la base de données ne peut être établie par Internet. En présence d'une connexion à un Intranet, les autorisations de la base de données doivent être définies de manière correspondante, afin qu'un ordinateur distant puisse accéder à la base de données en tant que module zenon Web Client.

  • Menus

    Dans zenon Web Client, les menus principaux ne sont pas affichés.

  • Monitor Administration :

    Le module Monitor Administration possède des fonctions limitées. zenon Web Client peut uniquement être utilisé avec un écran.

  • PFS :

    Le module Production & Facility Scheduler (PFS) est uniquement disponible dans les versions 6.01 et ultérieures.

  • Informations d'état :

    Les informations d'état, qui sont affichées lorsque vous cliquez avec le bouton droit de la souris, ne sont pas disponibles.

  • Raccourcis-clavier :

    Les combinaisons de touches sur les boutons, comme par exemple F3, ne sont pas disponibles.

  • VBA :

    VBA est uniquement disponible si VBA a été installé manuellement sur l'ordinateur exécutant zenon Web Client. Pour des informations détaillées, veuillez contacter l'assistance de zenon.

    Remarque : Message boxes of VBA macros are not shown in the zenon Web Client if Internet Explorer is used as a web browser.

  • VSTA : zenon Web Server et zenon Web Client sont compatibles avec différentes versions de VSTA.

    En règle générale, zenon Web Client est compatible avec VSTA, à l'exception des fonctions suivantes:

    • Débogage
    • Fonction d'affichage de l'éditeur VSTA
    • Compilation

    Pour plus de détails, reportez-vous aux chapitres VSTA et zenon Web Client, zenon Web Server et zenon Web Server Pro.

  • zenon Logic n'est pas pris en charge par le Web client de zenon.

Autres limitations applicables à Windows CE :

  • Au maximum trois instances de zenon Web Client peuvent se connecter simultanément à un Runtime CE.
  • zenon Web Server doit s'exécuter sur la même plate-forme que le Runtime CE auquel il est connecté. Un client web ne peut se connecter qu'à ce Runtime (cette plate-forme).

La licence de zenon Web Server pour CE est gérée par l'intermédiaire de la fonction Remote Licensing.


Chiffrement des communications sur le réseau.

Manuel -> zenon Web Server -> zenon Web Server, Web Server Pro and Web Server Pro Light -> Configuration du projet -> Chiffrement des communications sur le réseau.

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

À partie de zenon version 7, les communications sur le réseau peuvent être protégées avec un chiffrement fort.
À partir de zenon version 7.11, la configuration du chiffrement des communications de Web Server a été intégrée à l'outil Startup Tool.

Pour activer le chiffrement dans l'instance Web Client :

  1. Ouvrez Startup Tool.
  2. Sélectionnez l'entrée de menu Options....
  3. Basculez vers l'onglet Network configuration.
  4. Activate the Encrypt network communicationcheckbox to activate encrypted zenon Web Client communication.

info Informations

D'autres informations concernant la configuration du réseau dans Startup Tool sont disponibles dans le manuel Outils, au chapitre Configuration du réseau.


IPv6

Manuel -> zenon Web Server -> zenon Web Server, Web Server Pro and Web Server Pro Light -> IPv6

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

À partir de zenon version 7,00, vous pouvez utiliser le protocole IPv6 sur le réseau.

info Informations

Le protocole IPv6 permet à davantage d'utilisateurs et de périphériques de communiquer via Internet, en utilisant des nombres plus importants pour créer des adresses IP. Avec le protocole IPv4, chaque adresse IP mesure 32 bits de long ; ceci permet de former 4,3 milliards d'adresses uniques. Exemple d'adresse IPv4 :

172.16.254.1

À titre de comparaison : Les adresses IPv6 mesurent 128 bits de long, ce qui permet de former environ 340 sextillions (3,4e+38) d'adresses IP uniques. Exemple d'adresse IPv6 :

2001:db8:ffff:1:201:02ff:fe03:0405

Toutefois, le protocole IPv6 offre d'autres avantages en termes de trafic réseau. Dans la plupart des cas, les ordinateurs et les programmes reconnaissent les réseaux compatibles IPv6 et utilisent les avantages correspondants, sans autre intervention de l'utilisateur. IPv6 remédie également à d'autres problèmes réseaux pouvant être dus à l'espace d'adressage limité d'IPv4. Exemple : IPv6 réduit la nécessité de recourir à la traduction d'adresses de réseau (NAT), un service permettant à plusieurs clients d'utiliser une adresse IP commune, mais qui n'est pas toujours fiable.

Le réseau de zenon permet de choisir les protocoles IPv6 ou IPv4. Le double fonctionnement n'est pas autorisé. Pour configurer ce paramètre :

  • dans Network configuration dans Startup Tool
    ou
  • dans le fichier zenon6.ini

Attention : Le protocole IPv6 est uniquement compatible avec les versions 7 et ultérieures.
Aucune version avant la version 7 ne peut être démarrée si cette option est active. Ceci concerne zenAdminSrv, zenSysSrv, zenLogSrv et zenDBSrv en particulier.

Les composants suivants ne sont pas affectés par le paramètre ; ils utilisent toujours le protocole IPv4 :

  • Communications du driver avec les automates
  • Communications du protocole dans les plugins de Process Gateway
  • Communications de l'espace de travail et du Runtime dans zenon Logic

Diagnosis Viewer

Diagnosis Servercollabore également avec les clients de diagnostic, dont l'adressage est défini sous forme d'adresses IPv6. Pour cela, le format du fichier journal a été adapté. Diagnosis Viewer lit uniquement le nouveau format des fichiers journaux. Si des fichiers journaux provenant de versions antérieures de zenon (ou inversement) sont ouverts, l'adresse IP de Diagnosis Client n'est pas affichée correctement.


Licence

Manuel -> zenon Web Server -> zenon Web Server, Web Server Pro and Web Server Pro Light -> Licence

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

La licence détermine :

  • Quelle version de zenon Web Server est exécutée :
    • zenon Web Server
    • zenon Web Server Pro
    • zenon Web Server Pro Light
  • Le nombre de connexions parallèles possibles du module zenon Web Client (licence pour utilisation simultanée = Concurrent Use)

Remarque : En l'absence de licence valide, zenon Web Server fonctionne en mode démo. Dans ce cas, les limitations suivantes s'appliquent :

  • zenon Web Server peut uniquement être démarré manuellement
  • La durée d'exécution du programme est alors limitée à 30 minutes
  • Le nombre de clients possibles est limité à 2

Pour passer du mode démo à une licence valide, fermez zenon Web Server et saisissez un numéro de licence valide dans l'onglet Licence. Redémarrez manuellement zenon Web Server.

info Informations

The following dynamic text elements can be used without a license for zenon Web Server Pro am zenon Web Client:

  • Nom utilisateur
  • Mot de passe
  • Signature

zenon Operator et Windows CE :

zenon Web Server Pro Light est disponible pour zenon Operator.

Sous Windows CE, zenon Web Server Pro Light est intégré au Runtime ; le Runtime doit être démarré pour que zenon Web Server Pro Light puisse s'exécuter. Les limitations de cette fonctionnalité sont dues à la plate-forme. La licence est vérifiée, via Remote Transport, dans Editor, grâce à la gestion des licences à distance.

Vous pouvez également activer la licence de zenon Web Server via l'outil de gestion des licences :

  1. Sélectionnez Démarrer -> Tous les programmes -> COPA-DATA -> Licensing.

    ou :

    Démarrez zenonWeb Server en sélectionnant Panneau de configuration -> zenon Web Server.

  2. La boîte de dialogue de saisie des informations de la licence s’ouvre.
    • Sélectionnez zenon Web Server.
  3. Saisissez le numéro de série et le numéro d'activation

    Vous trouverez les informations à ce sujet :

    • Sur votre certificat de licence
    • Sur l’autocollant de la licence

      Chemin dans Windows 7/8 : C:\Users\Public\Documents\zenon_Projects\

    Remarque : Tenez compte de l’utilisation des minuscules et majuscules lors de la saisie des données?!

  4. Redémarrez zenon Web Server depuis l'onglet État.
  5. Lorsque vous aurez redémarré l'ordinateur, zenon Web Server disposera d'une licence active.

Boîte de dialogue de gestion des licences

Paramètre | Description
Editor/Runtime | Active : La licence est valide pour zenon Editor ou le Runtime de zenon.
Web Server | Active : La licence est valide pour zenon Web Server.
Numéro de série | Numéro de série de la licence. Si une licence est déjà disponible, le numéro de série correspondant est affiché ici. Saisissez le numéro de série actuel ici.
Numéro d’activation | Numéro d’activation de la licence. Si une licence est déjà disponible, le numéro d’activation correspondant est affiché ici.
OK | Importer les données et exécuter zenon avec cette licence lors du prochain démarrage du programme.
Annuler | Annuler la saisie et utiliser zenon avec la licence précédente ou sans licence.
Demander une licence logicielle | Ouvre la boîte de dialogue permettant de demander une licence logicielle.

Alternative :

  1. Démarrez zenonWeb Server en sélectionnant Panneau de configuration -> zenon Web Server.
  2. Sur l'onglet Licence (License) de zenon Web Server, saisissez le numéro de série et le numéro d'activation indiqués sur le formulaire de licence.

  3. Cliquez sur le bouton Enregistrer (Save) pour enregistrer les deux nombres.
  4. Redémarrez zenon Web Server depuis l'onglet État (State).

attention Attention

Les instances de zenon Web Client connectées sont déconnectées lors du redémarrage. Les instances de zenon Web Client se reconnectent automatiquement après un certain temps.

Remarque : Le numéro de licence et le numéro d'activation sont définis dans le fichier zenWebSrv.ini.

Autres sujets abordés dans ce chapitre

Licence par dongle

Licence logicielle


Licence par dongle

Manuel -> zenon Web Server -> zenon Web Server, Web Server Pro and Web Server Pro Light -> Licence -> Licence par dongle

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

zenon prend en charge les systèmes de dongle WibuKey et CodeMeter pour la gestion des licences via un dongle. Pour plus de détails à ce sujet, lisez la section Licence par dongle du manuel Gestion des licences.

La gestion des licences par dongle est mise en œuvre comme ceci :

  • Dongle installé sur l'ordinateur ou
  • Dongle connecté en réseau

Dongle installé sur l'ordinateur :

Avec un dongle installé sur l'ordinateur :

  1. Vous recevrez un dongle et un certificat de licence comportant un numéro de série et un numéro d'activation.
  2. Fermez le dongle depuis l'ordinateur sur lequel vous avez installé zenon Web Server.
  3. Enregistrez la licence dans le système.

Dongle réseau :

En guise d'alternative au dongle connecté directement sur l'ordinateur, vous pouvez également utiliser un dongle central connecté en réseau de COPA-DATA. Ce dongle peut être branché sur n'importe quel ordinateur connecté au réseau. L'activation de la licence se déroule de la même manière que l'activation de la licence sur le dongle installé sur l'ordinateur.

info Informations

Si une instance de zenon Web Server comportant une licence CodeMeter ne peut plus se connecter au dongle, l'instance de zenon Web Server se ferme.


Licence logicielle

Manuel -> zenon Web Server -> zenon Web Server, Web Server Pro and Web Server Pro Light -> Licence -> Licence logicielle

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Pour activer la licence logicielle :

  1. Démarrez le programme de gestion des licences du module Web Server.

  2. Cliquez sur le bouton Demander une licence logicielle.
  3. Le formulaire des données de licence s'affiche à l'écran.

  4. Renseignez tous les champs, puis cliquez sur Suivant.
  5. Le programme génère alors un certificat de demande de licence avec un numéro de licence valide pour votre ordinateur.

  6. Transmettez votre demande de licence à votre partenaire commercial :
    1. En cliquant sur le bouton d'envoi par e-mail
    2. En cliquant sur le bouton d'impression ou d'envoi par fax

      Le numéro de licence est également inclus sur le certificat de licence, et doit correspondre à celui de votre ordinateur.

  7. Un message d'informations récapitule le déroulement du processus.

  8. Dès que vous avez reçu vos données de licence, activez la licence sur le système.

info Informations

Please note that the License request for soft-licensing button is not available for all OEM versions.


Fonctionnement de la redondance

Manuel -> zenon Web Server -> zenon Web Server, Web Server Pro and Web Server Pro Light -> Fonctionnement de la redondance

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

zenon Web Server peut également être utilisé dans une configuration redondante. Si une instance de zenon Web Server subit une défaillance ou est arrêtée, zenon Web Client bascule automatiquement vers l'instance redondante de zenon Web Server.

attention Attention !

Contrairement au serveur primaire, aucun basculement automatique vers l'instance principale de Web Server n'est effectué. zenon Web Client reste connecté à l'instance redondante de zenon Standby Web Server :

  • Jusqu'au redémarrage de zenon Web Client
  • Jusqu'à l'arrêt ou à la défaillance de l'instance redondante de zenon Web Server

L'instance de zenon Web Client tente ensuite, par défaut, de se connecter à la première instance de zenon Web Server définie.

If only one zenon web server is used, it is strongly recommended that this is not operated on the Primary Server or the standby server. If this computer fails, the zenon web server will also fail.


Tunnellisation HTTP

Manuel -> zenon Web Server -> zenon Web Server, Web Server Pro and Web Server Pro Light -> Tunnellisation HTTP

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

À la place des connexions TCP, zenon Web Server peut également accepter les connexions HTTP. Les connexions HTTP sont uniquement acceptées par les instances de zenon Web Client. La connexion entre zenon Web Server et le serveur principal est toujours établie avec le protocole TCP. Une connexion HTTP distincte est créée pour chaque connexion entre zenon Web Client et zenon Web Server.

Les connexions ont établies via TCP, par défaut.

Pour utiliser la tunnellisation HTTP, les conditions suivantes doivent être vraies :

  • Le protocole HTTP doit être activé par le biais de la boîte de dialogue de configuration ou de l'entrée correspondante dans le fichier zenon6.ini
  • Port 8080 or the alternative port configured in zenon6.ini must be reachable on the computer of the zenon Web Server.
  • La page d'initialisation du projet des instances de zenon Web Client devant se connecter à zenon Web Server par le biais de la tunnellisation HTTP doit comporter le paramètre UseHTTP, associé à une valeur différente de 0, dans les entrées <embed> et <object>

Remarque : La tunnellisation HTTP n'est pas disponible sous Windows CE.

Configuration du port :

Sur l'ordinateur sur lequel s'exécute zenon Web Server :

  1. Ouvrez le fichier zenon6.ini.
  2. Accédez à l'entrée NET_PROXYPORT= ou créez-la
  3. Configurez le port souhaité

    Par défaut : 8080
    zenon Web Server écoute le port et zenon Web Client se connecte à celui-ci.

  4. Enregistrez le fichier zenon6.ini.

Sur l'ordinateur sur lequel s'exécute zenon Web Client :

  • Configurez le port HTTP dans le fichier zenon6.ini sur l'ordinateur sur lequel s'exécute zenon Web Client en effectuant une nouvelle fois les étapes décrites ci-dessus sur cet ordinateur.

Remarque : Chaque modification du numéro de port dans le fichier zenon6.ini présent sur l'ordinateur sur lequel s'exécute zenon Web Server doit également être reproduite sur tous les ordinateurs sur lesquels est configuré zenon Web Client. En outre, il peut être nécessaire de configurer manuellement, dans le pare-feu de Windows, le port HTTP de l'ordinateur sur lequel s'exécute zenon Web Server, en tant que port exceptionnellement utilisé pour les connexions entrantes.

Procédure :

zenon Web Client transmet envoie les messages destinés au serveur de Runtime à zenon Web Server, via HTTP POST. Le message est alors transmis à la connexion associée avec le serveur Runtime, via le protocole TCP. Le serveur de Runtime transmet, via le protocole TCP, les messages destinés à zenon Web Client à zenon Web Server, qui les enregistre en mémoire tampon.

La mémoire tampon d'une connexion est vidée par le zenon Web Client, avec des requêtes HTTP GET. Si aucun message n'est disponible pour une connexion, le client attend pendant un délai paramétrable (entrée POLLING_INTERVALL dans le fichier zenon6.ini, avec une valeur par défaut de 2 secondes).

Pour plus de détails, reportez-vous au chapitre Procédure de connexion HTTP.

Messages d'erreur :

Si la connexion HTTP est active, les messages spécifiques au réseau sont parfois affichés dans l'outil Diagnosis Viewer, plutôt que dans les messages spécifiques au protocole HTTP ; par exemple, si une connexion est établie ou interrompue, ou en cas d'erreur HTTP.

Autres sujets abordés dans ce chapitre

Procédure avec une connexion HTTP


Procédure avec une connexion HTTP

Manuel -> zenon Web Server -> zenon Web Server, Web Server Pro and Web Server Pro Light -> Tunnellisation HTTP -> Procédure avec une connexion HTTP

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Si une instance de zenon Web Client est démarrée, celle-ci se connecte au serveur primaire via zenon Web Server :

  1. L'utilisateur lance le navigateur Internet et ouvre la page d'initialisation du projet.
  2. La page d'initialisation du projet invite le navigateur Web à démarrer l'instance de zenon Web Client avec la configuration de tunnellisation HTTP prédéfinie.
  3. L'instance de zenon Web Client établit 3 connexions HTTP (connexions de contrôle, de données et de synchronisation des fichiers) avec zenon Web Server :
    1. Un ID de connexion est demandé à zenon Web Client.
    2. zenon Web Server transmet un ID de connexion libre, s'il est disponible. L'ID envoyé est ajouté à la liste d'ID de connexion émis. Ceci évite qu'un ID ne soit émis deux fois, et permet de transférer la connexion HTTP vers une connexion TCP.
    3. Le paquet d'initialisation du réseau est transmis à zenon Web Server via la connexion HTTP.
    4. zenon Web Server vérifie si cette instance de zenon Web Client est déjà présente dans la liste des clients actifs. Si le client est nouveau, une vérification est effectuée afin de déterminer si le nombre maximal de clients a déjà été atteint. Si la connexion du client peut être acceptée, une connexion TCP est établie dans le Runtime et le paquet d'initialisation est transmis. La connexion de client acceptée et la connexion de serveur établie sont mappées l'une vers l'autre, jusqu'à la fin de la connexion : les données provenant de la connexion du client sont transmises par la connexion du serveur, et inversement.
  4. Échange de données :
    1. zenon Web Server joue le rôle de traducteur de protocole entre TCP et HTTP et enregistre les messages dans une mémoire tampon.
    2. Les données provenant du Runtime et destinées à l'instance de zenon Web Client sont enregistrées dans une mémoire tampon sur le serveur. L'instance de zenon Web Client appelle ces données au moyen de requêtes GET.
    3. Les données provenant de l'instance de zenon Web Client et destinées au Runtime sont envoyées par l'instance de zenon Web Client au moyen d'une demande POST, puis transmises au Runtime par zenon Web Server.
  5. Si l'instance de zenon Web Client est fermée dans le navigateur (c'est-à-dire si le navigateur est fermé ou si la page d'initialisation du projet est fermée), les connexions à l'instance de zenon Web Client sont interrompues.
    1. L'instance de zenon Web Client envoie un paquet de fin de réseau à zenon Web Server. zenon Web Server transmet celui-ci au Runtime, interrompt la connexion et libère les ressources occupées (mémoire de travail, ports, ID de connexion, etc.).
    2. Une fois l'instance de zenon Web Client effacée, un paquet de fin HTTP supplémentaire est envoyé à Web Server, afin de s'assurer que l'ID de connexion a bien été supprimé de la liste.


Navigateurs Web pris en charge :

Manuel -> zenon Web Server -> zenon Web Server, Web Server Pro and Web Server Pro Light -> Navigateurs Web pris en charge :

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

zenon Web Client est compatible avec les navigateurs suivants :

  • Microsoft Internet Explorer

    Attention : L'application 32 bits de zenon Web Client doit être utilisée avec la version 32 bits d'Internet Explorer.
    The 64-bit version cannot be used due to the lack of ActiveX support.

Nous vous recommandons de toujours utiliser la version la plus récente.

info Informations

Le navigateur utilisé pour zenon Web Client doit être compatible avec l'un des systèmes d'exploitation suivants :

  • Windows 7
  • Windows 8 et 8.1
  • Windows Server 2008 et 2008 R2
  • Windows 10
  • Windows Server 2012

Les autres systèmes d'exploitation, tels que Windows CE, Linux ou d'autres sont uniquement pris en charge en combinaison avec un serveur de terminal.

Démarrage du navigateur :

La page d'initialisation du projet détermine la base de l'identification du navigateur, ainsi que la méthode de démarrage de zenon Web Client, le cas échéant :

  • Internet Explorer :
    démarrage en tant que composant ActiveX
  • Autres navigateurs ou versions non prises en charge :
    Un message d'erreur est affiché ; zenon Web Client ne démarre pas

Versions prises en charge :

Exploreur web

À partir de la version

Annotation

Microsoft Internet Explorer
  • 6.0
  • Recommandé à partir de la version : 8.0
  • Version 32 bits uniquement
  • Notez les informations concernant la protection de la mémoire pour IE 8/9

Attention : The 64-bit version of Internet Explorer 11 does not support ActiveX and therefore cannot be used as a zenon Web Client. This also applies for IE as a mobile app, Metro Style and under RT.


Dossier de fichiers du Runtime

Manuel -> zenon Web Server -> zenon Web Server, Web Server Pro and Web Server Pro Light -> Dossier de fichiers du Runtime

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

zenon Web Server enregistre les fichiers de Runtime dans le dossier %Temp%\zenWebCli.

%Temp% désigne le dossier de fichiers temporaires sous Windows. Ce dossier est enregistré de manière individuelle pour chaque utilisateur et peut être modifié sous Contrôle du système -> Système -> Paramètres système avancés -> Variables d'environnement.

Remarque : L'utilisation du dossier %Temp% varie selon les utilisateurs. Chaque utilisateur Windows charge ainsi les fichiers du Runtime depuis l'ordinateur principal.

attention Attention

When using Microsoft Internet Explorer in secure mode the Runtime files are saved in the %Temp%\Low folder.

Vous pouvez définir l'emplacement de stockage dans le dossier de votre choix en modifiant l'entrée correspondante du fichier zenon6.ini :

  1. Ouvre le fichier zenon6.ini.
  2. Accédez à la section

    [Chemin]

  3. Créez ou modifiez l'entrée

    WEB_PROJECT_PATH=


VSTA et VBA avec zenon Web Client, zenon Web Server et zenon Web Server Pro

Manuel -> zenon Web Server -> zenon Web Server, Web Server Pro and Web Server Pro Light -> VSTA et VBA avec zenon Web Client, zenon Web Server et zenon Web Server Pro

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarque : VBA est compatible avec zenon dans différentes versions de zenon Web Server et zenon Web Server Pro. Toutefois, pour des raisons de sécurité, nous vous recommandons de basculer vers VSTA. Vous trouverez d'autres informations concernant VBA dans le manuel Liste de macros.

VSTA est compatible avec zenon avec différentes versions de zenon Web Server et zenon Web Server Pro.

Fonction

zenon Web Client avec zenon Web Server Standard

zenon Web Client avec zenon Web Server Pro

Montrer la boîte de dialogue des macros VSTA

+

+

Exécuter macro VSTA

+

+

Ouvrir l'éditeur VSTA

-

-

Événements VSTA

+

+

Annotation
  • Aucune valeur n'est écrite dans les variables de zenon.
  • Les boîtes de messages de Windows peuvent être affichées.
  • La compilation et le débogage ne sont pas autorisés.
    Pour cela, un Runtime standard de zenon doit être utilisé.
  • Toutes les fonctionnalités VSTA de zenon sont entièrement disponibles.
  • La compilation et le débogage ne sont pas autorisés.
    Pour cela, un Runtime standard de zenon doit être utilisé.

Installation :

Utilisation de VSTA

  • Les applications suivantes doivent être présentes sur le système ou être installées manuellement :
    • Microsoft Visual Studio Tools for Applications 2.0 (VSTA 2.0)
    • Microsoft .NET Framework 3.5

    Ces deux programmes se trouvent sur le support d'installation de zenon Web Server ou de zenon 7.60.

  • Le fichier VSTAIntegration.dll doit être présent dans le répertoire de programme de zenon.
    Ce fichier est installé automatiquement lors de l'installation de zenon.

Entrées de fichier INI

Les entrées suivantes doivent être définies dans zenon6.ini :

[VSTA]

ON=1

CSHARP=1

[VBA]

EIN=1

EVENT=1


Résolution de l'écran et gestion de moniteur

Manuel -> zenon Web Server -> zenon Web Server, Web Server Pro and Web Server Pro Light -> Résolution de l'écran et gestion de moniteur

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

La fonction Monitor Administration de zenon est disponible dans Web Client de zenon, avec certaines restrictions.

Important pour la configuration : la fonction d'adaptation automatique de la résolution en fonction du client ne peut pas être utilisée pour le client Web. Pour cette raison, la taille de l'écran doit être définie en conséquence durant la configuration. Par défaut, zenon Web Client utilise la taille d'écran définie pour le projet : Propriétés du projet -> Apparence graphique -> Gestion de moniteur -> Cliquez sur le bouton ... -> Onglet Général -> Résolution d'écran.

La résolution peut être modifiée par le biais des paramètres de zenon Web Client. Pour plus de détails, voir le chapitre Configuration de la page d'exemple.

Grâce à la propriété Zoom, zenon Web Client peut être agrandi à la taille d'un élément ActiveX.

Taille dans le navigateur :

Le navigateur utilise toujours une partie de l'écran pour afficher les menus et les barres de défilement. Ainsi, la zone disponible pour zenon Web Client est toujours plus petite que la résolution d'écran définie. Si vous souhaitez afficher votre projet en plein écran dans le navigateur, vous devez définir une taille d'écran inférieure à la taille d'écran définie pour zenon Web Client.

Par exemple :
Résolution du moniteur de l'ordinateur sur lequel est exécuté zenon Web Client : 1024x768 pixels
Taille de l'écran dans la fonction Monitor Administration : 800 x 600.

info Informations

Si vous voulez utiliser la fonction de gestion multi-projet avec zenon Web Client, la taille d'écran doit être identique pour tous les projets !

Système multi-moniteurs :

Sur un système multi-moniteurs, les synoptiques de procédé sont ouverts conformément aux paramètres du profil, sur différents moniteurs physiques. Dans une instance de zenon Web Client, ces synoptiques peuvent être situés hors de la zone visible, mais sont accessibles en faisant défiler l'écran.

Recommandation : Configurez le profil de moniteur de telle manière que tous les moniteurs sont mappés sur le moniteur principal ; de cette manière, vous êtes certain d'avoir accès à tous les moniteurs.

info Informations

Le profil standard est toujours chargé par défaut sur zenon Web Client. Vous pouvez toutefois stipuler un profil de moniteur différent en configurant l’entrée SCREENPROFILE= du fichier zenon6.ini.


Déploiement de zenon Web Server dans l'environnement Internet

Manuel -> zenon Web Server -> zenon Web Server, Web Server Pro and Web Server Pro Light -> Déploiement de zenon Web Server dans l'environnement Internet

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarque : Si une instance de zenon Web Client doit contacter une instance de zenon Web Server via Internet, il est fortement recommandé d'établir une connexion VPN entre le réseau sur lequel se trouve l'ordinateur exécutant zenon Web Client, le réseau sur lequel se trouve l'ordinateur exécutant zenon Web Server et le zenon serveur.

Pour intégrer zenon Web Server à un environnement Internet :

  • Les éventuels pare-feu présents doivent être configurés de manière correspondante :
    • Le port 1102 du pare-feu doit être ouvert pour les paquets entrants, afin que zenon Web Client puisse accéder à zenon Web Server et, par conséquent, à un serveur primaire.
    • Le NAT (Network Address Transformation) doit tourner sur le poste passerelle (pare-feu). NAT transforme les adresses internes LAN en adresse pour le poste passerelle. Si, par exemple, un utilisateur parcourt le réseau local, depuis l'extérieur, les requêtes semblent être transmises par le poste passerelle.
    • Adresse IP statique pour zenon Web Server :
      Le pare-feu de l'ordinateur passerelle doit être configuré pour que tous les paquets entrants sur le port 1102 soient automatiquement transmis à l'ordinateur sur lequel s'exécute zenon Web Server. Ceci signifie : ce poste doit comporter une adresse IP statique.
  • La page d'initialisation du projet doit être adaptée pour que zenon Web Client sache à quel ordinateur se connecter sur Internet. Cette modification doit être effectuée dans le script global_vars.js ou, pour les versions plus anciennes, dans project_A_X.html (où X représente la version de la langue, par exemple G pour l'allemand).
    • Dans l'entrée VALUE= WEB-SERVERNAME, vous devez spécifier le nom de l'ordinateur du poste passerelle (le poste visible depuis Internet, et non le nom d'ordinateur du véritable serveur Web de zenon). L'ordinateur sur lequel s'exécute le véritable logiciel zenon Web Server n'est pas visible depuis Internet. L'ordinateur passerelle transmet ensuite automatiquement les requêtes provenant de zenon Web Client au port 1102, puis les transmet automatiquement au véritable logiciel zenon Web Server.


Gestion des erreurs

Manuel -> zenon Web Server -> zenon Web Server, Web Server Pro and Web Server Pro Light -> Gestion des erreurs

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Messages d'erreurs et erreurs d'exécution connus :

  • Blocage après actualisation de la page dans le navigateur Web
  • Échec du chargement du contrôle ActiveX
  • Installation incorrecte du contrôle ActiveX
  • Erreur due à une exception de Web Client dans Internet Explorer 8
  • Messages d'erreur HTTP
  • Erreur d'initialisation du Runtime
  • Claviers dans Firefox
  • Nombre maximum de clients

Autres sujets abordés dans ce chapitre

Blocage après actualisation de la page dans le navigateur Web

Échec du chargement du contrôle ActiveX

Installation incorrecte du contrôle ActiveX

Erreur due à une exception de zenon Web Client dans Internet Explorer 8 (ou versions ultérieures)

Messages d'erreur HTTP

Erreur d'initialisation du Runtime

Claviers dans Firefox

Nombre maximum de clients

Comportement de zenon Web Client en cas d'interruption de la connexion


Blocage après actualisation de la page dans le navigateur Web

Manuel -> zenon Web Server -> zenon Web Server, Web Server Pro and Web Server Pro Light -> Gestion des erreurs -> Blocage après actualisation de la page dans le navigateur Web

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

L'utilisation d'Internet Explorer 6 avec zenon Web Client peut entraîner un blocage d'Internet Explorer si le bouton Actualiser du navigateur est utilisé. Nous vous recommandons donc de ne pas utiliser le bouton Actualiser.

Ce bouton provoque la fermeture et le redémarrage de zenon Web Client. Cela signifie que la connexion au Runtime est fermée et qu'elle doit être rétablie par zenon Web Client.

Erreur 101

Si zenon Web Client est déjà installé sur l'ordinateur client, le message d'erreur suivant peut être affiché lorsque zenon Web Client se connecte à zenon Web Server ou au Runtime :
Error 101
Project XXX was edited with version XXX and cannot be opened here (Erreur 101 : le projet XXX a été modifié avec la version XXX et ne peut pas être ouvert ici).
Dans ce cas :

  1. Désinstallez zenon Web Clients
  2. Redémarrez l'ordinateur.
  3. Nouvelle installation de zenon Web Client


Échec du chargement du contrôle ActiveX

Manuel -> zenon Web Server -> zenon Web Server, Web Server Pro and Web Server Pro Light -> Gestion des erreurs -> Échec du chargement du contrôle ActiveX

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Si l'exploreur web (browser) affiche "Init Runtime error", il y a plusieurs causes possibles pour cette erreur : La cause la plus probable :

  • Les paramètre de sécurité du navigateur empêchent l'exécution correcte du contrôle ActiveX.


Installation incorrecte du contrôle ActiveX

Manuel -> zenon Web Server -> zenon Web Server, Web Server Pro and Web Server Pro Light -> Gestion des erreurs -> Installation incorrecte du contrôle ActiveX

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Si le navigateur affiche uniquement un X à la place du Runtime après l'appel de la page de démarrage du projet :

  • Le contrôle ActiveX de zenon Web Client n'a pas été correctement installé
  • Une version incorrecte de zenon Web Client a été installée


Erreur due à une exception de zenon Web Client dans Internet Explorer 8 (ou versions ultérieures)

Manuel -> zenon Web Server -> zenon Web Server, Web Server Pro and Web Server Pro Light -> Gestion des erreurs -> Erreur due à une exception de zenon Web Client dans Internet Explorer 8 (ou versions ultérieures)

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Erreur

zenon Web Client se ferme après une erreur due à une exception si des macros VSTA ou VBA sont exécutées dans le projet.

Motif

À partir de la version 8, Microsoft Internet Explorer comporte un paramètre de protection de la mémoire. Si ce paramètre est actif, l'exécution de VBA entraîne une erreur due à une exception et Internet Explorer se ferme. VSTA active systématiquement VBA.

Solution

Désactivez la protection de la mémoire dans Internet Explorer, comme suit :

Sélectionnez Extras -> Options Internet -> Avancé -> Activer la protection mémoire pour contribuer à atténuer les attaques en ligne.


Messages d'erreur HTTP

Manuel -> zenon Web Server -> zenon Web Server, Web Server Pro and Web Server Pro Light -> Gestion des erreurs -> Messages d'erreur HTTP

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Messages d'erreur et signification :

Entrée | Niveau | Description
NetSrv Error Do Send HTTP failed! HTTP-Status: [HTTP-Status] | ERREURS | L'instance HTTP de Web Server a répondu par une erreur à une requête HTTP POST.
NetSrv Error Do Send HTTP failed! | ERREURS | The HTTP POST request failed (e.g. timeout).
NetSrv Error Do Send HTTP Server failed! Data Management Class Error! | ERREURS | Une erreur s'est produite lors de l'enregistrement d'un message dans la mémoire tampon de l'instance HTTP de Web Server. L'erreur s'est produite au niveau de la classe de gestion de données.
NetSrv Error Do Send HTTP Server failed! | ERREURS | Une erreur s'est produite lors de l'enregistrement d'un message dans la mémoire tampon de l'instance HTTP de Web Server. L'erreur s'est produite au niveau de la liste du buffer.
NetSrv Error Do Recv HTTP failed! HTTP status: [HTTP-Status] | ERREURS | L'instance HTTP de Web Server a répondu par une erreur à une requête HTTP GET.
NetSrv Error Do Recv HTTP failed! | ERREURS | The HTTP Get request failed (e.g. timeout).
NetSrv Error Do Recv HTTP Server failed! Data Management Class Error! | ERREURS | Une erreur s'est produite lors de la lecture d'un message dans la mémoire tampon de l'instance HTTP de Web Server. L'erreur s'est produite au niveau de la classe de gestion de données.
NetSrv Error Do Recv HTTP Server failed! Buffer Too Small! | ERREURS | Le paquet lu dans la liste du buffer est trop grand pour le buffer de données. Remarque : en raison de la taille maximale uniforme des paquets, qui sert également de définition de longueur du buffer, cette erreur ne devrait jamais se produire.
NetSrv Error Do Recv HTTP Server failed! Error While Copying Data Into Buffer! | ERREURS | Une erreur s'est produite lors de la copie des données de la liste du buffer.
Error Out Of Memory While Adding Data to HTTP GET Response | ERREURS | Impossible de créer une zone de mémoire lors de la compilation d'une réponse HTTP dans l'instance HTTP de Web Server.
Error On Adding Data to HTTP GET Response | ERREURS | Une erreur s'est produite lors de la copie des données de la liste du buffer vers la réponse HTTP.
HTTP Send Get Response Failed: [Status] | ERREURS | L'envoi d'une réponse à une requête HTTP GET a échoué. Le code d'état est un code d'erreur système (il peut être recherché dans la bibliothèque MSDN).
Error Out Of Memory While Receiving Data from HTTP POST | ERREURS | Impossible de créer une zone de mémoire lors de la lecture d'une réponse HTTP POST dans l'instance HTTP de Web Server.
Error on Receiving Data from HTTP POST [État] | ERREURS | Échec de la lecture des données de la requête HTTP POST. Le code d'état est un code d'erreur système (il peut être recherché dans la bibliothèque MSDN).
Error Data Block Of HTTP Post Request Too Large | ERREURS | La taille des données de la requête reçue est supérieure à la taille de paquet maximale définie.
HTTP Send Post Response Failed: [Status] | ERREURS | L'envoi d'une réponse à une requête HTTP POST a échoué. Le code d'état est un code d'erreur système (il peut être recherché dans la bibliothèque MSDN).
Error Out Of Memory While Parsing HTTP Request | ERREURS | Impossible de créer une zone de mémoire lors de la transmission d'une réponse HTTP au fil correspondant.
Memory Error on Creating Receive Buffer | ERREURS | Impossible de créer une zone de mémoire lors de la création du buffer de réception HTTP.
Error on Creating HTTP Request Event | ERREURS | La création d'événements pour la réception de requêtes HTTP a échoué.
Error While Waiting For HTTP Request: [État] --> Exiting Listening Thread | ERREURS | Une erreur s'est produite lors de l'attente d'une requête HTTP. Le code d'état est un code d'erreur système (il peut être recherché dans la bibliothèque MSDN).
Unexpected Result While Waiting For HTTP Request: [État] --> Exiting Listening Thread | ERREURS | L'attente d'une requête HTTP a entraîné un résultat inattendu. Le code d'état est un code d'erreur système (il peut être recherché dans la bibliothèque MSDN).
HTTP Request Without ID Received | ERREURS | L'ID de connexion n'était pas présent dans la requête HTTP.
Error on Extracting HTTP-Request-ID From URL | ERREURS | L'ID de connexion de la requête HTTP ne peut pas être lu.
Erreur : Closing HTTP Connection ID [ID] Could Not Be Resolved | ERREURS | Une tentative de fermeture d'une connexion inexistante ou déjà fermée a été effectuée. Cette erreur est moins critique, car la requête de suppression de l'ID de connexion lors de l'effacement des ressources de la connexion peut être effectuée plusieurs fois après l'arrêt de la connexion.
HTTP Request With Incompatible ID Format Received | ERREURS | L'ID de connexion dans la requête HTTP ne présente pas le format attendu.
Could Not Assign New HTTP ID Because The Map Is Full | ERREURS | Une nouvelle connexion n'a pas pu être acceptée, car la liste de connexion est saturée. La liste de connexion peut contenir plus de 4,2 milliards de connexions ; ce message ne devrait donc jamais apparaître.
Error During HTTP Accept | ERREURS | Une erreur s'est produite lors de l'acceptation de la connexion HTTP.
Error On Sending HTTP ID: [Status] | ERREURS | L'envoi d'une réponse HTTP avec l'ID de connexion pour la connexion du nouveau client a échoué. Le code d'état est un code d'erreur système (il peut être recherché dans la bibliothèque MSDN).
Erreur : HTTP Connection ID [ID] Could Not Be Resolved | ERREURS | L'ID de connexion de la requête HTTP ne peut pas être résolu.
Erreur : HTTP Request Could Not Be Assigned To The Socket | ERREURS | La requête HTTP n'a pas pu être transmise au fil concerné.
Unsupported HTTP-Request Received | ERREURS | Une requête HTTP non prise en charge a été reçue. Les requêtes GET et POST sont prises en charge.
Error While Receiving HTTP Request: [État] --> Exiting Listening Thread | ERREURS | Une erreur s'est produite lors de la réception d'une requête HTTP.
Error on Removing HTTP Connection ID From The Map! | ERREURS | Une erreur s'est produite lors de la suppression d'un ID de connexion de la liste. Les ID de connexion sont supprimés lors de l'arrêt d'une connexion.
Removing HTTP Connection ID [ID] From The Map! | DÉBOGAGE | La connexion a été arrêtée et l'ID a été supprimé de la liste.
Error on Removing Non-Active HTTP Connection ID From The Map! | ERREURS | Une erreur s'est produite lors de la suppression d'un ID de connexion inactive. Une connexion est inactive lorsqu'aucune requête HTTP n'est reçue pendant 5 minutes. Cette connexion aurait déjà dû être supprimée, en raison de l'absence de commande de surveillance.
Removing Non-Active HTTP Connection ID [ID] From The Map! | DÉBOGAGE | L'ID de connexion a été supprimé de la liste, car la connexion est inactive. Une connexion est inactive lorsqu'aucune requête HTTP n'est reçue pendant 5 minutes. Cette connexion aurait déjà dû être supprimée, en raison de l'absence de commande de surveillance.
Error While Waiting for HTTP Connection Map Check [État]! | ERREURS | Le fil de vérification de l'ID de connexion a identifié une erreur lors de l'attente du cycle suivant et s'est arrêté. Le code d'état est un code d'erreur système (il peut être recherché dans la bibliothèque MSDN).
NetSrv Accept HTTP Client Socket Error On Starting HTTP Reply Thread | ERREURS | Le fil de réponse aux requêtes HTTP n'a pas pu être démarré.
NetSrv Info Accept HTTP Client IP:[Adresse IP]:[Port] Ok | DÉBOGAGE | La connexion HTTP a bien été acceptée
NetSrv Memory Error Do Recv HTTP failed! | ERREURS | Une erreur s'est produite en raison de la disponibilité d'une quantité insuffisante de mémoire lors de la réception de données par le biais de la tunnellisation HTTP.

Entrées de fichier journal de CNSBlockingSocketExceptions

Niveau : Présence d'erreurs

Entrée : Texte d'exception | Description
Connexion : erreur HTTP | L'instance HTTP de Web Server a répondu par une erreur à une requête d'ID de connexion.
Connexion : ID-Data did not have the expected Format | L'ID de connexion fourni par l'instance HTTP de Web Server ne comporte pas le format attendu.
Connexion : Server denied HTTP ID | L'instance HTTP de Web Server a rejeté l'accord d'un ID de connexion.
Connexion : Error during ID-Acquisition | Une erreur s'est produite lors de la requête d'un ID de connexion (expiration de délai d'attente, par exemple).
HttpInitialize Failed | Impossible d'initialiser l'API de serveur HTTP
HttpCreateHttpHandle Failed | La liste de requêtes HTTP n'a pas pu être créée
HttpAddUrl Failed | Le serveur n'a pas pu accéder au mode de liste


Erreur d'initialisation du Runtime

Manuel -> zenon Web Server -> zenon Web Server, Web Server Pro and Web Server Pro Light -> Gestion des erreurs -> Erreur d'initialisation du Runtime

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Si l'exploreur web (browser) affiche "Init Runtime error", il y a plusieurs causes possibles pour cette erreur :

  • Le Runtime n'est pas actif sur le serveur de Runtime
  • SERVERNAME dans le fichier Globalvars.js est mal orthographié ou incorrectement défini (toujours utiliser des lettres MAJUSCULES).
  • PROJECTNAME dans le fichier Globalvars.js est mal orthographié ou incorrectement défini (toujours utiliser des lettres MAJUSCULES).
  • La résolution des noms entre zenon Web Server et le serveur principal n'est pas assurée sur le réseau.
  • zenon Web Server n'est pas en cours d'exécution.

Vous trouverez des remarques concernant les causes d'erreurs dans le fichier zenNetErr.txt. Ce fichier consigne les informations de journalisation.


Claviers dans Firefox

Manuel -> zenon Web Server -> zenon Web Server, Web Server Pro and Web Server Pro Light -> Gestion des erreurs -> Claviers dans Firefox

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Si les claviers individuels ne fonctionnent pas correctement dans Firefox, tenez compte des remarques suivantes :

attention Attention

Dans certaines circonstances, des synoptiques de type Clavier personnalisés peuvent ne pas fonctionner correctement dans le navigateur Mozilla Firefox.

Raison : Mozilla Firefox charge de nouvelles fenêtres en arrière-plan, mais ne bascule pas vers celles-ci. Selon la configuration du projet, les synoptiques de clavier individuellement adaptés sont fermés dès que le focus est déplacé ailleurs.

Solution : Utilisez un autre navigateur, tel que Microsoft Internet Explorer ou Google Chrome, ou utilisez l’option "Fermer en cas de perte de focus" du cadre.

Les claviers automatiques ne sont pas affectés?!


Nombre maximum de clients

Manuel -> zenon Web Server -> zenon Web Server, Web Server Pro and Web Server Pro Light -> Gestion des erreurs -> Nombre maximum de clients

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Message transmis à zenon Web Client.

Un nombre de clients supérieur au nombre autorisé par la licence tente de se connecter à zenon Web Server.


Comportement de zenon Web Client en cas d'interruption de la connexion

Manuel -> zenon Web Server -> zenon Web Server, Web Server Pro and Web Server Pro Light -> Gestion des erreurs -> Comportement de zenon Web Client en cas d'interruption de la connexion

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

En cas d'interruption de la connexion avec le serveur principal, zenon Web Client utilise la configuration de connexion suivante.

Causes possibles d'une interruption de la connexion :

  • Le serveur principal a subi une défaillance, et le serveur de serveur de secours a repris son rôle.
  • Le serveur principal est rétabli et reprend son rôle (c'est-à-dire que le serveur de serveur de secours ferme la connexion).
  • L'instance de zenon Web Server en cours d'utilisation subit une défaillance.

Les configurations de connexion sont adoptées dans l'ordre suivant (le processus reprend depuis le début lorsque la fin de la liste a été atteinte) :

  1. zenon Web Server et Server primaire
  2. zenon Web Server et Serveur de secours
  3. Standby zenon Web Server and Primary Server
  4. Standby zenon Web Server and Standby Server

Si une instance redondante de zenon Web Server a été configurée mais ne peut pas être contactée, les événements suivants se produisent si le serveur principal est rétabli :

  1. zenon Web Client est actuellement dans la configuration de connexion 2, et la connexion est interrompue, car le serveur principal reprend la gestion du processus.
  2. zenon Web Client tente de se reconnecter à la configuration de connexion 3, mais un dépassement de délai d'attente se produit, car l'instance redondante de zenon Web Server n'est pas joignable.
  3. zenon Web Client tente de se reconnecter à la configuration de connexion 4, mais un dépassement de délai d'attente se produit, car l'instance redondante de zenon Web Server n'est pas joignable.
  4. zenon Web Client tente de se reconnecter avec la configuration de connexion 1, qui fonctionne également. zenon Web Client est à nouveau en ligne.

En cas de défaillance d'une connexion, zenon Web Client ne peut pas déterminer si c'est zenon Web Server (ou l'instance redondante de zenon Web Server) ou le serveur principal (ou de serveur principal redondant) qui est injoignable ; c'est pour cela que ces quatre possibilités de connexion sont appliquées l'une après l'autre.


HTML Web Engine

Manuel -> zenon Web Server -> HTML Web Engine

The HTML Web Engine is for the provision of zenon screens as a HTML5 web page. The user interface is called up and displayed on the visualization end device using a web browser. No special software installation - or any browser plug-ins - are required on the end device. Process data for the visualization is taken from zenon Runtime.

Functionalities of the HTML Web Engine

Overview of the functions of the HTML web engine:

  • Session-based provision of HTML5 visualization content on HTML web clients.
  • Display of basic visualization content that was created in the zenon Editor.
  • Data view:
    • Variable values
      Displays are updated dynamically in the HTML Web Engine.
    • Chronological Event List (CEL)
      Entries in the CEL are updated dynamically in the HTML Web Engine.
    • Extended Trend (ETM)
      The display in the ETM is not updated dynamically in the HTML Web Engine. This means that the ETM only draws with existing data when called up and is then no longer updated.
    • Messages from the Alarm Message List (AML)
      Entries in the AML are updated dynamically in the HTML Web Engine.
  • Forwarding of process information, such as variable values, alarm messages or event messages from a zenon Runtime to one or more HTML web clients.
  • Support of active operations, such as write set value.
  • Mobile, location-independent operation and observation.
  • No installation and/or configuration on the end device i.e. the client is necessary. Platform-independent display in HTML5 standard.
  • Operation of the HTML web server on a different computer, such as is possible in a DMZ for example.
  • Secure network communication via HTTPS, based on SSL certificates.
  • Protection of sensitive visualization areas or processes by means of user authentication and support of user levels.

The HTML Web Engine supports the authentication of a Web Engine client with increased security in relation to the zenon user authentication and Active Directory. Login is via entry of the user name and password.

Autres sujets abordés dans ce chapitre

Required components and their definitions

Basic system construction of the HTML Web Engine

System requirements

Licensing

Installation

SCADA Runtime Connector

Client authentication for a connection to Runtime

Deployment of the Web Engine

Engineering in the Editor

Compile project for web

Process of an HTML web engine session

System diagnosis and troubleshooting


Required components and their definitions

Manuel -> zenon Web Server -> HTML Web Engine -> Required components and their definitions

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Components

Description

zenon Runtime

The process data for the HTML5 visualization is provided by a zenon Runtime (server or client).

HTML Web Engine

The HTML Web Engine is for the provision of process screens as an HTML5 web page. The user interface is called up and displayed on the visualization end device using a web browser. Neither special software installation nor a software plug-in are required on the end device. Process data for the visualization is taken from zenon Runtime.

Note: The HTML Web Engine processes process data for the purpose of visualization and operation by the HTML web client. The process data is only administered by zenon Runtime.

IIS publishing service

Services platform of Microsoft for PCs and servers. It can be used to make documents and files accessible in the network. The HTML Web Engine uses IIS as a runtime environment and for the publishing of zenon process screens. HTTPS is used as a communication protocol. Deployment is used to instance the HTML Web Engine on the IIS.

Web browser

Web browsers are special computer programs for the display of documents and data, especially web sites in the World Wide Web.

zenon Web Engine Deployment Tool

Provides the HTML Web Engine as a web application in IIS and allows the configuration thereof. An existing HTML Web Engine instance can also be updated or deleted.

Web engine compiler

Generates, from a zenon project, the data that the HTML Web Engine needs to provide HTML5 content for the zenon Web Client. When translating this project data, the HTML Web Engine compiler checks the project contents and provides information on non-supported functions or properties. As a result of the translation process, a file is created that is provided to the Web Engine.

SCADA Runtime Connector

Serves as a communication interface to zenon Runtime.


Basic system construction of the HTML Web Engine

Manuel -> zenon Web Server -> HTML Web Engine -> Basic system construction of the HTML Web Engine

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

The HTML Web Engine is a web application that provides an HTML5 web page.

attention Attention

Recommendations:

  • Always operate the whole system configuration in a trusted network area.
  • Never publish the HTML5 web site in the Internet directly.

In the course of a session, a distinction between two different connection levels is made:

  1. Display of visualization pages without process data
  2. Display of the visualization pages and display of process data

Display of visualization pages without process data

The zenon Web Client connects itself to the HTML Web Engine by calling up the URL (Uniform Ressource Locator) for the HTML5 web page. Once the session has been set up successfully, the project can be visualized without access to process data of zenon Runtime.

Display of the visualization pages and display of process data

The HTML Web Engine connects itself to zenon Runtime via the SCADA Runtime Connector. This connection is only approved if user authentication on the basis of a user name and password has been carried out successfully. Authentication is carried out by means of external authentication to the user administration of zenon Runtime. The transfer of user information can be either manual by the zenon Web Client operator or automatic by the Web Engine.

No special tools are required to configure the HTML5 visualization. The screens and functions are created in the zenon Editor by default.
You can find a list of the supported elements, properties and functions in the Supported functionalities for HTML visualization chapter.

Access to HTML5 visualization from an end device

This is how you use an HTML5-compatible web browser to access the HTML5 visualization from a visualization end device:

Note: The breakdown of the components is only for simple display. The complete configuration shown here can be operated in a network or also on any one of the individual computers in any desired distribution of the components.

Procedure:

  1. The operator on Station 4 connects with a standard web browser by entering the web page URL to the web server on Station 3.
    As a result, it gets the visualization pages there from the Web Engine.
  2. Process data is only displayed in the HTML5 visualization after successful user authorization.
    After a check of the user name and password has been carried out, the connection to zenon Runtime is established (to Station 2 in the example).
  3. The interface between zenon Runtime and Web Engine is formed by the SCADA Runtime Connector.
    The SCADA Runtime Connector must be started on the computer the zenon Runtime is running.
  4. The configuration of the HTML5 visualization is derived from a zenon Editor project (on Station 1 in this case).
    The project states on Station 2 (zenon Runtime) and Station 3 (Web Engine) should be identical for this.
    With the Web Engine Compiler, the project data is translated for use by the HTML Web Engine. The necessary steps for the installation of the HTML Web Engine on Station 3 and the deployment on the Internet Information Server are described in the Deployment of the web engine chapter.

    The file from the Web Engine Compiler is saved in a freely-definable folder. It is read by the HTML Web Engine from here.

Note: Provide, for the connection of HTML5 visualization, a dedicated zenon Runtime, in order to guarantee smooth interaction for process-related procedures. After changes are made in the zenon project, carry out the compiling process again.

Release screens

Certain screens from the active project can be called up in a web browser by means of the HTML Web Engine. You determine the screens that are unlocked for display in the web browser for each screen using the Disponible sur le Web property.

All screens for which this property has been activated are compiled with the Web Engine Compiler for the Web Engine and are primarily available for provision in the web browser on the client. Screens that have not been activated for this property can be used for the zenon Runtime visualization, but are not available in the web browser.

The following screen types can be used for visualization in the web:

  • AML
  • CEL
  • ETM
  • Login
  • HTML
  • Standard


System requirements

Manuel -> zenon Web Server -> HTML Web Engine -> System requirements

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Web Server

The HTML Web Engine supports the following operating systems:

Operating system | Description
Windows 7 (SP1) | Professional, Enterprise and Ultimate Edition, both x86 and x64 versions.
Windows 8 and 8.1 | Standard, Professional and Enterprise, both x86 and x64 versions.
Windows 10 | Pro, Enterprise and Education, both x86 And x64 versions.
Windows Server 2008 R2 (SP1) | All editions with the exception of the Core Edition.
Windows Server 2012 and 2012 R2 | All editions with the exception of the Core Edition.

Note: For operation of the HTML Web Engine, the .NET Framework 4.5 or higher is required.

Web Client

No special installation is required for the HTML Web Client. It generally works with any web browser that supports the following technologies:

  • HTML5
  • HTML5 Canvas
  • JavaScript (ECMAScript 5.1)

HTML5 content is processed in the web browser regardless of the operating system. Use of a current version of one of the following web browsers is recommended:

  • Windows Internet Explorer from version 11
  • Microsoft Edge
  • Mozilla Firefox
  • Apple Safari
  • Google Chrome

Note: JavaScript must be activated in the web browser.

Client-server connections

There must be a sufficient data rate available for the connection between web server and HTML client. With a data rate that is too low, corresponding messages are displayed on the HTML web client. A data rate that is too low can lead to a session not taking place or having to be canceled.

Note: When using Windows Server operating systems, the number of simultaneous client connections is not limited by the Microsoft IIS. When using Windows desktop operating systems, the possible number of simultaneous connections depend on the version the installed operating system.


Licensing

Manuel -> zenon Web Server -> HTML Web Engine -> Licensing

The HTML Web Engine checks the licensing of the zenon Web Server. You can find information about licensing the zenon Web Server in the Licensing chapter of the general zenon user documentation for zenon Web Server.

The functionality of the HTML Web Engine is amended on the basis of the licensed zenon Web Server variants:

  • zenon Web Server: Only read access to the visualization. The HTML Web Client can be used as an observer.
  • zenon Web Server Pro: Full access to the visualization, read and write.

info Informations

Note the limitation of the number of simultaneous client connections by the Microsoft IIS. If there is no license, the HTML Web Engine is started in a time-limited demo mode. Once the demo period and the demo extension has expired, the HTML Web Engine can be started in demo mode again.

Note: When using Windows Server operating systems, the number of simultaneous client is not limited by the Microsoft IIS. When using Windows desktop operating systems, this number varies depending on the version of the installed operating system.


Installation

Manuel -> zenon Web Server -> HTML Web Engine -> Installation

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

You need the following installations to operate the HTML Web Engine:

Web Server:

  • IIS publishing service:

    Set up the publishing service in accordance with the instructions in the Install IIS publishing service chapter.

  • zenon Web Server.

    Install zenon Web Server from the installation medium.

    Microsoft Web Deploy is also installed automatically during setup.

Project configuration and runtime application:

  • zenon (Editor and Runtime).

Note: No special installation is required for the HTML Web Client.

Autres sujets abordés dans ce chapitre

IIS Publishing service installation


IIS Publishing service installation

Manuel -> zenon Web Server -> HTML Web Engine -> Installation -> IIS Publishing service installation

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Internet information Services, abbreviated to IIS, are for the publication of documents, such as HTML pages, using the HTTP protocol. For the operating systems listed in the System requirements chapter, the IIS publishing service is already included in the standard installation. This need only be activated by means of the Windows features.

IIS 7, Windows 7

To activate the IIS publishing service:

  1. Press the Windows key + R keyboard shortcut.

    The dialog to enter a command for the command input is opened.

  2. Enter appwiz.cpl in the input field.

    Click on OK.
    A new control panel window to configure programs and Windows features is opened.

  3. In this window, click on Turn Windows features on or off.

    The window to select features of the operating system is opened.

  4. Expand the Internet information services in this node.
  5. Activate WWW services.
    The default settings are thus set in all subfolders of the property.
  6. Expand the Application development features node.
  7. Activate the ASP.NET option:
  8. Expand the Web administration tools node.
  9. There, activate the IIS administration console.
  10. Click on OK.

Note: In the event of subsequent installation or upgrading of the NET framework under Windows 7, this software must be registered manually in the IIS publishing service. For more details, see the chapter .NET registration on IIS for Windows 7.

IIS 8, Windows 8/8.1

To activate the IIS publishing service:

  1. Press the Windows key + R keyboard shortcut.

    The dialog to enter a command for the command input is opened.

  2. Enter appwiz.cpl in the input field.

    Click on OK.
    A new control panel window to configure programs and Windows features is opened.

  3. In this window, click on Turn Windows features on or off.

    The window to select features of the operating system is opened.

  4. Expand the Internet information services in this node.
  5. Activate all World Wide Web Services there.
  6. Expand the Application development features node.
  7. Activate ASP.NET 4.5
  8. Expand the General HTTP features node
  9. There, activate the static content.
  10. Expand the Web administration tools node.
  11. Optionally, activate the IIS administration console there.
  12. Expand the Application development features node.
  13. Activate the WebSocket-Protokoll.
  14. Click on OK.

Windows 10

To activate the IIS publishing service:

  1. Press the Windows key + R keyboard shortcut.

    The dialog to enter a command for the command input is opened.

  2. Enter appwiz.cpl in the input field.

    Click on OK.
    A new control panel window to configure programs and Windows features is opened.

  3. In this window, click on Turn Windows features on or off.

    The window to select features of the operating system is opened.

  4. Expand the Internet information services in this node.
  5. Activate all World Wide Web Services there.
  6. Expand the Application development features node.
  7. Activate ASP.NET 4.6
  8. Expand the General HTTP features node
  9. There, activate the static content.
  10. Expand the Web administration tools node.
  11. Optionally, activate the IIS administration console there.
  12. Expand the Application development features node.
  13. Activate the WebSocket-Protokoll.
  14. Click on OK.

Windows Server 2008 R2

Follow the instructions from Microsoft: https://technet.microsoft.com/en-us/library/cc771209.aspx

  1. Open the Add roles assistant.
  2. Activate the Web Server (IIS) role

    The Add roles assistant opens.

  3. Click on Role services.
  4. Expand the Application development features node.
  5. Activate the following role services:
  • ASP.NET
  • .NET expandability
  • ISAPI extensions
  • ISAPI filter

Attention: Do not deactivate any role services that have already been pre-selected by Microsoft.

Note: Use of Windows Server 2012 is recommended, because Windows Server 2008 R2 does not support WebSocket protocols.

Windows Server 2012 (R2)

Follow the instructions from Microsoft: https://technet.microsoft.com/en-us/library/hh831475.aspx

  1. Open the Assistant to add roles and features wizard.

  2. Expand the Application development node.
  3. Activate the following role services:
    • NET expandability 4.5
    • ASP.NET 4.5
    • ISAPI extension
    • ISAPI filter
    • WebSocket protocol

Autres sujets abordés dans ce chapitre

.NET registration on IIS under Windows 7


.NET registration on IIS under Windows 7

Manuel -> zenon Web Server -> HTML Web Engine -> Installation -> IIS Publishing service installation -> .NET registration on IIS under Windows 7

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

In the event of a subsequent installation or upgrade of the .NET framework under Windows 7, it is necessary to register with the IIS publishing service.

To do this:

  1. Open the Windows command prompt with the as administrator option.
  2. Switch to the Microsoft.NET installation directory with the highest version number.
  3. Enter command aspnet_regiis -i.

    After successful registration, the current Microsoft .NET framework version is available for use with IIS.

  4. Ensure that the Application Pool on the IIS in which the HTML Web Engine is operated uses the current .NET version.

    This can be checked and set with the Information Services Manager:


SCADA Runtime Connector

Manuel -> zenon Web Server -> HTML Web Engine -> SCADA Runtime Connector

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

The SCADA Runtime Connector must also be started on zenon Runtime, as soon as interaction with the HTML Web Engine is required. The SCADA Runtime Connector is also installed when zenon Runtime is installed. The interaction starts with the user authentication for the first HTML web client.

The SCADA Runtime Connector is started manually. To do this, start the application directly from the following folder:
%programfiles(x86)%\Common Files\COPA-DATA\Connectors\zrsConnector.exe.

For each HTML Web Engine session, a separate SCADA Runtime Connector session is set up.
The following are transferred in this session:

  • Variables that are needed for the current screen display on the HTML client:
    for example for the display of variable values or element dynamics. Variables can be registered and deregistered for a session. Once the user has been authenticated successfully for an HTML web client, the HTML Web Engine reports a list of variables for communication and spontaneous updating by means of the SCADA Runtime Connector. The HTML Web Engine can thus forward value changes to the web clients that are currently connected.

    Note: Only variables that are needed for display on the HTML web clients are reported.

  • Write set value via the SCADA Runtime Connector:
    To increase security before a value change, an explicit check of the authenticity is carried out with zenon Runtime on the basis of the user data of the HTML Web Client. A block or removal of users by zenon Runtime becomes effective for the writing of set values immediately.

Encrypted communication

The TCP connection between SCADA Runtime Connector (zrsConnector.exe) and SCADA Runtime Connector Client (zrsConnCli.dll) can be encrypted with AES.

To use the encrypted communication, issue an encryption password for Runtime and Client.
To do this:

  1. In the zenon Startup Tool, enter the password in the Network configuration tab.
    This is also saved in zenon6.ini in encrypted form.
    Section: [ZRSCONNECTOR]
    Entry: ENCRYPTION_PWD
  2. In the Deployment Tool of the HTML Web Engine, in the Security options window, set the same password in the Security options tab. This is saved in encrypted form in web.config in the Encryption_Password setting.

If, during validation, the SCADA Runtime Connector can be reached on the set target computer but the encryption password does not correspond, the connector test times out. You receive notification that the password set may be incorrect.


Client authentication for a connection to Runtime

Manuel -> zenon Web Server -> HTML Web Engine -> Client authentication for a connection to Runtime

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Runtime data from zenon Runtime, such as variable values for display or for display dynamics, are only provided if the HTML client can authenticate itself to zenon Runtime. This can happen in two ways by means of user name and password:

  • Automatic login by configuring a user as part of deployment.
    For more details, see the Deployment of the Web Engine chapter.
  • Manual login by the zenon Web Client in a login screen.
    For details, see the Create login screen chapter.

Note: Authentication can be carried out by transferring the login data (user name and password) for a zenon user or an Active Directory user. The user data is validated by zenon Runtime.


Deployment of the Web Engine

Manuel -> zenon Web Server -> HTML Web Engine -> Deployment of the Web Engine

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

The zenon Web Enginge Eeployment Tool offers important operations for the management of the web engine as a web application in the Internet Information Services (IIS).

To start the Deployment Tool:

  1. Open the zenon Startup Tool.
  2. click on the Tools button.
  3. Under Available Application, select the Web Engine Deployment Tool .
  4. Click Start.

    The tool is started

info Informations

Note: The Deployment Tool is automatically installed with the zenon Web Server. Administrator rights are required for the use of this tool.

The Deployment Tool is only available in English.

Autres sujets abordés dans ce chapitre

zenon Web Engine Deployment Tool


zenon Web Engine Deployment Tool

Manuel -> zenon Web Server -> HTML Web Engine -> Deployment of the Web Engine -> zenon Web Engine Deployment Tool

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

HTML web engine instances are administered on the IIS with the zenon Web Engine Deployment Tool. You can create new instances and amend or remove existing ones.

Option

Description

Deploy

Provides a new instance of the HTML Web Engine on the IIS.

The necessary options are configured in the following tabs.

Change

Updates existing Web Engine Applications.

The following can be amended for the HTML Web Engine in the following tab:

  • Version.
  • Configuration.
  • SCADA Runtime Connector:
    Host name, IP adress.
  • Path of the data folder.
    Data Directory in which the exported project data (*.webx) is.
  • Security settings:
    User name, password or switch for automatic sign-in.

Note: Not available if no valid Web Engine application is available on the IIS.

Remove

Removes a running application of the HTML Web Engine.

The version to be removed is selected in the following tab.

If the web engine is to be replaced by a more recent version, use the Change option.

Note: Not available if no valid Web Engine application is available on the IIS.

Autres sujets abordés dans ce chapitre

General settings for the Web Engine

Security settings

Validation of the settings

Progress


General settings for the Web Engine

Manuel -> zenon Web Server -> HTML Web Engine -> Deployment of the Web Engine -> zenon Web Engine Deployment Tool -> General settings for the Web Engine

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

In this dialog, you configure the general settings for the operation of the HTML Web Engine.

The options that are available depend on the option that was selected in the start dialog:

  • Deploy: New configuration of a HTML Web Engine.
  • Change: Amendment to an existing HTML Web Engine.
  • Remove: Removal of an existing HTML Web Engine.
Option | Description
Web Engine application to change | Selection of the instance that is to be amended. Note: Not available with the Change selection in the start dialog.
Web Engine application to change | Selection of the instance that is to be deleted. Note: Not available with the Remove selection in the start dialog.
Desired version/type | Selection of the version from the drop-down list. Note: Only available for Deploy and Change.
IIS application name | Entry of the desired name for the Web Engine application This name will be part of the URL under which the HTML5 web page will later be reached. Example: https://ServerAddress/<ApplicationName> Note: Only available for Deploy and Remove (display only).
Application version | zenon version of the instance (display only). Note: Only available for Remove.
Runtime Connector host name or IP address | Enter the host name or the IP address of the computer on which the zenon Runtime and the SCADA Runtime Connector are installed. Note: Only available for Deploy and Change.
Data directory | Folder from which the Web Engine is to read the exported project data. Note: The webx file generated by the Web Engine Compiler must be available in this folder. When the HTML Web Engine is first accessed, the first webx file in the file list is loaded. If a webx file that was loaded by the web engine is amended or deleted, the Web Engine automatically restarts and in turn loads the first webx in the folder. Default folder: C:\Users\Public\Documents\zenon_Projects\Web Note: Only available for Deploy and Change.

Navigation

Cancel | Discards changes and closes the dialog.
Back | Goes back one tab in the tool.
Next | Goes forward one tab in the tool.

Checking of the entry

This is checked during entry:

If incorrect entries are detected, these are shown with a red warning signal. If you move the mouse over the warning signal, you get further information in a tool tip.


Security settings

Manuel -> zenon Web Server -> HTML Web Engine -> Deployment of the Web Engine -> zenon Web Engine Deployment Tool -> Security settings

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

In this dialog, you configure the security settings for the operation of the HTML Web Engine.

IIS certificate

zenon HTML Web Engine communication is always via a secure (HTTPS, port 443) connection.

In this area, you define whether the Deployment Tool uses a self-signed certificate for communication. If there is not yet a self-signed certificate, it is created by the Deployment Tool. This certificate is assigned to the IIS.

Note: A security certificate is a mandatory requirement for communication between the zenon Web Server and zenon Web Client.

Option

Description

Use self-signed certificate

Activate this option if you want to create a temporary, self-signed certificate.
This option is offered as a default for the first Deploy.

Note: This option is mandatory if there is no certificate present on the IIS.

Use existing certificate

Select this option if there is already a valid configuration.
If there is already a valid configuration, this option is offered as a default.

Note: Use of an official certificate from a certification body is recommended.

Possible certification body: https://www.digicert.com/ssl-certificate-installation-microsoft-iis-8.htm

Web Client Authentication

In this area, you define how the authentication of the zenon Web Client is to be carried out.

Option | Description
User name and password (recommended) | Input field for authentication of the zenon Web Client. The zenon Web Client is authenticated by manual entry of user name and password. Note: The user name and password must be entered in a zenon login screen.
Automatic login | Activate this option if you want the web engine to automatically establish a connection to zenon Runtime. The given user data is used for authentication. Attention: When this option is used, each zenon Web Client receives a connection to zenon Runtime.
User name | Input field for zenon user name. Enter the desired user name here.
Password | Input field for zenon user password. Enter the user password here. Note: Not available if User name and password has been selected for Web Client Authentication.
Password (confirm) | Enter the user password again. Note: Not available if User name and password has been selected for Web Client Atuhentication.

Runtime communication

Type of communication to the web engine.

Option | Description
Cleartext communication | Communication to the web engine is implemented by means of plain text without encryption.
Encrypted communication (recommended) | Communication to the web engine is encrypted. Note: The settings for Runtime are configured in the Startup Tool in Network configuration tab with the Encrypt Runtime Connector communication property. The passwords for Runtime and the HTML Web Engine must correspond.
Password | Input field for password for secure communication. Enter the user password here.
Password (confirm) | Enter the user password again.

Navigation

Cancel | Discards changes and closes the dialog.
Back | Goes back one tab in the tool.
Next | Goes forward one tab in the tool.


Validation of the settings

Manuel -> zenon Web Server -> HTML Web Engine -> Deployment of the Web Engine -> zenon Web Engine Deployment Tool -> Validation of the settings

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

The settings are validated in this dialog. The progress is shown with a green bar during validation.

The result of the validation is shown in a list.

Copy the output to the clipboard by clicking on the Copy to clipboard button.


Progress

Manuel -> zenon Web Server -> HTML Web Engine -> Deployment of the Web Engine -> zenon Web Engine Deployment Tool -> Progress

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

In this dialog, you see the progress of the Web Engine Deployments on the IIS.

Copy the output to the clipboard by clicking on the Copy to clipboard button.

Once the procedure has been completed, click on the Finish button to close the Deployment Tool.


Engineering in the Editor

Manuel -> zenon Web Server -> HTML Web Engine -> Engineering in the Editor

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

The data required by the Web Engine for HTML5 visualization is created from a zenon standard project. The zenon Editor must be open for this.

Note: When configuring the HTML5 visualization, note the supported properties, screen elements and functions of the HTML Web Engine.

Create project

For HTML5 visualization with the zenon web server, create a standard zenon project. You can also use certain resources from a global project for this.

Autres sujets abordés dans ce chapitre

Supported functionalities for HTML5 visualization


Supported functionalities for HTML5 visualization

Manuel -> zenon Web Server -> HTML Web Engine -> Engineering in the Editor -> Supported functionalities for HTML5 visualization

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

For HTML5 visualization, basic elements, properties and functions are available:

General

Functionality

Description

Variables
  • Display of static and dynamic values.
  • Écrire valeur prescrite in the HTML Web Engine directly
  • Making the element display dynamic with variable values.
    For example Visibilité/Clignotement, rotation, positioning, size adjustment...
  • Limit values for the dynamic aspects of the element display (such as Couleur de limite, Texte valeur limite) are fundamentally supported.

Attention: Limit value information of reaction matrices is not supported!

Font types and font lists.
  • Selection and display of any desired font lists that are available on the system.
    Note: Selected font types must be available on both the project configuration computer and on the zenon Web Client. The steps must be defined in the local project.
  • Display in Normal font style, italic and bold.
  • Selection and display of the font in accordance with the font list.
  • Online switching of the font list.

Note: The first font list of the zenon project is shown when a session starts

Frames and screens

Screen/Frame

Description

Frame
  • Calling up rectangular frames at an absolute position.

Screens, general:
  • Display of screens in the size of the linked frame.
  • Display of background color and background graphics.
  • Execution of a start and end function for a screen.

Standard screen
  • Display of this type of screen.

Login screen
  • Display of this type of screen.
  • User authentication with the screen-type-specific elements Enter user name and Enter password or Login command.

AML screen type
  • Display of this type of screen.
  • Display of dynamic AML lists. Dynamic means that the data displayed is updated.

CEL screen type
  • Display of this type of screen.
  • Display of dynamic CEL lists. Dynamic means that the data displayed is updated.

HTML screen type
  • Display of this type of screen.
  • Display of the elements specific to the screen type, such as web browser

ETM screen type
  • Display of this type of screen.
  • Static display of simple line diagrams. Static means the the data displayed is not updated.

Screen elements

Static screen elements

The following are generally supported:

  • Basic support of element-specific display options (display, color and fill options, no effects).
  • Basic support of display dynamics using variables (color and position dynamics).

The following are supported:

  • Circle
  • Arc of a circle
  • Segment of a circle
  • Line
  • Polygon
  • Polyline
  • Rectangle
  • Static text

Notes:

Element

Description

Circle
  • Supports the Inverser le gradient de couleur property.
    When selecting color gradient for the Remplissage (type) property, the brightness gradient of the fill pattern is shown as inverted.

Segment of a circle
  • Supports the Inverser le gradient de couleur property.
    When selecting color gradient for the Remplissage (type) property, the brightness gradient of the fill pattern is shown as inverted.

Polygon
  • Supports the Inverser le gradient de couleur property.
    When selecting color gradient for the Remplissage (type) property, the brightness gradient of the fill pattern is shown as inverted.

Rectangle
  • Supports the Inverser le gradient de couleur property.
    When selecting color gradient for the Remplissage (type) property, the brightness gradient of the fill pattern is shown as inverted.

General screen elements

The following are generally supported:

  • Basic support of element-specific display options (display, color and fill options, no effects).
  • Basic support of display dynamics using variables (color and position dynamics).

Notes:

Element

Description

Button
  • Execution of functions of the local project.
    Note: The corresponding user level is checked for the execution of the action.
  • Remplissage (type) and Gradient de couleur properties:
    Gradient de couleur only has an effect if color gradient is selected for Remplissage (type).

Dynamic text
  • Display of variable information variable value, Nom, Identification, Description externe, Unité de mesure and Texte valeur limite possible.
  • Write set value with dialog.

Note: The corresponding user level is checked for the execution of the action.

Numeric value
  • Write set value with dialog, taking into account static setpoint limits.
    Note: The corresponding user level is checked for the execution of the action.

Element groups and symbols

Functionality

Description

Element group
  • Display of element groups.
  • The elements contained are displayed in accordance with their configuration and supported properties.

Linked symbol
  • Display of linked symbols.
  • Support for replace linking for application in the screen, whereby resulting entries must refer to resources in the local project.
  • The elements contained are displayed in accordance with their configuration and supported properties.

Functions

Function

Description

Appel de synoptique
  • Calling screens of the local project.
  • Support for replace linking, whereby resulting entries must refer to resources in the local project.

Fermer le gabarit
  • Closing of frames with the given frame name.

Ecriture valeur prescrite
  • Direct writing of pre-defined variable values.

Changement de langue
  • Online switching of language file and font list.

Changer de palette
  • Online switching of the color palette for graphic display.

Script : exécuter
  • Execution of functions of the local project. Non-supported functions are excluded from execution.

Déconnexion
  • Logging a user out of a zenon Web Client session and disconnecting from zenon Runtime
  • The zenon Web Client session is continued in offline mode

Global project

The HTML export takes the use of the following resources from a global project into account:

  • Frames
  • Color Palettes
  • Language Files

Autres sujets abordés dans ce chapitre

Create, amend and call up an HTML screen

Example: Simple start screen

AML and CEL: Supported functionalities

Screens of type Extended Trend

Automatic script call when starting a zenon Web Client session

Individual script call by means of URL expansion when starting a zenon Web Client session


Create, amend and call up an HTML screen

Manuel -> zenon Web Server -> HTML Web Engine -> Engineering in the Editor -> Supported functionalities for HTML5 visualization -> Create, amend and call up an HTML screen

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Set up an HTML screen and create a screen-switch function

Creating a screen of the type HTML

Développement

Étapes de création du synoptique :

  1. Créez un nouveau synoptique :

    Dans la barre d’outils ou le menu contextuel du nœud Synoptiques, sélectionnez la commande Nouveau synoptique.
    Un synoptique vide Standard est créé.

  2. Modifiez les propriétés du synoptique :
    1. Nommez le synoptique dans la propriété Nom.
    2. Select HTML in the Type de synoptique property.
    3. Sélectionnez le cadre souhaité dans la propriété Gabarit.
  3. Configurez le contenu du synoptique :
    1. Sélectionnez l’option de menu Éléments de contrôle dans la barre de menus
    2. Sélectionnez Insérer un modèle dans la liste déroulante.
      La boîte de dialogue de sélection de mises en forme prédéfinies s’affiche à l’écran. Certains éléments de contrôle sont insérés dans le synoptique à des positions prédéfinies.
    3. Supprimez les éléments superflus du synoptique.
    4. Si nécessaire, sélectionnez des éléments supplémentaires dans la liste déroulante Éléments. Placez-les aux emplacements souhaités sur le synoptique.
  4. Créez une fonction d’appel de synoptique.

HTML screen

Control element | Description
Insert template | Ouvre la boîte de dialogue de sélection de modèle pour le type de synoptique correspondant. Des modèles sont fournis avec zenon, et peuvent également être créés par l’utilisateur. Modèles ajoutent des éléments de contrôle prédéfinis à des positions prédéfinies sur le synoptique. Les éléments qui ne sont pas nécessaires peuvent également être supprimés individuellement après leur création. Les éléments supplémentaires peuvent être sélectionnés dans la liste déroulante, puis insérés dans le synoptique zenon. Les éléments peuvent être déplacés et disposés individuellement sur le synoptique.
Browser | Control elements for the browser.
Browser Window | The browser is displayed.
Address field | Field for entry of the address (URL).
Home page | The start page is called up.
Search forward | Go forward.
Search back | Go back.
Refresh search | Refresh display.
Cancel | Stop navigation.
Search | Control elements for the search. When clicking a link in the Search field, the corresponding page is shown in the browser. So e.g. in the field Search a navigation bar or the results of a search engine can be displayed without changing the contents, when a link is activated.
Search window | Display of the search.
Search field | Search for address or file.
Home | Back to home in the search area.
Forward | Page down in the search area.
Search back | Page up in the search area.
Refresh | Refresh display in search area.
Stop | Cancel search action.
Filter | Open filterbox.

Amend screen

To amend the screen for use with the HTML Web Engine:

  1. Activate the Disponible sur le Web property in the group Général for this screen.
  2. Note the options for opening external web pages.

Create screen switching

Create a screen switch function in order to be able to call up the screen in Runtime.

The HTML Web Engine supports the following options:

Option

Description

Addresses
  • URL static

The URL is set as static.

Note: This setting is mandatory.

Browser window

Enter the complete URL of the external web page here, including https://

Example: https://serveraddress

Autres sujets abordés dans ce chapitre

Options for opening external web pages


Options for opening external web pages

Manuel -> zenon Web Server -> HTML Web Engine -> Engineering in the Editor -> Supported functionalities for HTML5 visualization -> Create, amend and call up an HTML screen -> Options for opening external web pages

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Options for opening external web pages

The opening of external web pages is supported by the HTML Web Engine either by means of an embedded browser or as a new browser window.

Embedded browser window:

To see an embedded browser window that you have entered in the screen switching function from the URL in Runtime:

  • In the Control elements menu, select Browser -> Browser window.
  • Draw the frame for the browser window in the screen. The given website (URL) is displayed in this frame.

Note: The opening of the embedded display (iFrame) only works if the X-Frame options on the remote server are configured accordingly. In addition, the address of the embedded web page must also be available for HTTPS via the HTTPS connection between the HTML Web Engine and HTML web client.

New browser window:

To open an external web page in a new browser window:

  • Delete the browser window control from the inserted template in the screen.

    The external web page is opened in a new browser window if there is no browser window control element in the screen.

Note: The calling up of several URLs is supported via script. However some browsers prevent tabs being called up with their pop-up blocker. In such cases, a dialog appears with the URLs that cannot be called up. These URLs can be opened manually.


Example: Simple start screen

Manuel -> zenon Web Server -> HTML Web Engine -> Engineering in the Editor -> Supported functionalities for HTML5 visualization -> Example: Simple start screen

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Check the functionality of the HTML Web Engine with a simple example.

To do this:

  1. Create a standard screen.
  2. Activate the Disponible sur le Web property in the group Général for this screen.
  3. Enter this screen into the project properties in the Apparence graphique group as Synoptique de départ.

    Note: You can define any desired start page for the web with an Autostart script.

  4. Add simple elements to the screen, for example a Rectangle, Circle or Static text.
  5. Ensure that the current project is set as a start project.
  6. Export the project for HTML5 visualization.

Extension: Authentication with login

In order to be able to exchange data with zenon Runtime, the zenon Web Client must be authenticated as a user to Runtime. You can read more details about this in the following chapter: Client authentication for a connection to Runtime.
This is how you expand a project for manual authentication:

  1. Add a dynamic element to display a variable value, for example dynamic text or numeric value.
  2. Assign this element a variable from the project.

    Note: Variable values can also be used for position or color dynamics of an element.

  3. Create a new login screen which you can display in the visualization.
    Use the Appel de synoptique function for display.
  4. Activate the Disponible sur le Web property in the screen in the Général group.
  5. In the login screen, add the elements user name, password, login and Cancel.

  6. Carry out the HTML export for the current project.

The zenon Web Client now has the possibility to carry out authentication by means of entry of the user data. If authentication is successful, a connection to zenon Runtime is established. As a result of this, variable values for HTML5 visualization are available, for example.


AML and CEL: Supported functionalities

Manuel -> zenon Web Server -> HTML Web Engine -> Engineering in the Editor -> Supported functionalities for HTML5 visualization -> AML and CEL: Supported functionalities

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

The AML and CEL screen types support the following functions for the HTML Web Engine:

Alarms: Alarm cause required

Alarms for limit values can be created with the Cause d'alarme necessaire property activated.
The acknowledgment of these alarms is however not supported by the HTML Web Engine.

List displays

Lists are subdivided into pages. A footer for navigation is shown under the list.
List entries can be called up by clicking on the symbols. The number of the list entries shown can be defined by clicking on the drop-down list.

Sorting in Runtime

Lists in AML and CEL can be shown in sorted form.
To change the sorting of a list, click on the column title.
Clicking switches between:

  • Ascending
  • Descending
  • Standard (as supplied in zenon Runtime)

The behavior of the header, the sorting and the column widths is configured in the zenon Editor in the project properties.

Sorting of text

Text is sorted according to natural sorting:

  • alphabetic sequence
  • Figures with several digits are seen as a character

Example:

  • Alphabetic sorting: 1, 11, 2, 3, 33, 4
  • Natural sorting: 1, 2, 3, 4, 11, 33

Column labeling

The Identification and Description externe columns are shown with the labeling Identification and Resource Label. The language of the texts used in these columns can be switched.

Language switching in Runtime

Language switching is available for the following columns of the AML and CEL:

  • Text
  • Identification
  • Description externe
  • Unité de mesure

Note: Language switching is carried out for each cell individually. If switching takes place in Runtime, the switching to the new language can take some seconds.

Time formats

Date and time in AML and CEL are shown in the localized display of the respective client. In doing so, the UTC-DateTime is transfered and reformatted on the basis of the settings of the local computer.

You can find further information and examples in the Runtime manual, in the Handling of date and time chapter.

Autres sujets abordés dans ce chapitre

Properties and options

Alarm acknowledgment


Properties and options

Manuel -> zenon Web Server -> HTML Web Engine -> Engineering in the Editor -> Supported functionalities for HTML5 visualization -> AML and CEL: Supported functionalities -> Properties and options

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Properties and options

The HTML Web Engine supports the following properties and options for control elements, screen switching and project properties:

AML and CEL screen switch function:

Tab

Group

Settings and notes

General

Variable filter
  • Variable name
  • Identification

Note: Capitalization is not taken into account.

Alarm type (AML only)

Options:

  • Only non-acknowledged alarms
  • Only cleared alarms
  • Only current alarms

Note: Other settings are ignored.

Origin of the data

Settings are ignored.
Historical data from zenon Runtime is always used.
Maximum: 65535

Runtime settings

Settings are ignored.
The Show list without refresh list is always used.
The list entries that were present at the time of the screen switching in zenon Runtime are shown.

Time

Filter

Options:

  • No time filter
  • Absolute time period
  • Relative period of time

Settings

The Preset option only.
All other settings are ignored.

Column settings

Columns
  • Alarm condition
    (Including display by means of circle symbol or graphics file.)
  • Time received
  • Time cleared (AML only)
  • Time acknowledged (AML only)
  • Text
  • Variable name
  • Value
  • Measuring unit
  • User - full name
  • Computer name
  • Comments (AML only)

Note: The set display sequence is taken into account as follows.

The column labeling can be edited and the language can be switched.

Table settings

Always active:

  • Use alternating background colors
  • Display grid
  • Sort descending

Note: Color palette switching is supported for:

  • Row color 1
  • Row color 2

Equipment Modeling

From local and global project.

Control elements for the Alarm Message List screen type

Group

Subgroup

Settings and notes

En-tête et grille

En-tête

Montrer l'en-tête: Setting always active.

Style d'affichage: Setting always standard.

Couleur de remplissage: provides background color.
Is also used in the footers in the web for:

  • Static/fixed color.
  • Color palette and switching of color palettes.

Police is also in the footer in the web Applied for:

  • Static selection.
  • Switching of font lists.

Couleur du texte is also in the footer in the web Applied for:

  • Static/fixed color.
  • Color palette and switching of color palettes.

Remplissage

Remplissage

Couleur du texte is used for:

  • Static/fixed color
  • Color palette and switching of color palettes

Affichage

Affichage

Is used for:

  • Static selection
  • Switching of font lists

AML project properties

Property group | Supported properties
Liste d'alarmes | En-tête liste d'alarmes
Stockage des données d'alarmes | not available.
Date/heure d'apparition | All.
Date/heure de disparition | All.
Date/heure d'acquittement | All.
Confirmer acquittement de l'alarme | Not available. Alarms whose acknowledgment has been confirmed are not shown in the HTML Web Engine.
Ligne d'état des alarmes | not available.


Alarm acknowledgment

Manuel -> zenon Web Server -> HTML Web Engine -> Engineering in the Editor -> Supported functionalities for HTML5 visualization -> AML and CEL: Supported functionalities -> Alarm acknowledgment

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Alarm acknowledgment

Alarms can be selected and acknowledged individually. Only alarms with the Acquittement obligatoire property activated are supported.

For this, the following applies:

  • Alarms are acknowledged using the Acknowledge button in the alarm administration screen type.
  • If the Acquittement obligatoire property is not activated for a limit value, the Acknowledge button in the alarm administration screen is deactivated.
  • The Acknowledge all button of the alarm acknowledgment screen type is not supported.
  • The acknowledgment of an alarm required the necessary function authorizations for signed-in users.
    An error message is shown if this is not the case.

    Note: Ensure that the user has the Acknowledge alarm via Alarm Message List screen function authorization.
    You can find further information in the User administration manual in the Function authorizations chapter.

  • Not supported:
    • Commentaire requis
    • Cause d'alarme necessaire

    Note: Limit values can be configured with these properties. The acknowledgment of alarms that require these properties is not supported in the HTML Web Engine.


Screens of type Extended Trend

Manuel -> zenon Web Server -> HTML Web Engine -> Engineering in the Editor -> Supported functionalities for HTML5 visualization -> Screens of type Extended Trend

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

The Extended Trend screen type supports the following functionalities for the HTML Web Engine:

Options with the screen switch function

Tab

Group

Settings and notes

Data

Origin of the data

Option:

Archive data

Options

The Options settings are not supported for the HTML Web Engine.

Curves

Display of simple curves without further options.

Display

Diagram name

Display of the diagram name, as configured

Refresh

Options in the Refresh properties group are not supported.

Design

Options in the Design properties group are not supported.

A pre-defined display is shown.

Runtime

The display of this dialog is not supported in the HTML Web Engine.

Filtering is not possible.

X-Axis

X-Axis

Option:

  • Only YT display

Note: XY display is not supported.

Time

Filter

The following are supported:

  • Absolute time period
  • Relative time period

All other time filters are not supported.

Attention: Screen switching with invalid time configurations are not available in the HTML Web Engine. Buttons with corresponding calls are deactivated.

Lots

The settings of the Lots tab are not supported for the HTML Web Engine.

Column settings

The settings of the Column settings tab are not supported for the HTML Web Engine.

Printer properties

The settings of the Printer settings tab are not supported for the HTML Web Engine.

Diagram control element

Group | Subgroup | Settings and notes
Darstellung |  | The configuration of the display is not supported for the HTML Web Engine. The action is defined and fixed.
Linien |  | The configuration of the lines is not supported for the HTML Web Engine. The action is defined and fixed.
Füllung |  | The configuration of fills is not supported for the HTML Web Engine. The action is defined and fixed.

Autres sujets abordés dans ce chapitre

Data aggregation


Data aggregation

Manuel -> zenon Web Server -> HTML Web Engine -> Engineering in the Editor -> Supported functionalities for HTML5 visualization -> Screens of type Extended Trend -> Data aggregation

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Data aggregation

Data is aggregated under certain conditions for display in the Extended Trend. The speed of the display via the HTML Web Engine is thus sped up so that it corresponds to that of zenon Runtime.

Procedure:

  • The maximum number of data points to be displayed is determined by the width of the template (in pixels) on which the screen is based.
  • There is no aggregation if, during an archive query, fewer data points are returned than pixels are present.
  • If the number of the archived data points exceeds the column width, average values are generated.
    to do this, the time axis is divided into time ranges.
    The archive values that are transferred by Runtime are arranged into the respective time ranges. The average value within a time range is calculated using the archive values. If there is no archived value within a time range, this tie range is deleted.
    Note: The generation of the average values is not just carried out for numeric values, but also binary variables.
  • Redundant data points are filtered out. This happens regardless of the number of archived values and the generation of average values.
    To do this, 3 archived values of a variable that are consecutive in terms of time are analyzed. If all 3 data points have the same value, the average data point is removed.
    If, for example, a recorded archive variable has the same value over the queried time period, only 2 data points (start and end) are displayed.

Note: When generating average values, the trend line is generally shown differently to with raw values.


Automatic script call when starting a zenon Web Client session

Manuel -> zenon Web Server -> HTML Web Engine -> Engineering in the Editor -> Supported functionalities for HTML5 visualization -> Automatic script call when starting a zenon Web Client session

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

A script can be called up automatically when starting an HTML web client session. A special start page can thus be prescribed for the web application, for example.

The following script name is reserved for the script: AUTOSTART_HTML_WEBCLIENT

Note: This script is executed whenever a session of an HTML web client starts. The name of the script must not be changed.


Individual script call by means of URL expansion when starting a zenon Web Client session

Manuel -> zenon Web Server -> HTML Web Engine -> Engineering in the Editor -> Supported functionalities for HTML5 visualization -> Individual script call by means of URL expansion when starting a zenon Web Client session

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

The HTML Web Engine allows the individual execution of zenon functions as part of a session start for an HTML web client. The function is executed by a script that is started using the Script : exécuter function. The name of the desired start function is transferred in the URL for the call to the web page with the startfunction argument. The function for the execution of the script must be explicitly approved for call-up as a URL start function.

Note: All settings that are required for the use of the URL start function must be set in the project at the time of compilation for the web.

Process for the application of the functionality:

  1. The web page is called up with the additional startfunction argument for the call of the desired Script : exécuter function:
    The call is made using the function name.
  2. If the function for the use as a URL start function has been approved, the assigned script is executed. The execution of the script is carried out individually for this HTML web client session. If the addressed function does not exist or has not been unlocked, a standard web page call is made. The session is then set up according to the call without startfunction argument.

Remarque : Cette capture d’écran est uniquement disponible en anglais.

The following limitations are applicable for naming the function name in the web:

Permitted | Forbidden
Alphanumeric characters (0-9, a-z, A-Z) | Umlauts
$ - _ . + ! * ' ( ) , | ASCII control characters (0x00-0x1F;0x7F)
 | Reserved characters (& / : ; ? @)
 | Unclear characters (such as spaces and " ' < > # % { } I \ ^ ~ [ ])


Compile project for web

Manuel -> zenon Web Server -> HTML Web Engine -> Compile project for web

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

With the Web Engine Compiler, the data that the HTML Web Engine needs to provide HTML5 content for the zenon Web Client is provided from a zenon project. When translating this project data, the Web Engine Compiler compiler checks the project contents and provides information on non-supported functions or properties. As a result of the translation process, a file is created that is provided to the web engine.

To open the web engine compiler:

  1. Click on Options in the menu bar of the Editor.
  2. Click on Compile project for web...

    The dialog to compile the project is opened.
    Note: This is only available in English.

HTML web engine compiler dialog.

Option | Description
Please select the target directory for the Web Engine data file | Select a directory to save the Web Engine file here. Click the ... button and a dialog opens to select a folder.
Open folder in File Explorer | Opens the selected folder in the Windows Explorer.
Progress | Shows warnings, error messages and information during compilation.
Copy to clipboard | Copies the content of the Progress output window to the clipboard.
Open Web Engine Compiler LOG file | Opens the LOG file for the Web Engine Compiler. This contains the messages from the Progress output window.
Start compilation | Starts the compilation process.
Close | Closes the Web Engine Compiler.


Process of an HTML web engine session

Manuel -> zenon Web Server -> HTML Web Engine -> Process of an HTML web engine session

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

The HTML visualization is available after a successful compilation of the project data.
To call up the web page:

  1. Open an HTML 5-compatible web browser.
    You can find the list of recommended web browsers in the System requirements chapter.
  2. Enter the web site URL into the address bar of the web browser for the HTML5 visualization: https://ServerAddress/<ApplicationName>.

    The HTML 5 content is provided automatically. In doing so, a separate session is created and administered for each zenon Web Client. The runtime data of zenon Runtime is available as soon as you have been successfully authenticated as a user. You can read more details about this in the Client authentication for a connection to Runtime.

  3. As soon as you leave the web page, the HTML Web Engine session and the connection to zenon Runtime is disconnected automatically.

Note: The web page is left when the web browser is closed, its tab is closed, view is updated or the URL is entered again (among other things).


System diagnosis and troubleshooting

Manuel -> zenon Web Server -> HTML Web Engine -> System diagnosis and troubleshooting

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

If there are problems during a system start or during operation, error messages that provide information on the possible cause of the problem are given in the HTML web client. The detailed graph of the error messages depends on how the HTML5 web page is called up:

  • Local web browser: You receive detailed messages.
    To do this, the web browser must be on the same computer (with the same IP address) on which the Web Engine is being operated.
  • Remote browser: General messages.
    This is applicable when being called up from a different device and/or a different IP address.

Checklists

For error-free system operation

The following checks are recommended for general checking of the system configuration:

  • HTML Web Engine has been installed on the IIS. The web engine deployment was carried out without any errors. The web server is in operation.
  • Visualization data is generated with the Web Engine Compiler. There are no errors during the compilation process. The resultant data of the Web Engine Compilers is ready for access by the Web Engine.
    Note: The occurrence of warnings does not influence the ability of the HTML Web Engine to run in principle. However, there can be limitations to the configured functionality depending on the type of warning
  • The versions of Web Engine Compiler and HTML Web Engine are identical.
    Note: The data created by the Web Engine Compiler can only be interpreted correctly by the HTML Web Engine (web application) with the same version number.

For the transfer of process data

Please note when transferring process data:

  • zenon Runtime and SCADA Runtime Connector have been started. The SCADA Runtime Connector can be contacted via the network.
    Note: The processes for zenon Runtime and SCADA Runtime Connector must run in the same user context.
  • The Users who need to be authenticated must be available in zenon Runtime.


Drivers

Drivers

Ici, vous trouverez la documentation relative aux drivers de zenon.


Guides

Guides

Ici, vous trouverez les guides de zenon.


Remarks

Datatype

ReaStatusMaskeStd() As long

Availability

Environment | Available
Editor | available
Runtime | read only
VBA | yes
VSTA | yes


Example of code for logging in to an Everywhere Server:

// get authentication information from the user interface

String userName = arg0[0].getString("UserName");

String password = arg0[0].getString("Password");

String server = arg0[0].getString("Server");

String project = arg0[0].getString("Project");

String port = arg0[0].getString("Port");

Date curTime = new Date();

// full username -> as described

String fullUserName = Long.toHexString(curTime.getTime())+"|"; // 8 digit hex timestamp

fullUserName = fullUserName + Settings.Secure.ANDROID_ID +"|";

fullUserName = fullUserName + userName;

// set the authentication to basic https (OClientBehaviour from odata4j)

OClientBehavior authBehavior = OClientBehaviors.basicAuth(fullUserName, "=" + password);

OClientBehavior allowSelfSignedBehavior = AllowSelfSignedCertsBehavior.allowSelfSignedCerts();

// Consumer declaration: private ODataConsumer consumer;

// here the url to the server has to be inserted

// we have https:"the server IP or name":Portnumber(for HTTPS 8050)/zendata(fixed)/Projectname

consumer = ODataConsumers.newBuilder("https://"+server+":"+port+"/zendata/"+project).setClientBehaviors

(authBehavior, allowSelfSignedBehavior).build();


Receiving alarms

The example shows how alarms are updated. This syntax can also be used for the other data types In the same way.

private class RequestPollAlarmsTask extends ConnectionTask{

public RequestPollAlarmsTask(EverywhereConnectionHandler handler) {

super(handler);

}

@Override

protected Void doInBackground(Bundle... arg0) {

try {

lock.acquire();

} catch (InterruptedException e1) {

// TODO Auto-generated catch block

e1.printStackTrace();

}

int updateIntervall = arg0[0].getInt("Intervall");

String filter = arg0[0].getString("Filter");

try

{

// Consumer declaration: private ODataConsumer consumer;

// alarms declaration: private Enumerable <OEntity>

alarms = consumer.getEntities("Alarms").expand("Variable").execute();

isConnected=true;

}

catch (Exception e)

{

isConnected=false;

connectionException=e;

}

lock.release();

return null;

}


Le Runtime de zenon Logic prend en charge la fonction printf, pour assurer le suivi des messages pendant l'exécution du programme. Ces messages sont affichés dans la fenêtre de résultats du module Workbench. Pour cela, le Workbench doit être en ligne dans le Runtime de zenon Logic.

Toutefois, ceci fonctionne uniquement si, dans Diagnosis Viewer, le niveau de journalisation "MessagesMessages" est actif pour tous les modules sur le service Diagnosis Client. You can find details on these logging levels in the Tools manual - Diagnosis Viewer, in the Diagnosis Client chapter.

La commande printf est compatible avec le simulateur du module zenon Logic Workbench, sans configuration supplémentaire.


In the Editor, the driver saves its configuration in the TXT file as defined in Configuration file name. In Runtime, the driver gets its configuration from the copy of the file that the editor has provided.

Structure of a configuration file of the driver

Line | Description
1 | Number of configured servers
2 – (m-1) | Server configuration (see server configuration)
m – n | Possible further server configuration(s)

Server configuration

Line | Description | Example
1 | Start of a server configuration (= *** SERVER ***) | *** SERVER ***
2 | Number of items in this server configuration, abbreviated: CNTSRVITEMS | 44
3 | Net address | 1
4 | Server name | RELAY1
5 | Primary IP address | 192.168.250.22
6 | Primary IP port | 102
7 | Polling rate Read interval in milliseconds | 1000
8 | Calling AE qualifier | 12
9 | Called AE qualifier | 12
10 | Calling AP title[0] | 1
11 | Called AP title[0] | 1
12 | Calling AP title[1] | 1
13 | Called AP title[1] | 1
14 | Calling AP title[2] | 1
15 | Called AP title[2] | 999
16 | Calling AP title[3] | 999
17 | Called AP title[3] | 1
18 | Calling AP title[4] | -1
19 | Called AP title[4] | 1
20 | Calling AP title[5] | -12851
21 | Called AP title[5] | -1
22 | Calling AP title[6] | -12851
23 | Called AP title[6] | -12851
24 | Calling AP title[7] | -12851
25 | Called AP title[7] | -12851
26 | Calling AP title[8] | -12851
27 | Called AP title[8] | -12851
28 | Calling AP title[9] | -12851
29 | Called AP title[9] | -12851
30 | Max. auto used URCBs Maximum number of Unbuffered Reports (URCBs) that the driver activates with automatic assignment per Logical Device | 10
31 | * - in newer configurations With old configuration: names of the assigned Buffered Reports (BRCBs), separated with commas | *
32 | Use preconfigured (SCL) options 0 = subsequently configured RCB settings (TrgOps, OptFlds, IntgPd, BufTm) are used 1 = the RCB settings that have already been preconfigured in the IEC61850 server - in its SCL file - are used | 0
33 | Use Report-ID for RCB assignment 0 = The RCB instances of the server are identified by name. 1 = Report ID that is used instead of the report name in the dialog for RCB assignment. | 0
34 | Use Authentication 0 = no ISO-Authentication used 1 = If active, the driver sends the Authentication String at establishing the connection. | 0
35 | Authentication String |
36 | Alternative IP address |
37 | Alternative IP port | 0
38 | TrgOp data-change: 0 = inactive ; 1 = active | 1
39 | TrgOp quality-change: 0 = inactive ; 1 = active | 1
40 | TrgOp data-update: 0 = inactive ; 1 = active | 0
41 | TrgOp integrity: 0 = inactive ; 1 = active | 0
42 | TrgOp general-interrogation: 0 = inactive ; 1 = active | 1
43 | GetNameList on DO 0 = Normal GetNameList 1 = The driver reads the object model by requesting data objects (DO) for each Logical Node available in the server and each Functional Constraint (FC) (FC) defined in the IEC61850 standard. | 0
44 | Integrity Period | 7000
45 | Buffer Time | 500
46 | OptFlds Optional fields of the RCB | 73
47 | RCBs enable reties Cycle in seconds in which an attempt is made to activate RCBs that were not activated successfully again. Only present if CNTSRVITEMS >= is 45 | 7
48 | Automatic Watchdog | 1
49 | Data consistency scan | 300
50 | Use SCADA network orIdend | 0
51 | Number of client configurations |
52 – (m-1) | Client configuration (see Client configuration) |
m – n | Possible further client configurations |

Client configuration

Line | Description | Beispiel
1 | Start of a client configuration (= *** CLIENTCFG ***) | *** CLIENTCFG ***
2 | Number of Items in this client configuration | 1
3 | Hostname (RT computer name) Name of the computer on which the driver is running that receives the reports | WKS007
4 | ClientLN.iedName | SCADA_Server1
5 | orIdent |
6 | Number of RCB configurations | 2
7 – (i-1) | RCB configuration (see RCB configuration) |
i – (j-1) | Possible further RCB configurations |
y | Number of dynamic dataset configurations |
k – (l-1) | Dynamic dataset configuration (see dynamic dataset configuration) |
l – m | Possible further dynamic dataset configuration |

RCB configuration

Line | Description | Example
1 | Start of an RCB configuration (= *** RCBCFG ***) | *** RCBCFG ***
2 | Number of items in this RCB configuration | 2
3 | RCB name or ID | UP_CTRL/LLN0/urcb_QxCSWI1_Pos02[RP]
4 | Name of the dynamic data set. | NEW_DYN_DATASET

Dynamic dataset configuration

Line | Description | Example
1 | Start of a dynamic dataset (= *** DATASET ***) | *** DATASET ***
2 | Number of items in this dynamic dataset configuration | 1
3 | Name of the dynamic data set | NEW_DYN_DATASET
4 | Number of Object References of the dynamic dataset | 2
5 | Object Reference | UPCTRL/Q1CSWI1$CF$Pos
6 – n | Possible further Object Reference. | UPCTRL/Q1CSWI1$ST$Pos


Au cas où vous ne trouveriez pas une solution à un problème, merci de contacter notre équipe d'assistance ou publier votre question sur notre forum en ligne.

Equipes d'assistance

En tant qu'utilisateur du contrat de niveau de service Basique (inclus gratuitement avec chaque licence), la meilleure manière de joindre notre service d'assistance consiste à envoyer un e-mail à support@copadata.com.
Vous trouverez des informations concernant numéros d'appel de notre équipe d'assistance sur notre page d'accueil : Contact

Si vous êtes détenteur d'un contrat de niveau de service Avancé ou Premium, veuillez composer le numéro de téléphone fourni dans votre contrat.

Vous recevrez des informations concernant les contrats de niveau de service de COPA-DATA de notre équipe commerciale, que vous pouvez joindre par e-mail à l'adresse sales@copadata.com.

Forum

Vous trouverez également des informations utiles et des conseils fournis par d'autres utilisateurs et les experts de COPA-DATA sur le forum de COPA-DATA.

Téléchargements

Sur la page d'accueil de COPA-DATA, les utilisateurs de tous les contrats de niveau de service peuvent trouver des manuels, des guides et des vidéos sous forme de téléchargements.
Les utilisateurs détenant des contrats de niveau de service Avancé ou Premium ont également accès à des applications de mise à jour, des exemples de VBA et des ateliers préenregistrés.

Pour télécharger des fichiers, vous devez être connecté en tant que "membre". L'inscription est gratuite et vous permet d'accéder à des informations exclusivement réservées à nos clients.


HLP_FKT_ACM_RSP

ID interne : HLP_FKT_ACM_RSP

Enregistrer le buffer circulaire d'alarmes et d'événements

Cette fonction enregistre les alarmes et les événements courants dans les fichiers ALARM.BIN et CEL.BIN.

Plus de détails dans l’aide en ligne.


HLP_FKT_ALARM_BLINK_QUIT

ID interne : HLP_FKT_ALARM_BLINK_QUIT

Alarmes : acquitter clignotement

Cette fonction acquitte le clignotement de tous les éléments du synoptique actuellement ouvert par rapport à un cadre donné.

Plus de détails dans l’aide en ligne.


HLP_FKT_ALARM_GRP_KLASSEN

ID interne : HLP_FKT_ALARM_GRP_KLASSEN

Activer/désactiver liste d'alarmes, groupes/classes d'alarmes/d'événements

Cette fonction active/désactive un groupe d’alarmes/d’événements, une classe d’alarmes/d’événements ou l’ensemble de la gestion des alarmes.

Plus de détails dans l’aide en ligne.


HLP_FKT_ALARM_GRUPPEN_VERB

ID interne : HLP_FKT_ALARM_GRUPPEN_VERB

Inscrire/désinscrire groupe d'alarmes/d'événements

Cette fonction active ou désactive le lien vers l’automate pour le groupe d’alarmes/d’événements sélectionné.

Plus de détails dans l’aide en ligne.


HLP_FKT_AML_AUS

ID interne : HLP_FKT_AML_AUS

Alarmes : désactiver

Cette fonction désactive la gestion complète des alarmes.

Plus de détails dans l’aide en ligne.


HLP_FKT_AML_DEL

ID interne : HLP_FKT_AML_DEL

Confirmer acquittement de l'alarme

Cette fonction supprime les alarmes filtrées.

Plus de détails dans l’aide en ligne.


HLP_FKT_AML_EIN

ID interne : HLP_FKT_AML_EIN

Alarmes : activer

Cette fonction désactive la liste intégrale des messages d’alarme.

Plus de détails dans l’aide en ligne.


HLP_FKT_AML_EXP

ID interne : HLP_FKT_AML_EXP

Exporter liste d'alarmes

Cette fonction exporte les entrées filtrées de la liste d’alarmes dans un format externe.

Plus de détails dans l’aide en ligne.


HLP_FKT_AML_QTT

ID interne : HLP_FKT_AML_QTT

Acquitter alarmes

Cette fonction acquitte les alarmes filtrées.

Plus de détails dans l’aide en ligne.


HLP_FKT_AML_TGL

ID interne : HLP_FKT_AML_TGL

Gestion des alarmes active/inactive

Cette fonction active/désactive la gestion des alarmes.

Plus de détails dans l’aide en ligne.


HLP_FKT_ANALYZER_REPORT_CREATE

ID interne : HLP_FKT_ANALYZER_REPORT_CREATE

Analyzer : Créer rapport

Cette fonction établit une connexion à un serveur Analyzer Server, autorise la configuration d’un rapport dans Editor et la création et le stockage du rapport dans le Runtime.

Plus de détails dans l’aide en ligne.


HLP_FKT_APP_HELP

ID interne : HLP_FKT_APP_HELP

Ouvrir l'aide

Cette fonction ouvre une page d’aide donnée à partir d’un fichier CHM.

Plus de détails dans l’aide en ligne.


HLP_FKT_APP_LICENCE_INFO

ID interne : HLP_FKT_APP_LICENCE_INFO

Montrer les informations de licence

Une boîte de dialogue d’affichage des informations de version et de licence peut être appelée à l’aide de cette fonction.

Plus de détails dans l’aide en ligne.


HLP_FKT_APP_PALETTESWITCH

ID interne : HLP_FKT_APP_PALETTESWITCH

Changer de palette

Crée une fonction permettant de changer de palettes de couleurs dans le Runtime.

Plus de détails dans l’aide en ligne.


HLP_FKT_APP_RT_PROFILES

ID interne : HLP_FKT_APP_RT_PROFILES

Profils du Runtime

Crée une fonction avec laquelle le profil d’administration peut être ouvert, un nouveau profil peut être créé ou chargé dans le Runtime.

Plus de détails dans l’aide en ligne.


HLP_FKT_APP_SAVE_REMDATA

ID interne : HLP_FKT_APP_SAVE_REMDATA

Enregistrer les données rémanentes

Autorise l’enregistrement des données des modules configurés. Les choix proposés sont les suivants : Buffer circulaire AML, buffer circulaire CEL, driver système et driver mathématique, driver interne, images rémanentes de tous les drivers, verrouillage du module Gestion des commandes.

Plus de détails dans l’aide en ligne.


HLP_FKT_APP_SIMULATION

ID interne : HLP_FKT_APP_SIMULATION

Activer/désactiver le projet de simulation

Cette fonction démarre et interrompt la simulation de projet. Le type de simulation et la connexion au procédé peuvent être configurés.
En outre, cette fonction permet de démarrer le module Process Recorder dans le mode Lecture. L’heure de début et le filtre de temps peuvent être configurés pour la lecture.

Plus de détails dans l’aide en ligne :

  • Simulation du projet

Process Recorder


HLP_FKT_APP_TEXT_LISTE

ID interne : HLP_FKT_APP_TEXT_LISTE

Changement de langue

Pour les projets multilingues, cette fonction bascule le Runtime dans la langue sélectionnée.

Plus de détails dans l’aide en ligne.


HLP_FKT_APP_UNITS_SWITCH

ID interne : HLP_FKT_APP_UNITS_SWITCH

Conversion d'unités de mesure

Cette fonction exécute la commutation entre l’unité de base et l’unité de conversion. L’attribution s’effectue dans une boîte de dialogue qui est affichée durant la création de la fonction ; elle peut être éditée ultérieurement à l’aide de la propriété Paramètre.

Plus de détails dans l’aide en ligne.


HLP_FKT_ARV_AKT

ID interne : HLP_FKT_ARV_AKT

Archive : liste des archives actives

Cette fonction affiche la liste des archives en train de "tourner" dans le module optionnel "Serveur d’archives".

Plus de détails dans l’aide en ligne.


HLP_FKT_ARV_AUS

ID interne : HLP_FKT_ARV_AUS

Archive : arrêt

Cette fonction arrête une archive sélectionnée dans le module optionnel "Serveur d’archives".

Plus de détails dans l’aide en ligne.


HLP_FKT_ARV_EIN

ID interne : HLP_FKT_ARV_EIN

Archive : départ

Cette fonction démarre une archive sélectionnée dans le module optionnel "Serveur d’archives".

Plus de détails dans l’aide en ligne.


HLP_FKT_ARV_EXP

ID interne : HLP_FKT_ARV_EXP

Exporter archives

Cette fonction exporte les entrées d’archive filtrées du module optionnel "Serveur d’archives" dans un format externe.

Plus de détails dans l’aide en ligne.


HLP_FKT_ARV_IND

ID interne : HLP_FKT_ARV_IND

Indexer les archives

Cette fonction recalcule les index des archives indexées. Elle est toujours exécutée sur le serveur commandant le procédé.

Plus de détails dans l’aide en ligne.


HLP_FKT_BATCH_CR_CREATE

ID interne : HLP_FKT_BATCH_CR_CREATE

Créer une recette de contrôle

Permet de créer une recette de contrôle prédéfinie dans le Runtime.

Plus de détails dans l’aide en ligne.


HLP_FKT_BATCH_RECIPE_EXPORT

ID interne : HLP_FKT_BATCH_RECIPE_EXPORT

Importer les recettes batch

Cette fonction importe les données depuis un fichier XML.

Plus de détails dans l’aide en ligne.


HLP_FKT_BATCH_RECIPE_IMPORT

ID interne : HLP_FKT_BATCH_RECIPE_IMPORT

Exporter les recettes batch

Cette fonction exporte les recettes vers un fichier XML.

Plus de détails dans l’aide en ligne.


HLP_FKT_BATCH_STATE_CMD

ID interne : HLP_FKT_BATCH_STATE_CMD

Exécuter commande/changement de mode de la recette

Permet de transmettre des fonctions de commande pour l’exécution de batchs dans le Runtime.

Plus de détails dans l’aide en ligne.


HLP_FKT_BEDIENBERECHTIGUNG

ID interne : HLP_FKT_BEDIENBERECHTIGUNG

Autorisation sur le réseau

Cette fonction exécute les demandes ou déblocages des autorisations d’accès sur le réseau.

Plus de détails dans l’aide en ligne.


HLP_FKT_BILD

ID interne : HLP_FKT_BILD

IDS_FKT_NAMEN2

Description sous forme de texte.


HLP_FKT_BILD_AUS

ID interne : HLP_FKT_BILD_AUS

Synoptique : fermeture

Cette fonction ferme le synoptique sélectionné.

Plus de détails dans l’aide en ligne.


HLP_FKT_BILD_EIN

ID interne : HLP_FKT_BILD_EIN

Appel de synoptique

Cette fonction ouvre le synoptique sélectionné. De façon optionnelle, une boîte de dialogue pour l’utilisateur peut être ouverte avant.

Plus de détails dans l’aide en ligne.


HLP_FKT_BILD_FOKUS

ID interne : HLP_FKT_BILD_FOKUS

Déplacer le focus

Cette fonction place active la saisie sur un élément dans le synoptique dont le cadre est actuellement sélectionné.

Plus de détails dans l’aide en ligne.


HLP_FKT_BILD_MENU

ID interne : HLP_FKT_BILD_MENU

Afficher le menu

Cette fonction ouvre ou ferme le menu principal sélectionné. De façon optionnelle, une boîte de dialogue pour l’utilisateur peut être ouverte avant.

Plus de détails dans l’aide en ligne.


HLP_FKT_BILD_MITTE

ID interne : HLP_FKT_BILD_MITTE

Synoptique : déplacer le centre

Cette fonction déplace ou effectue un zoom à l’intérieur d’un synoptique de type "Vue globale".

Plus de détails dans l’aide en ligne.


HLP_FKT_BILD_SW_KDBMDI

ID interne : HLP_FKT_BILD_SW_KDBMDI

Saisie de valeur pour synoptique clavier

Cette fonction définit une valeur prédéfinie (valeur recommandée) pour les synoptiques de type Clavier, ou définit une valeur prédéfinie et ferme le synoptique.

Plus de détails dans l’aide en ligne.


HLP_FKT_BILD_VAR

ID interne : HLP_FKT_BILD_VAR

Synoptique avec index

Cette fonction sélectionne une variable contenant le nom du synoptique devant être ouvert.

Plus de détails dans l’aide en ligne.


HLP_FKT_BILD_ZURUECK

ID interne : HLP_FKT_BILD_ZURUECK

Synoptique : retour au précédent

Cette fonction affiche le synoptique précédemment ouvert dans le cadre sélectionné.

Attention : Indépendamment de la sélection de la fonction, seuls les cadres définis dans la propriété de projet Cadres principaux dans le groupe Apparence graphique/Généralités Runtime sont pris en compte dans le Runtime.

Plus de détails dans l’aide en ligne.


HLP_FKT_CEL_EXP

ID interne : HLP_FKT_CEL_EXP

Exporter liste d'événements

Cette fonction exporte les entrées filtrées de la liste des événements chronologiques dans un format externe.

Plus de détails dans l’aide en ligne.


HLP_FKT_CHANGE_ALC_COLOR

ID interne : HLP_FKT_CHANGE_ALC_COLOR

Modifier la couleur de la source (CAL)

Fonction de configuration des couleurs source du module CAL pour la détection d’erreurs sur les réseaux électriques.

Plus de détails dans l’aide en ligne.


HLP_FKT_DATEIOPERATION

ID interne : HLP_FKT_DATEIOPERATION

Opérations sur fichiers

Cette fonction copie, supprime ou déplace les fichiers sélectionnés. De façon optionnelle, une boîte de dialogue pour l’utilisateur peut être ouverte avant.

Plus de détails dans l’aide en ligne.


HLP_FKT_DBASE_READ

ID interne : HLP_FKT_DBASE_READ

Lire un fichier dBase

Cette fonction lit le fichier dBase sélectionné et l’exécute comme une recette.

Plus de détails dans l’aide en ligne.


HLP_FKT_DEL_PIC_BACK_PATH

ID interne : HLP_FKT_DEL_PIC_BACK_PATH

Supprimer chemin pour la fonction "Synoptique : retour au précédent"

Cette fonction supprime le chemin pour la fonction Synoptique : retour au précédent.

Plus de détails dans l’aide en ligne.


HLP_FKT_DIAGRAM_PRINT

ID interne : HLP_FKT_DIAGRAM_PRINT

Imprimer le diagramme Extended Trend

Cette fonction vous permet d’imprimer des diagrammes du module Extended Trend ou de les enregistrer dans un fichier (JPG, BMP ou SVG) sans ouvrir l’écran Extended Trend.

Plus de détails dans l’aide en ligne.


HLP_FKT_EINGABE_FOCUS

ID interne : HLP_FKT_EINGABE_FOCUS

Activer l'élément qui a le focus

Cette fonction exécute la fonction associée à l’élément qui a actuellement le focus.

Plus de détails dans l’aide en ligne.


HLP_FKT_EMS_START

ID interne : HLP_FKT_EMS_START

Démarrer la Gestion de charge

Cette fonction démarre l’optimisation pour une zone de service sélectionnée dans le module Gestion de charge.

Cette fonction est uniquement exécutée sur le serveur.

Plus de détails dans l’aide en ligne.


HLP_FKT_EMS_STOP

ID interne : HLP_FKT_EMS_STOP

Arrêter la Gestion de charge

Cette fonction arrête l’optimisation pour une zone de service sélectionnée dans le module Gestion de charge.

Cette fonction est uniquement exécutée sur le serveur.

Plus de détails dans l’aide en ligne.


HLP_FKT_EXECUTE_ADDIN_WIZARD

ID interne : HLP_FKT_EXECUTE_ADDIN_WIZARD

Exécuter l'extension du wizard project

Cette fonction exécute une Project Wizard Extension.

Plus de détails dans l’aide en ligne.


HLP_FKT_EXP_DATEN

ID interne : HLP_FKT_EXP_DATEN

Exporter les données

Cette fonction exporte les valeurs stockées sur le disque dur (*.HDD) des variables sélectionnées dans un format externe.

Plus de détails dans l’aide en ligne.


HLP_FKT_GNDFLT_ACKNOWLEDGE

ID interne : HLP_FKT_GNDFLT_ACKNOWLEDGE

Acquitter le message de défaut de terre

Fonction d’acquittement de message de défaut de terre. Ouvre la boîte de dialogue permettant de sélectionner une variable.

Plus de détails dans l’aide en ligne.


HLP_FKT_GNDFLT_SEARCH_END

ID interne : HLP_FKT_GNDFLT_SEARCH_END

Arrêter la recherche des défauts de terre

Fonction d’arrêt de la recherche de défaut de terre.

Plus de détails dans l’aide en ligne.


HLP_FKT_GNDFLT_SEARCH_START

ID interne : HLP_FKT_GNDFLT_SEARCH_START

Démarrer la recherche des défauts de terre

Fonction de démarrage de la recherche de défaut de terre.

Plus de détails dans l’aide en ligne.


HLP_FKT_GRAPH7_HEURISTIK

ID interne : HLP_FKT_GRAPH7_HEURISTIK

Analyser les heuristiques du graphe S7

Cette fonction permet d’évaluer les données heuristiques du projet S7 Graph, même lorsque le synoptique S7 Graph n’est pas actif.

Plus de détails dans l’aide en ligne.


HLP_FKT_HDD_AUS

ID interne : HLP_FKT_HDD_AUS

Gestion HD inactive

Cette fonction désactive le stockage des données sur disque dur. Les fichiers HDD ne sont pas écrits.

Plus de détails dans l’aide en ligne.


HLP_FKT_HDD_EIN

ID interne : HLP_FKT_HDD_EIN

Gestion HD active

Cette fonction active le stockage des données sur disque dur. Les fichiers HDD sont écrits.

Plus de détails dans l’aide en ligne.


HLP_FKT_HDD_TGL

ID interne : HLP_FKT_HDD_TGL

Gestion HD inactive/active

Cette fonction active ou désactive le stockage des données sur disque dur. Les fichiers HDD sont (ou ne sont pas) écrits.

Plus de détails dans l’aide en ligne.


HLP_FKT_HLP_FKT_AUS

ID interne : HLP_FKT_HLP_FKT_AUS

Fonctions 'désactiver' sur valeurs limites

Cette fonction désactive la gestion des fonctions. Les fonctions exécutées automatiquement (par exemple, par les commandes temporisées ou les dépassements de valeurs limites, etc.) ne sont pas exécutées.

Plus de détails dans l’aide en ligne.


HLP_FKT_HLP_FKT_EIN

ID interne : HLP_FKT_HLP_FKT_EIN

Fonctions 'activer' sur valeurs limites

Cette fonction active la gestion des fonctions. Les fonctions exécutées automatiquement (par exemple, par les commandes temporisées ou les dépassements de valeurs limites, etc.) sont exécutées.

Plus de détails dans l’aide en ligne.


HLP_FKT_HLP_FKT_TGL

ID interne : HLP_FKT_HLP_FKT_TGL

Fonctions 'activer/désactiver' sur valeurs limites

Cette fonction active ou désactive la gestion des fonctions. Les fonctions exécutées automatiquement (par exemple, par les commandes temporisées ou les dépassements de valeurs limites, etc.) sont exécutées ou non.

Plus de détails dans l’aide en ligne.


HLP_FKT_IMM_CHECKMAINT

ID interne : HLP_FKT_IMM_CHECKMAINT

Détermine les maintenances ouvertes

Cette fonction crée le nombre de maintenances requises pour l’équipement sélectionné à partir du module Industrial Maintenance Manager. Vous pouvez saisir l’intervalle de temps souhaité. Le nombre de maintenances requises est écrit dans des variables d’état pouvant être librement définies.

Plus de détails dans l’aide en ligne.


HLP_FKT_IPA_CREATE_DOCUMENT

ID interne : HLP_FKT_IPA_CREATE_DOCUMENT

Créer/imprimer un document IPA

Cette fonction crée un document à partir des données filtrées du module Industrial Performance Analyzer, puis l’imprime ou l’enregistre au format HTML.

Plus de détails dans l’aide en ligne.


HLP_FKT_MANAGE_ADDIN_SERVICES

ID interne : HLP_FKT_MANAGE_ADDIN_SERVICES

Afficher la boîte de dialogue "Gérer les services runtime"

Lorsqu’elle est exécutée, cette fonction appelle la boîte de dialogue Gestion des services du Runtime.

Plus de détails dans l’aide en ligne.


HLP_FKT_MOMENTAN_PRT

ID interne : HLP_FKT_MOMENTAN_PRT

Imprimer valeurs actuelles

Cette fonction imprime les valeurs actuelles des variables sélectionnées.

Plus de détails dans l’aide en ligne.


HLP_FKT_MONITOR_ZUORDNEN

ID interne : HLP_FKT_MONITOR_ZUORDNEN

Sélection moniteur

Cette fonction assigne le moniteur virtuel sélectionné à un moniteur réel. De façon optionnelle, une boîte de dialogue pour l’utilisateur peut être ouverte avant.

Plus de détails dans l’aide en ligne.


HLP_FKT_MOUSE_REVERSE

ID interne : HLP_FKT_MOUSE_REVERSE

Simuler le clic droit

Cette fonction interprète le prochain clic de souris comme s’il s’agissait d’un clic avec le bouton droit.

Plus de détails dans l’aide en ligne.


HLP_FKT_MSG_AUS

ID interne : HLP_FKT_MSG_AUS

Envoi de messages : désactiver

Cette fonction désactive les envois de messages du module optionnel Message Control.

Plus de détails dans l’aide en ligne.


HLP_FKT_MSG_EDB

ID interne : HLP_FKT_MSG_EDB

Visualiser la base de données des destinataires

Cette fonction ouvre une boîte de dialogue où l’utilisateur peut éditer la base de données des destinataires du module optionnel Message Control.


HLP_FKT_MSG_EIN

ID interne : HLP_FKT_MSG_EIN

Envoi de messages : activer

Cette fonction active les envois de messages du module optionnel Message Control.

Plus de détails dans l’aide en ligne.


HLP_FKT_MSG_SAVEQUEUE

ID interne : HLP_FKT_MSG_SAVEQUEUE

Enregistrer queue courante

Enregistre une image de la file d’attente actuelle dans le Runtime.

Plus de détails dans l’aide en ligne.


HLP_FKT_MSG_SUPPRESS

ID interne : HLP_FKT_MSG_SUPPRESS

Groupe/classe/domaine/équipement supprimé

Active ou désactive les éléments de la liste pour lesquels aucun message ne doit être envoyé.

Plus de détails dans l’aide en ligne.


HLP_FKT_MT_CONCURRENT_EXECUTION

ID interne : HLP_FKT_MT_CONCURRENT_EXECUTION

Exécuter commandes parallèles

Cette fonction permet de tester l’intégration du multithreading.

Elle est exclusivement destinée à un usage interne.

Remarque : Cette fonction n’est pas décrite dans l’aide en ligne. Une description de cette fonction est fournie dans la documentation interne intitulée Optimisation des performances. Cette documentation est uniquement disponible pour un usage interne.

Emplacement d’enregistrement : G:\zenon760\HELP\COPA-DATA\ENGLISH\_AdditionalDocumentation-DoNotDeliver


HLP_FKT_NACHLADEN

ID interne : HLP_FKT_NACHLADEN

Réinitialiser projet en ligne

Cette fonction recharge les fichiers modifiés du Runtime dans Editor.

Plus de détails dans l’aide en ligne.


HLP_FKT_PFS_EVENT

ID interne : HLP_FKT_PFS_EVENT

Déclencher événement PFS

Cette fonction exécute un événement planning (PFS) créé au préalable par l’utilisateur.

Plus de détails dans l’aide en ligne.


HLP_FKT_PR_PLAYBACKMODE

ID interne : HLP_FKT_PR_PLAYBACKMODE

Activer/désactiver la lecture du Process Recorder

Cette fonction active/désactive le mode Lecture du module Process Recorder.

Plus de détails dans l’aide en ligne.


HLP_FKT_PRT_AMLCEL

ID interne : HLP_FKT_PRT_AMLCEL

Imprimer liste d'alarmes ou d'événements

Cette fonction imprime les entrées sélectionnées de la liste d’alarmes ou de la liste des événements chronologiques (CEL).

Plus de détails dans l’aide en ligne.


HLP_FKT_PRT_HARDCOPY

ID interne : HLP_FKT_PRT_HARDCOPY

Imprimer copie d'écran

Cette fonction imprime soit l’écran actuel, soit le synoptique actuel d’un cadre donné. Sur les systèmes multi-moniteurs, vous pouvez sélectionner le moniteur de votre choix pour un cadre. De façon optionnelle, l’impression peut être redirigée vers un fax.

Plus de détails dans l’aide en ligne.


HLP_FKT_PRT_ONLINE

ID interne : HLP_FKT_PRT_ONLINE

Activer/désactiver impression en ligne

Cette fonction active ou désactive l’impression en ligne de la liste d’alarmes ou de la liste des événements chronologiques (CEL).

Plus de détails dans l’aide en ligne.


HLP_FKT_PRT_ONLINE_SWITCH

ID interne : HLP_FKT_PRT_ONLINE_SWITCH

Changer d'imprimante pour les impressions en ligne

Cette fonction change l’imprimante utilisée pour l’impression en ligne. De façon optionnelle, une boîte de dialogue pour l’utilisateur peut être ouverte avant.

Plus de détails dans l’aide en ligne.


HLP_FKT_PRT_WAHL

ID interne : HLP_FKT_PRT_WAHL

Sélection imprimante

Cette fonction ouvre une boîte de dialogue qui permet à l’utilisateur de sélectionner les imprimantes utilisées pour l’impression des différentes parties du projet.
Remarque : Cette fonction n’est pas disponible pour tous les terminaux CE.

Plus de détails dans l’aide en ligne.


HLP_FKT_PWD_LOGIN

ID interne : HLP_FKT_PWD_LOGIN

Connexion avec boite de dialogue

Cette fonction ouvre la boîte de dialogue standard de connexion.

Plus de détails dans l’aide en ligne.


HLP_FKT_PWD_LOGIN_DIREKT

ID interne : HLP_FKT_PWD_LOGIN_DIREKT

Connexion sans mot de passe

Cette fonction permet à l’utilisateur sélectionné de se connecter sans devoir saisir son mot de passe.
La connexion peut être effectuée à l’aide du nom d’utilisateur, d’une variable associée au nom d’utilisateur ou d’une variable associée à un code de connexion.

Plus de détails dans l’aide en ligne.


HLP_FKT_PWD_LOGOUT

ID interne : HLP_FKT_PWD_LOGOUT

Déconnexion

Cette fonction entraîne la déconnexion de l’utilisateur actuellement connecté.

Plus de détails dans l’aide en ligne.


HLP_FKT_PWD_PWDEDIT

ID interne : HLP_FKT_PWD_PWDEDIT

Modifier le mot de passe

Cette fonction ouvre une boîte de dialogue par laquelle l’utilisateur actuellement connecté peut modifier son mot de passe.

Plus de détails dans l’aide en ligne.


HLP_FKT_PWD_USREDIT

ID interne : HLP_FKT_PWD_USREDIT

Editer utilisateur

Cette fonction ouvre une boîte de dialogue dans laquelle un administrateur peut créer, modifier ou supprimer des utilisateurs et des groupes d’utilisateurs.

Plus de détails dans l’aide en ligne.


HLP_FKT_QUIT

ID interne : HLP_FKT_QUIT

Arrêter le Runtime

Cette fonction ferme le Runtime du système de contrôle.

Plus de détails dans l’aide en ligne.


HLP_FKT_REDUNDANZ

ID interne : HLP_FKT_REDUNDANZ

Commutation redondance

Cette fonction intervertit le serveur primaire et le serveur redondant du projet.

Plus de détails dans l’aide en ligne.


HLP_FKT_REPORTVIEWER_PRINT

ID interne : HLP_FKT_REPORTVIEWER_PRINT

Report Viewer : exporter / imprimer

Permet de générer des rapports durant le Runtime, au format PDF ou sous forme d’impression en ligne.

Plus de détails dans l’aide en ligne.


HLP_FKT_REZ_DIREKT

ID interne : HLP_FKT_REZ_DIREKT

Recette standard unique directe

Cette fonction envoie les valeurs de la recette standard sélectionnée dans l’automate.

Plus de détails dans l’aide en ligne.


HLP_FKT_REZ_WAHL

ID interne : HLP_FKT_REZ_WAHL

Recette standard unique avec dialogue

Cette fonction ouvre une boîte de dialogue dans laquelle l’utilisateur peut modifier et exécuter une recette standard.

Plus de détails dans l’aide en ligne.


HLP_FKT_REZ_WAHL_ONL

ID interne : HLP_FKT_REZ_WAHL_ONL

Recette standard unique avec dialogue en ligne

Cette fonction ouvre une boîte de dialogue dans laquelle l’utilisateur peut sélectionner une recette standard, et peut ensuite la modifier ou l’exécuter.

Plus de détails dans l’aide en ligne.


HLP_FKT_REZEPT

ID interne : HLP_FKT_REZEPT

Recette standard

Cette fonction écrit, lit, copie, importe ou exporte la recette standard sélectionnée. De façon optionnelle, une boîte de dialogue pour l’utilisateur peut être ouverte avant.

Plus de détails dans l’aide en ligne.


HLP_FKT_RGM

ID interne : HLP_FKT_RGM

Recipe Group Manager

Cette fonction écrit, lit, copie, importe ou exporte la recette sélectionnée du module optionnel Recipe Group Manager (RGM). De façon optionnelle, une boîte de dialogue pour l’utilisateur peut être ouverte avant.

Plus de détails dans l’aide en ligne.


HLP_FKT_SAP_CALL_FUNCTION

ID interne : HLP_FKT_SAP_CALL_FUNCTION

Exécuter une fonction SAP

Exécute une fonction SAP définie dans l’interface SAP dans le Runtime. La fonction SAP déclenche à son tour une fonction Remote Function Call (RFC) dans le système SAP.

Plus de détails dans l’aide en ligne.


HLP_FKT_SAT1

ID interne : HLP_FKT_SAT1

Activer la gestion de commande

Fonction SAT


HLP_FKT_SAT2

ID interne : HLP_FKT_SAT2

Tracer changement-de-poste

Fonction SAT


HLP_FKT_SAT_SEA_RUN

ID interne : HLP_FKT_SAT_SEA_RUN

Séquence de commandes mode automatique

Fonction SAT.


HLP_FKT_SAT_TOP_ERDSCHLUSS

ID interne : HLP_FKT_SAT_TOP_ERDSCHLUSS

Topologie - Recherche des défauts de terre

Active ou désactive la recherche de défaut de terre. Au début de la recherche de défaut de terre, les défauts actuellement actifs sont figés. Les nouveaux défauts sont affichés lorsque la recherche est terminée.


HLP_FKT_SAT_TOP_LOADSHEDDING

ID interne : HLP_FKT_SAT_TOP_LOADSHEDDING

Topologie - Vérification des connexions

La fonction de délestage vous permet de déterminer l’état d’alimentation des équipements consommateurs topologiques et de les associer à des variables.

Jusqu’à 32 sources sont prises en charge.


HLP_FKT_SCHABFOCUS_AUS

ID interne : HLP_FKT_SCHABFOCUS_AUS

Enlever le focus du gabarit

Cette fonction enlève le focus du synoptique actuellement ouvert dans un cadre sélectionné. Ceci permet la création de projets entièrement gérés avec le clavier.

Plus de détails dans l’aide en ligne.


HLP_FKT_SCHABFOCUS_EIN

ID interne : HLP_FKT_SCHABFOCUS_EIN

Donner le focus au gabarit

Cette fonction donne le focus au synoptique actuellement ouvert dans un cadre donné. Ceci permet de créer des projets entièrement gérés avec le clavier.

Plus de détails dans l’aide en ligne.


HLP_FKT_SCHABLONE_AUS

ID interne : HLP_FKT_SCHABLONE_AUS

Fermer le gabarit

Cette fonction ferme le synoptique actuellement ouvert d’un cadre donné.

Plus de détails dans l’aide en ligne.


HLP_FKT_SCHABLONE_BRINGTOFRONT

ID interne : HLP_FKT_SCHABLONE_BRINGTOFRONT

Mettre le gabarit au premier plan

Cette fonction déplace les synoptiques recouverts par d’autres synoptiques au premier plan. Le cadre sélectionné déplace toutes les instances du cadre défini dans le Runtime au premier plan sur le moniteur sélectionné.

Plus de détails dans l’aide en ligne.


HLP_FKT_SCRIPT_DIR

ID interne : HLP_FKT_SCRIPT_DIR

Script : exécuter

Cette fonction exécute le script sélectionné.

Plus de détails dans l’aide en ligne.


HLP_FKT_SCRIPT_WHL

ID interne : HLP_FKT_SCRIPT_WHL

Script : sélection en ligne

Cette fonction ouvre une boîte de dialogue dans laquelle l’utilisateur sélectionne et exécute un script.

Plus de détails dans l’aide en ligne.


HLP_FKT_SENDE_NACHRICHT

ID interne : HLP_FKT_SENDE_NACHRICHT

Envoi d'un message

Cette fonction envoie un message du module optionnel Message Control.

Plus de détails dans l’aide en ligne.


HLP_FKT_SEQUENCER_COMMAND_EXECUTE

ID interne : HLP_FKT_SEQUENCER_COMMAND_EXECUTE

Exécuter la commande des séquences de commandes ou le basculement de mode

Cette fonction envoie des commandes de contrôle au processus d’exécution du module Command Sequencer dans le Runtime.

Plus de détails dans l’aide en ligne.


HLP_FKT_SEQUENCER_SEQUENCE_EXPORT

ID interne : HLP_FKT_SEQUENCER_SEQUENCE_EXPORT

Exporter séquences de commandes

Cette fonction filtre et exporte les séquences de commandes vers un fichier XML.

Plus de détails dans l’aide en ligne.


HLP_FKT_SEQUENCER_SEQUENCE_IMPORT

ID interne : HLP_FKT_SEQUENCER_SEQUENCE_IMPORT

Importer séquences de commandes

Cette fonction importe les séquences de commandes depuis un fichier XML.

Plus de détails dans l’aide en ligne.


HLP_FKT_SEQUENCER_TEACHING

ID interne : HLP_FKT_SEQUENCER_TEACHING

Apprendre les séquences de commande

Cette fonction démarre ou arrête le processus d’apprentissage dans le Runtime.
Plus de détails dans l’aide en ligne.


HLP_FKT_SHRTFLT_ACKNOWLEDGE

ID interne : HLP_FKT_SHRTFLT_ACKNOWLEDGE

Acquitter le message de court-circuit

Fonction d’acquittement de message de court-circuit. Ouvre la boîte de dialogue permettant de sélectionner une variable.

Plus de détails dans l’aide en ligne.


HLP_FKT_SIMULATION

ID interne : HLP_FKT_SIMULATION

Simulation on/off

Cette fonction active ou désactive la simulation.


HLP_FKT_SM_SQL_EXPORT

ID interne : HLP_FKT_SM_SQL_EXPORT

Calendrier de transfert d'exports SQL

Exporte les postes du calendrier des postes au format SQL vers le Runtime.

Plus de détails dans l’aide en ligne.


HLP_FKT_TBL_AUS

ID interne : HLP_FKT_TBL_AUS

Report Generator : exécuter

Cette fonction exécute le rapport sélectionné du module optionnel Report Generator.

Plus de détails dans l’aide en ligne.


HLP_FKT_TBL_EXP

ID interne : HLP_FKT_TBL_EXP

Exporter rapport

Cette fonction exporte le rapport sélectionné du module optionnel Report Generator dans un format externe.

Plus de détails dans l’aide en ligne.


HLP_FKT_TBL_EXPW

ID interne : HLP_FKT_TBL_EXPW

Démarrer nouvelle page pour l'impression en ligne

Lors de l’impression en ligne activée, cette fonction termine une page et démarre une nouvelle page. Le numéro de page redémarre à 1.

Plus de détails dans l’aide en ligne.


HLP_FKT_TBL_PRN

ID interne : HLP_FKT_TBL_PRN

Imprimer le rapport Report Generator

Cette fonction imprime le rapport sélectionné du module optionnel Report Generator.

Plus de détails dans l’aide en ligne.


HLP_FKT_TM_READ

ID interne : HLP_FKT_TM_READ

Lire l'heure depuis la variable

Cette fonction lit l’heure à partir d’une variable de type STRING de l’automate et définit avec celle-ci l’heure système du PC. Ainsi l’heure système de l’automate peut être synchronisée avec celle du PC.

Plus de détails dans l’aide en ligne.


HLP_FKT_TM_WRITE

ID interne : HLP_FKT_TM_WRITE

Écrire l'heure dans la variable

Cette fonction lit l’heure système et l’écrit dans une variable de type STRING dans l’automate. Ainsi l’heure système de l’automate peut être synchronisée avec celle du PC.

Plus de détails dans l’aide en ligne.


HLP_FKT_TREIBERKOMMANDO

ID interne : HLP_FKT_TREIBERKOMMANDO

Commandes driver

Cette fonction envoie une commande donnée au driver sélectionné. De façon optionnelle, une boîte de dialogue pour l’utilisateur peut être ouverte avant.

Plus de détails dans l’aide en ligne.


HLP_FKT_UEBERSICHT

ID interne : HLP_FKT_UEBERSICHT

Afficher la fenêtre d'aperçu

Cette fonction ouvre une vue d’aperçu pour permettre à l’utilisateur de simuler des projets multi-moniteurs sur un poste comportant un seul écran.

Plus de détails dans l’aide en ligne.


HLP_FKT_VAR_ALIGN_VM_IMAGE

ID interne : HLP_FKT_VAR_ALIGN_VM_IMAGE

Transférer l'image de simulation du driver vers le serveur redondant

Uniquement exécutée sur le serveur redondant.

Lors de l’exécution, demande au serveur une image correspondant aux drivers sélectionnés. Le driver dispose d’un délai de 5 secondes à cette fin.

Plus de détails dans l’aide en ligne.


HLP_FKT_VAR_SOLLWERT

ID interne : HLP_FKT_VAR_SOLLWERT

Ecriture valeur prescrite

Cette fonction envoie une nouvelle valeur vers l’automate dans la variable sélectionnée.

Plus de détails dans l’aide en ligne.


HLP_FKT_VBA_IDE

ID interne : HLP_FKT_VBA_IDE

Ouvrir l'éditeur VBA

Cette fonction ouvre l’éditeur VBA.

Plus de détails dans l’aide en ligne.


HLP_FKT_VBA_MAKRO

ID interne : HLP_FKT_VBA_MAKRO

Exécuter macro VBA

Cette fonction exécute la macro VBA sélectionnée.

Attention : L’événement VBA projet inactif est exécuté avant le script AUTO_END_xxx. Par conséquent, la fonction Exécuter macro VBA de zenon n’est plus exécutée dans les scripts, car VBA n’est pas en cours d’exécution à ce stade. Les macros VBA devant être exécutées pour fermer le Runtime doivent être activées à l’aide de l’événement Project.Inactive.

Plus de détails dans l’aide en ligne.


HLP_FKT_VBA_MCR

ID interne : HLP_FKT_VBA_MCR

Montrer la boite de dialogue des macros VBA

Cette fonction ouvre la boîte de dialogue des macros VBA.

Plus de détails dans l’aide en ligne.


HLP_FKT_VBA_PCE

ID interne : HLP_FKT_VBA_PCE

Ouvrir l'éditeur PCE

Cette fonction ouvre l’éditeur du module optionnel Process Control Engine (PCE)

Plus de détails dans l’aide en ligne.


HLP_FKT_VSTA_CALLMACRO

ID interne : HLP_FKT_VSTA_CALLMACRO

Exécuter macro VSTA

Cette fonction exécute la macro VSTA sélectionnée.

Plus de détails dans l’aide en ligne.


HLP_FKT_VSTA_SHOWIDE

ID interne : HLP_FKT_VSTA_SHOWIDE

Ouvrir l'éditeur VSTA

Cette fonction ouvre l’éditeur VSTA.

Plus de détails dans l’aide en ligne.


HLP_FKT_VSTA_SHOWMACRODLG

ID interne : HLP_FKT_VSTA_SHOWMACRODLG

Montrer la boite de dialogue des macros VSTA

Cette fonction ouvre la boîte de dialogue des macros VSTA.

Plus de détails dans l’aide en ligne.


HLP_FKT_WND_AUDI_AUFUEHREN

ID interne : HLP_FKT_WND_AUDI_AUFUEHREN

Lire un fichier audio

Cette fonction lit un fichier audio (*.wav) sélectionné une fois.

Plus de détails dans l’aide en ligne.


HLP_FKT_WND_AUDI_START

ID interne : HLP_FKT_WND_AUDI_START

Son beep : début

Cette fonction lit un fichier audio (*.wav) sélectionné de façon continue.

Plus de détails dans l’aide en ligne.


HLP_FKT_WND_AUDI_STOP

ID interne : HLP_FKT_WND_AUDI_STOP

Son beep : fin

Cette fonction arrête la lecture continue d’un fichier audio (*.wav).

Plus de détails dans l’aide en ligne.


HLP_FKT_WND_BTN

ID interne : HLP_FKT_WND_BTN

Fenêtre en arrière-plan

Cette fonction bascule le Runtime du système de contrôle en tâche de fond.

Plus de détails dans l’aide en ligne.


HLP_FKT_WND_PROG_AUFUEHREN

ID interne : HLP_FKT_WND_PROG_AUFUEHREN

Exécuter un programme

Cette fonction démarre un programme externe. Des paramètres d’appel peuvent être définis. De façon optionnelle, une boîte de dialogue pour l’utilisateur peut être ouverte avant.

Plus de détails dans l’aide en ligne.


HLP_FKT_WND_TOP

ID interne : HLP_FKT_WND_TOP

Fenêtre en avant-plan

Cette fonction bascule le Runtime zenon vers le premier plan.

Attention : lorsque le Runtime passe au premier plan, il recouvre la barre d’état des alarmes.

Plus de détails dans l’aide en ligne.


HLP_GRP_FKT_ADDINFRAMEWORK

ID interne : HLP_GRP_FKT_ADDINFRAMEWORK

Add-In

Ce groupe contient les fonctions de gestion des modules complémentaires.

Plus de détails dans l’aide en ligne.


HLP_GRP_FKT_AMLCEL

ID interne : HLP_GRP_FKT_AMLCEL

Alarmes et événements

Ce groupe contient les fonctions concernant la gestion de la liste d’alarmes et de la liste d’événements (CEL).

Plus de détails dans l’aide en ligne.


HLP_GRP_FKT_ANWENDUNG

ID interne : HLP_GRP_FKT_ANWENDUNG

Application

Ce groupe contient les fonctions pour la gestion du projet.

Plus de détails dans l’aide en ligne.


HLP_GRP_FKT_ARV

ID interne : HLP_GRP_FKT_ARV

Archives

Ce groupe contient les fonctions relatives au module optionnel Serveur d’archives.

Plus de détails dans l’aide en ligne.


HLP_GRP_FKT_BATCH

ID interne : HLP_GRP_FKT_BATCH

Contrôle de batch

Fonctions du module Batch Control.

Plus de détails dans l’aide en ligne.


HLP_GRP_FKT_BILD

ID interne : HLP_GRP_FKT_BILD

Synoptiques

Ce groupe contient les fonctions pour la gestion des synoptiques.

Plus de détails dans l’aide en ligne.


HLP_GRP_FKT_FAULT_LOCATION

ID interne : HLP_GRP_FKT_FAULT_LOCATION

Détection d'erreur dans les grilles électriques

Contient des fonctions pour la détection d’erreurs dans les réseaux électriques.

Plus de détails dans l’aide en ligne.


HLP_GRP_FKT_FAVORITEN

ID interne : HLP_GRP_FKT_FAVORITEN

Favoris

Ce groupe contient les favoris personnels. Ceux-ci peuvent être adaptés à la fonction correspondante en effectuant un glisser-déplacer, ou à l’aide du menu contextuel.

Plus de détails dans l’aide en ligne.


HLP_GRP_FKT_NACHRICHT

ID interne : HLP_GRP_FKT_NACHRICHT

Module Message Control

Ce groupe contient les fonctions relatives au module optionnel Message Control.

Plus de détails dans l’aide en ligne.


HLP_GRP_FKT_NETZ

ID interne : HLP_GRP_FKT_NETZ

Réseau

Ce groupe contient les fonctions pour la gestion du réseau.

Plus de détails dans l’aide en ligne.


HLP_GRP_FKT_PASSWORT

ID interne : HLP_GRP_FKT_PASSWORT

Gestion des utilisateurs

Ce groupe contient les fonctions pour la gestion des utilisateurs.

Plus de détails dans l’aide en ligne.


HLP_GRP_FKT_REZEPT

ID interne : HLP_GRP_FKT_REZEPT

Recettes

Ce groupe contient les fonctions de gestion des recettes standard et des recettes du module optionnel Recipe Group Manager.

Plus de détails dans l’aide en ligne.


HLP_GRP_FKT_SCRIPT

ID interne : HLP_GRP_FKT_SCRIPT

Script

Ce groupe contient les fonctions pour la gestion des scripts.

Plus de détails dans l’aide en ligne.


HLP_GRP_FKT_SEQUENCE

ID interne : HLP_GRP_FKT_SEQUENCE

Séquenceur de commandes

Ce groupe contient les fonctions relatives au module Command Sequencer.

Plus de détails dans l’aide en ligne.


HLP_GRP_FKT_SHIFT_MANAGEMENT

ID interne : HLP_GRP_FKT_SHIFT_MANAGEMENT

Gestion d'équipe

Ce groupe contient les fonctions du module Gestion des équipes.

Plus de détails dans l’aide en ligne.


HLP_GRP_FKT_TABELLE

ID interne : HLP_GRP_FKT_TABELLE

Report Generator / Report Viewer / Analyzer

Ce groupe contient les fonctions des modules Report Generator et Report Viewer, ainsi que celles du produit COPA-DATA zenon Analyzer.

Plus de détails dans l’aide en ligne.


HLP_GRP_FKT_VARIABLE

ID interne : HLP_GRP_FKT_VARIABLE

Variable

Ce groupe contient les fonctions concernant les variables.

Plus de détails dans l’aide en ligne.


HLP_GRP_FKT_VBA

ID interne : HLP_GRP_FKT_VBA

VBA

Ce groupe contient les fonctions concernant les macros VBA.

Plus de détails dans l’aide en ligne.


HLP_GRP_FKT_VSTA

ID interne : HLP_GRP_FKT_VSTA

VSTA

Ce groupe contient les fonctions concernant les macros VSTA.

Plus de détails dans l’aide en ligne.


HLP_GRP_FKT_WINDOWS

ID interne : HLP_GRP_FKT_WINDOWS

Windows

Ce groupe contient les fonctions concernant Windows.

Plus de détails dans l’aide en ligne.


HLP_GRP_SHIFT_MANAGEMENT

ID interne : HLP_GRP_SHIFT_MANAGEMENT

Batch Control

Ce groupe contient les fonctions du module Batch Control.

Plus de détails dans l’aide en ligne.


ID_230TOP_PROP_B_FOS

ID interne : ID_230TOP_PROP_B_FOS

Limite pour la localisation des défauts de protection

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

TopologyBorderFOS


ID_230TOP_PROP_B_SHL

ID interne : ID_230TOP_PROP_B_SHL

Limite pour "selfhealing"

Si la propriété est définie : L’élément est considéré comme une limite d’une région à reconfiguration dynamique.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

TopologyBorderSHL


ID_230TOP_PROP_B_SV

ID interne : ID_230TOP_PROP_B_SV

Limite pour le calcul de la distribution de courant

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

TopologyBorderSV


ID_230TOP_PROP_B_WBR

ID interne : ID_230TOP_PROP_B_WBR

Limite pour régulation large

Si la propriété est définie : L’élément est considéré comme une limite d’une région à régulation large.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

TopologyBorderWBR


ID_230TOP_PROP_INVISIBLE

ID interne : ID_230TOP_PROP_INVISIBLE

invisible en runtime

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

RTInvisible


ID_230TOP_PROP_LIRE

ID interne : ID_230TOP_PROP_LIRE

Bascule direction entrée/sortie (gauche / droite)

Bascule la connexion à gauche/droite des éléments topologiques comportant une connexion directe.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

TopologyLRChanged


ID_230TOP_PROP_NC_CABLETYPE

ID interne : ID_230TOP_PROP_NC_CABLETYPE

Type de câble

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

NCCableType


ID_230TOP_PROP_NC_CURRENTMAX

ID interne : ID_230TOP_PROP_NC_CURRENTMAX

Capacité de courant porteur [A]

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

NCCCurrentMax


ID_230TOP_PROP_NC_I_MAX

ID interne : ID_230TOP_PROP_NC_I_MAX

Charge max. attribuable

Maximal load which can be assigned.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

NCCurrentMax


ID_230TOP_PROP_NC_I_VAL

ID interne : ID_230TOP_PROP_NC_I_VAL

Charge [A]

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

NCCurrentVal


ID_230TOP_PROP_NC_I_VAR

ID interne : ID_230TOP_PROP_NC_I_VAR

Valeur d'intensité/de charge mesurée

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

NCCurrentVar


ID_230TOP_PROP_NC_LENGTH

ID interne : ID_230TOP_PROP_NC_LENGTH

Longueur [m]

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

NCCLength


ID_230TOP_PROP_NC_REAKT

ID interne : ID_230TOP_PROP_NC_REAKT

Réactance [Ohm]

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

NCCReactance


ID_230TOP_PROP_NC_RESIST

ID interne : ID_230TOP_PROP_NC_RESIST

Résistance [Ohm]

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

NCCResistance


ID_230TOP_PROP_NC_TYPE

ID interne : ID_230TOP_PROP_NC_TYPE

Type

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

NCType


ID_230TOP_PROP_NC_U_VAL

ID interne : ID_230TOP_PROP_NC_U_VAL

Niveau de tension [V]

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

NCVoltageVal


ID_230TOP_PROP_NC_U_VAR

ID interne : ID_230TOP_PROP_NC_U_VAR

valeur de la mesure de tension

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

NCVoltageVar


ID_230TOP_PROP_RES_NR

ID interne : ID_230TOP_PROP_RES_NR

Type de ressource

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

TopologyResourceNr


ID_230TOP_PROP_USE_FRAME

ID interne : ID_230TOP_PROP_USE_FRAME

Utiliser effets/bordures pour découpage

Si la propriété est définie : Le cadre configuré dans Effets -> Cadre (paramètres Largeur et Distance) est utilisé pour renforcer la bordure, y compris celle d’éléments combinés.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

TopologyUseFrame


ID_230TOP_PROP_ZUORD_VAR

ID interne : ID_230TOP_PROP_ZUORD_VAR

Préfixe pour correspondance des variables

Variable servant de base aux variables dans la topologie.

Dans la topologie, vous pouvez définir une variable pour chaque ligne. Cette variable sert de base aux variables supplémentaires,

que vous définissez durant le développement de la topologie. Vous pouvez attribuer des variables orientées performances, calculées par la topologie,

à ces valeurs.

Cliquez sur le bouton pour ouvrir la boîte de dialogue de sélection de bases de données.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

NCMappingVar


ID_230TOP_PROP_ZUORD_VAR_IN

ID interne : ID_230TOP_PROP_ZUORD_VAR_IN

Prefix für Ergebnisvariablen

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être adressée comme suit pour l’API zenon (avec nom de la classe) :

NCMappingVarIn


ID_230TOP_PROP_ZUORD_VAR_OUT

ID interne : ID_230TOP_PROP_ZUORD_VAR_OUT

Prefix für Eingangsvariablen

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être adressée comme suit pour l’API zenon (avec nom de la classe) :

NCMappingVarOut


ID_230TOP_PROP_ZUORD_VAR_PREVIEW

ID interne : ID_230TOP_PROP_ZUORD_VAR_PREVIEW

Aperçu correspondance des variables

Description as text.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être adressée comme suit pour l’API zenon (avec nom de la classe) :

Info


ID_ADMINUSER

ID interne : ID_ADMINUSER

Administrateur

L’utilisateur est un administrateur. Sélection avec une case à cocher :

  • Active :
    L'utilisateur est un administrateur. Cet administrateur peut donc modifier d’autres utilisateurs dans le Runtime et déverrouiller le système.
    Inactive :
    Cet utilisateur n’est pas un administrateur et possède les autorisations utilisateur configurées.

Par défaut : inactive.
Attention : un administrateur peut uniquement déverrouiller les groupes d’autorisations qu’il possède lui-même pour d’autres utilisateurs.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

Admin


ID_ADRESSPARAM

ID interne : ID_ADRESSPARAM

Paramètre externe d'adresse

Propriété externe pour zenon Logic. Affecte uniquement les variables qui ne sont pas des variables du driver straton.
Propriétés de profil dans zenon Logic (par ex. "intégré" ou paramètres d’adressage de Profibus).

Cette propriété est uniquement affichée pour information. Édition dans zenon Logic uniquement.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

Adressparam


ID_ALARM_BEREICH_ALARMVAR

ID interne : ID_ALARM_BEREICH_ALARMVAR

Nombre alarmes actives

Variable contenant le nombre d’alarmes actives dans ce domaine d’alarmes, sous forme de valeur.
Ouvre la boîte de dialogue de sélection de variables.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

AlarmVar


ID_ALARM_BEREICH_QUITVAR

ID interne : ID_ALARM_BEREICH_QUITVAR

Nombre alarmes non-acquittées

Variable contenant le nombre d’alarmes non acquittées dans ce domaine d’alarmes, sous forme de variable.
Ouvre la boîte de dialogue de sélection de variables.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

QuitVar


ID_ALARM_BEREICH_STATUSVAR

ID interne : ID_ALARM_BEREICH_STATUSVAR

Variable d'état

Le premier octet de cette variable d’octet indique si des alarmes sont actives dans ce domaine d’alarmes.
Le deuxième bit de cette variable d’octet indique si des alarmes non acquittées existent dans ce domaine d’alarmes.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

StatusVar


ID_ALARM_BEREICHITEM_ALARMVAR

ID interne : ID_ALARM_BEREICHITEM_ALARMVAR

Nombre alarmes actives

Variable contenant, sous forme de valeur, le nombre d’alarmes actives pour la classe d’alarmes/d’événements sélectionnée dans ce domaine d’alarmes.
Ouvre la boîte de dialogue de sélection de variables

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

AlarmVar


ID_ALARM_BEREICHITEM_DELETE

ID interne : ID_ALARM_BEREICHITEM_DELETE

{Supprimer lien de classe}

L’entrée de zone est supprimée.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

DeleteEntry


ID_ALARM_BEREICHITEM_KLASSE

ID interne : ID_ALARM_BEREICHITEM_KLASSE

Classe d'alarmes/d'événements

Classe d’alarmes/d’événements pour l’entrée de domaine.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

Class


ID_ALARM_BEREICHITEM_QUITVAR

ID interne : ID_ALARM_BEREICHITEM_QUITVAR

Nombre alarmes non-acquittées

Variable contenant, sous forme de valeur, le nombre d’alarmes non acquittées pour la classe d’alarmes/d’événements sélectionnée dans ce domaine d’alarmes.
Ouvre la boîte de dialogue de sélection de variables

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

QuitVar


ID_ALARM_BEREICHITEM_STATUSVAR

ID interne : ID_ALARM_BEREICHITEM_STATUSVAR

Variable d'état

Le premier octet de cette variable d’octet indique si des alarmes actives de la classe d’alarmes/d’événements sélectionnées sont présentes dans ce domaine d’alarmes.
Le deuxième bit de cette variable d’octet indique si des alarmes non acquittées de la classe d’alarmes/d’événements sélectionnée sont présentes dans ce domaine d’alarmes.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

StatusVar


ID_ALARM_PROP_BEREICH_ID

ID interne : ID_ALARM_PROP_BEREICH_ID

No.

Identifie le domaine d’alarmes. Le numéro est attribué automatiquement et ne peut pas être modifié.

Minimum : 1

Maximum : 2147483647

Remarque : Ce numéro est unique dans un projet. Si, dans un contexte de gestion multi-projets, le même numéro est attribué à plusieurs domaines d’alarmes dans différents projets, un avertissement est affiché lors de la création des fichiers de Runtime.

Conseil : Dans le cadre de la gestion multi-projets, définissez des numéros uniques.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

Id


ID_ALARM_PROP_BEREICH_ITEMS

ID interne : ID_ALARM_PROP_BEREICH_ITEMS

Lien de classe

Ajoute les variables d’état, le nombre d’alarmes actives et le nombre d’alarmes non acquittées.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

Items


ID_ALARM_PROP_BEREICH_NAME

ID interne : ID_ALARM_PROP_BEREICH_NAME

Nom

Nom du domaine d’alarme

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

Name


ID_ALARM_PROP_BEREICH_NEU

ID interne : ID_ALARM_PROP_BEREICH_NEU

{nouveau lien vers classe}

Crée une nouvelle entrée pour le domaine d’alarmes.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

New


ID_ALARM_PROP_GRPKLS

ID interne : ID_ALARM_PROP_GRPKLS

Général

Propriétés du groupe d’alarmes/d’événements ou de la classe d’alarmes/d’événements.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

GRP_GrpCls


ID_ALARM_PROP_GRPKLS_COLOR

ID interne : ID_ALARM_PROP_GRPKLS_COLOR

Couleur

Couleur du groupe d’alarmes/d’événements ou de la classe d’alarmes/d’événements.
La couleur de la classe d’alarmes/d’événements peut également être appliquée à la liste.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

Color


ID_ALARM_PROP_GRPKLS_FUNKTION

ID interne : ID_ALARM_PROP_GRPKLS_FUNKTION

Fonction

Nom de la fonction exécutée lorsqu’une alarme de ce groupe/cette classe se déclenche. Cliquez sur le bouton pour ouvrir la boîte de dialogue de sélection de fonctions. Vous pouvez également saisir le nom de la fonction dans la zone de texte.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

Function


ID_ALARM_PROP_GRPKLS_ID

ID interne : ID_ALARM_PROP_GRPKLS_ID

No.

Identifie le groupe d’alarmes/d’événements ou la classe d’alarmes/d’événements. Le numéro est attribué automatiquement et ne peut pas être modifié.

Minimum : 1

Maximum : 2147483647

Remarque : Ce numéro est unique dans un projet. Si, dans un contexte de gestion multi-projets, le même numéro est attribué à plusieurs groupes d’alarmes/d’événements ou classes d’alarmes/d’événements dans différents projets, un avertissement est affiché lors de la création des fichiers de Runtime.

Conseil : Dans le cadre de la gestion multi-projets, définissez des numéros uniques.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

Id


ID_ALARM_PROP_GRPKLS_IMAGE

ID interne : ID_ALARM_PROP_GRPKLS_IMAGE

Fichier graphique

Sélectionnez un élément graphique pour le groupe d’alarmes/d’événements ou la classe d’alarmes/d’événements. Cliquez avec le bouton gauche sur le bouton pour ouvrir la boîte de dialogue de sélection de fichiers. Sélectionnez le fichier graphique de votre choix.

Par défaut : aucun fichier

D’autres informations sont disponibles dans l’aide en ligne des groupes d’alarmes/d’événements.

D’autres informations sont disponibles dans l’aide en ligne des classes d’alarmes/d’événements.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

Image


ID_ALARM_PROP_GRPKLS_NAME

ID interne : ID_ALARM_PROP_GRPKLS_NAME

Nom

Nom du groupe d’alarmes/d’événements ou de la classe d’alarmes/d’événements.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

Name


ID_ALARM_PROP_GRPKLS_STATUSVAR

ID interne : ID_ALARM_PROP_GRPKLS_STATUSVAR

Variable d'état

Nom de la variable dont la valeur indique si le groupe/la classe d’alarmes est actif (ou active), ou si les alarmes de ce groupe/cette classe d’alarmes sont ignorées à cet instant.

Vous pouvez uniquement sélectionner des variables de type binaire. Cliquez sur le bouton pour ouvrir la boîte de dialogue de sélection de variables. Vous pouvez également saisir le nom de la variable dans la zone de texte.

Valeur de variable la = 1 : le groupe/la classe est actif/active.

Les groupes d’alarmes/d’événements ou les classes d’alarmes/d’événements peuvent être activés par le biais de la fonction Activer/désactiver liste d'alarmes, groupes/classes d'alarmes/d'événements.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

StatusVar


ID_ALARM_PROP_GRPKLS_TEXT

ID interne : ID_ALARM_PROP_GRPKLS_TEXT

Description

Description du groupe d’alarmes/d’événements ou de la classe d’alarmes/d’événements.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

Description


ID_ALARM_VERWALTUNG

ID interne : ID_ALARM_VERWALTUNG

Alarm-Verwaltung

La boîte de dialogue de configuration de la liste d’alarmes (AML) est ouverte.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.


ID_ALPHABACKCOLOR

ID interne : ID_ALPHABACKCOLOR

Transparence de la couleur de remplissage [%]

Disponible uniquement si le paramètre Windows Basic n’a pas été sélectionné pour la propriété de projet Qualité graphique. Pour les éléments comportant la propriété Par les valeurs de luminosité, ce paramètre ne doit pas être activé.

Définit la transparence d’une couleur à l’aide d’une valeur comprise entre 0 et 100.

  • 0 : opaque.
  • 100 : transparente
  • Toutes les valeurs comprises entre ces valeurs définissent un niveau de transparence variable selon le réglage.

Par défaut : 0

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

AlphaBackColor


ID_ALPHABACKCOLOR2

ID interne : ID_ALPHABACKCOLOR2

Transparence du gradient de couleur [%]

Disponibles uniquement si l’option Linéaire a été sélectionnée dans la propriété Remplissage (type).

Disponible uniquement si le paramètre Windows Basic n’a pas été sélectionné pour la propriété de projet Qualité graphique. Pour les éléments comportant la propriété Par les valeurs de luminosité, ce paramètre ne doit pas être activé.

Définit la transparence d’une couleur à l’aide d’une valeur comprise entre 0 et 100.

  • 0 : opaque.
  • 100 : transparente
  • Toutes les valeurs comprises entre ces valeurs définissent un niveau de transparence variable selon le réglage.

Par défaut : 0

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

AlphaBackColor2


ID_ALPHACOLORRAHMEN

ID interne : ID_ALPHACOLORRAHMEN

Transparence du cadre [%]

Disponible uniquement si la propriété de projet Qualité graphique a été définie sur DirectX Hardware ou DirectX Software.
La propriété Par les valeurs de luminosité doit être activée.

Définit l’opacité de la couleur via une valeur comprise entre 0 et 100.

  • 0 : invisible
  • 100 : opaque.

Toutes les valeurs comprises entre ces valeurs définissent un niveau de transparence variable selon le réglage.

Par défaut : 0

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

AlphaBorderColor


ID_ALPHALINECOLOR

ID interne : ID_ALPHALINECOLOR

Transparence du contour [%]

Disponible uniquement si le paramètre Windows Basic n’a pas été sélectionné pour la propriété de projet Qualité graphique. Pour les éléments comportant la propriété Par les valeurs de luminosité, ce paramètre ne doit pas être activé.

Définit la transparence d’une couleur à l’aide d’une valeur comprise entre 0 et 100.

  • 0 : opaque.
  • 100 : transparente
  • Toutes les valeurs comprises entre ces valeurs définissent un niveau de transparence variable selon le réglage.

Par défaut : 0

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

AlphaLineColor


ID_AML_AKTIV

ID interne : ID_AML_AKTIV

Gestion d'alarmes active

Active : la gestion des alarmes est active dans le Runtime. Les alarmes sont enregistrées et la liste d’alarmes est disponible.
Inactive : les alarmes ne sont pas enregistrées.
Par défaut : active.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

AlarmAdminActive


ID_AML_BLINKQUIT

ID interne : ID_AML_BLINKQUIT

Acquittement clignotement

Disponible uniquement si la propriété Gestion d'alarmes active est active.
Active : Lors de l’acquittement du clignotement d’un élément, l’alarme correspondante est également acquittée dans la liste d’alarmes.
Inactive : l’acquittement du clignotement d’un élément interrompt uniquement le clignotement. L’alarme correspondante n’est pas affichée.
Par défaut : inactive.
Le clignotement des éléments peut être acquitté en effectuant un double-clic droit sur l’élément, ou par le biais de la fonction Acquitter clignotement.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

AlarmFlashAcknowledge


ID_AML_CLS_COLOR

ID interne : ID_AML_CLS_COLOR

Couleur de classe d'alarmes/d'événements

Disponible uniquement si la propriété Gestion d'alarmes active est active.

  • Ne pas utiliser : Les couleurs des classes d’alarmes/d’événements ne sont pas utilisées dans la liste d’alarmes dans le Runtime.
  • comme couleur de texte : Les couleurs des classes d’alarmes/d’événements sont utilisées comme couleurs de texte des entrées correspondantes dans la liste d’alarmes dans le Runtime.
  • Comme arrière-plan des lignes : les couleurs des classes d’alarmes/d’événements sont utilisées comme couleur d’arrière-plan des entrées correspondantes dans la liste d’alarmes dans le Runtime.

Par défaut : comme couleur de texte

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

AlarmClsColor


ID_AML_COLOR_DEL

ID interne : ID_AML_COLOR_DEL

Couleur

Disponible uniquement si la propriété Gestion d'alarmes active est active.

Uniquement disponibles pour les alarmes dont la propriété Acquittement à deux étapes est active.

Couleur des informations d’horodatage Alarme supprimée dans la liste d’alarmes. Définit également la couleur de l’élément graphique dans la colonne d’état des alarmes.

Cette couleur est uniquement utilisée pour les alarmes historiques, et non pour les alarmes actives.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

AlarmColorDel


ID_AML_COLOR_GEHT

ID interne : ID_AML_COLOR_GEHT

Couleur

Disponible uniquement si la propriété Gestion d'alarmes active est active.
Couleur de l’information Heure d’effacement dans la liste d’alarmes. Définit également la couleur de l’élément graphique dans la colonne d’état des alarmes.

Cette couleur est uniquement utilisée pour les alarmes actives, et non pour les alarmes historiques.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

AlarmColorClr


ID_AML_COLOR_KOMMT

ID interne : ID_AML_COLOR_KOMMT

Couleur

Disponible uniquement si la propriété Gestion d'alarmes active est active.
Couleur de l’information Heure de réception dans la liste d’alarmes. Définit également la couleur de l’élément graphique dans la colonne d’état des alarmes.

Cette couleur est uniquement utilisée pour les alarmes actives, et non pour les alarmes historiques.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

AlarmColorRec


ID_AML_COLOR_QUIT

ID interne : ID_AML_COLOR_QUIT

Couleur

Disponible uniquement si la propriété Gestion d'alarmes active est active.
Couleur de l’information Heure d’acquittement dans la liste d’alarmes. Définit également la couleur de l’élément graphique dans la colonne d’état des alarmes.

Cette couleur est uniquement utilisée pour les alarmes actives, et non pour les alarmes historiques.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

AlarmColorAkn


ID_AML_COMES_PREF

ID interne : ID_AML_COMES_PREF

Préfixe

Disponible uniquement si la propriété Gestion d'alarmes active est active.

Saisissez un préfixe qui sera affiché à gauche de l’information d’horodatage des alarmes reçues. Le préfixe aide à identifier rapidement l’information d’horodatage de Date/heure d'apparition. Si l’entrée est vide, aucun préfixe n’est affiché.

Par défaut : >>

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

AlarmPrefComes


ID_AML_COMES_PREF_IMAGE

ID interne : ID_AML_COMES_PREF_IMAGE

Fichier graphique pour le préfixe

Disponible uniquement si la propriété Gestion d'alarmes active est active.

Définissez un fichier qui sera affiché à gauche de l’information d’horodatage de l’alarme active, conjointement à ou à la place de Préfixe. Le fichier graphique aide à identifier rapidement l’information d’horodatage de Date/heure d'apparition. Si vous définissez un fichier conjointement à Préfixe, celui-ci sera affiché à la gauche du préfixe.

Par défaut : aucun fichier

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

AlarmPrefImageComes


ID_AML_COUNT1

ID interne : ID_AML_COUNT1

Nombre d'alarmes Message 1

Disponible uniquement si la propriété Ligne d'état active est active.
Nombre d’entrées dans la liste d’alarmes nécessaires pour que ce message soit affiché dans la ligne d’état des alarmes du Runtime. Ce message se superpose à la ligne d’état de l’alarme.
Minimum : 0 (aucun message n’est affiché)
Maximum : Taille de la mémoire circulaire
Par défaut : 0
Attention : La valeur doit être inférieure à la valeur dans la propriété Nombre d'alarmes Message 2.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

AlarmMsgCnt1


ID_AML_COUNT2

ID interne : ID_AML_COUNT2

Nombre d'alarmes Message 2

Disponible uniquement si la propriété Ligne d'état active est active.
Nombre d’entrées dans la liste d’alarmes nécessaires pour que ce message soit affiché dans la ligne d’état des alarmes du Runtime. Ce message se superpose à la ligne d’état de l’alarme.
Minimum : 0 (aucun message n’est affiché)
Maximum : Taille de la mémoire circulaire
Par défaut : 0
Attention : La valeur doit être inférieure à la valeur dans la propriété Nombre d'alarmes Message 3.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

AlarmMsgCnt2


ID_AML_COUNT3

ID interne : ID_AML_COUNT3

Nombre d'alarmes Message 3

Disponible uniquement si la propriété Ligne d'état active est active.
Nombre d’entrées dans la liste d’alarmes nécessaires pour que ce message soit affiché dans la ligne d’état des alarmes du Runtime. Ce message se superpose à la ligne d’état de l’alarme.
Minimum : 0 (aucun message n’est affiché)
Maximum : Taille de la mémoire circulaire
Par défaut : 0
Attention : La valeur doit être inférieure à la valeur dans la propriété Taille du buffer circulaire.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

AlarmMsgCnt3


ID_AML_DELETEINCEL

ID interne : ID_AML_DELETEINCEL

Confirmer acquittement de l'alarme

Disponible uniquement si la propriété Gestion d'alarmes active est active.
Active : si une alarme devant être supprimée est supprimée, une entrée est créée dans la liste d’événements (CEL).
Inactive : lorsqu’une alarme est supprimée, aucune entrée n’est créée dans la liste d’événements.
Par défaut : Inactive.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

AlarmCELDelete


ID_AML_DETACH

ID interne : ID_AML_DETACH

Gestion du buffer circulaire

Disponible uniquement si la propriété Gestion d'alarmes active est active.
En cas de dépassement du nombre d’alarmes défini dans la propriété Taille du buffer circulaire dans la mémoire, une des actions suivantes est exécutée.
Rejeter les nouvelles : Les nouvelles alarmes sont ignorées. Attention : Elles ne sont donc pas enregistrées et sont effacées !
Déplacer la plus ancienne : Une nouvelle alarme entraîne le déplacement de l’alarme la plus ancienne de la mémoire circulaire vers le fichier correspondant. Exemple : avec une mémoire circulaire de 5 entrées, la sixième alarme est déplacée vers le fichier correspondant et remplacée par la sixième alarme actuellement active (cf. le fonctionnement d’une file d’attente).
Déplacer la plus récente : une nouvelle alarme déplace l’alarme la plus récente de la mémoire circulaire vers le fichier correspondant. Exemple : avec une mémoire circulaire de 5 entrées, la cinquième alarme est déplacée vers le fichier correspondant lorsque la sixième alarme apparaît. La septième alarme devient la sixième, et ainsi de suite.

Par défaut : Déplacer la plus ancienne

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

AlarmDetach


ID_AML_GOES_PREF

ID interne : ID_AML_GOES_PREF

Préfixe

Disponible uniquement si la propriété Gestion d'alarmes active est active.

Saisissez un préfixe qui sera affiché à gauche de l’information d’horodatage des alarmes reçues. Le préfixe aide à identifier rapidement l’information d’horodatage de Date/heure de disparition. Si l’entrée est vide, aucun préfixe n’est affiché.

Par défaut : >>

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

AlarmPrefGoes


ID_AML_GOES_PREF_IMAGE

ID interne : ID_AML_GOES_PREF_IMAGE

Fichier graphique pour le préfixe

Disponible uniquement si la propriété Gestion d'alarmes active est active.

Définissez un fichier qui sera affiché à gauche de l’information d’horodatage de l’alarme désactivée, conjointement à ou à la place de Préfixe. Le fichier graphique aide à identifier rapidement l’information d’horodatage de Date/heure de disparition. Si vous définissez un fichier conjointement à Préfixe, celui-ci sera affiché à la gauche du préfixe.

Par défaut : aucun fichier

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

AlarmPrefImageGoes


ID_AML_GRP_CLEARED

ID interne : ID_AML_GRP_CLEARED

Date/heure de disparition

Propriétés de l’affichage de l’indication Alarme désactivée dans la liste d’alarmes.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

GRP_AML_Cleared


ID_AML_GRP_COLOR

ID interne : ID_AML_GRP_COLOR

Farben AML-Einträge

Propriétés de définition des couleurs dans la liste d’alarmes.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) : ""


ID_AML_GRP_DEL

ID interne : ID_AML_GRP_DEL

Confirmer acquittement de l'alarme

Propriétés de l’affichage de l’indication Alarme supprimée dans la liste d’alarmes.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

GRP_AML_Deleted


ID_AML_GRP_IMAGE

ID interne : ID_AML_GRP_IMAGE

Graphik AML-Einträge

Propriétés des paramètres graphiques de la liste d’alarmes.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :


ID_AML_GRP_MEM

ID interne : ID_AML_GRP_MEM

Stockage des données d'alarmes

Propriétés de l’enregistrement d’alarmes dans la mémoire principale et sur le disque dur.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

GRP_AML_Mem


ID_AML_GRP_QUIT

ID interne : ID_AML_GRP_QUIT

Date/heure d'acquittement

Propriétés de l’affichage de l’indication Alarme acquittée dans la liste d’alarmes.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

GRP_AML_Acknowledged


ID_AML_GRP_RECIVED

ID interne : ID_AML_GRP_RECIVED

Date/heure d'apparition

Propriétés de l’affichage de l’indication Alarme reçue dans la liste d’alarmes.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

GRP_AML_Received


ID_AML_GRP_STATUSBAR

ID interne : ID_AML_GRP_STATUSBAR

Ligne d'état des alarmes

Propriétés de la ligne d’état de la fenêtre Gestion des alarmes.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

GRP_AML_StatusBar


ID_AML_IMAGE_DEL

ID interne : ID_AML_IMAGE_DEL

Fichier graphique pour l'état

Sélectionnez un fichier graphique correspondant à l’état Alarme supprimée. Vous pouvez afficher ce fichier dans le Runtime, dans la liste d’alarmes, à la place de la couleur sélectionnée pour l’état. Pour cela, affichez le type dans le filtre de la liste AML dans l’onglet Paramétrage des colonnes, sélectionnez le type d’affichage Fichier graphique pour la colonne d’état de l’alarme.

Par défaut : aucun fichier

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

AlarmImageDel


ID_AML_IMAGE_GEHT

ID interne : ID_AML_IMAGE_GEHT

Fichier graphique pour l'état

Sélectionnez un fichier graphique correspondant à l’état Alarme désactivée. Vous pouvez afficher ce fichier dans le Runtime, dans la liste d’alarmes, à la place de la couleur sélectionnée pour l’état. Pour cela, dans le filtre de la liste AML dans l’onglet Paramétrage des colonnes, sélectionnez le type d’affichage Fichier graphique pour la colonne d’état de l’alarme.

Par défaut : aucun fichier

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

AlarmImageClr


ID_AML_IMAGE_KOMMT

ID interne : ID_AML_IMAGE_KOMMT

Fichier graphique pour l'état

Sélectionnez un fichier graphique correspondant à l’état Alarme reçue. Vous pouvez afficher ce fichier dans le Runtime, dans la liste d’alarmes, à la place de la couleur sélectionnée pour l’état. Pour cela, dans le filtre de la liste AML dans l’onglet Paramétrage des colonnes, sélectionnez le type d’affichage Fichier graphique pour la colonne d’état de l’alarme.

Par défaut : aucun fichier

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

AlarmImageRec


ID_AML_IMAGE_QUIT

ID interne : ID_AML_IMAGE_QUIT

Fichier graphique pour l'état

Sélectionnez un fichier graphique correspondant à l’état Alarme désactivée. Vous pouvez afficher ce fichier dans le Runtime, dans la liste d’alarmes, à la place de la couleur sélectionnée pour l’état. Pour cela, dans le filtre de la liste AML dans l’onglet Paramétrage des colonnes, sélectionnez le type d’affichage Fichier graphique pour la colonne d’état de l’alarme.

Par défaut : aucun fichier

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

AlarmImageAkn


ID_AML_LISTENTRY

ID interne : ID_AML_LISTENTRY

Paramètres des colonnes alarmes

Disponible uniquement si la propriété Gestion d'alarmes active est active.
Ouvre la boîte de dialogue de définition des colonnes affichées dans la liste d’alarmes.
Ces paramètres sont les paramètres par défaut de la liste d’alarmes, du filtre de liste d’alarmes et de la ligne d’état d’alarmes. Ces paramètres par défaut peuvent être modifiés lors de la définition de chaque fonction d’alarme.

Ces paramètres s’appliquent également lors de l’exportation au format CSV, XML ou DBF.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

AlarmListEntry


ID_AML_LST_STYLE

ID interne : ID_AML_LST_STYLE

En-tête liste d'alarmes

Disponible uniquement si la propriété Gestion d'alarmes active est active.

  • Pas d’en-tête : dans la liste d’alarmes, aucun en-tête comportant un intitulé de colonne n’est affiché dans le Runtime.
  • En-tête fixe : un en-tête fixe, comportant les intitulés de colonne correspondants, est affiché dans la liste d’alarmes.
  • Actions autorisées sur en-têtes de colonne : Un en-tête modifiable, comportant les intitulés de colonne correspondants, est affiché dans la liste d’alarmes. Les largeurs des colonnes individuelles peuvent être modifiées dans le Runtime. Vous pouvez effectuer un tri selon la colonne de votre choix.

Attention : Les paramètres Pas d’en-tête et Actions autorisées sur les en-têtes de colonne sont uniquement fonctionnels dans le Runtime si la propriété Paramètres du graphique étendu a été désactivée pour l’élément Liste de la propriété de synoptique AML ou, dans les paramètres du projet, la propriété Qualité graphique dans le groupe Apparence graphique a été définie sur Windows Basic.
Par défaut : Actions autorisées sur en-têtes de colonne

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

AlarmHeader


ID_AML_MEMCOUNT

ID interne : ID_AML_MEMCOUNT

Taille du buffer circulaire

Disponible uniquement si la propriété Gestion d'alarmes active est active.
Nombre maximum d’entrées de la mémoire circulaire.

Minimum : 1
Maximum : 32767
Par défaut : 100

Recommandation : définir une taille au moins égale au nombre de variables pour lesquelles des alarmes peuvent se déclencher.

Attention : la taille de la mémoire circulaire doit toujours être choisie de manière adéquate. Dans le Runtime, la mémoire circulaire est gérée de manière dynamique dans la mémoire. Ainsi, des alarmes dépassant la taille de la mémoire circulaire peuvent être affichées. Dans le fichier d’enregistrement de la mémoire circulaire (alarm.bin), les alarmes sont enregistrées jusqu’à ce que le nombre défini soit atteint. Toutes les entrées sont également insérées dans le fichier d’alarmes (*.aml) situé dans le dossier de Runtime. Les deux fichiers sont synchronisés. En cas de dépassement de capacité de la mémoire circulaire, des entrées non acquittées peuvent être insérées dans le fichier d’alarme.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

AlarmMemCount


ID_AML_MITREAKTZEIT

ID interne : ID_AML_MITREAKTZEIT

Utiliser heure de réactivation

Disponible uniquement si la propriété Gestion d'alarmes active est active.
Active : Si une même alarme se déclenche plusieurs fois d’affilée, une seule ligne est affichée dans la liste d’alarmes. Des informations supplémentaires (par ex., compteur d’alarmes) peuvent être affichées dans la liste.
Inactive : chaque alarme reçoit sa propre ligne dans la liste d’alarmes.
Par défaut : Inactive.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

AlarmTimeReactive


ID_AML_MSG1

ID interne : ID_AML_MSG1

Texte message 1

Disponible uniquement si la propriété Nombre d'alarmes Message 1 est supérieure à 0.
Texte du message correspondant à la propriété Nombre d'alarmes Message 1, affiché dans la ligne d’état dans le Runtime. Ce message se superpose à la ligne d’état de l’alarme.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

AlarmMsg1


ID_AML_MSG2

ID interne : ID_AML_MSG2

Texte message 2

Disponible uniquement si la propriété Nombre d'alarmes Message 2 est supérieure à 0.
Texte du message correspondant à la propriété Nombre d'alarmes Message 2, affiché dans la ligne d’état dans le Runtime. Ce message se superpose à la ligne d’état de l’alarme.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

AlarmMsg2


ID_AML_MSG3

ID interne : ID_AML_MSG3

Texte message 3

Disponible uniquement si la propriété Nombre d'alarmes Message 3 est supérieure à 0.
Texte du message correspondant à la propriété Nombre d'alarmes Message 3, affiché dans la ligne d’état dans le Runtime. Ce message se superpose à la ligne d’état de l’alarme.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

AlarmMsg3


ID_AML_ONLY_STACK

ID interne : ID_AML_ONLY_STACK

Enregistrer les données d'alarmes

Disponible uniquement si la propriété Gestion d'alarmes active est active.

  • Mémoire circulaire uniquement : seules les alarmes actives (alarm.bin) sont enregistrées sur le disque dur.
  • Mémoire circulaire et données historiques : Les alarmes historiques (*.aml) sont également enregistrées.
  • Par défaut : sur les plates-formes CE, seule la mémoire circulaire (alarm.bin) est enregistrée sur le disque dur ; sur PC, les entrées historiques (*.aml) sont également enregistrées.

Par défaut : Par défaut :.
Les fichiers (alarm.bin et *.aml) sont enregistrés dans le dossier \dossier du projet\nom de l’ordinateur\nom du projet.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

AmlOnlyStack


ID_AML_QUIT_PREF

ID interne : ID_AML_QUIT_PREF

Préfixe

Disponible uniquement si la propriété Gestion d'alarmes active est active.

Saisissez un préfixe qui sera affiché à gauche de l’information d’horodatage des alarmes acquittées. Le préfixe aide à identifier rapidement l’information d’horodatage de Date/heure d'acquittement. Si l’entrée est vide, aucun préfixe n’est affiché.

Par défaut : --

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

AlarmPrefQuit


ID_AML_QUIT_PREF_IMAGE

ID interne : ID_AML_QUIT_PREF_IMAGE

Fichier graphique pour le préfixe

Disponible uniquement si la propriété Gestion d'alarmes active est active.

Définissez un fichier qui sera affiché à gauche de l’information d’horodatage de l’alarme acquittée, conjointement à ou à la place de Préfixe. Le fichier graphique aide à identifier rapidement l’information d’horodatage de Date/heure d'acquittement. Si vous définissez un fichier conjointement à Préfixe, celui-ci sera affiché à la gauche du préfixe.

Par défaut : aucun fichier

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

AlarmPrefImageQuit


ID_AML_QUITINCEL

ID interne : ID_AML_QUITINCEL

Acquittement d'alarme

Disponible uniquement si la propriété Gestion d'alarmes active est active.
Active : si une alarme est acquittée, une entrée est créée dans la liste d’événements (CEL).
Inactive : l’acquittement d’une alarme ne déclenche pas une entrée dans la liste d’événements.
Par défaut : Inactive.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

AlarmCELAcknowledge


ID_AML_STATUS_AKTIV

ID interne : ID_AML_STATUS_AKTIV

Ligne d'état active

Disponible uniquement si la propriété Gestion d'alarmes active est active.

  • Active :
    dès qu’une alarme se produit, une ligne d’état rouge présentant des informations sur l’alarme est affichée en haut de l’écran dans le Runtime. Dans cette ligne d’état, l’alarme peut également être acquittée avec un double-clic droit si l’utilisateur connecté dispose des autorisations correspondantes.
  • Inactive :
    aucune ligne d’état n’est affichée.

Par défaut : active

Avertissement concernant la gestion multi-projet : La configuration dans le projet d’intégration définit le comportement des sous-projets, indépendamment de la configuration des sous-projets. La ligne d’état des alarmes du projet de niveau supérieur est toujours utilisée dans le Runtime.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

AlarmStatusActive


ID_AML_STATUS_DISPLAY

ID interne : ID_AML_STATUS_DISPLAY

Visualisation

Disponible uniquement si la propriété Ligne d'état active est active.

  • Alarme la plus ancienne : selon la configuration de la propriété afficher suivante, seule l’alarme la plus ancienne non encore acquittée est affichée dans la ligne d’état dans le Runtime (inactive), ou l’alarme la plus ancienne est affichée la première (active).
  • Alarme la plus récente : selon la configuration de la propriété afficher suivante, seule l’alarme la plus récente non encore acquittée est affichée dans la ligne d’état dans le Runtime (inactive), ou l’alarme la plus ancienne est affichée la première (active).

Par défaut : alarme la plus ancienne

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

AlarmStatusDisplay


ID_AML_STATUS_FONT

ID interne : ID_AML_STATUS_FONT

Police

Disponible uniquement si la propriété Ligne d'état active est active.
Police utilisée pour la ligne d’état dans le Runtime.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

AlarmStatusFont


ID_AML_STATUS_SUBSEQ

ID interne : ID_AML_STATUS_SUBSEQ

afficher suivante

Disponible uniquement si la propriété Ligne d'état active est active.

  • Active : Toutes les alarmes non acquittées sont affichées les unes après les autres dans la ligne d’état dans le Runtime. Dès qu’une alarme est acquittée avec un double-clic droit, l’alarme suivante est affichée. Selon la configuration de la propriété Visualisation, l’alarme la plus ancienne ou la plus récente est affichée la première.
  • Inactive : seule une alarme est affichée dans la ligne d’état. La ligne d’état est vide lorsque l’alarme a été acquittée.

Par défaut : active

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

AlarmStatusAlign


ID_AML_UNACKBLINK

ID interne : ID_AML_UNACKBLINK

Les alarmes non acquittées clignotent

Active : Les lignes qui n’ont pas été sélectionnées et comportent des alarmes non acquittées clignotent dans la liste d’alarmes.

Par défaut : Inactive

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

AlarmUnackBlink


ID_AUTOLOGOFFTIME

ID interne : ID_AUTOLOGOFFTIME

Temps [min]

Délai d’inactivité (en minutes) après lequel un utilisateur est automatiquement déconnecté si la propriété Activer déconnexion automatique est active.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

AutoLogoutTime


ID_AUTOLOGOUT

ID interne : ID_AUTOLOGOUT

Activer déconnexion automatique

  • Active : L’utilisateur est automatiquement déconnecté en cas d’inactivité pendant la période définie dans la propriété Temps [min].
  • Inactive : L’utilisateur n’est pas automatiquement déconnecté par le système.

Par défaut : Inactive

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

AutoLogout


ID_BACKUP_FILE_NAME

ID interne : ID_BACKUP_FILE_NAME

Nom de fichier

Nom du fichier de sauvegarde.
Par défaut : AAAA-MM-JJ_hh-mm-ss Nomduprojet.zip.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

Name


ID_BiffiDCM_NV

ID interne : ID_BiffiDCM_NV

NV-Index

L’indice NV concerne uniquement les données de nœud.

Saisissez ici l’indice de variable de réseau (NVI/NVO) de la variable.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

NV-Index


ID_BiffiDCM_SENDDIRECT

ID interne : ID_BiffiDCM_SENDDIRECT

Send directly

Ce paramètre concerne uniquement les données de nœud.

Ici, vous pouvez spécifier si une valeur définie sera transférée au DCM directement, ou via un buffer.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

Send_direct


ID_BiffiDCM_TRANSIENT

ID interne : ID_BiffiDCM_TRANSIENT

Transient command

Ce paramètre concerne uniquement les données de nœud.

Ici, vous pouvez spécifier si une valeur actuelle reçue par le biais d’un événement de commande sera automatiquement réinitialisée à 0 par le driver (informations transitoires, par ex. ICON2K Ouvrir, Fermer, Arrêter)

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

Transient


ID_BURPVI_ADDRESS

ID interne : ID_BURPVI_ADDRESS

PVI Name

Le nom de la variable de l’automate. Ce nom est généré à partir du nom de la tâche/nom de la variable.

Remarque : Les variables globales sont uniquement utilisables si elles sont intégrées à une tâche. Les variables globales sont donc toujours affichées avec les variables de la tâche lors de l’importation en ligne ; elles sont donc également traitées comme les variables de la tâche : Nom de la tâche/nom de la variable.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

BURPVI_ADDRESS


ID_BURPVI_GROUP

ID interne : ID_BURPVI_GROUP

PVI Address

Informations d’adressage pour le driver Bernecker und Reiner PVI (BURPVI)

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

GRP_PVI_Address


ID_BURPVI_VL_LENGTH

ID interne : ID_BURPVI_VL_LENGTH

PVI Length (VL)

Longueur de la variable en octets.
Pour les variables uniques, la longueur de la variable est égale à la longueur des données du procédé. Pour les variables de terrain, la longueur de la variable détermine la longueur de l’élément.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

BURPVI_VL_LENGTH


ID_BURPVI_VN_ELEMENTS

ID interne : ID_BURPVI_VN_ELEMENTS

PVI Number of Elements (VN)

Nombre d’éléments au niveau des variables de terrain.
Pour les variables de terrain multidimensionnelles, le nombre d’éléments de toutes les dimensions de terrain est indiqué (par exemple : var[10][5] => VN =50).

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

BURPVI_VN_ELEMENTS


ID_BURPVI_VT_TYPE

ID interne : ID_BURPVI_VT_TYPE

PVI Type (VT)

Type de variable dans l’automate. Les valeurs utilisables sont décrites dans le manuel en ligne. En utilisant un type de données déviant dans zenon, il est possible de déclencher la création définitive d’un type.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

BURPVI_VT_TYPE


ID_CEL_AKTIV

ID interne : ID_CEL_AKTIV

Gestion des événements active

  • Active : la liste d’événements (CEL) est active dans le Runtime. Les événements sont consignés et la liste CEL est disponible.
  • Inactive : aucun événement n’est enregistré.

Par défaut : active

Remarque : Les modifications prennent effet après le redémarrage du Runtime.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

CELAdminActive


ID_CEL_ARCHIVE_CHANGE

ID interne : ID_CEL_ARCHIVE_CHANGE

Données d'archive

Disponible uniquement si la propriété Gestion des événements active est active.

  • Pas de traitement : l’édition des archives est consignée dans la liste CEL.
  • Enregistrer les modifications : L’édition des archives est consignée dans la liste CEL :
    • Nom du fichier d’archive
    • Nouvelle et ancienne valeurs des variables
    • Nouvelles et anciennes informations d’horodatage des variables
    • Nom variable

Par défaut : Pas de connexions

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

ArchiveChangeToCEL


ID_CEL_CLS_COLOR

ID interne : ID_CEL_CLS_COLOR

Couleur de classe d'alarmes/d'événements

Disponible uniquement si la propriété Gestion des événements active est active.

Ne pas utiliser : Les couleurs des classes d’alarmes/d’événements ne sont pas utilisées dans la liste CEL dans le Runtime.

comme couleur de texte : les couleurs des classes d’alarmes/d’événements sont utilisées comme couleur de texte des entrées correspondantes dans la liste CEL dans le Runtime. Elles remplacent la sélection de la propriété texte trié.

Comme arrière-plan des lignes : Les couleurs des classes d’alarmes/d’événements sont utilisées comme couleurs d’arrière-plan des entrées correspondantes dans la liste CEL dans le Runtime.

Par défaut : comme couleur de texte

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

CELClsColor


ID_CEL_COLOR_SORT

ID interne : ID_CEL_COLOR_SORT

texte trié

Disponible uniquement si la propriété Gestion des événements active est active.

Définit la couleur du texte de l’entrée dans la liste d’événements (CEL).
Remarques :

  • Si vous choisissez l’option Comme couleur de texte pour la propriété Couleur de classe d'alarmes/d'événements, cette couleur est prioritaire pour la sélection dans texte trié.
  • Pour SICAM 230 : pour utiliser la même couleur partout dans la liste, vous devez sélectionner la même couleur pour la propriété texte non trié.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

CELColorSort


ID_CEL_COLOR_UNSORT

ID interne : ID_CEL_COLOR_UNSORT

texte non trié

Disponible uniquement si la propriété Gestion des événements active est active.
Couleur du texte des entrées non triées de la liste d’événements (CEL).

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

CELColorUnsort


ID_CEL_GRP_ALLGEMEIN

ID interne : ID_CEL_GRP_ALLGEMEIN

Enregistrement (fichier journal)

Propriétés générales de la liste d’événements (CEL).

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

GRP_CEL_Common


ID_CEL_GRP_COLOR

ID interne : ID_CEL_GRP_COLOR

Couleurs des entrées de la liste d'événements

Propriétés de définition des couleurs de la liste d’événements (CEL).

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

GRP_CEL_Color


ID_CEL_GRP_MEM

ID interne : ID_CEL_GRP_MEM

Stockage des événements

Propriétés de l’enregistrement des entrées de la liste d’événements (CEL) dans la mémoire principale et sur le disque dur.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

GRP_CEL_Mem


ID_CEL_LISTENTRY

ID interne : ID_CEL_LISTENTRY

Paramètres des colonnes liste d'événements

Disponible uniquement si la propriété Gestion des événements active est active.
Ouvre la boîte de dialogue de configuration des colonnes de la liste CEL.
Ces paramètres sont considérés comme les paramètres par défaut et peuvent être modifiés lors de la définition des fonctions individuelles de la liste CEL.

Ces paramètres s’appliquent également lors de l’exportation au format CSV, XML ou DBF.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

CELListEntry


ID_CEL_LST_STYLE

ID interne : ID_CEL_LST_STYLE

En-tête liste d'événements

Disponible uniquement si la propriété Gestion des événements active est active.

  • Pas d’en-tête : Dans la liste d’événements, aucun en-tête comportant un intitulé de colonne n’est affiché dans le Runtime.
  • En-tête fixe : Un en-tête fixe, comportant les intitulés de colonne correspondants, est affiché dans la liste CEL.
  • Actions autorisées sur en-têtes de colonne : Un en-tête configurable, comportant les intitulés de colonne correspondants, est affiché dans la liste CEL dans le Runtime. Les colonnes individuelles peuvent être déplacées dans le Runtime et être triées en fonction d’une colonne au choix de l’utilisateur.

Par défaut : Actions autorisées sur en-têtes de colonne

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

CELHeader


ID_CEL_MEMCOUNT

ID interne : ID_CEL_MEMCOUNT

Taille du buffer circulaire

Disponible uniquement si la propriété Gestion des événements active est active.
Taille de la mémoire circulaire de la liste CEL. En cas de dépassement de capacité de la mémoire circulaire (cel.bin), les entrées sont transférées vers l’archive CEL (*.cel).
Minimum : 1
Maximum : 32767
Par défaut : 100

Remarque : dans le Runtime, il est possible que le nombre d’entrées affiché soit supérieur au nombre défini, car les anciennes entrées sont uniquement supprimées de la liste CEL lors de la mise à jour de la liste.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

CELMemCount


ID_CEL_ONLY_STACK

ID interne : ID_CEL_ONLY_STACK

Enregistrer les événements

Disponible uniquement si la propriété Gestion des événements active est active.

  • Mémoire circulaire et données historiques : toutes les entrées de la liste CEL (*.cel) sont enregistrées.
  • Mémoire circulaire uniquement : seul un nombre défini d’entrées de la liste CEL (cel.bin) sont enregistrées. Ce nombre est défini par le biais de la propriété Taille du buffer circulaire.
  • Par défaut : sur les plates-formes CE, seule la mémoire circulaire (cel.bin) est enregistrée sur le disque dur ; sur PC, les entrées historiques (*.cel) sont également enregistrées.

Par défaut : Par défaut
Les fichiers (cel.bin et *.cel) sont enregistrés dans le dossier \dossier du projet\nom de l’ordinateur\nom du projet.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

CelOnlyStack


ID_CEL_RECIPE_CHANGE

ID interne : ID_CEL_RECIPE_CHANGE

Modification de recettes

Disponible uniquement si la propriété Gestion des événements active est active.

  • Pas de traitement :
    Pas de traitement : la modification de recettes standard et de recettes dans le module Recipe Group Manager (RGM) n’est pas consignée dans la liste CEL.
  • Enregistrer les recettes :
    en cas de modification d’une recette, celle-ci est enregistrée avec le nom de la recette modifiée dans la liste CEL.
  • Enregistrer les recettes et valeurs :
    Les informations suivantes sont enregistrées dans la liste CEL en cas de modification de la recette :
    • Nom de la recette
    • Nouvelle et ancienne valeurs des variables
    • Nom des variables

Par défaut : Pas de traitement

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

RecipeChangeToCEL


ID_CEL_RECIPE_WRITE

ID interne : ID_CEL_RECIPE_WRITE

Envoi de recettes

Disponible uniquement si la propriété Gestion des événements active est active.

  • Pas de traitement : Pas de traitement : la modification de recettes standard et de recettes dans le module Recipe Group Manager (RGM) n’est pas consignée dans la liste CEL.
  • Enregistrer les recettes : Lors de l’envoi d’une recette, l’envoi est enregistré avec le nom de la recette dans la liste CEL.
  • Enregistrer les recettes et valeurs : Lors de l’écriture d’une recette, celle-ci est enregistrée dans la liste CEL avec les informations suivantes :
    • Nom de la recette
    • Nouvelle et ancienne valeurs des variables
    • Nom des variables

Par défaut : Pas de traitement

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

RecipeWriteToCEL


ID_CEL_SPONTAN

ID interne : ID_CEL_SPONTAN

Mettre à jour automatiquement

Disponible uniquement si la propriété Gestion des événements active est active.

  • Active : lorsque la liste CEL est ouverte dans le Runtime, les événements modifiés sont immédiatement ajoutés lorsqu’ils se produisent.
  • Inactive : lorsque la liste CEL est ouverte, les entrées modifiées sont uniquement ajoutées avant l’écriture d’une valeur dans l’automate. La valeur présente dans l’automate avant l’écriture est alors insérée en tant que valeur réelle dans la liste CEL.
    Les nouvelles entrées sont ajoutées lors de la prochaine ouverture de la liste CEL.

Par défaut : active

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

CELSpontan


ID_CEL_SYSMSGPRT

ID interne : ID_CEL_SYSMSGPRT

Imprimer messages système

Active : lors de l’impression en ligne, les messages système sont également imprimés.
Inactive : lors de l’impression en ligne, les messages système ne sont pas imprimés.
Par défaut : active

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

CELSysMsgPrint


ID_CEL_VERWALTUNG

ID interne : ID_CEL_VERWALTUNG

CEL-Verwaltung

La boîte de dialogue de configuration de la liste d’événements (CEL) s’affiche.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

CELAdministration


ID_CHANGELOG_COMMENT

ID interne : ID_CHANGELOG_COMMENT

Commentaire

Commentaires associés à l’entrée sélectionnée dans l’historique des modifications.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

Comment


ID_CHANGELOG_FILTER_DATASETS

ID interne : ID_CHANGELOG_FILTER_DATASETS

Max. Datensätze

Définit le nombre maximum d’entrées affichées dans la vue de liste.
Minimum : 0.
Ceci signifie que toutes les entrées sont affichées.
Maximum : 2147483647
Par défaut : 1000.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

Datensätze


ID_CHANGELOG_FILTER_PROP_GRP0

ID interne : ID_CHANGELOG_FILTER_PROP_GRP0

Erweiterter Filter

Propriétés du filtrage avancé de l’historique des modifications.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :


ID_CHANGELOG_FILTER_TIME_MAX

ID interne : ID_CHANGELOG_FILTER_TIME_MAX

Max. Zeitstempel

Disponible uniquement si la propriété Intervalle est active :
Heure la plus récente des entrées affichées.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

TimestampMax


ID_CHANGELOG_FILTER_TIME_MIN

ID interne : ID_CHANGELOG_FILTER_TIME_MIN

Min. Zeitstempel

Disponible uniquement si la propriété Intervalle est active :
Heure la moins récente des entrées affichées.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

TimestampMin


ID_CHANGELOG_FILTER_TIMERANGE

ID interne : ID_CHANGELOG_FILTER_TIMERANGE

Zeitbereich aktiv

Active : Les entrées peuvent être filtrées en fonction d’une plage de temps.
Inactive : Les entrées ne peuvent pas être filtrées en fonction d’une plage de temps.
Par défaut : inactive.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

TimeRange


ID_CHANGELOG_PROP_GRP0

ID interne : ID_CHANGELOG_PROP_GRP0

Général

Propriétés générales des entrées dans l’historique des modifications.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

GRP_General


ID_COLOR_COLOR_GRP

ID interne : ID_COLOR_COLOR_GRP

Couleur

Contient toutes les propriétés des couleurs de la palette.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

GRP_Color


ID_COLOR_COLOR_NAME

ID interne : ID_COLOR_COLOR_NAME

Nom couleur

Nom de la couleur.

Par défaut : Couleur suivie d’un numéro d’indice, par exemple Couleur 1.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

ColorName


ID_COLOR_COLOR_VALUE

ID interne : ID_COLOR_COLOR_VALUE

Couleur

Permet de sélectionner ou définir la couleur. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de couleurs ou de palettes de couleurs. La saisie peut également être effectuée directement dans le champ, sous forme de valeur hexadécimale précédée de #.

Par défaut : Blanc (#FFFFFF)

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

ColorValue


ID_COLOR_PALETTE_GRP

ID interne : ID_COLOR_PALETTE_GRP

Palette de couleurs

Contient les propriétés de la palette.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

GRP_Palette


ID_COLOR_PALETTE_NAME

ID interne : ID_COLOR_PALETTE_NAME

Nom palette

Nom de la palette.

Par défaut : Palette de couleur suivi d’un numéro d’indice, par exemple Palette de couleur 1.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

PaletteName


ID_COLORRAHMEN

ID interne : ID_COLORRAHMEN

Couleur de la bordure

Détermine la couleur du cadre de l’élément. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de couleurs ou de palettes de couleurs. La saisie peut également être effectuée directement dans le champ, sous forme de valeur hexadécimale précédée de #. Si vous sélectionnez Automatique, la valeur de la couleur change en fonction de la valeur de Couleur de remplissage.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

BorderColor


ID_COMPLEXITEM_BITOFFSET

ID interne : ID_COMPLEXITEM_BITOFFSET

Décalage bit

Numéro de bit de l’élément structurel dans la structure.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

BitOffset


ID_COMPLEXITEM_HASREF

ID interne : ID_COMPLEXITEM_HASREF

Lié au type de données

Active : L’élément est lié au type de données de base. Les modifications apportées au type de données de base ont une incidence directe sur l’élément. Les propriétés de l’élément ne peuvent plus être modifiées.
Inactive : L’élément n’est plus lié au type de données de base.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

HasRef


ID_COMPLEXITEM_INDEX

ID interne : ID_COMPLEXITEM_INDEX

Pos. dans la structure

Position de la variable dans la structure.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

ItemIndex


ID_COMPLEXITEM_OFFSET

ID interne : ID_COMPLEXITEM_OFFSET

Offset

Décalage de l’élément structurel dans la structure.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

Offset


ID_DELUSER

ID interne : ID_DELUSER

Supprimer utilisateurs

  • Active : La suppression d’un utilisateur dans le Runtime est autorisée.
  • Inactive : Les utilisateurs peuvent uniquement être marqués comme supprimés. L’utilisateur reste présent dans la liste d’utilisateurs, mais n’est plus valide dans le Runtime (conformément aux directives de la FDA).

Par défaut : active

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

DelUser


ID_DISABLEDBUTTONS

ID interne : ID_DISABLEDBUTTONS

Boutons protégés

Disponible uniquement si la propriété Connexion temporaire active est inactive.
Détermine l’apparence des boutons verrouillés en fonction de la configuration des autorisations de l’utilisateur. Dans le Runtime, cet élément est associé à la propriété Boutons verrouillés (Apparence graphique) pour autoriser l’utilisation des touches.

Formats possibles :

  • Gris
  • Normal
  • Invisible

Par défaut : Normal

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

DisabledButtonStyle


ID_DNP3_OPERATION

ID interne : ID_DNP3_OPERATION

Command Mode

Sélection du mode de commande dans la liste déroulante :

  • Automatic SBO: Une commande Select est effectuée lors de l’écriture. Lorsque la commande Selects est confirmée par la station distante, une commande Operate est émise. L’état des variables est défini sur CoT_actterm. Ceci s’applique aux Outputs binaires et aux Outputs analogiques. Une BOOL Output binaire peut également être utilisée pour Close et Trip via la gestion des commandes en définissant le paramètre QoC sur 2.
  • Direct Operate: Function Code 0x5 - Direct Operate est utilisé pour l’écriture de Outputs binaires et de Outputs analogiques.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

Command_Mode


ID_DNP3_SCANGROUP

ID interne : ID_DNP3_SCANGROUP

Scangroup

Plus de détails dans l’aide en ligne

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

Scangroup


ID_DNP3_VARIATION

ID interne : ID_DNP3_VARIATION

Variation

Sélectionnez la variation dans la liste déroulante.

  • Par défaut : La variation transmise par la station distante est utilisée pour les variables.
    En cas d’utilisation d’une variation différente de celle de la station distante, ou d’une variation spécifique aux variables n’appartenant pas à une classe, mais devant néanmoins être lues, une variation alternative peut être définie. Effectuez votre sélection dans la liste déroulante. Les alternatives proposées dépendent du type d’objet de driver des variables. Les valeurs numériques correspondent aux valeurs de variation autorisées pour ce type de données.

Le driver nécessite une lecture manuelle avec la variation définie après chaque requête Classe 0 ou en cas de déclenchement par une variable de requête de classe. SI une variation autre que Par défaut est sélectionnée, la propriété Variable lue en permanence est toujours activée.

Remarque : La station distante doit autoriser la lecture de la variation.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

Variation


ID_DNP3TG_EXPLICITREAD

ID interne : ID_DNP3TG_EXPLICITREAD

Classless read

Attribution des valeurs à la variable avec des requêtes en lecture explicites :

  • Inactive : Les valeurs provenant d’une Integrity-Poll, d’une Event-Poll oder unsolicited responses sont attribuées à la variable.
    Les valeurs reçues en réponse à une requête en lecture explicite ne sont pas attribuées.
  • Active : Seules les valeurs reçues en réponse à une requête en lecture explicite sont attribuées aux variables.

Plus de détails dans l’aide en ligne des drivers.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

Classless_Read


ID_DNP3TG_OPERATION

ID interne : ID_DNP3TG_OPERATION

Command Mode

Uniquement pour les types d’objet driver Binary Output et Analog Output. Sélection du Command Mode dans une liste déroulante :

  • Automatic SBO: Une commande Select est effectuée lors de l’écriture. Lorsque la commande Selects est confirmée par la station distante, une commande Operate est émise. L’état des variables est défini sur CoT_actterm. Ceci s’applique aux Outputs binaires et aux Outputs analogiques. Une BOOL Output binaire peut également être utilisée pour Close et Trip via la gestion des commandes en définissant le paramètre QoC sur 2.
  • Direct Operate: Function Code 0x5 - Direct Operate est utilisé pour l’écriture d’Outputs binaires et d’Outputs analogiques.
  • Direct Operate NoAck: Function Code 0x5 - Direct Operate est utilisé pour l’écriture d’Outputs binaires et d’Outputs analogiques. Aucune réponse n’est fournie par le contrôleur ; la réussite de l’écriture n’est pas confirmée.

Par défaut : Direct Operate

Plus de détails dans l’aide en ligne des drivers.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

Command_Mode


ID_DRIVER_EXTERNAL_REF

ID interne : ID_DRIVER_EXTERNAL_REF

Référence externe

Identifiant unique des composants de zenon, disponibles pour :

  • Projets
  • Drivers
  • Types de données
  • Variables
  • Matrices de réaction
  • Fonctions
  • Synoptiques
  • Styles

La propriété peut être utilisée comme identifiant pour des outils de configuration de projet externes. L’accès en lecture ou en écriture via l’interface utilisateur d’Editor dépend de la configuration du paramètre Référence externe éditable. La Référence externe peut toujours être décrite à l’aide de l’API de zenon.

Par défaut : Vide

Longueur maximale : 255 caractères

Remarque : En cas de remplacement d’un driver, le contenu de la propriété est transféré vers le nouveau driver. Si deux drivers sont réunis sous la forme d’un driver unique suite au remplacement, la valeur de cette propriété est dérivée du driver qui est conservé.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

CPropExternalNames::szExternalReference


ID_DRV_KNOTEN

ID interne : ID_DRV_KNOTEN

Connexion au driver

Propriétés spécifiques au driver de la variable.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

GRP_DriverConnection


ID_DRV_STRAT_CREATE

ID interne : ID_DRV_STRAT_CREATE

Édition

Disponible uniquement si un driver de procédé a été sélectionné, le nom du projet est valide et un seul driver a été sélectionné. Indisponible pour la variable du driver de simulateur.

Un clic ouvre le projet de simulation dans l’espace de travail de zenon Logic. Si aucun projet de simulation n’existe pour ce driver, il est créé automatiquement.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

CreateSimulPrj


ID_DRV_STRAT_DEL

ID interne : ID_DRV_STRAT_DEL

Supprimer

Disponible seulement si un projet de simulation a été défini et qu’un seul driver a été sélectionné.

Supprime le projet de simulation après une demande de confirmation.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

DelSimulPrj


ID_DRV_STRAT_EV_PORT

ID interne : ID_DRV_STRAT_EV_PORT

Port d'événements

Disponible uniquement si un projet de simulation a été créé.

Port TCP/IP utilisé pour les échanges de données spontanés. Le numéro de port doit être unique, ne doit pas être utilisé dans le projet et doit être disponible sur l’ordinateur sur lequel s’exécute le driver. Lors de la création de la simulation, un numéro de port distinct est attribué automatiquement.

Remarque : Un numéro de port attribué automatiquement est seulement unique pour le projet correspondant. Pour les projets multi-hiérarchiques, vous devez vérifier cela de façon à éviter les erreurs de communication avec le module Workbench/le Runtime de zenon Logic.

Minimum : 6001 (avec attribution automatique, recommandé en cas d’attribution manuelle)

Maximum : 6998 (avec attribution automatique, recommandé en cas d’attribution manuelle)

Par défaut : 6001

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

SimulEvPort


ID_DRV_STRAT_GRP

ID interne : ID_DRV_STRAT_GRP

Projet de simulation pour le driver

Contient toutes les propriétés de configuration de Simulation - programmée.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

GRP_Simulation


ID_DRV_STRAT_NAME

ID interne : ID_DRV_STRAT_NAME

Nom

Nom du projet de simulation. Si aucun nom valide n’est disponible au démarrage de l’espace de travail de zenon Logic, un nom est attribué automatiquement. Le nom est constitué du nom du driver et de sa description.

Conditions de validité des noms :

- non vides

- uniques dans le projet

- constitués uniquement de caractères autorisés dans zenon Logic ; les caractères suivants sont interdits : /\:*?<>!|"

Minimum : 1 caractère.

Maximum : 15 caractères.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

SimulName


ID_DRV_STRAT_PORT

ID interne : ID_DRV_STRAT_PORT

Port standard

Disponible uniquement si un projet de simulation a été créé.

Port TCP/IP pour les communications avec l’espace de travail zenon Logic.
Numéros de port autorisés :

  • Minimum : 6000 (avec attribution automatique, recommandé en cas d’attribution manuelle)
  • Maximum : 6999 (avec attribution automatique, recommandé en cas d’attribution manuelle)

Par défaut : 6000

Le numéro de port doit :

  • Être disponible dans le projet
  • Être unique pour tous les projets exécutés dans le Runtime
  • Être disponible sur l’ordinateur sur lequel s’exécute le driver

Lors de la création du projet de simulation pour ce projet, un numéro de port unique est attribué automatiquement.

Remarque : Un numéro de port attribué automatiquement est seulement unique pour le projet correspondant. Pour les projets multi-hiérarchiques, vous devez vérifier cela de façon à éviter les erreurs de communication avec le module Workbench/le Runtime de zenon Logic.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

SimulPort


ID_DYN_PROP_BLINKVAR

ID interne : ID_DYN_PROP_BLINKVAR

Prendre le clignotement de la limite

Variables dont les paramètres de clignotement de l’élément aux valeurs limites doivent être repris. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de variables.

Contrairement au clignotement normal, l’élément clignote dans son intégralité (et non seulement la valeur affichée).

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

BlinkVariable


ID_DYN_PROP_BLINKVAR_PREVIEW

ID interne : ID_DYN_PROP_BLINKVAR_PREVIEW

Affichage aperçu clignotement

Affichage des valeurs limite pour le clignotement définies pour la variable. Disponible uniquement si l’option Depuis la variable a été configurée pour la propriété Prendre le clignotement de la limite.

Un aperçu des propriétés définies pour la valeur limite est affiché dans le champ. Aucun aperçu n’est affiché pour les matrices de réaction.
Cliquez sur le bouton ... pour ouvrir la boîte de dialogue d’affichage des résultats. Les valeurs limite sont uniquement affichées ; elles ne peuvent pas être modifiées. Les modifications doivent être effectuées directement dans les propriétés de la variable pour Valeurs limite.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être adressée comme suit pour l’API zenon (avec nom de la classe) :

BlinkVarPreview


ID_DYN_PROP_FILLCOLORVAR_PREVIEW

ID interne : ID_DYN_PROP_FILLCOLORVAR_PREVIEW

Affichage aperçu couleur

Affichage de la valeur limite pour la propriété Couleur de remplissage définie pour la variable. Disponible uniquement si l’option Depuis la variable a été configurée pour la propriété Couleur de remplissage.

Un aperçu des propriétés définies pour la valeur limite est affiché dans le champ. Aucun aperçu n’est affiché pour les matrices de réaction.
Cliquez sur le bouton ... pour ouvrir la boîte de dialogue d’affichage des résultats. Les valeurs limite sont uniquement affichées ; elles ne peuvent pas être modifiées. Les modifications doivent être effectuées directement dans les propriétés de la variable pour Valeurs limite.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être adressée comme suit pour l’API zenon (avec nom de la classe) :

BackColorVarPreview


ID_DYN_PROP_GLOWEFFECT_BLINKVAR

ID interne : ID_DYN_PROP_GLOWEFFECT_BLINKVAR

Variable pour le clignotement

Variables dont les paramètres de clignotement de l’effet de luminescence aux valeurs limites doivent être repris. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de variables.

Par défaut : aucune variable liée

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

GlowEffectBlinkVariable


ID_DYN_PROP_GLOWEFFECT_GLOWCOLOR_VARIABLE

ID interne : ID_DYN_PROP_GLOWEFFECT_GLOWCOLOR_VARIABLE

Variable pour la couleur

Disponible uniquement si la propriété Activer est active. La propriété Coloration doit être activée.

Nom de la variable dont la couleur aux valeurs limites doit influencer la couleur de l’effet de luminescence pour l’élément. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de variables. Vous pouvez également saisir le nom manuellement dans le champ de texte. Si aucune variable n’est liée, la couleur définie dans la propriété Couleur est utilisée.

Par défaut : aucune variable liée

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

GlowEffectGlowColorVariable


ID_DYN_PROP_GLOWEFFECT_SICHTBARKEIT_AUSGRENZWERT

ID interne : ID_DYN_PROP_GLOWEFFECT_SICHTBARKEIT_AUSGRENZWERT

Visibilité depuis valeur limite

Disponible uniquement si la propriété Activer est active. Vous devez en outre définir une variable dans la propriété Variable pour la visibilité.

Active : La visibilité de l’effet de luminescence est influencée par la propriété de valeur limite de la variable.

Attention : Pour une valeur limite de la variable au moins, la propriété Invisible doit être active.

Inactive : la visibilité est influencée par les propriétés de l’élément.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

GlowEffectVisibilityFromLimit


ID_DYN_PROP_GLOWEFFECT_SICHTBARKEIT_BIS

ID interne : ID_DYN_PROP_GLOWEFFECT_SICHTBARKEIT_BIS

Visible jusqu'à

Disponible uniquement si la propriété Activer est active. Vous devez en outre définir une variable dans la propriété Variable pour la visibilité ; la propriété Visibilité depuis valeur limite doit être inactive.

Définit la valeur jusqu’à laquelle l’effet de luminescence reste visible.
Minimum : valeur la plus basse autorisée pour la variable liée dans Variable pour la visibilité.
Maximum : valeur la plus élevée autorisée pour la variable liée dans Variable pour la visibilité.
Par défaut : valeur la plus élevée autorisée pour la variable liée dans Variable pour la visibilité.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

GlowEffectVisibilityTo


ID_DYN_PROP_GLOWEFFECT_SICHTBARKEIT_VARIABLE

ID interne : ID_DYN_PROP_GLOWEFFECT_SICHTBARKEIT_VARIABLE

Variable pour la visibilité

Disponible uniquement si la propriété Activer est active.

Nom de la variable dont la valeur influence la visibilité de l’effet de luminescence. La visibilité est soit reprise des propriétés de valeur limite de cette variable (propriété Visibilité depuis valeur limite active), soit définie par la plage de valeurs définie dans les propriétés Visible de et Visible jusqu'à. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de variables. Vous pouvez également saisir le nom manuellement dans le champ de texte.

Remarque : si aucune variable n’est liée, l’effet de luminescence est toujours visible.

Par défaut : aucune variable liée

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

GlowEffectVisibilityVariable


ID_DYN_PROP_GLOWEFFECT_SICHTBARKEIT_VON

ID interne : ID_DYN_PROP_GLOWEFFECT_SICHTBARKEIT_VON

Visible de

Disponible uniquement si la propriété Activer est active. Vous devez en outre définir une variable dans la propriété Variable pour la visibilité ; la propriété Visibilité depuis valeur limite doit être inactive.

Définit la valeur à partir de laquelle l’effet de luminescence devient visible.
Minimum : valeur la moins élevée autorisée pour la variable liée dans Variable pour la visibilité.
Maximum : valeur la moins élevée autorisée pour la variable liée dans Variable pour la visibilité.
Par défaut : valeur la plus élevée autorisée pour la variable liée dans Variable pour la visibilité.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

GlowEffectVisibilityFrom


ID_DYN_PROP_GLOWEFFECT_USEBLINKCOLOR

ID interne : ID_DYN_PROP_GLOWEFFECT_USEBLINKCOLOR

Clignotement depuis valeur limite

Disponible uniquement si la propriété Activer est active. Vous devez en outre définir une variable dans la propriété Variable pour le clignotement.

Active : Reprend, pour l’effet de luminescence, la couleur de clignotement de la valeur limite active pour la variable définie dans la propriété Couleur de clignotement par la limite. Cette propriété agit indépendamment de la propriété Coloration. En cas de clignotement, l’effet de luminescence ne devient pas invisible, mais reprend les paramètres de l’effet de luminescence actif.

Par défaut : Inactive

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

GlowEffectUseBlinkColor


ID_DYN_PROP_LINECOLORVAR_PREVIEW

ID interne : ID_DYN_PROP_LINECOLORVAR_PREVIEW

Affichage aperçu couleur

Affichage de la valeur limite pour la propriété Couleur de ligne définie pour la variable. Disponible uniquement si l’option Depuis la variable a été configurée pour la propriété Couleur de ligne.

Un aperçu des propriétés définies pour la valeur limite est affiché dans le champ. Aucun aperçu n’est affiché pour les matrices de réaction.
Cliquez sur le bouton ... pour ouvrir la boîte de dialogue d’affichage des résultats. Les valeurs limite sont uniquement affichées ; elles ne peuvent pas être modifiées. Les modifications doivent être effectuées directement dans les propriétés de la variable pour Valeurs limite.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être adressée comme suit pour l’API zenon (avec nom de la classe) :

LineColorVarPreview


ID_DYN_PROP_TEXTCOLORVAR_PREVIEW

ID interne : ID_DYN_PROP_TEXTCOLORVAR_PREVIEW

Affichage aperçu couleur

Affichage de la valeur limite pour la propriété Couleur de ligne définie pour la variable. Disponible uniquement si l’option Depuis la variable a été configurée pour la propriété Couleur de ligne.

Un aperçu des propriétés définies pour la valeur limite est affiché dans le champ. Aucun aperçu n’est affiché pour les matrices de réaction.
Cliquez sur le bouton ... pour ouvrir la boîte de dialogue d’affichage des résultats. Les valeurs limite sont uniquement affichées ; elles ne peuvent pas être modifiées. Les modifications doivent être effectuées directement dans les propriétés de la variable pour Valeurs limite.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être adressée comme suit pour l’API zenon (avec nom de la classe) :

LineColorVarPreview


ID_DYN_PROP_USEBLINKCOLOR

ID interne : ID_DYN_PROP_USEBLINKCOLOR

Couleur de clignotement par la limite

Active : Reprend la couleur d’arrière-plan du clignotement défini pour la valeur limite active de la variable pour Prendre le clignotement de la limite. Durant le clignotement, l’élément ne devient pas invisible, mais reprend la couleur d’arrière-plan active.

Par défaut : Inactive

Remarque : la couleur n’est pas prise en compte si la couleur d’arrière-plan Transparence est configurée.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

UseBlinkColor


ID_DYN_PROP_VISVAR_PREVIEW

ID interne : ID_DYN_PROP_VISVAR_PREVIEW

Affichage aperçu visibilité

Affichage des valeurs limite pour la visibilité définies pour la variable. Disponible uniquement si l’option Depuis la variable a été configurée pour la propriété Variable dans le groupe Visibilité.

Un aperçu des propriétés définies pour la valeur limite est affiché dans le champ. Aucun aperçu n’est affiché pour les matrices de réaction.
Cliquez sur le bouton ... pour ouvrir la boîte de dialogue d’affichage des résultats. Les valeurs limite sont uniquement affichées ; elles ne peuvent pas être modifiées. Les modifications doivent être effectuées directement dans les propriétés de la variable pour Valeurs limite.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être adressée comme suit pour l’API zenon (avec nom de la classe) :

VisVarPreview


ID_DYNPICTURE_DONTRESIZEELEMS

ID interne : ID_DYNPICTURE_DONTRESIZEELEMS

Ne pas adapter l'élément à la résolution de l'écran

Active : les éléments présents dans le synoptique ne sont pas automatiquement adaptés à la résolution de l’écran, mais conservent la position et la taille définies dans Editor.

Par défaut : Inactive

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

DontResizeElements


ID_DYNPICTURE_EXPORTFORWEB

ID interne : ID_DYNPICTURE_EXPORTFORWEB

Disponible sur le Web

  • Active : Le synoptique est exporté depuis l’assistant HTML Export Wizard pour être affiché sur un client via HTML Web Engine.
  • Inactive : Le synoptique n’est pas exporté depuis l’assistant HTML Export Wizard pour être affiché sur un client via HTML Web Engine.

Par défaut : Inactive

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

ExportForWeb


ID_DYNPICTURE_MOVEBYMOUSE

ID interne : ID_DYNPICTURE_MOVEBYMOUSE

Déplacer le gabarit avec la souris

Active : Le synoptique peut être déplacé dans le Runtime avec la souris, même s’il ne s’agit pas d’une vue globale. Cliquez dans une zone libre du synoptique et déplacez la souris en maintenant le bouton de la souris enfoncé pour déplacer l’ensemble du synoptique.

Remarque : Si le synoptique est incorporé dans un cadran, ce paramètre est ignoré. Dans ce cas, le déplacement est déterminé par les paramètres du cadran. En cas de déplacement du cadran, tous les synoptiques qu’il contient sont également déplacés.

Interaction : La propriété Déplacer le gabarit avec la souris ne peut pas être activée en même temps que les propriétés Déplacer horizontalement et Déplacer verticalement. Le déplacement d’un cadre avec la souris ou le déplacement horizontal/vertical à l’aide de commandes tactiles peuvent tous deux être activés.

Tenez compte de ce cas de figure spécial : Dans le scénario suivant, les deux propriétés sont définies et restent ensuite non configurables :

  • La propriété Déplacer horizontalement ou Déplacer verticalement est activée.
  • La propriété de projet Reconnaissance pour Intéraction est définie sur Windows 7 ou Désactivé.
  • La propriété Déplacer le gabarit avec la souris est activée.
  • La propriété Reconnaissance est à nouveau définie sur Windows 8.

Solution :

  • Redéfinissez la propriété Reconnaissance sur Windows 7 ou Désactivé.
  • Désactivez la propriété Déplacer le gabarit avec la souris.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

MoveByMouse


ID_DYNPICTURE_MULTITOUCH

ID interne : ID_DYNPICTURE_MULTITOUCH

'Multi-touche' pour le zoom et le déplacement

Pour les fonctions de zoom et de défilement dans la vue globale, vous pouvez utiliser des gestes MultiTouch, même s’ils n’ont pas été programmés dans VSTA.

  • Active : La création de gestes MultiTouch n’est pas autorisée pour les événements VBA/VSTA.
  • Inactive : La création de gestes MultiTouch est autorisée pour les événements VBA/VSTA.

Disponible uniquement dans une vue globale (largeur d’écran supérieure à la largeur du cadre et propriété Dimension du gabarit inactive) et si Windows 7 a été sélectionné dans la propriété Multi-Touche actif.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

MultiTouch


ID_DYNPICTURE_MULTITOUCH_GROUP

ID interne : ID_DYNPICTURE_MULTITOUCH_GROUP

Intéraction

Propriétés de configuration de l’interaction dans le Runtime.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

GRP_Interaction


ID_DYNPICTURE_MULTITOUCH_MOVE

ID interne : ID_DYNPICTURE_MULTITOUCH_MOVE

Verschieben

Disponible uniquement si la propriété Dimension du gabarit a été désactivée et la propriété de projet Reconnaissance est définie sur Windows 8.

Définit les réactions au geste Déplacer. Sélectionnez dans la liste déroulante :

  • Déplacer le contenu : le contenu peut être déplacé horizontalement et verticalement. La direction est définie par les propriétés Horizontal verschieben et Vertikal verschieben.
  • Aucune réaction

Par défaut : Déplacer le contenu

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

MultiTouchMove


ID_DYNPICTURE_MULTITOUCH_MOVE_HOR

ID interne : ID_DYNPICTURE_MULTITOUCH_MOVE_HOR

Horizontal verschieben

Disponible uniquement si le paramètre Déplacer le contenu a été sélectionné pour la propriété Verschieben.

Définit si le contenu peut être déplacé horizontalement. Sélectionnez dans la liste déroulante :

  • Déplacer horizontalement : Le contenu peut être déplacé horizontalement.
  • Aucune réaction

Par défaut : Déplacer horizontalement

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

MultiTouchMoveHor


ID_DYNPICTURE_MULTITOUCH_MOVE_VER

ID interne : ID_DYNPICTURE_MULTITOUCH_MOVE_VER

Vertikal verschieben

Disponible uniquement si le paramètre Déplacer le contenu a été sélectionné pour la propriété Verschieben.

Définit si le contenu peut être déplacé verticalement. Sélectionnez dans la liste déroulante :

  • Déplacer verticalement : Le contenu peut être déplacé verticalement.
  • Aucune réaction

Par défaut : Déplacer verticalement

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

MultiTouchMoveVer


ID_DYNPICTURE_MULTITOUCH_ZOOM

ID interne : ID_DYNPICTURE_MULTITOUCH_ZOOM

Zoomen

Disponible uniquement si la propriété Dimension du gabarit a été désactivée et la propriété de projet Reconnaissance est définie sur Windows 8.

Définit la réaction au geste Agrandir. Sélectionnez dans la liste déroulante :

  • Agrandir le contenu
  • Aucune réaction

Par défaut : Agrandir le contenu

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

MultiTouchZoom


ID_DYNPICTURE_PROP1

ID interne : ID_DYNPICTURE_PROP1

Nom de fichier

Nom du fichier du synoptique.
Le nom de fichier est généré automatiquement par le système et ne peut pas être modifié.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

Name


ID_DYNPICTURE_PROP2

ID interne : ID_DYNPICTURE_PROP2

Gabarit

S’adapte au cadre lié sans convertir les éléments aux nouvelles dimensions du synoptique (agrandissement ou réduction).

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

Template


ID_DYNPICTURE_PROP3

ID interne : ID_DYNPICTURE_PROP3

Type de synoptique

Standard : type de synoptique utilisé pour la création de synoptiques de procédé. Tous les éléments vectoriels et dynamiques peuvent être utilisés.
Types de synoptiques spéciaux : les synoptiques qui ne sont pas du type "Standard" ne doivent être créés qu’une seule fois ; ils peuvent ensuite être ouverts avec différentes données via les paramètres de filtre spéciaux de la fonction Appel de synoptique. Après avoir sélectionné un type de synoptique particulier, les éléments de contrôle associés au type de synoptique deviennent accessibles dans le menu.

Attention : Lorsque vous modifiez le type de synoptique de "Standard" en un type de synoptique spécial, ce choix est définitif et ne peut plus être modifié par la suite.

Par défaut : Standard

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

Type


ID_DYNPICTURE_PROP4

ID interne : ID_DYNPICTURE_PROP4

Couleur d'arrière-plan

Détermine la couleur d’arrière-plan du synoptique. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de couleurs ou de palettes de couleurs. La saisie peut également être effectuée directement dans le champ, sous forme de valeur hexadécimale précédée de #.
Par défaut : Couleur du cadre.
Remarque : la couleur du cadre est reprise en copie et n’est pas liée. Si vous modifiez ultérieurement la couleur du cadre, cette modification n’aura aucune incidence sur les synoptiques existants, mais uniquement sur les nouveaux synoptiques créés.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

BackgroundColor


ID_DYNPICTURE_PROP5

ID interne : ID_DYNPICTURE_PROP5

X de

Coordonnée X du coin supérieur gauche du synoptique (en unités logiques). Cette propriété est uniquement fournie à titre d’information et ne peut pas être modifiée.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

MinX


ID_DYNPICTURE_PROP6

ID interne : ID_DYNPICTURE_PROP6

X jusqu'à

Coordonnée X du coin inférieur droit du synoptique (en unités logiques). Cette propriété est uniquement fournie à titre d’information et ne peut pas être modifiée.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

MaxX


ID_DYNPICTURE_PROP7

ID interne : ID_DYNPICTURE_PROP7

Y de

Coordonnée Y du coin supérieur gauche du synoptique (en unités logiques). Cette propriété est uniquement fournie à titre d’information et ne peut pas être modifiée.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

MinY


ID_DYNPICTURE_PROP8

ID interne : ID_DYNPICTURE_PROP8

Y jusqu'à

Coordonnée Y du coin inférieur droit du synoptique (en unités logiques). Cette propriété est uniquement fournie à titre d’information et ne peut pas être modifiée.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

MaxY


ID_DYNPICTURE_PROP9

ID interne : ID_DYNPICTURE_PROP9

Hauteur [pixels]

Disponible uniquement si la propriété Dimension du gabarit est inactive.
Hauteur du synoptique en pixels.

Remarque : les tailles inférieures à la taille du cadre sont ignorées. Si la largeur des synoptiques est définie sur une valeur supérieure à celle du cadre, les synoptiques deviennent une vue globale. Pour la navigation et le déplacement de l’écran dans la vue globale, vous pouvez utiliser un synoptique Aperçu de la vue globale, des commandes tactiles ou la souris.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

Height


ID_DYNPICTURE_PROP10

ID interne : ID_DYNPICTURE_PROP10

Largeur [pixels]

Disponible uniquement si la propriété Dimension du gabarit est inactive.
Largeur d’un synoptique en pixels.

Remarque : les tailles inférieures à la taille du cadre sont ignorées. Si la largeur des synoptiques est définie sur une valeur supérieure à celle du cadre, les synoptiques deviennent une vue globale. Pour la navigation et le déplacement de l’écran dans la vue globale, vous pouvez utiliser un synoptique Aperçu de la vue globale, des commandes tactiles ou la souris.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

Width


ID_DYNPICTURE_PROP11

ID interne : ID_DYNPICTURE_PROP11

Fonction à l'ouverture

Fonction devant être exécutée automatiquement lorsqu’un synoptique est ouvert dans le Runtime.
Ouvre la boite de dialogue de sélection des fonctions.
Si plusieurs fonctions doivent être exécutées, un script contenant l’ensemble des fonctions souhaitées est créé et la fonction exécutant ce script peut être liée ici.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

StartFunction


ID_DYNPICTURE_PROP12

ID interne : ID_DYNPICTURE_PROP12

Fonction à la fermeture

Fonction qui doit être exécutée automatiquement lorsque le synoptique est fermé dans le Runtime.
Ouvre la boite de dialogue de sélection des fonctions.
Si plusieurs fonctions doivent être exécutées, un script contenant l’ensemble des fonctions doit être créé et la fonction exécutant ce script peut être liée ici.

Attention : Ouvrir un autre synoptique basé sur le même cadre ferme automatiquement ce synoptique et par conséquent, la fonction liée.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

EndFunction


ID_DYNPICTURE_PROP13

ID interne : ID_DYNPICTURE_PROP13

Dimension du gabarit

Active : la taille et la position du synoptique sont définies par le cadre lié.
Inactive : la largeur et la hauteur du synoptique peuvent être définies sur une valeur supérieure à celle du cadre. La position du coin supérieur gauche est toujours définie par le cadre.
Par défaut : active.

Remarque : les tailles inférieures à la taille du cadre sont ignorées. Si la largeur des synoptiques est définie sur une valeur supérieure à celle du cadre, les synoptiques deviennent une vue globale. Pour la navigation et le déplacement de l’écran dans la vue globale, vous pouvez utiliser un synoptique Aperçu de la vue globale, des commandes tactiles ou la souris.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

SizeFromTemplate


ID_DYNPICTURE_PROP14

ID interne : ID_DYNPICTURE_PROP14

Dialogue modal

Paramètres d’affichage sous forme de boîte de dialogue modale :

  • Active : Aucun élément dans un autre synoptique ne peut être actionné tant que le synoptique est ouvert dans le Runtime.
    Exception : Les synoptiques ouverts depuis l’écran modal peuvent être ouverts s’ils ont également été configurés en tant que synoptiques modaux.

    Attention : Un synoptique non modal ne peut pas être appelé depuis un synoptique modal !
    Si un synoptique non modal est appelé depuis un synoptique modal, ce synoptique sera visible, mais ne pourra pas être actionné. Le synoptique modal situé sous celui-ci ne pourra également pas être actionné, car il sera masqué. Le Runtime sera donc bloqué !

  • Inactive : Les synoptiques peuvent être utilisés normalement.

Par défaut : Inactive

Ce paramètre est ignoré lorsqu’il est utilisé dans un conteneur de cadran.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

Modal


ID_DYNPICTURE_PROP15

ID interne : ID_DYNPICTURE_PROP15

Visible sous CE

Active : Le synoptique est également visible dans Windows CE.
Inactive : Le synoptique n’est pas affiché dans Windows CE.
Par défaut : active.

Ainsi, dans les réseaux comportant des PC et des terminaux CE, les fonctionnalités non prises en charge par Windows CE peuvent être utilisées sur les PC sans générer de problèmes sur les terminaux CE.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

ShowInCE


ID_DYNPICTURE_PROP16

ID interne : ID_DYNPICTURE_PROP16

Fichier graphique

Sélection du fichier graphique d’arrière-plan qui sera affiché au dernier niveau d’arrière-plan du synoptique.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

BackgroundPic


ID_DYNPICTURE_PROP17

ID interne : ID_DYNPICTURE_PROP17

Alignement

Uniquement disponible lorsque vous avez sélectionné l’élément Fichier graphique.
Affiche le type d’élément graphique d’arrière-plan sur le synoptique :

  • Normal : taille d’origine, positionné dans le coin supérieur gauche.
  • Centré : taille d’origine, centré au milieu du synoptique.
  • Étiré : étiré afin de couvrir l’ensemble du synoptique.
  • Mosaïque : taille d’origine, affiché sous forme de "carreaux" positionnés côte à côte.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

BackgroundPicStyle


ID_DYNPICTURE_PROP18

ID interne : ID_DYNPICTURE_PROP18

Disponible seulement si un cadre est sélectionné dans la définition du cadre :
style du cadre du synoptique.
Cadre épais : Une bordure épaisse est affichée autour du synoptique. La taille du synoptique peut être modifié dans le Runtime.
Cadre fin : Affiche un cadre fin autour du synoptique.
Pas de cadre : Aucun cadre n’est affiché autour du synoptique.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

BorderStyle


ID_DYNPICTURE_PROP19

ID interne : ID_DYNPICTURE_PROP19

Disponible seulement, si un cadre est sélectionné pour le synoptique :
Active : Utiliser la barre de titre de Windows pour le synoptique. Le synoptique peut être déplacé dans le Runtime.
Inactive : Aucune barre de titre n’est utilisée.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

ShowTitle


ID_DYNPICTURE_PROP20

ID interne : ID_DYNPICTURE_PROP20

Variable donnant le synoptique actif

La variable bit liée ici est définie sur 1 lorsque le synoptique est ouvert ; elle est réinitialisée sur 0 lorsque le synoptique est fermé.
Ouvre la boite de dialogue de sélection de variables, filtrée pour les variables bit.

Attention : Ouvrir un autre synoptique basé sur le même cadre ferme automatiquement ce synoptique et par conséquent, la fonction liée.

Exemple : La couleur d’arrière-plan des boutons dans une barre d’outils doit indiquer quel synoptique est actuellement ouvert. Les variables bit liées aux différents synoptiques comportent toutes la couleur de valeur limite verte pour la valeur 1 et la couleur de valeur limite blanc pour la valeur 0. Ces variables bit sont liées à la couleur d’arrière-plan dynamique des boutons correspondants. Le bouton permettant d’afficher le synoptique récemment ouvert comporte donc toujours la couleur d’arrière-plan vert, tandis que les autres boutons sont de couleurs blanche.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

PicActivVar


ID_DYNPICTURE_PROP21

ID interne : ID_DYNPICTURE_PROP21

Couleur d'arrière-plan

Définit la couleur d’arrière-plan du symbole dans l’éditeur de symboles. Cliquez sur le bouton pour ouvrir la palette de couleurs, ou saisissez la couleur sous forme de code hexadécimal (RVB).

Attention : La couleur d’arrière-plan définie ici sert uniquement de couleur d’arrière-plan de l’éditeur de symboles. Elle n’a aucun effet sur l’affichage dans Editor ou le Runtime.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

BackgroundColor


ID_DYNPICTURE_PROP22

ID interne : ID_DYNPICTURE_PROP22

Hauteur [pixels]

Définit la hauteur des symboles en pixels. La hauteur définie est utilisé en tant que hauteur d’origine du symbole lorsque vous le faites glisser vers un synoptique.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

Height


ID_DYNPICTURE_PROP23

ID interne : ID_DYNPICTURE_PROP23

Largeur [pixels]

Définit la largeur des symboles en pixels. La largeur définie est utilisé en tant que largeur d’origine du symbole lorsque vous le faites glisser vers un synoptique.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

Width


ID_DYNPICTURE_PROP24

ID interne : ID_DYNPICTURE_PROP24

Texte automatique

active : Pour les lettres, les numéros et les touches de fonction du synoptique de type Clavier, les intitulés originaux du clavier définis par le système d’exploitation sont utilisés. Aucun intitulé alternatif ne peut être défini. Si des touches comportent des intitulés différents, les intitulés d’origine seront toujours utilisés dans le Runtime. Des intitulés différents peuvent toujours être définis pour les touches de fonction telles que Tabulation ou Maj.

Inactive : Des intitulés peuvent être définis pour chaque touche individuellement ; ils sont affichés de manière correspondante dans le Runtime.

Par défaut : active

Remarque : l’intitulé du pavé numérique du clavier n’est pas défini automatiquement et peut être adapté à tout instant dans le Runtime, indépendamment de la configuration de la propriété.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

AutoKBLayout


ID_DYNPICTURE_PROP_GRP0

ID interne : ID_DYNPICTURE_PROP_GRP0

Général

Propriétés générales du synoptique

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

GRP_Picture


ID_DYNPICTURE_PROP_GRP1

ID interne : ID_DYNPICTURE_PROP_GRP1

Gabarit

Propriété pour la taille et la position du synoptique, issues du modèle lié.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

GRP_Size


ID_DYNPICTURE_PROP_GRP2

ID interne : ID_DYNPICTURE_PROP_GRP2

Affichage

Propriété pour l’apparence externe du synoptique.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

GRP_Representation


ID_DYNPICTURE_PROP_GRP3

ID interne : ID_DYNPICTURE_PROP_GRP3

Exécution

Fonctions et variables liées au synoptique.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

GRP_Functions


ID_DYNPICTURE_PROP_GRP4

ID interne : ID_DYNPICTURE_PROP_GRP4

Graphique d'arrière plan

Un fichier graphique peut être affiché en arrière-plan de tous les synoptiques. Ces fichiers graphiques sont positionnés au niveau de visibilité le plus loin vers l’arrière, et sont recouverts par tous les autres éléments du synoptique. Des options de positionnement (par exemple, Centrer ou Mosaïque) sont disponibles. Les éléments graphiques ne peuvent pas être déplacés librement.

vous pouvez également utiliser un bouton avec un fichier graphique ne comportant aucune fonction liée pour afficher un fichier graphique que vous pouvez positionner librement.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

GRP_Background


ID_DYNPICTURE_PROP_GRP5

ID interne : ID_DYNPICTURE_PROP_GRP5

Général

Propriétés de taille et de couleur d’arrière-plan de l’éditeur de symboles.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

GRP_Symbols


ID_DYNPICTURE_PROP_GRP6

ID interne : ID_DYNPICTURE_PROP_GRP6

Couleur

Propriétés des paramètres de couleur du synoptique.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être adressée comme suit pour l’API zenon (avec nom de la classe) :

GRP_Color


ID_DYNPICTURE_REFEXT

ID interne : ID_DYNPICTURE_REFEXT

Référence externe

Identifiant unique des composants de zenon, disponibles pour :

  • Projets
  • Drivers
  • Types de données
  • Variables
  • Matrices de réaction
  • Fonctions
  • Synoptiques
  • Styles

La propriété peut être utilisée comme identifiant pour des outils de configuration de projet externes. L’accès en lecture ou en écriture via l’interface utilisateur d’Editor dépend de la configuration du paramètre Référence externe éditable. La Référence externe peut toujours être décrite à l’aide de l’API de zenon.

Par défaut : Vide

Longueur maximale : 255 caractères

Remarque : L’importation et l’exportation au format XML sont prises en charge.
Si un synoptique est créé avec un Copier-Coller, cette propriété est vide.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

ExternalReference


ID_DYNPICTURE_SCHAB_HIGHLIGHT_ALPHA

ID interne : ID_DYNPICTURE_SCHAB_HIGHLIGHT_ALPHA

Transparence de contour

Disponible uniquement si la propriété Mise en évidence du gabarit a été activée.

Définit la transparence de l’élément Couleur de contour du cadre sur lequel repose le synoptique. Cliquez sur le bouton ... pour afficher un curseur permettant de définir la transparence.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

AmbientAlpha


ID_DYNPICTURE_SCHAB_HIGHLIGHT_COLOR

ID interne : ID_DYNPICTURE_SCHAB_HIGHLIGHT_COLOR

Couleur de contour

Disponible uniquement si la propriété Mise en évidence du gabarit a été activée.

Définit couleur de l’entourage du cadre sur lequel repose le synoptique. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection des couleurs.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

AmbientColor


ID_DYNPICTURE_SCHAB_HIGHLIGHT_TYPE

ID interne : ID_DYNPICTURE_SCHAB_HIGHLIGHT_TYPE

Mise en évidence du gabarit

Disponible uniquement si la propriété Dialogue modal a été activée.

  • Active : Le cadre sur lequel repose le synoptique est affiché en surbrillance.
    Ainsi, toute la zone située à l’extérieur du cadre est colorée avec une Couleur de contour et une Transparence de contour configurables. La zone du cadre sélectionné n’est pas affectée par cette coloration.
    Vous ne devez pas appeler plusieurs synoptiques simultanément avec cette propriété. Toutefois, les synoptiques peuvent être appelés depuis le synoptique sélectionné. Ils sont également affichés en surbrillance.

Remarque : Ce paramètre est ignoré lorsqu’il est utilisé dans un conteneur de cadran.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

Highlight


ID_EDITSIGNATURE

ID interne : ID_EDITSIGNATURE

Texte de signature éditable

Active : Une boîte de dialogue de modification du texte de signature est affichée dans le Runtime.

Inactive : Le texte de signature ne peut pas être modifié dans le Runtime.

Par défaut : Inactive

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

EditSignature


ID_ELE_BITMAP_DOWN

ID interne : ID_ELE_BITMAP_DOWN

Fichier graphique bouton enfoncé

Fichier graphique devant être affiché sur le bouton lorsque le bouton est actionné (*.bmp, *.wmf, *.jpg, *.gif, *.png, *.tif). Cliquez sur le bouton ... La boîte de dialogue de sélection de fichiers s’ouvre.

Remarque : Si le paramètre Taille originale est sélectionné pour la propriété Taille du graphique, il est recommandé d’utiliser la même taille pour tous les éléments graphiques contenus dans l’élément, car la taille de l’élément est adaptée à celle de tous les éléments graphiques actuellement affichés.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

FileNameDown


ID_ELE_CORNER_ALL_X

ID interne : ID_ELE_CORNER_ALL_X

Tous les x [%]

Disponible uniquement si la propriété Par les valeurs de luminosité est inactive.

Définit la valeur de l’arrondi de l’axe X (en pourcentage) pour tous les coins. Cette valeur est utilisée pour tous les coins dont les valeurs sont égales à -1. Les coins individuels peuvent ainsi être définis indépendamment.

Si la valeur de l’arrondi est modifiée, tous les coins reçoivent automatiquement la valeur -1. Dans ce cas, tous les coins reprennent leur valeur prédéfinie.

Plage de valeurs : 0 % à 100 %.

Par défaut : 20

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

CornerAll_X


ID_ELE_CORNER_ALL_Y

ID interne : ID_ELE_CORNER_ALL_Y

Tous les y [%]

Disponible uniquement si la propriété Proportionnel est active et la propriété Par les valeurs de luminosité est inactive.

Définit la valeur de l’arrondi de l’axe Y (en pourcentage) pour tous les coins. Cette valeur est utilisée pour tous les coins dont les valeurs sont égales à -1. Les coins individuels peuvent ainsi être définis indépendamment.

Si la valeur de l’arrondi est modifiée, tous les coins reçoivent automatiquement la valeur -1. Dans ce cas, tous les coins reprennent leur valeur prédéfinie.

Plage de valeurs : 0 % à 100 %

Par défaut : 20

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

CornerAll_Y


ID_ELE_CORNER_LEFTBOTTOM_X

ID interne : ID_ELE_CORNER_LEFTBOTTOM_X

x bas/gauche [%]

Disponible uniquement si la propriété de projet Qualité graphique a été définie sur DirectX Hardware ou DirectX Software.

La propriété Par les valeurs de luminosité doit être activée.

Définit la valeur de rayon de l’axe X pour le coin inférieur gauche. Cliquez sur le bouton ... pour afficher une réglette qui vous permet de définir le rayon. Valeurs possibles :

  • -1 : Le paramètre de Tous les x [%] est utilisé.
  • 0 à 100 : rayon, en pourcentage.

Par défaut : -1

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

CornerLeftBottom_X


ID_ELE_CORNER_LEFTBOTTOM_Y

ID interne : ID_ELE_CORNER_LEFTBOTTOM_Y

y bas/gauche [%]

Disponible uniquement si la propriété de projet Qualité graphique a été définie sur DirectX Hardware ou DirectX Software.
Par ailleurs, la propriété Proportionnel doit être activée et la propriété Par les valeurs de luminosité doit être désactivée.

Définit la valeur de rayon de l’axe Y pour le coin inférieur gauche. Cliquez sur le bouton ... pour afficher une réglette qui vous permet de définir le rayon. Valeurs possibles :

  • -1 : Le paramètre de Tous les y [%] est utilisé.
  • 0 à 100 : rayon, en pourcentage.

Par défaut : -1

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

CornerLeftBottom_Y


ID_ELE_CORNER_LEFTTOP_X

ID interne : ID_ELE_CORNER_LEFTTOP_X

x haut/gauche [%]

Disponible uniquement si la propriété de projet Qualité graphique a été définie sur DirectX Hardware ou DirectX Software.
La propriété Par les valeurs de luminosité doit être activée.

Définit la valeur de rayon de l’axe X pour le coin supérieur gauche. Cliquez sur le bouton ... pour afficher une réglette qui vous permet de définir le rayon.
Valeurs possibles :

  • -1 : Le paramètre de Tous les x [%] est utilisé.
  • 0 à 100 : rayon, en pourcentage.

Par défaut : -1

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

CornerLeftTop_X


ID_ELE_CORNER_LEFTTOP_Y

ID interne : ID_ELE_CORNER_LEFTTOP_Y

y haut/gauche [%]

Disponible uniquement si la propriété de projet Qualité graphique a été définie sur DirectX Hardware ou DirectX Software.
Par ailleurs, la propriété Proportionnel doit être activée et la propriété Par les valeurs de luminosité doit être désactivée.

Définit la valeur de rayon de l’axe Y pour le coin supérieur gauche. Cliquez sur le bouton ... pour afficher une réglette qui vous permet de définir le rayon.
Valeurs possibles :

  • -1 : Le paramètre de Tous les y [%] est utilisé.
  • 0 à 100 : rayon, en pourcentage.

Par défaut : -1

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

CornerLeftTop_Y


ID_ELE_CORNER_PROPORTIONAL

ID interne : ID_ELE_CORNER_PROPORTIONAL

Proportionnel

Disponible uniquement si la propriété Par les valeurs de luminosité est inactive.

Active : Lors de la création d’un coin arrondi, seule la valeur X peut être saisie. La valeur Y est toujours la même.

Le pourcentage défini pour la propriété Tous les x [%] désigne le côté le plus court (largeur ou hauteur) de l’élément.

Inactive : Les valeurs X et Y peuvent être librement définies. La valeur X fait référence à la largeur de l’élément. La valeur Y fait référence à la hauteur de l’élément.

Par défaut : active

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

CornerProportional


ID_ELE_CORNER_RIGHTBOTTOM_X

ID interne : ID_ELE_CORNER_RIGHTBOTTOM_X

x bas/droit [%]

Disponible uniquement si la propriété Par les valeurs de luminosité est inactive.

Définit la valeur de l’arrondi de l’axe X pour le coin inférieur droit. Cliquez sur le bouton ... pour afficher une réglette qui vous permet de définir le rayon.

Valeurs possibles :

-1 : Le paramètre de Tous les x [%] est utilisé.

0 à 100 : valeur d’arrondi en pourcentage.

Par défaut : -1

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

CornerRightBottom_X


ID_ELE_CORNER_RIGHTBOTTOM_Y

ID interne : ID_ELE_CORNER_RIGHTBOTTOM_Y

y bas/droit [%]

Disponible uniquement si la propriété de projet Qualité graphique a été définie sur DirectX Hardware ou DirectX Software.
Par ailleurs, la propriété Proportionnel doit être activée et la propriété Par les valeurs de luminosité doit être désactivée.

Définit la valeur de rayon de l’axe Y pour le coin inférieur droit. Cliquez sur le bouton ... pour afficher une réglette qui vous permet de définir le rayon.
Valeurs possibles :

  • -1 : Le paramètre de Tous les y [%] est utilisé.
  • 0 à 100 : rayon, en pourcentage.

Par défaut : -1

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

CornerRightBottom_Y


ID_ELE_CORNER_RIGHTTOP_X

ID interne : ID_ELE_CORNER_RIGHTTOP_X

x haut/droit [%]

Disponible uniquement si la propriété de projet Qualité graphique a été définie sur DirectX Hardware ou DirectX Software.
La propriété Par les valeurs de luminosité doit être activée.

Définit la valeur de rayon de l’axe X pour le coin supérieur droit. Cliquez sur le bouton ... pour afficher une réglette qui vous permet de définir le rayon.
Valeurs possibles :

  • -1 : Le paramètre de Tous les x [%] est utilisé.
  • 0 à 100 : rayon, en pourcentage.

Par défaut : -1

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

CornerRightTop_X


ID_ELE_CORNER_RIGHTTOP_Y

ID interne : ID_ELE_CORNER_RIGHTTOP_Y

y haut/droit [%]

Disponible uniquement si la propriété de projet Qualité graphique a été définie sur DirectX Hardware ou DirectX Software.
Par ailleurs, la propriété Proportionnel doit être activée et la propriété Par les valeurs de luminosité doit être désactivée.

Définit la valeur de rayon de l’axe Y pour le coin supérieur droit. Cliquez sur le bouton ... pour afficher une réglette qui vous permet de définir le rayon.
Valeurs possibles :

  • -1 : Le paramètre de Tous les y [%] est utilisé.
  • 0 à 100 : rayon, en pourcentage.

Par défaut : -1

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

CornerRightTop_Y


ID_ELE_DRAGBEGIN

ID interne : ID_ELE_DRAGBEGIN

DragBegin

Macro VBA à exécuter lorsque l’utilisateur commence à faire glisser l’objet.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

DragBegin


ID_ELE_DRAGDROP

ID interne : ID_ELE_DRAGDROP

DragDrop

Macro VBA à exécuter lorsque le bouton de la souris est relâché.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

DragDrop


ID_ELE_DRAGOVER

ID interne : ID_ELE_DRAGOVER

DragOver

Macro VBA à exécuter lorsque le curseur est déplacé au-dessus de l’élément pendant que le bouton gauche est enfoncé.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

DragOver


ID_ELE_EMBEDDED_FONT

ID interne : ID_ELE_EMBEDDED_FONT

Police

Sélection de la police utilisée pour l’affichage.

Attention : cette option concerne uniquement les polices incorporées.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

Font


ID_ELE_LAYER

ID interne : ID_ELE_LAYER

Niveau de visibilité

Sélectionnez l’un des 16 niveaux de visibilité (0 à 15) dans la liste déroulante. À l’aide de la barre d’outils Niveau de visibilité, vous décidez des niveaux qui doivent être affichés dans Editor. Cette fonction garantit que les synoptiques les plus complexes peuvent être développés de manière simple. Les niveaux peuvent être utilisés immédiatement. Les niveaux n’ont aucune influence sur les informations affichées au premier plan ou en arrière-plan dans le Runtime.
Par défaut : 0.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

Layer


ID_ELE_LIGHTNING

ID interne : ID_ELE_LIGHTNING

Gradient de couleur

Disponible uniquement si la propriété Remplissage (type) a été définie sur Dégradé de couleurs.
Définit le dégradé de couleurs des éléments.

  • Linéaire : dégradé continu
  • Point défini : le dégradé commence au niveau d’un point défini et s’étend jusqu’aux bords de l’élément.
  • Sélectif avec bordures : le dégradé commence au niveau d’un point défini et comporte des rayons ; il s’étend jusqu’aux bords de l’élément.
  • Lumineux : du bas jusqu’à la moitié, puis dégradé du milieu jusqu’au sommet de l’élément (forme rectangulaire uniquement).

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

Lightning


ID_ELE_LINECOLOR

ID interne : ID_ELE_LINECOLOR

Couleur de ligne

Détermine la couleur de trait de l’élément. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de couleurs ou de palettes de couleurs. La saisie peut également être effectuée directement dans le champ, sous forme de valeur hexadécimale précédée de #.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

LineColorEx


ID_ELE_NUM_BASE_ON

ID interne : ID_ELE_NUM_BASE_ON

Base d'affichage

Disponible uniquement si l’un des paramètres Binaire, Hexadécimal ou Octal a été sélectionné pour la propriété Base pour l'affichage de valeurs.

  • Active : Une courte identification de la base de numérotation est affichée après la valeur.

Les identifiants courts suivants sont utilisés pour ces paramètres :

  • Binaire : b
  • Décimal : (pas d’identifiant court)
  • Exponentiel : (pas d’identifiant court)
  • Hexadécimal : h
  • Octal : o

Par défaut : active

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

ShowValueBasis


ID_ELE_PROP0

ID interne : ID_ELE_PROP0

Nom d'élément

Attribuez un nom d’élément.
Il ne doit pas être vide.

Attention : Cette propriété n’est pas disponible aux fins de la commutation de langue.

Remarques concernant les cadrans : Pour les conteneurs de synoptique, spécifiez des noms clairement identifiables pour faciliter la sélection lors de la configuration des appels de synoptique.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

Name


ID_ELE_PROP1

ID interne : ID_ELE_PROP1

Le focus est donné à l'élément

Active : L’élément dynamique peut être actionné à l’aide du clavier.
Inactive : L’élément dynamique n’est pas accessible à l’aide du clavier.
Par défaut : active.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

Tab


ID_ELE_PROP2

ID interne : ID_ELE_PROP2

Visible sous WinCE

Contrôle la visibilité des éléments dans les synoptiques sous Windows CE. Les projets qui sont utilisés sous CE et sur le PC peuvent être créés de manière plus flexible ; la gestion par l’utilisateur est ainsi améliorée. Par exemple, les boutons renvoyant l’utilisateur vers des synoptiques ne pouvant pas être affichés sous CE (par ex. IPA) peuvent être rendus invisibles.

Active : dans synoptique/l’élément est également visible sous Windows CE.

Par défaut : active

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

UnderCE


ID_ELE_PROP5

ID interne : ID_ELE_PROP5

Type

  • Liste déroulante : cet élément est utilisé en tant que zone de liste déroulante.
  • Zone de liste : cet élément est utilisé en tant que zone de liste.

Par défaut : Zone de liste

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

ControlType


ID_ELE_PROP10

ID interne : ID_ELE_PROP10

Point de départ X [pixels]

Coordonnée Y du coin supérieur gauche du synoptique (en pixels).

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

StartX


ID_ELE_PROP11

ID interne : ID_ELE_PROP11

Point de départ Y [pixels]

Coordonnée Y du coin supérieur gauche du synoptique (en pixels).

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

StartY


ID_ELE_PROP12

ID interne : ID_ELE_PROP12

Point final X [pixels]

Coordonnée X du coin inférieur droit du synoptique (en pixels).

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

EndX


ID_ELE_PROP13

ID interne : ID_ELE_PROP13

Point final Y [pixels]

Coordonnée Y du coin inférieur droit du synoptique (en pixels).

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

EndY


ID_ELE_PROP14

ID interne : ID_ELE_PROP14

Largeur [pixels]

Largeur des éléments en pixels.

Remarque : disponible uniquement pour les éléments Combinaison multiple, Élément combiné, Bouton et Interrupteur si la valeur Ajusté a été sélectionnée pour la propriété Taille du graphique.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

Width


ID_ELE_PROP15

ID interne : ID_ELE_PROP15

Hauteur [pixels]

Hauteur des éléments en pixels.

Remarque : disponible uniquement pour les éléments Combinaison multiple, Élément combiné, Bouton et Interrupteur si la valeur Ajusté a été sélectionnée pour la propriété Taille du graphique.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

Height


ID_ELE_PROP16

ID interne : ID_ELE_PROP16

Nom liste d'objets

L’élément est saisi directement dans la liste de stations du synoptique Vue globale, et le texte est saisi ici.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

Stationname


ID_ELE_PROP17

ID interne : ID_ELE_PROP17

Visible de

Incrément de zoom le plus bas auquel l’élément est visible dans la vue globale.
Par défaut : -1
Une valeur de visibilité avec des incréments de zoom de -1 à -1 signifie que l’élément est affiché, quel que soit l’incrément de zoom sélectionné.

Les niveaux de zoom affichés dans la vue globale peuvent être configurés avec la propriété Apparence graphique -> Généralités runtime -> Pas de zoom pour vue globale.

Attention : Ce niveau de zoom s’applique à tous les types de synoptiques et cadres. Si un niveau de zoom défini est supérieur à 0, l’élément est uniquement affiché dans la vue globale, car les autres types de synoptique sont automatiquement appelés avec le niveau de zoom 0.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

ZoomMin


ID_ELE_PROP18

ID interne : ID_ELE_PROP18

Visible jusqu'à

Incrément de zoom le plus élevé auquel l’élément est visible dans la vue globale.

Par défaut : -1
Une valeur de visibilité avec des incréments de zoom de -1 à -1 signifie que l’élément est affiché, quel que soit l’incrément de zoom sélectionné.

Les niveaux de zoom affichés dans la vue globale peuvent être configurés avec la propriété Apparence graphique -> Généralités runtime -> Pas de zoom pour vue globale.

Attention : Ce niveau de zoom s’applique à tous les types de synoptiques et cadres. Si un niveau de zoom défini est supérieur à 0, l’élément est uniquement affiché dans la vue globale, car les autres types de synoptique sont automatiquement appelés avec le niveau de zoom 0.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

ZoomMax


ID_ELE_PROP19

ID interne : ID_ELE_PROP19

Police

Sélection de la police utilisée pour l’affichage.

Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection. La police de caractères sélectionnée est liée.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

LinkedFont


ID_ELE_PROP20

ID interne : ID_ELE_PROP20

Init

Macro VBA à exécuter lors de l’initialisation de l’élément.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

Init


ID_ELE_PROP21

ID interne : ID_ELE_PROP21

LeftClickUp

Macro VBA à exécuter lorsque l’utilisateur relâche le bouton gauche de la souris sur l’élément.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

LeftClickUp


ID_ELE_PROP22

ID interne : ID_ELE_PROP22

LeftClickDown

Macro VBA à exécuter lorsque l’utilisateur effectue un clic gauche sur l’élément.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

LeftClickDown


ID_ELE_PROP23

ID interne : ID_ELE_PROP23

LeftDoubleClick

Macro VBA à exécuter lorsque l’utilisateur effectue un double-clic gauche sur l’élément.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

LeftDClick


ID_ELE_PROP24

ID interne : ID_ELE_PROP24

RightClickUp

Macro VBA à exécuter lorsque l’utilisateur relâche le bouton droit de la souris sur l’élément.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

RightClickUp


ID_ELE_PROP25

ID interne : ID_ELE_PROP25

RightClickDown

Macro VBA à exécuter lorsque l’utilisateur effectue un clic droit sur l’élément.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

RightClickDown


ID_ELE_PROP26

ID interne : ID_ELE_PROP26

RightDoubleClick

Macro VBA à exécuter lorsque l’utilisateur effectue un double-clic droit sur l’élément.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

RightDClick


ID_ELE_PROP27

ID interne : ID_ELE_PROP27

SetFocus

Macro VBA à exécuter lorsque le focus est placé sur l’élément.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

SetFocus


ID_ELE_PROP28

ID interne : ID_ELE_PROP28

KillFocus

Macro VBA à exécuter lorsque le focus n’est plus placé sur l’élément.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

KillFocus


ID_ELE_PROP29

ID interne : ID_ELE_PROP29

Draw

Macro VBA à exécuter lorsque l’élément est redessiné à l’écran.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

Draw


ID_ELE_PROP30

ID interne : ID_ELE_PROP30

Menu contextuel

Menu contextuel de l’élément.
Cliquer avec le bouton droit de la souris sur l’élément pour ouvrir le menu contextuel dans le Runtime.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

Menu


ID_ELE_PROP31

ID interne : ID_ELE_PROP31

Info bulle

Texte à afficher en tant qu’info-bulle de l’élément dans le Runtime. Une info-bulle est automatiquement affichée dans le Runtime si le pointeur de la souris reste pendant quelques secondes sur l’élément. Des retours à la ligne automatiques peuvent être insérés avec les caractères "\n".

  • Maximum : 79 caractères
    Attention : La combinaison de caractères \n est également comptée dans la limite de 79 caractères.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

Tooltip


ID_ELE_PROP32

ID interne : ID_ELE_PROP32

Fichier d'aide

Fichier d’aide (*.chm) devant être utilisé pour cet élément, conjointement à un menu contextuel. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de fichiers.
Attention : seuls les fichiers d’aide ayant été ajoutés dans le nœud Fichiers/Aide sont disponibles.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

Helpfile


ID_ELE_PROP33

ID interne : ID_ELE_PROP33

Chapitre d'aide

Chapitre d’aide (*.chm) devant être utilisé pour cet élément, conjointement à un menu contextuel. Nom de la page HTML sous-jacente.
Attention : cette entrée tient compte des minuscules et majuscules.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

HelpCapture


ID_ELE_PROP34

ID interne : ID_ELE_PROP34

MouseOver

Macro VBA à exécuter si le pointeur de la souris est positionné sur l’élément.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

MouseOver


ID_ELE_PROP35

ID interne : ID_ELE_PROP35

Ecrire valeur prescrite

  • Active : La configuration des valeurs prescrites pour cet élément dynamique est autorisée.
  • Inactive : L’élément est défini sur ReadOnly.

Indisponible pour l’élément Texte dynamique s’il a été défini sur read only dans le synoptique.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

IsSetValue


ID_ELE_PROP36

ID interne : ID_ELE_PROP36

Valeur prescrite

Valeur devant être envoyée en tant que valeur prescrite ou valeur par défaut.
Si la propriété Proposer la valeur actuelle est active : Valeur ajoutée à la valeur actuelle.
Associée à la propriété "Sans boîte de dialogue", l’augmentation (valeur positive) ou la diminution (valeur négative) peut être mise en œuvre.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

SetValue


ID_ELE_PROP37

ID interne : ID_ELE_PROP37

Texte valeur prescrite

Texte utilisé dans le Runtime en tant que proposition d’écriture de valeur prescrite.

Disponible uniquement si les conditions suivantes sont applicables :

  • Propriété Ecrire valeur prescrite active :
  • Propriété Proposer la valeur courante inactive :
  • La variable liée est de type STRING

Longueur maximale du texte : dépend de la valeur de la propriété Longueur de la chaîne pour la variable liée

Remarque : Si cette propriété est utilisée lorsque la propriété Sans dialogue est désactivée, la valeur est directement écrite dans l’élément dans le Runtime.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

SetValueText


ID_ELE_PROP38

ID interne : ID_ELE_PROP38

Synoptique

Synoptique lié affiché sur le cadran. Cliquez sur le bouton ... pour ouvrir une boîte de dialogue permettant de sélectionner un synoptique.

Types de synoptiques autorisés : Liste AML, Filtre de liste AML, Modèle d’équipement, Liste CEL, Filtre de liste CEL, Module ETM, HTML, Report Generator, Report Viewer, Standard, Filtre de temps

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

PictureContainerPictureName


ID_ELE_PROP39

ID interne : ID_ELE_PROP39

Minimum

Limite inférieure de la plage de valeurs autorisées pour la valeur prescrite.
Disponible uniquement si la propriété Plages de la variable n’est pas active.

Attention : La valeur saisie ici sera ignorée si une variable est sélectionnée pour la valeur minimum de la valeur dynamique prescrite.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

Min


ID_ELE_PROP40

ID interne : ID_ELE_PROP40

Maximum

Limite supérieure de la plage de valeurs autorisées pour la valeur prescrite.
Disponible uniquement si la propriété Plages de la variable n’est pas active.

Attention : La valeur saisie ici sera ignorée si une variable est sélectionnée pour la valeur maximale de la valeur prescrite dynamique.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

Max


ID_ELE_PROP41

ID interne : ID_ELE_PROP41

Sans dialogue

Active : La valeur est transmise au matériel sans qu’il soit possible de la modifier dans Runtime.
Inactive : Il reste toutefois possible de modifier la valeur dans le Runtime avant son écriture sur le matériel.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

HWDirect


ID_ELE_PROP42

ID interne : ID_ELE_PROP42

Proposer la valeur courante

Active : La valeur actuelle de la variable est proposée en tant que valeur prescrite.
Dans ce cas, la valeur est ajoutée sous "Valeur prescrite / Modification de valeur" avant la configuration de la valeur réelle (valeur positive) ou sa soustraction depuis celle-ci (valeur négative).
Inactive : La valeur définie dans la propriété "Valeur prescrite / Modification de valeur" est proposée.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

Preset


ID_ELE_PROP43

ID interne : ID_ELE_PROP43

Plages de la variable

Active : La limitation de la plage pour laquelle les valeurs prescrites peuvent être écrites n’est pas définie par l’intermédiaire des paramètres "Min" et "Max", mais est directement issue des définitions de variables (bouton "Étendue").
Inactive : La plage peut être directement limitée par les paramètres "Minimum" et "Maximum".

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

LimitFromVar


ID_ELE_PROP44

ID interne : ID_ELE_PROP44

Écrire valeur prescrite par

Configuration de la définition de la valeur prescrite.
Sélection dans une liste déroulante :

  • Gestion de commande : La nouvelle valeur est définie à l’aide de la fonction Gestion de commandes. Le synoptique défini dans le groupe de commandes de la variable liée s’affiche aux fins de la saisie.
  • Boîte de dialogue standard : la nouvelle valeur est saisie à l’aide d’une boîte de dialogue standard. Si un synoptique de type "Clavier" avec le nom "SETVALUEKBD" (pour les valeurs numériques) ou "SETSTRINGKBD" (pour les variables de type STRING) existe, ce synoptique est utilisé à la place de la boîte de dialogue standard.
    Remarque : Si l’élément est lié à une fonction autorisant les entrées, la propriété est définie Utiliser le synoptique clavier automatiquement. Si un synoptique est lié dans la propriété Synoptique clavier, celui-ci est utilisé. Dans le cas contraire, un clavier SETSTRINGKBD est utilisé.
  • Élément : La valeur est saisie directement dans l’élément graphique (uniquement pour les éléments Valeur numérique et Texte).
  • Programme : La valeur est saisie dans un programme externe.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

SetValueWith


ID_ELE_PROP45

ID interne : ID_ELE_PROP45

Afficher l'aperçu dans Editor

Active : Un aperçu du synoptique lié est affiché dans Editor.
Il est recommandé de désactiver cette fonction en cas de problèmes de performances.

Standard : Active

Plus de détails dans l’aide en ligne

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

ShowPreviewInEditor


ID_ELE_PROP46

ID interne : ID_ELE_PROP46

Niveau d'autorisation

Le niveau du mot de passe d’écriture de valeurs prescrites ou d’exécution de fonctions avec l’élément dynamique sélectionné.
Minimum : 0.
Maximum : 127
Par défaut : 0.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

Passwordlevel


ID_ELE_PROP47

ID interne : ID_ELE_PROP47

Signature nécéssaire

Active : Une signature est nécessaire pour actionner l’élément.

Pour des raisons de sécurité, l’utilisateur sera invité à saisir son mot de passe même s’il est déjà connecté. Le texte de la signature est enregistré dans la liste d’événements (CEL) après que l’élément ait été utilisé avec succès.

Attention : seuls les utilisateurs connectés peuvent signer une action. La signature d’actions avec un identifiant temporaire n’est plus possible.

Inactive : aucune signature n’est requise.

(Par défaut) Inactive :

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

Signature


ID_ELE_PROP48

ID interne : ID_ELE_PROP48

Texte de signature

Ce texte est également consigné lors de la signature dans la liste d’événements (CEL) ou est proposé par défaut dans le Runtime si la signature est définie comme modifiable dans les propriétés du projet.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

SignatureText


ID_ELE_PROP49

ID interne : ID_ELE_PROP49

Programme externe

Disponible uniquement si un programme externe a été sélectionné pour la propriété Écrire valeur prescrite :
La valeur prescrite est écrite par un programme externe qui doit être sélectionné dans la boîte de dialogue affichée ici.

Ce programme est alors démarré et reçoit les paramètres suivants :
1) Nom de la variable liée
2) Valeur proposée, telle que définie dans les propriétés correspondantes
3) Coordonnée gauche de l’élément, en pixels
4) Coordonnée supérieure de l’élément, en pixels
5) Coordonnée droite de l’élément, en pixels
6) Coordonnée inférieure de l’élément, en pixels
7) Valeur minimum autorisée pour la valeur prescrite, telle qu’elle est définie dans les propriétés correspondantes
8) Valeur maximum autorisée pour la valeur prescrite, telle qu’elle est définie dans les propriétés correspondantes

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

SetProgram


ID_ELE_PROP50

ID interne : ID_ELE_PROP50

Texte de signature éditable

Définit si le texte de signature peut être édité. Sélectionnez dans la liste déroulante :

  • Appliquer les paramètres projet : Les paramètres de la propriété de projet Texte de signature éditable sont applicables.
  • Oui : Texte modifiables
  • Non : Le texte ne peut pas être édité.

Par défaut : Appliquer les paramètres projet

Plus de détails dans l’aide en ligne

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

SignatureEditModus


ID_ELE_PROP51

ID interne : ID_ELE_PROP51

Affichage texte de valeur limite

Active : La valeur d’état/valeur limite de la variable attribuée est affichée dans l’élément.
Inactive : Aucun texte n’est affiché.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

ContitionText


ID_ELE_PROP52

ID interne : ID_ELE_PROP52

Colorer uniquement la zone de remplissage

Active : dans les cercles, polygones et rectangles attribués à ce symbole lié, seule la couleur de remplissage change en fonction de la définition de couleur des variables. La couleur du cadre est conservée.
Inactive : La couleur du cadre est modifiée en conséquence.
Par défaut : inactive.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

FillArea


ID_ELE_PROP58

ID interne : ID_ELE_PROP58

Fonction

Nom de la fonction liée.
Ouvre la boîte de dialogue de sélection de fonctions.
Cette fonction sera exécutée lorsque l’utilisateur clique sur le bouton dans le Runtime ou lorsque le raccourci clavier défini est utilisé.
Si vous souhaitez exécuter plusieurs fonctions, vous devez créer un script comportant les fonctions requises et spécifier ici la fonction permettant d’exécuter le script.

SICAM 230 et élément Synoptique d’alarmes uniquement :

Outre la propriété Appel de synoptique standard, le synoptique dont les états d’alarmes doivent être affichés seront déterminés par la fonction liée.
Obligatoire (sauf si le paramètre Global est actif) !

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

Function


ID_ELE_PROP59

ID interne : ID_ELE_PROP59

Variable

Nom de la variable liée. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de variables.
La valeur de cette variable est affichée dans cet élément et peut également être définie ici.

Remarque : Disponible uniquement pour les boutons s’ils sont utilisés en tant qu’interrupteurs.

Conseil : si la valeur de la variable doit être basculée, nous vous recommandons d’activer la propriété Variable lue en permanence. Dans le cas contraire, le Runtime patiente jusqu’à ce que le driver connaisse la valeur des variables. Si la valeur n’est pas disponible en raison d’une interruption des communications avec le contrôleur, le délai d’attente correspond au délai d’attente avant expiration du driver.

SICAM 230 et élément Synoptique d’alarmes uniquement :
La description ci-dessus s’applique uniquement aux éléments Bouton texte, Bouton bitmap et Bouton invisible.
Signification dans SICAM 230 : Les états des classes d’alarmes/d’événements seront attribués à la variable sélectionnée (32 bits). Pour chaque classe, 2 bits seront utilisés (par numéro de classe, dans l’ordre croissant).

  • Bit inférieur : alarme active/inactive
  • Bit supérieur : alarme acquittée/non acquittée

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

Variable


ID_ELE_PROP60

ID interne : ID_ELE_PROP60

Commutateur

Disponible uniquement si la propriété Ecrire valeur prescrite est inactive.

Active : l’élément modifie la valeur d’une variable de bit.
Inactive : l’élément exécute une fonction.
Par défaut : Inactive

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

Switch


ID_ELE_PROP61

ID interne : ID_ELE_PROP61

Mode temporaire

Disponible uniquement si la propriété Commutateur est active. (Exception : toujours disponible dans l’élément dynamique Interrupteur.)
Active : l’état cible (défini dans la propriété Activation temporaire) est maintenu seulement tant que le bouton gauche de la souris est enfoncé et au moins pendant le temps défini par Durée de maintien [ms].
Inactive : l’état cible persiste après que le bouton de la souris ait été relâché.
Par défaut : inactive.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

Scanner


ID_ELE_PROP62

ID interne : ID_ELE_PROP62

Activation temporaire

Disponible uniquement si Mode temporaire est active.
Active : bascule les commutateurs sur ON.
Inactive : bascule les commutateurs sur OFF.
Par défaut : Inactive.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

ScannerOn


ID_ELE_PROP63

ID interne : ID_ELE_PROP63

Réaction immédiate

Disponible uniquement si Commutateur est active.
Active : Le commutateur change immédiatement de position dans le Runtime, indépendamment de la définition du bit lié au niveau l’automate. Lors du prochain cycle de mise à jour du driver, le bit sera lu depuis l’automate. Après cela, la position du commutateur sera de nouveau conforme à la position correcte du bit dans l’automate.
Attention : Le commutateur sera uniquement actionnable lorsque la valeur aura été lue sur l’automate.

Inactive : Le commutateur changera uniquement de position après que le bit ait été transmis à l’automate, puis lu sur l’automate.

(Par défaut) Inactive :

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

FastReaction


ID_ELE_PROP64

ID interne : ID_ELE_PROP64

Durée de maintien [ms]

Disponible uniquement si la propriété Commutateur est active. Si la propriété Mode temporaire est active : Durée (en ms) pendant laquelle un état est maintenu à partir du moment où le clic gauche a été effectué sur l’élément correspondant.

Si la propriété Mode temporaire n’est pas cochée : l’effet est retardé à compter du clic gauche.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

ReactionTime


ID_ELE_PROP65

ID interne : ID_ELE_PROP65

Raccourci-clavier

Les raccourcis autorisent l’exécution d’éléments actionnables. Par exemple :

- Exécution d’éléments de contrôle et de fonctions auxquelles un élément est attribué
- Écriture de valeurs prescrites (par ex. pour des interrupteurs)
- Configuration du focus pour certaines fenêtres (par ex. liste des courbes dans le module Extended Trend, ou liste déroulante dans le module RGM)

Cliquez sur le bouton du champ de saisie pour ouvrir la boîte de dialogue de définition des combinaisons de touches. Dans la boîte de dialogue, saisissez directement la combinaison souhaitée.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

ShortCut


ID_ELE_PROP66

ID interne : ID_ELE_PROP66

Fichier graphique

Éléments graphiques affichés sur le bouton lorsque le bouton n’est pas actionné (*.bmp, *.wmf, *.jpg, *.gif, *.png, *.tif). Cliquez sur le bouton ... La boîte de dialogue de sélection de fichiers s’ouvre.

Remarque : Si le paramètre Taille originale est sélectionné pour la propriété Taille du graphique, il est recommandé d’utiliser la même taille pour tous les éléments graphiques contenus dans l’élément, car la taille de l’élément est adaptée à celle de tous les éléments graphiques actuellement affichés.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

FileName


ID_ELE_PROP67

ID interne : ID_ELE_PROP67

Fichier graphique pour Off (0)

Fichier graphique prédéfini ou défini par l’utilisateur pour l’état Arrêt du commutateur.

Remarque : Si le paramètre Taille originale est sélectionné pour la propriété Taille du graphique, il est recommandé d’utiliser la même taille pour tous les éléments graphiques contenus dans l’élément, car la taille de l’élément est adaptée à celle de tous les éléments graphiques actuellement affichés.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

BitmapLow


ID_ELE_PROP68

ID interne : ID_ELE_PROP68

Fichier graphique pour On (1)

Fichier graphique prédéfini ou défini par l’utilisateur pour l’état Marche du commutateur.

Remarque : Si le paramètre Taille originale est sélectionné pour la propriété Taille du graphique, il est recommandé d’utiliser la même taille pour tous les éléments graphiques contenus dans l’élément, car la taille de l’élément est adaptée à celle de tous les éléments graphiques actuellement affichés.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

BitmapHigh


ID_ELE_PROP69

ID interne : ID_ELE_PROP69

Autour de zéro

Affecte uniquement l’affichage de valeurs avec un signe :
Active : La barre s’étend de 0 jusqu’à la valeur actuelle de la variable liée.
Inactive : La barre s’étend de la valeur la plus basse affichée jusqu’à la valeur actuelle de la variable liée.
Par défaut :

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

FromZero


ID_ELE_PROP70

ID interne : ID_ELE_PROP70

Type d'affichage

Heure absolue : l’heure de l’horloge du système est affichée au format souhaité.
Différence de temps : la valeur actuelle d’une variable liée est affichée au format d’heure choisi.
Par défaut Filtre temps absolu :

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

ViewType


ID_ELE_PROP71

ID interne : ID_ELE_PROP71

Formatage

Format de l’affichage de l’heure/de la date.
Une chaîne de formatage doit être sélectionnée dans la liste.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

Format


ID_ELE_PROP72

ID interne : ID_ELE_PROP72

Représentation sur 2 lignes

Disponible uniquement avec l’heure absolue :
Aktive : Lorsque l’affichage simultané de l’heure et de la date est activé, l’heure s’affiche dans la première ligne, tandis que la date s’affiche dans la deuxième ligne.
Inactive : La date et l’heure sont affichées sur une même ligne.
Par défaut : active.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

TwoLines


ID_ELE_PROP73

ID interne : ID_ELE_PROP73

Séparateur

Disponible uniquement avec le mode Différence de temps :
Séparateur pour l’affichage de l’heure/de la date.
(par ex. : dans 10:15)

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

Separator


ID_ELE_PROP75

ID interne : ID_ELE_PROP75

Symbole

Un symbole peut être sélectionné dans la liste de symboles affichée à l’écran.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

Symbol


ID_ELE_PROP76

ID interne : ID_ELE_PROP76

Texte

Disponible uniquement si une valeur numérique a été liée et l’option Texte de valeur limite a été sélectionnée pour la propriété Afficher le texte.

Saisie du texte affiché dans le Runtime si aucun dépassement de valeur limite n’est constaté. Si une valeur limite est dépassée, le texte de valeur limite configuré pour la variable est affiché.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

DynText


ID_ELE_PROP77

ID interne : ID_ELE_PROP77

Type de ligne

Sélection du type de ligne de l’élément dans la liste.
Attention : Si, pour le nœud Apparence graphique des propriétés de projet, la propriété Qualité graphique a été définie sur Windows basic, une largeur de ligne >1 est uniquement utilisable avec le type de ligne Ligne continue.
Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

LineType


ID_ELE_PROP78

ID interne : ID_ELE_PROP78

Remplissage (type)

Sélection du motif de remplissage de l’élément dans la liste.

Cette propriété est uniquement disponible si la propriété Par les valeurs de luminosité est inactive.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

FillPattern


ID_ELE_PROP79

ID interne : ID_ELE_PROP79

Fonction spécifique au type de synoptique

Uniquement disponible sur les synoptiques de type spécial (synoptiques de type autre que Standard) :
Liaison à une fonction spécifique au synoptique. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de fonctions spécifiques au synoptique. Cette fonction est exécutée si l’utilisateur effectue un clic dans le Runtime ou appuie sur une combinaison de touches liée.

Attention : Outre une fonction spécifique au type de synoptique, il est également possible de lier une fonction générale au bouton. Dans ce cas, notez l’ordre d’exécution lorsque vous cliquez sur le bouton : La fonction spécifique au type de synoptique est exécutée la première. Lorsque cette fonction est terminée, la fonction générale est exécutée. Si des événements VBA sont liés au bouton dans le Runtime, ces derniers sont exécutés avant les fonctions.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

MDIFunction


ID_ELE_PROP80

ID interne : ID_ELE_PROP80

Texte

Intitulé de l’élément dans Editor.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

Legend


ID_ELE_PROP81

ID interne : ID_ELE_PROP81

Style L

Style Windows de l’élément ; utilisation interne uniquement.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

StyleL


ID_ELE_PROP82

ID interne : ID_ELE_PROP82

Style H

Style Windows de l’élément ; utilisation interne uniquement.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

StyleH


ID_ELE_PROP83

ID interne : ID_ELE_PROP83

Horizontal

Point de référence horizontal de l’événement. Les valeurs possibles sont : gauche, centré, droite.
Ce point est utilisé en tant que base de calcul de l’angle de départ de la rotation (statique et dynamique) et pour le changement dynamique de taille.

Par défaut : À gauche

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

HorizontalOrigin


ID_ELE_PROP84

ID interne : ID_ELE_PROP84

Vertical

Point de référence vertical de l’événement. Les valeurs possibles sont : haut, centré, bas.
Ce point est utilisé en tant que base de calcul de l’angle de départ de la rotation (statique et dynamique) et pour le changement dynamique de taille.

Par défaut : En haut

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

VerticalOrigin


ID_ELE_PROP85

ID interne : ID_ELE_PROP85

Numéro symbole

Numéro unique du symbole ou du groupe d’éléments.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

PropSymbolNumber


ID_ELE_PROP86

ID interne : ID_ELE_PROP86

Nom du symbole

Nom du symbole.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

LinkName


ID_ELE_PROP91

ID interne : ID_ELE_PROP91

Minimum

Valeur la plus basse de la variable devant être affichée dans l’élément.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

ViewMin


ID_ELE_PROP92

ID interne : ID_ELE_PROP92

Maximum

Valeur la plus élevée de la variable devant être affichée dans l’élément.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

ViewMax


ID_ELE_PROP93

ID interne : ID_ELE_PROP93

Montant absolu

Pour l’élément Valeur numérique, disponible uniquement si la propriété Visualiser valeur en pourcentage est inactive.

  • Active : Affichage non signé de la valeur de variable (-200 = 200).
  • Inactive : Affichage normal de la valeur.

Par défaut : Inactive

Remarque : Dans ce cas, la valeur prescrite est saisie en pourcentage.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

Absolute


ID_ELE_PROP97

ID interne : ID_ELE_PROP97

Toujours animation GIF

Active : L’animation s’exécute toujours.
Inactive : L’animation ne s’exécute pas. Vous pouvez activer ou désactiver l’animation grâce au lien facultatif vers Variable.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

Animate


ID_ELE_PROP98

ID interne : ID_ELE_PROP98

Variable

Variable de bit permettant d’activer ou de désactiver l’animation.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

AnimateVar


ID_ELE_PROP99

ID interne : ID_ELE_PROP99

Catégorie

Concept de répartition par catégorie. Vous pouvez également filtrer ou regrouper les informations en fonction de cette propriété.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

Category


ID_ELE_PROP100

ID interne : ID_ELE_PROP100

Description

Description détaillée du symbole ou du groupe d’éléments. Vous pouvez également filtrer les informations en fonction de cette propriété.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

Description


ID_ELE_PROP101

ID interne : ID_ELE_PROP101

Couleur du texte

Couleur du texte de l’élément.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

TextColor


ID_ELE_PROP102

ID interne : ID_ELE_PROP102

Couleur de remplissage

Disponible uniquement si la propriété Transparence est inactive.

Définit la couleur de remplissage de l’élément. Cliquez sur le bouton pour ouvrir la palette de couleurs prédéfinies. Vous pouvez également définir la couleur en saisissant manuellement le code hexadécimal (RVB) dans le champ. La couleur de remplissage peut être modifiée de manière dynamique à l’aide de la propriété Couleur de remplissage du groupe Couleur(s) de remplissage dynamique(s).

Remarque : La couleur du nouvel élément sera la couleur utilisée pour le précédent élément du même type.

Attention : dans la fenêtre Vue globale, les modifications des couleurs dans Editor n’ont aucune incidence dans le Runtime.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

BackColor


ID_ELE_PROP103

ID interne : ID_ELE_PROP103

Couleur barre

Couleur de la barre du diagramme à barres. La couleur définie est utilisée si aucun dépassement de valeur limite n’est enregistré.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

TextColor


ID_ELE_PROP104

ID interne : ID_ELE_PROP104

Transparence

Active : Désactive la couleur d’arrière-plan de l’élément.

L’effet de cette option sur un bouton est un bouton invisible. Il peut être positionné au-dessus des autres éléments en tant que bouton invisible.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

Transparent


ID_ELE_PROP108

ID interne : ID_ELE_PROP108

Füllfarbe

Couleur de remplissage ou couleur d’arrière-plan de l’élément.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

BackColor


ID_ELE_PROP109

ID interne : ID_ELE_PROP109

Groupe de symboles

Détermine l’affinité de groupe du symbole. Cette valeur ne peut pas être modifiée. Les symboles provenant de la bibliothèque de symboles dans le projet global ou le projet local reçoivent la valeur projet.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

Group


ID_ELE_PROP111

ID interne : ID_ELE_PROP111

Texte ligne 1

Première ligne de texte du bouton.
En utilisant le caractère &, vous pouvez souligner le caractère suivant dans le Runtime. Pour afficher le caractère &, saisissez "&&".

La chaîne de caractères \n permet d’insérer un saut de ligne.

Attention : Pour utiliser \n, la propriété Texte ligne 2 doit être vide.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

Text1


ID_ELE_PROP112

ID interne : ID_ELE_PROP112

Texte ligne 2

Deuxième ligne de texte du bouton.
En utilisant le caractère &, vous pouvez souligner le caractère suivant dans le Runtime. Pour afficher le caractère &, saisissez "&&".

Remarque : cette propriété est utilisée à des fins de compatibilité avec les versions antérieures. Dans les versions actuelles : Utilisez la propriété Texte ligne 1 et commencez les nouvelles lignes par \n.

Attention :

  • cette ligne doit rester vide si le saut de ligne automatique doit être utilisé.
  • Si cette propriété est configurée, la propriété Texte lors de l'appui est désactivée et ne peut pas être utilisée dans le Runtime. Le contenu de la propriété Texte lors de l'appui déjà configuré est grisé et désactivé.
    Même un espace est considéré comme une configuration de projet valide et bloque l’affichage du texte si le bouton est maintenu enfoncé !
    La configuration de la propriété Texte ligne 2 désactive également la configuration de projet existante dans la propriété Texte lors de l'appui.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

Text2


ID_ELE_PROP113

ID interne : ID_ELE_PROP113

Retour à la ligne automatique

  • Active : Le retour automatique à la ligne est utilisé pour le texte dans l’élement.
    La longueur des lignes dépend de la largeur de l’élément.
  • Inactive : Le texte est affiché sur une ligne.

Par défaut : Inactive

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

Wordbreak


ID_ELE_PROP114

ID interne : ID_ELE_PROP114

Texte lors de l'appui

Texte du bouton dans le Runtime lorsqu’il est enfoncé.
La séquence de caractères \n insère une nouvelle ligne dans le texte.

Attention : Si la propriété Texte ligne 2 est configurée, la propriété Texte lors de l'appui est désactivée et ne peut pas être utilisée dans le Runtime. Les contenus déjà configurés sont grisés et désactivés. Ceci est également vrai si la propriété Texte ligne 2 est ensuite remplie de contenu.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

DownText


ID_ELE_PROP115

ID interne : ID_ELE_PROP115

Exécution sur appui

Active : La fonction liée est exécutée lorsque l’élément est actionné.
Inactive : La fonction liée est exécutée lorsque l’élément est relâché.
Par défaut : inactive.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

FktOnDown


ID_ELE_PROP116

ID interne : ID_ELE_PROP116

Forme du bouton

Forme du bouton :

  • Anguleux : le bouton comporte des coins pointus. Les propriétés du groupe Coins arrondis vous permettent de transformer les coins pointus en coins arrondis.
  • Rond : le bouton est arrondi.

Par défaut : Anguleux

Les paramètres de la propriété Gradient de couleur dépendent de ce paramètre.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

BtnStyleBorder


ID_ELE_PROP117

ID interne : ID_ELE_PROP117

Inverser le gradient de couleur

Disponibles uniquement si l’option Dégradé de couleurs a été sélectionnée en tant que Remplissage (type).
Active : Le dégradé de luminosité est inversé.
Inactive : Le dégradé de luminosité n’est pas inversé.
Par défaut : Inactive

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

BtnStyleInvert


ID_ELE_PROP118

ID interne : ID_ELE_PROP118

Remplissage

Remplissage du bouton :
Monochrome : Pas de dégradé
Linéaire : dégradé linéaire
Lumineux : du bas jusqu’à la moitié, couleur de remplissage 1 ; ensuite, dégradé du milieu jusqu’au sommet de l’élément.
Point défini : le dégradé commence au niveau d’un point défini et s’étend jusqu’aux bords de l’élément.

Sélectif avec bordures : le dégradé commence au niveau d’un point défini et comporte des rayons ; il s’étend jusqu’aux bords de l’élément.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

BtnStyleFill


ID_ELE_PROP121

ID interne : ID_ELE_PROP121

Visualiser l'état de la variable

Affichage graphique de l’état de la variable. Sélection à l’aide d’une case à cocher.

  • Active : l’état des variables est indiqué par un carré de couleur au niveau de l’élément.

    Couleur :

    • Carré rouge :
      pas de communication avec l’automate.
      Exemple : INVALID, OFF, ALT_VAL, REVISION, TIMEOUT, ...
    • Carré bleu (N_UPDATE) :
      Sur le client réseau :
      La connexion entre le client et le serveur principal a été interrompue.

      Avec un projet d’intégration indépendant :
      Le serveur principal n’a pas encore fourni les données.
    • Carré jaune (PR_NR) :
      Indique, dans le Runtime, que la variable n’a pas été enregistrée pendant la lecture dans le module Process Recorder. Par conséquent, aucune valeur n’a été identifiée lors de la lecture.

    Position :
    La position du carré au niveau de l’élément dépend de la forme de l’élément :

    • Anguleux et tous autres éléments :
      Coin supérieur droit
    • Élément circulaire :
      En haut, au milieu
    • Élément arrondi :
      coin supérieur droit, légèrement décalé vers la gauche
  • Inactive : L’état n’est pas représenté.
    Désactive également la possibilité d’afficher les informations supplémentaires concernant la variable avec un clic droit.

Par défaut : Actif

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

ShowState


ID_ELE_PROP122

ID interne : ID_ELE_PROP122

Alignement horizontal

Orientation horizontale de la valeur pour l’affichage.
Sélection dans une liste déroulante :

  • À gauche
  • À droite
  • Centré

Par défaut : Centré.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

HorizontalAlign


ID_ELE_PROP123

ID interne : ID_ELE_PROP123

Alignement vertical

Orientation verticale de la valeur pour l’affichage.
Sélection dans une liste déroulante :

  • En haut
  • En bas
  • Centré

Par défaut : Centré.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

VerticalAlign


ID_ELE_PROP124

ID interne : ID_ELE_PROP124

Cadre élément

Liste déroulante utilisée pour la sélection du type de cadre. Les possibilités suivantes sont disponibles :

Pour l’élément bouton

  • Cadre fin
  • 3D

Par défaut : Cadre fin

Pour les autres éléments dynamiques

  • Bords en hauteur
  • Bords enfoncés
  • Plat
  • En hauteur (classique)
  • Enfoncé (classique)
  • Marges en hauteur
  • Marges enfoncées

Par défaut : Plat

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

Frame


ID_ELE_PROP125

ID interne : ID_ELE_PROP125

Afficher les unités de mesure

disponible uniquement :
En général : Si la propriété Afficher la valeur valeur a été activée.
Pour l’élément Horloge : si l’option Différence de temps a été sélectionnée dans la propriété Type d'affichage.
Pour un instrument à aiguille : si la propriété 3D a été activée.

Active : L’unité de la variable liée est affichée à droite de la valeur.
Si la valeur est affichée en pourcentage, le caractère de pourcentage % est affiché à la place de l’unité de la variable liée.
Inactive : L’unité technique n’est pas affichée.
Par défaut : active.

Remarque :

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

ShowUnit


ID_ELE_PROP126

ID interne : ID_ELE_PROP126

Visualiser valeur en pourcentage

  • Active : La valeur de variable est affichée sous la forme 0 á 100 %.
  • Inactive : La valeur est affichée normalement.

Plage de valeurs :

  • Plage de mesure minimum : 0 %
  • Plage de mesures maximum : 100 %

La conversion est linéaire. Les saisies de points de consigne sont également converties en pourcentage.
Par défaut : Inactive

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

Percentage


ID_ELE_PROP127

ID interne : ID_ELE_PROP127

3D

Active : L’élément est affiché en trois dimensions.
Inactive : L’élément est affiché en deux dimensions.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

ThreeDimensional


ID_ELE_PROP129

ID interne : ID_ELE_PROP129

Représentation en pourcentage

Active : La valeur de variable est affichée sous la forme 0-100 %.
0% = plage de mesure minimum
100 % = plage de mesure maximum
La conversion est linéaire. Les saisies de points de consigne sont également converties en pourcentage.
Inactive : La valeur est affichée normalement.
Par défaut : inactive.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

Percentage


ID_ELE_PROP130

ID interne : ID_ELE_PROP130

Bande

Disponible uniquement si la propriété Arc de cercle est inactive.

  • Active : la valeur est affichée par le biais d’une barre, de la valeur minimale jusqu’à la valeur actuelle.
  • Inactive : aucune barre n’est affichée.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

Ribbon


ID_ELE_PROP131

ID interne : ID_ELE_PROP131

Arc de cercle

Disponible uniquement si la propriété Bande est inactive.

  • Active : La valeur est affichée au moyen d’un cercle gradué, de la valeur minimum jusqu’à la valeur actuelle.
  • Inactive : Aucun cercle gradué n’est affiché.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

Pie


ID_ELE_PROP132

ID interne : ID_ELE_PROP132

Explicite

Cette propriété affecte uniquement l’affichage de valeurs comportant des valeurs limites définies issues des variables.
Les valeurs limites des matrices de réaction ne sont pas prises en compte.

  • Active : Si une valeur limite de la variable liée est dépassée, seule la partie de l’affichage correspondant au dépassement de valeur limite est affichée dans la couleur de la valeur limite correspondante.
    Si la variable comporte plusieurs valeurs limites définies, les zones correspondantes de l’affichage sont individuellement affichées dans la couleur de la valeur limite correspondante.
  • Inactive : Si une valeur limite de la variable liée est dépassée, l’affichage entier reprend les couleurs de la valeur limite dépassée.

Par défaut : Inactive

Remarque : disponible uniquement pour l’élément Instrument à aiguille si l’affichage est activé sous la forme Bande ou Arc de cercle .

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

Explicit


ID_ELE_PROP135

ID interne : ID_ELE_PROP135

Visualiser courbes en tant que surfaces

Active : Les courbes sont représentées sous forme d’appels de fonctions.
Inactive : Les courbes sont affichées sous forme de lignes.
Par défaut : inactive.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

Area


ID_ELE_PROP136

ID interne : ID_ELE_PROP136

Ne pas interpoler

Active : Les valeurs sont liées sans interpolation, par étapes.
Inactive : Les valeurs sont liées avec interpolation.
Par défaut : inactive.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

NoInterpolation


ID_ELE_PROP137

ID interne : ID_ELE_PROP137

Visualiser valeurs numériques

Active : Les valeurs de la dernière actualisation sont affichées sous forme de nombres pour toutes les variables liées.
Inactive : Les valeurs ne sont pas affichées.
Par défaut : active.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

NumericalValues


ID_ELE_PROP138

ID interne : ID_ELE_PROP138

Visualiser axes

Active : L’axe de temps et de pourcentage est affiché.
Inactive : Aucun axe n’est affiché.
Par défaut : inactive.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

Axes


ID_ELE_PROP139

ID interne : ID_ELE_PROP139

Afficher information courbe

Active : Le nom ou le texte source modifié et la plage de mesure des variables liées sont affichés dans une légende.
Inactive : Aucune légende n’est affichée.
Par défaut : active.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

Addresses


ID_ELE_PROP140

ID interne : ID_ELE_PROP140

Envoi valeur pendant le déplacement souris

Active : Envoi continu de nouvelles valeurs pendant le déplacement de la souris.
Inactive : Envoi unique de la nouvelle valeur lorsque le bouton de la souris est relâché.
(uniquement si l’option "Directement au matériel" est activée dans la section "Valeur prescrite")

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

MouseMovement


ID_ELE_PROP141

ID interne : ID_ELE_PROP141

Afficher la valeur valeur

Affichage complémentaire de la valeur actuelle sous forme de nombre. La position dans l’élément et la couleur de la police utilisée peuvent être définies.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

ShowValue


ID_ELE_PROP142

ID interne : ID_ELE_PROP142

Taille du graphique

Définition de la taille du fichier graphique.

  • Étiré : La taille du fichier est ajustée à la taille de l’élément.
  • Taille d’origine : Les fichiers graphiques liés sont affichés à leur taille d’origine.
    Lorsque cette option est sélectionnée, les propriétés Largeur [pixels] et Hauteur [pixels] ne peuvent plus être configurées individuellement pour les éléments Combinaison multiple, Élément combiné, Bouton et Interrupteur.
    Tous les fichiers graphiques doivent être de taille identique.

Par défaut : étiré

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

GraphicSize


ID_ELE_PROP150

ID interne : ID_ELE_PROP150

Épaisseur de ligne [pixels]

Épaisseur de la ligne (en pixels).

  • Minimum : 0
    Dans ce cas, l’épaisseur de la ligne est de 1 pixel.
  • Maximum : 40

Par défaut : 1
Attention : Dans les paramètres du projet dans le nœud Apparence graphique, si vous définissez la propriété Qualité graphique sur Configuration Windows, vous pouvez uniquement utiliser une épaisseur de ligne >1 avec une ligne de type Trait continu.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

LineWidth


ID_ELE_PROP151

ID interne : ID_ELE_PROP151

Couleur pour la valeur

Couleur de la valeur à afficher.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

ValueColor


ID_ELE_PROP152

ID interne : ID_ELE_PROP152

Valeur de la position

Position de la valeur à afficher.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

ValuePos


ID_ELE_PROP153

ID interne : ID_ELE_PROP153

Angle de départ

Définition de l’angle initial (0° = en bas à gauche, suite dans le sens horaire)

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

StartAngle


ID_ELE_PROP154

ID interne : ID_ELE_PROP154

Angle d'ouverture

Angle d’ouverture du déplacement du pointeur (angle de début max. 360°)

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

OpeningAngle


ID_ELE_PROP155

ID interne : ID_ELE_PROP155

Largeur de défilement [%]

Cette propriété définit le pourcentage suivant lequel la courbe sera déplacée lorsque la limite d’affichage est atteinte ; des valeurs comprises entre 0 et 100 % sont autorisées.
0% : Supprimer l’entrée la plus ancienne pour chaque nouvelle entrée.
50% : En cas de dépassement de valeur limite, la moitié de la plage d’affichage est supprimée et l’écriture se poursuit.
100% : En cas de dépassement de valeur limite, la totalité de la plage d’affichage est supprimée et l’écriture reprend depuis le début.
Par défaut : 0.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

ScrollWidth


ID_ELE_PROP156

ID interne : ID_ELE_PROP156

Sens de déplacement

Cette propriété définit la disposition de l’axe de temps affiché.
À droite : valeur la plus ancienne à gauche, valeur la plus récente à droite.
À gauche : valeur la plus ancienne à droite, valeur la plus récente à gauche.
En haut : valeur la plus ancienne en bas, valeur la plus récente en haut.
En bas : valeur la plus ancienne en haut, valeur la plus récente en bas.
Si les axes sont affichés, une flèche fans le coin inférieur de l’élément indique la direction.
Par défaut : Droite.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

Direction


ID_ELE_PROP157

ID interne : ID_ELE_PROP157

Texte

Texte à afficher sur le synoptique.

en utilisant le caractère &, vous pouvez souligner le caractère suivant dans le Runtime. Pour afficher le caractère &, saisissez "&&".

La chaîne de caractères \n permet d’insérer un saut de ligne.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

Text


ID_ELE_PROP158

ID interne : ID_ELE_PROP158

Textwinkel [°]

Winkel für die Darstellung des Textes.

ACHTUNG: Diese Option funktioniert nur bei eingebetteten Schriften.

Mehr im Online-Handbuch.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

TextAngle


ID_ELE_PROP159

ID interne : ID_ELE_PROP159

Buchstabenneigung [°]

Buchstabenneigung.

Mehr im Online-Handbuch.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

TextLetterAngle


ID_ELE_PROP160

ID interne : ID_ELE_PROP160

Base pour l'affichage de valeurs

Sélection du système de numérotation pour l’affichage de valeurs :
Les systèmes de numérotation suivants sont disponibles :

  • Binaire : affichage au format binaire.
  • Décimal : affichage décimal.
  • Exponentiel : affichage décimal sous forme exponentielle. Exemple : 1E+03 est égal à 1000 en notation décimale.
  • Hexadécimal : affichage hexadécimal.
  • Octal : affichage octal.

Par défaut : Décimal

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

ValueBase


ID_ELE_PROP161

ID interne : ID_ELE_PROP161

Visualiser echelle

Active : Une échelle est affichée sur l’élément.
inactive : Aucune échelle n’est affichée.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

ShowScale


ID_ELE_PROP162

ID interne : ID_ELE_PROP162

Distance [pixels]

Distance entre l’échelle et l’élément (en pixels).

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

ScaleDistance


ID_ELE_PROP163

ID interne : ID_ELE_PROP163

Hauteur [pixels]

Hauteur de l’échelle.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

ScaleHeight


ID_ELE_PROP164

ID interne : ID_ELE_PROP164

Graduations principales

Espacement des divisions principales (affichage numérique) de l’échelle.

Exemple : si vous saisissez 50, une division principale est affichée toutes les 50 unités : 0 - 50 - 100 - 150, etc.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

MainTicks


ID_ELE_PROP165

ID interne : ID_ELE_PROP165

Graduations secondaires

Espacement des divisions principales (pas d’affichage numérique) de l’échelle.
Exemple : une valeur de 100 entraîne l’affichage d’une division intermédiaire tous les 1000, à partir de la plus petite valeur affichée.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

SmallTicks


ID_ELE_PROP166

ID interne : ID_ELE_PROP166

Couleur des graduations principales

Couleur des divisions principales (affichage numérique) sur l’échelle.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

MainTickColor


ID_ELE_PROP167

ID interne : ID_ELE_PROP167

Couleur des graduations secondaires

Couleur des divisions principales (pas d’affichage numérique) sur l’échelle.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

SmallTickColor


ID_ELE_PROP168

ID interne : ID_ELE_PROP168

Afficher la légende

Si cette option est activée, le texte (valeurs) est affiché sur l’échelle.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

ShowLegend


ID_ELE_PROP169

ID interne : ID_ELE_PROP169

Distance [pixels]

Distance entre la légende et l’échelle (en pixels).

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

LegendDistance


ID_ELE_PROP170

ID interne : ID_ELE_PROP170

Couleur de légende

Couleurs de la légende.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

LegendColor


ID_ELE_PROP171

ID interne : ID_ELE_PROP171

Logarithmique

Active : Échelle logarithmique
Inactive : Échelle linéaire

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

Logarithmic


ID_ELE_PROP172

ID interne : ID_ELE_PROP172

Direction inversée

Affichage inversé des valeurs minimale et maximale

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

ReverseDirection


ID_ELE_PROP173

ID interne : ID_ELE_PROP173

Echelonné

La configuration de valeurs s’effectue uniquement par étapes définies.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

Discrete


ID_ELE_PROP174

ID interne : ID_ELE_PROP174

Etapes échelonnées

Nombre d’incréments pour la propriété Etapes échelonnées.

Minimum : 2

Maximum : 20

Par défaut : 5

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

DiscreteSteps


ID_ELE_PROP175

ID interne : ID_ELE_PROP175

Afficher le bouton

Un élément fonctionnel est représenté par un bouton, plutôt que la valeur actuelle.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

ShowKnob


ID_ELE_PROP176

ID interne : ID_ELE_PROP176

Type de bouton

Forme du bouton.

Sélectionnez dans la liste déroulante :

  • Haut
  • Plat
  • Enfoncé

Par défaut : Enfoncé.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

KnobStyle


ID_ELE_PROP177

ID interne : ID_ELE_PROP177

Couleur de bouton

Couleur du bouton.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

KnobColor


ID_ELE_PROP191

ID interne : ID_ELE_PROP191

Forme

Linéaire : affichage sous forme de barre ou de réglette.
Rond : affichage sous forme d’instrument à aiguille.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

Shape


ID_ELE_PROP192

ID interne : ID_ELE_PROP192

Alignement

Remarque : Uniquement disponible pour la forme linéaire :

  • Horizontal : affichage horizontal de la barre ou de la réglette.
  • Vertical : affichage vertical de la barre ou de la réglette.

Par défaut : horizontal.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

Align


ID_ELE_PROP193

ID interne : ID_ELE_PROP193

Angle de départ

Définition de l’angle initial (0° = en bas au milieu, suite dans le sens horaire)

Cette valeur doit être inférieure à l’Angle final.

Uniquement disponible pour une forme circulaire avec une réglette universelle :

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

Start


ID_ELE_PROP194

ID interne : ID_ELE_PROP194

Angle final

Définition de l’angle final (0° = en bas au milieu, suite dans le sens horaire)

Cette valeur ne doit pas être inférieure à l’Angle de départ.

Uniquement disponible pour une forme circulaire avec une réglette universelle.
Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

End


ID_ELE_PROP195

ID interne : ID_ELE_PROP195

Style

Type d’affichage dans le Runtime.
Sélectionnez dans la liste déroulante :

  • Barre
  • Réglette animée
    Remarque : Dans le Runtime, les valeurs peuvent uniquement être modifiées par l’intermédiaire d’une boîte de dialogue. Il est impossible de modifier une valeur directement à l’aide de la réglette.
  • Bargraphe à LED
  • Réglette/Potentiomètre

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

Style


ID_ELE_PROP196

ID interne : ID_ELE_PROP196

Type d'instrument à aiguille

Représentation graphique de la valeur actuelle avec un élément :

  • Ligne
  • Instrument à aiguille
  • Triangle

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

Pointer


ID_ELE_PROP197

ID interne : ID_ELE_PROP197

Barre explicite

Disponible uniquement si les paramètres Bargraphe, Réglette animée ou Bargraphe à LED ont été sélectionnés pour la propriété Style.

Cette propriété affecte uniquement l’affichage de valeurs comportant des valeurs limites définies issues des variables.
Les valeurs limites des matrices de réaction ne sont pas prises en compte.

  • Active : Si une valeur limite de la variable liée est dépassée, seule la partie de l’affichage correspondant au dépassement de valeur limite est affichée dans la couleur de la valeur limite correspondante.
    Si la variable comporte plusieurs valeurs limites définies, les zones correspondantes de l’affichage sont individuellement affichées dans la couleur de la valeur limite correspondante.
  • Inactive : Si une valeur limite de la variable liée est dépassée, l’affichage entier reprend les couleurs de la valeur limite dépassée.

Par défaut : Inactive

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

Explicit


ID_ELE_PROP198

ID interne : ID_ELE_PROP198

Couleur instrument à aiguille/barre

Couleur de l’aiguille ou de la barre.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

PointerColor


ID_ELE_PROP199

ID interne : ID_ELE_PROP199

Visualiser indicateur

Activer l’indicateur de glissement des valeurs d’affichage minimum/maximum.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

MinMaxView


ID_ELE_PROP200

ID interne : ID_ELE_PROP200

Type d'affichage

Affichage graphique (indicateur) de la valeur minimum ou maximum avec un élément :

  • Ligne
  • Instrument à aiguille
  • Triangle

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

MinMaxShape


ID_ELE_PROP201

ID interne : ID_ELE_PROP201

Couleur valeur min

Couleur de la valeur minimum affichée.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

MinColor


ID_ELE_PROP202

ID interne : ID_ELE_PROP202

Couleur valeur max

Couleur de la valeur maximum affichée.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

MaxColor


ID_ELE_PROP203

ID interne : ID_ELE_PROP203

Reset auto.

Réinitialisation automatique de l’indicateur pour l’affichage des valeurs minimum/maximum après un intervalle défini.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

AutoReset


ID_ELE_PROP204

ID interne : ID_ELE_PROP204

Reset automatique après [min]

Délai de réinitialisation automatique des valeurs min./max. Signalisation.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

AutoResetTime


ID_ELE_PROP211

ID interne : ID_ELE_PROP211

Gauche [pixels]

Distance entre le bord gauche de l’élément et l’affichage graphique (en pixels).

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

LeftFrame


ID_ELE_PROP212

ID interne : ID_ELE_PROP212

Droite [pixels]

Distance entre le bord droit de l’élément et l’affichage graphique (en pixels).

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

RightFrame


ID_ELE_PROP213

ID interne : ID_ELE_PROP213

Haut [pixels]

Distance entre le bord supérieur de l’élément et l’affichage graphique (en pixels).

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

TopFrame


ID_ELE_PROP214

ID interne : ID_ELE_PROP214

Bas [pixels]

Distance entre le bord inférieur de l’élément et l’affichage graphique (en pixels).

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

BottomFrame


ID_ELE_PROP221

ID interne : ID_ELE_PROP221

Afficher le titre

Visualiser titre.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

ShowTitle


ID_ELE_PROP222

ID interne : ID_ELE_PROP222

Position titre

Emplacement du titre.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

TitlePos


ID_ELE_PROP223

ID interne : ID_ELE_PROP223

Couleur titre

Couleur du texte du titre.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

TitleColor


ID_ELE_PROP224

ID interne : ID_ELE_PROP224

Texte titre

Texte à afficher en tant que titre.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

TitleText


ID_ELE_PROP225

ID interne : ID_ELE_PROP225

Distance [pixels]

Distance entre le titre et l’affichage de la valeur (en pixels).

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

ValueDistance


ID_ELE_PROP231

ID interne : ID_ELE_PROP231

Sens de déplacement

Direction de la barre.
En haut : Valeur la plus basse en bas, valeur la plus élevée en haut.
Déplacer vers le bas : Valeur la plus basse en haut, valeur la plus élevée en bas.
Déplacer vers la gauche : Valeur la plus basse à droite, valeur la plus élevée à gauche.
Déplacer vers la droite : Valeur la plus basse à gauche, valeur la plus élevée à droite.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

Direction


ID_ELE_PROP241

ID interne : ID_ELE_PROP241

Heures

Représentation des heures de la période
Par défaut : 0.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

RepresentationHour


ID_ELE_PROP242

ID interne : ID_ELE_PROP242

Min.

Représentation des minutes de la période
Minimum : 0.
Maximum : 59
Par défaut : 0.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

RepresentationMinute


ID_ELE_PROP243

ID interne : ID_ELE_PROP243

secondes

Représentation des secondes de la période.
Minimum : 0.
Maximum : 59
Par défaut : 0.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

RepresentationSecond


ID_ELE_PROP251

ID interne : ID_ELE_PROP251

Heures

Heures de l’heure de mise à jour.
Minimum : 0.
Maximum : 119304
Par défaut : 0.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

RefreshHour


ID_ELE_PROP252

ID interne : ID_ELE_PROP252

Min.

Minutes de l’heure de mise à jour.
Minimum : 0.
Maximum : 59
Par défaut : 0.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

RefreshMinute


ID_ELE_PROP253

ID interne : ID_ELE_PROP253

secondes

Secondes de l’heure de mise à jour.
Minimum : 0.
Maximum : 59
Par défaut : 1.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

RefreshSecond


ID_ELE_PROP254

ID interne : ID_ELE_PROP254

Millisecondes

Millièmes de seconde de l’heure de mise à jour.
Minimum : 0.
Maximum : 999
Par défaut : 0.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

RefreshMilliSecond


ID_ELE_PROP256

ID interne : ID_ELE_PROP256

Paramètre pour la substitution

Saisie de la séquence de caractères pour le remplacement au moyen de paramètres. Remplace le mot-clé {PARAM} dans la boîte de dialogue de remplacement de la fonction d’appel de synoptique.

Remarque : Évitez les séquences de caractères également utilisées pour les paramètres d’indexation de variables, telles que {X01}.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

FunctionParameter


ID_ELE_PROP262

ID interne : ID_ELE_PROP262

Couleur de ligne

Couleur normale ; la couleur de valeur limite est utilisée en cas de dépassement de limite.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

LineColor


ID_ELE_PROP263

ID interne : ID_ELE_PROP263

Type de ligne

Ligne continue, tirets, tiret-point.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

LineStyle


ID_ELE_PROP264

ID interne : ID_ELE_PROP264

Plage d'affichage min.

Valeur minimale de la plage d’affichage technique de la courbe (extrait agrandi).
Minimum : Valeur minimum de la variable.
Maximum : Valeur maximum de la variable.
Par défaut : Valeur minimum de la variable.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

ViewMin


ID_ELE_PROP265

ID interne : ID_ELE_PROP265

Plage d'affichage max.

Valeur maximale de la plage d’affichage technique de la courbe (extrait agrandi).
Minimum : Valeur minimum de la variable.
Maximum : Valeur maximum de la variable.
Par défaut : Valeur maximum de la variable.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

ViewMax


ID_ELE_PROP266

ID interne : ID_ELE_PROP266

Nom de la courbe

Afficher si l’option "Afficher information courbe" est définie.
Si cette propriété reste vide, le nom de la variable est affiché.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

TrendText


ID_ELE_PROP271

ID interne : ID_ELE_PROP271

Type d'affichage

Sélection du type d’affichage dans la liste déroulante :

  • Fichier graphique et symbole de synoptique : Vous pouvez définir un fichier graphique ou un symbole de synoptique (symbole ou groupe d’éléments) pour chaque état.
    En outre, la couleur d’un symbole de synoptique peut également être modifiée.
  • Seulement symbole de synoptique : Pour chaque état, vous pouvez attribuer une couleur à un symbole déjà existant du synoptique.
  • Symbole de la bibliothèque : Pour chaque état, vous pouvez sélectionner un symbole de la bibliothèque, ainsi qu’une couleur de ligne et de remplissage.
  • Signe : Pour chaque état, vous pouvez définir un caractère (SICAM 230) uniquement.
  • Texte d’état et symbole de synoptique : vous pouvez définir un texte pour chaque état.
    En outre, vous pouvez également modifier la couleur d’un symbole de synoptique.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

RepresentationStyle


ID_ELE_PROP272

ID interne : ID_ELE_PROP272

Superposer

Disponible uniquement pour un type d’affichage Symbole de la bibliothèque :
Active : Si plusieurs attributions de valeurs sont actives, l’affichage sera superposé (c’est-à-dire que tous les états actifs seront affichés).
Inactive : Seul l’état comportant la priorité la plus élevée est affiché.
Par défaut : inactive.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

Overlapping


ID_ELE_PROP273

ID interne : ID_ELE_PROP273

Couleurs séparées

Disponible uniquement si le chevauchement est actif.
Active : Chaque état est affiché dans sa propre couleur.
Inactive : La couleur de l’état actif comportant la priorité la plus élevée sera utilisée.
Par défaut : inactive.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

SeparateColors


ID_ELE_PROP274

ID interne : ID_ELE_PROP274

Clignotement séparé

Disponible uniquement si le chevauchement est actif.
Active : Le clignotement de chaque état est affiché séparément.
Inactive : Le clignotement de l’état actif comportant la priorité la plus élevée sera utilisé.
Par défaut : inactive.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

SeparateBlinking


ID_ELE_PROP275

ID interne : ID_ELE_PROP275

Textes chaînés

Disponible uniquement pour le type de représentation Texte d’état :
Active : lorsque plusieurs états sont concernés, les textes d’état individuels sont affichés sous forme de chaîne combinée.
Inactive : Le texte de l’état actif comportant la priorité la plus élevée sera utilisé.
Par défaut : inactive.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

Chained


ID_ELE_PROP276

ID interne : ID_ELE_PROP276

Transparence

Active : L’arrière-plan du symbole est transparent.
Inactive : L’arrière-plan du symbole peut être défini individuellement pour chaque état.
Par défaut : inactive.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

FillColor


ID_ELE_PROP278

ID interne : ID_ELE_PROP278

Avec dimension originale

Active : Les fichiers graphiques sont affichés à leur taille d’origine.
Inactive : les fichiers graphiques sont étirés à la taille de l’élément.
Par défaut : active

Remarque : Si la propriété Avec dimension originale est active, il est recommandé d’utiliser la même taille pour tous les fichiers graphiques contenus dans l’élément, car la taille de l’élément est adaptée à celle de tous les fichiers graphiques actuellement affichés.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

OriginalSize


ID_ELE_PROP279

ID interne : ID_ELE_PROP279

Symbole de synoptique actif

Disponible uniquement si, pour la propriété Type d'affichage, les options Fichier graphique et symbole de synoptique ou Texte d’état et symbole de synoptique ont été sélectionnées.

  • Active : Outre le fichier graphique animé ou le texte d’état, un symbole de synoptique peut être affiché.
  • Inactive : Aucun symbole de synoptique n’est utilisé.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

IsPictureSymbol


ID_ELE_PROP280

ID interne : ID_ELE_PROP280

Symbole de synoptique

Disponible uniquement si, pour la propriété Type d'affichage, l’option Seulement symbole de synoptique a été sélectionnée ou si la propriété Symbole de synoptique actif a été activée.
Sélection du symbole de synoptique dont la couleur doit être changée en fonction de l’état. Il peut s’agir d’un symbole ou d’un groupe d’éléments.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

PictureSymbol


ID_ELE_PROP281

ID interne : ID_ELE_PROP281

Colorer uniquement remplissage

Active : Le changement de couleur concerne uniquement la zone de remplissage. Le changement de couleur affecte également les lignes.
Par défaut : inactive.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

FillAreaOnly


ID_ELE_PROP282

ID interne : ID_ELE_PROP282

Reprendre clignotement de la variable principale

Active : L’attribut de clignotement des variables principales est utilisé et peut être acquitté au niveau de l’élément.
Inactive : Pas de clignotement.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

BlinkingFromVariable


ID_ELE_PROP283

ID interne : ID_ELE_PROP283

Reprendre le clignotement de toutes les variables

Disponible uniquement si l’option Nom issu de la variable st désactivée.
Active : L’attribut de clignotement de toutes les variables est utilisé.
Inactive : Seul l’attribut de clignotement de la variable principale est utilisé, ou aucun clignotement n’est défini (selon l’état de l’option Reprendre clignotement de la variable principale).

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

BlinkingFromAllVariables


ID_ELE_PROP284

ID interne : ID_ELE_PROP284

Arrière-plan clignotement transparent

Active : L’arrière-plan du symbole est transparent lors du clignotement (l’arrière-plan d’un bitmap ne peut pas être affiché comme transparent).
Inactive : L’arrière-plan du symbole n’est pas transparent.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

BlinkingBackGroundTransparent


ID_ELE_PROP285

ID interne : ID_ELE_PROP285

Couleur de clignotement

La couleur d’arrière-plan avec l’option Arrière-plan clignotant n’est pas définie.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

BlinkingBackColor


ID_ELE_PROP286

ID interne : ID_ELE_PROP286

Visualiser l'état de la variable principale

Si l’option Afficher l’état est sélectionnée, l’attribution actuelle du bit d’état à la variable est affichée durant le fonctionnement en ligne, conjointement à l’affichage de la variable, lorsque l’utilisateur appuie sur le bouton droit de la souris.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

ShowState


ID_ELE_PROP287

ID interne : ID_ELE_PROP287

Visualiser l'état avec le carré

Si un état d’exception (par ex. "Dérangé") est présent, une marque rouge s’affiche dans l’angle supérieur droit de la zone de l’élément.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

RedPoint


ID_ELE_PROP288

ID interne : ID_ELE_PROP288

Type topologie

Type topologie

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

TopologyType


ID_ELE_PROP289

ID interne : ID_ELE_PROP289

Coté transformateur

Côté transformateur

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

TransformerSide


ID_ELE_PROP290

ID interne : ID_ELE_PROP290

Numéro d'alimentation

Numéro d’alimentation

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

SupplyNumber


ID_ELE_PROP291

ID interne : ID_ELE_PROP291

Configuration et test

Ouvre la boîte de dialogue de définition des états.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

StateAndTest


ID_ELE_PROP292

ID interne : ID_ELE_PROP292

Prendre la couleur de la variable principale

Active : La couleur de remplissage des symboles embarqués et des symboles de la bibliothèque est définie par la variable principale avec l’état Par défaut en cas de dépassement d’une valeur limite au niveau de la variable.
Ceci signifie : En cas de dépassement d’une valeur limite de la variable principale, la couleur de remplissage provient de la couleur définie pour la limite. La couleur définie sur les états est écrasée. Les attributs d’état supplémentaires tels que le clignotement, transparence ou la couleur de symbole originale sont en revanche dérivée de la définition d’état. Cette propriété n’affecte pas la notation du bitmap.

Exception : Si la propriété Couleur de symbole originale est activée pour l’état Par défaut, la couleur de symbole originale est toujours utilisée.
Inactive : la couleur de la variable principale n’affecte pas la couleur affichée de l’élément combiné.
Par défaut : Inactive.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

ColorFromVariable


ID_ELE_PROP293

ID interne : ID_ELE_PROP293

Appliquer les propriétés projet pour "verrouillé"

Paramètre définissant la reprise des actions-clé issues de la propriété de projet. Pour cela, la configuration des propriétés de projet suivantes est prise en compte :

  • Connexion et signature -> Boutons protégés
  • Eléments verrouillés -> Boutons verrouillés

Paramètres possibles :

  • Active : Les paramètres issus des propriétés de projet sont acceptés.
    Remarque : Le paramètre Grisé est sans effet sur le texte dans les symboles.
  • Inactive : Les paramètres sont ignorés.

Par défaut : Inactive

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

DisabledStyleAsButtons


ID_ELE_PROP294

ID interne : ID_ELE_PROP294

Garder l'état appuyé

Disponible uniquement si les propriétés Commutateur, Mode temporaire et Réaction immédiate sont actives.

Active : Tant que l’utilisateur maintient le bouton de souris appuyé sur cet élément, son affichage graphique ne change pas, indépendamment des changements de valeurs possibles au niveau de l’automate. Au niveau de l’élément Interrupteur, le paramètre 3D doit être actif pour que cela se produise.
Inactive : l’élément affiche toujours la valeur de la variable provenant de l’automate.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

StayPressed


ID_ELE_PROP296

ID interne : ID_ELE_PROP296

Configuration

Ouvre la boîte de dialogue de définition des états.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

Status


ID_ELE_PROP298

ID interne : ID_ELE_PROP298

Couleur de remplissage période d'inactivité

Couleur de remplissage des périodes non ouvrées.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

ColorNonWorkingHours


ID_ELE_PROP299

ID interne : ID_ELE_PROP299

Couleur de remplissage période de travail

Couleur de remplissage des périodes ouvrées.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

ColorWorkingHours


ID_ELE_PROP301

ID interne : ID_ELE_PROP301

Temps pour le changement de texte [s]

Si plusieurs bits sont définis dans les variables de ligne, le changement du texte se déroule automatiquement dans l’intervalle de temps configuré

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

TextChangeTime


ID_ELE_PROP302

ID interne : ID_ELE_PROP302

Fichier texte

Sélection du fichier texte.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

MessageText


ID_ELE_PROP303

ID interne : ID_ELE_PROP303

Sélection colonne

La variable de colonne de la liste doit être une variable mot, et définit la position de la colonne depuis laquelle est extrait le texte.

Attention : La variable de colonne doit être sélectionnée avant la variable de ligne.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

Variable


ID_ELE_PROP304

ID interne : ID_ELE_PROP304

Activation ligne

Les variables de ligne définissent la position de la ligne depuis laquelle est extrait le texte.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

ColVars


ID_ELE_PROP306

ID interne : ID_ELE_PROP306

Paramètres ActiveX

Sélection de l’élément ActiveX et de la variable liée.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

ActiveX


ID_ELE_PROP312

ID interne : ID_ELE_PROP312

Luminosité à l'extérieur

Disponible uniquement si la propriété Par les valeurs de luminosité est active :
Luminosité au niveau du bord extérieur de l’élément.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

OuterBrightness


ID_ELE_PROP313

ID interne : ID_ELE_PROP313

Luminosité à l'intérieur

Disponible uniquement si la propriété Par les valeurs de luminosité est active :
Luminosité au centre de l’élément.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

InnerBrightness


ID_ELE_PROP321

ID interne : ID_ELE_PROP321

Modification direction X active

Active : Le déplacement horizontal de l’élément lié est disponible.
Inactive : Le déplacement horizontal n’est pas disponible.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

IsXActive


ID_ELE_PROP322

ID interne : ID_ELE_PROP322

Variable

Nom de la variable utilisée pour le déplacement horizontal de l’élément.
Ouvre la boîte de dialogue de sélection de variables.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

XVariable


ID_ELE_PROP323

ID interne : ID_ELE_PROP323

Valeur min de la variable

Valeur minimale de la variable utilisée pour le déplacement horizontal de l’élément.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

XVarMin


ID_ELE_PROP324

ID interne : ID_ELE_PROP324

Valeur max de la variable

Valeur maximale de la variable utilisée pour le déplacement horizontal de l’élément.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

XVarMax


ID_ELE_PROP325

ID interne : ID_ELE_PROP325

Mouvement min [pixels]

Position horizontale de l’élément pour la valeur minimale de la variable (en pixels).

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

XViewMin


ID_ELE_PROP326

ID interne : ID_ELE_PROP326

Mouvement max [pixels]

Position horizontale de l’élément pour la valeur minimale de la variable (en pixels).

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

XViewMax


ID_ELE_PROP327

ID interne : ID_ELE_PROP327

Modification direction Y active

Active : Le déplacement vertical de l’élément lié est disponible.
Inactive : Le déplacement vertical n’est pas disponible.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

IsYActive


ID_ELE_PROP328

ID interne : ID_ELE_PROP328

Variable

Nom de la variable utilisée pour le déplacement vertical de l’élément.
Ouvre la boîte de dialogue de sélection de variables.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

YVariable


ID_ELE_PROP329

ID interne : ID_ELE_PROP329

Valeur min de la variable

Valeur minimale de la variable utilisée pour le déplacement vertical de l’élément.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

YVarMin


ID_ELE_PROP330

ID interne : ID_ELE_PROP330

Valeur max de la variable

Valeur maximale de la variable utilisée pour le déplacement vertical de l’élément.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

YVarMax


ID_ELE_PROP331

ID interne : ID_ELE_PROP331

Mouvement min [pixels]

Position verticale de l’élément pour la valeur minimale de la variable (en pixels).

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

YViewMin


ID_ELE_PROP332

ID interne : ID_ELE_PROP332

Mouvement max [pixels]

Position verticale de l’élément pour la valeur maximale de la variable (en pixels).

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

YViewMax


ID_ELE_PROP333

ID interne : ID_ELE_PROP333

Modification largeur active

Active : La fonction de zoom à la largeur de l’élément lié est disponible.
Inactive : La fonction de zoom à la largeur de l’élément n’est pas disponible.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

IsXZoomActive


ID_ELE_PROP334

ID interne : ID_ELE_PROP334

Variable

Nom de la variable utilisée pour l’agrandissement de la largeur de l’élément.
Ouvre la boîte de dialogue de sélection de variables.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

XZoomVariable


ID_ELE_PROP335

ID interne : ID_ELE_PROP335

Valeur min de la variable

Valeur minimale de la variable utilisée pour effectuer un zoom à la largeur de l’élément.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

XZoomVarMin


ID_ELE_PROP336

ID interne : ID_ELE_PROP336

Valeur max de la variable

Valeur maximale de la variable utilisée pour effectuer un zoom sur la largeur de l’élément.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

XZoomVarMax


ID_ELE_PROP337

ID interne : ID_ELE_PROP337

Largeur min [%]

Facteur de zoom correspondant à la largeur de l’élément pour la valeur minimale de la variable (en pixels).

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

XZoomViewMin


ID_ELE_PROP338

ID interne : ID_ELE_PROP338

Largeur max [%]

Facteur de zoom correspondant à la largeur de l’élément pour la valeur maximale de la variable (en pixels).

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

XZoomViewMax


ID_ELE_PROP339

ID interne : ID_ELE_PROP339

Modification hauteur active

Activer la fonction de zoom à la hauteur de l’élément.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

IsYZoomActive


ID_ELE_PROP340

ID interne : ID_ELE_PROP340

Variable

Nom de la variable utilisée pour l’agrandissement de la hauteur de l’élément.
Ouvre la boîte de dialogue de sélection de variables.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

YZoomVariable


ID_ELE_PROP341

ID interne : ID_ELE_PROP341

Valeur min de la variable

Valeur minimum de la variable utilisée pour effectuer un zoom sur la hauteur de l’élément.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

YZoomVarMin


ID_ELE_PROP342

ID interne : ID_ELE_PROP342

Valeur max de la variable

Valeur maximum de la variable utilisée pour effectuer un zoom sur la hauteur de l’élément.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

YZoomVarMax


ID_ELE_PROP343

ID interne : ID_ELE_PROP343

Hauteur min [%]

Facteur de zoom correspondant à la hauteur de l’élément pour la valeur minimum de la variable (en %).

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

YZoomViewMin


ID_ELE_PROP344

ID interne : ID_ELE_PROP344

Hauteur max [%]

Facteur de zoom correspondant à la hauteur de l’élément pour la valeur maximale de la variable (en pixels).

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

YZoomViewMax


ID_ELE_PROP345

ID interne : ID_ELE_PROP345

Drehen aktiv

Active : La rotation de l’élément lié est disponible.
Inactive : La rotation n’est pas disponible.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

IsTwistActive


ID_ELE_PROP346

ID interne : ID_ELE_PROP346

Variable

Nom de la variable utilisée pour la rotation de l’élément.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

TwistVariable


ID_ELE_PROP347

ID interne : ID_ELE_PROP347

Valeur min de la variable

Valeur minimum de la variable utilisée pour la rotation de l’élément.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

TwistVarMin


ID_ELE_PROP348

ID interne : ID_ELE_PROP348

Valeur max de la variable

Valeur maximale de la variable utilisée pour la rotation de l’élément.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

TwistVarMax


ID_ELE_PROP349

ID interne : ID_ELE_PROP349

Rotation min [°]

Angle de rotation de l’élément pour la valeur minimum de la variable (en °).

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

TwistViewMin


ID_ELE_PROP350

ID interne : ID_ELE_PROP350

Rotation max [°]

Angle de rotation de l’élément pour la valeur maximum de la variable (en °).

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

TwistViewMax


ID_ELE_PROP351

ID interne : ID_ELE_PROP351

Entrées

Disponible uniquement si la propriété Entrées depuis une variable chaine est inactive.

Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de définition des entrées pour une zone de liste statique ou modifiable.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

Status


ID_ELE_PROP354

ID interne : ID_ELE_PROP354

Füllfarbe

Couleur d’arrière-plan de l’élément.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

ButtonFillColor


ID_ELE_PROP357

ID interne : ID_ELE_PROP357

Global

Les alarmes sont prises en compte au niveau du système.
Utilisation principale : somme des alarmes de la liste d’alarmes globale.
Actif : les alarmes sont prises en compte indépendamment du synoptique lié.
La fonction liée sera uniquement utilisée lors de l’appel de synoptique.

Inactive : seules les alarmes du synoptique lié sont prises en compte.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

BAGlobal


ID_ELE_PROP358

ID interne : ID_ELE_PROP358

Projet

Sélection d’un projet unique ou de tous les projets.

Disponible uniquement si l’option Global est active.

Utilisé pour les projets à hiérarchies multiples.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

BAProjekt


ID_ELE_PROP359

ID interne : ID_ELE_PROP359

Priorité

Hiérarchisation de la classe d’alarmes/d’événements.
Active : même si plusieurs classes d’alarmes/d’événements ont été sélectionnées, une seule sera affichée.
Règles de priorité :

  1. moins le numéro de classe est élevé, plus la priorité est élevée.
  2. Une alarme non acquittée est prioritaire sur une alarme acquittée.

Inactive : toutes les classes sélectionnées seront affichées (côte à côte).

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

BAPriorit?t


ID_ELE_PROP360

ID interne : ID_ELE_PROP360

Invisible

L’élément ne sera pas affiché dans le Runtime

Active : L’élément ne sera pas masqué dans le Runtime.
Cette option est appliquée si l’élément actionne simplement une variable de synoptique, mais n’est pas destiné à être affiché seul.

Inactive : l’élément sera affiché sous forme de bouton.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

BAUnsichtbar


ID_ELE_PROP361

ID interne : ID_ELE_PROP361

Classes d'alarmes/d'événements

Sélection des groupes d’alarmes/d’événements devant être affichés.

Ouvre le catalogue de sélection de classes.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

BAKlassen


ID_ELE_PROP362

ID interne : ID_ELE_PROP362

Première classe d'alarmes/d'événements à afficher

En commençant par cette classe, les états des classes seront écrits dans la variable d’image.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

Offset


ID_ELE_PROP363

ID interne : ID_ELE_PROP363

Source

Remplacement de variables ou de fonctions dans un symbole ou un conteneur de cadran.

Saisissez la variable source ou fonction source. Vous pouvez utiliser les opérateurs (?,*). Séparez les entrées multiples par un point-virgule (;).

Vous pouvez définir la cible à l’aide de la propriété Destination.
Exemple : Variables dans le symbole : Cuve1.niveau_remplissage et Cuve1.position_vanne. Ces variables doivent être remplacées par Cuve2.niveau de remplissage et Cuve2.position de la vanne.
Pour cela, saisissez ceci au niveau de Source : *1* ; et ceci, au niveau de Destination 2. Dans le Runtime, les variables contenant 1 sont remplacées par les variables contenant 2.

Des informations plus détaillées sont disponibles dans le manuel en ligne, dans les sections Symboles et Cadrans.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

SubstituteSource


ID_ELE_PROP364

ID interne : ID_ELE_PROP364

Destination

Remplacement de variables ou de fonctions dans un symbole ou un conteneur de cadran :
Saisissez les nouvelles variables/fonctions à attribuer. Ici, aucun opérateur n’est autorisé. Séparez les entrées multiples par un point-virgule (;).

Vous pouvez définir les sources à l’aide de la propriété Source.
Exemple : Variables dans le symbole : Cuve1.niveau_remplissage et Cuve1.position_vanne. Ces variables doivent être remplacées par Cuve2.niveau de remplissage et Cuve2.position de la vanne.
Pour cela, saisissez ceci au niveau de Source : *1* ; et ceci, au niveau de Destination 2. Dans le Runtime, les variables contenant 1 sont remplacées par les variables contenant 2.

Des informations plus détaillées sont disponibles dans le manuel en ligne, dans les sections Symboles et Cadrans.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

SubstituteDestination


ID_ELE_PROP365

ID interne : ID_ELE_PROP365

Par le nom de variable

Remplacement de variables dans un symbole ou un conteneur de cadran à l’aide de variables :

  • Active : Le remplacement des liens est mis en œuvre par l’intermédiaire du nom des variables.
  • Inactif : Le remplacement des liens est mis en œuvre par l’intermédiaire du nom des variables.

Par défaut : Actif

Des informations plus détaillées sont disponibles dans le manuel en ligne, dans les sections Symboles et Cadrans.

Remarque : Cette propriété affecte également le comportement de la propriété Noms hiérarchiques.
Vous trouverez d’autres informations à ce sujet dans le manuel consacré aux synoptiques.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

SubstituteOnName


ID_ELE_PROP366

ID interne : ID_ELE_PROP366

Respecter la casse

La capitalisation (lettres majuscules/minuscules) est prise en compte lors de la saisie de la source et la cible pour le remplacement des variables ou des fonctions dans un symbole ou un conteneur de cadran.

  • Active : La capitalisation est prise en compte.
  • Inactive : La capitalisation n’est pas prise en compte.

Des informations plus détaillées sont disponibles dans le manuel en ligne, dans les sections Symboles et Cadrans.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

SubstituteMatchCase


ID_ELE_PROP367

ID interne : ID_ELE_PROP367

Accepter la taille du synoptique lié

Cliquez sur le bouton ... pour adapter la taille du conteneur à la taille du synoptique lié.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

SizeFromLinkedPicture


ID_ELE_PROP377

ID interne : ID_ELE_PROP377

Position du focus gauche/droite

Définit la position horizontale pour l’utilisation à l’aide du clavier dans le Runtime. La position est définie par l’intermédiaire du menu contextuel et de l’utilisation de la souris dans la fenêtre principale ; elle ne peut pas être modifiée ici.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

TABOrderH


ID_ELE_PROP378

ID interne : ID_ELE_PROP378

Position focus haut / bas

Définit la position verticale pour l’utilisation à l’aide du clavier dans le Runtime. La position est définie par l’intermédiaire du menu contextuel et de l’utilisation de la souris dans la fenêtre principale ; elle ne peut pas être modifiée ici.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

TABOrderV


ID_ELE_PROP379

ID interne : ID_ELE_PROP379

Graduations principales

Définit les graduations principales de l’échelle.
La valeur définit la distance entre les graduations principales. La valeur doit être supérieure ou égale à la valeur de la propriété Graduations secondaires. Si la valeur est identique, aucun élément Graduations secondaires n’est affiché.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

MainTicks


ID_ELE_PROP380

ID interne : ID_ELE_PROP380

Graduations secondaires

Définit la division de l’échelle entre Graduations principales.

La valeur définit la distance entre les graduations secondaires. La valeur doit être inférieure ou égale à la valeur de la propriété Graduations principales. Si la valeur est identique, aucune graduation secondaire n’est affichée.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

SmallTicks


ID_ELE_PROP381

ID interne : ID_ELE_PROP381

Image des classes d'alarmes/d'événements sélectionnées

Définit de quelle manière les classes d’états seront écrites dans la variable de synoptique.

Active : les états des classes d’alarmes/d’événements sélectionnées seront écrits dans la variable d’image, sans espaces.
Par ex. classes sélectionnées 1,3 -> classe 1 : bits 0,1 ; classe 3 : bits 2,3

Inactive : les états des classes d’alarmes/d’événements sélectionnées seront écrits avec des positions fixes dans la variable d’image.
Par ex. classes sélectionnées 1,3 -> classe 1 : bits 0,1 ; 0 (classe 2 : bits 2,3) ; classe 3 : bits 4,5

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

AbbModus


ID_ELE_PROP382

ID interne : ID_ELE_PROP382

Type de fonction

Disponible uniquement si vous possédez une licence pour la fonctionnalité Coloration Automatique des Lignes (CAL).

Sélection du type de fonction de l’élément. Cliquez sur le type de fonction pour ouvrir une liste déroulante de sélection :

  • Conclusion : Pour le côté barre omnibus ; bloque l’affichage du message d’erreur Ligne connectée d’un côté seulement lors de la compilation dans Editor.
  • Générateur : l’élément fonctionne comme un générateur (semblable à Source) ; si cette fonction est active, la couleur est transmise à la ligne suivante.
  • Aucune fonction : l’élément ne comporte aucune fonction dans le module Coloration Automatique des Lignes.
  • Lien : les informations de coloration automatique des lignes sont transférées d’un lien source vers un lien cible.
  • Source : si la source est active, la couleur est transmise à la ligne suivante.
  • Commutateur : La couleur est transmise à la ligne suivante si le sectionneur est fermé et s’il est alimenté par une source.
  • Vanne : fonctionne de la même manière que le paramètre commutateur. La couleur est transmise à la ligne suivante si la vanne est ouverte ou partiellement ouverte et si elle est alimentée par une source. Pour les valeurs de la variable principale : se reporter au manuel.
  • Drain : ce type de fonction n’a aucune incidence sur la coloration. VBA vous permet toutefois d’exécuter une requête pour déterminer si cet équipement est alimenté.
  • Clapet antiretour : Si le clapet antiretour est ouvert, les informations CAL sont uniquement transmises dans une direction pour ce type de fonction. La direction est toujours de l’entrée vers la sortie, et non dans le sens inverse. La transmission est uniquement effectuée si le clapet antiretour est alimenté par une source.
  • Transformateur : si l’élément est alimenté, il transforme une source (couleur) en une autre.
  • Sectionneur fonctionne de la même manière que le paramètre Commutateur, mais contient toutefois un verrouillage topologique (Sectionneur en charge). La couleur est transmise à la ligne suivante si le sectionneur est fermé et s’il est alimenté par une source.

Par défaut : Aucune fonction

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

ALCType


ID_ELE_PROP383

ID interne : ID_ELE_PROP383

Source

Uniquement active si le type de fonction est Source ou Transformateur :
Sélection de la source/des transformateurs liés.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

ALCSourceID


ID_ELE_PROP384

ID interne : ID_ELE_PROP384

Couleur définie par CAL

Disponible uniquement si vous possédez une licence pour la fonctionnalité Coloration Automatique des Lignes (CAL) :
Active : La couleur automatique de la source liée est utilisée.
Inactive : La couleur standard est utilisée.
Par défaut : inactive.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

ALCUseColor


ID_ELE_PROP385

ID interne : ID_ELE_PROP385

Affichage alimentation multiple

Disponible uniquement si la propriété Couleur définie par CAL est active.
Définit le type d’affichage lorsque l’élément est connecté à plusieurs sources :
Source la plus prioritaire : Seule la couleur de la source la plus prioritaire est utilisée.
Deux sources les plus prioritaires : Les différentes couleurs des deux sources comportant les priorités les plus élevées sont affichées sous forme de trait tireté.
Couleur de remplacement : Couleur de remplacement pour la fonction CAL avec des alimentations multiples.

Par défaut : La source la plus prioritaire

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

ALCMultiSource


ID_ELE_PROP386

ID interne : ID_ELE_PROP386

Numéro de lien

Disponible uniquement si le type de fonction Lien a été sélectionné.
Numéro d’identification du lien. Un autre lien sur un écran différent doté du même numéro d’identification reprendra les données du lien source.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

ALCLinkID


ID_ELE_PROP387

ID interne : ID_ELE_PROP387

Affichage alimentation sécurisée

Disponible uniquement si Couleur définie par CAL est activée.

Définition de l’affichage de l’alimentation sécurisée :

  • double épaisseur
  • double luminosité
  • normal

Par défaut : normal

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

ALCMSecuredSupply


ID_ELE_PROP388

ID interne : ID_ELE_PROP388

Priorité pour l'affichage

Disponible uniquement si la propriété Couleur définie par CAL est active.

Définit la priorité de l’affichage lorsque l’élément est connecté à plusieurs sources actives.
Plusieurs sources d’alimentation : L’élément est affiché selon les règles de l’alimentation sécurisée.
Source d’alimentation sécurisée : L’élément est affiché selon les règles de l’alimentation sécurisée.
Aucune priorité : Les règles de coloration des paramètres Alimentation multiple et Alimentation sécurisée sont appliquées simultanément, si les deux critères sont satisfaits.

Par défaut : Alimentation multiple
Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

ALCPrecedence


ID_ELE_PROP389

ID interne : ID_ELE_PROP389

Remise à 0 en quittant

Disponible uniquement si la propriété Mode temporaire est active.
Maintenez le bouton de la souris enfoncé et éloignez le pointeur de la souris du bouton pour réinitialiser automatiquement la valeur de la variable.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

ResetOnLeave


ID_ELE_PROP391

ID interne : ID_ELE_PROP391

Couleur cadre/ombre

Disponible uniquement si vous avez sélectionné Cadre ou Ombre pour l’option Type de cadre.

Définition de la couleur du cadre ou de l’ombre. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de couleurs ou de palettes de couleurs. La saisie peut également être effectuée directement dans le champ, sous forme de valeur hexadécimale précédée de #.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

PunchFrameColor


ID_ELE_PROP392

ID interne : ID_ELE_PROP392

Distance [pixels]

Disponible uniquement si vous avez sélectionné les options Cadres ou Ombre pour la propriété Type de cadre.

Distance du cadre ou de l’ombre par rapport à l’élément (en pixels). L’orientation de la distance pour les ombres est définie par la propriété Angle [°]. La plage disponible dépend de la résolution du moniteur.

Par défaut : 10

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

PunchFrameOffset


ID_ELE_PROP393

ID interne : ID_ELE_PROP393

Épaisseur de ligne [pixels]

Définition de la largeur de trait du cadre en pixels.

Par défaut : 1

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

PunchFrameWidth


ID_ELE_PROP394

ID interne : ID_ELE_PROP394

Changer texte selon touches

Disponible uniquement si vous avez activé Texte automatique dans les propriétés du synoptique.

Active : Utilisez Ligne 1 du texte normal à Texte ligne 2 avec Ctrl + Alt (Alt Gr) pour définir l’intitulé du bouton. Les entrées au niveau des propriétés Texte ligne 1 et Texte ligne 2 ne sont plus nécessaires.

Par défaut : Inactive

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

ChangeText


ID_ELE_PROP395

ID interne : ID_ELE_PROP395

Ligne 1 du texte normal

Disponible uniquement si la propriété Changer texte selon touches est active.
Permet de définir l’intitulé de la première ligne de texte sans appuyer sur une touche de contrôle.
Remarque : en utilisant le caractère &, vous pouvez souligner le caractère suivant dans le Runtime. Saisissez "&&" pour afficher le caractère &.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

Text1Normal


ID_ELE_PROP396

ID interne : ID_ELE_PROP396

Ligne 1 du texte avec Maj

Disponible uniquement si la propriété Changer texte selon touches est active.
Permet de définir l’intitulé de la première ligne de texte lorsque la touche MAJ est enfoncée.
Remarque : en utilisant le caractère &, vous pouvez souligner le caractère suivant dans le Runtime. Saisissez "&&" pour afficher le caractère &.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

Text1Shift


ID_ELE_PROP397

ID interne : ID_ELE_PROP397

Ligne 1 du texte avec Ctrl

Disponible uniquement si la propriété Changer texte selon touches est active.
Permet de définir l’intitulé de la première ligne de texte lorsque la touche Ctrl est enfoncée.
Remarque : en utilisant le caractère &, vous pouvez souligner le caractère suivant dans le Runtime. Saisissez "&&" pour afficher le caractère &.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

Text1Ctrl


ID_ELE_PROP398

ID interne : ID_ELE_PROP398

Texte ligne 1 avec Ctrl + Alt (Alt Gr)

Disponible uniquement si la propriété Changer texte selon touches est active.
Permet de définir l’intitulé de la première ligne de texte lorsque les touches CTRL et ALT GR sont enfoncées.
Remarque : en utilisant le caractère &, vous pouvez souligner le caractère suivant dans le Runtime. Saisissez "&&" pour afficher le caractère &.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

Text1CtrlAlt


ID_ELE_PROP399

ID interne : ID_ELE_PROP399

Ligne 2 du texte normal

Disponible uniquement si la propriété Changer texte selon touches est active.
Permet de définir l’intitulé de la deuxième ligne de texte sans appuyer sur une touche de contrôle.
Remarque : en utilisant le caractère &, vous pouvez souligner le caractère suivant dans le Runtime. Saisissez "&&" pour afficher le caractère &.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

Text2Normal


ID_ELE_PROP400

ID interne : ID_ELE_PROP400

Ligne 2 du texte avec Maj

Disponible uniquement si la propriété Changer texte selon touches est active.
Permet de définir l’intitulé de la deuxième ligne de texte lorsque la touche MAJ est enfoncée.
Remarque : en utilisant le caractère &, vous pouvez souligner le caractère suivant dans le Runtime. Saisissez "&&" pour afficher le caractère &.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

Text2Shift


ID_ELE_PROP401

ID interne : ID_ELE_PROP401

Ligne 2 du texte avec Ctrl

Disponible uniquement si la propriété Changer texte selon touches est active.
Permet de définir l’intitulé de la deuxième ligne de texte lorsque la touche CTRL est enfoncée.
Remarque : en utilisant le caractère &, vous pouvez souligner le caractère suivant dans le Runtime. Saisissez "&&" pour afficher le caractère &.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

Text2Ctrl


ID_ELE_PROP402

ID interne : ID_ELE_PROP402

Texte ligne 2 avec Ctrl + Alt (Alt Gr)

Disponible uniquement si la propriété Changer texte selon touches est active.
Permet de définir l’intitulé de la deuxième ligne de texte lorsque les touches CTRL et ALT GR sont enfoncées.
Remarque : en utilisant le caractère &, vous pouvez souligner le caractère suivant dans le Runtime. Saisissez "&&" pour afficher le caractère &.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

Text2CtrlAlt


ID_ELE_PROP403

ID interne : ID_ELE_PROP403

Type de démarrage

Disponible uniquement si la propriété de projet Qualité graphique a été définie sur DirectX Hardware ou DirectX Software.

Définit le symbole de début de ligne. Cliquez sur le champ pour ouvrir une boîte de dialogue vous permettant de sélectionner un élément.
Pour les éléments Arc de cercle et Quartier de cercle, disponible uniquement si la propriété Remplissage (type) a été définie en Sans.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

LineCapStart


ID_ELE_PROP404

ID interne : ID_ELE_PROP404

Type de terminaison

Disponible uniquement si la propriété de projet Qualité graphique a été définie sur DirectX Hardware ou DirectX Software.

Définit le symbole de fin de ligne. Cliquez sur le champ pour ouvrir la boîte de dialogue de sélection d’un élément.
Disponible uniquement pour les éléments Arc de cercle et Quartier de cercle si la propriété Remplissage (type) est définie sur Sans.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

LineCapEnd


ID_ELE_PROP405

ID interne : ID_ELE_PROP405

Dimension

Disponible uniquement si la propriété de projet Qualité graphique a été définie sur DirectX Hardware ou DirectX Software.

Définit le facteur d’agrandissement de largeur de ligne de la flèche. Le facteur détermine la largeur de ligne de l’élément vectoriel tel qu’il est défini dans la propriété Épaisseur de ligne [pixels].
Pour les éléments Arc de cercle et Quartier de cercle, disponible uniquement si la propriété Remplissage (type) a été définie en Sans.

Valeur : supérieure ou égale à 1

Par défaut : 4

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

LineCapScale


ID_ELE_PROP_BACKCOLOR2

ID interne : ID_ELE_PROP_BACKCOLOR2

Couleur du dégradé

Disponible uniquement si la propriété de projet Qualité graphique a été définie sur DirectX Hardware ou DirectX Software.
L'option Dégradé de couleurs doit être sélectionnée pour la propriété Remplissage (type).

Définit la deuxième couleur du dégradé de couleurs. Si vous sélectionnez Automatique, la valeur de la couleur change en fonction de la valeur de Couleur de remplissage.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

BackColor2


ID_ELE_PROP_BACKCOLORBUTTON2

ID interne : ID_ELE_PROP_BACKCOLORBUTTON2

Verlaufsfarbe

Uniquement disponible si l’option Monochrome est sélectionnée pour la propriété Remplissage.

Définit la deuxième couleur du dégradé de couleurs. Si vous sélectionnez Automatique, la valeur de la couleur change en fonction de la valeur de Couleur de remplissage.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

BackColor2


ID_ELE_PROP_COLORGRADIENTANGLE

ID interne : ID_ELE_PROP_COLORGRADIENTANGLE

Angle [°]

Définit l’orientation du dégradé de couleurs en commençant au centre de l’élément.

Valeurs : 0° à 360°.

Par défaut : 0°

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

ColorGradientAngle


ID_ELE_PROP_COLORGRADIENTOFFSET

ID interne : ID_ELE_PROP_COLORGRADIENTOFFSET

Offset [%]

Uniquement disponible si la propriété Gradient de couleur a été définie pour un élément vectoriel ou un élément dynamique bouton. Linéaire, Sélectif ou Sélectif avec bordures.

Définit la distance du point de départ du dégradé de couleurs en commençant au centre de l’élément. Cette valeur est spécifiée sous forme de pourcentage.

Valeurs : 0 égale le centre de l’élément. 100 égale le bord.
Remarque : la valeur peut également indiquer un point extérieur à l’élément, et n’est donc pas limitée à 100.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

ColorGradientOffset


ID_ELE_PROP_COMMITONKILLFOCUS

ID interne : ID_ELE_PROP_COMMITONKILLFOCUS

Écriture en cas de perte de focus

Comportement d’un élément lors de l’écriture d’une valeur prescrite dans le Runtime :

  • Active : La valeur est écrite dès que l’élément de contrôle perd le focus.
    Pour annuler la saisie, appuyez sur la touche Échap ; la valeur n’est alors pas écrite.
  • Inactive : La valeur est écrite lorsque l’utilisateur appuie sur la touche Insér.
    Pour annuler la saisie, appuyez sur la touche Échap ; la valeur n’est alors pas définie.

Valeur par défaut

  • En tant qu’élément sur le synoptique : Inactive
  • Texte dynamique éditable provenant du menu Éléments de contrôle : active

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

CommitOnKillFocus


ID_ELE_PROP_GLOWEFFECT_2NDBLINKSTATEVISIBLE

ID interne : ID_ELE_PROP_GLOWEFFECT_2NDBLINKSTATEVISIBLE

2 états de clignotement invisibles

Disponible uniquement si la propriété Activer est active. Vous devez en outre définir une variable dans la propriété Variable pour le clignotement ; la propriété Clignotement depuis valeur limite doit être inactive.

Active : En cas de clignotement, l’effet de luminescence ne bascule pas vers l’effet de luminescence actif, mais devient invisible. Ceci permet de basculer entre l’invisibilité et la couleur de clignotement en cas de dépassement de la valeur limite.

Par défaut : Inactive

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

GlowEffect2ndBlinkStateVisible


ID_ELE_PROP_GLOWEFFECT_ACTIVE

ID interne : ID_ELE_PROP_GLOWEFFECT_ACTIVE

Activer

Disponible uniquement si la propriété de projet Qualité graphique a été définie sur DirectX Hardware ou DirectX Software.La propriété de projet Projet Windows CE ne doit pas être active. La disponibilité dépend également de l’élément graphique.

  • Active : l’effet de luminescence est utilisé pour l’élément.
  • Inactive : aucun effet de luminescence n’est utilisé pour l’élément.

Par défaut : Inactive

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

GlowEffectActive


ID_ELE_PROP_GLOWEFFECT_ALPHA

ID interne : ID_ELE_PROP_GLOWEFFECT_ALPHA

Transparence [%]

Valeur de transparence avec laquelle l’effet de luminescence est affiché sur la valeur. Unité de mesure, en pourcentage. Cliquez sur le bouton ... pour afficher une réglette.

Minimum : 0 %, opaque

Maximum : 100 %, opaque

Par défaut : 20 %

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

GlowEffectAlpha


ID_ELE_PROP_GLOWEFFECT_COLOR

ID interne : ID_ELE_PROP_GLOWEFFECT_COLOR

Couleur

Disponible uniquement si la propriété Activer est active. La propriété Coloration doit être activée.

Définit la couleur de l’effet de luminescence. Cliquez sur le bouton ... pour ouvrir la palette de sélection des couleurs. Vous pouvez également saisir une valeur hexadécimale directement dans le champ.

Par défaut : 0xFFFF90 (jaune)

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

GlowEffectColor


ID_ELE_PROP_GLOWEFFECT_EVENT

ID interne : ID_ELE_PROP_GLOWEFFECT_EVENT

Actif seulement si cliqué

Disponible uniquement si la propriété Activer est active et l’élément est un bouton.

Active : l’effet de luminescence est uniquement affiché lorsque l’utilisateur clique sur le bouton. Cliquer sur le bouton permet de modifier la couleur, le clignotement ou l’invisibilité de l’effet de luminescence.

Par défaut : Inactive

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

GlowEffectEvent


ID_ELE_PROP_GLOWEFFECT_SPREAD

ID interne : ID_ELE_PROP_GLOWEFFECT_SPREAD

Propagation [pixel]

Définit le facteur d’expansion de l’effet de luminescence. Celui-ci est défini en nombre de pixels pris en compte dans chaque direction lors de l’expansion.

Minimum : 0, pas d’expansion

Maximum : 50

Par défaut : 15

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

GlowEffectSpread


ID_ELE_PROP_GLOWEFFECT_USECOLOR

ID interne : ID_ELE_PROP_GLOWEFFECT_USECOLOR

Coloration

Disponible uniquement si la propriété Activer est active.

Active : l’effet de luminescence de l’élément est coloré. Ceci permet d’attribuer une couleur unique définie à l’ensemble de l’effet de luminescence. La couleur peut être définie par le biais de la propriété Couleur ou d’une variable définie dans la propriété Variable pour la couleur. Si les deux propriétés sont actives, la couleur de la propriété Variable pour la couleur est utilisée.

Inactive : La couleur de l’élément est utilisée pour l’effet de luminescence.

Par défaut : Inactive

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

GlowEffectUseColor


ID_ELE_PROP_GRP0

ID interne : ID_ELE_PROP_GRP0

Général

Propriétés générales.

Vous trouverez plus de détails dans les manuels en ligne des éléments de synoptique et des styles.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

General


ID_ELE_PROP_GRP1

ID interne : ID_ELE_PROP_GRP1

Position

Propriétés de position et de taille de l’élément dynamique.

Remarque : Les paramètres de ce groupe n’affectent pas l’affichage de certains éléments de contrôle sur les synoptiques.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

Position


ID_ELE_PROP_GRP2

ID interne : ID_ELE_PROP_GRP2

Affichage vue globale

Propriétés du comportement de l’élément dans le synoptique de vue globale.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

Overview


ID_ELE_PROP_GRP3

ID interne : ID_ELE_PROP_GRP3

Remplissage

Propriétés des couleurs de l’élément.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

Color


ID_ELE_PROP_GRP4

ID interne : ID_ELE_PROP_GRP4

macros VBA

Propriétés des macros VBA liées à l’élément.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

VBA


ID_ELE_PROP_GRP5

ID interne : ID_ELE_PROP_GRP5

Événements généraux

Macros VBA pour les événements généraux.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

General_Events


ID_ELE_PROP_GRP6

ID interne : ID_ELE_PROP_GRP6

Écrire valeur prescrite

Propriétés d’écriture des valeurs prescrites.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

SetValueGroup


ID_ELE_PROP_GRP7

ID interne : ID_ELE_PROP_GRP7

Variable/fonction

Propriétés de la variable ou de la fonction liée à l’élément.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

Element


ID_ELE_PROP_GRP8

ID interne : ID_ELE_PROP_GRP8

Paramètres visualisation

Propriétés de l’affichage dans l’élément.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

DisplayArea


ID_ELE_PROP_GRP9

ID interne : ID_ELE_PROP_GRP9

Remplissage

Propriétés des couleurs et du remplissage de l’élément.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

Colors_Static


ID_ELE_PROP_GRP10

ID interne : ID_ELE_PROP_GRP10

Définir les valeurs limites statiques

Valeurs prescrites de limite fixes, définies pour l’élément.

Attention : si la valeur minimum est supérieure à la valeur maximum et la propriété Écrire valeur prescrite Sans dialogue est active, la bascule entre la valeur minimum et la valeur maximum est exécutée lors de la modification de la valeur prescrite.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

SetValueLimits_Static


ID_ELE_PROP_GRP11

ID interne : ID_ELE_PROP_GRP11

Affichage

Propriétés de l’affichage graphique de l’élément.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

Representation


ID_ELE_PROP_GRP12

ID interne : ID_ELE_PROP_GRP12

Echelle

Propriétés d’affichage d’une échelle.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

Scale


ID_ELE_PROP_GRP13

ID interne : ID_ELE_PROP_GRP13

Indicateur pour le glisser

Propriétés de l’indicateur de glissement.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

Look


ID_ELE_PROP_GRP14

ID interne : ID_ELE_PROP_GRP14

Cadre

Propriétés du cadre d’un élément.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

Border


ID_ELE_PROP_GRP15

ID interne : ID_ELE_PROP_GRP15

Titre

Propriétés d’affichage d’un titre.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

Title


ID_ELE_PROP_GRP16

ID interne : ID_ELE_PROP_GRP16

Bouton

Propriétés du bouton.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

Knob


ID_ELE_PROP_GRP17

ID interne : ID_ELE_PROP_GRP17

Durée de visualisation

Période de temps durant laquelle la courbe doit être affichée.
(heures, minutes, secondes)

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

Time


ID_ELE_PROP_GRP18

ID interne : ID_ELE_PROP_GRP18

Temps d'actualisation

Intervalle durant lequel l’affichage est mis à jour (c’est-à-dire avec l’ajout d’une nouvelle valeur).
(heures, minutes, secondes, millisecondes)

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

Refresh


ID_ELE_PROP_GRP20

ID interne : ID_ELE_PROP_GRP20

Paramètres symbole synoptique

Propriétés d’utilisation d’un symbole de synoptique pour la Type d'affichage.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

PictSymbol


ID_ELE_PROP_GRP21

ID interne : ID_ELE_PROP_GRP21

Coloration Automatique de Lignes

Propriétés de la fonction de coloration automatique des lignes (CAL).

Vous trouverez d’autres propriétés dans les propriétés du projet, dans le groupe Coloration Automatique de Lignes.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

ALC


ID_ELE_PROP_GRP22

ID interne : ID_ELE_PROP_GRP22

Événements souris

Macros VBA pour les événements de souris.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

Mouse_Events


ID_ELE_PROP_GRP23

ID interne : ID_ELE_PROP_GRP23

Glisser & Déposer

Macros VBA pour les événements glisser-déplacer.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

DragDrop_Events


ID_ELE_PROP_GRP24

ID interne : ID_ELE_PROP_GRP24

Gradient de couleur

Propriétés spécifiques au développement de dégradés de couleurs. Disponibles uniquement si l’option Dégradé de couleurs a été sélectionnée en tant que Remplissage (type).
Pour plus d’informations, reportez-vous à l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

3D-Filling


ID_ELE_PROP_GRP25

ID interne : ID_ELE_PROP_GRP25

Coloration Automatique de Lignes

Propriétés de la fonction CAL.

Disponible uniquement si vous possédez une licence pour la fonctionnalité Coloration Automatique des Lignes (CAL).
Vous trouverez les propriétés relatives aux éléments de synoptique dans les propriétés des éléments correspondants, dans le groupe Coloration Automatique de Lignes.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

GRP_ALC


ID_ELE_PROP_GRP26

ID interne : ID_ELE_PROP_GRP26

Coins arrondis

Propriétés de l’affichage des coins arrondis.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

Roundness


ID_ELE_PROP_GRP27

ID interne : ID_ELE_PROP_GRP27

Valeur binaire

Propriétés de configuration de la valeur binaire prescrite.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

BinaryValue


ID_ELE_PROP_GRP28

ID interne : ID_ELE_PROP_GRP28

Valeur numérique

Propriétés de configuration de la valeur numérique prescrite.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

AnalogValue


ID_ELE_PROP_GRP29

ID interne : ID_ELE_PROP_GRP29

En-tête et grille

Propriétés de l’en-tête et de la grille.

Plus de détails dans l’aide en ligne de la liste d’alarmes

Plus de détails dans l’aide en ligne de la liste d’événements

Plus de détails dans l’aide en ligne du module Extended Trend Manager (ETM)

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

Heading


ID_ELE_PROP_GRP30

ID interne : ID_ELE_PROP_GRP30

Créer entrées dynamiquement

Propriétés de la liste déroulante dynamique.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

DynEntries


ID_ELE_PROP_GRP31

ID interne : ID_ELE_PROP_GRP31

Bouton écran d'alarmes

Disponible uniquement dans SICAM 230.
Propriétés pour l’élément synoptique d’alarmes.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

BA-Elem


ID_ELE_PROP_GRP33

ID interne : ID_ELE_PROP_GRP33

Détection cout-circuit

Contient les propriétés spécifiques à la détection d’erreurs des courts-circuits.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

ShortFaults


ID_ELE_PROP_GRP34

ID interne : ID_ELE_PROP_GRP34

Formatage texte

Propriétés de mise en forme du texte affiché.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

TextAlign


ID_ELE_PROP_GRP35

ID interne : ID_ELE_PROP_GRP35

Paramètres bitmap

Propriétés d’utilisation des éléments comportant différents éléments bitmap représentant les états.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

BMPSettings


ID_ELE_PROP_GRP36

ID interne : ID_ELE_PROP_GRP36

Paramètres symbole

Propriétés d’utilisation des éléments comportant des symboles de la bibliothèque pour afficher les états.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

LibSymSettings


ID_ELE_PROP_GRP37

ID interne : ID_ELE_PROP_GRP37

Topologie

Propriétés de SICAM 230.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

MrLinzSettings


ID_ELE_PROP_GRP38

ID interne : ID_ELE_PROP_GRP38

Type de représentation

Paramètres d’affichage graphique du contrôle.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

SuperLook


ID_ELE_PROP_GRP39

ID interne : ID_ELE_PROP_GRP39

Point de référence

Définit le point de départ pour le calcul de l’angle de rotation ou le changement dynamique de taille de l’élément.

Attention : pour les éléments de forme non rectangulaire, les instructions désignent toujours le rectangle qui les entoure.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

RelPoint


ID_ELE_PROP_GRP40

ID interne : ID_ELE_PROP_GRP40

Runtime

Propriétés du comportement de l’élément dans le Runtime.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

Runtime


ID_ELE_PROP_GRP41

ID interne : ID_ELE_PROP_GRP41

Opération clavier

Propriétés de traitement en ligne de l’élément.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

Operation


ID_ELE_PROP_GRP43

ID interne : ID_ELE_PROP_GRP43

Fichier graphique

Propriétés du fichier graphique de l’élément dynamique Bouton.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

GraphicFile


ID_ELE_PROP_GRP44

ID interne : ID_ELE_PROP_GRP44

Autorisation

Propriétés de l’autorisation d’accès à l’élément.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

Rights


ID_ELE_PROP_GRP45

ID interne : ID_ELE_PROP_GRP45

Visibilité

Propriétés de visibilité de l’élément.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

DynamicVisibility


ID_ELE_PROP_GRP46

ID interne : ID_ELE_PROP_GRP46

Plage d'affichage statique

Propriétés de la plage d’affichage fixe définie de l’élément.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

Displayrange_Static


ID_ELE_PROP_GRP47

ID interne : ID_ELE_PROP_GRP47

Clignotement

Propriétés de clignotement de l’élément.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

DynamicBlinking


ID_ELE_PROP_GRP48

ID interne : ID_ELE_PROP_GRP48

Réglette universelle

Configuration du contrôle.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

Universal_Slider


ID_ELE_PROP_GRP49

ID interne : ID_ELE_PROP_GRP49

Légende

Configuration de la clé du contrôle.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

Legend


ID_ELE_PROP_GRP50

ID interne : ID_ELE_PROP_GRP50

Cadres/Ombres

Propriétés des cadres et des ombres autour de l’élément.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

PunchFrame


ID_ELE_PROP_GRP51

ID interne : ID_ELE_PROP_GRP51

Angle d'ouverture

Définition de l’angle d’un quartier de cercle

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

Segment


ID_ELE_PROP_GRP52

ID interne : ID_ELE_PROP_GRP52

Affichage valeurs booléennes

Propriétés d’affichage de valeurs binaires.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

GraphicalImage


ID_ELE_PROP_GRP53

ID interne : ID_ELE_PROP_GRP53

Fichier graphique

Paramètres des fichiers graphiques.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

MsgCtrlImages


ID_ELE_PROP_GRP54

ID interne : ID_ELE_PROP_GRP54

Couleur d'état

Paramètres du code de couleurs utilisé lors de l’affichage en surbrillance d’un message.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

MsgCtrlColors


ID_ELE_PROP_GRP55

ID interne : ID_ELE_PROP_GRP55

En-tête

Contient les propriétés utilisées pour configurer l’en-tête d’une liste.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

ListHeader


ID_ELE_PROP_GRP_ALC_FAULTS

ID interne : ID_ELE_PROP_GRP_ALC_FAULTS

Détection des défauts de terre

Contient les propriétés spécifiques à la détection d’erreurs des défauts à la terre.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

GndFaults


ID_ELE_PROP_GRP_ALC_FOS

ID interne : ID_ELE_PROP_GRP_ALC_FOS

Localisation défaut de la protection / distribution charge

Propriétés de la localisation de défauts.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

FOS_LoadBal


ID_ELE_PROP_GRP_EFFECTS

ID interne : ID_ELE_PROP_GRP_EFFECTS

Effets

Contient les propriétés de configuration des effets.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

Effects


ID_ELE_PROP_GRP_GLOW_EFFECT

ID interne : ID_ELE_PROP_GRP_GLOW_EFFECT

Effet de rayonnement (seulement DirectX)

Propriétés de configuration de l’effet de luminescence. Disponible uniquement si la propriété Qualité graphique est définie sur Matériel DirectX ou Logiciel DirectX.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

GlowEffect


ID_ELE_PROP_GRP_LINE

ID interne : ID_ELE_PROP_GRP_LINE

Ligne

Propriétés de l’apparence des lignes.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être adressée comme suit pour l’API zenon (avec nom de la classe) :

Line


ID_ELE_PROP_GRP_LINECAPS

ID interne : ID_ELE_PROP_GRP_LINECAPS

Fin de ligne

Contient les propriétés relatives à la forme du début et de la fin des lignes.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

LineCaps


ID_ELE_PROP_GRP_LINECOLORDYN

ID interne : ID_ELE_PROP_GRP_LINECOLORDYN

Couleur de ligne dynamique

Propriétés des couleurs de lignes dynamiques.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être adressée comme suit pour l’API zenon (avec nom de la classe) :

LineColorDyn


ID_ELE_PROP_GRP_RECORDER

ID interne : ID_ELE_PROP_GRP_RECORDER

Process Recorder

Propriétés de la variable ou du type de données pour le module Process Recorder.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être adressée comme suit pour l’API zenon (avec nom de la classe) :

GRP_ProcessRecorder


ID_ELE_PROP_GRP_SW

ID interne : ID_ELE_PROP_GRP_SW

Écrire valeur prescrite

Propriétés de configuration des valeurs.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

GRP_SetValue


ID_ELE_PROP_GRP_TEXT

ID interne : ID_ELE_PROP_GRP_TEXT

Texte

Propriétés de l’apparence du texte.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être adressée comme suit pour l’API zenon (avec nom de la classe) :

TextGrp


ID_ELE_PROP_GRP_TEXTCOLORDYN

ID interne : ID_ELE_PROP_GRP_TEXTCOLORDYN

Couleur de texte dynamique

Propriétés des couleurs de texte dynamiques.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être adressée comme suit pour l’API zenon (avec nom de la classe) :

TextColorDyn


ID_ELE_PROP_GRPMULTITOUCH

ID interne : ID_ELE_PROP_GRPMULTITOUCH

Multitouch_Interaction

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

Multitouch_Interaction


ID_ELE_PROP_SYMBOLFORM_CLICKAREA

ID interne : ID_ELE_PROP_SYMBOLFORM_CLICKAREA

La forme du symbole définie la zone de clic

Permet de créer un bouton à cliquer sous n’importe quelle forme. Disponible uniquement pour l ’option Symbole de la bibliothèque de l’élément combiné.

Active : la forme du symbole est utilisée en tant que zone cliquable. Chaque élément du symbole est pris en compte individuellement pour la zone de clic.

Inactive : La forme de l’élément combiné (rectangle entier) est utilisée en tant que zone de clic.

Par défaut : Inactive

Attention : Indisponible pour for Windows CE.

Cette propriété est disponible à compter de la version 6.51. Pour les projets destinés aux précédentes versions du logiciel, la propriété est considérée comme inactive.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

SymbolFormClickArea


ID_ELE_PROP_UNIT_POS

ID interne : ID_ELE_PROP_UNIT_POS

Position unité [%]

Disponible uniquement si la propriété Afficher les unités de mesure est active.

Positionne l’affichage de l’unité et permet d’ajuster des unités de longueurs différentes en fonction de valeurs citées les unes après les autres. Pour le positionnement, saisissez un pourcentage compris entre 0 et 100.

L’unité est toujours affichée à droite de la position définie. La valeur correspondante affichée à gauche dépend de l’alignement défini.

Par défaut : 0 - signifie aucun alignement de pourcentage. La valeur et l’unité sont toujours affichées ensemble.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

UnitPos


ID_ELE_SplineTension

ID interne : ID_ELE_SplineTension

Arrondir

Disponible uniquement si la propriété de projet Qualité graphique a été définie sur DirectX Hardware ou DirectX Software.

Définit l’arrondi des polylignes, polygones et tubes.

Valeurs : 0,0 (pas d’arrondi) à 1,0 (arrondi maximal)

Par défaut : 0

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

SplineTension


ID_ELE_TEXT_FROM_VARIABLE

ID interne : ID_ELE_TEXT_FROM_VARIABLE

Texte issu de la valeur d'une variable

Disponible uniquement pour les variables de chaîne.

Active : Le texte est dérivé de la valeur de la variable liée.

Inactif : le texte est identique à celui de la matrice de réaction.

Par défaut : active

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

TextFromVariable


ID_ELE_TEXT_TEXTSOURCE

ID interne : ID_ELE_TEXT_TEXTSOURCE

Afficher le texte

Sélection du contenu à afficher dans le Runtime dans la liste déroulante :

  • Identifiant de ressource : Le contenu de la propriété de la variable Description externe est affiché.
  • Texte de valeur limite : Si aucune valeur limite n’a été dépassée, le contenu de la propriété de synoptique Texte est affiché. En cas de dépassement d’une valeur limite, le contenu de la propriété de variable Texte valeur limite est affiché.
  • Unité de mesure : Le contenu de la propriété de la variable Unité de mesure est affiché.
  • Identifiant de variable : Le contenu de la propriété de la variable Identification est affiché.
  • Nom de la variable : Le contenu de la propriété de la variable Nom est affiché.
  • Valeur de la variable : La valeur de la variable est affichée.

Par défaut : Texte de limite :

Le contenu sélectionné est affiché dans l’aperçu de l’élément dans la fenêtre principale, sous les variables liées.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

TextSource


ID_ELE_TEXT_TRANSLATE_TEXT

ID interne : ID_ELE_TEXT_TRANSLATE_TEXT

Traduire le texte affiché

  • Active : le texte devant être affiché est traduit. Si un texte est modifié, la version provisoire est affichée avec la traduction.

Par défaut : Inactive

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

TranslateText


ID_ELEMENT_INTERACTION_CONFIGURATION_FLAG_CROSS_SLIDE

ID interne : ID_ELEMENT_INTERACTION_CONFIGURATION_FLAG_CROSS_SLIDE

Cross slide

Active : Détection du paramètre Cross Slide (Glissement transversal) défini.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

Gestures_CrossSlide


ID_ELEMENT_INTERACTION_CONFIGURATION_FLAG_CROSS_SLIDE_EXACT

ID interne : ID_ELEMENT_INTERACTION_CONFIGURATION_FLAG_CROSS_SLIDE_EXACT

Cross slide exact

Active : Détection du paramètre Cross Slide Exact (Glissement transversal exact) défini.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

Gestures_CrossSlideExact


ID_ELEMENT_INTERACTION_CONFIGURATION_FLAG_CROSS_SLIDE_HORIZONTAL

ID interne : ID_ELEMENT_INTERACTION_CONFIGURATION_FLAG_CROSS_SLIDE_HORIZONTAL

Cross slide horizontal

Active : Détection du paramètre Cross Slide Horizontal (Glissement transversal horizontal) défini.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

Gestures_CrossSlideHorizontal


ID_ELEMENT_INTERACTION_CONFIGURATION_FLAG_CROSS_SLIDE_REARRANGE

ID interne : ID_ELEMENT_INTERACTION_CONFIGURATION_FLAG_CROSS_SLIDE_REARRANGE

Cross slide rearrange

Active : Détection du paramètre Cross Slide Rearrange (Glissement transversal, réorganisation) défini.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

Gestures_CrossSlideRearrange


ID_ELEMENT_INTERACTION_CONFIGURATION_FLAG_CROSS_SLIDE_SELECT

ID interne : ID_ELEMENT_INTERACTION_CONFIGURATION_FLAG_CROSS_SLIDE_SELECT

Cross slide select

Active : Détection du paramètre Cross Slide Select (Glissement transversal, sélection) défini.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

Gestures_CrossSlideSelect


ID_ELEMENT_INTERACTION_CONFIGURATION_FLAG_CROSS_SLIDE_SPEED_BUMP

ID interne : ID_ELEMENT_INTERACTION_CONFIGURATION_FLAG_CROSS_SLIDE_SPEED_BUMP

Cross slide speed bump

Active : Détection du paramètre Cross Slide Speed Bump (Glissement transversal, ralentisseur) défini.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

Gestures_CrossSlideSpeedBump


ID_ELEMENT_INTERACTION_CONFIGURATION_FLAG_DRAG

ID interne : ID_ELEMENT_INTERACTION_CONFIGURATION_FLAG_DRAG

Drag

Active : Détection du paramètre Drag (Glissement) défini.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

Gestures_Drag


ID_ELEMENT_INTERACTION_CONFIGURATION_FLAG_HOLD

ID interne : ID_ELEMENT_INTERACTION_CONFIGURATION_FLAG_HOLD

Hold

Active : Détection du paramètre Hold (Maintien) défini.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

Gestures_Hold


ID_ELEMENT_INTERACTION_CONFIGURATION_FLAG_HOLD_MOUSE

ID interne : ID_ELEMENT_INTERACTION_CONFIGURATION_FLAG_HOLD_MOUSE

Hold (Mouse)

Active : Détection du paramètre Hold (Mouse) (Maintien [souris]) défini.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

Gestures_HoldMouse


ID_ELEMENT_INTERACTION_CONFIGURATION_FLAG_MANIPULATION

ID interne : ID_ELEMENT_INTERACTION_CONFIGURATION_FLAG_MANIPULATION

Manipulation

Active : Détection du paramètre Manipulation défini.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

Gestures_Manipulation


ID_ELEMENT_INTERACTION_CONFIGURATION_FLAG_MANIPULATION_EXACT

ID interne : ID_ELEMENT_INTERACTION_CONFIGURATION_FLAG_MANIPULATION_EXACT

Exact

Active : Détection du paramètre Exact défini.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

Gestures_Exact


ID_ELEMENT_INTERACTION_CONFIGURATION_FLAG_MANIPULATION_RAILS_X

ID interne : ID_ELEMENT_INTERACTION_CONFIGURATION_FLAG_MANIPULATION_RAILS_X

Rails X

Active : Détection du paramètre Rails X défini.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

Gestures_RailsX


ID_ELEMENT_INTERACTION_CONFIGURATION_FLAG_MANIPULATION_RAILS_Y

ID interne : ID_ELEMENT_INTERACTION_CONFIGURATION_FLAG_MANIPULATION_RAILS_Y

Rails Y

Active : Détection du paramètre Rails Y défini.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

Gestures_RailsY


ID_ELEMENT_INTERACTION_CONFIGURATION_FLAG_MANIPULATION_ROTATION

ID interne : ID_ELEMENT_INTERACTION_CONFIGURATION_FLAG_MANIPULATION_ROTATION

Rotation

Active : Détection du paramètre Rotation défini.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

Gestures_Rotation


ID_ELEMENT_INTERACTION_CONFIGURATION_FLAG_MANIPULATION_ROTATION_INERTIA

ID interne : ID_ELEMENT_INTERACTION_CONFIGURATION_FLAG_MANIPULATION_ROTATION_INERTIA

Inertie de rotation

Active : Détection du paramètre Rotation Inertia (Inertie de rotation) défini.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

Gestures_RotationInertia


ID_ELEMENT_INTERACTION_CONFIGURATION_FLAG_MANIPULATION_SCALING

ID interne : ID_ELEMENT_INTERACTION_CONFIGURATION_FLAG_MANIPULATION_SCALING

Scaling

Active : Détection du paramètre Scaling (Redimensionnement) défini.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

Gestures_Scaling


ID_ELEMENT_INTERACTION_CONFIGURATION_FLAG_MANIPULATION_SCALING_INERTIA

ID interne : ID_ELEMENT_INTERACTION_CONFIGURATION_FLAG_MANIPULATION_SCALING_INERTIA

Scaling inertia

Active : Détection du paramètre Scaling Inertia (Inertie de redimensionnement) défini.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

Gestures_ScalingInertia


ID_ELEMENT_INTERACTION_CONFIGURATION_FLAG_MANIPULATION_TRANSLATION_INERTIA

ID interne : ID_ELEMENT_INTERACTION_CONFIGURATION_FLAG_MANIPULATION_TRANSLATION_INERTIA

Translation inertia

Active : Détection du paramètre Translation Inertia (Inertie de translation) défini.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

Gestures_TranslationInertia


ID_ELEMENT_INTERACTION_CONFIGURATION_FLAG_MANIPULATION_TRANSLATION_X

ID interne : ID_ELEMENT_INTERACTION_CONFIGURATION_FLAG_MANIPULATION_TRANSLATION_X

Translation X

Active : Détection du paramètre Translation X défini.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

Gestures_TranslationX


ID_ELEMENT_INTERACTION_CONFIGURATION_FLAG_MANIPULATION_TRANSLATION_Y

ID interne : ID_ELEMENT_INTERACTION_CONFIGURATION_FLAG_MANIPULATION_TRANSLATION_Y

Translation Y

Active : Détection du paramètre Translation Y défini.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

Gestures_TranslationY


ID_ELEMENT_INTERACTION_CONFIGURATION_FLAG_SECONDARY_TAP

ID interne : ID_ELEMENT_INTERACTION_CONFIGURATION_FLAG_SECONDARY_TAP

Secondary tap

Active : Détection du paramètre Secondary Tap (Appui secondaire) défini.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

Gestures_SecondaryTap


ID_ELEMENT_INTERACTION_CONFIGURATION_FLAG_TAP

ID interne : ID_ELEMENT_INTERACTION_CONFIGURATION_FLAG_TAP

Tap

Active : Détection du paramètre Tap (Appui) défini.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

Gestures_Tap


ID_ELEMENT_INTERACTION_CONFIGURATION_FLAG_TAP_DOUBLE

ID interne : ID_ELEMENT_INTERACTION_CONFIGURATION_FLAG_TAP_DOUBLE

Tap double

Active : Détection du paramètre Tap Double (Double appui) défini.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

Gestures_TapDouble


ID_ELEMENT_INTERACTION_CONFIGURATION_GRP

ID interne : ID_ELEMENT_INTERACTION_CONFIGURATION_GRP

Evaluation de geste VSTA

Propriétés pour l’évaluation des gestes pour les éléments dynamiques à l’aide de VSTA.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

GestureRecognition


ID_ELEMENT_PROP_INTERACTION_ACTIVE

ID interne : ID_ELEMENT_PROP_INTERACTION_ACTIVE

Reconnaissance de geste active

Active l’évaluation des gestes. Les gestes sont définis à l’aide d’autres propriétés.

Uniquement disponible si, dans le groupe Intéraction des propriétés du projet, la propriété Reconnaissance Windows 8 a été définie.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

GestureRecognitionActive


ID_ELESEG_END_ANGLE

ID interne : ID_ELESEG_END_ANGLE

Angle de fin [degrés]

Fin de l’angle d’ouverture. L’angle d’ouverture du quartier de cercle est affiché entre l’angle de début et l’angle de fin.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

SegEndAngle


ID_ELESEG_OFFSET_ADJUSTABLE

ID interne : ID_ELESEG_OFFSET_ADJUSTABLE

Epaisseur de segment ajustable

Épaisseur du quartier pour un quartier de cercle Indisponible pour Qualité graphique Windows de base, pour Projet Windows CE actif ou pour Gradient de couleur Par les valeurs de luminosité.

Active : L’épaisseur d’un quartier de cercle peut être configurée individuellement.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

OffsetAdjustable


ID_ELESEG_OFFSET_END

ID interne : ID_ELESEG_OFFSET_END

Angle de fin du segment [pixel]

Épaisseur en pixels du quartier à l’angle de fin, entre le bord extérieur de l’ellipse et le point central. Disponible uniquement si la propriété Epaisseur de segment ajustable a été activée et la propriété Epaisseur de fin égal épaisseur de début a été désactivée.

Minimum : 0 pixel

Maximum : Une valeur inférieure à moins de la hauteur ou moins de la moitié de l’élément.

Par défaut : 00:00

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

EndOffset


ID_ELESEG_OFFSET_END_EQUALS_START

ID interne : ID_ELESEG_OFFSET_END_EQUALS_START

Epaisseur de fin égal épaisseur de début

Active : Définissez l’épaisseur du quartier pour l’angle de fin sur une valeur identique à celle de l’angle de début. La propriété Angle de fin du segment [pixel] est désactivée. Cela signifie que l’ensemble de l’élément est affiché avec une épaisseur de quartier homogène. Disponible uniquement si la propriété Epaisseur de segment ajustable a été activée.

Plus de détails dans l’aide en ligne

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

OffsetEndEqualsStart


ID_ELESEG_OFFSET_GRP

ID interne : ID_ELESEG_OFFSET_GRP

Epaisseur segment

Propriétés définissant l’épaisseur des quartiers.

Plus de détails dans l’aide en ligne

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

SegmentOffsets


ID_ELESEG_OFFSET_START

ID interne : ID_ELESEG_OFFSET_START

Angle de départ du segment [pixel]

Épaisseur en pixels du quartier à l’angle de fin, entre le bord extérieur de l’ellipse et le point central. Disponible uniquement si la propriété Epaisseur de segment ajustable est active.

Minimum : 0 pixel

Maximum : Une valeur inférieure à moins de la hauteur ou moins de la moitié de l’élément.

Par défaut : 00:00

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

StartOffset


ID_ELESEG_START_ANGLE

ID interne : ID_ELESEG_START_ANGLE

Angle de début [degrés]

Début de l’angle d’ouverture. L’angle d’ouverture du quartier de cercle est affiché entre l’angle de début et l’angle de fin.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

SegStartAngle


ID_ELREST_DEVPARAM

ID interne : ID_ELREST_DEVPARAM

Device parameter

Les propriétés suivantes sont utilisées pour l’adressage du pilote ELREST32.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

Device parameter


ID_EMS_PROP0

ID interne : ID_EMS_PROP0

Nom

Nom unique utilisé pour l’identification d’équipements, de domaines et de sites dans le module Gestion de charge.

Plage d’entrée maximum : 80 caractères
Une saisie de plus de 80 caractères n’est pas autorisée.

Attention : Les noms doivent être uniques sur tous les réseaux/zones d’alimentation dans le module Gestion de charge.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

Name


ID_EMS_PROP1

ID interne : ID_EMS_PROP1

Description

Saisie facultative d’un nom plus long ou d’une description détaillée.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

Longtext


ID_EMS_PROP8

ID interne : ID_EMS_PROP8

Consommation courante totale

Une variable qui contient la valeur actuelle de la consommation de la zone. La valeur doit représenter la différence au compteur par unité horaire de la somme des consommations de la zone d’alimentation. Pour ouvrir la boîte de dialogue de sélection de variables, cliquez sur le bouton.

Attention : Assurez-vous que la valeur sera transmise de manière cyclique, car elle entraîne une optimisation à court terme.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

ActValue


ID_EMS_PROP9

ID interne : ID_EMS_PROP9

Consommation moyenne de courant

Variable de procédé fournissant la consommation moyenne actuelle (résultant des valeurs mesurées). Pour ouvrir la boîte de dialogue de sélection de variables, cliquez sur le bouton.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

ActMean


ID_EMS_PROP10

ID interne : ID_EMS_PROP10

Prévision de consommation finale

Variable contenant la valeur finale de la ligne de prévisions au terme de la période de facturation. Pour ouvrir la boîte de dialogue de sélection de variables, cliquez sur le bouton.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

ProgEndValue


ID_EMS_PROP11

ID interne : ID_EMS_PROP11

Prévision initiale

Une variable contenant la valeur de départ de la ligne de prévisions au début de la plage horaire de prévision. Pour ouvrir la boîte de dialogue de sélection de variables, cliquez sur le bouton.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

ProgStartValue


ID_EMS_PROP12

ID interne : ID_EMS_PROP12

Dernière valeur de commutation

Une variable contenant la somme des moyennes d’alimentation, pour lesquelles des actions de commutation sont encore planifiées au cours de la période actuelle. Pour ouvrir la boîte de dialogue de sélection de variables, cliquez sur le bouton.

Attention : Cette variable doit être configurée pour le driver interne pour garantir le bon fonctionnement du système.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

LastSwitchValue


ID_EMS_PROP13

ID interne : ID_EMS_PROP13

Première valeur de commutation

Une variable qui contient la moyenne d’alimentation calculée à laquelle sera exécutée la prochaine action de commutation. Pour ouvrir la boîte de dialogue de sélection de variables, cliquez sur le bouton.

Attention : Cette variable doit être configurée pour le driver interne pour garantir le bon fonctionnement du système.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

FirstSwitchValue


ID_EMS_PROP14

ID interne : ID_EMS_PROP14

Prévision zone d'erreur

Une variable qui contient l’erreur de prévision possible de la valeur prévue finale. Pour ouvrir la boîte de dialogue de sélection de variables, cliquez sur le bouton.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

ProgChannelValue


ID_EMS_PROP15

ID interne : ID_EMS_PROP15

Prévision valeur moyenne

Une variable qui contient la moyenne actuelle de la valeur prévue réelle. Pour ouvrir la boîte de dialogue de sélection de variables, cliquez sur le bouton.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

ProgMean


ID_EMS_PROP16

ID interne : ID_EMS_PROP16

Prévision plage d'erreur de la valeur moyenne

Une variable qui contient l’erreur de prévision possible de la moyenne des valeurs réelles prévues. Pour ouvrir la boîte de dialogue de sélection de variables, cliquez sur le bouton.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

ProgChannelMean


ID_EMS_PROP17

ID interne : ID_EMS_PROP17

Valeur limite d'alimentation

Une variable qui contient la limite de capacité d’alimentation actuellement configurée. Si la valeur change durant le Runtime, la limite de capacité d’alimentation sera également modifiée pour une période d’alimentation. Pour ouvrir la boîte de dialogue de sélection de variables, cliquez sur le bouton.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

Limit


ID_EMS_PROP18

ID interne : ID_EMS_PROP18

Limite alimentation ajustée

Variable avec une limite de capacité d’alimentation ajustée (ajustée vers le haut) dans l’éventualité où la limite a été dépassée au cours d’une période antérieure. Si la limite d’achat est dépassée dans une période, la limite d’achat est incrémentée de la valeur du dépassement.

Si vous ne liez pas une variable ici, la limite d’achat ne sera pas modifiée après un dépassement.

Pour ouvrir la boîte de dialogue de sélection de variables, cliquez sur le bouton.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

AdjustedLimit


ID_EMS_PROP19

ID interne : ID_EMS_PROP19

Déviation actuelle brute

Une variable qui contient l’écart moyen de la valeur prévue réelle. Cette moyenne est égale à la différence entre la moyenne prévue de la valeur réelle prévue et la limite de capacité d’alimentation. Pour ouvrir la boîte de dialogue de sélection de variables, cliquez sur le bouton.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

DeviationActual


ID_EMS_PROP20

ID interne : ID_EMS_PROP20

Déviation actuelle du réseau

Une variable qui contient l’écart moyen de la valeur prévue actuelle. Cette moyenne est égale à la différence entre la moyenne prévue de la valeur prévue actuelle et la limite de capacité d’alimentation. Pour ouvrir la boîte de dialogue de sélection de variables, cliquez sur le bouton.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

DeviationReal


ID_EMS_PROP22

ID interne : ID_EMS_PROP22

Période de facturation

Durée d’une période de facturation en hh:mm:ss. Les fonctions de calcul de la tendance et d’optimisation utilisent cette heure en tant qu’horizon de calcul. Les valeurs usuelles sont de 15, 30 ou 60 minutes.

Valeur maximale : 23:59:59

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

ForecastHorizon


ID_EMS_PROP23

ID interne : ID_EMS_PROP23

Activer hystérésis [%]

Définit l’étendue de l’hystérésis (en pourcentage) dans laquelle aucune charge ne doit être déconnectée, afin de maintenir la propriété Distance de sécurité [%] conforme à la limite d’alimentation.

Par défaut : 0

Attention : Si vous définissez une plage trop importante, la limite d’alimentation peut être dépassée.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

HysteresisOn


ID_EMS_PROP24

ID interne : ID_EMS_PROP24

Désactiver hystérésis [%]

Définit l’étendue de l’hystérésis (en pourcentage) dans laquelle aucune charge ne doit être connectée, afin de maintenir la propriété Distance de sécurité [%] conforme à la limite d’alimentation.

Par défaut : 0

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

HysteresisOff


ID_EMS_PROP25

ID interne : ID_EMS_PROP25

Distance de sécurité [%]

Distance de sécurité par rapport à la limite d’alimentation, sous forme de pourcentage. La distance de sécurité est également affectée par les propriétés Activer hystérésis [%] et Désactiver hystérésis [%].

Par défaut : 0

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

SafetyClearance


ID_EMS_PROP26

ID interne : ID_EMS_PROP26

Cycle d'optimisation

Cycle en hh:mm:ss durant lequel l’optimisation à court terme est calculée. Le synoptique est actualisé après chaque optimisation, et au moins une fois par cycle.

Par défaut : 00:00:30

Valeur maximale : 23:59:59

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

OptCycle


ID_EMS_PROP27

ID interne : ID_EMS_PROP27

Début intervalle des tarifs en arrêt

Heure en hh:mm:ss au début d’une période de facturation. Durant cette période, aucune action de commutation n’est effectuée par l’optimisation, car les résultats des prévisions ne sont pas encore assez précis.

Par défaut : 00:00:00

Valeur maximale : 23:59:59

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

DeadLength


ID_EMS_PROP44

ID interne : ID_EMS_PROP44

Disponibilité

Variable, die angibt, ob der Erzeuger für das Gestion de charge verfügbar ist, und somit geschalten werden kann. Ist die Verfügbarkeit gegeben, verbleibt der Erzeuger in seinem zuletzt gültigen Schaltzustand. Öffnen Sie mit einem Klick auf die Schaltfläche den Dialog zur Variablenauswahl.

Mehr im Online-Handbuch.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

Active


ID_EMS_PROP45

ID interne : ID_EMS_PROP45

Délai mise en marche

Zeit in hh:mm:ss, die der Erzeuger zum Einschalten benötigt. Die Leistung des Gerätes steht dem Gestion de charge erst nach Ablauf der Zeit zur Verfügung.

Maximalwert: 23:59:59

Mehr im Online-Handbuch.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

OnDelay


ID_EMS_PROP46

ID interne : ID_EMS_PROP46

Délai mise à l'arrêt

Zeit in hh:mm:ss, die der Erzeuger zum Einschalten benötigt. Die Leistung des Gerätes steht dem Gestion de charge erst nach Ablauf der Zeit zur Verfügung.

Maximalwert: 23:59:59

Mehr im Online-Handbuch.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

OffDelay


ID_EMS_PROP47

ID interne : ID_EMS_PROP47

Pré-alerte activée

Une variable d’avertissement préalable avant la commutation (activation) de consommateurs. Un avertissement préalable est déclenché conformément à la propriété Délai préalerte configurée. Pour ouvrir la boîte de dialogue de sélection de variables, cliquez sur le bouton.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

WarnOn


ID_EMS_PROP48

ID interne : ID_EMS_PROP48

Pré-alerte désactivée

Une variable d’avertissement préalable avant la commutation (désactivation) de consommateurs. Un avertissement préalable est déclenché conformément à la propriété Délai préalerte configurée. Pour ouvrir la boîte de dialogue de sélection de variables, cliquez sur le bouton.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

WarnOff


ID_EMS_PROP50

ID interne : ID_EMS_PROP50

État de commutation

Une variable qui fournit l’état de commutation actuel d’un consommateur (activé ou désactivé). Pour ouvrir la boîte de dialogue de sélection de variables, cliquez sur le bouton.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

State


ID_EMS_PROP51

ID interne : ID_EMS_PROP51

Mise en marche

Une variable de commutation (activation) du consommateur. Pour ouvrir la boîte de dialogue de sélection de variables, cliquez sur le bouton.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

SwitchOn


ID_EMS_PROP52

ID interne : ID_EMS_PROP52

Arrêt

Une variable de commutation (désactivation) du consommateur. Pour ouvrir la boîte de dialogue de sélection de variables, cliquez sur le bouton.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

SwitchOff


ID_EMS_PROP55

ID interne : ID_EMS_PROP55

Puissance actuelle

Fournit la valeur mesurée de la consommation actuelle d’une centrale bivalente. Cette valeur doit toujours correspondre à un niveau de commutation défini, afin de pouvoir être attribuée sans incident. Pour ouvrir la boîte de dialogue de sélection de variables, cliquez sur le bouton.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

Consumption


ID_EMS_PROP56

ID interne : ID_EMS_PROP56

{Nouvelle heure de verrouillage}

Crée une nouvelle période de blocage. Cliquez sur le champ ou le bouton. La période de blocage reçoit le nom "blocking time" (heure de blocage) suivi d’un nombre consécutif.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

NewLock


ID_EMS_PROP57

ID interne : ID_EMS_PROP57

{Supprimer heure de verrouillage}

Supprime une période de blocage après une demande de confirmation. Cliquez sur le champ ou le bouton. La numérotation séquentielle des périodes de blocage suivantes sera ajustée (chaque nombre sera réduit de 1).

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

DelLock


ID_EMS_PROP58

ID interne : ID_EMS_PROP58

Début

Début d’une période de blocage au format hh:mm:ss.

Valeur maximale : 23:59:59

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

LockStart


ID_EMS_PROP59

ID interne : ID_EMS_PROP59

Fin

Fin d’une période de blocage au format hh:mm:ss.

Valeur maximale : 23:59:59

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

LockStop


ID_EMS_PROP60

ID interne : ID_EMS_PROP60

Type

Spécifie quelles actions sont interdites durant la période de blocage :

  • Suppression commutation à 0 : aucune désactivation n’est autorisée durant la période de blocage.
  • Suppression commutation à 1 : aucune activation n’est autorisée durant la période de blocage.
  • Suppression commutation 1/0 : aucune activation ou désactivation n’est autorisée durant la période de blocage.

Par défaut : Suppression commutation 1/0

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

LockType


ID_EMS_PROP61

ID interne : ID_EMS_PROP61

Durée de mise en marche min.

Minimale Zeit in hh:mm:ss, die der Erzeuger nach dem Schalten auf Spitzenleistung eingeschaltet bleiben muss. Erst nach Ablauf dieser Zeit wird der Erzeuger vom Gestion de charge wieder für Abschaltvorgänge berücksichtigt.

Maximalwert: 23:59:59

Mehr im Online-Handbuch.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

MinOn


ID_EMS_PROP62

ID interne : ID_EMS_PROP62

Durée de mise en marche max.

Maximale Zeit in hh:mm:ss, die der Erzeuger nach dem Schalten auf Spitzenleistung eingeschalten bleiben kann. Nach Ablauf der Zeit wird der Erzeuger vom Gestion de charge automatisch abgeschaltet, selbst wenn dies zu einem Überschreiten der Bezugsgrenze führen sollte.

Maximalwert: 23:59:59

Mehr im Online-Handbuch.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

MaxOn


ID_EMS_PROP63

ID interne : ID_EMS_PROP63

Durée d'arrêt min.

Minimale Zeit in hh:mm:ss, die der Erzeuger nach dem Abschalten in diesem Zustand bleiben muss. Erst nach Ablauf dieser Zeit wird der Erzeuger vom Gestion de charge wieder für Einschaltvorgänge berücksichtigt.

Maximalwert: 23:59:59

Mehr im Online-Handbuch.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

MinOff


ID_EMS_PROP64

ID interne : ID_EMS_PROP64

Durée d'arrêt max.

Maximale Zeit in hh:mm:ss, die der Erzeuger nach dem Abschalten in diesem Zustand bleiben kann. Nach Ablauf der Zeit wird der Erzeuger vom Gestion de charge automatisch eingeschaltet, unabhängig davon, ob die aktuelle Bezugsgrenze überschritten ist.

Maximalwert: 23:59:59

Mehr im Online-Handbuch.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

MaxOff


ID_EMS_PROP67

ID interne : ID_EMS_PROP67

Délai préalerte

Délai au format hh:mm:ss requis pour la fonction d’avertissement préalable d’un niveau de commutation. Via la variable Commutation pré-alerte, le système peut présenter un avertissement préalable à l’utilisateur afin de l’avertir avant l’exécution de l’action de commutation actuelle.

Valeur maximale : 23:59:59

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

Warn


ID_EMS_PROP68

ID interne : ID_EMS_PROP68

Fréquence max. de commutation

Nombre maximal d’actions de commutation par unité de temps. L’activation et la désactivation sont toutes deux considérées comme des actions de commutation distinctes. La commutation de la sortie nominale à la sortie maximale est également considérée comme une action de commutation.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

MaxSwitch


ID_EMS_PROP69

ID interne : ID_EMS_PROP69

par unité de temps

Unité horaire au format hh:mm:ss pour la propriété Fréquence max. de commutation.

Valeur maximale : 23:59:59

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

SwitchUnit


ID_EMS_PROP70

ID interne : ID_EMS_PROP70

Détermination de capacité

Définit de quelle manière la puissance de sortie sera déterminée par le biais de la liste déroulante.

  • par défaut : la consommation est déterminée en fonction de la sortie nominale. Cette valeur est prédéfinie.
  • Mesurée : la consommation actuelle est déterminée par le biais de la variable de Puissance actuelle.

Par défaut : Par défaut

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

PowerType


ID_EMS_PROP71

ID interne : ID_EMS_PROP71

Sortie de veille

Saisissez la sortie nominale du générateur ici.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

Power


ID_EMS_PROP72

ID interne : ID_EMS_PROP72

Variable de sortie de veille

Cette valeur de variable remplace la valeur prédéfinie de la sortie nominale durant le Runtime. Ceci permet d’ajuster la sortie nominale actuellement fournie d’un générateur dans le Runtime, par exemple, si la sortie est obtenue au moyen d’un point de mesure. Pour ouvrir la boîte de dialogue de sélection de variables, cliquez sur le bouton.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

PowerVar


ID_EMS_PROP73

ID interne : ID_EMS_PROP73

Priorité mise en marche

Legt die Priorität für das Einschalten des Geräts fest. Je größer der Wert, desto höher die Priorität. Geräte mit höherer Priorität werden zuerst vom Gestion de charge berücksichtigt.

Minimum: 0

Maximum: 32000

Default: 0

Mehr im Online-Handbuch..

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

OnPrio


ID_EMS_PROP74

ID interne : ID_EMS_PROP74

Priorité mise à l'arrêt

Legt die Priorität zum Ausschalten des Geräts fest. Je größer der Wert, desto höher die Priorität. Geräte mit höherer Priorität werden zuerst vom Gestion de charge berücksichtigt.

Minimum: 0

Maximum: 32000

Default: 0

Mehr im Online-Handbuch..

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

OffPrio


ID_EMS_PROP79

ID interne : ID_EMS_PROP79

Performance de pointe

Saisissez la valeur de sortie maximale ici. Le module Gestion de charge peut basculer de la sortie nominale à cette valeur de sortie maximale. La valeur d’alimentation sera réduite de la différence de sortie.

Si le générateur comporte uniquement une sortie raccordable et aucune sortie de base, vous pouvez spécifier la sortie maximale du générateur.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

PeakPower


ID_EMS_PROP80

ID interne : ID_EMS_PROP80

Commutation pré-alerte

Définit une variable qui informe l’utilisateur avant les actions de commutation, conformément à la configuration de l’option Délai préalerte. Pour ouvrir la boîte de dialogue de sélection de variables, cliquez sur le bouton.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

WarnSwitch


ID_EMS_PROP83

ID interne : ID_EMS_PROP83

Basculer en mode veille

Variable de commande de commutation vers le mode redondant. Pour ouvrir la boîte de dialogue de sélection de variables, cliquez sur le bouton.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

SwitchOff


ID_EMS_PROP84

ID interne : ID_EMS_PROP84

Basculer en production de pointe

Variable de commande de commutation vers la sortie maximale. En règle générale, la commutation s’effectue de la sortie nominale vers la sortie maximale. Pour ouvrir la boîte de dialogue de sélection de variables, cliquez sur le bouton.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

SwitchOn


ID_EMS_PROP86

ID interne : ID_EMS_PROP86

État de commutation

Une variable à laquelle sera transmis l’état de commutation actuel du générateur (activé ou désactivé). Pour ouvrir la boîte de dialogue de sélection de variables, cliquez sur le bouton.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

State


ID_EMS_PROP102

ID interne : ID_EMS_PROP102

La gestion de charge a démarré pour la zone d'alimentation

Variable, die zur Laufzeit angibt, ob das im Gestion de charge Bild angezeigte Versorgungsgebiet aktiviert wurde. Die Aktivierung erfolgt über eine Funktion. Die Variable muss vom Typ BOOL sein. Öffnen Sie mit einem Klick auf die Schaltfläche den Dialog zur Variablenauswahl.

Mehr im Online Handbuch.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

Running


ID_EMS_PROP103

ID interne : ID_EMS_PROP103

Variable de priorité de mise en marche

Équipements : Une variable qui ajuste de manière dynamique la priorité de commutation d’activation de l’équipement durant le Runtime. Ceci vous permet par exemple de modifier l’ordre des générateurs dans la hiérarchie du module Load Management en fonction d’une température extérieure. Pour ouvrir la boîte de dialogue de sélection de variables, cliquez sur le bouton.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

OnPrioVar


ID_EMS_PROP104

ID interne : ID_EMS_PROP104

Variable de priorité de mise à l'arrêt

Variable, die die Ausschaltpriorität des Geräts während der Laufzeit dynamisch anpasst. Damit können z.B. Erzeuger in Abhängigkeit von einer Außentemperatur in der Gestion de charge Hierarchie umgereiht werden. Öffnen Sie mit einem Klick auf die Schaltfläche den Dialog zur Variablenauswahl.

Mehr im Online-Handbuch.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

OffPrioVar


ID_EMS_PROP105

ID interne : ID_EMS_PROP105

État interne de commutation

Une variable dans laquelle sont affichés les différents états des équipements. Pour ouvrir la boîte de dialogue de sélection de variables, cliquez sur le bouton.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

DispoStatus


ID_EMS_PROP106

ID interne : ID_EMS_PROP106

Variable de durée min. de mise en marche

Une variable pouvant ajuster la durée minimale de commutation d’activation durant le Runtime. Une valeur existante dans le Runtime remplace la valeur définie dans le code. Pour ouvrir la boîte de dialogue de sélection de variables, cliquez sur le bouton.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

MinOnVar


ID_EMS_PROP107

ID interne : ID_EMS_PROP107

Variable de durée max. de mise en marche

Une variable pouvant ajuster la durée maximale de commutation d’activation durant le Runtime. Une valeur existante dans le Runtime remplace la valeur définie dans le code. Pour ouvrir la boîte de dialogue de sélection de variables, cliquez sur le bouton.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

MaxOnVar


ID_EMS_PROP108

ID interne : ID_EMS_PROP108

Variable de durée min. de mise à l'arrêt

Une variable pouvant ajuster la durée minimale de commutation de désactivation durant le Runtime. Une valeur existante dans le Runtime remplace la valeur définie dans le code. Pour ouvrir la boîte de dialogue de sélection de variables, cliquez sur le bouton.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

MinOffVar


ID_EMS_PROP109

ID interne : ID_EMS_PROP109

Variable de durée max. de mise à l'arrêt

Une variable pouvant ajuster la durée maximale de commutation de désactivation durant le Runtime. Une valeur existante dans le Runtime remplace la valeur définie dans le code. Pour ouvrir la boîte de dialogue de sélection de variables, cliquez sur le bouton.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

MaxOffVar


ID_EMS_PROP110

ID interne : ID_EMS_PROP110

{Nouvelle étape}

Crée un nouveau niveau de commutation. Cliquez sur le champ ou le bouton. Les niveaux de commutation reçoivent le nom "switching stage" (niveau de commutation) suivi d’un nombre consécutif.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

NewStufe


ID_EMS_PROP111

ID interne : ID_EMS_PROP111

{Supprimer étape}

Supprime le niveau de commutation actuel. Cliquez sur le champ ou le bouton. La numérotation séquentielle des niveaux de commutation suivants sera ajustée (chaque nombre sera réduit de 1).

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

DelGrade


ID_EMS_PROP112

ID interne : ID_EMS_PROP112

Etape puissance

Valeur de sortie du niveau de commutation. La valeur résultante durant le Runtime doit toujours correspondre exactement à l’une des valeurs définies dans les niveaux de commutation.

Par défaut : 0,000000

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

GradePower


ID_EMS_PROP113

ID interne : ID_EMS_PROP113

Variable étape puissance

Une variable pouvant être utilisée de manière dynamique pour ajuster la valeur de sortie d’un niveau de commutation de centrale bivalente durant le Runtime. Pour ouvrir la boîte de dialogue de sélection de variables, cliquez sur le bouton.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

GradePowerVar


ID_EMS_PROP114

ID interne : ID_EMS_PROP114

Délai préalerte

Délai au format hh:mm:ss requis pour la fonction d’avertissement préalable d’un niveau de commutation. Via les variables Pré-alerte activée et Pré-alerte désactivée, le système peut afficher un avertissement préalable pour l’utilisateur. L’utilisateur est informé avant que l’action de commutation actuelle n’ait lieu.

Valeur maximale : 23:59:59

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

GradeWarn


ID_EMS_PROP115

ID interne : ID_EMS_PROP115

Pré-alerte activée

Définit une variable qui informe l’utilisateur avant les actions de commutation d’activation, conformément à la configuration de la propriété Délai préalerte. Pour ouvrir la boîte de dialogue de sélection de variables, cliquez sur le bouton.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

GradeWarnOn


ID_EMS_PROP116

ID interne : ID_EMS_PROP116

Pré-alerte désactivée

Définit une variable qui informe l’utilisateur avant les actions de commutation de désactivation, conformément à la configuration de la propriété Délai préalerte. Pour ouvrir la boîte de dialogue de sélection de variables, cliquez sur le bouton.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

GradeWarnOff


ID_EMS_PROP117

ID interne : ID_EMS_PROP117

Délai mise en marche

Zeit in hh:mm:ss, die das BHKW zum Einschalten benötigt. Die Leistung des Gerätes steht dem Gestion de charge erst nach Ablauf dieser Zeit zur Verfügung.

Maximalwert: 23:59:59

Mehr im Online-Handbuch.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

GradeOnDelay


ID_EMS_PROP118

ID interne : ID_EMS_PROP118

Délai mise à l'arrêt

Délai au format hh:mm:ss nécessaire à l’arrêt de la centrale bivalente. La puissance de sortie ne diminuera qu’à la fin du délai configuré.

Valeur maximale : 23:59:59

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

GradeOffDelay


ID_EMS_PROP119

ID interne : ID_EMS_PROP119

Durée de mise en marche min.

Minimale Zeit in hh:mm:ss, die das BHKW nach dem Schalten auf Spitzenleistung eingeschaltet bleiben muss. Erst nach Ablauf dieser Zeit wird der Erzeuger vom Gestion de charge wieder für Abschaltvorgänge berücksichtiigt.

Maximalwert: 23:59:59

Mehr im Online-Handbuch.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

GradeMinOn


ID_EMS_PROP120

ID interne : ID_EMS_PROP120

Durée de mise en marche max.

Maximale Zeit in hh:mm:ss, die das BHKW nach dem Schalten auf Spitzenleistung eingeschalten bleiben kann. Nach Ablauf der Zeit wird der Erzeuger vom Gestion de charge automatisch abgeschalten, selbst wenn diese zu einem Überschreiten der Bezugsgrenze führen sollte.

Maximalwert: 23:59:59

Mehr im Online-Handbuch.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

GradeMaxOn


ID_EMS_PROP121

ID interne : ID_EMS_PROP121

Variable pour la valeur prescrite

Variable de valeur prescrite globale commutée par la centrale bivalente. Les différentes valeurs et variables des niveaux de commutation sont uniquement utilisées pour définir les niveaux de sortie. Pour ouvrir la boîte de dialogue de sélection de variables, cliquez sur le bouton.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

SetValue


ID_EMS_PROP122

ID interne : ID_EMS_PROP122

Hystérésis

Die Hysterese definiert den erlaubten Bereich, in dem der aktuelle Wert noch einer der Schaltstufen zugeordnet werden kann. Liegt ein Verbrauchswert nicht innerhalb der Hysterese einer der projektierten Schaltstufen, gilt das BHKW für das Gestion de charge als inaktiv.

Default: 0

Mehr im Online-Handbuch.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

Hysteresis


ID_EMS_PROP123

ID interne : ID_EMS_PROP123

Commutations planifiées

Ermöglicht die Verknüpfung einer String-Variablen, die alle geplanten Schalthandlungen aus dem Gestion de charge erhält. Klick auf die Schaltfläche ... öffnet Dialog zur Variablenauswahl.

Mehr im Online-Handbuch.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

ScheduledActions


ID_EMS_PROP124

ID interne : ID_EMS_PROP124

Sortie nominale

Puissance nominale du consommateur en kW.

Cette valeur peut être ajustée de manière dynamique durant le Runtime par l’attribution d’une variable dans la propriété Variable de sortie nominale.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

Power


ID_EMS_PROP125

ID interne : ID_EMS_PROP125

Variable de sortie nominale

L’entrée nominale actuellement fournie à un consommateur peut être ajustée via une variable durant le Runtime, par ex. si la valeur d’entrée est obtenue via un point de mesure. Cette valeur de variable remplace la valeur prédéfinie de la propriété Sortie nominale durant le Runtime. Pour ouvrir la boîte de dialogue de sélection de variables, cliquez sur le bouton.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

PowerVar


ID_EMS_PROP127

ID interne : ID_EMS_PROP127

Priorités comme facteur primaire

Description sous forme de texte.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

PrimaryPrio


ID_EMS_PROP128

ID interne : ID_EMS_PROP128

Priorités comme facteur primaire actif

Description sous forme de texte.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

PrioAsPrimary


ID_EMS_PROP129

ID interne : ID_EMS_PROP129

{Nouvelle étape}

Équipements : Crée un nouveau niveau de commutation. Cliquez sur le champ ou le bouton. Les niveaux de commutation reçoivent le nom "switching stage" (niveau de commutation) suivi d’un nombre consécutif.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être adressée comme suit pour l’API zenon (avec nom de la classe) :

NewStufe


ID_EMS_PROP130

ID interne : ID_EMS_PROP130

Variable pour la valeur prescrite

Équipements : Variable de valeur prescrite globale commutée par l’équipement consommateur. Les différentes valeurs et variables des niveaux de commutation sont uniquement utilisées pour définir les niveaux de sortie. Pour ouvrir la boîte de dialogue de sélection de variables, cliquez sur le bouton.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

SetValue


ID_EMS_PROP131

ID interne : ID_EMS_PROP131

Puissance actuelle

Équipements : Fournit la valeur mesurée de la consommation actuelle d’un équipement consommateur. Cette valeur doit toujours correspondre à un niveau de commutation défini, afin de pouvoir être attribuée sans incident. Pour ouvrir la boîte de dialogue de sélection de variables, cliquez sur le bouton.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

Consumption


ID_EMS_PROP132

ID interne : ID_EMS_PROP132

Hystérésis

Équipements : L'hystérésis définit la plage admissible dans laquelle la valeur actuelle peut être attribuée à l’un des niveaux de commutation. Si une valeur de consommation n’est pas comprise dans l’hystérésis de l’un des niveaux de commutation configurés, l’équipement consommateur est considéré comme inactif par le module Load Management.

Par défaut : 0

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

Hysteresis


ID_EMS_PROP133

ID interne : ID_EMS_PROP133

Priorité mise en marche

Équipements : Définit la priorité de la mise sous tension du périphérique. Plus la valeur est élevée, plus la priorité est élevée. Les équipements dotés d’une priorité plus élevée sont les premiers pris en compte par le module Load Management.

Minimum : 0

Maximum : 32000

Par défaut : 0

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

OnPrio


ID_EMS_PROP134

ID interne : ID_EMS_PROP134

Variable de priorité de mise en marche

Équipements : Une variable qui ajuste de manière dynamique la priorité de commutation d’activation de l’équipement durant le Runtime. Ceci vous permet par exemple de modifier l’ordre des générateurs dans la hiérarchie du module Load Management en fonction d’une température extérieure. Pour ouvrir la boîte de dialogue de sélection de variables, cliquez sur le bouton.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

OnPrioVar


ID_EMS_PROP135

ID interne : ID_EMS_PROP135

Priorité mise à l'arrêt

Équipements : Spécifie la priorité de mise hors tension du périphérique. Plus la valeur est élevée, plus la priorité est élevée. Les équipements dotés d’une priorité plus élevée sont les premiers pris en compte par le module Load Management.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

OffPrio


ID_EMS_PROP136

ID interne : ID_EMS_PROP136

Variable de priorité de mise à l'arrêt

Équipements : Une variable qui ajuste de manière dynamique la priorité de commutation de désactivation de l’équipement durant le Runtime. Ceci vous permet par exemple de modifier l’ordre des générateurs dans la hiérarchie du module Load Management en fonction d’une température extérieure. Pour ouvrir la boîte de dialogue de sélection de variables, cliquez sur le bouton.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

OffPrioVar


ID_EMS_PROP137

ID interne : ID_EMS_PROP137

{Supprimer étape}

Description sous forme de texte.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être adressée comme suit pour l’API zenon (avec nom de la classe) :

DelGrade


ID_EMS_PROP138

ID interne : ID_EMS_PROP138

Etape puissance

Description sous forme de texte.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

GradePower


ID_EMS_PROP139

ID interne : ID_EMS_PROP139

Variable étape puissance

Description sous forme de texte.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

GradePowerVar


ID_EMS_PROP140

ID interne : ID_EMS_PROP140

Délai mise en marche

Description sous forme de texte.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

GradeOnDelay


ID_EMS_PROP141

ID interne : ID_EMS_PROP141

Délai mise à l'arrêt

Description sous forme de texte.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

GradeOffDelay


ID_EMS_PROP142

ID interne : ID_EMS_PROP142

Durée de mise en marche min.

Description sous forme de texte.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

GradeMinOn


ID_EMS_PROP143

ID interne : ID_EMS_PROP143

Durée de mise en marche max.

Description sous forme de texte.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

GradeMaxOn


ID_EMS_PROP144

ID interne : ID_EMS_PROP144

Délai préalerte

Description sous forme de texte.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

GradeWarn


ID_EMS_PROP145

ID interne : ID_EMS_PROP145

Pré-alerte activée

Description sous forme de texte.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

GradeWarnOn


ID_EMS_PROP146

ID interne : ID_EMS_PROP146

Pré-alerte désactivée

Description sous forme de texte.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

GradeWarnOff


ID_EMS_PROP_GRP0

ID interne : ID_EMS_PROP_GRP0

Général

Propriétés générales pour le niveau Gestion de charge.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

GRP_General


ID_EMS_PROP_GRP1

ID interne : ID_EMS_PROP_GRP1

Valeurs d'entrée

Paramètres des valeurs actuelles et des limites d’alimentation.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

GRP_InputValues


ID_EMS_PROP_GRP2

ID interne : ID_EMS_PROP_GRP2

GRP_GasParameters

Description as text.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être adressée comme suit pour l’API zenon (avec nom de la classe) :

GRP_GasParameters


ID_EMS_PROP_GRP4

ID interne : ID_EMS_PROP_GRP4

Heures de verrouillage

Des plages de temps librement configurables peuvent être utilisées pour exclure des équipements individuels de l’optimisation pour le Gestion de charge. Les équipements comportant une heure de blocage ne seront pas pris en compte par le Gestion de charge dans cette plage horaire.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

Locks


ID_EMS_PROP_GRP6

ID interne : ID_EMS_PROP_GRP6

Étapes de commutation

Ces propriétés sont uniquement disponibles pour les générateurs raccordés aux réseaux électriques.

Les unités de production combinée de chaleur et d’électricité diffèrent des générateurs classiques en raison de la présence de niveaux de commutation prédéfinis. Une centrale bivalente peut uniquement gérer des valeurs de sortie définies en tant que niveau de commutation. Par ailleurs, le Gestion de charge peut uniquement effectuer des actions de commutation d’un niveau vers le niveau de commutation immédiatement supérieur ou immédiatement inférieur.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

Schaltstufen


ID_EMS_PROP_GRP9

ID interne : ID_EMS_PROP_GRP9

Valeurs calculées

Mit Hilfe von Prozessvariablen können wichtige Parameter für die Prognose und Optimierung während der Laufzeit angepasst werden. Damit können abhängig von Messwerten wichtige Gestion de charge Parameter wie zum Beispiel Schaltprioritäten an den aktuellen Prozess angepasst werden.

Mehr im Online-Handbuch.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

GRP_CalculatedValues


ID_EMS_PROP_GRP10

ID interne : ID_EMS_PROP_GRP10

Paramètre

Ces paramètres ont un effet fondamental sur l’optimisation de la zone d’alimentation sélectionnée. Les modifications apportées à ces paramètres ont une incidence directe sur les opérations de commutation automatique exécutées automatiquement par le Gestion de charge.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

GRP_Parameters


ID_EMS_PROP_GRP11

ID interne : ID_EMS_PROP_GRP11

Heures de commutation

Avec ces paramètres, le Gestion de charge peut tenir compte de différentes périodes de disponibilité ou des spécificités temporelles de différents appareils. Les temps de commutation ont une incidence essentielle sur le choix d’un appareil dans une opération de commutation.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

GRP_ProducerTimes


ID_EMS_PROP_GRP13

ID interne : ID_EMS_PROP_GRP13

Capacité/Priorité

Ces propriétés sont uniquement disponibles pour les équipements raccordés aux réseaux électriques. Elles déterminent le comportement fondamental des équipements raccordés au réseau électrique.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

GRP_ProducerPrioPower


ID_EMS_PROP_GRP14

ID interne : ID_EMS_PROP_GRP14

Variables de commutation

Les variables de procédé sont utilisées pour ajuster les paramètres importants en fonction des prévisions et des optimisations durant le Runtime. Ainsi, selon les valeurs mesurées, des paramètres importants pour le Gestion de charge, telles que les priorités de commutation, peuvent être adaptés au processus actuel.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

GRP_ConsumerVariables


ID_EMS_PROP_GRP16

ID interne : ID_EMS_PROP_GRP16

Variables de commutation

Les variables de procédé sont utilisées pour ajuster les paramètres importants en fonction des prévisions et des optimisations durant le Runtime. Ainsi, selon les valeurs mesurées, des paramètres importants pour le Gestion de charge, telles que les priorités de commutation, peuvent être adaptés au processus actuel.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

GRP_ProducerVariables


ID_EMS_PROP_GRP19

ID interne : ID_EMS_PROP_GRP19

Information d'état

Configure les transferts d’informations en fonction de l’état du Gestion de charge.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

GRP_Status


ID_EMS_PROP_GRP20

ID interne : ID_EMS_PROP_GRP20

Sortie

Récapitule les informations relatives au débit.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

GRP_ProducerPower


ID_EMS_PROP_GRP21

ID interne : ID_EMS_PROP_GRP21

Priorité

Contient la configuration des priorités relatives à la commutation (activation et désactivation).

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

GRP_ProducerPrio


ID_EMS_PROP_GRP22

ID interne : ID_EMS_PROP_GRP22

Heure de début

Paramètres de configuration des heures de début.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

GRP_SwitchOn


ID_EMS_PROP_GRP23

ID interne : ID_EMS_PROP_GRP23

Heure de fin

Paramètres de configuration des heures de fin.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

GRP_SwitchOff


ID_EMS_PROP_GRP24

ID interne : ID_EMS_PROP_GRP24

Fréquence de commutation

Contient les paramètres de définition de Fréquence max. de commutation par unité de temps.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

GRP_SwitchFrequency


ID_EMS_PROP_GRP25

ID interne : ID_EMS_PROP_GRP25

Information d'état

Détermine la transmission des informations concernant État de commutation et État interne de commutation.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

GRP_ProducerStatus


ID_EMS_PROP_GRP26

ID interne : ID_EMS_PROP_GRP26

Étapes de commutation

Ces propriétés sont uniquement disponibles pour les équipements connectés aux réseaux électriques.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

Schaltstufen


ID_EMS_PROP_GRP27

ID interne : ID_EMS_PROP_GRP27

Information d'état

Détermine la transmission des informations concernant Puissance actuelle, État interne de commutation et État de commutation.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

GRP_ConsumerStatus


ID_EMS_PROP_GRP28

ID interne : ID_EMS_PROP_GRP28

Priorité

Description sous forme de texte.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être adressée comme suit pour l’API zenon (avec nom de la classe) :

GRP_ProducerPrio


ID_EMS_PROP_GRP29

ID interne : ID_EMS_PROP_GRP29

Capacité/Priorité

Description sous forme de texte.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être adressée comme suit pour l’API zenon (avec nom de la classe) :

GRP_ProducerPrioPower


ID_EMS_PROP_GRP30

ID interne : ID_EMS_PROP_GRP30

Affichage des résultats

Description sous forme de texte.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être adressée comme suit pour l’API zenon (avec nom de la classe) :

GRP_ProducerPower


ID_ERSETZEN_ZUSAMMEN

ID interne : ID_ERSETZEN_ZUSAMMEN

Noms hiérarchiques

Remplacement des variables d’un symbole.

Le comportement de cette propriété est directement lié aux paramètres de la propriété Par le nom de variable :
Si la propriété Par le nom de variable est activée, le nom de la variable (propriété Nom) est utilisé. Si la propriété Par le nom de variable n’est pas active, l’identifiant de variable (propriété Identification) est utilisé.

Propriété Noms hiérarchiques

  • Active : Les noms des variables/identifiants lié(e)s sont formés à partir du nom d’objet du symbole et des variables définies dans le symbole. Les deux noms sont séparés par un point : "Nom du symbole.Variable" ou "Nom du symbole.Identifiant"
  • Inactive : Le nom de la variable ou l’identifiant de la variable est utilisé(e) :

Par défaut : Inactive

Attention : Si la propriété Noms hiérarchiques est active, mais la propriété Par le nom de variable n’est pas active, l’identifiant de variable est utilisé. Toutefois, si cette Identification est vide, l’association échouera !

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

SubstituteCombinedName


ID_EXTERNVISIBLE

ID interne : ID_EXTERNVISIBLE

Visible par d'autres programmes

Propriété permettant d’évaluer les variables zenon dans zenon Logic. Non destinée aux variables du projet zenon Logic intégré déjà disponible par l’intermédiaire des drivers stratonNG, par exemple.

  • Active : La variable est également visible dans zenon Logic Workbench et peut donc être utilisée dans les projets zenon Logic. La définition de la variable ne peut pas être modifiée dans zenon Logic.

    Les valeurs peuvent être mises à jour dans le Runtime par l’intermédiaire d’une connexion Shared-Memory. Pour cela, vous devez créer la connexion entre la logique et le processus SCADA du driver à l’étape de configuration du bus de terrain de zenon Logic. La valeur de la variable peut être déterminée dans zenon par un automate, ou dans le Runtime de zenon Logic, avant d’être écrite sur l’automate. Toutefois, les valeurs ne doivent pas être mises à jour au même moment ou à chaque cycle de zenon Logic.

    Attention : Si aucun driver Connexion Logic-SCADA n’a été configuré dans zenon Logic, les variables dans Workbench sont visibles, mais les valeurs ne sont pas actualisées dans le Runtime !

    Remarque : Tenez compte des interactions avec la propriété Hystérésis. Plus de détails dans l’aide en ligne.

  • Inactive : La variable n’est pas visible dans zenon Logic.

Par défaut : Inactive

Attention : Dans zenon Logic, les noms des variables doivent être conformes à la norme IEC 61131-3.
Cela signifie : seuls les chiffres, les lettres de A à Z (pas de trémas) et les tirets de soulignement sont autorisés. En outre, le nom ne doit pas commencer par un nombre. Ceci implique également que les structures et tables du système de contrôle ne sont pas visibles au niveau externe, car elles contiennent des parenthèses ou des points.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

ExternVisible


ID_EXTERNVISIBLE_FOR

ID interne : ID_EXTERNVISIBLE_FOR

Visible extérieurement pour

Disponible uniquement si la propriété Visible par d'autres programmes est active.

Spécifiez expressément les projets de zenon Logic pour lesquels la variable doit être visible. Si vous laissez le champ de saisie vide, la variable est visible pour tous les projets zenon Logic. Vous pouvez également saisir des projets zenon Logic de manière expresse. Séparez les noms des projets individuels par un point-virgule (";"). Vous pouvez utiliser les opérateurs. Par exemple, P1* signifie tous les projets zenon Logic commençant par P1. (Remarque : les opérateurs sont uniquement autorisés sous forme de préfixe ou de suffixe, par exemple, *xxx ou xxx*.

Le nombre de caractères est limité à 64.

Par défaut : -

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

ExternVisibleFor


ID_FILE_NAME

ID interne : ID_FILE_NAME

Nom de fichier

Nom du fichier intégré.
Les fichiers externes intégrés de cette manière sont enregistrés dans le dossier du Runtime et dans le dossier de la base de données du projet.
Attention : chaque fois que des nouveaux fichiers de Runtime sont créés, les fichiers dans le dossier du Runtime sont remplacés par les fichiers provenant du dossier de la base de données. Les fichiers externes doivent donc uniquement être modifiés à l’aide du menu contextuel du fichier correspondant, et non depuis une interface externe. Cette méthode garantit que les fichiers sont également modifiés dans le dossier de la base de données.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

Name


ID_FKT_EXTERNAL_REFERENCE

ID interne : ID_FKT_EXTERNAL_REFERENCE

Référence externe

Identifiant unique des composants de zenon, disponibles pour :

  • Projets
  • Drivers
  • Types de données
  • Variables
  • Matrices de réaction
  • Fonctions
  • Synoptiques
  • Styles

La propriété peut être utilisée comme identifiant pour des outils de configuration de projet externes. L’accès en lecture ou en écriture via l’interface utilisateur d’Editor dépend de la configuration du paramètre Référence externe éditable. La Référence externe peut toujours être décrite à l’aide de l’API de zenon.

Par défaut : Vide

Longueur maximale : 255 caractères

Remarque : L’importation et l’exportation au format XML sont prises en charge.
Si une fonction est créée avec un Copier-Coller, cette propriété est vide.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

CPropExternalNames::szExternalReference


ID_FKT_PROP1

ID interne : ID_FKT_PROP1

Type

Le type est sélectionné lors de la création de la fonction à partir de la liste de fonctions du système, et peut être modifié ultérieurement.
Ouvre la boîte de dialogue de sélection de fonction.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

FktType


ID_FKT_PROP2

ID interne : ID_FKT_PROP2

Paramètre

Paramètres de transfert de la fonction ; les paramètres dépendent du type de fonction.
Cliquez sur le bouton ... pour ouvrir une boîte de dialogue de configuration de la fonction.
La boîte de dialogue de configuration des paramètres s’ouvre, selon le type de fonction sélectionné.

Plus de détails dans l’aide en ligne .

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

Parameters


ID_FKT_PROP3

ID interne : ID_FKT_PROP3

Nom

Description unique de la fonction.
La description est diffusée lorsqu’une nouvelle fonction est créée par le système, mais peut être ultérieurement modifiée si la nouvelle description n’est pas déjà utilisée pour une autre fonction.

Maximum : 128 caractères

Par défaut : Fonction_x (où x est un numéro consécutif).

Attention : Cette propriété n’est pas disponible aux fins de la commutation de langue.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

Name


ID_FKT_PROP4

ID interne : ID_FKT_PROP4

Ordinateur actuel

Disponible uniquement dans les projets en réseau :
La fonction est exécutée sur l’ordinateur sur lequel elle a été exécutée.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

IsActual


ID_FKT_PROP5

ID interne : ID_FKT_PROP5

Serveur principal

Disponible uniquement dans les projets en réseau :
la fonction est propagée à tous les clients du projet.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

IsServer


ID_FKT_PROP6

ID interne : ID_FKT_PROP6

Serveur redondant

Disponible seulement pour les projets en réseau :
La fonction est exécutée sur le serveur redondant du projet.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

IsStandBy


ID_FKT_PROP7

ID interne : ID_FKT_PROP7

Client

Disponible seulement pour les projets réseau :
La fonction est exécutée sur tous les clients du projet.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

IsClient


ID_FKT_PROP10

ID interne : ID_FKT_PROP10

URL fonction de démarrage pour le web

URL d’exécution de fonction pour le Web :

  • Active : La fonction peut être exécutée au moyen d’une extension d’URL dans HTML Web Client au démarrage de la session.
  • Inactive : La fonction ne peut pas être exécutée au moyen d’une extension d’URL dans HTML Web Client au démarrage de la session.

Par défaut : Inactive

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

IsUrlStartWeb


ID_FKT_PROP_GRP0

ID interne : ID_FKT_PROP_GRP0

Général

Propriétés générales de la fonction.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

GRP_General


ID_FKT_PROP_GRP1

ID interne : ID_FKT_PROP_GRP1

Exécution

Disponible uniquement dans les projets en réseau :
Sélection des ordinateurs sur lesquels est exécutée la fonction.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

GRP_Execution


ID_FKT_VBA_XML_PROP_587

ID interne : ID_FKT_VBA_XML_PROP_587

Distance horiz. [pixels]

Distance horizontale entre la fin de l’arrondi et le coin, en pixels.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

Offset_H


ID_FKT_VBA_XML_PROP_588

ID interne : ID_FKT_VBA_XML_PROP_588

Distance vertic. [pixels]

Distance verticale entre la fin de l’arrondi du coin, en pixels.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

Offset_V


ID_FKTLEVELLIST

ID interne : ID_FKTLEVELLIST

Autorisations sur fonctions

Les niveaux d’autorisation permettent de verrouiller certaines fonctions spécifiques du système (par ex. : Charger projet) pour les utilisateurs non autorisés. Un niveau d’autorisation dans Editor peut être attribué individuellement à chaque module.

Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de configuration du niveau d’autorisation dans le Runtime et dans Editor.

Attention : au moins un utilisateur doit être attribué à chaque niveau d’autorisation. Dans le cas contraire, vous risquez de ne plus pouvoir accéder à votre projet !

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

FktLevelList


ID_FONT_NAME

ID interne : ID_FONT_NAME

Nom

Identifiant librement défini. Pour information uniquement.
Par défaut : Nouvelle police x (où x est un nombre consécutif).

Attention : Cette propriété n’est pas disponible aux fins de la commutation de langue.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

Name


ID_FONT_NUMMER

ID interne : ID_FONT_NUMMER

Numéro

Numéro unique de la police.
Le numéro est défini par le système lors de la création de la police. Les numéros 1 et 2 sont attribués de manière fixe et ne peuvent pas être modifiés. Tous les autres numéros de police peuvent être modifiés ultérieurement, tant que les nouveaux numéros attribués ne sont pas déjà utilisés pour d’autres polices.

Remarque : Si les mêmes numéros sont utilisés dans le projet global et le projet, la police du projet est utilisée.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

Number


ID_FONT_PROP_GRP

ID interne : ID_FONT_PROP_GRP

Police

Contient les propriétés du type de police.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

GRP_General


ID_FONT_SCHRIFTART

ID interne : ID_FONT_SCHRIFTART

Police

Sélection du type de police parmi les types de polices disponibles sur l’ordinateur.
Remarque : la boîte de dialogue de sélection du type de police est une boîte de dialogue standard de Windows.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

Font


ID_FONTLIST_NAME

ID interne : ID_FONTLIST_NAME

Nom

Nom de la liste de caractères.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

Name


ID_FONTLIST_PROP_GRP

ID interne : ID_FONTLIST_PROP_GRP

Liste de polices

Propriétés de la liste de polices.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

GRP_General


ID_FRAME_BEGRENZUNG

ID interne : ID_FRAME_BEGRENZUNG

Limitation

Disponible uniquement si, pour la propriété Déplacer, l’option Limiter aux bordures a été sélectionnée.

Définit le type de limite pour le déplacement des cadres :

  • Bordure de cadre : Le cadre ne peut pas être déplacé au-delà de la limite du moniteur.
  • Zone de bordure de cadre : Le cadre peut être déplacé au-delà de la limite du moniteur. Toutefois, une zone du moniteur doit rester accessible pour d’autres actions. La taille de cette bordure peut être configurée avec la propriété Marge de gabarit minimum.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

LimitationArea


ID_FRAME_BEGRENZUNG_CONTACTPOINTSIZE

ID interne : ID_FRAME_BEGRENZUNG_CONTACTPOINTSIZE

Marge de gabarit minimum

Uniquement disponible si la valeur associée à la propriété Déplacer a été définie sur Limiter à la taille du moniteur et la propriété Limitation a été définie sur ZOne de bordure du cadre.

Définit la taille de la zone de bordure du cadre, en pixels. Cette zone ne peut pas être déplacée au-delà du bord du moniteur. La plage définie est ainsi représentée sous forme de zone permettant de déplacer le cadre vers la zone visible.

  • Minimum : 0
  • Maximum : non défini
    Si cette zone est définie sur une largeur supérieure la taille du synoptique ou agrandie (avec la fonction Zoom) jusqu’à atteindre une valeur semblable dans le Runtime, le synoptique agit comme une limite pour la bordure du cadre.

Par défaut : 30

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

LimitationContactPointSize


ID_FRAME_VERSCHIEBEN

ID interne : ID_FRAME_VERSCHIEBEN

Déplacer

Définit les paramètres possibles lors du déplacement de l’objet :

  • Sans restriction
  • Limiter aux bordures
    Remarque : Le type de limitation est défini via la propriété Limitation.

Indisponible sous Windows CE.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

LimitationType


ID_GFXRT_CHECKIMAGE_0FF

ID interne : ID_GFXRT_CHECKIMAGE_0FF

Off

Sélection d’un élément graphique affichant l’état La valeur est 0 et la propriété ne peut pas être modifiée.
Disponible uniquement si la propriété Affichage numérique est inactive.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

CheckOffImage


ID_GFXRT_CHECKIMAGE_0FF_INACTIVE

ID interne : ID_GFXRT_CHECKIMAGE_0FF_INACTIVE

Off (inactif)

Sélection d’un élément graphique affichant l’état La valeur est 0 et la propriété ne peut pas être modifiée.
Disponible uniquement si la propriété Affichage numérique est inactive.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

CheckOffImageInActive


ID_GFXRT_CHECKIMAGE_0N

ID interne : ID_GFXRT_CHECKIMAGE_0N

On

Sélection d’un élément graphique affichant l’état La valeur est 1 et la propriété ne peut pas être modifiée.
Disponible uniquement si la propriété Affichage numérique est inactive.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

CheckOnImage


ID_GFXRT_CHECKIMAGE_0N_INACTIVE

ID interne : ID_GFXRT_CHECKIMAGE_0N_INACTIVE

On (inactif)

Sélection d’un élément graphique affichant l’état La valeur est 1 et la propriété ne peut pas être modifiée.
Disponible uniquement si la propriété Affichage numérique est inactive.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

CheckOnImageInActive


ID_GFXRT_COLUMNORDERSTATIC

ID interne : ID_GFXRT_COLUMNORDERSTATIC

Figer la sélection des colonnes

Contrôle la possibilité de déplacer ou modifier la largeur des colonnes avec la souris dans le Runtime.

  • Active : les colonnes ne peuvent pas être déplacées en effectuant un glisser-déplacer, et leur largeur ne peut pas être modifiée.
  • Inactive : Les colonnes peuvent être réorganisées en effectuant un glisser-déplacer, et la largeur des colonnes peut être modifiée avec la souris.

Si un élément comportant l’action spécifique au type de synoptique Sélection de colonne est présent et ce paramètre est actif, l’élément est désactivé dans le Runtime.

Par défaut : Inactive

Remarque concernant la disponibilité pour les listes AML et CEL :

  • Liste AML : dans les paramètres du projet, dans le groupe Liste d'alarmes pour la propriété En-tête liste d'alarmes, l’option Actions autorisées sur les en-têtes de colonnes doit être sélectionnée.
    Plus de détails dans l’aide en ligne de la liste AML.
  • Liste CEL : dans les paramètres du projet, dans le groupe Liste d'événements pour la propriété En-tête liste d'événements, l’option Actions autorisées sur les en-têtes de colonnes doit être sélectionnée.
    Plus de détails dans l’aide en ligne de la liste d’événements (CEL).

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

ColumnOrderStatic


ID_GFXRT_HEADERHEIGHT

ID interne : ID_GFXRT_HEADERHEIGHT

Hauteur de l'en-tête [en pixels]

Configuration de la hauteur de l’en-tête, en pixels.

Minimum : 0 - La hauteur est automatiquement déterminée en fonction de la taille de la police de caractères.

Maximum : 255

Par défaut : 0

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

HeaderHeight


ID_GFXRT_HEADERSTATIC

ID interne : ID_GFXRT_HEADERSTATIC

Kopfzeile statisch

  • Active : Les colonnes ne peuvent pas être déplacées par un glisser-déposer dans le Runtime, et ne peuvent également pas être triées. La largeur de la colonne peut être ajustée à nouveau.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

HeaderStatic


ID_GFXRT_HIDE_COLUMNSETTINGS_MENU

ID interne : ID_GFXRT_HIDE_COLUMNSETTINGS_MENU

Désactiver le menu contextuel

Permet d’afficher ou de masquer les menus contextuels des en-têtes.

  • Active : le menu contextuel est désactivé.
  • Inactive : le menu contextuel est activé. La liste peut également être configurée dans le Runtime.

Par défaut : Inactive

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

HideColumnSettingsMenu


ID_GFXRT_NOSORTHEADER

ID interne : ID_GFXRT_NOSORTHEADER

Désactiver le tri

Contrôle la possibilité de trier le contenu du tableau dans le Runtime, en cliquant sur les en-têtes des colonnes.

  • Active : le contenu du tableau ne peut pas être trié en cliquant sur les en-têtes des colonnes.
  • inactive : le contenu du tableau peut être trié en cliquant sur les en-têtes des colonnes.

Par défaut : Inactive

Remarque concernant la disponibilité pour les listes AML et CEL :

  • Liste AML : dans les paramètres du projet, dans le groupe Liste d'alarmes pour la propriété En-tête liste d'alarmes, l’option Actions autorisées sur les en-têtes de colonnes doit être sélectionnée.
    Plus de détails dans l’aide en ligne de la liste AML.
  • Liste CEL : dans les paramètres du projet, dans le groupe Liste d'événements pour la propriété En-tête liste d'événements, l’option Actions autorisées sur les en-têtes de colonnes doit être sélectionnée.
    Plus de détails dans l’aide en ligne de la liste d’événements (CEL).

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

NoSorting


ID_GFXRT_SHOWFILTER

ID interne : ID_GFXRT_SHOWFILTER

Afficher la ligne de filtres

  • Active : La ligne de filtre est affichée dans le Runtime.
  • Inactive : La ligne de filtre n’est pas affichée dans le Runtime.
    Remarque : Les filtres configurés sont également appliqués si la ligne de filtre n’est pas affichée.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

ShowFilter


ID_GFXRT_SHOWHEADER

ID interne : ID_GFXRT_SHOWHEADER

Montrer l'en-tête

  • Active : L’en-tête est affiché dans le Runtime.
  • Inactive : L’en-tête n’est pas affiché dans le Runtime. Dans ce cas, la ligne de filtre n’est également pas affichée, mais les filtres configurés sont encore utilisés.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

ShowHeader


ID_GRP_CORNER

ID interne : ID_GRP_CORNER

Corners

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être adressée comme suit pour l’API zenon (avec nom de la classe) :

Corners


ID_HILFE_GRP

ID interne : ID_HILFE_GRP

Aide

Propriétés de l’aide du Runtime de l’objet.
Si aucune aide n’est définie pour l’élément ici, un chapitre d’aide général peut être défini directement à l’aide des menus.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

Help


ID_IEC870_103_FktType

ID interne : ID_IEC870_103_FktType

IEC870-103 FUNCTION TYPE

Saisissez une valeur. Établit une correspondance avec FUN en tenant compte de la norme utilisée.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

IEC870_103_FktType


ID_IEC870_103_Index

ID interne : ID_IEC870_103_Index

IEC870-103 Index

Saisissez une valeur. Établit une correspondance avec la séquence de MEA dans ASDU 3 ou 9.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

IEC870_103_Index


ID_IEC870_103_InfNo

ID interne : ID_IEC870_103_InfNo

IEC870-103 INFORMATION NUMBER

Saisissez une valeur. Établit une correspondance avec INF en tenant compte de la norme utilisée.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

IEC870_103_InfNo


ID_IEC870_COA1

ID interne : ID_IEC870_COA1

IEC870 COA

Saisissez l’adresse Common Object Address (COA). Les limites de la plage de valeurs disponibles sont déterminées par les paramètres du driver.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

IEC870_COA1


ID_IEC870_IOA1

ID interne : ID_IEC870_IOA1

IEC870 IOA

Saisissez l’adresse Information Object Address (IOA). Les limites de la plage de valeurs disponibles sont déterminées par les paramètres du driver.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

IEC870_IOA1


ID_IEC870_TYPE

ID interne : ID_IEC870_TYPE

IEC870 Type identification

Choisissez le type ASDU du point de données dans la liste déroulante.

par défaut : État interne T00

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

IEC870_TYPE


ID_IEC62056_ADDRESS

ID interne : ID_IEC62056_ADDRESS

IEC62056 Address

Saisie de l’adresse OBIS.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

IEC62056_ADDRESS


ID_IEC62056_TIMEADJUST

ID interne : ID_IEC62056_TIMEADJUST

IEC62056 Time Adjustment

Correction des informations d’horodatage. Sélection du type de correction de l’heure dans une liste déroulante.

  • Aucun : aucune correction n’est appliquée.
  • Début d’intervalle : la correction est appliquée aux informations d’horodatage de début.
  • Fin d’intervalle : la correction est appliquée aux informations d’horodatage de fin.

Par défaut : Aucun

L’intervalle applicable aux modifications est configuré à l’aide de la propriété IEC62056 Time Interval.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

IEC62056_TIMEADJUST


ID_IEC62056_TIMEINTERVAL

ID interne : ID_IEC62056_TIMEINTERVAL

IEC62056 Time Interval

Saisie de l’intervalle, en minutes.

Disponible uniquement si l’option Aucune a été sélectionnée pour la propriété IEC62056 Time Adjustment.

Maximum : 65535

Par défaut : 15

Exemple : Si un intervalle de 15 et le paramètre Fin d’intervalle sont définis pour la propriété IEC62056 Time Adjustment, les informations d’horodatage sont toujours définies sur la fin d’un quart d’heure.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

IEC62056_TIMEINTERVAL


ID_IMM_DNS

ID interne : ID_IMM_DNS

Base de données

Définition de la connexion ODBC à la base de données du module Industrial Maintenance Manager (IMM).

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

IMMDns


ID_IMM_TABLEDEV

ID interne : ID_IMM_TABLEDEV

Table pour les matériels

Le nom de la table de la base de données associée aux équipements.
Affichage du nom standard uniquement. Également utilisé pour la gestion des points de mesure.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

IMMTableDevice


ID_IMM_TABLEDOC

ID interne : ID_IMM_TABLEDOC

Table pour les documents

Le nom de la table de la base de données associée aux documents.

Affichage du nom standard uniquement.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

IMMTableDoc


ID_IMM_TABLEHIST

ID interne : ID_IMM_TABLEHIST

Table pour l'historique

Le nom de la table de la base de données associée aux historiques.

Affichage du nom standard uniquement.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

IMMTableHist


ID_IMM_TABLEMAINT

ID interne : ID_IMM_TABLEMAINT

Table pour travaux de maint.

Le nom de la table de la base de données associée aux travaux de maintenance.

Affichage du nom standard uniquement.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

IMMTableMaint


ID_IMM_USERLVL

ID interne : ID_IMM_USERLVL

Niveau d'autorisation

Groupe d’autorisations requis pour pouvoir supprimer des données de la base de données.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

IMMUserLvl


ID_INITIALVALUE

ID interne : ID_INITIALVALUE

Valeur initiale externe

Propriété externe pour zenon Logic. Affecte uniquement les variables qui ne forment pas partie du driver straton.
Valeur initiale de la variable dans zenon Logic durant une reprise graduelle ou une reprise intermédiaire.
La saisie autorisée ici dépend du type de données de la variable. Par exemple, vous pouvez uniquement utiliser des valeurs sans décimales pour les variables entières. Pour les variables à virgule flottante, un point doit être utilisé en tant que séparateur décimal ; les virgules ne peuvent pas être utilisées.
Le système de contrôle ne vérifie pas la validité de cette saisie. Ceci peut générer un message d’erreur dans zenon Logic.

Attention : lors de l’utilisation de variables du driver interne, cette propriété doit posséder la même valeur que la valeur initiale dans les paramètres des variables internes.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

InitialValue


ID_KDNP1_OPERATION

ID interne : ID_KDNP1_OPERATION

Command Mode

Description sous forme de texte.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

Command_Mode


ID_KNOTEN_VERKN

ID interne : ID_KNOTEN_VERKN

Règle de création de liens

Propriétés du remplacement des liens de variables ou des fonctions pour les symboles et les conteneurs présents sur les cadrans.

Des informations plus détaillées sont disponibles dans le manuel en ligne, dans les sections Symboles et Cadrans.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

Linkings


ID_LASTUSEDOFFSET

ID interne : ID_LASTUSEDOFFSET

Dernier offset utilisé

Affichage du dernier offset utilisé par la fonction d’adressage automatique.
Cette propriété est uniquement fournie à titre d’information et ne peut pas être modifiée.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

LastUsedOffset


ID_LEVELEDIT

ID interne : ID_LEVELEDIT

Renommer niveaux d'autorisation

Vous pouvez attribuer un nom à chacun des 128 niveaux d’autorisation. La boîte de dialogue de saisie du nom est ouverte.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

UserLevelList


ID_LEVELLIST

ID interne : ID_LEVELLIST

Niveaux d'autorisation

Un ou plusieurs des 128 groupes d’autorisation peu(vent) être attribué(s) par l’utilisateur.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

UserLevel


ID_MATHVAR_PROP_ENABLE_VAR

ID interne : ID_MATHVAR_PROP_ENABLE_VAR

Calcul actif

Associe une variable à la variable mathématique. La valeur de la variable détermine si le calcul doit être effectué. La propriété est activée lors de l’association d’une variable.

Cliquez sur le bouton ... ou dans le champ contenant la variable pour ouvrir la boîte de dialogue de sélection de variables.

Par défaut : désactivée, aucune variable attribuée.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

EnableCalc


ID_MATHVAR_PROP_FORMEL

ID interne : ID_MATHVAR_PROP_FORMEL

Formule

Ouvre la boîte de dialogue de saisie de la formule de calcul des variables.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

Formula


ID_MINPWLENGTH

ID interne : ID_MINPWLENGTH

Longueur min. mot de passe

Longueur minimale du mot de passe, en caractères.

  • Minimum : 0
  • Maximum : 20

Par défaut : 6

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

MinPwLength


ID_MONITOR_VERWALTUNG

ID interne : ID_MONITOR_VERWALTUNG

Gestion de moniteur

La boîte de dialogue de configuration de la gestion de moniteurs est ouverte.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

MonitorAministration


ID_MSGCONTROL_DISPATCHER_ACTIVE

ID interne : ID_MSGCONTROL_DISPATCHER_ACTIVE

Versandart aktiv

Active : L’envoi de message est possible par ce biais.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

Active


ID_MSGCONTROL_DISPATCHER_GSMSMG_ACTIVE

ID interne : ID_MSGCONTROL_DISPATCHER_GSMSMG_ACTIVE

Type d'envoi actif

Activation du type d’envoi.

  • Active : Le type d’envoi est actif et peut être utilisé. Toutes les propriétés associées peuvent être configurées.
  • Inactive : Les propriétés associées ne peuvent pas être configurées. Le type d’envoi n’est pas utilisable.

Par défaut : Inactive

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

GSM_SMS_Active


ID_MSGCONTROL_DISPATCHER_MODEM_TTS_ACTIVE

ID interne : ID_MSGCONTROL_DISPATCHER_MODEM_TTS_ACTIVE

Modem vocal (Text-to-Speech)

Activation du type d’envoi.

  • Active : Le type d’envoi est actif et peut être utilisé. Toutes les propriétés associées peuvent être configurées.
  • Inactive : Les propriétés associées ne peuvent pas être configurées. Le type d’envoi n’est pas utilisable.

Par défaut : Inactive

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être adressée comme suit pour l’API zenon (avec nom de la classe) :

TTSModem_Active


ID_MSGCONTROL_DISPATCHER_MODEM_VOICE_ACTIVE

ID interne : ID_MSGCONTROL_DISPATCHER_MODEM_VOICE_ACTIVE

Modem vocal (fichier audio)

Activation du type d’envoi.

  • Active : Le type d’envoi est actif et peut être utilisé. Toutes les propriétés associées peuvent être configurées.
  • Inactive : Les propriétés associées ne peuvent pas être configurées. Le type d’envoi n’est pas utilisable.

Par défaut : Inactive

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être adressée comme suit pour l’API zenon (avec nom de la classe) :

VoiceModem_Active


ID_MSGCONTROL_DISPATCHER_OUTLOOK_ACTIVE

ID interne : ID_MSGCONTROL_DISPATCHER_OUTLOOK_ACTIVE

Type d'envoi actif

Activation du type d’envoi.

  • Active : Le type d’envoi est actif et peut être utilisé. Toutes les propriétés associées peuvent être configurées.
  • Inactive : Les propriétés associées ne peuvent pas être configurées. Le type d’envoi n’est pas utilisable.

Par défaut : Inactive

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être adressée comme suit pour l’API zenon (avec nom de la classe) :

Outlook_Active


ID_MSGCONTROL_DISPATCHER_SMPTPOP_ACTIVE

ID interne : ID_MSGCONTROL_DISPATCHER_SMPTPOP_ACTIVE

Type d'envoi actif

Activation du type d’envoi.

  • Active : Le type d’envoi est actif et peut être utilisé. Toutes les propriétés associées peuvent être configurées.
  • Inactive : Les propriétés associées ne peuvent pas être configurées. Le type d’envoi n’est pas utilisable.

Par défaut : Inactive

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être adressée comme suit pour l’API zenon (avec nom de la classe) :

SMTP_Mail_Active


ID_MSGCONTROL_DISPATCHER_SMS_GATEWAY_ACTIVE

ID interne : ID_MSGCONTROL_DISPATCHER_SMS_GATEWAY_ACTIVE

Type d'envoi actif

Activation du type d’envoi.

  • Active : Le type d’envoi est actif et peut être utilisé. Toutes les propriétés associées peuvent être configurées.
  • Inactive : Les propriétés associées ne peuvent pas être configurées. Le type d’envoi n’est pas utilisable.

Par défaut : Inactive

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être adressée comme suit pour l’API zenon (avec nom de la classe) :

Gateway_Active


ID_MSGCONTROL_DISPATCHER_VOIP_TTS_ACTIVE

ID interne : ID_MSGCONTROL_DISPATCHER_VOIP_TTS_ACTIVE

Voix par IP (Text-to-Speech)

Activation du type d’envoi.

  • Active : Le type d’envoi est actif et peut être utilisé. Toutes les propriétés associées peuvent être configurées.
  • Inactive : Les propriétés associées ne peuvent pas être configurées. Le type d’envoi n’est pas utilisable.

Par défaut : Inactive

Disponible uniquement si la propriété Voix par IP (Fichier audio) n’est pas activée.

Remarque :

Les conditions suivantes doivent être satisfaites pour que le service VoIP soit utilisable :

  • Le fournisseur de service VoIP doit prendre en charge les protocoles SIP et RTP.
  • Les ports correspondants doivent être ouverts au niveau du pare-feu :
    SIP (par défaut : 5060)
    RTP (par défaut : 4000)
    RTCP (par défaut : 4001)

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être adressée comme suit pour l’API zenon (avec nom de la classe) :

VoiceVOIP_Active


ID_MSGCONTROL_DISPATCHER_VOIP_VOICE_ACTIVE

ID interne : ID_MSGCONTROL_DISPATCHER_VOIP_VOICE_ACTIVE

Voix par IP (Fichier audio)

Activation du type d’envoi.

  • Active : Le type d’envoi est actif et peut être utilisé. Toutes les propriétés associées peuvent être configurées.
  • Inactive : Les propriétés associées ne peuvent pas être configurées. Le type d’envoi n’est pas utilisable.

Par défaut : Inactive

Disponible uniquement si la propriété Voix par IP (Text-to-Speech) n’est pas activée.

Remarque :

Les conditions suivantes doivent être satisfaites pour que le service VoIP soit utilisable :

  • Le fournisseur de service VoIP doit prendre en charge les protocoles SIP et RTP.
  • Les ports correspondants doivent être ouverts au niveau du pare-feu :
    SIP (par défaut : 5060)
    RTP (par défaut : 4000)
    RTCP (par défaut : 4001)

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être adressée comme suit pour l’API zenon (avec nom de la classe) :

TTSVOIP_Active


ID_MSGCONTROL_DISPATCHERS_VOICE_DISPATCHER_GRP

ID interne : ID_MSGCONTROL_DISPATCHERS_VOICE_DISPATCHER_GRP

Message vocal

Configuration et sélection des types d’envoi de messages vocaux.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être adressée comme suit pour l’API zenon (avec nom de la classe) :

Dispatchers


ID_MSGCONTROL_DISPATCHERS_VOICE_GENERAL_GRP

ID interne : ID_MSGCONTROL_DISPATCHERS_VOICE_GENERAL_GRP

Allgemein

Configuration des paramètres généraux des messages vocaux.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être adressée comme suit pour l’API zenon (avec nom de la classe) :

General


ID_MSGCONTROL_DISPATCHERS_VOICE_MAIN_GRP

ID interne : ID_MSGCONTROL_DISPATCHERS_VOICE_MAIN_GRP

Message vocal et Text to Speech

Propriétés de configuration des messages vocaux.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être adressée comme suit pour l’API zenon (avec nom de la classe) :

VOICE_GRP


ID_MSGCONTROL_DISPATCHERS_VOICE_TTS_GRP

ID interne : ID_MSGCONTROL_DISPATCHERS_VOICE_TTS_GRP

Text-to-Speech

Configuration des propriétés pour la synthèse vocale :

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être adressée comme suit pour l’API zenon (avec nom de la classe) :

TTS


ID_MSGCONTROL_DISPATCHERS_VOICE_VOIP_GRP

ID interne : ID_MSGCONTROL_DISPATCHERS_VOICE_VOIP_GRP

Voix par IP

Configuration des propriétés pour les communications VoIP (voix sur IP) :

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être adressée comme suit pour l’API zenon (avec nom de la classe) :

VoiceIP


ID_MSGCONTROL_ENGINE_EXPORTTOMESSAGE32

ID interne : ID_MSGCONTROL_ENGINE_EXPORTTOMESSAGE32

Exporter les paramètres dans Messag32.ini (v6.XX)

Enregistre les paramètres configurés à partir de la version 7 (pour la version 6.xx, ils sont enregistrés dans le fichier message32.ini). Cliquez sur le bouton pour démarrer l’exportation. Les paramètres actuels du fichier message32.ini sont remplacés après affichage d’un message de confirmation. Les paramètres du fichier message32.ini sont conservés pour des raisons de compatibilité, et concernent uniquement la version 6.xx de zenon. À compter de la version 7, les paramètres sont enregistrés dans le fichier zenon6.ini.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

ExportToMessag32


ID_MSGCONTROL_ENGINE_GRP

ID interne : ID_MSGCONTROL_ENGINE_GRP

Module Message Control

Groupe de paramètres à l’échelle du projet dans le module Message Control.

Remarque : Ces propriétés ne sont pas spécifiques au projet. Toute modification de ces paramètres ne prend effet dans le Runtime qu’après son redémarrage.

Vous pouvez configurer des paramètres spécifiques au projet dans le nœud Message Control via les propriétés de l’élément Paramètres spécifiques au projet.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

MsgCtrlSettings


ID_MSGCONTROL_MODEM_COUNTWELCOME

ID interne : ID_MSGCONTROL_MODEM_COUNTWELCOME

Répéter le texte d'accueil

Nombre de répétitions pour le texte d’accueil.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

CountWelcome


ID_MSGCONTROL_MODEM_GRP

ID interne : ID_MSGCONTROL_MODEM_GRP

Message vocal (fichier audio)

Paramètres de la téléphonie de groupe.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

DispatchSettings


ID_MSGCONTROL_MODEM_IGNOREDISCONNECT

ID interne : ID_MSGCONTROL_MODEM_IGNOREDISCONNECT

Ignorer la déconnexion

Active : une déconnexion (par ex., le destinataire met un terme à l’appel) est ignorée et le message est relu dans son intégralité avant la fermeture de la ligne.

Par défaut : Inactive

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

IgnoreDisconnect


ID_MSGCONTROL_MODEM_LINEID

ID interne : ID_MSGCONTROL_MODEM_LINEID

ID ligne

Identifiant de périphérique généré automatiquement et identifiant le modem sélectionné. En présence de plusieurs modems avec le même nom, permet de distinguer les périphériques. Sert uniquement à l’affichage d’informations ; aucune modification n’est possible.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

LineId


ID_MSGCONTROL_MODEM_LINENAME

ID interne : ID_MSGCONTROL_MODEM_LINENAME

Nom ligne

Sélection du modem à utiliser dans la liste déroulante.

Si aucune liste déroulante n’est affichée, aucun modem n’a été configuré pour l’ordinateur.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

Line


ID_MSGCONTROL_MODEM_TIMEOUT

ID interne : ID_MSGCONTROL_MODEM_TIMEOUT

Time-out [min]

Délai en minutes au terme duquel une condition existante doit être annulée et fermée. Le délai doit être plus long que le délai nécessaire à la lecture et la confirmation du message.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

TimeOut


ID_MSGCONTROL_OUTLOOK_GRP

ID interne : ID_MSGCONTROL_OUTLOOK_GRP

Message e-mail (Outlook)

Groupe de paramètres du type d’envoi Outlook.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

DispatchSettings


ID_MSGCONTROL_OUTLOOK_PROFILE

ID interne : ID_MSGCONTROL_OUTLOOK_PROFILE

Profil

Nom du profil Outlook utilisé pour l’envoi. Sélectionnez dans la liste déroulante. Les profils doivent déjà avoir été créés.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

Profile


ID_MSGCONTROL_OUTLOOK_SUBJECT

ID interne : ID_MSGCONTROL_OUTLOOK_SUBJECT

Sujet (ID)

Sujet unique du message envoyé. Pour les messages reçus, le sujet détermine l’envoi du message et son traitement par le module Message Control.

Longueur minimale : 4 caractères

Plus de détails dans l’aide en ligne.

Remarque relative à la confirmation de réception : Pour être traités par le système, les e-mails reçus doivent comporter ce texte. Les e-mails ne contenant pas ce sujet ne sont pas transmis au module Message Control. L’objet de la confirmation reçue doit également être précédé de trois caractères au choix, par exemple RE :.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

Subject


ID_MSGCONTROL_PROJECT_ACTIVEATSTARTUP

ID interne : ID_MSGCONTROL_PROJECT_ACTIVEATSTARTUP

Actif lors du démarrage du runtime

Active : Le module Message Control est démarré conjointement au Runtime.

Par défaut : active

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

ActiveAtStartup


ID_MSGCONTROL_PROJECT_ATTEMPTS

ID interne : ID_MSGCONTROL_PROJECT_ATTEMPTS

Nombre maximum d'essais

Nombre maximum de tentatives d’envoi en cas d’erreur d’envoi reconnue comme une erreur matérielle.
Remarque : si un message est transféré à un autre utilisateur, il est considéré comme un nouveau message. Le compteur est automatiquement réinitialisé à 1.
Si la demande du système contacté est annulée sans confirmation ou refus, aucune nouvelle tentative n’est effectuée.

  • Maximum : 100
  • Minimum : 1

Par défaut : 3

Remarque : Ce paramètre dépend des paramètres définis dans l’option Méthodes de la fonction Envoi d'un message.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

Attempts


ID_MSGCONTROL_PROJECT_CELITEMS

ID interne : ID_MSGCONTROL_PROJECT_CELITEMS

Enregistrer dans liste d'événements

Définit les événements consignés dans la liste d’événements. Sélectionnez dans la liste déroulante :

  • Confirmer tous :
    Tous les messages
  • Pas de confirmation :
    Aucun message
  • Confirmations négatives uniquement :
    Uniquement les messages refusés ou n’ayant pas reçu de réponse (répétitions incluses)
  • Confirmations positives uniquement :
    Uniquement les messages ayant déjà été acquittés

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

CelDetail


ID_MSGCONTROL_PROJECT_COLOR_ERROR

ID interne : ID_MSGCONTROL_PROJECT_COLOR_ERROR

Erreur lors de l'envoi

Définit le code de couleurs correspondant à l’échec de l’envoi d’un message dans la colonne d’état d’un synoptique de type Message Control. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de couleurs.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

ErrorColor


ID_MSGCONTROL_PROJECT_COLOR_SENDING

ID interne : ID_MSGCONTROL_PROJECT_COLOR_SENDING

Le message en cours d'envoie

Définit le code de couleurs correspondant à l’envoi d’un message dans la colonne d’état d’un synoptique de type Message Control. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de couleurs.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

SendingColor


ID_MSGCONTROL_PROJECT_COLOR_SENT

ID interne : ID_MSGCONTROL_PROJECT_COLOR_SENT

Le message a été envoyé

Définit le code de couleurs correspondant à l’envoi réussi d’un message dans la colonne d’état d’un synoptique de type Message Control. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de couleurs.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

SentColor


ID_MSGCONTROL_PROJECT_GRP

ID interne : ID_MSGCONTROL_PROJECT_GRP

Paramètres spécifiques au projet

Contient des paramètres spécifiques au projet pour la configuration du module Message Control.

Les paramètres généraux d’envoi sont configurés dans l’espace de travail, grâce aux propriétés du groupe Module Message Control.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

MsgCtrlSettings


ID_MSGCONTROL_PROJECT_LOG_DELETE

ID interne : ID_MSGCONTROL_PROJECT_LOG_DELETE

Tracer la suppression manuelle des messages dans liste d'événements.

Active : Toute suppression manuelle d’entrées de la liste CEL est consignée dans la liste CEL.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

LogDeleteActions


ID_MSGCONTROL_PROJECT_STATUSIMAGE_ERROR

ID interne : ID_MSGCONTROL_PROJECT_STATUSIMAGE_ERROR

Erreur lors de l'envoi

Définit un fichier graphique affiché dans la colonne d’état d’un synoptique de type Message Control en cas d’échec de l’envoi d’un message. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection d’un fichier graphique.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

ErrorImage


ID_MSGCONTROL_PROJECT_STATUSIMAGE_SENDING

ID interne : ID_MSGCONTROL_PROJECT_STATUSIMAGE_SENDING

Le message en cours d'envoie

Définit un fichier graphique affiché dans la colonne d’état d’un synoptique de type Message Control durant l’envoi d’un message. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection d’un fichier graphique.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

SendingImage


ID_MSGCONTROL_PROJECT_STATUSIMAGE_SENT

ID interne : ID_MSGCONTROL_PROJECT_STATUSIMAGE_SENT

Le message a été envoyé

Définit un fichier graphique affiché dans la colonne d’état d’un synoptique de type Message Control en cas d’envoi réussi d’un message. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection d’un fichier graphique.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

SentImage


ID_MSGCONTROL_PROJECT_SUBJECT_DYN

ID interne : ID_MSGCONTROL_PROJECT_SUBJECT_DYN

Partie dynamique du sujet

Définit la partie spécifique au projet du sujet des messages reçus et envoyés. Utilisé avec les propriétés Message e-mail (Outlook)/Sujet (ID) ou Paramètres e-mail (SMTP)/Sujet pour les e-mails sortants dans les paramètres d’envoi généraux de Module Message Control. Les messages entrants sont filtrés pour ce contenu, pour être transmis au module Message Control.

Le texte peut contenir des opérateurs.

  • Légende de la table de langues
  • Nom d’une variable
  • Entrée composée dans la table de langues

Syntaxe :

  • Les sections de texte sont séparées par un point-virgule (;),
  • $ désigne le texte contenant le paramètre
  • @ désigne le changement de langue
  • % désigne les variables
  • Le texte doit se terminer par un point-virgule (;).

Exemple : $@Attention;%Var1;

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

SubjectDyn


ID_MSGCONTROL_PROJECT_TIMETOWAIT

ID interne : ID_MSGCONTROL_PROJECT_TIMETOWAIT

Délai d'attente entre deux tentatives et délai d'attente avant expiration

Délai d’attente, en minutes, entre deux tentatives d’envoi ou de retransmission d’un message.

Par défaut : 6

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

TimeToWait


ID_MSGCONTROL_SMSGATEWAY_GRP

ID interne : ID_MSGCONTROL_SMSGATEWAY_GRP

Message SMS (passerelle SMS)

Configuration de la passerelle SMS.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

DispatchSettings


ID_MSGCONTROL_SMSGATEWAY_INBOX

ID interne : ID_MSGCONTROL_SMSGATEWAY_INBOX

Dossier de boite d'envoi

Dossier de réception du serveur de SMS pour l’envoi de SMS.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

Inbox


ID_MSGCONTROL_SMSGATEWAY_ORIGINID

ID interne : ID_MSGCONTROL_SMSGATEWAY_ORIGINID

ID expéditeur

Identification de l’expéditeur pour l’envoi de SMS.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

OriginId


ID_MSGCONTROL_SMSGATEWAY_OUTBOX

ID interne : ID_MSGCONTROL_SMSGATEWAY_OUTBOX

Dossier de boîte d'envoi

Dossier d’envoi du serveur de SMS pour l’envoi de SMS.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

Outbox


ID_MSGCONTROL_SMSGATEWAY_PREFIX

ID interne : ID_MSGCONTROL_SMSGATEWAY_PREFIX

Première lettre du fichier SMS

Première lettre du fichier SMS. Doit être unique à chaque projet.

Longueur : 1 caractère

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

Prefix


ID_MSGCONTROL_SMSGATEWAY_SEMAPHOREPREFIX

ID interne : ID_MSGCONTROL_SMSGATEWAY_SEMAPHOREPREFIX

Première lettre du fichier 'lock/semaphore'

Première lettre du fichier de verrouillage. Doit être unique à chaque projet.

Longueur : 1 caractère

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

SemaPrefix


ID_MSGCONTROL_SMSGATEWAY_SMARTALARM

ID interne : ID_MSGCONTROL_SMSGATEWAY_SMARTALARM

Gestion d'alarmes intelligente

Active : la gestion intelligente des alarmes est utilisée.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

SmartAlarm


ID_MSGCONTROL_SMSGATEWAY_STATUSBOX

ID interne : ID_MSGCONTROL_SMSGATEWAY_STATUSBOX

Dossier d'état

Dossier du serveur de SMS pour les messages d’état lors de l’envoi de SMS.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

Statusbox


ID_MSGCONTROL_SMSGATEWAY_TIMEOUT

ID interne : ID_MSGCONTROL_SMSGATEWAY_TIMEOUT

Timeout

Délai d’attente en minutes des messages envoyés. Définit le délai au terme duquel un message est considéré comme n’ayant pas été correctement envoyé.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

TimeOut


ID_MSGCONTROL_SPEECH_GRP

ID interne : ID_MSGCONTROL_SPEECH_GRP

Message vocal (Text to Speech)

Paramètres relatifs à la sortie vocale

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

DispatchSettings


ID_MSGCONTROL_SPEECH_RATE

ID interne : ID_MSGCONTROL_SPEECH_RATE

Vitesse speech

Vitesse de la voix.

  • Minimum : -10
  • Maximum : 10

Par défaut : 0

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

Rate


ID_MSGCONTROL_SPEECH_VOICEID

ID interne : ID_MSGCONTROL_SPEECH_VOICEID

Voix :

Sélection de la voix et de la langue souhaitées dans la liste déroulante.
Assurez-vous que les voix correctes ont été sélectionnées pour Editor :

  • Editor 32 bits : C:\Windows\SysWOW64\Speech\SpeechUX\sapi.cpl
  • Editor 64 bits : C:\Windows\System32\Speech\SpeechUX\sapi.cpl

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

VoiceId


ID_MSGCONTROL_SPEECH_VOLUME

ID interne : ID_MSGCONTROL_SPEECH_VOLUME

Volume

Volume de la voix. Ce nombre est une valeur, en pourcentage, de la valeur maximale pour la voix sélectionnée.

  • Maximum : 100
  • Minimum : 0 (nombre issu du système d’exploitation, sans modification)

Par défaut : 0

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

Volume


ID_MSGCONTROL_VOIP_DOMAIN

ID interne : ID_MSGCONTROL_VOIP_DOMAIN

Adresse du serveur

Saisie de l’adresse du serveur du fournisseur du service VoIP.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être adressée comme suit pour l’API zenon (avec nom de la classe) :

VoiceIP_Domain


ID_MSGCONTROL_VOIP_PASSWORD

ID interne : ID_MSGCONTROL_VOIP_PASSWORD

Mot de passe

Saisie du mot de passe du service VoIP.
Le mot de passe est enregistré sous forme chiffrée, et est uniquement déchiffré aux fins de l’authentification. Lors de la saisie, les caractères ne sont pas affichés sous forme de texte simple. Le champ affiche toujours 16 caractères, indépendamment de la longueur réelle du mot de passe.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être adressée comme suit pour l’API zenon (avec nom de la classe) :

VoiceIP_Password


ID_MSGCONTROL_VOIP_USERNAME

ID interne : ID_MSGCONTROL_VOIP_USERNAME

Identifiant utilisateur

Saisie du nom d’utilisateur du service VoIP.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être adressée comme suit pour l’API zenon (avec nom de la classe) :

VoiceIP_Username


ID_MSGCTRL_GRP

ID interne : ID_MSGCTRL_GRP

Module Message Control

Propriétés de la gestion des utilisateurs dans le module Message Control.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

MessageControl


ID_MSGCTRL_MAIL_POP_APOP

ID interne : ID_MSGCTRL_MAIL_POP_APOP

Utiliser APOP pour l'authentification

Contrôle l’authentification sur le serveur de courrier entrant.

Active : Pour l’authentification, la commande APOP est utilisée à la place de l’identifiant d’utilisateur (USER) et du mot de passe (PASS).

Par défaut : Inactive

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

PopUseApop


ID_MSGCTRL_MAIL_POP_GROUP

ID interne : ID_MSGCTRL_MAIL_POP_GROUP

Serveur de mails entrants

Propriétés de configuration du serveur POP3 pour le courrier entrant.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

InboundServerSettings


ID_MSGCTRL_MAIL_POP_KEEP_MAILS

ID interne : ID_MSGCTRL_MAIL_POP_KEEP_MAILS

Laisser les mails lus sur le serveur

Active : Les e-mails ne sont pas supprimés du serveur après téléchargement.

Par défaut : Inactive

Remarque : : puisque le protocole POP3 n’offre pas la possibilité de filtrer les messages lors de leur téléchargement, tout le courrier entrant est systématiquement téléchargé. Si cette propriété est active, l’utilisation de la mémoire sur le serveur augmente et les performances peuvent diminuer lors de la récupération des e-mails.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

PopKeepMails


ID_MSGCTRL_MAIL_POP_PASSWORD

ID interne : ID_MSGCTRL_MAIL_POP_PASSWORD

Mot de passe

Mot de passe de connexion au serveur de courrier entrant (POP3).

Le mot de passe est enregistré sous forme chiffrée, et est uniquement déchiffré aux fins de l’authentification. Lors de la saisie, les caractères ne sont pas affichés sous forme de texte simple. Le champ affiche toujours 16 caractères, indépendamment de la longueur réelle du mot de passe.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

PopPassword


ID_MSGCTRL_MAIL_POP_POLLING_INTERVALL

ID interne : ID_MSGCTRL_MAIL_POP_POLLING_INTERVALL

Temps minimum entre deux requêtes (s)

Intervalle minimum, en secondes, entre deux tentatives de téléchargement. La valeur ne doit pas être inférieure à la valeur de consigne du serveur POP3.

  • Minimum : 10
  • Maximum : 4294967295

Par défaut : 60

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

PopPollingIntervall


ID_MSGCTRL_MAIL_POP_PORT

ID interne : ID_MSGCTRL_MAIL_POP_PORT

Port

Port d’adressage du serveur POP3.

Valeur maximale : 65535

Par défaut, pour une connexion non sécurisée : 110

Par défaut, pour une connexion sécurisée : 995

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

PopPort


ID_MSGCTRL_MAIL_POP_SECURITY

ID interne : ID_MSGCTRL_MAIL_POP_SECURITY

Encryptage

Sélection du chiffrement de la connexion. Cliquez pour ouvrir une liste déroulante de sélection. Options disponibles :

Aucune : la connexion sera établie de manière non sécurisée.

SSL versions 2 et 3 : la connexion est établie à l’aide du modèle de chiffrement hybride SSL.

TLS version 1 : la connexion est établie via TLS. Le protocole TLS version 1 est le successeur du protocole SSL, équivalent à SSL 3.1.

Par défaut : SSL version 2 et 3

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

PopSecurity


ID_MSGCTRL_MAIL_POP_SERVER

ID interne : ID_MSGCTRL_MAIL_POP_SERVER

Serveur de mails

Adresse complète du serveur POP3.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

PopServer


ID_MSGCTRL_MAIL_POP_USERNAME

ID interne : ID_MSGCTRL_MAIL_POP_USERNAME

Identifiant utilisateur

Nom d’utilisateur de connexion au serveur de courrier entrant (POP3).

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

PopUser


ID_MSGCTRL_MAIL_SMTP_AUTHENTICATION

ID interne : ID_MSGCTRL_MAIL_SMTP_AUTHENTICATION

Auhentification pour le serveur de mails sortants

Sélection de l’authentification sur le serveur de messages envoyés. Cliquez pour ouvrir une liste déroulante de sélection.

  • pas d’authentification : l’envoi a lieu sans authentification.
  • S’inscrire sur le serveur de mails entrants avant d’envoyer un e-mail : avant l’envoi d’un message, une connexion est établie avec le serveur POP3.
  • Utiliser l’authentification SMTP sur le serveur de courrier sortant : Avant l’envoi, une connexion est établie au serveur SMTP.

Par défaut : Pas de sélection

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

SmtpAuthentication


ID_MSGCTRL_MAIL_SMTP_GROUP

ID interne : ID_MSGCTRL_MAIL_SMTP_GROUP

Serveur de mails sortants

Propriétés de configuration du serveur SMTP pour le courrier sortant.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

OutboundServerSettings


ID_MSGCTRL_MAIL_SMTP_IS_POP_SERVER

ID interne : ID_MSGCTRL_MAIL_SMTP_IS_POP_SERVER

Utiliser le serveur de mails entrants pour les mails sortants

Active : Le serveur de courrier entrant est utilisé comme serveur de courrier sortant. Cette propriété concerne uniquement l’adresse du serveur.

Par défaut : Inactive

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

SmtpUsePopServer


ID_MSGCTRL_MAIL_SMTP_OTHER_CREDENTIALS

ID interne : ID_MSGCTRL_MAIL_SMTP_OTHER_CREDENTIALS

Utiliser un 'log' pour les données différent de celui du serveur de mails entrants

Disponible uniquement si vous avez sélectionné l’option Utiliser l’authentification SMTP sur le serveur de courrier sortant pour la propriété Auhentification pour le serveur de mails sortants.

Active : pour l’authentification sur le serveur de courrier sortant, des données d’authentification différentes de celles du serveur de courrier entrant sont utilisées.

Inactive : les données de connexion du serveur de courrier entrant sont également utilisées sur le serveur de courrier sortant.

Par défaut : Inactive

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

SmtpDifferentCredentials


ID_MSGCTRL_MAIL_SMTP_PASSWORD

ID interne : ID_MSGCTRL_MAIL_SMTP_PASSWORD

Mot de passe

Mot de passe du serveur de courrier sortant.

Disponible uniquement si la propriété Utiliser un 'log' pour les données différent de celui du serveur de mails entrants a été activée. Si la propriété est inactive, le mot de passe défini dans la propriété Mot de passe dans le groupe Serveur de mails entrants est enregistré.

Le mot de passe est enregistré sous forme chiffrée, et est uniquement déchiffré aux fins de l’authentification. Lors de la saisie, les caractères ne sont pas affichés sous forme de texte simple. Le champ affiche toujours 16 caractères, indépendamment de la longueur réelle du mot de passe.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

SmtpPassword


ID_MSGCTRL_MAIL_SMTP_POP_GROUP

ID interne : ID_MSGCTRL_MAIL_SMTP_POP_GROUP

Paramètres e-mail (SMTP)

Paramètres d’envoi d’e-mails via le protocole SMTP.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

DispatchSettings


ID_MSGCTRL_MAIL_SMTP_PORT

ID interne : ID_MSGCTRL_MAIL_SMTP_PORT

Port

Port de connexion au serveur de courrier sortant (SMTP).

Maximum : 65535

Par défaut : 25

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

SmtpPort


ID_MSGCTRL_MAIL_SMTP_SECURITY

ID interne : ID_MSGCTRL_MAIL_SMTP_SECURITY

Encryptage

Sélection du chiffrement de la connexion. Cliquez pour ouvrir une liste déroulante de sélection. Options disponibles :

Aucune : la connexion sera établie de manière non sécurisée.

SSL versions 2 et 3 : la connexion est établie à l’aide du modèle de chiffrement hybride SSL.

TLS version 1 : la connexion est établie via TLS. Le protocole TLS version 1 est le successeur du protocole SSL, équivalent à SSL 3.1.

Par défaut : Aucun

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

SmtpSecurity


ID_MSGCTRL_MAIL_SMTP_SERVER

ID interne : ID_MSGCTRL_MAIL_SMTP_SERVER

Adresse du serveur

Disponible uniquement si la propriété Utiliser le serveur de mails entrants pour les mails sortants est inactive.

Adresse complète du serveur SMTP.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

SmtpServer


ID_MSGCTRL_MAIL_SMTP_SRCADDR

ID interne : ID_MSGCTRL_MAIL_SMTP_SRCADDR

Adresse pour les e-mails sortants

Disponible uniquement si la propriété Le nom de l'utilisateur est l'adresse pour les e-mails sortants est inactive ou indisponible.

Adresse de l’expéditeur pour les messages envoyés.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

SmtpOutMailAddress


ID_MSGCTRL_MAIL_SMTP_SRCADDR_IS_USERNAME

ID interne : ID_MSGCTRL_MAIL_SMTP_SRCADDR_IS_USERNAME

Le nom de l'utilisateur est l'adresse pour les e-mails sortants

Disponible uniquement si la propriété Auhentification pour le serveur de mails sortants possède une valeur autre que Pas d’authentification.

  • Active : le nom d’utilisateur utilisé pour l’authentification sur le serveur SMTP est également utilisé comme adresse d’expéditeur pour les e-mails envoyés.
  • Inactive : l’expéditeur défini dans la propriété Adresse pour les e-mails sortants est utilisé.

Par défaut : Inactive

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

SmtpUserIsOutMailAddress


ID_MSGCTRL_MAIL_SMTP_SUBJECT

ID interne : ID_MSGCTRL_MAIL_SMTP_SUBJECT

Sujet pour les e-mails sortants

Saisissez le sujet des e-mails envoyés.

Pour être traités par le système, les e-mails reçus doivent comporter ce texte. Les e-mails ne contenant pas ce sujet ne sont ni transmis au module Message Control, ni supprimés du serveur.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

SmtpSubject


ID_MSGCTRL_MAIL_SMTP_USERNAME

ID interne : ID_MSGCTRL_MAIL_SMTP_USERNAME

Identifiant utilisateur

Nom d’utilisateur du serveur de courrier sortant.

Disponible uniquement si la propriété Utiliser un 'log' pour les données différent de celui du serveur de mails entrants est active. Si la propriété est inactive, le nom d’utilisateur issu de la propriété Identifiant utilisateur dans le groupe Serveur de mails entrants est affiché. Dans le cas contraire, le dernier nom d’utilisateur saisi pour le serveur de courrier sortant est affiché.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

SmtpUser


ID_NETZ_APP_CLOSE_BOX

ID interne : ID_NETZ_APP_CLOSE_BOX

Message de fin

Disponible uniquement si la propriété Réseau actif est active.

  • Active : Lors de l’arrêt du Runtime sur un serveur, un message est affiché sur tous les clients connectés, indiquant que le Runtime a été arrêté. L’arrêt du Runtime est retardé de 70 secondes. Ainsi les actions peuvent être terminées proprement sur les clients.
  • Inactive : Le Runtime est arrêté sur le serveur, sans qu’un message soit affiché sur les clients.

Par défaut : Inactive

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

AppCloseBox


ID_NICHTLINIARE_ANPASSUNG

ID interne : ID_NICHTLINIARE_ANPASSUNG

Ajustement non-linéaire

Ajustement non linéaire des valeurs à l’aide de macros VBA.
Propriétés de conversion non linéaire des valeurs de l’automate en valeurs de visualisation.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

GRP_NonlinAdjust


ID_OPCUA_BROWSENAME

ID interne : ID_OPCUA_BROWSENAME

Browse name

Équivaut à la chaîne Nom affiché de la spécification UA d’OPC.

Seules les références hiérarchiques de rang supérieur au dossier de l’objet sont autorisées.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

BrowseName


ID_PASSWORD_SHOWLOCK

ID interne : ID_PASSWORD_SHOWLOCK

Identification graphique active

Active : Les éléments verrouillés peuvent être identifiés par un symbole représentant un cadenas ou un fichier graphique au choix.
Par défaut : Inactive

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

ShowLock


ID_PICTURE_MIN

ID interne : ID_PICTURE_MIN

Boutons Min./Max.

Disponible seulement, si une barre de titre est affichée avec le synoptique :
Active : les boutons pour minimiser et maximiser le synoptique sont affichés dans la barre de titre.
Inactive : ces boutons ne sont pas affichés.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

ShowMinimize


ID_PICTURE_SYSMENU

ID interne : ID_PICTURE_SYSMENU

Menu système

Disponible seulement, si une barre de titre est affichée avec le synoptique :
Active : le menu système du synoptique s’affiche dans la barre de titre.
Inactive : aucun bouton comme celui-ci n’est affiché.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

ShowSysMenu


ID_PICTURE_TITLE

ID interne : ID_PICTURE_TITLE

Nom

Nom unique du synoptique.
Par défaut : Synoptique x (où x est un numéro consécutif).

Longueur maximale : 260 caractères

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

Title


ID_PREDEFINED_BITMAPS

ID interne : ID_PREDEFINED_BITMAPS

Graphiques prédéfinis

Des bitmaps prédéfinis pour l’état LOW/HIGH peuvent être sélectionnés dans la liste.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

PredefinedBitmaps


ID_PROFILENAME

ID interne : ID_PROFILENAME

Nom profil externe

Propriété externe pour zenon Logic. Affecte uniquement les variables qui ne forment pas partie du driver straton.
Nom du profil défini dans zenon Logic (par ex. STRATON, ProfDP).

Cette propriété est uniquement affichée pour information. Édition dans zenon Logic uniquement.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

Profilename


ID_PROJECT_ALC_CONFIG

ID interne : ID_PROJECT_ALC_CONFIG

Configuration CAL

La boîte de dialogue de configuration de la fonction de Coloration automatique des lignes (CAL) s’affiche.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

ALCConfig


ID_PROJECT_ALC_GROUNDFAULTMODE

ID interne : ID_PROJECT_ALC_GROUNDFAULTMODE

Mode de recherche pour les défauts de terre

Lors d’une recherche de défaut de terre, détermine si tout le réseau doit être coloré, ou seulement la section du réseau dans laquelle s’est produit le défaut de terre.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

ALCGroundFaultMode


ID_PROJECT_ALC_IMPEDANCE_BASED_FL

ID interne : ID_PROJECT_ALC_IMPEDANCE_BASED_FL

Localisation de défaut basée sur l'impédance

Tracé automatique d’un marqueur sur un synoptique de zenon pour la propriété Localisation défaut de la protection / distribution charge.

  • Active :
    En cas d’erreur, un marqueur permet de visualiser l’emplacement du problème sur un synoptique de zenon.
  • Inactive :
    Pas de visualisation de la source de l’erreur sur le synoptique de zenon.

Par défaut : active

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

ALCImpedanceBasedFaultLocation


ID_PROJECT_ALC_MARKERLINE

ID interne : ID_PROJECT_ALC_MARKERLINE

Epaisseur de ligne du marqueur écran

Définit la largeur des lignes des marqueurs de synoptique, en pixels.

Par défaut : 3 pixels

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

ALCMarkerLine


ID_PROJECT_ALC_MARKERSIZE

ID interne : ID_PROJECT_ALC_MARKERSIZE

Taille marqueur écran

Définit la largeur des marqueurs de synoptique, en pixels.

Par défaut : 20 pixels

Plus de détails dans l’aide en ligne

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

ALCMarkerSize


ID_PROJECT_ALC_MARKERTYPE

ID interne : ID_PROJECT_ALC_MARKERTYPE

Affiche le type de marqueur écran

Affichage de formes pour les marqueurs de synoptique. Les possibilités suivantes sont disponibles :

  • Triangle
  • Cercle
  • Carré
  • Croix

Par défaut : Triangle

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

ALCMarkerType


ID_PROJECT_ALC_MAXOVERLOAD

ID interne : ID_PROJECT_ALC_MAXOVERLOAD

Nombre maximum acceptable de surcharge en courant [%]

Surintensité maximum autorisée, en pourcentage.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

ALCMaxOverload


ID_PROJECT_ALC_SEARCHMODE

ID interne : ID_PROJECT_ALC_SEARCHMODE

Mode pour la coloration

Définit le code de couleurs de l’état UNDEFINED (Non défini). Cliquez sur la liste déroulante pour afficher la sélection :

  • Standard : la couleur source est diffusée sur le réseau, depuis chaque source activée, à condition que l’interrupteur suivant soit fermé.
  • L’entrée est prioritaire : uniquement les lignes colorées potentiellement alimentées par une source au moins, mais non alimentées explicitement par une source.

Par défaut : Standard

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

ALCSearchMode


ID_PROJECT_ASMACTIVE

ID interne : ID_PROJECT_ASMACTIVE

IPA actif

Le module Industrial Performance Analyzer (IPA) est conçu pour afficher et évaluer les données d’alarmes et les périodes d’indisponibilité associées dans différentes vues de liste.

Remarque : le module Industrial Performance Analyzer doit comporter une licence distincte.

Active : vous pouvez accéder aux fonctionnalités du module Industrial Performance Analyzer. Vous pouvez maintenant modifier les propriétés supplémentaires que vous pouvez définir pour le module IPA dans cette zone.

Par défaut : inactive

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

AsmActive


ID_PROJECT_ASMAKZ

ID interne : ID_PROJECT_ASMAKZ

Identification équipement

À l’aide des identifiants d’équipements, vous pouvez filtrer les données en fonction des informations concernant les alarmes sur les synoptiques de type Industrial Performance Analyzer. Les identifiants d’équipements définis peuvent être une partie de l’identifiant ou du nom de la variable ayant provoqué le déclenchement de l’alarme.

Cliquez avec le bouton gauche de la souris pour ouvrir une boîte de dialogue dans laquelle vous sélectionnerez les identifiants d’équipements souhaités.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

AKZ


ID_PROJECT_ASMAKZMODE

ID interne : ID_PROJECT_ASMAKZMODE

Identification équipement avec

La définition des équipements peut être entrée dans le nom ou l’identification de la variable comme un préfixe. Vous devez prendre cela en considération lorsque vous créez les variables.
Identification : une partie de l’identifiant de la variable est utilisée pour l’identification de l’équipement dans le module Industrial Performance Analyzer (IPA).
Nom de la variable : une partie du nom de la variable est utilisé pour l’identification de l’équipement.

Par défaut : Nom de la variable :

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

AkzMode


ID_PROJECT_ASMBUFFERSIZE

ID interne : ID_PROJECT_ASMBUFFERSIZE

Taille du buffer

Nombre maximal d’alarmes pouvant être écrites dans le buffer.

Remarque : lorsque le buffer est plein et que des alarmes supplémentaires doivent y être enregistrées, les plus anciennes alarmes enregistrées dans le buffer sont effacées. Gardez ceci à l’esprit lors du développement du projet.
Minimum : 0.
Maximum : 4294967295
Par défaut : 10000.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

AsmBufferSize


ID_PROJECT_ASMCYCLETIME

ID interne : ID_PROJECT_ASMCYCLETIME

Cycle de sauvegarde

Définissez l’intervalle durant lequel les données d’alarme doivent être écrites depuis le buffer dans la base de données. Pour des raisons de performances, le module Industrial Performance Analyzer (IPA) ne dispose pas d’une connexion permanente à la base de données. Le cycle d’enregistrement vous permet de définir la fréquence à laquelle les données sont écrites dans la base de données.

Saisissez l’intervalle de temps au format HH:MM:SS.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

AsmCycleTime


ID_PROJECT_ASMDNS

ID interne : ID_PROJECT_ASMDNS

Base de données

Définissez la connexion à une base de données compatible ODBC (par ex. Microsoft SQL Server) devant être utilisée par le module Industrial Performance Analyzer pour enregistrer les données des alarmes. Cliquez sur le bouton avec le bouton gauche de la souris pour ouvrir la boîte de dialogue de sélection de la source de données. Si vous n’avez pas encore défini une source de données, vous pouvez définir une source de données à l’aide de cette boîte de dialogue.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

AsmDns


ID_PROJECT_ASMPREDEFFILTER

ID interne : ID_PROJECT_ASMPREDEFFILTER

Filtre de temps prédéfini

Lors de l’évaluation des données d’alarmes sur le synoptique Industrial Performance Analyzer dans le Runtime, vous pouvez utiliser des filtres de temps pour afficher uniquement les alarmes qui se sont produites durant certaines périodes.

Cliquez avec le bouton gauche de la souris pour ouvrir une boîte de dialogue dans laquelle vous pouvez définir les filtres de temps souhaités.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

PredefFilter


ID_PROJECT_ASMTABLE

ID interne : ID_PROJECT_ASMTABLE

Nom de table

Spécifiez le nom de la table dans la base de données compatible ODBC dans laquelle doivent être écrites les données provenant du module Industrial Performance Analyzer. Si aucune table portant ce nom n’existe, elle sera créée automatiquement lors du premier démarrage du Runtime.

Remarque : Les noms de tables valides doivent uniquement inclure des caractères alphanumériques ou des espaces, et ne doivent pas commencer par un chiffre. Ils ne doivent pas excéder 128 caractères.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

AsmTable


ID_PROJECT_BACKUPTIME

ID interne : ID_PROJECT_BACKUPTIME

Heure de la sauvegarde

Affiche l’heure de la dernière sauvegarde du projet.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

BackupTime


ID_PROJECT_BACKUPXML

ID interne : ID_PROJECT_BACKUPXML

Export XML actif

Case à cocher d’activation de l’exportation au format XML lors de la sauvegarde d’un projet.

  • Active :
    lors de chaque sauvegarde du projet, un fichier zip (version.zip) est inséré. Celui-ci comprend 24 fichiers XML contenant les sauvegardes des modules individuels.

Remarque : pour les projets multi-utilisateurs, uniquement pour les sauvegardes locales.

Par défaut : Inactive

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

BackupWithXML


ID_PROJECT_DBD_SERVER

ID interne : ID_PROJECT_DBD_SERVER

Serveur de base de données

Cette propriété peut uniquement être activée lors de la création d’un projet.
Affiche le serveur de base de données d’un projet multi-utilisateurs.
Si aucune saisie n’est effectuée ici, le projet n’est pas compatible multi-utilisateurs et la base de données du projet est enregistrée sur l’ordinateur local.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

DatabaseServer


ID_PROJECT_EXTERNAL_REFERENCE

ID interne : ID_PROJECT_EXTERNAL_REFERENCE

Référence externe

Identifiant unique des composants de zenon, disponibles pour :

  • Projets
  • Drivers
  • Types de données
  • Variables
  • Matrices de réaction
  • Fonctions
  • Synoptiques
  • Styles

La propriété peut être utilisée comme identifiant pour des outils de configuration de projet externes. L’accès en lecture ou en écriture via l’interface utilisateur d’Editor dépend de la configuration du paramètre Référence externe éditable. La Référence externe peut toujours être décrite à l’aide de l’API de zenon.

Par défaut : Vide

Longueur maximale : 255 caractères

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

CPropExternalNames::szExternalReference


ID_PROJECT_IPA_ALARMCAUSELIST

ID interne : ID_PROJECT_IPA_ALARMCAUSELIST

Causes d'alarmes

Sur le synoptique Industrial Performance Analyzer, une cause d’alarme provenant d’une liste peut être associée à chaque alarme constatée. Les informations peuvent être filtrées en fonction des causes d’alarmes.

Ici, vous pouvez gérer la liste de causes des alarmes.

Cliquez avec le bouton gauche de la souris pour ouvrir une boîte de dialogue dans laquelle vous spécifierez les causes d’alarmes possibles.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

AsmAlarmCauseListe


ID_PROJECT_IPA_SHIFTINFOPFS

ID interne : ID_PROJECT_IPA_SHIFTINFOPFS

Poste donné par le PFS

Les horaires des postes définis sont dérivés du module Production & Facility Scheduler. Les horaires des postes sont alors actualisés et gérés dans ce module.

Active : le poste actif lors du déclenchement d’une alarme est lu dans le module Production & Facility Scheduler (PFS).
Inactive : le poste actif lors du déclenchement de l’alarme est lue depuis une variable liée et une liste définie.
Par défaut : active.
Attention : le module Production & Facility Scheduler est un module optionnel, qui doit comporter une licence valide pour pouvoir être utilisé ici.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

AsmShiftInfoPFS


ID_PROJECT_IPA_SHIFTINFOVARIABLE

ID interne : ID_PROJECT_IPA_SHIFTINFOVARIABLE

Poste donné par variable

Disponible uniquement si vous avez activé la propriété Module IPA actif. Außerdem muss Schicht aus PFS inaktiv sein.

Name der Variablen, deren Wert Informationen über die aktuelle Schicht liefert. Wählen Sie eine Variable vom Typ INT. Damit können Sie folgendes Schichtmodell erstellen.
Beispiel:

1 = Frühschicht, 2 = Spätschicht, 3 = Nachtschicht, -1 = Pause. Die Schichtbezeichnung für die Auswertung kann über die Eigenschaft Schichtname aus Liste definiert werden.

Mehr im Online-Handbuch.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

AsmShiftInfoVariable


ID_PROJECT_IPA_SHIFTLIST

ID interne : ID_PROJECT_IPA_SHIFTLIST

Nom de poste donné par une liste

Disponible uniquement si vous avez activé la propriété Module IPA actif. En outre, la propriété Nom de poste donné par le PFS doit être inactive.

Définissez les noms correspondant aux valeurs des variables que vous avez liées dans la propriété Poste donnée par la variable.

Cliquez avec le bouton gauche de la souris pour ouvrir une boîte de dialogue dans laquelle vous pouvez attribuer des noms aux valeurs individuelles.

Des noms de poste peuvent être attribués aux valeurs d’une variable liée.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

AsmShiftNameListe


ID_PROJECT_IPA_SHIFTPFS

ID interne : ID_PROJECT_IPA_SHIFTPFS

Nom de poste donné par le PFS

Les noms des postes définis sont dérivés du module Production & Facility Scheduler. Les noms des postes sont alors actualisés et gérés dans ce module.

Active : le poste actif lors du déclenchement d’une alarme est lu dans le module Production & Facility Scheduler (PFS).
Inactive : le poste actif lors du déclenchement de l’alarme est lu depuis une variable liée et une liste définie.
Par défaut : active.

Attention : le module Production & Facility Scheduler est un module optionnel, qui doit comporter une licence valide pour pouvoir être utilisé ici.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

AsmShiftNamePFS


ID_PROJECT_IPA_USRLEVEL

ID interne : ID_PROJECT_IPA_USRLEVEL

Pour supprimer

Le synoptique Industrial Performance Analyzer permet de supprimer les données d’alarmes disponibles dans la base de données dans le Runtime. Pour éviter tout abus, vous pouvez définir le niveau d’autorisation dont un utilisateur doit disposer pour supprimer des entrées.

Sélectionnez l’autorisation de fonctionnement souhaitée dans le menu déroulant.

Par défaut : 0.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

AsmUsrLvl


ID_PROJECT_IPA_USRLEVELCAUSE

ID interne : ID_PROJECT_IPA_USRLEVELCAUSE

Pour éditer

Le synoptique Industrial Performance Analyzer permet de modifier les données d’alarmes disponibles dans la base de données dans le Runtime. Pour éviter tout abus, vous pouvez définir le niveau d’autorisation dont un utilisateur doit disposer pour modifier des entrées.

Sélectionnez l’autorisation de fonctionnement souhaitée dans le menu déroulant.

Par défaut : 0.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

AsmUsrLvlCause


ID_PROJECT_MAIN_TEMPLATES

ID interne : ID_PROJECT_MAIN_TEMPLATES

Gabarits principaux

Nom du cadre mémorisé dans la variable Dernier synoptique ouvert du driver système. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de cadres.

Remarque :

  • Cette propriété a également un effet sur la fonction Synoptique : retour au précédent.
  • Si le nom d’un cadre est modifié, celui-ci doit à nouveau être saisi ici, si nécessaire. Dans le cas contraire, la variable de driver système Dernier synoptique ouvert ne peut plus identifier les synoptiques créés sur la base de ce cadre.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

MainTemplates


ID_PROJECT_MULTIUSER

ID interne : ID_PROJECT_MULTIUSER

Projet multi-utilisateur

Active : le projet est utilisé comme un projet multi-utilisateurs. L’arborescence du projet comporte un nœud supplémentaire, intitulé "Traitement en cours".

Inactive : le projet est utilisé comme un projet simple.

Par défaut : inactive

Cette propriété peut uniquement être activée via le menu contextuel du projet.

Attention : l’activation de cette propriété ne peut pas être annulée. Vous pouvez toutefois convertir un projet multi-utilisateurs en projet simple via une sauvegarde de projet.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

MultiUser


ID_PROJECT_PROCESS_RECORDER

ID interne : ID_PROJECT_PROCESS_RECORDER

Process Recorder

Active/désactive l’enregistrement pour le module Process Recorder.

  • Active :
    Enregistrement dans le module Process Recorder activé.
  • Inactive :
    Pas d’enregistrement dans le module Process Recorder.

Par défaut : Inactive

Attention : les variables activées avec la propriété Activer l'enregistrement sont uniquement enregistrées si cette propriété est activée.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être adressée comme suit pour l’API zenon (avec nom de la classe) :

GRP_ProcessRecorder


ID_PROJECT_RTVERSION

ID interne : ID_PROJECT_RTVERSION

Créer fichiers RT pour

Sélection de la version créée pour les fichiers du Runtime :

  • 6.20 SP4 : Les fichiers de Runtime sont créés pour la version 6.20 Service Pack 4.
  • 6.21 SP0 : Les fichiers de Runtime sont créés pour la version 6.21 Service Pack 0.
  • 6.21 SP1 : Les fichiers de Runtime sont créés pour la version 6.21 Service Pack 1.
  • 6.22 SP0 : Les fichiers de Runtime sont créés pour la version 6.22 Service Pack 0.
  • 6.22 SP1 : Les fichiers de Runtime sont créés pour la version 6.22 Service Pack 1.
  • 6.50 SP0 : Les fichiers de Runtime sont créés pour la version 6.50 Service Pack 0.
  • 6.51 SP0 : Les fichiers de Runtime sont créés pour la version 6.51 Service Pack 0.
  • 7.00 SP0 : Les fichiers de Runtime sont créés pour la version 7.00 Service Pack 0.
  • 7.10 SP0: les fichiers de Runtime sont créés pour la version 7.10 Service Pack 0.
  • 7.11 SP0: les fichiers de Runtime sont créés pour la version 7.11 Service Pack 0.
  • 7.20 SP0: les fichiers de Runtime sont créés pour la version 7.20 Service Pack 0.
  • 7.20 SP0 [no. de la dernière version] : les fichiers de Runtime sont créés pour la version 7.20 Service Pack 0, version [no. de la version actuelle].
  • 7.50 SP0 : Les fichiers de Runtime sont créés pour la version 7.50 Service Pack 0.
  • Par défaut : Les fichiers de Runtime sont créés pour la version actuelle d’Editor.

Attention : Pour garantir la cohérence des fichiers de Runtime, tous les fichiers de Runtime doivent être recréés à chaque modification de cette propriété. Les configurations de tous les drivers sont converties. Les paramètres qui n’existent pas dans la version correspondante sont définis sur le paramètre par défaut.

Notez que pour la version 7.20, vous pouvez sélectionner des paramètres spécifiques à une version particulière. Sélectionnez cette option pour la version 7.20, afin de vous assurer de disposer des toutes dernières fonctionnalités.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

RTVersion


ID_PROJECT_RUNTIMELASSO

ID interne : ID_PROJECT_RUNTIMELASSO

Sélection multiple en runtime (lasso)

Active : Pour sélectionner plusieurs éléments dans le Runtime, déplacez la souris tout en maintenant le bouton gauche enfoncé. Une macro VBA peut accéder à ces éléments.
Inactive : La fonction lasso n’est pas utilisée.
Par défaut : inactive
Conseil : le lasso fonctionne uniquement pour les éléments accessibles par le biais du clavier, liés à une variable ou une fonction. Les éléments statiques ne sont pas sélectionnés. La fonction de lasso peut être activée/désactivée pour certains éléments de synoptique via la propriété Runtime/sélectionnable avec le lasso.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

RuntimeLasso


ID_PROJECT_USEVERSION

ID interne : ID_PROJECT_USEVERSION

Gestion de version active

Case à cocher d’activation du suivi des versions des sauvegardes de projet.

  • Active :
    La fonction de suivi de version des projets est utilisée. Chaque sauvegarde de projet comporte un numéro de version propre.
  • Inactive :
    la fonction de suivi des versions des sauvegardes de projet est désactivée.

Par défaut : Inactive

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

VersionActive


ID_PROJECT_VERSIONDETAIL

ID interne : ID_PROJECT_VERSIONDETAIL

Numéro de détail

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

VersionDetail


ID_PROJECT_VERSIONNUMBER

ID interne : ID_PROJECT_VERSIONNUMBER

Version principale

Disponible uniquement si la propriété Gestion de version active est active.

Numéro attribué par l’utilisateur. Au niveau interne, il est complété par un numéro détaillé, séparé par un point et affiché sous la forme Version du projet.

Attention : Toute modification par l’utilisateur de ce numéro influe sur la cohérence du suivi des versions.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

VersionNumber


ID_PROJECT_VERSIONS

ID interne : ID_PROJECT_VERSIONS

Gestion de version

Propriétés du suivi des versions de sauvegardes de projet.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

GRP_Versioning


ID_PROJECT_VERSIONSTRING

ID interne : ID_PROJECT_VERSIONSTRING

Version du projet

Disponible uniquement si la propriété Gestion de version active est active.

Affiche la version du projet. Le numéro de version est constitué du numéro attribué par l’utilisateur (Version principale) suivi, après le point, du numéro détaillé attribué au niveau interne.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

VersionString


ID_PROJECT_ZOOM_STEPS

ID interne : ID_PROJECT_ZOOM_STEPS

Pas de zoom pour vue globale

La boîte de dialogue de définition des niveaux de zoom pour la fonction Vue globale est affichée.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

ZoomSteps


ID_PROJEKT_AD_DOMAIN

ID interne : ID_PROJEKT_AD_DOMAIN

Acive Directory domaine

Autorise la connexion d’un utilisateur AD à zenon depuis un domaine autre que celui utilisé pour la connexion à Windows.
Disponible uniquement si la propriété Accès à Active Directory est active.

  • Valeur : nom du domaine souhaité.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

ADDomain


ID_PROJEKT_AD_ZENON_USER_GROUP_FOR_LOGIN

ID interne : ID_PROJEKT_AD_ZENON_USER_GROUP_FOR_LOGIN

Groupe d'utilisateur pour la connexion à Active Directory avec certificats en cache

Disponible uniquement si la valeur oui est définie pour la propriété Accès à Active Directory.

Sélection d’un groupe d’utilisateurs autorisant la connexion avec les informations de connexion enregistrées en mémoire cache.
Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection d’un groupe d’utilisateurs.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

ActiveDirectoryUsrGrpLogin


ID_PROJEKT_ADAM

ID interne : ID_PROJEKT_ADAM

Connexion AD-LDS

Chemin de connexion à ADAM ou AD LDS.

Vous devez saisir le chemin de connexion au format suivant : [Nom du PC]:[port]/[organisation]

Exemple : w3k:50000/O=760,c=com

Pour plus d’informations sur AD LDS, reportez-vous à l’aide en ligne.

Pour plus d’informations sur ADAM, reportez-vous à l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

ADAM


ID_PROJEKT_ADAM_PWD

ID interne : ID_PROJEKT_ADAM_PWD

Mot de passe AD-LDS

Mot de passe de l’utilisateur local du PC ADAM/AD LDS.

Pour plus d’informations sur AD LDS, reportez-vous à l’aide en ligne.

Pour plus d’informations sur ADAM, reportez-vous à l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

ADAMPwd


ID_PROJEKT_ADAM_USER

ID interne : ID_PROJEKT_ADAM_USER

Identification utilisateur AD-LDS

Nom d’utilisateur d’un utilisateur local de l’ordinateur ADAM/AD LDS possédant des droits d’administrateur.

Pour plus d’informations sur AD LDS, reportez-vous à l’aide en ligne.

Pour plus d’informations sur ADAM, reportez-vous à l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

ADAMUser


ID_PROJEKT_ADAM_ZENON_USER_GROUP_FOR_LOGIN

ID interne : ID_PROJEKT_ADAM_ZENON_USER_GROUP_FOR_LOGIN

Benutzergruppe für AD LDS-Login mit zwischengespeicherten Anmeldeinformationen

Description sous forme de texte.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

ADAMUsrGrpLogin


ID_PROJEKT_ALARM_CEL

ID interne : ID_PROJEKT_ALARM_CEL

Alarmes et événements

Propriétés de la liste d’alarmes et de la liste d’événements (CEL).

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

GRP_AML_CEL


ID_PROJEKT_ALLGEMEIN

ID interne : ID_PROJEKT_ALLGEMEIN

Général

Propriétés générales du projet.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

GRP_Project


ID_PROJEKT_ALT_PATH

ID interne : ID_PROJEKT_ALT_PATH

Dossier des données

Vide. Le chemin par défaut est utilisé pour l’enregistrement de la liste d’alarmes (AML), de la liste d’événements (CEL), des données de disque dur, des données d’archives, etc. (chemin du projet\nom de l’ordinateur\nom du projet).
Chemin : le chemin saisi ici est utilisé pour l’enregistrement des données (chemin saisi\nom de l’ordinateur\nom du projet).
Attention : si le chemin défini n’existe pas (problèmes de réseau, support amovible indisponible), aucune autre donnée n’est écrite depuis le Runtime. Ceci signifie : une perte totale de données. Le Runtime reste actionnable, mais doit être redémarré. La disponibilité du dossier peut être contrôlée par le biais de la variable de driver du système Runtime data folder not available (Dossier de données du Runtime indisponible).
Conseil ne définissez jamais le dossier de données sur un support amovible, tel qu’une clé USB ou un périphérique réseau. Nous vous conseillons d’enregistrer les données localement, et de les sauvegarder au niveau externe.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

AltDataPath


ID_PROJEKT_AML

ID interne : ID_PROJEKT_AML

Liste d'alarmes

Propriété de configuration des alarmes.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

GRP_AML


ID_PROJEKT_AUTOMATIC_FUNC

ID interne : ID_PROJEKT_AUTOMATIC_FUNC

Appel fonction auto.

Propriétés d’exécution automatique de la fonction.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

GRP_AutoFunc


ID_PROJEKT_AUTOMATIC_FUNCTION

ID interne : ID_PROJEKT_AUTOMATIC_FUNCTION

Fonction

Disponible uniquement si la propriété Exécution autom. de fonction active est active :
Fonction exécutée après expiration du délai d’inactivité.
Si plusieurs fonctions doivent être exécutées, un script contenant les fonctions souhaitées doit être créé et un lien vers la fonction d’exécution du script doit être inséré ici.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

Function


ID_PROJEKT_AUTOMATIC_FUNCTION_ACTIVE

ID interne : ID_PROJEKT_AUTOMATIC_FUNCTION_ACTIVE

Exécution autom. de fonction active

  • Active : Exécution automatique de la fonction si l’ordinateur n’a pas été utilisé pendant la période définie dans la propriété Période sans action (en minutes). Sélection de la fonction devant être exécutée via la propriété Fonction :
  • Inactive : Pas d’exécution automatique de la fonction.

Par défaut : Inactive

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

FuncActive


ID_PROJEKT_AUTOMATIC_FUNCTION_TIME

ID interne : ID_PROJEKT_AUTOMATIC_FUNCTION_TIME

Période sans action (en minutes)

Disponible uniquement si la propriété Exécution autom. de fonction active est active :
Période pendant laquelle le système doit rester inactif pour que la fonction soit exécutée.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

FuncActiveTime


ID_PROJEKT_BLINK_FREQUENCY

ID interne : ID_PROJEKT_BLINK_FREQUENCY

Freq. Clignot. [10ième de sec.]

Fréquence de clignotement des éléments en dixièmes de seconde (par exemple : saisir 5 correspond à 1/2 cycle).

  • Minimum : 0
  • Maximum : 2147483647
  • Par défaut : 5

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

BlinkRate


ID_PROJEKT_CEL

ID interne : ID_PROJEKT_CEL

Liste d'événements

Propriétés d’administration de la liste d’événements (CEL).

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

GRP_CEL


ID_PROJEKT_CHANGELOG

ID interne : ID_PROJEKT_CHANGELOG

Historique des modifications

Propriétés de l’historique des modifications.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

GRP_ChangeLog


ID_PROJEKT_CHANGELOG_AKTIV

ID interne : ID_PROJEKT_CHANGELOG_AKTIV

Historique des modifications actif

Case à cocher d’activation de l’historique des modifications.

  • Active :
    Les modifications apportées au projet sont également consignées.
  • Inactive :
    Les modifications apportées au projet ne sont pas consignées.

Par défaut : Inactive

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

ChangeLogAktiv


ID_PROJEKT_CHANGELOG_AUTOCHECKOUT

ID interne : ID_PROJEKT_CHANGELOG_AUTOCHECKOUT

Permettre automatiquement les modifications

Uniquement disponible dans les projets multi-utilisateurs et si l’historique des modifications est actif.
Active : Les modifications apportées aux entrées dans la liste sont automatiquement autorisées si des commentaires sont insérés. Ces modifications doivent alors être effectuées manuellement.
Inactive : Les commentaires peuvent uniquement être ajoutés après que la modification des entrées ait été manuellement autorisée.
Par défaut : inactive.

Attention : cette fonctionnalité consomme d’importantes ressources lorsqu’elle est activée.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

ChangeLogCheckout


ID_PROJEKT_CHANGELOG_DETAIL

ID interne : ID_PROJEKT_CHANGELOG_DETAIL

Niveau de détails

Disponible uniquement si la propriété Historique des modifications actif a été activée.

Sélectionnez l’étape par défaut dans la liste déroulante.

  • Objet :
    Seuls les noms des objets modifiés sont enregistrés. Les détails concernant les propriétés qui ont été modifiées, ainsi que leurs valeurs, ne sont pas affichés dans l’historique des modifications.
  • Propriétés :
    Outre les noms d’objet, les propriétés modifiées ainsi et les nouvelles valeurs sont affichées dans l’historique des modifications.
  • Modifications de valeurs :
    Ce paramètre correspond au niveau de journalisation le plus détaillé. Les nouvelles valeurs des propriétés sont affichées, ainsi que les anciennes. Ceci autorise un suivi complet des modifications.

Par défaut : Objet

Remarque : Les valeurs modifiées sont tronquées à une longueur de 128 caractères.

Plus de détails dans l’aide en ligne .

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

ChangeLogState


ID_PROJEKT_CURSOR_VISIBLE

ID interne : ID_PROJEKT_CURSOR_VISIBLE

Curseur visible

Case à cocher de configuration du comportement du pointeur de souris dans le Runtime de zenon.

  • Active :
    Le pointeur de la souris est visible dans le Runtime.
  • Inactive :
    Le pointeur de la souris n’est pas affiché dans le Runtime. Pour les projets conçus pour un écran tactile, l’affichage du pointeur de la souris peut être gênant, et peut être désactivé à l’aide de cette propriété.

Par défaut : active
Attention : Ce paramètre concerne uniquement zenon, et non les éléments standard de Windows, tels que les barres de titre, les menus, les barres de défilement, etc. Pour les éléments Windows, le pointeur de la souris doit être désactivé directement dans le système d’exploitation.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

CursorVisible


ID_PROJEKT_DRIVER_INVISIBLE

ID interne : ID_PROJEKT_DRIVER_INVISIBLE

Driver invisible

Case à cocher de configuration de l’affichage du driver démarré dans la barre des tâches de Windows.

  • Active :
    les drivers démarrés ne sont pas affichés dans la barre des tâches de Windows dans le Runtime.
  • Inactive :
    les drivers démarrés ne sont pas affichés dans la barre des tâches de Windows dans le Runtime.

Par défaut : Inactive.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

DriverInvisible


ID_PROJEKT_ENABLEMENU

ID interne : ID_PROJEKT_ENABLEMENU

Menus principaux actifs

Affichage des menus principaux dans le Runtime :

  • Active : Une barre d’affichage des menus est réservée le long du bord supérieur de la fenêtre du Runtime.
  • Inactive : Aucun menu principal n’est affiché dans le Runtime.

Par défaut : inactive.
Attention : Cette option doit être activée si les menus principaux sont utilisés.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

EnableMenu


ID_PROJEKT_EXPORT_UNICODE

ID interne : ID_PROJEKT_EXPORT_UNICODE

Exporter le texte en unicode

Active : exportation du texte sous forme de fichiers Unicode.
Inactive : exportation du texte sous forme de fichiers ANSI.
Par défaut : active

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

ExportUnicode


ID_PROJEKT_GDIPLUS

ID interne : ID_PROJEKT_GDIPLUS

Qualité graphique

Paramètre de qualité de l’affichage graphique.
DirectX offre une qualité supérieure à celle des modes Windows Basic (Windows de base). En principe, si vous utilisez DirectX, il est préférable d’activer l’option Matériel DirectX ; l’option Logiciel DirectX doit uniquement être utilisée si cela est absolument nécessaire. Sélection possible :

  • Windows Basic :
    Paramètres graphiques de base. Paramètre recommandé lorsque les ressources du matériel sont limitées.
  • Logiciel DirectX :
    le calcul de l’affichage graphique est effectué par le processeur et peut entraîner une charge élevée au niveau du processeur.
  • Matériel DirectX :
    certains calculs graphiques sont effectués par la carte graphique. Si le système n’est pas compatible avec le paramètre, le paramètre Logiciel DirectX est sélectionné automatiquement.

Par défaut : Matériel DirectX

Attention : DirectX Indisponible sous Windows CE.

Remarque :

  • Un léger décalage des pixels peut apparaître en cas de changement de mode durant le développement. Par conséquent, définissez cette propriété avant de créer les synoptiques.
  • Lors de l’activation de l’option Windows basic pour tous les types de ligne utilisant un paramètre Épaisseur de ligne [pixels] > 1, tous les types de ligne sont définis sur Ligne continue.
  • DirectX n’est pas utilisé pour l’affichage d’éléments ActiveX (suffixe de fichier : *.ocx).

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

UseGDIplus


ID_PROJEKT_GRP0

ID interne : ID_PROJEKT_GRP0

Imprimer

Propriétés d’impression en ligne de la liste d’alarmes (AML) ou de la liste d’événements (CEL).

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

GRP_Print


ID_PROJEKT_GRP1

ID interne : ID_PROJEKT_GRP1

Nom/Dossier

Propriétés du nom et de l’emplacement d’enregistrement du projet.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

GRP_General


ID_PROJEKT_GRP2

ID interne : ID_PROJEKT_GRP2

Paramètres du Runtime

Propriétés du comportement du projet dans le Runtime.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

GRP_Runtime


ID_PROJEKT_GRP3

ID interne : ID_PROJEKT_GRP3

Clavier

Propriétés des fonctionnalités tactiles.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

GRP_Touch


ID_PROJEKT_GRP4

ID interne : ID_PROJEKT_GRP4

Déconnexion automatique

Propriétés de déconnexion automatique.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

GRP_AutoLogout


ID_PROJEKT_GRP5

ID interne : ID_PROJEKT_GRP5

Connexion et signature

Propriétés de connexion temporaire.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

GRP_TempLogin


ID_PROJEKT_GRP6

ID interne : ID_PROJEKT_GRP6

Industrial Performance Analyzer

Propriétés du module Industrial Performance Analyzer (IPA).

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

GRP_IPA


ID_PROJEKT_GRP7

ID interne : ID_PROJEKT_GRP7

Apparence graphique

Propriétés de l’affichage dans le Runtime.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

GRP_Graphics


ID_PROJEKT_GRP8

ID interne : ID_PROJEKT_GRP8

Stockage des données IPA

Propriétés du stockage de données du module Industrial Performance Analyzer (IPA).

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

GRP_Storage


ID_PROJEKT_GRP9

ID interne : ID_PROJEKT_GRP9

Reconnaissance

Propriétés de l’évaluation des données du module Industrial Performance Analyzer (IPA).

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

GRP_Analysis


ID_PROJEKT_GRP10

ID interne : ID_PROJEKT_GRP10

Général

Propriétés générales du fichier.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

GRP_General


ID_PROJEKT_GRP11

ID interne : ID_PROJEKT_GRP11

Général

Propriétés générales du projet zenon Logic.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

General


ID_PROJEKT_GRP12

ID interne : ID_PROJEKT_GRP12

Général

Propriétés générales de sauvegarde du projet.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

GRP_General


ID_PROJEKT_GRP13

ID interne : ID_PROJEKT_GRP13

Eléments verrouillés

Propriétés pour l’affichage d’éléments verrouillés.
Les éléments verrouillés via un niveau d’autorisation ou un verrouillage sont indiqués par un symbole représentant un cadenas ou un fichier graphique au choix.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

GRP_LockSymbol


ID_PROJEKT_GRP14

ID interne : ID_PROJEKT_GRP14

Synoptiques

Les propriétés pour l’affichage des synoptiques dans le Runtime.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

GRP_Pictures


ID_PROJEKT_GRP15

ID interne : ID_PROJEKT_GRP15

Industrial Maintenance Manager

Propriétés du module Industrial Maintenance Manager (IMM). Ces propriétés sont uniquement accessibles si le module Industrial Maintenance Manager dispose d’une licence.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

GRP_IMM


ID_PROJEKT_GRP16

ID interne : ID_PROJEKT_GRP16

Autorisations

Autorisations de suppression et d’édition des entrées dans la base de données du module Industrial Performance Analyzer (IPA).

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

GRP_Rights


ID_PROJEKT_GRP17

ID interne : ID_PROJEKT_GRP17

Généralités runtime

Contient les paramètres dans le Runtime.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

GRP_RuntimeGeneral


ID_PROJEKT_GRP18

ID interne : ID_PROJEKT_GRP18

Active Directory/AD-LDS

Propriétés d’utilisation des fonctionnalités

- Active Directory (AD)

- Active Directory Application Mode (ADAM)

- Active Directory Lightweight Directory Services (AD LDS)

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

GRP_ActiveDirectory


ID_PROJEKT_GRP19

ID interne : ID_PROJEKT_GRP19

Sélection couleurs pour les listes d'objets

Configuration des couleurs pour le surlignement des éléments dans les listes configurables. Ces propriétés ont un effet sur les listes suivantes :

  • Active Directory :
    • Liste dans la fenêtre Active Directory (pas d’arborescence)
  • Liste d’alarmes
  • Filtre de liste AML/filtre de liste CEL/filtre de temps :
    • Lots : Sélection des archives
    • Lots : Sélection de lot
  • Batch :
    • Liste de recettes principales
    • Liste de recettes de contrôle
    • Liste de tags 1
    • Liste de tags 2
  • Gestion de commandes
    • Liste des verrouillages
  • Liste des utilisateurs :
    • Liste des utilisateurs
  • Liste d’événements
  • Extended Trend :
    • Liste de courbes étendues
  • Message Control :
    • Queue des messages
  • Process Recorder
  • Module RGM :
    • Liste de recettes et table de valeurs des recettes (sauf table de valeurs de recettes CE)
  • Gestion d’équipe
    • Listes de textes

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être adressée comme suit pour l’API zenon (avec nom de la classe) :

GFX_Lists


ID_PROJEKT_GRP20

ID interne : ID_PROJEKT_GRP20

Process Recorder

Propriétés spécifiques au projet dans le module Process Recorder.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être adressée comme suit pour l’API zenon (avec nom de la classe) :

GRP_GeneralProcessRecorder


ID_PROJEKT_GRP_INTERACTION

ID interne : ID_PROJEKT_GRP_INTERACTION

Intéraction

Propriétés du fonctionnement MultiTouch.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

GRP_Interaction


ID_PROJEKT_GUID

ID interne : ID_PROJEKT_GUID

Identifiant du projet

Chaque projet est identifié au moyen d’un GUID unique. Cette propriété ne peut pas être modifiée.
Il s’agit également du nom du sous-dossier du répertoire SQL dans lequel est enregistré le projet.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

GUID


ID_PROJEKT_KEYBOARD_SIZE

ID interne : ID_PROJEKT_KEYBOARD_SIZE

Taille du clavier [%]

Définit la taille, en pourcentage de la taille d’origine, d’affichage du clavier automatique dans le Runtime.
Minimum : 50 %
Maximum : 300 %
Par défaut : 100 %

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

KeyboardSize


ID_PROJEKT_LIMIT_FUNCTION_ON_START

ID interne : ID_PROJEKT_LIMIT_FUNCTION_ON_START

Exécuter fonction limite au démarrage du runtime

Exécution des fonctions de valeur limite lors du démarrage du Runtime, lorsqu’un dépassement de la valeur limite est imminent.

  • Active : Au démarrage du Runtime, une fonction liée à une valeur limite active est exécutée.
  • Inactive : Au démarrage du Runtime, une fonction liée à une valeur limite active n’est pas exécutée.

Par défaut : active
Attention : Cette propriété concerne uniquement les valeurs limites qui ne sont pas des alarmes.
Exemples :

  • Exemple 1 : Le Runtime est fermé et aucune valeur limite n’est dépassée. Ensuite, une valeur limite est dépassée et le Runtime est démarré. Si la valeur limite dépassée est une alarme, la fonction liée est exécutée au démarrage du Runtime. Si la valeur limite n’est pas une alarme, la configuration de cette propriété est utilisée.
  • Exemple 2 : Le Runtime est fermé et une valeur limite qui n’est pas associée à une alarme est dépassée. La fonction liée a été exécutée au moment où la valeur limite a été dépassée. Quand le Runtime démarre à nouveau, la valeur limite est encore dépassée. En fonction de cette propriété, la fonction liée est exécutée à nouveau.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

LimitFunctionOnStart


ID_PROJEKT_MAIN_WINDOW

ID interne : ID_PROJEKT_MAIN_WINDOW

Titre runtime

Affichage de la fenêtre principale du Runtime.

  • Pas de titre :
    Affichage complet. La barre de titre n’est pas affichée.
  • Titre avec boutons agrandir et réduire :
    la fenêtre peut être déplacée et sa taille peut être modifiée. Elle ne peut toutefois pas être fermée (même par le biais du menu contextuel, de la barre des tâches ou du raccourci-clavier Alt+F4). Cliquez avec le bouton droit sur l’en-tête pour afficher le menu contextuel.
  • Titre avec menu système, boutons agrandir et réduire :
    la fenêtre peut être déplacée et sa taille peut être modifiée ; elle peut être fermée d’un clic sur le bouton X. Cliquez avec le bouton droit sur l’en-tête pour afficher le menu contextuel.
  • Titre avec menu système :
    la fenêtre peut être déplacée et fermée en cliquant sur le bouton X. Cliquez avec le bouton droit sur l’en-tête pour afficher le menu contextuel.
  • Titre sans boutons :
    la fenêtre peut être déplacée et fermée en cliquant sur le bouton X. Cliquez avec le bouton droit sur l’en-tête pour afficher le menu contextuel.

Par défaut : Pas de titre

Attention : si cette propriété est modifiée dans Editor, le Runtime doit être redémarré. Le rechargement seul ne fonctionne pas, car le Runtime doit d’abord être fermé, puis ouvert à nouveau pour que le menu principal soit appliqué.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

MainWindowStyle


ID_PROJEKT_MULTITOUCH

ID interne : ID_PROJEKT_MULTITOUCH

Multi-Touche actif

Case à cocher de configuration de l’application des gestes MultiTouch.

  • Active :
    Les gestes MultiTouch peuvent être utilisés. Les mouvements de raccourci (mouvements rapides) et le clic droit (appui long) sont désactivés.
    Conditions requises : Tous les drivers et périphériques correspondants sont disponibles. Le périphérique doit être connecté et mis sous tension.
  • Inactive :
    les gestes MultiTouch sont désactivés dans le Runtime de zenon.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

MultiTouch


ID_PROJEKT_NAME

ID interne : ID_PROJEKT_NAME

Nom du projet

Nom unique du projet.
Il est utilisé pour améliorer la lisibilité ; au niveau interne, le GUID est généralement utilisé.
Les caractères suivants sont autorisés : Chiffres, lettres et caractère de soulignement (_).

Remarque : lorsque vous modifiez le nom du projet, n’oubliez pas d’adapter d’éventuelles références à l’échelle du projet pour les projets d’intégration, ou l’utilisation des variables, des fonctions et du code VBA à l’échelle du projet. Pour cela, utilisez la boîte de dialogue de remplacement des références de projet.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

Name


ID_PROJEKT_NETWORK_REDUNDANCY_GRP

ID interne : ID_PROJEKT_NETWORK_REDUNDANCY_GRP

Paramètres de redondance

Propriétés de configuration de la redondance.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

GRP_NetRed


ID_PROJEKT_NETZ

ID interne : ID_PROJEKT_NETZ

Réseau

Propriétés d’utilisation du projet sur un réseau.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

GRP_Net


ID_PROJEKT_NETZ_AKTIV

ID interne : ID_PROJEKT_NETZ_AKTIV

Réseau actif

  • Active : Le projet est utilisé comme un projet en réseau. Un serveur doit être défini.
  • Inactive : Le projet est un projet autonome.

Par défaut : Inactive

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

NetActive


ID_PROJEKT_NETZ_DATENSERVER

ID interne : ID_PROJEKT_NETZ_DATENSERVER

Serveur 2 en tant que serveur de données

Attention : cette propriété n’est plus prise en charge. Pour des raisons de compatibilité, elle reste disponible jusqu’à la version 7.20 de zenon, à l’image du Runtime sur les terminaux Windows CE.

Configuration:
Le serveur défini ici établit la connexion au matériel et retransmet les données au serveur. Disponible uniquement si un ordinateur a été spécifié dans la propriété Serveur 2.

  • Active : Serveur 2 est utilisé en tant que serveur de données.
  • Inactive : Serveur 1 est utilisé en tant que serveur de données.

Par défaut : Inactive

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

NetDataServer


ID_PROJEKT_NETZ_REDUNDANZTYP

ID interne : ID_PROJEKT_NETZ_REDUNDANZTYP

Type de redondance

Disponible uniquement si un ordinateur a été spécifié dans la propriété Serveur 2.

zenon prend en charge deux types de redondance :

  • Redondance logicielle : Ce système se compose d’un automate et de deux ordinateurs redondants du système de contrôle. Les deux ordinateurs doivent disposer d’une connexion à l’automate. Les deux ordinateurs communiquent avec le contrôle et actualisent simultanément les données provenant du contrôle. Les communications bidirectionnelles avec le contrôle sont gérées par l’ordinateur jouant le rôle de serveur. Le serveur établit des communications bidirectionnelles, le système redondant établit des communications unidirectionnelles. En cas de défaillance du serveur, le serveur redondant prend en charge les communications bidirectionnelles avec l’automate.
  • Redondance matérielle : Le système se compose de deux automates redondants et de deux ordinateurs contrôleurs redondants. Chaque serveur établit une communication bidirectionnelle avec un automate. Les deux ordinateurs et les deux automates synchronisent leurs données. Si un composant du premier système subit une défaillance, le deuxième composant prend le relais.

Par défaut : Redondance logicielle

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

NetType


ID_PROJEKT_NETZ_ROUTING_AKTIV

ID interne : ID_PROJEKT_NETZ_ROUTING_AKTIV

Routage actif

  • Active : L’ordinateur agit comme un nœud et peut transmettre les paquets. Ainsi tous les paquets réseau provenant de l’extérieur utilisent cet ordinateur.
    Ce paramétrage peut générer des goulets d’étranglement et influence les possibilités au niveau de la topologie réseau. Il est recommandé de l’utiliser dans des constellations réseau particulières, par exemple, pour des réseaux WAN ou des réseaux routés.

Recommandation : Désactiver le paramètre.

Par défaut : Inactive

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

NetRoutingActive


ID_PROJEKT_NETZ_SB

ID interne : ID_PROJEKT_NETZ_SB

Serveur 2

Disponible uniquement si un ordinateur a été spécifié dans la propriété Serveur 1.

Cliquez sur ... pour ouvrir une liste déroulante contenant les ordinateurs disponibles sur le réseau.
Cet ordinateur assume alors le rôle de serveur dans les systèmes redondants en cas de défaillance du serveur primaire. La défaillance est identifiée si le serveur principal ne réagit pas dans le délai défini dans la propriété Network communication timeout de l’outil Startup Tool. Une mémoire spécifique au serveur redondant pallie le délai entre l’interruption de la connexion au serveur et le basculement, évitant ainsi toute perte de données.

Conseil : Le nom "localhost" ne doit pas être utilisé.
Si le nom est modifié, il ne peut pas être actualisé. Il ne sera mis à jour qu’après le redémarrage du Runtime.
Attention : Les heures système du serveur primaire et du serveur redondant doivent être identiques.
Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

NetSB


ID_PROJEKT_NETZ_SERVER

ID interne : ID_PROJEKT_NETZ_SERVER

Serveur 1

Disponible uniquement si la propriété Réseau actif est active.
L'ordinateur qui établit la connexion au matériel lors de projets en réseau et gère les données du projet. Les clients se connectent à cet ordinateur.

Cliquez sur ... pour ouvrir une boîte de dialogue contenant une liste des ordinateurs actuellement disponibles sur le réseau.

Conseil : l’adresse IP n’est pas suffisante ; vous devez saisir le nom de l’ordinateur. Le nom localhost ne doit pas être utilisé.
Si le nom est modifié, il ne peut pas être actualisé. Il ne sera mis à jour qu’après le redémarrage du Runtime.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

NetServer


ID_PROJEKT_NETZ_TIMEOUT

ID interne : ID_PROJEKT_NETZ_TIMEOUT

Timeout [s]

Disponible uniquement si la propriété Réseau actif a été activée.

Délai en secondes dans lequel un ordinateur doit réagir à la commande de surveillance d’exécution. Le délai défini ici est divisé en trois intervalles ; après chaque intervalle, une commande de surveillance d’exécution contrôle la connexion au serveur. Si le serveur réagit à une au moins des commandes de surveillance, le système considère que la connexion au serveur fonctionne encore. Les communications au serveur sont uniquement contrôlées par les commandes de surveillance d’exécution.
Attention : le délai d’attente du réseau doit être égal à au moins la moitié du délai d’attente TCP du système d’exploitation.

Tenez compte des spécificités des connexions sur réseau WAN et par modem analogique. Ici, le paramètre par défaut de la commande de surveillance d’exécution signifie que la connexion est maintenue en permanence.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

NetTimeout


ID_PROJEKT_NETZ_TOKEN

ID interne : ID_PROJEKT_NETZ_TOKEN

Autorisation d'accès

Propriétés de l’autorisation d’utilisation sur le réseau.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

GRP_Token


ID_PROJEKT_NETZ_TOKEN_AKTIV

ID interne : ID_PROJEKT_NETZ_TOKEN_AKTIV

Bedienberechtigung aktiv

Disponible uniquement si la propriété Réseau actif est active.
La gestion des autorisations sur le réseau garantit qu’une seule station connectée au réseau peut exécuter une opération active (par ex., modification de valeurs prescrites) à un instant donné. L’accès passif (en lecture seule) est toujours possible, indépendamment de l’option choisie.

  • Active :
    Un seul ordinateur peut intervenir sur le projet à un instant donné (par ex., acquittement d’alarme, écriture de valeurs prescrites).
  • Inactive :
    plusieurs stations peuvent actionner le projet à la fois.

Par défaut : Inactive

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

NetTokenActive


ID_PROJEKT_NETZ_TOKEN_QUESTION

ID interne : ID_PROJEKT_NETZ_TOKEN_QUESTION

Timeout pour requête [s]

Uniquement disponible si les options Autorisations globales de fonctionnement ou Autorisation de fonctionnement par modèle d’équipement ont été sélectionnées dans la liste déroulante pour la propriété Autorisation sur le réseau.
Si l’autorisation de fonctionnement sur le réseau est bloquée par un poste, elle peut être demandée par un autre ordinateur. La réponse à la demande doit être reçue dans la limite de temps définie ici. En cas d’expiration du délai d’attente de la réponse, la station demandeuse reçoit automatiquement l’autorisation.

Par défaut : 60 Secondes

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

NetTokenQuestion


ID_PROJEKT_NETZ_TOKEN_QUIT

ID interne : ID_PROJEKT_NETZ_TOKEN_QUIT

Timeout pour autorisation [s]

Disponible uniquement si la propriété Autorisation sur le réseau a été configurée.
Dans cet intervalle, l’ordinateur (client) possédant l’autorisation doit répondre au serveur avant expiration de ce délai. Si cet événement ne se produit pas, l’autorisation est automatiquement accordée.
Attention : cette valeur doit être inférieure au délai défini dans la propriété Timeout [s].

Par défaut : 60 secondes

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

NetTokenQuit


ID_PROJEKT_NOT_TRANSLATED

ID interne : ID_PROJEKT_NOT_TRANSLATED

Montrer les mots-clé non-traduits

Configuration de la gestion des mots-clé qui n’existent dans aucun fichier de langue :

  • Active : Les mots-clés qui n’existent pas sont précédés d’un caractère @ dans le Runtime, par exemple : @Text.
  • Inactive : Les mots-clés ne sont pas précédés d’un caractère @ dans le Runtime, par exemple : Text

Remarque : si le mot-clé existe dans un fichier de langue, mais ne comporte pas de traduction, aucun texte n’est affiché dans le Runtime (chaîne vide).

Plus de détails dans l’aide en ligne .

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

ShowNotTranslated


ID_PROJEKT_PASSWORT

ID interne : ID_PROJEKT_PASSWORT

Gestion des utilisateurs

Propriétés du projet pour la gestion des utilisateurs.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

GRP_Password


ID_PROJEKT_POKEACK

ID interne : ID_PROJEKT_POKEACK

Fonction envoi valeur prescrite

Disponible uniquement si la propriété Gestion des événements active est active.

  • Active : en cas d’écriture réussie des valeurs sur le matériel, l’entrée correspondante est insérée dans la liste CEL.
  • Inactive : l’écriture réussie des valeurs n’est pas consignée dans la liste CEL.

Par défaut : Inactive

Remarque : Ce paramètre a uniquement un effet sur le Runtime si l’écriture de la valeur prescrite est effectuée à l’aide de la fonction Ecriture valeur prescrite.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

CELPokeAck


ID_PROJEKT_PRINT_ACTIVE

ID interne : ID_PROJEKT_PRINT_ACTIVE

Impression active

Active : la liste d’événements (CEL) ou la liste d’alarmes (AML) est imprimée en ligne. Pour chaque entrée dans la liste AML ou CEL, l’événement est transmis à l’imprimante définie dans les paramètres du projet.
Inactive : aucune impression en ligne n’est effectuée.
Par défaut : active

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

PrintActive


ID_PROJEKT_PRINT_AML_CEL

ID interne : ID_PROJEKT_PRINT_AML_CEL

Impression pour

Disponible uniquement si la propriété Impression active est active.
Autorise la sélection de l’impression des listes AML et CEL dans le Runtime. Une seule des deux listes peut être imprimée à la fois.

  • Liste d’alarmes : la liste d’alarmes (AML) est imprimée en ligne.
  • Liste d’événements : la liste d’événements est imprimée en ligne.

Par défaut : Liste des alarmes

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

PrintCEL


ID_PROJEKT_PRINT_LINES_PAGE

ID interne : ID_PROJEKT_PRINT_LINES_PAGE

Lignes par page

Disponible uniquement si la propriété Impression active est active.
Nombre de lignes imprimées sur chaque page lors de l’impression en ligne.
Minimum : 0

Maximum : 65535
Par défaut : 72

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

PrintLines


ID_PROJEKT_PROCESS_REC_AKTIV

ID interne : ID_PROJEKT_PROCESS_REC_AKTIV

Activer Process Recorder

Active/désactive l’enregistrement dans le module Process Recorder.

  • Active :
    Les variables activées sont consignées dans le module Process Recorder.
    Les variables sont activées/désactivées à l’aide de la propriété Activer l'enregistrement de la variable ou du type de données.
  • Inactive :
    Les données ne sont pas enregistrées dans le module Process Recorder. Leur lecture ultérieure n’est donc pas possible.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

EnableProcessRecording


ID_PROJEKT_PROP_GRP_INPUT_VISUALISATION_PEN

ID interne : ID_PROJEKT_PROP_GRP_INPUT_VISUALISATION_PEN

Visualisation pour l'entrée avec stylo

Propriétés du fonctionnement MultiTouch, avec utilisation d’un stylet.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

GRP_PenInputVisualisation


ID_PROJEKT_PROP_GRP_INPUT_VISUALISATION_TOUCH

ID interne : ID_PROJEKT_PROP_GRP_INPUT_VISUALISATION_TOUCH

Visualisation pour l'entrée en tactile

Propriétés du fonctionnement MultiTouch, avec utilisation aux doigts.

Plus de détails dans l’aide en ligne

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

GRP_TouchInputVisualisation


ID_PROJEKT_PROP_GRP_MULTITOUCH

ID interne : ID_PROJEKT_PROP_GRP_MULTITOUCH

Multi-Touche

Propriétés d’utilisation des gestes MultiTouch dans le projet.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

GRP_Multitouch


ID_PROJEKT_PROP_MULTITOUCH_MODE

ID interne : ID_PROJEKT_PROP_MULTITOUCH_MODE

Reconnaissance

Sélection de l’interprétation des gestes MultiTouch :

  • Désactivée : désactive les gestes MultiTouch.
  • Windows 7 : Active les gestes pris en charge par Windows 7. Les gestes MultiTouch peuvent donc être utilisés pour agrandir et faire défiler l’affichage dans la vue globale, et les gestes MultiTouch peuvent être mis en œuvre par l’intermédiaire de VSTA.
  • Windows 8 : active les gestes pris en charge par Windows 8. Les gestes MultiTouch peuvent donc facilement être configurés par l’intermédiaire des propriétés de zenon.

Par défaut : Désactivé

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

MultitouchMode


ID_PROJEKT_PROP_PEN_ACTIVE

ID interne : ID_PROJEKT_PROP_PEN_ACTIVE

Actif

Active : Les propriétés de fonctionnement tactile avec utilisation d’un stylet sont disponibles.

Plus de détails dans l’aide en ligne

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

InputVisualisationPenActive


ID_PROJEKT_PROP_PEN_BARREL

ID interne : ID_PROJEKT_PROP_PEN_BARREL

Stift-Taste

Active : L’option Bouton du stylet est disponible en cas de fonctionnement tactile avec utilisation d’un stylet.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

InputVisualisationPenBarrel


ID_PROJEKT_PROP_PEN_DOUBLETAP

ID interne : ID_PROJEKT_PROP_PEN_DOUBLETAP

Doppelt Tippen

Active : L’option Double appui est disponible en cas de fonctionnement tactile avec utilisation d’un stylet.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

InputVisualisationPenPenDoubleTap


ID_PROJEKT_PROP_PEN_PRESS_AND_HOLD

ID interne : ID_PROJEKT_PROP_PEN_PRESS_AND_HOLD

Drücken und Halten

Active : L’option Appui long est disponible en cas de fonctionnement tactile avec utilisation d’un stylet.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

InputVisualisationPenPressAndHold


ID_PROJEKT_PROP_PEN_RIGHTTAP

ID interne : ID_PROJEKT_PROP_PEN_RIGHTTAP

Drücken und Tippen

Active : L’option Appuyer et toucher est disponible en cas de fonctionnement tactile avec utilisation d’un stylet.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

InputVisualisationPenRightTap


ID_PROJEKT_PROP_PEN_TAP

ID interne : ID_PROJEKT_PROP_PEN_TAP

Tippen

Active : L’option Appui bref est disponible en cas de fonctionnement tactile avec utilisation d’un stylet.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

InputVisualisationPenTap


ID_PROJEKT_PROP_TOUCH_ACTIVE

ID interne : ID_PROJEKT_PROP_TOUCH_ACTIVE

Actif

Active : Les propriétés de fonctionnement tactile avec utilisation aux doigts sont disponibles.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

InputVisualisationTouchActive


ID_PROJEKT_PROP_TOUCH_CONTACT

ID interne : ID_PROJEKT_PROP_TOUCH_CONTACT

Kontakt

Active : L’option Contact est disponible en cas de fonctionnement tactile avec utilisation d’un stylet.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

InputVisualisationTouchContact


ID_PROJEKT_PROP_TOUCH_DOUBLETAP

ID interne : ID_PROJEKT_PROP_TOUCH_DOUBLETAP

Doppelt Tippen

Active : L’option Double appui est disponible en cas de fonctionnement tactile aux doigts.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

InputVisualisationTouchDoubleTap


ID_PROJEKT_PROP_TOUCH_PRESS_AND_HOLD

ID interne : ID_PROJEKT_PROP_TOUCH_PRESS_AND_HOLD

Drücken und Halten

Active : L’option Appui long est disponible en cas de fonctionnement tactile aux doigts.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

InputVisualisationTouchPressAndHold


ID_PROJEKT_PROP_TOUCH_RIGHTTAP

ID interne : ID_PROJEKT_PROP_TOUCH_RIGHTTAP

Drücken und Tippen

Active : L’option Appuyer et toucher est disponible en cas de fonctionnement tactile aux doigts.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

InputVisualisationTouchRightTap


ID_PROJEKT_PROP_TOUCH_TAP

ID interne : ID_PROJEKT_PROP_TOUCH_TAP

Tippen

Active : L’option Appui bref est disponible en cas de fonctionnement tactile aux doigts.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

InputVisualisationTouchTap


ID_PROJEKT_RATED_NET_DETECT_OFF_TIME

ID interne : ID_PROJEKT_RATED_NET_DETECT_OFF_TIME

Temps mort après commutation [s]

Délai (en secondes) de basculement vers le serveur primaire après une rétrogradation.

Disponible uniquement si le mode de redondance est évalué.

  • Minimum : 0
  • Maximum : 65535

Par défaut : 10

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

NetDetectOffTime


ID_PROJEKT_RATED_NET_HYSTERESIS

ID interne : ID_PROJEKT_RATED_NET_HYSTERESIS

Hystérésis

Hystérésis des points d’évaluation devant être dépassée pour déclencher le délai de basculement.

Disponible uniquement si le mode de redondance est évalué.

Minimum : 0
Maximum : 4294967296

Par défaut : 0

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

NetHysteresis


ID_PROJEKT_RATED_NET_REDUNDANCY_MODE

ID interne : ID_PROJEKT_RATED_NET_REDUNDANCY_MODE

Mode de redondance

Type de mode de redondance sur le réseau. Sélection du mode de redondance dans une liste déroulante :

  • Dominant :
    Chaque fois qu’il est disponible, le Serveur 1 configuré devient le serveur géré par le procédé. Cela signifie que le Serveur 2 configuré est uniquement le serveur géré par le procédé lorsque Serveur 1 n’est pas disponible.
  • Non dominant :
    Le premier serveur démarré prend le rôle de serveur géré par le procédé.
    En cas de défaillance du Serveur 1 configuré, le Serveur 2 reprend le rôle de serveur géré par le procédé. (Ou inversement) Il conserve ce rôle jusqu’à ce qu’une redondance manuelle soit déclenchée ou jusqu’à ce que le serveur géré par le procédé subisse une défaillance.
  • Évaluée :
    Aucune évaluation n’a lieu (conformément à la configuration de la propriété Évaluations). Selon le résultat de l’évaluation, le rôle du serveur géré par le procédé est déterminé et modifié en conséquence.

Par défaut : Non dominant

Remarque : Actif uniquement si le paramètre Type de redondance est défini sur Redondance logicielle. Avec la redondance matérielle, le mode de redondance dominant est automatiquement utilisé.
Cette option n’est pas active si l’option Réseau actif est inactive, si l’option Type de redondance est définie sur Redondance matérielle ou si Serveur 1 et Serveur 2 ne sont pas spécifiés.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

NetMode


ID_PROJEKT_RATED_NET_SUM

ID interne : ID_PROJEKT_RATED_NET_SUM

Évaluations

Affiche la somme et le nombre de variables définies dans l’évaluation. Cliquez sur le bouton ... pour afficher une boîte de dialogue de sélection et de configuration des variables pour l’évaluation de la redondance.
Disponible uniquement si le mode de redondance est évalué.

Par défaut : Vide

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

NetSummarization


ID_PROJEKT_RATED_NET_SWITCH_DELAY

ID interne : ID_PROJEKT_RATED_NET_SWITCH_DELAY

Délai de commutation [s]

Délai (en secondes) de mise à niveau vers le serveur primaire.

Disponible uniquement si le mode de redondance est évalué.

  • Minimum : 0
  • Maximum : 65535

Par défaut : 30

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

NetSwitchDelay


ID_PROJEKT_SAME_COMMENTS

ID interne : ID_PROJEKT_SAME_COMMENTS

Même commentaires

  • Active : les commentaires ajoutés à une alarme dans le Runtime sont également enregistrés au niveau de l’entrée correspondante de la liste d’événements (CEL).
  • Inactive : les commentaires ajoutés à une alarme sont uniquement conservés dans la liste d’alarmes. Toutefois, des entrées distinctes dans le fichier CEL sont possibles.

Par défaut : Inactive

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

SameComments


ID_PROJEKT_SCHALTFOLGEN

ID interne : ID_PROJEKT_SCHALTFOLGEN

Séquenceur de commandes

Propriétés du projet pour le module Séquences de commandes.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être adressée comme suit pour l’API zenon (avec nom de la classe) :

GRP_SwitchingSequences


ID_PROJEKT_SEL_WITH_BORDER

ID interne : ID_PROJEKT_SEL_WITH_BORDER

Sélection encadrée

  • Active : dans la liste d’alarmes (AML) et la liste d’événements (CEL), les lignes sélectionnées sont mises en évidence par un cadre. Cette option est recommandée pour améliorer la lisibilité aux résolutions d’écran élevées.
  • Inactive : La couleur d’arrière-plan des lignes sélectionnées est inversée. Cette option est recommandée pour améliorer la lisibilité aux résolutions d’écran basses.

Par défaut : inactive

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

SelBorder


ID_PROJEKT_STARTBILD

ID interne : ID_PROJEKT_STARTBILD

Synoptique de départ

Ce synoptique sera ouvert automatiquement lorsque le Runtime sera démarré.

Le premier synoptique créé dans votre projet est saisi ici. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de synoptique.

Si le synoptique défini est supprimé de la liste de synoptiques, le premier synoptique créé est automatiquement défini (s’il est présent) ; dans le cas contraire, le prochain synoptique dans la liste de synoptiques est sélectionné.

Si la sélection est supprimée,

  • Le prochain synoptique créé est défini, ou
  • Le prochain synoptique enregistré est défini

Conseil : Pour appeler plusieurs synoptiques à la fois au démarrage du Runtime, utilisez les scripts de démarrage automatique prédéfinis.

Remarque : les types de synoptiques spéciaux sont ouverts avec un filtre vide, et par conséquent, sans données.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

StartPictureName


ID_PROJEKT_TOUCH1

ID interne : ID_PROJEKT_TOUCH1

Position favorite

Propriétés de la position préférée dans laquelle le clavier est ouvert par rapport à l’élément sélectionné.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

GRP_KeyboardPosition


ID_PROJEKT_TOUCH2

ID interne : ID_PROJEKT_TOUCH2

Position alternative

Propriétés de la position alternative dans laquelle le clavier est ouvert par rapport à l’élément sélectionné, s’il ne peut pas être ouvert dans la position préférée.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

GRP_KeyboardPositionAlt


ID_PROJEKT_TOUCHSCREEN

ID interne : ID_PROJEKT_TOUCHSCREEN

Clavier automatique

Case à cocher d’activation d’un clavier automatique dans le Runtime de zenon pour les projets comportant un écran tactile.

  • Active :
    Un synoptique de type Clavier est automatiquement appelé si une saisie est nécessaire (par exemple, pour l’écriture d’une valeur prescrite ou pour la connexion).
  • Inactive : Un
    synoptique de type Clavier n’est pas ouvert.

Par défaut : Inactive

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

Touchscreen


ID_PROJEKT_TOUCHSCREEN_HORZ

ID interne : ID_PROJEKT_TOUCHSCREEN_HORZ

Décalage horizontal [pixel]

Distance horizontale (en pixels) de l’élément sélectionné pour la position préférée du clavier automatique.
Par défaut : 2.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

KeyboardPixelHorz


ID_PROJEKT_TOUCHSCREEN_HORZ_ALT

ID interne : ID_PROJEKT_TOUCHSCREEN_HORZ_ALT

Décalage horizontal [pixel]

Distance horizontale (en pixels) de l’élément sélectionné pour la position alternative du clavier automatique.
Par défaut : 2.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

KeyboardPixelHorzAlt


ID_PROJEKT_TOUCHSCREEN_RIGHTLEFT

ID interne : ID_PROJEKT_TOUCHSCREEN_RIGHTLEFT

Horizontal

Position horizontale du clavier automatique pour la position préférée.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

KeyboardPosHorz


ID_PROJEKT_TOUCHSCREEN_RIGHTLEFT_ALT

ID interne : ID_PROJEKT_TOUCHSCREEN_RIGHTLEFT_ALT

Horizontal

Position horizontale du clavier automatique pour la position alternative.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

KeyboardPosHorzAlt


ID_PROJEKT_TOUCHSCREEN_TOPBOT

ID interne : ID_PROJEKT_TOUCHSCREEN_TOPBOT

Vertical

Position verticale du clavier automatique pour la position préférée.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

KeyboardPosVert


ID_PROJEKT_TOUCHSCREEN_TOPBOT_ALT

ID interne : ID_PROJEKT_TOUCHSCREEN_TOPBOT_ALT

Vertical

Position verticale du clavier automatique pour la position alternative.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

KeyboardPosVertAlt


ID_PROJEKT_TOUCHSCREEN_VERT

ID interne : ID_PROJEKT_TOUCHSCREEN_VERT

Décalage vertical [pixel]

Distance verticale (en pixels) de l’élément sélectionné pour la position préférée du clavier automatique.
Par défaut : 2.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

KeyboardPixelVert


ID_PROJEKT_TOUCHSCREEN_VERT_ALT

ID interne : ID_PROJEKT_TOUCHSCREEN_VERT_ALT

Décalage vertical [pixel]

Distance verticale (en pixels) de l’élément sélectionné pour la position alternative du clavier automatique.
Par défaut : 2.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

KeyboardPixelVertAlt


ID_PROJEKT_TREND_MILLISEC

ID interne : ID_PROJEKT_TREND_MILLISEC

Tendance et valeurs HD en míllisecondes

  • Active : Les valeurs HD sont affichées et traitées en millisecondes au niveau interne, tout comme l’actualisation des synoptiques actifs.
  • Inactive : Les valeurs HD sont affichées et traitées en secondes au niveau interne, tout comme l’actualisation des synoptiques actifs.

Par défaut : active

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

TrendMilliSec


ID_PROJEKT_VARBEZEICHNER

ID interne : ID_PROJEKT_VARBEZEICHNER

Afficher les variables avec

Affichage des variables dans le Runtime :
Cliquez sur un élément avec le bouton droit de la souris et maintenez le bouton de la souris enfoncé pour afficher le nom, l’identification ou l’adresse de la variable, selon cette propriété.
En outre, cette propriété est utilisée pour l’affichage de l’élément Tendance.
Enfin, cette propriété est utilisée pour l’affichage de l’élément Tendance, ainsi que dans la boîte de dialogue de l’élément Combinaison multiple dans Editor.
Adresse : Les variables sont affichées avec leur adresse.
Identifiant : Les variables sont affichées avec leur identifiant.
Name : Les variables sont affichées avec leur nom.
Par défaut : Nom.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

VarIdentifier


ID_PROJEKT_VERWALTUNG

ID interne : ID_PROJEKT_VERWALTUNG

Projekt-Verwaltung

La boîte de dialogue de configuration du projet s’affiche.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

ProjectAdministration


ID_PROJEKT_VERZEICHNIS

ID interne : ID_PROJEKT_VERZEICHNIS

Dossier du Runtime

Dossier des fichiers du Runtime du projet.
Dans ce dossier, les fichiers du Runtime qui ont été créés sont enregistrés, et le dossier est enregistré en tant que dossier de démarrage du Runtime.
Par défaut, le dossier utilisé est celui spécifié lors de la création du projet. Le dossier peut être modifié par la suite.

Remarque : Les données historiques créées par le Runtime doivent être copiées manuellement dans le nouveau dossier, si nécessaire.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

WorkingPath


ID_PROJEKT_WINDOWS_CE

ID interne : ID_PROJEKT_WINDOWS_CE

Projet Windows CE

  • Active : les fonctionnalités qui ne sont pas prises en charge dans Windows CE sont masquées dans Editor (grisées ou invisibles).
  • Inactive : toutes les fonctionnalités offertes par la licence d’Editor sont disponibles.

Par défaut : Inactive

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

WindowsCE


ID_PROP_COMBOLIST_DYNCONTENT_USE

ID interne : ID_PROP_COMBOLIST_DYNCONTENT_USE

Entrées depuis une variable chaine

Active : Les entrées dans la liste déroulante sont définies par le biais de la variable de chaîne sélectionnée dans la propriété Variable.

Inactive : les entrées sont définies par le biais de la boîte de dialogue de la propriété Entrées dans Editor.

Par défaut : Inactive

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

UseDynContent


ID_PROP_COMBOLIST_DYNCONTENT_VARIABLE

ID interne : ID_PROP_COMBOLIST_DYNCONTENT_VARIABLE

Variable

Disponible uniquement si la propriété Entrées depuis une variable chaine est active.

Sélection de la variable de chaîne contenant les entrées de la liste déroulante. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de variables.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

DynContentVariable


ID_PROP_COMBOLIST_FGCOLOR_SEL

ID interne : ID_PROP_COMBOLIST_FGCOLOR_SEL

Couleur de texte pour l'entrée sélectionnée

Définit la couleur du texte lorsqu’un élément est sélectionné. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de couleurs ou de palettes de couleurs. La saisie peut également être effectuée directement dans le champ, sous forme de valeur hexadécimale précédée de #.La couleur est statique, et n’utilise pas la variable liée.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

TextColorSelected


ID_PROP_COMBOLIST_HGCOLOR_SEL

ID interne : ID_PROP_COMBOLIST_HGCOLOR_SEL

Couleur d'arrière plan pour l'entrée sélectionnée

Définit la couleur d’arrière-plan lorsqu’un élément est sélectionné. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de couleurs ou de palettes de couleurs. La saisie peut également être effectuée directement dans le champ, sous forme de valeur hexadécimale précédée de #.La couleur est statique, et n’utilise pas la variable liée.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

BackColorSelected


ID_PROP_COMBOLIST_SOFORTREAKT

ID interne : ID_PROP_COMBOLIST_SOFORTREAKT

Réaction immédiate

Vous permet d’afficher une réaction telle qu’elle s’est déjà produite, même si la réponse d’un driver dont la réaction est lente n’a pas encore été reçue.

active : affiche la réaction du driver telle qu’elle s’est déjà produite dans la visualisation, même si le système est toujours en attente de cette réaction.

Par défaut : active

Remarque : Si le driver ne réagit pas, l’absence de réaction ne sera pas prise en compte.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

InstantReaction


ID_PROP_ELE_RT_LASSO

ID interne : ID_PROP_ELE_RT_LASSO

sélectionnable avec le lasso

La sélection avec le lasso dans le Runtime permet d’identifier les éléments dynamiques et de les utiliser avec des événements VBA.

  • Active : L’élément peut être sélectionné avec le lasso dans le Runtime.
  • Inactive : L’élément ne peut pas être sélectionné dans Runtime.

Par défaut : active

Attention : Pour que l’élément puisse être sélectionné dans le Runtime, vous devez activer la propriété Sélection multiple en runtime (lasso) dans les paramètres du projet !

Remarque concernant la gestion des commandes : Si la propriété Opération à deux mains est activée, le lasso de la commande Exécuter le 2ème niveau ne doit pas être activé.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

LassoSelect


ID_PROP_GRP_SYSTEMMODEL_GROUP

ID interne : ID_PROP_GRP_SYSTEMMODEL_GROUP

Général

Propriétés générales du groupe d’équipements.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

GRP_General


ID_PROP_GRP_SYSTEMMODEL_MODEL

ID interne : ID_PROP_GRP_SYSTEMMODEL_MODEL

Général

Propriétés générales des modèles d’équipements.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

GRP_General


ID_PROP_MSGCTRL_MESSAGE_ACKREQ

ID interne : ID_PROP_MSGCTRL_MESSAGE_ACKREQ

Acquittement nécessaire

Le message doit être acquitté à réception.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

AckReq


ID_PROP_MSGCTRL_MESSAGE_ACKTIMEOUT

ID interne : ID_PROP_MSGCTRL_MESSAGE_ACKTIMEOUT

Time-out d'acquittement

Délai d’acquittement du message.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

AckTimeOut


ID_PROP_MSGCTRL_MESSAGE_ATTACHMENT

ID interne : ID_PROP_MSGCTRL_MESSAGE_ATTACHMENT

Pièce jointe

Nom de la pièce jointe au message. Concerne uniquement les e-mails envoyés via SMTP.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

Attachment


ID_PROP_MSGCTRL_MESSAGE_ATTEMPTS

ID interne : ID_PROP_MSGCTRL_MESSAGE_ATTEMPTS

Essais

Nombre de tentatives.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

Attempts


ID_PROP_MSGCTRL_MESSAGE_CODESFROMFUNCTION

ID interne : ID_PROP_MSGCTRL_MESSAGE_CODESFROMFUNCTION

Codes spécifiques à la fonction

Indiquer si un code individuel est utilisé pour l’acquittement.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

CodesFromFunction


ID_PROP_MSGCTRL_MESSAGE_CUSTOMID

ID interne : ID_PROP_MSGCTRL_MESSAGE_CUSTOMID

Identifiant personnalisé

Identifiant personnalisé.
Peut uniquement défini par le biais de code VBA/VSTA dans l’événement MessageCreated.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

CustomIdentifier


ID_PROP_MSGCTRL_MESSAGE_CYCLECOUNTER

ID interne : ID_PROP_MSGCTRL_MESSAGE_CYCLECOUNTER

Compteur de cycles envoyés

Nombre de retransmissions du message.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

CycleCounter


ID_PROP_MSGCTRL_MESSAGE_DESTINATION

ID interne : ID_PROP_MSGCTRL_MESSAGE_DESTINATION

Cible

Adresse de destination du message (adresse e-mail, numéro de téléphone).

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

Destination


ID_PROP_MSGCTRL_MESSAGE_GUID

ID interne : ID_PROP_MSGCTRL_MESSAGE_GUID

GUID

Identifiant unique (GUID) du message.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

GUID


ID_PROP_MSGCTRL_MESSAGE_MAXATTEMPTS

ID interne : ID_PROP_MSGCTRL_MESSAGE_MAXATTEMPTS

Nombre d'essais

Nombre Maximum de tentatives d’envoi.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

MaxAttempts


ID_PROP_MSGCTRL_MESSAGE_MESSAGE

ID interne : ID_PROP_MSGCTRL_MESSAGE_MESSAGE

Message

Texte du message.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

MessageText


ID_PROP_MSGCTRL_MESSAGE_SEND

ID interne : ID_PROP_MSGCTRL_MESSAGE_SEND

Essai suivant

Heure de la prochaine tentative d’envoi du message.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

Send


ID_PROP_MSGCTRL_MESSAGE_SENT

ID interne : ID_PROP_MSGCTRL_MESSAGE_SENT

Créé / dernier envoi

Heure de création du message ou heure de la dernière tentative d’envoi.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

Sent


ID_PROP_MSGCTRL_MESSAGE_TIMETOWAIT

ID interne : ID_PROP_MSGCTRL_MESSAGE_TIMETOWAIT

Période d'attente

Délai d’attente, en minutes, pour la surveillance du délai d’attente et la retransmission de messages.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

TimeToWait


ID_PROP_MSGCTRL_MESSAGE_TITLE

ID interne : ID_PROP_MSGCTRL_MESSAGE_TITLE

Sujet

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

Title


ID_PROP_MSGCTRL_MESSAGE_USER

ID interne : ID_PROP_MSGCTRL_MESSAGE_USER

Nom du destinataire

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

UserName


ID_PROP_SKIN_ADVANCEDSETTINGS

ID interne : ID_PROP_SKIN_ADVANCEDSETTINGS

Paramètres du graphique étendu

Disponible uniquement pour PC.

Contrôle l’utilisation des barres de défilement personnalisables horizontales et verticales, de l’en-tête et de la grille. Si vous activez cette propriété, vous pouvez personnaliser l’affichage du champ de liste à votre convenance.

Par défaut : Inactive.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

AdvancedStyleH


ID_PROP_SKIN_ADVANCEDSETTINGS_GROUP

ID interne : ID_PROP_SKIN_ADVANCEDSETTINGS_GROUP

Ascenceurs

Propriétés des barres de défilement horizontale et verticale.

Plus de détails dans l’aide en ligne de la liste d’alarmes (AML).

Plus de détails dans l’aide en ligne de la liste d’événements (CEL).

Plus de détails dans l’aide en ligne du module ETM.

Plus de détails dans l’aide en ligne du module RGM.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

SkinAdvanced


ID_PROP_SKIN_ENABLEHEADER

ID interne : ID_PROP_SKIN_ENABLEHEADER

En-tête éditable

Permet d’effectuer des actions sur l’en-tête du champ de liste correspondant. Vous pouvez modifier la largeur des colonnes et trier l’affichage en fonction de la colonne de votre choix dans le Runtime.

  • Active : vous pouvez effectuer des actions sur l’en-tête.

Par défaut : active

Disponibilité :

  • Disponible pour les listes AML et CEL aux conditions suivantes :
    Si vous savez sélectionné l’option Actions autorisées sur les en-têtes de colonne dans le groupe Liste d'alarmes pour la propriété En-tête liste d'alarmes, ou dans le groupe Liste d'événements pour la propriété En-tête liste d'événements.
  • Disponibilité de la liste d’affichage du curseur et de la liste de courbes étendue dans le module Extended Trend.

Plus de détails dans l’aide en ligne de la liste d’alarmes

Plus de détails dans l’aide en ligne de la liste d’événements

Plus de détails dans l’aide en ligne du module Extended Trend Manager (ETM)

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

EnableHeader


ID_PROP_SKIN_GRIDCOLORH

ID interne : ID_PROP_SKIN_GRIDCOLORH

Couleur de la ligne horizontale

Définit la couleur de trait des lignes horizontales de la grille dans la vue de liste dans le Runtime. Cliquez sur le bouton gauche pour ouvrir la palette de couleurs prédéfinies. Vous pouvez également définir la couleur souhaitée en saisissant manuellement le code hexadécimal (RVB) dans le champ.

La couleur du nouvel élément sera la couleur utilisée pour le précédent élément du même type.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

GridColorH


ID_PROP_SKIN_GRIDCOLORV

ID interne : ID_PROP_SKIN_GRIDCOLORV

Couleur de la ligne verticale

Définit la couleur de trait des lignes horizontales de la grille dans la vue de liste dans le Runtime. Cliquez sur le bouton gauche pour ouvrir la palette de couleurs prédéfinies. Vous pouvez également définir la couleur souhaitée en saisissant manuellement le code hexadécimal (RVB) dans le champ.

La couleur du nouvel élément sera la couleur utilisée pour le précédent élément du même type.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

GridColorV


ID_PROP_SKIN_GRIDGRP

ID interne : ID_PROP_SKIN_GRIDGRP

Grille

Propriétés de la grille du champ de liste.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

SkinGrid


ID_PROP_SKIN_GRIDSIZEH

ID interne : ID_PROP_SKIN_GRIDSIZEH

Epaisseur ligne horizontale [Pixels]

Largeur en pixels des lignes horizontales de la grille. Changez cette valeur pour modifier les lignes horizontales de la grille dans la vue de liste dans le Runtime. Si vous saisissez 0, les lignes horizontales sont masquées.

Par défaut : 1.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

GridSizeH


ID_PROP_SKIN_GRIDSIZEV

ID interne : ID_PROP_SKIN_GRIDSIZEV

Epaisseur ligne verticale [Pixels]

Largeur en pixels des lignes verticales de la grille. Changez cette valeur pour modifier les lignes verticales de la grille dans la vue de liste dans le Runtime. Si vous saisissez 0, les lignes verticales sont masquées.

Par défaut : 1.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

GridSizeV


ID_PROP_SKIN_GRIDTYPEH

ID interne : ID_PROP_SKIN_GRIDTYPEH

Type de ligne horizontale

Définit le type des lignes horizontales de la grille dans la vue de liste dans le Runtime. Cliquez sur la ligne et sélectionnez le type de ligne souhaité (ligne pleine, ligne discontinue, ligne tiretée etc.).

Par défaut : ligne pleine.

Attention : cette propriété est disponible si la valeur de la propriété Epaisseur ligne horizontale [Pixels] est 1. Pour les valeurs >1, une ligne continue est utilisée.

Remarque : La grille est uniquement si l’option correspondante est activée dans la fonction d’appel de synoptique ou dans le filtre du Runtime.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

GridTypeH


ID_PROP_SKIN_GRIDTYPEV

ID interne : ID_PROP_SKIN_GRIDTYPEV

Type de ligne verticale

Définit le type des lignes verticales de la grille dans la vue de liste dans le Runtime. Cliquez sur la ligne et sélectionnez le type de ligne souhaité (ligne pleine, ligne discontinue, ligne tiretée etc.).

Par défaut : ligne pleine.

Attention : cette propriété est disponible si la valeur de la propriété Epaisseur ligne verticale [Pixels] est 1. Pour les valeurs >1, une ligne continue est utilisée.

Remarque : La grille est uniquement si l’option correspondante est activée dans la fonction d’appel de synoptique ou dans le filtre du Runtime.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

GridTypeV


ID_PROP_SKIN_HEADERBAR_BACKCOLOR

ID interne : ID_PROP_SKIN_HEADERBAR_BACKCOLOR

Couleur de remplissage

Définit la première couleur de remplissage utilisée pour le dégradé de couleurs dans l’en-tête. Cliquez sur le bouton pour ouvrir la palette de couleurs prédéfinies. Vous pouvez également définir la couleur en saisissant manuellement le code hexadécimal (RVB) dans le champ.

La couleur du nouvel élément sera la couleur utilisée pour le précédent élément du même type.

Plus de détails dans l’aide en ligne de la liste d’alarmes

Plus de détails dans l’aide en ligne de la liste d’événements

Plus de détails dans l’aide en ligne du module Extended Trend Manager (ETM)

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

HeaderBackColor


ID_PROP_SKIN_HEADERBAR_BACKCOLOR2

ID interne : ID_PROP_SKIN_HEADERBAR_BACKCOLOR2

Couleur du dégradé

Disponible uniquement si vous avez sélectionné les paramètres Actions autorisées sur les en-têtes de colonne ou En-tête de colonne fixe dans le groupe En-tête liste d'événements pour la propriété Liste d'alarmes, ou dans le groupe Liste d'événements pour la propriété En-tête liste d'événements. En outre, vous devez également activer les propriétés Paramètres du graphique étendu et Montrer l'en-tête pour la zone de liste correspondante.

Disponibilité de la liste d’affichage du curseur et de la liste de courbes étendue dans le module Extended Trend.

Cette propriété a uniquement un effet si vous avez sélectionné le paramètre Dégradé de couleurs pour la propriété Style d'affichage.

Définit la deuxième couleur de remplissage utilisée pour le dégradé de couleurs dans l’en-tête. Cliquez sur le bouton pour ouvrir la palette de couleurs prédéfinies. Vous pouvez également définir la couleur en saisissant manuellement le code hexadécimal (RVB) dans le champ. Si vous sélectionnez Automatique, la valeur de la couleur change en fonction de la valeur de la propriété Couleur de remplissage.

La couleur du nouvel élément sera la couleur utilisée pour le précédent élément du même type.

Plus de détails dans l’aide en ligne de la liste d’alarmes

Plus de détails dans l’aide en ligne de la liste d’événements

Plus de détails dans l’aide en ligne du module Extended Trend Manager (ETM)

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

HeaderBackColor2


ID_PROP_SKIN_HEADERBAR_COLORGRADIENTANGLE

ID interne : ID_PROP_SKIN_HEADERBAR_COLORGRADIENTANGLE

Angle

Disponible uniquement si vous avez sélectionné les paramètres Actions autorisées sur les en-têtes de colonne ou En-tête de colonne fixe dans le groupe En-tête liste d'événements pour la propriété Liste d'alarmes, ou dans le groupe Liste d'événements pour la propriété En-tête liste d'événements. En outre, vous devez également activer les propriétés Paramètres du graphique étendu et Montrer l'en-tête pour la zone de liste correspondante.

Disponibilité de la liste d’affichage du curseur et de la liste de courbes étendue dans le module Extended Trend.

Cette propriété a uniquement un effet si vous avez sélectionné le paramètre Dégradé de couleurs pour la propriété Style d'affichage.

Définit l’angle de déploiement du dégradé de couleurs. Le point défini dans la propriété Offset est utilisé en tant que point de départ.

Minimum : 0

Maximum : 360

Par défaut : 0

Plus de détails dans l’aide en ligne de la liste d’alarmes

Plus de détails dans l’aide en ligne de la liste d’événements

Plus de détails dans l’aide en ligne du module Extended Trend Manager (ETM)

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

HeaderColorGradientAngle


ID_PROP_SKIN_HEADERBAR_COLORGRADIENTOFFSET

ID interne : ID_PROP_SKIN_HEADERBAR_COLORGRADIENTOFFSET

Offset

Définit la distance du dégradé de couleurs depuis le centre de l’en-tête jusqu’au bord gauche ou droit, en pourcentage. 0 signifie le centre de l’en-tête, 100 signifie le bord droit de l’en-tête et -100 signifie le bord gauche de l’en-tête.

Minimum : -100

Maximum : 100

Par défaut : 0

Plus de détails dans l’aide en ligne de la liste d’alarmes

Plus de détails dans l’aide en ligne de la liste d’événements

Plus de détails dans l’aide en ligne du module Extended Trend Manager (ETM)

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

HeaderColorGradientOffset


ID_PROP_SKIN_HEADERBAR_FONT

ID interne : ID_PROP_SKIN_HEADERBAR_FONT

Police

Définit la police de caractères utilisée pour le texte de l’en-tête. Cliquez sur le bouton pour ouvrir la boîte de dialogue de sélection de polices de caractères prédéfinies.

La police de caractères utilisée pour le nouvel élément sera la police utilisée pour le précédent élément du même type.

Plus de détails dans l’aide en ligne de la liste d’alarmes

Plus de détails dans l’aide en ligne de la liste d’événements

Plus de détails dans l’aide en ligne du module Extended Trend Manager (ETM)

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

HeaderFont


ID_PROP_SKIN_HEADERBAR_FONT_COLOR

ID interne : ID_PROP_SKIN_HEADERBAR_FONT_COLOR

Couleur du texte

Définit la couleur du texte de l’en-tête. Cliquez sur le bouton pour ouvrir la palette de couleurs prédéfinies. Vous pouvez également définir la couleur en saisissant manuellement le code hexadécimal (RVB) dans le champ.

La couleur du nouvel élément sera la couleur utilisée pour le précédent élément du même type.

Plus de détails dans l’aide en ligne de la liste d’alarmes

Plus de détails dans l’aide en ligne de la liste d’événements

Plus de détails dans l’aide en ligne du module Extended Trend Manager (ETM)

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

HeaderFontColor


ID_PROP_SKIN_HEADERBAR_GRP

ID interne : ID_PROP_SKIN_HEADERBAR_GRP

En-tête

Propriétés de l’en-tête du champ de liste.

Plus de détails dans l’aide en ligne de la liste d’alarmes

Plus de détails dans l’aide en ligne de la liste d’événements

Plus de détails dans l’aide en ligne du module Extended Trend Manager (ETM)

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

SkinHeader


ID_PROP_SKIN_HEADERBAR_LIGHTNING

ID interne : ID_PROP_SKIN_HEADERBAR_LIGHTNING

Effet de lumière

Sélectionnez le type de dégradé de couleurs pour l’en-tête parmi les options suivantes :

Linéaire : dégradé continu

Point défini : le dégradé commence au niveau d’un point défini et s’étend jusqu’aux bords de l’élément.

À partir d’un point défini avec des rayons : le dégradé avec des rayons commence au niveau d’un point défini et s’étend jusqu’aux bords de l’élément.

Par défaut : Linéaire

Plus de détails dans l’aide en ligne de la liste d’alarmes

Plus de détails dans l’aide en ligne de la liste d’événements

Plus de détails dans l’aide en ligne du module Extended Trend Manager (ETM)

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

HeaderLightning


ID_PROP_SKIN_HEADERBAR_PRJSORTDOWN

ID interne : ID_PROP_SKIN_HEADERBAR_PRJSORTDOWN

Tri décroissant

Disponible uniquement si vous avez activé la propriété Paramètres du graphique étendu.

Sélectionnez un fichier graphique devant être affiché dans l’en-tête du champ de liste lors du tri décroissant dans le Runtime. Ce fichier graphique est utilisé si vous sélectionnez Fichier graphique pour la propriété Style d'affichage.

Par défaut : aucun fichier

Plus de détails dans l’aide en ligne de la liste d’alarmes

Plus de détails dans l’aide en ligne de la liste d’événements

Plus de détails dans l’aide en ligne du module Extended Trend Manager (ETM)

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

DescDownImage


ID_PROP_SKIN_HEADERBAR_PRJSORTUP

ID interne : ID_PROP_SKIN_HEADERBAR_PRJSORTUP

Tri croissant

Disponible uniquement si vous avez activé la propriété Paramètres du graphique étendu.

Sélectionnez un fichier graphique devant être affiché dans l’en-tête du champ de liste lors du tri croissant dans le Runtime. Ce fichier graphique est utilisé si vous sélectionnez Fichier graphique pour la propriété Style d'affichage.

Par défaut : aucun fichier

Plus de détails dans l’aide en ligne de la liste d’alarmes

Plus de détails dans l’aide en ligne de la liste d’événements

Plus de détails dans l’aide en ligne du module Extended Trend Manager (ETM)

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

AscSortImage


ID_PROP_SKIN_HEADERBAR_PRJSPAN

ID interne : ID_PROP_SKIN_HEADERBAR_PRJSPAN

Arrière-plan

Disponible uniquement si vous avez activé la propriété Paramètres du graphique étendu.

Sélectionnez un fichier graphique qui sera affiché dans l’en-tête du champ de liste sous forme d’arrière-plan dans le Runtime. Ce fichier graphique est utilisé si vous sélectionnez Fichier graphique pour la propriété Style d'affichage.

Par défaut : aucun fichier

Plus de détails dans l’aide en ligne de la liste d’alarmes

Plus de détails dans l’aide en ligne de la liste d’événements

Plus de détails dans l’aide en ligne du module Extended Trend Manager (ETM)

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

HeaderBarImage


ID_PROP_SKIN_HEADERBAR_STYLE

ID interne : ID_PROP_SKIN_HEADERBAR_STYLE

Style d'affichage

Disponible uniquement si vous avez sélectionné les paramètres Actions autorisées sur les en-têtes de colonne ou En-tête de colonne fixe dans le groupe En-tête liste d'événements pour la propriété Liste d'alarmes, ou dans le groupe Liste d'événements pour la propriété En-tête liste d'événements. En outre, vous devez également activer les propriétés Paramètres du graphique étendu et Montrer l'en-tête pour la zone de liste correspondante.

Disponibilité de la liste d’affichage du curseur et de la liste de courbes étendue dans le module Extended Trend.

Définissez l’apparence de l’en-tête du champ de liste. Sélectionnez l’une des options suivantes :

Color gradient (Dégradé de couleurs) : utilise un dégradé de couleurs spécial pour l’en-tête. Vous pouvez personnaliser le dégradé de couleurs à l’aide des propriétés Couleur de remplissage, Couleur du dégradé, Effet de lumière, Offset et Angle.

Fichier graphique : utilise les fichiers graphiques sélectionnés pour les zones individuelles. Si aucun fichier graphique n’a été sélectionné, l’affichage Color gradient (Dégradé de couleurs) est utilisé.

Standard : utilise le paramètre standard pour l’en-tête. Vous pouvez uniquement modifier les éléments Police et Couleur du texte à l’aide des paramètres correspondants.

Par défaut : Standard.

Plus de détails dans l’aide en ligne de la liste d’alarmes

Plus de détails dans l’aide en ligne de la liste d’événements

Plus de détails dans l’aide en ligne du module Extended Trend Manager (ETM)

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

HeaderStyle


ID_PROP_SKIN_HORBAR_BACKCOLOR

ID interne : ID_PROP_SKIN_HORBAR_BACKCOLOR

Couleur de remplissage

Définit la première couleur de remplissage utilisée pour le dégradé de couleurs des barres de défilement horizontales. Cliquez sur le bouton pour ouvrir la palette de couleurs prédéfinies. Vous pouvez également définir la couleur en saisissant manuellement le code hexadécimal (RVB) dans le champ.

La couleur du nouvel élément sera la couleur utilisée pour le précédent élément du même type.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

BackColorH


ID_PROP_SKIN_HORBAR_BACKCOLOR2

ID interne : ID_PROP_SKIN_HORBAR_BACKCOLOR2

Gradient de couleur

Cette propriété a uniquement un effet si vous avez sélectionné le paramètre Dégradé de couleurs pour la propriété Style d'affichage.

Définit la deuxième couleur de remplissage utilisée pour le dégradé de couleurs des barres de défilement horizontales. Cliquez sur le bouton pour ouvrir la palette de couleurs prédéfinies. Vous pouvez également définir la couleur en saisissant manuellement le code hexadécimal (RVB) dans le champ. Si vous sélectionnez Automatique, la valeur de la couleur change en fonction de la valeur de la propriété Couleur de remplissage.

La couleur du nouvel élément sera la couleur utilisée pour le précédent élément du même type.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

BackColor2H


ID_PROP_SKIN_HORBAR_BUTTONHEIGHT

ID interne : ID_PROP_SKIN_HORBAR_BUTTONHEIGHT

Hauteur des flêches de l'ascenceur [Pixels]

Définit la hauteur en pixels de la flèche de défilement de la barre de défilement horizontale. Ajustez la valeur en fonction de vos préférences.

Par défaut : 12.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

ButtonHeightH


ID_PROP_SKIN_HORBAR_BUTTONWIDTH

ID interne : ID_PROP_SKIN_HORBAR_BUTTONWIDTH

Largeur des flêches de l'ascenceur [Pixels]

Définit la largeur en pixels de la flèche de défilement de la barre de défilement horizontale. Ajustez la valeur en fonction de vos préférences.

Par défaut : 12.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

ButtonWidthH


ID_PROP_SKIN_HORBAR_COLORGRADIENTANGLE

ID interne : ID_PROP_SKIN_HORBAR_COLORGRADIENTANGLE

Angle [°]

Disponible uniquement si vous avez activé la propriété Paramètres du graphique étendu.

Cette propriété a uniquement un effet si vous avez sélectionné le paramètre Dégradé de couleurs pour la propriété Style d'affichage.

Définit l’angle de déploiement du dégradé de couleurs. Le point défini dans la propriété Offset [%] est utilisé en tant que point de départ.

Minimum : 0

Maximum : 360

Par défaut : 0

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

ColorGradientAngleH


ID_PROP_SKIN_HORBAR_COLORGRADIENTOFFSET

ID interne : ID_PROP_SKIN_HORBAR_COLORGRADIENTOFFSET

Offset [%]

Définit la distance du dégradé de couleurs depuis le centre de la barre de défilement horizontale jusqu’au bord gauche ou droit, en pourcentage. 0 signifie le centre de la barre de défilement horizontale, 100 signifie le bord droit de la barre de défilement horizontale et -100 signifie le bord gauche de la barre de défilement horizontale.

Minimum : -100

Maximum : 100

Par défaut : 0

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

ColorGradientOffsetH


ID_PROP_SKIN_HORBAR_GRP

ID interne : ID_PROP_SKIN_HORBAR_GRP

Ascenceur horizontal

Propriétés de la barre de défilement horizontale du champ de liste.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

SkinHorBar


ID_PROP_SKIN_HORBAR_LIGHTNING

ID interne : ID_PROP_SKIN_HORBAR_LIGHTNING

Gradient de couleur

Sélectionnez le type de dégradé de couleurs pour la barre de défilement horizontale parmi les options suivantes :

Linéaire : dégradé continu

Point défini : le dégradé commence au niveau d’un point défini et s’étend jusqu’aux bords de l’élément.

À partir d’un point défini avec des rayons : le dégradé avec des rayons commence au niveau d’un point défini et s’étend jusqu’aux bords de l’élément.

Par défaut : Linéaire

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

LightningH


ID_PROP_SKIN_HORBAR_PRJLEFTBMP

ID interne : ID_PROP_SKIN_HORBAR_PRJLEFTBMP

Flêche de gauche de l'ascenceur

Disponible uniquement si vous avez activé la propriété Paramètres du graphique étendu.

Sélectionnez un fichier graphique qui sera affiché dans le champ de liste pour la flèche de défilement gauche de la barre de défilement horizontale dans le Runtime. Ce fichier graphique est utilisé si vous sélectionnez Fichier graphique pour la propriété Style d'affichage.

Par défaut : aucun fichier

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

BitmapLeftH


ID_PROP_SKIN_HORBAR_PRJRIGHTBMP

ID interne : ID_PROP_SKIN_HORBAR_PRJRIGHTBMP

Flêche de droite de l'ascenceur

Disponible uniquement si vous avez activé la propriété Paramètres du graphique étendu.

Sélectionnez un fichier graphique qui sera affiché dans le champ de liste pour la flèche de défilement droite de la barre de défilement horizontale dans le Runtime. Ce fichier graphique est utilisé si vous sélectionnez Fichier graphique pour la propriété Style d'affichage.

Par défaut : aucun fichier

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

BitmapRightH


ID_PROP_SKIN_HORBAR_PRJSPAN

ID interne : ID_PROP_SKIN_HORBAR_PRJSPAN

Fichier graphique d'arrière plan

Disponible uniquement si vous avez activé la propriété Paramètres du graphique étendu.

Sélectionnez un fichier graphique qui sera affiché en arrière-plan de la barre de défilement horizontale du champ de liste dans le Runtime. Ce fichier graphique est utilisé si vous sélectionnez Fichier graphique pour la propriété Style d'affichage.

Par défaut : aucun fichier

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

BitmapSpanH


ID_PROP_SKIN_HORBAR_PRJTHUMBBMP

ID interne : ID_PROP_SKIN_HORBAR_PRJTHUMBBMP

Boite de l'ascenceur

Disponible uniquement si vous avez activé la propriété Paramètres du graphique étendu.

Sélectionnez un fichier graphique qui sera affiché dans le champ de liste pour la case de défilement de la barre de défilement horizontale dans le Runtime. Ce fichier graphique est utilisé si vous sélectionnez Fichier graphique pour la propriété Style d'affichage.

Par défaut : aucun fichier

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

BitmapThumbH


ID_PROP_SKIN_HORBAR_STYLE

ID interne : ID_PROP_SKIN_HORBAR_STYLE

Style d'affichage

Disponible uniquement si vous avez activé la propriété Paramètres du graphique étendu.

Définissez l’apparence de l’en-tête du champ de liste. Sélectionnez l’une des options suivantes :

Color gradient (Dégradé de couleurs) : utilise un dégradé de couleurs spécial pour l’en-tête. Vous pouvez personnaliser le dégradé de couleurs à l’aide des propriétés Couleur de remplissage, Gradient de couleur, Gradient de couleur, Offset [%] et Angle [°].

Fichier graphique : utilise les fichiers graphiques sélectionnés pour les zones individuelles. Si aucun fichier graphique n’a été sélectionné, l’affichage Color gradient (Dégradé de couleurs) est utilisé.

Standard : utilise le paramètre standard pour l’en-tête. Vous pouvez uniquement modifier la police de caractères et la couleur du texte à l’aide des paramètres correspondants.

Par défaut : Standard.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

BarStyleH


ID_PROP_SKIN_HORBAR_THUMBSIZE

ID interne : ID_PROP_SKIN_HORBAR_THUMBSIZE

Largeur boite de l'ascenceur [Pixels]

Définit la largeur en pixels de la case de défilement de la barre de défilement horizontale. Ajustez la valeur en fonction de vos préférences.

Par défaut : 20.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

ThumbSizeH


ID_PROP_SKIN_NOSELECTION

ID interne : ID_PROP_SKIN_NOSELECTION

Ne pas marquer la ligne sélectionnée

Ce paramètre permet de définir si la ligne sélectionnée est affichée en surbrillance dans la zone de liste. Si vous activez cette propriété, vous ne pouvez pas voir l’entrée que vous avez sélectionnée. Toutes les lignes de la liste sont identiques.

Par défaut : Inactive.

Plus de détails dans l’aide en ligne de la liste d’alarmes

Plus de détails dans l’aide en ligne de la liste d’événements

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

HideSelection


ID_PROP_SKIN_SHOWBORDER

ID interne : ID_PROP_SKIN_SHOWBORDER

Montrer le cadre

Permet d’afficher un cadre autour de l’élément. Les indicateurs des propriétés Style L et Style H sont masqués.

active : le cadre est affiché autour de l’élément correspondant.

(Par défaut) Inactive :

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

ShowBorder


ID_PROP_SKIN_SHOWHEADER

ID interne : ID_PROP_SKIN_SHOWHEADER

Montrer l'en-tête

Disponible uniquement si vous avez sélectionné les paramètres Actions autorisées sur les en-têtes de colonne ou En-tête de colonne fixe pour ce groupe dans les paramètres du projet (dans le groupe Liste d'alarmes pour la propriété En-tête liste d'alarmes, ou dans le groupe Liste d'événements pour la propriété En-tête liste d'événements).
Disponibilité de la liste d’affichage du curseur et de la liste de courbes étendue dans le module Extended Trend.

Affiche l’en-tête du champ de liste correspondant. Dans le groupe En-tête, vous pouvez personnaliser l’apparence de l’en-tête.

  • active : l’en-tête est affiché.

Par défaut : active

Plus de détails dans l’aide en ligne de la liste d’alarmes

Plus de détails dans l’aide en ligne de la liste d’événements

Plus de détails dans l’aide en ligne du module Extended Trend Manager (ETM)

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

ShowHeader


ID_PROP_SKIN_VERBAR_BACKCOLOR

ID interne : ID_PROP_SKIN_VERBAR_BACKCOLOR

Couleur de remplissage

Définit la première couleur de remplissage utilisée pour le dégradé de couleurs des barres de défilement verticales. Cliquez sur le bouton pour ouvrir la palette de couleurs prédéfinies. Vous pouvez également définir la couleur en saisissant manuellement le code hexadécimal (RVB) dans le champ.

La couleur du nouvel élément sera la couleur utilisée pour le précédent élément du même type.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

BackColorV


ID_PROP_SKIN_VERBAR_BACKCOLOR2

ID interne : ID_PROP_SKIN_VERBAR_BACKCOLOR2

Couleur du dégradé

Cette propriété a uniquement un effet si vous avez sélectionné le paramètre Dégradé de couleurs pour la propriété Style d'affichage.

Définit la deuxième couleur de remplissage utilisée pour le dégradé de couleurs des barres de défilement verticales. Cliquez sur le bouton pour ouvrir la palette de couleurs prédéfinies. Vous pouvez également définir la couleur en saisissant manuellement le code hexadécimal (RVB) dans le champ. Si vous sélectionnez Automatique, la valeur de la couleur change en fonction de la valeur de la propriété Couleur de remplissage.

La couleur du nouvel élément sera la couleur utilisée pour le précédent élément du même type.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

BackColor2V


ID_PROP_SKIN_VERBAR_BUTTONHEIGHT

ID interne : ID_PROP_SKIN_VERBAR_BUTTONHEIGHT

Hauteur des flêches de l'ascenceur [Pixels]

Définit la hauteur en pixels de la flèche de défilement de la barre de défilement verticale. Ajustez la valeur en fonction de vos préférences.

Par défaut : 12.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

ButtonHeightV


ID_PROP_SKIN_VERBAR_BUTTONWIDTH

ID interne : ID_PROP_SKIN_VERBAR_BUTTONWIDTH

Largeur des flêches de l'ascenceur [Pixels]

Définit la largeur en pixels de la flèche de défilement de la barre de défilement verticale. Ajustez la valeur en fonction de vos préférences.

Par défaut : 12.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

ButtonWidthV


ID_PROP_SKIN_VERBAR_COLORGRADIENTANGLE

ID interne : ID_PROP_SKIN_VERBAR_COLORGRADIENTANGLE

Angle [°]

Disponible uniquement si vous avez activé la propriété Paramètres du graphique étendu.

Cette propriété a uniquement un effet si vous avez sélectionné le paramètre Dégradé de couleurs pour la propriété Style d'affichage.

Définit l’angle de déploiement du dégradé de couleurs. Le point défini dans la propriété Offset [%] est utilisé en tant que point de départ.

Minimum : 0

Maximum : 360

Par défaut : 0

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

ColorGradientAngleV


ID_PROP_SKIN_VERBAR_COLORGRADIENTOFFSET

ID interne : ID_PROP_SKIN_VERBAR_COLORGRADIENTOFFSET

Offset [%]

Définit la distance du dégradé de couleurs depuis le centre de la barre de défilement verticale jusqu’au bord gauche ou droit, en pourcentage. 0 signifie le centre de la barre de défilement verticale, 100 signifie le bord droit de la barre de défilement verticale et -100 signifie le bord gauche de la barre de défilement verticale.

Minimum : -100

Maximum : 100

Par défaut : 0

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

ColorGradientOffsetV


ID_PROP_SKIN_VERBAR_GRP

ID interne : ID_PROP_SKIN_VERBAR_GRP

Ascenceur vertical

Propriétés de la barre de défilement verticale du champ de liste.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

SkinVerBar


ID_PROP_SKIN_VERBAR_LIGHTNING

ID interne : ID_PROP_SKIN_VERBAR_LIGHTNING

Gradient de couleur

Sélectionnez le type de dégradé de couleurs pour la barre de défilement verticale parmi les options suivantes :

Linéaire : dégradé continu

Point défini : le dégradé commence au niveau d’un point défini et s’étend jusqu’aux bords de l’élément.

À partir d’un point défini avec des rayons : le dégradé avec des rayons commence au niveau d’un point défini et s’étend jusqu’aux bords de l’élément.

Par défaut : Linéaire

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

LightningV


ID_PROP_SKIN_VERBAR_PRJLEFTBMP

ID interne : ID_PROP_SKIN_VERBAR_PRJLEFTBMP

Flêche du haut de l'ascenceur

Disponible uniquement si vous avez activé la propriété Paramètres du graphique étendu.

Sélectionnez un fichier graphique qui sera affiché dans le champ de liste pour la flèche de défilement vers le haut de la barre de défilement verticale dans le Runtime. Ce fichier graphique est utilisé si vous sélectionnez Fichier graphique pour la propriété Style d'affichage.

Par défaut : aucun fichier

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

BitmapLeftV


ID_PROP_SKIN_VERBAR_PRJRIGHTBMP

ID interne : ID_PROP_SKIN_VERBAR_PRJRIGHTBMP

Flêche du bas de l'ascenceur

Disponible uniquement si vous avez activé la propriété Paramètres du graphique étendu.

Sélectionnez un fichier graphique qui sera affiché dans le champ de liste pour la flèche de défilement vers le bas de la barre de défilement verticale dans le Runtime. Ce fichier graphique est utilisé si vous sélectionnez Fichier graphique pour la propriété Style d'affichage.

Par défaut : aucun fichier

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

BitmapRightV


ID_PROP_SKIN_VERBAR_PRJSPAN

ID interne : ID_PROP_SKIN_VERBAR_PRJSPAN

Fichier graphique d'arrière plan

Disponible uniquement si vous avez activé la propriété Paramètres du graphique étendu.

Sélectionnez un fichier graphique qui sera affiché en arrière-plan de la barre de défilement verticale du champ de liste dans le Runtime. Ce fichier graphique est utilisé si vous sélectionnez Fichier graphique pour la propriété Style d'affichage.

Par défaut : aucun fichier

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

BitmapSpanV


ID_PROP_SKIN_VERBAR_PRJTHUMBBMP

ID interne : ID_PROP_SKIN_VERBAR_PRJTHUMBBMP

Boite de l'ascenceur

Disponible uniquement si vous avez activé la propriété Paramètres du graphique étendu.

Sélectionnez un fichier graphique qui sera affiché dans le champ de liste pour la case de défilement de la barre de défilement verticale dans le Runtime. Ce fichier graphique est utilisé si vous sélectionnez Fichier graphique pour la propriété Style d'affichage.

Par défaut : aucun fichier

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

BitmapThumbV


ID_PROP_SKIN_VERBAR_STYLE

ID interne : ID_PROP_SKIN_VERBAR_STYLE

Style d'affichage

Disponible uniquement si vous avez activé la propriété Paramètres du graphique étendu.

Définissez l’apparence de l’en-tête du champ de liste. Sélectionnez l’une des options suivantes :

Color gradient (Dégradé de couleurs) : utilise un dégradé de couleurs spécial pour l’en-tête. Vous pouvez personnaliser le dégradé de couleurs à l’aide des propriétés Couleur de remplissage, Couleur du dégradé, Gradient de couleur, Offset [%] et Angle [°].

Fichier graphique : utilise les fichiers graphiques sélectionnés pour les zones individuelles. Si aucun fichier graphique n’a été sélectionné, l’affichage Color gradient (Dégradé de couleurs) est utilisé.

Standard : utilise le paramètre standard pour l’en-tête. Vous pouvez uniquement modifier la police de caractères et la couleur du texte à l’aide des paramètres correspondants.

Par défaut : Standard.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

BarStyleV


ID_PROP_SKIN_VERBAR_THUMBSIZE

ID interne : ID_PROP_SKIN_VERBAR_THUMBSIZE

Largeur boite de l'ascenceur [Pixels]

Définit la largeur en pixels de la case de défilement de la barre de défilement verticale. Ajustez la valeur en fonction de vos préférences.

Par défaut : 20.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

ThumbSizeV


ID_PROP_SYSTEMMODEL_GROUP_NAME

ID interne : ID_PROP_SYSTEMMODEL_GROUP_NAME

Nom

Nom du groupe. Attribué automatiquement avec une numérotation consécutive lors de la création, et peut être modifié à volonté.

Par défaut : GroupX (X représente un nombre défini de manière consécutive)

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

Name


ID_PROP_SYSTEMMODEL_RELEVANT

ID interne : ID_PROP_SYSTEMMODEL_RELEVANT

Modèle d'équipement pertinent pour l'autorisation d'opération

Case à cocher d’activation du modèle d’équipement pour l’autorisation d’utilisation par modèle d’équipement :

  • Active :
    Le modèle d’équipement est utilisé pour les autorisations d’utilisation par modèle d’équipement.
    Lorsqu'il est activé, le modèle d’équipement sélectionné peut être sélectionné dans la boîte de dialogue de la fonction Autorisation sur le réseau.
  • Inactive :
    Le modèle d’équipement n’est pas utilisé pour l’autorisation d’utilisation.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être adressée comme suit pour l’API zenon (avec nom de la classe) :

RelevantForNetToken


ID_PROP_SYSTEMMODEL_ROOT_NAME

ID interne : ID_PROP_SYSTEMMODEL_ROOT_NAME

Nom

Nom du modèle. Attribué automatiquement avec une numérotation consécutive lors de la création, et peut être modifié à volonté.

Par défaut : ModelX (X représente un nombre défini de manière consécutive)

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

Name


ID_PROP_SYSTEMMODELGOUP

ID interne : ID_PROP_SYSTEMMODELGOUP

Groupes d'équipements

Lie l’élément à un modèle d’équipement. Cliquez sur le bouton ... pour ouvrir la boîte de sélection d’un groupe d’équipements.
L'affichage du groupe d’équipements sélectionné inclut également les niveaux supérieurs à ce groupe. Les niveaux sont séparés par un point dans l’affichage.

Dans le cas d’une sélection multiple, les groupes d’équipements individuels sont séparés par un point-virgule (;).

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

SystemModelGroup


ID_PROP_VIEWLIMITFROMVAR

ID interne : ID_PROP_VIEWLIMITFROMVAR

Appliquer la plage de visualisation à partir de la variable

Reprend la zone d’affichage de la variable liée. Vous pouvez actualiser cet affichage durant le remplacement par une variable comportant une plage de valeurs différente.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

ViewLimitFromVar


ID_PROP_WPFCONNECTION

ID interne : ID_PROP_WPFCONNECTION

WPFConnection

Affichage du lien WPF existant.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

WPFConnection


ID_PROP_WPFCONNECTION_DELETE

ID interne : ID_PROP_WPFCONNECTION_DELETE

{Supprimer le lien}

Cliquez sur le bouton pour supprimer ce lien.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

DeleteConnection


ID_PROP_WPFCONNECTIONS

ID interne : ID_PROP_WPFCONNECTIONS

Liens WPF

Rassemble tous les liens configurés dans l’élément WPF. Les liens hypertexte peuvent être configurés ici, sans qu’il soit nécessaire d’ouvrir la boîte de dialogue.

Limitations :

  • Le type de liaison ne peut pas être modifié ici.
  • Les nouveaux liens peuvent uniquement être créés via la boîte de dialogue de configuration.
  • Insertion d’un élément WPF dans un symbole : Les liens WPF ne peuvent pas être exportés.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

WPFConnection


ID_PROP_WPFELEM_CONFIG_LINKS

ID interne : ID_PROP_WPFELEM_CONFIG_LINKS

Configuration

Ouvre la boîte de dialogue de configuration du fichier XAML. Les propriétés, événements, transformations et niveaux d’autorisation peuvent être attribués.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

LinksConfig


ID_PROP_WPFELEM_XAMLFILE

ID interne : ID_PROP_WPFELEM_XAMLFILE

Fichier XAML

Sélection du fichier XAML pour l’élément WPF. Cliquez sur .... Ouvre la boîte de dialogue de sélection. Vous devez déjà avoir créé le fichier dans la partie Fichier / Graphiques dans le gestionnaire de projet ou l’avoir sélectionné dans la boîte de dialogue à l’aide du symbole Ajouter fichier.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

FileName


ID_PROP_WPFPROP_AUTH_CONNECTION_TYPE

ID interne : ID_PROP_WPFPROP_AUTH_CONNECTION_TYPE

Type d'autorisation

Auswahl des Berechtigungstyps aus Dropdownliste:

  • Bedienbar: Wenn die Bedienberechtigung vorhanden ist und das Element nicht verriegelt ist, dann wird der Wert 1 auf die Eigenschaft geschrieben.
  • Bedienberechtigung nicht vorhanden: Besitzt der Benutzer nicht genügend Rechte, um das WPF-Element zu bedienen, wird der Wert 1 auf die Eigenschaft geschrieben.
  • Bedienberechtigung vorhanden: Besitzt der Benutzer genügend Rechte, um das WPF-Element zu bedienen, wird der Wert 1 auf die Eigenschaft geschrieben.
  • Nicht bedienbar: Fehlt die Bedienberechtigung oder ist das Element verriegelt, dann wird der Wert 1 auf die Eigenschaft geschrieben.
  • Nicht verriegelt: Ist das Element nicht durch die Verriegelung gesperrt, wird der Wert 1 auf die Eigenschaft geschrieben.
  • Verriegelt: Ist das Element durch die Verriegelung gesperrt, wird der Wert 1 auf die Eigenschaft geschrieben.

Mehr im Online-Handbuch.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

Type


ID_PROP_WPFPROPCONNECTION_FUNCTION

ID interne : ID_PROP_WPFPROPCONNECTION_FUNCTION

Fonction

Fonction liée. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de fonctions.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

Function


ID_PROP_WPFPROPCONNECTION_VARIABLE

ID interne : ID_PROP_WPFPROPCONNECTION_VARIABLE

Variable

Variable liée. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de variables.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

Variable


ID_PUNCHFRAME_ALPHA

ID interne : ID_PUNCHFRAME_ALPHA

Transparence [%]

Disponible uniquement si la propriété de projet Qualité graphique a été définie sur DirectX Hardware ou DirectX Software.
Ombre doit être sélectionné en tant que Type de cadre.

Définit la transparence de l’ombre entre 0 et 100 %.

  • 0 : opaque.
  • 100 : transparente

Par défaut : 60

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

PunchFrameAlpha


ID_PUNCHFRAME_ANGLE

ID interne : ID_PUNCHFRAME_ANGLE

Angle [°]

Disponible uniquement lorsque vous sélectionnez les ombres pour la propriété Type de cadre et activez la propriété de projet Qualité graphique.

Angle (en degrés) de projection de l’ombre.

Valeurs : 0° à 359°. 0° désigne le côté droit de l’objet (à 3 heures). Cette fonction opère dans le sens antihoraire.

Par défaut : 315°

Cliquez sur le bouton ... pour afficher une réglette.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

PunchFrameAngle


ID_PUNCHFRAME_SIZE

ID interne : ID_PUNCHFRAME_SIZE

Taille de l'ombre [%]

Disponible uniquement lorsque vous sélectionnez les ombres pour la propriété Type de cadre et activez la propriété de projet Qualité graphique.

Valeurs en pixels définissant la taille de l’ombre de manière indépendante.

La plage disponible dépend de la résolution du moniteur.

Valeur positive : l’ombre est plus grande que l’élément

Valeur négative : l’ombre est plus petite que l’élément

Par défaut : 100

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

PunchFrameSize


ID_PUNCHFRAME_SOFTFOCUS

ID interne : ID_PUNCHFRAME_SOFTFOCUS

Flou

Disponible uniquement si la propriété de projet Qualité graphique a été définie sur DirectX Hardware ou DirectX Software.
Ombre doit être sélectionné en tant que Type de cadre.

Définit le niveau de diffusion, en pixels, utilisé pour l’effet de flou. Plus cette valeur est élevée, plus la transition vers l’ombre est douce. Cliquez sur le bouton ... pour afficher une réglette qui vous permet de définir la valeur.

Valeurs : 0 devient 50

  • 0 : pas de flou
  • 50 : flou maximum

Par défaut : 0

Attention : si une valeur est incorrectement définie sur 0, le calcul de l’effet peut affecter les performances du système. Cela s’avère d’autant plus vrai dans Editor, notamment lors du déplacement de l’ombre ou du positionnement d’autres objets sur l’ombre. Dans le Runtime, chaque synoptique est affecté.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

PunchFrameSoftFocus


ID_PUNCHFRAME_TYPE

ID interne : ID_PUNCHFRAME_TYPE

Type de cadre

Liste déroulante utilisée pour la sélection du type de cadre.
Les possibilités suivantes sont disponibles :

  • Pas de cadre ou d’ombre : aucun cadre ou ombre n’est affiché(e).
  • Cadre : l’élément peut être affiché avec un cadre.
  • Ombre : l’élément peut être affiché avec une ombre. (Disponible uniquement si la propriété de projet Qualité graphique a été définie sur DirectX Hardware ou DirectX Software.)
    Exception : Certains éléments ne peuvent pas recevoir d’ombres.

Par défaut : Pas de cadre/ombre

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

PunchFrameType


ID_PWVALID

ID interne : ID_PWVALID

Mot de passe - période de validité [j]

Saisissez une période (en jours) définissant la validité d’un mot de passe. Après expiration du délai d’attente, vous devez saisir un nouveau mot de passe.

  • Minimum : 0 - le mot de passe n’expire jamais ; il n’est pas nécessaire de le renouveler. Pour ce paramètre, la valeur 2147483647 est écrite dans la variable de driver système Jours avant expiration du mot de passe.
  • Maximum : 4294967295

Par défaut : 0
Attention : Pour les productions conformes aux directives de la FDA, la valeur 0 n’est pas autorisée, car la réglementation de la FDA nécessite la modification cyclique du mot de passe.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

PWValid


ID_READWRITE

ID interne : ID_READWRITE

Ecriture/lecture externe

Propriété externe pour zenon Logic. Affecte uniquement les variables qui ne forment pas partie du driver straton.
Active : la valeur de la variable ne peut pas être modifiée dans zenon Logic. La définition de la variable ne peut pas être modifiée dans zenon Logic.
Inactive : la variable ne peut pas être modifiée dans zenon Logic.
Par défaut : active.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

ReadWrite


ID_RECIPE_GRP1

ID interne : ID_RECIPE_GRP1

Général

Propriétés générales de la recette.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

GRP_General


ID_RECIPE_PW

ID interne : ID_RECIPE_PW

Niveau d'autorisation

Groupes d’autorisations requis pour modifier la recette dans le Runtime.
Un utilisateur peut uniquement modifier les valeurs de la recette (lecture, édition manuelle, suppression) si elles sont conformes au niveau d’autorisation du mot de passe défini.
Minimum : 0.
Maximum : 127
Par défaut : 0.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

PasswordLevel


ID_REMA_EXTREF

ID interne : ID_REMA_EXTREF

Référence externe

Identifiant unique des composants de zenon, disponibles pour :

  • Projets
  • Drivers
  • Types de données
  • Variables
  • Matrices de réaction
  • Fonctions
  • Synoptiques
  • Styles

La propriété peut être utilisée comme identifiant pour des outils de configuration de projet externes. L’accès en lecture ou en écriture via l’interface utilisateur d’Editor dépend de la configuration du paramètre Référence externe éditable. La Référence externe peut toujours être décrite à l’aide de l’API de zenon.

Par défaut : Vide

Longueur maximale : 255 caractères

Remarque : L’importation et l’exportation au format XML sont prises en charge.
Si une matrice de réaction est créée avec un Copier-Coller, cette propriété est vide.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

CPropExternalNames::szExternalReference


ID_REMA_PROP1

ID interne : ID_REMA_PROP1

Nom

Nom unique de la matrice de réaction.

Attention : Cette propriété n’est pas disponible aux fins de la commutation de langue.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

Name


ID_REMA_PROP2

ID interne : ID_REMA_PROP2

Type

Type de matrice de réaction :
binaire : Évaluation d’états discrets (orientés bit)
Multi- binaire : évaluation étendue de variables 32 bits ; les 16 premiers bits déterminent la valeur de la variable et sont transmis en tant que valeurs numériques ; reroutage de bits d’état ; fonction spéciale (désactivation de variables si le bit d’état est défini) (configuration des données de protection - spécifique à SAT uniquement)
Analogique : Évaluation d’états analogiques (orientés valeurs)
Multi -analogique : Évaluation étendue avec routage d’état simultané et fonction spéciale (désactivation de variables lorsque le bit d’état est défini)
Chaîne : Comparaison de texte
Ce type est défini lors de la création d’une nouvelle matrice de réaction, et ne peut pas être modifié ultérieurement.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

Type


ID_REMA_PROP46

ID interne : ID_REMA_PROP46

Informations supplémentaires 1

In der Runtime kann die hier eingegebene Zusatzinformation in einem VBA Makro ausgewertet werden.

Mehr im Online-Handbuch

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

UserProperty1


ID_REMA_PROP47

ID interne : ID_REMA_PROP47

Informations supplémentaires 2

In der Runtime kann die hier eingegebene Zusatzinformation in einem VBA Makro ausgewertet werden.

Mehr im Online-Handbuch

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

UserProperty2


ID_REMA_PROP_GRP0

ID interne : ID_REMA_PROP_GRP0

Général

Propriétés générales de la matrice de réaction.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

GRP_General


ID_REMA_STATES

ID interne : ID_REMA_STATES

Configuration

Ouvre la boîte de dialogue de définition des états.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

States


ID_RGM_BACKCOLOR_INTERLOCKED_RECIPE_PARAMETER

ID interne : ID_RGM_BACKCOLOR_INTERLOCKED_RECIPE_PARAMETER

Couleur de fond pour paramètres recette verrouillée

Sélection de la couleur d’arrière-plan des paramètres de recette verrouillés. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de couleurs ou de palettes de couleurs. La saisie peut également être effectuée directement dans le champ, sous forme de valeur hexadécimale précédée de #.

Par défaut : Gris (#D3D3D3)

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

BackColorInterlockedParameter


ID_RGM_BACKCOLOR_INVALID_PLC

ID interne : ID_RGM_BACKCOLOR_INVALID_PLC

Couleur de fond pour valeurs automate invalides

Sélection de la couleur d’arrière-plan texte pour les valeurs d’automate non valides. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de couleurs ou de palettes de couleurs. La saisie peut également être effectuée directement dans le champ, sous forme de valeur hexadécimale précédée de #.

Par défaut : Bleu (#3D6894)

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

BackColorInvalidPLC


ID_RGM_BACKCOLOR_INVALID_VALUE

ID interne : ID_RGM_BACKCOLOR_INVALID_VALUE

Couleur de fond valeurs recette invalides

Sélection de la couleur d’arrière-plan pour les cellules contenant des valeurs non valides. Ceci met en évidence les paramètres non conformes à la valeur minimum/maximum définie ou dont l’action est liée à une valeur qui n’est pas présente ou pas accessible. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de couleurs ou de palettes de couleurs. La saisie peut également être effectuée directement dans le champ, sous forme de valeur hexadécimale précédée de #.

Par défaut : Rouge (#DD4814)

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

BackColorInvalidValue


ID_RGM_BACKCOLOR_MATCH_PLC

ID interne : ID_RGM_BACKCOLOR_MATCH_PLC

Couleur de fond valeur recette égale valeur automate

Sélection de la couleur d’arrière-plan des valeurs correspondantes. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de couleurs ou de palettes de couleurs. La saisie peut également être effectuée directement dans le champ, sous forme de valeur hexadécimale précédée de #.

Par défaut : Vert (#96BD33)

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

BackColorMatchPLC


ID_RGM_BACKCOLOR_NOMATCH_PLC

ID interne : ID_RGM_BACKCOLOR_NOMATCH_PLC

Couleur de fond valeur recette différente valeur automate

Sélection de la couleur d’arrière-plan pour les différentes valeurs d’automate. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de couleurs ou de palettes de couleurs. La saisie peut également être effectuée directement dans le champ, sous forme de valeur hexadécimale précédée de #.

Par défaut : Rouge (#DD4814)

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

BackColorNoMatchPLC


ID_RGM_GROUP_COLORS

ID interne : ID_RGM_GROUP_COLORS

Couleurs

Propriétés pour la configuration des couleurs utilisées pour signaler les résultats de la vérification des valeurs de la recette et l’affichage des verrouillages.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être adressée comme suit pour l’API zenon (avec nom de la classe) :

Colors


ID_RGM_INTERLOCKING

ID interne : ID_RGM_INTERLOCKING

Verrouillage

Propriétés pour la configuration des couleurs pour l’affichage des verrouillages.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être adressée comme suit pour l’API zenon (avec nom de la classe) :

Interlocking


ID_RGM_PROP06

ID interne : ID_RGM_PROP06

Nom de groupe

Nom du groupe de recettes.

Si vous sélectionnez l’option Fichiers binaires pour la propriété DataSource, seuls les caractères alphanumériques sont autorisés.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

Name


ID_RGM_PROP13

ID interne : ID_RGM_PROP13

Numéro de la recette

Numéro de la recette

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

RecipeNumber


ID_RGM_PROP14

ID interne : ID_RGM_PROP14

Nom de la recette

Nom de la recette. Le nom de la recette doit être unique. SI vous sélectionnez l’option Fichiers binaires pour la propriété DataSource, le nom doit uniquement contenir des caractères alphanumériques.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

RecipeName


ID_RGM_PROP15

ID interne : ID_RGM_PROP15

Commentaire 1

Lignes de commentaire 1 de la recette actuelle.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

Comment1


ID_RGM_PROP16

ID interne : ID_RGM_PROP16

Commentaire 2

Lignes de commentaire 2 de la recette actuelle.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

Comment2


ID_RGM_PROP21

ID interne : ID_RGM_PROP21

Ecrire de façon synchrone

Définie au niveau du groupe de recettes pour toutes les recettes de ce groupe ; peut être remplacée au niveau de chaque recette.

Active : Lors de l’écriture d’une recette, tous les éléments de contrôle sont verrouillés sur le synoptique de module Recipegroup Manager jusqu’à ce que le driver confirme que toutes les valeurs ont été écrites avec succès ou que le Timeout [ms] défini a expiré.

Inactive : Les valeurs de la recette sont écrites sans attendre de confirmation. Les éléments de contrôle peuvent être immédiatement réutilisés. La confirmation du driver est faite sur le bit d’état WR-SUC de chaque variable : il est mis à 1 lorsque la valeur a été écrite avec succès.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

WriteSync


ID_RGM_PROP22

ID interne : ID_RGM_PROP22

Timeout [ms]

Définie au niveau du groupe de recettes pour toutes les recettes de ce groupe ; peut être remplacée au niveau de chaque recette.

Si vous avez activé la propriété Ecrire de façon synchrone, vous pouvez saisir un délai d’attente ici. Les éléments de contrôle du module Recipegroup Manager peuvent être actionnés une dernière fois après ce délai. Si la valeur 0 est saisie dans Délai d’attente, zenon calcule le délai d’attente avant expiration comme suit : 30000+(100*nombre de points de données)

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

WriteTimeout


ID_RGM_PROP23

ID interne : ID_RGM_PROP23

Niveau d'autorisation

Sélection du niveau d’autorisation souhaité dans la liste déroulante.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

PWLevel


ID_RGM_PROP26

ID interne : ID_RGM_PROP26

Valeur min.

Valeur minimum de la variable.
Disponible uniquement si la propriété Plages de la variable n’a pas été activée.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

Min


ID_RGM_PROP27

ID interne : ID_RGM_PROP27

Valeur max.

Valeur maximum de la variable.
Disponible uniquement si la propriété Plages de la variable n’a pas été activée.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

Max


ID_RGM_RECIPE_VALUE_CHECK

ID interne : ID_RGM_RECIPE_VALUE_CHECK

Validation valeur de recette

Propriétés pour la configuration des couleurs utilisées pour signaler les résultats de la vérification des valeurs de la recette.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être adressée comme suit pour l’API zenon (avec nom de la classe) :

RecipeValueCheck


ID_RGM_TEXTCOLOR_INTERLOCKED_RECIPE_PARAMETER

ID interne : ID_RGM_TEXTCOLOR_INTERLOCKED_RECIPE_PARAMETER

Couleur de texte pour paramètres recette verrouillée

Sélection de la couleur de texte pour les paramètres de recette verrouillés.Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de couleurs ou de palettes de couleurs. La saisie peut également être effectuée directement dans le champ, sous forme de valeur hexadécimale précédée de #.

Par défaut : Noir (#000000)

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

TextColorInterlockedParameter


ID_RGM_TEXTCOLOR_INVALID_PLC

ID interne : ID_RGM_TEXTCOLOR_INVALID_PLC

Couleur de texte pour valeurs automate invalides

Sélection de la couleur de texte pour les valeurs d’automate non valides. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de couleurs ou de palettes de couleurs. La saisie peut également être effectuée directement dans le champ, sous forme de valeur hexadécimale précédée de #.

Par défaut : Blanc (#FFFFFF)

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

TextColorInvalidPLC


ID_RGM_TEXTCOLOR_INVALID_VALUE

ID interne : ID_RGM_TEXTCOLOR_INVALID_VALUE

Couleur de texte valeurs recette invalides

Sélection de la couleur de texte pour les cellules contenant des valeurs non valides. Ceci met en évidence les paramètres non conformes à la valeur minimum/maximum définie ou dont l’action est liée à une valeur qui n’est pas présente ou pas accessible. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de couleurs ou de palettes de couleurs. La saisie peut également être effectuée directement dans le champ, sous forme de valeur hexadécimale précédée de #.

Par défaut : Blanc (#FFFFFF)

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

TextColorInvalidValue


ID_RGM_TEXTCOLOR_MATCH_PLC

ID interne : ID_RGM_TEXTCOLOR_MATCH_PLC

Couleur de texte valeur recette égale valeur automate

Sélection de la couleur de texte pour les valeurs correspondantes. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de couleurs ou de palettes de couleurs. La saisie peut également être effectuée directement dans le champ, sous forme de valeur hexadécimale précédée de #.

Par défaut : Blanc (#FFFFFF)

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

TextColorMatchPLC


ID_RGM_TEXTCOLOR_NOMATCH_PLC

ID interne : ID_RGM_TEXTCOLOR_NOMATCH_PLC

Couleur de texte valeur recette différente valeur automate

Sélection de la couleur de texte pour les différentes valeurs d’automate. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de couleurs ou de palettes de couleurs. La saisie peut également être effectuée directement dans le champ, sous forme de valeur hexadécimale précédée de #.

Par défaut : Blanc (#FFFFFF)

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

TextColorNoMatchPLC


ID_SAP_ADDITIONAL_GRP

ID interne : ID_SAP_ADDITIONAL_GRP

Messages

Utilisez les propriétés suivantes pour définir les informations supplémentaires qui seront incluses dans un rapport de défaillance.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

GRP_SapAdditional


ID_SAP_DEBUG_GRP

ID interne : ID_SAP_DEBUG_GRP

Erreur de recherche

Propriétés de test de la connexion et de la journalisation.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

GRP_SapDebug


ID_SAP_FIELD_GRP

ID interne : ID_SAP_FIELD_GRP

Champs de structure

Paramètres de configuration des données d’un champ structuré pour le système ERP SAP.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

GRP_SapStructField


ID_SAP_FUNC_ACTIVITY_GRP

ID interne : ID_SAP_FUNC_ACTIVITY_GRP

Suivi de l'activité

Contient des propriétés dédiées à la surveillance de l’activité.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

GRP_SapFuncActivity


ID_SAP_FUNC_ACTIVITY_VAR

ID interne : ID_SAP_FUNC_ACTIVITY_VAR

Activité

Variable numérique utilisée pour surveiller l’activité de la fonction SAP. Elle peut par exemple être utilisée pour configurer les verrouillages, afin d’éviter les chevauchements de cellules.

Valeurs possibles : 0, 1, 2

  • 0 : Inactive
  • 1 : mise en attente dans la file d’attente d’appels
  • 2 : appel actif

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

ActivityVar


ID_SAP_FUNC_ERROR_CODE_VAR

ID interne : ID_SAP_FUNC_ERROR_CODE_VAR

Code d'erreur

Variable numérique pour le code d’erreur de l’appel de fonction.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

ErrorVar


ID_SAP_FUNC_ERROR_GRP

ID interne : ID_SAP_FUNC_ERROR_GRP

Message d'erreur

Contient des propriétés dédiées à la configuration des messages d’erreur pour les fonctions SAP.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

GRP_SapFuncError


ID_SAP_FUNC_ERROR_TEXT_VAR

ID interne : ID_SAP_FUNC_ERROR_TEXT_VAR

Texte d'erreur

Variable de chaîne utilisée pour fournir une courte description de l’erreur qui s’est produite dernièrement.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

ErrorTextVar


ID_SAP_FUNC_INFO

ID interne : ID_SAP_FUNC_INFO

Informations

Texte court librement définissable. Utilisé uniquement à des fins d’information. Le cas échéant, il est défini lorsqu’une fonction SAP est créée via l’Assistant, conformément à la description de l’interface dans le système SAP.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

Info


ID_SAP_FUNC_LABEL

ID interne : ID_SAP_FUNC_LABEL

Nom fonction

Intitulé libre pour la fonction SAP.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

Label


ID_SAP_FUNC_LAST_ERROR_VAR

ID interne : ID_SAP_FUNC_LAST_ERROR_VAR

Description d'erreur

Variable de chaîne utilisée pour fournir une description détaillée de la dernière erreur.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

LastErrorVar


ID_SAP_FUNC_NAME

ID interne : ID_SAP_FUNC_NAME

Bloc fonctionnel RFC

Nom du bloc fonctionnel appelé dans le système SAP.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

Name


ID_SAP_FUNC_SERVERFUNC

ID interne : ID_SAP_FUNC_SERVERFUNC

Fonction

Sélection d’une fonction de zenon devant être appelée par le programme serveur. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de fonctions.

Remarque : Si la fonction est appelée par un autre projet, assurez-vous que ce projet est en cours d’exécution dans le Runtime.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

ServerFunction


ID_SAP_FUNC_SERVERPRG

ID interne : ID_SAP_FUNC_SERVERPRG

Exécuter comme programme serveur

Définition d’une fonction SAP en tant que programme serveur.

  • Active : La fonction est exécutée en tant que programme serveur.
  • Inactive : La fonction est exécutée en tant que programme client.

Par défaut : Inactive

Si une variable est liée avec la propriété Activité, celle-ci est définie sur active (2) lors de l’appel du programme serveur.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

ServerPgm


ID_SAP_FUNC_SERVERPRG_GRP

ID interne : ID_SAP_FUNC_SERVERPRG_GRP

Programme serveur

Propriétés pour la configuration des fonctions SAP en tant que programmes de serveur.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être adressée comme suit pour l’API zenon (avec nom de la classe) :

GRP_SapFuncServerPrg


ID_SAP_FUNC_WAIT

ID interne : ID_SAP_FUNC_WAIT

Période d'attente

Stipulation d’un délai d’attente en millisecondes avant et après l’appel de fonction liée, afin que les variables puissent être écrites ou lues avec certitude. Principalement recommandé pour les variables sur les contrôleurs avec des communications ou des cycles de lecture lents.

  • Minimum : 0
  • Maximum : 4294967295
  • Par défaut : 0

Recommandation :

  • Variables du driver interne ou du driver système : Valeurs faibles à 0 ms.
  • Driver mathématique Valeurs entre 100 – 200 ms. (Selon la charge du système, ce driver est mis à jour toutes les 100 ms environ.)
  • Autres drivers et contrôleurs : Valeurs supérieures au délai de mise à jour du driver. Les valeurs sont ajustées en conséquence si le nombre de variables est plus élevé.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

Wait


ID_SAP_FUNCTION_GRP

ID interne : ID_SAP_FUNCTION_GRP

Fonction SAP

Contient des propriétés utilisées pour la configuration de base de la fonction SAP.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

GRP_SapFunctions


ID_SAP_LOG_TO_CEL

ID interne : ID_SAP_LOG_TO_CEL

Messages enregistrés dans les événements

Écriture des messages de fichier journal dans la liste d’événements (CEL).

  • Active : Les messages sont écrits dans la liste CEL.
  • Inactive : Les messages ne sont pas écrits dans la liste CEL.

Par défaut : active

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être adressée comme suit pour l’API zenon (avec nom de la classe) :

LogToCEL


ID_SAP_LOGON_GRP

ID interne : ID_SAP_LOGON_GRP

Connexion SAP

Utilisez les propriétés suivantes pour définir les informations concernant le client et l’identifiant utilisateur employé aux fins de la connexion.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

GRP_SapLogon


ID_SAP_NOTIFICATION_GRP

ID interne : ID_SAP_NOTIFICATION_GRP

Rapport de maintenance

Utilisez les propriétés suivantes pour définir les informations supplémentaires qui seront incluses dans les rapports de défaillance.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

GRP_SapNotification


ID_SAP_PAR_TAB_INFO

ID interne : ID_SAP_PAR_TAB_INFO

Informations

Texte court librement définissable. Utilisé uniquement à des fins d’information et, le cas échéant, défini lorsqu’une fonction SAP est créée via l’Assistant, conformément à la description de l’interface dans le système SAP.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

Info


ID_SAP_PAR_TAB_NAME

ID interne : ID_SAP_PAR_TAB_NAME

Nom dans le système SAP

Nom du paramètre, de la table ou du champ structuré dans le système SAP.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

Name


ID_SAP_PAR_TAB_OPTIONAL

ID interne : ID_SAP_PAR_TAB_OPTIONAL

Optionel

Indique si le paramètre ou la table est facultatif. Les paramètres et les tables facultatifs peuvent être omis lors de l’appel d’un bloc fonctionnel.

Utilisé uniquement à des fins d’information, défini lorsqu’une fonction SAP est créée via l’Assistant, conformément à la description de l’interface dans le système SAP.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

Optional


ID_SAP_PAR_TAB_TYPE

ID interne : ID_SAP_PAR_TAB_TYPE

Type

Type de paramètre. Dépendant du type de fonction. Utilisé uniquement à des fins d’information, défini lorsqu’une fonction SAP est créée via l’Assistant, conformément à la description de l’interface dans le système SAP.

Importation : la valeur du paramètre est transférée vers le bloc fonctionnel lors de l’appel.

Exporter : la valeur du paramètre est renvoyée par l’appel de la fonction.

Changement : paramètres d’entrée et de retour.

Table : table des types de fonctions. Cette table ne peut pas être modifiée.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

Type


ID_SAP_PAR_TAB_VARIABLE

ID interne : ID_SAP_PAR_TAB_VARIABLE

Variable

Variable zenon liée au paramètre, à la table ou au champ structuré. Pour les tables, il s’agit normalement d’une variable de tableau.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

Variable


ID_SAP_PARAMETER_GRP

ID interne : ID_SAP_PARAMETER_GRP

Paramètre

Contient des propriétés dédiées à la configuration des paramètres pour les fonctions SAP.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

GRP_SapParameter


ID_SAP_PROGRAMID

ID interne : ID_SAP_PROGRAMID

ID programme

Saisie de l’identifiant de programme de la destination RFC par l’intermédiaire de laquelle la connexion à l’application SAP doit être établie et le programme serveur doit être appelé.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

SapProgramId


ID_SAP_PROP_CLIENT

ID interne : ID_SAP_PROP_CLIENT

Client

Numéro ou nom du client sur le système SAP utilisé aux fins de la connexion.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

SapClient


ID_SAP_PROP_END_TIME

ID interne : ID_SAP_PROP_END_TIME

Jusqu'à

Heure à laquelle le planning sera exécuté.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

EndTime


ID_SAP_PROP_EQUIPMENT

ID interne : ID_SAP_PROP_EQUIPMENT

Position fonct./équipement

Spécifie si le système SAP traite l’intitulé de ressource de la variable reçue sous forme de numéro désignant un emplacement fonctionnel ou sous forme de numéro d’équipement.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

SapEquipment


ID_SAP_PROP_EVERY_DAY

ID interne : ID_SAP_PROP_EVERY_DAY

Chaque jour

Le planning sera exécuté tous les jours. Si cette propriété est active, les propriétés des jours individuels seront inactives.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

EveryDay


ID_SAP_PROP_FRIDAY

ID interne : ID_SAP_PROP_FRIDAY

Vendredi

Le planning sera exécuté tous les vendredis.
Remarque : Disponible uniquement si la propriété Chaque jour est inactive.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

Friday


ID_SAP_PROP_INTERVAL

ID interne : ID_SAP_PROP_INTERVAL

Tout

Intervalle durant lequel le planning sera exécuté. Si vous ne spécifiez pas une heure de fin, le planning sera exécuté jusqu’à minuit pour chaque jour sélectionné.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

Interval


ID_SAP_PROP_LANGUAGE

ID interne : ID_SAP_PROP_LANGUAGE

Langue

Langue de l’utilisateur. La langue configurée détermine le traitement des trémas, des caractères spéciaux, etc. par le système SAP.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

SapLanguage


ID_SAP_PROP_MESSBELEG

ID interne : ID_SAP_PROP_MESSBELEG

Créer le 'measurement reading'

Active : Crée un document de mesure transmis au système SAP.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

SapMeasDoc


ID_SAP_PROP_MONDAY

ID interne : ID_SAP_PROP_MONDAY

Lundi

Le planning sera exécuté tous les lundis.

Remarque : Disponible uniquement si la propriété Chaque jour est inactive.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

Monday


ID_SAP_PROP_NOTIFICATION_TYPE

ID interne : ID_SAP_PROP_NOTIFICATION_TYPE

Type de notification

L’un des types de notification prédéfinis proposés par le système SAP. La réaction du système SAP à un rapport de défaillance dépend du type de notification configuré.

Si vous ne spécifiez pas un type de notification, le système SAP ne pourra pas créer de rapport de défaillance et renverra un message d’erreur.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

SapNotificationType


ID_SAP_PROP_PASSWORD

ID interne : ID_SAP_PROP_PASSWORD

Mot de passe

Mot de passe de l’utilisateur du système SAP.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

SapPassword


ID_SAP_PROP_PLANT

ID interne : ID_SAP_PROP_PLANT

Usine

Site de maintenance mentionné dans les rapports de défaillance. Si vous ne spécifiez pas un site de maintenance, le système SAP utilisera par défaut une partie du système (emplacement technique, équipement) pour laquelle le rapport de défaillance a été généré.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

SapPlant


ID_SAP_PROP_REPORTER

ID interne : ID_SAP_PROP_REPORTER

Détecteur

Le rapporteur est inclus dans les rapports de défaillance dans le système SAP.

Si vous ne spécifiez pas un rapporteur, le système SAP inclura l’utilisateur actuellement connecté par défaut.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

SapReporter


ID_SAP_PROP_ROUTER

ID interne : ID_SAP_PROP_ROUTER

Paramètre de connexion

Adresse IP ou nom du routeur SAP utilisé pour la connexion. Si la connexion est établie via plusieurs routeurs SAP ("sauts"), vous devez spécifier le routeur SAP le plus proche du système de contrôle.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

SapRouter


ID_SAP_PROP_SATURDAY

ID interne : ID_SAP_PROP_SATURDAY

Samedi

Le planning sera exécuté tous les samedis.

Remarque : Disponible uniquement si la propriété Chaque jour est inactive.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

Saturday


ID_SAP_PROP_SERVER

ID interne : ID_SAP_PROP_SERVER

Serveur d'application

Adresse IP ou nom du routeur SAP utilisé pour la connexion.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

SapServer


ID_SAP_PROP_START_TIME

ID interne : ID_SAP_PROP_START_TIME

De/A

Heure de début du planning. Si vous spécifiez 00.00.00 pour l’intervalle et l’heure de début, le planning sera exécuté une fois seulement à l’heure spécifiée, les jours sélectionnés.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

StartTime


ID_SAP_PROP_SUNDAY

ID interne : ID_SAP_PROP_SUNDAY

Dimanche

Le planning sera exécuté tous les dimanches.

Remarque : Disponible uniquement si la propriété Chaque jour est inactive.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

Sunday


ID_SAP_PROP_SYSTEM

ID interne : ID_SAP_PROP_SYSTEM

Numéro système

Numéro de système du système SAP (également appelé numéro d’instance) auquel est établie la connexion. Plusieurs systèmes SAP possédant différents identifiants peuvent s’exécuter sur un serveur d’application.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

SapSystemId


ID_SAP_PROP_TEST

ID interne : ID_SAP_PROP_TEST

Tester la connexion

Tente d’établir une connexion au système SAP avec les paramètres spécifiés. Si une connexion ne peut pas être établie, une boîte de dialogue contenant un message d’erreur détaillé sera affichée à l’écran.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

SapTest


ID_SAP_PROP_THURSDAY

ID interne : ID_SAP_PROP_THURSDAY

Jeudi

Le planning sera exécuté tous les jeudis.

Remarque : Disponible uniquement si la propriété Chaque jour est inactive.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

Thursday


ID_SAP_PROP_TRACE

ID interne : ID_SAP_PROP_TRACE

Enregistrement (fichier journal)

Contrôle le processus de journalisation des communications avec le système SAP.

Active : Les communications entre zenon et le système SAP sont enregistrées dans un fichier journal.

Par défaut : Inactive

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

SapTrace


ID_SAP_PROP_TUESDAY

ID interne : ID_SAP_PROP_TUESDAY

Mardi

Le planning sera exécuté tous les mardis.

Remarque : Disponible uniquement si la propriété Chaque jour est inactive.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

Tuesday


ID_SAP_PROP_USER

ID interne : ID_SAP_PROP_USER

Utilisateur

Nom de l’utilisateur du système SAP.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

SapUser


ID_SAP_PROP_VAR_NAME

ID interne : ID_SAP_PROP_VAR_NAME

Nom

Nom des variables sélectionnées pour le planning sélectionné.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

SapVarName


ID_SAP_PROP_VAR_TAG

ID interne : ID_SAP_PROP_VAR_TAG

Identification

Identifiant des variables sélectionnées pour le planning sélectionné.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

SapVarTag


ID_SAP_PROP_VAR_TYPE

ID interne : ID_SAP_PROP_VAR_TYPE

Type

Type des variables sélectionnées pour le planning sélectionné.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

SapVarType


ID_SAP_PROP_VAR_UNIT

ID interne : ID_SAP_PROP_VAR_UNIT

Unité de mesure

Unité des variables sélectionnées pour le planning sélectionné.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

SapVarUnit


ID_SAP_PROP_WEDNESDAY

ID interne : ID_SAP_PROP_WEDNESDAY

Mercredi

Le planning sera exécuté tous les mercredis.

Remarque : Disponible uniquement si la propriété Chaque jour est inactive.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

Wednesday


ID_SAP_SCHEDULE_DATE_GRP

ID interne : ID_SAP_SCHEDULE_DATE_GRP

Jour de la semaine

Utilisez les propriétés suivantes pour définir le(s) jour(s) d’exécution du planning.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

GRP_ScheduleDate


ID_SAP_SCHEDULE_MEAS_DOC_GRP

ID interne : ID_SAP_SCHEDULE_MEAS_DOC_GRP

'Measurement reading'

Utilisez les propriétés suivantes pour définir le rapporteur qui sera inclus dans les rapports de défaillance.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

GRP_ScheduleMeasDoc


ID_SAP_SCHEDULE_TIME_GRP

ID interne : ID_SAP_SCHEDULE_TIME_GRP

Heure

Utilisez les propriétés suivantes pour définir l’heure d’exécution du planning.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

GRP_ScheduleTime


ID_SAP_SERVERPRG_GRP

ID interne : ID_SAP_SERVERPRG_GRP

Programmes serveur

Paramètres de connexion de l’application SAP.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être adressée comme suit pour l’API zenon (avec nom de la classe) :

GRP_SapServerPrg


ID_SAP_SYSTEM_GRP

ID interne : ID_SAP_SYSTEM_GRP

Système ERP SAP

Utilisez les propriétés suivantes pour spécifier les noms ou les numéros du serveur SAP, du routeur SAP et du système SAP qui seront utilisés pour établir une connexion.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

GRP_SapSystem


ID_SAP_TAB_ROWCOUNT_VAR

ID interne : ID_SAP_TAB_ROWCOUNT_VAR

Nombre de lignes

Variables numériques correspondant au nombre de lignes devant être extraites de la variable liée à la table ou du nombre de lignes lues lors de l’appel d’une fonction SAP.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

RowCountVar


ID_SAP_TABLE_GRP

ID interne : ID_SAP_TABLE_GRP

Table

Contient des propriétés spécifiques à la table des types de fonctions.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

GRP_SapTable


ID_SATBEF_PROP1

ID interne : ID_SATBEF_PROP1

Mode

Utilisée pour sélectionner la fin souhaitée

Entrée : L’élément de commande sera utilisé pour la saisie de commandes.

Appel de fonction : L’élément de commande sera utilisé pour l’exécution de fonctions.
Cette option est uniquement fournie pour des raisons de compatibilité avec des versions antérieures, et ne doit plus être utilisée.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

Mode


ID_SATBEF_PROP2

ID interne : ID_SATBEF_PROP2

Synoptique

Spécifie le synoptique qui sera ouvert lors de l’activation de l’élément dans le Runtime.

Seuls les synoptiques de type Commande seront disponibles.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

PictSwitch_Dlg


ID_SATBEF_PROP3

ID interne : ID_SATBEF_PROP3

Paramètre

Ouvre la boîte de dialogue de paramètres de l’élément de commande.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

PictFilter_Dlg


ID_SATBEF_PROP4

ID interne : ID_SATBEF_PROP4

Fonction

Spécifie la fonction devant être exécutée pour le mode : Fonction.
N’est plus utilisée. Conservée uniquement pour raisons de compatibilité avec les versions précédentes.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

Function


ID_SATBEF_PROP5

ID interne : ID_SATBEF_PROP5

Groupe d'activation

Spécifies le groupe d’activation.

Uniquement nécessaire en association avec la fonction de présélection.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

ActivationGroup


ID_SATBEF_PROP6

ID interne : ID_SATBEF_PROP6

Toujours sélectionnable

Active : sélection de commande directement via un clic sur le bouton gauche de la souris.

Inactive : La sélection de commande est uniquement disponible après qu’une fonction ait été préalablement sélectionnée (Fonctions -> Application -> Activation de commande).
Après l’activation d’une commande dans le Runtime, une bordure sera affichée autour de tous les éléments configurés de cette manière.

Crée une nouvelle action de commande via un clic sur le bouton droit de la souris -> Nouvelle action.

Attention : disponible uniquement dans le volet gauche de la boîte de dialogue.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

AlwaysSelectable


ID_SATBEF_PROP_GRP1

ID interne : ID_SATBEF_PROP_GRP1

Action

Propriétés des actions de commande

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

Action


ID_SAVE_ALWAYS_BIN_AML

ID interne : ID_SAVE_ALWAYS_BIN_AML

Enregistrer le buffer circulaire en cas de modification

Disponible uniquement si la propriété Gestion d'alarmes active est active.

  • Active : Chaque modification des données dans la liste d’alarmes déclenche l’enregistrement des données de l’intégralité de la mémoire circulaire (alarm.bin).
  • Inactive : les données de la liste d’alarmes (alarm.bin) sont uniquement enregistrées lors de l’arrêt du Runtime ou de l’exécution de la fonction d’enregistrement de la mémoire circulaire des listes AML et CEL. Les données historiques (*.aml) peuvent être enregistrées indépendamment à chaque modification de la valeur.

Par défaut : Inactive
Remarque : Si la propriété est définie sur active, ceci peut exercer une charge considérable sur le système, et plus particulièrement sur les lecteurs flash. Si la propriété est défini sur inactive, ceci peut entraîner la perte de données en cas de fermeture inattendue du Runtime. Inactive Cette option est recommandée en cas de baisse des performances.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

SaveAmlStack


ID_SAVE_ALWAYS_BIN_CEL

ID interne : ID_SAVE_ALWAYS_BIN_CEL

Enregistrer le buffer circulaire en cas de modification

Sélection du type d’enregistrement de données :

  • Active : chaque modification des données de la liste d’événements déclenche l’enregistrement des données (cel.bin).
  • Inactive : les données de la liste d’événements (cel.bin) sont uniquement enregistrées lors de l’arrêt du Runtime ou de l’exécution de la fonction d’enregistrement de la mémoire circulaire des listes AML et CEL. Cette option est recommandée en cas de baisse des performances. Les données historiques (*.cel) peuvent être enregistrées indépendamment à chaque modification de la valeur.

Remarque : Si la propriété est définie sur active, ceci peut exercer une charge considérable sur le système, et plus particulièrement sur les lecteurs flash. Si la propriété est défini sur inactive, ceci peut entraîner la perte de données en cas de fermeture inattendue du Runtime. Inactive Cette option est recommandée en cas de baisse des performances.

Par défaut : Inactive

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

SaveCelStack


ID_SCREEN_GRP_API

ID interne : ID_SCREEN_GRP_API

Interface de programmation

Groupe de configuration de l’accès à l’API.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

API


ID_SCREEN_GRP_MULTITOUCH_POINTER_MSG

ID interne : ID_SCREEN_GRP_MULTITOUCH_POINTER_MSG

Événements Multi-Touche

Propriétés d’évaluation des événements MultiTouch.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

PointerMessages


ID_SCREEN_INTERACTION_CONFIGURATION_FLAG_CROSS_SLIDE

ID interne : ID_SCREEN_INTERACTION_CONFIGURATION_FLAG_CROSS_SLIDE

Cross slide

Active : Détection du paramètre Cross Slide (Glissement transversal) défini.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

Gestures_CrossSlide


ID_SCREEN_INTERACTION_CONFIGURATION_FLAG_CROSS_SLIDE_EXACT

ID interne : ID_SCREEN_INTERACTION_CONFIGURATION_FLAG_CROSS_SLIDE_EXACT

Cross slide exact

Active : Détection du paramètre Cross Slide Exact (Glissement transversal exact) défini.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

Gestures_CrossSlideExact


ID_SCREEN_INTERACTION_CONFIGURATION_FLAG_CROSS_SLIDE_HORIZONTAL

ID interne : ID_SCREEN_INTERACTION_CONFIGURATION_FLAG_CROSS_SLIDE_HORIZONTAL

Cross slide horizontal

Active : Détection du paramètre Cross Slide Horizontal (Glissement transversal horizontal) défini.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

Gestures_CrossSlideHorizontal


ID_SCREEN_INTERACTION_CONFIGURATION_FLAG_CROSS_SLIDE_REARRANGE

ID interne : ID_SCREEN_INTERACTION_CONFIGURATION_FLAG_CROSS_SLIDE_REARRANGE

Cross slide rearrange

Active : Détection du paramètre Cross Slide Rearrange (Glissement transversal, réorganisation) défini.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

Gestures_CrossSlideRearrange


ID_SCREEN_INTERACTION_CONFIGURATION_FLAG_CROSS_SLIDE_SELECT

ID interne : ID_SCREEN_INTERACTION_CONFIGURATION_FLAG_CROSS_SLIDE_SELECT

Cross slide select

Active : Détection du paramètre Cross Slide Select (Glissement transversal, sélection) défini.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

Gestures_CrossSlideSelect


ID_SCREEN_INTERACTION_CONFIGURATION_FLAG_CROSS_SLIDE_SPEED_BUMP

ID interne : ID_SCREEN_INTERACTION_CONFIGURATION_FLAG_CROSS_SLIDE_SPEED_BUMP

Cross slide speed bump

Active : Détection du paramètre Cross Slide Speed Bump (Glissement transversal, ralentisseur) défini.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

Gestures_CrossSlideSpeedBump


ID_SCREEN_INTERACTION_CONFIGURATION_FLAG_DRAG

ID interne : ID_SCREEN_INTERACTION_CONFIGURATION_FLAG_DRAG

Drag

Active : Détection du paramètre Drag (Glissement) défini.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

Gestures_Drag


ID_SCREEN_INTERACTION_CONFIGURATION_FLAG_HOLD

ID interne : ID_SCREEN_INTERACTION_CONFIGURATION_FLAG_HOLD

Hold

Active : Détection du paramètre Hold (Maintien) défini.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

Gestures_Hold


ID_SCREEN_INTERACTION_CONFIGURATION_FLAG_HOLD_MOUSE

ID interne : ID_SCREEN_INTERACTION_CONFIGURATION_FLAG_HOLD_MOUSE

Hold (Mouse)

Active : Détection du paramètre Hold (Mouse) (Maintien [souris]) défini.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

Gestures_HoldMouse


ID_SCREEN_INTERACTION_CONFIGURATION_FLAG_MANIPULATION

ID interne : ID_SCREEN_INTERACTION_CONFIGURATION_FLAG_MANIPULATION

Manipulation

Active : Détection du paramètre Manipulation défini.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

Gestures_Manipulation


ID_SCREEN_INTERACTION_CONFIGURATION_FLAG_MANIPULATION_EXACT

ID interne : ID_SCREEN_INTERACTION_CONFIGURATION_FLAG_MANIPULATION_EXACT

Exact

Active : Détection du paramètre Exact défini.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

Gestures_Exact


ID_SCREEN_INTERACTION_CONFIGURATION_FLAG_MANIPULATION_RAILS_X

ID interne : ID_SCREEN_INTERACTION_CONFIGURATION_FLAG_MANIPULATION_RAILS_X

Rails X

Active : Détection du paramètre Rails X défini.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

Gestures_RailsX


ID_SCREEN_INTERACTION_CONFIGURATION_FLAG_MANIPULATION_RAILS_Y

ID interne : ID_SCREEN_INTERACTION_CONFIGURATION_FLAG_MANIPULATION_RAILS_Y

Rails Y

Active : Détection du paramètre Rails Y défini.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

Gestures_RailsY


ID_SCREEN_INTERACTION_CONFIGURATION_FLAG_MANIPULATION_ROTATION

ID interne : ID_SCREEN_INTERACTION_CONFIGURATION_FLAG_MANIPULATION_ROTATION

Rotation

Active : Détection du paramètre Rotation défini.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

Gestures_Rotation


ID_SCREEN_INTERACTION_CONFIGURATION_FLAG_MANIPULATION_ROTATION_INERTIA

ID interne : ID_SCREEN_INTERACTION_CONFIGURATION_FLAG_MANIPULATION_ROTATION_INERTIA

Inertie de rotation

Active : Détection du paramètre Rotation Inertia (Inertie de rotation) défini.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

Gestures_RotationInertia


ID_SCREEN_INTERACTION_CONFIGURATION_FLAG_MANIPULATION_SCALING

ID interne : ID_SCREEN_INTERACTION_CONFIGURATION_FLAG_MANIPULATION_SCALING

Scaling

Active : Détection du paramètre Scaling (Redimensionnement) défini.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

Gestures_Scaling


ID_SCREEN_INTERACTION_CONFIGURATION_FLAG_MANIPULATION_SCALING_INERTIA

ID interne : ID_SCREEN_INTERACTION_CONFIGURATION_FLAG_MANIPULATION_SCALING_INERTIA

Scaling inertia

Active : Détection du paramètre Scaling Inertia (Inertie de redimensionnement) défini.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

Gestures_ScalingInertia


ID_SCREEN_INTERACTION_CONFIGURATION_FLAG_MANIPULATION_TRANSLATION_INERTIA

ID interne : ID_SCREEN_INTERACTION_CONFIGURATION_FLAG_MANIPULATION_TRANSLATION_INERTIA

Translation inertia

Active : Détection du paramètre Translation Inertia (Inertie de translation) défini.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

Gestures_TranslationInertia


ID_SCREEN_INTERACTION_CONFIGURATION_FLAG_MANIPULATION_TRANSLATION_X

ID interne : ID_SCREEN_INTERACTION_CONFIGURATION_FLAG_MANIPULATION_TRANSLATION_X

Translation X

Active : Détection du paramètre Translation X défini.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

Gestures_TranslationX


ID_SCREEN_INTERACTION_CONFIGURATION_FLAG_MANIPULATION_TRANSLATION_Y

ID interne : ID_SCREEN_INTERACTION_CONFIGURATION_FLAG_MANIPULATION_TRANSLATION_Y

Translation Y

Active : Détection du paramètre Translation X défini.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

Gestures_TranslationY


ID_SCREEN_INTERACTION_CONFIGURATION_FLAG_SECONDARY_TAP

ID interne : ID_SCREEN_INTERACTION_CONFIGURATION_FLAG_SECONDARY_TAP

Secondary tap

Active : Détection du paramètre Secondary Tap (Appui secondaire) défini.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

Gestures_SecondaryTap


ID_SCREEN_INTERACTION_CONFIGURATION_FLAG_TAP

ID interne : ID_SCREEN_INTERACTION_CONFIGURATION_FLAG_TAP

Tap

Active : Détection du paramètre Tap (Appui) défini.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

Gestures_Tap


ID_SCREEN_INTERACTION_CONFIGURATION_FLAG_TAP_DOUBLE

ID interne : ID_SCREEN_INTERACTION_CONFIGURATION_FLAG_TAP_DOUBLE

Tap double

Active : Détection du paramètre Tap Double (Double appui) défini.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

Gestures_TapDouble


ID_SCREEN_INTERACTION_CONFIGURATION_GRP

ID interne : ID_SCREEN_INTERACTION_CONFIGURATION_GRP

Evaluation de geste VSTA

Propriétés de détection des gestes dans les synoptiques utilisant VSTA.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

GestureRecognition


ID_SCREEN_PROP_INTERACTION_ACTIVE

ID interne : ID_SCREEN_PROP_INTERACTION_ACTIVE

Reconnaissance de geste active

Active l’évaluation des gestes. Les gestes sont définis à l’aide d’autres propriétés.

Uniquement disponible si, dans le groupe Intéraction des propriétés du projet, la propriété Reconnaissance Windows 8 a été définie.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

GestureRecognitionActive


ID_SCREEN_PROP_NCPOINTERDOWN_MSG

ID interne : ID_SCREEN_PROP_NCPOINTERDOWN_MSG

NCPointerDown

Active : L’événement NCPointerDown est évalué.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

NCPointerDown


ID_SCREEN_PROP_NCPOINTERUP_MSG

ID interne : ID_SCREEN_PROP_NCPOINTERUP_MSG

NCPointerUp

Active : L’événement NCPointerUp est évalué.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

NCPointerUp


ID_SCREEN_PROP_NCPOINTERUPDATE_MSG

ID interne : ID_SCREEN_PROP_NCPOINTERUPDATE_MSG

NCPointerUpdate

Active : L’événement NCPointerUpdate est évalué.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

NCPointerUpdate


ID_SCREEN_PROP_POINTERACTIVATE_MSG

ID interne : ID_SCREEN_PROP_POINTERACTIVATE_MSG

PointerActivate

Active : L’événement PointerActivate est évalué.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

PointerActivate


ID_SCREEN_PROP_POINTERCAPTURECHANGED_MSG

ID interne : ID_SCREEN_PROP_POINTERCAPTURECHANGED_MSG

PointerCaptureChanged

Active : L’événement PointerCaptureChanged est évalué.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

PointerCaptureChanged


ID_SCREEN_PROP_POINTERDEVICECHANGE_MSG

ID interne : ID_SCREEN_PROP_POINTERDEVICECHANGE_MSG

PointerDeviceChange

Active : L’événement PointerDeviceChange est évalué.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

PointerDeviceChange


ID_SCREEN_PROP_POINTERDEVICEINRANGE_MSG

ID interne : ID_SCREEN_PROP_POINTERDEVICEINRANGE_MSG

PointerDeviceInRange

Active : L’événement PointerDeviceInRange est évalué.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

PointerDeviceInRange


ID_SCREEN_PROP_POINTERDEVICEOUTOFRANGE_MSG

ID interne : ID_SCREEN_PROP_POINTERDEVICEOUTOFRANGE_MSG

PointerDeviceOutOfRange

Active : L’événement PointerDeviceOutOfRange est évalué.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

PointerDeviceOutOfRange


ID_SCREEN_PROP_POINTERDOWN_MSG

ID interne : ID_SCREEN_PROP_POINTERDOWN_MSG

PointerDown

Active : L’événement PointerDown est évalué.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

PointerDown


ID_SCREEN_PROP_POINTERENTER_MSG

ID interne : ID_SCREEN_PROP_POINTERENTER_MSG

PointerEnter

Active : L’événement PointerEnter est évalué.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

PointerEnter


ID_SCREEN_PROP_POINTERHWHEEL_MSG

ID interne : ID_SCREEN_PROP_POINTERHWHEEL_MSG

PointerHWheel

Active : L’événement PointerHWheel est évalué.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

PointerHWheel


ID_SCREEN_PROP_POINTERLEAVE_MSG

ID interne : ID_SCREEN_PROP_POINTERLEAVE_MSG

PointerLeave

Active : L’événement PointerLeave est évalué.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

PointerLeave


ID_SCREEN_PROP_POINTERMESSAGE_HANDLING

ID interne : ID_SCREEN_PROP_POINTERMESSAGE_HANDLING

Routage événement données brutes

Uniquement disponible si la propriété Reconnaissance des propriétés de projet pour l’élément Intéraction est définie sur Windows 8.

Sélection des événements à évaluer dans une liste déroulante :

  • Tous les événements : tous les événements sont évalués.
  • Désactivée : l’évaluation est désactivée.
  • Uniquement les événements sélectionnés : seuls les événements activés par le biais de cases à cocher sont évalués.

Par défaut : Désactivé

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

RawEventRouting


ID_SCREEN_PROP_POINTERUP_MSG

ID interne : ID_SCREEN_PROP_POINTERUP_MSG

PointerUp

Active : L’événement PointerUp est évalué.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

PointerUp


ID_SCREEN_PROP_POINTERUPDATE_MSG

ID interne : ID_SCREEN_PROP_POINTERUPDATE_MSG

PointerUpdate

Active : L’événement PointerUpdate est évalué.

Plus de détails dans l’aide en ligne

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

PointerUpdate


ID_SCREEN_PROP_POINTERWHEEL_MSG

ID interne : ID_SCREEN_PROP_POINTERWHEEL_MSG

PointerWheel

Active : L’événement PointerWheel est évalué.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

PointerWheel


ID_SCRIPT_DEL

ID interne : ID_SCRIPT_DEL

{Supprimer script}

Le script est supprimé.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

DeleteScript


ID_SCRIPT_GRP0

ID interne : ID_SCRIPT_GRP0

Général

Paramètres généraux du script.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

GRP_General


ID_SCRIPT_IMEX_NAME

ID interne : ID_SCRIPT_IMEX_NAME

Nom

Nom unique du la recette.
Par défaut : Recette_x (x représente un nombre défini de manière consécutive).

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

RecipeName


ID_SCRIPT_NAME

ID interne : ID_SCRIPT_NAME

Nom

Nom unique du script.

Par défaut : Script_x (x représente un nombre défini de manière consécutive).

Vous pouvez définir vos propres scripts et sélectionner des scripts existants. Saisie d’un nom dans la liste déroulante pour vos scripts, ou sélection dans une liste déroulante :

  • AUTOSTART : Le script est exécuté automatiquement au démarrage du Runtime (poste de travail indépendant ou serveur) et après l’activation de l’affichage de départ (sur le poste de travail indépendant ou le serveur) si le projet est le projet de démarrage du Runtime.
  • AUTOEND : le script est exécuté automatiquement lors de l’arrêt du Runtime (poste de travail indépendant ou serveur) si le projet est le projet de démarrage du Runtime.
    Attention : Les macros VBA devant être exécutées dans AUTO_END doivent être appelées via Project.Inactive. Il n’est pas nécessaire de spécifier les archives cycliques dans le script AUTOEND.
  • AUTOSTART_CLIENT : le script est exécuté automatiquement au démarrage du Runtime sur un client et avant l’activation de l’affichage de départ sur le client si le projet est le projet de démarrage du Runtime.
  • AUTOEND_CLIENT : le script est exécuté automatiquement lors de l’arrêt du Runtime sur un client si le projet est le projet de démarrage du Runtime.
  • AUTOSTART_SRVPRJ : le script est exécuté automatiquement au démarrage du Runtime sur le PC utilisé comme serveur du projet, avant l’activation de l’affichage de départ si le projet n’est pas le projet de démarrage du Runtime.
  • AUTOEND_SRVPRJ : le script est exécuté automatiquement lors de l’arrêt du Runtime sur le PC utilisé en tant que serveur du projet si le projet n’est pas le projet de démarrage du Runtime.

Attention : Cette propriété n’est pas disponible aux fins de la commutation de langue.

Conseil – Projets multi-utilisateurs : lorsque vous modifiez le nom d’un script, les paramètres des fonctions liées sont automatiquement ajustés après une demande de confirmation pour Permettre les modifications. Si le nom a été modifié avec succès, le script est modifié.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

Name


ID_SCRIPT_NEW

ID interne : ID_SCRIPT_NEW

{Nouveau script}

Un nouveau script portant le nom par défaut Script_X (où X correspond à la numérotation successive).

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

NewScript


ID_SCRIPT_SYNCWRITE

ID interne : ID_SCRIPT_SYNCWRITE

Ecrire de façon synchrone

Active : L’exécution d’une fonction avec cette recette est uniquement interrompue si une réponse positive résulte de l’action d’écriture ou si la période d’attente définie a expiré.
Dans les scripts, ceci permet de s’assurer que la fonction suivante n’est pas exécutée tant que celle-ci n’est pas terminée.
La confirmation peut aussi être évaluée avec le bit d’état WR-SUC.
inactive : N’attend pas la confirmation d’écriture.
Par défaut : inactive

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

SyncWrite


ID_SCRIPT_SYNCWRITE_TIMEOUT

ID interne : ID_SCRIPT_SYNCWRITE_TIMEOUT

Timeout [ms]

Un délai d’attente peut être saisi ici si la propriété Écriture synchrone a été activée.
Si une valeur de 0 est saisie ici, le système de contrôle calcule le délai d’attente de la façon suivante :
3000+(100*Nombre de points de of data points de données)
Minimum : 0.
Maximum : 4294967295
Par défaut : 0.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

SyncWriteTimeout


ID_SEA_PROP_ABBRUCH

ID interne : ID_SEA_PROP_ABBRUCH

Annuler

État de la variable d’annulation à laquelle la séquence de commutation sera annulée.

0 ... OFF

1 ... 1

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

Cancel


ID_SEA_PROP_ABBRUCH_PV

ID interne : ID_SEA_PROP_ABBRUCH_PV

Variable d'annulation

La séquence de commutation active peut être annulée via la variable sélectionnée.

Variable de procédé ou de marqueur (recommandée : BOOL, driver interne).

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

CancelVariable


ID_SEA_PROP_DIREKT

ID interne : ID_SEA_PROP_DIREKT

Directement exécutable

La séquence de commutation démarre par une fonction (Application -> Réinitialisation automatique de la séquence de commutation).

Si aucune erreur ne se produit, elle s’exécute automatiquement.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

DirectExecute


ID_SEA_PROP_GRP0

ID interne : ID_SEA_PROP_GRP0

Général

Paramètres de la séquence de commutation

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

GRP_General


ID_SEA_PROP_LERNEN

ID interne : ID_SEA_PROP_LERNEN

Autoriser l'apprentissage

La séquence de commutation peut enregistrer les actions de commutation dans le Runtime.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

LearningEnabled


ID_SEA_PROP_NAME

ID interne : ID_SEA_PROP_NAME

Identification

Nom unique de la séquence de commutation.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

Name


ID_SEA_PROP_VAR

ID interne : ID_SEA_PROP_VAR

Variable

Variable (obligatoire) sur laquelle seront transférés les états de la séquence de commutation.
Variable de marqueur (recommandée : DWORD, driver interne)

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

Variable


ID_SGW_PROP1

ID interne : ID_SGW_PROP1

Nom

Distinct name of the Gateway Parameter Set.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

Name


ID_SGW_PROP2

ID interne : ID_SGW_PROP2

Variable source

Name of the variable linked as source.

  • In Mirroring mode, state and value of this variable are transferred to the output side.
  • In Setpoint mode, the setpoint event of this variable is passed to the output setpoint action.
  • In all other modes, the state of this variable is evaluated to trigger output actions.

Opens the variable selection dialog.

Usually used with wildcards.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

SourceVariable


ID_SGW_PROP3

ID interne : ID_SGW_PROP3

Variable de référence

Name of the variable linked as target.

  • In "Mirroring" Mode, this is the output variable.
  • In all other modes, the variable defined in the targets Command Group as "Response variable" serves as Reference to the Command and Setpoint actions.

Opens the variable selection dialog.

Usually used with wildcards.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

Add


ID_SGW_PROP5

ID interne : ID_SGW_PROP5

Filtre d'intitulés de ressources

Text based filter: Only apply this Gateway rule to input variables with matching Resource label (wildcards can be used).

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

SourceFilter


ID_SGW_PROP6

ID interne : ID_SGW_PROP6

Mode

Mode of the Gateway

  • IEC
  • Mirroring
  • Non IEC
  • Source IEC emulation

Target IEC emulation

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

Mode


ID_SGW_PROP7

ID interne : ID_SGW_PROP7

Groupe de commandes

Name of the Command group to be used.
Selection from drop down box.

Not available in "Mirroring" Mode.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

CmdGrp


ID_SGW_PROP8

ID interne : ID_SGW_PROP8

Verrouillage

Link an existing interlocking to this element.

If a condition in one of the formulas of the interlocking is true, this element is locked so that no operation is possible.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

Locking


ID_SGW_PROP9

ID interne : ID_SGW_PROP9

Déverrouillage en mirour

This parameter defines what should be transferred when the interlocking condition goes.

Mirroring mode plus interlocking required.

  • Edge: Current value.
    Current source value will be transferred only.
  • Gage: Current value & Updates.
    Current source value and further changes will be transferred

Gage: Updates.
No transfer of the current source value but all further changes.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

MirrorMode


ID_SGW_PROP10

ID interne : ID_SGW_PROP10

Événement

Trigger event (Source).

Select an IEC event, Limit- or REMA Counter number from the drop down box.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

CounterID


ID_SGW_PROP11

ID interne : ID_SGW_PROP11

Identifiant de menu d'action

Action Mapping (Target).

Actions defined in the Reference variables Command group.

Select an existing action from drop down box.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

ActionID


ID_SGW_PROP12

ID interne : ID_SGW_PROP12

Surligner la variable de réponse

Mark response variable. To indicate Gateway activity the response variable can be marked with a user defined state bit. This allows a differentiation from HMI user actions.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

MarkResponse


ID_SGW_PROP13

ID interne : ID_SGW_PROP13

Enregistrer les actions bloquées

Enables/disables CEL entry for blocking events.

When enabled all actions blocked by the Gateway Module will be logged in the Event list. Actions blocked at Command Group level will be logged according to the Command Groups logging settings.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

WriteCEL


ID_SGW_PROP14

ID interne : ID_SGW_PROP14

Aperçu

Opens the dialog for display of variables which would be linked according to the wildcard rules.
In this dialogue also a traffic light indication (red-yellow-green) will be displayed which informs about the validity of the rules.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

Info


ID_SGW_PROP_GRP0

ID interne : ID_SGW_PROP_GRP0

Général

Displays properties for the Gateway.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

GRP_General


ID_SGW_PROP_GRP1

ID interne : ID_SGW_PROP_GRP1

Entrée

Displays general properties.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

GRP_Input


ID_SGW_PROP_GRP2

ID interne : ID_SGW_PROP_GRP2

Affichage des résultats

Displays input properties.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

GRP_OutPut


ID_SGW_PROP_GRP3

ID interne : ID_SGW_PROP_GRP3

Déclencheur

Displays trigger properties.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

TriggerNew1


ID_SGW_PROP_T_DEL

ID interne : ID_SGW_PROP_T_DEL

{Supprimer le déclencheur}

By clicking the selected trigger will be deleted.
This can also be done in the left part of the window using the right mouse button.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

CurveDel


ID_SGW_PROP_T_NEU

ID interne : ID_SGW_PROP_T_NEU

{Nouveau déclencheur}

By clicking a new trigger will be created.
This can also be done in the left part of the window using the right mouse button.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

TriggerNew


ID_SIZEINBYTE

ID interne : ID_SIZEINBYTE

Dimension en octet

Affichage de la taille totale de la variable de structure, en octets.
Cette propriété est uniquement fournie à titre d’information et ne peut pas être modifiée.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

SizeInByte


ID_SPRECON870_COUNTER_NODE

ID interne : ID_SPRECON870_COUNTER_NODE

Counters

Propriétés du groupe de compteurs.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

SPRECON870_Counters


ID_SPRECON870_COUNTERACTIVE

ID interne : ID_SPRECON870_COUNTERACTIVE

Counter value handling

Disponible uniquement si un groupe a été créé dans la configuration du driver.

Active : Le traitement du compteur est utilisé par le driver.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

SPRECON870_CounterActive


ID_SPRECON870_COUNTERGROUP

ID interne : ID_SPRECON870_COUNTERGROUP

Counter group

Disponible uniquement si la propriété Counter value handling est active.

Nom permettant d’identifier le groupe de compteurs, comme défini dans le driver.

Le comportement de la variable est défini par le biais de l’attribution de la variable à un groupe de compteurs. Le groupe de compteurs représente une sorte de matrice de réaction contrôlant le traitement du compteur (par ex. remplacement d’une valeur absolue par une valeur relative).

Par défaut : < Pas de groupe >

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

SPRECON870_CounterGroupID


ID_SPRECON870_INITVAL

ID interne : ID_SPRECON870_INITVAL

Initial value

La valeur initiale est uniquement utilisée si la propriété Reverse direction only a été activée ou si l’adresse réseau de la variable fait référence à une connexion sélectionnée en tant que Internal connection. Pour les variables de données String, aucune valeur initiale ne peut être établie.
Si le Runtime est démarré et aucune valeur issue de l’image rémanente n’a été attribuée à la variable, la valeur initiale et l’état NT sont écrits dans cette variable.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

SPRECON870_ReverseDirectionInitialValue


ID_SPRECON870_MAXCOUNTDIFF

ID interne : ID_SPRECON870_MAXCOUNTDIFF

Maximum counter difference

Disponible uniquement si la propriété Counter value handling est active.

Définit l’écart maximal entre deux valeurs de comptage transférées. Le changement maximum fait référence à la valeur normalisée du compteur (calcul de la valeur). En cas de dépassement de la différence maximale entre les valeurs de comptage, le paramètre de la propriété Max. counter diff. exceeded est exécuté.

Minimum : 0 – désactivé ; le changement de la valeur maximum n’est pas surveillé.

Maximum : 65535

Par défaut : 0

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

SPRECON870_MaxCounterDifference


ID_SPRECON870_ONMAXCOUNTDIFF

ID interne : ID_SPRECON870_ONMAXCOUNTDIFF

Max. counter diff. exceeded

Disponible uniquement si la propriété Counter value handling est active.

Traitement des valeurs du compteur (relatives/absolues) provoquant une réaction de la fonction de surveillance de Maximum counter difference.

Sélectionnez dans la liste déroulante :

- Désactivé

- Définir l’état INVALID : l’état est défini et, si elle est configurée, la propriété Replacement value handling est activée. Ce traitement s’applique également en cas de dépassement du compteur de valeurs absolues. Si l’état d’erreur est déclenché, l’état INVALID est défini et la valeur actuelle du compteur est ignorée. La dernière valeur de compteur reçue est identifiée comme non valide. Les calculs nécessitant une valeur de compteur antérieure ne peuvent être effectués que si deux valeurs de compteur ont été reçues. L’état INVALID est réinitialisé dès qu’une nouvelle valeur de compteur présentant une différence inférieure à la valeur du paramètre défini pour la propriété Replacement value handling est reçue.

Par défaut : Désactivé

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

SPRECON870_OnMaxCounterDifference


ID_SPRECON870_ONNOUPDATE

ID interne : ID_SPRECON870_ONNOUPDATE

Not updated in time

Disponible uniquement si la propriété Counter value handling est active.

Définit le comportement lorsque les valeurs de compteur ne sont pas actualisées dans l’intervalle défini, ou lorsque la fonction de traitement des valeurs de remplacement est activée. Sélectionnez dans la liste déroulante :
- Désactivé : les paramètres de la propriété Replacement value handling sont utilisés.

- Définir l’état INVALID : L’état INVALID est défini.

Par défaut : Désactivé

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

SPRECON870_OnNoUpdate


ID_SPRECON870_REMANENT

ID interne : ID_SPRECON870_REMANENT

Remanent

Disponible uniquement si la propriété Reverse direction enable est active. La dernière valeur, les informations d’horodatage et l’état de la variable sont enregistrées dans l’image rémanente. Après le redémarrage, la valeur, les informations d’horodatage et l’état sont lus depuis l’image rémanente et sont attribués à la variable.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

SPRECON870_ReverseDirectionRemanent


ID_SPRECON870_REVDIR_NODE

ID interne : ID_SPRECON870_REVDIR_NODE

Reverse direction

Propriétés de Reverse direction.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être adressée comme suit pour l’API zenon (avec nom de la classe) :

SPRECON870_ReverseDirection


ID_SPRECON870_REVDIRENABLED

ID interne : ID_SPRECON870_REVDIRENABLED

Reverse direction enable

Activation de la Reverse-direction.

Active : La variable est envoyée dans la Reverse-direction après envoi d’une requête générale correspondante.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

SPRECON870_ReverseDirectionEnable


ID_SPRECON870_REVDIRONLY

ID interne : ID_SPRECON870_REVDIRONLY

Reverse direction only

Disponible uniquement si la propriété Reverse direction enable a été activée.
Active : Une valeur reçue de l’automate n’est jamais attribuée à cette variable. Après le démarrage du Runtime, la variable de la valeur initiale configurée ou d’une valeur de l’image rémanente est attribuée. Après cela, la variable peut uniquement être modifiée par l’écriture d’une valeur prescrite.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

SPRECON870_ReverseDirectionOnly


ID_SPRECON870_STRUCT_COA1

ID interne : ID_SPRECON870_STRUCT_COA1

COA1

Entrée structurée pour le paramètre COA.

Entrée de l’octet 1 pour la propriété IEC870 COA.

Plus de détails dans le manuel PDF.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

SPRECON870_StructuredCOA1


ID_SPRECON870_STRUCT_COA2

ID interne : ID_SPRECON870_STRUCT_COA2

COA2

Entrée structurée pour le paramètre COA.

Entrée de l’octet 2 pour la propriété IEC870 COA.

Plus de détails dans le manuel PDF.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

SPRECON870_StructuredCOA2


ID_SPRECON870_STRUCT_IOA1

ID interne : ID_SPRECON870_STRUCT_IOA1

IOA1

Entrée structurée pour le paramètre IOA.

Entrée de l’octet 2 pour la propriété IEC870 IOA.

Plus de détails dans le manuel PDF.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

SPRECON870_StructuredIOA1


ID_SPRECON870_STRUCT_IOA2

ID interne : ID_SPRECON870_STRUCT_IOA2

IOA2

Entrée structurée pour le paramètre IOA.

Entrée de l’octet 1 pour la propriété IEC870 IOA.

Plus de détails dans le manuel PDF.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

SPRECON870_StructuredIOA2


ID_SPRECON870_STRUCT_IOA3

ID interne : ID_SPRECON870_STRUCT_IOA3

IOA3

Entrée structurée pour le paramètre IOA.

Entrée de l’octet 0 pour la propriété IEC870 IOA.

Plus de détails dans le manuel PDF.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

SPRECON870_StructuredIOA3


ID_SPRECON870_SUBSTITUTE_NODE

ID interne : ID_SPRECON870_SUBSTITUTE_NODE

Replacement value handling

Propriétés de traitement des valeurs de remplacement. Les propriétés sont utilisées si des propriétés sont définies dans le groupe. Le traitement des valeurs de remplacement concerne toutes les variables du driver.

Attention : Si le traitement des valeurs de remplacement est activé dans le driver, aucune stratégie de valeur de remplacement ne peut être développée pour cette variable dans zenon.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

SPRECON870_ReplacementHandling


ID_SPRECON870_SUBSTVALUETYPE

ID interne : ID_SPRECON870_SUBSTVALUETYPE

Replacement value handling

Sélection du traitement des valeurs de remplacement si la variable possède l’état INVALID ou NT_870. Sélectionnez dans la liste déroulante :

- Désactivé pas de traitement des valeurs de remplacement.

Dernière valeur valide : sélection de la dernière valeur non interrompue. Pour cela, une image de procédé doit être enregistrée à partir de la valeur. Si aucune valeur telle n’est présente, la valeur disponible est utilisée (par ex. 0 + INVALID).

- Utiliser une valeur de remplacement : la valeur de la propriété Replacement value est écrite dans la variable.

Utiliser une variable de remplacement : la valeur et l’état de la propriété Replacement variable sont écrites dans la variable.
Exception : si la variable de la valeur de remplacement comporte l’état INVALID ou NT_870, elle n’est remplacée par cette variable, mais la variable d’origine est conservée, ainsi que sa valeur et son état.
Cas spécial de l’état GI : lors d’une interrogation générale, la valeur de remplacement peut ne pas encore être disponible ; une variable peut donc brièvement recevoir l’état INVALID, jusqu’à ce que la valeur de remplacement soit reçue.

Tous les paramètres, excepté Désactivé, définissent le bit d’état ALT_VAL. Dès que la raison justifiant le traitement de la valeur de remplacement (INVALID ou NT_870) disparaît, la variable reprend la valeur de procédé et le bit d’état ALT_VAL est redéfini.

Par défaut : Désactivé

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

SPRECON870_ReplacementType


ID_SPRECON870_SUBSTVALUEVAL

ID interne : ID_SPRECON870_SUBSTVALUEVAL

Replacement value

Valeur devant être écrite dans la variable si vous avez sélectionné l’option Utiliser une valeur de remplacement pour la propriété Replacement value handling.

Minimum : 4294967295

Maximum : 0

Par défaut : 0

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

SPRECON870_ReplacementValue


ID_SPRECON870_SUBSTVALUEVAR

ID interne : ID_SPRECON870_SUBSTVALUEVAR

Replacement variable

Variable dont la valeur et l’état sont repris si vous avez sélectionné l’option Utiliser une valeur de remplacement pour la propriété Replacement value handling. Chaque changement de valeur de la variable de la valeur de remplacement se reflète au niveau de la variable interrompue. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de variable.

Attention : Vous pouvez uniquement choisir une variable du même driver. Si vous sélectionnez une variable d’un autre driver dans la boîte de dialogue, la boîte de dialogue est fermée, mais le paramètre n’est pas appliqué.

Par défaut : Vide

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

SPRECON870_ReplacementVariable


ID_STARTATNEWOFFSET

ID interne : ID_STARTATNEWOFFSET

Chaque type de données commence avec un nouvel offset

Disponible uniquement si la fonction d’adressage automatique est active.
Active : Chaque type de données de la variable de structure démarre à un nouvel offset.
Inactive : Les types de données des variables de structure peuvent également être compris dans le même offset.
Default : active.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

IsStartAtNewOffset


ID_STRATON_1

ID interne : ID_STRATON_1

Nom du projet

Nom du projet zenon Logic. Longueur maximale : 15 caractères.
Attention : modifier le nom du projet peut entraîner la perte des liens vers les éléments dynamiques.
Attention : Cette propriété n’est pas disponible aux fins de la commutation de langue.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

Name


ID_STRATON_2

ID interne : ID_STRATON_2

Dossier projet

Répertoire de travail du projet zenon Logic.

Attention : Cette propriété ne peut pas être modifiée.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

WorkingFolder


ID_STRATON_3

ID interne : ID_STRATON_3

'Host' cible

Hôte Runtime (adresse IP ou nom de l’ordinateur) du système cible zenon Logic utilisé pour la connexion à l’espace de travail, par ex. aux fins du débogage en ligne.
Par défaut : localhost.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

VMHost


ID_STRATON_4

ID interne : ID_STRATON_4

Port de la cible

Port Runtime du système cible zenon Logic utilisé pour la connexion à l’espace de travail. Ces informations sont destinées à permettre à l’espace de travail de zenon Logic de se connecter au système cible (Runtime de zenon Logic), par ex. aux fins du débogage en ligne.
Minimum : 0.
Maximum : 4294967295
Par défaut : 1200.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

VMPort


ID_STRATON_5

ID interne : ID_STRATON_5

Type de démarrage

Le type de départ définit si et comment le Runtime zenon Logic sera démarré avec le Runtime du système de contrôle.
Démarrage automatique : le Runtime zenon Logic sera démarré avec le Runtime du système de contrôle. Si le Runtime du système de contrôle est arrêté, le Runtime zenon Logic continue à s’exécuter.
Arrêt/démarrage automatique : le Runtime zenon Logic sera démarré avec le Runtime du système de contrôle. Si le Runtime du système de contrôle est arrêté, le Runtime zenon Logic continue à s’exécuter.
Démarrage manuel : le Runtime zenon Logic ne sera pas affecté par le démarrage ou l’arrêt du Runtime du système de contrôle. Dans ce cas, le Runtime zenon Logic doit être démarré manuellement (par ex. à l’aide du module zenon Logic Runtime Manager).
Par défaut : Arrêt/démarrage automatique.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

VMStartTyp


ID_STRATON_6

ID interne : ID_STRATON_6

Poste de démarrage

Cette propriété n’a d’importance que lorsqu’elle est associée aux types de démarrage de Runtime "Démarrage/arrêt autom." et "Démarrage autom.".

  • Tous les ordinateurs :
    Sur tous les ordinateurs (Serveur 1, Serveur 2 et clients) sur lesquels est chargé le projet zenon, le Runtime de zenon Logic est arrêté et démarré en même temps que le Runtime de zenon.
  • Serveur 1 :
    Le Runtime de zenon Logic est uniquement démarré et arrêté sur le Serveur 1. Le Runtime de zenon Logic n’est pas démarré sur les clients ou sur le Serveur 2.
  • Serveur 1 et serveur 2 :
    Le Runtime de zenon Logic est uniquement démarré et arrêté sur le Serveur 1 et le Serveur 2. Le Runtime de zenon Logic n’est pas démarré sur les clients.
    Attention : Si cette option est utilisée, la valeur localhost doit être utilisée pour la propriété 'Host'. Dans le cas contraire, le Runtime de zenon Logic ne peut plus démarrer.

Par défaut : tous les ordinateurs

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

VMStartArea


ID_Syskron_LDS_FKT_RD

ID interne : ID_Syskron_LDS_FKT_RD

Syskron_LDS Function Read

Définissez la fonction d’accès en lecture. Cliquez sur le bouton pour ouvrir la boîte de dialogue de sélection de fonctions d’accès. Vous pouvez également saisir le nom de la fonction d’accès dans la zone de texte.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

Syskron_LDS_FKT_RD


ID_Syskron_LDS_FKT_WR

ID interne : ID_Syskron_LDS_FKT_WR

Syskron_LDS Function Write

Définissez la fonction d’accès en écriture. Cliquez sur le bouton pour ouvrir la boîte de dialogue de sélection de fonctions d’accès. Vous pouvez également saisir le nom de la fonction d’accès dans la zone de texte.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

Syskron_LDS_FKT_WR


ID_Syskron_LDS_PARAM_RD

ID interne : ID_Syskron_LDS_PARAM_RD

Syskron_LDS Parameters Read

Définissez tous les paramètres de la fonction. Cliquez sur le bouton pour ouvrir la boîte de dialogue et saisir les paramètres qui seront transmis à la fonction pour être lus durant le Runtime.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

Syskron_LDS_PARAM_RD


ID_Syskron_LDS_PARAM_WR

ID interne : ID_Syskron_LDS_PARAM_WR

Syskron_LDS Parameters Write

Définissez tous les paramètres de la fonction. Cliquez sur le bouton pour ouvrir la boîte de dialogue et saisir les paramètres qui seront transmis à la fonction pour être écrits durant le Runtime. Le dernier paramètre est toujours la valeur prescrite envoyée par zenon.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

Syskron_LDS_PARAM_WR


ID_SYSVAR_INHALT

ID interne : ID_SYSVAR_INHALT

Typ

Définition du type de la variable de driver système. Sélectionnez dans la liste déroulante.
Le contenu peut uniquement être modifié s’il n’existe encore aucune variable possédant le nouveau type.

Par exemple : Vous ne pouvez créer qu’une variable [alarmes] Alarmes acquittées par projet.

Attention : si vous modifiez le type, les noms de variable ne sont pas modifiés !

Le type de données peut être modifié. N’oubliez pas que l’utilisation de variables dans des éléments dynamiques peut nécessiter l’ajustement de la plage d’affichage ou du nom de la variable dans VBA/VSTA.

La liste déroulante restera vide pour les variables de driver système définies par l’utilisateur.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

Inhalt


ID_SYSVAR_THEMA

ID interne : ID_SYSVAR_THEMA

Thema

Groupe logique de la variable système.

La liste déroulante restera vide pour les variables de driver système définies par l’utilisateur.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

Thema


ID_TEMPLATE_PROP1

ID interne : ID_TEMPLATE_PROP1

Nom

Nom unique du gabarit.

Longueur maximale :

  • Projet : 28 caractères
  • Projet global : 27 caractères

Par défaut : Modèle_x (x représente un nombre défini de manière consécutive).
Remarque : Si le nom est modifié, celui-ci doit être à nouveau saisi, le cas échéant, dans la propriété Gabarits principaux. Dans le cas contraire, la variable de driver système [Infos projet] Dernier synoptique ouvert ne peut plus identifier les synoptiques à partir de ce cadre.

Attention : Cette propriété n’est pas disponible aux fins de la commutation de langue.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

TemplateName


ID_TEMPLATE_PROP2

ID interne : ID_TEMPLATE_PROP2

Haut [pixels]

Coordonnée Y du coin supérieur gauche du modèle, en pixels (selon la résolution définie).
Minimum : -2147483648.
Maximum : 2147483647
Par défaut : 0

Attention : Nous déconseillons de définir des modèles mesurant plus de 32 000 x 32 000 pixels, afin d’éviter les effets de flou.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

PosTop


ID_TEMPLATE_PROP3

ID interne : ID_TEMPLATE_PROP3

Gauche [pixels]

Coordonnée X du coin supérieur gauche du modèle, en pixels (selon la résolution définie).
Minimum : -2147483648.
Maximum : 2147483647
Par défaut : 0

Attention : Nous déconseillons de définir des modèles mesurant plus de 32 000 x 32 000 pixels, afin d’éviter les effets de flou.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

PosLeft


ID_TEMPLATE_PROP4

ID interne : ID_TEMPLATE_PROP4

Droite [pixels]

Coordonnée X du coin inférieur droit du modèle, en pixels (selon la résolution de moniteur définie).
Minimum : -2147483648.
Maximum : 2147483647
Par défaut : Résolution actuelle maximum de l’écran.

Attention : Nous déconseillons de définir des modèles mesurant plus de 32 000 x 32 000 pixels, afin d’éviter les effets de flou.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

PosRight


ID_TEMPLATE_PROP5

ID interne : ID_TEMPLATE_PROP5

Bas [pixels]

Coordonnée X du coin inférieur droit du modèle, en pixels (selon la résolution de moniteur définie).
Minimum : -2147483648.
Maximum : 2147483647
Par défaut : Résolution actuelle maximum de l’écran.

Attention : Nous déconseillons de définir des modèles mesurant plus de 32 000 x 32 000 pixels, afin d’éviter les effets de flou.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

PosBottom


ID_TEMPLATE_PROP7

ID interne : ID_TEMPLATE_PROP7

Couleur d'arrière-plan

Couleur d’arrière-plan proposée pour tous les nouveaux synoptiques configurés avec ce cadre.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

BackgroundColor


ID_TEMPLATE_PROP8

ID interne : ID_TEMPLATE_PROP8

Fichier graphique

Sélection du fichier graphique d’arrière-plan utilisé pour tous les synoptiques créés sur la base de ce modèle.
Remarque : une modification du fichier graphique n’affecte pas les synoptiques déjà existants créés sur la base de ce modèle.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

BackgroundPicture


ID_TEMPLATE_PROP9

ID interne : ID_TEMPLATE_PROP9

Alignement

Uniquement disponible lorsque vous avez sélectionné l’élément Fichier graphique.

Types d’affichage disponibles :
Mosaïque : taille d’origine, affiché sous forme de "carreaux" positionnés côte à côte.

Étiré : étiré à la taille du synoptique.

Normal : taille d’origine, positionné dans le coin supérieur gauche.
Centré : taille d’origine, centré au milieu du synoptique.

Par défaut : Normal.

Vous ne pouvez pas le déplacer librement.

Remarque : Une modification de l’orientation n’affecte pas les synoptiques déjà existants créés sur la base de ce modèle.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

BackgroundPictureStyle


ID_TEMPLATE_PROP10

ID interne : ID_TEMPLATE_PROP10

Toujours en avant plan

Active : Aucun autre synoptique ne sera superposé à cette zone durant le fonctionnement en ligne. En revanche, il est possible de créer des synoptiques en arrière-plan.
Inactive : Les synoptiques basés sur ce modèle peuvent être recouverts par d’autres synoptiques.
Par défaut : inactive.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

ShowForeground


ID_TEMPLATE_PROP11

ID interne : ID_TEMPLATE_PROP11

Titre

Disponible seulement, si un cadre est sélectionné pour le modèle :
Active : Les barres de titre de Windows sont utilisées pour les synoptiques basés sur ce modèle. Les synoptiques peuvent être déplacés dans le Runtime.
Inactive : Aucune barre de titre n’est utilisée.
Par défaut : inactive.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

ShowTitle


ID_TEMPLATE_PROP12

ID interne : ID_TEMPLATE_PROP12

Menu système

Disponible uniquement si le titre est actif.
Active : Affiche le menu système de Windows dans la barre de titre.
Inactive : Le menu système n’est pas affiché.
Par défaut : inactive.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

ShowSysMenu


ID_TEMPLATE_PROP13

ID interne : ID_TEMPLATE_PROP13

Boutons Min./Max.

Disponible uniquement si le titre est actif.
Active : Affiche un champ de symboles de Windows dans la barre de titre.
Inactive : Ne pas afficher de champ de symboles.
Par défaut : inactive.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

ShowMinimize


ID_TEMPLATE_PROP14

ID interne : ID_TEMPLATE_PROP14

Type de cadre

Configuration du type de cadre. Ceci définit également si la taille du cadre peut être modifiée dans le Runtime.

  • Redimensionnable : La taille du cadre peut être modifiée dans le Runtime. Une bordure épaisse est affichée autour du cadre.
  • Taille fixe : La taille ne peut pas être modifiée. Une bordure fine est affichée autour du cadre.
  • Pas de cadre : La taille ne peut pas être modifiée. Aucune bordure n’est affichée autour du synoptique.

Par défaut : Plat

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

BorderStyle


ID_TEMPLATE_PROP18

ID interne : ID_TEMPLATE_PROP18

Afficher dans l'éditeur des gabarits

Active : Le modèle sélectionné est affiché dans l’éditeur de cadres.
Inactive : Le modèle n’est pas affiché dans l’éditeur de cadres.
par défaut : inactive.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

VisibleInEditor


ID_TEMPLATE_PROP20

ID interne : ID_TEMPLATE_PROP20

Utiliser position standard

active : place le modèle pour la ligne d’état des alarmes le long de la bordure supérieure de l’écran.

Par défaut : active

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

StandardPosition


ID_TEMPLATE_PROP21

ID interne : ID_TEMPLATE_PROP21

Position

Détermine la position du modèle et des synoptiques basés sur celui-ci dans le Runtime.

Utiliser la position absolue : Positionne le cadre aux coordonnées définies dans la propriété Position.

Par rapport à l’élément : Positionne le point de référence du cadre par rapport à l’élément depuis lequel l’appel de synoptique a été exécuté. Ici, vous pouvez définir le point de référence du modèle (dans la propriété Point de référence du gabarit) et le point de référence de l’élément (dans la propriété Point de référence de l'élement), ainsi que les distances par rapport à l’élément. Le point de référence du cadre sera toujours placé sur le point de référence calculé de l’élément. Si le cadre ne peut pas être désactivé dans cette position, car cela placerait le synoptique hors de l’écran, les points de référence alternatifs sont utilisés. Vous pouvez configurer les points de référence alternatifs du modèle dans la propriété Point de référence du gabarit et ceux de l’élément dans la propriété Point de référence alternatif de l'élément.

Par rapport au pointeur de souris : Le synoptique est positionné par rapport au point de référence du cadre, c’est-à-dire la position actuelle du pointeur de souris. Vous pouvez définir le point de référence dans la propriété Point de référence du gabarit. Il est affiché sous la forme d’un point rouge dans l’éditeur de cadres. Exemple : Si le point de référence se trouve sur le côté supérieur gauche, le cadre sera chargé dans le coin inférieur droit du point de référence.
Si le synoptique ne peut pas être affiché entièrement à la position configurée, la position sera décalée jusqu’à ce que le synoptique se trouve entièrement dans la zone affichable de l’écran.

Par défaut : utiliser position absolue

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

PosType


ID_TEMPLATE_PROP22

ID interne : ID_TEMPLATE_PROP22

Vertical

Active uniquement si vous sélectionnez Par rapport à l’élément ou Par rapport au pointeur de souris pour la propriété Position.

Sélectionnez le point de référence souhaité pour le modèle dans la liste déroulante. Choisissez parmi haut, bas ou centré.

Par défaut : Haut

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

RefVert


ID_TEMPLATE_PROP23

ID interne : ID_TEMPLATE_PROP23

Horizontal

Active uniquement si vous sélectionnez Par rapport à l’élément ou Par rapport au pointeur de souris pour la propriété Position.

Sélectionnez le point de référence souhaité pour le modèle dans la liste déroulante. Choisissez parmi gauche, droite ou centré.

Par défaut : À gauche

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

RefHorz


ID_TEMPLATE_PROP24

ID interne : ID_TEMPLATE_PROP24

Vertical

Active uniquement si vous avez sélectionné Par rapport à l’élément dans la propriété Position.

Sélectionnez le point de référence souhaité pour le modèle dans la liste déroulante. Lors du chargement du modèle, ce point de référence est pris en compte. Choisissez parmi haut ou bas.

Par défaut : Haut

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

PosVert


ID_TEMPLATE_PROP25

ID interne : ID_TEMPLATE_PROP25

Horizontal

Active uniquement si vous avez sélectionné Par rapport à l’élément dans la propriété Position.

Sélectionnez le point de référence souhaité pour le modèle dans la liste déroulante. Lors du chargement du modèle, ce point de référence est pris en compte. Choisissez parmi gauche ou droite.

Par défaut : À gauche

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

PosHorz


ID_TEMPLATE_PROP26

ID interne : ID_TEMPLATE_PROP26

Décalage vertical [pixel]

Active uniquement si vous avez sélectionné Par rapport à l’élément dans la propriété Position.

En saisissant une valeur numérique positive ou négative, vous pouvez déplacer le point de référence verticalement.

Par défaut : 2

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

PixelVert


ID_TEMPLATE_PROP27

ID interne : ID_TEMPLATE_PROP27

Décalage horizontal [pixel]

Active uniquement si vous avez sélectionné Par rapport à l’élément dans la propriété Position.

En saisissant une valeur numérique positive ou négative, vous pouvez déplacer le point de référence horizontalement.

Par défaut : 2

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

PixelHorz


ID_TEMPLATE_PROP28

ID interne : ID_TEMPLATE_PROP28

Alternative verticale

Active uniquement si vous avez sélectionné Par rapport à l’élément dans la propriété Position.

Sélectionnez le point de référence souhaité pour le modèle dans la liste déroulante. Le point de référence alternatif sera utilisé s’il est impossible de positionner le modèle au point de référence préféré lors du chargement du modèle. Choisissez parmi haut, bas ou centré.

Par défaut : Haut

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

AltRefVert


ID_TEMPLATE_PROP29

ID interne : ID_TEMPLATE_PROP29

Alternative horizontale

Active uniquement si vous avez sélectionné Par rapport à l’élément dans la propriété Position.

Sélectionnez le point de référence souhaité pour le modèle dans la liste déroulante. Le point de référence alternatif sera utilisé s’il est impossible de positionner le modèle au point de référence préféré lors du chargement du modèle. Choisissez parmi gauche, droite ou centré.

Par défaut : À gauche

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

AltRefHorz


ID_TEMPLATE_PROP30

ID interne : ID_TEMPLATE_PROP30

Vertical

Active uniquement si vous avez sélectionné Par rapport à l’élément dans la propriété Position.

Sélectionnez le point de référence souhaité pour le modèle dans la liste déroulante. Le point de référence alternatif sera utilisé s’il est impossible de positionner le modèle au point de référence préféré lors du chargement du modèle. Choisissez parmi haut ou bas.

Par défaut : Haut

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

AltPosVert


ID_TEMPLATE_PROP31

ID interne : ID_TEMPLATE_PROP31

Horizontal

Active uniquement si vous avez sélectionné Par rapport à l’élément pour la propriété Position.

Sélectionnez le point de référence souhaité pour le modèle dans la liste déroulante. Le point de référence alternatif sera utilisé s’il est impossible de positionner le modèle au point de référence préféré lors du chargement du modèle. Choisissez parmi gauche ou droite.

Par défaut : À gauche

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

AltPosHorz


ID_TEMPLATE_PROP32

ID interne : ID_TEMPLATE_PROP32

Décalage vertical [pixel]

Active uniquement si vous avez sélectionné Par rapport à l’élément dans la propriété Position.

En saisissant une valeur numérique positive ou négative, vous pouvez déplacer le point de référence alternatif verticalement.

Par défaut : 2

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

AltPixelVert


ID_TEMPLATE_PROP33

ID interne : ID_TEMPLATE_PROP33

Décalage horizontal [pixel]

Active uniquement si vous avez sélectionné Par rapport à l’élément dans la propriété Position.

En saisissant une valeur numérique positive ou négative, vous pouvez déplacer le point de référence alternatif horizontalement.

Par défaut : 2

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

AltPixelHorz


ID_TEMPLATE_PROP34

ID interne : ID_TEMPLATE_PROP34

Fermer après la perte du focus

Contrôle le comportement du cadre lors de la perte du focus.

Active : Lorsque vous cliquez avec le bouton gauche de la souris hors du cadre, il est fermé automatiquement si vous cliquez dans une zone de l’écran qui forme partie du Runtime zenon, mais ne forme pas partie du cadre ou du cadre pour lequel la propriété Ne pas fermer après la perte du focus est active.

Par défaut : Inactive

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

CloseOnClickOutside


ID_TEMPLATE_PROP35

ID interne : ID_TEMPLATE_PROP35

Forme de gabarit librement définie

Permet d’utiliser une forme libre de modèle pour le modèle sélectionné. Vous pouvez ainsi définir des modèles comportant par exemple des coins arrondis, des trous, etc.

  • Active : la forme libre de modèle est utilisée pour ce modèle et les synoptiques liés au modèle.
  • Inactive : Les formes des cadres ne peuvent pas être librement définies. Une forme de cadre librement définie est affichée dans l’éditeur de cadres et de synoptiques.

Par défaut : Inactive

Remarque :

  • Indisponible pour le cadre Ligne d’état des alarmes, ainsi que sous Windows CE.
  • Ne peut pas être associé avec les propriétés du groupe Bordure.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

UseFreeForming


ID_TEMPLATE_PROP36

ID interne : ID_TEMPLATE_PROP36

Définir une forme libre de gabarit

Disponible uniquement si vous avez activé la propriété Forme de gabarit librement définie.

Permet de définir la forme pour le modèle sélectionné. Cliquez avec le bouton gauche sur le bouton pour ouvrir le modèle correspondant dans l’éditeur de cadres. Ici, vous pouvez définir la forme du modèle à base de cercles, de rectangles, de rectangles arrondis et de polygones.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

DefineFreeForm


ID_TEMPLATE_PROP37

ID interne : ID_TEMPLATE_PROP37

Ne pas fermer après la perte du focus

Contrôle le comportement des autres cadres lors de la perte du focus. Il est possible de définir les zones de l’écran pour lesquelles le fait de cliquer dans ce cadre annule automatiquement la fermeture de cadres pour lesquels la propriété Fermer après la perte du focus est active.

  • Active : Si ce cadre reçoit le focus, tous les autres cadres pour lesquels la propriété Fermer après la perte du focus est active restent ouverts, malgré la perte du focus.
  • Inactive : Si ce cadre reçoit le focus, tous les autres cadres pour lesquels la propriété Fermer après la perte du focus est active sont fermés.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

IgnoreCloseOnClick


ID_TEMPLATE_PROP38

ID interne : ID_TEMPLATE_PROP38

Garder position et taille pour le prochain affichage

Active : Un cadre déplacé manuellement dans le Runtime n’est pas réinitialisé dans sa position de développement lors de l’affichage d’un nouveau synoptique, si le cadre est déjà ouvert sur le même client. Leur position et leur taille sont conservées.

Remarque : Cette option doit être active pour que la position du cadre soit enregistrée avant l’actualisation, et que le cadre soit appelé dans la même position enregistrée après l’actualisation.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

NoMoveOnReopen


ID_TEMPLATE_PROP39

ID interne : ID_TEMPLATE_PROP39

Largeur (maximum) [pixels]

Définit la largeur maximum du cadre en pixels, depuis le point d’ancrage gauche.

  • Maximum : 10000
    Indisponible sous Windows CE.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

PosWidth


ID_TEMPLATE_PROP40

ID interne : ID_TEMPLATE_PROP40

Hauteur (maximum) [pixels]

Définit la hauteur maximum du cadre en pixels, depuis le point d’ancrage supérieur.

  • Maximum : 10000
    Indisponible sous Windows CE.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

PosHeight


ID_TEMPLATE_PROP41

ID interne : ID_TEMPLATE_PROP41

Le gabarit peut être activé plusieurs fois

Active : Plusieurs cadres peuvent être activés dans le Runtime : Les synoptiques reposant sur ce cadre sont chargés lorsqu’ils sont appelés avec un nouveau cadre, et non avec le même cadre. S’il s’agit du même synoptique, le synoptique est rechargé.

Par défaut : Inactive

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

OpenMultiple


ID_TEMPLATE_PROP_GRP0

ID interne : ID_TEMPLATE_PROP_GRP0

Général

Propriétés générales du cadre.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

GRP_General


ID_TEMPLATE_PROP_GRP1

ID interne : ID_TEMPLATE_PROP_GRP1

Bordure

Propriétés du cadre du modèle.

Indisponible si la propriété Forme de gabarit librement définie a été activée.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

GRP_Frame


ID_TEMPLATE_PROP_GRP2

ID interne : ID_TEMPLATE_PROP_GRP2

Position

Propriétés de la position et de la taille du modèle.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

GRP_Position


ID_TEMPLATE_PROP_GRP3

ID interne : ID_TEMPLATE_PROP_GRP3

Graphique d'arrière plan

Un fichier graphique peut être affiché en arrière-plan de tous les synoptiques. Les fichiers graphiques d’arrière-plan utilisés pour les cadres sont automatiquement attribués à tous les nouveaux synoptiques créés sur la base de ce cadre. Les synoptiques existants doivent être actualisés ultérieurement manuellement.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

GRP_BackgroundPicture


ID_TEMPLATE_PROP_GRP4

ID interne : ID_TEMPLATE_PROP_GRP4

Point de référence du gabarit

Ici, vous pouvez définir le point de référence du cadre. Le cadre sera chargé par rapport à ce point dans le Runtime si vous avez sélectionné l’option Par rapport au curseur de la souris ou Par rapport à l’élément dans la propriété Position.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

GRP_TemplateReference


ID_TEMPLATE_PROP_GRP5

ID interne : ID_TEMPLATE_PROP_GRP5

Point de référence de l'élement

Active uniquement si vous avez sélectionné Par rapport à l’élément dans la propriété Position.

Ici, vous définissez le point de référence au niveau de l’élément. Le cadre sera chargé en rapport à ce point. Par exemple, si le point de référence est à gauche/centré à une distance de 0 pixel, le point de référence du cadre sera positionné exactement sur ce point de référence au niveau de la bordure gauche, au centre de l’élément. Vous pouvez définir le point de référence du cadre dans la propriété Point de référence du gabarit.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

GRP_PrimaryReference


ID_TEMPLATE_PROP_GRP6

ID interne : ID_TEMPLATE_PROP_GRP6

Point de référence alternatif de l'élément

Active uniquement si vous avez sélectionné Par rapport à l’élément dans la propriété Position.

Ici, vous définissez le point de référence alternatif au niveau de l’élément. Ce point est uniquement utilisé si le cadre ne peut pas être chargé dans la zone affichable de l’écran. Nous vous recommandons toujours d’utiliser des paramètres opposés au point de référence habituel (configuré dans la propriété Point de référence de l'élement).

Exemple : Si le point de référence est à droite/centré, le point de référence alternatif doit être à gauche/centré.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

GRP_AlternativeReference


ID_TEMPLATE_PROP_GRP7

ID interne : ID_TEMPLATE_PROP_GRP7

Forme de gabarit librement définie

Propriétés des formes libres de cadres.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

GRP_FreeTemplateShape


ID_TEMPLOGIN

ID interne : ID_TEMPLOGIN

Connexion temporaire active

Activation d’une connexion temporaire pour les utilisateurs qui souhaitent actionner un élément, mais ne sont pas connectés :

  • Active : Tout utilisateur ayant besoin d’une autorisation d’utilisation est invité à saisir son identifiant et son mot de passe. À cette fin, le synoptique de connexion ou une boîte de dialogue modale s’affiche à l’écran, en fonction de la configuration. L’utilisateur est automatiquement déconnecté immédiatement après l’opération
  • Inactive : Tout utilisateur ayant besoin d’une autorisation d’utilisation est informé qu’il n’est pas autorisé à exécuter cette opération.

Par défaut : active

Remarque :

  • Vous pouvez définir la position et la taille de la boîte de dialogue modale dans le fichier zenon6.ini, à l’entrée [Befehlsgabe] Position =.
  • Le synoptique de connexion peut être utilisé à la place de la boîte de dialogue modale. Ce choix est défini à l’aide de la propriété Synoptique pour Connexion avec signature.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

TempLogin


ID_TEXTLIST_PROP01

ID interne : ID_TEXTLIST_PROP01

Name

Description as text.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

Name


ID_TEXTLIST_PROP02

ID interne : ID_TEXTLIST_PROP02

Beschreibung

Description as text.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

Description


ID_TEXTLIST_PROPGRP1

ID interne : ID_TEXTLIST_PROPGRP1

Text

Description as text.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

GRP_General


ID_TIMEFILTER_MODIFYTIMEPERIOD

ID interne : ID_TIMEFILTER_MODIFYTIMEPERIOD

ModifyTimePeriod

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

ModifyTimePeriod


ID_TOPOLOGIE_PROP1

ID interne : ID_TOPOLOGIE_PROP1

Ligne de séparation 1

Ligne de séparation 1

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

BrokenLine1


ID_TOPOLOGIE_PROP2

ID interne : ID_TOPOLOGIE_PROP2

Ligne de séparation 2

Ligne de séparation 2

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

BrokenLine2


ID_TOPOLOGIE_PROP3

ID interne : ID_TOPOLOGIE_PROP3

Épaisseur du trait

Épaisseur du trait

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

LineWidth


ID_TOPOLOGIE_PROP4

ID interne : ID_TOPOLOGIE_PROP4

Nom d'objet comme lien

Nom d’objet comme lien

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

OBJNameLink


ID_TOPOLOGIE_PROP5

ID interne : ID_TOPOLOGIE_PROP5

Mode de visualisation

Affichage du mode

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

DisplayMode


ID_TOPOLOGIE_PROP6

ID interne : ID_TOPOLOGIE_PROP6

Epaisseur de trait protégée

Épaisseur de trait protégée

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

LineWidthFGES


ID_TOPOLOGIE_PROP7

ID interne : ID_TOPOLOGIE_PROP7

Epaisseur bord

Épaisseur bord

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

SaumWidth


ID_TOPOLOGIE_PROP8

ID interne : ID_TOPOLOGIE_PROP8

Symbole F1

Symbole F1

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

SymbolF1


ID_TOPOLOGIE_PROP9

ID interne : ID_TOPOLOGIE_PROP9

Symbole F2

Symbole F2

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

SymbolF2


ID_TOPOLOGIE_PROP10

ID interne : ID_TOPOLOGIE_PROP10

Symbole FGES

Symbole FGES

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

SymbolFGES


ID_TOPOLOGIE_PROP11

ID interne : ID_TOPOLOGIE_PROP11

2ième couleur pour \"Non alimenté\"

Bord du symbole

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

SymbolSaum


ID_TOPOLOGIE_PROP12

ID interne : ID_TOPOLOGIE_PROP12

Couleurs symbole F1

Couleurs symbole F1

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

SymbolF1_Mode


ID_TOPOLOGIE_PROP13

ID interne : ID_TOPOLOGIE_PROP13

Couleurs symbole F2

Couleurs symbole F2

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

SymbolF2_Mode


ID_TOPOLOGIE_PROP14

ID interne : ID_TOPOLOGIE_PROP14

Couleurs symbole FGES

Couleurs symbole FGES

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

SymbolFGES_Mode


ID_TOPOLOGIE_PROP15

ID interne : ID_TOPOLOGIE_PROP15

Couleur de bord du symbole

Couleur de bord du symbole

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

SymbolSaum_Mode


ID_TOPOLOGIE_PROP16

ID interne : ID_TOPOLOGIE_PROP16

Variable SS_1_1

Variable SS_1_1

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

Variable_SS_1_1


ID_TOPOLOGIE_PROP17

ID interne : ID_TOPOLOGIE_PROP17

Variable SS_1_2

Variable SS_1_2

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

Variable_SS_1_2


ID_TOPOLOGIE_PROP18

ID interne : ID_TOPOLOGIE_PROP18

Variable SS_1_4

Variable SS_1_4

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

Variable_SS_1_3


ID_TOPOLOGIE_PROP19

ID interne : ID_TOPOLOGIE_PROP19

Variable SS_1_4

Variable SS_1_4

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

Variable_SS_1_4


ID_TOPOLOGIE_PROP20

ID interne : ID_TOPOLOGIE_PROP20

Variable Start1

Variable Start1

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

Variable_Start1


ID_TOPOLOGIE_PROP21

ID interne : ID_TOPOLOGIE_PROP21

Point de division variable

Point de division variable

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

VariableStandardIsolatingPoint


ID_TOPOLOGIE_PROP22

ID interne : ID_TOPOLOGIE_PROP22

Variable Start2

Variable Start2

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

Variable_Start2


ID_TOPOLOGIE_PROP23

ID interne : ID_TOPOLOGIE_PROP23

Variable SS_2_1

Variable SS_2_1

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

Variable_SS_2_1


ID_TOPOLOGIE_PROP24

ID interne : ID_TOPOLOGIE_PROP24

Variable SS_2_2

Variable SS_2_2

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

Variable_SS_2_2


ID_TOPOLOGIE_PROP25

ID interne : ID_TOPOLOGIE_PROP25

Variable SS_2_3

Variable SS_2_3

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

Variable_SS_2_3


ID_TOPOLOGIE_PROP26

ID interne : ID_TOPOLOGIE_PROP26

Variable SS_2_4

Variable SS_2_4

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

Variable_SS_2_4


ID_TOPOLOGIE_PROP27

ID interne : ID_TOPOLOGIE_PROP27

Caractère divisé dans un autre endroit

Caractère divisé dans un autre endroit

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

DistributionLineCharacter


ID_TOPOLOGIE_PROP31

ID interne : ID_TOPOLOGIE_PROP31

Réactance

Réactance en Ohms pour détecter l’emplacement de l’anomalie.
Disponible uniquement avec l’option de localisation d’anomalies et de topologie.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

Reactance


ID_TOPOLOGIE_PROP_GRP1

ID interne : ID_TOPOLOGIE_PROP_GRP1

Topologie

Élément\\Topologie

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

Topology


ID_TOPOLOGIE_PROP_GRP2

ID interne : ID_TOPOLOGIE_PROP_GRP2

Coloration

Élément\\Topologie\\Contrôle des symboles

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

TopColors


ID_TOPOLOGIE_PROP_GRP3

ID interne : ID_TOPOLOGIE_PROP_GRP3

Ligne de distribution

Élément\\Topologie\\Ligne de distribution

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

Strang


ID_TOPOLOGIE_PROP_GRP4

ID interne : ID_TOPOLOGIE_PROP_GRP4

Calcul du réseau

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

NetCalc


ID_TOPOLOGIE_PROP_GRP5

ID interne : ID_TOPOLOGIE_PROP_GRP5

Câble

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

NetCalcCable


ID_TOPOLOGIE_PROPxx

ID interne : ID_TOPOLOGIE_PROPxx

SymbolSaum

Description as text.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

SymbolSaum


ID_TREIBER_CONFIG

ID interne : ID_TREIBER_CONFIG

Configuration

Ouvre la boîte de dialogue de configuration du driver.

Remarque : Aucune configuration de driver n’est possible pour les drivers suivants :

  • Driver pour les variables internes
  • Driver pour les variables mathématiques
  • Driver pour les variables système

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

Configuration


ID_TREIBER_FILE

ID interne : ID_TREIBER_FILE

Nom de fichier

Nom de fichier du driver.
Le fichier se trouve dans le dossier de programme du système de contrôle.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

NameFile


ID_TREIBER_GRP0

ID interne : ID_TREIBER_GRP0

Général

Propriétés générales du driver.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

GRP_General


ID_TREIBER_NAME

ID interne : ID_TREIBER_NAME

Identification

Nom unique du driver.
zenon identifie le driver à l’aide de ce nom, et non à l’aide du nom de fichier. Il est ainsi possible de charger le même driver plusieurs fois. Cela s’avère par exemple nécessaire lorsque vous devez accéder à des types de contrôles identiques, connectés à différentes interfaces série.
Attention : Cette propriété n’est pas disponible aux fins de la commutation de langue.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

Name


ID_TREIBER_PROP6

ID interne : ID_TREIBER_PROP6

Description

Description du driver.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

Description


ID_TREIBER_PROP_GRP0

ID interne : ID_TREIBER_PROP_GRP0

Adresse

Propriétés générales du driver.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

GRP_Address


ID_TREIBER_PROP_GRP1

ID interne : ID_TREIBER_PROP_GRP1

Connexion au driver

Récapitule la configuration de la connexion en incluant le type, la priorité et la redondance des données IEC.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

GRP_Driver


ID_TREIBER_PROP_GRP2

ID interne : ID_TREIBER_PROP_GRP2

Paramètre tableau

Propriétés de la structure des variables.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

GRP_Structure


ID_TREIBER_PROP_GRP3

ID interne : ID_TREIBER_PROP_GRP3

Options des structures

Options pour les éléments de structure.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

GRP_StructureOpts


ID_TREIBER_PROP_GRP4

ID interne : ID_TREIBER_PROP_GRP4

Options d'adressage

Options pour l’adressage des variables tableaux.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

GRP_AddressOpts


ID_TREND_DEL

ID interne : ID_TREND_DEL

{Supprimer courbe}

La courbe sera supprimée.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

CurveDel


ID_TREND_NEU

ID interne : ID_TREND_NEU

{Nouvelle courbe}

Une nouvelle courbe est créée pour l’élément tendance.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

CurveNew


ID_TYPE_GW_NEW

ID interne : ID_TYPE_GW_NEW

{Nouvelle limite}

Une nouvelle valeur limite est créée pour le type de données.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

NewLimit


ID_UEBER_HELLIGKEIT

ID interne : ID_UEBER_HELLIGKEIT

Par les valeurs de luminosité

Disponible uniquement si l’élément Remplissage (type) a été sélectionné pour la propriété Dégradé de couleurs.

Active : la luminosité du dégradé de couleurs peut être librement définie.
Inactive : la luminosité du dégradé de couleurs est définie automatiquement.

Remarque : le motif de remplissage ne peut plus être modifié si cette propriété est active. Il est également impossible de définir des coins arrondis. Si cette option est activée pour un élément utilisant des coins arrondis, l’élément est affiché avec des coins non arrondis.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

Brightness


ID_UNIT_PROP_DECSHIFT

ID interne : ID_UNIT_PROP_DECSHIFT

Décalage du point décimal

Correction des décimales. Cette valeur détermine le décalage des décimales dans l’unité de conversion par rapport à l’unité de base.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

DecShift


ID_UNIT_PROP_FACTOR

ID interne : ID_UNIT_PROP_FACTOR

Facteur

Instruction relative au facteur de conversion selon lequel l’unité de base sera convertie en valeur de l’unité de conversion (m pour y=mx+b).

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

Factor


ID_UNIT_PROP_GRP0

ID interne : ID_UNIT_PROP_GRP0

Général

Propriétés pour la conversion d’unité.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

GRP_General


ID_UNIT_PROP_NAME

ID interne : ID_UNIT_PROP_NAME

Unité de mesure

Instruction relative à l’unité de base depuis laquelle est effectuée la conversion ou à l’unité de conversion vers laquelle sera effectuée la conversion. Par exemple, C°, K, m, y, Celsius, Kelvin, mètre, yard, etc.

Vous pouvez utiliser jusqu’à 50 caractères.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

Name


ID_UNIT_PROP_OFFSET

ID interne : ID_UNIT_PROP_OFFSET

Offset

Depuis l’unité primaire (b pour y=mx+b)

Instruction relative au décalage de conversion suivant lequel l’unité de base sera convertie en valeur de l’unité de conversion (b pour y=mx+b).

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

Offset


ID_USER_ACTIVE

ID interne : ID_USER_ACTIVE

Utilisateur actif

Active : L’utilisateur est accepté dans le Runtime.
Inactive : L’utilisateur n’est pas accepté dans le Runtime.
Par défaut : active.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

UserActive


ID_USER_GROUPS

ID interne : ID_USER_GROUPS

Groupes d'utilisateurs

Tous les groupes d’utilisateurs attribués à l’utilisateur sélectionné.

Cliquez sur le bouton pour ajouter ou supprimer des groupes d’utilisateurs.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

UserGroups


ID_USER_GRP

ID interne : ID_USER_GRP

Utilisateur

Propriétés de l’utilisateur.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

GRP_General


ID_USER_LOCKCODE

ID interne : ID_USER_LOCKCODE

Code de verrouillage

Code PIN à quatre chiffres.

Ce code est employé par l’utilisateur pour verrouiller et déverrouiller différentes zones. L’utilisation de ce code pour le verrouillage évite de déverrouiller un verrou par mégarde, et permet ainsi d’éviter des accidents.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

LockCode


ID_USER_LOCKED

ID interne : ID_USER_LOCKED

Verrouillé

Active : L’utilisateur est bloqué.
Inactive : L’utilisateur n’est pas bloqué.
Par défaut : inactive.

Un utilisateur est automatiquement bloqué après un nombre défini d’erreurs de saisie du mot de passe. Le blocage peut être annulé ici.
Seul un administrateur peut débloquer un utilisateur, car seul un administrateur peut modifier un utilisateur.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

UserLocked


ID_USER_MSGCTRL_EMAIL

ID interne : ID_USER_MSGCTRL_EMAIL

Adresse e-mail

Adresse e-mail de l’utilisateur

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

MsgEmail


ID_USER_MSGCTRL_ERSATZUSER

ID interne : ID_USER_MSGCTRL_ERSATZUSER

Remplaçant

Personne remplaçant l’utilisateur s’il ne peut pas être contacté. Cliquez sur le bouton ... pour ouvrir une boîte de dialogue permettant de sélectionner un utilisateur. Seuls les utilisateurs activés en tant qu’utilisateurs de Message Control peuvent être sélectionnés (voir la propriété Utilisateur Message Control).

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

MsgErsatzUser


ID_USER_MSGCTRL_GSM

ID interne : ID_USER_MSGCTRL_GSM

Téléphone portable

Numéro de téléphone cellulaire de l’utilisateur. Utilisé pour l’envoi de messages par téléphone portable et SMS ("textos").

Saisissez le numéro ; le préfixe + peut être utilisé à la place des numéros 00 précédant le code international.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

MsgGSM


ID_USER_MSGCTRL_NACKCODE

ID interne : ID_USER_MSGCTRL_NACKCODE

Code NA

Code d’indisponibilité permettant à l’utilisateur de refuser de confirmer la réception du message.

Remarque : ce code doit être significativement différent du code de la propriété Code PIN.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

MsgNACKCode


ID_USER_MSGCTRL_PHONE

ID interne : ID_USER_MSGCTRL_PHONE

Téléphone

Numéro de téléphone fixe de l’utilisateur. Utilisé pour la fonction de synthèse vocale.

Saisissez le numéro ; le préfixe + peut être utilisé à la place des numéros 00 précédant le code international.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

MsgPhone


ID_USER_MSGCTRL_PINCODE

ID interne : ID_USER_MSGCTRL_PINCODE

Code PIN

Code PIN permettant à l’utilisateur de confirmer la réception du message.

Remarque : ce code doit être significativement différent du code de la propriété Code NA.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

MsgPinCode


ID_USER_MSGCTRL_USER

ID interne : ID_USER_MSGCTRL_USER

Utilisateur Message Control

Active : l’identifiant d’utilisateur est utilisé par le module Message Control.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

IsMsgCtrlUser


ID_USERGROUP_GRP

ID interne : ID_USERGROUP_GRP

Groupe d'utilisateurs

Propriétés pour le groupe d’utilisateurs

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

GRP_General


ID_USERGROUP_LEVEL

ID interne : ID_USERGROUP_LEVEL

Niveaux d'autorisation

Tous les niveaux d’autorisation attribués au groupe d’utilisateurs sélectionné.

Cliquez sur le bouton pour ajouter ou supprimer des niveaux d’autorisation.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

UserGroupLevel


ID_USERGROUP_NAME

ID interne : ID_USERGROUP_NAME

Nom

Nom du groupe d’utilisateurs sélectionné.

Cliquez sur le fichier d’origine pour en modifier le nom.

Remarque : @ n’est pas un caractère valide pour un groupe d’utilisateurs.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

UserGroupName


ID_USERGRP_MSGCTRL_ISMSGCTRL

ID interne : ID_USERGRP_MSGCTRL_ISMSGCTRL

Groupe Message Control

Active : le groupe d’utilisateurs est utilisé par le module Message Control.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

IsMsgCtrlGroup


ID_USERGRP_MSGCTRL_USERORDER

ID interne : ID_USERGRP_MSGCTRL_USERORDER

Ordre des utilisateurs

Définit l’ordre des utilisateurs dans le groupe. Cliquez sur le bouton ... pour ouvrir une boîte de dialogue permettant de configurer l’ordre.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

UserGroupOrder


ID_USERKENNUNG

ID interne : ID_USERKENNUNG

Identifiant utilisateur

Identification distincte avec laquelle l’utilisateur doit se connecter.
Lorsque l’utilisateur effectue plusieurs actions, cette chaîne peut être affichée dans la liste d’événements (CEL). La liste d’événements comporte une colonne destinée à l’affichage de ce type d’informations. En outre, ces informations peuvent être affichées à l’aide d’une variable de driver système.
Maximum : 20 caractères.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

UserIdentification


ID_USERNAME

ID interne : ID_USERNAME

Nom complet

Nom de l’utilisateur.
Pour plusieurs actions de l’utilisateur, la chaîne de caractères peut être affichée dans la liste d’événements (CEL). Le nom complet de l’utilisateur doit être spécifié. La liste d’événements comporte une colonne destinée à l’affichage de ce type d’informations. En outre, ces informations peuvent être affichées à l’aide d’une variable de driver système.
Plus de détails dans le manuel en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

UserName


ID_USERPASSWORD

ID interne : ID_USERPASSWORD

Mot de passe

Ouvre la boîte de dialogue de modification du mot de passe.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

UserPassword


ID_VAR_AKS_GRP1

ID interne : ID_VAR_AKS_GRP1

AKS-General

Les points de données du driver AK sont optimisés avec le système OPM.

D’autres informations concernant le paramétrage sont disponibles dans l’aide du système SICAM230 et dans l’aide de TOOLBOX II.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

AKS-General


ID_VAR_AKS_GRP1_ENG

ID interne : ID_VAR_AKS_GRP1_ENG

AKS-General

Datapoints will be engineered by OPM.

Further information available in SICAM230 help and in TOOLBOX II help.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

AKS-General


ID_VAR_AKS_GRP2

ID interne : ID_VAR_AKS_GRP2

AKS-Extended

Les points de données du driver AK sont optimisés avec le système OPM.

D’autres informations concernant le paramétrage sont disponibles dans l’aide du système SICAM230 et dans l’aide de TOOLBOX II.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

AKS-Extended


ID_VAR_AKS_GRP2_ENG

ID interne : ID_VAR_AKS_GRP2_ENG

AKS-Extended

Datapoints will be engineered by OPM.

Further information available in SICAM230 help and in TOOLBOX II help.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

AKS-Extended


ID_VAR_AKS_GRP3

ID interne : ID_VAR_AKS_GRP3

Redundanz

Les points de données du driver AK sont optimisés avec le système OPM.

D’autres informations concernant le paramétrage sont disponibles dans l’aide du système SICAM230 et dans l’aide de TOOLBOX II.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

Redundancy


ID_VAR_AKS_GRP3_ENG

ID interne : ID_VAR_AKS_GRP3_ENG

Redundancy

Datapoints will be engineered by OPM.

Further information available in SICAM230 help and in TOOLBOX II help.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

Redundancy


ID_VAR_AKS_GRP4

ID interne : ID_VAR_AKS_GRP4

Befehle

Les points de données du driver AK sont optimisés avec le système OPM.

D’autres informations concernant le paramétrage sont disponibles dans l’aide du système SICAM230 et dans l’aide de TOOLBOX II.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

Command


ID_VAR_AKS_GRP4_ENG

ID interne : ID_VAR_AKS_GRP4_ENG

Command

Datapoints will be engineered by OPM.

Further information available in SICAM230 help and in TOOLBOX II help.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

Command


ID_VAR_ALARMBEREICH

ID interne : ID_VAR_ALARMBEREICH

Alarmbereiche

Ici, la variable peut être liée à une plage d’alarmes.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

AlarmDomain


ID_VAR_ALARMBEREICH1

ID interne : ID_VAR_ALARMBEREICH1

Domaine d'alarme 1

Premier domaine d’alarmes attribué à une variable, une structure ou un type de données. Sélectionnez dans la liste déroulante.
Si plusieurs domaines d’alarmes sont liés, seule la propriété Domaine d'alarme 1 est prise en compte lors du tri par domaine.

Remarque : Disponible uniquement si la propriété Utiliser la gestion d'alarmes hiérarchiques du modèle d'équipement est active.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

AlarmDomain


ID_VAR_ALARMBEREICH2

ID interne : ID_VAR_ALARMBEREICH2

Domaine d'alarme 2

Deuxième domaine d’alarmes attribué à une variable, une structure ou un type de données. Sélectionnez dans la liste déroulante.
Si plusieurs domaines d’alarmes sont liés, seule la propriété Domaine d'alarme 1 est prise en compte lors du tri par domaine.

Remarque : Disponible uniquement si la propriété Utiliser la gestion d'alarmes hiérarchiques du modèle d'équipement est active.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

AlarmDomain2


ID_VAR_ALARMBEREICH3

ID interne : ID_VAR_ALARMBEREICH3

Domaine d'alarme 3

Troisième domaine d’alarmes attribué à une variable, une structure ou un type de données. Sélectionnez dans la liste déroulante.
Si plusieurs domaines d’alarmes sont liés, seule la propriété Domaine d'alarme 1 est prise en compte lors du tri par domaine.

Remarque : Disponible uniquement si la propriété Utiliser la gestion d'alarmes hiérarchiques du modèle d'équipement est active.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

AlarmDomain3


ID_VAR_ALARMBEREICH4

ID interne : ID_VAR_ALARMBEREICH4

Domaine d'alarme 4

Quatrième domaine d’alarmes attribué à une variable, une structure ou un type de données. Sélectionnez dans la liste déroulante.
Si plusieurs domaines d’alarmes sont liés, seule la propriété Domaine d'alarme 1 est prise en compte lors du tri par domaine.

Remarque : Disponible uniquement si la propriété Utiliser la gestion d'alarmes hiérarchiques du modèle d'équipement est active.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

AlarmDomain4


ID_VAR_ALARMKANAL0

ID interne : ID_VAR_ALARMKANAL0

Variable d'alarme 1

Disponible uniquement dans SICAM 230.
Première variable pour la gestion d’alarmes de synoptiques.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

AlarmPV0


ID_VAR_ALARMKANAL1

ID interne : ID_VAR_ALARMKANAL1

Variable d'alarme 2

Disponible uniquement dans SICAM 230.
Deuxième variable pour la gestion d’alarmes de synoptiques.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

AlarmPV1


ID_VAR_ALARMKANAL2

ID interne : ID_VAR_ALARMKANAL2

Variable d'alarme 3

Disponible uniquement dans SICAM 230.
Troisième variable pour la gestion d’alarmes de synoptiques.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

AlarmPV2


ID_VAR_ALARMQUIT

ID interne : ID_VAR_ALARMQUIT

Variable d'acquittement

Si une alarme de la variable de contrôle est acquittée, la valeur de la variable d’acquittement est définie sur la valeur définie indiquée sous Valeur d'acquittement.

Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de variables binaires.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

AlarmQuitPV


ID_VAR_ALARMQUIT_VALUE

ID interne : ID_VAR_ALARMQUIT_VALUE

Valeur d'acquittement

Si une alarme de cette variable est acquittée visuellement, la variable sélectionnée sous Variable d'acquittement visuel ou Variable d'acquittement est définie sur cette valeur.

Sélection de 0 ou 1.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

AlarmQuitPVValue


ID_VAR_ALARMVIEWQUIT

ID interne : ID_VAR_ALARMVIEWQUIT

Variable d'acquittement visuel

Si une alarme de la variable de contrôle est acquittée visuellement, la valeur de la variable d’acquittement visuel est définie sur la valeur définie par Valeur d'acquittement.

Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de variables binaires.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

AlarmViewQuitPV


ID_VAR_ARCHHYSTNEG

ID interne : ID_VAR_ARCHHYSTNEG

Négatif pour l'archive

Hystérésis d’archivage en cas de changement appliquée à la plage de mesure.

Plage d’hystérésis pour l’entrée en cas de changement de valeur avec diminution. Les valeurs sont uniquement saisies dans l’archive si la valeur changeante est inférieure à la plage d’hystérésis définie ici.
Par défaut : 0 (pas d’hystérésis)

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

ArchHystNeg


ID_VAR_ARCHHYSTPOS

ID interne : ID_VAR_ARCHHYSTPOS

Positif pour l'archive

Hystérésis d’archivage en cas de changement appliquée à la plage de mesure.

Plage d’hystérésis pour l’entrée en cas de changement de valeur avec augmentation. Les valeurs sont uniquement saisies dans l’archive si la valeur changeante est supérieure à la plage d’hystérésis définie ici.
Par défaut : 0 (pas d’hystérésis)

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

ArchHystPos


ID_VAR_ARRAYSIZE

ID interne : ID_VAR_ARRAYSIZE

Dimension tableau

Définition de la taille de l’ensemble de blocs. La taille définie est lue ou écrite par le driver durant une demande de lecture/d’écriture. Ceci permet de garantir la cohérence des données dans le texte. Les données peuvent uniquement être modifiées dans le module Recipegroup Manager ou via l’interface de programmation.
Attention : peut être défini au niveau du driver interne, toutefois sans fonction dans le Runtime (valeur toujours égale à 0).

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

ArraySizeOld


ID_VAR_ARRDIM1

ID interne : ID_VAR_ARRDIM1

Dim. 1

Taille de la première dimension de l’array.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

Dim1


ID_VAR_ARRDIM2

ID interne : ID_VAR_ARRDIM2

Dim. 2

Taille de la deuxième dimension de l’array.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

Dim2


ID_VAR_ARRDIM3

ID interne : ID_VAR_ARRDIM3

Dim. 3

Taille de la troisième dimension de l’array.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

Dim3


ID_VAR_AUSRICHTUNG

ID interne : ID_VAR_AUSRICHTUNG

Alignement

Ceci dépend de la granularité du type d’objet du driver et de la position de la variable conformément au décalage défini.

Pour les variables de type Octet :
Octet poids fort : octet de poids fort dans le décalage de mot.
Octet poids faible : Otet de poids faible dans le décalage de mot.
HiWord-HiByte octet de poids fort dans le mot fort dans le décalage de double mot.
HiWord-LoByte (Mot poids fort-Octet poids faible) octet de poids faible dans le mot fort dans le décalage de double mot.
Mot poids faible-Octet poids fort : octet de poids fort dans le mot faible dans le décalage de double mot.
Mot poids faible-Octet poids faible : octet de poids faible dans le mot faible dans le décalage de double mot.

Pour les variables de mot :
Mot poids fort : mot fort dans le décalage de double mot.
Mot poids faible : Mot poids faible dans le décalage de double mot.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

Alignment


ID_VAR_BASETYPE

ID interne : ID_VAR_BASETYPE

Type de données IEC

Type de données de base.

Attention : Si le type de données de base est modifié ultérieurement, toutes les autres propriétés du type de données doivent être vérifiées et ajustées, si nécessaire.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

ID_DataTyp


ID_VAR_BEZEICHNUNG

ID interne : ID_VAR_BEZEICHNUNG

Général

Propriétés générales de la variable ou du type de données

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

GRP_Title


ID_VAR_BIT

ID interne : ID_VAR_BIT

Numéro de bit

Numéro du bit dans le décalage configuré.
Minimum : 0.
Maximum : 65535
Par défaut : 0.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

BitAddr


ID_VAR_BMKENNUNG

ID interne : ID_VAR_BMKENNUNG

Description externe

Chaîne au choix.
N'est pas utilisé au niveau interne dans zenon, mais est disponible lors de l’exportation de valeurs pour autoriser l’attribution des valeurs exportées pour les systèmes de gestion tels qu’ERP.

Longueur maximale : 255 caractères

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

Recourceslabel


ID_VAR_CANCEL_OPERATE

ID interne : ID_VAR_CANCEL_OPERATE

Annuler 'Operate'

Si cette propriété est activée, il est possible d’envoyer une commande Cancel après une commande Operate lors de la gestion des commandes.

Remarque : Cette propriété est uniquement dans la version Energy Edition.

Par défaut : Inactive

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

CancelOperate


ID_VAR_CPLX_OFFSET

ID interne : ID_VAR_CPLX_OFFSET

Offset démarrage

Décalage de démarrage de la variable de structure.
L'adressage des variables contenues démarre conformément à ce décalage.
Minimum : 0.
Maximum : 4294967295
Par défaut : 0.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

Offset


ID_VAR_DB

ID interne : ID_VAR_DB

Bloc de données

Numéro de bloc de données.
Minimum : 0.
Maximum : 4294967295
Par défaut : 0.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

DataBlock


ID_VAR_DDEAKTIV

ID interne : ID_VAR_DDEAKTIV

Variable lue en permanence

Paramètre de lecture de la variable et de sa disponibilité via DDE dans le Runtime :

  • Active : La variable est toujours connectée au driver. Cela signifie qu’elle est continuellement lue par le driver, même si elle n’est pas nécessaire dans le projet à cet instant précis. Le driver connaît ainsi toujours les valeurs actuelles et l’état actuel des variables et peut les fournir immédiatement, si nécessaire. La variable est également disponible pour les autres applications Windows (par exemple, Excel, Visual Basic, etc.). Les applications Windows possédant une fonctionnalité de client DDE peuvent ainsi utiliser les valeurs de la variable.
    Temps d’actualisation : 0,5 s
    L'activation de cette option offre par exemple l’avantage de basculer plus rapidement les valeurs de variables dans la fonction Ecriture valeur prescrite ou dans l’élément Appel de synoptique, car il n’est pas nécessaire d’interroger spécialement la variable avant la commutation. L’inconvénient est une augmentation de la charge des communications au niveau du contrôleur.
  • Inactive : La variable n’est pas interrogée en permanence par le driver, mais uniquement en cas de demande de valeurs ou d’états dans le Runtime. Elle n’est donc pas disponible dans les autres applications Windows via DDE.

Par défaut : Inactive

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

DDEActive


ID_VAR_DESC

ID interne : ID_VAR_DESC

Description

Description du type de données.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

Description


ID_VAR_EINHEIT

ID interne : ID_VAR_EINHEIT

Unité de mesure

Unité technique de la variable devant être affichée dans le Runtime. Si vous avez déjà créé des unités de mesure dans le module d’unités de base, celles-ci sont disponibles dans une liste déroulante.
Maximum : 50 caractères.
Par défaut : vide

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

Unit


ID_VAR_ERSATZ

ID interne : ID_VAR_ERSATZ

Archivfüllwert

Cette valeur est utilisée pour renseigner les archives cycliques. En présence d’intervalles durant lesquels aucune connexion au matériel n’a été établie, cette valeur est utilisée tant qu’aucune valeur n’est transférée depuis l’équipement. Dans le cas contraire, la dernière valeur valide utilisée est utilisée aux fins du renseignement.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

AlternateValue


ID_VAR_EXTERN

ID interne : ID_VAR_EXTERN

Paramètres externes

Propriétés externes pour zenon Logic. Affecte uniquement les variables qui ne forment pas partie du driver straton.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

GRP_External


ID_VAR_GW_AKTIV

ID interne : ID_VAR_GW_AKTIV

Limite active

Active : Une valeur limite est prise en compte dans le Runtime.
Inactive : La valeur limite est ignorée dans le Runtime.
Par défaut : active.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

Active


ID_VAR_GW_ALARM

ID interne : ID_VAR_GW_ALARM

Dans la liste d'alarmes

Active : En cas de dépassement d’une valeur limite, une entrée est créée dans la liste d’alarmes.
Inactive : Aucune entrée n’est créée dans la liste d’alarmes.
Par défaut : Inactive

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

Alarm


ID_VAR_GW_ALARMCAUSE

ID interne : ID_VAR_GW_ALARMCAUSE

Cause d'alarme necessaire

Disponible uniquement si la propriété Acquittement obligatoire est active.

Active : une cause d’alarme doit être liée pour qu’une alarme puisse être acquittée.

Par défaut : Inactive

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

AlarmCause


ID_VAR_GW_ALARMVERW

ID interne : ID_VAR_GW_ALARMVERW

Appel par un bouton dans les synoptiques d'alarmes

Disponible uniquement si la valeur limite est une alarme :

  • Active : La fonction liée n’est pas exécutée de façon événementielle durant le fonctionnement en ligne, mais uniquement lorsque l’utilisateur sélectionne le bouton Fonction dans la liste d’alarmes.
  • Inactive : La fonction est exécutée de manière événementielle dès que l’alarme se déclenche.

Par défaut : inactive

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

AML_Call


ID_VAR_GW_AMLCEL

ID interne : ID_VAR_GW_AMLCEL

Liste d'alarmes/d'événements

Propriétés de la liste d’alarmes et de la liste d’événements (CEL).

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

GRP_AML_CEL


ID_VAR_GW_BLINKEN

ID interne : ID_VAR_GW_BLINKEN

Clignotement

Active : Les éléments dynamiques liés à cette variable commencent à clignoter dès que cette valeur limite est dépassée.
Vous pouvez acquitter le clignotement avec un double-clic droit.
Inactive : La valeur limite ne provoque pas de clignotement.
Par défaut : inactive.
Attention : Lorsqu’elle est associée à la propriété Délai (s), cette propriété a les effets suivants sur le réseau :
Valeur limite avec clignotement et sans délai : les éléments liés clignotent sur le serveur et sur les clients.
Valeur limite avec clignotement et avec délai : Les éléments liés clignotent uniquement sur le serveur, pas sur les clients.
Alarme avec clignotement, sans délai : Les éléments liés clignotent sur le serveur et les clients.
Alarme avec clignotement et délai : Les éléments liés clignotent sur le serveur et les clients.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

Blinking


ID_VAR_GW_CEL

ID interne : ID_VAR_GW_CEL

Dans la liste d'événements

Active : En cas de dépassement d’une valeur limite, une entrée est créée dans la liste d’événements (CEL).
Inactive : Aucune entrée n’est créée dans la liste d’événements.
Par défaut : inactive.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

Cel


ID_VAR_GW_DEL

ID interne : ID_VAR_GW_DEL

{Supprimer limite}

La valeur limite est supprimée.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

DelLimit


ID_VAR_GW_DRUCKEN

ID interne : ID_VAR_GW_DRUCKEN

Imprimer

Active : L’alarme ou le dépassement de valeur limite est imprimé(e) en ligne pour cette variable, selon la configuration de la propriété Impression pour du groupe Alarmes et événements dans les paramètres du projet.
Inactive : Pas d’impression en ligne.
Par défaut : Inactive

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

Print


ID_VAR_GW_FARBE

ID interne : ID_VAR_GW_FARBE

Couleur de limite

Informations de couleur pour la coloration de la couche et la couleur d’état lors de l’utilisation de variables dans les éléments binaires ; la définition de la couleur des textes d’alarme dans la liste d’alarmes s’effectue dans la définition des classes d’alarme.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

Color


ID_VAR_GW_FKT

ID interne : ID_VAR_GW_FKT

Fonction

Propriétés de la fonction liée.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

GRP_Function


ID_VAR_GW_FUNKTION

ID interne : ID_VAR_GW_FUNKTION

Fonction

Fonction exécutée automatiquement dans le Runtime en cas de dépassement d’une valeur limite.
Si l’état est défini en tant qu’alarme, l’exécution spontanée de la fonction peut être annulée. Pour cela, sélectionnez l’option Appel par un bouton dans les synoptiques d'alarmes.
Si plusieurs fonctions doivent être exécutées, un script contenant les fonctions souhaitées doit être créé et un lien vers la fonction d’exécution du script doit être inséré ici.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

Function


ID_VAR_GW_GRENZWERT

ID interne : ID_VAR_GW_GRENZWERT

Valeur limite

Indisponible si aucune valeur limite dynamique n’est définie :
Définit la valeur à partir de laquelle un dépassement de valeur limite est identifié.
La propriété "Minimum / Maximum" permet de déterminer si les valeurs supérieures ou inférieures à cette valeur déclenchent un dépassement de valeur limite.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

LimitValue


ID_VAR_GW_GRP1

ID interne : ID_VAR_GW_GRP1

Limites

Propriété de calcul de la valeur limite.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

GRP_Ranges


ID_VAR_GW_GRUPPE

ID interne : ID_VAR_GW_GRUPPE

Groupe d'alarmes/d'événements

Attribution d’un groupe d’alarmes/d’événements (max. 65 535) pour la valeur limite, lorsque celle-ci est utilisée comme alarme.
L'attribution à un groupe d’alarmes/d’événements est effectuée par le biais d’une sélection dans la liste.
Par défaut : 0 - (non utilisé).

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

Group


ID_VAR_GW_HILFE

ID interne : ID_VAR_GW_HILFE

Fichier d'aide

Disponible uniquement si la propriété Dans la liste d'alarmes a été activée pour la valeur limite.

Sélection du fichier d’aide (*.chm) dont un chapitre relatif à cette alarme sera affiché dans la liste d’alarmes.

Configuration pour EPLAN :
il est possible d’afficher une page d’EPLAN. Pour cela, la connexion à EPLAN doit disposer d’une licence et le chemin d’accès au programme EPLAN doit être défini dans le fichier zenon6.ini.
Configuration :

  • Saisie de la chaîne de caractères $PRG:xxxxxx .

    xxxxxx est l’opérateur représentant les paramètres à transférer

  • La propriété Chapitre d'aide est ignorée, mais ne doit pas être vide.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

HelpFile


ID_VAR_GW_HILFEKAP

ID interne : ID_VAR_GW_HILFEKAP

Chapitre d'aide

Disponible uniquement si la propriété Dans la liste d'alarmes a été activée pour la valeur limite.
Chapitre d’aide affiché dans la liste d’alarmes pour cette alarme. Pour cela, un fichier CHM doit être défini dans la propriété Fichier d'aide.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

HelpCapture


ID_VAR_GW_HLP

ID interne : ID_VAR_GW_HLP

Aide

Propriétés de configuration de l’aide.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

GRP_Help


ID_VAR_GW_KLASSE

ID interne : ID_VAR_GW_KLASSE

Classe d'alarmes/d'événements

Attribution d’une classe d’alarmes/d’événements (max. 65 535) pour la valeur limite, lorsque celle-ci est utilisée comme alarme.
L'attribution à une classe d’alarmes/d’événements est effectuée par le biais d’une sélection dans la liste.
Par défaut : 0 - (non utilisé).

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

Class


ID_VAR_GW_KOMMENTAR

ID interne : ID_VAR_GW_KOMMENTAR

Commentaire requis

Disponible uniquement si la propriété Acquittement obligatoire est active.

Active : Avant de pouvoir acquitter une alarme, vous devez saisir un commentaire. Pour cela, l’utilisateur doit disposer des autorisations requises pour utiliser la fonction Saisir un commentaire sur une alarme.

Par défaut : Inactive

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

AlarmComment


ID_VAR_GW_LOESCHEN

ID interne : ID_VAR_GW_LOESCHEN

Acquittement à deux étapes

Disponible uniquement si la propriété Acquittement obligatoire est active.

  • Active : L’alarme est uniquement supprimée du buffer circulaire si elle a été acquittée et effacée et la suppression de l’alarme du buffer circulaire a été confirmée.
  • Inactive : L’alarme est supprimée du buffer circulaire si elle a été acquittée et effacée.

Par défaut : Inactive

Plus de détails dans l’aide en ligne .

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

AlarmDelete


ID_VAR_GW_MINMAX

ID interne : ID_VAR_GW_MINMAX

Minimum/Maximum

Minimum : Dépassement de valeur limite en cas d’identification d’une valeur égale ou inférieure à la valeur limite.
Maximum : Dépassement de valeur limite en cas d’identification d’une valeur égale ou supérieure à la valeur limite.
Par défaut : Minimum.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

IsMax


ID_VAR_GW_NEW

ID interne : ID_VAR_GW_NEW

{Nouvelle limite}

Une nouvelle valeur limite est créée.
Jusqu'à 65535 valeurs limite peuvent être créées.
Les variables de bit comportent toujours deux valeurs limite.
Les valeurs limite des variables de chaîne ne peuvent pas être utilisées. Une matrice de réaction peut également être utilisée ici (comme avec les autres variables).

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

NewLimit


ID_VAR_GW_PREVIEW

ID interne : ID_VAR_GW_PREVIEW

Aperçu des valeurs limite

Affichage de la valeur limite définie ou de la matrice de réaction pour la variable ou le type de données simple.

Cliquez sur le bouton ... pour ouvrir la boîte de dialogue d’affichage de la valeur limite définie ou de la matrice de réaction configurée. Pour afficher les valeurs limite, la propriété Matrice de réaction ne doit pas contenir de liens.
Les propriétés configurées sont uniquement affichées et ne peuvent pas être modifiées. Les modifications doivent être effectuées directement dans les propriétés pour Valeurs limite ou dans la boîte de dialogue Matrice de réaction.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être adressée comme suit pour l’API zenon (avec nom de la classe) :

LimitPreview


ID_VAR_GW_QUITTIEREN

ID interne : ID_VAR_GW_QUITTIEREN

Acquittement obligatoire

Disponible uniquement pour les alarmes.
Active : l’alarme doit être acquittée avant d’être supprimée de la mémoire circulaire.
Inactive : Aucun acquittement requis.
Paramètre par défaut pour les alarmes : active, sinoninactive

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

AlarmAcknowledge


ID_VAR_GW_SCHWELLWERT

ID interne : ID_VAR_GW_SCHWELLWERT

Hystérésis

Une valeur de seuil peut être définie et être utilisée pour acquitter un dépassement de valeur limite. Ceci permet d’éviter les réactions indésirables en cas de valeurs numériques fluctuantes.

Exemple 1 : Valeur maximale = 900, valeur de seuil = 10 donne 890.
La valeur limite sera dépassée au-delà d’une valeur de 900, et la plage critique sera quittée lorsque la valeur chutera en dessous de 890.

Exemple 2 : Valeur maximale = 900, valeur de seuil = 10 donne 910.
La valeur limite sera dépassée à partir d’une valeur de 900, et la plage critique sera quittée lorsque la valeur s’élèvera au-dessus de 910.

Contrairement à l’hystérésis, cette propriété n’a aucune incidence sur l’affichage de la valeur, uniquement sur le comportement de l’alarme.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

ThresholdValue


ID_VAR_GW_TEXT

ID interne : ID_VAR_GW_TEXT

Texte valeur limite

Ce texte sera affiché dans la liste de messages d’alarme, la liste d’événements et/ou la ligne d’état des alarmes (en fonction de la configuration) après un dépassement de valeur limite.

Texte de valeur limite dynamique : Permet d’inclure les valeurs actuelles des autres variables, ainsi que des informations supplémentaires concernant les variables, dans le texte de valeur limite d’une variable et le texte de valeur limite des matrices de réaction. Vous pouvez également lier un texte fixe à des mots clés provenant d’une table de langues via un index.

L’utilisation textes de valeur limite dynamiques comporte certaines limitations :
Le texte statique est conservé dans la zone de mémoire du texte de valeur limite, qui est limité à 1024 caractères. Les valeurs des variables liées sont conservées dans la zone de mémoire du texte de commentaire, qui est limité à 80 caractères. Dès lors, aucun commentaire ne peut être saisi dans la liste d’alarmes ou la liste d’événements.

Ces limitations peuvent être modifiées grâce à l’amélioration des textes de valeur limite dynamiques longs. Pour cela, vous devez activer les propriétés Textes de limite dynamiques longs pour les événements et Textes de limite dynamiques longs pour les alarmes. Les valeurs des variables pour les textes de valeur limite dynamiques sont ensuite transférées vers un fichier distinct ; le champ de commentaires redevient disponible pour la saisie de commentaires.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

Text


ID_VAR_GW_UNSICHTBAR

ID interne : ID_VAR_GW_UNSICHTBAR

Invisible

Active : L’état n’est pas affiché dans l’élément dynamique Élément d’état, ou les éléments ne sont pas affichés si leur visibilité est contrôlée par cette variable.
Inactive : La visibilité n’est pas influencée par le dépassement de la valeur limite.
Par défaut : inactive.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

Invisible


ID_VAR_GW_VARIABEL

ID interne : ID_VAR_GW_VARIABEL

Valeur limite dynamique active

Spécifie si le texte de valeur limite est fixe ou s’il est déterminé de manière dynamique, via une variable.

  • Inactive : La valeur limite est définie avec une attribution de valeur fixe.
  • Active : La valeur limite est définie avec la valeur d’une variable différente.
    AML/CEL (Liste d’alarmes/d’événements) : Les dernières informations d’horodatage des deux variables sont utilisées comme informations d’horodatage du dépassement de valeur limite dans la liste AML ou CEL.

Par défaut : Inactive

Attention : Si la valeur limite de la variable est modifiée de manière à ce que la valeur actuelle de la variable se trouve soudainement dans la plage critique sans avoir changé pour autant, un dépassement de valeur limite se produira.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

IsVariable


ID_VAR_GW_VARIABLE

ID interne : ID_VAR_GW_VARIABLE

Variable

Disponible uniquement si la propriété Valeur limite dynamique est active :
Variable utilisée en tant que valeur limite dynamique.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

Variable


ID_VAR_GW_VERZOEGEUNG

ID interne : ID_VAR_GW_VERZOEGEUNG

Délai (s)

Durée (en secondes) pendant laquelle le dépassement de valeur limite doit être actif. La valeur doit être active pour la durée définie (sans interruption) pour déclencher les actions configurées en cas de dépassement de valeur limite.
AML/CEL (Liste d’alarmes/d’événements) :

  • La durée de la première violation est utilisée en tant qu’horodatage du dépassement de valeur limite dans la liste d’alarmes et/ou la liste d’événements.
  • La première valeur après expiration du délai, et non la valeur déclenchant l’alarme, est définie en tant que valeur.

Attention : Associée à la propriété Clignotement, cette propriété a l’effet suivant sur le réseau :

  • Valeur limite avec clignotement, sans délai : Les éléments liés clignotent sur le serveur et sur les clients.
  • Valeur limite avec clignotement et délai : Les éléments liés clignotent uniquement sur le serveur, pas sur les clients.
  • Alarme avec clignotement, sans délai : Les éléments liés clignotent sur le serveur et les clients.
  • Alarme avec clignotement et délai : Les éléments liés clignotent sur le serveur et les clients.

Minimum : 0
Maximum : 4294967295
Par défaut : 0

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

Delay


ID_VAR_GW_ZUSATZ_ATTRIB

ID interne : ID_VAR_GW_ZUSATZ_ATTRIB

Attributs supplémentaires

Propriétés supplémentaires de la valeur limite.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

GRP_AddAttrib


ID_VAR_HDAKTIV

ID interne : ID_VAR_HDAKTIV

Stockage de données sur disque dur actif

Active : les valeurs de variables sont enregistrées sur le disque dur (enregistrement circulaire) pour être évaluées dans l’élément dynamique "Élément de tendance" ou pour l’exportation/l’importation des valeurs.

Inactive : aucune valeur de variable n’est enregistrée.

Par défaut : inactive

Les données de disque dur nécessitent 24 octets d’espace de stockage par valeur, indépendamment du type de variable. Outre la valeur, les informations suivantes sont enregistrées :
- Heure d’exécution de la mesure.
- Millisecondes lors de la lecture de la valeur.
- Modification de l’état de la valeur en fonction des éléments.
- Compteur pour l’identification unique de la valeur (driver événementiel).

Remarque : Le stockage de données est également activé lors d’un appel de synoptique de type Extended Trend si des données en ligne sont analysées.
Les variables de type chaîne ne sont pas prises en charge par la fonction de stockage de données sur le disque dur.

Attention : si l’option d’enregistrement sur disque dur est activée pour un trop grand nombre de variables, en présence d’un trop grand nombre de valeurs, les performances du Runtime peuvent être altérées.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

HDActive


ID_VAR_HDRDA

ID interne : ID_VAR_HDRDA

Type d'enregistrement

Disponible uniquement si la propriété Stockage de données sur disque dur actif est active :
Données de disque dur (cyclique) : Écriture cyclique des valeurs sur le disque dur.
Valeurs retriées (RDA) : Les valeurs sont écrites bloc par bloc sur le disque dur par le driver. (Fonction adaptée à l’analyse rétrospective des erreurs au niveau du système de contrôle.)

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

IsKDAActiv


ID_VAR_HDUPDATE

ID interne : ID_VAR_HDUPDATE

Temps de cycle [s]

Disponible uniquement si la propriété Stockage de données sur disque dur actif est active :
Durée de l’intervalle [en secondes] de conservation des valeurs en ligne sur le disque dur (mémoire circulaire) pour l’analyse dans l’élément dynamique Tendance, pour les données en ligne dans le module Extended Trend ou pour l’exportation/l’importation de valeurs.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

HDUpdate


ID_VAR_HDWERTE

ID interne : ID_VAR_HDWERTE

Nombre de valeurs

Valeur correspondant à l’intervalle de conservation des valeurs en ligne sur le disque dur (mémoire circulaire) pour l’analyse dans l’élément dynamique Tendance, pour les données en ligne dans le module Extended Trend ou pour l’exportation/l’importation de valeurs.

Attention : si l’option d’enregistrement sur disque dur est activée pour un trop grand nombre de variables, en présence d’un trop grand nombre de valeurs, les performances du Runtime peuvent être altérées.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

HDSize


ID_VAR_HYSTERESE

ID interne : ID_VAR_HYSTERESE

Hystérésis

Propriétés de l’hystérésis.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

GRP_Hysteresis


ID_VAR_HYSTNEG

ID interne : ID_VAR_HYSTNEG

Négatif pour le signal

Hystérésis des valeurs limites définies en fonction de la plage du signal.

Plage d’hystérésis pour l’entrée en cas de changement de valeur avec diminution. Les valeurs sont uniquement interprétées comme des dépassements de valeur limite si la valeur changeante est inférieure à la plage d’hystérésis définie ici.
Par défaut : 0 (pas d’hystérésis)

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

HystNeg


ID_VAR_HYSTPOS

ID interne : ID_VAR_HYSTPOS

Positif pour le signal

Hystérésis des valeurs limites définies en fonction de la plage du signal.

Plage d’hystérésis pour l’entrée en cas de changement de valeur avec augmentation. Les valeurs sont uniquement interprétées comme des dépassements de valeur limite si la valeur changeante est supérieure à la plage d’hystérésis définie ici.
Par défaut : 0 (pas d’hystérésis)

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

HystPos


ID_VAR_INTERN_INITIALWERT

ID interne : ID_VAR_INTERN_INITIALWERT

Valeur initiale

La valeur définie ici est utilisée en tant que valeur actuelle de la variable au démarrage du Runtime, si la propriété Rémanence est définie sur Valeur initiale.
Remarque : Les points et les virgules peuvent être utilisés en tant que séparateurs décimaux. Au niveau interne, la valeur est toujours convertie en nombre avec un point en guise de séparateur.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

Initial_value


ID_VAR_INTERN_LOKAL

ID interne : ID_VAR_INTERN_LOKAL

Calcul

Local : Pour les projets en réseau, la variable interne est évaluée gérée localement sur chaque poste.
Ceci signifie que la valeur de la variable peut être différente sur chaque client et les valeurs limites sont gérées localement.
Réseau : Pour les projets en réseau, les variables internes sont évaluées et gérées sur le serveur du projet. Elle a la même valeur partout sur le réseau (sur le serveur et les clients).
Par défaut : local.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

Local


ID_VAR_INTERN_REMANENZ

ID interne : ID_VAR_INTERN_REMANENZ

Rémanence

Désactivée : Lors du démarrage du Runtime, la valeur de remplacement de la variable ou une chaîne (pour les variables chaîne) est utilisée comme valeur actuelle.
Valeur initiale : La valeur actuelle est la valeur saisie dans la propriété "Valeur initiale".
Rémanentes : La dernière valeur de la variable est utilisée comme valeur actuelle lors du redémarrage du Runtime.
Par défaut : off.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

Remanenz


ID_VAR_KANALTYP

ID interne : ID_VAR_KANALTYP

Type d'objet driver

Selon le driver utilisé, un type d’objet est sélectionné durant la création de la variable et peut être modifié ici ultérieurement.
Siemens : bloc de données, marqueur, entrée/sortie.
Modbus : Coil et Holding Register.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

ID_DriverTyp


ID_VAR_KENNUNG

ID interne : ID_VAR_KENNUNG

Identification

Chaîne libre utilisée pour l’identification de la variable ou du type de données.
Remarque : Puisque la langue du nom de la variable (propriété Nom) ne peut pas être modifiée, cette propriété peut être utilisée pour le changement de langue en ligne.

Longueur maximale : 128 caractères

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

Tagname


ID_VAR_LBOUND

ID interne : ID_VAR_LBOUND

Index de début

Sélectionnez l’index de début du tableau dans la liste déroulante.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

LBound


ID_VAR_LINANPASS

ID interne : ID_VAR_LINANPASS

Ajustement linéaire

Ajustement des valeurs linéaires via la plage de mesure.
Paramètres de conversion linéaire des valeurs de l’automate en valeurs de visualisation.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

GRP_LinAdjust


ID_VAR_LOCKING

ID interne : ID_VAR_LOCKING

Groupe de commandes

Liaison d’un groupe de commandes à cette variable.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

LockingName


ID_VAR_MAKROHARDWARE

ID interne : ID_VAR_MAKROHARDWARE

AdjustHardwareValue

Disponible uniquement si la propriété Ajustement non-linéaire avec macros est active.

Macro appelée à chaque modification de la valeur brute dans l’automate, et qui modifie la valeur dans zenon. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de macros.
Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

AdjustHardware


ID_VAR_MAKROZENON

ID interne : ID_VAR_MAKROZENON

AdjustScadaValue

Disponible uniquement si la propriété Ajustement non-linéaire avec macros est active.

La macro est appelée lors de l’écriture d’une valeur depuis zenon et modifie la valeur brute sur l’automate. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de macros.
Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

AdjustZenon


ID_VAR_MAXGRADIENT

ID interne : ID_VAR_MAXGRADIENT

Gradient maximum

Disponible uniquement dans SICAM 230.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

MaxGradient


ID_VAR_MESSMAX

ID interne : ID_VAR_MESSMAX

Plage de mesure max.

Valeur maximum des variables dans zenon.
À moins d’être définie différemment dans la propriété Ajustement non-linéaire, la valeur brute des variables (résolution du signal) sera toujours convertie au format de la plage de mesure sur une base linéaire (pour une utilisation dans le système de contrôle). Toutes les autres entrées de valeurs numériques spécifiques à la variable dans Editor et dans le Runtime seront liées à la plage de mesures (par ex. définition des valeurs limites, limites des valeurs prescrites, zone de représentation, entrées de valeurs prescrites, etc.).

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

RangeMax


ID_VAR_MESSMIN

ID interne : ID_VAR_MESSMIN

Plage de mesure min.

Valeur minimum des variables dans zenon.
À moins d’être définie différemment dans la propriété Ajustement non-linéaire, la valeur brute des variables (résolution du signal) sera toujours convertie au format de la plage de mesure sur une base linéaire (pour une utilisation dans le système de contrôle). Toutes les autres entrées de valeurs numériques spécifiques à la variable dans Editor et dans le Runtime seront liées à la plage de mesures (par ex. définition des valeurs limites, limites des valeurs prescrites, zone de représentation, entrées de valeurs prescrites, etc.).

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

RangeMin


ID_VAR_NACHKOMMA

ID interne : ID_VAR_NACHKOMMA

Nombre de décimales

Nombre de décimales des valeurs de variables utilisées lors de l’affichage dans le système de contrôle.
Minimum : 0
Maximum : 10
Par défaut : 0

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

Digits


ID_VAR_NAME

ID interne : ID_VAR_NAME

Nom

Nom unique de la variable. Les considérations suivantes s’appliquent lors de la définition du nom :

  • Longueur maximale : 128 caractères
  • Caractères non autorisés : # et @

Remarque : pour les drivers utilisant la connexion à zenon Logic, vous devez définir un préfixe. Pour plus de détails, reportez-vous au chapitre Création de variables O et M dans zenon Logic dans le manuel.
Toute modification du nom de la variable doit également être effectuée dans l’environnement de programmation (VBA, VSTA).

Attention : Cette propriété n’est pas disponible aux fins de la commutation de langue.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

Name


ID_VAR_NETADDR

ID interne : ID_VAR_NETADDR

Adresse réseau

Adresse de bus ou Adresse réseau de la variable.

  • Minimum : 0
  • Maximum : 4294967295

Par défaut : 0

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

NetAddr


ID_VAR_NORMALZUSTAND

ID interne : ID_VAR_NORMALZUSTAND

Valeur normale

Dans la liste déroulante, choisissez si la valeur normale de cette variable ou ce type de données doit être On (Active) ou Off (Inactive). Disponible pour les variables et les types de données du type BOOL, UINT et WORD pour tous les drivers.

Par défaut : Off

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

NormalState


ID_VAR_NORMALZUSTANDAKT

ID interne : ID_VAR_NORMALZUSTANDAKT

Actif

Permet de définir un état normal pour les variables et les types de données du type BOOL, UINT et WORD pour tous les drivers.

Active : Un état normal peut être défini.

Par défaut : Inactive

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

NormalStateActive


ID_VAR_OFFSET

ID interne : ID_VAR_OFFSET

Offset

Décalage de la variable.
Pour les contrôleurs à adressage linéaire : plage de mémoire.
Pour les contrôleurs à résolution de nom : adresse d’attribution.
Minimum : 0.
Maximum : 4294967295
Par défaut : 0.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

Offset


ID_VAR_OFS_SOURCE

ID interne : ID_VAR_OFS_SOURCE

Offset de calcul

Sélectionnez le type de calcul souhaité pour l’offset. Les options suivantes sont disponibles :

  • Adressage selon l’offset du type de données et de l’offset de départ
  • Adressage automatique
  • Adressage manuel

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

OfsSource


ID_VAR_PRIORITAET

ID interne : ID_VAR_PRIORITAET

Priorité

Si l’heure de mise à jour globale spécifiée dans la configuration du driver n’est pas utilisée, la fréquence des mises à jour correspondant aux différents niveaux de priorité peut être définie ici. Dans cette propriété, une priorité est attribuée à une variable.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

UpdatePriority


ID_VAR_PROP_ANALYZER1

ID interne : ID_VAR_PROP_ANALYZER1

Nom visuel

Saisie d’un nom d’affichage de la variable dans zenon Analyzer. Celui-ci doit être unique dans le projet, mais ceci n’est pas vérifié dans zenon. Cette vérification est effectuée lors de l’importation dans zenon Analyzer.

Cette propriété fournit des informations qui sont utilisées pour la configuration de rapports dans zenon Analyzer. L’exportation des données de zenon vers zenon Analyzer est effectuée à l’aide de l’assistant Analyzer Export Wizard.

Attention : Si cette propriété est modifiée après la première exportation vers zenon Analyzer, ces modifications ne sont appliquées dans zenon Analyzer.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

VisualName


ID_VAR_PROP_ANALYZER2

ID interne : ID_VAR_PROP_ANALYZER2

Signification

Cette propriété fournit des informations qui sont utilisées par la fonction de configuration de rapports dans zenon Analyzer.
Les données peuvent être définies manuellement ou à l’aide de l’assistant Meaning and Waterfall Chart Wizard. L’exportation des données de zenon vers zenon Analyzer est effectuée à l’aide de l’assistant Analyzer Export Wizard.

Saisie de la signification (meaning) d’une variable dans zenon Analyzer. Plusieurs significations doivent être séparées par une virgule.
Syntaxe : [signification1],[signification2],…,[significationN]

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

Meaning


ID_VAR_PROP_ANALYZER3

ID interne : ID_VAR_PROP_ANALYZER3

Paramètre pour le waterfall diagram

Cette propriété fournit des informations qui sont utilisées par la fonction de configuration de rapports dans zenon Analyzer.
Les données peuvent être définies manuellement ou à l’aide de l’assistant Meaning and Waterfall Chart Wizard. L’exportation des données de zenon vers zenon Analyzer est effectuée à l’aide de l’assistant Analyzer Export Wizard.

Paramètres d’une variable pour un diagramme en cascade dans zenon Analyzer. Les entrées peuvent être créées pour les rapports par ligne ou les rapports par machine. Lors de l’exportation, en fonction de la structure des entrées, une décision est prise pour déterminer s’il s’agit d’entrées correspondant à des diagrammes par machine ou par ligne.

Les paramètres individuels doivent être séparés par une virgule. Plusieurs cascades doivent être séparées par un poing-virgule.
Syntaxe, par machine : [nom modèle],[indice de ligne],[indice de colonne],[code de couleur];
Syntaxe, par ligne : [nom du modèle],[indice de ligne],[indice de colonne],[code de couleur],[perte de machine auxiliaire],[ajout de perte de machine auxiliaire],[soustraction de perte de machine auxiliaire];

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

WaterfallParam


ID_VAR_PROP_GRP0

ID interne : ID_VAR_PROP_GRP0

Adresse

Propriétés d’adressage de la variable :

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

GRP_Address


ID_VAR_PROP_GRP1

ID interne : ID_VAR_PROP_GRP1

Plages de valeurs

Définition de la plage de valeurs de la variable.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

GRP_Value


ID_VAR_PROP_GRP2

ID interne : ID_VAR_PROP_GRP2

Paramètres additionnels

Propriétés étendues de la variable.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

GRP_Extended


ID_VAR_PROP_GRP3

ID interne : ID_VAR_PROP_GRP3

Stockage données disque dur

Propriétés d’enregistrement des valeurs de variables sur le disque dur.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

GRP_HardDisk


ID_VAR_PROP_GRP4

ID interne : ID_VAR_PROP_GRP4

Valeurs limite

Propriétés définissant le traitement des valeurs limites ou le traitement des alarmes pour la variable.

Les propriétés de ce groupe sont uniquement disponibles si vous avez activé la propriété Matrice de réaction active.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

Limits


ID_VAR_PROP_GRP7

ID interne : ID_VAR_PROP_GRP7

Enregistrer dans la liste d'événements

Propriétés de consignation dans la liste d’événements (CEL).

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

GRP_SetValueProtocol


ID_VAR_PROP_GRP8

ID interne : ID_VAR_PROP_GRP8

Gestion des alarmes

Propriétés de l’acquittement et des domaines d’alarmes.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

GRP_Alarmhandling


ID_VAR_PROP_GRP9

ID interne : ID_VAR_PROP_GRP9

Synoptique alarme

Disponible uniquement dans SICAM 230.
Propriétés pour le synoptique d’alarmes.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

GRP_PictureAlarm


ID_VAR_PROP_GRP10

ID interne : ID_VAR_PROP_GRP10

État normal

Propriétés pour l’état normal d’une variable.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

GRP_NormalState


ID_VAR_PROP_GRP11

ID interne : ID_VAR_PROP_GRP11

Variable interne

Propriétés des variables internes.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

GRP_InternalVariable


ID_VAR_PROP_GRP12

ID interne : ID_VAR_PROP_GRP12

Variable du driver système

Propriétés pour les variables de driver du système.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

GRP_SystemVariable


ID_VAR_PROP_GRP13

ID interne : ID_VAR_PROP_GRP13

Analyzer

Propriétés utilisées dans zenon Analyzer.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être adressée comme suit pour l’API zenon (avec nom de la classe) :

GRP_Analyser


ID_VAR_PROP_GRP_GOOSE

ID interne : ID_VAR_PROP_GRP_GOOSE

GOOSE

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

GOOSE


ID_VAR_READWRITE

ID interne : ID_VAR_READWRITE

Ecrire valeur prescrite

Active : cette variable est libérée pour l’action Spécifier valeur prescrite.
Inactive : cette variable est protégée en écriture.
Par défaut : Active

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

InOut


ID_VAR_REMA

ID interne : ID_VAR_REMA

Matrice de réaction

Sélection d’une matrice de réaction pour la liaison avec les variables sélectionnées ou le type de données sélectionné. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection d’une matrice de réaction.
Les matrices de réaction peuvent également être copiées, configurées et créées dans cette boîte de dialogue. Il n’est toutefois pas possible de supprimer des matrices de réaction ici. Si vous souhaitez dissocier une matrice de réaction, cliquez sur le bouton Aucune dans la boîte de dialogue.

Par défaut : <aucune matrice de réaction liée>

Remarque : La propriété Aperçu des valeurs limite affiche un aperçu de la matrice de réaction liée.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

Rema


ID_VAR_REMA_KNOTEN

ID interne : ID_VAR_REMA_KNOTEN

Matrice de réaction

Propriétés d’utilisation d’une matrice de réaction pour la variable.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

GRP_Rema


ID_VAR_REMAAKTIV

ID interne : ID_VAR_REMAAKTIV

Matrice de réaction active

Active : Une matrice de réaction est utilisée à la place des valeurs de limite.
Inactive : Les valeurs peuvent être définies pour la variable.
Par défaut : inactive.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

IsRemaActiv


ID_VAR_SBO

ID interne : ID_VAR_SBO

Select Before Operate

Attention : Cette fonctionnalité est uniquement compatible avec les drivers IEC870 et IEC850, et uniquement disponible si vous avez sélectionné l’option Commande commutation pour la propriété de type d’action dans Gestion des commandes, et l’action est mise en œuvre sous forme d’action à deux étapes. N’utilisez pas cette fonction pour le driver DNP3_NG ; Auto-SBO peut être configuré directement pour la variable, dans ce cas.

Active : Avant que la valeur de la variable ne soit écrite dans le matériel, zenon vérifie, pendant la première phase de la commande de commutation, si la variable dans l’équipement est prête pour cette action (Select before Operate (SBO)).
Attention : Pour les commandes impulsion, la réinitialisation automatique des valeurs des variables n’est pas effectuée dans l’intervalle de temps défini dans la propriété de délai de front.

Si la propriété SBO a été activée pour la variable d’action, une commande d’impulsion se comporte de la même manière qu’une commande de commutation.

Inactive : La valeur de la variable est transférée vers le driver sans vérification préalable.

Remarque : dans un driver IEC870, cela signifie une instruction Direct execute. Le driver IEC850 peut toutefois déclencher automatiquement une instruction Select before Operate , en raison du Control Model.
Par défaut : Inactive :
Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

SBO


ID_VAR_SIGMAX

ID interne : ID_VAR_SIGMAX

Signal max.

Valeur maximum de la variable dans l’automate. À moins d’être définie différemment dans la propriété Ajustement non-linéaire, la valeur brute des variables (résolution du signal) sera toujours convertie au format de la plage de mesure sur une base linéaire (pour une utilisation dans le système de contrôle). Toutes les autres entrées de valeurs numériques spécifiques à la variable dans Editor et dans le Runtime seront liées à la plage de mesures (par ex. définition des valeurs limites, limites des valeurs prescrites, zone de représentation, entrées de valeurs prescrites, etc.).

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

SignalMax


ID_VAR_SIGMIN

ID interne : ID_VAR_SIGMIN

Signal min.

Valeur minimum de la variable dans l’automate.
À moins d’être définie différemment dans la propriété Ajustement non-linéaire, la valeur brute des variables (résolution du signal) sera toujours convertie au format de la plage de mesure sur une base linéaire (pour une utilisation dans le système de contrôle). Toutes les autres entrées de valeurs numériques spécifiques à la variable dans Editor et dans le Runtime seront liées à la plage de mesures (par ex. définition des valeurs limites, limites des valeurs prescrites, zone de représentation, entrées de valeurs prescrites, etc.).

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

SignalMin


ID_VAR_SIGNAL

ID interne : ID_VAR_SIGNAL

Plage de valeurs automate

Plage de valeurs de la variable dans l’automate.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

GRP_SignalRange


ID_VAR_SOLLMAX

ID interne : ID_VAR_SOLLMAX

Valeur prescrite max.

La valeur maximum définie ici pour le paramètre Écrire valeur prescrite peut être acceptée par le biais d’éléments dynamiques, plutôt que par la configuration séparée de ces derniers.
Ceci est surtout recommandé si la plage de la mesure est susceptible de varier ultérieurement, car ces modifications peuvent être effectuées une fois ici, au lieu d’être modifiées séparément dans chaque élément.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

ValueMax


ID_VAR_SOLLMIN

ID interne : ID_VAR_SOLLMIN

Valeur prescrite min.

La valeur minimum définie ici pour le paramètre Écrire valeur prescrite peut être acceptée par le biais d’éléments dynamiques, plutôt que par la configuration séparée de ces derniers.
Ceci est surtout recommandé si la plage de la mesure est susceptible de varier ultérieurement, car ces modifications peuvent être effectuées une fois ici, au lieu d’être modifiées séparément dans chaque élément.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

ValueMin


ID_VAR_STANDBY

ID interne : ID_VAR_STANDBY

Lire uniquement sur le serveur redondant

Active : La valeur de la variable provenant du serveur redondant est affichée.
Inactive : La valeur de la variable provenant du serveur est affichée.
(drivers matériels uniquement)

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

Standby


ID_VAR_STRINGLAENGE

ID interne : ID_VAR_STRINGLAENGE

Longueur de la chaîne

Disponible uniquement pour les variables de type chaîne.
Nombre maximum de caractères que peut accepter une variable.
Minimum : 1 caractère
Si la valeur non autorisée 0 est saisie, la dernière valeur configurée valide est automatiquement utilisée. Si aucune valeur valide n’a été configurée, l’entrée est remplacée par la valeur par défaut.
Maximum : 65535 caractères.
Par défaut : 5 caractères

Remarque : la valeur par défaut est 65 535 pour les variables système avec le type de données String.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

StringLength


ID_VAR_STRINGLAENGE2

ID interne : ID_VAR_STRINGLAENGE2

Longueur de la chaîne

Disponible uniquement pour les variables de type chaîne :
Nombre maximum de caractères que peut accepter une variable.
Minimum : 0
Maximum : 65535
Par défaut : 5

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

MaxStringLen


ID_VAR_SWP_ACT

ID interne : ID_VAR_SWP_ACT

Ancienne et nouvelle valeur

  • Active : en cas de modification de la valeur prescrite de cette variable, les valeurs ancienne et nouvelle sont consignées dans la liste d’événements (CEL).
  • Inactive : Seule la nouvelle valeur est consignée.

Par défaut : Inactive

Recommandation : Activez la propriété Variable lue en permanence. Ceci permet de garantir que la valeur est toujours disponible, et qu’il n’est pas nécessaire de l’interroger spécialement.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

SV_Act


ID_VAR_SWP_ART

ID interne : ID_VAR_SWP_ART

Enregistrement (fichier journal)

Définit la manière dont l’écriture de la valeur prescrite sera consignée dans la liste CEL.

  • Tout : Toutes les actions Écrire valeur prescrite de cette variable exécutées via des éléments dynamiques et les fonctions Écrire valeur prescrite sont consignées dans la liste d’événements. (CEL)
  • Rien : aucune action Spécifier valeur prescrite n’est consignée dans la liste CEL.
  • Seulement sur élément dynamique : Seules les actions Écrire valeur prescrite exécutées via les éléments dynamiques sont consignées dans la liste CEL.

Par défaut : Uniquement les éléments dynamiques :

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

SetValueProtocol


ID_VAR_SWP_VBA

ID interne : ID_VAR_SWP_VBA

Valeurs modifiées par VBA

Active : L’écriture de la valeur prescrite de cette variable via une macro VBA est consignée dans la liste d’événements.
inactive : l’écriture de la valeur prescrite de cette variable via une macro VBA n’est pas consignée.
Par défaut : Active

Remarque : pour les variables configurées sous forme de variables de commande dans la passerelle de procédé IEC870, chaque commande est consignée sous la forme Spécifier valeur prescrite via l’interface COM dans la liste CEL, si la propriété est activée.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

SV_VBA


ID_VAR_SYMBADDR

ID interne : ID_VAR_SYMBADDR

Adresse symbolique

Séquence de caractères pour l’adressage symbolique des variables.

Longueur maximale : 1024 caractères.

Remarque : L’adresse symbolique n’est pas prise en charge par tous les drivers.
Lors de l’importation des variables dans des drivers compatibles avec l’adressage symbolique, la propriété est saisie automatiquement.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

SymbAddr


ID_VAR_TREIBER

ID interne : ID_VAR_TREIBER

Drivers

Driver de la variable. Sélectionné durant la création de la variable ; peut être modifié ici ultérieurement.

Remarque : le driver des projets zenon Logic ne peut pas être modifié ultérieurement.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

Driver


ID_VAR_TYPE

ID interne : ID_VAR_TYPE

Type de données

Type de donnée pour la variable. Sélectionné durant la création de la variable ; peut être modifié ici ultérieurement.
Remarque : Pour les variables de structure, le type de données ne peut plus être modifié après la création des variables.
Attention : Si vous modifiez le type de données ultérieurement, toutes les autres propriétés de la variable doivent être vérifiées et ajustées, si nécessaire.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

ID_DataTyp


ID_VAR_USEMAKRO

ID interne : ID_VAR_USEMAKRO

Ajustement non-linéaire avec macros

L’ajustement de valeurs non linéaires est utilisé pour les variables dont la valeur originale (automate) ne peut pas être ajustée de manière linéaire en fonction de la valeur mesurée (système de contrôle).

  • Active : Les valeurs brutes sont ajustées en fonction de zenon, sur une base non linéaire, avec des macros VBA.
  • Inactive : Les valeurs brutes sont ajustées en fonction de zenon.

Remarque : Lors de l’activation de la propriété, les propriétés AdjustHardwareValue et AdjustScadaValue doivent également être configurées. La propriété AdjustHardwareValue doit alors être configurée à l’inverse de la propriété AdjustScadaValue, sous forme de fonction inverse.

Par défaut : Inactive

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

UseMacro


ID_VAR_WERTATTRIB

ID interne : ID_VAR_WERTATTRIB

Attributs de valeurs

Propriétés des attributs de valeur de la variable :

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

GRP_ValueAttrib


ID_VAR_ZWREMANR

ID interne : ID_VAR_ZWREMANR

Groupe de compteur

Disponible uniquement dans SICAM 230.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

CounterGroup


ID_VARGROUP

ID interne : ID_VARGROUP

Groupe de variables externe

Propriété externe pour zenon Logic. Affecte uniquement les variables qui ne sont pas des variables du driver straton32.
Groupes de variables dans zenon Logic ("Global" ou "Retain" ou vides).

Cette propriété est uniquement affichée pour information. Édition dans zenon Logic uniquement.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

Vargroup


ID_VARINASM

ID interne : ID_VARINASM

Enregistrer dans la base IPA

Active : les alarmes de cette variable sont disponibles pour analyse dans le module Industrial Performance Analyzer (IPA).
Inactive : les alarmes de cette variable ne sont prises en compte lors de l’analyse dans le module Industrial Performance Analyzer (IPA).
Par défaut : Inactive

Attention : le module Industrial Performance Analyzer est un module optionnel, qui doit comporter une licence valide pour pouvoir être utilisé ici.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

VarInASM


ID_VERRIEG_CBTR_FORMULA

ID interne : ID_VERRIEG_CBTR_FORMULA

Supprimer détection

Saisissez la formule avec laquelle la détection de déclenchement d’un disjoncteur peut être supprimée. Cliquez sur le bouton ... pour ouvrir l’éditeur de formules.

Pour la formule, toutes les variables provenant de la liste de groupes de commandes peuvent être utilisées ; les remplacements de noms avec l’opérateur * sont autorisés, comme lors de la définition des conditions de verrouillage d’une action.

Remarque : Les variables utilisées dans la formule ne peuvent pas être supprimées de la liste du groupe de commandes.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

CBTR_Formula


ID_VERRIEG_CBTR_MONITORED

ID interne : ID_VERRIEG_CBTR_MONITORED

Détection déclenchement disjoncteur

Disponible uniquement si la propriété Définir état PROGRESS est active.

Active : La variable de réponse est surveillée afin de déceler tout changement inattendu entre <>0 et 0.

Par défaut : Inactive

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

CBTR_Act


ID_VERRIEG_PROP1

ID interne : ID_VERRIEG_PROP1

Nom

Nom unique du verrouillage ou de la gestion des commandes.
Par défaut : verrouillage/groupe de commandes (où x représente un nombre consécutif).

Attention : Cette propriété n’est pas disponible aux fins de la commutation de langue.

D’autres informations concernant la création des éléments suivants sont disponibles dans l’aide en ligne :

  • Verrouillage

Gestion de commande

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

Name


ID_VERRIEG_PROP2

ID interne : ID_VERRIEG_PROP2

Variable de l'action

Nom de la variable liée au groupe de commandes.
Ouvre la boîte de dialogue de sélection de variables.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

Name


ID_VERRIEG_PROP3

ID interne : ID_VERRIEG_PROP3

Nom de variable de réponse

Nom de variable ou masque de remplacement de la variable de réaction.
L'opérateur utilisé pour le texte de remplacement est le caractère "*" dans un nom. Un seul caractère générique est possible. Lors de l’accès au masque, veillez à ce que ce nom aboutisse à une variable existante après l’opération de remplacement.
Si la variable utilisée ici (remplacée ou absolue) n’existe pas durant la création des fichiers du Runtime, le groupe de commandes ne sera pas disponible dans le Runtime. Un message correspondant annonce cette erreur durant la création des fichiers du Runtime.
Saisie directe ou ouverture de la boîte de dialogue de sélection de variables.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

ReturnInformation


ID_VERRIEG_PROP4

ID interne : ID_VERRIEG_PROP4

Définir état PROGRESS

Active : Pour les actions Commande et Correction manuelle, le bit d’état In progress (PROGRESS) est défini au niveau de la variable de réaction si les actions sont déclenchées dans le Runtime.
Le bit est utilisé pour déployer un affichage graphique, afin de montrer à l’utilisateur qu’une action est actuellement en cours d’exécution. À l’aide de l’élément combiné ou d’une matrice de réaction, vous pouvez contrôler le bit d’état et déployer un affichage graphique.

Inactive : Le bit d’état n’est pas défini.

Par défaut : Inactive.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

DesiredDirection


ID_VERRIEG_PROP5

ID interne : ID_VERRIEG_PROP5

Tempo watchdog

Détermine le procédé de temporisation de la commande de surveillance.

Remarque : cette surveillance du Runtime est uniquement active pour les types d’action Commande de commutation et Commande impulsion.

Paramètres possibles :

  • aucune :
    Pas de surveillance du Runtime.
  • Suivant variable de réponse uniquement (RV) :
    La valeur de la variable de réponse est utilisée pour déterminer si le procédé s’est correctement déroulé. Le suivi est activé seulement si la valeur à écrire n’est pas égale à la valeur courante de la variable d’action.
  • Suivant paramètre Cause of Transmission uniquement (COT) :
    Le paramètre COT (Cause of Transmission) est utilisé pour vérifier le bon déroulement du processus.
    Pour l’action Commande, les bits d’état du paramètre Cause of Transmission (COTx) sont évalués. La surveillance se termine si COT_actterm (10) est atteint.
  • Par cause de transmission (COT) et variable de réponse :
    Attend et réagit en fonction du paramètre COT et des changements de valeur de la variable de réaction. Associe les propriétés des paramètres Par variable de réponse uniquement (RV) et Cause of Transmission uniquement (CoT).

En règle générale, les dispositions suivantes s’appliquent : Si la surveillance du Runtime ne s’achève pas correctement durant le Timeout configuré pour l’action, le bit d’état TIMEOUT est défini.

Par défaut : aucun.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

WatchDogTimer


ID_VERRIEG_PROP6

ID interne : ID_VERRIEG_PROP6

Type action

Disponible uniquement pour l’action Commande :
Type de commande..
Commande commutation : Écrit la valeur de la propriété Commande.
Commande impulsion : Écrit la valeur de la propriété Commande. La valeur 0 est écrite après la propriété Durée d'impulsion. Cette réécriture n’est plus contrôlée par le Runtime.

Remarque : Disponible uniquement pour l’action Commande impulsion. Si d’autres actions sont sélectionnées dans la fenêtre de gestion des commandes, celles-ci sont préalablement entrées dans la propriété Type action et sont grisées ; elles ne peuvent dès lors plus être modifiées.

Par défaut : Commande commutation.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

Type


ID_VERRIEG_PROP7

ID interne : ID_VERRIEG_PROP7

État de la réponse/direction de commutation

Définit la valeur attendue et/ou l’état de la variable de réponse après l’exécution de l’action.

Les entrées possibles varient en fonction de l’action.

  • OFF : L’état de retour est désactivé ; la valeur est égale à 0
  • DIFF : État provisoire, compris entre 0 et 1.
  • ON (Activer) : L’état de retour est activé ; la valeur est égale à 1
  • aucune : L’état de retour est ignoré ; la valeur ne change pas
  • DIR: xx (uniquement disponible pour la commande Saisir valeur prescrite)
  • Valeur prescrite : xx (uniquement disponible pour la commande Saisir valeur prescrite)
  • DIST : Erreur.

Indisponible pour les actions suivantes : Bloquer, Verrouiller et Approuver.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

Direction


ID_VERRIEG_PROP8

ID interne : ID_VERRIEG_PROP8

Le délai d'attente peut être annulé

Autorise l’annulation des délais d’attente avant expiration dans la fonction de surveillance du Runtime.

Si la commande Execute- a déjà été exécutée (après réception de COT_actcon), le bouton Annuler permet d’annuler la surveillance du Runtime. Les boutons sont à nouveau actifs et utilisables.
Toutefois : En cas d’annulation durant l’exécution, le module ne transfère pas les désactivations (Cancel) au driver.
Si cette propriété est active durant la surveillance du Runtime, le bouton Cancel du synoptique de gestion des commandes devient actif. Par conséquent, l’utilisateur peut arrêter la surveillance du Runtime en cliquant sur ce bouton.

Par défaut : Inactive

Remarque : Disponible seulement pour le groupe de commandes Commande et Saisir valeur prescrite. Aucun bit d’expiration de délai d’attente n’est défini.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

TimeoutAbortable


ID_VERRIEG_PROP9

ID interne : ID_VERRIEG_PROP9

Supprimer l'entrée de la liste d'événements

Active : Aucune entrée n’est créée dans la liste d’événements (CEL) lors de l’exécution de l’action.
Inactive : Une entrée est créée dans la liste d’événements (CEL) lors de l’exécution de l’action.
Par défaut : inactive.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

CELBlock


ID_VERRIEG_PROP10

ID interne : ID_VERRIEG_PROP10

Timeout

Délai d’attente avant expiration de la surveillance du Runtime en secondes pour les actions commande de commutation et commande impulsion.

Ce paramètre est également utilisable comme délai d’attente pour la sélection d’I/O. Uniquement disponible pour les actions Commande, Commande auto/à distance, Vérifier la réponse, Saisie de valeur prescrite et Commande forcée.

  • Minimum : 0
  • Maximum : 4294967295
  • Par défaut : 30

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

Timeout


ID_VERRIEG_PROP11

ID interne : ID_VERRIEG_PROP11

Lien logique

Ouvre la boîte de dialogue de définition de la formule de la condition.
Dans un réseau, les conditions de verrouillage sont toujours calculées localement. En cas d’utilisation de variables locales (par ex. issues du driver du système ou de variables internes), les conditions sur un client peuvent être différentes de celles sur un serveur.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

Formula


ID_VERRIEG_PROP12

ID interne : ID_VERRIEG_PROP12

Déverrouillable

Disponible uniquement dans SICAM 230 ou si le module Energy Edition possède une licence :
Active : Le verrouillage peut être déverrouillé manuellement depuis le synoptique de la gestion des commandes.
Par défaut : inactive.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

Delocking


ID_VERRIEG_PROP13

ID interne : ID_VERRIEG_PROP13

Texte de verrouillage

Description de la condition de verrouillage.
Dans le Runtime, ce texte peut être affiché sur le synoptique de gestion des commandes (si vous possédez une licence pour le module Energy Edition) ; il peut également être évalué à l’aide d’une macro VBA.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

Text


ID_VERRIEG_PROP14

ID interne : ID_VERRIEG_PROP14

Commande

Disponible uniquement pour l’action Commande :
Définit la valeur écrite sous forme de valeur dans la variable de commande durant l’action Commande.
Remarque : inactive pour les commandes Bloquer, Remplacer, Valider, Surveiller, Révision, Saisir valeur prescrite et Définir l’état.

0 : La variable de commande est réinitialisée à 0.
1 : La variable de commande est réinitialisée à 1.
Par défaut : 1

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

CommandState


ID_VERRIEG_PROP15

ID interne : ID_VERRIEG_PROP15

États modifiables

Disponible uniquement pour l’action de traitement de la commande Définir l’état :

Par défaut : aucun.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

State


ID_VERRIEG_PROP16

ID interne : ID_VERRIEG_PROP16

Comparaison valeur nominale/actuelle

Active : Une vérification est effectuée afin de déterminer si la valeur de la variable de réponse correspond déjà à la direction de la commutation à effectuer. Si c’est le cas, un message déverrouillable est affiché dans la fenêtre de gestion des commandes.
Inactive : La direction de commutation n’est pas vérifiée.
Remarque : Disponible uniquement pour la commande Commande de commutation (= action => nouvelle commande).

Par défaut : inactive

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

Actual


ID_VERRIEG_PROP17

ID interne : ID_VERRIEG_PROP17

Synoptique modal

Active : La commande bascule en mode modal, indépendamment de la propriété Boîte de dialogue modale du synoptique. Cela signifie que les autres synoptiques peuvent uniquement être actionnés lorsque le synoptique a été fermé.
Inactive : le synoptique de commande est basculé normalement.
Default: inactive.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

Modal


ID_VERRIEG_PROP18

ID interne : ID_VERRIEG_PROP18

Titre de synoptique depuis la variable de réponse

Active : l’identification de la variable de réponse est utilisée en tant que titre du synoptique.
Inactive : le nom du synoptique est utilisé en tant que titre du synoptique.
Par défaut : inactive.
Attention : pour activer le titre de synoptique, vous devez en outre activer la propriété Titre dans le cadre concerné.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

RM-Titel


ID_VERRIEG_PROP19

ID interne : ID_VERRIEG_PROP19

Synoptique

Nom du synoptique à ouvrir si la fonction Gestion de commande est déclenchée par la saisie d’une valeur prescrite dans un élément dynamique de synoptique. Le synoptique est également utilisé lorsqu’une action est exécutée depuis le menu contextuel de l’élément ou au moyen de séquences de commandes, si aucun synoptique spécifique à l’action n’a été défini.

Remarque : si la fonction Gestion de commande est déclenchée par l’écriture d’une valeur prescrite au niveau de l’élément, vous devez lier un synoptique ici. Si la fonction Gestion de commande est uniquement exécutée depuis le menu contextuel ou une séquence de commandes et les actions ont été configurées avec leurs propres synoptiques, seul le synoptique correspondant à l’action est utilisé ; cette propriété peut alors rester vide.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

PicGUID


ID_VERRIEG_PROP20

ID interne : ID_VERRIEG_PROP20

Synoptique

Synoptique de type Gestion des commandes utilisé lorsque l’action a été exécutée via le menu contextuel de l’élément. Si aucun synoptique n’est spécifié, le synoptique défini pour le groupe de commandes dans la propriété Synoptique est utilisé. Un synoptique développé, mais indisponible génère un message d’erreur lors de la création des fichiers de Runtime. Dans ce cas, l’action n’est pas reprise.
Par défaut : aucun.

Remarque : Si le traitement commande est déclenché via l’écriture d’une valeur prescrite au niveau de l’élément, cette propriété est ignorée et le synoptique spécifié dans la propriété Synoptique est systématiquement utilisé.
Inactif si le type d’action Commande auto/à distance est actif.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

PicGUID


ID_VERRIEG_PROP21

ID interne : ID_VERRIEG_PROP21

Bouton d'action

Indisponible pour les actions Verrouiller, Commande auto/à distance ou si aucune gestion des commandes n’a été attribuée.
L'action est attribuée à un bouton d’action défini dans le synoptique de gestion des commandes.
Si le groupe de commandes est associé à un autre synoptique (par exemple, via une fonction), l’attribution au bouton d’action est conservée. Si aucun bouton correspondant n’est présent, l’action n’est pas disponible dans le synoptique.
Seuls les boutons qui n’ont pas encore été attribués le sont.
Par défaut : Aucun

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

CmdBtn


ID_VERRIEG_PROP22

ID interne : ID_VERRIEG_PROP22

Fermer automatiquement

Active : Le synoptique de commande est automatiquement fermé lorsque l’action a été exécutée.
Inactive : Le synoptique de commande n’est pas automatiquement fermé.
Inactif si le type d’action Commande auto/à distance est actif.

Par défaut : inactive

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

CloseMDIWnd


ID_VERRIEG_PROP23

ID interne : ID_VERRIEG_PROP23

Opération à deux mains

Disponible seulement pour les exécutions en deux étapes.

  • Active : l’élément de contrôle Exécuter la 2ème étape peut uniquement être actionné si l’utilisateur appuie simultanément sur la touche Ctrl.
    Attention : Pour l’élément de contrôle Exécuter la 2ème étape, la propriété sélectionnable avec le lasso ne doit pas être active pour l’utilisation à deux mains.
  • Inactive : L’élément de contrôle peut toujours être actionné.

Par défaut : Inactive
Inactif si le type d’action Commande auto/à distance est actif.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

TwoHand


ID_VERRIEG_PROP24

ID interne : ID_VERRIEG_PROP24

Durée d'impulsion

Disponible uniquement si, dans la propriété Type action, l’option Commande impulsion a été sélectionnée.
Après expiration de ce délai en millisecondes, la valeur de la variable de commande est réinitialisée sur 0 ou 1, en fonction du sens de commutation. La valeur n’est pas réinitialisée si vous avez activé la propriété Select Before Operate de la variable d’action.

Remarque : Si, dans la fenêtre de gestion des commandes, l’action Commande auto/à distance ou Commande obligatoire a été sélectionnée, ces commandes sont préalablement entrées dans l’élément Type action et ne peuvent plus être modifiées.

Remarque :
Minimum : 0
Maximum : 4294967295
Par défaut : 1000
Attention : Le système n’attend pas que la temporisation de la commande de surveillance soit terminée.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

EdgeDelay


ID_VERRIEG_PROP25

ID interne : ID_VERRIEG_PROP25

A deux étapes

Active : L’action sera exécutée après confirmation du contrôle "Exécuter la 2ème étape".

Inactive : L’action sera exécutée :

  • après déverrouillage du dernier verrouillage.
  • immédiatement, si aucun verrouillage n’est actif.

Inactif si le type d’action Commande auto/à distance est actif.

Par défaut : active

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

TwoLevel


ID_VERRIEG_PROP29

ID interne : ID_VERRIEG_PROP29

Spécifier valeur prescrite

Disponible uniquement si la propriété État de la réponse/direction de commutation a été définie sur DIR. Ceci est ensuite uniquement possible pour les commandes Remplacement, Surveillance et Saisir valeur prescrite.

Définit les valeurs prescrites devant être écrites.

Par défaut : 0

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

ValueDirectly


ID_VERRIEG_PROP30

ID interne : ID_VERRIEG_PROP30

Variable résultat

Affiche le résultat de la condition de verrouillage sur la variable sélectionnée.

Cliquez sur le bouton pour ouvrir la boîte de dialogue de sélection de variables. Vous pouvez également saisir le nom de la variable directement dans le champ de saisie.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

ValueVariable


ID_VERRIEG_PROP31

ID interne : ID_VERRIEG_PROP31

Utiliser le qualificatif de commande

Disponible uniquement si vous possédez une licence pour le module Energy Edition.

Vous pouvez ajouter des informations supplémentaires aux commandes (qualificatif de commande) si cette capacité est prise en charge par le driver. Drivers possibles : IEC850, IEC870 et DNP3.

Active : Active la saisie sous la propriété Qualificatif de commande.

Remarque : Uniquement disponible pour les actions Commande auto/à distance, Commande impulsion et Commande obligatoire.

Par défaut : Inactive

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

UseQOC


ID_VERRIEG_PROP32

ID interne : ID_VERRIEG_PROP32

Qualificatif de commande

Saisissez une valeur numérique qui sera transmise au driver sous forme de paramètre de commande. En fonction du driver, ce paramètre aura des effets différents.

  • IEC850: les valeurs comprises entre 0 et 3 seront insérées dans le champ Vérification des commandes ; les autres valeurs seront ignorées.
  • IEC870: les valeurs comprises entre 0 et 31 seront insérées dans le champ QU des commandes ; les autres valeurs seront ignorées.
  • DNP3: la valeur 1 signifie Envoyer une impulsion, toutes les autres signifient Verrouiller.

Minimum : 0
Maximum : 127
Par défaut : 0

Remarque : Cette possibilité de saisie est uniquement disponible si le paramètre Utiliser le qualificatif de commande a été activé.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

QOC


ID_VERRIEG_PROP33

ID interne : ID_VERRIEG_PROP33

Nom

Portion libre du nom d’un verrouillage.

Lors de la saisie d’un nom, le nom complet est défini comme suit : Nom: Lien logique, par exemple : Nom : X03 non acquitté AND X02.

Si aucun nom n’est saisi, le nom complet est généré automatiquement comme suit : Condition <indice> : Lien logique, par exemple : Condition 01 : X03 non acquitté AND X02.

Par défaut : Condition <indice>

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

Name


ID_VERRIEG_PROP34

ID interne : ID_VERRIEG_PROP34

ID du menu

ID unique de l’action. L’ID de menu est utilisé pour la création des menus contextuels dans le Runtime. Si deux actions comportent le même ID, elles sont identifiées à l’aide d’un symbole spécial dans l’arborescence des actions. Lors de la compilation, une vérification est également effectuée afin d’assurer qu’une même commande (valeur) ne peut être utilisée qu’une fois par variable.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

CmdMenuID


ID_VERRIEG_PROP35

ID interne : ID_VERRIEG_PROP35

Variable de verrouillage

Variable pouvant être utilisée pour la condition de verrouillage. En cliquant sur le bouton ..., vous pouvez échanger la variable sans devoir adapter la formule.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

Name


ID_VERRIEG_PROP_DEL

ID interne : ID_VERRIEG_PROP_DEL

{Supprimer condition}

La condition est supprimée.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

Delete


ID_VERRIEG_PROP_GRP0

ID interne : ID_VERRIEG_PROP_GRP0

Général

Propriétés générales de verrouillage ou de saisie de commande.

D’autres informations concernant la création des éléments suivants sont disponibles dans l’aide en ligne :

- Verrouillage

- Commande

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

GRP_General


ID_VERRIEG_PROP_GRP4

ID interne : ID_VERRIEG_PROP_GRP4

Synoptique de gestion des commandes

Propriétés du synoptique Gestion des commandes.

Remarque : Si le type d’action Commande auto/à distance a été activé, les propriétés du groupe Synoptique de gestion des commandes ne peuvent pas être modifiées.

Synoptique de gestion des commandes

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

GRP_Picture


ID_VERRIEG_PROP_GRP5

ID interne : ID_VERRIEG_PROP_GRP5

Options

Propriétés des options de la gestion des commandes.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

GRP_Options


ID_VERRIEG_PROP_GRP6

ID interne : ID_VERRIEG_PROP_GRP6

Paramètres d'action

Propriétés des paramètres d’action de la gestion des commandes.

Remarque :

  • Le type d’action Commande auto/à distance n’est pas compatible avec les autorisations. Le groupe de propriétés Autorisation est masqué.
  • L’action Bloquer n’est pas compatible avec les conditions de verrouillage. Les conditions qui ont pu être configurées sont sans effet dans le Runtime.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

GRP_General


ID_VERRIEG_PROP_GRP7

ID interne : ID_VERRIEG_PROP_GRP7

Variable

Propriétés des variables du verrouillage.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

GRP_General


ID_VERRIEG_PROP_GRP8

ID interne : ID_VERRIEG_PROP_GRP8

Condition

Propriétés des conditions du verrouillage.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

GRP_General


ID_VERRIEG_PROP_GRP9

ID interne : ID_VERRIEG_PROP_GRP9

Autorisation

Contient les propriétés de la définition des niveaux d’autorisation pour les fonctions de verrouillage et de déverrouillage.
Remarque : Si le paramètreCommande auto/à distance a été activé, le groupe de propriétés Autorisations n’est pas affiché.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

GRP_Rights


ID_VERRIEG_PROP_GRP10

ID interne : ID_VERRIEG_PROP_GRP10

Calcul des états

Paramètres de traitement de l’état lors de la gestion des commandes.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

StatusHandling


ID_VERRIEG_PROP_GRP11

ID interne : ID_VERRIEG_PROP_GRP11

Synoptique de gestion des commandes

Paramètres du synoptique Gestion des commandes lors de la gestion des commandes.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

CommandScreen


ID_VERRIEG_PROP_GRP12

ID interne : ID_VERRIEG_PROP_GRP12

Séquenceur de commandes

Propriétés pour l’utilisation des actions de commandes dans le module Command Sequencer.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être adressée comme suit pour l’API zenon (avec nom de la classe) :

GRP_Sequences


ID_VERRIEG_PROP_NEW

ID interne : ID_VERRIEG_PROP_NEW

{Nouvelle condition}

Une nouvelle condition créée.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

New


ID_VORSCHAU

ID interne : ID_VORSCHAU

Aperçu

Ouvre la boîte de dialogue de remplacement de liens. Les modifications de l’aperçu sont reprises et inversées dans les propriétés Source et Destination.
Représente les symboles et cadrans disponibles. Actif uniquement pour les symboles si des liens vers le symbole existent déjà ; pour les compteurs à cadran, actif uniquement si un synoptique est lié à un conteneur.

Des informations plus détaillées sont disponibles dans le manuel en ligne, dans les sections Symboles et Cadrans.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

Preview


ID_WORKSPACE_PROP_MSGCTRL

ID interne : ID_WORKSPACE_PROP_MSGCTRL

MessageControl

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

MessageControl


ID_WORKSPACE_PROP_PATH

ID interne : ID_WORKSPACE_PROP_PATH

Fichier d'espace de travail

Nom et emplacement de sauvegarde du fichier de l’espace de travail. Affichage uniquement.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

Workspacepath


ID_WORKSPACE_PROPS_GRP

ID interne : ID_WORKSPACE_PROPS_GRP

Espace de travail

Contient les propriétés de l’espace de travail.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

Arbeitsbereich


ID_WPF_CONNECTION_DOUBLEVALUE

ID interne : ID_WPF_CONNECTION_DOUBLEVALUE

valeur

Saisie d’une valeur numérique pour la variable liée. Disponible uniquement si la propriété Valeur de la chaîne est inactive.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

Value


ID_WPF_CONNECTION_ISSTRING

ID interne : ID_WPF_CONNECTION_ISSTRING

Valeur de la chaîne

Définition de la valeur liée avec une valeur numérique ou une valeur chaîne.

  • Active : Valeur de la chaîne

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

IsString


ID_WPF_CONNECTION_UNIT

ID interne : ID_WPF_CONNECTION_UNIT

Unité

Unité de mesure utilisée. Sélectionnez dans la liste déroulante.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

Unit


ID_WPF_CONNECTION_USEVALUEADJUST

ID interne : ID_WPF_CONNECTION_USEVALUEADJUST

Convertir la plage de valeurs

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

UseValueAdjust


ID_WPF_CONNECTION_VALUE

ID interne : ID_WPF_CONNECTION_VALUE

Valeur de la chaîne

Saisie de la valeur chaîne. Disponible uniquement si la propriété Valeur de la chaîne est active.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

StringValue


ID_WPF_CONNECTION_VALUEMAX

ID interne : ID_WPF_CONNECTION_VALUEMAX

Maximum

Valeur maximum des variables configurables.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

Max


ID_WPF_CONNECTION_VALUEMIN

ID interne : ID_WPF_CONNECTION_VALUEMIN

Minimum

Valeur minimum des variables configurables.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

Min


ID_WRONGPW

ID interne : ID_WRONGPW

Nb max d'erreurs utilisateur

Nombre de saisies autorisées d’un nom d’utilisateur inexistant.
Le système est bloqué en cas de dépassement de ce nombre. À l’exception des administrateurs, plus aucun utilisateur ne peut se connecter. Le système est automatiquement déverrouillé lorsqu’un administrateur se connecte. Une entrée correspondante est créée dans la liste d’événements (CEL). Toute modification de cette valeur ne prend effet dans le Runtime qu’après un redémarrage.

  • Minimum : 0
  • Maximum : 65535

Par défaut : 3

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

UserTries


ID_WRONGUSER

ID interne : ID_WRONGUSER

Nb max d'erreurs mot de passe

Nombre de saisies incorrectes du mot de passe.
L'utilisateur correspondant est bloqué si ce nombre est dépassé. Le blocage peut uniquement être annulé par un administrateur. Une boîte de dialogue correspondante est créée dans la liste d’événements (CEL).

  • Minimum : 0
  • Maximum : 65535

Par défaut : 3

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

PasswordTries


ID_ZEITSTG_PROP1

ID interne : ID_ZEITSTG_PROP1

Nom

Nom unique de la fonction de temps.

Par défaut : Fonction de temps x (où x est un nombre consécutif).

Attention : Cette propriété n’est pas disponible aux fins de la commutation de langue.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

Name


ID_ZEITSTG_PROP2

ID interne : ID_ZEITSTG_PROP2

Fonction

Sélection de la fonction à exécuter de manière temporisée.
Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de fonctions.

Si d’autres fonctions doivent être exécutées :

  1. Créez un script qui exécute les fonctions.
  2. Liez la fonction d’exécution du script.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

Function


ID_ZEITSTG_PROP3

ID interne : ID_ZEITSTG_PROP3

Actif

Active : La fonction de temps est active dans le Runtime.
Inactive : La fonction de temps n’est pas affichée dans le Runtime.
Par défaut : active.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

Active


ID_ZEITSTG_PROP4

ID interne : ID_ZEITSTG_PROP4

Type d'exécution

Sélection du type d’exécution :

  • À partir de ce jour : La fonction est exécutée à partir du jour spécifié, à l’heure définie.
  • Seulement ce jour : La fonction est exécutée une fois le jour spécifié, à l’heure définie.
  • Par cycle à partir de ce jour : La fonction est exécutée de manière à partir du jour spécifié, à l’intervalle défini.
  • Par cycle seulement pour ce jour : La fonction est uniquement exécutée de manière cyclique le jour ouvré spécifié, à l’intervalle défini.

Par défaut : Par cycle à partir de ce jour

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

Type


ID_ZEITSTG_PROP5

ID interne : ID_ZEITSTG_PROP5

Heure de démarrage :

Date à laquelle ou à partir de laquelle la fonction temporisée doit être exécutée.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

ExecuteDate


ID_ZEITSTG_PROP7

ID interne : ID_ZEITSTG_PROP7

Intervalle

Intervalle durant lequel la fonction doit être exécutée.
Par défaut : 00:15:00 répète la fonction temporisée toutes les 15 minutes.

Remarque : cette propriété est uniquement adaptée aux intervalles de moins de 24 heures. Pour répéter une fonction de temps pendant plusieurs jours, configurez les jours souhaités de la semaine dans le groupe de propriétés Jours d'exécution.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

Interval


ID_ZEITSTG_PROP8

ID interne : ID_ZEITSTG_PROP8

Intervalle un mois

Uniquement disponible si la valeur Cyclique a été sélectionnée dans la propriété Type d'exécution.

  • Active : La fonction est exécutée à partir de l’heure de début, à intervalles d’un mois.
  • Inactive : Les paramètres pour la propriété Intervalle sont utilisés.

Par défaut : Inactive

Remarque : Le changement de mois et changement d’année désigne la date d’exécution définie, et non le changement de mois au 1. 1. à 00:00.
Si la modification doit être exécutée à cet instant précis, la configuration doit être effectuée pour cet instant ; par exemple, 01.01.2017 à 00:00:00 h.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

Monthly


ID_ZEITSTG_PROP9

ID interne : ID_ZEITSTG_PROP9

Intervalle une année

Disponible uniquement si la valeur Cyclique a été sélectionnée pour la propriété Type d'exécution.

  • Active : La fonction est exécutée à partir de l’heure de début, à intervalles d’un an.
  • Inactive : Les paramètres pour la propriété Intervalle sont utilisés.

Par défaut : Inactive

Remarque : Le changement de mois et changement d’année désigne la date d’exécution définie, et non le changement de mois au 1. 1. à 00:00.
Si la modification doit être exécutée à cet instant précis, la configuration doit être effectuée pour cet instant ; par exemple, 01.01.2017 à 00:00:00 h.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

Yearly


ID_ZEITSTG_PROP10

ID interne : ID_ZEITSTG_PROP10

Lundi

Active : La fonction est (également) exécutée le lundi.
Inactive : La fonction n’est pas exécutée le lundi.
Par défaut : active.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

Monday


ID_ZEITSTG_PROP11

ID interne : ID_ZEITSTG_PROP11

Mardi

Active : La fonction est (également) exécutée le mardi.
Inactive : La fonction n’est pas exécutée le mardi.
Par défaut : active.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

Tuesday


ID_ZEITSTG_PROP12

ID interne : ID_ZEITSTG_PROP12

Mercredi

Active : La fonction est (également) exécutée le mercredi.
Inactive : La fonction n’est pas exécutée le mercredi.
Par défaut : active.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

Wednesday


ID_ZEITSTG_PROP13

ID interne : ID_ZEITSTG_PROP13

Jeudi

Active : La fonction est (également) exécutée le jeudi.
Inactive : La fonction n’est pas exécutée le jeudi.
Par défaut : active.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

Thursday


ID_ZEITSTG_PROP14

ID interne : ID_ZEITSTG_PROP14

Vendredi

Active : La fonction est (également) exécutée le vendredi.
Inactive : La fonction n’est pas exécutée le vendredi.
Par défaut : active.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

Friday


ID_ZEITSTG_PROP15

ID interne : ID_ZEITSTG_PROP15

Samedi

Active : La fonction est (également) exécutée le samedi.
Inactive : La fonction n’est pas exécutée le samedi.
Par défaut : active.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

Saturday


ID_ZEITSTG_PROP16

ID interne : ID_ZEITSTG_PROP16

Dimanche

Active : La fonction est (également) exécutée le dimanche.
Inactive : La fonction n’est pas exécutée le dimanche.
Par défaut : active.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

Sunday


ID_ZEITSTG_PROP_GRP0

ID interne : ID_ZEITSTG_PROP_GRP0

Général

Propriétés générales de la fonction de temps.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

GRP_TimeFct


ID_ZEITSTG_PROP_GRP1

ID interne : ID_ZEITSTG_PROP_GRP1

Paramètres de temps

Paramètres de temps de la fonction.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

GRP_Timeadj


ID_ZEITSTG_PROP_GRP3

ID interne : ID_ZEITSTG_PROP_GRP3

Uniquement avec le type Exécution cyclique :
Sélection du changement de mois et d’année.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :


ID_ZEITSTG_PROP_GRP4

ID interne : ID_ZEITSTG_PROP_GRP4

Jours d'exécution

Sélection du (ou des) jour(s) d’exécution de la fonction.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

GRP_ExecutionDays


ID_ZUWEIS_PROP1

ID interne : ID_ZUWEIS_PROP1

Nom

Nom unique du attribution.
Par défaut : Attribution x (où x est un numéro consécutif).

Attention : Cette propriété n’est pas disponible aux fins de la commutation de langue.
Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

Name


ID_ZUWEIS_PROP2

ID interne : ID_ZUWEIS_PROP2

Variable source

Nom de la variable dont la valeur doit être attribuée à la variable cible.
Ouvre la boîte de dialogue de sélection de variables.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

SourceVariable


ID_ZUWEIS_PROP3

ID interne : ID_ZUWEIS_PROP3

Variable de destination

Nom de la variable dont la valeur doit être attribuée à la variable source.
Ouvre la boîte de dialogue de sélection de variables.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

TargetVariable


ID_ZUWEIS_PROP4

ID interne : ID_ZUWEIS_PROP4

Var. de déclenchement

La variable de bit liée ici déclenche l’attribution. Si aucune variable n’est liée, l’attribution est exécutée de manière événementielle. Cela signifie que dès que la valeur de la variable source change, l’attribution est automatiquement écrite dans la variable cible.
Ouvre la boîte de dialogue de sélection de variables ; seules les variables bit sont affichées.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

TriggerVariable


ID_ZUWEIS_PROP5

ID interne : ID_ZUWEIS_PROP5

Type de déclenchement

Front : L’attribution est exécutée si la valeur de la variable de déclenchement liée change de 0 en 1.
État : L’attribution est exécutée tant que la valeur de la variable de déclenchement liée est 1.
Par défaut : Front.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

TriggerType


ID_ZUWEIS_PROP_GRP0

ID interne : ID_ZUWEIS_PROP_GRP0

Général

Propriétés générales de l’attribution.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

GRP_General


ID_ZW_PROP_ABFRAGE

ID interne : ID_ZW_PROP_ABFRAGE

Variable lecture compteur

Variable d’interrogation de compteurs.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

QueryPV


ID_ZW_PROP_AUSGANGABS

ID interne : ID_ZW_PROP_AUSGANGABS

Sortie de type compteur : absolu

Sortie sous forme de valeur absolue

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

OutputAbs


ID_ZW_PROP_AUSGANGREL

ID interne : ID_ZW_PROP_AUSGANGREL

Sortie de type compteur : relatif

Sortie sous forme de valeur relative.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

OutputRel


ID_ZW_PROP_EINGANGABS

ID interne : ID_ZW_PROP_EINGANGABS

Entrée de type compteur

Valeur absolue ou relative

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

InputAbs


ID_ZW_PROP_GRP0

ID interne : ID_ZW_PROP_GRP0

Général

Utilisez les propriétés suivantes pour configurer la matrice de réaction de comptage de valeurs.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

GRP_General


ID_ZW_PROP_MAXWERT

ID interne : ID_ZW_PROP_MAXWERT

Compteur max.

Relevé de compteur maximal

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

MaxCount


ID_ZW_PROP_NAHANDLING

ID interne : ID_ZW_PROP_NAHANDLING

Gestion NA

Mode de traitement "non actualisé" (valeur du compteur située hors de la fenêtre horaire).

Commutation vers le bit INVALID : la valeur du compteur sera définie sur INVALID (non valide).

Basculer vers la valeur de remplacement : la valeur du compteur sera définie sur la valeur de remplacement configurée.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

NAHandling


ID_ZW_PROP_NAME

ID interne : ID_ZW_PROP_NAME

Identification

Nom du groupe de compteurs.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

Name


ID_ZW_PROP_NUMBER

ID interne : ID_ZW_PROP_NUMBER

ID

Numéro interne du groupe de compteurs.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

Number


ID_ZW_PROP_OFFSET

ID interne : ID_ZW_PROP_OFFSET

Offset [s]

Délai de la première requête après le démarrage, en secondes.

Ceci garantit que la connexion à la station distante est opérationnelle.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

Offset


ID_ZW_PROP_OVHANDLING

ID interne : ID_ZW_PROP_OVHANDLING

Gestion OV

Comportement en cas de dépassement de la valeur absolue ou de dépassement du gradient.

Commutation vers le bit INVALID : la valeur du compteur sera définie sur INVALID (non valide).

Basculer vers la valeur de remplacement : la valeur du compteur sera définie sur la valeur de remplacement configurée.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

OVHandling


ID_ZW_PROP_TARIF

ID interne : ID_ZW_PROP_TARIF

Variable pour code tarif

Variable de contrôle utilisée pour l’identification tarifaire.

Attribution aux états utilisateurs 1...8

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

TariffPV


ID_ZW_PROP_TIMEOUT

ID interne : ID_ZW_PROP_TIMEOUT

Période [s]

Délai d’attente de la vérification d’intégrité.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

Timeout


ID_ZW_PROP_TRIGGER

ID interne : ID_ZW_PROP_TRIGGER

Var. de déclenchement

De l’heure de la requête à la fin de la fenêtre de temps : 1

Sinon : 0

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

TriggerPV


ID_ZW_PROP_ZYKLUSZEIT

ID interne : ID_ZW_PROP_ZYKLUSZEIT

Temps de cycle du groupe [s]

Durée du cycle de relevé du compteur en secondes

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

CycleTime


IDD_VARVERWALTUNG5

ID interne : IDD_VARVERWALTUNG5

Nom

Nom des types de données.

Longueur maximale : 128 caractères

Attention : Cette propriété n’est pas disponible aux fins de la commutation de langue.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

Name


IDP_3TFORM_EDITOR

ID interne : IDP_3TFORM_EDITOR

Utilisation domaine

Définit les effets qu’aura l’élément créé sur le cadre.

Les paramètres suivants sont disponibles :

Couverture : La surface de l’élément est utilisée en tant que zone du synoptique.

Couper : la surface de l’élément est supprimée des surfaces situées dessous.

ORed (Variable) : Cet élément est découpé ou couvert, en fonction de la présence d’un élément de couverture situé sous l’élément.

Remarque : La manière dont la surface est utilisée dépend toujours des surfaces situées sous l’élément.

Pour les nouveaux éléments, le dernier paramètre sélectionné est utilisé.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

Combine


IDP_ADDIN_CATEGORY

ID interne : IDP_ADDIN_CATEGORY

Catégorie

Description sous forme de texte.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être adressée comme suit pour l’API zenon (avec nom de la classe) :

Version


IDP_ADDIN_DESCRIPTION

ID interne : IDP_ADDIN_DESCRIPTION

Description

Affichage de la description du module complémentaire.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être adressée comme suit pour l’API zenon (avec nom de la classe) :

Description


IDP_ADDIN_HASSOURCE

ID interne : IDP_ADDIN_HASSOURCE

Code source

Indique si le code source est inclus dans le package.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être adressée comme suit pour l’API zenon (avec nom de la classe) :

HasSource


IDP_ADDIN_NAME

ID interne : IDP_ADDIN_NAME

Nom

Affichage du nom du module complémentaire.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être adressée comme suit pour l’API zenon (avec nom de la classe) :

Name


IDP_ADDIN_RUNSTATE

ID interne : IDP_ADDIN_RUNSTATE

État

Description sous forme de texte.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être adressée comme suit pour l’API zenon (avec nom de la classe) :

RunState


IDP_ADDIN_STARTUPMODE

ID interne : IDP_ADDIN_STARTUPMODE

Type de démarrage

Description sous forme de texte.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être adressée comme suit pour l’API zenon (avec nom de la classe) :

StartupMode


IDP_ADDIN_VERSION

ID interne : IDP_ADDIN_VERSION

Version

Affichage de la version du module complémentaire.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être adressée comme suit pour l’API zenon (avec nom de la classe) :

Category


IDP_AMISTS_DEVICE

ID interne : IDP_AMISTS_DEVICE

AMISTS device

Vous pouvez spécifier un équipement ou un équipement coupe-circuit. Celui-ci doit exister la base de données du serveur de transactions.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

AMISTSDevice


IDP_AMISTS_LSDGROUP

ID interne : IDP_AMISTS_LSDGROUP

AMISTS load switch group

Pour le changement de programme, vous devez spécifier le groupe d’équipements coupe-circuit ici.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

AMISTSLSGroup


IDP_AMISTS_REFERENCE

ID interne : IDP_AMISTS_REFERENCE

AMISTS reference

La connexion entre la variable et le serveur de transactions correspondant est alors établie telle qu’elle a été développée dans la configuration de driver.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

AMISTSReference


IDP_AMISTS_RELAYADDRESS

ID interne : IDP_AMISTS_RELAYADDRESS

AMISTS relayAddress

Au niveau de l’équipement coupe-circuit, le relais correspondant est spécifié dans une plage de valeurs de 1 à 5. Pour un équipement, cette spécification n’a aucune incidence.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

AMISTSRelayNumber


IDP_AMISTS_RELAYPROGRAM

ID interne : IDP_AMISTS_RELAYPROGRAM

AMISTS relayProgram

Vous spécifiez ici un programme de commutation. Ici, vous devez spécifier un programme de commutation, qui doit être exécuté dans le bloc de développement 17 du serveur de transaction.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

AMISTSLSDProgram


IDP_AML_BACKCOLOR_STATE

ID interne : IDP_AML_BACKCOLOR_STATE

Couleur d'arrière-plan

Couleur d’arrière-plan de la ligne d’état de l’alarme. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de couleurs ou de palettes de couleurs. La saisie peut également être effectuée directement dans le champ, sous forme de valeur hexadécimale précédée de #.

Par défaut : #FF0000

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

BackColorOfState


IDP_AML_BACKCOLOR_STATE1

ID interne : IDP_AML_BACKCOLOR_STATE1

Couleur de fond du Message 1

Couleur d’arrière-plan du message 1. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de couleurs ou de palettes de couleurs. La saisie peut également être effectuée directement dans le champ, sous forme de valeur hexadécimale précédée de #.

Par défaut : #0000FF

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

BackColorOfState1


IDP_AML_BACKCOLOR_STATE2

ID interne : IDP_AML_BACKCOLOR_STATE2

Couleur de fond du Message 2

Couleur d’arrière-plan du message 2. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de couleurs ou de palettes de couleurs. La saisie peut également être effectuée directement dans le champ, sous forme de valeur hexadécimale précédée de #.

Par défaut : #0000FF

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

BackColorOfState2


IDP_AML_BACKCOLOR_STATE3

ID interne : IDP_AML_BACKCOLOR_STATE3

Couleur de fond du Message 3

Couleur d’arrière-plan du message 3. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de couleurs ou de palettes de couleurs. La saisie peut également être effectuée directement dans le champ, sous forme de valeur hexadécimale précédée de #.

Par défaut : #0000FF

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

BackColorOfState3


IDP_AML_COMMENTS

ID interne : IDP_AML_COMMENTS

Commentaires de la liste d'alarme

Description as text.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

AlarmComments


IDP_AML_LONGLIMITS

ID interne : IDP_AML_LONGLIMITS

Textes de limite dynamiques longs pour les alarmes

Détermine si le champ de commentaires des textes de valeur limite dynamiques est disponible. Le texte de valeur de limite dynamique vous permet d’insérer les valeurs actuelles d’autres variables dans le texte de limite d’une variable.

  • Inactive : Le champ de commentaires est utilisé pour les textes de valeur limite dynamiques et n’est donc pas disponible pour les commentaires. Longueur maximale : 80 caractères.
  • Active : Les commentaires et les textes de valeur de limite dynamique sont autorisés. Les contenus dynamiques sont stockés dans un fichier au format de fichier D*.AML. Il est conservé avec le fichier C*.AML. Le champ peut être utilisé pour la saisie de commentaires. Les textes de limite dynamique peuvent avoir une longueur maximale de 254 caractères.

Par défaut : Inactive.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

AlarmLongDynLimits


IDP_AML_TEXTCOLOR_STATE

ID interne : IDP_AML_TEXTCOLOR_STATE

Couleur du texte

Couleur du texte de la ligne d’état de l’alarme. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de couleurs ou de palettes de couleurs. La saisie peut également être effectuée directement dans le champ, sous forme de valeur hexadécimale précédée de #.

Par défaut : #000000

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

TextColorOfState


IDP_AML_TEXTCOLOR_STATE1

ID interne : IDP_AML_TEXTCOLOR_STATE1

Couleur de texte du Message 1

Couleur du texte du message 1. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de couleurs ou de palettes de couleurs. La saisie peut également être effectuée directement dans le champ, sous forme de valeur hexadécimale précédée de #.

Par défaut : #FFFFFF

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

TextColorOfState1


IDP_AML_TEXTCOLOR_STATE2

ID interne : IDP_AML_TEXTCOLOR_STATE2

Couleur de texte du Message 2

Couleur du texte du message 2. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de couleurs ou de palettes de couleurs. La saisie peut également être effectuée directement dans le champ, sous forme de valeur hexadécimale précédée de #.

Par défaut : #FFFFFF

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

TextColorOfState2


IDP_AML_TEXTCOLOR_STATE3

ID interne : IDP_AML_TEXTCOLOR_STATE3

Couleur de texte du Message 3

Couleur du texte du message 3. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de couleurs ou de palettes de couleurs. La saisie peut également être effectuée directement dans le champ, sous forme de valeur hexadécimale précédée de #.

Par défaut : #FFFFFF

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

TextColorOfState3


IDP_AML_TEXTLIST_ENDNODE_SEL

ID interne : IDP_AML_TEXTLIST_ENDNODE_SEL

Autoriser noeuds de fin uniquement comme cause d'alarme

Définit si des textes de tous les niveaux ou uniquement des textes provenant des nœuds de terminaison peuvent être sélectionnés comme causes d’alarme dans le Runtime.

  • Active : seuls les textes provenant des nœuds de terminaison peuvent être sélectionnés comme causes d’alarme.
  • Inactive : des textes de tous les niveaux peuvent être sélectionnés comme causes d’alarme.

Par défaut : Inactive.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

TextListEndNodeSelection


IDP_AML_TEXTLIST_PIC

ID interne : IDP_AML_TEXTLIST_PIC

Écran de sélection des causes d'alarme

Sélection d’une liste contextuelle pour la sélection des causes d’alarmes dans le Runtime. Pour la sélection des causes d’alarme, le synoptique est appelé à la place de la boîte de dialogue standard. Cliquez sur le bouton pour ouvrir la boîte ... de dialogue de sélection de synoptique.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

TextListPicture


IDP_BATCH_ACTION_ALLOC_GRP

ID interne : IDP_BATCH_ACTION_ALLOC_GRP

Attribuer un tag

Contient les propriétés d’attribution des tags.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

BatchActAllocGrp


IDP_BATCH_ACTION_CEL_CLASS

ID interne : IDP_BATCH_ACTION_CEL_CLASS

Classe

Attribution d’une classe d’alarmes/d’événements existante aux messages de la liste CEL pour l’événement sélectionné. Sélectionnez dans la liste déroulante.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

CelClass


IDP_BATCH_ACTION_CEL_GROUP

ID interne : IDP_BATCH_ACTION_CEL_GROUP

Groupe

Attribution d’un groupe d’alarmes/d’événements existant aux messages de la liste CEL pour l’événement sélectionné. Sélectionnez dans la liste déroulante.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

CelGroup


IDP_BATCH_ACTION_CELACTIVE

ID interne : IDP_BATCH_ACTION_CELACTIVE

Créer une entrée dans la liste des événements

Active : Le texte défini dans la propriété Texte de l'événement est inséré dans la liste CEL.

L’entrée est insérée dans la liste CEL sur le serveur, avec l’utilisateur connecté à cet instant.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

BatchActCelEn


IDP_BATCH_ACTION_CELMSG

ID interne : IDP_BATCH_ACTION_CELMSG

Texte de l'événement

Disponible uniquement si la propriété Créer une entrée dans la liste des événements est active.

Texte inséré dans la liste CEL. Peut contenir des mots clés issus de la table de langues.

Maximum : 512 caractères

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

BatchActCelMsg


IDP_BATCH_ACTION_DESCR

ID interne : IDP_BATCH_ACTION_DESCR

Description

Texte libre permettant de décrire l’événement sélectionné.
La description ne peut pas être affichée dans le Runtime et est uniquement valide dans Editor.
Maximum : 512 caractères

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

BatchActDescr


IDP_BATCH_ACTION_DESTTAG

ID interne : IDP_BATCH_ACTION_DESTTAG

Tag cible

Disponible uniquement si vous avez saisi un(e) Tag source.

Balise vers laquelle la valeur de la balise définie dans la propriété Tag source est transférée. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de tags. Seuls les tags de type adéquat sont disponibles. Si la balise est renommée, la modification est appliquée automatiquement.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

BatchActDestTag


IDP_BATCH_ACTION_FUNC

ID interne : IDP_BATCH_ACTION_FUNC

Fonction

Fonction devant être exécutée. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection.

Vous pouvez sélectionner une fonction dans le projet local ou un autre projet. Le projet et la fonction doivent être disponibles dans le Runtime. Si la fonction est renommée, la modification est automatiquement appliquée.

Dans le Runtime, une vérification de la disponibilité de la fonction est effectuée.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

BatchActFunc


IDP_BATCH_ACTION_FUNCTION_GRP

ID interne : IDP_BATCH_ACTION_FUNCTION_GRP

Fonction

Contient les propriétés de sélection des fonctions.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

BatchActFuncGrp


IDP_BATCH_ACTION_GENERAL_GRP

ID interne : IDP_BATCH_ACTION_GENERAL_GRP

Général

Contient les propriétés générales pour les événements.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

BatchActGeneral


IDP_BATCH_ACTION_LOG_GRP

ID interne : IDP_BATCH_ACTION_LOG_GRP

Entrée dans la liste d'événements

Contient les propriétés des entrées de la liste CEL et des fichiers LOG.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

BatchActLogGrp


IDP_BATCH_ACTION_LOGMSG

ID interne : IDP_BATCH_ACTION_LOGMSG

Texte dans les traces

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

BatchActLogMsg


IDP_BATCH_ACTION_LOGMSG_EN

ID interne : IDP_BATCH_ACTION_LOGMSG_EN

Créer une entrée dans les traces

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

BatchActLogEn


IDP_BATCH_ACTION_PRIO

ID interne : IDP_BATCH_ACTION_PRIO

Ordre d'exécution

Affiche l’ordre d’exécution lorsque plusieurs réactions ont été définies pour un même événement. L’ordre est défini par la position dans la liste, et est uniquement affiché ici. L’ordre peut être modifié dans la liste, via la barre d’outils ou le menu contextuel.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

BatchActPrio


IDP_BATCH_ACTION_REACTION_GRP

ID interne : IDP_BATCH_ACTION_REACTION_GRP

Réactions

Contient les propriétés des réactions.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

BatchActSetTagGrp


IDP_BATCH_ACTION_RECIPE_GRP

ID interne : IDP_BATCH_ACTION_RECIPE_GRP

Influence de recette

Contient les propriétés du mode d’exécution et de la commande.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

BatchActRecipeGrp


IDP_BATCH_ACTION_RESCMD

ID interne : IDP_BATCH_ACTION_RESCMD

Commande

Recette ou commande de phase exécutée dans le Runtime lors d’un événement. Les commandes de recettes influencent l’exécution de l’ensemble de la recette. Les commandes de phase influencent uniquement la phase pour laquelle la réaction est configurée ou pour laquelle l’événement s’est produit. La commande de recette ou la commande de phase est uniquement exécutée dans le Runtime si la commande est autorisée. Par exemple : L’exécution d’une recette peut être poursuivie si la recette est suspendue. Une phase ne peut pas être redémarrée si la phase est mise en pause ou est en cours d’exécution dans le Runtime.

Remarque : La validation de la recette dans le Runtime ne vérifie pas la plausibilité des commandes de phase ou des commandes de recette.

Sélection de la commande dans une liste déroulante :

  • Figer la phase
  • Reprendre la phase
  • Redémarrer la phase
  • Mettre la phase en pause
  • Ignorer
  • Annuler la recette
  • Mise en atteinte de la recette
  • Poursuivre la recette
  • Rédémarrer la recette
  • Mettre la recette en pause
  • Arrêter la recette

Par défaut : Ignorer

Remarque : Pour chaque événement, une seule commande peut être définie. Pour tous les autres événements du même type, la propriété est automatiquement définie sur Ignorer. Si la fonction d’arrêt du Runtime est déclenchée, la propriété est automatiquement définie sur Ignorer. Si l’élément Événement est modifié, il est possible que ce paramètre soit également défini sur Ignorer.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

BatchActResCmd


IDP_BATCH_ACTION_RESCMDMODE

ID interne : IDP_BATCH_ACTION_RESCMDMODE

Mode

Cette réaction peut être contrôlée dans le Runtime du mode d’exécution en réaction à un événement.

Sélection du mode d’exécution dans une liste déroulante :

  • Automatique
  • Semi-automatique
  • Ignorer
  • Manuel

Par défaut : Ignorer

Remarque : Le mode d’exécution peut être défini une fois seulement pour chaque événement. Pour tous les autres événements du même type, le mode est automatiquement défini sur Ignorer. Si la fonction d’arrêt du Runtime est déclenchée, le mode est automatiquement défini sur Ignorer. Si l’élément Événement est modifié en événement pour lequel une réaction existante est déjà configurée dans le mode d’exécution, la réaction du mode d’exécution à l’événement modifié est définie sur Ignorer. Si aucune réaction n’est configurée pour le mode d’exécution, le mode d’exécution est conservé. Exception : Exécution de la commande d’arrêt du Runtime.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

BatchActResCmdMode


IDP_BATCH_ACTION_SETTAG

ID interne : IDP_BATCH_ACTION_SETTAG

Paramètre

Balise sur laquelle la valeur prescrite doit être écrite en tant que réaction de l’événement. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de balises. Pour la sélection de tags, la considération suivante est vraie :

  • Seuls les tags de la phase à laquelle appartient la réaction peuvent être sélectionnés.
  • Les tags de retour et de commande peuvent être sélectionnés.
  • Si la balise est renommée, la modification est appliquée automatiquement.
  • La valeur prescrite de la balise peut être saisie indépendamment du type de données BALISE.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

BatchActSetTag


IDP_BATCH_ACTION_SETTAG_BO

ID interne : IDP_BATCH_ACTION_SETTAG_BO

Valeur booléenne

Uniquement disponible si, dans la propriété Paramètre, un paramètre Binaire a été sélectionné.

Définit la valeur d’une balise binaire. Sélectionnez dans la liste déroulante :

  • Off (0)
  • On (1)
  • Basculer : change d’état.
    Au démarrage de la phase, la valeur est requise et écrite à l’envers dans la réaction. Si aucune valeur valide n’est reçue, vous pouvez réagir via la réaction Variable liée non valide.

Par défaut : Inactive (0)

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

BatchActSetTBool


IDP_BATCH_ACTION_SETTAG_DUR

ID interne : IDP_BATCH_ACTION_SETTAG_DUR

Intervalle

Disponible uniquement si, dans la propriété Paramètre, un Paramètre Durée a été sélectionné.

Définit la valeur en jours, heures, minutes et secondes des tags de type durée. L’intervalle de temps est écrit sous forme de valeur en secondes sur la variable liée au niveau de la balise.

  • Valeur maximale : 0j 00:00:00
  • Valeur minimum : 9999j 23:59:59
  • Par défaut : 0j 00:00:00

Par exemple : 30 minutes et 5 secondes = 1805

Dans le Runtime, durant la validation de la recette, une vérification est effectuée afin de déterminer si la valeur en secondes est comprise dans les limites minimum/maximum de la variable liée au niveau de la balise.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

BatchActSetTDuration


IDP_BATCH_ACTION_SETTAG_GRP

ID interne : IDP_BATCH_ACTION_SETTAG_GRP

Valeur prescrite du tag

Contient les propriétés de la balise de valeur prescrite.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

BatchActReactGrp


IDP_BATCH_ACTION_SETTAG_MEUNIT

ID interne : IDP_BATCH_ACTION_SETTAG_MEUNIT

Tag Einheit

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

BatchActSetTagMeUnit


IDP_BATCH_ACTION_SETTAG_NUM

ID interne : IDP_BATCH_ACTION_SETTAG_NUM

Valeur numérique

Disponible uniquement si, dans la propriété Paramètre, un paramètre numérique a été sélectionné.

Valeur prescrite pour le paramèter numérique.
Vous pouvez définir un nombre entier positif ou négatif ou un nombre à virgule flottante ; celui-ci est écrit sous forme de réaction sur la balise.

Dans le Runtime, durant la validation de la recette, une vérification est effectuée afin de déterminer si la valeur en secondes est comprise dans les limites minimum/maximum de la variable liée au niveau de la balise.

Par défaut : 0

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

BatchActSetTNum


IDP_BATCH_ACTION_SETTAG_STR

ID interne : IDP_BATCH_ACTION_SETTAG_STR

Valeur string

Disponible uniquement si, dans la propriété Paramètre, une balise de type Chaîne a été sélectionnée.

Valeur prescrite des paramètres de type chaîne.

Dans le Runtime, durant la validation de la recette, une vérification est effectuée afin de déterminer si la longueur de la chaîne est inférieure à la caractéristique Longueur de la chaîne maximum de la variable liée au niveau de la balise.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

BatchActSetTStr


IDP_BATCH_ACTION_SRCTAG

ID interne : IDP_BATCH_ACTION_SRCTAG

Tag source

Balise dont la valeur est transférée vers la balise définie dans la propriété Tag cible. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de tags.

Au début de la phase, dans le Runtime, la valeur de la variable au niveau de la balise est demandée. Si aucune valeur valide n’est reçue, vous pouvez réagir via la réaction Variable liée non valide. Si la balise est renommée, la modification est appliquée automatiquement.

Dans le Runtime, durant la validation de la recette, une vérification est effectuée afin de déterminer si l’élément Tag cible existe et si la variable liée au niveau de la balise est valide et du type correct.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

BatchActSrcTag


IDP_BATCH_ACTION_TYPE

ID interne : IDP_BATCH_ACTION_TYPE

Événement

Sélection du type d’événement suivant lequel la réaction est exécutée dans une liste déroulante :
Pour chaque événement, plusieurs réactions peuvent être définies. L’ordre d’exécution peut être défini dans la vue de détail.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

BatchActType


IDP_BATCH_CEL_CLASS_CMD

ID interne : IDP_BATCH_CEL_CLASS_CMD

Classe des commandes

Attribution d’une classe d’alarmes/d’événements existante aux messages de la liste CEL pour les commandes. Sélectionnez dans la liste déroulante.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

ClassCmd


IDP_BATCH_CEL_CLASS_JUMP_FORCE_STEP

ID interne : IDP_BATCH_CEL_CLASS_JUMP_FORCE_STEP

Classe de commande Saut/Forcer/Étape

Attribution d’une classe d’alarmes/d’événements existante aux messages de la liste CEL pour les commandes Ignorer, Forcer l’exécution et Exécution pas-à-pas. Sélectionnez dans la liste déroulante.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

ClassStep


IDP_BATCH_CEL_CLASS_RECIPE

ID interne : IDP_BATCH_CEL_CLASS_RECIPE

Classe pour la gestion des recettes

Attribution d’une classe d’alarmes/d’événements existante aux messages de la liste CEL pour la gestion de recettes. Sélectionnez dans la liste déroulante.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

ClassRecipe


IDP_BATCH_CEL_CLASS_VALUE

ID interne : IDP_BATCH_CEL_CLASS_VALUE

Classe de modification de valeurs

Attribution d’une classe d’alarmes/d’événements existante aux messages de la liste CEL pour les modifications de valeurs. Sélectionnez dans la liste déroulante.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

ClassValue


IDP_BATCH_CEL_GROUP_CMD

ID interne : IDP_BATCH_CEL_GROUP_CMD

Groupe de commandes

Attribution d’un groupe d’alarmes/d’événements existant aux messages de la liste CEL pour les commandes. Sélectionnez dans la liste déroulante.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

GroupCmd


IDP_BATCH_CEL_GROUP_JUMP_FORCE_STEP

ID interne : IDP_BATCH_CEL_GROUP_JUMP_FORCE_STEP

Groupe pour les commandes de saut/forçage/pas-à-pas

Attribution d’un groupe d’alarmes/d’événements existant aux messages de la liste CEL pour les commandes Ignorer, Forcer l’exécution et Exécution pas-à-pas. Sélectionnez dans la liste déroulante.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

GroupStep


IDP_BATCH_CEL_GROUP_RECIPE

ID interne : IDP_BATCH_CEL_GROUP_RECIPE

Groupe de traitement des recettes

Attribution d’un groupe d’alarmes/d’événements existant aux messages de la liste CEL pour la gestion de recettes. Sélectionnez dans la liste déroulante.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

GroupRecipe


IDP_BATCH_CEL_GROUP_VALUE

ID interne : IDP_BATCH_CEL_GROUP_VALUE

Groupe pour les changements de valeurs

Attribution d’un groupe d’alarmes/d’événements existant aux messages de la liste CEL pour les modifications de valeurs. Sélectionnez dans la liste déroulante.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

GroupValue


IDP_BATCH_CELGROUPCLASS_GRP

ID interne : IDP_BATCH_CELGROUPCLASS_GRP

Groupes/classes d'événements

Contient les propriétés des groupes et classes de messages de la liste CEL au regard des recettes, des commandes, des modifications de valeurs, ainsi que des commandes Ignorer, Forcer l’exécution et Exécution pas-à-pas.

Plus de détails dans l’aide en ligne

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

CELGroupClass


IDP_BATCH_COMMUNICATION_FAILURE

ID interne : IDP_BATCH_COMMUNICATION_FAILURE

Action pour la perte de communication

Configuration de la réaction aux défaillances des communications. Sélectionnez dans la liste déroulante :

  • Mise en attente de la phase
  • Mettre en pause la phase

Les conditions d’identification des défaillances des communications sont définies à l’aide des fonctions de base, dans la propriété Perte de communication.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

CommunicationFailureAction


IDP_BATCH_COMMUNICATION_FAILURE_GRP

ID interne : IDP_BATCH_COMMUNICATION_FAILURE_GRP

Perte de communication

Propriétés de la réaction aux défaillances des communications. Les conditions d’identification des défaillances des communications sont définies à l’aide des fonctions de base, dans la propriété Perte de communication.

Plus de détails dans l’aide en ligne

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

CommunicationFailure


IDP_BATCH_CS_DESCRIPTION

ID interne : IDP_BATCH_CS_DESCRIPTION

Description

Texte libre permettant de description de la stratégie de contrôle.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

Description


IDP_BATCH_CS_GENERAL_GRP

ID interne : IDP_BATCH_CS_GENERAL_GRP

Général

Contient des propriétés utilisées pour la configuration des stratégies de contrôle.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

GRP_General


IDP_BATCH_CS_IDENTIFIER

ID interne : IDP_BATCH_CS_IDENTIFIER

Numéro de stratégie de contrôle

Numéro unique de la stratégie de contrôle, utilisé pour l’identification dans cette phase.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

Identifier


IDP_BATCH_CS_NAME

ID interne : IDP_BATCH_CS_NAME

Nom

Nom de la stratégie de contrôle.

Le nom

  • Doit être unique dans la phase
  • Ne doit pas être vide
  • Ne doit pas contenir de points
  • Ne doit pas uniquement contenir des espaces
  • Ne doit pas comporter plus de 256 caractères

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

Name


IDP_BATCH_EVENT_EXECUTE_STARTUP

ID interne : IDP_BATCH_EVENT_EXECUTE_STARTUP

Permettre l'exécution avant l'événement de départ

Active : L’événement peut être exécuté avant l’événement Phase démarrée.

Inactive : L’événement peut uniquement démarrer si l’événement Phase démarrée a été exécutée.

Configurable uniquement pour les événements pouvant être exécutés avant et après l’événement Phase démarrée. La valeur est automatiquement définie conformément au type de tous les autres événements.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

ExecuteBeforeStartEvent


IDP_BATCH_EXECUTION_AFTER_RESTART_GRP

ID interne : IDP_BATCH_EXECUTION_AFTER_RESTART_GRP

Action au démarrage du Runtime

Propriétés de définition des actions lors du redémarrage du Runtime.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

ExecutionAfterRestart


IDP_BATCH_GLOB_CYCLETIME

ID interne : IDP_BATCH_GLOB_CYCLETIME

Temps de cycle [s]

Durée du cycle durant lequel une nouvelle image est créée, en secondes.

  • Minimum : 30 s
  • Maximum : 4294967295 s

Par défaut : 30 s

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

CycleTime


IDP_BATCH_GLOB_CYCLEWRITEACTIVE

ID interne : IDP_BATCH_GLOB_CYCLEWRITEACTIVE

Activer écriture cyclique

Active : Une image est écrite de manière cyclique, conformément au délai défini dans la propriété Temps de cycle [s].

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

CyclicWriteActive


IDP_BATCH_GLOB_CYCLICIMAGE_GROUP

ID interne : IDP_BATCH_GLOB_CYCLICIMAGE_GROUP

Image de recette

Contient les propriétés d’écriture cyclique de l’image.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

CyclicImage


IDP_BATCH_GLOB_EXPLANATION_NEEDED

ID interne : IDP_BATCH_GLOB_EXPLANATION_NEEDED

Justification de la modification de valeur nécessaire

Active : Lors de la saisie de modifications de valeurs dans le Runtime, une raison motivant la modification doit être saisie par l’utilisateur. Une boîte de dialogue de saisie de la raison est affichée avant que la modification n’ait lieu. Ce paramètre est valide pour l’ensemble du module Batch Control, et ne peut plus être modifié localement pour les fonctions de base individuelles.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

ExplanationNeeded


IDP_BATCH_GLOB_JOBVARIABLE

ID interne : IDP_BATCH_GLOB_JOBVARIABLE

Variable de tâche

Sélection des variables de la tâche. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de variables.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

JobVariable


IDP_BATCH_GLOB_JOBVARIABLE_APPLYTYPE

ID interne : IDP_BATCH_GLOB_JOBVARIABLE_APPLYTYPE

Appliquer la valeur de la variable de tâche

Sélection dans une liste déroulante de l’instant auquel la valeur de la variable de tâche doit prendre effet :

  • Création recette de contrôle
  • Au démarrage de la recette de contrôle

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

JobVariableApplyType


IDP_BATCH_GLOB_JOBVARIABLE_GRP

ID interne : IDP_BATCH_GLOB_JOBVARIABLE_GRP

Variable de tâche

Groupe de propriétés de variables de la tâche.

Plus de détails dans l’aide en ligne

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

JobVariableGrp


IDP_BATCH_GLOB_SETVALUE_GRP

ID interne : IDP_BATCH_GLOB_SETVALUE_GRP

Modifier tag

Propriétés d’édition des paramètres dans le Runtime.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

ParamChange


IDP_BATCH_GLOB_WRITE_TIMEOUT

ID interne : IDP_BATCH_GLOB_WRITE_TIMEOUT

Time out pour la protection d'écriture

Délai d’attente d’écriture sécurisée, en secondes.

Minimum : 10 s
Maximum : 3600 s
Par défaut : 20 s

Le délai d’attente est applicable à la somme de tous les délais d’attente d’écriture sécurisée des paramètres de commande : Délai d’écriture des valeurs de tous les paramètres, plus délai de confirmation des paramètres écrits, plus délai de lecture des variables.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

WriteTimeout


IDP_BATCH_GLOB_WRITE_VARS

ID interne : IDP_BATCH_GLOB_WRITE_VARS

Ecriture protégée

Groupe de propriétés d’écriture sécurisée.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

WriteVars


IDP_BATCH_GLOB_WRITEIMAGE_ONPHASEACTIVATION

ID interne : IDP_BATCH_GLOB_WRITEIMAGE_ONPHASEACTIVATION

Écrire l'image de la recette lors de l'activation d'une phase

Active : Une image est écrite chaque fois qu’une phase est activée.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

WriteImageOnPhaseActivation


IDP_BATCH_JOBVARIABLE_LIST

ID interne : IDP_BATCH_JOBVARIABLE_LIST

Variable de tâche individuelle

Sélection de variables de tâche individuelle. Celles-ci peuvent être attribuées individuellement, à l’aide d’une fonction. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de variables.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

JobVariableList


IDP_BATCH_KBD_BOOL

ID interne : IDP_BATCH_KBD_BOOL

Tags binaires

Configuration du clavier pour la saisie des paramètres binaires. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection d’un synoptique de type Clavier.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

BoolKbd


IDP_BATCH_KBD_NUM

ID interne : IDP_BATCH_KBD_NUM

Tags numériques

Configuration du clavier pour la saisie de paramètres numériques. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection d’un synoptique de type Clavier.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

NumKbd


IDP_BATCH_KBD_SPAN

ID interne : IDP_BATCH_KBD_SPAN

Tags de durée

Configuration du clavier pour la saisie de paramètres de durée. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection d’un synoptique de type Clavier.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

SpanKbd


IDP_BATCH_KBD_STRING

ID interne : IDP_BATCH_KBD_STRING

Tags de chaîne

Configuration du clavier pour la saisie de paramètres de chaîne. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection d’un synoptique de type Clavier.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

StringKbd


IDP_BATCH_MR_GENERAL_GRP

ID interne : IDP_BATCH_MR_GENERAL_GRP

GRP_General

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

GRP_General


IDP_BATCH_OP_GENERAL_GRP

ID interne : IDP_BATCH_OP_GENERAL_GRP

GRP_General

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

GRP_General


IDP_BATCH_PHASE_ABORTING_CND

ID interne : IDP_BATCH_PHASE_ABORTING_CND

Annulé

Condition de la modification d’Abandon en cours à Abandonnée.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

AbortingCnd


IDP_BATCH_PHASE_CHECK_TRANS_STARTUP

ID interne : IDP_BATCH_PHASE_CHECK_TRANS_STARTUP

Prüfe Transientbedingungen vor Start Event

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

CheckTransCndBeforeStartEvent


IDP_BATCH_PHASE_CONTROLSTRATEGIES_ACTIVE

ID interne : IDP_BATCH_PHASE_CONTROLSTRATEGIES_ACTIVE

Stratégies de contrôle actives

Active : Les stratégies de contrôle sont autorisées dans cette phase. Le nœud Stratégies de contrôle, utilisé pour la configuration, est affiché sous la phase.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

ControlStrategiesActive


IDP_BATCH_PHASE_CONTROLSTRATEGIES_GRP

ID interne : IDP_BATCH_PHASE_CONTROLSTRATEGIES_GRP

Stratégies de contrôle

Contient des propriétés utilisées pour l’activation des stratégies de contrôle.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

GRP_ControlStrategies


IDP_BATCH_PHASE_CONTROLSTRATEGIES_TAG

ID interne : IDP_BATCH_PHASE_CONTROLSTRATEGIES_TAG

Balise de stratégie de contrôle

Disponible uniquement si la propriété Stratégies de contrôle actives a été activée.

Lien d’un paramètre de commande numérique. Il définit la stratégie de contrôle active lors de l’exécution.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

ControlStrategiesTag


IDP_BATCH_PHASE_DESCRIPTION

ID interne : IDP_BATCH_PHASE_DESCRIPTION

Description

Chaîne librement définie, utilisée pour fournir une description détaillée de la phase. La description est compatible avec la fonction de changement de langue en ligne.

Longueur maximale : 512 caractères

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

Description


IDP_BATCH_PHASE_DONE

ID interne : IDP_BATCH_PHASE_DONE

Condition de phase terminée

Définit la condition d’échéance de la phase. Cliquez sur le bouton ... pour ouvrir l’éditeur de formules et définir une condition.
La condition peut être affichée dans le Runtime, mais ne peut pas y être modifiée. Le délai d’attente dans lequel la condition doit être satisfaite est défini par la propriété Durée d'exécution maximum.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

Done


IDP_BATCH_PHASE_ERROR_PLC

ID interne : IDP_BATCH_PHASE_ERROR_PLC

Erreur de l'automate

Saisie de la formule de détection des erreurs d’automates. Cliquez sur le bouton ... pour ouvrir une boîte de dialogue permettant de configurer l’ordre.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

PlcError


IDP_BATCH_PHASE_ESCAPING

ID interne : IDP_BATCH_PHASE_ESCAPING

Condition de sortie (échap)

Opération de sortie de phase.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

Escaping


IDP_BATCH_PHASE_EXPLANATION_NEEDED

ID interne : IDP_BATCH_PHASE_EXPLANATION_NEEDED

Justification de la modification de la durée min. d'exécution nécessaire

Active : Lors de la saisie de modifications de valeurs pour cette phase dans le Runtime, une raison motivant la modification doit être saisie par l’utilisateur. Une boîte de dialogue de saisie de la raison est affichée avant que la modification n’ait lieu.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

ExplanationMinExecTimeNeeded


IDP_BATCH_PHASE_FAILURE

ID interne : IDP_BATCH_PHASE_FAILURE

Perte de communication

Saisie de la formule de détection des défaillances de communications. Cliquez sur le bouton ... pour ouvrir une boîte de dialogue permettant de configurer l’ordre.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

Failure


IDP_BATCH_PHASE_FAILURE_GRP

ID interne : IDP_BATCH_PHASE_FAILURE_GRP

Perte de communication

Propriétés de la détection des défaillances de communications.

Plus de détails dans l’aide en ligne

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

GPR_Failure


IDP_BATCH_PHASE_GENERAL_GRP

ID interne : IDP_BATCH_PHASE_GENERAL_GRP

Général

Propriétés générales de la phase.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

GRP_General


IDP_BATCH_PHASE_HOLDING_CND

ID interne : IDP_BATCH_PHASE_HOLDING_CND

Figé

Condition de la modification de Mise en attente à Interrompue.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

HoldingCnd


IDP_BATCH_PHASE_INTERLOCKING

ID interne : IDP_BATCH_PHASE_INTERLOCKING

Condition de verrouillage

Définit le verrouillage des entrées. Cliquez sur le bouton ... pour ouvrir l’éditeur de formules et définir une condition.
Si un verrouillage d’entrée est configuré, la phase est uniquement exécutée dans le Runtime lorsque la condition du verrouillage de d’entrée est satisfaite. La formule peut comporter un ou plusieurs paramètres de commande et paramètres de retour de la phase. La valeur et l’état des variables peuvent être utilisés. Le résultat renvoyé par la formule est l’état TRUE ou FALSE. La condition peut être affichée dans le Runtime, mais ne peut pas y être modifiée.
Le délai d’attente du verrouillage d’entrée peut être configuré à l’aide de la propriété Période d'attente entrée de verrouillage.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

Interlocking


IDP_BATCH_PHASE_MINEXECTIME

ID interne : IDP_BATCH_PHASE_MINEXECTIME

Durée d'exécution minimum

Durée minimum d’exécution de la phase.

  • >0 : Délai minimum d’attente après l’écriture de la balise de commande, indépendamment de la satisfaction de la condition de fin de phase.
  • 0 : Aucune durée d’exécution minimum définie.

Remarque : La durée d’exécution minimum peut être supérieure à la valeur de la propriété Durée d'exécution maximum.

Le délai d’attente est indépendant de l’état de la recette (par ex. Recette mise en pause) et le décompte se poursuit même en cas de fermeture et de redémarrage du Runtime.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

MinExecTime


IDP_BATCH_PHASE_NAME

ID interne : IDP_BATCH_PHASE_NAME

Nom

Nom de la phase. Doit être unique à chaque unité. Le nom ne doit pas être vide, ne doit pas contenir de point et ne doit pas contenir des espaces seulement. Le nom est compatible avec la fonction de changement de langue en ligne.
Par défaut : Phase_x (où x représente un nombre consécutif).

Longueur maximale : 256 caractères

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

Name


IDP_BATCH_PHASE_PARENT_UNIT_DESCRIPTION

ID interne : IDP_BATCH_PHASE_PARENT_UNIT_DESCRIPTION

Description unité

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

UnitDescription


IDP_BATCH_PHASE_PARENT_UNIT_NAME

ID interne : IDP_BATCH_PHASE_PARENT_UNIT_NAME

Unité

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

Unit


IDP_BATCH_PHASE_PAUSING_CND

ID interne : IDP_BATCH_PHASE_PAUSING_CND

En pause

Condition de la modification de Mise en pause à En pause.
Vous pouvez définir une formule pour la condition. La formule peut comporter un ou plusieurs paramètres de commande et paramètres de retour de la phase. La valeur et l’état des variables peuvent être utilisés.
Option : Vous pouvez lier des variables pour la validité de la phase.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

PausingCnd


IDP_BATCH_PHASE_RECOVER

ID interne : IDP_BATCH_PHASE_RECOVER

Erreur de communication acquittée

Saisie de la formule de détection du rétablissement des communications après une défaillance. Cliquez sur le bouton ... pour ouvrir une boîte de dialogue permettant de configurer l’ordre.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

Recover


IDP_BATCH_PHASE_RESTARTING_CND

ID interne : IDP_BATCH_PHASE_RESTARTING_CND

Redémarré

Condition de la modification de Démarrage en cours à Exécution en cours.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

RestartingCnd


IDP_BATCH_PHASE_STOPPING_CND

ID interne : IDP_BATCH_PHASE_STOPPING_CND

Arrêté

Condition de la modification d’Arrêt en cours à Arrêtée.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

StoppingCnd


IDP_BATCH_PHASE_TOALLOCATION

ID interne : IDP_BATCH_PHASE_TOALLOCATION

Délai d'attente d'attribution d'unité

Délai d’attente d’attribution de l’unité, exprimé en jours, heures, minutes et secondes. Le délai d’attente peut être modifié dans le Runtime, tant que la recette comporte l’état Éditable.

En cas de dépassement de la période définie, l’événement Dépassement du délai d’attente d’attribution de l’unité est déclenché et l’élément est affiché en surbrillance. D’autres actions doivent être définies par l’ingénieur. Si aucune autre action n’a lieu, le délai d’attente se poursuit.

Maximum : 9999j 23:59:59
Par défaut : 0j 00:00:00

Remarque : Une unité peut uniquement être attribuée par une recette unique, avec l’état En cours d’exécution.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

ToAllocation


IDP_BATCH_PHASE_TODONE

ID interne : IDP_BATCH_PHASE_TODONE

Durée d'exécution maximum

Délai en jours, heures, minutes et secondes dans lequel la condition définie dans la propriété Condition de phase terminée doit renvoyer la valeur TRUE. Le délai d’attente début lors de l’écriture du paramètre de commande. Si la condition n’est pas satisfaite à la fin du délai d’attente, l’événement Dépassement du délai d’attente maximum d’exécution est déclenché et l’attente se poursuit. Si aucune réaction n’a été définie pour l’événement déclenchant un autre comportement, l’attente se poursuit jusqu’à ce que la condition soit satisfaite.

Remarque : Le délai continue à s’écouler lorsque la recette/la phase est mise en pause.

Si le délai d’attente est défini sur 0j 00:00:00, l’événement n’est pas déclenché.

  • Valeur minimum : 0j 00:00:00
  • Valeur maximale : 9999d 23:59:59
  • Par défaut : 0j 00:00:00

Le délai d’attente est indépendant de l’état de la recette (par ex. Recette mise en pause) et le décompte se poursuit même en cas de fermeture et de redémarrage du Runtime.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

ToDone


IDP_BATCH_PHASE_TOINTERLOCK

ID interne : IDP_BATCH_PHASE_TOINTERLOCK

Période d'attente entrée de verrouillage

Délai en jours, heures, minutes et secondes dans lequel la condition définie dans la propriété Condition de verrouillage doit renvoyer la valeur TRUE. La période d’attente débute lors de la vérification du verrouillage de l’entrée. Si la condition n’est pas satisfaite à la fin de la période d’attente, l’événement Dépassement du délai d’attente de vérification du verrouillage est déclenché et l’attente se poursuit. Si aucune réaction n’a été définie pour l’événement déclenchant un autre comportement, l’attente se poursuit jusqu’à ce que la condition soit satisfaite.

Si le délai d’attente est défini sur 0j 00:00:00, l’événement n’est pas déclenché.

  • Valeur minimum : 0j 00:00:00
  • Valeur maximale : 9999d 23:59:59
  • Par défaut : 0j 00:00:00

Le délai d’attente est indépendant de l’état de la recette (par ex. Recette mise en pause) et le décompte se poursuit même en cas de fermeture et de redémarrage du Runtime.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

ToInterlocking


IDP_BATCH_PHASE_TOPHASEEND

ID interne : IDP_BATCH_PHASE_TOPHASEEND

Délai d'attente de condition suivante

Délai d’attente de désactivation de la phase, exprimé en jours, heures, minutes et secondes. Le délai d’attente commence lorsque la condition de fin de phase est satisfaite. Si la condition n’est pas satisfaite à la fin de la période d’attente, l’événement Dépassement du délai d’attente après condition est déclenché et l’attente se poursuit. Si aucune réaction n’a été définie pour l’événement déclenchant un autre comportement, l’attente se poursuit jusqu’à ce que la condition soit satisfaite.

Si le délai d’attente est défini sur 0j 00:00:00, l’événement n’est pas déclenché.

  • Valeur minimum : 0j 00:00:00
  • Valeur maximale : 9999d 23:59:59
  • Par défaut : 0j 00:00:00

Remarque : L’existence de la condition suivante dépend de la structure de la recette. Par conséquent, la configuration d’un délai d’attente ne doit pas être réalisée dans Editor, mais dans le Runtime.

Le délai d’attente est indépendant de l’état de la recette (par ex. Recette mise en pause) et le décompte se poursuit même en cas de fermeture et de redémarrage du Runtime.

D’autres informations sont disponibles dans l’aide en ligne, au chapitre Temps.
D’autres informations sont disponibles dans l’aide en ligne, au chapitre Condition successive.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

ToPhaseEnd


IDP_BATCH_PHASE_TRANS_CND_GRP

ID interne : IDP_BATCH_PHASE_TRANS_CND_GRP

État transitoire de condition

Groupe de propriétés spécifiques aux conditions de transition.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

GPR_TransCnd


IDP_BATCH_PHASE_USER_GRP

ID interne : IDP_BATCH_PHASE_USER_GRP

Phase utilisateur

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

GRP_User


IDP_BATCH_PHASE_USERFKT

ID interne : IDP_BATCH_PHASE_USERFKT

Fonction

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

UserPFunc


IDP_BATCH_PHASE_USERMSG

ID interne : IDP_BATCH_PHASE_USERMSG

Texte du message

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

UserPMsg


IDP_BATCH_PHASE_USERPHASE

ID interne : IDP_BATCH_PHASE_USERPHASE

Phase utilisateur

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

UserPhase


IDP_BATCH_PHASE_USERTIMEOUT

ID interne : IDP_BATCH_PHASE_USERTIMEOUT

Délai d'attente de l'opération

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

UserPTimeout


IDP_BATCH_RECIPE_FRAME_GRP

ID interne : IDP_BATCH_RECIPE_FRAME_GRP

Affiche les éléments de contrôle d'Editor

Contient les propriétés des éléments fonctionnels de l’éditeur de recettes.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

Appearance


IDP_BATCH_RECIPE_FRAME_PN

ID interne : IDP_BATCH_RECIPE_FRAME_PN

Fenêtres ancrables

Active : La liste de fenêtres ancrables est affichée dans l’éditeur de recettes.

Inactive : La liste de fenêtres ancrables n’est pas affichée dans l’éditeur de recettes.

Par défaut : active

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

WithPanes


IDP_BATCH_RECIPE_FRAME_TB

ID interne : IDP_BATCH_RECIPE_FRAME_TB

Barres d'outils

Active : Les barres d’outils sont affichées dans l’éditeur de recettes.

Inactive : Les barres d’outils ne sont pas affichées dans l’éditeur de recettes. Ce choix est recommandé si les actions des symboles individuels sont attribuées à des boutons spécifiques.

Par défaut : active

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

WithTBs


IDP_BATCH_RESTART_AFTER_FAILURE

ID interne : IDP_BATCH_RESTART_AFTER_FAILURE

Redémarrage après défaillance du système

Définition de l’action effectuée au redémarrage en cas de fermeture anormale du Runtime suite à une défaillance du système.

Sélectionnez dans la liste déroulante :

  • Mettre la recette en attente : L’ensemble de la recette est suspendu après le redémarrage.
  • Mettre la recette en pause : L’ensemble de la recette est mis en pause après le redémarrage.
  • Conserver l’état de la recette : Après le redémarrage, la recette est définie sur le même état qu’avant la fermeture.

Par défaut : Conserver l’état de la recette

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

RestartAfterFailure


IDP_BATCH_RESTART_AFTER_RTEND

ID interne : IDP_BATCH_RESTART_AFTER_RTEND

Redémarrage après arrêt normal du Runtime

Définition de l’action effectuée au redémarrage après la fermeture normale du Runtime.

Sélectionnez dans la liste déroulante :

  • Mettre la recette en attente : L’ensemble de la recette est suspendu après le redémarrage.
  • Mettre la recette en pause : L’ensemble de la recette est mis en pause après le redémarrage.
  • Conserver l’état de la recette : Après le redémarrage, la recette est définie sur le même état qu’avant la fermeture.

Par défaut : Conserver l’état de la recette

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

RestartAfterRTEnd


IDP_BATCH_SINGLEVERSIONAPPROVED

ID interne : IDP_BATCH_SINGLEVERSIONAPPROVED

Valider une version seulement

Active : Une seule version de chaque recette principale peut être validée dans le Runtime.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

SingleVersionApproved


IDP_BATCH_TAG_DATATYPE

ID interne : IDP_BATCH_TAG_DATATYPE

Type de données du tag

Sélection du type de données dans la liste déroulante pour le type de balise sélectionné dans la propriété Type. Vous pouvez sélectionner les types de données suivants :

  • Binaire : données binaires
  • Numérique : données numériques
  • Chaîne : séquence de caractères
  • Durée : Durée

La sélection du type de données influence les propriétés disponibles dans le groupe Écrire valeur prescrite.

Remarque : Le type de données de la balise peut également être modifié après qu’une variable ait été liée et qu’une valeur ait déjà été définie pour la balise de commande. Ceci peut entraîner l’apparition d’erreurs durant la validation de la recette dans le Runtime.

Attention : Information affichée uniquement pour les stratégies de contrôle. Les modifications sont uniquement possibles pour les phases.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

DataType


IDP_BATCH_TAG_DEFVALUE

ID interne : IDP_BATCH_TAG_DEFVALUE

Valeur

Valeur de paramètre transmise après le verrouillage d’entrée, pendant l’exécution de la phase.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

DefValue


IDP_BATCH_TAG_DEFVALUE_BOOL

ID interne : IDP_BATCH_TAG_DEFVALUE_BOOL

Valeur binaire

Uniquement disponible si, dans le groupe Général, la propriété Type a été définie sur Commande et la propriété Type de données du tag a été définie sur Binaire.

Valeur de la balise de commande binaire. Sélection dans la liste déroulante :
From (0) :
On (1) :
Basculer : change d’état

Par défaut : Inactive (0)

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

DefValueBool


IDP_BATCH_TAG_DEFVALUE_MEUNIT

ID interne : IDP_BATCH_TAG_DEFVALUE_MEUNIT

Einheit

Unité de valeur.

Provient de la variable liée dans la propriété Variable (Général/Lien variable). Sert uniquement à l’affichage d’informations ; aucune modification n’est possible.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

DefValueMeUnit


IDP_BATCH_TAG_DEFVALUE_NUM

ID interne : IDP_BATCH_TAG_DEFVALUE_NUM

Valeur numérique

Disponible uniquement si, dans le groupe Général, la propriété Type est définie sur Commande et la propriété Type de données du tagsur Numérique.

Valeur de la balise de commande numérique.

Par défaut : 0

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

DefValueNum


IDP_BATCH_TAG_DEFVALUE_STR

ID interne : IDP_BATCH_TAG_DEFVALUE_STR

Valeur string

Chaîne de caractères utilisée pour la valeur de la balise.
Disponible uniquement si, dans le groupe Général, la propriété Général est définie sur Commande et la propriété Type de données du tagsur Numérique.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

DefValueStr


IDP_BATCH_TAG_DEFVALUE_TIME

ID interne : IDP_BATCH_TAG_DEFVALUE_TIME

Valeur période de temps

Uniquement disponible si, dans le groupe Général, la propriété Type a été définie sur Commande et la propriété Type de données du tag a été définie sur Durée.

Durée en jours, heures, minutes et secondes de la balise de commande.

Valeur maximale : 0j 00:00:00

Valeur minimum : 9999j 23:59:59

Par défaut : 0j 00:00:00

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

DefValueTime


IDP_BATCH_TAG_DESCRIPTION

ID interne : IDP_BATCH_TAG_DESCRIPTION

Description

Texte libre fournissant une description détaillée de la balise La langue du texte peut être changée dans le Runtime ; le texte est affiché dans la boîte de dialogue d’édition de phase, ainsi que dans la boîte de dialogue d’édition de la balise.

Maximum : 512 caractères

Attention : Information affichée uniquement pour les stratégies de contrôle. Les modifications sont uniquement possibles pour les phases.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

Description


IDP_BATCH_TAG_EXPLANATION_NEEDED

ID interne : IDP_BATCH_TAG_EXPLANATION_NEEDED

Justification de la modification de valeur nécessaire

Active : Lors de la saisie de modifications de ces paramètres dans le Runtime, une raison motivant la modification doit être saisie par l’utilisateur. Une boîte de dialogue de saisie de la raison est affichée avant que la modification n’ait lieu.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

ExplanationNeeded


IDP_BATCH_TAG_GENERAL_GRP

ID interne : IDP_BATCH_TAG_GENERAL_GRP

Général

Propriétés générales des tags.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

GRP_General


IDP_BATCH_TAG_KBD

ID interne : IDP_BATCH_TAG_KBD

Synoptique clavier

Disponible uniquement si la propriété Utiliser le synoptique clavier a été activée.

Sélection du synoptique de type Clavier concerné par la fonction d’appel. Cliquez sur le bouton ... pour ouvrir une boîte de dialogue permettant de sélectionner un synoptique.

Attention : Information affichée uniquement pour les stratégies de contrôle. Les modifications sont uniquement possibles pour les phases.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

Keyboard


IDP_BATCH_TAG_KBD_LAYOUT

ID interne : IDP_BATCH_TAG_KBD_LAYOUT

Claviers

Groupe de propriétés définissant l’utilisation d’un clavier pour modifier les paramètres.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

GRP_Keyboard


IDP_BATCH_TAG_KBD_USAGE

ID interne : IDP_BATCH_TAG_KBD_USAGE

Utiliser le synoptique clavier

Active : Un synoptique de type Clavier est utilisé pour ce paramètre. Le synoptique de type Clavier devant être affiché est défini à l’aide de la propriété Synoptique clavier.

Disponible uniquement si la propriété Modifiable dans la recette principale est active.

Par défaut : Inactive.

Attention : Information affichée uniquement pour les stratégies de contrôle. Les modifications sont uniquement possibles pour les phases.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

UseKeyboard


IDP_BATCH_TAG_MATERIAL

ID interne : IDP_BATCH_TAG_MATERIAL

Suivi du matériel

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

Material


IDP_BATCH_TAG_MAX

ID interne : IDP_BATCH_TAG_MAX

Valeur maximum du tag

Disponible uniquement si, dans le groupe Général, la propriété Type est définie sur Commande et la propriété Type de données du tagsur Numérique.

Valeur maximum du paramètre.

Par défaut : 0

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

Max


IDP_BATCH_TAG_MIN

ID interne : IDP_BATCH_TAG_MIN

Valeur minimum du tag

Disponible uniquement si, dans le groupe Général, la propriété Type est définie sur Commande et la propriété Type de données du tagsur Numérique.

Valeur minimum du paramètre.

Par défaut : 0

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

Min


IDP_BATCH_TAG_NAME

ID interne : IDP_BATCH_TAG_NAME

Nom

Nom du paramètre. Il doit être unique dans la phase. Le nom doit être vide, contenir une période ou être constitué uniquement d’espaces. Le nom est sensible à la casse. La langue du texte peut être changée dans le Runtime ; le texte est affiché dans la boîte de dialogue d’édition de phase, ainsi que dans la boîte de dialogue d’édition de la balise.

Maximum : 256 caractères

Par défaut : Balise x, où x garantit un nom unique sous forme de nombre consécutif généré automatiquement.

Attention : Information affichée uniquement pour les stratégies de contrôle. Les modifications sont uniquement possibles pour les phases.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

Name


IDP_BATCH_TAG_PARAMCHANGE_GRP

ID interne : IDP_BATCH_TAG_PARAMCHANGE_GRP

Modifier tag

Groupe de propriétés pour l’édition de paramètres.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

GRP_ParamEdit


IDP_BATCH_TAG_PARENT_PHASE

ID interne : IDP_BATCH_TAG_PARENT_PHASE

Phase

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

Phase


IDP_BATCH_TAG_PARENT_UNIT

ID interne : IDP_BATCH_TAG_PARENT_UNIT

Unité

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

Unit


IDP_BATCH_TAG_RECIPEPARAM

ID interne : IDP_BATCH_TAG_RECIPEPARAM

Modifiable dans la recette principale

Disponible uniquement si, dans le groupe Général, la propriété Type est définie sur Initiale ou Valeur.

Active : Le créateur de la recette peut modifier les tags dans le Runtime.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

RecipeParam


IDP_BATCH_TAG_TAGTYPE

ID interne : IDP_BATCH_TAG_TAGTYPE

Type

Sélection du type de balise dans la liste déroulante :

  • Initial : Paramètre de commande défini avant l’événement de début.
    Valeur : Paramètre de commande défini après le verrouillage d’entrée. La valeur définie pour la balise de commande est écrite dans la variable liée à la balise de commande lors de l’exécution de la phase.
  • Retour : balise de retour. Peut être écrite dans le Runtime à l’aide de réactions.

Dans le Runtime, durant la validation de la recette, les tags de commande sont inspectés afin de déterminer :

  • si la variable existe et est du type correct.
  • si la valeur de la balise de commande est conforme aux limites de la valeur prescrite pour la variable liée.
  • Si, dans la phase, une seule balise de commande existe pour chaque variable (ceci évite qu’une balise de commande écrive par exemple 0 tandis qu’une autre commande écrit 1 dans la variable)

Attention : Information affichée uniquement pour les stratégies de contrôle. Les modifications sont uniquement possibles pour les phases.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

TagType


IDP_BATCH_TAG_TIME_MAX

ID interne : IDP_BATCH_TAG_TIME_MAX

Variable temps max.

Valeur maximum pour la durée de valeur d’une variable.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

MaxTime


IDP_BATCH_TAG_TIME_MIN

ID interne : IDP_BATCH_TAG_TIME_MIN

Variable temps min.

Valeur minimum pour la durée de valeur d’une variable.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

MinTime


IDP_BATCH_TAG_VALUE_MAX

ID interne : IDP_BATCH_TAG_VALUE_MAX

Valeur max.

Valeur maximale pouvant être saisie pour le paramètre.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

ValueMax


IDP_BATCH_TAG_VALUE_MIN

ID interne : IDP_BATCH_TAG_VALUE_MIN

Valeur min.

Valeur minimale pouvant être saisie pour le paramètre.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

ValueMin


IDP_BATCH_TAG_VALUES_GRP

ID interne : IDP_BATCH_TAG_VALUES_GRP

Écrire valeur prescrite

Groupe de propriétés pour l’écriture de la valeur prescrite.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

GRP_Values


IDP_BATCH_TAG_VAR_ACTVALUE

ID interne : IDP_BATCH_TAG_VAR_ACTVALUE

Variable de valeur actuelle

La variable liée constitue la valeur réelle du paramètre. La valeur de la variable est affichée dans le Runtime pour une phase sélectionnée dans les listes de paramètres.

Attention : Information affichée uniquement pour les stratégies de contrôle. Les modifications sont uniquement possibles pour les phases.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

ActValueVar


IDP_BATCH_TAG_VAR_DATENART

ID interne : IDP_BATCH_TAG_VAR_DATENART

Type de la variable

Type de donnée pour la variable. Affichage uniquement.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

VarDataType


IDP_BATCH_TAG_VAR_MAX

ID interne : IDP_BATCH_TAG_VAR_MAX

Variable valeur max.

Valeur maximum de la variable. Affichage uniquement.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

VarMax


IDP_BATCH_TAG_VAR_MIN

ID interne : IDP_BATCH_TAG_VAR_MIN

Variable valeur min.

Valeur minimum de la variable. Affichage uniquement.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

VarMin


IDP_BATCH_TAG_VAR_STRLENGTH

ID interne : IDP_BATCH_TAG_VAR_STRLENGTH

Longueur de la chaîne

Longueur de chaîne configurée au niveau de la variable. Affichage uniquement.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

VarStrLength


IDP_BATCH_TAG_VAR_TREIBER

ID interne : IDP_BATCH_TAG_VAR_TREIBER

Drivers

Nom du fichier.exe du driver de la variable. Affichage uniquement.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

VarDriver


IDP_BATCH_TAG_VAR_TREIBERBEZ

ID interne : IDP_BATCH_TAG_VAR_TREIBERBEZ

Nom du driver

Nom du driver de la variable. Affichage uniquement.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

VarDriverDesc


IDP_BATCH_TAG_VAR_UNIT

ID interne : IDP_BATCH_TAG_VAR_UNIT

Unité de mesure

Unité de la variable. Affichage uniquement.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

VarUnit


IDP_BATCH_TAG_VARIABLE

ID interne : IDP_BATCH_TAG_VARIABLE

Variable

Variable liée au paramètre. Cliquez sur le bouton ... ouvre la boîte de dialogue de sélection de variables.

L’affichage des variables est filtré en fonction de la sélection de Type de données du tag. Vous pouvez sélectionner une variable dans le projet local ou un autre projet. Les variables et les projets doivent être disponibles dans le Runtime. Si la variable est renommée, la modification est automatiquement appliquée.

Attention : Information affichée uniquement pour les stratégies de contrôle. Les modifications sont uniquement possibles pour les phases.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

Variable


IDP_BATCH_TAG_VARIABLE_GRP

ID interne : IDP_BATCH_TAG_VARIABLE_GRP

Lien variable

Propriétés de liaison des variables.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

GRP_Variable


IDP_BATCH_TAG_VARIATIONMAX

ID interne : IDP_BATCH_TAG_VARIATIONMAX

Abweichung positiv

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

VariationMax


IDP_BATCH_TAG_VARIATIONMIN

ID interne : IDP_BATCH_TAG_VARIATIONMIN

Abweichung negativ

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

VariationMin


IDP_BATCH_UNIT_DESCRIPTION

ID interne : IDP_BATCH_UNIT_DESCRIPTION

Description

Chaîne librement définie, utilisée pour fournir une description détaillée de l’unité. Cette description est disponible dans la boîte de dialogue de sélection de la phase dans le Runtime. La description est compatible avec la fonction de changement de langue en ligne.

Longueur maximale : 512 caractères

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

Description


IDP_BATCH_UNIT_GENERAL_GRP

ID interne : IDP_BATCH_UNIT_GENERAL_GRP

Général

Propriétés générales de l’unité.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

GRP_General


IDP_BATCH_UNIT_NAME

ID interne : IDP_BATCH_UNIT_NAME

Nom

Nom de l’unité. Le nom doit être unique à chaque projet. Le nom ne doit pas être vide, ne doit pas contenir de point et ne doit pas contenir des espaces seulement. Le nom est compatible avec la fonction de changement de langue en ligne.

Par défaut : Unit_x (x représente un nombre consécutif).

Longueur maximale : 256 caractères

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

Name


IDP_BATCH_UNIT_RT_CR_DESCR

ID interne : IDP_BATCH_UNIT_RT_CR_DESCR

Description

Configuration des variables qui transmettent la description de la recette de contrôle dans le Runtime. Cliquez sur le champ des propriétés ou sur le bouton ... pour ouvrir la boîte de dialogue de sélection de variables.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

RtInfoVarCrDescr


IDP_BATCH_UNIT_RT_CR_ID

ID interne : IDP_BATCH_UNIT_RT_CR_ID

ID

Configuration des variables qui transmettent l’identifiant de la recette de contrôle dans le Runtime. Cliquez sur le champ des propriétés ou sur le bouton ... pour ouvrir la boîte de dialogue de sélection de variables.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

RtInfoVarCrId


IDP_BATCH_UNIT_RT_CR_JOBID

ID interne : IDP_BATCH_UNIT_RT_CR_JOBID

Identifiant de tâche (texte)

Configuration des variables qui transmettent l’identifiant de tâche de la recette de contrôle dans le Runtime. Cliquez sur le champ des propriétés ou sur le bouton ... pour ouvrir la boîte de dialogue de sélection de variables.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

RtInfoVarCrJobId


IDP_BATCH_UNIT_RT_CR_NAME

ID interne : IDP_BATCH_UNIT_RT_CR_NAME

Nom

Configuration des variables qui transmettent le nom de la recette de contrôle dans le Runtime. Cliquez sur le champ des propriétés ou sur le bouton ... pour ouvrir la boîte de dialogue de sélection de variables.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

RtInfoVarCrName


IDP_BATCH_UNIT_RT_ERR_NUM

ID interne : IDP_BATCH_UNIT_RT_ERR_NUM

Fehler (numerisch)

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

RtInfoVarErrorNum


IDP_BATCH_UNIT_RT_ERR_TXT

ID interne : IDP_BATCH_UNIT_RT_ERR_TXT

Fehler (Text)

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

RtInfoVarErrorTxt


IDP_BATCH_UNIT_RT_FAILURE_COUNT

ID interne : IDP_BATCH_UNIT_RT_FAILURE_COUNT

Nombre d'erreurs de communication actives

Configuration des variables qui affichent le nombre de perturbations acquittées des communications dans le Runtime. Cliquez sur le champ des propriétés ou sur le bouton ... pour ouvrir la boîte de dialogue de sélection de variables.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

RtInfoVarCommErrorCount


IDP_BATCH_UNIT_RT_FAILURE_FIXED_COUNT

ID interne : IDP_BATCH_UNIT_RT_FAILURE_FIXED_COUNT

Nombre d'erreurs de communication résolues

Configuration des variables qui affichent le nombre de perturbations fixes des communications dans le Runtime. Cliquez sur le champ des propriétés ou sur le bouton ... pour ouvrir la boîte de dialogue de sélection de variables.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

RtInfoVarCommErrorGoneCount


IDP_BATCH_UNIT_RT_FAILURE_RECOVERED_COUNT

ID interne : IDP_BATCH_UNIT_RT_FAILURE_RECOVERED_COUNT

Nombre d'erreurs de communication acquittées

Configuration des variables qui affichent le nombre de perturbations acquittées des communications dans le Runtime. Cliquez sur le champ des propriétés ou sur le bouton ... pour ouvrir la boîte de dialogue de sélection de variables.
Dans le Runtime, le nombre d’erreurs de communication acquittées est affiché jusqu’à la fin de la recette dans laquelle elles sont apparues.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

RtInfoVarCommErrorAcknCount


IDP_BATCH_UNIT_RT_GRP

ID interne : IDP_BATCH_UNIT_RT_GRP

Information runtime

Propriétés des informations du Runtime.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

RT_Info


IDP_BATCH_UNIT_RT_GRP_CR

ID interne : IDP_BATCH_UNIT_RT_GRP_CR

Recette de contrôle

Propriétés de configuration des informations du Runtime pour les recettes de contrôle.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

RT_CR_Info


IDP_BATCH_UNIT_RT_GRP_ERR

ID interne : IDP_BATCH_UNIT_RT_GRP_ERR

Erreur

Propriétés de configuration des informations du Runtime pour les erreurs présentes.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

RT_ERR_Info


IDP_BATCH_UNIT_RT_GRP_MATRIX

ID interne : IDP_BATCH_UNIT_RT_GRP_MATRIX

Information recette matrice

Groupe de propriétés contenant des informations concernant les recettes de matrice dans l’équipement.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

RT_Matrix_Step_Info


IDP_BATCH_UNIT_RT_GRP_MR

ID interne : IDP_BATCH_UNIT_RT_GRP_MR

Recette principale

Propriétés de configuration des informations du Runtime pour les recettes principales.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

RT_MR_Info


IDP_BATCH_UNIT_RT_GRP_PH

ID interne : IDP_BATCH_UNIT_RT_GRP_PH

Phases

Propriétés de configuration des informations du Runtime pour les phases.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

RT_PH_Info


IDP_BATCH_UNIT_RT_GRP_REE

ID interne : IDP_BATCH_UNIT_RT_GRP_REE

Exécution

Propriétés de configuration des informations du Runtime pour l’exécution (REE).

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

RT_REE_Info


IDP_BATCH_UNIT_RT_MATRIX_STEP_COUNT

ID interne : IDP_BATCH_UNIT_RT_MATRIX_STEP_COUNT

Nombre d'étapes

Configuration des variables dans lesquelles le nombre d’étapes de la recette de matrice est écrit dans le Runtime. Cliquez sur le champ des propriétés ou sur le bouton ... pour ouvrir la boîte de dialogue de sélection de variables. Toutes les variables numériques dont le type de données >= 2 octets peuvent être sélectionnées.

La valeur est toujours 0 pour les recettes du module PFC.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

RtInfoVarMatrixStepCount


IDP_BATCH_UNIT_RT_MATRIX_STEP_NAME

ID interne : IDP_BATCH_UNIT_RT_MATRIX_STEP_NAME

Identifiant de l'étape actuelle

Configuration des variables pour la description de l’étape de matrice dans laquelle se trouvent les objets attribués à cet équipement. Cliquez sur le champ des propriétés ou sur le bouton ... pour ouvrir la boîte de dialogue de sélection de variables.

La valeur reste toujours vide pour les recettes du module PFC.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

RtInfoVarMatrixCurrentStepName


IDP_BATCH_UNIT_RT_MATRIX_STEP_NUMBER

ID interne : IDP_BATCH_UNIT_RT_MATRIX_STEP_NUMBER

Étape actuelle

Configuration des variables pour le numéro de l’étape de matrice dans laquelle se trouvent les objets attribués à cet équipement. Cliquez sur le champ des propriétés ou sur le bouton ... pour ouvrir la boîte de dialogue de sélection de variables. Toutes les variables numériques dont le type de données >= 2 octets peuvent être sélectionnées.

La valeur est toujours 0 pour les recettes du module PFC.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

RtInfoVarMatrixCurrentStepNumber


IDP_BATCH_UNIT_RT_MR_DESCR

ID interne : IDP_BATCH_UNIT_RT_MR_DESCR

Description

Configuration des variables qui transmettent la description de la recette principale dans le Runtime. Cliquez sur le champ des propriétés ou sur le bouton ... pour ouvrir la boîte de dialogue de sélection de variables.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

RtInfoVarMrDescr


IDP_BATCH_UNIT_RT_MR_ID

ID interne : IDP_BATCH_UNIT_RT_MR_ID

ID

Configuration des variables qui transmettent l’identifiant de la recette principale dans le Runtime. Cliquez sur le champ des propriétés ou sur le bouton ... pour ouvrir la boîte de dialogue de sélection de variables.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

RtInfoVarMrId


IDP_BATCH_UNIT_RT_MR_NAME

ID interne : IDP_BATCH_UNIT_RT_MR_NAME

Nom

Configuration des variables qui transmettent le nom de la recette principale dans le Runtime. Cliquez sur le champ des propriétés ou sur le bouton ... pour ouvrir la boîte de dialogue de sélection de variables.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

RtInfoVarMrName


IDP_BATCH_UNIT_RT_MR_SOURCE_VERSION

ID interne : IDP_BATCH_UNIT_RT_MR_SOURCE_VERSION

Version initiale

Configuration des variables d’envoi de la version de la recette source utilisée pour cette version dans le Runtime. Cliquez sur le champ des propriétés ou sur le bouton ... pour ouvrir la boîte de dialogue de sélection de variables.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

RtInfoVarMrSourceVersion


IDP_BATCH_UNIT_RT_MR_VERSION

ID interne : IDP_BATCH_UNIT_RT_MR_VERSION

Version

Configuration des variables d’envoi de la version de la recette principale dans le Runtime. Cliquez sur le champ des propriétés ou sur le bouton ... pour ouvrir la boîte de dialogue de sélection de variables.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

RtInfoVarMrVersion


IDP_BATCH_UNIT_RT_PH_LIST

ID interne : IDP_BATCH_UNIT_RT_PH_LIST

Phases actives

Configuration des variables qui affichent le nombre de phases actives dans le Runtime. Cliquez sur le champ des propriétés ou sur le bouton ... pour ouvrir la boîte de dialogue de sélection de variables.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

RtInfoVarPhList


IDP_BATCH_UNIT_RT_PLC_ERR_ACKN

ID interne : IDP_BATCH_UNIT_RT_PLC_ERR_ACKN

Anzahl der quittierten Kommunikationsfehler

Configuration des variables qui affichent le nombre de perturbations acquittées des communications dans le Runtime. Cliquez sur le champ des propriétés ou sur le bouton ... pour ouvrir la boîte de dialogue de sélection de variables.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

RtInfoVarPlcErrorAckn


IDP_BATCH_UNIT_RT_PLC_ERR_COUNT

ID interne : IDP_BATCH_UNIT_RT_PLC_ERR_COUNT

Anzahl der anstehenden Kommunikationsfehler

Configuration des variables qui affichent le nombre de perturbations actuelles des communications dans le Runtime. Cliquez sur le champ des propriétés ou sur le bouton ... pour ouvrir la boîte de dialogue de sélection de variables.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

RtInfoVarPlcErrorCnt


IDP_BATCH_UNIT_RT_PLC_ERR_GONE

ID interne : IDP_BATCH_UNIT_RT_PLC_ERR_GONE

Anzahl der behobenen Kommunikationsfehler

Configuration des variables qui affichent le nombre de perturbations fixes des communications dans le Runtime. Cliquez sur le champ des propriétés ou sur le bouton ... pour ouvrir la boîte de dialogue de sélection de variables.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

RtInfoVarPlcErrorGone


IDP_BATCH_UNIT_RT_PLCERROR_COUNT

ID interne : IDP_BATCH_UNIT_RT_PLCERROR_COUNT

Nombre d'erreurs actives sur l'automate

Configuration des variables d’affichage du nombre actuel d’erreurs d’automates dans le Runtime. Cliquez sur le champ des propriétés ou sur le bouton ... pour ouvrir la boîte de dialogue de sélection de variables.
Dans le Runtime, le nombre actuel d’erreurs d’automates pour la phase active (0 ou 1) est affiché.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

RtInfoVarInternalPlcErrorCount


IDP_BATCH_UNIT_RT_PLCERROR_FIXED_COUNT

ID interne : IDP_BATCH_UNIT_RT_PLCERROR_FIXED_COUNT

Nombre d'erreurs résolues sur l'automate

Configuration des variables d’affichage du nombre d’erreurs d’automates corrigées dans le Runtime. Cliquez sur le champ des propriétés ou sur le bouton ... pour ouvrir la boîte de dialogue de sélection de variables.
Dans le Runtime, le nombre d’erreurs d’automates corrigées est affiché jusqu’à la fin de la recette dans laquelle elles sont apparues.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

RtInfoVarInternalPlcErrorFixedCount


IDP_BATCH_UNIT_RT_REE_CNT

ID interne : IDP_BATCH_UNIT_RT_REE_CNT

Nombre de recettes actives

Configuration des variables qui affichent le nombre de recettes actives dans le Runtime. Cliquez sur le champ des propriétés ou sur le bouton ... pour ouvrir la boîte de dialogue de sélection de variables.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

RtInfoVarReeCnt


IDP_BATCH_UNIT_RT_REE_MODUS_NUM

ID interne : IDP_BATCH_UNIT_RT_REE_MODUS_NUM

Mode d'exécution (numérique)

Configuration des variables qui affichent le mode d’exécution d’une recette sous forme de valeur numérique dans le Runtime. Cliquez sur le champ des propriétés ou sur le bouton ... pour ouvrir la boîte de dialogue de sélection de variables.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

RtInfoVarReeModusNum


IDP_BATCH_UNIT_RT_REE_MODUS_TXT

ID interne : IDP_BATCH_UNIT_RT_REE_MODUS_TXT

Mode d'exécution (texte)

Configuration des variables qui affichent l’état de l’exécution d’une recette sous forme de texte dans le Runtime. Cliquez sur le champ des propriétés ou sur le bouton ... pour ouvrir la boîte de dialogue de sélection de variables.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

RtInfoVarReeModusTxt


IDP_BATCH_UNIT_RT_REE_STATUS_NUM

ID interne : IDP_BATCH_UNIT_RT_REE_STATUS_NUM

État d'exécution (numérique)

Configuration des variables qui affichent l’état de l’exécution d’une recette sous forme de valeur numérique dans le Runtime. Cliquez sur le champ des propriétés ou sur le bouton ... pour ouvrir la boîte de dialogue de sélection de variables.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

RtInfoVarReeStatusNum


IDP_BATCH_UNIT_RT_REE_STATUS_TXT

ID interne : IDP_BATCH_UNIT_RT_REE_STATUS_TXT

État d'exécution (texte)

Configuration des variables qui affichent l’état de l’exécution d’une recette sous forme de texte dans le Runtime. Cliquez sur le champ des propriétés ou sur le bouton ... pour ouvrir la boîte de dialogue de sélection de variables.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

RtInfoVarReeStatusTxt


IDP_BATCH_UNIT_RT_RUN_ERR_COUNT

ID interne : IDP_BATCH_UNIT_RT_RUN_ERR_COUNT

Nombre d'erreurs de procédure actives

Configuration des variables qui affichent le nombre d’erreurs procédurales actuelles dans le Runtime. Cliquez sur le champ des propriétés ou sur le bouton ... pour ouvrir la boîte de dialogue de sélection de variables.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

RtInfoVarRunErrorCnt


IDP_BATCH_UNIT_RT_RUN_ERR_GONE

ID interne : IDP_BATCH_UNIT_RT_RUN_ERR_GONE

Nombre d'erreurs de procédure résolues

Configuration des variables qui affichent le nombre d’erreurs procédurales historiques dans le Runtime. Cliquez sur le champ des propriétés ou sur le bouton ... pour ouvrir la boîte de dialogue de sélection de variables.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

RtInfoVarRunErrorGone


IDP_BATCH_VERSION_ACTIVE

ID interne : IDP_BATCH_VERSION_ACTIVE

Gestion de version active

Active : La gestion des versions de recettes est activée et utilisée dans le Runtime.

Inactive : La gestion des versions est désactivée.

Par défaut : Inactive

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

VersionActive


IDP_BATCH_VERSION_GRP

ID interne : IDP_BATCH_VERSION_GRP

Gestion de version

Contient les propriétés de la gestion des versions de recettes.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

VersionGrp


IDP_BATCH_XML_EXPORT_FEEDBACK_NUMERICAL

ID interne : IDP_BATCH_XML_EXPORT_FEEDBACK_NUMERICAL

Numerische Feedback Variable

Description as text.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être adressée comme suit pour l’API zenon (avec nom de la classe) :

XMLExportVariableNumerical


IDP_BATCH_XML_EXPORT_FEEDBACK_STRING

ID interne : IDP_BATCH_XML_EXPORT_FEEDBACK_STRING

String Feedback Variable

Description as text.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être adressée comme suit pour l’API zenon (avec nom de la classe) :

XMLExportVariableString


IDP_BATCH_XML_EXPORT_GROUP

ID interne : IDP_BATCH_XML_EXPORT_GROUP

XML Export

Description as text.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être adressée comme suit pour l’API zenon (avec nom de la classe) :

XMLExport


IDP_BATCH_XML_GROUP

ID interne : IDP_BATCH_XML_GROUP

XML Import/Export

Description as text.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être adressée comme suit pour l’API zenon (avec nom de la classe) :

XMLImport/Export


IDP_BATCH_XML_IMPORT_FEEDBACK_NUMERICAL

ID interne : IDP_BATCH_XML_IMPORT_FEEDBACK_NUMERICAL

Numerische Feedback Variable

Description as text.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être adressée comme suit pour l’API zenon (avec nom de la classe) :

XMLImportVariableNumerical


IDP_BATCH_XML_IMPORT_FEEDBACK_STRING

ID interne : IDP_BATCH_XML_IMPORT_FEEDBACK_STRING

String Feedback Variable

Description as text.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être adressée comme suit pour l’API zenon (avec nom de la classe) :

XMLImportVariableString


IDP_BATCH_XML_IMPORT_GROUP

ID interne : IDP_BATCH_XML_IMPORT_GROUP

XML Import

Description as text.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être adressée comme suit pour l’API zenon (avec nom de la classe) :

XMLImport


IDP_BUTTON_SPOT_FILL

ID interne : IDP_BUTTON_SPOT_FILL

Spot

Affichage de l’emplacement :

  • Active : le bouton est affiché avec un effet de luminescence.
  • Inactive : aucun effet de luminescence n’est affiché. Le paramètre de la propriété Gradient de couleur est utilisé.

Disponible uniquement si l’option circulaire est définie pour la propriété Forme du bouton.

Par défaut : Inactive

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

Spot


IDP_BUTTONSAMPLE

ID interne : IDP_BUTTONSAMPLE

Auswahl

Exemples pour un exemple de driver.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

SampleButton


IDP_CEL_ARVERRPERIOD

ID interne : IDP_CEL_ARVERRPERIOD

Evacuation d'archive [h]

L’heure désigne les heures de traitement de l’erreur.

Si une erreur est détectée lors du transfert d’une archive, une entrée est créée dans la liste d’événements après la période définie.

Si un fichier ARX ne peut pas être écrit, il est renommé en fichier .ar_ et le fichier suivant est utilisé.
Par défaut : 12

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

ArciveOverPeriod


IDP_CEL_COMMENTS

ID interne : IDP_CEL_COMMENTS

Commentaires de la liste d'événements

Description as text.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

CELComments


IDP_CEL_LONGLIMITS

ID interne : IDP_CEL_LONGLIMITS

Textes de limite dynamiques longs pour les événements

Détermine si le champ de commentaires des textes de valeur limite dynamiques est disponible. La valeur limite dynamique permet d’insérer les valeurs actuelles d’autres variables dans le texte de valeur limite d’une variable.

  • Active : Le contenu dynamique sera stocké dans un fichier au format D*.CEL. Il sera en outre enregistré dans le fichier C*.CEL. Le champ peut être utilisé pour la saisie de commentaires. Les textes de limite dynamique peuvent avoir une longueur maximale de 1024 caractères.
  • Inactive : Le champ de commentaires est utilisé pour les textes de valeur limite dynamiques et n’est donc pas disponible pour les commentaires. Longueur maximale : 80 caractères.

Par défaut : Inactive.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

CELLongDynLimits


IDP_CEL_TEXTLEN

ID interne : IDP_CEL_TEXTLEN

Longueur texte statique pour les événements

Longueur en caractères du texte de valeur limite statique dans la liste d’événements.

Définissez le nombre maximal de caractères que peut contenir le texte de valeur limite statique dans la liste d’événements. Les valeurs minimum et maximum s’appliquent également à VBA/VSTA.

  • Minimum : 127
  • Maximum : 1023

Par défaut : 127

Limitation : lors de l’exportation au format dBase, la longueur est limitée à 256 caractères.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

CELTextLen


IDP_CMD_GUI_NOT_ACTUAL

ID interne : IDP_CMD_GUI_NOT_ACTUAL

Exécutable uniquement si défini <> actuel

Cette propriété est uniquement disponible si la propriété Comparaison valeur nominale/actuelle est activée, et est uniquement disponible pour l’action de commande Command (commande de commutation ou d’impulsion).

Désactive un bouton d’action sur le synoptique de commande si la valeur de la variable de réponse correspond déjà à la valeur de la valeur prescrite. Si la valeur d’une variable de réponse est modifiée, le bouton d’action correspondant est de nouveau actif.
Cela s’applique également aux entrées de menus contextuels. L’action de commande correspondante n’est pas affichée dans le menu, ici.

Par défaut : Inactive

Remarque : Cette propriété permet d’interroger l’état actuel d’un synoptique de commande ou d’une application de menu contextuel avant l’ouverture.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

DisableOnActual


IDP_CMDINPUT_SUBSTI_ACTION

ID interne : IDP_CMDINPUT_SUBSTI_ACTION

Remplacer dans le synoptique

Remplacement pour l’action de commande : Règle de substitution des synoptiques de commande : La cible de la substitution est configurée dans cette propriété. Le texte devant être remplacé est configuré.

Plusieurs règles de substitution doivent être séparées par un point-virgule (;). Dans ce cas, les substitutions configurées sont traitées de gauche à droite.

Si aucun caractère * n’est présent dans la variable de réponse ou la variable d’action, aucune substitution n’a lieu. Aucune distinction n’est faite entre les lettres minuscules et majuscules dans la configuration du projet.

Exemple :

  • Nom de la variable de réponse : abc_RV.
  • Variable de réponse configurée pour le groupe de commandes : *_RV
  • Variables supplémentaires sur le synoptique : xyz_lock, xy_Switch
  • Remplacement dans le synoptique configuré : xyz;xy
  • Variables existantes dans le projet : abc_lock et abc_Switch.
  • Résultat : Affichage des variables sur le synoptique : abc_lock et abc_Switch.

Remarque : actif uniquement si un synoptique de commande est attribué dans la propriété Synoptique.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

SubstiAction


IDP_CMDINPUT_SUBSTI_GROUP

ID interne : IDP_CMDINPUT_SUBSTI_GROUP

Remplacer dans le synoptique

Remplacement pour les groupes de commandes : Règle de substitution des synoptiques de commande : La cible de la substitution est configurée dans cette propriété. Le texte devant être remplacé est configuré.

Plusieurs règles de substitution doivent être séparées par un point-virgule (;). Dans ce cas, les substitutions configurées sont traitées de gauche à droite.

Si aucun caractère * n’est présent dans la variable de réponse ou la variable d’action, aucune substitution n’a lieu. Aucune distinction n’est faite entre les lettres minuscules et majuscules dans la configuration du projet.

Exemple :

  • Nom de la variable de réponse : abc_RV.
  • Variable de réponse configurée pour le groupe de commandes : *_RV
  • Variables supplémentaires sur le synoptique : xyz_lock, xy_Switch
  • Remplacement dans le synoptique configuré : xyz;xy
  • Variables existantes dans le projet : abc_lock et abc_Switch.
  • Résultat : Affichage des variables sur le synoptique : abc_lock et abc_Switch.

Remarque : actif uniquement si un synoptique de commande est attribué dans la propriété Synoptique.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

SubstiGroup


IDP_CMDPICTURE_CMDNAME

ID interne : IDP_CMDPICTURE_CMDNAME

Nom de l'action

Nom librement configurable de l’action de commande.

Pour le module Command Sequencer, ce nom peut être affiché dans le Runtime avec la saisie de commande, dans le champ Nom de l’action du groupe Informations.

Dans le module Command Sequencer, ce nom doit être utilisé pour l’étape. Pour cela, la propriété Nom d'étape dans la grille de la séquence de commandes du groupe de propriétés Séquenceur de commandes doit être configurée sur Nom de l’action.
Par défaut : Nom de l’action : DIR, valeur
Le nom d’action par défaut est ensuite restauré à nouveau si un nom d’action défini par l’utilisateur est supprimé.

  • DIR : Direction de l’action, indisponible pour les actions Verrouiller, Bloquer, Déverrouiller
  • Valeur : Valeur pour l’action. Disponible uniquement pour les actions Valeur prescrite directe ou Correction directe

Remarque : Si deux actions portent le même nom, une icône d’avertissement est affichée dans l’arborescence des commandes, même si les identifiants de menu sont différents. La macro $NAME$ peut être utilisée pour la configuration des menus et fournit le nom de l’action dont la langue peut également être changée dans le Runtime.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

CmdName


IDP_CMDSEQ_SKIP_ACTUAL

ID interne : IDP_CMDSEQ_SKIP_ACTUAL

Ignorer l'action lorsque la valeur prescrite et la valeur réelle sont identiques

Comportement d’une action si la valeur dans le module Command Sequencer est déjà en instance.

Cette propriété est uniquement disponible pour l’action de commande (commutation ou impulsion).

Si la propriété est activée et la valeur réelle correspond à la valeur prescrite attendue, l’action est ignorée dans le Runtime dans une séquence de commande.

Par défaut : Inactive

Une entrée de liste CEL correspondante est générée dans le Runtime si la propriété Supprimer l'entrée de la liste d'événements n’est pas activée.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

BypassOnActual


IDP_CMDSQ_IGNORE2STAGE

ID interne : IDP_CMDSQ_IGNORE2STAGE

Ignorer \"2-étapes\"

Comportement d’une action à deux étapes dans le module Command Sequencer.
Si la propriété est activée, les actions à deux étapes sont immédiatement exécutées dans le module Command Sequencer. L’exécution à deux étapes configurée pour la saisie de commande est ignorée durant le processus. Dans le module Command Sequencer, l’action est immédiatement exécutée sous forme d’étape de la séquence de commandes, sans ouvrir une fenêtre de commande.

Par défaut : Inactive

Indisponible si :

  • A deux étapes est désactivée
  • Le type d’action est une commande auto/à distance
  • Le type d’action est bloquer

Remarque : Si un verrouillage est configuré, il est néanmoins pris en compte durant l’exécution.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

Ignore2Stage


IDP_DEL_PIC_BACK_PATH_AT_LOGOUT

ID interne : IDP_DEL_PIC_BACK_PATH_AT_LOGOUT

Supprimer chemin vers "Synotique : Retour au précédent" lors de changement d'utilisateur

Paramètre de suppression automatique du chemin de la fonction de retour au synoptique précédent lors d’un changement d’utilisateur.

  • Active : Le chemin de retour au synoptique précédent est supprimé en cas de changement d’utilisateur.

Par défaut : Inactive

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

DelPicBackPathAtLogout


IDP_DISPLAYTYPE

ID interne : IDP_DISPLAYTYPE

Type d'affichage

Propriétés du type d’affichage dans l’élément.

Les types d’affichage suivants sont disponibles :

  • Bande : la valeur est affichée par le biais d’une barre, de la valeur minimale jusqu’à la valeur actuelle.
  • Arc de cercle : La valeur est affichée au moyen d’un cercle gradué, de la valeur minimum jusqu’à la valeur actuelle.
  • Pointeur : la valeur est indiquée par un indicateur.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

DisplayType


IDP_DYN_ELE_KBD

ID interne : IDP_DYN_ELE_KBD

Utiliser le synoptique clavier

Lors de la sélection de l’élément dans le Runtime, le clavier est affiché à l’écran.
Lors de la sélection d’un champ de saisie libre dans le Runtime, le synoptique de type Clavier DIALOGKBD est ouvert, le cas échéant.
Par défaut : active

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

KbdUsage


IDP_DYN_ELE_KBD_NAME

ID interne : IDP_DYN_ELE_KBD_NAME

Synoptique clavier

Disponible uniquement si la propriété Synoptique clavier est active.

Nom du synoptique de clavier lié.
Si aucun synoptique de clavier n’est saisi, le clavier correspondant est appelé dans le Runtime :

  • Variable String (chaîne) : SETSTRINGKBD
  • Variable numérique : SETVALUEKBD
  • Variable binaire : SETBOOLKBD

Remarque : Pour l’option Champ de saisie, aucun clavier n’est appelé si l’option Synoptique clavier est activée. Un synoptique de clavier doit être lié.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

KbdName


IDP_DYNELE_ALC_ALIAS

ID interne : IDP_DYNELE_ALC_ALIAS

Utiliser alias

Disponible uniquement si Couleur définie par CAL est active.
Active : un alias est utilisé. Dans le Runtime, l’élément reçoit ses couleurs CAL d’un autre élément du modèle topologique, même s’il ne fait pas partie du modèle.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

ALCAlias


IDP_DYNELE_ALC_ALIAS_NAME

ID interne : IDP_DYNELE_ALC_ALIAS_NAME

Alias

Disponible uniquement si la propriété Couleur définie par CAL est active.

Élément source défini pour la propriété Utiliser alias. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue et sélectionner un élément existant.
Remarque : Les alias ne peuvent pas être utilisés pour des symboles dans la bibliothèque générale de symboles ou la bibliothèque de symboles du projet.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

ALCAliasName


IDP_DYNELE_ALC_ALTCOL

ID interne : IDP_DYNELE_ALC_ALTCOL

Couleur alternative

Disponible uniquement si la propriété Affichage alimentation multiple possède la valeur Couleur de remplacement.

Couleur de remplacement pour la fonction CAL avec des alimentations multiples.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

ALCAlternativeColor


IDP_DYNELE_ALC_DASHLEN

ID interne : IDP_DYNELE_ALC_DASHLEN

Longueur de pointillé fournie plusieurs fois

Disponible uniquement si la propriété Affichage alimentation multiple possède la valeur Deux sources antérieures les plus élevées.

Définit la longueur en pixels du trait tireté associé à la fonction CAL avec une alimentation multiple.

Minimum : 0 (longueur des tirets automatique)

Maximum : 32767

Par défaut : 0

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

ALCDashLen


IDP_DYNELE_ALC_EXCHANGEINOUT

ID interne : IDP_DYNELE_ALC_EXCHANGEINOUT

Commuter entrée/sortie

Disponible uniquement si vous avez sélectionné Transformateur, Interrupteur, Vanne, Clapet antiretour ou Séparateur pour l’option Type de fonction.

Active : Déplace l’entrée de l’élément du module de coloration automatique des lignes vers la droite ou vers le bas et la sortie de l’élément vers la gauche ou vers le haut.

Par défaut : Inactive

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

ALCExchangeInOut


IDP_DYNELE_ALC_GROUNDFAULTTYPE

ID interne : IDP_DYNELE_ALC_GROUNDFAULTTYPE

Type

Disponible uniquement si vous avez sélectionné l’option Interrupteur pour la propriété Type de fonction.

Définit la direction (Devant/Derrière) et le type de traitement du message (Aucun, Message permanent ou Variable) :

Aucun : interrupteur normal

Message permanent : le message est considéré comme un déclenchement de défaut de terre.

Variable : les messages reçus durant une recherche de courant sont supprimés.

Retard : vous devez attendre 2 secondes avant le premier flanc montant d’une direction.

Avance : l’état actuel de la direction est utilisé.

Par défaut : Aucun

Plus de détails dans l’ aide en ligne .

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

ALCGroundFaultType


IDP_DYNELE_ALC_GROUNDFAULTVARDISP

ID interne : IDP_DYNELE_ALC_GROUNDFAULTVARDISP

Afficher

Disponible uniquement si un élément Type a été sélectionné.
Définit la variable de sortie de la détection d’erreur de manière à afficher l’état de l’équipement de détection de défaut de terre. La variable liée ici doit être une variable locale afin d’éviter tout problème de fonctionnement du réseau. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de variables.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

ALCGroundFaultVarDisp


IDP_DYNELE_ALC_GROUNDFAULTVARFWD

ID interne : IDP_DYNELE_ALC_GROUNDFAULTVARFWD

Avancer

Disponible uniquement si un élément Type a été sélectionné.
Définit la variable de détection de défaut de terre en avant. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de variables.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

ALCGroundFaultVarFwd


IDP_DYNELE_ALC_GROUNDFAULTVARREV

ID interne : IDP_DYNELE_ALC_GROUNDFAULTVARREV

Reculer

Disponible uniquement si un élément Type a été sélectionné.
Définit la variable de détection de défaut de terre en arrière. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de variables.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

ALCGroundFaultVarRev


IDP_DYNELE_ALC_GROUNDFAULTVARTRG

ID interne : IDP_DYNELE_ALC_GROUNDFAULTVARTRG

Déclenchement

Disponible uniquement si un élément Type a été sélectionné.
Définit la variable affichant la détection d’un défaut de terre. Pour les équipements utilisant une détection de défaut de terre directionnelle, la direction (Reculer ou Avancer) doit également être définie. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de variables.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

ALCGroundFaultVarTrg


IDP_DYNELE_ALC_LINELENGTH

ID interne : IDP_DYNELE_ALC_LINELENGTH

Longueur de la ligne [km]

Ligne CAL : longueur de la ligne.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

ALCLength


IDP_DYNELE_ALC_LINEREACT

ID interne : IDP_DYNELE_ALC_LINEREACT

Valeur de réactance du câble [Ohm]

Valeur maximale de réactance autorisée de la ligne, en ohms.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

ALCReact


IDP_DYNELE_ALC_LINERESIST

ID interne : IDP_DYNELE_ALC_LINERESIST

Valeur de la résistance de la ligne électrique [Ohm]

Valeur maximale de résistance autorisée de la ligne, en ohms.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

ALCResist


IDP_DYNELE_ALC_LOADTYPE

ID interne : IDP_DYNELE_ALC_LOADTYPE

Charge

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

ALCLoadType


IDP_DYNELE_ALC_LOADVAL

ID interne : IDP_DYNELE_ALC_LOADVAL

Charge fixe [A]

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

ALCLoadVal


IDP_DYNELE_ALC_MAXITYPE

ID interne : IDP_DYNELE_ALC_MAXITYPE

Limite de la capacité de transport de courant

Commutation CAL : valeur limite de la capacité actuelle (sélection fixe/variable).

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

ALCMaxIType


IDP_DYNELE_ALC_MAXIVAL

ID interne : IDP_DYNELE_ALC_MAXIVAL

Limite fixe de la capacité de transport de courant [A]

Commutation CAL : Capacité de transport de courant définie par une valeur limite.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

ALCMaxIVal


IDP_DYNELE_ALC_PROTID

ID interne : IDP_DYNELE_ALC_PROTID

Schutzgerät-ID

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

ALCProtID


IDP_DYNELE_ALC_REVSRC

ID interne : IDP_DYNELE_ALC_REVSRC

Source pour alimentation inverse

Uniquement disponible si vous avez sélectionné l’option Transformateur pour la propriété Type de fonction.

Sélection des transformateurs liés.

Si vous sélectionnez une autre source comme UNDEFINED [0], le transformateur peut assurer une production réversible. Cela signifie que le transformateur se comporte de la même manière dans les deux directions : de l’entrée vers la sortie (en avant), mais également de la sortie vers l’entrée (en arrière). La seule différence est que la propriété Source pour alimentation inverse est utilisée pour la distribution ultérieure du numéro de source, et non la propriété Source.

Remarque : Les états de réseau défaillants ou les configurations manquantes, tels qu’un signal provenant de l’entrée et de la sortie en même temps ou qu’un court-circuit à l’entrée et à la sortie, ne sont pas colorés de manière particulière. Cela signifie que le transformateur capable d’assurer une production réversible se comporte comme deux transformateurs commutés de manière antiparallèle, qui ne sont pas capables d’assurer une production réversible.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

ALCReverseSourceID


IDP_DYNELE_ALC_SHORTFAULTMARKERCOLOR

ID interne : IDP_DYNELE_ALC_SHORTFAULTMARKERCOLOR

Couleur du marqueur

Couleur du marqueur représentant l’emplacement d’un problème sur un synoptique de zenon pendant la localisation de défauts basée sur l’impédance.

Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection des couleurs.

La configuration de projet suivante doit être définie pour utiliser cette propriété :

  • Type de fonction : Commutation
  • Valeur de réactance de la protection : cette propriété doit être liée à une variable du type de données REAL.

Remarque : Disponible uniquement si la propriété de projet Localisation de défaut basée sur l'impédance est active.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

ALCShortFaultMarkerColor


IDP_DYNELE_ALC_SHORTFAULTTYPE

ID interne : IDP_DYNELE_ALC_SHORTFAULTTYPE

Type

Disponible uniquement si vous avez sélectionné l’option Interrupteur pour la propriété Type de fonction.

Définit le traitement du message (Aucun ou Message permanent et sa direction (Devant/Derrière).

Aucun : interrupteur normal

Message permanent : le message est considéré comme un déclenchement de défaut de terre.

Retard : vous devez attendre le premier flanc montant d’une direction.

Avance : l’état actuel de la direction est utilisé.

Par défaut : Aucun

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

ALCShortFaultType


IDP_DYNELE_ALC_SHORTFAULTVARDISP

ID interne : IDP_DYNELE_ALC_SHORTFAULTVARDISP

Afficher

Disponible uniquement si un élément Type a été sélectionné.

Définit la variable de sortie de la détection d’erreur de manière à afficher l’état de l’équipement de détection de court-circuit. La variable liée ici doit être une variable locale afin d’éviter tout problème de fonctionnement du réseau. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de variables.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

ALCShortFaultVarDisp


IDP_DYNELE_ALC_SHORTFAULTVARFWD

ID interne : IDP_DYNELE_ALC_SHORTFAULTVARFWD

Avancer

Disponible uniquement si un élément Type a été sélectionné.
Définit la variable de détection de court-circuit en avant. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de variables.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

ALCShortFaultVarFwd


IDP_DYNELE_ALC_SHORTFAULTVARREV

ID interne : IDP_DYNELE_ALC_SHORTFAULTVARREV

Reculer

Disponible uniquement si un élément Type a été sélectionné.
Définit la variable de détection de court-circuit en arrière. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de variables.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

ALCShortFaultVarRev


IDP_DYNELE_ALC_SHORTFAULTVARTRG

ID interne : IDP_DYNELE_ALC_SHORTFAULTVARTRG

Déclenchement

Disponible uniquement si un élément Type a été sélectionné.

Définit la variable du message de l’équipement de détection de court-circuit. Pour les équipements utilisant une détection de court-circuit directionnelle, la direction (Avancer ou Reculer) doit également être définie. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de variables.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

ALCShortFaultVarTrg


IDP_DYNELE_ALC_VARCALCI

ID interne : IDP_DYNELE_ALC_VARCALCI

Valeur de la mesure du flux de courant calculé

Ligne CAL : Valeur de la mesure du flux de courant calculé.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

ALCVarCalcI


IDP_DYNELE_ALC_VARCURI

ID interne : IDP_DYNELE_ALC_VARCURI

Valeur mesurée du courant pour le flux actuel

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

ALCVarCurI


IDP_DYNELE_ALC_VARCURP

ID interne : IDP_DYNELE_ALC_VARCURP

Valeur mesurée de la puissance apparente actuelle

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

ALCVarCurP


IDP_DYNELE_ALC_VARLOAD

ID interne : IDP_DYNELE_ALC_VARLOAD

Variable Charge

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

ALCVarLoad


IDP_DYNELE_ALC_VARMAXI

ID interne : IDP_DYNELE_ALC_VARMAXI

Valeur limite dynamique pour la capacité de transport de courant

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

ALCVarMaxI


IDP_DYNELE_ALC_VARPROTREACT

ID interne : IDP_DYNELE_ALC_VARPROTREACT

Valeur de réactance de la protection

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

ALCVarProtReact


IDP_DYNELE_LIMITCOLOR_ACTIVE

ID interne : IDP_DYNELE_LIMITCOLOR_ACTIVE

Utiliser la couleur de la limite

Définit si la couleur de valeur limite pour la variable liée à l’élément est affichée dans le Runtime.
La couleur a un effet sur le texte affiché ou sur le curseur d’une réglette universelle.

  • Active : La couleur de valeur limite définie est affichée dans le Runtime.

Par défaut : active

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

LimitColor


IDP_DYNTEXT_PROPERTIES_GRP

ID interne : IDP_DYNTEXT_PROPERTIES_GRP

Propriétés pour l'élément Texte Dynamique

Description as text.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être adressée comme suit pour l’API zenon (avec nom de la classe) :

DynTextProperties


IDP_ELE_POS_START_ANGLE

ID interne : IDP_ELE_POS_START_ANGLE

Angle de rotation [°]

Angle libre autour selon lequel doit pivoter l’élément.
Les valeurs positives correspondent à une rotation dans le sens antihoraire, tandis que les valeurs négatives correspondent à une rotation dans le sens horaire. Les valeurs supérieures à 360° sont affichées sous forme d’écart par rapport à 360° (400° correspond à 40°). Seuls les nombres entiers sont autorisés.

Sur les éléments pivotés, les actions suivantes ne sont plus possibles :

  • Miroir
  • Rotation de +/- 90°
  • Redimensionnement à l’aide des touches fléchées

Par défaut : 0

Remarque : Ce paramètre est activé et réinitialisé lors de la configuration pour Windows CE.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

Angle


IDP_ELE_PROP_GRP_BARFILLING

ID interne : IDP_ELE_PROP_GRP_BARFILLING

Barre de remplissage

Propriétés de remplissage de la barre.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être adressée comme suit pour l’API zenon (avec nom de la classe) :

BarFilling


IDP_ELE_PROP_GRP_TIMEPRESENTATION

ID interne : IDP_ELE_PROP_GRP_TIMEPRESENTATION

Représentation du temps

Propriétés d’affichage de l’heure.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être adressée comme suit pour l’API zenon (avec nom de la classe) :

TimePresentation


IDP_ELE_PROP_GRP_VALUE

ID interne : IDP_ELE_PROP_GRP_VALUE

Valeur

Propriétés d’affichage de la valeur.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être adressée comme suit pour l’API zenon (avec nom de la classe) :

Value


IDP_ELE_PROP_GRP_VALUEPRESENTATION

ID interne : IDP_ELE_PROP_GRP_VALUEPRESENTATION

Affichage de la valeur

Propriétés d’affichage des valeurs dans l’élément.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être adressée comme suit pour l’API zenon (avec nom de la classe) :

ValuePresentation


IDP_ELE_TEXT_HIDDEN_INPUT

ID interne : IDP_ELE_TEXT_HIDDEN_INPUT

Saisie masquée

Activation de la saisie masquée de texte.

  • Active : Le texte de l’élément est affiché comme masqué dans le Runtime.
    Pour cela, le champ est rempli huit fois avec le caractère sélectionné dans la propriété Caractère de masquage.
    Caractère par défaut : *

Par défaut : Inactive

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

HiddenInput


IDP_ELE_TEXT_MASKING_LETTER

ID interne : IDP_ELE_TEXT_MASKING_LETTER

Caractère de masquage

Sélection du caractère utilisé pour masquer le texte dans le Runtime.
Disponible uniquement si la propriété Saisie masquée est active.

  • Un seul caractère peut être saisi.
  • Le champ ne doit pas être vide.
  • Si un espace est saisi, le champ est affiché comme vide dans le Runtime.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

MaskingLetter


IDP_ELE_VAR_LOCKING

ID interne : IDP_ELE_VAR_LOCKING

Verrouillage

Lien vers un verrouillage existant avec cet élément.

Si une condition dans une des formules du verrouillage est vraie, cet élément est verrouillé de manière à ce qu’aucun fonctionnement ne soit possible. Si cela a été défini dans les propriétés du projet, un symbole représentant un verrou est affiché aussi longtemps que le verrouillage est actif.

Remarque : Les verrouillages ne peuvent pas être utilisés pour des symboles dans la bibliothèque générale de symboles ou la bibliothèque de symboles du projet.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

Locking


IDP_ELE_VISIBILITY_INTERLOCKINGS

ID interne : IDP_ELE_VISIBILITY_INTERLOCKINGS

Verrouillage

Disponible uniquement si l’option Depuis le verrouillage est sélectionnée pour la propriété Visibilité.

Nom du verrouillage dont la valeur contrôle la visibilité de l’élément. Sélectionnez dans la liste déroulante. Celle-ci contient tous les verrouillages existants et utilisables. L’élément est toujours visible si aucun verrouillage n’est lié.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être adressée comme suit pour l’API zenon (avec nom de la classe) :

Interlocking


IDP_ELE_VISIBILITY_TYPE

ID interne : IDP_ELE_VISIBILITY_TYPE

Visibilité

Sélection depuis laquelle la visibilité d’un élément est déterminée :

  • Depuis une variable
  • Du verrrouillage

Par défaut : Depuis une variable

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

VisibilityType


IDP_ELE_VISIBILITY_WHEN_INTERLOCKED

ID interne : IDP_ELE_VISIBILITY_WHEN_INTERLOCKED

Visible si verrouillé

Contrôle la visibilité de l’élément lorsque le verrouillage est sélectionné :

  • Active : L’élément est visible s’il est verrouillé.
  • Inactive : L’élément est visible s’il n’est pas verrouillé.

Par défaut : inactive

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

VisibleWhenInterlocked


IDP_ELEDYN_MT_RIGHTCLICKACTION

ID interne : IDP_ELEDYN_MT_RIGHTCLICKACTION

RightClickMTAction

Description sous forme de texte.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

RightClickMTAction


IDP_ELEMENTFRAME_GRP

ID interne : IDP_ELEMENTFRAME_GRP

Cadre élément

Propriétés des bordures de l’élément.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être adressée comme suit pour l’API zenon (avec nom de la classe) :

ElementFrame


IDP_EVERY_WHERE_ACCESS_LEVEL

ID interne : IDP_EVERY_WHERE_ACCESS_LEVEL

Niveau d'autorisation

Liste déroulante de sélection des niveaux d’autorisation pouvant accéder à Everywhere Server.

Par défaut : 0 (= accès illimité)
Niveaux d’autorisation disponibles : 0 - 127

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

EveryWhereAccessLevel


IDP_EVERY_WHERE_NODE

ID interne : IDP_EVERY_WHERE_NODE

Serveur Everywhere

Propriétés de Everywhere Server by zenon.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être adressée comme suit pour l’API zenon (avec nom de la classe) :

EveryWhereSettings


IDP_EXTERNALREF_WRITEABLE

ID interne : IDP_EXTERNALREF_WRITEABLE

Référence externe éditable

Définit si la Référence externe peut être modifiée depuis l’interface utilisateur d’Editor.

Active : modification possible depuis l’interface utilisateur d’Editor.

Inactive : modification possible uniquement depuis l’API de zenon.

Par défaut : Inactive

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

ExternalReferenceWriteable


IDP_FILLINGSTYLE

ID interne : IDP_FILLINGSTYLE

Style de remplissage

Affichage et sélection du style de remplissage attribué à l’élément.

Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de style.
Si plusieurs éléments ont été sélectionnés, ils peuvent être attribués à un style commun.

Remarque : Seules les propriétés compatibles avec l’élément correspondant sont prises en charge.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

FillStyle


IDP_FILLINGSTYLE2

ID interne : IDP_FILLINGSTYLE2

Style de remplissage

Affichage et sélection du style de remplissage attribué à l’élément.

Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de style.
Si plusieurs éléments ont été sélectionnés, ils peuvent être attribués à un style commun.

Remarque : Seules les propriétés compatibles avec l’élément correspondant sont prises en charge.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

BarFillStyle


IDP_FILLINGSTYLE2_GRAPHICS

ID interne : IDP_FILLINGSTYLE2_GRAPHICS

Style de remplissage pour le graphique si pressé/activé

Description sous forme de texte.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

GraphicsFillStyle


IDP_FILLINGSTYLE2_POINTER

ID interne : IDP_FILLINGSTYLE2_POINTER

Style de remplissage pour le pointer

Affichage et sélection du style de remplissage de l’indicateur attribué à l’élément.

Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de style.
Si plusieurs éléments ont été sélectionnés, ils peuvent être attribués à un style commun.

Remarque : Seules les propriétés compatibles avec l’élément correspondant sont prises en charge.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

FillStyle4Pointer


IDP_FILLINGSTYLE2_SELECTION

ID interne : IDP_FILLINGSTYLE2_SELECTION

Style de remplissage sur la sélection

Affichage et sélection du style de remplissage attribué à l’élément pendant la sélection.

Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de style.
Si plusieurs éléments ont été sélectionnés, ils peuvent être attribués à un style commun.

Remarque : Seules les propriétés compatibles avec l’élément correspondant sont prises en charge.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

FillStyleForSelected


IDP_FRAME_AUFSCHALTGROESSE_TYP

ID interne : IDP_FRAME_AUFSCHALTGROESSE_TYP

Taille ouverture

Définit la taille à laquelle un synoptique défini sur la base de ce cadre est appelé dans le Runtime.

  • Taille du cadre. Taille du cadre, définie dans Largeur (maximum) [pixels] et Hauteur (maximum) [pixels].
    Si une valeur différente est sélectionnée, la taille dans le Runtime est représentée par une ligne en pointillés dans la fenêtre du cadre.
  • Largeur [px]. Largeur définie dans Valeur (Taille ouverture) ; la hauteur est modifiée en conséquence.
  • Hauteur [px]. Hauteur définie dans Valeur (Taille ouverture) ; la largeur est modifiée en conséquence.
  • Relative [%]. La taille définie dans Largeur (maximum) [pixels] et Hauteur (maximum) [pixels] est modifiée conformément à la valeur de pourcentage définie dans Valeur (Taille ouverture).

Les valeurs correspondantes sont définies avec la propriété Valeur (Taille ouverture).

Par défaut : Taille du cadre

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

OpeningSizeType


IDP_FRAME_AUFSCHALTGROESSE_WERT

ID interne : IDP_FRAME_AUFSCHALTGROESSE_WERT

Valeur (Taille ouverture)

Valeur du paramètre de taille lorsqu’il est appelé dans le Runtime, via la propriété Taille ouverture.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être adressée comme suit pour l’API zenon (avec nom de la classe) :

OpeningSizeValue


IDP_FRAME_BEGRENZUNG_TYP

ID interne : IDP_FRAME_BEGRENZUNG_TYP

Limitation Minimum

Type de limite pour la valeur minimum :

  • Sans : Pas de restriction.
    Si une valeur différente est sélectionnée, la valeur limite sélectionnée dans le Runtime est représentée par une ligne en pointillés dans la fenêtre du cadre.
  • Largeur : limite de largeur.
  • Hauteur. limite de hauteur.
  • Relatif : Limitation selon une valeur pourcentage de la taille de synoptique définie.

Agit uniquement sur les gestes MultiTouch. Les valeurs correspondantes sont définies avec la propriété Valeur (minimum).

Par défaut : Sans

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

MinSizeType


IDP_FRAME_BEGRENZUNG_WERT

ID interne : IDP_FRAME_BEGRENZUNG_WERT

Valeur (minimum)

Valeur du paramètre sélectionné dans la propriété.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être adressée comme suit pour l’API zenon (avec nom de la classe) :

MinSizeValue


IDP_FRAME_HEIGHTMAX

ID interne : IDP_FRAME_HEIGHTMAX

Höhe(Maximum) [Pixel]

Hauteur maximum d’un cadre dont la taille peut être modifiée dans le Runtime. Indisponible pour les projets CE.

Valeurs autorisées :

  • Minimum : Valeur issue de Hauteur (maximum) [pixels].
  • Maximum : 4294967295 (DWORD)

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

PosHeightMax


IDP_FRAME_HEIGHTMIN

ID interne : IDP_FRAME_HEIGHTMIN

Höhe(Minimum) [Pixel]

Hauteur minimum d’un cadre dont la taille peut être modifiée dans le Runtime. Indisponible pour les projets CE.

Valeurs autorisées :

  • Minimum : 0
  • Maximum : Valeur pour Taille ouverture.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

PosHeightMin


IDP_FRAME_WIDTHMAX

ID interne : IDP_FRAME_WIDTHMAX

Breite(Maximum) [Pixel]

Largeur maximum d’un cadre dont la taille peut être modifiée dans le Runtime. Indisponible pour les projets CE.

Valeurs autorisées :

  • Minimum : Valeur issue de Largeur (maximum) [pixels].
  • Maximum : 4294967295 (DWORD)

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

PosWidthMax


IDP_FRAME_WIDTHMIN

ID interne : IDP_FRAME_WIDTHMIN

Breite(Minimum) [Pixel]

Largeur minimum d’un cadre dont la taille peut être modifiée dans le Runtime. Indisponible pour les projets CE.

Valeurs autorisées :

  • Minimum : 0
  • Maximum : Valeur issue de Taille ouverture.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

PosWidthMin


IDP_FRAMESTYLE

ID interne : IDP_FRAMESTYLE

Style de bordure d'élément

Affichage et sélection du style d’élément attribué à l’élément.

Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de style.
Si plusieurs éléments ont été sélectionnés, ils peuvent être attribués à un style commun.

Remarque : Seules les propriétés compatibles avec l’élément correspondant sont prises en charge.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

FrameStyle


IDP_GESTUREDOUBLETAP_FUNCTION

ID interne : IDP_GESTUREDOUBLETAP_FUNCTION

Fonction

Sélection d’une fonction configurée dans zenon en réaction au geste "double appui". Les fonctions spécifiques au synoptique ne peuvent pas être utilisées.
Disponible uniquement si la variable Exécuter une fonction personnalisée a été sélectionnée pour la propriété Réaction.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

GestureDoubleTapFunction


IDP_GESTUREDOUBLETAP_GROUP

ID interne : IDP_GESTUREDOUBLETAP_GROUP

Double appui

Propriétés pour le comportement du geste "double appui" dans le Runtime.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

GestureDoubleTapGroup


IDP_GESTUREDOUBLETAP_REACTION

ID interne : IDP_GESTUREDOUBLETAP_REACTION

Réaction

Sélection de la réaction au geste "double appui" dans la liste déroulante.
Les réactions disponibles dépendent du type de synoptique et de l’élément de synoptique.

Lorsque la variable Exécuter une fonction personnalisée est sélectionnée, cette fonction doit être définie dans la propriété Fonction.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

GestureDoubleTapReaction


IDP_GESTUREMANIPULATION_GROUP

ID interne : IDP_GESTUREMANIPULATION_GROUP

Manipulation

Propriétés pour la manipulation de synoptiques et d’éléments de synoptique dans le cadre d’une utilisation tactile.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

GestureManipulationGroup


IDP_GESTUREMANIPULATION_X

ID interne : IDP_GESTUREMANIPULATION_X

Déplacer horizontalement

Définition de la réaction à un geste de déplacement horizontal. La réaction configurable dépend du synoptique et/ou de l’élément de synoptique devant être configuré.

Interaction : La propriété Déplacer le gabarit avec la souris ne peut pas être activée en même temps que les propriétés Déplacer horizontalement et Déplacer verticalement. Le déplacement d’un cadre avec la souris ou le déplacement horizontal/vertical à l’aide de commandes tactiles peuvent tous deux être activés.

Tenez compte de ce cas de figure spécial : Dans le scénario suivant, les deux propriétés sont définies et restent ensuite non configurables :

  • La propriété Déplacer horizontalement ou Déplacer verticalement est activée.
  • La propriété de projet Reconnaissance pour Intéraction est définie sur Windows 7 ou Désactivé.
  • La propriété Déplacer le gabarit avec la souris est activée.
  • La propriété Reconnaissance est à nouveau définie sur Windows 8.

Solution :

  • Redéfinissez la propriété Reconnaissance sur Windows 7 ou Désactivé.
  • Désactivez la propriété Déplacer le gabarit avec la souris.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

GestureManipulationX


IDP_GESTUREMANIPULATION_X_Y_IN_ONE

ID interne : IDP_GESTUREMANIPULATION_X_Y_IN_ONE

Déplacer

Définition de la réaction à différents gestes. La réaction configurable dépend du synoptique et/ou de l’élément de synoptique devant être configuré.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

GestureManipulationXY


IDP_GESTUREMANIPULATION_Y

ID interne : IDP_GESTUREMANIPULATION_Y

Déplacer verticalement

Définition de la réaction à un geste de déplacement vertical. La réaction configurable dépend du synoptique et/ou de l’élément de synoptique devant être configuré.

Interaction : La propriété Déplacer le gabarit avec la souris ne peut pas être activée en même temps que les propriétés Déplacer horizontalement et Déplacer verticalement. Le déplacement d’un cadre avec la souris ou le déplacement horizontal/vertical à l’aide de commandes tactiles peuvent tous deux être activés.

Tenez compte de ce cas de figure spécial : Dans le scénario suivant, les deux propriétés sont définies et restent ensuite non configurables :

  • La propriété Déplacer horizontalement ou Déplacer verticalement est activée.
  • La propriété de projet Reconnaissance pour Intéraction est définie sur Windows 7 ou Désactivé.
  • La propriété Déplacer le gabarit avec la souris est activée.
  • La propriété Reconnaissance est à nouveau définie sur Windows 8.

Solution :

  • Redéfinissez la propriété Reconnaissance sur Windows 7 ou Désactivé.
  • Désactivez la propriété Déplacer le gabarit avec la souris.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

GestureManipulationY


IDP_GESTUREMANIPULATION_ZOOM

ID interne : IDP_GESTUREMANIPULATION_ZOOM

Zoom

Définition de la réaction aux gestes de zoom. La réaction configurable dépend du synoptique et/ou de l’élément de synoptique devant être configuré.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

GestureManipulationZoom


IDP_GESTURETAP_FUNCTION

ID interne : IDP_GESTURETAP_FUNCTION

Fonction

Sélection d’une fonction configurée dans zenon en réaction au geste "appui". Les fonctions spécifiques au synoptique ne peuvent pas être utilisées.
Disponible uniquement si la variable Exécuter une fonction personnalisée a été sélectionnée pour la propriété Réaction.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

GestureTapFunction


IDP_GESTURETAP_GROUP

ID interne : IDP_GESTURETAP_GROUP

Appuyer

Propriétés pour le comportement du geste "appui" dans le Runtime.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

GestureTapGroup


IDP_GESTURETAP_REACTION

ID interne : IDP_GESTURETAP_REACTION

Réaction

Sélection de la réaction au gestion appui dans la liste déroulante.
Les réactions disponibles dépendent du type de synoptique et de l’élément de synoptique.

Lorsque la variable Exécuter une fonction personnalisée est sélectionnée, cette fonction doit être définie dans la propriété Fonction.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

GestureTapReaction


IDP_GESTURETAPANDHOLD_FUNCTION

ID interne : IDP_GESTURETAPANDHOLD_FUNCTION

Fonction

Sélection d’une fonction configurée dans zenon en réaction au geste "appui long". Les fonctions spécifiques au synoptique ne peuvent pas être utilisées.
Disponible uniquement si la variable Exécuter une fonction personnalisée a été sélectionnée pour la propriété Réaction.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

GestureTapAndHoldFunction


IDP_GESTURETAPANDHOLD_GROUP

ID interne : IDP_GESTURETAPANDHOLD_GROUP

Appuyer et maintenir

Propriétés pour le comportement du geste "appui long" dans le Runtime.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

GestureTapAndHoldGroup


IDP_GESTURETAPANDHOLD_REACTION

ID interne : IDP_GESTURETAPANDHOLD_REACTION

Réaction

Sélection de la réaction au gestion appui long dans la liste déroulante.
Les réactions disponibles dépendent du type de synoptique et de l’élément de synoptique.

Lorsque la variable Exécuter une fonction personnalisée est sélectionnée, cette fonction doit être définie dans la propriété Fonction.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

GestureTapAndHoldReaction


IDP_GFXRT_ROWHEIGHT

ID interne : IDP_GFXRT_ROWHEIGHT

Hauteur de ligne [pixel]

Permet de définir la hauteur des lignes en pixels, indépendamment de la taille de la police.

Valeur maximale : 255 px
Valeur minimum : 0 pixel (la hauteur des lignes est adaptée à la taille de la police).

Par défaut : 0

Attention : si la hauteur de ligne

  • sélectionnée est trop élevée, dans certaines circonstances, aucune information ne sera affichée dans le Runtime.
  • sélectionnée est inférieure à la taille de la police, les éléments graphiques seront tronqués.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

RowHeight


IDP_GFXRT_SHOW_BOOL_AS_NUMBER

ID interne : IDP_GFXRT_SHOW_BOOL_AS_NUMBER

Affichage numérique

Active : Les valeurs binaires sont affichées numériquement dans le Runtime. Si l’élément de liste l’autorise, les valeurs binaires peuvent également être saisies numériquement.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

ShowBoolAsNumber


IDP_GFXRT_WORDWRAP

ID interne : IDP_GFXRT_WORDWRAP

Retour à la ligne automatique

Permet l’affichage de textes sur plusieurs lignes si la largeur de la colonne est insuffisante pour afficher correctement le texte. La hauteur des lignes est alors modifiée en conséquence.

  • Active :
    si la largeur de la colonne est insuffisante, un saut de ligne est inséré et la hauteur des lignes est augmentée.
  • Inactive :
    aucun retour à la ligne n’est effectué ; le texte est affiché sur une ligne.

Information : un retour à la ligne est uniquement effectué si le texte comporte des espaces vides devant être affichés (espaces, tabulations ou autres) ou si un saut de ligne est inséré manuellement, avec les caractères \n. Aucun saut de ligne n’est inséré pour les textes continus.

Par défaut : Inactive

Plus de détails dans l’aide en ligne de la liste d’alarmes

Plus de détails dans l’aide en ligne de la liste d’événements

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

WordWrap


IDP_GLOWEFFECTSTYLE

ID interne : IDP_GLOWEFFECTSTYLE

Style effet de rayonnement

Affichage et sélection du style des effets de luminescence attribués à l’élément.

Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de style.
Si plusieurs éléments ont été sélectionnés, ils peuvent être attribués à un style commun.

Remarque : Seules les propriétés compatibles avec l’élément correspondant sont prises en charge.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

GlowEffectStyle


IDP_GRAPHICSFILE_GRP

ID interne : IDP_GRAPHICSFILE_GRP

Fichier graphique

Propriétés du fichier graphique affiché pour l’élément.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être adressée comme suit pour l’API zenon (avec nom de la classe) :

GraphicsFile


IDP_GROUP_SYS_AUTHORIZATION

ID interne : IDP_GROUP_SYS_AUTHORIZATION

Autorisation d'accès

Propriétés générales des autorisations d’utilisation par modèle d’équipement.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être adressée comme suit pour l’API zenon (avec nom de la classe) :

GRP_Authorization


IDP_GRP_FCNMANAGER

ID interne : IDP_GRP_FCNMANAGER

Fonctions

Propriétés de la gestion de fonctions.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

GRP_FuncManager


IDP_GRP_GAUGE_PRESENTATION

ID interne : IDP_GRP_GAUGE_PRESENTATION

Affichage des instruments

Propriétés d’affichage de l’instrument.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être adressée comme suit pour l’API zenon (avec nom de la classe) :

GaugePresentation


IDP_GRP_HDDMANAGER

ID interne : IDP_GRP_HDDMANAGER

Stockage données disque dur

Propriétés de la gestion de données de disque dur.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

GRP_HDD


IDP_GRP_POINTER_BAR_REPRESENTATION

ID interne : IDP_GRP_POINTER_BAR_REPRESENTATION

Présentation Pointeur/barre

Propriétés de l’affichage indicateur/barre.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être adressée comme suit pour l’API zenon (avec nom de la classe) :

BarRepresentation


IDP_GRP_RGMKEYBOARDS

ID interne : IDP_GRP_RGMKEYBOARDS

Claviers

Sélection d’un clavier pour les entrées de la table de valeurs de recette dans le Runtime. Les synoptiques de type clavier peuvent être liés pour :

  • Binary inputs
  • Saisie de valeurs numériques
  • Saisie de valeurs chaîne

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être adressée comme suit pour l’API zenon (avec nom de la classe) :

GRP_RGM_KEYBOARDS


IDP_GRP_RGMSETTING

ID interne : IDP_GRP_RGMSETTING

Recipe Group Manager

Options des paramètres généraux du module Recipe Group Manager.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

GRP_RGM


IDP_GRP_RT_BATCHPREF

ID interne : IDP_GRP_RT_BATCHPREF

Définition licence du module en runtime

Propriétés du comportement du Runtime lorsque plusieurs modules comportent des licences.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être adressée comme suit pour l’API zenon (avec nom de la classe) :

GRP_BatchPreferred


IDP_GRP_RTDIALOGES

ID interne : IDP_GRP_RTDIALOGES

Messages runtime pour

Propriétés des messages dans le Runtime.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

GRP_RTMessageBoxes


IDP_GRP_UNIVERSALSLIDER_REPRESENTATION

ID interne : IDP_GRP_UNIVERSALSLIDER_REPRESENTATION

Réglette universelle

Propriétés d’affichage de la réglette universelle.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être adressée comme suit pour l’API zenon (avec nom de la classe) :

UniversalsliderPresentation


IDP_HDD_ACTIVE

ID interne : IDP_HDD_ACTIVE

Données disque dur (HDD) actives

  • Active : Les données de disque dur (HDD) sont enregistrées.
  • Inactive : Les données de disque dur (HDD) ne sont pas enregistrées.

Par défaut : active

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

Active


IDP_HDD_FILLDATA

ID interne : IDP_HDD_FILLDATA

Stockage (buffer) des données

  • Active : un nombre fixe de variables internes du système est stocké en mémoire et enregistré dans le bloc.
  • Inactive : chaque fois qu’une valeur arrive, elle est enregistrée.

Par défaut : active.

Calcul : chaque kème durée de cycle est enregistrée. k est le plus grand diviseur entier des valeurs HD devant être enregistrées, et dont la valeur est inférieure à 84.
Exemple : nombre de valeurs 300 -> effectue un enregistrement toutes les 75 valeurs.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

FillData


IDP_HORIZONTAL_ALIGN2

ID interne : IDP_HORIZONTAL_ALIGN2

Alignement horizontal

Orientation horizontale du titre pour l’affichage.
Sélection dans une liste déroulante :

  • À gauche
  • À droite
  • Centré

Par défaut : Centré.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

TitleHorizontalAlign


IDP_LINESTYLE

ID interne : IDP_LINESTYLE

Style de ligne

Affichage et sélection du style de ligne attribué à l’élément.

Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de style.
Si plusieurs éléments ont été sélectionnés, ils peuvent être attribués à un style commun.

Remarque : Seules les propriétés compatibles avec l’élément correspondant sont prises en charge.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

LineStyle


IDP_LIST_BACKCOLOR_SELECT_FOCUS

ID interne : IDP_LIST_BACKCOLOR_SELECT_FOCUS

Couleur de fond avec le focus

Couleur d’arrière-plan d’une entrée de liste si le focus se trouve sur l’élément. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de couleurs ou de palettes de couleurs. La saisie peut également être effectuée directement dans le champ, sous forme de valeur hexadécimale précédée de #.

Par défaut : Valeur du système d’exploitation.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

BackColorSelectFocus


IDP_LIST_BACKCOLOR_SELECT_NOFOCUS

ID interne : IDP_LIST_BACKCOLOR_SELECT_NOFOCUS

Couleur de fond sans le focus

Couleur d’arrière-plan d’une entrée de liste si le focus ne se trouve pas sur l’élément. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de couleurs ou de palettes de couleurs. La saisie peut également être effectuée directement dans le champ, sous forme de valeur hexadécimale précédée de #.

Par défaut : Valeur du système d’exploitation.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

BackColorSelectNoFocus


IDP_LIST_TEXTCOLOR_SELECT_FOCUS

ID interne : IDP_LIST_TEXTCOLOR_SELECT_FOCUS

Couleur du texte avec le focus

Couleur du texte d’une entrée de liste si le focus se trouve sur l’élément. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de couleurs ou de palettes de couleurs. La saisie peut également être effectuée directement dans le champ, sous forme de valeur hexadécimale précédée de #.

Par défaut : Valeur du système d’exploitation.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

TextColorSelectFocus


IDP_LIST_TEXTCOLOR_SELECT_NOFOCUS

ID interne : IDP_LIST_TEXTCOLOR_SELECT_NOFOCUS

Couleur de texte sans le focus

Couleur du texte d’une entrée de liste si le focus ne se trouve pas sur l’élément. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de couleurs ou de palettes de couleurs. La saisie peut également être effectuée directement dans le champ, sous forme de valeur hexadécimale précédée de #.

Par défaut : Valeur du système d’exploitation.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

TextColorSelectNoFocus


IDP_LOCKED_BUTTONS

ID interne : IDP_LOCKED_BUTTONS

Boutons verrouillés

Définit, dans le Runtime, l’apparence des boutons verrouillés par un verrouillage. Dans le Runtime, cet élément est associé à la propriété Boutons protégés (gestion d’utilisateurs) pour autoriser l’utilisation des touches.

Formats possibles :

  • Gris
  • Normal
  • Invisible

Par défaut : Normal

Cette propriété agit indépendamment de la propriété Identification graphique active. Un bouton grisé peut, par exemple, également afficher un symbole de cadenas.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

LockedButtonStyle


IDP_MENU_SEP_COLOR

ID interne : IDP_MENU_SEP_COLOR

Couleur

Détermine la couleur de remplissage du séparateur. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de couleurs ou de palettes de couleurs. La saisie peut également être effectuée directement dans le champ, sous forme de valeur hexadécimale précédée de #.

Par défaut : noir

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

SeparatorColor


IDP_MENU_SEP_GROUP

ID interne : IDP_MENU_SEP_GROUP

Séparateur

Paramètres généraux des séparateurs dans un menu.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

GRP_Separator


IDP_MENU_SEP_WIDTH

ID interne : IDP_MENU_SEP_WIDTH

Epaisseur

Définit la largeur du séparateur, en pixels.

Par défaut : 0

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

SeparatorWidth


IDP_MODUL_KBD_LAYOUT

ID interne : IDP_MODUL_KBD_LAYOUT

Claviers

Groupe des claviers disponibles dans le module Batch Control.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

ModulKbdLayout


IDP_MSGCTRL_GENERALSETTINGS_GRP

ID interne : IDP_MSGCTRL_GENERALSETTINGS_GRP

Paramètres téléphone

Propriétés des paramètres téléphoniques.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

PhoneSettings


IDP_MSGCTRL_GSM_SMS_BULK_DELETE

ID interne : IDP_MSGCTRL_GSM_SMS_BULK_DELETE

Supprime SMS avec la syntaxe d'état de la commande AT+CMGD

Définit la procédure utilisée lors de la suppression de messages. Deux possibilités sont disponibles pour la syntaxe +CMGD AT. Statusflag et Index.

  • Active : Les messages seront supprimés avec la méthode Statusflag.
    Tous les SMS lus sont supprimés en même temps.
    Remarque : Cette méthode est rapide et plus puissante, mais elle n’est pas prise en charge par tous les modems.
  • Inactive : Les messages seront supprimés avec la méthode Index. Les SMS lus sont supprimés individuellement.

Par défaut : Inactive :
Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

BulkDelete


IDP_MSGCTRL_GSM_SMS_CHECK_MODEM

ID interne : IDP_MSGCTRL_GSM_SMS_CHECK_MODEM

Vérification connexion

Cliquez sur le bouton pour tester la connexion au modem. Les éléments suivants sont testés :

  • Ouvrez et préparez le port COM défini dans la propriété Connexion modem (série).
  • Réponse du modem.
  • Authentification par code PIN, si nécessaire.
  • Configuration du modem.
    La validité du numéro de centre de messagerie saisi pour le centre de répartition peut uniquement être vérifiée par l’envoi d’un SMS. Pour le numéro de centre de messagerie configuré, la propriété Numéro du centre SMS est utilisée pour effectuer la vérification. S’il n’est pas valide, le numéro de centre de messagerie de la carte SIM est utilisé.

L’échec ou la réussite du test est affiché(e) dans un message. Les informations d’erreur sont écrites dans les fichiers journaux.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

CheckModem


IDP_MSGCTRL_GSM_SMS_COM_PORT

ID interne : IDP_MSGCTRL_GSM_SMS_COM_PORT

Connexion modem (série)

Sélection du port COM permettant de contacter le modem. Cliquez pour ouvrir une liste déroulante de sélection. Le port correct peut être identifié dans le panneau de configuration, dans le groupe Téléphone et modem.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

SerialPort


IDP_MSGCTRL_GSM_SMS_GRP

ID interne : IDP_MSGCTRL_GSM_SMS_GRP

Message SMS (modem GSM)

Paramètres d’envoi de SMS par GSM.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

DispatchSettings


IDP_MSGCTRL_GSM_SMS_PIN

ID interne : IDP_MSGCTRL_GSM_SMS_PIN

Code PIN

Saisissez le code PIN du modem. La saisie doit uniquement comporter des chiffres. Si aucun code PIN n’est nécessaire pour utiliser le modem, la valeur de cette propriété est ignorée.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

PersonalIdentificationNumber


IDP_MSGCTRL_GSM_SMS_SMSC_NUMBER

ID interne : IDP_MSGCTRL_GSM_SMS_SMSC_NUMBER

Numéro du centre SMS

Saisissez le numéro de téléphone du SMSC (centre de messagerie) associé au fournisseur GSM utilisé. Saisissez un numéro de téléphone valide, comprenant uniquement des chiffres. L’utilisation du préfixe + pour la numérotation des codes d’appel internationaux est autorisée.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

SmscPhoneNumber


IDP_NET_CHECK

ID interne : IDP_NET_CHECK

Résultat

Édition du résultat de la vérification de la topologie du réseau.

Aucune saisie possible.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

Check


IDP_NET_COMPUTER

ID interne : IDP_NET_COMPUTER

Nom de l'ordinateur

Nom de l’ordinateur cible sur le réseau. Cliquez sur le bouton ... pour ouvrir une liste déroulante contenant les ordinateurs actuellement enregistrés sur le réseau.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

Computer


IDP_NET_COMPUTER_GRP

ID interne : IDP_NET_COMPUTER_GRP

Ordinateurs

Propriétés des ordinateurs sur la topologie du réseau.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

GRP_Computer


IDP_NET_DIRECTORY

ID interne : IDP_NET_DIRECTORY

Dossier Runtime du projet de démarrage

Dossier de Runtime du projet de démarrage sur l’ordinateur cible. Les fichiers du projet de démarrage sont enregistrés dans ce dossier. Tous les autres projets relatifs à celui-ci correspondent à la structure sur l’ordinateur local. Utilisez le nom du projet comme nom de dossier pour créer automatiquement une structure identique à celle de l’ordinateur de développement.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

WorkingPath


IDP_NET_PROJECT

ID interne : IDP_NET_PROJECT

Projet de démarrage

Projet de démarrage de l’ordinateur cible. Cliquez sur la liste déroulante pour ouvrir la liste des projets existants.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

Name


IDP_PADDING_STYLE

ID interne : IDP_PADDING_STYLE

Style de remplissage

Affichage et sélection du style de remplissage attribué à l’élément.

Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de style.
Si plusieurs éléments ont été sélectionnés, ils peuvent être attribués à un style commun.

Remarque : Seules les propriétés compatibles avec l’élément correspondant sont prises en charge.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

PaddingStyle


IDP_PR_USE_PROCESSRECORDER

ID interne : IDP_PR_USE_PROCESSRECORDER

Activer l'enregistrement

Active/désactive la variable ou le type de données enregistré dans le module Process Recorder.
La sélection multiple de variables est possible.

  • Active :
    Les changements de valeur de la variable sont enregistrés dans le module Process Recorder.
    Attention : Assurez-vous que l’activation générale de l’enregistrement a été configurée dans la propriété Activer Process Recorder.
  • Inactive :
    Les changements de valeur de la variable ne sont pas enregistrés dans le module Process Recorder.

Par défaut : les paramètres configurés sont appliqués pour le type de données utilisé.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

Used_in_ProcRec


IDP_PRJ_CHANGE_PWD_PIC

ID interne : IDP_PRJ_CHANGE_PWD_PIC

Synoptique pour modification mot de passe

Sélection d’un synoptique Modifier utilisateur pour modifier votre mot de passe. Le synoptique est appelé à la place de la boîte de dialogue modale. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de synoptique.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

ChangePwdPicture


IDP_PRJ_DISMENUITEMS_DRAWING

ID interne : IDP_PRJ_DISMENUITEMS_DRAWING

Items de menu verrouillés

Définit le comportement d’affichage des entrées de menu dans le Runtime :

  • Normal : Les menus sont affichés dans le Runtime. Une boîte de dialogue d’information s’affiche si aucune autorisation correspondante n’est présente.
  • Gris : Les menus sont grisés dans le Runtime et ne peuvent pas être utilisés.
  • Invisible : Les entrées de menus ne sont pas affichées dans le Runtime.

Remarque : Cette propriété est inactive si la propriété Connexion temporaire active est active.

Par défaut : Normal

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

DisMenuItemsDrawing


IDP_PRJ_EXTERNALLOGIN_SYSTEMLOCK

ID interne : IDP_PRJ_EXTERNALLOGIN_SYSTEMLOCK

Système verrouillé à cause d'une mauvaise authentification externe

Comportement de l’ensemble du système en cas d’authentification externe incorrect :

  • Inactive :
    Pas de verrouillage de l’ensemble du système en cas d’authentification externe incorrecte.
  • Active :
    Le système est verrouillé en cas d’authentification externe incorrecte.

Par défaut : active

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

ExternalLoginSystemLock


IDP_PRJ_EXTERNALLOGIN_USERLOCK

ID interne : IDP_PRJ_EXTERNALLOGIN_USERLOCK

Utilisateur verrouillé à cause d'une mauvaise authentification externe

Comportement de l’utilisateur en cas d’authentification externe :

  • Inactive :
    Pas de blocage de l’utilisateur correspondant en cas d’authentification externe incorrecte.
  • Active :
    L’utilisateur correspondant est bloqué en cas d’authentification externe.

Par défaut : active

Attention : Ce paramètre n’a aucune incidence sur le blocage de l’utilisateur dans Active Directory si des utilisateurs AD sont utilisés. Les paramètres de domaine restent toujours applicables ici.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

ExternalLoginUserLock


IDP_PRJ_LOGIN_PIC

ID interne : IDP_PRJ_LOGIN_PIC

Synoptique pour Connexion

Sélection du synoptique utilisé pour la connexion ou l’exécution de la fonction Connexion avec boite de dialogue. Sélection en cliquant sur le bouton .... Seuls les synoptiques de type Connexion peuvent être sélectionnés. Si aucun synoptique n’est lié, une boîte de dialogue modale est appelée pour la connexion.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

LoginPicture


IDP_PRJ_LOGINSIGNATURE_PIC

ID interne : IDP_PRJ_LOGINSIGNATURE_PIC

Synoptique pour Connexion avec signature

Sélection d’un synoptique appelé pour la connexion avec saisie d’une signature. Sélection en cliquant sur le bouton .... Seuls les synoptiques de type Connexion peuvent être sélectionnés. Si aucun synoptique n’est lié, une boîte de dialogue modale est appelée pour la connexion avec saisie d’une signature.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

LoginSignaturePicture


IDP_PRJ_RECURSIVE_LOGIN

ID interne : IDP_PRJ_RECURSIVE_LOGIN

Connexion/déconnexion automatiques dans les sous-projets

Autorise la connexion/déconnexion automatique dans les sous-projets.

Active : Un utilisateur est automatiquement connecté à tous les sous-projets lorsqu’ils se connecte à un projet ; il est déconnecté de tous les projets lorsqu’il se déconnecte.

Pour cela, l’utilisateur doit être disponible dans tous les projets.

Disponible uniquement pour les projets globaux et les projets dans lesquels la propriété Projet Windows CE est active.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

RecursiveLogin


IDP_PRN_MAXJOBS

ID interne : IDP_PRN_MAXJOBS

Nombre max de travaux d'impression

Nombre maximum de tâches d’impression dans le gestionnaire d’impression de Windows. En cas de dépassement de cette valeur, une entrée est créée dans la liste d’événements (CEL).

  • Minimum : 0
  • Maximum : 65535
  • Par défaut : 90

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

MaxPrintJobs


IDP_PROJEKT_LOCKVAR

ID interne : IDP_PROJEKT_LOCKVAR

Vérouillage fonctionnement

Permet de définir un bloc de fonctionnement dans les projets sans réseau, au moyen d’une variable binaire.
Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de variables binaires.

Valeur de réponse :

  • >0 : Pas d’autorisation fonctionnelle disponible.
  • 0 : Autorisation accordée

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

LockVar


IDP_PROJEKT_NETZ_TOKEN_TYPE

ID interne : IDP_PROJEKT_NETZ_TOKEN_TYPE

Autorisation sur le réseau

Liste déroulante de sélection du type d’autorisation d’utilisation.

  • Inactive :
    Aucune autorisation d’utilisation requise. Tous les ordinateurs connectés au réseau peuvent utiliser le projet à la fois.
  • Autorisation globale d’utilisation :
    Un seul ordinateur peut intervenir sur le projet à un instant donné (acquittement d’alarmes ou écriture de valeurs prescrites, par exemple).
    Cette limitation s’applique généralement à toutes les variables configurées.
  • Autorisation d’utilisation par modèle d’équipement :
    La limitation d’utilisation est mise en œuvre par la liaison de variables au modèle d’équipement. Seules les variables attribuées à un modèle d’équipement nécessitent une autorisation d’utilisation.
    Les variables qui ne sont pas liées à un modèle d’équipement peuvent toujours être utilisées.

Remarque : Disponible uniquement si la propriété Réseau actif est active.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

NetTokenType


IDP_PWL_EXECUTE

ID interne : IDP_PWL_EXECUTE

Niveau d'autorisation pour l'exécution

Définissez le niveau d’autorisation requis pour procéder au verrouillage. Cliquez sur le niveau pour ouvrir une liste déroulante de sélection.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

PwlExecute


IDP_PWL_UNLOCK

ID interne : IDP_PWL_UNLOCK

Niveau d'autorisation pour déverrouiller

Définit le niveau d’autorisation requis pour le déverrouillage. Cliquez sur le niveau pour ouvrir une liste déroulante de sélection.

Remarque : inactive pour l’action de commande Commande forcée.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

PwlUnlock


IDP_RGM_BINARYPARAMETER

ID interne : IDP_RGM_BINARYPARAMETER

Tags binaires

Sélection d’un clavier pour les saisies de valeurs binaires. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection d’un synoptique de type Clavier.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

BoolKbd


IDP_RGM_DATASOURCE

ID interne : IDP_RGM_DATASOURCE

DataSource

Sélection dans une liste déroulante de l’emplacement de stockage souhaité pour les fichiers du module Recipe Group Manager (RGM) :

  • Base de données MS Access : Base de données MS Access. Non adapté à Windows CE.
  • fichiers binaires (compatibles CE) : permet d’utiliser le module RGM sur un PC et sous Windows CE.

Par défaut : Fichiers binaires (compatible CE)

Remarque : Si l’option Projet Windows CE est activée, le stockage de données est automatiquement défini sur Fichiers binaires. Il est impossible de convertir les données à un stade ultérieur.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

DataSource


IDP_RGM_FILTER

ID interne : IDP_RGM_FILTER

Filtre

Saisie de textes de filtre pour les variables.

Maximum : 65535 caractères

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

Filter


IDP_RGM_GROUP_ALLGEMEIN

ID interne : IDP_RGM_GROUP_ALLGEMEIN

Général

Paramètres généraux des groupes de recettes.

Remarque : 32 000 variables maximum peuvent être ajoutées à un groupe de recettes.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

Allgemein


IDP_RGM_GROUP_FEEDBACK

ID interne : IDP_RGM_GROUP_FEEDBACK

Résultat

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

Feedback


IDP_RGM_GROUP_FEEDBACK_CHECK

ID interne : IDP_RGM_GROUP_FEEDBACK_CHECK

Retour pour \""Vérification recette\""

Variable de réaction pour la fonction Vérification valeur de recette.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

Feedback_Check


IDP_RGM_GROUP_FEEDBACK_CHECK_CMT1

ID interne : IDP_RGM_GROUP_FEEDBACK_CHECK_CMT1

Commentaire 1

Commentaire 1 de la dernière recette vérifiée.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

Feedback_Check_Comment1


IDP_RGM_GROUP_FEEDBACK_CHECK_CMT2

ID interne : IDP_RGM_GROUP_FEEDBACK_CHECK_CMT2

Commentaire 2

Commentaire 2 de la dernière recette vérifiée.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

Feedback_Check_Comment2


IDP_RGM_GROUP_FEEDBACK_CHECK_CMT3

ID interne : IDP_RGM_GROUP_FEEDBACK_CHECK_CMT3

Commentaire 3

Commentaire 3 de la dernière recette vérifiée.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

Feedback_Check_Comment3


IDP_RGM_GROUP_FEEDBACK_CHECK_CMT4

ID interne : IDP_RGM_GROUP_FEEDBACK_CHECK_CMT4

Commentaire 4

Commentaire 4 de la dernière recette vérifiée.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

Feedback_Check_Comment4


IDP_RGM_GROUP_FEEDBACK_CHECK_CMT5

ID interne : IDP_RGM_GROUP_FEEDBACK_CHECK_CMT5

Commentaire 5

Commentaire 5 de la dernière recette vérifiée.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

Feedback_Check_Comment5


IDP_RGM_GROUP_FEEDBACK_CHECK_CMT6

ID interne : IDP_RGM_GROUP_FEEDBACK_CHECK_CMT6

Commentaire 6

Commentaire 6 de la dernière recette vérifiée.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

Feedback_Check_Comment6


IDP_RGM_GROUP_FEEDBACK_CHECK_CMT7

ID interne : IDP_RGM_GROUP_FEEDBACK_CHECK_CMT7

Commentaire 7

Commentaire 7 de la dernière recette vérifiée.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

Feedback_Check_Comment7


IDP_RGM_GROUP_FEEDBACK_CHECK_CMT8

ID interne : IDP_RGM_GROUP_FEEDBACK_CHECK_CMT8

Commentaire 8

Commentaire 8 de la dernière recette vérifiée.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

Feedback_Check_Comment8


IDP_RGM_GROUP_FEEDBACK_CHECK_DIFFER

ID interne : IDP_RGM_GROUP_FEEDBACK_CHECK_DIFFER

Vérification valeur recette - écart

Les écarts sont le résultat de la vérification de la recette sous forme de texte.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

Feedback_Check_Different


IDP_RGM_GROUP_FEEDBACK_CHECK_NAME

ID interne : IDP_RGM_GROUP_FEEDBACK_CHECK_NAME

Nom de la recette

Nom de la dernière recette vérifiée.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

Feedback_Check_Name


IDP_RGM_GROUP_FEEDBACK_CHECK_NUMBER

ID interne : IDP_RGM_GROUP_FEEDBACK_CHECK_NUMBER

Numéro de la recette

Numéro de la dernière recette vérifiée.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

Feedback_Check_Number


IDP_RGM_GROUP_FEEDBACK_CHECK_RESULT

ID interne : IDP_RGM_GROUP_FEEDBACK_CHECK_RESULT

Vérification valeur recette - résultat

Résultat de la vérification de la recette sous forme de valeur numérique.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

Feedback_Check_Result


IDP_RGM_GROUP_FEEDBACK_CHECK_RIGHTS

ID interne : IDP_RGM_GROUP_FEEDBACK_CHECK_RIGHTS

Niveau d'autorisation

Niveau d’autorisation de la dernière recette vérifiée.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

Feedback_Check_Rights


IDP_RGM_GROUP_FEEDBACK_CHECK_STATUS_NR

ID interne : IDP_RGM_GROUP_FEEDBACK_CHECK_STATUS_NR

Numéro d'état de la recette

État de la dernière recette vérifiée sous forme de nombre.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

Feedback_Check_Status_Nr


IDP_RGM_GROUP_FEEDBACK_CHECK_STATUS_TXT

ID interne : IDP_RGM_GROUP_FEEDBACK_CHECK_STATUS_TXT

Texte d'état de la recette

État de la dernière recette vérifiée. Le texte est constitué de la façon suivante : 1 - @Texte
Ce texte est écrit sous forme de texte brut dans la variable. Pour afficher le texte traduit, vous devez activer la propriété Traduire le texte affiché pour l’élément affiché (texte dynamique).

Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de variables.

Valeurs : Reportez-vous à la section Variables du driver système - Recettes standard et du module Recipe Group Manager (RGM).

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

Feedback_Check_Status_Txt


IDP_RGM_GROUP_FEEDBACK_CHECK_TIMECHANGE

ID interne : IDP_RGM_GROUP_FEEDBACK_CHECK_TIMECHANGE

Modifier un horodatage

Heure de la dernière modification de la dernière recette vérifiée.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

Feedback_Check_Timechange


IDP_RGM_GROUP_FEEDBACK_CHECK_USERCHANGE

ID interne : IDP_RGM_GROUP_FEEDBACK_CHECK_USERCHANGE

Editer utilisateur

Nom de l’utilisateur connecté lors de la dernière modification de la dernière recette vérifiée.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

Feedback_Check_Userchange


IDP_RGM_GROUP_FEEDBACK_CHECK_VERSION

ID interne : IDP_RGM_GROUP_FEEDBACK_CHECK_VERSION

Version de la recette

Version de la dernière recette vérifiée.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

Feedback_Check_Version


IDP_RGM_GROUP_FEEDBACK_READ

ID interne : IDP_RGM_GROUP_FEEDBACK_READ

Retour pour \""Lire recette\""

Variable de réaction pour la fonction Lire recette.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

Feedback_Read


IDP_RGM_GROUP_FEEDBACK_READ_CMT1

ID interne : IDP_RGM_GROUP_FEEDBACK_READ_CMT1

Commentaire 1

Commentaire 1 de la dernière recette lue.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

Feedback_Read_Comment1


IDP_RGM_GROUP_FEEDBACK_READ_CMT2

ID interne : IDP_RGM_GROUP_FEEDBACK_READ_CMT2

Commentaire 2

Commentaire 2 de la dernière recette lue.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

Feedback_Read_Comment2


IDP_RGM_GROUP_FEEDBACK_READ_CMT3

ID interne : IDP_RGM_GROUP_FEEDBACK_READ_CMT3

Commentaire 3

Commentaire 3 de la dernière recette lue.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

Feedback_Read_Comment3


IDP_RGM_GROUP_FEEDBACK_READ_CMT4

ID interne : IDP_RGM_GROUP_FEEDBACK_READ_CMT4

Commentaire 4

Commentaire 4 de la dernière recette lue.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

Feedback_Read_Comment4


IDP_RGM_GROUP_FEEDBACK_READ_CMT5

ID interne : IDP_RGM_GROUP_FEEDBACK_READ_CMT5

Commentaire 5

Commentaire 5 de la dernière recette lue.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

Feedback_Read_Comment5


IDP_RGM_GROUP_FEEDBACK_READ_CMT6

ID interne : IDP_RGM_GROUP_FEEDBACK_READ_CMT6

Commentaire 6

Commentaire 6 de la dernière recette lue.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

Feedback_Read_Comment6


IDP_RGM_GROUP_FEEDBACK_READ_CMT7

ID interne : IDP_RGM_GROUP_FEEDBACK_READ_CMT7

Commentaire 7

Commentaire 7 de la dernière recette lue.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

Feedback_Read_Comment7


IDP_RGM_GROUP_FEEDBACK_READ_CMT8

ID interne : IDP_RGM_GROUP_FEEDBACK_READ_CMT8

Commentaire 8

Commentaire 8 de la dernière recette lue.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

Feedback_Read_Comment8


IDP_RGM_GROUP_FEEDBACK_READ_NAME

ID interne : IDP_RGM_GROUP_FEEDBACK_READ_NAME

Nom de la recette

Nom de la dernière recette lue.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

Feedback_Read_Name


IDP_RGM_GROUP_FEEDBACK_READ_NUMBER

ID interne : IDP_RGM_GROUP_FEEDBACK_READ_NUMBER

Numéro de la recette

Numéro de la dernière recette lue.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

Feedback_Read_Number


IDP_RGM_GROUP_FEEDBACK_READ_RESULT

ID interne : IDP_RGM_GROUP_FEEDBACK_READ_RESULT

Lecture recette terminée

Résultat de la recette lue sous forme de valeur numérique.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

Feedback_Read_Result


IDP_RGM_GROUP_FEEDBACK_READ_RIGHTS

ID interne : IDP_RGM_GROUP_FEEDBACK_READ_RIGHTS

Niveau d'autorisation

Niveau d’autorisation de la dernière recette lue.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

Feedback_Read_Rights


IDP_RGM_GROUP_FEEDBACK_READ_STATUS_NR

ID interne : IDP_RGM_GROUP_FEEDBACK_READ_STATUS_NR

Numéro d'état de la recette

État de la dernière recette lue sous forme de nombre.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

Feedback_Read_Status_Nr


IDP_RGM_GROUP_FEEDBACK_READ_STATUS_TXT

ID interne : IDP_RGM_GROUP_FEEDBACK_READ_STATUS_TXT

Texte d'état de la recette

État de la dernière recette lue. Le texte est constitué de la façon suivante : 1 - @Texte
Ce texte est écrit sous forme de texte brut dans la variable. Pour afficher le texte traduit, vous devez activer la propriété Traduire le texte affiché pour l’élément affiché (texte dynamique).

Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de variables.

Valeurs : Reportez-vous à la section Variables du driver système - Recettes standard et du module Recipe Group Manager (RGM).

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

Feedback_Read_Status_Txt


IDP_RGM_GROUP_FEEDBACK_READ_TIMECHANGE

ID interne : IDP_RGM_GROUP_FEEDBACK_READ_TIMECHANGE

Modifier un horodatage

Heure de la dernière modification de la dernière recette lue.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

Feedback_Read_Timechange


IDP_RGM_GROUP_FEEDBACK_READ_USERCHANGE

ID interne : IDP_RGM_GROUP_FEEDBACK_READ_USERCHANGE

Editer utilisateur

Nom de l’utilisateur connecté lors de la dernière modification de la dernière recette lue.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

Feedback_Read_Userchange


IDP_RGM_GROUP_FEEDBACK_READ_VERSION

ID interne : IDP_RGM_GROUP_FEEDBACK_READ_VERSION

Version de la recette

Version de la dernière recette lue.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

Feedback_Read_Version


IDP_RGM_GROUP_FEEDBACK_WRITE

ID interne : IDP_RGM_GROUP_FEEDBACK_WRITE

Retour pour \""Ecrire recette\""

Variable de réaction pour la fonction Exécuter recette.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

Feedback_Write


IDP_RGM_GROUP_FEEDBACK_WRITE_CMT1

ID interne : IDP_RGM_GROUP_FEEDBACK_WRITE_CMT1

Commentaire 1

Commentaire 1 de la dernière recette écrite.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

Feedback_Write_Comment1


IDP_RGM_GROUP_FEEDBACK_WRITE_CMT2

ID interne : IDP_RGM_GROUP_FEEDBACK_WRITE_CMT2

Commentaire 2

Commentaire 2 de la dernière recette écrite.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

Feedback_Write_Comment2


IDP_RGM_GROUP_FEEDBACK_WRITE_CMT3

ID interne : IDP_RGM_GROUP_FEEDBACK_WRITE_CMT3

Commentaire 3

Commentaire 3 de la dernière recette écrite.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

Feedback_Write_Comment3


IDP_RGM_GROUP_FEEDBACK_WRITE_CMT4

ID interne : IDP_RGM_GROUP_FEEDBACK_WRITE_CMT4

Commentaire 4

Commentaire 4 de la dernière recette écrite.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

Feedback_Write_Comment4


IDP_RGM_GROUP_FEEDBACK_WRITE_CMT5

ID interne : IDP_RGM_GROUP_FEEDBACK_WRITE_CMT5

Commentaire 5

Commentaire 5 de la dernière recette écrite.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

Feedback_Write_Comment5


IDP_RGM_GROUP_FEEDBACK_WRITE_CMT6

ID interne : IDP_RGM_GROUP_FEEDBACK_WRITE_CMT6

Commentaire 6

Commentaire 6 de la dernière recette écrite.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

Feedback_Write_Comment6


IDP_RGM_GROUP_FEEDBACK_WRITE_CMT7

ID interne : IDP_RGM_GROUP_FEEDBACK_WRITE_CMT7

Commentaire 7

Commentaire 7 de la dernière recette écrite.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

Feedback_Write_Comment7


IDP_RGM_GROUP_FEEDBACK_WRITE_CMT8

ID interne : IDP_RGM_GROUP_FEEDBACK_WRITE_CMT8

Commentaire 8

Commentaire 8 de la dernière recette écrite.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

Feedback_Write_Comment8


IDP_RGM_GROUP_FEEDBACK_WRITE_NAME

ID interne : IDP_RGM_GROUP_FEEDBACK_WRITE_NAME

Nom de la recette

Nom de la dernière recette écrite.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

Feedback_Write_Name


IDP_RGM_GROUP_FEEDBACK_WRITE_NUMBER

ID interne : IDP_RGM_GROUP_FEEDBACK_WRITE_NUMBER

Numéro de la recette

Numéro de la dernière recette écrite.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

Feedback_Write_Number


IDP_RGM_GROUP_FEEDBACK_WRITE_RESULT

ID interne : IDP_RGM_GROUP_FEEDBACK_WRITE_RESULT

Ecriture recette terminée

Résultat de l’écriture de la recette sous forme de valeur numérique.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

Feedback_Write_Result


IDP_RGM_GROUP_FEEDBACK_WRITE_RIGHTS

ID interne : IDP_RGM_GROUP_FEEDBACK_WRITE_RIGHTS

Niveau d'autorisation

Niveau d’autorisation de la dernière recette écrite.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

Feedback_Write_Rights


IDP_RGM_GROUP_FEEDBACK_WRITE_STATUS_NR

ID interne : IDP_RGM_GROUP_FEEDBACK_WRITE_STATUS_NR

Numéro d'état de la recette

État de la dernière recette écrite sous forme de nombre.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

Feedback_Write_Status_Nr


IDP_RGM_GROUP_FEEDBACK_WRITE_STATUS_TXT

ID interne : IDP_RGM_GROUP_FEEDBACK_WRITE_STATUS_TXT

Texte d'état de la recette

État de la dernière recette écrite. Le texte est constitué de la façon suivante : 1 - @Texte
Ce texte est écrit sous forme de texte brut dans la variable. Pour afficher le texte traduit, vous devez activer la propriété Traduire le texte affiché pour l’élément affiché (texte dynamique).

Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de variables.

Valeurs : Reportez-vous à la section Variables du driver système - Recettes standard et du module Recipe Group Manager (RGM).

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

Feedback_Write_Status_Txt


IDP_RGM_GROUP_FEEDBACK_WRITE_TIMECHANGE

ID interne : IDP_RGM_GROUP_FEEDBACK_WRITE_TIMECHANGE

Modifier un horodatage

Heure de la dernière modification de la dernière recette écrite.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

Feedback_Write_Timechange


IDP_RGM_GROUP_FEEDBACK_WRITE_USERCHANGE

ID interne : IDP_RGM_GROUP_FEEDBACK_WRITE_USERCHANGE

Editer utilisateur

Nom de l’utilisateur connecté lors de la dernière modification de la dernière recette écrite.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

Feedback_Write_Userchange


IDP_RGM_GROUP_FEEDBACK_WRITE_VERSION

ID interne : IDP_RGM_GROUP_FEEDBACK_WRITE_VERSION

Version de la recette

Version de la dernière recette écrite.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

Feedback_Write_Version


IDP_RGM_GROUP_FEEDBACK_XMLIMPORT

ID interne : IDP_RGM_GROUP_FEEDBACK_XMLIMPORT

Résultat de l'importation de données XML

Variable de réaction pour l’importation au format XML.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

Feedback_XMLImport


IDP_RGM_GROUP_FEEDBACK_XMLIMPORT_RESULT

ID interne : IDP_RGM_GROUP_FEEDBACK_XMLIMPORT_RESULT

Résultat de l'importation

Réussite de l’importation au format XML.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

Feedback_XMLImport_Result


IDP_RGM_INTERLOCKING

ID interne : IDP_RGM_INTERLOCKING

Verrouillage

Attribution d’un verrouillage à une variable. Sélectionnez dans la liste déroulante.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

Interlocking


IDP_RGM_KEYBOARD

ID interne : IDP_RGM_KEYBOARD

Synoptique clavier

Lien d’un synoptique de type Clavier devant être appelé par un clic gauche sur la variable pour saisir une valeur dans le Runtime. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

Keyboard


IDP_RGM_NUMERICPARAMETER

ID interne : IDP_RGM_NUMERICPARAMETER

Tags numériques

Sélection d’un clavier pour les saisies de valeurs numériques. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection d’un synoptique de type Clavier.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

NumKbd


IDP_RGM_RCP_COMMENT3

ID interne : IDP_RGM_RCP_COMMENT3

Commentaire 3

Lignes de commentaire 3 de la recette actuelle.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

Comment3


IDP_RGM_RCP_COMMENT4

ID interne : IDP_RGM_RCP_COMMENT4

Commentaire 4

Lignes de commentaire 4 de la recette actuelle.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

Comment4


IDP_RGM_RCP_COMMENT5

ID interne : IDP_RGM_RCP_COMMENT5

Commentaire 5

Lignes de commentaire 5 de la recette actuelle.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

Comment5


IDP_RGM_RCP_COMMENT6

ID interne : IDP_RGM_RCP_COMMENT6

Commentaire 6

Lignes de commentaire 6 de la recette actuelle.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

Comment6


IDP_RGM_RCP_COMMENT7

ID interne : IDP_RGM_RCP_COMMENT7

Commentaire 7

Lignes de commentaire 7 de la recette actuelle.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

Comment7


IDP_RGM_RCP_COMMENT8

ID interne : IDP_RGM_RCP_COMMENT8

Commentaire 8

Lignes de commentaire 8 de la recette actuelle.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

Comment8


IDP_RGM_RCP_COMMENTS_GRP

ID interne : IDP_RGM_RCP_COMMENTS_GRP

Commentaire

Groupe de commentaires de la recette. 8 commentaires peuvent être saisis pour chaque recette.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

Comments


IDP_RGM_RECIPE_ALLGEMEIN

ID interne : IDP_RGM_RECIPE_ALLGEMEIN

Général

Propriétés générales de la recette.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

Allgemein


IDP_RGM_RECIPE_STATUS

ID interne : IDP_RGM_RECIPE_STATUS

État

Sélectionnez l’état de la recette dans la liste déroulante. (Configuration de l’état dans la propriété Recipe Group Manager/Identifiant d'état de recette.) L’état de la recette peut être défini différemment pour chaque Version de la recette. Cette propriété peut également être modifiée dans Runtime.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

Status


IDP_RGM_RECIPE_VERSION

ID interne : IDP_RGM_RECIPE_VERSION

Version de la recette

Affichage du numéro de version de la recette sélectionnée. Cette boîte de dialogue sert uniquement à l’affichage d’informations ; aucune modification n’est possible. Le numéro de version est automatiquement défini par le système. Au maximum, 89 999 versions d’une recette peuvent être créées.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

RecipeVersion


IDP_RGM_REPORTFONT

ID interne : IDP_RGM_REPORTFONT

Police de caractères pour la table de recette

  • Active : La police peut être définie à l’aide de synoptiques Recipegroup Manager. La police de caractères spécifiée dans les paramètres de la propriété Police est utilisée.
  • Inactive : La police par défaut est utilisée.

Par défaut : Inactive

Si une table définie par l’utilisateur (créée à l’aide de l’outil Report Generator) est utilisée, les polices de caractères définies dans le rapport sont utilisées.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

ReportFont


IDP_RGM_SHADOW_VARIABLE

ID interne : IDP_RGM_SHADOW_VARIABLE

Variable de recette graphique

Les variables de recette graphique permettent de modifier une valeur d’une recette du module RGM par le biais d’un synoptique dans le Runtime. Une variable de recette graphique peut être définie pour chaque variable dans une recette. Dans le Runtime, la variable du module RGM est remplacée par une variable de recette graphique via la fonction Recipe Group Manager, avec l’action Écrire la valeur de la recette dans une variable de sauvegarde, puis réécrite, en cas de modification dans le module RGM, avec l’action Écrire la variable de sauvegarde dans la valeur de la recette.

Cliquez sur le bouton pour afficher une boîte de dialogue de sélection des variables de sauvegarde. Chaque variable de recette graphique peut uniquement être utilisée une fois par groupe de recettes.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

ShadowVariable


IDP_RGM_STATUS_LIST

ID interne : IDP_RGM_STATUS_LIST

Identifiant d'état de recette

Configuration de l’identifiant d’état. Cliquez sur la propriété pour ouvrir la boîte de dialogue de configuration. Une liste d’états est utilisée lors de la sélection de l’état dans la recette.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

StatusList


IDP_RGM_STRINGPARAMETER

ID interne : IDP_RGM_STRINGPARAMETER

Tags de chaîne

Sélection d’un clavier pour les saisies de chaînes. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection d’un synoptique de type Clavier.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

StringKbd


IDP_RGM_VARLNK_ALLGEMEIN

ID interne : IDP_RGM_VARLNK_ALLGEMEIN

Général

Propriétés générales des variables dans les groupes de recettes.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

General


IDP_RGM_VARLNK_BORDERS

ID interne : IDP_RGM_VARLNK_BORDERS

Limite de valeur

Paramètres des valeurs limite.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

ValueBorders


IDP_RGM_VARLNK_GENERAL

ID interne : IDP_RGM_VARLNK_GENERAL

Propriété de valeur

Propriétés des valeurs.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

ValueGeneral


IDP_RGM_VARLNK_RANGEFROMVAR

ID interne : IDP_RGM_VARLNK_RANGEFROMVAR

Plages de la variable

Active : Les valeurs limite définies sont dynamiquement dérivées de la variable, et ne sont pas définies de manière fixe dans le groupe de recettes.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

RangeFromVar


IDP_RGM_VARLNK_SHADOW

ID interne : IDP_RGM_VARLNK_SHADOW

Variable de recette graphique

Propriétés pour les variables de recettes graphiques.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

ShadowVarGrp


IDP_RGM_VISIBILITYVAR

ID interne : IDP_RGM_VISIBILITYVAR

Variable de visibilité

Sélectionnez une variable pour contrôler la visibilité. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

VisibilityVar


IDP_RGM_WRITE_INVALID_RECIPES

ID interne : IDP_RGM_WRITE_INVALID_RECIPES

Recettes invalides écrites via la fonction

Définit si les recettes comportant des valeurs non conformes à la plage de valeurs valides peuvent être écrites à l’aide du module Recipe Group Manager.

  • Active : les recettes non valides peuvent être écrites.
  • Inactive : les recettes non valides ne peuvent pas être écrites.

Par défaut : Inactive

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

WriteInvalidRecipes


IDP_ROUNDINGSTYLE

ID interne : IDP_ROUNDINGSTYLE

Style d'arrondi

Affichage et sélection du style d’arrondi attribué à l’élément.

Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de style.
Si plusieurs éléments ont été sélectionnés, ils peuvent être attribués à un style commun.

Remarque : Seules les propriétés compatibles avec l’élément correspondant sont prises en charge.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

RoundingStyle


IDP_RT_BATCH_PREFMODULE

ID interne : IDP_RT_BATCH_PREFMODULE

Module préféré

Sélection du module utilisé pour la gestion de plusieurs licences existantes pour plusieurs modules dans le Runtime :

  • Batch Control
  • Command Sequencer

Par défaut : Batch Control

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

BatchPrefered


IDP_RT_GRP_MSG_PICS

ID interne : IDP_RT_GRP_MSG_PICS

Écrans des boîtes de message du Runtime

Propriétés des synoptiques de boîtes de message.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être adressée comme suit pour l’API zenon (avec nom de la classe) :

GRP_RTMessagePictures


IDP_RT_MSG_PIC_MultiYesNo

ID interne : IDP_RT_MSG_PIC_MultiYesNo

Boîte de message [Oui, Non, Oui pour tous, Non pour tous]

Sélection d’un synoptique de boîtes de message permettant de confirmer [Oui] ou ignorer [Non], [Oui pour tous], [Non pour tous] les messages du système.
Cliquez sur … pour ouvrir la boîte de dialogue de sélection d’un synoptique zenon déjà configuré. Seuls les synoptiques de boîtes de message peuvent être sélectionnés.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

MsgScreenMultiYesNo


IDP_RT_MSG_PIC_Ok

ID interne : IDP_RT_MSG_PIC_Ok

Boîte de message [OK]

Sélection d’un synoptique de boîtes de message permettant de confirmer [OK] ou ignorer [Annuler] les messages du système.
Cliquez sur … pour ouvrir la boîte de dialogue de sélection d’un synoptique zenon déjà configuré. Seuls les synoptiques de boîtes de message peuvent être sélectionnés.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

MsgScreenOk


IDP_RT_MSG_PIC_OkCancel

ID interne : IDP_RT_MSG_PIC_OkCancel

Boîte de message [OK, Annuler]

Sélection d’un synoptique de boîtes de message permettant de confirmer [OK] ou refuser [Annuler] les messages du système.
Cliquez sur … pour ouvrir la boîte de dialogue de sélection d’un synoptique zenon déjà configuré. Seuls les synoptiques de boîtes de message peuvent être sélectionnés.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

MsgScreenOkCancel


IDP_RT_MSG_PIC_YesNo

ID interne : IDP_RT_MSG_PIC_YesNo

Boîte de message [Oui, Non]

Sélection d’un synoptique de boîtes de message permettant de confirmer [Oui] ou ignorer [Non] les messages du système.
Cliquez sur … pour ouvrir la boîte de dialogue de sélection d’un synoptique zenon déjà configuré. Seuls les synoptiques de boîtes de message peuvent être sélectionnés.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

MsgScreenYesNo


IDP_RT_MSG_PIC_YesNoCancel

ID interne : IDP_RT_MSG_PIC_YesNoCancel

Boîte de message [Oui, Non, Annuler]

Sélection d’un synoptique de boîtes de message permettant de confirmer [Oui], ignorer [Non] ou refuser [Annuler] les messages du système.
Cliquez sur … pour ouvrir la boîte de dialogue de sélection d’un synoptique zenon déjà configuré. Seuls les synoptiques de boîtes de message peuvent être sélectionnés.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

MsgScreenYesNoCancel


IDP_RTD_ACTION_OK

ID interne : IDP_RTD_ACTION_OK

Export de données

  • Active : Lorsque des données sont exportées avec succès, une boîte de dialogue est affichée dans le Runtime.
    Cette boîte de dialogue est uniquement affichée pour une exportation de données effectuée avec la fonction Exporter les données. Cette fonction se trouve dans le groupe de fonctions Variable.
    Le résultat pour les autres exportations de données n’est pas visualisé avec une boîte de dialogue.
  • Inactive : La boîte de dialogue de confirmation de la réussite de l’exportation n’est pas affichée.

Par défaut : Inactive

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

ActionOK


IDP_RTD_DLGFONT

ID interne : IDP_RTD_DLGFONT

Police de boite de dialogue

Disponible uniquement si la propriété Police de boite de dialogue ajustable est active.

Définit les étapes devant être utilisées pour les boîtes de dialogue et les paramètres à pages multiples dans le Runtime. Cliquez sur le bouton pour ouvrir la boîte de dialogue de sélection de polices de caractères.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

RtDlgFont


IDP_RTD_ENDLGFONT

ID interne : IDP_RTD_ENDLGFONT

Police de boite de dialogue ajustable

Permet d’afficher les boîtes de dialogue et les paramètres à pages multiples avec une police de caractères paramétrable dans le Runtime. Sélectionnez la police à utiliser à l’aide de la propriété Police de boite de dialogue.

  • Active : la police de caractères sélectionnée dans la propriété Police de boite de dialogue est affichée dans le Runtime.
  • Inactive : la police de caractères est utilisée pour les boîtes de dialogue et les paramètres à pages multiples dans le Runtime.

Par défaut : Inactive.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

EnRtDlgFont


IDP_RTD_FILE_REPLACE

ID interne : IDP_RTD_FILE_REPLACE

Ecrasement de fichiers

  • Active : Si un fichier est remplacé durant l’exportation de données, un message est affiché dans le Runtime.
  • Inactive : Le message n’est pas illustré.

Par défaut : Inactive

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

FileReplace


IDP_RTD_INSUFFICIENT_LEVEL

ID interne : IDP_RTD_INSUFFICIENT_LEVEL

Droits insuffisants

Disponible uniquement si la propriété Entrée incorrecte est active.

  • Active : Si l’utilisateur exécute, dans le Runtime, une fonction nécessitant un niveau d’autorisation auquel l’utilisateur connecté ne satisfait pas, une fenêtre affichant un message d’erreur est affichée.
  • Inactive : Aucun message d’erreur n’est affiché si l’utilisateur n’est pas autorisé à effectuer l’opération. La variable de driver du système Aucune autorisation pour l’exécution de la fonction est néanmoins définie, et peut être évaluée par le biais de la valeur limite ou d’une matrice de réaction.

Par défaut : Active

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

InsufficientLevel


IDP_RTD_INVALID_INPUT

ID interne : IDP_RTD_INVALID_INPUT

Entrée incorrecte

Permet d’activer ou de désactiver les messages du Runtime.

  • Active : En cas de saisie incorrecte par un utilisateur, des messages correspondants sont affichés dans le Runtime.
  • Inactive : Les messages sont supprimés.
    Dans ce cas, les variables bit du driver système peuvent également être liées à une fonction, afin de réagir individuellement à une valeur incorrecte associée à une valeur limite.

Par défaut : active

L’activation a une incidence sur les actions de l’utilisateur suivantes :

  • Utilisateur bloqué
  • Identifiant utilisateur non valide !
  • Mot de passe non valide
  • Système verrouillé
  • Système déverrouillé
  • Votre compte a été bloqué
  • Écriture de valeur prescrite

En outre, les autorisations de fonctions manquantes peuvent être affichées. Pour cela, la propriété Droits insuffisants doit être activée.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

InvalidInput


IDP_RTP_PICTBACKCOUNT

ID interne : IDP_RTP_PICTBACKCOUNT

Nombre de synoptiques pour la fonction \"Retour au précédent\"

Nombre de synoptiques devant être saisis dans une liste pour la fonction Nombre de synoptiques pour la fonction \"Retour au précédent\".
Remarque : Chaque appel de la fonction Appel de synoptique compte, même si l’appel de synoptique ne se déroule pas directement, mais est saisi dans les propriétés du synoptique sous la forme Fonction à l'ouverture.

  • Minimum : 0
  • Maximum : 65535
  • Par défaut : 10

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

BackPictCount


IDP_RTP_SYSKEYLOCK

ID interne : IDP_RTP_SYSKEYLOCK

Bloquer les touches système

  • Active : Les combinaisons de touches système telles que Alt+Échap, Ctrl+Échap, Alt+Tabulation, Alt-F4 etc. sont verrouillées dans le Runtime.
  • Inactive : les combinaisons de touches système ne sont pas verrouillées.

Par défaut : Inactive

Remarque : Les tâches système peuvent également être bloquées pour le Runtime. Pour plus de détails, reportez-vous à la section Keyblock Runtime Start.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

SysKeyLock


IDP_RTP_WATCHFILES

ID interne : IDP_RTP_WATCHFILES

Indexer les fichiers du Runtime

  • Active : Pour un accès rapide, une mémoire cache de dossier est activée pour les données du Runtime.
  • Inactive : La mémoire cache du dossier n’est pas utilisée.

Par défaut : Inactive

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

FileWatcher


IDP_RUECKMELDE_VAR_GRP

ID interne : IDP_RUECKMELDE_VAR_GRP

Variables de réponse

Propriétés des variables de réponse. Celles-ci présentent des actions sous forme de listes configurables dans le Runtime.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être adressée comme suit pour l’API zenon (avec nom de la classe) :

SelectionFeedback


IDP_SAMPLE

ID interne : IDP_SAMPLE

Sample Additional

Exemples pour un exemple de driver.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

SampleTest


IDP_SCALE_STYLE

ID interne : IDP_SCALE_STYLE

Échelle de style

Affichage et sélection du style d’échelle attribué à l’élément.

Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de style.
Si plusieurs éléments ont été sélectionnés, ils peuvent être attribués à un style commun.

Remarque : Seules les propriétés compatibles avec l’élément correspondant sont prises en charge.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

ScaleStyle


IDP_SCHALTFOLGEN_STEPNAME

ID interne : IDP_SCHALTFOLGEN_STEPNAME

Nom d'étape dans la grille de la séquence de commandes

Configuration de l’affichage du texte dans le Runtime pour le module Command Sequencer.
Ici, l’utilisateur peut configurer les noms affichés par l’action de commande dans la grille du module Command Sequencer.

  • Texte standard
    Affichage du nom de la police par défaut de l’action de commande.
    Format : Nom de l’action : RV[DIR]
  • Nom de l’action
    Nom de l’action de commande, tel qu’il est configuré dans la propriété de commande Nom de l'action.

Par défaut : Texte standard

Remarque : Si deux actions comportent le même nom de police, seule la première action sera disponible dans le Runtime. Un message d’erreur est affiché dans la fenêtre de suivi pendant la compilation.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

StepName


IDP_SCHALTFOLGEN_VISIBLE

ID interne : IDP_SCHALTFOLGEN_VISIBLE

Afficher les noms dans la grille de la séquence de commandes

Configuration de l’affichage du texte dans le Runtime pour le module Séquences de commandes.

Ici, l’utilisateur peut définir le texte affiché par la variable dans la grille du module Command Sequencer.

  • Nom de variable
    Utilise les noms de variables en tant que texte d’affichage dans le module Command Sequencer.
  • Identifiant de variable
    Utilise l’identifiant de variable en tant que texte d’affichage dans le module Command Sequencer.
    Cet identifiant est configuré pour la variable dans la propriété Identification.
  • Adresse symbolique
    Utilise l’adresse symbolique de la variable en tant que texte d’affichage dans le module Command Sequencer.
    Cet identifiant est configuré pour la variable dans la propriété Adresse symbolique.

Par défaut : Nom de variable

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

VisibleChartName


IDP_SEL_FEEDBACK_VARIABLE

ID interne : IDP_SEL_FEEDBACK_VARIABLE

Sélection active

Liaison d’une variable de réponse pour les listes configurables.
La variable doit être de type BOOL. Elle indique, dans le Runtime, si un élément a été sélectionné dans la liste (1) ou pas (0).
Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection d’une variable

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

SelectionActive


IDP_SHADOWEFFECTSTYLE

ID interne : IDP_SHADOWEFFECTSTYLE

Style effet cadres/ombres

Affichage et sélection du style de cadre et d’ombre attribué à l’élément.

Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de style.
Si plusieurs éléments ont été sélectionnés, ils peuvent être attribués à un style commun.

Remarque : Seules les propriétés compatibles avec l’élément correspondant sont prises en charge.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

ShadowEffectStyle


IDP_SHIFT_BLOCK_DESCRIPTION

ID interne : IDP_SHIFT_BLOCK_DESCRIPTION

Description

Propriétés générales du bloc d’équipes.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être adressée comme suit pour l’API zenon (avec nom de la classe) :

Description


IDP_SHIFT_BLOCK_GENERAL_GRP

ID interne : IDP_SHIFT_BLOCK_GENERAL_GRP

Général

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être adressée comme suit pour l’API zenon (avec nom de la classe) :

General


IDP_SHIFT_BLOCK_NAME

ID interne : IDP_SHIFT_BLOCK_NAME

Nom

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être adressée comme suit pour l’API zenon (avec nom de la classe) :

Name


IDP_SHIFT_MODEL_DESCRIPTION

ID interne : IDP_SHIFT_MODEL_DESCRIPTION

Description

Chaîne librement définissable, utilisée pour fournir une description détaillée du modèle d’équipe. La description est compatible avec la fonction de changement de langue en ligne.

Longueur maximale : 512 caractères.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être adressée comme suit pour l’API zenon (avec nom de la classe) :

Description


IDP_SHIFT_MODEL_GENERAL_GRP

ID interne : IDP_SHIFT_MODEL_GENERAL_GRP

Général

Propriétés générales du modèle d’équipe.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être adressée comme suit pour l’API zenon (avec nom de la classe) :

General


IDP_SHIFT_MODEL_GROUP_DESCRIPTION

ID interne : IDP_SHIFT_MODEL_GROUP_DESCRIPTION

Description

Chaîne librement définissable, utilisée pour fournir une description détaillée du modèle d’équipe. La description est compatible avec la fonction de changement de langue en ligne.

Longueur maximale : 512 caractères.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être adressée comme suit pour l’API zenon (avec nom de la classe) :

Description


IDP_SHIFT_MODEL_GROUP_GENERAL_GRP

ID interne : IDP_SHIFT_MODEL_GROUP_GENERAL_GRP

Général

Propriétés générales du modèle d’équipe.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être adressée comme suit pour l’API zenon (avec nom de la classe) :

General


IDP_SHIFT_MODEL_GROUP_NAME

ID interne : IDP_SHIFT_MODEL_GROUP_NAME

Nom

Nom du groupe de modèles d’équipe. Le nom doit être unique pour chaque projet, doit contenir uniquement des espaces et ne doit pas être vide.
Les caractères suivants ne sont pas autorisés : /\.:*?<>!|"'?#%

Le nom est compatible avec la fonction de changement de langue en ligne.

Par défaut : Groupe x de modèles d’équipe (où x représente un nombre consécutif).

Longueur maximale : 256 caractères.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être adressée comme suit pour l’API zenon (avec nom de la classe) :

Name


IDP_SHIFT_MODEL_NAME

ID interne : IDP_SHIFT_MODEL_NAME

Nom

Nom du modèle d’équipe. Le nom doit être unique pour chaque projet, doit contenir uniquement des espaces et ne doit pas être vide. Les caractères suivants ne sont pas autorisés : / \ : * ? < > ! | " ' # % @ .

Le nom est compatible avec la fonction de changement de langue en ligne.

Par défaut : Modèle d’équipe x (où x est un nombre consécutif).

Longueur maximale : 256 caractères.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être adressée comme suit pour l’API zenon (avec nom de la classe) :

Name


IDP_SHIFT_MODEL_VALIDDAYS_FRIDAY

ID interne : IDP_SHIFT_MODEL_VALIDDAYS_FRIDAY

Vendredi

Description sous forme de texte.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être adressée comme suit pour l’API zenon (avec nom de la classe) :

Friday


IDP_SHIFT_MODEL_VALIDDAYS_MONDAY

ID interne : IDP_SHIFT_MODEL_VALIDDAYS_MONDAY

Lundi

Description sous forme de texte.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être adressée comme suit pour l’API zenon (avec nom de la classe) :

Monday


IDP_SHIFT_MODEL_VALIDDAYS_SATURDAY

ID interne : IDP_SHIFT_MODEL_VALIDDAYS_SATURDAY

Samedi

Description sous forme de texte.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être adressée comme suit pour l’API zenon (avec nom de la classe) :

Saturday


IDP_SHIFT_MODEL_VALIDDAYS_SUNDAY

ID interne : IDP_SHIFT_MODEL_VALIDDAYS_SUNDAY

Dimanche

Description sous forme de texte.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être adressée comme suit pour l’API zenon (avec nom de la classe) :

Sunday


IDP_SHIFT_MODEL_VALIDDAYS_THURSDAY

ID interne : IDP_SHIFT_MODEL_VALIDDAYS_THURSDAY

Jeudi

Description sous forme de texte.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être adressée comme suit pour l’API zenon (avec nom de la classe) :

Thursday


IDP_SHIFT_MODEL_VALIDDAYS_TUESDAY

ID interne : IDP_SHIFT_MODEL_VALIDDAYS_TUESDAY

Mardi

Description sous forme de texte.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être adressée comme suit pour l’API zenon (avec nom de la classe) :

Tuesday


IDP_SHIFT_MODEL_VALIDDAYS_WEDNESDAY

ID interne : IDP_SHIFT_MODEL_VALIDDAYS_WEDNESDAY

Mercredi

Description sous forme de texte.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être adressée comme suit pour l’API zenon (avec nom de la classe) :

Wednesday


IDP_SM_SHIFT_BREAK_END_DAY

ID interne : IDP_SM_SHIFT_BREAK_END_DAY

Jour de fin

Description sous forme de texte.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être adressée comme suit pour l’API zenon (avec nom de la classe) :

EndDay


IDP_SM_SHIFT_BREAK_END_TIME

ID interne : IDP_SM_SHIFT_BREAK_END_TIME

Heure de fin

Description sous forme de texte.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être adressée comme suit pour l’API zenon (avec nom de la classe) :

EndTime


IDP_SM_SHIFT_BREAK_NAME

ID interne : IDP_SM_SHIFT_BREAK_NAME

Nom

Description sous forme de texte.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être adressée comme suit pour l’API zenon (avec nom de la classe) :

Name


IDP_SM_SHIFT_BREAK_START_DAY

ID interne : IDP_SM_SHIFT_BREAK_START_DAY

Jour de départ

Description sous forme de texte.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être adressée comme suit pour l’API zenon (avec nom de la classe) :

StartDay


IDP_SM_SHIFT_BREAK_START_TIME

ID interne : IDP_SM_SHIFT_BREAK_START_TIME

Heure de début

Description sous forme de texte.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être adressée comme suit pour l’API zenon (avec nom de la classe) :

StartTime


IDP_STRATON_CMD_BINDPORT

ID interne : IDP_STRATON_CMD_BINDPORT

Port d'événements

Cette propriété n’a d’importance que lorsqu’elle est associée aux types de démarrage de Runtime "Démarrage/arrêt autom." et "Démarrage autom.".

Numéro de port utilisé par le Runtime de zenon Logic au démarrage. Le paramètre "Binding" affiche le port utilisé pour les transferts de données spontanés (c’est-à-dire événementiels).
Minimum : 0.
Maximum : 4294967295
Par défaut : 9000.

Attention : doit être supérieur de 7800 au port principal.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

CMDBindPort


IDP_STRATON_CMD_HOST

ID interne : IDP_STRATON_CMD_HOST

'Host'

Cette propriété est uniquement pertinente si elle est associée aux types de démarrage de Runtime Démarrage/arrêt autom. et Démarrage autom..
Le Runtime de zenon Logic démarre uniquement lorsque ces paramètres coïncident avec l’adresse IP ou le nom de l’ordinateur utilisé !

Il s’agit habituellement du nom localhost ou de l’adresse IP 127.0.0.1. Dans certains cas, il est nécessaire de saisir une adresse IP fixe (ou le nom d’un ordinateur). Cela est nécessaire si, dans le cas de plusieurs projets simples, le Runtime de zenon Logic doit uniquement démarrer sur un ordinateur. Une autre raison pourrait être la nécessité de démarrer le Runtime de zenon Logic sur un client zenon, mais pas sur le serveur.

La modification de ce paramètre copie automatiquement l’adresse de l’hôte et le port principal vers la configuration des drivers straton32 correspondants. Si cela n’est pas souhaité, vous devez modifier ce paramètre manuellement dans le driver straton32.

Par défaut : localhost.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

CMDHost


IDP_STRATON_CMD_LOG

ID interne : IDP_STRATON_CMD_LOG

Protokolldatei führen

Cette propriété n’a d’importance que lorsqu’elle est associée aux types de démarrage de Runtime "Démarrage/arrêt autom." et "Démarrage autom.".
Active : Si le Runtime zenon Logic génère des messages d’erreur, ceux-ci seront conservés dans un fichier.
Inactive : Si le Runtime zenon Logic génère des messages d’erreur, ceux-ci ne seront pas conservés dans un fichier.
Par défaut : inactive.

Attention : L’écriture des fichiers journaux peut influencer le cycle de l’automate !

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

CMDTrace


IDP_STRATON_CMD_MAINPORT

ID interne : IDP_STRATON_CMD_MAINPORT

Port standard

Cette propriété n’a d’importance que lorsqu’elle est associée aux types de démarrage de Runtime "Démarrage/arrêt autom." et "Démarrage autom.".
Numéro de port ouvert par le Runtime de zenon Logic au démarrage. Main (Principal) affiche le port utilisé pour l’interrogation cyclique des valeurs zenon Logic.

La modification de ce paramètre copie automatiquement l’adresse de l’hôte et le port principal vers la configuration des drivers straton32 correspondants. Si cela n’est pas souhaité, vous devez modifier ce paramètre manuellement dans le driver straton32.

Minimum : 0
Maximum : 4294967295
Par défaut : 1200

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

CMDMainPort


IDP_STRATON_CMD_PRIO

ID interne : IDP_STRATON_CMD_PRIO

Priorité temps réel

Cette propriété n’a d’importance que lorsqu’elle est associée aux types de démarrage de Runtime "Démarrage/arrêt autom." et "Démarrage autom.".
Active : Attribue la priorité Temps réel de Windows au processus du Runtime de zenon Logic.
Inactive : attribue la priorité Windows "Normal" au processus du Runtime zenon Logic.
Par défaut : Inactive.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

CMDPrio


IDP_STRATON_CMD_REDUNDANCY

ID interne : IDP_STRATON_CMD_REDUNDANCY

Opération redondante

Active : Le Runtime zenon Logic sera démarré de manière redondante.
Inactive : Le Runtime de zenon Logic ne sera pas démarré de manière redondante.

Par défaut : inactive.

Attention : le Runtime redondant doit être démarré.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

CMDRedundancy


IDP_STRATON_CMD_RETAINBYNAME

ID interne : IDP_STRATON_CMD_RETAINBYNAME

Enregistrer les variables retains avec leurs noms

Conserve la variable RETAIN et le nom de variable correspondant si vous avez sélectionné la fonction de marche/arrêt automatique pour l’élément Type de démarrage. En outre, les variables RETAIN sont automatiquement incorporées dans <CA_PRODUCTNAME<.

Remarque : pour utiliser cette fonction pour le démarrage manuel du Runtime, vous devez activer cette option. Vous devez en outre activer l’option par le biais du paramètre de ligne de commande ou de la boîte de dialogue de configuration de fichier .ini/de paramètres.

Par défaut : Inactive.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

CMDRetainByName


IDP_STRATON_CMD_START

ID interne : IDP_STRATON_CMD_START

Démarrage

Cette propriété n’est pertinente que lorsqu’elle est associée aux types de démarrage de Runtime "Démarrage/arrêt autom." et "Démarrage autom.".
Démarrage à froid : toutes les variables sont initialisées au démarrage. Les variables Retain sont également initialisées au démarrage.
Démarrage à froid (charger les variables RETAIN) : Le démarrage est initialisé avec les valeurs actuelles des variables Retain.
Démarrage à chaud : lors du redémarrage, toutes les variables prennent la valeur qu’elles avaient lors du dernier arrêt.
Par défaut : reprise graduelle.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

CMDStartup


IDP_STRATON_CMD_STEP

ID interne : IDP_STRATON_CMD_STEP

Démarrer en mode cycle à cycle

Cette propriété n’a d’importance que lorsqu’elle est associée aux types de démarrage de Runtime "Démarrage/arrêt autom." et "Démarrage autom.".
Active : Démarre le Runtime zenon Logic et l’arrête immédiatement en mode de débogage.
Inactive : démarre le Runtime zenon Logic normalement.
Par défaut : inactive

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

CMDStep


IDP_STRATON_FKT_WDG_TO

ID interne : IDP_STRATON_FKT_WDG_TO

Fonction pour la reconnaissance du défaut

Sélection de la fonction devant être exécutée après expiration du délai d’attente défini dans la propriété Reconnaissance de défaut après [s]. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de fonctions.

Après expiration du délai d’attente, la vérification de la commande de surveillance du temps d’exécution redémarre uniquement après que le Runtime ait été enregistré à nouveau. Si une fonction provenant d’un autre projet est utilisée, le projet doit déjà avoir été chargé lors du chargement du projet comportant le projet zenon Logic intégré.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

VmFktWdgTo


IDP_STRATON_RUNTIME

ID interne : IDP_STRATON_RUNTIME

Runtime

Propriétés du Runtime de zenon Logic (automate logiciel).

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

GRP_Runtime


IDP_STRATON_TIMEOUT

ID interne : IDP_STRATON_TIMEOUT

Timeout de connexion [s]

Délai d’attente (en secondes) pour la connexion aux systèmes cible zenon Logic.
Ce délai d’attente peut être augmenté pour les plates-formes cibles peu performantes.
Minimum : 0.
Maximum : 4294967295
Par défaut : 10.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

Timeout


IDP_STRATON_WDG_TO

ID interne : IDP_STRATON_WDG_TO

Reconnaissance de défaut après [s]

Spécification du délai, en secondes, durant lequel la commande de surveillance du temps d’exécution du Runtime zenon Logic doit changer. En cas de dépassement, la fonction définie dans la propriété Fonction pour la reconnaissance du défaut est exécutée.

0 : désactive la commande de surveillance de temps d’exécution

Par défaut : pour les nouveaux projets, 30 s ; pour les projets existants, 0 s.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

VmWdgTo


IDP_STRATON_WORKBENCH

ID interne : IDP_STRATON_WORKBENCH

Workbench

Propriétés du module Workbench de zenon Logic.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

GRP_Workbench


IDP_STYLE_GRAPHICSFILE

ID interne : IDP_STYLE_GRAPHICSFILE

Grafikdatei

Sélection du fichier graphique utilisé pour le style.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être adressée comme suit pour l’API zenon (avec nom de la classe) :

FileName


IDP_STYLE_REFEXT

ID interne : IDP_STYLE_REFEXT

Référence externe

Identifiant unique des composants de zenon, disponibles pour :

  • Projets
  • Drivers
  • Types de données
  • Variables
  • Matrices de réaction
  • Fonctions
  • Synoptiques
  • Styles

La propriété peut être utilisée comme identifiant pour des outils de configuration de projet externes. L’accès en lecture ou en écriture via l’interface utilisateur d’Editor dépend de la configuration du paramètre Référence externe éditable. La Référence externe peut toujours être décrite à l’aide de l’API de zenon.

Par défaut : Vide

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être adressée comme suit pour l’API zenon (avec nom de la classe) :

StyleExternalReference


IDP_STYLEGROUP

ID interne : IDP_STYLEGROUP

Groupe de styles

Affichage et sélection du groupe de styles attribué à l’élément.
Cliquez sur le bouton ... pour ouvrir la boîte de dialogue permettant de sélectionner un groupe de styles.
Si plusieurs éléments sont sélectionnés, elles peuvent être attribuées à un groupe de styles commun.

Remarque : Seules les propriétés compatibles avec l’élément correspondant sont prises en charge.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

StyleGroup


IDP_STYLES_ITEM_CATEGORY

ID interne : IDP_STYLES_ITEM_CATEGORY

Catégorie

Texte libre pour catégoriser le style ou le groupe de styles.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

Category


IDP_STYLES_ITEM_DESCRIPTION

ID interne : IDP_STYLES_ITEM_DESCRIPTION

Beschreibung

Description libre du style ou du groupe de styles.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être adressée comme suit pour l’API zenon (avec nom de la classe) :

StyleItemDescription


IDP_STYLES_ITEM_GUID

ID interne : IDP_STYLES_ITEM_GUID

ID

Identifiant du style ou du groupe de styles.
Affichage uniquement, aucune modification possible.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être adressée comme suit pour l’API zenon (avec nom de la classe) :

StyleItemGuid


IDP_STYLES_ITEM_NAME

ID interne : IDP_STYLES_ITEM_NAME

Name

Nom librement définissable du style ou du groupe de styles.
Les noms :

  • Doivent être uniques pour les groupes de styles et les styles dans un groupe de styles
  • Ne doivent pas être vides
  • Ne doivent pas uniquement contenir des espaces
  • Ne doivent pas contenir les caractères suivants : / \ . : * ? < > | " ' # % @

Par défaut : [saisie]+ numérotation consécutive

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être adressée comme suit pour l’API zenon (avec nom de la classe) :

StyleItemName


IDP_STYLES_ITEM_TYPE

ID interne : IDP_STYLES_ITEM_TYPE

Typ

Type de style.
Affichage uniquement, aucune modification possible.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être adressée comme suit pour l’API zenon (avec nom de la classe) :

StyleItemType


IDP_SYS_AUTHORIZATION_AVAILABLE

ID interne : IDP_SYS_AUTHORIZATION_AVAILABLE

Disponible sur cet ordinateur

Variable d’affichage de l’ordinateur appelé pour ce groupe d’équipements via l’autorisation d’utilisation correspondante.

Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de variables. Seules les variables du projet local et du type de données BOOL peuvent être sélectionnées et liées.

Nous vous recommandons de créer ces variables liées pour le driver interne. Configurez la propriété Calcul pour cette variable également, dans le groupe de propriétés Variable interne de la variable, avec la valeur local.

Remarque : uniquement disponible si l’option Modèle d’équipement pertinent pour l’autorisation d’utilisation a été activée dans le groupe de propriétés Général du modèle d’équipement.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être adressée comme suit pour l’API zenon (avec nom de la classe) :

AuthorizationAvailable


IDP_SYS_AUTHORIZATION_OWNER

ID interne : IDP_SYS_AUTHORIZATION_OWNER

Autorisation d'opération à l'ordinateur

Variable d’affichage du nom de l’ordinateur détenant actuellement l’autorisation d’utilisation correspondant à ce groupe d’équipements.

Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de variables. Seules les variables du projet local et du type de données STRING peuvent être sélectionnées et liées.
Nous vous recommandons de créer ces variables liées pour le Internen Treiber. Configurez la propriété Calcul pour cette variable également, dans le groupe de propriétés Variable interne de la variable, avec la valeur network.

Remarque : uniquement disponible si l’option Modèle d’équipement pertinent pour l’autorisation d’utilisation a été activée dans le groupe de propriétés Général du modèle d’équipement.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être adressée comme suit pour l’API zenon (avec nom de la classe) :

AuthorizationOwner


IDP_TEXTLIST_CEL_LOGGING

ID interne : IDP_TEXTLIST_CEL_LOGGING

Listes contextuelles

Disponible uniquement si la propriété Gestion des événements active est active.

  • Pas de traitement : L’édition de la liste contextuelle n’est pas consignée dans la liste CEL.
  • Registre des listes contextuelles : l’apport de modifications à la liste contextuelle est consigné, toutefois, sans informations détaillées.
  • Registre des listes contextuelles et des textes : les modifications apportées à la liste contextuelle sont enregistrées avec des informations détaillées ; ces modifications incluent notamment :
    • Création de nœuds et de textes
    • Importation de la liste contextuelle au format XML
    • Modification de textes (nom et description)
    • Affichage de textes comme supprimés/non supprimés

Par défaut : Pas de traitement.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

TextListChangeToCEL


IDP_TEXTSTYLE

ID interne : IDP_TEXTSTYLE

Style de texte

Affichage et sélection du style de texte attribué à l’élément.

Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de style.
Si plusieurs éléments ont été sélectionnés, ils peuvent être attribués à un style commun.

Remarque : Seules les propriétés compatibles avec l’élément correspondant sont prises en charge.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

TextStyle


IDP_TEXTSTYLE2

ID interne : IDP_TEXTSTYLE2

Style de texte

Affichage et sélection du style de texte attribué à l’élément.

Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de style.
Si plusieurs éléments ont été sélectionnés, ils peuvent être attribués à un style commun.

Remarque : Seules les propriétés compatibles avec l’élément correspondant sont prises en charge.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

TextStyle2


IDP_TEXTSTYLE2_SELECTION

ID interne : IDP_TEXTSTYLE2_SELECTION

Style de texte pour la sélection

Affichage et sélection du style de texte attribué à l’élément lors de la sélection.

Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de style.
Si plusieurs éléments ont été sélectionnés, ils peuvent être attribués à un style commun.

Remarque : Seules les propriétés compatibles avec l’élément correspondant sont prises en charge.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

TextStyleForSelected


IDP_TIMESTYLE

ID interne : IDP_TIMESTYLE

Style de représentation du temps

Affichage et sélection du style d’affichage de l’heure attribué à l’élément.

Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de style.
Si plusieurs éléments ont été sélectionnés, ils peuvent être attribués à un style commun.

Remarque : Seules les propriétés compatibles avec l’élément correspondant sont prises en charge.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

TimeStyle


IDP_TRANSFORMATION_ORDER

ID interne : IDP_TRANSFORMATION_ORDER

Ordre de transformation

Définit la séquence de transformation des éléments graphiques. Ceci a un effet sur l’affichage de l’élément graphique durant l’agrandissement et la rotation de celui-ci.

  • Rotation -> Zoom -> Translation
  • Zoom -> Rotation -> Translation

Par défaut : Zoom -> Rotation -> Translation

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

TransformationOrder


IDP_TRENDELE_LINETYPES

ID interne : IDP_TRENDELE_LINETYPES

Type de ligne

Sélection du type de ligne.
Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection.
Remarque : Le type transparent n’est pas disponible pour cet élément.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être adressée comme suit pour l’API zenon (avec nom de la classe) :

CurveType


IDP_TYPE_EXTERNAL_REFERENCE

ID interne : IDP_TYPE_EXTERNAL_REFERENCE

Référence externe

Identifiant unique des composants de zenon, disponibles pour :

  • Projets
  • Drivers
  • Types de données
  • Variables
  • Matrices de réaction
  • Fonctions
  • Synoptiques
  • Styles

La propriété peut être utilisée comme identifiant pour des outils de configuration de projet externes. L’accès en lecture ou en écriture via l’interface utilisateur d’Editor dépend de la configuration du paramètre Référence externe éditable. La Référence externe peut toujours être décrite à l’aide de l’API de zenon.

Par défaut : Vide

Longueur maximale : 255 caractères

Note :

  • Si un type de données simple ou un type de données de structure est créé avec un Copier-Coller, cette propriété est vide.
  • Si un nouveau type de données de structure est créé sur la base d’un type de données existant, la valeur de la propriété Référence externe n’est pas transférée par le type de données d’origine.
  • Il n’est pas transféré pour les éléments de structure embarqués.
  • Si le type de données est modifié avec un type de données de structure embarquées, la valeur Référence externe issu du type précédent est transférée vers le nouveau type de données.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

CPropExternalNames::szExternalReference


IDP_UNIVERSALSLIDERSTYLE

ID interne : IDP_UNIVERSALSLIDERSTYLE

Style de curseur universel

Affichage et sélection du style de la réglette universelle attribuée à l’élément.

Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de style.
Si plusieurs éléments ont été sélectionnés, ils peuvent être attribués à un style commun.

Remarque : Seules les propriétés compatibles avec l’élément correspondant sont prises en charge.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

UniversalSliderStyle


IDP_USER_LOGIN_CODE

ID interne : IDP_USER_LOGIN_CODE

Code de connexion

Saisie du code de connexion pour la connexion sans mot de passe.

Les considérations suivantes s’appliquent au code de connexion :

  • doit être unique dans le projet.
    Remarque : Si le même code de connexion est défini pour un utilisateur dans le projet local et le projet global, l’utilisateur du projet global n’est pas transféré lors de la création des fichiers de Runtime dans Editor. Un message d’erreur correspondant s’affiche dans la fenêtre de résultats. Si le code de connexion est modifié dans le Runtime, il ne doit pas être identique au code d’un utilisateur du projet global.
  • Il peut être vide.
    Il est ainsi désactivé pour cet utilisateur.
  • Longueur maximale : 1000 caractères
  • Ne doit pas uniquement contenir des espaces.
  • Le code ne doit pas commencer ou se terminer par des espaces.
  • Tous les autres caractères sont autorisés.

Par défaut : (vide)

En cas de saisie d’un code de connexion non valide, ce paramètre n’est pas appliqué lors de la validation du champ ; la valeur originale est rétablie.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

UserLoginCode


IDP_USER_LOGIN_RTP

ID interne : IDP_USER_LOGIN_RTP

Profil runtime

Sélection du profil de Runtime devant être attribué à l’utilisateur lors de la connexion. Profils possibles :

aucune : aucun profil n’est attribué

DEFAULT : le profil DEFAULT est attribué.

LAST : le profil LAST est attribué.

Par défaut : Aucun

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

LoginRTP


IDP_VALUE_LEADING_ZEROS

ID interne : IDP_VALUE_LEADING_ZEROS

Montrer les zéros devant le nombre

Uniquement disponible si, pour la propriété Base pour l'affichage de valeurs, le paramètre Binaire, Décimal, Hexadécimal ou Octal a été sélectionné.

Définit si les zéros placés devant le nombre doivent également être affichés lors de l’affichage des valeurs numériques.

  • Inactive : Les zéros situés devant les valeurs sont supprimés.
  • Active : Les valeurs numériques sont affichées avec un nombre de chiffres variables en fonction de leur base. Les chiffres qui ne sont pas utilisés par la valeur numérique sont remplacés par des zéros placés avant la valeur numérique.

Par défaut : Inactive

Les paramètres suivants sont disponibles pour les différentes bases :

  • Binaire : 32 chiffres
  • Décimal : 10 chiffres
  • Hexadécimal : 8 chiffres
  • Octal : 11 chiffres

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

ShowLeadingZeros


IDP_VALUESTYLE

ID interne : IDP_VALUESTYLE

Style d'affichage de la valeur

Affichage et sélection du style d’affichage de la valeur attribué à l’élément.

Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de style.
Si plusieurs éléments ont été sélectionnés, ils peuvent être attribués à un style commun.

Remarque : Seules les propriétés compatibles avec l’élément correspondant sont prises en charge.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

ValueStyle


IDP_VAR_ALARMEQUIP

ID interne : IDP_VAR_ALARMEQUIP

Utiliser la gestion d'alarmes hiérarchiques du modèle d'équipement

Type d’attribution de la variable à un domaine d’alarmes.

  • Active :
    Le domaine d’alarmes de la variable est transféré par le modèle d’équipement. L’alarme de la variable est applicable aux domaines d’alarmes définis dans le modèle d’équipement. Dans ce cas, le groupe d’équipements de la variable et le groupe d’équipements de niveau supérieur du modèle d’équipement sont pris en compte.
  • Inactive :
    L'alarme sur la variable est applicable aux domaines d’alarmes 1 à 4 de la gestion d’alarmes.

Remarque : Si cette propriété est activée pour un type de données, les paramètres de toutes les variables issues de celle-ci sont transférés.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

AlarmViaEquipmentModel


IDP_VAR_EXTREF

ID interne : IDP_VAR_EXTREF

Référence externe

Identifiant unique des composants de zenon, disponibles pour :

  • Projets
  • Drivers
  • Types de données
  • Variables
  • Matrices de réaction
  • Fonctions
  • Synoptiques
  • Styles

La propriété peut être utilisée comme identifiant pour des outils de configuration de projet externes. L’accès en lecture ou en écriture via l’interface utilisateur d’Editor dépend de la configuration du paramètre Référence externe éditable. La Référence externe peut toujours être décrite à l’aide de l’API de zenon.

Par défaut : Vide

Longueur maximale : 255 caractères

Remarque : L’importation et l’exportation au format XML sont prises en charge.
Si une variable est créée avec un Copier-Coller, cette propriété est vide.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

CPropExternalNames::szExternalReference


IDP_VERRIEG_LISTCONFIG

ID interne : IDP_VERRIEG_LISTCONFIG

Configuration de la liste

Configuration de l’élément de contrôle Tous les verrouillages sur un synoptique de type Commande.

Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de configuration.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être adressée comme suit pour l’API zenon (avec nom de la classe) :

ListConfig


IDP_VERTICAL_ALIGN2

ID interne : IDP_VERTICAL_ALIGN2

Alignement vertical

Orientation verticale du titre pour l’affichage.
Sélection dans une liste déroulante :

  • En haut
  • En bas
  • Centré

Par défaut : Centré.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

TitleVerticalAlign


IDP_VOIP_ENCRYPTION

ID interne : IDP_VOIP_ENCRYPTION

Verschlüsselung

Description as text.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être adressée comme suit pour l’API zenon (avec nom de la classe) :

VoiceIP_Encryption


IDP_VOIP_RTP_PORT_END

ID interne : IDP_VOIP_RTP_PORT_END

Port RTCP

Numéro du port RTP.
Celui-ci ne peut pas être configuré. Il est automatiquement configuré avec une valeur supérieure de 1 à celle du Port RTP.

  • Minimum : 1
  • Maximum : 65535

Par défaut : 4001

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être adressée comme suit pour l’API zenon (avec nom de la classe) :

VoiceIP_SipRtpPortEnd


IDP_VOIP_RTP_PORT_START

ID interne : IDP_VOIP_RTP_PORT_START

Port RTP

Numéro du port RTP.

  • Minimum : 0
  • Maximum : 65534

Par défaut : 4000

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être adressée comme suit pour l’API zenon (avec nom de la classe) :

VoiceIP_SipRtpPortStart


IDP_VOIP_SIP_PORT

ID interne : IDP_VOIP_SIP_PORT

Port SIP

Numéro du port SIP.

  • Minimum : 0
  • Maximum : 65535

Par défaut : 5060

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être adressée comme suit pour l’API zenon (avec nom de la classe) :

VoiceIP_SipPort


IDP_VOIP_TLS_PORT

ID interne : IDP_VOIP_TLS_PORT

SIP-TLS-Port

Description as text.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être adressée comme suit pour l’API zenon (avec nom de la classe) :

VoiceIP_SipTlsPort


IDP_WIZARDEXTENSION_CATEGORY

ID interne : IDP_WIZARDEXTENSION_CATEGORY

Catégorie

Description sous forme de texte.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être adressée comme suit pour l’API zenon (avec nom de la classe) :

Category


IDP_WIZARDEXTENSION_DESCRIPTION

ID interne : IDP_WIZARDEXTENSION_DESCRIPTION

Description

Description sous forme de texte.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être adressée comme suit pour l’API zenon (avec nom de la classe) :

Description


IDP_WIZARDEXTENSION_GROUP

ID interne : IDP_WIZARDEXTENSION_GROUP

GRP_General

Description sous forme de texte.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être adressée comme suit pour l’API zenon (avec nom de la classe) :

GRP_General


IDP_WIZARDEXTENSION_NAME

ID interne : IDP_WIZARDEXTENSION_NAME

Nom

Description sous forme de texte.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être adressée comme suit pour l’API zenon (avec nom de la classe) :

Name


IDP_WSP_MON_FRAME_CX

ID interne : IDP_WSP_MON_FRAME_CX

Largeur de la fenêtre du runtime [pixel]

Largeur de la fenêtre principale dans le Runtime, en pixels.

Remarque : Ce paramètre est uniquement applicable sur l’ordinateur local.

Plage de valeurs : 0 à 65,535
par défaut : 0 (automatique)

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

RTMainFrame_CX


IDP_WSP_MON_FRAME_CY

ID interne : IDP_WSP_MON_FRAME_CY

Hauteur de la fenêtre du runtime [pixel]

Hauteur de la fenêtre principale dans le Runtime, en pixels.

Remarque : Ce paramètre est uniquement applicable sur l’ordinateur local.

Plage de valeurs : 0 à 65,535
par défaut : 0 (automatique)

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

RTMainFrame_CY


IDP_WSP_MON_GRP

ID interne : IDP_WSP_MON_GRP

Taille du runtime local

Groupe de configuration multi-projets de la taille de la fenêtre dans le Runtime.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être adressée comme suit pour l’API zenon (avec nom de la classe) :

CompMonSettings


IDS_A_GERAET

ID interne : IDS_A_GERAET

A-Device

Numéro de l’appareil A.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

DeviceA


IDS_ANIMATION

ID interne : IDS_ANIMATION

Animation GIF

Propriétés de l’animation si un fichier GIF animé est utilisé.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

Animation


IDS_B_GERAET

ID interne : IDS_B_GERAET

B-Device

Numéro de l’appareil B.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

DeviceB


IDS_BACNETNG_DATATYPE

ID interne : IDS_BACNETNG_DATATYPE

BACnet data type

Définissez de quelle manière une variable numérique ou une variable de type chaîne sera liée à une propriété BACnet. Sélectionnez le type de données souhaité dans la liste déroulante. Vous trouverez la description des types de données possibles dans le manuel en ligne.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

BACnetDataType


IDS_BACNETNG_EVENTSTATE

ID interne : IDS_BACNETNG_EVENTSTATE

BACnet event state

Affiche l’état de l’événement sous forme de nombre. Dans ce cas, vous pouvez saisir un texte libre correspondant à l’état de l’événement.

Valeurs :

-1 : le texte est utilisé

0 : Normal

1 : Fault

2 : Anormal

3 : Limite supérieure

4 : Limite inférieure

5 : Alarme de sécurité des personnes

Par défaut : -1

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

BACnetEventState


IDS_BACNETNG_PROPERTYID

ID interne : IDS_BACNETNG_PROPERTYID

BACnet property ID

Définissez l’identifiant de propriété pour les propriétés spécifiques à l’utilisateur, ou si vous ne souhaitez pas mentionner la propriété dans le nom de l’identifiant.

Remarque : si vous définissez -1 (et uniquement dans ce cas), la propriété est déterminée via le nom ou l’identification.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

BACnetPropertyID


IDS_BACNETNG_STRINGLENGTH

ID interne : IDS_BACNETNG_STRINGLENGTH

BACnet string length

Uniquement disponible si vous avez sélectionné le type de données BITSTRING pour la propriété BACnet data type.

Définissez la longueur en bits des chaînes de bits.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

BACnetStringLength


IDS_BACNETNG_WRITEPRIORITY

ID interne : IDS_BACNETNG_WRITEPRIORITY

BACnet write priority

Saisissez la priorité d’écriture de la variable. Si vous saisissez 0, la variable est écrite sans priorité d’écriture.

Les valeurs possibles sont 0 à 16.

Priorité la plus basse : 16

Priorité la plus élevée : 1

Par défaut : 0

Pour réinitialiser la priorité d’une valeur écrite, c’est-à-dire pour réinitialiser le bit dans le priority-array, une variable supplémentaire est requise. La variable doit être du type de données String, faire référence au même objet et posséder un BACnet property ID et un BACnet data type "NULL" identiques. Vous définissez une chaîne vide pour cette variable (via la fonction d’écriture de valeur prescrite, par exemple). La BACnet write priority est réinitialisée ; la valeur prescrite précédemment définie avec cette priorité est supprimée.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

BACnetWritePriority


IDS_BAZ_WERT

ID interne : IDS_BAZ_WERT

Befehlsausgabezeit

Befehlsausgabezeit

TK160: Befehlsausgabezeit in ms

IEC Datentypen:

0… wie in AX parametriert

1… kurz

2… mittel

3… lang

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

BAZ_WERT


IDS_BAZ_WERT_ENG

ID interne : IDS_BAZ_WERT_ENG

Command output time

TI160: Command output time in ms

IEC Data types:

0… as parameterized in AX

1… short

2… medium

3… long

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

BAZ_WERT


IDS_BITSIZE

ID interne : IDS_BITSIZE

BitSize

Taille de bit de l’automate.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

NGBitsize


IDS_C_GERAET

ID interne : IDS_C_GERAET

C-Device

Numéro de l’appareil C.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

DeviceC


IDS_CTI_SECONDARYOBJECT

ID interne : IDS_CTI_SECONDARYOBJECT

Secondary object

Déclare le type d’objet secondaire pour :

- Temps/compteur

- Cylindre

- Variable de boucle

- Variable d’alarme

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

SecondaryObject


IDS_DATENPUNKT

ID interne : IDS_DATENPUNKT

Datapoint

Numéro de point de données du DDC.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

Datapoint


IDS_DLL

ID interne : IDS_DLL

Dll

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

Dll


IDS_DP_GERAET

ID interne : IDS_DP_GERAET

Datapoint to...

Équipement concerné par l’adressage, par ex. : équipement B.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

DeviceDp


IDS_DP_TYPE

ID interne : IDS_DP_TYPE

Telegrammkennung

Telegrammtyp, Typkennung

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

DP_TYPE


IDS_DP_TYPE_ENG

ID interne : IDS_DP_TYPE_ENG

Telegram Identifier

Telegram type, Message type

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

DP_TYPE


IDS_DYNAMICFARBE

ID interne : IDS_DYNAMICFARBE

Couleur(s) de remplissage dynamique(s)

Définition les propriétés Couleur de remplissage et Couleur du dégradé de l’élément via les couleurs des valeurs limite des variables sélectionnées.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

Colors_Dynamic


IDS_DYNAMISCH

ID interne : IDS_DYNAMISCH

Dimensions et rotation dynamiques

Propriétés dynamiques de l’élément.
L'affichage de l’élément est adapté de manière dynamique par le biais des états des variables dans le Runtime. Indisponible dans les projets exécutés sous Windows CE.

Remarque : Les paramètres de ce groupe n’affectent pas l’affichage de certains éléments de contrôle sur les synoptiques.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

Dynamic


IDS_EIB_ADRESSE

ID interne : IDS_EIB_ADRESSE

EIB-Address

Les propriétés suivantes sont utilisées pour l’adressage du driver EibV2_32.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

EIB-Address


IDS_EKANAL

ID interne : IDS_EKANAL

Ersatz-PV

Ersatzvariable

Im Fehlerfall wird auf den Wert dieser Variablen umgeschaltet.

(siehe auch Parameter "Invalid-Behandlung")

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

EW_EKANAL


IDS_EKANAL_ENG

ID interne : IDS_EKANAL_ENG

Substitute variable

Substitute variable

In case of invalid state will be switched over to the value of this variable.

(see also parameter "Invalid treatment")

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

EW_EKANAL


IDS_ELE_PROP_DREHEN

ID interne : IDS_ELE_PROP_DREHEN

Rotation

Rotation de l’élément en fonction de la valeur de la variable.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

Twist


IDS_ELE_PROP_XRICHTUNG

ID interne : IDS_ELE_PROP_XRICHTUNG

Position X dynamique

Déplacement horizontal de l’élément en fonction de la valeur de la variable sélectionnée.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

XPos


IDS_ELE_PROP_XZOOMEN

ID interne : IDS_ELE_PROP_XZOOMEN

Modification largeur

La longueur de l’élément dépend de la valeur de la variable sélectionnée.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

XZoom


IDS_ELE_PROP_YRICHTUNG

ID interne : IDS_ELE_PROP_YRICHTUNG

Position Y dynamique

Déplacement vertical de l’élément en fonction de la valeur de la variable sélectionnée.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

YPos


IDS_ELE_PROP_YZOOMEN

ID interne : IDS_ELE_PROP_YZOOMEN

Modification hauteur

Hauteur de l’élément en fonction de la valeur de la variable sélectionnée.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

YZoom


IDS_ETS2_DATABASE

ID interne : IDS_ETS2_DATABASE

ETS Database

Sélection d’un fichier de configuration de projet ETS. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de la base de données.
Les variables configurées peuvent ainsi être remplacées ultérieurement par des informations provenant d’un fichier ESF.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

ETS2Database


IDS_EW

ID interne : IDS_EW

Ersatzwert

Ersatzwert auf den umgeschaltet wird.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

EW


IDS_EW_ENG

ID interne : IDS_EW_ENG

Substitute value

Substitute value to be switched on

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

EW


IDS_EWB

ID interne : IDS_EWB

auf Ersatzwert schalten

Auf Ersatzwert schalten

Aktiv: Ersatzwert wird verwendet

Inaktiv: Ersatzwert wird nicht verwendet

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

EWB


IDS_EWB_ENG

ID interne : IDS_EWB_ENG

Toggle to substitute value

Switch to substitute value

Active: Substitute value will be used

Inactive: Substitute value will not be used

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

EWB


IDS_EWB_INI

ID interne : IDS_EWB_INI

Ersatzwert/Normalzustand initialisieren

Ersatzwert Initialisierung

Aktiv: Ersatzwert in der Runtime wird durch Normalzustand überschrieben

Inaktiv: Ersatzwert wird beibehalten

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

EWB_INI


IDS_EWB_INI_ENG

ID interne : IDS_EWB_INI_ENG

Inititialize substitute value/normal state

Initialization of substitute value

Active: Substitute value will be overwritten in runtime by normal state

Inactive: Substitute value will be kept

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

EWB_INI


IDS_FOCUS_LINECOLOR

ID interne : IDS_FOCUS_LINECOLOR

Couleur de la ligne de focus

Définissez la couleur du cadre qui identifie l’objet sélectionné dans le Runtime. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de couleurs ou de palettes de couleurs. La saisie peut également être effectuée directement dans le champ, sous forme de valeur hexadécimale précédée de #.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

FocusLineColor


IDS_FOCUS_LINEWIDTH

ID interne : IDS_FOCUS_LINEWIDTH

Epaisseur ligne de focus

Définissez la largeur de trait du cadre qui identifie l’objet sélectionné dans le Runtime.

Par défaut : 3 pixels

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

FocusLineWidth


IDS_GA

ID interne : IDS_GA

GA-Antwort

Antwort auf Generalabfrage

Aktiv: Datenpunkt wird bei Generalabfrage gesendet

Inaktiv: Datenpunkt wird bei Generalabfrage nicht gesendet

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

GA


IDS_GA_ENG

ID interne : IDS_GA_ENG

GI-Reply

Datapoint answers to General request

Active: Datapoint will be sent at General request

Inactive: Datapoint will not be sent at General request

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

GA


IDS_GLOW_BLINKVAR_PREVIEW

ID interne : IDS_GLOW_BLINKVAR_PREVIEW

Affichage aperçu clignotement

Affichage de la valeur limite définie pour la variable de clignotement lorsque l’effet de luminescence est actif. Disponible uniquement si l’option Depuis la variable a été configurée pour la propriété Variable pour le clignotement.

Un aperçu des propriétés définies pour la valeur limite est affiché dans le champ. Aucun aperçu n’est affiché pour les matrices de réaction.
Cliquez sur le bouton ... pour ouvrir la boîte de dialogue d’affichage des résultats. Les valeurs limite sont uniquement affichées ; elles ne peuvent pas être modifiées. Les modifications doivent être effectuées directement dans les propriétés de la variable pour Valeurs limite.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être adressée comme suit pour l’API zenon (avec nom de la classe) :

GlowEffectBlinkVariablePreview


IDS_GLOW_COLORVAR_PREVIEW

ID interne : IDS_GLOW_COLORVAR_PREVIEW

Affichage aperçu couleur

Affichage de la valeur limite définie pour la variable de couleur lorsque l’effet de luminescence est actif. Disponible uniquement si l’option Depuis la variable a été configurée pour la propriété Variable pour la couleur.

Un aperçu des propriétés définies pour la valeur limite est affiché dans le champ. Aucun aperçu n’est affiché pour les matrices de réaction.
Cliquez sur le bouton ... pour ouvrir la boîte de dialogue d’affichage des résultats. Les valeurs limite sont uniquement affichées ; elles ne peuvent pas être modifiées. Les modifications doivent être effectuées directement dans les propriétés de la variable pour Valeurs limite.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être adressée comme suit pour l’API zenon (avec nom de la classe) :

GlowEffectGlowColorVariablePreview


IDS_GLOW_VISVAR_PREVIEW

ID interne : IDS_GLOW_VISVAR_PREVIEW

Affichage aperçu visibilité

Affichage de la valeur limite définie pour la variable de visibilité lorsque l’effet de luminescence est actif. Disponible uniquement si l’option Depuis la variable a été configurée pour la propriété Variable pour la visibilité.

Un aperçu des propriétés définies pour la valeur limite est affiché dans le champ. Aucun aperçu n’est affiché pour les matrices de réaction.
Cliquez sur le bouton ... pour ouvrir la boîte de dialogue d’affichage des résultats. Les valeurs limite sont uniquement affichées ; elles ne peuvent pas être modifiées. Les modifications doivent être effectuées directement dans les propriétés de la variable pour Valeurs limite.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être adressée comme suit pour l’API zenon (avec nom de la classe) :

GlowEffectVisibilityVariablePreview


IDS_GT

ID interne : IDS_GT

GT (Wdh.-rate in ms)

Befehlszykluszeit (Retriggerzeit) in ms

Regulierbefehle, Retriggerbefehle

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

GT


IDS_GT_ENG

ID interne : IDS_GT_ENG

GT [ms]

Command cycle (retriggered) time in ms

Regulating-, triggered commands

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

GT


IDS_HAUPTGRUPPE

ID interne : IDS_HAUPTGRUPPE

Main group

Saisissez le numéro du groupe principal souhaité.

Minimum : 0

Maximum : 31

Par défaut : 0

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

MainGroup


IDS_HGFARBE_VARIABLE

ID interne : IDS_HGFARBE_VARIABLE

Couleur de remplissage

Nom de la variable dont les couleurs de valeur limite doivent influencer la couleur d’arrière-plan/de remplissage de l’élément.
Ouvre la boîte de dialogue de sélection de variables.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

BackColorVariable


IDS_HGFARBE_VARIABLE2

ID interne : IDS_HGFARBE_VARIABLE2

Couleur du dégradé

Nom de la variable dont la couleur de valeur limite doit influencer la couleur de dégradé de l’élément.
Cliquez sur le champ de saisie pour ouvrir la boîte de dialogue de sélection de variable.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

BackColorVariable2


IDS_HGFARBE_VARIABLE2_PREVIEW

ID interne : IDS_HGFARBE_VARIABLE2_PREVIEW

Affichage aperçu couleur

Affichage de la valeur limite pour la propriété Couleur du dégradé définie pour la variable. Disponible uniquement si l’option Depuis la variable a été configurée pour la propriété Couleur du dégradé.

Un aperçu des propriétés définies pour la valeur limite est affiché dans le champ. Aucun aperçu n’est affiché pour les matrices de réaction.
Cliquez sur le bouton ... pour ouvrir la boîte de dialogue d’affichage des résultats. Les valeurs limite sont uniquement affichées ; elles ne peuvent pas être modifiées. Les modifications doivent être effectuées directement dans les propriétés de la variable pour Valeurs limite.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être adressée comme suit pour l’API zenon (avec nom de la classe) :

BackColorVariable2Preview


IDS_I_BIT

ID interne : IDS_I_BIT

Invalid-Behandlung

keine: keine Behandlung.

letzter gültiger Wert: Umschaltung auf Ersatzwertabbild mit letzem ungestörtem Wert.

Umschaltung auf Ersatzwert: Umschaltung auf Ersatzwertabbild; Wert von parametriertem Ersatzwert.

Umschaltung auf Ersatz-PV: Umschaltung auf Ersatzwertabbild; Wert von der Ersatz-PV.

Ersatzwert nachführen: Umschaltung auf Ersatzwertabbild; Wert muss händisch nachgeführt werden.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

I_BIT


IDS_I_BIT_ENG

ID interne : IDS_I_BIT_ENG

Invalid treatment

Invalid treatment

No: no treatment

Last valid value: switch to substitute image; using last valid value

Toggle to substitute value: switch to substitute image; using parameterized substitute value

Toggle to substitute PV: switch to substitute image; using value from substitute PV

Correct substitute value: switch to substitute image; value must be corrected manually

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

I_BIT


IDS_IEC61850_ADDR

ID interne : IDS_IEC61850_ADDR

IEC61850-Address

IEC Adresse IEC61850.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

I61850_ADR


IDS_IEC61850_CDC

ID interne : IDS_IEC61850_CDC

CDC

Classe CDC.

Spécifie la classe CDC pour l’extension "Nœud logique"

Par défaut : Par défaut

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

I61850_CDC


IDS_IEC61850_EWB

ID interne : IDS_IEC61850_EWB

Toggle to substitute value

Basculer vers valeur de remplacement

Active : Valeur actuelle = Valeur de remplacement

Inactive : Valeur actuelle = Valeur du procédé

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

EWB


IDS_IEC61850_EWB_INI

ID interne : IDS_IEC61850_EWB_INI

Inititialize substitute value

Initialiser la valeur de remplacement/l’état normal.

Active : la valeur de remplacement dans le Runtime sera remplacée par l’état du procédé.

Inactive : la valeur de remplacement sera conservée.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

EW_INI


IDS_IEC61850_GOOSE_ATTR1

ID interne : IDS_IEC61850_GOOSE_ATTR1

GOOSE Attr1

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

GOOSE_ATTR1


IDS_IEC61850_GOOSE_ATTR1_POS

ID interne : IDS_IEC61850_GOOSE_ATTR1_POS

GOOSE Attr1 dataset position

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

GOOSE_ATTR1_POS


IDS_IEC61850_GOOSE_ATTR2

ID interne : IDS_IEC61850_GOOSE_ATTR2

GOOSE Attr2

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

GOOSE_ATTR2


IDS_IEC61850_GOOSE_ATTR2_POS

ID interne : IDS_IEC61850_GOOSE_ATTR2_POS

GOOSE Attr2 dataset position

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

GOOSE_ATTR2_POS


IDS_IEC61850_GOOSE_ATTR3

ID interne : IDS_IEC61850_GOOSE_ATTR3

GOOSE Attr3

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

GOOSE_ATTR3


IDS_IEC61850_GOOSE_ATTR3_POS

ID interne : IDS_IEC61850_GOOSE_ATTR3_POS

GOOSE Attr3 dataset position

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

GOOSE_ATTR3_POS


IDS_IEC61850_GOOSE_ATTR4

ID interne : IDS_IEC61850_GOOSE_ATTR4

GOOSE Attr4

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

GOOSE_ATTR4


IDS_IEC61850_GOOSE_ATTR4_POS

ID interne : IDS_IEC61850_GOOSE_ATTR4_POS

GOOSE Attr4 dataset position

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

GOOSE_ATTR4_POS


IDS_IEC61850_GOOSE_ATTR5

ID interne : IDS_IEC61850_GOOSE_ATTR5

GOOSE Attr5

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

GOOSE_ATTR5


IDS_IEC61850_GOOSE_ATTR5_POS

ID interne : IDS_IEC61850_GOOSE_ATTR5_POS

GOOSE Attr5 dataset position

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

GOOSE_ATTR5_POS


IDS_IEC61850_GOOSE_IDX

ID interne : IDS_IEC61850_GOOSE_IDX

GOOSE Index

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

GOOSE_INDEX


IDS_IEC61850_IBIT

ID interne : IDS_IEC61850_IBIT

Invalid treatment

Traitement non valide.

Aucun : pas de traitement.

Dernière valeur valide : Basculer vers l’image de la valeur de remplacement comportant la dernière valeur valide.

Basculer vers valeur de remplacement Basculer vers l’image de la valeur de remplacement ; valeur de la valeur de remplacement paramétrée.

Basculer vers variable de remplacement : Basculer vers l’image de la valeur de remplacement ; valeur de la variable de remplacement.

Correction manuelle de la valeur de remplacement : Basculer vers l’image de la valeur de remplacement ; la valeur doit être actualisée manuellement.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

I_BIT


IDS_IEC61850_LANNR

ID interne : IDS_IEC61850_LANNR

IEC61850-Stationnumber

Numéro de station IEC 61850.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

I61850_LAN


IDS_IEC61850_MERKER

ID interne : IDS_IEC61850_MERKER

Marker

Marqueur

Active : variable sans référence de procédé (l’adresse ne sera pas vérifiée ; utilisée à des fins internes).

Inactive : la variable sera actualisée par le procédé.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

MERKER


IDS_IEC61850_ST_SAVE

ID interne : IDS_IEC61850_ST_SAVE

Save state

État de sauvegarde.

Active : L’état des variables sera enregistré sur le disque dur.

Il sera chargé après le redémarrage du Runtime.

Inactive : L’état ne sera pas enregistré.

Par défaut : Inactive

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

ST_SAVE


IDS_IEC61850_VAL_SAVE

ID interne : IDS_IEC61850_VAL_SAVE

Save value

Enregistrer la valeur.

Active : La valeur des variables sera enregistrée sur le disque dur.

Il sera chargé après le redémarrage du Runtime.

Inactive : La valeur ne sera pas enregistrée.

Par défaut : Inactive

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

VAL_SAVE


IDS_IEC61850_WERT

ID interne : IDS_IEC61850_WERT

IEC61850-Value

Valeur IEC 61850.

Cette valeur définit le message ou la commande unique qui sera traitée pour les classes CDC INS, INC, SGCB et ACD.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

I61850_VAL


IDS_IGROUP

ID interne : IDS_IGROUP

iGroup

Groupes d’indices provenant de l’automate.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

NGIGroup


IDS_ILON_DATAPOINT

ID interne : IDS_ILON_DATAPOINT

iLON Datapoint

Cliquez sur le bouton pour établir une connexion au routeur ILON afin de sélectionner des variables.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

iiLonDataPoint


IDS_INOUT

ID interne : IDS_INOUT

Prozessrichtung

Prozessrichtung

Empfangen: Datenpunkt wird nur empfangen (z.B. Meldungen, Messwerte)

Senden: Datenpunkt wird gesendet (z.B. Befehle, Sollwerte).

Damit ein Datenpunkt gesendet werden kann, muss auch SW setzen aktiv aktiviert sein (siehe "Sollwert setzen").

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

Send


IDS_INOUT_ENG

ID interne : IDS_INOUT_ENG

Prozess direction

Process direction

Receive: Datapoint will be received only (e.g. messages, measuring values)

Send: Datapoint will be sent (e.g. commands, setpoints).

To be able to be sent, the datapoint has to have also the Set value active property active (see "Set value").

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

Send


IDS_KURVE_NEU

ID interne : IDS_KURVE_NEU

Courbes

Propriétés des courbes des éléments tendance.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

Curves


IDS_LINIENFARBE_VARIABLE

ID interne : IDS_LINIENFARBE_VARIABLE

Couleur de ligne

Nom des variables dont les couleurs de valeur limite doivent influencer la couleur de ligne/de texte de l’élément. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de variables.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

LineColorVariable


IDS_LOGID

ID interne : IDS_LOGID

Log ID

Saisissez l’adresse du journal (ID de journal) dans l’automate.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

Log ID


IDS_LON_DATABASE

ID interne : IDS_LON_DATABASE

LON Database

Cliquez sur le bouton pour ouvrir la base de données LON afin de sélectionner des variables.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

LonDatabase


IDS_MERKER

ID interne : IDS_MERKER

Merker

Aktiv: Variable ohne Prozessbezug (Adresse wird nicht geprüft; für interne Verwendung)

siehe auch Interntreiber

Inaktiv: Variable wird vom Prozess aktualisiert

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

MERKER


IDS_MERKER_ENG

ID interne : IDS_MERKER_ENG

Marker

Active: Datapoint will not be updated by process value (can be used as internal variable, doesn't need a datapoint address)

Inactive: Datapoint will be updated by process value

see also Driver Intern

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

MERKER


IDS_MITTELGRUPPE

ID interne : IDS_MITTELGRUPPE

Middle group

Saisissez le numéro du groupe intermédiaire souhaité.

Minimum : 0

Maximum : 7

Par défaut : 0

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

MiddleGroup


IDS_NG_ADRESSE

ID interne : IDS_NG_ADRESSE

Beckhoff specific

Paramètres de taille de bit et de groupe.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

NGAddress


IDS_NODE

ID interne : IDS_NODE

Node

Saisissez l’adresse de nœud de l’automate.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

Node


IDS_NWMAGENT

ID interne : IDS_NWMAGENT

NWM-Agent kopieren

Avec cette fonction, vous pouvez copier un agent existant vers un nouvel agent.

Le nouvel agent doit déjà exister.

Toutes les variables connexes seront créées.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

NWM-Agent


IDS_NWMPARA

ID interne : IDS_NWMPARA

NWM-Parameter

Ouvre la boîte de dialogue de paramètres.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

NWM-Parameter


IDS_OKT1

ID interne : IDS_OKT1

O1/Region

Regionsnummer bzw. Octet 1 (CASDU1)

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

R_NR


IDS_OKT1_ENG

ID interne : IDS_OKT1_ENG

O1/Region number

Region number or Octet 1 (CASDU1)

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

R_NR


IDS_OKT2

ID interne : IDS_OKT2

O2/Komponente

Komponentennummer bzw. Octet 2 (CASDU2)

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

K_NR


IDS_OKT2_ENG

ID interne : IDS_OKT2_ENG

O2/Component

Component number or Octet 2 (CASDU2)

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

K_NR


IDS_OKT3

ID interne : IDS_OKT3

O3/Baugruppe

Baugruppennummer bzw. Octet 3 (IOA1)

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

B_NR


IDS_OKT3_ENG

ID interne : IDS_OKT3_ENG

O3/Board

Board number or Octet 3 (IOA1)

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

B_NR


IDS_OKT4

ID interne : IDS_OKT4

O4/Wertnummer

Wertnummer bzw. Octet 4 (IOA2)

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

W_NR


IDS_OKT4_ENG

ID interne : IDS_OKT4_ENG

O4/Value number

Value number or Octet 4 (IOA2)

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

W_NR


IDS_OKT5

ID interne : IDS_OKT5

O5/Datenart

Datenart bzw. Octet 5 (IOA3)

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

DA


IDS_OKT5_ENG

ID interne : IDS_OKT5_ENG

O5/Subaddress

Data type or Octet 5 (IOA3)

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

DA


IDS_OKT6

ID interne : IDS_OKT6

Point

Pointnummer bzw. Octet 6

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

PT


IDS_OKT6_ENG

ID interne : IDS_OKT6_ENG

Point

Point number or Octet 6

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

PT


IDS_POS1

ID interne : IDS_POS1

Position 1

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

Position1


IDS_POS2

ID interne : IDS_POS2

Position 2

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

Position2


IDS_PROJEKT_ACTIVE_DIR

ID interne : IDS_PROJEKT_ACTIVE_DIR

Accès à Active Directory

Spécifiez si vous souhaitez utiliser Active Directory, ADAM ou aucun des deux.
Les options suivantes sont disponibles :

  • AD LDS: vous utilisez AD LDS.
    Assurez-vous d’avoir défini les paramètres correspondants pour les propriétés Connexion AD-LDS, Identification utilisateur AD-LDS et Mot de passe AD-LDS.
  • Oui : vous utilisez Active Directory.
  • Non : vous n’accédez pas aux utilisateurs d’ AD LDS ou d’AD.
    Les utilisateurs dans zenon sont totalement indépendants des utilisateurs Windows.

Par défaut : Non

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

UseActiveDirectory


IDS_PROJEKT_DIRS

ID interne : IDS_PROJEKT_DIRS

Stockage fichier

La boîte de dialogue de configuration des chemins du projet s’affiche.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

ProjectPaths


IDS_PROJEKT_INFO

ID interne : IDS_PROJEKT_INFO

Description du projet

La boîte de dialogue de configuration des informations du projet s’affiche.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

ProjectInfo


IDS_PROJEKT_MODIFILES

ID interne : IDS_PROJEKT_MODIFILES

Données modifiables dans le Runtime

La boîte de dialogue de configuration des données modifiables du Runtime est ouverte.
Recettes standard, Recipegroup Manager, module Scheduler ou Production & Facility Scheduler et Gestion des utilisateurs.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

ProjectModidata


IDS_PROJEKT_REMTRANS

ID interne : IDS_PROJEKT_REMTRANS

Transport à distance (Remote Transport)

La boîte de dialogue de configuration du module Remote Transport s’affiche.
Le module Remote Transport est utilisé pour le transport, l’actualisation, le démarrage et l’arrêt d’un projet sur un ordinateur distant, ainsi que l’interrogation de l’état actuel.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

ProjectTransport


IDS_PROPNAME_PLURAL_STYLEITEM

ID interne : IDS_PROPNAME_PLURAL_STYLEITEM

Styles

Propriétés générales du style.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être adressée comme suit pour l’API zenon (avec nom de la classe) :

Styles


IDS_RED

ID interne : IDS_RED

redundante Peripherieadresse

Redundante Adresse

Aktiv: Redundante Adresse verwenden

Inaktiv: Keine redundante Adresse

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

RED


IDS_RED_ENG

ID interne : IDS_RED_ENG

Redundancy Peripheral address

Redundant address

Active: Use redundant address

Inactive: No redundant address

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

RED


IDS_REG

ID interne : IDS_REG

Regulierbefehl

Regulierbefehle, Retriggerbefehle

Aktiv: Befehl ist Regulierbefehl

Inaktiv: Standardbefehl

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

REG


IDS_REG_ENG

ID interne : IDS_REG_ENG

Enable regulating commands

Regulating-, triggered commands

Active: Command is regulating-, triggered command

Inactive: Standard command

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

REG


IDS_RLINE

ID interne : IDS_RLINE

REYDISP-Linie

REYDISP Liniennummer

Nur bei Störschrieb-Datenpunkt

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

LINIE


IDS_RLINE_ENG

ID interne : IDS_RLINE_ENG

REYDISP-Line

REYDISP line number

Only for disturbance data datapoints

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

LINIE


IDS_ROKT1

ID interne : IDS_ROKT1

Red. O1/Region

Redundante Peripherieadresse

Regionsnummer bzw. Octet 1 (CASDU1)

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

R_2


IDS_ROKT1_ENG

ID interne : IDS_ROKT1_ENG

Red. O1/Region number

Redundant datapoint address

Region number or Octet 1 (CASDU1)

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

R_2


IDS_ROKT2

ID interne : IDS_ROKT2

Red. O2/Komponente

Redundante Peripherieadresse

Komponentennummer bzw. Octet 2 (CASDU2)

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

K_2


IDS_ROKT2_ENG

ID interne : IDS_ROKT2_ENG

Red. O2/Component

Redundant datapoint address

Region number or Octet 2 (CASDU2)

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

K_2


IDS_ROKT3

ID interne : IDS_ROKT3

Red. O3/Baugruppe

Redundante Peripherieadresse

Baugruppennummer bzw. Octet 3 (IOA1)

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

B_2


IDS_ROKT3_ENG

ID interne : IDS_ROKT3_ENG

Red. O3/Board

Redundant datapoint address

Region number or Octet 3 (IOA1)

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

B_2


IDS_ROKT4

ID interne : IDS_ROKT4

Red. O4/Wertnummer

Redundante Peripherieadresse

Wertnummer bzw. Octet 4 (IOA2)

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

W_2


IDS_ROKT4_ENG

ID interne : IDS_ROKT4_ENG

Red. O4/Value number

Redundant datapoint address

Region number or Octet 4 (IOA2)

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

W_2


IDS_ROKT5

ID interne : IDS_ROKT5

Red. O5/Datenart

Redundante Peripherieadresse

Datenart bzw. Octet 5 (IOA3)

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

D_2


IDS_ROKT5_ENG

ID interne : IDS_ROKT5_ENG

Red. O5/Subaddress

Redundant datapoint address

Region number or Octet 5 (IOA3)

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

D_2


IDS_SE_ADRESSE

ID interne : IDS_SE_ADRESSE

Address

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

SeAddress


IDS_SE_STANDARD

ID interne : IDS_SE_STANDARD

Standard

active : tous les appareils C situés au niveau d’un appareil B seront dénommés "barre C". Les appareils C ne seront donc plus sélectionnés directement ; au lieu de cela, les points de données sur les appareils C seront traités comme s’ils se trouvaient sur l’appareil B.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

Standard


IDS_SICHTBARKEIT

ID interne : IDS_SICHTBARKEIT

Visibilité/Clignotement

Propriétés de visibilité et de clignotement de l’élément.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

Visibility


IDS_SICHTBARKEIT_AUSGRENZWERT

ID interne : IDS_SICHTBARKEIT_AUSGRENZWERT

A partir des valeurs limites

Uniquement disponible après la sélection d’une variable :

  • Active : La visibilité de l’élément est influencée par la propriété de valeur limite de la variable.

    Attention : La propriété Invisible doit être active pour au moins une valeur limite de la variable.

  • Inactive : la visibilité est influencée par les propriétés de l’élément.

Par défaut : active

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

VisibilityFromLimit


IDS_SICHTBARKEIT_BIS

ID interne : IDS_SICHTBARKEIT_BIS

À

Disponible uniquement après la sélection d’une variable, si la visibilité n’a pas été reprise par la valeur limite :

Valeur maximale de la variable à laquelle l’élément est visible.

  • Minimum : valeur minimum possible de la variable liée.
  • Maximum : valeur maximum possible de la variable liée.

Par défaut : valeur maximum possible de la variable liée.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

VisibilityTo


IDS_SICHTBARKEIT_VARIABLE

ID interne : IDS_SICHTBARKEIT_VARIABLE

Variable

Disponible uniquement si l’option Depuis la variable a été configurée pour la propriété Visibilité.

Nom de la variable dont la valeur contrôle la visibilité de l’élément. La visibilité est soit reprise des propriétés de valeur limite de ces variables, soit définie par la plage de valeurs définie dans les propriétés de et À.
Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de variables. Vous pouvez également saisir manuellement le nom dans le champ de texte.
L'élément reste visible tant qu’aucune variable n’est liée.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

VisibilityVariable


IDS_SICHTBARKEIT_VON

ID interne : IDS_SICHTBARKEIT_VON

de

Disponible uniquement après la sélection d’une variable, si la visibilité n’a pas été reprise par la valeur limite :

Valeur minimum de la variable à laquelle l’élément est visible.

  • Minimum : valeur minimum possible de la variable liée.
  • Maximum : valeur maximum possible de la variable liée.

Par défaut : valeur minimum possible de la variable liée.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

VisibilityFrom


IDS_ST_SAVE

ID interne : IDS_ST_SAVE

Status speichern

Aktiv: Status der Variablen wird auf Festplatte gespeichert.

Wird bei Neustart der Runtime rückgelesen.

Inaktiv: Status wird nicht gespeichert.

Default: Inaktiv

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

ST_SAVE


IDS_ST_SAVE_ENG

ID interne : IDS_ST_SAVE_ENG

Save state

Save status

Active: The status bits (e.g. Revision) of the datapoint will be saved (STATUS.BIN) and will be reread at start of runtime.

Inactive: The status bits of the datapoint will not be saved.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

ST_SAVE


IDS_STRING78

ID interne : IDS_STRING78

Plage d'affichage dynamique

Propriétés de la plage d’affichage dynamique.
Ces propriétés permettent de modifier la plage d’affichage de manière dynamique dans le Runtime, à l’aide de variables.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

Displayrange_Dynamic


IDS_STRING79

ID interne : IDS_STRING79

Minimum

Variable définissant la valeur minimum de la plage d’affichage dans le Runtime.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

DynMinVar


IDS_STRING80

ID interne : IDS_STRING80

Maximum

Variable définissant la valeur maximum de la plage d’affichage dans le Runtime.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

DynMaxVar


IDS_STRING81

ID interne : IDS_STRING81

Définir les valeurs limites dynamiques

Propriétés des plages de valeurs prescrites dynamiques.

Attention : si la valeur minimum est supérieure à la valeur maximum et la propriété Écrire valeur prescrite Sans dialogue est active, la bascule entre la valeur minimum et la valeur maximum est exécutée lors de la modification de la valeur prescrite.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

SetValueLimits_Dynamic


IDS_STRING82

ID interne : IDS_STRING82

Minimum

Variable dont la valeur actuelle est applicable en tant que limite inférieure de la valeur prescrite de l’élément.
Disponible uniquement si Plages de la variable est inactive :
Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

SetValueDynMin


IDS_STRING83

ID interne : IDS_STRING83

Maximum

Variable dont la valeur actuelle est applicable en tant que limite supérieure de la valeur prescrite de l’élément.

Disponible uniquement si la propriété Plages de la variable est inactive.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

SetValueDynMax


IDS_STRING3146

ID interne : IDS_STRING3146

Style

Affichage et sélection du style de ligne attribué à l’élément.

Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de style.
Si plusieurs éléments ont été sélectionnés, ils peuvent être attribués à un style commun.

Remarque : Seules les propriétés compatibles avec l’élément correspondant sont prises en charge.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

Style


IDS_SYMADRESSE

ID interne : IDS_SYMADRESSE

3S Arti specific

Les propriétés suivantes sont utilisées pour l’adressage du driver 3S_Arti_NG.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

NGAddress


IDS_SYMNAME

ID interne : IDS_SYMNAME

Symbol name

Nom de symbole des variables dans l’automate.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

NGSymName


IDS_TEXTCOLOR_VARIABLE

ID interne : IDS_TEXTCOLOR_VARIABLE

Couleur du texte

Nom de la variable dont la couleur de valeur limite doit influencer la couleur de texte de l’élément. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de variables.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être adressée comme suit pour l’API zenon (avec nom de la classe) :

LineColorVariable


IDS_TRANS

ID interne : IDS_TRANS

Transparente Daten

Transparente Daten

Nur bei Störschrieb-Datenpunkt.

DISTO: Störschriebauswertung mit DISTO

REYDISP: Störschriebauswertung für REYROLL

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

TRANS


IDS_TRANS_ENG

ID interne : IDS_TRANS_ENG

Transparent Data

Transparent Data

Only for disturbance data datapoints.

DISTO: Storing of disturbance records by DISTO

REYDISP: Storing of disturbance records by REYROLL

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

TRANS


IDS_UNTERGRUPPE

ID interne : IDS_UNTERGRUPPE

Sub group

Saisissez le numéro du sous-groupe souhaité.

Minimum : 0

Maximum : 255

Par défaut : 0

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

SubGroup


IDS_VAL_SAVE

ID interne : IDS_VAL_SAVE

Wert speichern

Aktiv: Wert der Variablen wird auf Festplatte gespeichert.

Wird bei Neustart der Runtime rückgelesen.

Inaktiv: Wert wird nicht gespeichert.

Default: Inaktiv.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

VAL_SAVE


IDS_VAL_SAVE_ENG

ID interne : IDS_VAL_SAVE_ENG

Save value

Save value

Active: The value of the datapoint will be saved (STATUS.BIN) and will be reread at start of runtime.

Inactive: The value will not be saved and is 0 at restart.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

VAL_SAVE


IDS_VAR_ERSATZWERT_STRING

ID interne : IDS_VAR_ERSATZWERT_STRING

Valeur chaîne pour le remplissage des archives

Cette valeur est utilisée pour les variables de chaîne, afin de renseigner les archives cycliques.
En présence d’intervalles, dans les archives cycliques, durant lesquels aucune connexion au matériel n’a été établie, cette Valeur chaîne pour le remplissage des archives est utilisée tant qu’aucune valeur n’est transférée depuis l’équipement. Dans le cas contraire, la dernière valeur valide est utilisée pour le renseignement.

Longueur maximale : 128 caractères

Attention : Cette propriété n’est pas disponible aux fins de la commutation de langue.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

AlternateValueString


IDS_VTA

ID interne : IDS_VTA

Adressierungsart

Adresstyp

Muss mit Parametrierung in GW1703.ini und der Gegenstelle übereinstimmen.

STA: Systemtechnisch

VTA: Verfahrenstechnisch

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

VTA


IDS_VTA_ENG

ID interne : IDS_VTA_ENG

Typ of addressing

Address type

In accordance to parameterization of GW1703.ini and remote station.

STA: System technical

VTA: Process technical (PTA in GW1703.ini)

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

VTA


IDS_WDH

ID interne : IDS_WDH

WDH (Anz. Wdh.)

Max. Anzahl an Wiederholungen

Regulierbefehle, Retriggerbefehle

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

WDH


IDS_WDH_ENG

ID interne : IDS_WDH_ENG

Repeats

Max. count of repeats

Regulating-, triggered commands

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

WDH


IDS_Z_NR

ID interne : IDS_Z_NR

Zielnummer

LAN-Stations- oder LAN-Gruppennummer

Bei serieller Ankopplung Linkadresse

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

Z_NR


IDS_Z_NR_ENG

ID interne : IDS_Z_NR_ENG

Destination number

LAN station or LAN group number

Link address if serial connection

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

Z_NR


IDS_Z_TYP

ID interne : IDS_Z_TYP

Zieltyp

Auswahl LAN-Station oder LAN-Gruppe

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

Z_TYP


IDS_Z_TYP_ENG

ID interne : IDS_Z_TYP_ENG

Destination typ

Selection of LAN station or LAN group

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

Z_TYP


IDS_ZEIT

ID interne : IDS_ZEIT

Zeitbeigabe durch AKS

Zeitbeigabe

Aktiv: Rechnerzeit wird beim Empfang beigegeben.

Inaktiv: Zeit aus Telegramm wird verwendet.

Invalide oder unplausible Zeit wird automatisch durch die Rechnerzeit ersetzt.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

ZEIT


IDS_ZEIT_ENG

ID interne : IDS_ZEIT_ENG

Time stamp by AKS

Time setting

Active: Computer time will be used when received

Inactive: Telegram time will be used

Invalid or implausible time stamp will be replaced automatically by computer time.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

ZEIT


IDS_ZENMENU_PROP01

ID interne : IDS_ZENMENU_PROP01

ID du menu

Nom de l’entrée du menu.

Sous Gestion des commandes Type action, vous pouvez sélectionner les actions déjà définies dans une liste déroulante.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

Name


IDS_ZENMENU_PROP02

ID interne : IDS_ZENMENU_PROP02

Texte

Intitulé de l’entrée de menu dans le menu. Le nom de l’entrée doit être unique. S’il existe plusieurs entrées comportant le même texte, seule la première entrée de menu est affichée dans le Runtime.

Remarque : Dans la propriété Type d’action, si la valeur Gestion des commandes est sélectionnée dans la liste déroulante, la valeur de la propriété Texte : est préalablement remplie avec $ALL$.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

Caption


IDS_ZENMENU_PROP04

ID interne : IDS_ZENMENU_PROP04

Fichier

Uniquement disponible si, sous l’intitulé Représentation/Type de la section Type action, l’option Aide a été sélectionnée.
Fichier d’aide dont un chapitre sera affiché.
D'autres informations sont disponibles dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

HelpFile


IDS_ZENMENU_PROP05

ID interne : IDS_ZENMENU_PROP05

Chapitre

Uniquement disponible si, sous l’intitulé Représentation/Type de la section Type action, l’option Aide a été sélectionnée.
Chapitre d’aide à afficher.
Attention : Cette entrée tient compte des minuscules et majuscules.
Les pages d’aide des éléments liés sont normalement affichées. Si un élément lié ne comporte pas de page d’aide, la page définie ici est affichée.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

HelpCapture


IDS_ZENMENU_PROP06

ID interne : IDS_ZENMENU_PROP06

Fichier graphique

Fichier graphique affiché à gauche.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

Picture


IDS_ZENMENU_PROP07

ID interne : IDS_ZENMENU_PROP07

Coche

Une coche est affichée à gauche de l’élément de menu. Il s’agit d’un élément graphique uniquement.

Par défaut : Inactive.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

Checked


IDS_ZENMENU_PROP08

ID interne : IDS_ZENMENU_PROP08

Actif

Active : L’entrée de menu est normalement affichée et l’action liée à celle-ci est exécutée lorsque cette entrée est sélectionnée.
Inactive : L’entrée est normalement grisée et l’associée à celle-ci n’est pas exécutée.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

Enabled


IDS_ZENMENU_PROP09

ID interne : IDS_ZENMENU_PROP09

Visible

Définit si l’élément de menu est affiché dans le Runtime.

Par défaut : active

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

Visible


IDS_ZENMENU_PROP10

ID interne : IDS_ZENMENU_PROP10

Séparateur actif

Active : Un séparateur horizontal est ajouté à la place d’une entrée de menu. Vous pouvez définir ici la largeur et la couleur de la grille.

Par défaut : Inactive

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

Seperator


IDS_ZENMENU_PROP11

ID interne : IDS_ZENMENU_PROP11

Sous-menu

L’élément de menu n’exécute aucune fonction, mais ouvre un sous-menu.

Par défaut : Inactive.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

Popup-Menu


IDS_ZENMENU_PROP12

ID interne : IDS_ZENMENU_PROP12

Type action

Sélection du type d’action.
Les types d’action disponibles varient selon le type de menu.

Disponibles dans le menu principal et le menu contextuel :

  • Fonction : une fonction est exécutée.
  • Aide : une entrée de l’aide est affichée.
  • Aucune action : Aucune action n’est exécutée.
  • Spécifier valeur prescrite : Une valeur prescrite est définie pour une variable :

Uniquement disponibles dans le menu contextuel :

  • Alarmes : Acquitter : acquitte toutes les alarmes correspondant aux variables liées à l’élément dynamique auquel a trait le menu contextuel.
  • Acquitter clignotement : Arrête le clignotement des éléments liés aux variables liées à l’élément dynamique sur lequel le menu contextuel a été activé. Les alarmes ne sont pas acquittées par cette action.
  • Gestion de commande : Exécute le traitement d’une commande.
  • Macro VBA : une macro VBA est exécutée.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

Type


IDS_ZENMENU_PROP13

ID interne : IDS_ZENMENU_PROP13

Niveau d'autorisation

Niveau de mot de passe pour l’exécution de cette entrée de menu.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

Password


IDS_ZENMENU_PROP14

ID interne : IDS_ZENMENU_PROP14

Couleur du texte

Couleur du texte pour le menu sélectionné.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

TextColor


IDS_ZENMENU_PROP15

ID interne : IDS_ZENMENU_PROP15

Couleur d'arrière-plan

Couleur d’arrière-plan pour le menu sélectionné.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

BackColor


IDS_ZENMENU_PROP16

ID interne : IDS_ZENMENU_PROP16

Police

Type de police des menus. Valide pour toutes les entrées de menu.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

Font


IDS_ZENMENU_PROP17

ID interne : IDS_ZENMENU_PROP17

Fonction

Disponible uniquement pour l’action Fonction
Fonction exécutée via l’entrée de menu sélectionnée.
Si plusieurs fonctions doivent être exécutées, un script contenant les fonctions souhaitées doit être créé et un lien vers la fonction d’exécution du script doit être inséré ici.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

Function


IDS_ZENMENU_PROP18

ID interne : IDS_ZENMENU_PROP18

Macro VBA

Disponible uniquement pour le type d’action Macro VBA :
Macro VBA devant être exécutée via l’entrée de menu sélectionnée.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

VBA-Macro


IDS_ZENMENU_PROP19

ID interne : IDS_ZENMENU_PROP19

Variable

Disponible uniquement pour le type d’action Écrire valeur prescrite :
Variable dans laquelle une valeur prescrite doit être écrite via l’option de menu sélectionnée.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

Variable


IDS_ZENMENU_PROP20

ID interne : IDS_ZENMENU_PROP20

Valeur prescrite

Disponible uniquement pour le type d’action Exécuter valeur prescrite :
Valeur numérique devant être écrite en tant que valeur prescrite dans la variable. Seules les valeurs numériques sont attendues et acceptées. Les valeurs sont reprises avec 6 décimales maximum.
Si la propriété Proposer valeur actuelle est activée, la valeur actuelle de la variable est augmentée (valeur positive) ou diminuée (valeur négative) du nombre correspondant.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

Sollwert


IDS_ZENMENU_PROP21

ID interne : IDS_ZENMENU_PROP21

Variable de l'élément

Disponible seulement pour les types d’action Écrire valeur prescrite et Menu contextuel :
Active : La variable d’écriture de la valeur prescrite provient de l’élément dynamique.
Inactive : La variable définie pour la valeur prescrite est fournie dans les propriétés de l’entrée de menu.
Par défaut : inactive.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

FromElem


IDS_ZENMENU_PROP22

ID interne : IDS_ZENMENU_PROP22

Boîte de dialogue

Disponible uniquement pour le type d’action Écrire valeur prescrite :
Active : Lors de l’exécution de l’action, une boîte de dialogue est ouverte avant la définition de la valeur prescrite, permettant à l’utilisateur de modifier la valeur prescrite avant l’écriture.
Si des claviers de synoptique (par tels que SETVALUEKBD, SETSTRINGKBD ou SETBOOLKBD) sont présents, ils sont automatiquement affichés à la place de la boîte de dialogue.
Inactive : La valeur définie dans les propriétés de l’entrée de menu est directement transmise à l’équipement.
Par défaut : inactive.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

SWDialog


IDS_ZENMENU_PROP23

ID interne : IDS_ZENMENU_PROP23

Proposer valeur actuelle

Disponible uniquement pour le type d’action Écrire valeur prescrite :
Active : la valeur actuelle de la variable est proposée en tant que valeur prescrite.
Inactive : la valeur prescrite est directement fournie dans les propriétés de l’entrée de menu.
Par défaut : inactive.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

ActValue


IDS_ZENMENU_PROP24

ID interne : IDS_ZENMENU_PROP24

Nom

Nom unique du menu.
Par défaut : Nouveau menu principal x ou nouveau menu contextuel x (où x est un nombre consécutif).

Attention : Cette propriété n’est pas disponible aux fins de la commutation de langue.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

Name


IDS_ZENMENU_PROP34

ID interne : IDS_ZENMENU_PROP34

Verrouillage

Sélection d’un verrouillage pour l’entrée de menu.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

Locking


IDS_ZENMENU_PROP36

ID interne : IDS_ZENMENU_PROP36

Fichier graphique

Fichier graphique d’arrière-plan pour l’élément de menu.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

BackgroundPicture


IDS_ZENMENU_PROP37

ID interne : IDS_ZENMENU_PROP37

Alignement

Propriétés du fichier graphique d’arrière-plan de l’élément de menu.
Taille réelle : le fichier graphique est affiché dans sa taille d’origine. L’élément de menu est ajusté à la taille du fichier graphique.
Etiré : le fichier graphique est étiré à la taille de l’élément de menu.
Par défaut : Taille réelle.

Exemple : les menus doivent être utilisés dans un projet avec écran tactile. Les paramètres du système d’exploitation sont utilisés pour définir la taille par défaut des différents éléments de menus. Avec un fichier graphique dans sa taille d’origine, toutefois, vous pouvez définir la taille de chaque élément de menu individuellement.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

BackgroundPicRepres


IDS_ZENMENU_PROP_GRP2

ID interne : IDS_ZENMENU_PROP_GRP2

Autorisation d'accès

Propriétés des autorisations d’utilisation de l’entrée de menu.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

GRP_Rights


IDS_ZENMENU_PROP_GRP3

ID interne : IDS_ZENMENU_PROP_GRP3

Représentation/Type

Propriétés de l’affichage de l’entrée de menu.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

GRP_Represantation


IDS_ZENMENU_PROP_GRP4

ID interne : IDS_ZENMENU_PROP_GRP4

Fonction/macro

Fonction ou macro VBA devant être exécutée via cette entrée de menu.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

GRP_Function


IDS_ZENMENU_PROP_GRP5

ID interne : IDS_ZENMENU_PROP_GRP5

Écrire valeur prescrite

Propriétés de la valeur à définir.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

GRP_SetValue


IDS_ZENMENU_PROP_GRP6

ID interne : IDS_ZENMENU_PROP_GRP6

Aide

Propriétés de la page d’aide de l’entrée de menu.
Cette fonction autorise l’affichage de pages d’aide au format HTML dans le Runtime à partir d’un fichier CHM, à l’aide d’un bouton d’aide ou d’un menu contextuel.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

GRP_Help


IDS_ZENMENU_PROP_GRP7

ID interne : IDS_ZENMENU_PROP_GRP7

Graphique d'arrière plan

Propriétés du fichier graphique d’arrière-plan des éléments de menu.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

GRP_BackgroundPicture


IDS_ZENMENU_PROP_GRP8

ID interne : IDS_ZENMENU_PROP_GRP8

Action

Propriétés de l’action à exécuter avec l’entrée de menu.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

Action


IDS_ZENMENU_PROP_GRP9

ID interne : IDS_ZENMENU_PROP_GRP9

Général

Paramètres généraux du menu sélectionné.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

GRP_General


IDS_ZYKLISCH_LESEN

ID interne : IDS_ZYKLISCH_LESEN

Read cyclical

Spécifie de quelle manière la valeur sera acquise depuis l’automate.

Active : La valeur sera acquise de manière cyclique depuis l’automate.

Par défaut : Inactive

Remarque : cette option doit être sélectionnée avec soin, car elle augmente considérablement la charge du bus.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

CyclicReading


LOCK_BITMAP_LOCKING

ID interne : LOCK_BITMAP_LOCKING

Verouillage fonctionnel - Fichier graphique

Disponible uniquement si la propriété Identification graphique active est active.

Sélection du fichier graphique affichant un élément verrouillé. Le fichier doit avoir été créé dans le gestionnaire de projet, dans le nœud Fichier/Graphiques, sous la forme d’un fichier bitmap.

Format autorisé : 16 x 16 pixels ; les fichiers bitmap de taille supérieure seront compressés lors de l’affichage.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

LockLockBitmap


LOCK_BITMAP_USER

ID interne : LOCK_BITMAP_USER

Verrouillage utilisateur - Fichier graphique

Disponible uniquement si la propriété Identification graphique active est active.

Sélection du fichier graphique affichant un élément verrouillé. Le fichier doit avoir été créé dans le gestionnaire de projet, dans le nœud Fichier/Graphiques, sous la forme d’un fichier bitmap.

Format autorisé : 16 x 16 pixels ; les fichiers bitmap de taille supérieure seront compressés lors de l’affichage.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

LockUserBitmap


LOCK_FILL_COLOR

ID interne : LOCK_FILL_COLOR

Couleur de remplissage du symbole cadenas

Disponible uniquement si la propriété Identification graphique active est active.
Détermine la couleur de remplissage du symbole représentant un cadenas. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de couleurs ou de palettes de couleurs. La saisie peut également être effectuée directement dans le champ, sous forme de valeur hexadécimale précédée de #.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

LockFillColor


LOCK_LINE_COLOR

ID interne : LOCK_LINE_COLOR

Couleur de ligne du symbole cadenas

Disponible uniquement si la propriété Identification graphique active est active.

Détermine la couleur de trait du symbole représentant un cadenas. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de couleurs ou de palettes de couleurs. La saisie peut également être effectuée directement dans le champ, sous forme de valeur hexadécimale précédée de #.

Plus de détails dans l’aide en ligne.

Conseil : Tutoriels vidéo de zenon.

Cette fonction doit être utilisée comme suit avec l’API de zenon (avec indication du nom de classe) et lors de l’exportation au format XML (sans indication du nom de classe) :

LockLineColor